#include "parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#ifdef _MSC_VER
#pragma optimize("", off)
#elif defined(__clang__)
#pragma clang optimize off
#elif defined(__GNUC__)
#pragma GCC optimize ("O0")
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 7939
#define LARGE_STATE_COUNT 1739
#define SYMBOL_COUNT 536
#define ALIAS_COUNT 5
#define TOKEN_COUNT 209
#define EXTERNAL_TOKEN_COUNT 28
#define FIELD_COUNT 45
#define MAX_ALIAS_SEQUENCE_LENGTH 10
#define PRODUCTION_ID_COUNT 258

enum ts_symbol_identifiers {
  anon_sym_POUND_BANG = 1,
  aux_sym_shebang_line_token1 = 2,
  sym_comment = 3,
  aux_sym_simple_identifier_token1 = 4,
  aux_sym_simple_identifier_token2 = 5,
  aux_sym_simple_identifier_token3 = 6,
  aux_sym_simple_identifier_token4 = 7,
  anon_sym_actor = 8,
  anon_sym_async = 9,
  anon_sym_each = 10,
  anon_sym_lazy = 11,
  anon_sym_repeat = 12,
  anon_sym_package = 13,
  anon_sym_nil = 14,
  sym_real_literal = 15,
  sym_integer_literal = 16,
  sym_hex_literal = 17,
  sym_oct_literal = 18,
  sym_bin_literal = 19,
  anon_sym_true = 20,
  anon_sym_false = 21,
  anon_sym_DQUOTE = 22,
  aux_sym_line_str_text_token1 = 23,
  anon_sym_BSLASH = 24,
  anon_sym_u = 25,
  aux_sym__uni_character_literal_token1 = 26,
  anon_sym_DQUOTE_DQUOTE_DQUOTE = 27,
  anon_sym_RPAREN = 28,
  sym_raw_str_interpolation_start = 29,
  anon_sym_BSLASH_LPAREN = 30,
  anon_sym_COMMA = 31,
  sym__escaped_identifier = 32,
  sym__extended_regex_literal = 33,
  aux_sym__multiline_regex_literal_token1 = 34,
  aux_sym__multiline_regex_literal_token2 = 35,
  sym__oneline_regex_literal = 36,
  anon_sym_COLON = 37,
  anon_sym_BANG = 38,
  anon_sym_LPAREN = 39,
  anon_sym_LBRACK = 40,
  anon_sym_RBRACK = 41,
  anon_sym_DOT = 42,
  anon_sym_Type = 43,
  anon_sym_Protocol = 44,
  anon_sym_QMARK = 45,
  anon_sym_QMARK2 = 46,
  anon_sym_some = 47,
  anon_sym_any = 48,
  anon_sym_AMP = 49,
  anon_sym_if = 50,
  anon_sym_switch = 51,
  anon_sym_POUNDselector = 52,
  anon_sym_getter_COLON = 53,
  anon_sym_setter_COLON = 54,
  aux_sym_custom_operator_token1 = 55,
  anon_sym_LT = 56,
  anon_sym_GT = 57,
  anon_sym_await = 58,
  anon_sym_POUNDfile = 59,
  anon_sym_POUNDfileID = 60,
  anon_sym_POUNDfilePath = 61,
  anon_sym_POUNDline = 62,
  anon_sym_POUNDcolumn = 63,
  anon_sym_POUNDfunction = 64,
  anon_sym_POUNDdsohandle = 65,
  anon_sym_POUNDcolorLiteral = 66,
  anon_sym_POUNDfileLiteral = 67,
  anon_sym_POUNDimageLiteral = 68,
  anon_sym_LBRACE = 69,
  anon_sym_CARET_LBRACE = 70,
  anon_sym_RBRACE = 71,
  anon_sym_in = 72,
  anon_sym_self = 73,
  anon_sym_super = 74,
  anon_sym_guard = 75,
  anon_sym_case = 76,
  anon_sym_fallthrough = 77,
  anon_sym_do = 78,
  anon_sym_POUNDkeyPath = 79,
  anon_sym_try = 80,
  anon_sym_PLUS_EQ = 81,
  anon_sym_DASH_EQ = 82,
  anon_sym_STAR_EQ = 83,
  anon_sym_SLASH_EQ = 84,
  anon_sym_PERCENT_EQ = 85,
  anon_sym_BANG_EQ = 86,
  anon_sym_BANG_EQ_EQ = 87,
  anon_sym_EQ_EQ_EQ = 88,
  anon_sym_LT_EQ = 89,
  anon_sym_GT_EQ = 90,
  anon_sym_DOT_DOT_DOT = 91,
  anon_sym_DOT_DOT_LT = 92,
  anon_sym_is = 93,
  anon_sym_PLUS = 94,
  anon_sym_DASH = 95,
  anon_sym_STAR = 96,
  anon_sym_SLASH = 97,
  anon_sym_PERCENT = 98,
  anon_sym_PLUS_PLUS = 99,
  anon_sym_DASH_DASH = 100,
  anon_sym_TILDE = 101,
  anon_sym_PIPE = 102,
  anon_sym_CARET = 103,
  anon_sym_LT_LT = 104,
  anon_sym_GT_GT = 105,
  sym_statement_label = 106,
  anon_sym_for = 107,
  anon_sym_while = 108,
  sym_throw_keyword = 109,
  anon_sym_return = 110,
  anon_sym_continue = 111,
  anon_sym_break = 112,
  anon_sym_yield = 113,
  anon_sym_POUNDavailable = 114,
  anon_sym_POUNDunavailable = 115,
  anon_sym_import = 116,
  anon_sym_typealias = 117,
  anon_sym_struct = 118,
  anon_sym_class = 119,
  anon_sym_enum = 120,
  anon_sym_protocol = 121,
  anon_sym_let = 122,
  anon_sym_var = 123,
  anon_sym_func = 124,
  anon_sym_willSet = 125,
  anon_sym_didSet = 126,
  anon_sym_macro = 127,
  anon_sym_POUNDexternalMacro = 128,
  anon_sym_extension = 129,
  anon_sym_indirect = 130,
  anon_sym_BANG2 = 131,
  anon_sym_SEMI = 132,
  anon_sym_init = 133,
  anon_sym_deinit = 134,
  anon_sym_subscript = 135,
  anon_sym_get = 136,
  anon_sym_set = 137,
  anon_sym__modify = 138,
  anon_sym_prefix = 139,
  anon_sym_infix = 140,
  anon_sym_postfix = 141,
  anon_sym_operator = 142,
  anon_sym_precedencegroup = 143,
  anon_sym_associatedtype = 144,
  anon_sym_AT = 145,
  sym_wildcard_pattern = 146,
  anon_sym_override = 147,
  anon_sym_convenience = 148,
  anon_sym_required = 149,
  anon_sym_nonisolated = 150,
  anon_sym_public = 151,
  anon_sym_private = 152,
  anon_sym_internal = 153,
  anon_sym_fileprivate = 154,
  anon_sym_open = 155,
  anon_sym_mutating = 156,
  anon_sym_nonmutating = 157,
  anon_sym_static = 158,
  anon_sym_dynamic = 159,
  anon_sym_optional = 160,
  anon_sym_distributed = 161,
  anon_sym_final = 162,
  anon_sym_inout = 163,
  anon_sym_ATescaping = 164,
  anon_sym_ATautoclosure = 165,
  anon_sym_weak = 166,
  anon_sym_unowned = 167,
  anon_sym_unowned_LPARENsafe_RPAREN = 168,
  anon_sym_unowned_LPARENunsafe_RPAREN = 169,
  anon_sym_borrowing = 170,
  anon_sym_consuming = 171,
  anon_sym_property = 172,
  anon_sym_receiver = 173,
  anon_sym_param = 174,
  anon_sym_setparam = 175,
  anon_sym_delegate = 176,
  sym_directive = 177,
  sym_diagnostic = 178,
  anon_sym_unused1 = 179,
  anon_sym_unused2 = 180,
  sym_multiline_comment = 181,
  sym_raw_str_part = 182,
  sym_raw_str_continuing_indicator = 183,
  sym_raw_str_end_part = 184,
  sym__implicit_semi = 185,
  sym__explicit_semi = 186,
  sym__arrow_operator_custom = 187,
  sym__dot_custom = 188,
  sym__conjunction_operator_custom = 189,
  sym__disjunction_operator_custom = 190,
  sym__nil_coalescing_operator_custom = 191,
  sym__eq_custom = 192,
  sym__eq_eq_custom = 193,
  sym__plus_then_ws = 194,
  sym__minus_then_ws = 195,
  sym__bang_custom = 196,
  sym__throws_keyword = 197,
  sym__rethrows_keyword = 198,
  sym_default_keyword = 199,
  sym_where_keyword = 200,
  sym_else = 201,
  sym_catch_keyword = 202,
  sym__as_custom = 203,
  sym__as_quest_custom = 204,
  sym__as_bang_custom = 205,
  sym__async_keyword_custom = 206,
  sym__custom_operator = 207,
  sym__fake_try_bang = 208,
  sym_source_file = 209,
  sym__semi = 210,
  sym_shebang_line = 211,
  sym_simple_identifier = 212,
  sym__contextual_simple_identifier = 213,
  sym_identifier = 214,
  sym__basic_literal = 215,
  sym_boolean_literal = 216,
  sym__string_literal = 217,
  sym_line_string_literal = 218,
  sym__line_string_content = 219,
  sym_line_str_text = 220,
  sym_str_escaped_char = 221,
  sym__uni_character_literal = 222,
  sym_multi_line_string_literal = 223,
  sym_raw_string_literal = 224,
  sym_raw_str_interpolation = 225,
  sym__multi_line_string_content = 226,
  sym__interpolation = 227,
  sym__interpolation_contents = 228,
  sym_multi_line_str_text = 229,
  sym_regex_literal = 230,
  sym__multiline_regex_literal = 231,
  sym_type_annotation = 232,
  sym__possibly_implicitly_unwrapped_type = 233,
  sym__type = 234,
  sym__unannotated_type = 235,
  sym_user_type = 236,
  sym__simple_user_type = 237,
  sym_tuple_type = 238,
  sym_tuple_type_item = 239,
  sym__tuple_type_item_identifier = 240,
  sym_function_type = 241,
  sym_array_type = 242,
  sym_dictionary_type = 243,
  sym_optional_type = 244,
  sym_metatype = 245,
  sym__quest = 246,
  sym__immediate_quest = 247,
  sym_opaque_type = 248,
  sym_existential_type = 249,
  sym_type_parameter_pack = 250,
  sym_type_pack_expansion = 251,
  sym_protocol_composition_type = 252,
  sym__expression = 253,
  sym__unary_expression = 254,
  sym_postfix_expression = 255,
  sym_constructor_expression = 256,
  sym__parenthesized_type = 257,
  sym_navigation_expression = 258,
  sym__navigable_type_expression = 259,
  sym_open_start_range_expression = 260,
  sym__range_operator = 261,
  sym_open_end_range_expression = 262,
  sym_prefix_expression = 263,
  sym_as_expression = 264,
  sym_selector_expression = 265,
  sym__binary_expression = 266,
  sym_multiplicative_expression = 267,
  sym_additive_expression = 268,
  sym_range_expression = 269,
  sym_infix_expression = 270,
  sym_nil_coalescing_expression = 271,
  sym_check_expression = 272,
  sym_comparison_expression = 273,
  sym_equality_expression = 274,
  sym_conjunction_expression = 275,
  sym_disjunction_expression = 276,
  sym_bitwise_operation = 277,
  sym_custom_operator = 278,
  sym_navigation_suffix = 279,
  sym_call_suffix = 280,
  sym_constructor_suffix = 281,
  sym__constructor_value_arguments = 282,
  sym__fn_call_lambda_arguments = 283,
  sym_type_arguments = 284,
  sym_value_arguments = 285,
  sym_value_argument_label = 286,
  sym_value_argument = 287,
  sym_try_expression = 288,
  sym_await_expression = 289,
  sym__await_operator = 290,
  sym_ternary_expression = 291,
  sym__expr_hack_at_ternary_binary_suffix = 292,
  sym_expr_hack_at_ternary_binary_call = 293,
  sym_expr_hack_at_ternary_binary_call_suffix = 294,
  sym_call_expression = 295,
  sym__primary_expression = 296,
  sym_tuple_expression = 297,
  sym_array_literal = 298,
  sym_dictionary_literal = 299,
  sym__dictionary_literal_item = 300,
  sym__special_literal = 301,
  sym__playground_literal = 302,
  sym_lambda_literal = 303,
  sym__lambda_type_declaration = 304,
  sym_capture_list = 305,
  sym_capture_list_item = 306,
  sym_lambda_function_type = 307,
  sym_lambda_function_type_parameters = 308,
  sym_lambda_parameter = 309,
  sym_self_expression = 310,
  sym_super_expression = 311,
  sym__else_options = 312,
  sym_if_statement = 313,
  sym__if_condition_sequence_item = 314,
  sym__if_let_binding = 315,
  sym_guard_statement = 316,
  sym_switch_statement = 317,
  sym_switch_entry = 318,
  sym_switch_pattern = 319,
  sym_do_statement = 320,
  sym_catch_block = 321,
  sym_where_clause = 322,
  sym_key_path_expression = 323,
  sym_key_path_string_expression = 324,
  sym__key_path_component = 325,
  sym__key_path_postfixes = 326,
  sym_try_operator = 327,
  sym__try_operator_type = 328,
  sym__assignment_and_operator = 329,
  sym__equality_operator = 330,
  sym__comparison_operator = 331,
  sym__three_dot_operator = 332,
  sym__open_ended_range_operator = 333,
  sym__is_operator = 334,
  sym__additive_operator = 335,
  sym__multiplicative_operator = 336,
  sym_as_operator = 337,
  sym__prefix_unary_operator = 338,
  sym__bitwise_binary_operator = 339,
  sym__postfix_unary_operator = 340,
  sym_directly_assignable_expression = 341,
  sym_statements = 342,
  sym__local_statement = 343,
  sym__top_level_statement = 344,
  sym__block = 345,
  sym__labeled_statement = 346,
  sym_for_statement = 347,
  sym__for_statement_collection = 348,
  sym_for_statement_await = 349,
  sym_while_statement = 350,
  sym_repeat_while_statement = 351,
  sym_control_transfer_statement = 352,
  sym__throw_statement = 353,
  sym__optionally_valueful_control_keyword = 354,
  sym_assignment = 355,
  sym_value_parameter_pack = 356,
  sym_value_pack_expansion = 357,
  sym_availability_condition = 358,
  sym__availability_argument = 359,
  sym__global_declaration = 360,
  sym__type_level_declaration = 361,
  sym__local_declaration = 362,
  sym__local_property_declaration = 363,
  sym__local_typealias_declaration = 364,
  sym__local_function_declaration = 365,
  sym__local_class_declaration = 366,
  sym_import_declaration = 367,
  sym__import_kind = 368,
  sym_protocol_property_declaration = 369,
  sym_protocol_property_requirements = 370,
  sym_property_declaration = 371,
  sym__modifierless_property_declaration = 372,
  sym__single_modifierless_property_declaration = 373,
  sym__expression_with_willset_didset = 374,
  sym__expression_without_willset_didset = 375,
  sym_willset_didset_block = 376,
  sym_willset_clause = 377,
  sym_didset_clause = 378,
  sym_typealias_declaration = 379,
  sym__modifierless_typealias_declaration = 380,
  sym_function_declaration = 381,
  sym__modifierless_function_declaration = 382,
  sym__bodyless_function_declaration = 383,
  sym__modifierless_function_declaration_no_body = 384,
  sym_function_body = 385,
  sym_macro_declaration = 386,
  sym__macro_head = 387,
  sym__macro_signature = 388,
  sym_macro_definition = 389,
  sym_external_macro_definition = 390,
  sym_class_declaration = 391,
  sym__modifierless_class_declaration = 392,
  sym_class_body = 393,
  sym__inheritance_specifiers = 394,
  sym_inheritance_specifier = 395,
  sym__annotated_inheritance_specifier = 396,
  sym_type_parameters = 397,
  sym_type_parameter = 398,
  sym__type_parameter_possibly_packed = 399,
  sym_type_constraints = 400,
  sym_type_constraint = 401,
  sym_inheritance_constraint = 402,
  sym_equality_constraint = 403,
  sym__constrained_type = 404,
  sym__class_member_separator = 405,
  sym__class_member_declarations = 406,
  aux_sym__function_value_parameters = 407,
  sym__function_value_parameter = 408,
  sym_parameter = 409,
  sym__non_constructor_function_decl = 410,
  sym__referenceable_operator = 411,
  sym__equal_sign = 412,
  sym__eq_eq = 413,
  sym__dot = 414,
  sym__arrow_operator = 415,
  sym__conjunction_operator = 416,
  sym__disjunction_operator = 417,
  sym__nil_coalescing_operator = 418,
  sym__as = 419,
  sym__as_quest = 420,
  sym__as_bang = 421,
  sym_bang = 422,
  sym__async_keyword = 423,
  sym__async_modifier = 424,
  sym_throws = 425,
  sym_enum_class_body = 426,
  sym_enum_entry = 427,
  sym__enum_entry_suffix = 428,
  sym_enum_type_parameters = 429,
  sym_protocol_declaration = 430,
  sym_protocol_body = 431,
  sym__protocol_member_declarations = 432,
  sym__protocol_member_declaration = 433,
  sym_init_declaration = 434,
  sym_deinit_declaration = 435,
  sym_subscript_declaration = 436,
  sym_computed_property = 437,
  sym_computed_getter = 438,
  sym_computed_modify = 439,
  sym_computed_setter = 440,
  sym_getter_specifier = 441,
  sym_setter_specifier = 442,
  sym_modify_specifier = 443,
  aux_sym__getter_effects = 444,
  sym_operator_declaration = 445,
  sym_deprecated_operator_declaration_body = 446,
  sym_precedence_group_declaration = 447,
  sym_precedence_group_attributes = 448,
  sym_precedence_group_attribute = 449,
  sym_associatedtype_declaration = 450,
  sym_attribute = 451,
  sym__attribute_argument = 452,
  sym__universally_allowed_pattern = 453,
  sym__bound_identifier = 454,
  sym__binding_pattern_no_expr = 455,
  sym__no_expr_pattern_already_bound = 456,
  sym__binding_pattern_with_expr = 457,
  sym__direct_or_indirect_binding = 458,
  sym_value_binding_pattern = 459,
  sym__possibly_async_binding_pattern_kind = 460,
  sym__binding_kind_and_pattern = 461,
  sym__tuple_pattern_item = 462,
  sym__tuple_pattern = 463,
  sym__case_pattern = 464,
  sym__type_casting_pattern = 465,
  sym__binding_pattern = 466,
  sym_modifiers = 467,
  aux_sym__locally_permitted_modifiers = 468,
  sym_parameter_modifiers = 469,
  sym__non_local_scope_modifier = 470,
  sym__locally_permitted_modifier = 471,
  sym_property_behavior_modifier = 472,
  sym_type_modifiers = 473,
  sym_member_modifier = 474,
  sym_visibility_modifier = 475,
  sym_type_parameter_modifiers = 476,
  sym_function_modifier = 477,
  sym_mutation_modifier = 478,
  sym_property_modifier = 479,
  sym_inheritance_modifier = 480,
  sym_parameter_modifier = 481,
  sym_ownership_modifier = 482,
  sym__parameter_ownership_modifier = 483,
  aux_sym_source_file_repeat1 = 484,
  aux_sym_identifier_repeat1 = 485,
  aux_sym_line_string_literal_repeat1 = 486,
  aux_sym_multi_line_string_literal_repeat1 = 487,
  aux_sym_raw_string_literal_repeat1 = 488,
  aux_sym__interpolation_contents_repeat1 = 489,
  aux_sym_user_type_repeat1 = 490,
  aux_sym_tuple_type_repeat1 = 491,
  aux_sym_optional_type_repeat1 = 492,
  aux_sym_protocol_composition_type_repeat1 = 493,
  aux_sym__constructor_value_arguments_repeat1 = 494,
  aux_sym__fn_call_lambda_arguments_repeat1 = 495,
  aux_sym_type_arguments_repeat1 = 496,
  aux_sym_value_argument_repeat1 = 497,
  aux_sym_tuple_expression_repeat1 = 498,
  aux_sym_array_literal_repeat1 = 499,
  aux_sym_dictionary_literal_repeat1 = 500,
  aux_sym__playground_literal_repeat1 = 501,
  aux_sym__lambda_type_declaration_repeat1 = 502,
  aux_sym_capture_list_repeat1 = 503,
  aux_sym_lambda_function_type_parameters_repeat1 = 504,
  aux_sym_if_statement_repeat1 = 505,
  aux_sym_switch_statement_repeat1 = 506,
  aux_sym_switch_entry_repeat1 = 507,
  aux_sym_do_statement_repeat1 = 508,
  aux_sym_key_path_expression_repeat1 = 509,
  aux_sym__key_path_component_repeat1 = 510,
  aux_sym_statements_repeat1 = 511,
  aux_sym_repeat_while_statement_repeat1 = 512,
  aux_sym_availability_condition_repeat1 = 513,
  aux_sym__availability_argument_repeat1 = 514,
  aux_sym_protocol_property_requirements_repeat1 = 515,
  aux_sym__modifierless_property_declaration_repeat1 = 516,
  aux_sym__inheritance_specifiers_repeat1 = 517,
  aux_sym_type_parameters_repeat1 = 518,
  aux_sym_type_constraints_repeat1 = 519,
  aux_sym__constrained_type_repeat1 = 520,
  aux_sym__class_member_declarations_repeat1 = 521,
  aux_sym__function_value_parameters_repeat1 = 522,
  aux_sym_enum_class_body_repeat1 = 523,
  aux_sym_enum_entry_repeat1 = 524,
  aux_sym_enum_type_parameters_repeat1 = 525,
  aux_sym__protocol_member_declarations_repeat1 = 526,
  aux_sym_computed_property_repeat1 = 527,
  aux_sym_deprecated_operator_declaration_body_repeat1 = 528,
  aux_sym_precedence_group_attributes_repeat1 = 529,
  aux_sym_attribute_repeat1 = 530,
  aux_sym__attribute_argument_repeat1 = 531,
  aux_sym__attribute_argument_repeat2 = 532,
  aux_sym__tuple_pattern_repeat1 = 533,
  aux_sym_modifiers_repeat1 = 534,
  aux_sym_parameter_modifiers_repeat1 = 535,
  alias_sym__expression = 536,
  alias_sym_fully_open_range = 537,
  alias_sym_interpolated_expression = 538,
  alias_sym_protocol_function_declaration = 539,
  alias_sym_type_identifier = 540,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [anon_sym_POUND_BANG] = "#!",
  [aux_sym_shebang_line_token1] = "shebang_line_token1",
  [sym_comment] = "comment",
  [aux_sym_simple_identifier_token1] = "simple_identifier_token1",
  [aux_sym_simple_identifier_token2] = "simple_identifier_token2",
  [aux_sym_simple_identifier_token3] = "simple_identifier_token3",
  [aux_sym_simple_identifier_token4] = "simple_identifier_token4",
  [anon_sym_actor] = "actor",
  [anon_sym_async] = "async",
  [anon_sym_each] = "each",
  [anon_sym_lazy] = "lazy",
  [anon_sym_repeat] = "repeat",
  [anon_sym_package] = "package",
  [anon_sym_nil] = "nil",
  [sym_real_literal] = "real_literal",
  [sym_integer_literal] = "integer_literal",
  [sym_hex_literal] = "hex_literal",
  [sym_oct_literal] = "oct_literal",
  [sym_bin_literal] = "bin_literal",
  [anon_sym_true] = "true",
  [anon_sym_false] = "false",
  [anon_sym_DQUOTE] = "\"",
  [aux_sym_line_str_text_token1] = "line_str_text_token1",
  [anon_sym_BSLASH] = "\\",
  [anon_sym_u] = "u",
  [aux_sym__uni_character_literal_token1] = "_uni_character_literal_token1",
  [anon_sym_DQUOTE_DQUOTE_DQUOTE] = "\"\"\"",
  [anon_sym_RPAREN] = ")",
  [sym_raw_str_interpolation_start] = "raw_str_interpolation_start",
  [anon_sym_BSLASH_LPAREN] = "\\(",
  [anon_sym_COMMA] = ",",
  [sym__escaped_identifier] = "_escaped_identifier",
  [sym__extended_regex_literal] = "_extended_regex_literal",
  [aux_sym__multiline_regex_literal_token1] = "_multiline_regex_literal_token1",
  [aux_sym__multiline_regex_literal_token2] = "_multiline_regex_literal_token2",
  [sym__oneline_regex_literal] = "_oneline_regex_literal",
  [anon_sym_COLON] = ":",
  [anon_sym_BANG] = "!",
  [anon_sym_LPAREN] = "(",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_DOT] = ".",
  [anon_sym_Type] = "Type",
  [anon_sym_Protocol] = "Protocol",
  [anon_sym_QMARK] = "\?",
  [anon_sym_QMARK2] = "\?",
  [anon_sym_some] = "some",
  [anon_sym_any] = "any",
  [anon_sym_AMP] = "&",
  [anon_sym_if] = "if",
  [anon_sym_switch] = "switch",
  [anon_sym_POUNDselector] = "#selector",
  [anon_sym_getter_COLON] = "getter:",
  [anon_sym_setter_COLON] = "setter:",
  [aux_sym_custom_operator_token1] = "custom_operator_token1",
  [anon_sym_LT] = "<",
  [anon_sym_GT] = ">",
  [anon_sym_await] = "await",
  [anon_sym_POUNDfile] = "#file",
  [anon_sym_POUNDfileID] = "#fileID",
  [anon_sym_POUNDfilePath] = "#filePath",
  [anon_sym_POUNDline] = "#line",
  [anon_sym_POUNDcolumn] = "#column",
  [anon_sym_POUNDfunction] = "#function",
  [anon_sym_POUNDdsohandle] = "#dsohandle",
  [anon_sym_POUNDcolorLiteral] = "#colorLiteral",
  [anon_sym_POUNDfileLiteral] = "#fileLiteral",
  [anon_sym_POUNDimageLiteral] = "#imageLiteral",
  [anon_sym_LBRACE] = "{",
  [anon_sym_CARET_LBRACE] = "^{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_in] = "in",
  [anon_sym_self] = "self",
  [anon_sym_super] = "super",
  [anon_sym_guard] = "guard",
  [anon_sym_case] = "case",
  [anon_sym_fallthrough] = "fallthrough",
  [anon_sym_do] = "do",
  [anon_sym_POUNDkeyPath] = "#keyPath",
  [anon_sym_try] = "try",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_BANG_EQ_EQ] = "!==",
  [anon_sym_EQ_EQ_EQ] = "===",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_DOT_DOT_LT] = "..<",
  [anon_sym_is] = "is",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_STAR] = "*",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_DASH_DASH] = "--",
  [anon_sym_TILDE] = "~",
  [anon_sym_PIPE] = "|",
  [anon_sym_CARET] = "^",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_GT_GT] = ">>",
  [sym_statement_label] = "statement_label",
  [anon_sym_for] = "for",
  [anon_sym_while] = "while",
  [sym_throw_keyword] = "throw_keyword",
  [anon_sym_return] = "return",
  [anon_sym_continue] = "continue",
  [anon_sym_break] = "break",
  [anon_sym_yield] = "yield",
  [anon_sym_POUNDavailable] = "#available",
  [anon_sym_POUNDunavailable] = "#unavailable",
  [anon_sym_import] = "import",
  [anon_sym_typealias] = "typealias",
  [anon_sym_struct] = "struct",
  [anon_sym_class] = "class",
  [anon_sym_enum] = "enum",
  [anon_sym_protocol] = "protocol",
  [anon_sym_let] = "let",
  [anon_sym_var] = "var",
  [anon_sym_func] = "func",
  [anon_sym_willSet] = "willSet",
  [anon_sym_didSet] = "didSet",
  [anon_sym_macro] = "macro",
  [anon_sym_POUNDexternalMacro] = "#externalMacro",
  [anon_sym_extension] = "extension",
  [anon_sym_indirect] = "indirect",
  [anon_sym_BANG2] = "!",
  [anon_sym_SEMI] = ";",
  [anon_sym_init] = "init",
  [anon_sym_deinit] = "deinit",
  [anon_sym_subscript] = "subscript",
  [anon_sym_get] = "get",
  [anon_sym_set] = "set",
  [anon_sym__modify] = "_modify",
  [anon_sym_prefix] = "prefix",
  [anon_sym_infix] = "infix",
  [anon_sym_postfix] = "postfix",
  [anon_sym_operator] = "operator",
  [anon_sym_precedencegroup] = "precedencegroup",
  [anon_sym_associatedtype] = "associatedtype",
  [anon_sym_AT] = "@",
  [sym_wildcard_pattern] = "wildcard_pattern",
  [anon_sym_override] = "override",
  [anon_sym_convenience] = "convenience",
  [anon_sym_required] = "required",
  [anon_sym_nonisolated] = "nonisolated",
  [anon_sym_public] = "public",
  [anon_sym_private] = "private",
  [anon_sym_internal] = "internal",
  [anon_sym_fileprivate] = "fileprivate",
  [anon_sym_open] = "open",
  [anon_sym_mutating] = "mutating",
  [anon_sym_nonmutating] = "nonmutating",
  [anon_sym_static] = "static",
  [anon_sym_dynamic] = "dynamic",
  [anon_sym_optional] = "optional",
  [anon_sym_distributed] = "distributed",
  [anon_sym_final] = "final",
  [anon_sym_inout] = "inout",
  [anon_sym_ATescaping] = "@escaping",
  [anon_sym_ATautoclosure] = "@autoclosure",
  [anon_sym_weak] = "weak",
  [anon_sym_unowned] = "unowned",
  [anon_sym_unowned_LPARENsafe_RPAREN] = "unowned(safe)",
  [anon_sym_unowned_LPARENunsafe_RPAREN] = "unowned(unsafe)",
  [anon_sym_borrowing] = "borrowing",
  [anon_sym_consuming] = "consuming",
  [anon_sym_property] = "property",
  [anon_sym_receiver] = "receiver",
  [anon_sym_param] = "param",
  [anon_sym_setparam] = "setparam",
  [anon_sym_delegate] = "delegate",
  [sym_directive] = "directive",
  [sym_diagnostic] = "diagnostic",
  [anon_sym_unused1] = "try\?",
  [anon_sym_unused2] = "try!",
  [sym_multiline_comment] = "multiline_comment",
  [sym_raw_str_part] = "raw_str_part",
  [sym_raw_str_continuing_indicator] = "raw_str_continuing_indicator",
  [sym_raw_str_end_part] = "raw_str_end_part",
  [sym__implicit_semi] = "_implicit_semi",
  [sym__explicit_semi] = "_explicit_semi",
  [sym__arrow_operator_custom] = "->",
  [sym__dot_custom] = ".",
  [sym__conjunction_operator_custom] = "&&",
  [sym__disjunction_operator_custom] = "||",
  [sym__nil_coalescing_operator_custom] = "\?\?",
  [sym__eq_custom] = "=",
  [sym__eq_eq_custom] = "==",
  [sym__plus_then_ws] = "+",
  [sym__minus_then_ws] = "-",
  [sym__bang_custom] = "_bang_custom",
  [sym__throws_keyword] = "_throws_keyword",
  [sym__rethrows_keyword] = "_rethrows_keyword",
  [sym_default_keyword] = "default_keyword",
  [sym_where_keyword] = "where_keyword",
  [sym_else] = "else",
  [sym_catch_keyword] = "catch_keyword",
  [sym__as_custom] = "as",
  [sym__as_quest_custom] = "as\?",
  [sym__as_bang_custom] = "as!",
  [sym__async_keyword_custom] = "async",
  [sym__custom_operator] = "_custom_operator",
  [sym__fake_try_bang] = "_fake_try_bang",
  [sym_source_file] = "source_file",
  [sym__semi] = "_semi",
  [sym_shebang_line] = "shebang_line",
  [sym_simple_identifier] = "simple_identifier",
  [sym__contextual_simple_identifier] = "_contextual_simple_identifier",
  [sym_identifier] = "identifier",
  [sym__basic_literal] = "_basic_literal",
  [sym_boolean_literal] = "boolean_literal",
  [sym__string_literal] = "_string_literal",
  [sym_line_string_literal] = "line_string_literal",
  [sym__line_string_content] = "_line_string_content",
  [sym_line_str_text] = "line_str_text",
  [sym_str_escaped_char] = "str_escaped_char",
  [sym__uni_character_literal] = "_uni_character_literal",
  [sym_multi_line_string_literal] = "multi_line_string_literal",
  [sym_raw_string_literal] = "raw_string_literal",
  [sym_raw_str_interpolation] = "raw_str_interpolation",
  [sym__multi_line_string_content] = "_multi_line_string_content",
  [sym__interpolation] = "_interpolation",
  [sym__interpolation_contents] = "_interpolation_contents",
  [sym_multi_line_str_text] = "multi_line_str_text",
  [sym_regex_literal] = "regex_literal",
  [sym__multiline_regex_literal] = "_multiline_regex_literal",
  [sym_type_annotation] = "type_annotation",
  [sym__possibly_implicitly_unwrapped_type] = "_possibly_implicitly_unwrapped_type",
  [sym__type] = "_type",
  [sym__unannotated_type] = "_unannotated_type",
  [sym_user_type] = "user_type",
  [sym__simple_user_type] = "_simple_user_type",
  [sym_tuple_type] = "tuple_type",
  [sym_tuple_type_item] = "tuple_type_item",
  [sym__tuple_type_item_identifier] = "_tuple_type_item_identifier",
  [sym_function_type] = "function_type",
  [sym_array_type] = "array_type",
  [sym_dictionary_type] = "dictionary_type",
  [sym_optional_type] = "optional_type",
  [sym_metatype] = "metatype",
  [sym__quest] = "_quest",
  [sym__immediate_quest] = "\?",
  [sym_opaque_type] = "opaque_type",
  [sym_existential_type] = "existential_type",
  [sym_type_parameter_pack] = "type_parameter_pack",
  [sym_type_pack_expansion] = "type_pack_expansion",
  [sym_protocol_composition_type] = "protocol_composition_type",
  [sym__expression] = "_expression",
  [sym__unary_expression] = "_unary_expression",
  [sym_postfix_expression] = "postfix_expression",
  [sym_constructor_expression] = "constructor_expression",
  [sym__parenthesized_type] = "_parenthesized_type",
  [sym_navigation_expression] = "navigation_expression",
  [sym__navigable_type_expression] = "_navigable_type_expression",
  [sym_open_start_range_expression] = "open_start_range_expression",
  [sym__range_operator] = "_range_operator",
  [sym_open_end_range_expression] = "open_end_range_expression",
  [sym_prefix_expression] = "prefix_expression",
  [sym_as_expression] = "as_expression",
  [sym_selector_expression] = "selector_expression",
  [sym__binary_expression] = "_binary_expression",
  [sym_multiplicative_expression] = "multiplicative_expression",
  [sym_additive_expression] = "additive_expression",
  [sym_range_expression] = "range_expression",
  [sym_infix_expression] = "infix_expression",
  [sym_nil_coalescing_expression] = "nil_coalescing_expression",
  [sym_check_expression] = "check_expression",
  [sym_comparison_expression] = "comparison_expression",
  [sym_equality_expression] = "equality_expression",
  [sym_conjunction_expression] = "conjunction_expression",
  [sym_disjunction_expression] = "disjunction_expression",
  [sym_bitwise_operation] = "bitwise_operation",
  [sym_custom_operator] = "custom_operator",
  [sym_navigation_suffix] = "navigation_suffix",
  [sym_call_suffix] = "call_suffix",
  [sym_constructor_suffix] = "constructor_suffix",
  [sym__constructor_value_arguments] = "value_arguments",
  [sym__fn_call_lambda_arguments] = "_fn_call_lambda_arguments",
  [sym_type_arguments] = "type_arguments",
  [sym_value_arguments] = "value_arguments",
  [sym_value_argument_label] = "value_argument_label",
  [sym_value_argument] = "value_argument",
  [sym_try_expression] = "try_expression",
  [sym_await_expression] = "await_expression",
  [sym__await_operator] = "_await_operator",
  [sym_ternary_expression] = "ternary_expression",
  [sym__expr_hack_at_ternary_binary_suffix] = "_expr_hack_at_ternary_binary_suffix",
  [sym_expr_hack_at_ternary_binary_call] = "call_expression",
  [sym_expr_hack_at_ternary_binary_call_suffix] = "call_suffix",
  [sym_call_expression] = "call_expression",
  [sym__primary_expression] = "_primary_expression",
  [sym_tuple_expression] = "tuple_expression",
  [sym_array_literal] = "array_literal",
  [sym_dictionary_literal] = "dictionary_literal",
  [sym__dictionary_literal_item] = "_dictionary_literal_item",
  [sym__special_literal] = "_special_literal",
  [sym__playground_literal] = "_playground_literal",
  [sym_lambda_literal] = "lambda_literal",
  [sym__lambda_type_declaration] = "_lambda_type_declaration",
  [sym_capture_list] = "capture_list",
  [sym_capture_list_item] = "capture_list_item",
  [sym_lambda_function_type] = "lambda_function_type",
  [sym_lambda_function_type_parameters] = "lambda_function_type_parameters",
  [sym_lambda_parameter] = "lambda_parameter",
  [sym_self_expression] = "self_expression",
  [sym_super_expression] = "super_expression",
  [sym__else_options] = "_else_options",
  [sym_if_statement] = "if_statement",
  [sym__if_condition_sequence_item] = "_if_condition_sequence_item",
  [sym__if_let_binding] = "_if_let_binding",
  [sym_guard_statement] = "guard_statement",
  [sym_switch_statement] = "switch_statement",
  [sym_switch_entry] = "switch_entry",
  [sym_switch_pattern] = "switch_pattern",
  [sym_do_statement] = "do_statement",
  [sym_catch_block] = "catch_block",
  [sym_where_clause] = "where_clause",
  [sym_key_path_expression] = "key_path_expression",
  [sym_key_path_string_expression] = "key_path_string_expression",
  [sym__key_path_component] = "_key_path_component",
  [sym__key_path_postfixes] = "_key_path_postfixes",
  [sym_try_operator] = "try_operator",
  [sym__try_operator_type] = "_try_operator_type",
  [sym__assignment_and_operator] = "_assignment_and_operator",
  [sym__equality_operator] = "_equality_operator",
  [sym__comparison_operator] = "_comparison_operator",
  [sym__three_dot_operator] = "_three_dot_operator",
  [sym__open_ended_range_operator] = "_open_ended_range_operator",
  [sym__is_operator] = "_is_operator",
  [sym__additive_operator] = "_additive_operator",
  [sym__multiplicative_operator] = "_multiplicative_operator",
  [sym_as_operator] = "as_operator",
  [sym__prefix_unary_operator] = "_prefix_unary_operator",
  [sym__bitwise_binary_operator] = "_bitwise_binary_operator",
  [sym__postfix_unary_operator] = "_postfix_unary_operator",
  [sym_directly_assignable_expression] = "directly_assignable_expression",
  [sym_statements] = "statements",
  [sym__local_statement] = "_local_statement",
  [sym__top_level_statement] = "_top_level_statement",
  [sym__block] = "_block",
  [sym__labeled_statement] = "_labeled_statement",
  [sym_for_statement] = "for_statement",
  [sym__for_statement_collection] = "_for_statement_collection",
  [sym_for_statement_await] = "await_expression",
  [sym_while_statement] = "while_statement",
  [sym_repeat_while_statement] = "repeat_while_statement",
  [sym_control_transfer_statement] = "control_transfer_statement",
  [sym__throw_statement] = "_throw_statement",
  [sym__optionally_valueful_control_keyword] = "_optionally_valueful_control_keyword",
  [sym_assignment] = "assignment",
  [sym_value_parameter_pack] = "value_parameter_pack",
  [sym_value_pack_expansion] = "value_pack_expansion",
  [sym_availability_condition] = "availability_condition",
  [sym__availability_argument] = "_availability_argument",
  [sym__global_declaration] = "_global_declaration",
  [sym__type_level_declaration] = "_type_level_declaration",
  [sym__local_declaration] = "_local_declaration",
  [sym__local_property_declaration] = "property_declaration",
  [sym__local_typealias_declaration] = "typealias_declaration",
  [sym__local_function_declaration] = "function_declaration",
  [sym__local_class_declaration] = "class_declaration",
  [sym_import_declaration] = "import_declaration",
  [sym__import_kind] = "_import_kind",
  [sym_protocol_property_declaration] = "protocol_property_declaration",
  [sym_protocol_property_requirements] = "protocol_property_requirements",
  [sym_property_declaration] = "property_declaration",
  [sym__modifierless_property_declaration] = "_modifierless_property_declaration",
  [sym__single_modifierless_property_declaration] = "_single_modifierless_property_declaration",
  [sym__expression_with_willset_didset] = "_expression_with_willset_didset",
  [sym__expression_without_willset_didset] = "_expression_without_willset_didset",
  [sym_willset_didset_block] = "willset_didset_block",
  [sym_willset_clause] = "willset_clause",
  [sym_didset_clause] = "didset_clause",
  [sym_typealias_declaration] = "typealias_declaration",
  [sym__modifierless_typealias_declaration] = "_modifierless_typealias_declaration",
  [sym_function_declaration] = "function_declaration",
  [sym__modifierless_function_declaration] = "_modifierless_function_declaration",
  [sym__bodyless_function_declaration] = "_bodyless_function_declaration",
  [sym__modifierless_function_declaration_no_body] = "_modifierless_function_declaration_no_body",
  [sym_function_body] = "function_body",
  [sym_macro_declaration] = "macro_declaration",
  [sym__macro_head] = "_macro_head",
  [sym__macro_signature] = "_macro_signature",
  [sym_macro_definition] = "macro_definition",
  [sym_external_macro_definition] = "external_macro_definition",
  [sym_class_declaration] = "class_declaration",
  [sym__modifierless_class_declaration] = "_modifierless_class_declaration",
  [sym_class_body] = "class_body",
  [sym__inheritance_specifiers] = "_inheritance_specifiers",
  [sym_inheritance_specifier] = "inheritance_specifier",
  [sym__annotated_inheritance_specifier] = "_annotated_inheritance_specifier",
  [sym_type_parameters] = "type_parameters",
  [sym_type_parameter] = "type_parameter",
  [sym__type_parameter_possibly_packed] = "_type_parameter_possibly_packed",
  [sym_type_constraints] = "type_constraints",
  [sym_type_constraint] = "type_constraint",
  [sym_inheritance_constraint] = "inheritance_constraint",
  [sym_equality_constraint] = "equality_constraint",
  [sym__constrained_type] = "_constrained_type",
  [sym__class_member_separator] = "_class_member_separator",
  [sym__class_member_declarations] = "_class_member_declarations",
  [aux_sym__function_value_parameters] = "_function_value_parameters",
  [sym__function_value_parameter] = "_function_value_parameter",
  [sym_parameter] = "parameter",
  [sym__non_constructor_function_decl] = "_non_constructor_function_decl",
  [sym__referenceable_operator] = "_referenceable_operator",
  [sym__equal_sign] = "_equal_sign",
  [sym__eq_eq] = "_eq_eq",
  [sym__dot] = "_dot",
  [sym__arrow_operator] = "_arrow_operator",
  [sym__conjunction_operator] = "_conjunction_operator",
  [sym__disjunction_operator] = "_disjunction_operator",
  [sym__nil_coalescing_operator] = "_nil_coalescing_operator",
  [sym__as] = "_as",
  [sym__as_quest] = "_as_quest",
  [sym__as_bang] = "_as_bang",
  [sym_bang] = "bang",
  [sym__async_keyword] = "_async_keyword",
  [sym__async_modifier] = "_async_modifier",
  [sym_throws] = "throws",
  [sym_enum_class_body] = "enum_class_body",
  [sym_enum_entry] = "enum_entry",
  [sym__enum_entry_suffix] = "_enum_entry_suffix",
  [sym_enum_type_parameters] = "enum_type_parameters",
  [sym_protocol_declaration] = "protocol_declaration",
  [sym_protocol_body] = "protocol_body",
  [sym__protocol_member_declarations] = "_protocol_member_declarations",
  [sym__protocol_member_declaration] = "_protocol_member_declaration",
  [sym_init_declaration] = "init_declaration",
  [sym_deinit_declaration] = "deinit_declaration",
  [sym_subscript_declaration] = "subscript_declaration",
  [sym_computed_property] = "computed_property",
  [sym_computed_getter] = "computed_getter",
  [sym_computed_modify] = "computed_modify",
  [sym_computed_setter] = "computed_setter",
  [sym_getter_specifier] = "getter_specifier",
  [sym_setter_specifier] = "setter_specifier",
  [sym_modify_specifier] = "modify_specifier",
  [aux_sym__getter_effects] = "_getter_effects",
  [sym_operator_declaration] = "operator_declaration",
  [sym_deprecated_operator_declaration_body] = "deprecated_operator_declaration_body",
  [sym_precedence_group_declaration] = "precedence_group_declaration",
  [sym_precedence_group_attributes] = "precedence_group_attributes",
  [sym_precedence_group_attribute] = "precedence_group_attribute",
  [sym_associatedtype_declaration] = "associatedtype_declaration",
  [sym_attribute] = "attribute",
  [sym__attribute_argument] = "_attribute_argument",
  [sym__universally_allowed_pattern] = "_universally_allowed_pattern",
  [sym__bound_identifier] = "_bound_identifier",
  [sym__binding_pattern_no_expr] = "_binding_pattern_no_expr",
  [sym__no_expr_pattern_already_bound] = "_no_expr_pattern_already_bound",
  [sym__binding_pattern_with_expr] = "pattern",
  [sym__direct_or_indirect_binding] = "_direct_or_indirect_binding",
  [sym_value_binding_pattern] = "value_binding_pattern",
  [sym__possibly_async_binding_pattern_kind] = "_possibly_async_binding_pattern_kind",
  [sym__binding_kind_and_pattern] = "_binding_kind_and_pattern",
  [sym__tuple_pattern_item] = "_tuple_pattern_item",
  [sym__tuple_pattern] = "_tuple_pattern",
  [sym__case_pattern] = "_case_pattern",
  [sym__type_casting_pattern] = "_type_casting_pattern",
  [sym__binding_pattern] = "_binding_pattern",
  [sym_modifiers] = "modifiers",
  [aux_sym__locally_permitted_modifiers] = "_locally_permitted_modifiers",
  [sym_parameter_modifiers] = "parameter_modifiers",
  [sym__non_local_scope_modifier] = "_non_local_scope_modifier",
  [sym__locally_permitted_modifier] = "_locally_permitted_modifier",
  [sym_property_behavior_modifier] = "property_behavior_modifier",
  [sym_type_modifiers] = "type_modifiers",
  [sym_member_modifier] = "member_modifier",
  [sym_visibility_modifier] = "visibility_modifier",
  [sym_type_parameter_modifiers] = "type_parameter_modifiers",
  [sym_function_modifier] = "function_modifier",
  [sym_mutation_modifier] = "mutation_modifier",
  [sym_property_modifier] = "property_modifier",
  [sym_inheritance_modifier] = "inheritance_modifier",
  [sym_parameter_modifier] = "parameter_modifier",
  [sym_ownership_modifier] = "ownership_modifier",
  [sym__parameter_ownership_modifier] = "_parameter_ownership_modifier",
  [aux_sym_source_file_repeat1] = "source_file_repeat1",
  [aux_sym_identifier_repeat1] = "identifier_repeat1",
  [aux_sym_line_string_literal_repeat1] = "line_string_literal_repeat1",
  [aux_sym_multi_line_string_literal_repeat1] = "multi_line_string_literal_repeat1",
  [aux_sym_raw_string_literal_repeat1] = "raw_string_literal_repeat1",
  [aux_sym__interpolation_contents_repeat1] = "_interpolation_contents_repeat1",
  [aux_sym_user_type_repeat1] = "user_type_repeat1",
  [aux_sym_tuple_type_repeat1] = "tuple_type_repeat1",
  [aux_sym_optional_type_repeat1] = "optional_type_repeat1",
  [aux_sym_protocol_composition_type_repeat1] = "protocol_composition_type_repeat1",
  [aux_sym__constructor_value_arguments_repeat1] = "_constructor_value_arguments_repeat1",
  [aux_sym__fn_call_lambda_arguments_repeat1] = "_fn_call_lambda_arguments_repeat1",
  [aux_sym_type_arguments_repeat1] = "type_arguments_repeat1",
  [aux_sym_value_argument_repeat1] = "value_argument_repeat1",
  [aux_sym_tuple_expression_repeat1] = "tuple_expression_repeat1",
  [aux_sym_array_literal_repeat1] = "array_literal_repeat1",
  [aux_sym_dictionary_literal_repeat1] = "dictionary_literal_repeat1",
  [aux_sym__playground_literal_repeat1] = "_playground_literal_repeat1",
  [aux_sym__lambda_type_declaration_repeat1] = "_lambda_type_declaration_repeat1",
  [aux_sym_capture_list_repeat1] = "capture_list_repeat1",
  [aux_sym_lambda_function_type_parameters_repeat1] = "lambda_function_type_parameters_repeat1",
  [aux_sym_if_statement_repeat1] = "if_statement_repeat1",
  [aux_sym_switch_statement_repeat1] = "switch_statement_repeat1",
  [aux_sym_switch_entry_repeat1] = "switch_entry_repeat1",
  [aux_sym_do_statement_repeat1] = "do_statement_repeat1",
  [aux_sym_key_path_expression_repeat1] = "key_path_expression_repeat1",
  [aux_sym__key_path_component_repeat1] = "_key_path_component_repeat1",
  [aux_sym_statements_repeat1] = "statements_repeat1",
  [aux_sym_repeat_while_statement_repeat1] = "repeat_while_statement_repeat1",
  [aux_sym_availability_condition_repeat1] = "availability_condition_repeat1",
  [aux_sym__availability_argument_repeat1] = "_availability_argument_repeat1",
  [aux_sym_protocol_property_requirements_repeat1] = "protocol_property_requirements_repeat1",
  [aux_sym__modifierless_property_declaration_repeat1] = "_modifierless_property_declaration_repeat1",
  [aux_sym__inheritance_specifiers_repeat1] = "_inheritance_specifiers_repeat1",
  [aux_sym_type_parameters_repeat1] = "type_parameters_repeat1",
  [aux_sym_type_constraints_repeat1] = "type_constraints_repeat1",
  [aux_sym__constrained_type_repeat1] = "_constrained_type_repeat1",
  [aux_sym__class_member_declarations_repeat1] = "_class_member_declarations_repeat1",
  [aux_sym__function_value_parameters_repeat1] = "_function_value_parameters_repeat1",
  [aux_sym_enum_class_body_repeat1] = "enum_class_body_repeat1",
  [aux_sym_enum_entry_repeat1] = "enum_entry_repeat1",
  [aux_sym_enum_type_parameters_repeat1] = "enum_type_parameters_repeat1",
  [aux_sym__protocol_member_declarations_repeat1] = "_protocol_member_declarations_repeat1",
  [aux_sym_computed_property_repeat1] = "computed_property_repeat1",
  [aux_sym_deprecated_operator_declaration_body_repeat1] = "deprecated_operator_declaration_body_repeat1",
  [aux_sym_precedence_group_attributes_repeat1] = "precedence_group_attributes_repeat1",
  [aux_sym_attribute_repeat1] = "attribute_repeat1",
  [aux_sym__attribute_argument_repeat1] = "_attribute_argument_repeat1",
  [aux_sym__attribute_argument_repeat2] = "_attribute_argument_repeat2",
  [aux_sym__tuple_pattern_repeat1] = "_tuple_pattern_repeat1",
  [aux_sym_modifiers_repeat1] = "modifiers_repeat1",
  [aux_sym_parameter_modifiers_repeat1] = "parameter_modifiers_repeat1",
  [alias_sym__expression] = "_expression",
  [alias_sym_fully_open_range] = "fully_open_range",
  [alias_sym_interpolated_expression] = "interpolated_expression",
  [alias_sym_protocol_function_declaration] = "protocol_function_declaration",
  [alias_sym_type_identifier] = "type_identifier",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [anon_sym_POUND_BANG] = anon_sym_POUND_BANG,
  [aux_sym_shebang_line_token1] = aux_sym_shebang_line_token1,
  [sym_comment] = sym_comment,
  [aux_sym_simple_identifier_token1] = aux_sym_simple_identifier_token1,
  [aux_sym_simple_identifier_token2] = aux_sym_simple_identifier_token2,
  [aux_sym_simple_identifier_token3] = aux_sym_simple_identifier_token3,
  [aux_sym_simple_identifier_token4] = aux_sym_simple_identifier_token4,
  [anon_sym_actor] = anon_sym_actor,
  [anon_sym_async] = anon_sym_async,
  [anon_sym_each] = anon_sym_each,
  [anon_sym_lazy] = anon_sym_lazy,
  [anon_sym_repeat] = anon_sym_repeat,
  [anon_sym_package] = anon_sym_package,
  [anon_sym_nil] = anon_sym_nil,
  [sym_real_literal] = sym_real_literal,
  [sym_integer_literal] = sym_integer_literal,
  [sym_hex_literal] = sym_hex_literal,
  [sym_oct_literal] = sym_oct_literal,
  [sym_bin_literal] = sym_bin_literal,
  [anon_sym_true] = anon_sym_true,
  [anon_sym_false] = anon_sym_false,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [aux_sym_line_str_text_token1] = aux_sym_line_str_text_token1,
  [anon_sym_BSLASH] = anon_sym_BSLASH,
  [anon_sym_u] = anon_sym_u,
  [aux_sym__uni_character_literal_token1] = aux_sym__uni_character_literal_token1,
  [anon_sym_DQUOTE_DQUOTE_DQUOTE] = anon_sym_DQUOTE_DQUOTE_DQUOTE,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [sym_raw_str_interpolation_start] = sym_raw_str_interpolation_start,
  [anon_sym_BSLASH_LPAREN] = anon_sym_BSLASH_LPAREN,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [sym__escaped_identifier] = sym__escaped_identifier,
  [sym__extended_regex_literal] = sym__extended_regex_literal,
  [aux_sym__multiline_regex_literal_token1] = aux_sym__multiline_regex_literal_token1,
  [aux_sym__multiline_regex_literal_token2] = aux_sym__multiline_regex_literal_token2,
  [sym__oneline_regex_literal] = sym__oneline_regex_literal,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_Type] = anon_sym_Type,
  [anon_sym_Protocol] = anon_sym_Protocol,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_QMARK2] = anon_sym_QMARK,
  [anon_sym_some] = anon_sym_some,
  [anon_sym_any] = anon_sym_any,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_switch] = anon_sym_switch,
  [anon_sym_POUNDselector] = anon_sym_POUNDselector,
  [anon_sym_getter_COLON] = anon_sym_getter_COLON,
  [anon_sym_setter_COLON] = anon_sym_setter_COLON,
  [aux_sym_custom_operator_token1] = aux_sym_custom_operator_token1,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_await] = anon_sym_await,
  [anon_sym_POUNDfile] = anon_sym_POUNDfile,
  [anon_sym_POUNDfileID] = anon_sym_POUNDfileID,
  [anon_sym_POUNDfilePath] = anon_sym_POUNDfilePath,
  [anon_sym_POUNDline] = anon_sym_POUNDline,
  [anon_sym_POUNDcolumn] = anon_sym_POUNDcolumn,
  [anon_sym_POUNDfunction] = anon_sym_POUNDfunction,
  [anon_sym_POUNDdsohandle] = anon_sym_POUNDdsohandle,
  [anon_sym_POUNDcolorLiteral] = anon_sym_POUNDcolorLiteral,
  [anon_sym_POUNDfileLiteral] = anon_sym_POUNDfileLiteral,
  [anon_sym_POUNDimageLiteral] = anon_sym_POUNDimageLiteral,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_CARET_LBRACE] = anon_sym_CARET_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_in] = anon_sym_in,
  [anon_sym_self] = anon_sym_self,
  [anon_sym_super] = anon_sym_super,
  [anon_sym_guard] = anon_sym_guard,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_fallthrough] = anon_sym_fallthrough,
  [anon_sym_do] = anon_sym_do,
  [anon_sym_POUNDkeyPath] = anon_sym_POUNDkeyPath,
  [anon_sym_try] = anon_sym_try,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_BANG_EQ_EQ] = anon_sym_BANG_EQ_EQ,
  [anon_sym_EQ_EQ_EQ] = anon_sym_EQ_EQ_EQ,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_DOT_DOT_LT] = anon_sym_DOT_DOT_LT,
  [anon_sym_is] = anon_sym_is,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [sym_statement_label] = sym_statement_label,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_while] = anon_sym_while,
  [sym_throw_keyword] = sym_throw_keyword,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_continue] = anon_sym_continue,
  [anon_sym_break] = anon_sym_break,
  [anon_sym_yield] = anon_sym_yield,
  [anon_sym_POUNDavailable] = anon_sym_POUNDavailable,
  [anon_sym_POUNDunavailable] = anon_sym_POUNDunavailable,
  [anon_sym_import] = anon_sym_import,
  [anon_sym_typealias] = anon_sym_typealias,
  [anon_sym_struct] = anon_sym_struct,
  [anon_sym_class] = anon_sym_class,
  [anon_sym_enum] = anon_sym_enum,
  [anon_sym_protocol] = anon_sym_protocol,
  [anon_sym_let] = anon_sym_let,
  [anon_sym_var] = anon_sym_var,
  [anon_sym_func] = anon_sym_func,
  [anon_sym_willSet] = anon_sym_willSet,
  [anon_sym_didSet] = anon_sym_didSet,
  [anon_sym_macro] = anon_sym_macro,
  [anon_sym_POUNDexternalMacro] = anon_sym_POUNDexternalMacro,
  [anon_sym_extension] = anon_sym_extension,
  [anon_sym_indirect] = anon_sym_indirect,
  [anon_sym_BANG2] = anon_sym_BANG,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_init] = anon_sym_init,
  [anon_sym_deinit] = anon_sym_deinit,
  [anon_sym_subscript] = anon_sym_subscript,
  [anon_sym_get] = anon_sym_get,
  [anon_sym_set] = anon_sym_set,
  [anon_sym__modify] = anon_sym__modify,
  [anon_sym_prefix] = anon_sym_prefix,
  [anon_sym_infix] = anon_sym_infix,
  [anon_sym_postfix] = anon_sym_postfix,
  [anon_sym_operator] = anon_sym_operator,
  [anon_sym_precedencegroup] = anon_sym_precedencegroup,
  [anon_sym_associatedtype] = anon_sym_associatedtype,
  [anon_sym_AT] = anon_sym_AT,
  [sym_wildcard_pattern] = sym_wildcard_pattern,
  [anon_sym_override] = anon_sym_override,
  [anon_sym_convenience] = anon_sym_convenience,
  [anon_sym_required] = anon_sym_required,
  [anon_sym_nonisolated] = anon_sym_nonisolated,
  [anon_sym_public] = anon_sym_public,
  [anon_sym_private] = anon_sym_private,
  [anon_sym_internal] = anon_sym_internal,
  [anon_sym_fileprivate] = anon_sym_fileprivate,
  [anon_sym_open] = anon_sym_open,
  [anon_sym_mutating] = anon_sym_mutating,
  [anon_sym_nonmutating] = anon_sym_nonmutating,
  [anon_sym_static] = anon_sym_static,
  [anon_sym_dynamic] = anon_sym_dynamic,
  [anon_sym_optional] = anon_sym_optional,
  [anon_sym_distributed] = anon_sym_distributed,
  [anon_sym_final] = anon_sym_final,
  [anon_sym_inout] = anon_sym_inout,
  [anon_sym_ATescaping] = anon_sym_ATescaping,
  [anon_sym_ATautoclosure] = anon_sym_ATautoclosure,
  [anon_sym_weak] = anon_sym_weak,
  [anon_sym_unowned] = anon_sym_unowned,
  [anon_sym_unowned_LPARENsafe_RPAREN] = anon_sym_unowned_LPARENsafe_RPAREN,
  [anon_sym_unowned_LPARENunsafe_RPAREN] = anon_sym_unowned_LPARENunsafe_RPAREN,
  [anon_sym_borrowing] = anon_sym_borrowing,
  [anon_sym_consuming] = anon_sym_consuming,
  [anon_sym_property] = anon_sym_property,
  [anon_sym_receiver] = anon_sym_receiver,
  [anon_sym_param] = anon_sym_param,
  [anon_sym_setparam] = anon_sym_setparam,
  [anon_sym_delegate] = anon_sym_delegate,
  [sym_directive] = sym_directive,
  [sym_diagnostic] = sym_diagnostic,
  [anon_sym_unused1] = anon_sym_unused1,
  [anon_sym_unused2] = anon_sym_unused2,
  [sym_multiline_comment] = sym_multiline_comment,
  [sym_raw_str_part] = sym_raw_str_part,
  [sym_raw_str_continuing_indicator] = sym_raw_str_continuing_indicator,
  [sym_raw_str_end_part] = sym_raw_str_end_part,
  [sym__implicit_semi] = sym__implicit_semi,
  [sym__explicit_semi] = sym__explicit_semi,
  [sym__arrow_operator_custom] = sym__arrow_operator_custom,
  [sym__dot_custom] = anon_sym_DOT,
  [sym__conjunction_operator_custom] = sym__conjunction_operator_custom,
  [sym__disjunction_operator_custom] = sym__disjunction_operator_custom,
  [sym__nil_coalescing_operator_custom] = sym__nil_coalescing_operator_custom,
  [sym__eq_custom] = sym__eq_custom,
  [sym__eq_eq_custom] = sym__eq_eq_custom,
  [sym__plus_then_ws] = anon_sym_PLUS,
  [sym__minus_then_ws] = anon_sym_DASH,
  [sym__bang_custom] = sym__bang_custom,
  [sym__throws_keyword] = sym__throws_keyword,
  [sym__rethrows_keyword] = sym__rethrows_keyword,
  [sym_default_keyword] = sym_default_keyword,
  [sym_where_keyword] = sym_where_keyword,
  [sym_else] = sym_else,
  [sym_catch_keyword] = sym_catch_keyword,
  [sym__as_custom] = sym__as_custom,
  [sym__as_quest_custom] = sym__as_quest_custom,
  [sym__as_bang_custom] = sym__as_bang_custom,
  [sym__async_keyword_custom] = anon_sym_async,
  [sym__custom_operator] = sym__custom_operator,
  [sym__fake_try_bang] = sym__fake_try_bang,
  [sym_source_file] = sym_source_file,
  [sym__semi] = sym__semi,
  [sym_shebang_line] = sym_shebang_line,
  [sym_simple_identifier] = sym_simple_identifier,
  [sym__contextual_simple_identifier] = sym__contextual_simple_identifier,
  [sym_identifier] = sym_identifier,
  [sym__basic_literal] = sym__basic_literal,
  [sym_boolean_literal] = sym_boolean_literal,
  [sym__string_literal] = sym__string_literal,
  [sym_line_string_literal] = sym_line_string_literal,
  [sym__line_string_content] = sym__line_string_content,
  [sym_line_str_text] = sym_line_str_text,
  [sym_str_escaped_char] = sym_str_escaped_char,
  [sym__uni_character_literal] = sym__uni_character_literal,
  [sym_multi_line_string_literal] = sym_multi_line_string_literal,
  [sym_raw_string_literal] = sym_raw_string_literal,
  [sym_raw_str_interpolation] = sym_raw_str_interpolation,
  [sym__multi_line_string_content] = sym__multi_line_string_content,
  [sym__interpolation] = sym__interpolation,
  [sym__interpolation_contents] = sym__interpolation_contents,
  [sym_multi_line_str_text] = sym_multi_line_str_text,
  [sym_regex_literal] = sym_regex_literal,
  [sym__multiline_regex_literal] = sym__multiline_regex_literal,
  [sym_type_annotation] = sym_type_annotation,
  [sym__possibly_implicitly_unwrapped_type] = sym__possibly_implicitly_unwrapped_type,
  [sym__type] = sym__type,
  [sym__unannotated_type] = sym__unannotated_type,
  [sym_user_type] = sym_user_type,
  [sym__simple_user_type] = sym__simple_user_type,
  [sym_tuple_type] = sym_tuple_type,
  [sym_tuple_type_item] = sym_tuple_type_item,
  [sym__tuple_type_item_identifier] = sym__tuple_type_item_identifier,
  [sym_function_type] = sym_function_type,
  [sym_array_type] = sym_array_type,
  [sym_dictionary_type] = sym_dictionary_type,
  [sym_optional_type] = sym_optional_type,
  [sym_metatype] = sym_metatype,
  [sym__quest] = sym__quest,
  [sym__immediate_quest] = anon_sym_QMARK,
  [sym_opaque_type] = sym_opaque_type,
  [sym_existential_type] = sym_existential_type,
  [sym_type_parameter_pack] = sym_type_parameter_pack,
  [sym_type_pack_expansion] = sym_type_pack_expansion,
  [sym_protocol_composition_type] = sym_protocol_composition_type,
  [sym__expression] = sym__expression,
  [sym__unary_expression] = sym__unary_expression,
  [sym_postfix_expression] = sym_postfix_expression,
  [sym_constructor_expression] = sym_constructor_expression,
  [sym__parenthesized_type] = sym__parenthesized_type,
  [sym_navigation_expression] = sym_navigation_expression,
  [sym__navigable_type_expression] = sym__navigable_type_expression,
  [sym_open_start_range_expression] = sym_open_start_range_expression,
  [sym__range_operator] = sym__range_operator,
  [sym_open_end_range_expression] = sym_open_end_range_expression,
  [sym_prefix_expression] = sym_prefix_expression,
  [sym_as_expression] = sym_as_expression,
  [sym_selector_expression] = sym_selector_expression,
  [sym__binary_expression] = sym__binary_expression,
  [sym_multiplicative_expression] = sym_multiplicative_expression,
  [sym_additive_expression] = sym_additive_expression,
  [sym_range_expression] = sym_range_expression,
  [sym_infix_expression] = sym_infix_expression,
  [sym_nil_coalescing_expression] = sym_nil_coalescing_expression,
  [sym_check_expression] = sym_check_expression,
  [sym_comparison_expression] = sym_comparison_expression,
  [sym_equality_expression] = sym_equality_expression,
  [sym_conjunction_expression] = sym_conjunction_expression,
  [sym_disjunction_expression] = sym_disjunction_expression,
  [sym_bitwise_operation] = sym_bitwise_operation,
  [sym_custom_operator] = sym_custom_operator,
  [sym_navigation_suffix] = sym_navigation_suffix,
  [sym_call_suffix] = sym_call_suffix,
  [sym_constructor_suffix] = sym_constructor_suffix,
  [sym__constructor_value_arguments] = sym_value_arguments,
  [sym__fn_call_lambda_arguments] = sym__fn_call_lambda_arguments,
  [sym_type_arguments] = sym_type_arguments,
  [sym_value_arguments] = sym_value_arguments,
  [sym_value_argument_label] = sym_value_argument_label,
  [sym_value_argument] = sym_value_argument,
  [sym_try_expression] = sym_try_expression,
  [sym_await_expression] = sym_await_expression,
  [sym__await_operator] = sym__await_operator,
  [sym_ternary_expression] = sym_ternary_expression,
  [sym__expr_hack_at_ternary_binary_suffix] = sym__expr_hack_at_ternary_binary_suffix,
  [sym_expr_hack_at_ternary_binary_call] = sym_call_expression,
  [sym_expr_hack_at_ternary_binary_call_suffix] = sym_call_suffix,
  [sym_call_expression] = sym_call_expression,
  [sym__primary_expression] = sym__primary_expression,
  [sym_tuple_expression] = sym_tuple_expression,
  [sym_array_literal] = sym_array_literal,
  [sym_dictionary_literal] = sym_dictionary_literal,
  [sym__dictionary_literal_item] = sym__dictionary_literal_item,
  [sym__special_literal] = sym__special_literal,
  [sym__playground_literal] = sym__playground_literal,
  [sym_lambda_literal] = sym_lambda_literal,
  [sym__lambda_type_declaration] = sym__lambda_type_declaration,
  [sym_capture_list] = sym_capture_list,
  [sym_capture_list_item] = sym_capture_list_item,
  [sym_lambda_function_type] = sym_lambda_function_type,
  [sym_lambda_function_type_parameters] = sym_lambda_function_type_parameters,
  [sym_lambda_parameter] = sym_lambda_parameter,
  [sym_self_expression] = sym_self_expression,
  [sym_super_expression] = sym_super_expression,
  [sym__else_options] = sym__else_options,
  [sym_if_statement] = sym_if_statement,
  [sym__if_condition_sequence_item] = sym__if_condition_sequence_item,
  [sym__if_let_binding] = sym__if_let_binding,
  [sym_guard_statement] = sym_guard_statement,
  [sym_switch_statement] = sym_switch_statement,
  [sym_switch_entry] = sym_switch_entry,
  [sym_switch_pattern] = sym_switch_pattern,
  [sym_do_statement] = sym_do_statement,
  [sym_catch_block] = sym_catch_block,
  [sym_where_clause] = sym_where_clause,
  [sym_key_path_expression] = sym_key_path_expression,
  [sym_key_path_string_expression] = sym_key_path_string_expression,
  [sym__key_path_component] = sym__key_path_component,
  [sym__key_path_postfixes] = sym__key_path_postfixes,
  [sym_try_operator] = sym_try_operator,
  [sym__try_operator_type] = sym__try_operator_type,
  [sym__assignment_and_operator] = sym__assignment_and_operator,
  [sym__equality_operator] = sym__equality_operator,
  [sym__comparison_operator] = sym__comparison_operator,
  [sym__three_dot_operator] = sym__three_dot_operator,
  [sym__open_ended_range_operator] = sym__open_ended_range_operator,
  [sym__is_operator] = sym__is_operator,
  [sym__additive_operator] = sym__additive_operator,
  [sym__multiplicative_operator] = sym__multiplicative_operator,
  [sym_as_operator] = sym_as_operator,
  [sym__prefix_unary_operator] = sym__prefix_unary_operator,
  [sym__bitwise_binary_operator] = sym__bitwise_binary_operator,
  [sym__postfix_unary_operator] = sym__postfix_unary_operator,
  [sym_directly_assignable_expression] = sym_directly_assignable_expression,
  [sym_statements] = sym_statements,
  [sym__local_statement] = sym__local_statement,
  [sym__top_level_statement] = sym__top_level_statement,
  [sym__block] = sym__block,
  [sym__labeled_statement] = sym__labeled_statement,
  [sym_for_statement] = sym_for_statement,
  [sym__for_statement_collection] = sym__for_statement_collection,
  [sym_for_statement_await] = sym_await_expression,
  [sym_while_statement] = sym_while_statement,
  [sym_repeat_while_statement] = sym_repeat_while_statement,
  [sym_control_transfer_statement] = sym_control_transfer_statement,
  [sym__throw_statement] = sym__throw_statement,
  [sym__optionally_valueful_control_keyword] = sym__optionally_valueful_control_keyword,
  [sym_assignment] = sym_assignment,
  [sym_value_parameter_pack] = sym_value_parameter_pack,
  [sym_value_pack_expansion] = sym_value_pack_expansion,
  [sym_availability_condition] = sym_availability_condition,
  [sym__availability_argument] = sym__availability_argument,
  [sym__global_declaration] = sym__global_declaration,
  [sym__type_level_declaration] = sym__type_level_declaration,
  [sym__local_declaration] = sym__local_declaration,
  [sym__local_property_declaration] = sym_property_declaration,
  [sym__local_typealias_declaration] = sym_typealias_declaration,
  [sym__local_function_declaration] = sym_function_declaration,
  [sym__local_class_declaration] = sym_class_declaration,
  [sym_import_declaration] = sym_import_declaration,
  [sym__import_kind] = sym__import_kind,
  [sym_protocol_property_declaration] = sym_protocol_property_declaration,
  [sym_protocol_property_requirements] = sym_protocol_property_requirements,
  [sym_property_declaration] = sym_property_declaration,
  [sym__modifierless_property_declaration] = sym__modifierless_property_declaration,
  [sym__single_modifierless_property_declaration] = sym__single_modifierless_property_declaration,
  [sym__expression_with_willset_didset] = sym__expression_with_willset_didset,
  [sym__expression_without_willset_didset] = sym__expression_without_willset_didset,
  [sym_willset_didset_block] = sym_willset_didset_block,
  [sym_willset_clause] = sym_willset_clause,
  [sym_didset_clause] = sym_didset_clause,
  [sym_typealias_declaration] = sym_typealias_declaration,
  [sym__modifierless_typealias_declaration] = sym__modifierless_typealias_declaration,
  [sym_function_declaration] = sym_function_declaration,
  [sym__modifierless_function_declaration] = sym__modifierless_function_declaration,
  [sym__bodyless_function_declaration] = sym__bodyless_function_declaration,
  [sym__modifierless_function_declaration_no_body] = sym__modifierless_function_declaration_no_body,
  [sym_function_body] = sym_function_body,
  [sym_macro_declaration] = sym_macro_declaration,
  [sym__macro_head] = sym__macro_head,
  [sym__macro_signature] = sym__macro_signature,
  [sym_macro_definition] = sym_macro_definition,
  [sym_external_macro_definition] = sym_external_macro_definition,
  [sym_class_declaration] = sym_class_declaration,
  [sym__modifierless_class_declaration] = sym__modifierless_class_declaration,
  [sym_class_body] = sym_class_body,
  [sym__inheritance_specifiers] = sym__inheritance_specifiers,
  [sym_inheritance_specifier] = sym_inheritance_specifier,
  [sym__annotated_inheritance_specifier] = sym__annotated_inheritance_specifier,
  [sym_type_parameters] = sym_type_parameters,
  [sym_type_parameter] = sym_type_parameter,
  [sym__type_parameter_possibly_packed] = sym__type_parameter_possibly_packed,
  [sym_type_constraints] = sym_type_constraints,
  [sym_type_constraint] = sym_type_constraint,
  [sym_inheritance_constraint] = sym_inheritance_constraint,
  [sym_equality_constraint] = sym_equality_constraint,
  [sym__constrained_type] = sym__constrained_type,
  [sym__class_member_separator] = sym__class_member_separator,
  [sym__class_member_declarations] = sym__class_member_declarations,
  [aux_sym__function_value_parameters] = aux_sym__function_value_parameters,
  [sym__function_value_parameter] = sym__function_value_parameter,
  [sym_parameter] = sym_parameter,
  [sym__non_constructor_function_decl] = sym__non_constructor_function_decl,
  [sym__referenceable_operator] = sym__referenceable_operator,
  [sym__equal_sign] = sym__equal_sign,
  [sym__eq_eq] = sym__eq_eq,
  [sym__dot] = sym__dot,
  [sym__arrow_operator] = sym__arrow_operator,
  [sym__conjunction_operator] = sym__conjunction_operator,
  [sym__disjunction_operator] = sym__disjunction_operator,
  [sym__nil_coalescing_operator] = sym__nil_coalescing_operator,
  [sym__as] = sym__as,
  [sym__as_quest] = sym__as_quest,
  [sym__as_bang] = sym__as_bang,
  [sym_bang] = sym_bang,
  [sym__async_keyword] = sym__async_keyword,
  [sym__async_modifier] = sym__async_modifier,
  [sym_throws] = sym_throws,
  [sym_enum_class_body] = sym_enum_class_body,
  [sym_enum_entry] = sym_enum_entry,
  [sym__enum_entry_suffix] = sym__enum_entry_suffix,
  [sym_enum_type_parameters] = sym_enum_type_parameters,
  [sym_protocol_declaration] = sym_protocol_declaration,
  [sym_protocol_body] = sym_protocol_body,
  [sym__protocol_member_declarations] = sym__protocol_member_declarations,
  [sym__protocol_member_declaration] = sym__protocol_member_declaration,
  [sym_init_declaration] = sym_init_declaration,
  [sym_deinit_declaration] = sym_deinit_declaration,
  [sym_subscript_declaration] = sym_subscript_declaration,
  [sym_computed_property] = sym_computed_property,
  [sym_computed_getter] = sym_computed_getter,
  [sym_computed_modify] = sym_computed_modify,
  [sym_computed_setter] = sym_computed_setter,
  [sym_getter_specifier] = sym_getter_specifier,
  [sym_setter_specifier] = sym_setter_specifier,
  [sym_modify_specifier] = sym_modify_specifier,
  [aux_sym__getter_effects] = aux_sym__getter_effects,
  [sym_operator_declaration] = sym_operator_declaration,
  [sym_deprecated_operator_declaration_body] = sym_deprecated_operator_declaration_body,
  [sym_precedence_group_declaration] = sym_precedence_group_declaration,
  [sym_precedence_group_attributes] = sym_precedence_group_attributes,
  [sym_precedence_group_attribute] = sym_precedence_group_attribute,
  [sym_associatedtype_declaration] = sym_associatedtype_declaration,
  [sym_attribute] = sym_attribute,
  [sym__attribute_argument] = sym__attribute_argument,
  [sym__universally_allowed_pattern] = sym__universally_allowed_pattern,
  [sym__bound_identifier] = sym__bound_identifier,
  [sym__binding_pattern_no_expr] = sym__binding_pattern_no_expr,
  [sym__no_expr_pattern_already_bound] = sym__no_expr_pattern_already_bound,
  [sym__binding_pattern_with_expr] = sym__binding_pattern_with_expr,
  [sym__direct_or_indirect_binding] = sym__direct_or_indirect_binding,
  [sym_value_binding_pattern] = sym_value_binding_pattern,
  [sym__possibly_async_binding_pattern_kind] = sym__possibly_async_binding_pattern_kind,
  [sym__binding_kind_and_pattern] = sym__binding_kind_and_pattern,
  [sym__tuple_pattern_item] = sym__tuple_pattern_item,
  [sym__tuple_pattern] = sym__tuple_pattern,
  [sym__case_pattern] = sym__case_pattern,
  [sym__type_casting_pattern] = sym__type_casting_pattern,
  [sym__binding_pattern] = sym__binding_pattern,
  [sym_modifiers] = sym_modifiers,
  [aux_sym__locally_permitted_modifiers] = aux_sym__locally_permitted_modifiers,
  [sym_parameter_modifiers] = sym_parameter_modifiers,
  [sym__non_local_scope_modifier] = sym__non_local_scope_modifier,
  [sym__locally_permitted_modifier] = sym__locally_permitted_modifier,
  [sym_property_behavior_modifier] = sym_property_behavior_modifier,
  [sym_type_modifiers] = sym_type_modifiers,
  [sym_member_modifier] = sym_member_modifier,
  [sym_visibility_modifier] = sym_visibility_modifier,
  [sym_type_parameter_modifiers] = sym_type_parameter_modifiers,
  [sym_function_modifier] = sym_function_modifier,
  [sym_mutation_modifier] = sym_mutation_modifier,
  [sym_property_modifier] = sym_property_modifier,
  [sym_inheritance_modifier] = sym_inheritance_modifier,
  [sym_parameter_modifier] = sym_parameter_modifier,
  [sym_ownership_modifier] = sym_ownership_modifier,
  [sym__parameter_ownership_modifier] = sym__parameter_ownership_modifier,
  [aux_sym_source_file_repeat1] = aux_sym_source_file_repeat1,
  [aux_sym_identifier_repeat1] = aux_sym_identifier_repeat1,
  [aux_sym_line_string_literal_repeat1] = aux_sym_line_string_literal_repeat1,
  [aux_sym_multi_line_string_literal_repeat1] = aux_sym_multi_line_string_literal_repeat1,
  [aux_sym_raw_string_literal_repeat1] = aux_sym_raw_string_literal_repeat1,
  [aux_sym__interpolation_contents_repeat1] = aux_sym__interpolation_contents_repeat1,
  [aux_sym_user_type_repeat1] = aux_sym_user_type_repeat1,
  [aux_sym_tuple_type_repeat1] = aux_sym_tuple_type_repeat1,
  [aux_sym_optional_type_repeat1] = aux_sym_optional_type_repeat1,
  [aux_sym_protocol_composition_type_repeat1] = aux_sym_protocol_composition_type_repeat1,
  [aux_sym__constructor_value_arguments_repeat1] = aux_sym__constructor_value_arguments_repeat1,
  [aux_sym__fn_call_lambda_arguments_repeat1] = aux_sym__fn_call_lambda_arguments_repeat1,
  [aux_sym_type_arguments_repeat1] = aux_sym_type_arguments_repeat1,
  [aux_sym_value_argument_repeat1] = aux_sym_value_argument_repeat1,
  [aux_sym_tuple_expression_repeat1] = aux_sym_tuple_expression_repeat1,
  [aux_sym_array_literal_repeat1] = aux_sym_array_literal_repeat1,
  [aux_sym_dictionary_literal_repeat1] = aux_sym_dictionary_literal_repeat1,
  [aux_sym__playground_literal_repeat1] = aux_sym__playground_literal_repeat1,
  [aux_sym__lambda_type_declaration_repeat1] = aux_sym__lambda_type_declaration_repeat1,
  [aux_sym_capture_list_repeat1] = aux_sym_capture_list_repeat1,
  [aux_sym_lambda_function_type_parameters_repeat1] = aux_sym_lambda_function_type_parameters_repeat1,
  [aux_sym_if_statement_repeat1] = aux_sym_if_statement_repeat1,
  [aux_sym_switch_statement_repeat1] = aux_sym_switch_statement_repeat1,
  [aux_sym_switch_entry_repeat1] = aux_sym_switch_entry_repeat1,
  [aux_sym_do_statement_repeat1] = aux_sym_do_statement_repeat1,
  [aux_sym_key_path_expression_repeat1] = aux_sym_key_path_expression_repeat1,
  [aux_sym__key_path_component_repeat1] = aux_sym__key_path_component_repeat1,
  [aux_sym_statements_repeat1] = aux_sym_statements_repeat1,
  [aux_sym_repeat_while_statement_repeat1] = aux_sym_repeat_while_statement_repeat1,
  [aux_sym_availability_condition_repeat1] = aux_sym_availability_condition_repeat1,
  [aux_sym__availability_argument_repeat1] = aux_sym__availability_argument_repeat1,
  [aux_sym_protocol_property_requirements_repeat1] = aux_sym_protocol_property_requirements_repeat1,
  [aux_sym__modifierless_property_declaration_repeat1] = aux_sym__modifierless_property_declaration_repeat1,
  [aux_sym__inheritance_specifiers_repeat1] = aux_sym__inheritance_specifiers_repeat1,
  [aux_sym_type_parameters_repeat1] = aux_sym_type_parameters_repeat1,
  [aux_sym_type_constraints_repeat1] = aux_sym_type_constraints_repeat1,
  [aux_sym__constrained_type_repeat1] = aux_sym__constrained_type_repeat1,
  [aux_sym__class_member_declarations_repeat1] = aux_sym__class_member_declarations_repeat1,
  [aux_sym__function_value_parameters_repeat1] = aux_sym__function_value_parameters_repeat1,
  [aux_sym_enum_class_body_repeat1] = aux_sym_enum_class_body_repeat1,
  [aux_sym_enum_entry_repeat1] = aux_sym_enum_entry_repeat1,
  [aux_sym_enum_type_parameters_repeat1] = aux_sym_enum_type_parameters_repeat1,
  [aux_sym__protocol_member_declarations_repeat1] = aux_sym__protocol_member_declarations_repeat1,
  [aux_sym_computed_property_repeat1] = aux_sym_computed_property_repeat1,
  [aux_sym_deprecated_operator_declaration_body_repeat1] = aux_sym_deprecated_operator_declaration_body_repeat1,
  [aux_sym_precedence_group_attributes_repeat1] = aux_sym_precedence_group_attributes_repeat1,
  [aux_sym_attribute_repeat1] = aux_sym_attribute_repeat1,
  [aux_sym__attribute_argument_repeat1] = aux_sym__attribute_argument_repeat1,
  [aux_sym__attribute_argument_repeat2] = aux_sym__attribute_argument_repeat2,
  [aux_sym__tuple_pattern_repeat1] = aux_sym__tuple_pattern_repeat1,
  [aux_sym_modifiers_repeat1] = aux_sym_modifiers_repeat1,
  [aux_sym_parameter_modifiers_repeat1] = aux_sym_parameter_modifiers_repeat1,
  [alias_sym__expression] = alias_sym__expression,
  [alias_sym_fully_open_range] = alias_sym_fully_open_range,
  [alias_sym_interpolated_expression] = alias_sym_interpolated_expression,
  [alias_sym_protocol_function_declaration] = alias_sym_protocol_function_declaration,
  [alias_sym_type_identifier] = alias_sym_type_identifier,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_POUND_BANG] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_shebang_line_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_simple_identifier_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_simple_identifier_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_simple_identifier_token3] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_simple_identifier_token4] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_actor] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_async] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_each] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_lazy] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_repeat] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_package] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_nil] = {
    .visible = true,
    .named = false,
  },
  [sym_real_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_integer_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_hex_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_oct_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_bin_literal] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_true] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_false] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_line_str_text_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_BSLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__uni_character_literal_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_DQUOTE_DQUOTE_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [sym_raw_str_interpolation_start] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_BSLASH_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [sym__escaped_identifier] = {
    .visible = false,
    .named = true,
  },
  [sym__extended_regex_literal] = {
    .visible = false,
    .named = true,
  },
  [aux_sym__multiline_regex_literal_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__multiline_regex_literal_token2] = {
    .visible = false,
    .named = false,
  },
  [sym__oneline_regex_literal] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_Type] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_Protocol] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_some] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_any] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_switch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_POUNDselector] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_getter_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_setter_COLON] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_custom_operator_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_await] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_POUNDfile] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_POUNDfileID] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_POUNDfilePath] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_POUNDline] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_POUNDcolumn] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_POUNDfunction] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_POUNDdsohandle] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_POUNDcolorLiteral] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_POUNDfileLiteral] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_POUNDimageLiteral] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_self] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_super] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_guard] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_fallthrough] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_POUNDkeyPath] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_is] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [sym_statement_label] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [sym_throw_keyword] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_yield] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_POUNDavailable] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_POUNDunavailable] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_import] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_typealias] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_struct] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_class] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_enum] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_protocol] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_let] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_var] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_func] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_willSet] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_didSet] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_macro] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_POUNDexternalMacro] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_extension] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_indirect] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_init] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_deinit] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_subscript] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_get] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_set] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__modify] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_prefix] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_infix] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_postfix] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_operator] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_precedencegroup] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_associatedtype] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [sym_wildcard_pattern] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_override] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_convenience] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_required] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_nonisolated] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_public] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_private] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_internal] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_fileprivate] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_open] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_mutating] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_nonmutating] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_static] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_dynamic] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_optional] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_distributed] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_final] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_inout] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATescaping] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATautoclosure] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_weak] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unowned] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unowned_LPARENsafe_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unowned_LPARENunsafe_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_borrowing] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_consuming] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_property] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_receiver] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_param] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_setparam] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_delegate] = {
    .visible = true,
    .named = false,
  },
  [sym_directive] = {
    .visible = true,
    .named = true,
  },
  [sym_diagnostic] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_unused1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unused2] = {
    .visible = true,
    .named = false,
  },
  [sym_multiline_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_raw_str_part] = {
    .visible = true,
    .named = true,
  },
  [sym_raw_str_continuing_indicator] = {
    .visible = true,
    .named = true,
  },
  [sym_raw_str_end_part] = {
    .visible = true,
    .named = true,
  },
  [sym__implicit_semi] = {
    .visible = false,
    .named = true,
  },
  [sym__explicit_semi] = {
    .visible = false,
    .named = true,
  },
  [sym__arrow_operator_custom] = {
    .visible = true,
    .named = false,
  },
  [sym__dot_custom] = {
    .visible = true,
    .named = false,
  },
  [sym__conjunction_operator_custom] = {
    .visible = true,
    .named = false,
  },
  [sym__disjunction_operator_custom] = {
    .visible = true,
    .named = false,
  },
  [sym__nil_coalescing_operator_custom] = {
    .visible = true,
    .named = false,
  },
  [sym__eq_custom] = {
    .visible = true,
    .named = false,
  },
  [sym__eq_eq_custom] = {
    .visible = true,
    .named = false,
  },
  [sym__plus_then_ws] = {
    .visible = true,
    .named = false,
  },
  [sym__minus_then_ws] = {
    .visible = true,
    .named = false,
  },
  [sym__bang_custom] = {
    .visible = false,
    .named = true,
  },
  [sym__throws_keyword] = {
    .visible = false,
    .named = true,
  },
  [sym__rethrows_keyword] = {
    .visible = false,
    .named = true,
  },
  [sym_default_keyword] = {
    .visible = true,
    .named = true,
  },
  [sym_where_keyword] = {
    .visible = true,
    .named = true,
  },
  [sym_else] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_keyword] = {
    .visible = true,
    .named = true,
  },
  [sym__as_custom] = {
    .visible = true,
    .named = false,
  },
  [sym__as_quest_custom] = {
    .visible = true,
    .named = false,
  },
  [sym__as_bang_custom] = {
    .visible = true,
    .named = false,
  },
  [sym__async_keyword_custom] = {
    .visible = true,
    .named = false,
  },
  [sym__custom_operator] = {
    .visible = false,
    .named = true,
  },
  [sym__fake_try_bang] = {
    .visible = false,
    .named = true,
  },
  [sym_source_file] = {
    .visible = true,
    .named = true,
  },
  [sym__semi] = {
    .visible = false,
    .named = true,
  },
  [sym_shebang_line] = {
    .visible = true,
    .named = true,
  },
  [sym_simple_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym__contextual_simple_identifier] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym__basic_literal] = {
    .visible = false,
    .named = true,
  },
  [sym_boolean_literal] = {
    .visible = true,
    .named = true,
  },
  [sym__string_literal] = {
    .visible = false,
    .named = true,
  },
  [sym_line_string_literal] = {
    .visible = true,
    .named = true,
  },
  [sym__line_string_content] = {
    .visible = false,
    .named = true,
  },
  [sym_line_str_text] = {
    .visible = true,
    .named = true,
  },
  [sym_str_escaped_char] = {
    .visible = true,
    .named = true,
  },
  [sym__uni_character_literal] = {
    .visible = false,
    .named = true,
  },
  [sym_multi_line_string_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_raw_string_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_raw_str_interpolation] = {
    .visible = true,
    .named = true,
  },
  [sym__multi_line_string_content] = {
    .visible = false,
    .named = true,
  },
  [sym__interpolation] = {
    .visible = false,
    .named = true,
  },
  [sym__interpolation_contents] = {
    .visible = false,
    .named = true,
  },
  [sym_multi_line_str_text] = {
    .visible = true,
    .named = true,
  },
  [sym_regex_literal] = {
    .visible = true,
    .named = true,
  },
  [sym__multiline_regex_literal] = {
    .visible = false,
    .named = true,
  },
  [sym_type_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym__possibly_implicitly_unwrapped_type] = {
    .visible = false,
    .named = true,
  },
  [sym__type] = {
    .visible = false,
    .named = true,
  },
  [sym__unannotated_type] = {
    .visible = false,
    .named = true,
  },
  [sym_user_type] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_user_type] = {
    .visible = false,
    .named = true,
  },
  [sym_tuple_type] = {
    .visible = true,
    .named = true,
  },
  [sym_tuple_type_item] = {
    .visible = true,
    .named = true,
  },
  [sym__tuple_type_item_identifier] = {
    .visible = false,
    .named = true,
  },
  [sym_function_type] = {
    .visible = true,
    .named = true,
  },
  [sym_array_type] = {
    .visible = true,
    .named = true,
  },
  [sym_dictionary_type] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_type] = {
    .visible = true,
    .named = true,
  },
  [sym_metatype] = {
    .visible = true,
    .named = true,
  },
  [sym__quest] = {
    .visible = false,
    .named = true,
  },
  [sym__immediate_quest] = {
    .visible = true,
    .named = false,
  },
  [sym_opaque_type] = {
    .visible = true,
    .named = true,
  },
  [sym_existential_type] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameter_pack] = {
    .visible = true,
    .named = true,
  },
  [sym_type_pack_expansion] = {
    .visible = true,
    .named = true,
  },
  [sym_protocol_composition_type] = {
    .visible = true,
    .named = true,
  },
  [sym__expression] = {
    .visible = false,
    .named = true,
  },
  [sym__unary_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_postfix_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__parenthesized_type] = {
    .visible = false,
    .named = true,
  },
  [sym_navigation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__navigable_type_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_open_start_range_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__range_operator] = {
    .visible = false,
    .named = true,
  },
  [sym_open_end_range_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_prefix_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_as_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_selector_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__binary_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_multiplicative_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_additive_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_range_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_infix_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_nil_coalescing_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_check_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_comparison_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_equality_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_conjunction_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_disjunction_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_bitwise_operation] = {
    .visible = true,
    .named = true,
  },
  [sym_custom_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_navigation_suffix] = {
    .visible = true,
    .named = true,
  },
  [sym_call_suffix] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_suffix] = {
    .visible = true,
    .named = true,
  },
  [sym__constructor_value_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym__fn_call_lambda_arguments] = {
    .visible = false,
    .named = true,
  },
  [sym_type_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_value_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_value_argument_label] = {
    .visible = true,
    .named = true,
  },
  [sym_value_argument] = {
    .visible = true,
    .named = true,
  },
  [sym_try_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_await_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__await_operator] = {
    .visible = false,
    .named = true,
  },
  [sym_ternary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__expr_hack_at_ternary_binary_suffix] = {
    .visible = false,
    .named = true,
  },
  [sym_expr_hack_at_ternary_binary_call] = {
    .visible = true,
    .named = true,
  },
  [sym_expr_hack_at_ternary_binary_call_suffix] = {
    .visible = true,
    .named = true,
  },
  [sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__primary_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_tuple_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_array_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_dictionary_literal] = {
    .visible = true,
    .named = true,
  },
  [sym__dictionary_literal_item] = {
    .visible = false,
    .named = true,
  },
  [sym__special_literal] = {
    .visible = false,
    .named = true,
  },
  [sym__playground_literal] = {
    .visible = false,
    .named = true,
  },
  [sym_lambda_literal] = {
    .visible = true,
    .named = true,
  },
  [sym__lambda_type_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_capture_list] = {
    .visible = true,
    .named = true,
  },
  [sym_capture_list_item] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda_function_type] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda_function_type_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_self_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_super_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__else_options] = {
    .visible = false,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__if_condition_sequence_item] = {
    .visible = false,
    .named = true,
  },
  [sym__if_let_binding] = {
    .visible = false,
    .named = true,
  },
  [sym_guard_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_entry] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_do_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_block] = {
    .visible = true,
    .named = true,
  },
  [sym_where_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_key_path_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_key_path_string_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__key_path_component] = {
    .visible = false,
    .named = true,
  },
  [sym__key_path_postfixes] = {
    .visible = false,
    .named = true,
  },
  [sym_try_operator] = {
    .visible = true,
    .named = true,
  },
  [sym__try_operator_type] = {
    .visible = false,
    .named = true,
  },
  [sym__assignment_and_operator] = {
    .visible = false,
    .named = true,
  },
  [sym__equality_operator] = {
    .visible = false,
    .named = true,
  },
  [sym__comparison_operator] = {
    .visible = false,
    .named = true,
  },
  [sym__three_dot_operator] = {
    .visible = false,
    .named = true,
  },
  [sym__open_ended_range_operator] = {
    .visible = false,
    .named = true,
  },
  [sym__is_operator] = {
    .visible = false,
    .named = true,
  },
  [sym__additive_operator] = {
    .visible = false,
    .named = true,
  },
  [sym__multiplicative_operator] = {
    .visible = false,
    .named = true,
  },
  [sym_as_operator] = {
    .visible = true,
    .named = true,
  },
  [sym__prefix_unary_operator] = {
    .visible = false,
    .named = true,
  },
  [sym__bitwise_binary_operator] = {
    .visible = false,
    .named = true,
  },
  [sym__postfix_unary_operator] = {
    .visible = false,
    .named = true,
  },
  [sym_directly_assignable_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_statements] = {
    .visible = true,
    .named = true,
  },
  [sym__local_statement] = {
    .visible = false,
    .named = true,
  },
  [sym__top_level_statement] = {
    .visible = false,
    .named = true,
  },
  [sym__block] = {
    .visible = false,
    .named = true,
  },
  [sym__labeled_statement] = {
    .visible = false,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__for_statement_collection] = {
    .visible = false,
    .named = true,
  },
  [sym_for_statement_await] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_repeat_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_control_transfer_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__throw_statement] = {
    .visible = false,
    .named = true,
  },
  [sym__optionally_valueful_control_keyword] = {
    .visible = false,
    .named = true,
  },
  [sym_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym_value_parameter_pack] = {
    .visible = true,
    .named = true,
  },
  [sym_value_pack_expansion] = {
    .visible = true,
    .named = true,
  },
  [sym_availability_condition] = {
    .visible = true,
    .named = true,
  },
  [sym__availability_argument] = {
    .visible = false,
    .named = true,
  },
  [sym__global_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym__type_level_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym__local_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym__local_property_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__local_typealias_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__local_function_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__local_class_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_import_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__import_kind] = {
    .visible = false,
    .named = true,
  },
  [sym_protocol_property_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_protocol_property_requirements] = {
    .visible = true,
    .named = true,
  },
  [sym_property_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__modifierless_property_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym__single_modifierless_property_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym__expression_with_willset_didset] = {
    .visible = false,
    .named = true,
  },
  [sym__expression_without_willset_didset] = {
    .visible = false,
    .named = true,
  },
  [sym_willset_didset_block] = {
    .visible = true,
    .named = true,
  },
  [sym_willset_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_didset_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_typealias_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__modifierless_typealias_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_function_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__modifierless_function_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym__bodyless_function_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym__modifierless_function_declaration_no_body] = {
    .visible = false,
    .named = true,
  },
  [sym_function_body] = {
    .visible = true,
    .named = true,
  },
  [sym_macro_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__macro_head] = {
    .visible = false,
    .named = true,
  },
  [sym__macro_signature] = {
    .visible = false,
    .named = true,
  },
  [sym_macro_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_external_macro_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_class_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__modifierless_class_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_class_body] = {
    .visible = true,
    .named = true,
  },
  [sym__inheritance_specifiers] = {
    .visible = false,
    .named = true,
  },
  [sym_inheritance_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym__annotated_inheritance_specifier] = {
    .visible = false,
    .named = true,
  },
  [sym_type_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym__type_parameter_possibly_packed] = {
    .visible = false,
    .named = true,
  },
  [sym_type_constraints] = {
    .visible = true,
    .named = true,
  },
  [sym_type_constraint] = {
    .visible = true,
    .named = true,
  },
  [sym_inheritance_constraint] = {
    .visible = true,
    .named = true,
  },
  [sym_equality_constraint] = {
    .visible = true,
    .named = true,
  },
  [sym__constrained_type] = {
    .visible = false,
    .named = true,
  },
  [sym__class_member_separator] = {
    .visible = false,
    .named = true,
  },
  [sym__class_member_declarations] = {
    .visible = false,
    .named = true,
  },
  [aux_sym__function_value_parameters] = {
    .visible = false,
    .named = false,
  },
  [sym__function_value_parameter] = {
    .visible = false,
    .named = true,
  },
  [sym_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym__non_constructor_function_decl] = {
    .visible = false,
    .named = true,
  },
  [sym__referenceable_operator] = {
    .visible = false,
    .named = true,
  },
  [sym__equal_sign] = {
    .visible = false,
    .named = true,
  },
  [sym__eq_eq] = {
    .visible = false,
    .named = true,
  },
  [sym__dot] = {
    .visible = false,
    .named = true,
  },
  [sym__arrow_operator] = {
    .visible = false,
    .named = true,
  },
  [sym__conjunction_operator] = {
    .visible = false,
    .named = true,
  },
  [sym__disjunction_operator] = {
    .visible = false,
    .named = true,
  },
  [sym__nil_coalescing_operator] = {
    .visible = false,
    .named = true,
  },
  [sym__as] = {
    .visible = false,
    .named = true,
  },
  [sym__as_quest] = {
    .visible = false,
    .named = true,
  },
  [sym__as_bang] = {
    .visible = false,
    .named = true,
  },
  [sym_bang] = {
    .visible = true,
    .named = true,
  },
  [sym__async_keyword] = {
    .visible = false,
    .named = true,
  },
  [sym__async_modifier] = {
    .visible = false,
    .named = true,
  },
  [sym_throws] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_class_body] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_entry] = {
    .visible = true,
    .named = true,
  },
  [sym__enum_entry_suffix] = {
    .visible = false,
    .named = true,
  },
  [sym_enum_type_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_protocol_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_protocol_body] = {
    .visible = true,
    .named = true,
  },
  [sym__protocol_member_declarations] = {
    .visible = false,
    .named = true,
  },
  [sym__protocol_member_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_init_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_deinit_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_computed_property] = {
    .visible = true,
    .named = true,
  },
  [sym_computed_getter] = {
    .visible = true,
    .named = true,
  },
  [sym_computed_modify] = {
    .visible = true,
    .named = true,
  },
  [sym_computed_setter] = {
    .visible = true,
    .named = true,
  },
  [sym_getter_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_setter_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_modify_specifier] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__getter_effects] = {
    .visible = false,
    .named = false,
  },
  [sym_operator_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_deprecated_operator_declaration_body] = {
    .visible = true,
    .named = true,
  },
  [sym_precedence_group_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_precedence_group_attributes] = {
    .visible = true,
    .named = true,
  },
  [sym_precedence_group_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_associatedtype_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym__attribute_argument] = {
    .visible = false,
    .named = true,
  },
  [sym__universally_allowed_pattern] = {
    .visible = false,
    .named = true,
  },
  [sym__bound_identifier] = {
    .visible = false,
    .named = true,
  },
  [sym__binding_pattern_no_expr] = {
    .visible = false,
    .named = true,
  },
  [sym__no_expr_pattern_already_bound] = {
    .visible = false,
    .named = true,
  },
  [sym__binding_pattern_with_expr] = {
    .visible = true,
    .named = true,
  },
  [sym__direct_or_indirect_binding] = {
    .visible = false,
    .named = true,
  },
  [sym_value_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym__possibly_async_binding_pattern_kind] = {
    .visible = false,
    .named = true,
  },
  [sym__binding_kind_and_pattern] = {
    .visible = false,
    .named = true,
  },
  [sym__tuple_pattern_item] = {
    .visible = false,
    .named = true,
  },
  [sym__tuple_pattern] = {
    .visible = false,
    .named = true,
  },
  [sym__case_pattern] = {
    .visible = false,
    .named = true,
  },
  [sym__type_casting_pattern] = {
    .visible = false,
    .named = true,
  },
  [sym__binding_pattern] = {
    .visible = false,
    .named = true,
  },
  [sym_modifiers] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__locally_permitted_modifiers] = {
    .visible = false,
    .named = false,
  },
  [sym_parameter_modifiers] = {
    .visible = true,
    .named = true,
  },
  [sym__non_local_scope_modifier] = {
    .visible = false,
    .named = true,
  },
  [sym__locally_permitted_modifier] = {
    .visible = false,
    .named = true,
  },
  [sym_property_behavior_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_type_modifiers] = {
    .visible = true,
    .named = true,
  },
  [sym_member_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_visibility_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameter_modifiers] = {
    .visible = true,
    .named = true,
  },
  [sym_function_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_mutation_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_property_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_inheritance_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ownership_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym__parameter_ownership_modifier] = {
    .visible = false,
    .named = true,
  },
  [aux_sym_source_file_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_identifier_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_line_string_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_multi_line_string_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_raw_string_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__interpolation_contents_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_user_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_tuple_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_optional_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_protocol_composition_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__constructor_value_arguments_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__fn_call_lambda_arguments_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_arguments_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_value_argument_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_tuple_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_dictionary_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__playground_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__lambda_type_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_capture_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_lambda_function_type_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_if_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_switch_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_switch_entry_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_do_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_key_path_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__key_path_component_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_statements_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_repeat_while_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_availability_condition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__availability_argument_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_protocol_property_requirements_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__modifierless_property_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__inheritance_specifiers_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_constraints_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__constrained_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__class_member_declarations_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__function_value_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enum_class_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enum_entry_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enum_type_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__protocol_member_declarations_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_computed_property_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_deprecated_operator_declaration_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_precedence_group_attributes_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attribute_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__attribute_argument_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__attribute_argument_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__tuple_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_modifiers_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_parameter_modifiers_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym__expression] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_fully_open_range] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_interpolated_expression] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_protocol_function_declaration] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_type_identifier] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_body = 1,
  field_bound_identifier = 2,
  field_captures = 3,
  field_collection = 4,
  field_computed_value = 5,
  field_condition = 6,
  field_constrained_type = 7,
  field_constructed_type = 8,
  field_data_contents = 9,
  field_declaration_kind = 10,
  field_default_value = 11,
  field_definition = 12,
  field_element = 13,
  field_end = 14,
  field_error = 15,
  field_expr = 16,
  field_external_name = 17,
  field_if_false = 18,
  field_if_nil = 19,
  field_if_true = 20,
  field_inherits_from = 21,
  field_interpolation = 22,
  field_item = 23,
  field_key = 24,
  field_lhs = 25,
  field_must_equal = 26,
  field_must_inherit = 27,
  field_mutability = 28,
  field_name = 29,
  field_op = 30,
  field_operation = 31,
  field_operator = 32,
  field_params = 33,
  field_raw_value = 34,
  field_reference_specifier = 35,
  field_result = 36,
  field_return_type = 37,
  field_rhs = 38,
  field_start = 39,
  field_suffix = 40,
  field_target = 41,
  field_text = 42,
  field_type = 43,
  field_value = 44,
  field_wrapped = 45,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_body] = "body",
  [field_bound_identifier] = "bound_identifier",
  [field_captures] = "captures",
  [field_collection] = "collection",
  [field_computed_value] = "computed_value",
  [field_condition] = "condition",
  [field_constrained_type] = "constrained_type",
  [field_constructed_type] = "constructed_type",
  [field_data_contents] = "data_contents",
  [field_declaration_kind] = "declaration_kind",
  [field_default_value] = "default_value",
  [field_definition] = "definition",
  [field_element] = "element",
  [field_end] = "end",
  [field_error] = "error",
  [field_expr] = "expr",
  [field_external_name] = "external_name",
  [field_if_false] = "if_false",
  [field_if_nil] = "if_nil",
  [field_if_true] = "if_true",
  [field_inherits_from] = "inherits_from",
  [field_interpolation] = "interpolation",
  [field_item] = "item",
  [field_key] = "key",
  [field_lhs] = "lhs",
  [field_must_equal] = "must_equal",
  [field_must_inherit] = "must_inherit",
  [field_mutability] = "mutability",
  [field_name] = "name",
  [field_op] = "op",
  [field_operation] = "operation",
  [field_operator] = "operator",
  [field_params] = "params",
  [field_raw_value] = "raw_value",
  [field_reference_specifier] = "reference_specifier",
  [field_result] = "result",
  [field_return_type] = "return_type",
  [field_rhs] = "rhs",
  [field_start] = "start",
  [field_suffix] = "suffix",
  [field_target] = "target",
  [field_text] = "text",
  [field_type] = "type",
  [field_value] = "value",
  [field_wrapped] = "wrapped",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [1] = {.index = 0, .length = 1},
  [2] = {.index = 1, .length = 1},
  [5] = {.index = 2, .length = 3},
  [6] = {.index = 5, .length = 2},
  [7] = {.index = 7, .length = 3},
  [8] = {.index = 10, .length = 3},
  [9] = {.index = 13, .length = 2},
  [10] = {.index = 15, .length = 1},
  [11] = {.index = 16, .length = 1},
  [12] = {.index = 17, .length = 1},
  [13] = {.index = 18, .length = 2},
  [14] = {.index = 20, .length = 4},
  [15] = {.index = 24, .length = 1},
  [16] = {.index = 25, .length = 1},
  [17] = {.index = 26, .length = 1},
  [18] = {.index = 27, .length = 3},
  [19] = {.index = 30, .length = 1},
  [20] = {.index = 31, .length = 2},
  [21] = {.index = 30, .length = 1},
  [22] = {.index = 33, .length = 1},
  [23] = {.index = 34, .length = 2},
  [24] = {.index = 36, .length = 1},
  [25] = {.index = 37, .length = 2},
  [26] = {.index = 39, .length = 3},
  [27] = {.index = 42, .length = 1},
  [28] = {.index = 43, .length = 1},
  [29] = {.index = 44, .length = 2},
  [30] = {.index = 44, .length = 2},
  [31] = {.index = 46, .length = 4},
  [32] = {.index = 50, .length = 2},
  [33] = {.index = 52, .length = 3},
  [34] = {.index = 55, .length = 3},
  [35] = {.index = 58, .length = 2},
  [36] = {.index = 60, .length = 3},
  [37] = {.index = 63, .length = 3},
  [38] = {.index = 66, .length = 4},
  [40] = {.index = 70, .length = 1},
  [41] = {.index = 71, .length = 1},
  [42] = {.index = 72, .length = 1},
  [43] = {.index = 73, .length = 3},
  [44] = {.index = 76, .length = 2},
  [45] = {.index = 78, .length = 1},
  [46] = {.index = 79, .length = 1},
  [47] = {.index = 80, .length = 2},
  [48] = {.index = 82, .length = 2},
  [49] = {.index = 84, .length = 1},
  [50] = {.index = 85, .length = 2},
  [51] = {.index = 87, .length = 2},
  [52] = {.index = 89, .length = 3},
  [53] = {.index = 92, .length = 2},
  [54] = {.index = 94, .length = 1},
  [55] = {.index = 95, .length = 1},
  [56] = {.index = 96, .length = 1},
  [57] = {.index = 97, .length = 4},
  [58] = {.index = 101, .length = 1},
  [59] = {.index = 102, .length = 2},
  [60] = {.index = 73, .length = 3},
  [61] = {.index = 104, .length = 2},
  [62] = {.index = 106, .length = 3},
  [63] = {.index = 109, .length = 2},
  [64] = {.index = 111, .length = 3},
  [65] = {.index = 114, .length = 3},
  [66] = {.index = 117, .length = 4},
  [67] = {.index = 121, .length = 3},
  [68] = {.index = 124, .length = 1},
  [69] = {.index = 125, .length = 2},
  [70] = {.index = 127, .length = 3},
  [71] = {.index = 130, .length = 1},
  [72] = {.index = 131, .length = 1},
  [73] = {.index = 132, .length = 2},
  [74] = {.index = 134, .length = 6},
  [75] = {.index = 140, .length = 4},
  [76] = {.index = 144, .length = 4},
  [77] = {.index = 148, .length = 3},
  [78] = {.index = 151, .length = 1},
  [79] = {.index = 152, .length = 1},
  [80] = {.index = 153, .length = 1},
  [81] = {.index = 154, .length = 2},
  [82] = {.index = 156, .length = 1},
  [83] = {.index = 157, .length = 2},
  [84] = {.index = 159, .length = 1},
  [85] = {.index = 160, .length = 3},
  [86] = {.index = 163, .length = 3},
  [87] = {.index = 166, .length = 4},
  [88] = {.index = 170, .length = 3},
  [89] = {.index = 173, .length = 2},
  [90] = {.index = 175, .length = 3},
  [91] = {.index = 178, .length = 2},
  [92] = {.index = 180, .length = 2},
  [93] = {.index = 182, .length = 2},
  [94] = {.index = 184, .length = 4},
  [95] = {.index = 188, .length = 4},
  [96] = {.index = 192, .length = 6},
  [97] = {.index = 198, .length = 6},
  [98] = {.index = 204, .length = 3},
  [99] = {.index = 207, .length = 2},
  [100] = {.index = 209, .length = 2},
  [101] = {.index = 211, .length = 1},
  [102] = {.index = 212, .length = 1},
  [103] = {.index = 213, .length = 2},
  [104] = {.index = 215, .length = 3},
  [105] = {.index = 218, .length = 3},
  [106] = {.index = 221, .length = 2},
  [107] = {.index = 223, .length = 3},
  [108] = {.index = 7, .length = 3},
  [109] = {.index = 226, .length = 1},
  [110] = {.index = 160, .length = 3},
  [111] = {.index = 227, .length = 3},
  [112] = {.index = 230, .length = 1},
  [113] = {.index = 231, .length = 2},
  [114] = {.index = 233, .length = 3},
  [115] = {.index = 236, .length = 3},
  [116] = {.index = 239, .length = 3},
  [117] = {.index = 242, .length = 3},
  [118] = {.index = 245, .length = 2},
  [119] = {.index = 247, .length = 2},
  [120] = {.index = 249, .length = 1},
  [121] = {.index = 250, .length = 4},
  [122] = {.index = 254, .length = 6},
  [123] = {.index = 260, .length = 4},
  [124] = {.index = 264, .length = 4},
  [125] = {.index = 268, .length = 2},
  [126] = {.index = 270, .length = 2},
  [127] = {.index = 272, .length = 1},
  [128] = {.index = 273, .length = 2},
  [129] = {.index = 275, .length = 3},
  [130] = {.index = 278, .length = 1},
  [131] = {.index = 279, .length = 3},
  [132] = {.index = 282, .length = 2},
  [133] = {.index = 284, .length = 3},
  [134] = {.index = 287, .length = 4},
  [135] = {.index = 291, .length = 3},
  [136] = {.index = 294, .length = 2},
  [137] = {.index = 296, .length = 3},
  [138] = {.index = 299, .length = 4},
  [139] = {.index = 303, .length = 2},
  [140] = {.index = 305, .length = 3},
  [141] = {.index = 308, .length = 4},
  [142] = {.index = 312, .length = 3},
  [143] = {.index = 315, .length = 2},
  [144] = {.index = 317, .length = 3},
  [145] = {.index = 320, .length = 3},
  [146] = {.index = 46, .length = 4},
  [147] = {.index = 323, .length = 1},
  [148] = {.index = 324, .length = 2},
  [149] = {.index = 275, .length = 3},
  [150] = {.index = 326, .length = 3},
  [151] = {.index = 329, .length = 2},
  [152] = {.index = 331, .length = 1},
  [153] = {.index = 332, .length = 1},
  [154] = {.index = 333, .length = 3},
  [155] = {.index = 336, .length = 3},
  [156] = {.index = 339, .length = 3},
  [157] = {.index = 342, .length = 3},
  [158] = {.index = 345, .length = 2},
  [159] = {.index = 347, .length = 3},
  [160] = {.index = 350, .length = 2},
  [161] = {.index = 352, .length = 4},
  [162] = {.index = 356, .length = 4},
  [163] = {.index = 360, .length = 4},
  [164] = {.index = 364, .length = 4},
  [165] = {.index = 368, .length = 2},
  [166] = {.index = 370, .length = 3},
  [167] = {.index = 373, .length = 3},
  [168] = {.index = 376, .length = 3},
  [169] = {.index = 379, .length = 3},
  [170] = {.index = 382, .length = 3},
  [171] = {.index = 385, .length = 3},
  [172] = {.index = 388, .length = 1},
  [173] = {.index = 389, .length = 6},
  [174] = {.index = 395, .length = 3},
  [175] = {.index = 398, .length = 4},
  [176] = {.index = 402, .length = 3},
  [177] = {.index = 405, .length = 2},
  [178] = {.index = 407, .length = 4},
  [179] = {.index = 411, .length = 4},
  [180] = {.index = 415, .length = 4},
  [181] = {.index = 419, .length = 3},
  [182] = {.index = 422, .length = 3},
  [183] = {.index = 425, .length = 3},
  [184] = {.index = 428, .length = 3},
  [185] = {.index = 431, .length = 1},
  [186] = {.index = 432, .length = 4},
  [187] = {.index = 151, .length = 1},
  [188] = {.index = 436, .length = 3},
  [189] = {.index = 385, .length = 3},
  [190] = {.index = 439, .length = 3},
  [191] = {.index = 442, .length = 1},
  [192] = {.index = 443, .length = 1},
  [193] = {.index = 444, .length = 3},
  [194] = {.index = 447, .length = 3},
  [195] = {.index = 450, .length = 3},
  [196] = {.index = 453, .length = 5},
  [197] = {.index = 458, .length = 4},
  [198] = {.index = 462, .length = 4},
  [199] = {.index = 466, .length = 2},
  [200] = {.index = 468, .length = 3},
  [201] = {.index = 471, .length = 3},
  [202] = {.index = 474, .length = 3},
  [203] = {.index = 477, .length = 3},
  [204] = {.index = 480, .length = 3},
  [205] = {.index = 483, .length = 3},
  [206] = {.index = 486, .length = 6},
  [207] = {.index = 492, .length = 3},
  [208] = {.index = 495, .length = 2},
  [209] = {.index = 497, .length = 4},
  [210] = {.index = 501, .length = 4},
  [211] = {.index = 505, .length = 3},
  [212] = {.index = 508, .length = 3},
  [213] = {.index = 511, .length = 3},
  [214] = {.index = 514, .length = 1},
  [215] = {.index = 515, .length = 6},
  [216] = {.index = 521, .length = 6},
  [217] = {.index = 527, .length = 3},
  [218] = {.index = 530, .length = 4},
  [219] = {.index = 534, .length = 1},
  [220] = {.index = 483, .length = 3},
  [221] = {.index = 535, .length = 3},
  [222] = {.index = 538, .length = 3},
  [223] = {.index = 541, .length = 3},
  [224] = {.index = 544, .length = 5},
  [225] = {.index = 549, .length = 4},
  [226] = {.index = 553, .length = 3},
  [227] = {.index = 556, .length = 3},
  [228] = {.index = 559, .length = 3},
  [229] = {.index = 562, .length = 5},
  [230] = {.index = 567, .length = 3},
  [231] = {.index = 570, .length = 6},
  [232] = {.index = 576, .length = 2},
  [233] = {.index = 578, .length = 4},
  [234] = {.index = 582, .length = 3},
  [235] = {.index = 585, .length = 3},
  [236] = {.index = 588, .length = 6},
  [237] = {.index = 594, .length = 3},
  [238] = {.index = 597, .length = 4},
  [239] = {.index = 601, .length = 3},
  [240] = {.index = 604, .length = 3},
  [241] = {.index = 607, .length = 3},
  [242] = {.index = 610, .length = 3},
  [243] = {.index = 613, .length = 3},
  [244] = {.index = 616, .length = 5},
  [245] = {.index = 621, .length = 3},
  [246] = {.index = 624, .length = 3},
  [247] = {.index = 627, .length = 6},
  [248] = {.index = 633, .length = 3},
  [249] = {.index = 636, .length = 3},
  [250] = {.index = 639, .length = 3},
  [251] = {.index = 642, .length = 3},
  [252] = {.index = 645, .length = 1},
  [253] = {.index = 646, .length = 2},
  [254] = {.index = 648, .length = 2},
  [255] = {.index = 650, .length = 2},
  [256] = {.index = 652, .length = 2},
  [257] = {.index = 654, .length = 2},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_text, 0},
  [1] =
    {field_mutability, 0},
  [2] =
    {field_computed_value, 0, .inherited = true},
    {field_name, 0, .inherited = true},
    {field_value, 0, .inherited = true},
  [5] =
    {field_name, 0, .inherited = true},
    {field_value, 0, .inherited = true},
  [7] =
    {field_default_value, 0, .inherited = true},
    {field_name, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
  [10] =
    {field_body, 0, .inherited = true},
    {field_declaration_kind, 0, .inherited = true},
    {field_name, 0, .inherited = true},
  [13] =
    {field_interpolation, 1},
    {field_text, 0},
  [15] =
    {field_interpolation, 0, .inherited = true},
  [16] =
    {field_name, 0},
  [17] =
    {field_element, 0, .inherited = true},
  [18] =
    {field_bound_identifier, 0, .inherited = true},
    {field_name, 0, .inherited = true},
  [20] =
    {field_body, 0, .inherited = true},
    {field_default_value, 0, .inherited = true},
    {field_name, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
  [24] =
    {field_bound_identifier, 0},
  [25] =
    {field_name, 0, .inherited = true},
  [26] =
    {field_bound_identifier, 0, .inherited = true},
  [27] =
    {field_default_value, 1, .inherited = true},
    {field_name, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
  [30] =
    {field_name, 1},
  [31] =
    {field_default_value, 1, .inherited = true},
    {field_name, 0},
  [33] =
    {field_constructed_type, 0},
  [34] =
    {field_suffix, 1},
    {field_target, 0},
  [36] =
    {field_start, 0},
  [37] =
    {field_operation, 1},
    {field_target, 0},
  [39] =
    {field_element, 0, .inherited = true},
    {field_suffix, 1},
    {field_target, 0},
  [42] =
    {field_end, 1},
  [43] =
    {field_expr, 1},
  [44] =
    {field_operation, 0},
    {field_target, 1},
  [46] =
    {field_body, 1},
    {field_default_value, 0, .inherited = true},
    {field_name, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
  [50] =
    {field_default_value, 1, .inherited = true},
    {field_name, 0, .inherited = true},
  [52] =
    {field_computed_value, 1, .inherited = true},
    {field_name, 1, .inherited = true},
    {field_value, 1, .inherited = true},
  [55] =
    {field_bound_identifier, 0, .inherited = true},
    {field_name, 0},
    {field_name, 0, .inherited = true},
  [58] =
    {field_name, 1, .inherited = true},
    {field_value, 1, .inherited = true},
  [60] =
    {field_body, 1, .inherited = true},
    {field_declaration_kind, 1, .inherited = true},
    {field_name, 1, .inherited = true},
  [63] =
    {field_interpolation, 0, .inherited = true},
    {field_text, 0, .inherited = true},
    {field_text, 1},
  [66] =
    {field_interpolation, 0, .inherited = true},
    {field_interpolation, 1, .inherited = true},
    {field_text, 0, .inherited = true},
    {field_text, 1, .inherited = true},
  [70] =
    {field_value, 0},
  [71] =
    {field_interpolation, 0},
  [72] =
    {field_reference_specifier, 0, .inherited = true},
  [73] =
    {field_body, 2},
    {field_declaration_kind, 0},
    {field_name, 1},
  [76] =
    {field_interpolation, 1, .inherited = true},
    {field_text, 1, .inherited = true},
  [78] =
    {field_element, 1},
  [79] =
    {field_value, 1},
  [80] =
    {field_name, 0, .inherited = true},
    {field_type, 0},
  [82] =
    {field_element, 1},
    {field_name, 1, .inherited = true},
  [84] =
    {field_wrapped, 0},
  [85] =
    {field_key, 1, .inherited = true},
    {field_value, 1, .inherited = true},
  [87] =
    {field_bound_identifier, 1, .inherited = true},
    {field_name, 1, .inherited = true},
  [89] =
    {field_bound_identifier, 1, .inherited = true},
    {field_condition, 1},
    {field_name, 1, .inherited = true},
  [92] =
    {field_captures, 1, .inherited = true},
    {field_type, 1, .inherited = true},
  [94] =
    {field_captures, 0},
  [95] =
    {field_type, 0},
  [96] =
    {field_result, 1},
  [97] =
    {field_body, 1, .inherited = true},
    {field_default_value, 1, .inherited = true},
    {field_name, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
  [101] =
    {field_name, 1, .inherited = true},
  [102] =
    {field_default_value, 2, .inherited = true},
    {field_name, 1},
  [104] =
    {field_default_value, 2, .inherited = true},
    {field_name, 0},
  [106] =
    {field_body, 2},
    {field_default_value, 1, .inherited = true},
    {field_name, 0},
  [109] =
    {field_default_value, 0, .inherited = true},
    {field_default_value, 1, .inherited = true},
  [111] =
    {field_end, 2},
    {field_op, 1},
    {field_start, 0},
  [114] =
    {field_lhs, 0},
    {field_op, 1},
    {field_rhs, 2},
  [117] =
    {field_name, 2, .inherited = true},
    {field_op, 1},
    {field_target, 0},
    {field_type, 2},
  [121] =
    {field_expr, 0},
    {field_name, 2, .inherited = true},
    {field_type, 2},
  [124] =
    {field_suffix, 1},
  [125] =
    {field_if_nil, 2},
    {field_value, 0},
  [127] =
    {field_operator, 1},
    {field_result, 2},
    {field_target, 0},
  [130] =
    {field_default_value, 2, .inherited = true},
  [131] =
    {field_default_value, 0, .inherited = true},
  [132] =
    {field_default_value, 2, .inherited = true},
    {field_name, 0, .inherited = true},
  [134] =
    {field_computed_value, 1, .inherited = true},
    {field_computed_value, 2, .inherited = true},
    {field_name, 1, .inherited = true},
    {field_name, 2, .inherited = true},
    {field_value, 1, .inherited = true},
    {field_value, 2, .inherited = true},
  [140] =
    {field_bound_identifier, 0, .inherited = true},
    {field_name, 0},
    {field_name, 0, .inherited = true},
    {field_value, 1, .inherited = true},
  [144] =
    {field_bound_identifier, 0, .inherited = true},
    {field_computed_value, 1},
    {field_name, 0},
    {field_name, 0, .inherited = true},
  [148] =
    {field_default_value, 2, .inherited = true},
    {field_name, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
  [151] =
    {field_name, 2},
  [152] =
    {field_interpolation, 1, .inherited = true},
  [153] =
    {field_reference_specifier, 0},
  [154] =
    {field_interpolation, 0},
    {field_interpolation, 1, .inherited = true},
  [156] =
    {field_reference_specifier, 1, .inherited = true},
  [157] =
    {field_reference_specifier, 0, .inherited = true},
    {field_reference_specifier, 1, .inherited = true},
  [159] =
    {field_inherits_from, 0},
  [160] =
    {field_body, 3},
    {field_declaration_kind, 0},
    {field_name, 1},
  [163] =
    {field_name, 2, .inherited = true},
    {field_value, 1},
    {field_value, 2, .inherited = true},
  [166] =
    {field_name, 0, .inherited = true},
    {field_name, 1, .inherited = true},
    {field_value, 0, .inherited = true},
    {field_value, 1, .inherited = true},
  [170] =
    {field_name, 0, .inherited = true},
    {field_name, 1, .inherited = true},
    {field_type, 1},
  [173] =
    {field_name, 1, .inherited = true},
    {field_type, 1},
  [175] =
    {field_name, 2, .inherited = true},
    {field_params, 0},
    {field_return_type, 2},
  [178] =
    {field_key, 0},
    {field_value, 2},
  [180] =
    {field_element, 1},
    {field_element, 2, .inherited = true},
  [182] =
    {field_element, 0, .inherited = true},
    {field_element, 1, .inherited = true},
  [184] =
    {field_key, 1, .inherited = true},
    {field_key, 2, .inherited = true},
    {field_value, 1, .inherited = true},
    {field_value, 2, .inherited = true},
  [188] =
    {field_key, 0, .inherited = true},
    {field_key, 1, .inherited = true},
    {field_value, 0, .inherited = true},
    {field_value, 1, .inherited = true},
  [192] =
    {field_bound_identifier, 1, .inherited = true},
    {field_bound_identifier, 2, .inherited = true},
    {field_condition, 1},
    {field_condition, 2, .inherited = true},
    {field_name, 1, .inherited = true},
    {field_name, 2, .inherited = true},
  [198] =
    {field_bound_identifier, 0, .inherited = true},
    {field_bound_identifier, 1, .inherited = true},
    {field_condition, 0, .inherited = true},
    {field_condition, 1, .inherited = true},
    {field_name, 0, .inherited = true},
    {field_name, 1, .inherited = true},
  [204] =
    {field_name, 0},
    {field_name, 2, .inherited = true},
    {field_type, 2},
  [207] =
    {field_captures, 0},
    {field_type, 1},
  [209] =
    {field_name, 2, .inherited = true},
    {field_return_type, 2},
  [211] =
    {field_captures, 1},
  [212] =
    {field_type, 1},
  [213] =
    {field_bound_identifier, 2, .inherited = true},
    {field_name, 2, .inherited = true},
  [215] =
    {field_bound_identifier, 0, .inherited = true},
    {field_name, 0, .inherited = true},
    {field_name, 2, .inherited = true},
  [218] =
    {field_name, 1},
    {field_name, 3, .inherited = true},
    {field_value, 3},
  [221] =
    {field_default_value, 3, .inherited = true},
    {field_name, 1},
  [223] =
    {field_body, 3},
    {field_default_value, 2, .inherited = true},
    {field_name, 1},
  [226] =
    {field_body, 0, .inherited = true},
  [227] =
    {field_body, 3},
    {field_declaration_kind, 1},
    {field_name, 2},
  [230] =
    {field_default_value, 1, .inherited = true},
  [231] =
    {field_default_value, 3, .inherited = true},
    {field_name, 0},
  [233] =
    {field_body, 3},
    {field_default_value, 2, .inherited = true},
    {field_name, 0},
  [236] =
    {field_body, 3},
    {field_default_value, 1, .inherited = true},
    {field_name, 0},
  [239] =
    {field_must_inherit, 3},
    {field_name, 1},
    {field_name, 3, .inherited = true},
  [242] =
    {field_default_value, 3},
    {field_name, 1},
    {field_name, 3, .inherited = true},
  [245] =
    {field_name, 0, .inherited = true},
    {field_name, 1, .inherited = true},
  [247] =
    {field_default_value, 2, .inherited = true},
    {field_definition, 3},
  [249] =
    {field_default_value, 3, .inherited = true},
  [250] =
    {field_default_value, 1, .inherited = true},
    {field_name, 0, .inherited = true},
    {field_name, 3, .inherited = true},
    {field_return_type, 3},
  [254] =
    {field_computed_value, 0, .inherited = true},
    {field_computed_value, 1, .inherited = true},
    {field_name, 0, .inherited = true},
    {field_name, 1, .inherited = true},
    {field_value, 0, .inherited = true},
    {field_value, 1, .inherited = true},
  [260] =
    {field_bound_identifier, 0, .inherited = true},
    {field_name, 0},
    {field_name, 0, .inherited = true},
    {field_value, 2, .inherited = true},
  [264] =
    {field_bound_identifier, 0, .inherited = true},
    {field_computed_value, 2},
    {field_name, 0},
    {field_name, 0, .inherited = true},
  [268] =
    {field_default_value, 3, .inherited = true},
    {field_name, 2},
  [270] =
    {field_name, 0},
    {field_value, 2},
  [272] =
    {field_interpolation, 1},
  [273] =
    {field_interpolation, 0, .inherited = true},
    {field_interpolation, 1, .inherited = true},
  [275] =
    {field_body, 4},
    {field_declaration_kind, 0},
    {field_name, 1},
  [278] =
    {field_body, 1},
  [279] =
    {field_bound_identifier, 4, .inherited = true},
    {field_condition, 4},
    {field_name, 4, .inherited = true},
  [282] =
    {field_name, 1},
    {field_value, 3},
  [284] =
    {field_name, 0, .inherited = true},
    {field_name, 2, .inherited = true},
    {field_type, 2},
  [287] =
    {field_key, 1},
    {field_name, 1, .inherited = true},
    {field_name, 3, .inherited = true},
    {field_value, 3},
  [291] =
    {field_name, 3, .inherited = true},
    {field_params, 0},
    {field_return_type, 3},
  [294] =
    {field_name, 3, .inherited = true},
    {field_return_type, 3},
  [296] =
    {field_name, 0},
    {field_name, 3, .inherited = true},
    {field_type, 3},
  [299] =
    {field_external_name, 0},
    {field_name, 1},
    {field_name, 3, .inherited = true},
    {field_type, 3},
  [303] =
    {field_captures, 1},
    {field_type, 2},
  [305] =
    {field_bound_identifier, 1, .inherited = true},
    {field_error, 1},
    {field_name, 1, .inherited = true},
  [308] =
    {field_bound_identifier, 1, .inherited = true},
    {field_collection, 3},
    {field_item, 1},
    {field_name, 1, .inherited = true},
  [312] =
    {field_name, 1},
    {field_name, 4, .inherited = true},
    {field_value, 4},
  [315] =
    {field_default_value, 4, .inherited = true},
    {field_name, 1},
  [317] =
    {field_body, 4},
    {field_default_value, 3, .inherited = true},
    {field_name, 1},
  [320] =
    {field_body, 4},
    {field_default_value, 2, .inherited = true},
    {field_name, 1},
  [323] =
    {field_body, 1, .inherited = true},
  [324] =
    {field_body, 0, .inherited = true},
    {field_body, 1, .inherited = true},
  [326] =
    {field_body, 4},
    {field_declaration_kind, 1},
    {field_name, 2},
  [329] =
    {field_default_value, 1, .inherited = true},
    {field_default_value, 2, .inherited = true},
  [331] =
    {field_default_value, 2},
  [332] =
    {field_name, 2, .inherited = true},
  [333] =
    {field_body, 4},
    {field_default_value, 3, .inherited = true},
    {field_name, 0},
  [336] =
    {field_body, 4},
    {field_default_value, 2, .inherited = true},
    {field_name, 0},
  [339] =
    {field_body, 4},
    {field_default_value, 1, .inherited = true},
    {field_name, 0},
  [342] =
    {field_default_value, 4},
    {field_name, 1},
    {field_name, 4, .inherited = true},
  [345] =
    {field_name, 1, .inherited = true},
    {field_name, 2, .inherited = true},
  [347] =
    {field_condition, 0},
    {field_if_false, 4},
    {field_if_true, 2},
  [350] =
    {field_default_value, 3, .inherited = true},
    {field_definition, 4},
  [352] =
    {field_default_value, 2, .inherited = true},
    {field_name, 0, .inherited = true},
    {field_name, 4, .inherited = true},
    {field_return_type, 4},
  [356] =
    {field_default_value, 1, .inherited = true},
    {field_name, 0, .inherited = true},
    {field_name, 4, .inherited = true},
    {field_return_type, 4},
  [360] =
    {field_bound_identifier, 0, .inherited = true},
    {field_name, 0},
    {field_name, 0, .inherited = true},
    {field_value, 3, .inherited = true},
  [364] =
    {field_bound_identifier, 0, .inherited = true},
    {field_computed_value, 3},
    {field_name, 0},
    {field_name, 0, .inherited = true},
  [368] =
    {field_default_value, 4, .inherited = true},
    {field_name, 2},
  [370] =
    {field_body, 4},
    {field_default_value, 3, .inherited = true},
    {field_name, 2},
  [373] =
    {field_must_inherit, 4},
    {field_name, 2},
    {field_name, 4, .inherited = true},
  [376] =
    {field_default_value, 4},
    {field_name, 2},
    {field_name, 4, .inherited = true},
  [379] =
    {field_constrained_type, 0},
    {field_inherits_from, 2},
    {field_name, 2, .inherited = true},
  [382] =
    {field_constrained_type, 0},
    {field_must_equal, 2},
    {field_name, 2, .inherited = true},
  [385] =
    {field_body, 5},
    {field_declaration_kind, 0},
    {field_name, 1},
  [388] =
    {field_body, 2},
  [389] =
    {field_bound_identifier, 4, .inherited = true},
    {field_bound_identifier, 5, .inherited = true},
    {field_condition, 4},
    {field_condition, 5, .inherited = true},
    {field_name, 4, .inherited = true},
    {field_name, 5, .inherited = true},
  [395] =
    {field_bound_identifier, 5, .inherited = true},
    {field_condition, 5},
    {field_name, 5, .inherited = true},
  [398] =
    {field_name, 1},
    {field_name, 4, .inherited = true},
    {field_value, 3},
    {field_value, 4, .inherited = true},
  [402] =
    {field_name, 4, .inherited = true},
    {field_params, 0},
    {field_return_type, 4},
  [405] =
    {field_name, 4, .inherited = true},
    {field_return_type, 4},
  [407] =
    {field_external_name, 0},
    {field_name, 1},
    {field_name, 4, .inherited = true},
    {field_type, 4},
  [411] =
    {field_bound_identifier, 2, .inherited = true},
    {field_collection, 4},
    {field_item, 2},
    {field_name, 2, .inherited = true},
  [415] =
    {field_bound_identifier, 1, .inherited = true},
    {field_collection, 4},
    {field_item, 1},
    {field_name, 1, .inherited = true},
  [419] =
    {field_body, 5},
    {field_default_value, 4, .inherited = true},
    {field_name, 1},
  [422] =
    {field_body, 5},
    {field_default_value, 3, .inherited = true},
    {field_name, 1},
  [425] =
    {field_body, 5},
    {field_default_value, 2, .inherited = true},
    {field_name, 1},
  [428] =
    {field_data_contents, 2, .inherited = true},
    {field_name, 1},
    {field_raw_value, 2, .inherited = true},
  [431] =
    {field_data_contents, 0},
  [432] =
    {field_data_contents, 2, .inherited = true},
    {field_name, 1},
    {field_name, 2, .inherited = true},
    {field_raw_value, 2, .inherited = true},
  [436] =
    {field_bound_identifier, 1, .inherited = true},
    {field_name, 1},
    {field_name, 1, .inherited = true},
  [439] =
    {field_body, 5},
    {field_declaration_kind, 1},
    {field_name, 2},
  [442] =
    {field_default_value, 3},
  [443] =
    {field_name, 3, .inherited = true},
  [444] =
    {field_body, 5},
    {field_default_value, 3, .inherited = true},
    {field_name, 0},
  [447] =
    {field_body, 5},
    {field_default_value, 2, .inherited = true},
    {field_name, 0},
  [450] =
    {field_body, 5},
    {field_default_value, 1, .inherited = true},
    {field_name, 0},
  [453] =
    {field_default_value, 5},
    {field_must_inherit, 3},
    {field_name, 1},
    {field_name, 3, .inherited = true},
    {field_name, 5, .inherited = true},
  [458] =
    {field_default_value, 2, .inherited = true},
    {field_name, 0, .inherited = true},
    {field_name, 5, .inherited = true},
    {field_return_type, 5},
  [462] =
    {field_default_value, 1, .inherited = true},
    {field_name, 0, .inherited = true},
    {field_name, 5, .inherited = true},
    {field_return_type, 5},
  [466] =
    {field_default_value, 5, .inherited = true},
    {field_name, 2},
  [468] =
    {field_body, 5},
    {field_default_value, 4, .inherited = true},
    {field_name, 2},
  [471] =
    {field_body, 5},
    {field_default_value, 3, .inherited = true},
    {field_name, 2},
  [474] =
    {field_default_value, 5},
    {field_name, 2},
    {field_name, 5, .inherited = true},
  [477] =
    {field_constrained_type, 1},
    {field_inherits_from, 3},
    {field_name, 3, .inherited = true},
  [480] =
    {field_constrained_type, 1},
    {field_must_equal, 3},
    {field_name, 3, .inherited = true},
  [483] =
    {field_body, 6},
    {field_declaration_kind, 0},
    {field_name, 1},
  [486] =
    {field_bound_identifier, 5, .inherited = true},
    {field_bound_identifier, 6, .inherited = true},
    {field_condition, 5},
    {field_condition, 6, .inherited = true},
    {field_name, 5, .inherited = true},
    {field_name, 6, .inherited = true},
  [492] =
    {field_bound_identifier, 6, .inherited = true},
    {field_condition, 6},
    {field_name, 6, .inherited = true},
  [495] =
    {field_name, 5, .inherited = true},
    {field_return_type, 5},
  [497] =
    {field_bound_identifier, 2, .inherited = true},
    {field_collection, 5},
    {field_item, 2},
    {field_name, 2, .inherited = true},
  [501] =
    {field_bound_identifier, 3, .inherited = true},
    {field_collection, 5},
    {field_item, 3},
    {field_name, 3, .inherited = true},
  [505] =
    {field_body, 6},
    {field_default_value, 4, .inherited = true},
    {field_name, 1},
  [508] =
    {field_body, 6},
    {field_default_value, 3, .inherited = true},
    {field_name, 1},
  [511] =
    {field_body, 6},
    {field_default_value, 2, .inherited = true},
    {field_name, 1},
  [514] =
    {field_raw_value, 1},
  [515] =
    {field_data_contents, 2, .inherited = true},
    {field_data_contents, 3, .inherited = true},
    {field_name, 1},
    {field_name, 3, .inherited = true},
    {field_raw_value, 2, .inherited = true},
    {field_raw_value, 3, .inherited = true},
  [521] =
    {field_data_contents, 0, .inherited = true},
    {field_data_contents, 1, .inherited = true},
    {field_name, 0, .inherited = true},
    {field_name, 1, .inherited = true},
    {field_raw_value, 0, .inherited = true},
    {field_raw_value, 1, .inherited = true},
  [527] =
    {field_data_contents, 3, .inherited = true},
    {field_name, 2},
    {field_raw_value, 3, .inherited = true},
  [530] =
    {field_data_contents, 3, .inherited = true},
    {field_name, 2},
    {field_name, 3, .inherited = true},
    {field_raw_value, 3, .inherited = true},
  [534] =
    {field_name, 3},
  [535] =
    {field_body, 6},
    {field_declaration_kind, 1},
    {field_name, 2},
  [538] =
    {field_body, 6},
    {field_default_value, 3, .inherited = true},
    {field_name, 0},
  [541] =
    {field_body, 6},
    {field_default_value, 2, .inherited = true},
    {field_name, 0},
  [544] =
    {field_default_value, 6},
    {field_must_inherit, 3},
    {field_name, 1},
    {field_name, 3, .inherited = true},
    {field_name, 6, .inherited = true},
  [549] =
    {field_default_value, 2, .inherited = true},
    {field_name, 0, .inherited = true},
    {field_name, 6, .inherited = true},
    {field_return_type, 6},
  [553] =
    {field_body, 6},
    {field_default_value, 5, .inherited = true},
    {field_name, 2},
  [556] =
    {field_body, 6},
    {field_default_value, 4, .inherited = true},
    {field_name, 2},
  [559] =
    {field_body, 6},
    {field_default_value, 3, .inherited = true},
    {field_name, 2},
  [562] =
    {field_default_value, 6},
    {field_must_inherit, 4},
    {field_name, 2},
    {field_name, 4, .inherited = true},
    {field_name, 6, .inherited = true},
  [567] =
    {field_default_value, 1, .inherited = true},
    {field_name, 3, .inherited = true},
    {field_return_type, 3},
  [570] =
    {field_bound_identifier, 6, .inherited = true},
    {field_bound_identifier, 7, .inherited = true},
    {field_condition, 6},
    {field_condition, 7, .inherited = true},
    {field_name, 6, .inherited = true},
    {field_name, 7, .inherited = true},
  [576] =
    {field_name, 6, .inherited = true},
    {field_return_type, 6},
  [578] =
    {field_bound_identifier, 3, .inherited = true},
    {field_collection, 6},
    {field_item, 3},
    {field_name, 3, .inherited = true},
  [582] =
    {field_body, 7},
    {field_default_value, 4, .inherited = true},
    {field_name, 1},
  [585] =
    {field_body, 7},
    {field_default_value, 3, .inherited = true},
    {field_name, 1},
  [588] =
    {field_data_contents, 3, .inherited = true},
    {field_data_contents, 4, .inherited = true},
    {field_name, 2},
    {field_name, 4, .inherited = true},
    {field_raw_value, 3, .inherited = true},
    {field_raw_value, 4, .inherited = true},
  [594] =
    {field_data_contents, 4, .inherited = true},
    {field_name, 3},
    {field_raw_value, 4, .inherited = true},
  [597] =
    {field_data_contents, 4, .inherited = true},
    {field_name, 3},
    {field_name, 4, .inherited = true},
    {field_raw_value, 4, .inherited = true},
  [601] =
    {field_body, 7},
    {field_declaration_kind, 1},
    {field_name, 2},
  [604] =
    {field_body, 7},
    {field_default_value, 3, .inherited = true},
    {field_name, 0},
  [607] =
    {field_body, 7},
    {field_default_value, 5, .inherited = true},
    {field_name, 2},
  [610] =
    {field_body, 7},
    {field_default_value, 4, .inherited = true},
    {field_name, 2},
  [613] =
    {field_body, 7},
    {field_default_value, 3, .inherited = true},
    {field_name, 2},
  [616] =
    {field_default_value, 7},
    {field_must_inherit, 4},
    {field_name, 2},
    {field_name, 4, .inherited = true},
    {field_name, 7, .inherited = true},
  [621] =
    {field_default_value, 2, .inherited = true},
    {field_name, 4, .inherited = true},
    {field_return_type, 4},
  [624] =
    {field_body, 8},
    {field_default_value, 4, .inherited = true},
    {field_name, 1},
  [627] =
    {field_data_contents, 4, .inherited = true},
    {field_data_contents, 5, .inherited = true},
    {field_name, 3},
    {field_name, 5, .inherited = true},
    {field_raw_value, 4, .inherited = true},
    {field_raw_value, 5, .inherited = true},
  [633] =
    {field_body, 8},
    {field_default_value, 5, .inherited = true},
    {field_name, 2},
  [636] =
    {field_body, 8},
    {field_default_value, 4, .inherited = true},
    {field_name, 2},
  [639] =
    {field_default_value, 3, .inherited = true},
    {field_name, 5, .inherited = true},
    {field_return_type, 5},
  [642] =
    {field_body, 9},
    {field_default_value, 5, .inherited = true},
    {field_name, 2},
  [645] =
    {field_name, 4, .inherited = true},
  [646] =
    {field_name, 3, .inherited = true},
    {field_name, 4, .inherited = true},
  [648] =
    {field_name, 1, .inherited = true},
    {field_name, 4, .inherited = true},
  [650] =
    {field_name, 4, .inherited = true},
    {field_name, 5, .inherited = true},
  [652] =
    {field_name, 3, .inherited = true},
    {field_name, 6, .inherited = true},
  [654] =
    {field_name, 4, .inherited = true},
    {field_name, 7, .inherited = true},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [3] = {
    [0] = alias_sym_type_identifier,
  },
  [4] = {
    [0] = alias_sym_fully_open_range,
  },
  [12] = {
    [0] = sym_tuple_type_item,
  },
  [21] = {
    [1] = alias_sym_type_identifier,
  },
  [29] = {
    [1] = alias_sym__expression,
  },
  [34] = {
    [0] = sym__binding_pattern_with_expr,
  },
  [39] = {
    [0] = sym_simple_identifier,
  },
  [41] = {
    [0] = alias_sym_interpolated_expression,
  },
  [43] = {
    [1] = alias_sym_type_identifier,
  },
  [75] = {
    [0] = sym__binding_pattern_with_expr,
  },
  [76] = {
    [0] = sym__binding_pattern_with_expr,
  },
  [78] = {
    [2] = alias_sym_type_identifier,
  },
  [81] = {
    [0] = alias_sym_interpolated_expression,
  },
  [85] = {
    [1] = alias_sym_type_identifier,
  },
  [104] = {
    [0] = sym__binding_pattern_with_expr,
  },
  [105] = {
    [1] = alias_sym_type_identifier,
  },
  [108] = {
    [0] = alias_sym_protocol_function_declaration,
  },
  [111] = {
    [2] = alias_sym_type_identifier,
  },
  [116] = {
    [1] = alias_sym_type_identifier,
  },
  [117] = {
    [1] = alias_sym_type_identifier,
  },
  [123] = {
    [0] = sym__binding_pattern_with_expr,
  },
  [124] = {
    [0] = sym__binding_pattern_with_expr,
  },
  [127] = {
    [1] = alias_sym_interpolated_expression,
  },
  [129] = {
    [1] = alias_sym_type_identifier,
  },
  [140] = {
    [1] = sym__binding_pattern_with_expr,
  },
  [141] = {
    [1] = sym__binding_pattern_with_expr,
  },
  [142] = {
    [1] = alias_sym_type_identifier,
  },
  [146] = {
    [0] = alias_sym_protocol_function_declaration,
    [1] = alias_sym_protocol_function_declaration,
  },
  [150] = {
    [2] = alias_sym_type_identifier,
  },
  [157] = {
    [1] = alias_sym_type_identifier,
  },
  [163] = {
    [0] = sym__binding_pattern_with_expr,
  },
  [164] = {
    [0] = sym__binding_pattern_with_expr,
  },
  [167] = {
    [2] = alias_sym_type_identifier,
  },
  [168] = {
    [2] = alias_sym_type_identifier,
  },
  [171] = {
    [1] = alias_sym_type_identifier,
  },
  [179] = {
    [2] = sym__binding_pattern_with_expr,
  },
  [180] = {
    [1] = sym__binding_pattern_with_expr,
  },
  [188] = {
    [1] = sym__binding_pattern_with_expr,
  },
  [190] = {
    [2] = alias_sym_type_identifier,
  },
  [196] = {
    [1] = alias_sym_type_identifier,
  },
  [202] = {
    [2] = alias_sym_type_identifier,
  },
  [205] = {
    [1] = alias_sym_type_identifier,
  },
  [209] = {
    [2] = sym__binding_pattern_with_expr,
  },
  [210] = {
    [3] = sym__binding_pattern_with_expr,
  },
  [221] = {
    [2] = alias_sym_type_identifier,
  },
  [224] = {
    [1] = alias_sym_type_identifier,
  },
  [229] = {
    [2] = alias_sym_type_identifier,
  },
  [233] = {
    [3] = sym__binding_pattern_with_expr,
  },
  [239] = {
    [2] = alias_sym_type_identifier,
  },
  [244] = {
    [2] = alias_sym_type_identifier,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym_simple_identifier, 2,
    sym_simple_identifier,
    alias_sym_type_identifier,
  sym__parenthesized_type, 2,
    sym__parenthesized_type,
    sym_tuple_type_item,
  sym_value_argument, 2,
    sym_value_argument,
    alias_sym_interpolated_expression,
  sym__three_dot_operator, 2,
    sym__three_dot_operator,
    alias_sym_fully_open_range,
  sym__bodyless_function_declaration, 2,
    sym__bodyless_function_declaration,
    alias_sym_protocol_function_declaration,
  sym_function_body, 2,
    sym_function_body,
    alias_sym_protocol_function_declaration,
  sym__binding_pattern_no_expr, 2,
    sym__binding_pattern_no_expr,
    sym__binding_pattern_with_expr,
  sym__no_expr_pattern_already_bound, 2,
    sym__no_expr_pattern_already_bound,
    sym__binding_pattern_with_expr,
  sym__binding_kind_and_pattern, 2,
    sym__binding_kind_and_pattern,
    sym__binding_pattern_with_expr,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 2,
  [4] = 2,
  [5] = 2,
  [6] = 6,
  [7] = 6,
  [8] = 8,
  [9] = 6,
  [10] = 8,
  [11] = 8,
  [12] = 8,
  [13] = 8,
  [14] = 8,
  [15] = 8,
  [16] = 6,
  [17] = 8,
  [18] = 8,
  [19] = 8,
  [20] = 8,
  [21] = 8,
  [22] = 22,
  [23] = 23,
  [24] = 24,
  [25] = 25,
  [26] = 26,
  [27] = 27,
  [28] = 28,
  [29] = 29,
  [30] = 29,
  [31] = 29,
  [32] = 32,
  [33] = 33,
  [34] = 33,
  [35] = 33,
  [36] = 33,
  [37] = 33,
  [38] = 33,
  [39] = 33,
  [40] = 33,
  [41] = 33,
  [42] = 33,
  [43] = 43,
  [44] = 33,
  [45] = 33,
  [46] = 33,
  [47] = 33,
  [48] = 43,
  [49] = 33,
  [50] = 33,
  [51] = 33,
  [52] = 33,
  [53] = 33,
  [54] = 54,
  [55] = 54,
  [56] = 56,
  [57] = 57,
  [58] = 58,
  [59] = 57,
  [60] = 56,
  [61] = 32,
  [62] = 57,
  [63] = 56,
  [64] = 57,
  [65] = 56,
  [66] = 56,
  [67] = 57,
  [68] = 56,
  [69] = 56,
  [70] = 57,
  [71] = 56,
  [72] = 57,
  [73] = 73,
  [74] = 57,
  [75] = 57,
  [76] = 57,
  [77] = 56,
  [78] = 56,
  [79] = 56,
  [80] = 57,
  [81] = 57,
  [82] = 56,
  [83] = 56,
  [84] = 57,
  [85] = 57,
  [86] = 56,
  [87] = 57,
  [88] = 57,
  [89] = 73,
  [90] = 56,
  [91] = 58,
  [92] = 57,
  [93] = 57,
  [94] = 56,
  [95] = 57,
  [96] = 57,
  [97] = 56,
  [98] = 56,
  [99] = 57,
  [100] = 57,
  [101] = 56,
  [102] = 57,
  [103] = 32,
  [104] = 104,
  [105] = 105,
  [106] = 106,
  [107] = 107,
  [108] = 108,
  [109] = 109,
  [110] = 110,
  [111] = 111,
  [112] = 28,
  [113] = 27,
  [114] = 114,
  [115] = 115,
  [116] = 115,
  [117] = 110,
  [118] = 111,
  [119] = 105,
  [120] = 110,
  [121] = 111,
  [122] = 105,
  [123] = 123,
  [124] = 124,
  [125] = 125,
  [126] = 126,
  [127] = 125,
  [128] = 126,
  [129] = 125,
  [130] = 126,
  [131] = 32,
  [132] = 32,
  [133] = 133,
  [134] = 134,
  [135] = 32,
  [136] = 32,
  [137] = 32,
  [138] = 32,
  [139] = 139,
  [140] = 32,
  [141] = 141,
  [142] = 141,
  [143] = 141,
  [144] = 141,
  [145] = 141,
  [146] = 141,
  [147] = 141,
  [148] = 141,
  [149] = 141,
  [150] = 141,
  [151] = 111,
  [152] = 152,
  [153] = 152,
  [154] = 123,
  [155] = 155,
  [156] = 155,
  [157] = 111,
  [158] = 158,
  [159] = 155,
  [160] = 155,
  [161] = 161,
  [162] = 162,
  [163] = 110,
  [164] = 105,
  [165] = 165,
  [166] = 155,
  [167] = 155,
  [168] = 155,
  [169] = 169,
  [170] = 170,
  [171] = 111,
  [172] = 110,
  [173] = 170,
  [174] = 105,
  [175] = 175,
  [176] = 105,
  [177] = 177,
  [178] = 178,
  [179] = 177,
  [180] = 180,
  [181] = 181,
  [182] = 182,
  [183] = 177,
  [184] = 184,
  [185] = 184,
  [186] = 181,
  [187] = 184,
  [188] = 188,
  [189] = 188,
  [190] = 111,
  [191] = 177,
  [192] = 123,
  [193] = 177,
  [194] = 110,
  [195] = 177,
  [196] = 184,
  [197] = 110,
  [198] = 178,
  [199] = 177,
  [200] = 180,
  [201] = 182,
  [202] = 177,
  [203] = 177,
  [204] = 111,
  [205] = 177,
  [206] = 177,
  [207] = 105,
  [208] = 110,
  [209] = 111,
  [210] = 105,
  [211] = 111,
  [212] = 110,
  [213] = 105,
  [214] = 105,
  [215] = 110,
  [216] = 111,
  [217] = 217,
  [218] = 218,
  [219] = 219,
  [220] = 217,
  [221] = 221,
  [222] = 219,
  [223] = 218,
  [224] = 221,
  [225] = 217,
  [226] = 218,
  [227] = 221,
  [228] = 219,
  [229] = 219,
  [230] = 221,
  [231] = 231,
  [232] = 218,
  [233] = 217,
  [234] = 217,
  [235] = 221,
  [236] = 218,
  [237] = 237,
  [238] = 217,
  [239] = 218,
  [240] = 221,
  [241] = 219,
  [242] = 218,
  [243] = 221,
  [244] = 219,
  [245] = 219,
  [246] = 231,
  [247] = 218,
  [248] = 217,
  [249] = 219,
  [250] = 217,
  [251] = 218,
  [252] = 218,
  [253] = 221,
  [254] = 219,
  [255] = 217,
  [256] = 221,
  [257] = 221,
  [258] = 258,
  [259] = 259,
  [260] = 260,
  [261] = 261,
  [262] = 262,
  [263] = 262,
  [264] = 262,
  [265] = 262,
  [266] = 262,
  [267] = 262,
  [268] = 262,
  [269] = 262,
  [270] = 262,
  [271] = 271,
  [272] = 272,
  [273] = 272,
  [274] = 272,
  [275] = 272,
  [276] = 276,
  [277] = 272,
  [278] = 278,
  [279] = 272,
  [280] = 272,
  [281] = 272,
  [282] = 272,
  [283] = 124,
  [284] = 276,
  [285] = 285,
  [286] = 272,
  [287] = 287,
  [288] = 288,
  [289] = 289,
  [290] = 290,
  [291] = 287,
  [292] = 292,
  [293] = 293,
  [294] = 290,
  [295] = 295,
  [296] = 296,
  [297] = 297,
  [298] = 289,
  [299] = 293,
  [300] = 300,
  [301] = 293,
  [302] = 302,
  [303] = 300,
  [304] = 300,
  [305] = 290,
  [306] = 287,
  [307] = 307,
  [308] = 308,
  [309] = 292,
  [310] = 310,
  [311] = 287,
  [312] = 312,
  [313] = 297,
  [314] = 307,
  [315] = 288,
  [316] = 307,
  [317] = 317,
  [318] = 293,
  [319] = 319,
  [320] = 300,
  [321] = 288,
  [322] = 310,
  [323] = 292,
  [324] = 308,
  [325] = 307,
  [326] = 302,
  [327] = 297,
  [328] = 307,
  [329] = 289,
  [330] = 308,
  [331] = 302,
  [332] = 302,
  [333] = 292,
  [334] = 297,
  [335] = 289,
  [336] = 289,
  [337] = 288,
  [338] = 302,
  [339] = 339,
  [340] = 290,
  [341] = 297,
  [342] = 292,
  [343] = 310,
  [344] = 300,
  [345] = 288,
  [346] = 310,
  [347] = 347,
  [348] = 308,
  [349] = 295,
  [350] = 350,
  [351] = 296,
  [352] = 290,
  [353] = 353,
  [354] = 300,
  [355] = 287,
  [356] = 310,
  [357] = 307,
  [358] = 308,
  [359] = 288,
  [360] = 360,
  [361] = 353,
  [362] = 350,
  [363] = 307,
  [364] = 347,
  [365] = 289,
  [366] = 302,
  [367] = 293,
  [368] = 310,
  [369] = 288,
  [370] = 307,
  [371] = 308,
  [372] = 317,
  [373] = 293,
  [374] = 297,
  [375] = 293,
  [376] = 292,
  [377] = 297,
  [378] = 310,
  [379] = 287,
  [380] = 290,
  [381] = 289,
  [382] = 287,
  [383] = 300,
  [384] = 288,
  [385] = 300,
  [386] = 292,
  [387] = 360,
  [388] = 302,
  [389] = 287,
  [390] = 310,
  [391] = 339,
  [392] = 293,
  [393] = 308,
  [394] = 300,
  [395] = 302,
  [396] = 293,
  [397] = 302,
  [398] = 398,
  [399] = 290,
  [400] = 307,
  [401] = 287,
  [402] = 288,
  [403] = 310,
  [404] = 292,
  [405] = 297,
  [406] = 289,
  [407] = 289,
  [408] = 302,
  [409] = 307,
  [410] = 288,
  [411] = 289,
  [412] = 310,
  [413] = 297,
  [414] = 292,
  [415] = 290,
  [416] = 308,
  [417] = 308,
  [418] = 290,
  [419] = 287,
  [420] = 297,
  [421] = 292,
  [422] = 308,
  [423] = 423,
  [424] = 423,
  [425] = 425,
  [426] = 425,
  [427] = 423,
  [428] = 425,
  [429] = 425,
  [430] = 425,
  [431] = 423,
  [432] = 423,
  [433] = 425,
  [434] = 434,
  [435] = 423,
  [436] = 425,
  [437] = 425,
  [438] = 438,
  [439] = 423,
  [440] = 423,
  [441] = 423,
  [442] = 425,
  [443] = 443,
  [444] = 444,
  [445] = 445,
  [446] = 446,
  [447] = 447,
  [448] = 448,
  [449] = 443,
  [450] = 450,
  [451] = 451,
  [452] = 447,
  [453] = 451,
  [454] = 454,
  [455] = 451,
  [456] = 456,
  [457] = 457,
  [458] = 458,
  [459] = 459,
  [460] = 443,
  [461] = 461,
  [462] = 462,
  [463] = 450,
  [464] = 444,
  [465] = 451,
  [466] = 450,
  [467] = 462,
  [468] = 445,
  [469] = 446,
  [470] = 445,
  [471] = 445,
  [472] = 472,
  [473] = 473,
  [474] = 474,
  [475] = 462,
  [476] = 472,
  [477] = 477,
  [478] = 456,
  [479] = 473,
  [480] = 444,
  [481] = 481,
  [482] = 450,
  [483] = 462,
  [484] = 458,
  [485] = 450,
  [486] = 486,
  [487] = 474,
  [488] = 462,
  [489] = 447,
  [490] = 445,
  [491] = 451,
  [492] = 451,
  [493] = 450,
  [494] = 457,
  [495] = 446,
  [496] = 477,
  [497] = 445,
  [498] = 450,
  [499] = 443,
  [500] = 451,
  [501] = 451,
  [502] = 456,
  [503] = 503,
  [504] = 462,
  [505] = 445,
  [506] = 506,
  [507] = 458,
  [508] = 477,
  [509] = 445,
  [510] = 472,
  [511] = 511,
  [512] = 474,
  [513] = 457,
  [514] = 446,
  [515] = 451,
  [516] = 445,
  [517] = 447,
  [518] = 450,
  [519] = 446,
  [520] = 443,
  [521] = 474,
  [522] = 456,
  [523] = 462,
  [524] = 457,
  [525] = 458,
  [526] = 526,
  [527] = 527,
  [528] = 472,
  [529] = 529,
  [530] = 447,
  [531] = 511,
  [532] = 456,
  [533] = 472,
  [534] = 474,
  [535] = 535,
  [536] = 536,
  [537] = 472,
  [538] = 538,
  [539] = 474,
  [540] = 444,
  [541] = 447,
  [542] = 443,
  [543] = 472,
  [544] = 457,
  [545] = 545,
  [546] = 447,
  [547] = 446,
  [548] = 477,
  [549] = 443,
  [550] = 458,
  [551] = 458,
  [552] = 481,
  [553] = 443,
  [554] = 477,
  [555] = 457,
  [556] = 456,
  [557] = 462,
  [558] = 446,
  [559] = 477,
  [560] = 477,
  [561] = 446,
  [562] = 474,
  [563] = 457,
  [564] = 564,
  [565] = 456,
  [566] = 447,
  [567] = 472,
  [568] = 474,
  [569] = 481,
  [570] = 477,
  [571] = 473,
  [572] = 447,
  [573] = 447,
  [574] = 446,
  [575] = 474,
  [576] = 481,
  [577] = 443,
  [578] = 473,
  [579] = 458,
  [580] = 457,
  [581] = 581,
  [582] = 456,
  [583] = 447,
  [584] = 477,
  [585] = 443,
  [586] = 458,
  [587] = 447,
  [588] = 458,
  [589] = 589,
  [590] = 472,
  [591] = 457,
  [592] = 456,
  [593] = 445,
  [594] = 474,
  [595] = 595,
  [596] = 462,
  [597] = 446,
  [598] = 451,
  [599] = 450,
  [600] = 472,
  [601] = 462,
  [602] = 602,
  [603] = 450,
  [604] = 604,
  [605] = 605,
  [606] = 606,
  [607] = 607,
  [608] = 608,
  [609] = 609,
  [610] = 610,
  [611] = 611,
  [612] = 612,
  [613] = 613,
  [614] = 608,
  [615] = 609,
  [616] = 606,
  [617] = 604,
  [618] = 610,
  [619] = 607,
  [620] = 605,
  [621] = 608,
  [622] = 607,
  [623] = 610,
  [624] = 605,
  [625] = 604,
  [626] = 626,
  [627] = 606,
  [628] = 609,
  [629] = 629,
  [630] = 630,
  [631] = 631,
  [632] = 632,
  [633] = 633,
  [634] = 634,
  [635] = 635,
  [636] = 636,
  [637] = 637,
  [638] = 638,
  [639] = 639,
  [640] = 613,
  [641] = 612,
  [642] = 612,
  [643] = 613,
  [644] = 644,
  [645] = 626,
  [646] = 631,
  [647] = 633,
  [648] = 634,
  [649] = 630,
  [650] = 635,
  [651] = 626,
  [652] = 637,
  [653] = 629,
  [654] = 636,
  [655] = 632,
  [656] = 638,
  [657] = 629,
  [658] = 658,
  [659] = 632,
  [660] = 660,
  [661] = 630,
  [662] = 633,
  [663] = 638,
  [664] = 634,
  [665] = 665,
  [666] = 637,
  [667] = 635,
  [668] = 636,
  [669] = 669,
  [670] = 670,
  [671] = 671,
  [672] = 672,
  [673] = 673,
  [674] = 674,
  [675] = 675,
  [676] = 676,
  [677] = 677,
  [678] = 678,
  [679] = 679,
  [680] = 680,
  [681] = 681,
  [682] = 682,
  [683] = 683,
  [684] = 684,
  [685] = 685,
  [686] = 686,
  [687] = 687,
  [688] = 688,
  [689] = 689,
  [690] = 690,
  [691] = 691,
  [692] = 692,
  [693] = 693,
  [694] = 694,
  [695] = 695,
  [696] = 696,
  [697] = 697,
  [698] = 698,
  [699] = 699,
  [700] = 700,
  [701] = 701,
  [702] = 702,
  [703] = 703,
  [704] = 704,
  [705] = 705,
  [706] = 706,
  [707] = 707,
  [708] = 708,
  [709] = 709,
  [710] = 710,
  [711] = 711,
  [712] = 712,
  [713] = 713,
  [714] = 714,
  [715] = 715,
  [716] = 716,
  [717] = 717,
  [718] = 718,
  [719] = 718,
  [720] = 720,
  [721] = 721,
  [722] = 722,
  [723] = 723,
  [724] = 724,
  [725] = 725,
  [726] = 726,
  [727] = 727,
  [728] = 702,
  [729] = 729,
  [730] = 730,
  [731] = 731,
  [732] = 732,
  [733] = 733,
  [734] = 692,
  [735] = 735,
  [736] = 736,
  [737] = 610,
  [738] = 698,
  [739] = 739,
  [740] = 701,
  [741] = 708,
  [742] = 742,
  [743] = 743,
  [744] = 710,
  [745] = 745,
  [746] = 706,
  [747] = 747,
  [748] = 748,
  [749] = 749,
  [750] = 658,
  [751] = 751,
  [752] = 752,
  [753] = 753,
  [754] = 754,
  [755] = 755,
  [756] = 756,
  [757] = 757,
  [758] = 758,
  [759] = 759,
  [760] = 760,
  [761] = 761,
  [762] = 762,
  [763] = 763,
  [764] = 764,
  [765] = 765,
  [766] = 766,
  [767] = 767,
  [768] = 720,
  [769] = 769,
  [770] = 770,
  [771] = 771,
  [772] = 772,
  [773] = 773,
  [774] = 774,
  [775] = 775,
  [776] = 776,
  [777] = 777,
  [778] = 778,
  [779] = 747,
  [780] = 780,
  [781] = 717,
  [782] = 782,
  [783] = 783,
  [784] = 784,
  [785] = 742,
  [786] = 786,
  [787] = 787,
  [788] = 788,
  [789] = 789,
  [790] = 790,
  [791] = 791,
  [792] = 792,
  [793] = 793,
  [794] = 794,
  [795] = 726,
  [796] = 796,
  [797] = 797,
  [798] = 798,
  [799] = 799,
  [800] = 800,
  [801] = 801,
  [802] = 802,
  [803] = 803,
  [804] = 804,
  [805] = 805,
  [806] = 806,
  [807] = 807,
  [808] = 808,
  [809] = 809,
  [810] = 810,
  [811] = 811,
  [812] = 812,
  [813] = 813,
  [814] = 814,
  [815] = 815,
  [816] = 816,
  [817] = 817,
  [818] = 725,
  [819] = 819,
  [820] = 727,
  [821] = 821,
  [822] = 822,
  [823] = 823,
  [824] = 824,
  [825] = 825,
  [826] = 826,
  [827] = 827,
  [828] = 828,
  [829] = 829,
  [830] = 658,
  [831] = 831,
  [832] = 832,
  [833] = 608,
  [834] = 718,
  [835] = 609,
  [836] = 605,
  [837] = 604,
  [838] = 606,
  [839] = 610,
  [840] = 607,
  [841] = 607,
  [842] = 610,
  [843] = 605,
  [844] = 831,
  [845] = 606,
  [846] = 832,
  [847] = 683,
  [848] = 608,
  [849] = 684,
  [850] = 832,
  [851] = 682,
  [852] = 831,
  [853] = 609,
  [854] = 604,
  [855] = 610,
  [856] = 605,
  [857] = 608,
  [858] = 682,
  [859] = 604,
  [860] = 604,
  [861] = 605,
  [862] = 606,
  [863] = 684,
  [864] = 609,
  [865] = 609,
  [866] = 607,
  [867] = 606,
  [868] = 607,
  [869] = 610,
  [870] = 683,
  [871] = 608,
  [872] = 608,
  [873] = 607,
  [874] = 606,
  [875] = 605,
  [876] = 610,
  [877] = 604,
  [878] = 609,
  [879] = 607,
  [880] = 608,
  [881] = 606,
  [882] = 610,
  [883] = 686,
  [884] = 604,
  [885] = 609,
  [886] = 605,
  [887] = 605,
  [888] = 689,
  [889] = 608,
  [890] = 610,
  [891] = 695,
  [892] = 691,
  [893] = 694,
  [894] = 686,
  [895] = 607,
  [896] = 693,
  [897] = 696,
  [898] = 606,
  [899] = 899,
  [900] = 604,
  [901] = 690,
  [902] = 609,
  [903] = 696,
  [904] = 725,
  [905] = 694,
  [906] = 720,
  [907] = 726,
  [908] = 723,
  [909] = 727,
  [910] = 693,
  [911] = 695,
  [912] = 718,
  [913] = 691,
  [914] = 690,
  [915] = 689,
  [916] = 721,
  [917] = 727,
  [918] = 687,
  [919] = 725,
  [920] = 723,
  [921] = 721,
  [922] = 679,
  [923] = 681,
  [924] = 688,
  [925] = 726,
  [926] = 680,
  [927] = 685,
  [928] = 613,
  [929] = 720,
  [930] = 612,
  [931] = 724,
  [932] = 723,
  [933] = 688,
  [934] = 681,
  [935] = 685,
  [936] = 692,
  [937] = 679,
  [938] = 722,
  [939] = 687,
  [940] = 680,
  [941] = 692,
  [942] = 705,
  [943] = 703,
  [944] = 612,
  [945] = 613,
  [946] = 715,
  [947] = 704,
  [948] = 700,
  [949] = 697,
  [950] = 717,
  [951] = 722,
  [952] = 716,
  [953] = 713,
  [954] = 702,
  [955] = 712,
  [956] = 709,
  [957] = 707,
  [958] = 698,
  [959] = 699,
  [960] = 708,
  [961] = 701,
  [962] = 714,
  [963] = 724,
  [964] = 710,
  [965] = 706,
  [966] = 711,
  [967] = 704,
  [968] = 701,
  [969] = 699,
  [970] = 705,
  [971] = 613,
  [972] = 716,
  [973] = 712,
  [974] = 703,
  [975] = 707,
  [976] = 714,
  [977] = 711,
  [978] = 612,
  [979] = 715,
  [980] = 710,
  [981] = 700,
  [982] = 702,
  [983] = 717,
  [984] = 708,
  [985] = 706,
  [986] = 698,
  [987] = 713,
  [988] = 697,
  [989] = 709,
  [990] = 990,
  [991] = 990,
  [992] = 992,
  [993] = 990,
  [994] = 992,
  [995] = 612,
  [996] = 613,
  [997] = 990,
  [998] = 992,
  [999] = 613,
  [1000] = 612,
  [1001] = 1001,
  [1002] = 992,
  [1003] = 692,
  [1004] = 610,
  [1005] = 735,
  [1006] = 827,
  [1007] = 732,
  [1008] = 829,
  [1009] = 828,
  [1010] = 731,
  [1011] = 730,
  [1012] = 733,
  [1013] = 612,
  [1014] = 729,
  [1015] = 702,
  [1016] = 613,
  [1017] = 1017,
  [1018] = 736,
  [1019] = 733,
  [1020] = 739,
  [1021] = 1021,
  [1022] = 736,
  [1023] = 1023,
  [1024] = 680,
  [1025] = 730,
  [1026] = 748,
  [1027] = 1021,
  [1028] = 708,
  [1029] = 829,
  [1030] = 701,
  [1031] = 710,
  [1032] = 827,
  [1033] = 1023,
  [1034] = 692,
  [1035] = 706,
  [1036] = 1036,
  [1037] = 729,
  [1038] = 731,
  [1039] = 698,
  [1040] = 745,
  [1041] = 681,
  [1042] = 1042,
  [1043] = 613,
  [1044] = 743,
  [1045] = 828,
  [1046] = 612,
  [1047] = 747,
  [1048] = 610,
  [1049] = 742,
  [1050] = 613,
  [1051] = 702,
  [1052] = 1052,
  [1053] = 687,
  [1054] = 1021,
  [1055] = 735,
  [1056] = 732,
  [1057] = 612,
  [1058] = 1021,
  [1059] = 772,
  [1060] = 739,
  [1061] = 762,
  [1062] = 784,
  [1063] = 808,
  [1064] = 791,
  [1065] = 824,
  [1066] = 798,
  [1067] = 766,
  [1068] = 720,
  [1069] = 815,
  [1070] = 771,
  [1071] = 613,
  [1072] = 612,
  [1073] = 814,
  [1074] = 726,
  [1075] = 1075,
  [1076] = 727,
  [1077] = 809,
  [1078] = 826,
  [1079] = 725,
  [1080] = 747,
  [1081] = 748,
  [1082] = 782,
  [1083] = 797,
  [1084] = 776,
  [1085] = 774,
  [1086] = 708,
  [1087] = 717,
  [1088] = 765,
  [1089] = 701,
  [1090] = 778,
  [1091] = 767,
  [1092] = 804,
  [1093] = 783,
  [1094] = 790,
  [1095] = 764,
  [1096] = 811,
  [1097] = 749,
  [1098] = 770,
  [1099] = 761,
  [1100] = 742,
  [1101] = 760,
  [1102] = 806,
  [1103] = 800,
  [1104] = 692,
  [1105] = 807,
  [1106] = 759,
  [1107] = 758,
  [1108] = 793,
  [1109] = 747,
  [1110] = 752,
  [1111] = 802,
  [1112] = 710,
  [1113] = 780,
  [1114] = 803,
  [1115] = 787,
  [1116] = 743,
  [1117] = 757,
  [1118] = 756,
  [1119] = 789,
  [1120] = 810,
  [1121] = 1121,
  [1122] = 813,
  [1123] = 786,
  [1124] = 1124,
  [1125] = 754,
  [1126] = 755,
  [1127] = 817,
  [1128] = 825,
  [1129] = 805,
  [1130] = 792,
  [1131] = 796,
  [1132] = 698,
  [1133] = 801,
  [1134] = 751,
  [1135] = 742,
  [1136] = 775,
  [1137] = 822,
  [1138] = 706,
  [1139] = 1139,
  [1140] = 812,
  [1141] = 745,
  [1142] = 753,
  [1143] = 769,
  [1144] = 777,
  [1145] = 799,
  [1146] = 613,
  [1147] = 819,
  [1148] = 821,
  [1149] = 794,
  [1150] = 816,
  [1151] = 788,
  [1152] = 773,
  [1153] = 612,
  [1154] = 763,
  [1155] = 823,
  [1156] = 816,
  [1157] = 799,
  [1158] = 760,
  [1159] = 717,
  [1160] = 761,
  [1161] = 749,
  [1162] = 812,
  [1163] = 755,
  [1164] = 819,
  [1165] = 822,
  [1166] = 769,
  [1167] = 764,
  [1168] = 727,
  [1169] = 767,
  [1170] = 772,
  [1171] = 807,
  [1172] = 821,
  [1173] = 800,
  [1174] = 726,
  [1175] = 774,
  [1176] = 720,
  [1177] = 796,
  [1178] = 814,
  [1179] = 757,
  [1180] = 824,
  [1181] = 762,
  [1182] = 792,
  [1183] = 793,
  [1184] = 725,
  [1185] = 756,
  [1186] = 803,
  [1187] = 790,
  [1188] = 766,
  [1189] = 765,
  [1190] = 763,
  [1191] = 701,
  [1192] = 715,
  [1193] = 776,
  [1194] = 789,
  [1195] = 782,
  [1196] = 826,
  [1197] = 708,
  [1198] = 802,
  [1199] = 815,
  [1200] = 809,
  [1201] = 1201,
  [1202] = 613,
  [1203] = 811,
  [1204] = 783,
  [1205] = 784,
  [1206] = 710,
  [1207] = 775,
  [1208] = 780,
  [1209] = 817,
  [1210] = 823,
  [1211] = 754,
  [1212] = 810,
  [1213] = 771,
  [1214] = 808,
  [1215] = 751,
  [1216] = 788,
  [1217] = 794,
  [1218] = 813,
  [1219] = 801,
  [1220] = 612,
  [1221] = 1221,
  [1222] = 1222,
  [1223] = 759,
  [1224] = 770,
  [1225] = 786,
  [1226] = 825,
  [1227] = 778,
  [1228] = 805,
  [1229] = 1229,
  [1230] = 791,
  [1231] = 773,
  [1232] = 798,
  [1233] = 777,
  [1234] = 797,
  [1235] = 804,
  [1236] = 702,
  [1237] = 758,
  [1238] = 752,
  [1239] = 806,
  [1240] = 742,
  [1241] = 787,
  [1242] = 753,
  [1243] = 747,
  [1244] = 1244,
  [1245] = 1245,
  [1246] = 607,
  [1247] = 718,
  [1248] = 612,
  [1249] = 613,
  [1250] = 644,
  [1251] = 626,
  [1252] = 612,
  [1253] = 629,
  [1254] = 613,
  [1255] = 630,
  [1256] = 631,
  [1257] = 635,
  [1258] = 638,
  [1259] = 633,
  [1260] = 632,
  [1261] = 637,
  [1262] = 626,
  [1263] = 636,
  [1264] = 634,
  [1265] = 633,
  [1266] = 665,
  [1267] = 613,
  [1268] = 635,
  [1269] = 637,
  [1270] = 629,
  [1271] = 632,
  [1272] = 660,
  [1273] = 636,
  [1274] = 626,
  [1275] = 631,
  [1276] = 626,
  [1277] = 634,
  [1278] = 630,
  [1279] = 638,
  [1280] = 612,
  [1281] = 1281,
  [1282] = 638,
  [1283] = 1281,
  [1284] = 632,
  [1285] = 1281,
  [1286] = 1281,
  [1287] = 635,
  [1288] = 636,
  [1289] = 644,
  [1290] = 1281,
  [1291] = 634,
  [1292] = 1281,
  [1293] = 1281,
  [1294] = 633,
  [1295] = 1281,
  [1296] = 670,
  [1297] = 626,
  [1298] = 630,
  [1299] = 638,
  [1300] = 633,
  [1301] = 637,
  [1302] = 629,
  [1303] = 636,
  [1304] = 635,
  [1305] = 626,
  [1306] = 634,
  [1307] = 1307,
  [1308] = 632,
  [1309] = 637,
  [1310] = 629,
  [1311] = 630,
  [1312] = 1281,
  [1313] = 1313,
  [1314] = 1314,
  [1315] = 1315,
  [1316] = 1316,
  [1317] = 1317,
  [1318] = 1318,
  [1319] = 1319,
  [1320] = 1316,
  [1321] = 635,
  [1322] = 632,
  [1323] = 637,
  [1324] = 629,
  [1325] = 633,
  [1326] = 635,
  [1327] = 1327,
  [1328] = 1328,
  [1329] = 1329,
  [1330] = 1319,
  [1331] = 1319,
  [1332] = 637,
  [1333] = 1319,
  [1334] = 1319,
  [1335] = 629,
  [1336] = 1328,
  [1337] = 632,
  [1338] = 630,
  [1339] = 1316,
  [1340] = 1328,
  [1341] = 1328,
  [1342] = 669,
  [1343] = 1329,
  [1344] = 633,
  [1345] = 1345,
  [1346] = 626,
  [1347] = 1319,
  [1348] = 1316,
  [1349] = 671,
  [1350] = 636,
  [1351] = 644,
  [1352] = 1352,
  [1353] = 1327,
  [1354] = 1319,
  [1355] = 1328,
  [1356] = 1316,
  [1357] = 1357,
  [1358] = 1328,
  [1359] = 636,
  [1360] = 1316,
  [1361] = 1319,
  [1362] = 1313,
  [1363] = 1328,
  [1364] = 1328,
  [1365] = 634,
  [1366] = 1316,
  [1367] = 638,
  [1368] = 1316,
  [1369] = 1369,
  [1370] = 1316,
  [1371] = 1371,
  [1372] = 638,
  [1373] = 1319,
  [1374] = 1374,
  [1375] = 630,
  [1376] = 634,
  [1377] = 1328,
  [1378] = 1378,
  [1379] = 1379,
  [1380] = 1380,
  [1381] = 636,
  [1382] = 634,
  [1383] = 1383,
  [1384] = 1384,
  [1385] = 630,
  [1386] = 1386,
  [1387] = 1387,
  [1388] = 637,
  [1389] = 632,
  [1390] = 629,
  [1391] = 633,
  [1392] = 1392,
  [1393] = 635,
  [1394] = 638,
  [1395] = 1395,
  [1396] = 1396,
  [1397] = 665,
  [1398] = 1398,
  [1399] = 1399,
  [1400] = 660,
  [1401] = 1401,
  [1402] = 1402,
  [1403] = 1403,
  [1404] = 1404,
  [1405] = 1405,
  [1406] = 1406,
  [1407] = 1404,
  [1408] = 1404,
  [1409] = 1406,
  [1410] = 613,
  [1411] = 1403,
  [1412] = 1403,
  [1413] = 1405,
  [1414] = 612,
  [1415] = 1403,
  [1416] = 1406,
  [1417] = 1405,
  [1418] = 1418,
  [1419] = 1403,
  [1420] = 1420,
  [1421] = 1405,
  [1422] = 1404,
  [1423] = 1405,
  [1424] = 1406,
  [1425] = 1403,
  [1426] = 1404,
  [1427] = 665,
  [1428] = 1403,
  [1429] = 1403,
  [1430] = 1404,
  [1431] = 1404,
  [1432] = 660,
  [1433] = 1406,
  [1434] = 1406,
  [1435] = 1406,
  [1436] = 1405,
  [1437] = 1405,
  [1438] = 1403,
  [1439] = 1404,
  [1440] = 1404,
  [1441] = 1441,
  [1442] = 1406,
  [1443] = 1405,
  [1444] = 1405,
  [1445] = 1404,
  [1446] = 1406,
  [1447] = 1447,
  [1448] = 1447,
  [1449] = 1447,
  [1450] = 1447,
  [1451] = 1447,
  [1452] = 1447,
  [1453] = 1447,
  [1454] = 1447,
  [1455] = 1447,
  [1456] = 1447,
  [1457] = 1447,
  [1458] = 1447,
  [1459] = 658,
  [1460] = 1460,
  [1461] = 1460,
  [1462] = 831,
  [1463] = 831,
  [1464] = 1460,
  [1465] = 1465,
  [1466] = 1466,
  [1467] = 1467,
  [1468] = 899,
  [1469] = 658,
  [1470] = 1042,
  [1471] = 658,
  [1472] = 658,
  [1473] = 1473,
  [1474] = 658,
  [1475] = 658,
  [1476] = 682,
  [1477] = 702,
  [1478] = 686,
  [1479] = 658,
  [1480] = 683,
  [1481] = 684,
  [1482] = 682,
  [1483] = 683,
  [1484] = 684,
  [1485] = 718,
  [1486] = 683,
  [1487] = 682,
  [1488] = 689,
  [1489] = 692,
  [1490] = 681,
  [1491] = 682,
  [1492] = 696,
  [1493] = 683,
  [1494] = 680,
  [1495] = 693,
  [1496] = 686,
  [1497] = 687,
  [1498] = 695,
  [1499] = 694,
  [1500] = 684,
  [1501] = 691,
  [1502] = 690,
  [1503] = 684,
  [1504] = 685,
  [1505] = 1505,
  [1506] = 899,
  [1507] = 1507,
  [1508] = 702,
  [1509] = 684,
  [1510] = 683,
  [1511] = 682,
  [1512] = 688,
  [1513] = 682,
  [1514] = 702,
  [1515] = 692,
  [1516] = 683,
  [1517] = 686,
  [1518] = 684,
  [1519] = 679,
  [1520] = 679,
  [1521] = 685,
  [1522] = 688,
  [1523] = 680,
  [1524] = 692,
  [1525] = 690,
  [1526] = 691,
  [1527] = 681,
  [1528] = 684,
  [1529] = 694,
  [1530] = 695,
  [1531] = 721,
  [1532] = 723,
  [1533] = 710,
  [1534] = 725,
  [1535] = 696,
  [1536] = 727,
  [1537] = 726,
  [1538] = 720,
  [1539] = 686,
  [1540] = 701,
  [1541] = 693,
  [1542] = 682,
  [1543] = 683,
  [1544] = 708,
  [1545] = 687,
  [1546] = 715,
  [1547] = 689,
  [1548] = 710,
  [1549] = 701,
  [1550] = 689,
  [1551] = 695,
  [1552] = 727,
  [1553] = 1553,
  [1554] = 690,
  [1555] = 694,
  [1556] = 725,
  [1557] = 691,
  [1558] = 706,
  [1559] = 685,
  [1560] = 716,
  [1561] = 713,
  [1562] = 688,
  [1563] = 696,
  [1564] = 693,
  [1565] = 711,
  [1566] = 680,
  [1567] = 679,
  [1568] = 723,
  [1569] = 717,
  [1570] = 698,
  [1571] = 715,
  [1572] = 726,
  [1573] = 722,
  [1574] = 709,
  [1575] = 721,
  [1576] = 708,
  [1577] = 720,
  [1578] = 699,
  [1579] = 681,
  [1580] = 687,
  [1581] = 1581,
  [1582] = 702,
  [1583] = 724,
  [1584] = 691,
  [1585] = 720,
  [1586] = 723,
  [1587] = 715,
  [1588] = 711,
  [1589] = 721,
  [1590] = 726,
  [1591] = 712,
  [1592] = 705,
  [1593] = 727,
  [1594] = 698,
  [1595] = 726,
  [1596] = 721,
  [1597] = 725,
  [1598] = 709,
  [1599] = 706,
  [1600] = 699,
  [1601] = 707,
  [1602] = 723,
  [1603] = 720,
  [1604] = 686,
  [1605] = 714,
  [1606] = 717,
  [1607] = 708,
  [1608] = 713,
  [1609] = 693,
  [1610] = 680,
  [1611] = 727,
  [1612] = 681,
  [1613] = 687,
  [1614] = 701,
  [1615] = 723,
  [1616] = 696,
  [1617] = 689,
  [1618] = 690,
  [1619] = 702,
  [1620] = 692,
  [1621] = 710,
  [1622] = 716,
  [1623] = 725,
  [1624] = 695,
  [1625] = 694,
  [1626] = 1626,
  [1627] = 725,
  [1628] = 688,
  [1629] = 1629,
  [1630] = 1630,
  [1631] = 717,
  [1632] = 723,
  [1633] = 722,
  [1634] = 696,
  [1635] = 727,
  [1636] = 1636,
  [1637] = 1637,
  [1638] = 726,
  [1639] = 699,
  [1640] = 726,
  [1641] = 702,
  [1642] = 694,
  [1643] = 695,
  [1644] = 1644,
  [1645] = 721,
  [1646] = 725,
  [1647] = 724,
  [1648] = 711,
  [1649] = 679,
  [1650] = 713,
  [1651] = 1651,
  [1652] = 685,
  [1653] = 1653,
  [1654] = 721,
  [1655] = 720,
  [1656] = 709,
  [1657] = 1657,
  [1658] = 1658,
  [1659] = 702,
  [1660] = 714,
  [1661] = 1661,
  [1662] = 707,
  [1663] = 691,
  [1664] = 690,
  [1665] = 689,
  [1666] = 727,
  [1667] = 698,
  [1668] = 716,
  [1669] = 1669,
  [1670] = 693,
  [1671] = 686,
  [1672] = 1672,
  [1673] = 705,
  [1674] = 723,
  [1675] = 712,
  [1676] = 720,
  [1677] = 706,
  [1678] = 690,
  [1679] = 701,
  [1680] = 723,
  [1681] = 726,
  [1682] = 689,
  [1683] = 720,
  [1684] = 722,
  [1685] = 725,
  [1686] = 694,
  [1687] = 727,
  [1688] = 691,
  [1689] = 724,
  [1690] = 693,
  [1691] = 707,
  [1692] = 695,
  [1693] = 686,
  [1694] = 714,
  [1695] = 721,
  [1696] = 712,
  [1697] = 708,
  [1698] = 696,
  [1699] = 705,
  [1700] = 715,
  [1701] = 686,
  [1702] = 710,
  [1703] = 693,
  [1704] = 695,
  [1705] = 689,
  [1706] = 696,
  [1707] = 694,
  [1708] = 689,
  [1709] = 690,
  [1710] = 691,
  [1711] = 709,
  [1712] = 679,
  [1713] = 722,
  [1714] = 699,
  [1715] = 698,
  [1716] = 716,
  [1717] = 687,
  [1718] = 706,
  [1719] = 690,
  [1720] = 685,
  [1721] = 680,
  [1722] = 696,
  [1723] = 681,
  [1724] = 694,
  [1725] = 686,
  [1726] = 711,
  [1727] = 695,
  [1728] = 688,
  [1729] = 1729,
  [1730] = 691,
  [1731] = 692,
  [1732] = 680,
  [1733] = 717,
  [1734] = 724,
  [1735] = 713,
  [1736] = 686,
  [1737] = 693,
  [1738] = 1738,
  [1739] = 694,
  [1740] = 679,
  [1741] = 1741,
  [1742] = 707,
  [1743] = 724,
  [1744] = 688,
  [1745] = 1745,
  [1746] = 722,
  [1747] = 1747,
  [1748] = 705,
  [1749] = 712,
  [1750] = 686,
  [1751] = 702,
  [1752] = 693,
  [1753] = 692,
  [1754] = 680,
  [1755] = 687,
  [1756] = 696,
  [1757] = 696,
  [1758] = 689,
  [1759] = 694,
  [1760] = 691,
  [1761] = 1761,
  [1762] = 691,
  [1763] = 689,
  [1764] = 695,
  [1765] = 690,
  [1766] = 695,
  [1767] = 714,
  [1768] = 685,
  [1769] = 693,
  [1770] = 690,
  [1771] = 681,
  [1772] = 689,
  [1773] = 1773,
  [1774] = 1774,
  [1775] = 687,
  [1776] = 715,
  [1777] = 1777,
  [1778] = 1745,
  [1779] = 1779,
  [1780] = 712,
  [1781] = 1781,
  [1782] = 702,
  [1783] = 705,
  [1784] = 724,
  [1785] = 1785,
  [1786] = 709,
  [1787] = 715,
  [1788] = 707,
  [1789] = 1779,
  [1790] = 706,
  [1791] = 714,
  [1792] = 679,
  [1793] = 711,
  [1794] = 1794,
  [1795] = 710,
  [1796] = 693,
  [1797] = 701,
  [1798] = 696,
  [1799] = 708,
  [1800] = 1800,
  [1801] = 681,
  [1802] = 1802,
  [1803] = 701,
  [1804] = 1804,
  [1805] = 1805,
  [1806] = 1806,
  [1807] = 717,
  [1808] = 1808,
  [1809] = 699,
  [1810] = 1810,
  [1811] = 713,
  [1812] = 680,
  [1813] = 700,
  [1814] = 1814,
  [1815] = 704,
  [1816] = 697,
  [1817] = 703,
  [1818] = 1818,
  [1819] = 1819,
  [1820] = 698,
  [1821] = 685,
  [1822] = 1822,
  [1823] = 695,
  [1824] = 688,
  [1825] = 1825,
  [1826] = 1826,
  [1827] = 702,
  [1828] = 694,
  [1829] = 710,
  [1830] = 687,
  [1831] = 722,
  [1832] = 716,
  [1833] = 691,
  [1834] = 681,
  [1835] = 690,
  [1836] = 692,
  [1837] = 708,
  [1838] = 717,
  [1839] = 1839,
  [1840] = 680,
  [1841] = 701,
  [1842] = 699,
  [1843] = 709,
  [1844] = 703,
  [1845] = 1845,
  [1846] = 708,
  [1847] = 1847,
  [1848] = 714,
  [1849] = 1745,
  [1850] = 1850,
  [1851] = 707,
  [1852] = 722,
  [1853] = 715,
  [1854] = 685,
  [1855] = 710,
  [1856] = 1856,
  [1857] = 724,
  [1858] = 688,
  [1859] = 692,
  [1860] = 1860,
  [1861] = 680,
  [1862] = 1862,
  [1863] = 712,
  [1864] = 705,
  [1865] = 700,
  [1866] = 702,
  [1867] = 679,
  [1868] = 1868,
  [1869] = 724,
  [1870] = 722,
  [1871] = 681,
  [1872] = 711,
  [1873] = 698,
  [1874] = 1874,
  [1875] = 681,
  [1876] = 679,
  [1877] = 1877,
  [1878] = 1878,
  [1879] = 713,
  [1880] = 687,
  [1881] = 688,
  [1882] = 685,
  [1883] = 697,
  [1884] = 704,
  [1885] = 716,
  [1886] = 687,
  [1887] = 1887,
  [1888] = 706,
  [1889] = 1889,
  [1890] = 692,
  [1891] = 705,
  [1892] = 1892,
  [1893] = 687,
  [1894] = 715,
  [1895] = 745,
  [1896] = 680,
  [1897] = 716,
  [1898] = 692,
  [1899] = 708,
  [1900] = 1900,
  [1901] = 722,
  [1902] = 681,
  [1903] = 724,
  [1904] = 709,
  [1905] = 717,
  [1906] = 699,
  [1907] = 687,
  [1908] = 752,
  [1909] = 681,
  [1910] = 692,
  [1911] = 688,
  [1912] = 681,
  [1913] = 1913,
  [1914] = 1914,
  [1915] = 685,
  [1916] = 704,
  [1917] = 702,
  [1918] = 680,
  [1919] = 722,
  [1920] = 697,
  [1921] = 745,
  [1922] = 1922,
  [1923] = 1923,
  [1924] = 1924,
  [1925] = 701,
  [1926] = 711,
  [1927] = 714,
  [1928] = 702,
  [1929] = 712,
  [1930] = 707,
  [1931] = 710,
  [1932] = 700,
  [1933] = 680,
  [1934] = 1934,
  [1935] = 703,
  [1936] = 713,
  [1937] = 706,
  [1938] = 724,
  [1939] = 698,
  [1940] = 679,
  [1941] = 687,
  [1942] = 692,
  [1943] = 686,
  [1944] = 1944,
  [1945] = 711,
  [1946] = 698,
  [1947] = 1947,
  [1948] = 1948,
  [1949] = 1949,
  [1950] = 1950,
  [1951] = 829,
  [1952] = 715,
  [1953] = 1924,
  [1954] = 700,
  [1955] = 1955,
  [1956] = 703,
  [1957] = 715,
  [1958] = 716,
  [1959] = 827,
  [1960] = 697,
  [1961] = 1961,
  [1962] = 704,
  [1963] = 692,
  [1964] = 716,
  [1965] = 722,
  [1966] = 712,
  [1967] = 705,
  [1968] = 729,
  [1969] = 731,
  [1970] = 709,
  [1971] = 707,
  [1972] = 714,
  [1973] = 711,
  [1974] = 724,
  [1975] = 699,
  [1976] = 1976,
  [1977] = 730,
  [1978] = 1978,
  [1979] = 713,
  [1980] = 692,
  [1981] = 712,
  [1982] = 708,
  [1983] = 705,
  [1984] = 717,
  [1985] = 707,
  [1986] = 706,
  [1987] = 714,
  [1988] = 701,
  [1989] = 1989,
  [1990] = 699,
  [1991] = 702,
  [1992] = 709,
  [1993] = 732,
  [1994] = 1994,
  [1995] = 733,
  [1996] = 735,
  [1997] = 1997,
  [1998] = 710,
  [1999] = 1999,
  [2000] = 2000,
  [2001] = 710,
  [2002] = 828,
  [2003] = 745,
  [2004] = 702,
  [2005] = 717,
  [2006] = 702,
  [2007] = 2007,
  [2008] = 2008,
  [2009] = 2009,
  [2010] = 704,
  [2011] = 697,
  [2012] = 698,
  [2013] = 2013,
  [2014] = 2014,
  [2015] = 2015,
  [2016] = 702,
  [2017] = 2017,
  [2018] = 702,
  [2019] = 2019,
  [2020] = 2020,
  [2021] = 2021,
  [2022] = 1229,
  [2023] = 2023,
  [2024] = 700,
  [2025] = 708,
  [2026] = 610,
  [2027] = 703,
  [2028] = 736,
  [2029] = 2029,
  [2030] = 2030,
  [2031] = 713,
  [2032] = 706,
  [2033] = 701,
  [2034] = 702,
  [2035] = 731,
  [2036] = 2036,
  [2037] = 717,
  [2038] = 686,
  [2039] = 739,
  [2040] = 742,
  [2041] = 827,
  [2042] = 2042,
  [2043] = 747,
  [2044] = 829,
  [2045] = 732,
  [2046] = 696,
  [2047] = 710,
  [2048] = 695,
  [2049] = 708,
  [2050] = 701,
  [2051] = 2051,
  [2052] = 698,
  [2053] = 691,
  [2054] = 690,
  [2055] = 715,
  [2056] = 733,
  [2057] = 735,
  [2058] = 689,
  [2059] = 701,
  [2060] = 706,
  [2061] = 710,
  [2062] = 708,
  [2063] = 1961,
  [2064] = 716,
  [2065] = 610,
  [2066] = 748,
  [2067] = 2067,
  [2068] = 692,
  [2069] = 2069,
  [2070] = 743,
  [2071] = 715,
  [2072] = 745,
  [2073] = 693,
  [2074] = 698,
  [2075] = 2075,
  [2076] = 1222,
  [2077] = 729,
  [2078] = 704,
  [2079] = 692,
  [2080] = 706,
  [2081] = 712,
  [2082] = 705,
  [2083] = 697,
  [2084] = 2084,
  [2085] = 709,
  [2086] = 687,
  [2087] = 715,
  [2088] = 707,
  [2089] = 714,
  [2090] = 711,
  [2091] = 2091,
  [2092] = 702,
  [2093] = 2093,
  [2094] = 699,
  [2095] = 1221,
  [2096] = 710,
  [2097] = 713,
  [2098] = 736,
  [2099] = 681,
  [2100] = 701,
  [2101] = 703,
  [2102] = 708,
  [2103] = 700,
  [2104] = 2104,
  [2105] = 730,
  [2106] = 828,
  [2107] = 607,
  [2108] = 610,
  [2109] = 708,
  [2110] = 694,
  [2111] = 701,
  [2112] = 680,
  [2113] = 710,
  [2114] = 1042,
  [2115] = 702,
  [2116] = 2116,
  [2117] = 819,
  [2118] = 804,
  [2119] = 2119,
  [2120] = 2120,
  [2121] = 708,
  [2122] = 2116,
  [2123] = 1121,
  [2124] = 2124,
  [2125] = 809,
  [2126] = 824,
  [2127] = 816,
  [2128] = 762,
  [2129] = 748,
  [2130] = 2130,
  [2131] = 739,
  [2132] = 2132,
  [2133] = 793,
  [2134] = 821,
  [2135] = 747,
  [2136] = 717,
  [2137] = 790,
  [2138] = 769,
  [2139] = 2139,
  [2140] = 814,
  [2141] = 778,
  [2142] = 2142,
  [2143] = 802,
  [2144] = 2144,
  [2145] = 2145,
  [2146] = 742,
  [2147] = 2147,
  [2148] = 2148,
  [2149] = 2149,
  [2150] = 2150,
  [2151] = 2151,
  [2152] = 2152,
  [2153] = 2153,
  [2154] = 2154,
  [2155] = 2155,
  [2156] = 2156,
  [2157] = 2157,
  [2158] = 2158,
  [2159] = 2159,
  [2160] = 2160,
  [2161] = 811,
  [2162] = 2162,
  [2163] = 610,
  [2164] = 751,
  [2165] = 2165,
  [2166] = 2166,
  [2167] = 777,
  [2168] = 2069,
  [2169] = 806,
  [2170] = 2170,
  [2171] = 2171,
  [2172] = 2172,
  [2173] = 752,
  [2174] = 685,
  [2175] = 800,
  [2176] = 2176,
  [2177] = 2177,
  [2178] = 775,
  [2179] = 807,
  [2180] = 2132,
  [2181] = 2181,
  [2182] = 753,
  [2183] = 1222,
  [2184] = 2184,
  [2185] = 2130,
  [2186] = 803,
  [2187] = 2084,
  [2188] = 730,
  [2189] = 2189,
  [2190] = 743,
  [2191] = 787,
  [2192] = 773,
  [2193] = 2193,
  [2194] = 1221,
  [2195] = 2195,
  [2196] = 612,
  [2197] = 2197,
  [2198] = 2198,
  [2199] = 799,
  [2200] = 2200,
  [2201] = 679,
  [2202] = 794,
  [2203] = 2203,
  [2204] = 732,
  [2205] = 2205,
  [2206] = 828,
  [2207] = 1075,
  [2208] = 2208,
  [2209] = 2209,
  [2210] = 788,
  [2211] = 2211,
  [2212] = 823,
  [2213] = 2213,
  [2214] = 822,
  [2215] = 797,
  [2216] = 2216,
  [2217] = 702,
  [2218] = 702,
  [2219] = 1924,
  [2220] = 2220,
  [2221] = 688,
  [2222] = 731,
  [2223] = 2223,
  [2224] = 755,
  [2225] = 756,
  [2226] = 2226,
  [2227] = 2227,
  [2228] = 757,
  [2229] = 2229,
  [2230] = 758,
  [2231] = 736,
  [2232] = 759,
  [2233] = 2233,
  [2234] = 760,
  [2235] = 2235,
  [2236] = 761,
  [2237] = 2237,
  [2238] = 706,
  [2239] = 2139,
  [2240] = 2240,
  [2241] = 749,
  [2242] = 764,
  [2243] = 2243,
  [2244] = 767,
  [2245] = 772,
  [2246] = 774,
  [2247] = 776,
  [2248] = 702,
  [2249] = 710,
  [2250] = 827,
  [2251] = 829,
  [2252] = 782,
  [2253] = 826,
  [2254] = 2254,
  [2255] = 815,
  [2256] = 2256,
  [2257] = 798,
  [2258] = 2258,
  [2259] = 2259,
  [2260] = 791,
  [2261] = 808,
  [2262] = 2262,
  [2263] = 698,
  [2264] = 770,
  [2265] = 780,
  [2266] = 789,
  [2267] = 742,
  [2268] = 692,
  [2269] = 735,
  [2270] = 733,
  [2271] = 792,
  [2272] = 796,
  [2273] = 801,
  [2274] = 812,
  [2275] = 828,
  [2276] = 745,
  [2277] = 2036,
  [2278] = 2278,
  [2279] = 701,
  [2280] = 754,
  [2281] = 2281,
  [2282] = 720,
  [2283] = 726,
  [2284] = 805,
  [2285] = 747,
  [2286] = 727,
  [2287] = 817,
  [2288] = 825,
  [2289] = 613,
  [2290] = 786,
  [2291] = 784,
  [2292] = 783,
  [2293] = 771,
  [2294] = 2158,
  [2295] = 2119,
  [2296] = 2120,
  [2297] = 813,
  [2298] = 766,
  [2299] = 810,
  [2300] = 1229,
  [2301] = 686,
  [2302] = 725,
  [2303] = 765,
  [2304] = 763,
  [2305] = 829,
  [2306] = 1222,
  [2307] = 1221,
  [2308] = 2308,
  [2309] = 827,
  [2310] = 2310,
  [2311] = 729,
  [2312] = 1229,
  [2313] = 776,
  [2314] = 749,
  [2315] = 745,
  [2316] = 825,
  [2317] = 790,
  [2318] = 692,
  [2319] = 692,
  [2320] = 610,
  [2321] = 802,
  [2322] = 751,
  [2323] = 800,
  [2324] = 2324,
  [2325] = 806,
  [2326] = 811,
  [2327] = 693,
  [2328] = 2328,
  [2329] = 2329,
  [2330] = 786,
  [2331] = 752,
  [2332] = 754,
  [2333] = 2333,
  [2334] = 2334,
  [2335] = 2335,
  [2336] = 747,
  [2337] = 778,
  [2338] = 742,
  [2339] = 2339,
  [2340] = 793,
  [2341] = 687,
  [2342] = 689,
  [2343] = 690,
  [2344] = 2344,
  [2345] = 743,
  [2346] = 681,
  [2347] = 691,
  [2348] = 2348,
  [2349] = 2349,
  [2350] = 692,
  [2351] = 748,
  [2352] = 2352,
  [2353] = 747,
  [2354] = 610,
  [2355] = 739,
  [2356] = 695,
  [2357] = 715,
  [2358] = 807,
  [2359] = 805,
  [2360] = 742,
  [2361] = 694,
  [2362] = 803,
  [2363] = 777,
  [2364] = 2349,
  [2365] = 708,
  [2366] = 730,
  [2367] = 797,
  [2368] = 804,
  [2369] = 701,
  [2370] = 731,
  [2371] = 725,
  [2372] = 729,
  [2373] = 732,
  [2374] = 702,
  [2375] = 2375,
  [2376] = 828,
  [2377] = 2377,
  [2378] = 2349,
  [2379] = 827,
  [2380] = 829,
  [2381] = 762,
  [2382] = 787,
  [2383] = 736,
  [2384] = 817,
  [2385] = 720,
  [2386] = 2349,
  [2387] = 773,
  [2388] = 696,
  [2389] = 810,
  [2390] = 710,
  [2391] = 2349,
  [2392] = 784,
  [2393] = 733,
  [2394] = 735,
  [2395] = 775,
  [2396] = 783,
  [2397] = 717,
  [2398] = 771,
  [2399] = 1961,
  [2400] = 799,
  [2401] = 766,
  [2402] = 765,
  [2403] = 735,
  [2404] = 733,
  [2405] = 794,
  [2406] = 824,
  [2407] = 2407,
  [2408] = 763,
  [2409] = 2409,
  [2410] = 753,
  [2411] = 788,
  [2412] = 801,
  [2413] = 796,
  [2414] = 792,
  [2415] = 789,
  [2416] = 780,
  [2417] = 770,
  [2418] = 823,
  [2419] = 816,
  [2420] = 2420,
  [2421] = 2421,
  [2422] = 829,
  [2423] = 822,
  [2424] = 2424,
  [2425] = 2425,
  [2426] = 827,
  [2427] = 2427,
  [2428] = 2428,
  [2429] = 2429,
  [2430] = 2430,
  [2431] = 821,
  [2432] = 2432,
  [2433] = 729,
  [2434] = 819,
  [2435] = 731,
  [2436] = 809,
  [2437] = 2437,
  [2438] = 769,
  [2439] = 702,
  [2440] = 808,
  [2441] = 812,
  [2442] = 791,
  [2443] = 798,
  [2444] = 2349,
  [2445] = 708,
  [2446] = 747,
  [2447] = 701,
  [2448] = 2448,
  [2449] = 742,
  [2450] = 710,
  [2451] = 815,
  [2452] = 2349,
  [2453] = 826,
  [2454] = 730,
  [2455] = 2349,
  [2456] = 755,
  [2457] = 2457,
  [2458] = 2458,
  [2459] = 756,
  [2460] = 613,
  [2461] = 2461,
  [2462] = 727,
  [2463] = 814,
  [2464] = 813,
  [2465] = 757,
  [2466] = 732,
  [2467] = 726,
  [2468] = 612,
  [2469] = 758,
  [2470] = 828,
  [2471] = 759,
  [2472] = 2349,
  [2473] = 706,
  [2474] = 2349,
  [2475] = 680,
  [2476] = 760,
  [2477] = 761,
  [2478] = 2349,
  [2479] = 698,
  [2480] = 782,
  [2481] = 774,
  [2482] = 772,
  [2483] = 764,
  [2484] = 767,
  [2485] = 736,
  [2486] = 706,
  [2487] = 701,
  [2488] = 812,
  [2489] = 717,
  [2490] = 748,
  [2491] = 767,
  [2492] = 735,
  [2493] = 733,
  [2494] = 753,
  [2495] = 791,
  [2496] = 2496,
  [2497] = 710,
  [2498] = 745,
  [2499] = 610,
  [2500] = 816,
  [2501] = 821,
  [2502] = 769,
  [2503] = 801,
  [2504] = 708,
  [2505] = 680,
  [2506] = 613,
  [2507] = 698,
  [2508] = 775,
  [2509] = 796,
  [2510] = 706,
  [2511] = 698,
  [2512] = 2512,
  [2513] = 612,
  [2514] = 747,
  [2515] = 696,
  [2516] = 792,
  [2517] = 2517,
  [2518] = 725,
  [2519] = 829,
  [2520] = 789,
  [2521] = 827,
  [2522] = 780,
  [2523] = 770,
  [2524] = 739,
  [2525] = 2525,
  [2526] = 2526,
  [2527] = 694,
  [2528] = 743,
  [2529] = 695,
  [2530] = 2530,
  [2531] = 742,
  [2532] = 706,
  [2533] = 729,
  [2534] = 731,
  [2535] = 710,
  [2536] = 743,
  [2537] = 698,
  [2538] = 720,
  [2539] = 691,
  [2540] = 726,
  [2541] = 805,
  [2542] = 727,
  [2543] = 690,
  [2544] = 2544,
  [2545] = 689,
  [2546] = 825,
  [2547] = 786,
  [2548] = 693,
  [2549] = 813,
  [2550] = 2544,
  [2551] = 2551,
  [2552] = 2552,
  [2553] = 2553,
  [2554] = 2554,
  [2555] = 688,
  [2556] = 810,
  [2557] = 2557,
  [2558] = 702,
  [2559] = 1244,
  [2560] = 2551,
  [2561] = 701,
  [2562] = 763,
  [2563] = 736,
  [2564] = 1042,
  [2565] = 708,
  [2566] = 679,
  [2567] = 804,
  [2568] = 742,
  [2569] = 797,
  [2570] = 777,
  [2571] = 2571,
  [2572] = 2572,
  [2573] = 745,
  [2574] = 751,
  [2575] = 713,
  [2576] = 2576,
  [2577] = 790,
  [2578] = 2578,
  [2579] = 793,
  [2580] = 762,
  [2581] = 824,
  [2582] = 814,
  [2583] = 809,
  [2584] = 699,
  [2585] = 802,
  [2586] = 754,
  [2587] = 778,
  [2588] = 2588,
  [2589] = 685,
  [2590] = 722,
  [2591] = 811,
  [2592] = 717,
  [2593] = 808,
  [2594] = 806,
  [2595] = 2595,
  [2596] = 2551,
  [2597] = 823,
  [2598] = 807,
  [2599] = 681,
  [2600] = 711,
  [2601] = 803,
  [2602] = 798,
  [2603] = 687,
  [2604] = 716,
  [2605] = 787,
  [2606] = 2551,
  [2607] = 730,
  [2608] = 702,
  [2609] = 702,
  [2610] = 773,
  [2611] = 724,
  [2612] = 815,
  [2613] = 799,
  [2614] = 826,
  [2615] = 794,
  [2616] = 2616,
  [2617] = 2617,
  [2618] = 2618,
  [2619] = 2551,
  [2620] = 2620,
  [2621] = 2621,
  [2622] = 2622,
  [2623] = 2623,
  [2624] = 2551,
  [2625] = 788,
  [2626] = 782,
  [2627] = 800,
  [2628] = 747,
  [2629] = 776,
  [2630] = 2551,
  [2631] = 766,
  [2632] = 709,
  [2633] = 765,
  [2634] = 822,
  [2635] = 819,
  [2636] = 828,
  [2637] = 758,
  [2638] = 2638,
  [2639] = 692,
  [2640] = 2640,
  [2641] = 2641,
  [2642] = 2642,
  [2643] = 2643,
  [2644] = 757,
  [2645] = 2645,
  [2646] = 2646,
  [2647] = 2647,
  [2648] = 2648,
  [2649] = 2649,
  [2650] = 817,
  [2651] = 2551,
  [2652] = 2530,
  [2653] = 764,
  [2654] = 752,
  [2655] = 774,
  [2656] = 2551,
  [2657] = 784,
  [2658] = 749,
  [2659] = 732,
  [2660] = 783,
  [2661] = 692,
  [2662] = 771,
  [2663] = 761,
  [2664] = 756,
  [2665] = 760,
  [2666] = 755,
  [2667] = 759,
  [2668] = 772,
  [2669] = 2669,
  [2670] = 804,
  [2671] = 2671,
  [2672] = 725,
  [2673] = 2673,
  [2674] = 2674,
  [2675] = 2675,
  [2676] = 2676,
  [2677] = 777,
  [2678] = 717,
  [2679] = 2679,
  [2680] = 754,
  [2681] = 797,
  [2682] = 804,
  [2683] = 751,
  [2684] = 817,
  [2685] = 2685,
  [2686] = 2686,
  [2687] = 802,
  [2688] = 2688,
  [2689] = 2689,
  [2690] = 2690,
  [2691] = 2691,
  [2692] = 2692,
  [2693] = 2693,
  [2694] = 2694,
  [2695] = 2695,
  [2696] = 2696,
  [2697] = 2697,
  [2698] = 2698,
  [2699] = 2699,
  [2700] = 710,
  [2701] = 712,
  [2702] = 2702,
  [2703] = 2703,
  [2704] = 2704,
  [2705] = 705,
  [2706] = 2706,
  [2707] = 2707,
  [2708] = 2708,
  [2709] = 2709,
  [2710] = 2710,
  [2711] = 2711,
  [2712] = 2712,
  [2713] = 2713,
  [2714] = 2714,
  [2715] = 2715,
  [2716] = 701,
  [2717] = 2717,
  [2718] = 2718,
  [2719] = 2719,
  [2720] = 2720,
  [2721] = 2721,
  [2722] = 2722,
  [2723] = 790,
  [2724] = 2724,
  [2725] = 2725,
  [2726] = 2726,
  [2727] = 2727,
  [2728] = 2728,
  [2729] = 2729,
  [2730] = 726,
  [2731] = 2731,
  [2732] = 2732,
  [2733] = 727,
  [2734] = 793,
  [2735] = 2735,
  [2736] = 825,
  [2737] = 2737,
  [2738] = 2738,
  [2739] = 2739,
  [2740] = 786,
  [2741] = 2741,
  [2742] = 2742,
  [2743] = 762,
  [2744] = 2744,
  [2745] = 824,
  [2746] = 708,
  [2747] = 702,
  [2748] = 2748,
  [2749] = 2749,
  [2750] = 752,
  [2751] = 2751,
  [2752] = 2752,
  [2753] = 2753,
  [2754] = 2754,
  [2755] = 2755,
  [2756] = 2756,
  [2757] = 784,
  [2758] = 2758,
  [2759] = 2759,
  [2760] = 720,
  [2761] = 2761,
  [2762] = 2762,
  [2763] = 2763,
  [2764] = 2764,
  [2765] = 2765,
  [2766] = 707,
  [2767] = 2767,
  [2768] = 2768,
  [2769] = 2769,
  [2770] = 2770,
  [2771] = 810,
  [2772] = 714,
  [2773] = 2773,
  [2774] = 2774,
  [2775] = 2775,
  [2776] = 2776,
  [2777] = 783,
  [2778] = 2778,
  [2779] = 2779,
  [2780] = 2780,
  [2781] = 2781,
  [2782] = 2782,
  [2783] = 2783,
  [2784] = 2784,
  [2785] = 2785,
  [2786] = 814,
  [2787] = 2787,
  [2788] = 708,
  [2789] = 2789,
  [2790] = 2790,
  [2791] = 701,
  [2792] = 2792,
  [2793] = 2793,
  [2794] = 2794,
  [2795] = 710,
  [2796] = 2796,
  [2797] = 2797,
  [2798] = 2798,
  [2799] = 2799,
  [2800] = 2800,
  [2801] = 752,
  [2802] = 813,
  [2803] = 809,
  [2804] = 2804,
  [2805] = 717,
  [2806] = 2806,
  [2807] = 688,
  [2808] = 2808,
  [2809] = 2809,
  [2810] = 2810,
  [2811] = 771,
  [2812] = 2812,
  [2813] = 2813,
  [2814] = 739,
  [2815] = 2815,
  [2816] = 2816,
  [2817] = 2817,
  [2818] = 2818,
  [2819] = 748,
  [2820] = 2820,
  [2821] = 766,
  [2822] = 778,
  [2823] = 765,
  [2824] = 793,
  [2825] = 2825,
  [2826] = 2826,
  [2827] = 811,
  [2828] = 2828,
  [2829] = 2829,
  [2830] = 806,
  [2831] = 2831,
  [2832] = 2832,
  [2833] = 800,
  [2834] = 2834,
  [2835] = 2835,
  [2836] = 612,
  [2837] = 2837,
  [2838] = 2838,
  [2839] = 2839,
  [2840] = 613,
  [2841] = 2841,
  [2842] = 2842,
  [2843] = 2843,
  [2844] = 2844,
  [2845] = 2845,
  [2846] = 2846,
  [2847] = 2847,
  [2848] = 762,
  [2849] = 2849,
  [2850] = 2850,
  [2851] = 2851,
  [2852] = 2852,
  [2853] = 2853,
  [2854] = 810,
  [2855] = 2855,
  [2856] = 824,
  [2857] = 2857,
  [2858] = 2858,
  [2859] = 763,
  [2860] = 2860,
  [2861] = 2861,
  [2862] = 807,
  [2863] = 2863,
  [2864] = 2864,
  [2865] = 2865,
  [2866] = 805,
  [2867] = 2867,
  [2868] = 2868,
  [2869] = 2869,
  [2870] = 2870,
  [2871] = 803,
  [2872] = 2872,
  [2873] = 2873,
  [2874] = 2874,
  [2875] = 725,
  [2876] = 753,
  [2877] = 814,
  [2878] = 813,
  [2879] = 2879,
  [2880] = 2880,
  [2881] = 812,
  [2882] = 2882,
  [2883] = 2883,
  [2884] = 2884,
  [2885] = 2885,
  [2886] = 2886,
  [2887] = 2887,
  [2888] = 2888,
  [2889] = 2889,
  [2890] = 2890,
  [2891] = 2891,
  [2892] = 743,
  [2893] = 2893,
  [2894] = 2894,
  [2895] = 787,
  [2896] = 2896,
  [2897] = 2897,
  [2898] = 2898,
  [2899] = 809,
  [2900] = 2900,
  [2901] = 2901,
  [2902] = 801,
  [2903] = 2903,
  [2904] = 726,
  [2905] = 727,
  [2906] = 796,
  [2907] = 2810,
  [2908] = 2908,
  [2909] = 2909,
  [2910] = 2910,
  [2911] = 612,
  [2912] = 2912,
  [2913] = 2913,
  [2914] = 2914,
  [2915] = 2806,
  [2916] = 773,
  [2917] = 778,
  [2918] = 2918,
  [2919] = 698,
  [2920] = 790,
  [2921] = 613,
  [2922] = 2922,
  [2923] = 786,
  [2924] = 792,
  [2925] = 825,
  [2926] = 811,
  [2927] = 802,
  [2928] = 789,
  [2929] = 751,
  [2930] = 2930,
  [2931] = 780,
  [2932] = 754,
  [2933] = 806,
  [2934] = 2934,
  [2935] = 800,
  [2936] = 745,
  [2937] = 807,
  [2938] = 720,
  [2939] = 805,
  [2940] = 803,
  [2941] = 685,
  [2942] = 770,
  [2943] = 799,
  [2944] = 794,
  [2945] = 787,
  [2946] = 788,
  [2947] = 777,
  [2948] = 773,
  [2949] = 823,
  [2950] = 2950,
  [2951] = 797,
  [2952] = 822,
  [2953] = 817,
  [2954] = 2954,
  [2955] = 799,
  [2956] = 794,
  [2957] = 788,
  [2958] = 823,
  [2959] = 819,
  [2960] = 2810,
  [2961] = 715,
  [2962] = 2806,
  [2963] = 822,
  [2964] = 819,
  [2965] = 706,
  [2966] = 2966,
  [2967] = 2967,
  [2968] = 1042,
  [2969] = 755,
  [2970] = 756,
  [2971] = 816,
  [2972] = 757,
  [2973] = 784,
  [2974] = 758,
  [2975] = 783,
  [2976] = 759,
  [2977] = 760,
  [2978] = 821,
  [2979] = 771,
  [2980] = 2810,
  [2981] = 2806,
  [2982] = 766,
  [2983] = 765,
  [2984] = 763,
  [2985] = 761,
  [2986] = 749,
  [2987] = 764,
  [2988] = 755,
  [2989] = 767,
  [2990] = 756,
  [2991] = 757,
  [2992] = 753,
  [2993] = 772,
  [2994] = 774,
  [2995] = 758,
  [2996] = 812,
  [2997] = 759,
  [2998] = 775,
  [2999] = 801,
  [3000] = 796,
  [3001] = 760,
  [3002] = 792,
  [3003] = 789,
  [3004] = 780,
  [3005] = 770,
  [3006] = 769,
  [3007] = 761,
  [3008] = 749,
  [3009] = 764,
  [3010] = 767,
  [3011] = 776,
  [3012] = 772,
  [3013] = 782,
  [3014] = 774,
  [3015] = 816,
  [3016] = 3016,
  [3017] = 821,
  [3018] = 3018,
  [3019] = 808,
  [3020] = 775,
  [3021] = 679,
  [3022] = 742,
  [3023] = 769,
  [3024] = 776,
  [3025] = 782,
  [3026] = 791,
  [3027] = 808,
  [3028] = 798,
  [3029] = 747,
  [3030] = 791,
  [3031] = 798,
  [3032] = 3032,
  [3033] = 3033,
  [3034] = 3034,
  [3035] = 815,
  [3036] = 3036,
  [3037] = 815,
  [3038] = 826,
  [3039] = 826,
  [3040] = 706,
  [3041] = 722,
  [3042] = 782,
  [3043] = 821,
  [3044] = 817,
  [3045] = 804,
  [3046] = 797,
  [3047] = 800,
  [3048] = 776,
  [3049] = 806,
  [3050] = 716,
  [3051] = 777,
  [3052] = 753,
  [3053] = 812,
  [3054] = 613,
  [3055] = 612,
  [3056] = 811,
  [3057] = 775,
  [3058] = 825,
  [3059] = 774,
  [3060] = 786,
  [3061] = 715,
  [3062] = 772,
  [3063] = 767,
  [3064] = 764,
  [3065] = 749,
  [3066] = 1630,
  [3067] = 761,
  [3068] = 3068,
  [3069] = 778,
  [3070] = 805,
  [3071] = 760,
  [3072] = 763,
  [3073] = 803,
  [3074] = 759,
  [3075] = 755,
  [3076] = 758,
  [3077] = 765,
  [3078] = 757,
  [3079] = 756,
  [3080] = 726,
  [3081] = 725,
  [3082] = 727,
  [3083] = 613,
  [3084] = 766,
  [3085] = 612,
  [3086] = 717,
  [3087] = 801,
  [3088] = 823,
  [3089] = 613,
  [3090] = 826,
  [3091] = 815,
  [3092] = 809,
  [3093] = 813,
  [3094] = 798,
  [3095] = 791,
  [3096] = 814,
  [3097] = 612,
  [3098] = 796,
  [3099] = 739,
  [3100] = 808,
  [3101] = 717,
  [3102] = 792,
  [3103] = 789,
  [3104] = 713,
  [3105] = 708,
  [3106] = 686,
  [3107] = 780,
  [3108] = 770,
  [3109] = 771,
  [3110] = 701,
  [3111] = 752,
  [3112] = 748,
  [3113] = 824,
  [3114] = 699,
  [3115] = 810,
  [3116] = 819,
  [3117] = 769,
  [3118] = 762,
  [3119] = 822,
  [3120] = 1892,
  [3121] = 612,
  [3122] = 710,
  [3123] = 613,
  [3124] = 790,
  [3125] = 787,
  [3126] = 711,
  [3127] = 720,
  [3128] = 773,
  [3129] = 724,
  [3130] = 807,
  [3131] = 799,
  [3132] = 754,
  [3133] = 802,
  [3134] = 613,
  [3135] = 698,
  [3136] = 793,
  [3137] = 612,
  [3138] = 794,
  [3139] = 788,
  [3140] = 709,
  [3141] = 751,
  [3142] = 783,
  [3143] = 816,
  [3144] = 784,
  [3145] = 1856,
  [3146] = 707,
  [3147] = 714,
  [3148] = 3148,
  [3149] = 3148,
  [3150] = 613,
  [3151] = 3148,
  [3152] = 3148,
  [3153] = 3148,
  [3154] = 3148,
  [3155] = 612,
  [3156] = 3148,
  [3157] = 613,
  [3158] = 699,
  [3159] = 3148,
  [3160] = 1553,
  [3161] = 3148,
  [3162] = 613,
  [3163] = 612,
  [3164] = 3148,
  [3165] = 3148,
  [3166] = 3148,
  [3167] = 3148,
  [3168] = 3148,
  [3169] = 3148,
  [3170] = 722,
  [3171] = 724,
  [3172] = 3148,
  [3173] = 1553,
  [3174] = 698,
  [3175] = 3148,
  [3176] = 706,
  [3177] = 613,
  [3178] = 705,
  [3179] = 3148,
  [3180] = 3148,
  [3181] = 709,
  [3182] = 3148,
  [3183] = 3148,
  [3184] = 3148,
  [3185] = 3148,
  [3186] = 712,
  [3187] = 3148,
  [3188] = 3148,
  [3189] = 3148,
  [3190] = 3148,
  [3191] = 713,
  [3192] = 1507,
  [3193] = 612,
  [3194] = 613,
  [3195] = 3068,
  [3196] = 3148,
  [3197] = 3148,
  [3198] = 717,
  [3199] = 612,
  [3200] = 711,
  [3201] = 716,
  [3202] = 3148,
  [3203] = 3148,
  [3204] = 3148,
  [3205] = 612,
  [3206] = 3148,
  [3207] = 1729,
  [3208] = 705,
  [3209] = 712,
  [3210] = 692,
  [3211] = 689,
  [3212] = 687,
  [3213] = 680,
  [3214] = 3068,
  [3215] = 707,
  [3216] = 1738,
  [3217] = 680,
  [3218] = 714,
  [3219] = 696,
  [3220] = 690,
  [3221] = 613,
  [3222] = 693,
  [3223] = 613,
  [3224] = 612,
  [3225] = 612,
  [3226] = 695,
  [3227] = 687,
  [3228] = 681,
  [3229] = 681,
  [3230] = 612,
  [3231] = 694,
  [3232] = 613,
  [3233] = 691,
  [3234] = 3234,
  [3235] = 692,
  [3236] = 1761,
  [3237] = 702,
  [3238] = 1741,
  [3239] = 702,
  [3240] = 685,
  [3241] = 612,
  [3242] = 688,
  [3243] = 1747,
  [3244] = 702,
  [3245] = 2139,
  [3246] = 679,
  [3247] = 613,
  [3248] = 1774,
  [3249] = 715,
  [3250] = 612,
  [3251] = 1773,
  [3252] = 1808,
  [3253] = 708,
  [3254] = 612,
  [3255] = 710,
  [3256] = 3256,
  [3257] = 612,
  [3258] = 3258,
  [3259] = 710,
  [3260] = 715,
  [3261] = 613,
  [3262] = 613,
  [3263] = 3263,
  [3264] = 702,
  [3265] = 3263,
  [3266] = 613,
  [3267] = 1777,
  [3268] = 701,
  [3269] = 3269,
  [3270] = 708,
  [3271] = 701,
  [3272] = 3269,
  [3273] = 698,
  [3274] = 709,
  [3275] = 1839,
  [3276] = 699,
  [3277] = 711,
  [3278] = 717,
  [3279] = 1874,
  [3280] = 706,
  [3281] = 3281,
  [3282] = 1860,
  [3283] = 1229,
  [3284] = 716,
  [3285] = 1889,
  [3286] = 724,
  [3287] = 3287,
  [3288] = 3288,
  [3289] = 1808,
  [3290] = 1774,
  [3291] = 3287,
  [3292] = 1887,
  [3293] = 722,
  [3294] = 3294,
  [3295] = 1878,
  [3296] = 713,
  [3297] = 3297,
  [3298] = 3298,
  [3299] = 1845,
  [3300] = 1877,
  [3301] = 1913,
  [3302] = 1914,
  [3303] = 1221,
  [3304] = 3304,
  [3305] = 1222,
  [3306] = 712,
  [3307] = 2526,
  [3308] = 2571,
  [3309] = 1913,
  [3310] = 3310,
  [3311] = 2576,
  [3312] = 1914,
  [3313] = 707,
  [3314] = 714,
  [3315] = 705,
  [3316] = 3316,
  [3317] = 3317,
  [3318] = 1924,
  [3319] = 3319,
  [3320] = 3319,
  [3321] = 3321,
  [3322] = 3322,
  [3323] = 3323,
  [3324] = 3324,
  [3325] = 3319,
  [3326] = 1961,
  [3327] = 2104,
  [3328] = 3328,
  [3329] = 3328,
  [3330] = 1924,
  [3331] = 2069,
  [3332] = 2036,
  [3333] = 3333,
  [3334] = 3333,
  [3335] = 3328,
  [3336] = 3333,
  [3337] = 3337,
  [3338] = 3328,
  [3339] = 3328,
  [3340] = 3333,
  [3341] = 3328,
  [3342] = 3333,
  [3343] = 3328,
  [3344] = 3333,
  [3345] = 3333,
  [3346] = 3328,
  [3347] = 2084,
  [3348] = 3333,
  [3349] = 1961,
  [3350] = 2158,
  [3351] = 3351,
  [3352] = 3351,
  [3353] = 3353,
  [3354] = 2119,
  [3355] = 2120,
  [3356] = 3356,
  [3357] = 3357,
  [3358] = 3358,
  [3359] = 3359,
  [3360] = 3360,
  [3361] = 3361,
  [3362] = 3357,
  [3363] = 2132,
  [3364] = 3364,
  [3365] = 2130,
  [3366] = 3357,
  [3367] = 3351,
  [3368] = 2116,
  [3369] = 3369,
  [3370] = 3370,
  [3371] = 3371,
  [3372] = 3372,
  [3373] = 3373,
  [3374] = 3374,
  [3375] = 3375,
  [3376] = 3376,
  [3377] = 3377,
  [3378] = 3378,
  [3379] = 3371,
  [3380] = 3378,
  [3381] = 3381,
  [3382] = 2375,
  [3383] = 3383,
  [3384] = 3384,
  [3385] = 3383,
  [3386] = 3384,
  [3387] = 3387,
  [3388] = 3388,
  [3389] = 3389,
  [3390] = 3377,
  [3391] = 3391,
  [3392] = 3392,
  [3393] = 3393,
  [3394] = 3375,
  [3395] = 3395,
  [3396] = 3396,
  [3397] = 3397,
  [3398] = 3398,
  [3399] = 3374,
  [3400] = 3400,
  [3401] = 3401,
  [3402] = 3402,
  [3403] = 3376,
  [3404] = 3397,
  [3405] = 3371,
  [3406] = 3391,
  [3407] = 3375,
  [3408] = 3370,
  [3409] = 3377,
  [3410] = 3397,
  [3411] = 3411,
  [3412] = 3377,
  [3413] = 3383,
  [3414] = 3372,
  [3415] = 3384,
  [3416] = 3389,
  [3417] = 3370,
  [3418] = 3418,
  [3419] = 3395,
  [3420] = 3375,
  [3421] = 3395,
  [3422] = 2328,
  [3423] = 3393,
  [3424] = 3377,
  [3425] = 3375,
  [3426] = 3426,
  [3427] = 3370,
  [3428] = 3428,
  [3429] = 3429,
  [3430] = 3389,
  [3431] = 3431,
  [3432] = 3398,
  [3433] = 3433,
  [3434] = 3434,
  [3435] = 3401,
  [3436] = 3393,
  [3437] = 3370,
  [3438] = 3438,
  [3439] = 3426,
  [3440] = 3428,
  [3441] = 3441,
  [3442] = 3442,
  [3443] = 3418,
  [3444] = 2461,
  [3445] = 3396,
  [3446] = 3446,
  [3447] = 3447,
  [3448] = 3448,
  [3449] = 3449,
  [3450] = 3377,
  [3451] = 3451,
  [3452] = 3388,
  [3453] = 3389,
  [3454] = 3442,
  [3455] = 3370,
  [3456] = 3377,
  [3457] = 3370,
  [3458] = 3458,
  [3459] = 3411,
  [3460] = 3460,
  [3461] = 3433,
  [3462] = 3462,
  [3463] = 3447,
  [3464] = 3449,
  [3465] = 3393,
  [3466] = 3395,
  [3467] = 3372,
  [3468] = 3376,
  [3469] = 3396,
  [3470] = 3398,
  [3471] = 3397,
  [3472] = 3374,
  [3473] = 3381,
  [3474] = 3371,
  [3475] = 3401,
  [3476] = 3378,
  [3477] = 3377,
  [3478] = 3478,
  [3479] = 3479,
  [3480] = 3383,
  [3481] = 3375,
  [3482] = 3374,
  [3483] = 3375,
  [3484] = 3384,
  [3485] = 3448,
  [3486] = 3388,
  [3487] = 3375,
  [3488] = 3370,
  [3489] = 3391,
  [3490] = 739,
  [3491] = 3491,
  [3492] = 3492,
  [3493] = 3492,
  [3494] = 3494,
  [3495] = 3495,
  [3496] = 3496,
  [3497] = 3494,
  [3498] = 3498,
  [3499] = 3496,
  [3500] = 3492,
  [3501] = 3501,
  [3502] = 3494,
  [3503] = 3496,
  [3504] = 3501,
  [3505] = 3496,
  [3506] = 3494,
  [3507] = 3492,
  [3508] = 3492,
  [3509] = 3494,
  [3510] = 3501,
  [3511] = 748,
  [3512] = 3496,
  [3513] = 3501,
  [3514] = 3496,
  [3515] = 3501,
  [3516] = 3494,
  [3517] = 3501,
  [3518] = 3518,
  [3519] = 3492,
  [3520] = 3496,
  [3521] = 3501,
  [3522] = 3492,
  [3523] = 747,
  [3524] = 3524,
  [3525] = 3524,
  [3526] = 3524,
  [3527] = 3524,
  [3528] = 3524,
  [3529] = 742,
  [3530] = 3524,
  [3531] = 3524,
  [3532] = 3532,
  [3533] = 3524,
  [3534] = 3494,
  [3535] = 3535,
  [3536] = 3496,
  [3537] = 3524,
  [3538] = 3535,
  [3539] = 3524,
  [3540] = 3535,
  [3541] = 3524,
  [3542] = 3542,
  [3543] = 3535,
  [3544] = 3524,
  [3545] = 3494,
  [3546] = 3542,
  [3547] = 3535,
  [3548] = 3524,
  [3549] = 3542,
  [3550] = 3535,
  [3551] = 3524,
  [3552] = 3542,
  [3553] = 3535,
  [3554] = 3492,
  [3555] = 3555,
  [3556] = 742,
  [3557] = 747,
  [3558] = 3496,
  [3559] = 3492,
  [3560] = 3524,
  [3561] = 3494,
  [3562] = 3562,
  [3563] = 3542,
  [3564] = 3535,
  [3565] = 3524,
  [3566] = 3542,
  [3567] = 3535,
  [3568] = 3524,
  [3569] = 3542,
  [3570] = 3535,
  [3571] = 3524,
  [3572] = 3542,
  [3573] = 3535,
  [3574] = 3524,
  [3575] = 3542,
  [3576] = 3535,
  [3577] = 3492,
  [3578] = 3496,
  [3579] = 3524,
  [3580] = 3542,
  [3581] = 3535,
  [3582] = 3524,
  [3583] = 3494,
  [3584] = 3492,
  [3585] = 3542,
  [3586] = 3586,
  [3587] = 3494,
  [3588] = 3535,
  [3589] = 3524,
  [3590] = 3542,
  [3591] = 3535,
  [3592] = 3524,
  [3593] = 3542,
  [3594] = 3535,
  [3595] = 3524,
  [3596] = 3542,
  [3597] = 3496,
  [3598] = 3598,
  [3599] = 3599,
  [3600] = 3535,
  [3601] = 3524,
  [3602] = 3602,
  [3603] = 3542,
  [3604] = 3535,
  [3605] = 3524,
  [3606] = 3542,
  [3607] = 3535,
  [3608] = 3524,
  [3609] = 3542,
  [3610] = 3535,
  [3611] = 3524,
  [3612] = 3542,
  [3613] = 3613,
  [3614] = 3492,
  [3615] = 3496,
  [3616] = 3535,
  [3617] = 3617,
  [3618] = 3524,
  [3619] = 3496,
  [3620] = 3494,
  [3621] = 3492,
  [3622] = 3494,
  [3623] = 3542,
  [3624] = 3535,
  [3625] = 3524,
  [3626] = 3542,
  [3627] = 2588,
  [3628] = 3496,
  [3629] = 3535,
  [3630] = 3492,
  [3631] = 3524,
  [3632] = 3542,
  [3633] = 3535,
  [3634] = 3524,
  [3635] = 3542,
  [3636] = 3496,
  [3637] = 3637,
  [3638] = 3494,
  [3639] = 3535,
  [3640] = 3524,
  [3641] = 3542,
  [3642] = 3535,
  [3643] = 3524,
  [3644] = 2616,
  [3645] = 2617,
  [3646] = 2618,
  [3647] = 2620,
  [3648] = 3542,
  [3649] = 2621,
  [3650] = 2622,
  [3651] = 3535,
  [3652] = 3652,
  [3653] = 2623,
  [3654] = 3524,
  [3655] = 3542,
  [3656] = 3492,
  [3657] = 3494,
  [3658] = 3496,
  [3659] = 3535,
  [3660] = 3492,
  [3661] = 3524,
  [3662] = 3542,
  [3663] = 3535,
  [3664] = 3524,
  [3665] = 3542,
  [3666] = 3535,
  [3667] = 3667,
  [3668] = 3524,
  [3669] = 3669,
  [3670] = 3670,
  [3671] = 3542,
  [3672] = 3672,
  [3673] = 3673,
  [3674] = 3535,
  [3675] = 2649,
  [3676] = 3494,
  [3677] = 2648,
  [3678] = 2647,
  [3679] = 2646,
  [3680] = 2645,
  [3681] = 3681,
  [3682] = 2643,
  [3683] = 2642,
  [3684] = 2641,
  [3685] = 2640,
  [3686] = 2638,
  [3687] = 3524,
  [3688] = 3542,
  [3689] = 3535,
  [3690] = 3496,
  [3691] = 3492,
  [3692] = 3494,
  [3693] = 3496,
  [3694] = 3524,
  [3695] = 3542,
  [3696] = 3535,
  [3697] = 3524,
  [3698] = 3542,
  [3699] = 3535,
  [3700] = 3524,
  [3701] = 3542,
  [3702] = 3702,
  [3703] = 3535,
  [3704] = 3524,
  [3705] = 3542,
  [3706] = 3706,
  [3707] = 3494,
  [3708] = 3681,
  [3709] = 3492,
  [3710] = 3710,
  [3711] = 2557,
  [3712] = 2554,
  [3713] = 2553,
  [3714] = 2552,
  [3715] = 3535,
  [3716] = 3716,
  [3717] = 3524,
  [3718] = 3542,
  [3719] = 3535,
  [3720] = 3542,
  [3721] = 3672,
  [3722] = 3673,
  [3723] = 3524,
  [3724] = 3492,
  [3725] = 3542,
  [3726] = 3494,
  [3727] = 3672,
  [3728] = 3535,
  [3729] = 3524,
  [3730] = 3730,
  [3731] = 3492,
  [3732] = 3732,
  [3733] = 3496,
  [3734] = 3673,
  [3735] = 3681,
  [3736] = 3542,
  [3737] = 3617,
  [3738] = 3738,
  [3739] = 3710,
  [3740] = 3738,
  [3741] = 3535,
  [3742] = 3491,
  [3743] = 3524,
  [3744] = 3492,
  [3745] = 3494,
  [3746] = 3496,
  [3747] = 3494,
  [3748] = 3542,
  [3749] = 3749,
  [3750] = 3535,
  [3751] = 3524,
  [3752] = 3752,
  [3753] = 3753,
  [3754] = 3716,
  [3755] = 3542,
  [3756] = 3702,
  [3757] = 3670,
  [3758] = 3496,
  [3759] = 3602,
  [3760] = 3535,
  [3761] = 3599,
  [3762] = 3710,
  [3763] = 3524,
  [3764] = 3598,
  [3765] = 3586,
  [3766] = 3598,
  [3767] = 3542,
  [3768] = 3562,
  [3769] = 3555,
  [3770] = 3770,
  [3771] = 3535,
  [3772] = 3753,
  [3773] = 3524,
  [3774] = 3492,
  [3775] = 3710,
  [3776] = 3673,
  [3777] = 3672,
  [3778] = 3492,
  [3779] = 3542,
  [3780] = 3780,
  [3781] = 3524,
  [3782] = 3673,
  [3783] = 3672,
  [3784] = 3681,
  [3785] = 3617,
  [3786] = 3738,
  [3787] = 3491,
  [3788] = 3494,
  [3789] = 3494,
  [3790] = 3749,
  [3791] = 3753,
  [3792] = 3716,
  [3793] = 3702,
  [3794] = 3670,
  [3795] = 3496,
  [3796] = 3602,
  [3797] = 3797,
  [3798] = 3599,
  [3799] = 3535,
  [3800] = 3598,
  [3801] = 3586,
  [3802] = 3492,
  [3803] = 3562,
  [3804] = 3555,
  [3805] = 3496,
  [3806] = 3496,
  [3807] = 3535,
  [3808] = 3808,
  [3809] = 3524,
  [3810] = 3810,
  [3811] = 3811,
  [3812] = 3542,
  [3813] = 3710,
  [3814] = 3496,
  [3815] = 3673,
  [3816] = 3670,
  [3817] = 3496,
  [3818] = 3494,
  [3819] = 3492,
  [3820] = 3494,
  [3821] = 3672,
  [3822] = 3492,
  [3823] = 3749,
  [3824] = 3681,
  [3825] = 3496,
  [3826] = 3494,
  [3827] = 3492,
  [3828] = 3617,
  [3829] = 3681,
  [3830] = 3494,
  [3831] = 3749,
  [3832] = 3670,
  [3833] = 3496,
  [3834] = 3494,
  [3835] = 3492,
  [3836] = 3496,
  [3837] = 3598,
  [3838] = 3710,
  [3839] = 3673,
  [3840] = 3496,
  [3841] = 3494,
  [3842] = 3492,
  [3843] = 3672,
  [3844] = 3492,
  [3845] = 3681,
  [3846] = 3494,
  [3847] = 3496,
  [3848] = 3494,
  [3849] = 3492,
  [3850] = 3492,
  [3851] = 3670,
  [3852] = 3496,
  [3853] = 3598,
  [3854] = 3710,
  [3855] = 3673,
  [3856] = 3672,
  [3857] = 3494,
  [3858] = 3496,
  [3859] = 3492,
  [3860] = 3494,
  [3861] = 3492,
  [3862] = 3862,
  [3863] = 3681,
  [3864] = 3494,
  [3865] = 3670,
  [3866] = 3496,
  [3867] = 3494,
  [3868] = 3496,
  [3869] = 3492,
  [3870] = 3598,
  [3871] = 3710,
  [3872] = 3494,
  [3873] = 3673,
  [3874] = 3672,
  [3875] = 3492,
  [3876] = 3496,
  [3877] = 3494,
  [3878] = 3492,
  [3879] = 3501,
  [3880] = 3681,
  [3881] = 3494,
  [3882] = 3670,
  [3883] = 3496,
  [3884] = 3496,
  [3885] = 3496,
  [3886] = 3494,
  [3887] = 3492,
  [3888] = 3598,
  [3889] = 3710,
  [3890] = 3673,
  [3891] = 3672,
  [3892] = 3492,
  [3893] = 2934,
  [3894] = 2785,
  [3895] = 3895,
  [3896] = 3896,
  [3897] = 3897,
  [3898] = 3898,
  [3899] = 3899,
  [3900] = 3900,
  [3901] = 3901,
  [3902] = 3902,
  [3903] = 3903,
  [3904] = 3904,
  [3905] = 3905,
  [3906] = 3906,
  [3907] = 3907,
  [3908] = 3908,
  [3909] = 3909,
  [3910] = 2930,
  [3911] = 3911,
  [3912] = 613,
  [3913] = 2809,
  [3914] = 3914,
  [3915] = 2865,
  [3916] = 3916,
  [3917] = 3917,
  [3918] = 3918,
  [3919] = 3919,
  [3920] = 3920,
  [3921] = 3921,
  [3922] = 3922,
  [3923] = 3034,
  [3924] = 3924,
  [3925] = 3925,
  [3926] = 3926,
  [3927] = 3927,
  [3928] = 2768,
  [3929] = 2752,
  [3930] = 2748,
  [3931] = 3931,
  [3932] = 2675,
  [3933] = 2676,
  [3934] = 2685,
  [3935] = 2692,
  [3936] = 2695,
  [3937] = 2696,
  [3938] = 2749,
  [3939] = 3939,
  [3940] = 825,
  [3941] = 2780,
  [3942] = 2781,
  [3943] = 2826,
  [3944] = 2844,
  [3945] = 2845,
  [3946] = 2885,
  [3947] = 786,
  [3948] = 810,
  [3949] = 3949,
  [3950] = 3950,
  [3951] = 3951,
  [3952] = 3952,
  [3953] = 3953,
  [3954] = 747,
  [3955] = 742,
  [3956] = 3956,
  [3957] = 3957,
  [3958] = 3958,
  [3959] = 3959,
  [3960] = 3960,
  [3961] = 3961,
  [3962] = 3962,
  [3963] = 3962,
  [3964] = 3961,
  [3965] = 3965,
  [3966] = 3966,
  [3967] = 3967,
  [3968] = 3968,
  [3969] = 3969,
  [3970] = 3970,
  [3971] = 3971,
  [3972] = 3972,
  [3973] = 3972,
  [3974] = 3974,
  [3975] = 3972,
  [3976] = 3971,
  [3977] = 3977,
  [3978] = 3978,
  [3979] = 3972,
  [3980] = 3971,
  [3981] = 3971,
  [3982] = 3982,
  [3983] = 3983,
  [3984] = 3984,
  [3985] = 3974,
  [3986] = 2344,
  [3987] = 3987,
  [3988] = 3988,
  [3989] = 3989,
  [3990] = 3990,
  [3991] = 3991,
  [3992] = 3992,
  [3993] = 3988,
  [3994] = 3990,
  [3995] = 3991,
  [3996] = 3992,
  [3997] = 3988,
  [3998] = 3990,
  [3999] = 3991,
  [4000] = 3992,
  [4001] = 3988,
  [4002] = 3990,
  [4003] = 2578,
  [4004] = 3991,
  [4005] = 3988,
  [4006] = 2512,
  [4007] = 681,
  [4008] = 3992,
  [4009] = 4009,
  [4010] = 3988,
  [4011] = 3992,
  [4012] = 3990,
  [4013] = 3991,
  [4014] = 2091,
  [4015] = 3991,
  [4016] = 3990,
  [4017] = 3992,
  [4018] = 831,
  [4019] = 3988,
  [4020] = 3990,
  [4021] = 3991,
  [4022] = 3988,
  [4023] = 3992,
  [4024] = 2595,
  [4025] = 3992,
  [4026] = 3988,
  [4027] = 3990,
  [4028] = 3991,
  [4029] = 3991,
  [4030] = 3990,
  [4031] = 3988,
  [4032] = 3992,
  [4033] = 692,
  [4034] = 3990,
  [4035] = 3991,
  [4036] = 3991,
  [4037] = 3990,
  [4038] = 3988,
  [4039] = 3992,
  [4040] = 3992,
  [4041] = 3991,
  [4042] = 3988,
  [4043] = 3990,
  [4044] = 3991,
  [4045] = 3990,
  [4046] = 3988,
  [4047] = 3992,
  [4048] = 3992,
  [4049] = 3988,
  [4050] = 3990,
  [4051] = 3991,
  [4052] = 3991,
  [4053] = 3990,
  [4054] = 3988,
  [4055] = 3992,
  [4056] = 3992,
  [4057] = 3991,
  [4058] = 3990,
  [4059] = 3988,
  [4060] = 3990,
  [4061] = 3991,
  [4062] = 3989,
  [4063] = 3992,
  [4064] = 4064,
  [4065] = 3992,
  [4066] = 680,
  [4067] = 3991,
  [4068] = 3990,
  [4069] = 3992,
  [4070] = 3988,
  [4071] = 3992,
  [4072] = 3991,
  [4073] = 3991,
  [4074] = 3990,
  [4075] = 3988,
  [4076] = 3988,
  [4077] = 3990,
  [4078] = 3991,
  [4079] = 3990,
  [4080] = 3992,
  [4081] = 3992,
  [4082] = 4082,
  [4083] = 3991,
  [4084] = 4084,
  [4085] = 3990,
  [4086] = 3988,
  [4087] = 4009,
  [4088] = 3992,
  [4089] = 3991,
  [4090] = 3990,
  [4091] = 3988,
  [4092] = 4009,
  [4093] = 3988,
  [4094] = 3992,
  [4095] = 3992,
  [4096] = 3991,
  [4097] = 3990,
  [4098] = 3988,
  [4099] = 3988,
  [4100] = 3990,
  [4101] = 3991,
  [4102] = 3988,
  [4103] = 3989,
  [4104] = 687,
  [4105] = 3992,
  [4106] = 3991,
  [4107] = 4107,
  [4108] = 3990,
  [4109] = 4109,
  [4110] = 3988,
  [4111] = 4064,
  [4112] = 4109,
  [4113] = 3992,
  [4114] = 3991,
  [4115] = 3990,
  [4116] = 3988,
  [4117] = 4117,
  [4118] = 2572,
  [4119] = 3988,
  [4120] = 3990,
  [4121] = 3991,
  [4122] = 4122,
  [4123] = 4064,
  [4124] = 4009,
  [4125] = 3991,
  [4126] = 3992,
  [4127] = 3990,
  [4128] = 3988,
  [4129] = 3991,
  [4130] = 3990,
  [4131] = 3988,
  [4132] = 3989,
  [4133] = 3992,
  [4134] = 3992,
  [4135] = 3992,
  [4136] = 4064,
  [4137] = 3991,
  [4138] = 3990,
  [4139] = 3992,
  [4140] = 4109,
  [4141] = 2525,
  [4142] = 3988,
  [4143] = 4143,
  [4144] = 3988,
  [4145] = 3990,
  [4146] = 3991,
  [4147] = 4147,
  [4148] = 4064,
  [4149] = 3992,
  [4150] = 4064,
  [4151] = 4009,
  [4152] = 4109,
  [4153] = 3992,
  [4154] = 3991,
  [4155] = 3990,
  [4156] = 3992,
  [4157] = 3988,
  [4158] = 3992,
  [4159] = 3991,
  [4160] = 3991,
  [4161] = 3990,
  [4162] = 3988,
  [4163] = 3988,
  [4164] = 3990,
  [4165] = 3991,
  [4166] = 3989,
  [4167] = 4009,
  [4168] = 4064,
  [4169] = 3988,
  [4170] = 3990,
  [4171] = 3988,
  [4172] = 3992,
  [4173] = 4173,
  [4174] = 3991,
  [4175] = 3990,
  [4176] = 4009,
  [4177] = 3988,
  [4178] = 3992,
  [4179] = 3991,
  [4180] = 3990,
  [4181] = 3992,
  [4182] = 3988,
  [4183] = 3992,
  [4184] = 4184,
  [4185] = 3991,
  [4186] = 3990,
  [4187] = 4187,
  [4188] = 4188,
  [4189] = 4187,
  [4190] = 4190,
  [4191] = 831,
  [4192] = 4192,
  [4193] = 4190,
  [4194] = 4192,
  [4195] = 702,
  [4196] = 4192,
  [4197] = 4188,
  [4198] = 4192,
  [4199] = 710,
  [4200] = 708,
  [4201] = 701,
  [4202] = 831,
  [4203] = 715,
  [4204] = 1221,
  [4205] = 1222,
  [4206] = 1229,
  [4207] = 2139,
  [4208] = 802,
  [4209] = 821,
  [4210] = 816,
  [4211] = 797,
  [4212] = 769,
  [4213] = 790,
  [4214] = 751,
  [4215] = 777,
  [4216] = 804,
  [4217] = 702,
  [4218] = 692,
  [4219] = 681,
  [4220] = 680,
  [4221] = 687,
  [4222] = 4222,
  [4223] = 702,
  [4224] = 4224,
  [4225] = 708,
  [4226] = 4226,
  [4227] = 4227,
  [4228] = 4227,
  [4229] = 4226,
  [4230] = 701,
  [4231] = 715,
  [4232] = 4232,
  [4233] = 4226,
  [4234] = 710,
  [4235] = 4227,
  [4236] = 4236,
  [4237] = 4236,
  [4238] = 4236,
  [4239] = 1017,
  [4240] = 1229,
  [4241] = 4236,
  [4242] = 4236,
  [4243] = 4236,
  [4244] = 1856,
  [4245] = 4236,
  [4246] = 4236,
  [4247] = 4236,
  [4248] = 4248,
  [4249] = 4249,
  [4250] = 686,
  [4251] = 2139,
  [4252] = 1222,
  [4253] = 4253,
  [4254] = 4254,
  [4255] = 1221,
  [4256] = 4256,
  [4257] = 4257,
  [4258] = 4258,
  [4259] = 4259,
  [4260] = 686,
  [4261] = 4257,
  [4262] = 4262,
  [4263] = 4257,
  [4264] = 4257,
  [4265] = 4257,
  [4266] = 4257,
  [4267] = 4267,
  [4268] = 4268,
  [4269] = 4269,
  [4270] = 4268,
  [4271] = 4271,
  [4272] = 4257,
  [4273] = 4273,
  [4274] = 4257,
  [4275] = 4257,
  [4276] = 4257,
  [4277] = 4277,
  [4278] = 4268,
  [4279] = 4257,
  [4280] = 4257,
  [4281] = 4257,
  [4282] = 691,
  [4283] = 686,
  [4284] = 696,
  [4285] = 693,
  [4286] = 689,
  [4287] = 695,
  [4288] = 680,
  [4289] = 690,
  [4290] = 694,
  [4291] = 687,
  [4292] = 692,
  [4293] = 681,
  [4294] = 686,
  [4295] = 680,
  [4296] = 687,
  [4297] = 685,
  [4298] = 4298,
  [4299] = 4299,
  [4300] = 693,
  [4301] = 692,
  [4302] = 681,
  [4303] = 4298,
  [4304] = 692,
  [4305] = 695,
  [4306] = 692,
  [4307] = 692,
  [4308] = 687,
  [4309] = 681,
  [4310] = 687,
  [4311] = 679,
  [4312] = 689,
  [4313] = 702,
  [4314] = 4298,
  [4315] = 4298,
  [4316] = 680,
  [4317] = 2572,
  [4318] = 690,
  [4319] = 691,
  [4320] = 702,
  [4321] = 681,
  [4322] = 4298,
  [4323] = 4323,
  [4324] = 686,
  [4325] = 680,
  [4326] = 4298,
  [4327] = 688,
  [4328] = 4328,
  [4329] = 696,
  [4330] = 1245,
  [4331] = 694,
  [4332] = 4298,
  [4333] = 4333,
  [4334] = 686,
  [4335] = 702,
  [4336] = 4333,
  [4337] = 696,
  [4338] = 680,
  [4339] = 710,
  [4340] = 686,
  [4341] = 685,
  [4342] = 686,
  [4343] = 702,
  [4344] = 679,
  [4345] = 694,
  [4346] = 702,
  [4347] = 701,
  [4348] = 4348,
  [4349] = 688,
  [4350] = 691,
  [4351] = 690,
  [4352] = 689,
  [4353] = 1052,
  [4354] = 4354,
  [4355] = 708,
  [4356] = 702,
  [4357] = 4357,
  [4358] = 680,
  [4359] = 695,
  [4360] = 4360,
  [4361] = 4333,
  [4362] = 686,
  [4363] = 702,
  [4364] = 681,
  [4365] = 1036,
  [4366] = 4360,
  [4367] = 1052,
  [4368] = 4368,
  [4369] = 715,
  [4370] = 686,
  [4371] = 4360,
  [4372] = 687,
  [4373] = 693,
  [4374] = 692,
  [4375] = 686,
  [4376] = 4376,
  [4377] = 715,
  [4378] = 681,
  [4379] = 2576,
  [4380] = 715,
  [4381] = 2571,
  [4382] = 698,
  [4383] = 692,
  [4384] = 4384,
  [4385] = 4385,
  [4386] = 4386,
  [4387] = 4387,
  [4388] = 4388,
  [4389] = 692,
  [4390] = 708,
  [4391] = 701,
  [4392] = 687,
  [4393] = 681,
  [4394] = 717,
  [4395] = 710,
  [4396] = 686,
  [4397] = 4386,
  [4398] = 713,
  [4399] = 710,
  [4400] = 687,
  [4401] = 681,
  [4402] = 688,
  [4403] = 716,
  [4404] = 4376,
  [4405] = 708,
  [4406] = 699,
  [4407] = 722,
  [4408] = 701,
  [4409] = 4376,
  [4410] = 679,
  [4411] = 4376,
  [4412] = 4273,
  [4413] = 710,
  [4414] = 702,
  [4415] = 685,
  [4416] = 701,
  [4417] = 4417,
  [4418] = 715,
  [4419] = 709,
  [4420] = 693,
  [4421] = 680,
  [4422] = 708,
  [4423] = 4423,
  [4424] = 701,
  [4425] = 710,
  [4426] = 715,
  [4427] = 689,
  [4428] = 680,
  [4429] = 690,
  [4430] = 691,
  [4431] = 711,
  [4432] = 686,
  [4433] = 695,
  [4434] = 2526,
  [4435] = 696,
  [4436] = 724,
  [4437] = 708,
  [4438] = 686,
  [4439] = 706,
  [4440] = 694,
  [4441] = 693,
  [4442] = 695,
  [4443] = 694,
  [4444] = 687,
  [4445] = 696,
  [4446] = 691,
  [4447] = 690,
  [4448] = 689,
  [4449] = 4449,
  [4450] = 692,
  [4451] = 698,
  [4452] = 680,
  [4453] = 691,
  [4454] = 717,
  [4455] = 688,
  [4456] = 696,
  [4457] = 690,
  [4458] = 679,
  [4459] = 689,
  [4460] = 687,
  [4461] = 694,
  [4462] = 4462,
  [4463] = 685,
  [4464] = 692,
  [4465] = 681,
  [4466] = 687,
  [4467] = 692,
  [4468] = 681,
  [4469] = 689,
  [4470] = 690,
  [4471] = 696,
  [4472] = 688,
  [4473] = 691,
  [4474] = 687,
  [4475] = 4475,
  [4476] = 1229,
  [4477] = 679,
  [4478] = 694,
  [4479] = 4479,
  [4480] = 695,
  [4481] = 694,
  [4482] = 685,
  [4483] = 706,
  [4484] = 681,
  [4485] = 4485,
  [4486] = 708,
  [4487] = 686,
  [4488] = 685,
  [4489] = 701,
  [4490] = 695,
  [4491] = 693,
  [4492] = 689,
  [4493] = 716,
  [4494] = 710,
  [4495] = 4495,
  [4496] = 4496,
  [4497] = 690,
  [4498] = 705,
  [4499] = 696,
  [4500] = 691,
  [4501] = 689,
  [4502] = 4502,
  [4503] = 687,
  [4504] = 690,
  [4505] = 691,
  [4506] = 679,
  [4507] = 4449,
  [4508] = 695,
  [4509] = 680,
  [4510] = 695,
  [4511] = 692,
  [4512] = 714,
  [4513] = 696,
  [4514] = 686,
  [4515] = 681,
  [4516] = 693,
  [4517] = 709,
  [4518] = 694,
  [4519] = 4479,
  [4520] = 696,
  [4521] = 712,
  [4522] = 4449,
  [4523] = 724,
  [4524] = 681,
  [4525] = 711,
  [4526] = 1221,
  [4527] = 693,
  [4528] = 4479,
  [4529] = 680,
  [4530] = 4496,
  [4531] = 4496,
  [4532] = 4449,
  [4533] = 687,
  [4534] = 687,
  [4535] = 694,
  [4536] = 4449,
  [4537] = 722,
  [4538] = 699,
  [4539] = 688,
  [4540] = 696,
  [4541] = 694,
  [4542] = 702,
  [4543] = 681,
  [4544] = 707,
  [4545] = 713,
  [4546] = 680,
  [4547] = 702,
  [4548] = 1221,
  [4549] = 4449,
  [4550] = 4449,
  [4551] = 693,
  [4552] = 1222,
  [4553] = 693,
  [4554] = 689,
  [4555] = 4555,
  [4556] = 686,
  [4557] = 690,
  [4558] = 693,
  [4559] = 715,
  [4560] = 4449,
  [4561] = 4496,
  [4562] = 4562,
  [4563] = 4563,
  [4564] = 4449,
  [4565] = 689,
  [4566] = 690,
  [4567] = 1222,
  [4568] = 691,
  [4569] = 680,
  [4570] = 686,
  [4571] = 695,
  [4572] = 691,
  [4573] = 1229,
  [4574] = 695,
  [4575] = 4449,
  [4576] = 4479,
  [4577] = 696,
  [4578] = 698,
  [4579] = 708,
  [4580] = 701,
  [4581] = 706,
  [4582] = 710,
  [4583] = 4583,
  [4584] = 694,
  [4585] = 4583,
  [4586] = 4583,
  [4587] = 1630,
  [4588] = 4583,
  [4589] = 4583,
  [4590] = 4583,
  [4591] = 4591,
  [4592] = 4583,
  [4593] = 4593,
  [4594] = 4583,
  [4595] = 722,
  [4596] = 4583,
  [4597] = 1644,
  [4598] = 692,
  [4599] = 688,
  [4600] = 685,
  [4601] = 680,
  [4602] = 716,
  [4603] = 679,
  [4604] = 681,
  [4605] = 4583,
  [4606] = 710,
  [4607] = 685,
  [4608] = 687,
  [4609] = 4583,
  [4610] = 4593,
  [4611] = 4583,
  [4612] = 1637,
  [4613] = 679,
  [4614] = 691,
  [4615] = 698,
  [4616] = 1669,
  [4617] = 1672,
  [4618] = 4618,
  [4619] = 4618,
  [4620] = 4583,
  [4621] = 690,
  [4622] = 701,
  [4623] = 715,
  [4624] = 708,
  [4625] = 689,
  [4626] = 4593,
  [4627] = 4583,
  [4628] = 4583,
  [4629] = 680,
  [4630] = 681,
  [4631] = 686,
  [4632] = 687,
  [4633] = 4583,
  [4634] = 687,
  [4635] = 702,
  [4636] = 681,
  [4637] = 4583,
  [4638] = 4583,
  [4639] = 681,
  [4640] = 692,
  [4641] = 4593,
  [4642] = 692,
  [4643] = 4583,
  [4644] = 4583,
  [4645] = 687,
  [4646] = 4583,
  [4647] = 4583,
  [4648] = 4583,
  [4649] = 4583,
  [4650] = 715,
  [4651] = 692,
  [4652] = 696,
  [4653] = 680,
  [4654] = 709,
  [4655] = 4583,
  [4656] = 4583,
  [4657] = 724,
  [4658] = 702,
  [4659] = 1658,
  [4660] = 702,
  [4661] = 714,
  [4662] = 711,
  [4663] = 707,
  [4664] = 4583,
  [4665] = 1653,
  [4666] = 1661,
  [4667] = 4583,
  [4668] = 4583,
  [4669] = 695,
  [4670] = 694,
  [4671] = 705,
  [4672] = 4583,
  [4673] = 712,
  [4674] = 695,
  [4675] = 691,
  [4676] = 4583,
  [4677] = 699,
  [4678] = 690,
  [4679] = 689,
  [4680] = 4583,
  [4681] = 693,
  [4682] = 4583,
  [4683] = 713,
  [4684] = 696,
  [4685] = 4583,
  [4686] = 702,
  [4687] = 4583,
  [4688] = 685,
  [4689] = 1651,
  [4690] = 4583,
  [4691] = 685,
  [4692] = 4593,
  [4693] = 688,
  [4694] = 694,
  [4695] = 4583,
  [4696] = 4583,
  [4697] = 1626,
  [4698] = 4583,
  [4699] = 688,
  [4700] = 695,
  [4701] = 691,
  [4702] = 680,
  [4703] = 4593,
  [4704] = 690,
  [4705] = 4583,
  [4706] = 689,
  [4707] = 693,
  [4708] = 4618,
  [4709] = 4583,
  [4710] = 693,
  [4711] = 4583,
  [4712] = 1629,
  [4713] = 4713,
  [4714] = 679,
  [4715] = 4715,
  [4716] = 1636,
  [4717] = 1657,
  [4718] = 679,
  [4719] = 688,
  [4720] = 4583,
  [4721] = 692,
  [4722] = 706,
  [4723] = 4593,
  [4724] = 4591,
  [4725] = 4593,
  [4726] = 4583,
  [4727] = 4591,
  [4728] = 4583,
  [4729] = 4593,
  [4730] = 717,
  [4731] = 716,
  [4732] = 698,
  [4733] = 686,
  [4734] = 1672,
  [4735] = 4735,
  [4736] = 4735,
  [4737] = 4737,
  [4738] = 1669,
  [4739] = 4739,
  [4740] = 688,
  [4741] = 698,
  [4742] = 4742,
  [4743] = 4743,
  [4744] = 4744,
  [4745] = 680,
  [4746] = 4746,
  [4747] = 4747,
  [4748] = 4748,
  [4749] = 4735,
  [4750] = 4750,
  [4751] = 4751,
  [4752] = 696,
  [4753] = 715,
  [4754] = 698,
  [4755] = 4755,
  [4756] = 711,
  [4757] = 699,
  [4758] = 693,
  [4759] = 4751,
  [4760] = 695,
  [4761] = 713,
  [4762] = 681,
  [4763] = 692,
  [4764] = 689,
  [4765] = 1661,
  [4766] = 690,
  [4767] = 717,
  [4768] = 696,
  [4769] = 713,
  [4770] = 1658,
  [4771] = 687,
  [4772] = 4751,
  [4773] = 691,
  [4774] = 694,
  [4775] = 689,
  [4776] = 690,
  [4777] = 706,
  [4778] = 699,
  [4779] = 4779,
  [4780] = 722,
  [4781] = 1644,
  [4782] = 4782,
  [4783] = 4783,
  [4784] = 708,
  [4785] = 4785,
  [4786] = 711,
  [4787] = 4750,
  [4788] = 4788,
  [4789] = 4742,
  [4790] = 724,
  [4791] = 688,
  [4792] = 701,
  [4793] = 4788,
  [4794] = 709,
  [4795] = 696,
  [4796] = 708,
  [4797] = 695,
  [4798] = 4788,
  [4799] = 4799,
  [4800] = 691,
  [4801] = 701,
  [4802] = 706,
  [4803] = 715,
  [4804] = 4804,
  [4805] = 4748,
  [4806] = 4743,
  [4807] = 685,
  [4808] = 4748,
  [4809] = 715,
  [4810] = 695,
  [4811] = 4785,
  [4812] = 4812,
  [4813] = 4783,
  [4814] = 4782,
  [4815] = 4737,
  [4816] = 4743,
  [4817] = 4737,
  [4818] = 4818,
  [4819] = 4748,
  [4820] = 679,
  [4821] = 4821,
  [4822] = 4735,
  [4823] = 4823,
  [4824] = 4751,
  [4825] = 706,
  [4826] = 4826,
  [4827] = 4812,
  [4828] = 689,
  [4829] = 690,
  [4830] = 688,
  [4831] = 4751,
  [4832] = 4750,
  [4833] = 686,
  [4834] = 4743,
  [4835] = 4742,
  [4836] = 4836,
  [4837] = 691,
  [4838] = 716,
  [4839] = 702,
  [4840] = 4735,
  [4841] = 1630,
  [4842] = 4748,
  [4843] = 679,
  [4844] = 4836,
  [4845] = 679,
  [4846] = 1637,
  [4847] = 713,
  [4848] = 702,
  [4849] = 717,
  [4850] = 4735,
  [4851] = 691,
  [4852] = 702,
  [4853] = 4853,
  [4854] = 710,
  [4855] = 4748,
  [4856] = 699,
  [4857] = 694,
  [4858] = 722,
  [4859] = 4744,
  [4860] = 709,
  [4861] = 4751,
  [4862] = 708,
  [4863] = 4748,
  [4864] = 711,
  [4865] = 4743,
  [4866] = 689,
  [4867] = 4743,
  [4868] = 724,
  [4869] = 4785,
  [4870] = 708,
  [4871] = 701,
  [4872] = 709,
  [4873] = 4783,
  [4874] = 4748,
  [4875] = 710,
  [4876] = 690,
  [4877] = 4877,
  [4878] = 4878,
  [4879] = 702,
  [4880] = 4737,
  [4881] = 687,
  [4882] = 702,
  [4883] = 4735,
  [4884] = 685,
  [4885] = 695,
  [4886] = 4886,
  [4887] = 694,
  [4888] = 717,
  [4889] = 4826,
  [4890] = 4812,
  [4891] = 4891,
  [4892] = 1629,
  [4893] = 4743,
  [4894] = 1657,
  [4895] = 4826,
  [4896] = 1651,
  [4897] = 679,
  [4898] = 4750,
  [4899] = 4899,
  [4900] = 693,
  [4901] = 4901,
  [4902] = 1636,
  [4903] = 4903,
  [4904] = 693,
  [4905] = 4751,
  [4906] = 4836,
  [4907] = 688,
  [4908] = 4783,
  [4909] = 710,
  [4910] = 4910,
  [4911] = 4785,
  [4912] = 685,
  [4913] = 4913,
  [4914] = 1626,
  [4915] = 4744,
  [4916] = 701,
  [4917] = 1052,
  [4918] = 710,
  [4919] = 680,
  [4920] = 715,
  [4921] = 714,
  [4922] = 4922,
  [4923] = 707,
  [4924] = 4924,
  [4925] = 708,
  [4926] = 1653,
  [4927] = 701,
  [4928] = 4826,
  [4929] = 716,
  [4930] = 705,
  [4931] = 4931,
  [4932] = 710,
  [4933] = 4748,
  [4934] = 4782,
  [4935] = 715,
  [4936] = 693,
  [4937] = 694,
  [4938] = 681,
  [4939] = 712,
  [4940] = 685,
  [4941] = 4941,
  [4942] = 696,
  [4943] = 4943,
  [4944] = 724,
  [4945] = 706,
  [4946] = 724,
  [4947] = 706,
  [4948] = 4948,
  [4949] = 1738,
  [4950] = 722,
  [4951] = 699,
  [4952] = 709,
  [4953] = 714,
  [4954] = 701,
  [4955] = 716,
  [4956] = 722,
  [4957] = 722,
  [4958] = 708,
  [4959] = 4959,
  [4960] = 1229,
  [4961] = 710,
  [4962] = 724,
  [4963] = 711,
  [4964] = 715,
  [4965] = 699,
  [4966] = 702,
  [4967] = 713,
  [4968] = 4968,
  [4969] = 706,
  [4970] = 694,
  [4971] = 698,
  [4972] = 679,
  [4973] = 707,
  [4974] = 717,
  [4975] = 717,
  [4976] = 708,
  [4977] = 701,
  [4978] = 722,
  [4979] = 698,
  [4980] = 714,
  [4981] = 710,
  [4982] = 696,
  [4983] = 715,
  [4984] = 693,
  [4985] = 707,
  [4986] = 699,
  [4987] = 722,
  [4988] = 716,
  [4989] = 705,
  [4990] = 4990,
  [4991] = 705,
  [4992] = 712,
  [4993] = 710,
  [4994] = 706,
  [4995] = 689,
  [4996] = 710,
  [4997] = 4997,
  [4998] = 695,
  [4999] = 708,
  [5000] = 5000,
  [5001] = 717,
  [5002] = 688,
  [5003] = 724,
  [5004] = 712,
  [5005] = 705,
  [5006] = 711,
  [5007] = 5007,
  [5008] = 713,
  [5009] = 709,
  [5010] = 707,
  [5011] = 712,
  [5012] = 713,
  [5013] = 5013,
  [5014] = 690,
  [5015] = 714,
  [5016] = 716,
  [5017] = 696,
  [5018] = 724,
  [5019] = 701,
  [5020] = 691,
  [5021] = 715,
  [5022] = 701,
  [5023] = 708,
  [5024] = 716,
  [5025] = 698,
  [5026] = 698,
  [5027] = 709,
  [5028] = 724,
  [5029] = 711,
  [5030] = 715,
  [5031] = 713,
  [5032] = 711,
  [5033] = 709,
  [5034] = 5007,
  [5035] = 1729,
  [5036] = 685,
  [5037] = 717,
  [5038] = 5038,
  [5039] = 722,
  [5040] = 699,
  [5041] = 705,
  [5042] = 706,
  [5043] = 714,
  [5044] = 693,
  [5045] = 698,
  [5046] = 707,
  [5047] = 695,
  [5048] = 714,
  [5049] = 709,
  [5050] = 707,
  [5051] = 722,
  [5052] = 724,
  [5053] = 681,
  [5054] = 687,
  [5055] = 699,
  [5056] = 705,
  [5057] = 711,
  [5058] = 712,
  [5059] = 1729,
  [5060] = 699,
  [5061] = 698,
  [5062] = 722,
  [5063] = 712,
  [5064] = 712,
  [5065] = 717,
  [5066] = 1221,
  [5067] = 699,
  [5068] = 716,
  [5069] = 706,
  [5070] = 717,
  [5071] = 707,
  [5072] = 689,
  [5073] = 714,
  [5074] = 1761,
  [5075] = 802,
  [5076] = 706,
  [5077] = 713,
  [5078] = 5078,
  [5079] = 690,
  [5080] = 713,
  [5081] = 693,
  [5082] = 717,
  [5083] = 1738,
  [5084] = 716,
  [5085] = 713,
  [5086] = 702,
  [5087] = 709,
  [5088] = 705,
  [5089] = 711,
  [5090] = 691,
  [5091] = 696,
  [5092] = 724,
  [5093] = 1222,
  [5094] = 5094,
  [5095] = 716,
  [5096] = 687,
  [5097] = 713,
  [5098] = 681,
  [5099] = 710,
  [5100] = 1741,
  [5101] = 716,
  [5102] = 715,
  [5103] = 714,
  [5104] = 707,
  [5105] = 717,
  [5106] = 692,
  [5107] = 694,
  [5108] = 698,
  [5109] = 709,
  [5110] = 680,
  [5111] = 695,
  [5112] = 698,
  [5113] = 701,
  [5114] = 711,
  [5115] = 724,
  [5116] = 708,
  [5117] = 709,
  [5118] = 716,
  [5119] = 706,
  [5120] = 705,
  [5121] = 680,
  [5122] = 712,
  [5123] = 1747,
  [5124] = 691,
  [5125] = 696,
  [5126] = 690,
  [5127] = 689,
  [5128] = 711,
  [5129] = 5129,
  [5130] = 694,
  [5131] = 722,
  [5132] = 699,
  [5133] = 714,
  [5134] = 5134,
  [5135] = 707,
  [5136] = 1785,
  [5137] = 688,
  [5138] = 1822,
  [5139] = 1800,
  [5140] = 705,
  [5141] = 1819,
  [5142] = 5134,
  [5143] = 1777,
  [5144] = 712,
  [5145] = 5134,
  [5146] = 5146,
  [5147] = 722,
  [5148] = 722,
  [5149] = 5149,
  [5150] = 709,
  [5151] = 5151,
  [5152] = 705,
  [5153] = 5151,
  [5154] = 724,
  [5155] = 1806,
  [5156] = 1781,
  [5157] = 4877,
  [5158] = 707,
  [5159] = 699,
  [5160] = 724,
  [5161] = 2571,
  [5162] = 714,
  [5163] = 724,
  [5164] = 5134,
  [5165] = 711,
  [5166] = 702,
  [5167] = 1773,
  [5168] = 685,
  [5169] = 5151,
  [5170] = 5170,
  [5171] = 5134,
  [5172] = 707,
  [5173] = 1747,
  [5174] = 1774,
  [5175] = 1808,
  [5176] = 5151,
  [5177] = 702,
  [5178] = 4804,
  [5179] = 5134,
  [5180] = 5151,
  [5181] = 1741,
  [5182] = 5134,
  [5183] = 1761,
  [5184] = 686,
  [5185] = 714,
  [5186] = 5151,
  [5187] = 5187,
  [5188] = 707,
  [5189] = 717,
  [5190] = 679,
  [5191] = 5134,
  [5192] = 705,
  [5193] = 698,
  [5194] = 712,
  [5195] = 724,
  [5196] = 1804,
  [5197] = 706,
  [5198] = 716,
  [5199] = 712,
  [5200] = 5134,
  [5201] = 5151,
  [5202] = 722,
  [5203] = 705,
  [5204] = 702,
  [5205] = 5151,
  [5206] = 712,
  [5207] = 5134,
  [5208] = 714,
  [5209] = 5151,
  [5210] = 1814,
  [5211] = 1794,
  [5212] = 713,
  [5213] = 722,
  [5214] = 1805,
  [5215] = 1818,
  [5216] = 5151,
  [5217] = 1810,
  [5218] = 5218,
  [5219] = 1839,
  [5220] = 722,
  [5221] = 701,
  [5222] = 5222,
  [5223] = 5218,
  [5224] = 1804,
  [5225] = 5218,
  [5226] = 5218,
  [5227] = 1860,
  [5228] = 1818,
  [5229] = 5218,
  [5230] = 5230,
  [5231] = 5231,
  [5232] = 3281,
  [5233] = 1774,
  [5234] = 1874,
  [5235] = 1819,
  [5236] = 5218,
  [5237] = 5218,
  [5238] = 5222,
  [5239] = 712,
  [5240] = 5230,
  [5241] = 1800,
  [5242] = 5218,
  [5243] = 5230,
  [5244] = 5222,
  [5245] = 1862,
  [5246] = 1814,
  [5247] = 5218,
  [5248] = 5222,
  [5249] = 5218,
  [5250] = 710,
  [5251] = 1887,
  [5252] = 5218,
  [5253] = 5230,
  [5254] = 5218,
  [5255] = 1845,
  [5256] = 5218,
  [5257] = 1785,
  [5258] = 715,
  [5259] = 3288,
  [5260] = 1810,
  [5261] = 5230,
  [5262] = 5222,
  [5263] = 5222,
  [5264] = 5218,
  [5265] = 1781,
  [5266] = 5218,
  [5267] = 5230,
  [5268] = 5218,
  [5269] = 5222,
  [5270] = 5222,
  [5271] = 708,
  [5272] = 1822,
  [5273] = 5230,
  [5274] = 5218,
  [5275] = 5218,
  [5276] = 5218,
  [5277] = 3298,
  [5278] = 5218,
  [5279] = 1889,
  [5280] = 5230,
  [5281] = 5222,
  [5282] = 1777,
  [5283] = 5218,
  [5284] = 5218,
  [5285] = 5218,
  [5286] = 1808,
  [5287] = 5218,
  [5288] = 2377,
  [5289] = 1773,
  [5290] = 5218,
  [5291] = 3297,
  [5292] = 714,
  [5293] = 707,
  [5294] = 5218,
  [5295] = 5230,
  [5296] = 5218,
  [5297] = 5218,
  [5298] = 1878,
  [5299] = 5230,
  [5300] = 1808,
  [5301] = 5218,
  [5302] = 1774,
  [5303] = 1877,
  [5304] = 724,
  [5305] = 1805,
  [5306] = 5218,
  [5307] = 5218,
  [5308] = 5222,
  [5309] = 702,
  [5310] = 1806,
  [5311] = 5311,
  [5312] = 5218,
  [5313] = 1794,
  [5314] = 705,
  [5315] = 5218,
  [5316] = 1862,
  [5317] = 5317,
  [5318] = 1913,
  [5319] = 1874,
  [5320] = 722,
  [5321] = 1878,
  [5322] = 1900,
  [5323] = 713,
  [5324] = 1860,
  [5325] = 706,
  [5326] = 709,
  [5327] = 1900,
  [5328] = 1845,
  [5329] = 724,
  [5330] = 699,
  [5331] = 711,
  [5332] = 1923,
  [5333] = 722,
  [5334] = 716,
  [5335] = 1923,
  [5336] = 5336,
  [5337] = 5337,
  [5338] = 5338,
  [5339] = 717,
  [5340] = 1914,
  [5341] = 1887,
  [5342] = 1914,
  [5343] = 1913,
  [5344] = 698,
  [5345] = 1889,
  [5346] = 1922,
  [5347] = 1877,
  [5348] = 1839,
  [5349] = 1922,
  [5350] = 3304,
  [5351] = 3310,
  [5352] = 1729,
  [5353] = 1862,
  [5354] = 724,
  [5355] = 5355,
  [5356] = 5356,
  [5357] = 702,
  [5358] = 3321,
  [5359] = 1922,
  [5360] = 5360,
  [5361] = 3316,
  [5362] = 5362,
  [5363] = 3324,
  [5364] = 5356,
  [5365] = 5365,
  [5366] = 5360,
  [5367] = 1978,
  [5368] = 1729,
  [5369] = 1949,
  [5370] = 5370,
  [5371] = 1729,
  [5372] = 5372,
  [5373] = 2023,
  [5374] = 705,
  [5375] = 5375,
  [5376] = 1747,
  [5377] = 5377,
  [5378] = 1948,
  [5379] = 5379,
  [5380] = 2020,
  [5381] = 5381,
  [5382] = 1924,
  [5383] = 1994,
  [5384] = 5384,
  [5385] = 5385,
  [5386] = 2019,
  [5387] = 3323,
  [5388] = 2008,
  [5389] = 2029,
  [5390] = 5390,
  [5391] = 2017,
  [5392] = 2009,
  [5393] = 1950,
  [5394] = 1989,
  [5395] = 5381,
  [5396] = 1997,
  [5397] = 1955,
  [5398] = 1900,
  [5399] = 707,
  [5400] = 5381,
  [5401] = 3322,
  [5402] = 2000,
  [5403] = 2030,
  [5404] = 2007,
  [5405] = 2013,
  [5406] = 5406,
  [5407] = 5356,
  [5408] = 1914,
  [5409] = 5409,
  [5410] = 1741,
  [5411] = 1976,
  [5412] = 1999,
  [5413] = 5413,
  [5414] = 2021,
  [5415] = 1923,
  [5416] = 5416,
  [5417] = 714,
  [5418] = 2015,
  [5419] = 5406,
  [5420] = 5360,
  [5421] = 2014,
  [5422] = 1761,
  [5423] = 712,
  [5424] = 1944,
  [5425] = 1913,
  [5426] = 1947,
  [5427] = 5427,
  [5428] = 2019,
  [5429] = 2069,
  [5430] = 3281,
  [5431] = 5427,
  [5432] = 5432,
  [5433] = 5433,
  [5434] = 5434,
  [5435] = 5435,
  [5436] = 1741,
  [5437] = 2000,
  [5438] = 5427,
  [5439] = 5439,
  [5440] = 1999,
  [5441] = 1978,
  [5442] = 1747,
  [5443] = 5443,
  [5444] = 5444,
  [5445] = 5445,
  [5446] = 2036,
  [5447] = 5445,
  [5448] = 5443,
  [5449] = 1944,
  [5450] = 1924,
  [5451] = 2084,
  [5452] = 2067,
  [5453] = 5427,
  [5454] = 5454,
  [5455] = 5427,
  [5456] = 702,
  [5457] = 1862,
  [5458] = 5458,
  [5459] = 2007,
  [5460] = 5427,
  [5461] = 1808,
  [5462] = 1774,
  [5463] = 1994,
  [5464] = 5434,
  [5465] = 2008,
  [5466] = 2017,
  [5467] = 3288,
  [5468] = 1808,
  [5469] = 5443,
  [5470] = 5439,
  [5471] = 2020,
  [5472] = 5427,
  [5473] = 5443,
  [5474] = 5474,
  [5475] = 5445,
  [5476] = 5427,
  [5477] = 5454,
  [5478] = 5427,
  [5479] = 2009,
  [5480] = 5427,
  [5481] = 5439,
  [5482] = 1761,
  [5483] = 5427,
  [5484] = 3281,
  [5485] = 5427,
  [5486] = 5435,
  [5487] = 3298,
  [5488] = 5427,
  [5489] = 1961,
  [5490] = 1997,
  [5491] = 2023,
  [5492] = 5492,
  [5493] = 2029,
  [5494] = 1741,
  [5495] = 5427,
  [5496] = 2042,
  [5497] = 5443,
  [5498] = 5445,
  [5499] = 5427,
  [5500] = 5500,
  [5501] = 2030,
  [5502] = 5445,
  [5503] = 5435,
  [5504] = 5427,
  [5505] = 5443,
  [5506] = 5317,
  [5507] = 3297,
  [5508] = 5445,
  [5509] = 5509,
  [5510] = 5443,
  [5511] = 5445,
  [5512] = 5512,
  [5513] = 1774,
  [5514] = 5434,
  [5515] = 2104,
  [5516] = 5427,
  [5517] = 5427,
  [5518] = 5427,
  [5519] = 1947,
  [5520] = 1924,
  [5521] = 1747,
  [5522] = 5427,
  [5523] = 3297,
  [5524] = 1989,
  [5525] = 3298,
  [5526] = 5427,
  [5527] = 3288,
  [5528] = 5443,
  [5529] = 1948,
  [5530] = 2013,
  [5531] = 5445,
  [5532] = 5427,
  [5533] = 1761,
  [5534] = 702,
  [5535] = 5535,
  [5536] = 5427,
  [5537] = 5427,
  [5538] = 5427,
  [5539] = 5231,
  [5540] = 3337,
  [5541] = 5427,
  [5542] = 1976,
  [5543] = 5454,
  [5544] = 5544,
  [5545] = 1052,
  [5546] = 5427,
  [5547] = 702,
  [5548] = 5427,
  [5549] = 5427,
  [5550] = 5443,
  [5551] = 1949,
  [5552] = 5445,
  [5553] = 1950,
  [5554] = 1862,
  [5555] = 5427,
  [5556] = 1774,
  [5557] = 2021,
  [5558] = 5445,
  [5559] = 5443,
  [5560] = 2015,
  [5561] = 5427,
  [5562] = 5427,
  [5563] = 5427,
  [5564] = 1808,
  [5565] = 5427,
  [5566] = 2014,
  [5567] = 1955,
  [5568] = 5568,
  [5569] = 2150,
  [5570] = 2259,
  [5571] = 2203,
  [5572] = 2170,
  [5573] = 2281,
  [5574] = 2205,
  [5575] = 3353,
  [5576] = 1900,
  [5577] = 5577,
  [5578] = 2208,
  [5579] = 3361,
  [5580] = 2209,
  [5581] = 2258,
  [5582] = 3304,
  [5583] = 5583,
  [5584] = 2171,
  [5585] = 1924,
  [5586] = 2067,
  [5587] = 2233,
  [5588] = 2229,
  [5589] = 2211,
  [5590] = 2213,
  [5591] = 2200,
  [5592] = 1961,
  [5593] = 2256,
  [5594] = 5594,
  [5595] = 2227,
  [5596] = 5596,
  [5597] = 2198,
  [5598] = 2197,
  [5599] = 5577,
  [5600] = 2226,
  [5601] = 2223,
  [5602] = 2195,
  [5603] = 2243,
  [5604] = 1924,
  [5605] = 2069,
  [5606] = 2220,
  [5607] = 1913,
  [5608] = 2158,
  [5609] = 2172,
  [5610] = 1914,
  [5611] = 1922,
  [5612] = 2254,
  [5613] = 702,
  [5614] = 1874,
  [5615] = 5594,
  [5616] = 5596,
  [5617] = 1845,
  [5618] = 2036,
  [5619] = 2176,
  [5620] = 5577,
  [5621] = 2116,
  [5622] = 2155,
  [5623] = 5623,
  [5624] = 5623,
  [5625] = 5623,
  [5626] = 3304,
  [5627] = 702,
  [5628] = 702,
  [5629] = 2084,
  [5630] = 742,
  [5631] = 1887,
  [5632] = 1774,
  [5633] = 2119,
  [5634] = 5596,
  [5635] = 5596,
  [5636] = 5583,
  [5637] = 2144,
  [5638] = 2120,
  [5639] = 1860,
  [5640] = 5640,
  [5641] = 2042,
  [5642] = 1923,
  [5643] = 2262,
  [5644] = 2156,
  [5645] = 5645,
  [5646] = 2154,
  [5647] = 5647,
  [5648] = 2159,
  [5649] = 1924,
  [5650] = 2084,
  [5651] = 1900,
  [5652] = 1808,
  [5653] = 1922,
  [5654] = 2132,
  [5655] = 1914,
  [5656] = 5577,
  [5657] = 3310,
  [5658] = 5658,
  [5659] = 5583,
  [5660] = 3310,
  [5661] = 3364,
  [5662] = 1913,
  [5663] = 2036,
  [5664] = 2166,
  [5665] = 5594,
  [5666] = 2130,
  [5667] = 1774,
  [5668] = 3359,
  [5669] = 1923,
  [5670] = 5670,
  [5671] = 1961,
  [5672] = 5672,
  [5673] = 5623,
  [5674] = 1839,
  [5675] = 5675,
  [5676] = 747,
  [5677] = 2145,
  [5678] = 2240,
  [5679] = 1889,
  [5680] = 5680,
  [5681] = 2104,
  [5682] = 3356,
  [5683] = 5683,
  [5684] = 1808,
  [5685] = 2193,
  [5686] = 2160,
  [5687] = 1878,
  [5688] = 2216,
  [5689] = 2162,
  [5690] = 5690,
  [5691] = 1877,
  [5692] = 2147,
  [5693] = 2189,
  [5694] = 2152,
  [5695] = 2165,
  [5696] = 2237,
  [5697] = 2181,
  [5698] = 2069,
  [5699] = 2235,
  [5700] = 2184,
  [5701] = 2172,
  [5702] = 5702,
  [5703] = 1860,
  [5704] = 2051,
  [5705] = 5705,
  [5706] = 2348,
  [5707] = 1924,
  [5708] = 3304,
  [5709] = 1774,
  [5710] = 1914,
  [5711] = 3310,
  [5712] = 1808,
  [5713] = 2262,
  [5714] = 1845,
  [5715] = 2226,
  [5716] = 3324,
  [5717] = 2165,
  [5718] = 2075,
  [5719] = 2227,
  [5720] = 3322,
  [5721] = 2120,
  [5722] = 2223,
  [5723] = 1961,
  [5724] = 2093,
  [5725] = 5725,
  [5726] = 2375,
  [5727] = 1924,
  [5728] = 2229,
  [5729] = 1889,
  [5730] = 5730,
  [5731] = 5731,
  [5732] = 5732,
  [5733] = 2335,
  [5734] = 5734,
  [5735] = 5735,
  [5736] = 5736,
  [5737] = 2195,
  [5738] = 1887,
  [5739] = 5739,
  [5740] = 5740,
  [5741] = 2377,
  [5742] = 2233,
  [5743] = 5743,
  [5744] = 2193,
  [5745] = 2197,
  [5746] = 2084,
  [5747] = 681,
  [5748] = 5748,
  [5749] = 3373,
  [5750] = 2235,
  [5751] = 1877,
  [5752] = 3316,
  [5753] = 2116,
  [5754] = 5754,
  [5755] = 2189,
  [5756] = 3478,
  [5757] = 3322,
  [5758] = 702,
  [5759] = 2237,
  [5760] = 5760,
  [5761] = 2069,
  [5762] = 1877,
  [5763] = 5763,
  [5764] = 3323,
  [5765] = 2240,
  [5766] = 5766,
  [5767] = 3304,
  [5768] = 2216,
  [5769] = 2176,
  [5770] = 1874,
  [5771] = 2184,
  [5772] = 1889,
  [5773] = 1839,
  [5774] = 2328,
  [5775] = 3479,
  [5776] = 3323,
  [5777] = 5777,
  [5778] = 2243,
  [5779] = 3321,
  [5780] = 2075,
  [5781] = 5781,
  [5782] = 2158,
  [5783] = 2198,
  [5784] = 2162,
  [5785] = 752,
  [5786] = 5748,
  [5787] = 2220,
  [5788] = 1839,
  [5789] = 5789,
  [5790] = 2181,
  [5791] = 3446,
  [5792] = 3324,
  [5793] = 3321,
  [5794] = 3431,
  [5795] = 2119,
  [5796] = 2158,
  [5797] = 702,
  [5798] = 2093,
  [5799] = 5781,
  [5800] = 2259,
  [5801] = 2200,
  [5802] = 5802,
  [5803] = 687,
  [5804] = 1913,
  [5805] = 1874,
  [5806] = 2155,
  [5807] = 2036,
  [5808] = 1914,
  [5809] = 1913,
  [5810] = 2120,
  [5811] = 2119,
  [5812] = 2171,
  [5813] = 1961,
  [5814] = 5814,
  [5815] = 2324,
  [5816] = 2166,
  [5817] = 2208,
  [5818] = 1845,
  [5819] = 2278,
  [5820] = 2144,
  [5821] = 2160,
  [5822] = 2258,
  [5823] = 3316,
  [5824] = 1878,
  [5825] = 2130,
  [5826] = 2051,
  [5827] = 5827,
  [5828] = 2159,
  [5829] = 2145,
  [5830] = 5814,
  [5831] = 2130,
  [5832] = 2132,
  [5833] = 5833,
  [5834] = 2147,
  [5835] = 1961,
  [5836] = 2377,
  [5837] = 2256,
  [5838] = 2132,
  [5839] = 1878,
  [5840] = 2150,
  [5841] = 2203,
  [5842] = 2156,
  [5843] = 3402,
  [5844] = 2213,
  [5845] = 5845,
  [5846] = 2254,
  [5847] = 2116,
  [5848] = 1887,
  [5849] = 2152,
  [5850] = 2075,
  [5851] = 3369,
  [5852] = 2461,
  [5853] = 1924,
  [5854] = 2093,
  [5855] = 2420,
  [5856] = 2278,
  [5857] = 5857,
  [5858] = 5858,
  [5859] = 2211,
  [5860] = 1860,
  [5861] = 5861,
  [5862] = 1913,
  [5863] = 2205,
  [5864] = 5864,
  [5865] = 2281,
  [5866] = 5866,
  [5867] = 2209,
  [5868] = 2154,
  [5869] = 5869,
  [5870] = 2170,
  [5871] = 5871,
  [5872] = 1914,
  [5873] = 3310,
  [5874] = 3810,
  [5875] = 5875,
  [5876] = 5876,
  [5877] = 5877,
  [5878] = 2324,
  [5879] = 5875,
  [5880] = 5880,
  [5881] = 2640,
  [5882] = 2638,
  [5883] = 5883,
  [5884] = 5884,
  [5885] = 5885,
  [5886] = 5877,
  [5887] = 2557,
  [5888] = 5885,
  [5889] = 2554,
  [5890] = 5883,
  [5891] = 2553,
  [5892] = 2552,
  [5893] = 5893,
  [5894] = 3730,
  [5895] = 5432,
  [5896] = 5896,
  [5897] = 739,
  [5898] = 5898,
  [5899] = 5899,
  [5900] = 5883,
  [5901] = 5875,
  [5902] = 1961,
  [5903] = 5903,
  [5904] = 5474,
  [5905] = 2616,
  [5906] = 5875,
  [5907] = 5907,
  [5908] = 2617,
  [5909] = 2618,
  [5910] = 2620,
  [5911] = 2621,
  [5912] = 2622,
  [5913] = 2328,
  [5914] = 5914,
  [5915] = 5915,
  [5916] = 5916,
  [5917] = 2623,
  [5918] = 5918,
  [5919] = 5512,
  [5920] = 5920,
  [5921] = 607,
  [5922] = 5883,
  [5923] = 5923,
  [5924] = 3752,
  [5925] = 5925,
  [5926] = 5885,
  [5927] = 610,
  [5928] = 3297,
  [5929] = 5903,
  [5930] = 5877,
  [5931] = 5802,
  [5932] = 5923,
  [5933] = 3808,
  [5934] = 5934,
  [5935] = 5880,
  [5936] = 5899,
  [5937] = 3298,
  [5938] = 5877,
  [5939] = 5939,
  [5940] = 5896,
  [5941] = 5885,
  [5942] = 5884,
  [5943] = 5883,
  [5944] = 5875,
  [5945] = 5923,
  [5946] = 5893,
  [5947] = 5875,
  [5948] = 5948,
  [5949] = 5880,
  [5950] = 2334,
  [5951] = 5916,
  [5952] = 5458,
  [5953] = 3458,
  [5954] = 5954,
  [5955] = 2641,
  [5956] = 5884,
  [5957] = 2335,
  [5958] = 2642,
  [5959] = 2643,
  [5960] = 5766,
  [5961] = 5760,
  [5962] = 2645,
  [5963] = 2646,
  [5964] = 2647,
  [5965] = 2648,
  [5966] = 5966,
  [5967] = 5885,
  [5968] = 5875,
  [5969] = 5883,
  [5970] = 2649,
  [5971] = 5877,
  [5972] = 5903,
  [5973] = 5877,
  [5974] = 5884,
  [5975] = 5875,
  [5976] = 5976,
  [5977] = 2116,
  [5978] = 2334,
  [5979] = 5966,
  [5980] = 5966,
  [5981] = 5884,
  [5982] = 1924,
  [5983] = 5983,
  [5984] = 5875,
  [5985] = 5985,
  [5986] = 5899,
  [5987] = 5987,
  [5988] = 5877,
  [5989] = 5884,
  [5990] = 5990,
  [5991] = 3288,
  [5992] = 3298,
  [5993] = 5875,
  [5994] = 5994,
  [5995] = 5995,
  [5996] = 5996,
  [5997] = 5995,
  [5998] = 5896,
  [5999] = 5885,
  [6000] = 5893,
  [6001] = 5884,
  [6002] = 6002,
  [6003] = 3297,
  [6004] = 5875,
  [6005] = 5877,
  [6006] = 5875,
  [6007] = 5883,
  [6008] = 5884,
  [6009] = 5875,
  [6010] = 3337,
  [6011] = 5875,
  [6012] = 5877,
  [6013] = 5884,
  [6014] = 2588,
  [6015] = 5875,
  [6016] = 3637,
  [6017] = 3337,
  [6018] = 5885,
  [6019] = 5877,
  [6020] = 6020,
  [6021] = 5875,
  [6022] = 6022,
  [6023] = 6023,
  [6024] = 5987,
  [6025] = 610,
  [6026] = 5875,
  [6027] = 5875,
  [6028] = 1961,
  [6029] = 5990,
  [6030] = 2420,
  [6031] = 6031,
  [6032] = 6032,
  [6033] = 2158,
  [6034] = 6034,
  [6035] = 3288,
  [6036] = 5875,
  [6037] = 3392,
  [6038] = 742,
  [6039] = 2119,
  [6040] = 706,
  [6041] = 1961,
  [6042] = 5875,
  [6043] = 2120,
  [6044] = 742,
  [6045] = 3438,
  [6046] = 5875,
  [6047] = 2348,
  [6048] = 3732,
  [6049] = 5875,
  [6050] = 5884,
  [6051] = 5875,
  [6052] = 5875,
  [6053] = 2130,
  [6054] = 5875,
  [6055] = 2132,
  [6056] = 1862,
  [6057] = 5916,
  [6058] = 5875,
  [6059] = 5875,
  [6060] = 2461,
  [6061] = 5875,
  [6062] = 3706,
  [6063] = 607,
  [6064] = 5875,
  [6065] = 5884,
  [6066] = 6066,
  [6067] = 5916,
  [6068] = 6068,
  [6069] = 2375,
  [6070] = 5875,
  [6071] = 3667,
  [6072] = 5875,
  [6073] = 5875,
  [6074] = 3669,
  [6075] = 747,
  [6076] = 747,
  [6077] = 3811,
  [6078] = 5875,
  [6079] = 5923,
  [6080] = 5899,
  [6081] = 5875,
  [6082] = 5875,
  [6083] = 6083,
  [6084] = 6084,
  [6085] = 5877,
  [6086] = 5983,
  [6087] = 5875,
  [6088] = 5883,
  [6089] = 5875,
  [6090] = 5875,
  [6091] = 748,
  [6092] = 2377,
  [6093] = 5885,
  [6094] = 5875,
  [6095] = 5893,
  [6096] = 805,
  [6097] = 2852,
  [6098] = 2778,
  [6099] = 6099,
  [6100] = 2785,
  [6101] = 2688,
  [6102] = 3920,
  [6103] = 3921,
  [6104] = 2339,
  [6105] = 2686,
  [6106] = 6106,
  [6107] = 6107,
  [6108] = 2685,
  [6109] = 6109,
  [6110] = 3898,
  [6111] = 6111,
  [6112] = 3899,
  [6113] = 6113,
  [6114] = 3900,
  [6115] = 6115,
  [6116] = 3909,
  [6117] = 1913,
  [6118] = 6118,
  [6119] = 6119,
  [6120] = 6120,
  [6121] = 6121,
  [6122] = 1914,
  [6123] = 6106,
  [6124] = 702,
  [6125] = 698,
  [6126] = 2695,
  [6127] = 6127,
  [6128] = 6128,
  [6129] = 6129,
  [6130] = 6130,
  [6131] = 2874,
  [6132] = 6132,
  [6133] = 2689,
  [6134] = 6134,
  [6135] = 6135,
  [6136] = 6136,
  [6137] = 6109,
  [6138] = 3901,
  [6139] = 2690,
  [6140] = 3895,
  [6141] = 2780,
  [6142] = 2879,
  [6143] = 2781,
  [6144] = 6144,
  [6145] = 2691,
  [6146] = 6146,
  [6147] = 2552,
  [6148] = 6148,
  [6149] = 2774,
  [6150] = 2880,
  [6151] = 6151,
  [6152] = 2783,
  [6153] = 6153,
  [6154] = 2553,
  [6155] = 2872,
  [6156] = 6132,
  [6157] = 1922,
  [6158] = 6158,
  [6159] = 6159,
  [6160] = 2870,
  [6161] = 2554,
  [6162] = 6127,
  [6163] = 6163,
  [6164] = 2869,
  [6165] = 6146,
  [6166] = 6166,
  [6167] = 6128,
  [6168] = 2867,
  [6169] = 2864,
  [6170] = 6111,
  [6171] = 6146,
  [6172] = 2768,
  [6173] = 2784,
  [6174] = 2721,
  [6175] = 2863,
  [6176] = 2861,
  [6177] = 6177,
  [6178] = 2894,
  [6179] = 2882,
  [6180] = 2787,
  [6181] = 2883,
  [6182] = 6182,
  [6183] = 2865,
  [6184] = 6184,
  [6185] = 2789,
  [6186] = 6186,
  [6187] = 2557,
  [6188] = 6188,
  [6189] = 2776,
  [6190] = 6190,
  [6191] = 2775,
  [6192] = 2858,
  [6193] = 2857,
  [6194] = 6194,
  [6195] = 2884,
  [6196] = 2773,
  [6197] = 2831,
  [6198] = 775,
  [6199] = 6199,
  [6200] = 2790,
  [6201] = 2792,
  [6202] = 810,
  [6203] = 6199,
  [6204] = 2793,
  [6205] = 6205,
  [6206] = 2692,
  [6207] = 6207,
  [6208] = 2770,
  [6209] = 3918,
  [6210] = 2900,
  [6211] = 813,
  [6212] = 2769,
  [6213] = 2800,
  [6214] = 2796,
  [6215] = 6215,
  [6216] = 6216,
  [6217] = 2797,
  [6218] = 2767,
  [6219] = 702,
  [6220] = 2764,
  [6221] = 6099,
  [6222] = 702,
  [6223] = 702,
  [6224] = 6224,
  [6225] = 2763,
  [6226] = 6148,
  [6227] = 2885,
  [6228] = 6099,
  [6229] = 2809,
  [6230] = 2759,
  [6231] = 2853,
  [6232] = 3911,
  [6233] = 2886,
  [6234] = 6234,
  [6235] = 6235,
  [6236] = 6236,
  [6237] = 6134,
  [6238] = 1900,
  [6239] = 6239,
  [6240] = 702,
  [6241] = 2676,
  [6242] = 6242,
  [6243] = 6243,
  [6244] = 2588,
  [6245] = 6245,
  [6246] = 6246,
  [6247] = 6199,
  [6248] = 786,
  [6249] = 6249,
  [6250] = 6199,
  [6251] = 6144,
  [6252] = 3908,
  [6253] = 6099,
  [6254] = 6158,
  [6255] = 6199,
  [6256] = 6159,
  [6257] = 6257,
  [6258] = 6099,
  [6259] = 2675,
  [6260] = 6260,
  [6261] = 2729,
  [6262] = 6158,
  [6263] = 6263,
  [6264] = 1961,
  [6265] = 2887,
  [6266] = 6246,
  [6267] = 6267,
  [6268] = 2888,
  [6269] = 3359,
  [6270] = 2891,
  [6271] = 2069,
  [6272] = 3361,
  [6273] = 6151,
  [6274] = 2893,
  [6275] = 6159,
  [6276] = 825,
  [6277] = 6239,
  [6278] = 2804,
  [6279] = 6132,
  [6280] = 6146,
  [6281] = 3919,
  [6282] = 6246,
  [6283] = 6283,
  [6284] = 2851,
  [6285] = 3359,
  [6286] = 2896,
  [6287] = 2897,
  [6288] = 2898,
  [6289] = 6113,
  [6290] = 2850,
  [6291] = 6119,
  [6292] = 6115,
  [6293] = 2339,
  [6294] = 2849,
  [6295] = 6106,
  [6296] = 2847,
  [6297] = 3361,
  [6298] = 2808,
  [6299] = 6121,
  [6300] = 6199,
  [6301] = 2812,
  [6302] = 2846,
  [6303] = 2794,
  [6304] = 2813,
  [6305] = 3907,
  [6306] = 2696,
  [6307] = 6199,
  [6308] = 6182,
  [6309] = 2901,
  [6310] = 3939,
  [6311] = 6236,
  [6312] = 6186,
  [6313] = 6188,
  [6314] = 6148,
  [6315] = 6260,
  [6316] = 6134,
  [6317] = 2903,
  [6318] = 6159,
  [6319] = 2816,
  [6320] = 2104,
  [6321] = 6151,
  [6322] = 2967,
  [6323] = 2820,
  [6324] = 6260,
  [6325] = 3034,
  [6326] = 6158,
  [6327] = 6239,
  [6328] = 6099,
  [6329] = 1923,
  [6330] = 6132,
  [6331] = 2845,
  [6332] = 2844,
  [6333] = 6246,
  [6334] = 6334,
  [6335] = 2649,
  [6336] = 6109,
  [6337] = 6337,
  [6338] = 2741,
  [6339] = 742,
  [6340] = 6340,
  [6341] = 6341,
  [6342] = 3956,
  [6343] = 6148,
  [6344] = 6267,
  [6345] = 6345,
  [6346] = 6346,
  [6347] = 6347,
  [6348] = 2731,
  [6349] = 2698,
  [6350] = 6340,
  [6351] = 6351,
  [6352] = 2648,
  [6353] = 6153,
  [6354] = 2702,
  [6355] = 6099,
  [6356] = 3036,
  [6357] = 2647,
  [6358] = 2646,
  [6359] = 2703,
  [6360] = 2706,
  [6361] = 6340,
  [6362] = 6099,
  [6363] = 2645,
  [6364] = 2732,
  [6365] = 6130,
  [6366] = 3916,
  [6367] = 2708,
  [6368] = 6199,
  [6369] = 2709,
  [6370] = 2712,
  [6371] = 2714,
  [6372] = 2715,
  [6373] = 6163,
  [6374] = 6128,
  [6375] = 2717,
  [6376] = 2643,
  [6377] = 2908,
  [6378] = 2752,
  [6379] = 6153,
  [6380] = 6380,
  [6381] = 2930,
  [6382] = 2826,
  [6383] = 3906,
  [6384] = 6384,
  [6385] = 6130,
  [6386] = 2909,
  [6387] = 2722,
  [6388] = 6216,
  [6389] = 2910,
  [6390] = 2912,
  [6391] = 6127,
  [6392] = 2913,
  [6393] = 3905,
  [6394] = 2642,
  [6395] = 6395,
  [6396] = 702,
  [6397] = 2914,
  [6398] = 6398,
  [6399] = 6399,
  [6400] = 6199,
  [6401] = 6115,
  [6402] = 2748,
  [6403] = 6199,
  [6404] = 6404,
  [6405] = 2641,
  [6406] = 2934,
  [6407] = 6407,
  [6408] = 6408,
  [6409] = 6236,
  [6410] = 6410,
  [6411] = 6118,
  [6412] = 6130,
  [6413] = 2623,
  [6414] = 6118,
  [6415] = 2640,
  [6416] = 6283,
  [6417] = 2638,
  [6418] = 6418,
  [6419] = 6216,
  [6420] = 2842,
  [6421] = 2622,
  [6422] = 2621,
  [6423] = 2841,
  [6424] = 6099,
  [6425] = 2620,
  [6426] = 2738,
  [6427] = 6099,
  [6428] = 2744,
  [6429] = 2036,
  [6430] = 2918,
  [6431] = 3896,
  [6432] = 2839,
  [6433] = 6127,
  [6434] = 6118,
  [6435] = 6435,
  [6436] = 2618,
  [6437] = 2339,
  [6438] = 6438,
  [6439] = 2084,
  [6440] = 6283,
  [6441] = 6441,
  [6442] = 6199,
  [6443] = 2617,
  [6444] = 6444,
  [6445] = 2838,
  [6446] = 3897,
  [6447] = 2837,
  [6448] = 2616,
  [6449] = 2835,
  [6450] = 3903,
  [6451] = 2749,
  [6452] = 2834,
  [6453] = 2832,
  [6454] = 2735,
  [6455] = 6120,
  [6456] = 6456,
  [6457] = 2829,
  [6458] = 6458,
  [6459] = 2828,
  [6460] = 6460,
  [6461] = 6461,
  [6462] = 747,
  [6463] = 3914,
  [6464] = 6464,
  [6465] = 6099,
  [6466] = 3904,
  [6467] = 6467,
  [6468] = 6467,
  [6469] = 6469,
  [6470] = 6470,
  [6471] = 6471,
  [6472] = 6472,
  [6473] = 6467,
  [6474] = 6474,
  [6475] = 6475,
  [6476] = 6476,
  [6477] = 6477,
  [6478] = 6478,
  [6479] = 6479,
  [6480] = 6480,
  [6481] = 6481,
  [6482] = 6482,
  [6483] = 6483,
  [6484] = 6484,
  [6485] = 6485,
  [6486] = 6470,
  [6487] = 6487,
  [6488] = 6488,
  [6489] = 6489,
  [6490] = 2742,
  [6491] = 6491,
  [6492] = 6492,
  [6493] = 6493,
  [6494] = 6494,
  [6495] = 3322,
  [6496] = 6489,
  [6497] = 6497,
  [6498] = 2744,
  [6499] = 6491,
  [6500] = 6497,
  [6501] = 6501,
  [6502] = 6502,
  [6503] = 6503,
  [6504] = 6504,
  [6505] = 6505,
  [6506] = 6506,
  [6507] = 3316,
  [6508] = 6475,
  [6509] = 6501,
  [6510] = 6502,
  [6511] = 6503,
  [6512] = 6512,
  [6513] = 6513,
  [6514] = 6514,
  [6515] = 6504,
  [6516] = 3323,
  [6517] = 2773,
  [6518] = 2749,
  [6519] = 6502,
  [6520] = 6520,
  [6521] = 6521,
  [6522] = 6522,
  [6523] = 6522,
  [6524] = 6520,
  [6525] = 6514,
  [6526] = 6512,
  [6527] = 6506,
  [6528] = 6528,
  [6529] = 6529,
  [6530] = 6497,
  [6531] = 6504,
  [6532] = 6503,
  [6533] = 6502,
  [6534] = 6501,
  [6535] = 6505,
  [6536] = 6491,
  [6537] = 2762,
  [6538] = 6489,
  [6539] = 6539,
  [6540] = 6540,
  [6541] = 6541,
  [6542] = 6542,
  [6543] = 6543,
  [6544] = 6472,
  [6545] = 6545,
  [6546] = 6472,
  [6547] = 6467,
  [6548] = 6475,
  [6549] = 6476,
  [6550] = 6477,
  [6551] = 6479,
  [6552] = 6501,
  [6553] = 6487,
  [6554] = 6488,
  [6555] = 6493,
  [6556] = 6467,
  [6557] = 6485,
  [6558] = 6484,
  [6559] = 6471,
  [6560] = 6475,
  [6561] = 6476,
  [6562] = 6474,
  [6563] = 6477,
  [6564] = 6487,
  [6565] = 2704,
  [6566] = 6479,
  [6567] = 5869,
  [6568] = 6503,
  [6569] = 6504,
  [6570] = 6513,
  [6571] = 6474,
  [6572] = 6484,
  [6573] = 6485,
  [6574] = 2722,
  [6575] = 6487,
  [6576] = 6576,
  [6577] = 3902,
  [6578] = 2759,
  [6579] = 3927,
  [6580] = 6580,
  [6581] = 3917,
  [6582] = 3924,
  [6583] = 2782,
  [6584] = 3931,
  [6585] = 6497,
  [6586] = 6471,
  [6587] = 6492,
  [6588] = 6493,
  [6589] = 3926,
  [6590] = 2763,
  [6591] = 2764,
  [6592] = 6488,
  [6593] = 2720,
  [6594] = 6479,
  [6595] = 6477,
  [6596] = 6522,
  [6597] = 6476,
  [6598] = 6520,
  [6599] = 6475,
  [6600] = 6512,
  [6601] = 3959,
  [6602] = 6514,
  [6603] = 6467,
  [6604] = 3958,
  [6605] = 2767,
  [6606] = 6472,
  [6607] = 6607,
  [6608] = 6520,
  [6609] = 6469,
  [6610] = 6522,
  [6611] = 2785,
  [6612] = 6514,
  [6613] = 3957,
  [6614] = 2761,
  [6615] = 2758,
  [6616] = 6470,
  [6617] = 2769,
  [6618] = 6512,
  [6619] = 6504,
  [6620] = 6503,
  [6621] = 6502,
  [6622] = 6501,
  [6623] = 6491,
  [6624] = 6491,
  [6625] = 2770,
  [6626] = 6489,
  [6627] = 2751,
  [6628] = 6628,
  [6629] = 6629,
  [6630] = 2843,
  [6631] = 2719,
  [6632] = 6632,
  [6633] = 2707,
  [6634] = 6472,
  [6635] = 6467,
  [6636] = 6475,
  [6637] = 6476,
  [6638] = 6477,
  [6639] = 6479,
  [6640] = 6488,
  [6641] = 6493,
  [6642] = 2710,
  [6643] = 6489,
  [6644] = 6489,
  [6645] = 6471,
  [6646] = 6474,
  [6647] = 6491,
  [6648] = 2737,
  [6649] = 6501,
  [6650] = 6505,
  [6651] = 6502,
  [6652] = 2673,
  [6653] = 6503,
  [6654] = 6504,
  [6655] = 6487,
  [6656] = 2726,
  [6657] = 5670,
  [6658] = 2775,
  [6659] = 2776,
  [6660] = 2713,
  [6661] = 2699,
  [6662] = 6505,
  [6663] = 6513,
  [6664] = 2950,
  [6665] = 2679,
  [6666] = 2860,
  [6667] = 6522,
  [6668] = 6668,
  [6669] = 2778,
  [6670] = 2779,
  [6671] = 6514,
  [6672] = 6520,
  [6673] = 2715,
  [6674] = 2780,
  [6675] = 2781,
  [6676] = 2774,
  [6677] = 2671,
  [6678] = 2818,
  [6679] = 2674,
  [6680] = 6504,
  [6681] = 6502,
  [6682] = 6501,
  [6683] = 6683,
  [6684] = 6489,
  [6685] = 6685,
  [6686] = 6686,
  [6687] = 6514,
  [6688] = 3033,
  [6689] = 6472,
  [6690] = 6467,
  [6691] = 6476,
  [6692] = 6477,
  [6693] = 6479,
  [6694] = 3369,
  [6695] = 6695,
  [6696] = 6471,
  [6697] = 6512,
  [6698] = 2784,
  [6699] = 6607,
  [6700] = 2714,
  [6701] = 6701,
  [6702] = 6488,
  [6703] = 6493,
  [6704] = 2739,
  [6705] = 2712,
  [6706] = 6706,
  [6707] = 6514,
  [6708] = 6497,
  [6709] = 2717,
  [6710] = 2787,
  [6711] = 2709,
  [6712] = 6712,
  [6713] = 2954,
  [6714] = 2922,
  [6715] = 6715,
  [6716] = 6504,
  [6717] = 6489,
  [6718] = 6497,
  [6719] = 2789,
  [6720] = 2708,
  [6721] = 6487,
  [6722] = 6467,
  [6723] = 2790,
  [6724] = 6485,
  [6725] = 6484,
  [6726] = 2706,
  [6727] = 2792,
  [6728] = 6482,
  [6729] = 2793,
  [6730] = 2794,
  [6731] = 5705,
  [6732] = 2704,
  [6733] = 3032,
  [6734] = 6734,
  [6735] = 6514,
  [6736] = 6474,
  [6737] = 2707,
  [6738] = 6469,
  [6739] = 2796,
  [6740] = 6471,
  [6741] = 2710,
  [6742] = 3369,
  [6743] = 6487,
  [6744] = 6504,
  [6745] = 6489,
  [6746] = 2703,
  [6747] = 2797,
  [6748] = 6467,
  [6749] = 2798,
  [6750] = 6493,
  [6751] = 2799,
  [6752] = 2800,
  [6753] = 6488,
  [6754] = 2696,
  [6755] = 6755,
  [6756] = 6479,
  [6757] = 3323,
  [6758] = 6668,
  [6759] = 6485,
  [6760] = 6514,
  [6761] = 6484,
  [6762] = 5734,
  [6763] = 3016,
  [6764] = 6477,
  [6765] = 6476,
  [6766] = 3018,
  [6767] = 5731,
  [6768] = 6504,
  [6769] = 6489,
  [6770] = 5645,
  [6771] = 2820,
  [6772] = 6467,
  [6773] = 6475,
  [6774] = 6467,
  [6775] = 6472,
  [6776] = 6469,
  [6777] = 6470,
  [6778] = 6778,
  [6779] = 752,
  [6780] = 5725,
  [6781] = 3316,
  [6782] = 3322,
  [6783] = 6783,
  [6784] = 6514,
  [6785] = 6785,
  [6786] = 6471,
  [6787] = 6489,
  [6788] = 6491,
  [6789] = 6789,
  [6790] = 6790,
  [6791] = 2966,
  [6792] = 6504,
  [6793] = 6489,
  [6794] = 6501,
  [6795] = 6795,
  [6796] = 6467,
  [6797] = 2804,
  [6798] = 6502,
  [6799] = 6799,
  [6800] = 6503,
  [6801] = 6504,
  [6802] = 6505,
  [6803] = 2825,
  [6804] = 6513,
  [6805] = 2808,
  [6806] = 2768,
  [6807] = 6522,
  [6808] = 6514,
  [6809] = 6809,
  [6810] = 2815,
  [6811] = 6701,
  [6812] = 6488,
  [6813] = 6479,
  [6814] = 6520,
  [6815] = 6493,
  [6816] = 6504,
  [6817] = 6489,
  [6818] = 2799,
  [6819] = 3922,
  [6820] = 6467,
  [6821] = 2812,
  [6822] = 2765,
  [6823] = 2813,
  [6824] = 2698,
  [6825] = 2798,
  [6826] = 6477,
  [6827] = 6827,
  [6828] = 6514,
  [6829] = 6512,
  [6830] = 6830,
  [6831] = 2865,
  [6832] = 6514,
  [6833] = 2930,
  [6834] = 6476,
  [6835] = 2816,
  [6836] = 6476,
  [6837] = 2695,
  [6838] = 2694,
  [6839] = 2855,
  [6840] = 6504,
  [6841] = 6489,
  [6842] = 2825,
  [6843] = 2818,
  [6844] = 2738,
  [6845] = 2693,
  [6846] = 2934,
  [6847] = 6706,
  [6848] = 2835,
  [6849] = 2692,
  [6850] = 6497,
  [6851] = 6513,
  [6852] = 2855,
  [6853] = 6853,
  [6854] = 6854,
  [6855] = 6474,
  [6856] = 6514,
  [6857] = 2691,
  [6858] = 6487,
  [6859] = 6485,
  [6860] = 6484,
  [6861] = 2831,
  [6862] = 6576,
  [6863] = 6863,
  [6864] = 6504,
  [6865] = 6489,
  [6866] = 2690,
  [6867] = 2689,
  [6868] = 6467,
  [6869] = 6474,
  [6870] = 6471,
  [6871] = 2815,
  [6872] = 2826,
  [6873] = 6873,
  [6874] = 6706,
  [6875] = 6493,
  [6876] = 6876,
  [6877] = 6488,
  [6878] = 742,
  [6879] = 2752,
  [6880] = 6514,
  [6881] = 6881,
  [6882] = 6470,
  [6883] = 2828,
  [6884] = 2829,
  [6885] = 2702,
  [6886] = 2809,
  [6887] = 2873,
  [6888] = 6504,
  [6889] = 6489,
  [6890] = 6512,
  [6891] = 6891,
  [6892] = 6467,
  [6893] = 6479,
  [6894] = 6477,
  [6895] = 2832,
  [6896] = 2748,
  [6897] = 6897,
  [6898] = 2834,
  [6899] = 6899,
  [6900] = 6475,
  [6901] = 6901,
  [6902] = 6902,
  [6903] = 6467,
  [6904] = 6514,
  [6905] = 6472,
  [6906] = 6522,
  [6907] = 6469,
  [6908] = 6467,
  [6909] = 6514,
  [6910] = 6910,
  [6911] = 2966,
  [6912] = 6504,
  [6913] = 6489,
  [6914] = 6470,
  [6915] = 2837,
  [6916] = 6467,
  [6917] = 2838,
  [6918] = 6482,
  [6919] = 6919,
  [6920] = 6920,
  [6921] = 2839,
  [6922] = 2739,
  [6923] = 2841,
  [6924] = 6489,
  [6925] = 6514,
  [6926] = 6491,
  [6927] = 2671,
  [6928] = 2842,
  [6929] = 2843,
  [6930] = 2860,
  [6931] = 6501,
  [6932] = 6504,
  [6933] = 6489,
  [6934] = 6934,
  [6935] = 2844,
  [6936] = 6467,
  [6937] = 2845,
  [6938] = 2846,
  [6939] = 2847,
  [6940] = 2779,
  [6941] = 6502,
  [6942] = 3949,
  [6943] = 3950,
  [6944] = 6503,
  [6945] = 6514,
  [6946] = 6504,
  [6947] = 6520,
  [6948] = 6505,
  [6949] = 6755,
  [6950] = 6522,
  [6951] = 2950,
  [6952] = 6504,
  [6953] = 6489,
  [6954] = 6899,
  [6955] = 2849,
  [6956] = 6467,
  [6957] = 2850,
  [6958] = 2851,
  [6959] = 2852,
  [6960] = 6960,
  [6961] = 2783,
  [6962] = 3951,
  [6963] = 3952,
  [6964] = 2967,
  [6965] = 6514,
  [6966] = 6513,
  [6967] = 2686,
  [6968] = 6522,
  [6969] = 6520,
  [6970] = 2685,
  [6971] = 6514,
  [6972] = 6504,
  [6973] = 6489,
  [6974] = 6512,
  [6975] = 6975,
  [6976] = 6467,
  [6977] = 6472,
  [6978] = 2853,
  [6979] = 2741,
  [6980] = 2711,
  [6981] = 6809,
  [6982] = 3953,
  [6983] = 2724,
  [6984] = 6484,
  [6985] = 6514,
  [6986] = 6497,
  [6987] = 1924,
  [6988] = 2922,
  [6989] = 2857,
  [6990] = 6990,
  [6991] = 747,
  [6992] = 6504,
  [6993] = 6489,
  [6994] = 6485,
  [6995] = 2693,
  [6996] = 6467,
  [6997] = 6997,
  [6998] = 2858,
  [6999] = 2694,
  [7000] = 6668,
  [7001] = 2735,
  [7002] = 6685,
  [7003] = 6487,
  [7004] = 6514,
  [7005] = 7005,
  [7006] = 6487,
  [7007] = 2861,
  [7008] = 7008,
  [7009] = 6485,
  [7010] = 6504,
  [7011] = 6489,
  [7012] = 6484,
  [7013] = 2863,
  [7014] = 6467,
  [7015] = 2864,
  [7016] = 7016,
  [7017] = 2765,
  [7018] = 6497,
  [7019] = 2867,
  [7020] = 6712,
  [7021] = 2732,
  [7022] = 6514,
  [7023] = 2731,
  [7024] = 2676,
  [7025] = 2869,
  [7026] = 2870,
  [7027] = 2675,
  [7028] = 6504,
  [7029] = 6489,
  [7030] = 6628,
  [7031] = 2913,
  [7032] = 6467,
  [7033] = 2872,
  [7034] = 2873,
  [7035] = 2874,
  [7036] = 2688,
  [7037] = 6479,
  [7038] = 6474,
  [7039] = 7039,
  [7040] = 6514,
  [7041] = 2729,
  [7042] = 2674,
  [7043] = 6485,
  [7044] = 2669,
  [7045] = 6484,
  [7046] = 6504,
  [7047] = 6489,
  [7048] = 6471,
  [7049] = 2673,
  [7050] = 6467,
  [7051] = 6706,
  [7052] = 2879,
  [7053] = 2880,
  [7054] = 2699,
  [7055] = 7055,
  [7056] = 7056,
  [7057] = 7057,
  [7058] = 6514,
  [7059] = 6467,
  [7060] = 6504,
  [7061] = 2882,
  [7062] = 2883,
  [7063] = 6467,
  [7064] = 6504,
  [7065] = 6489,
  [7066] = 6504,
  [7067] = 2884,
  [7068] = 6467,
  [7069] = 6493,
  [7070] = 2885,
  [7071] = 2886,
  [7072] = 6467,
  [7073] = 6488,
  [7074] = 3036,
  [7075] = 7075,
  [7076] = 6514,
  [7077] = 6685,
  [7078] = 6504,
  [7079] = 2887,
  [7080] = 2888,
  [7081] = 2713,
  [7082] = 6504,
  [7083] = 6489,
  [7084] = 6467,
  [7085] = 2762,
  [7086] = 6467,
  [7087] = 2737,
  [7088] = 2891,
  [7089] = 7089,
  [7090] = 6504,
  [7091] = 2893,
  [7092] = 6467,
  [7093] = 2954,
  [7094] = 6514,
  [7095] = 6477,
  [7096] = 6504,
  [7097] = 2894,
  [7098] = 6476,
  [7099] = 6475,
  [7100] = 6504,
  [7101] = 6489,
  [7102] = 6467,
  [7103] = 2896,
  [7104] = 6467,
  [7105] = 2897,
  [7106] = 2898,
  [7107] = 6467,
  [7108] = 6504,
  [7109] = 2900,
  [7110] = 2901,
  [7111] = 6472,
  [7112] = 6514,
  [7113] = 2719,
  [7114] = 6467,
  [7115] = 2669,
  [7116] = 2903,
  [7117] = 2720,
  [7118] = 6504,
  [7119] = 6489,
  [7120] = 6504,
  [7121] = 6467,
  [7122] = 6467,
  [7123] = 2724,
  [7124] = 6504,
  [7125] = 2908,
  [7126] = 6469,
  [7127] = 2909,
  [7128] = 2910,
  [7129] = 3034,
  [7130] = 6514,
  [7131] = 3033,
  [7132] = 6467,
  [7133] = 7133,
  [7134] = 6471,
  [7135] = 6504,
  [7136] = 6504,
  [7137] = 6489,
  [7138] = 6467,
  [7139] = 2912,
  [7140] = 6467,
  [7141] = 605,
  [7142] = 5647,
  [7143] = 2914,
  [7144] = 6504,
  [7145] = 2711,
  [7146] = 6467,
  [7147] = 6470,
  [7148] = 6514,
  [7149] = 3032,
  [7150] = 6504,
  [7151] = 2918,
  [7152] = 7152,
  [7153] = 7153,
  [7154] = 6504,
  [7155] = 6489,
  [7156] = 6467,
  [7157] = 7157,
  [7158] = 6467,
  [7159] = 6482,
  [7160] = 2751,
  [7161] = 2758,
  [7162] = 6504,
  [7163] = 6489,
  [7164] = 7164,
  [7165] = 2721,
  [7166] = 6514,
  [7167] = 6491,
  [7168] = 7168,
  [7169] = 5702,
  [7170] = 6504,
  [7171] = 6489,
  [7172] = 2761,
  [7173] = 6467,
  [7174] = 5732,
  [7175] = 5735,
  [7176] = 6506,
  [7177] = 2679,
  [7178] = 6504,
  [7179] = 6467,
  [7180] = 7180,
  [7181] = 7181,
  [7182] = 6469,
  [7183] = 6501,
  [7184] = 6502,
  [7185] = 6503,
  [7186] = 6504,
  [7187] = 6504,
  [7188] = 6467,
  [7189] = 6512,
  [7190] = 7190,
  [7191] = 2377,
  [7192] = 2742,
  [7193] = 6505,
  [7194] = 6504,
  [7195] = 7195,
  [7196] = 6467,
  [7197] = 6514,
  [7198] = 2782,
  [7199] = 3337,
  [7200] = 7200,
  [7201] = 7201,
  [7202] = 6520,
  [7203] = 7203,
  [7204] = 6504,
  [7205] = 6467,
  [7206] = 3018,
  [7207] = 7207,
  [7208] = 3016,
  [7209] = 6513,
  [7210] = 6504,
  [7211] = 6467,
  [7212] = 7212,
  [7213] = 7213,
  [7214] = 7214,
  [7215] = 6474,
  [7216] = 6504,
  [7217] = 6467,
  [7218] = 2726,
  [7219] = 6504,
  [7220] = 7220,
  [7221] = 7221,
  [7222] = 7222,
  [7223] = 7220,
  [7224] = 7224,
  [7225] = 7225,
  [7226] = 7225,
  [7227] = 7227,
  [7228] = 7228,
  [7229] = 7225,
  [7230] = 7230,
  [7231] = 7231,
  [7232] = 7232,
  [7233] = 7225,
  [7234] = 7220,
  [7235] = 7235,
  [7236] = 7236,
  [7237] = 7237,
  [7238] = 3637,
  [7239] = 7239,
  [7240] = 7240,
  [7241] = 7225,
  [7242] = 7242,
  [7243] = 7243,
  [7244] = 7244,
  [7245] = 7245,
  [7246] = 7225,
  [7247] = 7225,
  [7248] = 7248,
  [7249] = 7221,
  [7250] = 3752,
  [7251] = 7251,
  [7252] = 7225,
  [7253] = 7253,
  [7254] = 7225,
  [7255] = 7248,
  [7256] = 7256,
  [7257] = 7225,
  [7258] = 7244,
  [7259] = 7259,
  [7260] = 7260,
  [7261] = 7220,
  [7262] = 7225,
  [7263] = 7263,
  [7264] = 7243,
  [7265] = 7253,
  [7266] = 7225,
  [7267] = 7225,
  [7268] = 7268,
  [7269] = 7269,
  [7270] = 7270,
  [7271] = 7271,
  [7272] = 7220,
  [7273] = 7225,
  [7274] = 7269,
  [7275] = 7275,
  [7276] = 7276,
  [7277] = 7220,
  [7278] = 7225,
  [7279] = 7279,
  [7280] = 7220,
  [7281] = 7281,
  [7282] = 7225,
  [7283] = 7275,
  [7284] = 7220,
  [7285] = 7225,
  [7286] = 7286,
  [7287] = 7251,
  [7288] = 7220,
  [7289] = 7227,
  [7290] = 5740,
  [7291] = 7225,
  [7292] = 7225,
  [7293] = 7231,
  [7294] = 7294,
  [7295] = 7295,
  [7296] = 7296,
  [7297] = 7297,
  [7298] = 7298,
  [7299] = 7299,
  [7300] = 7300,
  [7301] = 7220,
  [7302] = 7302,
  [7303] = 1961,
  [7304] = 7304,
  [7305] = 7305,
  [7306] = 7306,
  [7307] = 3730,
  [7308] = 7220,
  [7309] = 7309,
  [7310] = 7281,
  [7311] = 7286,
  [7312] = 7225,
  [7313] = 7313,
  [7314] = 7314,
  [7315] = 7315,
  [7316] = 7220,
  [7317] = 7317,
  [7318] = 7225,
  [7319] = 7319,
  [7320] = 7279,
  [7321] = 7225,
  [7322] = 7220,
  [7323] = 7323,
  [7324] = 7225,
  [7325] = 7276,
  [7326] = 7326,
  [7327] = 7327,
  [7328] = 3669,
  [7329] = 7220,
  [7330] = 7294,
  [7331] = 7331,
  [7332] = 7225,
  [7333] = 3667,
  [7334] = 7334,
  [7335] = 6863,
  [7336] = 7331,
  [7337] = 7337,
  [7338] = 7225,
  [7339] = 7220,
  [7340] = 7225,
  [7341] = 7327,
  [7342] = 7221,
  [7343] = 5754,
  [7344] = 7344,
  [7345] = 2104,
  [7346] = 7346,
  [7347] = 7220,
  [7348] = 7346,
  [7349] = 7220,
  [7350] = 2377,
  [7351] = 7225,
  [7352] = 7327,
  [7353] = 7353,
  [7354] = 5763,
  [7355] = 7355,
  [7356] = 7356,
  [7357] = 7357,
  [7358] = 7358,
  [7359] = 7346,
  [7360] = 7360,
  [7361] = 7327,
  [7362] = 7362,
  [7363] = 7363,
  [7364] = 7346,
  [7365] = 7327,
  [7366] = 7366,
  [7367] = 7225,
  [7368] = 7269,
  [7369] = 7230,
  [7370] = 7239,
  [7371] = 7371,
  [7372] = 7296,
  [7373] = 7275,
  [7374] = 7346,
  [7375] = 7297,
  [7376] = 7363,
  [7377] = 7327,
  [7378] = 7220,
  [7379] = 7379,
  [7380] = 7220,
  [7381] = 7299,
  [7382] = 7245,
  [7383] = 7346,
  [7384] = 7327,
  [7385] = 7300,
  [7386] = 7225,
  [7387] = 7379,
  [7388] = 7239,
  [7389] = 7389,
  [7390] = 7346,
  [7391] = 7327,
  [7392] = 7314,
  [7393] = 7393,
  [7394] = 7306,
  [7395] = 7220,
  [7396] = 7313,
  [7397] = 7346,
  [7398] = 3667,
  [7399] = 7399,
  [7400] = 7327,
  [7401] = 7228,
  [7402] = 7225,
  [7403] = 7403,
  [7404] = 3669,
  [7405] = 7235,
  [7406] = 7406,
  [7407] = 7220,
  [7408] = 7334,
  [7409] = 7317,
  [7410] = 7410,
  [7411] = 7346,
  [7412] = 7225,
  [7413] = 7413,
  [7414] = 7327,
  [7415] = 7415,
  [7416] = 7240,
  [7417] = 7299,
  [7418] = 7220,
  [7419] = 7225,
  [7420] = 7225,
  [7421] = 7421,
  [7422] = 7270,
  [7423] = 7360,
  [7424] = 7346,
  [7425] = 7327,
  [7426] = 7426,
  [7427] = 7300,
  [7428] = 7220,
  [7429] = 7346,
  [7430] = 7327,
  [7431] = 7389,
  [7432] = 7248,
  [7433] = 7244,
  [7434] = 7434,
  [7435] = 7271,
  [7436] = 7346,
  [7437] = 7327,
  [7438] = 7243,
  [7439] = 7314,
  [7440] = 7440,
  [7441] = 7286,
  [7442] = 7242,
  [7443] = 7220,
  [7444] = 7346,
  [7445] = 7327,
  [7446] = 7270,
  [7447] = 7309,
  [7448] = 7305,
  [7449] = 7276,
  [7450] = 7225,
  [7451] = 7281,
  [7452] = 7346,
  [7453] = 5858,
  [7454] = 7317,
  [7455] = 7327,
  [7456] = 7286,
  [7457] = 7457,
  [7458] = 7231,
  [7459] = 7220,
  [7460] = 7327,
  [7461] = 3706,
  [7462] = 7337,
  [7463] = 7334,
  [7464] = 7337,
  [7465] = 3730,
  [7466] = 7346,
  [7467] = 7327,
  [7468] = 7225,
  [7469] = 7294,
  [7470] = 7297,
  [7471] = 7222,
  [7472] = 7363,
  [7473] = 7346,
  [7474] = 7331,
  [7475] = 7313,
  [7476] = 7346,
  [7477] = 7225,
  [7478] = 7478,
  [7479] = 7220,
  [7480] = 7228,
  [7481] = 7360,
  [7482] = 7327,
  [7483] = 7363,
  [7484] = 7225,
  [7485] = 7232,
  [7486] = 7305,
  [7487] = 7297,
  [7488] = 7296,
  [7489] = 7294,
  [7490] = 5739,
  [7491] = 7220,
  [7492] = 7309,
  [7493] = 7271,
  [7494] = 7235,
  [7495] = 7309,
  [7496] = 7263,
  [7497] = 7306,
  [7498] = 7346,
  [7499] = 7260,
  [7500] = 7317,
  [7501] = 7225,
  [7502] = 7415,
  [7503] = 3637,
  [7504] = 7239,
  [7505] = 7327,
  [7506] = 7327,
  [7507] = 7302,
  [7508] = 7334,
  [7509] = 7337,
  [7510] = 7298,
  [7511] = 7268,
  [7512] = 7346,
  [7513] = 7327,
  [7514] = 7231,
  [7515] = 7237,
  [7516] = 7346,
  [7517] = 7331,
  [7518] = 7225,
  [7519] = 7346,
  [7520] = 7220,
  [7521] = 7220,
  [7522] = 7327,
  [7523] = 7327,
  [7524] = 7524,
  [7525] = 7230,
  [7526] = 7225,
  [7527] = 7331,
  [7528] = 7528,
  [7529] = 7434,
  [7530] = 7346,
  [7531] = 7309,
  [7532] = 7389,
  [7533] = 7533,
  [7534] = 7317,
  [7535] = 7327,
  [7536] = 7536,
  [7537] = 7222,
  [7538] = 7327,
  [7539] = 7228,
  [7540] = 7334,
  [7541] = 7225,
  [7542] = 7224,
  [7543] = 5833,
  [7544] = 7346,
  [7545] = 7346,
  [7546] = 7327,
  [7547] = 7224,
  [7548] = 7232,
  [7549] = 7220,
  [7550] = 7550,
  [7551] = 7235,
  [7552] = 7237,
  [7553] = 3752,
  [7554] = 7227,
  [7555] = 7309,
  [7556] = 7346,
  [7557] = 7327,
  [7558] = 7317,
  [7559] = 7346,
  [7560] = 7327,
  [7561] = 7251,
  [7562] = 7327,
  [7563] = 7563,
  [7564] = 7334,
  [7565] = 7220,
  [7566] = 7566,
  [7567] = 7346,
  [7568] = 7346,
  [7569] = 7426,
  [7570] = 7327,
  [7571] = 7346,
  [7572] = 7240,
  [7573] = 7406,
  [7574] = 7225,
  [7575] = 7331,
  [7576] = 7327,
  [7577] = 7279,
  [7578] = 7403,
  [7579] = 7309,
  [7580] = 7346,
  [7581] = 7331,
  [7582] = 7317,
  [7583] = 7327,
  [7584] = 7346,
  [7585] = 3706,
  [7586] = 7327,
  [7587] = 7276,
  [7588] = 7334,
  [7589] = 7346,
  [7590] = 7327,
  [7591] = 7528,
  [7592] = 7346,
  [7593] = 7524,
  [7594] = 7344,
  [7595] = 7331,
  [7596] = 7346,
  [7597] = 7327,
  [7598] = 7225,
  [7599] = 7599,
  [7600] = 7362,
  [7601] = 7346,
  [7602] = 7245,
  [7603] = 7346,
  [7604] = 7317,
  [7605] = 7327,
  [7606] = 7221,
  [7607] = 7220,
  [7608] = 7327,
  [7609] = 7220,
  [7610] = 7270,
  [7611] = 7313,
  [7612] = 7253,
  [7613] = 7346,
  [7614] = 7248,
  [7615] = 7244,
  [7616] = 7346,
  [7617] = 7327,
  [7618] = 7225,
  [7619] = 7331,
  [7620] = 7263,
  [7621] = 7621,
  [7622] = 7281,
  [7623] = 7260,
  [7624] = 7317,
  [7625] = 7625,
  [7626] = 7626,
  [7627] = 7346,
  [7628] = 7327,
  [7629] = 7240,
  [7630] = 7630,
  [7631] = 7631,
  [7632] = 7632,
  [7633] = 7633,
  [7634] = 7634,
  [7635] = 7635,
  [7636] = 6441,
  [7637] = 7637,
  [7638] = 7638,
  [7639] = 7639,
  [7640] = 7640,
  [7641] = 7641,
  [7642] = 6136,
  [7643] = 7631,
  [7644] = 7644,
  [7645] = 7634,
  [7646] = 7631,
  [7647] = 6444,
  [7648] = 7648,
  [7649] = 7649,
  [7650] = 7649,
  [7651] = 7638,
  [7652] = 7637,
  [7653] = 7653,
  [7654] = 7634,
  [7655] = 7655,
  [7656] = 7644,
  [7657] = 7657,
  [7658] = 6418,
  [7659] = 7659,
  [7660] = 7660,
  [7661] = 7639,
  [7662] = 7662,
  [7663] = 7663,
  [7664] = 7631,
  [7665] = 7632,
  [7666] = 7666,
  [7667] = 7667,
  [7668] = 6337,
  [7669] = 6190,
  [7670] = 7639,
  [7671] = 6177,
  [7672] = 7632,
  [7673] = 6166,
  [7674] = 7634,
  [7675] = 7675,
  [7676] = 7639,
  [7677] = 7644,
  [7678] = 7630,
  [7679] = 7679,
  [7680] = 7680,
  [7681] = 7634,
  [7682] = 7662,
  [7683] = 7649,
  [7684] = 7684,
  [7685] = 7631,
  [7686] = 7686,
  [7687] = 7687,
  [7688] = 7638,
  [7689] = 7689,
  [7690] = 7690,
  [7691] = 7691,
  [7692] = 7692,
  [7693] = 7637,
  [7694] = 7637,
  [7695] = 6207,
  [7696] = 7638,
  [7697] = 7697,
  [7698] = 7698,
  [7699] = 7634,
  [7700] = 7631,
  [7701] = 7701,
  [7702] = 7649,
  [7703] = 7631,
  [7704] = 7632,
  [7705] = 7705,
  [7706] = 7644,
  [7707] = 7637,
  [7708] = 7639,
  [7709] = 7638,
  [7710] = 7644,
  [7711] = 7644,
  [7712] = 7649,
  [7713] = 7649,
  [7714] = 7638,
  [7715] = 7637,
  [7716] = 7639,
  [7717] = 7634,
  [7718] = 7631,
  [7719] = 7719,
  [7720] = 7720,
  [7721] = 7721,
  [7722] = 7722,
  [7723] = 7632,
  [7724] = 7724,
  [7725] = 7644,
  [7726] = 7638,
  [7727] = 7637,
  [7728] = 7634,
  [7729] = 7644,
  [7730] = 7644,
  [7731] = 7638,
  [7732] = 7637,
  [7733] = 7634,
  [7734] = 7639,
  [7735] = 7631,
  [7736] = 7644,
  [7737] = 6107,
  [7738] = 7638,
  [7739] = 7663,
  [7740] = 7684,
  [7741] = 7637,
  [7742] = 7634,
  [7743] = 7743,
  [7744] = 7744,
  [7745] = 7745,
  [7746] = 7644,
  [7747] = 6686,
  [7748] = 7748,
  [7749] = 6245,
  [7750] = 7638,
  [7751] = 7637,
  [7752] = 7632,
  [7753] = 6257,
  [7754] = 7634,
  [7755] = 6345,
  [7756] = 7630,
  [7757] = 7632,
  [7758] = 7634,
  [7759] = 7759,
  [7760] = 7644,
  [7761] = 7744,
  [7762] = 7762,
  [7763] = 7763,
  [7764] = 7638,
  [7765] = 6263,
  [7766] = 7637,
  [7767] = 7634,
  [7768] = 7634,
  [7769] = 7638,
  [7770] = 7637,
  [7771] = 7662,
  [7772] = 7634,
  [7773] = 7644,
  [7774] = 7638,
  [7775] = 7637,
  [7776] = 7634,
  [7777] = 7644,
  [7778] = 6194,
  [7779] = 7779,
  [7780] = 7660,
  [7781] = 7781,
  [7782] = 7782,
  [7783] = 7638,
  [7784] = 7637,
  [7785] = 7634,
  [7786] = 7637,
  [7787] = 7638,
  [7788] = 7724,
  [7789] = 7789,
  [7790] = 6686,
  [7791] = 7791,
  [7792] = 7644,
  [7793] = 7637,
  [7794] = 7721,
  [7795] = 7638,
  [7796] = 7720,
  [7797] = 7719,
  [7798] = 7637,
  [7799] = 7649,
  [7800] = 7634,
  [7801] = 716,
  [7802] = 7644,
  [7803] = 7649,
  [7804] = 7804,
  [7805] = 7635,
  [7806] = 7806,
  [7807] = 7632,
  [7808] = 7644,
  [7809] = 7638,
  [7810] = 7637,
  [7811] = 7644,
  [7812] = 7812,
  [7813] = 7634,
  [7814] = 6975,
  [7815] = 7815,
  [7816] = 7637,
  [7817] = 7634,
  [7818] = 7631,
  [7819] = 7666,
  [7820] = 7637,
  [7821] = 7639,
  [7822] = 7634,
  [7823] = 2104,
  [7824] = 7639,
  [7825] = 7825,
  [7826] = 7637,
  [7827] = 6346,
  [7828] = 7634,
  [7829] = 7637,
  [7830] = 7634,
  [7831] = 7632,
  [7832] = 7744,
  [7833] = 7634,
  [7834] = 7722,
  [7835] = 7634,
  [7836] = 7825,
  [7837] = 7687,
  [7838] = 7641,
  [7839] = 7640,
  [7840] = 7840,
  [7841] = 7841,
  [7842] = 6830,
  [7843] = 7843,
  [7844] = 7634,
  [7845] = 7648,
  [7846] = 7846,
  [7847] = 6830,
  [7848] = 7848,
  [7849] = 7689,
  [7850] = 7680,
  [7851] = 7684,
  [7852] = 7848,
  [7853] = 7680,
  [7854] = 7634,
  [7855] = 7759,
  [7856] = 7634,
  [7857] = 7857,
  [7858] = 7762,
  [7859] = 7634,
  [7860] = 7763,
  [7861] = 7861,
  [7862] = 7815,
  [7863] = 7634,
  [7864] = 7864,
  [7865] = 7634,
  [7866] = 7634,
  [7867] = 7634,
  [7868] = 7846,
  [7869] = 7841,
  [7870] = 7843,
  [7871] = 7638,
  [7872] = 7846,
  [7873] = 7634,
  [7874] = 7630,
  [7875] = 7689,
  [7876] = 7848,
  [7877] = 7635,
  [7878] = 7687,
  [7879] = 7841,
  [7880] = 7843,
  [7881] = 7634,
  [7882] = 7634,
  [7883] = 7689,
  [7884] = 7848,
  [7885] = 7885,
  [7886] = 7634,
  [7887] = 7841,
  [7888] = 7843,
  [7889] = 7648,
  [7890] = 7848,
  [7891] = 7891,
  [7892] = 7634,
  [7893] = 7841,
  [7894] = 7843,
  [7895] = 7634,
  [7896] = 7848,
  [7897] = 7634,
  [7898] = 6404,
  [7899] = 7841,
  [7900] = 7843,
  [7901] = 7901,
  [7902] = 7848,
  [7903] = 7634,
  [7904] = 7843,
  [7905] = 7841,
  [7906] = 7843,
  [7907] = 7684,
  [7908] = 7848,
  [7909] = 6399,
  [7910] = 7910,
  [7911] = 7841,
  [7912] = 7843,
  [7913] = 7841,
  [7914] = 7848,
  [7915] = 7632,
  [7916] = 7662,
  [7917] = 7644,
  [7918] = 6334,
  [7919] = 7919,
  [7920] = 7634,
  [7921] = 7649,
  [7922] = 7634,
  [7923] = 7923,
  [7924] = 7924,
  [7925] = 6408,
  [7926] = 7634,
  [7927] = 7927,
  [7928] = 6975,
  [7929] = 7637,
  [7930] = 7638,
  [7931] = 7910,
  [7932] = 7910,
  [7933] = 7910,
  [7934] = 7910,
  [7935] = 7910,
  [7936] = 7910,
  [7937] = 7910,
  [7938] = 7910,
};

static TSCharacterRange aux_sym_simple_identifier_token1_character_set_1[] = {
  {'A', 'Z'}, {'_', '_'}, {'a', 'z'}, {0xa9, 0xaa}, {0xae, 0xae}, {0xb5, 0xb5}, {0xba, 0xba}, {0xc0, 0xd6},
  {0xd8, 0xf6}, {0xf8, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec}, {0x2ee, 0x2ee}, {0x370, 0x374}, {0x376, 0x377},
  {0x37b, 0x37d}, {0x37f, 0x37f}, {0x386, 0x386}, {0x388, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x3a1}, {0x3a3, 0x3f5}, {0x3f7, 0x481},
  {0x48a, 0x52f}, {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x620, 0x64a}, {0x66e, 0x66f},
  {0x671, 0x6d3}, {0x6d5, 0x6d5}, {0x6e5, 0x6e6}, {0x6ee, 0x6ef}, {0x6fa, 0x6fc}, {0x6ff, 0x6ff}, {0x710, 0x710}, {0x712, 0x72f},
  {0x74d, 0x7a5}, {0x7b1, 0x7b1}, {0x7ca, 0x7ea}, {0x7f4, 0x7f5}, {0x7fa, 0x7fa}, {0x800, 0x815}, {0x81a, 0x81a}, {0x824, 0x824},
  {0x828, 0x828}, {0x840, 0x858}, {0x860, 0x86a}, {0x870, 0x887}, {0x889, 0x88e}, {0x8a0, 0x8c9}, {0x904, 0x939}, {0x93d, 0x93d},
  {0x950, 0x950}, {0x958, 0x961}, {0x971, 0x980}, {0x985, 0x98c}, {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0}, {0x9b2, 0x9b2},
  {0x9b6, 0x9b9}, {0x9bd, 0x9bd}, {0x9ce, 0x9ce}, {0x9dc, 0x9dd}, {0x9df, 0x9e1}, {0x9f0, 0x9f1}, {0x9fc, 0x9fc}, {0xa05, 0xa0a},
  {0xa0f, 0xa10}, {0xa13, 0xa28}, {0xa2a, 0xa30}, {0xa32, 0xa33}, {0xa35, 0xa36}, {0xa38, 0xa39}, {0xa59, 0xa5c}, {0xa5e, 0xa5e},
  {0xa72, 0xa74}, {0xa85, 0xa8d}, {0xa8f, 0xa91}, {0xa93, 0xaa8}, {0xaaa, 0xab0}, {0xab2, 0xab3}, {0xab5, 0xab9}, {0xabd, 0xabd},
  {0xad0, 0xad0}, {0xae0, 0xae1}, {0xaf9, 0xaf9}, {0xb05, 0xb0c}, {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30}, {0xb32, 0xb33},
  {0xb35, 0xb39}, {0xb3d, 0xb3d}, {0xb5c, 0xb5d}, {0xb5f, 0xb61}, {0xb71, 0xb71}, {0xb83, 0xb83}, {0xb85, 0xb8a}, {0xb8e, 0xb90},
  {0xb92, 0xb95}, {0xb99, 0xb9a}, {0xb9c, 0xb9c}, {0xb9e, 0xb9f}, {0xba3, 0xba4}, {0xba8, 0xbaa}, {0xbae, 0xbb9}, {0xbd0, 0xbd0},
  {0xc05, 0xc0c}, {0xc0e, 0xc10}, {0xc12, 0xc28}, {0xc2a, 0xc39}, {0xc3d, 0xc3d}, {0xc58, 0xc5a}, {0xc5d, 0xc5d}, {0xc60, 0xc61},
  {0xc80, 0xc80}, {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8}, {0xcaa, 0xcb3}, {0xcb5, 0xcb9}, {0xcbd, 0xcbd}, {0xcdd, 0xcde},
  {0xce0, 0xce1}, {0xcf1, 0xcf2}, {0xd04, 0xd0c}, {0xd0e, 0xd10}, {0xd12, 0xd3a}, {0xd3d, 0xd3d}, {0xd4e, 0xd4e}, {0xd54, 0xd56},
  {0xd5f, 0xd61}, {0xd7a, 0xd7f}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd}, {0xdc0, 0xdc6}, {0xe01, 0xe30},
  {0xe32, 0xe32}, {0xe40, 0xe46}, {0xe81, 0xe82}, {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5}, {0xea7, 0xeb0},
  {0xeb2, 0xeb2}, {0xebd, 0xebd}, {0xec0, 0xec4}, {0xec6, 0xec6}, {0xedc, 0xedf}, {0xf00, 0xf00}, {0xf40, 0xf47}, {0xf49, 0xf6c},
  {0xf88, 0xf8c}, {0x1000, 0x102a}, {0x103f, 0x103f}, {0x1050, 0x1055}, {0x105a, 0x105d}, {0x1061, 0x1061}, {0x1065, 0x1066}, {0x106e, 0x1070},
  {0x1075, 0x1081}, {0x108e, 0x108e}, {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248}, {0x124a, 0x124d},
  {0x1250, 0x1256}, {0x1258, 0x1258}, {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5}, {0x12b8, 0x12be},
  {0x12c0, 0x12c0}, {0x12c2, 0x12c5}, {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x1380, 0x138f}, {0x13a0, 0x13f5},
  {0x13f8, 0x13fd}, {0x1401, 0x166c}, {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16ee, 0x16f8}, {0x1700, 0x1711}, {0x171f, 0x1731},
  {0x1740, 0x1751}, {0x1760, 0x176c}, {0x176e, 0x1770}, {0x1780, 0x17b3}, {0x17d7, 0x17d7}, {0x17dc, 0x17dc}, {0x1820, 0x1878}, {0x1880, 0x18a8},
  {0x18aa, 0x18aa}, {0x18b0, 0x18f5}, {0x1900, 0x191e}, {0x1950, 0x196d}, {0x1970, 0x1974}, {0x1980, 0x19ab}, {0x19b0, 0x19c9}, {0x1a00, 0x1a16},
  {0x1a20, 0x1a54}, {0x1aa7, 0x1aa7}, {0x1b05, 0x1b33}, {0x1b45, 0x1b4c}, {0x1b83, 0x1ba0}, {0x1bae, 0x1baf}, {0x1bba, 0x1be5}, {0x1c00, 0x1c23},
  {0x1c4d, 0x1c4f}, {0x1c5a, 0x1c7d}, {0x1c80, 0x1c88}, {0x1c90, 0x1cba}, {0x1cbd, 0x1cbf}, {0x1ce9, 0x1cec}, {0x1cee, 0x1cf3}, {0x1cf5, 0x1cf6},
  {0x1cfa, 0x1cfa}, {0x1d00, 0x1dbf}, {0x1e00, 0x1f15}, {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d}, {0x1f50, 0x1f57}, {0x1f59, 0x1f59},
  {0x1f5b, 0x1f5b}, {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d}, {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4}, {0x1fc6, 0x1fcc},
  {0x1fd0, 0x1fd3}, {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x203c, 0x203c}, {0x2049, 0x2049}, {0x2071, 0x2071},
  {0x207f, 0x207f}, {0x2090, 0x209c}, {0x2102, 0x2102}, {0x2107, 0x2107}, {0x210a, 0x2113}, {0x2115, 0x2115}, {0x2118, 0x211d}, {0x2122, 0x2122},
  {0x2124, 0x2124}, {0x2126, 0x2126}, {0x2128, 0x2128}, {0x212a, 0x2139}, {0x213c, 0x213f}, {0x2145, 0x2149}, {0x214e, 0x214e}, {0x2160, 0x2188},
  {0x2194, 0x2199}, {0x21a9, 0x21aa}, {0x231a, 0x231b}, {0x2328, 0x2328}, {0x23cf, 0x23cf}, {0x23e9, 0x23f3}, {0x23f8, 0x23fa}, {0x24c2, 0x24c2},
  {0x25aa, 0x25ab}, {0x25b6, 0x25b6}, {0x25c0, 0x25c0}, {0x25fb, 0x25fe}, {0x2600, 0x2604}, {0x260e, 0x260e}, {0x2611, 0x2611}, {0x2614, 0x2615},
  {0x2618, 0x2618}, {0x261d, 0x261d}, {0x2620, 0x2620}, {0x2622, 0x2623}, {0x2626, 0x2626}, {0x262a, 0x262a}, {0x262e, 0x262f}, {0x2638, 0x263a},
  {0x2640, 0x2640}, {0x2642, 0x2642}, {0x2648, 0x2653}, {0x265f, 0x2660}, {0x2663, 0x2663}, {0x2665, 0x2666}, {0x2668, 0x2668}, {0x267b, 0x267b},
  {0x267e, 0x267f}, {0x2692, 0x2697}, {0x2699, 0x2699}, {0x269b, 0x269c}, {0x26a0, 0x26a1}, {0x26a7, 0x26a7}, {0x26aa, 0x26ab}, {0x26b0, 0x26b1},
  {0x26bd, 0x26be}, {0x26c4, 0x26c5}, {0x26c8, 0x26c8}, {0x26ce, 0x26cf}, {0x26d1, 0x26d1}, {0x26d3, 0x26d4}, {0x26e9, 0x26ea}, {0x26f0, 0x26f5},
  {0x26f7, 0x26fa}, {0x26fd, 0x26fd}, {0x2702, 0x2702}, {0x2705, 0x2705}, {0x2708, 0x270d}, {0x270f, 0x270f}, {0x2712, 0x2712}, {0x2714, 0x2714},
  {0x2716, 0x2716}, {0x271d, 0x271d}, {0x2721, 0x2721}, {0x2728, 0x2728}, {0x2733, 0x2734}, {0x2744, 0x2744}, {0x2747, 0x2747}, {0x274c, 0x274c},
  {0x274e, 0x274e}, {0x2753, 0x2755}, {0x2757, 0x2757}, {0x2763, 0x2764}, {0x2795, 0x2797}, {0x27a1, 0x27a1}, {0x27b0, 0x27b0}, {0x27bf, 0x27bf},
  {0x2934, 0x2935}, {0x2b05, 0x2b07}, {0x2b1b, 0x2b1c}, {0x2b50, 0x2b50}, {0x2b55, 0x2b55}, {0x2c00, 0x2ce4}, {0x2ceb, 0x2cee}, {0x2cf2, 0x2cf3},
  {0x2d00, 0x2d25}, {0x2d27, 0x2d27}, {0x2d2d, 0x2d2d}, {0x2d30, 0x2d67}, {0x2d6f, 0x2d6f}, {0x2d80, 0x2d96}, {0x2da0, 0x2da6}, {0x2da8, 0x2dae},
  {0x2db0, 0x2db6}, {0x2db8, 0x2dbe}, {0x2dc0, 0x2dc6}, {0x2dc8, 0x2dce}, {0x2dd0, 0x2dd6}, {0x2dd8, 0x2dde}, {0x3005, 0x3007}, {0x3021, 0x3029},
  {0x3030, 0x3035}, {0x3038, 0x303d}, {0x3041, 0x3096}, {0x309d, 0x309f}, {0x30a1, 0x30fa}, {0x30fc, 0x30ff}, {0x3105, 0x312f}, {0x3131, 0x318e},
  {0x31a0, 0x31bf}, {0x31f0, 0x31ff}, {0x3297, 0x3297}, {0x3299, 0x3299}, {0x3400, 0x4dbf}, {0x4e00, 0xa48c}, {0xa4d0, 0xa4fd}, {0xa500, 0xa60c},
  {0xa610, 0xa61f}, {0xa62a, 0xa62b}, {0xa640, 0xa66e}, {0xa67f, 0xa69d}, {0xa6a0, 0xa6ef}, {0xa717, 0xa71f}, {0xa722, 0xa788}, {0xa78b, 0xa7ca},
  {0xa7d0, 0xa7d1}, {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d9}, {0xa7f2, 0xa801}, {0xa803, 0xa805}, {0xa807, 0xa80a}, {0xa80c, 0xa822}, {0xa840, 0xa873},
  {0xa882, 0xa8b3}, {0xa8f2, 0xa8f7}, {0xa8fb, 0xa8fb}, {0xa8fd, 0xa8fe}, {0xa90a, 0xa925}, {0xa930, 0xa946}, {0xa960, 0xa97c}, {0xa984, 0xa9b2},
  {0xa9cf, 0xa9cf}, {0xa9e0, 0xa9e4}, {0xa9e6, 0xa9ef}, {0xa9fa, 0xa9fe}, {0xaa00, 0xaa28}, {0xaa40, 0xaa42}, {0xaa44, 0xaa4b}, {0xaa60, 0xaa76},
  {0xaa7a, 0xaa7a}, {0xaa7e, 0xaaaf}, {0xaab1, 0xaab1}, {0xaab5, 0xaab6}, {0xaab9, 0xaabd}, {0xaac0, 0xaac0}, {0xaac2, 0xaac2}, {0xaadb, 0xaadd},
  {0xaae0, 0xaaea}, {0xaaf2, 0xaaf4}, {0xab01, 0xab06}, {0xab09, 0xab0e}, {0xab11, 0xab16}, {0xab20, 0xab26}, {0xab28, 0xab2e}, {0xab30, 0xab5a},
  {0xab5c, 0xab69}, {0xab70, 0xabe2}, {0xac00, 0xd7a3}, {0xd7b0, 0xd7c6}, {0xd7cb, 0xd7fb}, {0xf900, 0xfa6d}, {0xfa70, 0xfad9}, {0xfb00, 0xfb06},
  {0xfb13, 0xfb17}, {0xfb1d, 0xfb1d}, {0xfb1f, 0xfb28}, {0xfb2a, 0xfb36}, {0xfb38, 0xfb3c}, {0xfb3e, 0xfb3e}, {0xfb40, 0xfb41}, {0xfb43, 0xfb44},
  {0xfb46, 0xfbb1}, {0xfbd3, 0xfc5d}, {0xfc64, 0xfd3d}, {0xfd50, 0xfd8f}, {0xfd92, 0xfdc7}, {0xfdf0, 0xfdf9}, {0xfe71, 0xfe71}, {0xfe73, 0xfe73},
  {0xfe77, 0xfe77}, {0xfe79, 0xfe79}, {0xfe7b, 0xfe7b}, {0xfe7d, 0xfe7d}, {0xfe7f, 0xfefc}, {0xff21, 0xff3a}, {0xff41, 0xff5a}, {0xff66, 0xff9d},
  {0xffa0, 0xffbe}, {0xffc2, 0xffc7}, {0xffca, 0xffcf}, {0xffd2, 0xffd7}, {0xffda, 0xffdc}, {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a},
  {0x1003c, 0x1003d}, {0x1003f, 0x1004d}, {0x10050, 0x1005d}, {0x10080, 0x100fa}, {0x10140, 0x10174}, {0x10280, 0x1029c}, {0x102a0, 0x102d0}, {0x10300, 0x1031f},
  {0x1032d, 0x1034a}, {0x10350, 0x10375}, {0x10380, 0x1039d}, {0x103a0, 0x103c3}, {0x103c8, 0x103cf}, {0x103d1, 0x103d5}, {0x10400, 0x1049d}, {0x104b0, 0x104d3},
  {0x104d8, 0x104fb}, {0x10500, 0x10527}, {0x10530, 0x10563}, {0x10570, 0x1057a}, {0x1057c, 0x1058a}, {0x1058c, 0x10592}, {0x10594, 0x10595}, {0x10597, 0x105a1},
  {0x105a3, 0x105b1}, {0x105b3, 0x105b9}, {0x105bb, 0x105bc}, {0x10600, 0x10736}, {0x10740, 0x10755}, {0x10760, 0x10767}, {0x10780, 0x10785}, {0x10787, 0x107b0},
  {0x107b2, 0x107ba}, {0x10800, 0x10805}, {0x10808, 0x10808}, {0x1080a, 0x10835}, {0x10837, 0x10838}, {0x1083c, 0x1083c}, {0x1083f, 0x10855}, {0x10860, 0x10876},
  {0x10880, 0x1089e}, {0x108e0, 0x108f2}, {0x108f4, 0x108f5}, {0x10900, 0x10915}, {0x10920, 0x10939}, {0x10980, 0x109b7}, {0x109be, 0x109bf}, {0x10a00, 0x10a00},
  {0x10a10, 0x10a13}, {0x10a15, 0x10a17}, {0x10a19, 0x10a35}, {0x10a60, 0x10a7c}, {0x10a80, 0x10a9c}, {0x10ac0, 0x10ac7}, {0x10ac9, 0x10ae4}, {0x10b00, 0x10b35},
  {0x10b40, 0x10b55}, {0x10b60, 0x10b72}, {0x10b80, 0x10b91}, {0x10c00, 0x10c48}, {0x10c80, 0x10cb2}, {0x10cc0, 0x10cf2}, {0x10d00, 0x10d23}, {0x10e80, 0x10ea9},
  {0x10eb0, 0x10eb1}, {0x10f00, 0x10f1c}, {0x10f27, 0x10f27}, {0x10f30, 0x10f45}, {0x10f70, 0x10f81}, {0x10fb0, 0x10fc4}, {0x10fe0, 0x10ff6}, {0x11003, 0x11037},
  {0x11071, 0x11072}, {0x11075, 0x11075}, {0x11083, 0x110af}, {0x110d0, 0x110e8}, {0x11103, 0x11126}, {0x11144, 0x11144}, {0x11147, 0x11147}, {0x11150, 0x11172},
  {0x11176, 0x11176}, {0x11183, 0x111b2}, {0x111c1, 0x111c4}, {0x111da, 0x111da}, {0x111dc, 0x111dc}, {0x11200, 0x11211}, {0x11213, 0x1122b}, {0x11280, 0x11286},
  {0x11288, 0x11288}, {0x1128a, 0x1128d}, {0x1128f, 0x1129d}, {0x1129f, 0x112a8}, {0x112b0, 0x112de}, {0x11305, 0x1130c}, {0x1130f, 0x11310}, {0x11313, 0x11328},
  {0x1132a, 0x11330}, {0x11332, 0x11333}, {0x11335, 0x11339}, {0x1133d, 0x1133d}, {0x11350, 0x11350}, {0x1135d, 0x11361}, {0x11400, 0x11434}, {0x11447, 0x1144a},
  {0x1145f, 0x11461}, {0x11480, 0x114af}, {0x114c4, 0x114c5}, {0x114c7, 0x114c7}, {0x11580, 0x115ae}, {0x115d8, 0x115db}, {0x11600, 0x1162f}, {0x11644, 0x11644},
  {0x11680, 0x116aa}, {0x116b8, 0x116b8}, {0x11700, 0x1171a}, {0x11740, 0x11746}, {0x11800, 0x1182b}, {0x118a0, 0x118df}, {0x118ff, 0x11906}, {0x11909, 0x11909},
  {0x1190c, 0x11913}, {0x11915, 0x11916}, {0x11918, 0x1192f}, {0x1193f, 0x1193f}, {0x11941, 0x11941}, {0x119a0, 0x119a7}, {0x119aa, 0x119d0}, {0x119e1, 0x119e1},
  {0x119e3, 0x119e3}, {0x11a00, 0x11a00}, {0x11a0b, 0x11a32}, {0x11a3a, 0x11a3a}, {0x11a50, 0x11a50}, {0x11a5c, 0x11a89}, {0x11a9d, 0x11a9d}, {0x11ab0, 0x11af8},
  {0x11c00, 0x11c08}, {0x11c0a, 0x11c2e}, {0x11c40, 0x11c40}, {0x11c72, 0x11c8f}, {0x11d00, 0x11d06}, {0x11d08, 0x11d09}, {0x11d0b, 0x11d30}, {0x11d46, 0x11d46},
  {0x11d60, 0x11d65}, {0x11d67, 0x11d68}, {0x11d6a, 0x11d89}, {0x11d98, 0x11d98}, {0x11ee0, 0x11ef2}, {0x11fb0, 0x11fb0}, {0x12000, 0x12399}, {0x12400, 0x1246e},
  {0x12480, 0x12543}, {0x12f90, 0x12ff0}, {0x13000, 0x1342e}, {0x14400, 0x14646}, {0x16800, 0x16a38}, {0x16a40, 0x16a5e}, {0x16a70, 0x16abe}, {0x16ad0, 0x16aed},
  {0x16b00, 0x16b2f}, {0x16b40, 0x16b43}, {0x16b63, 0x16b77}, {0x16b7d, 0x16b8f}, {0x16e40, 0x16e7f}, {0x16f00, 0x16f4a}, {0x16f50, 0x16f50}, {0x16f93, 0x16f9f},
  {0x16fe0, 0x16fe1}, {0x16fe3, 0x16fe3}, {0x17000, 0x187f7}, {0x18800, 0x18cd5}, {0x18d00, 0x18d08}, {0x1aff0, 0x1aff3}, {0x1aff5, 0x1affb}, {0x1affd, 0x1affe},
  {0x1b000, 0x1b122}, {0x1b150, 0x1b152}, {0x1b164, 0x1b167}, {0x1b170, 0x1b2fb}, {0x1bc00, 0x1bc6a}, {0x1bc70, 0x1bc7c}, {0x1bc80, 0x1bc88}, {0x1bc90, 0x1bc99},
  {0x1d400, 0x1d454}, {0x1d456, 0x1d49c}, {0x1d49e, 0x1d49f}, {0x1d4a2, 0x1d4a2}, {0x1d4a5, 0x1d4a6}, {0x1d4a9, 0x1d4ac}, {0x1d4ae, 0x1d4b9}, {0x1d4bb, 0x1d4bb},
  {0x1d4bd, 0x1d4c3}, {0x1d4c5, 0x1d505}, {0x1d507, 0x1d50a}, {0x1d50d, 0x1d514}, {0x1d516, 0x1d51c}, {0x1d51e, 0x1d539}, {0x1d53b, 0x1d53e}, {0x1d540, 0x1d544},
  {0x1d546, 0x1d546}, {0x1d54a, 0x1d550}, {0x1d552, 0x1d6a5}, {0x1d6a8, 0x1d6c0}, {0x1d6c2, 0x1d6da}, {0x1d6dc, 0x1d6fa}, {0x1d6fc, 0x1d714}, {0x1d716, 0x1d734},
  {0x1d736, 0x1d74e}, {0x1d750, 0x1d76e}, {0x1d770, 0x1d788}, {0x1d78a, 0x1d7a8}, {0x1d7aa, 0x1d7c2}, {0x1d7c4, 0x1d7cb}, {0x1df00, 0x1df1e}, {0x1e100, 0x1e12c},
  {0x1e137, 0x1e13d}, {0x1e14e, 0x1e14e}, {0x1e290, 0x1e2ad}, {0x1e2c0, 0x1e2eb}, {0x1e7e0, 0x1e7e6}, {0x1e7e8, 0x1e7eb}, {0x1e7ed, 0x1e7ee}, {0x1e7f0, 0x1e7fe},
  {0x1e800, 0x1e8c4}, {0x1e900, 0x1e943}, {0x1e94b, 0x1e94b}, {0x1ee00, 0x1ee03}, {0x1ee05, 0x1ee1f}, {0x1ee21, 0x1ee22}, {0x1ee24, 0x1ee24}, {0x1ee27, 0x1ee27},
  {0x1ee29, 0x1ee32}, {0x1ee34, 0x1ee37}, {0x1ee39, 0x1ee39}, {0x1ee3b, 0x1ee3b}, {0x1ee42, 0x1ee42}, {0x1ee47, 0x1ee47}, {0x1ee49, 0x1ee49}, {0x1ee4b, 0x1ee4b},
  {0x1ee4d, 0x1ee4f}, {0x1ee51, 0x1ee52}, {0x1ee54, 0x1ee54}, {0x1ee57, 0x1ee57}, {0x1ee59, 0x1ee59}, {0x1ee5b, 0x1ee5b}, {0x1ee5d, 0x1ee5d}, {0x1ee5f, 0x1ee5f},
  {0x1ee61, 0x1ee62}, {0x1ee64, 0x1ee64}, {0x1ee67, 0x1ee6a}, {0x1ee6c, 0x1ee72}, {0x1ee74, 0x1ee77}, {0x1ee79, 0x1ee7c}, {0x1ee7e, 0x1ee7e}, {0x1ee80, 0x1ee89},
  {0x1ee8b, 0x1ee9b}, {0x1eea1, 0x1eea3}, {0x1eea5, 0x1eea9}, {0x1eeab, 0x1eebb}, {0x1f004, 0x1f004}, {0x1f0cf, 0x1f0cf}, {0x1f170, 0x1f171}, {0x1f17e, 0x1f17f},
  {0x1f18e, 0x1f18e}, {0x1f191, 0x1f19a}, {0x1f1e6, 0x1f1ff}, {0x1f201, 0x1f202}, {0x1f21a, 0x1f21a}, {0x1f22f, 0x1f22f}, {0x1f232, 0x1f23a}, {0x1f250, 0x1f251},
  {0x1f300, 0x1f321}, {0x1f324, 0x1f393}, {0x1f396, 0x1f397}, {0x1f399, 0x1f39b}, {0x1f39e, 0x1f3f0}, {0x1f3f3, 0x1f3f5}, {0x1f3f7, 0x1f4fd}, {0x1f4ff, 0x1f53d},
  {0x1f549, 0x1f54e}, {0x1f550, 0x1f567}, {0x1f56f, 0x1f570}, {0x1f573, 0x1f57a}, {0x1f587, 0x1f587}, {0x1f58a, 0x1f58d}, {0x1f590, 0x1f590}, {0x1f595, 0x1f596},
  {0x1f5a4, 0x1f5a5}, {0x1f5a8, 0x1f5a8}, {0x1f5b1, 0x1f5b2}, {0x1f5bc, 0x1f5bc}, {0x1f5c2, 0x1f5c4}, {0x1f5d1, 0x1f5d3}, {0x1f5dc, 0x1f5de}, {0x1f5e1, 0x1f5e1},
  {0x1f5e3, 0x1f5e3}, {0x1f5e8, 0x1f5e8}, {0x1f5ef, 0x1f5ef}, {0x1f5f3, 0x1f5f3}, {0x1f5fa, 0x1f64f}, {0x1f680, 0x1f6c5}, {0x1f6cb, 0x1f6d2}, {0x1f6d5, 0x1f6d7},
  {0x1f6dd, 0x1f6e5}, {0x1f6e9, 0x1f6e9}, {0x1f6eb, 0x1f6ec}, {0x1f6f0, 0x1f6f0}, {0x1f6f3, 0x1f6fc}, {0x1f7e0, 0x1f7eb}, {0x1f7f0, 0x1f7f0}, {0x1f90c, 0x1f93a},
  {0x1f93c, 0x1f945}, {0x1f947, 0x1f9ff}, {0x1fa70, 0x1fa74}, {0x1fa78, 0x1fa7c}, {0x1fa80, 0x1fa86}, {0x1fa90, 0x1faac}, {0x1fab0, 0x1faba}, {0x1fac0, 0x1fac5},
  {0x1fad0, 0x1fad9}, {0x1fae0, 0x1fae7}, {0x1faf0, 0x1faf6}, {0x20000, 0x2a6df}, {0x2a700, 0x2b738}, {0x2b740, 0x2b81d}, {0x2b820, 0x2cea1}, {0x2ceb0, 0x2ebe0},
  {0x2f800, 0x2fa1d}, {0x30000, 0x3134a},
};

static TSCharacterRange aux_sym_simple_identifier_token1_character_set_2[] = {
  {'#', '#'}, {'*', '*'}, {'0', '9'}, {'A', 'Z'}, {'_', '_'}, {'a', 'z'}, {0xa9, 0xaa}, {0xae, 0xae},
  {0xb5, 0xb5}, {0xb7, 0xb7}, {0xba, 0xba}, {0xc0, 0xd6}, {0xd8, 0xf6}, {0xf8, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4},
  {0x2ec, 0x2ec}, {0x2ee, 0x2ee}, {0x300, 0x374}, {0x376, 0x377}, {0x37b, 0x37d}, {0x37f, 0x37f}, {0x386, 0x38a}, {0x38c, 0x38c},
  {0x38e, 0x3a1}, {0x3a3, 0x3f5}, {0x3f7, 0x481}, {0x483, 0x487}, {0x48a, 0x52f}, {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588},
  {0x591, 0x5bd}, {0x5bf, 0x5bf}, {0x5c1, 0x5c2}, {0x5c4, 0x5c5}, {0x5c7, 0x5c7}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x610, 0x61a},
  {0x620, 0x669}, {0x66e, 0x6d3}, {0x6d5, 0x6dc}, {0x6df, 0x6e8}, {0x6ea, 0x6fc}, {0x6ff, 0x6ff}, {0x710, 0x74a}, {0x74d, 0x7b1},
  {0x7c0, 0x7f5}, {0x7fa, 0x7fa}, {0x7fd, 0x7fd}, {0x800, 0x82d}, {0x840, 0x85b}, {0x860, 0x86a}, {0x870, 0x887}, {0x889, 0x88e},
  {0x898, 0x8e1}, {0x8e3, 0x963}, {0x966, 0x96f}, {0x971, 0x983}, {0x985, 0x98c}, {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0},
  {0x9b2, 0x9b2}, {0x9b6, 0x9b9}, {0x9bc, 0x9c4}, {0x9c7, 0x9c8}, {0x9cb, 0x9ce}, {0x9d7, 0x9d7}, {0x9dc, 0x9dd}, {0x9df, 0x9e3},
  {0x9e6, 0x9f1}, {0x9fc, 0x9fc}, {0x9fe, 0x9fe}, {0xa01, 0xa03}, {0xa05, 0xa0a}, {0xa0f, 0xa10}, {0xa13, 0xa28}, {0xa2a, 0xa30},
  {0xa32, 0xa33}, {0xa35, 0xa36}, {0xa38, 0xa39}, {0xa3c, 0xa3c}, {0xa3e, 0xa42}, {0xa47, 0xa48}, {0xa4b, 0xa4d}, {0xa51, 0xa51},
  {0xa59, 0xa5c}, {0xa5e, 0xa5e}, {0xa66, 0xa75}, {0xa81, 0xa83}, {0xa85, 0xa8d}, {0xa8f, 0xa91}, {0xa93, 0xaa8}, {0xaaa, 0xab0},
  {0xab2, 0xab3}, {0xab5, 0xab9}, {0xabc, 0xac5}, {0xac7, 0xac9}, {0xacb, 0xacd}, {0xad0, 0xad0}, {0xae0, 0xae3}, {0xae6, 0xaef},
  {0xaf9, 0xaff}, {0xb01, 0xb03}, {0xb05, 0xb0c}, {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30}, {0xb32, 0xb33}, {0xb35, 0xb39},
  {0xb3c, 0xb44}, {0xb47, 0xb48}, {0xb4b, 0xb4d}, {0xb55, 0xb57}, {0xb5c, 0xb5d}, {0xb5f, 0xb63}, {0xb66, 0xb6f}, {0xb71, 0xb71},
  {0xb82, 0xb83}, {0xb85, 0xb8a}, {0xb8e, 0xb90}, {0xb92, 0xb95}, {0xb99, 0xb9a}, {0xb9c, 0xb9c}, {0xb9e, 0xb9f}, {0xba3, 0xba4},
  {0xba8, 0xbaa}, {0xbae, 0xbb9}, {0xbbe, 0xbc2}, {0xbc6, 0xbc8}, {0xbca, 0xbcd}, {0xbd0, 0xbd0}, {0xbd7, 0xbd7}, {0xbe6, 0xbef},
  {0xc00, 0xc0c}, {0xc0e, 0xc10}, {0xc12, 0xc28}, {0xc2a, 0xc39}, {0xc3c, 0xc44}, {0xc46, 0xc48}, {0xc4a, 0xc4d}, {0xc55, 0xc56},
  {0xc58, 0xc5a}, {0xc5d, 0xc5d}, {0xc60, 0xc63}, {0xc66, 0xc6f}, {0xc80, 0xc83}, {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8},
  {0xcaa, 0xcb3}, {0xcb5, 0xcb9}, {0xcbc, 0xcc4}, {0xcc6, 0xcc8}, {0xcca, 0xccd}, {0xcd5, 0xcd6}, {0xcdd, 0xcde}, {0xce0, 0xce3},
  {0xce6, 0xcef}, {0xcf1, 0xcf2}, {0xd00, 0xd0c}, {0xd0e, 0xd10}, {0xd12, 0xd44}, {0xd46, 0xd48}, {0xd4a, 0xd4e}, {0xd54, 0xd57},
  {0xd5f, 0xd63}, {0xd66, 0xd6f}, {0xd7a, 0xd7f}, {0xd81, 0xd83}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd},
  {0xdc0, 0xdc6}, {0xdca, 0xdca}, {0xdcf, 0xdd4}, {0xdd6, 0xdd6}, {0xdd8, 0xddf}, {0xde6, 0xdef}, {0xdf2, 0xdf3}, {0xe01, 0xe3a},
  {0xe40, 0xe4e}, {0xe50, 0xe59}, {0xe81, 0xe82}, {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5}, {0xea7, 0xebd},
  {0xec0, 0xec4}, {0xec6, 0xec6}, {0xec8, 0xecd}, {0xed0, 0xed9}, {0xedc, 0xedf}, {0xf00, 0xf00}, {0xf18, 0xf19}, {0xf20, 0xf29},
  {0xf35, 0xf35}, {0xf37, 0xf37}, {0xf39, 0xf39}, {0xf3e, 0xf47}, {0xf49, 0xf6c}, {0xf71, 0xf84}, {0xf86, 0xf97}, {0xf99, 0xfbc},
  {0xfc6, 0xfc6}, {0x1000, 0x1049}, {0x1050, 0x109d}, {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248},
  {0x124a, 0x124d}, {0x1250, 0x1256}, {0x1258, 0x1258}, {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5},
  {0x12b8, 0x12be}, {0x12c0, 0x12c0}, {0x12c2, 0x12c5}, {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x135d, 0x135f},
  {0x1369, 0x1371}, {0x1380, 0x138f}, {0x13a0, 0x13f5}, {0x13f8, 0x13fd}, {0x1401, 0x166c}, {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea},
  {0x16ee, 0x16f8}, {0x1700, 0x1715}, {0x171f, 0x1734}, {0x1740, 0x1753}, {0x1760, 0x176c}, {0x176e, 0x1770}, {0x1772, 0x1773}, {0x1780, 0x17d3},
  {0x17d7, 0x17d7}, {0x17dc, 0x17dd}, {0x17e0, 0x17e9}, {0x180b, 0x180d}, {0x180f, 0x1819}, {0x1820, 0x1878}, {0x1880, 0x18aa}, {0x18b0, 0x18f5},
  {0x1900, 0x191e}, {0x1920, 0x192b}, {0x1930, 0x193b}, {0x1946, 0x196d}, {0x1970, 0x1974}, {0x1980, 0x19ab}, {0x19b0, 0x19c9}, {0x19d0, 0x19da},
  {0x1a00, 0x1a1b}, {0x1a20, 0x1a5e}, {0x1a60, 0x1a7c}, {0x1a7f, 0x1a89}, {0x1a90, 0x1a99}, {0x1aa7, 0x1aa7}, {0x1ab0, 0x1abd}, {0x1abf, 0x1ace},
  {0x1b00, 0x1b4c}, {0x1b50, 0x1b59}, {0x1b6b, 0x1b73}, {0x1b80, 0x1bf3}, {0x1c00, 0x1c37}, {0x1c40, 0x1c49}, {0x1c4d, 0x1c7d}, {0x1c80, 0x1c88},
  {0x1c90, 0x1cba}, {0x1cbd, 0x1cbf}, {0x1cd0, 0x1cd2}, {0x1cd4, 0x1cfa}, {0x1d00, 0x1f15}, {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d},
  {0x1f50, 0x1f57}, {0x1f59, 0x1f59}, {0x1f5b, 0x1f5b}, {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d}, {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe},
  {0x1fc2, 0x1fc4}, {0x1fc6, 0x1fcc}, {0x1fd0, 0x1fd3}, {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x200d, 0x200d},
  {0x203c, 0x203c}, {0x203f, 0x2040}, {0x2049, 0x2049}, {0x2054, 0x2054}, {0x2071, 0x2071}, {0x207f, 0x207f}, {0x2090, 0x209c}, {0x20d0, 0x20dc},
  {0x20e1, 0x20e1}, {0x20e5, 0x20f0}, {0x2102, 0x2102}, {0x2107, 0x2107}, {0x210a, 0x2113}, {0x2115, 0x2115}, {0x2118, 0x211d}, {0x2122, 0x2122},
  {0x2124, 0x2124}, {0x2126, 0x2126}, {0x2128, 0x2128}, {0x212a, 0x2139}, {0x213c, 0x213f}, {0x2145, 0x2149}, {0x214e, 0x214e}, {0x2160, 0x2188},
  {0x2194, 0x2199}, {0x21a9, 0x21aa}, {0x231a, 0x231b}, {0x2328, 0x2328}, {0x23cf, 0x23cf}, {0x23e9, 0x23f3}, {0x23f8, 0x23fa}, {0x24c2, 0x24c2},
  {0x25aa, 0x25ab}, {0x25b6, 0x25b6}, {0x25c0, 0x25c0}, {0x25fb, 0x25fe}, {0x2600, 0x2604}, {0x260e, 0x260e}, {0x2611, 0x2611}, {0x2614, 0x2615},
  {0x2618, 0x2618}, {0x261d, 0x261d}, {0x2620, 0x2620}, {0x2622, 0x2623}, {0x2626, 0x2626}, {0x262a, 0x262a}, {0x262e, 0x262f}, {0x2638, 0x263a},
  {0x2640, 0x2640}, {0x2642, 0x2642}, {0x2648, 0x2653}, {0x265f, 0x2660}, {0x2663, 0x2663}, {0x2665, 0x2666}, {0x2668, 0x2668}, {0x267b, 0x267b},
  {0x267e, 0x267f}, {0x2692, 0x2697}, {0x2699, 0x2699}, {0x269b, 0x269c}, {0x26a0, 0x26a1}, {0x26a7, 0x26a7}, {0x26aa, 0x26ab}, {0x26b0, 0x26b1},
  {0x26bd, 0x26be}, {0x26c4, 0x26c5}, {0x26c8, 0x26c8}, {0x26ce, 0x26cf}, {0x26d1, 0x26d1}, {0x26d3, 0x26d4}, {0x26e9, 0x26ea}, {0x26f0, 0x26f5},
  {0x26f7, 0x26fa}, {0x26fd, 0x26fd}, {0x2702, 0x2702}, {0x2705, 0x2705}, {0x2708, 0x270d}, {0x270f, 0x270f}, {0x2712, 0x2712}, {0x2714, 0x2714},
  {0x2716, 0x2716}, {0x271d, 0x271d}, {0x2721, 0x2721}, {0x2728, 0x2728}, {0x2733, 0x2734}, {0x2744, 0x2744}, {0x2747, 0x2747}, {0x274c, 0x274c},
  {0x274e, 0x274e}, {0x2753, 0x2755}, {0x2757, 0x2757}, {0x2763, 0x2764}, {0x2795, 0x2797}, {0x27a1, 0x27a1}, {0x27b0, 0x27b0}, {0x27bf, 0x27bf},
  {0x2934, 0x2935}, {0x2b05, 0x2b07}, {0x2b1b, 0x2b1c}, {0x2b50, 0x2b50}, {0x2b55, 0x2b55}, {0x2c00, 0x2ce4}, {0x2ceb, 0x2cf3}, {0x2d00, 0x2d25},
  {0x2d27, 0x2d27}, {0x2d2d, 0x2d2d}, {0x2d30, 0x2d67}, {0x2d6f, 0x2d6f}, {0x2d7f, 0x2d96}, {0x2da0, 0x2da6}, {0x2da8, 0x2dae}, {0x2db0, 0x2db6},
  {0x2db8, 0x2dbe}, {0x2dc0, 0x2dc6}, {0x2dc8, 0x2dce}, {0x2dd0, 0x2dd6}, {0x2dd8, 0x2dde}, {0x2de0, 0x2dff}, {0x3005, 0x3007}, {0x3021, 0x3035},
  {0x3038, 0x303d}, {0x3041, 0x3096}, {0x3099, 0x309a}, {0x309d, 0x309f}, {0x30a1, 0x30fa}, {0x30fc, 0x30ff}, {0x3105, 0x312f}, {0x3131, 0x318e},
  {0x31a0, 0x31bf}, {0x31f0, 0x31ff}, {0x3297, 0x3297}, {0x3299, 0x3299}, {0x3400, 0x4dbf}, {0x4e00, 0xa48c}, {0xa4d0, 0xa4fd}, {0xa500, 0xa60c},
  {0xa610, 0xa62b}, {0xa640, 0xa66f}, {0xa674, 0xa67d}, {0xa67f, 0xa6f1}, {0xa717, 0xa71f}, {0xa722, 0xa788}, {0xa78b, 0xa7ca}, {0xa7d0, 0xa7d1},
  {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d9}, {0xa7f2, 0xa827}, {0xa82c, 0xa82c}, {0xa840, 0xa873}, {0xa880, 0xa8c5}, {0xa8d0, 0xa8d9}, {0xa8e0, 0xa8f7},
  {0xa8fb, 0xa8fb}, {0xa8fd, 0xa92d}, {0xa930, 0xa953}, {0xa960, 0xa97c}, {0xa980, 0xa9c0}, {0xa9cf, 0xa9d9}, {0xa9e0, 0xa9fe}, {0xaa00, 0xaa36},
  {0xaa40, 0xaa4d}, {0xaa50, 0xaa59}, {0xaa60, 0xaa76}, {0xaa7a, 0xaac2}, {0xaadb, 0xaadd}, {0xaae0, 0xaaef}, {0xaaf2, 0xaaf6}, {0xab01, 0xab06},
  {0xab09, 0xab0e}, {0xab11, 0xab16}, {0xab20, 0xab26}, {0xab28, 0xab2e}, {0xab30, 0xab5a}, {0xab5c, 0xab69}, {0xab70, 0xabea}, {0xabec, 0xabed},
  {0xabf0, 0xabf9}, {0xac00, 0xd7a3}, {0xd7b0, 0xd7c6}, {0xd7cb, 0xd7fb}, {0xf900, 0xfa6d}, {0xfa70, 0xfad9}, {0xfb00, 0xfb06}, {0xfb13, 0xfb17},
  {0xfb1d, 0xfb28}, {0xfb2a, 0xfb36}, {0xfb38, 0xfb3c}, {0xfb3e, 0xfb3e}, {0xfb40, 0xfb41}, {0xfb43, 0xfb44}, {0xfb46, 0xfbb1}, {0xfbd3, 0xfc5d},
  {0xfc64, 0xfd3d}, {0xfd50, 0xfd8f}, {0xfd92, 0xfdc7}, {0xfdf0, 0xfdf9}, {0xfe00, 0xfe0f}, {0xfe20, 0xfe2f}, {0xfe33, 0xfe34}, {0xfe4d, 0xfe4f},
  {0xfe71, 0xfe71}, {0xfe73, 0xfe73}, {0xfe77, 0xfe77}, {0xfe79, 0xfe79}, {0xfe7b, 0xfe7b}, {0xfe7d, 0xfe7d}, {0xfe7f, 0xfefc}, {0xff10, 0xff19},
  {0xff21, 0xff3a}, {0xff3f, 0xff3f}, {0xff41, 0xff5a}, {0xff66, 0xffbe}, {0xffc2, 0xffc7}, {0xffca, 0xffcf}, {0xffd2, 0xffd7}, {0xffda, 0xffdc},
  {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a}, {0x1003c, 0x1003d}, {0x1003f, 0x1004d}, {0x10050, 0x1005d}, {0x10080, 0x100fa}, {0x10140, 0x10174},
  {0x101fd, 0x101fd}, {0x10280, 0x1029c}, {0x102a0, 0x102d0}, {0x102e0, 0x102e0}, {0x10300, 0x1031f}, {0x1032d, 0x1034a}, {0x10350, 0x1037a}, {0x10380, 0x1039d},
  {0x103a0, 0x103c3}, {0x103c8, 0x103cf}, {0x103d1, 0x103d5}, {0x10400, 0x1049d}, {0x104a0, 0x104a9}, {0x104b0, 0x104d3}, {0x104d8, 0x104fb}, {0x10500, 0x10527},
  {0x10530, 0x10563}, {0x10570, 0x1057a}, {0x1057c, 0x1058a}, {0x1058c, 0x10592}, {0x10594, 0x10595}, {0x10597, 0x105a1}, {0x105a3, 0x105b1}, {0x105b3, 0x105b9},
  {0x105bb, 0x105bc}, {0x10600, 0x10736}, {0x10740, 0x10755}, {0x10760, 0x10767}, {0x10780, 0x10785}, {0x10787, 0x107b0}, {0x107b2, 0x107ba}, {0x10800, 0x10805},
  {0x10808, 0x10808}, {0x1080a, 0x10835}, {0x10837, 0x10838}, {0x1083c, 0x1083c}, {0x1083f, 0x10855}, {0x10860, 0x10876}, {0x10880, 0x1089e}, {0x108e0, 0x108f2},
  {0x108f4, 0x108f5}, {0x10900, 0x10915}, {0x10920, 0x10939}, {0x10980, 0x109b7}, {0x109be, 0x109bf}, {0x10a00, 0x10a03}, {0x10a05, 0x10a06}, {0x10a0c, 0x10a13},
  {0x10a15, 0x10a17}, {0x10a19, 0x10a35}, {0x10a38, 0x10a3a}, {0x10a3f, 0x10a3f}, {0x10a60, 0x10a7c}, {0x10a80, 0x10a9c}, {0x10ac0, 0x10ac7}, {0x10ac9, 0x10ae6},
  {0x10b00, 0x10b35}, {0x10b40, 0x10b55}, {0x10b60, 0x10b72}, {0x10b80, 0x10b91}, {0x10c00, 0x10c48}, {0x10c80, 0x10cb2}, {0x10cc0, 0x10cf2}, {0x10d00, 0x10d27},
  {0x10d30, 0x10d39}, {0x10e80, 0x10ea9}, {0x10eab, 0x10eac}, {0x10eb0, 0x10eb1}, {0x10f00, 0x10f1c}, {0x10f27, 0x10f27}, {0x10f30, 0x10f50}, {0x10f70, 0x10f85},
  {0x10fb0, 0x10fc4}, {0x10fe0, 0x10ff6}, {0x11000, 0x11046}, {0x11066, 0x11075}, {0x1107f, 0x110ba}, {0x110c2, 0x110c2}, {0x110d0, 0x110e8}, {0x110f0, 0x110f9},
  {0x11100, 0x11134}, {0x11136, 0x1113f}, {0x11144, 0x11147}, {0x11150, 0x11173}, {0x11176, 0x11176}, {0x11180, 0x111c4}, {0x111c9, 0x111cc}, {0x111ce, 0x111da},
  {0x111dc, 0x111dc}, {0x11200, 0x11211}, {0x11213, 0x11237}, {0x1123e, 0x1123e}, {0x11280, 0x11286}, {0x11288, 0x11288}, {0x1128a, 0x1128d}, {0x1128f, 0x1129d},
  {0x1129f, 0x112a8}, {0x112b0, 0x112ea}, {0x112f0, 0x112f9}, {0x11300, 0x11303}, {0x11305, 0x1130c}, {0x1130f, 0x11310}, {0x11313, 0x11328}, {0x1132a, 0x11330},
  {0x11332, 0x11333}, {0x11335, 0x11339}, {0x1133b, 0x11344}, {0x11347, 0x11348}, {0x1134b, 0x1134d}, {0x11350, 0x11350}, {0x11357, 0x11357}, {0x1135d, 0x11363},
  {0x11366, 0x1136c}, {0x11370, 0x11374}, {0x11400, 0x1144a}, {0x11450, 0x11459}, {0x1145e, 0x11461}, {0x11480, 0x114c5}, {0x114c7, 0x114c7}, {0x114d0, 0x114d9},
  {0x11580, 0x115b5}, {0x115b8, 0x115c0}, {0x115d8, 0x115dd}, {0x11600, 0x11640}, {0x11644, 0x11644}, {0x11650, 0x11659}, {0x11680, 0x116b8}, {0x116c0, 0x116c9},
  {0x11700, 0x1171a}, {0x1171d, 0x1172b}, {0x11730, 0x11739}, {0x11740, 0x11746}, {0x11800, 0x1183a}, {0x118a0, 0x118e9}, {0x118ff, 0x11906}, {0x11909, 0x11909},
  {0x1190c, 0x11913}, {0x11915, 0x11916}, {0x11918, 0x11935}, {0x11937, 0x11938}, {0x1193b, 0x11943}, {0x11950, 0x11959}, {0x119a0, 0x119a7}, {0x119aa, 0x119d7},
  {0x119da, 0x119e1}, {0x119e3, 0x119e4}, {0x11a00, 0x11a3e}, {0x11a47, 0x11a47}, {0x11a50, 0x11a99}, {0x11a9d, 0x11a9d}, {0x11ab0, 0x11af8}, {0x11c00, 0x11c08},
  {0x11c0a, 0x11c36}, {0x11c38, 0x11c40}, {0x11c50, 0x11c59}, {0x11c72, 0x11c8f}, {0x11c92, 0x11ca7}, {0x11ca9, 0x11cb6}, {0x11d00, 0x11d06}, {0x11d08, 0x11d09},
  {0x11d0b, 0x11d36}, {0x11d3a, 0x11d3a}, {0x11d3c, 0x11d3d}, {0x11d3f, 0x11d47}, {0x11d50, 0x11d59}, {0x11d60, 0x11d65}, {0x11d67, 0x11d68}, {0x11d6a, 0x11d8e},
  {0x11d90, 0x11d91}, {0x11d93, 0x11d98}, {0x11da0, 0x11da9}, {0x11ee0, 0x11ef6}, {0x11fb0, 0x11fb0}, {0x12000, 0x12399}, {0x12400, 0x1246e}, {0x12480, 0x12543},
  {0x12f90, 0x12ff0}, {0x13000, 0x1342e}, {0x14400, 0x14646}, {0x16800, 0x16a38}, {0x16a40, 0x16a5e}, {0x16a60, 0x16a69}, {0x16a70, 0x16abe}, {0x16ac0, 0x16ac9},
  {0x16ad0, 0x16aed}, {0x16af0, 0x16af4}, {0x16b00, 0x16b36}, {0x16b40, 0x16b43}, {0x16b50, 0x16b59}, {0x16b63, 0x16b77}, {0x16b7d, 0x16b8f}, {0x16e40, 0x16e7f},
  {0x16f00, 0x16f4a}, {0x16f4f, 0x16f87}, {0x16f8f, 0x16f9f}, {0x16fe0, 0x16fe1}, {0x16fe3, 0x16fe4}, {0x16ff0, 0x16ff1}, {0x17000, 0x187f7}, {0x18800, 0x18cd5},
  {0x18d00, 0x18d08}, {0x1aff0, 0x1aff3}, {0x1aff5, 0x1affb}, {0x1affd, 0x1affe}, {0x1b000, 0x1b122}, {0x1b150, 0x1b152}, {0x1b164, 0x1b167}, {0x1b170, 0x1b2fb},
  {0x1bc00, 0x1bc6a}, {0x1bc70, 0x1bc7c}, {0x1bc80, 0x1bc88}, {0x1bc90, 0x1bc99}, {0x1bc9d, 0x1bc9e}, {0x1cf00, 0x1cf2d}, {0x1cf30, 0x1cf46}, {0x1d165, 0x1d169},
  {0x1d16d, 0x1d172}, {0x1d17b, 0x1d182}, {0x1d185, 0x1d18b}, {0x1d1aa, 0x1d1ad}, {0x1d242, 0x1d244}, {0x1d400, 0x1d454}, {0x1d456, 0x1d49c}, {0x1d49e, 0x1d49f},
  {0x1d4a2, 0x1d4a2}, {0x1d4a5, 0x1d4a6}, {0x1d4a9, 0x1d4ac}, {0x1d4ae, 0x1d4b9}, {0x1d4bb, 0x1d4bb}, {0x1d4bd, 0x1d4c3}, {0x1d4c5, 0x1d505}, {0x1d507, 0x1d50a},
  {0x1d50d, 0x1d514}, {0x1d516, 0x1d51c}, {0x1d51e, 0x1d539}, {0x1d53b, 0x1d53e}, {0x1d540, 0x1d544}, {0x1d546, 0x1d546}, {0x1d54a, 0x1d550}, {0x1d552, 0x1d6a5},
  {0x1d6a8, 0x1d6c0}, {0x1d6c2, 0x1d6da}, {0x1d6dc, 0x1d6fa}, {0x1d6fc, 0x1d714}, {0x1d716, 0x1d734}, {0x1d736, 0x1d74e}, {0x1d750, 0x1d76e}, {0x1d770, 0x1d788},
  {0x1d78a, 0x1d7a8}, {0x1d7aa, 0x1d7c2}, {0x1d7c4, 0x1d7cb}, {0x1d7ce, 0x1d7ff}, {0x1da00, 0x1da36}, {0x1da3b, 0x1da6c}, {0x1da75, 0x1da75}, {0x1da84, 0x1da84},
  {0x1da9b, 0x1da9f}, {0x1daa1, 0x1daaf}, {0x1df00, 0x1df1e}, {0x1e000, 0x1e006}, {0x1e008, 0x1e018}, {0x1e01b, 0x1e021}, {0x1e023, 0x1e024}, {0x1e026, 0x1e02a},
  {0x1e100, 0x1e12c}, {0x1e130, 0x1e13d}, {0x1e140, 0x1e149}, {0x1e14e, 0x1e14e}, {0x1e290, 0x1e2ae}, {0x1e2c0, 0x1e2f9}, {0x1e7e0, 0x1e7e6}, {0x1e7e8, 0x1e7eb},
  {0x1e7ed, 0x1e7ee}, {0x1e7f0, 0x1e7fe}, {0x1e800, 0x1e8c4}, {0x1e8d0, 0x1e8d6}, {0x1e900, 0x1e94b}, {0x1e950, 0x1e959}, {0x1ee00, 0x1ee03}, {0x1ee05, 0x1ee1f},
  {0x1ee21, 0x1ee22}, {0x1ee24, 0x1ee24}, {0x1ee27, 0x1ee27}, {0x1ee29, 0x1ee32}, {0x1ee34, 0x1ee37}, {0x1ee39, 0x1ee39}, {0x1ee3b, 0x1ee3b}, {0x1ee42, 0x1ee42},
  {0x1ee47, 0x1ee47}, {0x1ee49, 0x1ee49}, {0x1ee4b, 0x1ee4b}, {0x1ee4d, 0x1ee4f}, {0x1ee51, 0x1ee52}, {0x1ee54, 0x1ee54}, {0x1ee57, 0x1ee57}, {0x1ee59, 0x1ee59},
  {0x1ee5b, 0x1ee5b}, {0x1ee5d, 0x1ee5d}, {0x1ee5f, 0x1ee5f}, {0x1ee61, 0x1ee62}, {0x1ee64, 0x1ee64}, {0x1ee67, 0x1ee6a}, {0x1ee6c, 0x1ee72}, {0x1ee74, 0x1ee77},
  {0x1ee79, 0x1ee7c}, {0x1ee7e, 0x1ee7e}, {0x1ee80, 0x1ee89}, {0x1ee8b, 0x1ee9b}, {0x1eea1, 0x1eea3}, {0x1eea5, 0x1eea9}, {0x1eeab, 0x1eebb}, {0x1f004, 0x1f004},
  {0x1f0cf, 0x1f0cf}, {0x1f170, 0x1f171}, {0x1f17e, 0x1f17f}, {0x1f18e, 0x1f18e}, {0x1f191, 0x1f19a}, {0x1f1e6, 0x1f1ff}, {0x1f201, 0x1f202}, {0x1f21a, 0x1f21a},
  {0x1f22f, 0x1f22f}, {0x1f232, 0x1f23a}, {0x1f250, 0x1f251}, {0x1f300, 0x1f321}, {0x1f324, 0x1f393}, {0x1f396, 0x1f397}, {0x1f399, 0x1f39b}, {0x1f39e, 0x1f3f0},
  {0x1f3f3, 0x1f3f5}, {0x1f3f7, 0x1f4fd}, {0x1f4ff, 0x1f53d}, {0x1f549, 0x1f54e}, {0x1f550, 0x1f567}, {0x1f56f, 0x1f570}, {0x1f573, 0x1f57a}, {0x1f587, 0x1f587},
  {0x1f58a, 0x1f58d}, {0x1f590, 0x1f590}, {0x1f595, 0x1f596}, {0x1f5a4, 0x1f5a5}, {0x1f5a8, 0x1f5a8}, {0x1f5b1, 0x1f5b2}, {0x1f5bc, 0x1f5bc}, {0x1f5c2, 0x1f5c4},
  {0x1f5d1, 0x1f5d3}, {0x1f5dc, 0x1f5de}, {0x1f5e1, 0x1f5e1}, {0x1f5e3, 0x1f5e3}, {0x1f5e8, 0x1f5e8}, {0x1f5ef, 0x1f5ef}, {0x1f5f3, 0x1f5f3}, {0x1f5fa, 0x1f64f},
  {0x1f680, 0x1f6c5}, {0x1f6cb, 0x1f6d2}, {0x1f6d5, 0x1f6d7}, {0x1f6dd, 0x1f6e5}, {0x1f6e9, 0x1f6e9}, {0x1f6eb, 0x1f6ec}, {0x1f6f0, 0x1f6f0}, {0x1f6f3, 0x1f6fc},
  {0x1f7e0, 0x1f7eb}, {0x1f7f0, 0x1f7f0}, {0x1f90c, 0x1f93a}, {0x1f93c, 0x1f945}, {0x1f947, 0x1f9ff}, {0x1fa70, 0x1fa74}, {0x1fa78, 0x1fa7c}, {0x1fa80, 0x1fa86},
  {0x1fa90, 0x1faac}, {0x1fab0, 0x1faba}, {0x1fac0, 0x1fac5}, {0x1fad0, 0x1fad9}, {0x1fae0, 0x1fae7}, {0x1faf0, 0x1faf6}, {0x1fbf0, 0x1fbf9}, {0x20000, 0x2a6df},
  {0x2a700, 0x2b738}, {0x2b740, 0x2b81d}, {0x2b820, 0x2cea1}, {0x2ceb0, 0x2ebe0}, {0x2f800, 0x2fa1d}, {0x30000, 0x3134a}, {0xe0100, 0xe01ef},
};

static TSCharacterRange aux_sym_simple_identifier_token1_character_set_3[] = {
  {'#', '#'}, {'*', '*'}, {'0', '9'}, {'A', 'Z'}, {'_', '_'}, {'a', 'z'}, {0xa9, 0xaa}, {0xae, 0xae},
  {0xb5, 0xb5}, {0xb7, 0xb7}, {0xba, 0xba}, {0xc0, 0xd6}, {0xd8, 0xf6}, {0xf8, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4},
  {0x2ec, 0x2ec}, {0x2ee, 0x2ee}, {0x300, 0x374}, {0x376, 0x377}, {0x37b, 0x37d}, {0x37f, 0x37f}, {0x386, 0x38a}, {0x38c, 0x38c},
  {0x38e, 0x3a1}, {0x3a3, 0x3f5}, {0x3f7, 0x481}, {0x483, 0x487}, {0x48a, 0x52f}, {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588},
  {0x591, 0x5bd}, {0x5bf, 0x5bf}, {0x5c1, 0x5c2}, {0x5c4, 0x5c5}, {0x5c7, 0x5c7}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x610, 0x61a},
  {0x620, 0x669}, {0x66e, 0x6d3}, {0x6d5, 0x6dc}, {0x6df, 0x6e8}, {0x6ea, 0x6fc}, {0x6ff, 0x6ff}, {0x710, 0x74a}, {0x74d, 0x7b1},
  {0x7c0, 0x7f5}, {0x7fa, 0x7fa}, {0x7fd, 0x7fd}, {0x800, 0x82d}, {0x840, 0x85b}, {0x860, 0x86a}, {0x870, 0x887}, {0x889, 0x88e},
  {0x898, 0x8e1}, {0x8e3, 0x963}, {0x966, 0x96f}, {0x971, 0x983}, {0x985, 0x98c}, {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0},
  {0x9b2, 0x9b2}, {0x9b6, 0x9b9}, {0x9bc, 0x9c4}, {0x9c7, 0x9c8}, {0x9cb, 0x9ce}, {0x9d7, 0x9d7}, {0x9dc, 0x9dd}, {0x9df, 0x9e3},
  {0x9e6, 0x9f1}, {0x9fc, 0x9fc}, {0x9fe, 0x9fe}, {0xa01, 0xa03}, {0xa05, 0xa0a}, {0xa0f, 0xa10}, {0xa13, 0xa28}, {0xa2a, 0xa30},
  {0xa32, 0xa33}, {0xa35, 0xa36}, {0xa38, 0xa39}, {0xa3c, 0xa3c}, {0xa3e, 0xa42}, {0xa47, 0xa48}, {0xa4b, 0xa4d}, {0xa51, 0xa51},
  {0xa59, 0xa5c}, {0xa5e, 0xa5e}, {0xa66, 0xa75}, {0xa81, 0xa83}, {0xa85, 0xa8d}, {0xa8f, 0xa91}, {0xa93, 0xaa8}, {0xaaa, 0xab0},
  {0xab2, 0xab3}, {0xab5, 0xab9}, {0xabc, 0xac5}, {0xac7, 0xac9}, {0xacb, 0xacd}, {0xad0, 0xad0}, {0xae0, 0xae3}, {0xae6, 0xaef},
  {0xaf9, 0xaff}, {0xb01, 0xb03}, {0xb05, 0xb0c}, {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30}, {0xb32, 0xb33}, {0xb35, 0xb39},
  {0xb3c, 0xb44}, {0xb47, 0xb48}, {0xb4b, 0xb4d}, {0xb55, 0xb57}, {0xb5c, 0xb5d}, {0xb5f, 0xb63}, {0xb66, 0xb6f}, {0xb71, 0xb71},
  {0xb82, 0xb83}, {0xb85, 0xb8a}, {0xb8e, 0xb90}, {0xb92, 0xb95}, {0xb99, 0xb9a}, {0xb9c, 0xb9c}, {0xb9e, 0xb9f}, {0xba3, 0xba4},
  {0xba8, 0xbaa}, {0xbae, 0xbb9}, {0xbbe, 0xbc2}, {0xbc6, 0xbc8}, {0xbca, 0xbcd}, {0xbd0, 0xbd0}, {0xbd7, 0xbd7}, {0xbe6, 0xbef},
  {0xc00, 0xc0c}, {0xc0e, 0xc10}, {0xc12, 0xc28}, {0xc2a, 0xc39}, {0xc3c, 0xc44}, {0xc46, 0xc48}, {0xc4a, 0xc4d}, {0xc55, 0xc56},
  {0xc58, 0xc5a}, {0xc5d, 0xc5d}, {0xc60, 0xc63}, {0xc66, 0xc6f}, {0xc80, 0xc83}, {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8},
  {0xcaa, 0xcb3}, {0xcb5, 0xcb9}, {0xcbc, 0xcc4}, {0xcc6, 0xcc8}, {0xcca, 0xccd}, {0xcd5, 0xcd6}, {0xcdd, 0xcde}, {0xce0, 0xce3},
  {0xce6, 0xcef}, {0xcf1, 0xcf2}, {0xd00, 0xd0c}, {0xd0e, 0xd10}, {0xd12, 0xd44}, {0xd46, 0xd48}, {0xd4a, 0xd4e}, {0xd54, 0xd57},
  {0xd5f, 0xd63}, {0xd66, 0xd6f}, {0xd7a, 0xd7f}, {0xd81, 0xd83}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd},
  {0xdc0, 0xdc6}, {0xdca, 0xdca}, {0xdcf, 0xdd4}, {0xdd6, 0xdd6}, {0xdd8, 0xddf}, {0xde6, 0xdef}, {0xdf2, 0xdf3}, {0xe01, 0xe3a},
  {0xe40, 0xe4e}, {0xe50, 0xe59}, {0xe81, 0xe82}, {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5}, {0xea7, 0xebd},
  {0xec0, 0xec4}, {0xec6, 0xec6}, {0xec8, 0xecd}, {0xed0, 0xed9}, {0xedc, 0xedf}, {0xf00, 0xf00}, {0xf18, 0xf19}, {0xf20, 0xf29},
  {0xf35, 0xf35}, {0xf37, 0xf37}, {0xf39, 0xf39}, {0xf3e, 0xf47}, {0xf49, 0xf6c}, {0xf71, 0xf84}, {0xf86, 0xf97}, {0xf99, 0xfbc},
  {0xfc6, 0xfc6}, {0x1000, 0x1049}, {0x1050, 0x109d}, {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248},
  {0x124a, 0x124d}, {0x1250, 0x1256}, {0x1258, 0x1258}, {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5},
  {0x12b8, 0x12be}, {0x12c0, 0x12c0}, {0x12c2, 0x12c5}, {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x135d, 0x135f},
  {0x1369, 0x1371}, {0x1380, 0x138f}, {0x13a0, 0x13f5}, {0x13f8, 0x13fd}, {0x1401, 0x166c}, {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea},
  {0x16ee, 0x16f8}, {0x1700, 0x1715}, {0x171f, 0x1734}, {0x1740, 0x1753}, {0x1760, 0x176c}, {0x176e, 0x1770}, {0x1772, 0x1773}, {0x1780, 0x17d3},
  {0x17d7, 0x17d7}, {0x17dc, 0x17dd}, {0x17e0, 0x17e9}, {0x180b, 0x180d}, {0x180f, 0x1819}, {0x1820, 0x1878}, {0x1880, 0x18aa}, {0x18b0, 0x18f5},
  {0x1900, 0x191e}, {0x1920, 0x192b}, {0x1930, 0x193b}, {0x1946, 0x196d}, {0x1970, 0x1974}, {0x1980, 0x19ab}, {0x19b0, 0x19c9}, {0x19d0, 0x19da},
  {0x1a00, 0x1a1b}, {0x1a20, 0x1a5e}, {0x1a60, 0x1a7c}, {0x1a7f, 0x1a89}, {0x1a90, 0x1a99}, {0x1aa7, 0x1aa7}, {0x1ab0, 0x1abd}, {0x1abf, 0x1ace},
  {0x1b00, 0x1b4c}, {0x1b50, 0x1b59}, {0x1b6b, 0x1b73}, {0x1b80, 0x1bf3}, {0x1c00, 0x1c37}, {0x1c40, 0x1c49}, {0x1c4d, 0x1c7d}, {0x1c80, 0x1c88},
  {0x1c90, 0x1cba}, {0x1cbd, 0x1cbf}, {0x1cd0, 0x1cd2}, {0x1cd4, 0x1cfa}, {0x1d00, 0x1f15}, {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d},
  {0x1f50, 0x1f57}, {0x1f59, 0x1f59}, {0x1f5b, 0x1f5b}, {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d}, {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe},
  {0x1fc2, 0x1fc4}, {0x1fc6, 0x1fcc}, {0x1fd0, 0x1fd3}, {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x200d, 0x200d},
  {0x203c, 0x203c}, {0x203f, 0x2040}, {0x2049, 0x2049}, {0x2054, 0x2054}, {0x2071, 0x2071}, {0x207f, 0x207f}, {0x2090, 0x209c}, {0x20d0, 0x20dc},
  {0x20e1, 0x20e1}, {0x20e3, 0x20e3}, {0x20e5, 0x20f0}, {0x2102, 0x2102}, {0x2107, 0x2107}, {0x210a, 0x2113}, {0x2115, 0x2115}, {0x2118, 0x211d},
  {0x2122, 0x2122}, {0x2124, 0x2124}, {0x2126, 0x2126}, {0x2128, 0x2128}, {0x212a, 0x2139}, {0x213c, 0x213f}, {0x2145, 0x2149}, {0x214e, 0x214e},
  {0x2160, 0x2188}, {0x2194, 0x2199}, {0x21a9, 0x21aa}, {0x231a, 0x231b}, {0x2328, 0x2328}, {0x23cf, 0x23cf}, {0x23e9, 0x23f3}, {0x23f8, 0x23fa},
  {0x24c2, 0x24c2}, {0x25aa, 0x25ab}, {0x25b6, 0x25b6}, {0x25c0, 0x25c0}, {0x25fb, 0x25fe}, {0x2600, 0x2604}, {0x260e, 0x260e}, {0x2611, 0x2611},
  {0x2614, 0x2615}, {0x2618, 0x2618}, {0x261d, 0x261d}, {0x2620, 0x2620}, {0x2622, 0x2623}, {0x2626, 0x2626}, {0x262a, 0x262a}, {0x262e, 0x262f},
  {0x2638, 0x263a}, {0x2640, 0x2640}, {0x2642, 0x2642}, {0x2648, 0x2653}, {0x265f, 0x2660}, {0x2663, 0x2663}, {0x2665, 0x2666}, {0x2668, 0x2668},
  {0x267b, 0x267b}, {0x267e, 0x267f}, {0x2692, 0x2697}, {0x2699, 0x2699}, {0x269b, 0x269c}, {0x26a0, 0x26a1}, {0x26a7, 0x26a7}, {0x26aa, 0x26ab},
  {0x26b0, 0x26b1}, {0x26bd, 0x26be}, {0x26c4, 0x26c5}, {0x26c8, 0x26c8}, {0x26ce, 0x26cf}, {0x26d1, 0x26d1}, {0x26d3, 0x26d4}, {0x26e9, 0x26ea},
  {0x26f0, 0x26f5}, {0x26f7, 0x26fa}, {0x26fd, 0x26fd}, {0x2702, 0x2702}, {0x2705, 0x2705}, {0x2708, 0x270d}, {0x270f, 0x270f}, {0x2712, 0x2712},
  {0x2714, 0x2714}, {0x2716, 0x2716}, {0x271d, 0x271d}, {0x2721, 0x2721}, {0x2728, 0x2728}, {0x2733, 0x2734}, {0x2744, 0x2744}, {0x2747, 0x2747},
  {0x274c, 0x274c}, {0x274e, 0x274e}, {0x2753, 0x2755}, {0x2757, 0x2757}, {0x2763, 0x2764}, {0x2795, 0x2797}, {0x27a1, 0x27a1}, {0x27b0, 0x27b0},
  {0x27bf, 0x27bf}, {0x2934, 0x2935}, {0x2b05, 0x2b07}, {0x2b1b, 0x2b1c}, {0x2b50, 0x2b50}, {0x2b55, 0x2b55}, {0x2c00, 0x2ce4}, {0x2ceb, 0x2cf3},
  {0x2d00, 0x2d25}, {0x2d27, 0x2d27}, {0x2d2d, 0x2d2d}, {0x2d30, 0x2d67}, {0x2d6f, 0x2d6f}, {0x2d7f, 0x2d96}, {0x2da0, 0x2da6}, {0x2da8, 0x2dae},
  {0x2db0, 0x2db6}, {0x2db8, 0x2dbe}, {0x2dc0, 0x2dc6}, {0x2dc8, 0x2dce}, {0x2dd0, 0x2dd6}, {0x2dd8, 0x2dde}, {0x2de0, 0x2dff}, {0x3005, 0x3007},
  {0x3021, 0x3035}, {0x3038, 0x303d}, {0x3041, 0x3096}, {0x3099, 0x309a}, {0x309d, 0x309f}, {0x30a1, 0x30fa}, {0x30fc, 0x30ff}, {0x3105, 0x312f},
  {0x3131, 0x318e}, {0x31a0, 0x31bf}, {0x31f0, 0x31ff}, {0x3297, 0x3297}, {0x3299, 0x3299}, {0x3400, 0x4dbf}, {0x4e00, 0xa48c}, {0xa4d0, 0xa4fd},
  {0xa500, 0xa60c}, {0xa610, 0xa62b}, {0xa640, 0xa66f}, {0xa674, 0xa67d}, {0xa67f, 0xa6f1}, {0xa717, 0xa71f}, {0xa722, 0xa788}, {0xa78b, 0xa7ca},
  {0xa7d0, 0xa7d1}, {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d9}, {0xa7f2, 0xa827}, {0xa82c, 0xa82c}, {0xa840, 0xa873}, {0xa880, 0xa8c5}, {0xa8d0, 0xa8d9},
  {0xa8e0, 0xa8f7}, {0xa8fb, 0xa8fb}, {0xa8fd, 0xa92d}, {0xa930, 0xa953}, {0xa960, 0xa97c}, {0xa980, 0xa9c0}, {0xa9cf, 0xa9d9}, {0xa9e0, 0xa9fe},
  {0xaa00, 0xaa36}, {0xaa40, 0xaa4d}, {0xaa50, 0xaa59}, {0xaa60, 0xaa76}, {0xaa7a, 0xaac2}, {0xaadb, 0xaadd}, {0xaae0, 0xaaef}, {0xaaf2, 0xaaf6},
  {0xab01, 0xab06}, {0xab09, 0xab0e}, {0xab11, 0xab16}, {0xab20, 0xab26}, {0xab28, 0xab2e}, {0xab30, 0xab5a}, {0xab5c, 0xab69}, {0xab70, 0xabea},
  {0xabec, 0xabed}, {0xabf0, 0xabf9}, {0xac00, 0xd7a3}, {0xd7b0, 0xd7c6}, {0xd7cb, 0xd7fb}, {0xf900, 0xfa6d}, {0xfa70, 0xfad9}, {0xfb00, 0xfb06},
  {0xfb13, 0xfb17}, {0xfb1d, 0xfb28}, {0xfb2a, 0xfb36}, {0xfb38, 0xfb3c}, {0xfb3e, 0xfb3e}, {0xfb40, 0xfb41}, {0xfb43, 0xfb44}, {0xfb46, 0xfbb1},
  {0xfbd3, 0xfc5d}, {0xfc64, 0xfd3d}, {0xfd50, 0xfd8f}, {0xfd92, 0xfdc7}, {0xfdf0, 0xfdf9}, {0xfe00, 0xfe0f}, {0xfe20, 0xfe2f}, {0xfe33, 0xfe34},
  {0xfe4d, 0xfe4f}, {0xfe71, 0xfe71}, {0xfe73, 0xfe73}, {0xfe77, 0xfe77}, {0xfe79, 0xfe79}, {0xfe7b, 0xfe7b}, {0xfe7d, 0xfe7d}, {0xfe7f, 0xfefc},
  {0xff10, 0xff19}, {0xff21, 0xff3a}, {0xff3f, 0xff3f}, {0xff41, 0xff5a}, {0xff66, 0xffbe}, {0xffc2, 0xffc7}, {0xffca, 0xffcf}, {0xffd2, 0xffd7},
  {0xffda, 0xffdc}, {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a}, {0x1003c, 0x1003d}, {0x1003f, 0x1004d}, {0x10050, 0x1005d}, {0x10080, 0x100fa},
  {0x10140, 0x10174}, {0x101fd, 0x101fd}, {0x10280, 0x1029c}, {0x102a0, 0x102d0}, {0x102e0, 0x102e0}, {0x10300, 0x1031f}, {0x1032d, 0x1034a}, {0x10350, 0x1037a},
  {0x10380, 0x1039d}, {0x103a0, 0x103c3}, {0x103c8, 0x103cf}, {0x103d1, 0x103d5}, {0x10400, 0x1049d}, {0x104a0, 0x104a9}, {0x104b0, 0x104d3}, {0x104d8, 0x104fb},
  {0x10500, 0x10527}, {0x10530, 0x10563}, {0x10570, 0x1057a}, {0x1057c, 0x1058a}, {0x1058c, 0x10592}, {0x10594, 0x10595}, {0x10597, 0x105a1}, {0x105a3, 0x105b1},
  {0x105b3, 0x105b9}, {0x105bb, 0x105bc}, {0x10600, 0x10736}, {0x10740, 0x10755}, {0x10760, 0x10767}, {0x10780, 0x10785}, {0x10787, 0x107b0}, {0x107b2, 0x107ba},
  {0x10800, 0x10805}, {0x10808, 0x10808}, {0x1080a, 0x10835}, {0x10837, 0x10838}, {0x1083c, 0x1083c}, {0x1083f, 0x10855}, {0x10860, 0x10876}, {0x10880, 0x1089e},
  {0x108e0, 0x108f2}, {0x108f4, 0x108f5}, {0x10900, 0x10915}, {0x10920, 0x10939}, {0x10980, 0x109b7}, {0x109be, 0x109bf}, {0x10a00, 0x10a03}, {0x10a05, 0x10a06},
  {0x10a0c, 0x10a13}, {0x10a15, 0x10a17}, {0x10a19, 0x10a35}, {0x10a38, 0x10a3a}, {0x10a3f, 0x10a3f}, {0x10a60, 0x10a7c}, {0x10a80, 0x10a9c}, {0x10ac0, 0x10ac7},
  {0x10ac9, 0x10ae6}, {0x10b00, 0x10b35}, {0x10b40, 0x10b55}, {0x10b60, 0x10b72}, {0x10b80, 0x10b91}, {0x10c00, 0x10c48}, {0x10c80, 0x10cb2}, {0x10cc0, 0x10cf2},
  {0x10d00, 0x10d27}, {0x10d30, 0x10d39}, {0x10e80, 0x10ea9}, {0x10eab, 0x10eac}, {0x10eb0, 0x10eb1}, {0x10f00, 0x10f1c}, {0x10f27, 0x10f27}, {0x10f30, 0x10f50},
  {0x10f70, 0x10f85}, {0x10fb0, 0x10fc4}, {0x10fe0, 0x10ff6}, {0x11000, 0x11046}, {0x11066, 0x11075}, {0x1107f, 0x110ba}, {0x110c2, 0x110c2}, {0x110d0, 0x110e8},
  {0x110f0, 0x110f9}, {0x11100, 0x11134}, {0x11136, 0x1113f}, {0x11144, 0x11147}, {0x11150, 0x11173}, {0x11176, 0x11176}, {0x11180, 0x111c4}, {0x111c9, 0x111cc},
  {0x111ce, 0x111da}, {0x111dc, 0x111dc}, {0x11200, 0x11211}, {0x11213, 0x11237}, {0x1123e, 0x1123e}, {0x11280, 0x11286}, {0x11288, 0x11288}, {0x1128a, 0x1128d},
  {0x1128f, 0x1129d}, {0x1129f, 0x112a8}, {0x112b0, 0x112ea}, {0x112f0, 0x112f9}, {0x11300, 0x11303}, {0x11305, 0x1130c}, {0x1130f, 0x11310}, {0x11313, 0x11328},
  {0x1132a, 0x11330}, {0x11332, 0x11333}, {0x11335, 0x11339}, {0x1133b, 0x11344}, {0x11347, 0x11348}, {0x1134b, 0x1134d}, {0x11350, 0x11350}, {0x11357, 0x11357},
  {0x1135d, 0x11363}, {0x11366, 0x1136c}, {0x11370, 0x11374}, {0x11400, 0x1144a}, {0x11450, 0x11459}, {0x1145e, 0x11461}, {0x11480, 0x114c5}, {0x114c7, 0x114c7},
  {0x114d0, 0x114d9}, {0x11580, 0x115b5}, {0x115b8, 0x115c0}, {0x115d8, 0x115dd}, {0x11600, 0x11640}, {0x11644, 0x11644}, {0x11650, 0x11659}, {0x11680, 0x116b8},
  {0x116c0, 0x116c9}, {0x11700, 0x1171a}, {0x1171d, 0x1172b}, {0x11730, 0x11739}, {0x11740, 0x11746}, {0x11800, 0x1183a}, {0x118a0, 0x118e9}, {0x118ff, 0x11906},
  {0x11909, 0x11909}, {0x1190c, 0x11913}, {0x11915, 0x11916}, {0x11918, 0x11935}, {0x11937, 0x11938}, {0x1193b, 0x11943}, {0x11950, 0x11959}, {0x119a0, 0x119a7},
  {0x119aa, 0x119d7}, {0x119da, 0x119e1}, {0x119e3, 0x119e4}, {0x11a00, 0x11a3e}, {0x11a47, 0x11a47}, {0x11a50, 0x11a99}, {0x11a9d, 0x11a9d}, {0x11ab0, 0x11af8},
  {0x11c00, 0x11c08}, {0x11c0a, 0x11c36}, {0x11c38, 0x11c40}, {0x11c50, 0x11c59}, {0x11c72, 0x11c8f}, {0x11c92, 0x11ca7}, {0x11ca9, 0x11cb6}, {0x11d00, 0x11d06},
  {0x11d08, 0x11d09}, {0x11d0b, 0x11d36}, {0x11d3a, 0x11d3a}, {0x11d3c, 0x11d3d}, {0x11d3f, 0x11d47}, {0x11d50, 0x11d59}, {0x11d60, 0x11d65}, {0x11d67, 0x11d68},
  {0x11d6a, 0x11d8e}, {0x11d90, 0x11d91}, {0x11d93, 0x11d98}, {0x11da0, 0x11da9}, {0x11ee0, 0x11ef6}, {0x11fb0, 0x11fb0}, {0x12000, 0x12399}, {0x12400, 0x1246e},
  {0x12480, 0x12543}, {0x12f90, 0x12ff0}, {0x13000, 0x1342e}, {0x14400, 0x14646}, {0x16800, 0x16a38}, {0x16a40, 0x16a5e}, {0x16a60, 0x16a69}, {0x16a70, 0x16abe},
  {0x16ac0, 0x16ac9}, {0x16ad0, 0x16aed}, {0x16af0, 0x16af4}, {0x16b00, 0x16b36}, {0x16b40, 0x16b43}, {0x16b50, 0x16b59}, {0x16b63, 0x16b77}, {0x16b7d, 0x16b8f},
  {0x16e40, 0x16e7f}, {0x16f00, 0x16f4a}, {0x16f4f, 0x16f87}, {0x16f8f, 0x16f9f}, {0x16fe0, 0x16fe1}, {0x16fe3, 0x16fe4}, {0x16ff0, 0x16ff1}, {0x17000, 0x187f7},
  {0x18800, 0x18cd5}, {0x18d00, 0x18d08}, {0x1aff0, 0x1aff3}, {0x1aff5, 0x1affb}, {0x1affd, 0x1affe}, {0x1b000, 0x1b122}, {0x1b150, 0x1b152}, {0x1b164, 0x1b167},
  {0x1b170, 0x1b2fb}, {0x1bc00, 0x1bc6a}, {0x1bc70, 0x1bc7c}, {0x1bc80, 0x1bc88}, {0x1bc90, 0x1bc99}, {0x1bc9d, 0x1bc9e}, {0x1cf00, 0x1cf2d}, {0x1cf30, 0x1cf46},
  {0x1d165, 0x1d169}, {0x1d16d, 0x1d172}, {0x1d17b, 0x1d182}, {0x1d185, 0x1d18b}, {0x1d1aa, 0x1d1ad}, {0x1d242, 0x1d244}, {0x1d400, 0x1d454}, {0x1d456, 0x1d49c},
  {0x1d49e, 0x1d49f}, {0x1d4a2, 0x1d4a2}, {0x1d4a5, 0x1d4a6}, {0x1d4a9, 0x1d4ac}, {0x1d4ae, 0x1d4b9}, {0x1d4bb, 0x1d4bb}, {0x1d4bd, 0x1d4c3}, {0x1d4c5, 0x1d505},
  {0x1d507, 0x1d50a}, {0x1d50d, 0x1d514}, {0x1d516, 0x1d51c}, {0x1d51e, 0x1d539}, {0x1d53b, 0x1d53e}, {0x1d540, 0x1d544}, {0x1d546, 0x1d546}, {0x1d54a, 0x1d550},
  {0x1d552, 0x1d6a5}, {0x1d6a8, 0x1d6c0}, {0x1d6c2, 0x1d6da}, {0x1d6dc, 0x1d6fa}, {0x1d6fc, 0x1d714}, {0x1d716, 0x1d734}, {0x1d736, 0x1d74e}, {0x1d750, 0x1d76e},
  {0x1d770, 0x1d788}, {0x1d78a, 0x1d7a8}, {0x1d7aa, 0x1d7c2}, {0x1d7c4, 0x1d7cb}, {0x1d7ce, 0x1d7ff}, {0x1da00, 0x1da36}, {0x1da3b, 0x1da6c}, {0x1da75, 0x1da75},
  {0x1da84, 0x1da84}, {0x1da9b, 0x1da9f}, {0x1daa1, 0x1daaf}, {0x1df00, 0x1df1e}, {0x1e000, 0x1e006}, {0x1e008, 0x1e018}, {0x1e01b, 0x1e021}, {0x1e023, 0x1e024},
  {0x1e026, 0x1e02a}, {0x1e100, 0x1e12c}, {0x1e130, 0x1e13d}, {0x1e140, 0x1e149}, {0x1e14e, 0x1e14e}, {0x1e290, 0x1e2ae}, {0x1e2c0, 0x1e2f9}, {0x1e7e0, 0x1e7e6},
  {0x1e7e8, 0x1e7eb}, {0x1e7ed, 0x1e7ee}, {0x1e7f0, 0x1e7fe}, {0x1e800, 0x1e8c4}, {0x1e8d0, 0x1e8d6}, {0x1e900, 0x1e94b}, {0x1e950, 0x1e959}, {0x1ee00, 0x1ee03},
  {0x1ee05, 0x1ee1f}, {0x1ee21, 0x1ee22}, {0x1ee24, 0x1ee24}, {0x1ee27, 0x1ee27}, {0x1ee29, 0x1ee32}, {0x1ee34, 0x1ee37}, {0x1ee39, 0x1ee39}, {0x1ee3b, 0x1ee3b},
  {0x1ee42, 0x1ee42}, {0x1ee47, 0x1ee47}, {0x1ee49, 0x1ee49}, {0x1ee4b, 0x1ee4b}, {0x1ee4d, 0x1ee4f}, {0x1ee51, 0x1ee52}, {0x1ee54, 0x1ee54}, {0x1ee57, 0x1ee57},
  {0x1ee59, 0x1ee59}, {0x1ee5b, 0x1ee5b}, {0x1ee5d, 0x1ee5d}, {0x1ee5f, 0x1ee5f}, {0x1ee61, 0x1ee62}, {0x1ee64, 0x1ee64}, {0x1ee67, 0x1ee6a}, {0x1ee6c, 0x1ee72},
  {0x1ee74, 0x1ee77}, {0x1ee79, 0x1ee7c}, {0x1ee7e, 0x1ee7e}, {0x1ee80, 0x1ee89}, {0x1ee8b, 0x1ee9b}, {0x1eea1, 0x1eea3}, {0x1eea5, 0x1eea9}, {0x1eeab, 0x1eebb},
  {0x1f004, 0x1f004}, {0x1f0cf, 0x1f0cf}, {0x1f170, 0x1f171}, {0x1f17e, 0x1f17f}, {0x1f18e, 0x1f18e}, {0x1f191, 0x1f19a}, {0x1f1e6, 0x1f1ff}, {0x1f201, 0x1f202},
  {0x1f21a, 0x1f21a}, {0x1f22f, 0x1f22f}, {0x1f232, 0x1f23a}, {0x1f250, 0x1f251}, {0x1f300, 0x1f321}, {0x1f324, 0x1f393}, {0x1f396, 0x1f397}, {0x1f399, 0x1f39b},
  {0x1f39e, 0x1f3f0}, {0x1f3f3, 0x1f3f5}, {0x1f3f7, 0x1f4fd}, {0x1f4ff, 0x1f53d}, {0x1f549, 0x1f54e}, {0x1f550, 0x1f567}, {0x1f56f, 0x1f570}, {0x1f573, 0x1f57a},
  {0x1f587, 0x1f587}, {0x1f58a, 0x1f58d}, {0x1f590, 0x1f590}, {0x1f595, 0x1f596}, {0x1f5a4, 0x1f5a5}, {0x1f5a8, 0x1f5a8}, {0x1f5b1, 0x1f5b2}, {0x1f5bc, 0x1f5bc},
  {0x1f5c2, 0x1f5c4}, {0x1f5d1, 0x1f5d3}, {0x1f5dc, 0x1f5de}, {0x1f5e1, 0x1f5e1}, {0x1f5e3, 0x1f5e3}, {0x1f5e8, 0x1f5e8}, {0x1f5ef, 0x1f5ef}, {0x1f5f3, 0x1f5f3},
  {0x1f5fa, 0x1f64f}, {0x1f680, 0x1f6c5}, {0x1f6cb, 0x1f6d2}, {0x1f6d5, 0x1f6d7}, {0x1f6dd, 0x1f6e5}, {0x1f6e9, 0x1f6e9}, {0x1f6eb, 0x1f6ec}, {0x1f6f0, 0x1f6f0},
  {0x1f6f3, 0x1f6fc}, {0x1f7e0, 0x1f7eb}, {0x1f7f0, 0x1f7f0}, {0x1f90c, 0x1f93a}, {0x1f93c, 0x1f945}, {0x1f947, 0x1f9ff}, {0x1fa70, 0x1fa74}, {0x1fa78, 0x1fa7c},
  {0x1fa80, 0x1fa86}, {0x1fa90, 0x1faac}, {0x1fab0, 0x1faba}, {0x1fac0, 0x1fac5}, {0x1fad0, 0x1fad9}, {0x1fae0, 0x1fae7}, {0x1faf0, 0x1faf6}, {0x1fbf0, 0x1fbf9},
  {0x20000, 0x2a6df}, {0x2a700, 0x2b738}, {0x2b740, 0x2b81d}, {0x2b820, 0x2cea1}, {0x2ceb0, 0x2ebe0}, {0x2f800, 0x2fa1d}, {0x30000, 0x3134a}, {0xe0100, 0xe01ef},
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(771);
      ADVANCE_MAP(
        '!', 1639,
        '"', 1585,
        '#', 39,
        '$', 748,
        '%', 1737,
        '&', 1657,
        '(', 1640,
        ')', 1628,
        '*', 1734,
        '+', 1731,
        ',', 1631,
        '-', 1732,
        '.', 1645,
        '/', 1735,
        '0', 1572,
        ':', 1637,
        ';', 1808,
        '<', 1669,
        '=', 173,
        '>', 1671,
        '?', 1652,
        '@', 1841,
        'P', 605,
        'T', 732,
        '[', 1641,
        '\\', 1623,
        ']', 1642,
        '^', 1743,
        '_', 1842,
        '`', 189,
        'a', 251,
        'b', 551,
        'c', 197,
        'd', 297,
        'e', 190,
        'f', 191,
        'g', 333,
        'i', 379,
        'l', 192,
        'm', 195,
        'n', 409,
        'o', 582,
        'p', 193,
        'r', 298,
        's', 299,
        't', 405,
        'u', 1625,
        'v', 201,
        'w', 335,
        'y', 414,
        '{', 1685,
        '|', 1741,
        '}', 1687,
        '~', 1740,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(754);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(1573);
      END_STATE();
    case 1:
      if (lookahead == '\n') ADVANCE(1634);
      if (lookahead == '/') ADVANCE(161);
      if (lookahead != 0) ADVANCE(160);
      END_STATE();
    case 2:
      if (lookahead == '\n') ADVANCE(3);
      if (lookahead == '#') ADVANCE(10);
      if (lookahead == '/') ADVANCE(164);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(2);
      if (lookahead != 0) ADVANCE(33);
      END_STATE();
    case 3:
      if (lookahead == '\n') ADVANCE(3);
      if (lookahead == '#') ADVANCE(10);
      if (lookahead == '/') ADVANCE(146);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(2);
      if (lookahead != 0) ADVANCE(33);
      END_STATE();
    case 4:
      if (lookahead == '\n') ADVANCE(34);
      if (lookahead == '/') ADVANCE(753);
      if (lookahead == 'L') ADVANCE(23);
      if (lookahead != 0) ADVANCE(33);
      END_STATE();
    case 5:
      if (lookahead == '\n') ADVANCE(34);
      if (lookahead == '/') ADVANCE(753);
      if (lookahead == 'a') ADVANCE(31);
      if (lookahead != 0) ADVANCE(33);
      END_STATE();
    case 6:
      if (lookahead == '\n') ADVANCE(34);
      if (lookahead == '/') ADVANCE(753);
      if (lookahead == 'a') ADVANCE(26);
      if (lookahead != 0) ADVANCE(33);
      END_STATE();
    case 7:
      if (lookahead == '\n') ADVANCE(34);
      if (lookahead == '/') ADVANCE(753);
      if (lookahead == 'c') ADVANCE(5);
      if (lookahead != 0) ADVANCE(33);
      END_STATE();
    case 8:
      if (lookahead == '\n') ADVANCE(34);
      if (lookahead == '/') ADVANCE(753);
      if (lookahead == 'c') ADVANCE(12);
      if (lookahead != 0) ADVANCE(33);
      END_STATE();
    case 9:
      if (lookahead == '\n') ADVANCE(34);
      if (lookahead == '/') ADVANCE(753);
      if (lookahead == 'd') ADVANCE(15);
      if (lookahead != 0) ADVANCE(33);
      END_STATE();
    case 10:
      if (lookahead == '\n') ADVANCE(34);
      if (lookahead == '/') ADVANCE(753);
      if (lookahead == 'e') ADVANCE(18);
      if (lookahead == 'i') ADVANCE(13);
      if (lookahead == 's') ADVANCE(22);
      if (lookahead == 'w') ADVANCE(6);
      if (lookahead != 0) ADVANCE(33);
      END_STATE();
    case 11:
      if (lookahead == '\n') ADVANCE(34);
      if (lookahead == '/') ADVANCE(753);
      if (lookahead == 'e') ADVANCE(1919);
      if (lookahead != 0) ADVANCE(33);
      END_STATE();
    case 12:
      if (lookahead == '\n') ADVANCE(34);
      if (lookahead == '/') ADVANCE(753);
      if (lookahead == 'e') ADVANCE(4);
      if (lookahead != 0) ADVANCE(33);
      END_STATE();
    case 13:
      if (lookahead == '\n') ADVANCE(34);
      if (lookahead == '/') ADVANCE(753);
      if (lookahead == 'f') ADVANCE(1920);
      if (lookahead != 0) ADVANCE(33);
      END_STATE();
    case 14:
      if (lookahead == '\n') ADVANCE(34);
      if (lookahead == '/') ADVANCE(753);
      if (lookahead == 'g') ADVANCE(1926);
      if (lookahead != 0) ADVANCE(33);
      END_STATE();
    case 15:
      if (lookahead == '\n') ADVANCE(34);
      if (lookahead == '/') ADVANCE(753);
      if (lookahead == 'i') ADVANCE(13);
      if (lookahead != 0) ADVANCE(33);
      END_STATE();
    case 16:
      if (lookahead == '\n') ADVANCE(34);
      if (lookahead == '/') ADVANCE(753);
      if (lookahead == 'i') ADVANCE(19);
      if (lookahead != 0) ADVANCE(33);
      END_STATE();
    case 17:
      if (lookahead == '\n') ADVANCE(34);
      if (lookahead == '/') ADVANCE(753);
      if (lookahead == 'i') ADVANCE(24);
      if (lookahead != 0) ADVANCE(33);
      END_STATE();
    case 18:
      if (lookahead == '\n') ADVANCE(34);
      if (lookahead == '/') ADVANCE(753);
      if (lookahead == 'l') ADVANCE(30);
      if (lookahead == 'n') ADVANCE(9);
      if (lookahead == 'r') ADVANCE(29);
      if (lookahead != 0) ADVANCE(33);
      END_STATE();
    case 19:
      if (lookahead == '\n') ADVANCE(34);
      if (lookahead == '/') ADVANCE(753);
      if (lookahead == 'n') ADVANCE(14);
      if (lookahead != 0) ADVANCE(33);
      END_STATE();
    case 20:
      if (lookahead == '\n') ADVANCE(34);
      if (lookahead == '/') ADVANCE(753);
      if (lookahead == 'n') ADVANCE(1917);
      if (lookahead != 0) ADVANCE(33);
      END_STATE();
    case 21:
      if (lookahead == '\n') ADVANCE(34);
      if (lookahead == '/') ADVANCE(753);
      if (lookahead == 'n') ADVANCE(16);
      if (lookahead != 0) ADVANCE(33);
      END_STATE();
    case 22:
      if (lookahead == '\n') ADVANCE(34);
      if (lookahead == '/') ADVANCE(753);
      if (lookahead == 'o') ADVANCE(32);
      if (lookahead != 0) ADVANCE(33);
      END_STATE();
    case 23:
      if (lookahead == '\n') ADVANCE(34);
      if (lookahead == '/') ADVANCE(753);
      if (lookahead == 'o') ADVANCE(7);
      if (lookahead != 0) ADVANCE(33);
      END_STATE();
    case 24:
      if (lookahead == '\n') ADVANCE(34);
      if (lookahead == '/') ADVANCE(753);
      if (lookahead == 'o') ADVANCE(20);
      if (lookahead != 0) ADVANCE(33);
      END_STATE();
    case 25:
      if (lookahead == '\n') ADVANCE(34);
      if (lookahead == '/') ADVANCE(753);
      if (lookahead == 'o') ADVANCE(28);
      if (lookahead != 0) ADVANCE(33);
      END_STATE();
    case 26:
      if (lookahead == '\n') ADVANCE(34);
      if (lookahead == '/') ADVANCE(753);
      if (lookahead == 'r') ADVANCE(21);
      if (lookahead != 0) ADVANCE(33);
      END_STATE();
    case 27:
      if (lookahead == '\n') ADVANCE(34);
      if (lookahead == '/') ADVANCE(753);
      if (lookahead == 'r') ADVANCE(8);
      if (lookahead != 0) ADVANCE(33);
      END_STATE();
    case 28:
      if (lookahead == '\n') ADVANCE(34);
      if (lookahead == '/') ADVANCE(753);
      if (lookahead == 'r') ADVANCE(1926);
      if (lookahead != 0) ADVANCE(33);
      END_STATE();
    case 29:
      if (lookahead == '\n') ADVANCE(34);
      if (lookahead == '/') ADVANCE(753);
      if (lookahead == 'r') ADVANCE(25);
      if (lookahead != 0) ADVANCE(33);
      END_STATE();
    case 30:
      if (lookahead == '\n') ADVANCE(34);
      if (lookahead == '/') ADVANCE(753);
      if (lookahead == 's') ADVANCE(11);
      if (lookahead != 0) ADVANCE(33);
      END_STATE();
    case 31:
      if (lookahead == '\n') ADVANCE(34);
      if (lookahead == '/') ADVANCE(753);
      if (lookahead == 't') ADVANCE(17);
      if (lookahead != 0) ADVANCE(33);
      END_STATE();
    case 32:
      if (lookahead == '\n') ADVANCE(34);
      if (lookahead == '/') ADVANCE(753);
      if (lookahead == 'u') ADVANCE(27);
      if (lookahead != 0) ADVANCE(33);
      END_STATE();
    case 33:
      if (lookahead == '\n') ADVANCE(34);
      if (lookahead == '/') ADVANCE(753);
      if (lookahead != 0) ADVANCE(33);
      END_STATE();
    case 34:
      if (lookahead == '\n') ADVANCE(34);
      if (lookahead == '/') ADVANCE(147);
      if (lookahead != 0) ADVANCE(33);
      END_STATE();
    case 35:
      ADVANCE_MAP(
        '!', 1639,
        '"', 1585,
        '#', 156,
        '$', 748,
        '%', 1737,
        '&', 1657,
        '(', 1640,
        ')', 1628,
        '*', 1734,
        '+', 1731,
        ',', 1631,
        '-', 1732,
        '.', 1645,
        '/', 1735,
        '0', 1572,
        '<', 1669,
        '=', 173,
        '>', 1671,
        '?', 1652,
        '[', 1641,
        '\\', 1622,
        '^', 1743,
        '`', 189,
        'a', 1196,
        'b', 1400,
        'c', 1419,
        'e', 1158,
        'f', 1160,
        'i', 1285,
        'l', 1162,
        'n', 1308,
        'p', 1169,
        'r', 1279,
        's', 1246,
        't', 1436,
        '{', 1685,
        '|', 1741,
        '~', 1740,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(43);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(1573);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_1, 802, lookahead)) ADVANCE(1542);
      END_STATE();
    case 36:
      ADVANCE_MAP(
        '!', 1639,
        '"', 1585,
        '#', 156,
        '$', 748,
        '%', 1737,
        '&', 1657,
        '(', 1640,
        '*', 1734,
        '+', 1731,
        '-', 1732,
        '.', 151,
        '/', 1735,
        '0', 1572,
        '<', 1669,
        '=', 173,
        '>', 1671,
        '?', 1652,
        '[', 1641,
        '\\', 1622,
        '^', 1743,
        '`', 189,
        'a', 1200,
        'b', 1400,
        'c', 1419,
        'e', 1158,
        'f', 1160,
        'i', 1286,
        'l', 1162,
        'n', 1308,
        'p', 1169,
        'r', 1279,
        's', 1251,
        't', 1436,
        '{', 1685,
        '|', 1741,
        '~', 1740,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(63);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(1573);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_1, 802, lookahead)) ADVANCE(1542);
      END_STATE();
    case 37:
      ADVANCE_MAP(
        '!', 1639,
        '#', 325,
        '$', 748,
        '%', 1737,
        '&', 1657,
        '(', 1640,
        ')', 1628,
        '*', 1734,
        '+', 1731,
        ',', 1631,
        '-', 1732,
        '.', 1644,
        '/', 1736,
        '<', 1669,
        '=', 173,
        '>', 1671,
        '?', 1652,
        '@', 1841,
        '[', 1641,
        '^', 1743,
        '`', 189,
        'a', 1197,
        'b', 1400,
        'c', 1419,
        'e', 1158,
        'i', 1390,
        'l', 1162,
        'p', 1169,
        'r', 1279,
        's', 1408,
        '{', 1685,
        '|', 1741,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(72);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_1, 802, lookahead)) ADVANCE(1542);
      END_STATE();
    case 38:
      ADVANCE_MAP(
        '!', 1639,
        '#', 325,
        '%', 1737,
        '&', 1657,
        '(', 1640,
        ')', 1628,
        '*', 1734,
        '+', 1731,
        ',', 1631,
        '-', 1732,
        '.', 1644,
        '/', 1736,
        '<', 1669,
        '=', 173,
        '>', 1671,
        '?', 1652,
        '[', 1641,
        '^', 1743,
        'i', 636,
        '{', 1685,
        '|', 1741,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(96);
      END_STATE();
    case 39:
      ADVANCE_MAP(
        '!', 772,
        '/', 1,
        'a', 722,
        'c', 557,
        'd', 639,
        'e', 489,
        'f', 417,
        'i', 382,
        'k', 331,
        'l', 415,
        's', 366,
        'u', 521,
        'w', 205,
      );
      END_STATE();
    case 40:
      ADVANCE_MAP(
        '!', 772,
        '/', 1,
        'c', 557,
        'd', 639,
        'e', 488,
        'f', 417,
        'i', 382,
        'k', 331,
        'l', 415,
        's', 366,
        'w', 205,
      );
      END_STATE();
    case 41:
      ADVANCE_MAP(
        '!', 1807,
        '"', 1585,
        '#', 156,
        '$', 748,
        '%', 1737,
        '&', 1657,
        '(', 1640,
        ')', 1628,
        '*', 1734,
        '+', 1731,
        ',', 1631,
        '-', 1732,
        '.', 1645,
        '/', 1735,
        '0', 1572,
        ':', 1637,
        '<', 1669,
        '=', 173,
        '>', 1671,
        '?', 1652,
        '[', 1641,
        '\\', 1622,
        ']', 1642,
        '^', 1743,
        '`', 189,
        'a', 1196,
        'b', 1400,
        'c', 1419,
        'e', 1158,
        'f', 1160,
        'i', 1285,
        'l', 1162,
        'n', 1308,
        'p', 1169,
        'r', 1279,
        's', 1246,
        't', 1436,
        '{', 1685,
        '|', 1741,
        '~', 1740,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(42);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(1573);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_1, 802, lookahead)) ADVANCE(1542);
      END_STATE();
    case 42:
      ADVANCE_MAP(
        '!', 1807,
        '"', 1585,
        '#', 156,
        '$', 748,
        '%', 1737,
        '&', 1657,
        '(', 1640,
        ')', 1628,
        '*', 1734,
        '+', 1731,
        ',', 1631,
        '-', 1732,
        '.', 1645,
        '/', 1735,
        '0', 1572,
        ':', 1637,
        '<', 1669,
        '=', 173,
        '>', 1671,
        '?', 1651,
        '[', 1641,
        '\\', 1622,
        ']', 1642,
        '^', 1743,
        '`', 189,
        'a', 1196,
        'b', 1400,
        'c', 1419,
        'e', 1158,
        'f', 1160,
        'i', 1285,
        'l', 1162,
        'n', 1308,
        'p', 1169,
        'r', 1279,
        's', 1246,
        't', 1436,
        '{', 1685,
        '|', 1741,
        '~', 1740,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(42);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(1573);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_1, 802, lookahead)) ADVANCE(1542);
      END_STATE();
    case 43:
      ADVANCE_MAP(
        '!', 1807,
        '"', 1585,
        '#', 156,
        '$', 748,
        '%', 1737,
        '&', 1657,
        '(', 1640,
        ')', 1628,
        '*', 1734,
        '+', 1731,
        ',', 1631,
        '-', 1732,
        '.', 1645,
        '/', 1735,
        '0', 1572,
        '<', 1669,
        '=', 173,
        '>', 1671,
        '?', 1651,
        '[', 1641,
        '\\', 1622,
        '^', 1743,
        '`', 189,
        'a', 1196,
        'b', 1400,
        'c', 1419,
        'e', 1158,
        'f', 1160,
        'i', 1285,
        'l', 1162,
        'n', 1308,
        'p', 1169,
        'r', 1279,
        's', 1246,
        't', 1436,
        '{', 1685,
        '|', 1741,
        '~', 1740,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(43);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(1573);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_1, 802, lookahead)) ADVANCE(1542);
      END_STATE();
    case 44:
      ADVANCE_MAP(
        '!', 1807,
        '"', 1585,
        '#', 156,
        '$', 748,
        '%', 1737,
        '&', 1657,
        '(', 1640,
        ')', 1628,
        '*', 1734,
        '+', 1731,
        ',', 1631,
        '-', 1732,
        '.', 151,
        '/', 1735,
        '0', 1572,
        ':', 1637,
        '<', 1669,
        '=', 173,
        '>', 1671,
        '@', 1840,
        '[', 1641,
        '\\', 1622,
        ']', 1642,
        '^', 1743,
        '`', 189,
        'a', 1196,
        'b', 1400,
        'c', 1419,
        'e', 1158,
        'f', 1160,
        'i', 1286,
        'l', 1162,
        'n', 1308,
        'p', 1169,
        'r', 1279,
        's', 1246,
        't', 1436,
        '{', 1685,
        '|', 1741,
        '~', 1740,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(44);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(1573);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_1, 802, lookahead)) ADVANCE(1542);
      END_STATE();
    case 45:
      ADVANCE_MAP(
        '!', 1807,
        '"', 1585,
        '#', 156,
        '$', 748,
        '%', 1737,
        '&', 1657,
        '(', 1640,
        ')', 1628,
        '*', 1734,
        '+', 1731,
        '-', 1732,
        '.', 151,
        '/', 1735,
        '0', 1572,
        '<', 1669,
        '=', 173,
        '>', 1671,
        '@', 1841,
        '[', 1641,
        '\\', 1622,
        '^', 1743,
        '_', 1843,
        '`', 189,
        'a', 1196,
        'b', 1400,
        'c', 1419,
        'e', 1158,
        'f', 1160,
        'i', 1284,
        'l', 1162,
        'n', 1308,
        'p', 1169,
        'r', 1279,
        's', 1246,
        't', 1436,
        '{', 1685,
        '|', 1741,
        '~', 1740,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(45);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(1573);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_1, 802, lookahead)) ADVANCE(1542);
      END_STATE();
    case 46:
      ADVANCE_MAP(
        '!', 1807,
        '"', 1585,
        '#', 156,
        '$', 748,
        '%', 1737,
        '&', 1657,
        '(', 1640,
        '*', 1734,
        '+', 1731,
        ',', 1631,
        '-', 1732,
        '.', 151,
        '/', 1735,
        '0', 1572,
        ':', 1637,
        '<', 1669,
        '=', 173,
        '>', 1671,
        '?', 1652,
        '[', 1641,
        '\\', 1622,
        '^', 1743,
        '`', 189,
        'a', 1200,
        'b', 1400,
        'c', 1419,
        'e', 1158,
        'f', 1160,
        'i', 1283,
        'l', 1162,
        'n', 1308,
        'p', 1169,
        'r', 1279,
        's', 1251,
        't', 1436,
        '{', 1685,
        '|', 1741,
        '}', 1687,
        '~', 1740,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(47);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(1573);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_1, 802, lookahead)) ADVANCE(1542);
      END_STATE();
    case 47:
      ADVANCE_MAP(
        '!', 1807,
        '"', 1585,
        '#', 156,
        '$', 748,
        '%', 1737,
        '&', 1657,
        '(', 1640,
        '*', 1734,
        '+', 1731,
        ',', 1631,
        '-', 1732,
        '.', 151,
        '/', 1735,
        '0', 1572,
        ':', 1637,
        '<', 1669,
        '=', 173,
        '>', 1671,
        '?', 1651,
        '[', 1641,
        '\\', 1622,
        '^', 1743,
        '`', 189,
        'a', 1200,
        'b', 1400,
        'c', 1419,
        'e', 1158,
        'f', 1160,
        'i', 1283,
        'l', 1162,
        'n', 1308,
        'p', 1169,
        'r', 1279,
        's', 1251,
        't', 1436,
        '{', 1685,
        '|', 1741,
        '}', 1687,
        '~', 1740,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(47);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(1573);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_1, 802, lookahead)) ADVANCE(1542);
      END_STATE();
    case 48:
      ADVANCE_MAP(
        '!', 1807,
        '"', 1585,
        '#', 156,
        '$', 748,
        '%', 1737,
        '&', 1657,
        '(', 1640,
        '*', 1734,
        '+', 1731,
        ',', 1631,
        '-', 1732,
        '.', 151,
        '/', 1735,
        '0', 1572,
        ':', 1637,
        '<', 1669,
        '=', 173,
        '>', 1671,
        '@', 1840,
        '[', 1641,
        '\\', 1622,
        ']', 1642,
        '^', 1743,
        '`', 189,
        'a', 1196,
        'b', 1400,
        'c', 1419,
        'e', 1158,
        'f', 1160,
        'i', 1286,
        'l', 1162,
        'n', 1308,
        'p', 1169,
        'r', 1279,
        's', 1246,
        't', 1436,
        'u', 1379,
        'w', 1256,
        '{', 1685,
        '|', 1741,
        '~', 1740,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(48);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(1573);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_1, 802, lookahead)) ADVANCE(1542);
      END_STATE();
    case 49:
      ADVANCE_MAP(
        '!', 1807,
        '"', 1585,
        '#', 156,
        '$', 748,
        '%', 1737,
        '&', 1657,
        '(', 1640,
        '*', 1734,
        '+', 1731,
        ',', 1631,
        '-', 1732,
        '.', 151,
        '/', 1735,
        '0', 1572,
        '<', 1669,
        '=', 173,
        '>', 1671,
        '?', 1652,
        '@', 1841,
        '[', 1641,
        '\\', 1622,
        '^', 1743,
        '`', 189,
        'a', 1200,
        'b', 1400,
        'c', 1154,
        'd', 1306,
        'e', 1158,
        'f', 1179,
        'i', 1281,
        'l', 1162,
        'm', 1515,
        'n', 1307,
        'o', 1424,
        'p', 1166,
        'r', 1230,
        's', 1250,
        't', 1436,
        'u', 1379,
        'w', 1256,
        '{', 1685,
        '|', 1741,
        '}', 1687,
        '~', 1740,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(50);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(1573);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_1, 802, lookahead)) ADVANCE(1542);
      END_STATE();
    case 50:
      ADVANCE_MAP(
        '!', 1807,
        '"', 1585,
        '#', 156,
        '$', 748,
        '%', 1737,
        '&', 1657,
        '(', 1640,
        '*', 1734,
        '+', 1731,
        ',', 1631,
        '-', 1732,
        '.', 151,
        '/', 1735,
        '0', 1572,
        '<', 1669,
        '=', 173,
        '>', 1671,
        '?', 1651,
        '@', 1841,
        '[', 1641,
        '\\', 1622,
        '^', 1743,
        '`', 189,
        'a', 1200,
        'b', 1400,
        'c', 1154,
        'd', 1306,
        'e', 1158,
        'f', 1179,
        'i', 1281,
        'l', 1162,
        'm', 1515,
        'n', 1307,
        'o', 1424,
        'p', 1166,
        'r', 1230,
        's', 1250,
        't', 1436,
        'u', 1379,
        'w', 1256,
        '{', 1685,
        '|', 1741,
        '}', 1687,
        '~', 1740,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(50);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(1573);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_1, 802, lookahead)) ADVANCE(1542);
      END_STATE();
    case 51:
      ADVANCE_MAP(
        '!', 1807,
        '"', 1585,
        '#', 156,
        '$', 748,
        '%', 1737,
        '&', 1657,
        '(', 1640,
        '*', 1734,
        '+', 1731,
        '-', 1732,
        '.', 151,
        '/', 1735,
        '0', 1572,
        '<', 1669,
        '=', 173,
        '>', 1671,
        '@', 1841,
        '[', 1641,
        '\\', 1622,
        '^', 1743,
        '_', 1004,
        '`', 189,
        'a', 849,
        'b', 1033,
        'c', 991,
        'd', 949,
        'e', 815,
        'f', 816,
        'g', 917,
        'i', 927,
        'l', 818,
        'm', 1125,
        'n', 950,
        'o', 1051,
        'p', 825,
        'r', 891,
        's', 892,
        't', 945,
        'u', 1015,
        'v', 828,
        'w', 902,
        'y', 973,
        '{', 1685,
        '|', 1741,
        '}', 1687,
        '~', 1740,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(51);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(1573);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_1, 802, lookahead)) ADVANCE(1542);
      END_STATE();
    case 52:
      ADVANCE_MAP(
        '!', 1807,
        '"', 1585,
        '#', 156,
        '$', 748,
        '%', 1737,
        '&', 1657,
        '(', 1640,
        '*', 1734,
        '+', 1731,
        '-', 1732,
        '.', 151,
        '/', 1735,
        '0', 1572,
        '<', 1669,
        '=', 173,
        '>', 1671,
        '@', 1841,
        '[', 1641,
        '\\', 1622,
        '^', 1743,
        '`', 189,
        'a', 1196,
        'b', 1400,
        'c', 1419,
        'e', 1158,
        'f', 1160,
        'i', 1284,
        'l', 1162,
        'n', 1308,
        'p', 1169,
        'r', 1279,
        's', 1246,
        't', 1436,
        '{', 1685,
        '|', 1741,
        '~', 1740,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(52);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(1573);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_1, 802, lookahead)) ADVANCE(1542);
      END_STATE();
    case 53:
      ADVANCE_MAP(
        '!', 1807,
        '"', 1585,
        '#', 156,
        '$', 748,
        '%', 1737,
        '&', 1657,
        '(', 1640,
        '*', 1734,
        '+', 1731,
        '-', 1732,
        '.', 151,
        '/', 1735,
        '0', 1572,
        '<', 1669,
        '=', 173,
        '>', 1671,
        '@', 1841,
        '[', 1641,
        '\\', 1622,
        '^', 1743,
        '`', 189,
        'a', 849,
        'b', 1033,
        'c', 841,
        'd', 947,
        'e', 815,
        'f', 816,
        'g', 1133,
        'i', 928,
        'l', 818,
        'm', 1125,
        'n', 950,
        'o', 1051,
        'p', 825,
        'r', 891,
        's', 898,
        't', 945,
        'u', 1015,
        'v', 828,
        'w', 903,
        'y', 973,
        '{', 1685,
        '|', 1741,
        '}', 1687,
        '~', 1740,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(53);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(1573);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_1, 802, lookahead)) ADVANCE(1542);
      END_STATE();
    case 54:
      ADVANCE_MAP(
        '!', 1807,
        '"', 1585,
        '#', 156,
        '$', 748,
        '%', 1737,
        '&', 1657,
        '(', 1640,
        '*', 1734,
        '+', 1731,
        '-', 1732,
        '.', 151,
        '/', 1735,
        '0', 1572,
        '<', 1669,
        '=', 173,
        '>', 1671,
        '@', 1841,
        '[', 1641,
        '\\', 1622,
        '^', 1743,
        '`', 189,
        'a', 849,
        'b', 1033,
        'c', 841,
        'd', 947,
        'e', 815,
        'f', 836,
        'g', 1133,
        'i', 927,
        'l', 818,
        'm', 1125,
        'n', 950,
        'o', 1051,
        'p', 825,
        'r', 891,
        's', 898,
        't', 945,
        'u', 1015,
        'v', 828,
        'w', 903,
        'y', 973,
        '{', 1685,
        '|', 1741,
        '}', 1687,
        '~', 1740,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(54);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(1573);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_1, 802, lookahead)) ADVANCE(1542);
      END_STATE();
    case 55:
      ADVANCE_MAP(
        '!', 1807,
        '"', 1585,
        '#', 156,
        '$', 748,
        '%', 1737,
        '&', 1657,
        '(', 1640,
        '*', 1734,
        '+', 1731,
        '-', 1732,
        '.', 151,
        '/', 1735,
        '0', 1572,
        '<', 1669,
        '=', 173,
        '>', 1671,
        '@', 1841,
        '[', 1641,
        '\\', 1622,
        '^', 1743,
        '`', 189,
        'a', 849,
        'b', 1033,
        'c', 991,
        'd', 949,
        'e', 815,
        'f', 816,
        'g', 1133,
        'i', 928,
        'l', 818,
        'm', 1125,
        'n', 950,
        'o', 1051,
        'p', 825,
        'r', 891,
        's', 898,
        't', 945,
        'u', 1015,
        'v', 828,
        'w', 902,
        'y', 973,
        '{', 1685,
        '|', 1741,
        '}', 1687,
        '~', 1740,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(55);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(1573);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_1, 802, lookahead)) ADVANCE(1542);
      END_STATE();
    case 56:
      ADVANCE_MAP(
        '!', 1807,
        '"', 1585,
        '#', 156,
        '$', 748,
        '%', 1737,
        '&', 1657,
        '(', 1640,
        '*', 1734,
        '+', 1731,
        '-', 1732,
        '.', 151,
        '/', 1735,
        '0', 1572,
        '<', 1669,
        '=', 173,
        '>', 1671,
        '@', 1841,
        '[', 1641,
        '\\', 1622,
        '^', 1743,
        '`', 189,
        'a', 1200,
        'b', 1400,
        'c', 1154,
        'd', 1306,
        'e', 1158,
        'f', 1179,
        'i', 1282,
        'l', 1162,
        'm', 1515,
        'n', 1307,
        'o', 1424,
        'p', 1166,
        'r', 1230,
        's', 1250,
        't', 1436,
        'u', 1379,
        'w', 1256,
        '{', 1685,
        '|', 1741,
        '}', 1687,
        '~', 1740,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(56);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(1573);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_1, 802, lookahead)) ADVANCE(1542);
      END_STATE();
    case 57:
      ADVANCE_MAP(
        '!', 1807,
        '"', 1585,
        '#', 156,
        '$', 748,
        '%', 1737,
        '&', 1657,
        '(', 1640,
        '*', 1734,
        '+', 1731,
        '-', 1732,
        '.', 151,
        '/', 1735,
        '0', 1572,
        '<', 1669,
        '=', 173,
        '>', 1671,
        '@', 1840,
        '[', 1641,
        '\\', 1622,
        '^', 1743,
        '_', 1004,
        '`', 189,
        'a', 849,
        'b', 1033,
        'c', 992,
        'd', 1035,
        'e', 815,
        'f', 817,
        'g', 917,
        'i', 930,
        'l', 818,
        'm', 1125,
        'n', 951,
        'p', 826,
        'r', 896,
        's', 893,
        't', 945,
        'u', 1015,
        'v', 828,
        'w', 903,
        'y', 973,
        '{', 1685,
        '|', 1741,
        '}', 1687,
        '~', 1740,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(57);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(1573);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_1, 802, lookahead)) ADVANCE(1542);
      END_STATE();
    case 58:
      ADVANCE_MAP(
        '!', 1807,
        '"', 1585,
        '#', 156,
        '$', 748,
        '%', 1737,
        '&', 1657,
        '(', 1640,
        '*', 1734,
        '+', 1731,
        '-', 1732,
        '.', 151,
        '/', 1735,
        '0', 1572,
        '<', 1669,
        '=', 173,
        '>', 1671,
        '@', 1840,
        '[', 1641,
        '\\', 1622,
        '^', 1743,
        '`', 189,
        'a', 849,
        'b', 1033,
        'c', 992,
        'd', 1035,
        'e', 815,
        'f', 817,
        'g', 1133,
        'i', 930,
        'l', 818,
        'n', 952,
        'p', 826,
        'r', 896,
        's', 899,
        't', 945,
        'u', 1015,
        'v', 828,
        'w', 903,
        'y', 973,
        '{', 1685,
        '|', 1741,
        '}', 1687,
        '~', 1740,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(58);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(1573);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_1, 802, lookahead)) ADVANCE(1542);
      END_STATE();
    case 59:
      ADVANCE_MAP(
        '!', 1807,
        '"', 1585,
        '#', 156,
        '$', 748,
        '%', 1737,
        '&', 1657,
        '(', 1640,
        '*', 1734,
        '+', 1731,
        '-', 1732,
        '.', 151,
        '/', 1735,
        '0', 1572,
        '<', 1669,
        '=', 173,
        '>', 1671,
        '@', 1840,
        '[', 1641,
        '\\', 1622,
        '^', 1743,
        '`', 189,
        'a', 849,
        'b', 1033,
        'c', 992,
        'd', 1035,
        'e', 815,
        'f', 817,
        'g', 1133,
        'i', 929,
        'l', 818,
        'n', 952,
        'p', 826,
        'r', 896,
        's', 899,
        't', 945,
        'u', 1015,
        'v', 828,
        'w', 903,
        'y', 973,
        '{', 1685,
        '|', 1741,
        '}', 1687,
        '~', 1740,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(59);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(1573);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_1, 802, lookahead)) ADVANCE(1542);
      END_STATE();
    case 60:
      ADVANCE_MAP(
        '!', 1807,
        '"', 1585,
        '#', 156,
        '$', 748,
        '%', 1737,
        '&', 1657,
        '(', 1640,
        '*', 1734,
        '+', 1731,
        '-', 1732,
        '.', 151,
        '/', 1735,
        '0', 1572,
        '<', 1669,
        '=', 173,
        '>', 1671,
        '[', 1641,
        '\\', 1622,
        '^', 1743,
        '_', 1843,
        '`', 189,
        'a', 1196,
        'b', 1400,
        'c', 1155,
        'e', 1158,
        'f', 1160,
        'i', 1285,
        'l', 1161,
        'n', 1308,
        'p', 1169,
        'r', 1279,
        's', 1246,
        't', 1436,
        'v', 1164,
        '{', 1685,
        '|', 1741,
        '~', 1740,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(60);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(1573);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_1, 802, lookahead)) ADVANCE(1542);
      END_STATE();
    case 61:
      ADVANCE_MAP(
        '!', 1807,
        '"', 1585,
        '#', 156,
        '$', 748,
        '%', 1737,
        '&', 1657,
        '(', 1640,
        '*', 1734,
        '+', 1731,
        '-', 1732,
        '.', 151,
        '/', 1735,
        '0', 1572,
        '<', 1669,
        '=', 173,
        '>', 1671,
        '[', 1641,
        '\\', 1622,
        '^', 1743,
        '_', 1843,
        '`', 189,
        'a', 1200,
        'b', 1400,
        'c', 1155,
        'e', 1158,
        'f', 1160,
        'i', 1285,
        'l', 1161,
        'n', 1308,
        'p', 1169,
        'r', 1279,
        's', 1251,
        't', 1436,
        'v', 1164,
        '{', 1685,
        '|', 1741,
        '~', 1740,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(61);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(1573);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_1, 802, lookahead)) ADVANCE(1542);
      END_STATE();
    case 62:
      ADVANCE_MAP(
        '!', 1807,
        '"', 1585,
        '#', 156,
        '$', 748,
        '%', 1737,
        '&', 1657,
        '(', 1640,
        '*', 1734,
        '+', 1731,
        '-', 1732,
        '.', 151,
        '/', 1735,
        '0', 1572,
        '<', 1669,
        '=', 173,
        '>', 1671,
        '[', 1641,
        '\\', 1622,
        '^', 1743,
        '`', 189,
        'a', 1200,
        'b', 1400,
        'c', 1419,
        'e', 1158,
        'f', 1160,
        'g', 1270,
        'i', 1286,
        'l', 1162,
        'n', 1308,
        'p', 1169,
        'r', 1279,
        's', 1243,
        't', 1436,
        '{', 1685,
        '|', 1741,
        '~', 1740,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(62);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(1573);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_1, 802, lookahead)) ADVANCE(1542);
      END_STATE();
    case 63:
      ADVANCE_MAP(
        '!', 1807,
        '"', 1585,
        '#', 156,
        '$', 748,
        '%', 1737,
        '&', 1657,
        '(', 1640,
        '*', 1734,
        '+', 1731,
        '-', 1732,
        '.', 151,
        '/', 1735,
        '0', 1572,
        '<', 1669,
        '=', 173,
        '>', 1671,
        '[', 1641,
        '\\', 1622,
        '^', 1743,
        '`', 189,
        'a', 1200,
        'b', 1400,
        'c', 1419,
        'e', 1158,
        'f', 1160,
        'i', 1286,
        'l', 1162,
        'n', 1308,
        'p', 1169,
        'r', 1279,
        's', 1251,
        't', 1436,
        '{', 1685,
        '|', 1741,
        '~', 1740,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(63);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(1573);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_1, 802, lookahead)) ADVANCE(1542);
      END_STATE();
    case 64:
      ADVANCE_MAP(
        '!', 1807,
        '"', 1585,
        '#', 154,
        '$', 748,
        '%', 1737,
        '&', 1657,
        '(', 1640,
        '*', 1734,
        '+', 1731,
        ',', 1631,
        '-', 1732,
        '.', 151,
        '/', 1735,
        '0', 1572,
        ';', 1808,
        '<', 1669,
        '=', 173,
        '>', 1671,
        '?', 1652,
        '@', 1841,
        '[', 1641,
        '\\', 1622,
        '^', 1743,
        '`', 189,
        'a', 1198,
        'b', 1400,
        'c', 1154,
        'd', 1229,
        'e', 1156,
        'f', 1159,
        'i', 1280,
        'l', 1161,
        'm', 1515,
        'n', 1307,
        'o', 1424,
        'p', 1165,
        'r', 1230,
        's', 1247,
        't', 1435,
        'u', 1379,
        'v', 1164,
        'w', 1256,
        '{', 1685,
        '|', 1741,
        '}', 1687,
        '~', 1740,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(65);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(1573);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_1, 802, lookahead)) ADVANCE(1542);
      END_STATE();
    case 65:
      ADVANCE_MAP(
        '!', 1807,
        '"', 1585,
        '#', 154,
        '$', 748,
        '%', 1737,
        '&', 1657,
        '(', 1640,
        '*', 1734,
        '+', 1731,
        ',', 1631,
        '-', 1732,
        '.', 151,
        '/', 1735,
        '0', 1572,
        ';', 1808,
        '<', 1669,
        '=', 173,
        '>', 1671,
        '?', 1651,
        '@', 1841,
        '[', 1641,
        '\\', 1622,
        '^', 1743,
        '`', 189,
        'a', 1198,
        'b', 1400,
        'c', 1154,
        'd', 1229,
        'e', 1156,
        'f', 1159,
        'i', 1280,
        'l', 1161,
        'm', 1515,
        'n', 1307,
        'o', 1424,
        'p', 1165,
        'r', 1230,
        's', 1247,
        't', 1435,
        'u', 1379,
        'v', 1164,
        'w', 1256,
        '{', 1685,
        '|', 1741,
        '}', 1687,
        '~', 1740,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(65);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(1573);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_1, 802, lookahead)) ADVANCE(1542);
      END_STATE();
    case 66:
      ADVANCE_MAP(
        '!', 1807,
        '"', 1585,
        '#', 154,
        '$', 748,
        '%', 1737,
        '&', 1657,
        '(', 1640,
        '*', 1734,
        '+', 1731,
        ',', 1631,
        '-', 1732,
        '.', 151,
        '/', 1735,
        '0', 1572,
        '<', 1669,
        '=', 173,
        '>', 1671,
        '?', 1652,
        '@', 1841,
        '[', 1641,
        '\\', 1622,
        '^', 1743,
        '`', 189,
        'a', 1200,
        'b', 1400,
        'c', 1154,
        'd', 1306,
        'e', 1158,
        'f', 1179,
        'i', 1281,
        'l', 1161,
        'm', 1515,
        'n', 1307,
        'o', 1424,
        'p', 1166,
        'r', 1230,
        's', 1250,
        't', 1436,
        'u', 1379,
        'v', 1164,
        'w', 1256,
        '{', 1685,
        '|', 1741,
        '}', 1687,
        '~', 1740,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(67);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(1573);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_1, 802, lookahead)) ADVANCE(1542);
      END_STATE();
    case 67:
      ADVANCE_MAP(
        '!', 1807,
        '"', 1585,
        '#', 154,
        '$', 748,
        '%', 1737,
        '&', 1657,
        '(', 1640,
        '*', 1734,
        '+', 1731,
        ',', 1631,
        '-', 1732,
        '.', 151,
        '/', 1735,
        '0', 1572,
        '<', 1669,
        '=', 173,
        '>', 1671,
        '?', 1651,
        '@', 1841,
        '[', 1641,
        '\\', 1622,
        '^', 1743,
        '`', 189,
        'a', 1200,
        'b', 1400,
        'c', 1154,
        'd', 1306,
        'e', 1158,
        'f', 1179,
        'i', 1281,
        'l', 1161,
        'm', 1515,
        'n', 1307,
        'o', 1424,
        'p', 1166,
        'r', 1230,
        's', 1250,
        't', 1436,
        'u', 1379,
        'v', 1164,
        'w', 1256,
        '{', 1685,
        '|', 1741,
        '}', 1687,
        '~', 1740,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(67);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(1573);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_1, 802, lookahead)) ADVANCE(1542);
      END_STATE();
    case 68:
      ADVANCE_MAP(
        '!', 1807,
        '"', 1585,
        '#', 154,
        '$', 748,
        '%', 1737,
        '&', 1657,
        '(', 1640,
        '*', 1734,
        '+', 1731,
        '-', 1732,
        '.', 151,
        '/', 1735,
        '0', 1572,
        ':', 1637,
        '<', 1669,
        '=', 173,
        '>', 1671,
        '[', 1641,
        '\\', 1622,
        '^', 1743,
        '`', 189,
        'a', 1200,
        'b', 1400,
        'c', 1155,
        'e', 1158,
        'f', 1160,
        'i', 1286,
        'l', 1161,
        'n', 1308,
        'p', 1169,
        'r', 1279,
        's', 1251,
        't', 1436,
        'v', 1164,
        '{', 1685,
        '|', 1741,
        '~', 1740,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(68);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(1573);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_1, 802, lookahead)) ADVANCE(1542);
      END_STATE();
    case 69:
      ADVANCE_MAP(
        '!', 1807,
        '"', 1585,
        '#', 155,
        '$', 748,
        '%', 1737,
        '&', 1657,
        '(', 1640,
        ')', 1628,
        '*', 1734,
        '+', 1731,
        ',', 1631,
        '-', 1732,
        '.', 151,
        '/', 1735,
        '0', 1572,
        ':', 1637,
        '<', 1669,
        '=', 173,
        '>', 1671,
        '@', 1840,
        '[', 1641,
        '\\', 1622,
        ']', 1642,
        '^', 1743,
        '`', 189,
        'a', 1200,
        'b', 1400,
        'c', 1419,
        'e', 1158,
        'f', 1160,
        'i', 1286,
        'l', 1162,
        'n', 1308,
        'p', 1169,
        'r', 1279,
        's', 1251,
        't', 1436,
        '{', 1685,
        '|', 1741,
        '}', 1687,
        '~', 1740,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(69);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(1573);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_1, 802, lookahead)) ADVANCE(1542);
      END_STATE();
    case 70:
      ADVANCE_MAP(
        '!', 1807,
        '#', 325,
        '$', 748,
        '%', 1737,
        '&', 1657,
        '(', 1640,
        ')', 1628,
        '*', 1734,
        '+', 1731,
        ',', 1631,
        '-', 1732,
        '.', 1644,
        '/', 1736,
        ':', 1637,
        '<', 1669,
        '=', 173,
        '>', 1671,
        '?', 1652,
        '@', 1841,
        '[', 1641,
        '^', 1743,
        '`', 189,
        'a', 1197,
        'b', 1400,
        'c', 1419,
        'e', 1158,
        'i', 1390,
        'l', 1162,
        'p', 1169,
        'r', 1279,
        's', 1408,
        '{', 1685,
        '|', 1741,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(71);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_1, 802, lookahead)) ADVANCE(1542);
      END_STATE();
    case 71:
      ADVANCE_MAP(
        '!', 1807,
        '#', 325,
        '$', 748,
        '%', 1737,
        '&', 1657,
        '(', 1640,
        ')', 1628,
        '*', 1734,
        '+', 1731,
        ',', 1631,
        '-', 1732,
        '.', 1644,
        '/', 1736,
        ':', 1637,
        '<', 1669,
        '=', 173,
        '>', 1671,
        '?', 1651,
        '@', 1841,
        '[', 1641,
        '^', 1743,
        '`', 189,
        'a', 1197,
        'b', 1400,
        'c', 1419,
        'e', 1158,
        'i', 1390,
        'l', 1162,
        'p', 1169,
        'r', 1279,
        's', 1408,
        '{', 1685,
        '|', 1741,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(71);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_1, 802, lookahead)) ADVANCE(1542);
      END_STATE();
    case 72:
      ADVANCE_MAP(
        '!', 1807,
        '#', 325,
        '$', 748,
        '%', 1737,
        '&', 1657,
        '(', 1640,
        ')', 1628,
        '*', 1734,
        '+', 1731,
        ',', 1631,
        '-', 1732,
        '.', 1644,
        '/', 1736,
        '<', 1669,
        '=', 173,
        '>', 1671,
        '?', 1651,
        '@', 1841,
        '[', 1641,
        '^', 1743,
        '`', 189,
        'a', 1197,
        'b', 1400,
        'c', 1419,
        'e', 1158,
        'i', 1390,
        'l', 1162,
        'p', 1169,
        'r', 1279,
        's', 1408,
        '{', 1685,
        '|', 1741,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(72);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_1, 802, lookahead)) ADVANCE(1542);
      END_STATE();
    case 73:
      ADVANCE_MAP(
        '!', 1807,
        '#', 325,
        '$', 748,
        '%', 1737,
        '&', 1657,
        '(', 1640,
        '*', 1734,
        '+', 1731,
        ',', 1631,
        '-', 1732,
        '.', 1644,
        '/', 1736,
        ';', 1808,
        '<', 1669,
        '=', 173,
        '>', 1671,
        '?', 1652,
        '@', 1841,
        '[', 1641,
        '^', 1743,
        '`', 189,
        'a', 1195,
        'b', 1400,
        'c', 1154,
        'd', 1229,
        'e', 1156,
        'f', 1302,
        'i', 1359,
        'l', 1161,
        'm', 1515,
        'n', 1409,
        'o', 1424,
        'p', 1165,
        'r', 1230,
        's', 1406,
        't', 1536,
        'u', 1379,
        'v', 1164,
        'w', 1256,
        '{', 1685,
        '|', 1741,
        '}', 1687,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(75);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_1, 802, lookahead)) ADVANCE(1542);
      END_STATE();
    case 74:
      ADVANCE_MAP(
        '!', 1807,
        '#', 325,
        '$', 748,
        '%', 1737,
        '&', 1657,
        '(', 1640,
        '*', 1734,
        '+', 1731,
        ',', 1631,
        '-', 1732,
        '.', 1644,
        '/', 1736,
        ';', 1808,
        '<', 1669,
        '=', 173,
        '>', 1671,
        '?', 1652,
        '@', 1841,
        '[', 1641,
        '^', 1743,
        '`', 189,
        'a', 1199,
        'b', 1400,
        'c', 1154,
        'd', 1229,
        'e', 1156,
        'f', 1302,
        'i', 1359,
        'l', 1161,
        'm', 1515,
        'n', 1409,
        'o', 1424,
        'p', 1165,
        'r', 1230,
        's', 1474,
        't', 1536,
        'u', 1379,
        'v', 1164,
        'w', 1256,
        '{', 1685,
        '|', 1741,
        '}', 1687,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(76);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_1, 802, lookahead)) ADVANCE(1542);
      END_STATE();
    case 75:
      ADVANCE_MAP(
        '!', 1807,
        '#', 325,
        '$', 748,
        '%', 1737,
        '&', 1657,
        '(', 1640,
        '*', 1734,
        '+', 1731,
        ',', 1631,
        '-', 1732,
        '.', 1644,
        '/', 1736,
        ';', 1808,
        '<', 1669,
        '=', 173,
        '>', 1671,
        '?', 1651,
        '@', 1841,
        '[', 1641,
        '^', 1743,
        '`', 189,
        'a', 1195,
        'b', 1400,
        'c', 1154,
        'd', 1229,
        'e', 1156,
        'f', 1302,
        'i', 1359,
        'l', 1161,
        'm', 1515,
        'n', 1409,
        'o', 1424,
        'p', 1165,
        'r', 1230,
        's', 1406,
        't', 1536,
        'u', 1379,
        'v', 1164,
        'w', 1256,
        '{', 1685,
        '|', 1741,
        '}', 1687,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(75);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_1, 802, lookahead)) ADVANCE(1542);
      END_STATE();
    case 76:
      ADVANCE_MAP(
        '!', 1807,
        '#', 325,
        '$', 748,
        '%', 1737,
        '&', 1657,
        '(', 1640,
        '*', 1734,
        '+', 1731,
        ',', 1631,
        '-', 1732,
        '.', 1644,
        '/', 1736,
        ';', 1808,
        '<', 1669,
        '=', 173,
        '>', 1671,
        '?', 1651,
        '@', 1841,
        '[', 1641,
        '^', 1743,
        '`', 189,
        'a', 1199,
        'b', 1400,
        'c', 1154,
        'd', 1229,
        'e', 1156,
        'f', 1302,
        'i', 1359,
        'l', 1161,
        'm', 1515,
        'n', 1409,
        'o', 1424,
        'p', 1165,
        'r', 1230,
        's', 1474,
        't', 1536,
        'u', 1379,
        'v', 1164,
        'w', 1256,
        '{', 1685,
        '|', 1741,
        '}', 1687,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(76);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_1, 802, lookahead)) ADVANCE(1542);
      END_STATE();
    case 77:
      ADVANCE_MAP(
        '!', 1807,
        '#', 325,
        '$', 748,
        '%', 1737,
        '&', 1657,
        '(', 1640,
        '*', 1734,
        '+', 1731,
        ',', 1631,
        '-', 1732,
        '.', 1644,
        '/', 1736,
        '<', 1669,
        '=', 173,
        '>', 1671,
        '?', 1652,
        '@', 1841,
        '[', 1641,
        '^', 1743,
        '`', 189,
        'a', 1197,
        'b', 1400,
        'c', 1154,
        'd', 1306,
        'e', 1158,
        'f', 1180,
        'i', 1369,
        'l', 1162,
        'm', 1515,
        'n', 1409,
        'o', 1424,
        'p', 1166,
        'r', 1230,
        's', 1407,
        'u', 1379,
        'w', 1256,
        '{', 1685,
        '|', 1741,
        '}', 1687,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(79);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_1, 802, lookahead)) ADVANCE(1542);
      END_STATE();
    case 78:
      ADVANCE_MAP(
        '!', 1807,
        '#', 325,
        '$', 748,
        '%', 1737,
        '&', 1657,
        '(', 1640,
        '*', 1734,
        '+', 1731,
        ',', 1631,
        '-', 1732,
        '.', 1644,
        '/', 1736,
        '<', 1669,
        '=', 173,
        '>', 1671,
        '?', 1652,
        '@', 1841,
        '[', 1641,
        '^', 1743,
        '`', 189,
        'a', 1201,
        'b', 1400,
        'c', 1154,
        'd', 1306,
        'e', 1158,
        'f', 1180,
        'i', 1369,
        'l', 1162,
        'm', 1515,
        'n', 1409,
        'o', 1424,
        'p', 1166,
        'r', 1230,
        's', 1506,
        'u', 1379,
        'w', 1256,
        '{', 1685,
        '|', 1741,
        '}', 1687,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(80);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_1, 802, lookahead)) ADVANCE(1542);
      END_STATE();
    case 79:
      ADVANCE_MAP(
        '!', 1807,
        '#', 325,
        '$', 748,
        '%', 1737,
        '&', 1657,
        '(', 1640,
        '*', 1734,
        '+', 1731,
        ',', 1631,
        '-', 1732,
        '.', 1644,
        '/', 1736,
        '<', 1669,
        '=', 173,
        '>', 1671,
        '?', 1651,
        '@', 1841,
        '[', 1641,
        '^', 1743,
        '`', 189,
        'a', 1197,
        'b', 1400,
        'c', 1154,
        'd', 1306,
        'e', 1158,
        'f', 1180,
        'i', 1369,
        'l', 1162,
        'm', 1515,
        'n', 1409,
        'o', 1424,
        'p', 1166,
        'r', 1230,
        's', 1407,
        'u', 1379,
        'w', 1256,
        '{', 1685,
        '|', 1741,
        '}', 1687,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(79);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_1, 802, lookahead)) ADVANCE(1542);
      END_STATE();
    case 80:
      ADVANCE_MAP(
        '!', 1807,
        '#', 325,
        '$', 748,
        '%', 1737,
        '&', 1657,
        '(', 1640,
        '*', 1734,
        '+', 1731,
        ',', 1631,
        '-', 1732,
        '.', 1644,
        '/', 1736,
        '<', 1669,
        '=', 173,
        '>', 1671,
        '?', 1651,
        '@', 1841,
        '[', 1641,
        '^', 1743,
        '`', 189,
        'a', 1201,
        'b', 1400,
        'c', 1154,
        'd', 1306,
        'e', 1158,
        'f', 1180,
        'i', 1369,
        'l', 1162,
        'm', 1515,
        'n', 1409,
        'o', 1424,
        'p', 1166,
        'r', 1230,
        's', 1506,
        'u', 1379,
        'w', 1256,
        '{', 1685,
        '|', 1741,
        '}', 1687,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(80);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_1, 802, lookahead)) ADVANCE(1542);
      END_STATE();
    case 81:
      ADVANCE_MAP(
        '!', 1807,
        '#', 325,
        '$', 748,
        '%', 1737,
        '&', 1657,
        '(', 1640,
        '*', 1734,
        '+', 1731,
        ',', 1631,
        '-', 1732,
        '.', 150,
        '/', 1736,
        ':', 1637,
        '<', 1669,
        '=', 173,
        '>', 1671,
        '?', 1652,
        '@', 1841,
        '[', 1641,
        '^', 1743,
        '`', 189,
        'a', 1201,
        'b', 1400,
        'c', 1154,
        'd', 1306,
        'e', 1156,
        'f', 1302,
        'i', 1373,
        'l', 1161,
        'm', 1515,
        'n', 1409,
        'o', 1424,
        'p', 1166,
        'r', 1230,
        's', 1475,
        't', 1536,
        'u', 1379,
        'v', 1164,
        'w', 1256,
        '{', 1685,
        '|', 1741,
        '}', 1687,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(88);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_1, 802, lookahead)) ADVANCE(1542);
      END_STATE();
    case 82:
      ADVANCE_MAP(
        '!', 1807,
        '#', 325,
        '$', 748,
        '%', 1737,
        '&', 1657,
        '(', 1640,
        '*', 1734,
        '+', 1731,
        ',', 1631,
        '-', 1732,
        '.', 150,
        '/', 1736,
        ':', 1637,
        '<', 1669,
        '=', 173,
        '>', 1671,
        '?', 1652,
        '@', 1841,
        '[', 1641,
        '^', 1743,
        '`', 189,
        'a', 1201,
        'b', 1400,
        'c', 1154,
        'd', 1306,
        'e', 1158,
        'f', 1303,
        'i', 1375,
        'l', 1162,
        'm', 1515,
        'n', 1409,
        'o', 1424,
        'p', 1166,
        'r', 1230,
        's', 1506,
        'u', 1379,
        'w', 1256,
        '{', 1685,
        '|', 1741,
        '}', 1687,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(89);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_1, 802, lookahead)) ADVANCE(1542);
      END_STATE();
    case 83:
      ADVANCE_MAP(
        '!', 1807,
        '#', 325,
        '$', 748,
        '%', 1737,
        '&', 1657,
        '(', 1640,
        '*', 1734,
        '+', 1731,
        ',', 1631,
        '-', 1732,
        '.', 150,
        '/', 1736,
        ':', 1637,
        '<', 1669,
        '=', 173,
        '>', 1671,
        '?', 1652,
        '@', 1841,
        '[', 1641,
        '^', 1743,
        '`', 189,
        'a', 1201,
        'b', 1400,
        'c', 1347,
        'd', 1305,
        'e', 1156,
        'f', 1302,
        'i', 1373,
        'l', 1161,
        'm', 1515,
        'n', 1409,
        'o', 1424,
        'p', 1166,
        'r', 1230,
        's', 1475,
        't', 1536,
        'u', 1379,
        'v', 1164,
        'w', 1255,
        '{', 1685,
        '|', 1741,
        '}', 1687,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(90);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_1, 802, lookahead)) ADVANCE(1542);
      END_STATE();
    case 84:
      ADVANCE_MAP(
        '!', 1807,
        '#', 325,
        '$', 748,
        '%', 1737,
        '&', 1657,
        '(', 1640,
        '*', 1734,
        '+', 1731,
        ',', 1631,
        '-', 1732,
        '.', 150,
        '/', 1736,
        ':', 1637,
        '<', 1669,
        '=', 173,
        '>', 1671,
        '?', 1652,
        '@', 1841,
        '[', 1641,
        '^', 1743,
        '`', 189,
        'a', 1201,
        'b', 1400,
        'c', 1347,
        'd', 1305,
        'e', 1158,
        'f', 1303,
        'i', 1375,
        'l', 1162,
        'm', 1515,
        'n', 1409,
        'o', 1424,
        'p', 1166,
        'r', 1230,
        's', 1506,
        'u', 1379,
        'w', 1255,
        '{', 1685,
        '|', 1741,
        '}', 1687,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(91);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_1, 802, lookahead)) ADVANCE(1542);
      END_STATE();
    case 85:
      ADVANCE_MAP(
        '!', 1807,
        '#', 325,
        '$', 748,
        '%', 1737,
        '&', 1657,
        '(', 1640,
        '*', 1734,
        '+', 1731,
        ',', 1631,
        '-', 1732,
        '.', 150,
        '/', 1736,
        ':', 1637,
        '<', 1669,
        '=', 173,
        '>', 1671,
        '?', 1652,
        '@', 1840,
        '[', 1641,
        '^', 1743,
        '`', 189,
        'a', 1201,
        'b', 1400,
        'c', 1348,
        'e', 1156,
        'f', 1332,
        'i', 1376,
        'l', 1161,
        'p', 1169,
        'r', 1279,
        's', 1494,
        't', 1536,
        'u', 1379,
        'v', 1164,
        'w', 1256,
        '{', 1685,
        '|', 1741,
        '}', 1687,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(92);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_1, 802, lookahead)) ADVANCE(1542);
      END_STATE();
    case 86:
      ADVANCE_MAP(
        '!', 1807,
        '#', 325,
        '$', 748,
        '%', 1737,
        '&', 1657,
        '(', 1640,
        '*', 1734,
        '+', 1731,
        ',', 1631,
        '-', 1732,
        '.', 150,
        '/', 1736,
        ':', 1637,
        '<', 1669,
        '=', 173,
        '>', 1671,
        '?', 1652,
        '[', 1641,
        '^', 1743,
        '`', 189,
        'a', 1201,
        'b', 1400,
        'c', 1419,
        'e', 1158,
        'i', 1371,
        'l', 1161,
        'p', 1169,
        'r', 1279,
        'v', 1164,
        '{', 1685,
        '|', 1741,
        '}', 1687,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(93);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_1, 802, lookahead)) ADVANCE(1542);
      END_STATE();
    case 87:
      ADVANCE_MAP(
        '!', 1807,
        '#', 325,
        '$', 748,
        '%', 1737,
        '&', 1657,
        '(', 1640,
        '*', 1734,
        '+', 1731,
        ',', 1631,
        '-', 1732,
        '.', 150,
        '/', 1736,
        ':', 1637,
        '<', 1669,
        '=', 173,
        '>', 1671,
        '?', 1652,
        '[', 1641,
        '^', 1743,
        '`', 189,
        'a', 1201,
        'b', 1400,
        'c', 1419,
        'e', 1158,
        'i', 1371,
        'l', 1162,
        'p', 1169,
        'r', 1279,
        '{', 1685,
        '|', 1741,
        '}', 1687,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(94);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_1, 802, lookahead)) ADVANCE(1542);
      END_STATE();
    case 88:
      ADVANCE_MAP(
        '!', 1807,
        '#', 325,
        '$', 748,
        '%', 1737,
        '&', 1657,
        '(', 1640,
        '*', 1734,
        '+', 1731,
        ',', 1631,
        '-', 1732,
        '.', 150,
        '/', 1736,
        ':', 1637,
        '<', 1669,
        '=', 173,
        '>', 1671,
        '?', 1651,
        '@', 1841,
        '[', 1641,
        '^', 1743,
        '`', 189,
        'a', 1201,
        'b', 1400,
        'c', 1154,
        'd', 1306,
        'e', 1156,
        'f', 1302,
        'i', 1373,
        'l', 1161,
        'm', 1515,
        'n', 1409,
        'o', 1424,
        'p', 1166,
        'r', 1230,
        's', 1475,
        't', 1536,
        'u', 1379,
        'v', 1164,
        'w', 1256,
        '{', 1685,
        '|', 1741,
        '}', 1687,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(88);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_1, 802, lookahead)) ADVANCE(1542);
      END_STATE();
    case 89:
      ADVANCE_MAP(
        '!', 1807,
        '#', 325,
        '$', 748,
        '%', 1737,
        '&', 1657,
        '(', 1640,
        '*', 1734,
        '+', 1731,
        ',', 1631,
        '-', 1732,
        '.', 150,
        '/', 1736,
        ':', 1637,
        '<', 1669,
        '=', 173,
        '>', 1671,
        '?', 1651,
        '@', 1841,
        '[', 1641,
        '^', 1743,
        '`', 189,
        'a', 1201,
        'b', 1400,
        'c', 1154,
        'd', 1306,
        'e', 1158,
        'f', 1303,
        'i', 1375,
        'l', 1162,
        'm', 1515,
        'n', 1409,
        'o', 1424,
        'p', 1166,
        'r', 1230,
        's', 1506,
        'u', 1379,
        'w', 1256,
        '{', 1685,
        '|', 1741,
        '}', 1687,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(89);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_1, 802, lookahead)) ADVANCE(1542);
      END_STATE();
    case 90:
      ADVANCE_MAP(
        '!', 1807,
        '#', 325,
        '$', 748,
        '%', 1737,
        '&', 1657,
        '(', 1640,
        '*', 1734,
        '+', 1731,
        ',', 1631,
        '-', 1732,
        '.', 150,
        '/', 1736,
        ':', 1637,
        '<', 1669,
        '=', 173,
        '>', 1671,
        '?', 1651,
        '@', 1841,
        '[', 1641,
        '^', 1743,
        '`', 189,
        'a', 1201,
        'b', 1400,
        'c', 1347,
        'd', 1305,
        'e', 1156,
        'f', 1302,
        'i', 1373,
        'l', 1161,
        'm', 1515,
        'n', 1409,
        'o', 1424,
        'p', 1166,
        'r', 1230,
        's', 1475,
        't', 1536,
        'u', 1379,
        'v', 1164,
        'w', 1255,
        '{', 1685,
        '|', 1741,
        '}', 1687,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(90);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_1, 802, lookahead)) ADVANCE(1542);
      END_STATE();
    case 91:
      ADVANCE_MAP(
        '!', 1807,
        '#', 325,
        '$', 748,
        '%', 1737,
        '&', 1657,
        '(', 1640,
        '*', 1734,
        '+', 1731,
        ',', 1631,
        '-', 1732,
        '.', 150,
        '/', 1736,
        ':', 1637,
        '<', 1669,
        '=', 173,
        '>', 1671,
        '?', 1651,
        '@', 1841,
        '[', 1641,
        '^', 1743,
        '`', 189,
        'a', 1201,
        'b', 1400,
        'c', 1347,
        'd', 1305,
        'e', 1158,
        'f', 1303,
        'i', 1375,
        'l', 1162,
        'm', 1515,
        'n', 1409,
        'o', 1424,
        'p', 1166,
        'r', 1230,
        's', 1506,
        'u', 1379,
        'w', 1255,
        '{', 1685,
        '|', 1741,
        '}', 1687,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(91);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_1, 802, lookahead)) ADVANCE(1542);
      END_STATE();
    case 92:
      ADVANCE_MAP(
        '!', 1807,
        '#', 325,
        '$', 748,
        '%', 1737,
        '&', 1657,
        '(', 1640,
        '*', 1734,
        '+', 1731,
        ',', 1631,
        '-', 1732,
        '.', 150,
        '/', 1736,
        ':', 1637,
        '<', 1669,
        '=', 173,
        '>', 1671,
        '?', 1651,
        '@', 1840,
        '[', 1641,
        '^', 1743,
        '`', 189,
        'a', 1201,
        'b', 1400,
        'c', 1348,
        'e', 1156,
        'f', 1332,
        'i', 1376,
        'l', 1161,
        'p', 1169,
        'r', 1279,
        's', 1494,
        't', 1536,
        'u', 1379,
        'v', 1164,
        'w', 1256,
        '{', 1685,
        '|', 1741,
        '}', 1687,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(92);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_1, 802, lookahead)) ADVANCE(1542);
      END_STATE();
    case 93:
      ADVANCE_MAP(
        '!', 1807,
        '#', 325,
        '$', 748,
        '%', 1737,
        '&', 1657,
        '(', 1640,
        '*', 1734,
        '+', 1731,
        ',', 1631,
        '-', 1732,
        '.', 150,
        '/', 1736,
        ':', 1637,
        '<', 1669,
        '=', 173,
        '>', 1671,
        '?', 1651,
        '[', 1641,
        '^', 1743,
        '`', 189,
        'a', 1201,
        'b', 1400,
        'c', 1419,
        'e', 1158,
        'i', 1371,
        'l', 1161,
        'p', 1169,
        'r', 1279,
        'v', 1164,
        '{', 1685,
        '|', 1741,
        '}', 1687,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(93);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_1, 802, lookahead)) ADVANCE(1542);
      END_STATE();
    case 94:
      ADVANCE_MAP(
        '!', 1807,
        '#', 325,
        '$', 748,
        '%', 1737,
        '&', 1657,
        '(', 1640,
        '*', 1734,
        '+', 1731,
        ',', 1631,
        '-', 1732,
        '.', 150,
        '/', 1736,
        ':', 1637,
        '<', 1669,
        '=', 173,
        '>', 1671,
        '?', 1651,
        '[', 1641,
        '^', 1743,
        '`', 189,
        'a', 1201,
        'b', 1400,
        'c', 1419,
        'e', 1158,
        'i', 1371,
        'l', 1162,
        'p', 1169,
        'r', 1279,
        '{', 1685,
        '|', 1741,
        '}', 1687,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(94);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_1, 802, lookahead)) ADVANCE(1542);
      END_STATE();
    case 95:
      ADVANCE_MAP(
        '!', 1807,
        '#', 325,
        '$', 748,
        '%', 1737,
        '&', 1657,
        '*', 1734,
        '+', 1731,
        '-', 1732,
        '/', 1736,
        '<', 1669,
        '=', 173,
        '>', 1671,
        '^', 1742,
        '`', 189,
        'a', 1201,
        'b', 1400,
        'c', 1419,
        'e', 1158,
        'l', 1162,
        'p', 1169,
        'r', 1279,
        '|', 1741,
        '~', 1740,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(95);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_1, 802, lookahead)) ADVANCE(1542);
      END_STATE();
    case 96:
      ADVANCE_MAP(
        '!', 1807,
        '#', 325,
        '%', 1737,
        '&', 1657,
        '(', 1640,
        ')', 1628,
        '*', 1734,
        '+', 1731,
        ',', 1631,
        '-', 1732,
        '.', 1644,
        '/', 1736,
        '<', 1669,
        '=', 173,
        '>', 1671,
        '?', 1651,
        '[', 1641,
        '^', 1743,
        'i', 636,
        '{', 1685,
        '|', 1741,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(96);
      END_STATE();
    case 97:
      ADVANCE_MAP(
        '!', 1807,
        '#', 325,
        '%', 1737,
        '&', 1657,
        '(', 1640,
        '*', 1734,
        '+', 1731,
        ',', 1631,
        '-', 1732,
        '.', 150,
        '/', 1736,
        '<', 1669,
        '=', 173,
        '>', 1671,
        '?', 1652,
        '[', 1641,
        '^', 1743,
        'i', 514,
        '{', 1685,
        '|', 1741,
        '}', 1687,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(98);
      END_STATE();
    case 98:
      ADVANCE_MAP(
        '!', 1807,
        '#', 325,
        '%', 1737,
        '&', 1657,
        '(', 1640,
        '*', 1734,
        '+', 1731,
        ',', 1631,
        '-', 1732,
        '.', 150,
        '/', 1736,
        '<', 1669,
        '=', 173,
        '>', 1671,
        '?', 1651,
        '[', 1641,
        '^', 1743,
        'i', 514,
        '{', 1685,
        '|', 1741,
        '}', 1687,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(98);
      END_STATE();
    case 99:
      ADVANCE_MAP(
        '!', 1807,
        '#', 325,
        '%', 1737,
        '&', 1657,
        '(', 1640,
        '*', 1734,
        '+', 1731,
        '-', 1732,
        '.', 150,
        '/', 1736,
        '<', 1669,
        '=', 173,
        '>', 1671,
        '?', 1652,
        '@', 1840,
        '[', 1641,
        '^', 1743,
        'a', 253,
        'c', 470,
        'e', 515,
        'f', 445,
        'i', 540,
        'l', 192,
        's', 681,
        't', 738,
        'u', 534,
        'v', 201,
        'w', 334,
        '{', 1685,
        '|', 1741,
        '}', 1687,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(100);
      END_STATE();
    case 100:
      ADVANCE_MAP(
        '!', 1807,
        '#', 325,
        '%', 1737,
        '&', 1657,
        '(', 1640,
        '*', 1734,
        '+', 1731,
        '-', 1732,
        '.', 150,
        '/', 1736,
        '<', 1669,
        '=', 173,
        '>', 1671,
        '?', 1651,
        '@', 1840,
        '[', 1641,
        '^', 1743,
        'a', 253,
        'c', 470,
        'e', 515,
        'f', 445,
        'i', 540,
        'l', 192,
        's', 681,
        't', 738,
        'u', 534,
        'v', 201,
        'w', 334,
        '{', 1685,
        '|', 1741,
        '}', 1687,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(100);
      END_STATE();
    case 101:
      ADVANCE_MAP(
        '!', 1638,
        '#', 325,
        '$', 748,
        '&', 1657,
        '(', 1640,
        ')', 1628,
        ',', 1631,
        '.', 1646,
        '/', 162,
        ':', 1637,
        '<', 1668,
        '?', 1652,
        '@', 1841,
        '[', 1641,
        '`', 189,
        'a', 1197,
        'b', 1400,
        'c', 1419,
        'e', 1158,
        'i', 1391,
        'l', 1162,
        'p', 1169,
        'r', 1279,
        's', 1408,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(114);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_1, 802, lookahead)) ADVANCE(1542);
      END_STATE();
    case 102:
      ADVANCE_MAP(
        '!', 1638,
        '#', 325,
        '$', 748,
        '&', 1657,
        '(', 1640,
        ',', 1631,
        '.', 1643,
        '/', 162,
        ':', 1637,
        '<', 1668,
        '?', 1652,
        '@', 1841,
        '[', 1641,
        '`', 189,
        'a', 1197,
        'b', 1400,
        'c', 1154,
        'd', 1306,
        'e', 1158,
        'f', 1180,
        'i', 1370,
        'l', 1162,
        'm', 1515,
        'n', 1409,
        'o', 1424,
        'p', 1166,
        'r', 1230,
        's', 1407,
        'u', 1379,
        'w', 1256,
        '{', 1685,
        '}', 1687,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(115);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_1, 802, lookahead)) ADVANCE(1542);
      END_STATE();
    case 103:
      ADVANCE_MAP(
        '!', 1638,
        '#', 325,
        '$', 748,
        '&', 1657,
        '(', 1640,
        ',', 1631,
        '.', 1643,
        '/', 162,
        ':', 1637,
        '<', 1668,
        '?', 1652,
        '[', 1641,
        '`', 189,
        'a', 1197,
        'b', 1400,
        'c', 1419,
        'e', 1158,
        'i', 1372,
        'l', 1162,
        'p', 1169,
        'r', 1279,
        's', 1408,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(116);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_1, 802, lookahead)) ADVANCE(1542);
      END_STATE();
    case 104:
      ADVANCE_MAP(
        '!', 1638,
        '#', 325,
        '$', 748,
        '&', 1657,
        '(', 1640,
        ',', 1631,
        '.', 1643,
        '/', 162,
        '<', 1668,
        '?', 1652,
        '@', 1841,
        '[', 1641,
        '`', 189,
        'a', 1197,
        'b', 1400,
        'c', 1419,
        'e', 1158,
        'i', 1378,
        'l', 1162,
        'p', 1169,
        'r', 1279,
        's', 1408,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(117);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_1, 802, lookahead)) ADVANCE(1542);
      END_STATE();
    case 105:
      ADVANCE_MAP(
        '!', 1638,
        '#', 325,
        '$', 748,
        '(', 1640,
        '/', 162,
        '?', 1652,
        '_', 1843,
        '`', 189,
        'a', 1200,
        'b', 1400,
        'c', 1155,
        'e', 1158,
        'i', 1460,
        'l', 1161,
        'p', 1169,
        'r', 1279,
        'v', 1164,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(126);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_1, 802, lookahead)) ADVANCE(1542);
      END_STATE();
    case 106:
      ADVANCE_MAP(
        '!', 1638,
        '#', 325,
        '&', 1657,
        '(', 1640,
        ')', 1628,
        ',', 1631,
        '.', 1643,
        '/', 162,
        ':', 1637,
        '<', 1668,
        '>', 1670,
        '?', 1652,
        ']', 1642,
        '^', 742,
        'i', 513,
        'u', 1624,
        '{', 1685,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(141);
      END_STATE();
    case 107:
      ADVANCE_MAP(
        '!', 1638,
        '#', 325,
        '&', 1657,
        '(', 1640,
        ')', 1628,
        ',', 1631,
        '.', 1646,
        '/', 162,
        '0', 1574,
        ':', 1637,
        ';', 1808,
        '<', 1668,
        '>', 1670,
        '?', 1652,
        '@', 1841,
        'P', 605,
        'T', 732,
        ']', 1642,
        '^', 742,
        '_', 499,
        'a', 252,
        'b', 550,
        'c', 198,
        'd', 372,
        'e', 515,
        'f', 228,
        'g', 363,
        'i', 380,
        'l', 192,
        'm', 195,
        'n', 556,
        'o', 582,
        'p', 216,
        'r', 327,
        's', 364,
        't', 738,
        'u', 534,
        'v', 201,
        'w', 335,
        '{', 1685,
        '}', 1687,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(143);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(1574);
      END_STATE();
    case 108:
      ADVANCE_MAP(
        '!', 1806,
        '#', 325,
        '$', 748,
        ')', 1628,
        '/', 162,
        '?', 1651,
        '[', 1641,
        '`', 189,
        'a', 1201,
        'b', 1400,
        'c', 1419,
        'e', 1158,
        'l', 1162,
        'p', 1169,
        'r', 1279,
        's', 1252,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(108);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_1, 802, lookahead)) ADVANCE(1542);
      END_STATE();
    case 109:
      ADVANCE_MAP(
        '"', 1585,
        '#', 157,
        '$', 748,
        '.', 749,
        '/', 158,
        '0', 1572,
        '`', 189,
        'a', 1201,
        'b', 1400,
        'c', 1419,
        'e', 1158,
        'f', 1160,
        'l', 1162,
        'n', 1308,
        'p', 1169,
        'r', 1279,
        't', 1447,
        '}', 1687,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(109);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(1573);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_1, 802, lookahead)) ADVANCE(1542);
      END_STATE();
    case 110:
      if (lookahead == '"') ADVANCE(1585);
      if (lookahead == '#') ADVANCE(1597);
      if (lookahead == '/') ADVANCE(1590);
      if (lookahead == '\\') ADVANCE(1623);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(1589);
      if (lookahead != 0) ADVANCE(1621);
      END_STATE();
    case 111:
      if (lookahead == '"') ADVANCE(1627);
      END_STATE();
    case 112:
      if (lookahead == '"') ADVANCE(1584);
      if (lookahead == '#') ADVANCE(1597);
      if (lookahead == '/') ADVANCE(1590);
      if (lookahead == '\\') ADVANCE(1623);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(1589);
      if (lookahead != 0) ADVANCE(1621);
      END_STATE();
    case 113:
      if (lookahead == '#') ADVANCE(1633);
      if (lookahead == '/') ADVANCE(113);
      if (lookahead != 0) ADVANCE(160);
      END_STATE();
    case 114:
      ADVANCE_MAP(
        '#', 325,
        '$', 748,
        '&', 1657,
        '(', 1640,
        ')', 1628,
        ',', 1631,
        '.', 1646,
        '/', 162,
        ':', 1637,
        '<', 1668,
        '@', 1841,
        '[', 1641,
        '`', 189,
        'a', 1197,
        'b', 1400,
        'c', 1419,
        'e', 1158,
        'i', 1391,
        'l', 1162,
        'p', 1169,
        'r', 1279,
        's', 1408,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(114);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_1, 802, lookahead)) ADVANCE(1542);
      END_STATE();
    case 115:
      ADVANCE_MAP(
        '#', 325,
        '$', 748,
        '&', 1657,
        '(', 1640,
        ',', 1631,
        '.', 1643,
        '/', 162,
        ':', 1637,
        '<', 1668,
        '?', 1651,
        '@', 1841,
        '[', 1641,
        '`', 189,
        'a', 1197,
        'b', 1400,
        'c', 1154,
        'd', 1306,
        'e', 1158,
        'f', 1180,
        'i', 1370,
        'l', 1162,
        'm', 1515,
        'n', 1409,
        'o', 1424,
        'p', 1166,
        'r', 1230,
        's', 1407,
        'u', 1379,
        'w', 1256,
        '{', 1685,
        '}', 1687,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(115);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_1, 802, lookahead)) ADVANCE(1542);
      END_STATE();
    case 116:
      ADVANCE_MAP(
        '#', 325,
        '$', 748,
        '&', 1657,
        '(', 1640,
        ',', 1631,
        '.', 1643,
        '/', 162,
        ':', 1637,
        '<', 1668,
        '?', 1651,
        '[', 1641,
        '`', 189,
        'a', 1197,
        'b', 1400,
        'c', 1419,
        'e', 1158,
        'i', 1372,
        'l', 1162,
        'p', 1169,
        'r', 1279,
        's', 1408,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(116);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_1, 802, lookahead)) ADVANCE(1542);
      END_STATE();
    case 117:
      ADVANCE_MAP(
        '#', 325,
        '$', 748,
        '&', 1657,
        '(', 1640,
        ',', 1631,
        '.', 1643,
        '/', 162,
        '<', 1668,
        '@', 1841,
        '[', 1641,
        '`', 189,
        'a', 1197,
        'b', 1400,
        'c', 1419,
        'e', 1158,
        'i', 1378,
        'l', 1162,
        'p', 1169,
        'r', 1279,
        's', 1408,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(117);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_1, 802, lookahead)) ADVANCE(1542);
      END_STATE();
    case 118:
      ADVANCE_MAP(
        '#', 325,
        '$', 748,
        '(', 1640,
        ')', 1628,
        '*', 1733,
        ',', 1631,
        '/', 162,
        '0', 1574,
        ':', 1637,
        '<', 1668,
        '@', 1840,
        '`', 189,
        'a', 1201,
        'b', 1400,
        'c', 1419,
        'e', 1158,
        'l', 1162,
        'p', 1169,
        'r', 1279,
        '{', 1685,
        '}', 1687,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(118);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(1574);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_1, 802, lookahead)) ADVANCE(1542);
      END_STATE();
    case 119:
      ADVANCE_MAP(
        '#', 325,
        '$', 748,
        '(', 1640,
        ')', 1628,
        '/', 162,
        '@', 1841,
        '[', 1641,
        '_', 1843,
        '`', 189,
        'a', 1197,
        'b', 1400,
        'c', 1419,
        'e', 1158,
        'i', 1391,
        'l', 1162,
        'p', 1169,
        'r', 1279,
        's', 1408,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(119);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_1, 802, lookahead)) ADVANCE(1542);
      END_STATE();
    case 120:
      ADVANCE_MAP(
        '#', 325,
        '$', 748,
        '(', 1640,
        ')', 1628,
        '/', 162,
        '@', 1840,
        '[', 1641,
        '_', 1843,
        '`', 189,
        'a', 1197,
        'b', 1400,
        'c', 1419,
        'e', 1158,
        'l', 1162,
        'p', 1169,
        'r', 1279,
        's', 1408,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(120);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_1, 802, lookahead)) ADVANCE(1542);
      END_STATE();
    case 121:
      ADVANCE_MAP(
        '#', 325,
        '$', 748,
        '(', 1640,
        '/', 162,
        '<', 1668,
        '@', 1841,
        '[', 1641,
        '`', 189,
        'a', 1201,
        'b', 1400,
        'c', 1154,
        'd', 1306,
        'e', 1156,
        'f', 1302,
        'i', 1374,
        'l', 1161,
        'm', 1515,
        'n', 1409,
        'o', 1424,
        'p', 1166,
        'r', 1230,
        's', 1248,
        't', 1536,
        'u', 1379,
        'v', 1164,
        'w', 1256,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(121);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_1, 802, lookahead)) ADVANCE(1542);
      END_STATE();
    case 122:
      ADVANCE_MAP(
        '#', 325,
        '$', 748,
        '(', 1640,
        '/', 162,
        '<', 1668,
        '@', 1841,
        '[', 1641,
        '`', 189,
        'a', 1201,
        'b', 1400,
        'c', 1347,
        'd', 1305,
        'e', 1156,
        'f', 1302,
        'i', 1374,
        'l', 1161,
        'm', 1515,
        'n', 1409,
        'o', 1424,
        'p', 1166,
        'r', 1230,
        's', 1248,
        't', 1536,
        'u', 1379,
        'v', 1164,
        'w', 1255,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(122);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_1, 802, lookahead)) ADVANCE(1542);
      END_STATE();
    case 123:
      ADVANCE_MAP(
        '#', 325,
        '$', 748,
        '(', 1640,
        '/', 162,
        '<', 1668,
        '@', 1840,
        '[', 1641,
        '`', 189,
        'a', 1201,
        'b', 1400,
        'c', 1348,
        'e', 1156,
        'f', 1332,
        'i', 1377,
        'l', 1161,
        'p', 1169,
        'r', 1279,
        's', 1249,
        't', 1536,
        'u', 1379,
        'v', 1164,
        'w', 1256,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(123);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_1, 802, lookahead)) ADVANCE(1542);
      END_STATE();
    case 124:
      ADVANCE_MAP(
        '#', 325,
        '$', 748,
        '(', 1640,
        '/', 162,
        '<', 1668,
        '@', 1840,
        '[', 1641,
        '`', 189,
        'a', 1201,
        'b', 1400,
        'c', 1419,
        'e', 1158,
        'i', 1372,
        'l', 1162,
        'p', 1169,
        'r', 1279,
        's', 1252,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(124);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_1, 802, lookahead)) ADVANCE(1542);
      END_STATE();
    case 125:
      ADVANCE_MAP(
        '#', 325,
        '$', 748,
        '(', 1640,
        '/', 162,
        '_', 1843,
        '`', 189,
        'a', 1200,
        'b', 1400,
        'c', 1155,
        'e', 1158,
        'i', 1460,
        'l', 1161,
        'p', 1169,
        'r', 1279,
        't', 1445,
        'v', 1164,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(125);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_1, 802, lookahead)) ADVANCE(1542);
      END_STATE();
    case 126:
      ADVANCE_MAP(
        '#', 325,
        '$', 748,
        '(', 1640,
        '/', 162,
        '_', 1843,
        '`', 189,
        'a', 1200,
        'b', 1400,
        'c', 1155,
        'e', 1158,
        'i', 1460,
        'l', 1161,
        'p', 1169,
        'r', 1279,
        'v', 1164,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(126);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_1, 802, lookahead)) ADVANCE(1542);
      END_STATE();
    case 127:
      ADVANCE_MAP(
        '#', 325,
        '$', 748,
        '(', 1640,
        '/', 162,
        '_', 1843,
        '`', 189,
        'a', 1201,
        'b', 1400,
        'c', 1155,
        'e', 1158,
        'i', 1460,
        'l', 1161,
        'p', 1169,
        'r', 1279,
        'v', 1164,
        '{', 1685,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(127);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_1, 802, lookahead)) ADVANCE(1542);
      END_STATE();
    case 128:
      ADVANCE_MAP(
        '#', 325,
        '$', 748,
        ')', 1628,
        ',', 1631,
        '/', 162,
        ']', 1642,
        '`', 189,
        'a', 1201,
        'b', 1400,
        'c', 1419,
        'e', 1158,
        'i', 1286,
        'l', 1162,
        'p', 1169,
        'r', 1279,
        's', 1527,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(128);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_1, 802, lookahead)) ADVANCE(1542);
      END_STATE();
    case 129:
      ADVANCE_MAP(
        '#', 325,
        '$', 748,
        ',', 1631,
        '/', 162,
        ':', 1637,
        '`', 189,
        'a', 1201,
        'b', 1400,
        'c', 1419,
        'e', 1158,
        'i', 1372,
        'l', 1162,
        'p', 1169,
        'r', 1279,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(129);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_1, 802, lookahead)) ADVANCE(1542);
      END_STATE();
    case 130:
      ADVANCE_MAP(
        '#', 325,
        '$', 748,
        '/', 162,
        '@', 1841,
        '`', 189,
        'a', 1199,
        'b', 1400,
        'c', 1154,
        'd', 1229,
        'e', 1156,
        'f', 1302,
        'i', 1360,
        'l', 1161,
        'm', 1515,
        'n', 1409,
        'o', 1424,
        'p', 1167,
        'r', 1230,
        's', 1474,
        't', 1536,
        'u', 1379,
        'v', 1164,
        'w', 1256,
        '{', 752,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(130);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_1, 802, lookahead)) ADVANCE(1542);
      END_STATE();
    case 131:
      ADVANCE_MAP(
        '#', 325,
        '$', 748,
        '/', 162,
        '@', 1841,
        '`', 189,
        'a', 1199,
        'b', 1400,
        'c', 1347,
        'd', 1229,
        'e', 1156,
        'f', 1302,
        'i', 1360,
        'l', 1161,
        'm', 1515,
        'n', 1409,
        'o', 1424,
        'p', 1167,
        'r', 1230,
        's', 1474,
        't', 1536,
        'u', 1379,
        'v', 1164,
        'w', 1256,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(131);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_1, 802, lookahead)) ADVANCE(1542);
      END_STATE();
    case 132:
      ADVANCE_MAP(
        '#', 325,
        '$', 748,
        '/', 162,
        '@', 1841,
        '`', 189,
        'a', 1199,
        'b', 1400,
        'c', 1347,
        'd', 1306,
        'e', 1156,
        'f', 1302,
        'i', 1360,
        'l', 1161,
        'm', 1182,
        'n', 1409,
        'o', 1424,
        'p', 1167,
        'r', 1230,
        's', 1475,
        't', 1536,
        'u', 1379,
        'v', 1164,
        'w', 1256,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(132);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_1, 802, lookahead)) ADVANCE(1542);
      END_STATE();
    case 133:
      ADVANCE_MAP(
        '#', 325,
        '$', 748,
        '/', 162,
        '@', 1841,
        '`', 189,
        'a', 1201,
        'b', 1400,
        'c', 1154,
        'd', 1306,
        'e', 1158,
        'f', 1303,
        'i', 1370,
        'l', 1162,
        'm', 1515,
        'n', 1409,
        'o', 1424,
        'p', 1166,
        'r', 1230,
        's', 1506,
        'u', 1379,
        'w', 1256,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(133);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_1, 802, lookahead)) ADVANCE(1542);
      END_STATE();
    case 134:
      ADVANCE_MAP(
        '#', 325,
        '$', 748,
        '/', 162,
        '@', 1841,
        '`', 189,
        'a', 1201,
        'b', 1400,
        'c', 1347,
        'd', 1305,
        'e', 1158,
        'f', 1303,
        'i', 1370,
        'l', 1162,
        'm', 1515,
        'n', 1409,
        'o', 1424,
        'p', 1166,
        'r', 1230,
        's', 1506,
        'u', 1379,
        'w', 1255,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(134);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_1, 802, lookahead)) ADVANCE(1542);
      END_STATE();
    case 135:
      ADVANCE_MAP(
        '#', 325,
        '$', 748,
        '/', 162,
        'P', 1459,
        'T', 1539,
        '`', 189,
        'a', 1201,
        'b', 1400,
        'c', 1419,
        'e', 1158,
        'l', 1162,
        'p', 1169,
        'r', 1279,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(135);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_1, 802, lookahead)) ADVANCE(1542);
      END_STATE();
    case 136:
      ADVANCE_MAP(
        '#', 325,
        '$', 748,
        '/', 162,
        '`', 189,
        'a', 1201,
        'b', 1400,
        'c', 1348,
        'e', 1157,
        'f', 1514,
        'l', 1161,
        'p', 1168,
        'r', 1279,
        's', 1494,
        't', 1536,
        'v', 1164,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(136);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_1, 802, lookahead)) ADVANCE(1542);
      END_STATE();
    case 137:
      ADVANCE_MAP(
        '#', 325,
        '$', 748,
        '/', 162,
        '`', 189,
        'a', 1201,
        'b', 1400,
        'c', 1419,
        'e', 1158,
        'f', 1514,
        'i', 1399,
        'l', 1162,
        'p', 1169,
        'r', 1279,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(137);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_1, 802, lookahead)) ADVANCE(1542);
      END_STATE();
    case 138:
      ADVANCE_MAP(
        '#', 325,
        '$', 748,
        '/', 162,
        '`', 189,
        'a', 1201,
        'b', 1400,
        'c', 1419,
        'e', 1158,
        'f', 1160,
        'l', 1162,
        'p', 1169,
        'r', 1279,
        't', 1447,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(138);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_1, 802, lookahead)) ADVANCE(1542);
      END_STATE();
    case 139:
      ADVANCE_MAP(
        '#', 325,
        '$', 748,
        '/', 162,
        '`', 189,
        'a', 1201,
        'b', 1400,
        'c', 1419,
        'e', 1158,
        'l', 1161,
        'p', 1169,
        'r', 1279,
        'v', 1164,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(139);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_1, 802, lookahead)) ADVANCE(1542);
      END_STATE();
    case 140:
      ADVANCE_MAP(
        '#', 325,
        '$', 748,
        '/', 162,
        '`', 189,
        'a', 1201,
        'b', 1400,
        'c', 1419,
        'e', 1158,
        'l', 1162,
        'p', 1169,
        'r', 1279,
        's', 1252,
        'u', 1379,
        'w', 1256,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(140);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_1, 802, lookahead)) ADVANCE(1542);
      END_STATE();
    case 141:
      ADVANCE_MAP(
        '#', 325,
        '&', 1657,
        '(', 1640,
        ')', 1628,
        ',', 1631,
        '.', 1643,
        '/', 162,
        ':', 1637,
        '<', 1668,
        '>', 1670,
        '?', 1651,
        ']', 1642,
        '^', 742,
        'i', 513,
        'u', 1624,
        '{', 1685,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(141);
      END_STATE();
    case 142:
      ADVANCE_MAP(
        '#', 325,
        '&', 1657,
        '(', 1640,
        ')', 1628,
        ',', 1631,
        '.', 1643,
        '/', 162,
        ':', 1637,
        '<', 1668,
        '?', 1651,
        'i', 513,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(142);
      END_STATE();
    case 143:
      ADVANCE_MAP(
        '#', 325,
        '&', 1657,
        '(', 1640,
        ')', 1628,
        ',', 1631,
        '.', 1646,
        '/', 162,
        '0', 1574,
        ':', 1637,
        ';', 1808,
        '<', 1668,
        '>', 1670,
        '?', 1651,
        '@', 1841,
        'P', 605,
        'T', 732,
        ']', 1642,
        '^', 742,
        '_', 499,
        'a', 252,
        'b', 550,
        'c', 198,
        'd', 372,
        'e', 515,
        'f', 228,
        'g', 363,
        'i', 380,
        'l', 192,
        'm', 195,
        'n', 556,
        'o', 582,
        'p', 216,
        'r', 327,
        's', 364,
        't', 738,
        'u', 534,
        'v', 201,
        'w', 335,
        '{', 1685,
        '}', 1687,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(143);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(1574);
      END_STATE();
    case 144:
      ADVANCE_MAP(
        '#', 325,
        '(', 1640,
        '/', 162,
        '<', 1668,
        '@', 1840,
        '_', 499,
        'a', 253,
        'c', 470,
        'e', 515,
        'f', 445,
        'g', 362,
        'i', 539,
        'l', 192,
        'm', 706,
        'n', 575,
        's', 365,
        't', 738,
        'u', 534,
        'v', 201,
        'w', 334,
        '{', 1685,
        '}', 1687,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(144);
      END_STATE();
    case 145:
      if (lookahead == '#') ADVANCE(145);
      if (lookahead == '(') ADVANCE(1629);
      END_STATE();
    case 146:
      if (lookahead == '#') ADVANCE(1635);
      if (lookahead == '/') ADVANCE(806);
      if (lookahead != 0) ADVANCE(33);
      END_STATE();
    case 147:
      if (lookahead == '#') ADVANCE(1635);
      if (lookahead != 0) ADVANCE(33);
      END_STATE();
    case 148:
      if (lookahead == ')') ADVANCE(1903);
      END_STATE();
    case 149:
      if (lookahead == ')') ADVANCE(1904);
      END_STATE();
    case 150:
      if (lookahead == '.') ADVANCE(153);
      END_STATE();
    case 151:
      if (lookahead == '.') ADVANCE(153);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1570);
      END_STATE();
    case 152:
      if (lookahead == '.') ADVANCE(1727);
      END_STATE();
    case 153:
      if (lookahead == '.') ADVANCE(1727);
      if (lookahead == '<') ADVANCE(1728);
      END_STATE();
    case 154:
      ADVANCE_MAP(
        '/', 1,
        'a', 722,
        'c', 557,
        'd', 639,
        'e', 488,
        'f', 417,
        'i', 382,
        'k', 331,
        'l', 415,
        's', 366,
        'u', 521,
        'w', 205,
      );
      END_STATE();
    case 155:
      ADVANCE_MAP(
        '/', 1,
        'c', 557,
        'd', 639,
        'e', 489,
        'f', 417,
        'i', 382,
        'k', 331,
        'l', 415,
        's', 366,
        'w', 205,
      );
      END_STATE();
    case 156:
      ADVANCE_MAP(
        '/', 1,
        'c', 557,
        'd', 639,
        'e', 488,
        'f', 417,
        'i', 382,
        'k', 331,
        'l', 415,
        's', 366,
        'w', 205,
      );
      END_STATE();
    case 157:
      if (lookahead == '/') ADVANCE(1);
      if (lookahead == 'e') ADVANCE(488);
      if (lookahead == 'i') ADVANCE(381);
      if (lookahead == 's') ADVANCE(554);
      if (lookahead == 'w') ADVANCE(205);
      END_STATE();
    case 158:
      if (lookahead == '/') ADVANCE(809);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(744);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n') ADVANCE(159);
      END_STATE();
    case 159:
      if (lookahead == '/') ADVANCE(1636);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(744);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n') ADVANCE(159);
      END_STATE();
    case 160:
      if (lookahead == '/') ADVANCE(113);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(160);
      END_STATE();
    case 161:
      if (lookahead == '/') ADVANCE(113);
      if (lookahead != 0) ADVANCE(160);
      END_STATE();
    case 162:
      if (lookahead == '/') ADVANCE(810);
      END_STATE();
    case 163:
      if (lookahead == '/') ADVANCE(810);
      if (lookahead == '=') ADVANCE(1720);
      END_STATE();
    case 164:
      if (lookahead == '/') ADVANCE(806);
      if (lookahead != 0 &&
          lookahead != '#') ADVANCE(33);
      END_STATE();
    case 165:
      if (lookahead == '1') ADVANCE(1929);
      if (lookahead == '2') ADVANCE(1930);
      END_STATE();
    case 166:
      if (lookahead == ':') ADVANCE(1665);
      END_STATE();
    case 167:
      if (lookahead == ':') ADVANCE(1666);
      END_STATE();
    case 168:
      if (lookahead == '=') ADVANCE(1721);
      END_STATE();
    case 169:
      if (lookahead == '=') ADVANCE(1719);
      END_STATE();
    case 170:
      if (lookahead == '=') ADVANCE(1717);
      END_STATE();
    case 171:
      if (lookahead == '=') ADVANCE(1718);
      END_STATE();
    case 172:
      if (lookahead == '=') ADVANCE(1724);
      END_STATE();
    case 173:
      if (lookahead == '=') ADVANCE(172);
      END_STATE();
    case 174:
      if (lookahead == 'D') ADVANCE(1676);
      END_STATE();
    case 175:
      if (lookahead == 'L') ADVANCE(577);
      END_STATE();
    case 176:
      if (lookahead == 'L') ADVANCE(450);
      END_STATE();
    case 177:
      if (lookahead == 'L') ADVANCE(451);
      END_STATE();
    case 178:
      if (lookahead == 'M') ADVANCE(239);
      END_STATE();
    case 179:
      if (lookahead == 'P') ADVANCE(223);
      END_STATE();
    case 180:
      if (lookahead == 'S') ADVANCE(354);
      END_STATE();
    case 181:
      if (lookahead == 'S') ADVANCE(359);
      END_STATE();
    case 182:
      if (lookahead == '_') ADVANCE(182);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1573);
      END_STATE();
    case 183:
      if (lookahead == '_') ADVANCE(183);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(1577);
      END_STATE();
    case 184:
      if (lookahead == '_') ADVANCE(184);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(1576);
      END_STATE();
    case 185:
      if (lookahead == '_') ADVANCE(185);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1575);
      END_STATE();
    case 186:
      if (lookahead == '_') ADVANCE(186);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1570);
      END_STATE();
    case 187:
      if (lookahead == '_') ADVANCE(187);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1571);
      END_STATE();
    case 188:
      if (lookahead == '_') ADVANCE(188);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1574);
      END_STATE();
    case 189:
      if (lookahead == '`') ADVANCE(1544);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ') ADVANCE(189);
      END_STATE();
    case 190:
      if (lookahead == 'a') ADVANCE(254);
      if (lookahead == 'n') ADVANCE(705);
      if (lookahead == 'x') ADVANCE(678);
      END_STATE();
    case 191:
      if (lookahead == 'a') ADVANCE(456);
      if (lookahead == 'i') ADVANCE(473);
      if (lookahead == 'o') ADVANCE(595);
      if (lookahead == 'u') ADVANCE(517);
      END_STATE();
    case 192:
      if (lookahead == 'a') ADVANCE(741);
      if (lookahead == 'e') ADVANCE(658);
      END_STATE();
    case 193:
      if (lookahead == 'a') ADVANCE(256);
      if (lookahead == 'o') ADVANCE(645);
      if (lookahead == 'r') ADVANCE(301);
      if (lookahead == 'u') ADVANCE(245);
      END_STATE();
    case 194:
      if (lookahead == 'a') ADVANCE(395);
      END_STATE();
    case 195:
      if (lookahead == 'a') ADVANCE(277);
      if (lookahead == 'u') ADVANCE(680);
      END_STATE();
    case 196:
      if (lookahead == 'a') ADVANCE(453);
      END_STATE();
    case 197:
      if (lookahead == 'a') ADVANCE(644);
      if (lookahead == 'l') ADVANCE(206);
      if (lookahead == 'o') ADVANCE(503);
      END_STATE();
    case 198:
      if (lookahead == 'a') ADVANCE(644);
      if (lookahead == 'l') ADVANCE(206);
      if (lookahead == 'o') ADVANCE(512);
      END_STATE();
    case 199:
      if (lookahead == 'a') ADVANCE(501);
      END_STATE();
    case 200:
      if (lookahead == 'a') ADVANCE(454);
      END_STATE();
    case 201:
      if (lookahead == 'a') ADVANCE(596);
      END_STATE();
    case 202:
      if (lookahead == 'a') ADVANCE(592);
      END_STATE();
    case 203:
      if (lookahead == 'a') ADVANCE(493);
      END_STATE();
    case 204:
      if (lookahead == 'a') ADVANCE(386);
      END_STATE();
    case 205:
      if (lookahead == 'a') ADVANCE(611);
      END_STATE();
    case 206:
      if (lookahead == 'a') ADVANCE(642);
      END_STATE();
    case 207:
      if (lookahead == 'a') ADVANCE(606);
      END_STATE();
    case 208:
      if (lookahead == 'a') ADVANCE(494);
      END_STATE();
    case 209:
      if (lookahead == 'a') ADVANCE(691);
      if (lookahead == 'r') ADVANCE(716);
      END_STATE();
    case 210:
      if (lookahead == 'a') ADVANCE(460);
      END_STATE();
    case 211:
      if (lookahead == 'a') ADVANCE(638);
      END_STATE();
    case 212:
      if (lookahead == 'a') ADVANCE(525);
      END_STATE();
    case 213:
      if (lookahead == 'a') ADVANCE(693);
      END_STATE();
    case 214:
      if (lookahead == 'a') ADVANCE(462);
      END_STATE();
    case 215:
      if (lookahead == 'a') ADVANCE(463);
      END_STATE();
    case 216:
      if (lookahead == 'a') ADVANCE(255);
      if (lookahead == 'o') ADVANCE(645);
      if (lookahead == 'r') ADVANCE(302);
      if (lookahead == 'u') ADVANCE(245);
      END_STATE();
    case 217:
      if (lookahead == 'a') ADVANCE(465);
      END_STATE();
    case 218:
      if (lookahead == 'a') ADVANCE(466);
      END_STATE();
    case 219:
      if (lookahead == 'a') ADVANCE(622);
      END_STATE();
    case 220:
      if (lookahead == 'a') ADVANCE(664);
      END_STATE();
    case 221:
      if (lookahead == 'a') ADVANCE(467);
      END_STATE();
    case 222:
      if (lookahead == 'a') ADVANCE(468);
      END_STATE();
    case 223:
      if (lookahead == 'a') ADVANCE(676);
      END_STATE();
    case 224:
      if (lookahead == 'a') ADVANCE(677);
      END_STATE();
    case 225:
      if (lookahead == 'a') ADVANCE(249);
      END_STATE();
    case 226:
      if (lookahead == 'a') ADVANCE(396);
      END_STATE();
    case 227:
      if (lookahead == 'a') ADVANCE(426);
      END_STATE();
    case 228:
      if (lookahead == 'a') ADVANCE(482);
      if (lookahead == 'i') ADVANCE(473);
      if (lookahead == 'o') ADVANCE(595);
      if (lookahead == 'u') ADVANCE(517);
      END_STATE();
    case 229:
      if (lookahead == 'a') ADVANCE(482);
      if (lookahead == 'i') ADVANCE(473);
      if (lookahead == 'u') ADVANCE(517);
      END_STATE();
    case 230:
      if (lookahead == 'a') ADVANCE(427);
      END_STATE();
    case 231:
      if (lookahead == 'a') ADVANCE(387);
      END_STATE();
    case 232:
      if (lookahead == 'a') ADVANCE(481);
      END_STATE();
    case 233:
      if (lookahead == 'a') ADVANCE(682);
      END_STATE();
    case 234:
      if (lookahead == 'a') ADVANCE(683);
      END_STATE();
    case 235:
      if (lookahead == 'a') ADVANCE(684);
      END_STATE();
    case 236:
      if (lookahead == 'a') ADVANCE(686);
      END_STATE();
    case 237:
      if (lookahead == 'a') ADVANCE(687);
      END_STATE();
    case 238:
      if (lookahead == 'a') ADVANCE(694);
      END_STATE();
    case 239:
      if (lookahead == 'a') ADVANCE(279);
      END_STATE();
    case 240:
      if (lookahead == 'a') ADVANCE(697);
      END_STATE();
    case 241:
      if (lookahead == 'a') ADVANCE(695);
      END_STATE();
    case 242:
      if (lookahead == 'a') ADVANCE(250);
      END_STATE();
    case 243:
      if (lookahead == 'a') ADVANCE(452);
      END_STATE();
    case 244:
      if (lookahead == 'a') ADVANCE(725);
      END_STATE();
    case 245:
      if (lookahead == 'b') ADVANCE(474);
      END_STATE();
    case 246:
      if (lookahead == 'b') ADVANCE(646);
      END_STATE();
    case 247:
      if (lookahead == 'b') ADVANCE(646);
      if (lookahead == 'p') ADVANCE(352);
      END_STATE();
    case 248:
      if (lookahead == 'b') ADVANCE(718);
      END_STATE();
    case 249:
      if (lookahead == 'b') ADVANCE(484);
      END_STATE();
    case 250:
      if (lookahead == 'b') ADVANCE(486);
      END_STATE();
    case 251:
      if (lookahead == 'c') ADVANCE(674);
      if (lookahead == 'n') ADVANCE(733);
      if (lookahead == 's') ADVANCE(641);
      if (lookahead == 'w') ADVANCE(227);
      END_STATE();
    case 252:
      if (lookahead == 'c') ADVANCE(674);
      if (lookahead == 's') ADVANCE(641);
      END_STATE();
    case 253:
      if (lookahead == 'c') ADVANCE(674);
      if (lookahead == 's') ADVANCE(740);
      END_STATE();
    case 254:
      if (lookahead == 'c') ADVANCE(399);
      END_STATE();
    case 255:
      if (lookahead == 'c') ADVANCE(455);
      END_STATE();
    case 256:
      if (lookahead == 'c') ADVANCE(455);
      if (lookahead == 'r') ADVANCE(203);
      END_STATE();
    case 257:
      if (lookahead == 'c') ADVANCE(1787);
      END_STATE();
    case 258:
      if (lookahead == 'c') ADVANCE(1552);
      END_STATE();
    case 259:
      if (lookahead == 'c') ADVANCE(1856);
      END_STATE();
    case 260:
      if (lookahead == 'c') ADVANCE(1877);
      END_STATE();
    case 261:
      if (lookahead == 'c') ADVANCE(1880);
      END_STATE();
    case 262:
      if (lookahead == 'c') ADVANCE(400);
      END_STATE();
    case 263:
      if (lookahead == 'c') ADVANCE(349);
      if (lookahead == 'p') ADVANCE(367);
      if (lookahead == 'q') ADVANCE(719);
      if (lookahead == 't') ADVANCE(715);
      END_STATE();
    case 264:
      if (lookahead == 'c') ADVANCE(475);
      END_STATE();
    case 265:
      if (lookahead == 'c') ADVANCE(202);
      END_STATE();
    case 266:
      if (lookahead == 'c') ADVANCE(449);
      END_STATE();
    case 267:
      if (lookahead == 'c') ADVANCE(690);
      END_STATE();
    case 268:
      if (lookahead == 'c') ADVANCE(665);
      END_STATE();
    case 269:
      if (lookahead == 'c') ADVANCE(336);
      if (lookahead == 'f') ADVANCE(411);
      END_STATE();
    case 270:
      if (lookahead == 'c') ADVANCE(667);
      END_STATE();
    case 271:
      if (lookahead == 'c') ADVANCE(329);
      END_STATE();
    case 272:
      if (lookahead == 'c') ADVANCE(348);
      END_STATE();
    case 273:
      if (lookahead == 'c') ADVANCE(319);
      END_STATE();
    case 274:
      if (lookahead == 'c') ADVANCE(566);
      END_STATE();
    case 275:
      if (lookahead == 'c') ADVANCE(568);
      END_STATE();
    case 276:
      if (lookahead == 'c') ADVANCE(623);
      END_STATE();
    case 277:
      if (lookahead == 'c') ADVANCE(612);
      END_STATE();
    case 278:
      if (lookahead == 'c') ADVANCE(241);
      END_STATE();
    case 279:
      if (lookahead == 'c') ADVANCE(619);
      END_STATE();
    case 280:
      if (lookahead == 'c') ADVANCE(696);
      END_STATE();
    case 281:
      if (lookahead == 'd') ADVANCE(180);
      if (lookahead == 's') ADVANCE(679);
      END_STATE();
    case 282:
      if (lookahead == 'd') ADVANCE(1703);
      END_STATE();
    case 283:
      if (lookahead == 'd') ADVANCE(1759);
      END_STATE();
    case 284:
      if (lookahead == 'd') ADVANCE(165);
      END_STATE();
    case 285:
      if (lookahead == 'd') ADVANCE(1900);
      END_STATE();
    case 286:
      if (lookahead == 'd') ADVANCE(1850);
      END_STATE();
    case 287:
      if (lookahead == 'd') ADVANCE(1886);
      END_STATE();
    case 288:
      if (lookahead == 'd') ADVANCE(1853);
      END_STATE();
    case 289:
      if (lookahead == 'd') ADVANCE(428);
      END_STATE();
    case 290:
      if (lookahead == 'd') ADVANCE(428);
      if (lookahead == 'f') ADVANCE(407);
      if (lookahead == 'i') ADVANCE(669);
      if (lookahead == 'o') ADVANCE(711);
      if (lookahead == 't') ADVANCE(351);
      END_STATE();
    case 291:
      if (lookahead == 'd') ADVANCE(412);
      END_STATE();
    case 292:
      if (lookahead == 'd') ADVANCE(418);
      END_STATE();
    case 293:
      if (lookahead == 'd') ADVANCE(699);
      END_STATE();
    case 294:
      if (lookahead == 'd') ADVANCE(370);
      END_STATE();
    case 295:
      if (lookahead == 'd') ADVANCE(316);
      END_STATE();
    case 296:
      if (lookahead == 'd') ADVANCE(485);
      END_STATE();
    case 297:
      if (lookahead == 'e') ADVANCE(420);
      if (lookahead == 'i') ADVANCE(281);
      if (lookahead == 'o') ADVANCE(1711);
      if (lookahead == 'y') ADVANCE(527);
      END_STATE();
    case 298:
      if (lookahead == 'e') ADVANCE(263);
      END_STATE();
    case 299:
      if (lookahead == 'e') ADVANCE(459);
      if (lookahead == 'o') ADVANCE(497);
      if (lookahead == 't') ADVANCE(209);
      if (lookahead == 'u') ADVANCE(247);
      if (lookahead == 'w') ADVANCE(424);
      END_STATE();
    case 300:
      if (lookahead == 'e') ADVANCE(506);
      if (lookahead == 't') ADVANCE(422);
      END_STATE();
    case 301:
      if (lookahead == 'e') ADVANCE(269);
      if (lookahead == 'i') ADVANCE(721);
      if (lookahead == 'o') ADVANCE(593);
      END_STATE();
    case 302:
      if (lookahead == 'e') ADVANCE(269);
      if (lookahead == 'i') ADVANCE(721);
      if (lookahead == 'o') ADVANCE(701);
      END_STATE();
    case 303:
      if (lookahead == 'e') ADVANCE(1647);
      END_STATE();
    case 304:
      if (lookahead == 'e') ADVANCE(1705);
      END_STATE();
    case 305:
      if (lookahead == 'e') ADVANCE(1653);
      END_STATE();
    case 306:
      if (lookahead == 'e') ADVANCE(1578);
      END_STATE();
    case 307:
      if (lookahead == 'e') ADVANCE(1923);
      END_STATE();
    case 308:
      if (lookahead == 'e') ADVANCE(1675);
      END_STATE();
    case 309:
      if (lookahead == 'e') ADVANCE(1678);
      END_STATE();
    case 310:
      if (lookahead == 'e') ADVANCE(1581);
      END_STATE();
    case 311:
      if (lookahead == 'e') ADVANCE(1749);
      END_STATE();
    case 312:
      if (lookahead == 'e') ADVANCE(1564);
      END_STATE();
    case 313:
      if (lookahead == 'e') ADVANCE(1859);
      END_STATE();
    case 314:
      if (lookahead == 'e') ADVANCE(1755);
      END_STATE();
    case 315:
      if (lookahead == 'e') ADVANCE(1915);
      END_STATE();
    case 316:
      if (lookahead == 'e') ADVANCE(1844);
      END_STATE();
    case 317:
      if (lookahead == 'e') ADVANCE(1761);
      END_STATE();
    case 318:
      if (lookahead == 'e') ADVANCE(1681);
      END_STATE();
    case 319:
      if (lookahead == 'e') ADVANCE(1847);
      END_STATE();
    case 320:
      if (lookahead == 'e') ADVANCE(1865);
      END_STATE();
    case 321:
      if (lookahead == 'e') ADVANCE(1762);
      END_STATE();
    case 322:
      if (lookahead == 'e') ADVANCE(1896);
      END_STATE();
    case 323:
      if (lookahead == 'e') ADVANCE(148);
      END_STATE();
    case 324:
      if (lookahead == 'e') ADVANCE(1837);
      END_STATE();
    case 325:
      if (lookahead == 'e') ADVANCE(488);
      if (lookahead == 'i') ADVANCE(381);
      if (lookahead == 's') ADVANCE(554);
      if (lookahead == 'w') ADVANCE(205);
      END_STATE();
    case 326:
      if (lookahead == 'e') ADVANCE(594);
      END_STATE();
    case 327:
      if (lookahead == 'e') ADVANCE(588);
      END_STATE();
    case 328:
      if (lookahead == 'e') ADVANCE(398);
      END_STATE();
    case 329:
      if (lookahead == 'e') ADVANCE(175);
      END_STATE();
    case 330:
      if (lookahead == 'e') ADVANCE(149);
      END_STATE();
    case 331:
      if (lookahead == 'e') ADVANCE(734);
      END_STATE();
    case 332:
      if (lookahead == 'e') ADVANCE(591);
      END_STATE();
    case 333:
      if (lookahead == 'e') ADVANCE(657);
      if (lookahead == 'u') ADVANCE(207);
      END_STATE();
    case 334:
      if (lookahead == 'e') ADVANCE(196);
      END_STATE();
    case 335:
      if (lookahead == 'e') ADVANCE(196);
      if (lookahead == 'h') ADVANCE(443);
      if (lookahead == 'i') ADVANCE(472);
      END_STATE();
    case 336:
      if (lookahead == 'e') ADVANCE(294);
      END_STATE();
    case 337:
      if (lookahead == 'e') ADVANCE(284);
      END_STATE();
    case 338:
      if (lookahead == 'e') ADVANCE(285);
      END_STATE();
    case 339:
      if (lookahead == 'e') ADVANCE(628);
      END_STATE();
    case 340:
      if (lookahead == 'e') ADVANCE(200);
      END_STATE();
    case 341:
      if (lookahead == 'e') ADVANCE(528);
      END_STATE();
    case 342:
      if (lookahead == 'e') ADVANCE(471);
      END_STATE();
    case 343:
      if (lookahead == 'e') ADVANCE(286);
      END_STATE();
    case 344:
      if (lookahead == 'e') ADVANCE(280);
      END_STATE();
    case 345:
      if (lookahead == 'e') ADVANCE(293);
      END_STATE();
    case 346:
      if (lookahead == 'e') ADVANCE(536);
      END_STATE();
    case 347:
      if (lookahead == 'e') ADVANCE(287);
      END_STATE();
    case 348:
      if (lookahead == 'e') ADVANCE(397);
      END_STATE();
    case 349:
      if (lookahead == 'e') ADVANCE(408);
      END_STATE();
    case 350:
      if (lookahead == 'e') ADVANCE(288);
      END_STATE();
    case 351:
      if (lookahead == 'e') ADVANCE(629);
      END_STATE();
    case 352:
      if (lookahead == 'e') ADVANCE(598);
      END_STATE();
    case 353:
      if (lookahead == 'e') ADVANCE(232);
      END_STATE();
    case 354:
      if (lookahead == 'e') ADVANCE(662);
      END_STATE();
    case 355:
      if (lookahead == 'e') ADVANCE(601);
      END_STATE();
    case 356:
      if (lookahead == 'e') ADVANCE(607);
      END_STATE();
    case 357:
      if (lookahead == 'e') ADVANCE(458);
      if (lookahead == 't') ADVANCE(209);
      if (lookahead == 'u') ADVANCE(246);
      END_STATE();
    case 358:
      if (lookahead == 'e') ADVANCE(603);
      END_STATE();
    case 359:
      if (lookahead == 'e') ADVANCE(666);
      END_STATE();
    case 360:
      if (lookahead == 'e') ADVANCE(633);
      END_STATE();
    case 361:
      if (lookahead == 'e') ADVANCE(505);
      if (lookahead == 't') ADVANCE(422);
      END_STATE();
    case 362:
      if (lookahead == 'e') ADVANCE(670);
      END_STATE();
    case 363:
      if (lookahead == 'e') ADVANCE(670);
      if (lookahead == 'u') ADVANCE(207);
      END_STATE();
    case 364:
      if (lookahead == 'e') ADVANCE(671);
      if (lookahead == 't') ADVANCE(209);
      if (lookahead == 'u') ADVANCE(246);
      if (lookahead == 'w') ADVANCE(424);
      END_STATE();
    case 365:
      if (lookahead == 'e') ADVANCE(671);
      if (lookahead == 't') ADVANCE(608);
      END_STATE();
    case 366:
      if (lookahead == 'e') ADVANCE(479);
      if (lookahead == 'o') ADVANCE(709);
      END_STATE();
    case 367:
      if (lookahead == 'e') ADVANCE(220);
      END_STATE();
    case 368:
      if (lookahead == 'e') ADVANCE(624);
      END_STATE();
    case 369:
      if (lookahead == 'e') ADVANCE(270);
      END_STATE();
    case 370:
      if (lookahead == 'e') ADVANCE(538);
      END_STATE();
    case 371:
      if (lookahead == 'e') ADVANCE(544);
      END_STATE();
    case 372:
      if (lookahead == 'e') ADVANCE(419);
      if (lookahead == 'i') ADVANCE(281);
      if (lookahead == 'o') ADVANCE(1711);
      if (lookahead == 'y') ADVANCE(527);
      END_STATE();
    case 373:
      if (lookahead == 'e') ADVANCE(419);
      if (lookahead == 'i') ADVANCE(281);
      if (lookahead == 'y') ADVANCE(527);
      END_STATE();
    case 374:
      if (lookahead == 'e') ADVANCE(419);
      if (lookahead == 'i') ADVANCE(643);
      if (lookahead == 'y') ADVANCE(527);
      END_STATE();
    case 375:
      if (lookahead == 'e') ADVANCE(632);
      END_STATE();
    case 376:
      if (lookahead == 'e') ADVANCE(634);
      END_STATE();
    case 377:
      if (lookahead == 'e') ADVANCE(635);
      END_STATE();
    case 378:
      if (lookahead == 'e') ADVANCE(177);
      END_STATE();
    case 379:
      if (lookahead == 'f') ADVANCE(1658);
      if (lookahead == 'm') ADVANCE(589);
      if (lookahead == 'n') ADVANCE(1693);
      if (lookahead == 's') ADVANCE(1729);
      END_STATE();
    case 380:
      if (lookahead == 'f') ADVANCE(1658);
      if (lookahead == 'm') ADVANCE(589);
      if (lookahead == 'n') ADVANCE(290);
      END_STATE();
    case 381:
      if (lookahead == 'f') ADVANCE(1925);
      END_STATE();
    case 382:
      if (lookahead == 'f') ADVANCE(1925);
      if (lookahead == 'm') ADVANCE(194);
      END_STATE();
    case 383:
      if (lookahead == 'f') ADVANCE(1697);
      END_STATE();
    case 384:
      if (lookahead == 'f') ADVANCE(737);
      END_STATE();
    case 385:
      if (lookahead == 'f') ADVANCE(413);
      END_STATE();
    case 386:
      if (lookahead == 'f') ADVANCE(323);
      END_STATE();
    case 387:
      if (lookahead == 'f') ADVANCE(330);
      END_STATE();
    case 388:
      if (lookahead == 'g') ADVANCE(1928);
      END_STATE();
    case 389:
      if (lookahead == 'g') ADVANCE(1871);
      END_STATE();
    case 390:
      if (lookahead == 'g') ADVANCE(1895);
      END_STATE();
    case 391:
      if (lookahead == 'g') ADVANCE(1905);
      END_STATE();
    case 392:
      if (lookahead == 'g') ADVANCE(1908);
      END_STATE();
    case 393:
      if (lookahead == 'g') ADVANCE(1874);
      END_STATE();
    case 394:
      if (lookahead == 'g') ADVANCE(403);
      END_STATE();
    case 395:
      if (lookahead == 'g') ADVANCE(378);
      END_STATE();
    case 396:
      if (lookahead == 'g') ADVANCE(312);
      END_STATE();
    case 397:
      if (lookahead == 'g') ADVANCE(618);
      END_STATE();
    case 398:
      if (lookahead == 'g') ADVANCE(234);
      END_STATE();
    case 399:
      if (lookahead == 'h') ADVANCE(1555);
      END_STATE();
    case 400:
      if (lookahead == 'h') ADVANCE(1661);
      END_STATE();
    case 401:
      if (lookahead == 'h') ADVANCE(1713);
      END_STATE();
    case 402:
      if (lookahead == 'h') ADVANCE(1677);
      END_STATE();
    case 403:
      if (lookahead == 'h') ADVANCE(1708);
      END_STATE();
    case 404:
      if (lookahead == 'h') ADVANCE(212);
      END_STATE();
    case 405:
      if (lookahead == 'h') ADVANCE(609);
      if (lookahead == 'r') ADVANCE(712);
      if (lookahead == 'y') ADVANCE(590);
      END_STATE();
    case 406:
      if (lookahead == 'h') ADVANCE(615);
      END_STATE();
    case 407:
      if (lookahead == 'i') ADVANCE(729);
      END_STATE();
    case 408:
      if (lookahead == 'i') ADVANCE(723);
      END_STATE();
    case 409:
      if (lookahead == 'i') ADVANCE(457);
      if (lookahead == 'o') ADVANCE(504);
      END_STATE();
    case 410:
      if (lookahead == 'i') ADVANCE(248);
      END_STATE();
    case 411:
      if (lookahead == 'i') ADVANCE(730);
      END_STATE();
    case 412:
      if (lookahead == 'i') ADVANCE(381);
      END_STATE();
    case 413:
      if (lookahead == 'i') ADVANCE(731);
      END_STATE();
    case 414:
      if (lookahead == 'i') ADVANCE(342);
      END_STATE();
    case 415:
      if (lookahead == 'i') ADVANCE(533);
      END_STATE();
    case 416:
      if (lookahead == 'i') ADVANCE(586);
      END_STATE();
    case 417:
      if (lookahead == 'i') ADVANCE(478);
      if (lookahead == 'u') ADVANCE(519);
      END_STATE();
    case 418:
      if (lookahead == 'i') ADVANCE(384);
      END_STATE();
    case 419:
      if (lookahead == 'i') ADVANCE(542);
      END_STATE();
    case 420:
      if (lookahead == 'i') ADVANCE(542);
      if (lookahead == 'l') ADVANCE(328);
      END_STATE();
    case 421:
      if (lookahead == 'i') ADVANCE(650);
      if (lookahead == 'm') ADVANCE(720);
      END_STATE();
    case 422:
      if (lookahead == 'i') ADVANCE(579);
      END_STATE();
    case 423:
      if (lookahead == 'i') ADVANCE(522);
      END_STATE();
    case 424:
      if (lookahead == 'i') ADVANCE(688);
      END_STATE();
    case 425:
      if (lookahead == 'i') ADVANCE(570);
      END_STATE();
    case 426:
      if (lookahead == 'i') ADVANCE(659);
      END_STATE();
    case 427:
      if (lookahead == 'i') ADVANCE(480);
      END_STATE();
    case 428:
      if (lookahead == 'i') ADVANCE(625);
      END_STATE();
    case 429:
      if (lookahead == 'i') ADVANCE(259);
      END_STATE();
    case 430:
      if (lookahead == 'i') ADVANCE(516);
      END_STATE();
    case 431:
      if (lookahead == 'i') ADVANCE(260);
      END_STATE();
    case 432:
      if (lookahead == 'i') ADVANCE(518);
      END_STATE();
    case 433:
      if (lookahead == 'i') ADVANCE(661);
      END_STATE();
    case 434:
      if (lookahead == 'i') ADVANCE(261);
      END_STATE();
    case 435:
      if (lookahead == 'i') ADVANCE(520);
      END_STATE();
    case 436:
      if (lookahead == 'i') ADVANCE(523);
      END_STATE();
    case 437:
      if (lookahead == 'i') ADVANCE(526);
      END_STATE();
    case 438:
      if (lookahead == 'i') ADVANCE(531);
      END_STATE();
    case 439:
      if (lookahead == 'i') ADVANCE(211);
      END_STATE();
    case 440:
      if (lookahead == 'i') ADVANCE(295);
      END_STATE();
    case 441:
      if (lookahead == 'i') ADVANCE(572);
      END_STATE();
    case 442:
      if (lookahead == 'i') ADVANCE(626);
      END_STATE();
    case 443:
      if (lookahead == 'i') ADVANCE(483);
      END_STATE();
    case 444:
      if (lookahead == 'i') ADVANCE(574);
      END_STATE();
    case 445:
      if (lookahead == 'i') ADVANCE(529);
      if (lookahead == 'u') ADVANCE(517);
      END_STATE();
    case 446:
      if (lookahead == 'i') ADVANCE(371);
      END_STATE();
    case 447:
      if (lookahead == 'i') ADVANCE(724);
      END_STATE();
    case 448:
      if (lookahead == 'i') ADVANCE(698);
      END_STATE();
    case 449:
      if (lookahead == 'i') ADVANCE(235);
      END_STATE();
    case 450:
      if (lookahead == 'i') ADVANCE(702);
      END_STATE();
    case 451:
      if (lookahead == 'i') ADVANCE(703);
      END_STATE();
    case 452:
      if (lookahead == 'i') ADVANCE(491);
      END_STATE();
    case 453:
      if (lookahead == 'k') ADVANCE(1897);
      END_STATE();
    case 454:
      if (lookahead == 'k') ADVANCE(1757);
      END_STATE();
    case 455:
      if (lookahead == 'k') ADVANCE(226);
      END_STATE();
    case 456:
      if (lookahead == 'l') ADVANCE(477);
      END_STATE();
    case 457:
      if (lookahead == 'l') ADVANCE(1567);
      END_STATE();
    case 458:
      if (lookahead == 'l') ADVANCE(383);
      END_STATE();
    case 459:
      if (lookahead == 'l') ADVANCE(383);
      if (lookahead == 't') ADVANCE(1821);
      END_STATE();
    case 460:
      if (lookahead == 'l') ADVANCE(1889);
      END_STATE();
    case 461:
      if (lookahead == 'l') ADVANCE(1649);
      END_STATE();
    case 462:
      if (lookahead == 'l') ADVANCE(1862);
      END_STATE();
    case 463:
      if (lookahead == 'l') ADVANCE(1883);
      END_STATE();
    case 464:
      if (lookahead == 'l') ADVANCE(1778);
      END_STATE();
    case 465:
      if (lookahead == 'l') ADVANCE(178);
      END_STATE();
    case 466:
      if (lookahead == 'l') ADVANCE(1683);
      END_STATE();
    case 467:
      if (lookahead == 'l') ADVANCE(1682);
      END_STATE();
    case 468:
      if (lookahead == 'l') ADVANCE(1684);
      END_STATE();
    case 469:
      if (lookahead == 'l') ADVANCE(567);
      END_STATE();
    case 470:
      if (lookahead == 'l') ADVANCE(206);
      END_STATE();
    case 471:
      if (lookahead == 'l') ADVANCE(283);
      END_STATE();
    case 472:
      if (lookahead == 'l') ADVANCE(487);
      END_STATE();
    case 473:
      if (lookahead == 'l') ADVANCE(332);
      if (lookahead == 'n') ADVANCE(210);
      END_STATE();
    case 474:
      if (lookahead == 'l') ADVANCE(429);
      END_STATE();
    case 475:
      if (lookahead == 'l') ADVANCE(562);
      END_STATE();
    case 476:
      if (lookahead == 'l') ADVANCE(673);
      END_STATE();
    case 477:
      if (lookahead == 'l') ADVANCE(673);
      if (lookahead == 's') ADVANCE(310);
      END_STATE();
    case 478:
      if (lookahead == 'l') ADVANCE(308);
      END_STATE();
    case 479:
      if (lookahead == 'l') ADVANCE(344);
      END_STATE();
    case 480:
      if (lookahead == 'l') ADVANCE(225);
      END_STATE();
    case 481:
      if (lookahead == 'l') ADVANCE(439);
      END_STATE();
    case 482:
      if (lookahead == 'l') ADVANCE(476);
      END_STATE();
    case 483:
      if (lookahead == 'l') ADVANCE(311);
      END_STATE();
    case 484:
      if (lookahead == 'l') ADVANCE(317);
      END_STATE();
    case 485:
      if (lookahead == 'l') ADVANCE(318);
      END_STATE();
    case 486:
      if (lookahead == 'l') ADVANCE(321);
      END_STATE();
    case 487:
      if (lookahead == 'l') ADVANCE(181);
      END_STATE();
    case 488:
      if (lookahead == 'l') ADVANCE(647);
      if (lookahead == 'n') ADVANCE(291);
      if (lookahead == 'r') ADVANCE(630);
      END_STATE();
    case 489:
      if (lookahead == 'l') ADVANCE(647);
      if (lookahead == 'n') ADVANCE(291);
      if (lookahead == 'r') ADVANCE(630);
      if (lookahead == 'x') ADVANCE(700);
      END_STATE();
    case 490:
      if (lookahead == 'l') ADVANCE(236);
      END_STATE();
    case 491:
      if (lookahead == 'l') ADVANCE(242);
      END_STATE();
    case 492:
      if (lookahead == 'm') ADVANCE(1775);
      END_STATE();
    case 493:
      if (lookahead == 'm') ADVANCE(1913);
      END_STATE();
    case 494:
      if (lookahead == 'm') ADVANCE(1914);
      END_STATE();
    case 495:
      if (lookahead == 'm') ADVANCE(589);
      if (lookahead == 'n') ADVANCE(290);
      END_STATE();
    case 496:
      if (lookahead == 'm') ADVANCE(589);
      if (lookahead == 'n') ADVANCE(290);
      if (lookahead == 's') ADVANCE(1729);
      END_STATE();
    case 497:
      if (lookahead == 'm') ADVANCE(305);
      END_STATE();
    case 498:
      if (lookahead == 'm') ADVANCE(508);
      END_STATE();
    case 499:
      if (lookahead == 'm') ADVANCE(576);
      END_STATE();
    case 500:
      if (lookahead == 'm') ADVANCE(720);
      END_STATE();
    case 501:
      if (lookahead == 'm') ADVANCE(434);
      END_STATE();
    case 502:
      if (lookahead == 'm') ADVANCE(437);
      END_STATE();
    case 503:
      if (lookahead == 'n') ADVANCE(651);
      END_STATE();
    case 504:
      if (lookahead == 'n') ADVANCE(421);
      END_STATE();
    case 505:
      if (lookahead == 'n') ADVANCE(1868);
      END_STATE();
    case 506:
      if (lookahead == 'n') ADVANCE(1868);
      if (lookahead == 'r') ADVANCE(238);
      END_STATE();
    case 507:
      if (lookahead == 'n') ADVANCE(1753);
      END_STATE();
    case 508:
      if (lookahead == 'n') ADVANCE(1679);
      END_STATE();
    case 509:
      if (lookahead == 'n') ADVANCE(1680);
      END_STATE();
    case 510:
      if (lookahead == 'n') ADVANCE(1800);
      END_STATE();
    case 511:
      if (lookahead == 'n') ADVANCE(1924);
      END_STATE();
    case 512:
      if (lookahead == 'n') ADVANCE(652);
      END_STATE();
    case 513:
      if (lookahead == 'n') ADVANCE(1688);
      END_STATE();
    case 514:
      if (lookahead == 'n') ADVANCE(1688);
      if (lookahead == 's') ADVANCE(1729);
      END_STATE();
    case 515:
      if (lookahead == 'n') ADVANCE(705);
      if (lookahead == 'x') ADVANCE(678);
      END_STATE();
    case 516:
      if (lookahead == 'n') ADVANCE(388);
      END_STATE();
    case 517:
      if (lookahead == 'n') ADVANCE(257);
      END_STATE();
    case 518:
      if (lookahead == 'n') ADVANCE(389);
      END_STATE();
    case 519:
      if (lookahead == 'n') ADVANCE(267);
      END_STATE();
    case 520:
      if (lookahead == 'n') ADVANCE(390);
      END_STATE();
    case 521:
      if (lookahead == 'n') ADVANCE(244);
      END_STATE();
    case 522:
      if (lookahead == 'n') ADVANCE(713);
      END_STATE();
    case 523:
      if (lookahead == 'n') ADVANCE(391);
      END_STATE();
    case 524:
      if (lookahead == 'n') ADVANCE(258);
      END_STATE();
    case 525:
      if (lookahead == 'n') ADVANCE(296);
      END_STATE();
    case 526:
      if (lookahead == 'n') ADVANCE(392);
      END_STATE();
    case 527:
      if (lookahead == 'n') ADVANCE(199);
      END_STATE();
    case 528:
      if (lookahead == 'n') ADVANCE(655);
      END_STATE();
    case 529:
      if (lookahead == 'n') ADVANCE(210);
      END_STATE();
    case 530:
      if (lookahead == 'n') ADVANCE(500);
      END_STATE();
    case 531:
      if (lookahead == 'n') ADVANCE(393);
      END_STATE();
    case 532:
      if (lookahead == 'n') ADVANCE(653);
      END_STATE();
    case 533:
      if (lookahead == 'n') ADVANCE(309);
      END_STATE();
    case 534:
      if (lookahead == 'n') ADVANCE(546);
      END_STATE();
    case 535:
      if (lookahead == 'n') ADVANCE(338);
      END_STATE();
    case 536:
      if (lookahead == 'n') ADVANCE(446);
      END_STATE();
    case 537:
      if (lookahead == 'n') ADVANCE(214);
      END_STATE();
    case 538:
      if (lookahead == 'n') ADVANCE(272);
      END_STATE();
    case 539:
      if (lookahead == 'n') ADVANCE(289);
      END_STATE();
    case 540:
      if (lookahead == 'n') ADVANCE(289);
      if (lookahead == 's') ADVANCE(1729);
      END_STATE();
    case 541:
      if (lookahead == 'n') ADVANCE(430);
      END_STATE();
    case 542:
      if (lookahead == 'n') ADVANCE(433);
      END_STATE();
    case 543:
      if (lookahead == 'n') ADVANCE(215);
      END_STATE();
    case 544:
      if (lookahead == 'n') ADVANCE(273);
      END_STATE();
    case 545:
      if (lookahead == 'n') ADVANCE(217);
      END_STATE();
    case 546:
      if (lookahead == 'o') ADVANCE(727);
      END_STATE();
    case 547:
      if (lookahead == 'o') ADVANCE(727);
      if (lookahead == 'u') ADVANCE(649);
      END_STATE();
    case 548:
      if (lookahead == 'o') ADVANCE(1796);
      END_STATE();
    case 549:
      if (lookahead == 'o') ADVANCE(1799);
      END_STATE();
    case 550:
      if (lookahead == 'o') ADVANCE(631);
      END_STATE();
    case 551:
      if (lookahead == 'o') ADVANCE(631);
      if (lookahead == 'r') ADVANCE(340);
      END_STATE();
    case 552:
      if (lookahead == 'o') ADVANCE(404);
      END_STATE();
    case 553:
      if (lookahead == 'o') ADVANCE(726);
      END_STATE();
    case 554:
      if (lookahead == 'o') ADVANCE(709);
      END_STATE();
    case 555:
      if (lookahead == 'o') ADVANCE(728);
      END_STATE();
    case 556:
      if (lookahead == 'o') ADVANCE(504);
      END_STATE();
    case 557:
      if (lookahead == 'o') ADVANCE(469);
      END_STATE();
    case 558:
      if (lookahead == 'o') ADVANCE(266);
      END_STATE();
    case 559:
      if (lookahead == 'o') ADVANCE(710);
      END_STATE();
    case 560:
      if (lookahead == 'o') ADVANCE(707);
      END_STATE();
    case 561:
      if (lookahead == 'o') ADVANCE(597);
      END_STATE();
    case 562:
      if (lookahead == 'o') ADVANCE(654);
      END_STATE();
    case 563:
      if (lookahead == 'o') ADVANCE(621);
      END_STATE();
    case 564:
      if (lookahead == 'o') ADVANCE(264);
      END_STATE();
    case 565:
      if (lookahead == 'o') ADVANCE(274);
      END_STATE();
    case 566:
      if (lookahead == 'o') ADVANCE(461);
      END_STATE();
    case 567:
      if (lookahead == 'o') ADVANCE(599);
      if (lookahead == 'u') ADVANCE(498);
      END_STATE();
    case 568:
      if (lookahead == 'o') ADVANCE(464);
      END_STATE();
    case 569:
      if (lookahead == 'o') ADVANCE(600);
      END_STATE();
    case 570:
      if (lookahead == 'o') ADVANCE(509);
      END_STATE();
    case 571:
      if (lookahead == 'o') ADVANCE(602);
      END_STATE();
    case 572:
      if (lookahead == 'o') ADVANCE(510);
      END_STATE();
    case 573:
      if (lookahead == 'o') ADVANCE(604);
      END_STATE();
    case 574:
      if (lookahead == 'o') ADVANCE(511);
      END_STATE();
    case 575:
      if (lookahead == 'o') ADVANCE(530);
      END_STATE();
    case 576:
      if (lookahead == 'o') ADVANCE(292);
      END_STATE();
    case 577:
      if (lookahead == 'o') ADVANCE(278);
      END_STATE();
    case 578:
      if (lookahead == 'o') ADVANCE(490);
      END_STATE();
    case 579:
      if (lookahead == 'o') ADVANCE(543);
      END_STATE();
    case 580:
      if (lookahead == 'o') ADVANCE(275);
      END_STATE();
    case 581:
      if (lookahead == 'o') ADVANCE(692);
      END_STATE();
    case 582:
      if (lookahead == 'p') ADVANCE(300);
      if (lookahead == 'v') ADVANCE(339);
      END_STATE();
    case 583:
      if (lookahead == 'p') ADVANCE(1834);
      END_STATE();
    case 584:
      if (lookahead == 'p') ADVANCE(361);
      if (lookahead == 'v') ADVANCE(339);
      END_STATE();
    case 585:
      if (lookahead == 'p') ADVANCE(303);
      END_STATE();
    case 586:
      if (lookahead == 'p') ADVANCE(668);
      END_STATE();
    case 587:
      if (lookahead == 'p') ADVANCE(324);
      END_STATE();
    case 588:
      if (lookahead == 'p') ADVANCE(367);
      if (lookahead == 'q') ADVANCE(719);
      END_STATE();
    case 589:
      if (lookahead == 'p') ADVANCE(563);
      END_STATE();
    case 590:
      if (lookahead == 'p') ADVANCE(353);
      END_STATE();
    case 591:
      if (lookahead == 'p') ADVANCE(620);
      END_STATE();
    case 592:
      if (lookahead == 'p') ADVANCE(435);
      END_STATE();
    case 593:
      if (lookahead == 'p') ADVANCE(368);
      if (lookahead == 't') ADVANCE(580);
      END_STATE();
    case 594:
      if (lookahead == 'q') ADVANCE(719);
      END_STATE();
    case 595:
      if (lookahead == 'r') ADVANCE(1747);
      END_STATE();
    case 596:
      if (lookahead == 'r') ADVANCE(1784);
      END_STATE();
    case 597:
      if (lookahead == 'r') ADVANCE(1549);
      END_STATE();
    case 598:
      if (lookahead == 'r') ADVANCE(1700);
      END_STATE();
    case 599:
      if (lookahead == 'r') ADVANCE(176);
      END_STATE();
    case 600:
      if (lookahead == 'r') ADVANCE(1928);
      END_STATE();
    case 601:
      if (lookahead == 'r') ADVANCE(166);
      END_STATE();
    case 602:
      if (lookahead == 'r') ADVANCE(1833);
      END_STATE();
    case 603:
      if (lookahead == 'r') ADVANCE(1912);
      END_STATE();
    case 604:
      if (lookahead == 'r') ADVANCE(1664);
      END_STATE();
    case 605:
      if (lookahead == 'r') ADVANCE(581);
      END_STATE();
    case 606:
      if (lookahead == 'r') ADVANCE(282);
      END_STATE();
    case 607:
      if (lookahead == 'r') ADVANCE(167);
      END_STATE();
    case 608:
      if (lookahead == 'r') ADVANCE(716);
      END_STATE();
    case 609:
      if (lookahead == 'r') ADVANCE(553);
      END_STATE();
    case 610:
      if (lookahead == 'r') ADVANCE(555);
      END_STATE();
    case 611:
      if (lookahead == 'r') ADVANCE(541);
      END_STATE();
    case 612:
      if (lookahead == 'r') ADVANCE(548);
      END_STATE();
    case 613:
      if (lookahead == 'r') ADVANCE(271);
      END_STATE();
    case 614:
      if (lookahead == 'r') ADVANCE(507);
      END_STATE();
    case 615:
      if (lookahead == 'r') ADVANCE(559);
      END_STATE();
    case 616:
      if (lookahead == 'r') ADVANCE(410);
      END_STATE();
    case 617:
      if (lookahead == 'r') ADVANCE(440);
      END_STATE();
    case 618:
      if (lookahead == 'r') ADVANCE(560);
      END_STATE();
    case 619:
      if (lookahead == 'r') ADVANCE(549);
      END_STATE();
    case 620:
      if (lookahead == 'r') ADVANCE(447);
      END_STATE();
    case 621:
      if (lookahead == 'r') ADVANCE(663);
      END_STATE();
    case 622:
      if (lookahead == 'r') ADVANCE(208);
      END_STATE();
    case 623:
      if (lookahead == 'r') ADVANCE(416);
      END_STATE();
    case 624:
      if (lookahead == 'r') ADVANCE(675);
      END_STATE();
    case 625:
      if (lookahead == 'r') ADVANCE(369);
      END_STATE();
    case 626:
      if (lookahead == 'r') ADVANCE(343);
      END_STATE();
    case 627:
      if (lookahead == 'r') ADVANCE(322);
      END_STATE();
    case 628:
      if (lookahead == 'r') ADVANCE(617);
      END_STATE();
    case 629:
      if (lookahead == 'r') ADVANCE(537);
      END_STATE();
    case 630:
      if (lookahead == 'r') ADVANCE(569);
      END_STATE();
    case 631:
      if (lookahead == 'r') ADVANCE(610);
      END_STATE();
    case 632:
      if (lookahead == 'r') ADVANCE(545);
      END_STATE();
    case 633:
      if (lookahead == 'r') ADVANCE(218);
      END_STATE();
    case 634:
      if (lookahead == 'r') ADVANCE(221);
      END_STATE();
    case 635:
      if (lookahead == 'r') ADVANCE(222);
      END_STATE();
    case 636:
      if (lookahead == 's') ADVANCE(1729);
      END_STATE();
    case 637:
      if (lookahead == 's') ADVANCE(1772);
      END_STATE();
    case 638:
      if (lookahead == 's') ADVANCE(1766);
      END_STATE();
    case 639:
      if (lookahead == 's') ADVANCE(552);
      END_STATE();
    case 640:
      if (lookahead == 's') ADVANCE(265);
      END_STATE();
    case 641:
      if (lookahead == 's') ADVANCE(558);
      if (lookahead == 'y') ADVANCE(524);
      END_STATE();
    case 642:
      if (lookahead == 's') ADVANCE(637);
      END_STATE();
    case 643:
      if (lookahead == 's') ADVANCE(679);
      END_STATE();
    case 644:
      if (lookahead == 's') ADVANCE(304);
      END_STATE();
    case 645:
      if (lookahead == 's') ADVANCE(672);
      END_STATE();
    case 646:
      if (lookahead == 's') ADVANCE(276);
      END_STATE();
    case 647:
      if (lookahead == 's') ADVANCE(307);
      END_STATE();
    case 648:
      if (lookahead == 's') ADVANCE(204);
      if (lookahead == 'u') ADVANCE(532);
      END_STATE();
    case 649:
      if (lookahead == 's') ADVANCE(337);
      END_STATE();
    case 650:
      if (lookahead == 's') ADVANCE(578);
      END_STATE();
    case 651:
      if (lookahead == 's') ADVANCE(708);
      if (lookahead == 't') ADVANCE(423);
      if (lookahead == 'v') ADVANCE(346);
      END_STATE();
    case 652:
      if (lookahead == 's') ADVANCE(708);
      if (lookahead == 'v') ADVANCE(346);
      END_STATE();
    case 653:
      if (lookahead == 's') ADVANCE(231);
      END_STATE();
    case 654:
      if (lookahead == 's') ADVANCE(717);
      END_STATE();
    case 655:
      if (lookahead == 's') ADVANCE(441);
      END_STATE();
    case 656:
      if (lookahead == 't') ADVANCE(209);
      if (lookahead == 'u') ADVANCE(246);
      END_STATE();
    case 657:
      if (lookahead == 't') ADVANCE(1818);
      END_STATE();
    case 658:
      if (lookahead == 't') ADVANCE(1781);
      END_STATE();
    case 659:
      if (lookahead == 't') ADVANCE(1672);
      END_STATE();
    case 660:
      if (lookahead == 't') ADVANCE(1892);
      END_STATE();
    case 661:
      if (lookahead == 't') ADVANCE(1812);
      END_STATE();
    case 662:
      if (lookahead == 't') ADVANCE(1793);
      END_STATE();
    case 663:
      if (lookahead == 't') ADVANCE(1763);
      END_STATE();
    case 664:
      if (lookahead == 't') ADVANCE(1561);
      END_STATE();
    case 665:
      if (lookahead == 't') ADVANCE(1769);
      END_STATE();
    case 666:
      if (lookahead == 't') ADVANCE(1790);
      END_STATE();
    case 667:
      if (lookahead == 't') ADVANCE(1803);
      END_STATE();
    case 668:
      if (lookahead == 't') ADVANCE(1814);
      END_STATE();
    case 669:
      if (lookahead == 't') ADVANCE(1809);
      END_STATE();
    case 670:
      if (lookahead == 't') ADVANCE(1816);
      END_STATE();
    case 671:
      if (lookahead == 't') ADVANCE(1819);
      END_STATE();
    case 672:
      if (lookahead == 't') ADVANCE(385);
      END_STATE();
    case 673:
      if (lookahead == 't') ADVANCE(406);
      END_STATE();
    case 674:
      if (lookahead == 't') ADVANCE(561);
      END_STATE();
    case 675:
      if (lookahead == 't') ADVANCE(736);
      END_STATE();
    case 676:
      if (lookahead == 't') ADVANCE(401);
      END_STATE();
    case 677:
      if (lookahead == 't') ADVANCE(402);
      END_STATE();
    case 678:
      if (lookahead == 't') ADVANCE(341);
      END_STATE();
    case 679:
      if (lookahead == 't') ADVANCE(616);
      END_STATE();
    case 680:
      if (lookahead == 't') ADVANCE(213);
      END_STATE();
    case 681:
      if (lookahead == 't') ADVANCE(608);
      END_STATE();
    case 682:
      if (lookahead == 't') ADVANCE(313);
      END_STATE();
    case 683:
      if (lookahead == 't') ADVANCE(315);
      END_STATE();
    case 684:
      if (lookahead == 't') ADVANCE(345);
      END_STATE();
    case 685:
      if (lookahead == 't') ADVANCE(347);
      END_STATE();
    case 686:
      if (lookahead == 't') ADVANCE(350);
      END_STATE();
    case 687:
      if (lookahead == 't') ADVANCE(320);
      END_STATE();
    case 688:
      if (lookahead == 't') ADVANCE(262);
      END_STATE();
    case 689:
      if (lookahead == 't') ADVANCE(564);
      END_STATE();
    case 690:
      if (lookahead == 't') ADVANCE(425);
      END_STATE();
    case 691:
      if (lookahead == 't') ADVANCE(431);
      END_STATE();
    case 692:
      if (lookahead == 't') ADVANCE(565);
      END_STATE();
    case 693:
      if (lookahead == 't') ADVANCE(432);
      END_STATE();
    case 694:
      if (lookahead == 't') ADVANCE(571);
      END_STATE();
    case 695:
      if (lookahead == 't') ADVANCE(444);
      END_STATE();
    case 696:
      if (lookahead == 't') ADVANCE(573);
      END_STATE();
    case 697:
      if (lookahead == 't') ADVANCE(438);
      END_STATE();
    case 698:
      if (lookahead == 't') ADVANCE(360);
      END_STATE();
    case 699:
      if (lookahead == 't') ADVANCE(739);
      END_STATE();
    case 700:
      if (lookahead == 't') ADVANCE(375);
      END_STATE();
    case 701:
      if (lookahead == 't') ADVANCE(580);
      END_STATE();
    case 702:
      if (lookahead == 't') ADVANCE(376);
      END_STATE();
    case 703:
      if (lookahead == 't') ADVANCE(377);
      END_STATE();
    case 704:
      if (lookahead == 't') ADVANCE(240);
      END_STATE();
    case 705:
      if (lookahead == 'u') ADVANCE(492);
      END_STATE();
    case 706:
      if (lookahead == 'u') ADVANCE(680);
      END_STATE();
    case 707:
      if (lookahead == 'u') ADVANCE(583);
      END_STATE();
    case 708:
      if (lookahead == 'u') ADVANCE(502);
      END_STATE();
    case 709:
      if (lookahead == 'u') ADVANCE(613);
      END_STATE();
    case 710:
      if (lookahead == 'u') ADVANCE(394);
      END_STATE();
    case 711:
      if (lookahead == 'u') ADVANCE(660);
      END_STATE();
    case 712:
      if (lookahead == 'u') ADVANCE(306);
      if (lookahead == 'y') ADVANCE(1714);
      END_STATE();
    case 713:
      if (lookahead == 'u') ADVANCE(314);
      END_STATE();
    case 714:
      if (lookahead == 'u') ADVANCE(689);
      END_STATE();
    case 715:
      if (lookahead == 'u') ADVANCE(614);
      END_STATE();
    case 716:
      if (lookahead == 'u') ADVANCE(268);
      END_STATE();
    case 717:
      if (lookahead == 'u') ADVANCE(627);
      END_STATE();
    case 718:
      if (lookahead == 'u') ADVANCE(685);
      END_STATE();
    case 719:
      if (lookahead == 'u') ADVANCE(442);
      END_STATE();
    case 720:
      if (lookahead == 'u') ADVANCE(704);
      END_STATE();
    case 721:
      if (lookahead == 'v') ADVANCE(233);
      END_STATE();
    case 722:
      if (lookahead == 'v') ADVANCE(230);
      END_STATE();
    case 723:
      if (lookahead == 'v') ADVANCE(358);
      END_STATE();
    case 724:
      if (lookahead == 'v') ADVANCE(237);
      END_STATE();
    case 725:
      if (lookahead == 'v') ADVANCE(243);
      END_STATE();
    case 726:
      if (lookahead == 'w') ADVANCE(1751);
      END_STATE();
    case 727:
      if (lookahead == 'w') ADVANCE(535);
      END_STATE();
    case 728:
      if (lookahead == 'w') ADVANCE(436);
      END_STATE();
    case 729:
      if (lookahead == 'x') ADVANCE(1827);
      END_STATE();
    case 730:
      if (lookahead == 'x') ADVANCE(1824);
      END_STATE();
    case 731:
      if (lookahead == 'x') ADVANCE(1830);
      END_STATE();
    case 732:
      if (lookahead == 'y') ADVANCE(585);
      END_STATE();
    case 733:
      if (lookahead == 'y') ADVANCE(1655);
      END_STATE();
    case 734:
      if (lookahead == 'y') ADVANCE(179);
      END_STATE();
    case 735:
      if (lookahead == 'y') ADVANCE(1558);
      END_STATE();
    case 736:
      if (lookahead == 'y') ADVANCE(1911);
      END_STATE();
    case 737:
      if (lookahead == 'y') ADVANCE(1822);
      END_STATE();
    case 738:
      if (lookahead == 'y') ADVANCE(590);
      END_STATE();
    case 739:
      if (lookahead == 'y') ADVANCE(587);
      END_STATE();
    case 740:
      if (lookahead == 'y') ADVANCE(524);
      END_STATE();
    case 741:
      if (lookahead == 'z') ADVANCE(735);
      END_STATE();
    case 742:
      if (lookahead == '{') ADVANCE(1686);
      END_STATE();
    case 743:
      if (lookahead == '}') ADVANCE(1626);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(743);
      END_STATE();
    case 744:
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(744);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '/') ADVANCE(159);
      END_STATE();
    case 745:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(750);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1571);
      END_STATE();
    case 746:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(1577);
      END_STATE();
    case 747:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(1576);
      END_STATE();
    case 748:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1545);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_1, 802, lookahead)) ADVANCE(1547);
      END_STATE();
    case 749:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1570);
      END_STATE();
    case 750:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1571);
      END_STATE();
    case 751:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1575);
      END_STATE();
    case 752:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(743);
      END_STATE();
    case 753:
      if (lookahead != 0 &&
          lookahead != '#') ADVANCE(33);
      END_STATE();
    case 754:
      if (eof) ADVANCE(771);
      ADVANCE_MAP(
        '!', 1807,
        '"', 1585,
        '#', 39,
        '$', 748,
        '%', 1737,
        '&', 1657,
        '(', 1640,
        ')', 1628,
        '*', 1734,
        '+', 1731,
        ',', 1631,
        '-', 1732,
        '.', 1645,
        '/', 1735,
        '0', 1572,
        ':', 1637,
        ';', 1808,
        '<', 1669,
        '=', 173,
        '>', 1671,
        '?', 1651,
        '@', 1841,
        'P', 605,
        'T', 732,
        '[', 1641,
        '\\', 1623,
        ']', 1642,
        '^', 1743,
        '_', 1842,
        '`', 189,
        'a', 251,
        'b', 551,
        'c', 197,
        'd', 297,
        'e', 190,
        'f', 191,
        'g', 333,
        'i', 379,
        'l', 192,
        'm', 195,
        'n', 409,
        'o', 582,
        'p', 193,
        'r', 298,
        's', 299,
        't', 405,
        'u', 1625,
        'v', 201,
        'w', 335,
        'y', 414,
        '{', 1685,
        '|', 1741,
        '}', 1687,
        '~', 1740,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(754);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(1573);
      END_STATE();
    case 755:
      if (eof) ADVANCE(771);
      ADVANCE_MAP(
        '!', 1807,
        '"', 1585,
        '#', 40,
        '$', 748,
        '%', 1737,
        '&', 1657,
        '(', 1640,
        '*', 1734,
        '+', 1731,
        '-', 1732,
        '.', 151,
        '/', 1735,
        '0', 1572,
        '<', 1669,
        '=', 173,
        '>', 1671,
        '@', 1841,
        '[', 1641,
        '\\', 1622,
        '^', 1743,
        '`', 189,
        'a', 848,
        'b', 1034,
        'c', 990,
        'd', 947,
        'e', 815,
        'f', 816,
        'g', 1133,
        'i', 926,
        'l', 818,
        'm', 821,
        'n', 950,
        'o', 1051,
        'p', 824,
        'r', 880,
        's', 898,
        't', 945,
        'u', 1015,
        'v', 828,
        'w', 903,
        '{', 1685,
        '|', 1741,
        '~', 1740,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(755);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(1573);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_1, 802, lookahead)) ADVANCE(1542);
      END_STATE();
    case 756:
      if (eof) ADVANCE(771);
      ADVANCE_MAP(
        '!', 1807,
        '"', 1585,
        '#', 156,
        '$', 748,
        '%', 1737,
        '&', 1657,
        '(', 1640,
        ')', 1628,
        '*', 1734,
        '+', 1731,
        ',', 1631,
        '-', 1732,
        '.', 151,
        '/', 1735,
        '0', 1572,
        ':', 1637,
        '<', 1669,
        '=', 173,
        '>', 1671,
        '?', 1652,
        '[', 1641,
        '\\', 1622,
        ']', 1642,
        '^', 1743,
        '`', 189,
        'a', 1200,
        'b', 1400,
        'c', 1419,
        'e', 1158,
        'f', 1160,
        'i', 1285,
        'l', 1162,
        'n', 1308,
        'p', 1169,
        'r', 1279,
        's', 1251,
        't', 1436,
        '{', 1685,
        '|', 1741,
        '}', 1687,
        '~', 1740,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(757);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(1573);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_1, 802, lookahead)) ADVANCE(1542);
      END_STATE();
    case 757:
      if (eof) ADVANCE(771);
      ADVANCE_MAP(
        '!', 1807,
        '"', 1585,
        '#', 156,
        '$', 748,
        '%', 1737,
        '&', 1657,
        '(', 1640,
        ')', 1628,
        '*', 1734,
        '+', 1731,
        ',', 1631,
        '-', 1732,
        '.', 151,
        '/', 1735,
        '0', 1572,
        ':', 1637,
        '<', 1669,
        '=', 173,
        '>', 1671,
        '?', 1651,
        '[', 1641,
        '\\', 1622,
        ']', 1642,
        '^', 1743,
        '`', 189,
        'a', 1200,
        'b', 1400,
        'c', 1419,
        'e', 1158,
        'f', 1160,
        'i', 1285,
        'l', 1162,
        'n', 1308,
        'p', 1169,
        'r', 1279,
        's', 1251,
        't', 1436,
        '{', 1685,
        '|', 1741,
        '}', 1687,
        '~', 1740,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(757);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(1573);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_1, 802, lookahead)) ADVANCE(1542);
      END_STATE();
    case 758:
      if (eof) ADVANCE(771);
      ADVANCE_MAP(
        '!', 1807,
        '"', 1585,
        '#', 154,
        '$', 748,
        '%', 1737,
        '&', 1657,
        '(', 1640,
        ')', 1628,
        '*', 1734,
        '+', 1731,
        ',', 1631,
        '-', 1732,
        '.', 151,
        '/', 1735,
        '0', 1572,
        ':', 1637,
        '<', 1669,
        '=', 173,
        '>', 1671,
        '?', 1652,
        '[', 1641,
        '\\', 1622,
        ']', 1642,
        '^', 1743,
        '`', 189,
        'a', 1200,
        'b', 1400,
        'c', 1155,
        'e', 1158,
        'f', 1160,
        'i', 1285,
        'l', 1161,
        'n', 1308,
        'p', 1169,
        'r', 1279,
        's', 1251,
        't', 1436,
        'v', 1164,
        '{', 1685,
        '|', 1741,
        '}', 1687,
        '~', 1740,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(759);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(1573);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_1, 802, lookahead)) ADVANCE(1542);
      END_STATE();
    case 759:
      if (eof) ADVANCE(771);
      ADVANCE_MAP(
        '!', 1807,
        '"', 1585,
        '#', 154,
        '$', 748,
        '%', 1737,
        '&', 1657,
        '(', 1640,
        ')', 1628,
        '*', 1734,
        '+', 1731,
        ',', 1631,
        '-', 1732,
        '.', 151,
        '/', 1735,
        '0', 1572,
        ':', 1637,
        '<', 1669,
        '=', 173,
        '>', 1671,
        '?', 1651,
        '[', 1641,
        '\\', 1622,
        ']', 1642,
        '^', 1743,
        '`', 189,
        'a', 1200,
        'b', 1400,
        'c', 1155,
        'e', 1158,
        'f', 1160,
        'i', 1285,
        'l', 1161,
        'n', 1308,
        'p', 1169,
        'r', 1279,
        's', 1251,
        't', 1436,
        'v', 1164,
        '{', 1685,
        '|', 1741,
        '}', 1687,
        '~', 1740,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(759);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(1573);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_1, 802, lookahead)) ADVANCE(1542);
      END_STATE();
    case 760:
      if (eof) ADVANCE(771);
      ADVANCE_MAP(
        '!', 1807,
        '#', 325,
        '$', 748,
        '%', 1737,
        '&', 1657,
        '(', 1640,
        ')', 1628,
        '*', 1734,
        '+', 1731,
        ',', 1631,
        '-', 1732,
        '.', 1644,
        '/', 1736,
        '0', 1574,
        ':', 1637,
        '<', 1669,
        '=', 173,
        '>', 1671,
        '?', 1652,
        '[', 1641,
        ']', 1642,
        '^', 1743,
        '`', 189,
        'a', 1201,
        'b', 1400,
        'c', 1419,
        'e', 1158,
        'i', 1460,
        'l', 1162,
        'p', 1169,
        'r', 1279,
        '{', 1685,
        '|', 1741,
        '}', 1687,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(761);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(1574);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_1, 802, lookahead)) ADVANCE(1542);
      END_STATE();
    case 761:
      if (eof) ADVANCE(771);
      ADVANCE_MAP(
        '!', 1807,
        '#', 325,
        '$', 748,
        '%', 1737,
        '&', 1657,
        '(', 1640,
        ')', 1628,
        '*', 1734,
        '+', 1731,
        ',', 1631,
        '-', 1732,
        '.', 1644,
        '/', 1736,
        '0', 1574,
        ':', 1637,
        '<', 1669,
        '=', 173,
        '>', 1671,
        '?', 1651,
        '[', 1641,
        ']', 1642,
        '^', 1743,
        '`', 189,
        'a', 1201,
        'b', 1400,
        'c', 1419,
        'e', 1158,
        'i', 1460,
        'l', 1162,
        'p', 1169,
        'r', 1279,
        '{', 1685,
        '|', 1741,
        '}', 1687,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(761);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(1574);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_1, 802, lookahead)) ADVANCE(1542);
      END_STATE();
    case 762:
      if (eof) ADVANCE(771);
      ADVANCE_MAP(
        '!', 1807,
        '#', 325,
        '$', 748,
        '%', 1737,
        '&', 1657,
        '(', 1640,
        ')', 1628,
        '*', 1734,
        '+', 1731,
        ',', 1631,
        '-', 1732,
        '.', 1644,
        '/', 1736,
        ':', 1637,
        '<', 1669,
        '=', 173,
        '>', 1671,
        '?', 1652,
        '[', 1641,
        ']', 1642,
        '^', 1743,
        '`', 189,
        'a', 1197,
        'b', 1400,
        'c', 1419,
        'e', 1158,
        'i', 1460,
        'l', 1162,
        'p', 1169,
        'r', 1279,
        's', 1408,
        '{', 1685,
        '|', 1741,
        '}', 1687,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(763);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_1, 802, lookahead)) ADVANCE(1542);
      END_STATE();
    case 763:
      if (eof) ADVANCE(771);
      ADVANCE_MAP(
        '!', 1807,
        '#', 325,
        '$', 748,
        '%', 1737,
        '&', 1657,
        '(', 1640,
        ')', 1628,
        '*', 1734,
        '+', 1731,
        ',', 1631,
        '-', 1732,
        '.', 1644,
        '/', 1736,
        ':', 1637,
        '<', 1669,
        '=', 173,
        '>', 1671,
        '?', 1651,
        '[', 1641,
        ']', 1642,
        '^', 1743,
        '`', 189,
        'a', 1197,
        'b', 1400,
        'c', 1419,
        'e', 1158,
        'i', 1460,
        'l', 1162,
        'p', 1169,
        'r', 1279,
        's', 1408,
        '{', 1685,
        '|', 1741,
        '}', 1687,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(763);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_1, 802, lookahead)) ADVANCE(1542);
      END_STATE();
    case 764:
      if (eof) ADVANCE(771);
      ADVANCE_MAP(
        '!', 1807,
        '#', 325,
        '%', 1737,
        '&', 1657,
        '(', 1640,
        ')', 1628,
        '*', 1734,
        '+', 1731,
        ',', 1631,
        '-', 1732,
        '.', 1644,
        '/', 1736,
        ':', 1637,
        ';', 1808,
        '<', 1669,
        '=', 173,
        '>', 1671,
        '?', 1652,
        '@', 1841,
        '[', 1641,
        ']', 1642,
        '^', 1743,
        'a', 252,
        'b', 550,
        'c', 198,
        'd', 373,
        'e', 515,
        'f', 229,
        'i', 496,
        'l', 192,
        'm', 195,
        'n', 556,
        'o', 584,
        'p', 216,
        'r', 326,
        's', 357,
        't', 738,
        'u', 534,
        'v', 201,
        'w', 335,
        '{', 1685,
        '|', 1741,
        '}', 1687,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(765);
      END_STATE();
    case 765:
      if (eof) ADVANCE(771);
      ADVANCE_MAP(
        '!', 1807,
        '#', 325,
        '%', 1737,
        '&', 1657,
        '(', 1640,
        ')', 1628,
        '*', 1734,
        '+', 1731,
        ',', 1631,
        '-', 1732,
        '.', 1644,
        '/', 1736,
        ':', 1637,
        ';', 1808,
        '<', 1669,
        '=', 173,
        '>', 1671,
        '?', 1651,
        '@', 1841,
        '[', 1641,
        ']', 1642,
        '^', 1743,
        'a', 252,
        'b', 550,
        'c', 198,
        'd', 373,
        'e', 515,
        'f', 229,
        'i', 496,
        'l', 192,
        'm', 195,
        'n', 556,
        'o', 584,
        'p', 216,
        'r', 326,
        's', 357,
        't', 738,
        'u', 534,
        'v', 201,
        'w', 335,
        '{', 1685,
        '|', 1741,
        '}', 1687,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(765);
      END_STATE();
    case 766:
      if (eof) ADVANCE(771);
      ADVANCE_MAP(
        '!', 1638,
        '#', 325,
        '$', 748,
        '%', 168,
        '&', 1657,
        '(', 1640,
        ')', 1628,
        '*', 169,
        '+', 170,
        ',', 1631,
        '-', 171,
        '.', 1646,
        '/', 163,
        '0', 1574,
        ':', 1637,
        '<', 1668,
        '>', 1670,
        '?', 1652,
        '@', 1841,
        '[', 1641,
        '\\', 145,
        ']', 1642,
        '^', 742,
        '`', 189,
        'a', 1195,
        'b', 1400,
        'c', 1154,
        'd', 1229,
        'e', 1156,
        'f', 1302,
        'i', 1360,
        'l', 1161,
        'm', 1515,
        'n', 1409,
        'o', 1424,
        'p', 1165,
        'r', 1230,
        's', 1406,
        't', 1536,
        'u', 1379,
        'v', 1164,
        'w', 1256,
        '{', 1685,
        '}', 1687,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(769);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(1574);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_1, 802, lookahead)) ADVANCE(1542);
      END_STATE();
    case 767:
      if (eof) ADVANCE(771);
      ADVANCE_MAP(
        '!', 1638,
        '#', 325,
        '$', 748,
        '&', 1657,
        '(', 1640,
        ')', 1628,
        ',', 1631,
        '.', 1646,
        '/', 162,
        ':', 1637,
        '<', 1668,
        '>', 1670,
        '?', 1652,
        '@', 1840,
        '[', 1641,
        ']', 1642,
        '`', 189,
        'a', 1197,
        'b', 1400,
        'c', 1419,
        'e', 1158,
        'l', 1162,
        'p', 1169,
        'r', 1279,
        's', 1408,
        '{', 1685,
        '}', 1687,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(770);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_1, 802, lookahead)) ADVANCE(1542);
      END_STATE();
    case 768:
      if (eof) ADVANCE(771);
      ADVANCE_MAP(
        '!', 1806,
        '#', 325,
        '&', 1657,
        '(', 1640,
        ')', 1628,
        ',', 1631,
        '.', 1643,
        '/', 162,
        ':', 1637,
        '<', 1668,
        '?', 1651,
        '@', 1841,
        'a', 252,
        'b', 550,
        'c', 198,
        'd', 374,
        'e', 515,
        'f', 229,
        'i', 495,
        'l', 192,
        'm', 706,
        'n', 556,
        'o', 584,
        'p', 216,
        'r', 326,
        's', 656,
        't', 738,
        'u', 534,
        'v', 201,
        'w', 334,
        '{', 1685,
        '}', 1687,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(768);
      END_STATE();
    case 769:
      if (eof) ADVANCE(771);
      ADVANCE_MAP(
        '#', 325,
        '$', 748,
        '%', 168,
        '&', 1657,
        '(', 1640,
        ')', 1628,
        '*', 169,
        '+', 170,
        ',', 1631,
        '-', 171,
        '.', 1646,
        '/', 163,
        '0', 1574,
        ':', 1637,
        '<', 1668,
        '>', 1670,
        '?', 1651,
        '@', 1841,
        '[', 1641,
        '\\', 145,
        ']', 1642,
        '^', 742,
        '`', 189,
        'a', 1195,
        'b', 1400,
        'c', 1154,
        'd', 1229,
        'e', 1156,
        'f', 1302,
        'i', 1360,
        'l', 1161,
        'm', 1515,
        'n', 1409,
        'o', 1424,
        'p', 1165,
        'r', 1230,
        's', 1406,
        't', 1536,
        'u', 1379,
        'v', 1164,
        'w', 1256,
        '{', 1685,
        '}', 1687,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(769);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(1574);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_1, 802, lookahead)) ADVANCE(1542);
      END_STATE();
    case 770:
      if (eof) ADVANCE(771);
      ADVANCE_MAP(
        '#', 325,
        '$', 748,
        '&', 1657,
        '(', 1640,
        ')', 1628,
        ',', 1631,
        '.', 1646,
        '/', 162,
        ':', 1637,
        '<', 1668,
        '>', 1670,
        '?', 1651,
        '@', 1840,
        '[', 1641,
        ']', 1642,
        '`', 189,
        'a', 1197,
        'b', 1400,
        'c', 1419,
        'e', 1158,
        'l', 1162,
        'p', 1169,
        'r', 1279,
        's', 1408,
        '{', 1685,
        '}', 1687,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(770);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_1, 802, lookahead)) ADVANCE(1542);
      END_STATE();
    case 771:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 772:
      ACCEPT_TOKEN(anon_sym_POUND_BANG);
      END_STATE();
    case 773:
      ACCEPT_TOKEN(aux_sym_shebang_line_token1);
      if (lookahead == '#') ADVANCE(781);
      if (lookahead == '/') ADVANCE(774);
      if (lookahead == '\t' ||
          lookahead == 0x0b ||
          lookahead == '\f' ||
          lookahead == ' ') ADVANCE(773);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(804);
      END_STATE();
    case 774:
      ACCEPT_TOKEN(aux_sym_shebang_line_token1);
      if (lookahead == '/') ADVANCE(804);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(804);
      END_STATE();
    case 775:
      ACCEPT_TOKEN(aux_sym_shebang_line_token1);
      if (lookahead == 'L') ADVANCE(794);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(804);
      END_STATE();
    case 776:
      ACCEPT_TOKEN(aux_sym_shebang_line_token1);
      if (lookahead == 'a') ADVANCE(802);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(804);
      END_STATE();
    case 777:
      ACCEPT_TOKEN(aux_sym_shebang_line_token1);
      if (lookahead == 'a') ADVANCE(798);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(804);
      END_STATE();
    case 778:
      ACCEPT_TOKEN(aux_sym_shebang_line_token1);
      if (lookahead == 'c') ADVANCE(776);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(804);
      END_STATE();
    case 779:
      ACCEPT_TOKEN(aux_sym_shebang_line_token1);
      if (lookahead == 'c') ADVANCE(783);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(804);
      END_STATE();
    case 780:
      ACCEPT_TOKEN(aux_sym_shebang_line_token1);
      if (lookahead == 'd') ADVANCE(786);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(804);
      END_STATE();
    case 781:
      ACCEPT_TOKEN(aux_sym_shebang_line_token1);
      if (lookahead == 'e') ADVANCE(789);
      if (lookahead == 'i') ADVANCE(784);
      if (lookahead == 's') ADVANCE(793);
      if (lookahead == 'w') ADVANCE(777);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(804);
      END_STATE();
    case 782:
      ACCEPT_TOKEN(aux_sym_shebang_line_token1);
      if (lookahead == 'e') ADVANCE(786);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(804);
      END_STATE();
    case 783:
      ACCEPT_TOKEN(aux_sym_shebang_line_token1);
      if (lookahead == 'e') ADVANCE(775);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(804);
      END_STATE();
    case 784:
      ACCEPT_TOKEN(aux_sym_shebang_line_token1);
      if (lookahead == 'f') ADVANCE(804);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(804);
      END_STATE();
    case 785:
      ACCEPT_TOKEN(aux_sym_shebang_line_token1);
      if (lookahead == 'g') ADVANCE(804);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(804);
      END_STATE();
    case 786:
      ACCEPT_TOKEN(aux_sym_shebang_line_token1);
      if (lookahead == 'i') ADVANCE(784);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(804);
      END_STATE();
    case 787:
      ACCEPT_TOKEN(aux_sym_shebang_line_token1);
      if (lookahead == 'i') ADVANCE(791);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(804);
      END_STATE();
    case 788:
      ACCEPT_TOKEN(aux_sym_shebang_line_token1);
      if (lookahead == 'i') ADVANCE(795);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(804);
      END_STATE();
    case 789:
      ACCEPT_TOKEN(aux_sym_shebang_line_token1);
      if (lookahead == 'l') ADVANCE(801);
      if (lookahead == 'n') ADVANCE(780);
      if (lookahead == 'r') ADVANCE(800);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(804);
      END_STATE();
    case 790:
      ACCEPT_TOKEN(aux_sym_shebang_line_token1);
      if (lookahead == 'n') ADVANCE(804);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(804);
      END_STATE();
    case 791:
      ACCEPT_TOKEN(aux_sym_shebang_line_token1);
      if (lookahead == 'n') ADVANCE(785);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(804);
      END_STATE();
    case 792:
      ACCEPT_TOKEN(aux_sym_shebang_line_token1);
      if (lookahead == 'n') ADVANCE(787);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(804);
      END_STATE();
    case 793:
      ACCEPT_TOKEN(aux_sym_shebang_line_token1);
      if (lookahead == 'o') ADVANCE(803);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(804);
      END_STATE();
    case 794:
      ACCEPT_TOKEN(aux_sym_shebang_line_token1);
      if (lookahead == 'o') ADVANCE(778);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(804);
      END_STATE();
    case 795:
      ACCEPT_TOKEN(aux_sym_shebang_line_token1);
      if (lookahead == 'o') ADVANCE(790);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(804);
      END_STATE();
    case 796:
      ACCEPT_TOKEN(aux_sym_shebang_line_token1);
      if (lookahead == 'o') ADVANCE(797);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(804);
      END_STATE();
    case 797:
      ACCEPT_TOKEN(aux_sym_shebang_line_token1);
      if (lookahead == 'r') ADVANCE(804);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(804);
      END_STATE();
    case 798:
      ACCEPT_TOKEN(aux_sym_shebang_line_token1);
      if (lookahead == 'r') ADVANCE(792);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(804);
      END_STATE();
    case 799:
      ACCEPT_TOKEN(aux_sym_shebang_line_token1);
      if (lookahead == 'r') ADVANCE(779);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(804);
      END_STATE();
    case 800:
      ACCEPT_TOKEN(aux_sym_shebang_line_token1);
      if (lookahead == 'r') ADVANCE(796);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(804);
      END_STATE();
    case 801:
      ACCEPT_TOKEN(aux_sym_shebang_line_token1);
      if (lookahead == 's') ADVANCE(782);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(804);
      END_STATE();
    case 802:
      ACCEPT_TOKEN(aux_sym_shebang_line_token1);
      if (lookahead == 't') ADVANCE(788);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(804);
      END_STATE();
    case 803:
      ACCEPT_TOKEN(aux_sym_shebang_line_token1);
      if (lookahead == 'u') ADVANCE(799);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(804);
      END_STATE();
    case 804:
      ACCEPT_TOKEN(aux_sym_shebang_line_token1);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(804);
      END_STATE();
    case 805:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\n') ADVANCE(33);
      if (lookahead == '#') ADVANCE(810);
      if (lookahead != 0) ADVANCE(806);
      END_STATE();
    case 806:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\n') ADVANCE(34);
      if (lookahead == '/') ADVANCE(805);
      if (lookahead != 0) ADVANCE(806);
      END_STATE();
    case 807:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '*') ADVANCE(1667);
      if (lookahead == '/') ADVANCE(808);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(809);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n') ADVANCE(809);
      END_STATE();
    case 808:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '*') ADVANCE(1667);
      if (lookahead == '/') ADVANCE(808);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(810);
      END_STATE();
    case 809:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '/') ADVANCE(810);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(809);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n') ADVANCE(809);
      END_STATE();
    case 810:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(810);
      END_STATE();
    case 811:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1665);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 812:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1666);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 813:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'S') ADVANCE(918);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 814:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'S') ADVANCE(919);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 815:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'a') ADVANCE(850);
      if (lookahead == 'n') ADVANCE(1124);
      if (lookahead == 'x') ADVANCE(1108);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 816:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'a') ADVANCE(993);
      if (lookahead == 'i') ADVANCE(994);
      if (lookahead == 'o') ADVANCE(1061);
      if (lookahead == 'u') ADVANCE(1018);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 817:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'a') ADVANCE(993);
      if (lookahead == 'i') ADVANCE(1023);
      if (lookahead == 'o') ADVANCE(1061);
      if (lookahead == 'u') ADVANCE(1018);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 818:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'a') ADVANCE(1150);
      if (lookahead == 'e') ADVANCE(1095);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 819:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'a') ADVANCE(940);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 820:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'a') ADVANCE(1085);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 821:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'a') ADVANCE(865);
      if (lookahead == 'u') ADVANCE(1110);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 822:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'a') ADVANCE(1007);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 823:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'a') ADVANCE(979);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 824:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'a') ADVANCE(851);
      if (lookahead == 'o') ADVANCE(1090);
      if (lookahead == 'r') ADVANCE(881);
      if (lookahead == 'u') ADVANCE(846);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 825:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'a') ADVANCE(851);
      if (lookahead == 'o') ADVANCE(1090);
      if (lookahead == 'r') ADVANCE(921);
      if (lookahead == 'u') ADVANCE(846);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 826:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'a') ADVANCE(851);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 827:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'a') ADVANCE(980);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 828:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'a') ADVANCE(1062);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 829:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'a') ADVANCE(1063);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 830:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'a') ADVANCE(985);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 831:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'a') ADVANCE(1083);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 832:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'a') ADVANCE(986);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 833:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'a') ADVANCE(1122);
      if (lookahead == 'r') ADVANCE(1128);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 834:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'a') ADVANCE(987);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 835:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'a') ADVANCE(1112);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 836:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'a') ADVANCE(989);
      if (lookahead == 'i') ADVANCE(994);
      if (lookahead == 'o') ADVANCE(1061);
      if (lookahead == 'u') ADVANCE(1018);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 837:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'a') ADVANCE(1100);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 838:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'a') ADVANCE(1115);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 839:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'a') ADVANCE(968);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 840:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'a') ADVANCE(1113);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 841:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'a') ADVANCE(1093);
      if (lookahead == 'l') ADVANCE(820);
      if (lookahead == 'o') ADVANCE(1012);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 842:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'a') ADVANCE(1001);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 843:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'a') ADVANCE(1114);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 844:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'a') ADVANCE(1117);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 845:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'a') ADVANCE(1118);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 846:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'b') ADVANCE(995);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 847:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'b') ADVANCE(1135);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 848:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'c') ADVANCE(1119);
      if (lookahead == 's') ADVANCE(1084);
      if (lookahead == 'w') ADVANCE(839);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 849:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'c') ADVANCE(1119);
      if (lookahead == 's') ADVANCE(1148);
      if (lookahead == 'w') ADVANCE(839);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 850:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'c') ADVANCE(942);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 851:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'c') ADVANCE(981);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 852:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'c') ADVANCE(1788);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 853:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'c') ADVANCE(1553);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 854:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'c') ADVANCE(1857);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 855:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'c') ADVANCE(1878);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 856:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'c') ADVANCE(1881);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 857:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'c') ADVANCE(943);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 858:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'c') ADVANCE(976);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 859:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'c') ADVANCE(1047);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 860:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'c') ADVANCE(897);
      if (lookahead == 'f') ADVANCE(954);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 861:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'c') ADVANCE(1101);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 862:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'c') ADVANCE(1102);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 863:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'c') ADVANCE(908);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 864:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'c') ADVANCE(888);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 865:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'c') ADVANCE(1069);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 866:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'd') ADVANCE(1704);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 867:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'd') ADVANCE(1901);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 868:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'd') ADVANCE(1851);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 869:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'd') ADVANCE(1887);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 870:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'd') ADVANCE(1854);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 871:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'd') ADVANCE(813);
      if (lookahead == 's') ADVANCE(1111);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 872:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'd') ADVANCE(1760);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 873:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'd') ADVANCE(960);
      if (lookahead == 'f') ADVANCE(948);
      if (lookahead == 'i') ADVANCE(1096);
      if (lookahead == 'o') ADVANCE(1130);
      if (lookahead == 't') ADVANCE(913);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 874:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'd') ADVANCE(960);
      if (lookahead == 'f') ADVANCE(948);
      if (lookahead == 'o') ADVANCE(1130);
      if (lookahead == 't') ADVANCE(913);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 875:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'd') ADVANCE(960);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 876:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'd') ADVANCE(887);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 877:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'd') ADVANCE(1106);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 878:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'd') ADVANCE(955);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 879:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'd') ADVANCE(924);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 880:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'e') ADVANCE(1054);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 881:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'e') ADVANCE(860);
      if (lookahead == 'i') ADVANCE(1138);
      if (lookahead == 'o') ADVANCE(1121);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 882:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'e') ADVANCE(1579);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 883:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'e') ADVANCE(1582);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 884:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'e') ADVANCE(1750);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 885:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'e') ADVANCE(1565);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 886:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'e') ADVANCE(1860);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 887:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'e') ADVANCE(1845);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 888:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'e') ADVANCE(1848);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 889:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'e') ADVANCE(1866);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 890:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'e') ADVANCE(1838);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 891:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'e') ADVANCE(1053);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 892:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'e') ADVANCE(983);
      if (lookahead == 't') ADVANCE(833);
      if (lookahead == 'u') ADVANCE(1057);
      if (lookahead == 'w') ADVANCE(964);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 893:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'e') ADVANCE(983);
      if (lookahead == 't') ADVANCE(1068);
      if (lookahead == 'u') ADVANCE(1057);
      if (lookahead == 'w') ADVANCE(964);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 894:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'e') ADVANCE(1756);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 895:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'e') ADVANCE(1706);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 896:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'e') ADVANCE(1055);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 897:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'e') ADVANCE(879);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 898:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'e') ADVANCE(984);
      if (lookahead == 't') ADVANCE(833);
      if (lookahead == 'u') ADVANCE(1057);
      if (lookahead == 'w') ADVANCE(964);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 899:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'e') ADVANCE(984);
      if (lookahead == 't') ADVANCE(1068);
      if (lookahead == 'u') ADVANCE(1057);
      if (lookahead == 'w') ADVANCE(964);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 900:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'e') ADVANCE(1060);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 901:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'e') ADVANCE(867);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 902:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'e') ADVANCE(823);
      if (lookahead == 'h') ADVANCE(958);
      if (lookahead == 'i') ADVANCE(998);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 903:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'e') ADVANCE(823);
      if (lookahead == 'h') ADVANCE(958);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 904:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'e') ADVANCE(868);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 905:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'e') ADVANCE(877);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 906:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'e') ADVANCE(1010);
      if (lookahead == 't') ADVANCE(959);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 907:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'e') ADVANCE(869);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 908:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'e') ADVANCE(941);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 909:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'e') ADVANCE(1024);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 910:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'e') ADVANCE(870);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 911:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'e') ADVANCE(1029);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 912:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'e') ADVANCE(842);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 913:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'e') ADVANCE(1079);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 914:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'e') ADVANCE(1065);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 915:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'e') ADVANCE(827);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 916:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'e') ADVANCE(996);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 917:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'e') ADVANCE(1103);
      if (lookahead == 'u') ADVANCE(829);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 918:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'e') ADVANCE(1104);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 919:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'e') ADVANCE(1105);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 920:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'e') ADVANCE(1081);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 921:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'e') ADVANCE(933);
      if (lookahead == 'i') ADVANCE(1138);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 922:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'e') ADVANCE(837);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 923:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'e') ADVANCE(862);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 924:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'e') ADVANCE(1028);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 925:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'e') ADVANCE(1031);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 926:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'f') ADVANCE(1659);
      if (lookahead == 'm') ADVANCE(1059);
      if (lookahead == 'n') ADVANCE(873);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 927:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'f') ADVANCE(1659);
      if (lookahead == 'n') ADVANCE(874);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 928:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'f') ADVANCE(1659);
      if (lookahead == 'n') ADVANCE(1689);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 929:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'f') ADVANCE(1659);
      if (lookahead == 'n') ADVANCE(1690);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 930:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'f') ADVANCE(1659);
      if (lookahead == 'n') ADVANCE(875);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 931:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'f') ADVANCE(1698);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 932:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'f') ADVANCE(1147);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 933:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'f') ADVANCE(954);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 934:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'f') ADVANCE(956);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 935:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'g') ADVANCE(1872);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 936:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'g') ADVANCE(1906);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 937:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'g') ADVANCE(1909);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 938:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'g') ADVANCE(1875);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 939:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'g') ADVANCE(944);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 940:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'g') ADVANCE(885);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 941:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'g') ADVANCE(1071);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 942:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'h') ADVANCE(1556);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 943:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'h') ADVANCE(1662);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 944:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'h') ADVANCE(1709);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 945:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'h') ADVANCE(1066);
      if (lookahead == 'r') ADVANCE(1127);
      if (lookahead == 'y') ADVANCE(1058);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 946:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'h') ADVANCE(1074);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 947:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'i') ADVANCE(1086);
      if (lookahead == 'o') ADVANCE(1712);
      if (lookahead == 'y') ADVANCE(1021);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 948:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'i') ADVANCE(1143);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 949:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'i') ADVANCE(871);
      if (lookahead == 'o') ADVANCE(1712);
      if (lookahead == 'y') ADVANCE(1021);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 950:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'i') ADVANCE(982);
      if (lookahead == 'o') ADVANCE(1009);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 951:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'i') ADVANCE(982);
      if (lookahead == 'o') ADVANCE(1019);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 952:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'i') ADVANCE(982);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 953:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'i') ADVANCE(847);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 954:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'i') ADVANCE(1144);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 955:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'i') ADVANCE(932);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 956:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'i') ADVANCE(1145);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 957:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'i') ADVANCE(1091);
      if (lookahead == 'm') ADVANCE(1137);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 958:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'i') ADVANCE(997);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 959:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'i') ADVANCE(1050);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 960:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'i') ADVANCE(1072);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 961:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'i') ADVANCE(854);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 962:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'i') ADVANCE(1049);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 963:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'i') ADVANCE(1016);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 964:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'i') ADVANCE(1120);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 965:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'i') ADVANCE(855);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 966:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'i') ADVANCE(1017);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 967:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'i') ADVANCE(831);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 968:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'i') ADVANCE(1097);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 969:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'i') ADVANCE(856);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 970:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'i') ADVANCE(1020);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 971:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'i') ADVANCE(1022);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 972:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'i') ADVANCE(1026);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 973:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'i') ADVANCE(916);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 974:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'i') ADVANCE(876);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 975:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'i') ADVANCE(1076);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 976:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'i') ADVANCE(843);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 977:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'i') ADVANCE(925);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 978:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'i') ADVANCE(1139);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 979:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'k') ADVANCE(1898);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 980:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'k') ADVANCE(1758);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 981:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'k') ADVANCE(819);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 982:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'l') ADVANCE(1568);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 983:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'l') ADVANCE(931);
      if (lookahead == 't') ADVANCE(1820);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 984:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'l') ADVANCE(931);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 985:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'l') ADVANCE(1890);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 986:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'l') ADVANCE(1863);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 987:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'l') ADVANCE(1884);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 988:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'l') ADVANCE(1779);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 989:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'l') ADVANCE(999);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 990:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'l') ADVANCE(820);
      if (lookahead == 'o') ADVANCE(1008);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 991:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'l') ADVANCE(820);
      if (lookahead == 'o') ADVANCE(1012);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 992:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'l') ADVANCE(820);
      if (lookahead == 'o') ADVANCE(1014);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 993:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'l') ADVANCE(1092);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 994:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'l') ADVANCE(900);
      if (lookahead == 'n') ADVANCE(830);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 995:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'l') ADVANCE(961);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 996:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'l') ADVANCE(872);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 997:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'l') ADVANCE(884);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 998:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'l') ADVANCE(1000);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 999:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'l') ADVANCE(1109);
      if (lookahead == 's') ADVANCE(883);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1000:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'l') ADVANCE(814);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1001:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'l') ADVANCE(967);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1002:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'l') ADVANCE(844);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1003:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'm') ADVANCE(1776);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1004:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'm') ADVANCE(1046);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1005:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'm') ADVANCE(970);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1006:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'm') ADVANCE(1137);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1007:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'm') ADVANCE(969);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1008:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'n') ADVANCE(1089);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1009:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'n') ADVANCE(957);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1010:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'n') ADVANCE(1869);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1011:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'n') ADVANCE(1801);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1012:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'n') ADVANCE(1087);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1013:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'n') ADVANCE(1754);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1014:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'n') ADVANCE(1088);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1015:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'n') ADVANCE(1036);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1016:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'n') ADVANCE(935);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1017:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'n') ADVANCE(936);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1018:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'n') ADVANCE(852);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1019:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'n') ADVANCE(1006);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1020:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'n') ADVANCE(937);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1021:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'n') ADVANCE(822);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1022:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'n') ADVANCE(938);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1023:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'n') ADVANCE(830);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1024:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'n') ADVANCE(1094);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1025:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'n') ADVANCE(853);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1026:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'n') ADVANCE(1132);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1027:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'n') ADVANCE(901);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1028:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'n') ADVANCE(863);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1029:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'n') ADVANCE(977);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1030:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'n') ADVANCE(832);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1031:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'n') ADVANCE(864);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1032:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'n') ADVANCE(834);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1033:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'o') ADVANCE(1080);
      if (lookahead == 'r') ADVANCE(915);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1034:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'o') ADVANCE(1080);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1035:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'o') ADVANCE(1712);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1036:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'o') ADVANCE(1141);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1037:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'o') ADVANCE(1797);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1038:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'o') ADVANCE(1140);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1039:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'o') ADVANCE(1142);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1040:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'o') ADVANCE(858);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1041:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'o') ADVANCE(1064);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1042:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'o') ADVANCE(1002);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1043:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'o') ADVANCE(1126);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1044:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'o') ADVANCE(1075);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1045:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'o') ADVANCE(859);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1046:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'o') ADVANCE(878);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1047:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'o') ADVANCE(988);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1048:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'o') ADVANCE(1129);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1049:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'o') ADVANCE(1011);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1050:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'o') ADVANCE(1032);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1051:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'p') ADVANCE(906);
      if (lookahead == 'v') ADVANCE(920);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1052:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'p') ADVANCE(1835);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1053:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'p') ADVANCE(922);
      if (lookahead == 'q') ADVANCE(1136);
      if (lookahead == 't') ADVANCE(1131);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1054:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'p') ADVANCE(922);
      if (lookahead == 'q') ADVANCE(1136);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1055:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'p') ADVANCE(922);
      if (lookahead == 't') ADVANCE(1131);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1056:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'p') ADVANCE(890);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1057:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'p') ADVANCE(914);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1058:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'p') ADVANCE(912);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1059:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'p') ADVANCE(1044);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1060:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'p') ADVANCE(1077);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1061:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'r') ADVANCE(1748);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1062:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'r') ADVANCE(1785);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1063:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'r') ADVANCE(866);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1064:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'r') ADVANCE(1550);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1065:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'r') ADVANCE(1701);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1066:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'r') ADVANCE(1038);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1067:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'r') ADVANCE(1039);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1068:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'r') ADVANCE(1128);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1069:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'r') ADVANCE(1037);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1070:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'r') ADVANCE(953);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1071:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'r') ADVANCE(1043);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1072:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'r') ADVANCE(923);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1073:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'r') ADVANCE(974);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1074:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'r') ADVANCE(1048);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1075:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'r') ADVANCE(1099);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1076:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'r') ADVANCE(904);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1077:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'r') ADVANCE(978);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1078:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'r') ADVANCE(1013);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1079:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'r') ADVANCE(1030);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1080:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'r') ADVANCE(1067);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1081:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'r') ADVANCE(1073);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1082:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 's') ADVANCE(1773);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1083:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 's') ADVANCE(1767);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1084:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 's') ADVANCE(1040);
      if (lookahead == 'y') ADVANCE(1025);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1085:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 's') ADVANCE(1082);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1086:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 's') ADVANCE(1111);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1087:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 's') ADVANCE(1134);
      if (lookahead == 't') ADVANCE(972);
      if (lookahead == 'v') ADVANCE(911);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1088:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 's') ADVANCE(1134);
      if (lookahead == 't') ADVANCE(972);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1089:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 's') ADVANCE(1134);
      if (lookahead == 'v') ADVANCE(911);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1090:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 's') ADVANCE(1107);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1091:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 's') ADVANCE(1042);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1092:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 's') ADVANCE(883);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1093:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 's') ADVANCE(895);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1094:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 's') ADVANCE(962);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1095:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 't') ADVANCE(1782);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1096:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 't') ADVANCE(1810);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1097:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 't') ADVANCE(1673);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1098:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 't') ADVANCE(1893);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1099:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 't') ADVANCE(1764);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1100:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 't') ADVANCE(1562);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1101:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 't') ADVANCE(1770);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1102:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 't') ADVANCE(1804);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1103:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 't') ADVANCE(1817);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1104:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 't') ADVANCE(1794);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1105:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 't') ADVANCE(1791);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1106:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 't') ADVANCE(1149);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1107:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 't') ADVANCE(934);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1108:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 't') ADVANCE(909);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1109:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 't') ADVANCE(946);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1110:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 't') ADVANCE(835);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1111:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 't') ADVANCE(1070);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1112:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 't') ADVANCE(963);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1113:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 't') ADVANCE(886);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1114:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 't') ADVANCE(905);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1115:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 't') ADVANCE(971);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1116:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 't') ADVANCE(907);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1117:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 't') ADVANCE(910);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1118:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 't') ADVANCE(889);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1119:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 't') ADVANCE(1041);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1120:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 't') ADVANCE(857);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1121:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 't') ADVANCE(1045);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1122:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 't') ADVANCE(965);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1123:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 't') ADVANCE(838);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1124:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'u') ADVANCE(1003);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1125:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'u') ADVANCE(1110);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1126:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'u') ADVANCE(1052);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1127:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'u') ADVANCE(882);
      if (lookahead == 'y') ADVANCE(1715);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1128:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'u') ADVANCE(861);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1129:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'u') ADVANCE(939);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1130:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'u') ADVANCE(1098);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1131:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'u') ADVANCE(1078);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1132:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'u') ADVANCE(894);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1133:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'u') ADVANCE(829);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1134:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'u') ADVANCE(1005);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1135:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'u') ADVANCE(1116);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1136:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'u') ADVANCE(975);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1137:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'u') ADVANCE(1123);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1138:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'v') ADVANCE(840);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1139:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'v') ADVANCE(845);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1140:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'w') ADVANCE(1752);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1141:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'w') ADVANCE(1027);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1142:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'w') ADVANCE(966);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1143:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'x') ADVANCE(1828);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1144:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'x') ADVANCE(1825);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1145:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'x') ADVANCE(1831);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1146:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'y') ADVANCE(1559);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1147:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'y') ADVANCE(1823);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1148:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'y') ADVANCE(1025);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1149:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'y') ADVANCE(1056);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1150:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'z') ADVANCE(1146);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'y')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1151:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1152:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'S') ADVANCE(1271);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1153:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'S') ADVANCE(1272);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1154:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'a') ADVANCE(1464);
      if (lookahead == 'l') ADVANCE(1172);
      if (lookahead == 'o') ADVANCE(1365);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1155:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'a') ADVANCE(1464);
      if (lookahead == 'o') ADVANCE(1389);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1156:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'a') ADVANCE(1202);
      if (lookahead == 'n') ADVANCE(1512);
      if (lookahead == 'x') ADVANCE(1491);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1157:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'a') ADVANCE(1202);
      if (lookahead == 'n') ADVANCE(1512);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1158:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'a') ADVANCE(1202);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1159:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'a') ADVANCE(1356);
      if (lookahead == 'i') ADVANCE(1349);
      if (lookahead == 'u') ADVANCE(1381);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1160:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'a') ADVANCE(1356);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1161:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'a') ADVANCE(1540);
      if (lookahead == 'e') ADVANCE(1476);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1162:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'a') ADVANCE(1540);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1163:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'a') ADVANCE(1296);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1164:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'a') ADVANCE(1437);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1165:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'a') ADVANCE(1203);
      if (lookahead == 'o') ADVANCE(1470);
      if (lookahead == 'r') ADVANCE(1231);
      if (lookahead == 'u') ADVANCE(1193);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1166:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'a') ADVANCE(1203);
      if (lookahead == 'o') ADVANCE(1470);
      if (lookahead == 'r') ADVANCE(1275);
      if (lookahead == 'u') ADVANCE(1193);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1167:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'a') ADVANCE(1203);
      if (lookahead == 'o') ADVANCE(1470);
      if (lookahead == 'r') ADVANCE(1274);
      if (lookahead == 'u') ADVANCE(1193);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1168:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'a') ADVANCE(1203);
      if (lookahead == 'r') ADVANCE(1414);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1169:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'a') ADVANCE(1203);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1170:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'a') ADVANCE(1363);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1171:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'a') ADVANCE(1336);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1172:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'a') ADVANCE(1468);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1173:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'a') ADVANCE(1341);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1174:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'a') ADVANCE(1342);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1175:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'a') ADVANCE(1462);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1176:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'a') ADVANCE(1343);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1177:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'a') ADVANCE(1504);
      if (lookahead == 'r') ADVANCE(1516);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1178:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'a') ADVANCE(1504);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1179:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'a') ADVANCE(1345);
      if (lookahead == 'i') ADVANCE(1349);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1180:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'a') ADVANCE(1351);
      if (lookahead == 'i') ADVANCE(1349);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1181:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'a') ADVANCE(1501);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1182:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'a') ADVANCE(1218);
      if (lookahead == 'u') ADVANCE(1493);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1183:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'a') ADVANCE(1482);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1184:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'a') ADVANCE(1495);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1185:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'a') ADVANCE(1322);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1186:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'a') ADVANCE(1353);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1187:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'a') ADVANCE(1496);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1188:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'a') ADVANCE(1498);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1189:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'a') ADVANCE(1499);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1190:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'a') ADVANCE(1508);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1191:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'b') ADVANCE(1471);
      if (lookahead == 'p') ADVANCE(1264);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1192:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'b') ADVANCE(1471);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1193:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'b') ADVANCE(1350);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1194:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'b') ADVANCE(1522);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1195:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'c') ADVANCE(1500);
      if (lookahead == 'n') ADVANCE(1535);
      if (lookahead == 's') ADVANCE(1463);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1196:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'c') ADVANCE(1500);
      if (lookahead == 'n') ADVANCE(1535);
      if (lookahead == 's') ADVANCE(1538);
      if (lookahead == 'w') ADVANCE(1185);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1197:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'c') ADVANCE(1500);
      if (lookahead == 'n') ADVANCE(1535);
      if (lookahead == 's') ADVANCE(1538);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1198:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'c') ADVANCE(1500);
      if (lookahead == 's') ADVANCE(1463);
      if (lookahead == 'w') ADVANCE(1185);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1199:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'c') ADVANCE(1500);
      if (lookahead == 's') ADVANCE(1463);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1200:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'c') ADVANCE(1500);
      if (lookahead == 's') ADVANCE(1538);
      if (lookahead == 'w') ADVANCE(1185);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1201:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'c') ADVANCE(1500);
      if (lookahead == 's') ADVANCE(1538);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1202:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'c') ADVANCE(1298);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1203:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'c') ADVANCE(1337);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1204:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'c') ADVANCE(1789);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1205:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'c') ADVANCE(1554);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1206:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'c') ADVANCE(1858);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1207:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'c') ADVANCE(1879);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1208:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'c') ADVANCE(1882);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1209:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'c') ADVANCE(1299);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1210:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'c') ADVANCE(1334);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1211:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'c') ADVANCE(1235);
      if (lookahead == 'f') ADVANCE(1310);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1212:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'c') ADVANCE(1483);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1213:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'c') ADVANCE(1484);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1214:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'c') ADVANCE(1259);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1215:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'c') ADVANCE(1239);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1216:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'c') ADVANCE(1416);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1217:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'c') ADVANCE(1417);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1218:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'c') ADVANCE(1452);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1219:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'c') ADVANCE(1456);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1220:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'd') ADVANCE(1902);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1221:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'd') ADVANCE(1852);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1222:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'd') ADVANCE(1888);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1223:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'd') ADVANCE(1855);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1224:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'd') ADVANCE(1152);
      if (lookahead == 's') ADVANCE(1492);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1225:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'd') ADVANCE(1318);
      if (lookahead == 'f') ADVANCE(1304);
      if (lookahead == 'i') ADVANCE(1477);
      if (lookahead == 'o') ADVANCE(1521);
      if (lookahead == 't') ADVANCE(1262);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1226:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'd') ADVANCE(1238);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1227:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'd') ADVANCE(1488);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1228:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'd') ADVANCE(1269);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1229:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'e') ADVANCE(1317);
      if (lookahead == 'i') ADVANCE(1467);
      if (lookahead == 'y') ADVANCE(1384);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1230:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'e') ADVANCE(1429);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1231:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'e') ADVANCE(1211);
      if (lookahead == 'i') ADVANCE(1525);
      if (lookahead == 'o') ADVANCE(1503);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1232:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'e') ADVANCE(1707);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1233:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'e') ADVANCE(1580);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1234:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'e') ADVANCE(1583);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1235:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'e') ADVANCE(1228);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1236:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'e') ADVANCE(1566);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1237:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'e') ADVANCE(1861);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1238:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'e') ADVANCE(1846);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1239:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'e') ADVANCE(1849);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1240:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'e') ADVANCE(1867);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1241:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'e') ADVANCE(1839);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1242:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'e') ADVANCE(1654);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1243:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'e') ADVANCE(1339);
      if (lookahead == 'u') ADVANCE(1431);
      if (lookahead == 'w') ADVANCE(1320);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1244:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'e') ADVANCE(1648);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1245:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'e') ADVANCE(1220);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1246:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'e') ADVANCE(1340);
      if (lookahead == 'o') ADVANCE(1362);
      if (lookahead == 'u') ADVANCE(1431);
      if (lookahead == 'w') ADVANCE(1320);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1247:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'e') ADVANCE(1340);
      if (lookahead == 't') ADVANCE(1177);
      if (lookahead == 'u') ADVANCE(1191);
      if (lookahead == 'w') ADVANCE(1320);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1248:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'e') ADVANCE(1340);
      if (lookahead == 't') ADVANCE(1177);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1249:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'e') ADVANCE(1340);
      if (lookahead == 't') ADVANCE(1444);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1250:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'e') ADVANCE(1340);
      if (lookahead == 't') ADVANCE(1178);
      if (lookahead == 'u') ADVANCE(1431);
      if (lookahead == 'w') ADVANCE(1320);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1251:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'e') ADVANCE(1340);
      if (lookahead == 'u') ADVANCE(1431);
      if (lookahead == 'w') ADVANCE(1320);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1252:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'e') ADVANCE(1340);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1253:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'e') ADVANCE(1434);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1254:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'e') ADVANCE(1221);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1255:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'e') ADVANCE(1171);
      if (lookahead == 'i') ADVANCE(1352);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1256:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'e') ADVANCE(1171);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1257:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'e') ADVANCE(1227);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1258:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'e') ADVANCE(1222);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1259:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'e') ADVANCE(1297);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1260:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'e') ADVANCE(1223);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1261:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'e') ADVANCE(1367);
      if (lookahead == 't') ADVANCE(1313);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1262:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'e') ADVANCE(1457);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1263:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'e') ADVANCE(1388);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1264:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'e') ADVANCE(1439);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1265:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'e') ADVANCE(1186);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1266:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'e') ADVANCE(1395);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1267:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'e') ADVANCE(1440);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1268:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'e') ADVANCE(1441);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1269:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'e') ADVANCE(1396);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1270:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'e') ADVANCE(1509);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1271:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'e') ADVANCE(1486);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1272:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'e') ADVANCE(1487);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1273:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'e') ADVANCE(1458);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1274:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'e') ADVANCE(1289);
      if (lookahead == 'i') ADVANCE(1525);
      if (lookahead == 'o') ADVANCE(1503);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1275:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'e') ADVANCE(1289);
      if (lookahead == 'i') ADVANCE(1525);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1276:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'e') ADVANCE(1213);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1277:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'e') ADVANCE(1183);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1278:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'e') ADVANCE(1397);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1279:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'e') ADVANCE(1430);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1280:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'f') ADVANCE(1660);
      if (lookahead == 'm') ADVANCE(1432);
      if (lookahead == 'n') ADVANCE(1225);
      if (lookahead == 's') ADVANCE(1730);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1281:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'f') ADVANCE(1660);
      if (lookahead == 'n') ADVANCE(1288);
      if (lookahead == 's') ADVANCE(1730);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1282:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'f') ADVANCE(1660);
      if (lookahead == 'n') ADVANCE(1288);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1283:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'f') ADVANCE(1660);
      if (lookahead == 'n') ADVANCE(1696);
      if (lookahead == 's') ADVANCE(1730);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1284:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'f') ADVANCE(1660);
      if (lookahead == 'n') ADVANCE(1420);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1285:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'f') ADVANCE(1660);
      if (lookahead == 's') ADVANCE(1730);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1286:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'f') ADVANCE(1660);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1287:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'f') ADVANCE(1699);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1288:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'f') ADVANCE(1304);
      if (lookahead == 'o') ADVANCE(1521);
      if (lookahead == 't') ADVANCE(1262);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1289:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'f') ADVANCE(1310);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1290:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'f') ADVANCE(1311);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1291:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'g') ADVANCE(1873);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1292:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'g') ADVANCE(1907);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1293:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'g') ADVANCE(1910);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1294:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'g') ADVANCE(1876);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1295:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'g') ADVANCE(1300);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1296:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'g') ADVANCE(1236);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1297:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'g') ADVANCE(1446);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1298:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'h') ADVANCE(1557);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1299:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'h') ADVANCE(1663);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1300:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'h') ADVANCE(1710);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1301:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'h') ADVANCE(1448);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1302:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'i') ADVANCE(1349);
      if (lookahead == 'u') ADVANCE(1381);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1303:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'i') ADVANCE(1349);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1304:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'i') ADVANCE(1530);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1305:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'i') ADVANCE(1224);
      if (lookahead == 'y') ADVANCE(1384);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1306:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'i') ADVANCE(1467);
      if (lookahead == 'y') ADVANCE(1384);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1307:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'i') ADVANCE(1338);
      if (lookahead == 'o') ADVANCE(1366);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1308:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'i') ADVANCE(1338);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1309:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'i') ADVANCE(1194);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1310:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'i') ADVANCE(1531);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1311:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'i') ADVANCE(1532);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1312:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'i') ADVANCE(1426);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1313:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'i') ADVANCE(1421);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1314:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'i') ADVANCE(1477);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1315:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'i') ADVANCE(1469);
      if (lookahead == 'm') ADVANCE(1524);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1316:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'i') ADVANCE(1418);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1317:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'i') ADVANCE(1398);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1318:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'i') ADVANCE(1451);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1319:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'i') ADVANCE(1206);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1320:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'i') ADVANCE(1502);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1321:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'i') ADVANCE(1207);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1322:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'i') ADVANCE(1478);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1323:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'i') ADVANCE(1208);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1324:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'i') ADVANCE(1380);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1325:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'i') ADVANCE(1382);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1326:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'i') ADVANCE(1383);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1327:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'i') ADVANCE(1480);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1328:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'i') ADVANCE(1386);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1329:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'i') ADVANCE(1226);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1330:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'i') ADVANCE(1175);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1331:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'i') ADVANCE(1454);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1332:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'i') ADVANCE(1387);
      if (lookahead == 'u') ADVANCE(1381);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1333:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'i') ADVANCE(1278);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1334:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'i') ADVANCE(1187);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1335:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'i') ADVANCE(1526);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1336:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'k') ADVANCE(1899);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1337:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'k') ADVANCE(1163);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1338:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'l') ADVANCE(1569);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1339:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'l') ADVANCE(1287);
      if (lookahead == 't') ADVANCE(1507);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1340:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'l') ADVANCE(1287);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1341:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'l') ADVANCE(1891);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1342:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'l') ADVANCE(1864);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1343:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'l') ADVANCE(1885);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1344:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'l') ADVANCE(1780);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1345:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'l') ADVANCE(1354);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1346:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'l') ADVANCE(1650);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1347:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'l') ADVANCE(1172);
      if (lookahead == 'o') ADVANCE(1365);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1348:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'l') ADVANCE(1172);
      if (lookahead == 'o') ADVANCE(1389);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1349:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'l') ADVANCE(1253);
      if (lookahead == 'n') ADVANCE(1173);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1350:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'l') ADVANCE(1319);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1351:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'l') ADVANCE(1355);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1352:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'l') ADVANCE(1357);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1353:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'l') ADVANCE(1330);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1354:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'l') ADVANCE(1490);
      if (lookahead == 's') ADVANCE(1234);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1355:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'l') ADVANCE(1490);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1356:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'l') ADVANCE(1472);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1357:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'l') ADVANCE(1153);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1358:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'l') ADVANCE(1188);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1359:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'm') ADVANCE(1432);
      if (lookahead == 'n') ADVANCE(1225);
      if (lookahead == 's') ADVANCE(1730);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1360:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'm') ADVANCE(1432);
      if (lookahead == 'n') ADVANCE(1225);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1361:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'm') ADVANCE(1777);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1362:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'm') ADVANCE(1242);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1363:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'm') ADVANCE(1323);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1364:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'm') ADVANCE(1326);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1365:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'n') ADVANCE(1465);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1366:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'n') ADVANCE(1315);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1367:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'n') ADVANCE(1870);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1368:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'n') ADVANCE(1802);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1369:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'n') ADVANCE(1288);
      if (lookahead == 's') ADVANCE(1730);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1370:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'n') ADVANCE(1288);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1371:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'n') ADVANCE(1696);
      if (lookahead == 's') ADVANCE(1730);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1372:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'n') ADVANCE(1696);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1373:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'n') ADVANCE(1691);
      if (lookahead == 's') ADVANCE(1730);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1374:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'n') ADVANCE(1691);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1375:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'n') ADVANCE(1694);
      if (lookahead == 's') ADVANCE(1730);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1376:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'n') ADVANCE(1692);
      if (lookahead == 's') ADVANCE(1730);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1377:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'n') ADVANCE(1692);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1378:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'n') ADVANCE(1695);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1379:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'n') ADVANCE(1401);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1380:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'n') ADVANCE(1291);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1381:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'n') ADVANCE(1204);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1382:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'n') ADVANCE(1292);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1383:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'n') ADVANCE(1293);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1384:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'n') ADVANCE(1170);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1385:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'n') ADVANCE(1205);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1386:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'n') ADVANCE(1294);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1387:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'n') ADVANCE(1173);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1388:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'n') ADVANCE(1473);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1389:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'n') ADVANCE(1466);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1390:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'n') ADVANCE(1420);
      if (lookahead == 's') ADVANCE(1730);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1391:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'n') ADVANCE(1420);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1392:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'n') ADVANCE(1174);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1393:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'n') ADVANCE(1245);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1394:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'n') ADVANCE(1176);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1395:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'n') ADVANCE(1333);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1396:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'n') ADVANCE(1214);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1397:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'n') ADVANCE(1215);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1398:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'n') ADVANCE(1327);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1399:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'n') ADVANCE(1314);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1400:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'o') ADVANCE(1442);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1401:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'o') ADVANCE(1528);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1402:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'o') ADVANCE(1798);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1403:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'o') ADVANCE(1529);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1404:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'o') ADVANCE(1438);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1405:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'o') ADVANCE(1210);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1406:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'o') ADVANCE(1362);
      if (lookahead == 't') ADVANCE(1177);
      if (lookahead == 'u') ADVANCE(1192);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1407:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'o') ADVANCE(1362);
      if (lookahead == 't') ADVANCE(1178);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1408:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'o') ADVANCE(1362);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1409:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'o') ADVANCE(1366);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1410:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'o') ADVANCE(1517);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1411:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'o') ADVANCE(1455);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1412:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'o') ADVANCE(1358);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1413:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'o') ADVANCE(1518);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1414:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'o') ADVANCE(1503);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1415:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'o') ADVANCE(1216);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1416:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'o') ADVANCE(1344);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1417:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'o') ADVANCE(1346);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1418:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'o') ADVANCE(1368);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1419:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'o') ADVANCE(1389);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1420:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'o') ADVANCE(1521);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1421:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'o') ADVANCE(1394);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1422:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'o') ADVANCE(1217);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1423:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'o') ADVANCE(1510);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1424:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'p') ADVANCE(1261);
      if (lookahead == 'v') ADVANCE(1273);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1425:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'p') ADVANCE(1836);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1426:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'p') ADVANCE(1485);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1427:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'p') ADVANCE(1241);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1428:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'p') ADVANCE(1244);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1429:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'p') ADVANCE(1277);
      if (lookahead == 'q') ADVANCE(1523);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1430:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'p') ADVANCE(1277);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1431:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'p') ADVANCE(1264);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1432:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'p') ADVANCE(1411);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1433:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'p') ADVANCE(1265);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1434:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'p') ADVANCE(1453);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1435:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'r') ADVANCE(1519);
      if (lookahead == 'y') ADVANCE(1433);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1436:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'r') ADVANCE(1519);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1437:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'r') ADVANCE(1786);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1438:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'r') ADVANCE(1551);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1439:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'r') ADVANCE(1702);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1440:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'r') ADVANCE(811);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1441:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'r') ADVANCE(812);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1442:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'r') ADVANCE(1443);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1443:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'r') ADVANCE(1403);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1444:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'r') ADVANCE(1516);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1445:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'r') ADVANCE(1533);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1446:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'r') ADVANCE(1410);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1447:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'r') ADVANCE(1520);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1448:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'r') ADVANCE(1413);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1449:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'r') ADVANCE(1309);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1450:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'r') ADVANCE(1329);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1451:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'r') ADVANCE(1276);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1452:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'r') ADVANCE(1402);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1453:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'r') ADVANCE(1335);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1454:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'r') ADVANCE(1254);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1455:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'r') ADVANCE(1481);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1456:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'r') ADVANCE(1312);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1457:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'r') ADVANCE(1392);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1458:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'r') ADVANCE(1450);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1459:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'r') ADVANCE(1423);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1460:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 's') ADVANCE(1730);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1461:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 's') ADVANCE(1774);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1462:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 's') ADVANCE(1768);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1463:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 's') ADVANCE(1405);
      if (lookahead == 'y') ADVANCE(1385);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1464:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 's') ADVANCE(1232);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1465:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 's') ADVANCE(1513);
      if (lookahead == 'v') ADVANCE(1266);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1466:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 's') ADVANCE(1513);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1467:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 's') ADVANCE(1492);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1468:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 's') ADVANCE(1461);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1469:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 's') ADVANCE(1412);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1470:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 's') ADVANCE(1489);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1471:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 's') ADVANCE(1219);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1472:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 's') ADVANCE(1234);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1473:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 's') ADVANCE(1316);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1474:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 't') ADVANCE(1177);
      if (lookahead == 'u') ADVANCE(1192);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1475:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 't') ADVANCE(1177);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1476:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 't') ADVANCE(1783);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1477:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 't') ADVANCE(1811);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1478:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 't') ADVANCE(1674);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1479:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 't') ADVANCE(1894);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1480:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 't') ADVANCE(1813);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1481:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 't') ADVANCE(1765);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1482:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 't') ADVANCE(1563);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1483:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 't') ADVANCE(1771);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1484:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 't') ADVANCE(1805);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1485:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 't') ADVANCE(1815);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1486:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 't') ADVANCE(1795);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1487:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 't') ADVANCE(1792);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1488:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 't') ADVANCE(1537);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1489:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 't') ADVANCE(1290);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1490:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 't') ADVANCE(1301);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1491:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 't') ADVANCE(1263);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1492:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 't') ADVANCE(1449);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1493:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 't') ADVANCE(1181);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1494:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 't') ADVANCE(1444);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1495:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 't') ADVANCE(1237);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1496:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 't') ADVANCE(1257);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1497:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 't') ADVANCE(1258);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1498:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 't') ADVANCE(1260);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1499:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 't') ADVANCE(1240);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1500:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 't') ADVANCE(1404);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1501:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 't') ADVANCE(1324);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1502:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 't') ADVANCE(1209);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1503:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 't') ADVANCE(1415);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1504:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 't') ADVANCE(1321);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1505:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 't') ADVANCE(1267);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1506:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 't') ADVANCE(1178);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1507:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 't') ADVANCE(1268);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1508:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 't') ADVANCE(1328);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1509:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 't') ADVANCE(1505);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1510:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 't') ADVANCE(1422);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1511:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 't') ADVANCE(1190);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1512:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'u') ADVANCE(1361);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1513:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'u') ADVANCE(1364);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1514:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'u') ADVANCE(1381);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1515:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'u') ADVANCE(1493);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1516:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'u') ADVANCE(1212);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1517:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'u') ADVANCE(1425);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1518:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'u') ADVANCE(1295);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1519:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'u') ADVANCE(1233);
      if (lookahead == 'y') ADVANCE(1716);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1520:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'u') ADVANCE(1233);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1521:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'u') ADVANCE(1479);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1522:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'u') ADVANCE(1497);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1523:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'u') ADVANCE(1331);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1524:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'u') ADVANCE(1511);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1525:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'v') ADVANCE(1184);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1526:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'v') ADVANCE(1189);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1527:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'w') ADVANCE(1320);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1528:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'w') ADVANCE(1393);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1529:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'w') ADVANCE(1325);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1530:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'x') ADVANCE(1829);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1531:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'x') ADVANCE(1826);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1532:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'x') ADVANCE(1832);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1533:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'y') ADVANCE(1716);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1534:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'y') ADVANCE(1560);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1535:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'y') ADVANCE(1656);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1536:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'y') ADVANCE(1433);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1537:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'y') ADVANCE(1427);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1538:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'y') ADVANCE(1385);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1539:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'y') ADVANCE(1428);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1540:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 'z') ADVANCE(1534);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1541:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 0x20e3) ADVANCE(1543);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_3, 912, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1542:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1543:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token1);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1544:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token2);
      END_STATE();
    case 1545:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token3);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1545);
      END_STATE();
    case 1546:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token4);
      if (lookahead == 0x20e3) ADVANCE(1548);
      if (lookahead == 0xfe0f) ADVANCE(1546);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1547);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_3, 912, lookahead)) ADVANCE(1547);
      END_STATE();
    case 1547:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token4);
      if (lookahead == 0xfe0f) ADVANCE(1546);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1547);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1547);
      END_STATE();
    case 1548:
      ACCEPT_TOKEN(aux_sym_simple_identifier_token4);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1547);
      END_STATE();
    case 1549:
      ACCEPT_TOKEN(anon_sym_actor);
      END_STATE();
    case 1550:
      ACCEPT_TOKEN(anon_sym_actor);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1551:
      ACCEPT_TOKEN(anon_sym_actor);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1552:
      ACCEPT_TOKEN(anon_sym_async);
      END_STATE();
    case 1553:
      ACCEPT_TOKEN(anon_sym_async);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1554:
      ACCEPT_TOKEN(anon_sym_async);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1555:
      ACCEPT_TOKEN(anon_sym_each);
      END_STATE();
    case 1556:
      ACCEPT_TOKEN(anon_sym_each);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1557:
      ACCEPT_TOKEN(anon_sym_each);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1558:
      ACCEPT_TOKEN(anon_sym_lazy);
      END_STATE();
    case 1559:
      ACCEPT_TOKEN(anon_sym_lazy);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1560:
      ACCEPT_TOKEN(anon_sym_lazy);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1561:
      ACCEPT_TOKEN(anon_sym_repeat);
      END_STATE();
    case 1562:
      ACCEPT_TOKEN(anon_sym_repeat);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1563:
      ACCEPT_TOKEN(anon_sym_repeat);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1564:
      ACCEPT_TOKEN(anon_sym_package);
      END_STATE();
    case 1565:
      ACCEPT_TOKEN(anon_sym_package);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1566:
      ACCEPT_TOKEN(anon_sym_package);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1567:
      ACCEPT_TOKEN(anon_sym_nil);
      END_STATE();
    case 1568:
      ACCEPT_TOKEN(anon_sym_nil);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1569:
      ACCEPT_TOKEN(anon_sym_nil);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1570:
      ACCEPT_TOKEN(sym_real_literal);
      if (lookahead == '_') ADVANCE(186);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(745);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1570);
      END_STATE();
    case 1571:
      ACCEPT_TOKEN(sym_real_literal);
      if (lookahead == '_') ADVANCE(187);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1571);
      END_STATE();
    case 1572:
      ACCEPT_TOKEN(sym_integer_literal);
      ADVANCE_MAP(
        '.', 749,
        '_', 182,
        'B', 746,
        'b', 746,
        'E', 745,
        'e', 745,
        'O', 747,
        'o', 747,
        'X', 751,
        'x', 751,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1573);
      END_STATE();
    case 1573:
      ACCEPT_TOKEN(sym_integer_literal);
      if (lookahead == '.') ADVANCE(749);
      if (lookahead == '_') ADVANCE(182);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(745);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1573);
      END_STATE();
    case 1574:
      ACCEPT_TOKEN(sym_integer_literal);
      if (lookahead == '_') ADVANCE(188);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1574);
      END_STATE();
    case 1575:
      ACCEPT_TOKEN(sym_hex_literal);
      if (lookahead == '_') ADVANCE(185);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1575);
      END_STATE();
    case 1576:
      ACCEPT_TOKEN(sym_oct_literal);
      if (lookahead == '_') ADVANCE(184);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(1576);
      END_STATE();
    case 1577:
      ACCEPT_TOKEN(sym_bin_literal);
      if (lookahead == '_') ADVANCE(183);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(1577);
      END_STATE();
    case 1578:
      ACCEPT_TOKEN(anon_sym_true);
      END_STATE();
    case 1579:
      ACCEPT_TOKEN(anon_sym_true);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1580:
      ACCEPT_TOKEN(anon_sym_true);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1581:
      ACCEPT_TOKEN(anon_sym_false);
      END_STATE();
    case 1582:
      ACCEPT_TOKEN(anon_sym_false);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1583:
      ACCEPT_TOKEN(anon_sym_false);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1584:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 1585:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      if (lookahead == '"') ADVANCE(111);
      END_STATE();
    case 1586:
      ACCEPT_TOKEN(aux_sym_line_str_text_token1);
      if (lookahead == '\n') ADVANCE(1621);
      if (lookahead == 'f') ADVANCE(1588);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1588);
      END_STATE();
    case 1587:
      ACCEPT_TOKEN(aux_sym_line_str_text_token1);
      if (lookahead == '\n') ADVANCE(1621);
      if (lookahead == 'i') ADVANCE(1586);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1588);
      END_STATE();
    case 1588:
      ACCEPT_TOKEN(aux_sym_line_str_text_token1);
      if (lookahead == '\n') ADVANCE(1621);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1588);
      END_STATE();
    case 1589:
      ACCEPT_TOKEN(aux_sym_line_str_text_token1);
      if (lookahead == '#') ADVANCE(1597);
      if (lookahead == '/') ADVANCE(1590);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(1589);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '#' &&
          lookahead != '\\') ADVANCE(1621);
      END_STATE();
    case 1590:
      ACCEPT_TOKEN(aux_sym_line_str_text_token1);
      if (lookahead == '/') ADVANCE(1588);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1621);
      END_STATE();
    case 1591:
      ACCEPT_TOKEN(aux_sym_line_str_text_token1);
      if (lookahead == 'L') ADVANCE(1610);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1621);
      END_STATE();
    case 1592:
      ACCEPT_TOKEN(aux_sym_line_str_text_token1);
      if (lookahead == 'a') ADVANCE(1618);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1621);
      END_STATE();
    case 1593:
      ACCEPT_TOKEN(aux_sym_line_str_text_token1);
      if (lookahead == 'a') ADVANCE(1613);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1621);
      END_STATE();
    case 1594:
      ACCEPT_TOKEN(aux_sym_line_str_text_token1);
      if (lookahead == 'c') ADVANCE(1592);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1621);
      END_STATE();
    case 1595:
      ACCEPT_TOKEN(aux_sym_line_str_text_token1);
      if (lookahead == 'c') ADVANCE(1599);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1621);
      END_STATE();
    case 1596:
      ACCEPT_TOKEN(aux_sym_line_str_text_token1);
      if (lookahead == 'd') ADVANCE(1602);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1621);
      END_STATE();
    case 1597:
      ACCEPT_TOKEN(aux_sym_line_str_text_token1);
      if (lookahead == 'e') ADVANCE(1605);
      if (lookahead == 'i') ADVANCE(1600);
      if (lookahead == 's') ADVANCE(1609);
      if (lookahead == 'w') ADVANCE(1593);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1621);
      END_STATE();
    case 1598:
      ACCEPT_TOKEN(aux_sym_line_str_text_token1);
      if (lookahead == 'e') ADVANCE(1587);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1621);
      END_STATE();
    case 1599:
      ACCEPT_TOKEN(aux_sym_line_str_text_token1);
      if (lookahead == 'e') ADVANCE(1591);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1621);
      END_STATE();
    case 1600:
      ACCEPT_TOKEN(aux_sym_line_str_text_token1);
      if (lookahead == 'f') ADVANCE(1588);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1621);
      END_STATE();
    case 1601:
      ACCEPT_TOKEN(aux_sym_line_str_text_token1);
      if (lookahead == 'g') ADVANCE(1620);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1621);
      END_STATE();
    case 1602:
      ACCEPT_TOKEN(aux_sym_line_str_text_token1);
      if (lookahead == 'i') ADVANCE(1600);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1621);
      END_STATE();
    case 1603:
      ACCEPT_TOKEN(aux_sym_line_str_text_token1);
      if (lookahead == 'i') ADVANCE(1607);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1621);
      END_STATE();
    case 1604:
      ACCEPT_TOKEN(aux_sym_line_str_text_token1);
      if (lookahead == 'i') ADVANCE(1611);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1621);
      END_STATE();
    case 1605:
      ACCEPT_TOKEN(aux_sym_line_str_text_token1);
      if (lookahead == 'l') ADVANCE(1617);
      if (lookahead == 'n') ADVANCE(1596);
      if (lookahead == 'r') ADVANCE(1616);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1621);
      END_STATE();
    case 1606:
      ACCEPT_TOKEN(aux_sym_line_str_text_token1);
      if (lookahead == 'n') ADVANCE(1620);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1621);
      END_STATE();
    case 1607:
      ACCEPT_TOKEN(aux_sym_line_str_text_token1);
      if (lookahead == 'n') ADVANCE(1601);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1621);
      END_STATE();
    case 1608:
      ACCEPT_TOKEN(aux_sym_line_str_text_token1);
      if (lookahead == 'n') ADVANCE(1603);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1621);
      END_STATE();
    case 1609:
      ACCEPT_TOKEN(aux_sym_line_str_text_token1);
      if (lookahead == 'o') ADVANCE(1619);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1621);
      END_STATE();
    case 1610:
      ACCEPT_TOKEN(aux_sym_line_str_text_token1);
      if (lookahead == 'o') ADVANCE(1594);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1621);
      END_STATE();
    case 1611:
      ACCEPT_TOKEN(aux_sym_line_str_text_token1);
      if (lookahead == 'o') ADVANCE(1606);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1621);
      END_STATE();
    case 1612:
      ACCEPT_TOKEN(aux_sym_line_str_text_token1);
      if (lookahead == 'o') ADVANCE(1615);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1621);
      END_STATE();
    case 1613:
      ACCEPT_TOKEN(aux_sym_line_str_text_token1);
      if (lookahead == 'r') ADVANCE(1608);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1621);
      END_STATE();
    case 1614:
      ACCEPT_TOKEN(aux_sym_line_str_text_token1);
      if (lookahead == 'r') ADVANCE(1595);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1621);
      END_STATE();
    case 1615:
      ACCEPT_TOKEN(aux_sym_line_str_text_token1);
      if (lookahead == 'r') ADVANCE(1620);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1621);
      END_STATE();
    case 1616:
      ACCEPT_TOKEN(aux_sym_line_str_text_token1);
      if (lookahead == 'r') ADVANCE(1612);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1621);
      END_STATE();
    case 1617:
      ACCEPT_TOKEN(aux_sym_line_str_text_token1);
      if (lookahead == 's') ADVANCE(1598);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1621);
      END_STATE();
    case 1618:
      ACCEPT_TOKEN(aux_sym_line_str_text_token1);
      if (lookahead == 't') ADVANCE(1604);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1621);
      END_STATE();
    case 1619:
      ACCEPT_TOKEN(aux_sym_line_str_text_token1);
      if (lookahead == 'u') ADVANCE(1614);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1621);
      END_STATE();
    case 1620:
      ACCEPT_TOKEN(aux_sym_line_str_text_token1);
      if (lookahead == '\n' ||
          lookahead == '\r') ADVANCE(1621);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1620);
      END_STATE();
    case 1621:
      ACCEPT_TOKEN(aux_sym_line_str_text_token1);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1621);
      END_STATE();
    case 1622:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      END_STATE();
    case 1623:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        '(', 1630,
        '\n', 1632,
        '"', 1632,
        '\'', 1632,
        '0', 1632,
        '\\', 1632,
        'n', 1632,
        'r', 1632,
        't', 1632,
      );
      END_STATE();
    case 1624:
      ACCEPT_TOKEN(anon_sym_u);
      END_STATE();
    case 1625:
      ACCEPT_TOKEN(anon_sym_u);
      if (lookahead == 'n') ADVANCE(547);
      END_STATE();
    case 1626:
      ACCEPT_TOKEN(aux_sym__uni_character_literal_token1);
      END_STATE();
    case 1627:
      ACCEPT_TOKEN(anon_sym_DQUOTE_DQUOTE_DQUOTE);
      END_STATE();
    case 1628:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 1629:
      ACCEPT_TOKEN(sym_raw_str_interpolation_start);
      END_STATE();
    case 1630:
      ACCEPT_TOKEN(anon_sym_BSLASH_LPAREN);
      END_STATE();
    case 1631:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 1632:
      ACCEPT_TOKEN(sym__escaped_identifier);
      END_STATE();
    case 1633:
      ACCEPT_TOKEN(sym__extended_regex_literal);
      if (lookahead == '/') ADVANCE(113);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(160);
      END_STATE();
    case 1634:
      ACCEPT_TOKEN(aux_sym__multiline_regex_literal_token1);
      END_STATE();
    case 1635:
      ACCEPT_TOKEN(aux_sym__multiline_regex_literal_token2);
      END_STATE();
    case 1636:
      ACCEPT_TOKEN(sym__oneline_regex_literal);
      END_STATE();
    case 1637:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 1638:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 1639:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(1722);
      END_STATE();
    case 1640:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 1641:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 1642:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 1643:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 1644:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(153);
      END_STATE();
    case 1645:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(153);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1570);
      END_STATE();
    case 1646:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(152);
      END_STATE();
    case 1647:
      ACCEPT_TOKEN(anon_sym_Type);
      END_STATE();
    case 1648:
      ACCEPT_TOKEN(anon_sym_Type);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1649:
      ACCEPT_TOKEN(anon_sym_Protocol);
      END_STATE();
    case 1650:
      ACCEPT_TOKEN(anon_sym_Protocol);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1651:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 1652:
      ACCEPT_TOKEN(anon_sym_QMARK2);
      END_STATE();
    case 1653:
      ACCEPT_TOKEN(anon_sym_some);
      END_STATE();
    case 1654:
      ACCEPT_TOKEN(anon_sym_some);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1655:
      ACCEPT_TOKEN(anon_sym_any);
      END_STATE();
    case 1656:
      ACCEPT_TOKEN(anon_sym_any);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1657:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 1658:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 1659:
      ACCEPT_TOKEN(anon_sym_if);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1660:
      ACCEPT_TOKEN(anon_sym_if);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1661:
      ACCEPT_TOKEN(anon_sym_switch);
      END_STATE();
    case 1662:
      ACCEPT_TOKEN(anon_sym_switch);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1663:
      ACCEPT_TOKEN(anon_sym_switch);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1664:
      ACCEPT_TOKEN(anon_sym_POUNDselector);
      END_STATE();
    case 1665:
      ACCEPT_TOKEN(anon_sym_getter_COLON);
      END_STATE();
    case 1666:
      ACCEPT_TOKEN(anon_sym_setter_COLON);
      END_STATE();
    case 1667:
      ACCEPT_TOKEN(aux_sym_custom_operator_token1);
      if (lookahead == '*') ADVANCE(1667);
      END_STATE();
    case 1668:
      ACCEPT_TOKEN(anon_sym_LT);
      END_STATE();
    case 1669:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(1744);
      if (lookahead == '=') ADVANCE(1725);
      END_STATE();
    case 1670:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 1671:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(1726);
      if (lookahead == '>') ADVANCE(1745);
      END_STATE();
    case 1672:
      ACCEPT_TOKEN(anon_sym_await);
      END_STATE();
    case 1673:
      ACCEPT_TOKEN(anon_sym_await);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1674:
      ACCEPT_TOKEN(anon_sym_await);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1675:
      ACCEPT_TOKEN(anon_sym_POUNDfile);
      if (lookahead == 'I') ADVANCE(174);
      if (lookahead == 'L') ADVANCE(448);
      if (lookahead == 'P') ADVANCE(224);
      END_STATE();
    case 1676:
      ACCEPT_TOKEN(anon_sym_POUNDfileID);
      END_STATE();
    case 1677:
      ACCEPT_TOKEN(anon_sym_POUNDfilePath);
      END_STATE();
    case 1678:
      ACCEPT_TOKEN(anon_sym_POUNDline);
      END_STATE();
    case 1679:
      ACCEPT_TOKEN(anon_sym_POUNDcolumn);
      END_STATE();
    case 1680:
      ACCEPT_TOKEN(anon_sym_POUNDfunction);
      END_STATE();
    case 1681:
      ACCEPT_TOKEN(anon_sym_POUNDdsohandle);
      END_STATE();
    case 1682:
      ACCEPT_TOKEN(anon_sym_POUNDcolorLiteral);
      END_STATE();
    case 1683:
      ACCEPT_TOKEN(anon_sym_POUNDfileLiteral);
      END_STATE();
    case 1684:
      ACCEPT_TOKEN(anon_sym_POUNDimageLiteral);
      END_STATE();
    case 1685:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 1686:
      ACCEPT_TOKEN(anon_sym_CARET_LBRACE);
      END_STATE();
    case 1687:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 1688:
      ACCEPT_TOKEN(anon_sym_in);
      END_STATE();
    case 1689:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'd') ADVANCE(960);
      if (lookahead == 'f') ADVANCE(948);
      if (lookahead == 'o') ADVANCE(1130);
      if (lookahead == 't') ADVANCE(913);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1690:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 'd') ADVANCE(960);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1691:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == 'd') ADVANCE(1318);
      if (lookahead == 'f') ADVANCE(1304);
      if (lookahead == 'o') ADVANCE(1521);
      if (lookahead == 't') ADVANCE(1262);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1692:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == 'd') ADVANCE(1318);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1693:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == 'd') ADVANCE(428);
      if (lookahead == 'f') ADVANCE(407);
      if (lookahead == 'o') ADVANCE(711);
      if (lookahead == 't') ADVANCE(351);
      END_STATE();
    case 1694:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == 'f') ADVANCE(1304);
      if (lookahead == 'o') ADVANCE(1521);
      if (lookahead == 't') ADVANCE(1262);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1695:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == 'o') ADVANCE(1521);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1696:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1697:
      ACCEPT_TOKEN(anon_sym_self);
      END_STATE();
    case 1698:
      ACCEPT_TOKEN(anon_sym_self);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1699:
      ACCEPT_TOKEN(anon_sym_self);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1700:
      ACCEPT_TOKEN(anon_sym_super);
      END_STATE();
    case 1701:
      ACCEPT_TOKEN(anon_sym_super);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1702:
      ACCEPT_TOKEN(anon_sym_super);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1703:
      ACCEPT_TOKEN(anon_sym_guard);
      END_STATE();
    case 1704:
      ACCEPT_TOKEN(anon_sym_guard);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1705:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 1706:
      ACCEPT_TOKEN(anon_sym_case);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1707:
      ACCEPT_TOKEN(anon_sym_case);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1708:
      ACCEPT_TOKEN(anon_sym_fallthrough);
      END_STATE();
    case 1709:
      ACCEPT_TOKEN(anon_sym_fallthrough);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1710:
      ACCEPT_TOKEN(anon_sym_fallthrough);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1711:
      ACCEPT_TOKEN(anon_sym_do);
      END_STATE();
    case 1712:
      ACCEPT_TOKEN(anon_sym_do);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1713:
      ACCEPT_TOKEN(anon_sym_POUNDkeyPath);
      END_STATE();
    case 1714:
      ACCEPT_TOKEN(anon_sym_try);
      END_STATE();
    case 1715:
      ACCEPT_TOKEN(anon_sym_try);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1716:
      ACCEPT_TOKEN(anon_sym_try);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1717:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 1718:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 1719:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 1720:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 1721:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 1722:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      if (lookahead == '=') ADVANCE(1723);
      END_STATE();
    case 1723:
      ACCEPT_TOKEN(anon_sym_BANG_EQ_EQ);
      END_STATE();
    case 1724:
      ACCEPT_TOKEN(anon_sym_EQ_EQ_EQ);
      END_STATE();
    case 1725:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 1726:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 1727:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 1728:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_LT);
      END_STATE();
    case 1729:
      ACCEPT_TOKEN(anon_sym_is);
      END_STATE();
    case 1730:
      ACCEPT_TOKEN(anon_sym_is);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1731:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(1738);
      if (lookahead == '=') ADVANCE(1717);
      END_STATE();
    case 1732:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(1739);
      if (lookahead == '=') ADVANCE(1718);
      END_STATE();
    case 1733:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 1734:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '=') ADVANCE(1719);
      END_STATE();
    case 1735:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(1667);
      if (lookahead == '/') ADVANCE(807);
      if (lookahead == '=') ADVANCE(1720);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(744);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n') ADVANCE(159);
      END_STATE();
    case 1736:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(1667);
      if (lookahead == '/') ADVANCE(808);
      if (lookahead == '=') ADVANCE(1720);
      END_STATE();
    case 1737:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(1721);
      END_STATE();
    case 1738:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 1739:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 1740:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 1741:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 1742:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 1743:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '{') ADVANCE(1686);
      END_STATE();
    case 1744:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 1745:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    case 1746:
      ACCEPT_TOKEN(sym_statement_label);
      END_STATE();
    case 1747:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 1748:
      ACCEPT_TOKEN(anon_sym_for);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1749:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 1750:
      ACCEPT_TOKEN(anon_sym_while);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1751:
      ACCEPT_TOKEN(sym_throw_keyword);
      END_STATE();
    case 1752:
      ACCEPT_TOKEN(sym_throw_keyword);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1753:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 1754:
      ACCEPT_TOKEN(anon_sym_return);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1755:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 1756:
      ACCEPT_TOKEN(anon_sym_continue);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1757:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 1758:
      ACCEPT_TOKEN(anon_sym_break);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1759:
      ACCEPT_TOKEN(anon_sym_yield);
      END_STATE();
    case 1760:
      ACCEPT_TOKEN(anon_sym_yield);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1761:
      ACCEPT_TOKEN(anon_sym_POUNDavailable);
      END_STATE();
    case 1762:
      ACCEPT_TOKEN(anon_sym_POUNDunavailable);
      END_STATE();
    case 1763:
      ACCEPT_TOKEN(anon_sym_import);
      END_STATE();
    case 1764:
      ACCEPT_TOKEN(anon_sym_import);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1765:
      ACCEPT_TOKEN(anon_sym_import);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1766:
      ACCEPT_TOKEN(anon_sym_typealias);
      END_STATE();
    case 1767:
      ACCEPT_TOKEN(anon_sym_typealias);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1768:
      ACCEPT_TOKEN(anon_sym_typealias);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1769:
      ACCEPT_TOKEN(anon_sym_struct);
      END_STATE();
    case 1770:
      ACCEPT_TOKEN(anon_sym_struct);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1771:
      ACCEPT_TOKEN(anon_sym_struct);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1772:
      ACCEPT_TOKEN(anon_sym_class);
      END_STATE();
    case 1773:
      ACCEPT_TOKEN(anon_sym_class);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1774:
      ACCEPT_TOKEN(anon_sym_class);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1775:
      ACCEPT_TOKEN(anon_sym_enum);
      END_STATE();
    case 1776:
      ACCEPT_TOKEN(anon_sym_enum);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1777:
      ACCEPT_TOKEN(anon_sym_enum);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1778:
      ACCEPT_TOKEN(anon_sym_protocol);
      END_STATE();
    case 1779:
      ACCEPT_TOKEN(anon_sym_protocol);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1780:
      ACCEPT_TOKEN(anon_sym_protocol);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1781:
      ACCEPT_TOKEN(anon_sym_let);
      END_STATE();
    case 1782:
      ACCEPT_TOKEN(anon_sym_let);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1783:
      ACCEPT_TOKEN(anon_sym_let);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1784:
      ACCEPT_TOKEN(anon_sym_var);
      END_STATE();
    case 1785:
      ACCEPT_TOKEN(anon_sym_var);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1786:
      ACCEPT_TOKEN(anon_sym_var);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1787:
      ACCEPT_TOKEN(anon_sym_func);
      END_STATE();
    case 1788:
      ACCEPT_TOKEN(anon_sym_func);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1789:
      ACCEPT_TOKEN(anon_sym_func);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1790:
      ACCEPT_TOKEN(anon_sym_willSet);
      END_STATE();
    case 1791:
      ACCEPT_TOKEN(anon_sym_willSet);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1792:
      ACCEPT_TOKEN(anon_sym_willSet);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1793:
      ACCEPT_TOKEN(anon_sym_didSet);
      END_STATE();
    case 1794:
      ACCEPT_TOKEN(anon_sym_didSet);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1795:
      ACCEPT_TOKEN(anon_sym_didSet);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1796:
      ACCEPT_TOKEN(anon_sym_macro);
      END_STATE();
    case 1797:
      ACCEPT_TOKEN(anon_sym_macro);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1798:
      ACCEPT_TOKEN(anon_sym_macro);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1799:
      ACCEPT_TOKEN(anon_sym_POUNDexternalMacro);
      END_STATE();
    case 1800:
      ACCEPT_TOKEN(anon_sym_extension);
      END_STATE();
    case 1801:
      ACCEPT_TOKEN(anon_sym_extension);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1802:
      ACCEPT_TOKEN(anon_sym_extension);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1803:
      ACCEPT_TOKEN(anon_sym_indirect);
      END_STATE();
    case 1804:
      ACCEPT_TOKEN(anon_sym_indirect);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1805:
      ACCEPT_TOKEN(anon_sym_indirect);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1806:
      ACCEPT_TOKEN(anon_sym_BANG2);
      END_STATE();
    case 1807:
      ACCEPT_TOKEN(anon_sym_BANG2);
      if (lookahead == '=') ADVANCE(1722);
      END_STATE();
    case 1808:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 1809:
      ACCEPT_TOKEN(anon_sym_init);
      END_STATE();
    case 1810:
      ACCEPT_TOKEN(anon_sym_init);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1811:
      ACCEPT_TOKEN(anon_sym_init);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1812:
      ACCEPT_TOKEN(anon_sym_deinit);
      END_STATE();
    case 1813:
      ACCEPT_TOKEN(anon_sym_deinit);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1814:
      ACCEPT_TOKEN(anon_sym_subscript);
      END_STATE();
    case 1815:
      ACCEPT_TOKEN(anon_sym_subscript);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1816:
      ACCEPT_TOKEN(anon_sym_get);
      END_STATE();
    case 1817:
      ACCEPT_TOKEN(anon_sym_get);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1818:
      ACCEPT_TOKEN(anon_sym_get);
      if (lookahead == 't') ADVANCE(355);
      END_STATE();
    case 1819:
      ACCEPT_TOKEN(anon_sym_set);
      END_STATE();
    case 1820:
      ACCEPT_TOKEN(anon_sym_set);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1821:
      ACCEPT_TOKEN(anon_sym_set);
      if (lookahead == 'p') ADVANCE(219);
      if (lookahead == 't') ADVANCE(356);
      END_STATE();
    case 1822:
      ACCEPT_TOKEN(anon_sym__modify);
      END_STATE();
    case 1823:
      ACCEPT_TOKEN(anon_sym__modify);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1824:
      ACCEPT_TOKEN(anon_sym_prefix);
      END_STATE();
    case 1825:
      ACCEPT_TOKEN(anon_sym_prefix);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1826:
      ACCEPT_TOKEN(anon_sym_prefix);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1827:
      ACCEPT_TOKEN(anon_sym_infix);
      END_STATE();
    case 1828:
      ACCEPT_TOKEN(anon_sym_infix);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1829:
      ACCEPT_TOKEN(anon_sym_infix);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1830:
      ACCEPT_TOKEN(anon_sym_postfix);
      END_STATE();
    case 1831:
      ACCEPT_TOKEN(anon_sym_postfix);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1832:
      ACCEPT_TOKEN(anon_sym_postfix);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1833:
      ACCEPT_TOKEN(anon_sym_operator);
      END_STATE();
    case 1834:
      ACCEPT_TOKEN(anon_sym_precedencegroup);
      END_STATE();
    case 1835:
      ACCEPT_TOKEN(anon_sym_precedencegroup);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1836:
      ACCEPT_TOKEN(anon_sym_precedencegroup);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1837:
      ACCEPT_TOKEN(anon_sym_associatedtype);
      END_STATE();
    case 1838:
      ACCEPT_TOKEN(anon_sym_associatedtype);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1839:
      ACCEPT_TOKEN(anon_sym_associatedtype);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1840:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 1841:
      ACCEPT_TOKEN(anon_sym_AT);
      if (lookahead == 'a') ADVANCE(714);
      if (lookahead == 'e') ADVANCE(640);
      END_STATE();
    case 1842:
      ACCEPT_TOKEN(sym_wildcard_pattern);
      END_STATE();
    case 1843:
      ACCEPT_TOKEN(sym_wildcard_pattern);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1844:
      ACCEPT_TOKEN(anon_sym_override);
      END_STATE();
    case 1845:
      ACCEPT_TOKEN(anon_sym_override);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1846:
      ACCEPT_TOKEN(anon_sym_override);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1847:
      ACCEPT_TOKEN(anon_sym_convenience);
      END_STATE();
    case 1848:
      ACCEPT_TOKEN(anon_sym_convenience);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1849:
      ACCEPT_TOKEN(anon_sym_convenience);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1850:
      ACCEPT_TOKEN(anon_sym_required);
      END_STATE();
    case 1851:
      ACCEPT_TOKEN(anon_sym_required);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1852:
      ACCEPT_TOKEN(anon_sym_required);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1853:
      ACCEPT_TOKEN(anon_sym_nonisolated);
      END_STATE();
    case 1854:
      ACCEPT_TOKEN(anon_sym_nonisolated);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1855:
      ACCEPT_TOKEN(anon_sym_nonisolated);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1856:
      ACCEPT_TOKEN(anon_sym_public);
      END_STATE();
    case 1857:
      ACCEPT_TOKEN(anon_sym_public);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1858:
      ACCEPT_TOKEN(anon_sym_public);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1859:
      ACCEPT_TOKEN(anon_sym_private);
      END_STATE();
    case 1860:
      ACCEPT_TOKEN(anon_sym_private);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1861:
      ACCEPT_TOKEN(anon_sym_private);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1862:
      ACCEPT_TOKEN(anon_sym_internal);
      END_STATE();
    case 1863:
      ACCEPT_TOKEN(anon_sym_internal);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1864:
      ACCEPT_TOKEN(anon_sym_internal);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1865:
      ACCEPT_TOKEN(anon_sym_fileprivate);
      END_STATE();
    case 1866:
      ACCEPT_TOKEN(anon_sym_fileprivate);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1867:
      ACCEPT_TOKEN(anon_sym_fileprivate);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1868:
      ACCEPT_TOKEN(anon_sym_open);
      END_STATE();
    case 1869:
      ACCEPT_TOKEN(anon_sym_open);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1870:
      ACCEPT_TOKEN(anon_sym_open);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1871:
      ACCEPT_TOKEN(anon_sym_mutating);
      END_STATE();
    case 1872:
      ACCEPT_TOKEN(anon_sym_mutating);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1873:
      ACCEPT_TOKEN(anon_sym_mutating);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1874:
      ACCEPT_TOKEN(anon_sym_nonmutating);
      END_STATE();
    case 1875:
      ACCEPT_TOKEN(anon_sym_nonmutating);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1876:
      ACCEPT_TOKEN(anon_sym_nonmutating);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1877:
      ACCEPT_TOKEN(anon_sym_static);
      END_STATE();
    case 1878:
      ACCEPT_TOKEN(anon_sym_static);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1879:
      ACCEPT_TOKEN(anon_sym_static);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1880:
      ACCEPT_TOKEN(anon_sym_dynamic);
      END_STATE();
    case 1881:
      ACCEPT_TOKEN(anon_sym_dynamic);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1882:
      ACCEPT_TOKEN(anon_sym_dynamic);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1883:
      ACCEPT_TOKEN(anon_sym_optional);
      END_STATE();
    case 1884:
      ACCEPT_TOKEN(anon_sym_optional);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1885:
      ACCEPT_TOKEN(anon_sym_optional);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1886:
      ACCEPT_TOKEN(anon_sym_distributed);
      END_STATE();
    case 1887:
      ACCEPT_TOKEN(anon_sym_distributed);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1888:
      ACCEPT_TOKEN(anon_sym_distributed);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1889:
      ACCEPT_TOKEN(anon_sym_final);
      END_STATE();
    case 1890:
      ACCEPT_TOKEN(anon_sym_final);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1891:
      ACCEPT_TOKEN(anon_sym_final);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1892:
      ACCEPT_TOKEN(anon_sym_inout);
      END_STATE();
    case 1893:
      ACCEPT_TOKEN(anon_sym_inout);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1894:
      ACCEPT_TOKEN(anon_sym_inout);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1895:
      ACCEPT_TOKEN(anon_sym_ATescaping);
      END_STATE();
    case 1896:
      ACCEPT_TOKEN(anon_sym_ATautoclosure);
      END_STATE();
    case 1897:
      ACCEPT_TOKEN(anon_sym_weak);
      END_STATE();
    case 1898:
      ACCEPT_TOKEN(anon_sym_weak);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1899:
      ACCEPT_TOKEN(anon_sym_weak);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1900:
      ACCEPT_TOKEN(anon_sym_unowned);
      if (lookahead == '(') ADVANCE(648);
      END_STATE();
    case 1901:
      ACCEPT_TOKEN(anon_sym_unowned);
      if (lookahead == '(') ADVANCE(648);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1902:
      ACCEPT_TOKEN(anon_sym_unowned);
      if (lookahead == '(') ADVANCE(648);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1903:
      ACCEPT_TOKEN(anon_sym_unowned_LPARENsafe_RPAREN);
      END_STATE();
    case 1904:
      ACCEPT_TOKEN(anon_sym_unowned_LPARENunsafe_RPAREN);
      END_STATE();
    case 1905:
      ACCEPT_TOKEN(anon_sym_borrowing);
      END_STATE();
    case 1906:
      ACCEPT_TOKEN(anon_sym_borrowing);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1907:
      ACCEPT_TOKEN(anon_sym_borrowing);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1908:
      ACCEPT_TOKEN(anon_sym_consuming);
      END_STATE();
    case 1909:
      ACCEPT_TOKEN(anon_sym_consuming);
      if (lookahead == ':') ADVANCE(1746);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1151);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1910:
      ACCEPT_TOKEN(anon_sym_consuming);
      if (lookahead == 0xfe0f) ADVANCE(1541);
      if ((0x1f3fb <= lookahead && lookahead <= 0x1f3ff)) ADVANCE(1542);
      if (set_contains(aux_sym_simple_identifier_token1_character_set_2, 911, lookahead)) ADVANCE(1542);
      END_STATE();
    case 1911:
      ACCEPT_TOKEN(anon_sym_property);
      END_STATE();
    case 1912:
      ACCEPT_TOKEN(anon_sym_receiver);
      END_STATE();
    case 1913:
      ACCEPT_TOKEN(anon_sym_param);
      END_STATE();
    case 1914:
      ACCEPT_TOKEN(anon_sym_setparam);
      END_STATE();
    case 1915:
      ACCEPT_TOKEN(anon_sym_delegate);
      END_STATE();
    case 1916:
      ACCEPT_TOKEN(sym_directive);
      if (lookahead == '\n') ADVANCE(33);
      if (lookahead == '#') ADVANCE(1925);
      if (lookahead != 0) ADVANCE(1920);
      END_STATE();
    case 1917:
      ACCEPT_TOKEN(sym_directive);
      if (lookahead == '\n') ADVANCE(34);
      if (lookahead == '\r') ADVANCE(33);
      if (lookahead == '/') ADVANCE(1921);
      if (lookahead != 0) ADVANCE(1917);
      END_STATE();
    case 1918:
      ACCEPT_TOKEN(sym_directive);
      if (lookahead == '\n') ADVANCE(34);
      if (lookahead == '/') ADVANCE(1916);
      if (lookahead == 'f') ADVANCE(1920);
      if (lookahead != 0) ADVANCE(1920);
      END_STATE();
    case 1919:
      ACCEPT_TOKEN(sym_directive);
      if (lookahead == '\n') ADVANCE(34);
      if (lookahead == '/') ADVANCE(1916);
      if (lookahead == 'i') ADVANCE(1918);
      if (lookahead != 0) ADVANCE(1920);
      END_STATE();
    case 1920:
      ACCEPT_TOKEN(sym_directive);
      if (lookahead == '\n') ADVANCE(34);
      if (lookahead == '/') ADVANCE(1916);
      if (lookahead != 0) ADVANCE(1920);
      END_STATE();
    case 1921:
      ACCEPT_TOKEN(sym_directive);
      if (lookahead == '#') ADVANCE(1924);
      if (lookahead == '\n' ||
          lookahead == '\r') ADVANCE(33);
      if (lookahead != 0) ADVANCE(1917);
      END_STATE();
    case 1922:
      ACCEPT_TOKEN(sym_directive);
      if (lookahead == 'f') ADVANCE(1925);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1925);
      END_STATE();
    case 1923:
      ACCEPT_TOKEN(sym_directive);
      if (lookahead == 'i') ADVANCE(1922);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1925);
      END_STATE();
    case 1924:
      ACCEPT_TOKEN(sym_directive);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(1924);
      END_STATE();
    case 1925:
      ACCEPT_TOKEN(sym_directive);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1925);
      END_STATE();
    case 1926:
      ACCEPT_TOKEN(sym_diagnostic);
      if (lookahead == '\n') ADVANCE(34);
      if (lookahead == '\r') ADVANCE(33);
      if (lookahead == '/') ADVANCE(1927);
      if (lookahead != 0) ADVANCE(1926);
      END_STATE();
    case 1927:
      ACCEPT_TOKEN(sym_diagnostic);
      if (lookahead == '#') ADVANCE(1928);
      if (lookahead == '\n' ||
          lookahead == '\r') ADVANCE(33);
      if (lookahead != 0) ADVANCE(1926);
      END_STATE();
    case 1928:
      ACCEPT_TOKEN(sym_diagnostic);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(1928);
      END_STATE();
    case 1929:
      ACCEPT_TOKEN(anon_sym_unused1);
      END_STATE();
    case 1930:
      ACCEPT_TOKEN(anon_sym_unused2);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 755, .external_lex_state = 2},
  [2] = {.lex_state = 51, .external_lex_state = 2},
  [3] = {.lex_state = 51, .external_lex_state = 2},
  [4] = {.lex_state = 51, .external_lex_state = 2},
  [5] = {.lex_state = 51, .external_lex_state = 2},
  [6] = {.lex_state = 55, .external_lex_state = 2},
  [7] = {.lex_state = 55, .external_lex_state = 2},
  [8] = {.lex_state = 53, .external_lex_state = 3},
  [9] = {.lex_state = 55, .external_lex_state = 2},
  [10] = {.lex_state = 53, .external_lex_state = 3},
  [11] = {.lex_state = 53, .external_lex_state = 3},
  [12] = {.lex_state = 53, .external_lex_state = 3},
  [13] = {.lex_state = 53, .external_lex_state = 3},
  [14] = {.lex_state = 53, .external_lex_state = 3},
  [15] = {.lex_state = 53, .external_lex_state = 3},
  [16] = {.lex_state = 55, .external_lex_state = 2},
  [17] = {.lex_state = 53, .external_lex_state = 3},
  [18] = {.lex_state = 53, .external_lex_state = 3},
  [19] = {.lex_state = 53, .external_lex_state = 3},
  [20] = {.lex_state = 53, .external_lex_state = 3},
  [21] = {.lex_state = 53, .external_lex_state = 3},
  [22] = {.lex_state = 755, .external_lex_state = 2},
  [23] = {.lex_state = 755, .external_lex_state = 2},
  [24] = {.lex_state = 755, .external_lex_state = 2},
  [25] = {.lex_state = 755, .external_lex_state = 2},
  [26] = {.lex_state = 755, .external_lex_state = 2},
  [27] = {.lex_state = 54, .external_lex_state = 3},
  [28] = {.lex_state = 54, .external_lex_state = 3},
  [29] = {.lex_state = 57, .external_lex_state = 2},
  [30] = {.lex_state = 57, .external_lex_state = 2},
  [31] = {.lex_state = 57, .external_lex_state = 2},
  [32] = {.lex_state = 64, .external_lex_state = 4},
  [33] = {.lex_state = 59, .external_lex_state = 2},
  [34] = {.lex_state = 59, .external_lex_state = 2},
  [35] = {.lex_state = 59, .external_lex_state = 2},
  [36] = {.lex_state = 59, .external_lex_state = 2},
  [37] = {.lex_state = 59, .external_lex_state = 2},
  [38] = {.lex_state = 59, .external_lex_state = 2},
  [39] = {.lex_state = 59, .external_lex_state = 2},
  [40] = {.lex_state = 59, .external_lex_state = 2},
  [41] = {.lex_state = 59, .external_lex_state = 2},
  [42] = {.lex_state = 59, .external_lex_state = 2},
  [43] = {.lex_state = 59, .external_lex_state = 2},
  [44] = {.lex_state = 59, .external_lex_state = 2},
  [45] = {.lex_state = 59, .external_lex_state = 2},
  [46] = {.lex_state = 59, .external_lex_state = 2},
  [47] = {.lex_state = 59, .external_lex_state = 2},
  [48] = {.lex_state = 59, .external_lex_state = 2},
  [49] = {.lex_state = 59, .external_lex_state = 2},
  [50] = {.lex_state = 59, .external_lex_state = 2},
  [51] = {.lex_state = 59, .external_lex_state = 2},
  [52] = {.lex_state = 59, .external_lex_state = 2},
  [53] = {.lex_state = 59, .external_lex_state = 2},
  [54] = {.lex_state = 58, .external_lex_state = 2},
  [55] = {.lex_state = 58, .external_lex_state = 2},
  [56] = {.lex_state = 58, .external_lex_state = 2},
  [57] = {.lex_state = 58, .external_lex_state = 2},
  [58] = {.lex_state = 58, .external_lex_state = 2},
  [59] = {.lex_state = 58, .external_lex_state = 2},
  [60] = {.lex_state = 58, .external_lex_state = 2},
  [61] = {.lex_state = 66, .external_lex_state = 5},
  [62] = {.lex_state = 58, .external_lex_state = 2},
  [63] = {.lex_state = 58, .external_lex_state = 2},
  [64] = {.lex_state = 58, .external_lex_state = 2},
  [65] = {.lex_state = 58, .external_lex_state = 2},
  [66] = {.lex_state = 58, .external_lex_state = 2},
  [67] = {.lex_state = 58, .external_lex_state = 2},
  [68] = {.lex_state = 58, .external_lex_state = 2},
  [69] = {.lex_state = 58, .external_lex_state = 2},
  [70] = {.lex_state = 58, .external_lex_state = 2},
  [71] = {.lex_state = 58, .external_lex_state = 2},
  [72] = {.lex_state = 58, .external_lex_state = 2},
  [73] = {.lex_state = 58, .external_lex_state = 2},
  [74] = {.lex_state = 58, .external_lex_state = 2},
  [75] = {.lex_state = 58, .external_lex_state = 2},
  [76] = {.lex_state = 58, .external_lex_state = 2},
  [77] = {.lex_state = 58, .external_lex_state = 2},
  [78] = {.lex_state = 58, .external_lex_state = 2},
  [79] = {.lex_state = 58, .external_lex_state = 2},
  [80] = {.lex_state = 58, .external_lex_state = 2},
  [81] = {.lex_state = 58, .external_lex_state = 2},
  [82] = {.lex_state = 58, .external_lex_state = 2},
  [83] = {.lex_state = 58, .external_lex_state = 2},
  [84] = {.lex_state = 58, .external_lex_state = 2},
  [85] = {.lex_state = 58, .external_lex_state = 2},
  [86] = {.lex_state = 58, .external_lex_state = 2},
  [87] = {.lex_state = 58, .external_lex_state = 2},
  [88] = {.lex_state = 58, .external_lex_state = 2},
  [89] = {.lex_state = 58, .external_lex_state = 2},
  [90] = {.lex_state = 58, .external_lex_state = 2},
  [91] = {.lex_state = 58, .external_lex_state = 2},
  [92] = {.lex_state = 58, .external_lex_state = 2},
  [93] = {.lex_state = 58, .external_lex_state = 2},
  [94] = {.lex_state = 58, .external_lex_state = 2},
  [95] = {.lex_state = 58, .external_lex_state = 2},
  [96] = {.lex_state = 58, .external_lex_state = 2},
  [97] = {.lex_state = 58, .external_lex_state = 2},
  [98] = {.lex_state = 58, .external_lex_state = 2},
  [99] = {.lex_state = 58, .external_lex_state = 2},
  [100] = {.lex_state = 58, .external_lex_state = 2},
  [101] = {.lex_state = 58, .external_lex_state = 2},
  [102] = {.lex_state = 58, .external_lex_state = 2},
  [103] = {.lex_state = 66, .external_lex_state = 6},
  [104] = {.lex_state = 58, .external_lex_state = 2},
  [105] = {.lex_state = 64, .external_lex_state = 4},
  [106] = {.lex_state = 58, .external_lex_state = 2},
  [107] = {.lex_state = 58, .external_lex_state = 2},
  [108] = {.lex_state = 58, .external_lex_state = 2},
  [109] = {.lex_state = 58, .external_lex_state = 2},
  [110] = {.lex_state = 64, .external_lex_state = 4},
  [111] = {.lex_state = 64, .external_lex_state = 4},
  [112] = {.lex_state = 58, .external_lex_state = 2},
  [113] = {.lex_state = 58, .external_lex_state = 2},
  [114] = {.lex_state = 58, .external_lex_state = 2},
  [115] = {.lex_state = 58, .external_lex_state = 2},
  [116] = {.lex_state = 58, .external_lex_state = 2},
  [117] = {.lex_state = 49, .external_lex_state = 5},
  [118] = {.lex_state = 49, .external_lex_state = 5},
  [119] = {.lex_state = 49, .external_lex_state = 5},
  [120] = {.lex_state = 49, .external_lex_state = 6},
  [121] = {.lex_state = 49, .external_lex_state = 6},
  [122] = {.lex_state = 49, .external_lex_state = 6},
  [123] = {.lex_state = 49, .external_lex_state = 6},
  [124] = {.lex_state = 56, .external_lex_state = 7},
  [125] = {.lex_state = 41, .external_lex_state = 8},
  [126] = {.lex_state = 41, .external_lex_state = 8},
  [127] = {.lex_state = 41, .external_lex_state = 8},
  [128] = {.lex_state = 41, .external_lex_state = 8},
  [129] = {.lex_state = 35, .external_lex_state = 8},
  [130] = {.lex_state = 35, .external_lex_state = 8},
  [131] = {.lex_state = 758, .external_lex_state = 9},
  [132] = {.lex_state = 758, .external_lex_state = 10},
  [133] = {.lex_state = 48, .external_lex_state = 2},
  [134] = {.lex_state = 45, .external_lex_state = 2},
  [135] = {.lex_state = 758, .external_lex_state = 4},
  [136] = {.lex_state = 758, .external_lex_state = 10},
  [137] = {.lex_state = 758, .external_lex_state = 11},
  [138] = {.lex_state = 758, .external_lex_state = 12},
  [139] = {.lex_state = 52, .external_lex_state = 2},
  [140] = {.lex_state = 758, .external_lex_state = 13},
  [141] = {.lex_state = 44, .external_lex_state = 2},
  [142] = {.lex_state = 44, .external_lex_state = 2},
  [143] = {.lex_state = 44, .external_lex_state = 2},
  [144] = {.lex_state = 44, .external_lex_state = 2},
  [145] = {.lex_state = 44, .external_lex_state = 2},
  [146] = {.lex_state = 44, .external_lex_state = 2},
  [147] = {.lex_state = 44, .external_lex_state = 2},
  [148] = {.lex_state = 44, .external_lex_state = 2},
  [149] = {.lex_state = 44, .external_lex_state = 2},
  [150] = {.lex_state = 44, .external_lex_state = 2},
  [151] = {.lex_state = 46, .external_lex_state = 14},
  [152] = {.lex_state = 60, .external_lex_state = 2},
  [153] = {.lex_state = 60, .external_lex_state = 2},
  [154] = {.lex_state = 46, .external_lex_state = 14},
  [155] = {.lex_state = 61, .external_lex_state = 2},
  [156] = {.lex_state = 61, .external_lex_state = 2},
  [157] = {.lex_state = 756, .external_lex_state = 9},
  [158] = {.lex_state = 61, .external_lex_state = 2},
  [159] = {.lex_state = 61, .external_lex_state = 2},
  [160] = {.lex_state = 61, .external_lex_state = 2},
  [161] = {.lex_state = 61, .external_lex_state = 2},
  [162] = {.lex_state = 61, .external_lex_state = 2},
  [163] = {.lex_state = 756, .external_lex_state = 9},
  [164] = {.lex_state = 756, .external_lex_state = 9},
  [165] = {.lex_state = 61, .external_lex_state = 2},
  [166] = {.lex_state = 61, .external_lex_state = 2},
  [167] = {.lex_state = 61, .external_lex_state = 2},
  [168] = {.lex_state = 61, .external_lex_state = 2},
  [169] = {.lex_state = 68, .external_lex_state = 2},
  [170] = {.lex_state = 61, .external_lex_state = 2},
  [171] = {.lex_state = 756, .external_lex_state = 10},
  [172] = {.lex_state = 756, .external_lex_state = 10},
  [173] = {.lex_state = 61, .external_lex_state = 2},
  [174] = {.lex_state = 756, .external_lex_state = 10},
  [175] = {.lex_state = 61, .external_lex_state = 2},
  [176] = {.lex_state = 756, .external_lex_state = 4},
  [177] = {.lex_state = 68, .external_lex_state = 2},
  [178] = {.lex_state = 68, .external_lex_state = 2},
  [179] = {.lex_state = 68, .external_lex_state = 2},
  [180] = {.lex_state = 68, .external_lex_state = 2},
  [181] = {.lex_state = 68, .external_lex_state = 2},
  [182] = {.lex_state = 68, .external_lex_state = 2},
  [183] = {.lex_state = 68, .external_lex_state = 2},
  [184] = {.lex_state = 68, .external_lex_state = 2},
  [185] = {.lex_state = 68, .external_lex_state = 2},
  [186] = {.lex_state = 68, .external_lex_state = 2},
  [187] = {.lex_state = 68, .external_lex_state = 2},
  [188] = {.lex_state = 68, .external_lex_state = 2},
  [189] = {.lex_state = 68, .external_lex_state = 2},
  [190] = {.lex_state = 756, .external_lex_state = 4},
  [191] = {.lex_state = 68, .external_lex_state = 2},
  [192] = {.lex_state = 756, .external_lex_state = 10},
  [193] = {.lex_state = 68, .external_lex_state = 2},
  [194] = {.lex_state = 756, .external_lex_state = 4},
  [195] = {.lex_state = 68, .external_lex_state = 2},
  [196] = {.lex_state = 68, .external_lex_state = 2},
  [197] = {.lex_state = 756, .external_lex_state = 10},
  [198] = {.lex_state = 68, .external_lex_state = 2},
  [199] = {.lex_state = 68, .external_lex_state = 2},
  [200] = {.lex_state = 68, .external_lex_state = 2},
  [201] = {.lex_state = 68, .external_lex_state = 2},
  [202] = {.lex_state = 68, .external_lex_state = 2},
  [203] = {.lex_state = 68, .external_lex_state = 2},
  [204] = {.lex_state = 756, .external_lex_state = 10},
  [205] = {.lex_state = 68, .external_lex_state = 2},
  [206] = {.lex_state = 68, .external_lex_state = 2},
  [207] = {.lex_state = 756, .external_lex_state = 10},
  [208] = {.lex_state = 756, .external_lex_state = 11},
  [209] = {.lex_state = 756, .external_lex_state = 12},
  [210] = {.lex_state = 756, .external_lex_state = 11},
  [211] = {.lex_state = 756, .external_lex_state = 11},
  [212] = {.lex_state = 756, .external_lex_state = 12},
  [213] = {.lex_state = 756, .external_lex_state = 12},
  [214] = {.lex_state = 756, .external_lex_state = 13},
  [215] = {.lex_state = 756, .external_lex_state = 13},
  [216] = {.lex_state = 756, .external_lex_state = 13},
  [217] = {.lex_state = 69, .external_lex_state = 2},
  [218] = {.lex_state = 69, .external_lex_state = 2},
  [219] = {.lex_state = 69, .external_lex_state = 2},
  [220] = {.lex_state = 69, .external_lex_state = 2},
  [221] = {.lex_state = 69, .external_lex_state = 2},
  [222] = {.lex_state = 69, .external_lex_state = 2},
  [223] = {.lex_state = 69, .external_lex_state = 2},
  [224] = {.lex_state = 69, .external_lex_state = 2},
  [225] = {.lex_state = 69, .external_lex_state = 2},
  [226] = {.lex_state = 69, .external_lex_state = 2},
  [227] = {.lex_state = 69, .external_lex_state = 2},
  [228] = {.lex_state = 69, .external_lex_state = 2},
  [229] = {.lex_state = 69, .external_lex_state = 2},
  [230] = {.lex_state = 69, .external_lex_state = 2},
  [231] = {.lex_state = 69, .external_lex_state = 2},
  [232] = {.lex_state = 69, .external_lex_state = 2},
  [233] = {.lex_state = 69, .external_lex_state = 2},
  [234] = {.lex_state = 69, .external_lex_state = 2},
  [235] = {.lex_state = 69, .external_lex_state = 2},
  [236] = {.lex_state = 69, .external_lex_state = 2},
  [237] = {.lex_state = 69, .external_lex_state = 2},
  [238] = {.lex_state = 69, .external_lex_state = 2},
  [239] = {.lex_state = 69, .external_lex_state = 2},
  [240] = {.lex_state = 69, .external_lex_state = 2},
  [241] = {.lex_state = 69, .external_lex_state = 2},
  [242] = {.lex_state = 69, .external_lex_state = 2},
  [243] = {.lex_state = 69, .external_lex_state = 2},
  [244] = {.lex_state = 69, .external_lex_state = 2},
  [245] = {.lex_state = 69, .external_lex_state = 2},
  [246] = {.lex_state = 69, .external_lex_state = 2},
  [247] = {.lex_state = 69, .external_lex_state = 2},
  [248] = {.lex_state = 69, .external_lex_state = 2},
  [249] = {.lex_state = 69, .external_lex_state = 2},
  [250] = {.lex_state = 69, .external_lex_state = 2},
  [251] = {.lex_state = 69, .external_lex_state = 2},
  [252] = {.lex_state = 69, .external_lex_state = 2},
  [253] = {.lex_state = 69, .external_lex_state = 2},
  [254] = {.lex_state = 69, .external_lex_state = 2},
  [255] = {.lex_state = 69, .external_lex_state = 2},
  [256] = {.lex_state = 69, .external_lex_state = 2},
  [257] = {.lex_state = 69, .external_lex_state = 2},
  [258] = {.lex_state = 69, .external_lex_state = 2},
  [259] = {.lex_state = 69, .external_lex_state = 2},
  [260] = {.lex_state = 44, .external_lex_state = 2},
  [261] = {.lex_state = 52, .external_lex_state = 2},
  [262] = {.lex_state = 44, .external_lex_state = 2},
  [263] = {.lex_state = 44, .external_lex_state = 2},
  [264] = {.lex_state = 44, .external_lex_state = 2},
  [265] = {.lex_state = 44, .external_lex_state = 2},
  [266] = {.lex_state = 44, .external_lex_state = 2},
  [267] = {.lex_state = 44, .external_lex_state = 2},
  [268] = {.lex_state = 44, .external_lex_state = 2},
  [269] = {.lex_state = 44, .external_lex_state = 2},
  [270] = {.lex_state = 44, .external_lex_state = 2},
  [271] = {.lex_state = 69, .external_lex_state = 2},
  [272] = {.lex_state = 69, .external_lex_state = 2},
  [273] = {.lex_state = 69, .external_lex_state = 2},
  [274] = {.lex_state = 69, .external_lex_state = 2},
  [275] = {.lex_state = 69, .external_lex_state = 2},
  [276] = {.lex_state = 69, .external_lex_state = 15},
  [277] = {.lex_state = 69, .external_lex_state = 2},
  [278] = {.lex_state = 69, .external_lex_state = 2},
  [279] = {.lex_state = 69, .external_lex_state = 2},
  [280] = {.lex_state = 69, .external_lex_state = 2},
  [281] = {.lex_state = 69, .external_lex_state = 2},
  [282] = {.lex_state = 69, .external_lex_state = 2},
  [283] = {.lex_state = 69, .external_lex_state = 16},
  [284] = {.lex_state = 69, .external_lex_state = 2},
  [285] = {.lex_state = 69, .external_lex_state = 2},
  [286] = {.lex_state = 69, .external_lex_state = 2},
  [287] = {.lex_state = 69, .external_lex_state = 2},
  [288] = {.lex_state = 69, .external_lex_state = 2},
  [289] = {.lex_state = 69, .external_lex_state = 2},
  [290] = {.lex_state = 69, .external_lex_state = 2},
  [291] = {.lex_state = 69, .external_lex_state = 2},
  [292] = {.lex_state = 69, .external_lex_state = 2},
  [293] = {.lex_state = 69, .external_lex_state = 2},
  [294] = {.lex_state = 69, .external_lex_state = 2},
  [295] = {.lex_state = 69, .external_lex_state = 2},
  [296] = {.lex_state = 69, .external_lex_state = 2},
  [297] = {.lex_state = 69, .external_lex_state = 2},
  [298] = {.lex_state = 69, .external_lex_state = 2},
  [299] = {.lex_state = 69, .external_lex_state = 2},
  [300] = {.lex_state = 62, .external_lex_state = 2},
  [301] = {.lex_state = 69, .external_lex_state = 2},
  [302] = {.lex_state = 69, .external_lex_state = 2},
  [303] = {.lex_state = 62, .external_lex_state = 2},
  [304] = {.lex_state = 62, .external_lex_state = 2},
  [305] = {.lex_state = 69, .external_lex_state = 2},
  [306] = {.lex_state = 69, .external_lex_state = 2},
  [307] = {.lex_state = 69, .external_lex_state = 2},
  [308] = {.lex_state = 69, .external_lex_state = 2},
  [309] = {.lex_state = 69, .external_lex_state = 2},
  [310] = {.lex_state = 69, .external_lex_state = 2},
  [311] = {.lex_state = 69, .external_lex_state = 2},
  [312] = {.lex_state = 69, .external_lex_state = 2},
  [313] = {.lex_state = 69, .external_lex_state = 2},
  [314] = {.lex_state = 69, .external_lex_state = 2},
  [315] = {.lex_state = 69, .external_lex_state = 2},
  [316] = {.lex_state = 69, .external_lex_state = 2},
  [317] = {.lex_state = 69, .external_lex_state = 2},
  [318] = {.lex_state = 69, .external_lex_state = 2},
  [319] = {.lex_state = 69, .external_lex_state = 2},
  [320] = {.lex_state = 62, .external_lex_state = 2},
  [321] = {.lex_state = 69, .external_lex_state = 2},
  [322] = {.lex_state = 69, .external_lex_state = 2},
  [323] = {.lex_state = 69, .external_lex_state = 2},
  [324] = {.lex_state = 69, .external_lex_state = 2},
  [325] = {.lex_state = 69, .external_lex_state = 2},
  [326] = {.lex_state = 69, .external_lex_state = 2},
  [327] = {.lex_state = 69, .external_lex_state = 2},
  [328] = {.lex_state = 69, .external_lex_state = 2},
  [329] = {.lex_state = 69, .external_lex_state = 2},
  [330] = {.lex_state = 69, .external_lex_state = 2},
  [331] = {.lex_state = 69, .external_lex_state = 2},
  [332] = {.lex_state = 69, .external_lex_state = 2},
  [333] = {.lex_state = 69, .external_lex_state = 2},
  [334] = {.lex_state = 69, .external_lex_state = 2},
  [335] = {.lex_state = 69, .external_lex_state = 2},
  [336] = {.lex_state = 69, .external_lex_state = 2},
  [337] = {.lex_state = 69, .external_lex_state = 2},
  [338] = {.lex_state = 69, .external_lex_state = 2},
  [339] = {.lex_state = 69, .external_lex_state = 2},
  [340] = {.lex_state = 69, .external_lex_state = 2},
  [341] = {.lex_state = 69, .external_lex_state = 2},
  [342] = {.lex_state = 69, .external_lex_state = 2},
  [343] = {.lex_state = 69, .external_lex_state = 2},
  [344] = {.lex_state = 62, .external_lex_state = 2},
  [345] = {.lex_state = 69, .external_lex_state = 2},
  [346] = {.lex_state = 69, .external_lex_state = 2},
  [347] = {.lex_state = 69, .external_lex_state = 2},
  [348] = {.lex_state = 69, .external_lex_state = 2},
  [349] = {.lex_state = 69, .external_lex_state = 2},
  [350] = {.lex_state = 69, .external_lex_state = 2},
  [351] = {.lex_state = 69, .external_lex_state = 2},
  [352] = {.lex_state = 69, .external_lex_state = 2},
  [353] = {.lex_state = 69, .external_lex_state = 2},
  [354] = {.lex_state = 62, .external_lex_state = 2},
  [355] = {.lex_state = 69, .external_lex_state = 2},
  [356] = {.lex_state = 69, .external_lex_state = 2},
  [357] = {.lex_state = 69, .external_lex_state = 2},
  [358] = {.lex_state = 69, .external_lex_state = 2},
  [359] = {.lex_state = 69, .external_lex_state = 2},
  [360] = {.lex_state = 69, .external_lex_state = 2},
  [361] = {.lex_state = 69, .external_lex_state = 2},
  [362] = {.lex_state = 69, .external_lex_state = 2},
  [363] = {.lex_state = 69, .external_lex_state = 2},
  [364] = {.lex_state = 69, .external_lex_state = 2},
  [365] = {.lex_state = 69, .external_lex_state = 2},
  [366] = {.lex_state = 69, .external_lex_state = 2},
  [367] = {.lex_state = 69, .external_lex_state = 2},
  [368] = {.lex_state = 69, .external_lex_state = 2},
  [369] = {.lex_state = 69, .external_lex_state = 2},
  [370] = {.lex_state = 69, .external_lex_state = 2},
  [371] = {.lex_state = 69, .external_lex_state = 2},
  [372] = {.lex_state = 69, .external_lex_state = 2},
  [373] = {.lex_state = 69, .external_lex_state = 2},
  [374] = {.lex_state = 69, .external_lex_state = 2},
  [375] = {.lex_state = 69, .external_lex_state = 2},
  [376] = {.lex_state = 69, .external_lex_state = 2},
  [377] = {.lex_state = 69, .external_lex_state = 2},
  [378] = {.lex_state = 69, .external_lex_state = 2},
  [379] = {.lex_state = 69, .external_lex_state = 2},
  [380] = {.lex_state = 69, .external_lex_state = 2},
  [381] = {.lex_state = 69, .external_lex_state = 2},
  [382] = {.lex_state = 69, .external_lex_state = 2},
  [383] = {.lex_state = 62, .external_lex_state = 2},
  [384] = {.lex_state = 69, .external_lex_state = 2},
  [385] = {.lex_state = 62, .external_lex_state = 2},
  [386] = {.lex_state = 69, .external_lex_state = 2},
  [387] = {.lex_state = 69, .external_lex_state = 2},
  [388] = {.lex_state = 69, .external_lex_state = 2},
  [389] = {.lex_state = 69, .external_lex_state = 2},
  [390] = {.lex_state = 69, .external_lex_state = 2},
  [391] = {.lex_state = 69, .external_lex_state = 2},
  [392] = {.lex_state = 69, .external_lex_state = 2},
  [393] = {.lex_state = 69, .external_lex_state = 2},
  [394] = {.lex_state = 62, .external_lex_state = 2},
  [395] = {.lex_state = 69, .external_lex_state = 2},
  [396] = {.lex_state = 69, .external_lex_state = 2},
  [397] = {.lex_state = 69, .external_lex_state = 2},
  [398] = {.lex_state = 69, .external_lex_state = 2},
  [399] = {.lex_state = 69, .external_lex_state = 2},
  [400] = {.lex_state = 69, .external_lex_state = 2},
  [401] = {.lex_state = 69, .external_lex_state = 2},
  [402] = {.lex_state = 69, .external_lex_state = 2},
  [403] = {.lex_state = 69, .external_lex_state = 2},
  [404] = {.lex_state = 69, .external_lex_state = 2},
  [405] = {.lex_state = 69, .external_lex_state = 2},
  [406] = {.lex_state = 69, .external_lex_state = 2},
  [407] = {.lex_state = 69, .external_lex_state = 2},
  [408] = {.lex_state = 69, .external_lex_state = 2},
  [409] = {.lex_state = 69, .external_lex_state = 2},
  [410] = {.lex_state = 69, .external_lex_state = 2},
  [411] = {.lex_state = 69, .external_lex_state = 2},
  [412] = {.lex_state = 69, .external_lex_state = 2},
  [413] = {.lex_state = 69, .external_lex_state = 2},
  [414] = {.lex_state = 69, .external_lex_state = 2},
  [415] = {.lex_state = 69, .external_lex_state = 2},
  [416] = {.lex_state = 69, .external_lex_state = 2},
  [417] = {.lex_state = 69, .external_lex_state = 2},
  [418] = {.lex_state = 69, .external_lex_state = 2},
  [419] = {.lex_state = 69, .external_lex_state = 2},
  [420] = {.lex_state = 69, .external_lex_state = 2},
  [421] = {.lex_state = 69, .external_lex_state = 2},
  [422] = {.lex_state = 69, .external_lex_state = 2},
  [423] = {.lex_state = 69, .external_lex_state = 2},
  [424] = {.lex_state = 69, .external_lex_state = 2},
  [425] = {.lex_state = 69, .external_lex_state = 2},
  [426] = {.lex_state = 69, .external_lex_state = 2},
  [427] = {.lex_state = 69, .external_lex_state = 2},
  [428] = {.lex_state = 69, .external_lex_state = 2},
  [429] = {.lex_state = 69, .external_lex_state = 2},
  [430] = {.lex_state = 69, .external_lex_state = 2},
  [431] = {.lex_state = 69, .external_lex_state = 2},
  [432] = {.lex_state = 69, .external_lex_state = 2},
  [433] = {.lex_state = 69, .external_lex_state = 2},
  [434] = {.lex_state = 69, .external_lex_state = 2},
  [435] = {.lex_state = 69, .external_lex_state = 2},
  [436] = {.lex_state = 69, .external_lex_state = 2},
  [437] = {.lex_state = 69, .external_lex_state = 2},
  [438] = {.lex_state = 69, .external_lex_state = 2},
  [439] = {.lex_state = 69, .external_lex_state = 2},
  [440] = {.lex_state = 69, .external_lex_state = 2},
  [441] = {.lex_state = 69, .external_lex_state = 2},
  [442] = {.lex_state = 69, .external_lex_state = 2},
  [443] = {.lex_state = 69, .external_lex_state = 2},
  [444] = {.lex_state = 69, .external_lex_state = 2},
  [445] = {.lex_state = 69, .external_lex_state = 2},
  [446] = {.lex_state = 69, .external_lex_state = 2},
  [447] = {.lex_state = 69, .external_lex_state = 2},
  [448] = {.lex_state = 69, .external_lex_state = 2},
  [449] = {.lex_state = 69, .external_lex_state = 2},
  [450] = {.lex_state = 69, .external_lex_state = 2},
  [451] = {.lex_state = 69, .external_lex_state = 2},
  [452] = {.lex_state = 69, .external_lex_state = 2},
  [453] = {.lex_state = 69, .external_lex_state = 2},
  [454] = {.lex_state = 69, .external_lex_state = 2},
  [455] = {.lex_state = 69, .external_lex_state = 2},
  [456] = {.lex_state = 69, .external_lex_state = 2},
  [457] = {.lex_state = 69, .external_lex_state = 2},
  [458] = {.lex_state = 69, .external_lex_state = 2},
  [459] = {.lex_state = 69, .external_lex_state = 2},
  [460] = {.lex_state = 69, .external_lex_state = 2},
  [461] = {.lex_state = 69, .external_lex_state = 2},
  [462] = {.lex_state = 69, .external_lex_state = 2},
  [463] = {.lex_state = 69, .external_lex_state = 2},
  [464] = {.lex_state = 69, .external_lex_state = 2},
  [465] = {.lex_state = 69, .external_lex_state = 2},
  [466] = {.lex_state = 69, .external_lex_state = 2},
  [467] = {.lex_state = 69, .external_lex_state = 2},
  [468] = {.lex_state = 69, .external_lex_state = 2},
  [469] = {.lex_state = 69, .external_lex_state = 2},
  [470] = {.lex_state = 69, .external_lex_state = 2},
  [471] = {.lex_state = 69, .external_lex_state = 2},
  [472] = {.lex_state = 69, .external_lex_state = 2},
  [473] = {.lex_state = 69, .external_lex_state = 2},
  [474] = {.lex_state = 69, .external_lex_state = 2},
  [475] = {.lex_state = 69, .external_lex_state = 2},
  [476] = {.lex_state = 69, .external_lex_state = 2},
  [477] = {.lex_state = 69, .external_lex_state = 2},
  [478] = {.lex_state = 69, .external_lex_state = 2},
  [479] = {.lex_state = 69, .external_lex_state = 2},
  [480] = {.lex_state = 69, .external_lex_state = 2},
  [481] = {.lex_state = 69, .external_lex_state = 2},
  [482] = {.lex_state = 69, .external_lex_state = 2},
  [483] = {.lex_state = 69, .external_lex_state = 2},
  [484] = {.lex_state = 69, .external_lex_state = 2},
  [485] = {.lex_state = 69, .external_lex_state = 2},
  [486] = {.lex_state = 69, .external_lex_state = 2},
  [487] = {.lex_state = 69, .external_lex_state = 2},
  [488] = {.lex_state = 69, .external_lex_state = 2},
  [489] = {.lex_state = 69, .external_lex_state = 2},
  [490] = {.lex_state = 69, .external_lex_state = 2},
  [491] = {.lex_state = 69, .external_lex_state = 2},
  [492] = {.lex_state = 69, .external_lex_state = 2},
  [493] = {.lex_state = 69, .external_lex_state = 2},
  [494] = {.lex_state = 69, .external_lex_state = 2},
  [495] = {.lex_state = 69, .external_lex_state = 2},
  [496] = {.lex_state = 69, .external_lex_state = 2},
  [497] = {.lex_state = 69, .external_lex_state = 2},
  [498] = {.lex_state = 69, .external_lex_state = 2},
  [499] = {.lex_state = 69, .external_lex_state = 2},
  [500] = {.lex_state = 69, .external_lex_state = 2},
  [501] = {.lex_state = 69, .external_lex_state = 2},
  [502] = {.lex_state = 69, .external_lex_state = 2},
  [503] = {.lex_state = 69, .external_lex_state = 2},
  [504] = {.lex_state = 69, .external_lex_state = 2},
  [505] = {.lex_state = 69, .external_lex_state = 2},
  [506] = {.lex_state = 69, .external_lex_state = 2},
  [507] = {.lex_state = 69, .external_lex_state = 2},
  [508] = {.lex_state = 69, .external_lex_state = 2},
  [509] = {.lex_state = 69, .external_lex_state = 2},
  [510] = {.lex_state = 69, .external_lex_state = 2},
  [511] = {.lex_state = 69, .external_lex_state = 2},
  [512] = {.lex_state = 69, .external_lex_state = 2},
  [513] = {.lex_state = 69, .external_lex_state = 2},
  [514] = {.lex_state = 69, .external_lex_state = 2},
  [515] = {.lex_state = 69, .external_lex_state = 2},
  [516] = {.lex_state = 69, .external_lex_state = 2},
  [517] = {.lex_state = 69, .external_lex_state = 2},
  [518] = {.lex_state = 69, .external_lex_state = 2},
  [519] = {.lex_state = 69, .external_lex_state = 2},
  [520] = {.lex_state = 69, .external_lex_state = 2},
  [521] = {.lex_state = 69, .external_lex_state = 2},
  [522] = {.lex_state = 69, .external_lex_state = 2},
  [523] = {.lex_state = 69, .external_lex_state = 2},
  [524] = {.lex_state = 69, .external_lex_state = 2},
  [525] = {.lex_state = 69, .external_lex_state = 2},
  [526] = {.lex_state = 69, .external_lex_state = 2},
  [527] = {.lex_state = 69, .external_lex_state = 2},
  [528] = {.lex_state = 69, .external_lex_state = 2},
  [529] = {.lex_state = 69, .external_lex_state = 2},
  [530] = {.lex_state = 69, .external_lex_state = 2},
  [531] = {.lex_state = 69, .external_lex_state = 2},
  [532] = {.lex_state = 69, .external_lex_state = 2},
  [533] = {.lex_state = 69, .external_lex_state = 2},
  [534] = {.lex_state = 69, .external_lex_state = 2},
  [535] = {.lex_state = 69, .external_lex_state = 2},
  [536] = {.lex_state = 69, .external_lex_state = 2},
  [537] = {.lex_state = 69, .external_lex_state = 2},
  [538] = {.lex_state = 69, .external_lex_state = 2},
  [539] = {.lex_state = 69, .external_lex_state = 2},
  [540] = {.lex_state = 69, .external_lex_state = 2},
  [541] = {.lex_state = 69, .external_lex_state = 2},
  [542] = {.lex_state = 69, .external_lex_state = 2},
  [543] = {.lex_state = 69, .external_lex_state = 2},
  [544] = {.lex_state = 69, .external_lex_state = 2},
  [545] = {.lex_state = 69, .external_lex_state = 2},
  [546] = {.lex_state = 69, .external_lex_state = 2},
  [547] = {.lex_state = 69, .external_lex_state = 2},
  [548] = {.lex_state = 69, .external_lex_state = 2},
  [549] = {.lex_state = 69, .external_lex_state = 2},
  [550] = {.lex_state = 69, .external_lex_state = 2},
  [551] = {.lex_state = 69, .external_lex_state = 2},
  [552] = {.lex_state = 69, .external_lex_state = 2},
  [553] = {.lex_state = 69, .external_lex_state = 2},
  [554] = {.lex_state = 69, .external_lex_state = 2},
  [555] = {.lex_state = 69, .external_lex_state = 2},
  [556] = {.lex_state = 69, .external_lex_state = 2},
  [557] = {.lex_state = 69, .external_lex_state = 2},
  [558] = {.lex_state = 69, .external_lex_state = 2},
  [559] = {.lex_state = 69, .external_lex_state = 2},
  [560] = {.lex_state = 69, .external_lex_state = 2},
  [561] = {.lex_state = 69, .external_lex_state = 2},
  [562] = {.lex_state = 69, .external_lex_state = 2},
  [563] = {.lex_state = 69, .external_lex_state = 2},
  [564] = {.lex_state = 69, .external_lex_state = 2},
  [565] = {.lex_state = 69, .external_lex_state = 2},
  [566] = {.lex_state = 69, .external_lex_state = 2},
  [567] = {.lex_state = 69, .external_lex_state = 2},
  [568] = {.lex_state = 69, .external_lex_state = 2},
  [569] = {.lex_state = 69, .external_lex_state = 2},
  [570] = {.lex_state = 69, .external_lex_state = 2},
  [571] = {.lex_state = 69, .external_lex_state = 2},
  [572] = {.lex_state = 69, .external_lex_state = 2},
  [573] = {.lex_state = 69, .external_lex_state = 2},
  [574] = {.lex_state = 69, .external_lex_state = 2},
  [575] = {.lex_state = 69, .external_lex_state = 2},
  [576] = {.lex_state = 69, .external_lex_state = 2},
  [577] = {.lex_state = 69, .external_lex_state = 2},
  [578] = {.lex_state = 69, .external_lex_state = 2},
  [579] = {.lex_state = 69, .external_lex_state = 2},
  [580] = {.lex_state = 69, .external_lex_state = 2},
  [581] = {.lex_state = 69, .external_lex_state = 2},
  [582] = {.lex_state = 69, .external_lex_state = 2},
  [583] = {.lex_state = 69, .external_lex_state = 2},
  [584] = {.lex_state = 69, .external_lex_state = 2},
  [585] = {.lex_state = 69, .external_lex_state = 2},
  [586] = {.lex_state = 69, .external_lex_state = 2},
  [587] = {.lex_state = 69, .external_lex_state = 2},
  [588] = {.lex_state = 69, .external_lex_state = 2},
  [589] = {.lex_state = 69, .external_lex_state = 2},
  [590] = {.lex_state = 69, .external_lex_state = 2},
  [591] = {.lex_state = 69, .external_lex_state = 2},
  [592] = {.lex_state = 69, .external_lex_state = 2},
  [593] = {.lex_state = 69, .external_lex_state = 2},
  [594] = {.lex_state = 69, .external_lex_state = 2},
  [595] = {.lex_state = 69, .external_lex_state = 2},
  [596] = {.lex_state = 69, .external_lex_state = 2},
  [597] = {.lex_state = 69, .external_lex_state = 2},
  [598] = {.lex_state = 69, .external_lex_state = 2},
  [599] = {.lex_state = 69, .external_lex_state = 2},
  [600] = {.lex_state = 69, .external_lex_state = 2},
  [601] = {.lex_state = 69, .external_lex_state = 2},
  [602] = {.lex_state = 69, .external_lex_state = 2},
  [603] = {.lex_state = 69, .external_lex_state = 2},
  [604] = {.lex_state = 64, .external_lex_state = 4},
  [605] = {.lex_state = 64, .external_lex_state = 4},
  [606] = {.lex_state = 64, .external_lex_state = 4},
  [607] = {.lex_state = 64, .external_lex_state = 4},
  [608] = {.lex_state = 64, .external_lex_state = 4},
  [609] = {.lex_state = 64, .external_lex_state = 4},
  [610] = {.lex_state = 64, .external_lex_state = 4},
  [611] = {.lex_state = 755, .external_lex_state = 2},
  [612] = {.lex_state = 73, .external_lex_state = 17},
  [613] = {.lex_state = 73, .external_lex_state = 17},
  [614] = {.lex_state = 49, .external_lex_state = 5},
  [615] = {.lex_state = 49, .external_lex_state = 5},
  [616] = {.lex_state = 49, .external_lex_state = 5},
  [617] = {.lex_state = 49, .external_lex_state = 5},
  [618] = {.lex_state = 49, .external_lex_state = 5},
  [619] = {.lex_state = 49, .external_lex_state = 5},
  [620] = {.lex_state = 49, .external_lex_state = 5},
  [621] = {.lex_state = 49, .external_lex_state = 6},
  [622] = {.lex_state = 49, .external_lex_state = 6},
  [623] = {.lex_state = 49, .external_lex_state = 6},
  [624] = {.lex_state = 49, .external_lex_state = 6},
  [625] = {.lex_state = 49, .external_lex_state = 6},
  [626] = {.lex_state = 764, .external_lex_state = 18},
  [627] = {.lex_state = 49, .external_lex_state = 6},
  [628] = {.lex_state = 49, .external_lex_state = 6},
  [629] = {.lex_state = 764, .external_lex_state = 18},
  [630] = {.lex_state = 764, .external_lex_state = 18},
  [631] = {.lex_state = 764, .external_lex_state = 18},
  [632] = {.lex_state = 764, .external_lex_state = 18},
  [633] = {.lex_state = 764, .external_lex_state = 18},
  [634] = {.lex_state = 764, .external_lex_state = 18},
  [635] = {.lex_state = 764, .external_lex_state = 18},
  [636] = {.lex_state = 764, .external_lex_state = 18},
  [637] = {.lex_state = 764, .external_lex_state = 18},
  [638] = {.lex_state = 764, .external_lex_state = 18},
  [639] = {.lex_state = 764, .external_lex_state = 18},
  [640] = {.lex_state = 77, .external_lex_state = 19},
  [641] = {.lex_state = 77, .external_lex_state = 19},
  [642] = {.lex_state = 77, .external_lex_state = 20},
  [643] = {.lex_state = 77, .external_lex_state = 20},
  [644] = {.lex_state = 764, .external_lex_state = 21},
  [645] = {.lex_state = 764, .external_lex_state = 21},
  [646] = {.lex_state = 764, .external_lex_state = 22},
  [647] = {.lex_state = 764, .external_lex_state = 21},
  [648] = {.lex_state = 764, .external_lex_state = 21},
  [649] = {.lex_state = 764, .external_lex_state = 21},
  [650] = {.lex_state = 764, .external_lex_state = 21},
  [651] = {.lex_state = 764, .external_lex_state = 22},
  [652] = {.lex_state = 764, .external_lex_state = 21},
  [653] = {.lex_state = 764, .external_lex_state = 21},
  [654] = {.lex_state = 764, .external_lex_state = 21},
  [655] = {.lex_state = 764, .external_lex_state = 21},
  [656] = {.lex_state = 764, .external_lex_state = 21},
  [657] = {.lex_state = 764, .external_lex_state = 22},
  [658] = {.lex_state = 74, .external_lex_state = 18},
  [659] = {.lex_state = 764, .external_lex_state = 22},
  [660] = {.lex_state = 764, .external_lex_state = 22},
  [661] = {.lex_state = 764, .external_lex_state = 22},
  [662] = {.lex_state = 764, .external_lex_state = 22},
  [663] = {.lex_state = 764, .external_lex_state = 22},
  [664] = {.lex_state = 764, .external_lex_state = 22},
  [665] = {.lex_state = 764, .external_lex_state = 22},
  [666] = {.lex_state = 764, .external_lex_state = 22},
  [667] = {.lex_state = 764, .external_lex_state = 22},
  [668] = {.lex_state = 764, .external_lex_state = 22},
  [669] = {.lex_state = 764, .external_lex_state = 22},
  [670] = {.lex_state = 764, .external_lex_state = 22},
  [671] = {.lex_state = 764, .external_lex_state = 22},
  [672] = {.lex_state = 58, .external_lex_state = 2},
  [673] = {.lex_state = 58, .external_lex_state = 2},
  [674] = {.lex_state = 58, .external_lex_state = 2},
  [675] = {.lex_state = 58, .external_lex_state = 2},
  [676] = {.lex_state = 58, .external_lex_state = 2},
  [677] = {.lex_state = 58, .external_lex_state = 2},
  [678] = {.lex_state = 58, .external_lex_state = 2},
  [679] = {.lex_state = 764, .external_lex_state = 17},
  [680] = {.lex_state = 764, .external_lex_state = 17},
  [681] = {.lex_state = 764, .external_lex_state = 17},
  [682] = {.lex_state = 74, .external_lex_state = 18},
  [683] = {.lex_state = 74, .external_lex_state = 18},
  [684] = {.lex_state = 74, .external_lex_state = 18},
  [685] = {.lex_state = 764, .external_lex_state = 17},
  [686] = {.lex_state = 764, .external_lex_state = 17},
  [687] = {.lex_state = 764, .external_lex_state = 17},
  [688] = {.lex_state = 764, .external_lex_state = 17},
  [689] = {.lex_state = 764, .external_lex_state = 17},
  [690] = {.lex_state = 764, .external_lex_state = 17},
  [691] = {.lex_state = 764, .external_lex_state = 17},
  [692] = {.lex_state = 764, .external_lex_state = 17},
  [693] = {.lex_state = 764, .external_lex_state = 17},
  [694] = {.lex_state = 764, .external_lex_state = 17},
  [695] = {.lex_state = 764, .external_lex_state = 17},
  [696] = {.lex_state = 764, .external_lex_state = 17},
  [697] = {.lex_state = 764, .external_lex_state = 18},
  [698] = {.lex_state = 764, .external_lex_state = 17},
  [699] = {.lex_state = 764, .external_lex_state = 17},
  [700] = {.lex_state = 764, .external_lex_state = 18},
  [701] = {.lex_state = 764, .external_lex_state = 17},
  [702] = {.lex_state = 764, .external_lex_state = 17},
  [703] = {.lex_state = 764, .external_lex_state = 18},
  [704] = {.lex_state = 764, .external_lex_state = 18},
  [705] = {.lex_state = 764, .external_lex_state = 17},
  [706] = {.lex_state = 764, .external_lex_state = 17},
  [707] = {.lex_state = 764, .external_lex_state = 17},
  [708] = {.lex_state = 764, .external_lex_state = 17},
  [709] = {.lex_state = 764, .external_lex_state = 17},
  [710] = {.lex_state = 764, .external_lex_state = 17},
  [711] = {.lex_state = 764, .external_lex_state = 17},
  [712] = {.lex_state = 764, .external_lex_state = 17},
  [713] = {.lex_state = 764, .external_lex_state = 17},
  [714] = {.lex_state = 764, .external_lex_state = 17},
  [715] = {.lex_state = 764, .external_lex_state = 17},
  [716] = {.lex_state = 764, .external_lex_state = 17},
  [717] = {.lex_state = 764, .external_lex_state = 17},
  [718] = {.lex_state = 83, .external_lex_state = 23},
  [719] = {.lex_state = 81, .external_lex_state = 20},
  [720] = {.lex_state = 74, .external_lex_state = 18},
  [721] = {.lex_state = 74, .external_lex_state = 18},
  [722] = {.lex_state = 764, .external_lex_state = 17},
  [723] = {.lex_state = 74, .external_lex_state = 18},
  [724] = {.lex_state = 764, .external_lex_state = 17},
  [725] = {.lex_state = 74, .external_lex_state = 18},
  [726] = {.lex_state = 74, .external_lex_state = 18},
  [727] = {.lex_state = 74, .external_lex_state = 18},
  [728] = {.lex_state = 764, .external_lex_state = 18},
  [729] = {.lex_state = 764, .external_lex_state = 18},
  [730] = {.lex_state = 764, .external_lex_state = 18},
  [731] = {.lex_state = 764, .external_lex_state = 18},
  [732] = {.lex_state = 764, .external_lex_state = 18},
  [733] = {.lex_state = 764, .external_lex_state = 18},
  [734] = {.lex_state = 764, .external_lex_state = 18},
  [735] = {.lex_state = 764, .external_lex_state = 18},
  [736] = {.lex_state = 764, .external_lex_state = 18},
  [737] = {.lex_state = 764, .external_lex_state = 18},
  [738] = {.lex_state = 764, .external_lex_state = 18},
  [739] = {.lex_state = 764, .external_lex_state = 24},
  [740] = {.lex_state = 764, .external_lex_state = 18},
  [741] = {.lex_state = 764, .external_lex_state = 18},
  [742] = {.lex_state = 764, .external_lex_state = 24},
  [743] = {.lex_state = 764, .external_lex_state = 18},
  [744] = {.lex_state = 764, .external_lex_state = 18},
  [745] = {.lex_state = 764, .external_lex_state = 18},
  [746] = {.lex_state = 764, .external_lex_state = 18},
  [747] = {.lex_state = 764, .external_lex_state = 24},
  [748] = {.lex_state = 764, .external_lex_state = 24},
  [749] = {.lex_state = 764, .external_lex_state = 18},
  [750] = {.lex_state = 78, .external_lex_state = 21},
  [751] = {.lex_state = 764, .external_lex_state = 18},
  [752] = {.lex_state = 764, .external_lex_state = 18},
  [753] = {.lex_state = 764, .external_lex_state = 18},
  [754] = {.lex_state = 764, .external_lex_state = 18},
  [755] = {.lex_state = 764, .external_lex_state = 18},
  [756] = {.lex_state = 764, .external_lex_state = 18},
  [757] = {.lex_state = 764, .external_lex_state = 18},
  [758] = {.lex_state = 764, .external_lex_state = 18},
  [759] = {.lex_state = 764, .external_lex_state = 18},
  [760] = {.lex_state = 764, .external_lex_state = 18},
  [761] = {.lex_state = 764, .external_lex_state = 18},
  [762] = {.lex_state = 764, .external_lex_state = 18},
  [763] = {.lex_state = 764, .external_lex_state = 18},
  [764] = {.lex_state = 764, .external_lex_state = 18},
  [765] = {.lex_state = 764, .external_lex_state = 18},
  [766] = {.lex_state = 764, .external_lex_state = 18},
  [767] = {.lex_state = 764, .external_lex_state = 18},
  [768] = {.lex_state = 764, .external_lex_state = 18},
  [769] = {.lex_state = 764, .external_lex_state = 18},
  [770] = {.lex_state = 764, .external_lex_state = 18},
  [771] = {.lex_state = 764, .external_lex_state = 18},
  [772] = {.lex_state = 764, .external_lex_state = 18},
  [773] = {.lex_state = 764, .external_lex_state = 18},
  [774] = {.lex_state = 764, .external_lex_state = 18},
  [775] = {.lex_state = 764, .external_lex_state = 18},
  [776] = {.lex_state = 764, .external_lex_state = 18},
  [777] = {.lex_state = 764, .external_lex_state = 18},
  [778] = {.lex_state = 764, .external_lex_state = 18},
  [779] = {.lex_state = 764, .external_lex_state = 18},
  [780] = {.lex_state = 764, .external_lex_state = 18},
  [781] = {.lex_state = 764, .external_lex_state = 18},
  [782] = {.lex_state = 764, .external_lex_state = 18},
  [783] = {.lex_state = 764, .external_lex_state = 18},
  [784] = {.lex_state = 764, .external_lex_state = 18},
  [785] = {.lex_state = 764, .external_lex_state = 18},
  [786] = {.lex_state = 764, .external_lex_state = 18},
  [787] = {.lex_state = 764, .external_lex_state = 18},
  [788] = {.lex_state = 764, .external_lex_state = 18},
  [789] = {.lex_state = 764, .external_lex_state = 18},
  [790] = {.lex_state = 764, .external_lex_state = 18},
  [791] = {.lex_state = 764, .external_lex_state = 18},
  [792] = {.lex_state = 764, .external_lex_state = 18},
  [793] = {.lex_state = 764, .external_lex_state = 18},
  [794] = {.lex_state = 764, .external_lex_state = 18},
  [795] = {.lex_state = 764, .external_lex_state = 18},
  [796] = {.lex_state = 764, .external_lex_state = 18},
  [797] = {.lex_state = 764, .external_lex_state = 18},
  [798] = {.lex_state = 764, .external_lex_state = 18},
  [799] = {.lex_state = 764, .external_lex_state = 18},
  [800] = {.lex_state = 764, .external_lex_state = 18},
  [801] = {.lex_state = 764, .external_lex_state = 18},
  [802] = {.lex_state = 764, .external_lex_state = 18},
  [803] = {.lex_state = 764, .external_lex_state = 18},
  [804] = {.lex_state = 764, .external_lex_state = 18},
  [805] = {.lex_state = 764, .external_lex_state = 18},
  [806] = {.lex_state = 764, .external_lex_state = 18},
  [807] = {.lex_state = 764, .external_lex_state = 18},
  [808] = {.lex_state = 764, .external_lex_state = 18},
  [809] = {.lex_state = 764, .external_lex_state = 18},
  [810] = {.lex_state = 764, .external_lex_state = 18},
  [811] = {.lex_state = 764, .external_lex_state = 18},
  [812] = {.lex_state = 764, .external_lex_state = 18},
  [813] = {.lex_state = 764, .external_lex_state = 18},
  [814] = {.lex_state = 764, .external_lex_state = 18},
  [815] = {.lex_state = 764, .external_lex_state = 18},
  [816] = {.lex_state = 764, .external_lex_state = 18},
  [817] = {.lex_state = 764, .external_lex_state = 18},
  [818] = {.lex_state = 764, .external_lex_state = 18},
  [819] = {.lex_state = 764, .external_lex_state = 18},
  [820] = {.lex_state = 764, .external_lex_state = 18},
  [821] = {.lex_state = 764, .external_lex_state = 18},
  [822] = {.lex_state = 764, .external_lex_state = 18},
  [823] = {.lex_state = 764, .external_lex_state = 18},
  [824] = {.lex_state = 764, .external_lex_state = 18},
  [825] = {.lex_state = 764, .external_lex_state = 18},
  [826] = {.lex_state = 764, .external_lex_state = 18},
  [827] = {.lex_state = 764, .external_lex_state = 18},
  [828] = {.lex_state = 764, .external_lex_state = 18},
  [829] = {.lex_state = 764, .external_lex_state = 18},
  [830] = {.lex_state = 78, .external_lex_state = 22},
  [831] = {.lex_state = 764, .external_lex_state = 25},
  [832] = {.lex_state = 764, .external_lex_state = 25},
  [833] = {.lex_state = 756, .external_lex_state = 9},
  [834] = {.lex_state = 764, .external_lex_state = 25},
  [835] = {.lex_state = 756, .external_lex_state = 9},
  [836] = {.lex_state = 756, .external_lex_state = 9},
  [837] = {.lex_state = 756, .external_lex_state = 9},
  [838] = {.lex_state = 756, .external_lex_state = 9},
  [839] = {.lex_state = 756, .external_lex_state = 9},
  [840] = {.lex_state = 756, .external_lex_state = 9},
  [841] = {.lex_state = 756, .external_lex_state = 10},
  [842] = {.lex_state = 756, .external_lex_state = 10},
  [843] = {.lex_state = 756, .external_lex_state = 10},
  [844] = {.lex_state = 82, .external_lex_state = 20},
  [845] = {.lex_state = 756, .external_lex_state = 10},
  [846] = {.lex_state = 84, .external_lex_state = 23},
  [847] = {.lex_state = 78, .external_lex_state = 21},
  [848] = {.lex_state = 756, .external_lex_state = 10},
  [849] = {.lex_state = 78, .external_lex_state = 21},
  [850] = {.lex_state = 82, .external_lex_state = 20},
  [851] = {.lex_state = 78, .external_lex_state = 21},
  [852] = {.lex_state = 84, .external_lex_state = 23},
  [853] = {.lex_state = 756, .external_lex_state = 10},
  [854] = {.lex_state = 756, .external_lex_state = 10},
  [855] = {.lex_state = 756, .external_lex_state = 4},
  [856] = {.lex_state = 756, .external_lex_state = 10},
  [857] = {.lex_state = 756, .external_lex_state = 10},
  [858] = {.lex_state = 78, .external_lex_state = 22},
  [859] = {.lex_state = 756, .external_lex_state = 10},
  [860] = {.lex_state = 756, .external_lex_state = 4},
  [861] = {.lex_state = 756, .external_lex_state = 4},
  [862] = {.lex_state = 756, .external_lex_state = 10},
  [863] = {.lex_state = 78, .external_lex_state = 22},
  [864] = {.lex_state = 756, .external_lex_state = 4},
  [865] = {.lex_state = 756, .external_lex_state = 10},
  [866] = {.lex_state = 756, .external_lex_state = 10},
  [867] = {.lex_state = 756, .external_lex_state = 4},
  [868] = {.lex_state = 756, .external_lex_state = 4},
  [869] = {.lex_state = 756, .external_lex_state = 10},
  [870] = {.lex_state = 78, .external_lex_state = 22},
  [871] = {.lex_state = 756, .external_lex_state = 4},
  [872] = {.lex_state = 756, .external_lex_state = 12},
  [873] = {.lex_state = 756, .external_lex_state = 12},
  [874] = {.lex_state = 756, .external_lex_state = 11},
  [875] = {.lex_state = 756, .external_lex_state = 12},
  [876] = {.lex_state = 756, .external_lex_state = 11},
  [877] = {.lex_state = 756, .external_lex_state = 11},
  [878] = {.lex_state = 756, .external_lex_state = 12},
  [879] = {.lex_state = 756, .external_lex_state = 11},
  [880] = {.lex_state = 756, .external_lex_state = 11},
  [881] = {.lex_state = 756, .external_lex_state = 12},
  [882] = {.lex_state = 756, .external_lex_state = 12},
  [883] = {.lex_state = 764, .external_lex_state = 19},
  [884] = {.lex_state = 756, .external_lex_state = 12},
  [885] = {.lex_state = 756, .external_lex_state = 11},
  [886] = {.lex_state = 756, .external_lex_state = 11},
  [887] = {.lex_state = 756, .external_lex_state = 13},
  [888] = {.lex_state = 764, .external_lex_state = 19},
  [889] = {.lex_state = 756, .external_lex_state = 13},
  [890] = {.lex_state = 756, .external_lex_state = 13},
  [891] = {.lex_state = 764, .external_lex_state = 19},
  [892] = {.lex_state = 764, .external_lex_state = 19},
  [893] = {.lex_state = 764, .external_lex_state = 19},
  [894] = {.lex_state = 764, .external_lex_state = 20},
  [895] = {.lex_state = 756, .external_lex_state = 13},
  [896] = {.lex_state = 764, .external_lex_state = 19},
  [897] = {.lex_state = 764, .external_lex_state = 19},
  [898] = {.lex_state = 756, .external_lex_state = 13},
  [899] = {.lex_state = 78, .external_lex_state = 22},
  [900] = {.lex_state = 756, .external_lex_state = 13},
  [901] = {.lex_state = 764, .external_lex_state = 19},
  [902] = {.lex_state = 756, .external_lex_state = 13},
  [903] = {.lex_state = 764, .external_lex_state = 20},
  [904] = {.lex_state = 78, .external_lex_state = 21},
  [905] = {.lex_state = 764, .external_lex_state = 20},
  [906] = {.lex_state = 78, .external_lex_state = 21},
  [907] = {.lex_state = 78, .external_lex_state = 21},
  [908] = {.lex_state = 78, .external_lex_state = 21},
  [909] = {.lex_state = 78, .external_lex_state = 21},
  [910] = {.lex_state = 764, .external_lex_state = 20},
  [911] = {.lex_state = 764, .external_lex_state = 20},
  [912] = {.lex_state = 764, .external_lex_state = 22},
  [913] = {.lex_state = 764, .external_lex_state = 20},
  [914] = {.lex_state = 764, .external_lex_state = 20},
  [915] = {.lex_state = 764, .external_lex_state = 20},
  [916] = {.lex_state = 78, .external_lex_state = 21},
  [917] = {.lex_state = 78, .external_lex_state = 22},
  [918] = {.lex_state = 764, .external_lex_state = 19},
  [919] = {.lex_state = 78, .external_lex_state = 22},
  [920] = {.lex_state = 78, .external_lex_state = 22},
  [921] = {.lex_state = 78, .external_lex_state = 22},
  [922] = {.lex_state = 764, .external_lex_state = 19},
  [923] = {.lex_state = 764, .external_lex_state = 19},
  [924] = {.lex_state = 764, .external_lex_state = 19},
  [925] = {.lex_state = 78, .external_lex_state = 22},
  [926] = {.lex_state = 764, .external_lex_state = 19},
  [927] = {.lex_state = 764, .external_lex_state = 19},
  [928] = {.lex_state = 766, .external_lex_state = 26},
  [929] = {.lex_state = 78, .external_lex_state = 22},
  [930] = {.lex_state = 766, .external_lex_state = 26},
  [931] = {.lex_state = 764, .external_lex_state = 19},
  [932] = {.lex_state = 78, .external_lex_state = 22},
  [933] = {.lex_state = 764, .external_lex_state = 20},
  [934] = {.lex_state = 764, .external_lex_state = 20},
  [935] = {.lex_state = 764, .external_lex_state = 20},
  [936] = {.lex_state = 764, .external_lex_state = 19},
  [937] = {.lex_state = 764, .external_lex_state = 20},
  [938] = {.lex_state = 764, .external_lex_state = 19},
  [939] = {.lex_state = 764, .external_lex_state = 20},
  [940] = {.lex_state = 764, .external_lex_state = 20},
  [941] = {.lex_state = 764, .external_lex_state = 20},
  [942] = {.lex_state = 764, .external_lex_state = 19},
  [943] = {.lex_state = 764, .external_lex_state = 21},
  [944] = {.lex_state = 766, .external_lex_state = 27},
  [945] = {.lex_state = 766, .external_lex_state = 27},
  [946] = {.lex_state = 764, .external_lex_state = 19},
  [947] = {.lex_state = 764, .external_lex_state = 21},
  [948] = {.lex_state = 764, .external_lex_state = 21},
  [949] = {.lex_state = 764, .external_lex_state = 21},
  [950] = {.lex_state = 764, .external_lex_state = 19},
  [951] = {.lex_state = 764, .external_lex_state = 20},
  [952] = {.lex_state = 764, .external_lex_state = 19},
  [953] = {.lex_state = 764, .external_lex_state = 19},
  [954] = {.lex_state = 764, .external_lex_state = 19},
  [955] = {.lex_state = 764, .external_lex_state = 19},
  [956] = {.lex_state = 764, .external_lex_state = 19},
  [957] = {.lex_state = 764, .external_lex_state = 19},
  [958] = {.lex_state = 764, .external_lex_state = 19},
  [959] = {.lex_state = 764, .external_lex_state = 19},
  [960] = {.lex_state = 764, .external_lex_state = 19},
  [961] = {.lex_state = 764, .external_lex_state = 19},
  [962] = {.lex_state = 764, .external_lex_state = 19},
  [963] = {.lex_state = 764, .external_lex_state = 20},
  [964] = {.lex_state = 764, .external_lex_state = 19},
  [965] = {.lex_state = 764, .external_lex_state = 19},
  [966] = {.lex_state = 764, .external_lex_state = 19},
  [967] = {.lex_state = 764, .external_lex_state = 22},
  [968] = {.lex_state = 764, .external_lex_state = 20},
  [969] = {.lex_state = 764, .external_lex_state = 20},
  [970] = {.lex_state = 764, .external_lex_state = 20},
  [971] = {.lex_state = 766, .external_lex_state = 28},
  [972] = {.lex_state = 764, .external_lex_state = 20},
  [973] = {.lex_state = 764, .external_lex_state = 20},
  [974] = {.lex_state = 764, .external_lex_state = 22},
  [975] = {.lex_state = 764, .external_lex_state = 20},
  [976] = {.lex_state = 764, .external_lex_state = 20},
  [977] = {.lex_state = 764, .external_lex_state = 20},
  [978] = {.lex_state = 766, .external_lex_state = 28},
  [979] = {.lex_state = 764, .external_lex_state = 20},
  [980] = {.lex_state = 764, .external_lex_state = 20},
  [981] = {.lex_state = 764, .external_lex_state = 22},
  [982] = {.lex_state = 764, .external_lex_state = 20},
  [983] = {.lex_state = 764, .external_lex_state = 20},
  [984] = {.lex_state = 764, .external_lex_state = 20},
  [985] = {.lex_state = 764, .external_lex_state = 20},
  [986] = {.lex_state = 764, .external_lex_state = 20},
  [987] = {.lex_state = 764, .external_lex_state = 20},
  [988] = {.lex_state = 764, .external_lex_state = 22},
  [989] = {.lex_state = 764, .external_lex_state = 20},
  [990] = {.lex_state = 107, .external_lex_state = 29},
  [991] = {.lex_state = 107, .external_lex_state = 29},
  [992] = {.lex_state = 107, .external_lex_state = 29},
  [993] = {.lex_state = 107, .external_lex_state = 29},
  [994] = {.lex_state = 107, .external_lex_state = 29},
  [995] = {.lex_state = 766, .external_lex_state = 30},
  [996] = {.lex_state = 766, .external_lex_state = 30},
  [997] = {.lex_state = 107, .external_lex_state = 29},
  [998] = {.lex_state = 107, .external_lex_state = 29},
  [999] = {.lex_state = 762, .external_lex_state = 31},
  [1000] = {.lex_state = 762, .external_lex_state = 31},
  [1001] = {.lex_state = 107, .external_lex_state = 29},
  [1002] = {.lex_state = 107, .external_lex_state = 29},
  [1003] = {.lex_state = 764, .external_lex_state = 21},
  [1004] = {.lex_state = 764, .external_lex_state = 21},
  [1005] = {.lex_state = 764, .external_lex_state = 21},
  [1006] = {.lex_state = 764, .external_lex_state = 21},
  [1007] = {.lex_state = 764, .external_lex_state = 21},
  [1008] = {.lex_state = 764, .external_lex_state = 21},
  [1009] = {.lex_state = 764, .external_lex_state = 21},
  [1010] = {.lex_state = 764, .external_lex_state = 21},
  [1011] = {.lex_state = 764, .external_lex_state = 21},
  [1012] = {.lex_state = 764, .external_lex_state = 21},
  [1013] = {.lex_state = 762, .external_lex_state = 23},
  [1014] = {.lex_state = 764, .external_lex_state = 21},
  [1015] = {.lex_state = 764, .external_lex_state = 21},
  [1016] = {.lex_state = 762, .external_lex_state = 23},
  [1017] = {.lex_state = 36, .external_lex_state = 32},
  [1018] = {.lex_state = 764, .external_lex_state = 21},
  [1019] = {.lex_state = 764, .external_lex_state = 22},
  [1020] = {.lex_state = 764, .external_lex_state = 33},
  [1021] = {.lex_state = 107, .external_lex_state = 29},
  [1022] = {.lex_state = 764, .external_lex_state = 22},
  [1023] = {.lex_state = 69, .external_lex_state = 2},
  [1024] = {.lex_state = 69, .external_lex_state = 2},
  [1025] = {.lex_state = 764, .external_lex_state = 22},
  [1026] = {.lex_state = 764, .external_lex_state = 33},
  [1027] = {.lex_state = 107, .external_lex_state = 29},
  [1028] = {.lex_state = 764, .external_lex_state = 21},
  [1029] = {.lex_state = 764, .external_lex_state = 22},
  [1030] = {.lex_state = 764, .external_lex_state = 21},
  [1031] = {.lex_state = 764, .external_lex_state = 21},
  [1032] = {.lex_state = 764, .external_lex_state = 22},
  [1033] = {.lex_state = 69, .external_lex_state = 2},
  [1034] = {.lex_state = 764, .external_lex_state = 22},
  [1035] = {.lex_state = 764, .external_lex_state = 21},
  [1036] = {.lex_state = 69, .external_lex_state = 2},
  [1037] = {.lex_state = 764, .external_lex_state = 22},
  [1038] = {.lex_state = 764, .external_lex_state = 22},
  [1039] = {.lex_state = 764, .external_lex_state = 21},
  [1040] = {.lex_state = 764, .external_lex_state = 21},
  [1041] = {.lex_state = 69, .external_lex_state = 2},
  [1042] = {.lex_state = 764, .external_lex_state = 22},
  [1043] = {.lex_state = 762, .external_lex_state = 17},
  [1044] = {.lex_state = 764, .external_lex_state = 21},
  [1045] = {.lex_state = 764, .external_lex_state = 22},
  [1046] = {.lex_state = 762, .external_lex_state = 17},
  [1047] = {.lex_state = 764, .external_lex_state = 33},
  [1048] = {.lex_state = 764, .external_lex_state = 22},
  [1049] = {.lex_state = 764, .external_lex_state = 33},
  [1050] = {.lex_state = 762, .external_lex_state = 23},
  [1051] = {.lex_state = 764, .external_lex_state = 22},
  [1052] = {.lex_state = 69, .external_lex_state = 2},
  [1053] = {.lex_state = 69, .external_lex_state = 2},
  [1054] = {.lex_state = 107, .external_lex_state = 29},
  [1055] = {.lex_state = 764, .external_lex_state = 22},
  [1056] = {.lex_state = 764, .external_lex_state = 22},
  [1057] = {.lex_state = 762, .external_lex_state = 23},
  [1058] = {.lex_state = 107, .external_lex_state = 29},
  [1059] = {.lex_state = 764, .external_lex_state = 21},
  [1060] = {.lex_state = 764, .external_lex_state = 34},
  [1061] = {.lex_state = 764, .external_lex_state = 21},
  [1062] = {.lex_state = 764, .external_lex_state = 21},
  [1063] = {.lex_state = 764, .external_lex_state = 21},
  [1064] = {.lex_state = 764, .external_lex_state = 21},
  [1065] = {.lex_state = 764, .external_lex_state = 21},
  [1066] = {.lex_state = 764, .external_lex_state = 21},
  [1067] = {.lex_state = 764, .external_lex_state = 21},
  [1068] = {.lex_state = 764, .external_lex_state = 21},
  [1069] = {.lex_state = 764, .external_lex_state = 21},
  [1070] = {.lex_state = 764, .external_lex_state = 21},
  [1071] = {.lex_state = 762, .external_lex_state = 35},
  [1072] = {.lex_state = 762, .external_lex_state = 35},
  [1073] = {.lex_state = 764, .external_lex_state = 21},
  [1074] = {.lex_state = 764, .external_lex_state = 21},
  [1075] = {.lex_state = 764, .external_lex_state = 22},
  [1076] = {.lex_state = 764, .external_lex_state = 21},
  [1077] = {.lex_state = 764, .external_lex_state = 21},
  [1078] = {.lex_state = 764, .external_lex_state = 21},
  [1079] = {.lex_state = 764, .external_lex_state = 21},
  [1080] = {.lex_state = 764, .external_lex_state = 21},
  [1081] = {.lex_state = 764, .external_lex_state = 34},
  [1082] = {.lex_state = 764, .external_lex_state = 21},
  [1083] = {.lex_state = 764, .external_lex_state = 21},
  [1084] = {.lex_state = 764, .external_lex_state = 21},
  [1085] = {.lex_state = 764, .external_lex_state = 21},
  [1086] = {.lex_state = 764, .external_lex_state = 22},
  [1087] = {.lex_state = 764, .external_lex_state = 21},
  [1088] = {.lex_state = 764, .external_lex_state = 21},
  [1089] = {.lex_state = 764, .external_lex_state = 22},
  [1090] = {.lex_state = 764, .external_lex_state = 21},
  [1091] = {.lex_state = 764, .external_lex_state = 21},
  [1092] = {.lex_state = 764, .external_lex_state = 21},
  [1093] = {.lex_state = 764, .external_lex_state = 21},
  [1094] = {.lex_state = 764, .external_lex_state = 21},
  [1095] = {.lex_state = 764, .external_lex_state = 21},
  [1096] = {.lex_state = 764, .external_lex_state = 21},
  [1097] = {.lex_state = 764, .external_lex_state = 21},
  [1098] = {.lex_state = 764, .external_lex_state = 21},
  [1099] = {.lex_state = 764, .external_lex_state = 21},
  [1100] = {.lex_state = 764, .external_lex_state = 34},
  [1101] = {.lex_state = 764, .external_lex_state = 21},
  [1102] = {.lex_state = 764, .external_lex_state = 21},
  [1103] = {.lex_state = 764, .external_lex_state = 21},
  [1104] = {.lex_state = 69, .external_lex_state = 2},
  [1105] = {.lex_state = 764, .external_lex_state = 21},
  [1106] = {.lex_state = 764, .external_lex_state = 21},
  [1107] = {.lex_state = 764, .external_lex_state = 21},
  [1108] = {.lex_state = 764, .external_lex_state = 21},
  [1109] = {.lex_state = 764, .external_lex_state = 34},
  [1110] = {.lex_state = 764, .external_lex_state = 21},
  [1111] = {.lex_state = 764, .external_lex_state = 21},
  [1112] = {.lex_state = 764, .external_lex_state = 22},
  [1113] = {.lex_state = 764, .external_lex_state = 21},
  [1114] = {.lex_state = 764, .external_lex_state = 21},
  [1115] = {.lex_state = 764, .external_lex_state = 21},
  [1116] = {.lex_state = 764, .external_lex_state = 22},
  [1117] = {.lex_state = 764, .external_lex_state = 21},
  [1118] = {.lex_state = 764, .external_lex_state = 21},
  [1119] = {.lex_state = 764, .external_lex_state = 21},
  [1120] = {.lex_state = 764, .external_lex_state = 21},
  [1121] = {.lex_state = 764, .external_lex_state = 22},
  [1122] = {.lex_state = 764, .external_lex_state = 21},
  [1123] = {.lex_state = 764, .external_lex_state = 21},
  [1124] = {.lex_state = 107, .external_lex_state = 29},
  [1125] = {.lex_state = 764, .external_lex_state = 21},
  [1126] = {.lex_state = 764, .external_lex_state = 21},
  [1127] = {.lex_state = 764, .external_lex_state = 21},
  [1128] = {.lex_state = 764, .external_lex_state = 21},
  [1129] = {.lex_state = 764, .external_lex_state = 21},
  [1130] = {.lex_state = 764, .external_lex_state = 21},
  [1131] = {.lex_state = 764, .external_lex_state = 21},
  [1132] = {.lex_state = 764, .external_lex_state = 22},
  [1133] = {.lex_state = 764, .external_lex_state = 21},
  [1134] = {.lex_state = 764, .external_lex_state = 21},
  [1135] = {.lex_state = 764, .external_lex_state = 21},
  [1136] = {.lex_state = 764, .external_lex_state = 21},
  [1137] = {.lex_state = 764, .external_lex_state = 21},
  [1138] = {.lex_state = 764, .external_lex_state = 22},
  [1139] = {.lex_state = 107, .external_lex_state = 29},
  [1140] = {.lex_state = 764, .external_lex_state = 21},
  [1141] = {.lex_state = 764, .external_lex_state = 22},
  [1142] = {.lex_state = 764, .external_lex_state = 21},
  [1143] = {.lex_state = 764, .external_lex_state = 21},
  [1144] = {.lex_state = 764, .external_lex_state = 21},
  [1145] = {.lex_state = 764, .external_lex_state = 21},
  [1146] = {.lex_state = 762, .external_lex_state = 36},
  [1147] = {.lex_state = 764, .external_lex_state = 21},
  [1148] = {.lex_state = 764, .external_lex_state = 21},
  [1149] = {.lex_state = 764, .external_lex_state = 21},
  [1150] = {.lex_state = 764, .external_lex_state = 21},
  [1151] = {.lex_state = 764, .external_lex_state = 21},
  [1152] = {.lex_state = 764, .external_lex_state = 21},
  [1153] = {.lex_state = 762, .external_lex_state = 36},
  [1154] = {.lex_state = 764, .external_lex_state = 21},
  [1155] = {.lex_state = 764, .external_lex_state = 21},
  [1156] = {.lex_state = 764, .external_lex_state = 22},
  [1157] = {.lex_state = 764, .external_lex_state = 22},
  [1158] = {.lex_state = 764, .external_lex_state = 22},
  [1159] = {.lex_state = 764, .external_lex_state = 22},
  [1160] = {.lex_state = 764, .external_lex_state = 22},
  [1161] = {.lex_state = 764, .external_lex_state = 22},
  [1162] = {.lex_state = 764, .external_lex_state = 22},
  [1163] = {.lex_state = 764, .external_lex_state = 22},
  [1164] = {.lex_state = 764, .external_lex_state = 22},
  [1165] = {.lex_state = 764, .external_lex_state = 22},
  [1166] = {.lex_state = 764, .external_lex_state = 22},
  [1167] = {.lex_state = 764, .external_lex_state = 22},
  [1168] = {.lex_state = 764, .external_lex_state = 22},
  [1169] = {.lex_state = 764, .external_lex_state = 22},
  [1170] = {.lex_state = 764, .external_lex_state = 22},
  [1171] = {.lex_state = 764, .external_lex_state = 22},
  [1172] = {.lex_state = 764, .external_lex_state = 22},
  [1173] = {.lex_state = 764, .external_lex_state = 22},
  [1174] = {.lex_state = 764, .external_lex_state = 22},
  [1175] = {.lex_state = 764, .external_lex_state = 22},
  [1176] = {.lex_state = 764, .external_lex_state = 22},
  [1177] = {.lex_state = 764, .external_lex_state = 22},
  [1178] = {.lex_state = 764, .external_lex_state = 22},
  [1179] = {.lex_state = 764, .external_lex_state = 22},
  [1180] = {.lex_state = 764, .external_lex_state = 22},
  [1181] = {.lex_state = 764, .external_lex_state = 22},
  [1182] = {.lex_state = 764, .external_lex_state = 22},
  [1183] = {.lex_state = 764, .external_lex_state = 22},
  [1184] = {.lex_state = 764, .external_lex_state = 22},
  [1185] = {.lex_state = 764, .external_lex_state = 22},
  [1186] = {.lex_state = 764, .external_lex_state = 22},
  [1187] = {.lex_state = 764, .external_lex_state = 22},
  [1188] = {.lex_state = 764, .external_lex_state = 22},
  [1189] = {.lex_state = 764, .external_lex_state = 22},
  [1190] = {.lex_state = 764, .external_lex_state = 22},
  [1191] = {.lex_state = 69, .external_lex_state = 2},
  [1192] = {.lex_state = 69, .external_lex_state = 2},
  [1193] = {.lex_state = 764, .external_lex_state = 22},
  [1194] = {.lex_state = 764, .external_lex_state = 22},
  [1195] = {.lex_state = 764, .external_lex_state = 22},
  [1196] = {.lex_state = 764, .external_lex_state = 22},
  [1197] = {.lex_state = 69, .external_lex_state = 2},
  [1198] = {.lex_state = 764, .external_lex_state = 22},
  [1199] = {.lex_state = 764, .external_lex_state = 22},
  [1200] = {.lex_state = 764, .external_lex_state = 22},
  [1201] = {.lex_state = 107, .external_lex_state = 29},
  [1202] = {.lex_state = 762, .external_lex_state = 37},
  [1203] = {.lex_state = 764, .external_lex_state = 22},
  [1204] = {.lex_state = 764, .external_lex_state = 22},
  [1205] = {.lex_state = 764, .external_lex_state = 22},
  [1206] = {.lex_state = 69, .external_lex_state = 2},
  [1207] = {.lex_state = 764, .external_lex_state = 22},
  [1208] = {.lex_state = 764, .external_lex_state = 22},
  [1209] = {.lex_state = 764, .external_lex_state = 22},
  [1210] = {.lex_state = 764, .external_lex_state = 22},
  [1211] = {.lex_state = 764, .external_lex_state = 22},
  [1212] = {.lex_state = 764, .external_lex_state = 22},
  [1213] = {.lex_state = 764, .external_lex_state = 22},
  [1214] = {.lex_state = 764, .external_lex_state = 22},
  [1215] = {.lex_state = 764, .external_lex_state = 22},
  [1216] = {.lex_state = 764, .external_lex_state = 22},
  [1217] = {.lex_state = 764, .external_lex_state = 22},
  [1218] = {.lex_state = 764, .external_lex_state = 22},
  [1219] = {.lex_state = 764, .external_lex_state = 22},
  [1220] = {.lex_state = 762, .external_lex_state = 37},
  [1221] = {.lex_state = 69, .external_lex_state = 2},
  [1222] = {.lex_state = 69, .external_lex_state = 2},
  [1223] = {.lex_state = 764, .external_lex_state = 22},
  [1224] = {.lex_state = 764, .external_lex_state = 22},
  [1225] = {.lex_state = 764, .external_lex_state = 22},
  [1226] = {.lex_state = 764, .external_lex_state = 22},
  [1227] = {.lex_state = 764, .external_lex_state = 22},
  [1228] = {.lex_state = 764, .external_lex_state = 22},
  [1229] = {.lex_state = 69, .external_lex_state = 2},
  [1230] = {.lex_state = 764, .external_lex_state = 22},
  [1231] = {.lex_state = 764, .external_lex_state = 22},
  [1232] = {.lex_state = 764, .external_lex_state = 22},
  [1233] = {.lex_state = 764, .external_lex_state = 22},
  [1234] = {.lex_state = 764, .external_lex_state = 22},
  [1235] = {.lex_state = 764, .external_lex_state = 22},
  [1236] = {.lex_state = 69, .external_lex_state = 2},
  [1237] = {.lex_state = 764, .external_lex_state = 22},
  [1238] = {.lex_state = 764, .external_lex_state = 22},
  [1239] = {.lex_state = 764, .external_lex_state = 22},
  [1240] = {.lex_state = 764, .external_lex_state = 22},
  [1241] = {.lex_state = 764, .external_lex_state = 22},
  [1242] = {.lex_state = 764, .external_lex_state = 22},
  [1243] = {.lex_state = 764, .external_lex_state = 22},
  [1244] = {.lex_state = 764, .external_lex_state = 22},
  [1245] = {.lex_state = 69, .external_lex_state = 2},
  [1246] = {.lex_state = 69, .external_lex_state = 2},
  [1247] = {.lex_state = 85, .external_lex_state = 23},
  [1248] = {.lex_state = 102, .external_lex_state = 38},
  [1249] = {.lex_state = 102, .external_lex_state = 38},
  [1250] = {.lex_state = 764, .external_lex_state = 39},
  [1251] = {.lex_state = 764, .external_lex_state = 39},
  [1252] = {.lex_state = 102, .external_lex_state = 40},
  [1253] = {.lex_state = 764, .external_lex_state = 39},
  [1254] = {.lex_state = 102, .external_lex_state = 40},
  [1255] = {.lex_state = 764, .external_lex_state = 39},
  [1256] = {.lex_state = 764, .external_lex_state = 25},
  [1257] = {.lex_state = 764, .external_lex_state = 39},
  [1258] = {.lex_state = 764, .external_lex_state = 39},
  [1259] = {.lex_state = 764, .external_lex_state = 39},
  [1260] = {.lex_state = 764, .external_lex_state = 39},
  [1261] = {.lex_state = 764, .external_lex_state = 39},
  [1262] = {.lex_state = 764, .external_lex_state = 25},
  [1263] = {.lex_state = 764, .external_lex_state = 39},
  [1264] = {.lex_state = 764, .external_lex_state = 39},
  [1265] = {.lex_state = 764, .external_lex_state = 25},
  [1266] = {.lex_state = 764, .external_lex_state = 25},
  [1267] = {.lex_state = 102, .external_lex_state = 41},
  [1268] = {.lex_state = 764, .external_lex_state = 25},
  [1269] = {.lex_state = 764, .external_lex_state = 25},
  [1270] = {.lex_state = 764, .external_lex_state = 25},
  [1271] = {.lex_state = 764, .external_lex_state = 25},
  [1272] = {.lex_state = 764, .external_lex_state = 25},
  [1273] = {.lex_state = 764, .external_lex_state = 25},
  [1274] = {.lex_state = 764, .external_lex_state = 25},
  [1275] = {.lex_state = 764, .external_lex_state = 25},
  [1276] = {.lex_state = 764, .external_lex_state = 18},
  [1277] = {.lex_state = 764, .external_lex_state = 25},
  [1278] = {.lex_state = 764, .external_lex_state = 25},
  [1279] = {.lex_state = 764, .external_lex_state = 25},
  [1280] = {.lex_state = 102, .external_lex_state = 41},
  [1281] = {.lex_state = 764, .external_lex_state = 18},
  [1282] = {.lex_state = 764, .external_lex_state = 18},
  [1283] = {.lex_state = 764, .external_lex_state = 18},
  [1284] = {.lex_state = 764, .external_lex_state = 18},
  [1285] = {.lex_state = 764, .external_lex_state = 18},
  [1286] = {.lex_state = 764, .external_lex_state = 18},
  [1287] = {.lex_state = 764, .external_lex_state = 18},
  [1288] = {.lex_state = 764, .external_lex_state = 25},
  [1289] = {.lex_state = 764, .external_lex_state = 42},
  [1290] = {.lex_state = 764, .external_lex_state = 18},
  [1291] = {.lex_state = 764, .external_lex_state = 25},
  [1292] = {.lex_state = 764, .external_lex_state = 18},
  [1293] = {.lex_state = 764, .external_lex_state = 18},
  [1294] = {.lex_state = 764, .external_lex_state = 18},
  [1295] = {.lex_state = 764, .external_lex_state = 18},
  [1296] = {.lex_state = 764, .external_lex_state = 25},
  [1297] = {.lex_state = 764, .external_lex_state = 43},
  [1298] = {.lex_state = 764, .external_lex_state = 25},
  [1299] = {.lex_state = 764, .external_lex_state = 25},
  [1300] = {.lex_state = 764, .external_lex_state = 25},
  [1301] = {.lex_state = 764, .external_lex_state = 18},
  [1302] = {.lex_state = 764, .external_lex_state = 18},
  [1303] = {.lex_state = 764, .external_lex_state = 18},
  [1304] = {.lex_state = 764, .external_lex_state = 25},
  [1305] = {.lex_state = 764, .external_lex_state = 42},
  [1306] = {.lex_state = 764, .external_lex_state = 18},
  [1307] = {.lex_state = 764, .external_lex_state = 39},
  [1308] = {.lex_state = 764, .external_lex_state = 25},
  [1309] = {.lex_state = 764, .external_lex_state = 25},
  [1310] = {.lex_state = 764, .external_lex_state = 25},
  [1311] = {.lex_state = 764, .external_lex_state = 18},
  [1312] = {.lex_state = 764, .external_lex_state = 18},
  [1313] = {.lex_state = 764, .external_lex_state = 18},
  [1314] = {.lex_state = 764, .external_lex_state = 18},
  [1315] = {.lex_state = 764, .external_lex_state = 18},
  [1316] = {.lex_state = 764, .external_lex_state = 18},
  [1317] = {.lex_state = 764, .external_lex_state = 18},
  [1318] = {.lex_state = 764, .external_lex_state = 18},
  [1319] = {.lex_state = 764, .external_lex_state = 18},
  [1320] = {.lex_state = 764, .external_lex_state = 18},
  [1321] = {.lex_state = 764, .external_lex_state = 42},
  [1322] = {.lex_state = 764, .external_lex_state = 42},
  [1323] = {.lex_state = 764, .external_lex_state = 42},
  [1324] = {.lex_state = 764, .external_lex_state = 42},
  [1325] = {.lex_state = 764, .external_lex_state = 42},
  [1326] = {.lex_state = 764, .external_lex_state = 43},
  [1327] = {.lex_state = 764, .external_lex_state = 18},
  [1328] = {.lex_state = 764, .external_lex_state = 18},
  [1329] = {.lex_state = 764, .external_lex_state = 43},
  [1330] = {.lex_state = 764, .external_lex_state = 18},
  [1331] = {.lex_state = 764, .external_lex_state = 18},
  [1332] = {.lex_state = 764, .external_lex_state = 43},
  [1333] = {.lex_state = 764, .external_lex_state = 18},
  [1334] = {.lex_state = 764, .external_lex_state = 18},
  [1335] = {.lex_state = 764, .external_lex_state = 43},
  [1336] = {.lex_state = 764, .external_lex_state = 18},
  [1337] = {.lex_state = 764, .external_lex_state = 43},
  [1338] = {.lex_state = 764, .external_lex_state = 42},
  [1339] = {.lex_state = 764, .external_lex_state = 18},
  [1340] = {.lex_state = 764, .external_lex_state = 18},
  [1341] = {.lex_state = 764, .external_lex_state = 18},
  [1342] = {.lex_state = 764, .external_lex_state = 25},
  [1343] = {.lex_state = 764, .external_lex_state = 18},
  [1344] = {.lex_state = 764, .external_lex_state = 43},
  [1345] = {.lex_state = 764, .external_lex_state = 18},
  [1346] = {.lex_state = 764, .external_lex_state = 24},
  [1347] = {.lex_state = 764, .external_lex_state = 18},
  [1348] = {.lex_state = 764, .external_lex_state = 18},
  [1349] = {.lex_state = 764, .external_lex_state = 25},
  [1350] = {.lex_state = 764, .external_lex_state = 43},
  [1351] = {.lex_state = 764, .external_lex_state = 43},
  [1352] = {.lex_state = 764, .external_lex_state = 18},
  [1353] = {.lex_state = 764, .external_lex_state = 18},
  [1354] = {.lex_state = 764, .external_lex_state = 18},
  [1355] = {.lex_state = 764, .external_lex_state = 18},
  [1356] = {.lex_state = 764, .external_lex_state = 18},
  [1357] = {.lex_state = 764, .external_lex_state = 18},
  [1358] = {.lex_state = 764, .external_lex_state = 18},
  [1359] = {.lex_state = 764, .external_lex_state = 42},
  [1360] = {.lex_state = 764, .external_lex_state = 18},
  [1361] = {.lex_state = 764, .external_lex_state = 18},
  [1362] = {.lex_state = 764, .external_lex_state = 18},
  [1363] = {.lex_state = 764, .external_lex_state = 18},
  [1364] = {.lex_state = 764, .external_lex_state = 18},
  [1365] = {.lex_state = 764, .external_lex_state = 42},
  [1366] = {.lex_state = 764, .external_lex_state = 18},
  [1367] = {.lex_state = 764, .external_lex_state = 43},
  [1368] = {.lex_state = 764, .external_lex_state = 18},
  [1369] = {.lex_state = 764, .external_lex_state = 25},
  [1370] = {.lex_state = 764, .external_lex_state = 18},
  [1371] = {.lex_state = 764, .external_lex_state = 18},
  [1372] = {.lex_state = 764, .external_lex_state = 42},
  [1373] = {.lex_state = 764, .external_lex_state = 18},
  [1374] = {.lex_state = 764, .external_lex_state = 18},
  [1375] = {.lex_state = 764, .external_lex_state = 43},
  [1376] = {.lex_state = 764, .external_lex_state = 43},
  [1377] = {.lex_state = 764, .external_lex_state = 18},
  [1378] = {.lex_state = 764, .external_lex_state = 18},
  [1379] = {.lex_state = 764, .external_lex_state = 18},
  [1380] = {.lex_state = 764, .external_lex_state = 18},
  [1381] = {.lex_state = 764, .external_lex_state = 24},
  [1382] = {.lex_state = 764, .external_lex_state = 24},
  [1383] = {.lex_state = 764, .external_lex_state = 18},
  [1384] = {.lex_state = 764, .external_lex_state = 18},
  [1385] = {.lex_state = 764, .external_lex_state = 24},
  [1386] = {.lex_state = 764, .external_lex_state = 18},
  [1387] = {.lex_state = 764, .external_lex_state = 18},
  [1388] = {.lex_state = 764, .external_lex_state = 24},
  [1389] = {.lex_state = 764, .external_lex_state = 24},
  [1390] = {.lex_state = 764, .external_lex_state = 24},
  [1391] = {.lex_state = 764, .external_lex_state = 24},
  [1392] = {.lex_state = 764, .external_lex_state = 18},
  [1393] = {.lex_state = 764, .external_lex_state = 24},
  [1394] = {.lex_state = 764, .external_lex_state = 24},
  [1395] = {.lex_state = 764, .external_lex_state = 18},
  [1396] = {.lex_state = 764, .external_lex_state = 18},
  [1397] = {.lex_state = 764, .external_lex_state = 24},
  [1398] = {.lex_state = 764, .external_lex_state = 18},
  [1399] = {.lex_state = 764, .external_lex_state = 18},
  [1400] = {.lex_state = 764, .external_lex_state = 24},
  [1401] = {.lex_state = 764, .external_lex_state = 18},
  [1402] = {.lex_state = 764, .external_lex_state = 18},
  [1403] = {.lex_state = 764, .external_lex_state = 18},
  [1404] = {.lex_state = 764, .external_lex_state = 18},
  [1405] = {.lex_state = 764, .external_lex_state = 18},
  [1406] = {.lex_state = 764, .external_lex_state = 18},
  [1407] = {.lex_state = 764, .external_lex_state = 18},
  [1408] = {.lex_state = 764, .external_lex_state = 18},
  [1409] = {.lex_state = 764, .external_lex_state = 18},
  [1410] = {.lex_state = 102, .external_lex_state = 44},
  [1411] = {.lex_state = 764, .external_lex_state = 18},
  [1412] = {.lex_state = 764, .external_lex_state = 18},
  [1413] = {.lex_state = 764, .external_lex_state = 18},
  [1414] = {.lex_state = 102, .external_lex_state = 44},
  [1415] = {.lex_state = 764, .external_lex_state = 18},
  [1416] = {.lex_state = 764, .external_lex_state = 18},
  [1417] = {.lex_state = 764, .external_lex_state = 18},
  [1418] = {.lex_state = 764, .external_lex_state = 43},
  [1419] = {.lex_state = 764, .external_lex_state = 18},
  [1420] = {.lex_state = 764, .external_lex_state = 43},
  [1421] = {.lex_state = 764, .external_lex_state = 18},
  [1422] = {.lex_state = 764, .external_lex_state = 18},
  [1423] = {.lex_state = 764, .external_lex_state = 18},
  [1424] = {.lex_state = 764, .external_lex_state = 18},
  [1425] = {.lex_state = 764, .external_lex_state = 18},
  [1426] = {.lex_state = 764, .external_lex_state = 18},
  [1427] = {.lex_state = 764, .external_lex_state = 18},
  [1428] = {.lex_state = 764, .external_lex_state = 18},
  [1429] = {.lex_state = 764, .external_lex_state = 18},
  [1430] = {.lex_state = 764, .external_lex_state = 18},
  [1431] = {.lex_state = 764, .external_lex_state = 18},
  [1432] = {.lex_state = 764, .external_lex_state = 18},
  [1433] = {.lex_state = 764, .external_lex_state = 18},
  [1434] = {.lex_state = 764, .external_lex_state = 18},
  [1435] = {.lex_state = 764, .external_lex_state = 18},
  [1436] = {.lex_state = 764, .external_lex_state = 18},
  [1437] = {.lex_state = 764, .external_lex_state = 18},
  [1438] = {.lex_state = 764, .external_lex_state = 18},
  [1439] = {.lex_state = 764, .external_lex_state = 18},
  [1440] = {.lex_state = 764, .external_lex_state = 18},
  [1441] = {.lex_state = 764, .external_lex_state = 18},
  [1442] = {.lex_state = 764, .external_lex_state = 18},
  [1443] = {.lex_state = 764, .external_lex_state = 18},
  [1444] = {.lex_state = 764, .external_lex_state = 18},
  [1445] = {.lex_state = 764, .external_lex_state = 18},
  [1446] = {.lex_state = 764, .external_lex_state = 18},
  [1447] = {.lex_state = 764, .external_lex_state = 18},
  [1448] = {.lex_state = 764, .external_lex_state = 18},
  [1449] = {.lex_state = 764, .external_lex_state = 18},
  [1450] = {.lex_state = 764, .external_lex_state = 18},
  [1451] = {.lex_state = 764, .external_lex_state = 18},
  [1452] = {.lex_state = 764, .external_lex_state = 18},
  [1453] = {.lex_state = 764, .external_lex_state = 18},
  [1454] = {.lex_state = 764, .external_lex_state = 18},
  [1455] = {.lex_state = 764, .external_lex_state = 18},
  [1456] = {.lex_state = 764, .external_lex_state = 18},
  [1457] = {.lex_state = 764, .external_lex_state = 18},
  [1458] = {.lex_state = 764, .external_lex_state = 18},
  [1459] = {.lex_state = 760, .external_lex_state = 39},
  [1460] = {.lex_state = 107, .external_lex_state = 29},
  [1461] = {.lex_state = 107, .external_lex_state = 29},
  [1462] = {.lex_state = 70, .external_lex_state = 17},
  [1463] = {.lex_state = 37, .external_lex_state = 17},
  [1464] = {.lex_state = 107, .external_lex_state = 29},
  [1465] = {.lex_state = 87, .external_lex_state = 23},
  [1466] = {.lex_state = 107, .external_lex_state = 29},
  [1467] = {.lex_state = 107, .external_lex_state = 29},
  [1468] = {.lex_state = 87, .external_lex_state = 23},
  [1469] = {.lex_state = 760, .external_lex_state = 25},
  [1470] = {.lex_state = 86, .external_lex_state = 23},
  [1471] = {.lex_state = 760, .external_lex_state = 18},
  [1472] = {.lex_state = 760, .external_lex_state = 25},
  [1473] = {.lex_state = 107, .external_lex_state = 29},
  [1474] = {.lex_state = 760, .external_lex_state = 42},
  [1475] = {.lex_state = 760, .external_lex_state = 43},
  [1476] = {.lex_state = 760, .external_lex_state = 39},
  [1477] = {.lex_state = 87, .external_lex_state = 23},
  [1478] = {.lex_state = 107, .external_lex_state = 45},
  [1479] = {.lex_state = 760, .external_lex_state = 24},
  [1480] = {.lex_state = 760, .external_lex_state = 39},
  [1481] = {.lex_state = 760, .external_lex_state = 39},
  [1482] = {.lex_state = 760, .external_lex_state = 25},
  [1483] = {.lex_state = 760, .external_lex_state = 25},
  [1484] = {.lex_state = 760, .external_lex_state = 25},
  [1485] = {.lex_state = 99, .external_lex_state = 25},
  [1486] = {.lex_state = 760, .external_lex_state = 25},
  [1487] = {.lex_state = 760, .external_lex_state = 18},
  [1488] = {.lex_state = 768, .external_lex_state = 45},
  [1489] = {.lex_state = 107, .external_lex_state = 26},
  [1490] = {.lex_state = 107, .external_lex_state = 26},
  [1491] = {.lex_state = 760, .external_lex_state = 25},
  [1492] = {.lex_state = 768, .external_lex_state = 45},
  [1493] = {.lex_state = 760, .external_lex_state = 18},
  [1494] = {.lex_state = 107, .external_lex_state = 26},
  [1495] = {.lex_state = 768, .external_lex_state = 45},
  [1496] = {.lex_state = 107, .external_lex_state = 46},
  [1497] = {.lex_state = 107, .external_lex_state = 26},
  [1498] = {.lex_state = 768, .external_lex_state = 45},
  [1499] = {.lex_state = 768, .external_lex_state = 45},
  [1500] = {.lex_state = 760, .external_lex_state = 18},
  [1501] = {.lex_state = 768, .external_lex_state = 45},
  [1502] = {.lex_state = 768, .external_lex_state = 45},
  [1503] = {.lex_state = 760, .external_lex_state = 25},
  [1504] = {.lex_state = 107, .external_lex_state = 45},
  [1505] = {.lex_state = 760, .external_lex_state = 18},
  [1506] = {.lex_state = 760, .external_lex_state = 25},
  [1507] = {.lex_state = 107, .external_lex_state = 29},
  [1508] = {.lex_state = 107, .external_lex_state = 28},
  [1509] = {.lex_state = 760, .external_lex_state = 42},
  [1510] = {.lex_state = 760, .external_lex_state = 43},
  [1511] = {.lex_state = 760, .external_lex_state = 42},
  [1512] = {.lex_state = 107, .external_lex_state = 45},
  [1513] = {.lex_state = 760, .external_lex_state = 43},
  [1514] = {.lex_state = 107, .external_lex_state = 26},
  [1515] = {.lex_state = 107, .external_lex_state = 28},
  [1516] = {.lex_state = 760, .external_lex_state = 42},
  [1517] = {.lex_state = 107, .external_lex_state = 47},
  [1518] = {.lex_state = 760, .external_lex_state = 43},
  [1519] = {.lex_state = 107, .external_lex_state = 45},
  [1520] = {.lex_state = 107, .external_lex_state = 47},
  [1521] = {.lex_state = 107, .external_lex_state = 47},
  [1522] = {.lex_state = 107, .external_lex_state = 47},
  [1523] = {.lex_state = 107, .external_lex_state = 27},
  [1524] = {.lex_state = 107, .external_lex_state = 27},
  [1525] = {.lex_state = 107, .external_lex_state = 46},
  [1526] = {.lex_state = 107, .external_lex_state = 46},
  [1527] = {.lex_state = 107, .external_lex_state = 27},
  [1528] = {.lex_state = 760, .external_lex_state = 24},
  [1529] = {.lex_state = 107, .external_lex_state = 46},
  [1530] = {.lex_state = 107, .external_lex_state = 46},
  [1531] = {.lex_state = 760, .external_lex_state = 39},
  [1532] = {.lex_state = 760, .external_lex_state = 39},
  [1533] = {.lex_state = 107, .external_lex_state = 26},
  [1534] = {.lex_state = 760, .external_lex_state = 39},
  [1535] = {.lex_state = 107, .external_lex_state = 46},
  [1536] = {.lex_state = 760, .external_lex_state = 39},
  [1537] = {.lex_state = 760, .external_lex_state = 39},
  [1538] = {.lex_state = 760, .external_lex_state = 39},
  [1539] = {.lex_state = 107, .external_lex_state = 48},
  [1540] = {.lex_state = 107, .external_lex_state = 26},
  [1541] = {.lex_state = 107, .external_lex_state = 46},
  [1542] = {.lex_state = 760, .external_lex_state = 24},
  [1543] = {.lex_state = 760, .external_lex_state = 24},
  [1544] = {.lex_state = 107, .external_lex_state = 26},
  [1545] = {.lex_state = 107, .external_lex_state = 27},
  [1546] = {.lex_state = 107, .external_lex_state = 26},
  [1547] = {.lex_state = 107, .external_lex_state = 46},
  [1548] = {.lex_state = 107, .external_lex_state = 28},
  [1549] = {.lex_state = 107, .external_lex_state = 28},
  [1550] = {.lex_state = 107, .external_lex_state = 47},
  [1551] = {.lex_state = 107, .external_lex_state = 47},
  [1552] = {.lex_state = 760, .external_lex_state = 25},
  [1553] = {.lex_state = 107, .external_lex_state = 29},
  [1554] = {.lex_state = 107, .external_lex_state = 47},
  [1555] = {.lex_state = 107, .external_lex_state = 47},
  [1556] = {.lex_state = 760, .external_lex_state = 25},
  [1557] = {.lex_state = 107, .external_lex_state = 47},
  [1558] = {.lex_state = 107, .external_lex_state = 45},
  [1559] = {.lex_state = 107, .external_lex_state = 46},
  [1560] = {.lex_state = 107, .external_lex_state = 45},
  [1561] = {.lex_state = 107, .external_lex_state = 45},
  [1562] = {.lex_state = 107, .external_lex_state = 46},
  [1563] = {.lex_state = 107, .external_lex_state = 47},
  [1564] = {.lex_state = 107, .external_lex_state = 47},
  [1565] = {.lex_state = 107, .external_lex_state = 45},
  [1566] = {.lex_state = 107, .external_lex_state = 28},
  [1567] = {.lex_state = 107, .external_lex_state = 46},
  [1568] = {.lex_state = 760, .external_lex_state = 25},
  [1569] = {.lex_state = 107, .external_lex_state = 45},
  [1570] = {.lex_state = 107, .external_lex_state = 45},
  [1571] = {.lex_state = 107, .external_lex_state = 28},
  [1572] = {.lex_state = 760, .external_lex_state = 25},
  [1573] = {.lex_state = 768, .external_lex_state = 45},
  [1574] = {.lex_state = 107, .external_lex_state = 45},
  [1575] = {.lex_state = 760, .external_lex_state = 25},
  [1576] = {.lex_state = 107, .external_lex_state = 28},
  [1577] = {.lex_state = 760, .external_lex_state = 25},
  [1578] = {.lex_state = 107, .external_lex_state = 45},
  [1579] = {.lex_state = 107, .external_lex_state = 28},
  [1580] = {.lex_state = 107, .external_lex_state = 28},
  [1581] = {.lex_state = 760, .external_lex_state = 18},
  [1582] = {.lex_state = 107, .external_lex_state = 27},
  [1583] = {.lex_state = 768, .external_lex_state = 45},
  [1584] = {.lex_state = 107, .external_lex_state = 48},
  [1585] = {.lex_state = 760, .external_lex_state = 25},
  [1586] = {.lex_state = 760, .external_lex_state = 25},
  [1587] = {.lex_state = 107, .external_lex_state = 27},
  [1588] = {.lex_state = 107, .external_lex_state = 47},
  [1589] = {.lex_state = 760, .external_lex_state = 25},
  [1590] = {.lex_state = 760, .external_lex_state = 25},
  [1591] = {.lex_state = 768, .external_lex_state = 45},
  [1592] = {.lex_state = 768, .external_lex_state = 45},
  [1593] = {.lex_state = 760, .external_lex_state = 25},
  [1594] = {.lex_state = 107, .external_lex_state = 47},
  [1595] = {.lex_state = 760, .external_lex_state = 18},
  [1596] = {.lex_state = 760, .external_lex_state = 18},
  [1597] = {.lex_state = 760, .external_lex_state = 18},
  [1598] = {.lex_state = 107, .external_lex_state = 47},
  [1599] = {.lex_state = 107, .external_lex_state = 47},
  [1600] = {.lex_state = 107, .external_lex_state = 47},
  [1601] = {.lex_state = 768, .external_lex_state = 45},
  [1602] = {.lex_state = 760, .external_lex_state = 25},
  [1603] = {.lex_state = 760, .external_lex_state = 18},
  [1604] = {.lex_state = 764, .external_lex_state = 31},
  [1605] = {.lex_state = 768, .external_lex_state = 45},
  [1606] = {.lex_state = 107, .external_lex_state = 47},
  [1607] = {.lex_state = 107, .external_lex_state = 27},
  [1608] = {.lex_state = 107, .external_lex_state = 47},
  [1609] = {.lex_state = 107, .external_lex_state = 48},
  [1610] = {.lex_state = 107, .external_lex_state = 30},
  [1611] = {.lex_state = 760, .external_lex_state = 18},
  [1612] = {.lex_state = 107, .external_lex_state = 30},
  [1613] = {.lex_state = 107, .external_lex_state = 30},
  [1614] = {.lex_state = 107, .external_lex_state = 27},
  [1615] = {.lex_state = 760, .external_lex_state = 18},
  [1616] = {.lex_state = 107, .external_lex_state = 48},
  [1617] = {.lex_state = 107, .external_lex_state = 48},
  [1618] = {.lex_state = 107, .external_lex_state = 48},
  [1619] = {.lex_state = 760, .external_lex_state = 18},
  [1620] = {.lex_state = 107, .external_lex_state = 30},
  [1621] = {.lex_state = 107, .external_lex_state = 27},
  [1622] = {.lex_state = 107, .external_lex_state = 47},
  [1623] = {.lex_state = 760, .external_lex_state = 25},
  [1624] = {.lex_state = 107, .external_lex_state = 48},
  [1625] = {.lex_state = 107, .external_lex_state = 48},
  [1626] = {.lex_state = 107, .external_lex_state = 49},
  [1627] = {.lex_state = 760, .external_lex_state = 42},
  [1628] = {.lex_state = 107, .external_lex_state = 48},
  [1629] = {.lex_state = 107, .external_lex_state = 49},
  [1630] = {.lex_state = 107, .external_lex_state = 50},
  [1631] = {.lex_state = 107, .external_lex_state = 46},
  [1632] = {.lex_state = 760, .external_lex_state = 42},
  [1633] = {.lex_state = 107, .external_lex_state = 46},
  [1634] = {.lex_state = 764, .external_lex_state = 31},
  [1635] = {.lex_state = 760, .external_lex_state = 42},
  [1636] = {.lex_state = 107, .external_lex_state = 49},
  [1637] = {.lex_state = 107, .external_lex_state = 49},
  [1638] = {.lex_state = 760, .external_lex_state = 43},
  [1639] = {.lex_state = 107, .external_lex_state = 46},
  [1640] = {.lex_state = 760, .external_lex_state = 42},
  [1641] = {.lex_state = 107, .external_lex_state = 51},
  [1642] = {.lex_state = 764, .external_lex_state = 31},
  [1643] = {.lex_state = 764, .external_lex_state = 31},
  [1644] = {.lex_state = 107, .external_lex_state = 49},
  [1645] = {.lex_state = 760, .external_lex_state = 43},
  [1646] = {.lex_state = 760, .external_lex_state = 43},
  [1647] = {.lex_state = 107, .external_lex_state = 46},
  [1648] = {.lex_state = 107, .external_lex_state = 46},
  [1649] = {.lex_state = 107, .external_lex_state = 48},
  [1650] = {.lex_state = 107, .external_lex_state = 46},
  [1651] = {.lex_state = 107, .external_lex_state = 49},
  [1652] = {.lex_state = 107, .external_lex_state = 48},
  [1653] = {.lex_state = 107, .external_lex_state = 49},
  [1654] = {.lex_state = 760, .external_lex_state = 42},
  [1655] = {.lex_state = 760, .external_lex_state = 42},
  [1656] = {.lex_state = 107, .external_lex_state = 46},
  [1657] = {.lex_state = 107, .external_lex_state = 49},
  [1658] = {.lex_state = 107, .external_lex_state = 49},
  [1659] = {.lex_state = 107, .external_lex_state = 30},
  [1660] = {.lex_state = 107, .external_lex_state = 47},
  [1661] = {.lex_state = 107, .external_lex_state = 49},
  [1662] = {.lex_state = 107, .external_lex_state = 47},
  [1663] = {.lex_state = 764, .external_lex_state = 31},
  [1664] = {.lex_state = 764, .external_lex_state = 31},
  [1665] = {.lex_state = 764, .external_lex_state = 31},
  [1666] = {.lex_state = 760, .external_lex_state = 43},
  [1667] = {.lex_state = 107, .external_lex_state = 46},
  [1668] = {.lex_state = 107, .external_lex_state = 46},
  [1669] = {.lex_state = 107, .external_lex_state = 49},
  [1670] = {.lex_state = 764, .external_lex_state = 31},
  [1671] = {.lex_state = 764, .external_lex_state = 23},
  [1672] = {.lex_state = 107, .external_lex_state = 49},
  [1673] = {.lex_state = 107, .external_lex_state = 47},
  [1674] = {.lex_state = 760, .external_lex_state = 43},
  [1675] = {.lex_state = 107, .external_lex_state = 47},
  [1676] = {.lex_state = 760, .external_lex_state = 43},
  [1677] = {.lex_state = 107, .external_lex_state = 46},
  [1678] = {.lex_state = 764, .external_lex_state = 23},
  [1679] = {.lex_state = 107, .external_lex_state = 30},
  [1680] = {.lex_state = 760, .external_lex_state = 24},
  [1681] = {.lex_state = 760, .external_lex_state = 24},
  [1682] = {.lex_state = 764, .external_lex_state = 23},
  [1683] = {.lex_state = 760, .external_lex_state = 24},
  [1684] = {.lex_state = 107, .external_lex_state = 47},
  [1685] = {.lex_state = 760, .external_lex_state = 24},
  [1686] = {.lex_state = 764, .external_lex_state = 23},
  [1687] = {.lex_state = 760, .external_lex_state = 24},
  [1688] = {.lex_state = 764, .external_lex_state = 23},
  [1689] = {.lex_state = 107, .external_lex_state = 47},
  [1690] = {.lex_state = 764, .external_lex_state = 23},
  [1691] = {.lex_state = 107, .external_lex_state = 46},
  [1692] = {.lex_state = 764, .external_lex_state = 23},
  [1693] = {.lex_state = 764, .external_lex_state = 17},
  [1694] = {.lex_state = 107, .external_lex_state = 46},
  [1695] = {.lex_state = 760, .external_lex_state = 24},
  [1696] = {.lex_state = 107, .external_lex_state = 46},
  [1697] = {.lex_state = 107, .external_lex_state = 30},
  [1698] = {.lex_state = 764, .external_lex_state = 23},
  [1699] = {.lex_state = 107, .external_lex_state = 46},
  [1700] = {.lex_state = 107, .external_lex_state = 30},
  [1701] = {.lex_state = 764, .external_lex_state = 23},
  [1702] = {.lex_state = 107, .external_lex_state = 30},
  [1703] = {.lex_state = 764, .external_lex_state = 23},
  [1704] = {.lex_state = 764, .external_lex_state = 23},
  [1705] = {.lex_state = 764, .external_lex_state = 17},
  [1706] = {.lex_state = 764, .external_lex_state = 23},
  [1707] = {.lex_state = 764, .external_lex_state = 17},
  [1708] = {.lex_state = 764, .external_lex_state = 23},
  [1709] = {.lex_state = 764, .external_lex_state = 23},
  [1710] = {.lex_state = 764, .external_lex_state = 23},
  [1711] = {.lex_state = 107, .external_lex_state = 48},
  [1712] = {.lex_state = 764, .external_lex_state = 31},
  [1713] = {.lex_state = 107, .external_lex_state = 48},
  [1714] = {.lex_state = 107, .external_lex_state = 48},
  [1715] = {.lex_state = 107, .external_lex_state = 48},
  [1716] = {.lex_state = 107, .external_lex_state = 48},
  [1717] = {.lex_state = 764, .external_lex_state = 31},
  [1718] = {.lex_state = 107, .external_lex_state = 48},
  [1719] = {.lex_state = 764, .external_lex_state = 17},
  [1720] = {.lex_state = 764, .external_lex_state = 31},
  [1721] = {.lex_state = 764, .external_lex_state = 31},
  [1722] = {.lex_state = 764, .external_lex_state = 17},
  [1723] = {.lex_state = 764, .external_lex_state = 31},
  [1724] = {.lex_state = 764, .external_lex_state = 23},
  [1725] = {.lex_state = 764, .external_lex_state = 36},
  [1726] = {.lex_state = 107, .external_lex_state = 48},
  [1727] = {.lex_state = 764, .external_lex_state = 17},
  [1728] = {.lex_state = 764, .external_lex_state = 31},
  [1729] = {.lex_state = 768, .external_lex_state = 52},
  [1730] = {.lex_state = 764, .external_lex_state = 17},
  [1731] = {.lex_state = 107, .external_lex_state = 51},
  [1732] = {.lex_state = 107, .external_lex_state = 51},
  [1733] = {.lex_state = 107, .external_lex_state = 48},
  [1734] = {.lex_state = 107, .external_lex_state = 48},
  [1735] = {.lex_state = 107, .external_lex_state = 48},
  [1736] = {.lex_state = 764, .external_lex_state = 35},
  [1737] = {.lex_state = 764, .external_lex_state = 17},
  [1738] = {.lex_state = 107, .external_lex_state = 50},
  [1739] = {.lex_state = 764, .external_lex_state = 35},
  [1740] = {.lex_state = 764, .external_lex_state = 23},
  [1741] = {.lex_state = 768, .external_lex_state = 53},
  [1742] = {.lex_state = 107, .external_lex_state = 48},
  [1743] = {.lex_state = 764, .external_lex_state = 31},
  [1744] = {.lex_state = 764, .external_lex_state = 23},
  [1745] = {.lex_state = 130, .external_lex_state = 29},
  [1746] = {.lex_state = 764, .external_lex_state = 31},
  [1747] = {.lex_state = 768, .external_lex_state = 53},
  [1748] = {.lex_state = 107, .external_lex_state = 48},
  [1749] = {.lex_state = 107, .external_lex_state = 48},
  [1750] = {.lex_state = 764, .external_lex_state = 37},
  [1751] = {.lex_state = 768, .external_lex_state = 52},
  [1752] = {.lex_state = 764, .external_lex_state = 35},
  [1753] = {.lex_state = 764, .external_lex_state = 31},
  [1754] = {.lex_state = 764, .external_lex_state = 23},
  [1755] = {.lex_state = 764, .external_lex_state = 23},
  [1756] = {.lex_state = 764, .external_lex_state = 36},
  [1757] = {.lex_state = 764, .external_lex_state = 35},
  [1758] = {.lex_state = 764, .external_lex_state = 36},
  [1759] = {.lex_state = 764, .external_lex_state = 36},
  [1760] = {.lex_state = 764, .external_lex_state = 35},
  [1761] = {.lex_state = 768, .external_lex_state = 53},
  [1762] = {.lex_state = 764, .external_lex_state = 36},
  [1763] = {.lex_state = 764, .external_lex_state = 35},
  [1764] = {.lex_state = 764, .external_lex_state = 36},
  [1765] = {.lex_state = 764, .external_lex_state = 35},
  [1766] = {.lex_state = 764, .external_lex_state = 35},
  [1767] = {.lex_state = 107, .external_lex_state = 48},
  [1768] = {.lex_state = 764, .external_lex_state = 23},
  [1769] = {.lex_state = 764, .external_lex_state = 36},
  [1770] = {.lex_state = 764, .external_lex_state = 36},
  [1771] = {.lex_state = 764, .external_lex_state = 23},
  [1772] = {.lex_state = 764, .external_lex_state = 37},
  [1773] = {.lex_state = 107, .external_lex_state = 54},
  [1774] = {.lex_state = 768, .external_lex_state = 53},
  [1775] = {.lex_state = 107, .external_lex_state = 51},
  [1776] = {.lex_state = 107, .external_lex_state = 51},
  [1777] = {.lex_state = 107, .external_lex_state = 54},
  [1778] = {.lex_state = 131, .external_lex_state = 29},
  [1779] = {.lex_state = 107, .external_lex_state = 55},
  [1780] = {.lex_state = 764, .external_lex_state = 31},
  [1781] = {.lex_state = 107, .external_lex_state = 56},
  [1782] = {.lex_state = 764, .external_lex_state = 31},
  [1783] = {.lex_state = 764, .external_lex_state = 31},
  [1784] = {.lex_state = 764, .external_lex_state = 23},
  [1785] = {.lex_state = 107, .external_lex_state = 56},
  [1786] = {.lex_state = 764, .external_lex_state = 31},
  [1787] = {.lex_state = 764, .external_lex_state = 31},
  [1788] = {.lex_state = 764, .external_lex_state = 31},
  [1789] = {.lex_state = 107, .external_lex_state = 29},
  [1790] = {.lex_state = 764, .external_lex_state = 31},
  [1791] = {.lex_state = 764, .external_lex_state = 31},
  [1792] = {.lex_state = 764, .external_lex_state = 23},
  [1793] = {.lex_state = 764, .external_lex_state = 31},
  [1794] = {.lex_state = 107, .external_lex_state = 56},
  [1795] = {.lex_state = 764, .external_lex_state = 31},
  [1796] = {.lex_state = 764, .external_lex_state = 37},
  [1797] = {.lex_state = 764, .external_lex_state = 31},
  [1798] = {.lex_state = 764, .external_lex_state = 37},
  [1799] = {.lex_state = 764, .external_lex_state = 31},
  [1800] = {.lex_state = 107, .external_lex_state = 56},
  [1801] = {.lex_state = 107, .external_lex_state = 51},
  [1802] = {.lex_state = 107, .external_lex_state = 54},
  [1803] = {.lex_state = 107, .external_lex_state = 51},
  [1804] = {.lex_state = 107, .external_lex_state = 56},
  [1805] = {.lex_state = 107, .external_lex_state = 56},
  [1806] = {.lex_state = 107, .external_lex_state = 56},
  [1807] = {.lex_state = 764, .external_lex_state = 31},
  [1808] = {.lex_state = 768, .external_lex_state = 53},
  [1809] = {.lex_state = 764, .external_lex_state = 31},
  [1810] = {.lex_state = 107, .external_lex_state = 56},
  [1811] = {.lex_state = 764, .external_lex_state = 31},
  [1812] = {.lex_state = 764, .external_lex_state = 23},
  [1813] = {.lex_state = 764, .external_lex_state = 39},
  [1814] = {.lex_state = 107, .external_lex_state = 56},
  [1815] = {.lex_state = 764, .external_lex_state = 39},
  [1816] = {.lex_state = 764, .external_lex_state = 39},
  [1817] = {.lex_state = 764, .external_lex_state = 39},
  [1818] = {.lex_state = 107, .external_lex_state = 56},
  [1819] = {.lex_state = 107, .external_lex_state = 56},
  [1820] = {.lex_state = 764, .external_lex_state = 31},
  [1821] = {.lex_state = 764, .external_lex_state = 23},
  [1822] = {.lex_state = 107, .external_lex_state = 56},
  [1823] = {.lex_state = 764, .external_lex_state = 37},
  [1824] = {.lex_state = 764, .external_lex_state = 23},
  [1825] = {.lex_state = 107, .external_lex_state = 54},
  [1826] = {.lex_state = 107, .external_lex_state = 54},
  [1827] = {.lex_state = 768, .external_lex_state = 53},
  [1828] = {.lex_state = 764, .external_lex_state = 37},
  [1829] = {.lex_state = 107, .external_lex_state = 51},
  [1830] = {.lex_state = 764, .external_lex_state = 23},
  [1831] = {.lex_state = 764, .external_lex_state = 23},
  [1832] = {.lex_state = 764, .external_lex_state = 31},
  [1833] = {.lex_state = 764, .external_lex_state = 37},
  [1834] = {.lex_state = 764, .external_lex_state = 23},
  [1835] = {.lex_state = 764, .external_lex_state = 37},
  [1836] = {.lex_state = 764, .external_lex_state = 23},
  [1837] = {.lex_state = 107, .external_lex_state = 51},
  [1838] = {.lex_state = 764, .external_lex_state = 23},
  [1839] = {.lex_state = 768, .external_lex_state = 53},
  [1840] = {.lex_state = 764, .external_lex_state = 36},
  [1841] = {.lex_state = 764, .external_lex_state = 23},
  [1842] = {.lex_state = 764, .external_lex_state = 23},
  [1843] = {.lex_state = 764, .external_lex_state = 23},
  [1844] = {.lex_state = 764, .external_lex_state = 25},
  [1845] = {.lex_state = 768, .external_lex_state = 53},
  [1846] = {.lex_state = 764, .external_lex_state = 23},
  [1847] = {.lex_state = 764, .external_lex_state = 17},
  [1848] = {.lex_state = 764, .external_lex_state = 23},
  [1849] = {.lex_state = 132, .external_lex_state = 29},
  [1850] = {.lex_state = 95, .external_lex_state = 57},
  [1851] = {.lex_state = 764, .external_lex_state = 23},
  [1852] = {.lex_state = 764, .external_lex_state = 17},
  [1853] = {.lex_state = 764, .external_lex_state = 23},
  [1854] = {.lex_state = 764, .external_lex_state = 35},
  [1855] = {.lex_state = 764, .external_lex_state = 23},
  [1856] = {.lex_state = 107, .external_lex_state = 29},
  [1857] = {.lex_state = 764, .external_lex_state = 23},
  [1858] = {.lex_state = 764, .external_lex_state = 36},
  [1859] = {.lex_state = 764, .external_lex_state = 23},
  [1860] = {.lex_state = 768, .external_lex_state = 53},
  [1861] = {.lex_state = 764, .external_lex_state = 35},
  [1862] = {.lex_state = 107, .external_lex_state = 49},
  [1863] = {.lex_state = 764, .external_lex_state = 23},
  [1864] = {.lex_state = 764, .external_lex_state = 23},
  [1865] = {.lex_state = 764, .external_lex_state = 25},
  [1866] = {.lex_state = 764, .external_lex_state = 23},
  [1867] = {.lex_state = 764, .external_lex_state = 35},
  [1868] = {.lex_state = 107, .external_lex_state = 54},
  [1869] = {.lex_state = 764, .external_lex_state = 17},
  [1870] = {.lex_state = 764, .external_lex_state = 23},
  [1871] = {.lex_state = 764, .external_lex_state = 35},
  [1872] = {.lex_state = 764, .external_lex_state = 23},
  [1873] = {.lex_state = 764, .external_lex_state = 23},
  [1874] = {.lex_state = 768, .external_lex_state = 53},
  [1875] = {.lex_state = 764, .external_lex_state = 36},
  [1876] = {.lex_state = 764, .external_lex_state = 36},
  [1877] = {.lex_state = 768, .external_lex_state = 53},
  [1878] = {.lex_state = 768, .external_lex_state = 53},
  [1879] = {.lex_state = 764, .external_lex_state = 23},
  [1880] = {.lex_state = 764, .external_lex_state = 35},
  [1881] = {.lex_state = 764, .external_lex_state = 35},
  [1882] = {.lex_state = 764, .external_lex_state = 36},
  [1883] = {.lex_state = 764, .external_lex_state = 25},
  [1884] = {.lex_state = 764, .external_lex_state = 25},
  [1885] = {.lex_state = 764, .external_lex_state = 23},
  [1886] = {.lex_state = 764, .external_lex_state = 36},
  [1887] = {.lex_state = 768, .external_lex_state = 53},
  [1888] = {.lex_state = 764, .external_lex_state = 23},
  [1889] = {.lex_state = 768, .external_lex_state = 53},
  [1890] = {.lex_state = 122, .external_lex_state = 51},
  [1891] = {.lex_state = 764, .external_lex_state = 23},
  [1892] = {.lex_state = 97, .external_lex_state = 23},
  [1893] = {.lex_state = 121, .external_lex_state = 58},
  [1894] = {.lex_state = 764, .external_lex_state = 23},
  [1895] = {.lex_state = 38, .external_lex_state = 17},
  [1896] = {.lex_state = 122, .external_lex_state = 51},
  [1897] = {.lex_state = 764, .external_lex_state = 23},
  [1898] = {.lex_state = 764, .external_lex_state = 35},
  [1899] = {.lex_state = 764, .external_lex_state = 23},
  [1900] = {.lex_state = 107, .external_lex_state = 49},
  [1901] = {.lex_state = 764, .external_lex_state = 36},
  [1902] = {.lex_state = 121, .external_lex_state = 58},
  [1903] = {.lex_state = 764, .external_lex_state = 35},
  [1904] = {.lex_state = 764, .external_lex_state = 23},
  [1905] = {.lex_state = 764, .external_lex_state = 23},
  [1906] = {.lex_state = 764, .external_lex_state = 23},
  [1907] = {.lex_state = 122, .external_lex_state = 51},
  [1908] = {.lex_state = 97, .external_lex_state = 23},
  [1909] = {.lex_state = 764, .external_lex_state = 37},
  [1910] = {.lex_state = 764, .external_lex_state = 36},
  [1911] = {.lex_state = 764, .external_lex_state = 37},
  [1912] = {.lex_state = 122, .external_lex_state = 51},
  [1913] = {.lex_state = 107, .external_lex_state = 53},
  [1914] = {.lex_state = 107, .external_lex_state = 53},
  [1915] = {.lex_state = 764, .external_lex_state = 37},
  [1916] = {.lex_state = 764, .external_lex_state = 25},
  [1917] = {.lex_state = 764, .external_lex_state = 23},
  [1918] = {.lex_state = 764, .external_lex_state = 37},
  [1919] = {.lex_state = 764, .external_lex_state = 35},
  [1920] = {.lex_state = 764, .external_lex_state = 25},
  [1921] = {.lex_state = 764, .external_lex_state = 17},
  [1922] = {.lex_state = 107, .external_lex_state = 49},
  [1923] = {.lex_state = 107, .external_lex_state = 49},
  [1924] = {.lex_state = 107, .external_lex_state = 54},
  [1925] = {.lex_state = 764, .external_lex_state = 23},
  [1926] = {.lex_state = 764, .external_lex_state = 23},
  [1927] = {.lex_state = 764, .external_lex_state = 23},
  [1928] = {.lex_state = 107, .external_lex_state = 54},
  [1929] = {.lex_state = 764, .external_lex_state = 23},
  [1930] = {.lex_state = 764, .external_lex_state = 23},
  [1931] = {.lex_state = 764, .external_lex_state = 23},
  [1932] = {.lex_state = 764, .external_lex_state = 25},
  [1933] = {.lex_state = 121, .external_lex_state = 58},
  [1934] = {.lex_state = 764, .external_lex_state = 17},
  [1935] = {.lex_state = 764, .external_lex_state = 25},
  [1936] = {.lex_state = 764, .external_lex_state = 23},
  [1937] = {.lex_state = 764, .external_lex_state = 23},
  [1938] = {.lex_state = 764, .external_lex_state = 36},
  [1939] = {.lex_state = 764, .external_lex_state = 23},
  [1940] = {.lex_state = 764, .external_lex_state = 37},
  [1941] = {.lex_state = 764, .external_lex_state = 37},
  [1942] = {.lex_state = 121, .external_lex_state = 58},
  [1943] = {.lex_state = 107, .external_lex_state = 59},
  [1944] = {.lex_state = 107, .external_lex_state = 60},
  [1945] = {.lex_state = 764, .external_lex_state = 36},
  [1946] = {.lex_state = 764, .external_lex_state = 36},
  [1947] = {.lex_state = 107, .external_lex_state = 60},
  [1948] = {.lex_state = 107, .external_lex_state = 60},
  [1949] = {.lex_state = 107, .external_lex_state = 60},
  [1950] = {.lex_state = 107, .external_lex_state = 60},
  [1951] = {.lex_state = 764, .external_lex_state = 39},
  [1952] = {.lex_state = 764, .external_lex_state = 35},
  [1953] = {.lex_state = 107, .external_lex_state = 50},
  [1954] = {.lex_state = 764, .external_lex_state = 43},
  [1955] = {.lex_state = 107, .external_lex_state = 50},
  [1956] = {.lex_state = 764, .external_lex_state = 43},
  [1957] = {.lex_state = 764, .external_lex_state = 36},
  [1958] = {.lex_state = 764, .external_lex_state = 35},
  [1959] = {.lex_state = 764, .external_lex_state = 39},
  [1960] = {.lex_state = 764, .external_lex_state = 43},
  [1961] = {.lex_state = 107, .external_lex_state = 54},
  [1962] = {.lex_state = 764, .external_lex_state = 43},
  [1963] = {.lex_state = 764, .external_lex_state = 39},
  [1964] = {.lex_state = 764, .external_lex_state = 36},
  [1965] = {.lex_state = 764, .external_lex_state = 37},
  [1966] = {.lex_state = 764, .external_lex_state = 35},
  [1967] = {.lex_state = 764, .external_lex_state = 35},
  [1968] = {.lex_state = 764, .external_lex_state = 39},
  [1969] = {.lex_state = 764, .external_lex_state = 39},
  [1970] = {.lex_state = 764, .external_lex_state = 35},
  [1971] = {.lex_state = 764, .external_lex_state = 35},
  [1972] = {.lex_state = 764, .external_lex_state = 35},
  [1973] = {.lex_state = 764, .external_lex_state = 35},
  [1974] = {.lex_state = 764, .external_lex_state = 37},
  [1975] = {.lex_state = 764, .external_lex_state = 35},
  [1976] = {.lex_state = 107, .external_lex_state = 60},
  [1977] = {.lex_state = 764, .external_lex_state = 39},
  [1978] = {.lex_state = 107, .external_lex_state = 50},
  [1979] = {.lex_state = 764, .external_lex_state = 35},
  [1980] = {.lex_state = 764, .external_lex_state = 37},
  [1981] = {.lex_state = 764, .external_lex_state = 36},
  [1982] = {.lex_state = 764, .external_lex_state = 35},
  [1983] = {.lex_state = 764, .external_lex_state = 36},
  [1984] = {.lex_state = 764, .external_lex_state = 36},
  [1985] = {.lex_state = 764, .external_lex_state = 36},
  [1986] = {.lex_state = 764, .external_lex_state = 36},
  [1987] = {.lex_state = 764, .external_lex_state = 36},
  [1988] = {.lex_state = 764, .external_lex_state = 35},
  [1989] = {.lex_state = 107, .external_lex_state = 60},
  [1990] = {.lex_state = 764, .external_lex_state = 36},
  [1991] = {.lex_state = 764, .external_lex_state = 35},
  [1992] = {.lex_state = 764, .external_lex_state = 36},
  [1993] = {.lex_state = 764, .external_lex_state = 39},
  [1994] = {.lex_state = 107, .external_lex_state = 60},
  [1995] = {.lex_state = 764, .external_lex_state = 39},
  [1996] = {.lex_state = 764, .external_lex_state = 39},
  [1997] = {.lex_state = 107, .external_lex_state = 60},
  [1998] = {.lex_state = 764, .external_lex_state = 36},
  [1999] = {.lex_state = 107, .external_lex_state = 60},
  [2000] = {.lex_state = 107, .external_lex_state = 60},
  [2001] = {.lex_state = 764, .external_lex_state = 35},
  [2002] = {.lex_state = 764, .external_lex_state = 39},
  [2003] = {.lex_state = 764, .external_lex_state = 17},
  [2004] = {.lex_state = 121, .external_lex_state = 58},
  [2005] = {.lex_state = 764, .external_lex_state = 35},
  [2006] = {.lex_state = 38, .external_lex_state = 17},
  [2007] = {.lex_state = 107, .external_lex_state = 60},
  [2008] = {.lex_state = 107, .external_lex_state = 60},
  [2009] = {.lex_state = 107, .external_lex_state = 60},
  [2010] = {.lex_state = 764, .external_lex_state = 42},
  [2011] = {.lex_state = 764, .external_lex_state = 42},
  [2012] = {.lex_state = 764, .external_lex_state = 35},
  [2013] = {.lex_state = 107, .external_lex_state = 60},
  [2014] = {.lex_state = 107, .external_lex_state = 60},
  [2015] = {.lex_state = 107, .external_lex_state = 60},
  [2016] = {.lex_state = 764, .external_lex_state = 39},
  [2017] = {.lex_state = 107, .external_lex_state = 60},
  [2018] = {.lex_state = 764, .external_lex_state = 36},
  [2019] = {.lex_state = 107, .external_lex_state = 60},
  [2020] = {.lex_state = 107, .external_lex_state = 60},
  [2021] = {.lex_state = 107, .external_lex_state = 60},
  [2022] = {.lex_state = 107, .external_lex_state = 29},
  [2023] = {.lex_state = 107, .external_lex_state = 60},
  [2024] = {.lex_state = 764, .external_lex_state = 42},
  [2025] = {.lex_state = 764, .external_lex_state = 36},
  [2026] = {.lex_state = 764, .external_lex_state = 39},
  [2027] = {.lex_state = 764, .external_lex_state = 42},
  [2028] = {.lex_state = 764, .external_lex_state = 39},
  [2029] = {.lex_state = 107, .external_lex_state = 60},
  [2030] = {.lex_state = 107, .external_lex_state = 60},
  [2031] = {.lex_state = 764, .external_lex_state = 36},
  [2032] = {.lex_state = 764, .external_lex_state = 35},
  [2033] = {.lex_state = 764, .external_lex_state = 36},
  [2034] = {.lex_state = 122, .external_lex_state = 51},
  [2035] = {.lex_state = 764, .external_lex_state = 25},
  [2036] = {.lex_state = 107, .external_lex_state = 54},
  [2037] = {.lex_state = 764, .external_lex_state = 37},
  [2038] = {.lex_state = 107, .external_lex_state = 61},
  [2039] = {.lex_state = 764, .external_lex_state = 62},
  [2040] = {.lex_state = 764, .external_lex_state = 62},
  [2041] = {.lex_state = 764, .external_lex_state = 25},
  [2042] = {.lex_state = 107, .external_lex_state = 50},
  [2043] = {.lex_state = 764, .external_lex_state = 62},
  [2044] = {.lex_state = 764, .external_lex_state = 25},
  [2045] = {.lex_state = 764, .external_lex_state = 25},
  [2046] = {.lex_state = 768, .external_lex_state = 59},
  [2047] = {.lex_state = 764, .external_lex_state = 37},
  [2048] = {.lex_state = 768, .external_lex_state = 59},
  [2049] = {.lex_state = 122, .external_lex_state = 51},
  [2050] = {.lex_state = 122, .external_lex_state = 51},
  [2051] = {.lex_state = 107, .external_lex_state = 51},
  [2052] = {.lex_state = 764, .external_lex_state = 37},
  [2053] = {.lex_state = 768, .external_lex_state = 59},
  [2054] = {.lex_state = 768, .external_lex_state = 59},
  [2055] = {.lex_state = 764, .external_lex_state = 37},
  [2056] = {.lex_state = 764, .external_lex_state = 25},
  [2057] = {.lex_state = 764, .external_lex_state = 25},
  [2058] = {.lex_state = 768, .external_lex_state = 59},
  [2059] = {.lex_state = 764, .external_lex_state = 37},
  [2060] = {.lex_state = 764, .external_lex_state = 37},
  [2061] = {.lex_state = 122, .external_lex_state = 51},
  [2062] = {.lex_state = 764, .external_lex_state = 37},
  [2063] = {.lex_state = 107, .external_lex_state = 50},
  [2064] = {.lex_state = 764, .external_lex_state = 37},
  [2065] = {.lex_state = 764, .external_lex_state = 25},
  [2066] = {.lex_state = 764, .external_lex_state = 62},
  [2067] = {.lex_state = 107, .external_lex_state = 50},
  [2068] = {.lex_state = 107, .external_lex_state = 38},
  [2069] = {.lex_state = 107, .external_lex_state = 54},
  [2070] = {.lex_state = 764, .external_lex_state = 39},
  [2071] = {.lex_state = 121, .external_lex_state = 58},
  [2072] = {.lex_state = 764, .external_lex_state = 39},
  [2073] = {.lex_state = 768, .external_lex_state = 59},
  [2074] = {.lex_state = 764, .external_lex_state = 39},
  [2075] = {.lex_state = 107, .external_lex_state = 51},
  [2076] = {.lex_state = 107, .external_lex_state = 29},
  [2077] = {.lex_state = 764, .external_lex_state = 25},
  [2078] = {.lex_state = 764, .external_lex_state = 24},
  [2079] = {.lex_state = 764, .external_lex_state = 25},
  [2080] = {.lex_state = 764, .external_lex_state = 39},
  [2081] = {.lex_state = 764, .external_lex_state = 37},
  [2082] = {.lex_state = 764, .external_lex_state = 37},
  [2083] = {.lex_state = 764, .external_lex_state = 24},
  [2084] = {.lex_state = 107, .external_lex_state = 54},
  [2085] = {.lex_state = 764, .external_lex_state = 37},
  [2086] = {.lex_state = 107, .external_lex_state = 38},
  [2087] = {.lex_state = 122, .external_lex_state = 51},
  [2088] = {.lex_state = 764, .external_lex_state = 37},
  [2089] = {.lex_state = 764, .external_lex_state = 37},
  [2090] = {.lex_state = 764, .external_lex_state = 37},
  [2091] = {.lex_state = 107, .external_lex_state = 29},
  [2092] = {.lex_state = 764, .external_lex_state = 37},
  [2093] = {.lex_state = 107, .external_lex_state = 51},
  [2094] = {.lex_state = 764, .external_lex_state = 37},
  [2095] = {.lex_state = 107, .external_lex_state = 29},
  [2096] = {.lex_state = 121, .external_lex_state = 58},
  [2097] = {.lex_state = 764, .external_lex_state = 37},
  [2098] = {.lex_state = 764, .external_lex_state = 25},
  [2099] = {.lex_state = 107, .external_lex_state = 38},
  [2100] = {.lex_state = 121, .external_lex_state = 58},
  [2101] = {.lex_state = 764, .external_lex_state = 24},
  [2102] = {.lex_state = 121, .external_lex_state = 58},
  [2103] = {.lex_state = 764, .external_lex_state = 24},
  [2104] = {.lex_state = 107, .external_lex_state = 50},
  [2105] = {.lex_state = 764, .external_lex_state = 25},
  [2106] = {.lex_state = 764, .external_lex_state = 25},
  [2107] = {.lex_state = 107, .external_lex_state = 29},
  [2108] = {.lex_state = 107, .external_lex_state = 29},
  [2109] = {.lex_state = 764, .external_lex_state = 39},
  [2110] = {.lex_state = 768, .external_lex_state = 59},
  [2111] = {.lex_state = 764, .external_lex_state = 39},
  [2112] = {.lex_state = 107, .external_lex_state = 38},
  [2113] = {.lex_state = 764, .external_lex_state = 39},
  [2114] = {.lex_state = 764, .external_lex_state = 25},
  [2115] = {.lex_state = 764, .external_lex_state = 25},
  [2116] = {.lex_state = 107, .external_lex_state = 54},
  [2117] = {.lex_state = 764, .external_lex_state = 39},
  [2118] = {.lex_state = 764, .external_lex_state = 39},
  [2119] = {.lex_state = 107, .external_lex_state = 54},
  [2120] = {.lex_state = 107, .external_lex_state = 54},
  [2121] = {.lex_state = 764, .external_lex_state = 25},
  [2122] = {.lex_state = 107, .external_lex_state = 29},
  [2123] = {.lex_state = 764, .external_lex_state = 25},
  [2124] = {.lex_state = 107, .external_lex_state = 29},
  [2125] = {.lex_state = 764, .external_lex_state = 39},
  [2126] = {.lex_state = 764, .external_lex_state = 39},
  [2127] = {.lex_state = 764, .external_lex_state = 39},
  [2128] = {.lex_state = 764, .external_lex_state = 39},
  [2129] = {.lex_state = 764, .external_lex_state = 63},
  [2130] = {.lex_state = 107, .external_lex_state = 54},
  [2131] = {.lex_state = 764, .external_lex_state = 63},
  [2132] = {.lex_state = 107, .external_lex_state = 54},
  [2133] = {.lex_state = 764, .external_lex_state = 39},
  [2134] = {.lex_state = 764, .external_lex_state = 39},
  [2135] = {.lex_state = 764, .external_lex_state = 39},
  [2136] = {.lex_state = 764, .external_lex_state = 39},
  [2137] = {.lex_state = 764, .external_lex_state = 39},
  [2138] = {.lex_state = 764, .external_lex_state = 39},
  [2139] = {.lex_state = 122, .external_lex_state = 29},
  [2140] = {.lex_state = 764, .external_lex_state = 39},
  [2141] = {.lex_state = 764, .external_lex_state = 39},
  [2142] = {.lex_state = 107, .external_lex_state = 29},
  [2143] = {.lex_state = 764, .external_lex_state = 39},
  [2144] = {.lex_state = 107, .external_lex_state = 29},
  [2145] = {.lex_state = 107, .external_lex_state = 29},
  [2146] = {.lex_state = 764, .external_lex_state = 39},
  [2147] = {.lex_state = 107, .external_lex_state = 29},
  [2148] = {.lex_state = 107, .external_lex_state = 29},
  [2149] = {.lex_state = 107, .external_lex_state = 29},
  [2150] = {.lex_state = 107, .external_lex_state = 29},
  [2151] = {.lex_state = 107, .external_lex_state = 29},
  [2152] = {.lex_state = 107, .external_lex_state = 29},
  [2153] = {.lex_state = 107, .external_lex_state = 29},
  [2154] = {.lex_state = 107, .external_lex_state = 29},
  [2155] = {.lex_state = 107, .external_lex_state = 29},
  [2156] = {.lex_state = 107, .external_lex_state = 29},
  [2157] = {.lex_state = 107, .external_lex_state = 29},
  [2158] = {.lex_state = 107, .external_lex_state = 54},
  [2159] = {.lex_state = 107, .external_lex_state = 29},
  [2160] = {.lex_state = 107, .external_lex_state = 29},
  [2161] = {.lex_state = 764, .external_lex_state = 39},
  [2162] = {.lex_state = 107, .external_lex_state = 29},
  [2163] = {.lex_state = 764, .external_lex_state = 25},
  [2164] = {.lex_state = 764, .external_lex_state = 39},
  [2165] = {.lex_state = 107, .external_lex_state = 29},
  [2166] = {.lex_state = 107, .external_lex_state = 29},
  [2167] = {.lex_state = 764, .external_lex_state = 39},
  [2168] = {.lex_state = 107, .external_lex_state = 29},
  [2169] = {.lex_state = 764, .external_lex_state = 39},
  [2170] = {.lex_state = 107, .external_lex_state = 29},
  [2171] = {.lex_state = 107, .external_lex_state = 29},
  [2172] = {.lex_state = 107, .external_lex_state = 29},
  [2173] = {.lex_state = 764, .external_lex_state = 39},
  [2174] = {.lex_state = 107, .external_lex_state = 59},
  [2175] = {.lex_state = 764, .external_lex_state = 39},
  [2176] = {.lex_state = 107, .external_lex_state = 29},
  [2177] = {.lex_state = 107, .external_lex_state = 29},
  [2178] = {.lex_state = 764, .external_lex_state = 39},
  [2179] = {.lex_state = 764, .external_lex_state = 39},
  [2180] = {.lex_state = 107, .external_lex_state = 29},
  [2181] = {.lex_state = 107, .external_lex_state = 29},
  [2182] = {.lex_state = 764, .external_lex_state = 39},
  [2183] = {.lex_state = 121, .external_lex_state = 55},
  [2184] = {.lex_state = 107, .external_lex_state = 29},
  [2185] = {.lex_state = 107, .external_lex_state = 29},
  [2186] = {.lex_state = 764, .external_lex_state = 39},
  [2187] = {.lex_state = 107, .external_lex_state = 29},
  [2188] = {.lex_state = 764, .external_lex_state = 25},
  [2189] = {.lex_state = 107, .external_lex_state = 29},
  [2190] = {.lex_state = 764, .external_lex_state = 25},
  [2191] = {.lex_state = 764, .external_lex_state = 39},
  [2192] = {.lex_state = 764, .external_lex_state = 39},
  [2193] = {.lex_state = 107, .external_lex_state = 29},
  [2194] = {.lex_state = 121, .external_lex_state = 55},
  [2195] = {.lex_state = 107, .external_lex_state = 29},
  [2196] = {.lex_state = 767, .external_lex_state = 64},
  [2197] = {.lex_state = 107, .external_lex_state = 29},
  [2198] = {.lex_state = 107, .external_lex_state = 29},
  [2199] = {.lex_state = 764, .external_lex_state = 39},
  [2200] = {.lex_state = 107, .external_lex_state = 29},
  [2201] = {.lex_state = 107, .external_lex_state = 59},
  [2202] = {.lex_state = 764, .external_lex_state = 39},
  [2203] = {.lex_state = 107, .external_lex_state = 29},
  [2204] = {.lex_state = 764, .external_lex_state = 25},
  [2205] = {.lex_state = 107, .external_lex_state = 29},
  [2206] = {.lex_state = 764, .external_lex_state = 25},
  [2207] = {.lex_state = 764, .external_lex_state = 25},
  [2208] = {.lex_state = 107, .external_lex_state = 29},
  [2209] = {.lex_state = 107, .external_lex_state = 29},
  [2210] = {.lex_state = 764, .external_lex_state = 39},
  [2211] = {.lex_state = 107, .external_lex_state = 29},
  [2212] = {.lex_state = 764, .external_lex_state = 39},
  [2213] = {.lex_state = 107, .external_lex_state = 29},
  [2214] = {.lex_state = 764, .external_lex_state = 39},
  [2215] = {.lex_state = 764, .external_lex_state = 39},
  [2216] = {.lex_state = 107, .external_lex_state = 29},
  [2217] = {.lex_state = 107, .external_lex_state = 38},
  [2218] = {.lex_state = 764, .external_lex_state = 25},
  [2219] = {.lex_state = 107, .external_lex_state = 29},
  [2220] = {.lex_state = 107, .external_lex_state = 29},
  [2221] = {.lex_state = 107, .external_lex_state = 59},
  [2222] = {.lex_state = 764, .external_lex_state = 25},
  [2223] = {.lex_state = 107, .external_lex_state = 29},
  [2224] = {.lex_state = 764, .external_lex_state = 39},
  [2225] = {.lex_state = 764, .external_lex_state = 39},
  [2226] = {.lex_state = 107, .external_lex_state = 29},
  [2227] = {.lex_state = 107, .external_lex_state = 29},
  [2228] = {.lex_state = 764, .external_lex_state = 39},
  [2229] = {.lex_state = 107, .external_lex_state = 29},
  [2230] = {.lex_state = 764, .external_lex_state = 39},
  [2231] = {.lex_state = 764, .external_lex_state = 25},
  [2232] = {.lex_state = 764, .external_lex_state = 39},
  [2233] = {.lex_state = 107, .external_lex_state = 29},
  [2234] = {.lex_state = 764, .external_lex_state = 39},
  [2235] = {.lex_state = 107, .external_lex_state = 29},
  [2236] = {.lex_state = 764, .external_lex_state = 39},
  [2237] = {.lex_state = 107, .external_lex_state = 29},
  [2238] = {.lex_state = 764, .external_lex_state = 25},
  [2239] = {.lex_state = 121, .external_lex_state = 55},
  [2240] = {.lex_state = 107, .external_lex_state = 29},
  [2241] = {.lex_state = 764, .external_lex_state = 39},
  [2242] = {.lex_state = 764, .external_lex_state = 39},
  [2243] = {.lex_state = 107, .external_lex_state = 29},
  [2244] = {.lex_state = 764, .external_lex_state = 39},
  [2245] = {.lex_state = 764, .external_lex_state = 39},
  [2246] = {.lex_state = 764, .external_lex_state = 39},
  [2247] = {.lex_state = 764, .external_lex_state = 39},
  [2248] = {.lex_state = 107, .external_lex_state = 50},
  [2249] = {.lex_state = 764, .external_lex_state = 25},
  [2250] = {.lex_state = 764, .external_lex_state = 18},
  [2251] = {.lex_state = 764, .external_lex_state = 18},
  [2252] = {.lex_state = 764, .external_lex_state = 39},
  [2253] = {.lex_state = 764, .external_lex_state = 39},
  [2254] = {.lex_state = 107, .external_lex_state = 29},
  [2255] = {.lex_state = 764, .external_lex_state = 39},
  [2256] = {.lex_state = 107, .external_lex_state = 29},
  [2257] = {.lex_state = 764, .external_lex_state = 39},
  [2258] = {.lex_state = 107, .external_lex_state = 29},
  [2259] = {.lex_state = 107, .external_lex_state = 29},
  [2260] = {.lex_state = 764, .external_lex_state = 39},
  [2261] = {.lex_state = 764, .external_lex_state = 39},
  [2262] = {.lex_state = 107, .external_lex_state = 29},
  [2263] = {.lex_state = 764, .external_lex_state = 25},
  [2264] = {.lex_state = 764, .external_lex_state = 39},
  [2265] = {.lex_state = 764, .external_lex_state = 39},
  [2266] = {.lex_state = 764, .external_lex_state = 39},
  [2267] = {.lex_state = 764, .external_lex_state = 63},
  [2268] = {.lex_state = 764, .external_lex_state = 25},
  [2269] = {.lex_state = 764, .external_lex_state = 25},
  [2270] = {.lex_state = 764, .external_lex_state = 25},
  [2271] = {.lex_state = 764, .external_lex_state = 39},
  [2272] = {.lex_state = 764, .external_lex_state = 39},
  [2273] = {.lex_state = 764, .external_lex_state = 39},
  [2274] = {.lex_state = 764, .external_lex_state = 39},
  [2275] = {.lex_state = 764, .external_lex_state = 18},
  [2276] = {.lex_state = 764, .external_lex_state = 25},
  [2277] = {.lex_state = 107, .external_lex_state = 29},
  [2278] = {.lex_state = 107, .external_lex_state = 29},
  [2279] = {.lex_state = 764, .external_lex_state = 25},
  [2280] = {.lex_state = 764, .external_lex_state = 39},
  [2281] = {.lex_state = 107, .external_lex_state = 29},
  [2282] = {.lex_state = 764, .external_lex_state = 39},
  [2283] = {.lex_state = 764, .external_lex_state = 39},
  [2284] = {.lex_state = 764, .external_lex_state = 39},
  [2285] = {.lex_state = 764, .external_lex_state = 63},
  [2286] = {.lex_state = 764, .external_lex_state = 39},
  [2287] = {.lex_state = 764, .external_lex_state = 39},
  [2288] = {.lex_state = 764, .external_lex_state = 39},
  [2289] = {.lex_state = 767, .external_lex_state = 64},
  [2290] = {.lex_state = 764, .external_lex_state = 39},
  [2291] = {.lex_state = 764, .external_lex_state = 39},
  [2292] = {.lex_state = 764, .external_lex_state = 39},
  [2293] = {.lex_state = 764, .external_lex_state = 39},
  [2294] = {.lex_state = 107, .external_lex_state = 29},
  [2295] = {.lex_state = 107, .external_lex_state = 29},
  [2296] = {.lex_state = 107, .external_lex_state = 29},
  [2297] = {.lex_state = 764, .external_lex_state = 39},
  [2298] = {.lex_state = 764, .external_lex_state = 39},
  [2299] = {.lex_state = 764, .external_lex_state = 39},
  [2300] = {.lex_state = 122, .external_lex_state = 29},
  [2301] = {.lex_state = 107, .external_lex_state = 65},
  [2302] = {.lex_state = 764, .external_lex_state = 39},
  [2303] = {.lex_state = 764, .external_lex_state = 39},
  [2304] = {.lex_state = 764, .external_lex_state = 39},
  [2305] = {.lex_state = 764, .external_lex_state = 25},
  [2306] = {.lex_state = 122, .external_lex_state = 29},
  [2307] = {.lex_state = 122, .external_lex_state = 29},
  [2308] = {.lex_state = 107, .external_lex_state = 29},
  [2309] = {.lex_state = 764, .external_lex_state = 25},
  [2310] = {.lex_state = 107, .external_lex_state = 29},
  [2311] = {.lex_state = 764, .external_lex_state = 25},
  [2312] = {.lex_state = 121, .external_lex_state = 55},
  [2313] = {.lex_state = 764, .external_lex_state = 25},
  [2314] = {.lex_state = 764, .external_lex_state = 25},
  [2315] = {.lex_state = 764, .external_lex_state = 25},
  [2316] = {.lex_state = 764, .external_lex_state = 25},
  [2317] = {.lex_state = 764, .external_lex_state = 25},
  [2318] = {.lex_state = 764, .external_lex_state = 42},
  [2319] = {.lex_state = 107, .external_lex_state = 40},
  [2320] = {.lex_state = 764, .external_lex_state = 43},
  [2321] = {.lex_state = 764, .external_lex_state = 25},
  [2322] = {.lex_state = 764, .external_lex_state = 25},
  [2323] = {.lex_state = 764, .external_lex_state = 25},
  [2324] = {.lex_state = 107, .external_lex_state = 54},
  [2325] = {.lex_state = 764, .external_lex_state = 25},
  [2326] = {.lex_state = 764, .external_lex_state = 25},
  [2327] = {.lex_state = 107, .external_lex_state = 61},
  [2328] = {.lex_state = 107, .external_lex_state = 29},
  [2329] = {.lex_state = 107, .external_lex_state = 29},
  [2330] = {.lex_state = 764, .external_lex_state = 25},
  [2331] = {.lex_state = 764, .external_lex_state = 25},
  [2332] = {.lex_state = 764, .external_lex_state = 25},
  [2333] = {.lex_state = 107, .external_lex_state = 55},
  [2334] = {.lex_state = 107, .external_lex_state = 29},
  [2335] = {.lex_state = 107, .external_lex_state = 54},
  [2336] = {.lex_state = 107, .external_lex_state = 29},
  [2337] = {.lex_state = 764, .external_lex_state = 25},
  [2338] = {.lex_state = 107, .external_lex_state = 29},
  [2339] = {.lex_state = 107, .external_lex_state = 51},
  [2340] = {.lex_state = 764, .external_lex_state = 25},
  [2341] = {.lex_state = 107, .external_lex_state = 40},
  [2342] = {.lex_state = 107, .external_lex_state = 61},
  [2343] = {.lex_state = 107, .external_lex_state = 61},
  [2344] = {.lex_state = 107, .external_lex_state = 29},
  [2345] = {.lex_state = 764, .external_lex_state = 25},
  [2346] = {.lex_state = 107, .external_lex_state = 40},
  [2347] = {.lex_state = 107, .external_lex_state = 61},
  [2348] = {.lex_state = 107, .external_lex_state = 54},
  [2349] = {.lex_state = 107, .external_lex_state = 55},
  [2350] = {.lex_state = 764, .external_lex_state = 43},
  [2351] = {.lex_state = 764, .external_lex_state = 63},
  [2352] = {.lex_state = 107, .external_lex_state = 29},
  [2353] = {.lex_state = 764, .external_lex_state = 25},
  [2354] = {.lex_state = 764, .external_lex_state = 42},
  [2355] = {.lex_state = 764, .external_lex_state = 63},
  [2356] = {.lex_state = 107, .external_lex_state = 61},
  [2357] = {.lex_state = 107, .external_lex_state = 38},
  [2358] = {.lex_state = 764, .external_lex_state = 25},
  [2359] = {.lex_state = 764, .external_lex_state = 25},
  [2360] = {.lex_state = 764, .external_lex_state = 25},
  [2361] = {.lex_state = 107, .external_lex_state = 61},
  [2362] = {.lex_state = 764, .external_lex_state = 25},
  [2363] = {.lex_state = 764, .external_lex_state = 25},
  [2364] = {.lex_state = 107, .external_lex_state = 55},
  [2365] = {.lex_state = 107, .external_lex_state = 38},
  [2366] = {.lex_state = 764, .external_lex_state = 42},
  [2367] = {.lex_state = 764, .external_lex_state = 25},
  [2368] = {.lex_state = 764, .external_lex_state = 25},
  [2369] = {.lex_state = 107, .external_lex_state = 38},
  [2370] = {.lex_state = 764, .external_lex_state = 43},
  [2371] = {.lex_state = 764, .external_lex_state = 25},
  [2372] = {.lex_state = 764, .external_lex_state = 43},
  [2373] = {.lex_state = 764, .external_lex_state = 42},
  [2374] = {.lex_state = 764, .external_lex_state = 43},
  [2375] = {.lex_state = 107, .external_lex_state = 29},
  [2376] = {.lex_state = 764, .external_lex_state = 42},
  [2377] = {.lex_state = 107, .external_lex_state = 60},
  [2378] = {.lex_state = 107, .external_lex_state = 55},
  [2379] = {.lex_state = 764, .external_lex_state = 43},
  [2380] = {.lex_state = 764, .external_lex_state = 43},
  [2381] = {.lex_state = 764, .external_lex_state = 25},
  [2382] = {.lex_state = 764, .external_lex_state = 25},
  [2383] = {.lex_state = 764, .external_lex_state = 42},
  [2384] = {.lex_state = 764, .external_lex_state = 25},
  [2385] = {.lex_state = 764, .external_lex_state = 25},
  [2386] = {.lex_state = 107, .external_lex_state = 55},
  [2387] = {.lex_state = 764, .external_lex_state = 25},
  [2388] = {.lex_state = 107, .external_lex_state = 61},
  [2389] = {.lex_state = 764, .external_lex_state = 25},
  [2390] = {.lex_state = 107, .external_lex_state = 38},
  [2391] = {.lex_state = 107, .external_lex_state = 55},
  [2392] = {.lex_state = 764, .external_lex_state = 25},
  [2393] = {.lex_state = 764, .external_lex_state = 43},
  [2394] = {.lex_state = 764, .external_lex_state = 43},
  [2395] = {.lex_state = 764, .external_lex_state = 25},
  [2396] = {.lex_state = 764, .external_lex_state = 25},
  [2397] = {.lex_state = 764, .external_lex_state = 25},
  [2398] = {.lex_state = 764, .external_lex_state = 25},
  [2399] = {.lex_state = 107, .external_lex_state = 29},
  [2400] = {.lex_state = 764, .external_lex_state = 25},
  [2401] = {.lex_state = 764, .external_lex_state = 25},
  [2402] = {.lex_state = 764, .external_lex_state = 25},
  [2403] = {.lex_state = 764, .external_lex_state = 42},
  [2404] = {.lex_state = 764, .external_lex_state = 42},
  [2405] = {.lex_state = 764, .external_lex_state = 25},
  [2406] = {.lex_state = 764, .external_lex_state = 25},
  [2407] = {.lex_state = 107, .external_lex_state = 29},
  [2408] = {.lex_state = 764, .external_lex_state = 25},
  [2409] = {.lex_state = 107, .external_lex_state = 29},
  [2410] = {.lex_state = 764, .external_lex_state = 25},
  [2411] = {.lex_state = 764, .external_lex_state = 25},
  [2412] = {.lex_state = 764, .external_lex_state = 25},
  [2413] = {.lex_state = 764, .external_lex_state = 25},
  [2414] = {.lex_state = 764, .external_lex_state = 25},
  [2415] = {.lex_state = 764, .external_lex_state = 25},
  [2416] = {.lex_state = 764, .external_lex_state = 25},
  [2417] = {.lex_state = 764, .external_lex_state = 25},
  [2418] = {.lex_state = 764, .external_lex_state = 25},
  [2419] = {.lex_state = 764, .external_lex_state = 25},
  [2420] = {.lex_state = 107, .external_lex_state = 54},
  [2421] = {.lex_state = 764, .external_lex_state = 18},
  [2422] = {.lex_state = 764, .external_lex_state = 42},
  [2423] = {.lex_state = 764, .external_lex_state = 25},
  [2424] = {.lex_state = 107, .external_lex_state = 29},
  [2425] = {.lex_state = 107, .external_lex_state = 29},
  [2426] = {.lex_state = 764, .external_lex_state = 42},
  [2427] = {.lex_state = 107, .external_lex_state = 29},
  [2428] = {.lex_state = 107, .external_lex_state = 29},
  [2429] = {.lex_state = 107, .external_lex_state = 29},
  [2430] = {.lex_state = 107, .external_lex_state = 29},
  [2431] = {.lex_state = 764, .external_lex_state = 25},
  [2432] = {.lex_state = 107, .external_lex_state = 29},
  [2433] = {.lex_state = 764, .external_lex_state = 42},
  [2434] = {.lex_state = 764, .external_lex_state = 25},
  [2435] = {.lex_state = 764, .external_lex_state = 42},
  [2436] = {.lex_state = 764, .external_lex_state = 25},
  [2437] = {.lex_state = 107, .external_lex_state = 29},
  [2438] = {.lex_state = 764, .external_lex_state = 25},
  [2439] = {.lex_state = 764, .external_lex_state = 42},
  [2440] = {.lex_state = 764, .external_lex_state = 25},
  [2441] = {.lex_state = 764, .external_lex_state = 25},
  [2442] = {.lex_state = 764, .external_lex_state = 25},
  [2443] = {.lex_state = 764, .external_lex_state = 25},
  [2444] = {.lex_state = 107, .external_lex_state = 55},
  [2445] = {.lex_state = 764, .external_lex_state = 25},
  [2446] = {.lex_state = 764, .external_lex_state = 63},
  [2447] = {.lex_state = 764, .external_lex_state = 25},
  [2448] = {.lex_state = 107, .external_lex_state = 29},
  [2449] = {.lex_state = 764, .external_lex_state = 63},
  [2450] = {.lex_state = 764, .external_lex_state = 25},
  [2451] = {.lex_state = 764, .external_lex_state = 25},
  [2452] = {.lex_state = 107, .external_lex_state = 55},
  [2453] = {.lex_state = 764, .external_lex_state = 25},
  [2454] = {.lex_state = 764, .external_lex_state = 43},
  [2455] = {.lex_state = 107, .external_lex_state = 55},
  [2456] = {.lex_state = 764, .external_lex_state = 25},
  [2457] = {.lex_state = 107, .external_lex_state = 29},
  [2458] = {.lex_state = 107, .external_lex_state = 29},
  [2459] = {.lex_state = 764, .external_lex_state = 25},
  [2460] = {.lex_state = 767, .external_lex_state = 64},
  [2461] = {.lex_state = 107, .external_lex_state = 29},
  [2462] = {.lex_state = 764, .external_lex_state = 25},
  [2463] = {.lex_state = 764, .external_lex_state = 25},
  [2464] = {.lex_state = 764, .external_lex_state = 25},
  [2465] = {.lex_state = 764, .external_lex_state = 25},
  [2466] = {.lex_state = 764, .external_lex_state = 43},
  [2467] = {.lex_state = 764, .external_lex_state = 25},
  [2468] = {.lex_state = 767, .external_lex_state = 64},
  [2469] = {.lex_state = 764, .external_lex_state = 25},
  [2470] = {.lex_state = 764, .external_lex_state = 43},
  [2471] = {.lex_state = 764, .external_lex_state = 25},
  [2472] = {.lex_state = 107, .external_lex_state = 55},
  [2473] = {.lex_state = 764, .external_lex_state = 25},
  [2474] = {.lex_state = 107, .external_lex_state = 55},
  [2475] = {.lex_state = 107, .external_lex_state = 40},
  [2476] = {.lex_state = 764, .external_lex_state = 25},
  [2477] = {.lex_state = 764, .external_lex_state = 25},
  [2478] = {.lex_state = 107, .external_lex_state = 55},
  [2479] = {.lex_state = 764, .external_lex_state = 25},
  [2480] = {.lex_state = 764, .external_lex_state = 25},
  [2481] = {.lex_state = 764, .external_lex_state = 25},
  [2482] = {.lex_state = 764, .external_lex_state = 25},
  [2483] = {.lex_state = 764, .external_lex_state = 25},
  [2484] = {.lex_state = 764, .external_lex_state = 25},
  [2485] = {.lex_state = 764, .external_lex_state = 43},
  [2486] = {.lex_state = 764, .external_lex_state = 43},
  [2487] = {.lex_state = 764, .external_lex_state = 43},
  [2488] = {.lex_state = 764, .external_lex_state = 25},
  [2489] = {.lex_state = 107, .external_lex_state = 59},
  [2490] = {.lex_state = 764, .external_lex_state = 42},
  [2491] = {.lex_state = 764, .external_lex_state = 25},
  [2492] = {.lex_state = 764, .external_lex_state = 24},
  [2493] = {.lex_state = 764, .external_lex_state = 24},
  [2494] = {.lex_state = 764, .external_lex_state = 25},
  [2495] = {.lex_state = 764, .external_lex_state = 25},
  [2496] = {.lex_state = 764, .external_lex_state = 18},
  [2497] = {.lex_state = 764, .external_lex_state = 43},
  [2498] = {.lex_state = 764, .external_lex_state = 42},
  [2499] = {.lex_state = 764, .external_lex_state = 24},
  [2500] = {.lex_state = 764, .external_lex_state = 25},
  [2501] = {.lex_state = 764, .external_lex_state = 25},
  [2502] = {.lex_state = 764, .external_lex_state = 25},
  [2503] = {.lex_state = 764, .external_lex_state = 25},
  [2504] = {.lex_state = 764, .external_lex_state = 43},
  [2505] = {.lex_state = 107, .external_lex_state = 41},
  [2506] = {.lex_state = 767, .external_lex_state = 66},
  [2507] = {.lex_state = 107, .external_lex_state = 59},
  [2508] = {.lex_state = 764, .external_lex_state = 25},
  [2509] = {.lex_state = 764, .external_lex_state = 25},
  [2510] = {.lex_state = 107, .external_lex_state = 59},
  [2511] = {.lex_state = 764, .external_lex_state = 42},
  [2512] = {.lex_state = 107, .external_lex_state = 29},
  [2513] = {.lex_state = 767, .external_lex_state = 66},
  [2514] = {.lex_state = 764, .external_lex_state = 25},
  [2515] = {.lex_state = 107, .external_lex_state = 65},
  [2516] = {.lex_state = 764, .external_lex_state = 25},
  [2517] = {.lex_state = 764, .external_lex_state = 18},
  [2518] = {.lex_state = 764, .external_lex_state = 25},
  [2519] = {.lex_state = 764, .external_lex_state = 24},
  [2520] = {.lex_state = 764, .external_lex_state = 25},
  [2521] = {.lex_state = 764, .external_lex_state = 24},
  [2522] = {.lex_state = 764, .external_lex_state = 25},
  [2523] = {.lex_state = 764, .external_lex_state = 25},
  [2524] = {.lex_state = 764, .external_lex_state = 42},
  [2525] = {.lex_state = 107, .external_lex_state = 29},
  [2526] = {.lex_state = 107, .external_lex_state = 29},
  [2527] = {.lex_state = 107, .external_lex_state = 65},
  [2528] = {.lex_state = 764, .external_lex_state = 42},
  [2529] = {.lex_state = 107, .external_lex_state = 65},
  [2530] = {.lex_state = 764, .external_lex_state = 18},
  [2531] = {.lex_state = 764, .external_lex_state = 25},
  [2532] = {.lex_state = 764, .external_lex_state = 42},
  [2533] = {.lex_state = 764, .external_lex_state = 24},
  [2534] = {.lex_state = 764, .external_lex_state = 24},
  [2535] = {.lex_state = 764, .external_lex_state = 42},
  [2536] = {.lex_state = 764, .external_lex_state = 43},
  [2537] = {.lex_state = 764, .external_lex_state = 43},
  [2538] = {.lex_state = 764, .external_lex_state = 25},
  [2539] = {.lex_state = 107, .external_lex_state = 65},
  [2540] = {.lex_state = 764, .external_lex_state = 25},
  [2541] = {.lex_state = 764, .external_lex_state = 25},
  [2542] = {.lex_state = 764, .external_lex_state = 25},
  [2543] = {.lex_state = 107, .external_lex_state = 65},
  [2544] = {.lex_state = 764, .external_lex_state = 18},
  [2545] = {.lex_state = 107, .external_lex_state = 65},
  [2546] = {.lex_state = 764, .external_lex_state = 25},
  [2547] = {.lex_state = 764, .external_lex_state = 25},
  [2548] = {.lex_state = 107, .external_lex_state = 65},
  [2549] = {.lex_state = 764, .external_lex_state = 25},
  [2550] = {.lex_state = 764, .external_lex_state = 18},
  [2551] = {.lex_state = 764, .external_lex_state = 18},
  [2552] = {.lex_state = 107, .external_lex_state = 29},
  [2553] = {.lex_state = 107, .external_lex_state = 29},
  [2554] = {.lex_state = 107, .external_lex_state = 29},
  [2555] = {.lex_state = 107, .external_lex_state = 61},
  [2556] = {.lex_state = 764, .external_lex_state = 25},
  [2557] = {.lex_state = 107, .external_lex_state = 29},
  [2558] = {.lex_state = 764, .external_lex_state = 24},
  [2559] = {.lex_state = 764, .external_lex_state = 25},
  [2560] = {.lex_state = 764, .external_lex_state = 18},
  [2561] = {.lex_state = 764, .external_lex_state = 42},
  [2562] = {.lex_state = 764, .external_lex_state = 25},
  [2563] = {.lex_state = 764, .external_lex_state = 24},
  [2564] = {.lex_state = 764, .external_lex_state = 24},
  [2565] = {.lex_state = 764, .external_lex_state = 42},
  [2566] = {.lex_state = 107, .external_lex_state = 61},
  [2567] = {.lex_state = 764, .external_lex_state = 25},
  [2568] = {.lex_state = 764, .external_lex_state = 42},
  [2569] = {.lex_state = 764, .external_lex_state = 25},
  [2570] = {.lex_state = 764, .external_lex_state = 25},
  [2571] = {.lex_state = 107, .external_lex_state = 29},
  [2572] = {.lex_state = 107, .external_lex_state = 29},
  [2573] = {.lex_state = 764, .external_lex_state = 43},
  [2574] = {.lex_state = 764, .external_lex_state = 25},
  [2575] = {.lex_state = 107, .external_lex_state = 59},
  [2576] = {.lex_state = 107, .external_lex_state = 29},
  [2577] = {.lex_state = 764, .external_lex_state = 25},
  [2578] = {.lex_state = 107, .external_lex_state = 29},
  [2579] = {.lex_state = 764, .external_lex_state = 25},
  [2580] = {.lex_state = 764, .external_lex_state = 25},
  [2581] = {.lex_state = 764, .external_lex_state = 25},
  [2582] = {.lex_state = 764, .external_lex_state = 25},
  [2583] = {.lex_state = 764, .external_lex_state = 25},
  [2584] = {.lex_state = 107, .external_lex_state = 59},
  [2585] = {.lex_state = 764, .external_lex_state = 25},
  [2586] = {.lex_state = 764, .external_lex_state = 25},
  [2587] = {.lex_state = 764, .external_lex_state = 25},
  [2588] = {.lex_state = 107, .external_lex_state = 29},
  [2589] = {.lex_state = 107, .external_lex_state = 61},
  [2590] = {.lex_state = 768, .external_lex_state = 59},
  [2591] = {.lex_state = 764, .external_lex_state = 25},
  [2592] = {.lex_state = 764, .external_lex_state = 25},
  [2593] = {.lex_state = 764, .external_lex_state = 25},
  [2594] = {.lex_state = 764, .external_lex_state = 25},
  [2595] = {.lex_state = 107, .external_lex_state = 29},
  [2596] = {.lex_state = 764, .external_lex_state = 18},
  [2597] = {.lex_state = 764, .external_lex_state = 25},
  [2598] = {.lex_state = 764, .external_lex_state = 25},
  [2599] = {.lex_state = 107, .external_lex_state = 41},
  [2600] = {.lex_state = 107, .external_lex_state = 59},
  [2601] = {.lex_state = 764, .external_lex_state = 25},
  [2602] = {.lex_state = 764, .external_lex_state = 25},
  [2603] = {.lex_state = 107, .external_lex_state = 41},
  [2604] = {.lex_state = 107, .external_lex_state = 59},
  [2605] = {.lex_state = 764, .external_lex_state = 25},
  [2606] = {.lex_state = 764, .external_lex_state = 18},
  [2607] = {.lex_state = 764, .external_lex_state = 24},
  [2608] = {.lex_state = 107, .external_lex_state = 29},
  [2609] = {.lex_state = 107, .external_lex_state = 40},
  [2610] = {.lex_state = 764, .external_lex_state = 25},
  [2611] = {.lex_state = 768, .external_lex_state = 59},
  [2612] = {.lex_state = 764, .external_lex_state = 25},
  [2613] = {.lex_state = 764, .external_lex_state = 25},
  [2614] = {.lex_state = 764, .external_lex_state = 25},
  [2615] = {.lex_state = 764, .external_lex_state = 25},
  [2616] = {.lex_state = 107, .external_lex_state = 29},
  [2617] = {.lex_state = 107, .external_lex_state = 29},
  [2618] = {.lex_state = 107, .external_lex_state = 29},
  [2619] = {.lex_state = 764, .external_lex_state = 18},
  [2620] = {.lex_state = 107, .external_lex_state = 29},
  [2621] = {.lex_state = 107, .external_lex_state = 29},
  [2622] = {.lex_state = 107, .external_lex_state = 29},
  [2623] = {.lex_state = 107, .external_lex_state = 29},
  [2624] = {.lex_state = 764, .external_lex_state = 18},
  [2625] = {.lex_state = 764, .external_lex_state = 25},
  [2626] = {.lex_state = 764, .external_lex_state = 25},
  [2627] = {.lex_state = 764, .external_lex_state = 25},
  [2628] = {.lex_state = 764, .external_lex_state = 42},
  [2629] = {.lex_state = 764, .external_lex_state = 25},
  [2630] = {.lex_state = 764, .external_lex_state = 18},
  [2631] = {.lex_state = 764, .external_lex_state = 25},
  [2632] = {.lex_state = 107, .external_lex_state = 59},
  [2633] = {.lex_state = 764, .external_lex_state = 25},
  [2634] = {.lex_state = 764, .external_lex_state = 25},
  [2635] = {.lex_state = 764, .external_lex_state = 25},
  [2636] = {.lex_state = 764, .external_lex_state = 24},
  [2637] = {.lex_state = 764, .external_lex_state = 25},
  [2638] = {.lex_state = 107, .external_lex_state = 29},
  [2639] = {.lex_state = 764, .external_lex_state = 24},
  [2640] = {.lex_state = 107, .external_lex_state = 29},
  [2641] = {.lex_state = 107, .external_lex_state = 29},
  [2642] = {.lex_state = 107, .external_lex_state = 29},
  [2643] = {.lex_state = 107, .external_lex_state = 29},
  [2644] = {.lex_state = 764, .external_lex_state = 25},
  [2645] = {.lex_state = 107, .external_lex_state = 29},
  [2646] = {.lex_state = 107, .external_lex_state = 29},
  [2647] = {.lex_state = 107, .external_lex_state = 29},
  [2648] = {.lex_state = 107, .external_lex_state = 29},
  [2649] = {.lex_state = 107, .external_lex_state = 29},
  [2650] = {.lex_state = 764, .external_lex_state = 25},
  [2651] = {.lex_state = 764, .external_lex_state = 18},
  [2652] = {.lex_state = 764, .external_lex_state = 43},
  [2653] = {.lex_state = 764, .external_lex_state = 25},
  [2654] = {.lex_state = 764, .external_lex_state = 25},
  [2655] = {.lex_state = 764, .external_lex_state = 25},
  [2656] = {.lex_state = 764, .external_lex_state = 18},
  [2657] = {.lex_state = 764, .external_lex_state = 25},
  [2658] = {.lex_state = 764, .external_lex_state = 25},
  [2659] = {.lex_state = 764, .external_lex_state = 24},
  [2660] = {.lex_state = 764, .external_lex_state = 25},
  [2661] = {.lex_state = 107, .external_lex_state = 41},
  [2662] = {.lex_state = 764, .external_lex_state = 25},
  [2663] = {.lex_state = 764, .external_lex_state = 25},
  [2664] = {.lex_state = 764, .external_lex_state = 25},
  [2665] = {.lex_state = 764, .external_lex_state = 25},
  [2666] = {.lex_state = 764, .external_lex_state = 25},
  [2667] = {.lex_state = 764, .external_lex_state = 25},
  [2668] = {.lex_state = 764, .external_lex_state = 25},
  [2669] = {.lex_state = 107, .external_lex_state = 29},
  [2670] = {.lex_state = 764, .external_lex_state = 43},
  [2671] = {.lex_state = 107, .external_lex_state = 29},
  [2672] = {.lex_state = 764, .external_lex_state = 42},
  [2673] = {.lex_state = 107, .external_lex_state = 29},
  [2674] = {.lex_state = 107, .external_lex_state = 29},
  [2675] = {.lex_state = 107, .external_lex_state = 29},
  [2676] = {.lex_state = 107, .external_lex_state = 29},
  [2677] = {.lex_state = 764, .external_lex_state = 42},
  [2678] = {.lex_state = 764, .external_lex_state = 43},
  [2679] = {.lex_state = 107, .external_lex_state = 29},
  [2680] = {.lex_state = 764, .external_lex_state = 42},
  [2681] = {.lex_state = 764, .external_lex_state = 42},
  [2682] = {.lex_state = 764, .external_lex_state = 42},
  [2683] = {.lex_state = 764, .external_lex_state = 42},
  [2684] = {.lex_state = 764, .external_lex_state = 42},
  [2685] = {.lex_state = 107, .external_lex_state = 29},
  [2686] = {.lex_state = 107, .external_lex_state = 29},
  [2687] = {.lex_state = 764, .external_lex_state = 42},
  [2688] = {.lex_state = 107, .external_lex_state = 29},
  [2689] = {.lex_state = 107, .external_lex_state = 29},
  [2690] = {.lex_state = 107, .external_lex_state = 29},
  [2691] = {.lex_state = 107, .external_lex_state = 29},
  [2692] = {.lex_state = 107, .external_lex_state = 29},
  [2693] = {.lex_state = 107, .external_lex_state = 29},
  [2694] = {.lex_state = 107, .external_lex_state = 29},
  [2695] = {.lex_state = 107, .external_lex_state = 29},
  [2696] = {.lex_state = 107, .external_lex_state = 29},
  [2697] = {.lex_state = 107, .external_lex_state = 29},
  [2698] = {.lex_state = 107, .external_lex_state = 29},
  [2699] = {.lex_state = 107, .external_lex_state = 29},
  [2700] = {.lex_state = 764, .external_lex_state = 24},
  [2701] = {.lex_state = 768, .external_lex_state = 59},
  [2702] = {.lex_state = 107, .external_lex_state = 29},
  [2703] = {.lex_state = 107, .external_lex_state = 29},
  [2704] = {.lex_state = 107, .external_lex_state = 29},
  [2705] = {.lex_state = 768, .external_lex_state = 59},
  [2706] = {.lex_state = 107, .external_lex_state = 29},
  [2707] = {.lex_state = 107, .external_lex_state = 29},
  [2708] = {.lex_state = 107, .external_lex_state = 29},
  [2709] = {.lex_state = 107, .external_lex_state = 29},
  [2710] = {.lex_state = 107, .external_lex_state = 29},
  [2711] = {.lex_state = 107, .external_lex_state = 29},
  [2712] = {.lex_state = 107, .external_lex_state = 29},
  [2713] = {.lex_state = 107, .external_lex_state = 29},
  [2714] = {.lex_state = 107, .external_lex_state = 29},
  [2715] = {.lex_state = 107, .external_lex_state = 29},
  [2716] = {.lex_state = 764, .external_lex_state = 24},
  [2717] = {.lex_state = 107, .external_lex_state = 29},
  [2718] = {.lex_state = 107, .external_lex_state = 29},
  [2719] = {.lex_state = 107, .external_lex_state = 29},
  [2720] = {.lex_state = 107, .external_lex_state = 29},
  [2721] = {.lex_state = 107, .external_lex_state = 29},
  [2722] = {.lex_state = 107, .external_lex_state = 29},
  [2723] = {.lex_state = 764, .external_lex_state = 42},
  [2724] = {.lex_state = 107, .external_lex_state = 29},
  [2725] = {.lex_state = 107, .external_lex_state = 29},
  [2726] = {.lex_state = 107, .external_lex_state = 29},
  [2727] = {.lex_state = 107, .external_lex_state = 29},
  [2728] = {.lex_state = 107, .external_lex_state = 29},
  [2729] = {.lex_state = 107, .external_lex_state = 29},
  [2730] = {.lex_state = 764, .external_lex_state = 42},
  [2731] = {.lex_state = 107, .external_lex_state = 29},
  [2732] = {.lex_state = 107, .external_lex_state = 29},
  [2733] = {.lex_state = 764, .external_lex_state = 42},
  [2734] = {.lex_state = 764, .external_lex_state = 43},
  [2735] = {.lex_state = 107, .external_lex_state = 29},
  [2736] = {.lex_state = 764, .external_lex_state = 42},
  [2737] = {.lex_state = 107, .external_lex_state = 29},
  [2738] = {.lex_state = 107, .external_lex_state = 29},
  [2739] = {.lex_state = 107, .external_lex_state = 29},
  [2740] = {.lex_state = 764, .external_lex_state = 42},
  [2741] = {.lex_state = 107, .external_lex_state = 29},
  [2742] = {.lex_state = 107, .external_lex_state = 29},
  [2743] = {.lex_state = 764, .external_lex_state = 43},
  [2744] = {.lex_state = 107, .external_lex_state = 29},
  [2745] = {.lex_state = 764, .external_lex_state = 43},
  [2746] = {.lex_state = 764, .external_lex_state = 24},
  [2747] = {.lex_state = 107, .external_lex_state = 41},
  [2748] = {.lex_state = 107, .external_lex_state = 29},
  [2749] = {.lex_state = 107, .external_lex_state = 29},
  [2750] = {.lex_state = 764, .external_lex_state = 42},
  [2751] = {.lex_state = 107, .external_lex_state = 29},
  [2752] = {.lex_state = 107, .external_lex_state = 29},
  [2753] = {.lex_state = 107, .external_lex_state = 29},
  [2754] = {.lex_state = 107, .external_lex_state = 29},
  [2755] = {.lex_state = 107, .external_lex_state = 29},
  [2756] = {.lex_state = 107, .external_lex_state = 29},
  [2757] = {.lex_state = 764, .external_lex_state = 42},
  [2758] = {.lex_state = 107, .external_lex_state = 29},
  [2759] = {.lex_state = 107, .external_lex_state = 29},
  [2760] = {.lex_state = 764, .external_lex_state = 42},
  [2761] = {.lex_state = 107, .external_lex_state = 29},
  [2762] = {.lex_state = 107, .external_lex_state = 29},
  [2763] = {.lex_state = 107, .external_lex_state = 29},
  [2764] = {.lex_state = 107, .external_lex_state = 29},
  [2765] = {.lex_state = 107, .external_lex_state = 29},
  [2766] = {.lex_state = 768, .external_lex_state = 59},
  [2767] = {.lex_state = 107, .external_lex_state = 29},
  [2768] = {.lex_state = 107, .external_lex_state = 29},
  [2769] = {.lex_state = 107, .external_lex_state = 29},
  [2770] = {.lex_state = 107, .external_lex_state = 29},
  [2771] = {.lex_state = 764, .external_lex_state = 42},
  [2772] = {.lex_state = 768, .external_lex_state = 59},
  [2773] = {.lex_state = 107, .external_lex_state = 29},
  [2774] = {.lex_state = 107, .external_lex_state = 29},
  [2775] = {.lex_state = 107, .external_lex_state = 29},
  [2776] = {.lex_state = 107, .external_lex_state = 29},
  [2777] = {.lex_state = 764, .external_lex_state = 42},
  [2778] = {.lex_state = 107, .external_lex_state = 29},
  [2779] = {.lex_state = 107, .external_lex_state = 29},
  [2780] = {.lex_state = 107, .external_lex_state = 29},
  [2781] = {.lex_state = 107, .external_lex_state = 29},
  [2782] = {.lex_state = 107, .external_lex_state = 29},
  [2783] = {.lex_state = 107, .external_lex_state = 29},
  [2784] = {.lex_state = 107, .external_lex_state = 29},
  [2785] = {.lex_state = 107, .external_lex_state = 29},
  [2786] = {.lex_state = 764, .external_lex_state = 43},
  [2787] = {.lex_state = 107, .external_lex_state = 29},
  [2788] = {.lex_state = 107, .external_lex_state = 40},
  [2789] = {.lex_state = 107, .external_lex_state = 29},
  [2790] = {.lex_state = 107, .external_lex_state = 29},
  [2791] = {.lex_state = 107, .external_lex_state = 40},
  [2792] = {.lex_state = 107, .external_lex_state = 29},
  [2793] = {.lex_state = 107, .external_lex_state = 29},
  [2794] = {.lex_state = 107, .external_lex_state = 29},
  [2795] = {.lex_state = 107, .external_lex_state = 40},
  [2796] = {.lex_state = 107, .external_lex_state = 29},
  [2797] = {.lex_state = 107, .external_lex_state = 29},
  [2798] = {.lex_state = 107, .external_lex_state = 29},
  [2799] = {.lex_state = 107, .external_lex_state = 29},
  [2800] = {.lex_state = 107, .external_lex_state = 29},
  [2801] = {.lex_state = 764, .external_lex_state = 43},
  [2802] = {.lex_state = 764, .external_lex_state = 43},
  [2803] = {.lex_state = 764, .external_lex_state = 43},
  [2804] = {.lex_state = 107, .external_lex_state = 29},
  [2805] = {.lex_state = 764, .external_lex_state = 42},
  [2806] = {.lex_state = 107, .external_lex_state = 29},
  [2807] = {.lex_state = 107, .external_lex_state = 65},
  [2808] = {.lex_state = 107, .external_lex_state = 29},
  [2809] = {.lex_state = 107, .external_lex_state = 29},
  [2810] = {.lex_state = 107, .external_lex_state = 29},
  [2811] = {.lex_state = 764, .external_lex_state = 42},
  [2812] = {.lex_state = 107, .external_lex_state = 29},
  [2813] = {.lex_state = 107, .external_lex_state = 29},
  [2814] = {.lex_state = 764, .external_lex_state = 42},
  [2815] = {.lex_state = 107, .external_lex_state = 29},
  [2816] = {.lex_state = 107, .external_lex_state = 29},
  [2817] = {.lex_state = 764, .external_lex_state = 18},
  [2818] = {.lex_state = 107, .external_lex_state = 29},
  [2819] = {.lex_state = 764, .external_lex_state = 42},
  [2820] = {.lex_state = 107, .external_lex_state = 29},
  [2821] = {.lex_state = 764, .external_lex_state = 42},
  [2822] = {.lex_state = 764, .external_lex_state = 43},
  [2823] = {.lex_state = 764, .external_lex_state = 42},
  [2824] = {.lex_state = 764, .external_lex_state = 42},
  [2825] = {.lex_state = 107, .external_lex_state = 29},
  [2826] = {.lex_state = 107, .external_lex_state = 29},
  [2827] = {.lex_state = 764, .external_lex_state = 43},
  [2828] = {.lex_state = 107, .external_lex_state = 29},
  [2829] = {.lex_state = 107, .external_lex_state = 29},
  [2830] = {.lex_state = 764, .external_lex_state = 43},
  [2831] = {.lex_state = 107, .external_lex_state = 29},
  [2832] = {.lex_state = 107, .external_lex_state = 29},
  [2833] = {.lex_state = 764, .external_lex_state = 43},
  [2834] = {.lex_state = 107, .external_lex_state = 29},
  [2835] = {.lex_state = 107, .external_lex_state = 29},
  [2836] = {.lex_state = 767, .external_lex_state = 66},
  [2837] = {.lex_state = 107, .external_lex_state = 29},
  [2838] = {.lex_state = 107, .external_lex_state = 29},
  [2839] = {.lex_state = 107, .external_lex_state = 29},
  [2840] = {.lex_state = 767, .external_lex_state = 66},
  [2841] = {.lex_state = 107, .external_lex_state = 29},
  [2842] = {.lex_state = 107, .external_lex_state = 29},
  [2843] = {.lex_state = 107, .external_lex_state = 29},
  [2844] = {.lex_state = 107, .external_lex_state = 29},
  [2845] = {.lex_state = 107, .external_lex_state = 29},
  [2846] = {.lex_state = 107, .external_lex_state = 29},
  [2847] = {.lex_state = 107, .external_lex_state = 29},
  [2848] = {.lex_state = 764, .external_lex_state = 42},
  [2849] = {.lex_state = 107, .external_lex_state = 29},
  [2850] = {.lex_state = 107, .external_lex_state = 29},
  [2851] = {.lex_state = 107, .external_lex_state = 29},
  [2852] = {.lex_state = 107, .external_lex_state = 29},
  [2853] = {.lex_state = 107, .external_lex_state = 29},
  [2854] = {.lex_state = 764, .external_lex_state = 43},
  [2855] = {.lex_state = 107, .external_lex_state = 29},
  [2856] = {.lex_state = 764, .external_lex_state = 42},
  [2857] = {.lex_state = 107, .external_lex_state = 29},
  [2858] = {.lex_state = 107, .external_lex_state = 29},
  [2859] = {.lex_state = 764, .external_lex_state = 42},
  [2860] = {.lex_state = 107, .external_lex_state = 29},
  [2861] = {.lex_state = 107, .external_lex_state = 29},
  [2862] = {.lex_state = 764, .external_lex_state = 43},
  [2863] = {.lex_state = 107, .external_lex_state = 29},
  [2864] = {.lex_state = 107, .external_lex_state = 29},
  [2865] = {.lex_state = 107, .external_lex_state = 29},
  [2866] = {.lex_state = 764, .external_lex_state = 43},
  [2867] = {.lex_state = 107, .external_lex_state = 29},
  [2868] = {.lex_state = 107, .external_lex_state = 29},
  [2869] = {.lex_state = 107, .external_lex_state = 29},
  [2870] = {.lex_state = 107, .external_lex_state = 29},
  [2871] = {.lex_state = 764, .external_lex_state = 43},
  [2872] = {.lex_state = 107, .external_lex_state = 29},
  [2873] = {.lex_state = 107, .external_lex_state = 29},
  [2874] = {.lex_state = 107, .external_lex_state = 29},
  [2875] = {.lex_state = 764, .external_lex_state = 43},
  [2876] = {.lex_state = 764, .external_lex_state = 42},
  [2877] = {.lex_state = 764, .external_lex_state = 42},
  [2878] = {.lex_state = 764, .external_lex_state = 42},
  [2879] = {.lex_state = 107, .external_lex_state = 29},
  [2880] = {.lex_state = 107, .external_lex_state = 29},
  [2881] = {.lex_state = 764, .external_lex_state = 42},
  [2882] = {.lex_state = 107, .external_lex_state = 29},
  [2883] = {.lex_state = 107, .external_lex_state = 29},
  [2884] = {.lex_state = 107, .external_lex_state = 29},
  [2885] = {.lex_state = 107, .external_lex_state = 29},
  [2886] = {.lex_state = 107, .external_lex_state = 29},
  [2887] = {.lex_state = 107, .external_lex_state = 29},
  [2888] = {.lex_state = 107, .external_lex_state = 29},
  [2889] = {.lex_state = 107, .external_lex_state = 29},
  [2890] = {.lex_state = 107, .external_lex_state = 29},
  [2891] = {.lex_state = 107, .external_lex_state = 29},
  [2892] = {.lex_state = 764, .external_lex_state = 24},
  [2893] = {.lex_state = 107, .external_lex_state = 29},
  [2894] = {.lex_state = 107, .external_lex_state = 29},
  [2895] = {.lex_state = 764, .external_lex_state = 43},
  [2896] = {.lex_state = 107, .external_lex_state = 29},
  [2897] = {.lex_state = 107, .external_lex_state = 29},
  [2898] = {.lex_state = 107, .external_lex_state = 29},
  [2899] = {.lex_state = 764, .external_lex_state = 42},
  [2900] = {.lex_state = 107, .external_lex_state = 29},
  [2901] = {.lex_state = 107, .external_lex_state = 29},
  [2902] = {.lex_state = 764, .external_lex_state = 42},
  [2903] = {.lex_state = 107, .external_lex_state = 29},
  [2904] = {.lex_state = 764, .external_lex_state = 43},
  [2905] = {.lex_state = 764, .external_lex_state = 43},
  [2906] = {.lex_state = 764, .external_lex_state = 42},
  [2907] = {.lex_state = 107, .external_lex_state = 29},
  [2908] = {.lex_state = 107, .external_lex_state = 29},
  [2909] = {.lex_state = 107, .external_lex_state = 29},
  [2910] = {.lex_state = 107, .external_lex_state = 29},
  [2911] = {.lex_state = 767, .external_lex_state = 67},
  [2912] = {.lex_state = 107, .external_lex_state = 29},
  [2913] = {.lex_state = 107, .external_lex_state = 29},
  [2914] = {.lex_state = 107, .external_lex_state = 29},
  [2915] = {.lex_state = 107, .external_lex_state = 29},
  [2916] = {.lex_state = 764, .external_lex_state = 43},
  [2917] = {.lex_state = 764, .external_lex_state = 42},
  [2918] = {.lex_state = 107, .external_lex_state = 29},
  [2919] = {.lex_state = 764, .external_lex_state = 24},
  [2920] = {.lex_state = 764, .external_lex_state = 43},
  [2921] = {.lex_state = 767, .external_lex_state = 67},
  [2922] = {.lex_state = 107, .external_lex_state = 29},
  [2923] = {.lex_state = 764, .external_lex_state = 43},
  [2924] = {.lex_state = 764, .external_lex_state = 42},
  [2925] = {.lex_state = 764, .external_lex_state = 43},
  [2926] = {.lex_state = 764, .external_lex_state = 42},
  [2927] = {.lex_state = 764, .external_lex_state = 43},
  [2928] = {.lex_state = 764, .external_lex_state = 42},
  [2929] = {.lex_state = 764, .external_lex_state = 43},
  [2930] = {.lex_state = 107, .external_lex_state = 29},
  [2931] = {.lex_state = 764, .external_lex_state = 42},
  [2932] = {.lex_state = 764, .external_lex_state = 43},
  [2933] = {.lex_state = 764, .external_lex_state = 42},
  [2934] = {.lex_state = 107, .external_lex_state = 29},
  [2935] = {.lex_state = 764, .external_lex_state = 42},
  [2936] = {.lex_state = 764, .external_lex_state = 24},
  [2937] = {.lex_state = 764, .external_lex_state = 42},
  [2938] = {.lex_state = 764, .external_lex_state = 43},
  [2939] = {.lex_state = 764, .external_lex_state = 42},
  [2940] = {.lex_state = 764, .external_lex_state = 42},
  [2941] = {.lex_state = 107, .external_lex_state = 65},
  [2942] = {.lex_state = 764, .external_lex_state = 42},
  [2943] = {.lex_state = 764, .external_lex_state = 43},
  [2944] = {.lex_state = 764, .external_lex_state = 43},
  [2945] = {.lex_state = 764, .external_lex_state = 42},
  [2946] = {.lex_state = 764, .external_lex_state = 43},
  [2947] = {.lex_state = 764, .external_lex_state = 43},
  [2948] = {.lex_state = 764, .external_lex_state = 42},
  [2949] = {.lex_state = 764, .external_lex_state = 43},
  [2950] = {.lex_state = 107, .external_lex_state = 29},
  [2951] = {.lex_state = 764, .external_lex_state = 43},
  [2952] = {.lex_state = 764, .external_lex_state = 43},
  [2953] = {.lex_state = 764, .external_lex_state = 43},
  [2954] = {.lex_state = 107, .external_lex_state = 29},
  [2955] = {.lex_state = 764, .external_lex_state = 42},
  [2956] = {.lex_state = 764, .external_lex_state = 42},
  [2957] = {.lex_state = 764, .external_lex_state = 42},
  [2958] = {.lex_state = 764, .external_lex_state = 42},
  [2959] = {.lex_state = 764, .external_lex_state = 43},
  [2960] = {.lex_state = 107, .external_lex_state = 29},
  [2961] = {.lex_state = 107, .external_lex_state = 40},
  [2962] = {.lex_state = 107, .external_lex_state = 29},
  [2963] = {.lex_state = 764, .external_lex_state = 42},
  [2964] = {.lex_state = 764, .external_lex_state = 42},
  [2965] = {.lex_state = 764, .external_lex_state = 24},
  [2966] = {.lex_state = 107, .external_lex_state = 29},
  [2967] = {.lex_state = 107, .external_lex_state = 29},
  [2968] = {.lex_state = 764, .external_lex_state = 18},
  [2969] = {.lex_state = 764, .external_lex_state = 42},
  [2970] = {.lex_state = 764, .external_lex_state = 42},
  [2971] = {.lex_state = 764, .external_lex_state = 42},
  [2972] = {.lex_state = 764, .external_lex_state = 42},
  [2973] = {.lex_state = 764, .external_lex_state = 43},
  [2974] = {.lex_state = 764, .external_lex_state = 42},
  [2975] = {.lex_state = 764, .external_lex_state = 43},
  [2976] = {.lex_state = 764, .external_lex_state = 42},
  [2977] = {.lex_state = 764, .external_lex_state = 42},
  [2978] = {.lex_state = 764, .external_lex_state = 42},
  [2979] = {.lex_state = 764, .external_lex_state = 43},
  [2980] = {.lex_state = 107, .external_lex_state = 29},
  [2981] = {.lex_state = 107, .external_lex_state = 29},
  [2982] = {.lex_state = 764, .external_lex_state = 43},
  [2983] = {.lex_state = 764, .external_lex_state = 43},
  [2984] = {.lex_state = 764, .external_lex_state = 43},
  [2985] = {.lex_state = 764, .external_lex_state = 42},
  [2986] = {.lex_state = 764, .external_lex_state = 42},
  [2987] = {.lex_state = 764, .external_lex_state = 42},
  [2988] = {.lex_state = 764, .external_lex_state = 43},
  [2989] = {.lex_state = 764, .external_lex_state = 42},
  [2990] = {.lex_state = 764, .external_lex_state = 43},
  [2991] = {.lex_state = 764, .external_lex_state = 43},
  [2992] = {.lex_state = 764, .external_lex_state = 43},
  [2993] = {.lex_state = 764, .external_lex_state = 42},
  [2994] = {.lex_state = 764, .external_lex_state = 42},
  [2995] = {.lex_state = 764, .external_lex_state = 43},
  [2996] = {.lex_state = 764, .external_lex_state = 43},
  [2997] = {.lex_state = 764, .external_lex_state = 43},
  [2998] = {.lex_state = 764, .external_lex_state = 42},
  [2999] = {.lex_state = 764, .external_lex_state = 43},
  [3000] = {.lex_state = 764, .external_lex_state = 43},
  [3001] = {.lex_state = 764, .external_lex_state = 43},
  [3002] = {.lex_state = 764, .external_lex_state = 43},
  [3003] = {.lex_state = 764, .external_lex_state = 43},
  [3004] = {.lex_state = 764, .external_lex_state = 43},
  [3005] = {.lex_state = 764, .external_lex_state = 43},
  [3006] = {.lex_state = 764, .external_lex_state = 42},
  [3007] = {.lex_state = 764, .external_lex_state = 43},
  [3008] = {.lex_state = 764, .external_lex_state = 43},
  [3009] = {.lex_state = 764, .external_lex_state = 43},
  [3010] = {.lex_state = 764, .external_lex_state = 43},
  [3011] = {.lex_state = 764, .external_lex_state = 42},
  [3012] = {.lex_state = 764, .external_lex_state = 43},
  [3013] = {.lex_state = 764, .external_lex_state = 42},
  [3014] = {.lex_state = 764, .external_lex_state = 43},
  [3015] = {.lex_state = 764, .external_lex_state = 43},
  [3016] = {.lex_state = 107, .external_lex_state = 29},
  [3017] = {.lex_state = 764, .external_lex_state = 43},
  [3018] = {.lex_state = 107, .external_lex_state = 29},
  [3019] = {.lex_state = 764, .external_lex_state = 42},
  [3020] = {.lex_state = 764, .external_lex_state = 43},
  [3021] = {.lex_state = 107, .external_lex_state = 65},
  [3022] = {.lex_state = 764, .external_lex_state = 43},
  [3023] = {.lex_state = 764, .external_lex_state = 43},
  [3024] = {.lex_state = 764, .external_lex_state = 43},
  [3025] = {.lex_state = 764, .external_lex_state = 43},
  [3026] = {.lex_state = 764, .external_lex_state = 42},
  [3027] = {.lex_state = 764, .external_lex_state = 43},
  [3028] = {.lex_state = 764, .external_lex_state = 42},
  [3029] = {.lex_state = 764, .external_lex_state = 43},
  [3030] = {.lex_state = 764, .external_lex_state = 43},
  [3031] = {.lex_state = 764, .external_lex_state = 43},
  [3032] = {.lex_state = 107, .external_lex_state = 29},
  [3033] = {.lex_state = 107, .external_lex_state = 29},
  [3034] = {.lex_state = 107, .external_lex_state = 29},
  [3035] = {.lex_state = 764, .external_lex_state = 42},
  [3036] = {.lex_state = 107, .external_lex_state = 29},
  [3037] = {.lex_state = 764, .external_lex_state = 43},
  [3038] = {.lex_state = 764, .external_lex_state = 43},
  [3039] = {.lex_state = 764, .external_lex_state = 42},
  [3040] = {.lex_state = 107, .external_lex_state = 61},
  [3041] = {.lex_state = 107, .external_lex_state = 61},
  [3042] = {.lex_state = 764, .external_lex_state = 24},
  [3043] = {.lex_state = 764, .external_lex_state = 24},
  [3044] = {.lex_state = 764, .external_lex_state = 24},
  [3045] = {.lex_state = 764, .external_lex_state = 24},
  [3046] = {.lex_state = 764, .external_lex_state = 24},
  [3047] = {.lex_state = 764, .external_lex_state = 24},
  [3048] = {.lex_state = 764, .external_lex_state = 24},
  [3049] = {.lex_state = 764, .external_lex_state = 24},
  [3050] = {.lex_state = 107, .external_lex_state = 61},
  [3051] = {.lex_state = 764, .external_lex_state = 24},
  [3052] = {.lex_state = 764, .external_lex_state = 24},
  [3053] = {.lex_state = 764, .external_lex_state = 24},
  [3054] = {.lex_state = 767, .external_lex_state = 67},
  [3055] = {.lex_state = 767, .external_lex_state = 67},
  [3056] = {.lex_state = 764, .external_lex_state = 24},
  [3057] = {.lex_state = 764, .external_lex_state = 24},
  [3058] = {.lex_state = 764, .external_lex_state = 24},
  [3059] = {.lex_state = 764, .external_lex_state = 24},
  [3060] = {.lex_state = 764, .external_lex_state = 24},
  [3061] = {.lex_state = 107, .external_lex_state = 41},
  [3062] = {.lex_state = 764, .external_lex_state = 24},
  [3063] = {.lex_state = 764, .external_lex_state = 24},
  [3064] = {.lex_state = 764, .external_lex_state = 24},
  [3065] = {.lex_state = 764, .external_lex_state = 24},
  [3066] = {.lex_state = 107, .external_lex_state = 68},
  [3067] = {.lex_state = 764, .external_lex_state = 24},
  [3068] = {.lex_state = 107, .external_lex_state = 29},
  [3069] = {.lex_state = 764, .external_lex_state = 24},
  [3070] = {.lex_state = 764, .external_lex_state = 24},
  [3071] = {.lex_state = 764, .external_lex_state = 24},
  [3072] = {.lex_state = 764, .external_lex_state = 24},
  [3073] = {.lex_state = 764, .external_lex_state = 24},
  [3074] = {.lex_state = 764, .external_lex_state = 24},
  [3075] = {.lex_state = 764, .external_lex_state = 24},
  [3076] = {.lex_state = 764, .external_lex_state = 24},
  [3077] = {.lex_state = 764, .external_lex_state = 24},
  [3078] = {.lex_state = 764, .external_lex_state = 24},
  [3079] = {.lex_state = 764, .external_lex_state = 24},
  [3080] = {.lex_state = 764, .external_lex_state = 24},
  [3081] = {.lex_state = 764, .external_lex_state = 24},
  [3082] = {.lex_state = 764, .external_lex_state = 24},
  [3083] = {.lex_state = 767, .external_lex_state = 69},
  [3084] = {.lex_state = 764, .external_lex_state = 24},
  [3085] = {.lex_state = 767, .external_lex_state = 69},
  [3086] = {.lex_state = 764, .external_lex_state = 24},
  [3087] = {.lex_state = 764, .external_lex_state = 24},
  [3088] = {.lex_state = 764, .external_lex_state = 24},
  [3089] = {.lex_state = 767, .external_lex_state = 30},
  [3090] = {.lex_state = 764, .external_lex_state = 24},
  [3091] = {.lex_state = 764, .external_lex_state = 24},
  [3092] = {.lex_state = 764, .external_lex_state = 24},
  [3093] = {.lex_state = 764, .external_lex_state = 24},
  [3094] = {.lex_state = 764, .external_lex_state = 24},
  [3095] = {.lex_state = 764, .external_lex_state = 24},
  [3096] = {.lex_state = 764, .external_lex_state = 24},
  [3097] = {.lex_state = 767, .external_lex_state = 30},
  [3098] = {.lex_state = 764, .external_lex_state = 24},
  [3099] = {.lex_state = 764, .external_lex_state = 24},
  [3100] = {.lex_state = 764, .external_lex_state = 24},
  [3101] = {.lex_state = 107, .external_lex_state = 61},
  [3102] = {.lex_state = 764, .external_lex_state = 24},
  [3103] = {.lex_state = 764, .external_lex_state = 24},
  [3104] = {.lex_state = 107, .external_lex_state = 61},
  [3105] = {.lex_state = 107, .external_lex_state = 41},
  [3106] = {.lex_state = 107, .external_lex_state = 70},
  [3107] = {.lex_state = 764, .external_lex_state = 24},
  [3108] = {.lex_state = 764, .external_lex_state = 24},
  [3109] = {.lex_state = 764, .external_lex_state = 24},
  [3110] = {.lex_state = 107, .external_lex_state = 41},
  [3111] = {.lex_state = 764, .external_lex_state = 24},
  [3112] = {.lex_state = 764, .external_lex_state = 24},
  [3113] = {.lex_state = 764, .external_lex_state = 24},
  [3114] = {.lex_state = 107, .external_lex_state = 61},
  [3115] = {.lex_state = 764, .external_lex_state = 24},
  [3116] = {.lex_state = 764, .external_lex_state = 24},
  [3117] = {.lex_state = 764, .external_lex_state = 24},
  [3118] = {.lex_state = 764, .external_lex_state = 24},
  [3119] = {.lex_state = 764, .external_lex_state = 24},
  [3120] = {.lex_state = 764, .external_lex_state = 18},
  [3121] = {.lex_state = 767, .external_lex_state = 26},
  [3122] = {.lex_state = 107, .external_lex_state = 41},
  [3123] = {.lex_state = 767, .external_lex_state = 26},
  [3124] = {.lex_state = 764, .external_lex_state = 24},
  [3125] = {.lex_state = 764, .external_lex_state = 24},
  [3126] = {.lex_state = 107, .external_lex_state = 61},
  [3127] = {.lex_state = 764, .external_lex_state = 24},
  [3128] = {.lex_state = 764, .external_lex_state = 24},
  [3129] = {.lex_state = 107, .external_lex_state = 61},
  [3130] = {.lex_state = 764, .external_lex_state = 24},
  [3131] = {.lex_state = 764, .external_lex_state = 24},
  [3132] = {.lex_state = 764, .external_lex_state = 24},
  [3133] = {.lex_state = 764, .external_lex_state = 24},
  [3134] = {.lex_state = 767, .external_lex_state = 71},
  [3135] = {.lex_state = 107, .external_lex_state = 61},
  [3136] = {.lex_state = 764, .external_lex_state = 24},
  [3137] = {.lex_state = 767, .external_lex_state = 71},
  [3138] = {.lex_state = 764, .external_lex_state = 24},
  [3139] = {.lex_state = 764, .external_lex_state = 24},
  [3140] = {.lex_state = 107, .external_lex_state = 61},
  [3141] = {.lex_state = 764, .external_lex_state = 24},
  [3142] = {.lex_state = 764, .external_lex_state = 24},
  [3143] = {.lex_state = 764, .external_lex_state = 24},
  [3144] = {.lex_state = 764, .external_lex_state = 24},
  [3145] = {.lex_state = 107, .external_lex_state = 55},
  [3146] = {.lex_state = 107, .external_lex_state = 61},
  [3147] = {.lex_state = 107, .external_lex_state = 61},
  [3148] = {.lex_state = 119, .external_lex_state = 29},
  [3149] = {.lex_state = 119, .external_lex_state = 29},
  [3150] = {.lex_state = 767, .external_lex_state = 69},
  [3151] = {.lex_state = 119, .external_lex_state = 29},
  [3152] = {.lex_state = 119, .external_lex_state = 29},
  [3153] = {.lex_state = 119, .external_lex_state = 29},
  [3154] = {.lex_state = 119, .external_lex_state = 29},
  [3155] = {.lex_state = 767, .external_lex_state = 69},
  [3156] = {.lex_state = 119, .external_lex_state = 29},
  [3157] = {.lex_state = 767, .external_lex_state = 72},
  [3158] = {.lex_state = 107, .external_lex_state = 65},
  [3159] = {.lex_state = 119, .external_lex_state = 29},
  [3160] = {.lex_state = 107, .external_lex_state = 55},
  [3161] = {.lex_state = 119, .external_lex_state = 29},
  [3162] = {.lex_state = 767, .external_lex_state = 73},
  [3163] = {.lex_state = 767, .external_lex_state = 74},
  [3164] = {.lex_state = 119, .external_lex_state = 29},
  [3165] = {.lex_state = 119, .external_lex_state = 29},
  [3166] = {.lex_state = 119, .external_lex_state = 29},
  [3167] = {.lex_state = 119, .external_lex_state = 29},
  [3168] = {.lex_state = 119, .external_lex_state = 29},
  [3169] = {.lex_state = 119, .external_lex_state = 29},
  [3170] = {.lex_state = 107, .external_lex_state = 65},
  [3171] = {.lex_state = 107, .external_lex_state = 65},
  [3172] = {.lex_state = 119, .external_lex_state = 29},
  [3173] = {.lex_state = 107, .external_lex_state = 29},
  [3174] = {.lex_state = 107, .external_lex_state = 65},
  [3175] = {.lex_state = 119, .external_lex_state = 29},
  [3176] = {.lex_state = 107, .external_lex_state = 65},
  [3177] = {.lex_state = 767, .external_lex_state = 74},
  [3178] = {.lex_state = 107, .external_lex_state = 61},
  [3179] = {.lex_state = 119, .external_lex_state = 29},
  [3180] = {.lex_state = 119, .external_lex_state = 29},
  [3181] = {.lex_state = 107, .external_lex_state = 65},
  [3182] = {.lex_state = 119, .external_lex_state = 29},
  [3183] = {.lex_state = 119, .external_lex_state = 29},
  [3184] = {.lex_state = 119, .external_lex_state = 29},
  [3185] = {.lex_state = 119, .external_lex_state = 29},
  [3186] = {.lex_state = 107, .external_lex_state = 61},
  [3187] = {.lex_state = 119, .external_lex_state = 29},
  [3188] = {.lex_state = 119, .external_lex_state = 29},
  [3189] = {.lex_state = 119, .external_lex_state = 29},
  [3190] = {.lex_state = 119, .external_lex_state = 29},
  [3191] = {.lex_state = 107, .external_lex_state = 65},
  [3192] = {.lex_state = 107, .external_lex_state = 55},
  [3193] = {.lex_state = 767, .external_lex_state = 28},
  [3194] = {.lex_state = 767, .external_lex_state = 28},
  [3195] = {.lex_state = 107, .external_lex_state = 29},
  [3196] = {.lex_state = 119, .external_lex_state = 29},
  [3197] = {.lex_state = 119, .external_lex_state = 29},
  [3198] = {.lex_state = 107, .external_lex_state = 65},
  [3199] = {.lex_state = 767, .external_lex_state = 72},
  [3200] = {.lex_state = 107, .external_lex_state = 65},
  [3201] = {.lex_state = 107, .external_lex_state = 65},
  [3202] = {.lex_state = 119, .external_lex_state = 29},
  [3203] = {.lex_state = 119, .external_lex_state = 29},
  [3204] = {.lex_state = 119, .external_lex_state = 29},
  [3205] = {.lex_state = 767, .external_lex_state = 73},
  [3206] = {.lex_state = 119, .external_lex_state = 29},
  [3207] = {.lex_state = 768, .external_lex_state = 75},
  [3208] = {.lex_state = 107, .external_lex_state = 65},
  [3209] = {.lex_state = 107, .external_lex_state = 65},
  [3210] = {.lex_state = 107, .external_lex_state = 58},
  [3211] = {.lex_state = 107, .external_lex_state = 70},
  [3212] = {.lex_state = 107, .external_lex_state = 58},
  [3213] = {.lex_state = 107, .external_lex_state = 58},
  [3214] = {.lex_state = 107, .external_lex_state = 29},
  [3215] = {.lex_state = 107, .external_lex_state = 65},
  [3216] = {.lex_state = 107, .external_lex_state = 68},
  [3217] = {.lex_state = 107, .external_lex_state = 44},
  [3218] = {.lex_state = 107, .external_lex_state = 65},
  [3219] = {.lex_state = 107, .external_lex_state = 70},
  [3220] = {.lex_state = 107, .external_lex_state = 70},
  [3221] = {.lex_state = 767, .external_lex_state = 27},
  [3222] = {.lex_state = 107, .external_lex_state = 70},
  [3223] = {.lex_state = 767, .external_lex_state = 76},
  [3224] = {.lex_state = 767, .external_lex_state = 76},
  [3225] = {.lex_state = 767, .external_lex_state = 27},
  [3226] = {.lex_state = 107, .external_lex_state = 70},
  [3227] = {.lex_state = 107, .external_lex_state = 44},
  [3228] = {.lex_state = 107, .external_lex_state = 58},
  [3229] = {.lex_state = 107, .external_lex_state = 44},
  [3230] = {.lex_state = 767, .external_lex_state = 77},
  [3231] = {.lex_state = 107, .external_lex_state = 70},
  [3232] = {.lex_state = 767, .external_lex_state = 77},
  [3233] = {.lex_state = 107, .external_lex_state = 70},
  [3234] = {.lex_state = 119, .external_lex_state = 29},
  [3235] = {.lex_state = 107, .external_lex_state = 44},
  [3236] = {.lex_state = 768, .external_lex_state = 78},
  [3237] = {.lex_state = 107, .external_lex_state = 58},
  [3238] = {.lex_state = 768, .external_lex_state = 78},
  [3239] = {.lex_state = 107, .external_lex_state = 44},
  [3240] = {.lex_state = 107, .external_lex_state = 70},
  [3241] = {.lex_state = 103, .external_lex_state = 77},
  [3242] = {.lex_state = 107, .external_lex_state = 70},
  [3243] = {.lex_state = 768, .external_lex_state = 78},
  [3244] = {.lex_state = 768, .external_lex_state = 75},
  [3245] = {.lex_state = 107, .external_lex_state = 29},
  [3246] = {.lex_state = 107, .external_lex_state = 70},
  [3247] = {.lex_state = 103, .external_lex_state = 77},
  [3248] = {.lex_state = 768, .external_lex_state = 78},
  [3249] = {.lex_state = 107, .external_lex_state = 44},
  [3250] = {.lex_state = 103, .external_lex_state = 30},
  [3251] = {.lex_state = 107, .external_lex_state = 79},
  [3252] = {.lex_state = 768, .external_lex_state = 78},
  [3253] = {.lex_state = 107, .external_lex_state = 58},
  [3254] = {.lex_state = 767, .external_lex_state = 80},
  [3255] = {.lex_state = 107, .external_lex_state = 44},
  [3256] = {.lex_state = 101, .external_lex_state = 29},
  [3257] = {.lex_state = 767, .external_lex_state = 73},
  [3258] = {.lex_state = 101, .external_lex_state = 29},
  [3259] = {.lex_state = 107, .external_lex_state = 58},
  [3260] = {.lex_state = 107, .external_lex_state = 58},
  [3261] = {.lex_state = 103, .external_lex_state = 30},
  [3262] = {.lex_state = 767, .external_lex_state = 80},
  [3263] = {.lex_state = 101, .external_lex_state = 29},
  [3264] = {.lex_state = 768, .external_lex_state = 78},
  [3265] = {.lex_state = 101, .external_lex_state = 29},
  [3266] = {.lex_state = 767, .external_lex_state = 73},
  [3267] = {.lex_state = 107, .external_lex_state = 79},
  [3268] = {.lex_state = 107, .external_lex_state = 58},
  [3269] = {.lex_state = 101, .external_lex_state = 29},
  [3270] = {.lex_state = 107, .external_lex_state = 44},
  [3271] = {.lex_state = 107, .external_lex_state = 44},
  [3272] = {.lex_state = 101, .external_lex_state = 29},
  [3273] = {.lex_state = 107, .external_lex_state = 70},
  [3274] = {.lex_state = 107, .external_lex_state = 70},
  [3275] = {.lex_state = 768, .external_lex_state = 78},
  [3276] = {.lex_state = 107, .external_lex_state = 70},
  [3277] = {.lex_state = 107, .external_lex_state = 70},
  [3278] = {.lex_state = 107, .external_lex_state = 70},
  [3279] = {.lex_state = 768, .external_lex_state = 78},
  [3280] = {.lex_state = 107, .external_lex_state = 70},
  [3281] = {.lex_state = 107, .external_lex_state = 78},
  [3282] = {.lex_state = 768, .external_lex_state = 78},
  [3283] = {.lex_state = 107, .external_lex_state = 55},
  [3284] = {.lex_state = 107, .external_lex_state = 70},
  [3285] = {.lex_state = 768, .external_lex_state = 78},
  [3286] = {.lex_state = 107, .external_lex_state = 70},
  [3287] = {.lex_state = 134, .external_lex_state = 29},
  [3288] = {.lex_state = 768, .external_lex_state = 78},
  [3289] = {.lex_state = 768, .external_lex_state = 78},
  [3290] = {.lex_state = 768, .external_lex_state = 78},
  [3291] = {.lex_state = 133, .external_lex_state = 55},
  [3292] = {.lex_state = 768, .external_lex_state = 78},
  [3293] = {.lex_state = 107, .external_lex_state = 70},
  [3294] = {.lex_state = 101, .external_lex_state = 29},
  [3295] = {.lex_state = 768, .external_lex_state = 78},
  [3296] = {.lex_state = 107, .external_lex_state = 70},
  [3297] = {.lex_state = 768, .external_lex_state = 78},
  [3298] = {.lex_state = 768, .external_lex_state = 78},
  [3299] = {.lex_state = 768, .external_lex_state = 78},
  [3300] = {.lex_state = 768, .external_lex_state = 78},
  [3301] = {.lex_state = 107, .external_lex_state = 78},
  [3302] = {.lex_state = 107, .external_lex_state = 78},
  [3303] = {.lex_state = 107, .external_lex_state = 55},
  [3304] = {.lex_state = 768, .external_lex_state = 78},
  [3305] = {.lex_state = 107, .external_lex_state = 55},
  [3306] = {.lex_state = 107, .external_lex_state = 70},
  [3307] = {.lex_state = 107, .external_lex_state = 55},
  [3308] = {.lex_state = 107, .external_lex_state = 55},
  [3309] = {.lex_state = 768, .external_lex_state = 78},
  [3310] = {.lex_state = 768, .external_lex_state = 78},
  [3311] = {.lex_state = 107, .external_lex_state = 55},
  [3312] = {.lex_state = 768, .external_lex_state = 78},
  [3313] = {.lex_state = 107, .external_lex_state = 70},
  [3314] = {.lex_state = 107, .external_lex_state = 70},
  [3315] = {.lex_state = 107, .external_lex_state = 70},
  [3316] = {.lex_state = 107, .external_lex_state = 78},
  [3317] = {.lex_state = 107, .external_lex_state = 29},
  [3318] = {.lex_state = 107, .external_lex_state = 68},
  [3319] = {.lex_state = 95, .external_lex_state = 57},
  [3320] = {.lex_state = 95, .external_lex_state = 57},
  [3321] = {.lex_state = 107, .external_lex_state = 68},
  [3322] = {.lex_state = 107, .external_lex_state = 78},
  [3323] = {.lex_state = 107, .external_lex_state = 78},
  [3324] = {.lex_state = 107, .external_lex_state = 68},
  [3325] = {.lex_state = 95, .external_lex_state = 57},
  [3326] = {.lex_state = 107, .external_lex_state = 68},
  [3327] = {.lex_state = 107, .external_lex_state = 68},
  [3328] = {.lex_state = 767, .external_lex_state = 29},
  [3329] = {.lex_state = 767, .external_lex_state = 29},
  [3330] = {.lex_state = 107, .external_lex_state = 79},
  [3331] = {.lex_state = 107, .external_lex_state = 79},
  [3332] = {.lex_state = 107, .external_lex_state = 79},
  [3333] = {.lex_state = 767, .external_lex_state = 29},
  [3334] = {.lex_state = 767, .external_lex_state = 29},
  [3335] = {.lex_state = 767, .external_lex_state = 29},
  [3336] = {.lex_state = 767, .external_lex_state = 29},
  [3337] = {.lex_state = 107, .external_lex_state = 68},
  [3338] = {.lex_state = 767, .external_lex_state = 29},
  [3339] = {.lex_state = 767, .external_lex_state = 29},
  [3340] = {.lex_state = 767, .external_lex_state = 29},
  [3341] = {.lex_state = 767, .external_lex_state = 29},
  [3342] = {.lex_state = 767, .external_lex_state = 29},
  [3343] = {.lex_state = 767, .external_lex_state = 29},
  [3344] = {.lex_state = 767, .external_lex_state = 29},
  [3345] = {.lex_state = 767, .external_lex_state = 29},
  [3346] = {.lex_state = 767, .external_lex_state = 29},
  [3347] = {.lex_state = 107, .external_lex_state = 79},
  [3348] = {.lex_state = 767, .external_lex_state = 29},
  [3349] = {.lex_state = 107, .external_lex_state = 79},
  [3350] = {.lex_state = 107, .external_lex_state = 79},
  [3351] = {.lex_state = 109, .external_lex_state = 81},
  [3352] = {.lex_state = 109, .external_lex_state = 81},
  [3353] = {.lex_state = 107, .external_lex_state = 82},
  [3354] = {.lex_state = 107, .external_lex_state = 79},
  [3355] = {.lex_state = 107, .external_lex_state = 79},
  [3356] = {.lex_state = 107, .external_lex_state = 82},
  [3357] = {.lex_state = 109, .external_lex_state = 81},
  [3358] = {.lex_state = 109, .external_lex_state = 81},
  [3359] = {.lex_state = 107, .external_lex_state = 68},
  [3360] = {.lex_state = 120, .external_lex_state = 29},
  [3361] = {.lex_state = 107, .external_lex_state = 68},
  [3362] = {.lex_state = 109, .external_lex_state = 81},
  [3363] = {.lex_state = 107, .external_lex_state = 79},
  [3364] = {.lex_state = 107, .external_lex_state = 82},
  [3365] = {.lex_state = 107, .external_lex_state = 79},
  [3366] = {.lex_state = 109, .external_lex_state = 81},
  [3367] = {.lex_state = 109, .external_lex_state = 81},
  [3368] = {.lex_state = 107, .external_lex_state = 79},
  [3369] = {.lex_state = 107, .external_lex_state = 83},
  [3370] = {.lex_state = 767, .external_lex_state = 29},
  [3371] = {.lex_state = 767, .external_lex_state = 29},
  [3372] = {.lex_state = 767, .external_lex_state = 29},
  [3373] = {.lex_state = 107, .external_lex_state = 83},
  [3374] = {.lex_state = 767, .external_lex_state = 29},
  [3375] = {.lex_state = 767, .external_lex_state = 29},
  [3376] = {.lex_state = 767, .external_lex_state = 29},
  [3377] = {.lex_state = 767, .external_lex_state = 29},
  [3378] = {.lex_state = 767, .external_lex_state = 29},
  [3379] = {.lex_state = 767, .external_lex_state = 29},
  [3380] = {.lex_state = 767, .external_lex_state = 29},
  [3381] = {.lex_state = 767, .external_lex_state = 29},
  [3382] = {.lex_state = 107, .external_lex_state = 83},
  [3383] = {.lex_state = 767, .external_lex_state = 29},
  [3384] = {.lex_state = 767, .external_lex_state = 29},
  [3385] = {.lex_state = 767, .external_lex_state = 29},
  [3386] = {.lex_state = 767, .external_lex_state = 29},
  [3387] = {.lex_state = 767, .external_lex_state = 29},
  [3388] = {.lex_state = 767, .external_lex_state = 29},
  [3389] = {.lex_state = 767, .external_lex_state = 29},
  [3390] = {.lex_state = 767, .external_lex_state = 29},
  [3391] = {.lex_state = 767, .external_lex_state = 29},
  [3392] = {.lex_state = 107, .external_lex_state = 83},
  [3393] = {.lex_state = 767, .external_lex_state = 29},
  [3394] = {.lex_state = 767, .external_lex_state = 29},
  [3395] = {.lex_state = 767, .external_lex_state = 29},
  [3396] = {.lex_state = 767, .external_lex_state = 29},
  [3397] = {.lex_state = 767, .external_lex_state = 29},
  [3398] = {.lex_state = 767, .external_lex_state = 29},
  [3399] = {.lex_state = 767, .external_lex_state = 29},
  [3400] = {.lex_state = 767, .external_lex_state = 29},
  [3401] = {.lex_state = 767, .external_lex_state = 29},
  [3402] = {.lex_state = 107, .external_lex_state = 83},
  [3403] = {.lex_state = 767, .external_lex_state = 29},
  [3404] = {.lex_state = 767, .external_lex_state = 29},
  [3405] = {.lex_state = 767, .external_lex_state = 29},
  [3406] = {.lex_state = 767, .external_lex_state = 29},
  [3407] = {.lex_state = 767, .external_lex_state = 29},
  [3408] = {.lex_state = 767, .external_lex_state = 29},
  [3409] = {.lex_state = 767, .external_lex_state = 29},
  [3410] = {.lex_state = 767, .external_lex_state = 29},
  [3411] = {.lex_state = 767, .external_lex_state = 29},
  [3412] = {.lex_state = 767, .external_lex_state = 29},
  [3413] = {.lex_state = 767, .external_lex_state = 29},
  [3414] = {.lex_state = 767, .external_lex_state = 29},
  [3415] = {.lex_state = 767, .external_lex_state = 29},
  [3416] = {.lex_state = 767, .external_lex_state = 29},
  [3417] = {.lex_state = 767, .external_lex_state = 29},
  [3418] = {.lex_state = 767, .external_lex_state = 29},
  [3419] = {.lex_state = 767, .external_lex_state = 29},
  [3420] = {.lex_state = 767, .external_lex_state = 29},
  [3421] = {.lex_state = 767, .external_lex_state = 29},
  [3422] = {.lex_state = 107, .external_lex_state = 83},
  [3423] = {.lex_state = 767, .external_lex_state = 29},
  [3424] = {.lex_state = 767, .external_lex_state = 29},
  [3425] = {.lex_state = 767, .external_lex_state = 29},
  [3426] = {.lex_state = 767, .external_lex_state = 29},
  [3427] = {.lex_state = 767, .external_lex_state = 29},
  [3428] = {.lex_state = 767, .external_lex_state = 29},
  [3429] = {.lex_state = 767, .external_lex_state = 29},
  [3430] = {.lex_state = 767, .external_lex_state = 29},
  [3431] = {.lex_state = 107, .external_lex_state = 83},
  [3432] = {.lex_state = 767, .external_lex_state = 29},
  [3433] = {.lex_state = 767, .external_lex_state = 29},
  [3434] = {.lex_state = 767, .external_lex_state = 29},
  [3435] = {.lex_state = 767, .external_lex_state = 29},
  [3436] = {.lex_state = 767, .external_lex_state = 29},
  [3437] = {.lex_state = 767, .external_lex_state = 29},
  [3438] = {.lex_state = 107, .external_lex_state = 83},
  [3439] = {.lex_state = 767, .external_lex_state = 29},
  [3440] = {.lex_state = 767, .external_lex_state = 29},
  [3441] = {.lex_state = 767, .external_lex_state = 29},
  [3442] = {.lex_state = 767, .external_lex_state = 29},
  [3443] = {.lex_state = 767, .external_lex_state = 29},
  [3444] = {.lex_state = 107, .external_lex_state = 83},
  [3445] = {.lex_state = 767, .external_lex_state = 29},
  [3446] = {.lex_state = 107, .external_lex_state = 83},
  [3447] = {.lex_state = 767, .external_lex_state = 29},
  [3448] = {.lex_state = 767, .external_lex_state = 29},
  [3449] = {.lex_state = 767, .external_lex_state = 29},
  [3450] = {.lex_state = 767, .external_lex_state = 29},
  [3451] = {.lex_state = 767, .external_lex_state = 29},
  [3452] = {.lex_state = 767, .external_lex_state = 29},
  [3453] = {.lex_state = 767, .external_lex_state = 29},
  [3454] = {.lex_state = 767, .external_lex_state = 29},
  [3455] = {.lex_state = 767, .external_lex_state = 29},
  [3456] = {.lex_state = 767, .external_lex_state = 29},
  [3457] = {.lex_state = 767, .external_lex_state = 29},
  [3458] = {.lex_state = 107, .external_lex_state = 83},
  [3459] = {.lex_state = 767, .external_lex_state = 29},
  [3460] = {.lex_state = 767, .external_lex_state = 29},
  [3461] = {.lex_state = 767, .external_lex_state = 29},
  [3462] = {.lex_state = 120, .external_lex_state = 29},
  [3463] = {.lex_state = 767, .external_lex_state = 29},
  [3464] = {.lex_state = 767, .external_lex_state = 29},
  [3465] = {.lex_state = 767, .external_lex_state = 29},
  [3466] = {.lex_state = 767, .external_lex_state = 29},
  [3467] = {.lex_state = 767, .external_lex_state = 29},
  [3468] = {.lex_state = 767, .external_lex_state = 29},
  [3469] = {.lex_state = 767, .external_lex_state = 29},
  [3470] = {.lex_state = 767, .external_lex_state = 29},
  [3471] = {.lex_state = 767, .external_lex_state = 29},
  [3472] = {.lex_state = 767, .external_lex_state = 29},
  [3473] = {.lex_state = 767, .external_lex_state = 29},
  [3474] = {.lex_state = 767, .external_lex_state = 29},
  [3475] = {.lex_state = 767, .external_lex_state = 29},
  [3476] = {.lex_state = 767, .external_lex_state = 29},
  [3477] = {.lex_state = 767, .external_lex_state = 29},
  [3478] = {.lex_state = 107, .external_lex_state = 83},
  [3479] = {.lex_state = 107, .external_lex_state = 83},
  [3480] = {.lex_state = 767, .external_lex_state = 29},
  [3481] = {.lex_state = 767, .external_lex_state = 29},
  [3482] = {.lex_state = 767, .external_lex_state = 29},
  [3483] = {.lex_state = 767, .external_lex_state = 29},
  [3484] = {.lex_state = 767, .external_lex_state = 29},
  [3485] = {.lex_state = 767, .external_lex_state = 29},
  [3486] = {.lex_state = 767, .external_lex_state = 29},
  [3487] = {.lex_state = 767, .external_lex_state = 29},
  [3488] = {.lex_state = 767, .external_lex_state = 29},
  [3489] = {.lex_state = 767, .external_lex_state = 29},
  [3490] = {.lex_state = 107, .external_lex_state = 84},
  [3491] = {.lex_state = 767, .external_lex_state = 29},
  [3492] = {.lex_state = 767, .external_lex_state = 29},
  [3493] = {.lex_state = 767, .external_lex_state = 29},
  [3494] = {.lex_state = 767, .external_lex_state = 29},
  [3495] = {.lex_state = 767, .external_lex_state = 29},
  [3496] = {.lex_state = 767, .external_lex_state = 29},
  [3497] = {.lex_state = 767, .external_lex_state = 29},
  [3498] = {.lex_state = 767, .external_lex_state = 29},
  [3499] = {.lex_state = 767, .external_lex_state = 29},
  [3500] = {.lex_state = 767, .external_lex_state = 29},
  [3501] = {.lex_state = 767, .external_lex_state = 29},
  [3502] = {.lex_state = 767, .external_lex_state = 29},
  [3503] = {.lex_state = 767, .external_lex_state = 29},
  [3504] = {.lex_state = 767, .external_lex_state = 29},
  [3505] = {.lex_state = 767, .external_lex_state = 29},
  [3506] = {.lex_state = 767, .external_lex_state = 29},
  [3507] = {.lex_state = 767, .external_lex_state = 29},
  [3508] = {.lex_state = 767, .external_lex_state = 29},
  [3509] = {.lex_state = 767, .external_lex_state = 29},
  [3510] = {.lex_state = 767, .external_lex_state = 29},
  [3511] = {.lex_state = 107, .external_lex_state = 84},
  [3512] = {.lex_state = 767, .external_lex_state = 29},
  [3513] = {.lex_state = 767, .external_lex_state = 29},
  [3514] = {.lex_state = 767, .external_lex_state = 29},
  [3515] = {.lex_state = 767, .external_lex_state = 29},
  [3516] = {.lex_state = 767, .external_lex_state = 29},
  [3517] = {.lex_state = 767, .external_lex_state = 29},
  [3518] = {.lex_state = 767, .external_lex_state = 29},
  [3519] = {.lex_state = 767, .external_lex_state = 29},
  [3520] = {.lex_state = 767, .external_lex_state = 29},
  [3521] = {.lex_state = 767, .external_lex_state = 29},
  [3522] = {.lex_state = 767, .external_lex_state = 29},
  [3523] = {.lex_state = 107, .external_lex_state = 84},
  [3524] = {.lex_state = 767, .external_lex_state = 29},
  [3525] = {.lex_state = 767, .external_lex_state = 29},
  [3526] = {.lex_state = 767, .external_lex_state = 29},
  [3527] = {.lex_state = 767, .external_lex_state = 29},
  [3528] = {.lex_state = 767, .external_lex_state = 29},
  [3529] = {.lex_state = 107, .external_lex_state = 84},
  [3530] = {.lex_state = 767, .external_lex_state = 29},
  [3531] = {.lex_state = 767, .external_lex_state = 29},
  [3532] = {.lex_state = 767, .external_lex_state = 29},
  [3533] = {.lex_state = 767, .external_lex_state = 29},
  [3534] = {.lex_state = 767, .external_lex_state = 29},
  [3535] = {.lex_state = 767, .external_lex_state = 29},
  [3536] = {.lex_state = 767, .external_lex_state = 29},
  [3537] = {.lex_state = 767, .external_lex_state = 29},
  [3538] = {.lex_state = 767, .external_lex_state = 29},
  [3539] = {.lex_state = 767, .external_lex_state = 29},
  [3540] = {.lex_state = 767, .external_lex_state = 29},
  [3541] = {.lex_state = 767, .external_lex_state = 29},
  [3542] = {.lex_state = 767, .external_lex_state = 29},
  [3543] = {.lex_state = 767, .external_lex_state = 29},
  [3544] = {.lex_state = 767, .external_lex_state = 29},
  [3545] = {.lex_state = 767, .external_lex_state = 29},
  [3546] = {.lex_state = 767, .external_lex_state = 29},
  [3547] = {.lex_state = 767, .external_lex_state = 29},
  [3548] = {.lex_state = 767, .external_lex_state = 29},
  [3549] = {.lex_state = 767, .external_lex_state = 29},
  [3550] = {.lex_state = 767, .external_lex_state = 29},
  [3551] = {.lex_state = 767, .external_lex_state = 29},
  [3552] = {.lex_state = 767, .external_lex_state = 29},
  [3553] = {.lex_state = 767, .external_lex_state = 29},
  [3554] = {.lex_state = 767, .external_lex_state = 29},
  [3555] = {.lex_state = 767, .external_lex_state = 29},
  [3556] = {.lex_state = 107, .external_lex_state = 82},
  [3557] = {.lex_state = 107, .external_lex_state = 82},
  [3558] = {.lex_state = 767, .external_lex_state = 29},
  [3559] = {.lex_state = 767, .external_lex_state = 29},
  [3560] = {.lex_state = 767, .external_lex_state = 29},
  [3561] = {.lex_state = 767, .external_lex_state = 29},
  [3562] = {.lex_state = 767, .external_lex_state = 29},
  [3563] = {.lex_state = 767, .external_lex_state = 29},
  [3564] = {.lex_state = 767, .external_lex_state = 29},
  [3565] = {.lex_state = 767, .external_lex_state = 29},
  [3566] = {.lex_state = 767, .external_lex_state = 29},
  [3567] = {.lex_state = 767, .external_lex_state = 29},
  [3568] = {.lex_state = 767, .external_lex_state = 29},
  [3569] = {.lex_state = 767, .external_lex_state = 29},
  [3570] = {.lex_state = 767, .external_lex_state = 29},
  [3571] = {.lex_state = 767, .external_lex_state = 29},
  [3572] = {.lex_state = 767, .external_lex_state = 29},
  [3573] = {.lex_state = 767, .external_lex_state = 29},
  [3574] = {.lex_state = 767, .external_lex_state = 29},
  [3575] = {.lex_state = 767, .external_lex_state = 29},
  [3576] = {.lex_state = 767, .external_lex_state = 29},
  [3577] = {.lex_state = 767, .external_lex_state = 29},
  [3578] = {.lex_state = 767, .external_lex_state = 29},
  [3579] = {.lex_state = 767, .external_lex_state = 29},
  [3580] = {.lex_state = 767, .external_lex_state = 29},
  [3581] = {.lex_state = 767, .external_lex_state = 29},
  [3582] = {.lex_state = 767, .external_lex_state = 29},
  [3583] = {.lex_state = 767, .external_lex_state = 29},
  [3584] = {.lex_state = 767, .external_lex_state = 29},
  [3585] = {.lex_state = 767, .external_lex_state = 29},
  [3586] = {.lex_state = 767, .external_lex_state = 29},
  [3587] = {.lex_state = 767, .external_lex_state = 29},
  [3588] = {.lex_state = 767, .external_lex_state = 29},
  [3589] = {.lex_state = 767, .external_lex_state = 29},
  [3590] = {.lex_state = 767, .external_lex_state = 29},
  [3591] = {.lex_state = 767, .external_lex_state = 29},
  [3592] = {.lex_state = 767, .external_lex_state = 29},
  [3593] = {.lex_state = 767, .external_lex_state = 29},
  [3594] = {.lex_state = 767, .external_lex_state = 29},
  [3595] = {.lex_state = 767, .external_lex_state = 29},
  [3596] = {.lex_state = 767, .external_lex_state = 29},
  [3597] = {.lex_state = 767, .external_lex_state = 29},
  [3598] = {.lex_state = 767, .external_lex_state = 29},
  [3599] = {.lex_state = 767, .external_lex_state = 29},
  [3600] = {.lex_state = 767, .external_lex_state = 29},
  [3601] = {.lex_state = 767, .external_lex_state = 29},
  [3602] = {.lex_state = 767, .external_lex_state = 29},
  [3603] = {.lex_state = 767, .external_lex_state = 29},
  [3604] = {.lex_state = 767, .external_lex_state = 29},
  [3605] = {.lex_state = 767, .external_lex_state = 29},
  [3606] = {.lex_state = 767, .external_lex_state = 29},
  [3607] = {.lex_state = 767, .external_lex_state = 29},
  [3608] = {.lex_state = 767, .external_lex_state = 29},
  [3609] = {.lex_state = 767, .external_lex_state = 29},
  [3610] = {.lex_state = 767, .external_lex_state = 29},
  [3611] = {.lex_state = 767, .external_lex_state = 29},
  [3612] = {.lex_state = 767, .external_lex_state = 29},
  [3613] = {.lex_state = 767, .external_lex_state = 29},
  [3614] = {.lex_state = 767, .external_lex_state = 29},
  [3615] = {.lex_state = 767, .external_lex_state = 29},
  [3616] = {.lex_state = 767, .external_lex_state = 29},
  [3617] = {.lex_state = 767, .external_lex_state = 29},
  [3618] = {.lex_state = 767, .external_lex_state = 29},
  [3619] = {.lex_state = 767, .external_lex_state = 29},
  [3620] = {.lex_state = 767, .external_lex_state = 29},
  [3621] = {.lex_state = 767, .external_lex_state = 29},
  [3622] = {.lex_state = 767, .external_lex_state = 29},
  [3623] = {.lex_state = 767, .external_lex_state = 29},
  [3624] = {.lex_state = 767, .external_lex_state = 29},
  [3625] = {.lex_state = 767, .external_lex_state = 29},
  [3626] = {.lex_state = 767, .external_lex_state = 29},
  [3627] = {.lex_state = 107, .external_lex_state = 83},
  [3628] = {.lex_state = 767, .external_lex_state = 29},
  [3629] = {.lex_state = 767, .external_lex_state = 29},
  [3630] = {.lex_state = 767, .external_lex_state = 29},
  [3631] = {.lex_state = 767, .external_lex_state = 29},
  [3632] = {.lex_state = 767, .external_lex_state = 29},
  [3633] = {.lex_state = 767, .external_lex_state = 29},
  [3634] = {.lex_state = 767, .external_lex_state = 29},
  [3635] = {.lex_state = 767, .external_lex_state = 29},
  [3636] = {.lex_state = 767, .external_lex_state = 29},
  [3637] = {.lex_state = 107, .external_lex_state = 83},
  [3638] = {.lex_state = 767, .external_lex_state = 29},
  [3639] = {.lex_state = 767, .external_lex_state = 29},
  [3640] = {.lex_state = 767, .external_lex_state = 29},
  [3641] = {.lex_state = 767, .external_lex_state = 29},
  [3642] = {.lex_state = 767, .external_lex_state = 29},
  [3643] = {.lex_state = 767, .external_lex_state = 29},
  [3644] = {.lex_state = 107, .external_lex_state = 83},
  [3645] = {.lex_state = 107, .external_lex_state = 83},
  [3646] = {.lex_state = 107, .external_lex_state = 83},
  [3647] = {.lex_state = 107, .external_lex_state = 83},
  [3648] = {.lex_state = 767, .external_lex_state = 29},
  [3649] = {.lex_state = 107, .external_lex_state = 83},
  [3650] = {.lex_state = 107, .external_lex_state = 83},
  [3651] = {.lex_state = 767, .external_lex_state = 29},
  [3652] = {.lex_state = 767, .external_lex_state = 29},
  [3653] = {.lex_state = 107, .external_lex_state = 83},
  [3654] = {.lex_state = 767, .external_lex_state = 29},
  [3655] = {.lex_state = 767, .external_lex_state = 29},
  [3656] = {.lex_state = 767, .external_lex_state = 29},
  [3657] = {.lex_state = 767, .external_lex_state = 29},
  [3658] = {.lex_state = 767, .external_lex_state = 29},
  [3659] = {.lex_state = 767, .external_lex_state = 29},
  [3660] = {.lex_state = 767, .external_lex_state = 29},
  [3661] = {.lex_state = 767, .external_lex_state = 29},
  [3662] = {.lex_state = 767, .external_lex_state = 29},
  [3663] = {.lex_state = 767, .external_lex_state = 29},
  [3664] = {.lex_state = 767, .external_lex_state = 29},
  [3665] = {.lex_state = 767, .external_lex_state = 29},
  [3666] = {.lex_state = 767, .external_lex_state = 29},
  [3667] = {.lex_state = 107, .external_lex_state = 83},
  [3668] = {.lex_state = 767, .external_lex_state = 29},
  [3669] = {.lex_state = 107, .external_lex_state = 83},
  [3670] = {.lex_state = 767, .external_lex_state = 29},
  [3671] = {.lex_state = 767, .external_lex_state = 29},
  [3672] = {.lex_state = 767, .external_lex_state = 29},
  [3673] = {.lex_state = 767, .external_lex_state = 29},
  [3674] = {.lex_state = 767, .external_lex_state = 29},
  [3675] = {.lex_state = 107, .external_lex_state = 83},
  [3676] = {.lex_state = 767, .external_lex_state = 29},
  [3677] = {.lex_state = 107, .external_lex_state = 83},
  [3678] = {.lex_state = 107, .external_lex_state = 83},
  [3679] = {.lex_state = 107, .external_lex_state = 83},
  [3680] = {.lex_state = 107, .external_lex_state = 83},
  [3681] = {.lex_state = 767, .external_lex_state = 29},
  [3682] = {.lex_state = 107, .external_lex_state = 83},
  [3683] = {.lex_state = 107, .external_lex_state = 83},
  [3684] = {.lex_state = 107, .external_lex_state = 83},
  [3685] = {.lex_state = 107, .external_lex_state = 83},
  [3686] = {.lex_state = 107, .external_lex_state = 83},
  [3687] = {.lex_state = 767, .external_lex_state = 29},
  [3688] = {.lex_state = 767, .external_lex_state = 29},
  [3689] = {.lex_state = 767, .external_lex_state = 29},
  [3690] = {.lex_state = 767, .external_lex_state = 29},
  [3691] = {.lex_state = 767, .external_lex_state = 29},
  [3692] = {.lex_state = 767, .external_lex_state = 29},
  [3693] = {.lex_state = 767, .external_lex_state = 29},
  [3694] = {.lex_state = 767, .external_lex_state = 29},
  [3695] = {.lex_state = 767, .external_lex_state = 29},
  [3696] = {.lex_state = 767, .external_lex_state = 29},
  [3697] = {.lex_state = 767, .external_lex_state = 29},
  [3698] = {.lex_state = 767, .external_lex_state = 29},
  [3699] = {.lex_state = 767, .external_lex_state = 29},
  [3700] = {.lex_state = 767, .external_lex_state = 29},
  [3701] = {.lex_state = 767, .external_lex_state = 29},
  [3702] = {.lex_state = 767, .external_lex_state = 29},
  [3703] = {.lex_state = 767, .external_lex_state = 29},
  [3704] = {.lex_state = 767, .external_lex_state = 29},
  [3705] = {.lex_state = 767, .external_lex_state = 29},
  [3706] = {.lex_state = 107, .external_lex_state = 83},
  [3707] = {.lex_state = 767, .external_lex_state = 29},
  [3708] = {.lex_state = 767, .external_lex_state = 29},
  [3709] = {.lex_state = 767, .external_lex_state = 29},
  [3710] = {.lex_state = 767, .external_lex_state = 29},
  [3711] = {.lex_state = 107, .external_lex_state = 83},
  [3712] = {.lex_state = 107, .external_lex_state = 83},
  [3713] = {.lex_state = 107, .external_lex_state = 83},
  [3714] = {.lex_state = 107, .external_lex_state = 83},
  [3715] = {.lex_state = 767, .external_lex_state = 29},
  [3716] = {.lex_state = 767, .external_lex_state = 29},
  [3717] = {.lex_state = 767, .external_lex_state = 29},
  [3718] = {.lex_state = 767, .external_lex_state = 29},
  [3719] = {.lex_state = 767, .external_lex_state = 29},
  [3720] = {.lex_state = 767, .external_lex_state = 29},
  [3721] = {.lex_state = 767, .external_lex_state = 29},
  [3722] = {.lex_state = 767, .external_lex_state = 29},
  [3723] = {.lex_state = 767, .external_lex_state = 29},
  [3724] = {.lex_state = 767, .external_lex_state = 29},
  [3725] = {.lex_state = 767, .external_lex_state = 29},
  [3726] = {.lex_state = 767, .external_lex_state = 29},
  [3727] = {.lex_state = 767, .external_lex_state = 29},
  [3728] = {.lex_state = 767, .external_lex_state = 29},
  [3729] = {.lex_state = 767, .external_lex_state = 29},
  [3730] = {.lex_state = 107, .external_lex_state = 83},
  [3731] = {.lex_state = 767, .external_lex_state = 29},
  [3732] = {.lex_state = 107, .external_lex_state = 82},
  [3733] = {.lex_state = 767, .external_lex_state = 29},
  [3734] = {.lex_state = 767, .external_lex_state = 29},
  [3735] = {.lex_state = 767, .external_lex_state = 29},
  [3736] = {.lex_state = 767, .external_lex_state = 29},
  [3737] = {.lex_state = 767, .external_lex_state = 29},
  [3738] = {.lex_state = 767, .external_lex_state = 29},
  [3739] = {.lex_state = 767, .external_lex_state = 29},
  [3740] = {.lex_state = 767, .external_lex_state = 29},
  [3741] = {.lex_state = 767, .external_lex_state = 29},
  [3742] = {.lex_state = 767, .external_lex_state = 29},
  [3743] = {.lex_state = 767, .external_lex_state = 29},
  [3744] = {.lex_state = 767, .external_lex_state = 29},
  [3745] = {.lex_state = 767, .external_lex_state = 29},
  [3746] = {.lex_state = 767, .external_lex_state = 29},
  [3747] = {.lex_state = 767, .external_lex_state = 29},
  [3748] = {.lex_state = 767, .external_lex_state = 29},
  [3749] = {.lex_state = 767, .external_lex_state = 29},
  [3750] = {.lex_state = 767, .external_lex_state = 29},
  [3751] = {.lex_state = 767, .external_lex_state = 29},
  [3752] = {.lex_state = 107, .external_lex_state = 83},
  [3753] = {.lex_state = 767, .external_lex_state = 29},
  [3754] = {.lex_state = 767, .external_lex_state = 29},
  [3755] = {.lex_state = 767, .external_lex_state = 29},
  [3756] = {.lex_state = 767, .external_lex_state = 29},
  [3757] = {.lex_state = 767, .external_lex_state = 29},
  [3758] = {.lex_state = 767, .external_lex_state = 29},
  [3759] = {.lex_state = 767, .external_lex_state = 29},
  [3760] = {.lex_state = 767, .external_lex_state = 29},
  [3761] = {.lex_state = 767, .external_lex_state = 29},
  [3762] = {.lex_state = 767, .external_lex_state = 29},
  [3763] = {.lex_state = 767, .external_lex_state = 29},
  [3764] = {.lex_state = 767, .external_lex_state = 29},
  [3765] = {.lex_state = 767, .external_lex_state = 29},
  [3766] = {.lex_state = 767, .external_lex_state = 29},
  [3767] = {.lex_state = 767, .external_lex_state = 29},
  [3768] = {.lex_state = 767, .external_lex_state = 29},
  [3769] = {.lex_state = 767, .external_lex_state = 29},
  [3770] = {.lex_state = 767, .external_lex_state = 29},
  [3771] = {.lex_state = 767, .external_lex_state = 29},
  [3772] = {.lex_state = 767, .external_lex_state = 29},
  [3773] = {.lex_state = 767, .external_lex_state = 29},
  [3774] = {.lex_state = 767, .external_lex_state = 29},
  [3775] = {.lex_state = 767, .external_lex_state = 29},
  [3776] = {.lex_state = 767, .external_lex_state = 29},
  [3777] = {.lex_state = 767, .external_lex_state = 29},
  [3778] = {.lex_state = 767, .external_lex_state = 29},
  [3779] = {.lex_state = 767, .external_lex_state = 29},
  [3780] = {.lex_state = 767, .external_lex_state = 29},
  [3781] = {.lex_state = 767, .external_lex_state = 29},
  [3782] = {.lex_state = 767, .external_lex_state = 29},
  [3783] = {.lex_state = 767, .external_lex_state = 29},
  [3784] = {.lex_state = 767, .external_lex_state = 29},
  [3785] = {.lex_state = 767, .external_lex_state = 29},
  [3786] = {.lex_state = 767, .external_lex_state = 29},
  [3787] = {.lex_state = 767, .external_lex_state = 29},
  [3788] = {.lex_state = 767, .external_lex_state = 29},
  [3789] = {.lex_state = 767, .external_lex_state = 29},
  [3790] = {.lex_state = 767, .external_lex_state = 29},
  [3791] = {.lex_state = 767, .external_lex_state = 29},
  [3792] = {.lex_state = 767, .external_lex_state = 29},
  [3793] = {.lex_state = 767, .external_lex_state = 29},
  [3794] = {.lex_state = 767, .external_lex_state = 29},
  [3795] = {.lex_state = 767, .external_lex_state = 29},
  [3796] = {.lex_state = 767, .external_lex_state = 29},
  [3797] = {.lex_state = 767, .external_lex_state = 29},
  [3798] = {.lex_state = 767, .external_lex_state = 29},
  [3799] = {.lex_state = 767, .external_lex_state = 29},
  [3800] = {.lex_state = 767, .external_lex_state = 29},
  [3801] = {.lex_state = 767, .external_lex_state = 29},
  [3802] = {.lex_state = 767, .external_lex_state = 29},
  [3803] = {.lex_state = 767, .external_lex_state = 29},
  [3804] = {.lex_state = 767, .external_lex_state = 29},
  [3805] = {.lex_state = 767, .external_lex_state = 29},
  [3806] = {.lex_state = 767, .external_lex_state = 29},
  [3807] = {.lex_state = 767, .external_lex_state = 29},
  [3808] = {.lex_state = 107, .external_lex_state = 82},
  [3809] = {.lex_state = 767, .external_lex_state = 29},
  [3810] = {.lex_state = 107, .external_lex_state = 82},
  [3811] = {.lex_state = 107, .external_lex_state = 82},
  [3812] = {.lex_state = 767, .external_lex_state = 29},
  [3813] = {.lex_state = 767, .external_lex_state = 29},
  [3814] = {.lex_state = 767, .external_lex_state = 29},
  [3815] = {.lex_state = 767, .external_lex_state = 29},
  [3816] = {.lex_state = 767, .external_lex_state = 29},
  [3817] = {.lex_state = 767, .external_lex_state = 29},
  [3818] = {.lex_state = 767, .external_lex_state = 29},
  [3819] = {.lex_state = 767, .external_lex_state = 29},
  [3820] = {.lex_state = 767, .external_lex_state = 29},
  [3821] = {.lex_state = 767, .external_lex_state = 29},
  [3822] = {.lex_state = 767, .external_lex_state = 29},
  [3823] = {.lex_state = 767, .external_lex_state = 29},
  [3824] = {.lex_state = 767, .external_lex_state = 29},
  [3825] = {.lex_state = 767, .external_lex_state = 29},
  [3826] = {.lex_state = 767, .external_lex_state = 29},
  [3827] = {.lex_state = 767, .external_lex_state = 29},
  [3828] = {.lex_state = 767, .external_lex_state = 29},
  [3829] = {.lex_state = 767, .external_lex_state = 29},
  [3830] = {.lex_state = 767, .external_lex_state = 29},
  [3831] = {.lex_state = 767, .external_lex_state = 29},
  [3832] = {.lex_state = 767, .external_lex_state = 29},
  [3833] = {.lex_state = 767, .external_lex_state = 29},
  [3834] = {.lex_state = 767, .external_lex_state = 29},
  [3835] = {.lex_state = 767, .external_lex_state = 29},
  [3836] = {.lex_state = 767, .external_lex_state = 29},
  [3837] = {.lex_state = 767, .external_lex_state = 29},
  [3838] = {.lex_state = 767, .external_lex_state = 29},
  [3839] = {.lex_state = 767, .external_lex_state = 29},
  [3840] = {.lex_state = 767, .external_lex_state = 29},
  [3841] = {.lex_state = 767, .external_lex_state = 29},
  [3842] = {.lex_state = 767, .external_lex_state = 29},
  [3843] = {.lex_state = 767, .external_lex_state = 29},
  [3844] = {.lex_state = 767, .external_lex_state = 29},
  [3845] = {.lex_state = 767, .external_lex_state = 29},
  [3846] = {.lex_state = 767, .external_lex_state = 29},
  [3847] = {.lex_state = 767, .external_lex_state = 29},
  [3848] = {.lex_state = 767, .external_lex_state = 29},
  [3849] = {.lex_state = 767, .external_lex_state = 29},
  [3850] = {.lex_state = 767, .external_lex_state = 29},
  [3851] = {.lex_state = 767, .external_lex_state = 29},
  [3852] = {.lex_state = 767, .external_lex_state = 29},
  [3853] = {.lex_state = 767, .external_lex_state = 29},
  [3854] = {.lex_state = 767, .external_lex_state = 29},
  [3855] = {.lex_state = 767, .external_lex_state = 29},
  [3856] = {.lex_state = 767, .external_lex_state = 29},
  [3857] = {.lex_state = 767, .external_lex_state = 29},
  [3858] = {.lex_state = 767, .external_lex_state = 29},
  [3859] = {.lex_state = 767, .external_lex_state = 29},
  [3860] = {.lex_state = 767, .external_lex_state = 29},
  [3861] = {.lex_state = 767, .external_lex_state = 29},
  [3862] = {.lex_state = 767, .external_lex_state = 29},
  [3863] = {.lex_state = 767, .external_lex_state = 29},
  [3864] = {.lex_state = 767, .external_lex_state = 29},
  [3865] = {.lex_state = 767, .external_lex_state = 29},
  [3866] = {.lex_state = 767, .external_lex_state = 29},
  [3867] = {.lex_state = 767, .external_lex_state = 29},
  [3868] = {.lex_state = 767, .external_lex_state = 29},
  [3869] = {.lex_state = 767, .external_lex_state = 29},
  [3870] = {.lex_state = 767, .external_lex_state = 29},
  [3871] = {.lex_state = 767, .external_lex_state = 29},
  [3872] = {.lex_state = 767, .external_lex_state = 29},
  [3873] = {.lex_state = 767, .external_lex_state = 29},
  [3874] = {.lex_state = 767, .external_lex_state = 29},
  [3875] = {.lex_state = 767, .external_lex_state = 29},
  [3876] = {.lex_state = 767, .external_lex_state = 29},
  [3877] = {.lex_state = 767, .external_lex_state = 29},
  [3878] = {.lex_state = 767, .external_lex_state = 29},
  [3879] = {.lex_state = 767, .external_lex_state = 29},
  [3880] = {.lex_state = 767, .external_lex_state = 29},
  [3881] = {.lex_state = 767, .external_lex_state = 29},
  [3882] = {.lex_state = 767, .external_lex_state = 29},
  [3883] = {.lex_state = 767, .external_lex_state = 29},
  [3884] = {.lex_state = 767, .external_lex_state = 29},
  [3885] = {.lex_state = 767, .external_lex_state = 29},
  [3886] = {.lex_state = 767, .external_lex_state = 29},
  [3887] = {.lex_state = 767, .external_lex_state = 29},
  [3888] = {.lex_state = 767, .external_lex_state = 29},
  [3889] = {.lex_state = 767, .external_lex_state = 29},
  [3890] = {.lex_state = 767, .external_lex_state = 29},
  [3891] = {.lex_state = 767, .external_lex_state = 29},
  [3892] = {.lex_state = 767, .external_lex_state = 29},
  [3893] = {.lex_state = 107, .external_lex_state = 83},
  [3894] = {.lex_state = 107, .external_lex_state = 83},
  [3895] = {.lex_state = 107, .external_lex_state = 83},
  [3896] = {.lex_state = 107, .external_lex_state = 83},
  [3897] = {.lex_state = 107, .external_lex_state = 83},
  [3898] = {.lex_state = 107, .external_lex_state = 83},
  [3899] = {.lex_state = 107, .external_lex_state = 83},
  [3900] = {.lex_state = 107, .external_lex_state = 83},
  [3901] = {.lex_state = 107, .external_lex_state = 83},
  [3902] = {.lex_state = 107, .external_lex_state = 83},
  [3903] = {.lex_state = 107, .external_lex_state = 83},
  [3904] = {.lex_state = 107, .external_lex_state = 83},
  [3905] = {.lex_state = 107, .external_lex_state = 83},
  [3906] = {.lex_state = 107, .external_lex_state = 83},
  [3907] = {.lex_state = 107, .external_lex_state = 83},
  [3908] = {.lex_state = 107, .external_lex_state = 83},
  [3909] = {.lex_state = 107, .external_lex_state = 83},
  [3910] = {.lex_state = 107, .external_lex_state = 83},
  [3911] = {.lex_state = 107, .external_lex_state = 83},
  [3912] = {.lex_state = 767, .external_lex_state = 60},
  [3913] = {.lex_state = 107, .external_lex_state = 83},
  [3914] = {.lex_state = 107, .external_lex_state = 83},
  [3915] = {.lex_state = 107, .external_lex_state = 83},
  [3916] = {.lex_state = 107, .external_lex_state = 83},
  [3917] = {.lex_state = 107, .external_lex_state = 83},
  [3918] = {.lex_state = 107, .external_lex_state = 83},
  [3919] = {.lex_state = 107, .external_lex_state = 83},
  [3920] = {.lex_state = 107, .external_lex_state = 83},
  [3921] = {.lex_state = 107, .external_lex_state = 83},
  [3922] = {.lex_state = 107, .external_lex_state = 83},
  [3923] = {.lex_state = 107, .external_lex_state = 83},
  [3924] = {.lex_state = 107, .external_lex_state = 83},
  [3925] = {.lex_state = 767, .external_lex_state = 29},
  [3926] = {.lex_state = 107, .external_lex_state = 83},
  [3927] = {.lex_state = 107, .external_lex_state = 83},
  [3928] = {.lex_state = 107, .external_lex_state = 83},
  [3929] = {.lex_state = 107, .external_lex_state = 83},
  [3930] = {.lex_state = 107, .external_lex_state = 83},
  [3931] = {.lex_state = 107, .external_lex_state = 83},
  [3932] = {.lex_state = 107, .external_lex_state = 83},
  [3933] = {.lex_state = 107, .external_lex_state = 83},
  [3934] = {.lex_state = 107, .external_lex_state = 83},
  [3935] = {.lex_state = 107, .external_lex_state = 83},
  [3936] = {.lex_state = 107, .external_lex_state = 83},
  [3937] = {.lex_state = 107, .external_lex_state = 83},
  [3938] = {.lex_state = 107, .external_lex_state = 83},
  [3939] = {.lex_state = 107, .external_lex_state = 83},
  [3940] = {.lex_state = 107, .external_lex_state = 83},
  [3941] = {.lex_state = 107, .external_lex_state = 83},
  [3942] = {.lex_state = 107, .external_lex_state = 83},
  [3943] = {.lex_state = 107, .external_lex_state = 83},
  [3944] = {.lex_state = 107, .external_lex_state = 83},
  [3945] = {.lex_state = 107, .external_lex_state = 83},
  [3946] = {.lex_state = 107, .external_lex_state = 83},
  [3947] = {.lex_state = 107, .external_lex_state = 83},
  [3948] = {.lex_state = 107, .external_lex_state = 83},
  [3949] = {.lex_state = 107, .external_lex_state = 83},
  [3950] = {.lex_state = 107, .external_lex_state = 83},
  [3951] = {.lex_state = 107, .external_lex_state = 83},
  [3952] = {.lex_state = 107, .external_lex_state = 83},
  [3953] = {.lex_state = 107, .external_lex_state = 83},
  [3954] = {.lex_state = 107, .external_lex_state = 83},
  [3955] = {.lex_state = 107, .external_lex_state = 83},
  [3956] = {.lex_state = 107, .external_lex_state = 83},
  [3957] = {.lex_state = 107, .external_lex_state = 83},
  [3958] = {.lex_state = 107, .external_lex_state = 83},
  [3959] = {.lex_state = 107, .external_lex_state = 83},
  [3960] = {.lex_state = 107, .external_lex_state = 29},
  [3961] = {.lex_state = 127, .external_lex_state = 85},
  [3962] = {.lex_state = 125, .external_lex_state = 51},
  [3963] = {.lex_state = 125, .external_lex_state = 51},
  [3964] = {.lex_state = 127, .external_lex_state = 85},
  [3965] = {.lex_state = 107, .external_lex_state = 55},
  [3966] = {.lex_state = 107, .external_lex_state = 55},
  [3967] = {.lex_state = 107, .external_lex_state = 55},
  [3968] = {.lex_state = 107, .external_lex_state = 55},
  [3969] = {.lex_state = 107, .external_lex_state = 55},
  [3970] = {.lex_state = 107, .external_lex_state = 55},
  [3971] = {.lex_state = 127, .external_lex_state = 51},
  [3972] = {.lex_state = 127, .external_lex_state = 51},
  [3973] = {.lex_state = 127, .external_lex_state = 51},
  [3974] = {.lex_state = 105, .external_lex_state = 51},
  [3975] = {.lex_state = 127, .external_lex_state = 51},
  [3976] = {.lex_state = 127, .external_lex_state = 51},
  [3977] = {.lex_state = 107, .external_lex_state = 55},
  [3978] = {.lex_state = 107, .external_lex_state = 55},
  [3979] = {.lex_state = 127, .external_lex_state = 51},
  [3980] = {.lex_state = 127, .external_lex_state = 51},
  [3981] = {.lex_state = 127, .external_lex_state = 51},
  [3982] = {.lex_state = 107, .external_lex_state = 55},
  [3983] = {.lex_state = 107, .external_lex_state = 55},
  [3984] = {.lex_state = 107, .external_lex_state = 55},
  [3985] = {.lex_state = 105, .external_lex_state = 51},
  [3986] = {.lex_state = 107, .external_lex_state = 55},
  [3987] = {.lex_state = 107, .external_lex_state = 55},
  [3988] = {.lex_state = 767, .external_lex_state = 29},
  [3989] = {.lex_state = 127, .external_lex_state = 51},
  [3990] = {.lex_state = 767, .external_lex_state = 29},
  [3991] = {.lex_state = 767, .external_lex_state = 29},
  [3992] = {.lex_state = 767, .external_lex_state = 29},
  [3993] = {.lex_state = 767, .external_lex_state = 29},
  [3994] = {.lex_state = 767, .external_lex_state = 29},
  [3995] = {.lex_state = 767, .external_lex_state = 29},
  [3996] = {.lex_state = 767, .external_lex_state = 29},
  [3997] = {.lex_state = 767, .external_lex_state = 29},
  [3998] = {.lex_state = 767, .external_lex_state = 29},
  [3999] = {.lex_state = 767, .external_lex_state = 29},
  [4000] = {.lex_state = 767, .external_lex_state = 29},
  [4001] = {.lex_state = 767, .external_lex_state = 29},
  [4002] = {.lex_state = 767, .external_lex_state = 29},
  [4003] = {.lex_state = 107, .external_lex_state = 55},
  [4004] = {.lex_state = 767, .external_lex_state = 29},
  [4005] = {.lex_state = 767, .external_lex_state = 29},
  [4006] = {.lex_state = 107, .external_lex_state = 55},
  [4007] = {.lex_state = 123, .external_lex_state = 51},
  [4008] = {.lex_state = 767, .external_lex_state = 29},
  [4009] = {.lex_state = 127, .external_lex_state = 51},
  [4010] = {.lex_state = 767, .external_lex_state = 29},
  [4011] = {.lex_state = 767, .external_lex_state = 29},
  [4012] = {.lex_state = 767, .external_lex_state = 29},
  [4013] = {.lex_state = 767, .external_lex_state = 29},
  [4014] = {.lex_state = 107, .external_lex_state = 55},
  [4015] = {.lex_state = 767, .external_lex_state = 29},
  [4016] = {.lex_state = 767, .external_lex_state = 29},
  [4017] = {.lex_state = 767, .external_lex_state = 29},
  [4018] = {.lex_state = 101, .external_lex_state = 28},
  [4019] = {.lex_state = 767, .external_lex_state = 29},
  [4020] = {.lex_state = 767, .external_lex_state = 29},
  [4021] = {.lex_state = 767, .external_lex_state = 29},
  [4022] = {.lex_state = 767, .external_lex_state = 29},
  [4023] = {.lex_state = 767, .external_lex_state = 29},
  [4024] = {.lex_state = 107, .external_lex_state = 55},
  [4025] = {.lex_state = 767, .external_lex_state = 29},
  [4026] = {.lex_state = 767, .external_lex_state = 29},
  [4027] = {.lex_state = 767, .external_lex_state = 29},
  [4028] = {.lex_state = 767, .external_lex_state = 29},
  [4029] = {.lex_state = 767, .external_lex_state = 29},
  [4030] = {.lex_state = 767, .external_lex_state = 29},
  [4031] = {.lex_state = 767, .external_lex_state = 29},
  [4032] = {.lex_state = 767, .external_lex_state = 29},
  [4033] = {.lex_state = 123, .external_lex_state = 51},
  [4034] = {.lex_state = 767, .external_lex_state = 29},
  [4035] = {.lex_state = 767, .external_lex_state = 29},
  [4036] = {.lex_state = 767, .external_lex_state = 29},
  [4037] = {.lex_state = 767, .external_lex_state = 29},
  [4038] = {.lex_state = 767, .external_lex_state = 29},
  [4039] = {.lex_state = 767, .external_lex_state = 29},
  [4040] = {.lex_state = 767, .external_lex_state = 29},
  [4041] = {.lex_state = 767, .external_lex_state = 29},
  [4042] = {.lex_state = 767, .external_lex_state = 29},
  [4043] = {.lex_state = 767, .external_lex_state = 29},
  [4044] = {.lex_state = 767, .external_lex_state = 29},
  [4045] = {.lex_state = 767, .external_lex_state = 29},
  [4046] = {.lex_state = 767, .external_lex_state = 29},
  [4047] = {.lex_state = 767, .external_lex_state = 29},
  [4048] = {.lex_state = 767, .external_lex_state = 29},
  [4049] = {.lex_state = 767, .external_lex_state = 29},
  [4050] = {.lex_state = 767, .external_lex_state = 29},
  [4051] = {.lex_state = 767, .external_lex_state = 29},
  [4052] = {.lex_state = 767, .external_lex_state = 29},
  [4053] = {.lex_state = 767, .external_lex_state = 29},
  [4054] = {.lex_state = 767, .external_lex_state = 29},
  [4055] = {.lex_state = 767, .external_lex_state = 29},
  [4056] = {.lex_state = 767, .external_lex_state = 29},
  [4057] = {.lex_state = 767, .external_lex_state = 29},
  [4058] = {.lex_state = 767, .external_lex_state = 29},
  [4059] = {.lex_state = 767, .external_lex_state = 29},
  [4060] = {.lex_state = 767, .external_lex_state = 29},
  [4061] = {.lex_state = 767, .external_lex_state = 29},
  [4062] = {.lex_state = 127, .external_lex_state = 51},
  [4063] = {.lex_state = 767, .external_lex_state = 29},
  [4064] = {.lex_state = 127, .external_lex_state = 51},
  [4065] = {.lex_state = 767, .external_lex_state = 29},
  [4066] = {.lex_state = 123, .external_lex_state = 51},
  [4067] = {.lex_state = 767, .external_lex_state = 29},
  [4068] = {.lex_state = 767, .external_lex_state = 29},
  [4069] = {.lex_state = 767, .external_lex_state = 29},
  [4070] = {.lex_state = 767, .external_lex_state = 29},
  [4071] = {.lex_state = 767, .external_lex_state = 29},
  [4072] = {.lex_state = 767, .external_lex_state = 29},
  [4073] = {.lex_state = 767, .external_lex_state = 29},
  [4074] = {.lex_state = 767, .external_lex_state = 29},
  [4075] = {.lex_state = 767, .external_lex_state = 29},
  [4076] = {.lex_state = 767, .external_lex_state = 29},
  [4077] = {.lex_state = 767, .external_lex_state = 29},
  [4078] = {.lex_state = 767, .external_lex_state = 29},
  [4079] = {.lex_state = 767, .external_lex_state = 29},
  [4080] = {.lex_state = 767, .external_lex_state = 29},
  [4081] = {.lex_state = 767, .external_lex_state = 29},
  [4082] = {.lex_state = 107, .external_lex_state = 29},
  [4083] = {.lex_state = 767, .external_lex_state = 29},
  [4084] = {.lex_state = 107, .external_lex_state = 29},
  [4085] = {.lex_state = 767, .external_lex_state = 29},
  [4086] = {.lex_state = 767, .external_lex_state = 29},
  [4087] = {.lex_state = 127, .external_lex_state = 51},
  [4088] = {.lex_state = 767, .external_lex_state = 29},
  [4089] = {.lex_state = 767, .external_lex_state = 29},
  [4090] = {.lex_state = 767, .external_lex_state = 29},
  [4091] = {.lex_state = 767, .external_lex_state = 29},
  [4092] = {.lex_state = 127, .external_lex_state = 51},
  [4093] = {.lex_state = 767, .external_lex_state = 29},
  [4094] = {.lex_state = 767, .external_lex_state = 29},
  [4095] = {.lex_state = 767, .external_lex_state = 29},
  [4096] = {.lex_state = 767, .external_lex_state = 29},
  [4097] = {.lex_state = 767, .external_lex_state = 29},
  [4098] = {.lex_state = 767, .external_lex_state = 29},
  [4099] = {.lex_state = 767, .external_lex_state = 29},
  [4100] = {.lex_state = 767, .external_lex_state = 29},
  [4101] = {.lex_state = 767, .external_lex_state = 29},
  [4102] = {.lex_state = 767, .external_lex_state = 29},
  [4103] = {.lex_state = 127, .external_lex_state = 51},
  [4104] = {.lex_state = 123, .external_lex_state = 51},
  [4105] = {.lex_state = 767, .external_lex_state = 29},
  [4106] = {.lex_state = 767, .external_lex_state = 29},
  [4107] = {.lex_state = 767, .external_lex_state = 29},
  [4108] = {.lex_state = 767, .external_lex_state = 29},
  [4109] = {.lex_state = 767, .external_lex_state = 29},
  [4110] = {.lex_state = 767, .external_lex_state = 29},
  [4111] = {.lex_state = 127, .external_lex_state = 51},
  [4112] = {.lex_state = 767, .external_lex_state = 29},
  [4113] = {.lex_state = 767, .external_lex_state = 29},
  [4114] = {.lex_state = 767, .external_lex_state = 29},
  [4115] = {.lex_state = 767, .external_lex_state = 29},
  [4116] = {.lex_state = 767, .external_lex_state = 29},
  [4117] = {.lex_state = 107, .external_lex_state = 29},
  [4118] = {.lex_state = 107, .external_lex_state = 55},
  [4119] = {.lex_state = 767, .external_lex_state = 29},
  [4120] = {.lex_state = 767, .external_lex_state = 29},
  [4121] = {.lex_state = 767, .external_lex_state = 29},
  [4122] = {.lex_state = 107, .external_lex_state = 29},
  [4123] = {.lex_state = 127, .external_lex_state = 51},
  [4124] = {.lex_state = 127, .external_lex_state = 51},
  [4125] = {.lex_state = 767, .external_lex_state = 29},
  [4126] = {.lex_state = 767, .external_lex_state = 29},
  [4127] = {.lex_state = 767, .external_lex_state = 29},
  [4128] = {.lex_state = 767, .external_lex_state = 29},
  [4129] = {.lex_state = 767, .external_lex_state = 29},
  [4130] = {.lex_state = 767, .external_lex_state = 29},
  [4131] = {.lex_state = 767, .external_lex_state = 29},
  [4132] = {.lex_state = 127, .external_lex_state = 51},
  [4133] = {.lex_state = 767, .external_lex_state = 29},
  [4134] = {.lex_state = 767, .external_lex_state = 29},
  [4135] = {.lex_state = 767, .external_lex_state = 29},
  [4136] = {.lex_state = 127, .external_lex_state = 51},
  [4137] = {.lex_state = 767, .external_lex_state = 29},
  [4138] = {.lex_state = 767, .external_lex_state = 29},
  [4139] = {.lex_state = 767, .external_lex_state = 29},
  [4140] = {.lex_state = 767, .external_lex_state = 29},
  [4141] = {.lex_state = 107, .external_lex_state = 55},
  [4142] = {.lex_state = 767, .external_lex_state = 29},
  [4143] = {.lex_state = 107, .external_lex_state = 29},
  [4144] = {.lex_state = 767, .external_lex_state = 29},
  [4145] = {.lex_state = 767, .external_lex_state = 29},
  [4146] = {.lex_state = 767, .external_lex_state = 29},
  [4147] = {.lex_state = 107, .external_lex_state = 29},
  [4148] = {.lex_state = 127, .external_lex_state = 51},
  [4149] = {.lex_state = 767, .external_lex_state = 29},
  [4150] = {.lex_state = 127, .external_lex_state = 51},
  [4151] = {.lex_state = 127, .external_lex_state = 51},
  [4152] = {.lex_state = 767, .external_lex_state = 29},
  [4153] = {.lex_state = 767, .external_lex_state = 29},
  [4154] = {.lex_state = 767, .external_lex_state = 29},
  [4155] = {.lex_state = 767, .external_lex_state = 29},
  [4156] = {.lex_state = 767, .external_lex_state = 29},
  [4157] = {.lex_state = 767, .external_lex_state = 29},
  [4158] = {.lex_state = 767, .external_lex_state = 29},
  [4159] = {.lex_state = 767, .external_lex_state = 29},
  [4160] = {.lex_state = 767, .external_lex_state = 29},
  [4161] = {.lex_state = 767, .external_lex_state = 29},
  [4162] = {.lex_state = 767, .external_lex_state = 29},
  [4163] = {.lex_state = 767, .external_lex_state = 29},
  [4164] = {.lex_state = 767, .external_lex_state = 29},
  [4165] = {.lex_state = 767, .external_lex_state = 29},
  [4166] = {.lex_state = 127, .external_lex_state = 51},
  [4167] = {.lex_state = 127, .external_lex_state = 51},
  [4168] = {.lex_state = 127, .external_lex_state = 51},
  [4169] = {.lex_state = 767, .external_lex_state = 29},
  [4170] = {.lex_state = 767, .external_lex_state = 29},
  [4171] = {.lex_state = 767, .external_lex_state = 29},
  [4172] = {.lex_state = 767, .external_lex_state = 29},
  [4173] = {.lex_state = 107, .external_lex_state = 29},
  [4174] = {.lex_state = 767, .external_lex_state = 29},
  [4175] = {.lex_state = 767, .external_lex_state = 29},
  [4176] = {.lex_state = 127, .external_lex_state = 51},
  [4177] = {.lex_state = 767, .external_lex_state = 29},
  [4178] = {.lex_state = 767, .external_lex_state = 29},
  [4179] = {.lex_state = 767, .external_lex_state = 29},
  [4180] = {.lex_state = 767, .external_lex_state = 29},
  [4181] = {.lex_state = 767, .external_lex_state = 29},
  [4182] = {.lex_state = 767, .external_lex_state = 29},
  [4183] = {.lex_state = 767, .external_lex_state = 29},
  [4184] = {.lex_state = 107, .external_lex_state = 29},
  [4185] = {.lex_state = 767, .external_lex_state = 29},
  [4186] = {.lex_state = 767, .external_lex_state = 29},
  [4187] = {.lex_state = 144, .external_lex_state = 29},
  [4188] = {.lex_state = 127, .external_lex_state = 51},
  [4189] = {.lex_state = 144, .external_lex_state = 29},
  [4190] = {.lex_state = 127, .external_lex_state = 51},
  [4191] = {.lex_state = 101, .external_lex_state = 30},
  [4192] = {.lex_state = 127, .external_lex_state = 51},
  [4193] = {.lex_state = 127, .external_lex_state = 51},
  [4194] = {.lex_state = 127, .external_lex_state = 51},
  [4195] = {.lex_state = 123, .external_lex_state = 51},
  [4196] = {.lex_state = 127, .external_lex_state = 51},
  [4197] = {.lex_state = 127, .external_lex_state = 51},
  [4198] = {.lex_state = 127, .external_lex_state = 51},
  [4199] = {.lex_state = 123, .external_lex_state = 51},
  [4200] = {.lex_state = 123, .external_lex_state = 51},
  [4201] = {.lex_state = 123, .external_lex_state = 51},
  [4202] = {.lex_state = 104, .external_lex_state = 30},
  [4203] = {.lex_state = 123, .external_lex_state = 51},
  [4204] = {.lex_state = 123, .external_lex_state = 29},
  [4205] = {.lex_state = 123, .external_lex_state = 29},
  [4206] = {.lex_state = 123, .external_lex_state = 29},
  [4207] = {.lex_state = 123, .external_lex_state = 29},
  [4208] = {.lex_state = 109, .external_lex_state = 81},
  [4209] = {.lex_state = 109, .external_lex_state = 81},
  [4210] = {.lex_state = 109, .external_lex_state = 81},
  [4211] = {.lex_state = 109, .external_lex_state = 81},
  [4212] = {.lex_state = 109, .external_lex_state = 81},
  [4213] = {.lex_state = 109, .external_lex_state = 81},
  [4214] = {.lex_state = 109, .external_lex_state = 81},
  [4215] = {.lex_state = 109, .external_lex_state = 81},
  [4216] = {.lex_state = 109, .external_lex_state = 81},
  [4217] = {.lex_state = 109, .external_lex_state = 81},
  [4218] = {.lex_state = 144, .external_lex_state = 51},
  [4219] = {.lex_state = 144, .external_lex_state = 51},
  [4220] = {.lex_state = 144, .external_lex_state = 51},
  [4221] = {.lex_state = 144, .external_lex_state = 51},
  [4222] = {.lex_state = 124, .external_lex_state = 29},
  [4223] = {.lex_state = 144, .external_lex_state = 51},
  [4224] = {.lex_state = 107, .external_lex_state = 29},
  [4225] = {.lex_state = 144, .external_lex_state = 51},
  [4226] = {.lex_state = 136, .external_lex_state = 29},
  [4227] = {.lex_state = 136, .external_lex_state = 29},
  [4228] = {.lex_state = 136, .external_lex_state = 29},
  [4229] = {.lex_state = 136, .external_lex_state = 29},
  [4230] = {.lex_state = 144, .external_lex_state = 51},
  [4231] = {.lex_state = 144, .external_lex_state = 51},
  [4232] = {.lex_state = 107, .external_lex_state = 29},
  [4233] = {.lex_state = 136, .external_lex_state = 29},
  [4234] = {.lex_state = 144, .external_lex_state = 51},
  [4235] = {.lex_state = 136, .external_lex_state = 29},
  [4236] = {.lex_state = 108, .external_lex_state = 86},
  [4237] = {.lex_state = 108, .external_lex_state = 86},
  [4238] = {.lex_state = 108, .external_lex_state = 86},
  [4239] = {.lex_state = 105, .external_lex_state = 87},
  [4240] = {.lex_state = 144, .external_lex_state = 29},
  [4241] = {.lex_state = 108, .external_lex_state = 86},
  [4242] = {.lex_state = 108, .external_lex_state = 86},
  [4243] = {.lex_state = 108, .external_lex_state = 86},
  [4244] = {.lex_state = 144, .external_lex_state = 29},
  [4245] = {.lex_state = 108, .external_lex_state = 86},
  [4246] = {.lex_state = 108, .external_lex_state = 86},
  [4247] = {.lex_state = 108, .external_lex_state = 86},
  [4248] = {.lex_state = 107, .external_lex_state = 29},
  [4249] = {.lex_state = 101, .external_lex_state = 29},
  [4250] = {.lex_state = 766, .external_lex_state = 88},
  [4251] = {.lex_state = 144, .external_lex_state = 29},
  [4252] = {.lex_state = 144, .external_lex_state = 29},
  [4253] = {.lex_state = 101, .external_lex_state = 29},
  [4254] = {.lex_state = 140, .external_lex_state = 29},
  [4255] = {.lex_state = 144, .external_lex_state = 29},
  [4256] = {.lex_state = 140, .external_lex_state = 29},
  [4257] = {.lex_state = 139, .external_lex_state = 51},
  [4258] = {.lex_state = 128, .external_lex_state = 29},
  [4259] = {.lex_state = 118, .external_lex_state = 29},
  [4260] = {.lex_state = 766, .external_lex_state = 88},
  [4261] = {.lex_state = 139, .external_lex_state = 51},
  [4262] = {.lex_state = 128, .external_lex_state = 29},
  [4263] = {.lex_state = 139, .external_lex_state = 51},
  [4264] = {.lex_state = 139, .external_lex_state = 51},
  [4265] = {.lex_state = 139, .external_lex_state = 51},
  [4266] = {.lex_state = 139, .external_lex_state = 51},
  [4267] = {.lex_state = 128, .external_lex_state = 29},
  [4268] = {.lex_state = 118, .external_lex_state = 29},
  [4269] = {.lex_state = 124, .external_lex_state = 29},
  [4270] = {.lex_state = 118, .external_lex_state = 29},
  [4271] = {.lex_state = 124, .external_lex_state = 29},
  [4272] = {.lex_state = 139, .external_lex_state = 51},
  [4273] = {.lex_state = 129, .external_lex_state = 48},
  [4274] = {.lex_state = 139, .external_lex_state = 51},
  [4275] = {.lex_state = 139, .external_lex_state = 51},
  [4276] = {.lex_state = 139, .external_lex_state = 51},
  [4277] = {.lex_state = 766, .external_lex_state = 30},
  [4278] = {.lex_state = 118, .external_lex_state = 29},
  [4279] = {.lex_state = 139, .external_lex_state = 51},
  [4280] = {.lex_state = 139, .external_lex_state = 51},
  [4281] = {.lex_state = 139, .external_lex_state = 51},
  [4282] = {.lex_state = 768, .external_lex_state = 88},
  [4283] = {.lex_state = 766, .external_lex_state = 89},
  [4284] = {.lex_state = 768, .external_lex_state = 88},
  [4285] = {.lex_state = 768, .external_lex_state = 88},
  [4286] = {.lex_state = 768, .external_lex_state = 88},
  [4287] = {.lex_state = 768, .external_lex_state = 88},
  [4288] = {.lex_state = 766, .external_lex_state = 64},
  [4289] = {.lex_state = 768, .external_lex_state = 88},
  [4290] = {.lex_state = 768, .external_lex_state = 88},
  [4291] = {.lex_state = 766, .external_lex_state = 64},
  [4292] = {.lex_state = 766, .external_lex_state = 64},
  [4293] = {.lex_state = 766, .external_lex_state = 64},
  [4294] = {.lex_state = 766, .external_lex_state = 90},
  [4295] = {.lex_state = 767, .external_lex_state = 51},
  [4296] = {.lex_state = 767, .external_lex_state = 51},
  [4297] = {.lex_state = 766, .external_lex_state = 88},
  [4298] = {.lex_state = 118, .external_lex_state = 29},
  [4299] = {.lex_state = 108, .external_lex_state = 29},
  [4300] = {.lex_state = 768, .external_lex_state = 88},
  [4301] = {.lex_state = 124, .external_lex_state = 51},
  [4302] = {.lex_state = 124, .external_lex_state = 51},
  [4303] = {.lex_state = 118, .external_lex_state = 29},
  [4304] = {.lex_state = 766, .external_lex_state = 64},
  [4305] = {.lex_state = 768, .external_lex_state = 88},
  [4306] = {.lex_state = 767, .external_lex_state = 51},
  [4307] = {.lex_state = 106, .external_lex_state = 30},
  [4308] = {.lex_state = 766, .external_lex_state = 64},
  [4309] = {.lex_state = 766, .external_lex_state = 64},
  [4310] = {.lex_state = 124, .external_lex_state = 51},
  [4311] = {.lex_state = 766, .external_lex_state = 88},
  [4312] = {.lex_state = 768, .external_lex_state = 88},
  [4313] = {.lex_state = 766, .external_lex_state = 64},
  [4314] = {.lex_state = 118, .external_lex_state = 29},
  [4315] = {.lex_state = 118, .external_lex_state = 29},
  [4316] = {.lex_state = 124, .external_lex_state = 51},
  [4317] = {.lex_state = 101, .external_lex_state = 29},
  [4318] = {.lex_state = 768, .external_lex_state = 88},
  [4319] = {.lex_state = 768, .external_lex_state = 88},
  [4320] = {.lex_state = 118, .external_lex_state = 29},
  [4321] = {.lex_state = 767, .external_lex_state = 51},
  [4322] = {.lex_state = 118, .external_lex_state = 29},
  [4323] = {.lex_state = 101, .external_lex_state = 29},
  [4324] = {.lex_state = 766, .external_lex_state = 89},
  [4325] = {.lex_state = 766, .external_lex_state = 64},
  [4326] = {.lex_state = 118, .external_lex_state = 29},
  [4327] = {.lex_state = 766, .external_lex_state = 88},
  [4328] = {.lex_state = 101, .external_lex_state = 29},
  [4329] = {.lex_state = 768, .external_lex_state = 88},
  [4330] = {.lex_state = 105, .external_lex_state = 51},
  [4331] = {.lex_state = 768, .external_lex_state = 88},
  [4332] = {.lex_state = 118, .external_lex_state = 29},
  [4333] = {.lex_state = 118, .external_lex_state = 29},
  [4334] = {.lex_state = 766, .external_lex_state = 90},
  [4335] = {.lex_state = 767, .external_lex_state = 51},
  [4336] = {.lex_state = 118, .external_lex_state = 29},
  [4337] = {.lex_state = 766, .external_lex_state = 89},
  [4338] = {.lex_state = 766, .external_lex_state = 66},
  [4339] = {.lex_state = 766, .external_lex_state = 64},
  [4340] = {.lex_state = 766, .external_lex_state = 45},
  [4341] = {.lex_state = 766, .external_lex_state = 88},
  [4342] = {.lex_state = 766, .external_lex_state = 91},
  [4343] = {.lex_state = 106, .external_lex_state = 30},
  [4344] = {.lex_state = 766, .external_lex_state = 88},
  [4345] = {.lex_state = 766, .external_lex_state = 89},
  [4346] = {.lex_state = 766, .external_lex_state = 64},
  [4347] = {.lex_state = 766, .external_lex_state = 64},
  [4348] = {.lex_state = 127, .external_lex_state = 51},
  [4349] = {.lex_state = 766, .external_lex_state = 88},
  [4350] = {.lex_state = 766, .external_lex_state = 89},
  [4351] = {.lex_state = 766, .external_lex_state = 89},
  [4352] = {.lex_state = 766, .external_lex_state = 89},
  [4353] = {.lex_state = 767, .external_lex_state = 29},
  [4354] = {.lex_state = 766, .external_lex_state = 30},
  [4355] = {.lex_state = 766, .external_lex_state = 64},
  [4356] = {.lex_state = 129, .external_lex_state = 48},
  [4357] = {.lex_state = 118, .external_lex_state = 29},
  [4358] = {.lex_state = 766, .external_lex_state = 30},
  [4359] = {.lex_state = 766, .external_lex_state = 89},
  [4360] = {.lex_state = 137, .external_lex_state = 29},
  [4361] = {.lex_state = 118, .external_lex_state = 29},
  [4362] = {.lex_state = 766, .external_lex_state = 92},
  [4363] = {.lex_state = 124, .external_lex_state = 51},
  [4364] = {.lex_state = 766, .external_lex_state = 66},
  [4365] = {.lex_state = 767, .external_lex_state = 29},
  [4366] = {.lex_state = 137, .external_lex_state = 29},
  [4367] = {.lex_state = 124, .external_lex_state = 29},
  [4368] = {.lex_state = 127, .external_lex_state = 51},
  [4369] = {.lex_state = 766, .external_lex_state = 64},
  [4370] = {.lex_state = 766, .external_lex_state = 93},
  [4371] = {.lex_state = 137, .external_lex_state = 29},
  [4372] = {.lex_state = 766, .external_lex_state = 66},
  [4373] = {.lex_state = 766, .external_lex_state = 89},
  [4374] = {.lex_state = 766, .external_lex_state = 66},
  [4375] = {.lex_state = 766, .external_lex_state = 48},
  [4376] = {.lex_state = 118, .external_lex_state = 29},
  [4377] = {.lex_state = 766, .external_lex_state = 64},
  [4378] = {.lex_state = 766, .external_lex_state = 30},
  [4379] = {.lex_state = 144, .external_lex_state = 29},
  [4380] = {.lex_state = 767, .external_lex_state = 51},
  [4381] = {.lex_state = 144, .external_lex_state = 29},
  [4382] = {.lex_state = 766, .external_lex_state = 88},
  [4383] = {.lex_state = 766, .external_lex_state = 66},
  [4384] = {.lex_state = 138, .external_lex_state = 29},
  [4385] = {.lex_state = 118, .external_lex_state = 29},
  [4386] = {.lex_state = 108, .external_lex_state = 29},
  [4387] = {.lex_state = 118, .external_lex_state = 29},
  [4388] = {.lex_state = 118, .external_lex_state = 29},
  [4389] = {.lex_state = 766, .external_lex_state = 67},
  [4390] = {.lex_state = 124, .external_lex_state = 51},
  [4391] = {.lex_state = 124, .external_lex_state = 51},
  [4392] = {.lex_state = 766, .external_lex_state = 66},
  [4393] = {.lex_state = 766, .external_lex_state = 66},
  [4394] = {.lex_state = 766, .external_lex_state = 88},
  [4395] = {.lex_state = 124, .external_lex_state = 51},
  [4396] = {.lex_state = 766, .external_lex_state = 94},
  [4397] = {.lex_state = 108, .external_lex_state = 29},
  [4398] = {.lex_state = 766, .external_lex_state = 88},
  [4399] = {.lex_state = 106, .external_lex_state = 30},
  [4400] = {.lex_state = 766, .external_lex_state = 67},
  [4401] = {.lex_state = 766, .external_lex_state = 67},
  [4402] = {.lex_state = 766, .external_lex_state = 89},
  [4403] = {.lex_state = 766, .external_lex_state = 88},
  [4404] = {.lex_state = 118, .external_lex_state = 29},
  [4405] = {.lex_state = 767, .external_lex_state = 51},
  [4406] = {.lex_state = 766, .external_lex_state = 88},
  [4407] = {.lex_state = 768, .external_lex_state = 88},
  [4408] = {.lex_state = 767, .external_lex_state = 51},
  [4409] = {.lex_state = 118, .external_lex_state = 29},
  [4410] = {.lex_state = 766, .external_lex_state = 89},
  [4411] = {.lex_state = 118, .external_lex_state = 29},
  [4412] = {.lex_state = 118, .external_lex_state = 29},
  [4413] = {.lex_state = 767, .external_lex_state = 51},
  [4414] = {.lex_state = 766, .external_lex_state = 66},
  [4415] = {.lex_state = 766, .external_lex_state = 89},
  [4416] = {.lex_state = 106, .external_lex_state = 30},
  [4417] = {.lex_state = 118, .external_lex_state = 29},
  [4418] = {.lex_state = 124, .external_lex_state = 51},
  [4419] = {.lex_state = 766, .external_lex_state = 88},
  [4420] = {.lex_state = 766, .external_lex_state = 90},
  [4421] = {.lex_state = 766, .external_lex_state = 66},
  [4422] = {.lex_state = 766, .external_lex_state = 64},
  [4423] = {.lex_state = 118, .external_lex_state = 29},
  [4424] = {.lex_state = 766, .external_lex_state = 64},
  [4425] = {.lex_state = 766, .external_lex_state = 64},
  [4426] = {.lex_state = 106, .external_lex_state = 30},
  [4427] = {.lex_state = 766, .external_lex_state = 90},
  [4428] = {.lex_state = 766, .external_lex_state = 67},
  [4429] = {.lex_state = 766, .external_lex_state = 90},
  [4430] = {.lex_state = 766, .external_lex_state = 90},
  [4431] = {.lex_state = 766, .external_lex_state = 88},
  [4432] = {.lex_state = 766, .external_lex_state = 92},
  [4433] = {.lex_state = 766, .external_lex_state = 90},
  [4434] = {.lex_state = 144, .external_lex_state = 29},
  [4435] = {.lex_state = 766, .external_lex_state = 89},
  [4436] = {.lex_state = 768, .external_lex_state = 88},
  [4437] = {.lex_state = 106, .external_lex_state = 30},
  [4438] = {.lex_state = 766, .external_lex_state = 95},
  [4439] = {.lex_state = 766, .external_lex_state = 88},
  [4440] = {.lex_state = 766, .external_lex_state = 89},
  [4441] = {.lex_state = 766, .external_lex_state = 89},
  [4442] = {.lex_state = 766, .external_lex_state = 89},
  [4443] = {.lex_state = 766, .external_lex_state = 90},
  [4444] = {.lex_state = 766, .external_lex_state = 30},
  [4445] = {.lex_state = 766, .external_lex_state = 90},
  [4446] = {.lex_state = 766, .external_lex_state = 89},
  [4447] = {.lex_state = 766, .external_lex_state = 89},
  [4448] = {.lex_state = 766, .external_lex_state = 89},
  [4449] = {.lex_state = 118, .external_lex_state = 29},
  [4450] = {.lex_state = 766, .external_lex_state = 71},
  [4451] = {.lex_state = 766, .external_lex_state = 88},
  [4452] = {.lex_state = 766, .external_lex_state = 71},
  [4453] = {.lex_state = 766, .external_lex_state = 91},
  [4454] = {.lex_state = 766, .external_lex_state = 88},
  [4455] = {.lex_state = 766, .external_lex_state = 89},
  [4456] = {.lex_state = 766, .external_lex_state = 91},
  [4457] = {.lex_state = 766, .external_lex_state = 91},
  [4458] = {.lex_state = 766, .external_lex_state = 89},
  [4459] = {.lex_state = 766, .external_lex_state = 91},
  [4460] = {.lex_state = 118, .external_lex_state = 51},
  [4461] = {.lex_state = 766, .external_lex_state = 48},
  [4462] = {.lex_state = 767, .external_lex_state = 29},
  [4463] = {.lex_state = 766, .external_lex_state = 89},
  [4464] = {.lex_state = 118, .external_lex_state = 51},
  [4465] = {.lex_state = 118, .external_lex_state = 51},
  [4466] = {.lex_state = 766, .external_lex_state = 69},
  [4467] = {.lex_state = 766, .external_lex_state = 69},
  [4468] = {.lex_state = 766, .external_lex_state = 69},
  [4469] = {.lex_state = 766, .external_lex_state = 92},
  [4470] = {.lex_state = 766, .external_lex_state = 92},
  [4471] = {.lex_state = 768, .external_lex_state = 93},
  [4472] = {.lex_state = 766, .external_lex_state = 90},
  [4473] = {.lex_state = 766, .external_lex_state = 92},
  [4474] = {.lex_state = 766, .external_lex_state = 67},
  [4475] = {.lex_state = 128, .external_lex_state = 29},
  [4476] = {.lex_state = 767, .external_lex_state = 29},
  [4477] = {.lex_state = 766, .external_lex_state = 90},
  [4478] = {.lex_state = 768, .external_lex_state = 93},
  [4479] = {.lex_state = 766, .external_lex_state = 91},
  [4480] = {.lex_state = 766, .external_lex_state = 91},
  [4481] = {.lex_state = 766, .external_lex_state = 92},
  [4482] = {.lex_state = 766, .external_lex_state = 90},
  [4483] = {.lex_state = 766, .external_lex_state = 88},
  [4484] = {.lex_state = 766, .external_lex_state = 67},
  [4485] = {.lex_state = 135, .external_lex_state = 29},
  [4486] = {.lex_state = 766, .external_lex_state = 66},
  [4487] = {.lex_state = 766, .external_lex_state = 96},
  [4488] = {.lex_state = 106, .external_lex_state = 48},
  [4489] = {.lex_state = 766, .external_lex_state = 66},
  [4490] = {.lex_state = 768, .external_lex_state = 45},
  [4491] = {.lex_state = 766, .external_lex_state = 90},
  [4492] = {.lex_state = 766, .external_lex_state = 48},
  [4493] = {.lex_state = 766, .external_lex_state = 88},
  [4494] = {.lex_state = 766, .external_lex_state = 66},
  [4495] = {.lex_state = 118, .external_lex_state = 29},
  [4496] = {.lex_state = 144, .external_lex_state = 29},
  [4497] = {.lex_state = 766, .external_lex_state = 48},
  [4498] = {.lex_state = 768, .external_lex_state = 88},
  [4499] = {.lex_state = 766, .external_lex_state = 48},
  [4500] = {.lex_state = 766, .external_lex_state = 48},
  [4501] = {.lex_state = 766, .external_lex_state = 90},
  [4502] = {.lex_state = 107, .external_lex_state = 29},
  [4503] = {.lex_state = 766, .external_lex_state = 71},
  [4504] = {.lex_state = 766, .external_lex_state = 90},
  [4505] = {.lex_state = 766, .external_lex_state = 90},
  [4506] = {.lex_state = 106, .external_lex_state = 48},
  [4507] = {.lex_state = 118, .external_lex_state = 29},
  [4508] = {.lex_state = 766, .external_lex_state = 48},
  [4509] = {.lex_state = 118, .external_lex_state = 51},
  [4510] = {.lex_state = 766, .external_lex_state = 90},
  [4511] = {.lex_state = 766, .external_lex_state = 67},
  [4512] = {.lex_state = 768, .external_lex_state = 88},
  [4513] = {.lex_state = 766, .external_lex_state = 92},
  [4514] = {.lex_state = 766, .external_lex_state = 97},
  [4515] = {.lex_state = 766, .external_lex_state = 71},
  [4516] = {.lex_state = 766, .external_lex_state = 91},
  [4517] = {.lex_state = 766, .external_lex_state = 88},
  [4518] = {.lex_state = 766, .external_lex_state = 90},
  [4519] = {.lex_state = 766, .external_lex_state = 91},
  [4520] = {.lex_state = 766, .external_lex_state = 90},
  [4521] = {.lex_state = 768, .external_lex_state = 88},
  [4522] = {.lex_state = 118, .external_lex_state = 29},
  [4523] = {.lex_state = 768, .external_lex_state = 88},
  [4524] = {.lex_state = 766, .external_lex_state = 30},
  [4525] = {.lex_state = 766, .external_lex_state = 88},
  [4526] = {.lex_state = 124, .external_lex_state = 29},
  [4527] = {.lex_state = 766, .external_lex_state = 92},
  [4528] = {.lex_state = 766, .external_lex_state = 91},
  [4529] = {.lex_state = 766, .external_lex_state = 73},
  [4530] = {.lex_state = 144, .external_lex_state = 29},
  [4531] = {.lex_state = 144, .external_lex_state = 29},
  [4532] = {.lex_state = 118, .external_lex_state = 29},
  [4533] = {.lex_state = 766, .external_lex_state = 73},
  [4534] = {.lex_state = 766, .external_lex_state = 30},
  [4535] = {.lex_state = 766, .external_lex_state = 91},
  [4536] = {.lex_state = 118, .external_lex_state = 29},
  [4537] = {.lex_state = 768, .external_lex_state = 88},
  [4538] = {.lex_state = 766, .external_lex_state = 88},
  [4539] = {.lex_state = 106, .external_lex_state = 48},
  [4540] = {.lex_state = 768, .external_lex_state = 45},
  [4541] = {.lex_state = 768, .external_lex_state = 45},
  [4542] = {.lex_state = 766, .external_lex_state = 67},
  [4543] = {.lex_state = 766, .external_lex_state = 73},
  [4544] = {.lex_state = 768, .external_lex_state = 88},
  [4545] = {.lex_state = 766, .external_lex_state = 88},
  [4546] = {.lex_state = 766, .external_lex_state = 67},
  [4547] = {.lex_state = 766, .external_lex_state = 66},
  [4548] = {.lex_state = 767, .external_lex_state = 29},
  [4549] = {.lex_state = 118, .external_lex_state = 29},
  [4550] = {.lex_state = 118, .external_lex_state = 29},
  [4551] = {.lex_state = 768, .external_lex_state = 93},
  [4552] = {.lex_state = 124, .external_lex_state = 29},
  [4553] = {.lex_state = 768, .external_lex_state = 45},
  [4554] = {.lex_state = 768, .external_lex_state = 93},
  [4555] = {.lex_state = 144, .external_lex_state = 29},
  [4556] = {.lex_state = 766, .external_lex_state = 46},
  [4557] = {.lex_state = 768, .external_lex_state = 93},
  [4558] = {.lex_state = 766, .external_lex_state = 48},
  [4559] = {.lex_state = 766, .external_lex_state = 66},
  [4560] = {.lex_state = 118, .external_lex_state = 29},
  [4561] = {.lex_state = 144, .external_lex_state = 29},
  [4562] = {.lex_state = 118, .external_lex_state = 29},
  [4563] = {.lex_state = 118, .external_lex_state = 29},
  [4564] = {.lex_state = 118, .external_lex_state = 29},
  [4565] = {.lex_state = 768, .external_lex_state = 45},
  [4566] = {.lex_state = 768, .external_lex_state = 45},
  [4567] = {.lex_state = 767, .external_lex_state = 29},
  [4568] = {.lex_state = 768, .external_lex_state = 93},
  [4569] = {.lex_state = 766, .external_lex_state = 69},
  [4570] = {.lex_state = 766, .external_lex_state = 47},
  [4571] = {.lex_state = 766, .external_lex_state = 92},
  [4572] = {.lex_state = 768, .external_lex_state = 45},
  [4573] = {.lex_state = 124, .external_lex_state = 29},
  [4574] = {.lex_state = 768, .external_lex_state = 93},
  [4575] = {.lex_state = 118, .external_lex_state = 29},
  [4576] = {.lex_state = 766, .external_lex_state = 91},
  [4577] = {.lex_state = 768, .external_lex_state = 94},
  [4578] = {.lex_state = 766, .external_lex_state = 89},
  [4579] = {.lex_state = 766, .external_lex_state = 67},
  [4580] = {.lex_state = 766, .external_lex_state = 67},
  [4581] = {.lex_state = 766, .external_lex_state = 30},
  [4582] = {.lex_state = 766, .external_lex_state = 67},
  [4583] = {.lex_state = 118, .external_lex_state = 29},
  [4584] = {.lex_state = 768, .external_lex_state = 94},
  [4585] = {.lex_state = 118, .external_lex_state = 29},
  [4586] = {.lex_state = 118, .external_lex_state = 29},
  [4587] = {.lex_state = 766, .external_lex_state = 98},
  [4588] = {.lex_state = 118, .external_lex_state = 29},
  [4589] = {.lex_state = 118, .external_lex_state = 29},
  [4590] = {.lex_state = 118, .external_lex_state = 29},
  [4591] = {.lex_state = 118, .external_lex_state = 29},
  [4592] = {.lex_state = 118, .external_lex_state = 29},
  [4593] = {.lex_state = 118, .external_lex_state = 29},
  [4594] = {.lex_state = 118, .external_lex_state = 29},
  [4595] = {.lex_state = 766, .external_lex_state = 89},
  [4596] = {.lex_state = 118, .external_lex_state = 29},
  [4597] = {.lex_state = 766, .external_lex_state = 99},
  [4598] = {.lex_state = 766, .external_lex_state = 72},
  [4599] = {.lex_state = 766, .external_lex_state = 90},
  [4600] = {.lex_state = 766, .external_lex_state = 91},
  [4601] = {.lex_state = 766, .external_lex_state = 74},
  [4602] = {.lex_state = 766, .external_lex_state = 89},
  [4603] = {.lex_state = 766, .external_lex_state = 90},
  [4604] = {.lex_state = 766, .external_lex_state = 69},
  [4605] = {.lex_state = 118, .external_lex_state = 29},
  [4606] = {.lex_state = 766, .external_lex_state = 66},
  [4607] = {.lex_state = 766, .external_lex_state = 90},
  [4608] = {.lex_state = 766, .external_lex_state = 69},
  [4609] = {.lex_state = 118, .external_lex_state = 29},
  [4610] = {.lex_state = 118, .external_lex_state = 29},
  [4611] = {.lex_state = 118, .external_lex_state = 29},
  [4612] = {.lex_state = 766, .external_lex_state = 99},
  [4613] = {.lex_state = 766, .external_lex_state = 91},
  [4614] = {.lex_state = 768, .external_lex_state = 94},
  [4615] = {.lex_state = 766, .external_lex_state = 30},
  [4616] = {.lex_state = 766, .external_lex_state = 99},
  [4617] = {.lex_state = 766, .external_lex_state = 99},
  [4618] = {.lex_state = 118, .external_lex_state = 29},
  [4619] = {.lex_state = 118, .external_lex_state = 29},
  [4620] = {.lex_state = 118, .external_lex_state = 29},
  [4621] = {.lex_state = 768, .external_lex_state = 94},
  [4622] = {.lex_state = 766, .external_lex_state = 66},
  [4623] = {.lex_state = 766, .external_lex_state = 66},
  [4624] = {.lex_state = 766, .external_lex_state = 66},
  [4625] = {.lex_state = 768, .external_lex_state = 94},
  [4626] = {.lex_state = 118, .external_lex_state = 29},
  [4627] = {.lex_state = 118, .external_lex_state = 29},
  [4628] = {.lex_state = 118, .external_lex_state = 29},
  [4629] = {.lex_state = 766, .external_lex_state = 69},
  [4630] = {.lex_state = 766, .external_lex_state = 74},
  [4631] = {.lex_state = 106, .external_lex_state = 96},
  [4632] = {.lex_state = 766, .external_lex_state = 74},
  [4633] = {.lex_state = 118, .external_lex_state = 29},
  [4634] = {.lex_state = 766, .external_lex_state = 72},
  [4635] = {.lex_state = 766, .external_lex_state = 71},
  [4636] = {.lex_state = 106, .external_lex_state = 77},
  [4637] = {.lex_state = 118, .external_lex_state = 29},
  [4638] = {.lex_state = 118, .external_lex_state = 29},
  [4639] = {.lex_state = 766, .external_lex_state = 72},
  [4640] = {.lex_state = 766, .external_lex_state = 73},
  [4641] = {.lex_state = 118, .external_lex_state = 29},
  [4642] = {.lex_state = 766, .external_lex_state = 69},
  [4643] = {.lex_state = 118, .external_lex_state = 29},
  [4644] = {.lex_state = 118, .external_lex_state = 29},
  [4645] = {.lex_state = 106, .external_lex_state = 77},
  [4646] = {.lex_state = 118, .external_lex_state = 29},
  [4647] = {.lex_state = 118, .external_lex_state = 29},
  [4648] = {.lex_state = 118, .external_lex_state = 29},
  [4649] = {.lex_state = 118, .external_lex_state = 29},
  [4650] = {.lex_state = 766, .external_lex_state = 67},
  [4651] = {.lex_state = 766, .external_lex_state = 74},
  [4652] = {.lex_state = 766, .external_lex_state = 95},
  [4653] = {.lex_state = 106, .external_lex_state = 77},
  [4654] = {.lex_state = 766, .external_lex_state = 89},
  [4655] = {.lex_state = 118, .external_lex_state = 29},
  [4656] = {.lex_state = 118, .external_lex_state = 29},
  [4657] = {.lex_state = 766, .external_lex_state = 89},
  [4658] = {.lex_state = 766, .external_lex_state = 69},
  [4659] = {.lex_state = 766, .external_lex_state = 99},
  [4660] = {.lex_state = 118, .external_lex_state = 51},
  [4661] = {.lex_state = 768, .external_lex_state = 88},
  [4662] = {.lex_state = 766, .external_lex_state = 89},
  [4663] = {.lex_state = 768, .external_lex_state = 88},
  [4664] = {.lex_state = 118, .external_lex_state = 29},
  [4665] = {.lex_state = 766, .external_lex_state = 99},
  [4666] = {.lex_state = 766, .external_lex_state = 99},
  [4667] = {.lex_state = 118, .external_lex_state = 29},
  [4668] = {.lex_state = 118, .external_lex_state = 29},
  [4669] = {.lex_state = 768, .external_lex_state = 94},
  [4670] = {.lex_state = 766, .external_lex_state = 95},
  [4671] = {.lex_state = 768, .external_lex_state = 88},
  [4672] = {.lex_state = 118, .external_lex_state = 29},
  [4673] = {.lex_state = 768, .external_lex_state = 88},
  [4674] = {.lex_state = 766, .external_lex_state = 95},
  [4675] = {.lex_state = 766, .external_lex_state = 95},
  [4676] = {.lex_state = 118, .external_lex_state = 29},
  [4677] = {.lex_state = 766, .external_lex_state = 89},
  [4678] = {.lex_state = 766, .external_lex_state = 95},
  [4679] = {.lex_state = 766, .external_lex_state = 95},
  [4680] = {.lex_state = 118, .external_lex_state = 29},
  [4681] = {.lex_state = 766, .external_lex_state = 95},
  [4682] = {.lex_state = 118, .external_lex_state = 29},
  [4683] = {.lex_state = 766, .external_lex_state = 89},
  [4684] = {.lex_state = 766, .external_lex_state = 92},
  [4685] = {.lex_state = 118, .external_lex_state = 29},
  [4686] = {.lex_state = 766, .external_lex_state = 67},
  [4687] = {.lex_state = 118, .external_lex_state = 29},
  [4688] = {.lex_state = 766, .external_lex_state = 92},
  [4689] = {.lex_state = 766, .external_lex_state = 99},
  [4690] = {.lex_state = 118, .external_lex_state = 29},
  [4691] = {.lex_state = 766, .external_lex_state = 93},
  [4692] = {.lex_state = 118, .external_lex_state = 29},
  [4693] = {.lex_state = 766, .external_lex_state = 91},
  [4694] = {.lex_state = 766, .external_lex_state = 92},
  [4695] = {.lex_state = 118, .external_lex_state = 29},
  [4696] = {.lex_state = 118, .external_lex_state = 29},
  [4697] = {.lex_state = 766, .external_lex_state = 99},
  [4698] = {.lex_state = 118, .external_lex_state = 29},
  [4699] = {.lex_state = 766, .external_lex_state = 93},
  [4700] = {.lex_state = 766, .external_lex_state = 92},
  [4701] = {.lex_state = 766, .external_lex_state = 92},
  [4702] = {.lex_state = 766, .external_lex_state = 72},
  [4703] = {.lex_state = 118, .external_lex_state = 29},
  [4704] = {.lex_state = 766, .external_lex_state = 92},
  [4705] = {.lex_state = 118, .external_lex_state = 29},
  [4706] = {.lex_state = 766, .external_lex_state = 92},
  [4707] = {.lex_state = 766, .external_lex_state = 92},
  [4708] = {.lex_state = 118, .external_lex_state = 29},
  [4709] = {.lex_state = 118, .external_lex_state = 29},
  [4710] = {.lex_state = 768, .external_lex_state = 94},
  [4711] = {.lex_state = 118, .external_lex_state = 29},
  [4712] = {.lex_state = 766, .external_lex_state = 99},
  [4713] = {.lex_state = 118, .external_lex_state = 29},
  [4714] = {.lex_state = 766, .external_lex_state = 92},
  [4715] = {.lex_state = 118, .external_lex_state = 29},
  [4716] = {.lex_state = 766, .external_lex_state = 99},
  [4717] = {.lex_state = 766, .external_lex_state = 99},
  [4718] = {.lex_state = 766, .external_lex_state = 93},
  [4719] = {.lex_state = 766, .external_lex_state = 92},
  [4720] = {.lex_state = 118, .external_lex_state = 29},
  [4721] = {.lex_state = 106, .external_lex_state = 77},
  [4722] = {.lex_state = 766, .external_lex_state = 89},
  [4723] = {.lex_state = 118, .external_lex_state = 29},
  [4724] = {.lex_state = 118, .external_lex_state = 29},
  [4725] = {.lex_state = 118, .external_lex_state = 29},
  [4726] = {.lex_state = 118, .external_lex_state = 29},
  [4727] = {.lex_state = 118, .external_lex_state = 29},
  [4728] = {.lex_state = 118, .external_lex_state = 29},
  [4729] = {.lex_state = 118, .external_lex_state = 29},
  [4730] = {.lex_state = 766, .external_lex_state = 89},
  [4731] = {.lex_state = 766, .external_lex_state = 90},
  [4732] = {.lex_state = 766, .external_lex_state = 90},
  [4733] = {.lex_state = 106, .external_lex_state = 48},
  [4734] = {.lex_state = 766, .external_lex_state = 99},
  [4735] = {.lex_state = 118, .external_lex_state = 29},
  [4736] = {.lex_state = 118, .external_lex_state = 29},
  [4737] = {.lex_state = 118, .external_lex_state = 29},
  [4738] = {.lex_state = 766, .external_lex_state = 99},
  [4739] = {.lex_state = 766, .external_lex_state = 80},
  [4740] = {.lex_state = 106, .external_lex_state = 96},
  [4741] = {.lex_state = 766, .external_lex_state = 89},
  [4742] = {.lex_state = 118, .external_lex_state = 29},
  [4743] = {.lex_state = 118, .external_lex_state = 29},
  [4744] = {.lex_state = 118, .external_lex_state = 29},
  [4745] = {.lex_state = 766, .external_lex_state = 28},
  [4746] = {.lex_state = 118, .external_lex_state = 29},
  [4747] = {.lex_state = 118, .external_lex_state = 29},
  [4748] = {.lex_state = 118, .external_lex_state = 29},
  [4749] = {.lex_state = 118, .external_lex_state = 29},
  [4750] = {.lex_state = 118, .external_lex_state = 29},
  [4751] = {.lex_state = 118, .external_lex_state = 29},
  [4752] = {.lex_state = 766, .external_lex_state = 46},
  [4753] = {.lex_state = 766, .external_lex_state = 69},
  [4754] = {.lex_state = 106, .external_lex_state = 48},
  [4755] = {.lex_state = 118, .external_lex_state = 29},
  [4756] = {.lex_state = 106, .external_lex_state = 48},
  [4757] = {.lex_state = 106, .external_lex_state = 48},
  [4758] = {.lex_state = 768, .external_lex_state = 96},
  [4759] = {.lex_state = 118, .external_lex_state = 29},
  [4760] = {.lex_state = 768, .external_lex_state = 96},
  [4761] = {.lex_state = 106, .external_lex_state = 48},
  [4762] = {.lex_state = 766, .external_lex_state = 76},
  [4763] = {.lex_state = 766, .external_lex_state = 76},
  [4764] = {.lex_state = 768, .external_lex_state = 96},
  [4765] = {.lex_state = 766, .external_lex_state = 99},
  [4766] = {.lex_state = 768, .external_lex_state = 96},
  [4767] = {.lex_state = 766, .external_lex_state = 89},
  [4768] = {.lex_state = 768, .external_lex_state = 96},
  [4769] = {.lex_state = 766, .external_lex_state = 90},
  [4770] = {.lex_state = 766, .external_lex_state = 99},
  [4771] = {.lex_state = 766, .external_lex_state = 76},
  [4772] = {.lex_state = 118, .external_lex_state = 29},
  [4773] = {.lex_state = 768, .external_lex_state = 96},
  [4774] = {.lex_state = 768, .external_lex_state = 96},
  [4775] = {.lex_state = 766, .external_lex_state = 46},
  [4776] = {.lex_state = 766, .external_lex_state = 46},
  [4777] = {.lex_state = 766, .external_lex_state = 89},
  [4778] = {.lex_state = 766, .external_lex_state = 90},
  [4779] = {.lex_state = 118, .external_lex_state = 29},
  [4780] = {.lex_state = 766, .external_lex_state = 90},
  [4781] = {.lex_state = 766, .external_lex_state = 99},
  [4782] = {.lex_state = 118, .external_lex_state = 29},
  [4783] = {.lex_state = 118, .external_lex_state = 29},
  [4784] = {.lex_state = 766, .external_lex_state = 69},
  [4785] = {.lex_state = 118, .external_lex_state = 29},
  [4786] = {.lex_state = 766, .external_lex_state = 90},
  [4787] = {.lex_state = 118, .external_lex_state = 29},
  [4788] = {.lex_state = 118, .external_lex_state = 29},
  [4789] = {.lex_state = 118, .external_lex_state = 29},
  [4790] = {.lex_state = 766, .external_lex_state = 90},
  [4791] = {.lex_state = 766, .external_lex_state = 94},
  [4792] = {.lex_state = 766, .external_lex_state = 71},
  [4793] = {.lex_state = 118, .external_lex_state = 29},
  [4794] = {.lex_state = 766, .external_lex_state = 90},
  [4795] = {.lex_state = 766, .external_lex_state = 97},
  [4796] = {.lex_state = 766, .external_lex_state = 71},
  [4797] = {.lex_state = 766, .external_lex_state = 97},
  [4798] = {.lex_state = 118, .external_lex_state = 29},
  [4799] = {.lex_state = 118, .external_lex_state = 29},
  [4800] = {.lex_state = 766, .external_lex_state = 46},
  [4801] = {.lex_state = 766, .external_lex_state = 69},
  [4802] = {.lex_state = 106, .external_lex_state = 48},
  [4803] = {.lex_state = 766, .external_lex_state = 73},
  [4804] = {.lex_state = 766, .external_lex_state = 95},
  [4805] = {.lex_state = 118, .external_lex_state = 29},
  [4806] = {.lex_state = 118, .external_lex_state = 29},
  [4807] = {.lex_state = 766, .external_lex_state = 92},
  [4808] = {.lex_state = 118, .external_lex_state = 29},
  [4809] = {.lex_state = 766, .external_lex_state = 67},
  [4810] = {.lex_state = 766, .external_lex_state = 47},
  [4811] = {.lex_state = 118, .external_lex_state = 29},
  [4812] = {.lex_state = 118, .external_lex_state = 29},
  [4813] = {.lex_state = 118, .external_lex_state = 29},
  [4814] = {.lex_state = 118, .external_lex_state = 29},
  [4815] = {.lex_state = 118, .external_lex_state = 29},
  [4816] = {.lex_state = 118, .external_lex_state = 29},
  [4817] = {.lex_state = 118, .external_lex_state = 29},
  [4818] = {.lex_state = 118, .external_lex_state = 29},
  [4819] = {.lex_state = 118, .external_lex_state = 29},
  [4820] = {.lex_state = 766, .external_lex_state = 92},
  [4821] = {.lex_state = 118, .external_lex_state = 29},
  [4822] = {.lex_state = 118, .external_lex_state = 29},
  [4823] = {.lex_state = 124, .external_lex_state = 29},
  [4824] = {.lex_state = 118, .external_lex_state = 29},
  [4825] = {.lex_state = 766, .external_lex_state = 90},
  [4826] = {.lex_state = 118, .external_lex_state = 29},
  [4827] = {.lex_state = 118, .external_lex_state = 29},
  [4828] = {.lex_state = 766, .external_lex_state = 47},
  [4829] = {.lex_state = 766, .external_lex_state = 47},
  [4830] = {.lex_state = 766, .external_lex_state = 92},
  [4831] = {.lex_state = 118, .external_lex_state = 29},
  [4832] = {.lex_state = 118, .external_lex_state = 29},
  [4833] = {.lex_state = 766, .external_lex_state = 100},
  [4834] = {.lex_state = 118, .external_lex_state = 29},
  [4835] = {.lex_state = 118, .external_lex_state = 29},
  [4836] = {.lex_state = 118, .external_lex_state = 29},
  [4837] = {.lex_state = 766, .external_lex_state = 47},
  [4838] = {.lex_state = 106, .external_lex_state = 48},
  [4839] = {.lex_state = 106, .external_lex_state = 77},
  [4840] = {.lex_state = 118, .external_lex_state = 29},
  [4841] = {.lex_state = 766, .external_lex_state = 98},
  [4842] = {.lex_state = 118, .external_lex_state = 29},
  [4843] = {.lex_state = 766, .external_lex_state = 94},
  [4844] = {.lex_state = 118, .external_lex_state = 29},
  [4845] = {.lex_state = 106, .external_lex_state = 96},
  [4846] = {.lex_state = 766, .external_lex_state = 99},
  [4847] = {.lex_state = 766, .external_lex_state = 89},
  [4848] = {.lex_state = 766, .external_lex_state = 74},
  [4849] = {.lex_state = 766, .external_lex_state = 90},
  [4850] = {.lex_state = 118, .external_lex_state = 29},
  [4851] = {.lex_state = 766, .external_lex_state = 97},
  [4852] = {.lex_state = 766, .external_lex_state = 69},
  [4853] = {.lex_state = 118, .external_lex_state = 29},
  [4854] = {.lex_state = 766, .external_lex_state = 69},
  [4855] = {.lex_state = 118, .external_lex_state = 29},
  [4856] = {.lex_state = 766, .external_lex_state = 89},
  [4857] = {.lex_state = 766, .external_lex_state = 47},
  [4858] = {.lex_state = 766, .external_lex_state = 89},
  [4859] = {.lex_state = 118, .external_lex_state = 29},
  [4860] = {.lex_state = 106, .external_lex_state = 48},
  [4861] = {.lex_state = 118, .external_lex_state = 29},
  [4862] = {.lex_state = 766, .external_lex_state = 73},
  [4863] = {.lex_state = 118, .external_lex_state = 29},
  [4864] = {.lex_state = 766, .external_lex_state = 89},
  [4865] = {.lex_state = 118, .external_lex_state = 29},
  [4866] = {.lex_state = 766, .external_lex_state = 97},
  [4867] = {.lex_state = 118, .external_lex_state = 29},
  [4868] = {.lex_state = 766, .external_lex_state = 89},
  [4869] = {.lex_state = 118, .external_lex_state = 29},
  [4870] = {.lex_state = 118, .external_lex_state = 51},
  [4871] = {.lex_state = 118, .external_lex_state = 51},
  [4872] = {.lex_state = 766, .external_lex_state = 89},
  [4873] = {.lex_state = 118, .external_lex_state = 29},
  [4874] = {.lex_state = 118, .external_lex_state = 29},
  [4875] = {.lex_state = 118, .external_lex_state = 51},
  [4876] = {.lex_state = 766, .external_lex_state = 97},
  [4877] = {.lex_state = 766, .external_lex_state = 95},
  [4878] = {.lex_state = 118, .external_lex_state = 29},
  [4879] = {.lex_state = 766, .external_lex_state = 73},
  [4880] = {.lex_state = 118, .external_lex_state = 29},
  [4881] = {.lex_state = 766, .external_lex_state = 28},
  [4882] = {.lex_state = 766, .external_lex_state = 72},
  [4883] = {.lex_state = 118, .external_lex_state = 29},
  [4884] = {.lex_state = 766, .external_lex_state = 95},
  [4885] = {.lex_state = 766, .external_lex_state = 46},
  [4886] = {.lex_state = 118, .external_lex_state = 29},
  [4887] = {.lex_state = 766, .external_lex_state = 97},
  [4888] = {.lex_state = 106, .external_lex_state = 48},
  [4889] = {.lex_state = 118, .external_lex_state = 29},
  [4890] = {.lex_state = 118, .external_lex_state = 29},
  [4891] = {.lex_state = 118, .external_lex_state = 29},
  [4892] = {.lex_state = 766, .external_lex_state = 99},
  [4893] = {.lex_state = 118, .external_lex_state = 29},
  [4894] = {.lex_state = 766, .external_lex_state = 99},
  [4895] = {.lex_state = 118, .external_lex_state = 29},
  [4896] = {.lex_state = 766, .external_lex_state = 99},
  [4897] = {.lex_state = 766, .external_lex_state = 95},
  [4898] = {.lex_state = 118, .external_lex_state = 29},
  [4899] = {.lex_state = 124, .external_lex_state = 29},
  [4900] = {.lex_state = 766, .external_lex_state = 46},
  [4901] = {.lex_state = 118, .external_lex_state = 29},
  [4902] = {.lex_state = 766, .external_lex_state = 99},
  [4903] = {.lex_state = 118, .external_lex_state = 29},
  [4904] = {.lex_state = 766, .external_lex_state = 47},
  [4905] = {.lex_state = 118, .external_lex_state = 29},
  [4906] = {.lex_state = 118, .external_lex_state = 29},
  [4907] = {.lex_state = 766, .external_lex_state = 95},
  [4908] = {.lex_state = 118, .external_lex_state = 29},
  [4909] = {.lex_state = 766, .external_lex_state = 73},
  [4910] = {.lex_state = 118, .external_lex_state = 29},
  [4911] = {.lex_state = 118, .external_lex_state = 29},
  [4912] = {.lex_state = 766, .external_lex_state = 94},
  [4913] = {.lex_state = 118, .external_lex_state = 29},
  [4914] = {.lex_state = 766, .external_lex_state = 99},
  [4915] = {.lex_state = 118, .external_lex_state = 29},
  [4916] = {.lex_state = 766, .external_lex_state = 73},
  [4917] = {.lex_state = 118, .external_lex_state = 29},
  [4918] = {.lex_state = 766, .external_lex_state = 71},
  [4919] = {.lex_state = 766, .external_lex_state = 76},
  [4920] = {.lex_state = 118, .external_lex_state = 51},
  [4921] = {.lex_state = 766, .external_lex_state = 89},
  [4922] = {.lex_state = 118, .external_lex_state = 29},
  [4923] = {.lex_state = 766, .external_lex_state = 89},
  [4924] = {.lex_state = 118, .external_lex_state = 29},
  [4925] = {.lex_state = 766, .external_lex_state = 67},
  [4926] = {.lex_state = 766, .external_lex_state = 99},
  [4927] = {.lex_state = 766, .external_lex_state = 67},
  [4928] = {.lex_state = 118, .external_lex_state = 29},
  [4929] = {.lex_state = 766, .external_lex_state = 89},
  [4930] = {.lex_state = 766, .external_lex_state = 89},
  [4931] = {.lex_state = 766, .external_lex_state = 89},
  [4932] = {.lex_state = 766, .external_lex_state = 67},
  [4933] = {.lex_state = 118, .external_lex_state = 29},
  [4934] = {.lex_state = 118, .external_lex_state = 29},
  [4935] = {.lex_state = 766, .external_lex_state = 71},
  [4936] = {.lex_state = 766, .external_lex_state = 97},
  [4937] = {.lex_state = 766, .external_lex_state = 46},
  [4938] = {.lex_state = 766, .external_lex_state = 28},
  [4939] = {.lex_state = 766, .external_lex_state = 89},
  [4940] = {.lex_state = 106, .external_lex_state = 96},
  [4941] = {.lex_state = 118, .external_lex_state = 29},
  [4942] = {.lex_state = 766, .external_lex_state = 47},
  [4943] = {.lex_state = 766, .external_lex_state = 30},
  [4944] = {.lex_state = 766, .external_lex_state = 91},
  [4945] = {.lex_state = 766, .external_lex_state = 93},
  [4946] = {.lex_state = 766, .external_lex_state = 48},
  [4947] = {.lex_state = 766, .external_lex_state = 91},
  [4948] = {.lex_state = 144, .external_lex_state = 101},
  [4949] = {.lex_state = 766, .external_lex_state = 98},
  [4950] = {.lex_state = 766, .external_lex_state = 48},
  [4951] = {.lex_state = 766, .external_lex_state = 93},
  [4952] = {.lex_state = 766, .external_lex_state = 92},
  [4953] = {.lex_state = 106, .external_lex_state = 48},
  [4954] = {.lex_state = 766, .external_lex_state = 72},
  [4955] = {.lex_state = 766, .external_lex_state = 90},
  [4956] = {.lex_state = 768, .external_lex_state = 45},
  [4957] = {.lex_state = 768, .external_lex_state = 93},
  [4958] = {.lex_state = 766, .external_lex_state = 72},
  [4959] = {.lex_state = 766, .external_lex_state = 28},
  [4960] = {.lex_state = 118, .external_lex_state = 29},
  [4961] = {.lex_state = 106, .external_lex_state = 77},
  [4962] = {.lex_state = 766, .external_lex_state = 92},
  [4963] = {.lex_state = 766, .external_lex_state = 92},
  [4964] = {.lex_state = 106, .external_lex_state = 77},
  [4965] = {.lex_state = 766, .external_lex_state = 91},
  [4966] = {.lex_state = 766, .external_lex_state = 76},
  [4967] = {.lex_state = 766, .external_lex_state = 93},
  [4968] = {.lex_state = 766, .external_lex_state = 28},
  [4969] = {.lex_state = 766, .external_lex_state = 90},
  [4970] = {.lex_state = 142, .external_lex_state = 96},
  [4971] = {.lex_state = 766, .external_lex_state = 90},
  [4972] = {.lex_state = 766, .external_lex_state = 97},
  [4973] = {.lex_state = 106, .external_lex_state = 48},
  [4974] = {.lex_state = 766, .external_lex_state = 91},
  [4975] = {.lex_state = 766, .external_lex_state = 90},
  [4976] = {.lex_state = 766, .external_lex_state = 74},
  [4977] = {.lex_state = 766, .external_lex_state = 74},
  [4978] = {.lex_state = 766, .external_lex_state = 92},
  [4979] = {.lex_state = 766, .external_lex_state = 91},
  [4980] = {.lex_state = 766, .external_lex_state = 90},
  [4981] = {.lex_state = 766, .external_lex_state = 74},
  [4982] = {.lex_state = 766, .external_lex_state = 91},
  [4983] = {.lex_state = 766, .external_lex_state = 69},
  [4984] = {.lex_state = 142, .external_lex_state = 96},
  [4985] = {.lex_state = 766, .external_lex_state = 90},
  [4986] = {.lex_state = 766, .external_lex_state = 92},
  [4987] = {.lex_state = 766, .external_lex_state = 91},
  [4988] = {.lex_state = 766, .external_lex_state = 93},
  [4989] = {.lex_state = 766, .external_lex_state = 89},
  [4990] = {.lex_state = 144, .external_lex_state = 101},
  [4991] = {.lex_state = 766, .external_lex_state = 90},
  [4992] = {.lex_state = 766, .external_lex_state = 90},
  [4993] = {.lex_state = 766, .external_lex_state = 69},
  [4994] = {.lex_state = 766, .external_lex_state = 92},
  [4995] = {.lex_state = 142, .external_lex_state = 96},
  [4996] = {.lex_state = 766, .external_lex_state = 72},
  [4997] = {.lex_state = 118, .external_lex_state = 29},
  [4998] = {.lex_state = 142, .external_lex_state = 96},
  [4999] = {.lex_state = 106, .external_lex_state = 77},
  [5000] = {.lex_state = 144, .external_lex_state = 101},
  [5001] = {.lex_state = 766, .external_lex_state = 93},
  [5002] = {.lex_state = 766, .external_lex_state = 97},
  [5003] = {.lex_state = 768, .external_lex_state = 45},
  [5004] = {.lex_state = 766, .external_lex_state = 89},
  [5005] = {.lex_state = 106, .external_lex_state = 48},
  [5006] = {.lex_state = 766, .external_lex_state = 93},
  [5007] = {.lex_state = 107, .external_lex_state = 29},
  [5008] = {.lex_state = 766, .external_lex_state = 92},
  [5009] = {.lex_state = 766, .external_lex_state = 91},
  [5010] = {.lex_state = 766, .external_lex_state = 89},
  [5011] = {.lex_state = 106, .external_lex_state = 48},
  [5012] = {.lex_state = 766, .external_lex_state = 91},
  [5013] = {.lex_state = 144, .external_lex_state = 101},
  [5014] = {.lex_state = 142, .external_lex_state = 96},
  [5015] = {.lex_state = 766, .external_lex_state = 89},
  [5016] = {.lex_state = 766, .external_lex_state = 91},
  [5017] = {.lex_state = 142, .external_lex_state = 96},
  [5018] = {.lex_state = 768, .external_lex_state = 93},
  [5019] = {.lex_state = 106, .external_lex_state = 77},
  [5020] = {.lex_state = 142, .external_lex_state = 96},
  [5021] = {.lex_state = 766, .external_lex_state = 72},
  [5022] = {.lex_state = 766, .external_lex_state = 69},
  [5023] = {.lex_state = 766, .external_lex_state = 69},
  [5024] = {.lex_state = 766, .external_lex_state = 92},
  [5025] = {.lex_state = 766, .external_lex_state = 92},
  [5026] = {.lex_state = 766, .external_lex_state = 93},
  [5027] = {.lex_state = 766, .external_lex_state = 90},
  [5028] = {.lex_state = 766, .external_lex_state = 90},
  [5029] = {.lex_state = 766, .external_lex_state = 90},
  [5030] = {.lex_state = 766, .external_lex_state = 74},
  [5031] = {.lex_state = 766, .external_lex_state = 90},
  [5032] = {.lex_state = 766, .external_lex_state = 91},
  [5033] = {.lex_state = 766, .external_lex_state = 93},
  [5034] = {.lex_state = 107, .external_lex_state = 29},
  [5035] = {.lex_state = 768, .external_lex_state = 102},
  [5036] = {.lex_state = 766, .external_lex_state = 97},
  [5037] = {.lex_state = 766, .external_lex_state = 92},
  [5038] = {.lex_state = 144, .external_lex_state = 101},
  [5039] = {.lex_state = 766, .external_lex_state = 90},
  [5040] = {.lex_state = 766, .external_lex_state = 90},
  [5041] = {.lex_state = 768, .external_lex_state = 93},
  [5042] = {.lex_state = 106, .external_lex_state = 96},
  [5043] = {.lex_state = 766, .external_lex_state = 91},
  [5044] = {.lex_state = 106, .external_lex_state = 48},
  [5045] = {.lex_state = 766, .external_lex_state = 94},
  [5046] = {.lex_state = 766, .external_lex_state = 91},
  [5047] = {.lex_state = 766, .external_lex_state = 100},
  [5048] = {.lex_state = 766, .external_lex_state = 90},
  [5049] = {.lex_state = 766, .external_lex_state = 92},
  [5050] = {.lex_state = 766, .external_lex_state = 90},
  [5051] = {.lex_state = 768, .external_lex_state = 94},
  [5052] = {.lex_state = 766, .external_lex_state = 92},
  [5053] = {.lex_state = 766, .external_lex_state = 80},
  [5054] = {.lex_state = 766, .external_lex_state = 80},
  [5055] = {.lex_state = 766, .external_lex_state = 94},
  [5056] = {.lex_state = 766, .external_lex_state = 90},
  [5057] = {.lex_state = 766, .external_lex_state = 92},
  [5058] = {.lex_state = 766, .external_lex_state = 90},
  [5059] = {.lex_state = 768, .external_lex_state = 102},
  [5060] = {.lex_state = 106, .external_lex_state = 96},
  [5061] = {.lex_state = 766, .external_lex_state = 95},
  [5062] = {.lex_state = 766, .external_lex_state = 92},
  [5063] = {.lex_state = 768, .external_lex_state = 93},
  [5064] = {.lex_state = 766, .external_lex_state = 92},
  [5065] = {.lex_state = 106, .external_lex_state = 96},
  [5066] = {.lex_state = 118, .external_lex_state = 29},
  [5067] = {.lex_state = 766, .external_lex_state = 92},
  [5068] = {.lex_state = 766, .external_lex_state = 30},
  [5069] = {.lex_state = 766, .external_lex_state = 95},
  [5070] = {.lex_state = 766, .external_lex_state = 92},
  [5071] = {.lex_state = 768, .external_lex_state = 93},
  [5072] = {.lex_state = 766, .external_lex_state = 100},
  [5073] = {.lex_state = 768, .external_lex_state = 93},
  [5074] = {.lex_state = 768, .external_lex_state = 103},
  [5075] = {.lex_state = 118, .external_lex_state = 29},
  [5076] = {.lex_state = 766, .external_lex_state = 94},
  [5077] = {.lex_state = 766, .external_lex_state = 92},
  [5078] = {.lex_state = 766, .external_lex_state = 30},
  [5079] = {.lex_state = 766, .external_lex_state = 100},
  [5080] = {.lex_state = 766, .external_lex_state = 95},
  [5081] = {.lex_state = 766, .external_lex_state = 100},
  [5082] = {.lex_state = 766, .external_lex_state = 95},
  [5083] = {.lex_state = 766, .external_lex_state = 98},
  [5084] = {.lex_state = 766, .external_lex_state = 92},
  [5085] = {.lex_state = 106, .external_lex_state = 96},
  [5086] = {.lex_state = 768, .external_lex_state = 102},
  [5087] = {.lex_state = 766, .external_lex_state = 94},
  [5088] = {.lex_state = 766, .external_lex_state = 91},
  [5089] = {.lex_state = 106, .external_lex_state = 96},
  [5090] = {.lex_state = 766, .external_lex_state = 100},
  [5091] = {.lex_state = 766, .external_lex_state = 100},
  [5092] = {.lex_state = 768, .external_lex_state = 94},
  [5093] = {.lex_state = 118, .external_lex_state = 29},
  [5094] = {.lex_state = 118, .external_lex_state = 29},
  [5095] = {.lex_state = 766, .external_lex_state = 95},
  [5096] = {.lex_state = 106, .external_lex_state = 30},
  [5097] = {.lex_state = 766, .external_lex_state = 94},
  [5098] = {.lex_state = 106, .external_lex_state = 30},
  [5099] = {.lex_state = 766, .external_lex_state = 76},
  [5100] = {.lex_state = 768, .external_lex_state = 103},
  [5101] = {.lex_state = 766, .external_lex_state = 94},
  [5102] = {.lex_state = 766, .external_lex_state = 76},
  [5103] = {.lex_state = 766, .external_lex_state = 92},
  [5104] = {.lex_state = 766, .external_lex_state = 92},
  [5105] = {.lex_state = 766, .external_lex_state = 94},
  [5106] = {.lex_state = 766, .external_lex_state = 80},
  [5107] = {.lex_state = 766, .external_lex_state = 100},
  [5108] = {.lex_state = 106, .external_lex_state = 96},
  [5109] = {.lex_state = 766, .external_lex_state = 95},
  [5110] = {.lex_state = 106, .external_lex_state = 30},
  [5111] = {.lex_state = 106, .external_lex_state = 48},
  [5112] = {.lex_state = 766, .external_lex_state = 92},
  [5113] = {.lex_state = 766, .external_lex_state = 76},
  [5114] = {.lex_state = 766, .external_lex_state = 94},
  [5115] = {.lex_state = 766, .external_lex_state = 95},
  [5116] = {.lex_state = 766, .external_lex_state = 76},
  [5117] = {.lex_state = 106, .external_lex_state = 96},
  [5118] = {.lex_state = 106, .external_lex_state = 96},
  [5119] = {.lex_state = 766, .external_lex_state = 92},
  [5120] = {.lex_state = 766, .external_lex_state = 92},
  [5121] = {.lex_state = 766, .external_lex_state = 80},
  [5122] = {.lex_state = 766, .external_lex_state = 91},
  [5123] = {.lex_state = 768, .external_lex_state = 103},
  [5124] = {.lex_state = 106, .external_lex_state = 48},
  [5125] = {.lex_state = 106, .external_lex_state = 48},
  [5126] = {.lex_state = 106, .external_lex_state = 48},
  [5127] = {.lex_state = 106, .external_lex_state = 48},
  [5128] = {.lex_state = 766, .external_lex_state = 95},
  [5129] = {.lex_state = 766, .external_lex_state = 100},
  [5130] = {.lex_state = 106, .external_lex_state = 48},
  [5131] = {.lex_state = 766, .external_lex_state = 95},
  [5132] = {.lex_state = 766, .external_lex_state = 95},
  [5133] = {.lex_state = 766, .external_lex_state = 95},
  [5134] = {.lex_state = 110, .external_lex_state = 29},
  [5135] = {.lex_state = 768, .external_lex_state = 94},
  [5136] = {.lex_state = 766, .external_lex_state = 104},
  [5137] = {.lex_state = 766, .external_lex_state = 100},
  [5138] = {.lex_state = 766, .external_lex_state = 104},
  [5139] = {.lex_state = 766, .external_lex_state = 104},
  [5140] = {.lex_state = 768, .external_lex_state = 94},
  [5141] = {.lex_state = 766, .external_lex_state = 104},
  [5142] = {.lex_state = 110, .external_lex_state = 29},
  [5143] = {.lex_state = 766, .external_lex_state = 105},
  [5144] = {.lex_state = 768, .external_lex_state = 94},
  [5145] = {.lex_state = 110, .external_lex_state = 29},
  [5146] = {.lex_state = 144, .external_lex_state = 29},
  [5147] = {.lex_state = 766, .external_lex_state = 47},
  [5148] = {.lex_state = 766, .external_lex_state = 97},
  [5149] = {.lex_state = 110, .external_lex_state = 29},
  [5150] = {.lex_state = 766, .external_lex_state = 97},
  [5151] = {.lex_state = 110, .external_lex_state = 29},
  [5152] = {.lex_state = 142, .external_lex_state = 96},
  [5153] = {.lex_state = 110, .external_lex_state = 29},
  [5154] = {.lex_state = 766, .external_lex_state = 97},
  [5155] = {.lex_state = 766, .external_lex_state = 104},
  [5156] = {.lex_state = 766, .external_lex_state = 104},
  [5157] = {.lex_state = 766, .external_lex_state = 91},
  [5158] = {.lex_state = 142, .external_lex_state = 96},
  [5159] = {.lex_state = 766, .external_lex_state = 97},
  [5160] = {.lex_state = 766, .external_lex_state = 47},
  [5161] = {.lex_state = 118, .external_lex_state = 29},
  [5162] = {.lex_state = 142, .external_lex_state = 96},
  [5163] = {.lex_state = 768, .external_lex_state = 96},
  [5164] = {.lex_state = 110, .external_lex_state = 29},
  [5165] = {.lex_state = 766, .external_lex_state = 97},
  [5166] = {.lex_state = 768, .external_lex_state = 102},
  [5167] = {.lex_state = 766, .external_lex_state = 105},
  [5168] = {.lex_state = 766, .external_lex_state = 100},
  [5169] = {.lex_state = 110, .external_lex_state = 29},
  [5170] = {.lex_state = 118, .external_lex_state = 29},
  [5171] = {.lex_state = 110, .external_lex_state = 29},
  [5172] = {.lex_state = 766, .external_lex_state = 95},
  [5173] = {.lex_state = 768, .external_lex_state = 103},
  [5174] = {.lex_state = 768, .external_lex_state = 103},
  [5175] = {.lex_state = 768, .external_lex_state = 103},
  [5176] = {.lex_state = 110, .external_lex_state = 29},
  [5177] = {.lex_state = 768, .external_lex_state = 103},
  [5178] = {.lex_state = 766, .external_lex_state = 91},
  [5179] = {.lex_state = 110, .external_lex_state = 29},
  [5180] = {.lex_state = 110, .external_lex_state = 29},
  [5181] = {.lex_state = 768, .external_lex_state = 103},
  [5182] = {.lex_state = 110, .external_lex_state = 29},
  [5183] = {.lex_state = 768, .external_lex_state = 103},
  [5184] = {.lex_state = 766, .external_lex_state = 48},
  [5185] = {.lex_state = 766, .external_lex_state = 92},
  [5186] = {.lex_state = 110, .external_lex_state = 29},
  [5187] = {.lex_state = 766, .external_lex_state = 91},
  [5188] = {.lex_state = 766, .external_lex_state = 92},
  [5189] = {.lex_state = 766, .external_lex_state = 97},
  [5190] = {.lex_state = 766, .external_lex_state = 100},
  [5191] = {.lex_state = 110, .external_lex_state = 29},
  [5192] = {.lex_state = 766, .external_lex_state = 95},
  [5193] = {.lex_state = 766, .external_lex_state = 97},
  [5194] = {.lex_state = 142, .external_lex_state = 96},
  [5195] = {.lex_state = 766, .external_lex_state = 46},
  [5196] = {.lex_state = 766, .external_lex_state = 104},
  [5197] = {.lex_state = 766, .external_lex_state = 97},
  [5198] = {.lex_state = 766, .external_lex_state = 97},
  [5199] = {.lex_state = 766, .external_lex_state = 95},
  [5200] = {.lex_state = 110, .external_lex_state = 29},
  [5201] = {.lex_state = 110, .external_lex_state = 29},
  [5202] = {.lex_state = 768, .external_lex_state = 96},
  [5203] = {.lex_state = 766, .external_lex_state = 92},
  [5204] = {.lex_state = 766, .external_lex_state = 80},
  [5205] = {.lex_state = 110, .external_lex_state = 29},
  [5206] = {.lex_state = 766, .external_lex_state = 92},
  [5207] = {.lex_state = 110, .external_lex_state = 29},
  [5208] = {.lex_state = 768, .external_lex_state = 94},
  [5209] = {.lex_state = 110, .external_lex_state = 29},
  [5210] = {.lex_state = 766, .external_lex_state = 104},
  [5211] = {.lex_state = 766, .external_lex_state = 104},
  [5212] = {.lex_state = 766, .external_lex_state = 97},
  [5213] = {.lex_state = 766, .external_lex_state = 46},
  [5214] = {.lex_state = 766, .external_lex_state = 104},
  [5215] = {.lex_state = 766, .external_lex_state = 104},
  [5216] = {.lex_state = 110, .external_lex_state = 29},
  [5217] = {.lex_state = 766, .external_lex_state = 104},
  [5218] = {.lex_state = 766, .external_lex_state = 48},
  [5219] = {.lex_state = 768, .external_lex_state = 103},
  [5220] = {.lex_state = 142, .external_lex_state = 96},
  [5221] = {.lex_state = 766, .external_lex_state = 80},
  [5222] = {.lex_state = 112, .external_lex_state = 29},
  [5223] = {.lex_state = 766, .external_lex_state = 48},
  [5224] = {.lex_state = 766, .external_lex_state = 104},
  [5225] = {.lex_state = 766, .external_lex_state = 48},
  [5226] = {.lex_state = 766, .external_lex_state = 48},
  [5227] = {.lex_state = 768, .external_lex_state = 103},
  [5228] = {.lex_state = 766, .external_lex_state = 104},
  [5229] = {.lex_state = 766, .external_lex_state = 48},
  [5230] = {.lex_state = 112, .external_lex_state = 29},
  [5231] = {.lex_state = 766, .external_lex_state = 106},
  [5232] = {.lex_state = 766, .external_lex_state = 103},
  [5233] = {.lex_state = 768, .external_lex_state = 103},
  [5234] = {.lex_state = 768, .external_lex_state = 103},
  [5235] = {.lex_state = 766, .external_lex_state = 104},
  [5236] = {.lex_state = 766, .external_lex_state = 48},
  [5237] = {.lex_state = 766, .external_lex_state = 48},
  [5238] = {.lex_state = 112, .external_lex_state = 29},
  [5239] = {.lex_state = 766, .external_lex_state = 97},
  [5240] = {.lex_state = 112, .external_lex_state = 29},
  [5241] = {.lex_state = 766, .external_lex_state = 104},
  [5242] = {.lex_state = 766, .external_lex_state = 48},
  [5243] = {.lex_state = 112, .external_lex_state = 29},
  [5244] = {.lex_state = 112, .external_lex_state = 29},
  [5245] = {.lex_state = 766, .external_lex_state = 95},
  [5246] = {.lex_state = 766, .external_lex_state = 104},
  [5247] = {.lex_state = 766, .external_lex_state = 48},
  [5248] = {.lex_state = 112, .external_lex_state = 29},
  [5249] = {.lex_state = 766, .external_lex_state = 48},
  [5250] = {.lex_state = 766, .external_lex_state = 80},
  [5251] = {.lex_state = 768, .external_lex_state = 103},
  [5252] = {.lex_state = 766, .external_lex_state = 48},
  [5253] = {.lex_state = 112, .external_lex_state = 29},
  [5254] = {.lex_state = 766, .external_lex_state = 48},
  [5255] = {.lex_state = 768, .external_lex_state = 103},
  [5256] = {.lex_state = 766, .external_lex_state = 48},
  [5257] = {.lex_state = 766, .external_lex_state = 104},
  [5258] = {.lex_state = 766, .external_lex_state = 80},
  [5259] = {.lex_state = 768, .external_lex_state = 103},
  [5260] = {.lex_state = 766, .external_lex_state = 104},
  [5261] = {.lex_state = 112, .external_lex_state = 29},
  [5262] = {.lex_state = 112, .external_lex_state = 29},
  [5263] = {.lex_state = 112, .external_lex_state = 29},
  [5264] = {.lex_state = 766, .external_lex_state = 48},
  [5265] = {.lex_state = 766, .external_lex_state = 104},
  [5266] = {.lex_state = 766, .external_lex_state = 48},
  [5267] = {.lex_state = 112, .external_lex_state = 29},
  [5268] = {.lex_state = 766, .external_lex_state = 48},
  [5269] = {.lex_state = 112, .external_lex_state = 29},
  [5270] = {.lex_state = 112, .external_lex_state = 29},
  [5271] = {.lex_state = 766, .external_lex_state = 80},
  [5272] = {.lex_state = 766, .external_lex_state = 104},
  [5273] = {.lex_state = 112, .external_lex_state = 29},
  [5274] = {.lex_state = 766, .external_lex_state = 48},
  [5275] = {.lex_state = 766, .external_lex_state = 48},
  [5276] = {.lex_state = 766, .external_lex_state = 48},
  [5277] = {.lex_state = 768, .external_lex_state = 103},
  [5278] = {.lex_state = 766, .external_lex_state = 48},
  [5279] = {.lex_state = 768, .external_lex_state = 103},
  [5280] = {.lex_state = 112, .external_lex_state = 29},
  [5281] = {.lex_state = 112, .external_lex_state = 29},
  [5282] = {.lex_state = 766, .external_lex_state = 105},
  [5283] = {.lex_state = 766, .external_lex_state = 48},
  [5284] = {.lex_state = 766, .external_lex_state = 48},
  [5285] = {.lex_state = 766, .external_lex_state = 48},
  [5286] = {.lex_state = 768, .external_lex_state = 103},
  [5287] = {.lex_state = 766, .external_lex_state = 48},
  [5288] = {.lex_state = 144, .external_lex_state = 101},
  [5289] = {.lex_state = 766, .external_lex_state = 105},
  [5290] = {.lex_state = 766, .external_lex_state = 48},
  [5291] = {.lex_state = 768, .external_lex_state = 103},
  [5292] = {.lex_state = 766, .external_lex_state = 97},
  [5293] = {.lex_state = 766, .external_lex_state = 97},
  [5294] = {.lex_state = 766, .external_lex_state = 48},
  [5295] = {.lex_state = 112, .external_lex_state = 29},
  [5296] = {.lex_state = 766, .external_lex_state = 48},
  [5297] = {.lex_state = 766, .external_lex_state = 48},
  [5298] = {.lex_state = 768, .external_lex_state = 103},
  [5299] = {.lex_state = 112, .external_lex_state = 29},
  [5300] = {.lex_state = 768, .external_lex_state = 103},
  [5301] = {.lex_state = 766, .external_lex_state = 48},
  [5302] = {.lex_state = 768, .external_lex_state = 103},
  [5303] = {.lex_state = 768, .external_lex_state = 103},
  [5304] = {.lex_state = 142, .external_lex_state = 96},
  [5305] = {.lex_state = 766, .external_lex_state = 104},
  [5306] = {.lex_state = 766, .external_lex_state = 48},
  [5307] = {.lex_state = 766, .external_lex_state = 48},
  [5308] = {.lex_state = 112, .external_lex_state = 29},
  [5309] = {.lex_state = 768, .external_lex_state = 103},
  [5310] = {.lex_state = 766, .external_lex_state = 104},
  [5311] = {.lex_state = 112, .external_lex_state = 29},
  [5312] = {.lex_state = 766, .external_lex_state = 48},
  [5313] = {.lex_state = 766, .external_lex_state = 104},
  [5314] = {.lex_state = 766, .external_lex_state = 97},
  [5315] = {.lex_state = 766, .external_lex_state = 48},
  [5316] = {.lex_state = 766, .external_lex_state = 99},
  [5317] = {.lex_state = 766, .external_lex_state = 106},
  [5318] = {.lex_state = 766, .external_lex_state = 103},
  [5319] = {.lex_state = 768, .external_lex_state = 103},
  [5320] = {.lex_state = 106, .external_lex_state = 48},
  [5321] = {.lex_state = 768, .external_lex_state = 103},
  [5322] = {.lex_state = 766, .external_lex_state = 99},
  [5323] = {.lex_state = 766, .external_lex_state = 100},
  [5324] = {.lex_state = 768, .external_lex_state = 103},
  [5325] = {.lex_state = 766, .external_lex_state = 100},
  [5326] = {.lex_state = 766, .external_lex_state = 100},
  [5327] = {.lex_state = 766, .external_lex_state = 95},
  [5328] = {.lex_state = 768, .external_lex_state = 103},
  [5329] = {.lex_state = 766, .external_lex_state = 100},
  [5330] = {.lex_state = 766, .external_lex_state = 100},
  [5331] = {.lex_state = 766, .external_lex_state = 100},
  [5332] = {.lex_state = 766, .external_lex_state = 95},
  [5333] = {.lex_state = 766, .external_lex_state = 100},
  [5334] = {.lex_state = 766, .external_lex_state = 100},
  [5335] = {.lex_state = 766, .external_lex_state = 99},
  [5336] = {.lex_state = 144, .external_lex_state = 29},
  [5337] = {.lex_state = 144, .external_lex_state = 29},
  [5338] = {.lex_state = 766, .external_lex_state = 48},
  [5339] = {.lex_state = 766, .external_lex_state = 100},
  [5340] = {.lex_state = 766, .external_lex_state = 103},
  [5341] = {.lex_state = 768, .external_lex_state = 103},
  [5342] = {.lex_state = 768, .external_lex_state = 103},
  [5343] = {.lex_state = 768, .external_lex_state = 103},
  [5344] = {.lex_state = 766, .external_lex_state = 100},
  [5345] = {.lex_state = 768, .external_lex_state = 103},
  [5346] = {.lex_state = 766, .external_lex_state = 99},
  [5347] = {.lex_state = 768, .external_lex_state = 103},
  [5348] = {.lex_state = 768, .external_lex_state = 103},
  [5349] = {.lex_state = 766, .external_lex_state = 95},
  [5350] = {.lex_state = 768, .external_lex_state = 103},
  [5351] = {.lex_state = 768, .external_lex_state = 103},
  [5352] = {.lex_state = 768, .external_lex_state = 107},
  [5353] = {.lex_state = 766, .external_lex_state = 99},
  [5354] = {.lex_state = 106, .external_lex_state = 48},
  [5355] = {.lex_state = 144, .external_lex_state = 29},
  [5356] = {.lex_state = 768, .external_lex_state = 86},
  [5357] = {.lex_state = 768, .external_lex_state = 107},
  [5358] = {.lex_state = 766, .external_lex_state = 98},
  [5359] = {.lex_state = 766, .external_lex_state = 99},
  [5360] = {.lex_state = 768, .external_lex_state = 86},
  [5361] = {.lex_state = 766, .external_lex_state = 103},
  [5362] = {.lex_state = 144, .external_lex_state = 29},
  [5363] = {.lex_state = 766, .external_lex_state = 98},
  [5364] = {.lex_state = 768, .external_lex_state = 86},
  [5365] = {.lex_state = 107, .external_lex_state = 29},
  [5366] = {.lex_state = 768, .external_lex_state = 86},
  [5367] = {.lex_state = 766, .external_lex_state = 98},
  [5368] = {.lex_state = 768, .external_lex_state = 108},
  [5369] = {.lex_state = 766, .external_lex_state = 109},
  [5370] = {.lex_state = 766, .external_lex_state = 91},
  [5371] = {.lex_state = 142, .external_lex_state = 110},
  [5372] = {.lex_state = 144, .external_lex_state = 29},
  [5373] = {.lex_state = 766, .external_lex_state = 109},
  [5374] = {.lex_state = 766, .external_lex_state = 100},
  [5375] = {.lex_state = 107, .external_lex_state = 29},
  [5376] = {.lex_state = 768, .external_lex_state = 111},
  [5377] = {.lex_state = 144, .external_lex_state = 29},
  [5378] = {.lex_state = 766, .external_lex_state = 109},
  [5379] = {.lex_state = 766, .external_lex_state = 112},
  [5380] = {.lex_state = 766, .external_lex_state = 109},
  [5381] = {.lex_state = 768, .external_lex_state = 86},
  [5382] = {.lex_state = 766, .external_lex_state = 98},
  [5383] = {.lex_state = 766, .external_lex_state = 109},
  [5384] = {.lex_state = 144, .external_lex_state = 29},
  [5385] = {.lex_state = 144, .external_lex_state = 29},
  [5386] = {.lex_state = 766, .external_lex_state = 109},
  [5387] = {.lex_state = 766, .external_lex_state = 103},
  [5388] = {.lex_state = 766, .external_lex_state = 109},
  [5389] = {.lex_state = 766, .external_lex_state = 109},
  [5390] = {.lex_state = 766, .external_lex_state = 51},
  [5391] = {.lex_state = 766, .external_lex_state = 109},
  [5392] = {.lex_state = 766, .external_lex_state = 109},
  [5393] = {.lex_state = 766, .external_lex_state = 109},
  [5394] = {.lex_state = 766, .external_lex_state = 109},
  [5395] = {.lex_state = 768, .external_lex_state = 86},
  [5396] = {.lex_state = 766, .external_lex_state = 109},
  [5397] = {.lex_state = 766, .external_lex_state = 98},
  [5398] = {.lex_state = 766, .external_lex_state = 99},
  [5399] = {.lex_state = 766, .external_lex_state = 100},
  [5400] = {.lex_state = 768, .external_lex_state = 86},
  [5401] = {.lex_state = 766, .external_lex_state = 103},
  [5402] = {.lex_state = 766, .external_lex_state = 109},
  [5403] = {.lex_state = 766, .external_lex_state = 109},
  [5404] = {.lex_state = 766, .external_lex_state = 109},
  [5405] = {.lex_state = 766, .external_lex_state = 109},
  [5406] = {.lex_state = 766, .external_lex_state = 51},
  [5407] = {.lex_state = 768, .external_lex_state = 86},
  [5408] = {.lex_state = 766, .external_lex_state = 103},
  [5409] = {.lex_state = 144, .external_lex_state = 29},
  [5410] = {.lex_state = 768, .external_lex_state = 111},
  [5411] = {.lex_state = 766, .external_lex_state = 109},
  [5412] = {.lex_state = 766, .external_lex_state = 109},
  [5413] = {.lex_state = 144, .external_lex_state = 29},
  [5414] = {.lex_state = 766, .external_lex_state = 109},
  [5415] = {.lex_state = 766, .external_lex_state = 99},
  [5416] = {.lex_state = 107, .external_lex_state = 29},
  [5417] = {.lex_state = 766, .external_lex_state = 100},
  [5418] = {.lex_state = 766, .external_lex_state = 109},
  [5419] = {.lex_state = 766, .external_lex_state = 51},
  [5420] = {.lex_state = 768, .external_lex_state = 86},
  [5421] = {.lex_state = 766, .external_lex_state = 109},
  [5422] = {.lex_state = 768, .external_lex_state = 111},
  [5423] = {.lex_state = 766, .external_lex_state = 100},
  [5424] = {.lex_state = 766, .external_lex_state = 109},
  [5425] = {.lex_state = 766, .external_lex_state = 103},
  [5426] = {.lex_state = 766, .external_lex_state = 109},
  [5427] = {.lex_state = 766, .external_lex_state = 48},
  [5428] = {.lex_state = 766, .external_lex_state = 109},
  [5429] = {.lex_state = 766, .external_lex_state = 105},
  [5430] = {.lex_state = 766, .external_lex_state = 53},
  [5431] = {.lex_state = 766, .external_lex_state = 48},
  [5432] = {.lex_state = 766, .external_lex_state = 113},
  [5433] = {.lex_state = 106, .external_lex_state = 48},
  [5434] = {.lex_state = 766, .external_lex_state = 114},
  [5435] = {.lex_state = 766, .external_lex_state = 114},
  [5436] = {.lex_state = 142, .external_lex_state = 115},
  [5437] = {.lex_state = 766, .external_lex_state = 109},
  [5438] = {.lex_state = 766, .external_lex_state = 48},
  [5439] = {.lex_state = 766, .external_lex_state = 114},
  [5440] = {.lex_state = 766, .external_lex_state = 109},
  [5441] = {.lex_state = 766, .external_lex_state = 98},
  [5442] = {.lex_state = 142, .external_lex_state = 115},
  [5443] = {.lex_state = 766, .external_lex_state = 51},
  [5444] = {.lex_state = 106, .external_lex_state = 48},
  [5445] = {.lex_state = 766, .external_lex_state = 54},
  [5446] = {.lex_state = 766, .external_lex_state = 105},
  [5447] = {.lex_state = 766, .external_lex_state = 54},
  [5448] = {.lex_state = 766, .external_lex_state = 51},
  [5449] = {.lex_state = 766, .external_lex_state = 109},
  [5450] = {.lex_state = 766, .external_lex_state = 105},
  [5451] = {.lex_state = 766, .external_lex_state = 105},
  [5452] = {.lex_state = 766, .external_lex_state = 98},
  [5453] = {.lex_state = 766, .external_lex_state = 48},
  [5454] = {.lex_state = 766, .external_lex_state = 114},
  [5455] = {.lex_state = 766, .external_lex_state = 48},
  [5456] = {.lex_state = 142, .external_lex_state = 110},
  [5457] = {.lex_state = 766, .external_lex_state = 112},
  [5458] = {.lex_state = 766, .external_lex_state = 113},
  [5459] = {.lex_state = 766, .external_lex_state = 109},
  [5460] = {.lex_state = 766, .external_lex_state = 48},
  [5461] = {.lex_state = 768, .external_lex_state = 111},
  [5462] = {.lex_state = 768, .external_lex_state = 111},
  [5463] = {.lex_state = 766, .external_lex_state = 109},
  [5464] = {.lex_state = 766, .external_lex_state = 114},
  [5465] = {.lex_state = 766, .external_lex_state = 109},
  [5466] = {.lex_state = 766, .external_lex_state = 109},
  [5467] = {.lex_state = 768, .external_lex_state = 53},
  [5468] = {.lex_state = 768, .external_lex_state = 111},
  [5469] = {.lex_state = 766, .external_lex_state = 51},
  [5470] = {.lex_state = 766, .external_lex_state = 114},
  [5471] = {.lex_state = 766, .external_lex_state = 109},
  [5472] = {.lex_state = 766, .external_lex_state = 48},
  [5473] = {.lex_state = 766, .external_lex_state = 51},
  [5474] = {.lex_state = 766, .external_lex_state = 113},
  [5475] = {.lex_state = 766, .external_lex_state = 54},
  [5476] = {.lex_state = 766, .external_lex_state = 48},
  [5477] = {.lex_state = 766, .external_lex_state = 114},
  [5478] = {.lex_state = 766, .external_lex_state = 48},
  [5479] = {.lex_state = 766, .external_lex_state = 109},
  [5480] = {.lex_state = 766, .external_lex_state = 48},
  [5481] = {.lex_state = 766, .external_lex_state = 114},
  [5482] = {.lex_state = 142, .external_lex_state = 115},
  [5483] = {.lex_state = 766, .external_lex_state = 48},
  [5484] = {.lex_state = 766, .external_lex_state = 111},
  [5485] = {.lex_state = 766, .external_lex_state = 48},
  [5486] = {.lex_state = 766, .external_lex_state = 114},
  [5487] = {.lex_state = 768, .external_lex_state = 53},
  [5488] = {.lex_state = 766, .external_lex_state = 48},
  [5489] = {.lex_state = 766, .external_lex_state = 98},
  [5490] = {.lex_state = 766, .external_lex_state = 109},
  [5491] = {.lex_state = 766, .external_lex_state = 109},
  [5492] = {.lex_state = 106, .external_lex_state = 48},
  [5493] = {.lex_state = 766, .external_lex_state = 109},
  [5494] = {.lex_state = 768, .external_lex_state = 116},
  [5495] = {.lex_state = 766, .external_lex_state = 48},
  [5496] = {.lex_state = 766, .external_lex_state = 98},
  [5497] = {.lex_state = 766, .external_lex_state = 51},
  [5498] = {.lex_state = 766, .external_lex_state = 54},
  [5499] = {.lex_state = 766, .external_lex_state = 48},
  [5500] = {.lex_state = 766, .external_lex_state = 98},
  [5501] = {.lex_state = 766, .external_lex_state = 109},
  [5502] = {.lex_state = 766, .external_lex_state = 54},
  [5503] = {.lex_state = 766, .external_lex_state = 114},
  [5504] = {.lex_state = 766, .external_lex_state = 48},
  [5505] = {.lex_state = 766, .external_lex_state = 51},
  [5506] = {.lex_state = 766, .external_lex_state = 117},
  [5507] = {.lex_state = 768, .external_lex_state = 53},
  [5508] = {.lex_state = 766, .external_lex_state = 54},
  [5509] = {.lex_state = 144, .external_lex_state = 29},
  [5510] = {.lex_state = 766, .external_lex_state = 51},
  [5511] = {.lex_state = 766, .external_lex_state = 54},
  [5512] = {.lex_state = 766, .external_lex_state = 113},
  [5513] = {.lex_state = 768, .external_lex_state = 111},
  [5514] = {.lex_state = 766, .external_lex_state = 114},
  [5515] = {.lex_state = 766, .external_lex_state = 98},
  [5516] = {.lex_state = 766, .external_lex_state = 48},
  [5517] = {.lex_state = 766, .external_lex_state = 48},
  [5518] = {.lex_state = 766, .external_lex_state = 48},
  [5519] = {.lex_state = 766, .external_lex_state = 109},
  [5520] = {.lex_state = 766, .external_lex_state = 98},
  [5521] = {.lex_state = 768, .external_lex_state = 116},
  [5522] = {.lex_state = 766, .external_lex_state = 48},
  [5523] = {.lex_state = 768, .external_lex_state = 111},
  [5524] = {.lex_state = 766, .external_lex_state = 109},
  [5525] = {.lex_state = 768, .external_lex_state = 111},
  [5526] = {.lex_state = 766, .external_lex_state = 48},
  [5527] = {.lex_state = 768, .external_lex_state = 111},
  [5528] = {.lex_state = 766, .external_lex_state = 51},
  [5529] = {.lex_state = 766, .external_lex_state = 109},
  [5530] = {.lex_state = 766, .external_lex_state = 109},
  [5531] = {.lex_state = 766, .external_lex_state = 54},
  [5532] = {.lex_state = 766, .external_lex_state = 48},
  [5533] = {.lex_state = 768, .external_lex_state = 116},
  [5534] = {.lex_state = 768, .external_lex_state = 108},
  [5535] = {.lex_state = 144, .external_lex_state = 29},
  [5536] = {.lex_state = 766, .external_lex_state = 48},
  [5537] = {.lex_state = 766, .external_lex_state = 48},
  [5538] = {.lex_state = 766, .external_lex_state = 48},
  [5539] = {.lex_state = 766, .external_lex_state = 117},
  [5540] = {.lex_state = 766, .external_lex_state = 98},
  [5541] = {.lex_state = 766, .external_lex_state = 48},
  [5542] = {.lex_state = 766, .external_lex_state = 109},
  [5543] = {.lex_state = 766, .external_lex_state = 114},
  [5544] = {.lex_state = 766, .external_lex_state = 98},
  [5545] = {.lex_state = 144, .external_lex_state = 29},
  [5546] = {.lex_state = 766, .external_lex_state = 48},
  [5547] = {.lex_state = 768, .external_lex_state = 111},
  [5548] = {.lex_state = 766, .external_lex_state = 48},
  [5549] = {.lex_state = 766, .external_lex_state = 48},
  [5550] = {.lex_state = 766, .external_lex_state = 51},
  [5551] = {.lex_state = 766, .external_lex_state = 109},
  [5552] = {.lex_state = 766, .external_lex_state = 54},
  [5553] = {.lex_state = 766, .external_lex_state = 109},
  [5554] = {.lex_state = 766, .external_lex_state = 91},
  [5555] = {.lex_state = 766, .external_lex_state = 48},
  [5556] = {.lex_state = 768, .external_lex_state = 53},
  [5557] = {.lex_state = 766, .external_lex_state = 109},
  [5558] = {.lex_state = 766, .external_lex_state = 54},
  [5559] = {.lex_state = 766, .external_lex_state = 51},
  [5560] = {.lex_state = 766, .external_lex_state = 109},
  [5561] = {.lex_state = 766, .external_lex_state = 48},
  [5562] = {.lex_state = 766, .external_lex_state = 48},
  [5563] = {.lex_state = 766, .external_lex_state = 48},
  [5564] = {.lex_state = 768, .external_lex_state = 53},
  [5565] = {.lex_state = 766, .external_lex_state = 48},
  [5566] = {.lex_state = 766, .external_lex_state = 109},
  [5567] = {.lex_state = 766, .external_lex_state = 98},
  [5568] = {.lex_state = 144, .external_lex_state = 29},
  [5569] = {.lex_state = 766, .external_lex_state = 118},
  [5570] = {.lex_state = 766, .external_lex_state = 118},
  [5571] = {.lex_state = 766, .external_lex_state = 118},
  [5572] = {.lex_state = 766, .external_lex_state = 118},
  [5573] = {.lex_state = 766, .external_lex_state = 118},
  [5574] = {.lex_state = 766, .external_lex_state = 118},
  [5575] = {.lex_state = 766, .external_lex_state = 119},
  [5576] = {.lex_state = 766, .external_lex_state = 112},
  [5577] = {.lex_state = 766, .external_lex_state = 60},
  [5578] = {.lex_state = 766, .external_lex_state = 118},
  [5579] = {.lex_state = 766, .external_lex_state = 98},
  [5580] = {.lex_state = 766, .external_lex_state = 118},
  [5581] = {.lex_state = 766, .external_lex_state = 118},
  [5582] = {.lex_state = 768, .external_lex_state = 111},
  [5583] = {.lex_state = 766, .external_lex_state = 60},
  [5584] = {.lex_state = 766, .external_lex_state = 118},
  [5585] = {.lex_state = 766, .external_lex_state = 105},
  [5586] = {.lex_state = 766, .external_lex_state = 98},
  [5587] = {.lex_state = 766, .external_lex_state = 118},
  [5588] = {.lex_state = 766, .external_lex_state = 118},
  [5589] = {.lex_state = 766, .external_lex_state = 118},
  [5590] = {.lex_state = 766, .external_lex_state = 118},
  [5591] = {.lex_state = 766, .external_lex_state = 118},
  [5592] = {.lex_state = 766, .external_lex_state = 105},
  [5593] = {.lex_state = 766, .external_lex_state = 118},
  [5594] = {.lex_state = 766, .external_lex_state = 60},
  [5595] = {.lex_state = 766, .external_lex_state = 118},
  [5596] = {.lex_state = 766, .external_lex_state = 60},
  [5597] = {.lex_state = 766, .external_lex_state = 118},
  [5598] = {.lex_state = 766, .external_lex_state = 118},
  [5599] = {.lex_state = 766, .external_lex_state = 60},
  [5600] = {.lex_state = 766, .external_lex_state = 118},
  [5601] = {.lex_state = 766, .external_lex_state = 118},
  [5602] = {.lex_state = 766, .external_lex_state = 118},
  [5603] = {.lex_state = 766, .external_lex_state = 118},
  [5604] = {.lex_state = 106, .external_lex_state = 48},
  [5605] = {.lex_state = 766, .external_lex_state = 118},
  [5606] = {.lex_state = 766, .external_lex_state = 118},
  [5607] = {.lex_state = 768, .external_lex_state = 111},
  [5608] = {.lex_state = 766, .external_lex_state = 105},
  [5609] = {.lex_state = 766, .external_lex_state = 118},
  [5610] = {.lex_state = 768, .external_lex_state = 111},
  [5611] = {.lex_state = 766, .external_lex_state = 91},
  [5612] = {.lex_state = 766, .external_lex_state = 118},
  [5613] = {.lex_state = 766, .external_lex_state = 98},
  [5614] = {.lex_state = 768, .external_lex_state = 111},
  [5615] = {.lex_state = 766, .external_lex_state = 60},
  [5616] = {.lex_state = 766, .external_lex_state = 60},
  [5617] = {.lex_state = 768, .external_lex_state = 111},
  [5618] = {.lex_state = 766, .external_lex_state = 118},
  [5619] = {.lex_state = 766, .external_lex_state = 118},
  [5620] = {.lex_state = 766, .external_lex_state = 60},
  [5621] = {.lex_state = 766, .external_lex_state = 105},
  [5622] = {.lex_state = 766, .external_lex_state = 118},
  [5623] = {.lex_state = 766, .external_lex_state = 60},
  [5624] = {.lex_state = 766, .external_lex_state = 60},
  [5625] = {.lex_state = 766, .external_lex_state = 60},
  [5626] = {.lex_state = 768, .external_lex_state = 53},
  [5627] = {.lex_state = 768, .external_lex_state = 116},
  [5628] = {.lex_state = 142, .external_lex_state = 115},
  [5629] = {.lex_state = 766, .external_lex_state = 118},
  [5630] = {.lex_state = 144, .external_lex_state = 29},
  [5631] = {.lex_state = 768, .external_lex_state = 111},
  [5632] = {.lex_state = 142, .external_lex_state = 115},
  [5633] = {.lex_state = 766, .external_lex_state = 105},
  [5634] = {.lex_state = 766, .external_lex_state = 60},
  [5635] = {.lex_state = 766, .external_lex_state = 60},
  [5636] = {.lex_state = 766, .external_lex_state = 60},
  [5637] = {.lex_state = 766, .external_lex_state = 118},
  [5638] = {.lex_state = 766, .external_lex_state = 105},
  [5639] = {.lex_state = 768, .external_lex_state = 111},
  [5640] = {.lex_state = 144, .external_lex_state = 29},
  [5641] = {.lex_state = 766, .external_lex_state = 98},
  [5642] = {.lex_state = 766, .external_lex_state = 112},
  [5643] = {.lex_state = 766, .external_lex_state = 118},
  [5644] = {.lex_state = 766, .external_lex_state = 118},
  [5645] = {.lex_state = 106, .external_lex_state = 48},
  [5646] = {.lex_state = 766, .external_lex_state = 118},
  [5647] = {.lex_state = 106, .external_lex_state = 48},
  [5648] = {.lex_state = 766, .external_lex_state = 118},
  [5649] = {.lex_state = 766, .external_lex_state = 118},
  [5650] = {.lex_state = 766, .external_lex_state = 105},
  [5651] = {.lex_state = 766, .external_lex_state = 91},
  [5652] = {.lex_state = 768, .external_lex_state = 116},
  [5653] = {.lex_state = 766, .external_lex_state = 112},
  [5654] = {.lex_state = 766, .external_lex_state = 105},
  [5655] = {.lex_state = 768, .external_lex_state = 53},
  [5656] = {.lex_state = 766, .external_lex_state = 60},
  [5657] = {.lex_state = 768, .external_lex_state = 53},
  [5658] = {.lex_state = 144, .external_lex_state = 29},
  [5659] = {.lex_state = 766, .external_lex_state = 60},
  [5660] = {.lex_state = 768, .external_lex_state = 111},
  [5661] = {.lex_state = 766, .external_lex_state = 119},
  [5662] = {.lex_state = 768, .external_lex_state = 53},
  [5663] = {.lex_state = 766, .external_lex_state = 105},
  [5664] = {.lex_state = 766, .external_lex_state = 118},
  [5665] = {.lex_state = 766, .external_lex_state = 60},
  [5666] = {.lex_state = 766, .external_lex_state = 105},
  [5667] = {.lex_state = 768, .external_lex_state = 116},
  [5668] = {.lex_state = 766, .external_lex_state = 98},
  [5669] = {.lex_state = 766, .external_lex_state = 91},
  [5670] = {.lex_state = 106, .external_lex_state = 48},
  [5671] = {.lex_state = 766, .external_lex_state = 98},
  [5672] = {.lex_state = 144, .external_lex_state = 29},
  [5673] = {.lex_state = 766, .external_lex_state = 60},
  [5674] = {.lex_state = 768, .external_lex_state = 111},
  [5675] = {.lex_state = 144, .external_lex_state = 29},
  [5676] = {.lex_state = 144, .external_lex_state = 29},
  [5677] = {.lex_state = 766, .external_lex_state = 118},
  [5678] = {.lex_state = 766, .external_lex_state = 118},
  [5679] = {.lex_state = 768, .external_lex_state = 111},
  [5680] = {.lex_state = 144, .external_lex_state = 29},
  [5681] = {.lex_state = 766, .external_lex_state = 98},
  [5682] = {.lex_state = 766, .external_lex_state = 119},
  [5683] = {.lex_state = 144, .external_lex_state = 29},
  [5684] = {.lex_state = 142, .external_lex_state = 115},
  [5685] = {.lex_state = 766, .external_lex_state = 118},
  [5686] = {.lex_state = 766, .external_lex_state = 118},
  [5687] = {.lex_state = 768, .external_lex_state = 111},
  [5688] = {.lex_state = 766, .external_lex_state = 118},
  [5689] = {.lex_state = 766, .external_lex_state = 118},
  [5690] = {.lex_state = 144, .external_lex_state = 29},
  [5691] = {.lex_state = 768, .external_lex_state = 111},
  [5692] = {.lex_state = 766, .external_lex_state = 118},
  [5693] = {.lex_state = 766, .external_lex_state = 118},
  [5694] = {.lex_state = 766, .external_lex_state = 118},
  [5695] = {.lex_state = 766, .external_lex_state = 118},
  [5696] = {.lex_state = 766, .external_lex_state = 118},
  [5697] = {.lex_state = 766, .external_lex_state = 118},
  [5698] = {.lex_state = 766, .external_lex_state = 105},
  [5699] = {.lex_state = 766, .external_lex_state = 118},
  [5700] = {.lex_state = 766, .external_lex_state = 118},
  [5701] = {.lex_state = 766, .external_lex_state = 118},
  [5702] = {.lex_state = 766, .external_lex_state = 109},
  [5703] = {.lex_state = 142, .external_lex_state = 115},
  [5704] = {.lex_state = 766, .external_lex_state = 120},
  [5705] = {.lex_state = 766, .external_lex_state = 109},
  [5706] = {.lex_state = 766, .external_lex_state = 105},
  [5707] = {.lex_state = 766, .external_lex_state = 109},
  [5708] = {.lex_state = 768, .external_lex_state = 116},
  [5709] = {.lex_state = 768, .external_lex_state = 116},
  [5710] = {.lex_state = 142, .external_lex_state = 115},
  [5711] = {.lex_state = 142, .external_lex_state = 115},
  [5712] = {.lex_state = 768, .external_lex_state = 116},
  [5713] = {.lex_state = 766, .external_lex_state = 118},
  [5714] = {.lex_state = 768, .external_lex_state = 116},
  [5715] = {.lex_state = 766, .external_lex_state = 118},
  [5716] = {.lex_state = 766, .external_lex_state = 50},
  [5717] = {.lex_state = 766, .external_lex_state = 118},
  [5718] = {.lex_state = 766, .external_lex_state = 121},
  [5719] = {.lex_state = 766, .external_lex_state = 118},
  [5720] = {.lex_state = 766, .external_lex_state = 53},
  [5721] = {.lex_state = 766, .external_lex_state = 118},
  [5722] = {.lex_state = 766, .external_lex_state = 118},
  [5723] = {.lex_state = 766, .external_lex_state = 118},
  [5724] = {.lex_state = 766, .external_lex_state = 120},
  [5725] = {.lex_state = 766, .external_lex_state = 109},
  [5726] = {.lex_state = 766, .external_lex_state = 118},
  [5727] = {.lex_state = 766, .external_lex_state = 118},
  [5728] = {.lex_state = 766, .external_lex_state = 118},
  [5729] = {.lex_state = 768, .external_lex_state = 116},
  [5730] = {.lex_state = 106, .external_lex_state = 122},
  [5731] = {.lex_state = 766, .external_lex_state = 109},
  [5732] = {.lex_state = 766, .external_lex_state = 109},
  [5733] = {.lex_state = 766, .external_lex_state = 105},
  [5734] = {.lex_state = 766, .external_lex_state = 109},
  [5735] = {.lex_state = 766, .external_lex_state = 109},
  [5736] = {.lex_state = 766, .external_lex_state = 118},
  [5737] = {.lex_state = 766, .external_lex_state = 118},
  [5738] = {.lex_state = 768, .external_lex_state = 116},
  [5739] = {.lex_state = 106, .external_lex_state = 48},
  [5740] = {.lex_state = 106, .external_lex_state = 48},
  [5741] = {.lex_state = 766, .external_lex_state = 113},
  [5742] = {.lex_state = 766, .external_lex_state = 118},
  [5743] = {.lex_state = 106, .external_lex_state = 122},
  [5744] = {.lex_state = 766, .external_lex_state = 118},
  [5745] = {.lex_state = 766, .external_lex_state = 118},
  [5746] = {.lex_state = 766, .external_lex_state = 118},
  [5747] = {.lex_state = 766, .external_lex_state = 51},
  [5748] = {.lex_state = 766, .external_lex_state = 116},
  [5749] = {.lex_state = 766, .external_lex_state = 118},
  [5750] = {.lex_state = 766, .external_lex_state = 118},
  [5751] = {.lex_state = 768, .external_lex_state = 116},
  [5752] = {.lex_state = 766, .external_lex_state = 53},
  [5753] = {.lex_state = 766, .external_lex_state = 105},
  [5754] = {.lex_state = 106, .external_lex_state = 48},
  [5755] = {.lex_state = 766, .external_lex_state = 118},
  [5756] = {.lex_state = 766, .external_lex_state = 118},
  [5757] = {.lex_state = 766, .external_lex_state = 111},
  [5758] = {.lex_state = 766, .external_lex_state = 98},
  [5759] = {.lex_state = 766, .external_lex_state = 118},
  [5760] = {.lex_state = 110, .external_lex_state = 29},
  [5761] = {.lex_state = 766, .external_lex_state = 118},
  [5762] = {.lex_state = 142, .external_lex_state = 115},
  [5763] = {.lex_state = 106, .external_lex_state = 48},
  [5764] = {.lex_state = 766, .external_lex_state = 53},
  [5765] = {.lex_state = 766, .external_lex_state = 118},
  [5766] = {.lex_state = 110, .external_lex_state = 29},
  [5767] = {.lex_state = 142, .external_lex_state = 115},
  [5768] = {.lex_state = 766, .external_lex_state = 118},
  [5769] = {.lex_state = 766, .external_lex_state = 118},
  [5770] = {.lex_state = 142, .external_lex_state = 115},
  [5771] = {.lex_state = 766, .external_lex_state = 118},
  [5772] = {.lex_state = 142, .external_lex_state = 115},
  [5773] = {.lex_state = 142, .external_lex_state = 115},
  [5774] = {.lex_state = 766, .external_lex_state = 118},
  [5775] = {.lex_state = 766, .external_lex_state = 118},
  [5776] = {.lex_state = 766, .external_lex_state = 111},
  [5777] = {.lex_state = 766, .external_lex_state = 118},
  [5778] = {.lex_state = 766, .external_lex_state = 118},
  [5779] = {.lex_state = 766, .external_lex_state = 50},
  [5780] = {.lex_state = 766, .external_lex_state = 120},
  [5781] = {.lex_state = 768, .external_lex_state = 116},
  [5782] = {.lex_state = 766, .external_lex_state = 105},
  [5783] = {.lex_state = 766, .external_lex_state = 118},
  [5784] = {.lex_state = 766, .external_lex_state = 118},
  [5785] = {.lex_state = 106, .external_lex_state = 48},
  [5786] = {.lex_state = 766, .external_lex_state = 116},
  [5787] = {.lex_state = 766, .external_lex_state = 118},
  [5788] = {.lex_state = 768, .external_lex_state = 116},
  [5789] = {.lex_state = 766, .external_lex_state = 118},
  [5790] = {.lex_state = 766, .external_lex_state = 118},
  [5791] = {.lex_state = 766, .external_lex_state = 118},
  [5792] = {.lex_state = 766, .external_lex_state = 123},
  [5793] = {.lex_state = 766, .external_lex_state = 123},
  [5794] = {.lex_state = 766, .external_lex_state = 118},
  [5795] = {.lex_state = 766, .external_lex_state = 105},
  [5796] = {.lex_state = 766, .external_lex_state = 118},
  [5797] = {.lex_state = 766, .external_lex_state = 60},
  [5798] = {.lex_state = 766, .external_lex_state = 121},
  [5799] = {.lex_state = 768, .external_lex_state = 115},
  [5800] = {.lex_state = 766, .external_lex_state = 118},
  [5801] = {.lex_state = 766, .external_lex_state = 118},
  [5802] = {.lex_state = 110, .external_lex_state = 29},
  [5803] = {.lex_state = 766, .external_lex_state = 51},
  [5804] = {.lex_state = 142, .external_lex_state = 115},
  [5805] = {.lex_state = 768, .external_lex_state = 116},
  [5806] = {.lex_state = 766, .external_lex_state = 118},
  [5807] = {.lex_state = 766, .external_lex_state = 118},
  [5808] = {.lex_state = 766, .external_lex_state = 111},
  [5809] = {.lex_state = 766, .external_lex_state = 111},
  [5810] = {.lex_state = 766, .external_lex_state = 105},
  [5811] = {.lex_state = 766, .external_lex_state = 118},
  [5812] = {.lex_state = 766, .external_lex_state = 118},
  [5813] = {.lex_state = 106, .external_lex_state = 48},
  [5814] = {.lex_state = 768, .external_lex_state = 116},
  [5815] = {.lex_state = 766, .external_lex_state = 105},
  [5816] = {.lex_state = 766, .external_lex_state = 118},
  [5817] = {.lex_state = 766, .external_lex_state = 118},
  [5818] = {.lex_state = 142, .external_lex_state = 115},
  [5819] = {.lex_state = 766, .external_lex_state = 118},
  [5820] = {.lex_state = 766, .external_lex_state = 118},
  [5821] = {.lex_state = 766, .external_lex_state = 118},
  [5822] = {.lex_state = 766, .external_lex_state = 118},
  [5823] = {.lex_state = 766, .external_lex_state = 111},
  [5824] = {.lex_state = 768, .external_lex_state = 116},
  [5825] = {.lex_state = 766, .external_lex_state = 118},
  [5826] = {.lex_state = 766, .external_lex_state = 120},
  [5827] = {.lex_state = 766, .external_lex_state = 60},
  [5828] = {.lex_state = 766, .external_lex_state = 118},
  [5829] = {.lex_state = 766, .external_lex_state = 118},
  [5830] = {.lex_state = 768, .external_lex_state = 115},
  [5831] = {.lex_state = 766, .external_lex_state = 105},
  [5832] = {.lex_state = 766, .external_lex_state = 105},
  [5833] = {.lex_state = 106, .external_lex_state = 48},
  [5834] = {.lex_state = 766, .external_lex_state = 118},
  [5835] = {.lex_state = 766, .external_lex_state = 105},
  [5836] = {.lex_state = 766, .external_lex_state = 109},
  [5837] = {.lex_state = 766, .external_lex_state = 118},
  [5838] = {.lex_state = 766, .external_lex_state = 118},
  [5839] = {.lex_state = 142, .external_lex_state = 115},
  [5840] = {.lex_state = 766, .external_lex_state = 118},
  [5841] = {.lex_state = 766, .external_lex_state = 118},
  [5842] = {.lex_state = 766, .external_lex_state = 118},
  [5843] = {.lex_state = 766, .external_lex_state = 118},
  [5844] = {.lex_state = 766, .external_lex_state = 118},
  [5845] = {.lex_state = 766, .external_lex_state = 60},
  [5846] = {.lex_state = 766, .external_lex_state = 118},
  [5847] = {.lex_state = 766, .external_lex_state = 118},
  [5848] = {.lex_state = 142, .external_lex_state = 115},
  [5849] = {.lex_state = 766, .external_lex_state = 118},
  [5850] = {.lex_state = 766, .external_lex_state = 120},
  [5851] = {.lex_state = 766, .external_lex_state = 118},
  [5852] = {.lex_state = 766, .external_lex_state = 118},
  [5853] = {.lex_state = 106, .external_lex_state = 29},
  [5854] = {.lex_state = 766, .external_lex_state = 120},
  [5855] = {.lex_state = 766, .external_lex_state = 105},
  [5856] = {.lex_state = 766, .external_lex_state = 118},
  [5857] = {.lex_state = 110, .external_lex_state = 29},
  [5858] = {.lex_state = 106, .external_lex_state = 48},
  [5859] = {.lex_state = 766, .external_lex_state = 118},
  [5860] = {.lex_state = 768, .external_lex_state = 116},
  [5861] = {.lex_state = 110, .external_lex_state = 29},
  [5862] = {.lex_state = 768, .external_lex_state = 116},
  [5863] = {.lex_state = 766, .external_lex_state = 118},
  [5864] = {.lex_state = 110, .external_lex_state = 29},
  [5865] = {.lex_state = 766, .external_lex_state = 118},
  [5866] = {.lex_state = 766, .external_lex_state = 118},
  [5867] = {.lex_state = 766, .external_lex_state = 118},
  [5868] = {.lex_state = 766, .external_lex_state = 118},
  [5869] = {.lex_state = 766, .external_lex_state = 109},
  [5870] = {.lex_state = 766, .external_lex_state = 118},
  [5871] = {.lex_state = 106, .external_lex_state = 122},
  [5872] = {.lex_state = 768, .external_lex_state = 116},
  [5873] = {.lex_state = 768, .external_lex_state = 116},
  [5874] = {.lex_state = 766, .external_lex_state = 119},
  [5875] = {.lex_state = 766, .external_lex_state = 122},
  [5876] = {.lex_state = 766, .external_lex_state = 118},
  [5877] = {.lex_state = 107, .external_lex_state = 29},
  [5878] = {.lex_state = 766, .external_lex_state = 105},
  [5879] = {.lex_state = 766, .external_lex_state = 122},
  [5880] = {.lex_state = 766, .external_lex_state = 60},
  [5881] = {.lex_state = 766, .external_lex_state = 118},
  [5882] = {.lex_state = 766, .external_lex_state = 118},
  [5883] = {.lex_state = 766, .external_lex_state = 124},
  [5884] = {.lex_state = 107, .external_lex_state = 29},
  [5885] = {.lex_state = 766, .external_lex_state = 124},
  [5886] = {.lex_state = 107, .external_lex_state = 29},
  [5887] = {.lex_state = 766, .external_lex_state = 118},
  [5888] = {.lex_state = 766, .external_lex_state = 124},
  [5889] = {.lex_state = 766, .external_lex_state = 118},
  [5890] = {.lex_state = 766, .external_lex_state = 124},
  [5891] = {.lex_state = 766, .external_lex_state = 118},
  [5892] = {.lex_state = 766, .external_lex_state = 118},
  [5893] = {.lex_state = 766, .external_lex_state = 60},
  [5894] = {.lex_state = 766, .external_lex_state = 118},
  [5895] = {.lex_state = 766, .external_lex_state = 114},
  [5896] = {.lex_state = 766, .external_lex_state = 60},
  [5897] = {.lex_state = 766, .external_lex_state = 125},
  [5898] = {.lex_state = 766, .external_lex_state = 124},
  [5899] = {.lex_state = 766, .external_lex_state = 60},
  [5900] = {.lex_state = 766, .external_lex_state = 124},
  [5901] = {.lex_state = 766, .external_lex_state = 122},
  [5902] = {.lex_state = 766, .external_lex_state = 109},
  [5903] = {.lex_state = 766, .external_lex_state = 60},
  [5904] = {.lex_state = 766, .external_lex_state = 114},
  [5905] = {.lex_state = 766, .external_lex_state = 118},
  [5906] = {.lex_state = 766, .external_lex_state = 122},
  [5907] = {.lex_state = 766, .external_lex_state = 54},
  [5908] = {.lex_state = 766, .external_lex_state = 118},
  [5909] = {.lex_state = 766, .external_lex_state = 118},
  [5910] = {.lex_state = 766, .external_lex_state = 118},
  [5911] = {.lex_state = 766, .external_lex_state = 118},
  [5912] = {.lex_state = 766, .external_lex_state = 118},
  [5913] = {.lex_state = 766, .external_lex_state = 118},
  [5914] = {.lex_state = 112, .external_lex_state = 29},
  [5915] = {.lex_state = 766, .external_lex_state = 54},
  [5916] = {.lex_state = 766, .external_lex_state = 60},
  [5917] = {.lex_state = 766, .external_lex_state = 118},
  [5918] = {.lex_state = 766, .external_lex_state = 60},
  [5919] = {.lex_state = 766, .external_lex_state = 114},
  [5920] = {.lex_state = 766, .external_lex_state = 109},
  [5921] = {.lex_state = 766, .external_lex_state = 118},
  [5922] = {.lex_state = 766, .external_lex_state = 124},
  [5923] = {.lex_state = 766, .external_lex_state = 60},
  [5924] = {.lex_state = 766, .external_lex_state = 118},
  [5925] = {.lex_state = 112, .external_lex_state = 29},
  [5926] = {.lex_state = 766, .external_lex_state = 124},
  [5927] = {.lex_state = 766, .external_lex_state = 118},
  [5928] = {.lex_state = 768, .external_lex_state = 116},
  [5929] = {.lex_state = 766, .external_lex_state = 60},
  [5930] = {.lex_state = 107, .external_lex_state = 29},
  [5931] = {.lex_state = 112, .external_lex_state = 29},
  [5932] = {.lex_state = 766, .external_lex_state = 60},
  [5933] = {.lex_state = 766, .external_lex_state = 119},
  [5934] = {.lex_state = 112, .external_lex_state = 29},
  [5935] = {.lex_state = 766, .external_lex_state = 60},
  [5936] = {.lex_state = 766, .external_lex_state = 60},
  [5937] = {.lex_state = 768, .external_lex_state = 116},
  [5938] = {.lex_state = 107, .external_lex_state = 29},
  [5939] = {.lex_state = 766, .external_lex_state = 118},
  [5940] = {.lex_state = 766, .external_lex_state = 60},
  [5941] = {.lex_state = 766, .external_lex_state = 124},
  [5942] = {.lex_state = 107, .external_lex_state = 29},
  [5943] = {.lex_state = 766, .external_lex_state = 124},
  [5944] = {.lex_state = 766, .external_lex_state = 122},
  [5945] = {.lex_state = 766, .external_lex_state = 60},
  [5946] = {.lex_state = 766, .external_lex_state = 60},
  [5947] = {.lex_state = 766, .external_lex_state = 122},
  [5948] = {.lex_state = 766, .external_lex_state = 54},
  [5949] = {.lex_state = 766, .external_lex_state = 60},
  [5950] = {.lex_state = 766, .external_lex_state = 118},
  [5951] = {.lex_state = 766, .external_lex_state = 60},
  [5952] = {.lex_state = 766, .external_lex_state = 114},
  [5953] = {.lex_state = 766, .external_lex_state = 118},
  [5954] = {.lex_state = 766, .external_lex_state = 118},
  [5955] = {.lex_state = 766, .external_lex_state = 118},
  [5956] = {.lex_state = 107, .external_lex_state = 29},
  [5957] = {.lex_state = 766, .external_lex_state = 105},
  [5958] = {.lex_state = 766, .external_lex_state = 118},
  [5959] = {.lex_state = 766, .external_lex_state = 118},
  [5960] = {.lex_state = 112, .external_lex_state = 29},
  [5961] = {.lex_state = 112, .external_lex_state = 29},
  [5962] = {.lex_state = 766, .external_lex_state = 118},
  [5963] = {.lex_state = 766, .external_lex_state = 118},
  [5964] = {.lex_state = 766, .external_lex_state = 118},
  [5965] = {.lex_state = 766, .external_lex_state = 118},
  [5966] = {.lex_state = 766, .external_lex_state = 60},
  [5967] = {.lex_state = 766, .external_lex_state = 124},
  [5968] = {.lex_state = 766, .external_lex_state = 122},
  [5969] = {.lex_state = 766, .external_lex_state = 124},
  [5970] = {.lex_state = 766, .external_lex_state = 118},
  [5971] = {.lex_state = 107, .external_lex_state = 29},
  [5972] = {.lex_state = 766, .external_lex_state = 60},
  [5973] = {.lex_state = 107, .external_lex_state = 29},
  [5974] = {.lex_state = 107, .external_lex_state = 29},
  [5975] = {.lex_state = 766, .external_lex_state = 122},
  [5976] = {.lex_state = 766, .external_lex_state = 60},
  [5977] = {.lex_state = 766, .external_lex_state = 118},
  [5978] = {.lex_state = 766, .external_lex_state = 118},
  [5979] = {.lex_state = 766, .external_lex_state = 60},
  [5980] = {.lex_state = 766, .external_lex_state = 60},
  [5981] = {.lex_state = 107, .external_lex_state = 29},
  [5982] = {.lex_state = 766, .external_lex_state = 123},
  [5983] = {.lex_state = 106, .external_lex_state = 115},
  [5984] = {.lex_state = 766, .external_lex_state = 122},
  [5985] = {.lex_state = 766, .external_lex_state = 124},
  [5986] = {.lex_state = 766, .external_lex_state = 60},
  [5987] = {.lex_state = 106, .external_lex_state = 115},
  [5988] = {.lex_state = 107, .external_lex_state = 29},
  [5989] = {.lex_state = 107, .external_lex_state = 29},
  [5990] = {.lex_state = 106, .external_lex_state = 115},
  [5991] = {.lex_state = 142, .external_lex_state = 115},
  [5992] = {.lex_state = 142, .external_lex_state = 115},
  [5993] = {.lex_state = 766, .external_lex_state = 122},
  [5994] = {.lex_state = 766, .external_lex_state = 54},
  [5995] = {.lex_state = 106, .external_lex_state = 115},
  [5996] = {.lex_state = 766, .external_lex_state = 118},
  [5997] = {.lex_state = 106, .external_lex_state = 115},
  [5998] = {.lex_state = 766, .external_lex_state = 60},
  [5999] = {.lex_state = 766, .external_lex_state = 124},
  [6000] = {.lex_state = 766, .external_lex_state = 60},
  [6001] = {.lex_state = 107, .external_lex_state = 29},
  [6002] = {.lex_state = 766, .external_lex_state = 54},
  [6003] = {.lex_state = 142, .external_lex_state = 115},
  [6004] = {.lex_state = 766, .external_lex_state = 122},
  [6005] = {.lex_state = 107, .external_lex_state = 29},
  [6006] = {.lex_state = 766, .external_lex_state = 122},
  [6007] = {.lex_state = 766, .external_lex_state = 124},
  [6008] = {.lex_state = 107, .external_lex_state = 29},
  [6009] = {.lex_state = 766, .external_lex_state = 122},
  [6010] = {.lex_state = 766, .external_lex_state = 123},
  [6011] = {.lex_state = 766, .external_lex_state = 122},
  [6012] = {.lex_state = 107, .external_lex_state = 29},
  [6013] = {.lex_state = 107, .external_lex_state = 29},
  [6014] = {.lex_state = 766, .external_lex_state = 118},
  [6015] = {.lex_state = 766, .external_lex_state = 122},
  [6016] = {.lex_state = 766, .external_lex_state = 118},
  [6017] = {.lex_state = 766, .external_lex_state = 50},
  [6018] = {.lex_state = 766, .external_lex_state = 124},
  [6019] = {.lex_state = 107, .external_lex_state = 29},
  [6020] = {.lex_state = 766, .external_lex_state = 118},
  [6021] = {.lex_state = 766, .external_lex_state = 122},
  [6022] = {.lex_state = 766, .external_lex_state = 118},
  [6023] = {.lex_state = 766, .external_lex_state = 109},
  [6024] = {.lex_state = 106, .external_lex_state = 115},
  [6025] = {.lex_state = 766, .external_lex_state = 118},
  [6026] = {.lex_state = 766, .external_lex_state = 122},
  [6027] = {.lex_state = 766, .external_lex_state = 122},
  [6028] = {.lex_state = 766, .external_lex_state = 118},
  [6029] = {.lex_state = 106, .external_lex_state = 115},
  [6030] = {.lex_state = 766, .external_lex_state = 105},
  [6031] = {.lex_state = 766, .external_lex_state = 29},
  [6032] = {.lex_state = 766, .external_lex_state = 54},
  [6033] = {.lex_state = 766, .external_lex_state = 118},
  [6034] = {.lex_state = 766, .external_lex_state = 118},
  [6035] = {.lex_state = 768, .external_lex_state = 116},
  [6036] = {.lex_state = 766, .external_lex_state = 122},
  [6037] = {.lex_state = 766, .external_lex_state = 118},
  [6038] = {.lex_state = 766, .external_lex_state = 125},
  [6039] = {.lex_state = 766, .external_lex_state = 118},
  [6040] = {.lex_state = 766, .external_lex_state = 51},
  [6041] = {.lex_state = 106, .external_lex_state = 29},
  [6042] = {.lex_state = 766, .external_lex_state = 122},
  [6043] = {.lex_state = 766, .external_lex_state = 118},
  [6044] = {.lex_state = 766, .external_lex_state = 119},
  [6045] = {.lex_state = 766, .external_lex_state = 118},
  [6046] = {.lex_state = 766, .external_lex_state = 122},
  [6047] = {.lex_state = 766, .external_lex_state = 105},
  [6048] = {.lex_state = 766, .external_lex_state = 119},
  [6049] = {.lex_state = 766, .external_lex_state = 122},
  [6050] = {.lex_state = 107, .external_lex_state = 29},
  [6051] = {.lex_state = 766, .external_lex_state = 122},
  [6052] = {.lex_state = 766, .external_lex_state = 122},
  [6053] = {.lex_state = 766, .external_lex_state = 118},
  [6054] = {.lex_state = 766, .external_lex_state = 122},
  [6055] = {.lex_state = 766, .external_lex_state = 118},
  [6056] = {.lex_state = 766, .external_lex_state = 114},
  [6057] = {.lex_state = 766, .external_lex_state = 60},
  [6058] = {.lex_state = 766, .external_lex_state = 122},
  [6059] = {.lex_state = 766, .external_lex_state = 122},
  [6060] = {.lex_state = 766, .external_lex_state = 118},
  [6061] = {.lex_state = 766, .external_lex_state = 122},
  [6062] = {.lex_state = 766, .external_lex_state = 118},
  [6063] = {.lex_state = 766, .external_lex_state = 118},
  [6064] = {.lex_state = 766, .external_lex_state = 122},
  [6065] = {.lex_state = 107, .external_lex_state = 29},
  [6066] = {.lex_state = 766, .external_lex_state = 54},
  [6067] = {.lex_state = 766, .external_lex_state = 60},
  [6068] = {.lex_state = 766, .external_lex_state = 60},
  [6069] = {.lex_state = 766, .external_lex_state = 118},
  [6070] = {.lex_state = 766, .external_lex_state = 122},
  [6071] = {.lex_state = 766, .external_lex_state = 118},
  [6072] = {.lex_state = 766, .external_lex_state = 122},
  [6073] = {.lex_state = 766, .external_lex_state = 122},
  [6074] = {.lex_state = 766, .external_lex_state = 118},
  [6075] = {.lex_state = 766, .external_lex_state = 119},
  [6076] = {.lex_state = 766, .external_lex_state = 125},
  [6077] = {.lex_state = 766, .external_lex_state = 119},
  [6078] = {.lex_state = 766, .external_lex_state = 122},
  [6079] = {.lex_state = 766, .external_lex_state = 60},
  [6080] = {.lex_state = 766, .external_lex_state = 60},
  [6081] = {.lex_state = 766, .external_lex_state = 122},
  [6082] = {.lex_state = 766, .external_lex_state = 122},
  [6083] = {.lex_state = 766, .external_lex_state = 124},
  [6084] = {.lex_state = 766, .external_lex_state = 118},
  [6085] = {.lex_state = 107, .external_lex_state = 29},
  [6086] = {.lex_state = 106, .external_lex_state = 115},
  [6087] = {.lex_state = 766, .external_lex_state = 122},
  [6088] = {.lex_state = 766, .external_lex_state = 124},
  [6089] = {.lex_state = 766, .external_lex_state = 122},
  [6090] = {.lex_state = 766, .external_lex_state = 122},
  [6091] = {.lex_state = 766, .external_lex_state = 125},
  [6092] = {.lex_state = 766, .external_lex_state = 109},
  [6093] = {.lex_state = 766, .external_lex_state = 124},
  [6094] = {.lex_state = 766, .external_lex_state = 122},
  [6095] = {.lex_state = 766, .external_lex_state = 60},
  [6096] = {.lex_state = 766, .external_lex_state = 109},
  [6097] = {.lex_state = 766, .external_lex_state = 118},
  [6098] = {.lex_state = 766, .external_lex_state = 118},
  [6099] = {.lex_state = 766, .external_lex_state = 29},
  [6100] = {.lex_state = 766, .external_lex_state = 118},
  [6101] = {.lex_state = 766, .external_lex_state = 118},
  [6102] = {.lex_state = 766, .external_lex_state = 118},
  [6103] = {.lex_state = 766, .external_lex_state = 118},
  [6104] = {.lex_state = 766, .external_lex_state = 120},
  [6105] = {.lex_state = 766, .external_lex_state = 118},
  [6106] = {.lex_state = 766, .external_lex_state = 60},
  [6107] = {.lex_state = 766, .external_lex_state = 118},
  [6108] = {.lex_state = 766, .external_lex_state = 118},
  [6109] = {.lex_state = 766, .external_lex_state = 60},
  [6110] = {.lex_state = 766, .external_lex_state = 118},
  [6111] = {.lex_state = 766, .external_lex_state = 60},
  [6112] = {.lex_state = 766, .external_lex_state = 118},
  [6113] = {.lex_state = 766, .external_lex_state = 60},
  [6114] = {.lex_state = 766, .external_lex_state = 118},
  [6115] = {.lex_state = 766, .external_lex_state = 29},
  [6116] = {.lex_state = 766, .external_lex_state = 118},
  [6117] = {.lex_state = 766, .external_lex_state = 116},
  [6118] = {.lex_state = 766, .external_lex_state = 60},
  [6119] = {.lex_state = 766, .external_lex_state = 60},
  [6120] = {.lex_state = 766, .external_lex_state = 60},
  [6121] = {.lex_state = 766, .external_lex_state = 60},
  [6122] = {.lex_state = 766, .external_lex_state = 116},
  [6123] = {.lex_state = 766, .external_lex_state = 60},
  [6124] = {.lex_state = 766, .external_lex_state = 120},
  [6125] = {.lex_state = 766, .external_lex_state = 51},
  [6126] = {.lex_state = 766, .external_lex_state = 118},
  [6127] = {.lex_state = 766, .external_lex_state = 60},
  [6128] = {.lex_state = 766, .external_lex_state = 60},
  [6129] = {.lex_state = 766, .external_lex_state = 124},
  [6130] = {.lex_state = 766, .external_lex_state = 60},
  [6131] = {.lex_state = 766, .external_lex_state = 118},
  [6132] = {.lex_state = 766, .external_lex_state = 60},
  [6133] = {.lex_state = 766, .external_lex_state = 118},
  [6134] = {.lex_state = 766, .external_lex_state = 29},
  [6135] = {.lex_state = 766, .external_lex_state = 60},
  [6136] = {.lex_state = 766, .external_lex_state = 118},
  [6137] = {.lex_state = 766, .external_lex_state = 60},
  [6138] = {.lex_state = 766, .external_lex_state = 118},
  [6139] = {.lex_state = 766, .external_lex_state = 118},
  [6140] = {.lex_state = 766, .external_lex_state = 118},
  [6141] = {.lex_state = 766, .external_lex_state = 118},
  [6142] = {.lex_state = 766, .external_lex_state = 118},
  [6143] = {.lex_state = 766, .external_lex_state = 118},
  [6144] = {.lex_state = 766, .external_lex_state = 115},
  [6145] = {.lex_state = 766, .external_lex_state = 118},
  [6146] = {.lex_state = 766, .external_lex_state = 60},
  [6147] = {.lex_state = 766, .external_lex_state = 118},
  [6148] = {.lex_state = 766, .external_lex_state = 60},
  [6149] = {.lex_state = 766, .external_lex_state = 118},
  [6150] = {.lex_state = 766, .external_lex_state = 118},
  [6151] = {.lex_state = 766, .external_lex_state = 60},
  [6152] = {.lex_state = 766, .external_lex_state = 118},
  [6153] = {.lex_state = 766, .external_lex_state = 60},
  [6154] = {.lex_state = 766, .external_lex_state = 118},
  [6155] = {.lex_state = 766, .external_lex_state = 118},
  [6156] = {.lex_state = 766, .external_lex_state = 60},
  [6157] = {.lex_state = 766, .external_lex_state = 114},
  [6158] = {.lex_state = 766, .external_lex_state = 60},
  [6159] = {.lex_state = 766, .external_lex_state = 60},
  [6160] = {.lex_state = 766, .external_lex_state = 118},
  [6161] = {.lex_state = 766, .external_lex_state = 118},
  [6162] = {.lex_state = 766, .external_lex_state = 60},
  [6163] = {.lex_state = 766, .external_lex_state = 115},
  [6164] = {.lex_state = 766, .external_lex_state = 118},
  [6165] = {.lex_state = 766, .external_lex_state = 60},
  [6166] = {.lex_state = 766, .external_lex_state = 118},
  [6167] = {.lex_state = 766, .external_lex_state = 60},
  [6168] = {.lex_state = 766, .external_lex_state = 118},
  [6169] = {.lex_state = 766, .external_lex_state = 118},
  [6170] = {.lex_state = 766, .external_lex_state = 60},
  [6171] = {.lex_state = 766, .external_lex_state = 60},
  [6172] = {.lex_state = 766, .external_lex_state = 118},
  [6173] = {.lex_state = 766, .external_lex_state = 118},
  [6174] = {.lex_state = 766, .external_lex_state = 118},
  [6175] = {.lex_state = 766, .external_lex_state = 118},
  [6176] = {.lex_state = 766, .external_lex_state = 118},
  [6177] = {.lex_state = 766, .external_lex_state = 118},
  [6178] = {.lex_state = 766, .external_lex_state = 118},
  [6179] = {.lex_state = 766, .external_lex_state = 118},
  [6180] = {.lex_state = 766, .external_lex_state = 118},
  [6181] = {.lex_state = 766, .external_lex_state = 118},
  [6182] = {.lex_state = 766, .external_lex_state = 60},
  [6183] = {.lex_state = 766, .external_lex_state = 118},
  [6184] = {.lex_state = 766, .external_lex_state = 60},
  [6185] = {.lex_state = 766, .external_lex_state = 118},
  [6186] = {.lex_state = 766, .external_lex_state = 60},
  [6187] = {.lex_state = 766, .external_lex_state = 118},
  [6188] = {.lex_state = 766, .external_lex_state = 60},
  [6189] = {.lex_state = 766, .external_lex_state = 118},
  [6190] = {.lex_state = 766, .external_lex_state = 118},
  [6191] = {.lex_state = 766, .external_lex_state = 118},
  [6192] = {.lex_state = 766, .external_lex_state = 118},
  [6193] = {.lex_state = 766, .external_lex_state = 118},
  [6194] = {.lex_state = 766, .external_lex_state = 118},
  [6195] = {.lex_state = 766, .external_lex_state = 118},
  [6196] = {.lex_state = 766, .external_lex_state = 118},
  [6197] = {.lex_state = 766, .external_lex_state = 118},
  [6198] = {.lex_state = 766, .external_lex_state = 109},
  [6199] = {.lex_state = 766, .external_lex_state = 29},
  [6200] = {.lex_state = 766, .external_lex_state = 118},
  [6201] = {.lex_state = 766, .external_lex_state = 118},
  [6202] = {.lex_state = 766, .external_lex_state = 118},
  [6203] = {.lex_state = 766, .external_lex_state = 29},
  [6204] = {.lex_state = 766, .external_lex_state = 118},
  [6205] = {.lex_state = 766, .external_lex_state = 29},
  [6206] = {.lex_state = 766, .external_lex_state = 118},
  [6207] = {.lex_state = 766, .external_lex_state = 118},
  [6208] = {.lex_state = 766, .external_lex_state = 118},
  [6209] = {.lex_state = 766, .external_lex_state = 118},
  [6210] = {.lex_state = 766, .external_lex_state = 118},
  [6211] = {.lex_state = 766, .external_lex_state = 109},
  [6212] = {.lex_state = 766, .external_lex_state = 118},
  [6213] = {.lex_state = 766, .external_lex_state = 118},
  [6214] = {.lex_state = 766, .external_lex_state = 118},
  [6215] = {.lex_state = 766, .external_lex_state = 54},
  [6216] = {.lex_state = 766, .external_lex_state = 60},
  [6217] = {.lex_state = 766, .external_lex_state = 118},
  [6218] = {.lex_state = 766, .external_lex_state = 118},
  [6219] = {.lex_state = 766, .external_lex_state = 118},
  [6220] = {.lex_state = 766, .external_lex_state = 118},
  [6221] = {.lex_state = 766, .external_lex_state = 29},
  [6222] = {.lex_state = 766, .external_lex_state = 121},
  [6223] = {.lex_state = 766, .external_lex_state = 124},
  [6224] = {.lex_state = 766, .external_lex_state = 60},
  [6225] = {.lex_state = 766, .external_lex_state = 118},
  [6226] = {.lex_state = 766, .external_lex_state = 60},
  [6227] = {.lex_state = 766, .external_lex_state = 118},
  [6228] = {.lex_state = 766, .external_lex_state = 29},
  [6229] = {.lex_state = 766, .external_lex_state = 118},
  [6230] = {.lex_state = 766, .external_lex_state = 118},
  [6231] = {.lex_state = 766, .external_lex_state = 118},
  [6232] = {.lex_state = 766, .external_lex_state = 118},
  [6233] = {.lex_state = 766, .external_lex_state = 118},
  [6234] = {.lex_state = 766, .external_lex_state = 54},
  [6235] = {.lex_state = 107, .external_lex_state = 29},
  [6236] = {.lex_state = 766, .external_lex_state = 60},
  [6237] = {.lex_state = 766, .external_lex_state = 29},
  [6238] = {.lex_state = 766, .external_lex_state = 114},
  [6239] = {.lex_state = 766, .external_lex_state = 60},
  [6240] = {.lex_state = 766, .external_lex_state = 118},
  [6241] = {.lex_state = 766, .external_lex_state = 118},
  [6242] = {.lex_state = 766, .external_lex_state = 29},
  [6243] = {.lex_state = 766, .external_lex_state = 109},
  [6244] = {.lex_state = 766, .external_lex_state = 118},
  [6245] = {.lex_state = 766, .external_lex_state = 118},
  [6246] = {.lex_state = 766, .external_lex_state = 54},
  [6247] = {.lex_state = 766, .external_lex_state = 29},
  [6248] = {.lex_state = 766, .external_lex_state = 118},
  [6249] = {.lex_state = 766, .external_lex_state = 60},
  [6250] = {.lex_state = 766, .external_lex_state = 29},
  [6251] = {.lex_state = 766, .external_lex_state = 116},
  [6252] = {.lex_state = 766, .external_lex_state = 118},
  [6253] = {.lex_state = 766, .external_lex_state = 29},
  [6254] = {.lex_state = 766, .external_lex_state = 60},
  [6255] = {.lex_state = 766, .external_lex_state = 29},
  [6256] = {.lex_state = 766, .external_lex_state = 60},
  [6257] = {.lex_state = 766, .external_lex_state = 118},
  [6258] = {.lex_state = 766, .external_lex_state = 29},
  [6259] = {.lex_state = 766, .external_lex_state = 118},
  [6260] = {.lex_state = 766, .external_lex_state = 29},
  [6261] = {.lex_state = 766, .external_lex_state = 118},
  [6262] = {.lex_state = 766, .external_lex_state = 60},
  [6263] = {.lex_state = 766, .external_lex_state = 118},
  [6264] = {.lex_state = 766, .external_lex_state = 123},
  [6265] = {.lex_state = 766, .external_lex_state = 118},
  [6266] = {.lex_state = 766, .external_lex_state = 54},
  [6267] = {.lex_state = 766, .external_lex_state = 29},
  [6268] = {.lex_state = 766, .external_lex_state = 118},
  [6269] = {.lex_state = 766, .external_lex_state = 123},
  [6270] = {.lex_state = 766, .external_lex_state = 118},
  [6271] = {.lex_state = 766, .external_lex_state = 29},
  [6272] = {.lex_state = 766, .external_lex_state = 123},
  [6273] = {.lex_state = 766, .external_lex_state = 60},
  [6274] = {.lex_state = 766, .external_lex_state = 118},
  [6275] = {.lex_state = 766, .external_lex_state = 60},
  [6276] = {.lex_state = 766, .external_lex_state = 118},
  [6277] = {.lex_state = 766, .external_lex_state = 60},
  [6278] = {.lex_state = 766, .external_lex_state = 118},
  [6279] = {.lex_state = 766, .external_lex_state = 60},
  [6280] = {.lex_state = 766, .external_lex_state = 60},
  [6281] = {.lex_state = 766, .external_lex_state = 118},
  [6282] = {.lex_state = 766, .external_lex_state = 54},
  [6283] = {.lex_state = 766, .external_lex_state = 29},
  [6284] = {.lex_state = 766, .external_lex_state = 118},
  [6285] = {.lex_state = 766, .external_lex_state = 50},
  [6286] = {.lex_state = 766, .external_lex_state = 118},
  [6287] = {.lex_state = 766, .external_lex_state = 118},
  [6288] = {.lex_state = 766, .external_lex_state = 118},
  [6289] = {.lex_state = 766, .external_lex_state = 60},
  [6290] = {.lex_state = 766, .external_lex_state = 118},
  [6291] = {.lex_state = 766, .external_lex_state = 60},
  [6292] = {.lex_state = 766, .external_lex_state = 29},
  [6293] = {.lex_state = 766, .external_lex_state = 120},
  [6294] = {.lex_state = 766, .external_lex_state = 118},
  [6295] = {.lex_state = 766, .external_lex_state = 60},
  [6296] = {.lex_state = 766, .external_lex_state = 118},
  [6297] = {.lex_state = 766, .external_lex_state = 50},
  [6298] = {.lex_state = 766, .external_lex_state = 118},
  [6299] = {.lex_state = 766, .external_lex_state = 60},
  [6300] = {.lex_state = 766, .external_lex_state = 29},
  [6301] = {.lex_state = 766, .external_lex_state = 118},
  [6302] = {.lex_state = 766, .external_lex_state = 118},
  [6303] = {.lex_state = 766, .external_lex_state = 118},
  [6304] = {.lex_state = 766, .external_lex_state = 118},
  [6305] = {.lex_state = 766, .external_lex_state = 118},
  [6306] = {.lex_state = 766, .external_lex_state = 118},
  [6307] = {.lex_state = 766, .external_lex_state = 29},
  [6308] = {.lex_state = 766, .external_lex_state = 60},
  [6309] = {.lex_state = 766, .external_lex_state = 118},
  [6310] = {.lex_state = 766, .external_lex_state = 118},
  [6311] = {.lex_state = 766, .external_lex_state = 60},
  [6312] = {.lex_state = 766, .external_lex_state = 60},
  [6313] = {.lex_state = 766, .external_lex_state = 60},
  [6314] = {.lex_state = 766, .external_lex_state = 60},
  [6315] = {.lex_state = 766, .external_lex_state = 29},
  [6316] = {.lex_state = 766, .external_lex_state = 29},
  [6317] = {.lex_state = 766, .external_lex_state = 118},
  [6318] = {.lex_state = 766, .external_lex_state = 60},
  [6319] = {.lex_state = 766, .external_lex_state = 118},
  [6320] = {.lex_state = 766, .external_lex_state = 123},
  [6321] = {.lex_state = 766, .external_lex_state = 60},
  [6322] = {.lex_state = 766, .external_lex_state = 118},
  [6323] = {.lex_state = 766, .external_lex_state = 118},
  [6324] = {.lex_state = 766, .external_lex_state = 29},
  [6325] = {.lex_state = 766, .external_lex_state = 118},
  [6326] = {.lex_state = 766, .external_lex_state = 60},
  [6327] = {.lex_state = 766, .external_lex_state = 60},
  [6328] = {.lex_state = 766, .external_lex_state = 29},
  [6329] = {.lex_state = 766, .external_lex_state = 114},
  [6330] = {.lex_state = 766, .external_lex_state = 60},
  [6331] = {.lex_state = 766, .external_lex_state = 118},
  [6332] = {.lex_state = 766, .external_lex_state = 118},
  [6333] = {.lex_state = 766, .external_lex_state = 54},
  [6334] = {.lex_state = 766, .external_lex_state = 118},
  [6335] = {.lex_state = 766, .external_lex_state = 118},
  [6336] = {.lex_state = 766, .external_lex_state = 60},
  [6337] = {.lex_state = 766, .external_lex_state = 118},
  [6338] = {.lex_state = 766, .external_lex_state = 118},
  [6339] = {.lex_state = 766, .external_lex_state = 118},
  [6340] = {.lex_state = 766, .external_lex_state = 29},
  [6341] = {.lex_state = 766, .external_lex_state = 60},
  [6342] = {.lex_state = 766, .external_lex_state = 118},
  [6343] = {.lex_state = 766, .external_lex_state = 60},
  [6344] = {.lex_state = 766, .external_lex_state = 29},
  [6345] = {.lex_state = 766, .external_lex_state = 118},
  [6346] = {.lex_state = 766, .external_lex_state = 118},
  [6347] = {.lex_state = 766, .external_lex_state = 60},
  [6348] = {.lex_state = 766, .external_lex_state = 118},
  [6349] = {.lex_state = 766, .external_lex_state = 118},
  [6350] = {.lex_state = 766, .external_lex_state = 29},
  [6351] = {.lex_state = 766, .external_lex_state = 60},
  [6352] = {.lex_state = 766, .external_lex_state = 118},
  [6353] = {.lex_state = 766, .external_lex_state = 60},
  [6354] = {.lex_state = 766, .external_lex_state = 118},
  [6355] = {.lex_state = 766, .external_lex_state = 29},
  [6356] = {.lex_state = 766, .external_lex_state = 118},
  [6357] = {.lex_state = 766, .external_lex_state = 118},
  [6358] = {.lex_state = 766, .external_lex_state = 118},
  [6359] = {.lex_state = 766, .external_lex_state = 118},
  [6360] = {.lex_state = 766, .external_lex_state = 118},
  [6361] = {.lex_state = 766, .external_lex_state = 29},
  [6362] = {.lex_state = 766, .external_lex_state = 29},
  [6363] = {.lex_state = 766, .external_lex_state = 118},
  [6364] = {.lex_state = 766, .external_lex_state = 118},
  [6365] = {.lex_state = 766, .external_lex_state = 60},
  [6366] = {.lex_state = 766, .external_lex_state = 118},
  [6367] = {.lex_state = 766, .external_lex_state = 118},
  [6368] = {.lex_state = 766, .external_lex_state = 29},
  [6369] = {.lex_state = 766, .external_lex_state = 118},
  [6370] = {.lex_state = 766, .external_lex_state = 118},
  [6371] = {.lex_state = 766, .external_lex_state = 118},
  [6372] = {.lex_state = 766, .external_lex_state = 118},
  [6373] = {.lex_state = 766, .external_lex_state = 116},
  [6374] = {.lex_state = 766, .external_lex_state = 60},
  [6375] = {.lex_state = 766, .external_lex_state = 118},
  [6376] = {.lex_state = 766, .external_lex_state = 118},
  [6377] = {.lex_state = 766, .external_lex_state = 118},
  [6378] = {.lex_state = 766, .external_lex_state = 118},
  [6379] = {.lex_state = 766, .external_lex_state = 60},
  [6380] = {.lex_state = 766, .external_lex_state = 54},
  [6381] = {.lex_state = 766, .external_lex_state = 118},
  [6382] = {.lex_state = 766, .external_lex_state = 118},
  [6383] = {.lex_state = 766, .external_lex_state = 118},
  [6384] = {.lex_state = 766, .external_lex_state = 54},
  [6385] = {.lex_state = 766, .external_lex_state = 60},
  [6386] = {.lex_state = 766, .external_lex_state = 118},
  [6387] = {.lex_state = 766, .external_lex_state = 118},
  [6388] = {.lex_state = 766, .external_lex_state = 60},
  [6389] = {.lex_state = 766, .external_lex_state = 118},
  [6390] = {.lex_state = 766, .external_lex_state = 118},
  [6391] = {.lex_state = 766, .external_lex_state = 60},
  [6392] = {.lex_state = 766, .external_lex_state = 118},
  [6393] = {.lex_state = 766, .external_lex_state = 118},
  [6394] = {.lex_state = 766, .external_lex_state = 118},
  [6395] = {.lex_state = 766, .external_lex_state = 29},
  [6396] = {.lex_state = 766, .external_lex_state = 120},
  [6397] = {.lex_state = 766, .external_lex_state = 118},
  [6398] = {.lex_state = 766, .external_lex_state = 29},
  [6399] = {.lex_state = 766, .external_lex_state = 118},
  [6400] = {.lex_state = 766, .external_lex_state = 29},
  [6401] = {.lex_state = 766, .external_lex_state = 29},
  [6402] = {.lex_state = 766, .external_lex_state = 118},
  [6403] = {.lex_state = 766, .external_lex_state = 29},
  [6404] = {.lex_state = 766, .external_lex_state = 118},
  [6405] = {.lex_state = 766, .external_lex_state = 118},
  [6406] = {.lex_state = 766, .external_lex_state = 118},
  [6407] = {.lex_state = 766, .external_lex_state = 29},
  [6408] = {.lex_state = 766, .external_lex_state = 118},
  [6409] = {.lex_state = 766, .external_lex_state = 60},
  [6410] = {.lex_state = 766, .external_lex_state = 109},
  [6411] = {.lex_state = 766, .external_lex_state = 60},
  [6412] = {.lex_state = 766, .external_lex_state = 60},
  [6413] = {.lex_state = 766, .external_lex_state = 118},
  [6414] = {.lex_state = 766, .external_lex_state = 60},
  [6415] = {.lex_state = 766, .external_lex_state = 118},
  [6416] = {.lex_state = 766, .external_lex_state = 29},
  [6417] = {.lex_state = 766, .external_lex_state = 118},
  [6418] = {.lex_state = 766, .external_lex_state = 118},
  [6419] = {.lex_state = 766, .external_lex_state = 60},
  [6420] = {.lex_state = 766, .external_lex_state = 118},
  [6421] = {.lex_state = 766, .external_lex_state = 118},
  [6422] = {.lex_state = 766, .external_lex_state = 118},
  [6423] = {.lex_state = 766, .external_lex_state = 118},
  [6424] = {.lex_state = 766, .external_lex_state = 29},
  [6425] = {.lex_state = 766, .external_lex_state = 118},
  [6426] = {.lex_state = 766, .external_lex_state = 118},
  [6427] = {.lex_state = 766, .external_lex_state = 29},
  [6428] = {.lex_state = 766, .external_lex_state = 118},
  [6429] = {.lex_state = 766, .external_lex_state = 29},
  [6430] = {.lex_state = 766, .external_lex_state = 118},
  [6431] = {.lex_state = 766, .external_lex_state = 118},
  [6432] = {.lex_state = 766, .external_lex_state = 118},
  [6433] = {.lex_state = 766, .external_lex_state = 60},
  [6434] = {.lex_state = 766, .external_lex_state = 60},
  [6435] = {.lex_state = 766, .external_lex_state = 54},
  [6436] = {.lex_state = 766, .external_lex_state = 118},
  [6437] = {.lex_state = 766, .external_lex_state = 121},
  [6438] = {.lex_state = 766, .external_lex_state = 54},
  [6439] = {.lex_state = 766, .external_lex_state = 29},
  [6440] = {.lex_state = 766, .external_lex_state = 29},
  [6441] = {.lex_state = 766, .external_lex_state = 118},
  [6442] = {.lex_state = 766, .external_lex_state = 29},
  [6443] = {.lex_state = 766, .external_lex_state = 118},
  [6444] = {.lex_state = 766, .external_lex_state = 118},
  [6445] = {.lex_state = 766, .external_lex_state = 118},
  [6446] = {.lex_state = 766, .external_lex_state = 118},
  [6447] = {.lex_state = 766, .external_lex_state = 118},
  [6448] = {.lex_state = 766, .external_lex_state = 118},
  [6449] = {.lex_state = 766, .external_lex_state = 118},
  [6450] = {.lex_state = 766, .external_lex_state = 118},
  [6451] = {.lex_state = 766, .external_lex_state = 118},
  [6452] = {.lex_state = 766, .external_lex_state = 118},
  [6453] = {.lex_state = 766, .external_lex_state = 118},
  [6454] = {.lex_state = 766, .external_lex_state = 118},
  [6455] = {.lex_state = 766, .external_lex_state = 60},
  [6456] = {.lex_state = 766, .external_lex_state = 60},
  [6457] = {.lex_state = 766, .external_lex_state = 118},
  [6458] = {.lex_state = 766, .external_lex_state = 54},
  [6459] = {.lex_state = 766, .external_lex_state = 118},
  [6460] = {.lex_state = 766, .external_lex_state = 29},
  [6461] = {.lex_state = 766, .external_lex_state = 60},
  [6462] = {.lex_state = 766, .external_lex_state = 118},
  [6463] = {.lex_state = 766, .external_lex_state = 118},
  [6464] = {.lex_state = 766, .external_lex_state = 60},
  [6465] = {.lex_state = 766, .external_lex_state = 29},
  [6466] = {.lex_state = 766, .external_lex_state = 118},
  [6467] = {.lex_state = 766, .external_lex_state = 29},
  [6468] = {.lex_state = 766, .external_lex_state = 29},
  [6469] = {.lex_state = 766, .external_lex_state = 29},
  [6470] = {.lex_state = 766, .external_lex_state = 29},
  [6471] = {.lex_state = 766, .external_lex_state = 29},
  [6472] = {.lex_state = 766, .external_lex_state = 29},
  [6473] = {.lex_state = 766, .external_lex_state = 29},
  [6474] = {.lex_state = 766, .external_lex_state = 29},
  [6475] = {.lex_state = 766, .external_lex_state = 29},
  [6476] = {.lex_state = 766, .external_lex_state = 29},
  [6477] = {.lex_state = 766, .external_lex_state = 29},
  [6478] = {.lex_state = 766, .external_lex_state = 29},
  [6479] = {.lex_state = 766, .external_lex_state = 29},
  [6480] = {.lex_state = 766, .external_lex_state = 29},
  [6481] = {.lex_state = 766, .external_lex_state = 126},
  [6482] = {.lex_state = 766, .external_lex_state = 29},
  [6483] = {.lex_state = 766, .external_lex_state = 29},
  [6484] = {.lex_state = 766, .external_lex_state = 51},
  [6485] = {.lex_state = 766, .external_lex_state = 51},
  [6486] = {.lex_state = 766, .external_lex_state = 29},
  [6487] = {.lex_state = 766, .external_lex_state = 81},
  [6488] = {.lex_state = 766, .external_lex_state = 29},
  [6489] = {.lex_state = 766, .external_lex_state = 29},
  [6490] = {.lex_state = 766, .external_lex_state = 118},
  [6491] = {.lex_state = 766, .external_lex_state = 29},
  [6492] = {.lex_state = 107, .external_lex_state = 127},
  [6493] = {.lex_state = 766, .external_lex_state = 29},
  [6494] = {.lex_state = 766, .external_lex_state = 118},
  [6495] = {.lex_state = 766, .external_lex_state = 116},
  [6496] = {.lex_state = 766, .external_lex_state = 29},
  [6497] = {.lex_state = 766, .external_lex_state = 29},
  [6498] = {.lex_state = 766, .external_lex_state = 118},
  [6499] = {.lex_state = 766, .external_lex_state = 29},
  [6500] = {.lex_state = 766, .external_lex_state = 29},
  [6501] = {.lex_state = 766, .external_lex_state = 29},
  [6502] = {.lex_state = 766, .external_lex_state = 29},
  [6503] = {.lex_state = 766, .external_lex_state = 29},
  [6504] = {.lex_state = 766, .external_lex_state = 29},
  [6505] = {.lex_state = 766, .external_lex_state = 29},
  [6506] = {.lex_state = 766, .external_lex_state = 29},
  [6507] = {.lex_state = 766, .external_lex_state = 116},
  [6508] = {.lex_state = 766, .external_lex_state = 29},
  [6509] = {.lex_state = 766, .external_lex_state = 29},
  [6510] = {.lex_state = 766, .external_lex_state = 29},
  [6511] = {.lex_state = 766, .external_lex_state = 29},
  [6512] = {.lex_state = 766, .external_lex_state = 29},
  [6513] = {.lex_state = 766, .external_lex_state = 29},
  [6514] = {.lex_state = 766, .external_lex_state = 29},
  [6515] = {.lex_state = 766, .external_lex_state = 29},
  [6516] = {.lex_state = 766, .external_lex_state = 116},
  [6517] = {.lex_state = 766, .external_lex_state = 118},
  [6518] = {.lex_state = 766, .external_lex_state = 118},
  [6519] = {.lex_state = 766, .external_lex_state = 29},
  [6520] = {.lex_state = 766, .external_lex_state = 29},
  [6521] = {.lex_state = 766, .external_lex_state = 29},
  [6522] = {.lex_state = 766, .external_lex_state = 29},
  [6523] = {.lex_state = 766, .external_lex_state = 29},
  [6524] = {.lex_state = 766, .external_lex_state = 29},
  [6525] = {.lex_state = 766, .external_lex_state = 29},
  [6526] = {.lex_state = 766, .external_lex_state = 29},
  [6527] = {.lex_state = 766, .external_lex_state = 29},
  [6528] = {.lex_state = 766, .external_lex_state = 29},
  [6529] = {.lex_state = 766, .external_lex_state = 29},
  [6530] = {.lex_state = 766, .external_lex_state = 29},
  [6531] = {.lex_state = 766, .external_lex_state = 29},
  [6532] = {.lex_state = 766, .external_lex_state = 29},
  [6533] = {.lex_state = 766, .external_lex_state = 29},
  [6534] = {.lex_state = 766, .external_lex_state = 29},
  [6535] = {.lex_state = 766, .external_lex_state = 29},
  [6536] = {.lex_state = 766, .external_lex_state = 29},
  [6537] = {.lex_state = 766, .external_lex_state = 118},
  [6538] = {.lex_state = 766, .external_lex_state = 29},
  [6539] = {.lex_state = 766, .external_lex_state = 118},
  [6540] = {.lex_state = 766, .external_lex_state = 118},
  [6541] = {.lex_state = 766, .external_lex_state = 29},
  [6542] = {.lex_state = 766, .external_lex_state = 118},
  [6543] = {.lex_state = 766, .external_lex_state = 126},
  [6544] = {.lex_state = 766, .external_lex_state = 29},
  [6545] = {.lex_state = 766, .external_lex_state = 118},
  [6546] = {.lex_state = 766, .external_lex_state = 29},
  [6547] = {.lex_state = 766, .external_lex_state = 29},
  [6548] = {.lex_state = 766, .external_lex_state = 29},
  [6549] = {.lex_state = 766, .external_lex_state = 29},
  [6550] = {.lex_state = 766, .external_lex_state = 29},
  [6551] = {.lex_state = 766, .external_lex_state = 29},
  [6552] = {.lex_state = 766, .external_lex_state = 29},
  [6553] = {.lex_state = 766, .external_lex_state = 81},
  [6554] = {.lex_state = 766, .external_lex_state = 29},
  [6555] = {.lex_state = 766, .external_lex_state = 29},
  [6556] = {.lex_state = 766, .external_lex_state = 29},
  [6557] = {.lex_state = 766, .external_lex_state = 51},
  [6558] = {.lex_state = 766, .external_lex_state = 51},
  [6559] = {.lex_state = 766, .external_lex_state = 29},
  [6560] = {.lex_state = 766, .external_lex_state = 29},
  [6561] = {.lex_state = 766, .external_lex_state = 29},
  [6562] = {.lex_state = 766, .external_lex_state = 29},
  [6563] = {.lex_state = 766, .external_lex_state = 29},
  [6564] = {.lex_state = 766, .external_lex_state = 81},
  [6565] = {.lex_state = 766, .external_lex_state = 118},
  [6566] = {.lex_state = 766, .external_lex_state = 29},
  [6567] = {.lex_state = 766, .external_lex_state = 60},
  [6568] = {.lex_state = 766, .external_lex_state = 29},
  [6569] = {.lex_state = 766, .external_lex_state = 29},
  [6570] = {.lex_state = 766, .external_lex_state = 29},
  [6571] = {.lex_state = 766, .external_lex_state = 29},
  [6572] = {.lex_state = 766, .external_lex_state = 51},
  [6573] = {.lex_state = 766, .external_lex_state = 51},
  [6574] = {.lex_state = 766, .external_lex_state = 118},
  [6575] = {.lex_state = 766, .external_lex_state = 81},
  [6576] = {.lex_state = 107, .external_lex_state = 127},
  [6577] = {.lex_state = 766, .external_lex_state = 118},
  [6578] = {.lex_state = 766, .external_lex_state = 118},
  [6579] = {.lex_state = 766, .external_lex_state = 118},
  [6580] = {.lex_state = 766, .external_lex_state = 29},
  [6581] = {.lex_state = 766, .external_lex_state = 118},
  [6582] = {.lex_state = 766, .external_lex_state = 118},
  [6583] = {.lex_state = 766, .external_lex_state = 118},
  [6584] = {.lex_state = 766, .external_lex_state = 118},
  [6585] = {.lex_state = 766, .external_lex_state = 29},
  [6586] = {.lex_state = 766, .external_lex_state = 29},
  [6587] = {.lex_state = 107, .external_lex_state = 127},
  [6588] = {.lex_state = 766, .external_lex_state = 29},
  [6589] = {.lex_state = 766, .external_lex_state = 118},
  [6590] = {.lex_state = 766, .external_lex_state = 118},
  [6591] = {.lex_state = 766, .external_lex_state = 118},
  [6592] = {.lex_state = 766, .external_lex_state = 29},
  [6593] = {.lex_state = 766, .external_lex_state = 118},
  [6594] = {.lex_state = 766, .external_lex_state = 29},
  [6595] = {.lex_state = 766, .external_lex_state = 29},
  [6596] = {.lex_state = 766, .external_lex_state = 29},
  [6597] = {.lex_state = 766, .external_lex_state = 29},
  [6598] = {.lex_state = 766, .external_lex_state = 29},
  [6599] = {.lex_state = 766, .external_lex_state = 29},
  [6600] = {.lex_state = 766, .external_lex_state = 29},
  [6601] = {.lex_state = 766, .external_lex_state = 118},
  [6602] = {.lex_state = 766, .external_lex_state = 29},
  [6603] = {.lex_state = 766, .external_lex_state = 29},
  [6604] = {.lex_state = 766, .external_lex_state = 118},
  [6605] = {.lex_state = 766, .external_lex_state = 118},
  [6606] = {.lex_state = 766, .external_lex_state = 29},
  [6607] = {.lex_state = 766, .external_lex_state = 29},
  [6608] = {.lex_state = 766, .external_lex_state = 29},
  [6609] = {.lex_state = 766, .external_lex_state = 29},
  [6610] = {.lex_state = 766, .external_lex_state = 29},
  [6611] = {.lex_state = 766, .external_lex_state = 118},
  [6612] = {.lex_state = 766, .external_lex_state = 29},
  [6613] = {.lex_state = 766, .external_lex_state = 118},
  [6614] = {.lex_state = 766, .external_lex_state = 118},
  [6615] = {.lex_state = 766, .external_lex_state = 118},
  [6616] = {.lex_state = 766, .external_lex_state = 29},
  [6617] = {.lex_state = 766, .external_lex_state = 118},
  [6618] = {.lex_state = 766, .external_lex_state = 29},
  [6619] = {.lex_state = 766, .external_lex_state = 29},
  [6620] = {.lex_state = 766, .external_lex_state = 29},
  [6621] = {.lex_state = 766, .external_lex_state = 29},
  [6622] = {.lex_state = 766, .external_lex_state = 29},
  [6623] = {.lex_state = 766, .external_lex_state = 29},
  [6624] = {.lex_state = 766, .external_lex_state = 29},
  [6625] = {.lex_state = 766, .external_lex_state = 118},
  [6626] = {.lex_state = 766, .external_lex_state = 29},
  [6627] = {.lex_state = 766, .external_lex_state = 118},
  [6628] = {.lex_state = 766, .external_lex_state = 128},
  [6629] = {.lex_state = 766, .external_lex_state = 29},
  [6630] = {.lex_state = 766, .external_lex_state = 118},
  [6631] = {.lex_state = 766, .external_lex_state = 118},
  [6632] = {.lex_state = 107, .external_lex_state = 29},
  [6633] = {.lex_state = 766, .external_lex_state = 118},
  [6634] = {.lex_state = 766, .external_lex_state = 29},
  [6635] = {.lex_state = 766, .external_lex_state = 29},
  [6636] = {.lex_state = 766, .external_lex_state = 29},
  [6637] = {.lex_state = 766, .external_lex_state = 29},
  [6638] = {.lex_state = 766, .external_lex_state = 29},
  [6639] = {.lex_state = 766, .external_lex_state = 29},
  [6640] = {.lex_state = 766, .external_lex_state = 29},
  [6641] = {.lex_state = 766, .external_lex_state = 29},
  [6642] = {.lex_state = 766, .external_lex_state = 118},
  [6643] = {.lex_state = 766, .external_lex_state = 29},
  [6644] = {.lex_state = 766, .external_lex_state = 29},
  [6645] = {.lex_state = 766, .external_lex_state = 29},
  [6646] = {.lex_state = 766, .external_lex_state = 29},
  [6647] = {.lex_state = 766, .external_lex_state = 29},
  [6648] = {.lex_state = 766, .external_lex_state = 118},
  [6649] = {.lex_state = 766, .external_lex_state = 29},
  [6650] = {.lex_state = 766, .external_lex_state = 29},
  [6651] = {.lex_state = 766, .external_lex_state = 29},
  [6652] = {.lex_state = 766, .external_lex_state = 118},
  [6653] = {.lex_state = 766, .external_lex_state = 29},
  [6654] = {.lex_state = 766, .external_lex_state = 29},
  [6655] = {.lex_state = 766, .external_lex_state = 81},
  [6656] = {.lex_state = 766, .external_lex_state = 118},
  [6657] = {.lex_state = 766, .external_lex_state = 29},
  [6658] = {.lex_state = 766, .external_lex_state = 118},
  [6659] = {.lex_state = 766, .external_lex_state = 118},
  [6660] = {.lex_state = 766, .external_lex_state = 118},
  [6661] = {.lex_state = 766, .external_lex_state = 118},
  [6662] = {.lex_state = 766, .external_lex_state = 29},
  [6663] = {.lex_state = 766, .external_lex_state = 29},
  [6664] = {.lex_state = 766, .external_lex_state = 118},
  [6665] = {.lex_state = 766, .external_lex_state = 118},
  [6666] = {.lex_state = 766, .external_lex_state = 118},
  [6667] = {.lex_state = 766, .external_lex_state = 29},
  [6668] = {.lex_state = 766, .external_lex_state = 29},
  [6669] = {.lex_state = 766, .external_lex_state = 118},
  [6670] = {.lex_state = 766, .external_lex_state = 118},
  [6671] = {.lex_state = 766, .external_lex_state = 29},
  [6672] = {.lex_state = 766, .external_lex_state = 29},
  [6673] = {.lex_state = 766, .external_lex_state = 118},
  [6674] = {.lex_state = 766, .external_lex_state = 118},
  [6675] = {.lex_state = 766, .external_lex_state = 118},
  [6676] = {.lex_state = 766, .external_lex_state = 118},
  [6677] = {.lex_state = 766, .external_lex_state = 118},
  [6678] = {.lex_state = 766, .external_lex_state = 118},
  [6679] = {.lex_state = 766, .external_lex_state = 118},
  [6680] = {.lex_state = 766, .external_lex_state = 29},
  [6681] = {.lex_state = 766, .external_lex_state = 29},
  [6682] = {.lex_state = 766, .external_lex_state = 29},
  [6683] = {.lex_state = 766, .external_lex_state = 54},
  [6684] = {.lex_state = 766, .external_lex_state = 29},
  [6685] = {.lex_state = 766, .external_lex_state = 29},
  [6686] = {.lex_state = 766, .external_lex_state = 60},
  [6687] = {.lex_state = 766, .external_lex_state = 29},
  [6688] = {.lex_state = 766, .external_lex_state = 118},
  [6689] = {.lex_state = 766, .external_lex_state = 29},
  [6690] = {.lex_state = 766, .external_lex_state = 29},
  [6691] = {.lex_state = 766, .external_lex_state = 29},
  [6692] = {.lex_state = 766, .external_lex_state = 29},
  [6693] = {.lex_state = 766, .external_lex_state = 29},
  [6694] = {.lex_state = 766, .external_lex_state = 128},
  [6695] = {.lex_state = 766, .external_lex_state = 54},
  [6696] = {.lex_state = 766, .external_lex_state = 29},
  [6697] = {.lex_state = 766, .external_lex_state = 29},
  [6698] = {.lex_state = 766, .external_lex_state = 118},
  [6699] = {.lex_state = 766, .external_lex_state = 29},
  [6700] = {.lex_state = 766, .external_lex_state = 118},
  [6701] = {.lex_state = 107, .external_lex_state = 127},
  [6702] = {.lex_state = 766, .external_lex_state = 29},
  [6703] = {.lex_state = 766, .external_lex_state = 29},
  [6704] = {.lex_state = 766, .external_lex_state = 118},
  [6705] = {.lex_state = 766, .external_lex_state = 118},
  [6706] = {.lex_state = 766, .external_lex_state = 29},
  [6707] = {.lex_state = 766, .external_lex_state = 29},
  [6708] = {.lex_state = 766, .external_lex_state = 29},
  [6709] = {.lex_state = 766, .external_lex_state = 118},
  [6710] = {.lex_state = 766, .external_lex_state = 118},
  [6711] = {.lex_state = 766, .external_lex_state = 118},
  [6712] = {.lex_state = 766, .external_lex_state = 29},
  [6713] = {.lex_state = 766, .external_lex_state = 118},
  [6714] = {.lex_state = 766, .external_lex_state = 118},
  [6715] = {.lex_state = 766, .external_lex_state = 29},
  [6716] = {.lex_state = 766, .external_lex_state = 29},
  [6717] = {.lex_state = 766, .external_lex_state = 29},
  [6718] = {.lex_state = 766, .external_lex_state = 29},
  [6719] = {.lex_state = 766, .external_lex_state = 118},
  [6720] = {.lex_state = 766, .external_lex_state = 118},
  [6721] = {.lex_state = 766, .external_lex_state = 81},
  [6722] = {.lex_state = 766, .external_lex_state = 29},
  [6723] = {.lex_state = 766, .external_lex_state = 118},
  [6724] = {.lex_state = 766, .external_lex_state = 51},
  [6725] = {.lex_state = 766, .external_lex_state = 51},
  [6726] = {.lex_state = 766, .external_lex_state = 118},
  [6727] = {.lex_state = 766, .external_lex_state = 118},
  [6728] = {.lex_state = 766, .external_lex_state = 29},
  [6729] = {.lex_state = 766, .external_lex_state = 118},
  [6730] = {.lex_state = 766, .external_lex_state = 118},
  [6731] = {.lex_state = 766, .external_lex_state = 60},
  [6732] = {.lex_state = 766, .external_lex_state = 118},
  [6733] = {.lex_state = 766, .external_lex_state = 118},
  [6734] = {.lex_state = 766, .external_lex_state = 29},
  [6735] = {.lex_state = 766, .external_lex_state = 29},
  [6736] = {.lex_state = 766, .external_lex_state = 29},
  [6737] = {.lex_state = 766, .external_lex_state = 118},
  [6738] = {.lex_state = 766, .external_lex_state = 29},
  [6739] = {.lex_state = 766, .external_lex_state = 118},
  [6740] = {.lex_state = 766, .external_lex_state = 29},
  [6741] = {.lex_state = 766, .external_lex_state = 118},
  [6742] = {.lex_state = 766, .external_lex_state = 29},
  [6743] = {.lex_state = 766, .external_lex_state = 81},
  [6744] = {.lex_state = 766, .external_lex_state = 29},
  [6745] = {.lex_state = 766, .external_lex_state = 29},
  [6746] = {.lex_state = 766, .external_lex_state = 118},
  [6747] = {.lex_state = 766, .external_lex_state = 118},
  [6748] = {.lex_state = 766, .external_lex_state = 29},
  [6749] = {.lex_state = 766, .external_lex_state = 118},
  [6750] = {.lex_state = 766, .external_lex_state = 29},
  [6751] = {.lex_state = 766, .external_lex_state = 118},
  [6752] = {.lex_state = 766, .external_lex_state = 118},
  [6753] = {.lex_state = 766, .external_lex_state = 29},
  [6754] = {.lex_state = 766, .external_lex_state = 118},
  [6755] = {.lex_state = 766, .external_lex_state = 29},
  [6756] = {.lex_state = 766, .external_lex_state = 29},
  [6757] = {.lex_state = 106, .external_lex_state = 115},
  [6758] = {.lex_state = 766, .external_lex_state = 29},
  [6759] = {.lex_state = 766, .external_lex_state = 51},
  [6760] = {.lex_state = 766, .external_lex_state = 29},
  [6761] = {.lex_state = 766, .external_lex_state = 51},
  [6762] = {.lex_state = 766, .external_lex_state = 60},
  [6763] = {.lex_state = 766, .external_lex_state = 118},
  [6764] = {.lex_state = 766, .external_lex_state = 29},
  [6765] = {.lex_state = 766, .external_lex_state = 29},
  [6766] = {.lex_state = 766, .external_lex_state = 118},
  [6767] = {.lex_state = 766, .external_lex_state = 60},
  [6768] = {.lex_state = 766, .external_lex_state = 29},
  [6769] = {.lex_state = 766, .external_lex_state = 29},
  [6770] = {.lex_state = 766, .external_lex_state = 29},
  [6771] = {.lex_state = 766, .external_lex_state = 118},
  [6772] = {.lex_state = 766, .external_lex_state = 29},
  [6773] = {.lex_state = 766, .external_lex_state = 29},
  [6774] = {.lex_state = 766, .external_lex_state = 29},
  [6775] = {.lex_state = 766, .external_lex_state = 29},
  [6776] = {.lex_state = 766, .external_lex_state = 29},
  [6777] = {.lex_state = 766, .external_lex_state = 29},
  [6778] = {.lex_state = 106, .external_lex_state = 129},
  [6779] = {.lex_state = 766, .external_lex_state = 29},
  [6780] = {.lex_state = 766, .external_lex_state = 60},
  [6781] = {.lex_state = 106, .external_lex_state = 115},
  [6782] = {.lex_state = 106, .external_lex_state = 115},
  [6783] = {.lex_state = 107, .external_lex_state = 127},
  [6784] = {.lex_state = 766, .external_lex_state = 29},
  [6785] = {.lex_state = 766, .external_lex_state = 118},
  [6786] = {.lex_state = 766, .external_lex_state = 29},
  [6787] = {.lex_state = 766, .external_lex_state = 29},
  [6788] = {.lex_state = 766, .external_lex_state = 29},
  [6789] = {.lex_state = 766, .external_lex_state = 118},
  [6790] = {.lex_state = 766, .external_lex_state = 29},
  [6791] = {.lex_state = 766, .external_lex_state = 118},
  [6792] = {.lex_state = 766, .external_lex_state = 29},
  [6793] = {.lex_state = 766, .external_lex_state = 29},
  [6794] = {.lex_state = 766, .external_lex_state = 29},
  [6795] = {.lex_state = 766, .external_lex_state = 29},
  [6796] = {.lex_state = 766, .external_lex_state = 29},
  [6797] = {.lex_state = 766, .external_lex_state = 118},
  [6798] = {.lex_state = 766, .external_lex_state = 29},
  [6799] = {.lex_state = 766, .external_lex_state = 29},
  [6800] = {.lex_state = 766, .external_lex_state = 29},
  [6801] = {.lex_state = 766, .external_lex_state = 29},
  [6802] = {.lex_state = 766, .external_lex_state = 29},
  [6803] = {.lex_state = 766, .external_lex_state = 118},
  [6804] = {.lex_state = 766, .external_lex_state = 29},
  [6805] = {.lex_state = 766, .external_lex_state = 118},
  [6806] = {.lex_state = 766, .external_lex_state = 118},
  [6807] = {.lex_state = 766, .external_lex_state = 29},
  [6808] = {.lex_state = 766, .external_lex_state = 29},
  [6809] = {.lex_state = 107, .external_lex_state = 127},
  [6810] = {.lex_state = 766, .external_lex_state = 118},
  [6811] = {.lex_state = 107, .external_lex_state = 127},
  [6812] = {.lex_state = 766, .external_lex_state = 29},
  [6813] = {.lex_state = 766, .external_lex_state = 29},
  [6814] = {.lex_state = 766, .external_lex_state = 29},
  [6815] = {.lex_state = 766, .external_lex_state = 29},
  [6816] = {.lex_state = 766, .external_lex_state = 29},
  [6817] = {.lex_state = 766, .external_lex_state = 29},
  [6818] = {.lex_state = 766, .external_lex_state = 118},
  [6819] = {.lex_state = 766, .external_lex_state = 118},
  [6820] = {.lex_state = 766, .external_lex_state = 29},
  [6821] = {.lex_state = 766, .external_lex_state = 118},
  [6822] = {.lex_state = 766, .external_lex_state = 118},
  [6823] = {.lex_state = 766, .external_lex_state = 118},
  [6824] = {.lex_state = 766, .external_lex_state = 118},
  [6825] = {.lex_state = 766, .external_lex_state = 118},
  [6826] = {.lex_state = 766, .external_lex_state = 29},
  [6827] = {.lex_state = 766, .external_lex_state = 29},
  [6828] = {.lex_state = 766, .external_lex_state = 29},
  [6829] = {.lex_state = 766, .external_lex_state = 29},
  [6830] = {.lex_state = 766, .external_lex_state = 60},
  [6831] = {.lex_state = 766, .external_lex_state = 118},
  [6832] = {.lex_state = 766, .external_lex_state = 29},
  [6833] = {.lex_state = 766, .external_lex_state = 118},
  [6834] = {.lex_state = 766, .external_lex_state = 29},
  [6835] = {.lex_state = 766, .external_lex_state = 118},
  [6836] = {.lex_state = 766, .external_lex_state = 29},
  [6837] = {.lex_state = 766, .external_lex_state = 118},
  [6838] = {.lex_state = 766, .external_lex_state = 118},
  [6839] = {.lex_state = 766, .external_lex_state = 118},
  [6840] = {.lex_state = 766, .external_lex_state = 29},
  [6841] = {.lex_state = 766, .external_lex_state = 29},
  [6842] = {.lex_state = 766, .external_lex_state = 118},
  [6843] = {.lex_state = 766, .external_lex_state = 118},
  [6844] = {.lex_state = 766, .external_lex_state = 118},
  [6845] = {.lex_state = 766, .external_lex_state = 118},
  [6846] = {.lex_state = 766, .external_lex_state = 118},
  [6847] = {.lex_state = 766, .external_lex_state = 29},
  [6848] = {.lex_state = 766, .external_lex_state = 118},
  [6849] = {.lex_state = 766, .external_lex_state = 118},
  [6850] = {.lex_state = 766, .external_lex_state = 29},
  [6851] = {.lex_state = 766, .external_lex_state = 29},
  [6852] = {.lex_state = 766, .external_lex_state = 118},
  [6853] = {.lex_state = 766, .external_lex_state = 81},
  [6854] = {.lex_state = 766, .external_lex_state = 29},
  [6855] = {.lex_state = 766, .external_lex_state = 29},
  [6856] = {.lex_state = 766, .external_lex_state = 29},
  [6857] = {.lex_state = 766, .external_lex_state = 118},
  [6858] = {.lex_state = 766, .external_lex_state = 81},
  [6859] = {.lex_state = 766, .external_lex_state = 51},
  [6860] = {.lex_state = 766, .external_lex_state = 51},
  [6861] = {.lex_state = 766, .external_lex_state = 118},
  [6862] = {.lex_state = 107, .external_lex_state = 127},
  [6863] = {.lex_state = 766, .external_lex_state = 60},
  [6864] = {.lex_state = 766, .external_lex_state = 29},
  [6865] = {.lex_state = 766, .external_lex_state = 29},
  [6866] = {.lex_state = 766, .external_lex_state = 118},
  [6867] = {.lex_state = 766, .external_lex_state = 118},
  [6868] = {.lex_state = 766, .external_lex_state = 29},
  [6869] = {.lex_state = 766, .external_lex_state = 29},
  [6870] = {.lex_state = 766, .external_lex_state = 29},
  [6871] = {.lex_state = 766, .external_lex_state = 118},
  [6872] = {.lex_state = 766, .external_lex_state = 118},
  [6873] = {.lex_state = 766, .external_lex_state = 60},
  [6874] = {.lex_state = 766, .external_lex_state = 29},
  [6875] = {.lex_state = 766, .external_lex_state = 29},
  [6876] = {.lex_state = 766, .external_lex_state = 54},
  [6877] = {.lex_state = 766, .external_lex_state = 29},
  [6878] = {.lex_state = 766, .external_lex_state = 118},
  [6879] = {.lex_state = 766, .external_lex_state = 118},
  [6880] = {.lex_state = 766, .external_lex_state = 29},
  [6881] = {.lex_state = 106, .external_lex_state = 129},
  [6882] = {.lex_state = 766, .external_lex_state = 29},
  [6883] = {.lex_state = 766, .external_lex_state = 118},
  [6884] = {.lex_state = 766, .external_lex_state = 118},
  [6885] = {.lex_state = 766, .external_lex_state = 118},
  [6886] = {.lex_state = 766, .external_lex_state = 118},
  [6887] = {.lex_state = 766, .external_lex_state = 118},
  [6888] = {.lex_state = 766, .external_lex_state = 29},
  [6889] = {.lex_state = 766, .external_lex_state = 29},
  [6890] = {.lex_state = 766, .external_lex_state = 29},
  [6891] = {.lex_state = 766, .external_lex_state = 29},
  [6892] = {.lex_state = 766, .external_lex_state = 29},
  [6893] = {.lex_state = 766, .external_lex_state = 29},
  [6894] = {.lex_state = 766, .external_lex_state = 29},
  [6895] = {.lex_state = 766, .external_lex_state = 118},
  [6896] = {.lex_state = 766, .external_lex_state = 118},
  [6897] = {.lex_state = 766, .external_lex_state = 118},
  [6898] = {.lex_state = 766, .external_lex_state = 118},
  [6899] = {.lex_state = 766, .external_lex_state = 128},
  [6900] = {.lex_state = 766, .external_lex_state = 29},
  [6901] = {.lex_state = 106, .external_lex_state = 129},
  [6902] = {.lex_state = 766, .external_lex_state = 118},
  [6903] = {.lex_state = 766, .external_lex_state = 29},
  [6904] = {.lex_state = 766, .external_lex_state = 29},
  [6905] = {.lex_state = 766, .external_lex_state = 29},
  [6906] = {.lex_state = 766, .external_lex_state = 29},
  [6907] = {.lex_state = 766, .external_lex_state = 29},
  [6908] = {.lex_state = 766, .external_lex_state = 29},
  [6909] = {.lex_state = 766, .external_lex_state = 29},
  [6910] = {.lex_state = 766, .external_lex_state = 118},
  [6911] = {.lex_state = 766, .external_lex_state = 118},
  [6912] = {.lex_state = 766, .external_lex_state = 29},
  [6913] = {.lex_state = 766, .external_lex_state = 29},
  [6914] = {.lex_state = 766, .external_lex_state = 29},
  [6915] = {.lex_state = 766, .external_lex_state = 118},
  [6916] = {.lex_state = 766, .external_lex_state = 29},
  [6917] = {.lex_state = 766, .external_lex_state = 118},
  [6918] = {.lex_state = 766, .external_lex_state = 29},
  [6919] = {.lex_state = 766, .external_lex_state = 29},
  [6920] = {.lex_state = 766, .external_lex_state = 118},
  [6921] = {.lex_state = 766, .external_lex_state = 118},
  [6922] = {.lex_state = 766, .external_lex_state = 118},
  [6923] = {.lex_state = 766, .external_lex_state = 118},
  [6924] = {.lex_state = 766, .external_lex_state = 29},
  [6925] = {.lex_state = 766, .external_lex_state = 29},
  [6926] = {.lex_state = 766, .external_lex_state = 29},
  [6927] = {.lex_state = 766, .external_lex_state = 118},
  [6928] = {.lex_state = 766, .external_lex_state = 118},
  [6929] = {.lex_state = 766, .external_lex_state = 118},
  [6930] = {.lex_state = 766, .external_lex_state = 118},
  [6931] = {.lex_state = 766, .external_lex_state = 29},
  [6932] = {.lex_state = 766, .external_lex_state = 29},
  [6933] = {.lex_state = 766, .external_lex_state = 29},
  [6934] = {.lex_state = 766, .external_lex_state = 118},
  [6935] = {.lex_state = 766, .external_lex_state = 118},
  [6936] = {.lex_state = 766, .external_lex_state = 29},
  [6937] = {.lex_state = 766, .external_lex_state = 118},
  [6938] = {.lex_state = 766, .external_lex_state = 118},
  [6939] = {.lex_state = 766, .external_lex_state = 118},
  [6940] = {.lex_state = 766, .external_lex_state = 118},
  [6941] = {.lex_state = 766, .external_lex_state = 29},
  [6942] = {.lex_state = 766, .external_lex_state = 118},
  [6943] = {.lex_state = 766, .external_lex_state = 118},
  [6944] = {.lex_state = 766, .external_lex_state = 29},
  [6945] = {.lex_state = 766, .external_lex_state = 29},
  [6946] = {.lex_state = 766, .external_lex_state = 29},
  [6947] = {.lex_state = 766, .external_lex_state = 29},
  [6948] = {.lex_state = 766, .external_lex_state = 29},
  [6949] = {.lex_state = 766, .external_lex_state = 29},
  [6950] = {.lex_state = 766, .external_lex_state = 29},
  [6951] = {.lex_state = 766, .external_lex_state = 118},
  [6952] = {.lex_state = 766, .external_lex_state = 29},
  [6953] = {.lex_state = 766, .external_lex_state = 29},
  [6954] = {.lex_state = 766, .external_lex_state = 128},
  [6955] = {.lex_state = 766, .external_lex_state = 118},
  [6956] = {.lex_state = 766, .external_lex_state = 29},
  [6957] = {.lex_state = 766, .external_lex_state = 118},
  [6958] = {.lex_state = 766, .external_lex_state = 118},
  [6959] = {.lex_state = 766, .external_lex_state = 118},
  [6960] = {.lex_state = 766, .external_lex_state = 29},
  [6961] = {.lex_state = 766, .external_lex_state = 118},
  [6962] = {.lex_state = 766, .external_lex_state = 118},
  [6963] = {.lex_state = 766, .external_lex_state = 118},
  [6964] = {.lex_state = 766, .external_lex_state = 118},
  [6965] = {.lex_state = 766, .external_lex_state = 29},
  [6966] = {.lex_state = 766, .external_lex_state = 29},
  [6967] = {.lex_state = 766, .external_lex_state = 118},
  [6968] = {.lex_state = 766, .external_lex_state = 29},
  [6969] = {.lex_state = 766, .external_lex_state = 29},
  [6970] = {.lex_state = 766, .external_lex_state = 118},
  [6971] = {.lex_state = 766, .external_lex_state = 29},
  [6972] = {.lex_state = 766, .external_lex_state = 29},
  [6973] = {.lex_state = 766, .external_lex_state = 29},
  [6974] = {.lex_state = 766, .external_lex_state = 29},
  [6975] = {.lex_state = 766, .external_lex_state = 60},
  [6976] = {.lex_state = 766, .external_lex_state = 29},
  [6977] = {.lex_state = 766, .external_lex_state = 29},
  [6978] = {.lex_state = 766, .external_lex_state = 118},
  [6979] = {.lex_state = 766, .external_lex_state = 118},
  [6980] = {.lex_state = 766, .external_lex_state = 118},
  [6981] = {.lex_state = 107, .external_lex_state = 127},
  [6982] = {.lex_state = 766, .external_lex_state = 118},
  [6983] = {.lex_state = 766, .external_lex_state = 118},
  [6984] = {.lex_state = 766, .external_lex_state = 51},
  [6985] = {.lex_state = 766, .external_lex_state = 29},
  [6986] = {.lex_state = 766, .external_lex_state = 29},
  [6987] = {.lex_state = 766, .external_lex_state = 60},
  [6988] = {.lex_state = 766, .external_lex_state = 118},
  [6989] = {.lex_state = 766, .external_lex_state = 118},
  [6990] = {.lex_state = 766, .external_lex_state = 29},
  [6991] = {.lex_state = 766, .external_lex_state = 118},
  [6992] = {.lex_state = 766, .external_lex_state = 29},
  [6993] = {.lex_state = 766, .external_lex_state = 29},
  [6994] = {.lex_state = 766, .external_lex_state = 51},
  [6995] = {.lex_state = 766, .external_lex_state = 118},
  [6996] = {.lex_state = 766, .external_lex_state = 29},
  [6997] = {.lex_state = 766, .external_lex_state = 118},
  [6998] = {.lex_state = 766, .external_lex_state = 118},
  [6999] = {.lex_state = 766, .external_lex_state = 118},
  [7000] = {.lex_state = 766, .external_lex_state = 29},
  [7001] = {.lex_state = 766, .external_lex_state = 118},
  [7002] = {.lex_state = 766, .external_lex_state = 29},
  [7003] = {.lex_state = 766, .external_lex_state = 81},
  [7004] = {.lex_state = 766, .external_lex_state = 29},
  [7005] = {.lex_state = 766, .external_lex_state = 118},
  [7006] = {.lex_state = 766, .external_lex_state = 81},
  [7007] = {.lex_state = 766, .external_lex_state = 118},
  [7008] = {.lex_state = 766, .external_lex_state = 118},
  [7009] = {.lex_state = 766, .external_lex_state = 51},
  [7010] = {.lex_state = 766, .external_lex_state = 29},
  [7011] = {.lex_state = 766, .external_lex_state = 29},
  [7012] = {.lex_state = 766, .external_lex_state = 51},
  [7013] = {.lex_state = 766, .external_lex_state = 118},
  [7014] = {.lex_state = 766, .external_lex_state = 29},
  [7015] = {.lex_state = 766, .external_lex_state = 118},
  [7016] = {.lex_state = 766, .external_lex_state = 54},
  [7017] = {.lex_state = 766, .external_lex_state = 118},
  [7018] = {.lex_state = 766, .external_lex_state = 29},
  [7019] = {.lex_state = 766, .external_lex_state = 118},
  [7020] = {.lex_state = 766, .external_lex_state = 29},
  [7021] = {.lex_state = 766, .external_lex_state = 118},
  [7022] = {.lex_state = 766, .external_lex_state = 29},
  [7023] = {.lex_state = 766, .external_lex_state = 118},
  [7024] = {.lex_state = 766, .external_lex_state = 118},
  [7025] = {.lex_state = 766, .external_lex_state = 118},
  [7026] = {.lex_state = 766, .external_lex_state = 118},
  [7027] = {.lex_state = 766, .external_lex_state = 118},
  [7028] = {.lex_state = 766, .external_lex_state = 29},
  [7029] = {.lex_state = 766, .external_lex_state = 29},
  [7030] = {.lex_state = 766, .external_lex_state = 128},
  [7031] = {.lex_state = 766, .external_lex_state = 118},
  [7032] = {.lex_state = 766, .external_lex_state = 29},
  [7033] = {.lex_state = 766, .external_lex_state = 118},
  [7034] = {.lex_state = 766, .external_lex_state = 118},
  [7035] = {.lex_state = 766, .external_lex_state = 118},
  [7036] = {.lex_state = 766, .external_lex_state = 118},
  [7037] = {.lex_state = 766, .external_lex_state = 29},
  [7038] = {.lex_state = 766, .external_lex_state = 29},
  [7039] = {.lex_state = 766, .external_lex_state = 118},
  [7040] = {.lex_state = 766, .external_lex_state = 29},
  [7041] = {.lex_state = 766, .external_lex_state = 118},
  [7042] = {.lex_state = 766, .external_lex_state = 118},
  [7043] = {.lex_state = 766, .external_lex_state = 51},
  [7044] = {.lex_state = 766, .external_lex_state = 118},
  [7045] = {.lex_state = 766, .external_lex_state = 51},
  [7046] = {.lex_state = 766, .external_lex_state = 29},
  [7047] = {.lex_state = 766, .external_lex_state = 29},
  [7048] = {.lex_state = 766, .external_lex_state = 29},
  [7049] = {.lex_state = 766, .external_lex_state = 118},
  [7050] = {.lex_state = 766, .external_lex_state = 29},
  [7051] = {.lex_state = 766, .external_lex_state = 29},
  [7052] = {.lex_state = 766, .external_lex_state = 118},
  [7053] = {.lex_state = 766, .external_lex_state = 118},
  [7054] = {.lex_state = 766, .external_lex_state = 118},
  [7055] = {.lex_state = 766, .external_lex_state = 29},
  [7056] = {.lex_state = 766, .external_lex_state = 29},
  [7057] = {.lex_state = 766, .external_lex_state = 60},
  [7058] = {.lex_state = 766, .external_lex_state = 29},
  [7059] = {.lex_state = 766, .external_lex_state = 29},
  [7060] = {.lex_state = 766, .external_lex_state = 29},
  [7061] = {.lex_state = 766, .external_lex_state = 118},
  [7062] = {.lex_state = 766, .external_lex_state = 118},
  [7063] = {.lex_state = 766, .external_lex_state = 29},
  [7064] = {.lex_state = 766, .external_lex_state = 29},
  [7065] = {.lex_state = 766, .external_lex_state = 29},
  [7066] = {.lex_state = 766, .external_lex_state = 29},
  [7067] = {.lex_state = 766, .external_lex_state = 118},
  [7068] = {.lex_state = 766, .external_lex_state = 29},
  [7069] = {.lex_state = 766, .external_lex_state = 29},
  [7070] = {.lex_state = 766, .external_lex_state = 118},
  [7071] = {.lex_state = 766, .external_lex_state = 118},
  [7072] = {.lex_state = 766, .external_lex_state = 29},
  [7073] = {.lex_state = 766, .external_lex_state = 29},
  [7074] = {.lex_state = 766, .external_lex_state = 118},
  [7075] = {.lex_state = 766, .external_lex_state = 60},
  [7076] = {.lex_state = 766, .external_lex_state = 29},
  [7077] = {.lex_state = 766, .external_lex_state = 29},
  [7078] = {.lex_state = 766, .external_lex_state = 29},
  [7079] = {.lex_state = 766, .external_lex_state = 118},
  [7080] = {.lex_state = 766, .external_lex_state = 118},
  [7081] = {.lex_state = 766, .external_lex_state = 118},
  [7082] = {.lex_state = 766, .external_lex_state = 29},
  [7083] = {.lex_state = 766, .external_lex_state = 29},
  [7084] = {.lex_state = 766, .external_lex_state = 29},
  [7085] = {.lex_state = 766, .external_lex_state = 118},
  [7086] = {.lex_state = 766, .external_lex_state = 29},
  [7087] = {.lex_state = 766, .external_lex_state = 118},
  [7088] = {.lex_state = 766, .external_lex_state = 118},
  [7089] = {.lex_state = 766, .external_lex_state = 29},
  [7090] = {.lex_state = 766, .external_lex_state = 29},
  [7091] = {.lex_state = 766, .external_lex_state = 118},
  [7092] = {.lex_state = 766, .external_lex_state = 29},
  [7093] = {.lex_state = 766, .external_lex_state = 118},
  [7094] = {.lex_state = 766, .external_lex_state = 29},
  [7095] = {.lex_state = 766, .external_lex_state = 29},
  [7096] = {.lex_state = 766, .external_lex_state = 29},
  [7097] = {.lex_state = 766, .external_lex_state = 118},
  [7098] = {.lex_state = 766, .external_lex_state = 29},
  [7099] = {.lex_state = 766, .external_lex_state = 29},
  [7100] = {.lex_state = 766, .external_lex_state = 29},
  [7101] = {.lex_state = 766, .external_lex_state = 29},
  [7102] = {.lex_state = 766, .external_lex_state = 29},
  [7103] = {.lex_state = 766, .external_lex_state = 118},
  [7104] = {.lex_state = 766, .external_lex_state = 29},
  [7105] = {.lex_state = 766, .external_lex_state = 118},
  [7106] = {.lex_state = 766, .external_lex_state = 118},
  [7107] = {.lex_state = 766, .external_lex_state = 29},
  [7108] = {.lex_state = 766, .external_lex_state = 29},
  [7109] = {.lex_state = 766, .external_lex_state = 118},
  [7110] = {.lex_state = 766, .external_lex_state = 118},
  [7111] = {.lex_state = 766, .external_lex_state = 29},
  [7112] = {.lex_state = 766, .external_lex_state = 29},
  [7113] = {.lex_state = 766, .external_lex_state = 118},
  [7114] = {.lex_state = 766, .external_lex_state = 29},
  [7115] = {.lex_state = 766, .external_lex_state = 118},
  [7116] = {.lex_state = 766, .external_lex_state = 118},
  [7117] = {.lex_state = 766, .external_lex_state = 118},
  [7118] = {.lex_state = 766, .external_lex_state = 29},
  [7119] = {.lex_state = 766, .external_lex_state = 29},
  [7120] = {.lex_state = 766, .external_lex_state = 29},
  [7121] = {.lex_state = 766, .external_lex_state = 29},
  [7122] = {.lex_state = 766, .external_lex_state = 29},
  [7123] = {.lex_state = 766, .external_lex_state = 118},
  [7124] = {.lex_state = 766, .external_lex_state = 29},
  [7125] = {.lex_state = 766, .external_lex_state = 118},
  [7126] = {.lex_state = 766, .external_lex_state = 29},
  [7127] = {.lex_state = 766, .external_lex_state = 118},
  [7128] = {.lex_state = 766, .external_lex_state = 118},
  [7129] = {.lex_state = 766, .external_lex_state = 118},
  [7130] = {.lex_state = 766, .external_lex_state = 29},
  [7131] = {.lex_state = 766, .external_lex_state = 118},
  [7132] = {.lex_state = 766, .external_lex_state = 29},
  [7133] = {.lex_state = 766, .external_lex_state = 29},
  [7134] = {.lex_state = 766, .external_lex_state = 29},
  [7135] = {.lex_state = 766, .external_lex_state = 29},
  [7136] = {.lex_state = 766, .external_lex_state = 29},
  [7137] = {.lex_state = 766, .external_lex_state = 29},
  [7138] = {.lex_state = 766, .external_lex_state = 29},
  [7139] = {.lex_state = 766, .external_lex_state = 118},
  [7140] = {.lex_state = 766, .external_lex_state = 29},
  [7141] = {.lex_state = 766, .external_lex_state = 54},
  [7142] = {.lex_state = 766, .external_lex_state = 29},
  [7143] = {.lex_state = 766, .external_lex_state = 118},
  [7144] = {.lex_state = 766, .external_lex_state = 29},
  [7145] = {.lex_state = 766, .external_lex_state = 118},
  [7146] = {.lex_state = 766, .external_lex_state = 29},
  [7147] = {.lex_state = 766, .external_lex_state = 29},
  [7148] = {.lex_state = 766, .external_lex_state = 29},
  [7149] = {.lex_state = 766, .external_lex_state = 118},
  [7150] = {.lex_state = 766, .external_lex_state = 29},
  [7151] = {.lex_state = 766, .external_lex_state = 118},
  [7152] = {.lex_state = 106, .external_lex_state = 129},
  [7153] = {.lex_state = 766, .external_lex_state = 29},
  [7154] = {.lex_state = 766, .external_lex_state = 29},
  [7155] = {.lex_state = 766, .external_lex_state = 29},
  [7156] = {.lex_state = 766, .external_lex_state = 29},
  [7157] = {.lex_state = 766, .external_lex_state = 29},
  [7158] = {.lex_state = 766, .external_lex_state = 29},
  [7159] = {.lex_state = 766, .external_lex_state = 29},
  [7160] = {.lex_state = 766, .external_lex_state = 118},
  [7161] = {.lex_state = 766, .external_lex_state = 118},
  [7162] = {.lex_state = 766, .external_lex_state = 29},
  [7163] = {.lex_state = 766, .external_lex_state = 29},
  [7164] = {.lex_state = 766, .external_lex_state = 29},
  [7165] = {.lex_state = 766, .external_lex_state = 118},
  [7166] = {.lex_state = 766, .external_lex_state = 29},
  [7167] = {.lex_state = 766, .external_lex_state = 29},
  [7168] = {.lex_state = 766, .external_lex_state = 118},
  [7169] = {.lex_state = 766, .external_lex_state = 60},
  [7170] = {.lex_state = 766, .external_lex_state = 29},
  [7171] = {.lex_state = 766, .external_lex_state = 29},
  [7172] = {.lex_state = 766, .external_lex_state = 118},
  [7173] = {.lex_state = 766, .external_lex_state = 29},
  [7174] = {.lex_state = 766, .external_lex_state = 60},
  [7175] = {.lex_state = 766, .external_lex_state = 60},
  [7176] = {.lex_state = 766, .external_lex_state = 29},
  [7177] = {.lex_state = 766, .external_lex_state = 118},
  [7178] = {.lex_state = 766, .external_lex_state = 29},
  [7179] = {.lex_state = 766, .external_lex_state = 29},
  [7180] = {.lex_state = 766, .external_lex_state = 29},
  [7181] = {.lex_state = 766, .external_lex_state = 29},
  [7182] = {.lex_state = 766, .external_lex_state = 29},
  [7183] = {.lex_state = 766, .external_lex_state = 29},
  [7184] = {.lex_state = 766, .external_lex_state = 29},
  [7185] = {.lex_state = 766, .external_lex_state = 29},
  [7186] = {.lex_state = 766, .external_lex_state = 29},
  [7187] = {.lex_state = 766, .external_lex_state = 29},
  [7188] = {.lex_state = 766, .external_lex_state = 29},
  [7189] = {.lex_state = 766, .external_lex_state = 29},
  [7190] = {.lex_state = 766, .external_lex_state = 29},
  [7191] = {.lex_state = 766, .external_lex_state = 114},
  [7192] = {.lex_state = 766, .external_lex_state = 118},
  [7193] = {.lex_state = 766, .external_lex_state = 29},
  [7194] = {.lex_state = 766, .external_lex_state = 29},
  [7195] = {.lex_state = 766, .external_lex_state = 29},
  [7196] = {.lex_state = 766, .external_lex_state = 29},
  [7197] = {.lex_state = 766, .external_lex_state = 29},
  [7198] = {.lex_state = 766, .external_lex_state = 118},
  [7199] = {.lex_state = 766, .external_lex_state = 60},
  [7200] = {.lex_state = 766, .external_lex_state = 29},
  [7201] = {.lex_state = 766, .external_lex_state = 29},
  [7202] = {.lex_state = 766, .external_lex_state = 29},
  [7203] = {.lex_state = 107, .external_lex_state = 29},
  [7204] = {.lex_state = 766, .external_lex_state = 29},
  [7205] = {.lex_state = 766, .external_lex_state = 29},
  [7206] = {.lex_state = 766, .external_lex_state = 118},
  [7207] = {.lex_state = 766, .external_lex_state = 118},
  [7208] = {.lex_state = 766, .external_lex_state = 118},
  [7209] = {.lex_state = 766, .external_lex_state = 29},
  [7210] = {.lex_state = 766, .external_lex_state = 29},
  [7211] = {.lex_state = 766, .external_lex_state = 29},
  [7212] = {.lex_state = 766, .external_lex_state = 29},
  [7213] = {.lex_state = 766, .external_lex_state = 29},
  [7214] = {.lex_state = 766, .external_lex_state = 29},
  [7215] = {.lex_state = 766, .external_lex_state = 29},
  [7216] = {.lex_state = 766, .external_lex_state = 29},
  [7217] = {.lex_state = 766, .external_lex_state = 29},
  [7218] = {.lex_state = 766, .external_lex_state = 118},
  [7219] = {.lex_state = 766, .external_lex_state = 29},
  [7220] = {.lex_state = 107, .external_lex_state = 29},
  [7221] = {.lex_state = 766, .external_lex_state = 29},
  [7222] = {.lex_state = 766, .external_lex_state = 29},
  [7223] = {.lex_state = 107, .external_lex_state = 29},
  [7224] = {.lex_state = 766, .external_lex_state = 29},
  [7225] = {.lex_state = 766, .external_lex_state = 29},
  [7226] = {.lex_state = 766, .external_lex_state = 29},
  [7227] = {.lex_state = 766, .external_lex_state = 29},
  [7228] = {.lex_state = 766, .external_lex_state = 29},
  [7229] = {.lex_state = 766, .external_lex_state = 29},
  [7230] = {.lex_state = 766, .external_lex_state = 29},
  [7231] = {.lex_state = 766, .external_lex_state = 29},
  [7232] = {.lex_state = 766, .external_lex_state = 29},
  [7233] = {.lex_state = 766, .external_lex_state = 29},
  [7234] = {.lex_state = 107, .external_lex_state = 29},
  [7235] = {.lex_state = 766, .external_lex_state = 29},
  [7236] = {.lex_state = 766, .external_lex_state = 29},
  [7237] = {.lex_state = 766, .external_lex_state = 29},
  [7238] = {.lex_state = 766, .external_lex_state = 29},
  [7239] = {.lex_state = 766, .external_lex_state = 29},
  [7240] = {.lex_state = 766, .external_lex_state = 29},
  [7241] = {.lex_state = 766, .external_lex_state = 29},
  [7242] = {.lex_state = 766, .external_lex_state = 29},
  [7243] = {.lex_state = 766, .external_lex_state = 29},
  [7244] = {.lex_state = 766, .external_lex_state = 29},
  [7245] = {.lex_state = 766, .external_lex_state = 29},
  [7246] = {.lex_state = 766, .external_lex_state = 29},
  [7247] = {.lex_state = 766, .external_lex_state = 29},
  [7248] = {.lex_state = 766, .external_lex_state = 29},
  [7249] = {.lex_state = 766, .external_lex_state = 29},
  [7250] = {.lex_state = 766, .external_lex_state = 128},
  [7251] = {.lex_state = 766, .external_lex_state = 29},
  [7252] = {.lex_state = 766, .external_lex_state = 29},
  [7253] = {.lex_state = 766, .external_lex_state = 29},
  [7254] = {.lex_state = 766, .external_lex_state = 29},
  [7255] = {.lex_state = 766, .external_lex_state = 29},
  [7256] = {.lex_state = 766, .external_lex_state = 29},
  [7257] = {.lex_state = 766, .external_lex_state = 29},
  [7258] = {.lex_state = 766, .external_lex_state = 29},
  [7259] = {.lex_state = 766, .external_lex_state = 29},
  [7260] = {.lex_state = 766, .external_lex_state = 29},
  [7261] = {.lex_state = 107, .external_lex_state = 29},
  [7262] = {.lex_state = 766, .external_lex_state = 29},
  [7263] = {.lex_state = 766, .external_lex_state = 29},
  [7264] = {.lex_state = 766, .external_lex_state = 29},
  [7265] = {.lex_state = 766, .external_lex_state = 29},
  [7266] = {.lex_state = 766, .external_lex_state = 29},
  [7267] = {.lex_state = 766, .external_lex_state = 29},
  [7268] = {.lex_state = 766, .external_lex_state = 29},
  [7269] = {.lex_state = 766, .external_lex_state = 29},
  [7270] = {.lex_state = 766, .external_lex_state = 29},
  [7271] = {.lex_state = 766, .external_lex_state = 29},
  [7272] = {.lex_state = 107, .external_lex_state = 29},
  [7273] = {.lex_state = 766, .external_lex_state = 29},
  [7274] = {.lex_state = 766, .external_lex_state = 29},
  [7275] = {.lex_state = 766, .external_lex_state = 29},
  [7276] = {.lex_state = 766, .external_lex_state = 29},
  [7277] = {.lex_state = 107, .external_lex_state = 29},
  [7278] = {.lex_state = 766, .external_lex_state = 29},
  [7279] = {.lex_state = 766, .external_lex_state = 29},
  [7280] = {.lex_state = 107, .external_lex_state = 29},
  [7281] = {.lex_state = 766, .external_lex_state = 29},
  [7282] = {.lex_state = 766, .external_lex_state = 29},
  [7283] = {.lex_state = 766, .external_lex_state = 29},
  [7284] = {.lex_state = 107, .external_lex_state = 29},
  [7285] = {.lex_state = 766, .external_lex_state = 29},
  [7286] = {.lex_state = 766, .external_lex_state = 29},
  [7287] = {.lex_state = 766, .external_lex_state = 29},
  [7288] = {.lex_state = 107, .external_lex_state = 29},
  [7289] = {.lex_state = 766, .external_lex_state = 29},
  [7290] = {.lex_state = 766, .external_lex_state = 29},
  [7291] = {.lex_state = 766, .external_lex_state = 29},
  [7292] = {.lex_state = 766, .external_lex_state = 29},
  [7293] = {.lex_state = 766, .external_lex_state = 29},
  [7294] = {.lex_state = 766, .external_lex_state = 29},
  [7295] = {.lex_state = 766, .external_lex_state = 29},
  [7296] = {.lex_state = 766, .external_lex_state = 29},
  [7297] = {.lex_state = 766, .external_lex_state = 29},
  [7298] = {.lex_state = 766, .external_lex_state = 29},
  [7299] = {.lex_state = 766, .external_lex_state = 29},
  [7300] = {.lex_state = 766, .external_lex_state = 29},
  [7301] = {.lex_state = 107, .external_lex_state = 29},
  [7302] = {.lex_state = 766, .external_lex_state = 29},
  [7303] = {.lex_state = 766, .external_lex_state = 60},
  [7304] = {.lex_state = 766, .external_lex_state = 29},
  [7305] = {.lex_state = 766, .external_lex_state = 29},
  [7306] = {.lex_state = 766, .external_lex_state = 29},
  [7307] = {.lex_state = 766, .external_lex_state = 29},
  [7308] = {.lex_state = 107, .external_lex_state = 29},
  [7309] = {.lex_state = 766, .external_lex_state = 51},
  [7310] = {.lex_state = 766, .external_lex_state = 29},
  [7311] = {.lex_state = 766, .external_lex_state = 29},
  [7312] = {.lex_state = 766, .external_lex_state = 29},
  [7313] = {.lex_state = 766, .external_lex_state = 29},
  [7314] = {.lex_state = 766, .external_lex_state = 29},
  [7315] = {.lex_state = 766, .external_lex_state = 29},
  [7316] = {.lex_state = 107, .external_lex_state = 29},
  [7317] = {.lex_state = 766, .external_lex_state = 115},
  [7318] = {.lex_state = 766, .external_lex_state = 29},
  [7319] = {.lex_state = 766, .external_lex_state = 29},
  [7320] = {.lex_state = 766, .external_lex_state = 29},
  [7321] = {.lex_state = 766, .external_lex_state = 29},
  [7322] = {.lex_state = 107, .external_lex_state = 29},
  [7323] = {.lex_state = 107, .external_lex_state = 29},
  [7324] = {.lex_state = 766, .external_lex_state = 29},
  [7325] = {.lex_state = 766, .external_lex_state = 29},
  [7326] = {.lex_state = 766, .external_lex_state = 29},
  [7327] = {.lex_state = 766, .external_lex_state = 129},
  [7328] = {.lex_state = 766, .external_lex_state = 128},
  [7329] = {.lex_state = 107, .external_lex_state = 29},
  [7330] = {.lex_state = 766, .external_lex_state = 29},
  [7331] = {.lex_state = 766, .external_lex_state = 29},
  [7332] = {.lex_state = 766, .external_lex_state = 29},
  [7333] = {.lex_state = 766, .external_lex_state = 128},
  [7334] = {.lex_state = 766, .external_lex_state = 51},
  [7335] = {.lex_state = 766, .external_lex_state = 29},
  [7336] = {.lex_state = 766, .external_lex_state = 29},
  [7337] = {.lex_state = 766, .external_lex_state = 54},
  [7338] = {.lex_state = 766, .external_lex_state = 29},
  [7339] = {.lex_state = 107, .external_lex_state = 29},
  [7340] = {.lex_state = 766, .external_lex_state = 29},
  [7341] = {.lex_state = 766, .external_lex_state = 129},
  [7342] = {.lex_state = 766, .external_lex_state = 29},
  [7343] = {.lex_state = 766, .external_lex_state = 29},
  [7344] = {.lex_state = 766, .external_lex_state = 29},
  [7345] = {.lex_state = 766, .external_lex_state = 60},
  [7346] = {.lex_state = 766, .external_lex_state = 129},
  [7347] = {.lex_state = 107, .external_lex_state = 29},
  [7348] = {.lex_state = 766, .external_lex_state = 129},
  [7349] = {.lex_state = 107, .external_lex_state = 29},
  [7350] = {.lex_state = 106, .external_lex_state = 129},
  [7351] = {.lex_state = 766, .external_lex_state = 29},
  [7352] = {.lex_state = 766, .external_lex_state = 129},
  [7353] = {.lex_state = 107, .external_lex_state = 29},
  [7354] = {.lex_state = 766, .external_lex_state = 29},
  [7355] = {.lex_state = 766, .external_lex_state = 29},
  [7356] = {.lex_state = 766, .external_lex_state = 29},
  [7357] = {.lex_state = 107, .external_lex_state = 29},
  [7358] = {.lex_state = 766, .external_lex_state = 29},
  [7359] = {.lex_state = 766, .external_lex_state = 129},
  [7360] = {.lex_state = 766, .external_lex_state = 29},
  [7361] = {.lex_state = 766, .external_lex_state = 129},
  [7362] = {.lex_state = 766, .external_lex_state = 29},
  [7363] = {.lex_state = 766, .external_lex_state = 29},
  [7364] = {.lex_state = 766, .external_lex_state = 129},
  [7365] = {.lex_state = 766, .external_lex_state = 129},
  [7366] = {.lex_state = 766, .external_lex_state = 29},
  [7367] = {.lex_state = 766, .external_lex_state = 29},
  [7368] = {.lex_state = 766, .external_lex_state = 29},
  [7369] = {.lex_state = 766, .external_lex_state = 29},
  [7370] = {.lex_state = 766, .external_lex_state = 29},
  [7371] = {.lex_state = 766, .external_lex_state = 29},
  [7372] = {.lex_state = 766, .external_lex_state = 29},
  [7373] = {.lex_state = 766, .external_lex_state = 29},
  [7374] = {.lex_state = 766, .external_lex_state = 129},
  [7375] = {.lex_state = 766, .external_lex_state = 29},
  [7376] = {.lex_state = 766, .external_lex_state = 29},
  [7377] = {.lex_state = 766, .external_lex_state = 129},
  [7378] = {.lex_state = 107, .external_lex_state = 29},
  [7379] = {.lex_state = 766, .external_lex_state = 29},
  [7380] = {.lex_state = 107, .external_lex_state = 29},
  [7381] = {.lex_state = 766, .external_lex_state = 29},
  [7382] = {.lex_state = 766, .external_lex_state = 29},
  [7383] = {.lex_state = 766, .external_lex_state = 129},
  [7384] = {.lex_state = 766, .external_lex_state = 129},
  [7385] = {.lex_state = 766, .external_lex_state = 29},
  [7386] = {.lex_state = 766, .external_lex_state = 29},
  [7387] = {.lex_state = 766, .external_lex_state = 29},
  [7388] = {.lex_state = 766, .external_lex_state = 29},
  [7389] = {.lex_state = 766, .external_lex_state = 29},
  [7390] = {.lex_state = 766, .external_lex_state = 129},
  [7391] = {.lex_state = 766, .external_lex_state = 129},
  [7392] = {.lex_state = 766, .external_lex_state = 29},
  [7393] = {.lex_state = 766, .external_lex_state = 81},
  [7394] = {.lex_state = 766, .external_lex_state = 29},
  [7395] = {.lex_state = 107, .external_lex_state = 29},
  [7396] = {.lex_state = 766, .external_lex_state = 29},
  [7397] = {.lex_state = 766, .external_lex_state = 129},
  [7398] = {.lex_state = 766, .external_lex_state = 29},
  [7399] = {.lex_state = 766, .external_lex_state = 29},
  [7400] = {.lex_state = 766, .external_lex_state = 129},
  [7401] = {.lex_state = 766, .external_lex_state = 29},
  [7402] = {.lex_state = 766, .external_lex_state = 29},
  [7403] = {.lex_state = 766, .external_lex_state = 29},
  [7404] = {.lex_state = 766, .external_lex_state = 29},
  [7405] = {.lex_state = 766, .external_lex_state = 29},
  [7406] = {.lex_state = 766, .external_lex_state = 29},
  [7407] = {.lex_state = 107, .external_lex_state = 29},
  [7408] = {.lex_state = 766, .external_lex_state = 51},
  [7409] = {.lex_state = 766, .external_lex_state = 115},
  [7410] = {.lex_state = 766, .external_lex_state = 29},
  [7411] = {.lex_state = 766, .external_lex_state = 129},
  [7412] = {.lex_state = 766, .external_lex_state = 29},
  [7413] = {.lex_state = 766, .external_lex_state = 29},
  [7414] = {.lex_state = 766, .external_lex_state = 129},
  [7415] = {.lex_state = 766, .external_lex_state = 29},
  [7416] = {.lex_state = 766, .external_lex_state = 29},
  [7417] = {.lex_state = 766, .external_lex_state = 29},
  [7418] = {.lex_state = 107, .external_lex_state = 29},
  [7419] = {.lex_state = 766, .external_lex_state = 29},
  [7420] = {.lex_state = 766, .external_lex_state = 29},
  [7421] = {.lex_state = 766, .external_lex_state = 29},
  [7422] = {.lex_state = 766, .external_lex_state = 29},
  [7423] = {.lex_state = 766, .external_lex_state = 29},
  [7424] = {.lex_state = 766, .external_lex_state = 129},
  [7425] = {.lex_state = 766, .external_lex_state = 129},
  [7426] = {.lex_state = 766, .external_lex_state = 29},
  [7427] = {.lex_state = 766, .external_lex_state = 29},
  [7428] = {.lex_state = 107, .external_lex_state = 29},
  [7429] = {.lex_state = 766, .external_lex_state = 129},
  [7430] = {.lex_state = 766, .external_lex_state = 129},
  [7431] = {.lex_state = 766, .external_lex_state = 29},
  [7432] = {.lex_state = 766, .external_lex_state = 29},
  [7433] = {.lex_state = 766, .external_lex_state = 29},
  [7434] = {.lex_state = 766, .external_lex_state = 29},
  [7435] = {.lex_state = 766, .external_lex_state = 29},
  [7436] = {.lex_state = 766, .external_lex_state = 129},
  [7437] = {.lex_state = 766, .external_lex_state = 129},
  [7438] = {.lex_state = 766, .external_lex_state = 29},
  [7439] = {.lex_state = 766, .external_lex_state = 29},
  [7440] = {.lex_state = 107, .external_lex_state = 55},
  [7441] = {.lex_state = 766, .external_lex_state = 29},
  [7442] = {.lex_state = 766, .external_lex_state = 29},
  [7443] = {.lex_state = 107, .external_lex_state = 29},
  [7444] = {.lex_state = 766, .external_lex_state = 129},
  [7445] = {.lex_state = 766, .external_lex_state = 129},
  [7446] = {.lex_state = 766, .external_lex_state = 29},
  [7447] = {.lex_state = 766, .external_lex_state = 51},
  [7448] = {.lex_state = 766, .external_lex_state = 29},
  [7449] = {.lex_state = 766, .external_lex_state = 29},
  [7450] = {.lex_state = 766, .external_lex_state = 29},
  [7451] = {.lex_state = 766, .external_lex_state = 29},
  [7452] = {.lex_state = 766, .external_lex_state = 129},
  [7453] = {.lex_state = 766, .external_lex_state = 29},
  [7454] = {.lex_state = 766, .external_lex_state = 115},
  [7455] = {.lex_state = 766, .external_lex_state = 129},
  [7456] = {.lex_state = 766, .external_lex_state = 29},
  [7457] = {.lex_state = 766, .external_lex_state = 29},
  [7458] = {.lex_state = 766, .external_lex_state = 29},
  [7459] = {.lex_state = 107, .external_lex_state = 29},
  [7460] = {.lex_state = 766, .external_lex_state = 129},
  [7461] = {.lex_state = 766, .external_lex_state = 128},
  [7462] = {.lex_state = 766, .external_lex_state = 54},
  [7463] = {.lex_state = 766, .external_lex_state = 51},
  [7464] = {.lex_state = 766, .external_lex_state = 54},
  [7465] = {.lex_state = 766, .external_lex_state = 128},
  [7466] = {.lex_state = 766, .external_lex_state = 129},
  [7467] = {.lex_state = 766, .external_lex_state = 129},
  [7468] = {.lex_state = 766, .external_lex_state = 29},
  [7469] = {.lex_state = 766, .external_lex_state = 29},
  [7470] = {.lex_state = 766, .external_lex_state = 29},
  [7471] = {.lex_state = 766, .external_lex_state = 29},
  [7472] = {.lex_state = 766, .external_lex_state = 29},
  [7473] = {.lex_state = 766, .external_lex_state = 129},
  [7474] = {.lex_state = 766, .external_lex_state = 29},
  [7475] = {.lex_state = 766, .external_lex_state = 29},
  [7476] = {.lex_state = 766, .external_lex_state = 129},
  [7477] = {.lex_state = 766, .external_lex_state = 29},
  [7478] = {.lex_state = 766, .external_lex_state = 29},
  [7479] = {.lex_state = 107, .external_lex_state = 29},
  [7480] = {.lex_state = 766, .external_lex_state = 29},
  [7481] = {.lex_state = 766, .external_lex_state = 29},
  [7482] = {.lex_state = 766, .external_lex_state = 129},
  [7483] = {.lex_state = 766, .external_lex_state = 29},
  [7484] = {.lex_state = 766, .external_lex_state = 29},
  [7485] = {.lex_state = 766, .external_lex_state = 29},
  [7486] = {.lex_state = 766, .external_lex_state = 29},
  [7487] = {.lex_state = 766, .external_lex_state = 29},
  [7488] = {.lex_state = 766, .external_lex_state = 29},
  [7489] = {.lex_state = 766, .external_lex_state = 29},
  [7490] = {.lex_state = 766, .external_lex_state = 29},
  [7491] = {.lex_state = 107, .external_lex_state = 29},
  [7492] = {.lex_state = 766, .external_lex_state = 51},
  [7493] = {.lex_state = 766, .external_lex_state = 29},
  [7494] = {.lex_state = 766, .external_lex_state = 29},
  [7495] = {.lex_state = 766, .external_lex_state = 51},
  [7496] = {.lex_state = 766, .external_lex_state = 29},
  [7497] = {.lex_state = 766, .external_lex_state = 29},
  [7498] = {.lex_state = 766, .external_lex_state = 129},
  [7499] = {.lex_state = 766, .external_lex_state = 29},
  [7500] = {.lex_state = 766, .external_lex_state = 115},
  [7501] = {.lex_state = 766, .external_lex_state = 29},
  [7502] = {.lex_state = 766, .external_lex_state = 29},
  [7503] = {.lex_state = 766, .external_lex_state = 128},
  [7504] = {.lex_state = 766, .external_lex_state = 29},
  [7505] = {.lex_state = 766, .external_lex_state = 129},
  [7506] = {.lex_state = 766, .external_lex_state = 129},
  [7507] = {.lex_state = 766, .external_lex_state = 29},
  [7508] = {.lex_state = 766, .external_lex_state = 51},
  [7509] = {.lex_state = 766, .external_lex_state = 54},
  [7510] = {.lex_state = 766, .external_lex_state = 29},
  [7511] = {.lex_state = 766, .external_lex_state = 29},
  [7512] = {.lex_state = 766, .external_lex_state = 129},
  [7513] = {.lex_state = 766, .external_lex_state = 129},
  [7514] = {.lex_state = 766, .external_lex_state = 29},
  [7515] = {.lex_state = 766, .external_lex_state = 29},
  [7516] = {.lex_state = 766, .external_lex_state = 129},
  [7517] = {.lex_state = 766, .external_lex_state = 29},
  [7518] = {.lex_state = 766, .external_lex_state = 29},
  [7519] = {.lex_state = 766, .external_lex_state = 129},
  [7520] = {.lex_state = 107, .external_lex_state = 29},
  [7521] = {.lex_state = 107, .external_lex_state = 29},
  [7522] = {.lex_state = 766, .external_lex_state = 129},
  [7523] = {.lex_state = 766, .external_lex_state = 129},
  [7524] = {.lex_state = 766, .external_lex_state = 29},
  [7525] = {.lex_state = 766, .external_lex_state = 29},
  [7526] = {.lex_state = 766, .external_lex_state = 29},
  [7527] = {.lex_state = 766, .external_lex_state = 29},
  [7528] = {.lex_state = 766, .external_lex_state = 29},
  [7529] = {.lex_state = 766, .external_lex_state = 29},
  [7530] = {.lex_state = 766, .external_lex_state = 129},
  [7531] = {.lex_state = 766, .external_lex_state = 51},
  [7532] = {.lex_state = 766, .external_lex_state = 29},
  [7533] = {.lex_state = 107, .external_lex_state = 29},
  [7534] = {.lex_state = 766, .external_lex_state = 115},
  [7535] = {.lex_state = 766, .external_lex_state = 129},
  [7536] = {.lex_state = 766, .external_lex_state = 29},
  [7537] = {.lex_state = 766, .external_lex_state = 29},
  [7538] = {.lex_state = 766, .external_lex_state = 129},
  [7539] = {.lex_state = 766, .external_lex_state = 29},
  [7540] = {.lex_state = 766, .external_lex_state = 51},
  [7541] = {.lex_state = 766, .external_lex_state = 29},
  [7542] = {.lex_state = 766, .external_lex_state = 29},
  [7543] = {.lex_state = 766, .external_lex_state = 29},
  [7544] = {.lex_state = 766, .external_lex_state = 129},
  [7545] = {.lex_state = 766, .external_lex_state = 129},
  [7546] = {.lex_state = 766, .external_lex_state = 129},
  [7547] = {.lex_state = 766, .external_lex_state = 29},
  [7548] = {.lex_state = 766, .external_lex_state = 29},
  [7549] = {.lex_state = 107, .external_lex_state = 29},
  [7550] = {.lex_state = 766, .external_lex_state = 29},
  [7551] = {.lex_state = 766, .external_lex_state = 29},
  [7552] = {.lex_state = 766, .external_lex_state = 29},
  [7553] = {.lex_state = 766, .external_lex_state = 29},
  [7554] = {.lex_state = 766, .external_lex_state = 29},
  [7555] = {.lex_state = 766, .external_lex_state = 51},
  [7556] = {.lex_state = 766, .external_lex_state = 129},
  [7557] = {.lex_state = 766, .external_lex_state = 129},
  [7558] = {.lex_state = 766, .external_lex_state = 115},
  [7559] = {.lex_state = 766, .external_lex_state = 129},
  [7560] = {.lex_state = 766, .external_lex_state = 129},
  [7561] = {.lex_state = 766, .external_lex_state = 29},
  [7562] = {.lex_state = 766, .external_lex_state = 129},
  [7563] = {.lex_state = 766, .external_lex_state = 29},
  [7564] = {.lex_state = 766, .external_lex_state = 51},
  [7565] = {.lex_state = 107, .external_lex_state = 29},
  [7566] = {.lex_state = 766, .external_lex_state = 29},
  [7567] = {.lex_state = 766, .external_lex_state = 129},
  [7568] = {.lex_state = 766, .external_lex_state = 129},
  [7569] = {.lex_state = 766, .external_lex_state = 29},
  [7570] = {.lex_state = 766, .external_lex_state = 129},
  [7571] = {.lex_state = 766, .external_lex_state = 129},
  [7572] = {.lex_state = 766, .external_lex_state = 29},
  [7573] = {.lex_state = 766, .external_lex_state = 29},
  [7574] = {.lex_state = 766, .external_lex_state = 29},
  [7575] = {.lex_state = 766, .external_lex_state = 29},
  [7576] = {.lex_state = 766, .external_lex_state = 129},
  [7577] = {.lex_state = 766, .external_lex_state = 29},
  [7578] = {.lex_state = 766, .external_lex_state = 29},
  [7579] = {.lex_state = 766, .external_lex_state = 51},
  [7580] = {.lex_state = 766, .external_lex_state = 129},
  [7581] = {.lex_state = 766, .external_lex_state = 29},
  [7582] = {.lex_state = 766, .external_lex_state = 115},
  [7583] = {.lex_state = 766, .external_lex_state = 129},
  [7584] = {.lex_state = 766, .external_lex_state = 129},
  [7585] = {.lex_state = 766, .external_lex_state = 29},
  [7586] = {.lex_state = 766, .external_lex_state = 129},
  [7587] = {.lex_state = 766, .external_lex_state = 29},
  [7588] = {.lex_state = 766, .external_lex_state = 51},
  [7589] = {.lex_state = 766, .external_lex_state = 129},
  [7590] = {.lex_state = 766, .external_lex_state = 129},
  [7591] = {.lex_state = 766, .external_lex_state = 29},
  [7592] = {.lex_state = 766, .external_lex_state = 129},
  [7593] = {.lex_state = 766, .external_lex_state = 29},
  [7594] = {.lex_state = 766, .external_lex_state = 29},
  [7595] = {.lex_state = 766, .external_lex_state = 29},
  [7596] = {.lex_state = 766, .external_lex_state = 129},
  [7597] = {.lex_state = 766, .external_lex_state = 129},
  [7598] = {.lex_state = 766, .external_lex_state = 29},
  [7599] = {.lex_state = 766, .external_lex_state = 29},
  [7600] = {.lex_state = 766, .external_lex_state = 29},
  [7601] = {.lex_state = 766, .external_lex_state = 129},
  [7602] = {.lex_state = 766, .external_lex_state = 29},
  [7603] = {.lex_state = 766, .external_lex_state = 129},
  [7604] = {.lex_state = 766, .external_lex_state = 115},
  [7605] = {.lex_state = 766, .external_lex_state = 129},
  [7606] = {.lex_state = 766, .external_lex_state = 29},
  [7607] = {.lex_state = 107, .external_lex_state = 29},
  [7608] = {.lex_state = 766, .external_lex_state = 129},
  [7609] = {.lex_state = 107, .external_lex_state = 29},
  [7610] = {.lex_state = 766, .external_lex_state = 29},
  [7611] = {.lex_state = 766, .external_lex_state = 29},
  [7612] = {.lex_state = 766, .external_lex_state = 29},
  [7613] = {.lex_state = 766, .external_lex_state = 129},
  [7614] = {.lex_state = 766, .external_lex_state = 29},
  [7615] = {.lex_state = 766, .external_lex_state = 29},
  [7616] = {.lex_state = 766, .external_lex_state = 129},
  [7617] = {.lex_state = 766, .external_lex_state = 129},
  [7618] = {.lex_state = 766, .external_lex_state = 29},
  [7619] = {.lex_state = 766, .external_lex_state = 29},
  [7620] = {.lex_state = 766, .external_lex_state = 29},
  [7621] = {.lex_state = 766, .external_lex_state = 29},
  [7622] = {.lex_state = 766, .external_lex_state = 29},
  [7623] = {.lex_state = 766, .external_lex_state = 29},
  [7624] = {.lex_state = 766, .external_lex_state = 115},
  [7625] = {.lex_state = 766, .external_lex_state = 29},
  [7626] = {.lex_state = 766, .external_lex_state = 29},
  [7627] = {.lex_state = 766, .external_lex_state = 129},
  [7628] = {.lex_state = 766, .external_lex_state = 129},
  [7629] = {.lex_state = 766, .external_lex_state = 29},
  [7630] = {.lex_state = 766, .external_lex_state = 29},
  [7631] = {.lex_state = 766, .external_lex_state = 29},
  [7632] = {.lex_state = 2, .external_lex_state = 29},
  [7633] = {.lex_state = 766, .external_lex_state = 29},
  [7634] = {.lex_state = 766, .external_lex_state = 29},
  [7635] = {.lex_state = 766, .external_lex_state = 29},
  [7636] = {.lex_state = 766, .external_lex_state = 29},
  [7637] = {.lex_state = 766, .external_lex_state = 29},
  [7638] = {.lex_state = 766, .external_lex_state = 29},
  [7639] = {.lex_state = 766, .external_lex_state = 29},
  [7640] = {.lex_state = 107, .external_lex_state = 29},
  [7641] = {.lex_state = 106, .external_lex_state = 29},
  [7642] = {.lex_state = 766, .external_lex_state = 29},
  [7643] = {.lex_state = 766, .external_lex_state = 29},
  [7644] = {.lex_state = 766, .external_lex_state = 29},
  [7645] = {.lex_state = 766, .external_lex_state = 29},
  [7646] = {.lex_state = 766, .external_lex_state = 29},
  [7647] = {.lex_state = 766, .external_lex_state = 29},
  [7648] = {.lex_state = 766, .external_lex_state = 29},
  [7649] = {.lex_state = 766, .external_lex_state = 29},
  [7650] = {.lex_state = 766, .external_lex_state = 29},
  [7651] = {.lex_state = 766, .external_lex_state = 29},
  [7652] = {.lex_state = 766, .external_lex_state = 29},
  [7653] = {.lex_state = 766, .external_lex_state = 29},
  [7654] = {.lex_state = 766, .external_lex_state = 29},
  [7655] = {.lex_state = 766, .external_lex_state = 29},
  [7656] = {.lex_state = 766, .external_lex_state = 29},
  [7657] = {.lex_state = 766, .external_lex_state = 29},
  [7658] = {.lex_state = 766, .external_lex_state = 29},
  [7659] = {.lex_state = 766, .external_lex_state = 29},
  [7660] = {.lex_state = 766, .external_lex_state = 29},
  [7661] = {.lex_state = 766, .external_lex_state = 29},
  [7662] = {.lex_state = 766, .external_lex_state = 29},
  [7663] = {.lex_state = 766, .external_lex_state = 29},
  [7664] = {.lex_state = 766, .external_lex_state = 29},
  [7665] = {.lex_state = 2, .external_lex_state = 29},
  [7666] = {.lex_state = 766, .external_lex_state = 29},
  [7667] = {.lex_state = 766, .external_lex_state = 29},
  [7668] = {.lex_state = 766, .external_lex_state = 29},
  [7669] = {.lex_state = 766, .external_lex_state = 29},
  [7670] = {.lex_state = 766, .external_lex_state = 29},
  [7671] = {.lex_state = 766, .external_lex_state = 29},
  [7672] = {.lex_state = 2, .external_lex_state = 29},
  [7673] = {.lex_state = 766, .external_lex_state = 29},
  [7674] = {.lex_state = 766, .external_lex_state = 29},
  [7675] = {.lex_state = 766, .external_lex_state = 29},
  [7676] = {.lex_state = 766, .external_lex_state = 29},
  [7677] = {.lex_state = 766, .external_lex_state = 29},
  [7678] = {.lex_state = 766, .external_lex_state = 29},
  [7679] = {.lex_state = 766, .external_lex_state = 29},
  [7680] = {.lex_state = 766, .external_lex_state = 29},
  [7681] = {.lex_state = 766, .external_lex_state = 29},
  [7682] = {.lex_state = 766, .external_lex_state = 29},
  [7683] = {.lex_state = 766, .external_lex_state = 29},
  [7684] = {.lex_state = 766, .external_lex_state = 29},
  [7685] = {.lex_state = 766, .external_lex_state = 29},
  [7686] = {.lex_state = 106, .external_lex_state = 29},
  [7687] = {.lex_state = 766, .external_lex_state = 29},
  [7688] = {.lex_state = 766, .external_lex_state = 29},
  [7689] = {.lex_state = 766, .external_lex_state = 29},
  [7690] = {.lex_state = 766, .external_lex_state = 29},
  [7691] = {.lex_state = 766, .external_lex_state = 29},
  [7692] = {.lex_state = 766, .external_lex_state = 29},
  [7693] = {.lex_state = 766, .external_lex_state = 29},
  [7694] = {.lex_state = 766, .external_lex_state = 29},
  [7695] = {.lex_state = 766, .external_lex_state = 29},
  [7696] = {.lex_state = 766, .external_lex_state = 29},
  [7697] = {.lex_state = 766, .external_lex_state = 29},
  [7698] = {.lex_state = 106, .external_lex_state = 29},
  [7699] = {.lex_state = 766, .external_lex_state = 29},
  [7700] = {.lex_state = 766, .external_lex_state = 29},
  [7701] = {.lex_state = 106, .external_lex_state = 29},
  [7702] = {.lex_state = 766, .external_lex_state = 29},
  [7703] = {.lex_state = 766, .external_lex_state = 29},
  [7704] = {.lex_state = 2, .external_lex_state = 29},
  [7705] = {.lex_state = 106, .external_lex_state = 29},
  [7706] = {.lex_state = 766, .external_lex_state = 29},
  [7707] = {.lex_state = 766, .external_lex_state = 29},
  [7708] = {.lex_state = 766, .external_lex_state = 29},
  [7709] = {.lex_state = 766, .external_lex_state = 29},
  [7710] = {.lex_state = 766, .external_lex_state = 29},
  [7711] = {.lex_state = 766, .external_lex_state = 29},
  [7712] = {.lex_state = 766, .external_lex_state = 29},
  [7713] = {.lex_state = 766, .external_lex_state = 29},
  [7714] = {.lex_state = 766, .external_lex_state = 29},
  [7715] = {.lex_state = 766, .external_lex_state = 29},
  [7716] = {.lex_state = 766, .external_lex_state = 29},
  [7717] = {.lex_state = 766, .external_lex_state = 29},
  [7718] = {.lex_state = 766, .external_lex_state = 29},
  [7719] = {.lex_state = 766, .external_lex_state = 29},
  [7720] = {.lex_state = 130, .external_lex_state = 29},
  [7721] = {.lex_state = 766, .external_lex_state = 29},
  [7722] = {.lex_state = 766, .external_lex_state = 29},
  [7723] = {.lex_state = 2, .external_lex_state = 29},
  [7724] = {.lex_state = 766, .external_lex_state = 29},
  [7725] = {.lex_state = 766, .external_lex_state = 29},
  [7726] = {.lex_state = 766, .external_lex_state = 29},
  [7727] = {.lex_state = 766, .external_lex_state = 29},
  [7728] = {.lex_state = 766, .external_lex_state = 29},
  [7729] = {.lex_state = 766, .external_lex_state = 29},
  [7730] = {.lex_state = 766, .external_lex_state = 29},
  [7731] = {.lex_state = 766, .external_lex_state = 29},
  [7732] = {.lex_state = 766, .external_lex_state = 29},
  [7733] = {.lex_state = 766, .external_lex_state = 29},
  [7734] = {.lex_state = 766, .external_lex_state = 29},
  [7735] = {.lex_state = 766, .external_lex_state = 29},
  [7736] = {.lex_state = 766, .external_lex_state = 29},
  [7737] = {.lex_state = 766, .external_lex_state = 29},
  [7738] = {.lex_state = 766, .external_lex_state = 29},
  [7739] = {.lex_state = 766, .external_lex_state = 29},
  [7740] = {.lex_state = 766, .external_lex_state = 29},
  [7741] = {.lex_state = 766, .external_lex_state = 29},
  [7742] = {.lex_state = 766, .external_lex_state = 29},
  [7743] = {.lex_state = 766, .external_lex_state = 29},
  [7744] = {.lex_state = 766, .external_lex_state = 29},
  [7745] = {.lex_state = 766, .external_lex_state = 29},
  [7746] = {.lex_state = 766, .external_lex_state = 29},
  [7747] = {.lex_state = 766, .external_lex_state = 54},
  [7748] = {.lex_state = 766, .external_lex_state = 29},
  [7749] = {.lex_state = 766, .external_lex_state = 29},
  [7750] = {.lex_state = 766, .external_lex_state = 29},
  [7751] = {.lex_state = 766, .external_lex_state = 29},
  [7752] = {.lex_state = 2, .external_lex_state = 29},
  [7753] = {.lex_state = 766, .external_lex_state = 29},
  [7754] = {.lex_state = 766, .external_lex_state = 29},
  [7755] = {.lex_state = 766, .external_lex_state = 29},
  [7756] = {.lex_state = 766, .external_lex_state = 29},
  [7757] = {.lex_state = 2, .external_lex_state = 29},
  [7758] = {.lex_state = 766, .external_lex_state = 29},
  [7759] = {.lex_state = 106, .external_lex_state = 29},
  [7760] = {.lex_state = 766, .external_lex_state = 29},
  [7761] = {.lex_state = 766, .external_lex_state = 29},
  [7762] = {.lex_state = 106, .external_lex_state = 29},
  [7763] = {.lex_state = 106, .external_lex_state = 29},
  [7764] = {.lex_state = 766, .external_lex_state = 29},
  [7765] = {.lex_state = 766, .external_lex_state = 29},
  [7766] = {.lex_state = 766, .external_lex_state = 29},
  [7767] = {.lex_state = 766, .external_lex_state = 29},
  [7768] = {.lex_state = 766, .external_lex_state = 29},
  [7769] = {.lex_state = 766, .external_lex_state = 29},
  [7770] = {.lex_state = 766, .external_lex_state = 29},
  [7771] = {.lex_state = 766, .external_lex_state = 29},
  [7772] = {.lex_state = 766, .external_lex_state = 29},
  [7773] = {.lex_state = 766, .external_lex_state = 29},
  [7774] = {.lex_state = 766, .external_lex_state = 29},
  [7775] = {.lex_state = 766, .external_lex_state = 29},
  [7776] = {.lex_state = 766, .external_lex_state = 29},
  [7777] = {.lex_state = 766, .external_lex_state = 29},
  [7778] = {.lex_state = 766, .external_lex_state = 29},
  [7779] = {.lex_state = 766, .external_lex_state = 29},
  [7780] = {.lex_state = 766, .external_lex_state = 29},
  [7781] = {.lex_state = 106, .external_lex_state = 29},
  [7782] = {.lex_state = 766, .external_lex_state = 29},
  [7783] = {.lex_state = 766, .external_lex_state = 29},
  [7784] = {.lex_state = 766, .external_lex_state = 29},
  [7785] = {.lex_state = 766, .external_lex_state = 29},
  [7786] = {.lex_state = 766, .external_lex_state = 29},
  [7787] = {.lex_state = 766, .external_lex_state = 29},
  [7788] = {.lex_state = 766, .external_lex_state = 29},
  [7789] = {.lex_state = 766, .external_lex_state = 29},
  [7790] = {.lex_state = 766, .external_lex_state = 29},
  [7791] = {.lex_state = 106, .external_lex_state = 29},
  [7792] = {.lex_state = 766, .external_lex_state = 29},
  [7793] = {.lex_state = 766, .external_lex_state = 29},
  [7794] = {.lex_state = 766, .external_lex_state = 29},
  [7795] = {.lex_state = 766, .external_lex_state = 29},
  [7796] = {.lex_state = 130, .external_lex_state = 29},
  [7797] = {.lex_state = 766, .external_lex_state = 29},
  [7798] = {.lex_state = 766, .external_lex_state = 29},
  [7799] = {.lex_state = 766, .external_lex_state = 29},
  [7800] = {.lex_state = 766, .external_lex_state = 29},
  [7801] = {.lex_state = 766, .external_lex_state = 51},
  [7802] = {.lex_state = 766, .external_lex_state = 29},
  [7803] = {.lex_state = 766, .external_lex_state = 29},
  [7804] = {.lex_state = 106, .external_lex_state = 29},
  [7805] = {.lex_state = 766, .external_lex_state = 29},
  [7806] = {.lex_state = 766, .external_lex_state = 29},
  [7807] = {.lex_state = 2, .external_lex_state = 29},
  [7808] = {.lex_state = 766, .external_lex_state = 29},
  [7809] = {.lex_state = 766, .external_lex_state = 29},
  [7810] = {.lex_state = 766, .external_lex_state = 29},
  [7811] = {.lex_state = 766, .external_lex_state = 29},
  [7812] = {.lex_state = 766, .external_lex_state = 29},
  [7813] = {.lex_state = 766, .external_lex_state = 29},
  [7814] = {.lex_state = 766, .external_lex_state = 54},
  [7815] = {.lex_state = 106, .external_lex_state = 29},
  [7816] = {.lex_state = 766, .external_lex_state = 29},
  [7817] = {.lex_state = 766, .external_lex_state = 29},
  [7818] = {.lex_state = 766, .external_lex_state = 29},
  [7819] = {.lex_state = 766, .external_lex_state = 29},
  [7820] = {.lex_state = 766, .external_lex_state = 29},
  [7821] = {.lex_state = 766, .external_lex_state = 29},
  [7822] = {.lex_state = 766, .external_lex_state = 29},
  [7823] = {.lex_state = 106, .external_lex_state = 29},
  [7824] = {.lex_state = 766, .external_lex_state = 29},
  [7825] = {.lex_state = 766, .external_lex_state = 29},
  [7826] = {.lex_state = 766, .external_lex_state = 29},
  [7827] = {.lex_state = 766, .external_lex_state = 29},
  [7828] = {.lex_state = 766, .external_lex_state = 29},
  [7829] = {.lex_state = 766, .external_lex_state = 29},
  [7830] = {.lex_state = 766, .external_lex_state = 29},
  [7831] = {.lex_state = 2, .external_lex_state = 29},
  [7832] = {.lex_state = 766, .external_lex_state = 29},
  [7833] = {.lex_state = 766, .external_lex_state = 29},
  [7834] = {.lex_state = 766, .external_lex_state = 29},
  [7835] = {.lex_state = 766, .external_lex_state = 29},
  [7836] = {.lex_state = 766, .external_lex_state = 29},
  [7837] = {.lex_state = 766, .external_lex_state = 29},
  [7838] = {.lex_state = 106, .external_lex_state = 29},
  [7839] = {.lex_state = 107, .external_lex_state = 29},
  [7840] = {.lex_state = 766, .external_lex_state = 29},
  [7841] = {.lex_state = 766, .external_lex_state = 29},
  [7842] = {.lex_state = 766, .external_lex_state = 54},
  [7843] = {.lex_state = 766, .external_lex_state = 29},
  [7844] = {.lex_state = 766, .external_lex_state = 29},
  [7845] = {.lex_state = 766, .external_lex_state = 29},
  [7846] = {.lex_state = 107, .external_lex_state = 29},
  [7847] = {.lex_state = 766, .external_lex_state = 29},
  [7848] = {.lex_state = 766, .external_lex_state = 29},
  [7849] = {.lex_state = 766, .external_lex_state = 29},
  [7850] = {.lex_state = 766, .external_lex_state = 29},
  [7851] = {.lex_state = 766, .external_lex_state = 29},
  [7852] = {.lex_state = 766, .external_lex_state = 29},
  [7853] = {.lex_state = 766, .external_lex_state = 29},
  [7854] = {.lex_state = 766, .external_lex_state = 29},
  [7855] = {.lex_state = 106, .external_lex_state = 29},
  [7856] = {.lex_state = 766, .external_lex_state = 29},
  [7857] = {.lex_state = 106, .external_lex_state = 29},
  [7858] = {.lex_state = 106, .external_lex_state = 29},
  [7859] = {.lex_state = 766, .external_lex_state = 29},
  [7860] = {.lex_state = 106, .external_lex_state = 29},
  [7861] = {.lex_state = 766, .external_lex_state = 29},
  [7862] = {.lex_state = 106, .external_lex_state = 29},
  [7863] = {.lex_state = 766, .external_lex_state = 29},
  [7864] = {.lex_state = 766, .external_lex_state = 29},
  [7865] = {.lex_state = 766, .external_lex_state = 29},
  [7866] = {.lex_state = 766, .external_lex_state = 29},
  [7867] = {.lex_state = 766, .external_lex_state = 29},
  [7868] = {.lex_state = 107, .external_lex_state = 29},
  [7869] = {.lex_state = 766, .external_lex_state = 29},
  [7870] = {.lex_state = 766, .external_lex_state = 29},
  [7871] = {.lex_state = 766, .external_lex_state = 29},
  [7872] = {.lex_state = 107, .external_lex_state = 29},
  [7873] = {.lex_state = 766, .external_lex_state = 29},
  [7874] = {.lex_state = 766, .external_lex_state = 29},
  [7875] = {.lex_state = 766, .external_lex_state = 29},
  [7876] = {.lex_state = 766, .external_lex_state = 29},
  [7877] = {.lex_state = 766, .external_lex_state = 29},
  [7878] = {.lex_state = 766, .external_lex_state = 29},
  [7879] = {.lex_state = 766, .external_lex_state = 29},
  [7880] = {.lex_state = 766, .external_lex_state = 29},
  [7881] = {.lex_state = 766, .external_lex_state = 29},
  [7882] = {.lex_state = 766, .external_lex_state = 29},
  [7883] = {.lex_state = 766, .external_lex_state = 29},
  [7884] = {.lex_state = 766, .external_lex_state = 29},
  [7885] = {.lex_state = 106, .external_lex_state = 29},
  [7886] = {.lex_state = 766, .external_lex_state = 29},
  [7887] = {.lex_state = 766, .external_lex_state = 29},
  [7888] = {.lex_state = 766, .external_lex_state = 29},
  [7889] = {.lex_state = 766, .external_lex_state = 29},
  [7890] = {.lex_state = 766, .external_lex_state = 29},
  [7891] = {.lex_state = 107, .external_lex_state = 29},
  [7892] = {.lex_state = 766, .external_lex_state = 29},
  [7893] = {.lex_state = 766, .external_lex_state = 29},
  [7894] = {.lex_state = 766, .external_lex_state = 29},
  [7895] = {.lex_state = 766, .external_lex_state = 29},
  [7896] = {.lex_state = 766, .external_lex_state = 29},
  [7897] = {.lex_state = 766, .external_lex_state = 29},
  [7898] = {.lex_state = 766, .external_lex_state = 29},
  [7899] = {.lex_state = 766, .external_lex_state = 29},
  [7900] = {.lex_state = 766, .external_lex_state = 29},
  [7901] = {.lex_state = 766, .external_lex_state = 29},
  [7902] = {.lex_state = 766, .external_lex_state = 29},
  [7903] = {.lex_state = 766, .external_lex_state = 29},
  [7904] = {.lex_state = 766, .external_lex_state = 29},
  [7905] = {.lex_state = 766, .external_lex_state = 29},
  [7906] = {.lex_state = 766, .external_lex_state = 29},
  [7907] = {.lex_state = 766, .external_lex_state = 29},
  [7908] = {.lex_state = 766, .external_lex_state = 29},
  [7909] = {.lex_state = 766, .external_lex_state = 29},
  [7910] = {.lex_state = 766, .external_lex_state = 29},
  [7911] = {.lex_state = 766, .external_lex_state = 29},
  [7912] = {.lex_state = 766, .external_lex_state = 29},
  [7913] = {.lex_state = 766, .external_lex_state = 29},
  [7914] = {.lex_state = 766, .external_lex_state = 29},
  [7915] = {.lex_state = 2, .external_lex_state = 29},
  [7916] = {.lex_state = 766, .external_lex_state = 29},
  [7917] = {.lex_state = 766, .external_lex_state = 29},
  [7918] = {.lex_state = 766, .external_lex_state = 29},
  [7919] = {.lex_state = 766, .external_lex_state = 29},
  [7920] = {.lex_state = 766, .external_lex_state = 29},
  [7921] = {.lex_state = 766, .external_lex_state = 29},
  [7922] = {.lex_state = 766, .external_lex_state = 29},
  [7923] = {.lex_state = 773, .external_lex_state = 29},
  [7924] = {.lex_state = 766, .external_lex_state = 29},
  [7925] = {.lex_state = 766, .external_lex_state = 29},
  [7926] = {.lex_state = 766, .external_lex_state = 29},
  [7927] = {.lex_state = 107, .external_lex_state = 29},
  [7928] = {.lex_state = 766, .external_lex_state = 29},
  [7929] = {.lex_state = 766, .external_lex_state = 29},
  [7930] = {.lex_state = 766, .external_lex_state = 29},
  [7931] = {.lex_state = 766, .external_lex_state = 29},
  [7932] = {.lex_state = 766, .external_lex_state = 29},
  [7933] = {.lex_state = 766, .external_lex_state = 29},
  [7934] = {.lex_state = 766, .external_lex_state = 29},
  [7935] = {.lex_state = 766, .external_lex_state = 29},
  [7936] = {.lex_state = 766, .external_lex_state = 29},
  [7937] = {.lex_state = 766, .external_lex_state = 29},
  [7938] = {.lex_state = 766, .external_lex_state = 29},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [anon_sym_POUND_BANG] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token2] = ACTIONS(1),
    [aux_sym_simple_identifier_token3] = ACTIONS(1),
    [aux_sym_simple_identifier_token4] = ACTIONS(1),
    [anon_sym_actor] = ACTIONS(1),
    [anon_sym_async] = ACTIONS(1),
    [anon_sym_each] = ACTIONS(1),
    [anon_sym_lazy] = ACTIONS(1),
    [anon_sym_repeat] = ACTIONS(1),
    [anon_sym_package] = ACTIONS(1),
    [anon_sym_nil] = ACTIONS(1),
    [sym_real_literal] = ACTIONS(1),
    [sym_integer_literal] = ACTIONS(1),
    [sym_hex_literal] = ACTIONS(1),
    [sym_oct_literal] = ACTIONS(1),
    [sym_bin_literal] = ACTIONS(1),
    [anon_sym_true] = ACTIONS(1),
    [anon_sym_false] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [anon_sym_BSLASH] = ACTIONS(1),
    [anon_sym_u] = ACTIONS(1),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [sym__escaped_identifier] = ACTIONS(1),
    [sym__extended_regex_literal] = ACTIONS(1),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(1),
    [sym__oneline_regex_literal] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_Type] = ACTIONS(1),
    [anon_sym_Protocol] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_QMARK2] = ACTIONS(1),
    [anon_sym_some] = ACTIONS(1),
    [anon_sym_any] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_switch] = ACTIONS(1),
    [anon_sym_POUNDselector] = ACTIONS(1),
    [anon_sym_getter_COLON] = ACTIONS(1),
    [anon_sym_setter_COLON] = ACTIONS(1),
    [aux_sym_custom_operator_token1] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_await] = ACTIONS(1),
    [anon_sym_POUNDfile] = ACTIONS(1),
    [anon_sym_POUNDfileID] = ACTIONS(1),
    [anon_sym_POUNDfilePath] = ACTIONS(1),
    [anon_sym_POUNDline] = ACTIONS(1),
    [anon_sym_POUNDcolumn] = ACTIONS(1),
    [anon_sym_POUNDfunction] = ACTIONS(1),
    [anon_sym_POUNDdsohandle] = ACTIONS(1),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(1),
    [anon_sym_POUNDfileLiteral] = ACTIONS(1),
    [anon_sym_POUNDimageLiteral] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_CARET_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_self] = ACTIONS(1),
    [anon_sym_super] = ACTIONS(1),
    [anon_sym_guard] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_fallthrough] = ACTIONS(1),
    [anon_sym_do] = ACTIONS(1),
    [anon_sym_POUNDkeyPath] = ACTIONS(1),
    [anon_sym_try] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1),
    [anon_sym_is] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [sym_throw_keyword] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_yield] = ACTIONS(1),
    [anon_sym_POUNDavailable] = ACTIONS(1),
    [anon_sym_POUNDunavailable] = ACTIONS(1),
    [anon_sym_import] = ACTIONS(1),
    [anon_sym_typealias] = ACTIONS(1),
    [anon_sym_struct] = ACTIONS(1),
    [anon_sym_class] = ACTIONS(1),
    [anon_sym_enum] = ACTIONS(1),
    [anon_sym_protocol] = ACTIONS(1),
    [anon_sym_let] = ACTIONS(1),
    [anon_sym_var] = ACTIONS(1),
    [anon_sym_func] = ACTIONS(1),
    [anon_sym_willSet] = ACTIONS(1),
    [anon_sym_didSet] = ACTIONS(1),
    [anon_sym_macro] = ACTIONS(1),
    [anon_sym_POUNDexternalMacro] = ACTIONS(1),
    [anon_sym_extension] = ACTIONS(1),
    [anon_sym_indirect] = ACTIONS(1),
    [anon_sym_BANG2] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_deinit] = ACTIONS(1),
    [anon_sym_subscript] = ACTIONS(1),
    [anon_sym_get] = ACTIONS(1),
    [anon_sym_set] = ACTIONS(1),
    [anon_sym_prefix] = ACTIONS(1),
    [anon_sym_infix] = ACTIONS(1),
    [anon_sym_postfix] = ACTIONS(1),
    [anon_sym_operator] = ACTIONS(1),
    [anon_sym_precedencegroup] = ACTIONS(1),
    [anon_sym_associatedtype] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [sym_wildcard_pattern] = ACTIONS(1),
    [anon_sym_override] = ACTIONS(1),
    [anon_sym_convenience] = ACTIONS(1),
    [anon_sym_required] = ACTIONS(1),
    [anon_sym_nonisolated] = ACTIONS(1),
    [anon_sym_public] = ACTIONS(1),
    [anon_sym_private] = ACTIONS(1),
    [anon_sym_internal] = ACTIONS(1),
    [anon_sym_fileprivate] = ACTIONS(1),
    [anon_sym_open] = ACTIONS(1),
    [anon_sym_mutating] = ACTIONS(1),
    [anon_sym_nonmutating] = ACTIONS(1),
    [anon_sym_static] = ACTIONS(1),
    [anon_sym_dynamic] = ACTIONS(1),
    [anon_sym_optional] = ACTIONS(1),
    [anon_sym_distributed] = ACTIONS(1),
    [anon_sym_final] = ACTIONS(1),
    [anon_sym_inout] = ACTIONS(1),
    [anon_sym_ATescaping] = ACTIONS(1),
    [anon_sym_ATautoclosure] = ACTIONS(1),
    [anon_sym_weak] = ACTIONS(1),
    [anon_sym_unowned] = ACTIONS(1),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(1),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(1),
    [anon_sym_borrowing] = ACTIONS(1),
    [anon_sym_consuming] = ACTIONS(1),
    [anon_sym_property] = ACTIONS(1),
    [anon_sym_receiver] = ACTIONS(1),
    [anon_sym_param] = ACTIONS(1),
    [anon_sym_setparam] = ACTIONS(1),
    [anon_sym_delegate] = ACTIONS(1),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [anon_sym_unused1] = ACTIONS(1),
    [anon_sym_unused2] = ACTIONS(1),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(1),
    [sym_raw_str_continuing_indicator] = ACTIONS(1),
    [sym_raw_str_end_part] = ACTIONS(1),
    [sym__implicit_semi] = ACTIONS(1),
    [sym__explicit_semi] = ACTIONS(1),
    [sym__arrow_operator_custom] = ACTIONS(1),
    [sym__dot_custom] = ACTIONS(1),
    [sym__conjunction_operator_custom] = ACTIONS(1),
    [sym__disjunction_operator_custom] = ACTIONS(1),
    [sym__nil_coalescing_operator_custom] = ACTIONS(1),
    [sym__eq_custom] = ACTIONS(1),
    [sym__eq_eq_custom] = ACTIONS(1),
    [sym__plus_then_ws] = ACTIONS(1),
    [sym__minus_then_ws] = ACTIONS(1),
    [sym__bang_custom] = ACTIONS(1),
    [sym__throws_keyword] = ACTIONS(1),
    [sym__rethrows_keyword] = ACTIONS(1),
    [sym_default_keyword] = ACTIONS(1),
    [sym_where_keyword] = ACTIONS(1),
    [sym_else] = ACTIONS(1),
    [sym_catch_keyword] = ACTIONS(1),
    [sym__as_custom] = ACTIONS(1),
    [sym__as_quest_custom] = ACTIONS(1),
    [sym__as_bang_custom] = ACTIONS(1),
    [sym__async_keyword_custom] = ACTIONS(1),
    [sym__custom_operator] = ACTIONS(1),
    [sym__fake_try_bang] = ACTIONS(1),
  },
  [1] = {
    [sym_source_file] = STATE(7861),
    [sym_shebang_line] = STATE(22),
    [sym_simple_identifier] = STATE(2276),
    [sym__contextual_simple_identifier] = STATE(2115),
    [sym__basic_literal] = STATE(1369),
    [sym_boolean_literal] = STATE(1369),
    [sym__string_literal] = STATE(1369),
    [sym_line_string_literal] = STATE(1369),
    [sym_multi_line_string_literal] = STATE(1369),
    [sym_raw_string_literal] = STATE(1369),
    [sym_regex_literal] = STATE(1369),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1369),
    [sym__unary_expression] = STATE(1369),
    [sym_postfix_expression] = STATE(1369),
    [sym_constructor_expression] = STATE(1369),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1369),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1369),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1369),
    [sym_prefix_expression] = STATE(1369),
    [sym_as_expression] = STATE(1369),
    [sym_selector_expression] = STATE(1369),
    [sym__binary_expression] = STATE(1369),
    [sym_multiplicative_expression] = STATE(1369),
    [sym_additive_expression] = STATE(1369),
    [sym_range_expression] = STATE(1369),
    [sym_infix_expression] = STATE(1369),
    [sym_nil_coalescing_expression] = STATE(1369),
    [sym_check_expression] = STATE(1369),
    [sym_comparison_expression] = STATE(1369),
    [sym_equality_expression] = STATE(1369),
    [sym_conjunction_expression] = STATE(1369),
    [sym_disjunction_expression] = STATE(1369),
    [sym_bitwise_operation] = STATE(1369),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1369),
    [sym_await_expression] = STATE(1369),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1369),
    [sym_call_expression] = STATE(1369),
    [sym__primary_expression] = STATE(1369),
    [sym_tuple_expression] = STATE(1369),
    [sym_array_literal] = STATE(1369),
    [sym_dictionary_literal] = STATE(1369),
    [sym__special_literal] = STATE(1369),
    [sym__playground_literal] = STATE(1369),
    [sym_lambda_literal] = STATE(1369),
    [sym_self_expression] = STATE(1369),
    [sym_super_expression] = STATE(1369),
    [sym_if_statement] = STATE(2559),
    [sym_guard_statement] = STATE(5876),
    [sym_switch_statement] = STATE(2559),
    [sym_do_statement] = STATE(5876),
    [sym_key_path_expression] = STATE(1369),
    [sym_key_path_string_expression] = STATE(1369),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1369),
    [sym__equality_operator] = STATE(1369),
    [sym__comparison_operator] = STATE(1369),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1369),
    [sym__multiplicative_operator] = STATE(1369),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym__top_level_statement] = STATE(5876),
    [sym__labeled_statement] = STATE(5876),
    [sym_for_statement] = STATE(5876),
    [sym_while_statement] = STATE(5876),
    [sym_repeat_while_statement] = STATE(5876),
    [sym__throw_statement] = STATE(5876),
    [sym_assignment] = STATE(1369),
    [sym_value_parameter_pack] = STATE(1369),
    [sym_value_pack_expansion] = STATE(1369),
    [sym__global_declaration] = STATE(5876),
    [sym_import_declaration] = STATE(5876),
    [sym_property_declaration] = STATE(5876),
    [sym__modifierless_property_declaration] = STATE(6713),
    [sym_typealias_declaration] = STATE(5876),
    [sym__modifierless_typealias_declaration] = STATE(6322),
    [sym_function_declaration] = STATE(5876),
    [sym__bodyless_function_declaration] = STATE(6668),
    [sym__modifierless_function_declaration_no_body] = STATE(7642),
    [sym_macro_declaration] = STATE(5876),
    [sym__macro_head] = STATE(4924),
    [sym_class_declaration] = STATE(5876),
    [sym__modifierless_class_declaration] = STATE(6665),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__referenceable_operator] = STATE(1369),
    [sym__equal_sign] = STATE(1369),
    [sym__eq_eq] = STATE(1369),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__async_modifier] = STATE(6632),
    [sym_protocol_declaration] = STATE(5876),
    [sym_init_declaration] = STATE(5876),
    [sym_operator_declaration] = STATE(5876),
    [sym_precedence_group_declaration] = STATE(5876),
    [sym_associatedtype_declaration] = STATE(5876),
    [sym_attribute] = STATE(1553),
    [sym_value_binding_pattern] = STATE(3973),
    [sym__possibly_async_binding_pattern_kind] = STATE(3973),
    [sym_modifiers] = STATE(4248),
    [aux_sym__locally_permitted_modifiers] = STATE(1553),
    [sym__non_local_scope_modifier] = STATE(1553),
    [sym__locally_permitted_modifier] = STATE(1553),
    [sym_property_behavior_modifier] = STATE(1553),
    [sym_member_modifier] = STATE(1553),
    [sym_visibility_modifier] = STATE(1553),
    [sym_function_modifier] = STATE(1553),
    [sym_mutation_modifier] = STATE(1553),
    [sym_property_modifier] = STATE(1553),
    [sym_inheritance_modifier] = STATE(1553),
    [sym_parameter_modifier] = STATE(1553),
    [sym_ownership_modifier] = STATE(1553),
    [sym__parameter_ownership_modifier] = STATE(831),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [aux_sym_modifiers_repeat1] = STATE(1553),
    [ts_builtin_sym_end] = ACTIONS(7),
    [anon_sym_POUND_BANG] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(11),
    [aux_sym_simple_identifier_token2] = ACTIONS(13),
    [aux_sym_simple_identifier_token3] = ACTIONS(13),
    [aux_sym_simple_identifier_token4] = ACTIONS(13),
    [anon_sym_actor] = ACTIONS(15),
    [anon_sym_async] = ACTIONS(17),
    [anon_sym_each] = ACTIONS(19),
    [anon_sym_lazy] = ACTIONS(21),
    [anon_sym_repeat] = ACTIONS(23),
    [anon_sym_package] = ACTIONS(25),
    [anon_sym_nil] = ACTIONS(27),
    [sym_real_literal] = ACTIONS(29),
    [sym_integer_literal] = ACTIONS(27),
    [sym_hex_literal] = ACTIONS(29),
    [sym_oct_literal] = ACTIONS(29),
    [sym_bin_literal] = ACTIONS(29),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(27),
    [anon_sym_GT] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(27),
    [anon_sym_POUNDfileID] = ACTIONS(29),
    [anon_sym_POUNDfilePath] = ACTIONS(29),
    [anon_sym_POUNDline] = ACTIONS(29),
    [anon_sym_POUNDcolumn] = ACTIONS(29),
    [anon_sym_POUNDfunction] = ACTIONS(29),
    [anon_sym_POUNDdsohandle] = ACTIONS(29),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_self] = ACTIONS(65),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_guard] = ACTIONS(69),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(29),
    [anon_sym_DASH_EQ] = ACTIONS(29),
    [anon_sym_STAR_EQ] = ACTIONS(29),
    [anon_sym_SLASH_EQ] = ACTIONS(29),
    [anon_sym_PERCENT_EQ] = ACTIONS(29),
    [anon_sym_BANG_EQ] = ACTIONS(27),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(29),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(29),
    [anon_sym_LT_EQ] = ACTIONS(29),
    [anon_sym_GT_EQ] = ACTIONS(29),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_SLASH] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(27),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_LT_LT] = ACTIONS(29),
    [anon_sym_GT_GT] = ACTIONS(29),
    [sym_statement_label] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [sym_throw_keyword] = ACTIONS(89),
    [anon_sym_import] = ACTIONS(91),
    [anon_sym_typealias] = ACTIONS(93),
    [anon_sym_struct] = ACTIONS(95),
    [anon_sym_class] = ACTIONS(97),
    [anon_sym_enum] = ACTIONS(99),
    [anon_sym_protocol] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_func] = ACTIONS(105),
    [anon_sym_macro] = ACTIONS(107),
    [anon_sym_extension] = ACTIONS(109),
    [anon_sym_indirect] = ACTIONS(111),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_init] = ACTIONS(115),
    [anon_sym_prefix] = ACTIONS(117),
    [anon_sym_infix] = ACTIONS(117),
    [anon_sym_postfix] = ACTIONS(117),
    [anon_sym_precedencegroup] = ACTIONS(119),
    [anon_sym_associatedtype] = ACTIONS(121),
    [anon_sym_AT] = ACTIONS(123),
    [anon_sym_override] = ACTIONS(125),
    [anon_sym_convenience] = ACTIONS(125),
    [anon_sym_required] = ACTIONS(125),
    [anon_sym_nonisolated] = ACTIONS(125),
    [anon_sym_public] = ACTIONS(127),
    [anon_sym_private] = ACTIONS(127),
    [anon_sym_internal] = ACTIONS(127),
    [anon_sym_fileprivate] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(127),
    [anon_sym_mutating] = ACTIONS(129),
    [anon_sym_nonmutating] = ACTIONS(129),
    [anon_sym_static] = ACTIONS(131),
    [anon_sym_dynamic] = ACTIONS(131),
    [anon_sym_optional] = ACTIONS(131),
    [anon_sym_distributed] = ACTIONS(131),
    [anon_sym_final] = ACTIONS(133),
    [anon_sym_inout] = ACTIONS(135),
    [anon_sym_ATescaping] = ACTIONS(137),
    [anon_sym_ATautoclosure] = ACTIONS(137),
    [anon_sym_weak] = ACTIONS(139),
    [anon_sym_unowned] = ACTIONS(139),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(141),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(141),
    [anon_sym_borrowing] = ACTIONS(143),
    [anon_sym_consuming] = ACTIONS(143),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(29),
    [sym__eq_eq_custom] = ACTIONS(29),
    [sym__plus_then_ws] = ACTIONS(29),
    [sym__minus_then_ws] = ACTIONS(29),
    [sym__bang_custom] = ACTIONS(151),
    [sym__custom_operator] = ACTIONS(57),
  },
  [2] = {
    [sym_simple_identifier] = STATE(2276),
    [sym__contextual_simple_identifier] = STATE(2115),
    [sym__basic_literal] = STATE(1349),
    [sym_boolean_literal] = STATE(1349),
    [sym__string_literal] = STATE(1349),
    [sym_line_string_literal] = STATE(1349),
    [sym_multi_line_string_literal] = STATE(1349),
    [sym_raw_string_literal] = STATE(1349),
    [sym_regex_literal] = STATE(1349),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1349),
    [sym__unary_expression] = STATE(1349),
    [sym_postfix_expression] = STATE(1349),
    [sym_constructor_expression] = STATE(1349),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1349),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1349),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1349),
    [sym_prefix_expression] = STATE(1349),
    [sym_as_expression] = STATE(1349),
    [sym_selector_expression] = STATE(1349),
    [sym__binary_expression] = STATE(1349),
    [sym_multiplicative_expression] = STATE(1349),
    [sym_additive_expression] = STATE(1349),
    [sym_range_expression] = STATE(1349),
    [sym_infix_expression] = STATE(1349),
    [sym_nil_coalescing_expression] = STATE(1349),
    [sym_check_expression] = STATE(1349),
    [sym_comparison_expression] = STATE(1349),
    [sym_equality_expression] = STATE(1349),
    [sym_conjunction_expression] = STATE(1349),
    [sym_disjunction_expression] = STATE(1349),
    [sym_bitwise_operation] = STATE(1349),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1349),
    [sym_await_expression] = STATE(1349),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1349),
    [sym_call_expression] = STATE(1349),
    [sym__primary_expression] = STATE(1349),
    [sym_tuple_expression] = STATE(1349),
    [sym_array_literal] = STATE(1349),
    [sym_dictionary_literal] = STATE(1349),
    [sym__special_literal] = STATE(1349),
    [sym__playground_literal] = STATE(1349),
    [sym_lambda_literal] = STATE(1349),
    [sym_self_expression] = STATE(1349),
    [sym_super_expression] = STATE(1349),
    [sym_if_statement] = STATE(2559),
    [sym_guard_statement] = STATE(5953),
    [sym_switch_statement] = STATE(2559),
    [sym_do_statement] = STATE(5953),
    [sym_key_path_expression] = STATE(1349),
    [sym_key_path_string_expression] = STATE(1349),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1349),
    [sym__equality_operator] = STATE(1349),
    [sym__comparison_operator] = STATE(1349),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1349),
    [sym__multiplicative_operator] = STATE(1349),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym_statements] = STATE(7678),
    [sym__local_statement] = STATE(5953),
    [sym__labeled_statement] = STATE(5953),
    [sym_for_statement] = STATE(5953),
    [sym_while_statement] = STATE(5953),
    [sym_repeat_while_statement] = STATE(5953),
    [sym_control_transfer_statement] = STATE(5953),
    [sym__throw_statement] = STATE(6577),
    [sym__optionally_valueful_control_keyword] = STATE(283),
    [sym_assignment] = STATE(1349),
    [sym_value_parameter_pack] = STATE(1349),
    [sym_value_pack_expansion] = STATE(1349),
    [sym__local_declaration] = STATE(5953),
    [sym__local_property_declaration] = STATE(6579),
    [sym__local_typealias_declaration] = STATE(6581),
    [sym__local_function_declaration] = STATE(6582),
    [sym__local_class_declaration] = STATE(6584),
    [sym__modifierless_property_declaration] = STATE(6589),
    [sym_willset_clause] = STATE(2980),
    [sym_didset_clause] = STATE(2981),
    [sym__modifierless_typealias_declaration] = STATE(6601),
    [sym__modifierless_function_declaration] = STATE(6604),
    [sym__modifierless_function_declaration_no_body] = STATE(6607),
    [sym__modifierless_class_declaration] = STATE(6613),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__referenceable_operator] = STATE(1349),
    [sym__equal_sign] = STATE(1349),
    [sym__eq_eq] = STATE(1349),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__async_modifier] = STATE(6632),
    [sym_computed_getter] = STATE(4531),
    [sym_computed_modify] = STATE(4531),
    [sym_computed_setter] = STATE(4531),
    [sym_getter_specifier] = STATE(5385),
    [sym_setter_specifier] = STATE(5337),
    [sym_modify_specifier] = STATE(5409),
    [sym_attribute] = STATE(3245),
    [sym_value_binding_pattern] = STATE(3973),
    [sym__possibly_async_binding_pattern_kind] = STATE(3973),
    [sym_modifiers] = STATE(7533),
    [aux_sym__locally_permitted_modifiers] = STATE(1789),
    [sym__non_local_scope_modifier] = STATE(3173),
    [sym__locally_permitted_modifier] = STATE(1789),
    [sym_property_behavior_modifier] = STATE(1789),
    [sym_member_modifier] = STATE(3173),
    [sym_visibility_modifier] = STATE(3173),
    [sym_function_modifier] = STATE(3173),
    [sym_mutation_modifier] = STATE(3960),
    [sym_property_modifier] = STATE(3173),
    [sym_inheritance_modifier] = STATE(1789),
    [sym_parameter_modifier] = STATE(3173),
    [sym_ownership_modifier] = STATE(1789),
    [sym__parameter_ownership_modifier] = STATE(831),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [aux_sym__lambda_type_declaration_repeat1] = STATE(5146),
    [aux_sym_computed_property_repeat1] = STATE(4531),
    [aux_sym_modifiers_repeat1] = STATE(3173),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(11),
    [aux_sym_simple_identifier_token2] = ACTIONS(13),
    [aux_sym_simple_identifier_token3] = ACTIONS(13),
    [aux_sym_simple_identifier_token4] = ACTIONS(13),
    [anon_sym_actor] = ACTIONS(15),
    [anon_sym_async] = ACTIONS(17),
    [anon_sym_each] = ACTIONS(19),
    [anon_sym_lazy] = ACTIONS(21),
    [anon_sym_repeat] = ACTIONS(23),
    [anon_sym_package] = ACTIONS(25),
    [anon_sym_nil] = ACTIONS(153),
    [sym_real_literal] = ACTIONS(155),
    [sym_integer_literal] = ACTIONS(153),
    [sym_hex_literal] = ACTIONS(155),
    [sym_oct_literal] = ACTIONS(155),
    [sym_bin_literal] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(153),
    [anon_sym_POUNDfileID] = ACTIONS(155),
    [anon_sym_POUNDfilePath] = ACTIONS(155),
    [anon_sym_POUNDline] = ACTIONS(155),
    [anon_sym_POUNDcolumn] = ACTIONS(155),
    [anon_sym_POUNDfunction] = ACTIONS(155),
    [anon_sym_POUNDdsohandle] = ACTIONS(155),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_RBRACE] = ACTIONS(157),
    [anon_sym_self] = ACTIONS(65),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_guard] = ACTIONS(69),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(153),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(153),
    [anon_sym_PERCENT] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(155),
    [anon_sym_CARET] = ACTIONS(153),
    [anon_sym_LT_LT] = ACTIONS(155),
    [anon_sym_GT_GT] = ACTIONS(155),
    [sym_statement_label] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [sym_throw_keyword] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(159),
    [anon_sym_continue] = ACTIONS(159),
    [anon_sym_break] = ACTIONS(159),
    [anon_sym_yield] = ACTIONS(159),
    [anon_sym_typealias] = ACTIONS(93),
    [anon_sym_struct] = ACTIONS(95),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_enum] = ACTIONS(99),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_func] = ACTIONS(105),
    [anon_sym_willSet] = ACTIONS(163),
    [anon_sym_didSet] = ACTIONS(165),
    [anon_sym_extension] = ACTIONS(109),
    [anon_sym_indirect] = ACTIONS(111),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(167),
    [anon_sym_set] = ACTIONS(169),
    [anon_sym__modify] = ACTIONS(171),
    [anon_sym_prefix] = ACTIONS(173),
    [anon_sym_infix] = ACTIONS(173),
    [anon_sym_postfix] = ACTIONS(173),
    [anon_sym_AT] = ACTIONS(123),
    [anon_sym_override] = ACTIONS(125),
    [anon_sym_convenience] = ACTIONS(125),
    [anon_sym_required] = ACTIONS(125),
    [anon_sym_nonisolated] = ACTIONS(125),
    [anon_sym_public] = ACTIONS(127),
    [anon_sym_private] = ACTIONS(127),
    [anon_sym_internal] = ACTIONS(127),
    [anon_sym_fileprivate] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(127),
    [anon_sym_mutating] = ACTIONS(129),
    [anon_sym_nonmutating] = ACTIONS(129),
    [anon_sym_static] = ACTIONS(131),
    [anon_sym_dynamic] = ACTIONS(131),
    [anon_sym_optional] = ACTIONS(131),
    [anon_sym_distributed] = ACTIONS(131),
    [anon_sym_final] = ACTIONS(133),
    [anon_sym_inout] = ACTIONS(135),
    [anon_sym_ATescaping] = ACTIONS(137),
    [anon_sym_ATautoclosure] = ACTIONS(137),
    [anon_sym_weak] = ACTIONS(139),
    [anon_sym_unowned] = ACTIONS(139),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(141),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(141),
    [anon_sym_borrowing] = ACTIONS(143),
    [anon_sym_consuming] = ACTIONS(143),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(155),
    [sym__eq_eq_custom] = ACTIONS(155),
    [sym__plus_then_ws] = ACTIONS(155),
    [sym__minus_then_ws] = ACTIONS(155),
    [sym__bang_custom] = ACTIONS(151),
    [sym__custom_operator] = ACTIONS(57),
  },
  [3] = {
    [sym_simple_identifier] = STATE(2276),
    [sym__contextual_simple_identifier] = STATE(2115),
    [sym__basic_literal] = STATE(1349),
    [sym_boolean_literal] = STATE(1349),
    [sym__string_literal] = STATE(1349),
    [sym_line_string_literal] = STATE(1349),
    [sym_multi_line_string_literal] = STATE(1349),
    [sym_raw_string_literal] = STATE(1349),
    [sym_regex_literal] = STATE(1349),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1349),
    [sym__unary_expression] = STATE(1349),
    [sym_postfix_expression] = STATE(1349),
    [sym_constructor_expression] = STATE(1349),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1349),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1349),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1349),
    [sym_prefix_expression] = STATE(1349),
    [sym_as_expression] = STATE(1349),
    [sym_selector_expression] = STATE(1349),
    [sym__binary_expression] = STATE(1349),
    [sym_multiplicative_expression] = STATE(1349),
    [sym_additive_expression] = STATE(1349),
    [sym_range_expression] = STATE(1349),
    [sym_infix_expression] = STATE(1349),
    [sym_nil_coalescing_expression] = STATE(1349),
    [sym_check_expression] = STATE(1349),
    [sym_comparison_expression] = STATE(1349),
    [sym_equality_expression] = STATE(1349),
    [sym_conjunction_expression] = STATE(1349),
    [sym_disjunction_expression] = STATE(1349),
    [sym_bitwise_operation] = STATE(1349),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1349),
    [sym_await_expression] = STATE(1349),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1349),
    [sym_call_expression] = STATE(1349),
    [sym__primary_expression] = STATE(1349),
    [sym_tuple_expression] = STATE(1349),
    [sym_array_literal] = STATE(1349),
    [sym_dictionary_literal] = STATE(1349),
    [sym__special_literal] = STATE(1349),
    [sym__playground_literal] = STATE(1349),
    [sym_lambda_literal] = STATE(1349),
    [sym_self_expression] = STATE(1349),
    [sym_super_expression] = STATE(1349),
    [sym_if_statement] = STATE(2559),
    [sym_guard_statement] = STATE(5953),
    [sym_switch_statement] = STATE(2559),
    [sym_do_statement] = STATE(5953),
    [sym_key_path_expression] = STATE(1349),
    [sym_key_path_string_expression] = STATE(1349),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1349),
    [sym__equality_operator] = STATE(1349),
    [sym__comparison_operator] = STATE(1349),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1349),
    [sym__multiplicative_operator] = STATE(1349),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym_statements] = STATE(7756),
    [sym__local_statement] = STATE(5953),
    [sym__labeled_statement] = STATE(5953),
    [sym_for_statement] = STATE(5953),
    [sym_while_statement] = STATE(5953),
    [sym_repeat_while_statement] = STATE(5953),
    [sym_control_transfer_statement] = STATE(5953),
    [sym__throw_statement] = STATE(6577),
    [sym__optionally_valueful_control_keyword] = STATE(283),
    [sym_assignment] = STATE(1349),
    [sym_value_parameter_pack] = STATE(1349),
    [sym_value_pack_expansion] = STATE(1349),
    [sym__local_declaration] = STATE(5953),
    [sym__local_property_declaration] = STATE(6579),
    [sym__local_typealias_declaration] = STATE(6581),
    [sym__local_function_declaration] = STATE(6582),
    [sym__local_class_declaration] = STATE(6584),
    [sym__modifierless_property_declaration] = STATE(6589),
    [sym_willset_clause] = STATE(2810),
    [sym_didset_clause] = STATE(2806),
    [sym__modifierless_typealias_declaration] = STATE(6601),
    [sym__modifierless_function_declaration] = STATE(6604),
    [sym__modifierless_function_declaration_no_body] = STATE(6607),
    [sym__modifierless_class_declaration] = STATE(6613),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__referenceable_operator] = STATE(1349),
    [sym__equal_sign] = STATE(1349),
    [sym__eq_eq] = STATE(1349),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__async_modifier] = STATE(6632),
    [sym_computed_getter] = STATE(4561),
    [sym_computed_modify] = STATE(4561),
    [sym_computed_setter] = STATE(4561),
    [sym_getter_specifier] = STATE(5385),
    [sym_setter_specifier] = STATE(5337),
    [sym_modify_specifier] = STATE(5409),
    [sym_attribute] = STATE(3245),
    [sym_value_binding_pattern] = STATE(3973),
    [sym__possibly_async_binding_pattern_kind] = STATE(3973),
    [sym_modifiers] = STATE(7533),
    [aux_sym__locally_permitted_modifiers] = STATE(1789),
    [sym__non_local_scope_modifier] = STATE(3173),
    [sym__locally_permitted_modifier] = STATE(1789),
    [sym_property_behavior_modifier] = STATE(1789),
    [sym_member_modifier] = STATE(3173),
    [sym_visibility_modifier] = STATE(3173),
    [sym_function_modifier] = STATE(3173),
    [sym_mutation_modifier] = STATE(3960),
    [sym_property_modifier] = STATE(3173),
    [sym_inheritance_modifier] = STATE(1789),
    [sym_parameter_modifier] = STATE(3173),
    [sym_ownership_modifier] = STATE(1789),
    [sym__parameter_ownership_modifier] = STATE(831),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [aux_sym__lambda_type_declaration_repeat1] = STATE(5146),
    [aux_sym_computed_property_repeat1] = STATE(4561),
    [aux_sym_modifiers_repeat1] = STATE(3173),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(11),
    [aux_sym_simple_identifier_token2] = ACTIONS(13),
    [aux_sym_simple_identifier_token3] = ACTIONS(13),
    [aux_sym_simple_identifier_token4] = ACTIONS(13),
    [anon_sym_actor] = ACTIONS(15),
    [anon_sym_async] = ACTIONS(17),
    [anon_sym_each] = ACTIONS(19),
    [anon_sym_lazy] = ACTIONS(21),
    [anon_sym_repeat] = ACTIONS(23),
    [anon_sym_package] = ACTIONS(25),
    [anon_sym_nil] = ACTIONS(153),
    [sym_real_literal] = ACTIONS(155),
    [sym_integer_literal] = ACTIONS(153),
    [sym_hex_literal] = ACTIONS(155),
    [sym_oct_literal] = ACTIONS(155),
    [sym_bin_literal] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(153),
    [anon_sym_POUNDfileID] = ACTIONS(155),
    [anon_sym_POUNDfilePath] = ACTIONS(155),
    [anon_sym_POUNDline] = ACTIONS(155),
    [anon_sym_POUNDcolumn] = ACTIONS(155),
    [anon_sym_POUNDfunction] = ACTIONS(155),
    [anon_sym_POUNDdsohandle] = ACTIONS(155),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_RBRACE] = ACTIONS(175),
    [anon_sym_self] = ACTIONS(65),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_guard] = ACTIONS(69),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(153),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(153),
    [anon_sym_PERCENT] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(155),
    [anon_sym_CARET] = ACTIONS(153),
    [anon_sym_LT_LT] = ACTIONS(155),
    [anon_sym_GT_GT] = ACTIONS(155),
    [sym_statement_label] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [sym_throw_keyword] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(159),
    [anon_sym_continue] = ACTIONS(159),
    [anon_sym_break] = ACTIONS(159),
    [anon_sym_yield] = ACTIONS(159),
    [anon_sym_typealias] = ACTIONS(93),
    [anon_sym_struct] = ACTIONS(95),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_enum] = ACTIONS(99),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_func] = ACTIONS(105),
    [anon_sym_willSet] = ACTIONS(163),
    [anon_sym_didSet] = ACTIONS(165),
    [anon_sym_extension] = ACTIONS(109),
    [anon_sym_indirect] = ACTIONS(111),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(167),
    [anon_sym_set] = ACTIONS(169),
    [anon_sym__modify] = ACTIONS(171),
    [anon_sym_prefix] = ACTIONS(173),
    [anon_sym_infix] = ACTIONS(173),
    [anon_sym_postfix] = ACTIONS(173),
    [anon_sym_AT] = ACTIONS(123),
    [anon_sym_override] = ACTIONS(125),
    [anon_sym_convenience] = ACTIONS(125),
    [anon_sym_required] = ACTIONS(125),
    [anon_sym_nonisolated] = ACTIONS(125),
    [anon_sym_public] = ACTIONS(127),
    [anon_sym_private] = ACTIONS(127),
    [anon_sym_internal] = ACTIONS(127),
    [anon_sym_fileprivate] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(127),
    [anon_sym_mutating] = ACTIONS(129),
    [anon_sym_nonmutating] = ACTIONS(129),
    [anon_sym_static] = ACTIONS(131),
    [anon_sym_dynamic] = ACTIONS(131),
    [anon_sym_optional] = ACTIONS(131),
    [anon_sym_distributed] = ACTIONS(131),
    [anon_sym_final] = ACTIONS(133),
    [anon_sym_inout] = ACTIONS(135),
    [anon_sym_ATescaping] = ACTIONS(137),
    [anon_sym_ATautoclosure] = ACTIONS(137),
    [anon_sym_weak] = ACTIONS(139),
    [anon_sym_unowned] = ACTIONS(139),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(141),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(141),
    [anon_sym_borrowing] = ACTIONS(143),
    [anon_sym_consuming] = ACTIONS(143),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(155),
    [sym__eq_eq_custom] = ACTIONS(155),
    [sym__plus_then_ws] = ACTIONS(155),
    [sym__minus_then_ws] = ACTIONS(155),
    [sym__bang_custom] = ACTIONS(151),
    [sym__custom_operator] = ACTIONS(57),
  },
  [4] = {
    [sym_simple_identifier] = STATE(2276),
    [sym__contextual_simple_identifier] = STATE(2115),
    [sym__basic_literal] = STATE(1349),
    [sym_boolean_literal] = STATE(1349),
    [sym__string_literal] = STATE(1349),
    [sym_line_string_literal] = STATE(1349),
    [sym_multi_line_string_literal] = STATE(1349),
    [sym_raw_string_literal] = STATE(1349),
    [sym_regex_literal] = STATE(1349),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1349),
    [sym__unary_expression] = STATE(1349),
    [sym_postfix_expression] = STATE(1349),
    [sym_constructor_expression] = STATE(1349),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1349),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1349),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1349),
    [sym_prefix_expression] = STATE(1349),
    [sym_as_expression] = STATE(1349),
    [sym_selector_expression] = STATE(1349),
    [sym__binary_expression] = STATE(1349),
    [sym_multiplicative_expression] = STATE(1349),
    [sym_additive_expression] = STATE(1349),
    [sym_range_expression] = STATE(1349),
    [sym_infix_expression] = STATE(1349),
    [sym_nil_coalescing_expression] = STATE(1349),
    [sym_check_expression] = STATE(1349),
    [sym_comparison_expression] = STATE(1349),
    [sym_equality_expression] = STATE(1349),
    [sym_conjunction_expression] = STATE(1349),
    [sym_disjunction_expression] = STATE(1349),
    [sym_bitwise_operation] = STATE(1349),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1349),
    [sym_await_expression] = STATE(1349),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1349),
    [sym_call_expression] = STATE(1349),
    [sym__primary_expression] = STATE(1349),
    [sym_tuple_expression] = STATE(1349),
    [sym_array_literal] = STATE(1349),
    [sym_dictionary_literal] = STATE(1349),
    [sym__special_literal] = STATE(1349),
    [sym__playground_literal] = STATE(1349),
    [sym_lambda_literal] = STATE(1349),
    [sym_self_expression] = STATE(1349),
    [sym_super_expression] = STATE(1349),
    [sym_if_statement] = STATE(2559),
    [sym_guard_statement] = STATE(5953),
    [sym_switch_statement] = STATE(2559),
    [sym_do_statement] = STATE(5953),
    [sym_key_path_expression] = STATE(1349),
    [sym_key_path_string_expression] = STATE(1349),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1349),
    [sym__equality_operator] = STATE(1349),
    [sym__comparison_operator] = STATE(1349),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1349),
    [sym__multiplicative_operator] = STATE(1349),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym_statements] = STATE(7874),
    [sym__local_statement] = STATE(5953),
    [sym__labeled_statement] = STATE(5953),
    [sym_for_statement] = STATE(5953),
    [sym_while_statement] = STATE(5953),
    [sym_repeat_while_statement] = STATE(5953),
    [sym_control_transfer_statement] = STATE(5953),
    [sym__throw_statement] = STATE(6577),
    [sym__optionally_valueful_control_keyword] = STATE(283),
    [sym_assignment] = STATE(1349),
    [sym_value_parameter_pack] = STATE(1349),
    [sym_value_pack_expansion] = STATE(1349),
    [sym__local_declaration] = STATE(5953),
    [sym__local_property_declaration] = STATE(6579),
    [sym__local_typealias_declaration] = STATE(6581),
    [sym__local_function_declaration] = STATE(6582),
    [sym__local_class_declaration] = STATE(6584),
    [sym__modifierless_property_declaration] = STATE(6589),
    [sym_willset_clause] = STATE(2960),
    [sym_didset_clause] = STATE(2962),
    [sym__modifierless_typealias_declaration] = STATE(6601),
    [sym__modifierless_function_declaration] = STATE(6604),
    [sym__modifierless_function_declaration_no_body] = STATE(6607),
    [sym__modifierless_class_declaration] = STATE(6613),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__referenceable_operator] = STATE(1349),
    [sym__equal_sign] = STATE(1349),
    [sym__eq_eq] = STATE(1349),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__async_modifier] = STATE(6632),
    [sym_computed_getter] = STATE(4496),
    [sym_computed_modify] = STATE(4496),
    [sym_computed_setter] = STATE(4496),
    [sym_getter_specifier] = STATE(5385),
    [sym_setter_specifier] = STATE(5337),
    [sym_modify_specifier] = STATE(5409),
    [sym_attribute] = STATE(3245),
    [sym_value_binding_pattern] = STATE(3973),
    [sym__possibly_async_binding_pattern_kind] = STATE(3973),
    [sym_modifiers] = STATE(7533),
    [aux_sym__locally_permitted_modifiers] = STATE(1789),
    [sym__non_local_scope_modifier] = STATE(3173),
    [sym__locally_permitted_modifier] = STATE(1789),
    [sym_property_behavior_modifier] = STATE(1789),
    [sym_member_modifier] = STATE(3173),
    [sym_visibility_modifier] = STATE(3173),
    [sym_function_modifier] = STATE(3173),
    [sym_mutation_modifier] = STATE(3960),
    [sym_property_modifier] = STATE(3173),
    [sym_inheritance_modifier] = STATE(1789),
    [sym_parameter_modifier] = STATE(3173),
    [sym_ownership_modifier] = STATE(1789),
    [sym__parameter_ownership_modifier] = STATE(831),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [aux_sym__lambda_type_declaration_repeat1] = STATE(5146),
    [aux_sym_computed_property_repeat1] = STATE(4496),
    [aux_sym_modifiers_repeat1] = STATE(3173),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(11),
    [aux_sym_simple_identifier_token2] = ACTIONS(13),
    [aux_sym_simple_identifier_token3] = ACTIONS(13),
    [aux_sym_simple_identifier_token4] = ACTIONS(13),
    [anon_sym_actor] = ACTIONS(15),
    [anon_sym_async] = ACTIONS(17),
    [anon_sym_each] = ACTIONS(19),
    [anon_sym_lazy] = ACTIONS(21),
    [anon_sym_repeat] = ACTIONS(23),
    [anon_sym_package] = ACTIONS(25),
    [anon_sym_nil] = ACTIONS(153),
    [sym_real_literal] = ACTIONS(155),
    [sym_integer_literal] = ACTIONS(153),
    [sym_hex_literal] = ACTIONS(155),
    [sym_oct_literal] = ACTIONS(155),
    [sym_bin_literal] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(153),
    [anon_sym_POUNDfileID] = ACTIONS(155),
    [anon_sym_POUNDfilePath] = ACTIONS(155),
    [anon_sym_POUNDline] = ACTIONS(155),
    [anon_sym_POUNDcolumn] = ACTIONS(155),
    [anon_sym_POUNDfunction] = ACTIONS(155),
    [anon_sym_POUNDdsohandle] = ACTIONS(155),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_RBRACE] = ACTIONS(177),
    [anon_sym_self] = ACTIONS(65),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_guard] = ACTIONS(69),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(153),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(153),
    [anon_sym_PERCENT] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(155),
    [anon_sym_CARET] = ACTIONS(153),
    [anon_sym_LT_LT] = ACTIONS(155),
    [anon_sym_GT_GT] = ACTIONS(155),
    [sym_statement_label] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [sym_throw_keyword] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(159),
    [anon_sym_continue] = ACTIONS(159),
    [anon_sym_break] = ACTIONS(159),
    [anon_sym_yield] = ACTIONS(159),
    [anon_sym_typealias] = ACTIONS(93),
    [anon_sym_struct] = ACTIONS(95),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_enum] = ACTIONS(99),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_func] = ACTIONS(105),
    [anon_sym_willSet] = ACTIONS(163),
    [anon_sym_didSet] = ACTIONS(165),
    [anon_sym_extension] = ACTIONS(109),
    [anon_sym_indirect] = ACTIONS(111),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(167),
    [anon_sym_set] = ACTIONS(169),
    [anon_sym__modify] = ACTIONS(171),
    [anon_sym_prefix] = ACTIONS(173),
    [anon_sym_infix] = ACTIONS(173),
    [anon_sym_postfix] = ACTIONS(173),
    [anon_sym_AT] = ACTIONS(123),
    [anon_sym_override] = ACTIONS(125),
    [anon_sym_convenience] = ACTIONS(125),
    [anon_sym_required] = ACTIONS(125),
    [anon_sym_nonisolated] = ACTIONS(125),
    [anon_sym_public] = ACTIONS(127),
    [anon_sym_private] = ACTIONS(127),
    [anon_sym_internal] = ACTIONS(127),
    [anon_sym_fileprivate] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(127),
    [anon_sym_mutating] = ACTIONS(129),
    [anon_sym_nonmutating] = ACTIONS(129),
    [anon_sym_static] = ACTIONS(131),
    [anon_sym_dynamic] = ACTIONS(131),
    [anon_sym_optional] = ACTIONS(131),
    [anon_sym_distributed] = ACTIONS(131),
    [anon_sym_final] = ACTIONS(133),
    [anon_sym_inout] = ACTIONS(135),
    [anon_sym_ATescaping] = ACTIONS(137),
    [anon_sym_ATautoclosure] = ACTIONS(137),
    [anon_sym_weak] = ACTIONS(139),
    [anon_sym_unowned] = ACTIONS(139),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(141),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(141),
    [anon_sym_borrowing] = ACTIONS(143),
    [anon_sym_consuming] = ACTIONS(143),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(155),
    [sym__eq_eq_custom] = ACTIONS(155),
    [sym__plus_then_ws] = ACTIONS(155),
    [sym__minus_then_ws] = ACTIONS(155),
    [sym__bang_custom] = ACTIONS(151),
    [sym__custom_operator] = ACTIONS(57),
  },
  [5] = {
    [sym_simple_identifier] = STATE(2276),
    [sym__contextual_simple_identifier] = STATE(2115),
    [sym__basic_literal] = STATE(1349),
    [sym_boolean_literal] = STATE(1349),
    [sym__string_literal] = STATE(1349),
    [sym_line_string_literal] = STATE(1349),
    [sym_multi_line_string_literal] = STATE(1349),
    [sym_raw_string_literal] = STATE(1349),
    [sym_regex_literal] = STATE(1349),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1349),
    [sym__unary_expression] = STATE(1349),
    [sym_postfix_expression] = STATE(1349),
    [sym_constructor_expression] = STATE(1349),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1349),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1349),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1349),
    [sym_prefix_expression] = STATE(1349),
    [sym_as_expression] = STATE(1349),
    [sym_selector_expression] = STATE(1349),
    [sym__binary_expression] = STATE(1349),
    [sym_multiplicative_expression] = STATE(1349),
    [sym_additive_expression] = STATE(1349),
    [sym_range_expression] = STATE(1349),
    [sym_infix_expression] = STATE(1349),
    [sym_nil_coalescing_expression] = STATE(1349),
    [sym_check_expression] = STATE(1349),
    [sym_comparison_expression] = STATE(1349),
    [sym_equality_expression] = STATE(1349),
    [sym_conjunction_expression] = STATE(1349),
    [sym_disjunction_expression] = STATE(1349),
    [sym_bitwise_operation] = STATE(1349),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1349),
    [sym_await_expression] = STATE(1349),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1349),
    [sym_call_expression] = STATE(1349),
    [sym__primary_expression] = STATE(1349),
    [sym_tuple_expression] = STATE(1349),
    [sym_array_literal] = STATE(1349),
    [sym_dictionary_literal] = STATE(1349),
    [sym__special_literal] = STATE(1349),
    [sym__playground_literal] = STATE(1349),
    [sym_lambda_literal] = STATE(1349),
    [sym_self_expression] = STATE(1349),
    [sym_super_expression] = STATE(1349),
    [sym_if_statement] = STATE(2559),
    [sym_guard_statement] = STATE(5953),
    [sym_switch_statement] = STATE(2559),
    [sym_do_statement] = STATE(5953),
    [sym_key_path_expression] = STATE(1349),
    [sym_key_path_string_expression] = STATE(1349),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1349),
    [sym__equality_operator] = STATE(1349),
    [sym__comparison_operator] = STATE(1349),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1349),
    [sym__multiplicative_operator] = STATE(1349),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym_statements] = STATE(7630),
    [sym__local_statement] = STATE(5953),
    [sym__labeled_statement] = STATE(5953),
    [sym_for_statement] = STATE(5953),
    [sym_while_statement] = STATE(5953),
    [sym_repeat_while_statement] = STATE(5953),
    [sym_control_transfer_statement] = STATE(5953),
    [sym__throw_statement] = STATE(6577),
    [sym__optionally_valueful_control_keyword] = STATE(283),
    [sym_assignment] = STATE(1349),
    [sym_value_parameter_pack] = STATE(1349),
    [sym_value_pack_expansion] = STATE(1349),
    [sym__local_declaration] = STATE(5953),
    [sym__local_property_declaration] = STATE(6579),
    [sym__local_typealias_declaration] = STATE(6581),
    [sym__local_function_declaration] = STATE(6582),
    [sym__local_class_declaration] = STATE(6584),
    [sym__modifierless_property_declaration] = STATE(6589),
    [sym_willset_clause] = STATE(2907),
    [sym_didset_clause] = STATE(2915),
    [sym__modifierless_typealias_declaration] = STATE(6601),
    [sym__modifierless_function_declaration] = STATE(6604),
    [sym__modifierless_function_declaration_no_body] = STATE(6607),
    [sym__modifierless_class_declaration] = STATE(6613),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__referenceable_operator] = STATE(1349),
    [sym__equal_sign] = STATE(1349),
    [sym__eq_eq] = STATE(1349),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__async_modifier] = STATE(6632),
    [sym_computed_getter] = STATE(4530),
    [sym_computed_modify] = STATE(4530),
    [sym_computed_setter] = STATE(4530),
    [sym_getter_specifier] = STATE(5385),
    [sym_setter_specifier] = STATE(5337),
    [sym_modify_specifier] = STATE(5409),
    [sym_attribute] = STATE(3245),
    [sym_value_binding_pattern] = STATE(3973),
    [sym__possibly_async_binding_pattern_kind] = STATE(3973),
    [sym_modifiers] = STATE(7533),
    [aux_sym__locally_permitted_modifiers] = STATE(1789),
    [sym__non_local_scope_modifier] = STATE(3173),
    [sym__locally_permitted_modifier] = STATE(1789),
    [sym_property_behavior_modifier] = STATE(1789),
    [sym_member_modifier] = STATE(3173),
    [sym_visibility_modifier] = STATE(3173),
    [sym_function_modifier] = STATE(3173),
    [sym_mutation_modifier] = STATE(3960),
    [sym_property_modifier] = STATE(3173),
    [sym_inheritance_modifier] = STATE(1789),
    [sym_parameter_modifier] = STATE(3173),
    [sym_ownership_modifier] = STATE(1789),
    [sym__parameter_ownership_modifier] = STATE(831),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [aux_sym__lambda_type_declaration_repeat1] = STATE(5146),
    [aux_sym_computed_property_repeat1] = STATE(4530),
    [aux_sym_modifiers_repeat1] = STATE(3173),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(11),
    [aux_sym_simple_identifier_token2] = ACTIONS(13),
    [aux_sym_simple_identifier_token3] = ACTIONS(13),
    [aux_sym_simple_identifier_token4] = ACTIONS(13),
    [anon_sym_actor] = ACTIONS(15),
    [anon_sym_async] = ACTIONS(17),
    [anon_sym_each] = ACTIONS(19),
    [anon_sym_lazy] = ACTIONS(21),
    [anon_sym_repeat] = ACTIONS(23),
    [anon_sym_package] = ACTIONS(25),
    [anon_sym_nil] = ACTIONS(153),
    [sym_real_literal] = ACTIONS(155),
    [sym_integer_literal] = ACTIONS(153),
    [sym_hex_literal] = ACTIONS(155),
    [sym_oct_literal] = ACTIONS(155),
    [sym_bin_literal] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(153),
    [anon_sym_POUNDfileID] = ACTIONS(155),
    [anon_sym_POUNDfilePath] = ACTIONS(155),
    [anon_sym_POUNDline] = ACTIONS(155),
    [anon_sym_POUNDcolumn] = ACTIONS(155),
    [anon_sym_POUNDfunction] = ACTIONS(155),
    [anon_sym_POUNDdsohandle] = ACTIONS(155),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_RBRACE] = ACTIONS(179),
    [anon_sym_self] = ACTIONS(65),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_guard] = ACTIONS(69),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(153),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(153),
    [anon_sym_PERCENT] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(155),
    [anon_sym_CARET] = ACTIONS(153),
    [anon_sym_LT_LT] = ACTIONS(155),
    [anon_sym_GT_GT] = ACTIONS(155),
    [sym_statement_label] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [sym_throw_keyword] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(159),
    [anon_sym_continue] = ACTIONS(159),
    [anon_sym_break] = ACTIONS(159),
    [anon_sym_yield] = ACTIONS(159),
    [anon_sym_typealias] = ACTIONS(93),
    [anon_sym_struct] = ACTIONS(95),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_enum] = ACTIONS(99),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_func] = ACTIONS(105),
    [anon_sym_willSet] = ACTIONS(163),
    [anon_sym_didSet] = ACTIONS(165),
    [anon_sym_extension] = ACTIONS(109),
    [anon_sym_indirect] = ACTIONS(111),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(167),
    [anon_sym_set] = ACTIONS(169),
    [anon_sym__modify] = ACTIONS(171),
    [anon_sym_prefix] = ACTIONS(173),
    [anon_sym_infix] = ACTIONS(173),
    [anon_sym_postfix] = ACTIONS(173),
    [anon_sym_AT] = ACTIONS(123),
    [anon_sym_override] = ACTIONS(125),
    [anon_sym_convenience] = ACTIONS(125),
    [anon_sym_required] = ACTIONS(125),
    [anon_sym_nonisolated] = ACTIONS(125),
    [anon_sym_public] = ACTIONS(127),
    [anon_sym_private] = ACTIONS(127),
    [anon_sym_internal] = ACTIONS(127),
    [anon_sym_fileprivate] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(127),
    [anon_sym_mutating] = ACTIONS(129),
    [anon_sym_nonmutating] = ACTIONS(129),
    [anon_sym_static] = ACTIONS(131),
    [anon_sym_dynamic] = ACTIONS(131),
    [anon_sym_optional] = ACTIONS(131),
    [anon_sym_distributed] = ACTIONS(131),
    [anon_sym_final] = ACTIONS(133),
    [anon_sym_inout] = ACTIONS(135),
    [anon_sym_ATescaping] = ACTIONS(137),
    [anon_sym_ATautoclosure] = ACTIONS(137),
    [anon_sym_weak] = ACTIONS(139),
    [anon_sym_unowned] = ACTIONS(139),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(141),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(141),
    [anon_sym_borrowing] = ACTIONS(143),
    [anon_sym_consuming] = ACTIONS(143),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(155),
    [sym__eq_eq_custom] = ACTIONS(155),
    [sym__plus_then_ws] = ACTIONS(155),
    [sym__minus_then_ws] = ACTIONS(155),
    [sym__bang_custom] = ACTIONS(151),
    [sym__custom_operator] = ACTIONS(57),
  },
  [6] = {
    [sym_simple_identifier] = STATE(1465),
    [sym__contextual_simple_identifier] = STATE(1477),
    [sym__basic_literal] = STATE(1349),
    [sym_boolean_literal] = STATE(1349),
    [sym__string_literal] = STATE(1349),
    [sym_line_string_literal] = STATE(1349),
    [sym_multi_line_string_literal] = STATE(1349),
    [sym_raw_string_literal] = STATE(1349),
    [sym_regex_literal] = STATE(1349),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1349),
    [sym__unary_expression] = STATE(1349),
    [sym_postfix_expression] = STATE(1349),
    [sym_constructor_expression] = STATE(1349),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1349),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1349),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1349),
    [sym_prefix_expression] = STATE(1349),
    [sym_as_expression] = STATE(1349),
    [sym_selector_expression] = STATE(1349),
    [sym__binary_expression] = STATE(1349),
    [sym_multiplicative_expression] = STATE(1349),
    [sym_additive_expression] = STATE(1349),
    [sym_range_expression] = STATE(1349),
    [sym_infix_expression] = STATE(1349),
    [sym_nil_coalescing_expression] = STATE(1349),
    [sym_check_expression] = STATE(1349),
    [sym_comparison_expression] = STATE(1349),
    [sym_equality_expression] = STATE(1349),
    [sym_conjunction_expression] = STATE(1349),
    [sym_disjunction_expression] = STATE(1349),
    [sym_bitwise_operation] = STATE(1349),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1349),
    [sym_await_expression] = STATE(1349),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1349),
    [sym_call_expression] = STATE(1349),
    [sym__primary_expression] = STATE(1349),
    [sym_tuple_expression] = STATE(1349),
    [sym_array_literal] = STATE(1349),
    [sym_dictionary_literal] = STATE(1349),
    [sym__special_literal] = STATE(1349),
    [sym__playground_literal] = STATE(1349),
    [sym_lambda_literal] = STATE(1349),
    [sym__lambda_type_declaration] = STATE(86),
    [sym_capture_list] = STATE(4269),
    [sym_lambda_function_type] = STATE(7701),
    [sym_lambda_function_type_parameters] = STATE(5444),
    [sym_lambda_parameter] = STATE(5647),
    [sym_self_expression] = STATE(1892),
    [sym_super_expression] = STATE(1349),
    [sym_if_statement] = STATE(2559),
    [sym_guard_statement] = STATE(5953),
    [sym_switch_statement] = STATE(2559),
    [sym_do_statement] = STATE(5953),
    [sym_key_path_expression] = STATE(1349),
    [sym_key_path_string_expression] = STATE(1349),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1349),
    [sym__equality_operator] = STATE(1349),
    [sym__comparison_operator] = STATE(1349),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1349),
    [sym__multiplicative_operator] = STATE(1349),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym_statements] = STATE(7808),
    [sym__local_statement] = STATE(5953),
    [sym__labeled_statement] = STATE(5953),
    [sym_for_statement] = STATE(5953),
    [sym_while_statement] = STATE(5953),
    [sym_repeat_while_statement] = STATE(5953),
    [sym_control_transfer_statement] = STATE(5953),
    [sym__throw_statement] = STATE(6577),
    [sym__optionally_valueful_control_keyword] = STATE(283),
    [sym_assignment] = STATE(1349),
    [sym_value_parameter_pack] = STATE(1349),
    [sym_value_pack_expansion] = STATE(1349),
    [sym__local_declaration] = STATE(5953),
    [sym__local_property_declaration] = STATE(6579),
    [sym__local_typealias_declaration] = STATE(6581),
    [sym__local_function_declaration] = STATE(6582),
    [sym__local_class_declaration] = STATE(6584),
    [sym__modifierless_property_declaration] = STATE(6589),
    [sym_willset_clause] = STATE(2980),
    [sym_didset_clause] = STATE(2981),
    [sym__modifierless_typealias_declaration] = STATE(6601),
    [sym__modifierless_function_declaration] = STATE(6604),
    [sym__modifierless_function_declaration_no_body] = STATE(6607),
    [sym__modifierless_class_declaration] = STATE(6613),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__referenceable_operator] = STATE(1349),
    [sym__equal_sign] = STATE(1349),
    [sym__eq_eq] = STATE(1349),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__async_modifier] = STATE(6632),
    [sym_attribute] = STATE(2139),
    [sym_value_binding_pattern] = STATE(3973),
    [sym__possibly_async_binding_pattern_kind] = STATE(3973),
    [sym_modifiers] = STATE(7533),
    [aux_sym__locally_permitted_modifiers] = STATE(1789),
    [sym__non_local_scope_modifier] = STATE(3173),
    [sym__locally_permitted_modifier] = STATE(1789),
    [sym_property_behavior_modifier] = STATE(1789),
    [sym_member_modifier] = STATE(3173),
    [sym_visibility_modifier] = STATE(3173),
    [sym_function_modifier] = STATE(3173),
    [sym_mutation_modifier] = STATE(3173),
    [sym_property_modifier] = STATE(3173),
    [sym_inheritance_modifier] = STATE(1789),
    [sym_parameter_modifier] = STATE(3173),
    [sym_ownership_modifier] = STATE(1789),
    [sym__parameter_ownership_modifier] = STATE(852),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [aux_sym__lambda_type_declaration_repeat1] = STATE(4222),
    [aux_sym_modifiers_repeat1] = STATE(3173),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(181),
    [aux_sym_simple_identifier_token2] = ACTIONS(183),
    [aux_sym_simple_identifier_token3] = ACTIONS(183),
    [aux_sym_simple_identifier_token4] = ACTIONS(183),
    [anon_sym_actor] = ACTIONS(185),
    [anon_sym_async] = ACTIONS(187),
    [anon_sym_each] = ACTIONS(189),
    [anon_sym_lazy] = ACTIONS(191),
    [anon_sym_repeat] = ACTIONS(193),
    [anon_sym_package] = ACTIONS(195),
    [anon_sym_nil] = ACTIONS(153),
    [sym_real_literal] = ACTIONS(155),
    [sym_integer_literal] = ACTIONS(153),
    [sym_hex_literal] = ACTIONS(155),
    [sym_oct_literal] = ACTIONS(155),
    [sym_bin_literal] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(199),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(153),
    [anon_sym_POUNDfileID] = ACTIONS(155),
    [anon_sym_POUNDfilePath] = ACTIONS(155),
    [anon_sym_POUNDline] = ACTIONS(155),
    [anon_sym_POUNDcolumn] = ACTIONS(155),
    [anon_sym_POUNDfunction] = ACTIONS(155),
    [anon_sym_POUNDdsohandle] = ACTIONS(155),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_RBRACE] = ACTIONS(201),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_self] = ACTIONS(205),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_guard] = ACTIONS(69),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(153),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(153),
    [anon_sym_PERCENT] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(155),
    [anon_sym_CARET] = ACTIONS(153),
    [anon_sym_LT_LT] = ACTIONS(155),
    [anon_sym_GT_GT] = ACTIONS(155),
    [sym_statement_label] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [sym_throw_keyword] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(159),
    [anon_sym_continue] = ACTIONS(159),
    [anon_sym_break] = ACTIONS(159),
    [anon_sym_yield] = ACTIONS(159),
    [anon_sym_typealias] = ACTIONS(93),
    [anon_sym_struct] = ACTIONS(95),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_enum] = ACTIONS(99),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_func] = ACTIONS(105),
    [anon_sym_willSet] = ACTIONS(163),
    [anon_sym_didSet] = ACTIONS(165),
    [anon_sym_extension] = ACTIONS(109),
    [anon_sym_indirect] = ACTIONS(111),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_prefix] = ACTIONS(173),
    [anon_sym_infix] = ACTIONS(173),
    [anon_sym_postfix] = ACTIONS(173),
    [anon_sym_AT] = ACTIONS(207),
    [anon_sym_override] = ACTIONS(125),
    [anon_sym_convenience] = ACTIONS(125),
    [anon_sym_required] = ACTIONS(125),
    [anon_sym_nonisolated] = ACTIONS(125),
    [anon_sym_public] = ACTIONS(127),
    [anon_sym_private] = ACTIONS(127),
    [anon_sym_internal] = ACTIONS(127),
    [anon_sym_fileprivate] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(127),
    [anon_sym_mutating] = ACTIONS(129),
    [anon_sym_nonmutating] = ACTIONS(129),
    [anon_sym_static] = ACTIONS(131),
    [anon_sym_dynamic] = ACTIONS(131),
    [anon_sym_optional] = ACTIONS(131),
    [anon_sym_distributed] = ACTIONS(131),
    [anon_sym_final] = ACTIONS(133),
    [anon_sym_inout] = ACTIONS(135),
    [anon_sym_ATescaping] = ACTIONS(137),
    [anon_sym_ATautoclosure] = ACTIONS(137),
    [anon_sym_weak] = ACTIONS(139),
    [anon_sym_unowned] = ACTIONS(139),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(141),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(141),
    [anon_sym_borrowing] = ACTIONS(209),
    [anon_sym_consuming] = ACTIONS(209),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(155),
    [sym__eq_eq_custom] = ACTIONS(155),
    [sym__plus_then_ws] = ACTIONS(155),
    [sym__minus_then_ws] = ACTIONS(155),
    [sym__bang_custom] = ACTIONS(151),
    [sym__custom_operator] = ACTIONS(57),
  },
  [7] = {
    [sym_simple_identifier] = STATE(1465),
    [sym__contextual_simple_identifier] = STATE(1477),
    [sym__basic_literal] = STATE(1349),
    [sym_boolean_literal] = STATE(1349),
    [sym__string_literal] = STATE(1349),
    [sym_line_string_literal] = STATE(1349),
    [sym_multi_line_string_literal] = STATE(1349),
    [sym_raw_string_literal] = STATE(1349),
    [sym_regex_literal] = STATE(1349),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1349),
    [sym__unary_expression] = STATE(1349),
    [sym_postfix_expression] = STATE(1349),
    [sym_constructor_expression] = STATE(1349),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1349),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1349),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1349),
    [sym_prefix_expression] = STATE(1349),
    [sym_as_expression] = STATE(1349),
    [sym_selector_expression] = STATE(1349),
    [sym__binary_expression] = STATE(1349),
    [sym_multiplicative_expression] = STATE(1349),
    [sym_additive_expression] = STATE(1349),
    [sym_range_expression] = STATE(1349),
    [sym_infix_expression] = STATE(1349),
    [sym_nil_coalescing_expression] = STATE(1349),
    [sym_check_expression] = STATE(1349),
    [sym_comparison_expression] = STATE(1349),
    [sym_equality_expression] = STATE(1349),
    [sym_conjunction_expression] = STATE(1349),
    [sym_disjunction_expression] = STATE(1349),
    [sym_bitwise_operation] = STATE(1349),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1349),
    [sym_await_expression] = STATE(1349),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1349),
    [sym_call_expression] = STATE(1349),
    [sym__primary_expression] = STATE(1349),
    [sym_tuple_expression] = STATE(1349),
    [sym_array_literal] = STATE(1349),
    [sym_dictionary_literal] = STATE(1349),
    [sym__special_literal] = STATE(1349),
    [sym__playground_literal] = STATE(1349),
    [sym_lambda_literal] = STATE(1349),
    [sym__lambda_type_declaration] = STATE(83),
    [sym_capture_list] = STATE(4269),
    [sym_lambda_function_type] = STATE(7701),
    [sym_lambda_function_type_parameters] = STATE(5444),
    [sym_lambda_parameter] = STATE(5647),
    [sym_self_expression] = STATE(1892),
    [sym_super_expression] = STATE(1349),
    [sym_if_statement] = STATE(2559),
    [sym_guard_statement] = STATE(5953),
    [sym_switch_statement] = STATE(2559),
    [sym_do_statement] = STATE(5953),
    [sym_key_path_expression] = STATE(1349),
    [sym_key_path_string_expression] = STATE(1349),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1349),
    [sym__equality_operator] = STATE(1349),
    [sym__comparison_operator] = STATE(1349),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1349),
    [sym__multiplicative_operator] = STATE(1349),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym_statements] = STATE(7773),
    [sym__local_statement] = STATE(5953),
    [sym__labeled_statement] = STATE(5953),
    [sym_for_statement] = STATE(5953),
    [sym_while_statement] = STATE(5953),
    [sym_repeat_while_statement] = STATE(5953),
    [sym_control_transfer_statement] = STATE(5953),
    [sym__throw_statement] = STATE(6577),
    [sym__optionally_valueful_control_keyword] = STATE(283),
    [sym_assignment] = STATE(1349),
    [sym_value_parameter_pack] = STATE(1349),
    [sym_value_pack_expansion] = STATE(1349),
    [sym__local_declaration] = STATE(5953),
    [sym__local_property_declaration] = STATE(6579),
    [sym__local_typealias_declaration] = STATE(6581),
    [sym__local_function_declaration] = STATE(6582),
    [sym__local_class_declaration] = STATE(6584),
    [sym__modifierless_property_declaration] = STATE(6589),
    [sym_willset_clause] = STATE(2907),
    [sym_didset_clause] = STATE(2915),
    [sym__modifierless_typealias_declaration] = STATE(6601),
    [sym__modifierless_function_declaration] = STATE(6604),
    [sym__modifierless_function_declaration_no_body] = STATE(6607),
    [sym__modifierless_class_declaration] = STATE(6613),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__referenceable_operator] = STATE(1349),
    [sym__equal_sign] = STATE(1349),
    [sym__eq_eq] = STATE(1349),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__async_modifier] = STATE(6632),
    [sym_attribute] = STATE(2139),
    [sym_value_binding_pattern] = STATE(3973),
    [sym__possibly_async_binding_pattern_kind] = STATE(3973),
    [sym_modifiers] = STATE(7533),
    [aux_sym__locally_permitted_modifiers] = STATE(1789),
    [sym__non_local_scope_modifier] = STATE(3173),
    [sym__locally_permitted_modifier] = STATE(1789),
    [sym_property_behavior_modifier] = STATE(1789),
    [sym_member_modifier] = STATE(3173),
    [sym_visibility_modifier] = STATE(3173),
    [sym_function_modifier] = STATE(3173),
    [sym_mutation_modifier] = STATE(3173),
    [sym_property_modifier] = STATE(3173),
    [sym_inheritance_modifier] = STATE(1789),
    [sym_parameter_modifier] = STATE(3173),
    [sym_ownership_modifier] = STATE(1789),
    [sym__parameter_ownership_modifier] = STATE(852),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [aux_sym__lambda_type_declaration_repeat1] = STATE(4222),
    [aux_sym_modifiers_repeat1] = STATE(3173),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(181),
    [aux_sym_simple_identifier_token2] = ACTIONS(183),
    [aux_sym_simple_identifier_token3] = ACTIONS(183),
    [aux_sym_simple_identifier_token4] = ACTIONS(183),
    [anon_sym_actor] = ACTIONS(185),
    [anon_sym_async] = ACTIONS(187),
    [anon_sym_each] = ACTIONS(189),
    [anon_sym_lazy] = ACTIONS(191),
    [anon_sym_repeat] = ACTIONS(193),
    [anon_sym_package] = ACTIONS(195),
    [anon_sym_nil] = ACTIONS(153),
    [sym_real_literal] = ACTIONS(155),
    [sym_integer_literal] = ACTIONS(153),
    [sym_hex_literal] = ACTIONS(155),
    [sym_oct_literal] = ACTIONS(155),
    [sym_bin_literal] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(199),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(153),
    [anon_sym_POUNDfileID] = ACTIONS(155),
    [anon_sym_POUNDfilePath] = ACTIONS(155),
    [anon_sym_POUNDline] = ACTIONS(155),
    [anon_sym_POUNDcolumn] = ACTIONS(155),
    [anon_sym_POUNDfunction] = ACTIONS(155),
    [anon_sym_POUNDdsohandle] = ACTIONS(155),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_RBRACE] = ACTIONS(211),
    [anon_sym_in] = ACTIONS(213),
    [anon_sym_self] = ACTIONS(205),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_guard] = ACTIONS(69),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(153),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(153),
    [anon_sym_PERCENT] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(155),
    [anon_sym_CARET] = ACTIONS(153),
    [anon_sym_LT_LT] = ACTIONS(155),
    [anon_sym_GT_GT] = ACTIONS(155),
    [sym_statement_label] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [sym_throw_keyword] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(159),
    [anon_sym_continue] = ACTIONS(159),
    [anon_sym_break] = ACTIONS(159),
    [anon_sym_yield] = ACTIONS(159),
    [anon_sym_typealias] = ACTIONS(93),
    [anon_sym_struct] = ACTIONS(95),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_enum] = ACTIONS(99),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_func] = ACTIONS(105),
    [anon_sym_willSet] = ACTIONS(163),
    [anon_sym_didSet] = ACTIONS(165),
    [anon_sym_extension] = ACTIONS(109),
    [anon_sym_indirect] = ACTIONS(111),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_prefix] = ACTIONS(173),
    [anon_sym_infix] = ACTIONS(173),
    [anon_sym_postfix] = ACTIONS(173),
    [anon_sym_AT] = ACTIONS(207),
    [anon_sym_override] = ACTIONS(125),
    [anon_sym_convenience] = ACTIONS(125),
    [anon_sym_required] = ACTIONS(125),
    [anon_sym_nonisolated] = ACTIONS(125),
    [anon_sym_public] = ACTIONS(127),
    [anon_sym_private] = ACTIONS(127),
    [anon_sym_internal] = ACTIONS(127),
    [anon_sym_fileprivate] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(127),
    [anon_sym_mutating] = ACTIONS(129),
    [anon_sym_nonmutating] = ACTIONS(129),
    [anon_sym_static] = ACTIONS(131),
    [anon_sym_dynamic] = ACTIONS(131),
    [anon_sym_optional] = ACTIONS(131),
    [anon_sym_distributed] = ACTIONS(131),
    [anon_sym_final] = ACTIONS(133),
    [anon_sym_inout] = ACTIONS(135),
    [anon_sym_ATescaping] = ACTIONS(137),
    [anon_sym_ATautoclosure] = ACTIONS(137),
    [anon_sym_weak] = ACTIONS(139),
    [anon_sym_unowned] = ACTIONS(139),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(141),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(141),
    [anon_sym_borrowing] = ACTIONS(209),
    [anon_sym_consuming] = ACTIONS(209),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(155),
    [sym__eq_eq_custom] = ACTIONS(155),
    [sym__plus_then_ws] = ACTIONS(155),
    [sym__minus_then_ws] = ACTIONS(155),
    [sym__bang_custom] = ACTIONS(151),
    [sym__custom_operator] = ACTIONS(57),
  },
  [8] = {
    [sym_simple_identifier] = STATE(1465),
    [sym__contextual_simple_identifier] = STATE(1477),
    [sym__basic_literal] = STATE(1349),
    [sym_boolean_literal] = STATE(1349),
    [sym__string_literal] = STATE(1349),
    [sym_line_string_literal] = STATE(1349),
    [sym_multi_line_string_literal] = STATE(1349),
    [sym_raw_string_literal] = STATE(1349),
    [sym_regex_literal] = STATE(1349),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1349),
    [sym__unary_expression] = STATE(1349),
    [sym_postfix_expression] = STATE(1349),
    [sym_constructor_expression] = STATE(1349),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1349),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1349),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1349),
    [sym_prefix_expression] = STATE(1349),
    [sym_as_expression] = STATE(1349),
    [sym_selector_expression] = STATE(1349),
    [sym__binary_expression] = STATE(1349),
    [sym_multiplicative_expression] = STATE(1349),
    [sym_additive_expression] = STATE(1349),
    [sym_range_expression] = STATE(1349),
    [sym_infix_expression] = STATE(1349),
    [sym_nil_coalescing_expression] = STATE(1349),
    [sym_check_expression] = STATE(1349),
    [sym_comparison_expression] = STATE(1349),
    [sym_equality_expression] = STATE(1349),
    [sym_conjunction_expression] = STATE(1349),
    [sym_disjunction_expression] = STATE(1349),
    [sym_bitwise_operation] = STATE(1349),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1349),
    [sym_await_expression] = STATE(1349),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1349),
    [sym_call_expression] = STATE(1349),
    [sym__primary_expression] = STATE(1349),
    [sym_tuple_expression] = STATE(1349),
    [sym_array_literal] = STATE(1349),
    [sym_dictionary_literal] = STATE(1349),
    [sym__special_literal] = STATE(1349),
    [sym__playground_literal] = STATE(1349),
    [sym_lambda_literal] = STATE(1349),
    [sym__lambda_type_declaration] = STATE(98),
    [sym_capture_list] = STATE(4269),
    [sym_lambda_function_type] = STATE(7701),
    [sym_lambda_function_type_parameters] = STATE(5444),
    [sym_lambda_parameter] = STATE(5647),
    [sym_self_expression] = STATE(1892),
    [sym_super_expression] = STATE(1349),
    [sym_if_statement] = STATE(2559),
    [sym_guard_statement] = STATE(5953),
    [sym_switch_statement] = STATE(2559),
    [sym_switch_entry] = STATE(2444),
    [sym_do_statement] = STATE(5953),
    [sym_key_path_expression] = STATE(1349),
    [sym_key_path_string_expression] = STATE(1349),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1349),
    [sym__equality_operator] = STATE(1349),
    [sym__comparison_operator] = STATE(1349),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1349),
    [sym__multiplicative_operator] = STATE(1349),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym_statements] = STATE(7710),
    [sym__local_statement] = STATE(5953),
    [sym__labeled_statement] = STATE(5953),
    [sym_for_statement] = STATE(5953),
    [sym_while_statement] = STATE(5953),
    [sym_repeat_while_statement] = STATE(5953),
    [sym_control_transfer_statement] = STATE(5953),
    [sym__throw_statement] = STATE(6577),
    [sym__optionally_valueful_control_keyword] = STATE(283),
    [sym_assignment] = STATE(1349),
    [sym_value_parameter_pack] = STATE(1349),
    [sym_value_pack_expansion] = STATE(1349),
    [sym__local_declaration] = STATE(5953),
    [sym__local_property_declaration] = STATE(6579),
    [sym__local_typealias_declaration] = STATE(6581),
    [sym__local_function_declaration] = STATE(6582),
    [sym__local_class_declaration] = STATE(6584),
    [sym__modifierless_property_declaration] = STATE(6589),
    [sym__modifierless_typealias_declaration] = STATE(6601),
    [sym__modifierless_function_declaration] = STATE(6604),
    [sym__modifierless_function_declaration_no_body] = STATE(6607),
    [sym__modifierless_class_declaration] = STATE(6613),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__referenceable_operator] = STATE(1349),
    [sym__equal_sign] = STATE(1349),
    [sym__eq_eq] = STATE(1349),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__async_modifier] = STATE(6632),
    [sym_attribute] = STATE(2239),
    [sym_value_binding_pattern] = STATE(3973),
    [sym__possibly_async_binding_pattern_kind] = STATE(3973),
    [sym_modifiers] = STATE(7440),
    [aux_sym__locally_permitted_modifiers] = STATE(1779),
    [sym__non_local_scope_modifier] = STATE(3160),
    [sym__locally_permitted_modifier] = STATE(1779),
    [sym_property_behavior_modifier] = STATE(1779),
    [sym_member_modifier] = STATE(3160),
    [sym_visibility_modifier] = STATE(3160),
    [sym_function_modifier] = STATE(3160),
    [sym_mutation_modifier] = STATE(3160),
    [sym_property_modifier] = STATE(3160),
    [sym_inheritance_modifier] = STATE(1779),
    [sym_parameter_modifier] = STATE(3160),
    [sym_ownership_modifier] = STATE(1779),
    [sym__parameter_ownership_modifier] = STATE(844),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [aux_sym__lambda_type_declaration_repeat1] = STATE(4222),
    [aux_sym_switch_statement_repeat1] = STATE(2444),
    [aux_sym_modifiers_repeat1] = STATE(3160),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(181),
    [aux_sym_simple_identifier_token2] = ACTIONS(183),
    [aux_sym_simple_identifier_token3] = ACTIONS(183),
    [aux_sym_simple_identifier_token4] = ACTIONS(183),
    [anon_sym_actor] = ACTIONS(185),
    [anon_sym_async] = ACTIONS(187),
    [anon_sym_each] = ACTIONS(189),
    [anon_sym_lazy] = ACTIONS(215),
    [anon_sym_repeat] = ACTIONS(193),
    [anon_sym_package] = ACTIONS(217),
    [anon_sym_nil] = ACTIONS(153),
    [sym_real_literal] = ACTIONS(155),
    [sym_integer_literal] = ACTIONS(153),
    [sym_hex_literal] = ACTIONS(155),
    [sym_oct_literal] = ACTIONS(155),
    [sym_bin_literal] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(199),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(153),
    [anon_sym_POUNDfileID] = ACTIONS(155),
    [anon_sym_POUNDfilePath] = ACTIONS(155),
    [anon_sym_POUNDline] = ACTIONS(155),
    [anon_sym_POUNDcolumn] = ACTIONS(155),
    [anon_sym_POUNDfunction] = ACTIONS(155),
    [anon_sym_POUNDdsohandle] = ACTIONS(155),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_RBRACE] = ACTIONS(219),
    [anon_sym_in] = ACTIONS(221),
    [anon_sym_self] = ACTIONS(205),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_guard] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(223),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(153),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(153),
    [anon_sym_PERCENT] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(155),
    [anon_sym_CARET] = ACTIONS(153),
    [anon_sym_LT_LT] = ACTIONS(155),
    [anon_sym_GT_GT] = ACTIONS(155),
    [sym_statement_label] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [sym_throw_keyword] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(159),
    [anon_sym_continue] = ACTIONS(159),
    [anon_sym_break] = ACTIONS(159),
    [anon_sym_yield] = ACTIONS(159),
    [anon_sym_typealias] = ACTIONS(93),
    [anon_sym_struct] = ACTIONS(95),
    [anon_sym_class] = ACTIONS(225),
    [anon_sym_enum] = ACTIONS(99),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_func] = ACTIONS(105),
    [anon_sym_extension] = ACTIONS(109),
    [anon_sym_indirect] = ACTIONS(111),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_prefix] = ACTIONS(227),
    [anon_sym_infix] = ACTIONS(227),
    [anon_sym_postfix] = ACTIONS(227),
    [anon_sym_AT] = ACTIONS(229),
    [anon_sym_override] = ACTIONS(231),
    [anon_sym_convenience] = ACTIONS(231),
    [anon_sym_required] = ACTIONS(231),
    [anon_sym_nonisolated] = ACTIONS(231),
    [anon_sym_public] = ACTIONS(233),
    [anon_sym_private] = ACTIONS(233),
    [anon_sym_internal] = ACTIONS(233),
    [anon_sym_fileprivate] = ACTIONS(233),
    [anon_sym_open] = ACTIONS(233),
    [anon_sym_mutating] = ACTIONS(235),
    [anon_sym_nonmutating] = ACTIONS(235),
    [anon_sym_static] = ACTIONS(237),
    [anon_sym_dynamic] = ACTIONS(237),
    [anon_sym_optional] = ACTIONS(237),
    [anon_sym_distributed] = ACTIONS(237),
    [anon_sym_final] = ACTIONS(239),
    [anon_sym_inout] = ACTIONS(241),
    [anon_sym_ATescaping] = ACTIONS(243),
    [anon_sym_ATautoclosure] = ACTIONS(243),
    [anon_sym_weak] = ACTIONS(245),
    [anon_sym_unowned] = ACTIONS(245),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(247),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(247),
    [anon_sym_borrowing] = ACTIONS(249),
    [anon_sym_consuming] = ACTIONS(249),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(155),
    [sym__eq_eq_custom] = ACTIONS(155),
    [sym__plus_then_ws] = ACTIONS(155),
    [sym__minus_then_ws] = ACTIONS(155),
    [sym__bang_custom] = ACTIONS(151),
    [sym_default_keyword] = ACTIONS(251),
    [sym__custom_operator] = ACTIONS(57),
  },
  [9] = {
    [sym_simple_identifier] = STATE(1465),
    [sym__contextual_simple_identifier] = STATE(1477),
    [sym__basic_literal] = STATE(1349),
    [sym_boolean_literal] = STATE(1349),
    [sym__string_literal] = STATE(1349),
    [sym_line_string_literal] = STATE(1349),
    [sym_multi_line_string_literal] = STATE(1349),
    [sym_raw_string_literal] = STATE(1349),
    [sym_regex_literal] = STATE(1349),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1349),
    [sym__unary_expression] = STATE(1349),
    [sym_postfix_expression] = STATE(1349),
    [sym_constructor_expression] = STATE(1349),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1349),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1349),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1349),
    [sym_prefix_expression] = STATE(1349),
    [sym_as_expression] = STATE(1349),
    [sym_selector_expression] = STATE(1349),
    [sym__binary_expression] = STATE(1349),
    [sym_multiplicative_expression] = STATE(1349),
    [sym_additive_expression] = STATE(1349),
    [sym_range_expression] = STATE(1349),
    [sym_infix_expression] = STATE(1349),
    [sym_nil_coalescing_expression] = STATE(1349),
    [sym_check_expression] = STATE(1349),
    [sym_comparison_expression] = STATE(1349),
    [sym_equality_expression] = STATE(1349),
    [sym_conjunction_expression] = STATE(1349),
    [sym_disjunction_expression] = STATE(1349),
    [sym_bitwise_operation] = STATE(1349),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1349),
    [sym_await_expression] = STATE(1349),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1349),
    [sym_call_expression] = STATE(1349),
    [sym__primary_expression] = STATE(1349),
    [sym_tuple_expression] = STATE(1349),
    [sym_array_literal] = STATE(1349),
    [sym_dictionary_literal] = STATE(1349),
    [sym__special_literal] = STATE(1349),
    [sym__playground_literal] = STATE(1349),
    [sym_lambda_literal] = STATE(1349),
    [sym__lambda_type_declaration] = STATE(82),
    [sym_capture_list] = STATE(4269),
    [sym_lambda_function_type] = STATE(7701),
    [sym_lambda_function_type_parameters] = STATE(5444),
    [sym_lambda_parameter] = STATE(5647),
    [sym_self_expression] = STATE(1892),
    [sym_super_expression] = STATE(1349),
    [sym_if_statement] = STATE(2559),
    [sym_guard_statement] = STATE(5953),
    [sym_switch_statement] = STATE(2559),
    [sym_do_statement] = STATE(5953),
    [sym_key_path_expression] = STATE(1349),
    [sym_key_path_string_expression] = STATE(1349),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1349),
    [sym__equality_operator] = STATE(1349),
    [sym__comparison_operator] = STATE(1349),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1349),
    [sym__multiplicative_operator] = STATE(1349),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym_statements] = STATE(7811),
    [sym__local_statement] = STATE(5953),
    [sym__labeled_statement] = STATE(5953),
    [sym_for_statement] = STATE(5953),
    [sym_while_statement] = STATE(5953),
    [sym_repeat_while_statement] = STATE(5953),
    [sym_control_transfer_statement] = STATE(5953),
    [sym__throw_statement] = STATE(6577),
    [sym__optionally_valueful_control_keyword] = STATE(283),
    [sym_assignment] = STATE(1349),
    [sym_value_parameter_pack] = STATE(1349),
    [sym_value_pack_expansion] = STATE(1349),
    [sym__local_declaration] = STATE(5953),
    [sym__local_property_declaration] = STATE(6579),
    [sym__local_typealias_declaration] = STATE(6581),
    [sym__local_function_declaration] = STATE(6582),
    [sym__local_class_declaration] = STATE(6584),
    [sym__modifierless_property_declaration] = STATE(6589),
    [sym_willset_clause] = STATE(2810),
    [sym_didset_clause] = STATE(2806),
    [sym__modifierless_typealias_declaration] = STATE(6601),
    [sym__modifierless_function_declaration] = STATE(6604),
    [sym__modifierless_function_declaration_no_body] = STATE(6607),
    [sym__modifierless_class_declaration] = STATE(6613),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__referenceable_operator] = STATE(1349),
    [sym__equal_sign] = STATE(1349),
    [sym__eq_eq] = STATE(1349),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__async_modifier] = STATE(6632),
    [sym_attribute] = STATE(2139),
    [sym_value_binding_pattern] = STATE(3973),
    [sym__possibly_async_binding_pattern_kind] = STATE(3973),
    [sym_modifiers] = STATE(7533),
    [aux_sym__locally_permitted_modifiers] = STATE(1789),
    [sym__non_local_scope_modifier] = STATE(3173),
    [sym__locally_permitted_modifier] = STATE(1789),
    [sym_property_behavior_modifier] = STATE(1789),
    [sym_member_modifier] = STATE(3173),
    [sym_visibility_modifier] = STATE(3173),
    [sym_function_modifier] = STATE(3173),
    [sym_mutation_modifier] = STATE(3173),
    [sym_property_modifier] = STATE(3173),
    [sym_inheritance_modifier] = STATE(1789),
    [sym_parameter_modifier] = STATE(3173),
    [sym_ownership_modifier] = STATE(1789),
    [sym__parameter_ownership_modifier] = STATE(852),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [aux_sym__lambda_type_declaration_repeat1] = STATE(4222),
    [aux_sym_modifiers_repeat1] = STATE(3173),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(181),
    [aux_sym_simple_identifier_token2] = ACTIONS(183),
    [aux_sym_simple_identifier_token3] = ACTIONS(183),
    [aux_sym_simple_identifier_token4] = ACTIONS(183),
    [anon_sym_actor] = ACTIONS(185),
    [anon_sym_async] = ACTIONS(187),
    [anon_sym_each] = ACTIONS(189),
    [anon_sym_lazy] = ACTIONS(191),
    [anon_sym_repeat] = ACTIONS(193),
    [anon_sym_package] = ACTIONS(195),
    [anon_sym_nil] = ACTIONS(153),
    [sym_real_literal] = ACTIONS(155),
    [sym_integer_literal] = ACTIONS(153),
    [sym_hex_literal] = ACTIONS(155),
    [sym_oct_literal] = ACTIONS(155),
    [sym_bin_literal] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(199),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(153),
    [anon_sym_POUNDfileID] = ACTIONS(155),
    [anon_sym_POUNDfilePath] = ACTIONS(155),
    [anon_sym_POUNDline] = ACTIONS(155),
    [anon_sym_POUNDcolumn] = ACTIONS(155),
    [anon_sym_POUNDfunction] = ACTIONS(155),
    [anon_sym_POUNDdsohandle] = ACTIONS(155),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_RBRACE] = ACTIONS(253),
    [anon_sym_in] = ACTIONS(255),
    [anon_sym_self] = ACTIONS(205),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_guard] = ACTIONS(69),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(153),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(153),
    [anon_sym_PERCENT] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(155),
    [anon_sym_CARET] = ACTIONS(153),
    [anon_sym_LT_LT] = ACTIONS(155),
    [anon_sym_GT_GT] = ACTIONS(155),
    [sym_statement_label] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [sym_throw_keyword] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(159),
    [anon_sym_continue] = ACTIONS(159),
    [anon_sym_break] = ACTIONS(159),
    [anon_sym_yield] = ACTIONS(159),
    [anon_sym_typealias] = ACTIONS(93),
    [anon_sym_struct] = ACTIONS(95),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_enum] = ACTIONS(99),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_func] = ACTIONS(105),
    [anon_sym_willSet] = ACTIONS(163),
    [anon_sym_didSet] = ACTIONS(165),
    [anon_sym_extension] = ACTIONS(109),
    [anon_sym_indirect] = ACTIONS(111),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_prefix] = ACTIONS(173),
    [anon_sym_infix] = ACTIONS(173),
    [anon_sym_postfix] = ACTIONS(173),
    [anon_sym_AT] = ACTIONS(207),
    [anon_sym_override] = ACTIONS(125),
    [anon_sym_convenience] = ACTIONS(125),
    [anon_sym_required] = ACTIONS(125),
    [anon_sym_nonisolated] = ACTIONS(125),
    [anon_sym_public] = ACTIONS(127),
    [anon_sym_private] = ACTIONS(127),
    [anon_sym_internal] = ACTIONS(127),
    [anon_sym_fileprivate] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(127),
    [anon_sym_mutating] = ACTIONS(129),
    [anon_sym_nonmutating] = ACTIONS(129),
    [anon_sym_static] = ACTIONS(131),
    [anon_sym_dynamic] = ACTIONS(131),
    [anon_sym_optional] = ACTIONS(131),
    [anon_sym_distributed] = ACTIONS(131),
    [anon_sym_final] = ACTIONS(133),
    [anon_sym_inout] = ACTIONS(135),
    [anon_sym_ATescaping] = ACTIONS(137),
    [anon_sym_ATautoclosure] = ACTIONS(137),
    [anon_sym_weak] = ACTIONS(139),
    [anon_sym_unowned] = ACTIONS(139),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(141),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(141),
    [anon_sym_borrowing] = ACTIONS(209),
    [anon_sym_consuming] = ACTIONS(209),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(155),
    [sym__eq_eq_custom] = ACTIONS(155),
    [sym__plus_then_ws] = ACTIONS(155),
    [sym__minus_then_ws] = ACTIONS(155),
    [sym__bang_custom] = ACTIONS(151),
    [sym__custom_operator] = ACTIONS(57),
  },
  [10] = {
    [sym_simple_identifier] = STATE(1465),
    [sym__contextual_simple_identifier] = STATE(1477),
    [sym__basic_literal] = STATE(1349),
    [sym_boolean_literal] = STATE(1349),
    [sym__string_literal] = STATE(1349),
    [sym_line_string_literal] = STATE(1349),
    [sym_multi_line_string_literal] = STATE(1349),
    [sym_raw_string_literal] = STATE(1349),
    [sym_regex_literal] = STATE(1349),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1349),
    [sym__unary_expression] = STATE(1349),
    [sym_postfix_expression] = STATE(1349),
    [sym_constructor_expression] = STATE(1349),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1349),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1349),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1349),
    [sym_prefix_expression] = STATE(1349),
    [sym_as_expression] = STATE(1349),
    [sym_selector_expression] = STATE(1349),
    [sym__binary_expression] = STATE(1349),
    [sym_multiplicative_expression] = STATE(1349),
    [sym_additive_expression] = STATE(1349),
    [sym_range_expression] = STATE(1349),
    [sym_infix_expression] = STATE(1349),
    [sym_nil_coalescing_expression] = STATE(1349),
    [sym_check_expression] = STATE(1349),
    [sym_comparison_expression] = STATE(1349),
    [sym_equality_expression] = STATE(1349),
    [sym_conjunction_expression] = STATE(1349),
    [sym_disjunction_expression] = STATE(1349),
    [sym_bitwise_operation] = STATE(1349),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1349),
    [sym_await_expression] = STATE(1349),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1349),
    [sym_call_expression] = STATE(1349),
    [sym__primary_expression] = STATE(1349),
    [sym_tuple_expression] = STATE(1349),
    [sym_array_literal] = STATE(1349),
    [sym_dictionary_literal] = STATE(1349),
    [sym__special_literal] = STATE(1349),
    [sym__playground_literal] = STATE(1349),
    [sym_lambda_literal] = STATE(1349),
    [sym__lambda_type_declaration] = STATE(98),
    [sym_capture_list] = STATE(4269),
    [sym_lambda_function_type] = STATE(7701),
    [sym_lambda_function_type_parameters] = STATE(5444),
    [sym_lambda_parameter] = STATE(5647),
    [sym_self_expression] = STATE(1892),
    [sym_super_expression] = STATE(1349),
    [sym_if_statement] = STATE(2559),
    [sym_guard_statement] = STATE(5953),
    [sym_switch_statement] = STATE(2559),
    [sym_switch_entry] = STATE(2474),
    [sym_do_statement] = STATE(5953),
    [sym_key_path_expression] = STATE(1349),
    [sym_key_path_string_expression] = STATE(1349),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1349),
    [sym__equality_operator] = STATE(1349),
    [sym__comparison_operator] = STATE(1349),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1349),
    [sym__multiplicative_operator] = STATE(1349),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym_statements] = STATE(7710),
    [sym__local_statement] = STATE(5953),
    [sym__labeled_statement] = STATE(5953),
    [sym_for_statement] = STATE(5953),
    [sym_while_statement] = STATE(5953),
    [sym_repeat_while_statement] = STATE(5953),
    [sym_control_transfer_statement] = STATE(5953),
    [sym__throw_statement] = STATE(6577),
    [sym__optionally_valueful_control_keyword] = STATE(283),
    [sym_assignment] = STATE(1349),
    [sym_value_parameter_pack] = STATE(1349),
    [sym_value_pack_expansion] = STATE(1349),
    [sym__local_declaration] = STATE(5953),
    [sym__local_property_declaration] = STATE(6579),
    [sym__local_typealias_declaration] = STATE(6581),
    [sym__local_function_declaration] = STATE(6582),
    [sym__local_class_declaration] = STATE(6584),
    [sym__modifierless_property_declaration] = STATE(6589),
    [sym__modifierless_typealias_declaration] = STATE(6601),
    [sym__modifierless_function_declaration] = STATE(6604),
    [sym__modifierless_function_declaration_no_body] = STATE(6607),
    [sym__modifierless_class_declaration] = STATE(6613),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__referenceable_operator] = STATE(1349),
    [sym__equal_sign] = STATE(1349),
    [sym__eq_eq] = STATE(1349),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__async_modifier] = STATE(6632),
    [sym_attribute] = STATE(2239),
    [sym_value_binding_pattern] = STATE(3973),
    [sym__possibly_async_binding_pattern_kind] = STATE(3973),
    [sym_modifiers] = STATE(7440),
    [aux_sym__locally_permitted_modifiers] = STATE(1779),
    [sym__non_local_scope_modifier] = STATE(3160),
    [sym__locally_permitted_modifier] = STATE(1779),
    [sym_property_behavior_modifier] = STATE(1779),
    [sym_member_modifier] = STATE(3160),
    [sym_visibility_modifier] = STATE(3160),
    [sym_function_modifier] = STATE(3160),
    [sym_mutation_modifier] = STATE(3160),
    [sym_property_modifier] = STATE(3160),
    [sym_inheritance_modifier] = STATE(1779),
    [sym_parameter_modifier] = STATE(3160),
    [sym_ownership_modifier] = STATE(1779),
    [sym__parameter_ownership_modifier] = STATE(844),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [aux_sym__lambda_type_declaration_repeat1] = STATE(4222),
    [aux_sym_switch_statement_repeat1] = STATE(2474),
    [aux_sym_modifiers_repeat1] = STATE(3160),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(181),
    [aux_sym_simple_identifier_token2] = ACTIONS(183),
    [aux_sym_simple_identifier_token3] = ACTIONS(183),
    [aux_sym_simple_identifier_token4] = ACTIONS(183),
    [anon_sym_actor] = ACTIONS(185),
    [anon_sym_async] = ACTIONS(187),
    [anon_sym_each] = ACTIONS(189),
    [anon_sym_lazy] = ACTIONS(215),
    [anon_sym_repeat] = ACTIONS(193),
    [anon_sym_package] = ACTIONS(217),
    [anon_sym_nil] = ACTIONS(153),
    [sym_real_literal] = ACTIONS(155),
    [sym_integer_literal] = ACTIONS(153),
    [sym_hex_literal] = ACTIONS(155),
    [sym_oct_literal] = ACTIONS(155),
    [sym_bin_literal] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(199),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(153),
    [anon_sym_POUNDfileID] = ACTIONS(155),
    [anon_sym_POUNDfilePath] = ACTIONS(155),
    [anon_sym_POUNDline] = ACTIONS(155),
    [anon_sym_POUNDcolumn] = ACTIONS(155),
    [anon_sym_POUNDfunction] = ACTIONS(155),
    [anon_sym_POUNDdsohandle] = ACTIONS(155),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_RBRACE] = ACTIONS(257),
    [anon_sym_in] = ACTIONS(221),
    [anon_sym_self] = ACTIONS(205),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_guard] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(223),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(153),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(153),
    [anon_sym_PERCENT] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(155),
    [anon_sym_CARET] = ACTIONS(153),
    [anon_sym_LT_LT] = ACTIONS(155),
    [anon_sym_GT_GT] = ACTIONS(155),
    [sym_statement_label] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [sym_throw_keyword] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(159),
    [anon_sym_continue] = ACTIONS(159),
    [anon_sym_break] = ACTIONS(159),
    [anon_sym_yield] = ACTIONS(159),
    [anon_sym_typealias] = ACTIONS(93),
    [anon_sym_struct] = ACTIONS(95),
    [anon_sym_class] = ACTIONS(225),
    [anon_sym_enum] = ACTIONS(99),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_func] = ACTIONS(105),
    [anon_sym_extension] = ACTIONS(109),
    [anon_sym_indirect] = ACTIONS(111),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_prefix] = ACTIONS(227),
    [anon_sym_infix] = ACTIONS(227),
    [anon_sym_postfix] = ACTIONS(227),
    [anon_sym_AT] = ACTIONS(229),
    [anon_sym_override] = ACTIONS(231),
    [anon_sym_convenience] = ACTIONS(231),
    [anon_sym_required] = ACTIONS(231),
    [anon_sym_nonisolated] = ACTIONS(231),
    [anon_sym_public] = ACTIONS(233),
    [anon_sym_private] = ACTIONS(233),
    [anon_sym_internal] = ACTIONS(233),
    [anon_sym_fileprivate] = ACTIONS(233),
    [anon_sym_open] = ACTIONS(233),
    [anon_sym_mutating] = ACTIONS(235),
    [anon_sym_nonmutating] = ACTIONS(235),
    [anon_sym_static] = ACTIONS(237),
    [anon_sym_dynamic] = ACTIONS(237),
    [anon_sym_optional] = ACTIONS(237),
    [anon_sym_distributed] = ACTIONS(237),
    [anon_sym_final] = ACTIONS(239),
    [anon_sym_inout] = ACTIONS(241),
    [anon_sym_ATescaping] = ACTIONS(243),
    [anon_sym_ATautoclosure] = ACTIONS(243),
    [anon_sym_weak] = ACTIONS(245),
    [anon_sym_unowned] = ACTIONS(245),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(247),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(247),
    [anon_sym_borrowing] = ACTIONS(249),
    [anon_sym_consuming] = ACTIONS(249),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(155),
    [sym__eq_eq_custom] = ACTIONS(155),
    [sym__plus_then_ws] = ACTIONS(155),
    [sym__minus_then_ws] = ACTIONS(155),
    [sym__bang_custom] = ACTIONS(151),
    [sym_default_keyword] = ACTIONS(251),
    [sym__custom_operator] = ACTIONS(57),
  },
  [11] = {
    [sym_simple_identifier] = STATE(1465),
    [sym__contextual_simple_identifier] = STATE(1477),
    [sym__basic_literal] = STATE(1349),
    [sym_boolean_literal] = STATE(1349),
    [sym__string_literal] = STATE(1349),
    [sym_line_string_literal] = STATE(1349),
    [sym_multi_line_string_literal] = STATE(1349),
    [sym_raw_string_literal] = STATE(1349),
    [sym_regex_literal] = STATE(1349),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1349),
    [sym__unary_expression] = STATE(1349),
    [sym_postfix_expression] = STATE(1349),
    [sym_constructor_expression] = STATE(1349),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1349),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1349),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1349),
    [sym_prefix_expression] = STATE(1349),
    [sym_as_expression] = STATE(1349),
    [sym_selector_expression] = STATE(1349),
    [sym__binary_expression] = STATE(1349),
    [sym_multiplicative_expression] = STATE(1349),
    [sym_additive_expression] = STATE(1349),
    [sym_range_expression] = STATE(1349),
    [sym_infix_expression] = STATE(1349),
    [sym_nil_coalescing_expression] = STATE(1349),
    [sym_check_expression] = STATE(1349),
    [sym_comparison_expression] = STATE(1349),
    [sym_equality_expression] = STATE(1349),
    [sym_conjunction_expression] = STATE(1349),
    [sym_disjunction_expression] = STATE(1349),
    [sym_bitwise_operation] = STATE(1349),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1349),
    [sym_await_expression] = STATE(1349),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1349),
    [sym_call_expression] = STATE(1349),
    [sym__primary_expression] = STATE(1349),
    [sym_tuple_expression] = STATE(1349),
    [sym_array_literal] = STATE(1349),
    [sym_dictionary_literal] = STATE(1349),
    [sym__special_literal] = STATE(1349),
    [sym__playground_literal] = STATE(1349),
    [sym_lambda_literal] = STATE(1349),
    [sym__lambda_type_declaration] = STATE(98),
    [sym_capture_list] = STATE(4269),
    [sym_lambda_function_type] = STATE(7701),
    [sym_lambda_function_type_parameters] = STATE(5444),
    [sym_lambda_parameter] = STATE(5647),
    [sym_self_expression] = STATE(1892),
    [sym_super_expression] = STATE(1349),
    [sym_if_statement] = STATE(2559),
    [sym_guard_statement] = STATE(5953),
    [sym_switch_statement] = STATE(2559),
    [sym_switch_entry] = STATE(2452),
    [sym_do_statement] = STATE(5953),
    [sym_key_path_expression] = STATE(1349),
    [sym_key_path_string_expression] = STATE(1349),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1349),
    [sym__equality_operator] = STATE(1349),
    [sym__comparison_operator] = STATE(1349),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1349),
    [sym__multiplicative_operator] = STATE(1349),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym_statements] = STATE(7710),
    [sym__local_statement] = STATE(5953),
    [sym__labeled_statement] = STATE(5953),
    [sym_for_statement] = STATE(5953),
    [sym_while_statement] = STATE(5953),
    [sym_repeat_while_statement] = STATE(5953),
    [sym_control_transfer_statement] = STATE(5953),
    [sym__throw_statement] = STATE(6577),
    [sym__optionally_valueful_control_keyword] = STATE(283),
    [sym_assignment] = STATE(1349),
    [sym_value_parameter_pack] = STATE(1349),
    [sym_value_pack_expansion] = STATE(1349),
    [sym__local_declaration] = STATE(5953),
    [sym__local_property_declaration] = STATE(6579),
    [sym__local_typealias_declaration] = STATE(6581),
    [sym__local_function_declaration] = STATE(6582),
    [sym__local_class_declaration] = STATE(6584),
    [sym__modifierless_property_declaration] = STATE(6589),
    [sym__modifierless_typealias_declaration] = STATE(6601),
    [sym__modifierless_function_declaration] = STATE(6604),
    [sym__modifierless_function_declaration_no_body] = STATE(6607),
    [sym__modifierless_class_declaration] = STATE(6613),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__referenceable_operator] = STATE(1349),
    [sym__equal_sign] = STATE(1349),
    [sym__eq_eq] = STATE(1349),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__async_modifier] = STATE(6632),
    [sym_attribute] = STATE(2239),
    [sym_value_binding_pattern] = STATE(3973),
    [sym__possibly_async_binding_pattern_kind] = STATE(3973),
    [sym_modifiers] = STATE(7440),
    [aux_sym__locally_permitted_modifiers] = STATE(1779),
    [sym__non_local_scope_modifier] = STATE(3160),
    [sym__locally_permitted_modifier] = STATE(1779),
    [sym_property_behavior_modifier] = STATE(1779),
    [sym_member_modifier] = STATE(3160),
    [sym_visibility_modifier] = STATE(3160),
    [sym_function_modifier] = STATE(3160),
    [sym_mutation_modifier] = STATE(3160),
    [sym_property_modifier] = STATE(3160),
    [sym_inheritance_modifier] = STATE(1779),
    [sym_parameter_modifier] = STATE(3160),
    [sym_ownership_modifier] = STATE(1779),
    [sym__parameter_ownership_modifier] = STATE(844),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [aux_sym__lambda_type_declaration_repeat1] = STATE(4222),
    [aux_sym_switch_statement_repeat1] = STATE(2452),
    [aux_sym_modifiers_repeat1] = STATE(3160),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(181),
    [aux_sym_simple_identifier_token2] = ACTIONS(183),
    [aux_sym_simple_identifier_token3] = ACTIONS(183),
    [aux_sym_simple_identifier_token4] = ACTIONS(183),
    [anon_sym_actor] = ACTIONS(185),
    [anon_sym_async] = ACTIONS(187),
    [anon_sym_each] = ACTIONS(189),
    [anon_sym_lazy] = ACTIONS(215),
    [anon_sym_repeat] = ACTIONS(193),
    [anon_sym_package] = ACTIONS(217),
    [anon_sym_nil] = ACTIONS(153),
    [sym_real_literal] = ACTIONS(155),
    [sym_integer_literal] = ACTIONS(153),
    [sym_hex_literal] = ACTIONS(155),
    [sym_oct_literal] = ACTIONS(155),
    [sym_bin_literal] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(199),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(153),
    [anon_sym_POUNDfileID] = ACTIONS(155),
    [anon_sym_POUNDfilePath] = ACTIONS(155),
    [anon_sym_POUNDline] = ACTIONS(155),
    [anon_sym_POUNDcolumn] = ACTIONS(155),
    [anon_sym_POUNDfunction] = ACTIONS(155),
    [anon_sym_POUNDdsohandle] = ACTIONS(155),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_RBRACE] = ACTIONS(259),
    [anon_sym_in] = ACTIONS(221),
    [anon_sym_self] = ACTIONS(205),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_guard] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(223),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(153),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(153),
    [anon_sym_PERCENT] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(155),
    [anon_sym_CARET] = ACTIONS(153),
    [anon_sym_LT_LT] = ACTIONS(155),
    [anon_sym_GT_GT] = ACTIONS(155),
    [sym_statement_label] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [sym_throw_keyword] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(159),
    [anon_sym_continue] = ACTIONS(159),
    [anon_sym_break] = ACTIONS(159),
    [anon_sym_yield] = ACTIONS(159),
    [anon_sym_typealias] = ACTIONS(93),
    [anon_sym_struct] = ACTIONS(95),
    [anon_sym_class] = ACTIONS(225),
    [anon_sym_enum] = ACTIONS(99),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_func] = ACTIONS(105),
    [anon_sym_extension] = ACTIONS(109),
    [anon_sym_indirect] = ACTIONS(111),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_prefix] = ACTIONS(227),
    [anon_sym_infix] = ACTIONS(227),
    [anon_sym_postfix] = ACTIONS(227),
    [anon_sym_AT] = ACTIONS(229),
    [anon_sym_override] = ACTIONS(231),
    [anon_sym_convenience] = ACTIONS(231),
    [anon_sym_required] = ACTIONS(231),
    [anon_sym_nonisolated] = ACTIONS(231),
    [anon_sym_public] = ACTIONS(233),
    [anon_sym_private] = ACTIONS(233),
    [anon_sym_internal] = ACTIONS(233),
    [anon_sym_fileprivate] = ACTIONS(233),
    [anon_sym_open] = ACTIONS(233),
    [anon_sym_mutating] = ACTIONS(235),
    [anon_sym_nonmutating] = ACTIONS(235),
    [anon_sym_static] = ACTIONS(237),
    [anon_sym_dynamic] = ACTIONS(237),
    [anon_sym_optional] = ACTIONS(237),
    [anon_sym_distributed] = ACTIONS(237),
    [anon_sym_final] = ACTIONS(239),
    [anon_sym_inout] = ACTIONS(241),
    [anon_sym_ATescaping] = ACTIONS(243),
    [anon_sym_ATautoclosure] = ACTIONS(243),
    [anon_sym_weak] = ACTIONS(245),
    [anon_sym_unowned] = ACTIONS(245),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(247),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(247),
    [anon_sym_borrowing] = ACTIONS(249),
    [anon_sym_consuming] = ACTIONS(249),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(155),
    [sym__eq_eq_custom] = ACTIONS(155),
    [sym__plus_then_ws] = ACTIONS(155),
    [sym__minus_then_ws] = ACTIONS(155),
    [sym__bang_custom] = ACTIONS(151),
    [sym_default_keyword] = ACTIONS(251),
    [sym__custom_operator] = ACTIONS(57),
  },
  [12] = {
    [sym_simple_identifier] = STATE(1465),
    [sym__contextual_simple_identifier] = STATE(1477),
    [sym__basic_literal] = STATE(1349),
    [sym_boolean_literal] = STATE(1349),
    [sym__string_literal] = STATE(1349),
    [sym_line_string_literal] = STATE(1349),
    [sym_multi_line_string_literal] = STATE(1349),
    [sym_raw_string_literal] = STATE(1349),
    [sym_regex_literal] = STATE(1349),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1349),
    [sym__unary_expression] = STATE(1349),
    [sym_postfix_expression] = STATE(1349),
    [sym_constructor_expression] = STATE(1349),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1349),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1349),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1349),
    [sym_prefix_expression] = STATE(1349),
    [sym_as_expression] = STATE(1349),
    [sym_selector_expression] = STATE(1349),
    [sym__binary_expression] = STATE(1349),
    [sym_multiplicative_expression] = STATE(1349),
    [sym_additive_expression] = STATE(1349),
    [sym_range_expression] = STATE(1349),
    [sym_infix_expression] = STATE(1349),
    [sym_nil_coalescing_expression] = STATE(1349),
    [sym_check_expression] = STATE(1349),
    [sym_comparison_expression] = STATE(1349),
    [sym_equality_expression] = STATE(1349),
    [sym_conjunction_expression] = STATE(1349),
    [sym_disjunction_expression] = STATE(1349),
    [sym_bitwise_operation] = STATE(1349),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1349),
    [sym_await_expression] = STATE(1349),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1349),
    [sym_call_expression] = STATE(1349),
    [sym__primary_expression] = STATE(1349),
    [sym_tuple_expression] = STATE(1349),
    [sym_array_literal] = STATE(1349),
    [sym_dictionary_literal] = STATE(1349),
    [sym__special_literal] = STATE(1349),
    [sym__playground_literal] = STATE(1349),
    [sym_lambda_literal] = STATE(1349),
    [sym__lambda_type_declaration] = STATE(98),
    [sym_capture_list] = STATE(4269),
    [sym_lambda_function_type] = STATE(7701),
    [sym_lambda_function_type_parameters] = STATE(5444),
    [sym_lambda_parameter] = STATE(5647),
    [sym_self_expression] = STATE(1892),
    [sym_super_expression] = STATE(1349),
    [sym_if_statement] = STATE(2559),
    [sym_guard_statement] = STATE(5953),
    [sym_switch_statement] = STATE(2559),
    [sym_switch_entry] = STATE(2386),
    [sym_do_statement] = STATE(5953),
    [sym_key_path_expression] = STATE(1349),
    [sym_key_path_string_expression] = STATE(1349),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1349),
    [sym__equality_operator] = STATE(1349),
    [sym__comparison_operator] = STATE(1349),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1349),
    [sym__multiplicative_operator] = STATE(1349),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym_statements] = STATE(7710),
    [sym__local_statement] = STATE(5953),
    [sym__labeled_statement] = STATE(5953),
    [sym_for_statement] = STATE(5953),
    [sym_while_statement] = STATE(5953),
    [sym_repeat_while_statement] = STATE(5953),
    [sym_control_transfer_statement] = STATE(5953),
    [sym__throw_statement] = STATE(6577),
    [sym__optionally_valueful_control_keyword] = STATE(283),
    [sym_assignment] = STATE(1349),
    [sym_value_parameter_pack] = STATE(1349),
    [sym_value_pack_expansion] = STATE(1349),
    [sym__local_declaration] = STATE(5953),
    [sym__local_property_declaration] = STATE(6579),
    [sym__local_typealias_declaration] = STATE(6581),
    [sym__local_function_declaration] = STATE(6582),
    [sym__local_class_declaration] = STATE(6584),
    [sym__modifierless_property_declaration] = STATE(6589),
    [sym__modifierless_typealias_declaration] = STATE(6601),
    [sym__modifierless_function_declaration] = STATE(6604),
    [sym__modifierless_function_declaration_no_body] = STATE(6607),
    [sym__modifierless_class_declaration] = STATE(6613),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__referenceable_operator] = STATE(1349),
    [sym__equal_sign] = STATE(1349),
    [sym__eq_eq] = STATE(1349),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__async_modifier] = STATE(6632),
    [sym_attribute] = STATE(2239),
    [sym_value_binding_pattern] = STATE(3973),
    [sym__possibly_async_binding_pattern_kind] = STATE(3973),
    [sym_modifiers] = STATE(7440),
    [aux_sym__locally_permitted_modifiers] = STATE(1779),
    [sym__non_local_scope_modifier] = STATE(3160),
    [sym__locally_permitted_modifier] = STATE(1779),
    [sym_property_behavior_modifier] = STATE(1779),
    [sym_member_modifier] = STATE(3160),
    [sym_visibility_modifier] = STATE(3160),
    [sym_function_modifier] = STATE(3160),
    [sym_mutation_modifier] = STATE(3160),
    [sym_property_modifier] = STATE(3160),
    [sym_inheritance_modifier] = STATE(1779),
    [sym_parameter_modifier] = STATE(3160),
    [sym_ownership_modifier] = STATE(1779),
    [sym__parameter_ownership_modifier] = STATE(844),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [aux_sym__lambda_type_declaration_repeat1] = STATE(4222),
    [aux_sym_switch_statement_repeat1] = STATE(2386),
    [aux_sym_modifiers_repeat1] = STATE(3160),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(181),
    [aux_sym_simple_identifier_token2] = ACTIONS(183),
    [aux_sym_simple_identifier_token3] = ACTIONS(183),
    [aux_sym_simple_identifier_token4] = ACTIONS(183),
    [anon_sym_actor] = ACTIONS(185),
    [anon_sym_async] = ACTIONS(187),
    [anon_sym_each] = ACTIONS(189),
    [anon_sym_lazy] = ACTIONS(215),
    [anon_sym_repeat] = ACTIONS(193),
    [anon_sym_package] = ACTIONS(217),
    [anon_sym_nil] = ACTIONS(153),
    [sym_real_literal] = ACTIONS(155),
    [sym_integer_literal] = ACTIONS(153),
    [sym_hex_literal] = ACTIONS(155),
    [sym_oct_literal] = ACTIONS(155),
    [sym_bin_literal] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(199),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(153),
    [anon_sym_POUNDfileID] = ACTIONS(155),
    [anon_sym_POUNDfilePath] = ACTIONS(155),
    [anon_sym_POUNDline] = ACTIONS(155),
    [anon_sym_POUNDcolumn] = ACTIONS(155),
    [anon_sym_POUNDfunction] = ACTIONS(155),
    [anon_sym_POUNDdsohandle] = ACTIONS(155),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_RBRACE] = ACTIONS(261),
    [anon_sym_in] = ACTIONS(221),
    [anon_sym_self] = ACTIONS(205),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_guard] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(223),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(153),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(153),
    [anon_sym_PERCENT] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(155),
    [anon_sym_CARET] = ACTIONS(153),
    [anon_sym_LT_LT] = ACTIONS(155),
    [anon_sym_GT_GT] = ACTIONS(155),
    [sym_statement_label] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [sym_throw_keyword] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(159),
    [anon_sym_continue] = ACTIONS(159),
    [anon_sym_break] = ACTIONS(159),
    [anon_sym_yield] = ACTIONS(159),
    [anon_sym_typealias] = ACTIONS(93),
    [anon_sym_struct] = ACTIONS(95),
    [anon_sym_class] = ACTIONS(225),
    [anon_sym_enum] = ACTIONS(99),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_func] = ACTIONS(105),
    [anon_sym_extension] = ACTIONS(109),
    [anon_sym_indirect] = ACTIONS(111),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_prefix] = ACTIONS(227),
    [anon_sym_infix] = ACTIONS(227),
    [anon_sym_postfix] = ACTIONS(227),
    [anon_sym_AT] = ACTIONS(229),
    [anon_sym_override] = ACTIONS(231),
    [anon_sym_convenience] = ACTIONS(231),
    [anon_sym_required] = ACTIONS(231),
    [anon_sym_nonisolated] = ACTIONS(231),
    [anon_sym_public] = ACTIONS(233),
    [anon_sym_private] = ACTIONS(233),
    [anon_sym_internal] = ACTIONS(233),
    [anon_sym_fileprivate] = ACTIONS(233),
    [anon_sym_open] = ACTIONS(233),
    [anon_sym_mutating] = ACTIONS(235),
    [anon_sym_nonmutating] = ACTIONS(235),
    [anon_sym_static] = ACTIONS(237),
    [anon_sym_dynamic] = ACTIONS(237),
    [anon_sym_optional] = ACTIONS(237),
    [anon_sym_distributed] = ACTIONS(237),
    [anon_sym_final] = ACTIONS(239),
    [anon_sym_inout] = ACTIONS(241),
    [anon_sym_ATescaping] = ACTIONS(243),
    [anon_sym_ATautoclosure] = ACTIONS(243),
    [anon_sym_weak] = ACTIONS(245),
    [anon_sym_unowned] = ACTIONS(245),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(247),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(247),
    [anon_sym_borrowing] = ACTIONS(249),
    [anon_sym_consuming] = ACTIONS(249),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(155),
    [sym__eq_eq_custom] = ACTIONS(155),
    [sym__plus_then_ws] = ACTIONS(155),
    [sym__minus_then_ws] = ACTIONS(155),
    [sym__bang_custom] = ACTIONS(151),
    [sym_default_keyword] = ACTIONS(251),
    [sym__custom_operator] = ACTIONS(57),
  },
  [13] = {
    [sym_simple_identifier] = STATE(1465),
    [sym__contextual_simple_identifier] = STATE(1477),
    [sym__basic_literal] = STATE(1349),
    [sym_boolean_literal] = STATE(1349),
    [sym__string_literal] = STATE(1349),
    [sym_line_string_literal] = STATE(1349),
    [sym_multi_line_string_literal] = STATE(1349),
    [sym_raw_string_literal] = STATE(1349),
    [sym_regex_literal] = STATE(1349),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1349),
    [sym__unary_expression] = STATE(1349),
    [sym_postfix_expression] = STATE(1349),
    [sym_constructor_expression] = STATE(1349),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1349),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1349),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1349),
    [sym_prefix_expression] = STATE(1349),
    [sym_as_expression] = STATE(1349),
    [sym_selector_expression] = STATE(1349),
    [sym__binary_expression] = STATE(1349),
    [sym_multiplicative_expression] = STATE(1349),
    [sym_additive_expression] = STATE(1349),
    [sym_range_expression] = STATE(1349),
    [sym_infix_expression] = STATE(1349),
    [sym_nil_coalescing_expression] = STATE(1349),
    [sym_check_expression] = STATE(1349),
    [sym_comparison_expression] = STATE(1349),
    [sym_equality_expression] = STATE(1349),
    [sym_conjunction_expression] = STATE(1349),
    [sym_disjunction_expression] = STATE(1349),
    [sym_bitwise_operation] = STATE(1349),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1349),
    [sym_await_expression] = STATE(1349),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1349),
    [sym_call_expression] = STATE(1349),
    [sym__primary_expression] = STATE(1349),
    [sym_tuple_expression] = STATE(1349),
    [sym_array_literal] = STATE(1349),
    [sym_dictionary_literal] = STATE(1349),
    [sym__special_literal] = STATE(1349),
    [sym__playground_literal] = STATE(1349),
    [sym_lambda_literal] = STATE(1349),
    [sym__lambda_type_declaration] = STATE(98),
    [sym_capture_list] = STATE(4269),
    [sym_lambda_function_type] = STATE(7701),
    [sym_lambda_function_type_parameters] = STATE(5444),
    [sym_lambda_parameter] = STATE(5647),
    [sym_self_expression] = STATE(1892),
    [sym_super_expression] = STATE(1349),
    [sym_if_statement] = STATE(2559),
    [sym_guard_statement] = STATE(5953),
    [sym_switch_statement] = STATE(2559),
    [sym_switch_entry] = STATE(2349),
    [sym_do_statement] = STATE(5953),
    [sym_key_path_expression] = STATE(1349),
    [sym_key_path_string_expression] = STATE(1349),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1349),
    [sym__equality_operator] = STATE(1349),
    [sym__comparison_operator] = STATE(1349),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1349),
    [sym__multiplicative_operator] = STATE(1349),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym_statements] = STATE(7710),
    [sym__local_statement] = STATE(5953),
    [sym__labeled_statement] = STATE(5953),
    [sym_for_statement] = STATE(5953),
    [sym_while_statement] = STATE(5953),
    [sym_repeat_while_statement] = STATE(5953),
    [sym_control_transfer_statement] = STATE(5953),
    [sym__throw_statement] = STATE(6577),
    [sym__optionally_valueful_control_keyword] = STATE(283),
    [sym_assignment] = STATE(1349),
    [sym_value_parameter_pack] = STATE(1349),
    [sym_value_pack_expansion] = STATE(1349),
    [sym__local_declaration] = STATE(5953),
    [sym__local_property_declaration] = STATE(6579),
    [sym__local_typealias_declaration] = STATE(6581),
    [sym__local_function_declaration] = STATE(6582),
    [sym__local_class_declaration] = STATE(6584),
    [sym__modifierless_property_declaration] = STATE(6589),
    [sym__modifierless_typealias_declaration] = STATE(6601),
    [sym__modifierless_function_declaration] = STATE(6604),
    [sym__modifierless_function_declaration_no_body] = STATE(6607),
    [sym__modifierless_class_declaration] = STATE(6613),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__referenceable_operator] = STATE(1349),
    [sym__equal_sign] = STATE(1349),
    [sym__eq_eq] = STATE(1349),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__async_modifier] = STATE(6632),
    [sym_attribute] = STATE(2239),
    [sym_value_binding_pattern] = STATE(3973),
    [sym__possibly_async_binding_pattern_kind] = STATE(3973),
    [sym_modifiers] = STATE(7440),
    [aux_sym__locally_permitted_modifiers] = STATE(1779),
    [sym__non_local_scope_modifier] = STATE(3160),
    [sym__locally_permitted_modifier] = STATE(1779),
    [sym_property_behavior_modifier] = STATE(1779),
    [sym_member_modifier] = STATE(3160),
    [sym_visibility_modifier] = STATE(3160),
    [sym_function_modifier] = STATE(3160),
    [sym_mutation_modifier] = STATE(3160),
    [sym_property_modifier] = STATE(3160),
    [sym_inheritance_modifier] = STATE(1779),
    [sym_parameter_modifier] = STATE(3160),
    [sym_ownership_modifier] = STATE(1779),
    [sym__parameter_ownership_modifier] = STATE(844),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [aux_sym__lambda_type_declaration_repeat1] = STATE(4222),
    [aux_sym_switch_statement_repeat1] = STATE(2349),
    [aux_sym_modifiers_repeat1] = STATE(3160),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(181),
    [aux_sym_simple_identifier_token2] = ACTIONS(183),
    [aux_sym_simple_identifier_token3] = ACTIONS(183),
    [aux_sym_simple_identifier_token4] = ACTIONS(183),
    [anon_sym_actor] = ACTIONS(185),
    [anon_sym_async] = ACTIONS(187),
    [anon_sym_each] = ACTIONS(189),
    [anon_sym_lazy] = ACTIONS(215),
    [anon_sym_repeat] = ACTIONS(193),
    [anon_sym_package] = ACTIONS(217),
    [anon_sym_nil] = ACTIONS(153),
    [sym_real_literal] = ACTIONS(155),
    [sym_integer_literal] = ACTIONS(153),
    [sym_hex_literal] = ACTIONS(155),
    [sym_oct_literal] = ACTIONS(155),
    [sym_bin_literal] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(199),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(153),
    [anon_sym_POUNDfileID] = ACTIONS(155),
    [anon_sym_POUNDfilePath] = ACTIONS(155),
    [anon_sym_POUNDline] = ACTIONS(155),
    [anon_sym_POUNDcolumn] = ACTIONS(155),
    [anon_sym_POUNDfunction] = ACTIONS(155),
    [anon_sym_POUNDdsohandle] = ACTIONS(155),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_RBRACE] = ACTIONS(263),
    [anon_sym_in] = ACTIONS(221),
    [anon_sym_self] = ACTIONS(205),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_guard] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(223),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(153),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(153),
    [anon_sym_PERCENT] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(155),
    [anon_sym_CARET] = ACTIONS(153),
    [anon_sym_LT_LT] = ACTIONS(155),
    [anon_sym_GT_GT] = ACTIONS(155),
    [sym_statement_label] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [sym_throw_keyword] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(159),
    [anon_sym_continue] = ACTIONS(159),
    [anon_sym_break] = ACTIONS(159),
    [anon_sym_yield] = ACTIONS(159),
    [anon_sym_typealias] = ACTIONS(93),
    [anon_sym_struct] = ACTIONS(95),
    [anon_sym_class] = ACTIONS(225),
    [anon_sym_enum] = ACTIONS(99),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_func] = ACTIONS(105),
    [anon_sym_extension] = ACTIONS(109),
    [anon_sym_indirect] = ACTIONS(111),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_prefix] = ACTIONS(227),
    [anon_sym_infix] = ACTIONS(227),
    [anon_sym_postfix] = ACTIONS(227),
    [anon_sym_AT] = ACTIONS(229),
    [anon_sym_override] = ACTIONS(231),
    [anon_sym_convenience] = ACTIONS(231),
    [anon_sym_required] = ACTIONS(231),
    [anon_sym_nonisolated] = ACTIONS(231),
    [anon_sym_public] = ACTIONS(233),
    [anon_sym_private] = ACTIONS(233),
    [anon_sym_internal] = ACTIONS(233),
    [anon_sym_fileprivate] = ACTIONS(233),
    [anon_sym_open] = ACTIONS(233),
    [anon_sym_mutating] = ACTIONS(235),
    [anon_sym_nonmutating] = ACTIONS(235),
    [anon_sym_static] = ACTIONS(237),
    [anon_sym_dynamic] = ACTIONS(237),
    [anon_sym_optional] = ACTIONS(237),
    [anon_sym_distributed] = ACTIONS(237),
    [anon_sym_final] = ACTIONS(239),
    [anon_sym_inout] = ACTIONS(241),
    [anon_sym_ATescaping] = ACTIONS(243),
    [anon_sym_ATautoclosure] = ACTIONS(243),
    [anon_sym_weak] = ACTIONS(245),
    [anon_sym_unowned] = ACTIONS(245),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(247),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(247),
    [anon_sym_borrowing] = ACTIONS(249),
    [anon_sym_consuming] = ACTIONS(249),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(155),
    [sym__eq_eq_custom] = ACTIONS(155),
    [sym__plus_then_ws] = ACTIONS(155),
    [sym__minus_then_ws] = ACTIONS(155),
    [sym__bang_custom] = ACTIONS(151),
    [sym_default_keyword] = ACTIONS(251),
    [sym__custom_operator] = ACTIONS(57),
  },
  [14] = {
    [sym_simple_identifier] = STATE(1465),
    [sym__contextual_simple_identifier] = STATE(1477),
    [sym__basic_literal] = STATE(1349),
    [sym_boolean_literal] = STATE(1349),
    [sym__string_literal] = STATE(1349),
    [sym_line_string_literal] = STATE(1349),
    [sym_multi_line_string_literal] = STATE(1349),
    [sym_raw_string_literal] = STATE(1349),
    [sym_regex_literal] = STATE(1349),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1349),
    [sym__unary_expression] = STATE(1349),
    [sym_postfix_expression] = STATE(1349),
    [sym_constructor_expression] = STATE(1349),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1349),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1349),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1349),
    [sym_prefix_expression] = STATE(1349),
    [sym_as_expression] = STATE(1349),
    [sym_selector_expression] = STATE(1349),
    [sym__binary_expression] = STATE(1349),
    [sym_multiplicative_expression] = STATE(1349),
    [sym_additive_expression] = STATE(1349),
    [sym_range_expression] = STATE(1349),
    [sym_infix_expression] = STATE(1349),
    [sym_nil_coalescing_expression] = STATE(1349),
    [sym_check_expression] = STATE(1349),
    [sym_comparison_expression] = STATE(1349),
    [sym_equality_expression] = STATE(1349),
    [sym_conjunction_expression] = STATE(1349),
    [sym_disjunction_expression] = STATE(1349),
    [sym_bitwise_operation] = STATE(1349),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1349),
    [sym_await_expression] = STATE(1349),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1349),
    [sym_call_expression] = STATE(1349),
    [sym__primary_expression] = STATE(1349),
    [sym_tuple_expression] = STATE(1349),
    [sym_array_literal] = STATE(1349),
    [sym_dictionary_literal] = STATE(1349),
    [sym__special_literal] = STATE(1349),
    [sym__playground_literal] = STATE(1349),
    [sym_lambda_literal] = STATE(1349),
    [sym__lambda_type_declaration] = STATE(98),
    [sym_capture_list] = STATE(4269),
    [sym_lambda_function_type] = STATE(7701),
    [sym_lambda_function_type_parameters] = STATE(5444),
    [sym_lambda_parameter] = STATE(5647),
    [sym_self_expression] = STATE(1892),
    [sym_super_expression] = STATE(1349),
    [sym_if_statement] = STATE(2559),
    [sym_guard_statement] = STATE(5953),
    [sym_switch_statement] = STATE(2559),
    [sym_switch_entry] = STATE(2472),
    [sym_do_statement] = STATE(5953),
    [sym_key_path_expression] = STATE(1349),
    [sym_key_path_string_expression] = STATE(1349),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1349),
    [sym__equality_operator] = STATE(1349),
    [sym__comparison_operator] = STATE(1349),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1349),
    [sym__multiplicative_operator] = STATE(1349),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym_statements] = STATE(7710),
    [sym__local_statement] = STATE(5953),
    [sym__labeled_statement] = STATE(5953),
    [sym_for_statement] = STATE(5953),
    [sym_while_statement] = STATE(5953),
    [sym_repeat_while_statement] = STATE(5953),
    [sym_control_transfer_statement] = STATE(5953),
    [sym__throw_statement] = STATE(6577),
    [sym__optionally_valueful_control_keyword] = STATE(283),
    [sym_assignment] = STATE(1349),
    [sym_value_parameter_pack] = STATE(1349),
    [sym_value_pack_expansion] = STATE(1349),
    [sym__local_declaration] = STATE(5953),
    [sym__local_property_declaration] = STATE(6579),
    [sym__local_typealias_declaration] = STATE(6581),
    [sym__local_function_declaration] = STATE(6582),
    [sym__local_class_declaration] = STATE(6584),
    [sym__modifierless_property_declaration] = STATE(6589),
    [sym__modifierless_typealias_declaration] = STATE(6601),
    [sym__modifierless_function_declaration] = STATE(6604),
    [sym__modifierless_function_declaration_no_body] = STATE(6607),
    [sym__modifierless_class_declaration] = STATE(6613),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__referenceable_operator] = STATE(1349),
    [sym__equal_sign] = STATE(1349),
    [sym__eq_eq] = STATE(1349),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__async_modifier] = STATE(6632),
    [sym_attribute] = STATE(2239),
    [sym_value_binding_pattern] = STATE(3973),
    [sym__possibly_async_binding_pattern_kind] = STATE(3973),
    [sym_modifiers] = STATE(7440),
    [aux_sym__locally_permitted_modifiers] = STATE(1779),
    [sym__non_local_scope_modifier] = STATE(3160),
    [sym__locally_permitted_modifier] = STATE(1779),
    [sym_property_behavior_modifier] = STATE(1779),
    [sym_member_modifier] = STATE(3160),
    [sym_visibility_modifier] = STATE(3160),
    [sym_function_modifier] = STATE(3160),
    [sym_mutation_modifier] = STATE(3160),
    [sym_property_modifier] = STATE(3160),
    [sym_inheritance_modifier] = STATE(1779),
    [sym_parameter_modifier] = STATE(3160),
    [sym_ownership_modifier] = STATE(1779),
    [sym__parameter_ownership_modifier] = STATE(844),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [aux_sym__lambda_type_declaration_repeat1] = STATE(4222),
    [aux_sym_switch_statement_repeat1] = STATE(2472),
    [aux_sym_modifiers_repeat1] = STATE(3160),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(181),
    [aux_sym_simple_identifier_token2] = ACTIONS(183),
    [aux_sym_simple_identifier_token3] = ACTIONS(183),
    [aux_sym_simple_identifier_token4] = ACTIONS(183),
    [anon_sym_actor] = ACTIONS(185),
    [anon_sym_async] = ACTIONS(187),
    [anon_sym_each] = ACTIONS(189),
    [anon_sym_lazy] = ACTIONS(215),
    [anon_sym_repeat] = ACTIONS(193),
    [anon_sym_package] = ACTIONS(217),
    [anon_sym_nil] = ACTIONS(153),
    [sym_real_literal] = ACTIONS(155),
    [sym_integer_literal] = ACTIONS(153),
    [sym_hex_literal] = ACTIONS(155),
    [sym_oct_literal] = ACTIONS(155),
    [sym_bin_literal] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(199),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(153),
    [anon_sym_POUNDfileID] = ACTIONS(155),
    [anon_sym_POUNDfilePath] = ACTIONS(155),
    [anon_sym_POUNDline] = ACTIONS(155),
    [anon_sym_POUNDcolumn] = ACTIONS(155),
    [anon_sym_POUNDfunction] = ACTIONS(155),
    [anon_sym_POUNDdsohandle] = ACTIONS(155),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_RBRACE] = ACTIONS(265),
    [anon_sym_in] = ACTIONS(221),
    [anon_sym_self] = ACTIONS(205),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_guard] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(223),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(153),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(153),
    [anon_sym_PERCENT] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(155),
    [anon_sym_CARET] = ACTIONS(153),
    [anon_sym_LT_LT] = ACTIONS(155),
    [anon_sym_GT_GT] = ACTIONS(155),
    [sym_statement_label] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [sym_throw_keyword] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(159),
    [anon_sym_continue] = ACTIONS(159),
    [anon_sym_break] = ACTIONS(159),
    [anon_sym_yield] = ACTIONS(159),
    [anon_sym_typealias] = ACTIONS(93),
    [anon_sym_struct] = ACTIONS(95),
    [anon_sym_class] = ACTIONS(225),
    [anon_sym_enum] = ACTIONS(99),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_func] = ACTIONS(105),
    [anon_sym_extension] = ACTIONS(109),
    [anon_sym_indirect] = ACTIONS(111),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_prefix] = ACTIONS(227),
    [anon_sym_infix] = ACTIONS(227),
    [anon_sym_postfix] = ACTIONS(227),
    [anon_sym_AT] = ACTIONS(229),
    [anon_sym_override] = ACTIONS(231),
    [anon_sym_convenience] = ACTIONS(231),
    [anon_sym_required] = ACTIONS(231),
    [anon_sym_nonisolated] = ACTIONS(231),
    [anon_sym_public] = ACTIONS(233),
    [anon_sym_private] = ACTIONS(233),
    [anon_sym_internal] = ACTIONS(233),
    [anon_sym_fileprivate] = ACTIONS(233),
    [anon_sym_open] = ACTIONS(233),
    [anon_sym_mutating] = ACTIONS(235),
    [anon_sym_nonmutating] = ACTIONS(235),
    [anon_sym_static] = ACTIONS(237),
    [anon_sym_dynamic] = ACTIONS(237),
    [anon_sym_optional] = ACTIONS(237),
    [anon_sym_distributed] = ACTIONS(237),
    [anon_sym_final] = ACTIONS(239),
    [anon_sym_inout] = ACTIONS(241),
    [anon_sym_ATescaping] = ACTIONS(243),
    [anon_sym_ATautoclosure] = ACTIONS(243),
    [anon_sym_weak] = ACTIONS(245),
    [anon_sym_unowned] = ACTIONS(245),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(247),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(247),
    [anon_sym_borrowing] = ACTIONS(249),
    [anon_sym_consuming] = ACTIONS(249),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(155),
    [sym__eq_eq_custom] = ACTIONS(155),
    [sym__plus_then_ws] = ACTIONS(155),
    [sym__minus_then_ws] = ACTIONS(155),
    [sym__bang_custom] = ACTIONS(151),
    [sym_default_keyword] = ACTIONS(251),
    [sym__custom_operator] = ACTIONS(57),
  },
  [15] = {
    [sym_simple_identifier] = STATE(1465),
    [sym__contextual_simple_identifier] = STATE(1477),
    [sym__basic_literal] = STATE(1349),
    [sym_boolean_literal] = STATE(1349),
    [sym__string_literal] = STATE(1349),
    [sym_line_string_literal] = STATE(1349),
    [sym_multi_line_string_literal] = STATE(1349),
    [sym_raw_string_literal] = STATE(1349),
    [sym_regex_literal] = STATE(1349),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1349),
    [sym__unary_expression] = STATE(1349),
    [sym_postfix_expression] = STATE(1349),
    [sym_constructor_expression] = STATE(1349),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1349),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1349),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1349),
    [sym_prefix_expression] = STATE(1349),
    [sym_as_expression] = STATE(1349),
    [sym_selector_expression] = STATE(1349),
    [sym__binary_expression] = STATE(1349),
    [sym_multiplicative_expression] = STATE(1349),
    [sym_additive_expression] = STATE(1349),
    [sym_range_expression] = STATE(1349),
    [sym_infix_expression] = STATE(1349),
    [sym_nil_coalescing_expression] = STATE(1349),
    [sym_check_expression] = STATE(1349),
    [sym_comparison_expression] = STATE(1349),
    [sym_equality_expression] = STATE(1349),
    [sym_conjunction_expression] = STATE(1349),
    [sym_disjunction_expression] = STATE(1349),
    [sym_bitwise_operation] = STATE(1349),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1349),
    [sym_await_expression] = STATE(1349),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1349),
    [sym_call_expression] = STATE(1349),
    [sym__primary_expression] = STATE(1349),
    [sym_tuple_expression] = STATE(1349),
    [sym_array_literal] = STATE(1349),
    [sym_dictionary_literal] = STATE(1349),
    [sym__special_literal] = STATE(1349),
    [sym__playground_literal] = STATE(1349),
    [sym_lambda_literal] = STATE(1349),
    [sym__lambda_type_declaration] = STATE(98),
    [sym_capture_list] = STATE(4269),
    [sym_lambda_function_type] = STATE(7701),
    [sym_lambda_function_type_parameters] = STATE(5444),
    [sym_lambda_parameter] = STATE(5647),
    [sym_self_expression] = STATE(1892),
    [sym_super_expression] = STATE(1349),
    [sym_if_statement] = STATE(2559),
    [sym_guard_statement] = STATE(5953),
    [sym_switch_statement] = STATE(2559),
    [sym_switch_entry] = STATE(2391),
    [sym_do_statement] = STATE(5953),
    [sym_key_path_expression] = STATE(1349),
    [sym_key_path_string_expression] = STATE(1349),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1349),
    [sym__equality_operator] = STATE(1349),
    [sym__comparison_operator] = STATE(1349),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1349),
    [sym__multiplicative_operator] = STATE(1349),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym_statements] = STATE(7710),
    [sym__local_statement] = STATE(5953),
    [sym__labeled_statement] = STATE(5953),
    [sym_for_statement] = STATE(5953),
    [sym_while_statement] = STATE(5953),
    [sym_repeat_while_statement] = STATE(5953),
    [sym_control_transfer_statement] = STATE(5953),
    [sym__throw_statement] = STATE(6577),
    [sym__optionally_valueful_control_keyword] = STATE(283),
    [sym_assignment] = STATE(1349),
    [sym_value_parameter_pack] = STATE(1349),
    [sym_value_pack_expansion] = STATE(1349),
    [sym__local_declaration] = STATE(5953),
    [sym__local_property_declaration] = STATE(6579),
    [sym__local_typealias_declaration] = STATE(6581),
    [sym__local_function_declaration] = STATE(6582),
    [sym__local_class_declaration] = STATE(6584),
    [sym__modifierless_property_declaration] = STATE(6589),
    [sym__modifierless_typealias_declaration] = STATE(6601),
    [sym__modifierless_function_declaration] = STATE(6604),
    [sym__modifierless_function_declaration_no_body] = STATE(6607),
    [sym__modifierless_class_declaration] = STATE(6613),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__referenceable_operator] = STATE(1349),
    [sym__equal_sign] = STATE(1349),
    [sym__eq_eq] = STATE(1349),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__async_modifier] = STATE(6632),
    [sym_attribute] = STATE(2239),
    [sym_value_binding_pattern] = STATE(3973),
    [sym__possibly_async_binding_pattern_kind] = STATE(3973),
    [sym_modifiers] = STATE(7440),
    [aux_sym__locally_permitted_modifiers] = STATE(1779),
    [sym__non_local_scope_modifier] = STATE(3160),
    [sym__locally_permitted_modifier] = STATE(1779),
    [sym_property_behavior_modifier] = STATE(1779),
    [sym_member_modifier] = STATE(3160),
    [sym_visibility_modifier] = STATE(3160),
    [sym_function_modifier] = STATE(3160),
    [sym_mutation_modifier] = STATE(3160),
    [sym_property_modifier] = STATE(3160),
    [sym_inheritance_modifier] = STATE(1779),
    [sym_parameter_modifier] = STATE(3160),
    [sym_ownership_modifier] = STATE(1779),
    [sym__parameter_ownership_modifier] = STATE(844),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [aux_sym__lambda_type_declaration_repeat1] = STATE(4222),
    [aux_sym_switch_statement_repeat1] = STATE(2391),
    [aux_sym_modifiers_repeat1] = STATE(3160),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(181),
    [aux_sym_simple_identifier_token2] = ACTIONS(183),
    [aux_sym_simple_identifier_token3] = ACTIONS(183),
    [aux_sym_simple_identifier_token4] = ACTIONS(183),
    [anon_sym_actor] = ACTIONS(185),
    [anon_sym_async] = ACTIONS(187),
    [anon_sym_each] = ACTIONS(189),
    [anon_sym_lazy] = ACTIONS(215),
    [anon_sym_repeat] = ACTIONS(193),
    [anon_sym_package] = ACTIONS(217),
    [anon_sym_nil] = ACTIONS(153),
    [sym_real_literal] = ACTIONS(155),
    [sym_integer_literal] = ACTIONS(153),
    [sym_hex_literal] = ACTIONS(155),
    [sym_oct_literal] = ACTIONS(155),
    [sym_bin_literal] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(199),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(153),
    [anon_sym_POUNDfileID] = ACTIONS(155),
    [anon_sym_POUNDfilePath] = ACTIONS(155),
    [anon_sym_POUNDline] = ACTIONS(155),
    [anon_sym_POUNDcolumn] = ACTIONS(155),
    [anon_sym_POUNDfunction] = ACTIONS(155),
    [anon_sym_POUNDdsohandle] = ACTIONS(155),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_RBRACE] = ACTIONS(267),
    [anon_sym_in] = ACTIONS(221),
    [anon_sym_self] = ACTIONS(205),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_guard] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(223),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(153),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(153),
    [anon_sym_PERCENT] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(155),
    [anon_sym_CARET] = ACTIONS(153),
    [anon_sym_LT_LT] = ACTIONS(155),
    [anon_sym_GT_GT] = ACTIONS(155),
    [sym_statement_label] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [sym_throw_keyword] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(159),
    [anon_sym_continue] = ACTIONS(159),
    [anon_sym_break] = ACTIONS(159),
    [anon_sym_yield] = ACTIONS(159),
    [anon_sym_typealias] = ACTIONS(93),
    [anon_sym_struct] = ACTIONS(95),
    [anon_sym_class] = ACTIONS(225),
    [anon_sym_enum] = ACTIONS(99),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_func] = ACTIONS(105),
    [anon_sym_extension] = ACTIONS(109),
    [anon_sym_indirect] = ACTIONS(111),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_prefix] = ACTIONS(227),
    [anon_sym_infix] = ACTIONS(227),
    [anon_sym_postfix] = ACTIONS(227),
    [anon_sym_AT] = ACTIONS(229),
    [anon_sym_override] = ACTIONS(231),
    [anon_sym_convenience] = ACTIONS(231),
    [anon_sym_required] = ACTIONS(231),
    [anon_sym_nonisolated] = ACTIONS(231),
    [anon_sym_public] = ACTIONS(233),
    [anon_sym_private] = ACTIONS(233),
    [anon_sym_internal] = ACTIONS(233),
    [anon_sym_fileprivate] = ACTIONS(233),
    [anon_sym_open] = ACTIONS(233),
    [anon_sym_mutating] = ACTIONS(235),
    [anon_sym_nonmutating] = ACTIONS(235),
    [anon_sym_static] = ACTIONS(237),
    [anon_sym_dynamic] = ACTIONS(237),
    [anon_sym_optional] = ACTIONS(237),
    [anon_sym_distributed] = ACTIONS(237),
    [anon_sym_final] = ACTIONS(239),
    [anon_sym_inout] = ACTIONS(241),
    [anon_sym_ATescaping] = ACTIONS(243),
    [anon_sym_ATautoclosure] = ACTIONS(243),
    [anon_sym_weak] = ACTIONS(245),
    [anon_sym_unowned] = ACTIONS(245),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(247),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(247),
    [anon_sym_borrowing] = ACTIONS(249),
    [anon_sym_consuming] = ACTIONS(249),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(155),
    [sym__eq_eq_custom] = ACTIONS(155),
    [sym__plus_then_ws] = ACTIONS(155),
    [sym__minus_then_ws] = ACTIONS(155),
    [sym__bang_custom] = ACTIONS(151),
    [sym_default_keyword] = ACTIONS(251),
    [sym__custom_operator] = ACTIONS(57),
  },
  [16] = {
    [sym_simple_identifier] = STATE(1465),
    [sym__contextual_simple_identifier] = STATE(1477),
    [sym__basic_literal] = STATE(1349),
    [sym_boolean_literal] = STATE(1349),
    [sym__string_literal] = STATE(1349),
    [sym_line_string_literal] = STATE(1349),
    [sym_multi_line_string_literal] = STATE(1349),
    [sym_raw_string_literal] = STATE(1349),
    [sym_regex_literal] = STATE(1349),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1349),
    [sym__unary_expression] = STATE(1349),
    [sym_postfix_expression] = STATE(1349),
    [sym_constructor_expression] = STATE(1349),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1349),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1349),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1349),
    [sym_prefix_expression] = STATE(1349),
    [sym_as_expression] = STATE(1349),
    [sym_selector_expression] = STATE(1349),
    [sym__binary_expression] = STATE(1349),
    [sym_multiplicative_expression] = STATE(1349),
    [sym_additive_expression] = STATE(1349),
    [sym_range_expression] = STATE(1349),
    [sym_infix_expression] = STATE(1349),
    [sym_nil_coalescing_expression] = STATE(1349),
    [sym_check_expression] = STATE(1349),
    [sym_comparison_expression] = STATE(1349),
    [sym_equality_expression] = STATE(1349),
    [sym_conjunction_expression] = STATE(1349),
    [sym_disjunction_expression] = STATE(1349),
    [sym_bitwise_operation] = STATE(1349),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1349),
    [sym_await_expression] = STATE(1349),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1349),
    [sym_call_expression] = STATE(1349),
    [sym__primary_expression] = STATE(1349),
    [sym_tuple_expression] = STATE(1349),
    [sym_array_literal] = STATE(1349),
    [sym_dictionary_literal] = STATE(1349),
    [sym__special_literal] = STATE(1349),
    [sym__playground_literal] = STATE(1349),
    [sym_lambda_literal] = STATE(1349),
    [sym__lambda_type_declaration] = STATE(77),
    [sym_capture_list] = STATE(4269),
    [sym_lambda_function_type] = STATE(7701),
    [sym_lambda_function_type_parameters] = STATE(5444),
    [sym_lambda_parameter] = STATE(5647),
    [sym_self_expression] = STATE(1892),
    [sym_super_expression] = STATE(1349),
    [sym_if_statement] = STATE(2559),
    [sym_guard_statement] = STATE(5953),
    [sym_switch_statement] = STATE(2559),
    [sym_do_statement] = STATE(5953),
    [sym_key_path_expression] = STATE(1349),
    [sym_key_path_string_expression] = STATE(1349),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1349),
    [sym__equality_operator] = STATE(1349),
    [sym__comparison_operator] = STATE(1349),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1349),
    [sym__multiplicative_operator] = STATE(1349),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym_statements] = STATE(7777),
    [sym__local_statement] = STATE(5953),
    [sym__labeled_statement] = STATE(5953),
    [sym_for_statement] = STATE(5953),
    [sym_while_statement] = STATE(5953),
    [sym_repeat_while_statement] = STATE(5953),
    [sym_control_transfer_statement] = STATE(5953),
    [sym__throw_statement] = STATE(6577),
    [sym__optionally_valueful_control_keyword] = STATE(283),
    [sym_assignment] = STATE(1349),
    [sym_value_parameter_pack] = STATE(1349),
    [sym_value_pack_expansion] = STATE(1349),
    [sym__local_declaration] = STATE(5953),
    [sym__local_property_declaration] = STATE(6579),
    [sym__local_typealias_declaration] = STATE(6581),
    [sym__local_function_declaration] = STATE(6582),
    [sym__local_class_declaration] = STATE(6584),
    [sym__modifierless_property_declaration] = STATE(6589),
    [sym_willset_clause] = STATE(2960),
    [sym_didset_clause] = STATE(2962),
    [sym__modifierless_typealias_declaration] = STATE(6601),
    [sym__modifierless_function_declaration] = STATE(6604),
    [sym__modifierless_function_declaration_no_body] = STATE(6607),
    [sym__modifierless_class_declaration] = STATE(6613),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__referenceable_operator] = STATE(1349),
    [sym__equal_sign] = STATE(1349),
    [sym__eq_eq] = STATE(1349),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__async_modifier] = STATE(6632),
    [sym_attribute] = STATE(2139),
    [sym_value_binding_pattern] = STATE(3973),
    [sym__possibly_async_binding_pattern_kind] = STATE(3973),
    [sym_modifiers] = STATE(7533),
    [aux_sym__locally_permitted_modifiers] = STATE(1789),
    [sym__non_local_scope_modifier] = STATE(3173),
    [sym__locally_permitted_modifier] = STATE(1789),
    [sym_property_behavior_modifier] = STATE(1789),
    [sym_member_modifier] = STATE(3173),
    [sym_visibility_modifier] = STATE(3173),
    [sym_function_modifier] = STATE(3173),
    [sym_mutation_modifier] = STATE(3173),
    [sym_property_modifier] = STATE(3173),
    [sym_inheritance_modifier] = STATE(1789),
    [sym_parameter_modifier] = STATE(3173),
    [sym_ownership_modifier] = STATE(1789),
    [sym__parameter_ownership_modifier] = STATE(852),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [aux_sym__lambda_type_declaration_repeat1] = STATE(4222),
    [aux_sym_modifiers_repeat1] = STATE(3173),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(181),
    [aux_sym_simple_identifier_token2] = ACTIONS(183),
    [aux_sym_simple_identifier_token3] = ACTIONS(183),
    [aux_sym_simple_identifier_token4] = ACTIONS(183),
    [anon_sym_actor] = ACTIONS(185),
    [anon_sym_async] = ACTIONS(187),
    [anon_sym_each] = ACTIONS(189),
    [anon_sym_lazy] = ACTIONS(191),
    [anon_sym_repeat] = ACTIONS(193),
    [anon_sym_package] = ACTIONS(195),
    [anon_sym_nil] = ACTIONS(153),
    [sym_real_literal] = ACTIONS(155),
    [sym_integer_literal] = ACTIONS(153),
    [sym_hex_literal] = ACTIONS(155),
    [sym_oct_literal] = ACTIONS(155),
    [sym_bin_literal] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(199),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(153),
    [anon_sym_POUNDfileID] = ACTIONS(155),
    [anon_sym_POUNDfilePath] = ACTIONS(155),
    [anon_sym_POUNDline] = ACTIONS(155),
    [anon_sym_POUNDcolumn] = ACTIONS(155),
    [anon_sym_POUNDfunction] = ACTIONS(155),
    [anon_sym_POUNDdsohandle] = ACTIONS(155),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_RBRACE] = ACTIONS(269),
    [anon_sym_in] = ACTIONS(271),
    [anon_sym_self] = ACTIONS(205),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_guard] = ACTIONS(69),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(153),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(153),
    [anon_sym_PERCENT] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(155),
    [anon_sym_CARET] = ACTIONS(153),
    [anon_sym_LT_LT] = ACTIONS(155),
    [anon_sym_GT_GT] = ACTIONS(155),
    [sym_statement_label] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [sym_throw_keyword] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(159),
    [anon_sym_continue] = ACTIONS(159),
    [anon_sym_break] = ACTIONS(159),
    [anon_sym_yield] = ACTIONS(159),
    [anon_sym_typealias] = ACTIONS(93),
    [anon_sym_struct] = ACTIONS(95),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_enum] = ACTIONS(99),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_func] = ACTIONS(105),
    [anon_sym_willSet] = ACTIONS(163),
    [anon_sym_didSet] = ACTIONS(165),
    [anon_sym_extension] = ACTIONS(109),
    [anon_sym_indirect] = ACTIONS(111),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_prefix] = ACTIONS(173),
    [anon_sym_infix] = ACTIONS(173),
    [anon_sym_postfix] = ACTIONS(173),
    [anon_sym_AT] = ACTIONS(207),
    [anon_sym_override] = ACTIONS(125),
    [anon_sym_convenience] = ACTIONS(125),
    [anon_sym_required] = ACTIONS(125),
    [anon_sym_nonisolated] = ACTIONS(125),
    [anon_sym_public] = ACTIONS(127),
    [anon_sym_private] = ACTIONS(127),
    [anon_sym_internal] = ACTIONS(127),
    [anon_sym_fileprivate] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(127),
    [anon_sym_mutating] = ACTIONS(129),
    [anon_sym_nonmutating] = ACTIONS(129),
    [anon_sym_static] = ACTIONS(131),
    [anon_sym_dynamic] = ACTIONS(131),
    [anon_sym_optional] = ACTIONS(131),
    [anon_sym_distributed] = ACTIONS(131),
    [anon_sym_final] = ACTIONS(133),
    [anon_sym_inout] = ACTIONS(135),
    [anon_sym_ATescaping] = ACTIONS(137),
    [anon_sym_ATautoclosure] = ACTIONS(137),
    [anon_sym_weak] = ACTIONS(139),
    [anon_sym_unowned] = ACTIONS(139),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(141),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(141),
    [anon_sym_borrowing] = ACTIONS(209),
    [anon_sym_consuming] = ACTIONS(209),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(155),
    [sym__eq_eq_custom] = ACTIONS(155),
    [sym__plus_then_ws] = ACTIONS(155),
    [sym__minus_then_ws] = ACTIONS(155),
    [sym__bang_custom] = ACTIONS(151),
    [sym__custom_operator] = ACTIONS(57),
  },
  [17] = {
    [sym_simple_identifier] = STATE(1465),
    [sym__contextual_simple_identifier] = STATE(1477),
    [sym__basic_literal] = STATE(1349),
    [sym_boolean_literal] = STATE(1349),
    [sym__string_literal] = STATE(1349),
    [sym_line_string_literal] = STATE(1349),
    [sym_multi_line_string_literal] = STATE(1349),
    [sym_raw_string_literal] = STATE(1349),
    [sym_regex_literal] = STATE(1349),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1349),
    [sym__unary_expression] = STATE(1349),
    [sym_postfix_expression] = STATE(1349),
    [sym_constructor_expression] = STATE(1349),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1349),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1349),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1349),
    [sym_prefix_expression] = STATE(1349),
    [sym_as_expression] = STATE(1349),
    [sym_selector_expression] = STATE(1349),
    [sym__binary_expression] = STATE(1349),
    [sym_multiplicative_expression] = STATE(1349),
    [sym_additive_expression] = STATE(1349),
    [sym_range_expression] = STATE(1349),
    [sym_infix_expression] = STATE(1349),
    [sym_nil_coalescing_expression] = STATE(1349),
    [sym_check_expression] = STATE(1349),
    [sym_comparison_expression] = STATE(1349),
    [sym_equality_expression] = STATE(1349),
    [sym_conjunction_expression] = STATE(1349),
    [sym_disjunction_expression] = STATE(1349),
    [sym_bitwise_operation] = STATE(1349),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1349),
    [sym_await_expression] = STATE(1349),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1349),
    [sym_call_expression] = STATE(1349),
    [sym__primary_expression] = STATE(1349),
    [sym_tuple_expression] = STATE(1349),
    [sym_array_literal] = STATE(1349),
    [sym_dictionary_literal] = STATE(1349),
    [sym__special_literal] = STATE(1349),
    [sym__playground_literal] = STATE(1349),
    [sym_lambda_literal] = STATE(1349),
    [sym__lambda_type_declaration] = STATE(98),
    [sym_capture_list] = STATE(4269),
    [sym_lambda_function_type] = STATE(7701),
    [sym_lambda_function_type_parameters] = STATE(5444),
    [sym_lambda_parameter] = STATE(5647),
    [sym_self_expression] = STATE(1892),
    [sym_super_expression] = STATE(1349),
    [sym_if_statement] = STATE(2559),
    [sym_guard_statement] = STATE(5953),
    [sym_switch_statement] = STATE(2559),
    [sym_switch_entry] = STATE(2455),
    [sym_do_statement] = STATE(5953),
    [sym_key_path_expression] = STATE(1349),
    [sym_key_path_string_expression] = STATE(1349),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1349),
    [sym__equality_operator] = STATE(1349),
    [sym__comparison_operator] = STATE(1349),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1349),
    [sym__multiplicative_operator] = STATE(1349),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym_statements] = STATE(7710),
    [sym__local_statement] = STATE(5953),
    [sym__labeled_statement] = STATE(5953),
    [sym_for_statement] = STATE(5953),
    [sym_while_statement] = STATE(5953),
    [sym_repeat_while_statement] = STATE(5953),
    [sym_control_transfer_statement] = STATE(5953),
    [sym__throw_statement] = STATE(6577),
    [sym__optionally_valueful_control_keyword] = STATE(283),
    [sym_assignment] = STATE(1349),
    [sym_value_parameter_pack] = STATE(1349),
    [sym_value_pack_expansion] = STATE(1349),
    [sym__local_declaration] = STATE(5953),
    [sym__local_property_declaration] = STATE(6579),
    [sym__local_typealias_declaration] = STATE(6581),
    [sym__local_function_declaration] = STATE(6582),
    [sym__local_class_declaration] = STATE(6584),
    [sym__modifierless_property_declaration] = STATE(6589),
    [sym__modifierless_typealias_declaration] = STATE(6601),
    [sym__modifierless_function_declaration] = STATE(6604),
    [sym__modifierless_function_declaration_no_body] = STATE(6607),
    [sym__modifierless_class_declaration] = STATE(6613),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__referenceable_operator] = STATE(1349),
    [sym__equal_sign] = STATE(1349),
    [sym__eq_eq] = STATE(1349),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__async_modifier] = STATE(6632),
    [sym_attribute] = STATE(2239),
    [sym_value_binding_pattern] = STATE(3973),
    [sym__possibly_async_binding_pattern_kind] = STATE(3973),
    [sym_modifiers] = STATE(7440),
    [aux_sym__locally_permitted_modifiers] = STATE(1779),
    [sym__non_local_scope_modifier] = STATE(3160),
    [sym__locally_permitted_modifier] = STATE(1779),
    [sym_property_behavior_modifier] = STATE(1779),
    [sym_member_modifier] = STATE(3160),
    [sym_visibility_modifier] = STATE(3160),
    [sym_function_modifier] = STATE(3160),
    [sym_mutation_modifier] = STATE(3160),
    [sym_property_modifier] = STATE(3160),
    [sym_inheritance_modifier] = STATE(1779),
    [sym_parameter_modifier] = STATE(3160),
    [sym_ownership_modifier] = STATE(1779),
    [sym__parameter_ownership_modifier] = STATE(844),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [aux_sym__lambda_type_declaration_repeat1] = STATE(4222),
    [aux_sym_switch_statement_repeat1] = STATE(2455),
    [aux_sym_modifiers_repeat1] = STATE(3160),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(181),
    [aux_sym_simple_identifier_token2] = ACTIONS(183),
    [aux_sym_simple_identifier_token3] = ACTIONS(183),
    [aux_sym_simple_identifier_token4] = ACTIONS(183),
    [anon_sym_actor] = ACTIONS(185),
    [anon_sym_async] = ACTIONS(187),
    [anon_sym_each] = ACTIONS(189),
    [anon_sym_lazy] = ACTIONS(215),
    [anon_sym_repeat] = ACTIONS(193),
    [anon_sym_package] = ACTIONS(217),
    [anon_sym_nil] = ACTIONS(153),
    [sym_real_literal] = ACTIONS(155),
    [sym_integer_literal] = ACTIONS(153),
    [sym_hex_literal] = ACTIONS(155),
    [sym_oct_literal] = ACTIONS(155),
    [sym_bin_literal] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(199),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(153),
    [anon_sym_POUNDfileID] = ACTIONS(155),
    [anon_sym_POUNDfilePath] = ACTIONS(155),
    [anon_sym_POUNDline] = ACTIONS(155),
    [anon_sym_POUNDcolumn] = ACTIONS(155),
    [anon_sym_POUNDfunction] = ACTIONS(155),
    [anon_sym_POUNDdsohandle] = ACTIONS(155),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_RBRACE] = ACTIONS(273),
    [anon_sym_in] = ACTIONS(221),
    [anon_sym_self] = ACTIONS(205),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_guard] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(223),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(153),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(153),
    [anon_sym_PERCENT] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(155),
    [anon_sym_CARET] = ACTIONS(153),
    [anon_sym_LT_LT] = ACTIONS(155),
    [anon_sym_GT_GT] = ACTIONS(155),
    [sym_statement_label] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [sym_throw_keyword] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(159),
    [anon_sym_continue] = ACTIONS(159),
    [anon_sym_break] = ACTIONS(159),
    [anon_sym_yield] = ACTIONS(159),
    [anon_sym_typealias] = ACTIONS(93),
    [anon_sym_struct] = ACTIONS(95),
    [anon_sym_class] = ACTIONS(225),
    [anon_sym_enum] = ACTIONS(99),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_func] = ACTIONS(105),
    [anon_sym_extension] = ACTIONS(109),
    [anon_sym_indirect] = ACTIONS(111),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_prefix] = ACTIONS(227),
    [anon_sym_infix] = ACTIONS(227),
    [anon_sym_postfix] = ACTIONS(227),
    [anon_sym_AT] = ACTIONS(229),
    [anon_sym_override] = ACTIONS(231),
    [anon_sym_convenience] = ACTIONS(231),
    [anon_sym_required] = ACTIONS(231),
    [anon_sym_nonisolated] = ACTIONS(231),
    [anon_sym_public] = ACTIONS(233),
    [anon_sym_private] = ACTIONS(233),
    [anon_sym_internal] = ACTIONS(233),
    [anon_sym_fileprivate] = ACTIONS(233),
    [anon_sym_open] = ACTIONS(233),
    [anon_sym_mutating] = ACTIONS(235),
    [anon_sym_nonmutating] = ACTIONS(235),
    [anon_sym_static] = ACTIONS(237),
    [anon_sym_dynamic] = ACTIONS(237),
    [anon_sym_optional] = ACTIONS(237),
    [anon_sym_distributed] = ACTIONS(237),
    [anon_sym_final] = ACTIONS(239),
    [anon_sym_inout] = ACTIONS(241),
    [anon_sym_ATescaping] = ACTIONS(243),
    [anon_sym_ATautoclosure] = ACTIONS(243),
    [anon_sym_weak] = ACTIONS(245),
    [anon_sym_unowned] = ACTIONS(245),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(247),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(247),
    [anon_sym_borrowing] = ACTIONS(249),
    [anon_sym_consuming] = ACTIONS(249),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(155),
    [sym__eq_eq_custom] = ACTIONS(155),
    [sym__plus_then_ws] = ACTIONS(155),
    [sym__minus_then_ws] = ACTIONS(155),
    [sym__bang_custom] = ACTIONS(151),
    [sym_default_keyword] = ACTIONS(251),
    [sym__custom_operator] = ACTIONS(57),
  },
  [18] = {
    [sym_simple_identifier] = STATE(1465),
    [sym__contextual_simple_identifier] = STATE(1477),
    [sym__basic_literal] = STATE(1349),
    [sym_boolean_literal] = STATE(1349),
    [sym__string_literal] = STATE(1349),
    [sym_line_string_literal] = STATE(1349),
    [sym_multi_line_string_literal] = STATE(1349),
    [sym_raw_string_literal] = STATE(1349),
    [sym_regex_literal] = STATE(1349),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1349),
    [sym__unary_expression] = STATE(1349),
    [sym_postfix_expression] = STATE(1349),
    [sym_constructor_expression] = STATE(1349),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1349),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1349),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1349),
    [sym_prefix_expression] = STATE(1349),
    [sym_as_expression] = STATE(1349),
    [sym_selector_expression] = STATE(1349),
    [sym__binary_expression] = STATE(1349),
    [sym_multiplicative_expression] = STATE(1349),
    [sym_additive_expression] = STATE(1349),
    [sym_range_expression] = STATE(1349),
    [sym_infix_expression] = STATE(1349),
    [sym_nil_coalescing_expression] = STATE(1349),
    [sym_check_expression] = STATE(1349),
    [sym_comparison_expression] = STATE(1349),
    [sym_equality_expression] = STATE(1349),
    [sym_conjunction_expression] = STATE(1349),
    [sym_disjunction_expression] = STATE(1349),
    [sym_bitwise_operation] = STATE(1349),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1349),
    [sym_await_expression] = STATE(1349),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1349),
    [sym_call_expression] = STATE(1349),
    [sym__primary_expression] = STATE(1349),
    [sym_tuple_expression] = STATE(1349),
    [sym_array_literal] = STATE(1349),
    [sym_dictionary_literal] = STATE(1349),
    [sym__special_literal] = STATE(1349),
    [sym__playground_literal] = STATE(1349),
    [sym_lambda_literal] = STATE(1349),
    [sym__lambda_type_declaration] = STATE(98),
    [sym_capture_list] = STATE(4269),
    [sym_lambda_function_type] = STATE(7701),
    [sym_lambda_function_type_parameters] = STATE(5444),
    [sym_lambda_parameter] = STATE(5647),
    [sym_self_expression] = STATE(1892),
    [sym_super_expression] = STATE(1349),
    [sym_if_statement] = STATE(2559),
    [sym_guard_statement] = STATE(5953),
    [sym_switch_statement] = STATE(2559),
    [sym_switch_entry] = STATE(2364),
    [sym_do_statement] = STATE(5953),
    [sym_key_path_expression] = STATE(1349),
    [sym_key_path_string_expression] = STATE(1349),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1349),
    [sym__equality_operator] = STATE(1349),
    [sym__comparison_operator] = STATE(1349),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1349),
    [sym__multiplicative_operator] = STATE(1349),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym_statements] = STATE(7710),
    [sym__local_statement] = STATE(5953),
    [sym__labeled_statement] = STATE(5953),
    [sym_for_statement] = STATE(5953),
    [sym_while_statement] = STATE(5953),
    [sym_repeat_while_statement] = STATE(5953),
    [sym_control_transfer_statement] = STATE(5953),
    [sym__throw_statement] = STATE(6577),
    [sym__optionally_valueful_control_keyword] = STATE(283),
    [sym_assignment] = STATE(1349),
    [sym_value_parameter_pack] = STATE(1349),
    [sym_value_pack_expansion] = STATE(1349),
    [sym__local_declaration] = STATE(5953),
    [sym__local_property_declaration] = STATE(6579),
    [sym__local_typealias_declaration] = STATE(6581),
    [sym__local_function_declaration] = STATE(6582),
    [sym__local_class_declaration] = STATE(6584),
    [sym__modifierless_property_declaration] = STATE(6589),
    [sym__modifierless_typealias_declaration] = STATE(6601),
    [sym__modifierless_function_declaration] = STATE(6604),
    [sym__modifierless_function_declaration_no_body] = STATE(6607),
    [sym__modifierless_class_declaration] = STATE(6613),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__referenceable_operator] = STATE(1349),
    [sym__equal_sign] = STATE(1349),
    [sym__eq_eq] = STATE(1349),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__async_modifier] = STATE(6632),
    [sym_attribute] = STATE(2239),
    [sym_value_binding_pattern] = STATE(3973),
    [sym__possibly_async_binding_pattern_kind] = STATE(3973),
    [sym_modifiers] = STATE(7440),
    [aux_sym__locally_permitted_modifiers] = STATE(1779),
    [sym__non_local_scope_modifier] = STATE(3160),
    [sym__locally_permitted_modifier] = STATE(1779),
    [sym_property_behavior_modifier] = STATE(1779),
    [sym_member_modifier] = STATE(3160),
    [sym_visibility_modifier] = STATE(3160),
    [sym_function_modifier] = STATE(3160),
    [sym_mutation_modifier] = STATE(3160),
    [sym_property_modifier] = STATE(3160),
    [sym_inheritance_modifier] = STATE(1779),
    [sym_parameter_modifier] = STATE(3160),
    [sym_ownership_modifier] = STATE(1779),
    [sym__parameter_ownership_modifier] = STATE(844),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [aux_sym__lambda_type_declaration_repeat1] = STATE(4222),
    [aux_sym_switch_statement_repeat1] = STATE(2364),
    [aux_sym_modifiers_repeat1] = STATE(3160),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(181),
    [aux_sym_simple_identifier_token2] = ACTIONS(183),
    [aux_sym_simple_identifier_token3] = ACTIONS(183),
    [aux_sym_simple_identifier_token4] = ACTIONS(183),
    [anon_sym_actor] = ACTIONS(185),
    [anon_sym_async] = ACTIONS(187),
    [anon_sym_each] = ACTIONS(189),
    [anon_sym_lazy] = ACTIONS(215),
    [anon_sym_repeat] = ACTIONS(193),
    [anon_sym_package] = ACTIONS(217),
    [anon_sym_nil] = ACTIONS(153),
    [sym_real_literal] = ACTIONS(155),
    [sym_integer_literal] = ACTIONS(153),
    [sym_hex_literal] = ACTIONS(155),
    [sym_oct_literal] = ACTIONS(155),
    [sym_bin_literal] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(199),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(153),
    [anon_sym_POUNDfileID] = ACTIONS(155),
    [anon_sym_POUNDfilePath] = ACTIONS(155),
    [anon_sym_POUNDline] = ACTIONS(155),
    [anon_sym_POUNDcolumn] = ACTIONS(155),
    [anon_sym_POUNDfunction] = ACTIONS(155),
    [anon_sym_POUNDdsohandle] = ACTIONS(155),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_RBRACE] = ACTIONS(275),
    [anon_sym_in] = ACTIONS(221),
    [anon_sym_self] = ACTIONS(205),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_guard] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(223),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(153),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(153),
    [anon_sym_PERCENT] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(155),
    [anon_sym_CARET] = ACTIONS(153),
    [anon_sym_LT_LT] = ACTIONS(155),
    [anon_sym_GT_GT] = ACTIONS(155),
    [sym_statement_label] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [sym_throw_keyword] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(159),
    [anon_sym_continue] = ACTIONS(159),
    [anon_sym_break] = ACTIONS(159),
    [anon_sym_yield] = ACTIONS(159),
    [anon_sym_typealias] = ACTIONS(93),
    [anon_sym_struct] = ACTIONS(95),
    [anon_sym_class] = ACTIONS(225),
    [anon_sym_enum] = ACTIONS(99),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_func] = ACTIONS(105),
    [anon_sym_extension] = ACTIONS(109),
    [anon_sym_indirect] = ACTIONS(111),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_prefix] = ACTIONS(227),
    [anon_sym_infix] = ACTIONS(227),
    [anon_sym_postfix] = ACTIONS(227),
    [anon_sym_AT] = ACTIONS(229),
    [anon_sym_override] = ACTIONS(231),
    [anon_sym_convenience] = ACTIONS(231),
    [anon_sym_required] = ACTIONS(231),
    [anon_sym_nonisolated] = ACTIONS(231),
    [anon_sym_public] = ACTIONS(233),
    [anon_sym_private] = ACTIONS(233),
    [anon_sym_internal] = ACTIONS(233),
    [anon_sym_fileprivate] = ACTIONS(233),
    [anon_sym_open] = ACTIONS(233),
    [anon_sym_mutating] = ACTIONS(235),
    [anon_sym_nonmutating] = ACTIONS(235),
    [anon_sym_static] = ACTIONS(237),
    [anon_sym_dynamic] = ACTIONS(237),
    [anon_sym_optional] = ACTIONS(237),
    [anon_sym_distributed] = ACTIONS(237),
    [anon_sym_final] = ACTIONS(239),
    [anon_sym_inout] = ACTIONS(241),
    [anon_sym_ATescaping] = ACTIONS(243),
    [anon_sym_ATautoclosure] = ACTIONS(243),
    [anon_sym_weak] = ACTIONS(245),
    [anon_sym_unowned] = ACTIONS(245),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(247),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(247),
    [anon_sym_borrowing] = ACTIONS(249),
    [anon_sym_consuming] = ACTIONS(249),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(155),
    [sym__eq_eq_custom] = ACTIONS(155),
    [sym__plus_then_ws] = ACTIONS(155),
    [sym__minus_then_ws] = ACTIONS(155),
    [sym__bang_custom] = ACTIONS(151),
    [sym_default_keyword] = ACTIONS(251),
    [sym__custom_operator] = ACTIONS(57),
  },
  [19] = {
    [sym_simple_identifier] = STATE(1465),
    [sym__contextual_simple_identifier] = STATE(1477),
    [sym__basic_literal] = STATE(1349),
    [sym_boolean_literal] = STATE(1349),
    [sym__string_literal] = STATE(1349),
    [sym_line_string_literal] = STATE(1349),
    [sym_multi_line_string_literal] = STATE(1349),
    [sym_raw_string_literal] = STATE(1349),
    [sym_regex_literal] = STATE(1349),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1349),
    [sym__unary_expression] = STATE(1349),
    [sym_postfix_expression] = STATE(1349),
    [sym_constructor_expression] = STATE(1349),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1349),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1349),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1349),
    [sym_prefix_expression] = STATE(1349),
    [sym_as_expression] = STATE(1349),
    [sym_selector_expression] = STATE(1349),
    [sym__binary_expression] = STATE(1349),
    [sym_multiplicative_expression] = STATE(1349),
    [sym_additive_expression] = STATE(1349),
    [sym_range_expression] = STATE(1349),
    [sym_infix_expression] = STATE(1349),
    [sym_nil_coalescing_expression] = STATE(1349),
    [sym_check_expression] = STATE(1349),
    [sym_comparison_expression] = STATE(1349),
    [sym_equality_expression] = STATE(1349),
    [sym_conjunction_expression] = STATE(1349),
    [sym_disjunction_expression] = STATE(1349),
    [sym_bitwise_operation] = STATE(1349),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1349),
    [sym_await_expression] = STATE(1349),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1349),
    [sym_call_expression] = STATE(1349),
    [sym__primary_expression] = STATE(1349),
    [sym_tuple_expression] = STATE(1349),
    [sym_array_literal] = STATE(1349),
    [sym_dictionary_literal] = STATE(1349),
    [sym__special_literal] = STATE(1349),
    [sym__playground_literal] = STATE(1349),
    [sym_lambda_literal] = STATE(1349),
    [sym__lambda_type_declaration] = STATE(98),
    [sym_capture_list] = STATE(4269),
    [sym_lambda_function_type] = STATE(7701),
    [sym_lambda_function_type_parameters] = STATE(5444),
    [sym_lambda_parameter] = STATE(5647),
    [sym_self_expression] = STATE(1892),
    [sym_super_expression] = STATE(1349),
    [sym_if_statement] = STATE(2559),
    [sym_guard_statement] = STATE(5953),
    [sym_switch_statement] = STATE(2559),
    [sym_switch_entry] = STATE(2478),
    [sym_do_statement] = STATE(5953),
    [sym_key_path_expression] = STATE(1349),
    [sym_key_path_string_expression] = STATE(1349),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1349),
    [sym__equality_operator] = STATE(1349),
    [sym__comparison_operator] = STATE(1349),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1349),
    [sym__multiplicative_operator] = STATE(1349),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym_statements] = STATE(7710),
    [sym__local_statement] = STATE(5953),
    [sym__labeled_statement] = STATE(5953),
    [sym_for_statement] = STATE(5953),
    [sym_while_statement] = STATE(5953),
    [sym_repeat_while_statement] = STATE(5953),
    [sym_control_transfer_statement] = STATE(5953),
    [sym__throw_statement] = STATE(6577),
    [sym__optionally_valueful_control_keyword] = STATE(283),
    [sym_assignment] = STATE(1349),
    [sym_value_parameter_pack] = STATE(1349),
    [sym_value_pack_expansion] = STATE(1349),
    [sym__local_declaration] = STATE(5953),
    [sym__local_property_declaration] = STATE(6579),
    [sym__local_typealias_declaration] = STATE(6581),
    [sym__local_function_declaration] = STATE(6582),
    [sym__local_class_declaration] = STATE(6584),
    [sym__modifierless_property_declaration] = STATE(6589),
    [sym__modifierless_typealias_declaration] = STATE(6601),
    [sym__modifierless_function_declaration] = STATE(6604),
    [sym__modifierless_function_declaration_no_body] = STATE(6607),
    [sym__modifierless_class_declaration] = STATE(6613),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__referenceable_operator] = STATE(1349),
    [sym__equal_sign] = STATE(1349),
    [sym__eq_eq] = STATE(1349),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__async_modifier] = STATE(6632),
    [sym_attribute] = STATE(2239),
    [sym_value_binding_pattern] = STATE(3973),
    [sym__possibly_async_binding_pattern_kind] = STATE(3973),
    [sym_modifiers] = STATE(7440),
    [aux_sym__locally_permitted_modifiers] = STATE(1779),
    [sym__non_local_scope_modifier] = STATE(3160),
    [sym__locally_permitted_modifier] = STATE(1779),
    [sym_property_behavior_modifier] = STATE(1779),
    [sym_member_modifier] = STATE(3160),
    [sym_visibility_modifier] = STATE(3160),
    [sym_function_modifier] = STATE(3160),
    [sym_mutation_modifier] = STATE(3160),
    [sym_property_modifier] = STATE(3160),
    [sym_inheritance_modifier] = STATE(1779),
    [sym_parameter_modifier] = STATE(3160),
    [sym_ownership_modifier] = STATE(1779),
    [sym__parameter_ownership_modifier] = STATE(844),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [aux_sym__lambda_type_declaration_repeat1] = STATE(4222),
    [aux_sym_switch_statement_repeat1] = STATE(2478),
    [aux_sym_modifiers_repeat1] = STATE(3160),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(181),
    [aux_sym_simple_identifier_token2] = ACTIONS(183),
    [aux_sym_simple_identifier_token3] = ACTIONS(183),
    [aux_sym_simple_identifier_token4] = ACTIONS(183),
    [anon_sym_actor] = ACTIONS(185),
    [anon_sym_async] = ACTIONS(187),
    [anon_sym_each] = ACTIONS(189),
    [anon_sym_lazy] = ACTIONS(215),
    [anon_sym_repeat] = ACTIONS(193),
    [anon_sym_package] = ACTIONS(217),
    [anon_sym_nil] = ACTIONS(153),
    [sym_real_literal] = ACTIONS(155),
    [sym_integer_literal] = ACTIONS(153),
    [sym_hex_literal] = ACTIONS(155),
    [sym_oct_literal] = ACTIONS(155),
    [sym_bin_literal] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(199),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(153),
    [anon_sym_POUNDfileID] = ACTIONS(155),
    [anon_sym_POUNDfilePath] = ACTIONS(155),
    [anon_sym_POUNDline] = ACTIONS(155),
    [anon_sym_POUNDcolumn] = ACTIONS(155),
    [anon_sym_POUNDfunction] = ACTIONS(155),
    [anon_sym_POUNDdsohandle] = ACTIONS(155),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_RBRACE] = ACTIONS(277),
    [anon_sym_in] = ACTIONS(221),
    [anon_sym_self] = ACTIONS(205),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_guard] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(223),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(153),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(153),
    [anon_sym_PERCENT] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(155),
    [anon_sym_CARET] = ACTIONS(153),
    [anon_sym_LT_LT] = ACTIONS(155),
    [anon_sym_GT_GT] = ACTIONS(155),
    [sym_statement_label] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [sym_throw_keyword] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(159),
    [anon_sym_continue] = ACTIONS(159),
    [anon_sym_break] = ACTIONS(159),
    [anon_sym_yield] = ACTIONS(159),
    [anon_sym_typealias] = ACTIONS(93),
    [anon_sym_struct] = ACTIONS(95),
    [anon_sym_class] = ACTIONS(225),
    [anon_sym_enum] = ACTIONS(99),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_func] = ACTIONS(105),
    [anon_sym_extension] = ACTIONS(109),
    [anon_sym_indirect] = ACTIONS(111),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_prefix] = ACTIONS(227),
    [anon_sym_infix] = ACTIONS(227),
    [anon_sym_postfix] = ACTIONS(227),
    [anon_sym_AT] = ACTIONS(229),
    [anon_sym_override] = ACTIONS(231),
    [anon_sym_convenience] = ACTIONS(231),
    [anon_sym_required] = ACTIONS(231),
    [anon_sym_nonisolated] = ACTIONS(231),
    [anon_sym_public] = ACTIONS(233),
    [anon_sym_private] = ACTIONS(233),
    [anon_sym_internal] = ACTIONS(233),
    [anon_sym_fileprivate] = ACTIONS(233),
    [anon_sym_open] = ACTIONS(233),
    [anon_sym_mutating] = ACTIONS(235),
    [anon_sym_nonmutating] = ACTIONS(235),
    [anon_sym_static] = ACTIONS(237),
    [anon_sym_dynamic] = ACTIONS(237),
    [anon_sym_optional] = ACTIONS(237),
    [anon_sym_distributed] = ACTIONS(237),
    [anon_sym_final] = ACTIONS(239),
    [anon_sym_inout] = ACTIONS(241),
    [anon_sym_ATescaping] = ACTIONS(243),
    [anon_sym_ATautoclosure] = ACTIONS(243),
    [anon_sym_weak] = ACTIONS(245),
    [anon_sym_unowned] = ACTIONS(245),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(247),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(247),
    [anon_sym_borrowing] = ACTIONS(249),
    [anon_sym_consuming] = ACTIONS(249),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(155),
    [sym__eq_eq_custom] = ACTIONS(155),
    [sym__plus_then_ws] = ACTIONS(155),
    [sym__minus_then_ws] = ACTIONS(155),
    [sym__bang_custom] = ACTIONS(151),
    [sym_default_keyword] = ACTIONS(251),
    [sym__custom_operator] = ACTIONS(57),
  },
  [20] = {
    [sym_simple_identifier] = STATE(1465),
    [sym__contextual_simple_identifier] = STATE(1477),
    [sym__basic_literal] = STATE(1349),
    [sym_boolean_literal] = STATE(1349),
    [sym__string_literal] = STATE(1349),
    [sym_line_string_literal] = STATE(1349),
    [sym_multi_line_string_literal] = STATE(1349),
    [sym_raw_string_literal] = STATE(1349),
    [sym_regex_literal] = STATE(1349),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1349),
    [sym__unary_expression] = STATE(1349),
    [sym_postfix_expression] = STATE(1349),
    [sym_constructor_expression] = STATE(1349),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1349),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1349),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1349),
    [sym_prefix_expression] = STATE(1349),
    [sym_as_expression] = STATE(1349),
    [sym_selector_expression] = STATE(1349),
    [sym__binary_expression] = STATE(1349),
    [sym_multiplicative_expression] = STATE(1349),
    [sym_additive_expression] = STATE(1349),
    [sym_range_expression] = STATE(1349),
    [sym_infix_expression] = STATE(1349),
    [sym_nil_coalescing_expression] = STATE(1349),
    [sym_check_expression] = STATE(1349),
    [sym_comparison_expression] = STATE(1349),
    [sym_equality_expression] = STATE(1349),
    [sym_conjunction_expression] = STATE(1349),
    [sym_disjunction_expression] = STATE(1349),
    [sym_bitwise_operation] = STATE(1349),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1349),
    [sym_await_expression] = STATE(1349),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1349),
    [sym_call_expression] = STATE(1349),
    [sym__primary_expression] = STATE(1349),
    [sym_tuple_expression] = STATE(1349),
    [sym_array_literal] = STATE(1349),
    [sym_dictionary_literal] = STATE(1349),
    [sym__special_literal] = STATE(1349),
    [sym__playground_literal] = STATE(1349),
    [sym_lambda_literal] = STATE(1349),
    [sym__lambda_type_declaration] = STATE(98),
    [sym_capture_list] = STATE(4269),
    [sym_lambda_function_type] = STATE(7701),
    [sym_lambda_function_type_parameters] = STATE(5444),
    [sym_lambda_parameter] = STATE(5647),
    [sym_self_expression] = STATE(1892),
    [sym_super_expression] = STATE(1349),
    [sym_if_statement] = STATE(2559),
    [sym_guard_statement] = STATE(5953),
    [sym_switch_statement] = STATE(2559),
    [sym_switch_entry] = STATE(2349),
    [sym_do_statement] = STATE(5953),
    [sym_key_path_expression] = STATE(1349),
    [sym_key_path_string_expression] = STATE(1349),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1349),
    [sym__equality_operator] = STATE(1349),
    [sym__comparison_operator] = STATE(1349),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1349),
    [sym__multiplicative_operator] = STATE(1349),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym_statements] = STATE(7710),
    [sym__local_statement] = STATE(5953),
    [sym__labeled_statement] = STATE(5953),
    [sym_for_statement] = STATE(5953),
    [sym_while_statement] = STATE(5953),
    [sym_repeat_while_statement] = STATE(5953),
    [sym_control_transfer_statement] = STATE(5953),
    [sym__throw_statement] = STATE(6577),
    [sym__optionally_valueful_control_keyword] = STATE(283),
    [sym_assignment] = STATE(1349),
    [sym_value_parameter_pack] = STATE(1349),
    [sym_value_pack_expansion] = STATE(1349),
    [sym__local_declaration] = STATE(5953),
    [sym__local_property_declaration] = STATE(6579),
    [sym__local_typealias_declaration] = STATE(6581),
    [sym__local_function_declaration] = STATE(6582),
    [sym__local_class_declaration] = STATE(6584),
    [sym__modifierless_property_declaration] = STATE(6589),
    [sym__modifierless_typealias_declaration] = STATE(6601),
    [sym__modifierless_function_declaration] = STATE(6604),
    [sym__modifierless_function_declaration_no_body] = STATE(6607),
    [sym__modifierless_class_declaration] = STATE(6613),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__referenceable_operator] = STATE(1349),
    [sym__equal_sign] = STATE(1349),
    [sym__eq_eq] = STATE(1349),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__async_modifier] = STATE(6632),
    [sym_attribute] = STATE(2239),
    [sym_value_binding_pattern] = STATE(3973),
    [sym__possibly_async_binding_pattern_kind] = STATE(3973),
    [sym_modifiers] = STATE(7440),
    [aux_sym__locally_permitted_modifiers] = STATE(1779),
    [sym__non_local_scope_modifier] = STATE(3160),
    [sym__locally_permitted_modifier] = STATE(1779),
    [sym_property_behavior_modifier] = STATE(1779),
    [sym_member_modifier] = STATE(3160),
    [sym_visibility_modifier] = STATE(3160),
    [sym_function_modifier] = STATE(3160),
    [sym_mutation_modifier] = STATE(3160),
    [sym_property_modifier] = STATE(3160),
    [sym_inheritance_modifier] = STATE(1779),
    [sym_parameter_modifier] = STATE(3160),
    [sym_ownership_modifier] = STATE(1779),
    [sym__parameter_ownership_modifier] = STATE(844),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [aux_sym__lambda_type_declaration_repeat1] = STATE(4222),
    [aux_sym_switch_statement_repeat1] = STATE(2349),
    [aux_sym_modifiers_repeat1] = STATE(3160),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(181),
    [aux_sym_simple_identifier_token2] = ACTIONS(183),
    [aux_sym_simple_identifier_token3] = ACTIONS(183),
    [aux_sym_simple_identifier_token4] = ACTIONS(183),
    [anon_sym_actor] = ACTIONS(185),
    [anon_sym_async] = ACTIONS(187),
    [anon_sym_each] = ACTIONS(189),
    [anon_sym_lazy] = ACTIONS(215),
    [anon_sym_repeat] = ACTIONS(193),
    [anon_sym_package] = ACTIONS(217),
    [anon_sym_nil] = ACTIONS(153),
    [sym_real_literal] = ACTIONS(155),
    [sym_integer_literal] = ACTIONS(153),
    [sym_hex_literal] = ACTIONS(155),
    [sym_oct_literal] = ACTIONS(155),
    [sym_bin_literal] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(199),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(153),
    [anon_sym_POUNDfileID] = ACTIONS(155),
    [anon_sym_POUNDfilePath] = ACTIONS(155),
    [anon_sym_POUNDline] = ACTIONS(155),
    [anon_sym_POUNDcolumn] = ACTIONS(155),
    [anon_sym_POUNDfunction] = ACTIONS(155),
    [anon_sym_POUNDdsohandle] = ACTIONS(155),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_RBRACE] = ACTIONS(279),
    [anon_sym_in] = ACTIONS(221),
    [anon_sym_self] = ACTIONS(205),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_guard] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(223),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(153),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(153),
    [anon_sym_PERCENT] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(155),
    [anon_sym_CARET] = ACTIONS(153),
    [anon_sym_LT_LT] = ACTIONS(155),
    [anon_sym_GT_GT] = ACTIONS(155),
    [sym_statement_label] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [sym_throw_keyword] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(159),
    [anon_sym_continue] = ACTIONS(159),
    [anon_sym_break] = ACTIONS(159),
    [anon_sym_yield] = ACTIONS(159),
    [anon_sym_typealias] = ACTIONS(93),
    [anon_sym_struct] = ACTIONS(95),
    [anon_sym_class] = ACTIONS(225),
    [anon_sym_enum] = ACTIONS(99),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_func] = ACTIONS(105),
    [anon_sym_extension] = ACTIONS(109),
    [anon_sym_indirect] = ACTIONS(111),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_prefix] = ACTIONS(227),
    [anon_sym_infix] = ACTIONS(227),
    [anon_sym_postfix] = ACTIONS(227),
    [anon_sym_AT] = ACTIONS(229),
    [anon_sym_override] = ACTIONS(231),
    [anon_sym_convenience] = ACTIONS(231),
    [anon_sym_required] = ACTIONS(231),
    [anon_sym_nonisolated] = ACTIONS(231),
    [anon_sym_public] = ACTIONS(233),
    [anon_sym_private] = ACTIONS(233),
    [anon_sym_internal] = ACTIONS(233),
    [anon_sym_fileprivate] = ACTIONS(233),
    [anon_sym_open] = ACTIONS(233),
    [anon_sym_mutating] = ACTIONS(235),
    [anon_sym_nonmutating] = ACTIONS(235),
    [anon_sym_static] = ACTIONS(237),
    [anon_sym_dynamic] = ACTIONS(237),
    [anon_sym_optional] = ACTIONS(237),
    [anon_sym_distributed] = ACTIONS(237),
    [anon_sym_final] = ACTIONS(239),
    [anon_sym_inout] = ACTIONS(241),
    [anon_sym_ATescaping] = ACTIONS(243),
    [anon_sym_ATautoclosure] = ACTIONS(243),
    [anon_sym_weak] = ACTIONS(245),
    [anon_sym_unowned] = ACTIONS(245),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(247),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(247),
    [anon_sym_borrowing] = ACTIONS(249),
    [anon_sym_consuming] = ACTIONS(249),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(155),
    [sym__eq_eq_custom] = ACTIONS(155),
    [sym__plus_then_ws] = ACTIONS(155),
    [sym__minus_then_ws] = ACTIONS(155),
    [sym__bang_custom] = ACTIONS(151),
    [sym_default_keyword] = ACTIONS(251),
    [sym__custom_operator] = ACTIONS(57),
  },
  [21] = {
    [sym_simple_identifier] = STATE(1465),
    [sym__contextual_simple_identifier] = STATE(1477),
    [sym__basic_literal] = STATE(1349),
    [sym_boolean_literal] = STATE(1349),
    [sym__string_literal] = STATE(1349),
    [sym_line_string_literal] = STATE(1349),
    [sym_multi_line_string_literal] = STATE(1349),
    [sym_raw_string_literal] = STATE(1349),
    [sym_regex_literal] = STATE(1349),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1349),
    [sym__unary_expression] = STATE(1349),
    [sym_postfix_expression] = STATE(1349),
    [sym_constructor_expression] = STATE(1349),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1349),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1349),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1349),
    [sym_prefix_expression] = STATE(1349),
    [sym_as_expression] = STATE(1349),
    [sym_selector_expression] = STATE(1349),
    [sym__binary_expression] = STATE(1349),
    [sym_multiplicative_expression] = STATE(1349),
    [sym_additive_expression] = STATE(1349),
    [sym_range_expression] = STATE(1349),
    [sym_infix_expression] = STATE(1349),
    [sym_nil_coalescing_expression] = STATE(1349),
    [sym_check_expression] = STATE(1349),
    [sym_comparison_expression] = STATE(1349),
    [sym_equality_expression] = STATE(1349),
    [sym_conjunction_expression] = STATE(1349),
    [sym_disjunction_expression] = STATE(1349),
    [sym_bitwise_operation] = STATE(1349),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1349),
    [sym_await_expression] = STATE(1349),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1349),
    [sym_call_expression] = STATE(1349),
    [sym__primary_expression] = STATE(1349),
    [sym_tuple_expression] = STATE(1349),
    [sym_array_literal] = STATE(1349),
    [sym_dictionary_literal] = STATE(1349),
    [sym__special_literal] = STATE(1349),
    [sym__playground_literal] = STATE(1349),
    [sym_lambda_literal] = STATE(1349),
    [sym__lambda_type_declaration] = STATE(98),
    [sym_capture_list] = STATE(4269),
    [sym_lambda_function_type] = STATE(7701),
    [sym_lambda_function_type_parameters] = STATE(5444),
    [sym_lambda_parameter] = STATE(5647),
    [sym_self_expression] = STATE(1892),
    [sym_super_expression] = STATE(1349),
    [sym_if_statement] = STATE(2559),
    [sym_guard_statement] = STATE(5953),
    [sym_switch_statement] = STATE(2559),
    [sym_switch_entry] = STATE(2378),
    [sym_do_statement] = STATE(5953),
    [sym_key_path_expression] = STATE(1349),
    [sym_key_path_string_expression] = STATE(1349),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1349),
    [sym__equality_operator] = STATE(1349),
    [sym__comparison_operator] = STATE(1349),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1349),
    [sym__multiplicative_operator] = STATE(1349),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym_statements] = STATE(7710),
    [sym__local_statement] = STATE(5953),
    [sym__labeled_statement] = STATE(5953),
    [sym_for_statement] = STATE(5953),
    [sym_while_statement] = STATE(5953),
    [sym_repeat_while_statement] = STATE(5953),
    [sym_control_transfer_statement] = STATE(5953),
    [sym__throw_statement] = STATE(6577),
    [sym__optionally_valueful_control_keyword] = STATE(283),
    [sym_assignment] = STATE(1349),
    [sym_value_parameter_pack] = STATE(1349),
    [sym_value_pack_expansion] = STATE(1349),
    [sym__local_declaration] = STATE(5953),
    [sym__local_property_declaration] = STATE(6579),
    [sym__local_typealias_declaration] = STATE(6581),
    [sym__local_function_declaration] = STATE(6582),
    [sym__local_class_declaration] = STATE(6584),
    [sym__modifierless_property_declaration] = STATE(6589),
    [sym__modifierless_typealias_declaration] = STATE(6601),
    [sym__modifierless_function_declaration] = STATE(6604),
    [sym__modifierless_function_declaration_no_body] = STATE(6607),
    [sym__modifierless_class_declaration] = STATE(6613),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__referenceable_operator] = STATE(1349),
    [sym__equal_sign] = STATE(1349),
    [sym__eq_eq] = STATE(1349),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__async_modifier] = STATE(6632),
    [sym_attribute] = STATE(2239),
    [sym_value_binding_pattern] = STATE(3973),
    [sym__possibly_async_binding_pattern_kind] = STATE(3973),
    [sym_modifiers] = STATE(7440),
    [aux_sym__locally_permitted_modifiers] = STATE(1779),
    [sym__non_local_scope_modifier] = STATE(3160),
    [sym__locally_permitted_modifier] = STATE(1779),
    [sym_property_behavior_modifier] = STATE(1779),
    [sym_member_modifier] = STATE(3160),
    [sym_visibility_modifier] = STATE(3160),
    [sym_function_modifier] = STATE(3160),
    [sym_mutation_modifier] = STATE(3160),
    [sym_property_modifier] = STATE(3160),
    [sym_inheritance_modifier] = STATE(1779),
    [sym_parameter_modifier] = STATE(3160),
    [sym_ownership_modifier] = STATE(1779),
    [sym__parameter_ownership_modifier] = STATE(844),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [aux_sym__lambda_type_declaration_repeat1] = STATE(4222),
    [aux_sym_switch_statement_repeat1] = STATE(2378),
    [aux_sym_modifiers_repeat1] = STATE(3160),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(181),
    [aux_sym_simple_identifier_token2] = ACTIONS(183),
    [aux_sym_simple_identifier_token3] = ACTIONS(183),
    [aux_sym_simple_identifier_token4] = ACTIONS(183),
    [anon_sym_actor] = ACTIONS(185),
    [anon_sym_async] = ACTIONS(187),
    [anon_sym_each] = ACTIONS(189),
    [anon_sym_lazy] = ACTIONS(215),
    [anon_sym_repeat] = ACTIONS(193),
    [anon_sym_package] = ACTIONS(217),
    [anon_sym_nil] = ACTIONS(153),
    [sym_real_literal] = ACTIONS(155),
    [sym_integer_literal] = ACTIONS(153),
    [sym_hex_literal] = ACTIONS(155),
    [sym_oct_literal] = ACTIONS(155),
    [sym_bin_literal] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(199),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(153),
    [anon_sym_POUNDfileID] = ACTIONS(155),
    [anon_sym_POUNDfilePath] = ACTIONS(155),
    [anon_sym_POUNDline] = ACTIONS(155),
    [anon_sym_POUNDcolumn] = ACTIONS(155),
    [anon_sym_POUNDfunction] = ACTIONS(155),
    [anon_sym_POUNDdsohandle] = ACTIONS(155),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_RBRACE] = ACTIONS(281),
    [anon_sym_in] = ACTIONS(221),
    [anon_sym_self] = ACTIONS(205),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_guard] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(223),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(153),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(153),
    [anon_sym_PERCENT] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(155),
    [anon_sym_CARET] = ACTIONS(153),
    [anon_sym_LT_LT] = ACTIONS(155),
    [anon_sym_GT_GT] = ACTIONS(155),
    [sym_statement_label] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [sym_throw_keyword] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(159),
    [anon_sym_continue] = ACTIONS(159),
    [anon_sym_break] = ACTIONS(159),
    [anon_sym_yield] = ACTIONS(159),
    [anon_sym_typealias] = ACTIONS(93),
    [anon_sym_struct] = ACTIONS(95),
    [anon_sym_class] = ACTIONS(225),
    [anon_sym_enum] = ACTIONS(99),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_func] = ACTIONS(105),
    [anon_sym_extension] = ACTIONS(109),
    [anon_sym_indirect] = ACTIONS(111),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_prefix] = ACTIONS(227),
    [anon_sym_infix] = ACTIONS(227),
    [anon_sym_postfix] = ACTIONS(227),
    [anon_sym_AT] = ACTIONS(229),
    [anon_sym_override] = ACTIONS(231),
    [anon_sym_convenience] = ACTIONS(231),
    [anon_sym_required] = ACTIONS(231),
    [anon_sym_nonisolated] = ACTIONS(231),
    [anon_sym_public] = ACTIONS(233),
    [anon_sym_private] = ACTIONS(233),
    [anon_sym_internal] = ACTIONS(233),
    [anon_sym_fileprivate] = ACTIONS(233),
    [anon_sym_open] = ACTIONS(233),
    [anon_sym_mutating] = ACTIONS(235),
    [anon_sym_nonmutating] = ACTIONS(235),
    [anon_sym_static] = ACTIONS(237),
    [anon_sym_dynamic] = ACTIONS(237),
    [anon_sym_optional] = ACTIONS(237),
    [anon_sym_distributed] = ACTIONS(237),
    [anon_sym_final] = ACTIONS(239),
    [anon_sym_inout] = ACTIONS(241),
    [anon_sym_ATescaping] = ACTIONS(243),
    [anon_sym_ATautoclosure] = ACTIONS(243),
    [anon_sym_weak] = ACTIONS(245),
    [anon_sym_unowned] = ACTIONS(245),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(247),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(247),
    [anon_sym_borrowing] = ACTIONS(249),
    [anon_sym_consuming] = ACTIONS(249),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(155),
    [sym__eq_eq_custom] = ACTIONS(155),
    [sym__plus_then_ws] = ACTIONS(155),
    [sym__minus_then_ws] = ACTIONS(155),
    [sym__bang_custom] = ACTIONS(151),
    [sym_default_keyword] = ACTIONS(251),
    [sym__custom_operator] = ACTIONS(57),
  },
  [22] = {
    [sym_simple_identifier] = STATE(2276),
    [sym__contextual_simple_identifier] = STATE(2115),
    [sym__basic_literal] = STATE(1369),
    [sym_boolean_literal] = STATE(1369),
    [sym__string_literal] = STATE(1369),
    [sym_line_string_literal] = STATE(1369),
    [sym_multi_line_string_literal] = STATE(1369),
    [sym_raw_string_literal] = STATE(1369),
    [sym_regex_literal] = STATE(1369),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1369),
    [sym__unary_expression] = STATE(1369),
    [sym_postfix_expression] = STATE(1369),
    [sym_constructor_expression] = STATE(1369),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1369),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1369),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1369),
    [sym_prefix_expression] = STATE(1369),
    [sym_as_expression] = STATE(1369),
    [sym_selector_expression] = STATE(1369),
    [sym__binary_expression] = STATE(1369),
    [sym_multiplicative_expression] = STATE(1369),
    [sym_additive_expression] = STATE(1369),
    [sym_range_expression] = STATE(1369),
    [sym_infix_expression] = STATE(1369),
    [sym_nil_coalescing_expression] = STATE(1369),
    [sym_check_expression] = STATE(1369),
    [sym_comparison_expression] = STATE(1369),
    [sym_equality_expression] = STATE(1369),
    [sym_conjunction_expression] = STATE(1369),
    [sym_disjunction_expression] = STATE(1369),
    [sym_bitwise_operation] = STATE(1369),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1369),
    [sym_await_expression] = STATE(1369),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1369),
    [sym_call_expression] = STATE(1369),
    [sym__primary_expression] = STATE(1369),
    [sym_tuple_expression] = STATE(1369),
    [sym_array_literal] = STATE(1369),
    [sym_dictionary_literal] = STATE(1369),
    [sym__special_literal] = STATE(1369),
    [sym__playground_literal] = STATE(1369),
    [sym_lambda_literal] = STATE(1369),
    [sym_self_expression] = STATE(1369),
    [sym_super_expression] = STATE(1369),
    [sym_if_statement] = STATE(2559),
    [sym_guard_statement] = STATE(6020),
    [sym_switch_statement] = STATE(2559),
    [sym_do_statement] = STATE(6020),
    [sym_key_path_expression] = STATE(1369),
    [sym_key_path_string_expression] = STATE(1369),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1369),
    [sym__equality_operator] = STATE(1369),
    [sym__comparison_operator] = STATE(1369),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1369),
    [sym__multiplicative_operator] = STATE(1369),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym__top_level_statement] = STATE(6020),
    [sym__labeled_statement] = STATE(6020),
    [sym_for_statement] = STATE(6020),
    [sym_while_statement] = STATE(6020),
    [sym_repeat_while_statement] = STATE(6020),
    [sym__throw_statement] = STATE(6020),
    [sym_assignment] = STATE(1369),
    [sym_value_parameter_pack] = STATE(1369),
    [sym_value_pack_expansion] = STATE(1369),
    [sym__global_declaration] = STATE(6020),
    [sym_import_declaration] = STATE(6020),
    [sym_property_declaration] = STATE(6020),
    [sym__modifierless_property_declaration] = STATE(6713),
    [sym_typealias_declaration] = STATE(6020),
    [sym__modifierless_typealias_declaration] = STATE(6322),
    [sym_function_declaration] = STATE(6020),
    [sym__bodyless_function_declaration] = STATE(6668),
    [sym__modifierless_function_declaration_no_body] = STATE(7642),
    [sym_macro_declaration] = STATE(6020),
    [sym__macro_head] = STATE(4924),
    [sym_class_declaration] = STATE(6020),
    [sym__modifierless_class_declaration] = STATE(6665),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__referenceable_operator] = STATE(1369),
    [sym__equal_sign] = STATE(1369),
    [sym__eq_eq] = STATE(1369),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__async_modifier] = STATE(6632),
    [sym_protocol_declaration] = STATE(6020),
    [sym_init_declaration] = STATE(6020),
    [sym_operator_declaration] = STATE(6020),
    [sym_precedence_group_declaration] = STATE(6020),
    [sym_associatedtype_declaration] = STATE(6020),
    [sym_attribute] = STATE(1553),
    [sym_value_binding_pattern] = STATE(3973),
    [sym__possibly_async_binding_pattern_kind] = STATE(3973),
    [sym_modifiers] = STATE(4248),
    [aux_sym__locally_permitted_modifiers] = STATE(1553),
    [sym__non_local_scope_modifier] = STATE(1553),
    [sym__locally_permitted_modifier] = STATE(1553),
    [sym_property_behavior_modifier] = STATE(1553),
    [sym_member_modifier] = STATE(1553),
    [sym_visibility_modifier] = STATE(1553),
    [sym_function_modifier] = STATE(1553),
    [sym_mutation_modifier] = STATE(1553),
    [sym_property_modifier] = STATE(1553),
    [sym_inheritance_modifier] = STATE(1553),
    [sym_parameter_modifier] = STATE(1553),
    [sym_ownership_modifier] = STATE(1553),
    [sym__parameter_ownership_modifier] = STATE(831),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [aux_sym_modifiers_repeat1] = STATE(1553),
    [ts_builtin_sym_end] = ACTIONS(283),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(11),
    [aux_sym_simple_identifier_token2] = ACTIONS(13),
    [aux_sym_simple_identifier_token3] = ACTIONS(13),
    [aux_sym_simple_identifier_token4] = ACTIONS(13),
    [anon_sym_actor] = ACTIONS(15),
    [anon_sym_async] = ACTIONS(17),
    [anon_sym_each] = ACTIONS(19),
    [anon_sym_lazy] = ACTIONS(21),
    [anon_sym_repeat] = ACTIONS(23),
    [anon_sym_package] = ACTIONS(25),
    [anon_sym_nil] = ACTIONS(27),
    [sym_real_literal] = ACTIONS(29),
    [sym_integer_literal] = ACTIONS(27),
    [sym_hex_literal] = ACTIONS(29),
    [sym_oct_literal] = ACTIONS(29),
    [sym_bin_literal] = ACTIONS(29),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(27),
    [anon_sym_GT] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(27),
    [anon_sym_POUNDfileID] = ACTIONS(29),
    [anon_sym_POUNDfilePath] = ACTIONS(29),
    [anon_sym_POUNDline] = ACTIONS(29),
    [anon_sym_POUNDcolumn] = ACTIONS(29),
    [anon_sym_POUNDfunction] = ACTIONS(29),
    [anon_sym_POUNDdsohandle] = ACTIONS(29),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_self] = ACTIONS(65),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_guard] = ACTIONS(69),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(29),
    [anon_sym_DASH_EQ] = ACTIONS(29),
    [anon_sym_STAR_EQ] = ACTIONS(29),
    [anon_sym_SLASH_EQ] = ACTIONS(29),
    [anon_sym_PERCENT_EQ] = ACTIONS(29),
    [anon_sym_BANG_EQ] = ACTIONS(27),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(29),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(29),
    [anon_sym_LT_EQ] = ACTIONS(29),
    [anon_sym_GT_EQ] = ACTIONS(29),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_SLASH] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(27),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_LT_LT] = ACTIONS(29),
    [anon_sym_GT_GT] = ACTIONS(29),
    [sym_statement_label] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [sym_throw_keyword] = ACTIONS(89),
    [anon_sym_import] = ACTIONS(91),
    [anon_sym_typealias] = ACTIONS(93),
    [anon_sym_struct] = ACTIONS(95),
    [anon_sym_class] = ACTIONS(97),
    [anon_sym_enum] = ACTIONS(99),
    [anon_sym_protocol] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_func] = ACTIONS(105),
    [anon_sym_macro] = ACTIONS(107),
    [anon_sym_extension] = ACTIONS(109),
    [anon_sym_indirect] = ACTIONS(111),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_init] = ACTIONS(115),
    [anon_sym_prefix] = ACTIONS(117),
    [anon_sym_infix] = ACTIONS(117),
    [anon_sym_postfix] = ACTIONS(117),
    [anon_sym_precedencegroup] = ACTIONS(119),
    [anon_sym_associatedtype] = ACTIONS(121),
    [anon_sym_AT] = ACTIONS(123),
    [anon_sym_override] = ACTIONS(125),
    [anon_sym_convenience] = ACTIONS(125),
    [anon_sym_required] = ACTIONS(125),
    [anon_sym_nonisolated] = ACTIONS(125),
    [anon_sym_public] = ACTIONS(127),
    [anon_sym_private] = ACTIONS(127),
    [anon_sym_internal] = ACTIONS(127),
    [anon_sym_fileprivate] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(127),
    [anon_sym_mutating] = ACTIONS(129),
    [anon_sym_nonmutating] = ACTIONS(129),
    [anon_sym_static] = ACTIONS(131),
    [anon_sym_dynamic] = ACTIONS(131),
    [anon_sym_optional] = ACTIONS(131),
    [anon_sym_distributed] = ACTIONS(131),
    [anon_sym_final] = ACTIONS(133),
    [anon_sym_inout] = ACTIONS(135),
    [anon_sym_ATescaping] = ACTIONS(137),
    [anon_sym_ATautoclosure] = ACTIONS(137),
    [anon_sym_weak] = ACTIONS(139),
    [anon_sym_unowned] = ACTIONS(139),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(141),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(141),
    [anon_sym_borrowing] = ACTIONS(143),
    [anon_sym_consuming] = ACTIONS(143),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(29),
    [sym__eq_eq_custom] = ACTIONS(29),
    [sym__plus_then_ws] = ACTIONS(29),
    [sym__minus_then_ws] = ACTIONS(29),
    [sym__bang_custom] = ACTIONS(151),
    [sym__custom_operator] = ACTIONS(57),
  },
  [23] = {
    [sym_simple_identifier] = STATE(2276),
    [sym__contextual_simple_identifier] = STATE(2115),
    [sym__basic_literal] = STATE(1369),
    [sym_boolean_literal] = STATE(1369),
    [sym__string_literal] = STATE(1369),
    [sym_line_string_literal] = STATE(1369),
    [sym_multi_line_string_literal] = STATE(1369),
    [sym_raw_string_literal] = STATE(1369),
    [sym_regex_literal] = STATE(1369),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1369),
    [sym__unary_expression] = STATE(1369),
    [sym_postfix_expression] = STATE(1369),
    [sym_constructor_expression] = STATE(1369),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1369),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1369),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1369),
    [sym_prefix_expression] = STATE(1369),
    [sym_as_expression] = STATE(1369),
    [sym_selector_expression] = STATE(1369),
    [sym__binary_expression] = STATE(1369),
    [sym_multiplicative_expression] = STATE(1369),
    [sym_additive_expression] = STATE(1369),
    [sym_range_expression] = STATE(1369),
    [sym_infix_expression] = STATE(1369),
    [sym_nil_coalescing_expression] = STATE(1369),
    [sym_check_expression] = STATE(1369),
    [sym_comparison_expression] = STATE(1369),
    [sym_equality_expression] = STATE(1369),
    [sym_conjunction_expression] = STATE(1369),
    [sym_disjunction_expression] = STATE(1369),
    [sym_bitwise_operation] = STATE(1369),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1369),
    [sym_await_expression] = STATE(1369),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1369),
    [sym_call_expression] = STATE(1369),
    [sym__primary_expression] = STATE(1369),
    [sym_tuple_expression] = STATE(1369),
    [sym_array_literal] = STATE(1369),
    [sym_dictionary_literal] = STATE(1369),
    [sym__special_literal] = STATE(1369),
    [sym__playground_literal] = STATE(1369),
    [sym_lambda_literal] = STATE(1369),
    [sym_self_expression] = STATE(1369),
    [sym_super_expression] = STATE(1369),
    [sym_if_statement] = STATE(2559),
    [sym_guard_statement] = STATE(6545),
    [sym_switch_statement] = STATE(2559),
    [sym_do_statement] = STATE(6545),
    [sym_key_path_expression] = STATE(1369),
    [sym_key_path_string_expression] = STATE(1369),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1369),
    [sym__equality_operator] = STATE(1369),
    [sym__comparison_operator] = STATE(1369),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1369),
    [sym__multiplicative_operator] = STATE(1369),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym__top_level_statement] = STATE(6545),
    [sym__labeled_statement] = STATE(6545),
    [sym_for_statement] = STATE(6545),
    [sym_while_statement] = STATE(6545),
    [sym_repeat_while_statement] = STATE(6545),
    [sym__throw_statement] = STATE(6545),
    [sym_assignment] = STATE(1369),
    [sym_value_parameter_pack] = STATE(1369),
    [sym_value_pack_expansion] = STATE(1369),
    [sym__global_declaration] = STATE(6545),
    [sym_import_declaration] = STATE(6545),
    [sym_property_declaration] = STATE(6545),
    [sym__modifierless_property_declaration] = STATE(6713),
    [sym_typealias_declaration] = STATE(6545),
    [sym__modifierless_typealias_declaration] = STATE(6322),
    [sym_function_declaration] = STATE(6545),
    [sym__bodyless_function_declaration] = STATE(6668),
    [sym__modifierless_function_declaration_no_body] = STATE(7642),
    [sym_macro_declaration] = STATE(6545),
    [sym__macro_head] = STATE(4924),
    [sym_class_declaration] = STATE(6545),
    [sym__modifierless_class_declaration] = STATE(6665),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__referenceable_operator] = STATE(1369),
    [sym__equal_sign] = STATE(1369),
    [sym__eq_eq] = STATE(1369),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__async_modifier] = STATE(6632),
    [sym_protocol_declaration] = STATE(6545),
    [sym_init_declaration] = STATE(6545),
    [sym_operator_declaration] = STATE(6545),
    [sym_precedence_group_declaration] = STATE(6545),
    [sym_associatedtype_declaration] = STATE(6545),
    [sym_attribute] = STATE(1553),
    [sym_value_binding_pattern] = STATE(3973),
    [sym__possibly_async_binding_pattern_kind] = STATE(3973),
    [sym_modifiers] = STATE(4248),
    [aux_sym__locally_permitted_modifiers] = STATE(1553),
    [sym__non_local_scope_modifier] = STATE(1553),
    [sym__locally_permitted_modifier] = STATE(1553),
    [sym_property_behavior_modifier] = STATE(1553),
    [sym_member_modifier] = STATE(1553),
    [sym_visibility_modifier] = STATE(1553),
    [sym_function_modifier] = STATE(1553),
    [sym_mutation_modifier] = STATE(1553),
    [sym_property_modifier] = STATE(1553),
    [sym_inheritance_modifier] = STATE(1553),
    [sym_parameter_modifier] = STATE(1553),
    [sym_ownership_modifier] = STATE(1553),
    [sym__parameter_ownership_modifier] = STATE(831),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [aux_sym_modifiers_repeat1] = STATE(1553),
    [ts_builtin_sym_end] = ACTIONS(285),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(11),
    [aux_sym_simple_identifier_token2] = ACTIONS(13),
    [aux_sym_simple_identifier_token3] = ACTIONS(13),
    [aux_sym_simple_identifier_token4] = ACTIONS(13),
    [anon_sym_actor] = ACTIONS(15),
    [anon_sym_async] = ACTIONS(17),
    [anon_sym_each] = ACTIONS(19),
    [anon_sym_lazy] = ACTIONS(21),
    [anon_sym_repeat] = ACTIONS(23),
    [anon_sym_package] = ACTIONS(25),
    [anon_sym_nil] = ACTIONS(27),
    [sym_real_literal] = ACTIONS(29),
    [sym_integer_literal] = ACTIONS(27),
    [sym_hex_literal] = ACTIONS(29),
    [sym_oct_literal] = ACTIONS(29),
    [sym_bin_literal] = ACTIONS(29),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(27),
    [anon_sym_GT] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(27),
    [anon_sym_POUNDfileID] = ACTIONS(29),
    [anon_sym_POUNDfilePath] = ACTIONS(29),
    [anon_sym_POUNDline] = ACTIONS(29),
    [anon_sym_POUNDcolumn] = ACTIONS(29),
    [anon_sym_POUNDfunction] = ACTIONS(29),
    [anon_sym_POUNDdsohandle] = ACTIONS(29),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_self] = ACTIONS(65),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_guard] = ACTIONS(69),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(29),
    [anon_sym_DASH_EQ] = ACTIONS(29),
    [anon_sym_STAR_EQ] = ACTIONS(29),
    [anon_sym_SLASH_EQ] = ACTIONS(29),
    [anon_sym_PERCENT_EQ] = ACTIONS(29),
    [anon_sym_BANG_EQ] = ACTIONS(27),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(29),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(29),
    [anon_sym_LT_EQ] = ACTIONS(29),
    [anon_sym_GT_EQ] = ACTIONS(29),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_SLASH] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(27),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_LT_LT] = ACTIONS(29),
    [anon_sym_GT_GT] = ACTIONS(29),
    [sym_statement_label] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [sym_throw_keyword] = ACTIONS(89),
    [anon_sym_import] = ACTIONS(91),
    [anon_sym_typealias] = ACTIONS(93),
    [anon_sym_struct] = ACTIONS(95),
    [anon_sym_class] = ACTIONS(97),
    [anon_sym_enum] = ACTIONS(99),
    [anon_sym_protocol] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_func] = ACTIONS(105),
    [anon_sym_macro] = ACTIONS(107),
    [anon_sym_extension] = ACTIONS(109),
    [anon_sym_indirect] = ACTIONS(111),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_init] = ACTIONS(115),
    [anon_sym_prefix] = ACTIONS(117),
    [anon_sym_infix] = ACTIONS(117),
    [anon_sym_postfix] = ACTIONS(117),
    [anon_sym_precedencegroup] = ACTIONS(119),
    [anon_sym_associatedtype] = ACTIONS(121),
    [anon_sym_AT] = ACTIONS(123),
    [anon_sym_override] = ACTIONS(125),
    [anon_sym_convenience] = ACTIONS(125),
    [anon_sym_required] = ACTIONS(125),
    [anon_sym_nonisolated] = ACTIONS(125),
    [anon_sym_public] = ACTIONS(127),
    [anon_sym_private] = ACTIONS(127),
    [anon_sym_internal] = ACTIONS(127),
    [anon_sym_fileprivate] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(127),
    [anon_sym_mutating] = ACTIONS(129),
    [anon_sym_nonmutating] = ACTIONS(129),
    [anon_sym_static] = ACTIONS(131),
    [anon_sym_dynamic] = ACTIONS(131),
    [anon_sym_optional] = ACTIONS(131),
    [anon_sym_distributed] = ACTIONS(131),
    [anon_sym_final] = ACTIONS(133),
    [anon_sym_inout] = ACTIONS(135),
    [anon_sym_ATescaping] = ACTIONS(137),
    [anon_sym_ATautoclosure] = ACTIONS(137),
    [anon_sym_weak] = ACTIONS(139),
    [anon_sym_unowned] = ACTIONS(139),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(141),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(141),
    [anon_sym_borrowing] = ACTIONS(143),
    [anon_sym_consuming] = ACTIONS(143),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(29),
    [sym__eq_eq_custom] = ACTIONS(29),
    [sym__plus_then_ws] = ACTIONS(29),
    [sym__minus_then_ws] = ACTIONS(29),
    [sym__bang_custom] = ACTIONS(151),
    [sym__custom_operator] = ACTIONS(57),
  },
  [24] = {
    [sym_simple_identifier] = STATE(2276),
    [sym__contextual_simple_identifier] = STATE(2115),
    [sym__basic_literal] = STATE(1369),
    [sym_boolean_literal] = STATE(1369),
    [sym__string_literal] = STATE(1369),
    [sym_line_string_literal] = STATE(1369),
    [sym_multi_line_string_literal] = STATE(1369),
    [sym_raw_string_literal] = STATE(1369),
    [sym_regex_literal] = STATE(1369),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1369),
    [sym__unary_expression] = STATE(1369),
    [sym_postfix_expression] = STATE(1369),
    [sym_constructor_expression] = STATE(1369),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1369),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1369),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1369),
    [sym_prefix_expression] = STATE(1369),
    [sym_as_expression] = STATE(1369),
    [sym_selector_expression] = STATE(1369),
    [sym__binary_expression] = STATE(1369),
    [sym_multiplicative_expression] = STATE(1369),
    [sym_additive_expression] = STATE(1369),
    [sym_range_expression] = STATE(1369),
    [sym_infix_expression] = STATE(1369),
    [sym_nil_coalescing_expression] = STATE(1369),
    [sym_check_expression] = STATE(1369),
    [sym_comparison_expression] = STATE(1369),
    [sym_equality_expression] = STATE(1369),
    [sym_conjunction_expression] = STATE(1369),
    [sym_disjunction_expression] = STATE(1369),
    [sym_bitwise_operation] = STATE(1369),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1369),
    [sym_await_expression] = STATE(1369),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1369),
    [sym_call_expression] = STATE(1369),
    [sym__primary_expression] = STATE(1369),
    [sym_tuple_expression] = STATE(1369),
    [sym_array_literal] = STATE(1369),
    [sym_dictionary_literal] = STATE(1369),
    [sym__special_literal] = STATE(1369),
    [sym__playground_literal] = STATE(1369),
    [sym_lambda_literal] = STATE(1369),
    [sym_self_expression] = STATE(1369),
    [sym_super_expression] = STATE(1369),
    [sym_if_statement] = STATE(2559),
    [sym_guard_statement] = STATE(6545),
    [sym_switch_statement] = STATE(2559),
    [sym_do_statement] = STATE(6545),
    [sym_key_path_expression] = STATE(1369),
    [sym_key_path_string_expression] = STATE(1369),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1369),
    [sym__equality_operator] = STATE(1369),
    [sym__comparison_operator] = STATE(1369),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1369),
    [sym__multiplicative_operator] = STATE(1369),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym__top_level_statement] = STATE(6545),
    [sym__labeled_statement] = STATE(6545),
    [sym_for_statement] = STATE(6545),
    [sym_while_statement] = STATE(6545),
    [sym_repeat_while_statement] = STATE(6545),
    [sym__throw_statement] = STATE(6545),
    [sym_assignment] = STATE(1369),
    [sym_value_parameter_pack] = STATE(1369),
    [sym_value_pack_expansion] = STATE(1369),
    [sym__global_declaration] = STATE(6545),
    [sym_import_declaration] = STATE(6545),
    [sym_property_declaration] = STATE(6545),
    [sym__modifierless_property_declaration] = STATE(6713),
    [sym_typealias_declaration] = STATE(6545),
    [sym__modifierless_typealias_declaration] = STATE(6322),
    [sym_function_declaration] = STATE(6545),
    [sym__bodyless_function_declaration] = STATE(6668),
    [sym__modifierless_function_declaration_no_body] = STATE(7642),
    [sym_macro_declaration] = STATE(6545),
    [sym__macro_head] = STATE(4924),
    [sym_class_declaration] = STATE(6545),
    [sym__modifierless_class_declaration] = STATE(6665),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__referenceable_operator] = STATE(1369),
    [sym__equal_sign] = STATE(1369),
    [sym__eq_eq] = STATE(1369),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__async_modifier] = STATE(6632),
    [sym_protocol_declaration] = STATE(6545),
    [sym_init_declaration] = STATE(6545),
    [sym_operator_declaration] = STATE(6545),
    [sym_precedence_group_declaration] = STATE(6545),
    [sym_associatedtype_declaration] = STATE(6545),
    [sym_attribute] = STATE(1553),
    [sym_value_binding_pattern] = STATE(3973),
    [sym__possibly_async_binding_pattern_kind] = STATE(3973),
    [sym_modifiers] = STATE(4248),
    [aux_sym__locally_permitted_modifiers] = STATE(1553),
    [sym__non_local_scope_modifier] = STATE(1553),
    [sym__locally_permitted_modifier] = STATE(1553),
    [sym_property_behavior_modifier] = STATE(1553),
    [sym_member_modifier] = STATE(1553),
    [sym_visibility_modifier] = STATE(1553),
    [sym_function_modifier] = STATE(1553),
    [sym_mutation_modifier] = STATE(1553),
    [sym_property_modifier] = STATE(1553),
    [sym_inheritance_modifier] = STATE(1553),
    [sym_parameter_modifier] = STATE(1553),
    [sym_ownership_modifier] = STATE(1553),
    [sym__parameter_ownership_modifier] = STATE(831),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [aux_sym_modifiers_repeat1] = STATE(1553),
    [ts_builtin_sym_end] = ACTIONS(287),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(11),
    [aux_sym_simple_identifier_token2] = ACTIONS(13),
    [aux_sym_simple_identifier_token3] = ACTIONS(13),
    [aux_sym_simple_identifier_token4] = ACTIONS(13),
    [anon_sym_actor] = ACTIONS(15),
    [anon_sym_async] = ACTIONS(17),
    [anon_sym_each] = ACTIONS(19),
    [anon_sym_lazy] = ACTIONS(21),
    [anon_sym_repeat] = ACTIONS(23),
    [anon_sym_package] = ACTIONS(25),
    [anon_sym_nil] = ACTIONS(27),
    [sym_real_literal] = ACTIONS(29),
    [sym_integer_literal] = ACTIONS(27),
    [sym_hex_literal] = ACTIONS(29),
    [sym_oct_literal] = ACTIONS(29),
    [sym_bin_literal] = ACTIONS(29),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(27),
    [anon_sym_GT] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(27),
    [anon_sym_POUNDfileID] = ACTIONS(29),
    [anon_sym_POUNDfilePath] = ACTIONS(29),
    [anon_sym_POUNDline] = ACTIONS(29),
    [anon_sym_POUNDcolumn] = ACTIONS(29),
    [anon_sym_POUNDfunction] = ACTIONS(29),
    [anon_sym_POUNDdsohandle] = ACTIONS(29),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_self] = ACTIONS(65),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_guard] = ACTIONS(69),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(29),
    [anon_sym_DASH_EQ] = ACTIONS(29),
    [anon_sym_STAR_EQ] = ACTIONS(29),
    [anon_sym_SLASH_EQ] = ACTIONS(29),
    [anon_sym_PERCENT_EQ] = ACTIONS(29),
    [anon_sym_BANG_EQ] = ACTIONS(27),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(29),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(29),
    [anon_sym_LT_EQ] = ACTIONS(29),
    [anon_sym_GT_EQ] = ACTIONS(29),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_SLASH] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(27),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_LT_LT] = ACTIONS(29),
    [anon_sym_GT_GT] = ACTIONS(29),
    [sym_statement_label] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [sym_throw_keyword] = ACTIONS(89),
    [anon_sym_import] = ACTIONS(91),
    [anon_sym_typealias] = ACTIONS(93),
    [anon_sym_struct] = ACTIONS(95),
    [anon_sym_class] = ACTIONS(97),
    [anon_sym_enum] = ACTIONS(99),
    [anon_sym_protocol] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_func] = ACTIONS(105),
    [anon_sym_macro] = ACTIONS(107),
    [anon_sym_extension] = ACTIONS(109),
    [anon_sym_indirect] = ACTIONS(111),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_init] = ACTIONS(115),
    [anon_sym_prefix] = ACTIONS(117),
    [anon_sym_infix] = ACTIONS(117),
    [anon_sym_postfix] = ACTIONS(117),
    [anon_sym_precedencegroup] = ACTIONS(119),
    [anon_sym_associatedtype] = ACTIONS(121),
    [anon_sym_AT] = ACTIONS(123),
    [anon_sym_override] = ACTIONS(125),
    [anon_sym_convenience] = ACTIONS(125),
    [anon_sym_required] = ACTIONS(125),
    [anon_sym_nonisolated] = ACTIONS(125),
    [anon_sym_public] = ACTIONS(127),
    [anon_sym_private] = ACTIONS(127),
    [anon_sym_internal] = ACTIONS(127),
    [anon_sym_fileprivate] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(127),
    [anon_sym_mutating] = ACTIONS(129),
    [anon_sym_nonmutating] = ACTIONS(129),
    [anon_sym_static] = ACTIONS(131),
    [anon_sym_dynamic] = ACTIONS(131),
    [anon_sym_optional] = ACTIONS(131),
    [anon_sym_distributed] = ACTIONS(131),
    [anon_sym_final] = ACTIONS(133),
    [anon_sym_inout] = ACTIONS(135),
    [anon_sym_ATescaping] = ACTIONS(137),
    [anon_sym_ATautoclosure] = ACTIONS(137),
    [anon_sym_weak] = ACTIONS(139),
    [anon_sym_unowned] = ACTIONS(139),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(141),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(141),
    [anon_sym_borrowing] = ACTIONS(143),
    [anon_sym_consuming] = ACTIONS(143),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(29),
    [sym__eq_eq_custom] = ACTIONS(29),
    [sym__plus_then_ws] = ACTIONS(29),
    [sym__minus_then_ws] = ACTIONS(29),
    [sym__bang_custom] = ACTIONS(151),
    [sym__custom_operator] = ACTIONS(57),
  },
  [25] = {
    [sym_simple_identifier] = STATE(2276),
    [sym__contextual_simple_identifier] = STATE(2115),
    [sym__basic_literal] = STATE(1369),
    [sym_boolean_literal] = STATE(1369),
    [sym__string_literal] = STATE(1369),
    [sym_line_string_literal] = STATE(1369),
    [sym_multi_line_string_literal] = STATE(1369),
    [sym_raw_string_literal] = STATE(1369),
    [sym_regex_literal] = STATE(1369),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1369),
    [sym__unary_expression] = STATE(1369),
    [sym_postfix_expression] = STATE(1369),
    [sym_constructor_expression] = STATE(1369),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1369),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1369),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1369),
    [sym_prefix_expression] = STATE(1369),
    [sym_as_expression] = STATE(1369),
    [sym_selector_expression] = STATE(1369),
    [sym__binary_expression] = STATE(1369),
    [sym_multiplicative_expression] = STATE(1369),
    [sym_additive_expression] = STATE(1369),
    [sym_range_expression] = STATE(1369),
    [sym_infix_expression] = STATE(1369),
    [sym_nil_coalescing_expression] = STATE(1369),
    [sym_check_expression] = STATE(1369),
    [sym_comparison_expression] = STATE(1369),
    [sym_equality_expression] = STATE(1369),
    [sym_conjunction_expression] = STATE(1369),
    [sym_disjunction_expression] = STATE(1369),
    [sym_bitwise_operation] = STATE(1369),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1369),
    [sym_await_expression] = STATE(1369),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1369),
    [sym_call_expression] = STATE(1369),
    [sym__primary_expression] = STATE(1369),
    [sym_tuple_expression] = STATE(1369),
    [sym_array_literal] = STATE(1369),
    [sym_dictionary_literal] = STATE(1369),
    [sym__special_literal] = STATE(1369),
    [sym__playground_literal] = STATE(1369),
    [sym_lambda_literal] = STATE(1369),
    [sym_self_expression] = STATE(1369),
    [sym_super_expression] = STATE(1369),
    [sym_if_statement] = STATE(2559),
    [sym_guard_statement] = STATE(6545),
    [sym_switch_statement] = STATE(2559),
    [sym_do_statement] = STATE(6545),
    [sym_key_path_expression] = STATE(1369),
    [sym_key_path_string_expression] = STATE(1369),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1369),
    [sym__equality_operator] = STATE(1369),
    [sym__comparison_operator] = STATE(1369),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1369),
    [sym__multiplicative_operator] = STATE(1369),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym__top_level_statement] = STATE(6545),
    [sym__labeled_statement] = STATE(6545),
    [sym_for_statement] = STATE(6545),
    [sym_while_statement] = STATE(6545),
    [sym_repeat_while_statement] = STATE(6545),
    [sym__throw_statement] = STATE(6545),
    [sym_assignment] = STATE(1369),
    [sym_value_parameter_pack] = STATE(1369),
    [sym_value_pack_expansion] = STATE(1369),
    [sym__global_declaration] = STATE(6545),
    [sym_import_declaration] = STATE(6545),
    [sym_property_declaration] = STATE(6545),
    [sym__modifierless_property_declaration] = STATE(6713),
    [sym_typealias_declaration] = STATE(6545),
    [sym__modifierless_typealias_declaration] = STATE(6322),
    [sym_function_declaration] = STATE(6545),
    [sym__bodyless_function_declaration] = STATE(6668),
    [sym__modifierless_function_declaration_no_body] = STATE(7642),
    [sym_macro_declaration] = STATE(6545),
    [sym__macro_head] = STATE(4924),
    [sym_class_declaration] = STATE(6545),
    [sym__modifierless_class_declaration] = STATE(6665),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__referenceable_operator] = STATE(1369),
    [sym__equal_sign] = STATE(1369),
    [sym__eq_eq] = STATE(1369),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__async_modifier] = STATE(6632),
    [sym_protocol_declaration] = STATE(6545),
    [sym_init_declaration] = STATE(6545),
    [sym_operator_declaration] = STATE(6545),
    [sym_precedence_group_declaration] = STATE(6545),
    [sym_associatedtype_declaration] = STATE(6545),
    [sym_attribute] = STATE(1553),
    [sym_value_binding_pattern] = STATE(3973),
    [sym__possibly_async_binding_pattern_kind] = STATE(3973),
    [sym_modifiers] = STATE(4248),
    [aux_sym__locally_permitted_modifiers] = STATE(1553),
    [sym__non_local_scope_modifier] = STATE(1553),
    [sym__locally_permitted_modifier] = STATE(1553),
    [sym_property_behavior_modifier] = STATE(1553),
    [sym_member_modifier] = STATE(1553),
    [sym_visibility_modifier] = STATE(1553),
    [sym_function_modifier] = STATE(1553),
    [sym_mutation_modifier] = STATE(1553),
    [sym_property_modifier] = STATE(1553),
    [sym_inheritance_modifier] = STATE(1553),
    [sym_parameter_modifier] = STATE(1553),
    [sym_ownership_modifier] = STATE(1553),
    [sym__parameter_ownership_modifier] = STATE(831),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [aux_sym_modifiers_repeat1] = STATE(1553),
    [ts_builtin_sym_end] = ACTIONS(289),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(11),
    [aux_sym_simple_identifier_token2] = ACTIONS(13),
    [aux_sym_simple_identifier_token3] = ACTIONS(13),
    [aux_sym_simple_identifier_token4] = ACTIONS(13),
    [anon_sym_actor] = ACTIONS(15),
    [anon_sym_async] = ACTIONS(17),
    [anon_sym_each] = ACTIONS(19),
    [anon_sym_lazy] = ACTIONS(21),
    [anon_sym_repeat] = ACTIONS(23),
    [anon_sym_package] = ACTIONS(25),
    [anon_sym_nil] = ACTIONS(27),
    [sym_real_literal] = ACTIONS(29),
    [sym_integer_literal] = ACTIONS(27),
    [sym_hex_literal] = ACTIONS(29),
    [sym_oct_literal] = ACTIONS(29),
    [sym_bin_literal] = ACTIONS(29),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(27),
    [anon_sym_GT] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(27),
    [anon_sym_POUNDfileID] = ACTIONS(29),
    [anon_sym_POUNDfilePath] = ACTIONS(29),
    [anon_sym_POUNDline] = ACTIONS(29),
    [anon_sym_POUNDcolumn] = ACTIONS(29),
    [anon_sym_POUNDfunction] = ACTIONS(29),
    [anon_sym_POUNDdsohandle] = ACTIONS(29),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_self] = ACTIONS(65),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_guard] = ACTIONS(69),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(29),
    [anon_sym_DASH_EQ] = ACTIONS(29),
    [anon_sym_STAR_EQ] = ACTIONS(29),
    [anon_sym_SLASH_EQ] = ACTIONS(29),
    [anon_sym_PERCENT_EQ] = ACTIONS(29),
    [anon_sym_BANG_EQ] = ACTIONS(27),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(29),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(29),
    [anon_sym_LT_EQ] = ACTIONS(29),
    [anon_sym_GT_EQ] = ACTIONS(29),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_SLASH] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(27),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_LT_LT] = ACTIONS(29),
    [anon_sym_GT_GT] = ACTIONS(29),
    [sym_statement_label] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [sym_throw_keyword] = ACTIONS(89),
    [anon_sym_import] = ACTIONS(91),
    [anon_sym_typealias] = ACTIONS(93),
    [anon_sym_struct] = ACTIONS(95),
    [anon_sym_class] = ACTIONS(97),
    [anon_sym_enum] = ACTIONS(99),
    [anon_sym_protocol] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_func] = ACTIONS(105),
    [anon_sym_macro] = ACTIONS(107),
    [anon_sym_extension] = ACTIONS(109),
    [anon_sym_indirect] = ACTIONS(111),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_init] = ACTIONS(115),
    [anon_sym_prefix] = ACTIONS(117),
    [anon_sym_infix] = ACTIONS(117),
    [anon_sym_postfix] = ACTIONS(117),
    [anon_sym_precedencegroup] = ACTIONS(119),
    [anon_sym_associatedtype] = ACTIONS(121),
    [anon_sym_AT] = ACTIONS(123),
    [anon_sym_override] = ACTIONS(125),
    [anon_sym_convenience] = ACTIONS(125),
    [anon_sym_required] = ACTIONS(125),
    [anon_sym_nonisolated] = ACTIONS(125),
    [anon_sym_public] = ACTIONS(127),
    [anon_sym_private] = ACTIONS(127),
    [anon_sym_internal] = ACTIONS(127),
    [anon_sym_fileprivate] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(127),
    [anon_sym_mutating] = ACTIONS(129),
    [anon_sym_nonmutating] = ACTIONS(129),
    [anon_sym_static] = ACTIONS(131),
    [anon_sym_dynamic] = ACTIONS(131),
    [anon_sym_optional] = ACTIONS(131),
    [anon_sym_distributed] = ACTIONS(131),
    [anon_sym_final] = ACTIONS(133),
    [anon_sym_inout] = ACTIONS(135),
    [anon_sym_ATescaping] = ACTIONS(137),
    [anon_sym_ATautoclosure] = ACTIONS(137),
    [anon_sym_weak] = ACTIONS(139),
    [anon_sym_unowned] = ACTIONS(139),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(141),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(141),
    [anon_sym_borrowing] = ACTIONS(143),
    [anon_sym_consuming] = ACTIONS(143),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(29),
    [sym__eq_eq_custom] = ACTIONS(29),
    [sym__plus_then_ws] = ACTIONS(29),
    [sym__minus_then_ws] = ACTIONS(29),
    [sym__bang_custom] = ACTIONS(151),
    [sym__custom_operator] = ACTIONS(57),
  },
  [26] = {
    [sym_simple_identifier] = STATE(2276),
    [sym__contextual_simple_identifier] = STATE(2115),
    [sym__basic_literal] = STATE(1369),
    [sym_boolean_literal] = STATE(1369),
    [sym__string_literal] = STATE(1369),
    [sym_line_string_literal] = STATE(1369),
    [sym_multi_line_string_literal] = STATE(1369),
    [sym_raw_string_literal] = STATE(1369),
    [sym_regex_literal] = STATE(1369),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1369),
    [sym__unary_expression] = STATE(1369),
    [sym_postfix_expression] = STATE(1369),
    [sym_constructor_expression] = STATE(1369),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1369),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1369),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1369),
    [sym_prefix_expression] = STATE(1369),
    [sym_as_expression] = STATE(1369),
    [sym_selector_expression] = STATE(1369),
    [sym__binary_expression] = STATE(1369),
    [sym_multiplicative_expression] = STATE(1369),
    [sym_additive_expression] = STATE(1369),
    [sym_range_expression] = STATE(1369),
    [sym_infix_expression] = STATE(1369),
    [sym_nil_coalescing_expression] = STATE(1369),
    [sym_check_expression] = STATE(1369),
    [sym_comparison_expression] = STATE(1369),
    [sym_equality_expression] = STATE(1369),
    [sym_conjunction_expression] = STATE(1369),
    [sym_disjunction_expression] = STATE(1369),
    [sym_bitwise_operation] = STATE(1369),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1369),
    [sym_await_expression] = STATE(1369),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1369),
    [sym_call_expression] = STATE(1369),
    [sym__primary_expression] = STATE(1369),
    [sym_tuple_expression] = STATE(1369),
    [sym_array_literal] = STATE(1369),
    [sym_dictionary_literal] = STATE(1369),
    [sym__special_literal] = STATE(1369),
    [sym__playground_literal] = STATE(1369),
    [sym_lambda_literal] = STATE(1369),
    [sym_self_expression] = STATE(1369),
    [sym_super_expression] = STATE(1369),
    [sym_if_statement] = STATE(2559),
    [sym_guard_statement] = STATE(6545),
    [sym_switch_statement] = STATE(2559),
    [sym_do_statement] = STATE(6545),
    [sym_key_path_expression] = STATE(1369),
    [sym_key_path_string_expression] = STATE(1369),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1369),
    [sym__equality_operator] = STATE(1369),
    [sym__comparison_operator] = STATE(1369),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1369),
    [sym__multiplicative_operator] = STATE(1369),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym__top_level_statement] = STATE(6545),
    [sym__labeled_statement] = STATE(6545),
    [sym_for_statement] = STATE(6545),
    [sym_while_statement] = STATE(6545),
    [sym_repeat_while_statement] = STATE(6545),
    [sym__throw_statement] = STATE(6545),
    [sym_assignment] = STATE(1369),
    [sym_value_parameter_pack] = STATE(1369),
    [sym_value_pack_expansion] = STATE(1369),
    [sym__global_declaration] = STATE(6545),
    [sym_import_declaration] = STATE(6545),
    [sym_property_declaration] = STATE(6545),
    [sym__modifierless_property_declaration] = STATE(6713),
    [sym_typealias_declaration] = STATE(6545),
    [sym__modifierless_typealias_declaration] = STATE(6322),
    [sym_function_declaration] = STATE(6545),
    [sym__bodyless_function_declaration] = STATE(6668),
    [sym__modifierless_function_declaration_no_body] = STATE(7642),
    [sym_macro_declaration] = STATE(6545),
    [sym__macro_head] = STATE(4924),
    [sym_class_declaration] = STATE(6545),
    [sym__modifierless_class_declaration] = STATE(6665),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__referenceable_operator] = STATE(1369),
    [sym__equal_sign] = STATE(1369),
    [sym__eq_eq] = STATE(1369),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__async_modifier] = STATE(6632),
    [sym_protocol_declaration] = STATE(6545),
    [sym_init_declaration] = STATE(6545),
    [sym_operator_declaration] = STATE(6545),
    [sym_precedence_group_declaration] = STATE(6545),
    [sym_associatedtype_declaration] = STATE(6545),
    [sym_attribute] = STATE(1553),
    [sym_value_binding_pattern] = STATE(3973),
    [sym__possibly_async_binding_pattern_kind] = STATE(3973),
    [sym_modifiers] = STATE(4248),
    [aux_sym__locally_permitted_modifiers] = STATE(1553),
    [sym__non_local_scope_modifier] = STATE(1553),
    [sym__locally_permitted_modifier] = STATE(1553),
    [sym_property_behavior_modifier] = STATE(1553),
    [sym_member_modifier] = STATE(1553),
    [sym_visibility_modifier] = STATE(1553),
    [sym_function_modifier] = STATE(1553),
    [sym_mutation_modifier] = STATE(1553),
    [sym_property_modifier] = STATE(1553),
    [sym_inheritance_modifier] = STATE(1553),
    [sym_parameter_modifier] = STATE(1553),
    [sym_ownership_modifier] = STATE(1553),
    [sym__parameter_ownership_modifier] = STATE(831),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [aux_sym_modifiers_repeat1] = STATE(1553),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(11),
    [aux_sym_simple_identifier_token2] = ACTIONS(13),
    [aux_sym_simple_identifier_token3] = ACTIONS(13),
    [aux_sym_simple_identifier_token4] = ACTIONS(13),
    [anon_sym_actor] = ACTIONS(15),
    [anon_sym_async] = ACTIONS(17),
    [anon_sym_each] = ACTIONS(19),
    [anon_sym_lazy] = ACTIONS(21),
    [anon_sym_repeat] = ACTIONS(23),
    [anon_sym_package] = ACTIONS(25),
    [anon_sym_nil] = ACTIONS(27),
    [sym_real_literal] = ACTIONS(29),
    [sym_integer_literal] = ACTIONS(27),
    [sym_hex_literal] = ACTIONS(29),
    [sym_oct_literal] = ACTIONS(29),
    [sym_bin_literal] = ACTIONS(29),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(27),
    [anon_sym_GT] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(27),
    [anon_sym_POUNDfileID] = ACTIONS(29),
    [anon_sym_POUNDfilePath] = ACTIONS(29),
    [anon_sym_POUNDline] = ACTIONS(29),
    [anon_sym_POUNDcolumn] = ACTIONS(29),
    [anon_sym_POUNDfunction] = ACTIONS(29),
    [anon_sym_POUNDdsohandle] = ACTIONS(29),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_self] = ACTIONS(65),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_guard] = ACTIONS(69),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(29),
    [anon_sym_DASH_EQ] = ACTIONS(29),
    [anon_sym_STAR_EQ] = ACTIONS(29),
    [anon_sym_SLASH_EQ] = ACTIONS(29),
    [anon_sym_PERCENT_EQ] = ACTIONS(29),
    [anon_sym_BANG_EQ] = ACTIONS(27),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(29),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(29),
    [anon_sym_LT_EQ] = ACTIONS(29),
    [anon_sym_GT_EQ] = ACTIONS(29),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_SLASH] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(27),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_LT_LT] = ACTIONS(29),
    [anon_sym_GT_GT] = ACTIONS(29),
    [sym_statement_label] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [sym_throw_keyword] = ACTIONS(89),
    [anon_sym_import] = ACTIONS(91),
    [anon_sym_typealias] = ACTIONS(93),
    [anon_sym_struct] = ACTIONS(95),
    [anon_sym_class] = ACTIONS(97),
    [anon_sym_enum] = ACTIONS(99),
    [anon_sym_protocol] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_func] = ACTIONS(105),
    [anon_sym_macro] = ACTIONS(107),
    [anon_sym_extension] = ACTIONS(109),
    [anon_sym_indirect] = ACTIONS(111),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_init] = ACTIONS(115),
    [anon_sym_prefix] = ACTIONS(117),
    [anon_sym_infix] = ACTIONS(117),
    [anon_sym_postfix] = ACTIONS(117),
    [anon_sym_precedencegroup] = ACTIONS(119),
    [anon_sym_associatedtype] = ACTIONS(121),
    [anon_sym_AT] = ACTIONS(123),
    [anon_sym_override] = ACTIONS(125),
    [anon_sym_convenience] = ACTIONS(125),
    [anon_sym_required] = ACTIONS(125),
    [anon_sym_nonisolated] = ACTIONS(125),
    [anon_sym_public] = ACTIONS(127),
    [anon_sym_private] = ACTIONS(127),
    [anon_sym_internal] = ACTIONS(127),
    [anon_sym_fileprivate] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(127),
    [anon_sym_mutating] = ACTIONS(129),
    [anon_sym_nonmutating] = ACTIONS(129),
    [anon_sym_static] = ACTIONS(131),
    [anon_sym_dynamic] = ACTIONS(131),
    [anon_sym_optional] = ACTIONS(131),
    [anon_sym_distributed] = ACTIONS(131),
    [anon_sym_final] = ACTIONS(133),
    [anon_sym_inout] = ACTIONS(135),
    [anon_sym_ATescaping] = ACTIONS(137),
    [anon_sym_ATautoclosure] = ACTIONS(137),
    [anon_sym_weak] = ACTIONS(139),
    [anon_sym_unowned] = ACTIONS(139),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(141),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(141),
    [anon_sym_borrowing] = ACTIONS(143),
    [anon_sym_consuming] = ACTIONS(143),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(29),
    [sym__eq_eq_custom] = ACTIONS(29),
    [sym__plus_then_ws] = ACTIONS(29),
    [sym__minus_then_ws] = ACTIONS(29),
    [sym__bang_custom] = ACTIONS(151),
    [sym__custom_operator] = ACTIONS(57),
  },
  [27] = {
    [sym_simple_identifier] = STATE(1141),
    [sym__contextual_simple_identifier] = STATE(1051),
    [sym__basic_literal] = STATE(671),
    [sym_boolean_literal] = STATE(671),
    [sym__string_literal] = STATE(671),
    [sym_line_string_literal] = STATE(671),
    [sym_multi_line_string_literal] = STATE(671),
    [sym_raw_string_literal] = STATE(671),
    [sym_regex_literal] = STATE(671),
    [sym__multiline_regex_literal] = STATE(1215),
    [sym_user_type] = STATE(5510),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5510),
    [sym_dictionary_type] = STATE(5510),
    [sym__expression] = STATE(671),
    [sym__unary_expression] = STATE(671),
    [sym_postfix_expression] = STATE(671),
    [sym_constructor_expression] = STATE(671),
    [sym__parenthesized_type] = STATE(6558),
    [sym_navigation_expression] = STATE(671),
    [sym__navigable_type_expression] = STATE(6557),
    [sym_open_start_range_expression] = STATE(671),
    [sym__range_operator] = STATE(523),
    [sym_open_end_range_expression] = STATE(671),
    [sym_prefix_expression] = STATE(671),
    [sym_as_expression] = STATE(671),
    [sym_selector_expression] = STATE(671),
    [sym__binary_expression] = STATE(671),
    [sym_multiplicative_expression] = STATE(671),
    [sym_additive_expression] = STATE(671),
    [sym_range_expression] = STATE(671),
    [sym_infix_expression] = STATE(671),
    [sym_nil_coalescing_expression] = STATE(671),
    [sym_check_expression] = STATE(671),
    [sym_comparison_expression] = STATE(671),
    [sym_equality_expression] = STATE(671),
    [sym_conjunction_expression] = STATE(671),
    [sym_disjunction_expression] = STATE(671),
    [sym_bitwise_operation] = STATE(671),
    [sym_custom_operator] = STATE(628),
    [sym_try_expression] = STATE(671),
    [sym_await_expression] = STATE(671),
    [sym__await_operator] = STATE(518),
    [sym_ternary_expression] = STATE(671),
    [sym_call_expression] = STATE(671),
    [sym__primary_expression] = STATE(671),
    [sym_tuple_expression] = STATE(671),
    [sym_array_literal] = STATE(671),
    [sym_dictionary_literal] = STATE(671),
    [sym__special_literal] = STATE(671),
    [sym__playground_literal] = STATE(671),
    [sym_lambda_literal] = STATE(671),
    [sym_self_expression] = STATE(671),
    [sym_super_expression] = STATE(671),
    [sym_if_statement] = STATE(1244),
    [sym_guard_statement] = STATE(3922),
    [sym_switch_statement] = STATE(1244),
    [sym_do_statement] = STATE(3922),
    [sym_key_path_expression] = STATE(671),
    [sym_key_path_string_expression] = STATE(671),
    [sym_try_operator] = STATE(515),
    [sym__assignment_and_operator] = STATE(671),
    [sym__equality_operator] = STATE(671),
    [sym__comparison_operator] = STATE(671),
    [sym__three_dot_operator] = STATE(625),
    [sym__open_ended_range_operator] = STATE(523),
    [sym__additive_operator] = STATE(671),
    [sym__multiplicative_operator] = STATE(671),
    [sym__prefix_unary_operator] = STATE(509),
    [sym_directly_assignable_expression] = STATE(5511),
    [sym__local_statement] = STATE(3922),
    [sym__labeled_statement] = STATE(3922),
    [sym_for_statement] = STATE(3922),
    [sym_while_statement] = STATE(3922),
    [sym_repeat_while_statement] = STATE(3922),
    [sym_control_transfer_statement] = STATE(3922),
    [sym__throw_statement] = STATE(3902),
    [sym__optionally_valueful_control_keyword] = STATE(124),
    [sym_assignment] = STATE(671),
    [sym_value_parameter_pack] = STATE(671),
    [sym_value_pack_expansion] = STATE(671),
    [sym__local_declaration] = STATE(3922),
    [sym__local_property_declaration] = STATE(3927),
    [sym__local_typealias_declaration] = STATE(3917),
    [sym__local_function_declaration] = STATE(3924),
    [sym__local_class_declaration] = STATE(3931),
    [sym__modifierless_property_declaration] = STATE(3926),
    [sym__modifierless_typealias_declaration] = STATE(3959),
    [sym__modifierless_function_declaration] = STATE(3958),
    [sym__modifierless_function_declaration_no_body] = STATE(6699),
    [sym__modifierless_class_declaration] = STATE(3957),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__referenceable_operator] = STATE(671),
    [sym__equal_sign] = STATE(671),
    [sym__eq_eq] = STATE(671),
    [sym__dot] = STATE(509),
    [sym_bang] = STATE(628),
    [sym__async_modifier] = STATE(6632),
    [sym_attribute] = STATE(4187),
    [sym_value_binding_pattern] = STATE(3979),
    [sym__possibly_async_binding_pattern_kind] = STATE(3979),
    [aux_sym__locally_permitted_modifiers] = STATE(4187),
    [sym__locally_permitted_modifier] = STATE(4187),
    [sym_property_behavior_modifier] = STATE(4187),
    [sym_inheritance_modifier] = STATE(4187),
    [sym_ownership_modifier] = STATE(4187),
    [sym__parameter_ownership_modifier] = STATE(1051),
    [aux_sym_raw_string_literal_repeat1] = STATE(6487),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(291),
    [aux_sym_simple_identifier_token2] = ACTIONS(293),
    [aux_sym_simple_identifier_token3] = ACTIONS(293),
    [aux_sym_simple_identifier_token4] = ACTIONS(293),
    [anon_sym_actor] = ACTIONS(295),
    [anon_sym_async] = ACTIONS(297),
    [anon_sym_each] = ACTIONS(299),
    [anon_sym_lazy] = ACTIONS(301),
    [anon_sym_repeat] = ACTIONS(303),
    [anon_sym_package] = ACTIONS(301),
    [anon_sym_nil] = ACTIONS(305),
    [sym_real_literal] = ACTIONS(307),
    [sym_integer_literal] = ACTIONS(305),
    [sym_hex_literal] = ACTIONS(307),
    [sym_oct_literal] = ACTIONS(307),
    [sym_bin_literal] = ACTIONS(307),
    [anon_sym_true] = ACTIONS(309),
    [anon_sym_false] = ACTIONS(309),
    [anon_sym_DQUOTE] = ACTIONS(311),
    [anon_sym_BSLASH] = ACTIONS(313),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(315),
    [sym__extended_regex_literal] = ACTIONS(317),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(319),
    [sym__oneline_regex_literal] = ACTIONS(321),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_LBRACK] = ACTIONS(325),
    [anon_sym_AMP] = ACTIONS(327),
    [anon_sym_if] = ACTIONS(329),
    [anon_sym_switch] = ACTIONS(331),
    [anon_sym_POUNDselector] = ACTIONS(333),
    [aux_sym_custom_operator_token1] = ACTIONS(335),
    [anon_sym_LT] = ACTIONS(305),
    [anon_sym_GT] = ACTIONS(305),
    [anon_sym_await] = ACTIONS(337),
    [anon_sym_POUNDfile] = ACTIONS(305),
    [anon_sym_POUNDfileID] = ACTIONS(307),
    [anon_sym_POUNDfilePath] = ACTIONS(307),
    [anon_sym_POUNDline] = ACTIONS(307),
    [anon_sym_POUNDcolumn] = ACTIONS(307),
    [anon_sym_POUNDfunction] = ACTIONS(307),
    [anon_sym_POUNDdsohandle] = ACTIONS(307),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(339),
    [anon_sym_POUNDfileLiteral] = ACTIONS(339),
    [anon_sym_POUNDimageLiteral] = ACTIONS(339),
    [anon_sym_LBRACE] = ACTIONS(341),
    [anon_sym_CARET_LBRACE] = ACTIONS(341),
    [anon_sym_RBRACE] = ACTIONS(343),
    [anon_sym_self] = ACTIONS(345),
    [anon_sym_super] = ACTIONS(347),
    [anon_sym_guard] = ACTIONS(349),
    [anon_sym_case] = ACTIONS(301),
    [anon_sym_fallthrough] = ACTIONS(301),
    [anon_sym_do] = ACTIONS(351),
    [anon_sym_POUNDkeyPath] = ACTIONS(353),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(307),
    [anon_sym_DASH_EQ] = ACTIONS(307),
    [anon_sym_STAR_EQ] = ACTIONS(307),
    [anon_sym_SLASH_EQ] = ACTIONS(307),
    [anon_sym_PERCENT_EQ] = ACTIONS(307),
    [anon_sym_BANG_EQ] = ACTIONS(305),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(307),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(307),
    [anon_sym_LT_EQ] = ACTIONS(307),
    [anon_sym_GT_EQ] = ACTIONS(307),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(355),
    [anon_sym_DOT_DOT_LT] = ACTIONS(357),
    [anon_sym_PLUS] = ACTIONS(359),
    [anon_sym_DASH] = ACTIONS(359),
    [anon_sym_STAR] = ACTIONS(305),
    [anon_sym_SLASH] = ACTIONS(305),
    [anon_sym_PERCENT] = ACTIONS(305),
    [anon_sym_PLUS_PLUS] = ACTIONS(327),
    [anon_sym_DASH_DASH] = ACTIONS(327),
    [anon_sym_TILDE] = ACTIONS(327),
    [anon_sym_PIPE] = ACTIONS(307),
    [anon_sym_CARET] = ACTIONS(305),
    [anon_sym_LT_LT] = ACTIONS(307),
    [anon_sym_GT_GT] = ACTIONS(307),
    [sym_statement_label] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(365),
    [sym_throw_keyword] = ACTIONS(367),
    [anon_sym_return] = ACTIONS(369),
    [anon_sym_continue] = ACTIONS(369),
    [anon_sym_break] = ACTIONS(369),
    [anon_sym_yield] = ACTIONS(369),
    [anon_sym_typealias] = ACTIONS(371),
    [anon_sym_struct] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(301),
    [anon_sym_enum] = ACTIONS(375),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_func] = ACTIONS(105),
    [anon_sym_extension] = ACTIONS(377),
    [anon_sym_indirect] = ACTIONS(379),
    [anon_sym_BANG2] = ACTIONS(381),
    [anon_sym_prefix] = ACTIONS(301),
    [anon_sym_infix] = ACTIONS(301),
    [anon_sym_postfix] = ACTIONS(301),
    [anon_sym_AT] = ACTIONS(301),
    [anon_sym_override] = ACTIONS(301),
    [anon_sym_convenience] = ACTIONS(301),
    [anon_sym_required] = ACTIONS(301),
    [anon_sym_nonisolated] = ACTIONS(301),
    [anon_sym_public] = ACTIONS(301),
    [anon_sym_private] = ACTIONS(301),
    [anon_sym_internal] = ACTIONS(301),
    [anon_sym_fileprivate] = ACTIONS(301),
    [anon_sym_open] = ACTIONS(301),
    [anon_sym_mutating] = ACTIONS(301),
    [anon_sym_nonmutating] = ACTIONS(301),
    [anon_sym_static] = ACTIONS(301),
    [anon_sym_dynamic] = ACTIONS(301),
    [anon_sym_optional] = ACTIONS(301),
    [anon_sym_distributed] = ACTIONS(301),
    [anon_sym_final] = ACTIONS(301),
    [anon_sym_inout] = ACTIONS(301),
    [anon_sym_ATescaping] = ACTIONS(343),
    [anon_sym_ATautoclosure] = ACTIONS(343),
    [anon_sym_weak] = ACTIONS(301),
    [anon_sym_unowned] = ACTIONS(301),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(343),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(343),
    [anon_sym_borrowing] = ACTIONS(301),
    [anon_sym_consuming] = ACTIONS(301),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(383),
    [sym__dot_custom] = ACTIONS(385),
    [sym__eq_custom] = ACTIONS(307),
    [sym__eq_eq_custom] = ACTIONS(307),
    [sym__plus_then_ws] = ACTIONS(307),
    [sym__minus_then_ws] = ACTIONS(307),
    [sym__bang_custom] = ACTIONS(387),
    [sym_default_keyword] = ACTIONS(343),
    [sym__custom_operator] = ACTIONS(335),
  },
  [28] = {
    [sym_simple_identifier] = STATE(1141),
    [sym__contextual_simple_identifier] = STATE(1051),
    [sym__basic_literal] = STATE(671),
    [sym_boolean_literal] = STATE(671),
    [sym__string_literal] = STATE(671),
    [sym_line_string_literal] = STATE(671),
    [sym_multi_line_string_literal] = STATE(671),
    [sym_raw_string_literal] = STATE(671),
    [sym_regex_literal] = STATE(671),
    [sym__multiline_regex_literal] = STATE(1215),
    [sym_user_type] = STATE(5510),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5510),
    [sym_dictionary_type] = STATE(5510),
    [sym__expression] = STATE(671),
    [sym__unary_expression] = STATE(671),
    [sym_postfix_expression] = STATE(671),
    [sym_constructor_expression] = STATE(671),
    [sym__parenthesized_type] = STATE(6558),
    [sym_navigation_expression] = STATE(671),
    [sym__navigable_type_expression] = STATE(6557),
    [sym_open_start_range_expression] = STATE(671),
    [sym__range_operator] = STATE(523),
    [sym_open_end_range_expression] = STATE(671),
    [sym_prefix_expression] = STATE(671),
    [sym_as_expression] = STATE(671),
    [sym_selector_expression] = STATE(671),
    [sym__binary_expression] = STATE(671),
    [sym_multiplicative_expression] = STATE(671),
    [sym_additive_expression] = STATE(671),
    [sym_range_expression] = STATE(671),
    [sym_infix_expression] = STATE(671),
    [sym_nil_coalescing_expression] = STATE(671),
    [sym_check_expression] = STATE(671),
    [sym_comparison_expression] = STATE(671),
    [sym_equality_expression] = STATE(671),
    [sym_conjunction_expression] = STATE(671),
    [sym_disjunction_expression] = STATE(671),
    [sym_bitwise_operation] = STATE(671),
    [sym_custom_operator] = STATE(628),
    [sym_try_expression] = STATE(671),
    [sym_await_expression] = STATE(671),
    [sym__await_operator] = STATE(518),
    [sym_ternary_expression] = STATE(671),
    [sym_call_expression] = STATE(671),
    [sym__primary_expression] = STATE(671),
    [sym_tuple_expression] = STATE(671),
    [sym_array_literal] = STATE(671),
    [sym_dictionary_literal] = STATE(671),
    [sym__special_literal] = STATE(671),
    [sym__playground_literal] = STATE(671),
    [sym_lambda_literal] = STATE(671),
    [sym_self_expression] = STATE(671),
    [sym_super_expression] = STATE(671),
    [sym_if_statement] = STATE(1244),
    [sym_guard_statement] = STATE(3922),
    [sym_switch_statement] = STATE(1244),
    [sym_do_statement] = STATE(3922),
    [sym_key_path_expression] = STATE(671),
    [sym_key_path_string_expression] = STATE(671),
    [sym_try_operator] = STATE(515),
    [sym__assignment_and_operator] = STATE(671),
    [sym__equality_operator] = STATE(671),
    [sym__comparison_operator] = STATE(671),
    [sym__three_dot_operator] = STATE(625),
    [sym__open_ended_range_operator] = STATE(523),
    [sym__additive_operator] = STATE(671),
    [sym__multiplicative_operator] = STATE(671),
    [sym__prefix_unary_operator] = STATE(509),
    [sym_directly_assignable_expression] = STATE(5511),
    [sym__local_statement] = STATE(3922),
    [sym__labeled_statement] = STATE(3922),
    [sym_for_statement] = STATE(3922),
    [sym_while_statement] = STATE(3922),
    [sym_repeat_while_statement] = STATE(3922),
    [sym_control_transfer_statement] = STATE(3922),
    [sym__throw_statement] = STATE(3902),
    [sym__optionally_valueful_control_keyword] = STATE(124),
    [sym_assignment] = STATE(671),
    [sym_value_parameter_pack] = STATE(671),
    [sym_value_pack_expansion] = STATE(671),
    [sym__local_declaration] = STATE(3922),
    [sym__local_property_declaration] = STATE(3927),
    [sym__local_typealias_declaration] = STATE(3917),
    [sym__local_function_declaration] = STATE(3924),
    [sym__local_class_declaration] = STATE(3931),
    [sym__modifierless_property_declaration] = STATE(3926),
    [sym__modifierless_typealias_declaration] = STATE(3959),
    [sym__modifierless_function_declaration] = STATE(3958),
    [sym__modifierless_function_declaration_no_body] = STATE(6699),
    [sym__modifierless_class_declaration] = STATE(3957),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__referenceable_operator] = STATE(671),
    [sym__equal_sign] = STATE(671),
    [sym__eq_eq] = STATE(671),
    [sym__dot] = STATE(509),
    [sym_bang] = STATE(628),
    [sym__async_modifier] = STATE(6632),
    [sym_attribute] = STATE(4187),
    [sym_value_binding_pattern] = STATE(3979),
    [sym__possibly_async_binding_pattern_kind] = STATE(3979),
    [aux_sym__locally_permitted_modifiers] = STATE(4187),
    [sym__locally_permitted_modifier] = STATE(4187),
    [sym_property_behavior_modifier] = STATE(4187),
    [sym_inheritance_modifier] = STATE(4187),
    [sym_ownership_modifier] = STATE(4187),
    [sym__parameter_ownership_modifier] = STATE(1051),
    [aux_sym_raw_string_literal_repeat1] = STATE(6487),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(291),
    [aux_sym_simple_identifier_token2] = ACTIONS(293),
    [aux_sym_simple_identifier_token3] = ACTIONS(293),
    [aux_sym_simple_identifier_token4] = ACTIONS(293),
    [anon_sym_actor] = ACTIONS(295),
    [anon_sym_async] = ACTIONS(297),
    [anon_sym_each] = ACTIONS(299),
    [anon_sym_lazy] = ACTIONS(389),
    [anon_sym_repeat] = ACTIONS(303),
    [anon_sym_package] = ACTIONS(389),
    [anon_sym_nil] = ACTIONS(305),
    [sym_real_literal] = ACTIONS(307),
    [sym_integer_literal] = ACTIONS(305),
    [sym_hex_literal] = ACTIONS(307),
    [sym_oct_literal] = ACTIONS(307),
    [sym_bin_literal] = ACTIONS(307),
    [anon_sym_true] = ACTIONS(309),
    [anon_sym_false] = ACTIONS(309),
    [anon_sym_DQUOTE] = ACTIONS(311),
    [anon_sym_BSLASH] = ACTIONS(313),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(315),
    [sym__extended_regex_literal] = ACTIONS(317),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(319),
    [sym__oneline_regex_literal] = ACTIONS(321),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_LBRACK] = ACTIONS(325),
    [anon_sym_AMP] = ACTIONS(327),
    [anon_sym_if] = ACTIONS(329),
    [anon_sym_switch] = ACTIONS(331),
    [anon_sym_POUNDselector] = ACTIONS(333),
    [aux_sym_custom_operator_token1] = ACTIONS(335),
    [anon_sym_LT] = ACTIONS(305),
    [anon_sym_GT] = ACTIONS(305),
    [anon_sym_await] = ACTIONS(337),
    [anon_sym_POUNDfile] = ACTIONS(305),
    [anon_sym_POUNDfileID] = ACTIONS(307),
    [anon_sym_POUNDfilePath] = ACTIONS(307),
    [anon_sym_POUNDline] = ACTIONS(307),
    [anon_sym_POUNDcolumn] = ACTIONS(307),
    [anon_sym_POUNDfunction] = ACTIONS(307),
    [anon_sym_POUNDdsohandle] = ACTIONS(307),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(339),
    [anon_sym_POUNDfileLiteral] = ACTIONS(339),
    [anon_sym_POUNDimageLiteral] = ACTIONS(339),
    [anon_sym_LBRACE] = ACTIONS(341),
    [anon_sym_CARET_LBRACE] = ACTIONS(341),
    [anon_sym_RBRACE] = ACTIONS(391),
    [anon_sym_self] = ACTIONS(345),
    [anon_sym_super] = ACTIONS(347),
    [anon_sym_guard] = ACTIONS(349),
    [anon_sym_case] = ACTIONS(389),
    [anon_sym_fallthrough] = ACTIONS(389),
    [anon_sym_do] = ACTIONS(351),
    [anon_sym_POUNDkeyPath] = ACTIONS(353),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(307),
    [anon_sym_DASH_EQ] = ACTIONS(307),
    [anon_sym_STAR_EQ] = ACTIONS(307),
    [anon_sym_SLASH_EQ] = ACTIONS(307),
    [anon_sym_PERCENT_EQ] = ACTIONS(307),
    [anon_sym_BANG_EQ] = ACTIONS(305),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(307),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(307),
    [anon_sym_LT_EQ] = ACTIONS(307),
    [anon_sym_GT_EQ] = ACTIONS(307),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(355),
    [anon_sym_DOT_DOT_LT] = ACTIONS(357),
    [anon_sym_PLUS] = ACTIONS(359),
    [anon_sym_DASH] = ACTIONS(359),
    [anon_sym_STAR] = ACTIONS(305),
    [anon_sym_SLASH] = ACTIONS(305),
    [anon_sym_PERCENT] = ACTIONS(305),
    [anon_sym_PLUS_PLUS] = ACTIONS(327),
    [anon_sym_DASH_DASH] = ACTIONS(327),
    [anon_sym_TILDE] = ACTIONS(327),
    [anon_sym_PIPE] = ACTIONS(307),
    [anon_sym_CARET] = ACTIONS(305),
    [anon_sym_LT_LT] = ACTIONS(307),
    [anon_sym_GT_GT] = ACTIONS(307),
    [sym_statement_label] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(365),
    [sym_throw_keyword] = ACTIONS(367),
    [anon_sym_return] = ACTIONS(369),
    [anon_sym_continue] = ACTIONS(369),
    [anon_sym_break] = ACTIONS(369),
    [anon_sym_yield] = ACTIONS(369),
    [anon_sym_typealias] = ACTIONS(371),
    [anon_sym_struct] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_enum] = ACTIONS(375),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_func] = ACTIONS(105),
    [anon_sym_extension] = ACTIONS(377),
    [anon_sym_indirect] = ACTIONS(379),
    [anon_sym_BANG2] = ACTIONS(381),
    [anon_sym_prefix] = ACTIONS(389),
    [anon_sym_infix] = ACTIONS(389),
    [anon_sym_postfix] = ACTIONS(389),
    [anon_sym_AT] = ACTIONS(389),
    [anon_sym_override] = ACTIONS(389),
    [anon_sym_convenience] = ACTIONS(389),
    [anon_sym_required] = ACTIONS(389),
    [anon_sym_nonisolated] = ACTIONS(389),
    [anon_sym_public] = ACTIONS(389),
    [anon_sym_private] = ACTIONS(389),
    [anon_sym_internal] = ACTIONS(389),
    [anon_sym_fileprivate] = ACTIONS(389),
    [anon_sym_open] = ACTIONS(389),
    [anon_sym_mutating] = ACTIONS(389),
    [anon_sym_nonmutating] = ACTIONS(389),
    [anon_sym_static] = ACTIONS(389),
    [anon_sym_dynamic] = ACTIONS(389),
    [anon_sym_optional] = ACTIONS(389),
    [anon_sym_distributed] = ACTIONS(389),
    [anon_sym_final] = ACTIONS(389),
    [anon_sym_inout] = ACTIONS(389),
    [anon_sym_ATescaping] = ACTIONS(391),
    [anon_sym_ATautoclosure] = ACTIONS(391),
    [anon_sym_weak] = ACTIONS(389),
    [anon_sym_unowned] = ACTIONS(389),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(391),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(391),
    [anon_sym_borrowing] = ACTIONS(389),
    [anon_sym_consuming] = ACTIONS(389),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(383),
    [sym__dot_custom] = ACTIONS(385),
    [sym__eq_custom] = ACTIONS(307),
    [sym__eq_eq_custom] = ACTIONS(307),
    [sym__plus_then_ws] = ACTIONS(307),
    [sym__minus_then_ws] = ACTIONS(307),
    [sym__bang_custom] = ACTIONS(387),
    [sym_default_keyword] = ACTIONS(391),
    [sym__custom_operator] = ACTIONS(335),
  },
  [29] = {
    [sym_simple_identifier] = STATE(2276),
    [sym__contextual_simple_identifier] = STATE(2115),
    [sym__basic_literal] = STATE(1349),
    [sym_boolean_literal] = STATE(1349),
    [sym__string_literal] = STATE(1349),
    [sym_line_string_literal] = STATE(1349),
    [sym_multi_line_string_literal] = STATE(1349),
    [sym_raw_string_literal] = STATE(1349),
    [sym_regex_literal] = STATE(1349),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1349),
    [sym__unary_expression] = STATE(1349),
    [sym_postfix_expression] = STATE(1349),
    [sym_constructor_expression] = STATE(1349),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1349),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1349),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1349),
    [sym_prefix_expression] = STATE(1349),
    [sym_as_expression] = STATE(1349),
    [sym_selector_expression] = STATE(1349),
    [sym__binary_expression] = STATE(1349),
    [sym_multiplicative_expression] = STATE(1349),
    [sym_additive_expression] = STATE(1349),
    [sym_range_expression] = STATE(1349),
    [sym_infix_expression] = STATE(1349),
    [sym_nil_coalescing_expression] = STATE(1349),
    [sym_check_expression] = STATE(1349),
    [sym_comparison_expression] = STATE(1349),
    [sym_equality_expression] = STATE(1349),
    [sym_conjunction_expression] = STATE(1349),
    [sym_disjunction_expression] = STATE(1349),
    [sym_bitwise_operation] = STATE(1349),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1349),
    [sym_await_expression] = STATE(1349),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1349),
    [sym_call_expression] = STATE(1349),
    [sym__primary_expression] = STATE(1349),
    [sym_tuple_expression] = STATE(1349),
    [sym_array_literal] = STATE(1349),
    [sym_dictionary_literal] = STATE(1349),
    [sym__special_literal] = STATE(1349),
    [sym__playground_literal] = STATE(1349),
    [sym_lambda_literal] = STATE(1349),
    [sym_self_expression] = STATE(1349),
    [sym_super_expression] = STATE(1349),
    [sym_if_statement] = STATE(2559),
    [sym_guard_statement] = STATE(5953),
    [sym_switch_statement] = STATE(2559),
    [sym_do_statement] = STATE(5953),
    [sym_key_path_expression] = STATE(1349),
    [sym_key_path_string_expression] = STATE(1349),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1349),
    [sym__equality_operator] = STATE(1349),
    [sym__comparison_operator] = STATE(1349),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1349),
    [sym__multiplicative_operator] = STATE(1349),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym_statements] = STATE(7874),
    [sym__local_statement] = STATE(5953),
    [sym__labeled_statement] = STATE(5953),
    [sym_for_statement] = STATE(5953),
    [sym_while_statement] = STATE(5953),
    [sym_repeat_while_statement] = STATE(5953),
    [sym_control_transfer_statement] = STATE(5953),
    [sym__throw_statement] = STATE(6577),
    [sym__optionally_valueful_control_keyword] = STATE(283),
    [sym_assignment] = STATE(1349),
    [sym_value_parameter_pack] = STATE(1349),
    [sym_value_pack_expansion] = STATE(1349),
    [sym__local_declaration] = STATE(5953),
    [sym__local_property_declaration] = STATE(6579),
    [sym__local_typealias_declaration] = STATE(6581),
    [sym__local_function_declaration] = STATE(6582),
    [sym__local_class_declaration] = STATE(6584),
    [sym__modifierless_property_declaration] = STATE(6589),
    [sym__modifierless_typealias_declaration] = STATE(6601),
    [sym__modifierless_function_declaration] = STATE(6604),
    [sym__modifierless_function_declaration_no_body] = STATE(6607),
    [sym__modifierless_class_declaration] = STATE(6613),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__referenceable_operator] = STATE(1349),
    [sym__equal_sign] = STATE(1349),
    [sym__eq_eq] = STATE(1349),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__async_modifier] = STATE(6632),
    [sym_computed_getter] = STATE(4496),
    [sym_computed_modify] = STATE(4496),
    [sym_computed_setter] = STATE(4496),
    [sym_getter_specifier] = STATE(5385),
    [sym_setter_specifier] = STATE(5337),
    [sym_modify_specifier] = STATE(5409),
    [sym_attribute] = STATE(4251),
    [sym_value_binding_pattern] = STATE(3973),
    [sym__possibly_async_binding_pattern_kind] = STATE(3973),
    [aux_sym__locally_permitted_modifiers] = STATE(4189),
    [sym__locally_permitted_modifier] = STATE(4189),
    [sym_property_behavior_modifier] = STATE(4189),
    [sym_mutation_modifier] = STATE(7203),
    [sym_inheritance_modifier] = STATE(4189),
    [sym_ownership_modifier] = STATE(4189),
    [sym__parameter_ownership_modifier] = STATE(2115),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [aux_sym__lambda_type_declaration_repeat1] = STATE(5146),
    [aux_sym_computed_property_repeat1] = STATE(4496),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(11),
    [aux_sym_simple_identifier_token2] = ACTIONS(13),
    [aux_sym_simple_identifier_token3] = ACTIONS(13),
    [aux_sym_simple_identifier_token4] = ACTIONS(13),
    [anon_sym_actor] = ACTIONS(15),
    [anon_sym_async] = ACTIONS(17),
    [anon_sym_each] = ACTIONS(19),
    [anon_sym_lazy] = ACTIONS(393),
    [anon_sym_repeat] = ACTIONS(23),
    [anon_sym_package] = ACTIONS(11),
    [anon_sym_nil] = ACTIONS(153),
    [sym_real_literal] = ACTIONS(155),
    [sym_integer_literal] = ACTIONS(153),
    [sym_hex_literal] = ACTIONS(155),
    [sym_oct_literal] = ACTIONS(155),
    [sym_bin_literal] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(153),
    [anon_sym_POUNDfileID] = ACTIONS(155),
    [anon_sym_POUNDfilePath] = ACTIONS(155),
    [anon_sym_POUNDline] = ACTIONS(155),
    [anon_sym_POUNDcolumn] = ACTIONS(155),
    [anon_sym_POUNDfunction] = ACTIONS(155),
    [anon_sym_POUNDdsohandle] = ACTIONS(155),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_RBRACE] = ACTIONS(177),
    [anon_sym_self] = ACTIONS(65),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_guard] = ACTIONS(69),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(153),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(153),
    [anon_sym_PERCENT] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(155),
    [anon_sym_CARET] = ACTIONS(153),
    [anon_sym_LT_LT] = ACTIONS(155),
    [anon_sym_GT_GT] = ACTIONS(155),
    [sym_statement_label] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [sym_throw_keyword] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(159),
    [anon_sym_continue] = ACTIONS(159),
    [anon_sym_break] = ACTIONS(159),
    [anon_sym_yield] = ACTIONS(159),
    [anon_sym_typealias] = ACTIONS(93),
    [anon_sym_struct] = ACTIONS(95),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_enum] = ACTIONS(99),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_func] = ACTIONS(105),
    [anon_sym_extension] = ACTIONS(109),
    [anon_sym_indirect] = ACTIONS(111),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(167),
    [anon_sym_set] = ACTIONS(169),
    [anon_sym__modify] = ACTIONS(171),
    [anon_sym_AT] = ACTIONS(395),
    [anon_sym_mutating] = ACTIONS(129),
    [anon_sym_nonmutating] = ACTIONS(129),
    [anon_sym_final] = ACTIONS(397),
    [anon_sym_weak] = ACTIONS(399),
    [anon_sym_unowned] = ACTIONS(399),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(401),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(401),
    [anon_sym_borrowing] = ACTIONS(11),
    [anon_sym_consuming] = ACTIONS(11),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(155),
    [sym__eq_eq_custom] = ACTIONS(155),
    [sym__plus_then_ws] = ACTIONS(155),
    [sym__minus_then_ws] = ACTIONS(155),
    [sym__bang_custom] = ACTIONS(151),
    [sym__custom_operator] = ACTIONS(57),
  },
  [30] = {
    [sym_simple_identifier] = STATE(2276),
    [sym__contextual_simple_identifier] = STATE(2115),
    [sym__basic_literal] = STATE(1349),
    [sym_boolean_literal] = STATE(1349),
    [sym__string_literal] = STATE(1349),
    [sym_line_string_literal] = STATE(1349),
    [sym_multi_line_string_literal] = STATE(1349),
    [sym_raw_string_literal] = STATE(1349),
    [sym_regex_literal] = STATE(1349),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1349),
    [sym__unary_expression] = STATE(1349),
    [sym_postfix_expression] = STATE(1349),
    [sym_constructor_expression] = STATE(1349),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1349),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1349),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1349),
    [sym_prefix_expression] = STATE(1349),
    [sym_as_expression] = STATE(1349),
    [sym_selector_expression] = STATE(1349),
    [sym__binary_expression] = STATE(1349),
    [sym_multiplicative_expression] = STATE(1349),
    [sym_additive_expression] = STATE(1349),
    [sym_range_expression] = STATE(1349),
    [sym_infix_expression] = STATE(1349),
    [sym_nil_coalescing_expression] = STATE(1349),
    [sym_check_expression] = STATE(1349),
    [sym_comparison_expression] = STATE(1349),
    [sym_equality_expression] = STATE(1349),
    [sym_conjunction_expression] = STATE(1349),
    [sym_disjunction_expression] = STATE(1349),
    [sym_bitwise_operation] = STATE(1349),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1349),
    [sym_await_expression] = STATE(1349),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1349),
    [sym_call_expression] = STATE(1349),
    [sym__primary_expression] = STATE(1349),
    [sym_tuple_expression] = STATE(1349),
    [sym_array_literal] = STATE(1349),
    [sym_dictionary_literal] = STATE(1349),
    [sym__special_literal] = STATE(1349),
    [sym__playground_literal] = STATE(1349),
    [sym_lambda_literal] = STATE(1349),
    [sym_self_expression] = STATE(1349),
    [sym_super_expression] = STATE(1349),
    [sym_if_statement] = STATE(2559),
    [sym_guard_statement] = STATE(5953),
    [sym_switch_statement] = STATE(2559),
    [sym_do_statement] = STATE(5953),
    [sym_key_path_expression] = STATE(1349),
    [sym_key_path_string_expression] = STATE(1349),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1349),
    [sym__equality_operator] = STATE(1349),
    [sym__comparison_operator] = STATE(1349),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1349),
    [sym__multiplicative_operator] = STATE(1349),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym_statements] = STATE(7630),
    [sym__local_statement] = STATE(5953),
    [sym__labeled_statement] = STATE(5953),
    [sym_for_statement] = STATE(5953),
    [sym_while_statement] = STATE(5953),
    [sym_repeat_while_statement] = STATE(5953),
    [sym_control_transfer_statement] = STATE(5953),
    [sym__throw_statement] = STATE(6577),
    [sym__optionally_valueful_control_keyword] = STATE(283),
    [sym_assignment] = STATE(1349),
    [sym_value_parameter_pack] = STATE(1349),
    [sym_value_pack_expansion] = STATE(1349),
    [sym__local_declaration] = STATE(5953),
    [sym__local_property_declaration] = STATE(6579),
    [sym__local_typealias_declaration] = STATE(6581),
    [sym__local_function_declaration] = STATE(6582),
    [sym__local_class_declaration] = STATE(6584),
    [sym__modifierless_property_declaration] = STATE(6589),
    [sym__modifierless_typealias_declaration] = STATE(6601),
    [sym__modifierless_function_declaration] = STATE(6604),
    [sym__modifierless_function_declaration_no_body] = STATE(6607),
    [sym__modifierless_class_declaration] = STATE(6613),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__referenceable_operator] = STATE(1349),
    [sym__equal_sign] = STATE(1349),
    [sym__eq_eq] = STATE(1349),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__async_modifier] = STATE(6632),
    [sym_computed_getter] = STATE(4530),
    [sym_computed_modify] = STATE(4530),
    [sym_computed_setter] = STATE(4530),
    [sym_getter_specifier] = STATE(5385),
    [sym_setter_specifier] = STATE(5337),
    [sym_modify_specifier] = STATE(5409),
    [sym_attribute] = STATE(4251),
    [sym_value_binding_pattern] = STATE(3973),
    [sym__possibly_async_binding_pattern_kind] = STATE(3973),
    [aux_sym__locally_permitted_modifiers] = STATE(4189),
    [sym__locally_permitted_modifier] = STATE(4189),
    [sym_property_behavior_modifier] = STATE(4189),
    [sym_mutation_modifier] = STATE(7203),
    [sym_inheritance_modifier] = STATE(4189),
    [sym_ownership_modifier] = STATE(4189),
    [sym__parameter_ownership_modifier] = STATE(2115),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [aux_sym__lambda_type_declaration_repeat1] = STATE(5146),
    [aux_sym_computed_property_repeat1] = STATE(4530),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(11),
    [aux_sym_simple_identifier_token2] = ACTIONS(13),
    [aux_sym_simple_identifier_token3] = ACTIONS(13),
    [aux_sym_simple_identifier_token4] = ACTIONS(13),
    [anon_sym_actor] = ACTIONS(15),
    [anon_sym_async] = ACTIONS(17),
    [anon_sym_each] = ACTIONS(19),
    [anon_sym_lazy] = ACTIONS(393),
    [anon_sym_repeat] = ACTIONS(23),
    [anon_sym_package] = ACTIONS(11),
    [anon_sym_nil] = ACTIONS(153),
    [sym_real_literal] = ACTIONS(155),
    [sym_integer_literal] = ACTIONS(153),
    [sym_hex_literal] = ACTIONS(155),
    [sym_oct_literal] = ACTIONS(155),
    [sym_bin_literal] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(153),
    [anon_sym_POUNDfileID] = ACTIONS(155),
    [anon_sym_POUNDfilePath] = ACTIONS(155),
    [anon_sym_POUNDline] = ACTIONS(155),
    [anon_sym_POUNDcolumn] = ACTIONS(155),
    [anon_sym_POUNDfunction] = ACTIONS(155),
    [anon_sym_POUNDdsohandle] = ACTIONS(155),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_RBRACE] = ACTIONS(179),
    [anon_sym_self] = ACTIONS(65),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_guard] = ACTIONS(69),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(153),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(153),
    [anon_sym_PERCENT] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(155),
    [anon_sym_CARET] = ACTIONS(153),
    [anon_sym_LT_LT] = ACTIONS(155),
    [anon_sym_GT_GT] = ACTIONS(155),
    [sym_statement_label] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [sym_throw_keyword] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(159),
    [anon_sym_continue] = ACTIONS(159),
    [anon_sym_break] = ACTIONS(159),
    [anon_sym_yield] = ACTIONS(159),
    [anon_sym_typealias] = ACTIONS(93),
    [anon_sym_struct] = ACTIONS(95),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_enum] = ACTIONS(99),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_func] = ACTIONS(105),
    [anon_sym_extension] = ACTIONS(109),
    [anon_sym_indirect] = ACTIONS(111),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(167),
    [anon_sym_set] = ACTIONS(169),
    [anon_sym__modify] = ACTIONS(171),
    [anon_sym_AT] = ACTIONS(395),
    [anon_sym_mutating] = ACTIONS(129),
    [anon_sym_nonmutating] = ACTIONS(129),
    [anon_sym_final] = ACTIONS(397),
    [anon_sym_weak] = ACTIONS(399),
    [anon_sym_unowned] = ACTIONS(399),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(401),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(401),
    [anon_sym_borrowing] = ACTIONS(11),
    [anon_sym_consuming] = ACTIONS(11),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(155),
    [sym__eq_eq_custom] = ACTIONS(155),
    [sym__plus_then_ws] = ACTIONS(155),
    [sym__minus_then_ws] = ACTIONS(155),
    [sym__bang_custom] = ACTIONS(151),
    [sym__custom_operator] = ACTIONS(57),
  },
  [31] = {
    [sym_simple_identifier] = STATE(2276),
    [sym__contextual_simple_identifier] = STATE(2115),
    [sym__basic_literal] = STATE(1349),
    [sym_boolean_literal] = STATE(1349),
    [sym__string_literal] = STATE(1349),
    [sym_line_string_literal] = STATE(1349),
    [sym_multi_line_string_literal] = STATE(1349),
    [sym_raw_string_literal] = STATE(1349),
    [sym_regex_literal] = STATE(1349),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1349),
    [sym__unary_expression] = STATE(1349),
    [sym_postfix_expression] = STATE(1349),
    [sym_constructor_expression] = STATE(1349),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1349),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1349),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1349),
    [sym_prefix_expression] = STATE(1349),
    [sym_as_expression] = STATE(1349),
    [sym_selector_expression] = STATE(1349),
    [sym__binary_expression] = STATE(1349),
    [sym_multiplicative_expression] = STATE(1349),
    [sym_additive_expression] = STATE(1349),
    [sym_range_expression] = STATE(1349),
    [sym_infix_expression] = STATE(1349),
    [sym_nil_coalescing_expression] = STATE(1349),
    [sym_check_expression] = STATE(1349),
    [sym_comparison_expression] = STATE(1349),
    [sym_equality_expression] = STATE(1349),
    [sym_conjunction_expression] = STATE(1349),
    [sym_disjunction_expression] = STATE(1349),
    [sym_bitwise_operation] = STATE(1349),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1349),
    [sym_await_expression] = STATE(1349),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1349),
    [sym_call_expression] = STATE(1349),
    [sym__primary_expression] = STATE(1349),
    [sym_tuple_expression] = STATE(1349),
    [sym_array_literal] = STATE(1349),
    [sym_dictionary_literal] = STATE(1349),
    [sym__special_literal] = STATE(1349),
    [sym__playground_literal] = STATE(1349),
    [sym_lambda_literal] = STATE(1349),
    [sym_self_expression] = STATE(1349),
    [sym_super_expression] = STATE(1349),
    [sym_if_statement] = STATE(2559),
    [sym_guard_statement] = STATE(5953),
    [sym_switch_statement] = STATE(2559),
    [sym_do_statement] = STATE(5953),
    [sym_key_path_expression] = STATE(1349),
    [sym_key_path_string_expression] = STATE(1349),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1349),
    [sym__equality_operator] = STATE(1349),
    [sym__comparison_operator] = STATE(1349),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1349),
    [sym__multiplicative_operator] = STATE(1349),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym_statements] = STATE(7756),
    [sym__local_statement] = STATE(5953),
    [sym__labeled_statement] = STATE(5953),
    [sym_for_statement] = STATE(5953),
    [sym_while_statement] = STATE(5953),
    [sym_repeat_while_statement] = STATE(5953),
    [sym_control_transfer_statement] = STATE(5953),
    [sym__throw_statement] = STATE(6577),
    [sym__optionally_valueful_control_keyword] = STATE(283),
    [sym_assignment] = STATE(1349),
    [sym_value_parameter_pack] = STATE(1349),
    [sym_value_pack_expansion] = STATE(1349),
    [sym__local_declaration] = STATE(5953),
    [sym__local_property_declaration] = STATE(6579),
    [sym__local_typealias_declaration] = STATE(6581),
    [sym__local_function_declaration] = STATE(6582),
    [sym__local_class_declaration] = STATE(6584),
    [sym__modifierless_property_declaration] = STATE(6589),
    [sym__modifierless_typealias_declaration] = STATE(6601),
    [sym__modifierless_function_declaration] = STATE(6604),
    [sym__modifierless_function_declaration_no_body] = STATE(6607),
    [sym__modifierless_class_declaration] = STATE(6613),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__referenceable_operator] = STATE(1349),
    [sym__equal_sign] = STATE(1349),
    [sym__eq_eq] = STATE(1349),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__async_modifier] = STATE(6632),
    [sym_computed_getter] = STATE(4561),
    [sym_computed_modify] = STATE(4561),
    [sym_computed_setter] = STATE(4561),
    [sym_getter_specifier] = STATE(5385),
    [sym_setter_specifier] = STATE(5337),
    [sym_modify_specifier] = STATE(5409),
    [sym_attribute] = STATE(4251),
    [sym_value_binding_pattern] = STATE(3973),
    [sym__possibly_async_binding_pattern_kind] = STATE(3973),
    [aux_sym__locally_permitted_modifiers] = STATE(4189),
    [sym__locally_permitted_modifier] = STATE(4189),
    [sym_property_behavior_modifier] = STATE(4189),
    [sym_mutation_modifier] = STATE(7203),
    [sym_inheritance_modifier] = STATE(4189),
    [sym_ownership_modifier] = STATE(4189),
    [sym__parameter_ownership_modifier] = STATE(2115),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [aux_sym__lambda_type_declaration_repeat1] = STATE(5146),
    [aux_sym_computed_property_repeat1] = STATE(4561),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(11),
    [aux_sym_simple_identifier_token2] = ACTIONS(13),
    [aux_sym_simple_identifier_token3] = ACTIONS(13),
    [aux_sym_simple_identifier_token4] = ACTIONS(13),
    [anon_sym_actor] = ACTIONS(15),
    [anon_sym_async] = ACTIONS(17),
    [anon_sym_each] = ACTIONS(19),
    [anon_sym_lazy] = ACTIONS(393),
    [anon_sym_repeat] = ACTIONS(23),
    [anon_sym_package] = ACTIONS(11),
    [anon_sym_nil] = ACTIONS(153),
    [sym_real_literal] = ACTIONS(155),
    [sym_integer_literal] = ACTIONS(153),
    [sym_hex_literal] = ACTIONS(155),
    [sym_oct_literal] = ACTIONS(155),
    [sym_bin_literal] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(153),
    [anon_sym_POUNDfileID] = ACTIONS(155),
    [anon_sym_POUNDfilePath] = ACTIONS(155),
    [anon_sym_POUNDline] = ACTIONS(155),
    [anon_sym_POUNDcolumn] = ACTIONS(155),
    [anon_sym_POUNDfunction] = ACTIONS(155),
    [anon_sym_POUNDdsohandle] = ACTIONS(155),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_RBRACE] = ACTIONS(175),
    [anon_sym_self] = ACTIONS(65),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_guard] = ACTIONS(69),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(153),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(153),
    [anon_sym_PERCENT] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(155),
    [anon_sym_CARET] = ACTIONS(153),
    [anon_sym_LT_LT] = ACTIONS(155),
    [anon_sym_GT_GT] = ACTIONS(155),
    [sym_statement_label] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [sym_throw_keyword] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(159),
    [anon_sym_continue] = ACTIONS(159),
    [anon_sym_break] = ACTIONS(159),
    [anon_sym_yield] = ACTIONS(159),
    [anon_sym_typealias] = ACTIONS(93),
    [anon_sym_struct] = ACTIONS(95),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_enum] = ACTIONS(99),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_func] = ACTIONS(105),
    [anon_sym_extension] = ACTIONS(109),
    [anon_sym_indirect] = ACTIONS(111),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(167),
    [anon_sym_set] = ACTIONS(169),
    [anon_sym__modify] = ACTIONS(171),
    [anon_sym_AT] = ACTIONS(395),
    [anon_sym_mutating] = ACTIONS(129),
    [anon_sym_nonmutating] = ACTIONS(129),
    [anon_sym_final] = ACTIONS(397),
    [anon_sym_weak] = ACTIONS(399),
    [anon_sym_unowned] = ACTIONS(399),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(401),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(401),
    [anon_sym_borrowing] = ACTIONS(11),
    [anon_sym_consuming] = ACTIONS(11),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(155),
    [sym__eq_eq_custom] = ACTIONS(155),
    [sym__plus_then_ws] = ACTIONS(155),
    [sym__minus_then_ws] = ACTIONS(155),
    [sym__bang_custom] = ACTIONS(151),
    [sym__custom_operator] = ACTIONS(57),
  },
  [32] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1427),
    [sym_boolean_literal] = STATE(1427),
    [sym__string_literal] = STATE(1427),
    [sym_line_string_literal] = STATE(1427),
    [sym_multi_line_string_literal] = STATE(1427),
    [sym_raw_string_literal] = STATE(1427),
    [sym_regex_literal] = STATE(1427),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1427),
    [sym__unary_expression] = STATE(1427),
    [sym_postfix_expression] = STATE(1427),
    [sym_constructor_expression] = STATE(1427),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1427),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1427),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1427),
    [sym_prefix_expression] = STATE(1427),
    [sym_as_expression] = STATE(1427),
    [sym_selector_expression] = STATE(1427),
    [sym__binary_expression] = STATE(1427),
    [sym_multiplicative_expression] = STATE(1427),
    [sym_additive_expression] = STATE(1427),
    [sym_range_expression] = STATE(1427),
    [sym_infix_expression] = STATE(1427),
    [sym_nil_coalescing_expression] = STATE(1427),
    [sym_check_expression] = STATE(1427),
    [sym_comparison_expression] = STATE(1427),
    [sym_equality_expression] = STATE(1427),
    [sym_conjunction_expression] = STATE(1427),
    [sym_disjunction_expression] = STATE(1427),
    [sym_bitwise_operation] = STATE(1427),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1427),
    [sym_await_expression] = STATE(1427),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1427),
    [sym_call_expression] = STATE(1427),
    [sym__primary_expression] = STATE(1427),
    [sym_tuple_expression] = STATE(1427),
    [sym_array_literal] = STATE(1427),
    [sym_dictionary_literal] = STATE(1427),
    [sym__special_literal] = STATE(1427),
    [sym__playground_literal] = STATE(1427),
    [sym_lambda_literal] = STATE(1427),
    [sym_self_expression] = STATE(1427),
    [sym_super_expression] = STATE(1427),
    [sym_if_statement] = STATE(1427),
    [sym__if_condition_sequence_item] = STATE(6307),
    [sym__if_let_binding] = STATE(7553),
    [sym_switch_statement] = STATE(1427),
    [sym_key_path_expression] = STATE(1427),
    [sym_key_path_string_expression] = STATE(1427),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1427),
    [sym__equality_operator] = STATE(1427),
    [sym__comparison_operator] = STATE(1427),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1427),
    [sym__multiplicative_operator] = STATE(1427),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1427),
    [sym_value_parameter_pack] = STATE(1427),
    [sym_value_pack_expansion] = STATE(1427),
    [sym_availability_condition] = STATE(6307),
    [sym__referenceable_operator] = STATE(1427),
    [sym__equal_sign] = STATE(1427),
    [sym__eq_eq] = STATE(1427),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__async_modifier] = STATE(6632),
    [sym__direct_or_indirect_binding] = STATE(5779),
    [sym_value_binding_pattern] = STATE(4103),
    [sym__possibly_async_binding_pattern_kind] = STATE(4103),
    [sym__binding_kind_and_pattern] = STATE(5716),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(407),
    [anon_sym_async] = ACTIONS(407),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(407),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(407),
    [anon_sym_nil] = ACTIONS(413),
    [sym_real_literal] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(413),
    [sym_hex_literal] = ACTIONS(415),
    [sym_oct_literal] = ACTIONS(415),
    [sym_bin_literal] = ACTIONS(415),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [anon_sym_COMMA] = ACTIONS(425),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(425),
    [anon_sym_LBRACK] = ACTIONS(425),
    [anon_sym_QMARK] = ACTIONS(407),
    [anon_sym_QMARK2] = ACTIONS(425),
    [anon_sym_AMP] = ACTIONS(425),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(425),
    [anon_sym_LT] = ACTIONS(407),
    [anon_sym_GT] = ACTIONS(407),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(413),
    [anon_sym_POUNDfileID] = ACTIONS(415),
    [anon_sym_POUNDfilePath] = ACTIONS(415),
    [anon_sym_POUNDline] = ACTIONS(415),
    [anon_sym_POUNDcolumn] = ACTIONS(415),
    [anon_sym_POUNDfunction] = ACTIONS(415),
    [anon_sym_POUNDdsohandle] = ACTIONS(415),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(425),
    [anon_sym_CARET_LBRACE] = ACTIONS(425),
    [anon_sym_RBRACE] = ACTIONS(425),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_case] = ACTIONS(407),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(425),
    [anon_sym_DASH_EQ] = ACTIONS(425),
    [anon_sym_STAR_EQ] = ACTIONS(425),
    [anon_sym_SLASH_EQ] = ACTIONS(425),
    [anon_sym_PERCENT_EQ] = ACTIONS(425),
    [anon_sym_BANG_EQ] = ACTIONS(407),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(425),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(425),
    [anon_sym_LT_EQ] = ACTIONS(425),
    [anon_sym_GT_EQ] = ACTIONS(425),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(425),
    [anon_sym_DOT_DOT_LT] = ACTIONS(425),
    [anon_sym_is] = ACTIONS(407),
    [anon_sym_PLUS] = ACTIONS(407),
    [anon_sym_DASH] = ACTIONS(407),
    [anon_sym_STAR] = ACTIONS(407),
    [anon_sym_SLASH] = ACTIONS(407),
    [anon_sym_PERCENT] = ACTIONS(407),
    [anon_sym_PLUS_PLUS] = ACTIONS(425),
    [anon_sym_DASH_DASH] = ACTIONS(425),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(425),
    [anon_sym_CARET] = ACTIONS(407),
    [anon_sym_LT_LT] = ACTIONS(425),
    [anon_sym_GT_GT] = ACTIONS(425),
    [anon_sym_POUNDavailable] = ACTIONS(451),
    [anon_sym_POUNDunavailable] = ACTIONS(451),
    [anon_sym_import] = ACTIONS(407),
    [anon_sym_typealias] = ACTIONS(407),
    [anon_sym_struct] = ACTIONS(407),
    [anon_sym_class] = ACTIONS(407),
    [anon_sym_enum] = ACTIONS(407),
    [anon_sym_protocol] = ACTIONS(407),
    [anon_sym_let] = ACTIONS(407),
    [anon_sym_var] = ACTIONS(407),
    [anon_sym_func] = ACTIONS(407),
    [anon_sym_extension] = ACTIONS(407),
    [anon_sym_indirect] = ACTIONS(407),
    [anon_sym_BANG2] = ACTIONS(407),
    [anon_sym_SEMI] = ACTIONS(425),
    [anon_sym_init] = ACTIONS(407),
    [anon_sym_deinit] = ACTIONS(407),
    [anon_sym_subscript] = ACTIONS(407),
    [anon_sym_prefix] = ACTIONS(407),
    [anon_sym_infix] = ACTIONS(407),
    [anon_sym_postfix] = ACTIONS(407),
    [anon_sym_precedencegroup] = ACTIONS(407),
    [anon_sym_associatedtype] = ACTIONS(407),
    [anon_sym_AT] = ACTIONS(407),
    [anon_sym_override] = ACTIONS(407),
    [anon_sym_convenience] = ACTIONS(407),
    [anon_sym_required] = ACTIONS(407),
    [anon_sym_nonisolated] = ACTIONS(407),
    [anon_sym_public] = ACTIONS(407),
    [anon_sym_private] = ACTIONS(407),
    [anon_sym_internal] = ACTIONS(407),
    [anon_sym_fileprivate] = ACTIONS(407),
    [anon_sym_open] = ACTIONS(407),
    [anon_sym_mutating] = ACTIONS(407),
    [anon_sym_nonmutating] = ACTIONS(407),
    [anon_sym_static] = ACTIONS(407),
    [anon_sym_dynamic] = ACTIONS(407),
    [anon_sym_optional] = ACTIONS(407),
    [anon_sym_distributed] = ACTIONS(407),
    [anon_sym_final] = ACTIONS(407),
    [anon_sym_inout] = ACTIONS(407),
    [anon_sym_ATescaping] = ACTIONS(425),
    [anon_sym_ATautoclosure] = ACTIONS(425),
    [anon_sym_weak] = ACTIONS(407),
    [anon_sym_unowned] = ACTIONS(407),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(425),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(425),
    [anon_sym_borrowing] = ACTIONS(407),
    [anon_sym_consuming] = ACTIONS(407),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(425),
    [sym__conjunction_operator_custom] = ACTIONS(425),
    [sym__disjunction_operator_custom] = ACTIONS(425),
    [sym__nil_coalescing_operator_custom] = ACTIONS(425),
    [sym__eq_custom] = ACTIONS(425),
    [sym__eq_eq_custom] = ACTIONS(425),
    [sym__plus_then_ws] = ACTIONS(425),
    [sym__minus_then_ws] = ACTIONS(425),
    [sym__bang_custom] = ACTIONS(425),
    [sym__as_custom] = ACTIONS(425),
    [sym__as_quest_custom] = ACTIONS(425),
    [sym__as_bang_custom] = ACTIONS(425),
    [sym__custom_operator] = ACTIONS(425),
  },
  [33] = {
    [sym_simple_identifier] = STATE(1465),
    [sym__contextual_simple_identifier] = STATE(1477),
    [sym__basic_literal] = STATE(1349),
    [sym_boolean_literal] = STATE(1349),
    [sym__string_literal] = STATE(1349),
    [sym_line_string_literal] = STATE(1349),
    [sym_multi_line_string_literal] = STATE(1349),
    [sym_raw_string_literal] = STATE(1349),
    [sym_regex_literal] = STATE(1349),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1349),
    [sym__unary_expression] = STATE(1349),
    [sym_postfix_expression] = STATE(1349),
    [sym_constructor_expression] = STATE(1349),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1349),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1349),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1349),
    [sym_prefix_expression] = STATE(1349),
    [sym_as_expression] = STATE(1349),
    [sym_selector_expression] = STATE(1349),
    [sym__binary_expression] = STATE(1349),
    [sym_multiplicative_expression] = STATE(1349),
    [sym_additive_expression] = STATE(1349),
    [sym_range_expression] = STATE(1349),
    [sym_infix_expression] = STATE(1349),
    [sym_nil_coalescing_expression] = STATE(1349),
    [sym_check_expression] = STATE(1349),
    [sym_comparison_expression] = STATE(1349),
    [sym_equality_expression] = STATE(1349),
    [sym_conjunction_expression] = STATE(1349),
    [sym_disjunction_expression] = STATE(1349),
    [sym_bitwise_operation] = STATE(1349),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1349),
    [sym_await_expression] = STATE(1349),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1349),
    [sym_call_expression] = STATE(1349),
    [sym__primary_expression] = STATE(1349),
    [sym_tuple_expression] = STATE(1349),
    [sym_array_literal] = STATE(1349),
    [sym_dictionary_literal] = STATE(1349),
    [sym__special_literal] = STATE(1349),
    [sym__playground_literal] = STATE(1349),
    [sym_lambda_literal] = STATE(1349),
    [sym__lambda_type_declaration] = STATE(86),
    [sym_capture_list] = STATE(4269),
    [sym_lambda_function_type] = STATE(7701),
    [sym_lambda_function_type_parameters] = STATE(5444),
    [sym_lambda_parameter] = STATE(5647),
    [sym_self_expression] = STATE(1892),
    [sym_super_expression] = STATE(1349),
    [sym_if_statement] = STATE(2559),
    [sym_guard_statement] = STATE(5953),
    [sym_switch_statement] = STATE(2559),
    [sym_do_statement] = STATE(5953),
    [sym_key_path_expression] = STATE(1349),
    [sym_key_path_string_expression] = STATE(1349),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1349),
    [sym__equality_operator] = STATE(1349),
    [sym__comparison_operator] = STATE(1349),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1349),
    [sym__multiplicative_operator] = STATE(1349),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym_statements] = STATE(7808),
    [sym__local_statement] = STATE(5953),
    [sym__labeled_statement] = STATE(5953),
    [sym_for_statement] = STATE(5953),
    [sym_while_statement] = STATE(5953),
    [sym_repeat_while_statement] = STATE(5953),
    [sym_control_transfer_statement] = STATE(5953),
    [sym__throw_statement] = STATE(6577),
    [sym__optionally_valueful_control_keyword] = STATE(283),
    [sym_assignment] = STATE(1349),
    [sym_value_parameter_pack] = STATE(1349),
    [sym_value_pack_expansion] = STATE(1349),
    [sym__local_declaration] = STATE(5953),
    [sym__local_property_declaration] = STATE(6579),
    [sym__local_typealias_declaration] = STATE(6581),
    [sym__local_function_declaration] = STATE(6582),
    [sym__local_class_declaration] = STATE(6584),
    [sym__modifierless_property_declaration] = STATE(6589),
    [sym__modifierless_typealias_declaration] = STATE(6601),
    [sym__modifierless_function_declaration] = STATE(6604),
    [sym__modifierless_function_declaration_no_body] = STATE(6607),
    [sym__modifierless_class_declaration] = STATE(6613),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__referenceable_operator] = STATE(1349),
    [sym__equal_sign] = STATE(1349),
    [sym__eq_eq] = STATE(1349),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__async_modifier] = STATE(6632),
    [sym_attribute] = STATE(4207),
    [sym_value_binding_pattern] = STATE(3973),
    [sym__possibly_async_binding_pattern_kind] = STATE(3973),
    [aux_sym__locally_permitted_modifiers] = STATE(4189),
    [sym__locally_permitted_modifier] = STATE(4189),
    [sym_property_behavior_modifier] = STATE(4189),
    [sym_inheritance_modifier] = STATE(4189),
    [sym_ownership_modifier] = STATE(4189),
    [sym__parameter_ownership_modifier] = STATE(1477),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [aux_sym__lambda_type_declaration_repeat1] = STATE(4222),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(181),
    [aux_sym_simple_identifier_token2] = ACTIONS(183),
    [aux_sym_simple_identifier_token3] = ACTIONS(183),
    [aux_sym_simple_identifier_token4] = ACTIONS(183),
    [anon_sym_actor] = ACTIONS(185),
    [anon_sym_async] = ACTIONS(187),
    [anon_sym_each] = ACTIONS(189),
    [anon_sym_lazy] = ACTIONS(455),
    [anon_sym_repeat] = ACTIONS(193),
    [anon_sym_package] = ACTIONS(181),
    [anon_sym_nil] = ACTIONS(153),
    [sym_real_literal] = ACTIONS(155),
    [sym_integer_literal] = ACTIONS(153),
    [sym_hex_literal] = ACTIONS(155),
    [sym_oct_literal] = ACTIONS(155),
    [sym_bin_literal] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(199),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(153),
    [anon_sym_POUNDfileID] = ACTIONS(155),
    [anon_sym_POUNDfilePath] = ACTIONS(155),
    [anon_sym_POUNDline] = ACTIONS(155),
    [anon_sym_POUNDcolumn] = ACTIONS(155),
    [anon_sym_POUNDfunction] = ACTIONS(155),
    [anon_sym_POUNDdsohandle] = ACTIONS(155),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_RBRACE] = ACTIONS(201),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_self] = ACTIONS(205),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_guard] = ACTIONS(69),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(153),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(153),
    [anon_sym_PERCENT] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(155),
    [anon_sym_CARET] = ACTIONS(153),
    [anon_sym_LT_LT] = ACTIONS(155),
    [anon_sym_GT_GT] = ACTIONS(155),
    [sym_statement_label] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [sym_throw_keyword] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(159),
    [anon_sym_continue] = ACTIONS(159),
    [anon_sym_break] = ACTIONS(159),
    [anon_sym_yield] = ACTIONS(159),
    [anon_sym_typealias] = ACTIONS(93),
    [anon_sym_struct] = ACTIONS(95),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_enum] = ACTIONS(99),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_func] = ACTIONS(105),
    [anon_sym_extension] = ACTIONS(109),
    [anon_sym_indirect] = ACTIONS(111),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_AT] = ACTIONS(457),
    [anon_sym_final] = ACTIONS(397),
    [anon_sym_weak] = ACTIONS(399),
    [anon_sym_unowned] = ACTIONS(399),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(401),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(401),
    [anon_sym_borrowing] = ACTIONS(181),
    [anon_sym_consuming] = ACTIONS(181),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(155),
    [sym__eq_eq_custom] = ACTIONS(155),
    [sym__plus_then_ws] = ACTIONS(155),
    [sym__minus_then_ws] = ACTIONS(155),
    [sym__bang_custom] = ACTIONS(151),
    [sym__custom_operator] = ACTIONS(57),
  },
  [34] = {
    [sym_simple_identifier] = STATE(1465),
    [sym__contextual_simple_identifier] = STATE(1477),
    [sym__basic_literal] = STATE(1349),
    [sym_boolean_literal] = STATE(1349),
    [sym__string_literal] = STATE(1349),
    [sym_line_string_literal] = STATE(1349),
    [sym_multi_line_string_literal] = STATE(1349),
    [sym_raw_string_literal] = STATE(1349),
    [sym_regex_literal] = STATE(1349),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1349),
    [sym__unary_expression] = STATE(1349),
    [sym_postfix_expression] = STATE(1349),
    [sym_constructor_expression] = STATE(1349),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1349),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1349),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1349),
    [sym_prefix_expression] = STATE(1349),
    [sym_as_expression] = STATE(1349),
    [sym_selector_expression] = STATE(1349),
    [sym__binary_expression] = STATE(1349),
    [sym_multiplicative_expression] = STATE(1349),
    [sym_additive_expression] = STATE(1349),
    [sym_range_expression] = STATE(1349),
    [sym_infix_expression] = STATE(1349),
    [sym_nil_coalescing_expression] = STATE(1349),
    [sym_check_expression] = STATE(1349),
    [sym_comparison_expression] = STATE(1349),
    [sym_equality_expression] = STATE(1349),
    [sym_conjunction_expression] = STATE(1349),
    [sym_disjunction_expression] = STATE(1349),
    [sym_bitwise_operation] = STATE(1349),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1349),
    [sym_await_expression] = STATE(1349),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1349),
    [sym_call_expression] = STATE(1349),
    [sym__primary_expression] = STATE(1349),
    [sym_tuple_expression] = STATE(1349),
    [sym_array_literal] = STATE(1349),
    [sym_dictionary_literal] = STATE(1349),
    [sym__special_literal] = STATE(1349),
    [sym__playground_literal] = STATE(1349),
    [sym_lambda_literal] = STATE(1349),
    [sym__lambda_type_declaration] = STATE(56),
    [sym_capture_list] = STATE(4269),
    [sym_lambda_function_type] = STATE(7701),
    [sym_lambda_function_type_parameters] = STATE(5444),
    [sym_lambda_parameter] = STATE(5647),
    [sym_self_expression] = STATE(1892),
    [sym_super_expression] = STATE(1349),
    [sym_if_statement] = STATE(2559),
    [sym_guard_statement] = STATE(5953),
    [sym_switch_statement] = STATE(2559),
    [sym_do_statement] = STATE(5953),
    [sym_key_path_expression] = STATE(1349),
    [sym_key_path_string_expression] = STATE(1349),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1349),
    [sym__equality_operator] = STATE(1349),
    [sym__comparison_operator] = STATE(1349),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1349),
    [sym__multiplicative_operator] = STATE(1349),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym_statements] = STATE(7802),
    [sym__local_statement] = STATE(5953),
    [sym__labeled_statement] = STATE(5953),
    [sym_for_statement] = STATE(5953),
    [sym_while_statement] = STATE(5953),
    [sym_repeat_while_statement] = STATE(5953),
    [sym_control_transfer_statement] = STATE(5953),
    [sym__throw_statement] = STATE(6577),
    [sym__optionally_valueful_control_keyword] = STATE(283),
    [sym_assignment] = STATE(1349),
    [sym_value_parameter_pack] = STATE(1349),
    [sym_value_pack_expansion] = STATE(1349),
    [sym__local_declaration] = STATE(5953),
    [sym__local_property_declaration] = STATE(6579),
    [sym__local_typealias_declaration] = STATE(6581),
    [sym__local_function_declaration] = STATE(6582),
    [sym__local_class_declaration] = STATE(6584),
    [sym__modifierless_property_declaration] = STATE(6589),
    [sym__modifierless_typealias_declaration] = STATE(6601),
    [sym__modifierless_function_declaration] = STATE(6604),
    [sym__modifierless_function_declaration_no_body] = STATE(6607),
    [sym__modifierless_class_declaration] = STATE(6613),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__referenceable_operator] = STATE(1349),
    [sym__equal_sign] = STATE(1349),
    [sym__eq_eq] = STATE(1349),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__async_modifier] = STATE(6632),
    [sym_attribute] = STATE(4207),
    [sym_value_binding_pattern] = STATE(3973),
    [sym__possibly_async_binding_pattern_kind] = STATE(3973),
    [aux_sym__locally_permitted_modifiers] = STATE(4189),
    [sym__locally_permitted_modifier] = STATE(4189),
    [sym_property_behavior_modifier] = STATE(4189),
    [sym_inheritance_modifier] = STATE(4189),
    [sym_ownership_modifier] = STATE(4189),
    [sym__parameter_ownership_modifier] = STATE(1477),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [aux_sym__lambda_type_declaration_repeat1] = STATE(4222),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(181),
    [aux_sym_simple_identifier_token2] = ACTIONS(183),
    [aux_sym_simple_identifier_token3] = ACTIONS(183),
    [aux_sym_simple_identifier_token4] = ACTIONS(183),
    [anon_sym_actor] = ACTIONS(185),
    [anon_sym_async] = ACTIONS(187),
    [anon_sym_each] = ACTIONS(189),
    [anon_sym_lazy] = ACTIONS(455),
    [anon_sym_repeat] = ACTIONS(193),
    [anon_sym_package] = ACTIONS(181),
    [anon_sym_nil] = ACTIONS(153),
    [sym_real_literal] = ACTIONS(155),
    [sym_integer_literal] = ACTIONS(153),
    [sym_hex_literal] = ACTIONS(155),
    [sym_oct_literal] = ACTIONS(155),
    [sym_bin_literal] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(199),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(153),
    [anon_sym_POUNDfileID] = ACTIONS(155),
    [anon_sym_POUNDfilePath] = ACTIONS(155),
    [anon_sym_POUNDline] = ACTIONS(155),
    [anon_sym_POUNDcolumn] = ACTIONS(155),
    [anon_sym_POUNDfunction] = ACTIONS(155),
    [anon_sym_POUNDdsohandle] = ACTIONS(155),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_RBRACE] = ACTIONS(459),
    [anon_sym_in] = ACTIONS(461),
    [anon_sym_self] = ACTIONS(205),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_guard] = ACTIONS(69),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(153),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(153),
    [anon_sym_PERCENT] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(155),
    [anon_sym_CARET] = ACTIONS(153),
    [anon_sym_LT_LT] = ACTIONS(155),
    [anon_sym_GT_GT] = ACTIONS(155),
    [sym_statement_label] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [sym_throw_keyword] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(159),
    [anon_sym_continue] = ACTIONS(159),
    [anon_sym_break] = ACTIONS(159),
    [anon_sym_yield] = ACTIONS(159),
    [anon_sym_typealias] = ACTIONS(93),
    [anon_sym_struct] = ACTIONS(95),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_enum] = ACTIONS(99),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_func] = ACTIONS(105),
    [anon_sym_extension] = ACTIONS(109),
    [anon_sym_indirect] = ACTIONS(111),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_AT] = ACTIONS(457),
    [anon_sym_final] = ACTIONS(397),
    [anon_sym_weak] = ACTIONS(399),
    [anon_sym_unowned] = ACTIONS(399),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(401),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(401),
    [anon_sym_borrowing] = ACTIONS(181),
    [anon_sym_consuming] = ACTIONS(181),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(155),
    [sym__eq_eq_custom] = ACTIONS(155),
    [sym__plus_then_ws] = ACTIONS(155),
    [sym__minus_then_ws] = ACTIONS(155),
    [sym__bang_custom] = ACTIONS(151),
    [sym__custom_operator] = ACTIONS(57),
  },
  [35] = {
    [sym_simple_identifier] = STATE(1465),
    [sym__contextual_simple_identifier] = STATE(1477),
    [sym__basic_literal] = STATE(1349),
    [sym_boolean_literal] = STATE(1349),
    [sym__string_literal] = STATE(1349),
    [sym_line_string_literal] = STATE(1349),
    [sym_multi_line_string_literal] = STATE(1349),
    [sym_raw_string_literal] = STATE(1349),
    [sym_regex_literal] = STATE(1349),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1349),
    [sym__unary_expression] = STATE(1349),
    [sym_postfix_expression] = STATE(1349),
    [sym_constructor_expression] = STATE(1349),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1349),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1349),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1349),
    [sym_prefix_expression] = STATE(1349),
    [sym_as_expression] = STATE(1349),
    [sym_selector_expression] = STATE(1349),
    [sym__binary_expression] = STATE(1349),
    [sym_multiplicative_expression] = STATE(1349),
    [sym_additive_expression] = STATE(1349),
    [sym_range_expression] = STATE(1349),
    [sym_infix_expression] = STATE(1349),
    [sym_nil_coalescing_expression] = STATE(1349),
    [sym_check_expression] = STATE(1349),
    [sym_comparison_expression] = STATE(1349),
    [sym_equality_expression] = STATE(1349),
    [sym_conjunction_expression] = STATE(1349),
    [sym_disjunction_expression] = STATE(1349),
    [sym_bitwise_operation] = STATE(1349),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1349),
    [sym_await_expression] = STATE(1349),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1349),
    [sym_call_expression] = STATE(1349),
    [sym__primary_expression] = STATE(1349),
    [sym_tuple_expression] = STATE(1349),
    [sym_array_literal] = STATE(1349),
    [sym_dictionary_literal] = STATE(1349),
    [sym__special_literal] = STATE(1349),
    [sym__playground_literal] = STATE(1349),
    [sym_lambda_literal] = STATE(1349),
    [sym__lambda_type_declaration] = STATE(60),
    [sym_capture_list] = STATE(4269),
    [sym_lambda_function_type] = STATE(7701),
    [sym_lambda_function_type_parameters] = STATE(5444),
    [sym_lambda_parameter] = STATE(5647),
    [sym_self_expression] = STATE(1892),
    [sym_super_expression] = STATE(1349),
    [sym_if_statement] = STATE(2559),
    [sym_guard_statement] = STATE(5953),
    [sym_switch_statement] = STATE(2559),
    [sym_do_statement] = STATE(5953),
    [sym_key_path_expression] = STATE(1349),
    [sym_key_path_string_expression] = STATE(1349),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1349),
    [sym__equality_operator] = STATE(1349),
    [sym__comparison_operator] = STATE(1349),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1349),
    [sym__multiplicative_operator] = STATE(1349),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym_statements] = STATE(7677),
    [sym__local_statement] = STATE(5953),
    [sym__labeled_statement] = STATE(5953),
    [sym_for_statement] = STATE(5953),
    [sym_while_statement] = STATE(5953),
    [sym_repeat_while_statement] = STATE(5953),
    [sym_control_transfer_statement] = STATE(5953),
    [sym__throw_statement] = STATE(6577),
    [sym__optionally_valueful_control_keyword] = STATE(283),
    [sym_assignment] = STATE(1349),
    [sym_value_parameter_pack] = STATE(1349),
    [sym_value_pack_expansion] = STATE(1349),
    [sym__local_declaration] = STATE(5953),
    [sym__local_property_declaration] = STATE(6579),
    [sym__local_typealias_declaration] = STATE(6581),
    [sym__local_function_declaration] = STATE(6582),
    [sym__local_class_declaration] = STATE(6584),
    [sym__modifierless_property_declaration] = STATE(6589),
    [sym__modifierless_typealias_declaration] = STATE(6601),
    [sym__modifierless_function_declaration] = STATE(6604),
    [sym__modifierless_function_declaration_no_body] = STATE(6607),
    [sym__modifierless_class_declaration] = STATE(6613),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__referenceable_operator] = STATE(1349),
    [sym__equal_sign] = STATE(1349),
    [sym__eq_eq] = STATE(1349),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__async_modifier] = STATE(6632),
    [sym_attribute] = STATE(4207),
    [sym_value_binding_pattern] = STATE(3973),
    [sym__possibly_async_binding_pattern_kind] = STATE(3973),
    [aux_sym__locally_permitted_modifiers] = STATE(4189),
    [sym__locally_permitted_modifier] = STATE(4189),
    [sym_property_behavior_modifier] = STATE(4189),
    [sym_inheritance_modifier] = STATE(4189),
    [sym_ownership_modifier] = STATE(4189),
    [sym__parameter_ownership_modifier] = STATE(1477),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [aux_sym__lambda_type_declaration_repeat1] = STATE(4222),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(181),
    [aux_sym_simple_identifier_token2] = ACTIONS(183),
    [aux_sym_simple_identifier_token3] = ACTIONS(183),
    [aux_sym_simple_identifier_token4] = ACTIONS(183),
    [anon_sym_actor] = ACTIONS(185),
    [anon_sym_async] = ACTIONS(187),
    [anon_sym_each] = ACTIONS(189),
    [anon_sym_lazy] = ACTIONS(455),
    [anon_sym_repeat] = ACTIONS(193),
    [anon_sym_package] = ACTIONS(181),
    [anon_sym_nil] = ACTIONS(153),
    [sym_real_literal] = ACTIONS(155),
    [sym_integer_literal] = ACTIONS(153),
    [sym_hex_literal] = ACTIONS(155),
    [sym_oct_literal] = ACTIONS(155),
    [sym_bin_literal] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(199),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(153),
    [anon_sym_POUNDfileID] = ACTIONS(155),
    [anon_sym_POUNDfilePath] = ACTIONS(155),
    [anon_sym_POUNDline] = ACTIONS(155),
    [anon_sym_POUNDcolumn] = ACTIONS(155),
    [anon_sym_POUNDfunction] = ACTIONS(155),
    [anon_sym_POUNDdsohandle] = ACTIONS(155),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_RBRACE] = ACTIONS(463),
    [anon_sym_in] = ACTIONS(465),
    [anon_sym_self] = ACTIONS(205),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_guard] = ACTIONS(69),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(153),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(153),
    [anon_sym_PERCENT] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(155),
    [anon_sym_CARET] = ACTIONS(153),
    [anon_sym_LT_LT] = ACTIONS(155),
    [anon_sym_GT_GT] = ACTIONS(155),
    [sym_statement_label] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [sym_throw_keyword] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(159),
    [anon_sym_continue] = ACTIONS(159),
    [anon_sym_break] = ACTIONS(159),
    [anon_sym_yield] = ACTIONS(159),
    [anon_sym_typealias] = ACTIONS(93),
    [anon_sym_struct] = ACTIONS(95),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_enum] = ACTIONS(99),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_func] = ACTIONS(105),
    [anon_sym_extension] = ACTIONS(109),
    [anon_sym_indirect] = ACTIONS(111),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_AT] = ACTIONS(457),
    [anon_sym_final] = ACTIONS(397),
    [anon_sym_weak] = ACTIONS(399),
    [anon_sym_unowned] = ACTIONS(399),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(401),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(401),
    [anon_sym_borrowing] = ACTIONS(181),
    [anon_sym_consuming] = ACTIONS(181),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(155),
    [sym__eq_eq_custom] = ACTIONS(155),
    [sym__plus_then_ws] = ACTIONS(155),
    [sym__minus_then_ws] = ACTIONS(155),
    [sym__bang_custom] = ACTIONS(151),
    [sym__custom_operator] = ACTIONS(57),
  },
  [36] = {
    [sym_simple_identifier] = STATE(1465),
    [sym__contextual_simple_identifier] = STATE(1477),
    [sym__basic_literal] = STATE(1349),
    [sym_boolean_literal] = STATE(1349),
    [sym__string_literal] = STATE(1349),
    [sym_line_string_literal] = STATE(1349),
    [sym_multi_line_string_literal] = STATE(1349),
    [sym_raw_string_literal] = STATE(1349),
    [sym_regex_literal] = STATE(1349),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1349),
    [sym__unary_expression] = STATE(1349),
    [sym_postfix_expression] = STATE(1349),
    [sym_constructor_expression] = STATE(1349),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1349),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1349),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1349),
    [sym_prefix_expression] = STATE(1349),
    [sym_as_expression] = STATE(1349),
    [sym_selector_expression] = STATE(1349),
    [sym__binary_expression] = STATE(1349),
    [sym_multiplicative_expression] = STATE(1349),
    [sym_additive_expression] = STATE(1349),
    [sym_range_expression] = STATE(1349),
    [sym_infix_expression] = STATE(1349),
    [sym_nil_coalescing_expression] = STATE(1349),
    [sym_check_expression] = STATE(1349),
    [sym_comparison_expression] = STATE(1349),
    [sym_equality_expression] = STATE(1349),
    [sym_conjunction_expression] = STATE(1349),
    [sym_disjunction_expression] = STATE(1349),
    [sym_bitwise_operation] = STATE(1349),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1349),
    [sym_await_expression] = STATE(1349),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1349),
    [sym_call_expression] = STATE(1349),
    [sym__primary_expression] = STATE(1349),
    [sym_tuple_expression] = STATE(1349),
    [sym_array_literal] = STATE(1349),
    [sym_dictionary_literal] = STATE(1349),
    [sym__special_literal] = STATE(1349),
    [sym__playground_literal] = STATE(1349),
    [sym_lambda_literal] = STATE(1349),
    [sym__lambda_type_declaration] = STATE(66),
    [sym_capture_list] = STATE(4269),
    [sym_lambda_function_type] = STATE(7701),
    [sym_lambda_function_type_parameters] = STATE(5444),
    [sym_lambda_parameter] = STATE(5647),
    [sym_self_expression] = STATE(1892),
    [sym_super_expression] = STATE(1349),
    [sym_if_statement] = STATE(2559),
    [sym_guard_statement] = STATE(5953),
    [sym_switch_statement] = STATE(2559),
    [sym_do_statement] = STATE(5953),
    [sym_key_path_expression] = STATE(1349),
    [sym_key_path_string_expression] = STATE(1349),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1349),
    [sym__equality_operator] = STATE(1349),
    [sym__comparison_operator] = STATE(1349),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1349),
    [sym__multiplicative_operator] = STATE(1349),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym_statements] = STATE(7711),
    [sym__local_statement] = STATE(5953),
    [sym__labeled_statement] = STATE(5953),
    [sym_for_statement] = STATE(5953),
    [sym_while_statement] = STATE(5953),
    [sym_repeat_while_statement] = STATE(5953),
    [sym_control_transfer_statement] = STATE(5953),
    [sym__throw_statement] = STATE(6577),
    [sym__optionally_valueful_control_keyword] = STATE(283),
    [sym_assignment] = STATE(1349),
    [sym_value_parameter_pack] = STATE(1349),
    [sym_value_pack_expansion] = STATE(1349),
    [sym__local_declaration] = STATE(5953),
    [sym__local_property_declaration] = STATE(6579),
    [sym__local_typealias_declaration] = STATE(6581),
    [sym__local_function_declaration] = STATE(6582),
    [sym__local_class_declaration] = STATE(6584),
    [sym__modifierless_property_declaration] = STATE(6589),
    [sym__modifierless_typealias_declaration] = STATE(6601),
    [sym__modifierless_function_declaration] = STATE(6604),
    [sym__modifierless_function_declaration_no_body] = STATE(6607),
    [sym__modifierless_class_declaration] = STATE(6613),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__referenceable_operator] = STATE(1349),
    [sym__equal_sign] = STATE(1349),
    [sym__eq_eq] = STATE(1349),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__async_modifier] = STATE(6632),
    [sym_attribute] = STATE(4207),
    [sym_value_binding_pattern] = STATE(3973),
    [sym__possibly_async_binding_pattern_kind] = STATE(3973),
    [aux_sym__locally_permitted_modifiers] = STATE(4189),
    [sym__locally_permitted_modifier] = STATE(4189),
    [sym_property_behavior_modifier] = STATE(4189),
    [sym_inheritance_modifier] = STATE(4189),
    [sym_ownership_modifier] = STATE(4189),
    [sym__parameter_ownership_modifier] = STATE(1477),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [aux_sym__lambda_type_declaration_repeat1] = STATE(4222),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(181),
    [aux_sym_simple_identifier_token2] = ACTIONS(183),
    [aux_sym_simple_identifier_token3] = ACTIONS(183),
    [aux_sym_simple_identifier_token4] = ACTIONS(183),
    [anon_sym_actor] = ACTIONS(185),
    [anon_sym_async] = ACTIONS(187),
    [anon_sym_each] = ACTIONS(189),
    [anon_sym_lazy] = ACTIONS(455),
    [anon_sym_repeat] = ACTIONS(193),
    [anon_sym_package] = ACTIONS(181),
    [anon_sym_nil] = ACTIONS(153),
    [sym_real_literal] = ACTIONS(155),
    [sym_integer_literal] = ACTIONS(153),
    [sym_hex_literal] = ACTIONS(155),
    [sym_oct_literal] = ACTIONS(155),
    [sym_bin_literal] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(199),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(153),
    [anon_sym_POUNDfileID] = ACTIONS(155),
    [anon_sym_POUNDfilePath] = ACTIONS(155),
    [anon_sym_POUNDline] = ACTIONS(155),
    [anon_sym_POUNDcolumn] = ACTIONS(155),
    [anon_sym_POUNDfunction] = ACTIONS(155),
    [anon_sym_POUNDdsohandle] = ACTIONS(155),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_RBRACE] = ACTIONS(467),
    [anon_sym_in] = ACTIONS(469),
    [anon_sym_self] = ACTIONS(205),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_guard] = ACTIONS(69),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(153),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(153),
    [anon_sym_PERCENT] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(155),
    [anon_sym_CARET] = ACTIONS(153),
    [anon_sym_LT_LT] = ACTIONS(155),
    [anon_sym_GT_GT] = ACTIONS(155),
    [sym_statement_label] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [sym_throw_keyword] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(159),
    [anon_sym_continue] = ACTIONS(159),
    [anon_sym_break] = ACTIONS(159),
    [anon_sym_yield] = ACTIONS(159),
    [anon_sym_typealias] = ACTIONS(93),
    [anon_sym_struct] = ACTIONS(95),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_enum] = ACTIONS(99),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_func] = ACTIONS(105),
    [anon_sym_extension] = ACTIONS(109),
    [anon_sym_indirect] = ACTIONS(111),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_AT] = ACTIONS(457),
    [anon_sym_final] = ACTIONS(397),
    [anon_sym_weak] = ACTIONS(399),
    [anon_sym_unowned] = ACTIONS(399),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(401),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(401),
    [anon_sym_borrowing] = ACTIONS(181),
    [anon_sym_consuming] = ACTIONS(181),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(155),
    [sym__eq_eq_custom] = ACTIONS(155),
    [sym__plus_then_ws] = ACTIONS(155),
    [sym__minus_then_ws] = ACTIONS(155),
    [sym__bang_custom] = ACTIONS(151),
    [sym__custom_operator] = ACTIONS(57),
  },
  [37] = {
    [sym_simple_identifier] = STATE(1465),
    [sym__contextual_simple_identifier] = STATE(1477),
    [sym__basic_literal] = STATE(1349),
    [sym_boolean_literal] = STATE(1349),
    [sym__string_literal] = STATE(1349),
    [sym_line_string_literal] = STATE(1349),
    [sym_multi_line_string_literal] = STATE(1349),
    [sym_raw_string_literal] = STATE(1349),
    [sym_regex_literal] = STATE(1349),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1349),
    [sym__unary_expression] = STATE(1349),
    [sym_postfix_expression] = STATE(1349),
    [sym_constructor_expression] = STATE(1349),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1349),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1349),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1349),
    [sym_prefix_expression] = STATE(1349),
    [sym_as_expression] = STATE(1349),
    [sym_selector_expression] = STATE(1349),
    [sym__binary_expression] = STATE(1349),
    [sym_multiplicative_expression] = STATE(1349),
    [sym_additive_expression] = STATE(1349),
    [sym_range_expression] = STATE(1349),
    [sym_infix_expression] = STATE(1349),
    [sym_nil_coalescing_expression] = STATE(1349),
    [sym_check_expression] = STATE(1349),
    [sym_comparison_expression] = STATE(1349),
    [sym_equality_expression] = STATE(1349),
    [sym_conjunction_expression] = STATE(1349),
    [sym_disjunction_expression] = STATE(1349),
    [sym_bitwise_operation] = STATE(1349),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1349),
    [sym_await_expression] = STATE(1349),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1349),
    [sym_call_expression] = STATE(1349),
    [sym__primary_expression] = STATE(1349),
    [sym_tuple_expression] = STATE(1349),
    [sym_array_literal] = STATE(1349),
    [sym_dictionary_literal] = STATE(1349),
    [sym__special_literal] = STATE(1349),
    [sym__playground_literal] = STATE(1349),
    [sym_lambda_literal] = STATE(1349),
    [sym__lambda_type_declaration] = STATE(63),
    [sym_capture_list] = STATE(4269),
    [sym_lambda_function_type] = STATE(7701),
    [sym_lambda_function_type_parameters] = STATE(5444),
    [sym_lambda_parameter] = STATE(5647),
    [sym_self_expression] = STATE(1892),
    [sym_super_expression] = STATE(1349),
    [sym_if_statement] = STATE(2559),
    [sym_guard_statement] = STATE(5953),
    [sym_switch_statement] = STATE(2559),
    [sym_do_statement] = STATE(5953),
    [sym_key_path_expression] = STATE(1349),
    [sym_key_path_string_expression] = STATE(1349),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1349),
    [sym__equality_operator] = STATE(1349),
    [sym__comparison_operator] = STATE(1349),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1349),
    [sym__multiplicative_operator] = STATE(1349),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym_statements] = STATE(7644),
    [sym__local_statement] = STATE(5953),
    [sym__labeled_statement] = STATE(5953),
    [sym_for_statement] = STATE(5953),
    [sym_while_statement] = STATE(5953),
    [sym_repeat_while_statement] = STATE(5953),
    [sym_control_transfer_statement] = STATE(5953),
    [sym__throw_statement] = STATE(6577),
    [sym__optionally_valueful_control_keyword] = STATE(283),
    [sym_assignment] = STATE(1349),
    [sym_value_parameter_pack] = STATE(1349),
    [sym_value_pack_expansion] = STATE(1349),
    [sym__local_declaration] = STATE(5953),
    [sym__local_property_declaration] = STATE(6579),
    [sym__local_typealias_declaration] = STATE(6581),
    [sym__local_function_declaration] = STATE(6582),
    [sym__local_class_declaration] = STATE(6584),
    [sym__modifierless_property_declaration] = STATE(6589),
    [sym__modifierless_typealias_declaration] = STATE(6601),
    [sym__modifierless_function_declaration] = STATE(6604),
    [sym__modifierless_function_declaration_no_body] = STATE(6607),
    [sym__modifierless_class_declaration] = STATE(6613),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__referenceable_operator] = STATE(1349),
    [sym__equal_sign] = STATE(1349),
    [sym__eq_eq] = STATE(1349),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__async_modifier] = STATE(6632),
    [sym_attribute] = STATE(4207),
    [sym_value_binding_pattern] = STATE(3973),
    [sym__possibly_async_binding_pattern_kind] = STATE(3973),
    [aux_sym__locally_permitted_modifiers] = STATE(4189),
    [sym__locally_permitted_modifier] = STATE(4189),
    [sym_property_behavior_modifier] = STATE(4189),
    [sym_inheritance_modifier] = STATE(4189),
    [sym_ownership_modifier] = STATE(4189),
    [sym__parameter_ownership_modifier] = STATE(1477),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [aux_sym__lambda_type_declaration_repeat1] = STATE(4222),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(181),
    [aux_sym_simple_identifier_token2] = ACTIONS(183),
    [aux_sym_simple_identifier_token3] = ACTIONS(183),
    [aux_sym_simple_identifier_token4] = ACTIONS(183),
    [anon_sym_actor] = ACTIONS(185),
    [anon_sym_async] = ACTIONS(187),
    [anon_sym_each] = ACTIONS(189),
    [anon_sym_lazy] = ACTIONS(455),
    [anon_sym_repeat] = ACTIONS(193),
    [anon_sym_package] = ACTIONS(181),
    [anon_sym_nil] = ACTIONS(153),
    [sym_real_literal] = ACTIONS(155),
    [sym_integer_literal] = ACTIONS(153),
    [sym_hex_literal] = ACTIONS(155),
    [sym_oct_literal] = ACTIONS(155),
    [sym_bin_literal] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(199),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(153),
    [anon_sym_POUNDfileID] = ACTIONS(155),
    [anon_sym_POUNDfilePath] = ACTIONS(155),
    [anon_sym_POUNDline] = ACTIONS(155),
    [anon_sym_POUNDcolumn] = ACTIONS(155),
    [anon_sym_POUNDfunction] = ACTIONS(155),
    [anon_sym_POUNDdsohandle] = ACTIONS(155),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_RBRACE] = ACTIONS(471),
    [anon_sym_in] = ACTIONS(473),
    [anon_sym_self] = ACTIONS(205),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_guard] = ACTIONS(69),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(153),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(153),
    [anon_sym_PERCENT] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(155),
    [anon_sym_CARET] = ACTIONS(153),
    [anon_sym_LT_LT] = ACTIONS(155),
    [anon_sym_GT_GT] = ACTIONS(155),
    [sym_statement_label] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [sym_throw_keyword] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(159),
    [anon_sym_continue] = ACTIONS(159),
    [anon_sym_break] = ACTIONS(159),
    [anon_sym_yield] = ACTIONS(159),
    [anon_sym_typealias] = ACTIONS(93),
    [anon_sym_struct] = ACTIONS(95),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_enum] = ACTIONS(99),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_func] = ACTIONS(105),
    [anon_sym_extension] = ACTIONS(109),
    [anon_sym_indirect] = ACTIONS(111),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_AT] = ACTIONS(457),
    [anon_sym_final] = ACTIONS(397),
    [anon_sym_weak] = ACTIONS(399),
    [anon_sym_unowned] = ACTIONS(399),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(401),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(401),
    [anon_sym_borrowing] = ACTIONS(181),
    [anon_sym_consuming] = ACTIONS(181),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(155),
    [sym__eq_eq_custom] = ACTIONS(155),
    [sym__plus_then_ws] = ACTIONS(155),
    [sym__minus_then_ws] = ACTIONS(155),
    [sym__bang_custom] = ACTIONS(151),
    [sym__custom_operator] = ACTIONS(57),
  },
  [38] = {
    [sym_simple_identifier] = STATE(1465),
    [sym__contextual_simple_identifier] = STATE(1477),
    [sym__basic_literal] = STATE(1349),
    [sym_boolean_literal] = STATE(1349),
    [sym__string_literal] = STATE(1349),
    [sym_line_string_literal] = STATE(1349),
    [sym_multi_line_string_literal] = STATE(1349),
    [sym_raw_string_literal] = STATE(1349),
    [sym_regex_literal] = STATE(1349),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1349),
    [sym__unary_expression] = STATE(1349),
    [sym_postfix_expression] = STATE(1349),
    [sym_constructor_expression] = STATE(1349),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1349),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1349),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1349),
    [sym_prefix_expression] = STATE(1349),
    [sym_as_expression] = STATE(1349),
    [sym_selector_expression] = STATE(1349),
    [sym__binary_expression] = STATE(1349),
    [sym_multiplicative_expression] = STATE(1349),
    [sym_additive_expression] = STATE(1349),
    [sym_range_expression] = STATE(1349),
    [sym_infix_expression] = STATE(1349),
    [sym_nil_coalescing_expression] = STATE(1349),
    [sym_check_expression] = STATE(1349),
    [sym_comparison_expression] = STATE(1349),
    [sym_equality_expression] = STATE(1349),
    [sym_conjunction_expression] = STATE(1349),
    [sym_disjunction_expression] = STATE(1349),
    [sym_bitwise_operation] = STATE(1349),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1349),
    [sym_await_expression] = STATE(1349),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1349),
    [sym_call_expression] = STATE(1349),
    [sym__primary_expression] = STATE(1349),
    [sym_tuple_expression] = STATE(1349),
    [sym_array_literal] = STATE(1349),
    [sym_dictionary_literal] = STATE(1349),
    [sym__special_literal] = STATE(1349),
    [sym__playground_literal] = STATE(1349),
    [sym_lambda_literal] = STATE(1349),
    [sym__lambda_type_declaration] = STATE(68),
    [sym_capture_list] = STATE(4269),
    [sym_lambda_function_type] = STATE(7701),
    [sym_lambda_function_type_parameters] = STATE(5444),
    [sym_lambda_parameter] = STATE(5647),
    [sym_self_expression] = STATE(1892),
    [sym_super_expression] = STATE(1349),
    [sym_if_statement] = STATE(2559),
    [sym_guard_statement] = STATE(5953),
    [sym_switch_statement] = STATE(2559),
    [sym_do_statement] = STATE(5953),
    [sym_key_path_expression] = STATE(1349),
    [sym_key_path_string_expression] = STATE(1349),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1349),
    [sym__equality_operator] = STATE(1349),
    [sym__comparison_operator] = STATE(1349),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1349),
    [sym__multiplicative_operator] = STATE(1349),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym_statements] = STATE(7725),
    [sym__local_statement] = STATE(5953),
    [sym__labeled_statement] = STATE(5953),
    [sym_for_statement] = STATE(5953),
    [sym_while_statement] = STATE(5953),
    [sym_repeat_while_statement] = STATE(5953),
    [sym_control_transfer_statement] = STATE(5953),
    [sym__throw_statement] = STATE(6577),
    [sym__optionally_valueful_control_keyword] = STATE(283),
    [sym_assignment] = STATE(1349),
    [sym_value_parameter_pack] = STATE(1349),
    [sym_value_pack_expansion] = STATE(1349),
    [sym__local_declaration] = STATE(5953),
    [sym__local_property_declaration] = STATE(6579),
    [sym__local_typealias_declaration] = STATE(6581),
    [sym__local_function_declaration] = STATE(6582),
    [sym__local_class_declaration] = STATE(6584),
    [sym__modifierless_property_declaration] = STATE(6589),
    [sym__modifierless_typealias_declaration] = STATE(6601),
    [sym__modifierless_function_declaration] = STATE(6604),
    [sym__modifierless_function_declaration_no_body] = STATE(6607),
    [sym__modifierless_class_declaration] = STATE(6613),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__referenceable_operator] = STATE(1349),
    [sym__equal_sign] = STATE(1349),
    [sym__eq_eq] = STATE(1349),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__async_modifier] = STATE(6632),
    [sym_attribute] = STATE(4207),
    [sym_value_binding_pattern] = STATE(3973),
    [sym__possibly_async_binding_pattern_kind] = STATE(3973),
    [aux_sym__locally_permitted_modifiers] = STATE(4189),
    [sym__locally_permitted_modifier] = STATE(4189),
    [sym_property_behavior_modifier] = STATE(4189),
    [sym_inheritance_modifier] = STATE(4189),
    [sym_ownership_modifier] = STATE(4189),
    [sym__parameter_ownership_modifier] = STATE(1477),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [aux_sym__lambda_type_declaration_repeat1] = STATE(4222),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(181),
    [aux_sym_simple_identifier_token2] = ACTIONS(183),
    [aux_sym_simple_identifier_token3] = ACTIONS(183),
    [aux_sym_simple_identifier_token4] = ACTIONS(183),
    [anon_sym_actor] = ACTIONS(185),
    [anon_sym_async] = ACTIONS(187),
    [anon_sym_each] = ACTIONS(189),
    [anon_sym_lazy] = ACTIONS(455),
    [anon_sym_repeat] = ACTIONS(193),
    [anon_sym_package] = ACTIONS(181),
    [anon_sym_nil] = ACTIONS(153),
    [sym_real_literal] = ACTIONS(155),
    [sym_integer_literal] = ACTIONS(153),
    [sym_hex_literal] = ACTIONS(155),
    [sym_oct_literal] = ACTIONS(155),
    [sym_bin_literal] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(199),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(153),
    [anon_sym_POUNDfileID] = ACTIONS(155),
    [anon_sym_POUNDfilePath] = ACTIONS(155),
    [anon_sym_POUNDline] = ACTIONS(155),
    [anon_sym_POUNDcolumn] = ACTIONS(155),
    [anon_sym_POUNDfunction] = ACTIONS(155),
    [anon_sym_POUNDdsohandle] = ACTIONS(155),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_RBRACE] = ACTIONS(475),
    [anon_sym_in] = ACTIONS(477),
    [anon_sym_self] = ACTIONS(205),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_guard] = ACTIONS(69),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(153),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(153),
    [anon_sym_PERCENT] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(155),
    [anon_sym_CARET] = ACTIONS(153),
    [anon_sym_LT_LT] = ACTIONS(155),
    [anon_sym_GT_GT] = ACTIONS(155),
    [sym_statement_label] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [sym_throw_keyword] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(159),
    [anon_sym_continue] = ACTIONS(159),
    [anon_sym_break] = ACTIONS(159),
    [anon_sym_yield] = ACTIONS(159),
    [anon_sym_typealias] = ACTIONS(93),
    [anon_sym_struct] = ACTIONS(95),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_enum] = ACTIONS(99),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_func] = ACTIONS(105),
    [anon_sym_extension] = ACTIONS(109),
    [anon_sym_indirect] = ACTIONS(111),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_AT] = ACTIONS(457),
    [anon_sym_final] = ACTIONS(397),
    [anon_sym_weak] = ACTIONS(399),
    [anon_sym_unowned] = ACTIONS(399),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(401),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(401),
    [anon_sym_borrowing] = ACTIONS(181),
    [anon_sym_consuming] = ACTIONS(181),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(155),
    [sym__eq_eq_custom] = ACTIONS(155),
    [sym__plus_then_ws] = ACTIONS(155),
    [sym__minus_then_ws] = ACTIONS(155),
    [sym__bang_custom] = ACTIONS(151),
    [sym__custom_operator] = ACTIONS(57),
  },
  [39] = {
    [sym_simple_identifier] = STATE(1465),
    [sym__contextual_simple_identifier] = STATE(1477),
    [sym__basic_literal] = STATE(1349),
    [sym_boolean_literal] = STATE(1349),
    [sym__string_literal] = STATE(1349),
    [sym_line_string_literal] = STATE(1349),
    [sym_multi_line_string_literal] = STATE(1349),
    [sym_raw_string_literal] = STATE(1349),
    [sym_regex_literal] = STATE(1349),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1349),
    [sym__unary_expression] = STATE(1349),
    [sym_postfix_expression] = STATE(1349),
    [sym_constructor_expression] = STATE(1349),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1349),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1349),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1349),
    [sym_prefix_expression] = STATE(1349),
    [sym_as_expression] = STATE(1349),
    [sym_selector_expression] = STATE(1349),
    [sym__binary_expression] = STATE(1349),
    [sym_multiplicative_expression] = STATE(1349),
    [sym_additive_expression] = STATE(1349),
    [sym_range_expression] = STATE(1349),
    [sym_infix_expression] = STATE(1349),
    [sym_nil_coalescing_expression] = STATE(1349),
    [sym_check_expression] = STATE(1349),
    [sym_comparison_expression] = STATE(1349),
    [sym_equality_expression] = STATE(1349),
    [sym_conjunction_expression] = STATE(1349),
    [sym_disjunction_expression] = STATE(1349),
    [sym_bitwise_operation] = STATE(1349),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1349),
    [sym_await_expression] = STATE(1349),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1349),
    [sym_call_expression] = STATE(1349),
    [sym__primary_expression] = STATE(1349),
    [sym_tuple_expression] = STATE(1349),
    [sym_array_literal] = STATE(1349),
    [sym_dictionary_literal] = STATE(1349),
    [sym__special_literal] = STATE(1349),
    [sym__playground_literal] = STATE(1349),
    [sym_lambda_literal] = STATE(1349),
    [sym__lambda_type_declaration] = STATE(79),
    [sym_capture_list] = STATE(4269),
    [sym_lambda_function_type] = STATE(7701),
    [sym_lambda_function_type_parameters] = STATE(5444),
    [sym_lambda_parameter] = STATE(5647),
    [sym_self_expression] = STATE(1892),
    [sym_super_expression] = STATE(1349),
    [sym_if_statement] = STATE(2559),
    [sym_guard_statement] = STATE(5953),
    [sym_switch_statement] = STATE(2559),
    [sym_do_statement] = STATE(5953),
    [sym_key_path_expression] = STATE(1349),
    [sym_key_path_string_expression] = STATE(1349),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1349),
    [sym__equality_operator] = STATE(1349),
    [sym__comparison_operator] = STATE(1349),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1349),
    [sym__multiplicative_operator] = STATE(1349),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym_statements] = STATE(7730),
    [sym__local_statement] = STATE(5953),
    [sym__labeled_statement] = STATE(5953),
    [sym_for_statement] = STATE(5953),
    [sym_while_statement] = STATE(5953),
    [sym_repeat_while_statement] = STATE(5953),
    [sym_control_transfer_statement] = STATE(5953),
    [sym__throw_statement] = STATE(6577),
    [sym__optionally_valueful_control_keyword] = STATE(283),
    [sym_assignment] = STATE(1349),
    [sym_value_parameter_pack] = STATE(1349),
    [sym_value_pack_expansion] = STATE(1349),
    [sym__local_declaration] = STATE(5953),
    [sym__local_property_declaration] = STATE(6579),
    [sym__local_typealias_declaration] = STATE(6581),
    [sym__local_function_declaration] = STATE(6582),
    [sym__local_class_declaration] = STATE(6584),
    [sym__modifierless_property_declaration] = STATE(6589),
    [sym__modifierless_typealias_declaration] = STATE(6601),
    [sym__modifierless_function_declaration] = STATE(6604),
    [sym__modifierless_function_declaration_no_body] = STATE(6607),
    [sym__modifierless_class_declaration] = STATE(6613),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__referenceable_operator] = STATE(1349),
    [sym__equal_sign] = STATE(1349),
    [sym__eq_eq] = STATE(1349),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__async_modifier] = STATE(6632),
    [sym_attribute] = STATE(4207),
    [sym_value_binding_pattern] = STATE(3973),
    [sym__possibly_async_binding_pattern_kind] = STATE(3973),
    [aux_sym__locally_permitted_modifiers] = STATE(4189),
    [sym__locally_permitted_modifier] = STATE(4189),
    [sym_property_behavior_modifier] = STATE(4189),
    [sym_inheritance_modifier] = STATE(4189),
    [sym_ownership_modifier] = STATE(4189),
    [sym__parameter_ownership_modifier] = STATE(1477),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [aux_sym__lambda_type_declaration_repeat1] = STATE(4222),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(181),
    [aux_sym_simple_identifier_token2] = ACTIONS(183),
    [aux_sym_simple_identifier_token3] = ACTIONS(183),
    [aux_sym_simple_identifier_token4] = ACTIONS(183),
    [anon_sym_actor] = ACTIONS(185),
    [anon_sym_async] = ACTIONS(187),
    [anon_sym_each] = ACTIONS(189),
    [anon_sym_lazy] = ACTIONS(455),
    [anon_sym_repeat] = ACTIONS(193),
    [anon_sym_package] = ACTIONS(181),
    [anon_sym_nil] = ACTIONS(153),
    [sym_real_literal] = ACTIONS(155),
    [sym_integer_literal] = ACTIONS(153),
    [sym_hex_literal] = ACTIONS(155),
    [sym_oct_literal] = ACTIONS(155),
    [sym_bin_literal] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(199),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(153),
    [anon_sym_POUNDfileID] = ACTIONS(155),
    [anon_sym_POUNDfilePath] = ACTIONS(155),
    [anon_sym_POUNDline] = ACTIONS(155),
    [anon_sym_POUNDcolumn] = ACTIONS(155),
    [anon_sym_POUNDfunction] = ACTIONS(155),
    [anon_sym_POUNDdsohandle] = ACTIONS(155),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_RBRACE] = ACTIONS(479),
    [anon_sym_in] = ACTIONS(481),
    [anon_sym_self] = ACTIONS(205),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_guard] = ACTIONS(69),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(153),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(153),
    [anon_sym_PERCENT] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(155),
    [anon_sym_CARET] = ACTIONS(153),
    [anon_sym_LT_LT] = ACTIONS(155),
    [anon_sym_GT_GT] = ACTIONS(155),
    [sym_statement_label] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [sym_throw_keyword] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(159),
    [anon_sym_continue] = ACTIONS(159),
    [anon_sym_break] = ACTIONS(159),
    [anon_sym_yield] = ACTIONS(159),
    [anon_sym_typealias] = ACTIONS(93),
    [anon_sym_struct] = ACTIONS(95),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_enum] = ACTIONS(99),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_func] = ACTIONS(105),
    [anon_sym_extension] = ACTIONS(109),
    [anon_sym_indirect] = ACTIONS(111),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_AT] = ACTIONS(457),
    [anon_sym_final] = ACTIONS(397),
    [anon_sym_weak] = ACTIONS(399),
    [anon_sym_unowned] = ACTIONS(399),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(401),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(401),
    [anon_sym_borrowing] = ACTIONS(181),
    [anon_sym_consuming] = ACTIONS(181),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(155),
    [sym__eq_eq_custom] = ACTIONS(155),
    [sym__plus_then_ws] = ACTIONS(155),
    [sym__minus_then_ws] = ACTIONS(155),
    [sym__bang_custom] = ACTIONS(151),
    [sym__custom_operator] = ACTIONS(57),
  },
  [40] = {
    [sym_simple_identifier] = STATE(1465),
    [sym__contextual_simple_identifier] = STATE(1477),
    [sym__basic_literal] = STATE(1349),
    [sym_boolean_literal] = STATE(1349),
    [sym__string_literal] = STATE(1349),
    [sym_line_string_literal] = STATE(1349),
    [sym_multi_line_string_literal] = STATE(1349),
    [sym_raw_string_literal] = STATE(1349),
    [sym_regex_literal] = STATE(1349),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1349),
    [sym__unary_expression] = STATE(1349),
    [sym_postfix_expression] = STATE(1349),
    [sym_constructor_expression] = STATE(1349),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1349),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1349),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1349),
    [sym_prefix_expression] = STATE(1349),
    [sym_as_expression] = STATE(1349),
    [sym_selector_expression] = STATE(1349),
    [sym__binary_expression] = STATE(1349),
    [sym_multiplicative_expression] = STATE(1349),
    [sym_additive_expression] = STATE(1349),
    [sym_range_expression] = STATE(1349),
    [sym_infix_expression] = STATE(1349),
    [sym_nil_coalescing_expression] = STATE(1349),
    [sym_check_expression] = STATE(1349),
    [sym_comparison_expression] = STATE(1349),
    [sym_equality_expression] = STATE(1349),
    [sym_conjunction_expression] = STATE(1349),
    [sym_disjunction_expression] = STATE(1349),
    [sym_bitwise_operation] = STATE(1349),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1349),
    [sym_await_expression] = STATE(1349),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1349),
    [sym_call_expression] = STATE(1349),
    [sym__primary_expression] = STATE(1349),
    [sym_tuple_expression] = STATE(1349),
    [sym_array_literal] = STATE(1349),
    [sym_dictionary_literal] = STATE(1349),
    [sym__special_literal] = STATE(1349),
    [sym__playground_literal] = STATE(1349),
    [sym_lambda_literal] = STATE(1349),
    [sym__lambda_type_declaration] = STATE(78),
    [sym_capture_list] = STATE(4269),
    [sym_lambda_function_type] = STATE(7701),
    [sym_lambda_function_type_parameters] = STATE(5444),
    [sym_lambda_parameter] = STATE(5647),
    [sym_self_expression] = STATE(1892),
    [sym_super_expression] = STATE(1349),
    [sym_if_statement] = STATE(2559),
    [sym_guard_statement] = STATE(5953),
    [sym_switch_statement] = STATE(2559),
    [sym_do_statement] = STATE(5953),
    [sym_key_path_expression] = STATE(1349),
    [sym_key_path_string_expression] = STATE(1349),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1349),
    [sym__equality_operator] = STATE(1349),
    [sym__comparison_operator] = STATE(1349),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1349),
    [sym__multiplicative_operator] = STATE(1349),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym_statements] = STATE(7656),
    [sym__local_statement] = STATE(5953),
    [sym__labeled_statement] = STATE(5953),
    [sym_for_statement] = STATE(5953),
    [sym_while_statement] = STATE(5953),
    [sym_repeat_while_statement] = STATE(5953),
    [sym_control_transfer_statement] = STATE(5953),
    [sym__throw_statement] = STATE(6577),
    [sym__optionally_valueful_control_keyword] = STATE(283),
    [sym_assignment] = STATE(1349),
    [sym_value_parameter_pack] = STATE(1349),
    [sym_value_pack_expansion] = STATE(1349),
    [sym__local_declaration] = STATE(5953),
    [sym__local_property_declaration] = STATE(6579),
    [sym__local_typealias_declaration] = STATE(6581),
    [sym__local_function_declaration] = STATE(6582),
    [sym__local_class_declaration] = STATE(6584),
    [sym__modifierless_property_declaration] = STATE(6589),
    [sym__modifierless_typealias_declaration] = STATE(6601),
    [sym__modifierless_function_declaration] = STATE(6604),
    [sym__modifierless_function_declaration_no_body] = STATE(6607),
    [sym__modifierless_class_declaration] = STATE(6613),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__referenceable_operator] = STATE(1349),
    [sym__equal_sign] = STATE(1349),
    [sym__eq_eq] = STATE(1349),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__async_modifier] = STATE(6632),
    [sym_attribute] = STATE(4207),
    [sym_value_binding_pattern] = STATE(3973),
    [sym__possibly_async_binding_pattern_kind] = STATE(3973),
    [aux_sym__locally_permitted_modifiers] = STATE(4189),
    [sym__locally_permitted_modifier] = STATE(4189),
    [sym_property_behavior_modifier] = STATE(4189),
    [sym_inheritance_modifier] = STATE(4189),
    [sym_ownership_modifier] = STATE(4189),
    [sym__parameter_ownership_modifier] = STATE(1477),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [aux_sym__lambda_type_declaration_repeat1] = STATE(4222),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(181),
    [aux_sym_simple_identifier_token2] = ACTIONS(183),
    [aux_sym_simple_identifier_token3] = ACTIONS(183),
    [aux_sym_simple_identifier_token4] = ACTIONS(183),
    [anon_sym_actor] = ACTIONS(185),
    [anon_sym_async] = ACTIONS(187),
    [anon_sym_each] = ACTIONS(189),
    [anon_sym_lazy] = ACTIONS(455),
    [anon_sym_repeat] = ACTIONS(193),
    [anon_sym_package] = ACTIONS(181),
    [anon_sym_nil] = ACTIONS(153),
    [sym_real_literal] = ACTIONS(155),
    [sym_integer_literal] = ACTIONS(153),
    [sym_hex_literal] = ACTIONS(155),
    [sym_oct_literal] = ACTIONS(155),
    [sym_bin_literal] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(199),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(153),
    [anon_sym_POUNDfileID] = ACTIONS(155),
    [anon_sym_POUNDfilePath] = ACTIONS(155),
    [anon_sym_POUNDline] = ACTIONS(155),
    [anon_sym_POUNDcolumn] = ACTIONS(155),
    [anon_sym_POUNDfunction] = ACTIONS(155),
    [anon_sym_POUNDdsohandle] = ACTIONS(155),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_RBRACE] = ACTIONS(483),
    [anon_sym_in] = ACTIONS(485),
    [anon_sym_self] = ACTIONS(205),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_guard] = ACTIONS(69),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(153),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(153),
    [anon_sym_PERCENT] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(155),
    [anon_sym_CARET] = ACTIONS(153),
    [anon_sym_LT_LT] = ACTIONS(155),
    [anon_sym_GT_GT] = ACTIONS(155),
    [sym_statement_label] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [sym_throw_keyword] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(159),
    [anon_sym_continue] = ACTIONS(159),
    [anon_sym_break] = ACTIONS(159),
    [anon_sym_yield] = ACTIONS(159),
    [anon_sym_typealias] = ACTIONS(93),
    [anon_sym_struct] = ACTIONS(95),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_enum] = ACTIONS(99),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_func] = ACTIONS(105),
    [anon_sym_extension] = ACTIONS(109),
    [anon_sym_indirect] = ACTIONS(111),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_AT] = ACTIONS(457),
    [anon_sym_final] = ACTIONS(397),
    [anon_sym_weak] = ACTIONS(399),
    [anon_sym_unowned] = ACTIONS(399),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(401),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(401),
    [anon_sym_borrowing] = ACTIONS(181),
    [anon_sym_consuming] = ACTIONS(181),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(155),
    [sym__eq_eq_custom] = ACTIONS(155),
    [sym__plus_then_ws] = ACTIONS(155),
    [sym__minus_then_ws] = ACTIONS(155),
    [sym__bang_custom] = ACTIONS(151),
    [sym__custom_operator] = ACTIONS(57),
  },
  [41] = {
    [sym_simple_identifier] = STATE(1465),
    [sym__contextual_simple_identifier] = STATE(1477),
    [sym__basic_literal] = STATE(1349),
    [sym_boolean_literal] = STATE(1349),
    [sym__string_literal] = STATE(1349),
    [sym_line_string_literal] = STATE(1349),
    [sym_multi_line_string_literal] = STATE(1349),
    [sym_raw_string_literal] = STATE(1349),
    [sym_regex_literal] = STATE(1349),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1349),
    [sym__unary_expression] = STATE(1349),
    [sym_postfix_expression] = STATE(1349),
    [sym_constructor_expression] = STATE(1349),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1349),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1349),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1349),
    [sym_prefix_expression] = STATE(1349),
    [sym_as_expression] = STATE(1349),
    [sym_selector_expression] = STATE(1349),
    [sym__binary_expression] = STATE(1349),
    [sym_multiplicative_expression] = STATE(1349),
    [sym_additive_expression] = STATE(1349),
    [sym_range_expression] = STATE(1349),
    [sym_infix_expression] = STATE(1349),
    [sym_nil_coalescing_expression] = STATE(1349),
    [sym_check_expression] = STATE(1349),
    [sym_comparison_expression] = STATE(1349),
    [sym_equality_expression] = STATE(1349),
    [sym_conjunction_expression] = STATE(1349),
    [sym_disjunction_expression] = STATE(1349),
    [sym_bitwise_operation] = STATE(1349),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1349),
    [sym_await_expression] = STATE(1349),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1349),
    [sym_call_expression] = STATE(1349),
    [sym__primary_expression] = STATE(1349),
    [sym_tuple_expression] = STATE(1349),
    [sym_array_literal] = STATE(1349),
    [sym_dictionary_literal] = STATE(1349),
    [sym__special_literal] = STATE(1349),
    [sym__playground_literal] = STATE(1349),
    [sym_lambda_literal] = STATE(1349),
    [sym__lambda_type_declaration] = STATE(65),
    [sym_capture_list] = STATE(4269),
    [sym_lambda_function_type] = STATE(7701),
    [sym_lambda_function_type_parameters] = STATE(5444),
    [sym_lambda_parameter] = STATE(5647),
    [sym_self_expression] = STATE(1892),
    [sym_super_expression] = STATE(1349),
    [sym_if_statement] = STATE(2559),
    [sym_guard_statement] = STATE(5953),
    [sym_switch_statement] = STATE(2559),
    [sym_do_statement] = STATE(5953),
    [sym_key_path_expression] = STATE(1349),
    [sym_key_path_string_expression] = STATE(1349),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1349),
    [sym__equality_operator] = STATE(1349),
    [sym__comparison_operator] = STATE(1349),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1349),
    [sym__multiplicative_operator] = STATE(1349),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym_statements] = STATE(7706),
    [sym__local_statement] = STATE(5953),
    [sym__labeled_statement] = STATE(5953),
    [sym_for_statement] = STATE(5953),
    [sym_while_statement] = STATE(5953),
    [sym_repeat_while_statement] = STATE(5953),
    [sym_control_transfer_statement] = STATE(5953),
    [sym__throw_statement] = STATE(6577),
    [sym__optionally_valueful_control_keyword] = STATE(283),
    [sym_assignment] = STATE(1349),
    [sym_value_parameter_pack] = STATE(1349),
    [sym_value_pack_expansion] = STATE(1349),
    [sym__local_declaration] = STATE(5953),
    [sym__local_property_declaration] = STATE(6579),
    [sym__local_typealias_declaration] = STATE(6581),
    [sym__local_function_declaration] = STATE(6582),
    [sym__local_class_declaration] = STATE(6584),
    [sym__modifierless_property_declaration] = STATE(6589),
    [sym__modifierless_typealias_declaration] = STATE(6601),
    [sym__modifierless_function_declaration] = STATE(6604),
    [sym__modifierless_function_declaration_no_body] = STATE(6607),
    [sym__modifierless_class_declaration] = STATE(6613),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__referenceable_operator] = STATE(1349),
    [sym__equal_sign] = STATE(1349),
    [sym__eq_eq] = STATE(1349),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__async_modifier] = STATE(6632),
    [sym_attribute] = STATE(4207),
    [sym_value_binding_pattern] = STATE(3973),
    [sym__possibly_async_binding_pattern_kind] = STATE(3973),
    [aux_sym__locally_permitted_modifiers] = STATE(4189),
    [sym__locally_permitted_modifier] = STATE(4189),
    [sym_property_behavior_modifier] = STATE(4189),
    [sym_inheritance_modifier] = STATE(4189),
    [sym_ownership_modifier] = STATE(4189),
    [sym__parameter_ownership_modifier] = STATE(1477),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [aux_sym__lambda_type_declaration_repeat1] = STATE(4222),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(181),
    [aux_sym_simple_identifier_token2] = ACTIONS(183),
    [aux_sym_simple_identifier_token3] = ACTIONS(183),
    [aux_sym_simple_identifier_token4] = ACTIONS(183),
    [anon_sym_actor] = ACTIONS(185),
    [anon_sym_async] = ACTIONS(187),
    [anon_sym_each] = ACTIONS(189),
    [anon_sym_lazy] = ACTIONS(455),
    [anon_sym_repeat] = ACTIONS(193),
    [anon_sym_package] = ACTIONS(181),
    [anon_sym_nil] = ACTIONS(153),
    [sym_real_literal] = ACTIONS(155),
    [sym_integer_literal] = ACTIONS(153),
    [sym_hex_literal] = ACTIONS(155),
    [sym_oct_literal] = ACTIONS(155),
    [sym_bin_literal] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(199),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(153),
    [anon_sym_POUNDfileID] = ACTIONS(155),
    [anon_sym_POUNDfilePath] = ACTIONS(155),
    [anon_sym_POUNDline] = ACTIONS(155),
    [anon_sym_POUNDcolumn] = ACTIONS(155),
    [anon_sym_POUNDfunction] = ACTIONS(155),
    [anon_sym_POUNDdsohandle] = ACTIONS(155),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_RBRACE] = ACTIONS(487),
    [anon_sym_in] = ACTIONS(489),
    [anon_sym_self] = ACTIONS(205),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_guard] = ACTIONS(69),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(153),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(153),
    [anon_sym_PERCENT] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(155),
    [anon_sym_CARET] = ACTIONS(153),
    [anon_sym_LT_LT] = ACTIONS(155),
    [anon_sym_GT_GT] = ACTIONS(155),
    [sym_statement_label] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [sym_throw_keyword] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(159),
    [anon_sym_continue] = ACTIONS(159),
    [anon_sym_break] = ACTIONS(159),
    [anon_sym_yield] = ACTIONS(159),
    [anon_sym_typealias] = ACTIONS(93),
    [anon_sym_struct] = ACTIONS(95),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_enum] = ACTIONS(99),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_func] = ACTIONS(105),
    [anon_sym_extension] = ACTIONS(109),
    [anon_sym_indirect] = ACTIONS(111),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_AT] = ACTIONS(457),
    [anon_sym_final] = ACTIONS(397),
    [anon_sym_weak] = ACTIONS(399),
    [anon_sym_unowned] = ACTIONS(399),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(401),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(401),
    [anon_sym_borrowing] = ACTIONS(181),
    [anon_sym_consuming] = ACTIONS(181),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(155),
    [sym__eq_eq_custom] = ACTIONS(155),
    [sym__plus_then_ws] = ACTIONS(155),
    [sym__minus_then_ws] = ACTIONS(155),
    [sym__bang_custom] = ACTIONS(151),
    [sym__custom_operator] = ACTIONS(57),
  },
  [42] = {
    [sym_simple_identifier] = STATE(1465),
    [sym__contextual_simple_identifier] = STATE(1477),
    [sym__basic_literal] = STATE(1349),
    [sym_boolean_literal] = STATE(1349),
    [sym__string_literal] = STATE(1349),
    [sym_line_string_literal] = STATE(1349),
    [sym_multi_line_string_literal] = STATE(1349),
    [sym_raw_string_literal] = STATE(1349),
    [sym_regex_literal] = STATE(1349),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1349),
    [sym__unary_expression] = STATE(1349),
    [sym_postfix_expression] = STATE(1349),
    [sym_constructor_expression] = STATE(1349),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1349),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1349),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1349),
    [sym_prefix_expression] = STATE(1349),
    [sym_as_expression] = STATE(1349),
    [sym_selector_expression] = STATE(1349),
    [sym__binary_expression] = STATE(1349),
    [sym_multiplicative_expression] = STATE(1349),
    [sym_additive_expression] = STATE(1349),
    [sym_range_expression] = STATE(1349),
    [sym_infix_expression] = STATE(1349),
    [sym_nil_coalescing_expression] = STATE(1349),
    [sym_check_expression] = STATE(1349),
    [sym_comparison_expression] = STATE(1349),
    [sym_equality_expression] = STATE(1349),
    [sym_conjunction_expression] = STATE(1349),
    [sym_disjunction_expression] = STATE(1349),
    [sym_bitwise_operation] = STATE(1349),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1349),
    [sym_await_expression] = STATE(1349),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1349),
    [sym_call_expression] = STATE(1349),
    [sym__primary_expression] = STATE(1349),
    [sym_tuple_expression] = STATE(1349),
    [sym_array_literal] = STATE(1349),
    [sym_dictionary_literal] = STATE(1349),
    [sym__special_literal] = STATE(1349),
    [sym__playground_literal] = STATE(1349),
    [sym_lambda_literal] = STATE(1349),
    [sym__lambda_type_declaration] = STATE(94),
    [sym_capture_list] = STATE(4269),
    [sym_lambda_function_type] = STATE(7701),
    [sym_lambda_function_type_parameters] = STATE(5444),
    [sym_lambda_parameter] = STATE(5647),
    [sym_self_expression] = STATE(1892),
    [sym_super_expression] = STATE(1349),
    [sym_if_statement] = STATE(2559),
    [sym_guard_statement] = STATE(5953),
    [sym_switch_statement] = STATE(2559),
    [sym_do_statement] = STATE(5953),
    [sym_key_path_expression] = STATE(1349),
    [sym_key_path_string_expression] = STATE(1349),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1349),
    [sym__equality_operator] = STATE(1349),
    [sym__comparison_operator] = STATE(1349),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1349),
    [sym__multiplicative_operator] = STATE(1349),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym_statements] = STATE(7729),
    [sym__local_statement] = STATE(5953),
    [sym__labeled_statement] = STATE(5953),
    [sym_for_statement] = STATE(5953),
    [sym_while_statement] = STATE(5953),
    [sym_repeat_while_statement] = STATE(5953),
    [sym_control_transfer_statement] = STATE(5953),
    [sym__throw_statement] = STATE(6577),
    [sym__optionally_valueful_control_keyword] = STATE(283),
    [sym_assignment] = STATE(1349),
    [sym_value_parameter_pack] = STATE(1349),
    [sym_value_pack_expansion] = STATE(1349),
    [sym__local_declaration] = STATE(5953),
    [sym__local_property_declaration] = STATE(6579),
    [sym__local_typealias_declaration] = STATE(6581),
    [sym__local_function_declaration] = STATE(6582),
    [sym__local_class_declaration] = STATE(6584),
    [sym__modifierless_property_declaration] = STATE(6589),
    [sym__modifierless_typealias_declaration] = STATE(6601),
    [sym__modifierless_function_declaration] = STATE(6604),
    [sym__modifierless_function_declaration_no_body] = STATE(6607),
    [sym__modifierless_class_declaration] = STATE(6613),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__referenceable_operator] = STATE(1349),
    [sym__equal_sign] = STATE(1349),
    [sym__eq_eq] = STATE(1349),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__async_modifier] = STATE(6632),
    [sym_attribute] = STATE(4207),
    [sym_value_binding_pattern] = STATE(3973),
    [sym__possibly_async_binding_pattern_kind] = STATE(3973),
    [aux_sym__locally_permitted_modifiers] = STATE(4189),
    [sym__locally_permitted_modifier] = STATE(4189),
    [sym_property_behavior_modifier] = STATE(4189),
    [sym_inheritance_modifier] = STATE(4189),
    [sym_ownership_modifier] = STATE(4189),
    [sym__parameter_ownership_modifier] = STATE(1477),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [aux_sym__lambda_type_declaration_repeat1] = STATE(4222),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(181),
    [aux_sym_simple_identifier_token2] = ACTIONS(183),
    [aux_sym_simple_identifier_token3] = ACTIONS(183),
    [aux_sym_simple_identifier_token4] = ACTIONS(183),
    [anon_sym_actor] = ACTIONS(185),
    [anon_sym_async] = ACTIONS(187),
    [anon_sym_each] = ACTIONS(189),
    [anon_sym_lazy] = ACTIONS(455),
    [anon_sym_repeat] = ACTIONS(193),
    [anon_sym_package] = ACTIONS(181),
    [anon_sym_nil] = ACTIONS(153),
    [sym_real_literal] = ACTIONS(155),
    [sym_integer_literal] = ACTIONS(153),
    [sym_hex_literal] = ACTIONS(155),
    [sym_oct_literal] = ACTIONS(155),
    [sym_bin_literal] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(199),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(153),
    [anon_sym_POUNDfileID] = ACTIONS(155),
    [anon_sym_POUNDfilePath] = ACTIONS(155),
    [anon_sym_POUNDline] = ACTIONS(155),
    [anon_sym_POUNDcolumn] = ACTIONS(155),
    [anon_sym_POUNDfunction] = ACTIONS(155),
    [anon_sym_POUNDdsohandle] = ACTIONS(155),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_RBRACE] = ACTIONS(491),
    [anon_sym_in] = ACTIONS(493),
    [anon_sym_self] = ACTIONS(205),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_guard] = ACTIONS(69),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(153),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(153),
    [anon_sym_PERCENT] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(155),
    [anon_sym_CARET] = ACTIONS(153),
    [anon_sym_LT_LT] = ACTIONS(155),
    [anon_sym_GT_GT] = ACTIONS(155),
    [sym_statement_label] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [sym_throw_keyword] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(159),
    [anon_sym_continue] = ACTIONS(159),
    [anon_sym_break] = ACTIONS(159),
    [anon_sym_yield] = ACTIONS(159),
    [anon_sym_typealias] = ACTIONS(93),
    [anon_sym_struct] = ACTIONS(95),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_enum] = ACTIONS(99),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_func] = ACTIONS(105),
    [anon_sym_extension] = ACTIONS(109),
    [anon_sym_indirect] = ACTIONS(111),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_AT] = ACTIONS(457),
    [anon_sym_final] = ACTIONS(397),
    [anon_sym_weak] = ACTIONS(399),
    [anon_sym_unowned] = ACTIONS(399),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(401),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(401),
    [anon_sym_borrowing] = ACTIONS(181),
    [anon_sym_consuming] = ACTIONS(181),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(155),
    [sym__eq_eq_custom] = ACTIONS(155),
    [sym__plus_then_ws] = ACTIONS(155),
    [sym__minus_then_ws] = ACTIONS(155),
    [sym__bang_custom] = ACTIONS(151),
    [sym__custom_operator] = ACTIONS(57),
  },
  [43] = {
    [sym_simple_identifier] = STATE(1465),
    [sym__contextual_simple_identifier] = STATE(1477),
    [sym__basic_literal] = STATE(1349),
    [sym_boolean_literal] = STATE(1349),
    [sym__string_literal] = STATE(1349),
    [sym_line_string_literal] = STATE(1349),
    [sym_multi_line_string_literal] = STATE(1349),
    [sym_raw_string_literal] = STATE(1349),
    [sym_regex_literal] = STATE(1349),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1349),
    [sym__unary_expression] = STATE(1349),
    [sym_postfix_expression] = STATE(1349),
    [sym_constructor_expression] = STATE(1349),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1349),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1349),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1349),
    [sym_prefix_expression] = STATE(1349),
    [sym_as_expression] = STATE(1349),
    [sym_selector_expression] = STATE(1349),
    [sym__binary_expression] = STATE(1349),
    [sym_multiplicative_expression] = STATE(1349),
    [sym_additive_expression] = STATE(1349),
    [sym_range_expression] = STATE(1349),
    [sym_infix_expression] = STATE(1349),
    [sym_nil_coalescing_expression] = STATE(1349),
    [sym_check_expression] = STATE(1349),
    [sym_comparison_expression] = STATE(1349),
    [sym_equality_expression] = STATE(1349),
    [sym_conjunction_expression] = STATE(1349),
    [sym_disjunction_expression] = STATE(1349),
    [sym_bitwise_operation] = STATE(1349),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1349),
    [sym_await_expression] = STATE(1349),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1349),
    [sym_call_expression] = STATE(1349),
    [sym__primary_expression] = STATE(1349),
    [sym_tuple_expression] = STATE(1349),
    [sym_array_literal] = STATE(1349),
    [sym_dictionary_literal] = STATE(1349),
    [sym__special_literal] = STATE(1349),
    [sym__playground_literal] = STATE(1349),
    [sym_lambda_literal] = STATE(1349),
    [sym__lambda_type_declaration] = STATE(90),
    [sym_capture_list] = STATE(4269),
    [sym_lambda_function_type] = STATE(7701),
    [sym_lambda_function_type_parameters] = STATE(5444),
    [sym_lambda_parameter] = STATE(5647),
    [sym_self_expression] = STATE(1892),
    [sym_super_expression] = STATE(1349),
    [sym_if_statement] = STATE(2559),
    [sym_guard_statement] = STATE(5953),
    [sym_switch_statement] = STATE(2559),
    [sym_do_statement] = STATE(5953),
    [sym_key_path_expression] = STATE(1349),
    [sym_key_path_string_expression] = STATE(1349),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1349),
    [sym__equality_operator] = STATE(1349),
    [sym__comparison_operator] = STATE(1349),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1349),
    [sym__multiplicative_operator] = STATE(1349),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym_statements] = STATE(7724),
    [sym__local_statement] = STATE(5953),
    [sym__labeled_statement] = STATE(5953),
    [sym_for_statement] = STATE(5953),
    [sym_while_statement] = STATE(5953),
    [sym_repeat_while_statement] = STATE(5953),
    [sym_control_transfer_statement] = STATE(5953),
    [sym__throw_statement] = STATE(6577),
    [sym__optionally_valueful_control_keyword] = STATE(283),
    [sym_assignment] = STATE(1349),
    [sym_value_parameter_pack] = STATE(1349),
    [sym_value_pack_expansion] = STATE(1349),
    [sym__local_declaration] = STATE(5953),
    [sym__local_property_declaration] = STATE(6579),
    [sym__local_typealias_declaration] = STATE(6581),
    [sym__local_function_declaration] = STATE(6582),
    [sym__local_class_declaration] = STATE(6584),
    [sym__modifierless_property_declaration] = STATE(6589),
    [sym__modifierless_typealias_declaration] = STATE(6601),
    [sym__modifierless_function_declaration] = STATE(6604),
    [sym__modifierless_function_declaration_no_body] = STATE(6607),
    [sym__modifierless_class_declaration] = STATE(6613),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__referenceable_operator] = STATE(1349),
    [sym__equal_sign] = STATE(1349),
    [sym__eq_eq] = STATE(1349),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__async_modifier] = STATE(6632),
    [sym_attribute] = STATE(4207),
    [sym_value_binding_pattern] = STATE(3973),
    [sym__possibly_async_binding_pattern_kind] = STATE(3973),
    [aux_sym__locally_permitted_modifiers] = STATE(4189),
    [sym__locally_permitted_modifier] = STATE(4189),
    [sym_property_behavior_modifier] = STATE(4189),
    [sym_inheritance_modifier] = STATE(4189),
    [sym_ownership_modifier] = STATE(4189),
    [sym__parameter_ownership_modifier] = STATE(1477),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [aux_sym__lambda_type_declaration_repeat1] = STATE(4222),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(181),
    [aux_sym_simple_identifier_token2] = ACTIONS(183),
    [aux_sym_simple_identifier_token3] = ACTIONS(183),
    [aux_sym_simple_identifier_token4] = ACTIONS(183),
    [anon_sym_actor] = ACTIONS(185),
    [anon_sym_async] = ACTIONS(187),
    [anon_sym_each] = ACTIONS(189),
    [anon_sym_lazy] = ACTIONS(455),
    [anon_sym_repeat] = ACTIONS(193),
    [anon_sym_package] = ACTIONS(181),
    [anon_sym_nil] = ACTIONS(153),
    [sym_real_literal] = ACTIONS(155),
    [sym_integer_literal] = ACTIONS(153),
    [sym_hex_literal] = ACTIONS(155),
    [sym_oct_literal] = ACTIONS(155),
    [sym_bin_literal] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(199),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(153),
    [anon_sym_POUNDfileID] = ACTIONS(155),
    [anon_sym_POUNDfilePath] = ACTIONS(155),
    [anon_sym_POUNDline] = ACTIONS(155),
    [anon_sym_POUNDcolumn] = ACTIONS(155),
    [anon_sym_POUNDfunction] = ACTIONS(155),
    [anon_sym_POUNDdsohandle] = ACTIONS(155),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_RBRACE] = ACTIONS(495),
    [anon_sym_in] = ACTIONS(497),
    [anon_sym_self] = ACTIONS(205),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_guard] = ACTIONS(69),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(153),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(153),
    [anon_sym_PERCENT] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(155),
    [anon_sym_CARET] = ACTIONS(153),
    [anon_sym_LT_LT] = ACTIONS(155),
    [anon_sym_GT_GT] = ACTIONS(155),
    [sym_statement_label] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [sym_throw_keyword] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(159),
    [anon_sym_continue] = ACTIONS(159),
    [anon_sym_break] = ACTIONS(159),
    [anon_sym_yield] = ACTIONS(159),
    [anon_sym_typealias] = ACTIONS(93),
    [anon_sym_struct] = ACTIONS(95),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_enum] = ACTIONS(99),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_func] = ACTIONS(105),
    [anon_sym_extension] = ACTIONS(109),
    [anon_sym_indirect] = ACTIONS(111),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_AT] = ACTIONS(457),
    [anon_sym_final] = ACTIONS(397),
    [anon_sym_weak] = ACTIONS(399),
    [anon_sym_unowned] = ACTIONS(399),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(401),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(401),
    [anon_sym_borrowing] = ACTIONS(181),
    [anon_sym_consuming] = ACTIONS(181),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(155),
    [sym__eq_eq_custom] = ACTIONS(155),
    [sym__plus_then_ws] = ACTIONS(155),
    [sym__minus_then_ws] = ACTIONS(155),
    [sym__bang_custom] = ACTIONS(151),
    [sym__custom_operator] = ACTIONS(57),
  },
  [44] = {
    [sym_simple_identifier] = STATE(1465),
    [sym__contextual_simple_identifier] = STATE(1477),
    [sym__basic_literal] = STATE(1349),
    [sym_boolean_literal] = STATE(1349),
    [sym__string_literal] = STATE(1349),
    [sym_line_string_literal] = STATE(1349),
    [sym_multi_line_string_literal] = STATE(1349),
    [sym_raw_string_literal] = STATE(1349),
    [sym_regex_literal] = STATE(1349),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1349),
    [sym__unary_expression] = STATE(1349),
    [sym_postfix_expression] = STATE(1349),
    [sym_constructor_expression] = STATE(1349),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1349),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1349),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1349),
    [sym_prefix_expression] = STATE(1349),
    [sym_as_expression] = STATE(1349),
    [sym_selector_expression] = STATE(1349),
    [sym__binary_expression] = STATE(1349),
    [sym_multiplicative_expression] = STATE(1349),
    [sym_additive_expression] = STATE(1349),
    [sym_range_expression] = STATE(1349),
    [sym_infix_expression] = STATE(1349),
    [sym_nil_coalescing_expression] = STATE(1349),
    [sym_check_expression] = STATE(1349),
    [sym_comparison_expression] = STATE(1349),
    [sym_equality_expression] = STATE(1349),
    [sym_conjunction_expression] = STATE(1349),
    [sym_disjunction_expression] = STATE(1349),
    [sym_bitwise_operation] = STATE(1349),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1349),
    [sym_await_expression] = STATE(1349),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1349),
    [sym_call_expression] = STATE(1349),
    [sym__primary_expression] = STATE(1349),
    [sym_tuple_expression] = STATE(1349),
    [sym_array_literal] = STATE(1349),
    [sym_dictionary_literal] = STATE(1349),
    [sym__special_literal] = STATE(1349),
    [sym__playground_literal] = STATE(1349),
    [sym_lambda_literal] = STATE(1349),
    [sym__lambda_type_declaration] = STATE(90),
    [sym_capture_list] = STATE(4269),
    [sym_lambda_function_type] = STATE(7701),
    [sym_lambda_function_type_parameters] = STATE(5444),
    [sym_lambda_parameter] = STATE(5647),
    [sym_self_expression] = STATE(1892),
    [sym_super_expression] = STATE(1349),
    [sym_if_statement] = STATE(2559),
    [sym_guard_statement] = STATE(5953),
    [sym_switch_statement] = STATE(2559),
    [sym_do_statement] = STATE(5953),
    [sym_key_path_expression] = STATE(1349),
    [sym_key_path_string_expression] = STATE(1349),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1349),
    [sym__equality_operator] = STATE(1349),
    [sym__comparison_operator] = STATE(1349),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1349),
    [sym__multiplicative_operator] = STATE(1349),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym_statements] = STATE(7736),
    [sym__local_statement] = STATE(5953),
    [sym__labeled_statement] = STATE(5953),
    [sym_for_statement] = STATE(5953),
    [sym_while_statement] = STATE(5953),
    [sym_repeat_while_statement] = STATE(5953),
    [sym_control_transfer_statement] = STATE(5953),
    [sym__throw_statement] = STATE(6577),
    [sym__optionally_valueful_control_keyword] = STATE(283),
    [sym_assignment] = STATE(1349),
    [sym_value_parameter_pack] = STATE(1349),
    [sym_value_pack_expansion] = STATE(1349),
    [sym__local_declaration] = STATE(5953),
    [sym__local_property_declaration] = STATE(6579),
    [sym__local_typealias_declaration] = STATE(6581),
    [sym__local_function_declaration] = STATE(6582),
    [sym__local_class_declaration] = STATE(6584),
    [sym__modifierless_property_declaration] = STATE(6589),
    [sym__modifierless_typealias_declaration] = STATE(6601),
    [sym__modifierless_function_declaration] = STATE(6604),
    [sym__modifierless_function_declaration_no_body] = STATE(6607),
    [sym__modifierless_class_declaration] = STATE(6613),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__referenceable_operator] = STATE(1349),
    [sym__equal_sign] = STATE(1349),
    [sym__eq_eq] = STATE(1349),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__async_modifier] = STATE(6632),
    [sym_attribute] = STATE(4207),
    [sym_value_binding_pattern] = STATE(3973),
    [sym__possibly_async_binding_pattern_kind] = STATE(3973),
    [aux_sym__locally_permitted_modifiers] = STATE(4189),
    [sym__locally_permitted_modifier] = STATE(4189),
    [sym_property_behavior_modifier] = STATE(4189),
    [sym_inheritance_modifier] = STATE(4189),
    [sym_ownership_modifier] = STATE(4189),
    [sym__parameter_ownership_modifier] = STATE(1477),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [aux_sym__lambda_type_declaration_repeat1] = STATE(4222),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(181),
    [aux_sym_simple_identifier_token2] = ACTIONS(183),
    [aux_sym_simple_identifier_token3] = ACTIONS(183),
    [aux_sym_simple_identifier_token4] = ACTIONS(183),
    [anon_sym_actor] = ACTIONS(185),
    [anon_sym_async] = ACTIONS(187),
    [anon_sym_each] = ACTIONS(189),
    [anon_sym_lazy] = ACTIONS(455),
    [anon_sym_repeat] = ACTIONS(193),
    [anon_sym_package] = ACTIONS(181),
    [anon_sym_nil] = ACTIONS(153),
    [sym_real_literal] = ACTIONS(155),
    [sym_integer_literal] = ACTIONS(153),
    [sym_hex_literal] = ACTIONS(155),
    [sym_oct_literal] = ACTIONS(155),
    [sym_bin_literal] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(199),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(153),
    [anon_sym_POUNDfileID] = ACTIONS(155),
    [anon_sym_POUNDfilePath] = ACTIONS(155),
    [anon_sym_POUNDline] = ACTIONS(155),
    [anon_sym_POUNDcolumn] = ACTIONS(155),
    [anon_sym_POUNDfunction] = ACTIONS(155),
    [anon_sym_POUNDdsohandle] = ACTIONS(155),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_RBRACE] = ACTIONS(499),
    [anon_sym_in] = ACTIONS(497),
    [anon_sym_self] = ACTIONS(205),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_guard] = ACTIONS(69),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(153),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(153),
    [anon_sym_PERCENT] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(155),
    [anon_sym_CARET] = ACTIONS(153),
    [anon_sym_LT_LT] = ACTIONS(155),
    [anon_sym_GT_GT] = ACTIONS(155),
    [sym_statement_label] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [sym_throw_keyword] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(159),
    [anon_sym_continue] = ACTIONS(159),
    [anon_sym_break] = ACTIONS(159),
    [anon_sym_yield] = ACTIONS(159),
    [anon_sym_typealias] = ACTIONS(93),
    [anon_sym_struct] = ACTIONS(95),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_enum] = ACTIONS(99),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_func] = ACTIONS(105),
    [anon_sym_extension] = ACTIONS(109),
    [anon_sym_indirect] = ACTIONS(111),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_AT] = ACTIONS(457),
    [anon_sym_final] = ACTIONS(397),
    [anon_sym_weak] = ACTIONS(399),
    [anon_sym_unowned] = ACTIONS(399),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(401),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(401),
    [anon_sym_borrowing] = ACTIONS(181),
    [anon_sym_consuming] = ACTIONS(181),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(155),
    [sym__eq_eq_custom] = ACTIONS(155),
    [sym__plus_then_ws] = ACTIONS(155),
    [sym__minus_then_ws] = ACTIONS(155),
    [sym__bang_custom] = ACTIONS(151),
    [sym__custom_operator] = ACTIONS(57),
  },
  [45] = {
    [sym_simple_identifier] = STATE(1465),
    [sym__contextual_simple_identifier] = STATE(1477),
    [sym__basic_literal] = STATE(1349),
    [sym_boolean_literal] = STATE(1349),
    [sym__string_literal] = STATE(1349),
    [sym_line_string_literal] = STATE(1349),
    [sym_multi_line_string_literal] = STATE(1349),
    [sym_raw_string_literal] = STATE(1349),
    [sym_regex_literal] = STATE(1349),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1349),
    [sym__unary_expression] = STATE(1349),
    [sym_postfix_expression] = STATE(1349),
    [sym_constructor_expression] = STATE(1349),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1349),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1349),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1349),
    [sym_prefix_expression] = STATE(1349),
    [sym_as_expression] = STATE(1349),
    [sym_selector_expression] = STATE(1349),
    [sym__binary_expression] = STATE(1349),
    [sym_multiplicative_expression] = STATE(1349),
    [sym_additive_expression] = STATE(1349),
    [sym_range_expression] = STATE(1349),
    [sym_infix_expression] = STATE(1349),
    [sym_nil_coalescing_expression] = STATE(1349),
    [sym_check_expression] = STATE(1349),
    [sym_comparison_expression] = STATE(1349),
    [sym_equality_expression] = STATE(1349),
    [sym_conjunction_expression] = STATE(1349),
    [sym_disjunction_expression] = STATE(1349),
    [sym_bitwise_operation] = STATE(1349),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1349),
    [sym_await_expression] = STATE(1349),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1349),
    [sym_call_expression] = STATE(1349),
    [sym__primary_expression] = STATE(1349),
    [sym_tuple_expression] = STATE(1349),
    [sym_array_literal] = STATE(1349),
    [sym_dictionary_literal] = STATE(1349),
    [sym__special_literal] = STATE(1349),
    [sym__playground_literal] = STATE(1349),
    [sym_lambda_literal] = STATE(1349),
    [sym__lambda_type_declaration] = STATE(101),
    [sym_capture_list] = STATE(4269),
    [sym_lambda_function_type] = STATE(7701),
    [sym_lambda_function_type_parameters] = STATE(5444),
    [sym_lambda_parameter] = STATE(5647),
    [sym_self_expression] = STATE(1892),
    [sym_super_expression] = STATE(1349),
    [sym_if_statement] = STATE(2559),
    [sym_guard_statement] = STATE(5953),
    [sym_switch_statement] = STATE(2559),
    [sym_do_statement] = STATE(5953),
    [sym_key_path_expression] = STATE(1349),
    [sym_key_path_string_expression] = STATE(1349),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1349),
    [sym__equality_operator] = STATE(1349),
    [sym__comparison_operator] = STATE(1349),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1349),
    [sym__multiplicative_operator] = STATE(1349),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym_statements] = STATE(7746),
    [sym__local_statement] = STATE(5953),
    [sym__labeled_statement] = STATE(5953),
    [sym_for_statement] = STATE(5953),
    [sym_while_statement] = STATE(5953),
    [sym_repeat_while_statement] = STATE(5953),
    [sym_control_transfer_statement] = STATE(5953),
    [sym__throw_statement] = STATE(6577),
    [sym__optionally_valueful_control_keyword] = STATE(283),
    [sym_assignment] = STATE(1349),
    [sym_value_parameter_pack] = STATE(1349),
    [sym_value_pack_expansion] = STATE(1349),
    [sym__local_declaration] = STATE(5953),
    [sym__local_property_declaration] = STATE(6579),
    [sym__local_typealias_declaration] = STATE(6581),
    [sym__local_function_declaration] = STATE(6582),
    [sym__local_class_declaration] = STATE(6584),
    [sym__modifierless_property_declaration] = STATE(6589),
    [sym__modifierless_typealias_declaration] = STATE(6601),
    [sym__modifierless_function_declaration] = STATE(6604),
    [sym__modifierless_function_declaration_no_body] = STATE(6607),
    [sym__modifierless_class_declaration] = STATE(6613),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__referenceable_operator] = STATE(1349),
    [sym__equal_sign] = STATE(1349),
    [sym__eq_eq] = STATE(1349),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__async_modifier] = STATE(6632),
    [sym_attribute] = STATE(4207),
    [sym_value_binding_pattern] = STATE(3973),
    [sym__possibly_async_binding_pattern_kind] = STATE(3973),
    [aux_sym__locally_permitted_modifiers] = STATE(4189),
    [sym__locally_permitted_modifier] = STATE(4189),
    [sym_property_behavior_modifier] = STATE(4189),
    [sym_inheritance_modifier] = STATE(4189),
    [sym_ownership_modifier] = STATE(4189),
    [sym__parameter_ownership_modifier] = STATE(1477),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [aux_sym__lambda_type_declaration_repeat1] = STATE(4222),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(181),
    [aux_sym_simple_identifier_token2] = ACTIONS(183),
    [aux_sym_simple_identifier_token3] = ACTIONS(183),
    [aux_sym_simple_identifier_token4] = ACTIONS(183),
    [anon_sym_actor] = ACTIONS(185),
    [anon_sym_async] = ACTIONS(187),
    [anon_sym_each] = ACTIONS(189),
    [anon_sym_lazy] = ACTIONS(455),
    [anon_sym_repeat] = ACTIONS(193),
    [anon_sym_package] = ACTIONS(181),
    [anon_sym_nil] = ACTIONS(153),
    [sym_real_literal] = ACTIONS(155),
    [sym_integer_literal] = ACTIONS(153),
    [sym_hex_literal] = ACTIONS(155),
    [sym_oct_literal] = ACTIONS(155),
    [sym_bin_literal] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(199),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(153),
    [anon_sym_POUNDfileID] = ACTIONS(155),
    [anon_sym_POUNDfilePath] = ACTIONS(155),
    [anon_sym_POUNDline] = ACTIONS(155),
    [anon_sym_POUNDcolumn] = ACTIONS(155),
    [anon_sym_POUNDfunction] = ACTIONS(155),
    [anon_sym_POUNDdsohandle] = ACTIONS(155),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_RBRACE] = ACTIONS(501),
    [anon_sym_in] = ACTIONS(503),
    [anon_sym_self] = ACTIONS(205),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_guard] = ACTIONS(69),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(153),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(153),
    [anon_sym_PERCENT] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(155),
    [anon_sym_CARET] = ACTIONS(153),
    [anon_sym_LT_LT] = ACTIONS(155),
    [anon_sym_GT_GT] = ACTIONS(155),
    [sym_statement_label] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [sym_throw_keyword] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(159),
    [anon_sym_continue] = ACTIONS(159),
    [anon_sym_break] = ACTIONS(159),
    [anon_sym_yield] = ACTIONS(159),
    [anon_sym_typealias] = ACTIONS(93),
    [anon_sym_struct] = ACTIONS(95),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_enum] = ACTIONS(99),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_func] = ACTIONS(105),
    [anon_sym_extension] = ACTIONS(109),
    [anon_sym_indirect] = ACTIONS(111),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_AT] = ACTIONS(457),
    [anon_sym_final] = ACTIONS(397),
    [anon_sym_weak] = ACTIONS(399),
    [anon_sym_unowned] = ACTIONS(399),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(401),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(401),
    [anon_sym_borrowing] = ACTIONS(181),
    [anon_sym_consuming] = ACTIONS(181),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(155),
    [sym__eq_eq_custom] = ACTIONS(155),
    [sym__plus_then_ws] = ACTIONS(155),
    [sym__minus_then_ws] = ACTIONS(155),
    [sym__bang_custom] = ACTIONS(151),
    [sym__custom_operator] = ACTIONS(57),
  },
  [46] = {
    [sym_simple_identifier] = STATE(1465),
    [sym__contextual_simple_identifier] = STATE(1477),
    [sym__basic_literal] = STATE(1349),
    [sym_boolean_literal] = STATE(1349),
    [sym__string_literal] = STATE(1349),
    [sym_line_string_literal] = STATE(1349),
    [sym_multi_line_string_literal] = STATE(1349),
    [sym_raw_string_literal] = STATE(1349),
    [sym_regex_literal] = STATE(1349),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1349),
    [sym__unary_expression] = STATE(1349),
    [sym_postfix_expression] = STATE(1349),
    [sym_constructor_expression] = STATE(1349),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1349),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1349),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1349),
    [sym_prefix_expression] = STATE(1349),
    [sym_as_expression] = STATE(1349),
    [sym_selector_expression] = STATE(1349),
    [sym__binary_expression] = STATE(1349),
    [sym_multiplicative_expression] = STATE(1349),
    [sym_additive_expression] = STATE(1349),
    [sym_range_expression] = STATE(1349),
    [sym_infix_expression] = STATE(1349),
    [sym_nil_coalescing_expression] = STATE(1349),
    [sym_check_expression] = STATE(1349),
    [sym_comparison_expression] = STATE(1349),
    [sym_equality_expression] = STATE(1349),
    [sym_conjunction_expression] = STATE(1349),
    [sym_disjunction_expression] = STATE(1349),
    [sym_bitwise_operation] = STATE(1349),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1349),
    [sym_await_expression] = STATE(1349),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1349),
    [sym_call_expression] = STATE(1349),
    [sym__primary_expression] = STATE(1349),
    [sym_tuple_expression] = STATE(1349),
    [sym_array_literal] = STATE(1349),
    [sym_dictionary_literal] = STATE(1349),
    [sym__special_literal] = STATE(1349),
    [sym__playground_literal] = STATE(1349),
    [sym_lambda_literal] = STATE(1349),
    [sym__lambda_type_declaration] = STATE(98),
    [sym_capture_list] = STATE(4269),
    [sym_lambda_function_type] = STATE(7701),
    [sym_lambda_function_type_parameters] = STATE(5444),
    [sym_lambda_parameter] = STATE(5647),
    [sym_self_expression] = STATE(1892),
    [sym_super_expression] = STATE(1349),
    [sym_if_statement] = STATE(2559),
    [sym_guard_statement] = STATE(5953),
    [sym_switch_statement] = STATE(2559),
    [sym_do_statement] = STATE(5953),
    [sym_key_path_expression] = STATE(1349),
    [sym_key_path_string_expression] = STATE(1349),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1349),
    [sym__equality_operator] = STATE(1349),
    [sym__comparison_operator] = STATE(1349),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1349),
    [sym__multiplicative_operator] = STATE(1349),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym_statements] = STATE(7710),
    [sym__local_statement] = STATE(5953),
    [sym__labeled_statement] = STATE(5953),
    [sym_for_statement] = STATE(5953),
    [sym_while_statement] = STATE(5953),
    [sym_repeat_while_statement] = STATE(5953),
    [sym_control_transfer_statement] = STATE(5953),
    [sym__throw_statement] = STATE(6577),
    [sym__optionally_valueful_control_keyword] = STATE(283),
    [sym_assignment] = STATE(1349),
    [sym_value_parameter_pack] = STATE(1349),
    [sym_value_pack_expansion] = STATE(1349),
    [sym__local_declaration] = STATE(5953),
    [sym__local_property_declaration] = STATE(6579),
    [sym__local_typealias_declaration] = STATE(6581),
    [sym__local_function_declaration] = STATE(6582),
    [sym__local_class_declaration] = STATE(6584),
    [sym__modifierless_property_declaration] = STATE(6589),
    [sym__modifierless_typealias_declaration] = STATE(6601),
    [sym__modifierless_function_declaration] = STATE(6604),
    [sym__modifierless_function_declaration_no_body] = STATE(6607),
    [sym__modifierless_class_declaration] = STATE(6613),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__referenceable_operator] = STATE(1349),
    [sym__equal_sign] = STATE(1349),
    [sym__eq_eq] = STATE(1349),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__async_modifier] = STATE(6632),
    [sym_attribute] = STATE(4207),
    [sym_value_binding_pattern] = STATE(3973),
    [sym__possibly_async_binding_pattern_kind] = STATE(3973),
    [aux_sym__locally_permitted_modifiers] = STATE(4189),
    [sym__locally_permitted_modifier] = STATE(4189),
    [sym_property_behavior_modifier] = STATE(4189),
    [sym_inheritance_modifier] = STATE(4189),
    [sym_ownership_modifier] = STATE(4189),
    [sym__parameter_ownership_modifier] = STATE(1477),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [aux_sym__lambda_type_declaration_repeat1] = STATE(4222),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(181),
    [aux_sym_simple_identifier_token2] = ACTIONS(183),
    [aux_sym_simple_identifier_token3] = ACTIONS(183),
    [aux_sym_simple_identifier_token4] = ACTIONS(183),
    [anon_sym_actor] = ACTIONS(185),
    [anon_sym_async] = ACTIONS(187),
    [anon_sym_each] = ACTIONS(189),
    [anon_sym_lazy] = ACTIONS(455),
    [anon_sym_repeat] = ACTIONS(193),
    [anon_sym_package] = ACTIONS(181),
    [anon_sym_nil] = ACTIONS(153),
    [sym_real_literal] = ACTIONS(155),
    [sym_integer_literal] = ACTIONS(153),
    [sym_hex_literal] = ACTIONS(155),
    [sym_oct_literal] = ACTIONS(155),
    [sym_bin_literal] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(199),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(153),
    [anon_sym_POUNDfileID] = ACTIONS(155),
    [anon_sym_POUNDfilePath] = ACTIONS(155),
    [anon_sym_POUNDline] = ACTIONS(155),
    [anon_sym_POUNDcolumn] = ACTIONS(155),
    [anon_sym_POUNDfunction] = ACTIONS(155),
    [anon_sym_POUNDdsohandle] = ACTIONS(155),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_RBRACE] = ACTIONS(505),
    [anon_sym_in] = ACTIONS(221),
    [anon_sym_self] = ACTIONS(205),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_guard] = ACTIONS(69),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(153),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(153),
    [anon_sym_PERCENT] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(155),
    [anon_sym_CARET] = ACTIONS(153),
    [anon_sym_LT_LT] = ACTIONS(155),
    [anon_sym_GT_GT] = ACTIONS(155),
    [sym_statement_label] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [sym_throw_keyword] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(159),
    [anon_sym_continue] = ACTIONS(159),
    [anon_sym_break] = ACTIONS(159),
    [anon_sym_yield] = ACTIONS(159),
    [anon_sym_typealias] = ACTIONS(93),
    [anon_sym_struct] = ACTIONS(95),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_enum] = ACTIONS(99),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_func] = ACTIONS(105),
    [anon_sym_extension] = ACTIONS(109),
    [anon_sym_indirect] = ACTIONS(111),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_AT] = ACTIONS(457),
    [anon_sym_final] = ACTIONS(397),
    [anon_sym_weak] = ACTIONS(399),
    [anon_sym_unowned] = ACTIONS(399),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(401),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(401),
    [anon_sym_borrowing] = ACTIONS(181),
    [anon_sym_consuming] = ACTIONS(181),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(155),
    [sym__eq_eq_custom] = ACTIONS(155),
    [sym__plus_then_ws] = ACTIONS(155),
    [sym__minus_then_ws] = ACTIONS(155),
    [sym__bang_custom] = ACTIONS(151),
    [sym__custom_operator] = ACTIONS(57),
  },
  [47] = {
    [sym_simple_identifier] = STATE(1465),
    [sym__contextual_simple_identifier] = STATE(1477),
    [sym__basic_literal] = STATE(1349),
    [sym_boolean_literal] = STATE(1349),
    [sym__string_literal] = STATE(1349),
    [sym_line_string_literal] = STATE(1349),
    [sym_multi_line_string_literal] = STATE(1349),
    [sym_raw_string_literal] = STATE(1349),
    [sym_regex_literal] = STATE(1349),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1349),
    [sym__unary_expression] = STATE(1349),
    [sym_postfix_expression] = STATE(1349),
    [sym_constructor_expression] = STATE(1349),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1349),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1349),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1349),
    [sym_prefix_expression] = STATE(1349),
    [sym_as_expression] = STATE(1349),
    [sym_selector_expression] = STATE(1349),
    [sym__binary_expression] = STATE(1349),
    [sym_multiplicative_expression] = STATE(1349),
    [sym_additive_expression] = STATE(1349),
    [sym_range_expression] = STATE(1349),
    [sym_infix_expression] = STATE(1349),
    [sym_nil_coalescing_expression] = STATE(1349),
    [sym_check_expression] = STATE(1349),
    [sym_comparison_expression] = STATE(1349),
    [sym_equality_expression] = STATE(1349),
    [sym_conjunction_expression] = STATE(1349),
    [sym_disjunction_expression] = STATE(1349),
    [sym_bitwise_operation] = STATE(1349),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1349),
    [sym_await_expression] = STATE(1349),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1349),
    [sym_call_expression] = STATE(1349),
    [sym__primary_expression] = STATE(1349),
    [sym_tuple_expression] = STATE(1349),
    [sym_array_literal] = STATE(1349),
    [sym_dictionary_literal] = STATE(1349),
    [sym__special_literal] = STATE(1349),
    [sym__playground_literal] = STATE(1349),
    [sym_lambda_literal] = STATE(1349),
    [sym__lambda_type_declaration] = STATE(97),
    [sym_capture_list] = STATE(4269),
    [sym_lambda_function_type] = STATE(7701),
    [sym_lambda_function_type_parameters] = STATE(5444),
    [sym_lambda_parameter] = STATE(5647),
    [sym_self_expression] = STATE(1892),
    [sym_super_expression] = STATE(1349),
    [sym_if_statement] = STATE(2559),
    [sym_guard_statement] = STATE(5953),
    [sym_switch_statement] = STATE(2559),
    [sym_do_statement] = STATE(5953),
    [sym_key_path_expression] = STATE(1349),
    [sym_key_path_string_expression] = STATE(1349),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1349),
    [sym__equality_operator] = STATE(1349),
    [sym__comparison_operator] = STATE(1349),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1349),
    [sym__multiplicative_operator] = STATE(1349),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym_statements] = STATE(7760),
    [sym__local_statement] = STATE(5953),
    [sym__labeled_statement] = STATE(5953),
    [sym_for_statement] = STATE(5953),
    [sym_while_statement] = STATE(5953),
    [sym_repeat_while_statement] = STATE(5953),
    [sym_control_transfer_statement] = STATE(5953),
    [sym__throw_statement] = STATE(6577),
    [sym__optionally_valueful_control_keyword] = STATE(283),
    [sym_assignment] = STATE(1349),
    [sym_value_parameter_pack] = STATE(1349),
    [sym_value_pack_expansion] = STATE(1349),
    [sym__local_declaration] = STATE(5953),
    [sym__local_property_declaration] = STATE(6579),
    [sym__local_typealias_declaration] = STATE(6581),
    [sym__local_function_declaration] = STATE(6582),
    [sym__local_class_declaration] = STATE(6584),
    [sym__modifierless_property_declaration] = STATE(6589),
    [sym__modifierless_typealias_declaration] = STATE(6601),
    [sym__modifierless_function_declaration] = STATE(6604),
    [sym__modifierless_function_declaration_no_body] = STATE(6607),
    [sym__modifierless_class_declaration] = STATE(6613),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__referenceable_operator] = STATE(1349),
    [sym__equal_sign] = STATE(1349),
    [sym__eq_eq] = STATE(1349),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__async_modifier] = STATE(6632),
    [sym_attribute] = STATE(4207),
    [sym_value_binding_pattern] = STATE(3973),
    [sym__possibly_async_binding_pattern_kind] = STATE(3973),
    [aux_sym__locally_permitted_modifiers] = STATE(4189),
    [sym__locally_permitted_modifier] = STATE(4189),
    [sym_property_behavior_modifier] = STATE(4189),
    [sym_inheritance_modifier] = STATE(4189),
    [sym_ownership_modifier] = STATE(4189),
    [sym__parameter_ownership_modifier] = STATE(1477),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [aux_sym__lambda_type_declaration_repeat1] = STATE(4222),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(181),
    [aux_sym_simple_identifier_token2] = ACTIONS(183),
    [aux_sym_simple_identifier_token3] = ACTIONS(183),
    [aux_sym_simple_identifier_token4] = ACTIONS(183),
    [anon_sym_actor] = ACTIONS(185),
    [anon_sym_async] = ACTIONS(187),
    [anon_sym_each] = ACTIONS(189),
    [anon_sym_lazy] = ACTIONS(455),
    [anon_sym_repeat] = ACTIONS(193),
    [anon_sym_package] = ACTIONS(181),
    [anon_sym_nil] = ACTIONS(153),
    [sym_real_literal] = ACTIONS(155),
    [sym_integer_literal] = ACTIONS(153),
    [sym_hex_literal] = ACTIONS(155),
    [sym_oct_literal] = ACTIONS(155),
    [sym_bin_literal] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(199),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(153),
    [anon_sym_POUNDfileID] = ACTIONS(155),
    [anon_sym_POUNDfilePath] = ACTIONS(155),
    [anon_sym_POUNDline] = ACTIONS(155),
    [anon_sym_POUNDcolumn] = ACTIONS(155),
    [anon_sym_POUNDfunction] = ACTIONS(155),
    [anon_sym_POUNDdsohandle] = ACTIONS(155),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_RBRACE] = ACTIONS(507),
    [anon_sym_in] = ACTIONS(509),
    [anon_sym_self] = ACTIONS(205),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_guard] = ACTIONS(69),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(153),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(153),
    [anon_sym_PERCENT] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(155),
    [anon_sym_CARET] = ACTIONS(153),
    [anon_sym_LT_LT] = ACTIONS(155),
    [anon_sym_GT_GT] = ACTIONS(155),
    [sym_statement_label] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [sym_throw_keyword] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(159),
    [anon_sym_continue] = ACTIONS(159),
    [anon_sym_break] = ACTIONS(159),
    [anon_sym_yield] = ACTIONS(159),
    [anon_sym_typealias] = ACTIONS(93),
    [anon_sym_struct] = ACTIONS(95),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_enum] = ACTIONS(99),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_func] = ACTIONS(105),
    [anon_sym_extension] = ACTIONS(109),
    [anon_sym_indirect] = ACTIONS(111),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_AT] = ACTIONS(457),
    [anon_sym_final] = ACTIONS(397),
    [anon_sym_weak] = ACTIONS(399),
    [anon_sym_unowned] = ACTIONS(399),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(401),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(401),
    [anon_sym_borrowing] = ACTIONS(181),
    [anon_sym_consuming] = ACTIONS(181),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(155),
    [sym__eq_eq_custom] = ACTIONS(155),
    [sym__plus_then_ws] = ACTIONS(155),
    [sym__minus_then_ws] = ACTIONS(155),
    [sym__bang_custom] = ACTIONS(151),
    [sym__custom_operator] = ACTIONS(57),
  },
  [48] = {
    [sym_simple_identifier] = STATE(1465),
    [sym__contextual_simple_identifier] = STATE(1477),
    [sym__basic_literal] = STATE(1349),
    [sym_boolean_literal] = STATE(1349),
    [sym__string_literal] = STATE(1349),
    [sym_line_string_literal] = STATE(1349),
    [sym_multi_line_string_literal] = STATE(1349),
    [sym_raw_string_literal] = STATE(1349),
    [sym_regex_literal] = STATE(1349),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1349),
    [sym__unary_expression] = STATE(1349),
    [sym_postfix_expression] = STATE(1349),
    [sym_constructor_expression] = STATE(1349),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1349),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1349),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1349),
    [sym_prefix_expression] = STATE(1349),
    [sym_as_expression] = STATE(1349),
    [sym_selector_expression] = STATE(1349),
    [sym__binary_expression] = STATE(1349),
    [sym_multiplicative_expression] = STATE(1349),
    [sym_additive_expression] = STATE(1349),
    [sym_range_expression] = STATE(1349),
    [sym_infix_expression] = STATE(1349),
    [sym_nil_coalescing_expression] = STATE(1349),
    [sym_check_expression] = STATE(1349),
    [sym_comparison_expression] = STATE(1349),
    [sym_equality_expression] = STATE(1349),
    [sym_conjunction_expression] = STATE(1349),
    [sym_disjunction_expression] = STATE(1349),
    [sym_bitwise_operation] = STATE(1349),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1349),
    [sym_await_expression] = STATE(1349),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1349),
    [sym_call_expression] = STATE(1349),
    [sym__primary_expression] = STATE(1349),
    [sym_tuple_expression] = STATE(1349),
    [sym_array_literal] = STATE(1349),
    [sym_dictionary_literal] = STATE(1349),
    [sym__special_literal] = STATE(1349),
    [sym__playground_literal] = STATE(1349),
    [sym_lambda_literal] = STATE(1349),
    [sym__lambda_type_declaration] = STATE(65),
    [sym_capture_list] = STATE(4269),
    [sym_lambda_function_type] = STATE(7701),
    [sym_lambda_function_type_parameters] = STATE(5444),
    [sym_lambda_parameter] = STATE(5647),
    [sym_self_expression] = STATE(1892),
    [sym_super_expression] = STATE(1349),
    [sym_if_statement] = STATE(2559),
    [sym_guard_statement] = STATE(5953),
    [sym_switch_statement] = STATE(2559),
    [sym_do_statement] = STATE(5953),
    [sym_key_path_expression] = STATE(1349),
    [sym_key_path_string_expression] = STATE(1349),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1349),
    [sym__equality_operator] = STATE(1349),
    [sym__comparison_operator] = STATE(1349),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1349),
    [sym__multiplicative_operator] = STATE(1349),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym_statements] = STATE(7788),
    [sym__local_statement] = STATE(5953),
    [sym__labeled_statement] = STATE(5953),
    [sym_for_statement] = STATE(5953),
    [sym_while_statement] = STATE(5953),
    [sym_repeat_while_statement] = STATE(5953),
    [sym_control_transfer_statement] = STATE(5953),
    [sym__throw_statement] = STATE(6577),
    [sym__optionally_valueful_control_keyword] = STATE(283),
    [sym_assignment] = STATE(1349),
    [sym_value_parameter_pack] = STATE(1349),
    [sym_value_pack_expansion] = STATE(1349),
    [sym__local_declaration] = STATE(5953),
    [sym__local_property_declaration] = STATE(6579),
    [sym__local_typealias_declaration] = STATE(6581),
    [sym__local_function_declaration] = STATE(6582),
    [sym__local_class_declaration] = STATE(6584),
    [sym__modifierless_property_declaration] = STATE(6589),
    [sym__modifierless_typealias_declaration] = STATE(6601),
    [sym__modifierless_function_declaration] = STATE(6604),
    [sym__modifierless_function_declaration_no_body] = STATE(6607),
    [sym__modifierless_class_declaration] = STATE(6613),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__referenceable_operator] = STATE(1349),
    [sym__equal_sign] = STATE(1349),
    [sym__eq_eq] = STATE(1349),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__async_modifier] = STATE(6632),
    [sym_attribute] = STATE(4207),
    [sym_value_binding_pattern] = STATE(3973),
    [sym__possibly_async_binding_pattern_kind] = STATE(3973),
    [aux_sym__locally_permitted_modifiers] = STATE(4189),
    [sym__locally_permitted_modifier] = STATE(4189),
    [sym_property_behavior_modifier] = STATE(4189),
    [sym_inheritance_modifier] = STATE(4189),
    [sym_ownership_modifier] = STATE(4189),
    [sym__parameter_ownership_modifier] = STATE(1477),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [aux_sym__lambda_type_declaration_repeat1] = STATE(4222),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(181),
    [aux_sym_simple_identifier_token2] = ACTIONS(183),
    [aux_sym_simple_identifier_token3] = ACTIONS(183),
    [aux_sym_simple_identifier_token4] = ACTIONS(183),
    [anon_sym_actor] = ACTIONS(185),
    [anon_sym_async] = ACTIONS(187),
    [anon_sym_each] = ACTIONS(189),
    [anon_sym_lazy] = ACTIONS(455),
    [anon_sym_repeat] = ACTIONS(193),
    [anon_sym_package] = ACTIONS(181),
    [anon_sym_nil] = ACTIONS(153),
    [sym_real_literal] = ACTIONS(155),
    [sym_integer_literal] = ACTIONS(153),
    [sym_hex_literal] = ACTIONS(155),
    [sym_oct_literal] = ACTIONS(155),
    [sym_bin_literal] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(199),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(153),
    [anon_sym_POUNDfileID] = ACTIONS(155),
    [anon_sym_POUNDfilePath] = ACTIONS(155),
    [anon_sym_POUNDline] = ACTIONS(155),
    [anon_sym_POUNDcolumn] = ACTIONS(155),
    [anon_sym_POUNDfunction] = ACTIONS(155),
    [anon_sym_POUNDdsohandle] = ACTIONS(155),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_RBRACE] = ACTIONS(511),
    [anon_sym_in] = ACTIONS(489),
    [anon_sym_self] = ACTIONS(205),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_guard] = ACTIONS(69),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(153),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(153),
    [anon_sym_PERCENT] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(155),
    [anon_sym_CARET] = ACTIONS(153),
    [anon_sym_LT_LT] = ACTIONS(155),
    [anon_sym_GT_GT] = ACTIONS(155),
    [sym_statement_label] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [sym_throw_keyword] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(159),
    [anon_sym_continue] = ACTIONS(159),
    [anon_sym_break] = ACTIONS(159),
    [anon_sym_yield] = ACTIONS(159),
    [anon_sym_typealias] = ACTIONS(93),
    [anon_sym_struct] = ACTIONS(95),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_enum] = ACTIONS(99),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_func] = ACTIONS(105),
    [anon_sym_extension] = ACTIONS(109),
    [anon_sym_indirect] = ACTIONS(111),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_AT] = ACTIONS(457),
    [anon_sym_final] = ACTIONS(397),
    [anon_sym_weak] = ACTIONS(399),
    [anon_sym_unowned] = ACTIONS(399),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(401),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(401),
    [anon_sym_borrowing] = ACTIONS(181),
    [anon_sym_consuming] = ACTIONS(181),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(155),
    [sym__eq_eq_custom] = ACTIONS(155),
    [sym__plus_then_ws] = ACTIONS(155),
    [sym__minus_then_ws] = ACTIONS(155),
    [sym__bang_custom] = ACTIONS(151),
    [sym__custom_operator] = ACTIONS(57),
  },
  [49] = {
    [sym_simple_identifier] = STATE(1465),
    [sym__contextual_simple_identifier] = STATE(1477),
    [sym__basic_literal] = STATE(1349),
    [sym_boolean_literal] = STATE(1349),
    [sym__string_literal] = STATE(1349),
    [sym_line_string_literal] = STATE(1349),
    [sym_multi_line_string_literal] = STATE(1349),
    [sym_raw_string_literal] = STATE(1349),
    [sym_regex_literal] = STATE(1349),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1349),
    [sym__unary_expression] = STATE(1349),
    [sym_postfix_expression] = STATE(1349),
    [sym_constructor_expression] = STATE(1349),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1349),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1349),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1349),
    [sym_prefix_expression] = STATE(1349),
    [sym_as_expression] = STATE(1349),
    [sym_selector_expression] = STATE(1349),
    [sym__binary_expression] = STATE(1349),
    [sym_multiplicative_expression] = STATE(1349),
    [sym_additive_expression] = STATE(1349),
    [sym_range_expression] = STATE(1349),
    [sym_infix_expression] = STATE(1349),
    [sym_nil_coalescing_expression] = STATE(1349),
    [sym_check_expression] = STATE(1349),
    [sym_comparison_expression] = STATE(1349),
    [sym_equality_expression] = STATE(1349),
    [sym_conjunction_expression] = STATE(1349),
    [sym_disjunction_expression] = STATE(1349),
    [sym_bitwise_operation] = STATE(1349),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1349),
    [sym_await_expression] = STATE(1349),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1349),
    [sym_call_expression] = STATE(1349),
    [sym__primary_expression] = STATE(1349),
    [sym_tuple_expression] = STATE(1349),
    [sym_array_literal] = STATE(1349),
    [sym_dictionary_literal] = STATE(1349),
    [sym__special_literal] = STATE(1349),
    [sym__playground_literal] = STATE(1349),
    [sym_lambda_literal] = STATE(1349),
    [sym__lambda_type_declaration] = STATE(71),
    [sym_capture_list] = STATE(4269),
    [sym_lambda_function_type] = STATE(7701),
    [sym_lambda_function_type_parameters] = STATE(5444),
    [sym_lambda_parameter] = STATE(5647),
    [sym_self_expression] = STATE(1892),
    [sym_super_expression] = STATE(1349),
    [sym_if_statement] = STATE(2559),
    [sym_guard_statement] = STATE(5953),
    [sym_switch_statement] = STATE(2559),
    [sym_do_statement] = STATE(5953),
    [sym_key_path_expression] = STATE(1349),
    [sym_key_path_string_expression] = STATE(1349),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1349),
    [sym__equality_operator] = STATE(1349),
    [sym__comparison_operator] = STATE(1349),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1349),
    [sym__multiplicative_operator] = STATE(1349),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym_statements] = STATE(7792),
    [sym__local_statement] = STATE(5953),
    [sym__labeled_statement] = STATE(5953),
    [sym_for_statement] = STATE(5953),
    [sym_while_statement] = STATE(5953),
    [sym_repeat_while_statement] = STATE(5953),
    [sym_control_transfer_statement] = STATE(5953),
    [sym__throw_statement] = STATE(6577),
    [sym__optionally_valueful_control_keyword] = STATE(283),
    [sym_assignment] = STATE(1349),
    [sym_value_parameter_pack] = STATE(1349),
    [sym_value_pack_expansion] = STATE(1349),
    [sym__local_declaration] = STATE(5953),
    [sym__local_property_declaration] = STATE(6579),
    [sym__local_typealias_declaration] = STATE(6581),
    [sym__local_function_declaration] = STATE(6582),
    [sym__local_class_declaration] = STATE(6584),
    [sym__modifierless_property_declaration] = STATE(6589),
    [sym__modifierless_typealias_declaration] = STATE(6601),
    [sym__modifierless_function_declaration] = STATE(6604),
    [sym__modifierless_function_declaration_no_body] = STATE(6607),
    [sym__modifierless_class_declaration] = STATE(6613),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__referenceable_operator] = STATE(1349),
    [sym__equal_sign] = STATE(1349),
    [sym__eq_eq] = STATE(1349),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__async_modifier] = STATE(6632),
    [sym_attribute] = STATE(4207),
    [sym_value_binding_pattern] = STATE(3973),
    [sym__possibly_async_binding_pattern_kind] = STATE(3973),
    [aux_sym__locally_permitted_modifiers] = STATE(4189),
    [sym__locally_permitted_modifier] = STATE(4189),
    [sym_property_behavior_modifier] = STATE(4189),
    [sym_inheritance_modifier] = STATE(4189),
    [sym_ownership_modifier] = STATE(4189),
    [sym__parameter_ownership_modifier] = STATE(1477),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [aux_sym__lambda_type_declaration_repeat1] = STATE(4222),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(181),
    [aux_sym_simple_identifier_token2] = ACTIONS(183),
    [aux_sym_simple_identifier_token3] = ACTIONS(183),
    [aux_sym_simple_identifier_token4] = ACTIONS(183),
    [anon_sym_actor] = ACTIONS(185),
    [anon_sym_async] = ACTIONS(187),
    [anon_sym_each] = ACTIONS(189),
    [anon_sym_lazy] = ACTIONS(455),
    [anon_sym_repeat] = ACTIONS(193),
    [anon_sym_package] = ACTIONS(181),
    [anon_sym_nil] = ACTIONS(153),
    [sym_real_literal] = ACTIONS(155),
    [sym_integer_literal] = ACTIONS(153),
    [sym_hex_literal] = ACTIONS(155),
    [sym_oct_literal] = ACTIONS(155),
    [sym_bin_literal] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(199),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(153),
    [anon_sym_POUNDfileID] = ACTIONS(155),
    [anon_sym_POUNDfilePath] = ACTIONS(155),
    [anon_sym_POUNDline] = ACTIONS(155),
    [anon_sym_POUNDcolumn] = ACTIONS(155),
    [anon_sym_POUNDfunction] = ACTIONS(155),
    [anon_sym_POUNDdsohandle] = ACTIONS(155),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_RBRACE] = ACTIONS(513),
    [anon_sym_in] = ACTIONS(515),
    [anon_sym_self] = ACTIONS(205),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_guard] = ACTIONS(69),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(153),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(153),
    [anon_sym_PERCENT] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(155),
    [anon_sym_CARET] = ACTIONS(153),
    [anon_sym_LT_LT] = ACTIONS(155),
    [anon_sym_GT_GT] = ACTIONS(155),
    [sym_statement_label] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [sym_throw_keyword] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(159),
    [anon_sym_continue] = ACTIONS(159),
    [anon_sym_break] = ACTIONS(159),
    [anon_sym_yield] = ACTIONS(159),
    [anon_sym_typealias] = ACTIONS(93),
    [anon_sym_struct] = ACTIONS(95),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_enum] = ACTIONS(99),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_func] = ACTIONS(105),
    [anon_sym_extension] = ACTIONS(109),
    [anon_sym_indirect] = ACTIONS(111),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_AT] = ACTIONS(457),
    [anon_sym_final] = ACTIONS(397),
    [anon_sym_weak] = ACTIONS(399),
    [anon_sym_unowned] = ACTIONS(399),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(401),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(401),
    [anon_sym_borrowing] = ACTIONS(181),
    [anon_sym_consuming] = ACTIONS(181),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(155),
    [sym__eq_eq_custom] = ACTIONS(155),
    [sym__plus_then_ws] = ACTIONS(155),
    [sym__minus_then_ws] = ACTIONS(155),
    [sym__bang_custom] = ACTIONS(151),
    [sym__custom_operator] = ACTIONS(57),
  },
  [50] = {
    [sym_simple_identifier] = STATE(1465),
    [sym__contextual_simple_identifier] = STATE(1477),
    [sym__basic_literal] = STATE(1349),
    [sym_boolean_literal] = STATE(1349),
    [sym__string_literal] = STATE(1349),
    [sym_line_string_literal] = STATE(1349),
    [sym_multi_line_string_literal] = STATE(1349),
    [sym_raw_string_literal] = STATE(1349),
    [sym_regex_literal] = STATE(1349),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1349),
    [sym__unary_expression] = STATE(1349),
    [sym_postfix_expression] = STATE(1349),
    [sym_constructor_expression] = STATE(1349),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1349),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1349),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1349),
    [sym_prefix_expression] = STATE(1349),
    [sym_as_expression] = STATE(1349),
    [sym_selector_expression] = STATE(1349),
    [sym__binary_expression] = STATE(1349),
    [sym_multiplicative_expression] = STATE(1349),
    [sym_additive_expression] = STATE(1349),
    [sym_range_expression] = STATE(1349),
    [sym_infix_expression] = STATE(1349),
    [sym_nil_coalescing_expression] = STATE(1349),
    [sym_check_expression] = STATE(1349),
    [sym_comparison_expression] = STATE(1349),
    [sym_equality_expression] = STATE(1349),
    [sym_conjunction_expression] = STATE(1349),
    [sym_disjunction_expression] = STATE(1349),
    [sym_bitwise_operation] = STATE(1349),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1349),
    [sym_await_expression] = STATE(1349),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1349),
    [sym_call_expression] = STATE(1349),
    [sym__primary_expression] = STATE(1349),
    [sym_tuple_expression] = STATE(1349),
    [sym_array_literal] = STATE(1349),
    [sym_dictionary_literal] = STATE(1349),
    [sym__special_literal] = STATE(1349),
    [sym__playground_literal] = STATE(1349),
    [sym_lambda_literal] = STATE(1349),
    [sym__lambda_type_declaration] = STATE(69),
    [sym_capture_list] = STATE(4269),
    [sym_lambda_function_type] = STATE(7701),
    [sym_lambda_function_type_parameters] = STATE(5444),
    [sym_lambda_parameter] = STATE(5647),
    [sym_self_expression] = STATE(1892),
    [sym_super_expression] = STATE(1349),
    [sym_if_statement] = STATE(2559),
    [sym_guard_statement] = STATE(5953),
    [sym_switch_statement] = STATE(2559),
    [sym_do_statement] = STATE(5953),
    [sym_key_path_expression] = STATE(1349),
    [sym_key_path_string_expression] = STATE(1349),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1349),
    [sym__equality_operator] = STATE(1349),
    [sym__comparison_operator] = STATE(1349),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1349),
    [sym__multiplicative_operator] = STATE(1349),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym_statements] = STATE(7917),
    [sym__local_statement] = STATE(5953),
    [sym__labeled_statement] = STATE(5953),
    [sym_for_statement] = STATE(5953),
    [sym_while_statement] = STATE(5953),
    [sym_repeat_while_statement] = STATE(5953),
    [sym_control_transfer_statement] = STATE(5953),
    [sym__throw_statement] = STATE(6577),
    [sym__optionally_valueful_control_keyword] = STATE(283),
    [sym_assignment] = STATE(1349),
    [sym_value_parameter_pack] = STATE(1349),
    [sym_value_pack_expansion] = STATE(1349),
    [sym__local_declaration] = STATE(5953),
    [sym__local_property_declaration] = STATE(6579),
    [sym__local_typealias_declaration] = STATE(6581),
    [sym__local_function_declaration] = STATE(6582),
    [sym__local_class_declaration] = STATE(6584),
    [sym__modifierless_property_declaration] = STATE(6589),
    [sym__modifierless_typealias_declaration] = STATE(6601),
    [sym__modifierless_function_declaration] = STATE(6604),
    [sym__modifierless_function_declaration_no_body] = STATE(6607),
    [sym__modifierless_class_declaration] = STATE(6613),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__referenceable_operator] = STATE(1349),
    [sym__equal_sign] = STATE(1349),
    [sym__eq_eq] = STATE(1349),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__async_modifier] = STATE(6632),
    [sym_attribute] = STATE(4207),
    [sym_value_binding_pattern] = STATE(3973),
    [sym__possibly_async_binding_pattern_kind] = STATE(3973),
    [aux_sym__locally_permitted_modifiers] = STATE(4189),
    [sym__locally_permitted_modifier] = STATE(4189),
    [sym_property_behavior_modifier] = STATE(4189),
    [sym_inheritance_modifier] = STATE(4189),
    [sym_ownership_modifier] = STATE(4189),
    [sym__parameter_ownership_modifier] = STATE(1477),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [aux_sym__lambda_type_declaration_repeat1] = STATE(4222),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(181),
    [aux_sym_simple_identifier_token2] = ACTIONS(183),
    [aux_sym_simple_identifier_token3] = ACTIONS(183),
    [aux_sym_simple_identifier_token4] = ACTIONS(183),
    [anon_sym_actor] = ACTIONS(185),
    [anon_sym_async] = ACTIONS(187),
    [anon_sym_each] = ACTIONS(189),
    [anon_sym_lazy] = ACTIONS(455),
    [anon_sym_repeat] = ACTIONS(193),
    [anon_sym_package] = ACTIONS(181),
    [anon_sym_nil] = ACTIONS(153),
    [sym_real_literal] = ACTIONS(155),
    [sym_integer_literal] = ACTIONS(153),
    [sym_hex_literal] = ACTIONS(155),
    [sym_oct_literal] = ACTIONS(155),
    [sym_bin_literal] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(199),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(153),
    [anon_sym_POUNDfileID] = ACTIONS(155),
    [anon_sym_POUNDfilePath] = ACTIONS(155),
    [anon_sym_POUNDline] = ACTIONS(155),
    [anon_sym_POUNDcolumn] = ACTIONS(155),
    [anon_sym_POUNDfunction] = ACTIONS(155),
    [anon_sym_POUNDdsohandle] = ACTIONS(155),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_RBRACE] = ACTIONS(517),
    [anon_sym_in] = ACTIONS(519),
    [anon_sym_self] = ACTIONS(205),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_guard] = ACTIONS(69),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(153),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(153),
    [anon_sym_PERCENT] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(155),
    [anon_sym_CARET] = ACTIONS(153),
    [anon_sym_LT_LT] = ACTIONS(155),
    [anon_sym_GT_GT] = ACTIONS(155),
    [sym_statement_label] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [sym_throw_keyword] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(159),
    [anon_sym_continue] = ACTIONS(159),
    [anon_sym_break] = ACTIONS(159),
    [anon_sym_yield] = ACTIONS(159),
    [anon_sym_typealias] = ACTIONS(93),
    [anon_sym_struct] = ACTIONS(95),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_enum] = ACTIONS(99),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_func] = ACTIONS(105),
    [anon_sym_extension] = ACTIONS(109),
    [anon_sym_indirect] = ACTIONS(111),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_AT] = ACTIONS(457),
    [anon_sym_final] = ACTIONS(397),
    [anon_sym_weak] = ACTIONS(399),
    [anon_sym_unowned] = ACTIONS(399),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(401),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(401),
    [anon_sym_borrowing] = ACTIONS(181),
    [anon_sym_consuming] = ACTIONS(181),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(155),
    [sym__eq_eq_custom] = ACTIONS(155),
    [sym__plus_then_ws] = ACTIONS(155),
    [sym__minus_then_ws] = ACTIONS(155),
    [sym__bang_custom] = ACTIONS(151),
    [sym__custom_operator] = ACTIONS(57),
  },
  [51] = {
    [sym_simple_identifier] = STATE(1465),
    [sym__contextual_simple_identifier] = STATE(1477),
    [sym__basic_literal] = STATE(1349),
    [sym_boolean_literal] = STATE(1349),
    [sym__string_literal] = STATE(1349),
    [sym_line_string_literal] = STATE(1349),
    [sym_multi_line_string_literal] = STATE(1349),
    [sym_raw_string_literal] = STATE(1349),
    [sym_regex_literal] = STATE(1349),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1349),
    [sym__unary_expression] = STATE(1349),
    [sym_postfix_expression] = STATE(1349),
    [sym_constructor_expression] = STATE(1349),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1349),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1349),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1349),
    [sym_prefix_expression] = STATE(1349),
    [sym_as_expression] = STATE(1349),
    [sym_selector_expression] = STATE(1349),
    [sym__binary_expression] = STATE(1349),
    [sym_multiplicative_expression] = STATE(1349),
    [sym_additive_expression] = STATE(1349),
    [sym_range_expression] = STATE(1349),
    [sym_infix_expression] = STATE(1349),
    [sym_nil_coalescing_expression] = STATE(1349),
    [sym_check_expression] = STATE(1349),
    [sym_comparison_expression] = STATE(1349),
    [sym_equality_expression] = STATE(1349),
    [sym_conjunction_expression] = STATE(1349),
    [sym_disjunction_expression] = STATE(1349),
    [sym_bitwise_operation] = STATE(1349),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1349),
    [sym_await_expression] = STATE(1349),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1349),
    [sym_call_expression] = STATE(1349),
    [sym__primary_expression] = STATE(1349),
    [sym_tuple_expression] = STATE(1349),
    [sym_array_literal] = STATE(1349),
    [sym_dictionary_literal] = STATE(1349),
    [sym__special_literal] = STATE(1349),
    [sym__playground_literal] = STATE(1349),
    [sym_lambda_literal] = STATE(1349),
    [sym__lambda_type_declaration] = STATE(82),
    [sym_capture_list] = STATE(4269),
    [sym_lambda_function_type] = STATE(7701),
    [sym_lambda_function_type_parameters] = STATE(5444),
    [sym_lambda_parameter] = STATE(5647),
    [sym_self_expression] = STATE(1892),
    [sym_super_expression] = STATE(1349),
    [sym_if_statement] = STATE(2559),
    [sym_guard_statement] = STATE(5953),
    [sym_switch_statement] = STATE(2559),
    [sym_do_statement] = STATE(5953),
    [sym_key_path_expression] = STATE(1349),
    [sym_key_path_string_expression] = STATE(1349),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1349),
    [sym__equality_operator] = STATE(1349),
    [sym__comparison_operator] = STATE(1349),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1349),
    [sym__multiplicative_operator] = STATE(1349),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym_statements] = STATE(7811),
    [sym__local_statement] = STATE(5953),
    [sym__labeled_statement] = STATE(5953),
    [sym_for_statement] = STATE(5953),
    [sym_while_statement] = STATE(5953),
    [sym_repeat_while_statement] = STATE(5953),
    [sym_control_transfer_statement] = STATE(5953),
    [sym__throw_statement] = STATE(6577),
    [sym__optionally_valueful_control_keyword] = STATE(283),
    [sym_assignment] = STATE(1349),
    [sym_value_parameter_pack] = STATE(1349),
    [sym_value_pack_expansion] = STATE(1349),
    [sym__local_declaration] = STATE(5953),
    [sym__local_property_declaration] = STATE(6579),
    [sym__local_typealias_declaration] = STATE(6581),
    [sym__local_function_declaration] = STATE(6582),
    [sym__local_class_declaration] = STATE(6584),
    [sym__modifierless_property_declaration] = STATE(6589),
    [sym__modifierless_typealias_declaration] = STATE(6601),
    [sym__modifierless_function_declaration] = STATE(6604),
    [sym__modifierless_function_declaration_no_body] = STATE(6607),
    [sym__modifierless_class_declaration] = STATE(6613),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__referenceable_operator] = STATE(1349),
    [sym__equal_sign] = STATE(1349),
    [sym__eq_eq] = STATE(1349),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__async_modifier] = STATE(6632),
    [sym_attribute] = STATE(4207),
    [sym_value_binding_pattern] = STATE(3973),
    [sym__possibly_async_binding_pattern_kind] = STATE(3973),
    [aux_sym__locally_permitted_modifiers] = STATE(4189),
    [sym__locally_permitted_modifier] = STATE(4189),
    [sym_property_behavior_modifier] = STATE(4189),
    [sym_inheritance_modifier] = STATE(4189),
    [sym_ownership_modifier] = STATE(4189),
    [sym__parameter_ownership_modifier] = STATE(1477),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [aux_sym__lambda_type_declaration_repeat1] = STATE(4222),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(181),
    [aux_sym_simple_identifier_token2] = ACTIONS(183),
    [aux_sym_simple_identifier_token3] = ACTIONS(183),
    [aux_sym_simple_identifier_token4] = ACTIONS(183),
    [anon_sym_actor] = ACTIONS(185),
    [anon_sym_async] = ACTIONS(187),
    [anon_sym_each] = ACTIONS(189),
    [anon_sym_lazy] = ACTIONS(455),
    [anon_sym_repeat] = ACTIONS(193),
    [anon_sym_package] = ACTIONS(181),
    [anon_sym_nil] = ACTIONS(153),
    [sym_real_literal] = ACTIONS(155),
    [sym_integer_literal] = ACTIONS(153),
    [sym_hex_literal] = ACTIONS(155),
    [sym_oct_literal] = ACTIONS(155),
    [sym_bin_literal] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(199),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(153),
    [anon_sym_POUNDfileID] = ACTIONS(155),
    [anon_sym_POUNDfilePath] = ACTIONS(155),
    [anon_sym_POUNDline] = ACTIONS(155),
    [anon_sym_POUNDcolumn] = ACTIONS(155),
    [anon_sym_POUNDfunction] = ACTIONS(155),
    [anon_sym_POUNDdsohandle] = ACTIONS(155),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_RBRACE] = ACTIONS(253),
    [anon_sym_in] = ACTIONS(255),
    [anon_sym_self] = ACTIONS(205),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_guard] = ACTIONS(69),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(153),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(153),
    [anon_sym_PERCENT] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(155),
    [anon_sym_CARET] = ACTIONS(153),
    [anon_sym_LT_LT] = ACTIONS(155),
    [anon_sym_GT_GT] = ACTIONS(155),
    [sym_statement_label] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [sym_throw_keyword] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(159),
    [anon_sym_continue] = ACTIONS(159),
    [anon_sym_break] = ACTIONS(159),
    [anon_sym_yield] = ACTIONS(159),
    [anon_sym_typealias] = ACTIONS(93),
    [anon_sym_struct] = ACTIONS(95),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_enum] = ACTIONS(99),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_func] = ACTIONS(105),
    [anon_sym_extension] = ACTIONS(109),
    [anon_sym_indirect] = ACTIONS(111),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_AT] = ACTIONS(457),
    [anon_sym_final] = ACTIONS(397),
    [anon_sym_weak] = ACTIONS(399),
    [anon_sym_unowned] = ACTIONS(399),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(401),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(401),
    [anon_sym_borrowing] = ACTIONS(181),
    [anon_sym_consuming] = ACTIONS(181),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(155),
    [sym__eq_eq_custom] = ACTIONS(155),
    [sym__plus_then_ws] = ACTIONS(155),
    [sym__minus_then_ws] = ACTIONS(155),
    [sym__bang_custom] = ACTIONS(151),
    [sym__custom_operator] = ACTIONS(57),
  },
  [52] = {
    [sym_simple_identifier] = STATE(1465),
    [sym__contextual_simple_identifier] = STATE(1477),
    [sym__basic_literal] = STATE(1349),
    [sym_boolean_literal] = STATE(1349),
    [sym__string_literal] = STATE(1349),
    [sym_line_string_literal] = STATE(1349),
    [sym_multi_line_string_literal] = STATE(1349),
    [sym_raw_string_literal] = STATE(1349),
    [sym_regex_literal] = STATE(1349),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1349),
    [sym__unary_expression] = STATE(1349),
    [sym_postfix_expression] = STATE(1349),
    [sym_constructor_expression] = STATE(1349),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1349),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1349),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1349),
    [sym_prefix_expression] = STATE(1349),
    [sym_as_expression] = STATE(1349),
    [sym_selector_expression] = STATE(1349),
    [sym__binary_expression] = STATE(1349),
    [sym_multiplicative_expression] = STATE(1349),
    [sym_additive_expression] = STATE(1349),
    [sym_range_expression] = STATE(1349),
    [sym_infix_expression] = STATE(1349),
    [sym_nil_coalescing_expression] = STATE(1349),
    [sym_check_expression] = STATE(1349),
    [sym_comparison_expression] = STATE(1349),
    [sym_equality_expression] = STATE(1349),
    [sym_conjunction_expression] = STATE(1349),
    [sym_disjunction_expression] = STATE(1349),
    [sym_bitwise_operation] = STATE(1349),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1349),
    [sym_await_expression] = STATE(1349),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1349),
    [sym_call_expression] = STATE(1349),
    [sym__primary_expression] = STATE(1349),
    [sym_tuple_expression] = STATE(1349),
    [sym_array_literal] = STATE(1349),
    [sym_dictionary_literal] = STATE(1349),
    [sym__special_literal] = STATE(1349),
    [sym__playground_literal] = STATE(1349),
    [sym_lambda_literal] = STATE(1349),
    [sym__lambda_type_declaration] = STATE(77),
    [sym_capture_list] = STATE(4269),
    [sym_lambda_function_type] = STATE(7701),
    [sym_lambda_function_type_parameters] = STATE(5444),
    [sym_lambda_parameter] = STATE(5647),
    [sym_self_expression] = STATE(1892),
    [sym_super_expression] = STATE(1349),
    [sym_if_statement] = STATE(2559),
    [sym_guard_statement] = STATE(5953),
    [sym_switch_statement] = STATE(2559),
    [sym_do_statement] = STATE(5953),
    [sym_key_path_expression] = STATE(1349),
    [sym_key_path_string_expression] = STATE(1349),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1349),
    [sym__equality_operator] = STATE(1349),
    [sym__comparison_operator] = STATE(1349),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1349),
    [sym__multiplicative_operator] = STATE(1349),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym_statements] = STATE(7777),
    [sym__local_statement] = STATE(5953),
    [sym__labeled_statement] = STATE(5953),
    [sym_for_statement] = STATE(5953),
    [sym_while_statement] = STATE(5953),
    [sym_repeat_while_statement] = STATE(5953),
    [sym_control_transfer_statement] = STATE(5953),
    [sym__throw_statement] = STATE(6577),
    [sym__optionally_valueful_control_keyword] = STATE(283),
    [sym_assignment] = STATE(1349),
    [sym_value_parameter_pack] = STATE(1349),
    [sym_value_pack_expansion] = STATE(1349),
    [sym__local_declaration] = STATE(5953),
    [sym__local_property_declaration] = STATE(6579),
    [sym__local_typealias_declaration] = STATE(6581),
    [sym__local_function_declaration] = STATE(6582),
    [sym__local_class_declaration] = STATE(6584),
    [sym__modifierless_property_declaration] = STATE(6589),
    [sym__modifierless_typealias_declaration] = STATE(6601),
    [sym__modifierless_function_declaration] = STATE(6604),
    [sym__modifierless_function_declaration_no_body] = STATE(6607),
    [sym__modifierless_class_declaration] = STATE(6613),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__referenceable_operator] = STATE(1349),
    [sym__equal_sign] = STATE(1349),
    [sym__eq_eq] = STATE(1349),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__async_modifier] = STATE(6632),
    [sym_attribute] = STATE(4207),
    [sym_value_binding_pattern] = STATE(3973),
    [sym__possibly_async_binding_pattern_kind] = STATE(3973),
    [aux_sym__locally_permitted_modifiers] = STATE(4189),
    [sym__locally_permitted_modifier] = STATE(4189),
    [sym_property_behavior_modifier] = STATE(4189),
    [sym_inheritance_modifier] = STATE(4189),
    [sym_ownership_modifier] = STATE(4189),
    [sym__parameter_ownership_modifier] = STATE(1477),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [aux_sym__lambda_type_declaration_repeat1] = STATE(4222),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(181),
    [aux_sym_simple_identifier_token2] = ACTIONS(183),
    [aux_sym_simple_identifier_token3] = ACTIONS(183),
    [aux_sym_simple_identifier_token4] = ACTIONS(183),
    [anon_sym_actor] = ACTIONS(185),
    [anon_sym_async] = ACTIONS(187),
    [anon_sym_each] = ACTIONS(189),
    [anon_sym_lazy] = ACTIONS(455),
    [anon_sym_repeat] = ACTIONS(193),
    [anon_sym_package] = ACTIONS(181),
    [anon_sym_nil] = ACTIONS(153),
    [sym_real_literal] = ACTIONS(155),
    [sym_integer_literal] = ACTIONS(153),
    [sym_hex_literal] = ACTIONS(155),
    [sym_oct_literal] = ACTIONS(155),
    [sym_bin_literal] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(199),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(153),
    [anon_sym_POUNDfileID] = ACTIONS(155),
    [anon_sym_POUNDfilePath] = ACTIONS(155),
    [anon_sym_POUNDline] = ACTIONS(155),
    [anon_sym_POUNDcolumn] = ACTIONS(155),
    [anon_sym_POUNDfunction] = ACTIONS(155),
    [anon_sym_POUNDdsohandle] = ACTIONS(155),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_RBRACE] = ACTIONS(269),
    [anon_sym_in] = ACTIONS(271),
    [anon_sym_self] = ACTIONS(205),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_guard] = ACTIONS(69),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(153),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(153),
    [anon_sym_PERCENT] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(155),
    [anon_sym_CARET] = ACTIONS(153),
    [anon_sym_LT_LT] = ACTIONS(155),
    [anon_sym_GT_GT] = ACTIONS(155),
    [sym_statement_label] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [sym_throw_keyword] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(159),
    [anon_sym_continue] = ACTIONS(159),
    [anon_sym_break] = ACTIONS(159),
    [anon_sym_yield] = ACTIONS(159),
    [anon_sym_typealias] = ACTIONS(93),
    [anon_sym_struct] = ACTIONS(95),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_enum] = ACTIONS(99),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_func] = ACTIONS(105),
    [anon_sym_extension] = ACTIONS(109),
    [anon_sym_indirect] = ACTIONS(111),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_AT] = ACTIONS(457),
    [anon_sym_final] = ACTIONS(397),
    [anon_sym_weak] = ACTIONS(399),
    [anon_sym_unowned] = ACTIONS(399),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(401),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(401),
    [anon_sym_borrowing] = ACTIONS(181),
    [anon_sym_consuming] = ACTIONS(181),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(155),
    [sym__eq_eq_custom] = ACTIONS(155),
    [sym__plus_then_ws] = ACTIONS(155),
    [sym__minus_then_ws] = ACTIONS(155),
    [sym__bang_custom] = ACTIONS(151),
    [sym__custom_operator] = ACTIONS(57),
  },
  [53] = {
    [sym_simple_identifier] = STATE(1465),
    [sym__contextual_simple_identifier] = STATE(1477),
    [sym__basic_literal] = STATE(1349),
    [sym_boolean_literal] = STATE(1349),
    [sym__string_literal] = STATE(1349),
    [sym_line_string_literal] = STATE(1349),
    [sym_multi_line_string_literal] = STATE(1349),
    [sym_raw_string_literal] = STATE(1349),
    [sym_regex_literal] = STATE(1349),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1349),
    [sym__unary_expression] = STATE(1349),
    [sym_postfix_expression] = STATE(1349),
    [sym_constructor_expression] = STATE(1349),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1349),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1349),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1349),
    [sym_prefix_expression] = STATE(1349),
    [sym_as_expression] = STATE(1349),
    [sym_selector_expression] = STATE(1349),
    [sym__binary_expression] = STATE(1349),
    [sym_multiplicative_expression] = STATE(1349),
    [sym_additive_expression] = STATE(1349),
    [sym_range_expression] = STATE(1349),
    [sym_infix_expression] = STATE(1349),
    [sym_nil_coalescing_expression] = STATE(1349),
    [sym_check_expression] = STATE(1349),
    [sym_comparison_expression] = STATE(1349),
    [sym_equality_expression] = STATE(1349),
    [sym_conjunction_expression] = STATE(1349),
    [sym_disjunction_expression] = STATE(1349),
    [sym_bitwise_operation] = STATE(1349),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1349),
    [sym_await_expression] = STATE(1349),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1349),
    [sym_call_expression] = STATE(1349),
    [sym__primary_expression] = STATE(1349),
    [sym_tuple_expression] = STATE(1349),
    [sym_array_literal] = STATE(1349),
    [sym_dictionary_literal] = STATE(1349),
    [sym__special_literal] = STATE(1349),
    [sym__playground_literal] = STATE(1349),
    [sym_lambda_literal] = STATE(1349),
    [sym__lambda_type_declaration] = STATE(83),
    [sym_capture_list] = STATE(4269),
    [sym_lambda_function_type] = STATE(7701),
    [sym_lambda_function_type_parameters] = STATE(5444),
    [sym_lambda_parameter] = STATE(5647),
    [sym_self_expression] = STATE(1892),
    [sym_super_expression] = STATE(1349),
    [sym_if_statement] = STATE(2559),
    [sym_guard_statement] = STATE(5953),
    [sym_switch_statement] = STATE(2559),
    [sym_do_statement] = STATE(5953),
    [sym_key_path_expression] = STATE(1349),
    [sym_key_path_string_expression] = STATE(1349),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1349),
    [sym__equality_operator] = STATE(1349),
    [sym__comparison_operator] = STATE(1349),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1349),
    [sym__multiplicative_operator] = STATE(1349),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym_statements] = STATE(7773),
    [sym__local_statement] = STATE(5953),
    [sym__labeled_statement] = STATE(5953),
    [sym_for_statement] = STATE(5953),
    [sym_while_statement] = STATE(5953),
    [sym_repeat_while_statement] = STATE(5953),
    [sym_control_transfer_statement] = STATE(5953),
    [sym__throw_statement] = STATE(6577),
    [sym__optionally_valueful_control_keyword] = STATE(283),
    [sym_assignment] = STATE(1349),
    [sym_value_parameter_pack] = STATE(1349),
    [sym_value_pack_expansion] = STATE(1349),
    [sym__local_declaration] = STATE(5953),
    [sym__local_property_declaration] = STATE(6579),
    [sym__local_typealias_declaration] = STATE(6581),
    [sym__local_function_declaration] = STATE(6582),
    [sym__local_class_declaration] = STATE(6584),
    [sym__modifierless_property_declaration] = STATE(6589),
    [sym__modifierless_typealias_declaration] = STATE(6601),
    [sym__modifierless_function_declaration] = STATE(6604),
    [sym__modifierless_function_declaration_no_body] = STATE(6607),
    [sym__modifierless_class_declaration] = STATE(6613),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__referenceable_operator] = STATE(1349),
    [sym__equal_sign] = STATE(1349),
    [sym__eq_eq] = STATE(1349),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__async_modifier] = STATE(6632),
    [sym_attribute] = STATE(4207),
    [sym_value_binding_pattern] = STATE(3973),
    [sym__possibly_async_binding_pattern_kind] = STATE(3973),
    [aux_sym__locally_permitted_modifiers] = STATE(4189),
    [sym__locally_permitted_modifier] = STATE(4189),
    [sym_property_behavior_modifier] = STATE(4189),
    [sym_inheritance_modifier] = STATE(4189),
    [sym_ownership_modifier] = STATE(4189),
    [sym__parameter_ownership_modifier] = STATE(1477),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [aux_sym__lambda_type_declaration_repeat1] = STATE(4222),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(181),
    [aux_sym_simple_identifier_token2] = ACTIONS(183),
    [aux_sym_simple_identifier_token3] = ACTIONS(183),
    [aux_sym_simple_identifier_token4] = ACTIONS(183),
    [anon_sym_actor] = ACTIONS(185),
    [anon_sym_async] = ACTIONS(187),
    [anon_sym_each] = ACTIONS(189),
    [anon_sym_lazy] = ACTIONS(455),
    [anon_sym_repeat] = ACTIONS(193),
    [anon_sym_package] = ACTIONS(181),
    [anon_sym_nil] = ACTIONS(153),
    [sym_real_literal] = ACTIONS(155),
    [sym_integer_literal] = ACTIONS(153),
    [sym_hex_literal] = ACTIONS(155),
    [sym_oct_literal] = ACTIONS(155),
    [sym_bin_literal] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(199),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(153),
    [anon_sym_POUNDfileID] = ACTIONS(155),
    [anon_sym_POUNDfilePath] = ACTIONS(155),
    [anon_sym_POUNDline] = ACTIONS(155),
    [anon_sym_POUNDcolumn] = ACTIONS(155),
    [anon_sym_POUNDfunction] = ACTIONS(155),
    [anon_sym_POUNDdsohandle] = ACTIONS(155),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_RBRACE] = ACTIONS(211),
    [anon_sym_in] = ACTIONS(213),
    [anon_sym_self] = ACTIONS(205),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_guard] = ACTIONS(69),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(153),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(153),
    [anon_sym_PERCENT] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(155),
    [anon_sym_CARET] = ACTIONS(153),
    [anon_sym_LT_LT] = ACTIONS(155),
    [anon_sym_GT_GT] = ACTIONS(155),
    [sym_statement_label] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [sym_throw_keyword] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(159),
    [anon_sym_continue] = ACTIONS(159),
    [anon_sym_break] = ACTIONS(159),
    [anon_sym_yield] = ACTIONS(159),
    [anon_sym_typealias] = ACTIONS(93),
    [anon_sym_struct] = ACTIONS(95),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_enum] = ACTIONS(99),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_func] = ACTIONS(105),
    [anon_sym_extension] = ACTIONS(109),
    [anon_sym_indirect] = ACTIONS(111),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_AT] = ACTIONS(457),
    [anon_sym_final] = ACTIONS(397),
    [anon_sym_weak] = ACTIONS(399),
    [anon_sym_unowned] = ACTIONS(399),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(401),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(401),
    [anon_sym_borrowing] = ACTIONS(181),
    [anon_sym_consuming] = ACTIONS(181),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(155),
    [sym__eq_eq_custom] = ACTIONS(155),
    [sym__plus_then_ws] = ACTIONS(155),
    [sym__minus_then_ws] = ACTIONS(155),
    [sym__bang_custom] = ACTIONS(151),
    [sym__custom_operator] = ACTIONS(57),
  },
  [54] = {
    [sym_simple_identifier] = STATE(2276),
    [sym__contextual_simple_identifier] = STATE(2115),
    [sym__basic_literal] = STATE(1349),
    [sym_boolean_literal] = STATE(1349),
    [sym__string_literal] = STATE(1349),
    [sym_line_string_literal] = STATE(1349),
    [sym_multi_line_string_literal] = STATE(1349),
    [sym_raw_string_literal] = STATE(1349),
    [sym_regex_literal] = STATE(1349),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1349),
    [sym__unary_expression] = STATE(1349),
    [sym_postfix_expression] = STATE(1349),
    [sym_constructor_expression] = STATE(1349),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1349),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1349),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1349),
    [sym_prefix_expression] = STATE(1349),
    [sym_as_expression] = STATE(1349),
    [sym_selector_expression] = STATE(1349),
    [sym__binary_expression] = STATE(1349),
    [sym_multiplicative_expression] = STATE(1349),
    [sym_additive_expression] = STATE(1349),
    [sym_range_expression] = STATE(1349),
    [sym_infix_expression] = STATE(1349),
    [sym_nil_coalescing_expression] = STATE(1349),
    [sym_check_expression] = STATE(1349),
    [sym_comparison_expression] = STATE(1349),
    [sym_equality_expression] = STATE(1349),
    [sym_conjunction_expression] = STATE(1349),
    [sym_disjunction_expression] = STATE(1349),
    [sym_bitwise_operation] = STATE(1349),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1349),
    [sym_await_expression] = STATE(1349),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1349),
    [sym_call_expression] = STATE(1349),
    [sym__primary_expression] = STATE(1349),
    [sym_tuple_expression] = STATE(1349),
    [sym_array_literal] = STATE(1349),
    [sym_dictionary_literal] = STATE(1349),
    [sym__special_literal] = STATE(1349),
    [sym__playground_literal] = STATE(1349),
    [sym_lambda_literal] = STATE(1349),
    [sym_self_expression] = STATE(1349),
    [sym_super_expression] = STATE(1349),
    [sym_if_statement] = STATE(2559),
    [sym_guard_statement] = STATE(5953),
    [sym_switch_statement] = STATE(2559),
    [sym_do_statement] = STATE(5953),
    [sym_key_path_expression] = STATE(1349),
    [sym_key_path_string_expression] = STATE(1349),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1349),
    [sym__equality_operator] = STATE(1349),
    [sym__comparison_operator] = STATE(1349),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1349),
    [sym__multiplicative_operator] = STATE(1349),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym_statements] = STATE(7780),
    [sym__local_statement] = STATE(5953),
    [sym__labeled_statement] = STATE(5953),
    [sym_for_statement] = STATE(5953),
    [sym_while_statement] = STATE(5953),
    [sym_repeat_while_statement] = STATE(5953),
    [sym_control_transfer_statement] = STATE(5953),
    [sym__throw_statement] = STATE(6577),
    [sym__optionally_valueful_control_keyword] = STATE(283),
    [sym_assignment] = STATE(1349),
    [sym_value_parameter_pack] = STATE(1349),
    [sym_value_pack_expansion] = STATE(1349),
    [sym__local_declaration] = STATE(5953),
    [sym__local_property_declaration] = STATE(6579),
    [sym__local_typealias_declaration] = STATE(6581),
    [sym__local_function_declaration] = STATE(6582),
    [sym__local_class_declaration] = STATE(6584),
    [sym__modifierless_property_declaration] = STATE(6589),
    [sym__modifierless_typealias_declaration] = STATE(6601),
    [sym__modifierless_function_declaration] = STATE(6604),
    [sym__modifierless_function_declaration_no_body] = STATE(6607),
    [sym__modifierless_class_declaration] = STATE(6613),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__referenceable_operator] = STATE(1349),
    [sym__equal_sign] = STATE(1349),
    [sym__eq_eq] = STATE(1349),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__async_modifier] = STATE(6632),
    [sym_attribute] = STATE(4189),
    [sym_value_binding_pattern] = STATE(3973),
    [sym__possibly_async_binding_pattern_kind] = STATE(3973),
    [aux_sym__locally_permitted_modifiers] = STATE(4189),
    [sym__locally_permitted_modifier] = STATE(4189),
    [sym_property_behavior_modifier] = STATE(4189),
    [sym_inheritance_modifier] = STATE(4189),
    [sym_ownership_modifier] = STATE(4189),
    [sym__parameter_ownership_modifier] = STATE(2115),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(11),
    [aux_sym_simple_identifier_token2] = ACTIONS(13),
    [aux_sym_simple_identifier_token3] = ACTIONS(13),
    [aux_sym_simple_identifier_token4] = ACTIONS(13),
    [anon_sym_actor] = ACTIONS(15),
    [anon_sym_async] = ACTIONS(17),
    [anon_sym_each] = ACTIONS(19),
    [anon_sym_lazy] = ACTIONS(393),
    [anon_sym_repeat] = ACTIONS(23),
    [anon_sym_package] = ACTIONS(11),
    [anon_sym_nil] = ACTIONS(153),
    [sym_real_literal] = ACTIONS(155),
    [sym_integer_literal] = ACTIONS(153),
    [sym_hex_literal] = ACTIONS(155),
    [sym_oct_literal] = ACTIONS(155),
    [sym_bin_literal] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(153),
    [anon_sym_POUNDfileID] = ACTIONS(155),
    [anon_sym_POUNDfilePath] = ACTIONS(155),
    [anon_sym_POUNDline] = ACTIONS(155),
    [anon_sym_POUNDcolumn] = ACTIONS(155),
    [anon_sym_POUNDfunction] = ACTIONS(155),
    [anon_sym_POUNDdsohandle] = ACTIONS(155),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_RBRACE] = ACTIONS(521),
    [anon_sym_self] = ACTIONS(65),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_guard] = ACTIONS(69),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(153),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(153),
    [anon_sym_PERCENT] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(155),
    [anon_sym_CARET] = ACTIONS(153),
    [anon_sym_LT_LT] = ACTIONS(155),
    [anon_sym_GT_GT] = ACTIONS(155),
    [sym_statement_label] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [sym_throw_keyword] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(159),
    [anon_sym_continue] = ACTIONS(159),
    [anon_sym_break] = ACTIONS(159),
    [anon_sym_yield] = ACTIONS(159),
    [anon_sym_typealias] = ACTIONS(93),
    [anon_sym_struct] = ACTIONS(95),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_enum] = ACTIONS(99),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_func] = ACTIONS(105),
    [anon_sym_extension] = ACTIONS(109),
    [anon_sym_indirect] = ACTIONS(111),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_AT] = ACTIONS(395),
    [anon_sym_final] = ACTIONS(397),
    [anon_sym_weak] = ACTIONS(399),
    [anon_sym_unowned] = ACTIONS(399),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(401),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(401),
    [anon_sym_borrowing] = ACTIONS(11),
    [anon_sym_consuming] = ACTIONS(11),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(155),
    [sym__eq_eq_custom] = ACTIONS(155),
    [sym__plus_then_ws] = ACTIONS(155),
    [sym__minus_then_ws] = ACTIONS(155),
    [sym__bang_custom] = ACTIONS(151),
    [sym__custom_operator] = ACTIONS(57),
  },
  [55] = {
    [sym_simple_identifier] = STATE(2276),
    [sym__contextual_simple_identifier] = STATE(2115),
    [sym__basic_literal] = STATE(1349),
    [sym_boolean_literal] = STATE(1349),
    [sym__string_literal] = STATE(1349),
    [sym_line_string_literal] = STATE(1349),
    [sym_multi_line_string_literal] = STATE(1349),
    [sym_raw_string_literal] = STATE(1349),
    [sym_regex_literal] = STATE(1349),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1349),
    [sym__unary_expression] = STATE(1349),
    [sym_postfix_expression] = STATE(1349),
    [sym_constructor_expression] = STATE(1349),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1349),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1349),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1349),
    [sym_prefix_expression] = STATE(1349),
    [sym_as_expression] = STATE(1349),
    [sym_selector_expression] = STATE(1349),
    [sym__binary_expression] = STATE(1349),
    [sym_multiplicative_expression] = STATE(1349),
    [sym_additive_expression] = STATE(1349),
    [sym_range_expression] = STATE(1349),
    [sym_infix_expression] = STATE(1349),
    [sym_nil_coalescing_expression] = STATE(1349),
    [sym_check_expression] = STATE(1349),
    [sym_comparison_expression] = STATE(1349),
    [sym_equality_expression] = STATE(1349),
    [sym_conjunction_expression] = STATE(1349),
    [sym_disjunction_expression] = STATE(1349),
    [sym_bitwise_operation] = STATE(1349),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1349),
    [sym_await_expression] = STATE(1349),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1349),
    [sym_call_expression] = STATE(1349),
    [sym__primary_expression] = STATE(1349),
    [sym_tuple_expression] = STATE(1349),
    [sym_array_literal] = STATE(1349),
    [sym_dictionary_literal] = STATE(1349),
    [sym__special_literal] = STATE(1349),
    [sym__playground_literal] = STATE(1349),
    [sym_lambda_literal] = STATE(1349),
    [sym_self_expression] = STATE(1349),
    [sym_super_expression] = STATE(1349),
    [sym_if_statement] = STATE(2559),
    [sym_guard_statement] = STATE(5953),
    [sym_switch_statement] = STATE(2559),
    [sym_do_statement] = STATE(5953),
    [sym_key_path_expression] = STATE(1349),
    [sym_key_path_string_expression] = STATE(1349),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1349),
    [sym__equality_operator] = STATE(1349),
    [sym__comparison_operator] = STATE(1349),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1349),
    [sym__multiplicative_operator] = STATE(1349),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym_statements] = STATE(7660),
    [sym__local_statement] = STATE(5953),
    [sym__labeled_statement] = STATE(5953),
    [sym_for_statement] = STATE(5953),
    [sym_while_statement] = STATE(5953),
    [sym_repeat_while_statement] = STATE(5953),
    [sym_control_transfer_statement] = STATE(5953),
    [sym__throw_statement] = STATE(6577),
    [sym__optionally_valueful_control_keyword] = STATE(283),
    [sym_assignment] = STATE(1349),
    [sym_value_parameter_pack] = STATE(1349),
    [sym_value_pack_expansion] = STATE(1349),
    [sym__local_declaration] = STATE(5953),
    [sym__local_property_declaration] = STATE(6579),
    [sym__local_typealias_declaration] = STATE(6581),
    [sym__local_function_declaration] = STATE(6582),
    [sym__local_class_declaration] = STATE(6584),
    [sym__modifierless_property_declaration] = STATE(6589),
    [sym__modifierless_typealias_declaration] = STATE(6601),
    [sym__modifierless_function_declaration] = STATE(6604),
    [sym__modifierless_function_declaration_no_body] = STATE(6607),
    [sym__modifierless_class_declaration] = STATE(6613),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__referenceable_operator] = STATE(1349),
    [sym__equal_sign] = STATE(1349),
    [sym__eq_eq] = STATE(1349),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__async_modifier] = STATE(6632),
    [sym_attribute] = STATE(4189),
    [sym_value_binding_pattern] = STATE(3973),
    [sym__possibly_async_binding_pattern_kind] = STATE(3973),
    [aux_sym__locally_permitted_modifiers] = STATE(4189),
    [sym__locally_permitted_modifier] = STATE(4189),
    [sym_property_behavior_modifier] = STATE(4189),
    [sym_inheritance_modifier] = STATE(4189),
    [sym_ownership_modifier] = STATE(4189),
    [sym__parameter_ownership_modifier] = STATE(2115),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(11),
    [aux_sym_simple_identifier_token2] = ACTIONS(13),
    [aux_sym_simple_identifier_token3] = ACTIONS(13),
    [aux_sym_simple_identifier_token4] = ACTIONS(13),
    [anon_sym_actor] = ACTIONS(15),
    [anon_sym_async] = ACTIONS(17),
    [anon_sym_each] = ACTIONS(19),
    [anon_sym_lazy] = ACTIONS(393),
    [anon_sym_repeat] = ACTIONS(23),
    [anon_sym_package] = ACTIONS(11),
    [anon_sym_nil] = ACTIONS(153),
    [sym_real_literal] = ACTIONS(155),
    [sym_integer_literal] = ACTIONS(153),
    [sym_hex_literal] = ACTIONS(155),
    [sym_oct_literal] = ACTIONS(155),
    [sym_bin_literal] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(153),
    [anon_sym_POUNDfileID] = ACTIONS(155),
    [anon_sym_POUNDfilePath] = ACTIONS(155),
    [anon_sym_POUNDline] = ACTIONS(155),
    [anon_sym_POUNDcolumn] = ACTIONS(155),
    [anon_sym_POUNDfunction] = ACTIONS(155),
    [anon_sym_POUNDdsohandle] = ACTIONS(155),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_RBRACE] = ACTIONS(523),
    [anon_sym_self] = ACTIONS(65),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_guard] = ACTIONS(69),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(153),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(153),
    [anon_sym_PERCENT] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(155),
    [anon_sym_CARET] = ACTIONS(153),
    [anon_sym_LT_LT] = ACTIONS(155),
    [anon_sym_GT_GT] = ACTIONS(155),
    [sym_statement_label] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [sym_throw_keyword] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(159),
    [anon_sym_continue] = ACTIONS(159),
    [anon_sym_break] = ACTIONS(159),
    [anon_sym_yield] = ACTIONS(159),
    [anon_sym_typealias] = ACTIONS(93),
    [anon_sym_struct] = ACTIONS(95),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_enum] = ACTIONS(99),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_func] = ACTIONS(105),
    [anon_sym_extension] = ACTIONS(109),
    [anon_sym_indirect] = ACTIONS(111),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_AT] = ACTIONS(395),
    [anon_sym_final] = ACTIONS(397),
    [anon_sym_weak] = ACTIONS(399),
    [anon_sym_unowned] = ACTIONS(399),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(401),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(401),
    [anon_sym_borrowing] = ACTIONS(11),
    [anon_sym_consuming] = ACTIONS(11),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(155),
    [sym__eq_eq_custom] = ACTIONS(155),
    [sym__plus_then_ws] = ACTIONS(155),
    [sym__minus_then_ws] = ACTIONS(155),
    [sym__bang_custom] = ACTIONS(151),
    [sym__custom_operator] = ACTIONS(57),
  },
  [56] = {
    [sym_simple_identifier] = STATE(2276),
    [sym__contextual_simple_identifier] = STATE(2115),
    [sym__basic_literal] = STATE(1349),
    [sym_boolean_literal] = STATE(1349),
    [sym__string_literal] = STATE(1349),
    [sym_line_string_literal] = STATE(1349),
    [sym_multi_line_string_literal] = STATE(1349),
    [sym_raw_string_literal] = STATE(1349),
    [sym_regex_literal] = STATE(1349),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1349),
    [sym__unary_expression] = STATE(1349),
    [sym_postfix_expression] = STATE(1349),
    [sym_constructor_expression] = STATE(1349),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1349),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1349),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1349),
    [sym_prefix_expression] = STATE(1349),
    [sym_as_expression] = STATE(1349),
    [sym_selector_expression] = STATE(1349),
    [sym__binary_expression] = STATE(1349),
    [sym_multiplicative_expression] = STATE(1349),
    [sym_additive_expression] = STATE(1349),
    [sym_range_expression] = STATE(1349),
    [sym_infix_expression] = STATE(1349),
    [sym_nil_coalescing_expression] = STATE(1349),
    [sym_check_expression] = STATE(1349),
    [sym_comparison_expression] = STATE(1349),
    [sym_equality_expression] = STATE(1349),
    [sym_conjunction_expression] = STATE(1349),
    [sym_disjunction_expression] = STATE(1349),
    [sym_bitwise_operation] = STATE(1349),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1349),
    [sym_await_expression] = STATE(1349),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1349),
    [sym_call_expression] = STATE(1349),
    [sym__primary_expression] = STATE(1349),
    [sym_tuple_expression] = STATE(1349),
    [sym_array_literal] = STATE(1349),
    [sym_dictionary_literal] = STATE(1349),
    [sym__special_literal] = STATE(1349),
    [sym__playground_literal] = STATE(1349),
    [sym_lambda_literal] = STATE(1349),
    [sym_self_expression] = STATE(1349),
    [sym_super_expression] = STATE(1349),
    [sym_if_statement] = STATE(2559),
    [sym_guard_statement] = STATE(5953),
    [sym_switch_statement] = STATE(2559),
    [sym_do_statement] = STATE(5953),
    [sym_key_path_expression] = STATE(1349),
    [sym_key_path_string_expression] = STATE(1349),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1349),
    [sym__equality_operator] = STATE(1349),
    [sym__comparison_operator] = STATE(1349),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1349),
    [sym__multiplicative_operator] = STATE(1349),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym_statements] = STATE(7809),
    [sym__local_statement] = STATE(5953),
    [sym__labeled_statement] = STATE(5953),
    [sym_for_statement] = STATE(5953),
    [sym_while_statement] = STATE(5953),
    [sym_repeat_while_statement] = STATE(5953),
    [sym_control_transfer_statement] = STATE(5953),
    [sym__throw_statement] = STATE(6577),
    [sym__optionally_valueful_control_keyword] = STATE(283),
    [sym_assignment] = STATE(1349),
    [sym_value_parameter_pack] = STATE(1349),
    [sym_value_pack_expansion] = STATE(1349),
    [sym__local_declaration] = STATE(5953),
    [sym__local_property_declaration] = STATE(6579),
    [sym__local_typealias_declaration] = STATE(6581),
    [sym__local_function_declaration] = STATE(6582),
    [sym__local_class_declaration] = STATE(6584),
    [sym__modifierless_property_declaration] = STATE(6589),
    [sym__modifierless_typealias_declaration] = STATE(6601),
    [sym__modifierless_function_declaration] = STATE(6604),
    [sym__modifierless_function_declaration_no_body] = STATE(6607),
    [sym__modifierless_class_declaration] = STATE(6613),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__referenceable_operator] = STATE(1349),
    [sym__equal_sign] = STATE(1349),
    [sym__eq_eq] = STATE(1349),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__async_modifier] = STATE(6632),
    [sym_attribute] = STATE(4189),
    [sym_value_binding_pattern] = STATE(3973),
    [sym__possibly_async_binding_pattern_kind] = STATE(3973),
    [aux_sym__locally_permitted_modifiers] = STATE(4189),
    [sym__locally_permitted_modifier] = STATE(4189),
    [sym_property_behavior_modifier] = STATE(4189),
    [sym_inheritance_modifier] = STATE(4189),
    [sym_ownership_modifier] = STATE(4189),
    [sym__parameter_ownership_modifier] = STATE(2115),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(11),
    [aux_sym_simple_identifier_token2] = ACTIONS(13),
    [aux_sym_simple_identifier_token3] = ACTIONS(13),
    [aux_sym_simple_identifier_token4] = ACTIONS(13),
    [anon_sym_actor] = ACTIONS(15),
    [anon_sym_async] = ACTIONS(17),
    [anon_sym_each] = ACTIONS(19),
    [anon_sym_lazy] = ACTIONS(393),
    [anon_sym_repeat] = ACTIONS(23),
    [anon_sym_package] = ACTIONS(11),
    [anon_sym_nil] = ACTIONS(153),
    [sym_real_literal] = ACTIONS(155),
    [sym_integer_literal] = ACTIONS(153),
    [sym_hex_literal] = ACTIONS(155),
    [sym_oct_literal] = ACTIONS(155),
    [sym_bin_literal] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(153),
    [anon_sym_POUNDfileID] = ACTIONS(155),
    [anon_sym_POUNDfilePath] = ACTIONS(155),
    [anon_sym_POUNDline] = ACTIONS(155),
    [anon_sym_POUNDcolumn] = ACTIONS(155),
    [anon_sym_POUNDfunction] = ACTIONS(155),
    [anon_sym_POUNDdsohandle] = ACTIONS(155),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_RBRACE] = ACTIONS(525),
    [anon_sym_self] = ACTIONS(65),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_guard] = ACTIONS(69),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(153),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(153),
    [anon_sym_PERCENT] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(155),
    [anon_sym_CARET] = ACTIONS(153),
    [anon_sym_LT_LT] = ACTIONS(155),
    [anon_sym_GT_GT] = ACTIONS(155),
    [sym_statement_label] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [sym_throw_keyword] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(159),
    [anon_sym_continue] = ACTIONS(159),
    [anon_sym_break] = ACTIONS(159),
    [anon_sym_yield] = ACTIONS(159),
    [anon_sym_typealias] = ACTIONS(93),
    [anon_sym_struct] = ACTIONS(95),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_enum] = ACTIONS(99),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_func] = ACTIONS(105),
    [anon_sym_extension] = ACTIONS(109),
    [anon_sym_indirect] = ACTIONS(111),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_AT] = ACTIONS(395),
    [anon_sym_final] = ACTIONS(397),
    [anon_sym_weak] = ACTIONS(399),
    [anon_sym_unowned] = ACTIONS(399),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(401),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(401),
    [anon_sym_borrowing] = ACTIONS(11),
    [anon_sym_consuming] = ACTIONS(11),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(155),
    [sym__eq_eq_custom] = ACTIONS(155),
    [sym__plus_then_ws] = ACTIONS(155),
    [sym__minus_then_ws] = ACTIONS(155),
    [sym__bang_custom] = ACTIONS(151),
    [sym__custom_operator] = ACTIONS(57),
  },
  [57] = {
    [sym_simple_identifier] = STATE(2276),
    [sym__contextual_simple_identifier] = STATE(2115),
    [sym__basic_literal] = STATE(1349),
    [sym_boolean_literal] = STATE(1349),
    [sym__string_literal] = STATE(1349),
    [sym_line_string_literal] = STATE(1349),
    [sym_multi_line_string_literal] = STATE(1349),
    [sym_raw_string_literal] = STATE(1349),
    [sym_regex_literal] = STATE(1349),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1349),
    [sym__unary_expression] = STATE(1349),
    [sym_postfix_expression] = STATE(1349),
    [sym_constructor_expression] = STATE(1349),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1349),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1349),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1349),
    [sym_prefix_expression] = STATE(1349),
    [sym_as_expression] = STATE(1349),
    [sym_selector_expression] = STATE(1349),
    [sym__binary_expression] = STATE(1349),
    [sym_multiplicative_expression] = STATE(1349),
    [sym_additive_expression] = STATE(1349),
    [sym_range_expression] = STATE(1349),
    [sym_infix_expression] = STATE(1349),
    [sym_nil_coalescing_expression] = STATE(1349),
    [sym_check_expression] = STATE(1349),
    [sym_comparison_expression] = STATE(1349),
    [sym_equality_expression] = STATE(1349),
    [sym_conjunction_expression] = STATE(1349),
    [sym_disjunction_expression] = STATE(1349),
    [sym_bitwise_operation] = STATE(1349),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1349),
    [sym_await_expression] = STATE(1349),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1349),
    [sym_call_expression] = STATE(1349),
    [sym__primary_expression] = STATE(1349),
    [sym_tuple_expression] = STATE(1349),
    [sym_array_literal] = STATE(1349),
    [sym_dictionary_literal] = STATE(1349),
    [sym__special_literal] = STATE(1349),
    [sym__playground_literal] = STATE(1349),
    [sym_lambda_literal] = STATE(1349),
    [sym_self_expression] = STATE(1349),
    [sym_super_expression] = STATE(1349),
    [sym_if_statement] = STATE(2559),
    [sym_guard_statement] = STATE(5953),
    [sym_switch_statement] = STATE(2559),
    [sym_do_statement] = STATE(5953),
    [sym_key_path_expression] = STATE(1349),
    [sym_key_path_string_expression] = STATE(1349),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1349),
    [sym__equality_operator] = STATE(1349),
    [sym__comparison_operator] = STATE(1349),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1349),
    [sym__multiplicative_operator] = STATE(1349),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym_statements] = STATE(7694),
    [sym__local_statement] = STATE(5953),
    [sym__labeled_statement] = STATE(5953),
    [sym_for_statement] = STATE(5953),
    [sym_while_statement] = STATE(5953),
    [sym_repeat_while_statement] = STATE(5953),
    [sym_control_transfer_statement] = STATE(5953),
    [sym__throw_statement] = STATE(6577),
    [sym__optionally_valueful_control_keyword] = STATE(283),
    [sym_assignment] = STATE(1349),
    [sym_value_parameter_pack] = STATE(1349),
    [sym_value_pack_expansion] = STATE(1349),
    [sym__local_declaration] = STATE(5953),
    [sym__local_property_declaration] = STATE(6579),
    [sym__local_typealias_declaration] = STATE(6581),
    [sym__local_function_declaration] = STATE(6582),
    [sym__local_class_declaration] = STATE(6584),
    [sym__modifierless_property_declaration] = STATE(6589),
    [sym__modifierless_typealias_declaration] = STATE(6601),
    [sym__modifierless_function_declaration] = STATE(6604),
    [sym__modifierless_function_declaration_no_body] = STATE(6607),
    [sym__modifierless_class_declaration] = STATE(6613),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__referenceable_operator] = STATE(1349),
    [sym__equal_sign] = STATE(1349),
    [sym__eq_eq] = STATE(1349),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__async_modifier] = STATE(6632),
    [sym_attribute] = STATE(4189),
    [sym_value_binding_pattern] = STATE(3973),
    [sym__possibly_async_binding_pattern_kind] = STATE(3973),
    [aux_sym__locally_permitted_modifiers] = STATE(4189),
    [sym__locally_permitted_modifier] = STATE(4189),
    [sym_property_behavior_modifier] = STATE(4189),
    [sym_inheritance_modifier] = STATE(4189),
    [sym_ownership_modifier] = STATE(4189),
    [sym__parameter_ownership_modifier] = STATE(2115),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(11),
    [aux_sym_simple_identifier_token2] = ACTIONS(13),
    [aux_sym_simple_identifier_token3] = ACTIONS(13),
    [aux_sym_simple_identifier_token4] = ACTIONS(13),
    [anon_sym_actor] = ACTIONS(15),
    [anon_sym_async] = ACTIONS(17),
    [anon_sym_each] = ACTIONS(19),
    [anon_sym_lazy] = ACTIONS(393),
    [anon_sym_repeat] = ACTIONS(23),
    [anon_sym_package] = ACTIONS(11),
    [anon_sym_nil] = ACTIONS(153),
    [sym_real_literal] = ACTIONS(155),
    [sym_integer_literal] = ACTIONS(153),
    [sym_hex_literal] = ACTIONS(155),
    [sym_oct_literal] = ACTIONS(155),
    [sym_bin_literal] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(153),
    [anon_sym_POUNDfileID] = ACTIONS(155),
    [anon_sym_POUNDfilePath] = ACTIONS(155),
    [anon_sym_POUNDline] = ACTIONS(155),
    [anon_sym_POUNDcolumn] = ACTIONS(155),
    [anon_sym_POUNDfunction] = ACTIONS(155),
    [anon_sym_POUNDdsohandle] = ACTIONS(155),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_RBRACE] = ACTIONS(527),
    [anon_sym_self] = ACTIONS(65),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_guard] = ACTIONS(69),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(153),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(153),
    [anon_sym_PERCENT] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(155),
    [anon_sym_CARET] = ACTIONS(153),
    [anon_sym_LT_LT] = ACTIONS(155),
    [anon_sym_GT_GT] = ACTIONS(155),
    [sym_statement_label] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [sym_throw_keyword] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(159),
    [anon_sym_continue] = ACTIONS(159),
    [anon_sym_break] = ACTIONS(159),
    [anon_sym_yield] = ACTIONS(159),
    [anon_sym_typealias] = ACTIONS(93),
    [anon_sym_struct] = ACTIONS(95),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_enum] = ACTIONS(99),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_func] = ACTIONS(105),
    [anon_sym_extension] = ACTIONS(109),
    [anon_sym_indirect] = ACTIONS(111),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_AT] = ACTIONS(395),
    [anon_sym_final] = ACTIONS(397),
    [anon_sym_weak] = ACTIONS(399),
    [anon_sym_unowned] = ACTIONS(399),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(401),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(401),
    [anon_sym_borrowing] = ACTIONS(11),
    [anon_sym_consuming] = ACTIONS(11),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(155),
    [sym__eq_eq_custom] = ACTIONS(155),
    [sym__plus_then_ws] = ACTIONS(155),
    [sym__minus_then_ws] = ACTIONS(155),
    [sym__bang_custom] = ACTIONS(151),
    [sym__custom_operator] = ACTIONS(57),
  },
  [58] = {
    [sym_simple_identifier] = STATE(2276),
    [sym__contextual_simple_identifier] = STATE(2115),
    [sym__basic_literal] = STATE(1349),
    [sym_boolean_literal] = STATE(1349),
    [sym__string_literal] = STATE(1349),
    [sym_line_string_literal] = STATE(1349),
    [sym_multi_line_string_literal] = STATE(1349),
    [sym_raw_string_literal] = STATE(1349),
    [sym_regex_literal] = STATE(1349),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1349),
    [sym__unary_expression] = STATE(1349),
    [sym_postfix_expression] = STATE(1349),
    [sym_constructor_expression] = STATE(1349),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1349),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1349),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1349),
    [sym_prefix_expression] = STATE(1349),
    [sym_as_expression] = STATE(1349),
    [sym_selector_expression] = STATE(1349),
    [sym__binary_expression] = STATE(1349),
    [sym_multiplicative_expression] = STATE(1349),
    [sym_additive_expression] = STATE(1349),
    [sym_range_expression] = STATE(1349),
    [sym_infix_expression] = STATE(1349),
    [sym_nil_coalescing_expression] = STATE(1349),
    [sym_check_expression] = STATE(1349),
    [sym_comparison_expression] = STATE(1349),
    [sym_equality_expression] = STATE(1349),
    [sym_conjunction_expression] = STATE(1349),
    [sym_disjunction_expression] = STATE(1349),
    [sym_bitwise_operation] = STATE(1349),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1349),
    [sym_await_expression] = STATE(1349),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1349),
    [sym_call_expression] = STATE(1349),
    [sym__primary_expression] = STATE(1349),
    [sym_tuple_expression] = STATE(1349),
    [sym_array_literal] = STATE(1349),
    [sym_dictionary_literal] = STATE(1349),
    [sym__special_literal] = STATE(1349),
    [sym__playground_literal] = STATE(1349),
    [sym_lambda_literal] = STATE(1349),
    [sym_self_expression] = STATE(1349),
    [sym_super_expression] = STATE(1349),
    [sym_if_statement] = STATE(2559),
    [sym_guard_statement] = STATE(5953),
    [sym_switch_statement] = STATE(2559),
    [sym_do_statement] = STATE(5953),
    [sym_key_path_expression] = STATE(1349),
    [sym_key_path_string_expression] = STATE(1349),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1349),
    [sym__equality_operator] = STATE(1349),
    [sym__comparison_operator] = STATE(1349),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1349),
    [sym__multiplicative_operator] = STATE(1349),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym_statements] = STATE(7666),
    [sym__local_statement] = STATE(5953),
    [sym__labeled_statement] = STATE(5953),
    [sym_for_statement] = STATE(5953),
    [sym_while_statement] = STATE(5953),
    [sym_repeat_while_statement] = STATE(5953),
    [sym_control_transfer_statement] = STATE(5953),
    [sym__throw_statement] = STATE(6577),
    [sym__optionally_valueful_control_keyword] = STATE(283),
    [sym_assignment] = STATE(1349),
    [sym_value_parameter_pack] = STATE(1349),
    [sym_value_pack_expansion] = STATE(1349),
    [sym__local_declaration] = STATE(5953),
    [sym__local_property_declaration] = STATE(6579),
    [sym__local_typealias_declaration] = STATE(6581),
    [sym__local_function_declaration] = STATE(6582),
    [sym__local_class_declaration] = STATE(6584),
    [sym__modifierless_property_declaration] = STATE(6589),
    [sym__modifierless_typealias_declaration] = STATE(6601),
    [sym__modifierless_function_declaration] = STATE(6604),
    [sym__modifierless_function_declaration_no_body] = STATE(6607),
    [sym__modifierless_class_declaration] = STATE(6613),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__referenceable_operator] = STATE(1349),
    [sym__equal_sign] = STATE(1349),
    [sym__eq_eq] = STATE(1349),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__async_modifier] = STATE(6632),
    [sym_attribute] = STATE(4189),
    [sym_value_binding_pattern] = STATE(3973),
    [sym__possibly_async_binding_pattern_kind] = STATE(3973),
    [aux_sym__locally_permitted_modifiers] = STATE(4189),
    [sym__locally_permitted_modifier] = STATE(4189),
    [sym_property_behavior_modifier] = STATE(4189),
    [sym_inheritance_modifier] = STATE(4189),
    [sym_ownership_modifier] = STATE(4189),
    [sym__parameter_ownership_modifier] = STATE(2115),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(11),
    [aux_sym_simple_identifier_token2] = ACTIONS(13),
    [aux_sym_simple_identifier_token3] = ACTIONS(13),
    [aux_sym_simple_identifier_token4] = ACTIONS(13),
    [anon_sym_actor] = ACTIONS(15),
    [anon_sym_async] = ACTIONS(17),
    [anon_sym_each] = ACTIONS(19),
    [anon_sym_lazy] = ACTIONS(393),
    [anon_sym_repeat] = ACTIONS(23),
    [anon_sym_package] = ACTIONS(11),
    [anon_sym_nil] = ACTIONS(153),
    [sym_real_literal] = ACTIONS(155),
    [sym_integer_literal] = ACTIONS(153),
    [sym_hex_literal] = ACTIONS(155),
    [sym_oct_literal] = ACTIONS(155),
    [sym_bin_literal] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(153),
    [anon_sym_POUNDfileID] = ACTIONS(155),
    [anon_sym_POUNDfilePath] = ACTIONS(155),
    [anon_sym_POUNDline] = ACTIONS(155),
    [anon_sym_POUNDcolumn] = ACTIONS(155),
    [anon_sym_POUNDfunction] = ACTIONS(155),
    [anon_sym_POUNDdsohandle] = ACTIONS(155),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_RBRACE] = ACTIONS(529),
    [anon_sym_self] = ACTIONS(65),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_guard] = ACTIONS(69),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(153),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(153),
    [anon_sym_PERCENT] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(155),
    [anon_sym_CARET] = ACTIONS(153),
    [anon_sym_LT_LT] = ACTIONS(155),
    [anon_sym_GT_GT] = ACTIONS(155),
    [sym_statement_label] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [sym_throw_keyword] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(159),
    [anon_sym_continue] = ACTIONS(159),
    [anon_sym_break] = ACTIONS(159),
    [anon_sym_yield] = ACTIONS(159),
    [anon_sym_typealias] = ACTIONS(93),
    [anon_sym_struct] = ACTIONS(95),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_enum] = ACTIONS(99),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_func] = ACTIONS(105),
    [anon_sym_extension] = ACTIONS(109),
    [anon_sym_indirect] = ACTIONS(111),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_AT] = ACTIONS(395),
    [anon_sym_final] = ACTIONS(397),
    [anon_sym_weak] = ACTIONS(399),
    [anon_sym_unowned] = ACTIONS(399),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(401),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(401),
    [anon_sym_borrowing] = ACTIONS(11),
    [anon_sym_consuming] = ACTIONS(11),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(155),
    [sym__eq_eq_custom] = ACTIONS(155),
    [sym__plus_then_ws] = ACTIONS(155),
    [sym__minus_then_ws] = ACTIONS(155),
    [sym__bang_custom] = ACTIONS(151),
    [sym__custom_operator] = ACTIONS(57),
  },
  [59] = {
    [sym_simple_identifier] = STATE(2276),
    [sym__contextual_simple_identifier] = STATE(2115),
    [sym__basic_literal] = STATE(1349),
    [sym_boolean_literal] = STATE(1349),
    [sym__string_literal] = STATE(1349),
    [sym_line_string_literal] = STATE(1349),
    [sym_multi_line_string_literal] = STATE(1349),
    [sym_raw_string_literal] = STATE(1349),
    [sym_regex_literal] = STATE(1349),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1349),
    [sym__unary_expression] = STATE(1349),
    [sym_postfix_expression] = STATE(1349),
    [sym_constructor_expression] = STATE(1349),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1349),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1349),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1349),
    [sym_prefix_expression] = STATE(1349),
    [sym_as_expression] = STATE(1349),
    [sym_selector_expression] = STATE(1349),
    [sym__binary_expression] = STATE(1349),
    [sym_multiplicative_expression] = STATE(1349),
    [sym_additive_expression] = STATE(1349),
    [sym_range_expression] = STATE(1349),
    [sym_infix_expression] = STATE(1349),
    [sym_nil_coalescing_expression] = STATE(1349),
    [sym_check_expression] = STATE(1349),
    [sym_comparison_expression] = STATE(1349),
    [sym_equality_expression] = STATE(1349),
    [sym_conjunction_expression] = STATE(1349),
    [sym_disjunction_expression] = STATE(1349),
    [sym_bitwise_operation] = STATE(1349),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1349),
    [sym_await_expression] = STATE(1349),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1349),
    [sym_call_expression] = STATE(1349),
    [sym__primary_expression] = STATE(1349),
    [sym_tuple_expression] = STATE(1349),
    [sym_array_literal] = STATE(1349),
    [sym_dictionary_literal] = STATE(1349),
    [sym__special_literal] = STATE(1349),
    [sym__playground_literal] = STATE(1349),
    [sym_lambda_literal] = STATE(1349),
    [sym_self_expression] = STATE(1349),
    [sym_super_expression] = STATE(1349),
    [sym_if_statement] = STATE(2559),
    [sym_guard_statement] = STATE(5953),
    [sym_switch_statement] = STATE(2559),
    [sym_do_statement] = STATE(5953),
    [sym_key_path_expression] = STATE(1349),
    [sym_key_path_string_expression] = STATE(1349),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1349),
    [sym__equality_operator] = STATE(1349),
    [sym__comparison_operator] = STATE(1349),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1349),
    [sym__multiplicative_operator] = STATE(1349),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym_statements] = STATE(7793),
    [sym__local_statement] = STATE(5953),
    [sym__labeled_statement] = STATE(5953),
    [sym_for_statement] = STATE(5953),
    [sym_while_statement] = STATE(5953),
    [sym_repeat_while_statement] = STATE(5953),
    [sym_control_transfer_statement] = STATE(5953),
    [sym__throw_statement] = STATE(6577),
    [sym__optionally_valueful_control_keyword] = STATE(283),
    [sym_assignment] = STATE(1349),
    [sym_value_parameter_pack] = STATE(1349),
    [sym_value_pack_expansion] = STATE(1349),
    [sym__local_declaration] = STATE(5953),
    [sym__local_property_declaration] = STATE(6579),
    [sym__local_typealias_declaration] = STATE(6581),
    [sym__local_function_declaration] = STATE(6582),
    [sym__local_class_declaration] = STATE(6584),
    [sym__modifierless_property_declaration] = STATE(6589),
    [sym__modifierless_typealias_declaration] = STATE(6601),
    [sym__modifierless_function_declaration] = STATE(6604),
    [sym__modifierless_function_declaration_no_body] = STATE(6607),
    [sym__modifierless_class_declaration] = STATE(6613),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__referenceable_operator] = STATE(1349),
    [sym__equal_sign] = STATE(1349),
    [sym__eq_eq] = STATE(1349),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__async_modifier] = STATE(6632),
    [sym_attribute] = STATE(4189),
    [sym_value_binding_pattern] = STATE(3973),
    [sym__possibly_async_binding_pattern_kind] = STATE(3973),
    [aux_sym__locally_permitted_modifiers] = STATE(4189),
    [sym__locally_permitted_modifier] = STATE(4189),
    [sym_property_behavior_modifier] = STATE(4189),
    [sym_inheritance_modifier] = STATE(4189),
    [sym_ownership_modifier] = STATE(4189),
    [sym__parameter_ownership_modifier] = STATE(2115),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(11),
    [aux_sym_simple_identifier_token2] = ACTIONS(13),
    [aux_sym_simple_identifier_token3] = ACTIONS(13),
    [aux_sym_simple_identifier_token4] = ACTIONS(13),
    [anon_sym_actor] = ACTIONS(15),
    [anon_sym_async] = ACTIONS(17),
    [anon_sym_each] = ACTIONS(19),
    [anon_sym_lazy] = ACTIONS(393),
    [anon_sym_repeat] = ACTIONS(23),
    [anon_sym_package] = ACTIONS(11),
    [anon_sym_nil] = ACTIONS(153),
    [sym_real_literal] = ACTIONS(155),
    [sym_integer_literal] = ACTIONS(153),
    [sym_hex_literal] = ACTIONS(155),
    [sym_oct_literal] = ACTIONS(155),
    [sym_bin_literal] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(153),
    [anon_sym_POUNDfileID] = ACTIONS(155),
    [anon_sym_POUNDfilePath] = ACTIONS(155),
    [anon_sym_POUNDline] = ACTIONS(155),
    [anon_sym_POUNDcolumn] = ACTIONS(155),
    [anon_sym_POUNDfunction] = ACTIONS(155),
    [anon_sym_POUNDdsohandle] = ACTIONS(155),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_RBRACE] = ACTIONS(531),
    [anon_sym_self] = ACTIONS(65),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_guard] = ACTIONS(69),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(153),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(153),
    [anon_sym_PERCENT] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(155),
    [anon_sym_CARET] = ACTIONS(153),
    [anon_sym_LT_LT] = ACTIONS(155),
    [anon_sym_GT_GT] = ACTIONS(155),
    [sym_statement_label] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [sym_throw_keyword] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(159),
    [anon_sym_continue] = ACTIONS(159),
    [anon_sym_break] = ACTIONS(159),
    [anon_sym_yield] = ACTIONS(159),
    [anon_sym_typealias] = ACTIONS(93),
    [anon_sym_struct] = ACTIONS(95),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_enum] = ACTIONS(99),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_func] = ACTIONS(105),
    [anon_sym_extension] = ACTIONS(109),
    [anon_sym_indirect] = ACTIONS(111),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_AT] = ACTIONS(395),
    [anon_sym_final] = ACTIONS(397),
    [anon_sym_weak] = ACTIONS(399),
    [anon_sym_unowned] = ACTIONS(399),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(401),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(401),
    [anon_sym_borrowing] = ACTIONS(11),
    [anon_sym_consuming] = ACTIONS(11),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(155),
    [sym__eq_eq_custom] = ACTIONS(155),
    [sym__plus_then_ws] = ACTIONS(155),
    [sym__minus_then_ws] = ACTIONS(155),
    [sym__bang_custom] = ACTIONS(151),
    [sym__custom_operator] = ACTIONS(57),
  },
  [60] = {
    [sym_simple_identifier] = STATE(2276),
    [sym__contextual_simple_identifier] = STATE(2115),
    [sym__basic_literal] = STATE(1349),
    [sym_boolean_literal] = STATE(1349),
    [sym__string_literal] = STATE(1349),
    [sym_line_string_literal] = STATE(1349),
    [sym_multi_line_string_literal] = STATE(1349),
    [sym_raw_string_literal] = STATE(1349),
    [sym_regex_literal] = STATE(1349),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1349),
    [sym__unary_expression] = STATE(1349),
    [sym_postfix_expression] = STATE(1349),
    [sym_constructor_expression] = STATE(1349),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1349),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1349),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1349),
    [sym_prefix_expression] = STATE(1349),
    [sym_as_expression] = STATE(1349),
    [sym_selector_expression] = STATE(1349),
    [sym__binary_expression] = STATE(1349),
    [sym_multiplicative_expression] = STATE(1349),
    [sym_additive_expression] = STATE(1349),
    [sym_range_expression] = STATE(1349),
    [sym_infix_expression] = STATE(1349),
    [sym_nil_coalescing_expression] = STATE(1349),
    [sym_check_expression] = STATE(1349),
    [sym_comparison_expression] = STATE(1349),
    [sym_equality_expression] = STATE(1349),
    [sym_conjunction_expression] = STATE(1349),
    [sym_disjunction_expression] = STATE(1349),
    [sym_bitwise_operation] = STATE(1349),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1349),
    [sym_await_expression] = STATE(1349),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1349),
    [sym_call_expression] = STATE(1349),
    [sym__primary_expression] = STATE(1349),
    [sym_tuple_expression] = STATE(1349),
    [sym_array_literal] = STATE(1349),
    [sym_dictionary_literal] = STATE(1349),
    [sym__special_literal] = STATE(1349),
    [sym__playground_literal] = STATE(1349),
    [sym_lambda_literal] = STATE(1349),
    [sym_self_expression] = STATE(1349),
    [sym_super_expression] = STATE(1349),
    [sym_if_statement] = STATE(2559),
    [sym_guard_statement] = STATE(5953),
    [sym_switch_statement] = STATE(2559),
    [sym_do_statement] = STATE(5953),
    [sym_key_path_expression] = STATE(1349),
    [sym_key_path_string_expression] = STATE(1349),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1349),
    [sym__equality_operator] = STATE(1349),
    [sym__comparison_operator] = STATE(1349),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1349),
    [sym__multiplicative_operator] = STATE(1349),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym_statements] = STATE(7688),
    [sym__local_statement] = STATE(5953),
    [sym__labeled_statement] = STATE(5953),
    [sym_for_statement] = STATE(5953),
    [sym_while_statement] = STATE(5953),
    [sym_repeat_while_statement] = STATE(5953),
    [sym_control_transfer_statement] = STATE(5953),
    [sym__throw_statement] = STATE(6577),
    [sym__optionally_valueful_control_keyword] = STATE(283),
    [sym_assignment] = STATE(1349),
    [sym_value_parameter_pack] = STATE(1349),
    [sym_value_pack_expansion] = STATE(1349),
    [sym__local_declaration] = STATE(5953),
    [sym__local_property_declaration] = STATE(6579),
    [sym__local_typealias_declaration] = STATE(6581),
    [sym__local_function_declaration] = STATE(6582),
    [sym__local_class_declaration] = STATE(6584),
    [sym__modifierless_property_declaration] = STATE(6589),
    [sym__modifierless_typealias_declaration] = STATE(6601),
    [sym__modifierless_function_declaration] = STATE(6604),
    [sym__modifierless_function_declaration_no_body] = STATE(6607),
    [sym__modifierless_class_declaration] = STATE(6613),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__referenceable_operator] = STATE(1349),
    [sym__equal_sign] = STATE(1349),
    [sym__eq_eq] = STATE(1349),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__async_modifier] = STATE(6632),
    [sym_attribute] = STATE(4189),
    [sym_value_binding_pattern] = STATE(3973),
    [sym__possibly_async_binding_pattern_kind] = STATE(3973),
    [aux_sym__locally_permitted_modifiers] = STATE(4189),
    [sym__locally_permitted_modifier] = STATE(4189),
    [sym_property_behavior_modifier] = STATE(4189),
    [sym_inheritance_modifier] = STATE(4189),
    [sym_ownership_modifier] = STATE(4189),
    [sym__parameter_ownership_modifier] = STATE(2115),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(11),
    [aux_sym_simple_identifier_token2] = ACTIONS(13),
    [aux_sym_simple_identifier_token3] = ACTIONS(13),
    [aux_sym_simple_identifier_token4] = ACTIONS(13),
    [anon_sym_actor] = ACTIONS(15),
    [anon_sym_async] = ACTIONS(17),
    [anon_sym_each] = ACTIONS(19),
    [anon_sym_lazy] = ACTIONS(393),
    [anon_sym_repeat] = ACTIONS(23),
    [anon_sym_package] = ACTIONS(11),
    [anon_sym_nil] = ACTIONS(153),
    [sym_real_literal] = ACTIONS(155),
    [sym_integer_literal] = ACTIONS(153),
    [sym_hex_literal] = ACTIONS(155),
    [sym_oct_literal] = ACTIONS(155),
    [sym_bin_literal] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(153),
    [anon_sym_POUNDfileID] = ACTIONS(155),
    [anon_sym_POUNDfilePath] = ACTIONS(155),
    [anon_sym_POUNDline] = ACTIONS(155),
    [anon_sym_POUNDcolumn] = ACTIONS(155),
    [anon_sym_POUNDfunction] = ACTIONS(155),
    [anon_sym_POUNDdsohandle] = ACTIONS(155),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_RBRACE] = ACTIONS(533),
    [anon_sym_self] = ACTIONS(65),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_guard] = ACTIONS(69),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(153),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(153),
    [anon_sym_PERCENT] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(155),
    [anon_sym_CARET] = ACTIONS(153),
    [anon_sym_LT_LT] = ACTIONS(155),
    [anon_sym_GT_GT] = ACTIONS(155),
    [sym_statement_label] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [sym_throw_keyword] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(159),
    [anon_sym_continue] = ACTIONS(159),
    [anon_sym_break] = ACTIONS(159),
    [anon_sym_yield] = ACTIONS(159),
    [anon_sym_typealias] = ACTIONS(93),
    [anon_sym_struct] = ACTIONS(95),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_enum] = ACTIONS(99),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_func] = ACTIONS(105),
    [anon_sym_extension] = ACTIONS(109),
    [anon_sym_indirect] = ACTIONS(111),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_AT] = ACTIONS(395),
    [anon_sym_final] = ACTIONS(397),
    [anon_sym_weak] = ACTIONS(399),
    [anon_sym_unowned] = ACTIONS(399),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(401),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(401),
    [anon_sym_borrowing] = ACTIONS(11),
    [anon_sym_consuming] = ACTIONS(11),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(155),
    [sym__eq_eq_custom] = ACTIONS(155),
    [sym__plus_then_ws] = ACTIONS(155),
    [sym__minus_then_ws] = ACTIONS(155),
    [sym__bang_custom] = ACTIONS(151),
    [sym__custom_operator] = ACTIONS(57),
  },
  [61] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1427),
    [sym_boolean_literal] = STATE(1427),
    [sym__string_literal] = STATE(1427),
    [sym_line_string_literal] = STATE(1427),
    [sym_multi_line_string_literal] = STATE(1427),
    [sym_raw_string_literal] = STATE(1427),
    [sym_regex_literal] = STATE(1427),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1427),
    [sym__unary_expression] = STATE(1427),
    [sym_postfix_expression] = STATE(1427),
    [sym_constructor_expression] = STATE(1427),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1427),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1427),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1427),
    [sym_prefix_expression] = STATE(1427),
    [sym_as_expression] = STATE(1427),
    [sym_selector_expression] = STATE(1427),
    [sym__binary_expression] = STATE(1427),
    [sym_multiplicative_expression] = STATE(1427),
    [sym_additive_expression] = STATE(1427),
    [sym_range_expression] = STATE(1427),
    [sym_infix_expression] = STATE(1427),
    [sym_nil_coalescing_expression] = STATE(1427),
    [sym_check_expression] = STATE(1427),
    [sym_comparison_expression] = STATE(1427),
    [sym_equality_expression] = STATE(1427),
    [sym_conjunction_expression] = STATE(1427),
    [sym_disjunction_expression] = STATE(1427),
    [sym_bitwise_operation] = STATE(1427),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1427),
    [sym_await_expression] = STATE(1427),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1427),
    [sym_call_expression] = STATE(1427),
    [sym__primary_expression] = STATE(1427),
    [sym_tuple_expression] = STATE(1427),
    [sym_array_literal] = STATE(1427),
    [sym_dictionary_literal] = STATE(1427),
    [sym__special_literal] = STATE(1427),
    [sym__playground_literal] = STATE(1427),
    [sym_lambda_literal] = STATE(1427),
    [sym_self_expression] = STATE(1427),
    [sym_super_expression] = STATE(1427),
    [sym_if_statement] = STATE(1427),
    [sym__if_condition_sequence_item] = STATE(6368),
    [sym__if_let_binding] = STATE(7553),
    [sym_switch_statement] = STATE(1427),
    [sym_key_path_expression] = STATE(1427),
    [sym_key_path_string_expression] = STATE(1427),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1427),
    [sym__equality_operator] = STATE(1427),
    [sym__comparison_operator] = STATE(1427),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1427),
    [sym__multiplicative_operator] = STATE(1427),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1427),
    [sym_value_parameter_pack] = STATE(1427),
    [sym_value_pack_expansion] = STATE(1427),
    [sym_availability_condition] = STATE(6368),
    [sym__referenceable_operator] = STATE(1427),
    [sym__equal_sign] = STATE(1427),
    [sym__eq_eq] = STATE(1427),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__async_modifier] = STATE(6632),
    [sym__direct_or_indirect_binding] = STATE(5779),
    [sym_value_binding_pattern] = STATE(4103),
    [sym__possibly_async_binding_pattern_kind] = STATE(4103),
    [sym__binding_kind_and_pattern] = STATE(5716),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(535),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(407),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(407),
    [anon_sym_nil] = ACTIONS(413),
    [sym_real_literal] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(413),
    [sym_hex_literal] = ACTIONS(415),
    [sym_oct_literal] = ACTIONS(415),
    [sym_bin_literal] = ACTIONS(415),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [anon_sym_COMMA] = ACTIONS(425),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(425),
    [anon_sym_LBRACK] = ACTIONS(425),
    [anon_sym_QMARK] = ACTIONS(407),
    [anon_sym_QMARK2] = ACTIONS(425),
    [anon_sym_AMP] = ACTIONS(425),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(425),
    [anon_sym_LT] = ACTIONS(407),
    [anon_sym_GT] = ACTIONS(407),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(413),
    [anon_sym_POUNDfileID] = ACTIONS(415),
    [anon_sym_POUNDfilePath] = ACTIONS(415),
    [anon_sym_POUNDline] = ACTIONS(415),
    [anon_sym_POUNDcolumn] = ACTIONS(415),
    [anon_sym_POUNDfunction] = ACTIONS(415),
    [anon_sym_POUNDdsohandle] = ACTIONS(415),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(425),
    [anon_sym_CARET_LBRACE] = ACTIONS(425),
    [anon_sym_RBRACE] = ACTIONS(425),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_case] = ACTIONS(407),
    [anon_sym_fallthrough] = ACTIONS(407),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(425),
    [anon_sym_DASH_EQ] = ACTIONS(425),
    [anon_sym_STAR_EQ] = ACTIONS(425),
    [anon_sym_SLASH_EQ] = ACTIONS(425),
    [anon_sym_PERCENT_EQ] = ACTIONS(425),
    [anon_sym_BANG_EQ] = ACTIONS(407),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(425),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(425),
    [anon_sym_LT_EQ] = ACTIONS(425),
    [anon_sym_GT_EQ] = ACTIONS(425),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(425),
    [anon_sym_DOT_DOT_LT] = ACTIONS(425),
    [anon_sym_is] = ACTIONS(407),
    [anon_sym_PLUS] = ACTIONS(407),
    [anon_sym_DASH] = ACTIONS(407),
    [anon_sym_STAR] = ACTIONS(407),
    [anon_sym_SLASH] = ACTIONS(407),
    [anon_sym_PERCENT] = ACTIONS(407),
    [anon_sym_PLUS_PLUS] = ACTIONS(425),
    [anon_sym_DASH_DASH] = ACTIONS(425),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(425),
    [anon_sym_CARET] = ACTIONS(407),
    [anon_sym_LT_LT] = ACTIONS(425),
    [anon_sym_GT_GT] = ACTIONS(425),
    [anon_sym_POUNDavailable] = ACTIONS(451),
    [anon_sym_POUNDunavailable] = ACTIONS(451),
    [anon_sym_class] = ACTIONS(407),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_BANG2] = ACTIONS(407),
    [anon_sym_prefix] = ACTIONS(407),
    [anon_sym_infix] = ACTIONS(407),
    [anon_sym_postfix] = ACTIONS(407),
    [anon_sym_AT] = ACTIONS(407),
    [anon_sym_override] = ACTIONS(407),
    [anon_sym_convenience] = ACTIONS(407),
    [anon_sym_required] = ACTIONS(407),
    [anon_sym_nonisolated] = ACTIONS(407),
    [anon_sym_public] = ACTIONS(407),
    [anon_sym_private] = ACTIONS(407),
    [anon_sym_internal] = ACTIONS(407),
    [anon_sym_fileprivate] = ACTIONS(407),
    [anon_sym_open] = ACTIONS(407),
    [anon_sym_mutating] = ACTIONS(407),
    [anon_sym_nonmutating] = ACTIONS(407),
    [anon_sym_static] = ACTIONS(407),
    [anon_sym_dynamic] = ACTIONS(407),
    [anon_sym_optional] = ACTIONS(407),
    [anon_sym_distributed] = ACTIONS(407),
    [anon_sym_final] = ACTIONS(407),
    [anon_sym_inout] = ACTIONS(407),
    [anon_sym_ATescaping] = ACTIONS(425),
    [anon_sym_ATautoclosure] = ACTIONS(425),
    [anon_sym_weak] = ACTIONS(407),
    [anon_sym_unowned] = ACTIONS(407),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(425),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(425),
    [anon_sym_borrowing] = ACTIONS(407),
    [anon_sym_consuming] = ACTIONS(407),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__implicit_semi] = ACTIONS(425),
    [sym__explicit_semi] = ACTIONS(425),
    [sym__dot_custom] = ACTIONS(425),
    [sym__conjunction_operator_custom] = ACTIONS(425),
    [sym__disjunction_operator_custom] = ACTIONS(425),
    [sym__nil_coalescing_operator_custom] = ACTIONS(425),
    [sym__eq_custom] = ACTIONS(425),
    [sym__eq_eq_custom] = ACTIONS(425),
    [sym__plus_then_ws] = ACTIONS(425),
    [sym__minus_then_ws] = ACTIONS(425),
    [sym__bang_custom] = ACTIONS(425),
    [sym_default_keyword] = ACTIONS(425),
    [sym_where_keyword] = ACTIONS(425),
    [sym__as_custom] = ACTIONS(425),
    [sym__as_quest_custom] = ACTIONS(425),
    [sym__as_bang_custom] = ACTIONS(425),
    [sym__custom_operator] = ACTIONS(425),
  },
  [62] = {
    [sym_simple_identifier] = STATE(2276),
    [sym__contextual_simple_identifier] = STATE(2115),
    [sym__basic_literal] = STATE(1349),
    [sym_boolean_literal] = STATE(1349),
    [sym__string_literal] = STATE(1349),
    [sym_line_string_literal] = STATE(1349),
    [sym_multi_line_string_literal] = STATE(1349),
    [sym_raw_string_literal] = STATE(1349),
    [sym_regex_literal] = STATE(1349),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1349),
    [sym__unary_expression] = STATE(1349),
    [sym_postfix_expression] = STATE(1349),
    [sym_constructor_expression] = STATE(1349),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1349),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1349),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1349),
    [sym_prefix_expression] = STATE(1349),
    [sym_as_expression] = STATE(1349),
    [sym_selector_expression] = STATE(1349),
    [sym__binary_expression] = STATE(1349),
    [sym_multiplicative_expression] = STATE(1349),
    [sym_additive_expression] = STATE(1349),
    [sym_range_expression] = STATE(1349),
    [sym_infix_expression] = STATE(1349),
    [sym_nil_coalescing_expression] = STATE(1349),
    [sym_check_expression] = STATE(1349),
    [sym_comparison_expression] = STATE(1349),
    [sym_equality_expression] = STATE(1349),
    [sym_conjunction_expression] = STATE(1349),
    [sym_disjunction_expression] = STATE(1349),
    [sym_bitwise_operation] = STATE(1349),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1349),
    [sym_await_expression] = STATE(1349),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1349),
    [sym_call_expression] = STATE(1349),
    [sym__primary_expression] = STATE(1349),
    [sym_tuple_expression] = STATE(1349),
    [sym_array_literal] = STATE(1349),
    [sym_dictionary_literal] = STATE(1349),
    [sym__special_literal] = STATE(1349),
    [sym__playground_literal] = STATE(1349),
    [sym_lambda_literal] = STATE(1349),
    [sym_self_expression] = STATE(1349),
    [sym_super_expression] = STATE(1349),
    [sym_if_statement] = STATE(2559),
    [sym_guard_statement] = STATE(5953),
    [sym_switch_statement] = STATE(2559),
    [sym_do_statement] = STATE(5953),
    [sym_key_path_expression] = STATE(1349),
    [sym_key_path_string_expression] = STATE(1349),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1349),
    [sym__equality_operator] = STATE(1349),
    [sym__comparison_operator] = STATE(1349),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1349),
    [sym__multiplicative_operator] = STATE(1349),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym_statements] = STATE(7652),
    [sym__local_statement] = STATE(5953),
    [sym__labeled_statement] = STATE(5953),
    [sym_for_statement] = STATE(5953),
    [sym_while_statement] = STATE(5953),
    [sym_repeat_while_statement] = STATE(5953),
    [sym_control_transfer_statement] = STATE(5953),
    [sym__throw_statement] = STATE(6577),
    [sym__optionally_valueful_control_keyword] = STATE(283),
    [sym_assignment] = STATE(1349),
    [sym_value_parameter_pack] = STATE(1349),
    [sym_value_pack_expansion] = STATE(1349),
    [sym__local_declaration] = STATE(5953),
    [sym__local_property_declaration] = STATE(6579),
    [sym__local_typealias_declaration] = STATE(6581),
    [sym__local_function_declaration] = STATE(6582),
    [sym__local_class_declaration] = STATE(6584),
    [sym__modifierless_property_declaration] = STATE(6589),
    [sym__modifierless_typealias_declaration] = STATE(6601),
    [sym__modifierless_function_declaration] = STATE(6604),
    [sym__modifierless_function_declaration_no_body] = STATE(6607),
    [sym__modifierless_class_declaration] = STATE(6613),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__referenceable_operator] = STATE(1349),
    [sym__equal_sign] = STATE(1349),
    [sym__eq_eq] = STATE(1349),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__async_modifier] = STATE(6632),
    [sym_attribute] = STATE(4189),
    [sym_value_binding_pattern] = STATE(3973),
    [sym__possibly_async_binding_pattern_kind] = STATE(3973),
    [aux_sym__locally_permitted_modifiers] = STATE(4189),
    [sym__locally_permitted_modifier] = STATE(4189),
    [sym_property_behavior_modifier] = STATE(4189),
    [sym_inheritance_modifier] = STATE(4189),
    [sym_ownership_modifier] = STATE(4189),
    [sym__parameter_ownership_modifier] = STATE(2115),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(11),
    [aux_sym_simple_identifier_token2] = ACTIONS(13),
    [aux_sym_simple_identifier_token3] = ACTIONS(13),
    [aux_sym_simple_identifier_token4] = ACTIONS(13),
    [anon_sym_actor] = ACTIONS(15),
    [anon_sym_async] = ACTIONS(17),
    [anon_sym_each] = ACTIONS(19),
    [anon_sym_lazy] = ACTIONS(393),
    [anon_sym_repeat] = ACTIONS(23),
    [anon_sym_package] = ACTIONS(11),
    [anon_sym_nil] = ACTIONS(153),
    [sym_real_literal] = ACTIONS(155),
    [sym_integer_literal] = ACTIONS(153),
    [sym_hex_literal] = ACTIONS(155),
    [sym_oct_literal] = ACTIONS(155),
    [sym_bin_literal] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(153),
    [anon_sym_POUNDfileID] = ACTIONS(155),
    [anon_sym_POUNDfilePath] = ACTIONS(155),
    [anon_sym_POUNDline] = ACTIONS(155),
    [anon_sym_POUNDcolumn] = ACTIONS(155),
    [anon_sym_POUNDfunction] = ACTIONS(155),
    [anon_sym_POUNDdsohandle] = ACTIONS(155),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_RBRACE] = ACTIONS(537),
    [anon_sym_self] = ACTIONS(65),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_guard] = ACTIONS(69),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(153),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(153),
    [anon_sym_PERCENT] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(155),
    [anon_sym_CARET] = ACTIONS(153),
    [anon_sym_LT_LT] = ACTIONS(155),
    [anon_sym_GT_GT] = ACTIONS(155),
    [sym_statement_label] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [sym_throw_keyword] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(159),
    [anon_sym_continue] = ACTIONS(159),
    [anon_sym_break] = ACTIONS(159),
    [anon_sym_yield] = ACTIONS(159),
    [anon_sym_typealias] = ACTIONS(93),
    [anon_sym_struct] = ACTIONS(95),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_enum] = ACTIONS(99),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_func] = ACTIONS(105),
    [anon_sym_extension] = ACTIONS(109),
    [anon_sym_indirect] = ACTIONS(111),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_AT] = ACTIONS(395),
    [anon_sym_final] = ACTIONS(397),
    [anon_sym_weak] = ACTIONS(399),
    [anon_sym_unowned] = ACTIONS(399),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(401),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(401),
    [anon_sym_borrowing] = ACTIONS(11),
    [anon_sym_consuming] = ACTIONS(11),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(155),
    [sym__eq_eq_custom] = ACTIONS(155),
    [sym__plus_then_ws] = ACTIONS(155),
    [sym__minus_then_ws] = ACTIONS(155),
    [sym__bang_custom] = ACTIONS(151),
    [sym__custom_operator] = ACTIONS(57),
  },
  [63] = {
    [sym_simple_identifier] = STATE(2276),
    [sym__contextual_simple_identifier] = STATE(2115),
    [sym__basic_literal] = STATE(1349),
    [sym_boolean_literal] = STATE(1349),
    [sym__string_literal] = STATE(1349),
    [sym_line_string_literal] = STATE(1349),
    [sym_multi_line_string_literal] = STATE(1349),
    [sym_raw_string_literal] = STATE(1349),
    [sym_regex_literal] = STATE(1349),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1349),
    [sym__unary_expression] = STATE(1349),
    [sym_postfix_expression] = STATE(1349),
    [sym_constructor_expression] = STATE(1349),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1349),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1349),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1349),
    [sym_prefix_expression] = STATE(1349),
    [sym_as_expression] = STATE(1349),
    [sym_selector_expression] = STATE(1349),
    [sym__binary_expression] = STATE(1349),
    [sym_multiplicative_expression] = STATE(1349),
    [sym_additive_expression] = STATE(1349),
    [sym_range_expression] = STATE(1349),
    [sym_infix_expression] = STATE(1349),
    [sym_nil_coalescing_expression] = STATE(1349),
    [sym_check_expression] = STATE(1349),
    [sym_comparison_expression] = STATE(1349),
    [sym_equality_expression] = STATE(1349),
    [sym_conjunction_expression] = STATE(1349),
    [sym_disjunction_expression] = STATE(1349),
    [sym_bitwise_operation] = STATE(1349),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1349),
    [sym_await_expression] = STATE(1349),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1349),
    [sym_call_expression] = STATE(1349),
    [sym__primary_expression] = STATE(1349),
    [sym_tuple_expression] = STATE(1349),
    [sym_array_literal] = STATE(1349),
    [sym_dictionary_literal] = STATE(1349),
    [sym__special_literal] = STATE(1349),
    [sym__playground_literal] = STATE(1349),
    [sym_lambda_literal] = STATE(1349),
    [sym_self_expression] = STATE(1349),
    [sym_super_expression] = STATE(1349),
    [sym_if_statement] = STATE(2559),
    [sym_guard_statement] = STATE(5953),
    [sym_switch_statement] = STATE(2559),
    [sym_do_statement] = STATE(5953),
    [sym_key_path_expression] = STATE(1349),
    [sym_key_path_string_expression] = STATE(1349),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1349),
    [sym__equality_operator] = STATE(1349),
    [sym__comparison_operator] = STATE(1349),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1349),
    [sym__multiplicative_operator] = STATE(1349),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym_statements] = STATE(7651),
    [sym__local_statement] = STATE(5953),
    [sym__labeled_statement] = STATE(5953),
    [sym_for_statement] = STATE(5953),
    [sym_while_statement] = STATE(5953),
    [sym_repeat_while_statement] = STATE(5953),
    [sym_control_transfer_statement] = STATE(5953),
    [sym__throw_statement] = STATE(6577),
    [sym__optionally_valueful_control_keyword] = STATE(283),
    [sym_assignment] = STATE(1349),
    [sym_value_parameter_pack] = STATE(1349),
    [sym_value_pack_expansion] = STATE(1349),
    [sym__local_declaration] = STATE(5953),
    [sym__local_property_declaration] = STATE(6579),
    [sym__local_typealias_declaration] = STATE(6581),
    [sym__local_function_declaration] = STATE(6582),
    [sym__local_class_declaration] = STATE(6584),
    [sym__modifierless_property_declaration] = STATE(6589),
    [sym__modifierless_typealias_declaration] = STATE(6601),
    [sym__modifierless_function_declaration] = STATE(6604),
    [sym__modifierless_function_declaration_no_body] = STATE(6607),
    [sym__modifierless_class_declaration] = STATE(6613),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__referenceable_operator] = STATE(1349),
    [sym__equal_sign] = STATE(1349),
    [sym__eq_eq] = STATE(1349),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__async_modifier] = STATE(6632),
    [sym_attribute] = STATE(4189),
    [sym_value_binding_pattern] = STATE(3973),
    [sym__possibly_async_binding_pattern_kind] = STATE(3973),
    [aux_sym__locally_permitted_modifiers] = STATE(4189),
    [sym__locally_permitted_modifier] = STATE(4189),
    [sym_property_behavior_modifier] = STATE(4189),
    [sym_inheritance_modifier] = STATE(4189),
    [sym_ownership_modifier] = STATE(4189),
    [sym__parameter_ownership_modifier] = STATE(2115),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(11),
    [aux_sym_simple_identifier_token2] = ACTIONS(13),
    [aux_sym_simple_identifier_token3] = ACTIONS(13),
    [aux_sym_simple_identifier_token4] = ACTIONS(13),
    [anon_sym_actor] = ACTIONS(15),
    [anon_sym_async] = ACTIONS(17),
    [anon_sym_each] = ACTIONS(19),
    [anon_sym_lazy] = ACTIONS(393),
    [anon_sym_repeat] = ACTIONS(23),
    [anon_sym_package] = ACTIONS(11),
    [anon_sym_nil] = ACTIONS(153),
    [sym_real_literal] = ACTIONS(155),
    [sym_integer_literal] = ACTIONS(153),
    [sym_hex_literal] = ACTIONS(155),
    [sym_oct_literal] = ACTIONS(155),
    [sym_bin_literal] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(153),
    [anon_sym_POUNDfileID] = ACTIONS(155),
    [anon_sym_POUNDfilePath] = ACTIONS(155),
    [anon_sym_POUNDline] = ACTIONS(155),
    [anon_sym_POUNDcolumn] = ACTIONS(155),
    [anon_sym_POUNDfunction] = ACTIONS(155),
    [anon_sym_POUNDdsohandle] = ACTIONS(155),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_RBRACE] = ACTIONS(539),
    [anon_sym_self] = ACTIONS(65),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_guard] = ACTIONS(69),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(153),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(153),
    [anon_sym_PERCENT] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(155),
    [anon_sym_CARET] = ACTIONS(153),
    [anon_sym_LT_LT] = ACTIONS(155),
    [anon_sym_GT_GT] = ACTIONS(155),
    [sym_statement_label] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [sym_throw_keyword] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(159),
    [anon_sym_continue] = ACTIONS(159),
    [anon_sym_break] = ACTIONS(159),
    [anon_sym_yield] = ACTIONS(159),
    [anon_sym_typealias] = ACTIONS(93),
    [anon_sym_struct] = ACTIONS(95),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_enum] = ACTIONS(99),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_func] = ACTIONS(105),
    [anon_sym_extension] = ACTIONS(109),
    [anon_sym_indirect] = ACTIONS(111),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_AT] = ACTIONS(395),
    [anon_sym_final] = ACTIONS(397),
    [anon_sym_weak] = ACTIONS(399),
    [anon_sym_unowned] = ACTIONS(399),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(401),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(401),
    [anon_sym_borrowing] = ACTIONS(11),
    [anon_sym_consuming] = ACTIONS(11),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(155),
    [sym__eq_eq_custom] = ACTIONS(155),
    [sym__plus_then_ws] = ACTIONS(155),
    [sym__minus_then_ws] = ACTIONS(155),
    [sym__bang_custom] = ACTIONS(151),
    [sym__custom_operator] = ACTIONS(57),
  },
  [64] = {
    [sym_simple_identifier] = STATE(2276),
    [sym__contextual_simple_identifier] = STATE(2115),
    [sym__basic_literal] = STATE(1349),
    [sym_boolean_literal] = STATE(1349),
    [sym__string_literal] = STATE(1349),
    [sym_line_string_literal] = STATE(1349),
    [sym_multi_line_string_literal] = STATE(1349),
    [sym_raw_string_literal] = STATE(1349),
    [sym_regex_literal] = STATE(1349),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1349),
    [sym__unary_expression] = STATE(1349),
    [sym_postfix_expression] = STATE(1349),
    [sym_constructor_expression] = STATE(1349),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1349),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1349),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1349),
    [sym_prefix_expression] = STATE(1349),
    [sym_as_expression] = STATE(1349),
    [sym_selector_expression] = STATE(1349),
    [sym__binary_expression] = STATE(1349),
    [sym_multiplicative_expression] = STATE(1349),
    [sym_additive_expression] = STATE(1349),
    [sym_range_expression] = STATE(1349),
    [sym_infix_expression] = STATE(1349),
    [sym_nil_coalescing_expression] = STATE(1349),
    [sym_check_expression] = STATE(1349),
    [sym_comparison_expression] = STATE(1349),
    [sym_equality_expression] = STATE(1349),
    [sym_conjunction_expression] = STATE(1349),
    [sym_disjunction_expression] = STATE(1349),
    [sym_bitwise_operation] = STATE(1349),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1349),
    [sym_await_expression] = STATE(1349),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1349),
    [sym_call_expression] = STATE(1349),
    [sym__primary_expression] = STATE(1349),
    [sym_tuple_expression] = STATE(1349),
    [sym_array_literal] = STATE(1349),
    [sym_dictionary_literal] = STATE(1349),
    [sym__special_literal] = STATE(1349),
    [sym__playground_literal] = STATE(1349),
    [sym_lambda_literal] = STATE(1349),
    [sym_self_expression] = STATE(1349),
    [sym_super_expression] = STATE(1349),
    [sym_if_statement] = STATE(2559),
    [sym_guard_statement] = STATE(5953),
    [sym_switch_statement] = STATE(2559),
    [sym_do_statement] = STATE(5953),
    [sym_key_path_expression] = STATE(1349),
    [sym_key_path_string_expression] = STATE(1349),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1349),
    [sym__equality_operator] = STATE(1349),
    [sym__comparison_operator] = STATE(1349),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1349),
    [sym__multiplicative_operator] = STATE(1349),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym_statements] = STATE(7798),
    [sym__local_statement] = STATE(5953),
    [sym__labeled_statement] = STATE(5953),
    [sym_for_statement] = STATE(5953),
    [sym_while_statement] = STATE(5953),
    [sym_repeat_while_statement] = STATE(5953),
    [sym_control_transfer_statement] = STATE(5953),
    [sym__throw_statement] = STATE(6577),
    [sym__optionally_valueful_control_keyword] = STATE(283),
    [sym_assignment] = STATE(1349),
    [sym_value_parameter_pack] = STATE(1349),
    [sym_value_pack_expansion] = STATE(1349),
    [sym__local_declaration] = STATE(5953),
    [sym__local_property_declaration] = STATE(6579),
    [sym__local_typealias_declaration] = STATE(6581),
    [sym__local_function_declaration] = STATE(6582),
    [sym__local_class_declaration] = STATE(6584),
    [sym__modifierless_property_declaration] = STATE(6589),
    [sym__modifierless_typealias_declaration] = STATE(6601),
    [sym__modifierless_function_declaration] = STATE(6604),
    [sym__modifierless_function_declaration_no_body] = STATE(6607),
    [sym__modifierless_class_declaration] = STATE(6613),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__referenceable_operator] = STATE(1349),
    [sym__equal_sign] = STATE(1349),
    [sym__eq_eq] = STATE(1349),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__async_modifier] = STATE(6632),
    [sym_attribute] = STATE(4189),
    [sym_value_binding_pattern] = STATE(3973),
    [sym__possibly_async_binding_pattern_kind] = STATE(3973),
    [aux_sym__locally_permitted_modifiers] = STATE(4189),
    [sym__locally_permitted_modifier] = STATE(4189),
    [sym_property_behavior_modifier] = STATE(4189),
    [sym_inheritance_modifier] = STATE(4189),
    [sym_ownership_modifier] = STATE(4189),
    [sym__parameter_ownership_modifier] = STATE(2115),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(11),
    [aux_sym_simple_identifier_token2] = ACTIONS(13),
    [aux_sym_simple_identifier_token3] = ACTIONS(13),
    [aux_sym_simple_identifier_token4] = ACTIONS(13),
    [anon_sym_actor] = ACTIONS(15),
    [anon_sym_async] = ACTIONS(17),
    [anon_sym_each] = ACTIONS(19),
    [anon_sym_lazy] = ACTIONS(393),
    [anon_sym_repeat] = ACTIONS(23),
    [anon_sym_package] = ACTIONS(11),
    [anon_sym_nil] = ACTIONS(153),
    [sym_real_literal] = ACTIONS(155),
    [sym_integer_literal] = ACTIONS(153),
    [sym_hex_literal] = ACTIONS(155),
    [sym_oct_literal] = ACTIONS(155),
    [sym_bin_literal] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(153),
    [anon_sym_POUNDfileID] = ACTIONS(155),
    [anon_sym_POUNDfilePath] = ACTIONS(155),
    [anon_sym_POUNDline] = ACTIONS(155),
    [anon_sym_POUNDcolumn] = ACTIONS(155),
    [anon_sym_POUNDfunction] = ACTIONS(155),
    [anon_sym_POUNDdsohandle] = ACTIONS(155),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_RBRACE] = ACTIONS(541),
    [anon_sym_self] = ACTIONS(65),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_guard] = ACTIONS(69),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(153),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(153),
    [anon_sym_PERCENT] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(155),
    [anon_sym_CARET] = ACTIONS(153),
    [anon_sym_LT_LT] = ACTIONS(155),
    [anon_sym_GT_GT] = ACTIONS(155),
    [sym_statement_label] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [sym_throw_keyword] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(159),
    [anon_sym_continue] = ACTIONS(159),
    [anon_sym_break] = ACTIONS(159),
    [anon_sym_yield] = ACTIONS(159),
    [anon_sym_typealias] = ACTIONS(93),
    [anon_sym_struct] = ACTIONS(95),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_enum] = ACTIONS(99),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_func] = ACTIONS(105),
    [anon_sym_extension] = ACTIONS(109),
    [anon_sym_indirect] = ACTIONS(111),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_AT] = ACTIONS(395),
    [anon_sym_final] = ACTIONS(397),
    [anon_sym_weak] = ACTIONS(399),
    [anon_sym_unowned] = ACTIONS(399),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(401),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(401),
    [anon_sym_borrowing] = ACTIONS(11),
    [anon_sym_consuming] = ACTIONS(11),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(155),
    [sym__eq_eq_custom] = ACTIONS(155),
    [sym__plus_then_ws] = ACTIONS(155),
    [sym__minus_then_ws] = ACTIONS(155),
    [sym__bang_custom] = ACTIONS(151),
    [sym__custom_operator] = ACTIONS(57),
  },
  [65] = {
    [sym_simple_identifier] = STATE(2276),
    [sym__contextual_simple_identifier] = STATE(2115),
    [sym__basic_literal] = STATE(1349),
    [sym_boolean_literal] = STATE(1349),
    [sym__string_literal] = STATE(1349),
    [sym_line_string_literal] = STATE(1349),
    [sym_multi_line_string_literal] = STATE(1349),
    [sym_raw_string_literal] = STATE(1349),
    [sym_regex_literal] = STATE(1349),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1349),
    [sym__unary_expression] = STATE(1349),
    [sym_postfix_expression] = STATE(1349),
    [sym_constructor_expression] = STATE(1349),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1349),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1349),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1349),
    [sym_prefix_expression] = STATE(1349),
    [sym_as_expression] = STATE(1349),
    [sym_selector_expression] = STATE(1349),
    [sym__binary_expression] = STATE(1349),
    [sym_multiplicative_expression] = STATE(1349),
    [sym_additive_expression] = STATE(1349),
    [sym_range_expression] = STATE(1349),
    [sym_infix_expression] = STATE(1349),
    [sym_nil_coalescing_expression] = STATE(1349),
    [sym_check_expression] = STATE(1349),
    [sym_comparison_expression] = STATE(1349),
    [sym_equality_expression] = STATE(1349),
    [sym_conjunction_expression] = STATE(1349),
    [sym_disjunction_expression] = STATE(1349),
    [sym_bitwise_operation] = STATE(1349),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1349),
    [sym_await_expression] = STATE(1349),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1349),
    [sym_call_expression] = STATE(1349),
    [sym__primary_expression] = STATE(1349),
    [sym_tuple_expression] = STATE(1349),
    [sym_array_literal] = STATE(1349),
    [sym_dictionary_literal] = STATE(1349),
    [sym__special_literal] = STATE(1349),
    [sym__playground_literal] = STATE(1349),
    [sym_lambda_literal] = STATE(1349),
    [sym_self_expression] = STATE(1349),
    [sym_super_expression] = STATE(1349),
    [sym_if_statement] = STATE(2559),
    [sym_guard_statement] = STATE(5953),
    [sym_switch_statement] = STATE(2559),
    [sym_do_statement] = STATE(5953),
    [sym_key_path_expression] = STATE(1349),
    [sym_key_path_string_expression] = STATE(1349),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1349),
    [sym__equality_operator] = STATE(1349),
    [sym__comparison_operator] = STATE(1349),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1349),
    [sym__multiplicative_operator] = STATE(1349),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym_statements] = STATE(7871),
    [sym__local_statement] = STATE(5953),
    [sym__labeled_statement] = STATE(5953),
    [sym_for_statement] = STATE(5953),
    [sym_while_statement] = STATE(5953),
    [sym_repeat_while_statement] = STATE(5953),
    [sym_control_transfer_statement] = STATE(5953),
    [sym__throw_statement] = STATE(6577),
    [sym__optionally_valueful_control_keyword] = STATE(283),
    [sym_assignment] = STATE(1349),
    [sym_value_parameter_pack] = STATE(1349),
    [sym_value_pack_expansion] = STATE(1349),
    [sym__local_declaration] = STATE(5953),
    [sym__local_property_declaration] = STATE(6579),
    [sym__local_typealias_declaration] = STATE(6581),
    [sym__local_function_declaration] = STATE(6582),
    [sym__local_class_declaration] = STATE(6584),
    [sym__modifierless_property_declaration] = STATE(6589),
    [sym__modifierless_typealias_declaration] = STATE(6601),
    [sym__modifierless_function_declaration] = STATE(6604),
    [sym__modifierless_function_declaration_no_body] = STATE(6607),
    [sym__modifierless_class_declaration] = STATE(6613),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__referenceable_operator] = STATE(1349),
    [sym__equal_sign] = STATE(1349),
    [sym__eq_eq] = STATE(1349),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__async_modifier] = STATE(6632),
    [sym_attribute] = STATE(4189),
    [sym_value_binding_pattern] = STATE(3973),
    [sym__possibly_async_binding_pattern_kind] = STATE(3973),
    [aux_sym__locally_permitted_modifiers] = STATE(4189),
    [sym__locally_permitted_modifier] = STATE(4189),
    [sym_property_behavior_modifier] = STATE(4189),
    [sym_inheritance_modifier] = STATE(4189),
    [sym_ownership_modifier] = STATE(4189),
    [sym__parameter_ownership_modifier] = STATE(2115),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(11),
    [aux_sym_simple_identifier_token2] = ACTIONS(13),
    [aux_sym_simple_identifier_token3] = ACTIONS(13),
    [aux_sym_simple_identifier_token4] = ACTIONS(13),
    [anon_sym_actor] = ACTIONS(15),
    [anon_sym_async] = ACTIONS(17),
    [anon_sym_each] = ACTIONS(19),
    [anon_sym_lazy] = ACTIONS(393),
    [anon_sym_repeat] = ACTIONS(23),
    [anon_sym_package] = ACTIONS(11),
    [anon_sym_nil] = ACTIONS(153),
    [sym_real_literal] = ACTIONS(155),
    [sym_integer_literal] = ACTIONS(153),
    [sym_hex_literal] = ACTIONS(155),
    [sym_oct_literal] = ACTIONS(155),
    [sym_bin_literal] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(153),
    [anon_sym_POUNDfileID] = ACTIONS(155),
    [anon_sym_POUNDfilePath] = ACTIONS(155),
    [anon_sym_POUNDline] = ACTIONS(155),
    [anon_sym_POUNDcolumn] = ACTIONS(155),
    [anon_sym_POUNDfunction] = ACTIONS(155),
    [anon_sym_POUNDdsohandle] = ACTIONS(155),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_RBRACE] = ACTIONS(543),
    [anon_sym_self] = ACTIONS(65),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_guard] = ACTIONS(69),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(153),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(153),
    [anon_sym_PERCENT] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(155),
    [anon_sym_CARET] = ACTIONS(153),
    [anon_sym_LT_LT] = ACTIONS(155),
    [anon_sym_GT_GT] = ACTIONS(155),
    [sym_statement_label] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [sym_throw_keyword] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(159),
    [anon_sym_continue] = ACTIONS(159),
    [anon_sym_break] = ACTIONS(159),
    [anon_sym_yield] = ACTIONS(159),
    [anon_sym_typealias] = ACTIONS(93),
    [anon_sym_struct] = ACTIONS(95),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_enum] = ACTIONS(99),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_func] = ACTIONS(105),
    [anon_sym_extension] = ACTIONS(109),
    [anon_sym_indirect] = ACTIONS(111),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_AT] = ACTIONS(395),
    [anon_sym_final] = ACTIONS(397),
    [anon_sym_weak] = ACTIONS(399),
    [anon_sym_unowned] = ACTIONS(399),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(401),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(401),
    [anon_sym_borrowing] = ACTIONS(11),
    [anon_sym_consuming] = ACTIONS(11),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(155),
    [sym__eq_eq_custom] = ACTIONS(155),
    [sym__plus_then_ws] = ACTIONS(155),
    [sym__minus_then_ws] = ACTIONS(155),
    [sym__bang_custom] = ACTIONS(151),
    [sym__custom_operator] = ACTIONS(57),
  },
  [66] = {
    [sym_simple_identifier] = STATE(2276),
    [sym__contextual_simple_identifier] = STATE(2115),
    [sym__basic_literal] = STATE(1349),
    [sym_boolean_literal] = STATE(1349),
    [sym__string_literal] = STATE(1349),
    [sym_line_string_literal] = STATE(1349),
    [sym_multi_line_string_literal] = STATE(1349),
    [sym_raw_string_literal] = STATE(1349),
    [sym_regex_literal] = STATE(1349),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1349),
    [sym__unary_expression] = STATE(1349),
    [sym_postfix_expression] = STATE(1349),
    [sym_constructor_expression] = STATE(1349),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1349),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1349),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1349),
    [sym_prefix_expression] = STATE(1349),
    [sym_as_expression] = STATE(1349),
    [sym_selector_expression] = STATE(1349),
    [sym__binary_expression] = STATE(1349),
    [sym_multiplicative_expression] = STATE(1349),
    [sym_additive_expression] = STATE(1349),
    [sym_range_expression] = STATE(1349),
    [sym_infix_expression] = STATE(1349),
    [sym_nil_coalescing_expression] = STATE(1349),
    [sym_check_expression] = STATE(1349),
    [sym_comparison_expression] = STATE(1349),
    [sym_equality_expression] = STATE(1349),
    [sym_conjunction_expression] = STATE(1349),
    [sym_disjunction_expression] = STATE(1349),
    [sym_bitwise_operation] = STATE(1349),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1349),
    [sym_await_expression] = STATE(1349),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1349),
    [sym_call_expression] = STATE(1349),
    [sym__primary_expression] = STATE(1349),
    [sym_tuple_expression] = STATE(1349),
    [sym_array_literal] = STATE(1349),
    [sym_dictionary_literal] = STATE(1349),
    [sym__special_literal] = STATE(1349),
    [sym__playground_literal] = STATE(1349),
    [sym_lambda_literal] = STATE(1349),
    [sym_self_expression] = STATE(1349),
    [sym_super_expression] = STATE(1349),
    [sym_if_statement] = STATE(2559),
    [sym_guard_statement] = STATE(5953),
    [sym_switch_statement] = STATE(2559),
    [sym_do_statement] = STATE(5953),
    [sym_key_path_expression] = STATE(1349),
    [sym_key_path_string_expression] = STATE(1349),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1349),
    [sym__equality_operator] = STATE(1349),
    [sym__comparison_operator] = STATE(1349),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1349),
    [sym__multiplicative_operator] = STATE(1349),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym_statements] = STATE(7714),
    [sym__local_statement] = STATE(5953),
    [sym__labeled_statement] = STATE(5953),
    [sym_for_statement] = STATE(5953),
    [sym_while_statement] = STATE(5953),
    [sym_repeat_while_statement] = STATE(5953),
    [sym_control_transfer_statement] = STATE(5953),
    [sym__throw_statement] = STATE(6577),
    [sym__optionally_valueful_control_keyword] = STATE(283),
    [sym_assignment] = STATE(1349),
    [sym_value_parameter_pack] = STATE(1349),
    [sym_value_pack_expansion] = STATE(1349),
    [sym__local_declaration] = STATE(5953),
    [sym__local_property_declaration] = STATE(6579),
    [sym__local_typealias_declaration] = STATE(6581),
    [sym__local_function_declaration] = STATE(6582),
    [sym__local_class_declaration] = STATE(6584),
    [sym__modifierless_property_declaration] = STATE(6589),
    [sym__modifierless_typealias_declaration] = STATE(6601),
    [sym__modifierless_function_declaration] = STATE(6604),
    [sym__modifierless_function_declaration_no_body] = STATE(6607),
    [sym__modifierless_class_declaration] = STATE(6613),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__referenceable_operator] = STATE(1349),
    [sym__equal_sign] = STATE(1349),
    [sym__eq_eq] = STATE(1349),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__async_modifier] = STATE(6632),
    [sym_attribute] = STATE(4189),
    [sym_value_binding_pattern] = STATE(3973),
    [sym__possibly_async_binding_pattern_kind] = STATE(3973),
    [aux_sym__locally_permitted_modifiers] = STATE(4189),
    [sym__locally_permitted_modifier] = STATE(4189),
    [sym_property_behavior_modifier] = STATE(4189),
    [sym_inheritance_modifier] = STATE(4189),
    [sym_ownership_modifier] = STATE(4189),
    [sym__parameter_ownership_modifier] = STATE(2115),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(11),
    [aux_sym_simple_identifier_token2] = ACTIONS(13),
    [aux_sym_simple_identifier_token3] = ACTIONS(13),
    [aux_sym_simple_identifier_token4] = ACTIONS(13),
    [anon_sym_actor] = ACTIONS(15),
    [anon_sym_async] = ACTIONS(17),
    [anon_sym_each] = ACTIONS(19),
    [anon_sym_lazy] = ACTIONS(393),
    [anon_sym_repeat] = ACTIONS(23),
    [anon_sym_package] = ACTIONS(11),
    [anon_sym_nil] = ACTIONS(153),
    [sym_real_literal] = ACTIONS(155),
    [sym_integer_literal] = ACTIONS(153),
    [sym_hex_literal] = ACTIONS(155),
    [sym_oct_literal] = ACTIONS(155),
    [sym_bin_literal] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(153),
    [anon_sym_POUNDfileID] = ACTIONS(155),
    [anon_sym_POUNDfilePath] = ACTIONS(155),
    [anon_sym_POUNDline] = ACTIONS(155),
    [anon_sym_POUNDcolumn] = ACTIONS(155),
    [anon_sym_POUNDfunction] = ACTIONS(155),
    [anon_sym_POUNDdsohandle] = ACTIONS(155),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_RBRACE] = ACTIONS(545),
    [anon_sym_self] = ACTIONS(65),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_guard] = ACTIONS(69),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(153),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(153),
    [anon_sym_PERCENT] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(155),
    [anon_sym_CARET] = ACTIONS(153),
    [anon_sym_LT_LT] = ACTIONS(155),
    [anon_sym_GT_GT] = ACTIONS(155),
    [sym_statement_label] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [sym_throw_keyword] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(159),
    [anon_sym_continue] = ACTIONS(159),
    [anon_sym_break] = ACTIONS(159),
    [anon_sym_yield] = ACTIONS(159),
    [anon_sym_typealias] = ACTIONS(93),
    [anon_sym_struct] = ACTIONS(95),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_enum] = ACTIONS(99),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_func] = ACTIONS(105),
    [anon_sym_extension] = ACTIONS(109),
    [anon_sym_indirect] = ACTIONS(111),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_AT] = ACTIONS(395),
    [anon_sym_final] = ACTIONS(397),
    [anon_sym_weak] = ACTIONS(399),
    [anon_sym_unowned] = ACTIONS(399),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(401),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(401),
    [anon_sym_borrowing] = ACTIONS(11),
    [anon_sym_consuming] = ACTIONS(11),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(155),
    [sym__eq_eq_custom] = ACTIONS(155),
    [sym__plus_then_ws] = ACTIONS(155),
    [sym__minus_then_ws] = ACTIONS(155),
    [sym__bang_custom] = ACTIONS(151),
    [sym__custom_operator] = ACTIONS(57),
  },
  [67] = {
    [sym_simple_identifier] = STATE(2276),
    [sym__contextual_simple_identifier] = STATE(2115),
    [sym__basic_literal] = STATE(1349),
    [sym_boolean_literal] = STATE(1349),
    [sym__string_literal] = STATE(1349),
    [sym_line_string_literal] = STATE(1349),
    [sym_multi_line_string_literal] = STATE(1349),
    [sym_raw_string_literal] = STATE(1349),
    [sym_regex_literal] = STATE(1349),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1349),
    [sym__unary_expression] = STATE(1349),
    [sym_postfix_expression] = STATE(1349),
    [sym_constructor_expression] = STATE(1349),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1349),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1349),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1349),
    [sym_prefix_expression] = STATE(1349),
    [sym_as_expression] = STATE(1349),
    [sym_selector_expression] = STATE(1349),
    [sym__binary_expression] = STATE(1349),
    [sym_multiplicative_expression] = STATE(1349),
    [sym_additive_expression] = STATE(1349),
    [sym_range_expression] = STATE(1349),
    [sym_infix_expression] = STATE(1349),
    [sym_nil_coalescing_expression] = STATE(1349),
    [sym_check_expression] = STATE(1349),
    [sym_comparison_expression] = STATE(1349),
    [sym_equality_expression] = STATE(1349),
    [sym_conjunction_expression] = STATE(1349),
    [sym_disjunction_expression] = STATE(1349),
    [sym_bitwise_operation] = STATE(1349),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1349),
    [sym_await_expression] = STATE(1349),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1349),
    [sym_call_expression] = STATE(1349),
    [sym__primary_expression] = STATE(1349),
    [sym_tuple_expression] = STATE(1349),
    [sym_array_literal] = STATE(1349),
    [sym_dictionary_literal] = STATE(1349),
    [sym__special_literal] = STATE(1349),
    [sym__playground_literal] = STATE(1349),
    [sym_lambda_literal] = STATE(1349),
    [sym_self_expression] = STATE(1349),
    [sym_super_expression] = STATE(1349),
    [sym_if_statement] = STATE(2559),
    [sym_guard_statement] = STATE(5953),
    [sym_switch_statement] = STATE(2559),
    [sym_do_statement] = STATE(5953),
    [sym_key_path_expression] = STATE(1349),
    [sym_key_path_string_expression] = STATE(1349),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1349),
    [sym__equality_operator] = STATE(1349),
    [sym__comparison_operator] = STATE(1349),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1349),
    [sym__multiplicative_operator] = STATE(1349),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym_statements] = STATE(7715),
    [sym__local_statement] = STATE(5953),
    [sym__labeled_statement] = STATE(5953),
    [sym_for_statement] = STATE(5953),
    [sym_while_statement] = STATE(5953),
    [sym_repeat_while_statement] = STATE(5953),
    [sym_control_transfer_statement] = STATE(5953),
    [sym__throw_statement] = STATE(6577),
    [sym__optionally_valueful_control_keyword] = STATE(283),
    [sym_assignment] = STATE(1349),
    [sym_value_parameter_pack] = STATE(1349),
    [sym_value_pack_expansion] = STATE(1349),
    [sym__local_declaration] = STATE(5953),
    [sym__local_property_declaration] = STATE(6579),
    [sym__local_typealias_declaration] = STATE(6581),
    [sym__local_function_declaration] = STATE(6582),
    [sym__local_class_declaration] = STATE(6584),
    [sym__modifierless_property_declaration] = STATE(6589),
    [sym__modifierless_typealias_declaration] = STATE(6601),
    [sym__modifierless_function_declaration] = STATE(6604),
    [sym__modifierless_function_declaration_no_body] = STATE(6607),
    [sym__modifierless_class_declaration] = STATE(6613),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__referenceable_operator] = STATE(1349),
    [sym__equal_sign] = STATE(1349),
    [sym__eq_eq] = STATE(1349),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__async_modifier] = STATE(6632),
    [sym_attribute] = STATE(4189),
    [sym_value_binding_pattern] = STATE(3973),
    [sym__possibly_async_binding_pattern_kind] = STATE(3973),
    [aux_sym__locally_permitted_modifiers] = STATE(4189),
    [sym__locally_permitted_modifier] = STATE(4189),
    [sym_property_behavior_modifier] = STATE(4189),
    [sym_inheritance_modifier] = STATE(4189),
    [sym_ownership_modifier] = STATE(4189),
    [sym__parameter_ownership_modifier] = STATE(2115),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(11),
    [aux_sym_simple_identifier_token2] = ACTIONS(13),
    [aux_sym_simple_identifier_token3] = ACTIONS(13),
    [aux_sym_simple_identifier_token4] = ACTIONS(13),
    [anon_sym_actor] = ACTIONS(15),
    [anon_sym_async] = ACTIONS(17),
    [anon_sym_each] = ACTIONS(19),
    [anon_sym_lazy] = ACTIONS(393),
    [anon_sym_repeat] = ACTIONS(23),
    [anon_sym_package] = ACTIONS(11),
    [anon_sym_nil] = ACTIONS(153),
    [sym_real_literal] = ACTIONS(155),
    [sym_integer_literal] = ACTIONS(153),
    [sym_hex_literal] = ACTIONS(155),
    [sym_oct_literal] = ACTIONS(155),
    [sym_bin_literal] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(153),
    [anon_sym_POUNDfileID] = ACTIONS(155),
    [anon_sym_POUNDfilePath] = ACTIONS(155),
    [anon_sym_POUNDline] = ACTIONS(155),
    [anon_sym_POUNDcolumn] = ACTIONS(155),
    [anon_sym_POUNDfunction] = ACTIONS(155),
    [anon_sym_POUNDdsohandle] = ACTIONS(155),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_RBRACE] = ACTIONS(547),
    [anon_sym_self] = ACTIONS(65),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_guard] = ACTIONS(69),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(153),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(153),
    [anon_sym_PERCENT] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(155),
    [anon_sym_CARET] = ACTIONS(153),
    [anon_sym_LT_LT] = ACTIONS(155),
    [anon_sym_GT_GT] = ACTIONS(155),
    [sym_statement_label] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [sym_throw_keyword] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(159),
    [anon_sym_continue] = ACTIONS(159),
    [anon_sym_break] = ACTIONS(159),
    [anon_sym_yield] = ACTIONS(159),
    [anon_sym_typealias] = ACTIONS(93),
    [anon_sym_struct] = ACTIONS(95),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_enum] = ACTIONS(99),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_func] = ACTIONS(105),
    [anon_sym_extension] = ACTIONS(109),
    [anon_sym_indirect] = ACTIONS(111),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_AT] = ACTIONS(395),
    [anon_sym_final] = ACTIONS(397),
    [anon_sym_weak] = ACTIONS(399),
    [anon_sym_unowned] = ACTIONS(399),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(401),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(401),
    [anon_sym_borrowing] = ACTIONS(11),
    [anon_sym_consuming] = ACTIONS(11),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(155),
    [sym__eq_eq_custom] = ACTIONS(155),
    [sym__plus_then_ws] = ACTIONS(155),
    [sym__minus_then_ws] = ACTIONS(155),
    [sym__bang_custom] = ACTIONS(151),
    [sym__custom_operator] = ACTIONS(57),
  },
  [68] = {
    [sym_simple_identifier] = STATE(2276),
    [sym__contextual_simple_identifier] = STATE(2115),
    [sym__basic_literal] = STATE(1349),
    [sym_boolean_literal] = STATE(1349),
    [sym__string_literal] = STATE(1349),
    [sym_line_string_literal] = STATE(1349),
    [sym_multi_line_string_literal] = STATE(1349),
    [sym_raw_string_literal] = STATE(1349),
    [sym_regex_literal] = STATE(1349),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1349),
    [sym__unary_expression] = STATE(1349),
    [sym_postfix_expression] = STATE(1349),
    [sym_constructor_expression] = STATE(1349),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1349),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1349),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1349),
    [sym_prefix_expression] = STATE(1349),
    [sym_as_expression] = STATE(1349),
    [sym_selector_expression] = STATE(1349),
    [sym__binary_expression] = STATE(1349),
    [sym_multiplicative_expression] = STATE(1349),
    [sym_additive_expression] = STATE(1349),
    [sym_range_expression] = STATE(1349),
    [sym_infix_expression] = STATE(1349),
    [sym_nil_coalescing_expression] = STATE(1349),
    [sym_check_expression] = STATE(1349),
    [sym_comparison_expression] = STATE(1349),
    [sym_equality_expression] = STATE(1349),
    [sym_conjunction_expression] = STATE(1349),
    [sym_disjunction_expression] = STATE(1349),
    [sym_bitwise_operation] = STATE(1349),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1349),
    [sym_await_expression] = STATE(1349),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1349),
    [sym_call_expression] = STATE(1349),
    [sym__primary_expression] = STATE(1349),
    [sym_tuple_expression] = STATE(1349),
    [sym_array_literal] = STATE(1349),
    [sym_dictionary_literal] = STATE(1349),
    [sym__special_literal] = STATE(1349),
    [sym__playground_literal] = STATE(1349),
    [sym_lambda_literal] = STATE(1349),
    [sym_self_expression] = STATE(1349),
    [sym_super_expression] = STATE(1349),
    [sym_if_statement] = STATE(2559),
    [sym_guard_statement] = STATE(5953),
    [sym_switch_statement] = STATE(2559),
    [sym_do_statement] = STATE(5953),
    [sym_key_path_expression] = STATE(1349),
    [sym_key_path_string_expression] = STATE(1349),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1349),
    [sym__equality_operator] = STATE(1349),
    [sym__comparison_operator] = STATE(1349),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1349),
    [sym__multiplicative_operator] = STATE(1349),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym_statements] = STATE(7726),
    [sym__local_statement] = STATE(5953),
    [sym__labeled_statement] = STATE(5953),
    [sym_for_statement] = STATE(5953),
    [sym_while_statement] = STATE(5953),
    [sym_repeat_while_statement] = STATE(5953),
    [sym_control_transfer_statement] = STATE(5953),
    [sym__throw_statement] = STATE(6577),
    [sym__optionally_valueful_control_keyword] = STATE(283),
    [sym_assignment] = STATE(1349),
    [sym_value_parameter_pack] = STATE(1349),
    [sym_value_pack_expansion] = STATE(1349),
    [sym__local_declaration] = STATE(5953),
    [sym__local_property_declaration] = STATE(6579),
    [sym__local_typealias_declaration] = STATE(6581),
    [sym__local_function_declaration] = STATE(6582),
    [sym__local_class_declaration] = STATE(6584),
    [sym__modifierless_property_declaration] = STATE(6589),
    [sym__modifierless_typealias_declaration] = STATE(6601),
    [sym__modifierless_function_declaration] = STATE(6604),
    [sym__modifierless_function_declaration_no_body] = STATE(6607),
    [sym__modifierless_class_declaration] = STATE(6613),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__referenceable_operator] = STATE(1349),
    [sym__equal_sign] = STATE(1349),
    [sym__eq_eq] = STATE(1349),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__async_modifier] = STATE(6632),
    [sym_attribute] = STATE(4189),
    [sym_value_binding_pattern] = STATE(3973),
    [sym__possibly_async_binding_pattern_kind] = STATE(3973),
    [aux_sym__locally_permitted_modifiers] = STATE(4189),
    [sym__locally_permitted_modifier] = STATE(4189),
    [sym_property_behavior_modifier] = STATE(4189),
    [sym_inheritance_modifier] = STATE(4189),
    [sym_ownership_modifier] = STATE(4189),
    [sym__parameter_ownership_modifier] = STATE(2115),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(11),
    [aux_sym_simple_identifier_token2] = ACTIONS(13),
    [aux_sym_simple_identifier_token3] = ACTIONS(13),
    [aux_sym_simple_identifier_token4] = ACTIONS(13),
    [anon_sym_actor] = ACTIONS(15),
    [anon_sym_async] = ACTIONS(17),
    [anon_sym_each] = ACTIONS(19),
    [anon_sym_lazy] = ACTIONS(393),
    [anon_sym_repeat] = ACTIONS(23),
    [anon_sym_package] = ACTIONS(11),
    [anon_sym_nil] = ACTIONS(153),
    [sym_real_literal] = ACTIONS(155),
    [sym_integer_literal] = ACTIONS(153),
    [sym_hex_literal] = ACTIONS(155),
    [sym_oct_literal] = ACTIONS(155),
    [sym_bin_literal] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(153),
    [anon_sym_POUNDfileID] = ACTIONS(155),
    [anon_sym_POUNDfilePath] = ACTIONS(155),
    [anon_sym_POUNDline] = ACTIONS(155),
    [anon_sym_POUNDcolumn] = ACTIONS(155),
    [anon_sym_POUNDfunction] = ACTIONS(155),
    [anon_sym_POUNDdsohandle] = ACTIONS(155),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_RBRACE] = ACTIONS(549),
    [anon_sym_self] = ACTIONS(65),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_guard] = ACTIONS(69),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(153),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(153),
    [anon_sym_PERCENT] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(155),
    [anon_sym_CARET] = ACTIONS(153),
    [anon_sym_LT_LT] = ACTIONS(155),
    [anon_sym_GT_GT] = ACTIONS(155),
    [sym_statement_label] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [sym_throw_keyword] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(159),
    [anon_sym_continue] = ACTIONS(159),
    [anon_sym_break] = ACTIONS(159),
    [anon_sym_yield] = ACTIONS(159),
    [anon_sym_typealias] = ACTIONS(93),
    [anon_sym_struct] = ACTIONS(95),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_enum] = ACTIONS(99),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_func] = ACTIONS(105),
    [anon_sym_extension] = ACTIONS(109),
    [anon_sym_indirect] = ACTIONS(111),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_AT] = ACTIONS(395),
    [anon_sym_final] = ACTIONS(397),
    [anon_sym_weak] = ACTIONS(399),
    [anon_sym_unowned] = ACTIONS(399),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(401),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(401),
    [anon_sym_borrowing] = ACTIONS(11),
    [anon_sym_consuming] = ACTIONS(11),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(155),
    [sym__eq_eq_custom] = ACTIONS(155),
    [sym__plus_then_ws] = ACTIONS(155),
    [sym__minus_then_ws] = ACTIONS(155),
    [sym__bang_custom] = ACTIONS(151),
    [sym__custom_operator] = ACTIONS(57),
  },
  [69] = {
    [sym_simple_identifier] = STATE(2276),
    [sym__contextual_simple_identifier] = STATE(2115),
    [sym__basic_literal] = STATE(1349),
    [sym_boolean_literal] = STATE(1349),
    [sym__string_literal] = STATE(1349),
    [sym_line_string_literal] = STATE(1349),
    [sym_multi_line_string_literal] = STATE(1349),
    [sym_raw_string_literal] = STATE(1349),
    [sym_regex_literal] = STATE(1349),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1349),
    [sym__unary_expression] = STATE(1349),
    [sym_postfix_expression] = STATE(1349),
    [sym_constructor_expression] = STATE(1349),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1349),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1349),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1349),
    [sym_prefix_expression] = STATE(1349),
    [sym_as_expression] = STATE(1349),
    [sym_selector_expression] = STATE(1349),
    [sym__binary_expression] = STATE(1349),
    [sym_multiplicative_expression] = STATE(1349),
    [sym_additive_expression] = STATE(1349),
    [sym_range_expression] = STATE(1349),
    [sym_infix_expression] = STATE(1349),
    [sym_nil_coalescing_expression] = STATE(1349),
    [sym_check_expression] = STATE(1349),
    [sym_comparison_expression] = STATE(1349),
    [sym_equality_expression] = STATE(1349),
    [sym_conjunction_expression] = STATE(1349),
    [sym_disjunction_expression] = STATE(1349),
    [sym_bitwise_operation] = STATE(1349),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1349),
    [sym_await_expression] = STATE(1349),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1349),
    [sym_call_expression] = STATE(1349),
    [sym__primary_expression] = STATE(1349),
    [sym_tuple_expression] = STATE(1349),
    [sym_array_literal] = STATE(1349),
    [sym_dictionary_literal] = STATE(1349),
    [sym__special_literal] = STATE(1349),
    [sym__playground_literal] = STATE(1349),
    [sym_lambda_literal] = STATE(1349),
    [sym_self_expression] = STATE(1349),
    [sym_super_expression] = STATE(1349),
    [sym_if_statement] = STATE(2559),
    [sym_guard_statement] = STATE(5953),
    [sym_switch_statement] = STATE(2559),
    [sym_do_statement] = STATE(5953),
    [sym_key_path_expression] = STATE(1349),
    [sym_key_path_string_expression] = STATE(1349),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1349),
    [sym__equality_operator] = STATE(1349),
    [sym__comparison_operator] = STATE(1349),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1349),
    [sym__multiplicative_operator] = STATE(1349),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym_statements] = STATE(7930),
    [sym__local_statement] = STATE(5953),
    [sym__labeled_statement] = STATE(5953),
    [sym_for_statement] = STATE(5953),
    [sym_while_statement] = STATE(5953),
    [sym_repeat_while_statement] = STATE(5953),
    [sym_control_transfer_statement] = STATE(5953),
    [sym__throw_statement] = STATE(6577),
    [sym__optionally_valueful_control_keyword] = STATE(283),
    [sym_assignment] = STATE(1349),
    [sym_value_parameter_pack] = STATE(1349),
    [sym_value_pack_expansion] = STATE(1349),
    [sym__local_declaration] = STATE(5953),
    [sym__local_property_declaration] = STATE(6579),
    [sym__local_typealias_declaration] = STATE(6581),
    [sym__local_function_declaration] = STATE(6582),
    [sym__local_class_declaration] = STATE(6584),
    [sym__modifierless_property_declaration] = STATE(6589),
    [sym__modifierless_typealias_declaration] = STATE(6601),
    [sym__modifierless_function_declaration] = STATE(6604),
    [sym__modifierless_function_declaration_no_body] = STATE(6607),
    [sym__modifierless_class_declaration] = STATE(6613),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__referenceable_operator] = STATE(1349),
    [sym__equal_sign] = STATE(1349),
    [sym__eq_eq] = STATE(1349),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__async_modifier] = STATE(6632),
    [sym_attribute] = STATE(4189),
    [sym_value_binding_pattern] = STATE(3973),
    [sym__possibly_async_binding_pattern_kind] = STATE(3973),
    [aux_sym__locally_permitted_modifiers] = STATE(4189),
    [sym__locally_permitted_modifier] = STATE(4189),
    [sym_property_behavior_modifier] = STATE(4189),
    [sym_inheritance_modifier] = STATE(4189),
    [sym_ownership_modifier] = STATE(4189),
    [sym__parameter_ownership_modifier] = STATE(2115),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(11),
    [aux_sym_simple_identifier_token2] = ACTIONS(13),
    [aux_sym_simple_identifier_token3] = ACTIONS(13),
    [aux_sym_simple_identifier_token4] = ACTIONS(13),
    [anon_sym_actor] = ACTIONS(15),
    [anon_sym_async] = ACTIONS(17),
    [anon_sym_each] = ACTIONS(19),
    [anon_sym_lazy] = ACTIONS(393),
    [anon_sym_repeat] = ACTIONS(23),
    [anon_sym_package] = ACTIONS(11),
    [anon_sym_nil] = ACTIONS(153),
    [sym_real_literal] = ACTIONS(155),
    [sym_integer_literal] = ACTIONS(153),
    [sym_hex_literal] = ACTIONS(155),
    [sym_oct_literal] = ACTIONS(155),
    [sym_bin_literal] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(153),
    [anon_sym_POUNDfileID] = ACTIONS(155),
    [anon_sym_POUNDfilePath] = ACTIONS(155),
    [anon_sym_POUNDline] = ACTIONS(155),
    [anon_sym_POUNDcolumn] = ACTIONS(155),
    [anon_sym_POUNDfunction] = ACTIONS(155),
    [anon_sym_POUNDdsohandle] = ACTIONS(155),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_RBRACE] = ACTIONS(551),
    [anon_sym_self] = ACTIONS(65),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_guard] = ACTIONS(69),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(153),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(153),
    [anon_sym_PERCENT] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(155),
    [anon_sym_CARET] = ACTIONS(153),
    [anon_sym_LT_LT] = ACTIONS(155),
    [anon_sym_GT_GT] = ACTIONS(155),
    [sym_statement_label] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [sym_throw_keyword] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(159),
    [anon_sym_continue] = ACTIONS(159),
    [anon_sym_break] = ACTIONS(159),
    [anon_sym_yield] = ACTIONS(159),
    [anon_sym_typealias] = ACTIONS(93),
    [anon_sym_struct] = ACTIONS(95),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_enum] = ACTIONS(99),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_func] = ACTIONS(105),
    [anon_sym_extension] = ACTIONS(109),
    [anon_sym_indirect] = ACTIONS(111),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_AT] = ACTIONS(395),
    [anon_sym_final] = ACTIONS(397),
    [anon_sym_weak] = ACTIONS(399),
    [anon_sym_unowned] = ACTIONS(399),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(401),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(401),
    [anon_sym_borrowing] = ACTIONS(11),
    [anon_sym_consuming] = ACTIONS(11),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(155),
    [sym__eq_eq_custom] = ACTIONS(155),
    [sym__plus_then_ws] = ACTIONS(155),
    [sym__minus_then_ws] = ACTIONS(155),
    [sym__bang_custom] = ACTIONS(151),
    [sym__custom_operator] = ACTIONS(57),
  },
  [70] = {
    [sym_simple_identifier] = STATE(2276),
    [sym__contextual_simple_identifier] = STATE(2115),
    [sym__basic_literal] = STATE(1349),
    [sym_boolean_literal] = STATE(1349),
    [sym__string_literal] = STATE(1349),
    [sym_line_string_literal] = STATE(1349),
    [sym_multi_line_string_literal] = STATE(1349),
    [sym_raw_string_literal] = STATE(1349),
    [sym_regex_literal] = STATE(1349),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1349),
    [sym__unary_expression] = STATE(1349),
    [sym_postfix_expression] = STATE(1349),
    [sym_constructor_expression] = STATE(1349),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1349),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1349),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1349),
    [sym_prefix_expression] = STATE(1349),
    [sym_as_expression] = STATE(1349),
    [sym_selector_expression] = STATE(1349),
    [sym__binary_expression] = STATE(1349),
    [sym_multiplicative_expression] = STATE(1349),
    [sym_additive_expression] = STATE(1349),
    [sym_range_expression] = STATE(1349),
    [sym_infix_expression] = STATE(1349),
    [sym_nil_coalescing_expression] = STATE(1349),
    [sym_check_expression] = STATE(1349),
    [sym_comparison_expression] = STATE(1349),
    [sym_equality_expression] = STATE(1349),
    [sym_conjunction_expression] = STATE(1349),
    [sym_disjunction_expression] = STATE(1349),
    [sym_bitwise_operation] = STATE(1349),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1349),
    [sym_await_expression] = STATE(1349),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1349),
    [sym_call_expression] = STATE(1349),
    [sym__primary_expression] = STATE(1349),
    [sym_tuple_expression] = STATE(1349),
    [sym_array_literal] = STATE(1349),
    [sym_dictionary_literal] = STATE(1349),
    [sym__special_literal] = STATE(1349),
    [sym__playground_literal] = STATE(1349),
    [sym_lambda_literal] = STATE(1349),
    [sym_self_expression] = STATE(1349),
    [sym_super_expression] = STATE(1349),
    [sym_if_statement] = STATE(2559),
    [sym_guard_statement] = STATE(5953),
    [sym_switch_statement] = STATE(2559),
    [sym_do_statement] = STATE(5953),
    [sym_key_path_expression] = STATE(1349),
    [sym_key_path_string_expression] = STATE(1349),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1349),
    [sym__equality_operator] = STATE(1349),
    [sym__comparison_operator] = STATE(1349),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1349),
    [sym__multiplicative_operator] = STATE(1349),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym_statements] = STATE(7929),
    [sym__local_statement] = STATE(5953),
    [sym__labeled_statement] = STATE(5953),
    [sym_for_statement] = STATE(5953),
    [sym_while_statement] = STATE(5953),
    [sym_repeat_while_statement] = STATE(5953),
    [sym_control_transfer_statement] = STATE(5953),
    [sym__throw_statement] = STATE(6577),
    [sym__optionally_valueful_control_keyword] = STATE(283),
    [sym_assignment] = STATE(1349),
    [sym_value_parameter_pack] = STATE(1349),
    [sym_value_pack_expansion] = STATE(1349),
    [sym__local_declaration] = STATE(5953),
    [sym__local_property_declaration] = STATE(6579),
    [sym__local_typealias_declaration] = STATE(6581),
    [sym__local_function_declaration] = STATE(6582),
    [sym__local_class_declaration] = STATE(6584),
    [sym__modifierless_property_declaration] = STATE(6589),
    [sym__modifierless_typealias_declaration] = STATE(6601),
    [sym__modifierless_function_declaration] = STATE(6604),
    [sym__modifierless_function_declaration_no_body] = STATE(6607),
    [sym__modifierless_class_declaration] = STATE(6613),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__referenceable_operator] = STATE(1349),
    [sym__equal_sign] = STATE(1349),
    [sym__eq_eq] = STATE(1349),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__async_modifier] = STATE(6632),
    [sym_attribute] = STATE(4189),
    [sym_value_binding_pattern] = STATE(3973),
    [sym__possibly_async_binding_pattern_kind] = STATE(3973),
    [aux_sym__locally_permitted_modifiers] = STATE(4189),
    [sym__locally_permitted_modifier] = STATE(4189),
    [sym_property_behavior_modifier] = STATE(4189),
    [sym_inheritance_modifier] = STATE(4189),
    [sym_ownership_modifier] = STATE(4189),
    [sym__parameter_ownership_modifier] = STATE(2115),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(11),
    [aux_sym_simple_identifier_token2] = ACTIONS(13),
    [aux_sym_simple_identifier_token3] = ACTIONS(13),
    [aux_sym_simple_identifier_token4] = ACTIONS(13),
    [anon_sym_actor] = ACTIONS(15),
    [anon_sym_async] = ACTIONS(17),
    [anon_sym_each] = ACTIONS(19),
    [anon_sym_lazy] = ACTIONS(393),
    [anon_sym_repeat] = ACTIONS(23),
    [anon_sym_package] = ACTIONS(11),
    [anon_sym_nil] = ACTIONS(153),
    [sym_real_literal] = ACTIONS(155),
    [sym_integer_literal] = ACTIONS(153),
    [sym_hex_literal] = ACTIONS(155),
    [sym_oct_literal] = ACTIONS(155),
    [sym_bin_literal] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(153),
    [anon_sym_POUNDfileID] = ACTIONS(155),
    [anon_sym_POUNDfilePath] = ACTIONS(155),
    [anon_sym_POUNDline] = ACTIONS(155),
    [anon_sym_POUNDcolumn] = ACTIONS(155),
    [anon_sym_POUNDfunction] = ACTIONS(155),
    [anon_sym_POUNDdsohandle] = ACTIONS(155),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_RBRACE] = ACTIONS(553),
    [anon_sym_self] = ACTIONS(65),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_guard] = ACTIONS(69),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(153),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(153),
    [anon_sym_PERCENT] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(155),
    [anon_sym_CARET] = ACTIONS(153),
    [anon_sym_LT_LT] = ACTIONS(155),
    [anon_sym_GT_GT] = ACTIONS(155),
    [sym_statement_label] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [sym_throw_keyword] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(159),
    [anon_sym_continue] = ACTIONS(159),
    [anon_sym_break] = ACTIONS(159),
    [anon_sym_yield] = ACTIONS(159),
    [anon_sym_typealias] = ACTIONS(93),
    [anon_sym_struct] = ACTIONS(95),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_enum] = ACTIONS(99),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_func] = ACTIONS(105),
    [anon_sym_extension] = ACTIONS(109),
    [anon_sym_indirect] = ACTIONS(111),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_AT] = ACTIONS(395),
    [anon_sym_final] = ACTIONS(397),
    [anon_sym_weak] = ACTIONS(399),
    [anon_sym_unowned] = ACTIONS(399),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(401),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(401),
    [anon_sym_borrowing] = ACTIONS(11),
    [anon_sym_consuming] = ACTIONS(11),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(155),
    [sym__eq_eq_custom] = ACTIONS(155),
    [sym__plus_then_ws] = ACTIONS(155),
    [sym__minus_then_ws] = ACTIONS(155),
    [sym__bang_custom] = ACTIONS(151),
    [sym__custom_operator] = ACTIONS(57),
  },
  [71] = {
    [sym_simple_identifier] = STATE(2276),
    [sym__contextual_simple_identifier] = STATE(2115),
    [sym__basic_literal] = STATE(1349),
    [sym_boolean_literal] = STATE(1349),
    [sym__string_literal] = STATE(1349),
    [sym_line_string_literal] = STATE(1349),
    [sym_multi_line_string_literal] = STATE(1349),
    [sym_raw_string_literal] = STATE(1349),
    [sym_regex_literal] = STATE(1349),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1349),
    [sym__unary_expression] = STATE(1349),
    [sym_postfix_expression] = STATE(1349),
    [sym_constructor_expression] = STATE(1349),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1349),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1349),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1349),
    [sym_prefix_expression] = STATE(1349),
    [sym_as_expression] = STATE(1349),
    [sym_selector_expression] = STATE(1349),
    [sym__binary_expression] = STATE(1349),
    [sym_multiplicative_expression] = STATE(1349),
    [sym_additive_expression] = STATE(1349),
    [sym_range_expression] = STATE(1349),
    [sym_infix_expression] = STATE(1349),
    [sym_nil_coalescing_expression] = STATE(1349),
    [sym_check_expression] = STATE(1349),
    [sym_comparison_expression] = STATE(1349),
    [sym_equality_expression] = STATE(1349),
    [sym_conjunction_expression] = STATE(1349),
    [sym_disjunction_expression] = STATE(1349),
    [sym_bitwise_operation] = STATE(1349),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1349),
    [sym_await_expression] = STATE(1349),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1349),
    [sym_call_expression] = STATE(1349),
    [sym__primary_expression] = STATE(1349),
    [sym_tuple_expression] = STATE(1349),
    [sym_array_literal] = STATE(1349),
    [sym_dictionary_literal] = STATE(1349),
    [sym__special_literal] = STATE(1349),
    [sym__playground_literal] = STATE(1349),
    [sym_lambda_literal] = STATE(1349),
    [sym_self_expression] = STATE(1349),
    [sym_super_expression] = STATE(1349),
    [sym_if_statement] = STATE(2559),
    [sym_guard_statement] = STATE(5953),
    [sym_switch_statement] = STATE(2559),
    [sym_do_statement] = STATE(5953),
    [sym_key_path_expression] = STATE(1349),
    [sym_key_path_string_expression] = STATE(1349),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1349),
    [sym__equality_operator] = STATE(1349),
    [sym__comparison_operator] = STATE(1349),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1349),
    [sym__multiplicative_operator] = STATE(1349),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym_statements] = STATE(7795),
    [sym__local_statement] = STATE(5953),
    [sym__labeled_statement] = STATE(5953),
    [sym_for_statement] = STATE(5953),
    [sym_while_statement] = STATE(5953),
    [sym_repeat_while_statement] = STATE(5953),
    [sym_control_transfer_statement] = STATE(5953),
    [sym__throw_statement] = STATE(6577),
    [sym__optionally_valueful_control_keyword] = STATE(283),
    [sym_assignment] = STATE(1349),
    [sym_value_parameter_pack] = STATE(1349),
    [sym_value_pack_expansion] = STATE(1349),
    [sym__local_declaration] = STATE(5953),
    [sym__local_property_declaration] = STATE(6579),
    [sym__local_typealias_declaration] = STATE(6581),
    [sym__local_function_declaration] = STATE(6582),
    [sym__local_class_declaration] = STATE(6584),
    [sym__modifierless_property_declaration] = STATE(6589),
    [sym__modifierless_typealias_declaration] = STATE(6601),
    [sym__modifierless_function_declaration] = STATE(6604),
    [sym__modifierless_function_declaration_no_body] = STATE(6607),
    [sym__modifierless_class_declaration] = STATE(6613),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__referenceable_operator] = STATE(1349),
    [sym__equal_sign] = STATE(1349),
    [sym__eq_eq] = STATE(1349),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__async_modifier] = STATE(6632),
    [sym_attribute] = STATE(4189),
    [sym_value_binding_pattern] = STATE(3973),
    [sym__possibly_async_binding_pattern_kind] = STATE(3973),
    [aux_sym__locally_permitted_modifiers] = STATE(4189),
    [sym__locally_permitted_modifier] = STATE(4189),
    [sym_property_behavior_modifier] = STATE(4189),
    [sym_inheritance_modifier] = STATE(4189),
    [sym_ownership_modifier] = STATE(4189),
    [sym__parameter_ownership_modifier] = STATE(2115),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(11),
    [aux_sym_simple_identifier_token2] = ACTIONS(13),
    [aux_sym_simple_identifier_token3] = ACTIONS(13),
    [aux_sym_simple_identifier_token4] = ACTIONS(13),
    [anon_sym_actor] = ACTIONS(15),
    [anon_sym_async] = ACTIONS(17),
    [anon_sym_each] = ACTIONS(19),
    [anon_sym_lazy] = ACTIONS(393),
    [anon_sym_repeat] = ACTIONS(23),
    [anon_sym_package] = ACTIONS(11),
    [anon_sym_nil] = ACTIONS(153),
    [sym_real_literal] = ACTIONS(155),
    [sym_integer_literal] = ACTIONS(153),
    [sym_hex_literal] = ACTIONS(155),
    [sym_oct_literal] = ACTIONS(155),
    [sym_bin_literal] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(153),
    [anon_sym_POUNDfileID] = ACTIONS(155),
    [anon_sym_POUNDfilePath] = ACTIONS(155),
    [anon_sym_POUNDline] = ACTIONS(155),
    [anon_sym_POUNDcolumn] = ACTIONS(155),
    [anon_sym_POUNDfunction] = ACTIONS(155),
    [anon_sym_POUNDdsohandle] = ACTIONS(155),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_RBRACE] = ACTIONS(555),
    [anon_sym_self] = ACTIONS(65),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_guard] = ACTIONS(69),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(153),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(153),
    [anon_sym_PERCENT] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(155),
    [anon_sym_CARET] = ACTIONS(153),
    [anon_sym_LT_LT] = ACTIONS(155),
    [anon_sym_GT_GT] = ACTIONS(155),
    [sym_statement_label] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [sym_throw_keyword] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(159),
    [anon_sym_continue] = ACTIONS(159),
    [anon_sym_break] = ACTIONS(159),
    [anon_sym_yield] = ACTIONS(159),
    [anon_sym_typealias] = ACTIONS(93),
    [anon_sym_struct] = ACTIONS(95),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_enum] = ACTIONS(99),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_func] = ACTIONS(105),
    [anon_sym_extension] = ACTIONS(109),
    [anon_sym_indirect] = ACTIONS(111),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_AT] = ACTIONS(395),
    [anon_sym_final] = ACTIONS(397),
    [anon_sym_weak] = ACTIONS(399),
    [anon_sym_unowned] = ACTIONS(399),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(401),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(401),
    [anon_sym_borrowing] = ACTIONS(11),
    [anon_sym_consuming] = ACTIONS(11),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(155),
    [sym__eq_eq_custom] = ACTIONS(155),
    [sym__plus_then_ws] = ACTIONS(155),
    [sym__minus_then_ws] = ACTIONS(155),
    [sym__bang_custom] = ACTIONS(151),
    [sym__custom_operator] = ACTIONS(57),
  },
  [72] = {
    [sym_simple_identifier] = STATE(2276),
    [sym__contextual_simple_identifier] = STATE(2115),
    [sym__basic_literal] = STATE(1349),
    [sym_boolean_literal] = STATE(1349),
    [sym__string_literal] = STATE(1349),
    [sym_line_string_literal] = STATE(1349),
    [sym_multi_line_string_literal] = STATE(1349),
    [sym_raw_string_literal] = STATE(1349),
    [sym_regex_literal] = STATE(1349),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1349),
    [sym__unary_expression] = STATE(1349),
    [sym_postfix_expression] = STATE(1349),
    [sym_constructor_expression] = STATE(1349),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1349),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1349),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1349),
    [sym_prefix_expression] = STATE(1349),
    [sym_as_expression] = STATE(1349),
    [sym_selector_expression] = STATE(1349),
    [sym__binary_expression] = STATE(1349),
    [sym_multiplicative_expression] = STATE(1349),
    [sym_additive_expression] = STATE(1349),
    [sym_range_expression] = STATE(1349),
    [sym_infix_expression] = STATE(1349),
    [sym_nil_coalescing_expression] = STATE(1349),
    [sym_check_expression] = STATE(1349),
    [sym_comparison_expression] = STATE(1349),
    [sym_equality_expression] = STATE(1349),
    [sym_conjunction_expression] = STATE(1349),
    [sym_disjunction_expression] = STATE(1349),
    [sym_bitwise_operation] = STATE(1349),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1349),
    [sym_await_expression] = STATE(1349),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1349),
    [sym_call_expression] = STATE(1349),
    [sym__primary_expression] = STATE(1349),
    [sym_tuple_expression] = STATE(1349),
    [sym_array_literal] = STATE(1349),
    [sym_dictionary_literal] = STATE(1349),
    [sym__special_literal] = STATE(1349),
    [sym__playground_literal] = STATE(1349),
    [sym_lambda_literal] = STATE(1349),
    [sym_self_expression] = STATE(1349),
    [sym_super_expression] = STATE(1349),
    [sym_if_statement] = STATE(2559),
    [sym_guard_statement] = STATE(5953),
    [sym_switch_statement] = STATE(2559),
    [sym_do_statement] = STATE(5953),
    [sym_key_path_expression] = STATE(1349),
    [sym_key_path_string_expression] = STATE(1349),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1349),
    [sym__equality_operator] = STATE(1349),
    [sym__comparison_operator] = STATE(1349),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1349),
    [sym__multiplicative_operator] = STATE(1349),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym_statements] = STATE(7727),
    [sym__local_statement] = STATE(5953),
    [sym__labeled_statement] = STATE(5953),
    [sym_for_statement] = STATE(5953),
    [sym_while_statement] = STATE(5953),
    [sym_repeat_while_statement] = STATE(5953),
    [sym_control_transfer_statement] = STATE(5953),
    [sym__throw_statement] = STATE(6577),
    [sym__optionally_valueful_control_keyword] = STATE(283),
    [sym_assignment] = STATE(1349),
    [sym_value_parameter_pack] = STATE(1349),
    [sym_value_pack_expansion] = STATE(1349),
    [sym__local_declaration] = STATE(5953),
    [sym__local_property_declaration] = STATE(6579),
    [sym__local_typealias_declaration] = STATE(6581),
    [sym__local_function_declaration] = STATE(6582),
    [sym__local_class_declaration] = STATE(6584),
    [sym__modifierless_property_declaration] = STATE(6589),
    [sym__modifierless_typealias_declaration] = STATE(6601),
    [sym__modifierless_function_declaration] = STATE(6604),
    [sym__modifierless_function_declaration_no_body] = STATE(6607),
    [sym__modifierless_class_declaration] = STATE(6613),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__referenceable_operator] = STATE(1349),
    [sym__equal_sign] = STATE(1349),
    [sym__eq_eq] = STATE(1349),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__async_modifier] = STATE(6632),
    [sym_attribute] = STATE(4189),
    [sym_value_binding_pattern] = STATE(3973),
    [sym__possibly_async_binding_pattern_kind] = STATE(3973),
    [aux_sym__locally_permitted_modifiers] = STATE(4189),
    [sym__locally_permitted_modifier] = STATE(4189),
    [sym_property_behavior_modifier] = STATE(4189),
    [sym_inheritance_modifier] = STATE(4189),
    [sym_ownership_modifier] = STATE(4189),
    [sym__parameter_ownership_modifier] = STATE(2115),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(11),
    [aux_sym_simple_identifier_token2] = ACTIONS(13),
    [aux_sym_simple_identifier_token3] = ACTIONS(13),
    [aux_sym_simple_identifier_token4] = ACTIONS(13),
    [anon_sym_actor] = ACTIONS(15),
    [anon_sym_async] = ACTIONS(17),
    [anon_sym_each] = ACTIONS(19),
    [anon_sym_lazy] = ACTIONS(393),
    [anon_sym_repeat] = ACTIONS(23),
    [anon_sym_package] = ACTIONS(11),
    [anon_sym_nil] = ACTIONS(153),
    [sym_real_literal] = ACTIONS(155),
    [sym_integer_literal] = ACTIONS(153),
    [sym_hex_literal] = ACTIONS(155),
    [sym_oct_literal] = ACTIONS(155),
    [sym_bin_literal] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(153),
    [anon_sym_POUNDfileID] = ACTIONS(155),
    [anon_sym_POUNDfilePath] = ACTIONS(155),
    [anon_sym_POUNDline] = ACTIONS(155),
    [anon_sym_POUNDcolumn] = ACTIONS(155),
    [anon_sym_POUNDfunction] = ACTIONS(155),
    [anon_sym_POUNDdsohandle] = ACTIONS(155),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_RBRACE] = ACTIONS(557),
    [anon_sym_self] = ACTIONS(65),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_guard] = ACTIONS(69),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(153),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(153),
    [anon_sym_PERCENT] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(155),
    [anon_sym_CARET] = ACTIONS(153),
    [anon_sym_LT_LT] = ACTIONS(155),
    [anon_sym_GT_GT] = ACTIONS(155),
    [sym_statement_label] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [sym_throw_keyword] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(159),
    [anon_sym_continue] = ACTIONS(159),
    [anon_sym_break] = ACTIONS(159),
    [anon_sym_yield] = ACTIONS(159),
    [anon_sym_typealias] = ACTIONS(93),
    [anon_sym_struct] = ACTIONS(95),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_enum] = ACTIONS(99),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_func] = ACTIONS(105),
    [anon_sym_extension] = ACTIONS(109),
    [anon_sym_indirect] = ACTIONS(111),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_AT] = ACTIONS(395),
    [anon_sym_final] = ACTIONS(397),
    [anon_sym_weak] = ACTIONS(399),
    [anon_sym_unowned] = ACTIONS(399),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(401),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(401),
    [anon_sym_borrowing] = ACTIONS(11),
    [anon_sym_consuming] = ACTIONS(11),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(155),
    [sym__eq_eq_custom] = ACTIONS(155),
    [sym__plus_then_ws] = ACTIONS(155),
    [sym__minus_then_ws] = ACTIONS(155),
    [sym__bang_custom] = ACTIONS(151),
    [sym__custom_operator] = ACTIONS(57),
  },
  [73] = {
    [sym_simple_identifier] = STATE(2276),
    [sym__contextual_simple_identifier] = STATE(2115),
    [sym__basic_literal] = STATE(1349),
    [sym_boolean_literal] = STATE(1349),
    [sym__string_literal] = STATE(1349),
    [sym_line_string_literal] = STATE(1349),
    [sym_multi_line_string_literal] = STATE(1349),
    [sym_raw_string_literal] = STATE(1349),
    [sym_regex_literal] = STATE(1349),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1349),
    [sym__unary_expression] = STATE(1349),
    [sym_postfix_expression] = STATE(1349),
    [sym_constructor_expression] = STATE(1349),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1349),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1349),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1349),
    [sym_prefix_expression] = STATE(1349),
    [sym_as_expression] = STATE(1349),
    [sym_selector_expression] = STATE(1349),
    [sym__binary_expression] = STATE(1349),
    [sym_multiplicative_expression] = STATE(1349),
    [sym_additive_expression] = STATE(1349),
    [sym_range_expression] = STATE(1349),
    [sym_infix_expression] = STATE(1349),
    [sym_nil_coalescing_expression] = STATE(1349),
    [sym_check_expression] = STATE(1349),
    [sym_comparison_expression] = STATE(1349),
    [sym_equality_expression] = STATE(1349),
    [sym_conjunction_expression] = STATE(1349),
    [sym_disjunction_expression] = STATE(1349),
    [sym_bitwise_operation] = STATE(1349),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1349),
    [sym_await_expression] = STATE(1349),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1349),
    [sym_call_expression] = STATE(1349),
    [sym__primary_expression] = STATE(1349),
    [sym_tuple_expression] = STATE(1349),
    [sym_array_literal] = STATE(1349),
    [sym_dictionary_literal] = STATE(1349),
    [sym__special_literal] = STATE(1349),
    [sym__playground_literal] = STATE(1349),
    [sym_lambda_literal] = STATE(1349),
    [sym_self_expression] = STATE(1349),
    [sym_super_expression] = STATE(1349),
    [sym_if_statement] = STATE(2559),
    [sym_guard_statement] = STATE(5953),
    [sym_switch_statement] = STATE(2559),
    [sym_do_statement] = STATE(5953),
    [sym_key_path_expression] = STATE(1349),
    [sym_key_path_string_expression] = STATE(1349),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1349),
    [sym__equality_operator] = STATE(1349),
    [sym__comparison_operator] = STATE(1349),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1349),
    [sym__multiplicative_operator] = STATE(1349),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym_statements] = STATE(7739),
    [sym__local_statement] = STATE(5953),
    [sym__labeled_statement] = STATE(5953),
    [sym_for_statement] = STATE(5953),
    [sym_while_statement] = STATE(5953),
    [sym_repeat_while_statement] = STATE(5953),
    [sym_control_transfer_statement] = STATE(5953),
    [sym__throw_statement] = STATE(6577),
    [sym__optionally_valueful_control_keyword] = STATE(283),
    [sym_assignment] = STATE(1349),
    [sym_value_parameter_pack] = STATE(1349),
    [sym_value_pack_expansion] = STATE(1349),
    [sym__local_declaration] = STATE(5953),
    [sym__local_property_declaration] = STATE(6579),
    [sym__local_typealias_declaration] = STATE(6581),
    [sym__local_function_declaration] = STATE(6582),
    [sym__local_class_declaration] = STATE(6584),
    [sym__modifierless_property_declaration] = STATE(6589),
    [sym__modifierless_typealias_declaration] = STATE(6601),
    [sym__modifierless_function_declaration] = STATE(6604),
    [sym__modifierless_function_declaration_no_body] = STATE(6607),
    [sym__modifierless_class_declaration] = STATE(6613),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__referenceable_operator] = STATE(1349),
    [sym__equal_sign] = STATE(1349),
    [sym__eq_eq] = STATE(1349),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__async_modifier] = STATE(6632),
    [sym_attribute] = STATE(4189),
    [sym_value_binding_pattern] = STATE(3973),
    [sym__possibly_async_binding_pattern_kind] = STATE(3973),
    [aux_sym__locally_permitted_modifiers] = STATE(4189),
    [sym__locally_permitted_modifier] = STATE(4189),
    [sym_property_behavior_modifier] = STATE(4189),
    [sym_inheritance_modifier] = STATE(4189),
    [sym_ownership_modifier] = STATE(4189),
    [sym__parameter_ownership_modifier] = STATE(2115),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(11),
    [aux_sym_simple_identifier_token2] = ACTIONS(13),
    [aux_sym_simple_identifier_token3] = ACTIONS(13),
    [aux_sym_simple_identifier_token4] = ACTIONS(13),
    [anon_sym_actor] = ACTIONS(15),
    [anon_sym_async] = ACTIONS(17),
    [anon_sym_each] = ACTIONS(19),
    [anon_sym_lazy] = ACTIONS(393),
    [anon_sym_repeat] = ACTIONS(23),
    [anon_sym_package] = ACTIONS(11),
    [anon_sym_nil] = ACTIONS(153),
    [sym_real_literal] = ACTIONS(155),
    [sym_integer_literal] = ACTIONS(153),
    [sym_hex_literal] = ACTIONS(155),
    [sym_oct_literal] = ACTIONS(155),
    [sym_bin_literal] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(153),
    [anon_sym_POUNDfileID] = ACTIONS(155),
    [anon_sym_POUNDfilePath] = ACTIONS(155),
    [anon_sym_POUNDline] = ACTIONS(155),
    [anon_sym_POUNDcolumn] = ACTIONS(155),
    [anon_sym_POUNDfunction] = ACTIONS(155),
    [anon_sym_POUNDdsohandle] = ACTIONS(155),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_RBRACE] = ACTIONS(559),
    [anon_sym_self] = ACTIONS(65),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_guard] = ACTIONS(69),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(153),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(153),
    [anon_sym_PERCENT] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(155),
    [anon_sym_CARET] = ACTIONS(153),
    [anon_sym_LT_LT] = ACTIONS(155),
    [anon_sym_GT_GT] = ACTIONS(155),
    [sym_statement_label] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [sym_throw_keyword] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(159),
    [anon_sym_continue] = ACTIONS(159),
    [anon_sym_break] = ACTIONS(159),
    [anon_sym_yield] = ACTIONS(159),
    [anon_sym_typealias] = ACTIONS(93),
    [anon_sym_struct] = ACTIONS(95),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_enum] = ACTIONS(99),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_func] = ACTIONS(105),
    [anon_sym_extension] = ACTIONS(109),
    [anon_sym_indirect] = ACTIONS(111),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_AT] = ACTIONS(395),
    [anon_sym_final] = ACTIONS(397),
    [anon_sym_weak] = ACTIONS(399),
    [anon_sym_unowned] = ACTIONS(399),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(401),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(401),
    [anon_sym_borrowing] = ACTIONS(11),
    [anon_sym_consuming] = ACTIONS(11),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(155),
    [sym__eq_eq_custom] = ACTIONS(155),
    [sym__plus_then_ws] = ACTIONS(155),
    [sym__minus_then_ws] = ACTIONS(155),
    [sym__bang_custom] = ACTIONS(151),
    [sym__custom_operator] = ACTIONS(57),
  },
  [74] = {
    [sym_simple_identifier] = STATE(2276),
    [sym__contextual_simple_identifier] = STATE(2115),
    [sym__basic_literal] = STATE(1349),
    [sym_boolean_literal] = STATE(1349),
    [sym__string_literal] = STATE(1349),
    [sym_line_string_literal] = STATE(1349),
    [sym_multi_line_string_literal] = STATE(1349),
    [sym_raw_string_literal] = STATE(1349),
    [sym_regex_literal] = STATE(1349),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1349),
    [sym__unary_expression] = STATE(1349),
    [sym_postfix_expression] = STATE(1349),
    [sym_constructor_expression] = STATE(1349),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1349),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1349),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1349),
    [sym_prefix_expression] = STATE(1349),
    [sym_as_expression] = STATE(1349),
    [sym_selector_expression] = STATE(1349),
    [sym__binary_expression] = STATE(1349),
    [sym_multiplicative_expression] = STATE(1349),
    [sym_additive_expression] = STATE(1349),
    [sym_range_expression] = STATE(1349),
    [sym_infix_expression] = STATE(1349),
    [sym_nil_coalescing_expression] = STATE(1349),
    [sym_check_expression] = STATE(1349),
    [sym_comparison_expression] = STATE(1349),
    [sym_equality_expression] = STATE(1349),
    [sym_conjunction_expression] = STATE(1349),
    [sym_disjunction_expression] = STATE(1349),
    [sym_bitwise_operation] = STATE(1349),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1349),
    [sym_await_expression] = STATE(1349),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1349),
    [sym_call_expression] = STATE(1349),
    [sym__primary_expression] = STATE(1349),
    [sym_tuple_expression] = STATE(1349),
    [sym_array_literal] = STATE(1349),
    [sym_dictionary_literal] = STATE(1349),
    [sym__special_literal] = STATE(1349),
    [sym__playground_literal] = STATE(1349),
    [sym_lambda_literal] = STATE(1349),
    [sym_self_expression] = STATE(1349),
    [sym_super_expression] = STATE(1349),
    [sym_if_statement] = STATE(2559),
    [sym_guard_statement] = STATE(5953),
    [sym_switch_statement] = STATE(2559),
    [sym_do_statement] = STATE(5953),
    [sym_key_path_expression] = STATE(1349),
    [sym_key_path_string_expression] = STATE(1349),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1349),
    [sym__equality_operator] = STATE(1349),
    [sym__comparison_operator] = STATE(1349),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1349),
    [sym__multiplicative_operator] = STATE(1349),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym_statements] = STATE(7637),
    [sym__local_statement] = STATE(5953),
    [sym__labeled_statement] = STATE(5953),
    [sym_for_statement] = STATE(5953),
    [sym_while_statement] = STATE(5953),
    [sym_repeat_while_statement] = STATE(5953),
    [sym_control_transfer_statement] = STATE(5953),
    [sym__throw_statement] = STATE(6577),
    [sym__optionally_valueful_control_keyword] = STATE(283),
    [sym_assignment] = STATE(1349),
    [sym_value_parameter_pack] = STATE(1349),
    [sym_value_pack_expansion] = STATE(1349),
    [sym__local_declaration] = STATE(5953),
    [sym__local_property_declaration] = STATE(6579),
    [sym__local_typealias_declaration] = STATE(6581),
    [sym__local_function_declaration] = STATE(6582),
    [sym__local_class_declaration] = STATE(6584),
    [sym__modifierless_property_declaration] = STATE(6589),
    [sym__modifierless_typealias_declaration] = STATE(6601),
    [sym__modifierless_function_declaration] = STATE(6604),
    [sym__modifierless_function_declaration_no_body] = STATE(6607),
    [sym__modifierless_class_declaration] = STATE(6613),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__referenceable_operator] = STATE(1349),
    [sym__equal_sign] = STATE(1349),
    [sym__eq_eq] = STATE(1349),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__async_modifier] = STATE(6632),
    [sym_attribute] = STATE(4189),
    [sym_value_binding_pattern] = STATE(3973),
    [sym__possibly_async_binding_pattern_kind] = STATE(3973),
    [aux_sym__locally_permitted_modifiers] = STATE(4189),
    [sym__locally_permitted_modifier] = STATE(4189),
    [sym_property_behavior_modifier] = STATE(4189),
    [sym_inheritance_modifier] = STATE(4189),
    [sym_ownership_modifier] = STATE(4189),
    [sym__parameter_ownership_modifier] = STATE(2115),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(11),
    [aux_sym_simple_identifier_token2] = ACTIONS(13),
    [aux_sym_simple_identifier_token3] = ACTIONS(13),
    [aux_sym_simple_identifier_token4] = ACTIONS(13),
    [anon_sym_actor] = ACTIONS(15),
    [anon_sym_async] = ACTIONS(17),
    [anon_sym_each] = ACTIONS(19),
    [anon_sym_lazy] = ACTIONS(393),
    [anon_sym_repeat] = ACTIONS(23),
    [anon_sym_package] = ACTIONS(11),
    [anon_sym_nil] = ACTIONS(153),
    [sym_real_literal] = ACTIONS(155),
    [sym_integer_literal] = ACTIONS(153),
    [sym_hex_literal] = ACTIONS(155),
    [sym_oct_literal] = ACTIONS(155),
    [sym_bin_literal] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(153),
    [anon_sym_POUNDfileID] = ACTIONS(155),
    [anon_sym_POUNDfilePath] = ACTIONS(155),
    [anon_sym_POUNDline] = ACTIONS(155),
    [anon_sym_POUNDcolumn] = ACTIONS(155),
    [anon_sym_POUNDfunction] = ACTIONS(155),
    [anon_sym_POUNDdsohandle] = ACTIONS(155),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_RBRACE] = ACTIONS(561),
    [anon_sym_self] = ACTIONS(65),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_guard] = ACTIONS(69),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(153),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(153),
    [anon_sym_PERCENT] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(155),
    [anon_sym_CARET] = ACTIONS(153),
    [anon_sym_LT_LT] = ACTIONS(155),
    [anon_sym_GT_GT] = ACTIONS(155),
    [sym_statement_label] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [sym_throw_keyword] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(159),
    [anon_sym_continue] = ACTIONS(159),
    [anon_sym_break] = ACTIONS(159),
    [anon_sym_yield] = ACTIONS(159),
    [anon_sym_typealias] = ACTIONS(93),
    [anon_sym_struct] = ACTIONS(95),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_enum] = ACTIONS(99),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_func] = ACTIONS(105),
    [anon_sym_extension] = ACTIONS(109),
    [anon_sym_indirect] = ACTIONS(111),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_AT] = ACTIONS(395),
    [anon_sym_final] = ACTIONS(397),
    [anon_sym_weak] = ACTIONS(399),
    [anon_sym_unowned] = ACTIONS(399),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(401),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(401),
    [anon_sym_borrowing] = ACTIONS(11),
    [anon_sym_consuming] = ACTIONS(11),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(155),
    [sym__eq_eq_custom] = ACTIONS(155),
    [sym__plus_then_ws] = ACTIONS(155),
    [sym__minus_then_ws] = ACTIONS(155),
    [sym__bang_custom] = ACTIONS(151),
    [sym__custom_operator] = ACTIONS(57),
  },
  [75] = {
    [sym_simple_identifier] = STATE(2276),
    [sym__contextual_simple_identifier] = STATE(2115),
    [sym__basic_literal] = STATE(1349),
    [sym_boolean_literal] = STATE(1349),
    [sym__string_literal] = STATE(1349),
    [sym_line_string_literal] = STATE(1349),
    [sym_multi_line_string_literal] = STATE(1349),
    [sym_raw_string_literal] = STATE(1349),
    [sym_regex_literal] = STATE(1349),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1349),
    [sym__unary_expression] = STATE(1349),
    [sym_postfix_expression] = STATE(1349),
    [sym_constructor_expression] = STATE(1349),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1349),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1349),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1349),
    [sym_prefix_expression] = STATE(1349),
    [sym_as_expression] = STATE(1349),
    [sym_selector_expression] = STATE(1349),
    [sym__binary_expression] = STATE(1349),
    [sym_multiplicative_expression] = STATE(1349),
    [sym_additive_expression] = STATE(1349),
    [sym_range_expression] = STATE(1349),
    [sym_infix_expression] = STATE(1349),
    [sym_nil_coalescing_expression] = STATE(1349),
    [sym_check_expression] = STATE(1349),
    [sym_comparison_expression] = STATE(1349),
    [sym_equality_expression] = STATE(1349),
    [sym_conjunction_expression] = STATE(1349),
    [sym_disjunction_expression] = STATE(1349),
    [sym_bitwise_operation] = STATE(1349),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1349),
    [sym_await_expression] = STATE(1349),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1349),
    [sym_call_expression] = STATE(1349),
    [sym__primary_expression] = STATE(1349),
    [sym_tuple_expression] = STATE(1349),
    [sym_array_literal] = STATE(1349),
    [sym_dictionary_literal] = STATE(1349),
    [sym__special_literal] = STATE(1349),
    [sym__playground_literal] = STATE(1349),
    [sym_lambda_literal] = STATE(1349),
    [sym_self_expression] = STATE(1349),
    [sym_super_expression] = STATE(1349),
    [sym_if_statement] = STATE(2559),
    [sym_guard_statement] = STATE(5953),
    [sym_switch_statement] = STATE(2559),
    [sym_do_statement] = STATE(5953),
    [sym_key_path_expression] = STATE(1349),
    [sym_key_path_string_expression] = STATE(1349),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1349),
    [sym__equality_operator] = STATE(1349),
    [sym__comparison_operator] = STATE(1349),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1349),
    [sym__multiplicative_operator] = STATE(1349),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym_statements] = STATE(7829),
    [sym__local_statement] = STATE(5953),
    [sym__labeled_statement] = STATE(5953),
    [sym_for_statement] = STATE(5953),
    [sym_while_statement] = STATE(5953),
    [sym_repeat_while_statement] = STATE(5953),
    [sym_control_transfer_statement] = STATE(5953),
    [sym__throw_statement] = STATE(6577),
    [sym__optionally_valueful_control_keyword] = STATE(283),
    [sym_assignment] = STATE(1349),
    [sym_value_parameter_pack] = STATE(1349),
    [sym_value_pack_expansion] = STATE(1349),
    [sym__local_declaration] = STATE(5953),
    [sym__local_property_declaration] = STATE(6579),
    [sym__local_typealias_declaration] = STATE(6581),
    [sym__local_function_declaration] = STATE(6582),
    [sym__local_class_declaration] = STATE(6584),
    [sym__modifierless_property_declaration] = STATE(6589),
    [sym__modifierless_typealias_declaration] = STATE(6601),
    [sym__modifierless_function_declaration] = STATE(6604),
    [sym__modifierless_function_declaration_no_body] = STATE(6607),
    [sym__modifierless_class_declaration] = STATE(6613),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__referenceable_operator] = STATE(1349),
    [sym__equal_sign] = STATE(1349),
    [sym__eq_eq] = STATE(1349),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__async_modifier] = STATE(6632),
    [sym_attribute] = STATE(4189),
    [sym_value_binding_pattern] = STATE(3973),
    [sym__possibly_async_binding_pattern_kind] = STATE(3973),
    [aux_sym__locally_permitted_modifiers] = STATE(4189),
    [sym__locally_permitted_modifier] = STATE(4189),
    [sym_property_behavior_modifier] = STATE(4189),
    [sym_inheritance_modifier] = STATE(4189),
    [sym_ownership_modifier] = STATE(4189),
    [sym__parameter_ownership_modifier] = STATE(2115),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(11),
    [aux_sym_simple_identifier_token2] = ACTIONS(13),
    [aux_sym_simple_identifier_token3] = ACTIONS(13),
    [aux_sym_simple_identifier_token4] = ACTIONS(13),
    [anon_sym_actor] = ACTIONS(15),
    [anon_sym_async] = ACTIONS(17),
    [anon_sym_each] = ACTIONS(19),
    [anon_sym_lazy] = ACTIONS(393),
    [anon_sym_repeat] = ACTIONS(23),
    [anon_sym_package] = ACTIONS(11),
    [anon_sym_nil] = ACTIONS(153),
    [sym_real_literal] = ACTIONS(155),
    [sym_integer_literal] = ACTIONS(153),
    [sym_hex_literal] = ACTIONS(155),
    [sym_oct_literal] = ACTIONS(155),
    [sym_bin_literal] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(153),
    [anon_sym_POUNDfileID] = ACTIONS(155),
    [anon_sym_POUNDfilePath] = ACTIONS(155),
    [anon_sym_POUNDline] = ACTIONS(155),
    [anon_sym_POUNDcolumn] = ACTIONS(155),
    [anon_sym_POUNDfunction] = ACTIONS(155),
    [anon_sym_POUNDdsohandle] = ACTIONS(155),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_RBRACE] = ACTIONS(563),
    [anon_sym_self] = ACTIONS(65),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_guard] = ACTIONS(69),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(153),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(153),
    [anon_sym_PERCENT] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(155),
    [anon_sym_CARET] = ACTIONS(153),
    [anon_sym_LT_LT] = ACTIONS(155),
    [anon_sym_GT_GT] = ACTIONS(155),
    [sym_statement_label] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [sym_throw_keyword] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(159),
    [anon_sym_continue] = ACTIONS(159),
    [anon_sym_break] = ACTIONS(159),
    [anon_sym_yield] = ACTIONS(159),
    [anon_sym_typealias] = ACTIONS(93),
    [anon_sym_struct] = ACTIONS(95),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_enum] = ACTIONS(99),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_func] = ACTIONS(105),
    [anon_sym_extension] = ACTIONS(109),
    [anon_sym_indirect] = ACTIONS(111),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_AT] = ACTIONS(395),
    [anon_sym_final] = ACTIONS(397),
    [anon_sym_weak] = ACTIONS(399),
    [anon_sym_unowned] = ACTIONS(399),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(401),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(401),
    [anon_sym_borrowing] = ACTIONS(11),
    [anon_sym_consuming] = ACTIONS(11),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(155),
    [sym__eq_eq_custom] = ACTIONS(155),
    [sym__plus_then_ws] = ACTIONS(155),
    [sym__minus_then_ws] = ACTIONS(155),
    [sym__bang_custom] = ACTIONS(151),
    [sym__custom_operator] = ACTIONS(57),
  },
  [76] = {
    [sym_simple_identifier] = STATE(2276),
    [sym__contextual_simple_identifier] = STATE(2115),
    [sym__basic_literal] = STATE(1349),
    [sym_boolean_literal] = STATE(1349),
    [sym__string_literal] = STATE(1349),
    [sym_line_string_literal] = STATE(1349),
    [sym_multi_line_string_literal] = STATE(1349),
    [sym_raw_string_literal] = STATE(1349),
    [sym_regex_literal] = STATE(1349),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1349),
    [sym__unary_expression] = STATE(1349),
    [sym_postfix_expression] = STATE(1349),
    [sym_constructor_expression] = STATE(1349),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1349),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1349),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1349),
    [sym_prefix_expression] = STATE(1349),
    [sym_as_expression] = STATE(1349),
    [sym_selector_expression] = STATE(1349),
    [sym__binary_expression] = STATE(1349),
    [sym_multiplicative_expression] = STATE(1349),
    [sym_additive_expression] = STATE(1349),
    [sym_range_expression] = STATE(1349),
    [sym_infix_expression] = STATE(1349),
    [sym_nil_coalescing_expression] = STATE(1349),
    [sym_check_expression] = STATE(1349),
    [sym_comparison_expression] = STATE(1349),
    [sym_equality_expression] = STATE(1349),
    [sym_conjunction_expression] = STATE(1349),
    [sym_disjunction_expression] = STATE(1349),
    [sym_bitwise_operation] = STATE(1349),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1349),
    [sym_await_expression] = STATE(1349),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1349),
    [sym_call_expression] = STATE(1349),
    [sym__primary_expression] = STATE(1349),
    [sym_tuple_expression] = STATE(1349),
    [sym_array_literal] = STATE(1349),
    [sym_dictionary_literal] = STATE(1349),
    [sym__special_literal] = STATE(1349),
    [sym__playground_literal] = STATE(1349),
    [sym_lambda_literal] = STATE(1349),
    [sym_self_expression] = STATE(1349),
    [sym_super_expression] = STATE(1349),
    [sym_if_statement] = STATE(2559),
    [sym_guard_statement] = STATE(5953),
    [sym_switch_statement] = STATE(2559),
    [sym_do_statement] = STATE(5953),
    [sym_key_path_expression] = STATE(1349),
    [sym_key_path_string_expression] = STATE(1349),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1349),
    [sym__equality_operator] = STATE(1349),
    [sym__comparison_operator] = STATE(1349),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1349),
    [sym__multiplicative_operator] = STATE(1349),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym_statements] = STATE(7784),
    [sym__local_statement] = STATE(5953),
    [sym__labeled_statement] = STATE(5953),
    [sym_for_statement] = STATE(5953),
    [sym_while_statement] = STATE(5953),
    [sym_repeat_while_statement] = STATE(5953),
    [sym_control_transfer_statement] = STATE(5953),
    [sym__throw_statement] = STATE(6577),
    [sym__optionally_valueful_control_keyword] = STATE(283),
    [sym_assignment] = STATE(1349),
    [sym_value_parameter_pack] = STATE(1349),
    [sym_value_pack_expansion] = STATE(1349),
    [sym__local_declaration] = STATE(5953),
    [sym__local_property_declaration] = STATE(6579),
    [sym__local_typealias_declaration] = STATE(6581),
    [sym__local_function_declaration] = STATE(6582),
    [sym__local_class_declaration] = STATE(6584),
    [sym__modifierless_property_declaration] = STATE(6589),
    [sym__modifierless_typealias_declaration] = STATE(6601),
    [sym__modifierless_function_declaration] = STATE(6604),
    [sym__modifierless_function_declaration_no_body] = STATE(6607),
    [sym__modifierless_class_declaration] = STATE(6613),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__referenceable_operator] = STATE(1349),
    [sym__equal_sign] = STATE(1349),
    [sym__eq_eq] = STATE(1349),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__async_modifier] = STATE(6632),
    [sym_attribute] = STATE(4189),
    [sym_value_binding_pattern] = STATE(3973),
    [sym__possibly_async_binding_pattern_kind] = STATE(3973),
    [aux_sym__locally_permitted_modifiers] = STATE(4189),
    [sym__locally_permitted_modifier] = STATE(4189),
    [sym_property_behavior_modifier] = STATE(4189),
    [sym_inheritance_modifier] = STATE(4189),
    [sym_ownership_modifier] = STATE(4189),
    [sym__parameter_ownership_modifier] = STATE(2115),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(11),
    [aux_sym_simple_identifier_token2] = ACTIONS(13),
    [aux_sym_simple_identifier_token3] = ACTIONS(13),
    [aux_sym_simple_identifier_token4] = ACTIONS(13),
    [anon_sym_actor] = ACTIONS(15),
    [anon_sym_async] = ACTIONS(17),
    [anon_sym_each] = ACTIONS(19),
    [anon_sym_lazy] = ACTIONS(393),
    [anon_sym_repeat] = ACTIONS(23),
    [anon_sym_package] = ACTIONS(11),
    [anon_sym_nil] = ACTIONS(153),
    [sym_real_literal] = ACTIONS(155),
    [sym_integer_literal] = ACTIONS(153),
    [sym_hex_literal] = ACTIONS(155),
    [sym_oct_literal] = ACTIONS(155),
    [sym_bin_literal] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(153),
    [anon_sym_POUNDfileID] = ACTIONS(155),
    [anon_sym_POUNDfilePath] = ACTIONS(155),
    [anon_sym_POUNDline] = ACTIONS(155),
    [anon_sym_POUNDcolumn] = ACTIONS(155),
    [anon_sym_POUNDfunction] = ACTIONS(155),
    [anon_sym_POUNDdsohandle] = ACTIONS(155),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_RBRACE] = ACTIONS(565),
    [anon_sym_self] = ACTIONS(65),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_guard] = ACTIONS(69),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(153),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(153),
    [anon_sym_PERCENT] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(155),
    [anon_sym_CARET] = ACTIONS(153),
    [anon_sym_LT_LT] = ACTIONS(155),
    [anon_sym_GT_GT] = ACTIONS(155),
    [sym_statement_label] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [sym_throw_keyword] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(159),
    [anon_sym_continue] = ACTIONS(159),
    [anon_sym_break] = ACTIONS(159),
    [anon_sym_yield] = ACTIONS(159),
    [anon_sym_typealias] = ACTIONS(93),
    [anon_sym_struct] = ACTIONS(95),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_enum] = ACTIONS(99),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_func] = ACTIONS(105),
    [anon_sym_extension] = ACTIONS(109),
    [anon_sym_indirect] = ACTIONS(111),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_AT] = ACTIONS(395),
    [anon_sym_final] = ACTIONS(397),
    [anon_sym_weak] = ACTIONS(399),
    [anon_sym_unowned] = ACTIONS(399),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(401),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(401),
    [anon_sym_borrowing] = ACTIONS(11),
    [anon_sym_consuming] = ACTIONS(11),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(155),
    [sym__eq_eq_custom] = ACTIONS(155),
    [sym__plus_then_ws] = ACTIONS(155),
    [sym__minus_then_ws] = ACTIONS(155),
    [sym__bang_custom] = ACTIONS(151),
    [sym__custom_operator] = ACTIONS(57),
  },
  [77] = {
    [sym_simple_identifier] = STATE(2276),
    [sym__contextual_simple_identifier] = STATE(2115),
    [sym__basic_literal] = STATE(1349),
    [sym_boolean_literal] = STATE(1349),
    [sym__string_literal] = STATE(1349),
    [sym_line_string_literal] = STATE(1349),
    [sym_multi_line_string_literal] = STATE(1349),
    [sym_raw_string_literal] = STATE(1349),
    [sym_regex_literal] = STATE(1349),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1349),
    [sym__unary_expression] = STATE(1349),
    [sym_postfix_expression] = STATE(1349),
    [sym_constructor_expression] = STATE(1349),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1349),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1349),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1349),
    [sym_prefix_expression] = STATE(1349),
    [sym_as_expression] = STATE(1349),
    [sym_selector_expression] = STATE(1349),
    [sym__binary_expression] = STATE(1349),
    [sym_multiplicative_expression] = STATE(1349),
    [sym_additive_expression] = STATE(1349),
    [sym_range_expression] = STATE(1349),
    [sym_infix_expression] = STATE(1349),
    [sym_nil_coalescing_expression] = STATE(1349),
    [sym_check_expression] = STATE(1349),
    [sym_comparison_expression] = STATE(1349),
    [sym_equality_expression] = STATE(1349),
    [sym_conjunction_expression] = STATE(1349),
    [sym_disjunction_expression] = STATE(1349),
    [sym_bitwise_operation] = STATE(1349),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1349),
    [sym_await_expression] = STATE(1349),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1349),
    [sym_call_expression] = STATE(1349),
    [sym__primary_expression] = STATE(1349),
    [sym_tuple_expression] = STATE(1349),
    [sym_array_literal] = STATE(1349),
    [sym_dictionary_literal] = STATE(1349),
    [sym__special_literal] = STATE(1349),
    [sym__playground_literal] = STATE(1349),
    [sym_lambda_literal] = STATE(1349),
    [sym_self_expression] = STATE(1349),
    [sym_super_expression] = STATE(1349),
    [sym_if_statement] = STATE(2559),
    [sym_guard_statement] = STATE(5953),
    [sym_switch_statement] = STATE(2559),
    [sym_do_statement] = STATE(5953),
    [sym_key_path_expression] = STATE(1349),
    [sym_key_path_string_expression] = STATE(1349),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1349),
    [sym__equality_operator] = STATE(1349),
    [sym__comparison_operator] = STATE(1349),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1349),
    [sym__multiplicative_operator] = STATE(1349),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym_statements] = STATE(7783),
    [sym__local_statement] = STATE(5953),
    [sym__labeled_statement] = STATE(5953),
    [sym_for_statement] = STATE(5953),
    [sym_while_statement] = STATE(5953),
    [sym_repeat_while_statement] = STATE(5953),
    [sym_control_transfer_statement] = STATE(5953),
    [sym__throw_statement] = STATE(6577),
    [sym__optionally_valueful_control_keyword] = STATE(283),
    [sym_assignment] = STATE(1349),
    [sym_value_parameter_pack] = STATE(1349),
    [sym_value_pack_expansion] = STATE(1349),
    [sym__local_declaration] = STATE(5953),
    [sym__local_property_declaration] = STATE(6579),
    [sym__local_typealias_declaration] = STATE(6581),
    [sym__local_function_declaration] = STATE(6582),
    [sym__local_class_declaration] = STATE(6584),
    [sym__modifierless_property_declaration] = STATE(6589),
    [sym__modifierless_typealias_declaration] = STATE(6601),
    [sym__modifierless_function_declaration] = STATE(6604),
    [sym__modifierless_function_declaration_no_body] = STATE(6607),
    [sym__modifierless_class_declaration] = STATE(6613),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__referenceable_operator] = STATE(1349),
    [sym__equal_sign] = STATE(1349),
    [sym__eq_eq] = STATE(1349),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__async_modifier] = STATE(6632),
    [sym_attribute] = STATE(4189),
    [sym_value_binding_pattern] = STATE(3973),
    [sym__possibly_async_binding_pattern_kind] = STATE(3973),
    [aux_sym__locally_permitted_modifiers] = STATE(4189),
    [sym__locally_permitted_modifier] = STATE(4189),
    [sym_property_behavior_modifier] = STATE(4189),
    [sym_inheritance_modifier] = STATE(4189),
    [sym_ownership_modifier] = STATE(4189),
    [sym__parameter_ownership_modifier] = STATE(2115),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(11),
    [aux_sym_simple_identifier_token2] = ACTIONS(13),
    [aux_sym_simple_identifier_token3] = ACTIONS(13),
    [aux_sym_simple_identifier_token4] = ACTIONS(13),
    [anon_sym_actor] = ACTIONS(15),
    [anon_sym_async] = ACTIONS(17),
    [anon_sym_each] = ACTIONS(19),
    [anon_sym_lazy] = ACTIONS(393),
    [anon_sym_repeat] = ACTIONS(23),
    [anon_sym_package] = ACTIONS(11),
    [anon_sym_nil] = ACTIONS(153),
    [sym_real_literal] = ACTIONS(155),
    [sym_integer_literal] = ACTIONS(153),
    [sym_hex_literal] = ACTIONS(155),
    [sym_oct_literal] = ACTIONS(155),
    [sym_bin_literal] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(153),
    [anon_sym_POUNDfileID] = ACTIONS(155),
    [anon_sym_POUNDfilePath] = ACTIONS(155),
    [anon_sym_POUNDline] = ACTIONS(155),
    [anon_sym_POUNDcolumn] = ACTIONS(155),
    [anon_sym_POUNDfunction] = ACTIONS(155),
    [anon_sym_POUNDdsohandle] = ACTIONS(155),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_RBRACE] = ACTIONS(567),
    [anon_sym_self] = ACTIONS(65),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_guard] = ACTIONS(69),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(153),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(153),
    [anon_sym_PERCENT] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(155),
    [anon_sym_CARET] = ACTIONS(153),
    [anon_sym_LT_LT] = ACTIONS(155),
    [anon_sym_GT_GT] = ACTIONS(155),
    [sym_statement_label] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [sym_throw_keyword] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(159),
    [anon_sym_continue] = ACTIONS(159),
    [anon_sym_break] = ACTIONS(159),
    [anon_sym_yield] = ACTIONS(159),
    [anon_sym_typealias] = ACTIONS(93),
    [anon_sym_struct] = ACTIONS(95),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_enum] = ACTIONS(99),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_func] = ACTIONS(105),
    [anon_sym_extension] = ACTIONS(109),
    [anon_sym_indirect] = ACTIONS(111),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_AT] = ACTIONS(395),
    [anon_sym_final] = ACTIONS(397),
    [anon_sym_weak] = ACTIONS(399),
    [anon_sym_unowned] = ACTIONS(399),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(401),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(401),
    [anon_sym_borrowing] = ACTIONS(11),
    [anon_sym_consuming] = ACTIONS(11),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(155),
    [sym__eq_eq_custom] = ACTIONS(155),
    [sym__plus_then_ws] = ACTIONS(155),
    [sym__minus_then_ws] = ACTIONS(155),
    [sym__bang_custom] = ACTIONS(151),
    [sym__custom_operator] = ACTIONS(57),
  },
  [78] = {
    [sym_simple_identifier] = STATE(2276),
    [sym__contextual_simple_identifier] = STATE(2115),
    [sym__basic_literal] = STATE(1349),
    [sym_boolean_literal] = STATE(1349),
    [sym__string_literal] = STATE(1349),
    [sym_line_string_literal] = STATE(1349),
    [sym_multi_line_string_literal] = STATE(1349),
    [sym_raw_string_literal] = STATE(1349),
    [sym_regex_literal] = STATE(1349),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1349),
    [sym__unary_expression] = STATE(1349),
    [sym_postfix_expression] = STATE(1349),
    [sym_constructor_expression] = STATE(1349),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1349),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1349),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1349),
    [sym_prefix_expression] = STATE(1349),
    [sym_as_expression] = STATE(1349),
    [sym_selector_expression] = STATE(1349),
    [sym__binary_expression] = STATE(1349),
    [sym_multiplicative_expression] = STATE(1349),
    [sym_additive_expression] = STATE(1349),
    [sym_range_expression] = STATE(1349),
    [sym_infix_expression] = STATE(1349),
    [sym_nil_coalescing_expression] = STATE(1349),
    [sym_check_expression] = STATE(1349),
    [sym_comparison_expression] = STATE(1349),
    [sym_equality_expression] = STATE(1349),
    [sym_conjunction_expression] = STATE(1349),
    [sym_disjunction_expression] = STATE(1349),
    [sym_bitwise_operation] = STATE(1349),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1349),
    [sym_await_expression] = STATE(1349),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1349),
    [sym_call_expression] = STATE(1349),
    [sym__primary_expression] = STATE(1349),
    [sym_tuple_expression] = STATE(1349),
    [sym_array_literal] = STATE(1349),
    [sym_dictionary_literal] = STATE(1349),
    [sym__special_literal] = STATE(1349),
    [sym__playground_literal] = STATE(1349),
    [sym_lambda_literal] = STATE(1349),
    [sym_self_expression] = STATE(1349),
    [sym_super_expression] = STATE(1349),
    [sym_if_statement] = STATE(2559),
    [sym_guard_statement] = STATE(5953),
    [sym_switch_statement] = STATE(2559),
    [sym_do_statement] = STATE(5953),
    [sym_key_path_expression] = STATE(1349),
    [sym_key_path_string_expression] = STATE(1349),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1349),
    [sym__equality_operator] = STATE(1349),
    [sym__comparison_operator] = STATE(1349),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1349),
    [sym__multiplicative_operator] = STATE(1349),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym_statements] = STATE(7638),
    [sym__local_statement] = STATE(5953),
    [sym__labeled_statement] = STATE(5953),
    [sym_for_statement] = STATE(5953),
    [sym_while_statement] = STATE(5953),
    [sym_repeat_while_statement] = STATE(5953),
    [sym_control_transfer_statement] = STATE(5953),
    [sym__throw_statement] = STATE(6577),
    [sym__optionally_valueful_control_keyword] = STATE(283),
    [sym_assignment] = STATE(1349),
    [sym_value_parameter_pack] = STATE(1349),
    [sym_value_pack_expansion] = STATE(1349),
    [sym__local_declaration] = STATE(5953),
    [sym__local_property_declaration] = STATE(6579),
    [sym__local_typealias_declaration] = STATE(6581),
    [sym__local_function_declaration] = STATE(6582),
    [sym__local_class_declaration] = STATE(6584),
    [sym__modifierless_property_declaration] = STATE(6589),
    [sym__modifierless_typealias_declaration] = STATE(6601),
    [sym__modifierless_function_declaration] = STATE(6604),
    [sym__modifierless_function_declaration_no_body] = STATE(6607),
    [sym__modifierless_class_declaration] = STATE(6613),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__referenceable_operator] = STATE(1349),
    [sym__equal_sign] = STATE(1349),
    [sym__eq_eq] = STATE(1349),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__async_modifier] = STATE(6632),
    [sym_attribute] = STATE(4189),
    [sym_value_binding_pattern] = STATE(3973),
    [sym__possibly_async_binding_pattern_kind] = STATE(3973),
    [aux_sym__locally_permitted_modifiers] = STATE(4189),
    [sym__locally_permitted_modifier] = STATE(4189),
    [sym_property_behavior_modifier] = STATE(4189),
    [sym_inheritance_modifier] = STATE(4189),
    [sym_ownership_modifier] = STATE(4189),
    [sym__parameter_ownership_modifier] = STATE(2115),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(11),
    [aux_sym_simple_identifier_token2] = ACTIONS(13),
    [aux_sym_simple_identifier_token3] = ACTIONS(13),
    [aux_sym_simple_identifier_token4] = ACTIONS(13),
    [anon_sym_actor] = ACTIONS(15),
    [anon_sym_async] = ACTIONS(17),
    [anon_sym_each] = ACTIONS(19),
    [anon_sym_lazy] = ACTIONS(393),
    [anon_sym_repeat] = ACTIONS(23),
    [anon_sym_package] = ACTIONS(11),
    [anon_sym_nil] = ACTIONS(153),
    [sym_real_literal] = ACTIONS(155),
    [sym_integer_literal] = ACTIONS(153),
    [sym_hex_literal] = ACTIONS(155),
    [sym_oct_literal] = ACTIONS(155),
    [sym_bin_literal] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(153),
    [anon_sym_POUNDfileID] = ACTIONS(155),
    [anon_sym_POUNDfilePath] = ACTIONS(155),
    [anon_sym_POUNDline] = ACTIONS(155),
    [anon_sym_POUNDcolumn] = ACTIONS(155),
    [anon_sym_POUNDfunction] = ACTIONS(155),
    [anon_sym_POUNDdsohandle] = ACTIONS(155),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_RBRACE] = ACTIONS(569),
    [anon_sym_self] = ACTIONS(65),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_guard] = ACTIONS(69),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(153),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(153),
    [anon_sym_PERCENT] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(155),
    [anon_sym_CARET] = ACTIONS(153),
    [anon_sym_LT_LT] = ACTIONS(155),
    [anon_sym_GT_GT] = ACTIONS(155),
    [sym_statement_label] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [sym_throw_keyword] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(159),
    [anon_sym_continue] = ACTIONS(159),
    [anon_sym_break] = ACTIONS(159),
    [anon_sym_yield] = ACTIONS(159),
    [anon_sym_typealias] = ACTIONS(93),
    [anon_sym_struct] = ACTIONS(95),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_enum] = ACTIONS(99),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_func] = ACTIONS(105),
    [anon_sym_extension] = ACTIONS(109),
    [anon_sym_indirect] = ACTIONS(111),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_AT] = ACTIONS(395),
    [anon_sym_final] = ACTIONS(397),
    [anon_sym_weak] = ACTIONS(399),
    [anon_sym_unowned] = ACTIONS(399),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(401),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(401),
    [anon_sym_borrowing] = ACTIONS(11),
    [anon_sym_consuming] = ACTIONS(11),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(155),
    [sym__eq_eq_custom] = ACTIONS(155),
    [sym__plus_then_ws] = ACTIONS(155),
    [sym__minus_then_ws] = ACTIONS(155),
    [sym__bang_custom] = ACTIONS(151),
    [sym__custom_operator] = ACTIONS(57),
  },
  [79] = {
    [sym_simple_identifier] = STATE(2276),
    [sym__contextual_simple_identifier] = STATE(2115),
    [sym__basic_literal] = STATE(1349),
    [sym_boolean_literal] = STATE(1349),
    [sym__string_literal] = STATE(1349),
    [sym_line_string_literal] = STATE(1349),
    [sym_multi_line_string_literal] = STATE(1349),
    [sym_raw_string_literal] = STATE(1349),
    [sym_regex_literal] = STATE(1349),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1349),
    [sym__unary_expression] = STATE(1349),
    [sym_postfix_expression] = STATE(1349),
    [sym_constructor_expression] = STATE(1349),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1349),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1349),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1349),
    [sym_prefix_expression] = STATE(1349),
    [sym_as_expression] = STATE(1349),
    [sym_selector_expression] = STATE(1349),
    [sym__binary_expression] = STATE(1349),
    [sym_multiplicative_expression] = STATE(1349),
    [sym_additive_expression] = STATE(1349),
    [sym_range_expression] = STATE(1349),
    [sym_infix_expression] = STATE(1349),
    [sym_nil_coalescing_expression] = STATE(1349),
    [sym_check_expression] = STATE(1349),
    [sym_comparison_expression] = STATE(1349),
    [sym_equality_expression] = STATE(1349),
    [sym_conjunction_expression] = STATE(1349),
    [sym_disjunction_expression] = STATE(1349),
    [sym_bitwise_operation] = STATE(1349),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1349),
    [sym_await_expression] = STATE(1349),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1349),
    [sym_call_expression] = STATE(1349),
    [sym__primary_expression] = STATE(1349),
    [sym_tuple_expression] = STATE(1349),
    [sym_array_literal] = STATE(1349),
    [sym_dictionary_literal] = STATE(1349),
    [sym__special_literal] = STATE(1349),
    [sym__playground_literal] = STATE(1349),
    [sym_lambda_literal] = STATE(1349),
    [sym_self_expression] = STATE(1349),
    [sym_super_expression] = STATE(1349),
    [sym_if_statement] = STATE(2559),
    [sym_guard_statement] = STATE(5953),
    [sym_switch_statement] = STATE(2559),
    [sym_do_statement] = STATE(5953),
    [sym_key_path_expression] = STATE(1349),
    [sym_key_path_string_expression] = STATE(1349),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1349),
    [sym__equality_operator] = STATE(1349),
    [sym__comparison_operator] = STATE(1349),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1349),
    [sym__multiplicative_operator] = STATE(1349),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym_statements] = STATE(7731),
    [sym__local_statement] = STATE(5953),
    [sym__labeled_statement] = STATE(5953),
    [sym_for_statement] = STATE(5953),
    [sym_while_statement] = STATE(5953),
    [sym_repeat_while_statement] = STATE(5953),
    [sym_control_transfer_statement] = STATE(5953),
    [sym__throw_statement] = STATE(6577),
    [sym__optionally_valueful_control_keyword] = STATE(283),
    [sym_assignment] = STATE(1349),
    [sym_value_parameter_pack] = STATE(1349),
    [sym_value_pack_expansion] = STATE(1349),
    [sym__local_declaration] = STATE(5953),
    [sym__local_property_declaration] = STATE(6579),
    [sym__local_typealias_declaration] = STATE(6581),
    [sym__local_function_declaration] = STATE(6582),
    [sym__local_class_declaration] = STATE(6584),
    [sym__modifierless_property_declaration] = STATE(6589),
    [sym__modifierless_typealias_declaration] = STATE(6601),
    [sym__modifierless_function_declaration] = STATE(6604),
    [sym__modifierless_function_declaration_no_body] = STATE(6607),
    [sym__modifierless_class_declaration] = STATE(6613),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__referenceable_operator] = STATE(1349),
    [sym__equal_sign] = STATE(1349),
    [sym__eq_eq] = STATE(1349),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__async_modifier] = STATE(6632),
    [sym_attribute] = STATE(4189),
    [sym_value_binding_pattern] = STATE(3973),
    [sym__possibly_async_binding_pattern_kind] = STATE(3973),
    [aux_sym__locally_permitted_modifiers] = STATE(4189),
    [sym__locally_permitted_modifier] = STATE(4189),
    [sym_property_behavior_modifier] = STATE(4189),
    [sym_inheritance_modifier] = STATE(4189),
    [sym_ownership_modifier] = STATE(4189),
    [sym__parameter_ownership_modifier] = STATE(2115),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(11),
    [aux_sym_simple_identifier_token2] = ACTIONS(13),
    [aux_sym_simple_identifier_token3] = ACTIONS(13),
    [aux_sym_simple_identifier_token4] = ACTIONS(13),
    [anon_sym_actor] = ACTIONS(15),
    [anon_sym_async] = ACTIONS(17),
    [anon_sym_each] = ACTIONS(19),
    [anon_sym_lazy] = ACTIONS(393),
    [anon_sym_repeat] = ACTIONS(23),
    [anon_sym_package] = ACTIONS(11),
    [anon_sym_nil] = ACTIONS(153),
    [sym_real_literal] = ACTIONS(155),
    [sym_integer_literal] = ACTIONS(153),
    [sym_hex_literal] = ACTIONS(155),
    [sym_oct_literal] = ACTIONS(155),
    [sym_bin_literal] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(153),
    [anon_sym_POUNDfileID] = ACTIONS(155),
    [anon_sym_POUNDfilePath] = ACTIONS(155),
    [anon_sym_POUNDline] = ACTIONS(155),
    [anon_sym_POUNDcolumn] = ACTIONS(155),
    [anon_sym_POUNDfunction] = ACTIONS(155),
    [anon_sym_POUNDdsohandle] = ACTIONS(155),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_RBRACE] = ACTIONS(571),
    [anon_sym_self] = ACTIONS(65),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_guard] = ACTIONS(69),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(153),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(153),
    [anon_sym_PERCENT] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(155),
    [anon_sym_CARET] = ACTIONS(153),
    [anon_sym_LT_LT] = ACTIONS(155),
    [anon_sym_GT_GT] = ACTIONS(155),
    [sym_statement_label] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [sym_throw_keyword] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(159),
    [anon_sym_continue] = ACTIONS(159),
    [anon_sym_break] = ACTIONS(159),
    [anon_sym_yield] = ACTIONS(159),
    [anon_sym_typealias] = ACTIONS(93),
    [anon_sym_struct] = ACTIONS(95),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_enum] = ACTIONS(99),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_func] = ACTIONS(105),
    [anon_sym_extension] = ACTIONS(109),
    [anon_sym_indirect] = ACTIONS(111),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_AT] = ACTIONS(395),
    [anon_sym_final] = ACTIONS(397),
    [anon_sym_weak] = ACTIONS(399),
    [anon_sym_unowned] = ACTIONS(399),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(401),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(401),
    [anon_sym_borrowing] = ACTIONS(11),
    [anon_sym_consuming] = ACTIONS(11),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(155),
    [sym__eq_eq_custom] = ACTIONS(155),
    [sym__plus_then_ws] = ACTIONS(155),
    [sym__minus_then_ws] = ACTIONS(155),
    [sym__bang_custom] = ACTIONS(151),
    [sym__custom_operator] = ACTIONS(57),
  },
  [80] = {
    [sym_simple_identifier] = STATE(2276),
    [sym__contextual_simple_identifier] = STATE(2115),
    [sym__basic_literal] = STATE(1349),
    [sym_boolean_literal] = STATE(1349),
    [sym__string_literal] = STATE(1349),
    [sym_line_string_literal] = STATE(1349),
    [sym_multi_line_string_literal] = STATE(1349),
    [sym_raw_string_literal] = STATE(1349),
    [sym_regex_literal] = STATE(1349),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1349),
    [sym__unary_expression] = STATE(1349),
    [sym_postfix_expression] = STATE(1349),
    [sym_constructor_expression] = STATE(1349),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1349),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1349),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1349),
    [sym_prefix_expression] = STATE(1349),
    [sym_as_expression] = STATE(1349),
    [sym_selector_expression] = STATE(1349),
    [sym__binary_expression] = STATE(1349),
    [sym_multiplicative_expression] = STATE(1349),
    [sym_additive_expression] = STATE(1349),
    [sym_range_expression] = STATE(1349),
    [sym_infix_expression] = STATE(1349),
    [sym_nil_coalescing_expression] = STATE(1349),
    [sym_check_expression] = STATE(1349),
    [sym_comparison_expression] = STATE(1349),
    [sym_equality_expression] = STATE(1349),
    [sym_conjunction_expression] = STATE(1349),
    [sym_disjunction_expression] = STATE(1349),
    [sym_bitwise_operation] = STATE(1349),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1349),
    [sym_await_expression] = STATE(1349),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1349),
    [sym_call_expression] = STATE(1349),
    [sym__primary_expression] = STATE(1349),
    [sym_tuple_expression] = STATE(1349),
    [sym_array_literal] = STATE(1349),
    [sym_dictionary_literal] = STATE(1349),
    [sym__special_literal] = STATE(1349),
    [sym__playground_literal] = STATE(1349),
    [sym_lambda_literal] = STATE(1349),
    [sym_self_expression] = STATE(1349),
    [sym_super_expression] = STATE(1349),
    [sym_if_statement] = STATE(2559),
    [sym_guard_statement] = STATE(5953),
    [sym_switch_statement] = STATE(2559),
    [sym_do_statement] = STATE(5953),
    [sym_key_path_expression] = STATE(1349),
    [sym_key_path_string_expression] = STATE(1349),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1349),
    [sym__equality_operator] = STATE(1349),
    [sym__comparison_operator] = STATE(1349),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1349),
    [sym__multiplicative_operator] = STATE(1349),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym_statements] = STATE(7826),
    [sym__local_statement] = STATE(5953),
    [sym__labeled_statement] = STATE(5953),
    [sym_for_statement] = STATE(5953),
    [sym_while_statement] = STATE(5953),
    [sym_repeat_while_statement] = STATE(5953),
    [sym_control_transfer_statement] = STATE(5953),
    [sym__throw_statement] = STATE(6577),
    [sym__optionally_valueful_control_keyword] = STATE(283),
    [sym_assignment] = STATE(1349),
    [sym_value_parameter_pack] = STATE(1349),
    [sym_value_pack_expansion] = STATE(1349),
    [sym__local_declaration] = STATE(5953),
    [sym__local_property_declaration] = STATE(6579),
    [sym__local_typealias_declaration] = STATE(6581),
    [sym__local_function_declaration] = STATE(6582),
    [sym__local_class_declaration] = STATE(6584),
    [sym__modifierless_property_declaration] = STATE(6589),
    [sym__modifierless_typealias_declaration] = STATE(6601),
    [sym__modifierless_function_declaration] = STATE(6604),
    [sym__modifierless_function_declaration_no_body] = STATE(6607),
    [sym__modifierless_class_declaration] = STATE(6613),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__referenceable_operator] = STATE(1349),
    [sym__equal_sign] = STATE(1349),
    [sym__eq_eq] = STATE(1349),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__async_modifier] = STATE(6632),
    [sym_attribute] = STATE(4189),
    [sym_value_binding_pattern] = STATE(3973),
    [sym__possibly_async_binding_pattern_kind] = STATE(3973),
    [aux_sym__locally_permitted_modifiers] = STATE(4189),
    [sym__locally_permitted_modifier] = STATE(4189),
    [sym_property_behavior_modifier] = STATE(4189),
    [sym_inheritance_modifier] = STATE(4189),
    [sym_ownership_modifier] = STATE(4189),
    [sym__parameter_ownership_modifier] = STATE(2115),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(11),
    [aux_sym_simple_identifier_token2] = ACTIONS(13),
    [aux_sym_simple_identifier_token3] = ACTIONS(13),
    [aux_sym_simple_identifier_token4] = ACTIONS(13),
    [anon_sym_actor] = ACTIONS(15),
    [anon_sym_async] = ACTIONS(17),
    [anon_sym_each] = ACTIONS(19),
    [anon_sym_lazy] = ACTIONS(393),
    [anon_sym_repeat] = ACTIONS(23),
    [anon_sym_package] = ACTIONS(11),
    [anon_sym_nil] = ACTIONS(153),
    [sym_real_literal] = ACTIONS(155),
    [sym_integer_literal] = ACTIONS(153),
    [sym_hex_literal] = ACTIONS(155),
    [sym_oct_literal] = ACTIONS(155),
    [sym_bin_literal] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(153),
    [anon_sym_POUNDfileID] = ACTIONS(155),
    [anon_sym_POUNDfilePath] = ACTIONS(155),
    [anon_sym_POUNDline] = ACTIONS(155),
    [anon_sym_POUNDcolumn] = ACTIONS(155),
    [anon_sym_POUNDfunction] = ACTIONS(155),
    [anon_sym_POUNDdsohandle] = ACTIONS(155),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_RBRACE] = ACTIONS(573),
    [anon_sym_self] = ACTIONS(65),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_guard] = ACTIONS(69),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(153),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(153),
    [anon_sym_PERCENT] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(155),
    [anon_sym_CARET] = ACTIONS(153),
    [anon_sym_LT_LT] = ACTIONS(155),
    [anon_sym_GT_GT] = ACTIONS(155),
    [sym_statement_label] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [sym_throw_keyword] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(159),
    [anon_sym_continue] = ACTIONS(159),
    [anon_sym_break] = ACTIONS(159),
    [anon_sym_yield] = ACTIONS(159),
    [anon_sym_typealias] = ACTIONS(93),
    [anon_sym_struct] = ACTIONS(95),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_enum] = ACTIONS(99),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_func] = ACTIONS(105),
    [anon_sym_extension] = ACTIONS(109),
    [anon_sym_indirect] = ACTIONS(111),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_AT] = ACTIONS(395),
    [anon_sym_final] = ACTIONS(397),
    [anon_sym_weak] = ACTIONS(399),
    [anon_sym_unowned] = ACTIONS(399),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(401),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(401),
    [anon_sym_borrowing] = ACTIONS(11),
    [anon_sym_consuming] = ACTIONS(11),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(155),
    [sym__eq_eq_custom] = ACTIONS(155),
    [sym__plus_then_ws] = ACTIONS(155),
    [sym__minus_then_ws] = ACTIONS(155),
    [sym__bang_custom] = ACTIONS(151),
    [sym__custom_operator] = ACTIONS(57),
  },
  [81] = {
    [sym_simple_identifier] = STATE(2276),
    [sym__contextual_simple_identifier] = STATE(2115),
    [sym__basic_literal] = STATE(1349),
    [sym_boolean_literal] = STATE(1349),
    [sym__string_literal] = STATE(1349),
    [sym_line_string_literal] = STATE(1349),
    [sym_multi_line_string_literal] = STATE(1349),
    [sym_raw_string_literal] = STATE(1349),
    [sym_regex_literal] = STATE(1349),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1349),
    [sym__unary_expression] = STATE(1349),
    [sym_postfix_expression] = STATE(1349),
    [sym_constructor_expression] = STATE(1349),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1349),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1349),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1349),
    [sym_prefix_expression] = STATE(1349),
    [sym_as_expression] = STATE(1349),
    [sym_selector_expression] = STATE(1349),
    [sym__binary_expression] = STATE(1349),
    [sym_multiplicative_expression] = STATE(1349),
    [sym_additive_expression] = STATE(1349),
    [sym_range_expression] = STATE(1349),
    [sym_infix_expression] = STATE(1349),
    [sym_nil_coalescing_expression] = STATE(1349),
    [sym_check_expression] = STATE(1349),
    [sym_comparison_expression] = STATE(1349),
    [sym_equality_expression] = STATE(1349),
    [sym_conjunction_expression] = STATE(1349),
    [sym_disjunction_expression] = STATE(1349),
    [sym_bitwise_operation] = STATE(1349),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1349),
    [sym_await_expression] = STATE(1349),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1349),
    [sym_call_expression] = STATE(1349),
    [sym__primary_expression] = STATE(1349),
    [sym_tuple_expression] = STATE(1349),
    [sym_array_literal] = STATE(1349),
    [sym_dictionary_literal] = STATE(1349),
    [sym__special_literal] = STATE(1349),
    [sym__playground_literal] = STATE(1349),
    [sym_lambda_literal] = STATE(1349),
    [sym_self_expression] = STATE(1349),
    [sym_super_expression] = STATE(1349),
    [sym_if_statement] = STATE(2559),
    [sym_guard_statement] = STATE(5953),
    [sym_switch_statement] = STATE(2559),
    [sym_do_statement] = STATE(5953),
    [sym_key_path_expression] = STATE(1349),
    [sym_key_path_string_expression] = STATE(1349),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1349),
    [sym__equality_operator] = STATE(1349),
    [sym__comparison_operator] = STATE(1349),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1349),
    [sym__multiplicative_operator] = STATE(1349),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym_statements] = STATE(7775),
    [sym__local_statement] = STATE(5953),
    [sym__labeled_statement] = STATE(5953),
    [sym_for_statement] = STATE(5953),
    [sym_while_statement] = STATE(5953),
    [sym_repeat_while_statement] = STATE(5953),
    [sym_control_transfer_statement] = STATE(5953),
    [sym__throw_statement] = STATE(6577),
    [sym__optionally_valueful_control_keyword] = STATE(283),
    [sym_assignment] = STATE(1349),
    [sym_value_parameter_pack] = STATE(1349),
    [sym_value_pack_expansion] = STATE(1349),
    [sym__local_declaration] = STATE(5953),
    [sym__local_property_declaration] = STATE(6579),
    [sym__local_typealias_declaration] = STATE(6581),
    [sym__local_function_declaration] = STATE(6582),
    [sym__local_class_declaration] = STATE(6584),
    [sym__modifierless_property_declaration] = STATE(6589),
    [sym__modifierless_typealias_declaration] = STATE(6601),
    [sym__modifierless_function_declaration] = STATE(6604),
    [sym__modifierless_function_declaration_no_body] = STATE(6607),
    [sym__modifierless_class_declaration] = STATE(6613),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__referenceable_operator] = STATE(1349),
    [sym__equal_sign] = STATE(1349),
    [sym__eq_eq] = STATE(1349),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__async_modifier] = STATE(6632),
    [sym_attribute] = STATE(4189),
    [sym_value_binding_pattern] = STATE(3973),
    [sym__possibly_async_binding_pattern_kind] = STATE(3973),
    [aux_sym__locally_permitted_modifiers] = STATE(4189),
    [sym__locally_permitted_modifier] = STATE(4189),
    [sym_property_behavior_modifier] = STATE(4189),
    [sym_inheritance_modifier] = STATE(4189),
    [sym_ownership_modifier] = STATE(4189),
    [sym__parameter_ownership_modifier] = STATE(2115),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(11),
    [aux_sym_simple_identifier_token2] = ACTIONS(13),
    [aux_sym_simple_identifier_token3] = ACTIONS(13),
    [aux_sym_simple_identifier_token4] = ACTIONS(13),
    [anon_sym_actor] = ACTIONS(15),
    [anon_sym_async] = ACTIONS(17),
    [anon_sym_each] = ACTIONS(19),
    [anon_sym_lazy] = ACTIONS(393),
    [anon_sym_repeat] = ACTIONS(23),
    [anon_sym_package] = ACTIONS(11),
    [anon_sym_nil] = ACTIONS(153),
    [sym_real_literal] = ACTIONS(155),
    [sym_integer_literal] = ACTIONS(153),
    [sym_hex_literal] = ACTIONS(155),
    [sym_oct_literal] = ACTIONS(155),
    [sym_bin_literal] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(153),
    [anon_sym_POUNDfileID] = ACTIONS(155),
    [anon_sym_POUNDfilePath] = ACTIONS(155),
    [anon_sym_POUNDline] = ACTIONS(155),
    [anon_sym_POUNDcolumn] = ACTIONS(155),
    [anon_sym_POUNDfunction] = ACTIONS(155),
    [anon_sym_POUNDdsohandle] = ACTIONS(155),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_RBRACE] = ACTIONS(575),
    [anon_sym_self] = ACTIONS(65),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_guard] = ACTIONS(69),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(153),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(153),
    [anon_sym_PERCENT] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(155),
    [anon_sym_CARET] = ACTIONS(153),
    [anon_sym_LT_LT] = ACTIONS(155),
    [anon_sym_GT_GT] = ACTIONS(155),
    [sym_statement_label] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [sym_throw_keyword] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(159),
    [anon_sym_continue] = ACTIONS(159),
    [anon_sym_break] = ACTIONS(159),
    [anon_sym_yield] = ACTIONS(159),
    [anon_sym_typealias] = ACTIONS(93),
    [anon_sym_struct] = ACTIONS(95),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_enum] = ACTIONS(99),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_func] = ACTIONS(105),
    [anon_sym_extension] = ACTIONS(109),
    [anon_sym_indirect] = ACTIONS(111),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_AT] = ACTIONS(395),
    [anon_sym_final] = ACTIONS(397),
    [anon_sym_weak] = ACTIONS(399),
    [anon_sym_unowned] = ACTIONS(399),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(401),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(401),
    [anon_sym_borrowing] = ACTIONS(11),
    [anon_sym_consuming] = ACTIONS(11),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(155),
    [sym__eq_eq_custom] = ACTIONS(155),
    [sym__plus_then_ws] = ACTIONS(155),
    [sym__minus_then_ws] = ACTIONS(155),
    [sym__bang_custom] = ACTIONS(151),
    [sym__custom_operator] = ACTIONS(57),
  },
  [82] = {
    [sym_simple_identifier] = STATE(2276),
    [sym__contextual_simple_identifier] = STATE(2115),
    [sym__basic_literal] = STATE(1349),
    [sym_boolean_literal] = STATE(1349),
    [sym__string_literal] = STATE(1349),
    [sym_line_string_literal] = STATE(1349),
    [sym_multi_line_string_literal] = STATE(1349),
    [sym_raw_string_literal] = STATE(1349),
    [sym_regex_literal] = STATE(1349),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1349),
    [sym__unary_expression] = STATE(1349),
    [sym_postfix_expression] = STATE(1349),
    [sym_constructor_expression] = STATE(1349),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1349),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1349),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1349),
    [sym_prefix_expression] = STATE(1349),
    [sym_as_expression] = STATE(1349),
    [sym_selector_expression] = STATE(1349),
    [sym__binary_expression] = STATE(1349),
    [sym_multiplicative_expression] = STATE(1349),
    [sym_additive_expression] = STATE(1349),
    [sym_range_expression] = STATE(1349),
    [sym_infix_expression] = STATE(1349),
    [sym_nil_coalescing_expression] = STATE(1349),
    [sym_check_expression] = STATE(1349),
    [sym_comparison_expression] = STATE(1349),
    [sym_equality_expression] = STATE(1349),
    [sym_conjunction_expression] = STATE(1349),
    [sym_disjunction_expression] = STATE(1349),
    [sym_bitwise_operation] = STATE(1349),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1349),
    [sym_await_expression] = STATE(1349),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1349),
    [sym_call_expression] = STATE(1349),
    [sym__primary_expression] = STATE(1349),
    [sym_tuple_expression] = STATE(1349),
    [sym_array_literal] = STATE(1349),
    [sym_dictionary_literal] = STATE(1349),
    [sym__special_literal] = STATE(1349),
    [sym__playground_literal] = STATE(1349),
    [sym_lambda_literal] = STATE(1349),
    [sym_self_expression] = STATE(1349),
    [sym_super_expression] = STATE(1349),
    [sym_if_statement] = STATE(2559),
    [sym_guard_statement] = STATE(5953),
    [sym_switch_statement] = STATE(2559),
    [sym_do_statement] = STATE(5953),
    [sym_key_path_expression] = STATE(1349),
    [sym_key_path_string_expression] = STATE(1349),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1349),
    [sym__equality_operator] = STATE(1349),
    [sym__comparison_operator] = STATE(1349),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1349),
    [sym__multiplicative_operator] = STATE(1349),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym_statements] = STATE(7787),
    [sym__local_statement] = STATE(5953),
    [sym__labeled_statement] = STATE(5953),
    [sym_for_statement] = STATE(5953),
    [sym_while_statement] = STATE(5953),
    [sym_repeat_while_statement] = STATE(5953),
    [sym_control_transfer_statement] = STATE(5953),
    [sym__throw_statement] = STATE(6577),
    [sym__optionally_valueful_control_keyword] = STATE(283),
    [sym_assignment] = STATE(1349),
    [sym_value_parameter_pack] = STATE(1349),
    [sym_value_pack_expansion] = STATE(1349),
    [sym__local_declaration] = STATE(5953),
    [sym__local_property_declaration] = STATE(6579),
    [sym__local_typealias_declaration] = STATE(6581),
    [sym__local_function_declaration] = STATE(6582),
    [sym__local_class_declaration] = STATE(6584),
    [sym__modifierless_property_declaration] = STATE(6589),
    [sym__modifierless_typealias_declaration] = STATE(6601),
    [sym__modifierless_function_declaration] = STATE(6604),
    [sym__modifierless_function_declaration_no_body] = STATE(6607),
    [sym__modifierless_class_declaration] = STATE(6613),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__referenceable_operator] = STATE(1349),
    [sym__equal_sign] = STATE(1349),
    [sym__eq_eq] = STATE(1349),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__async_modifier] = STATE(6632),
    [sym_attribute] = STATE(4189),
    [sym_value_binding_pattern] = STATE(3973),
    [sym__possibly_async_binding_pattern_kind] = STATE(3973),
    [aux_sym__locally_permitted_modifiers] = STATE(4189),
    [sym__locally_permitted_modifier] = STATE(4189),
    [sym_property_behavior_modifier] = STATE(4189),
    [sym_inheritance_modifier] = STATE(4189),
    [sym_ownership_modifier] = STATE(4189),
    [sym__parameter_ownership_modifier] = STATE(2115),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(11),
    [aux_sym_simple_identifier_token2] = ACTIONS(13),
    [aux_sym_simple_identifier_token3] = ACTIONS(13),
    [aux_sym_simple_identifier_token4] = ACTIONS(13),
    [anon_sym_actor] = ACTIONS(15),
    [anon_sym_async] = ACTIONS(17),
    [anon_sym_each] = ACTIONS(19),
    [anon_sym_lazy] = ACTIONS(393),
    [anon_sym_repeat] = ACTIONS(23),
    [anon_sym_package] = ACTIONS(11),
    [anon_sym_nil] = ACTIONS(153),
    [sym_real_literal] = ACTIONS(155),
    [sym_integer_literal] = ACTIONS(153),
    [sym_hex_literal] = ACTIONS(155),
    [sym_oct_literal] = ACTIONS(155),
    [sym_bin_literal] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(153),
    [anon_sym_POUNDfileID] = ACTIONS(155),
    [anon_sym_POUNDfilePath] = ACTIONS(155),
    [anon_sym_POUNDline] = ACTIONS(155),
    [anon_sym_POUNDcolumn] = ACTIONS(155),
    [anon_sym_POUNDfunction] = ACTIONS(155),
    [anon_sym_POUNDdsohandle] = ACTIONS(155),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_RBRACE] = ACTIONS(577),
    [anon_sym_self] = ACTIONS(65),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_guard] = ACTIONS(69),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(153),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(153),
    [anon_sym_PERCENT] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(155),
    [anon_sym_CARET] = ACTIONS(153),
    [anon_sym_LT_LT] = ACTIONS(155),
    [anon_sym_GT_GT] = ACTIONS(155),
    [sym_statement_label] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [sym_throw_keyword] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(159),
    [anon_sym_continue] = ACTIONS(159),
    [anon_sym_break] = ACTIONS(159),
    [anon_sym_yield] = ACTIONS(159),
    [anon_sym_typealias] = ACTIONS(93),
    [anon_sym_struct] = ACTIONS(95),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_enum] = ACTIONS(99),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_func] = ACTIONS(105),
    [anon_sym_extension] = ACTIONS(109),
    [anon_sym_indirect] = ACTIONS(111),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_AT] = ACTIONS(395),
    [anon_sym_final] = ACTIONS(397),
    [anon_sym_weak] = ACTIONS(399),
    [anon_sym_unowned] = ACTIONS(399),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(401),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(401),
    [anon_sym_borrowing] = ACTIONS(11),
    [anon_sym_consuming] = ACTIONS(11),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(155),
    [sym__eq_eq_custom] = ACTIONS(155),
    [sym__plus_then_ws] = ACTIONS(155),
    [sym__minus_then_ws] = ACTIONS(155),
    [sym__bang_custom] = ACTIONS(151),
    [sym__custom_operator] = ACTIONS(57),
  },
  [83] = {
    [sym_simple_identifier] = STATE(2276),
    [sym__contextual_simple_identifier] = STATE(2115),
    [sym__basic_literal] = STATE(1349),
    [sym_boolean_literal] = STATE(1349),
    [sym__string_literal] = STATE(1349),
    [sym_line_string_literal] = STATE(1349),
    [sym_multi_line_string_literal] = STATE(1349),
    [sym_raw_string_literal] = STATE(1349),
    [sym_regex_literal] = STATE(1349),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1349),
    [sym__unary_expression] = STATE(1349),
    [sym_postfix_expression] = STATE(1349),
    [sym_constructor_expression] = STATE(1349),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1349),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1349),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1349),
    [sym_prefix_expression] = STATE(1349),
    [sym_as_expression] = STATE(1349),
    [sym_selector_expression] = STATE(1349),
    [sym__binary_expression] = STATE(1349),
    [sym_multiplicative_expression] = STATE(1349),
    [sym_additive_expression] = STATE(1349),
    [sym_range_expression] = STATE(1349),
    [sym_infix_expression] = STATE(1349),
    [sym_nil_coalescing_expression] = STATE(1349),
    [sym_check_expression] = STATE(1349),
    [sym_comparison_expression] = STATE(1349),
    [sym_equality_expression] = STATE(1349),
    [sym_conjunction_expression] = STATE(1349),
    [sym_disjunction_expression] = STATE(1349),
    [sym_bitwise_operation] = STATE(1349),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1349),
    [sym_await_expression] = STATE(1349),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1349),
    [sym_call_expression] = STATE(1349),
    [sym__primary_expression] = STATE(1349),
    [sym_tuple_expression] = STATE(1349),
    [sym_array_literal] = STATE(1349),
    [sym_dictionary_literal] = STATE(1349),
    [sym__special_literal] = STATE(1349),
    [sym__playground_literal] = STATE(1349),
    [sym_lambda_literal] = STATE(1349),
    [sym_self_expression] = STATE(1349),
    [sym_super_expression] = STATE(1349),
    [sym_if_statement] = STATE(2559),
    [sym_guard_statement] = STATE(5953),
    [sym_switch_statement] = STATE(2559),
    [sym_do_statement] = STATE(5953),
    [sym_key_path_expression] = STATE(1349),
    [sym_key_path_string_expression] = STATE(1349),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1349),
    [sym__equality_operator] = STATE(1349),
    [sym__comparison_operator] = STATE(1349),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1349),
    [sym__multiplicative_operator] = STATE(1349),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym_statements] = STATE(7774),
    [sym__local_statement] = STATE(5953),
    [sym__labeled_statement] = STATE(5953),
    [sym_for_statement] = STATE(5953),
    [sym_while_statement] = STATE(5953),
    [sym_repeat_while_statement] = STATE(5953),
    [sym_control_transfer_statement] = STATE(5953),
    [sym__throw_statement] = STATE(6577),
    [sym__optionally_valueful_control_keyword] = STATE(283),
    [sym_assignment] = STATE(1349),
    [sym_value_parameter_pack] = STATE(1349),
    [sym_value_pack_expansion] = STATE(1349),
    [sym__local_declaration] = STATE(5953),
    [sym__local_property_declaration] = STATE(6579),
    [sym__local_typealias_declaration] = STATE(6581),
    [sym__local_function_declaration] = STATE(6582),
    [sym__local_class_declaration] = STATE(6584),
    [sym__modifierless_property_declaration] = STATE(6589),
    [sym__modifierless_typealias_declaration] = STATE(6601),
    [sym__modifierless_function_declaration] = STATE(6604),
    [sym__modifierless_function_declaration_no_body] = STATE(6607),
    [sym__modifierless_class_declaration] = STATE(6613),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__referenceable_operator] = STATE(1349),
    [sym__equal_sign] = STATE(1349),
    [sym__eq_eq] = STATE(1349),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__async_modifier] = STATE(6632),
    [sym_attribute] = STATE(4189),
    [sym_value_binding_pattern] = STATE(3973),
    [sym__possibly_async_binding_pattern_kind] = STATE(3973),
    [aux_sym__locally_permitted_modifiers] = STATE(4189),
    [sym__locally_permitted_modifier] = STATE(4189),
    [sym_property_behavior_modifier] = STATE(4189),
    [sym_inheritance_modifier] = STATE(4189),
    [sym_ownership_modifier] = STATE(4189),
    [sym__parameter_ownership_modifier] = STATE(2115),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(11),
    [aux_sym_simple_identifier_token2] = ACTIONS(13),
    [aux_sym_simple_identifier_token3] = ACTIONS(13),
    [aux_sym_simple_identifier_token4] = ACTIONS(13),
    [anon_sym_actor] = ACTIONS(15),
    [anon_sym_async] = ACTIONS(17),
    [anon_sym_each] = ACTIONS(19),
    [anon_sym_lazy] = ACTIONS(393),
    [anon_sym_repeat] = ACTIONS(23),
    [anon_sym_package] = ACTIONS(11),
    [anon_sym_nil] = ACTIONS(153),
    [sym_real_literal] = ACTIONS(155),
    [sym_integer_literal] = ACTIONS(153),
    [sym_hex_literal] = ACTIONS(155),
    [sym_oct_literal] = ACTIONS(155),
    [sym_bin_literal] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(153),
    [anon_sym_POUNDfileID] = ACTIONS(155),
    [anon_sym_POUNDfilePath] = ACTIONS(155),
    [anon_sym_POUNDline] = ACTIONS(155),
    [anon_sym_POUNDcolumn] = ACTIONS(155),
    [anon_sym_POUNDfunction] = ACTIONS(155),
    [anon_sym_POUNDdsohandle] = ACTIONS(155),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_RBRACE] = ACTIONS(579),
    [anon_sym_self] = ACTIONS(65),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_guard] = ACTIONS(69),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(153),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(153),
    [anon_sym_PERCENT] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(155),
    [anon_sym_CARET] = ACTIONS(153),
    [anon_sym_LT_LT] = ACTIONS(155),
    [anon_sym_GT_GT] = ACTIONS(155),
    [sym_statement_label] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [sym_throw_keyword] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(159),
    [anon_sym_continue] = ACTIONS(159),
    [anon_sym_break] = ACTIONS(159),
    [anon_sym_yield] = ACTIONS(159),
    [anon_sym_typealias] = ACTIONS(93),
    [anon_sym_struct] = ACTIONS(95),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_enum] = ACTIONS(99),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_func] = ACTIONS(105),
    [anon_sym_extension] = ACTIONS(109),
    [anon_sym_indirect] = ACTIONS(111),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_AT] = ACTIONS(395),
    [anon_sym_final] = ACTIONS(397),
    [anon_sym_weak] = ACTIONS(399),
    [anon_sym_unowned] = ACTIONS(399),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(401),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(401),
    [anon_sym_borrowing] = ACTIONS(11),
    [anon_sym_consuming] = ACTIONS(11),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(155),
    [sym__eq_eq_custom] = ACTIONS(155),
    [sym__plus_then_ws] = ACTIONS(155),
    [sym__minus_then_ws] = ACTIONS(155),
    [sym__bang_custom] = ACTIONS(151),
    [sym__custom_operator] = ACTIONS(57),
  },
  [84] = {
    [sym_simple_identifier] = STATE(2276),
    [sym__contextual_simple_identifier] = STATE(2115),
    [sym__basic_literal] = STATE(1349),
    [sym_boolean_literal] = STATE(1349),
    [sym__string_literal] = STATE(1349),
    [sym_line_string_literal] = STATE(1349),
    [sym_multi_line_string_literal] = STATE(1349),
    [sym_raw_string_literal] = STATE(1349),
    [sym_regex_literal] = STATE(1349),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1349),
    [sym__unary_expression] = STATE(1349),
    [sym_postfix_expression] = STATE(1349),
    [sym_constructor_expression] = STATE(1349),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1349),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1349),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1349),
    [sym_prefix_expression] = STATE(1349),
    [sym_as_expression] = STATE(1349),
    [sym_selector_expression] = STATE(1349),
    [sym__binary_expression] = STATE(1349),
    [sym_multiplicative_expression] = STATE(1349),
    [sym_additive_expression] = STATE(1349),
    [sym_range_expression] = STATE(1349),
    [sym_infix_expression] = STATE(1349),
    [sym_nil_coalescing_expression] = STATE(1349),
    [sym_check_expression] = STATE(1349),
    [sym_comparison_expression] = STATE(1349),
    [sym_equality_expression] = STATE(1349),
    [sym_conjunction_expression] = STATE(1349),
    [sym_disjunction_expression] = STATE(1349),
    [sym_bitwise_operation] = STATE(1349),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1349),
    [sym_await_expression] = STATE(1349),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1349),
    [sym_call_expression] = STATE(1349),
    [sym__primary_expression] = STATE(1349),
    [sym_tuple_expression] = STATE(1349),
    [sym_array_literal] = STATE(1349),
    [sym_dictionary_literal] = STATE(1349),
    [sym__special_literal] = STATE(1349),
    [sym__playground_literal] = STATE(1349),
    [sym_lambda_literal] = STATE(1349),
    [sym_self_expression] = STATE(1349),
    [sym_super_expression] = STATE(1349),
    [sym_if_statement] = STATE(2559),
    [sym_guard_statement] = STATE(5953),
    [sym_switch_statement] = STATE(2559),
    [sym_do_statement] = STATE(5953),
    [sym_key_path_expression] = STATE(1349),
    [sym_key_path_string_expression] = STATE(1349),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1349),
    [sym__equality_operator] = STATE(1349),
    [sym__comparison_operator] = STATE(1349),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1349),
    [sym__multiplicative_operator] = STATE(1349),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym_statements] = STATE(7786),
    [sym__local_statement] = STATE(5953),
    [sym__labeled_statement] = STATE(5953),
    [sym_for_statement] = STATE(5953),
    [sym_while_statement] = STATE(5953),
    [sym_repeat_while_statement] = STATE(5953),
    [sym_control_transfer_statement] = STATE(5953),
    [sym__throw_statement] = STATE(6577),
    [sym__optionally_valueful_control_keyword] = STATE(283),
    [sym_assignment] = STATE(1349),
    [sym_value_parameter_pack] = STATE(1349),
    [sym_value_pack_expansion] = STATE(1349),
    [sym__local_declaration] = STATE(5953),
    [sym__local_property_declaration] = STATE(6579),
    [sym__local_typealias_declaration] = STATE(6581),
    [sym__local_function_declaration] = STATE(6582),
    [sym__local_class_declaration] = STATE(6584),
    [sym__modifierless_property_declaration] = STATE(6589),
    [sym__modifierless_typealias_declaration] = STATE(6601),
    [sym__modifierless_function_declaration] = STATE(6604),
    [sym__modifierless_function_declaration_no_body] = STATE(6607),
    [sym__modifierless_class_declaration] = STATE(6613),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__referenceable_operator] = STATE(1349),
    [sym__equal_sign] = STATE(1349),
    [sym__eq_eq] = STATE(1349),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__async_modifier] = STATE(6632),
    [sym_attribute] = STATE(4189),
    [sym_value_binding_pattern] = STATE(3973),
    [sym__possibly_async_binding_pattern_kind] = STATE(3973),
    [aux_sym__locally_permitted_modifiers] = STATE(4189),
    [sym__locally_permitted_modifier] = STATE(4189),
    [sym_property_behavior_modifier] = STATE(4189),
    [sym_inheritance_modifier] = STATE(4189),
    [sym_ownership_modifier] = STATE(4189),
    [sym__parameter_ownership_modifier] = STATE(2115),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(11),
    [aux_sym_simple_identifier_token2] = ACTIONS(13),
    [aux_sym_simple_identifier_token3] = ACTIONS(13),
    [aux_sym_simple_identifier_token4] = ACTIONS(13),
    [anon_sym_actor] = ACTIONS(15),
    [anon_sym_async] = ACTIONS(17),
    [anon_sym_each] = ACTIONS(19),
    [anon_sym_lazy] = ACTIONS(393),
    [anon_sym_repeat] = ACTIONS(23),
    [anon_sym_package] = ACTIONS(11),
    [anon_sym_nil] = ACTIONS(153),
    [sym_real_literal] = ACTIONS(155),
    [sym_integer_literal] = ACTIONS(153),
    [sym_hex_literal] = ACTIONS(155),
    [sym_oct_literal] = ACTIONS(155),
    [sym_bin_literal] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(153),
    [anon_sym_POUNDfileID] = ACTIONS(155),
    [anon_sym_POUNDfilePath] = ACTIONS(155),
    [anon_sym_POUNDline] = ACTIONS(155),
    [anon_sym_POUNDcolumn] = ACTIONS(155),
    [anon_sym_POUNDfunction] = ACTIONS(155),
    [anon_sym_POUNDdsohandle] = ACTIONS(155),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_RBRACE] = ACTIONS(581),
    [anon_sym_self] = ACTIONS(65),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_guard] = ACTIONS(69),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(153),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(153),
    [anon_sym_PERCENT] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(155),
    [anon_sym_CARET] = ACTIONS(153),
    [anon_sym_LT_LT] = ACTIONS(155),
    [anon_sym_GT_GT] = ACTIONS(155),
    [sym_statement_label] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [sym_throw_keyword] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(159),
    [anon_sym_continue] = ACTIONS(159),
    [anon_sym_break] = ACTIONS(159),
    [anon_sym_yield] = ACTIONS(159),
    [anon_sym_typealias] = ACTIONS(93),
    [anon_sym_struct] = ACTIONS(95),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_enum] = ACTIONS(99),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_func] = ACTIONS(105),
    [anon_sym_extension] = ACTIONS(109),
    [anon_sym_indirect] = ACTIONS(111),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_AT] = ACTIONS(395),
    [anon_sym_final] = ACTIONS(397),
    [anon_sym_weak] = ACTIONS(399),
    [anon_sym_unowned] = ACTIONS(399),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(401),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(401),
    [anon_sym_borrowing] = ACTIONS(11),
    [anon_sym_consuming] = ACTIONS(11),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(155),
    [sym__eq_eq_custom] = ACTIONS(155),
    [sym__plus_then_ws] = ACTIONS(155),
    [sym__minus_then_ws] = ACTIONS(155),
    [sym__bang_custom] = ACTIONS(151),
    [sym__custom_operator] = ACTIONS(57),
  },
  [85] = {
    [sym_simple_identifier] = STATE(2276),
    [sym__contextual_simple_identifier] = STATE(2115),
    [sym__basic_literal] = STATE(1349),
    [sym_boolean_literal] = STATE(1349),
    [sym__string_literal] = STATE(1349),
    [sym_line_string_literal] = STATE(1349),
    [sym_multi_line_string_literal] = STATE(1349),
    [sym_raw_string_literal] = STATE(1349),
    [sym_regex_literal] = STATE(1349),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1349),
    [sym__unary_expression] = STATE(1349),
    [sym_postfix_expression] = STATE(1349),
    [sym_constructor_expression] = STATE(1349),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1349),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1349),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1349),
    [sym_prefix_expression] = STATE(1349),
    [sym_as_expression] = STATE(1349),
    [sym_selector_expression] = STATE(1349),
    [sym__binary_expression] = STATE(1349),
    [sym_multiplicative_expression] = STATE(1349),
    [sym_additive_expression] = STATE(1349),
    [sym_range_expression] = STATE(1349),
    [sym_infix_expression] = STATE(1349),
    [sym_nil_coalescing_expression] = STATE(1349),
    [sym_check_expression] = STATE(1349),
    [sym_comparison_expression] = STATE(1349),
    [sym_equality_expression] = STATE(1349),
    [sym_conjunction_expression] = STATE(1349),
    [sym_disjunction_expression] = STATE(1349),
    [sym_bitwise_operation] = STATE(1349),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1349),
    [sym_await_expression] = STATE(1349),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1349),
    [sym_call_expression] = STATE(1349),
    [sym__primary_expression] = STATE(1349),
    [sym_tuple_expression] = STATE(1349),
    [sym_array_literal] = STATE(1349),
    [sym_dictionary_literal] = STATE(1349),
    [sym__special_literal] = STATE(1349),
    [sym__playground_literal] = STATE(1349),
    [sym_lambda_literal] = STATE(1349),
    [sym_self_expression] = STATE(1349),
    [sym_super_expression] = STATE(1349),
    [sym_if_statement] = STATE(2559),
    [sym_guard_statement] = STATE(5953),
    [sym_switch_statement] = STATE(2559),
    [sym_do_statement] = STATE(5953),
    [sym_key_path_expression] = STATE(1349),
    [sym_key_path_string_expression] = STATE(1349),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1349),
    [sym__equality_operator] = STATE(1349),
    [sym__comparison_operator] = STATE(1349),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1349),
    [sym__multiplicative_operator] = STATE(1349),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym_statements] = STATE(7770),
    [sym__local_statement] = STATE(5953),
    [sym__labeled_statement] = STATE(5953),
    [sym_for_statement] = STATE(5953),
    [sym_while_statement] = STATE(5953),
    [sym_repeat_while_statement] = STATE(5953),
    [sym_control_transfer_statement] = STATE(5953),
    [sym__throw_statement] = STATE(6577),
    [sym__optionally_valueful_control_keyword] = STATE(283),
    [sym_assignment] = STATE(1349),
    [sym_value_parameter_pack] = STATE(1349),
    [sym_value_pack_expansion] = STATE(1349),
    [sym__local_declaration] = STATE(5953),
    [sym__local_property_declaration] = STATE(6579),
    [sym__local_typealias_declaration] = STATE(6581),
    [sym__local_function_declaration] = STATE(6582),
    [sym__local_class_declaration] = STATE(6584),
    [sym__modifierless_property_declaration] = STATE(6589),
    [sym__modifierless_typealias_declaration] = STATE(6601),
    [sym__modifierless_function_declaration] = STATE(6604),
    [sym__modifierless_function_declaration_no_body] = STATE(6607),
    [sym__modifierless_class_declaration] = STATE(6613),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__referenceable_operator] = STATE(1349),
    [sym__equal_sign] = STATE(1349),
    [sym__eq_eq] = STATE(1349),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__async_modifier] = STATE(6632),
    [sym_attribute] = STATE(4189),
    [sym_value_binding_pattern] = STATE(3973),
    [sym__possibly_async_binding_pattern_kind] = STATE(3973),
    [aux_sym__locally_permitted_modifiers] = STATE(4189),
    [sym__locally_permitted_modifier] = STATE(4189),
    [sym_property_behavior_modifier] = STATE(4189),
    [sym_inheritance_modifier] = STATE(4189),
    [sym_ownership_modifier] = STATE(4189),
    [sym__parameter_ownership_modifier] = STATE(2115),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(11),
    [aux_sym_simple_identifier_token2] = ACTIONS(13),
    [aux_sym_simple_identifier_token3] = ACTIONS(13),
    [aux_sym_simple_identifier_token4] = ACTIONS(13),
    [anon_sym_actor] = ACTIONS(15),
    [anon_sym_async] = ACTIONS(17),
    [anon_sym_each] = ACTIONS(19),
    [anon_sym_lazy] = ACTIONS(393),
    [anon_sym_repeat] = ACTIONS(23),
    [anon_sym_package] = ACTIONS(11),
    [anon_sym_nil] = ACTIONS(153),
    [sym_real_literal] = ACTIONS(155),
    [sym_integer_literal] = ACTIONS(153),
    [sym_hex_literal] = ACTIONS(155),
    [sym_oct_literal] = ACTIONS(155),
    [sym_bin_literal] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(153),
    [anon_sym_POUNDfileID] = ACTIONS(155),
    [anon_sym_POUNDfilePath] = ACTIONS(155),
    [anon_sym_POUNDline] = ACTIONS(155),
    [anon_sym_POUNDcolumn] = ACTIONS(155),
    [anon_sym_POUNDfunction] = ACTIONS(155),
    [anon_sym_POUNDdsohandle] = ACTIONS(155),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_RBRACE] = ACTIONS(583),
    [anon_sym_self] = ACTIONS(65),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_guard] = ACTIONS(69),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(153),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(153),
    [anon_sym_PERCENT] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(155),
    [anon_sym_CARET] = ACTIONS(153),
    [anon_sym_LT_LT] = ACTIONS(155),
    [anon_sym_GT_GT] = ACTIONS(155),
    [sym_statement_label] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [sym_throw_keyword] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(159),
    [anon_sym_continue] = ACTIONS(159),
    [anon_sym_break] = ACTIONS(159),
    [anon_sym_yield] = ACTIONS(159),
    [anon_sym_typealias] = ACTIONS(93),
    [anon_sym_struct] = ACTIONS(95),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_enum] = ACTIONS(99),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_func] = ACTIONS(105),
    [anon_sym_extension] = ACTIONS(109),
    [anon_sym_indirect] = ACTIONS(111),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_AT] = ACTIONS(395),
    [anon_sym_final] = ACTIONS(397),
    [anon_sym_weak] = ACTIONS(399),
    [anon_sym_unowned] = ACTIONS(399),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(401),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(401),
    [anon_sym_borrowing] = ACTIONS(11),
    [anon_sym_consuming] = ACTIONS(11),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(155),
    [sym__eq_eq_custom] = ACTIONS(155),
    [sym__plus_then_ws] = ACTIONS(155),
    [sym__minus_then_ws] = ACTIONS(155),
    [sym__bang_custom] = ACTIONS(151),
    [sym__custom_operator] = ACTIONS(57),
  },
  [86] = {
    [sym_simple_identifier] = STATE(2276),
    [sym__contextual_simple_identifier] = STATE(2115),
    [sym__basic_literal] = STATE(1349),
    [sym_boolean_literal] = STATE(1349),
    [sym__string_literal] = STATE(1349),
    [sym_line_string_literal] = STATE(1349),
    [sym_multi_line_string_literal] = STATE(1349),
    [sym_raw_string_literal] = STATE(1349),
    [sym_regex_literal] = STATE(1349),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1349),
    [sym__unary_expression] = STATE(1349),
    [sym_postfix_expression] = STATE(1349),
    [sym_constructor_expression] = STATE(1349),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1349),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1349),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1349),
    [sym_prefix_expression] = STATE(1349),
    [sym_as_expression] = STATE(1349),
    [sym_selector_expression] = STATE(1349),
    [sym__binary_expression] = STATE(1349),
    [sym_multiplicative_expression] = STATE(1349),
    [sym_additive_expression] = STATE(1349),
    [sym_range_expression] = STATE(1349),
    [sym_infix_expression] = STATE(1349),
    [sym_nil_coalescing_expression] = STATE(1349),
    [sym_check_expression] = STATE(1349),
    [sym_comparison_expression] = STATE(1349),
    [sym_equality_expression] = STATE(1349),
    [sym_conjunction_expression] = STATE(1349),
    [sym_disjunction_expression] = STATE(1349),
    [sym_bitwise_operation] = STATE(1349),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1349),
    [sym_await_expression] = STATE(1349),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1349),
    [sym_call_expression] = STATE(1349),
    [sym__primary_expression] = STATE(1349),
    [sym_tuple_expression] = STATE(1349),
    [sym_array_literal] = STATE(1349),
    [sym_dictionary_literal] = STATE(1349),
    [sym__special_literal] = STATE(1349),
    [sym__playground_literal] = STATE(1349),
    [sym_lambda_literal] = STATE(1349),
    [sym_self_expression] = STATE(1349),
    [sym_super_expression] = STATE(1349),
    [sym_if_statement] = STATE(2559),
    [sym_guard_statement] = STATE(5953),
    [sym_switch_statement] = STATE(2559),
    [sym_do_statement] = STATE(5953),
    [sym_key_path_expression] = STATE(1349),
    [sym_key_path_string_expression] = STATE(1349),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1349),
    [sym__equality_operator] = STATE(1349),
    [sym__comparison_operator] = STATE(1349),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1349),
    [sym__multiplicative_operator] = STATE(1349),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym_statements] = STATE(7769),
    [sym__local_statement] = STATE(5953),
    [sym__labeled_statement] = STATE(5953),
    [sym_for_statement] = STATE(5953),
    [sym_while_statement] = STATE(5953),
    [sym_repeat_while_statement] = STATE(5953),
    [sym_control_transfer_statement] = STATE(5953),
    [sym__throw_statement] = STATE(6577),
    [sym__optionally_valueful_control_keyword] = STATE(283),
    [sym_assignment] = STATE(1349),
    [sym_value_parameter_pack] = STATE(1349),
    [sym_value_pack_expansion] = STATE(1349),
    [sym__local_declaration] = STATE(5953),
    [sym__local_property_declaration] = STATE(6579),
    [sym__local_typealias_declaration] = STATE(6581),
    [sym__local_function_declaration] = STATE(6582),
    [sym__local_class_declaration] = STATE(6584),
    [sym__modifierless_property_declaration] = STATE(6589),
    [sym__modifierless_typealias_declaration] = STATE(6601),
    [sym__modifierless_function_declaration] = STATE(6604),
    [sym__modifierless_function_declaration_no_body] = STATE(6607),
    [sym__modifierless_class_declaration] = STATE(6613),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__referenceable_operator] = STATE(1349),
    [sym__equal_sign] = STATE(1349),
    [sym__eq_eq] = STATE(1349),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__async_modifier] = STATE(6632),
    [sym_attribute] = STATE(4189),
    [sym_value_binding_pattern] = STATE(3973),
    [sym__possibly_async_binding_pattern_kind] = STATE(3973),
    [aux_sym__locally_permitted_modifiers] = STATE(4189),
    [sym__locally_permitted_modifier] = STATE(4189),
    [sym_property_behavior_modifier] = STATE(4189),
    [sym_inheritance_modifier] = STATE(4189),
    [sym_ownership_modifier] = STATE(4189),
    [sym__parameter_ownership_modifier] = STATE(2115),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(11),
    [aux_sym_simple_identifier_token2] = ACTIONS(13),
    [aux_sym_simple_identifier_token3] = ACTIONS(13),
    [aux_sym_simple_identifier_token4] = ACTIONS(13),
    [anon_sym_actor] = ACTIONS(15),
    [anon_sym_async] = ACTIONS(17),
    [anon_sym_each] = ACTIONS(19),
    [anon_sym_lazy] = ACTIONS(393),
    [anon_sym_repeat] = ACTIONS(23),
    [anon_sym_package] = ACTIONS(11),
    [anon_sym_nil] = ACTIONS(153),
    [sym_real_literal] = ACTIONS(155),
    [sym_integer_literal] = ACTIONS(153),
    [sym_hex_literal] = ACTIONS(155),
    [sym_oct_literal] = ACTIONS(155),
    [sym_bin_literal] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(153),
    [anon_sym_POUNDfileID] = ACTIONS(155),
    [anon_sym_POUNDfilePath] = ACTIONS(155),
    [anon_sym_POUNDline] = ACTIONS(155),
    [anon_sym_POUNDcolumn] = ACTIONS(155),
    [anon_sym_POUNDfunction] = ACTIONS(155),
    [anon_sym_POUNDdsohandle] = ACTIONS(155),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_RBRACE] = ACTIONS(585),
    [anon_sym_self] = ACTIONS(65),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_guard] = ACTIONS(69),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(153),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(153),
    [anon_sym_PERCENT] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(155),
    [anon_sym_CARET] = ACTIONS(153),
    [anon_sym_LT_LT] = ACTIONS(155),
    [anon_sym_GT_GT] = ACTIONS(155),
    [sym_statement_label] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [sym_throw_keyword] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(159),
    [anon_sym_continue] = ACTIONS(159),
    [anon_sym_break] = ACTIONS(159),
    [anon_sym_yield] = ACTIONS(159),
    [anon_sym_typealias] = ACTIONS(93),
    [anon_sym_struct] = ACTIONS(95),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_enum] = ACTIONS(99),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_func] = ACTIONS(105),
    [anon_sym_extension] = ACTIONS(109),
    [anon_sym_indirect] = ACTIONS(111),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_AT] = ACTIONS(395),
    [anon_sym_final] = ACTIONS(397),
    [anon_sym_weak] = ACTIONS(399),
    [anon_sym_unowned] = ACTIONS(399),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(401),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(401),
    [anon_sym_borrowing] = ACTIONS(11),
    [anon_sym_consuming] = ACTIONS(11),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(155),
    [sym__eq_eq_custom] = ACTIONS(155),
    [sym__plus_then_ws] = ACTIONS(155),
    [sym__minus_then_ws] = ACTIONS(155),
    [sym__bang_custom] = ACTIONS(151),
    [sym__custom_operator] = ACTIONS(57),
  },
  [87] = {
    [sym_simple_identifier] = STATE(2276),
    [sym__contextual_simple_identifier] = STATE(2115),
    [sym__basic_literal] = STATE(1349),
    [sym_boolean_literal] = STATE(1349),
    [sym__string_literal] = STATE(1349),
    [sym_line_string_literal] = STATE(1349),
    [sym_multi_line_string_literal] = STATE(1349),
    [sym_raw_string_literal] = STATE(1349),
    [sym_regex_literal] = STATE(1349),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1349),
    [sym__unary_expression] = STATE(1349),
    [sym_postfix_expression] = STATE(1349),
    [sym_constructor_expression] = STATE(1349),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1349),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1349),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1349),
    [sym_prefix_expression] = STATE(1349),
    [sym_as_expression] = STATE(1349),
    [sym_selector_expression] = STATE(1349),
    [sym__binary_expression] = STATE(1349),
    [sym_multiplicative_expression] = STATE(1349),
    [sym_additive_expression] = STATE(1349),
    [sym_range_expression] = STATE(1349),
    [sym_infix_expression] = STATE(1349),
    [sym_nil_coalescing_expression] = STATE(1349),
    [sym_check_expression] = STATE(1349),
    [sym_comparison_expression] = STATE(1349),
    [sym_equality_expression] = STATE(1349),
    [sym_conjunction_expression] = STATE(1349),
    [sym_disjunction_expression] = STATE(1349),
    [sym_bitwise_operation] = STATE(1349),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1349),
    [sym_await_expression] = STATE(1349),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1349),
    [sym_call_expression] = STATE(1349),
    [sym__primary_expression] = STATE(1349),
    [sym_tuple_expression] = STATE(1349),
    [sym_array_literal] = STATE(1349),
    [sym_dictionary_literal] = STATE(1349),
    [sym__special_literal] = STATE(1349),
    [sym__playground_literal] = STATE(1349),
    [sym_lambda_literal] = STATE(1349),
    [sym_self_expression] = STATE(1349),
    [sym_super_expression] = STATE(1349),
    [sym_if_statement] = STATE(2559),
    [sym_guard_statement] = STATE(5953),
    [sym_switch_statement] = STATE(2559),
    [sym_do_statement] = STATE(5953),
    [sym_key_path_expression] = STATE(1349),
    [sym_key_path_string_expression] = STATE(1349),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1349),
    [sym__equality_operator] = STATE(1349),
    [sym__comparison_operator] = STATE(1349),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1349),
    [sym__multiplicative_operator] = STATE(1349),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym_statements] = STATE(7732),
    [sym__local_statement] = STATE(5953),
    [sym__labeled_statement] = STATE(5953),
    [sym_for_statement] = STATE(5953),
    [sym_while_statement] = STATE(5953),
    [sym_repeat_while_statement] = STATE(5953),
    [sym_control_transfer_statement] = STATE(5953),
    [sym__throw_statement] = STATE(6577),
    [sym__optionally_valueful_control_keyword] = STATE(283),
    [sym_assignment] = STATE(1349),
    [sym_value_parameter_pack] = STATE(1349),
    [sym_value_pack_expansion] = STATE(1349),
    [sym__local_declaration] = STATE(5953),
    [sym__local_property_declaration] = STATE(6579),
    [sym__local_typealias_declaration] = STATE(6581),
    [sym__local_function_declaration] = STATE(6582),
    [sym__local_class_declaration] = STATE(6584),
    [sym__modifierless_property_declaration] = STATE(6589),
    [sym__modifierless_typealias_declaration] = STATE(6601),
    [sym__modifierless_function_declaration] = STATE(6604),
    [sym__modifierless_function_declaration_no_body] = STATE(6607),
    [sym__modifierless_class_declaration] = STATE(6613),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__referenceable_operator] = STATE(1349),
    [sym__equal_sign] = STATE(1349),
    [sym__eq_eq] = STATE(1349),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__async_modifier] = STATE(6632),
    [sym_attribute] = STATE(4189),
    [sym_value_binding_pattern] = STATE(3973),
    [sym__possibly_async_binding_pattern_kind] = STATE(3973),
    [aux_sym__locally_permitted_modifiers] = STATE(4189),
    [sym__locally_permitted_modifier] = STATE(4189),
    [sym_property_behavior_modifier] = STATE(4189),
    [sym_inheritance_modifier] = STATE(4189),
    [sym_ownership_modifier] = STATE(4189),
    [sym__parameter_ownership_modifier] = STATE(2115),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(11),
    [aux_sym_simple_identifier_token2] = ACTIONS(13),
    [aux_sym_simple_identifier_token3] = ACTIONS(13),
    [aux_sym_simple_identifier_token4] = ACTIONS(13),
    [anon_sym_actor] = ACTIONS(15),
    [anon_sym_async] = ACTIONS(17),
    [anon_sym_each] = ACTIONS(19),
    [anon_sym_lazy] = ACTIONS(393),
    [anon_sym_repeat] = ACTIONS(23),
    [anon_sym_package] = ACTIONS(11),
    [anon_sym_nil] = ACTIONS(153),
    [sym_real_literal] = ACTIONS(155),
    [sym_integer_literal] = ACTIONS(153),
    [sym_hex_literal] = ACTIONS(155),
    [sym_oct_literal] = ACTIONS(155),
    [sym_bin_literal] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(153),
    [anon_sym_POUNDfileID] = ACTIONS(155),
    [anon_sym_POUNDfilePath] = ACTIONS(155),
    [anon_sym_POUNDline] = ACTIONS(155),
    [anon_sym_POUNDcolumn] = ACTIONS(155),
    [anon_sym_POUNDfunction] = ACTIONS(155),
    [anon_sym_POUNDdsohandle] = ACTIONS(155),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_RBRACE] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(65),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_guard] = ACTIONS(69),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(153),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(153),
    [anon_sym_PERCENT] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(155),
    [anon_sym_CARET] = ACTIONS(153),
    [anon_sym_LT_LT] = ACTIONS(155),
    [anon_sym_GT_GT] = ACTIONS(155),
    [sym_statement_label] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [sym_throw_keyword] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(159),
    [anon_sym_continue] = ACTIONS(159),
    [anon_sym_break] = ACTIONS(159),
    [anon_sym_yield] = ACTIONS(159),
    [anon_sym_typealias] = ACTIONS(93),
    [anon_sym_struct] = ACTIONS(95),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_enum] = ACTIONS(99),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_func] = ACTIONS(105),
    [anon_sym_extension] = ACTIONS(109),
    [anon_sym_indirect] = ACTIONS(111),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_AT] = ACTIONS(395),
    [anon_sym_final] = ACTIONS(397),
    [anon_sym_weak] = ACTIONS(399),
    [anon_sym_unowned] = ACTIONS(399),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(401),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(401),
    [anon_sym_borrowing] = ACTIONS(11),
    [anon_sym_consuming] = ACTIONS(11),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(155),
    [sym__eq_eq_custom] = ACTIONS(155),
    [sym__plus_then_ws] = ACTIONS(155),
    [sym__minus_then_ws] = ACTIONS(155),
    [sym__bang_custom] = ACTIONS(151),
    [sym__custom_operator] = ACTIONS(57),
  },
  [88] = {
    [sym_simple_identifier] = STATE(2276),
    [sym__contextual_simple_identifier] = STATE(2115),
    [sym__basic_literal] = STATE(1349),
    [sym_boolean_literal] = STATE(1349),
    [sym__string_literal] = STATE(1349),
    [sym_line_string_literal] = STATE(1349),
    [sym_multi_line_string_literal] = STATE(1349),
    [sym_raw_string_literal] = STATE(1349),
    [sym_regex_literal] = STATE(1349),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1349),
    [sym__unary_expression] = STATE(1349),
    [sym_postfix_expression] = STATE(1349),
    [sym_constructor_expression] = STATE(1349),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1349),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1349),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1349),
    [sym_prefix_expression] = STATE(1349),
    [sym_as_expression] = STATE(1349),
    [sym_selector_expression] = STATE(1349),
    [sym__binary_expression] = STATE(1349),
    [sym_multiplicative_expression] = STATE(1349),
    [sym_additive_expression] = STATE(1349),
    [sym_range_expression] = STATE(1349),
    [sym_infix_expression] = STATE(1349),
    [sym_nil_coalescing_expression] = STATE(1349),
    [sym_check_expression] = STATE(1349),
    [sym_comparison_expression] = STATE(1349),
    [sym_equality_expression] = STATE(1349),
    [sym_conjunction_expression] = STATE(1349),
    [sym_disjunction_expression] = STATE(1349),
    [sym_bitwise_operation] = STATE(1349),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1349),
    [sym_await_expression] = STATE(1349),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1349),
    [sym_call_expression] = STATE(1349),
    [sym__primary_expression] = STATE(1349),
    [sym_tuple_expression] = STATE(1349),
    [sym_array_literal] = STATE(1349),
    [sym_dictionary_literal] = STATE(1349),
    [sym__special_literal] = STATE(1349),
    [sym__playground_literal] = STATE(1349),
    [sym_lambda_literal] = STATE(1349),
    [sym_self_expression] = STATE(1349),
    [sym_super_expression] = STATE(1349),
    [sym_if_statement] = STATE(2559),
    [sym_guard_statement] = STATE(5953),
    [sym_switch_statement] = STATE(2559),
    [sym_do_statement] = STATE(5953),
    [sym_key_path_expression] = STATE(1349),
    [sym_key_path_string_expression] = STATE(1349),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1349),
    [sym__equality_operator] = STATE(1349),
    [sym__comparison_operator] = STATE(1349),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1349),
    [sym__multiplicative_operator] = STATE(1349),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym_statements] = STATE(7820),
    [sym__local_statement] = STATE(5953),
    [sym__labeled_statement] = STATE(5953),
    [sym_for_statement] = STATE(5953),
    [sym_while_statement] = STATE(5953),
    [sym_repeat_while_statement] = STATE(5953),
    [sym_control_transfer_statement] = STATE(5953),
    [sym__throw_statement] = STATE(6577),
    [sym__optionally_valueful_control_keyword] = STATE(283),
    [sym_assignment] = STATE(1349),
    [sym_value_parameter_pack] = STATE(1349),
    [sym_value_pack_expansion] = STATE(1349),
    [sym__local_declaration] = STATE(5953),
    [sym__local_property_declaration] = STATE(6579),
    [sym__local_typealias_declaration] = STATE(6581),
    [sym__local_function_declaration] = STATE(6582),
    [sym__local_class_declaration] = STATE(6584),
    [sym__modifierless_property_declaration] = STATE(6589),
    [sym__modifierless_typealias_declaration] = STATE(6601),
    [sym__modifierless_function_declaration] = STATE(6604),
    [sym__modifierless_function_declaration_no_body] = STATE(6607),
    [sym__modifierless_class_declaration] = STATE(6613),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__referenceable_operator] = STATE(1349),
    [sym__equal_sign] = STATE(1349),
    [sym__eq_eq] = STATE(1349),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__async_modifier] = STATE(6632),
    [sym_attribute] = STATE(4189),
    [sym_value_binding_pattern] = STATE(3973),
    [sym__possibly_async_binding_pattern_kind] = STATE(3973),
    [aux_sym__locally_permitted_modifiers] = STATE(4189),
    [sym__locally_permitted_modifier] = STATE(4189),
    [sym_property_behavior_modifier] = STATE(4189),
    [sym_inheritance_modifier] = STATE(4189),
    [sym_ownership_modifier] = STATE(4189),
    [sym__parameter_ownership_modifier] = STATE(2115),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(11),
    [aux_sym_simple_identifier_token2] = ACTIONS(13),
    [aux_sym_simple_identifier_token3] = ACTIONS(13),
    [aux_sym_simple_identifier_token4] = ACTIONS(13),
    [anon_sym_actor] = ACTIONS(15),
    [anon_sym_async] = ACTIONS(17),
    [anon_sym_each] = ACTIONS(19),
    [anon_sym_lazy] = ACTIONS(393),
    [anon_sym_repeat] = ACTIONS(23),
    [anon_sym_package] = ACTIONS(11),
    [anon_sym_nil] = ACTIONS(153),
    [sym_real_literal] = ACTIONS(155),
    [sym_integer_literal] = ACTIONS(153),
    [sym_hex_literal] = ACTIONS(155),
    [sym_oct_literal] = ACTIONS(155),
    [sym_bin_literal] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(153),
    [anon_sym_POUNDfileID] = ACTIONS(155),
    [anon_sym_POUNDfilePath] = ACTIONS(155),
    [anon_sym_POUNDline] = ACTIONS(155),
    [anon_sym_POUNDcolumn] = ACTIONS(155),
    [anon_sym_POUNDfunction] = ACTIONS(155),
    [anon_sym_POUNDdsohandle] = ACTIONS(155),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_RBRACE] = ACTIONS(589),
    [anon_sym_self] = ACTIONS(65),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_guard] = ACTIONS(69),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(153),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(153),
    [anon_sym_PERCENT] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(155),
    [anon_sym_CARET] = ACTIONS(153),
    [anon_sym_LT_LT] = ACTIONS(155),
    [anon_sym_GT_GT] = ACTIONS(155),
    [sym_statement_label] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [sym_throw_keyword] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(159),
    [anon_sym_continue] = ACTIONS(159),
    [anon_sym_break] = ACTIONS(159),
    [anon_sym_yield] = ACTIONS(159),
    [anon_sym_typealias] = ACTIONS(93),
    [anon_sym_struct] = ACTIONS(95),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_enum] = ACTIONS(99),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_func] = ACTIONS(105),
    [anon_sym_extension] = ACTIONS(109),
    [anon_sym_indirect] = ACTIONS(111),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_AT] = ACTIONS(395),
    [anon_sym_final] = ACTIONS(397),
    [anon_sym_weak] = ACTIONS(399),
    [anon_sym_unowned] = ACTIONS(399),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(401),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(401),
    [anon_sym_borrowing] = ACTIONS(11),
    [anon_sym_consuming] = ACTIONS(11),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(155),
    [sym__eq_eq_custom] = ACTIONS(155),
    [sym__plus_then_ws] = ACTIONS(155),
    [sym__minus_then_ws] = ACTIONS(155),
    [sym__bang_custom] = ACTIONS(151),
    [sym__custom_operator] = ACTIONS(57),
  },
  [89] = {
    [sym_simple_identifier] = STATE(2276),
    [sym__contextual_simple_identifier] = STATE(2115),
    [sym__basic_literal] = STATE(1349),
    [sym_boolean_literal] = STATE(1349),
    [sym__string_literal] = STATE(1349),
    [sym_line_string_literal] = STATE(1349),
    [sym_multi_line_string_literal] = STATE(1349),
    [sym_raw_string_literal] = STATE(1349),
    [sym_regex_literal] = STATE(1349),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1349),
    [sym__unary_expression] = STATE(1349),
    [sym_postfix_expression] = STATE(1349),
    [sym_constructor_expression] = STATE(1349),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1349),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1349),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1349),
    [sym_prefix_expression] = STATE(1349),
    [sym_as_expression] = STATE(1349),
    [sym_selector_expression] = STATE(1349),
    [sym__binary_expression] = STATE(1349),
    [sym_multiplicative_expression] = STATE(1349),
    [sym_additive_expression] = STATE(1349),
    [sym_range_expression] = STATE(1349),
    [sym_infix_expression] = STATE(1349),
    [sym_nil_coalescing_expression] = STATE(1349),
    [sym_check_expression] = STATE(1349),
    [sym_comparison_expression] = STATE(1349),
    [sym_equality_expression] = STATE(1349),
    [sym_conjunction_expression] = STATE(1349),
    [sym_disjunction_expression] = STATE(1349),
    [sym_bitwise_operation] = STATE(1349),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1349),
    [sym_await_expression] = STATE(1349),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1349),
    [sym_call_expression] = STATE(1349),
    [sym__primary_expression] = STATE(1349),
    [sym_tuple_expression] = STATE(1349),
    [sym_array_literal] = STATE(1349),
    [sym_dictionary_literal] = STATE(1349),
    [sym__special_literal] = STATE(1349),
    [sym__playground_literal] = STATE(1349),
    [sym_lambda_literal] = STATE(1349),
    [sym_self_expression] = STATE(1349),
    [sym_super_expression] = STATE(1349),
    [sym_if_statement] = STATE(2559),
    [sym_guard_statement] = STATE(5953),
    [sym_switch_statement] = STATE(2559),
    [sym_do_statement] = STATE(5953),
    [sym_key_path_expression] = STATE(1349),
    [sym_key_path_string_expression] = STATE(1349),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1349),
    [sym__equality_operator] = STATE(1349),
    [sym__comparison_operator] = STATE(1349),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1349),
    [sym__multiplicative_operator] = STATE(1349),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym_statements] = STATE(7663),
    [sym__local_statement] = STATE(5953),
    [sym__labeled_statement] = STATE(5953),
    [sym_for_statement] = STATE(5953),
    [sym_while_statement] = STATE(5953),
    [sym_repeat_while_statement] = STATE(5953),
    [sym_control_transfer_statement] = STATE(5953),
    [sym__throw_statement] = STATE(6577),
    [sym__optionally_valueful_control_keyword] = STATE(283),
    [sym_assignment] = STATE(1349),
    [sym_value_parameter_pack] = STATE(1349),
    [sym_value_pack_expansion] = STATE(1349),
    [sym__local_declaration] = STATE(5953),
    [sym__local_property_declaration] = STATE(6579),
    [sym__local_typealias_declaration] = STATE(6581),
    [sym__local_function_declaration] = STATE(6582),
    [sym__local_class_declaration] = STATE(6584),
    [sym__modifierless_property_declaration] = STATE(6589),
    [sym__modifierless_typealias_declaration] = STATE(6601),
    [sym__modifierless_function_declaration] = STATE(6604),
    [sym__modifierless_function_declaration_no_body] = STATE(6607),
    [sym__modifierless_class_declaration] = STATE(6613),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__referenceable_operator] = STATE(1349),
    [sym__equal_sign] = STATE(1349),
    [sym__eq_eq] = STATE(1349),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__async_modifier] = STATE(6632),
    [sym_attribute] = STATE(4189),
    [sym_value_binding_pattern] = STATE(3973),
    [sym__possibly_async_binding_pattern_kind] = STATE(3973),
    [aux_sym__locally_permitted_modifiers] = STATE(4189),
    [sym__locally_permitted_modifier] = STATE(4189),
    [sym_property_behavior_modifier] = STATE(4189),
    [sym_inheritance_modifier] = STATE(4189),
    [sym_ownership_modifier] = STATE(4189),
    [sym__parameter_ownership_modifier] = STATE(2115),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(11),
    [aux_sym_simple_identifier_token2] = ACTIONS(13),
    [aux_sym_simple_identifier_token3] = ACTIONS(13),
    [aux_sym_simple_identifier_token4] = ACTIONS(13),
    [anon_sym_actor] = ACTIONS(15),
    [anon_sym_async] = ACTIONS(17),
    [anon_sym_each] = ACTIONS(19),
    [anon_sym_lazy] = ACTIONS(393),
    [anon_sym_repeat] = ACTIONS(23),
    [anon_sym_package] = ACTIONS(11),
    [anon_sym_nil] = ACTIONS(153),
    [sym_real_literal] = ACTIONS(155),
    [sym_integer_literal] = ACTIONS(153),
    [sym_hex_literal] = ACTIONS(155),
    [sym_oct_literal] = ACTIONS(155),
    [sym_bin_literal] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(153),
    [anon_sym_POUNDfileID] = ACTIONS(155),
    [anon_sym_POUNDfilePath] = ACTIONS(155),
    [anon_sym_POUNDline] = ACTIONS(155),
    [anon_sym_POUNDcolumn] = ACTIONS(155),
    [anon_sym_POUNDfunction] = ACTIONS(155),
    [anon_sym_POUNDdsohandle] = ACTIONS(155),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_RBRACE] = ACTIONS(591),
    [anon_sym_self] = ACTIONS(65),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_guard] = ACTIONS(69),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(153),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(153),
    [anon_sym_PERCENT] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(155),
    [anon_sym_CARET] = ACTIONS(153),
    [anon_sym_LT_LT] = ACTIONS(155),
    [anon_sym_GT_GT] = ACTIONS(155),
    [sym_statement_label] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [sym_throw_keyword] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(159),
    [anon_sym_continue] = ACTIONS(159),
    [anon_sym_break] = ACTIONS(159),
    [anon_sym_yield] = ACTIONS(159),
    [anon_sym_typealias] = ACTIONS(93),
    [anon_sym_struct] = ACTIONS(95),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_enum] = ACTIONS(99),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_func] = ACTIONS(105),
    [anon_sym_extension] = ACTIONS(109),
    [anon_sym_indirect] = ACTIONS(111),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_AT] = ACTIONS(395),
    [anon_sym_final] = ACTIONS(397),
    [anon_sym_weak] = ACTIONS(399),
    [anon_sym_unowned] = ACTIONS(399),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(401),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(401),
    [anon_sym_borrowing] = ACTIONS(11),
    [anon_sym_consuming] = ACTIONS(11),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(155),
    [sym__eq_eq_custom] = ACTIONS(155),
    [sym__plus_then_ws] = ACTIONS(155),
    [sym__minus_then_ws] = ACTIONS(155),
    [sym__bang_custom] = ACTIONS(151),
    [sym__custom_operator] = ACTIONS(57),
  },
  [90] = {
    [sym_simple_identifier] = STATE(2276),
    [sym__contextual_simple_identifier] = STATE(2115),
    [sym__basic_literal] = STATE(1349),
    [sym_boolean_literal] = STATE(1349),
    [sym__string_literal] = STATE(1349),
    [sym_line_string_literal] = STATE(1349),
    [sym_multi_line_string_literal] = STATE(1349),
    [sym_raw_string_literal] = STATE(1349),
    [sym_regex_literal] = STATE(1349),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1349),
    [sym__unary_expression] = STATE(1349),
    [sym_postfix_expression] = STATE(1349),
    [sym_constructor_expression] = STATE(1349),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1349),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1349),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1349),
    [sym_prefix_expression] = STATE(1349),
    [sym_as_expression] = STATE(1349),
    [sym_selector_expression] = STATE(1349),
    [sym__binary_expression] = STATE(1349),
    [sym_multiplicative_expression] = STATE(1349),
    [sym_additive_expression] = STATE(1349),
    [sym_range_expression] = STATE(1349),
    [sym_infix_expression] = STATE(1349),
    [sym_nil_coalescing_expression] = STATE(1349),
    [sym_check_expression] = STATE(1349),
    [sym_comparison_expression] = STATE(1349),
    [sym_equality_expression] = STATE(1349),
    [sym_conjunction_expression] = STATE(1349),
    [sym_disjunction_expression] = STATE(1349),
    [sym_bitwise_operation] = STATE(1349),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1349),
    [sym_await_expression] = STATE(1349),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1349),
    [sym_call_expression] = STATE(1349),
    [sym__primary_expression] = STATE(1349),
    [sym_tuple_expression] = STATE(1349),
    [sym_array_literal] = STATE(1349),
    [sym_dictionary_literal] = STATE(1349),
    [sym__special_literal] = STATE(1349),
    [sym__playground_literal] = STATE(1349),
    [sym_lambda_literal] = STATE(1349),
    [sym_self_expression] = STATE(1349),
    [sym_super_expression] = STATE(1349),
    [sym_if_statement] = STATE(2559),
    [sym_guard_statement] = STATE(5953),
    [sym_switch_statement] = STATE(2559),
    [sym_do_statement] = STATE(5953),
    [sym_key_path_expression] = STATE(1349),
    [sym_key_path_string_expression] = STATE(1349),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1349),
    [sym__equality_operator] = STATE(1349),
    [sym__comparison_operator] = STATE(1349),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1349),
    [sym__multiplicative_operator] = STATE(1349),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym_statements] = STATE(7738),
    [sym__local_statement] = STATE(5953),
    [sym__labeled_statement] = STATE(5953),
    [sym_for_statement] = STATE(5953),
    [sym_while_statement] = STATE(5953),
    [sym_repeat_while_statement] = STATE(5953),
    [sym_control_transfer_statement] = STATE(5953),
    [sym__throw_statement] = STATE(6577),
    [sym__optionally_valueful_control_keyword] = STATE(283),
    [sym_assignment] = STATE(1349),
    [sym_value_parameter_pack] = STATE(1349),
    [sym_value_pack_expansion] = STATE(1349),
    [sym__local_declaration] = STATE(5953),
    [sym__local_property_declaration] = STATE(6579),
    [sym__local_typealias_declaration] = STATE(6581),
    [sym__local_function_declaration] = STATE(6582),
    [sym__local_class_declaration] = STATE(6584),
    [sym__modifierless_property_declaration] = STATE(6589),
    [sym__modifierless_typealias_declaration] = STATE(6601),
    [sym__modifierless_function_declaration] = STATE(6604),
    [sym__modifierless_function_declaration_no_body] = STATE(6607),
    [sym__modifierless_class_declaration] = STATE(6613),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__referenceable_operator] = STATE(1349),
    [sym__equal_sign] = STATE(1349),
    [sym__eq_eq] = STATE(1349),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__async_modifier] = STATE(6632),
    [sym_attribute] = STATE(4189),
    [sym_value_binding_pattern] = STATE(3973),
    [sym__possibly_async_binding_pattern_kind] = STATE(3973),
    [aux_sym__locally_permitted_modifiers] = STATE(4189),
    [sym__locally_permitted_modifier] = STATE(4189),
    [sym_property_behavior_modifier] = STATE(4189),
    [sym_inheritance_modifier] = STATE(4189),
    [sym_ownership_modifier] = STATE(4189),
    [sym__parameter_ownership_modifier] = STATE(2115),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(11),
    [aux_sym_simple_identifier_token2] = ACTIONS(13),
    [aux_sym_simple_identifier_token3] = ACTIONS(13),
    [aux_sym_simple_identifier_token4] = ACTIONS(13),
    [anon_sym_actor] = ACTIONS(15),
    [anon_sym_async] = ACTIONS(17),
    [anon_sym_each] = ACTIONS(19),
    [anon_sym_lazy] = ACTIONS(393),
    [anon_sym_repeat] = ACTIONS(23),
    [anon_sym_package] = ACTIONS(11),
    [anon_sym_nil] = ACTIONS(153),
    [sym_real_literal] = ACTIONS(155),
    [sym_integer_literal] = ACTIONS(153),
    [sym_hex_literal] = ACTIONS(155),
    [sym_oct_literal] = ACTIONS(155),
    [sym_bin_literal] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(153),
    [anon_sym_POUNDfileID] = ACTIONS(155),
    [anon_sym_POUNDfilePath] = ACTIONS(155),
    [anon_sym_POUNDline] = ACTIONS(155),
    [anon_sym_POUNDcolumn] = ACTIONS(155),
    [anon_sym_POUNDfunction] = ACTIONS(155),
    [anon_sym_POUNDdsohandle] = ACTIONS(155),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_RBRACE] = ACTIONS(593),
    [anon_sym_self] = ACTIONS(65),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_guard] = ACTIONS(69),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(153),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(153),
    [anon_sym_PERCENT] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(155),
    [anon_sym_CARET] = ACTIONS(153),
    [anon_sym_LT_LT] = ACTIONS(155),
    [anon_sym_GT_GT] = ACTIONS(155),
    [sym_statement_label] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [sym_throw_keyword] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(159),
    [anon_sym_continue] = ACTIONS(159),
    [anon_sym_break] = ACTIONS(159),
    [anon_sym_yield] = ACTIONS(159),
    [anon_sym_typealias] = ACTIONS(93),
    [anon_sym_struct] = ACTIONS(95),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_enum] = ACTIONS(99),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_func] = ACTIONS(105),
    [anon_sym_extension] = ACTIONS(109),
    [anon_sym_indirect] = ACTIONS(111),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_AT] = ACTIONS(395),
    [anon_sym_final] = ACTIONS(397),
    [anon_sym_weak] = ACTIONS(399),
    [anon_sym_unowned] = ACTIONS(399),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(401),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(401),
    [anon_sym_borrowing] = ACTIONS(11),
    [anon_sym_consuming] = ACTIONS(11),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(155),
    [sym__eq_eq_custom] = ACTIONS(155),
    [sym__plus_then_ws] = ACTIONS(155),
    [sym__minus_then_ws] = ACTIONS(155),
    [sym__bang_custom] = ACTIONS(151),
    [sym__custom_operator] = ACTIONS(57),
  },
  [91] = {
    [sym_simple_identifier] = STATE(2276),
    [sym__contextual_simple_identifier] = STATE(2115),
    [sym__basic_literal] = STATE(1349),
    [sym_boolean_literal] = STATE(1349),
    [sym__string_literal] = STATE(1349),
    [sym_line_string_literal] = STATE(1349),
    [sym_multi_line_string_literal] = STATE(1349),
    [sym_raw_string_literal] = STATE(1349),
    [sym_regex_literal] = STATE(1349),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1349),
    [sym__unary_expression] = STATE(1349),
    [sym_postfix_expression] = STATE(1349),
    [sym_constructor_expression] = STATE(1349),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1349),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1349),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1349),
    [sym_prefix_expression] = STATE(1349),
    [sym_as_expression] = STATE(1349),
    [sym_selector_expression] = STATE(1349),
    [sym__binary_expression] = STATE(1349),
    [sym_multiplicative_expression] = STATE(1349),
    [sym_additive_expression] = STATE(1349),
    [sym_range_expression] = STATE(1349),
    [sym_infix_expression] = STATE(1349),
    [sym_nil_coalescing_expression] = STATE(1349),
    [sym_check_expression] = STATE(1349),
    [sym_comparison_expression] = STATE(1349),
    [sym_equality_expression] = STATE(1349),
    [sym_conjunction_expression] = STATE(1349),
    [sym_disjunction_expression] = STATE(1349),
    [sym_bitwise_operation] = STATE(1349),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1349),
    [sym_await_expression] = STATE(1349),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1349),
    [sym_call_expression] = STATE(1349),
    [sym__primary_expression] = STATE(1349),
    [sym_tuple_expression] = STATE(1349),
    [sym_array_literal] = STATE(1349),
    [sym_dictionary_literal] = STATE(1349),
    [sym__special_literal] = STATE(1349),
    [sym__playground_literal] = STATE(1349),
    [sym_lambda_literal] = STATE(1349),
    [sym_self_expression] = STATE(1349),
    [sym_super_expression] = STATE(1349),
    [sym_if_statement] = STATE(2559),
    [sym_guard_statement] = STATE(5953),
    [sym_switch_statement] = STATE(2559),
    [sym_do_statement] = STATE(5953),
    [sym_key_path_expression] = STATE(1349),
    [sym_key_path_string_expression] = STATE(1349),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1349),
    [sym__equality_operator] = STATE(1349),
    [sym__comparison_operator] = STATE(1349),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1349),
    [sym__multiplicative_operator] = STATE(1349),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym_statements] = STATE(7819),
    [sym__local_statement] = STATE(5953),
    [sym__labeled_statement] = STATE(5953),
    [sym_for_statement] = STATE(5953),
    [sym_while_statement] = STATE(5953),
    [sym_repeat_while_statement] = STATE(5953),
    [sym_control_transfer_statement] = STATE(5953),
    [sym__throw_statement] = STATE(6577),
    [sym__optionally_valueful_control_keyword] = STATE(283),
    [sym_assignment] = STATE(1349),
    [sym_value_parameter_pack] = STATE(1349),
    [sym_value_pack_expansion] = STATE(1349),
    [sym__local_declaration] = STATE(5953),
    [sym__local_property_declaration] = STATE(6579),
    [sym__local_typealias_declaration] = STATE(6581),
    [sym__local_function_declaration] = STATE(6582),
    [sym__local_class_declaration] = STATE(6584),
    [sym__modifierless_property_declaration] = STATE(6589),
    [sym__modifierless_typealias_declaration] = STATE(6601),
    [sym__modifierless_function_declaration] = STATE(6604),
    [sym__modifierless_function_declaration_no_body] = STATE(6607),
    [sym__modifierless_class_declaration] = STATE(6613),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__referenceable_operator] = STATE(1349),
    [sym__equal_sign] = STATE(1349),
    [sym__eq_eq] = STATE(1349),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__async_modifier] = STATE(6632),
    [sym_attribute] = STATE(4189),
    [sym_value_binding_pattern] = STATE(3973),
    [sym__possibly_async_binding_pattern_kind] = STATE(3973),
    [aux_sym__locally_permitted_modifiers] = STATE(4189),
    [sym__locally_permitted_modifier] = STATE(4189),
    [sym_property_behavior_modifier] = STATE(4189),
    [sym_inheritance_modifier] = STATE(4189),
    [sym_ownership_modifier] = STATE(4189),
    [sym__parameter_ownership_modifier] = STATE(2115),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(11),
    [aux_sym_simple_identifier_token2] = ACTIONS(13),
    [aux_sym_simple_identifier_token3] = ACTIONS(13),
    [aux_sym_simple_identifier_token4] = ACTIONS(13),
    [anon_sym_actor] = ACTIONS(15),
    [anon_sym_async] = ACTIONS(17),
    [anon_sym_each] = ACTIONS(19),
    [anon_sym_lazy] = ACTIONS(393),
    [anon_sym_repeat] = ACTIONS(23),
    [anon_sym_package] = ACTIONS(11),
    [anon_sym_nil] = ACTIONS(153),
    [sym_real_literal] = ACTIONS(155),
    [sym_integer_literal] = ACTIONS(153),
    [sym_hex_literal] = ACTIONS(155),
    [sym_oct_literal] = ACTIONS(155),
    [sym_bin_literal] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(153),
    [anon_sym_POUNDfileID] = ACTIONS(155),
    [anon_sym_POUNDfilePath] = ACTIONS(155),
    [anon_sym_POUNDline] = ACTIONS(155),
    [anon_sym_POUNDcolumn] = ACTIONS(155),
    [anon_sym_POUNDfunction] = ACTIONS(155),
    [anon_sym_POUNDdsohandle] = ACTIONS(155),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_RBRACE] = ACTIONS(595),
    [anon_sym_self] = ACTIONS(65),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_guard] = ACTIONS(69),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(153),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(153),
    [anon_sym_PERCENT] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(155),
    [anon_sym_CARET] = ACTIONS(153),
    [anon_sym_LT_LT] = ACTIONS(155),
    [anon_sym_GT_GT] = ACTIONS(155),
    [sym_statement_label] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [sym_throw_keyword] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(159),
    [anon_sym_continue] = ACTIONS(159),
    [anon_sym_break] = ACTIONS(159),
    [anon_sym_yield] = ACTIONS(159),
    [anon_sym_typealias] = ACTIONS(93),
    [anon_sym_struct] = ACTIONS(95),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_enum] = ACTIONS(99),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_func] = ACTIONS(105),
    [anon_sym_extension] = ACTIONS(109),
    [anon_sym_indirect] = ACTIONS(111),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_AT] = ACTIONS(395),
    [anon_sym_final] = ACTIONS(397),
    [anon_sym_weak] = ACTIONS(399),
    [anon_sym_unowned] = ACTIONS(399),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(401),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(401),
    [anon_sym_borrowing] = ACTIONS(11),
    [anon_sym_consuming] = ACTIONS(11),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(155),
    [sym__eq_eq_custom] = ACTIONS(155),
    [sym__plus_then_ws] = ACTIONS(155),
    [sym__minus_then_ws] = ACTIONS(155),
    [sym__bang_custom] = ACTIONS(151),
    [sym__custom_operator] = ACTIONS(57),
  },
  [92] = {
    [sym_simple_identifier] = STATE(2276),
    [sym__contextual_simple_identifier] = STATE(2115),
    [sym__basic_literal] = STATE(1349),
    [sym_boolean_literal] = STATE(1349),
    [sym__string_literal] = STATE(1349),
    [sym_line_string_literal] = STATE(1349),
    [sym_multi_line_string_literal] = STATE(1349),
    [sym_raw_string_literal] = STATE(1349),
    [sym_regex_literal] = STATE(1349),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1349),
    [sym__unary_expression] = STATE(1349),
    [sym_postfix_expression] = STATE(1349),
    [sym_constructor_expression] = STATE(1349),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1349),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1349),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1349),
    [sym_prefix_expression] = STATE(1349),
    [sym_as_expression] = STATE(1349),
    [sym_selector_expression] = STATE(1349),
    [sym__binary_expression] = STATE(1349),
    [sym_multiplicative_expression] = STATE(1349),
    [sym_additive_expression] = STATE(1349),
    [sym_range_expression] = STATE(1349),
    [sym_infix_expression] = STATE(1349),
    [sym_nil_coalescing_expression] = STATE(1349),
    [sym_check_expression] = STATE(1349),
    [sym_comparison_expression] = STATE(1349),
    [sym_equality_expression] = STATE(1349),
    [sym_conjunction_expression] = STATE(1349),
    [sym_disjunction_expression] = STATE(1349),
    [sym_bitwise_operation] = STATE(1349),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1349),
    [sym_await_expression] = STATE(1349),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1349),
    [sym_call_expression] = STATE(1349),
    [sym__primary_expression] = STATE(1349),
    [sym_tuple_expression] = STATE(1349),
    [sym_array_literal] = STATE(1349),
    [sym_dictionary_literal] = STATE(1349),
    [sym__special_literal] = STATE(1349),
    [sym__playground_literal] = STATE(1349),
    [sym_lambda_literal] = STATE(1349),
    [sym_self_expression] = STATE(1349),
    [sym_super_expression] = STATE(1349),
    [sym_if_statement] = STATE(2559),
    [sym_guard_statement] = STATE(5953),
    [sym_switch_statement] = STATE(2559),
    [sym_do_statement] = STATE(5953),
    [sym_key_path_expression] = STATE(1349),
    [sym_key_path_string_expression] = STATE(1349),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1349),
    [sym__equality_operator] = STATE(1349),
    [sym__comparison_operator] = STATE(1349),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1349),
    [sym__multiplicative_operator] = STATE(1349),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym_statements] = STATE(7766),
    [sym__local_statement] = STATE(5953),
    [sym__labeled_statement] = STATE(5953),
    [sym_for_statement] = STATE(5953),
    [sym_while_statement] = STATE(5953),
    [sym_repeat_while_statement] = STATE(5953),
    [sym_control_transfer_statement] = STATE(5953),
    [sym__throw_statement] = STATE(6577),
    [sym__optionally_valueful_control_keyword] = STATE(283),
    [sym_assignment] = STATE(1349),
    [sym_value_parameter_pack] = STATE(1349),
    [sym_value_pack_expansion] = STATE(1349),
    [sym__local_declaration] = STATE(5953),
    [sym__local_property_declaration] = STATE(6579),
    [sym__local_typealias_declaration] = STATE(6581),
    [sym__local_function_declaration] = STATE(6582),
    [sym__local_class_declaration] = STATE(6584),
    [sym__modifierless_property_declaration] = STATE(6589),
    [sym__modifierless_typealias_declaration] = STATE(6601),
    [sym__modifierless_function_declaration] = STATE(6604),
    [sym__modifierless_function_declaration_no_body] = STATE(6607),
    [sym__modifierless_class_declaration] = STATE(6613),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__referenceable_operator] = STATE(1349),
    [sym__equal_sign] = STATE(1349),
    [sym__eq_eq] = STATE(1349),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__async_modifier] = STATE(6632),
    [sym_attribute] = STATE(4189),
    [sym_value_binding_pattern] = STATE(3973),
    [sym__possibly_async_binding_pattern_kind] = STATE(3973),
    [aux_sym__locally_permitted_modifiers] = STATE(4189),
    [sym__locally_permitted_modifier] = STATE(4189),
    [sym_property_behavior_modifier] = STATE(4189),
    [sym_inheritance_modifier] = STATE(4189),
    [sym_ownership_modifier] = STATE(4189),
    [sym__parameter_ownership_modifier] = STATE(2115),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(11),
    [aux_sym_simple_identifier_token2] = ACTIONS(13),
    [aux_sym_simple_identifier_token3] = ACTIONS(13),
    [aux_sym_simple_identifier_token4] = ACTIONS(13),
    [anon_sym_actor] = ACTIONS(15),
    [anon_sym_async] = ACTIONS(17),
    [anon_sym_each] = ACTIONS(19),
    [anon_sym_lazy] = ACTIONS(393),
    [anon_sym_repeat] = ACTIONS(23),
    [anon_sym_package] = ACTIONS(11),
    [anon_sym_nil] = ACTIONS(153),
    [sym_real_literal] = ACTIONS(155),
    [sym_integer_literal] = ACTIONS(153),
    [sym_hex_literal] = ACTIONS(155),
    [sym_oct_literal] = ACTIONS(155),
    [sym_bin_literal] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(153),
    [anon_sym_POUNDfileID] = ACTIONS(155),
    [anon_sym_POUNDfilePath] = ACTIONS(155),
    [anon_sym_POUNDline] = ACTIONS(155),
    [anon_sym_POUNDcolumn] = ACTIONS(155),
    [anon_sym_POUNDfunction] = ACTIONS(155),
    [anon_sym_POUNDdsohandle] = ACTIONS(155),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_RBRACE] = ACTIONS(597),
    [anon_sym_self] = ACTIONS(65),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_guard] = ACTIONS(69),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(153),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(153),
    [anon_sym_PERCENT] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(155),
    [anon_sym_CARET] = ACTIONS(153),
    [anon_sym_LT_LT] = ACTIONS(155),
    [anon_sym_GT_GT] = ACTIONS(155),
    [sym_statement_label] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [sym_throw_keyword] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(159),
    [anon_sym_continue] = ACTIONS(159),
    [anon_sym_break] = ACTIONS(159),
    [anon_sym_yield] = ACTIONS(159),
    [anon_sym_typealias] = ACTIONS(93),
    [anon_sym_struct] = ACTIONS(95),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_enum] = ACTIONS(99),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_func] = ACTIONS(105),
    [anon_sym_extension] = ACTIONS(109),
    [anon_sym_indirect] = ACTIONS(111),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_AT] = ACTIONS(395),
    [anon_sym_final] = ACTIONS(397),
    [anon_sym_weak] = ACTIONS(399),
    [anon_sym_unowned] = ACTIONS(399),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(401),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(401),
    [anon_sym_borrowing] = ACTIONS(11),
    [anon_sym_consuming] = ACTIONS(11),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(155),
    [sym__eq_eq_custom] = ACTIONS(155),
    [sym__plus_then_ws] = ACTIONS(155),
    [sym__minus_then_ws] = ACTIONS(155),
    [sym__bang_custom] = ACTIONS(151),
    [sym__custom_operator] = ACTIONS(57),
  },
  [93] = {
    [sym_simple_identifier] = STATE(2276),
    [sym__contextual_simple_identifier] = STATE(2115),
    [sym__basic_literal] = STATE(1349),
    [sym_boolean_literal] = STATE(1349),
    [sym__string_literal] = STATE(1349),
    [sym_line_string_literal] = STATE(1349),
    [sym_multi_line_string_literal] = STATE(1349),
    [sym_raw_string_literal] = STATE(1349),
    [sym_regex_literal] = STATE(1349),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1349),
    [sym__unary_expression] = STATE(1349),
    [sym_postfix_expression] = STATE(1349),
    [sym_constructor_expression] = STATE(1349),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1349),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1349),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1349),
    [sym_prefix_expression] = STATE(1349),
    [sym_as_expression] = STATE(1349),
    [sym_selector_expression] = STATE(1349),
    [sym__binary_expression] = STATE(1349),
    [sym_multiplicative_expression] = STATE(1349),
    [sym_additive_expression] = STATE(1349),
    [sym_range_expression] = STATE(1349),
    [sym_infix_expression] = STATE(1349),
    [sym_nil_coalescing_expression] = STATE(1349),
    [sym_check_expression] = STATE(1349),
    [sym_comparison_expression] = STATE(1349),
    [sym_equality_expression] = STATE(1349),
    [sym_conjunction_expression] = STATE(1349),
    [sym_disjunction_expression] = STATE(1349),
    [sym_bitwise_operation] = STATE(1349),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1349),
    [sym_await_expression] = STATE(1349),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1349),
    [sym_call_expression] = STATE(1349),
    [sym__primary_expression] = STATE(1349),
    [sym_tuple_expression] = STATE(1349),
    [sym_array_literal] = STATE(1349),
    [sym_dictionary_literal] = STATE(1349),
    [sym__special_literal] = STATE(1349),
    [sym__playground_literal] = STATE(1349),
    [sym_lambda_literal] = STATE(1349),
    [sym_self_expression] = STATE(1349),
    [sym_super_expression] = STATE(1349),
    [sym_if_statement] = STATE(2559),
    [sym_guard_statement] = STATE(5953),
    [sym_switch_statement] = STATE(2559),
    [sym_do_statement] = STATE(5953),
    [sym_key_path_expression] = STATE(1349),
    [sym_key_path_string_expression] = STATE(1349),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1349),
    [sym__equality_operator] = STATE(1349),
    [sym__comparison_operator] = STATE(1349),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1349),
    [sym__multiplicative_operator] = STATE(1349),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym_statements] = STATE(7741),
    [sym__local_statement] = STATE(5953),
    [sym__labeled_statement] = STATE(5953),
    [sym_for_statement] = STATE(5953),
    [sym_while_statement] = STATE(5953),
    [sym_repeat_while_statement] = STATE(5953),
    [sym_control_transfer_statement] = STATE(5953),
    [sym__throw_statement] = STATE(6577),
    [sym__optionally_valueful_control_keyword] = STATE(283),
    [sym_assignment] = STATE(1349),
    [sym_value_parameter_pack] = STATE(1349),
    [sym_value_pack_expansion] = STATE(1349),
    [sym__local_declaration] = STATE(5953),
    [sym__local_property_declaration] = STATE(6579),
    [sym__local_typealias_declaration] = STATE(6581),
    [sym__local_function_declaration] = STATE(6582),
    [sym__local_class_declaration] = STATE(6584),
    [sym__modifierless_property_declaration] = STATE(6589),
    [sym__modifierless_typealias_declaration] = STATE(6601),
    [sym__modifierless_function_declaration] = STATE(6604),
    [sym__modifierless_function_declaration_no_body] = STATE(6607),
    [sym__modifierless_class_declaration] = STATE(6613),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__referenceable_operator] = STATE(1349),
    [sym__equal_sign] = STATE(1349),
    [sym__eq_eq] = STATE(1349),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__async_modifier] = STATE(6632),
    [sym_attribute] = STATE(4189),
    [sym_value_binding_pattern] = STATE(3973),
    [sym__possibly_async_binding_pattern_kind] = STATE(3973),
    [aux_sym__locally_permitted_modifiers] = STATE(4189),
    [sym__locally_permitted_modifier] = STATE(4189),
    [sym_property_behavior_modifier] = STATE(4189),
    [sym_inheritance_modifier] = STATE(4189),
    [sym_ownership_modifier] = STATE(4189),
    [sym__parameter_ownership_modifier] = STATE(2115),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(11),
    [aux_sym_simple_identifier_token2] = ACTIONS(13),
    [aux_sym_simple_identifier_token3] = ACTIONS(13),
    [aux_sym_simple_identifier_token4] = ACTIONS(13),
    [anon_sym_actor] = ACTIONS(15),
    [anon_sym_async] = ACTIONS(17),
    [anon_sym_each] = ACTIONS(19),
    [anon_sym_lazy] = ACTIONS(393),
    [anon_sym_repeat] = ACTIONS(23),
    [anon_sym_package] = ACTIONS(11),
    [anon_sym_nil] = ACTIONS(153),
    [sym_real_literal] = ACTIONS(155),
    [sym_integer_literal] = ACTIONS(153),
    [sym_hex_literal] = ACTIONS(155),
    [sym_oct_literal] = ACTIONS(155),
    [sym_bin_literal] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(153),
    [anon_sym_POUNDfileID] = ACTIONS(155),
    [anon_sym_POUNDfilePath] = ACTIONS(155),
    [anon_sym_POUNDline] = ACTIONS(155),
    [anon_sym_POUNDcolumn] = ACTIONS(155),
    [anon_sym_POUNDfunction] = ACTIONS(155),
    [anon_sym_POUNDdsohandle] = ACTIONS(155),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_RBRACE] = ACTIONS(599),
    [anon_sym_self] = ACTIONS(65),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_guard] = ACTIONS(69),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(153),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(153),
    [anon_sym_PERCENT] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(155),
    [anon_sym_CARET] = ACTIONS(153),
    [anon_sym_LT_LT] = ACTIONS(155),
    [anon_sym_GT_GT] = ACTIONS(155),
    [sym_statement_label] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [sym_throw_keyword] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(159),
    [anon_sym_continue] = ACTIONS(159),
    [anon_sym_break] = ACTIONS(159),
    [anon_sym_yield] = ACTIONS(159),
    [anon_sym_typealias] = ACTIONS(93),
    [anon_sym_struct] = ACTIONS(95),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_enum] = ACTIONS(99),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_func] = ACTIONS(105),
    [anon_sym_extension] = ACTIONS(109),
    [anon_sym_indirect] = ACTIONS(111),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_AT] = ACTIONS(395),
    [anon_sym_final] = ACTIONS(397),
    [anon_sym_weak] = ACTIONS(399),
    [anon_sym_unowned] = ACTIONS(399),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(401),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(401),
    [anon_sym_borrowing] = ACTIONS(11),
    [anon_sym_consuming] = ACTIONS(11),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(155),
    [sym__eq_eq_custom] = ACTIONS(155),
    [sym__plus_then_ws] = ACTIONS(155),
    [sym__minus_then_ws] = ACTIONS(155),
    [sym__bang_custom] = ACTIONS(151),
    [sym__custom_operator] = ACTIONS(57),
  },
  [94] = {
    [sym_simple_identifier] = STATE(2276),
    [sym__contextual_simple_identifier] = STATE(2115),
    [sym__basic_literal] = STATE(1349),
    [sym_boolean_literal] = STATE(1349),
    [sym__string_literal] = STATE(1349),
    [sym_line_string_literal] = STATE(1349),
    [sym_multi_line_string_literal] = STATE(1349),
    [sym_raw_string_literal] = STATE(1349),
    [sym_regex_literal] = STATE(1349),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1349),
    [sym__unary_expression] = STATE(1349),
    [sym_postfix_expression] = STATE(1349),
    [sym_constructor_expression] = STATE(1349),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1349),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1349),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1349),
    [sym_prefix_expression] = STATE(1349),
    [sym_as_expression] = STATE(1349),
    [sym_selector_expression] = STATE(1349),
    [sym__binary_expression] = STATE(1349),
    [sym_multiplicative_expression] = STATE(1349),
    [sym_additive_expression] = STATE(1349),
    [sym_range_expression] = STATE(1349),
    [sym_infix_expression] = STATE(1349),
    [sym_nil_coalescing_expression] = STATE(1349),
    [sym_check_expression] = STATE(1349),
    [sym_comparison_expression] = STATE(1349),
    [sym_equality_expression] = STATE(1349),
    [sym_conjunction_expression] = STATE(1349),
    [sym_disjunction_expression] = STATE(1349),
    [sym_bitwise_operation] = STATE(1349),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1349),
    [sym_await_expression] = STATE(1349),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1349),
    [sym_call_expression] = STATE(1349),
    [sym__primary_expression] = STATE(1349),
    [sym_tuple_expression] = STATE(1349),
    [sym_array_literal] = STATE(1349),
    [sym_dictionary_literal] = STATE(1349),
    [sym__special_literal] = STATE(1349),
    [sym__playground_literal] = STATE(1349),
    [sym_lambda_literal] = STATE(1349),
    [sym_self_expression] = STATE(1349),
    [sym_super_expression] = STATE(1349),
    [sym_if_statement] = STATE(2559),
    [sym_guard_statement] = STATE(5953),
    [sym_switch_statement] = STATE(2559),
    [sym_do_statement] = STATE(5953),
    [sym_key_path_expression] = STATE(1349),
    [sym_key_path_string_expression] = STATE(1349),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1349),
    [sym__equality_operator] = STATE(1349),
    [sym__comparison_operator] = STATE(1349),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1349),
    [sym__multiplicative_operator] = STATE(1349),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym_statements] = STATE(7709),
    [sym__local_statement] = STATE(5953),
    [sym__labeled_statement] = STATE(5953),
    [sym_for_statement] = STATE(5953),
    [sym_while_statement] = STATE(5953),
    [sym_repeat_while_statement] = STATE(5953),
    [sym_control_transfer_statement] = STATE(5953),
    [sym__throw_statement] = STATE(6577),
    [sym__optionally_valueful_control_keyword] = STATE(283),
    [sym_assignment] = STATE(1349),
    [sym_value_parameter_pack] = STATE(1349),
    [sym_value_pack_expansion] = STATE(1349),
    [sym__local_declaration] = STATE(5953),
    [sym__local_property_declaration] = STATE(6579),
    [sym__local_typealias_declaration] = STATE(6581),
    [sym__local_function_declaration] = STATE(6582),
    [sym__local_class_declaration] = STATE(6584),
    [sym__modifierless_property_declaration] = STATE(6589),
    [sym__modifierless_typealias_declaration] = STATE(6601),
    [sym__modifierless_function_declaration] = STATE(6604),
    [sym__modifierless_function_declaration_no_body] = STATE(6607),
    [sym__modifierless_class_declaration] = STATE(6613),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__referenceable_operator] = STATE(1349),
    [sym__equal_sign] = STATE(1349),
    [sym__eq_eq] = STATE(1349),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__async_modifier] = STATE(6632),
    [sym_attribute] = STATE(4189),
    [sym_value_binding_pattern] = STATE(3973),
    [sym__possibly_async_binding_pattern_kind] = STATE(3973),
    [aux_sym__locally_permitted_modifiers] = STATE(4189),
    [sym__locally_permitted_modifier] = STATE(4189),
    [sym_property_behavior_modifier] = STATE(4189),
    [sym_inheritance_modifier] = STATE(4189),
    [sym_ownership_modifier] = STATE(4189),
    [sym__parameter_ownership_modifier] = STATE(2115),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(11),
    [aux_sym_simple_identifier_token2] = ACTIONS(13),
    [aux_sym_simple_identifier_token3] = ACTIONS(13),
    [aux_sym_simple_identifier_token4] = ACTIONS(13),
    [anon_sym_actor] = ACTIONS(15),
    [anon_sym_async] = ACTIONS(17),
    [anon_sym_each] = ACTIONS(19),
    [anon_sym_lazy] = ACTIONS(393),
    [anon_sym_repeat] = ACTIONS(23),
    [anon_sym_package] = ACTIONS(11),
    [anon_sym_nil] = ACTIONS(153),
    [sym_real_literal] = ACTIONS(155),
    [sym_integer_literal] = ACTIONS(153),
    [sym_hex_literal] = ACTIONS(155),
    [sym_oct_literal] = ACTIONS(155),
    [sym_bin_literal] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(153),
    [anon_sym_POUNDfileID] = ACTIONS(155),
    [anon_sym_POUNDfilePath] = ACTIONS(155),
    [anon_sym_POUNDline] = ACTIONS(155),
    [anon_sym_POUNDcolumn] = ACTIONS(155),
    [anon_sym_POUNDfunction] = ACTIONS(155),
    [anon_sym_POUNDdsohandle] = ACTIONS(155),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_RBRACE] = ACTIONS(601),
    [anon_sym_self] = ACTIONS(65),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_guard] = ACTIONS(69),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(153),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(153),
    [anon_sym_PERCENT] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(155),
    [anon_sym_CARET] = ACTIONS(153),
    [anon_sym_LT_LT] = ACTIONS(155),
    [anon_sym_GT_GT] = ACTIONS(155),
    [sym_statement_label] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [sym_throw_keyword] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(159),
    [anon_sym_continue] = ACTIONS(159),
    [anon_sym_break] = ACTIONS(159),
    [anon_sym_yield] = ACTIONS(159),
    [anon_sym_typealias] = ACTIONS(93),
    [anon_sym_struct] = ACTIONS(95),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_enum] = ACTIONS(99),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_func] = ACTIONS(105),
    [anon_sym_extension] = ACTIONS(109),
    [anon_sym_indirect] = ACTIONS(111),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_AT] = ACTIONS(395),
    [anon_sym_final] = ACTIONS(397),
    [anon_sym_weak] = ACTIONS(399),
    [anon_sym_unowned] = ACTIONS(399),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(401),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(401),
    [anon_sym_borrowing] = ACTIONS(11),
    [anon_sym_consuming] = ACTIONS(11),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(155),
    [sym__eq_eq_custom] = ACTIONS(155),
    [sym__plus_then_ws] = ACTIONS(155),
    [sym__minus_then_ws] = ACTIONS(155),
    [sym__bang_custom] = ACTIONS(151),
    [sym__custom_operator] = ACTIONS(57),
  },
  [95] = {
    [sym_simple_identifier] = STATE(2276),
    [sym__contextual_simple_identifier] = STATE(2115),
    [sym__basic_literal] = STATE(1349),
    [sym_boolean_literal] = STATE(1349),
    [sym__string_literal] = STATE(1349),
    [sym_line_string_literal] = STATE(1349),
    [sym_multi_line_string_literal] = STATE(1349),
    [sym_raw_string_literal] = STATE(1349),
    [sym_regex_literal] = STATE(1349),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1349),
    [sym__unary_expression] = STATE(1349),
    [sym_postfix_expression] = STATE(1349),
    [sym_constructor_expression] = STATE(1349),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1349),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1349),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1349),
    [sym_prefix_expression] = STATE(1349),
    [sym_as_expression] = STATE(1349),
    [sym_selector_expression] = STATE(1349),
    [sym__binary_expression] = STATE(1349),
    [sym_multiplicative_expression] = STATE(1349),
    [sym_additive_expression] = STATE(1349),
    [sym_range_expression] = STATE(1349),
    [sym_infix_expression] = STATE(1349),
    [sym_nil_coalescing_expression] = STATE(1349),
    [sym_check_expression] = STATE(1349),
    [sym_comparison_expression] = STATE(1349),
    [sym_equality_expression] = STATE(1349),
    [sym_conjunction_expression] = STATE(1349),
    [sym_disjunction_expression] = STATE(1349),
    [sym_bitwise_operation] = STATE(1349),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1349),
    [sym_await_expression] = STATE(1349),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1349),
    [sym_call_expression] = STATE(1349),
    [sym__primary_expression] = STATE(1349),
    [sym_tuple_expression] = STATE(1349),
    [sym_array_literal] = STATE(1349),
    [sym_dictionary_literal] = STATE(1349),
    [sym__special_literal] = STATE(1349),
    [sym__playground_literal] = STATE(1349),
    [sym_lambda_literal] = STATE(1349),
    [sym_self_expression] = STATE(1349),
    [sym_super_expression] = STATE(1349),
    [sym_if_statement] = STATE(2559),
    [sym_guard_statement] = STATE(5953),
    [sym_switch_statement] = STATE(2559),
    [sym_do_statement] = STATE(5953),
    [sym_key_path_expression] = STATE(1349),
    [sym_key_path_string_expression] = STATE(1349),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1349),
    [sym__equality_operator] = STATE(1349),
    [sym__comparison_operator] = STATE(1349),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1349),
    [sym__multiplicative_operator] = STATE(1349),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym_statements] = STATE(7816),
    [sym__local_statement] = STATE(5953),
    [sym__labeled_statement] = STATE(5953),
    [sym_for_statement] = STATE(5953),
    [sym_while_statement] = STATE(5953),
    [sym_repeat_while_statement] = STATE(5953),
    [sym_control_transfer_statement] = STATE(5953),
    [sym__throw_statement] = STATE(6577),
    [sym__optionally_valueful_control_keyword] = STATE(283),
    [sym_assignment] = STATE(1349),
    [sym_value_parameter_pack] = STATE(1349),
    [sym_value_pack_expansion] = STATE(1349),
    [sym__local_declaration] = STATE(5953),
    [sym__local_property_declaration] = STATE(6579),
    [sym__local_typealias_declaration] = STATE(6581),
    [sym__local_function_declaration] = STATE(6582),
    [sym__local_class_declaration] = STATE(6584),
    [sym__modifierless_property_declaration] = STATE(6589),
    [sym__modifierless_typealias_declaration] = STATE(6601),
    [sym__modifierless_function_declaration] = STATE(6604),
    [sym__modifierless_function_declaration_no_body] = STATE(6607),
    [sym__modifierless_class_declaration] = STATE(6613),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__referenceable_operator] = STATE(1349),
    [sym__equal_sign] = STATE(1349),
    [sym__eq_eq] = STATE(1349),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__async_modifier] = STATE(6632),
    [sym_attribute] = STATE(4189),
    [sym_value_binding_pattern] = STATE(3973),
    [sym__possibly_async_binding_pattern_kind] = STATE(3973),
    [aux_sym__locally_permitted_modifiers] = STATE(4189),
    [sym__locally_permitted_modifier] = STATE(4189),
    [sym_property_behavior_modifier] = STATE(4189),
    [sym_inheritance_modifier] = STATE(4189),
    [sym_ownership_modifier] = STATE(4189),
    [sym__parameter_ownership_modifier] = STATE(2115),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(11),
    [aux_sym_simple_identifier_token2] = ACTIONS(13),
    [aux_sym_simple_identifier_token3] = ACTIONS(13),
    [aux_sym_simple_identifier_token4] = ACTIONS(13),
    [anon_sym_actor] = ACTIONS(15),
    [anon_sym_async] = ACTIONS(17),
    [anon_sym_each] = ACTIONS(19),
    [anon_sym_lazy] = ACTIONS(393),
    [anon_sym_repeat] = ACTIONS(23),
    [anon_sym_package] = ACTIONS(11),
    [anon_sym_nil] = ACTIONS(153),
    [sym_real_literal] = ACTIONS(155),
    [sym_integer_literal] = ACTIONS(153),
    [sym_hex_literal] = ACTIONS(155),
    [sym_oct_literal] = ACTIONS(155),
    [sym_bin_literal] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(153),
    [anon_sym_POUNDfileID] = ACTIONS(155),
    [anon_sym_POUNDfilePath] = ACTIONS(155),
    [anon_sym_POUNDline] = ACTIONS(155),
    [anon_sym_POUNDcolumn] = ACTIONS(155),
    [anon_sym_POUNDfunction] = ACTIONS(155),
    [anon_sym_POUNDdsohandle] = ACTIONS(155),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_RBRACE] = ACTIONS(603),
    [anon_sym_self] = ACTIONS(65),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_guard] = ACTIONS(69),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(153),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(153),
    [anon_sym_PERCENT] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(155),
    [anon_sym_CARET] = ACTIONS(153),
    [anon_sym_LT_LT] = ACTIONS(155),
    [anon_sym_GT_GT] = ACTIONS(155),
    [sym_statement_label] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [sym_throw_keyword] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(159),
    [anon_sym_continue] = ACTIONS(159),
    [anon_sym_break] = ACTIONS(159),
    [anon_sym_yield] = ACTIONS(159),
    [anon_sym_typealias] = ACTIONS(93),
    [anon_sym_struct] = ACTIONS(95),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_enum] = ACTIONS(99),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_func] = ACTIONS(105),
    [anon_sym_extension] = ACTIONS(109),
    [anon_sym_indirect] = ACTIONS(111),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_AT] = ACTIONS(395),
    [anon_sym_final] = ACTIONS(397),
    [anon_sym_weak] = ACTIONS(399),
    [anon_sym_unowned] = ACTIONS(399),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(401),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(401),
    [anon_sym_borrowing] = ACTIONS(11),
    [anon_sym_consuming] = ACTIONS(11),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(155),
    [sym__eq_eq_custom] = ACTIONS(155),
    [sym__plus_then_ws] = ACTIONS(155),
    [sym__minus_then_ws] = ACTIONS(155),
    [sym__bang_custom] = ACTIONS(151),
    [sym__custom_operator] = ACTIONS(57),
  },
  [96] = {
    [sym_simple_identifier] = STATE(2276),
    [sym__contextual_simple_identifier] = STATE(2115),
    [sym__basic_literal] = STATE(1349),
    [sym_boolean_literal] = STATE(1349),
    [sym__string_literal] = STATE(1349),
    [sym_line_string_literal] = STATE(1349),
    [sym_multi_line_string_literal] = STATE(1349),
    [sym_raw_string_literal] = STATE(1349),
    [sym_regex_literal] = STATE(1349),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1349),
    [sym__unary_expression] = STATE(1349),
    [sym_postfix_expression] = STATE(1349),
    [sym_constructor_expression] = STATE(1349),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1349),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1349),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1349),
    [sym_prefix_expression] = STATE(1349),
    [sym_as_expression] = STATE(1349),
    [sym_selector_expression] = STATE(1349),
    [sym__binary_expression] = STATE(1349),
    [sym_multiplicative_expression] = STATE(1349),
    [sym_additive_expression] = STATE(1349),
    [sym_range_expression] = STATE(1349),
    [sym_infix_expression] = STATE(1349),
    [sym_nil_coalescing_expression] = STATE(1349),
    [sym_check_expression] = STATE(1349),
    [sym_comparison_expression] = STATE(1349),
    [sym_equality_expression] = STATE(1349),
    [sym_conjunction_expression] = STATE(1349),
    [sym_disjunction_expression] = STATE(1349),
    [sym_bitwise_operation] = STATE(1349),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1349),
    [sym_await_expression] = STATE(1349),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1349),
    [sym_call_expression] = STATE(1349),
    [sym__primary_expression] = STATE(1349),
    [sym_tuple_expression] = STATE(1349),
    [sym_array_literal] = STATE(1349),
    [sym_dictionary_literal] = STATE(1349),
    [sym__special_literal] = STATE(1349),
    [sym__playground_literal] = STATE(1349),
    [sym_lambda_literal] = STATE(1349),
    [sym_self_expression] = STATE(1349),
    [sym_super_expression] = STATE(1349),
    [sym_if_statement] = STATE(2559),
    [sym_guard_statement] = STATE(5953),
    [sym_switch_statement] = STATE(2559),
    [sym_do_statement] = STATE(5953),
    [sym_key_path_expression] = STATE(1349),
    [sym_key_path_string_expression] = STATE(1349),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1349),
    [sym__equality_operator] = STATE(1349),
    [sym__comparison_operator] = STATE(1349),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1349),
    [sym__multiplicative_operator] = STATE(1349),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym_statements] = STATE(7693),
    [sym__local_statement] = STATE(5953),
    [sym__labeled_statement] = STATE(5953),
    [sym_for_statement] = STATE(5953),
    [sym_while_statement] = STATE(5953),
    [sym_repeat_while_statement] = STATE(5953),
    [sym_control_transfer_statement] = STATE(5953),
    [sym__throw_statement] = STATE(6577),
    [sym__optionally_valueful_control_keyword] = STATE(283),
    [sym_assignment] = STATE(1349),
    [sym_value_parameter_pack] = STATE(1349),
    [sym_value_pack_expansion] = STATE(1349),
    [sym__local_declaration] = STATE(5953),
    [sym__local_property_declaration] = STATE(6579),
    [sym__local_typealias_declaration] = STATE(6581),
    [sym__local_function_declaration] = STATE(6582),
    [sym__local_class_declaration] = STATE(6584),
    [sym__modifierless_property_declaration] = STATE(6589),
    [sym__modifierless_typealias_declaration] = STATE(6601),
    [sym__modifierless_function_declaration] = STATE(6604),
    [sym__modifierless_function_declaration_no_body] = STATE(6607),
    [sym__modifierless_class_declaration] = STATE(6613),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__referenceable_operator] = STATE(1349),
    [sym__equal_sign] = STATE(1349),
    [sym__eq_eq] = STATE(1349),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__async_modifier] = STATE(6632),
    [sym_attribute] = STATE(4189),
    [sym_value_binding_pattern] = STATE(3973),
    [sym__possibly_async_binding_pattern_kind] = STATE(3973),
    [aux_sym__locally_permitted_modifiers] = STATE(4189),
    [sym__locally_permitted_modifier] = STATE(4189),
    [sym_property_behavior_modifier] = STATE(4189),
    [sym_inheritance_modifier] = STATE(4189),
    [sym_ownership_modifier] = STATE(4189),
    [sym__parameter_ownership_modifier] = STATE(2115),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(11),
    [aux_sym_simple_identifier_token2] = ACTIONS(13),
    [aux_sym_simple_identifier_token3] = ACTIONS(13),
    [aux_sym_simple_identifier_token4] = ACTIONS(13),
    [anon_sym_actor] = ACTIONS(15),
    [anon_sym_async] = ACTIONS(17),
    [anon_sym_each] = ACTIONS(19),
    [anon_sym_lazy] = ACTIONS(393),
    [anon_sym_repeat] = ACTIONS(23),
    [anon_sym_package] = ACTIONS(11),
    [anon_sym_nil] = ACTIONS(153),
    [sym_real_literal] = ACTIONS(155),
    [sym_integer_literal] = ACTIONS(153),
    [sym_hex_literal] = ACTIONS(155),
    [sym_oct_literal] = ACTIONS(155),
    [sym_bin_literal] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(153),
    [anon_sym_POUNDfileID] = ACTIONS(155),
    [anon_sym_POUNDfilePath] = ACTIONS(155),
    [anon_sym_POUNDline] = ACTIONS(155),
    [anon_sym_POUNDcolumn] = ACTIONS(155),
    [anon_sym_POUNDfunction] = ACTIONS(155),
    [anon_sym_POUNDdsohandle] = ACTIONS(155),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_RBRACE] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(65),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_guard] = ACTIONS(69),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(153),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(153),
    [anon_sym_PERCENT] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(155),
    [anon_sym_CARET] = ACTIONS(153),
    [anon_sym_LT_LT] = ACTIONS(155),
    [anon_sym_GT_GT] = ACTIONS(155),
    [sym_statement_label] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [sym_throw_keyword] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(159),
    [anon_sym_continue] = ACTIONS(159),
    [anon_sym_break] = ACTIONS(159),
    [anon_sym_yield] = ACTIONS(159),
    [anon_sym_typealias] = ACTIONS(93),
    [anon_sym_struct] = ACTIONS(95),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_enum] = ACTIONS(99),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_func] = ACTIONS(105),
    [anon_sym_extension] = ACTIONS(109),
    [anon_sym_indirect] = ACTIONS(111),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_AT] = ACTIONS(395),
    [anon_sym_final] = ACTIONS(397),
    [anon_sym_weak] = ACTIONS(399),
    [anon_sym_unowned] = ACTIONS(399),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(401),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(401),
    [anon_sym_borrowing] = ACTIONS(11),
    [anon_sym_consuming] = ACTIONS(11),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(155),
    [sym__eq_eq_custom] = ACTIONS(155),
    [sym__plus_then_ws] = ACTIONS(155),
    [sym__minus_then_ws] = ACTIONS(155),
    [sym__bang_custom] = ACTIONS(151),
    [sym__custom_operator] = ACTIONS(57),
  },
  [97] = {
    [sym_simple_identifier] = STATE(2276),
    [sym__contextual_simple_identifier] = STATE(2115),
    [sym__basic_literal] = STATE(1349),
    [sym_boolean_literal] = STATE(1349),
    [sym__string_literal] = STATE(1349),
    [sym_line_string_literal] = STATE(1349),
    [sym_multi_line_string_literal] = STATE(1349),
    [sym_raw_string_literal] = STATE(1349),
    [sym_regex_literal] = STATE(1349),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1349),
    [sym__unary_expression] = STATE(1349),
    [sym_postfix_expression] = STATE(1349),
    [sym_constructor_expression] = STATE(1349),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1349),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1349),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1349),
    [sym_prefix_expression] = STATE(1349),
    [sym_as_expression] = STATE(1349),
    [sym_selector_expression] = STATE(1349),
    [sym__binary_expression] = STATE(1349),
    [sym_multiplicative_expression] = STATE(1349),
    [sym_additive_expression] = STATE(1349),
    [sym_range_expression] = STATE(1349),
    [sym_infix_expression] = STATE(1349),
    [sym_nil_coalescing_expression] = STATE(1349),
    [sym_check_expression] = STATE(1349),
    [sym_comparison_expression] = STATE(1349),
    [sym_equality_expression] = STATE(1349),
    [sym_conjunction_expression] = STATE(1349),
    [sym_disjunction_expression] = STATE(1349),
    [sym_bitwise_operation] = STATE(1349),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1349),
    [sym_await_expression] = STATE(1349),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1349),
    [sym_call_expression] = STATE(1349),
    [sym__primary_expression] = STATE(1349),
    [sym_tuple_expression] = STATE(1349),
    [sym_array_literal] = STATE(1349),
    [sym_dictionary_literal] = STATE(1349),
    [sym__special_literal] = STATE(1349),
    [sym__playground_literal] = STATE(1349),
    [sym_lambda_literal] = STATE(1349),
    [sym_self_expression] = STATE(1349),
    [sym_super_expression] = STATE(1349),
    [sym_if_statement] = STATE(2559),
    [sym_guard_statement] = STATE(5953),
    [sym_switch_statement] = STATE(2559),
    [sym_do_statement] = STATE(5953),
    [sym_key_path_expression] = STATE(1349),
    [sym_key_path_string_expression] = STATE(1349),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1349),
    [sym__equality_operator] = STATE(1349),
    [sym__comparison_operator] = STATE(1349),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1349),
    [sym__multiplicative_operator] = STATE(1349),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym_statements] = STATE(7764),
    [sym__local_statement] = STATE(5953),
    [sym__labeled_statement] = STATE(5953),
    [sym_for_statement] = STATE(5953),
    [sym_while_statement] = STATE(5953),
    [sym_repeat_while_statement] = STATE(5953),
    [sym_control_transfer_statement] = STATE(5953),
    [sym__throw_statement] = STATE(6577),
    [sym__optionally_valueful_control_keyword] = STATE(283),
    [sym_assignment] = STATE(1349),
    [sym_value_parameter_pack] = STATE(1349),
    [sym_value_pack_expansion] = STATE(1349),
    [sym__local_declaration] = STATE(5953),
    [sym__local_property_declaration] = STATE(6579),
    [sym__local_typealias_declaration] = STATE(6581),
    [sym__local_function_declaration] = STATE(6582),
    [sym__local_class_declaration] = STATE(6584),
    [sym__modifierless_property_declaration] = STATE(6589),
    [sym__modifierless_typealias_declaration] = STATE(6601),
    [sym__modifierless_function_declaration] = STATE(6604),
    [sym__modifierless_function_declaration_no_body] = STATE(6607),
    [sym__modifierless_class_declaration] = STATE(6613),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__referenceable_operator] = STATE(1349),
    [sym__equal_sign] = STATE(1349),
    [sym__eq_eq] = STATE(1349),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__async_modifier] = STATE(6632),
    [sym_attribute] = STATE(4189),
    [sym_value_binding_pattern] = STATE(3973),
    [sym__possibly_async_binding_pattern_kind] = STATE(3973),
    [aux_sym__locally_permitted_modifiers] = STATE(4189),
    [sym__locally_permitted_modifier] = STATE(4189),
    [sym_property_behavior_modifier] = STATE(4189),
    [sym_inheritance_modifier] = STATE(4189),
    [sym_ownership_modifier] = STATE(4189),
    [sym__parameter_ownership_modifier] = STATE(2115),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(11),
    [aux_sym_simple_identifier_token2] = ACTIONS(13),
    [aux_sym_simple_identifier_token3] = ACTIONS(13),
    [aux_sym_simple_identifier_token4] = ACTIONS(13),
    [anon_sym_actor] = ACTIONS(15),
    [anon_sym_async] = ACTIONS(17),
    [anon_sym_each] = ACTIONS(19),
    [anon_sym_lazy] = ACTIONS(393),
    [anon_sym_repeat] = ACTIONS(23),
    [anon_sym_package] = ACTIONS(11),
    [anon_sym_nil] = ACTIONS(153),
    [sym_real_literal] = ACTIONS(155),
    [sym_integer_literal] = ACTIONS(153),
    [sym_hex_literal] = ACTIONS(155),
    [sym_oct_literal] = ACTIONS(155),
    [sym_bin_literal] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(153),
    [anon_sym_POUNDfileID] = ACTIONS(155),
    [anon_sym_POUNDfilePath] = ACTIONS(155),
    [anon_sym_POUNDline] = ACTIONS(155),
    [anon_sym_POUNDcolumn] = ACTIONS(155),
    [anon_sym_POUNDfunction] = ACTIONS(155),
    [anon_sym_POUNDdsohandle] = ACTIONS(155),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_RBRACE] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(65),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_guard] = ACTIONS(69),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(153),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(153),
    [anon_sym_PERCENT] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(155),
    [anon_sym_CARET] = ACTIONS(153),
    [anon_sym_LT_LT] = ACTIONS(155),
    [anon_sym_GT_GT] = ACTIONS(155),
    [sym_statement_label] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [sym_throw_keyword] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(159),
    [anon_sym_continue] = ACTIONS(159),
    [anon_sym_break] = ACTIONS(159),
    [anon_sym_yield] = ACTIONS(159),
    [anon_sym_typealias] = ACTIONS(93),
    [anon_sym_struct] = ACTIONS(95),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_enum] = ACTIONS(99),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_func] = ACTIONS(105),
    [anon_sym_extension] = ACTIONS(109),
    [anon_sym_indirect] = ACTIONS(111),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_AT] = ACTIONS(395),
    [anon_sym_final] = ACTIONS(397),
    [anon_sym_weak] = ACTIONS(399),
    [anon_sym_unowned] = ACTIONS(399),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(401),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(401),
    [anon_sym_borrowing] = ACTIONS(11),
    [anon_sym_consuming] = ACTIONS(11),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(155),
    [sym__eq_eq_custom] = ACTIONS(155),
    [sym__plus_then_ws] = ACTIONS(155),
    [sym__minus_then_ws] = ACTIONS(155),
    [sym__bang_custom] = ACTIONS(151),
    [sym__custom_operator] = ACTIONS(57),
  },
  [98] = {
    [sym_simple_identifier] = STATE(2276),
    [sym__contextual_simple_identifier] = STATE(2115),
    [sym__basic_literal] = STATE(1349),
    [sym_boolean_literal] = STATE(1349),
    [sym__string_literal] = STATE(1349),
    [sym_line_string_literal] = STATE(1349),
    [sym_multi_line_string_literal] = STATE(1349),
    [sym_raw_string_literal] = STATE(1349),
    [sym_regex_literal] = STATE(1349),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1349),
    [sym__unary_expression] = STATE(1349),
    [sym_postfix_expression] = STATE(1349),
    [sym_constructor_expression] = STATE(1349),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1349),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1349),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1349),
    [sym_prefix_expression] = STATE(1349),
    [sym_as_expression] = STATE(1349),
    [sym_selector_expression] = STATE(1349),
    [sym__binary_expression] = STATE(1349),
    [sym_multiplicative_expression] = STATE(1349),
    [sym_additive_expression] = STATE(1349),
    [sym_range_expression] = STATE(1349),
    [sym_infix_expression] = STATE(1349),
    [sym_nil_coalescing_expression] = STATE(1349),
    [sym_check_expression] = STATE(1349),
    [sym_comparison_expression] = STATE(1349),
    [sym_equality_expression] = STATE(1349),
    [sym_conjunction_expression] = STATE(1349),
    [sym_disjunction_expression] = STATE(1349),
    [sym_bitwise_operation] = STATE(1349),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1349),
    [sym_await_expression] = STATE(1349),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1349),
    [sym_call_expression] = STATE(1349),
    [sym__primary_expression] = STATE(1349),
    [sym_tuple_expression] = STATE(1349),
    [sym_array_literal] = STATE(1349),
    [sym_dictionary_literal] = STATE(1349),
    [sym__special_literal] = STATE(1349),
    [sym__playground_literal] = STATE(1349),
    [sym_lambda_literal] = STATE(1349),
    [sym_self_expression] = STATE(1349),
    [sym_super_expression] = STATE(1349),
    [sym_if_statement] = STATE(2559),
    [sym_guard_statement] = STATE(5953),
    [sym_switch_statement] = STATE(2559),
    [sym_do_statement] = STATE(5953),
    [sym_key_path_expression] = STATE(1349),
    [sym_key_path_string_expression] = STATE(1349),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1349),
    [sym__equality_operator] = STATE(1349),
    [sym__comparison_operator] = STATE(1349),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1349),
    [sym__multiplicative_operator] = STATE(1349),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym_statements] = STATE(7696),
    [sym__local_statement] = STATE(5953),
    [sym__labeled_statement] = STATE(5953),
    [sym_for_statement] = STATE(5953),
    [sym_while_statement] = STATE(5953),
    [sym_repeat_while_statement] = STATE(5953),
    [sym_control_transfer_statement] = STATE(5953),
    [sym__throw_statement] = STATE(6577),
    [sym__optionally_valueful_control_keyword] = STATE(283),
    [sym_assignment] = STATE(1349),
    [sym_value_parameter_pack] = STATE(1349),
    [sym_value_pack_expansion] = STATE(1349),
    [sym__local_declaration] = STATE(5953),
    [sym__local_property_declaration] = STATE(6579),
    [sym__local_typealias_declaration] = STATE(6581),
    [sym__local_function_declaration] = STATE(6582),
    [sym__local_class_declaration] = STATE(6584),
    [sym__modifierless_property_declaration] = STATE(6589),
    [sym__modifierless_typealias_declaration] = STATE(6601),
    [sym__modifierless_function_declaration] = STATE(6604),
    [sym__modifierless_function_declaration_no_body] = STATE(6607),
    [sym__modifierless_class_declaration] = STATE(6613),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__referenceable_operator] = STATE(1349),
    [sym__equal_sign] = STATE(1349),
    [sym__eq_eq] = STATE(1349),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__async_modifier] = STATE(6632),
    [sym_attribute] = STATE(4189),
    [sym_value_binding_pattern] = STATE(3973),
    [sym__possibly_async_binding_pattern_kind] = STATE(3973),
    [aux_sym__locally_permitted_modifiers] = STATE(4189),
    [sym__locally_permitted_modifier] = STATE(4189),
    [sym_property_behavior_modifier] = STATE(4189),
    [sym_inheritance_modifier] = STATE(4189),
    [sym_ownership_modifier] = STATE(4189),
    [sym__parameter_ownership_modifier] = STATE(2115),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(11),
    [aux_sym_simple_identifier_token2] = ACTIONS(13),
    [aux_sym_simple_identifier_token3] = ACTIONS(13),
    [aux_sym_simple_identifier_token4] = ACTIONS(13),
    [anon_sym_actor] = ACTIONS(15),
    [anon_sym_async] = ACTIONS(17),
    [anon_sym_each] = ACTIONS(19),
    [anon_sym_lazy] = ACTIONS(393),
    [anon_sym_repeat] = ACTIONS(23),
    [anon_sym_package] = ACTIONS(11),
    [anon_sym_nil] = ACTIONS(153),
    [sym_real_literal] = ACTIONS(155),
    [sym_integer_literal] = ACTIONS(153),
    [sym_hex_literal] = ACTIONS(155),
    [sym_oct_literal] = ACTIONS(155),
    [sym_bin_literal] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(153),
    [anon_sym_POUNDfileID] = ACTIONS(155),
    [anon_sym_POUNDfilePath] = ACTIONS(155),
    [anon_sym_POUNDline] = ACTIONS(155),
    [anon_sym_POUNDcolumn] = ACTIONS(155),
    [anon_sym_POUNDfunction] = ACTIONS(155),
    [anon_sym_POUNDdsohandle] = ACTIONS(155),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_RBRACE] = ACTIONS(609),
    [anon_sym_self] = ACTIONS(65),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_guard] = ACTIONS(69),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(153),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(153),
    [anon_sym_PERCENT] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(155),
    [anon_sym_CARET] = ACTIONS(153),
    [anon_sym_LT_LT] = ACTIONS(155),
    [anon_sym_GT_GT] = ACTIONS(155),
    [sym_statement_label] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [sym_throw_keyword] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(159),
    [anon_sym_continue] = ACTIONS(159),
    [anon_sym_break] = ACTIONS(159),
    [anon_sym_yield] = ACTIONS(159),
    [anon_sym_typealias] = ACTIONS(93),
    [anon_sym_struct] = ACTIONS(95),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_enum] = ACTIONS(99),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_func] = ACTIONS(105),
    [anon_sym_extension] = ACTIONS(109),
    [anon_sym_indirect] = ACTIONS(111),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_AT] = ACTIONS(395),
    [anon_sym_final] = ACTIONS(397),
    [anon_sym_weak] = ACTIONS(399),
    [anon_sym_unowned] = ACTIONS(399),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(401),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(401),
    [anon_sym_borrowing] = ACTIONS(11),
    [anon_sym_consuming] = ACTIONS(11),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(155),
    [sym__eq_eq_custom] = ACTIONS(155),
    [sym__plus_then_ws] = ACTIONS(155),
    [sym__minus_then_ws] = ACTIONS(155),
    [sym__bang_custom] = ACTIONS(151),
    [sym__custom_operator] = ACTIONS(57),
  },
  [99] = {
    [sym_simple_identifier] = STATE(2276),
    [sym__contextual_simple_identifier] = STATE(2115),
    [sym__basic_literal] = STATE(1349),
    [sym_boolean_literal] = STATE(1349),
    [sym__string_literal] = STATE(1349),
    [sym_line_string_literal] = STATE(1349),
    [sym_multi_line_string_literal] = STATE(1349),
    [sym_raw_string_literal] = STATE(1349),
    [sym_regex_literal] = STATE(1349),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1349),
    [sym__unary_expression] = STATE(1349),
    [sym_postfix_expression] = STATE(1349),
    [sym_constructor_expression] = STATE(1349),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1349),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1349),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1349),
    [sym_prefix_expression] = STATE(1349),
    [sym_as_expression] = STATE(1349),
    [sym_selector_expression] = STATE(1349),
    [sym__binary_expression] = STATE(1349),
    [sym_multiplicative_expression] = STATE(1349),
    [sym_additive_expression] = STATE(1349),
    [sym_range_expression] = STATE(1349),
    [sym_infix_expression] = STATE(1349),
    [sym_nil_coalescing_expression] = STATE(1349),
    [sym_check_expression] = STATE(1349),
    [sym_comparison_expression] = STATE(1349),
    [sym_equality_expression] = STATE(1349),
    [sym_conjunction_expression] = STATE(1349),
    [sym_disjunction_expression] = STATE(1349),
    [sym_bitwise_operation] = STATE(1349),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1349),
    [sym_await_expression] = STATE(1349),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1349),
    [sym_call_expression] = STATE(1349),
    [sym__primary_expression] = STATE(1349),
    [sym_tuple_expression] = STATE(1349),
    [sym_array_literal] = STATE(1349),
    [sym_dictionary_literal] = STATE(1349),
    [sym__special_literal] = STATE(1349),
    [sym__playground_literal] = STATE(1349),
    [sym_lambda_literal] = STATE(1349),
    [sym_self_expression] = STATE(1349),
    [sym_super_expression] = STATE(1349),
    [sym_if_statement] = STATE(2559),
    [sym_guard_statement] = STATE(5953),
    [sym_switch_statement] = STATE(2559),
    [sym_do_statement] = STATE(5953),
    [sym_key_path_expression] = STATE(1349),
    [sym_key_path_string_expression] = STATE(1349),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1349),
    [sym__equality_operator] = STATE(1349),
    [sym__comparison_operator] = STATE(1349),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1349),
    [sym__multiplicative_operator] = STATE(1349),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym_statements] = STATE(7810),
    [sym__local_statement] = STATE(5953),
    [sym__labeled_statement] = STATE(5953),
    [sym_for_statement] = STATE(5953),
    [sym_while_statement] = STATE(5953),
    [sym_repeat_while_statement] = STATE(5953),
    [sym_control_transfer_statement] = STATE(5953),
    [sym__throw_statement] = STATE(6577),
    [sym__optionally_valueful_control_keyword] = STATE(283),
    [sym_assignment] = STATE(1349),
    [sym_value_parameter_pack] = STATE(1349),
    [sym_value_pack_expansion] = STATE(1349),
    [sym__local_declaration] = STATE(5953),
    [sym__local_property_declaration] = STATE(6579),
    [sym__local_typealias_declaration] = STATE(6581),
    [sym__local_function_declaration] = STATE(6582),
    [sym__local_class_declaration] = STATE(6584),
    [sym__modifierless_property_declaration] = STATE(6589),
    [sym__modifierless_typealias_declaration] = STATE(6601),
    [sym__modifierless_function_declaration] = STATE(6604),
    [sym__modifierless_function_declaration_no_body] = STATE(6607),
    [sym__modifierless_class_declaration] = STATE(6613),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__referenceable_operator] = STATE(1349),
    [sym__equal_sign] = STATE(1349),
    [sym__eq_eq] = STATE(1349),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__async_modifier] = STATE(6632),
    [sym_attribute] = STATE(4189),
    [sym_value_binding_pattern] = STATE(3973),
    [sym__possibly_async_binding_pattern_kind] = STATE(3973),
    [aux_sym__locally_permitted_modifiers] = STATE(4189),
    [sym__locally_permitted_modifier] = STATE(4189),
    [sym_property_behavior_modifier] = STATE(4189),
    [sym_inheritance_modifier] = STATE(4189),
    [sym_ownership_modifier] = STATE(4189),
    [sym__parameter_ownership_modifier] = STATE(2115),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(11),
    [aux_sym_simple_identifier_token2] = ACTIONS(13),
    [aux_sym_simple_identifier_token3] = ACTIONS(13),
    [aux_sym_simple_identifier_token4] = ACTIONS(13),
    [anon_sym_actor] = ACTIONS(15),
    [anon_sym_async] = ACTIONS(17),
    [anon_sym_each] = ACTIONS(19),
    [anon_sym_lazy] = ACTIONS(393),
    [anon_sym_repeat] = ACTIONS(23),
    [anon_sym_package] = ACTIONS(11),
    [anon_sym_nil] = ACTIONS(153),
    [sym_real_literal] = ACTIONS(155),
    [sym_integer_literal] = ACTIONS(153),
    [sym_hex_literal] = ACTIONS(155),
    [sym_oct_literal] = ACTIONS(155),
    [sym_bin_literal] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(153),
    [anon_sym_POUNDfileID] = ACTIONS(155),
    [anon_sym_POUNDfilePath] = ACTIONS(155),
    [anon_sym_POUNDline] = ACTIONS(155),
    [anon_sym_POUNDcolumn] = ACTIONS(155),
    [anon_sym_POUNDfunction] = ACTIONS(155),
    [anon_sym_POUNDdsohandle] = ACTIONS(155),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_RBRACE] = ACTIONS(611),
    [anon_sym_self] = ACTIONS(65),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_guard] = ACTIONS(69),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(153),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(153),
    [anon_sym_PERCENT] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(155),
    [anon_sym_CARET] = ACTIONS(153),
    [anon_sym_LT_LT] = ACTIONS(155),
    [anon_sym_GT_GT] = ACTIONS(155),
    [sym_statement_label] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [sym_throw_keyword] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(159),
    [anon_sym_continue] = ACTIONS(159),
    [anon_sym_break] = ACTIONS(159),
    [anon_sym_yield] = ACTIONS(159),
    [anon_sym_typealias] = ACTIONS(93),
    [anon_sym_struct] = ACTIONS(95),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_enum] = ACTIONS(99),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_func] = ACTIONS(105),
    [anon_sym_extension] = ACTIONS(109),
    [anon_sym_indirect] = ACTIONS(111),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_AT] = ACTIONS(395),
    [anon_sym_final] = ACTIONS(397),
    [anon_sym_weak] = ACTIONS(399),
    [anon_sym_unowned] = ACTIONS(399),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(401),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(401),
    [anon_sym_borrowing] = ACTIONS(11),
    [anon_sym_consuming] = ACTIONS(11),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(155),
    [sym__eq_eq_custom] = ACTIONS(155),
    [sym__plus_then_ws] = ACTIONS(155),
    [sym__minus_then_ws] = ACTIONS(155),
    [sym__bang_custom] = ACTIONS(151),
    [sym__custom_operator] = ACTIONS(57),
  },
  [100] = {
    [sym_simple_identifier] = STATE(2276),
    [sym__contextual_simple_identifier] = STATE(2115),
    [sym__basic_literal] = STATE(1349),
    [sym_boolean_literal] = STATE(1349),
    [sym__string_literal] = STATE(1349),
    [sym_line_string_literal] = STATE(1349),
    [sym_multi_line_string_literal] = STATE(1349),
    [sym_raw_string_literal] = STATE(1349),
    [sym_regex_literal] = STATE(1349),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1349),
    [sym__unary_expression] = STATE(1349),
    [sym_postfix_expression] = STATE(1349),
    [sym_constructor_expression] = STATE(1349),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1349),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1349),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1349),
    [sym_prefix_expression] = STATE(1349),
    [sym_as_expression] = STATE(1349),
    [sym_selector_expression] = STATE(1349),
    [sym__binary_expression] = STATE(1349),
    [sym_multiplicative_expression] = STATE(1349),
    [sym_additive_expression] = STATE(1349),
    [sym_range_expression] = STATE(1349),
    [sym_infix_expression] = STATE(1349),
    [sym_nil_coalescing_expression] = STATE(1349),
    [sym_check_expression] = STATE(1349),
    [sym_comparison_expression] = STATE(1349),
    [sym_equality_expression] = STATE(1349),
    [sym_conjunction_expression] = STATE(1349),
    [sym_disjunction_expression] = STATE(1349),
    [sym_bitwise_operation] = STATE(1349),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1349),
    [sym_await_expression] = STATE(1349),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1349),
    [sym_call_expression] = STATE(1349),
    [sym__primary_expression] = STATE(1349),
    [sym_tuple_expression] = STATE(1349),
    [sym_array_literal] = STATE(1349),
    [sym_dictionary_literal] = STATE(1349),
    [sym__special_literal] = STATE(1349),
    [sym__playground_literal] = STATE(1349),
    [sym_lambda_literal] = STATE(1349),
    [sym_self_expression] = STATE(1349),
    [sym_super_expression] = STATE(1349),
    [sym_if_statement] = STATE(2559),
    [sym_guard_statement] = STATE(5953),
    [sym_switch_statement] = STATE(2559),
    [sym_do_statement] = STATE(5953),
    [sym_key_path_expression] = STATE(1349),
    [sym_key_path_string_expression] = STATE(1349),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1349),
    [sym__equality_operator] = STATE(1349),
    [sym__comparison_operator] = STATE(1349),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1349),
    [sym__multiplicative_operator] = STATE(1349),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym_statements] = STATE(7707),
    [sym__local_statement] = STATE(5953),
    [sym__labeled_statement] = STATE(5953),
    [sym_for_statement] = STATE(5953),
    [sym_while_statement] = STATE(5953),
    [sym_repeat_while_statement] = STATE(5953),
    [sym_control_transfer_statement] = STATE(5953),
    [sym__throw_statement] = STATE(6577),
    [sym__optionally_valueful_control_keyword] = STATE(283),
    [sym_assignment] = STATE(1349),
    [sym_value_parameter_pack] = STATE(1349),
    [sym_value_pack_expansion] = STATE(1349),
    [sym__local_declaration] = STATE(5953),
    [sym__local_property_declaration] = STATE(6579),
    [sym__local_typealias_declaration] = STATE(6581),
    [sym__local_function_declaration] = STATE(6582),
    [sym__local_class_declaration] = STATE(6584),
    [sym__modifierless_property_declaration] = STATE(6589),
    [sym__modifierless_typealias_declaration] = STATE(6601),
    [sym__modifierless_function_declaration] = STATE(6604),
    [sym__modifierless_function_declaration_no_body] = STATE(6607),
    [sym__modifierless_class_declaration] = STATE(6613),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__referenceable_operator] = STATE(1349),
    [sym__equal_sign] = STATE(1349),
    [sym__eq_eq] = STATE(1349),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__async_modifier] = STATE(6632),
    [sym_attribute] = STATE(4189),
    [sym_value_binding_pattern] = STATE(3973),
    [sym__possibly_async_binding_pattern_kind] = STATE(3973),
    [aux_sym__locally_permitted_modifiers] = STATE(4189),
    [sym__locally_permitted_modifier] = STATE(4189),
    [sym_property_behavior_modifier] = STATE(4189),
    [sym_inheritance_modifier] = STATE(4189),
    [sym_ownership_modifier] = STATE(4189),
    [sym__parameter_ownership_modifier] = STATE(2115),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(11),
    [aux_sym_simple_identifier_token2] = ACTIONS(13),
    [aux_sym_simple_identifier_token3] = ACTIONS(13),
    [aux_sym_simple_identifier_token4] = ACTIONS(13),
    [anon_sym_actor] = ACTIONS(15),
    [anon_sym_async] = ACTIONS(17),
    [anon_sym_each] = ACTIONS(19),
    [anon_sym_lazy] = ACTIONS(393),
    [anon_sym_repeat] = ACTIONS(23),
    [anon_sym_package] = ACTIONS(11),
    [anon_sym_nil] = ACTIONS(153),
    [sym_real_literal] = ACTIONS(155),
    [sym_integer_literal] = ACTIONS(153),
    [sym_hex_literal] = ACTIONS(155),
    [sym_oct_literal] = ACTIONS(155),
    [sym_bin_literal] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(153),
    [anon_sym_POUNDfileID] = ACTIONS(155),
    [anon_sym_POUNDfilePath] = ACTIONS(155),
    [anon_sym_POUNDline] = ACTIONS(155),
    [anon_sym_POUNDcolumn] = ACTIONS(155),
    [anon_sym_POUNDfunction] = ACTIONS(155),
    [anon_sym_POUNDdsohandle] = ACTIONS(155),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_RBRACE] = ACTIONS(613),
    [anon_sym_self] = ACTIONS(65),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_guard] = ACTIONS(69),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(153),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(153),
    [anon_sym_PERCENT] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(155),
    [anon_sym_CARET] = ACTIONS(153),
    [anon_sym_LT_LT] = ACTIONS(155),
    [anon_sym_GT_GT] = ACTIONS(155),
    [sym_statement_label] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [sym_throw_keyword] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(159),
    [anon_sym_continue] = ACTIONS(159),
    [anon_sym_break] = ACTIONS(159),
    [anon_sym_yield] = ACTIONS(159),
    [anon_sym_typealias] = ACTIONS(93),
    [anon_sym_struct] = ACTIONS(95),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_enum] = ACTIONS(99),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_func] = ACTIONS(105),
    [anon_sym_extension] = ACTIONS(109),
    [anon_sym_indirect] = ACTIONS(111),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_AT] = ACTIONS(395),
    [anon_sym_final] = ACTIONS(397),
    [anon_sym_weak] = ACTIONS(399),
    [anon_sym_unowned] = ACTIONS(399),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(401),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(401),
    [anon_sym_borrowing] = ACTIONS(11),
    [anon_sym_consuming] = ACTIONS(11),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(155),
    [sym__eq_eq_custom] = ACTIONS(155),
    [sym__plus_then_ws] = ACTIONS(155),
    [sym__minus_then_ws] = ACTIONS(155),
    [sym__bang_custom] = ACTIONS(151),
    [sym__custom_operator] = ACTIONS(57),
  },
  [101] = {
    [sym_simple_identifier] = STATE(2276),
    [sym__contextual_simple_identifier] = STATE(2115),
    [sym__basic_literal] = STATE(1349),
    [sym_boolean_literal] = STATE(1349),
    [sym__string_literal] = STATE(1349),
    [sym_line_string_literal] = STATE(1349),
    [sym_multi_line_string_literal] = STATE(1349),
    [sym_raw_string_literal] = STATE(1349),
    [sym_regex_literal] = STATE(1349),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1349),
    [sym__unary_expression] = STATE(1349),
    [sym_postfix_expression] = STATE(1349),
    [sym_constructor_expression] = STATE(1349),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1349),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1349),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1349),
    [sym_prefix_expression] = STATE(1349),
    [sym_as_expression] = STATE(1349),
    [sym_selector_expression] = STATE(1349),
    [sym__binary_expression] = STATE(1349),
    [sym_multiplicative_expression] = STATE(1349),
    [sym_additive_expression] = STATE(1349),
    [sym_range_expression] = STATE(1349),
    [sym_infix_expression] = STATE(1349),
    [sym_nil_coalescing_expression] = STATE(1349),
    [sym_check_expression] = STATE(1349),
    [sym_comparison_expression] = STATE(1349),
    [sym_equality_expression] = STATE(1349),
    [sym_conjunction_expression] = STATE(1349),
    [sym_disjunction_expression] = STATE(1349),
    [sym_bitwise_operation] = STATE(1349),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1349),
    [sym_await_expression] = STATE(1349),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1349),
    [sym_call_expression] = STATE(1349),
    [sym__primary_expression] = STATE(1349),
    [sym_tuple_expression] = STATE(1349),
    [sym_array_literal] = STATE(1349),
    [sym_dictionary_literal] = STATE(1349),
    [sym__special_literal] = STATE(1349),
    [sym__playground_literal] = STATE(1349),
    [sym_lambda_literal] = STATE(1349),
    [sym_self_expression] = STATE(1349),
    [sym_super_expression] = STATE(1349),
    [sym_if_statement] = STATE(2559),
    [sym_guard_statement] = STATE(5953),
    [sym_switch_statement] = STATE(2559),
    [sym_do_statement] = STATE(5953),
    [sym_key_path_expression] = STATE(1349),
    [sym_key_path_string_expression] = STATE(1349),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1349),
    [sym__equality_operator] = STATE(1349),
    [sym__comparison_operator] = STATE(1349),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1349),
    [sym__multiplicative_operator] = STATE(1349),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym_statements] = STATE(7750),
    [sym__local_statement] = STATE(5953),
    [sym__labeled_statement] = STATE(5953),
    [sym_for_statement] = STATE(5953),
    [sym_while_statement] = STATE(5953),
    [sym_repeat_while_statement] = STATE(5953),
    [sym_control_transfer_statement] = STATE(5953),
    [sym__throw_statement] = STATE(6577),
    [sym__optionally_valueful_control_keyword] = STATE(283),
    [sym_assignment] = STATE(1349),
    [sym_value_parameter_pack] = STATE(1349),
    [sym_value_pack_expansion] = STATE(1349),
    [sym__local_declaration] = STATE(5953),
    [sym__local_property_declaration] = STATE(6579),
    [sym__local_typealias_declaration] = STATE(6581),
    [sym__local_function_declaration] = STATE(6582),
    [sym__local_class_declaration] = STATE(6584),
    [sym__modifierless_property_declaration] = STATE(6589),
    [sym__modifierless_typealias_declaration] = STATE(6601),
    [sym__modifierless_function_declaration] = STATE(6604),
    [sym__modifierless_function_declaration_no_body] = STATE(6607),
    [sym__modifierless_class_declaration] = STATE(6613),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__referenceable_operator] = STATE(1349),
    [sym__equal_sign] = STATE(1349),
    [sym__eq_eq] = STATE(1349),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__async_modifier] = STATE(6632),
    [sym_attribute] = STATE(4189),
    [sym_value_binding_pattern] = STATE(3973),
    [sym__possibly_async_binding_pattern_kind] = STATE(3973),
    [aux_sym__locally_permitted_modifiers] = STATE(4189),
    [sym__locally_permitted_modifier] = STATE(4189),
    [sym_property_behavior_modifier] = STATE(4189),
    [sym_inheritance_modifier] = STATE(4189),
    [sym_ownership_modifier] = STATE(4189),
    [sym__parameter_ownership_modifier] = STATE(2115),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(11),
    [aux_sym_simple_identifier_token2] = ACTIONS(13),
    [aux_sym_simple_identifier_token3] = ACTIONS(13),
    [aux_sym_simple_identifier_token4] = ACTIONS(13),
    [anon_sym_actor] = ACTIONS(15),
    [anon_sym_async] = ACTIONS(17),
    [anon_sym_each] = ACTIONS(19),
    [anon_sym_lazy] = ACTIONS(393),
    [anon_sym_repeat] = ACTIONS(23),
    [anon_sym_package] = ACTIONS(11),
    [anon_sym_nil] = ACTIONS(153),
    [sym_real_literal] = ACTIONS(155),
    [sym_integer_literal] = ACTIONS(153),
    [sym_hex_literal] = ACTIONS(155),
    [sym_oct_literal] = ACTIONS(155),
    [sym_bin_literal] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(153),
    [anon_sym_POUNDfileID] = ACTIONS(155),
    [anon_sym_POUNDfilePath] = ACTIONS(155),
    [anon_sym_POUNDline] = ACTIONS(155),
    [anon_sym_POUNDcolumn] = ACTIONS(155),
    [anon_sym_POUNDfunction] = ACTIONS(155),
    [anon_sym_POUNDdsohandle] = ACTIONS(155),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_RBRACE] = ACTIONS(615),
    [anon_sym_self] = ACTIONS(65),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_guard] = ACTIONS(69),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(153),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(153),
    [anon_sym_PERCENT] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(155),
    [anon_sym_CARET] = ACTIONS(153),
    [anon_sym_LT_LT] = ACTIONS(155),
    [anon_sym_GT_GT] = ACTIONS(155),
    [sym_statement_label] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [sym_throw_keyword] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(159),
    [anon_sym_continue] = ACTIONS(159),
    [anon_sym_break] = ACTIONS(159),
    [anon_sym_yield] = ACTIONS(159),
    [anon_sym_typealias] = ACTIONS(93),
    [anon_sym_struct] = ACTIONS(95),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_enum] = ACTIONS(99),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_func] = ACTIONS(105),
    [anon_sym_extension] = ACTIONS(109),
    [anon_sym_indirect] = ACTIONS(111),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_AT] = ACTIONS(395),
    [anon_sym_final] = ACTIONS(397),
    [anon_sym_weak] = ACTIONS(399),
    [anon_sym_unowned] = ACTIONS(399),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(401),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(401),
    [anon_sym_borrowing] = ACTIONS(11),
    [anon_sym_consuming] = ACTIONS(11),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(155),
    [sym__eq_eq_custom] = ACTIONS(155),
    [sym__plus_then_ws] = ACTIONS(155),
    [sym__minus_then_ws] = ACTIONS(155),
    [sym__bang_custom] = ACTIONS(151),
    [sym__custom_operator] = ACTIONS(57),
  },
  [102] = {
    [sym_simple_identifier] = STATE(2276),
    [sym__contextual_simple_identifier] = STATE(2115),
    [sym__basic_literal] = STATE(1349),
    [sym_boolean_literal] = STATE(1349),
    [sym__string_literal] = STATE(1349),
    [sym_line_string_literal] = STATE(1349),
    [sym_multi_line_string_literal] = STATE(1349),
    [sym_raw_string_literal] = STATE(1349),
    [sym_regex_literal] = STATE(1349),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1349),
    [sym__unary_expression] = STATE(1349),
    [sym_postfix_expression] = STATE(1349),
    [sym_constructor_expression] = STATE(1349),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1349),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1349),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1349),
    [sym_prefix_expression] = STATE(1349),
    [sym_as_expression] = STATE(1349),
    [sym_selector_expression] = STATE(1349),
    [sym__binary_expression] = STATE(1349),
    [sym_multiplicative_expression] = STATE(1349),
    [sym_additive_expression] = STATE(1349),
    [sym_range_expression] = STATE(1349),
    [sym_infix_expression] = STATE(1349),
    [sym_nil_coalescing_expression] = STATE(1349),
    [sym_check_expression] = STATE(1349),
    [sym_comparison_expression] = STATE(1349),
    [sym_equality_expression] = STATE(1349),
    [sym_conjunction_expression] = STATE(1349),
    [sym_disjunction_expression] = STATE(1349),
    [sym_bitwise_operation] = STATE(1349),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1349),
    [sym_await_expression] = STATE(1349),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1349),
    [sym_call_expression] = STATE(1349),
    [sym__primary_expression] = STATE(1349),
    [sym_tuple_expression] = STATE(1349),
    [sym_array_literal] = STATE(1349),
    [sym_dictionary_literal] = STATE(1349),
    [sym__special_literal] = STATE(1349),
    [sym__playground_literal] = STATE(1349),
    [sym_lambda_literal] = STATE(1349),
    [sym_self_expression] = STATE(1349),
    [sym_super_expression] = STATE(1349),
    [sym_if_statement] = STATE(2559),
    [sym_guard_statement] = STATE(5953),
    [sym_switch_statement] = STATE(2559),
    [sym_do_statement] = STATE(5953),
    [sym_key_path_expression] = STATE(1349),
    [sym_key_path_string_expression] = STATE(1349),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1349),
    [sym__equality_operator] = STATE(1349),
    [sym__comparison_operator] = STATE(1349),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1349),
    [sym__multiplicative_operator] = STATE(1349),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym_statements] = STATE(7751),
    [sym__local_statement] = STATE(5953),
    [sym__labeled_statement] = STATE(5953),
    [sym_for_statement] = STATE(5953),
    [sym_while_statement] = STATE(5953),
    [sym_repeat_while_statement] = STATE(5953),
    [sym_control_transfer_statement] = STATE(5953),
    [sym__throw_statement] = STATE(6577),
    [sym__optionally_valueful_control_keyword] = STATE(283),
    [sym_assignment] = STATE(1349),
    [sym_value_parameter_pack] = STATE(1349),
    [sym_value_pack_expansion] = STATE(1349),
    [sym__local_declaration] = STATE(5953),
    [sym__local_property_declaration] = STATE(6579),
    [sym__local_typealias_declaration] = STATE(6581),
    [sym__local_function_declaration] = STATE(6582),
    [sym__local_class_declaration] = STATE(6584),
    [sym__modifierless_property_declaration] = STATE(6589),
    [sym__modifierless_typealias_declaration] = STATE(6601),
    [sym__modifierless_function_declaration] = STATE(6604),
    [sym__modifierless_function_declaration_no_body] = STATE(6607),
    [sym__modifierless_class_declaration] = STATE(6613),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__referenceable_operator] = STATE(1349),
    [sym__equal_sign] = STATE(1349),
    [sym__eq_eq] = STATE(1349),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__async_modifier] = STATE(6632),
    [sym_attribute] = STATE(4189),
    [sym_value_binding_pattern] = STATE(3973),
    [sym__possibly_async_binding_pattern_kind] = STATE(3973),
    [aux_sym__locally_permitted_modifiers] = STATE(4189),
    [sym__locally_permitted_modifier] = STATE(4189),
    [sym_property_behavior_modifier] = STATE(4189),
    [sym_inheritance_modifier] = STATE(4189),
    [sym_ownership_modifier] = STATE(4189),
    [sym__parameter_ownership_modifier] = STATE(2115),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(11),
    [aux_sym_simple_identifier_token2] = ACTIONS(13),
    [aux_sym_simple_identifier_token3] = ACTIONS(13),
    [aux_sym_simple_identifier_token4] = ACTIONS(13),
    [anon_sym_actor] = ACTIONS(15),
    [anon_sym_async] = ACTIONS(17),
    [anon_sym_each] = ACTIONS(19),
    [anon_sym_lazy] = ACTIONS(393),
    [anon_sym_repeat] = ACTIONS(23),
    [anon_sym_package] = ACTIONS(11),
    [anon_sym_nil] = ACTIONS(153),
    [sym_real_literal] = ACTIONS(155),
    [sym_integer_literal] = ACTIONS(153),
    [sym_hex_literal] = ACTIONS(155),
    [sym_oct_literal] = ACTIONS(155),
    [sym_bin_literal] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(153),
    [anon_sym_POUNDfileID] = ACTIONS(155),
    [anon_sym_POUNDfilePath] = ACTIONS(155),
    [anon_sym_POUNDline] = ACTIONS(155),
    [anon_sym_POUNDcolumn] = ACTIONS(155),
    [anon_sym_POUNDfunction] = ACTIONS(155),
    [anon_sym_POUNDdsohandle] = ACTIONS(155),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_RBRACE] = ACTIONS(617),
    [anon_sym_self] = ACTIONS(65),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_guard] = ACTIONS(69),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(153),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(153),
    [anon_sym_PERCENT] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(155),
    [anon_sym_CARET] = ACTIONS(153),
    [anon_sym_LT_LT] = ACTIONS(155),
    [anon_sym_GT_GT] = ACTIONS(155),
    [sym_statement_label] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [sym_throw_keyword] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(159),
    [anon_sym_continue] = ACTIONS(159),
    [anon_sym_break] = ACTIONS(159),
    [anon_sym_yield] = ACTIONS(159),
    [anon_sym_typealias] = ACTIONS(93),
    [anon_sym_struct] = ACTIONS(95),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_enum] = ACTIONS(99),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_func] = ACTIONS(105),
    [anon_sym_extension] = ACTIONS(109),
    [anon_sym_indirect] = ACTIONS(111),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_AT] = ACTIONS(395),
    [anon_sym_final] = ACTIONS(397),
    [anon_sym_weak] = ACTIONS(399),
    [anon_sym_unowned] = ACTIONS(399),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(401),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(401),
    [anon_sym_borrowing] = ACTIONS(11),
    [anon_sym_consuming] = ACTIONS(11),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(155),
    [sym__eq_eq_custom] = ACTIONS(155),
    [sym__plus_then_ws] = ACTIONS(155),
    [sym__minus_then_ws] = ACTIONS(155),
    [sym__bang_custom] = ACTIONS(151),
    [sym__custom_operator] = ACTIONS(57),
  },
  [103] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1427),
    [sym_boolean_literal] = STATE(1427),
    [sym__string_literal] = STATE(1427),
    [sym_line_string_literal] = STATE(1427),
    [sym_multi_line_string_literal] = STATE(1427),
    [sym_raw_string_literal] = STATE(1427),
    [sym_regex_literal] = STATE(1427),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1427),
    [sym__unary_expression] = STATE(1427),
    [sym_postfix_expression] = STATE(1427),
    [sym_constructor_expression] = STATE(1427),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1427),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1427),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1427),
    [sym_prefix_expression] = STATE(1427),
    [sym_as_expression] = STATE(1427),
    [sym_selector_expression] = STATE(1427),
    [sym__binary_expression] = STATE(1427),
    [sym_multiplicative_expression] = STATE(1427),
    [sym_additive_expression] = STATE(1427),
    [sym_range_expression] = STATE(1427),
    [sym_infix_expression] = STATE(1427),
    [sym_nil_coalescing_expression] = STATE(1427),
    [sym_check_expression] = STATE(1427),
    [sym_comparison_expression] = STATE(1427),
    [sym_equality_expression] = STATE(1427),
    [sym_conjunction_expression] = STATE(1427),
    [sym_disjunction_expression] = STATE(1427),
    [sym_bitwise_operation] = STATE(1427),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1427),
    [sym_await_expression] = STATE(1427),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1427),
    [sym_call_expression] = STATE(1427),
    [sym__primary_expression] = STATE(1427),
    [sym_tuple_expression] = STATE(1427),
    [sym_array_literal] = STATE(1427),
    [sym_dictionary_literal] = STATE(1427),
    [sym__special_literal] = STATE(1427),
    [sym__playground_literal] = STATE(1427),
    [sym_lambda_literal] = STATE(1427),
    [sym_self_expression] = STATE(1427),
    [sym_super_expression] = STATE(1427),
    [sym_if_statement] = STATE(1427),
    [sym__if_condition_sequence_item] = STATE(6300),
    [sym__if_let_binding] = STATE(7553),
    [sym_switch_statement] = STATE(1427),
    [sym_key_path_expression] = STATE(1427),
    [sym_key_path_string_expression] = STATE(1427),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1427),
    [sym__equality_operator] = STATE(1427),
    [sym__comparison_operator] = STATE(1427),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1427),
    [sym__multiplicative_operator] = STATE(1427),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1427),
    [sym_value_parameter_pack] = STATE(1427),
    [sym_value_pack_expansion] = STATE(1427),
    [sym_availability_condition] = STATE(6300),
    [sym__referenceable_operator] = STATE(1427),
    [sym__equal_sign] = STATE(1427),
    [sym__eq_eq] = STATE(1427),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__async_modifier] = STATE(6632),
    [sym__direct_or_indirect_binding] = STATE(5779),
    [sym_value_binding_pattern] = STATE(4103),
    [sym__possibly_async_binding_pattern_kind] = STATE(4103),
    [sym__binding_kind_and_pattern] = STATE(5716),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(535),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(407),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(407),
    [anon_sym_nil] = ACTIONS(413),
    [sym_real_literal] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(413),
    [sym_hex_literal] = ACTIONS(415),
    [sym_oct_literal] = ACTIONS(415),
    [sym_bin_literal] = ACTIONS(415),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [anon_sym_COMMA] = ACTIONS(425),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(425),
    [anon_sym_LBRACK] = ACTIONS(425),
    [anon_sym_QMARK] = ACTIONS(407),
    [anon_sym_QMARK2] = ACTIONS(425),
    [anon_sym_AMP] = ACTIONS(425),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(425),
    [anon_sym_LT] = ACTIONS(407),
    [anon_sym_GT] = ACTIONS(407),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(413),
    [anon_sym_POUNDfileID] = ACTIONS(415),
    [anon_sym_POUNDfilePath] = ACTIONS(415),
    [anon_sym_POUNDline] = ACTIONS(415),
    [anon_sym_POUNDcolumn] = ACTIONS(415),
    [anon_sym_POUNDfunction] = ACTIONS(415),
    [anon_sym_POUNDdsohandle] = ACTIONS(415),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(425),
    [anon_sym_CARET_LBRACE] = ACTIONS(425),
    [anon_sym_RBRACE] = ACTIONS(425),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_case] = ACTIONS(407),
    [anon_sym_fallthrough] = ACTIONS(407),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(425),
    [anon_sym_DASH_EQ] = ACTIONS(425),
    [anon_sym_STAR_EQ] = ACTIONS(425),
    [anon_sym_SLASH_EQ] = ACTIONS(425),
    [anon_sym_PERCENT_EQ] = ACTIONS(425),
    [anon_sym_BANG_EQ] = ACTIONS(407),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(425),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(425),
    [anon_sym_LT_EQ] = ACTIONS(425),
    [anon_sym_GT_EQ] = ACTIONS(425),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(425),
    [anon_sym_DOT_DOT_LT] = ACTIONS(425),
    [anon_sym_is] = ACTIONS(407),
    [anon_sym_PLUS] = ACTIONS(407),
    [anon_sym_DASH] = ACTIONS(407),
    [anon_sym_STAR] = ACTIONS(407),
    [anon_sym_SLASH] = ACTIONS(407),
    [anon_sym_PERCENT] = ACTIONS(407),
    [anon_sym_PLUS_PLUS] = ACTIONS(425),
    [anon_sym_DASH_DASH] = ACTIONS(425),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(425),
    [anon_sym_CARET] = ACTIONS(407),
    [anon_sym_LT_LT] = ACTIONS(425),
    [anon_sym_GT_GT] = ACTIONS(425),
    [anon_sym_POUNDavailable] = ACTIONS(451),
    [anon_sym_POUNDunavailable] = ACTIONS(451),
    [anon_sym_class] = ACTIONS(407),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_BANG2] = ACTIONS(407),
    [anon_sym_prefix] = ACTIONS(407),
    [anon_sym_infix] = ACTIONS(407),
    [anon_sym_postfix] = ACTIONS(407),
    [anon_sym_AT] = ACTIONS(407),
    [anon_sym_override] = ACTIONS(407),
    [anon_sym_convenience] = ACTIONS(407),
    [anon_sym_required] = ACTIONS(407),
    [anon_sym_nonisolated] = ACTIONS(407),
    [anon_sym_public] = ACTIONS(407),
    [anon_sym_private] = ACTIONS(407),
    [anon_sym_internal] = ACTIONS(407),
    [anon_sym_fileprivate] = ACTIONS(407),
    [anon_sym_open] = ACTIONS(407),
    [anon_sym_mutating] = ACTIONS(407),
    [anon_sym_nonmutating] = ACTIONS(407),
    [anon_sym_static] = ACTIONS(407),
    [anon_sym_dynamic] = ACTIONS(407),
    [anon_sym_optional] = ACTIONS(407),
    [anon_sym_distributed] = ACTIONS(407),
    [anon_sym_final] = ACTIONS(407),
    [anon_sym_inout] = ACTIONS(407),
    [anon_sym_ATescaping] = ACTIONS(425),
    [anon_sym_ATautoclosure] = ACTIONS(425),
    [anon_sym_weak] = ACTIONS(407),
    [anon_sym_unowned] = ACTIONS(407),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(425),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(425),
    [anon_sym_borrowing] = ACTIONS(407),
    [anon_sym_consuming] = ACTIONS(407),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__implicit_semi] = ACTIONS(425),
    [sym__explicit_semi] = ACTIONS(425),
    [sym__dot_custom] = ACTIONS(425),
    [sym__conjunction_operator_custom] = ACTIONS(425),
    [sym__disjunction_operator_custom] = ACTIONS(425),
    [sym__nil_coalescing_operator_custom] = ACTIONS(425),
    [sym__eq_custom] = ACTIONS(425),
    [sym__eq_eq_custom] = ACTIONS(425),
    [sym__plus_then_ws] = ACTIONS(425),
    [sym__minus_then_ws] = ACTIONS(425),
    [sym__bang_custom] = ACTIONS(425),
    [sym_default_keyword] = ACTIONS(425),
    [sym__as_custom] = ACTIONS(425),
    [sym__as_quest_custom] = ACTIONS(425),
    [sym__as_bang_custom] = ACTIONS(425),
    [sym__custom_operator] = ACTIONS(425),
  },
  [104] = {
    [sym_simple_identifier] = STATE(1141),
    [sym__contextual_simple_identifier] = STATE(1051),
    [sym__basic_literal] = STATE(671),
    [sym_boolean_literal] = STATE(671),
    [sym__string_literal] = STATE(671),
    [sym_line_string_literal] = STATE(671),
    [sym_multi_line_string_literal] = STATE(671),
    [sym_raw_string_literal] = STATE(671),
    [sym_regex_literal] = STATE(671),
    [sym__multiline_regex_literal] = STATE(1215),
    [sym_user_type] = STATE(5510),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5510),
    [sym_dictionary_type] = STATE(5510),
    [sym__expression] = STATE(671),
    [sym__unary_expression] = STATE(671),
    [sym_postfix_expression] = STATE(671),
    [sym_constructor_expression] = STATE(671),
    [sym__parenthesized_type] = STATE(6558),
    [sym_navigation_expression] = STATE(671),
    [sym__navigable_type_expression] = STATE(6557),
    [sym_open_start_range_expression] = STATE(671),
    [sym__range_operator] = STATE(523),
    [sym_open_end_range_expression] = STATE(671),
    [sym_prefix_expression] = STATE(671),
    [sym_as_expression] = STATE(671),
    [sym_selector_expression] = STATE(671),
    [sym__binary_expression] = STATE(671),
    [sym_multiplicative_expression] = STATE(671),
    [sym_additive_expression] = STATE(671),
    [sym_range_expression] = STATE(671),
    [sym_infix_expression] = STATE(671),
    [sym_nil_coalescing_expression] = STATE(671),
    [sym_check_expression] = STATE(671),
    [sym_comparison_expression] = STATE(671),
    [sym_equality_expression] = STATE(671),
    [sym_conjunction_expression] = STATE(671),
    [sym_disjunction_expression] = STATE(671),
    [sym_bitwise_operation] = STATE(671),
    [sym_custom_operator] = STATE(628),
    [sym_try_expression] = STATE(671),
    [sym_await_expression] = STATE(671),
    [sym__await_operator] = STATE(518),
    [sym_ternary_expression] = STATE(671),
    [sym_call_expression] = STATE(671),
    [sym__primary_expression] = STATE(671),
    [sym_tuple_expression] = STATE(671),
    [sym_array_literal] = STATE(671),
    [sym_dictionary_literal] = STATE(671),
    [sym__special_literal] = STATE(671),
    [sym__playground_literal] = STATE(671),
    [sym_lambda_literal] = STATE(671),
    [sym_self_expression] = STATE(671),
    [sym_super_expression] = STATE(671),
    [sym_if_statement] = STATE(1244),
    [sym_guard_statement] = STATE(3458),
    [sym_switch_statement] = STATE(1244),
    [sym_do_statement] = STATE(3458),
    [sym_key_path_expression] = STATE(671),
    [sym_key_path_string_expression] = STATE(671),
    [sym_try_operator] = STATE(515),
    [sym__assignment_and_operator] = STATE(671),
    [sym__equality_operator] = STATE(671),
    [sym__comparison_operator] = STATE(671),
    [sym__three_dot_operator] = STATE(625),
    [sym__open_ended_range_operator] = STATE(523),
    [sym__additive_operator] = STATE(671),
    [sym__multiplicative_operator] = STATE(671),
    [sym__prefix_unary_operator] = STATE(509),
    [sym_directly_assignable_expression] = STATE(5511),
    [sym_statements] = STATE(3968),
    [sym__local_statement] = STATE(3458),
    [sym__labeled_statement] = STATE(3458),
    [sym_for_statement] = STATE(3458),
    [sym_while_statement] = STATE(3458),
    [sym_repeat_while_statement] = STATE(3458),
    [sym_control_transfer_statement] = STATE(3458),
    [sym__throw_statement] = STATE(3902),
    [sym__optionally_valueful_control_keyword] = STATE(124),
    [sym_assignment] = STATE(671),
    [sym_value_parameter_pack] = STATE(671),
    [sym_value_pack_expansion] = STATE(671),
    [sym__local_declaration] = STATE(3458),
    [sym__local_property_declaration] = STATE(3927),
    [sym__local_typealias_declaration] = STATE(3917),
    [sym__local_function_declaration] = STATE(3924),
    [sym__local_class_declaration] = STATE(3931),
    [sym__modifierless_property_declaration] = STATE(3926),
    [sym__modifierless_typealias_declaration] = STATE(3959),
    [sym__modifierless_function_declaration] = STATE(3958),
    [sym__modifierless_function_declaration_no_body] = STATE(6699),
    [sym__modifierless_class_declaration] = STATE(3957),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__referenceable_operator] = STATE(671),
    [sym__equal_sign] = STATE(671),
    [sym__eq_eq] = STATE(671),
    [sym__dot] = STATE(509),
    [sym_bang] = STATE(628),
    [sym__async_modifier] = STATE(6632),
    [sym_attribute] = STATE(4187),
    [sym_value_binding_pattern] = STATE(3979),
    [sym__possibly_async_binding_pattern_kind] = STATE(3979),
    [aux_sym__locally_permitted_modifiers] = STATE(4187),
    [sym__locally_permitted_modifier] = STATE(4187),
    [sym_property_behavior_modifier] = STATE(4187),
    [sym_inheritance_modifier] = STATE(4187),
    [sym_ownership_modifier] = STATE(4187),
    [sym__parameter_ownership_modifier] = STATE(1051),
    [aux_sym_raw_string_literal_repeat1] = STATE(6487),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(291),
    [aux_sym_simple_identifier_token2] = ACTIONS(293),
    [aux_sym_simple_identifier_token3] = ACTIONS(293),
    [aux_sym_simple_identifier_token4] = ACTIONS(293),
    [anon_sym_actor] = ACTIONS(295),
    [anon_sym_async] = ACTIONS(297),
    [anon_sym_each] = ACTIONS(299),
    [anon_sym_lazy] = ACTIONS(619),
    [anon_sym_repeat] = ACTIONS(303),
    [anon_sym_package] = ACTIONS(291),
    [anon_sym_nil] = ACTIONS(305),
    [sym_real_literal] = ACTIONS(307),
    [sym_integer_literal] = ACTIONS(305),
    [sym_hex_literal] = ACTIONS(307),
    [sym_oct_literal] = ACTIONS(307),
    [sym_bin_literal] = ACTIONS(307),
    [anon_sym_true] = ACTIONS(309),
    [anon_sym_false] = ACTIONS(309),
    [anon_sym_DQUOTE] = ACTIONS(311),
    [anon_sym_BSLASH] = ACTIONS(313),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(315),
    [sym__extended_regex_literal] = ACTIONS(317),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(319),
    [sym__oneline_regex_literal] = ACTIONS(321),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_LBRACK] = ACTIONS(325),
    [anon_sym_AMP] = ACTIONS(327),
    [anon_sym_if] = ACTIONS(329),
    [anon_sym_switch] = ACTIONS(331),
    [anon_sym_POUNDselector] = ACTIONS(333),
    [aux_sym_custom_operator_token1] = ACTIONS(335),
    [anon_sym_LT] = ACTIONS(305),
    [anon_sym_GT] = ACTIONS(305),
    [anon_sym_await] = ACTIONS(337),
    [anon_sym_POUNDfile] = ACTIONS(305),
    [anon_sym_POUNDfileID] = ACTIONS(307),
    [anon_sym_POUNDfilePath] = ACTIONS(307),
    [anon_sym_POUNDline] = ACTIONS(307),
    [anon_sym_POUNDcolumn] = ACTIONS(307),
    [anon_sym_POUNDfunction] = ACTIONS(307),
    [anon_sym_POUNDdsohandle] = ACTIONS(307),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(339),
    [anon_sym_POUNDfileLiteral] = ACTIONS(339),
    [anon_sym_POUNDimageLiteral] = ACTIONS(339),
    [anon_sym_LBRACE] = ACTIONS(341),
    [anon_sym_CARET_LBRACE] = ACTIONS(341),
    [anon_sym_self] = ACTIONS(345),
    [anon_sym_super] = ACTIONS(347),
    [anon_sym_guard] = ACTIONS(349),
    [anon_sym_do] = ACTIONS(351),
    [anon_sym_POUNDkeyPath] = ACTIONS(353),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(307),
    [anon_sym_DASH_EQ] = ACTIONS(307),
    [anon_sym_STAR_EQ] = ACTIONS(307),
    [anon_sym_SLASH_EQ] = ACTIONS(307),
    [anon_sym_PERCENT_EQ] = ACTIONS(307),
    [anon_sym_BANG_EQ] = ACTIONS(305),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(307),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(307),
    [anon_sym_LT_EQ] = ACTIONS(307),
    [anon_sym_GT_EQ] = ACTIONS(307),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(355),
    [anon_sym_DOT_DOT_LT] = ACTIONS(357),
    [anon_sym_PLUS] = ACTIONS(359),
    [anon_sym_DASH] = ACTIONS(359),
    [anon_sym_STAR] = ACTIONS(305),
    [anon_sym_SLASH] = ACTIONS(305),
    [anon_sym_PERCENT] = ACTIONS(305),
    [anon_sym_PLUS_PLUS] = ACTIONS(327),
    [anon_sym_DASH_DASH] = ACTIONS(327),
    [anon_sym_TILDE] = ACTIONS(327),
    [anon_sym_PIPE] = ACTIONS(307),
    [anon_sym_CARET] = ACTIONS(305),
    [anon_sym_LT_LT] = ACTIONS(307),
    [anon_sym_GT_GT] = ACTIONS(307),
    [sym_statement_label] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(365),
    [sym_throw_keyword] = ACTIONS(367),
    [anon_sym_return] = ACTIONS(369),
    [anon_sym_continue] = ACTIONS(369),
    [anon_sym_break] = ACTIONS(369),
    [anon_sym_yield] = ACTIONS(369),
    [anon_sym_typealias] = ACTIONS(371),
    [anon_sym_struct] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(373),
    [anon_sym_enum] = ACTIONS(375),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_func] = ACTIONS(105),
    [anon_sym_extension] = ACTIONS(377),
    [anon_sym_indirect] = ACTIONS(379),
    [anon_sym_BANG2] = ACTIONS(381),
    [anon_sym_AT] = ACTIONS(395),
    [anon_sym_final] = ACTIONS(397),
    [anon_sym_weak] = ACTIONS(399),
    [anon_sym_unowned] = ACTIONS(399),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(401),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(401),
    [anon_sym_borrowing] = ACTIONS(291),
    [anon_sym_consuming] = ACTIONS(291),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(383),
    [sym__dot_custom] = ACTIONS(385),
    [sym__eq_custom] = ACTIONS(307),
    [sym__eq_eq_custom] = ACTIONS(307),
    [sym__plus_then_ws] = ACTIONS(307),
    [sym__minus_then_ws] = ACTIONS(307),
    [sym__bang_custom] = ACTIONS(387),
    [sym__custom_operator] = ACTIONS(335),
  },
  [105] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(635),
    [sym_boolean_literal] = STATE(635),
    [sym__string_literal] = STATE(635),
    [sym_line_string_literal] = STATE(635),
    [sym_multi_line_string_literal] = STATE(635),
    [sym_raw_string_literal] = STATE(635),
    [sym_regex_literal] = STATE(635),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5550),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5550),
    [sym_dictionary_type] = STATE(5550),
    [sym__expression] = STATE(635),
    [sym__unary_expression] = STATE(635),
    [sym_postfix_expression] = STATE(635),
    [sym_constructor_expression] = STATE(635),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(635),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(635),
    [sym__range_operator] = STATE(596),
    [sym_open_end_range_expression] = STATE(635),
    [sym_prefix_expression] = STATE(635),
    [sym_as_expression] = STATE(635),
    [sym_selector_expression] = STATE(635),
    [sym__binary_expression] = STATE(635),
    [sym_multiplicative_expression] = STATE(635),
    [sym_additive_expression] = STATE(635),
    [sym_range_expression] = STATE(635),
    [sym_infix_expression] = STATE(635),
    [sym_nil_coalescing_expression] = STATE(635),
    [sym_check_expression] = STATE(635),
    [sym_comparison_expression] = STATE(635),
    [sym_equality_expression] = STATE(635),
    [sym_conjunction_expression] = STATE(635),
    [sym_disjunction_expression] = STATE(635),
    [sym_bitwise_operation] = STATE(635),
    [sym_custom_operator] = STATE(609),
    [sym_try_expression] = STATE(635),
    [sym_await_expression] = STATE(635),
    [sym__await_operator] = STATE(599),
    [sym_ternary_expression] = STATE(635),
    [sym_call_expression] = STATE(635),
    [sym__primary_expression] = STATE(635),
    [sym_tuple_expression] = STATE(635),
    [sym_array_literal] = STATE(635),
    [sym_dictionary_literal] = STATE(635),
    [sym__special_literal] = STATE(635),
    [sym__playground_literal] = STATE(635),
    [sym_lambda_literal] = STATE(635),
    [sym_self_expression] = STATE(635),
    [sym_super_expression] = STATE(635),
    [sym_if_statement] = STATE(635),
    [sym_switch_statement] = STATE(635),
    [sym_key_path_expression] = STATE(635),
    [sym_key_path_string_expression] = STATE(635),
    [sym_try_operator] = STATE(453),
    [sym__assignment_and_operator] = STATE(635),
    [sym__equality_operator] = STATE(635),
    [sym__comparison_operator] = STATE(635),
    [sym__three_dot_operator] = STATE(604),
    [sym__open_ended_range_operator] = STATE(596),
    [sym__additive_operator] = STATE(635),
    [sym__multiplicative_operator] = STATE(635),
    [sym__prefix_unary_operator] = STATE(445),
    [sym_directly_assignable_expression] = STATE(5552),
    [sym_assignment] = STATE(635),
    [sym_value_parameter_pack] = STATE(635),
    [sym_value_pack_expansion] = STATE(635),
    [sym__referenceable_operator] = STATE(635),
    [sym__equal_sign] = STATE(635),
    [sym__eq_eq] = STATE(635),
    [sym__dot] = STATE(445),
    [sym_bang] = STATE(609),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(621),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(623),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(625),
    [sym_real_literal] = ACTIONS(627),
    [sym_integer_literal] = ACTIONS(625),
    [sym_hex_literal] = ACTIONS(627),
    [sym_oct_literal] = ACTIONS(627),
    [sym_bin_literal] = ACTIONS(627),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(629),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [anon_sym_COMMA] = ACTIONS(631),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_QMARK] = ACTIONS(637),
    [anon_sym_QMARK2] = ACTIONS(631),
    [anon_sym_AMP] = ACTIONS(639),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(641),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(643),
    [anon_sym_LT] = ACTIONS(625),
    [anon_sym_GT] = ACTIONS(625),
    [anon_sym_await] = ACTIONS(645),
    [anon_sym_POUNDfile] = ACTIONS(625),
    [anon_sym_POUNDfileID] = ACTIONS(627),
    [anon_sym_POUNDfilePath] = ACTIONS(627),
    [anon_sym_POUNDline] = ACTIONS(627),
    [anon_sym_POUNDcolumn] = ACTIONS(627),
    [anon_sym_POUNDfunction] = ACTIONS(627),
    [anon_sym_POUNDdsohandle] = ACTIONS(627),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_RBRACE] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_case] = ACTIONS(637),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(627),
    [anon_sym_DASH_EQ] = ACTIONS(627),
    [anon_sym_STAR_EQ] = ACTIONS(627),
    [anon_sym_SLASH_EQ] = ACTIONS(627),
    [anon_sym_PERCENT_EQ] = ACTIONS(627),
    [anon_sym_BANG_EQ] = ACTIONS(625),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(627),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(627),
    [anon_sym_LT_EQ] = ACTIONS(627),
    [anon_sym_GT_EQ] = ACTIONS(627),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(649),
    [anon_sym_DOT_DOT_LT] = ACTIONS(651),
    [anon_sym_is] = ACTIONS(637),
    [anon_sym_PLUS] = ACTIONS(653),
    [anon_sym_DASH] = ACTIONS(653),
    [anon_sym_STAR] = ACTIONS(625),
    [anon_sym_SLASH] = ACTIONS(625),
    [anon_sym_PERCENT] = ACTIONS(625),
    [anon_sym_PLUS_PLUS] = ACTIONS(639),
    [anon_sym_DASH_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(639),
    [anon_sym_PIPE] = ACTIONS(627),
    [anon_sym_CARET] = ACTIONS(625),
    [anon_sym_LT_LT] = ACTIONS(627),
    [anon_sym_GT_GT] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(637),
    [anon_sym_typealias] = ACTIONS(637),
    [anon_sym_struct] = ACTIONS(637),
    [anon_sym_class] = ACTIONS(637),
    [anon_sym_enum] = ACTIONS(637),
    [anon_sym_protocol] = ACTIONS(637),
    [anon_sym_let] = ACTIONS(637),
    [anon_sym_var] = ACTIONS(637),
    [anon_sym_func] = ACTIONS(637),
    [anon_sym_extension] = ACTIONS(637),
    [anon_sym_indirect] = ACTIONS(637),
    [anon_sym_BANG2] = ACTIONS(655),
    [anon_sym_SEMI] = ACTIONS(631),
    [anon_sym_init] = ACTIONS(637),
    [anon_sym_deinit] = ACTIONS(637),
    [anon_sym_subscript] = ACTIONS(637),
    [anon_sym_prefix] = ACTIONS(637),
    [anon_sym_infix] = ACTIONS(637),
    [anon_sym_postfix] = ACTIONS(637),
    [anon_sym_precedencegroup] = ACTIONS(637),
    [anon_sym_associatedtype] = ACTIONS(637),
    [anon_sym_AT] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_convenience] = ACTIONS(637),
    [anon_sym_required] = ACTIONS(637),
    [anon_sym_nonisolated] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_internal] = ACTIONS(637),
    [anon_sym_fileprivate] = ACTIONS(637),
    [anon_sym_open] = ACTIONS(637),
    [anon_sym_mutating] = ACTIONS(637),
    [anon_sym_nonmutating] = ACTIONS(637),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_dynamic] = ACTIONS(637),
    [anon_sym_optional] = ACTIONS(637),
    [anon_sym_distributed] = ACTIONS(637),
    [anon_sym_final] = ACTIONS(637),
    [anon_sym_inout] = ACTIONS(637),
    [anon_sym_ATescaping] = ACTIONS(631),
    [anon_sym_ATautoclosure] = ACTIONS(631),
    [anon_sym_weak] = ACTIONS(637),
    [anon_sym_unowned] = ACTIONS(637),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(631),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(631),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(657),
    [sym__conjunction_operator_custom] = ACTIONS(631),
    [sym__disjunction_operator_custom] = ACTIONS(631),
    [sym__nil_coalescing_operator_custom] = ACTIONS(631),
    [sym__eq_custom] = ACTIONS(627),
    [sym__eq_eq_custom] = ACTIONS(627),
    [sym__plus_then_ws] = ACTIONS(627),
    [sym__minus_then_ws] = ACTIONS(627),
    [sym__bang_custom] = ACTIONS(659),
    [sym__as_custom] = ACTIONS(631),
    [sym__as_quest_custom] = ACTIONS(631),
    [sym__as_bang_custom] = ACTIONS(631),
    [sym__custom_operator] = ACTIONS(643),
  },
  [106] = {
    [sym_simple_identifier] = STATE(1141),
    [sym__contextual_simple_identifier] = STATE(1051),
    [sym__basic_literal] = STATE(671),
    [sym_boolean_literal] = STATE(671),
    [sym__string_literal] = STATE(671),
    [sym_line_string_literal] = STATE(671),
    [sym_multi_line_string_literal] = STATE(671),
    [sym_raw_string_literal] = STATE(671),
    [sym_regex_literal] = STATE(671),
    [sym__multiline_regex_literal] = STATE(1215),
    [sym_user_type] = STATE(5510),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5510),
    [sym_dictionary_type] = STATE(5510),
    [sym__expression] = STATE(671),
    [sym__unary_expression] = STATE(671),
    [sym_postfix_expression] = STATE(671),
    [sym_constructor_expression] = STATE(671),
    [sym__parenthesized_type] = STATE(6558),
    [sym_navigation_expression] = STATE(671),
    [sym__navigable_type_expression] = STATE(6557),
    [sym_open_start_range_expression] = STATE(671),
    [sym__range_operator] = STATE(523),
    [sym_open_end_range_expression] = STATE(671),
    [sym_prefix_expression] = STATE(671),
    [sym_as_expression] = STATE(671),
    [sym_selector_expression] = STATE(671),
    [sym__binary_expression] = STATE(671),
    [sym_multiplicative_expression] = STATE(671),
    [sym_additive_expression] = STATE(671),
    [sym_range_expression] = STATE(671),
    [sym_infix_expression] = STATE(671),
    [sym_nil_coalescing_expression] = STATE(671),
    [sym_check_expression] = STATE(671),
    [sym_comparison_expression] = STATE(671),
    [sym_equality_expression] = STATE(671),
    [sym_conjunction_expression] = STATE(671),
    [sym_disjunction_expression] = STATE(671),
    [sym_bitwise_operation] = STATE(671),
    [sym_custom_operator] = STATE(628),
    [sym_try_expression] = STATE(671),
    [sym_await_expression] = STATE(671),
    [sym__await_operator] = STATE(518),
    [sym_ternary_expression] = STATE(671),
    [sym_call_expression] = STATE(671),
    [sym__primary_expression] = STATE(671),
    [sym_tuple_expression] = STATE(671),
    [sym_array_literal] = STATE(671),
    [sym_dictionary_literal] = STATE(671),
    [sym__special_literal] = STATE(671),
    [sym__playground_literal] = STATE(671),
    [sym_lambda_literal] = STATE(671),
    [sym_self_expression] = STATE(671),
    [sym_super_expression] = STATE(671),
    [sym_if_statement] = STATE(1244),
    [sym_guard_statement] = STATE(3458),
    [sym_switch_statement] = STATE(1244),
    [sym_do_statement] = STATE(3458),
    [sym_key_path_expression] = STATE(671),
    [sym_key_path_string_expression] = STATE(671),
    [sym_try_operator] = STATE(515),
    [sym__assignment_and_operator] = STATE(671),
    [sym__equality_operator] = STATE(671),
    [sym__comparison_operator] = STATE(671),
    [sym__three_dot_operator] = STATE(625),
    [sym__open_ended_range_operator] = STATE(523),
    [sym__additive_operator] = STATE(671),
    [sym__multiplicative_operator] = STATE(671),
    [sym__prefix_unary_operator] = STATE(509),
    [sym_directly_assignable_expression] = STATE(5511),
    [sym_statements] = STATE(3969),
    [sym__local_statement] = STATE(3458),
    [sym__labeled_statement] = STATE(3458),
    [sym_for_statement] = STATE(3458),
    [sym_while_statement] = STATE(3458),
    [sym_repeat_while_statement] = STATE(3458),
    [sym_control_transfer_statement] = STATE(3458),
    [sym__throw_statement] = STATE(3902),
    [sym__optionally_valueful_control_keyword] = STATE(124),
    [sym_assignment] = STATE(671),
    [sym_value_parameter_pack] = STATE(671),
    [sym_value_pack_expansion] = STATE(671),
    [sym__local_declaration] = STATE(3458),
    [sym__local_property_declaration] = STATE(3927),
    [sym__local_typealias_declaration] = STATE(3917),
    [sym__local_function_declaration] = STATE(3924),
    [sym__local_class_declaration] = STATE(3931),
    [sym__modifierless_property_declaration] = STATE(3926),
    [sym__modifierless_typealias_declaration] = STATE(3959),
    [sym__modifierless_function_declaration] = STATE(3958),
    [sym__modifierless_function_declaration_no_body] = STATE(6699),
    [sym__modifierless_class_declaration] = STATE(3957),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__referenceable_operator] = STATE(671),
    [sym__equal_sign] = STATE(671),
    [sym__eq_eq] = STATE(671),
    [sym__dot] = STATE(509),
    [sym_bang] = STATE(628),
    [sym__async_modifier] = STATE(6632),
    [sym_attribute] = STATE(4187),
    [sym_value_binding_pattern] = STATE(3979),
    [sym__possibly_async_binding_pattern_kind] = STATE(3979),
    [aux_sym__locally_permitted_modifiers] = STATE(4187),
    [sym__locally_permitted_modifier] = STATE(4187),
    [sym_property_behavior_modifier] = STATE(4187),
    [sym_inheritance_modifier] = STATE(4187),
    [sym_ownership_modifier] = STATE(4187),
    [sym__parameter_ownership_modifier] = STATE(1051),
    [aux_sym_raw_string_literal_repeat1] = STATE(6487),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(291),
    [aux_sym_simple_identifier_token2] = ACTIONS(293),
    [aux_sym_simple_identifier_token3] = ACTIONS(293),
    [aux_sym_simple_identifier_token4] = ACTIONS(293),
    [anon_sym_actor] = ACTIONS(295),
    [anon_sym_async] = ACTIONS(297),
    [anon_sym_each] = ACTIONS(299),
    [anon_sym_lazy] = ACTIONS(619),
    [anon_sym_repeat] = ACTIONS(303),
    [anon_sym_package] = ACTIONS(291),
    [anon_sym_nil] = ACTIONS(305),
    [sym_real_literal] = ACTIONS(307),
    [sym_integer_literal] = ACTIONS(305),
    [sym_hex_literal] = ACTIONS(307),
    [sym_oct_literal] = ACTIONS(307),
    [sym_bin_literal] = ACTIONS(307),
    [anon_sym_true] = ACTIONS(309),
    [anon_sym_false] = ACTIONS(309),
    [anon_sym_DQUOTE] = ACTIONS(311),
    [anon_sym_BSLASH] = ACTIONS(313),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(315),
    [sym__extended_regex_literal] = ACTIONS(317),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(319),
    [sym__oneline_regex_literal] = ACTIONS(321),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_LBRACK] = ACTIONS(325),
    [anon_sym_AMP] = ACTIONS(327),
    [anon_sym_if] = ACTIONS(329),
    [anon_sym_switch] = ACTIONS(331),
    [anon_sym_POUNDselector] = ACTIONS(333),
    [aux_sym_custom_operator_token1] = ACTIONS(335),
    [anon_sym_LT] = ACTIONS(305),
    [anon_sym_GT] = ACTIONS(305),
    [anon_sym_await] = ACTIONS(337),
    [anon_sym_POUNDfile] = ACTIONS(305),
    [anon_sym_POUNDfileID] = ACTIONS(307),
    [anon_sym_POUNDfilePath] = ACTIONS(307),
    [anon_sym_POUNDline] = ACTIONS(307),
    [anon_sym_POUNDcolumn] = ACTIONS(307),
    [anon_sym_POUNDfunction] = ACTIONS(307),
    [anon_sym_POUNDdsohandle] = ACTIONS(307),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(339),
    [anon_sym_POUNDfileLiteral] = ACTIONS(339),
    [anon_sym_POUNDimageLiteral] = ACTIONS(339),
    [anon_sym_LBRACE] = ACTIONS(341),
    [anon_sym_CARET_LBRACE] = ACTIONS(341),
    [anon_sym_self] = ACTIONS(345),
    [anon_sym_super] = ACTIONS(347),
    [anon_sym_guard] = ACTIONS(349),
    [anon_sym_do] = ACTIONS(351),
    [anon_sym_POUNDkeyPath] = ACTIONS(353),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(307),
    [anon_sym_DASH_EQ] = ACTIONS(307),
    [anon_sym_STAR_EQ] = ACTIONS(307),
    [anon_sym_SLASH_EQ] = ACTIONS(307),
    [anon_sym_PERCENT_EQ] = ACTIONS(307),
    [anon_sym_BANG_EQ] = ACTIONS(305),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(307),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(307),
    [anon_sym_LT_EQ] = ACTIONS(307),
    [anon_sym_GT_EQ] = ACTIONS(307),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(355),
    [anon_sym_DOT_DOT_LT] = ACTIONS(357),
    [anon_sym_PLUS] = ACTIONS(359),
    [anon_sym_DASH] = ACTIONS(359),
    [anon_sym_STAR] = ACTIONS(305),
    [anon_sym_SLASH] = ACTIONS(305),
    [anon_sym_PERCENT] = ACTIONS(305),
    [anon_sym_PLUS_PLUS] = ACTIONS(327),
    [anon_sym_DASH_DASH] = ACTIONS(327),
    [anon_sym_TILDE] = ACTIONS(327),
    [anon_sym_PIPE] = ACTIONS(307),
    [anon_sym_CARET] = ACTIONS(305),
    [anon_sym_LT_LT] = ACTIONS(307),
    [anon_sym_GT_GT] = ACTIONS(307),
    [sym_statement_label] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(365),
    [sym_throw_keyword] = ACTIONS(367),
    [anon_sym_return] = ACTIONS(369),
    [anon_sym_continue] = ACTIONS(369),
    [anon_sym_break] = ACTIONS(369),
    [anon_sym_yield] = ACTIONS(369),
    [anon_sym_typealias] = ACTIONS(371),
    [anon_sym_struct] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(373),
    [anon_sym_enum] = ACTIONS(375),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_func] = ACTIONS(105),
    [anon_sym_extension] = ACTIONS(377),
    [anon_sym_indirect] = ACTIONS(379),
    [anon_sym_BANG2] = ACTIONS(381),
    [anon_sym_AT] = ACTIONS(395),
    [anon_sym_final] = ACTIONS(397),
    [anon_sym_weak] = ACTIONS(399),
    [anon_sym_unowned] = ACTIONS(399),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(401),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(401),
    [anon_sym_borrowing] = ACTIONS(291),
    [anon_sym_consuming] = ACTIONS(291),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(383),
    [sym__dot_custom] = ACTIONS(385),
    [sym__eq_custom] = ACTIONS(307),
    [sym__eq_eq_custom] = ACTIONS(307),
    [sym__plus_then_ws] = ACTIONS(307),
    [sym__minus_then_ws] = ACTIONS(307),
    [sym__bang_custom] = ACTIONS(387),
    [sym__custom_operator] = ACTIONS(335),
  },
  [107] = {
    [sym_simple_identifier] = STATE(1141),
    [sym__contextual_simple_identifier] = STATE(1051),
    [sym__basic_literal] = STATE(671),
    [sym_boolean_literal] = STATE(671),
    [sym__string_literal] = STATE(671),
    [sym_line_string_literal] = STATE(671),
    [sym_multi_line_string_literal] = STATE(671),
    [sym_raw_string_literal] = STATE(671),
    [sym_regex_literal] = STATE(671),
    [sym__multiline_regex_literal] = STATE(1215),
    [sym_user_type] = STATE(5510),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5510),
    [sym_dictionary_type] = STATE(5510),
    [sym__expression] = STATE(671),
    [sym__unary_expression] = STATE(671),
    [sym_postfix_expression] = STATE(671),
    [sym_constructor_expression] = STATE(671),
    [sym__parenthesized_type] = STATE(6558),
    [sym_navigation_expression] = STATE(671),
    [sym__navigable_type_expression] = STATE(6557),
    [sym_open_start_range_expression] = STATE(671),
    [sym__range_operator] = STATE(523),
    [sym_open_end_range_expression] = STATE(671),
    [sym_prefix_expression] = STATE(671),
    [sym_as_expression] = STATE(671),
    [sym_selector_expression] = STATE(671),
    [sym__binary_expression] = STATE(671),
    [sym_multiplicative_expression] = STATE(671),
    [sym_additive_expression] = STATE(671),
    [sym_range_expression] = STATE(671),
    [sym_infix_expression] = STATE(671),
    [sym_nil_coalescing_expression] = STATE(671),
    [sym_check_expression] = STATE(671),
    [sym_comparison_expression] = STATE(671),
    [sym_equality_expression] = STATE(671),
    [sym_conjunction_expression] = STATE(671),
    [sym_disjunction_expression] = STATE(671),
    [sym_bitwise_operation] = STATE(671),
    [sym_custom_operator] = STATE(628),
    [sym_try_expression] = STATE(671),
    [sym_await_expression] = STATE(671),
    [sym__await_operator] = STATE(518),
    [sym_ternary_expression] = STATE(671),
    [sym_call_expression] = STATE(671),
    [sym__primary_expression] = STATE(671),
    [sym_tuple_expression] = STATE(671),
    [sym_array_literal] = STATE(671),
    [sym_dictionary_literal] = STATE(671),
    [sym__special_literal] = STATE(671),
    [sym__playground_literal] = STATE(671),
    [sym_lambda_literal] = STATE(671),
    [sym_self_expression] = STATE(671),
    [sym_super_expression] = STATE(671),
    [sym_if_statement] = STATE(1244),
    [sym_guard_statement] = STATE(3458),
    [sym_switch_statement] = STATE(1244),
    [sym_do_statement] = STATE(3458),
    [sym_key_path_expression] = STATE(671),
    [sym_key_path_string_expression] = STATE(671),
    [sym_try_operator] = STATE(515),
    [sym__assignment_and_operator] = STATE(671),
    [sym__equality_operator] = STATE(671),
    [sym__comparison_operator] = STATE(671),
    [sym__three_dot_operator] = STATE(625),
    [sym__open_ended_range_operator] = STATE(523),
    [sym__additive_operator] = STATE(671),
    [sym__multiplicative_operator] = STATE(671),
    [sym__prefix_unary_operator] = STATE(509),
    [sym_directly_assignable_expression] = STATE(5511),
    [sym_statements] = STATE(3967),
    [sym__local_statement] = STATE(3458),
    [sym__labeled_statement] = STATE(3458),
    [sym_for_statement] = STATE(3458),
    [sym_while_statement] = STATE(3458),
    [sym_repeat_while_statement] = STATE(3458),
    [sym_control_transfer_statement] = STATE(3458),
    [sym__throw_statement] = STATE(3902),
    [sym__optionally_valueful_control_keyword] = STATE(124),
    [sym_assignment] = STATE(671),
    [sym_value_parameter_pack] = STATE(671),
    [sym_value_pack_expansion] = STATE(671),
    [sym__local_declaration] = STATE(3458),
    [sym__local_property_declaration] = STATE(3927),
    [sym__local_typealias_declaration] = STATE(3917),
    [sym__local_function_declaration] = STATE(3924),
    [sym__local_class_declaration] = STATE(3931),
    [sym__modifierless_property_declaration] = STATE(3926),
    [sym__modifierless_typealias_declaration] = STATE(3959),
    [sym__modifierless_function_declaration] = STATE(3958),
    [sym__modifierless_function_declaration_no_body] = STATE(6699),
    [sym__modifierless_class_declaration] = STATE(3957),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__referenceable_operator] = STATE(671),
    [sym__equal_sign] = STATE(671),
    [sym__eq_eq] = STATE(671),
    [sym__dot] = STATE(509),
    [sym_bang] = STATE(628),
    [sym__async_modifier] = STATE(6632),
    [sym_attribute] = STATE(4187),
    [sym_value_binding_pattern] = STATE(3979),
    [sym__possibly_async_binding_pattern_kind] = STATE(3979),
    [aux_sym__locally_permitted_modifiers] = STATE(4187),
    [sym__locally_permitted_modifier] = STATE(4187),
    [sym_property_behavior_modifier] = STATE(4187),
    [sym_inheritance_modifier] = STATE(4187),
    [sym_ownership_modifier] = STATE(4187),
    [sym__parameter_ownership_modifier] = STATE(1051),
    [aux_sym_raw_string_literal_repeat1] = STATE(6487),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(291),
    [aux_sym_simple_identifier_token2] = ACTIONS(293),
    [aux_sym_simple_identifier_token3] = ACTIONS(293),
    [aux_sym_simple_identifier_token4] = ACTIONS(293),
    [anon_sym_actor] = ACTIONS(295),
    [anon_sym_async] = ACTIONS(297),
    [anon_sym_each] = ACTIONS(299),
    [anon_sym_lazy] = ACTIONS(619),
    [anon_sym_repeat] = ACTIONS(303),
    [anon_sym_package] = ACTIONS(291),
    [anon_sym_nil] = ACTIONS(305),
    [sym_real_literal] = ACTIONS(307),
    [sym_integer_literal] = ACTIONS(305),
    [sym_hex_literal] = ACTIONS(307),
    [sym_oct_literal] = ACTIONS(307),
    [sym_bin_literal] = ACTIONS(307),
    [anon_sym_true] = ACTIONS(309),
    [anon_sym_false] = ACTIONS(309),
    [anon_sym_DQUOTE] = ACTIONS(311),
    [anon_sym_BSLASH] = ACTIONS(313),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(315),
    [sym__extended_regex_literal] = ACTIONS(317),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(319),
    [sym__oneline_regex_literal] = ACTIONS(321),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_LBRACK] = ACTIONS(325),
    [anon_sym_AMP] = ACTIONS(327),
    [anon_sym_if] = ACTIONS(329),
    [anon_sym_switch] = ACTIONS(331),
    [anon_sym_POUNDselector] = ACTIONS(333),
    [aux_sym_custom_operator_token1] = ACTIONS(335),
    [anon_sym_LT] = ACTIONS(305),
    [anon_sym_GT] = ACTIONS(305),
    [anon_sym_await] = ACTIONS(337),
    [anon_sym_POUNDfile] = ACTIONS(305),
    [anon_sym_POUNDfileID] = ACTIONS(307),
    [anon_sym_POUNDfilePath] = ACTIONS(307),
    [anon_sym_POUNDline] = ACTIONS(307),
    [anon_sym_POUNDcolumn] = ACTIONS(307),
    [anon_sym_POUNDfunction] = ACTIONS(307),
    [anon_sym_POUNDdsohandle] = ACTIONS(307),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(339),
    [anon_sym_POUNDfileLiteral] = ACTIONS(339),
    [anon_sym_POUNDimageLiteral] = ACTIONS(339),
    [anon_sym_LBRACE] = ACTIONS(341),
    [anon_sym_CARET_LBRACE] = ACTIONS(341),
    [anon_sym_self] = ACTIONS(345),
    [anon_sym_super] = ACTIONS(347),
    [anon_sym_guard] = ACTIONS(349),
    [anon_sym_do] = ACTIONS(351),
    [anon_sym_POUNDkeyPath] = ACTIONS(353),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(307),
    [anon_sym_DASH_EQ] = ACTIONS(307),
    [anon_sym_STAR_EQ] = ACTIONS(307),
    [anon_sym_SLASH_EQ] = ACTIONS(307),
    [anon_sym_PERCENT_EQ] = ACTIONS(307),
    [anon_sym_BANG_EQ] = ACTIONS(305),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(307),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(307),
    [anon_sym_LT_EQ] = ACTIONS(307),
    [anon_sym_GT_EQ] = ACTIONS(307),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(355),
    [anon_sym_DOT_DOT_LT] = ACTIONS(357),
    [anon_sym_PLUS] = ACTIONS(359),
    [anon_sym_DASH] = ACTIONS(359),
    [anon_sym_STAR] = ACTIONS(305),
    [anon_sym_SLASH] = ACTIONS(305),
    [anon_sym_PERCENT] = ACTIONS(305),
    [anon_sym_PLUS_PLUS] = ACTIONS(327),
    [anon_sym_DASH_DASH] = ACTIONS(327),
    [anon_sym_TILDE] = ACTIONS(327),
    [anon_sym_PIPE] = ACTIONS(307),
    [anon_sym_CARET] = ACTIONS(305),
    [anon_sym_LT_LT] = ACTIONS(307),
    [anon_sym_GT_GT] = ACTIONS(307),
    [sym_statement_label] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(365),
    [sym_throw_keyword] = ACTIONS(367),
    [anon_sym_return] = ACTIONS(369),
    [anon_sym_continue] = ACTIONS(369),
    [anon_sym_break] = ACTIONS(369),
    [anon_sym_yield] = ACTIONS(369),
    [anon_sym_typealias] = ACTIONS(371),
    [anon_sym_struct] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(373),
    [anon_sym_enum] = ACTIONS(375),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_func] = ACTIONS(105),
    [anon_sym_extension] = ACTIONS(377),
    [anon_sym_indirect] = ACTIONS(379),
    [anon_sym_BANG2] = ACTIONS(381),
    [anon_sym_AT] = ACTIONS(395),
    [anon_sym_final] = ACTIONS(397),
    [anon_sym_weak] = ACTIONS(399),
    [anon_sym_unowned] = ACTIONS(399),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(401),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(401),
    [anon_sym_borrowing] = ACTIONS(291),
    [anon_sym_consuming] = ACTIONS(291),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(383),
    [sym__dot_custom] = ACTIONS(385),
    [sym__eq_custom] = ACTIONS(307),
    [sym__eq_eq_custom] = ACTIONS(307),
    [sym__plus_then_ws] = ACTIONS(307),
    [sym__minus_then_ws] = ACTIONS(307),
    [sym__bang_custom] = ACTIONS(387),
    [sym__custom_operator] = ACTIONS(335),
  },
  [108] = {
    [sym_simple_identifier] = STATE(1141),
    [sym__contextual_simple_identifier] = STATE(1051),
    [sym__basic_literal] = STATE(671),
    [sym_boolean_literal] = STATE(671),
    [sym__string_literal] = STATE(671),
    [sym_line_string_literal] = STATE(671),
    [sym_multi_line_string_literal] = STATE(671),
    [sym_raw_string_literal] = STATE(671),
    [sym_regex_literal] = STATE(671),
    [sym__multiline_regex_literal] = STATE(1215),
    [sym_user_type] = STATE(5510),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5510),
    [sym_dictionary_type] = STATE(5510),
    [sym__expression] = STATE(671),
    [sym__unary_expression] = STATE(671),
    [sym_postfix_expression] = STATE(671),
    [sym_constructor_expression] = STATE(671),
    [sym__parenthesized_type] = STATE(6558),
    [sym_navigation_expression] = STATE(671),
    [sym__navigable_type_expression] = STATE(6557),
    [sym_open_start_range_expression] = STATE(671),
    [sym__range_operator] = STATE(523),
    [sym_open_end_range_expression] = STATE(671),
    [sym_prefix_expression] = STATE(671),
    [sym_as_expression] = STATE(671),
    [sym_selector_expression] = STATE(671),
    [sym__binary_expression] = STATE(671),
    [sym_multiplicative_expression] = STATE(671),
    [sym_additive_expression] = STATE(671),
    [sym_range_expression] = STATE(671),
    [sym_infix_expression] = STATE(671),
    [sym_nil_coalescing_expression] = STATE(671),
    [sym_check_expression] = STATE(671),
    [sym_comparison_expression] = STATE(671),
    [sym_equality_expression] = STATE(671),
    [sym_conjunction_expression] = STATE(671),
    [sym_disjunction_expression] = STATE(671),
    [sym_bitwise_operation] = STATE(671),
    [sym_custom_operator] = STATE(628),
    [sym_try_expression] = STATE(671),
    [sym_await_expression] = STATE(671),
    [sym__await_operator] = STATE(518),
    [sym_ternary_expression] = STATE(671),
    [sym_call_expression] = STATE(671),
    [sym__primary_expression] = STATE(671),
    [sym_tuple_expression] = STATE(671),
    [sym_array_literal] = STATE(671),
    [sym_dictionary_literal] = STATE(671),
    [sym__special_literal] = STATE(671),
    [sym__playground_literal] = STATE(671),
    [sym_lambda_literal] = STATE(671),
    [sym_self_expression] = STATE(671),
    [sym_super_expression] = STATE(671),
    [sym_if_statement] = STATE(1244),
    [sym_guard_statement] = STATE(3458),
    [sym_switch_statement] = STATE(1244),
    [sym_do_statement] = STATE(3458),
    [sym_key_path_expression] = STATE(671),
    [sym_key_path_string_expression] = STATE(671),
    [sym_try_operator] = STATE(515),
    [sym__assignment_and_operator] = STATE(671),
    [sym__equality_operator] = STATE(671),
    [sym__comparison_operator] = STATE(671),
    [sym__three_dot_operator] = STATE(625),
    [sym__open_ended_range_operator] = STATE(523),
    [sym__additive_operator] = STATE(671),
    [sym__multiplicative_operator] = STATE(671),
    [sym__prefix_unary_operator] = STATE(509),
    [sym_directly_assignable_expression] = STATE(5511),
    [sym_statements] = STATE(3965),
    [sym__local_statement] = STATE(3458),
    [sym__labeled_statement] = STATE(3458),
    [sym_for_statement] = STATE(3458),
    [sym_while_statement] = STATE(3458),
    [sym_repeat_while_statement] = STATE(3458),
    [sym_control_transfer_statement] = STATE(3458),
    [sym__throw_statement] = STATE(3902),
    [sym__optionally_valueful_control_keyword] = STATE(124),
    [sym_assignment] = STATE(671),
    [sym_value_parameter_pack] = STATE(671),
    [sym_value_pack_expansion] = STATE(671),
    [sym__local_declaration] = STATE(3458),
    [sym__local_property_declaration] = STATE(3927),
    [sym__local_typealias_declaration] = STATE(3917),
    [sym__local_function_declaration] = STATE(3924),
    [sym__local_class_declaration] = STATE(3931),
    [sym__modifierless_property_declaration] = STATE(3926),
    [sym__modifierless_typealias_declaration] = STATE(3959),
    [sym__modifierless_function_declaration] = STATE(3958),
    [sym__modifierless_function_declaration_no_body] = STATE(6699),
    [sym__modifierless_class_declaration] = STATE(3957),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__referenceable_operator] = STATE(671),
    [sym__equal_sign] = STATE(671),
    [sym__eq_eq] = STATE(671),
    [sym__dot] = STATE(509),
    [sym_bang] = STATE(628),
    [sym__async_modifier] = STATE(6632),
    [sym_attribute] = STATE(4187),
    [sym_value_binding_pattern] = STATE(3979),
    [sym__possibly_async_binding_pattern_kind] = STATE(3979),
    [aux_sym__locally_permitted_modifiers] = STATE(4187),
    [sym__locally_permitted_modifier] = STATE(4187),
    [sym_property_behavior_modifier] = STATE(4187),
    [sym_inheritance_modifier] = STATE(4187),
    [sym_ownership_modifier] = STATE(4187),
    [sym__parameter_ownership_modifier] = STATE(1051),
    [aux_sym_raw_string_literal_repeat1] = STATE(6487),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(291),
    [aux_sym_simple_identifier_token2] = ACTIONS(293),
    [aux_sym_simple_identifier_token3] = ACTIONS(293),
    [aux_sym_simple_identifier_token4] = ACTIONS(293),
    [anon_sym_actor] = ACTIONS(295),
    [anon_sym_async] = ACTIONS(297),
    [anon_sym_each] = ACTIONS(299),
    [anon_sym_lazy] = ACTIONS(619),
    [anon_sym_repeat] = ACTIONS(303),
    [anon_sym_package] = ACTIONS(291),
    [anon_sym_nil] = ACTIONS(305),
    [sym_real_literal] = ACTIONS(307),
    [sym_integer_literal] = ACTIONS(305),
    [sym_hex_literal] = ACTIONS(307),
    [sym_oct_literal] = ACTIONS(307),
    [sym_bin_literal] = ACTIONS(307),
    [anon_sym_true] = ACTIONS(309),
    [anon_sym_false] = ACTIONS(309),
    [anon_sym_DQUOTE] = ACTIONS(311),
    [anon_sym_BSLASH] = ACTIONS(313),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(315),
    [sym__extended_regex_literal] = ACTIONS(317),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(319),
    [sym__oneline_regex_literal] = ACTIONS(321),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_LBRACK] = ACTIONS(325),
    [anon_sym_AMP] = ACTIONS(327),
    [anon_sym_if] = ACTIONS(329),
    [anon_sym_switch] = ACTIONS(331),
    [anon_sym_POUNDselector] = ACTIONS(333),
    [aux_sym_custom_operator_token1] = ACTIONS(335),
    [anon_sym_LT] = ACTIONS(305),
    [anon_sym_GT] = ACTIONS(305),
    [anon_sym_await] = ACTIONS(337),
    [anon_sym_POUNDfile] = ACTIONS(305),
    [anon_sym_POUNDfileID] = ACTIONS(307),
    [anon_sym_POUNDfilePath] = ACTIONS(307),
    [anon_sym_POUNDline] = ACTIONS(307),
    [anon_sym_POUNDcolumn] = ACTIONS(307),
    [anon_sym_POUNDfunction] = ACTIONS(307),
    [anon_sym_POUNDdsohandle] = ACTIONS(307),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(339),
    [anon_sym_POUNDfileLiteral] = ACTIONS(339),
    [anon_sym_POUNDimageLiteral] = ACTIONS(339),
    [anon_sym_LBRACE] = ACTIONS(341),
    [anon_sym_CARET_LBRACE] = ACTIONS(341),
    [anon_sym_self] = ACTIONS(345),
    [anon_sym_super] = ACTIONS(347),
    [anon_sym_guard] = ACTIONS(349),
    [anon_sym_do] = ACTIONS(351),
    [anon_sym_POUNDkeyPath] = ACTIONS(353),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(307),
    [anon_sym_DASH_EQ] = ACTIONS(307),
    [anon_sym_STAR_EQ] = ACTIONS(307),
    [anon_sym_SLASH_EQ] = ACTIONS(307),
    [anon_sym_PERCENT_EQ] = ACTIONS(307),
    [anon_sym_BANG_EQ] = ACTIONS(305),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(307),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(307),
    [anon_sym_LT_EQ] = ACTIONS(307),
    [anon_sym_GT_EQ] = ACTIONS(307),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(355),
    [anon_sym_DOT_DOT_LT] = ACTIONS(357),
    [anon_sym_PLUS] = ACTIONS(359),
    [anon_sym_DASH] = ACTIONS(359),
    [anon_sym_STAR] = ACTIONS(305),
    [anon_sym_SLASH] = ACTIONS(305),
    [anon_sym_PERCENT] = ACTIONS(305),
    [anon_sym_PLUS_PLUS] = ACTIONS(327),
    [anon_sym_DASH_DASH] = ACTIONS(327),
    [anon_sym_TILDE] = ACTIONS(327),
    [anon_sym_PIPE] = ACTIONS(307),
    [anon_sym_CARET] = ACTIONS(305),
    [anon_sym_LT_LT] = ACTIONS(307),
    [anon_sym_GT_GT] = ACTIONS(307),
    [sym_statement_label] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(365),
    [sym_throw_keyword] = ACTIONS(367),
    [anon_sym_return] = ACTIONS(369),
    [anon_sym_continue] = ACTIONS(369),
    [anon_sym_break] = ACTIONS(369),
    [anon_sym_yield] = ACTIONS(369),
    [anon_sym_typealias] = ACTIONS(371),
    [anon_sym_struct] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(373),
    [anon_sym_enum] = ACTIONS(375),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_func] = ACTIONS(105),
    [anon_sym_extension] = ACTIONS(377),
    [anon_sym_indirect] = ACTIONS(379),
    [anon_sym_BANG2] = ACTIONS(381),
    [anon_sym_AT] = ACTIONS(395),
    [anon_sym_final] = ACTIONS(397),
    [anon_sym_weak] = ACTIONS(399),
    [anon_sym_unowned] = ACTIONS(399),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(401),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(401),
    [anon_sym_borrowing] = ACTIONS(291),
    [anon_sym_consuming] = ACTIONS(291),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(383),
    [sym__dot_custom] = ACTIONS(385),
    [sym__eq_custom] = ACTIONS(307),
    [sym__eq_eq_custom] = ACTIONS(307),
    [sym__plus_then_ws] = ACTIONS(307),
    [sym__minus_then_ws] = ACTIONS(307),
    [sym__bang_custom] = ACTIONS(387),
    [sym__custom_operator] = ACTIONS(335),
  },
  [109] = {
    [sym_simple_identifier] = STATE(1141),
    [sym__contextual_simple_identifier] = STATE(1051),
    [sym__basic_literal] = STATE(671),
    [sym_boolean_literal] = STATE(671),
    [sym__string_literal] = STATE(671),
    [sym_line_string_literal] = STATE(671),
    [sym_multi_line_string_literal] = STATE(671),
    [sym_raw_string_literal] = STATE(671),
    [sym_regex_literal] = STATE(671),
    [sym__multiline_regex_literal] = STATE(1215),
    [sym_user_type] = STATE(5510),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5510),
    [sym_dictionary_type] = STATE(5510),
    [sym__expression] = STATE(671),
    [sym__unary_expression] = STATE(671),
    [sym_postfix_expression] = STATE(671),
    [sym_constructor_expression] = STATE(671),
    [sym__parenthesized_type] = STATE(6558),
    [sym_navigation_expression] = STATE(671),
    [sym__navigable_type_expression] = STATE(6557),
    [sym_open_start_range_expression] = STATE(671),
    [sym__range_operator] = STATE(523),
    [sym_open_end_range_expression] = STATE(671),
    [sym_prefix_expression] = STATE(671),
    [sym_as_expression] = STATE(671),
    [sym_selector_expression] = STATE(671),
    [sym__binary_expression] = STATE(671),
    [sym_multiplicative_expression] = STATE(671),
    [sym_additive_expression] = STATE(671),
    [sym_range_expression] = STATE(671),
    [sym_infix_expression] = STATE(671),
    [sym_nil_coalescing_expression] = STATE(671),
    [sym_check_expression] = STATE(671),
    [sym_comparison_expression] = STATE(671),
    [sym_equality_expression] = STATE(671),
    [sym_conjunction_expression] = STATE(671),
    [sym_disjunction_expression] = STATE(671),
    [sym_bitwise_operation] = STATE(671),
    [sym_custom_operator] = STATE(628),
    [sym_try_expression] = STATE(671),
    [sym_await_expression] = STATE(671),
    [sym__await_operator] = STATE(518),
    [sym_ternary_expression] = STATE(671),
    [sym_call_expression] = STATE(671),
    [sym__primary_expression] = STATE(671),
    [sym_tuple_expression] = STATE(671),
    [sym_array_literal] = STATE(671),
    [sym_dictionary_literal] = STATE(671),
    [sym__special_literal] = STATE(671),
    [sym__playground_literal] = STATE(671),
    [sym_lambda_literal] = STATE(671),
    [sym_self_expression] = STATE(671),
    [sym_super_expression] = STATE(671),
    [sym_if_statement] = STATE(1244),
    [sym_guard_statement] = STATE(3458),
    [sym_switch_statement] = STATE(1244),
    [sym_do_statement] = STATE(3458),
    [sym_key_path_expression] = STATE(671),
    [sym_key_path_string_expression] = STATE(671),
    [sym_try_operator] = STATE(515),
    [sym__assignment_and_operator] = STATE(671),
    [sym__equality_operator] = STATE(671),
    [sym__comparison_operator] = STATE(671),
    [sym__three_dot_operator] = STATE(625),
    [sym__open_ended_range_operator] = STATE(523),
    [sym__additive_operator] = STATE(671),
    [sym__multiplicative_operator] = STATE(671),
    [sym__prefix_unary_operator] = STATE(509),
    [sym_directly_assignable_expression] = STATE(5511),
    [sym_statements] = STATE(3966),
    [sym__local_statement] = STATE(3458),
    [sym__labeled_statement] = STATE(3458),
    [sym_for_statement] = STATE(3458),
    [sym_while_statement] = STATE(3458),
    [sym_repeat_while_statement] = STATE(3458),
    [sym_control_transfer_statement] = STATE(3458),
    [sym__throw_statement] = STATE(3902),
    [sym__optionally_valueful_control_keyword] = STATE(124),
    [sym_assignment] = STATE(671),
    [sym_value_parameter_pack] = STATE(671),
    [sym_value_pack_expansion] = STATE(671),
    [sym__local_declaration] = STATE(3458),
    [sym__local_property_declaration] = STATE(3927),
    [sym__local_typealias_declaration] = STATE(3917),
    [sym__local_function_declaration] = STATE(3924),
    [sym__local_class_declaration] = STATE(3931),
    [sym__modifierless_property_declaration] = STATE(3926),
    [sym__modifierless_typealias_declaration] = STATE(3959),
    [sym__modifierless_function_declaration] = STATE(3958),
    [sym__modifierless_function_declaration_no_body] = STATE(6699),
    [sym__modifierless_class_declaration] = STATE(3957),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__referenceable_operator] = STATE(671),
    [sym__equal_sign] = STATE(671),
    [sym__eq_eq] = STATE(671),
    [sym__dot] = STATE(509),
    [sym_bang] = STATE(628),
    [sym__async_modifier] = STATE(6632),
    [sym_attribute] = STATE(4187),
    [sym_value_binding_pattern] = STATE(3979),
    [sym__possibly_async_binding_pattern_kind] = STATE(3979),
    [aux_sym__locally_permitted_modifiers] = STATE(4187),
    [sym__locally_permitted_modifier] = STATE(4187),
    [sym_property_behavior_modifier] = STATE(4187),
    [sym_inheritance_modifier] = STATE(4187),
    [sym_ownership_modifier] = STATE(4187),
    [sym__parameter_ownership_modifier] = STATE(1051),
    [aux_sym_raw_string_literal_repeat1] = STATE(6487),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(291),
    [aux_sym_simple_identifier_token2] = ACTIONS(293),
    [aux_sym_simple_identifier_token3] = ACTIONS(293),
    [aux_sym_simple_identifier_token4] = ACTIONS(293),
    [anon_sym_actor] = ACTIONS(295),
    [anon_sym_async] = ACTIONS(297),
    [anon_sym_each] = ACTIONS(299),
    [anon_sym_lazy] = ACTIONS(619),
    [anon_sym_repeat] = ACTIONS(303),
    [anon_sym_package] = ACTIONS(291),
    [anon_sym_nil] = ACTIONS(305),
    [sym_real_literal] = ACTIONS(307),
    [sym_integer_literal] = ACTIONS(305),
    [sym_hex_literal] = ACTIONS(307),
    [sym_oct_literal] = ACTIONS(307),
    [sym_bin_literal] = ACTIONS(307),
    [anon_sym_true] = ACTIONS(309),
    [anon_sym_false] = ACTIONS(309),
    [anon_sym_DQUOTE] = ACTIONS(311),
    [anon_sym_BSLASH] = ACTIONS(313),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(315),
    [sym__extended_regex_literal] = ACTIONS(317),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(319),
    [sym__oneline_regex_literal] = ACTIONS(321),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_LBRACK] = ACTIONS(325),
    [anon_sym_AMP] = ACTIONS(327),
    [anon_sym_if] = ACTIONS(329),
    [anon_sym_switch] = ACTIONS(331),
    [anon_sym_POUNDselector] = ACTIONS(333),
    [aux_sym_custom_operator_token1] = ACTIONS(335),
    [anon_sym_LT] = ACTIONS(305),
    [anon_sym_GT] = ACTIONS(305),
    [anon_sym_await] = ACTIONS(337),
    [anon_sym_POUNDfile] = ACTIONS(305),
    [anon_sym_POUNDfileID] = ACTIONS(307),
    [anon_sym_POUNDfilePath] = ACTIONS(307),
    [anon_sym_POUNDline] = ACTIONS(307),
    [anon_sym_POUNDcolumn] = ACTIONS(307),
    [anon_sym_POUNDfunction] = ACTIONS(307),
    [anon_sym_POUNDdsohandle] = ACTIONS(307),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(339),
    [anon_sym_POUNDfileLiteral] = ACTIONS(339),
    [anon_sym_POUNDimageLiteral] = ACTIONS(339),
    [anon_sym_LBRACE] = ACTIONS(341),
    [anon_sym_CARET_LBRACE] = ACTIONS(341),
    [anon_sym_self] = ACTIONS(345),
    [anon_sym_super] = ACTIONS(347),
    [anon_sym_guard] = ACTIONS(349),
    [anon_sym_do] = ACTIONS(351),
    [anon_sym_POUNDkeyPath] = ACTIONS(353),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(307),
    [anon_sym_DASH_EQ] = ACTIONS(307),
    [anon_sym_STAR_EQ] = ACTIONS(307),
    [anon_sym_SLASH_EQ] = ACTIONS(307),
    [anon_sym_PERCENT_EQ] = ACTIONS(307),
    [anon_sym_BANG_EQ] = ACTIONS(305),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(307),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(307),
    [anon_sym_LT_EQ] = ACTIONS(307),
    [anon_sym_GT_EQ] = ACTIONS(307),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(355),
    [anon_sym_DOT_DOT_LT] = ACTIONS(357),
    [anon_sym_PLUS] = ACTIONS(359),
    [anon_sym_DASH] = ACTIONS(359),
    [anon_sym_STAR] = ACTIONS(305),
    [anon_sym_SLASH] = ACTIONS(305),
    [anon_sym_PERCENT] = ACTIONS(305),
    [anon_sym_PLUS_PLUS] = ACTIONS(327),
    [anon_sym_DASH_DASH] = ACTIONS(327),
    [anon_sym_TILDE] = ACTIONS(327),
    [anon_sym_PIPE] = ACTIONS(307),
    [anon_sym_CARET] = ACTIONS(305),
    [anon_sym_LT_LT] = ACTIONS(307),
    [anon_sym_GT_GT] = ACTIONS(307),
    [sym_statement_label] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(365),
    [sym_throw_keyword] = ACTIONS(367),
    [anon_sym_return] = ACTIONS(369),
    [anon_sym_continue] = ACTIONS(369),
    [anon_sym_break] = ACTIONS(369),
    [anon_sym_yield] = ACTIONS(369),
    [anon_sym_typealias] = ACTIONS(371),
    [anon_sym_struct] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(373),
    [anon_sym_enum] = ACTIONS(375),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_func] = ACTIONS(105),
    [anon_sym_extension] = ACTIONS(377),
    [anon_sym_indirect] = ACTIONS(379),
    [anon_sym_BANG2] = ACTIONS(381),
    [anon_sym_AT] = ACTIONS(395),
    [anon_sym_final] = ACTIONS(397),
    [anon_sym_weak] = ACTIONS(399),
    [anon_sym_unowned] = ACTIONS(399),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(401),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(401),
    [anon_sym_borrowing] = ACTIONS(291),
    [anon_sym_consuming] = ACTIONS(291),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(383),
    [sym__dot_custom] = ACTIONS(385),
    [sym__eq_custom] = ACTIONS(307),
    [sym__eq_eq_custom] = ACTIONS(307),
    [sym__plus_then_ws] = ACTIONS(307),
    [sym__minus_then_ws] = ACTIONS(307),
    [sym__bang_custom] = ACTIONS(387),
    [sym__custom_operator] = ACTIONS(335),
  },
  [110] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1453),
    [sym_boolean_literal] = STATE(1453),
    [sym__string_literal] = STATE(1453),
    [sym_line_string_literal] = STATE(1453),
    [sym_multi_line_string_literal] = STATE(1453),
    [sym_raw_string_literal] = STATE(1453),
    [sym_regex_literal] = STATE(1453),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1453),
    [sym__unary_expression] = STATE(1453),
    [sym_postfix_expression] = STATE(1453),
    [sym_constructor_expression] = STATE(1453),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1453),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1453),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1453),
    [sym_prefix_expression] = STATE(1453),
    [sym_as_expression] = STATE(1453),
    [sym_selector_expression] = STATE(1453),
    [sym__binary_expression] = STATE(1453),
    [sym_multiplicative_expression] = STATE(1453),
    [sym_additive_expression] = STATE(1453),
    [sym_range_expression] = STATE(1453),
    [sym_infix_expression] = STATE(1453),
    [sym_nil_coalescing_expression] = STATE(1453),
    [sym_check_expression] = STATE(1453),
    [sym_comparison_expression] = STATE(1453),
    [sym_equality_expression] = STATE(1453),
    [sym_conjunction_expression] = STATE(1453),
    [sym_disjunction_expression] = STATE(1453),
    [sym_bitwise_operation] = STATE(1453),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1453),
    [sym_await_expression] = STATE(1453),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1453),
    [sym_call_expression] = STATE(1453),
    [sym__primary_expression] = STATE(1453),
    [sym_tuple_expression] = STATE(1453),
    [sym_array_literal] = STATE(1453),
    [sym_dictionary_literal] = STATE(1453),
    [sym__special_literal] = STATE(1453),
    [sym__playground_literal] = STATE(1453),
    [sym_lambda_literal] = STATE(1453),
    [sym_self_expression] = STATE(1453),
    [sym_super_expression] = STATE(1453),
    [sym_if_statement] = STATE(1453),
    [sym_switch_statement] = STATE(1453),
    [sym_key_path_expression] = STATE(1453),
    [sym_key_path_string_expression] = STATE(1453),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1453),
    [sym__equality_operator] = STATE(1453),
    [sym__comparison_operator] = STATE(1453),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1453),
    [sym__multiplicative_operator] = STATE(1453),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1453),
    [sym_value_parameter_pack] = STATE(1453),
    [sym_value_pack_expansion] = STATE(1453),
    [sym__referenceable_operator] = STATE(1453),
    [sym__equal_sign] = STATE(1453),
    [sym__eq_eq] = STATE(1453),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(407),
    [anon_sym_async] = ACTIONS(407),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(407),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(407),
    [anon_sym_nil] = ACTIONS(661),
    [sym_real_literal] = ACTIONS(663),
    [sym_integer_literal] = ACTIONS(661),
    [sym_hex_literal] = ACTIONS(663),
    [sym_oct_literal] = ACTIONS(663),
    [sym_bin_literal] = ACTIONS(663),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [anon_sym_COMMA] = ACTIONS(425),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(425),
    [anon_sym_LBRACK] = ACTIONS(425),
    [anon_sym_QMARK] = ACTIONS(407),
    [anon_sym_QMARK2] = ACTIONS(425),
    [anon_sym_AMP] = ACTIONS(425),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(425),
    [anon_sym_LT] = ACTIONS(407),
    [anon_sym_GT] = ACTIONS(407),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(661),
    [anon_sym_POUNDfileID] = ACTIONS(663),
    [anon_sym_POUNDfilePath] = ACTIONS(663),
    [anon_sym_POUNDline] = ACTIONS(663),
    [anon_sym_POUNDcolumn] = ACTIONS(663),
    [anon_sym_POUNDfunction] = ACTIONS(663),
    [anon_sym_POUNDdsohandle] = ACTIONS(663),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(425),
    [anon_sym_CARET_LBRACE] = ACTIONS(425),
    [anon_sym_RBRACE] = ACTIONS(425),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_case] = ACTIONS(407),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(425),
    [anon_sym_DASH_EQ] = ACTIONS(425),
    [anon_sym_STAR_EQ] = ACTIONS(425),
    [anon_sym_SLASH_EQ] = ACTIONS(425),
    [anon_sym_PERCENT_EQ] = ACTIONS(425),
    [anon_sym_BANG_EQ] = ACTIONS(407),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(425),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(425),
    [anon_sym_LT_EQ] = ACTIONS(425),
    [anon_sym_GT_EQ] = ACTIONS(425),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(425),
    [anon_sym_DOT_DOT_LT] = ACTIONS(425),
    [anon_sym_is] = ACTIONS(407),
    [anon_sym_PLUS] = ACTIONS(407),
    [anon_sym_DASH] = ACTIONS(407),
    [anon_sym_STAR] = ACTIONS(407),
    [anon_sym_SLASH] = ACTIONS(407),
    [anon_sym_PERCENT] = ACTIONS(407),
    [anon_sym_PLUS_PLUS] = ACTIONS(425),
    [anon_sym_DASH_DASH] = ACTIONS(425),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(425),
    [anon_sym_CARET] = ACTIONS(407),
    [anon_sym_LT_LT] = ACTIONS(425),
    [anon_sym_GT_GT] = ACTIONS(425),
    [anon_sym_import] = ACTIONS(407),
    [anon_sym_typealias] = ACTIONS(407),
    [anon_sym_struct] = ACTIONS(407),
    [anon_sym_class] = ACTIONS(407),
    [anon_sym_enum] = ACTIONS(407),
    [anon_sym_protocol] = ACTIONS(407),
    [anon_sym_let] = ACTIONS(407),
    [anon_sym_var] = ACTIONS(407),
    [anon_sym_func] = ACTIONS(407),
    [anon_sym_extension] = ACTIONS(407),
    [anon_sym_indirect] = ACTIONS(407),
    [anon_sym_BANG2] = ACTIONS(407),
    [anon_sym_SEMI] = ACTIONS(425),
    [anon_sym_init] = ACTIONS(407),
    [anon_sym_deinit] = ACTIONS(407),
    [anon_sym_subscript] = ACTIONS(407),
    [anon_sym_prefix] = ACTIONS(407),
    [anon_sym_infix] = ACTIONS(407),
    [anon_sym_postfix] = ACTIONS(407),
    [anon_sym_precedencegroup] = ACTIONS(407),
    [anon_sym_associatedtype] = ACTIONS(407),
    [anon_sym_AT] = ACTIONS(407),
    [anon_sym_override] = ACTIONS(407),
    [anon_sym_convenience] = ACTIONS(407),
    [anon_sym_required] = ACTIONS(407),
    [anon_sym_nonisolated] = ACTIONS(407),
    [anon_sym_public] = ACTIONS(407),
    [anon_sym_private] = ACTIONS(407),
    [anon_sym_internal] = ACTIONS(407),
    [anon_sym_fileprivate] = ACTIONS(407),
    [anon_sym_open] = ACTIONS(407),
    [anon_sym_mutating] = ACTIONS(407),
    [anon_sym_nonmutating] = ACTIONS(407),
    [anon_sym_static] = ACTIONS(407),
    [anon_sym_dynamic] = ACTIONS(407),
    [anon_sym_optional] = ACTIONS(407),
    [anon_sym_distributed] = ACTIONS(407),
    [anon_sym_final] = ACTIONS(407),
    [anon_sym_inout] = ACTIONS(407),
    [anon_sym_ATescaping] = ACTIONS(425),
    [anon_sym_ATautoclosure] = ACTIONS(425),
    [anon_sym_weak] = ACTIONS(407),
    [anon_sym_unowned] = ACTIONS(407),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(425),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(425),
    [anon_sym_borrowing] = ACTIONS(407),
    [anon_sym_consuming] = ACTIONS(407),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(425),
    [sym__conjunction_operator_custom] = ACTIONS(425),
    [sym__disjunction_operator_custom] = ACTIONS(425),
    [sym__nil_coalescing_operator_custom] = ACTIONS(425),
    [sym__eq_custom] = ACTIONS(425),
    [sym__eq_eq_custom] = ACTIONS(425),
    [sym__plus_then_ws] = ACTIONS(425),
    [sym__minus_then_ws] = ACTIONS(425),
    [sym__bang_custom] = ACTIONS(425),
    [sym__as_custom] = ACTIONS(425),
    [sym__as_quest_custom] = ACTIONS(425),
    [sym__as_bang_custom] = ACTIONS(425),
    [sym__custom_operator] = ACTIONS(425),
  },
  [111] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(632),
    [sym_boolean_literal] = STATE(632),
    [sym__string_literal] = STATE(632),
    [sym_line_string_literal] = STATE(632),
    [sym_multi_line_string_literal] = STATE(632),
    [sym_raw_string_literal] = STATE(632),
    [sym_regex_literal] = STATE(632),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5550),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5550),
    [sym_dictionary_type] = STATE(5550),
    [sym__expression] = STATE(632),
    [sym__unary_expression] = STATE(632),
    [sym_postfix_expression] = STATE(632),
    [sym_constructor_expression] = STATE(632),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(632),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(632),
    [sym__range_operator] = STATE(596),
    [sym_open_end_range_expression] = STATE(632),
    [sym_prefix_expression] = STATE(632),
    [sym_as_expression] = STATE(632),
    [sym_selector_expression] = STATE(632),
    [sym__binary_expression] = STATE(632),
    [sym_multiplicative_expression] = STATE(632),
    [sym_additive_expression] = STATE(632),
    [sym_range_expression] = STATE(632),
    [sym_infix_expression] = STATE(632),
    [sym_nil_coalescing_expression] = STATE(632),
    [sym_check_expression] = STATE(632),
    [sym_comparison_expression] = STATE(632),
    [sym_equality_expression] = STATE(632),
    [sym_conjunction_expression] = STATE(632),
    [sym_disjunction_expression] = STATE(632),
    [sym_bitwise_operation] = STATE(632),
    [sym_custom_operator] = STATE(609),
    [sym_try_expression] = STATE(632),
    [sym_await_expression] = STATE(632),
    [sym__await_operator] = STATE(599),
    [sym_ternary_expression] = STATE(632),
    [sym_call_expression] = STATE(632),
    [sym__primary_expression] = STATE(632),
    [sym_tuple_expression] = STATE(632),
    [sym_array_literal] = STATE(632),
    [sym_dictionary_literal] = STATE(632),
    [sym__special_literal] = STATE(632),
    [sym__playground_literal] = STATE(632),
    [sym_lambda_literal] = STATE(632),
    [sym_self_expression] = STATE(632),
    [sym_super_expression] = STATE(632),
    [sym_if_statement] = STATE(632),
    [sym_switch_statement] = STATE(632),
    [sym_key_path_expression] = STATE(632),
    [sym_key_path_string_expression] = STATE(632),
    [sym_try_operator] = STATE(453),
    [sym__assignment_and_operator] = STATE(632),
    [sym__equality_operator] = STATE(632),
    [sym__comparison_operator] = STATE(632),
    [sym__three_dot_operator] = STATE(604),
    [sym__open_ended_range_operator] = STATE(596),
    [sym__additive_operator] = STATE(632),
    [sym__multiplicative_operator] = STATE(632),
    [sym__prefix_unary_operator] = STATE(445),
    [sym_directly_assignable_expression] = STATE(5552),
    [sym_assignment] = STATE(632),
    [sym_value_parameter_pack] = STATE(632),
    [sym_value_pack_expansion] = STATE(632),
    [sym__referenceable_operator] = STATE(632),
    [sym__equal_sign] = STATE(632),
    [sym__eq_eq] = STATE(632),
    [sym__dot] = STATE(445),
    [sym_bang] = STATE(609),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(621),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(623),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(665),
    [sym_real_literal] = ACTIONS(667),
    [sym_integer_literal] = ACTIONS(665),
    [sym_hex_literal] = ACTIONS(667),
    [sym_oct_literal] = ACTIONS(667),
    [sym_bin_literal] = ACTIONS(667),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(629),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [anon_sym_COMMA] = ACTIONS(631),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_QMARK] = ACTIONS(637),
    [anon_sym_QMARK2] = ACTIONS(631),
    [anon_sym_AMP] = ACTIONS(639),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(641),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(643),
    [anon_sym_LT] = ACTIONS(665),
    [anon_sym_GT] = ACTIONS(665),
    [anon_sym_await] = ACTIONS(645),
    [anon_sym_POUNDfile] = ACTIONS(665),
    [anon_sym_POUNDfileID] = ACTIONS(667),
    [anon_sym_POUNDfilePath] = ACTIONS(667),
    [anon_sym_POUNDline] = ACTIONS(667),
    [anon_sym_POUNDcolumn] = ACTIONS(667),
    [anon_sym_POUNDfunction] = ACTIONS(667),
    [anon_sym_POUNDdsohandle] = ACTIONS(667),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_RBRACE] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_case] = ACTIONS(637),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(667),
    [anon_sym_DASH_EQ] = ACTIONS(667),
    [anon_sym_STAR_EQ] = ACTIONS(667),
    [anon_sym_SLASH_EQ] = ACTIONS(667),
    [anon_sym_PERCENT_EQ] = ACTIONS(667),
    [anon_sym_BANG_EQ] = ACTIONS(665),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(667),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(667),
    [anon_sym_LT_EQ] = ACTIONS(667),
    [anon_sym_GT_EQ] = ACTIONS(667),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(649),
    [anon_sym_DOT_DOT_LT] = ACTIONS(651),
    [anon_sym_is] = ACTIONS(637),
    [anon_sym_PLUS] = ACTIONS(653),
    [anon_sym_DASH] = ACTIONS(653),
    [anon_sym_STAR] = ACTIONS(665),
    [anon_sym_SLASH] = ACTIONS(665),
    [anon_sym_PERCENT] = ACTIONS(665),
    [anon_sym_PLUS_PLUS] = ACTIONS(639),
    [anon_sym_DASH_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(639),
    [anon_sym_PIPE] = ACTIONS(667),
    [anon_sym_CARET] = ACTIONS(665),
    [anon_sym_LT_LT] = ACTIONS(667),
    [anon_sym_GT_GT] = ACTIONS(667),
    [anon_sym_import] = ACTIONS(637),
    [anon_sym_typealias] = ACTIONS(637),
    [anon_sym_struct] = ACTIONS(637),
    [anon_sym_class] = ACTIONS(637),
    [anon_sym_enum] = ACTIONS(637),
    [anon_sym_protocol] = ACTIONS(637),
    [anon_sym_let] = ACTIONS(637),
    [anon_sym_var] = ACTIONS(637),
    [anon_sym_func] = ACTIONS(637),
    [anon_sym_extension] = ACTIONS(637),
    [anon_sym_indirect] = ACTIONS(637),
    [anon_sym_BANG2] = ACTIONS(655),
    [anon_sym_SEMI] = ACTIONS(631),
    [anon_sym_init] = ACTIONS(637),
    [anon_sym_deinit] = ACTIONS(637),
    [anon_sym_subscript] = ACTIONS(637),
    [anon_sym_prefix] = ACTIONS(637),
    [anon_sym_infix] = ACTIONS(637),
    [anon_sym_postfix] = ACTIONS(637),
    [anon_sym_precedencegroup] = ACTIONS(637),
    [anon_sym_associatedtype] = ACTIONS(637),
    [anon_sym_AT] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_convenience] = ACTIONS(637),
    [anon_sym_required] = ACTIONS(637),
    [anon_sym_nonisolated] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_internal] = ACTIONS(637),
    [anon_sym_fileprivate] = ACTIONS(637),
    [anon_sym_open] = ACTIONS(637),
    [anon_sym_mutating] = ACTIONS(637),
    [anon_sym_nonmutating] = ACTIONS(637),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_dynamic] = ACTIONS(637),
    [anon_sym_optional] = ACTIONS(637),
    [anon_sym_distributed] = ACTIONS(637),
    [anon_sym_final] = ACTIONS(637),
    [anon_sym_inout] = ACTIONS(637),
    [anon_sym_ATescaping] = ACTIONS(631),
    [anon_sym_ATautoclosure] = ACTIONS(631),
    [anon_sym_weak] = ACTIONS(637),
    [anon_sym_unowned] = ACTIONS(637),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(631),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(631),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(657),
    [sym__conjunction_operator_custom] = ACTIONS(631),
    [sym__disjunction_operator_custom] = ACTIONS(631),
    [sym__nil_coalescing_operator_custom] = ACTIONS(631),
    [sym__eq_custom] = ACTIONS(667),
    [sym__eq_eq_custom] = ACTIONS(667),
    [sym__plus_then_ws] = ACTIONS(667),
    [sym__minus_then_ws] = ACTIONS(667),
    [sym__bang_custom] = ACTIONS(659),
    [sym__as_custom] = ACTIONS(631),
    [sym__as_quest_custom] = ACTIONS(631),
    [sym__as_bang_custom] = ACTIONS(631),
    [sym__custom_operator] = ACTIONS(643),
  },
  [112] = {
    [sym_simple_identifier] = STATE(2276),
    [sym__contextual_simple_identifier] = STATE(2115),
    [sym__basic_literal] = STATE(1349),
    [sym_boolean_literal] = STATE(1349),
    [sym__string_literal] = STATE(1349),
    [sym_line_string_literal] = STATE(1349),
    [sym_multi_line_string_literal] = STATE(1349),
    [sym_raw_string_literal] = STATE(1349),
    [sym_regex_literal] = STATE(1349),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1349),
    [sym__unary_expression] = STATE(1349),
    [sym_postfix_expression] = STATE(1349),
    [sym_constructor_expression] = STATE(1349),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1349),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1349),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1349),
    [sym_prefix_expression] = STATE(1349),
    [sym_as_expression] = STATE(1349),
    [sym_selector_expression] = STATE(1349),
    [sym__binary_expression] = STATE(1349),
    [sym_multiplicative_expression] = STATE(1349),
    [sym_additive_expression] = STATE(1349),
    [sym_range_expression] = STATE(1349),
    [sym_infix_expression] = STATE(1349),
    [sym_nil_coalescing_expression] = STATE(1349),
    [sym_check_expression] = STATE(1349),
    [sym_comparison_expression] = STATE(1349),
    [sym_equality_expression] = STATE(1349),
    [sym_conjunction_expression] = STATE(1349),
    [sym_disjunction_expression] = STATE(1349),
    [sym_bitwise_operation] = STATE(1349),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1349),
    [sym_await_expression] = STATE(1349),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1349),
    [sym_call_expression] = STATE(1349),
    [sym__primary_expression] = STATE(1349),
    [sym_tuple_expression] = STATE(1349),
    [sym_array_literal] = STATE(1349),
    [sym_dictionary_literal] = STATE(1349),
    [sym__special_literal] = STATE(1349),
    [sym__playground_literal] = STATE(1349),
    [sym_lambda_literal] = STATE(1349),
    [sym_self_expression] = STATE(1349),
    [sym_super_expression] = STATE(1349),
    [sym_if_statement] = STATE(2559),
    [sym_guard_statement] = STATE(6819),
    [sym_switch_statement] = STATE(2559),
    [sym_do_statement] = STATE(6819),
    [sym_key_path_expression] = STATE(1349),
    [sym_key_path_string_expression] = STATE(1349),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1349),
    [sym__equality_operator] = STATE(1349),
    [sym__comparison_operator] = STATE(1349),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1349),
    [sym__multiplicative_operator] = STATE(1349),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym__local_statement] = STATE(6819),
    [sym__labeled_statement] = STATE(6819),
    [sym_for_statement] = STATE(6819),
    [sym_while_statement] = STATE(6819),
    [sym_repeat_while_statement] = STATE(6819),
    [sym_control_transfer_statement] = STATE(6819),
    [sym__throw_statement] = STATE(6577),
    [sym__optionally_valueful_control_keyword] = STATE(283),
    [sym_assignment] = STATE(1349),
    [sym_value_parameter_pack] = STATE(1349),
    [sym_value_pack_expansion] = STATE(1349),
    [sym__local_declaration] = STATE(6819),
    [sym__local_property_declaration] = STATE(6579),
    [sym__local_typealias_declaration] = STATE(6581),
    [sym__local_function_declaration] = STATE(6582),
    [sym__local_class_declaration] = STATE(6584),
    [sym__modifierless_property_declaration] = STATE(6589),
    [sym__modifierless_typealias_declaration] = STATE(6601),
    [sym__modifierless_function_declaration] = STATE(6604),
    [sym__modifierless_function_declaration_no_body] = STATE(6607),
    [sym__modifierless_class_declaration] = STATE(6613),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__referenceable_operator] = STATE(1349),
    [sym__equal_sign] = STATE(1349),
    [sym__eq_eq] = STATE(1349),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__async_modifier] = STATE(6632),
    [sym_attribute] = STATE(4189),
    [sym_value_binding_pattern] = STATE(3973),
    [sym__possibly_async_binding_pattern_kind] = STATE(3973),
    [aux_sym__locally_permitted_modifiers] = STATE(4189),
    [sym__locally_permitted_modifier] = STATE(4189),
    [sym_property_behavior_modifier] = STATE(4189),
    [sym_inheritance_modifier] = STATE(4189),
    [sym_ownership_modifier] = STATE(4189),
    [sym__parameter_ownership_modifier] = STATE(2115),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(11),
    [aux_sym_simple_identifier_token2] = ACTIONS(13),
    [aux_sym_simple_identifier_token3] = ACTIONS(13),
    [aux_sym_simple_identifier_token4] = ACTIONS(13),
    [anon_sym_actor] = ACTIONS(15),
    [anon_sym_async] = ACTIONS(17),
    [anon_sym_each] = ACTIONS(19),
    [anon_sym_lazy] = ACTIONS(393),
    [anon_sym_repeat] = ACTIONS(23),
    [anon_sym_package] = ACTIONS(11),
    [anon_sym_nil] = ACTIONS(153),
    [sym_real_literal] = ACTIONS(155),
    [sym_integer_literal] = ACTIONS(153),
    [sym_hex_literal] = ACTIONS(155),
    [sym_oct_literal] = ACTIONS(155),
    [sym_bin_literal] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(153),
    [anon_sym_POUNDfileID] = ACTIONS(155),
    [anon_sym_POUNDfilePath] = ACTIONS(155),
    [anon_sym_POUNDline] = ACTIONS(155),
    [anon_sym_POUNDcolumn] = ACTIONS(155),
    [anon_sym_POUNDfunction] = ACTIONS(155),
    [anon_sym_POUNDdsohandle] = ACTIONS(155),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_RBRACE] = ACTIONS(391),
    [anon_sym_self] = ACTIONS(65),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_guard] = ACTIONS(69),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(153),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(153),
    [anon_sym_PERCENT] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(155),
    [anon_sym_CARET] = ACTIONS(153),
    [anon_sym_LT_LT] = ACTIONS(155),
    [anon_sym_GT_GT] = ACTIONS(155),
    [sym_statement_label] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [sym_throw_keyword] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(159),
    [anon_sym_continue] = ACTIONS(159),
    [anon_sym_break] = ACTIONS(159),
    [anon_sym_yield] = ACTIONS(159),
    [anon_sym_typealias] = ACTIONS(93),
    [anon_sym_struct] = ACTIONS(95),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_enum] = ACTIONS(99),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_func] = ACTIONS(105),
    [anon_sym_extension] = ACTIONS(109),
    [anon_sym_indirect] = ACTIONS(111),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_AT] = ACTIONS(395),
    [anon_sym_final] = ACTIONS(397),
    [anon_sym_weak] = ACTIONS(399),
    [anon_sym_unowned] = ACTIONS(399),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(401),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(401),
    [anon_sym_borrowing] = ACTIONS(11),
    [anon_sym_consuming] = ACTIONS(11),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(155),
    [sym__eq_eq_custom] = ACTIONS(155),
    [sym__plus_then_ws] = ACTIONS(155),
    [sym__minus_then_ws] = ACTIONS(155),
    [sym__bang_custom] = ACTIONS(151),
    [sym__custom_operator] = ACTIONS(57),
  },
  [113] = {
    [sym_simple_identifier] = STATE(2276),
    [sym__contextual_simple_identifier] = STATE(2115),
    [sym__basic_literal] = STATE(1349),
    [sym_boolean_literal] = STATE(1349),
    [sym__string_literal] = STATE(1349),
    [sym_line_string_literal] = STATE(1349),
    [sym_multi_line_string_literal] = STATE(1349),
    [sym_raw_string_literal] = STATE(1349),
    [sym_regex_literal] = STATE(1349),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1349),
    [sym__unary_expression] = STATE(1349),
    [sym_postfix_expression] = STATE(1349),
    [sym_constructor_expression] = STATE(1349),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1349),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1349),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1349),
    [sym_prefix_expression] = STATE(1349),
    [sym_as_expression] = STATE(1349),
    [sym_selector_expression] = STATE(1349),
    [sym__binary_expression] = STATE(1349),
    [sym_multiplicative_expression] = STATE(1349),
    [sym_additive_expression] = STATE(1349),
    [sym_range_expression] = STATE(1349),
    [sym_infix_expression] = STATE(1349),
    [sym_nil_coalescing_expression] = STATE(1349),
    [sym_check_expression] = STATE(1349),
    [sym_comparison_expression] = STATE(1349),
    [sym_equality_expression] = STATE(1349),
    [sym_conjunction_expression] = STATE(1349),
    [sym_disjunction_expression] = STATE(1349),
    [sym_bitwise_operation] = STATE(1349),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1349),
    [sym_await_expression] = STATE(1349),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1349),
    [sym_call_expression] = STATE(1349),
    [sym__primary_expression] = STATE(1349),
    [sym_tuple_expression] = STATE(1349),
    [sym_array_literal] = STATE(1349),
    [sym_dictionary_literal] = STATE(1349),
    [sym__special_literal] = STATE(1349),
    [sym__playground_literal] = STATE(1349),
    [sym_lambda_literal] = STATE(1349),
    [sym_self_expression] = STATE(1349),
    [sym_super_expression] = STATE(1349),
    [sym_if_statement] = STATE(2559),
    [sym_guard_statement] = STATE(6819),
    [sym_switch_statement] = STATE(2559),
    [sym_do_statement] = STATE(6819),
    [sym_key_path_expression] = STATE(1349),
    [sym_key_path_string_expression] = STATE(1349),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1349),
    [sym__equality_operator] = STATE(1349),
    [sym__comparison_operator] = STATE(1349),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1349),
    [sym__multiplicative_operator] = STATE(1349),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym__local_statement] = STATE(6819),
    [sym__labeled_statement] = STATE(6819),
    [sym_for_statement] = STATE(6819),
    [sym_while_statement] = STATE(6819),
    [sym_repeat_while_statement] = STATE(6819),
    [sym_control_transfer_statement] = STATE(6819),
    [sym__throw_statement] = STATE(6577),
    [sym__optionally_valueful_control_keyword] = STATE(283),
    [sym_assignment] = STATE(1349),
    [sym_value_parameter_pack] = STATE(1349),
    [sym_value_pack_expansion] = STATE(1349),
    [sym__local_declaration] = STATE(6819),
    [sym__local_property_declaration] = STATE(6579),
    [sym__local_typealias_declaration] = STATE(6581),
    [sym__local_function_declaration] = STATE(6582),
    [sym__local_class_declaration] = STATE(6584),
    [sym__modifierless_property_declaration] = STATE(6589),
    [sym__modifierless_typealias_declaration] = STATE(6601),
    [sym__modifierless_function_declaration] = STATE(6604),
    [sym__modifierless_function_declaration_no_body] = STATE(6607),
    [sym__modifierless_class_declaration] = STATE(6613),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__referenceable_operator] = STATE(1349),
    [sym__equal_sign] = STATE(1349),
    [sym__eq_eq] = STATE(1349),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__async_modifier] = STATE(6632),
    [sym_attribute] = STATE(4189),
    [sym_value_binding_pattern] = STATE(3973),
    [sym__possibly_async_binding_pattern_kind] = STATE(3973),
    [aux_sym__locally_permitted_modifiers] = STATE(4189),
    [sym__locally_permitted_modifier] = STATE(4189),
    [sym_property_behavior_modifier] = STATE(4189),
    [sym_inheritance_modifier] = STATE(4189),
    [sym_ownership_modifier] = STATE(4189),
    [sym__parameter_ownership_modifier] = STATE(2115),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(11),
    [aux_sym_simple_identifier_token2] = ACTIONS(13),
    [aux_sym_simple_identifier_token3] = ACTIONS(13),
    [aux_sym_simple_identifier_token4] = ACTIONS(13),
    [anon_sym_actor] = ACTIONS(15),
    [anon_sym_async] = ACTIONS(17),
    [anon_sym_each] = ACTIONS(19),
    [anon_sym_lazy] = ACTIONS(393),
    [anon_sym_repeat] = ACTIONS(23),
    [anon_sym_package] = ACTIONS(11),
    [anon_sym_nil] = ACTIONS(153),
    [sym_real_literal] = ACTIONS(155),
    [sym_integer_literal] = ACTIONS(153),
    [sym_hex_literal] = ACTIONS(155),
    [sym_oct_literal] = ACTIONS(155),
    [sym_bin_literal] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(153),
    [anon_sym_POUNDfileID] = ACTIONS(155),
    [anon_sym_POUNDfilePath] = ACTIONS(155),
    [anon_sym_POUNDline] = ACTIONS(155),
    [anon_sym_POUNDcolumn] = ACTIONS(155),
    [anon_sym_POUNDfunction] = ACTIONS(155),
    [anon_sym_POUNDdsohandle] = ACTIONS(155),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_RBRACE] = ACTIONS(343),
    [anon_sym_self] = ACTIONS(65),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_guard] = ACTIONS(69),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(153),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(153),
    [anon_sym_PERCENT] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(155),
    [anon_sym_CARET] = ACTIONS(153),
    [anon_sym_LT_LT] = ACTIONS(155),
    [anon_sym_GT_GT] = ACTIONS(155),
    [sym_statement_label] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [sym_throw_keyword] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(159),
    [anon_sym_continue] = ACTIONS(159),
    [anon_sym_break] = ACTIONS(159),
    [anon_sym_yield] = ACTIONS(159),
    [anon_sym_typealias] = ACTIONS(93),
    [anon_sym_struct] = ACTIONS(95),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_enum] = ACTIONS(99),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_func] = ACTIONS(105),
    [anon_sym_extension] = ACTIONS(109),
    [anon_sym_indirect] = ACTIONS(111),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_AT] = ACTIONS(395),
    [anon_sym_final] = ACTIONS(397),
    [anon_sym_weak] = ACTIONS(399),
    [anon_sym_unowned] = ACTIONS(399),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(401),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(401),
    [anon_sym_borrowing] = ACTIONS(11),
    [anon_sym_consuming] = ACTIONS(11),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(155),
    [sym__eq_eq_custom] = ACTIONS(155),
    [sym__plus_then_ws] = ACTIONS(155),
    [sym__minus_then_ws] = ACTIONS(155),
    [sym__bang_custom] = ACTIONS(151),
    [sym__custom_operator] = ACTIONS(57),
  },
  [114] = {
    [sym_simple_identifier] = STATE(1141),
    [sym__contextual_simple_identifier] = STATE(1051),
    [sym__basic_literal] = STATE(671),
    [sym_boolean_literal] = STATE(671),
    [sym__string_literal] = STATE(671),
    [sym_line_string_literal] = STATE(671),
    [sym_multi_line_string_literal] = STATE(671),
    [sym_raw_string_literal] = STATE(671),
    [sym_regex_literal] = STATE(671),
    [sym__multiline_regex_literal] = STATE(1215),
    [sym_user_type] = STATE(5510),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5510),
    [sym_dictionary_type] = STATE(5510),
    [sym__expression] = STATE(671),
    [sym__unary_expression] = STATE(671),
    [sym_postfix_expression] = STATE(671),
    [sym_constructor_expression] = STATE(671),
    [sym__parenthesized_type] = STATE(6558),
    [sym_navigation_expression] = STATE(671),
    [sym__navigable_type_expression] = STATE(6557),
    [sym_open_start_range_expression] = STATE(671),
    [sym__range_operator] = STATE(523),
    [sym_open_end_range_expression] = STATE(671),
    [sym_prefix_expression] = STATE(671),
    [sym_as_expression] = STATE(671),
    [sym_selector_expression] = STATE(671),
    [sym__binary_expression] = STATE(671),
    [sym_multiplicative_expression] = STATE(671),
    [sym_additive_expression] = STATE(671),
    [sym_range_expression] = STATE(671),
    [sym_infix_expression] = STATE(671),
    [sym_nil_coalescing_expression] = STATE(671),
    [sym_check_expression] = STATE(671),
    [sym_comparison_expression] = STATE(671),
    [sym_equality_expression] = STATE(671),
    [sym_conjunction_expression] = STATE(671),
    [sym_disjunction_expression] = STATE(671),
    [sym_bitwise_operation] = STATE(671),
    [sym_custom_operator] = STATE(628),
    [sym_try_expression] = STATE(671),
    [sym_await_expression] = STATE(671),
    [sym__await_operator] = STATE(518),
    [sym_ternary_expression] = STATE(671),
    [sym_call_expression] = STATE(671),
    [sym__primary_expression] = STATE(671),
    [sym_tuple_expression] = STATE(671),
    [sym_array_literal] = STATE(671),
    [sym_dictionary_literal] = STATE(671),
    [sym__special_literal] = STATE(671),
    [sym__playground_literal] = STATE(671),
    [sym_lambda_literal] = STATE(671),
    [sym_self_expression] = STATE(671),
    [sym_super_expression] = STATE(671),
    [sym_if_statement] = STATE(1244),
    [sym_guard_statement] = STATE(3458),
    [sym_switch_statement] = STATE(1244),
    [sym_do_statement] = STATE(3458),
    [sym_key_path_expression] = STATE(671),
    [sym_key_path_string_expression] = STATE(671),
    [sym_try_operator] = STATE(515),
    [sym__assignment_and_operator] = STATE(671),
    [sym__equality_operator] = STATE(671),
    [sym__comparison_operator] = STATE(671),
    [sym__three_dot_operator] = STATE(625),
    [sym__open_ended_range_operator] = STATE(523),
    [sym__additive_operator] = STATE(671),
    [sym__multiplicative_operator] = STATE(671),
    [sym__prefix_unary_operator] = STATE(509),
    [sym_directly_assignable_expression] = STATE(5511),
    [sym_statements] = STATE(3970),
    [sym__local_statement] = STATE(3458),
    [sym__labeled_statement] = STATE(3458),
    [sym_for_statement] = STATE(3458),
    [sym_while_statement] = STATE(3458),
    [sym_repeat_while_statement] = STATE(3458),
    [sym_control_transfer_statement] = STATE(3458),
    [sym__throw_statement] = STATE(3902),
    [sym__optionally_valueful_control_keyword] = STATE(124),
    [sym_assignment] = STATE(671),
    [sym_value_parameter_pack] = STATE(671),
    [sym_value_pack_expansion] = STATE(671),
    [sym__local_declaration] = STATE(3458),
    [sym__local_property_declaration] = STATE(3927),
    [sym__local_typealias_declaration] = STATE(3917),
    [sym__local_function_declaration] = STATE(3924),
    [sym__local_class_declaration] = STATE(3931),
    [sym__modifierless_property_declaration] = STATE(3926),
    [sym__modifierless_typealias_declaration] = STATE(3959),
    [sym__modifierless_function_declaration] = STATE(3958),
    [sym__modifierless_function_declaration_no_body] = STATE(6699),
    [sym__modifierless_class_declaration] = STATE(3957),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__referenceable_operator] = STATE(671),
    [sym__equal_sign] = STATE(671),
    [sym__eq_eq] = STATE(671),
    [sym__dot] = STATE(509),
    [sym_bang] = STATE(628),
    [sym__async_modifier] = STATE(6632),
    [sym_attribute] = STATE(4187),
    [sym_value_binding_pattern] = STATE(3979),
    [sym__possibly_async_binding_pattern_kind] = STATE(3979),
    [aux_sym__locally_permitted_modifiers] = STATE(4187),
    [sym__locally_permitted_modifier] = STATE(4187),
    [sym_property_behavior_modifier] = STATE(4187),
    [sym_inheritance_modifier] = STATE(4187),
    [sym_ownership_modifier] = STATE(4187),
    [sym__parameter_ownership_modifier] = STATE(1051),
    [aux_sym_raw_string_literal_repeat1] = STATE(6487),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(291),
    [aux_sym_simple_identifier_token2] = ACTIONS(293),
    [aux_sym_simple_identifier_token3] = ACTIONS(293),
    [aux_sym_simple_identifier_token4] = ACTIONS(293),
    [anon_sym_actor] = ACTIONS(295),
    [anon_sym_async] = ACTIONS(297),
    [anon_sym_each] = ACTIONS(299),
    [anon_sym_lazy] = ACTIONS(619),
    [anon_sym_repeat] = ACTIONS(303),
    [anon_sym_package] = ACTIONS(291),
    [anon_sym_nil] = ACTIONS(305),
    [sym_real_literal] = ACTIONS(307),
    [sym_integer_literal] = ACTIONS(305),
    [sym_hex_literal] = ACTIONS(307),
    [sym_oct_literal] = ACTIONS(307),
    [sym_bin_literal] = ACTIONS(307),
    [anon_sym_true] = ACTIONS(309),
    [anon_sym_false] = ACTIONS(309),
    [anon_sym_DQUOTE] = ACTIONS(311),
    [anon_sym_BSLASH] = ACTIONS(313),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(315),
    [sym__extended_regex_literal] = ACTIONS(317),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(319),
    [sym__oneline_regex_literal] = ACTIONS(321),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_LBRACK] = ACTIONS(325),
    [anon_sym_AMP] = ACTIONS(327),
    [anon_sym_if] = ACTIONS(329),
    [anon_sym_switch] = ACTIONS(331),
    [anon_sym_POUNDselector] = ACTIONS(333),
    [aux_sym_custom_operator_token1] = ACTIONS(335),
    [anon_sym_LT] = ACTIONS(305),
    [anon_sym_GT] = ACTIONS(305),
    [anon_sym_await] = ACTIONS(337),
    [anon_sym_POUNDfile] = ACTIONS(305),
    [anon_sym_POUNDfileID] = ACTIONS(307),
    [anon_sym_POUNDfilePath] = ACTIONS(307),
    [anon_sym_POUNDline] = ACTIONS(307),
    [anon_sym_POUNDcolumn] = ACTIONS(307),
    [anon_sym_POUNDfunction] = ACTIONS(307),
    [anon_sym_POUNDdsohandle] = ACTIONS(307),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(339),
    [anon_sym_POUNDfileLiteral] = ACTIONS(339),
    [anon_sym_POUNDimageLiteral] = ACTIONS(339),
    [anon_sym_LBRACE] = ACTIONS(341),
    [anon_sym_CARET_LBRACE] = ACTIONS(341),
    [anon_sym_self] = ACTIONS(345),
    [anon_sym_super] = ACTIONS(347),
    [anon_sym_guard] = ACTIONS(349),
    [anon_sym_do] = ACTIONS(351),
    [anon_sym_POUNDkeyPath] = ACTIONS(353),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(307),
    [anon_sym_DASH_EQ] = ACTIONS(307),
    [anon_sym_STAR_EQ] = ACTIONS(307),
    [anon_sym_SLASH_EQ] = ACTIONS(307),
    [anon_sym_PERCENT_EQ] = ACTIONS(307),
    [anon_sym_BANG_EQ] = ACTIONS(305),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(307),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(307),
    [anon_sym_LT_EQ] = ACTIONS(307),
    [anon_sym_GT_EQ] = ACTIONS(307),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(355),
    [anon_sym_DOT_DOT_LT] = ACTIONS(357),
    [anon_sym_PLUS] = ACTIONS(359),
    [anon_sym_DASH] = ACTIONS(359),
    [anon_sym_STAR] = ACTIONS(305),
    [anon_sym_SLASH] = ACTIONS(305),
    [anon_sym_PERCENT] = ACTIONS(305),
    [anon_sym_PLUS_PLUS] = ACTIONS(327),
    [anon_sym_DASH_DASH] = ACTIONS(327),
    [anon_sym_TILDE] = ACTIONS(327),
    [anon_sym_PIPE] = ACTIONS(307),
    [anon_sym_CARET] = ACTIONS(305),
    [anon_sym_LT_LT] = ACTIONS(307),
    [anon_sym_GT_GT] = ACTIONS(307),
    [sym_statement_label] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(365),
    [sym_throw_keyword] = ACTIONS(367),
    [anon_sym_return] = ACTIONS(369),
    [anon_sym_continue] = ACTIONS(369),
    [anon_sym_break] = ACTIONS(369),
    [anon_sym_yield] = ACTIONS(369),
    [anon_sym_typealias] = ACTIONS(371),
    [anon_sym_struct] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(373),
    [anon_sym_enum] = ACTIONS(375),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_func] = ACTIONS(105),
    [anon_sym_extension] = ACTIONS(377),
    [anon_sym_indirect] = ACTIONS(379),
    [anon_sym_BANG2] = ACTIONS(381),
    [anon_sym_AT] = ACTIONS(395),
    [anon_sym_final] = ACTIONS(397),
    [anon_sym_weak] = ACTIONS(399),
    [anon_sym_unowned] = ACTIONS(399),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(401),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(401),
    [anon_sym_borrowing] = ACTIONS(291),
    [anon_sym_consuming] = ACTIONS(291),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(383),
    [sym__dot_custom] = ACTIONS(385),
    [sym__eq_custom] = ACTIONS(307),
    [sym__eq_eq_custom] = ACTIONS(307),
    [sym__plus_then_ws] = ACTIONS(307),
    [sym__minus_then_ws] = ACTIONS(307),
    [sym__bang_custom] = ACTIONS(387),
    [sym__custom_operator] = ACTIONS(335),
  },
  [115] = {
    [sym_simple_identifier] = STATE(2276),
    [sym__contextual_simple_identifier] = STATE(2115),
    [sym__basic_literal] = STATE(1349),
    [sym_boolean_literal] = STATE(1349),
    [sym__string_literal] = STATE(1349),
    [sym_line_string_literal] = STATE(1349),
    [sym_multi_line_string_literal] = STATE(1349),
    [sym_raw_string_literal] = STATE(1349),
    [sym_regex_literal] = STATE(1349),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1349),
    [sym__unary_expression] = STATE(1349),
    [sym_postfix_expression] = STATE(1349),
    [sym_constructor_expression] = STATE(1349),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1349),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1349),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1349),
    [sym_prefix_expression] = STATE(1349),
    [sym_as_expression] = STATE(1349),
    [sym_selector_expression] = STATE(1349),
    [sym__binary_expression] = STATE(1349),
    [sym_multiplicative_expression] = STATE(1349),
    [sym_additive_expression] = STATE(1349),
    [sym_range_expression] = STATE(1349),
    [sym_infix_expression] = STATE(1349),
    [sym_nil_coalescing_expression] = STATE(1349),
    [sym_check_expression] = STATE(1349),
    [sym_comparison_expression] = STATE(1349),
    [sym_equality_expression] = STATE(1349),
    [sym_conjunction_expression] = STATE(1349),
    [sym_disjunction_expression] = STATE(1349),
    [sym_bitwise_operation] = STATE(1349),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1349),
    [sym_await_expression] = STATE(1349),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1349),
    [sym_call_expression] = STATE(1349),
    [sym__primary_expression] = STATE(1349),
    [sym_tuple_expression] = STATE(1349),
    [sym_array_literal] = STATE(1349),
    [sym_dictionary_literal] = STATE(1349),
    [sym__special_literal] = STATE(1349),
    [sym__playground_literal] = STATE(1349),
    [sym_lambda_literal] = STATE(1349),
    [sym_self_expression] = STATE(1349),
    [sym_super_expression] = STATE(1349),
    [sym_if_statement] = STATE(2559),
    [sym_guard_statement] = STATE(6819),
    [sym_switch_statement] = STATE(2559),
    [sym_do_statement] = STATE(6819),
    [sym_key_path_expression] = STATE(1349),
    [sym_key_path_string_expression] = STATE(1349),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1349),
    [sym__equality_operator] = STATE(1349),
    [sym__comparison_operator] = STATE(1349),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1349),
    [sym__multiplicative_operator] = STATE(1349),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym__local_statement] = STATE(6819),
    [sym__labeled_statement] = STATE(6819),
    [sym_for_statement] = STATE(6819),
    [sym_while_statement] = STATE(6819),
    [sym_repeat_while_statement] = STATE(6819),
    [sym_control_transfer_statement] = STATE(6819),
    [sym__throw_statement] = STATE(6577),
    [sym__optionally_valueful_control_keyword] = STATE(283),
    [sym_assignment] = STATE(1349),
    [sym_value_parameter_pack] = STATE(1349),
    [sym_value_pack_expansion] = STATE(1349),
    [sym__local_declaration] = STATE(6819),
    [sym__local_property_declaration] = STATE(6579),
    [sym__local_typealias_declaration] = STATE(6581),
    [sym__local_function_declaration] = STATE(6582),
    [sym__local_class_declaration] = STATE(6584),
    [sym__modifierless_property_declaration] = STATE(6589),
    [sym__modifierless_typealias_declaration] = STATE(6601),
    [sym__modifierless_function_declaration] = STATE(6604),
    [sym__modifierless_function_declaration_no_body] = STATE(6607),
    [sym__modifierless_class_declaration] = STATE(6613),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__referenceable_operator] = STATE(1349),
    [sym__equal_sign] = STATE(1349),
    [sym__eq_eq] = STATE(1349),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__async_modifier] = STATE(6632),
    [sym_attribute] = STATE(4189),
    [sym_value_binding_pattern] = STATE(3973),
    [sym__possibly_async_binding_pattern_kind] = STATE(3973),
    [aux_sym__locally_permitted_modifiers] = STATE(4189),
    [sym__locally_permitted_modifier] = STATE(4189),
    [sym_property_behavior_modifier] = STATE(4189),
    [sym_inheritance_modifier] = STATE(4189),
    [sym_ownership_modifier] = STATE(4189),
    [sym__parameter_ownership_modifier] = STATE(2115),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(11),
    [aux_sym_simple_identifier_token2] = ACTIONS(13),
    [aux_sym_simple_identifier_token3] = ACTIONS(13),
    [aux_sym_simple_identifier_token4] = ACTIONS(13),
    [anon_sym_actor] = ACTIONS(15),
    [anon_sym_async] = ACTIONS(17),
    [anon_sym_each] = ACTIONS(19),
    [anon_sym_lazy] = ACTIONS(393),
    [anon_sym_repeat] = ACTIONS(23),
    [anon_sym_package] = ACTIONS(11),
    [anon_sym_nil] = ACTIONS(153),
    [sym_real_literal] = ACTIONS(155),
    [sym_integer_literal] = ACTIONS(153),
    [sym_hex_literal] = ACTIONS(155),
    [sym_oct_literal] = ACTIONS(155),
    [sym_bin_literal] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(153),
    [anon_sym_POUNDfileID] = ACTIONS(155),
    [anon_sym_POUNDfilePath] = ACTIONS(155),
    [anon_sym_POUNDline] = ACTIONS(155),
    [anon_sym_POUNDcolumn] = ACTIONS(155),
    [anon_sym_POUNDfunction] = ACTIONS(155),
    [anon_sym_POUNDdsohandle] = ACTIONS(155),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_self] = ACTIONS(65),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_guard] = ACTIONS(69),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(153),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(153),
    [anon_sym_PERCENT] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(155),
    [anon_sym_CARET] = ACTIONS(153),
    [anon_sym_LT_LT] = ACTIONS(155),
    [anon_sym_GT_GT] = ACTIONS(155),
    [sym_statement_label] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [sym_throw_keyword] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(159),
    [anon_sym_continue] = ACTIONS(159),
    [anon_sym_break] = ACTIONS(159),
    [anon_sym_yield] = ACTIONS(159),
    [anon_sym_typealias] = ACTIONS(93),
    [anon_sym_struct] = ACTIONS(95),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_enum] = ACTIONS(99),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_func] = ACTIONS(105),
    [anon_sym_extension] = ACTIONS(109),
    [anon_sym_indirect] = ACTIONS(111),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_AT] = ACTIONS(395),
    [anon_sym_final] = ACTIONS(397),
    [anon_sym_weak] = ACTIONS(399),
    [anon_sym_unowned] = ACTIONS(399),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(401),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(401),
    [anon_sym_borrowing] = ACTIONS(11),
    [anon_sym_consuming] = ACTIONS(11),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(155),
    [sym__eq_eq_custom] = ACTIONS(155),
    [sym__plus_then_ws] = ACTIONS(155),
    [sym__minus_then_ws] = ACTIONS(155),
    [sym__bang_custom] = ACTIONS(151),
    [sym__custom_operator] = ACTIONS(57),
  },
  [116] = {
    [sym_simple_identifier] = STATE(1141),
    [sym__contextual_simple_identifier] = STATE(1051),
    [sym__basic_literal] = STATE(671),
    [sym_boolean_literal] = STATE(671),
    [sym__string_literal] = STATE(671),
    [sym_line_string_literal] = STATE(671),
    [sym_multi_line_string_literal] = STATE(671),
    [sym_raw_string_literal] = STATE(671),
    [sym_regex_literal] = STATE(671),
    [sym__multiline_regex_literal] = STATE(1215),
    [sym_user_type] = STATE(5510),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5510),
    [sym_dictionary_type] = STATE(5510),
    [sym__expression] = STATE(671),
    [sym__unary_expression] = STATE(671),
    [sym_postfix_expression] = STATE(671),
    [sym_constructor_expression] = STATE(671),
    [sym__parenthesized_type] = STATE(6558),
    [sym_navigation_expression] = STATE(671),
    [sym__navigable_type_expression] = STATE(6557),
    [sym_open_start_range_expression] = STATE(671),
    [sym__range_operator] = STATE(523),
    [sym_open_end_range_expression] = STATE(671),
    [sym_prefix_expression] = STATE(671),
    [sym_as_expression] = STATE(671),
    [sym_selector_expression] = STATE(671),
    [sym__binary_expression] = STATE(671),
    [sym_multiplicative_expression] = STATE(671),
    [sym_additive_expression] = STATE(671),
    [sym_range_expression] = STATE(671),
    [sym_infix_expression] = STATE(671),
    [sym_nil_coalescing_expression] = STATE(671),
    [sym_check_expression] = STATE(671),
    [sym_comparison_expression] = STATE(671),
    [sym_equality_expression] = STATE(671),
    [sym_conjunction_expression] = STATE(671),
    [sym_disjunction_expression] = STATE(671),
    [sym_bitwise_operation] = STATE(671),
    [sym_custom_operator] = STATE(628),
    [sym_try_expression] = STATE(671),
    [sym_await_expression] = STATE(671),
    [sym__await_operator] = STATE(518),
    [sym_ternary_expression] = STATE(671),
    [sym_call_expression] = STATE(671),
    [sym__primary_expression] = STATE(671),
    [sym_tuple_expression] = STATE(671),
    [sym_array_literal] = STATE(671),
    [sym_dictionary_literal] = STATE(671),
    [sym__special_literal] = STATE(671),
    [sym__playground_literal] = STATE(671),
    [sym_lambda_literal] = STATE(671),
    [sym_self_expression] = STATE(671),
    [sym_super_expression] = STATE(671),
    [sym_if_statement] = STATE(1244),
    [sym_guard_statement] = STATE(3922),
    [sym_switch_statement] = STATE(1244),
    [sym_do_statement] = STATE(3922),
    [sym_key_path_expression] = STATE(671),
    [sym_key_path_string_expression] = STATE(671),
    [sym_try_operator] = STATE(515),
    [sym__assignment_and_operator] = STATE(671),
    [sym__equality_operator] = STATE(671),
    [sym__comparison_operator] = STATE(671),
    [sym__three_dot_operator] = STATE(625),
    [sym__open_ended_range_operator] = STATE(523),
    [sym__additive_operator] = STATE(671),
    [sym__multiplicative_operator] = STATE(671),
    [sym__prefix_unary_operator] = STATE(509),
    [sym_directly_assignable_expression] = STATE(5511),
    [sym__local_statement] = STATE(3922),
    [sym__labeled_statement] = STATE(3922),
    [sym_for_statement] = STATE(3922),
    [sym_while_statement] = STATE(3922),
    [sym_repeat_while_statement] = STATE(3922),
    [sym_control_transfer_statement] = STATE(3922),
    [sym__throw_statement] = STATE(3902),
    [sym__optionally_valueful_control_keyword] = STATE(124),
    [sym_assignment] = STATE(671),
    [sym_value_parameter_pack] = STATE(671),
    [sym_value_pack_expansion] = STATE(671),
    [sym__local_declaration] = STATE(3922),
    [sym__local_property_declaration] = STATE(3927),
    [sym__local_typealias_declaration] = STATE(3917),
    [sym__local_function_declaration] = STATE(3924),
    [sym__local_class_declaration] = STATE(3931),
    [sym__modifierless_property_declaration] = STATE(3926),
    [sym__modifierless_typealias_declaration] = STATE(3959),
    [sym__modifierless_function_declaration] = STATE(3958),
    [sym__modifierless_function_declaration_no_body] = STATE(6699),
    [sym__modifierless_class_declaration] = STATE(3957),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__referenceable_operator] = STATE(671),
    [sym__equal_sign] = STATE(671),
    [sym__eq_eq] = STATE(671),
    [sym__dot] = STATE(509),
    [sym_bang] = STATE(628),
    [sym__async_modifier] = STATE(6632),
    [sym_attribute] = STATE(4187),
    [sym_value_binding_pattern] = STATE(3979),
    [sym__possibly_async_binding_pattern_kind] = STATE(3979),
    [aux_sym__locally_permitted_modifiers] = STATE(4187),
    [sym__locally_permitted_modifier] = STATE(4187),
    [sym_property_behavior_modifier] = STATE(4187),
    [sym_inheritance_modifier] = STATE(4187),
    [sym_ownership_modifier] = STATE(4187),
    [sym__parameter_ownership_modifier] = STATE(1051),
    [aux_sym_raw_string_literal_repeat1] = STATE(6487),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(291),
    [aux_sym_simple_identifier_token2] = ACTIONS(293),
    [aux_sym_simple_identifier_token3] = ACTIONS(293),
    [aux_sym_simple_identifier_token4] = ACTIONS(293),
    [anon_sym_actor] = ACTIONS(295),
    [anon_sym_async] = ACTIONS(297),
    [anon_sym_each] = ACTIONS(299),
    [anon_sym_lazy] = ACTIONS(619),
    [anon_sym_repeat] = ACTIONS(303),
    [anon_sym_package] = ACTIONS(291),
    [anon_sym_nil] = ACTIONS(305),
    [sym_real_literal] = ACTIONS(307),
    [sym_integer_literal] = ACTIONS(305),
    [sym_hex_literal] = ACTIONS(307),
    [sym_oct_literal] = ACTIONS(307),
    [sym_bin_literal] = ACTIONS(307),
    [anon_sym_true] = ACTIONS(309),
    [anon_sym_false] = ACTIONS(309),
    [anon_sym_DQUOTE] = ACTIONS(311),
    [anon_sym_BSLASH] = ACTIONS(313),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(315),
    [sym__extended_regex_literal] = ACTIONS(317),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(319),
    [sym__oneline_regex_literal] = ACTIONS(321),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_LBRACK] = ACTIONS(325),
    [anon_sym_AMP] = ACTIONS(327),
    [anon_sym_if] = ACTIONS(329),
    [anon_sym_switch] = ACTIONS(331),
    [anon_sym_POUNDselector] = ACTIONS(333),
    [aux_sym_custom_operator_token1] = ACTIONS(335),
    [anon_sym_LT] = ACTIONS(305),
    [anon_sym_GT] = ACTIONS(305),
    [anon_sym_await] = ACTIONS(337),
    [anon_sym_POUNDfile] = ACTIONS(305),
    [anon_sym_POUNDfileID] = ACTIONS(307),
    [anon_sym_POUNDfilePath] = ACTIONS(307),
    [anon_sym_POUNDline] = ACTIONS(307),
    [anon_sym_POUNDcolumn] = ACTIONS(307),
    [anon_sym_POUNDfunction] = ACTIONS(307),
    [anon_sym_POUNDdsohandle] = ACTIONS(307),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(339),
    [anon_sym_POUNDfileLiteral] = ACTIONS(339),
    [anon_sym_POUNDimageLiteral] = ACTIONS(339),
    [anon_sym_LBRACE] = ACTIONS(341),
    [anon_sym_CARET_LBRACE] = ACTIONS(341),
    [anon_sym_self] = ACTIONS(345),
    [anon_sym_super] = ACTIONS(347),
    [anon_sym_guard] = ACTIONS(349),
    [anon_sym_do] = ACTIONS(351),
    [anon_sym_POUNDkeyPath] = ACTIONS(353),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(307),
    [anon_sym_DASH_EQ] = ACTIONS(307),
    [anon_sym_STAR_EQ] = ACTIONS(307),
    [anon_sym_SLASH_EQ] = ACTIONS(307),
    [anon_sym_PERCENT_EQ] = ACTIONS(307),
    [anon_sym_BANG_EQ] = ACTIONS(305),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(307),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(307),
    [anon_sym_LT_EQ] = ACTIONS(307),
    [anon_sym_GT_EQ] = ACTIONS(307),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(355),
    [anon_sym_DOT_DOT_LT] = ACTIONS(357),
    [anon_sym_PLUS] = ACTIONS(359),
    [anon_sym_DASH] = ACTIONS(359),
    [anon_sym_STAR] = ACTIONS(305),
    [anon_sym_SLASH] = ACTIONS(305),
    [anon_sym_PERCENT] = ACTIONS(305),
    [anon_sym_PLUS_PLUS] = ACTIONS(327),
    [anon_sym_DASH_DASH] = ACTIONS(327),
    [anon_sym_TILDE] = ACTIONS(327),
    [anon_sym_PIPE] = ACTIONS(307),
    [anon_sym_CARET] = ACTIONS(305),
    [anon_sym_LT_LT] = ACTIONS(307),
    [anon_sym_GT_GT] = ACTIONS(307),
    [sym_statement_label] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(365),
    [sym_throw_keyword] = ACTIONS(367),
    [anon_sym_return] = ACTIONS(369),
    [anon_sym_continue] = ACTIONS(369),
    [anon_sym_break] = ACTIONS(369),
    [anon_sym_yield] = ACTIONS(369),
    [anon_sym_typealias] = ACTIONS(371),
    [anon_sym_struct] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(373),
    [anon_sym_enum] = ACTIONS(375),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_func] = ACTIONS(105),
    [anon_sym_extension] = ACTIONS(377),
    [anon_sym_indirect] = ACTIONS(379),
    [anon_sym_BANG2] = ACTIONS(381),
    [anon_sym_AT] = ACTIONS(395),
    [anon_sym_final] = ACTIONS(397),
    [anon_sym_weak] = ACTIONS(399),
    [anon_sym_unowned] = ACTIONS(399),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(401),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(401),
    [anon_sym_borrowing] = ACTIONS(291),
    [anon_sym_consuming] = ACTIONS(291),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(383),
    [sym__dot_custom] = ACTIONS(385),
    [sym__eq_custom] = ACTIONS(307),
    [sym__eq_eq_custom] = ACTIONS(307),
    [sym__plus_then_ws] = ACTIONS(307),
    [sym__minus_then_ws] = ACTIONS(307),
    [sym__bang_custom] = ACTIONS(387),
    [sym__custom_operator] = ACTIONS(335),
  },
  [117] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1447),
    [sym_boolean_literal] = STATE(1447),
    [sym__string_literal] = STATE(1447),
    [sym_line_string_literal] = STATE(1447),
    [sym_multi_line_string_literal] = STATE(1447),
    [sym_raw_string_literal] = STATE(1447),
    [sym_regex_literal] = STATE(1447),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1447),
    [sym__unary_expression] = STATE(1447),
    [sym_postfix_expression] = STATE(1447),
    [sym_constructor_expression] = STATE(1447),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1447),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1447),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1447),
    [sym_prefix_expression] = STATE(1447),
    [sym_as_expression] = STATE(1447),
    [sym_selector_expression] = STATE(1447),
    [sym__binary_expression] = STATE(1447),
    [sym_multiplicative_expression] = STATE(1447),
    [sym_additive_expression] = STATE(1447),
    [sym_range_expression] = STATE(1447),
    [sym_infix_expression] = STATE(1447),
    [sym_nil_coalescing_expression] = STATE(1447),
    [sym_check_expression] = STATE(1447),
    [sym_comparison_expression] = STATE(1447),
    [sym_equality_expression] = STATE(1447),
    [sym_conjunction_expression] = STATE(1447),
    [sym_disjunction_expression] = STATE(1447),
    [sym_bitwise_operation] = STATE(1447),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1447),
    [sym_await_expression] = STATE(1447),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1447),
    [sym_call_expression] = STATE(1447),
    [sym__primary_expression] = STATE(1447),
    [sym_tuple_expression] = STATE(1447),
    [sym_array_literal] = STATE(1447),
    [sym_dictionary_literal] = STATE(1447),
    [sym__special_literal] = STATE(1447),
    [sym__playground_literal] = STATE(1447),
    [sym_lambda_literal] = STATE(1447),
    [sym_self_expression] = STATE(1447),
    [sym_super_expression] = STATE(1447),
    [sym_if_statement] = STATE(1447),
    [sym_switch_statement] = STATE(1447),
    [sym_key_path_expression] = STATE(1447),
    [sym_key_path_string_expression] = STATE(1447),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1447),
    [sym__equality_operator] = STATE(1447),
    [sym__comparison_operator] = STATE(1447),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1447),
    [sym__multiplicative_operator] = STATE(1447),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1447),
    [sym_value_parameter_pack] = STATE(1447),
    [sym_value_pack_expansion] = STATE(1447),
    [sym__referenceable_operator] = STATE(1447),
    [sym__equal_sign] = STATE(1447),
    [sym__eq_eq] = STATE(1447),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(407),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(407),
    [anon_sym_nil] = ACTIONS(669),
    [sym_real_literal] = ACTIONS(671),
    [sym_integer_literal] = ACTIONS(669),
    [sym_hex_literal] = ACTIONS(671),
    [sym_oct_literal] = ACTIONS(671),
    [sym_bin_literal] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [anon_sym_COMMA] = ACTIONS(425),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(425),
    [anon_sym_LBRACK] = ACTIONS(425),
    [anon_sym_QMARK] = ACTIONS(407),
    [anon_sym_QMARK2] = ACTIONS(425),
    [anon_sym_AMP] = ACTIONS(425),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(425),
    [anon_sym_LT] = ACTIONS(407),
    [anon_sym_GT] = ACTIONS(407),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(669),
    [anon_sym_POUNDfileID] = ACTIONS(671),
    [anon_sym_POUNDfilePath] = ACTIONS(671),
    [anon_sym_POUNDline] = ACTIONS(671),
    [anon_sym_POUNDcolumn] = ACTIONS(671),
    [anon_sym_POUNDfunction] = ACTIONS(671),
    [anon_sym_POUNDdsohandle] = ACTIONS(671),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(425),
    [anon_sym_CARET_LBRACE] = ACTIONS(425),
    [anon_sym_RBRACE] = ACTIONS(425),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_case] = ACTIONS(407),
    [anon_sym_fallthrough] = ACTIONS(407),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(425),
    [anon_sym_DASH_EQ] = ACTIONS(425),
    [anon_sym_STAR_EQ] = ACTIONS(425),
    [anon_sym_SLASH_EQ] = ACTIONS(425),
    [anon_sym_PERCENT_EQ] = ACTIONS(425),
    [anon_sym_BANG_EQ] = ACTIONS(407),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(425),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(425),
    [anon_sym_LT_EQ] = ACTIONS(425),
    [anon_sym_GT_EQ] = ACTIONS(425),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(425),
    [anon_sym_DOT_DOT_LT] = ACTIONS(425),
    [anon_sym_is] = ACTIONS(407),
    [anon_sym_PLUS] = ACTIONS(407),
    [anon_sym_DASH] = ACTIONS(407),
    [anon_sym_STAR] = ACTIONS(407),
    [anon_sym_SLASH] = ACTIONS(407),
    [anon_sym_PERCENT] = ACTIONS(407),
    [anon_sym_PLUS_PLUS] = ACTIONS(425),
    [anon_sym_DASH_DASH] = ACTIONS(425),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(425),
    [anon_sym_CARET] = ACTIONS(407),
    [anon_sym_LT_LT] = ACTIONS(425),
    [anon_sym_GT_GT] = ACTIONS(425),
    [anon_sym_class] = ACTIONS(407),
    [anon_sym_BANG2] = ACTIONS(407),
    [anon_sym_prefix] = ACTIONS(407),
    [anon_sym_infix] = ACTIONS(407),
    [anon_sym_postfix] = ACTIONS(407),
    [anon_sym_AT] = ACTIONS(407),
    [anon_sym_override] = ACTIONS(407),
    [anon_sym_convenience] = ACTIONS(407),
    [anon_sym_required] = ACTIONS(407),
    [anon_sym_nonisolated] = ACTIONS(407),
    [anon_sym_public] = ACTIONS(407),
    [anon_sym_private] = ACTIONS(407),
    [anon_sym_internal] = ACTIONS(407),
    [anon_sym_fileprivate] = ACTIONS(407),
    [anon_sym_open] = ACTIONS(407),
    [anon_sym_mutating] = ACTIONS(407),
    [anon_sym_nonmutating] = ACTIONS(407),
    [anon_sym_static] = ACTIONS(407),
    [anon_sym_dynamic] = ACTIONS(407),
    [anon_sym_optional] = ACTIONS(407),
    [anon_sym_distributed] = ACTIONS(407),
    [anon_sym_final] = ACTIONS(407),
    [anon_sym_inout] = ACTIONS(407),
    [anon_sym_ATescaping] = ACTIONS(425),
    [anon_sym_ATautoclosure] = ACTIONS(425),
    [anon_sym_weak] = ACTIONS(407),
    [anon_sym_unowned] = ACTIONS(407),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(425),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(425),
    [anon_sym_borrowing] = ACTIONS(407),
    [anon_sym_consuming] = ACTIONS(407),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__implicit_semi] = ACTIONS(425),
    [sym__explicit_semi] = ACTIONS(425),
    [sym__dot_custom] = ACTIONS(425),
    [sym__conjunction_operator_custom] = ACTIONS(425),
    [sym__disjunction_operator_custom] = ACTIONS(425),
    [sym__nil_coalescing_operator_custom] = ACTIONS(425),
    [sym__eq_custom] = ACTIONS(425),
    [sym__eq_eq_custom] = ACTIONS(425),
    [sym__plus_then_ws] = ACTIONS(425),
    [sym__minus_then_ws] = ACTIONS(425),
    [sym__bang_custom] = ACTIONS(425),
    [sym_default_keyword] = ACTIONS(425),
    [sym_where_keyword] = ACTIONS(425),
    [sym__as_custom] = ACTIONS(425),
    [sym__as_quest_custom] = ACTIONS(425),
    [sym__as_bang_custom] = ACTIONS(425),
    [sym__custom_operator] = ACTIONS(425),
  },
  [118] = {
    [sym_simple_identifier] = STATE(1040),
    [sym__contextual_simple_identifier] = STATE(1015),
    [sym__basic_literal] = STATE(655),
    [sym_boolean_literal] = STATE(655),
    [sym__string_literal] = STATE(655),
    [sym_line_string_literal] = STATE(655),
    [sym_multi_line_string_literal] = STATE(655),
    [sym_raw_string_literal] = STATE(655),
    [sym_regex_literal] = STATE(655),
    [sym__multiline_regex_literal] = STATE(1134),
    [sym_user_type] = STATE(5559),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5559),
    [sym_dictionary_type] = STATE(5559),
    [sym__expression] = STATE(655),
    [sym__unary_expression] = STATE(655),
    [sym_postfix_expression] = STATE(655),
    [sym_constructor_expression] = STATE(655),
    [sym__parenthesized_type] = STATE(6572),
    [sym_navigation_expression] = STATE(655),
    [sym__navigable_type_expression] = STATE(6573),
    [sym_open_start_range_expression] = STATE(655),
    [sym__range_operator] = STATE(462),
    [sym_open_end_range_expression] = STATE(655),
    [sym_prefix_expression] = STATE(655),
    [sym_as_expression] = STATE(655),
    [sym_selector_expression] = STATE(655),
    [sym__binary_expression] = STATE(655),
    [sym_multiplicative_expression] = STATE(655),
    [sym_additive_expression] = STATE(655),
    [sym_range_expression] = STATE(655),
    [sym_infix_expression] = STATE(655),
    [sym_nil_coalescing_expression] = STATE(655),
    [sym_check_expression] = STATE(655),
    [sym_comparison_expression] = STATE(655),
    [sym_equality_expression] = STATE(655),
    [sym_conjunction_expression] = STATE(655),
    [sym_disjunction_expression] = STATE(655),
    [sym_bitwise_operation] = STATE(655),
    [sym_custom_operator] = STATE(615),
    [sym_try_expression] = STATE(655),
    [sym_await_expression] = STATE(655),
    [sym__await_operator] = STATE(463),
    [sym_ternary_expression] = STATE(655),
    [sym_call_expression] = STATE(655),
    [sym__primary_expression] = STATE(655),
    [sym_tuple_expression] = STATE(655),
    [sym_array_literal] = STATE(655),
    [sym_dictionary_literal] = STATE(655),
    [sym__special_literal] = STATE(655),
    [sym__playground_literal] = STATE(655),
    [sym_lambda_literal] = STATE(655),
    [sym_self_expression] = STATE(655),
    [sym_super_expression] = STATE(655),
    [sym_if_statement] = STATE(655),
    [sym_switch_statement] = STATE(655),
    [sym_key_path_expression] = STATE(655),
    [sym_key_path_string_expression] = STATE(655),
    [sym_try_operator] = STATE(465),
    [sym__assignment_and_operator] = STATE(655),
    [sym__equality_operator] = STATE(655),
    [sym__comparison_operator] = STATE(655),
    [sym__three_dot_operator] = STATE(617),
    [sym__open_ended_range_operator] = STATE(462),
    [sym__additive_operator] = STATE(655),
    [sym__multiplicative_operator] = STATE(655),
    [sym__prefix_unary_operator] = STATE(470),
    [sym_directly_assignable_expression] = STATE(5558),
    [sym_assignment] = STATE(655),
    [sym_value_parameter_pack] = STATE(655),
    [sym_value_pack_expansion] = STATE(655),
    [sym__referenceable_operator] = STATE(655),
    [sym__equal_sign] = STATE(655),
    [sym__eq_eq] = STATE(655),
    [sym__dot] = STATE(470),
    [sym_bang] = STATE(615),
    [sym__parameter_ownership_modifier] = STATE(1015),
    [aux_sym_raw_string_literal_repeat1] = STATE(6655),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(673),
    [aux_sym_simple_identifier_token2] = ACTIONS(675),
    [aux_sym_simple_identifier_token3] = ACTIONS(675),
    [aux_sym_simple_identifier_token4] = ACTIONS(675),
    [anon_sym_actor] = ACTIONS(673),
    [anon_sym_async] = ACTIONS(673),
    [anon_sym_each] = ACTIONS(677),
    [anon_sym_lazy] = ACTIONS(673),
    [anon_sym_repeat] = ACTIONS(679),
    [anon_sym_package] = ACTIONS(673),
    [anon_sym_nil] = ACTIONS(681),
    [sym_real_literal] = ACTIONS(683),
    [sym_integer_literal] = ACTIONS(681),
    [sym_hex_literal] = ACTIONS(683),
    [sym_oct_literal] = ACTIONS(683),
    [sym_bin_literal] = ACTIONS(683),
    [anon_sym_true] = ACTIONS(685),
    [anon_sym_false] = ACTIONS(685),
    [anon_sym_DQUOTE] = ACTIONS(687),
    [anon_sym_BSLASH] = ACTIONS(689),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(691),
    [anon_sym_COMMA] = ACTIONS(631),
    [sym__extended_regex_literal] = ACTIONS(693),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(695),
    [sym__oneline_regex_literal] = ACTIONS(697),
    [anon_sym_LPAREN] = ACTIONS(699),
    [anon_sym_LBRACK] = ACTIONS(701),
    [anon_sym_QMARK] = ACTIONS(637),
    [anon_sym_QMARK2] = ACTIONS(631),
    [anon_sym_AMP] = ACTIONS(703),
    [anon_sym_if] = ACTIONS(705),
    [anon_sym_switch] = ACTIONS(707),
    [anon_sym_POUNDselector] = ACTIONS(709),
    [aux_sym_custom_operator_token1] = ACTIONS(711),
    [anon_sym_LT] = ACTIONS(681),
    [anon_sym_GT] = ACTIONS(681),
    [anon_sym_await] = ACTIONS(713),
    [anon_sym_POUNDfile] = ACTIONS(681),
    [anon_sym_POUNDfileID] = ACTIONS(683),
    [anon_sym_POUNDfilePath] = ACTIONS(683),
    [anon_sym_POUNDline] = ACTIONS(683),
    [anon_sym_POUNDcolumn] = ACTIONS(683),
    [anon_sym_POUNDfunction] = ACTIONS(683),
    [anon_sym_POUNDdsohandle] = ACTIONS(683),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(715),
    [anon_sym_POUNDfileLiteral] = ACTIONS(715),
    [anon_sym_POUNDimageLiteral] = ACTIONS(715),
    [anon_sym_LBRACE] = ACTIONS(717),
    [anon_sym_CARET_LBRACE] = ACTIONS(717),
    [anon_sym_RBRACE] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(719),
    [anon_sym_super] = ACTIONS(721),
    [anon_sym_case] = ACTIONS(637),
    [anon_sym_fallthrough] = ACTIONS(637),
    [anon_sym_POUNDkeyPath] = ACTIONS(723),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(683),
    [anon_sym_DASH_EQ] = ACTIONS(683),
    [anon_sym_STAR_EQ] = ACTIONS(683),
    [anon_sym_SLASH_EQ] = ACTIONS(683),
    [anon_sym_PERCENT_EQ] = ACTIONS(683),
    [anon_sym_BANG_EQ] = ACTIONS(681),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(683),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(683),
    [anon_sym_LT_EQ] = ACTIONS(683),
    [anon_sym_GT_EQ] = ACTIONS(683),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(725),
    [anon_sym_DOT_DOT_LT] = ACTIONS(727),
    [anon_sym_is] = ACTIONS(637),
    [anon_sym_PLUS] = ACTIONS(729),
    [anon_sym_DASH] = ACTIONS(729),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_SLASH] = ACTIONS(681),
    [anon_sym_PERCENT] = ACTIONS(681),
    [anon_sym_PLUS_PLUS] = ACTIONS(703),
    [anon_sym_DASH_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(703),
    [anon_sym_PIPE] = ACTIONS(683),
    [anon_sym_CARET] = ACTIONS(681),
    [anon_sym_LT_LT] = ACTIONS(683),
    [anon_sym_GT_GT] = ACTIONS(683),
    [anon_sym_class] = ACTIONS(637),
    [anon_sym_BANG2] = ACTIONS(731),
    [anon_sym_prefix] = ACTIONS(637),
    [anon_sym_infix] = ACTIONS(637),
    [anon_sym_postfix] = ACTIONS(637),
    [anon_sym_AT] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_convenience] = ACTIONS(637),
    [anon_sym_required] = ACTIONS(637),
    [anon_sym_nonisolated] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_internal] = ACTIONS(637),
    [anon_sym_fileprivate] = ACTIONS(637),
    [anon_sym_open] = ACTIONS(637),
    [anon_sym_mutating] = ACTIONS(637),
    [anon_sym_nonmutating] = ACTIONS(637),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_dynamic] = ACTIONS(637),
    [anon_sym_optional] = ACTIONS(637),
    [anon_sym_distributed] = ACTIONS(637),
    [anon_sym_final] = ACTIONS(637),
    [anon_sym_inout] = ACTIONS(637),
    [anon_sym_ATescaping] = ACTIONS(631),
    [anon_sym_ATautoclosure] = ACTIONS(631),
    [anon_sym_weak] = ACTIONS(637),
    [anon_sym_unowned] = ACTIONS(637),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(631),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(631),
    [anon_sym_borrowing] = ACTIONS(673),
    [anon_sym_consuming] = ACTIONS(673),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(733),
    [sym__implicit_semi] = ACTIONS(631),
    [sym__explicit_semi] = ACTIONS(631),
    [sym__dot_custom] = ACTIONS(735),
    [sym__conjunction_operator_custom] = ACTIONS(631),
    [sym__disjunction_operator_custom] = ACTIONS(631),
    [sym__nil_coalescing_operator_custom] = ACTIONS(631),
    [sym__eq_custom] = ACTIONS(683),
    [sym__eq_eq_custom] = ACTIONS(683),
    [sym__plus_then_ws] = ACTIONS(683),
    [sym__minus_then_ws] = ACTIONS(683),
    [sym__bang_custom] = ACTIONS(737),
    [sym_default_keyword] = ACTIONS(631),
    [sym_where_keyword] = ACTIONS(631),
    [sym__as_custom] = ACTIONS(631),
    [sym__as_quest_custom] = ACTIONS(631),
    [sym__as_bang_custom] = ACTIONS(631),
    [sym__custom_operator] = ACTIONS(711),
  },
  [119] = {
    [sym_simple_identifier] = STATE(1040),
    [sym__contextual_simple_identifier] = STATE(1015),
    [sym__basic_literal] = STATE(650),
    [sym_boolean_literal] = STATE(650),
    [sym__string_literal] = STATE(650),
    [sym_line_string_literal] = STATE(650),
    [sym_multi_line_string_literal] = STATE(650),
    [sym_raw_string_literal] = STATE(650),
    [sym_regex_literal] = STATE(650),
    [sym__multiline_regex_literal] = STATE(1134),
    [sym_user_type] = STATE(5559),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5559),
    [sym_dictionary_type] = STATE(5559),
    [sym__expression] = STATE(650),
    [sym__unary_expression] = STATE(650),
    [sym_postfix_expression] = STATE(650),
    [sym_constructor_expression] = STATE(650),
    [sym__parenthesized_type] = STATE(6572),
    [sym_navigation_expression] = STATE(650),
    [sym__navigable_type_expression] = STATE(6573),
    [sym_open_start_range_expression] = STATE(650),
    [sym__range_operator] = STATE(462),
    [sym_open_end_range_expression] = STATE(650),
    [sym_prefix_expression] = STATE(650),
    [sym_as_expression] = STATE(650),
    [sym_selector_expression] = STATE(650),
    [sym__binary_expression] = STATE(650),
    [sym_multiplicative_expression] = STATE(650),
    [sym_additive_expression] = STATE(650),
    [sym_range_expression] = STATE(650),
    [sym_infix_expression] = STATE(650),
    [sym_nil_coalescing_expression] = STATE(650),
    [sym_check_expression] = STATE(650),
    [sym_comparison_expression] = STATE(650),
    [sym_equality_expression] = STATE(650),
    [sym_conjunction_expression] = STATE(650),
    [sym_disjunction_expression] = STATE(650),
    [sym_bitwise_operation] = STATE(650),
    [sym_custom_operator] = STATE(615),
    [sym_try_expression] = STATE(650),
    [sym_await_expression] = STATE(650),
    [sym__await_operator] = STATE(463),
    [sym_ternary_expression] = STATE(650),
    [sym_call_expression] = STATE(650),
    [sym__primary_expression] = STATE(650),
    [sym_tuple_expression] = STATE(650),
    [sym_array_literal] = STATE(650),
    [sym_dictionary_literal] = STATE(650),
    [sym__special_literal] = STATE(650),
    [sym__playground_literal] = STATE(650),
    [sym_lambda_literal] = STATE(650),
    [sym_self_expression] = STATE(650),
    [sym_super_expression] = STATE(650),
    [sym_if_statement] = STATE(650),
    [sym_switch_statement] = STATE(650),
    [sym_key_path_expression] = STATE(650),
    [sym_key_path_string_expression] = STATE(650),
    [sym_try_operator] = STATE(465),
    [sym__assignment_and_operator] = STATE(650),
    [sym__equality_operator] = STATE(650),
    [sym__comparison_operator] = STATE(650),
    [sym__three_dot_operator] = STATE(617),
    [sym__open_ended_range_operator] = STATE(462),
    [sym__additive_operator] = STATE(650),
    [sym__multiplicative_operator] = STATE(650),
    [sym__prefix_unary_operator] = STATE(470),
    [sym_directly_assignable_expression] = STATE(5558),
    [sym_assignment] = STATE(650),
    [sym_value_parameter_pack] = STATE(650),
    [sym_value_pack_expansion] = STATE(650),
    [sym__referenceable_operator] = STATE(650),
    [sym__equal_sign] = STATE(650),
    [sym__eq_eq] = STATE(650),
    [sym__dot] = STATE(470),
    [sym_bang] = STATE(615),
    [sym__parameter_ownership_modifier] = STATE(1015),
    [aux_sym_raw_string_literal_repeat1] = STATE(6655),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(673),
    [aux_sym_simple_identifier_token2] = ACTIONS(675),
    [aux_sym_simple_identifier_token3] = ACTIONS(675),
    [aux_sym_simple_identifier_token4] = ACTIONS(675),
    [anon_sym_actor] = ACTIONS(673),
    [anon_sym_async] = ACTIONS(673),
    [anon_sym_each] = ACTIONS(677),
    [anon_sym_lazy] = ACTIONS(673),
    [anon_sym_repeat] = ACTIONS(679),
    [anon_sym_package] = ACTIONS(673),
    [anon_sym_nil] = ACTIONS(739),
    [sym_real_literal] = ACTIONS(741),
    [sym_integer_literal] = ACTIONS(739),
    [sym_hex_literal] = ACTIONS(741),
    [sym_oct_literal] = ACTIONS(741),
    [sym_bin_literal] = ACTIONS(741),
    [anon_sym_true] = ACTIONS(685),
    [anon_sym_false] = ACTIONS(685),
    [anon_sym_DQUOTE] = ACTIONS(687),
    [anon_sym_BSLASH] = ACTIONS(689),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(691),
    [anon_sym_COMMA] = ACTIONS(631),
    [sym__extended_regex_literal] = ACTIONS(693),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(695),
    [sym__oneline_regex_literal] = ACTIONS(697),
    [anon_sym_LPAREN] = ACTIONS(699),
    [anon_sym_LBRACK] = ACTIONS(701),
    [anon_sym_QMARK] = ACTIONS(637),
    [anon_sym_QMARK2] = ACTIONS(631),
    [anon_sym_AMP] = ACTIONS(703),
    [anon_sym_if] = ACTIONS(705),
    [anon_sym_switch] = ACTIONS(707),
    [anon_sym_POUNDselector] = ACTIONS(709),
    [aux_sym_custom_operator_token1] = ACTIONS(711),
    [anon_sym_LT] = ACTIONS(739),
    [anon_sym_GT] = ACTIONS(739),
    [anon_sym_await] = ACTIONS(713),
    [anon_sym_POUNDfile] = ACTIONS(739),
    [anon_sym_POUNDfileID] = ACTIONS(741),
    [anon_sym_POUNDfilePath] = ACTIONS(741),
    [anon_sym_POUNDline] = ACTIONS(741),
    [anon_sym_POUNDcolumn] = ACTIONS(741),
    [anon_sym_POUNDfunction] = ACTIONS(741),
    [anon_sym_POUNDdsohandle] = ACTIONS(741),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(715),
    [anon_sym_POUNDfileLiteral] = ACTIONS(715),
    [anon_sym_POUNDimageLiteral] = ACTIONS(715),
    [anon_sym_LBRACE] = ACTIONS(717),
    [anon_sym_CARET_LBRACE] = ACTIONS(717),
    [anon_sym_RBRACE] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(719),
    [anon_sym_super] = ACTIONS(721),
    [anon_sym_case] = ACTIONS(637),
    [anon_sym_fallthrough] = ACTIONS(637),
    [anon_sym_POUNDkeyPath] = ACTIONS(723),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(741),
    [anon_sym_DASH_EQ] = ACTIONS(741),
    [anon_sym_STAR_EQ] = ACTIONS(741),
    [anon_sym_SLASH_EQ] = ACTIONS(741),
    [anon_sym_PERCENT_EQ] = ACTIONS(741),
    [anon_sym_BANG_EQ] = ACTIONS(739),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(741),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(741),
    [anon_sym_LT_EQ] = ACTIONS(741),
    [anon_sym_GT_EQ] = ACTIONS(741),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(725),
    [anon_sym_DOT_DOT_LT] = ACTIONS(727),
    [anon_sym_is] = ACTIONS(637),
    [anon_sym_PLUS] = ACTIONS(729),
    [anon_sym_DASH] = ACTIONS(729),
    [anon_sym_STAR] = ACTIONS(739),
    [anon_sym_SLASH] = ACTIONS(739),
    [anon_sym_PERCENT] = ACTIONS(739),
    [anon_sym_PLUS_PLUS] = ACTIONS(703),
    [anon_sym_DASH_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(703),
    [anon_sym_PIPE] = ACTIONS(741),
    [anon_sym_CARET] = ACTIONS(739),
    [anon_sym_LT_LT] = ACTIONS(741),
    [anon_sym_GT_GT] = ACTIONS(741),
    [anon_sym_class] = ACTIONS(637),
    [anon_sym_BANG2] = ACTIONS(731),
    [anon_sym_prefix] = ACTIONS(637),
    [anon_sym_infix] = ACTIONS(637),
    [anon_sym_postfix] = ACTIONS(637),
    [anon_sym_AT] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_convenience] = ACTIONS(637),
    [anon_sym_required] = ACTIONS(637),
    [anon_sym_nonisolated] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_internal] = ACTIONS(637),
    [anon_sym_fileprivate] = ACTIONS(637),
    [anon_sym_open] = ACTIONS(637),
    [anon_sym_mutating] = ACTIONS(637),
    [anon_sym_nonmutating] = ACTIONS(637),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_dynamic] = ACTIONS(637),
    [anon_sym_optional] = ACTIONS(637),
    [anon_sym_distributed] = ACTIONS(637),
    [anon_sym_final] = ACTIONS(637),
    [anon_sym_inout] = ACTIONS(637),
    [anon_sym_ATescaping] = ACTIONS(631),
    [anon_sym_ATautoclosure] = ACTIONS(631),
    [anon_sym_weak] = ACTIONS(637),
    [anon_sym_unowned] = ACTIONS(637),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(631),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(631),
    [anon_sym_borrowing] = ACTIONS(673),
    [anon_sym_consuming] = ACTIONS(673),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(733),
    [sym__implicit_semi] = ACTIONS(631),
    [sym__explicit_semi] = ACTIONS(631),
    [sym__dot_custom] = ACTIONS(735),
    [sym__conjunction_operator_custom] = ACTIONS(631),
    [sym__disjunction_operator_custom] = ACTIONS(631),
    [sym__nil_coalescing_operator_custom] = ACTIONS(631),
    [sym__eq_custom] = ACTIONS(741),
    [sym__eq_eq_custom] = ACTIONS(741),
    [sym__plus_then_ws] = ACTIONS(741),
    [sym__minus_then_ws] = ACTIONS(741),
    [sym__bang_custom] = ACTIONS(737),
    [sym_default_keyword] = ACTIONS(631),
    [sym_where_keyword] = ACTIONS(631),
    [sym__as_custom] = ACTIONS(631),
    [sym__as_quest_custom] = ACTIONS(631),
    [sym__as_bang_custom] = ACTIONS(631),
    [sym__custom_operator] = ACTIONS(711),
  },
  [120] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1455),
    [sym_boolean_literal] = STATE(1455),
    [sym__string_literal] = STATE(1455),
    [sym_line_string_literal] = STATE(1455),
    [sym_multi_line_string_literal] = STATE(1455),
    [sym_raw_string_literal] = STATE(1455),
    [sym_regex_literal] = STATE(1455),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1455),
    [sym__unary_expression] = STATE(1455),
    [sym_postfix_expression] = STATE(1455),
    [sym_constructor_expression] = STATE(1455),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1455),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1455),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1455),
    [sym_prefix_expression] = STATE(1455),
    [sym_as_expression] = STATE(1455),
    [sym_selector_expression] = STATE(1455),
    [sym__binary_expression] = STATE(1455),
    [sym_multiplicative_expression] = STATE(1455),
    [sym_additive_expression] = STATE(1455),
    [sym_range_expression] = STATE(1455),
    [sym_infix_expression] = STATE(1455),
    [sym_nil_coalescing_expression] = STATE(1455),
    [sym_check_expression] = STATE(1455),
    [sym_comparison_expression] = STATE(1455),
    [sym_equality_expression] = STATE(1455),
    [sym_conjunction_expression] = STATE(1455),
    [sym_disjunction_expression] = STATE(1455),
    [sym_bitwise_operation] = STATE(1455),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1455),
    [sym_await_expression] = STATE(1455),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1455),
    [sym_call_expression] = STATE(1455),
    [sym__primary_expression] = STATE(1455),
    [sym_tuple_expression] = STATE(1455),
    [sym_array_literal] = STATE(1455),
    [sym_dictionary_literal] = STATE(1455),
    [sym__special_literal] = STATE(1455),
    [sym__playground_literal] = STATE(1455),
    [sym_lambda_literal] = STATE(1455),
    [sym_self_expression] = STATE(1455),
    [sym_super_expression] = STATE(1455),
    [sym_if_statement] = STATE(1455),
    [sym_switch_statement] = STATE(1455),
    [sym_key_path_expression] = STATE(1455),
    [sym_key_path_string_expression] = STATE(1455),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1455),
    [sym__equality_operator] = STATE(1455),
    [sym__comparison_operator] = STATE(1455),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1455),
    [sym__multiplicative_operator] = STATE(1455),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1455),
    [sym_value_parameter_pack] = STATE(1455),
    [sym_value_pack_expansion] = STATE(1455),
    [sym__referenceable_operator] = STATE(1455),
    [sym__equal_sign] = STATE(1455),
    [sym__eq_eq] = STATE(1455),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(407),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(407),
    [anon_sym_nil] = ACTIONS(743),
    [sym_real_literal] = ACTIONS(745),
    [sym_integer_literal] = ACTIONS(743),
    [sym_hex_literal] = ACTIONS(745),
    [sym_oct_literal] = ACTIONS(745),
    [sym_bin_literal] = ACTIONS(745),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [anon_sym_COMMA] = ACTIONS(425),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(425),
    [anon_sym_LBRACK] = ACTIONS(425),
    [anon_sym_QMARK] = ACTIONS(407),
    [anon_sym_QMARK2] = ACTIONS(425),
    [anon_sym_AMP] = ACTIONS(425),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(425),
    [anon_sym_LT] = ACTIONS(407),
    [anon_sym_GT] = ACTIONS(407),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(743),
    [anon_sym_POUNDfileID] = ACTIONS(745),
    [anon_sym_POUNDfilePath] = ACTIONS(745),
    [anon_sym_POUNDline] = ACTIONS(745),
    [anon_sym_POUNDcolumn] = ACTIONS(745),
    [anon_sym_POUNDfunction] = ACTIONS(745),
    [anon_sym_POUNDdsohandle] = ACTIONS(745),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(425),
    [anon_sym_CARET_LBRACE] = ACTIONS(425),
    [anon_sym_RBRACE] = ACTIONS(425),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_case] = ACTIONS(407),
    [anon_sym_fallthrough] = ACTIONS(407),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(425),
    [anon_sym_DASH_EQ] = ACTIONS(425),
    [anon_sym_STAR_EQ] = ACTIONS(425),
    [anon_sym_SLASH_EQ] = ACTIONS(425),
    [anon_sym_PERCENT_EQ] = ACTIONS(425),
    [anon_sym_BANG_EQ] = ACTIONS(407),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(425),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(425),
    [anon_sym_LT_EQ] = ACTIONS(425),
    [anon_sym_GT_EQ] = ACTIONS(425),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(425),
    [anon_sym_DOT_DOT_LT] = ACTIONS(425),
    [anon_sym_is] = ACTIONS(407),
    [anon_sym_PLUS] = ACTIONS(407),
    [anon_sym_DASH] = ACTIONS(407),
    [anon_sym_STAR] = ACTIONS(407),
    [anon_sym_SLASH] = ACTIONS(407),
    [anon_sym_PERCENT] = ACTIONS(407),
    [anon_sym_PLUS_PLUS] = ACTIONS(425),
    [anon_sym_DASH_DASH] = ACTIONS(425),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(425),
    [anon_sym_CARET] = ACTIONS(407),
    [anon_sym_LT_LT] = ACTIONS(425),
    [anon_sym_GT_GT] = ACTIONS(425),
    [anon_sym_class] = ACTIONS(407),
    [anon_sym_BANG2] = ACTIONS(407),
    [anon_sym_prefix] = ACTIONS(407),
    [anon_sym_infix] = ACTIONS(407),
    [anon_sym_postfix] = ACTIONS(407),
    [anon_sym_AT] = ACTIONS(407),
    [anon_sym_override] = ACTIONS(407),
    [anon_sym_convenience] = ACTIONS(407),
    [anon_sym_required] = ACTIONS(407),
    [anon_sym_nonisolated] = ACTIONS(407),
    [anon_sym_public] = ACTIONS(407),
    [anon_sym_private] = ACTIONS(407),
    [anon_sym_internal] = ACTIONS(407),
    [anon_sym_fileprivate] = ACTIONS(407),
    [anon_sym_open] = ACTIONS(407),
    [anon_sym_mutating] = ACTIONS(407),
    [anon_sym_nonmutating] = ACTIONS(407),
    [anon_sym_static] = ACTIONS(407),
    [anon_sym_dynamic] = ACTIONS(407),
    [anon_sym_optional] = ACTIONS(407),
    [anon_sym_distributed] = ACTIONS(407),
    [anon_sym_final] = ACTIONS(407),
    [anon_sym_inout] = ACTIONS(407),
    [anon_sym_ATescaping] = ACTIONS(425),
    [anon_sym_ATautoclosure] = ACTIONS(425),
    [anon_sym_weak] = ACTIONS(407),
    [anon_sym_unowned] = ACTIONS(407),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(425),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(425),
    [anon_sym_borrowing] = ACTIONS(407),
    [anon_sym_consuming] = ACTIONS(407),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__implicit_semi] = ACTIONS(425),
    [sym__explicit_semi] = ACTIONS(425),
    [sym__dot_custom] = ACTIONS(425),
    [sym__conjunction_operator_custom] = ACTIONS(425),
    [sym__disjunction_operator_custom] = ACTIONS(425),
    [sym__nil_coalescing_operator_custom] = ACTIONS(425),
    [sym__eq_custom] = ACTIONS(425),
    [sym__eq_eq_custom] = ACTIONS(425),
    [sym__plus_then_ws] = ACTIONS(425),
    [sym__minus_then_ws] = ACTIONS(425),
    [sym__bang_custom] = ACTIONS(425),
    [sym_default_keyword] = ACTIONS(425),
    [sym__as_custom] = ACTIONS(425),
    [sym__as_quest_custom] = ACTIONS(425),
    [sym__as_bang_custom] = ACTIONS(425),
    [sym__custom_operator] = ACTIONS(425),
  },
  [121] = {
    [sym_simple_identifier] = STATE(1141),
    [sym__contextual_simple_identifier] = STATE(1051),
    [sym__basic_literal] = STATE(659),
    [sym_boolean_literal] = STATE(659),
    [sym__string_literal] = STATE(659),
    [sym_line_string_literal] = STATE(659),
    [sym_multi_line_string_literal] = STATE(659),
    [sym_raw_string_literal] = STATE(659),
    [sym_regex_literal] = STATE(659),
    [sym__multiline_regex_literal] = STATE(1215),
    [sym_user_type] = STATE(5510),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5510),
    [sym_dictionary_type] = STATE(5510),
    [sym__expression] = STATE(659),
    [sym__unary_expression] = STATE(659),
    [sym_postfix_expression] = STATE(659),
    [sym_constructor_expression] = STATE(659),
    [sym__parenthesized_type] = STATE(6558),
    [sym_navigation_expression] = STATE(659),
    [sym__navigable_type_expression] = STATE(6557),
    [sym_open_start_range_expression] = STATE(659),
    [sym__range_operator] = STATE(523),
    [sym_open_end_range_expression] = STATE(659),
    [sym_prefix_expression] = STATE(659),
    [sym_as_expression] = STATE(659),
    [sym_selector_expression] = STATE(659),
    [sym__binary_expression] = STATE(659),
    [sym_multiplicative_expression] = STATE(659),
    [sym_additive_expression] = STATE(659),
    [sym_range_expression] = STATE(659),
    [sym_infix_expression] = STATE(659),
    [sym_nil_coalescing_expression] = STATE(659),
    [sym_check_expression] = STATE(659),
    [sym_comparison_expression] = STATE(659),
    [sym_equality_expression] = STATE(659),
    [sym_conjunction_expression] = STATE(659),
    [sym_disjunction_expression] = STATE(659),
    [sym_bitwise_operation] = STATE(659),
    [sym_custom_operator] = STATE(628),
    [sym_try_expression] = STATE(659),
    [sym_await_expression] = STATE(659),
    [sym__await_operator] = STATE(518),
    [sym_ternary_expression] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym__primary_expression] = STATE(659),
    [sym_tuple_expression] = STATE(659),
    [sym_array_literal] = STATE(659),
    [sym_dictionary_literal] = STATE(659),
    [sym__special_literal] = STATE(659),
    [sym__playground_literal] = STATE(659),
    [sym_lambda_literal] = STATE(659),
    [sym_self_expression] = STATE(659),
    [sym_super_expression] = STATE(659),
    [sym_if_statement] = STATE(659),
    [sym_switch_statement] = STATE(659),
    [sym_key_path_expression] = STATE(659),
    [sym_key_path_string_expression] = STATE(659),
    [sym_try_operator] = STATE(515),
    [sym__assignment_and_operator] = STATE(659),
    [sym__equality_operator] = STATE(659),
    [sym__comparison_operator] = STATE(659),
    [sym__three_dot_operator] = STATE(625),
    [sym__open_ended_range_operator] = STATE(523),
    [sym__additive_operator] = STATE(659),
    [sym__multiplicative_operator] = STATE(659),
    [sym__prefix_unary_operator] = STATE(509),
    [sym_directly_assignable_expression] = STATE(5511),
    [sym_assignment] = STATE(659),
    [sym_value_parameter_pack] = STATE(659),
    [sym_value_pack_expansion] = STATE(659),
    [sym__referenceable_operator] = STATE(659),
    [sym__equal_sign] = STATE(659),
    [sym__eq_eq] = STATE(659),
    [sym__dot] = STATE(509),
    [sym_bang] = STATE(628),
    [sym__parameter_ownership_modifier] = STATE(1051),
    [aux_sym_raw_string_literal_repeat1] = STATE(6487),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(291),
    [aux_sym_simple_identifier_token2] = ACTIONS(293),
    [aux_sym_simple_identifier_token3] = ACTIONS(293),
    [aux_sym_simple_identifier_token4] = ACTIONS(293),
    [anon_sym_actor] = ACTIONS(291),
    [anon_sym_async] = ACTIONS(291),
    [anon_sym_each] = ACTIONS(299),
    [anon_sym_lazy] = ACTIONS(291),
    [anon_sym_repeat] = ACTIONS(747),
    [anon_sym_package] = ACTIONS(291),
    [anon_sym_nil] = ACTIONS(749),
    [sym_real_literal] = ACTIONS(751),
    [sym_integer_literal] = ACTIONS(749),
    [sym_hex_literal] = ACTIONS(751),
    [sym_oct_literal] = ACTIONS(751),
    [sym_bin_literal] = ACTIONS(751),
    [anon_sym_true] = ACTIONS(309),
    [anon_sym_false] = ACTIONS(309),
    [anon_sym_DQUOTE] = ACTIONS(311),
    [anon_sym_BSLASH] = ACTIONS(313),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(315),
    [anon_sym_COMMA] = ACTIONS(631),
    [sym__extended_regex_literal] = ACTIONS(317),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(319),
    [sym__oneline_regex_literal] = ACTIONS(321),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_LBRACK] = ACTIONS(325),
    [anon_sym_QMARK] = ACTIONS(637),
    [anon_sym_QMARK2] = ACTIONS(631),
    [anon_sym_AMP] = ACTIONS(327),
    [anon_sym_if] = ACTIONS(329),
    [anon_sym_switch] = ACTIONS(331),
    [anon_sym_POUNDselector] = ACTIONS(333),
    [aux_sym_custom_operator_token1] = ACTIONS(335),
    [anon_sym_LT] = ACTIONS(749),
    [anon_sym_GT] = ACTIONS(749),
    [anon_sym_await] = ACTIONS(337),
    [anon_sym_POUNDfile] = ACTIONS(749),
    [anon_sym_POUNDfileID] = ACTIONS(751),
    [anon_sym_POUNDfilePath] = ACTIONS(751),
    [anon_sym_POUNDline] = ACTIONS(751),
    [anon_sym_POUNDcolumn] = ACTIONS(751),
    [anon_sym_POUNDfunction] = ACTIONS(751),
    [anon_sym_POUNDdsohandle] = ACTIONS(751),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(339),
    [anon_sym_POUNDfileLiteral] = ACTIONS(339),
    [anon_sym_POUNDimageLiteral] = ACTIONS(339),
    [anon_sym_LBRACE] = ACTIONS(341),
    [anon_sym_CARET_LBRACE] = ACTIONS(341),
    [anon_sym_RBRACE] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(345),
    [anon_sym_super] = ACTIONS(347),
    [anon_sym_case] = ACTIONS(637),
    [anon_sym_fallthrough] = ACTIONS(637),
    [anon_sym_POUNDkeyPath] = ACTIONS(353),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(751),
    [anon_sym_DASH_EQ] = ACTIONS(751),
    [anon_sym_STAR_EQ] = ACTIONS(751),
    [anon_sym_SLASH_EQ] = ACTIONS(751),
    [anon_sym_PERCENT_EQ] = ACTIONS(751),
    [anon_sym_BANG_EQ] = ACTIONS(749),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(751),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(751),
    [anon_sym_LT_EQ] = ACTIONS(751),
    [anon_sym_GT_EQ] = ACTIONS(751),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(355),
    [anon_sym_DOT_DOT_LT] = ACTIONS(357),
    [anon_sym_is] = ACTIONS(637),
    [anon_sym_PLUS] = ACTIONS(359),
    [anon_sym_DASH] = ACTIONS(359),
    [anon_sym_STAR] = ACTIONS(749),
    [anon_sym_SLASH] = ACTIONS(749),
    [anon_sym_PERCENT] = ACTIONS(749),
    [anon_sym_PLUS_PLUS] = ACTIONS(327),
    [anon_sym_DASH_DASH] = ACTIONS(327),
    [anon_sym_TILDE] = ACTIONS(327),
    [anon_sym_PIPE] = ACTIONS(751),
    [anon_sym_CARET] = ACTIONS(749),
    [anon_sym_LT_LT] = ACTIONS(751),
    [anon_sym_GT_GT] = ACTIONS(751),
    [anon_sym_class] = ACTIONS(637),
    [anon_sym_BANG2] = ACTIONS(381),
    [anon_sym_prefix] = ACTIONS(637),
    [anon_sym_infix] = ACTIONS(637),
    [anon_sym_postfix] = ACTIONS(637),
    [anon_sym_AT] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_convenience] = ACTIONS(637),
    [anon_sym_required] = ACTIONS(637),
    [anon_sym_nonisolated] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_internal] = ACTIONS(637),
    [anon_sym_fileprivate] = ACTIONS(637),
    [anon_sym_open] = ACTIONS(637),
    [anon_sym_mutating] = ACTIONS(637),
    [anon_sym_nonmutating] = ACTIONS(637),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_dynamic] = ACTIONS(637),
    [anon_sym_optional] = ACTIONS(637),
    [anon_sym_distributed] = ACTIONS(637),
    [anon_sym_final] = ACTIONS(637),
    [anon_sym_inout] = ACTIONS(637),
    [anon_sym_ATescaping] = ACTIONS(631),
    [anon_sym_ATautoclosure] = ACTIONS(631),
    [anon_sym_weak] = ACTIONS(637),
    [anon_sym_unowned] = ACTIONS(637),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(631),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(631),
    [anon_sym_borrowing] = ACTIONS(291),
    [anon_sym_consuming] = ACTIONS(291),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(383),
    [sym__implicit_semi] = ACTIONS(631),
    [sym__explicit_semi] = ACTIONS(631),
    [sym__dot_custom] = ACTIONS(385),
    [sym__conjunction_operator_custom] = ACTIONS(631),
    [sym__disjunction_operator_custom] = ACTIONS(631),
    [sym__nil_coalescing_operator_custom] = ACTIONS(631),
    [sym__eq_custom] = ACTIONS(751),
    [sym__eq_eq_custom] = ACTIONS(751),
    [sym__plus_then_ws] = ACTIONS(751),
    [sym__minus_then_ws] = ACTIONS(751),
    [sym__bang_custom] = ACTIONS(387),
    [sym_default_keyword] = ACTIONS(631),
    [sym__as_custom] = ACTIONS(631),
    [sym__as_quest_custom] = ACTIONS(631),
    [sym__as_bang_custom] = ACTIONS(631),
    [sym__custom_operator] = ACTIONS(335),
  },
  [122] = {
    [sym_simple_identifier] = STATE(1141),
    [sym__contextual_simple_identifier] = STATE(1051),
    [sym__basic_literal] = STATE(667),
    [sym_boolean_literal] = STATE(667),
    [sym__string_literal] = STATE(667),
    [sym_line_string_literal] = STATE(667),
    [sym_multi_line_string_literal] = STATE(667),
    [sym_raw_string_literal] = STATE(667),
    [sym_regex_literal] = STATE(667),
    [sym__multiline_regex_literal] = STATE(1215),
    [sym_user_type] = STATE(5510),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5510),
    [sym_dictionary_type] = STATE(5510),
    [sym__expression] = STATE(667),
    [sym__unary_expression] = STATE(667),
    [sym_postfix_expression] = STATE(667),
    [sym_constructor_expression] = STATE(667),
    [sym__parenthesized_type] = STATE(6558),
    [sym_navigation_expression] = STATE(667),
    [sym__navigable_type_expression] = STATE(6557),
    [sym_open_start_range_expression] = STATE(667),
    [sym__range_operator] = STATE(523),
    [sym_open_end_range_expression] = STATE(667),
    [sym_prefix_expression] = STATE(667),
    [sym_as_expression] = STATE(667),
    [sym_selector_expression] = STATE(667),
    [sym__binary_expression] = STATE(667),
    [sym_multiplicative_expression] = STATE(667),
    [sym_additive_expression] = STATE(667),
    [sym_range_expression] = STATE(667),
    [sym_infix_expression] = STATE(667),
    [sym_nil_coalescing_expression] = STATE(667),
    [sym_check_expression] = STATE(667),
    [sym_comparison_expression] = STATE(667),
    [sym_equality_expression] = STATE(667),
    [sym_conjunction_expression] = STATE(667),
    [sym_disjunction_expression] = STATE(667),
    [sym_bitwise_operation] = STATE(667),
    [sym_custom_operator] = STATE(628),
    [sym_try_expression] = STATE(667),
    [sym_await_expression] = STATE(667),
    [sym__await_operator] = STATE(518),
    [sym_ternary_expression] = STATE(667),
    [sym_call_expression] = STATE(667),
    [sym__primary_expression] = STATE(667),
    [sym_tuple_expression] = STATE(667),
    [sym_array_literal] = STATE(667),
    [sym_dictionary_literal] = STATE(667),
    [sym__special_literal] = STATE(667),
    [sym__playground_literal] = STATE(667),
    [sym_lambda_literal] = STATE(667),
    [sym_self_expression] = STATE(667),
    [sym_super_expression] = STATE(667),
    [sym_if_statement] = STATE(667),
    [sym_switch_statement] = STATE(667),
    [sym_key_path_expression] = STATE(667),
    [sym_key_path_string_expression] = STATE(667),
    [sym_try_operator] = STATE(515),
    [sym__assignment_and_operator] = STATE(667),
    [sym__equality_operator] = STATE(667),
    [sym__comparison_operator] = STATE(667),
    [sym__three_dot_operator] = STATE(625),
    [sym__open_ended_range_operator] = STATE(523),
    [sym__additive_operator] = STATE(667),
    [sym__multiplicative_operator] = STATE(667),
    [sym__prefix_unary_operator] = STATE(509),
    [sym_directly_assignable_expression] = STATE(5511),
    [sym_assignment] = STATE(667),
    [sym_value_parameter_pack] = STATE(667),
    [sym_value_pack_expansion] = STATE(667),
    [sym__referenceable_operator] = STATE(667),
    [sym__equal_sign] = STATE(667),
    [sym__eq_eq] = STATE(667),
    [sym__dot] = STATE(509),
    [sym_bang] = STATE(628),
    [sym__parameter_ownership_modifier] = STATE(1051),
    [aux_sym_raw_string_literal_repeat1] = STATE(6487),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(291),
    [aux_sym_simple_identifier_token2] = ACTIONS(293),
    [aux_sym_simple_identifier_token3] = ACTIONS(293),
    [aux_sym_simple_identifier_token4] = ACTIONS(293),
    [anon_sym_actor] = ACTIONS(291),
    [anon_sym_async] = ACTIONS(291),
    [anon_sym_each] = ACTIONS(299),
    [anon_sym_lazy] = ACTIONS(291),
    [anon_sym_repeat] = ACTIONS(747),
    [anon_sym_package] = ACTIONS(291),
    [anon_sym_nil] = ACTIONS(753),
    [sym_real_literal] = ACTIONS(755),
    [sym_integer_literal] = ACTIONS(753),
    [sym_hex_literal] = ACTIONS(755),
    [sym_oct_literal] = ACTIONS(755),
    [sym_bin_literal] = ACTIONS(755),
    [anon_sym_true] = ACTIONS(309),
    [anon_sym_false] = ACTIONS(309),
    [anon_sym_DQUOTE] = ACTIONS(311),
    [anon_sym_BSLASH] = ACTIONS(313),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(315),
    [anon_sym_COMMA] = ACTIONS(631),
    [sym__extended_regex_literal] = ACTIONS(317),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(319),
    [sym__oneline_regex_literal] = ACTIONS(321),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_LBRACK] = ACTIONS(325),
    [anon_sym_QMARK] = ACTIONS(637),
    [anon_sym_QMARK2] = ACTIONS(631),
    [anon_sym_AMP] = ACTIONS(327),
    [anon_sym_if] = ACTIONS(329),
    [anon_sym_switch] = ACTIONS(331),
    [anon_sym_POUNDselector] = ACTIONS(333),
    [aux_sym_custom_operator_token1] = ACTIONS(335),
    [anon_sym_LT] = ACTIONS(753),
    [anon_sym_GT] = ACTIONS(753),
    [anon_sym_await] = ACTIONS(337),
    [anon_sym_POUNDfile] = ACTIONS(753),
    [anon_sym_POUNDfileID] = ACTIONS(755),
    [anon_sym_POUNDfilePath] = ACTIONS(755),
    [anon_sym_POUNDline] = ACTIONS(755),
    [anon_sym_POUNDcolumn] = ACTIONS(755),
    [anon_sym_POUNDfunction] = ACTIONS(755),
    [anon_sym_POUNDdsohandle] = ACTIONS(755),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(339),
    [anon_sym_POUNDfileLiteral] = ACTIONS(339),
    [anon_sym_POUNDimageLiteral] = ACTIONS(339),
    [anon_sym_LBRACE] = ACTIONS(341),
    [anon_sym_CARET_LBRACE] = ACTIONS(341),
    [anon_sym_RBRACE] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(345),
    [anon_sym_super] = ACTIONS(347),
    [anon_sym_case] = ACTIONS(637),
    [anon_sym_fallthrough] = ACTIONS(637),
    [anon_sym_POUNDkeyPath] = ACTIONS(353),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(755),
    [anon_sym_DASH_EQ] = ACTIONS(755),
    [anon_sym_STAR_EQ] = ACTIONS(755),
    [anon_sym_SLASH_EQ] = ACTIONS(755),
    [anon_sym_PERCENT_EQ] = ACTIONS(755),
    [anon_sym_BANG_EQ] = ACTIONS(753),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(755),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(755),
    [anon_sym_LT_EQ] = ACTIONS(755),
    [anon_sym_GT_EQ] = ACTIONS(755),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(355),
    [anon_sym_DOT_DOT_LT] = ACTIONS(357),
    [anon_sym_is] = ACTIONS(637),
    [anon_sym_PLUS] = ACTIONS(359),
    [anon_sym_DASH] = ACTIONS(359),
    [anon_sym_STAR] = ACTIONS(753),
    [anon_sym_SLASH] = ACTIONS(753),
    [anon_sym_PERCENT] = ACTIONS(753),
    [anon_sym_PLUS_PLUS] = ACTIONS(327),
    [anon_sym_DASH_DASH] = ACTIONS(327),
    [anon_sym_TILDE] = ACTIONS(327),
    [anon_sym_PIPE] = ACTIONS(755),
    [anon_sym_CARET] = ACTIONS(753),
    [anon_sym_LT_LT] = ACTIONS(755),
    [anon_sym_GT_GT] = ACTIONS(755),
    [anon_sym_class] = ACTIONS(637),
    [anon_sym_BANG2] = ACTIONS(381),
    [anon_sym_prefix] = ACTIONS(637),
    [anon_sym_infix] = ACTIONS(637),
    [anon_sym_postfix] = ACTIONS(637),
    [anon_sym_AT] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_convenience] = ACTIONS(637),
    [anon_sym_required] = ACTIONS(637),
    [anon_sym_nonisolated] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_internal] = ACTIONS(637),
    [anon_sym_fileprivate] = ACTIONS(637),
    [anon_sym_open] = ACTIONS(637),
    [anon_sym_mutating] = ACTIONS(637),
    [anon_sym_nonmutating] = ACTIONS(637),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_dynamic] = ACTIONS(637),
    [anon_sym_optional] = ACTIONS(637),
    [anon_sym_distributed] = ACTIONS(637),
    [anon_sym_final] = ACTIONS(637),
    [anon_sym_inout] = ACTIONS(637),
    [anon_sym_ATescaping] = ACTIONS(631),
    [anon_sym_ATautoclosure] = ACTIONS(631),
    [anon_sym_weak] = ACTIONS(637),
    [anon_sym_unowned] = ACTIONS(637),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(631),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(631),
    [anon_sym_borrowing] = ACTIONS(291),
    [anon_sym_consuming] = ACTIONS(291),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(383),
    [sym__implicit_semi] = ACTIONS(631),
    [sym__explicit_semi] = ACTIONS(631),
    [sym__dot_custom] = ACTIONS(385),
    [sym__conjunction_operator_custom] = ACTIONS(631),
    [sym__disjunction_operator_custom] = ACTIONS(631),
    [sym__nil_coalescing_operator_custom] = ACTIONS(631),
    [sym__eq_custom] = ACTIONS(755),
    [sym__eq_eq_custom] = ACTIONS(755),
    [sym__plus_then_ws] = ACTIONS(755),
    [sym__minus_then_ws] = ACTIONS(755),
    [sym__bang_custom] = ACTIONS(387),
    [sym_default_keyword] = ACTIONS(631),
    [sym__as_custom] = ACTIONS(631),
    [sym__as_quest_custom] = ACTIONS(631),
    [sym__as_bang_custom] = ACTIONS(631),
    [sym__custom_operator] = ACTIONS(335),
  },
  [123] = {
    [sym_simple_identifier] = STATE(1141),
    [sym__contextual_simple_identifier] = STATE(1051),
    [sym__basic_literal] = STATE(667),
    [sym_boolean_literal] = STATE(667),
    [sym__string_literal] = STATE(667),
    [sym_line_string_literal] = STATE(667),
    [sym_multi_line_string_literal] = STATE(667),
    [sym_raw_string_literal] = STATE(667),
    [sym_regex_literal] = STATE(667),
    [sym__multiline_regex_literal] = STATE(1215),
    [sym_user_type] = STATE(5510),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5510),
    [sym_dictionary_type] = STATE(5510),
    [sym__expression] = STATE(667),
    [sym__unary_expression] = STATE(667),
    [sym_postfix_expression] = STATE(667),
    [sym_constructor_expression] = STATE(667),
    [sym__parenthesized_type] = STATE(6558),
    [sym_navigation_expression] = STATE(667),
    [sym__navigable_type_expression] = STATE(6557),
    [sym_open_start_range_expression] = STATE(667),
    [sym__range_operator] = STATE(523),
    [sym_open_end_range_expression] = STATE(667),
    [sym_prefix_expression] = STATE(667),
    [sym_as_expression] = STATE(667),
    [sym_selector_expression] = STATE(667),
    [sym__binary_expression] = STATE(667),
    [sym_multiplicative_expression] = STATE(667),
    [sym_additive_expression] = STATE(667),
    [sym_range_expression] = STATE(667),
    [sym_infix_expression] = STATE(667),
    [sym_nil_coalescing_expression] = STATE(667),
    [sym_check_expression] = STATE(667),
    [sym_comparison_expression] = STATE(667),
    [sym_equality_expression] = STATE(667),
    [sym_conjunction_expression] = STATE(667),
    [sym_disjunction_expression] = STATE(667),
    [sym_bitwise_operation] = STATE(667),
    [sym_custom_operator] = STATE(628),
    [sym_try_expression] = STATE(667),
    [sym_await_expression] = STATE(667),
    [sym__await_operator] = STATE(518),
    [sym_ternary_expression] = STATE(667),
    [sym_call_expression] = STATE(667),
    [sym__primary_expression] = STATE(667),
    [sym_tuple_expression] = STATE(667),
    [sym_array_literal] = STATE(667),
    [sym_dictionary_literal] = STATE(667),
    [sym__special_literal] = STATE(667),
    [sym__playground_literal] = STATE(667),
    [sym_lambda_literal] = STATE(667),
    [sym_self_expression] = STATE(667),
    [sym_super_expression] = STATE(667),
    [sym_if_statement] = STATE(667),
    [sym_switch_statement] = STATE(667),
    [sym_key_path_expression] = STATE(667),
    [sym_key_path_string_expression] = STATE(667),
    [sym_try_operator] = STATE(515),
    [sym__assignment_and_operator] = STATE(667),
    [sym__equality_operator] = STATE(667),
    [sym__comparison_operator] = STATE(667),
    [sym__three_dot_operator] = STATE(625),
    [sym__open_ended_range_operator] = STATE(523),
    [sym__additive_operator] = STATE(667),
    [sym__multiplicative_operator] = STATE(667),
    [sym__prefix_unary_operator] = STATE(509),
    [sym_directly_assignable_expression] = STATE(5511),
    [sym_assignment] = STATE(667),
    [sym_value_parameter_pack] = STATE(667),
    [sym_value_pack_expansion] = STATE(667),
    [sym__referenceable_operator] = STATE(667),
    [sym__equal_sign] = STATE(667),
    [sym__eq_eq] = STATE(667),
    [sym__dot] = STATE(509),
    [sym_bang] = STATE(628),
    [sym__parameter_ownership_modifier] = STATE(1051),
    [aux_sym_raw_string_literal_repeat1] = STATE(6487),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(291),
    [aux_sym_simple_identifier_token2] = ACTIONS(293),
    [aux_sym_simple_identifier_token3] = ACTIONS(293),
    [aux_sym_simple_identifier_token4] = ACTIONS(293),
    [anon_sym_actor] = ACTIONS(291),
    [anon_sym_async] = ACTIONS(291),
    [anon_sym_each] = ACTIONS(299),
    [anon_sym_lazy] = ACTIONS(291),
    [anon_sym_repeat] = ACTIONS(747),
    [anon_sym_package] = ACTIONS(291),
    [anon_sym_nil] = ACTIONS(753),
    [sym_real_literal] = ACTIONS(755),
    [sym_integer_literal] = ACTIONS(753),
    [sym_hex_literal] = ACTIONS(755),
    [sym_oct_literal] = ACTIONS(755),
    [sym_bin_literal] = ACTIONS(755),
    [anon_sym_true] = ACTIONS(309),
    [anon_sym_false] = ACTIONS(309),
    [anon_sym_DQUOTE] = ACTIONS(311),
    [anon_sym_BSLASH] = ACTIONS(313),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(315),
    [sym__extended_regex_literal] = ACTIONS(317),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(319),
    [sym__oneline_regex_literal] = ACTIONS(321),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_LBRACK] = ACTIONS(325),
    [anon_sym_QMARK] = ACTIONS(637),
    [anon_sym_QMARK2] = ACTIONS(631),
    [anon_sym_AMP] = ACTIONS(327),
    [anon_sym_if] = ACTIONS(329),
    [anon_sym_switch] = ACTIONS(331),
    [anon_sym_POUNDselector] = ACTIONS(333),
    [aux_sym_custom_operator_token1] = ACTIONS(335),
    [anon_sym_LT] = ACTIONS(753),
    [anon_sym_GT] = ACTIONS(753),
    [anon_sym_await] = ACTIONS(337),
    [anon_sym_POUNDfile] = ACTIONS(753),
    [anon_sym_POUNDfileID] = ACTIONS(755),
    [anon_sym_POUNDfilePath] = ACTIONS(755),
    [anon_sym_POUNDline] = ACTIONS(755),
    [anon_sym_POUNDcolumn] = ACTIONS(755),
    [anon_sym_POUNDfunction] = ACTIONS(755),
    [anon_sym_POUNDdsohandle] = ACTIONS(755),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(339),
    [anon_sym_POUNDfileLiteral] = ACTIONS(339),
    [anon_sym_POUNDimageLiteral] = ACTIONS(339),
    [anon_sym_LBRACE] = ACTIONS(757),
    [anon_sym_CARET_LBRACE] = ACTIONS(341),
    [anon_sym_RBRACE] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(345),
    [anon_sym_super] = ACTIONS(347),
    [anon_sym_case] = ACTIONS(637),
    [anon_sym_fallthrough] = ACTIONS(637),
    [anon_sym_POUNDkeyPath] = ACTIONS(353),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(755),
    [anon_sym_DASH_EQ] = ACTIONS(755),
    [anon_sym_STAR_EQ] = ACTIONS(755),
    [anon_sym_SLASH_EQ] = ACTIONS(755),
    [anon_sym_PERCENT_EQ] = ACTIONS(755),
    [anon_sym_BANG_EQ] = ACTIONS(753),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(755),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(755),
    [anon_sym_LT_EQ] = ACTIONS(755),
    [anon_sym_GT_EQ] = ACTIONS(755),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(355),
    [anon_sym_DOT_DOT_LT] = ACTIONS(357),
    [anon_sym_is] = ACTIONS(637),
    [anon_sym_PLUS] = ACTIONS(359),
    [anon_sym_DASH] = ACTIONS(359),
    [anon_sym_STAR] = ACTIONS(753),
    [anon_sym_SLASH] = ACTIONS(753),
    [anon_sym_PERCENT] = ACTIONS(753),
    [anon_sym_PLUS_PLUS] = ACTIONS(327),
    [anon_sym_DASH_DASH] = ACTIONS(327),
    [anon_sym_TILDE] = ACTIONS(327),
    [anon_sym_PIPE] = ACTIONS(755),
    [anon_sym_CARET] = ACTIONS(753),
    [anon_sym_LT_LT] = ACTIONS(755),
    [anon_sym_GT_GT] = ACTIONS(755),
    [anon_sym_class] = ACTIONS(637),
    [anon_sym_BANG2] = ACTIONS(381),
    [anon_sym_prefix] = ACTIONS(637),
    [anon_sym_infix] = ACTIONS(637),
    [anon_sym_postfix] = ACTIONS(637),
    [anon_sym_AT] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_convenience] = ACTIONS(637),
    [anon_sym_required] = ACTIONS(637),
    [anon_sym_nonisolated] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_internal] = ACTIONS(637),
    [anon_sym_fileprivate] = ACTIONS(637),
    [anon_sym_open] = ACTIONS(637),
    [anon_sym_mutating] = ACTIONS(637),
    [anon_sym_nonmutating] = ACTIONS(637),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_dynamic] = ACTIONS(637),
    [anon_sym_optional] = ACTIONS(637),
    [anon_sym_distributed] = ACTIONS(637),
    [anon_sym_final] = ACTIONS(637),
    [anon_sym_inout] = ACTIONS(637),
    [anon_sym_ATescaping] = ACTIONS(631),
    [anon_sym_ATautoclosure] = ACTIONS(631),
    [anon_sym_weak] = ACTIONS(637),
    [anon_sym_unowned] = ACTIONS(637),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(631),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(631),
    [anon_sym_borrowing] = ACTIONS(291),
    [anon_sym_consuming] = ACTIONS(291),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(383),
    [sym__implicit_semi] = ACTIONS(631),
    [sym__explicit_semi] = ACTIONS(631),
    [sym__dot_custom] = ACTIONS(385),
    [sym__conjunction_operator_custom] = ACTIONS(631),
    [sym__disjunction_operator_custom] = ACTIONS(631),
    [sym__nil_coalescing_operator_custom] = ACTIONS(631),
    [sym__eq_custom] = ACTIONS(755),
    [sym__eq_eq_custom] = ACTIONS(755),
    [sym__plus_then_ws] = ACTIONS(755),
    [sym__minus_then_ws] = ACTIONS(755),
    [sym__bang_custom] = ACTIONS(387),
    [sym_default_keyword] = ACTIONS(631),
    [sym__as_custom] = ACTIONS(631),
    [sym__as_quest_custom] = ACTIONS(631),
    [sym__as_bang_custom] = ACTIONS(631),
    [sym__custom_operator] = ACTIONS(335),
  },
  [124] = {
    [sym_simple_identifier] = STATE(1141),
    [sym__contextual_simple_identifier] = STATE(1051),
    [sym__basic_literal] = STATE(669),
    [sym_boolean_literal] = STATE(669),
    [sym__string_literal] = STATE(669),
    [sym_line_string_literal] = STATE(669),
    [sym_multi_line_string_literal] = STATE(669),
    [sym_raw_string_literal] = STATE(669),
    [sym_regex_literal] = STATE(669),
    [sym__multiline_regex_literal] = STATE(1215),
    [sym_user_type] = STATE(5510),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5510),
    [sym_dictionary_type] = STATE(5510),
    [sym__expression] = STATE(669),
    [sym__unary_expression] = STATE(669),
    [sym_postfix_expression] = STATE(669),
    [sym_constructor_expression] = STATE(669),
    [sym__parenthesized_type] = STATE(6558),
    [sym_navigation_expression] = STATE(669),
    [sym__navigable_type_expression] = STATE(6557),
    [sym_open_start_range_expression] = STATE(669),
    [sym__range_operator] = STATE(523),
    [sym_open_end_range_expression] = STATE(669),
    [sym_prefix_expression] = STATE(669),
    [sym_as_expression] = STATE(669),
    [sym_selector_expression] = STATE(669),
    [sym__binary_expression] = STATE(669),
    [sym_multiplicative_expression] = STATE(669),
    [sym_additive_expression] = STATE(669),
    [sym_range_expression] = STATE(669),
    [sym_infix_expression] = STATE(669),
    [sym_nil_coalescing_expression] = STATE(669),
    [sym_check_expression] = STATE(669),
    [sym_comparison_expression] = STATE(669),
    [sym_equality_expression] = STATE(669),
    [sym_conjunction_expression] = STATE(669),
    [sym_disjunction_expression] = STATE(669),
    [sym_bitwise_operation] = STATE(669),
    [sym_custom_operator] = STATE(628),
    [sym_try_expression] = STATE(669),
    [sym_await_expression] = STATE(669),
    [sym__await_operator] = STATE(518),
    [sym_ternary_expression] = STATE(669),
    [sym_call_expression] = STATE(669),
    [sym__primary_expression] = STATE(669),
    [sym_tuple_expression] = STATE(669),
    [sym_array_literal] = STATE(669),
    [sym_dictionary_literal] = STATE(669),
    [sym__special_literal] = STATE(669),
    [sym__playground_literal] = STATE(669),
    [sym_lambda_literal] = STATE(669),
    [sym_self_expression] = STATE(669),
    [sym_super_expression] = STATE(669),
    [sym_if_statement] = STATE(669),
    [sym_switch_statement] = STATE(669),
    [sym_key_path_expression] = STATE(669),
    [sym_key_path_string_expression] = STATE(669),
    [sym_try_operator] = STATE(515),
    [sym__assignment_and_operator] = STATE(669),
    [sym__equality_operator] = STATE(669),
    [sym__comparison_operator] = STATE(669),
    [sym__three_dot_operator] = STATE(625),
    [sym__open_ended_range_operator] = STATE(523),
    [sym__additive_operator] = STATE(669),
    [sym__multiplicative_operator] = STATE(669),
    [sym__prefix_unary_operator] = STATE(509),
    [sym_directly_assignable_expression] = STATE(5511),
    [sym_assignment] = STATE(669),
    [sym_value_parameter_pack] = STATE(669),
    [sym_value_pack_expansion] = STATE(669),
    [sym__referenceable_operator] = STATE(669),
    [sym__equal_sign] = STATE(669),
    [sym__eq_eq] = STATE(669),
    [sym__dot] = STATE(509),
    [sym_bang] = STATE(628),
    [sym__parameter_ownership_modifier] = STATE(1051),
    [aux_sym_raw_string_literal_repeat1] = STATE(6487),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(291),
    [aux_sym_simple_identifier_token2] = ACTIONS(293),
    [aux_sym_simple_identifier_token3] = ACTIONS(293),
    [aux_sym_simple_identifier_token4] = ACTIONS(293),
    [anon_sym_actor] = ACTIONS(291),
    [anon_sym_async] = ACTIONS(291),
    [anon_sym_each] = ACTIONS(299),
    [anon_sym_lazy] = ACTIONS(291),
    [anon_sym_repeat] = ACTIONS(747),
    [anon_sym_package] = ACTIONS(291),
    [anon_sym_nil] = ACTIONS(759),
    [sym_real_literal] = ACTIONS(761),
    [sym_integer_literal] = ACTIONS(759),
    [sym_hex_literal] = ACTIONS(761),
    [sym_oct_literal] = ACTIONS(761),
    [sym_bin_literal] = ACTIONS(761),
    [anon_sym_true] = ACTIONS(309),
    [anon_sym_false] = ACTIONS(309),
    [anon_sym_DQUOTE] = ACTIONS(311),
    [anon_sym_BSLASH] = ACTIONS(313),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(315),
    [sym__extended_regex_literal] = ACTIONS(317),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(319),
    [sym__oneline_regex_literal] = ACTIONS(321),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_LBRACK] = ACTIONS(325),
    [anon_sym_AMP] = ACTIONS(327),
    [anon_sym_if] = ACTIONS(329),
    [anon_sym_switch] = ACTIONS(331),
    [anon_sym_POUNDselector] = ACTIONS(333),
    [aux_sym_custom_operator_token1] = ACTIONS(335),
    [anon_sym_LT] = ACTIONS(759),
    [anon_sym_GT] = ACTIONS(759),
    [anon_sym_await] = ACTIONS(337),
    [anon_sym_POUNDfile] = ACTIONS(759),
    [anon_sym_POUNDfileID] = ACTIONS(761),
    [anon_sym_POUNDfilePath] = ACTIONS(761),
    [anon_sym_POUNDline] = ACTIONS(761),
    [anon_sym_POUNDcolumn] = ACTIONS(761),
    [anon_sym_POUNDfunction] = ACTIONS(761),
    [anon_sym_POUNDdsohandle] = ACTIONS(761),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(339),
    [anon_sym_POUNDfileLiteral] = ACTIONS(339),
    [anon_sym_POUNDimageLiteral] = ACTIONS(339),
    [anon_sym_LBRACE] = ACTIONS(341),
    [anon_sym_CARET_LBRACE] = ACTIONS(341),
    [anon_sym_RBRACE] = ACTIONS(763),
    [anon_sym_self] = ACTIONS(345),
    [anon_sym_super] = ACTIONS(347),
    [anon_sym_case] = ACTIONS(765),
    [anon_sym_fallthrough] = ACTIONS(765),
    [anon_sym_POUNDkeyPath] = ACTIONS(353),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(761),
    [anon_sym_DASH_EQ] = ACTIONS(761),
    [anon_sym_STAR_EQ] = ACTIONS(761),
    [anon_sym_SLASH_EQ] = ACTIONS(761),
    [anon_sym_PERCENT_EQ] = ACTIONS(761),
    [anon_sym_BANG_EQ] = ACTIONS(759),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(761),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(761),
    [anon_sym_LT_EQ] = ACTIONS(761),
    [anon_sym_GT_EQ] = ACTIONS(761),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(355),
    [anon_sym_DOT_DOT_LT] = ACTIONS(357),
    [anon_sym_PLUS] = ACTIONS(359),
    [anon_sym_DASH] = ACTIONS(359),
    [anon_sym_STAR] = ACTIONS(759),
    [anon_sym_SLASH] = ACTIONS(759),
    [anon_sym_PERCENT] = ACTIONS(759),
    [anon_sym_PLUS_PLUS] = ACTIONS(327),
    [anon_sym_DASH_DASH] = ACTIONS(327),
    [anon_sym_TILDE] = ACTIONS(327),
    [anon_sym_PIPE] = ACTIONS(761),
    [anon_sym_CARET] = ACTIONS(759),
    [anon_sym_LT_LT] = ACTIONS(761),
    [anon_sym_GT_GT] = ACTIONS(761),
    [anon_sym_class] = ACTIONS(765),
    [anon_sym_BANG2] = ACTIONS(381),
    [anon_sym_prefix] = ACTIONS(765),
    [anon_sym_infix] = ACTIONS(765),
    [anon_sym_postfix] = ACTIONS(765),
    [anon_sym_AT] = ACTIONS(765),
    [anon_sym_override] = ACTIONS(765),
    [anon_sym_convenience] = ACTIONS(765),
    [anon_sym_required] = ACTIONS(765),
    [anon_sym_nonisolated] = ACTIONS(765),
    [anon_sym_public] = ACTIONS(765),
    [anon_sym_private] = ACTIONS(765),
    [anon_sym_internal] = ACTIONS(765),
    [anon_sym_fileprivate] = ACTIONS(765),
    [anon_sym_open] = ACTIONS(765),
    [anon_sym_mutating] = ACTIONS(765),
    [anon_sym_nonmutating] = ACTIONS(765),
    [anon_sym_static] = ACTIONS(765),
    [anon_sym_dynamic] = ACTIONS(765),
    [anon_sym_optional] = ACTIONS(765),
    [anon_sym_distributed] = ACTIONS(765),
    [anon_sym_final] = ACTIONS(765),
    [anon_sym_inout] = ACTIONS(765),
    [anon_sym_ATescaping] = ACTIONS(763),
    [anon_sym_ATautoclosure] = ACTIONS(763),
    [anon_sym_weak] = ACTIONS(765),
    [anon_sym_unowned] = ACTIONS(765),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(763),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(763),
    [anon_sym_borrowing] = ACTIONS(291),
    [anon_sym_consuming] = ACTIONS(291),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(383),
    [sym__implicit_semi] = ACTIONS(763),
    [sym__explicit_semi] = ACTIONS(763),
    [sym__dot_custom] = ACTIONS(385),
    [sym__eq_custom] = ACTIONS(761),
    [sym__eq_eq_custom] = ACTIONS(761),
    [sym__plus_then_ws] = ACTIONS(761),
    [sym__minus_then_ws] = ACTIONS(761),
    [sym__bang_custom] = ACTIONS(387),
    [sym_default_keyword] = ACTIONS(763),
    [sym__custom_operator] = ACTIONS(335),
  },
  [125] = {
    [sym_simple_identifier] = STATE(2003),
    [sym__contextual_simple_identifier] = STATE(702),
    [sym__basic_literal] = STATE(1284),
    [sym_boolean_literal] = STATE(1284),
    [sym__string_literal] = STATE(1284),
    [sym_line_string_literal] = STATE(1284),
    [sym_multi_line_string_literal] = STATE(1284),
    [sym_raw_string_literal] = STATE(1284),
    [sym_regex_literal] = STATE(1284),
    [sym__multiline_regex_literal] = STATE(751),
    [sym__unannotated_type] = STATE(4499),
    [sym_user_type] = STATE(4277),
    [sym__simple_user_type] = STATE(4378),
    [sym_tuple_type] = STATE(4375),
    [sym_function_type] = STATE(4499),
    [sym_array_type] = STATE(4277),
    [sym_dictionary_type] = STATE(4277),
    [sym_optional_type] = STATE(4499),
    [sym_metatype] = STATE(4499),
    [sym_opaque_type] = STATE(4499),
    [sym_existential_type] = STATE(4499),
    [sym_type_parameter_pack] = STATE(4499),
    [sym_type_pack_expansion] = STATE(4499),
    [sym_protocol_composition_type] = STATE(4499),
    [sym__expression] = STATE(1284),
    [sym__unary_expression] = STATE(1284),
    [sym_postfix_expression] = STATE(1284),
    [sym_constructor_expression] = STATE(1284),
    [sym__parenthesized_type] = STATE(4943),
    [sym_navigation_expression] = STATE(1284),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1284),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1284),
    [sym_prefix_expression] = STATE(1284),
    [sym_as_expression] = STATE(1284),
    [sym_selector_expression] = STATE(1284),
    [sym__binary_expression] = STATE(1284),
    [sym_multiplicative_expression] = STATE(1284),
    [sym_additive_expression] = STATE(1284),
    [sym_range_expression] = STATE(1284),
    [sym_infix_expression] = STATE(1284),
    [sym_nil_coalescing_expression] = STATE(1284),
    [sym_check_expression] = STATE(1284),
    [sym_comparison_expression] = STATE(1284),
    [sym_equality_expression] = STATE(1284),
    [sym_conjunction_expression] = STATE(1284),
    [sym_disjunction_expression] = STATE(1284),
    [sym_bitwise_operation] = STATE(1284),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1284),
    [sym_await_expression] = STATE(1284),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1284),
    [sym_call_expression] = STATE(1284),
    [sym__primary_expression] = STATE(1284),
    [sym_tuple_expression] = STATE(1284),
    [sym_array_literal] = STATE(1284),
    [sym_dictionary_literal] = STATE(1284),
    [sym__special_literal] = STATE(1284),
    [sym__playground_literal] = STATE(1284),
    [sym_lambda_literal] = STATE(1284),
    [sym_self_expression] = STATE(1284),
    [sym_super_expression] = STATE(1284),
    [sym_if_statement] = STATE(1284),
    [sym_switch_statement] = STATE(1284),
    [sym_key_path_expression] = STATE(1284),
    [sym_key_path_string_expression] = STATE(1284),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1284),
    [sym__equality_operator] = STATE(1284),
    [sym__comparison_operator] = STATE(1284),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1284),
    [sym__multiplicative_operator] = STATE(1284),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1284),
    [sym_value_parameter_pack] = STATE(1284),
    [sym_value_pack_expansion] = STATE(1284),
    [sym__referenceable_operator] = STATE(1284),
    [sym__equal_sign] = STATE(1284),
    [sym__eq_eq] = STATE(1284),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(702),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(767),
    [aux_sym_simple_identifier_token2] = ACTIONS(769),
    [aux_sym_simple_identifier_token3] = ACTIONS(769),
    [aux_sym_simple_identifier_token4] = ACTIONS(769),
    [anon_sym_actor] = ACTIONS(767),
    [anon_sym_async] = ACTIONS(767),
    [anon_sym_each] = ACTIONS(771),
    [anon_sym_lazy] = ACTIONS(767),
    [anon_sym_repeat] = ACTIONS(773),
    [anon_sym_package] = ACTIONS(767),
    [anon_sym_nil] = ACTIONS(775),
    [sym_real_literal] = ACTIONS(777),
    [sym_integer_literal] = ACTIONS(775),
    [sym_hex_literal] = ACTIONS(777),
    [sym_oct_literal] = ACTIONS(777),
    [sym_bin_literal] = ACTIONS(777),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [anon_sym_RPAREN] = ACTIONS(631),
    [anon_sym_COMMA] = ACTIONS(631),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_COLON] = ACTIONS(631),
    [anon_sym_LPAREN] = ACTIONS(779),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(637),
    [anon_sym_QMARK] = ACTIONS(637),
    [anon_sym_QMARK2] = ACTIONS(631),
    [anon_sym_some] = ACTIONS(783),
    [anon_sym_any] = ACTIONS(785),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(775),
    [anon_sym_POUNDfileID] = ACTIONS(777),
    [anon_sym_POUNDfilePath] = ACTIONS(777),
    [anon_sym_POUNDline] = ACTIONS(777),
    [anon_sym_POUNDcolumn] = ACTIONS(777),
    [anon_sym_POUNDfunction] = ACTIONS(777),
    [anon_sym_POUNDdsohandle] = ACTIONS(777),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(777),
    [anon_sym_DASH_EQ] = ACTIONS(777),
    [anon_sym_STAR_EQ] = ACTIONS(777),
    [anon_sym_SLASH_EQ] = ACTIONS(777),
    [anon_sym_PERCENT_EQ] = ACTIONS(777),
    [anon_sym_BANG_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(777),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(777),
    [anon_sym_LT_EQ] = ACTIONS(777),
    [anon_sym_GT_EQ] = ACTIONS(777),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_is] = ACTIONS(637),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(777),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(777),
    [anon_sym_GT_GT] = ACTIONS(777),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(767),
    [anon_sym_consuming] = ACTIONS(767),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__arrow_operator_custom] = ACTIONS(631),
    [sym__dot_custom] = ACTIONS(797),
    [sym__conjunction_operator_custom] = ACTIONS(631),
    [sym__disjunction_operator_custom] = ACTIONS(631),
    [sym__nil_coalescing_operator_custom] = ACTIONS(631),
    [sym__eq_custom] = ACTIONS(777),
    [sym__eq_eq_custom] = ACTIONS(777),
    [sym__plus_then_ws] = ACTIONS(777),
    [sym__minus_then_ws] = ACTIONS(777),
    [sym__bang_custom] = ACTIONS(799),
    [sym__throws_keyword] = ACTIONS(631),
    [sym__rethrows_keyword] = ACTIONS(631),
    [sym__as_custom] = ACTIONS(631),
    [sym__as_quest_custom] = ACTIONS(631),
    [sym__as_bang_custom] = ACTIONS(631),
    [sym__async_keyword_custom] = ACTIONS(631),
    [sym__custom_operator] = ACTIONS(787),
  },
  [126] = {
    [sym_simple_identifier] = STATE(1921),
    [sym__contextual_simple_identifier] = STATE(702),
    [sym__basic_literal] = STATE(1287),
    [sym_boolean_literal] = STATE(1287),
    [sym__string_literal] = STATE(1287),
    [sym_line_string_literal] = STATE(1287),
    [sym_multi_line_string_literal] = STATE(1287),
    [sym_raw_string_literal] = STATE(1287),
    [sym_regex_literal] = STATE(1287),
    [sym__multiline_regex_literal] = STATE(751),
    [sym__unannotated_type] = STATE(4500),
    [sym_user_type] = STATE(4277),
    [sym__simple_user_type] = STATE(4378),
    [sym_tuple_type] = STATE(4375),
    [sym_function_type] = STATE(4500),
    [sym_array_type] = STATE(4277),
    [sym_dictionary_type] = STATE(4277),
    [sym_optional_type] = STATE(4500),
    [sym_metatype] = STATE(4500),
    [sym_opaque_type] = STATE(4500),
    [sym_existential_type] = STATE(4500),
    [sym_type_parameter_pack] = STATE(4500),
    [sym_type_pack_expansion] = STATE(4500),
    [sym_protocol_composition_type] = STATE(4500),
    [sym__expression] = STATE(1287),
    [sym__unary_expression] = STATE(1287),
    [sym_postfix_expression] = STATE(1287),
    [sym_constructor_expression] = STATE(1287),
    [sym__parenthesized_type] = STATE(4943),
    [sym_navigation_expression] = STATE(1287),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1287),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1287),
    [sym_prefix_expression] = STATE(1287),
    [sym_as_expression] = STATE(1287),
    [sym_selector_expression] = STATE(1287),
    [sym__binary_expression] = STATE(1287),
    [sym_multiplicative_expression] = STATE(1287),
    [sym_additive_expression] = STATE(1287),
    [sym_range_expression] = STATE(1287),
    [sym_infix_expression] = STATE(1287),
    [sym_nil_coalescing_expression] = STATE(1287),
    [sym_check_expression] = STATE(1287),
    [sym_comparison_expression] = STATE(1287),
    [sym_equality_expression] = STATE(1287),
    [sym_conjunction_expression] = STATE(1287),
    [sym_disjunction_expression] = STATE(1287),
    [sym_bitwise_operation] = STATE(1287),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1287),
    [sym_await_expression] = STATE(1287),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1287),
    [sym_call_expression] = STATE(1287),
    [sym__primary_expression] = STATE(1287),
    [sym_tuple_expression] = STATE(1287),
    [sym_array_literal] = STATE(1287),
    [sym_dictionary_literal] = STATE(1287),
    [sym__special_literal] = STATE(1287),
    [sym__playground_literal] = STATE(1287),
    [sym_lambda_literal] = STATE(1287),
    [sym_self_expression] = STATE(1287),
    [sym_super_expression] = STATE(1287),
    [sym_if_statement] = STATE(1287),
    [sym_switch_statement] = STATE(1287),
    [sym_key_path_expression] = STATE(1287),
    [sym_key_path_string_expression] = STATE(1287),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1287),
    [sym__equality_operator] = STATE(1287),
    [sym__comparison_operator] = STATE(1287),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1287),
    [sym__multiplicative_operator] = STATE(1287),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1287),
    [sym_value_parameter_pack] = STATE(1287),
    [sym_value_pack_expansion] = STATE(1287),
    [sym__referenceable_operator] = STATE(1287),
    [sym__equal_sign] = STATE(1287),
    [sym__eq_eq] = STATE(1287),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(702),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(767),
    [aux_sym_simple_identifier_token2] = ACTIONS(769),
    [aux_sym_simple_identifier_token3] = ACTIONS(769),
    [aux_sym_simple_identifier_token4] = ACTIONS(769),
    [anon_sym_actor] = ACTIONS(767),
    [anon_sym_async] = ACTIONS(767),
    [anon_sym_each] = ACTIONS(801),
    [anon_sym_lazy] = ACTIONS(767),
    [anon_sym_repeat] = ACTIONS(803),
    [anon_sym_package] = ACTIONS(767),
    [anon_sym_nil] = ACTIONS(805),
    [sym_real_literal] = ACTIONS(807),
    [sym_integer_literal] = ACTIONS(805),
    [sym_hex_literal] = ACTIONS(807),
    [sym_oct_literal] = ACTIONS(807),
    [sym_bin_literal] = ACTIONS(807),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [anon_sym_COMMA] = ACTIONS(631),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_COLON] = ACTIONS(631),
    [anon_sym_LPAREN] = ACTIONS(779),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_RBRACK] = ACTIONS(631),
    [anon_sym_DOT] = ACTIONS(637),
    [anon_sym_QMARK] = ACTIONS(637),
    [anon_sym_QMARK2] = ACTIONS(631),
    [anon_sym_some] = ACTIONS(783),
    [anon_sym_any] = ACTIONS(785),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(805),
    [anon_sym_GT] = ACTIONS(805),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(805),
    [anon_sym_POUNDfileID] = ACTIONS(807),
    [anon_sym_POUNDfilePath] = ACTIONS(807),
    [anon_sym_POUNDline] = ACTIONS(807),
    [anon_sym_POUNDcolumn] = ACTIONS(807),
    [anon_sym_POUNDfunction] = ACTIONS(807),
    [anon_sym_POUNDdsohandle] = ACTIONS(807),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(807),
    [anon_sym_DASH_EQ] = ACTIONS(807),
    [anon_sym_STAR_EQ] = ACTIONS(807),
    [anon_sym_SLASH_EQ] = ACTIONS(807),
    [anon_sym_PERCENT_EQ] = ACTIONS(807),
    [anon_sym_BANG_EQ] = ACTIONS(805),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(807),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(807),
    [anon_sym_LT_EQ] = ACTIONS(807),
    [anon_sym_GT_EQ] = ACTIONS(807),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_is] = ACTIONS(637),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(805),
    [anon_sym_SLASH] = ACTIONS(805),
    [anon_sym_PERCENT] = ACTIONS(805),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(807),
    [anon_sym_CARET] = ACTIONS(805),
    [anon_sym_LT_LT] = ACTIONS(807),
    [anon_sym_GT_GT] = ACTIONS(807),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(767),
    [anon_sym_consuming] = ACTIONS(767),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__arrow_operator_custom] = ACTIONS(631),
    [sym__dot_custom] = ACTIONS(797),
    [sym__conjunction_operator_custom] = ACTIONS(631),
    [sym__disjunction_operator_custom] = ACTIONS(631),
    [sym__nil_coalescing_operator_custom] = ACTIONS(631),
    [sym__eq_custom] = ACTIONS(807),
    [sym__eq_eq_custom] = ACTIONS(807),
    [sym__plus_then_ws] = ACTIONS(807),
    [sym__minus_then_ws] = ACTIONS(807),
    [sym__bang_custom] = ACTIONS(799),
    [sym__throws_keyword] = ACTIONS(631),
    [sym__rethrows_keyword] = ACTIONS(631),
    [sym__as_custom] = ACTIONS(631),
    [sym__as_quest_custom] = ACTIONS(631),
    [sym__as_bang_custom] = ACTIONS(631),
    [sym__async_keyword_custom] = ACTIONS(631),
    [sym__custom_operator] = ACTIONS(787),
  },
  [127] = {
    [sym_simple_identifier] = STATE(1921),
    [sym__contextual_simple_identifier] = STATE(702),
    [sym__basic_literal] = STATE(1284),
    [sym_boolean_literal] = STATE(1284),
    [sym__string_literal] = STATE(1284),
    [sym_line_string_literal] = STATE(1284),
    [sym_multi_line_string_literal] = STATE(1284),
    [sym_raw_string_literal] = STATE(1284),
    [sym_regex_literal] = STATE(1284),
    [sym__multiline_regex_literal] = STATE(751),
    [sym__unannotated_type] = STATE(4499),
    [sym_user_type] = STATE(4277),
    [sym__simple_user_type] = STATE(4378),
    [sym_tuple_type] = STATE(4375),
    [sym_function_type] = STATE(4499),
    [sym_array_type] = STATE(4277),
    [sym_dictionary_type] = STATE(4277),
    [sym_optional_type] = STATE(4499),
    [sym_metatype] = STATE(4499),
    [sym_opaque_type] = STATE(4499),
    [sym_existential_type] = STATE(4499),
    [sym_type_parameter_pack] = STATE(4499),
    [sym_type_pack_expansion] = STATE(4499),
    [sym_protocol_composition_type] = STATE(4499),
    [sym__expression] = STATE(1284),
    [sym__unary_expression] = STATE(1284),
    [sym_postfix_expression] = STATE(1284),
    [sym_constructor_expression] = STATE(1284),
    [sym__parenthesized_type] = STATE(4943),
    [sym_navigation_expression] = STATE(1284),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1284),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1284),
    [sym_prefix_expression] = STATE(1284),
    [sym_as_expression] = STATE(1284),
    [sym_selector_expression] = STATE(1284),
    [sym__binary_expression] = STATE(1284),
    [sym_multiplicative_expression] = STATE(1284),
    [sym_additive_expression] = STATE(1284),
    [sym_range_expression] = STATE(1284),
    [sym_infix_expression] = STATE(1284),
    [sym_nil_coalescing_expression] = STATE(1284),
    [sym_check_expression] = STATE(1284),
    [sym_comparison_expression] = STATE(1284),
    [sym_equality_expression] = STATE(1284),
    [sym_conjunction_expression] = STATE(1284),
    [sym_disjunction_expression] = STATE(1284),
    [sym_bitwise_operation] = STATE(1284),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1284),
    [sym_await_expression] = STATE(1284),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1284),
    [sym_call_expression] = STATE(1284),
    [sym__primary_expression] = STATE(1284),
    [sym_tuple_expression] = STATE(1284),
    [sym_array_literal] = STATE(1284),
    [sym_dictionary_literal] = STATE(1284),
    [sym__special_literal] = STATE(1284),
    [sym__playground_literal] = STATE(1284),
    [sym_lambda_literal] = STATE(1284),
    [sym_self_expression] = STATE(1284),
    [sym_super_expression] = STATE(1284),
    [sym_if_statement] = STATE(1284),
    [sym_switch_statement] = STATE(1284),
    [sym_key_path_expression] = STATE(1284),
    [sym_key_path_string_expression] = STATE(1284),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1284),
    [sym__equality_operator] = STATE(1284),
    [sym__comparison_operator] = STATE(1284),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1284),
    [sym__multiplicative_operator] = STATE(1284),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1284),
    [sym_value_parameter_pack] = STATE(1284),
    [sym_value_pack_expansion] = STATE(1284),
    [sym__referenceable_operator] = STATE(1284),
    [sym__equal_sign] = STATE(1284),
    [sym__eq_eq] = STATE(1284),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(702),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(767),
    [aux_sym_simple_identifier_token2] = ACTIONS(769),
    [aux_sym_simple_identifier_token3] = ACTIONS(769),
    [aux_sym_simple_identifier_token4] = ACTIONS(769),
    [anon_sym_actor] = ACTIONS(767),
    [anon_sym_async] = ACTIONS(767),
    [anon_sym_each] = ACTIONS(801),
    [anon_sym_lazy] = ACTIONS(767),
    [anon_sym_repeat] = ACTIONS(803),
    [anon_sym_package] = ACTIONS(767),
    [anon_sym_nil] = ACTIONS(775),
    [sym_real_literal] = ACTIONS(777),
    [sym_integer_literal] = ACTIONS(775),
    [sym_hex_literal] = ACTIONS(777),
    [sym_oct_literal] = ACTIONS(777),
    [sym_bin_literal] = ACTIONS(777),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [anon_sym_COMMA] = ACTIONS(631),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_COLON] = ACTIONS(631),
    [anon_sym_LPAREN] = ACTIONS(779),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_RBRACK] = ACTIONS(631),
    [anon_sym_DOT] = ACTIONS(637),
    [anon_sym_QMARK] = ACTIONS(637),
    [anon_sym_QMARK2] = ACTIONS(631),
    [anon_sym_some] = ACTIONS(783),
    [anon_sym_any] = ACTIONS(785),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(775),
    [anon_sym_POUNDfileID] = ACTIONS(777),
    [anon_sym_POUNDfilePath] = ACTIONS(777),
    [anon_sym_POUNDline] = ACTIONS(777),
    [anon_sym_POUNDcolumn] = ACTIONS(777),
    [anon_sym_POUNDfunction] = ACTIONS(777),
    [anon_sym_POUNDdsohandle] = ACTIONS(777),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(777),
    [anon_sym_DASH_EQ] = ACTIONS(777),
    [anon_sym_STAR_EQ] = ACTIONS(777),
    [anon_sym_SLASH_EQ] = ACTIONS(777),
    [anon_sym_PERCENT_EQ] = ACTIONS(777),
    [anon_sym_BANG_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(777),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(777),
    [anon_sym_LT_EQ] = ACTIONS(777),
    [anon_sym_GT_EQ] = ACTIONS(777),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_is] = ACTIONS(637),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(777),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(777),
    [anon_sym_GT_GT] = ACTIONS(777),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(767),
    [anon_sym_consuming] = ACTIONS(767),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__arrow_operator_custom] = ACTIONS(631),
    [sym__dot_custom] = ACTIONS(797),
    [sym__conjunction_operator_custom] = ACTIONS(631),
    [sym__disjunction_operator_custom] = ACTIONS(631),
    [sym__nil_coalescing_operator_custom] = ACTIONS(631),
    [sym__eq_custom] = ACTIONS(777),
    [sym__eq_eq_custom] = ACTIONS(777),
    [sym__plus_then_ws] = ACTIONS(777),
    [sym__minus_then_ws] = ACTIONS(777),
    [sym__bang_custom] = ACTIONS(799),
    [sym__throws_keyword] = ACTIONS(631),
    [sym__rethrows_keyword] = ACTIONS(631),
    [sym__as_custom] = ACTIONS(631),
    [sym__as_quest_custom] = ACTIONS(631),
    [sym__as_bang_custom] = ACTIONS(631),
    [sym__async_keyword_custom] = ACTIONS(631),
    [sym__custom_operator] = ACTIONS(787),
  },
  [128] = {
    [sym_simple_identifier] = STATE(2003),
    [sym__contextual_simple_identifier] = STATE(702),
    [sym__basic_literal] = STATE(1287),
    [sym_boolean_literal] = STATE(1287),
    [sym__string_literal] = STATE(1287),
    [sym_line_string_literal] = STATE(1287),
    [sym_multi_line_string_literal] = STATE(1287),
    [sym_raw_string_literal] = STATE(1287),
    [sym_regex_literal] = STATE(1287),
    [sym__multiline_regex_literal] = STATE(751),
    [sym__unannotated_type] = STATE(4500),
    [sym_user_type] = STATE(4277),
    [sym__simple_user_type] = STATE(4378),
    [sym_tuple_type] = STATE(4375),
    [sym_function_type] = STATE(4500),
    [sym_array_type] = STATE(4277),
    [sym_dictionary_type] = STATE(4277),
    [sym_optional_type] = STATE(4500),
    [sym_metatype] = STATE(4500),
    [sym_opaque_type] = STATE(4500),
    [sym_existential_type] = STATE(4500),
    [sym_type_parameter_pack] = STATE(4500),
    [sym_type_pack_expansion] = STATE(4500),
    [sym_protocol_composition_type] = STATE(4500),
    [sym__expression] = STATE(1287),
    [sym__unary_expression] = STATE(1287),
    [sym_postfix_expression] = STATE(1287),
    [sym_constructor_expression] = STATE(1287),
    [sym__parenthesized_type] = STATE(4943),
    [sym_navigation_expression] = STATE(1287),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1287),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1287),
    [sym_prefix_expression] = STATE(1287),
    [sym_as_expression] = STATE(1287),
    [sym_selector_expression] = STATE(1287),
    [sym__binary_expression] = STATE(1287),
    [sym_multiplicative_expression] = STATE(1287),
    [sym_additive_expression] = STATE(1287),
    [sym_range_expression] = STATE(1287),
    [sym_infix_expression] = STATE(1287),
    [sym_nil_coalescing_expression] = STATE(1287),
    [sym_check_expression] = STATE(1287),
    [sym_comparison_expression] = STATE(1287),
    [sym_equality_expression] = STATE(1287),
    [sym_conjunction_expression] = STATE(1287),
    [sym_disjunction_expression] = STATE(1287),
    [sym_bitwise_operation] = STATE(1287),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1287),
    [sym_await_expression] = STATE(1287),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1287),
    [sym_call_expression] = STATE(1287),
    [sym__primary_expression] = STATE(1287),
    [sym_tuple_expression] = STATE(1287),
    [sym_array_literal] = STATE(1287),
    [sym_dictionary_literal] = STATE(1287),
    [sym__special_literal] = STATE(1287),
    [sym__playground_literal] = STATE(1287),
    [sym_lambda_literal] = STATE(1287),
    [sym_self_expression] = STATE(1287),
    [sym_super_expression] = STATE(1287),
    [sym_if_statement] = STATE(1287),
    [sym_switch_statement] = STATE(1287),
    [sym_key_path_expression] = STATE(1287),
    [sym_key_path_string_expression] = STATE(1287),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1287),
    [sym__equality_operator] = STATE(1287),
    [sym__comparison_operator] = STATE(1287),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1287),
    [sym__multiplicative_operator] = STATE(1287),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1287),
    [sym_value_parameter_pack] = STATE(1287),
    [sym_value_pack_expansion] = STATE(1287),
    [sym__referenceable_operator] = STATE(1287),
    [sym__equal_sign] = STATE(1287),
    [sym__eq_eq] = STATE(1287),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(702),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(767),
    [aux_sym_simple_identifier_token2] = ACTIONS(769),
    [aux_sym_simple_identifier_token3] = ACTIONS(769),
    [aux_sym_simple_identifier_token4] = ACTIONS(769),
    [anon_sym_actor] = ACTIONS(767),
    [anon_sym_async] = ACTIONS(767),
    [anon_sym_each] = ACTIONS(771),
    [anon_sym_lazy] = ACTIONS(767),
    [anon_sym_repeat] = ACTIONS(773),
    [anon_sym_package] = ACTIONS(767),
    [anon_sym_nil] = ACTIONS(805),
    [sym_real_literal] = ACTIONS(807),
    [sym_integer_literal] = ACTIONS(805),
    [sym_hex_literal] = ACTIONS(807),
    [sym_oct_literal] = ACTIONS(807),
    [sym_bin_literal] = ACTIONS(807),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [anon_sym_RPAREN] = ACTIONS(631),
    [anon_sym_COMMA] = ACTIONS(631),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_COLON] = ACTIONS(631),
    [anon_sym_LPAREN] = ACTIONS(779),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(637),
    [anon_sym_QMARK] = ACTIONS(637),
    [anon_sym_QMARK2] = ACTIONS(631),
    [anon_sym_some] = ACTIONS(783),
    [anon_sym_any] = ACTIONS(785),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(805),
    [anon_sym_GT] = ACTIONS(805),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(805),
    [anon_sym_POUNDfileID] = ACTIONS(807),
    [anon_sym_POUNDfilePath] = ACTIONS(807),
    [anon_sym_POUNDline] = ACTIONS(807),
    [anon_sym_POUNDcolumn] = ACTIONS(807),
    [anon_sym_POUNDfunction] = ACTIONS(807),
    [anon_sym_POUNDdsohandle] = ACTIONS(807),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(807),
    [anon_sym_DASH_EQ] = ACTIONS(807),
    [anon_sym_STAR_EQ] = ACTIONS(807),
    [anon_sym_SLASH_EQ] = ACTIONS(807),
    [anon_sym_PERCENT_EQ] = ACTIONS(807),
    [anon_sym_BANG_EQ] = ACTIONS(805),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(807),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(807),
    [anon_sym_LT_EQ] = ACTIONS(807),
    [anon_sym_GT_EQ] = ACTIONS(807),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_is] = ACTIONS(637),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(805),
    [anon_sym_SLASH] = ACTIONS(805),
    [anon_sym_PERCENT] = ACTIONS(805),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(807),
    [anon_sym_CARET] = ACTIONS(805),
    [anon_sym_LT_LT] = ACTIONS(807),
    [anon_sym_GT_GT] = ACTIONS(807),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(767),
    [anon_sym_consuming] = ACTIONS(767),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__arrow_operator_custom] = ACTIONS(631),
    [sym__dot_custom] = ACTIONS(797),
    [sym__conjunction_operator_custom] = ACTIONS(631),
    [sym__disjunction_operator_custom] = ACTIONS(631),
    [sym__nil_coalescing_operator_custom] = ACTIONS(631),
    [sym__eq_custom] = ACTIONS(807),
    [sym__eq_eq_custom] = ACTIONS(807),
    [sym__plus_then_ws] = ACTIONS(807),
    [sym__minus_then_ws] = ACTIONS(807),
    [sym__bang_custom] = ACTIONS(799),
    [sym__throws_keyword] = ACTIONS(631),
    [sym__rethrows_keyword] = ACTIONS(631),
    [sym__as_custom] = ACTIONS(631),
    [sym__as_quest_custom] = ACTIONS(631),
    [sym__as_bang_custom] = ACTIONS(631),
    [sym__async_keyword_custom] = ACTIONS(631),
    [sym__custom_operator] = ACTIONS(787),
  },
  [129] = {
    [sym_simple_identifier] = STATE(1895),
    [sym__contextual_simple_identifier] = STATE(2006),
    [sym__basic_literal] = STATE(1284),
    [sym_boolean_literal] = STATE(1284),
    [sym__string_literal] = STATE(1284),
    [sym_line_string_literal] = STATE(1284),
    [sym_multi_line_string_literal] = STATE(1284),
    [sym_raw_string_literal] = STATE(1284),
    [sym_regex_literal] = STATE(1284),
    [sym__multiline_regex_literal] = STATE(751),
    [sym__unannotated_type] = STATE(4499),
    [sym_user_type] = STATE(4277),
    [sym__simple_user_type] = STATE(4378),
    [sym_tuple_type] = STATE(4375),
    [sym_function_type] = STATE(4499),
    [sym_array_type] = STATE(4277),
    [sym_dictionary_type] = STATE(4277),
    [sym_optional_type] = STATE(4499),
    [sym_metatype] = STATE(4499),
    [sym_opaque_type] = STATE(4499),
    [sym_existential_type] = STATE(4499),
    [sym_type_parameter_pack] = STATE(4499),
    [sym_type_pack_expansion] = STATE(4499),
    [sym_protocol_composition_type] = STATE(4499),
    [sym__expression] = STATE(1284),
    [sym__unary_expression] = STATE(1284),
    [sym_postfix_expression] = STATE(1284),
    [sym_constructor_expression] = STATE(1284),
    [sym__parenthesized_type] = STATE(4943),
    [sym_navigation_expression] = STATE(1284),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1284),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1284),
    [sym_prefix_expression] = STATE(1284),
    [sym_as_expression] = STATE(1284),
    [sym_selector_expression] = STATE(1284),
    [sym__binary_expression] = STATE(1284),
    [sym_multiplicative_expression] = STATE(1284),
    [sym_additive_expression] = STATE(1284),
    [sym_range_expression] = STATE(1284),
    [sym_infix_expression] = STATE(1284),
    [sym_nil_coalescing_expression] = STATE(1284),
    [sym_check_expression] = STATE(1284),
    [sym_comparison_expression] = STATE(1284),
    [sym_equality_expression] = STATE(1284),
    [sym_conjunction_expression] = STATE(1284),
    [sym_disjunction_expression] = STATE(1284),
    [sym_bitwise_operation] = STATE(1284),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1284),
    [sym_await_expression] = STATE(1284),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1284),
    [sym_call_expression] = STATE(1284),
    [sym__primary_expression] = STATE(1284),
    [sym_tuple_expression] = STATE(1284),
    [sym_array_literal] = STATE(1284),
    [sym_dictionary_literal] = STATE(1284),
    [sym__special_literal] = STATE(1284),
    [sym__playground_literal] = STATE(1284),
    [sym_lambda_literal] = STATE(1284),
    [sym_self_expression] = STATE(1284),
    [sym_super_expression] = STATE(1284),
    [sym_if_statement] = STATE(1284),
    [sym_switch_statement] = STATE(1284),
    [sym_key_path_expression] = STATE(1284),
    [sym_key_path_string_expression] = STATE(1284),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1284),
    [sym__equality_operator] = STATE(1284),
    [sym__comparison_operator] = STATE(1284),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1284),
    [sym__multiplicative_operator] = STATE(1284),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1284),
    [sym_value_parameter_pack] = STATE(1284),
    [sym_value_pack_expansion] = STATE(1284),
    [sym__referenceable_operator] = STATE(1284),
    [sym__equal_sign] = STATE(1284),
    [sym__eq_eq] = STATE(1284),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(2006),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(809),
    [aux_sym_simple_identifier_token2] = ACTIONS(811),
    [aux_sym_simple_identifier_token3] = ACTIONS(811),
    [aux_sym_simple_identifier_token4] = ACTIONS(811),
    [anon_sym_actor] = ACTIONS(809),
    [anon_sym_async] = ACTIONS(809),
    [anon_sym_each] = ACTIONS(813),
    [anon_sym_lazy] = ACTIONS(809),
    [anon_sym_repeat] = ACTIONS(815),
    [anon_sym_package] = ACTIONS(809),
    [anon_sym_nil] = ACTIONS(775),
    [sym_real_literal] = ACTIONS(777),
    [sym_integer_literal] = ACTIONS(775),
    [sym_hex_literal] = ACTIONS(777),
    [sym_oct_literal] = ACTIONS(777),
    [sym_bin_literal] = ACTIONS(777),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [anon_sym_RPAREN] = ACTIONS(631),
    [anon_sym_COMMA] = ACTIONS(631),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_BANG] = ACTIONS(637),
    [anon_sym_LPAREN] = ACTIONS(779),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(637),
    [anon_sym_QMARK] = ACTIONS(637),
    [anon_sym_QMARK2] = ACTIONS(631),
    [anon_sym_some] = ACTIONS(783),
    [anon_sym_any] = ACTIONS(785),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(775),
    [anon_sym_POUNDfileID] = ACTIONS(777),
    [anon_sym_POUNDfilePath] = ACTIONS(777),
    [anon_sym_POUNDline] = ACTIONS(777),
    [anon_sym_POUNDcolumn] = ACTIONS(777),
    [anon_sym_POUNDfunction] = ACTIONS(777),
    [anon_sym_POUNDdsohandle] = ACTIONS(777),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(777),
    [anon_sym_DASH_EQ] = ACTIONS(777),
    [anon_sym_STAR_EQ] = ACTIONS(777),
    [anon_sym_SLASH_EQ] = ACTIONS(777),
    [anon_sym_PERCENT_EQ] = ACTIONS(777),
    [anon_sym_BANG_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(777),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(777),
    [anon_sym_LT_EQ] = ACTIONS(777),
    [anon_sym_GT_EQ] = ACTIONS(777),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_is] = ACTIONS(637),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(777),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(777),
    [anon_sym_GT_GT] = ACTIONS(777),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(809),
    [anon_sym_consuming] = ACTIONS(809),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__arrow_operator_custom] = ACTIONS(631),
    [sym__dot_custom] = ACTIONS(797),
    [sym__conjunction_operator_custom] = ACTIONS(631),
    [sym__disjunction_operator_custom] = ACTIONS(631),
    [sym__nil_coalescing_operator_custom] = ACTIONS(631),
    [sym__eq_custom] = ACTIONS(777),
    [sym__eq_eq_custom] = ACTIONS(777),
    [sym__plus_then_ws] = ACTIONS(777),
    [sym__minus_then_ws] = ACTIONS(777),
    [sym__bang_custom] = ACTIONS(799),
    [sym__throws_keyword] = ACTIONS(631),
    [sym__rethrows_keyword] = ACTIONS(631),
    [sym__as_custom] = ACTIONS(631),
    [sym__as_quest_custom] = ACTIONS(631),
    [sym__as_bang_custom] = ACTIONS(631),
    [sym__async_keyword_custom] = ACTIONS(631),
    [sym__custom_operator] = ACTIONS(787),
  },
  [130] = {
    [sym_simple_identifier] = STATE(1895),
    [sym__contextual_simple_identifier] = STATE(2006),
    [sym__basic_literal] = STATE(1287),
    [sym_boolean_literal] = STATE(1287),
    [sym__string_literal] = STATE(1287),
    [sym_line_string_literal] = STATE(1287),
    [sym_multi_line_string_literal] = STATE(1287),
    [sym_raw_string_literal] = STATE(1287),
    [sym_regex_literal] = STATE(1287),
    [sym__multiline_regex_literal] = STATE(751),
    [sym__unannotated_type] = STATE(4500),
    [sym_user_type] = STATE(4277),
    [sym__simple_user_type] = STATE(4378),
    [sym_tuple_type] = STATE(4375),
    [sym_function_type] = STATE(4500),
    [sym_array_type] = STATE(4277),
    [sym_dictionary_type] = STATE(4277),
    [sym_optional_type] = STATE(4500),
    [sym_metatype] = STATE(4500),
    [sym_opaque_type] = STATE(4500),
    [sym_existential_type] = STATE(4500),
    [sym_type_parameter_pack] = STATE(4500),
    [sym_type_pack_expansion] = STATE(4500),
    [sym_protocol_composition_type] = STATE(4500),
    [sym__expression] = STATE(1287),
    [sym__unary_expression] = STATE(1287),
    [sym_postfix_expression] = STATE(1287),
    [sym_constructor_expression] = STATE(1287),
    [sym__parenthesized_type] = STATE(4943),
    [sym_navigation_expression] = STATE(1287),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1287),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1287),
    [sym_prefix_expression] = STATE(1287),
    [sym_as_expression] = STATE(1287),
    [sym_selector_expression] = STATE(1287),
    [sym__binary_expression] = STATE(1287),
    [sym_multiplicative_expression] = STATE(1287),
    [sym_additive_expression] = STATE(1287),
    [sym_range_expression] = STATE(1287),
    [sym_infix_expression] = STATE(1287),
    [sym_nil_coalescing_expression] = STATE(1287),
    [sym_check_expression] = STATE(1287),
    [sym_comparison_expression] = STATE(1287),
    [sym_equality_expression] = STATE(1287),
    [sym_conjunction_expression] = STATE(1287),
    [sym_disjunction_expression] = STATE(1287),
    [sym_bitwise_operation] = STATE(1287),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1287),
    [sym_await_expression] = STATE(1287),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1287),
    [sym_call_expression] = STATE(1287),
    [sym__primary_expression] = STATE(1287),
    [sym_tuple_expression] = STATE(1287),
    [sym_array_literal] = STATE(1287),
    [sym_dictionary_literal] = STATE(1287),
    [sym__special_literal] = STATE(1287),
    [sym__playground_literal] = STATE(1287),
    [sym_lambda_literal] = STATE(1287),
    [sym_self_expression] = STATE(1287),
    [sym_super_expression] = STATE(1287),
    [sym_if_statement] = STATE(1287),
    [sym_switch_statement] = STATE(1287),
    [sym_key_path_expression] = STATE(1287),
    [sym_key_path_string_expression] = STATE(1287),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1287),
    [sym__equality_operator] = STATE(1287),
    [sym__comparison_operator] = STATE(1287),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1287),
    [sym__multiplicative_operator] = STATE(1287),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1287),
    [sym_value_parameter_pack] = STATE(1287),
    [sym_value_pack_expansion] = STATE(1287),
    [sym__referenceable_operator] = STATE(1287),
    [sym__equal_sign] = STATE(1287),
    [sym__eq_eq] = STATE(1287),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(2006),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(809),
    [aux_sym_simple_identifier_token2] = ACTIONS(811),
    [aux_sym_simple_identifier_token3] = ACTIONS(811),
    [aux_sym_simple_identifier_token4] = ACTIONS(811),
    [anon_sym_actor] = ACTIONS(809),
    [anon_sym_async] = ACTIONS(809),
    [anon_sym_each] = ACTIONS(813),
    [anon_sym_lazy] = ACTIONS(809),
    [anon_sym_repeat] = ACTIONS(815),
    [anon_sym_package] = ACTIONS(809),
    [anon_sym_nil] = ACTIONS(805),
    [sym_real_literal] = ACTIONS(807),
    [sym_integer_literal] = ACTIONS(805),
    [sym_hex_literal] = ACTIONS(807),
    [sym_oct_literal] = ACTIONS(807),
    [sym_bin_literal] = ACTIONS(807),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [anon_sym_RPAREN] = ACTIONS(631),
    [anon_sym_COMMA] = ACTIONS(631),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_BANG] = ACTIONS(637),
    [anon_sym_LPAREN] = ACTIONS(779),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(637),
    [anon_sym_QMARK] = ACTIONS(637),
    [anon_sym_QMARK2] = ACTIONS(631),
    [anon_sym_some] = ACTIONS(783),
    [anon_sym_any] = ACTIONS(785),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(805),
    [anon_sym_GT] = ACTIONS(805),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(805),
    [anon_sym_POUNDfileID] = ACTIONS(807),
    [anon_sym_POUNDfilePath] = ACTIONS(807),
    [anon_sym_POUNDline] = ACTIONS(807),
    [anon_sym_POUNDcolumn] = ACTIONS(807),
    [anon_sym_POUNDfunction] = ACTIONS(807),
    [anon_sym_POUNDdsohandle] = ACTIONS(807),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(807),
    [anon_sym_DASH_EQ] = ACTIONS(807),
    [anon_sym_STAR_EQ] = ACTIONS(807),
    [anon_sym_SLASH_EQ] = ACTIONS(807),
    [anon_sym_PERCENT_EQ] = ACTIONS(807),
    [anon_sym_BANG_EQ] = ACTIONS(805),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(807),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(807),
    [anon_sym_LT_EQ] = ACTIONS(807),
    [anon_sym_GT_EQ] = ACTIONS(807),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_is] = ACTIONS(637),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(805),
    [anon_sym_SLASH] = ACTIONS(805),
    [anon_sym_PERCENT] = ACTIONS(805),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(807),
    [anon_sym_CARET] = ACTIONS(805),
    [anon_sym_LT_LT] = ACTIONS(807),
    [anon_sym_GT_GT] = ACTIONS(807),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(809),
    [anon_sym_consuming] = ACTIONS(809),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__arrow_operator_custom] = ACTIONS(631),
    [sym__dot_custom] = ACTIONS(797),
    [sym__conjunction_operator_custom] = ACTIONS(631),
    [sym__disjunction_operator_custom] = ACTIONS(631),
    [sym__nil_coalescing_operator_custom] = ACTIONS(631),
    [sym__eq_custom] = ACTIONS(807),
    [sym__eq_eq_custom] = ACTIONS(807),
    [sym__plus_then_ws] = ACTIONS(807),
    [sym__minus_then_ws] = ACTIONS(807),
    [sym__bang_custom] = ACTIONS(799),
    [sym__throws_keyword] = ACTIONS(631),
    [sym__rethrows_keyword] = ACTIONS(631),
    [sym__as_custom] = ACTIONS(631),
    [sym__as_quest_custom] = ACTIONS(631),
    [sym__as_bang_custom] = ACTIONS(631),
    [sym__async_keyword_custom] = ACTIONS(631),
    [sym__custom_operator] = ACTIONS(787),
  },
  [131] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1427),
    [sym_boolean_literal] = STATE(1427),
    [sym__string_literal] = STATE(1427),
    [sym_line_string_literal] = STATE(1427),
    [sym_multi_line_string_literal] = STATE(1427),
    [sym_raw_string_literal] = STATE(1427),
    [sym_regex_literal] = STATE(1427),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1427),
    [sym__unary_expression] = STATE(1427),
    [sym_postfix_expression] = STATE(1427),
    [sym_constructor_expression] = STATE(1427),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1427),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1427),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1427),
    [sym_prefix_expression] = STATE(1427),
    [sym_as_expression] = STATE(1427),
    [sym_selector_expression] = STATE(1427),
    [sym__binary_expression] = STATE(1427),
    [sym_multiplicative_expression] = STATE(1427),
    [sym_additive_expression] = STATE(1427),
    [sym_range_expression] = STATE(1427),
    [sym_infix_expression] = STATE(1427),
    [sym_nil_coalescing_expression] = STATE(1427),
    [sym_check_expression] = STATE(1427),
    [sym_comparison_expression] = STATE(1427),
    [sym_equality_expression] = STATE(1427),
    [sym_conjunction_expression] = STATE(1427),
    [sym_disjunction_expression] = STATE(1427),
    [sym_bitwise_operation] = STATE(1427),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1427),
    [sym_await_expression] = STATE(1427),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1427),
    [sym_call_expression] = STATE(1427),
    [sym__primary_expression] = STATE(1427),
    [sym_tuple_expression] = STATE(1427),
    [sym_array_literal] = STATE(1427),
    [sym_dictionary_literal] = STATE(1427),
    [sym__special_literal] = STATE(1427),
    [sym__playground_literal] = STATE(1427),
    [sym_lambda_literal] = STATE(1427),
    [sym_self_expression] = STATE(1427),
    [sym_super_expression] = STATE(1427),
    [sym_if_statement] = STATE(1427),
    [sym__if_condition_sequence_item] = STATE(6199),
    [sym__if_let_binding] = STATE(7553),
    [sym_switch_statement] = STATE(1427),
    [sym_key_path_expression] = STATE(1427),
    [sym_key_path_string_expression] = STATE(1427),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1427),
    [sym__equality_operator] = STATE(1427),
    [sym__comparison_operator] = STATE(1427),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1427),
    [sym__multiplicative_operator] = STATE(1427),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1427),
    [sym_value_parameter_pack] = STATE(1427),
    [sym_value_pack_expansion] = STATE(1427),
    [sym_availability_condition] = STATE(6199),
    [sym__referenceable_operator] = STATE(1427),
    [sym__equal_sign] = STATE(1427),
    [sym__eq_eq] = STATE(1427),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__async_modifier] = STATE(6632),
    [sym__direct_or_indirect_binding] = STATE(5779),
    [sym_value_binding_pattern] = STATE(4103),
    [sym__possibly_async_binding_pattern_kind] = STATE(4103),
    [sym__binding_kind_and_pattern] = STATE(5716),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [ts_builtin_sym_end] = ACTIONS(425),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(535),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(413),
    [sym_real_literal] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(413),
    [sym_hex_literal] = ACTIONS(415),
    [sym_oct_literal] = ACTIONS(415),
    [sym_bin_literal] = ACTIONS(415),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [anon_sym_COMMA] = ACTIONS(425),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(425),
    [anon_sym_LBRACK] = ACTIONS(425),
    [anon_sym_QMARK] = ACTIONS(407),
    [anon_sym_QMARK2] = ACTIONS(425),
    [anon_sym_AMP] = ACTIONS(425),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(425),
    [anon_sym_LT] = ACTIONS(407),
    [anon_sym_GT] = ACTIONS(407),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(413),
    [anon_sym_POUNDfileID] = ACTIONS(415),
    [anon_sym_POUNDfilePath] = ACTIONS(415),
    [anon_sym_POUNDline] = ACTIONS(415),
    [anon_sym_POUNDcolumn] = ACTIONS(415),
    [anon_sym_POUNDfunction] = ACTIONS(415),
    [anon_sym_POUNDdsohandle] = ACTIONS(415),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(425),
    [anon_sym_CARET_LBRACE] = ACTIONS(425),
    [anon_sym_RBRACE] = ACTIONS(425),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_case] = ACTIONS(817),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(425),
    [anon_sym_DASH_EQ] = ACTIONS(425),
    [anon_sym_STAR_EQ] = ACTIONS(425),
    [anon_sym_SLASH_EQ] = ACTIONS(425),
    [anon_sym_PERCENT_EQ] = ACTIONS(425),
    [anon_sym_BANG_EQ] = ACTIONS(407),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(425),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(425),
    [anon_sym_LT_EQ] = ACTIONS(425),
    [anon_sym_GT_EQ] = ACTIONS(425),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(425),
    [anon_sym_DOT_DOT_LT] = ACTIONS(425),
    [anon_sym_is] = ACTIONS(407),
    [anon_sym_PLUS] = ACTIONS(407),
    [anon_sym_DASH] = ACTIONS(407),
    [anon_sym_STAR] = ACTIONS(407),
    [anon_sym_SLASH] = ACTIONS(407),
    [anon_sym_PERCENT] = ACTIONS(407),
    [anon_sym_PLUS_PLUS] = ACTIONS(425),
    [anon_sym_DASH_DASH] = ACTIONS(425),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(425),
    [anon_sym_CARET] = ACTIONS(407),
    [anon_sym_LT_LT] = ACTIONS(425),
    [anon_sym_GT_GT] = ACTIONS(425),
    [anon_sym_POUNDavailable] = ACTIONS(451),
    [anon_sym_POUNDunavailable] = ACTIONS(451),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_BANG2] = ACTIONS(407),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__implicit_semi] = ACTIONS(425),
    [sym__explicit_semi] = ACTIONS(425),
    [sym__dot_custom] = ACTIONS(425),
    [sym__conjunction_operator_custom] = ACTIONS(425),
    [sym__disjunction_operator_custom] = ACTIONS(425),
    [sym__nil_coalescing_operator_custom] = ACTIONS(425),
    [sym__eq_custom] = ACTIONS(425),
    [sym__eq_eq_custom] = ACTIONS(425),
    [sym__plus_then_ws] = ACTIONS(425),
    [sym__minus_then_ws] = ACTIONS(425),
    [sym__bang_custom] = ACTIONS(425),
    [sym_where_keyword] = ACTIONS(425),
    [sym__as_custom] = ACTIONS(425),
    [sym__as_quest_custom] = ACTIONS(425),
    [sym__as_bang_custom] = ACTIONS(425),
    [sym__custom_operator] = ACTIONS(425),
  },
  [132] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1427),
    [sym_boolean_literal] = STATE(1427),
    [sym__string_literal] = STATE(1427),
    [sym_line_string_literal] = STATE(1427),
    [sym_multi_line_string_literal] = STATE(1427),
    [sym_raw_string_literal] = STATE(1427),
    [sym_regex_literal] = STATE(1427),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1427),
    [sym__unary_expression] = STATE(1427),
    [sym_postfix_expression] = STATE(1427),
    [sym_constructor_expression] = STATE(1427),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1427),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1427),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1427),
    [sym_prefix_expression] = STATE(1427),
    [sym_as_expression] = STATE(1427),
    [sym_selector_expression] = STATE(1427),
    [sym__binary_expression] = STATE(1427),
    [sym_multiplicative_expression] = STATE(1427),
    [sym_additive_expression] = STATE(1427),
    [sym_range_expression] = STATE(1427),
    [sym_infix_expression] = STATE(1427),
    [sym_nil_coalescing_expression] = STATE(1427),
    [sym_check_expression] = STATE(1427),
    [sym_comparison_expression] = STATE(1427),
    [sym_equality_expression] = STATE(1427),
    [sym_conjunction_expression] = STATE(1427),
    [sym_disjunction_expression] = STATE(1427),
    [sym_bitwise_operation] = STATE(1427),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1427),
    [sym_await_expression] = STATE(1427),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1427),
    [sym_call_expression] = STATE(1427),
    [sym__primary_expression] = STATE(1427),
    [sym_tuple_expression] = STATE(1427),
    [sym_array_literal] = STATE(1427),
    [sym_dictionary_literal] = STATE(1427),
    [sym__special_literal] = STATE(1427),
    [sym__playground_literal] = STATE(1427),
    [sym_lambda_literal] = STATE(1427),
    [sym_self_expression] = STATE(1427),
    [sym_super_expression] = STATE(1427),
    [sym_if_statement] = STATE(1427),
    [sym__if_condition_sequence_item] = STATE(6403),
    [sym__if_let_binding] = STATE(7553),
    [sym_switch_statement] = STATE(1427),
    [sym_key_path_expression] = STATE(1427),
    [sym_key_path_string_expression] = STATE(1427),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1427),
    [sym__equality_operator] = STATE(1427),
    [sym__comparison_operator] = STATE(1427),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1427),
    [sym__multiplicative_operator] = STATE(1427),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1427),
    [sym_value_parameter_pack] = STATE(1427),
    [sym_value_pack_expansion] = STATE(1427),
    [sym_availability_condition] = STATE(6403),
    [sym__referenceable_operator] = STATE(1427),
    [sym__equal_sign] = STATE(1427),
    [sym__eq_eq] = STATE(1427),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__async_modifier] = STATE(6632),
    [sym__direct_or_indirect_binding] = STATE(5779),
    [sym_value_binding_pattern] = STATE(4103),
    [sym__possibly_async_binding_pattern_kind] = STATE(4103),
    [sym__binding_kind_and_pattern] = STATE(5716),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [ts_builtin_sym_end] = ACTIONS(425),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(535),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(413),
    [sym_real_literal] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(413),
    [sym_hex_literal] = ACTIONS(415),
    [sym_oct_literal] = ACTIONS(415),
    [sym_bin_literal] = ACTIONS(415),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [anon_sym_COMMA] = ACTIONS(425),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(425),
    [anon_sym_LBRACK] = ACTIONS(425),
    [anon_sym_QMARK] = ACTIONS(407),
    [anon_sym_QMARK2] = ACTIONS(425),
    [anon_sym_AMP] = ACTIONS(425),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(425),
    [anon_sym_LT] = ACTIONS(407),
    [anon_sym_GT] = ACTIONS(407),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(413),
    [anon_sym_POUNDfileID] = ACTIONS(415),
    [anon_sym_POUNDfilePath] = ACTIONS(415),
    [anon_sym_POUNDline] = ACTIONS(415),
    [anon_sym_POUNDcolumn] = ACTIONS(415),
    [anon_sym_POUNDfunction] = ACTIONS(415),
    [anon_sym_POUNDdsohandle] = ACTIONS(415),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(425),
    [anon_sym_CARET_LBRACE] = ACTIONS(425),
    [anon_sym_RBRACE] = ACTIONS(425),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_case] = ACTIONS(817),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(425),
    [anon_sym_DASH_EQ] = ACTIONS(425),
    [anon_sym_STAR_EQ] = ACTIONS(425),
    [anon_sym_SLASH_EQ] = ACTIONS(425),
    [anon_sym_PERCENT_EQ] = ACTIONS(425),
    [anon_sym_BANG_EQ] = ACTIONS(407),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(425),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(425),
    [anon_sym_LT_EQ] = ACTIONS(425),
    [anon_sym_GT_EQ] = ACTIONS(425),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(425),
    [anon_sym_DOT_DOT_LT] = ACTIONS(425),
    [anon_sym_is] = ACTIONS(407),
    [anon_sym_PLUS] = ACTIONS(407),
    [anon_sym_DASH] = ACTIONS(407),
    [anon_sym_STAR] = ACTIONS(407),
    [anon_sym_SLASH] = ACTIONS(407),
    [anon_sym_PERCENT] = ACTIONS(407),
    [anon_sym_PLUS_PLUS] = ACTIONS(425),
    [anon_sym_DASH_DASH] = ACTIONS(425),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(425),
    [anon_sym_CARET] = ACTIONS(407),
    [anon_sym_LT_LT] = ACTIONS(425),
    [anon_sym_GT_GT] = ACTIONS(425),
    [anon_sym_POUNDavailable] = ACTIONS(451),
    [anon_sym_POUNDunavailable] = ACTIONS(451),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_BANG2] = ACTIONS(407),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__implicit_semi] = ACTIONS(425),
    [sym__explicit_semi] = ACTIONS(425),
    [sym__dot_custom] = ACTIONS(425),
    [sym__conjunction_operator_custom] = ACTIONS(425),
    [sym__disjunction_operator_custom] = ACTIONS(425),
    [sym__nil_coalescing_operator_custom] = ACTIONS(425),
    [sym__eq_custom] = ACTIONS(425),
    [sym__eq_eq_custom] = ACTIONS(425),
    [sym__plus_then_ws] = ACTIONS(425),
    [sym__minus_then_ws] = ACTIONS(425),
    [sym__bang_custom] = ACTIONS(425),
    [sym__as_custom] = ACTIONS(425),
    [sym__as_quest_custom] = ACTIONS(425),
    [sym__as_bang_custom] = ACTIONS(425),
    [sym__custom_operator] = ACTIONS(425),
  },
  [133] = {
    [sym_simple_identifier] = STATE(1847),
    [sym__contextual_simple_identifier] = STATE(702),
    [sym__basic_literal] = STATE(1292),
    [sym_boolean_literal] = STATE(1292),
    [sym__string_literal] = STATE(1292),
    [sym_line_string_literal] = STATE(1292),
    [sym_multi_line_string_literal] = STATE(1292),
    [sym_raw_string_literal] = STATE(1292),
    [sym_regex_literal] = STATE(1292),
    [sym__multiline_regex_literal] = STATE(751),
    [sym__type] = STATE(7541),
    [sym__unannotated_type] = STATE(4558),
    [sym_user_type] = STATE(4277),
    [sym__simple_user_type] = STATE(4378),
    [sym_tuple_type] = STATE(4375),
    [sym_function_type] = STATE(4558),
    [sym_array_type] = STATE(4277),
    [sym_dictionary_type] = STATE(4277),
    [sym_optional_type] = STATE(4558),
    [sym_metatype] = STATE(4558),
    [sym_opaque_type] = STATE(4558),
    [sym_existential_type] = STATE(4558),
    [sym_type_parameter_pack] = STATE(4558),
    [sym_type_pack_expansion] = STATE(4558),
    [sym_protocol_composition_type] = STATE(4558),
    [sym__expression] = STATE(1292),
    [sym__unary_expression] = STATE(1292),
    [sym_postfix_expression] = STATE(1292),
    [sym_constructor_expression] = STATE(1292),
    [sym__parenthesized_type] = STATE(4943),
    [sym_navigation_expression] = STATE(1292),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1292),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1292),
    [sym_prefix_expression] = STATE(1292),
    [sym_as_expression] = STATE(1292),
    [sym_selector_expression] = STATE(1292),
    [sym__binary_expression] = STATE(1292),
    [sym_multiplicative_expression] = STATE(1292),
    [sym_additive_expression] = STATE(1292),
    [sym_range_expression] = STATE(1292),
    [sym_infix_expression] = STATE(1292),
    [sym_nil_coalescing_expression] = STATE(1292),
    [sym_check_expression] = STATE(1292),
    [sym_comparison_expression] = STATE(1292),
    [sym_equality_expression] = STATE(1292),
    [sym_conjunction_expression] = STATE(1292),
    [sym_disjunction_expression] = STATE(1292),
    [sym_bitwise_operation] = STATE(1292),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1292),
    [sym_call_expression] = STATE(1292),
    [sym__primary_expression] = STATE(1292),
    [sym_tuple_expression] = STATE(1292),
    [sym_array_literal] = STATE(1292),
    [sym_dictionary_literal] = STATE(1292),
    [sym__dictionary_literal_item] = STATE(6500),
    [sym__special_literal] = STATE(1292),
    [sym__playground_literal] = STATE(1292),
    [sym_lambda_literal] = STATE(1292),
    [sym_capture_list_item] = STATE(7055),
    [sym_self_expression] = STATE(2817),
    [sym_super_expression] = STATE(1292),
    [sym_if_statement] = STATE(1292),
    [sym_switch_statement] = STATE(1292),
    [sym_key_path_expression] = STATE(1292),
    [sym_key_path_string_expression] = STATE(1292),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1292),
    [sym__equality_operator] = STATE(1292),
    [sym__comparison_operator] = STATE(1292),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1292),
    [sym__multiplicative_operator] = STATE(1292),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1292),
    [sym_value_parameter_pack] = STATE(1292),
    [sym_value_pack_expansion] = STATE(1292),
    [sym__referenceable_operator] = STATE(1292),
    [sym__equal_sign] = STATE(1292),
    [sym__eq_eq] = STATE(1292),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym_attribute] = STATE(4365),
    [sym_type_modifiers] = STATE(4093),
    [sym_ownership_modifier] = STATE(4913),
    [sym__parameter_ownership_modifier] = STATE(702),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [aux_sym__lambda_type_declaration_repeat1] = STATE(4365),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(767),
    [aux_sym_simple_identifier_token2] = ACTIONS(769),
    [aux_sym_simple_identifier_token3] = ACTIONS(769),
    [aux_sym_simple_identifier_token4] = ACTIONS(769),
    [anon_sym_actor] = ACTIONS(767),
    [anon_sym_async] = ACTIONS(767),
    [anon_sym_each] = ACTIONS(801),
    [anon_sym_lazy] = ACTIONS(767),
    [anon_sym_repeat] = ACTIONS(803),
    [anon_sym_package] = ACTIONS(767),
    [anon_sym_nil] = ACTIONS(819),
    [sym_real_literal] = ACTIONS(821),
    [sym_integer_literal] = ACTIONS(819),
    [sym_hex_literal] = ACTIONS(821),
    [sym_oct_literal] = ACTIONS(821),
    [sym_bin_literal] = ACTIONS(821),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [anon_sym_COMMA] = ACTIONS(823),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_COLON] = ACTIONS(825),
    [anon_sym_LPAREN] = ACTIONS(779),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_RBRACK] = ACTIONS(827),
    [anon_sym_some] = ACTIONS(783),
    [anon_sym_any] = ACTIONS(785),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(819),
    [anon_sym_GT] = ACTIONS(819),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(819),
    [anon_sym_POUNDfileID] = ACTIONS(821),
    [anon_sym_POUNDfilePath] = ACTIONS(821),
    [anon_sym_POUNDline] = ACTIONS(821),
    [anon_sym_POUNDcolumn] = ACTIONS(821),
    [anon_sym_POUNDfunction] = ACTIONS(821),
    [anon_sym_POUNDdsohandle] = ACTIONS(821),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(821),
    [anon_sym_DASH_EQ] = ACTIONS(821),
    [anon_sym_STAR_EQ] = ACTIONS(821),
    [anon_sym_SLASH_EQ] = ACTIONS(821),
    [anon_sym_PERCENT_EQ] = ACTIONS(821),
    [anon_sym_BANG_EQ] = ACTIONS(819),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(821),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(821),
    [anon_sym_LT_EQ] = ACTIONS(821),
    [anon_sym_GT_EQ] = ACTIONS(821),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(819),
    [anon_sym_SLASH] = ACTIONS(819),
    [anon_sym_PERCENT] = ACTIONS(819),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(821),
    [anon_sym_CARET] = ACTIONS(819),
    [anon_sym_LT_LT] = ACTIONS(821),
    [anon_sym_GT_GT] = ACTIONS(821),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_AT] = ACTIONS(829),
    [anon_sym_weak] = ACTIONS(831),
    [anon_sym_unowned] = ACTIONS(831),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(833),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(833),
    [anon_sym_borrowing] = ACTIONS(767),
    [anon_sym_consuming] = ACTIONS(767),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(821),
    [sym__eq_eq_custom] = ACTIONS(821),
    [sym__plus_then_ws] = ACTIONS(821),
    [sym__minus_then_ws] = ACTIONS(821),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [134] = {
    [sym_simple_identifier] = STATE(1934),
    [sym__contextual_simple_identifier] = STATE(702),
    [sym__basic_literal] = STATE(1377),
    [sym_boolean_literal] = STATE(1377),
    [sym__string_literal] = STATE(1377),
    [sym_line_string_literal] = STATE(1377),
    [sym_multi_line_string_literal] = STATE(1377),
    [sym_raw_string_literal] = STATE(1377),
    [sym_regex_literal] = STATE(1377),
    [sym__multiline_regex_literal] = STATE(751),
    [sym__type] = STATE(7358),
    [sym__unannotated_type] = STATE(4558),
    [sym_user_type] = STATE(4277),
    [sym__simple_user_type] = STATE(4378),
    [sym_tuple_type] = STATE(4375),
    [sym_tuple_type_item] = STATE(6909),
    [sym__tuple_type_item_identifier] = STATE(3294),
    [sym_function_type] = STATE(4558),
    [sym_array_type] = STATE(4277),
    [sym_dictionary_type] = STATE(4354),
    [sym_optional_type] = STATE(4558),
    [sym_metatype] = STATE(4558),
    [sym_opaque_type] = STATE(5478),
    [sym_existential_type] = STATE(5478),
    [sym_type_parameter_pack] = STATE(4558),
    [sym_type_pack_expansion] = STATE(4558),
    [sym_protocol_composition_type] = STATE(4558),
    [sym__expression] = STATE(1377),
    [sym__unary_expression] = STATE(1377),
    [sym_postfix_expression] = STATE(1377),
    [sym_constructor_expression] = STATE(1377),
    [sym__parenthesized_type] = STATE(4943),
    [sym_navigation_expression] = STATE(1377),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1377),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1377),
    [sym_prefix_expression] = STATE(1377),
    [sym_as_expression] = STATE(1377),
    [sym_selector_expression] = STATE(1377),
    [sym__binary_expression] = STATE(1377),
    [sym_multiplicative_expression] = STATE(1377),
    [sym_additive_expression] = STATE(1377),
    [sym_range_expression] = STATE(1377),
    [sym_infix_expression] = STATE(1377),
    [sym_nil_coalescing_expression] = STATE(1377),
    [sym_check_expression] = STATE(1377),
    [sym_comparison_expression] = STATE(1377),
    [sym_equality_expression] = STATE(1377),
    [sym_conjunction_expression] = STATE(1377),
    [sym_disjunction_expression] = STATE(1377),
    [sym_bitwise_operation] = STATE(1377),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1377),
    [sym_await_expression] = STATE(1377),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1377),
    [sym_call_expression] = STATE(1377),
    [sym__primary_expression] = STATE(1377),
    [sym_tuple_expression] = STATE(1377),
    [sym_array_literal] = STATE(1377),
    [sym_dictionary_literal] = STATE(1377),
    [sym__special_literal] = STATE(1377),
    [sym__playground_literal] = STATE(1377),
    [sym_lambda_literal] = STATE(1377),
    [sym_self_expression] = STATE(1377),
    [sym_super_expression] = STATE(1377),
    [sym_if_statement] = STATE(1377),
    [sym_switch_statement] = STATE(1377),
    [sym_key_path_expression] = STATE(1377),
    [sym_key_path_string_expression] = STATE(1377),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1377),
    [sym__equality_operator] = STATE(1377),
    [sym__comparison_operator] = STATE(1377),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1377),
    [sym__multiplicative_operator] = STATE(1377),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1377),
    [sym_value_parameter_pack] = STATE(1377),
    [sym_value_pack_expansion] = STATE(1377),
    [sym__referenceable_operator] = STATE(1377),
    [sym__equal_sign] = STATE(1377),
    [sym__eq_eq] = STATE(1377),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym_attribute] = STATE(4365),
    [sym_parameter_modifiers] = STATE(3797),
    [sym_type_modifiers] = STATE(4093),
    [sym_parameter_modifier] = STATE(4249),
    [sym__parameter_ownership_modifier] = STATE(1462),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [aux_sym__lambda_type_declaration_repeat1] = STATE(4365),
    [aux_sym_parameter_modifiers_repeat1] = STATE(4249),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(767),
    [aux_sym_simple_identifier_token2] = ACTIONS(769),
    [aux_sym_simple_identifier_token3] = ACTIONS(769),
    [aux_sym_simple_identifier_token4] = ACTIONS(769),
    [anon_sym_actor] = ACTIONS(767),
    [anon_sym_async] = ACTIONS(767),
    [anon_sym_each] = ACTIONS(771),
    [anon_sym_lazy] = ACTIONS(767),
    [anon_sym_repeat] = ACTIONS(773),
    [anon_sym_package] = ACTIONS(767),
    [anon_sym_nil] = ACTIONS(835),
    [sym_real_literal] = ACTIONS(837),
    [sym_integer_literal] = ACTIONS(835),
    [sym_hex_literal] = ACTIONS(837),
    [sym_oct_literal] = ACTIONS(837),
    [sym_bin_literal] = ACTIONS(837),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [anon_sym_RPAREN] = ACTIONS(839),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(779),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_some] = ACTIONS(783),
    [anon_sym_any] = ACTIONS(785),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(835),
    [anon_sym_GT] = ACTIONS(835),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(835),
    [anon_sym_POUNDfileID] = ACTIONS(837),
    [anon_sym_POUNDfilePath] = ACTIONS(837),
    [anon_sym_POUNDline] = ACTIONS(837),
    [anon_sym_POUNDcolumn] = ACTIONS(837),
    [anon_sym_POUNDfunction] = ACTIONS(837),
    [anon_sym_POUNDdsohandle] = ACTIONS(837),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(837),
    [anon_sym_DASH_EQ] = ACTIONS(837),
    [anon_sym_STAR_EQ] = ACTIONS(837),
    [anon_sym_SLASH_EQ] = ACTIONS(837),
    [anon_sym_PERCENT_EQ] = ACTIONS(837),
    [anon_sym_BANG_EQ] = ACTIONS(835),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(837),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(837),
    [anon_sym_LT_EQ] = ACTIONS(837),
    [anon_sym_GT_EQ] = ACTIONS(837),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(835),
    [anon_sym_SLASH] = ACTIONS(835),
    [anon_sym_PERCENT] = ACTIONS(835),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(837),
    [anon_sym_CARET] = ACTIONS(835),
    [anon_sym_LT_LT] = ACTIONS(837),
    [anon_sym_GT_GT] = ACTIONS(837),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_AT] = ACTIONS(841),
    [sym_wildcard_pattern] = ACTIONS(843),
    [anon_sym_inout] = ACTIONS(845),
    [anon_sym_ATescaping] = ACTIONS(847),
    [anon_sym_ATautoclosure] = ACTIONS(847),
    [anon_sym_borrowing] = ACTIONS(849),
    [anon_sym_consuming] = ACTIONS(849),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(837),
    [sym__eq_eq_custom] = ACTIONS(837),
    [sym__plus_then_ws] = ACTIONS(837),
    [sym__minus_then_ws] = ACTIONS(837),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [135] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1427),
    [sym_boolean_literal] = STATE(1427),
    [sym__string_literal] = STATE(1427),
    [sym_line_string_literal] = STATE(1427),
    [sym_multi_line_string_literal] = STATE(1427),
    [sym_raw_string_literal] = STATE(1427),
    [sym_regex_literal] = STATE(1427),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1427),
    [sym__unary_expression] = STATE(1427),
    [sym_postfix_expression] = STATE(1427),
    [sym_constructor_expression] = STATE(1427),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1427),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1427),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1427),
    [sym_prefix_expression] = STATE(1427),
    [sym_as_expression] = STATE(1427),
    [sym_selector_expression] = STATE(1427),
    [sym__binary_expression] = STATE(1427),
    [sym_multiplicative_expression] = STATE(1427),
    [sym_additive_expression] = STATE(1427),
    [sym_range_expression] = STATE(1427),
    [sym_infix_expression] = STATE(1427),
    [sym_nil_coalescing_expression] = STATE(1427),
    [sym_check_expression] = STATE(1427),
    [sym_comparison_expression] = STATE(1427),
    [sym_equality_expression] = STATE(1427),
    [sym_conjunction_expression] = STATE(1427),
    [sym_disjunction_expression] = STATE(1427),
    [sym_bitwise_operation] = STATE(1427),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1427),
    [sym_await_expression] = STATE(1427),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1427),
    [sym_call_expression] = STATE(1427),
    [sym__primary_expression] = STATE(1427),
    [sym_tuple_expression] = STATE(1427),
    [sym_array_literal] = STATE(1427),
    [sym_dictionary_literal] = STATE(1427),
    [sym__special_literal] = STATE(1427),
    [sym__playground_literal] = STATE(1427),
    [sym_lambda_literal] = STATE(1427),
    [sym_self_expression] = STATE(1427),
    [sym_super_expression] = STATE(1427),
    [sym_if_statement] = STATE(1427),
    [sym__if_condition_sequence_item] = STATE(6307),
    [sym__if_let_binding] = STATE(7553),
    [sym_switch_statement] = STATE(1427),
    [sym_key_path_expression] = STATE(1427),
    [sym_key_path_string_expression] = STATE(1427),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1427),
    [sym__equality_operator] = STATE(1427),
    [sym__comparison_operator] = STATE(1427),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1427),
    [sym__multiplicative_operator] = STATE(1427),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1427),
    [sym_value_parameter_pack] = STATE(1427),
    [sym_value_pack_expansion] = STATE(1427),
    [sym_availability_condition] = STATE(6307),
    [sym__referenceable_operator] = STATE(1427),
    [sym__equal_sign] = STATE(1427),
    [sym__eq_eq] = STATE(1427),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__async_modifier] = STATE(6632),
    [sym__direct_or_indirect_binding] = STATE(5779),
    [sym_value_binding_pattern] = STATE(4103),
    [sym__possibly_async_binding_pattern_kind] = STATE(4103),
    [sym__binding_kind_and_pattern] = STATE(5716),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(535),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(413),
    [sym_real_literal] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(413),
    [sym_hex_literal] = ACTIONS(415),
    [sym_oct_literal] = ACTIONS(415),
    [sym_bin_literal] = ACTIONS(415),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [anon_sym_RPAREN] = ACTIONS(425),
    [anon_sym_COMMA] = ACTIONS(425),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_COLON] = ACTIONS(425),
    [anon_sym_LPAREN] = ACTIONS(425),
    [anon_sym_LBRACK] = ACTIONS(425),
    [anon_sym_RBRACK] = ACTIONS(425),
    [anon_sym_QMARK] = ACTIONS(407),
    [anon_sym_QMARK2] = ACTIONS(425),
    [anon_sym_AMP] = ACTIONS(425),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(425),
    [anon_sym_LT] = ACTIONS(407),
    [anon_sym_GT] = ACTIONS(407),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(413),
    [anon_sym_POUNDfileID] = ACTIONS(415),
    [anon_sym_POUNDfilePath] = ACTIONS(415),
    [anon_sym_POUNDline] = ACTIONS(415),
    [anon_sym_POUNDcolumn] = ACTIONS(415),
    [anon_sym_POUNDfunction] = ACTIONS(415),
    [anon_sym_POUNDdsohandle] = ACTIONS(415),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(425),
    [anon_sym_CARET_LBRACE] = ACTIONS(425),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_case] = ACTIONS(817),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(425),
    [anon_sym_DASH_EQ] = ACTIONS(425),
    [anon_sym_STAR_EQ] = ACTIONS(425),
    [anon_sym_SLASH_EQ] = ACTIONS(425),
    [anon_sym_PERCENT_EQ] = ACTIONS(425),
    [anon_sym_BANG_EQ] = ACTIONS(407),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(425),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(425),
    [anon_sym_LT_EQ] = ACTIONS(425),
    [anon_sym_GT_EQ] = ACTIONS(425),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(425),
    [anon_sym_DOT_DOT_LT] = ACTIONS(425),
    [anon_sym_is] = ACTIONS(407),
    [anon_sym_PLUS] = ACTIONS(407),
    [anon_sym_DASH] = ACTIONS(407),
    [anon_sym_STAR] = ACTIONS(407),
    [anon_sym_SLASH] = ACTIONS(407),
    [anon_sym_PERCENT] = ACTIONS(407),
    [anon_sym_PLUS_PLUS] = ACTIONS(425),
    [anon_sym_DASH_DASH] = ACTIONS(425),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(425),
    [anon_sym_CARET] = ACTIONS(407),
    [anon_sym_LT_LT] = ACTIONS(425),
    [anon_sym_GT_GT] = ACTIONS(425),
    [anon_sym_POUNDavailable] = ACTIONS(451),
    [anon_sym_POUNDunavailable] = ACTIONS(451),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_BANG2] = ACTIONS(407),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(425),
    [sym__conjunction_operator_custom] = ACTIONS(425),
    [sym__disjunction_operator_custom] = ACTIONS(425),
    [sym__nil_coalescing_operator_custom] = ACTIONS(425),
    [sym__eq_custom] = ACTIONS(425),
    [sym__eq_eq_custom] = ACTIONS(425),
    [sym__plus_then_ws] = ACTIONS(425),
    [sym__minus_then_ws] = ACTIONS(425),
    [sym__bang_custom] = ACTIONS(425),
    [sym__as_custom] = ACTIONS(425),
    [sym__as_quest_custom] = ACTIONS(425),
    [sym__as_bang_custom] = ACTIONS(425),
    [sym__custom_operator] = ACTIONS(425),
  },
  [136] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1427),
    [sym_boolean_literal] = STATE(1427),
    [sym__string_literal] = STATE(1427),
    [sym_line_string_literal] = STATE(1427),
    [sym_multi_line_string_literal] = STATE(1427),
    [sym_raw_string_literal] = STATE(1427),
    [sym_regex_literal] = STATE(1427),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1427),
    [sym__unary_expression] = STATE(1427),
    [sym_postfix_expression] = STATE(1427),
    [sym_constructor_expression] = STATE(1427),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1427),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1427),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1427),
    [sym_prefix_expression] = STATE(1427),
    [sym_as_expression] = STATE(1427),
    [sym_selector_expression] = STATE(1427),
    [sym__binary_expression] = STATE(1427),
    [sym_multiplicative_expression] = STATE(1427),
    [sym_additive_expression] = STATE(1427),
    [sym_range_expression] = STATE(1427),
    [sym_infix_expression] = STATE(1427),
    [sym_nil_coalescing_expression] = STATE(1427),
    [sym_check_expression] = STATE(1427),
    [sym_comparison_expression] = STATE(1427),
    [sym_equality_expression] = STATE(1427),
    [sym_conjunction_expression] = STATE(1427),
    [sym_disjunction_expression] = STATE(1427),
    [sym_bitwise_operation] = STATE(1427),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1427),
    [sym_await_expression] = STATE(1427),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1427),
    [sym_call_expression] = STATE(1427),
    [sym__primary_expression] = STATE(1427),
    [sym_tuple_expression] = STATE(1427),
    [sym_array_literal] = STATE(1427),
    [sym_dictionary_literal] = STATE(1427),
    [sym__special_literal] = STATE(1427),
    [sym__playground_literal] = STATE(1427),
    [sym_lambda_literal] = STATE(1427),
    [sym_self_expression] = STATE(1427),
    [sym_super_expression] = STATE(1427),
    [sym_if_statement] = STATE(1427),
    [sym__if_condition_sequence_item] = STATE(6400),
    [sym__if_let_binding] = STATE(7553),
    [sym_switch_statement] = STATE(1427),
    [sym_key_path_expression] = STATE(1427),
    [sym_key_path_string_expression] = STATE(1427),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1427),
    [sym__equality_operator] = STATE(1427),
    [sym__comparison_operator] = STATE(1427),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1427),
    [sym__multiplicative_operator] = STATE(1427),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1427),
    [sym_value_parameter_pack] = STATE(1427),
    [sym_value_pack_expansion] = STATE(1427),
    [sym_availability_condition] = STATE(6400),
    [sym__referenceable_operator] = STATE(1427),
    [sym__equal_sign] = STATE(1427),
    [sym__eq_eq] = STATE(1427),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__async_modifier] = STATE(6632),
    [sym__direct_or_indirect_binding] = STATE(5779),
    [sym_value_binding_pattern] = STATE(4103),
    [sym__possibly_async_binding_pattern_kind] = STATE(4103),
    [sym__binding_kind_and_pattern] = STATE(5716),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(535),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(413),
    [sym_real_literal] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(413),
    [sym_hex_literal] = ACTIONS(415),
    [sym_oct_literal] = ACTIONS(415),
    [sym_bin_literal] = ACTIONS(415),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [anon_sym_COMMA] = ACTIONS(425),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(425),
    [anon_sym_LBRACK] = ACTIONS(425),
    [anon_sym_QMARK] = ACTIONS(407),
    [anon_sym_QMARK2] = ACTIONS(425),
    [anon_sym_AMP] = ACTIONS(425),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(425),
    [anon_sym_LT] = ACTIONS(407),
    [anon_sym_GT] = ACTIONS(407),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(413),
    [anon_sym_POUNDfileID] = ACTIONS(415),
    [anon_sym_POUNDfilePath] = ACTIONS(415),
    [anon_sym_POUNDline] = ACTIONS(415),
    [anon_sym_POUNDcolumn] = ACTIONS(415),
    [anon_sym_POUNDfunction] = ACTIONS(415),
    [anon_sym_POUNDdsohandle] = ACTIONS(415),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(425),
    [anon_sym_CARET_LBRACE] = ACTIONS(425),
    [anon_sym_RBRACE] = ACTIONS(425),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_case] = ACTIONS(817),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(425),
    [anon_sym_DASH_EQ] = ACTIONS(425),
    [anon_sym_STAR_EQ] = ACTIONS(425),
    [anon_sym_SLASH_EQ] = ACTIONS(425),
    [anon_sym_PERCENT_EQ] = ACTIONS(425),
    [anon_sym_BANG_EQ] = ACTIONS(407),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(425),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(425),
    [anon_sym_LT_EQ] = ACTIONS(425),
    [anon_sym_GT_EQ] = ACTIONS(425),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(425),
    [anon_sym_DOT_DOT_LT] = ACTIONS(425),
    [anon_sym_is] = ACTIONS(407),
    [anon_sym_PLUS] = ACTIONS(407),
    [anon_sym_DASH] = ACTIONS(407),
    [anon_sym_STAR] = ACTIONS(407),
    [anon_sym_SLASH] = ACTIONS(407),
    [anon_sym_PERCENT] = ACTIONS(407),
    [anon_sym_PLUS_PLUS] = ACTIONS(425),
    [anon_sym_DASH_DASH] = ACTIONS(425),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(425),
    [anon_sym_CARET] = ACTIONS(407),
    [anon_sym_LT_LT] = ACTIONS(425),
    [anon_sym_GT_GT] = ACTIONS(425),
    [anon_sym_POUNDavailable] = ACTIONS(451),
    [anon_sym_POUNDunavailable] = ACTIONS(451),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_BANG2] = ACTIONS(407),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(425),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__implicit_semi] = ACTIONS(425),
    [sym__explicit_semi] = ACTIONS(425),
    [sym__dot_custom] = ACTIONS(425),
    [sym__conjunction_operator_custom] = ACTIONS(425),
    [sym__disjunction_operator_custom] = ACTIONS(425),
    [sym__nil_coalescing_operator_custom] = ACTIONS(425),
    [sym__eq_custom] = ACTIONS(425),
    [sym__eq_eq_custom] = ACTIONS(425),
    [sym__plus_then_ws] = ACTIONS(425),
    [sym__minus_then_ws] = ACTIONS(425),
    [sym__bang_custom] = ACTIONS(425),
    [sym__as_custom] = ACTIONS(425),
    [sym__as_quest_custom] = ACTIONS(425),
    [sym__as_bang_custom] = ACTIONS(425),
    [sym__custom_operator] = ACTIONS(425),
  },
  [137] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1427),
    [sym_boolean_literal] = STATE(1427),
    [sym__string_literal] = STATE(1427),
    [sym_line_string_literal] = STATE(1427),
    [sym_multi_line_string_literal] = STATE(1427),
    [sym_raw_string_literal] = STATE(1427),
    [sym_regex_literal] = STATE(1427),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1427),
    [sym__unary_expression] = STATE(1427),
    [sym_postfix_expression] = STATE(1427),
    [sym_constructor_expression] = STATE(1427),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1427),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1427),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1427),
    [sym_prefix_expression] = STATE(1427),
    [sym_as_expression] = STATE(1427),
    [sym_selector_expression] = STATE(1427),
    [sym__binary_expression] = STATE(1427),
    [sym_multiplicative_expression] = STATE(1427),
    [sym_additive_expression] = STATE(1427),
    [sym_range_expression] = STATE(1427),
    [sym_infix_expression] = STATE(1427),
    [sym_nil_coalescing_expression] = STATE(1427),
    [sym_check_expression] = STATE(1427),
    [sym_comparison_expression] = STATE(1427),
    [sym_equality_expression] = STATE(1427),
    [sym_conjunction_expression] = STATE(1427),
    [sym_disjunction_expression] = STATE(1427),
    [sym_bitwise_operation] = STATE(1427),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1427),
    [sym_await_expression] = STATE(1427),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1427),
    [sym_call_expression] = STATE(1427),
    [sym__primary_expression] = STATE(1427),
    [sym_tuple_expression] = STATE(1427),
    [sym_array_literal] = STATE(1427),
    [sym_dictionary_literal] = STATE(1427),
    [sym__special_literal] = STATE(1427),
    [sym__playground_literal] = STATE(1427),
    [sym_lambda_literal] = STATE(1427),
    [sym_self_expression] = STATE(1427),
    [sym_super_expression] = STATE(1427),
    [sym_if_statement] = STATE(1427),
    [sym__if_condition_sequence_item] = STATE(6255),
    [sym__if_let_binding] = STATE(7553),
    [sym_switch_statement] = STATE(1427),
    [sym_key_path_expression] = STATE(1427),
    [sym_key_path_string_expression] = STATE(1427),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1427),
    [sym__equality_operator] = STATE(1427),
    [sym__comparison_operator] = STATE(1427),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1427),
    [sym__multiplicative_operator] = STATE(1427),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1427),
    [sym_value_parameter_pack] = STATE(1427),
    [sym_value_pack_expansion] = STATE(1427),
    [sym_availability_condition] = STATE(6255),
    [sym__referenceable_operator] = STATE(1427),
    [sym__equal_sign] = STATE(1427),
    [sym__eq_eq] = STATE(1427),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__async_modifier] = STATE(6632),
    [sym__direct_or_indirect_binding] = STATE(5779),
    [sym_value_binding_pattern] = STATE(4103),
    [sym__possibly_async_binding_pattern_kind] = STATE(4103),
    [sym__binding_kind_and_pattern] = STATE(5716),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(535),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(413),
    [sym_real_literal] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(413),
    [sym_hex_literal] = ACTIONS(415),
    [sym_oct_literal] = ACTIONS(415),
    [sym_bin_literal] = ACTIONS(415),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [anon_sym_COMMA] = ACTIONS(425),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(425),
    [anon_sym_LBRACK] = ACTIONS(425),
    [anon_sym_QMARK] = ACTIONS(407),
    [anon_sym_QMARK2] = ACTIONS(425),
    [anon_sym_AMP] = ACTIONS(425),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(425),
    [anon_sym_LT] = ACTIONS(407),
    [anon_sym_GT] = ACTIONS(407),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(413),
    [anon_sym_POUNDfileID] = ACTIONS(415),
    [anon_sym_POUNDfilePath] = ACTIONS(415),
    [anon_sym_POUNDline] = ACTIONS(415),
    [anon_sym_POUNDcolumn] = ACTIONS(415),
    [anon_sym_POUNDfunction] = ACTIONS(415),
    [anon_sym_POUNDdsohandle] = ACTIONS(415),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(425),
    [anon_sym_CARET_LBRACE] = ACTIONS(425),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_case] = ACTIONS(817),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(425),
    [anon_sym_DASH_EQ] = ACTIONS(425),
    [anon_sym_STAR_EQ] = ACTIONS(425),
    [anon_sym_SLASH_EQ] = ACTIONS(425),
    [anon_sym_PERCENT_EQ] = ACTIONS(425),
    [anon_sym_BANG_EQ] = ACTIONS(407),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(425),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(425),
    [anon_sym_LT_EQ] = ACTIONS(425),
    [anon_sym_GT_EQ] = ACTIONS(425),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(425),
    [anon_sym_DOT_DOT_LT] = ACTIONS(425),
    [anon_sym_is] = ACTIONS(407),
    [anon_sym_PLUS] = ACTIONS(407),
    [anon_sym_DASH] = ACTIONS(407),
    [anon_sym_STAR] = ACTIONS(407),
    [anon_sym_SLASH] = ACTIONS(407),
    [anon_sym_PERCENT] = ACTIONS(407),
    [anon_sym_PLUS_PLUS] = ACTIONS(425),
    [anon_sym_DASH_DASH] = ACTIONS(425),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(425),
    [anon_sym_CARET] = ACTIONS(407),
    [anon_sym_LT_LT] = ACTIONS(425),
    [anon_sym_GT_GT] = ACTIONS(425),
    [anon_sym_POUNDavailable] = ACTIONS(451),
    [anon_sym_POUNDunavailable] = ACTIONS(451),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_BANG2] = ACTIONS(407),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(425),
    [sym__conjunction_operator_custom] = ACTIONS(425),
    [sym__disjunction_operator_custom] = ACTIONS(425),
    [sym__nil_coalescing_operator_custom] = ACTIONS(425),
    [sym__eq_custom] = ACTIONS(425),
    [sym__eq_eq_custom] = ACTIONS(425),
    [sym__plus_then_ws] = ACTIONS(425),
    [sym__minus_then_ws] = ACTIONS(425),
    [sym__bang_custom] = ACTIONS(425),
    [sym_where_keyword] = ACTIONS(425),
    [sym_else] = ACTIONS(425),
    [sym__as_custom] = ACTIONS(425),
    [sym__as_quest_custom] = ACTIONS(425),
    [sym__as_bang_custom] = ACTIONS(425),
    [sym__custom_operator] = ACTIONS(425),
  },
  [138] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1427),
    [sym_boolean_literal] = STATE(1427),
    [sym__string_literal] = STATE(1427),
    [sym_line_string_literal] = STATE(1427),
    [sym_multi_line_string_literal] = STATE(1427),
    [sym_raw_string_literal] = STATE(1427),
    [sym_regex_literal] = STATE(1427),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1427),
    [sym__unary_expression] = STATE(1427),
    [sym_postfix_expression] = STATE(1427),
    [sym_constructor_expression] = STATE(1427),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1427),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1427),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1427),
    [sym_prefix_expression] = STATE(1427),
    [sym_as_expression] = STATE(1427),
    [sym_selector_expression] = STATE(1427),
    [sym__binary_expression] = STATE(1427),
    [sym_multiplicative_expression] = STATE(1427),
    [sym_additive_expression] = STATE(1427),
    [sym_range_expression] = STATE(1427),
    [sym_infix_expression] = STATE(1427),
    [sym_nil_coalescing_expression] = STATE(1427),
    [sym_check_expression] = STATE(1427),
    [sym_comparison_expression] = STATE(1427),
    [sym_equality_expression] = STATE(1427),
    [sym_conjunction_expression] = STATE(1427),
    [sym_disjunction_expression] = STATE(1427),
    [sym_bitwise_operation] = STATE(1427),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1427),
    [sym_await_expression] = STATE(1427),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1427),
    [sym_call_expression] = STATE(1427),
    [sym__primary_expression] = STATE(1427),
    [sym_tuple_expression] = STATE(1427),
    [sym_array_literal] = STATE(1427),
    [sym_dictionary_literal] = STATE(1427),
    [sym__special_literal] = STATE(1427),
    [sym__playground_literal] = STATE(1427),
    [sym_lambda_literal] = STATE(1427),
    [sym_self_expression] = STATE(1427),
    [sym_super_expression] = STATE(1427),
    [sym_if_statement] = STATE(1427),
    [sym__if_condition_sequence_item] = STATE(6203),
    [sym__if_let_binding] = STATE(7553),
    [sym_switch_statement] = STATE(1427),
    [sym_key_path_expression] = STATE(1427),
    [sym_key_path_string_expression] = STATE(1427),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1427),
    [sym__equality_operator] = STATE(1427),
    [sym__comparison_operator] = STATE(1427),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1427),
    [sym__multiplicative_operator] = STATE(1427),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1427),
    [sym_value_parameter_pack] = STATE(1427),
    [sym_value_pack_expansion] = STATE(1427),
    [sym_availability_condition] = STATE(6203),
    [sym__referenceable_operator] = STATE(1427),
    [sym__equal_sign] = STATE(1427),
    [sym__eq_eq] = STATE(1427),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__async_modifier] = STATE(6632),
    [sym__direct_or_indirect_binding] = STATE(5779),
    [sym_value_binding_pattern] = STATE(4103),
    [sym__possibly_async_binding_pattern_kind] = STATE(4103),
    [sym__binding_kind_and_pattern] = STATE(5716),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(535),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(413),
    [sym_real_literal] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(413),
    [sym_hex_literal] = ACTIONS(415),
    [sym_oct_literal] = ACTIONS(415),
    [sym_bin_literal] = ACTIONS(415),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [anon_sym_COMMA] = ACTIONS(425),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_COLON] = ACTIONS(425),
    [anon_sym_LPAREN] = ACTIONS(425),
    [anon_sym_LBRACK] = ACTIONS(425),
    [anon_sym_QMARK] = ACTIONS(407),
    [anon_sym_QMARK2] = ACTIONS(425),
    [anon_sym_AMP] = ACTIONS(425),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(425),
    [anon_sym_LT] = ACTIONS(407),
    [anon_sym_GT] = ACTIONS(407),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(413),
    [anon_sym_POUNDfileID] = ACTIONS(415),
    [anon_sym_POUNDfilePath] = ACTIONS(415),
    [anon_sym_POUNDline] = ACTIONS(415),
    [anon_sym_POUNDcolumn] = ACTIONS(415),
    [anon_sym_POUNDfunction] = ACTIONS(415),
    [anon_sym_POUNDdsohandle] = ACTIONS(415),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(425),
    [anon_sym_CARET_LBRACE] = ACTIONS(425),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_case] = ACTIONS(817),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(425),
    [anon_sym_DASH_EQ] = ACTIONS(425),
    [anon_sym_STAR_EQ] = ACTIONS(425),
    [anon_sym_SLASH_EQ] = ACTIONS(425),
    [anon_sym_PERCENT_EQ] = ACTIONS(425),
    [anon_sym_BANG_EQ] = ACTIONS(407),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(425),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(425),
    [anon_sym_LT_EQ] = ACTIONS(425),
    [anon_sym_GT_EQ] = ACTIONS(425),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(425),
    [anon_sym_DOT_DOT_LT] = ACTIONS(425),
    [anon_sym_is] = ACTIONS(407),
    [anon_sym_PLUS] = ACTIONS(407),
    [anon_sym_DASH] = ACTIONS(407),
    [anon_sym_STAR] = ACTIONS(407),
    [anon_sym_SLASH] = ACTIONS(407),
    [anon_sym_PERCENT] = ACTIONS(407),
    [anon_sym_PLUS_PLUS] = ACTIONS(425),
    [anon_sym_DASH_DASH] = ACTIONS(425),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(425),
    [anon_sym_CARET] = ACTIONS(407),
    [anon_sym_LT_LT] = ACTIONS(425),
    [anon_sym_GT_GT] = ACTIONS(425),
    [anon_sym_POUNDavailable] = ACTIONS(451),
    [anon_sym_POUNDunavailable] = ACTIONS(451),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_BANG2] = ACTIONS(407),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(425),
    [sym__conjunction_operator_custom] = ACTIONS(425),
    [sym__disjunction_operator_custom] = ACTIONS(425),
    [sym__nil_coalescing_operator_custom] = ACTIONS(425),
    [sym__eq_custom] = ACTIONS(425),
    [sym__eq_eq_custom] = ACTIONS(425),
    [sym__plus_then_ws] = ACTIONS(425),
    [sym__minus_then_ws] = ACTIONS(425),
    [sym__bang_custom] = ACTIONS(425),
    [sym_where_keyword] = ACTIONS(425),
    [sym__as_custom] = ACTIONS(425),
    [sym__as_quest_custom] = ACTIONS(425),
    [sym__as_bang_custom] = ACTIONS(425),
    [sym__custom_operator] = ACTIONS(425),
  },
  [139] = {
    [sym_simple_identifier] = STATE(1895),
    [sym__contextual_simple_identifier] = STATE(2006),
    [sym__basic_literal] = STATE(1333),
    [sym_boolean_literal] = STATE(1333),
    [sym__string_literal] = STATE(1333),
    [sym_line_string_literal] = STATE(1333),
    [sym_multi_line_string_literal] = STATE(1333),
    [sym_raw_string_literal] = STATE(1333),
    [sym_regex_literal] = STATE(1333),
    [sym__multiline_regex_literal] = STATE(751),
    [sym__possibly_implicitly_unwrapped_type] = STATE(7490),
    [sym__type] = STATE(5853),
    [sym__unannotated_type] = STATE(4558),
    [sym_user_type] = STATE(4277),
    [sym__simple_user_type] = STATE(4378),
    [sym_tuple_type] = STATE(4375),
    [sym_function_type] = STATE(4558),
    [sym_array_type] = STATE(4277),
    [sym_dictionary_type] = STATE(4277),
    [sym_optional_type] = STATE(4558),
    [sym_metatype] = STATE(4558),
    [sym_opaque_type] = STATE(4558),
    [sym_existential_type] = STATE(4558),
    [sym_type_parameter_pack] = STATE(4558),
    [sym_type_pack_expansion] = STATE(4558),
    [sym_protocol_composition_type] = STATE(4558),
    [sym__expression] = STATE(1333),
    [sym__unary_expression] = STATE(1333),
    [sym_postfix_expression] = STATE(1333),
    [sym_constructor_expression] = STATE(1333),
    [sym__parenthesized_type] = STATE(4943),
    [sym_navigation_expression] = STATE(1333),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1333),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1333),
    [sym_prefix_expression] = STATE(1333),
    [sym_as_expression] = STATE(1333),
    [sym_selector_expression] = STATE(1333),
    [sym__binary_expression] = STATE(1333),
    [sym_multiplicative_expression] = STATE(1333),
    [sym_additive_expression] = STATE(1333),
    [sym_range_expression] = STATE(1333),
    [sym_infix_expression] = STATE(1333),
    [sym_nil_coalescing_expression] = STATE(1333),
    [sym_check_expression] = STATE(1333),
    [sym_comparison_expression] = STATE(1333),
    [sym_equality_expression] = STATE(1333),
    [sym_conjunction_expression] = STATE(1333),
    [sym_disjunction_expression] = STATE(1333),
    [sym_bitwise_operation] = STATE(1333),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1333),
    [sym_await_expression] = STATE(1333),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1333),
    [sym_call_expression] = STATE(1333),
    [sym__primary_expression] = STATE(1333),
    [sym_tuple_expression] = STATE(1333),
    [sym_array_literal] = STATE(1333),
    [sym_dictionary_literal] = STATE(1333),
    [sym__special_literal] = STATE(1333),
    [sym__playground_literal] = STATE(1333),
    [sym_lambda_literal] = STATE(1333),
    [sym_self_expression] = STATE(1333),
    [sym_super_expression] = STATE(1333),
    [sym_if_statement] = STATE(1333),
    [sym_switch_statement] = STATE(1333),
    [sym_key_path_expression] = STATE(1333),
    [sym_key_path_string_expression] = STATE(1333),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1333),
    [sym__equality_operator] = STATE(1333),
    [sym__comparison_operator] = STATE(1333),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1333),
    [sym__multiplicative_operator] = STATE(1333),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1333),
    [sym_value_parameter_pack] = STATE(1333),
    [sym_value_pack_expansion] = STATE(1333),
    [sym__referenceable_operator] = STATE(1333),
    [sym__equal_sign] = STATE(1333),
    [sym__eq_eq] = STATE(1333),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym_attribute] = STATE(4365),
    [sym_parameter_modifiers] = STATE(3440),
    [sym_type_modifiers] = STATE(4093),
    [sym_parameter_modifier] = STATE(4249),
    [sym__parameter_ownership_modifier] = STATE(1463),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [aux_sym__lambda_type_declaration_repeat1] = STATE(4365),
    [aux_sym_parameter_modifiers_repeat1] = STATE(4249),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(809),
    [aux_sym_simple_identifier_token2] = ACTIONS(811),
    [aux_sym_simple_identifier_token3] = ACTIONS(811),
    [aux_sym_simple_identifier_token4] = ACTIONS(811),
    [anon_sym_actor] = ACTIONS(809),
    [anon_sym_async] = ACTIONS(809),
    [anon_sym_each] = ACTIONS(813),
    [anon_sym_lazy] = ACTIONS(809),
    [anon_sym_repeat] = ACTIONS(815),
    [anon_sym_package] = ACTIONS(809),
    [anon_sym_nil] = ACTIONS(851),
    [sym_real_literal] = ACTIONS(853),
    [sym_integer_literal] = ACTIONS(851),
    [sym_hex_literal] = ACTIONS(853),
    [sym_oct_literal] = ACTIONS(853),
    [sym_bin_literal] = ACTIONS(853),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(779),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_some] = ACTIONS(783),
    [anon_sym_any] = ACTIONS(785),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(851),
    [anon_sym_GT] = ACTIONS(851),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(851),
    [anon_sym_POUNDfileID] = ACTIONS(853),
    [anon_sym_POUNDfilePath] = ACTIONS(853),
    [anon_sym_POUNDline] = ACTIONS(853),
    [anon_sym_POUNDcolumn] = ACTIONS(853),
    [anon_sym_POUNDfunction] = ACTIONS(853),
    [anon_sym_POUNDdsohandle] = ACTIONS(853),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(853),
    [anon_sym_DASH_EQ] = ACTIONS(853),
    [anon_sym_STAR_EQ] = ACTIONS(853),
    [anon_sym_SLASH_EQ] = ACTIONS(853),
    [anon_sym_PERCENT_EQ] = ACTIONS(853),
    [anon_sym_BANG_EQ] = ACTIONS(851),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(853),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(853),
    [anon_sym_LT_EQ] = ACTIONS(853),
    [anon_sym_GT_EQ] = ACTIONS(853),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(851),
    [anon_sym_SLASH] = ACTIONS(851),
    [anon_sym_PERCENT] = ACTIONS(851),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(853),
    [anon_sym_CARET] = ACTIONS(851),
    [anon_sym_LT_LT] = ACTIONS(853),
    [anon_sym_GT_GT] = ACTIONS(853),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_AT] = ACTIONS(841),
    [anon_sym_inout] = ACTIONS(845),
    [anon_sym_ATescaping] = ACTIONS(847),
    [anon_sym_ATautoclosure] = ACTIONS(847),
    [anon_sym_borrowing] = ACTIONS(855),
    [anon_sym_consuming] = ACTIONS(855),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(853),
    [sym__eq_eq_custom] = ACTIONS(853),
    [sym__plus_then_ws] = ACTIONS(853),
    [sym__minus_then_ws] = ACTIONS(853),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [140] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1427),
    [sym_boolean_literal] = STATE(1427),
    [sym__string_literal] = STATE(1427),
    [sym_line_string_literal] = STATE(1427),
    [sym_multi_line_string_literal] = STATE(1427),
    [sym_raw_string_literal] = STATE(1427),
    [sym_regex_literal] = STATE(1427),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1427),
    [sym__unary_expression] = STATE(1427),
    [sym_postfix_expression] = STATE(1427),
    [sym_constructor_expression] = STATE(1427),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1427),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1427),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1427),
    [sym_prefix_expression] = STATE(1427),
    [sym_as_expression] = STATE(1427),
    [sym_selector_expression] = STATE(1427),
    [sym__binary_expression] = STATE(1427),
    [sym_multiplicative_expression] = STATE(1427),
    [sym_additive_expression] = STATE(1427),
    [sym_range_expression] = STATE(1427),
    [sym_infix_expression] = STATE(1427),
    [sym_nil_coalescing_expression] = STATE(1427),
    [sym_check_expression] = STATE(1427),
    [sym_comparison_expression] = STATE(1427),
    [sym_equality_expression] = STATE(1427),
    [sym_conjunction_expression] = STATE(1427),
    [sym_disjunction_expression] = STATE(1427),
    [sym_bitwise_operation] = STATE(1427),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1427),
    [sym_await_expression] = STATE(1427),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1427),
    [sym_call_expression] = STATE(1427),
    [sym__primary_expression] = STATE(1427),
    [sym_tuple_expression] = STATE(1427),
    [sym_array_literal] = STATE(1427),
    [sym_dictionary_literal] = STATE(1427),
    [sym__special_literal] = STATE(1427),
    [sym__playground_literal] = STATE(1427),
    [sym_lambda_literal] = STATE(1427),
    [sym_self_expression] = STATE(1427),
    [sym_super_expression] = STATE(1427),
    [sym_if_statement] = STATE(1427),
    [sym__if_condition_sequence_item] = STATE(6250),
    [sym__if_let_binding] = STATE(7553),
    [sym_switch_statement] = STATE(1427),
    [sym_key_path_expression] = STATE(1427),
    [sym_key_path_string_expression] = STATE(1427),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1427),
    [sym__equality_operator] = STATE(1427),
    [sym__comparison_operator] = STATE(1427),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1427),
    [sym__multiplicative_operator] = STATE(1427),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1427),
    [sym_value_parameter_pack] = STATE(1427),
    [sym_value_pack_expansion] = STATE(1427),
    [sym_availability_condition] = STATE(6250),
    [sym__referenceable_operator] = STATE(1427),
    [sym__equal_sign] = STATE(1427),
    [sym__eq_eq] = STATE(1427),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__async_modifier] = STATE(6632),
    [sym__direct_or_indirect_binding] = STATE(5779),
    [sym_value_binding_pattern] = STATE(4103),
    [sym__possibly_async_binding_pattern_kind] = STATE(4103),
    [sym__binding_kind_and_pattern] = STATE(5716),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(535),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(413),
    [sym_real_literal] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(413),
    [sym_hex_literal] = ACTIONS(415),
    [sym_oct_literal] = ACTIONS(415),
    [sym_bin_literal] = ACTIONS(415),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [anon_sym_COMMA] = ACTIONS(425),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(425),
    [anon_sym_LBRACK] = ACTIONS(425),
    [anon_sym_QMARK] = ACTIONS(407),
    [anon_sym_QMARK2] = ACTIONS(425),
    [anon_sym_AMP] = ACTIONS(425),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(425),
    [anon_sym_LT] = ACTIONS(407),
    [anon_sym_GT] = ACTIONS(407),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(413),
    [anon_sym_POUNDfileID] = ACTIONS(415),
    [anon_sym_POUNDfilePath] = ACTIONS(415),
    [anon_sym_POUNDline] = ACTIONS(415),
    [anon_sym_POUNDcolumn] = ACTIONS(415),
    [anon_sym_POUNDfunction] = ACTIONS(415),
    [anon_sym_POUNDdsohandle] = ACTIONS(415),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(425),
    [anon_sym_CARET_LBRACE] = ACTIONS(425),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_case] = ACTIONS(817),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(425),
    [anon_sym_DASH_EQ] = ACTIONS(425),
    [anon_sym_STAR_EQ] = ACTIONS(425),
    [anon_sym_SLASH_EQ] = ACTIONS(425),
    [anon_sym_PERCENT_EQ] = ACTIONS(425),
    [anon_sym_BANG_EQ] = ACTIONS(407),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(425),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(425),
    [anon_sym_LT_EQ] = ACTIONS(425),
    [anon_sym_GT_EQ] = ACTIONS(425),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(425),
    [anon_sym_DOT_DOT_LT] = ACTIONS(425),
    [anon_sym_is] = ACTIONS(407),
    [anon_sym_PLUS] = ACTIONS(407),
    [anon_sym_DASH] = ACTIONS(407),
    [anon_sym_STAR] = ACTIONS(407),
    [anon_sym_SLASH] = ACTIONS(407),
    [anon_sym_PERCENT] = ACTIONS(407),
    [anon_sym_PLUS_PLUS] = ACTIONS(425),
    [anon_sym_DASH_DASH] = ACTIONS(425),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(425),
    [anon_sym_CARET] = ACTIONS(407),
    [anon_sym_LT_LT] = ACTIONS(425),
    [anon_sym_GT_GT] = ACTIONS(425),
    [anon_sym_POUNDavailable] = ACTIONS(451),
    [anon_sym_POUNDunavailable] = ACTIONS(451),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_BANG2] = ACTIONS(407),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(425),
    [sym__conjunction_operator_custom] = ACTIONS(425),
    [sym__disjunction_operator_custom] = ACTIONS(425),
    [sym__nil_coalescing_operator_custom] = ACTIONS(425),
    [sym__eq_custom] = ACTIONS(425),
    [sym__eq_eq_custom] = ACTIONS(425),
    [sym__plus_then_ws] = ACTIONS(425),
    [sym__minus_then_ws] = ACTIONS(425),
    [sym__bang_custom] = ACTIONS(425),
    [sym_else] = ACTIONS(425),
    [sym__as_custom] = ACTIONS(425),
    [sym__as_quest_custom] = ACTIONS(425),
    [sym__as_bang_custom] = ACTIONS(425),
    [sym__custom_operator] = ACTIONS(425),
  },
  [141] = {
    [sym_simple_identifier] = STATE(1921),
    [sym__contextual_simple_identifier] = STATE(702),
    [sym__basic_literal] = STATE(1283),
    [sym_boolean_literal] = STATE(1283),
    [sym__string_literal] = STATE(1283),
    [sym_line_string_literal] = STATE(1283),
    [sym_multi_line_string_literal] = STATE(1283),
    [sym_raw_string_literal] = STATE(1283),
    [sym_regex_literal] = STATE(1283),
    [sym__multiline_regex_literal] = STATE(751),
    [sym__type] = STATE(7541),
    [sym__unannotated_type] = STATE(4558),
    [sym_user_type] = STATE(4277),
    [sym__simple_user_type] = STATE(4378),
    [sym_tuple_type] = STATE(4375),
    [sym_function_type] = STATE(4558),
    [sym_array_type] = STATE(4277),
    [sym_dictionary_type] = STATE(4277),
    [sym_optional_type] = STATE(4558),
    [sym_metatype] = STATE(4558),
    [sym_opaque_type] = STATE(4558),
    [sym_existential_type] = STATE(4558),
    [sym_type_parameter_pack] = STATE(4558),
    [sym_type_pack_expansion] = STATE(4558),
    [sym_protocol_composition_type] = STATE(4558),
    [sym__expression] = STATE(1283),
    [sym__unary_expression] = STATE(1283),
    [sym_postfix_expression] = STATE(1283),
    [sym_constructor_expression] = STATE(1283),
    [sym__parenthesized_type] = STATE(4943),
    [sym_navigation_expression] = STATE(1283),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1283),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1283),
    [sym_prefix_expression] = STATE(1283),
    [sym_as_expression] = STATE(1283),
    [sym_selector_expression] = STATE(1283),
    [sym__binary_expression] = STATE(1283),
    [sym_multiplicative_expression] = STATE(1283),
    [sym_additive_expression] = STATE(1283),
    [sym_range_expression] = STATE(1283),
    [sym_infix_expression] = STATE(1283),
    [sym_nil_coalescing_expression] = STATE(1283),
    [sym_check_expression] = STATE(1283),
    [sym_comparison_expression] = STATE(1283),
    [sym_equality_expression] = STATE(1283),
    [sym_conjunction_expression] = STATE(1283),
    [sym_disjunction_expression] = STATE(1283),
    [sym_bitwise_operation] = STATE(1283),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1283),
    [sym_await_expression] = STATE(1283),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym__primary_expression] = STATE(1283),
    [sym_tuple_expression] = STATE(1283),
    [sym_array_literal] = STATE(1283),
    [sym_dictionary_literal] = STATE(1283),
    [sym__dictionary_literal_item] = STATE(6530),
    [sym__special_literal] = STATE(1283),
    [sym__playground_literal] = STATE(1283),
    [sym_lambda_literal] = STATE(1283),
    [sym_self_expression] = STATE(1283),
    [sym_super_expression] = STATE(1283),
    [sym_if_statement] = STATE(1283),
    [sym_switch_statement] = STATE(1283),
    [sym_key_path_expression] = STATE(1283),
    [sym_key_path_string_expression] = STATE(1283),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1283),
    [sym__equality_operator] = STATE(1283),
    [sym__comparison_operator] = STATE(1283),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1283),
    [sym__multiplicative_operator] = STATE(1283),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1283),
    [sym_value_parameter_pack] = STATE(1283),
    [sym_value_pack_expansion] = STATE(1283),
    [sym__referenceable_operator] = STATE(1283),
    [sym__equal_sign] = STATE(1283),
    [sym__eq_eq] = STATE(1283),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym_attribute] = STATE(4365),
    [sym_type_modifiers] = STATE(4093),
    [sym__parameter_ownership_modifier] = STATE(702),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [aux_sym__lambda_type_declaration_repeat1] = STATE(4365),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(767),
    [aux_sym_simple_identifier_token2] = ACTIONS(769),
    [aux_sym_simple_identifier_token3] = ACTIONS(769),
    [aux_sym_simple_identifier_token4] = ACTIONS(769),
    [anon_sym_actor] = ACTIONS(767),
    [anon_sym_async] = ACTIONS(767),
    [anon_sym_each] = ACTIONS(801),
    [anon_sym_lazy] = ACTIONS(767),
    [anon_sym_repeat] = ACTIONS(803),
    [anon_sym_package] = ACTIONS(767),
    [anon_sym_nil] = ACTIONS(857),
    [sym_real_literal] = ACTIONS(859),
    [sym_integer_literal] = ACTIONS(857),
    [sym_hex_literal] = ACTIONS(859),
    [sym_oct_literal] = ACTIONS(859),
    [sym_bin_literal] = ACTIONS(859),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [anon_sym_COMMA] = ACTIONS(861),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_COLON] = ACTIONS(863),
    [anon_sym_LPAREN] = ACTIONS(779),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_RBRACK] = ACTIONS(865),
    [anon_sym_some] = ACTIONS(783),
    [anon_sym_any] = ACTIONS(785),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(857),
    [anon_sym_GT] = ACTIONS(857),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(857),
    [anon_sym_POUNDfileID] = ACTIONS(859),
    [anon_sym_POUNDfilePath] = ACTIONS(859),
    [anon_sym_POUNDline] = ACTIONS(859),
    [anon_sym_POUNDcolumn] = ACTIONS(859),
    [anon_sym_POUNDfunction] = ACTIONS(859),
    [anon_sym_POUNDdsohandle] = ACTIONS(859),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(859),
    [anon_sym_DASH_EQ] = ACTIONS(859),
    [anon_sym_STAR_EQ] = ACTIONS(859),
    [anon_sym_SLASH_EQ] = ACTIONS(859),
    [anon_sym_PERCENT_EQ] = ACTIONS(859),
    [anon_sym_BANG_EQ] = ACTIONS(857),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(859),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(859),
    [anon_sym_LT_EQ] = ACTIONS(859),
    [anon_sym_GT_EQ] = ACTIONS(859),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(857),
    [anon_sym_SLASH] = ACTIONS(857),
    [anon_sym_PERCENT] = ACTIONS(857),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(859),
    [anon_sym_CARET] = ACTIONS(857),
    [anon_sym_LT_LT] = ACTIONS(859),
    [anon_sym_GT_GT] = ACTIONS(859),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_AT] = ACTIONS(829),
    [anon_sym_borrowing] = ACTIONS(767),
    [anon_sym_consuming] = ACTIONS(767),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(859),
    [sym__eq_eq_custom] = ACTIONS(859),
    [sym__plus_then_ws] = ACTIONS(859),
    [sym__minus_then_ws] = ACTIONS(859),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [142] = {
    [sym_simple_identifier] = STATE(1921),
    [sym__contextual_simple_identifier] = STATE(702),
    [sym__basic_literal] = STATE(1285),
    [sym_boolean_literal] = STATE(1285),
    [sym__string_literal] = STATE(1285),
    [sym_line_string_literal] = STATE(1285),
    [sym_multi_line_string_literal] = STATE(1285),
    [sym_raw_string_literal] = STATE(1285),
    [sym_regex_literal] = STATE(1285),
    [sym__multiline_regex_literal] = STATE(751),
    [sym__type] = STATE(7321),
    [sym__unannotated_type] = STATE(4558),
    [sym_user_type] = STATE(4277),
    [sym__simple_user_type] = STATE(4378),
    [sym_tuple_type] = STATE(4375),
    [sym_function_type] = STATE(4558),
    [sym_array_type] = STATE(4277),
    [sym_dictionary_type] = STATE(4277),
    [sym_optional_type] = STATE(4558),
    [sym_metatype] = STATE(4558),
    [sym_opaque_type] = STATE(4558),
    [sym_existential_type] = STATE(4558),
    [sym_type_parameter_pack] = STATE(4558),
    [sym_type_pack_expansion] = STATE(4558),
    [sym_protocol_composition_type] = STATE(4558),
    [sym__expression] = STATE(1285),
    [sym__unary_expression] = STATE(1285),
    [sym_postfix_expression] = STATE(1285),
    [sym_constructor_expression] = STATE(1285),
    [sym__parenthesized_type] = STATE(4943),
    [sym_navigation_expression] = STATE(1285),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1285),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1285),
    [sym_prefix_expression] = STATE(1285),
    [sym_as_expression] = STATE(1285),
    [sym_selector_expression] = STATE(1285),
    [sym__binary_expression] = STATE(1285),
    [sym_multiplicative_expression] = STATE(1285),
    [sym_additive_expression] = STATE(1285),
    [sym_range_expression] = STATE(1285),
    [sym_infix_expression] = STATE(1285),
    [sym_nil_coalescing_expression] = STATE(1285),
    [sym_check_expression] = STATE(1285),
    [sym_comparison_expression] = STATE(1285),
    [sym_equality_expression] = STATE(1285),
    [sym_conjunction_expression] = STATE(1285),
    [sym_disjunction_expression] = STATE(1285),
    [sym_bitwise_operation] = STATE(1285),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1285),
    [sym_await_expression] = STATE(1285),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym__primary_expression] = STATE(1285),
    [sym_tuple_expression] = STATE(1285),
    [sym_array_literal] = STATE(1285),
    [sym_dictionary_literal] = STATE(1285),
    [sym__dictionary_literal_item] = STATE(6708),
    [sym__special_literal] = STATE(1285),
    [sym__playground_literal] = STATE(1285),
    [sym_lambda_literal] = STATE(1285),
    [sym_self_expression] = STATE(1285),
    [sym_super_expression] = STATE(1285),
    [sym_if_statement] = STATE(1285),
    [sym_switch_statement] = STATE(1285),
    [sym_key_path_expression] = STATE(1285),
    [sym_key_path_string_expression] = STATE(1285),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1285),
    [sym__equality_operator] = STATE(1285),
    [sym__comparison_operator] = STATE(1285),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1285),
    [sym__multiplicative_operator] = STATE(1285),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1285),
    [sym_value_parameter_pack] = STATE(1285),
    [sym_value_pack_expansion] = STATE(1285),
    [sym__referenceable_operator] = STATE(1285),
    [sym__equal_sign] = STATE(1285),
    [sym__eq_eq] = STATE(1285),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym_attribute] = STATE(4365),
    [sym_type_modifiers] = STATE(4093),
    [sym__parameter_ownership_modifier] = STATE(702),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [aux_sym__lambda_type_declaration_repeat1] = STATE(4365),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(767),
    [aux_sym_simple_identifier_token2] = ACTIONS(769),
    [aux_sym_simple_identifier_token3] = ACTIONS(769),
    [aux_sym_simple_identifier_token4] = ACTIONS(769),
    [anon_sym_actor] = ACTIONS(767),
    [anon_sym_async] = ACTIONS(767),
    [anon_sym_each] = ACTIONS(801),
    [anon_sym_lazy] = ACTIONS(767),
    [anon_sym_repeat] = ACTIONS(803),
    [anon_sym_package] = ACTIONS(767),
    [anon_sym_nil] = ACTIONS(867),
    [sym_real_literal] = ACTIONS(869),
    [sym_integer_literal] = ACTIONS(867),
    [sym_hex_literal] = ACTIONS(869),
    [sym_oct_literal] = ACTIONS(869),
    [sym_bin_literal] = ACTIONS(869),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [anon_sym_COMMA] = ACTIONS(871),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_COLON] = ACTIONS(873),
    [anon_sym_LPAREN] = ACTIONS(779),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_RBRACK] = ACTIONS(875),
    [anon_sym_some] = ACTIONS(783),
    [anon_sym_any] = ACTIONS(785),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(867),
    [anon_sym_GT] = ACTIONS(867),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(867),
    [anon_sym_POUNDfileID] = ACTIONS(869),
    [anon_sym_POUNDfilePath] = ACTIONS(869),
    [anon_sym_POUNDline] = ACTIONS(869),
    [anon_sym_POUNDcolumn] = ACTIONS(869),
    [anon_sym_POUNDfunction] = ACTIONS(869),
    [anon_sym_POUNDdsohandle] = ACTIONS(869),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(869),
    [anon_sym_DASH_EQ] = ACTIONS(869),
    [anon_sym_STAR_EQ] = ACTIONS(869),
    [anon_sym_SLASH_EQ] = ACTIONS(869),
    [anon_sym_PERCENT_EQ] = ACTIONS(869),
    [anon_sym_BANG_EQ] = ACTIONS(867),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(869),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(869),
    [anon_sym_LT_EQ] = ACTIONS(869),
    [anon_sym_GT_EQ] = ACTIONS(869),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(867),
    [anon_sym_SLASH] = ACTIONS(867),
    [anon_sym_PERCENT] = ACTIONS(867),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(869),
    [anon_sym_CARET] = ACTIONS(867),
    [anon_sym_LT_LT] = ACTIONS(869),
    [anon_sym_GT_GT] = ACTIONS(869),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_AT] = ACTIONS(829),
    [anon_sym_borrowing] = ACTIONS(767),
    [anon_sym_consuming] = ACTIONS(767),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(869),
    [sym__eq_eq_custom] = ACTIONS(869),
    [sym__plus_then_ws] = ACTIONS(869),
    [sym__minus_then_ws] = ACTIONS(869),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [143] = {
    [sym_simple_identifier] = STATE(1921),
    [sym__contextual_simple_identifier] = STATE(702),
    [sym__basic_literal] = STATE(1295),
    [sym_boolean_literal] = STATE(1295),
    [sym__string_literal] = STATE(1295),
    [sym_line_string_literal] = STATE(1295),
    [sym_multi_line_string_literal] = STATE(1295),
    [sym_raw_string_literal] = STATE(1295),
    [sym_regex_literal] = STATE(1295),
    [sym__multiline_regex_literal] = STATE(751),
    [sym__type] = STATE(7541),
    [sym__unannotated_type] = STATE(4558),
    [sym_user_type] = STATE(4277),
    [sym__simple_user_type] = STATE(4378),
    [sym_tuple_type] = STATE(4375),
    [sym_function_type] = STATE(4558),
    [sym_array_type] = STATE(4277),
    [sym_dictionary_type] = STATE(4277),
    [sym_optional_type] = STATE(4558),
    [sym_metatype] = STATE(4558),
    [sym_opaque_type] = STATE(4558),
    [sym_existential_type] = STATE(4558),
    [sym_type_parameter_pack] = STATE(4558),
    [sym_type_pack_expansion] = STATE(4558),
    [sym_protocol_composition_type] = STATE(4558),
    [sym__expression] = STATE(1295),
    [sym__unary_expression] = STATE(1295),
    [sym_postfix_expression] = STATE(1295),
    [sym_constructor_expression] = STATE(1295),
    [sym__parenthesized_type] = STATE(4943),
    [sym_navigation_expression] = STATE(1295),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1295),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1295),
    [sym_prefix_expression] = STATE(1295),
    [sym_as_expression] = STATE(1295),
    [sym_selector_expression] = STATE(1295),
    [sym__binary_expression] = STATE(1295),
    [sym_multiplicative_expression] = STATE(1295),
    [sym_additive_expression] = STATE(1295),
    [sym_range_expression] = STATE(1295),
    [sym_infix_expression] = STATE(1295),
    [sym_nil_coalescing_expression] = STATE(1295),
    [sym_check_expression] = STATE(1295),
    [sym_comparison_expression] = STATE(1295),
    [sym_equality_expression] = STATE(1295),
    [sym_conjunction_expression] = STATE(1295),
    [sym_disjunction_expression] = STATE(1295),
    [sym_bitwise_operation] = STATE(1295),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1295),
    [sym_await_expression] = STATE(1295),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1295),
    [sym_call_expression] = STATE(1295),
    [sym__primary_expression] = STATE(1295),
    [sym_tuple_expression] = STATE(1295),
    [sym_array_literal] = STATE(1295),
    [sym_dictionary_literal] = STATE(1295),
    [sym__dictionary_literal_item] = STATE(6986),
    [sym__special_literal] = STATE(1295),
    [sym__playground_literal] = STATE(1295),
    [sym_lambda_literal] = STATE(1295),
    [sym_self_expression] = STATE(1295),
    [sym_super_expression] = STATE(1295),
    [sym_if_statement] = STATE(1295),
    [sym_switch_statement] = STATE(1295),
    [sym_key_path_expression] = STATE(1295),
    [sym_key_path_string_expression] = STATE(1295),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1295),
    [sym__equality_operator] = STATE(1295),
    [sym__comparison_operator] = STATE(1295),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1295),
    [sym__multiplicative_operator] = STATE(1295),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1295),
    [sym_value_parameter_pack] = STATE(1295),
    [sym_value_pack_expansion] = STATE(1295),
    [sym__referenceable_operator] = STATE(1295),
    [sym__equal_sign] = STATE(1295),
    [sym__eq_eq] = STATE(1295),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym_attribute] = STATE(4365),
    [sym_type_modifiers] = STATE(4093),
    [sym__parameter_ownership_modifier] = STATE(702),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [aux_sym__lambda_type_declaration_repeat1] = STATE(4365),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(767),
    [aux_sym_simple_identifier_token2] = ACTIONS(769),
    [aux_sym_simple_identifier_token3] = ACTIONS(769),
    [aux_sym_simple_identifier_token4] = ACTIONS(769),
    [anon_sym_actor] = ACTIONS(767),
    [anon_sym_async] = ACTIONS(767),
    [anon_sym_each] = ACTIONS(801),
    [anon_sym_lazy] = ACTIONS(767),
    [anon_sym_repeat] = ACTIONS(803),
    [anon_sym_package] = ACTIONS(767),
    [anon_sym_nil] = ACTIONS(877),
    [sym_real_literal] = ACTIONS(879),
    [sym_integer_literal] = ACTIONS(877),
    [sym_hex_literal] = ACTIONS(879),
    [sym_oct_literal] = ACTIONS(879),
    [sym_bin_literal] = ACTIONS(879),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [anon_sym_COMMA] = ACTIONS(881),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_COLON] = ACTIONS(883),
    [anon_sym_LPAREN] = ACTIONS(779),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_RBRACK] = ACTIONS(885),
    [anon_sym_some] = ACTIONS(783),
    [anon_sym_any] = ACTIONS(785),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(877),
    [anon_sym_GT] = ACTIONS(877),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(877),
    [anon_sym_POUNDfileID] = ACTIONS(879),
    [anon_sym_POUNDfilePath] = ACTIONS(879),
    [anon_sym_POUNDline] = ACTIONS(879),
    [anon_sym_POUNDcolumn] = ACTIONS(879),
    [anon_sym_POUNDfunction] = ACTIONS(879),
    [anon_sym_POUNDdsohandle] = ACTIONS(879),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(879),
    [anon_sym_DASH_EQ] = ACTIONS(879),
    [anon_sym_STAR_EQ] = ACTIONS(879),
    [anon_sym_SLASH_EQ] = ACTIONS(879),
    [anon_sym_PERCENT_EQ] = ACTIONS(879),
    [anon_sym_BANG_EQ] = ACTIONS(877),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(879),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(879),
    [anon_sym_LT_EQ] = ACTIONS(879),
    [anon_sym_GT_EQ] = ACTIONS(879),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(877),
    [anon_sym_SLASH] = ACTIONS(877),
    [anon_sym_PERCENT] = ACTIONS(877),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(879),
    [anon_sym_CARET] = ACTIONS(877),
    [anon_sym_LT_LT] = ACTIONS(879),
    [anon_sym_GT_GT] = ACTIONS(879),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_AT] = ACTIONS(829),
    [anon_sym_borrowing] = ACTIONS(767),
    [anon_sym_consuming] = ACTIONS(767),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(879),
    [sym__eq_eq_custom] = ACTIONS(879),
    [sym__plus_then_ws] = ACTIONS(879),
    [sym__minus_then_ws] = ACTIONS(879),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [144] = {
    [sym_simple_identifier] = STATE(1921),
    [sym__contextual_simple_identifier] = STATE(702),
    [sym__basic_literal] = STATE(1290),
    [sym_boolean_literal] = STATE(1290),
    [sym__string_literal] = STATE(1290),
    [sym_line_string_literal] = STATE(1290),
    [sym_multi_line_string_literal] = STATE(1290),
    [sym_raw_string_literal] = STATE(1290),
    [sym_regex_literal] = STATE(1290),
    [sym__multiline_regex_literal] = STATE(751),
    [sym__type] = STATE(7541),
    [sym__unannotated_type] = STATE(4558),
    [sym_user_type] = STATE(4277),
    [sym__simple_user_type] = STATE(4378),
    [sym_tuple_type] = STATE(4375),
    [sym_function_type] = STATE(4558),
    [sym_array_type] = STATE(4277),
    [sym_dictionary_type] = STATE(4277),
    [sym_optional_type] = STATE(4558),
    [sym_metatype] = STATE(4558),
    [sym_opaque_type] = STATE(4558),
    [sym_existential_type] = STATE(4558),
    [sym_type_parameter_pack] = STATE(4558),
    [sym_type_pack_expansion] = STATE(4558),
    [sym_protocol_composition_type] = STATE(4558),
    [sym__expression] = STATE(1290),
    [sym__unary_expression] = STATE(1290),
    [sym_postfix_expression] = STATE(1290),
    [sym_constructor_expression] = STATE(1290),
    [sym__parenthesized_type] = STATE(4943),
    [sym_navigation_expression] = STATE(1290),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1290),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1290),
    [sym_prefix_expression] = STATE(1290),
    [sym_as_expression] = STATE(1290),
    [sym_selector_expression] = STATE(1290),
    [sym__binary_expression] = STATE(1290),
    [sym_multiplicative_expression] = STATE(1290),
    [sym_additive_expression] = STATE(1290),
    [sym_range_expression] = STATE(1290),
    [sym_infix_expression] = STATE(1290),
    [sym_nil_coalescing_expression] = STATE(1290),
    [sym_check_expression] = STATE(1290),
    [sym_comparison_expression] = STATE(1290),
    [sym_equality_expression] = STATE(1290),
    [sym_conjunction_expression] = STATE(1290),
    [sym_disjunction_expression] = STATE(1290),
    [sym_bitwise_operation] = STATE(1290),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1290),
    [sym_await_expression] = STATE(1290),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1290),
    [sym_call_expression] = STATE(1290),
    [sym__primary_expression] = STATE(1290),
    [sym_tuple_expression] = STATE(1290),
    [sym_array_literal] = STATE(1290),
    [sym_dictionary_literal] = STATE(1290),
    [sym__dictionary_literal_item] = STATE(6585),
    [sym__special_literal] = STATE(1290),
    [sym__playground_literal] = STATE(1290),
    [sym_lambda_literal] = STATE(1290),
    [sym_self_expression] = STATE(1290),
    [sym_super_expression] = STATE(1290),
    [sym_if_statement] = STATE(1290),
    [sym_switch_statement] = STATE(1290),
    [sym_key_path_expression] = STATE(1290),
    [sym_key_path_string_expression] = STATE(1290),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1290),
    [sym__equality_operator] = STATE(1290),
    [sym__comparison_operator] = STATE(1290),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1290),
    [sym__multiplicative_operator] = STATE(1290),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1290),
    [sym_value_parameter_pack] = STATE(1290),
    [sym_value_pack_expansion] = STATE(1290),
    [sym__referenceable_operator] = STATE(1290),
    [sym__equal_sign] = STATE(1290),
    [sym__eq_eq] = STATE(1290),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym_attribute] = STATE(4365),
    [sym_type_modifiers] = STATE(4093),
    [sym__parameter_ownership_modifier] = STATE(702),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [aux_sym__lambda_type_declaration_repeat1] = STATE(4365),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(767),
    [aux_sym_simple_identifier_token2] = ACTIONS(769),
    [aux_sym_simple_identifier_token3] = ACTIONS(769),
    [aux_sym_simple_identifier_token4] = ACTIONS(769),
    [anon_sym_actor] = ACTIONS(767),
    [anon_sym_async] = ACTIONS(767),
    [anon_sym_each] = ACTIONS(801),
    [anon_sym_lazy] = ACTIONS(767),
    [anon_sym_repeat] = ACTIONS(803),
    [anon_sym_package] = ACTIONS(767),
    [anon_sym_nil] = ACTIONS(887),
    [sym_real_literal] = ACTIONS(889),
    [sym_integer_literal] = ACTIONS(887),
    [sym_hex_literal] = ACTIONS(889),
    [sym_oct_literal] = ACTIONS(889),
    [sym_bin_literal] = ACTIONS(889),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [anon_sym_COMMA] = ACTIONS(891),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_COLON] = ACTIONS(893),
    [anon_sym_LPAREN] = ACTIONS(779),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_RBRACK] = ACTIONS(895),
    [anon_sym_some] = ACTIONS(783),
    [anon_sym_any] = ACTIONS(785),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(887),
    [anon_sym_GT] = ACTIONS(887),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(887),
    [anon_sym_POUNDfileID] = ACTIONS(889),
    [anon_sym_POUNDfilePath] = ACTIONS(889),
    [anon_sym_POUNDline] = ACTIONS(889),
    [anon_sym_POUNDcolumn] = ACTIONS(889),
    [anon_sym_POUNDfunction] = ACTIONS(889),
    [anon_sym_POUNDdsohandle] = ACTIONS(889),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(889),
    [anon_sym_DASH_EQ] = ACTIONS(889),
    [anon_sym_STAR_EQ] = ACTIONS(889),
    [anon_sym_SLASH_EQ] = ACTIONS(889),
    [anon_sym_PERCENT_EQ] = ACTIONS(889),
    [anon_sym_BANG_EQ] = ACTIONS(887),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(889),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(889),
    [anon_sym_LT_EQ] = ACTIONS(889),
    [anon_sym_GT_EQ] = ACTIONS(889),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(887),
    [anon_sym_SLASH] = ACTIONS(887),
    [anon_sym_PERCENT] = ACTIONS(887),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(889),
    [anon_sym_CARET] = ACTIONS(887),
    [anon_sym_LT_LT] = ACTIONS(889),
    [anon_sym_GT_GT] = ACTIONS(889),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_AT] = ACTIONS(829),
    [anon_sym_borrowing] = ACTIONS(767),
    [anon_sym_consuming] = ACTIONS(767),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(889),
    [sym__eq_eq_custom] = ACTIONS(889),
    [sym__plus_then_ws] = ACTIONS(889),
    [sym__minus_then_ws] = ACTIONS(889),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [145] = {
    [sym_simple_identifier] = STATE(1921),
    [sym__contextual_simple_identifier] = STATE(702),
    [sym__basic_literal] = STATE(1281),
    [sym_boolean_literal] = STATE(1281),
    [sym__string_literal] = STATE(1281),
    [sym_line_string_literal] = STATE(1281),
    [sym_multi_line_string_literal] = STATE(1281),
    [sym_raw_string_literal] = STATE(1281),
    [sym_regex_literal] = STATE(1281),
    [sym__multiline_regex_literal] = STATE(751),
    [sym__type] = STATE(7541),
    [sym__unannotated_type] = STATE(4558),
    [sym_user_type] = STATE(4277),
    [sym__simple_user_type] = STATE(4378),
    [sym_tuple_type] = STATE(4375),
    [sym_function_type] = STATE(4558),
    [sym_array_type] = STATE(4277),
    [sym_dictionary_type] = STATE(4277),
    [sym_optional_type] = STATE(4558),
    [sym_metatype] = STATE(4558),
    [sym_opaque_type] = STATE(4558),
    [sym_existential_type] = STATE(4558),
    [sym_type_parameter_pack] = STATE(4558),
    [sym_type_pack_expansion] = STATE(4558),
    [sym_protocol_composition_type] = STATE(4558),
    [sym__expression] = STATE(1281),
    [sym__unary_expression] = STATE(1281),
    [sym_postfix_expression] = STATE(1281),
    [sym_constructor_expression] = STATE(1281),
    [sym__parenthesized_type] = STATE(4943),
    [sym_navigation_expression] = STATE(1281),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1281),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1281),
    [sym_prefix_expression] = STATE(1281),
    [sym_as_expression] = STATE(1281),
    [sym_selector_expression] = STATE(1281),
    [sym__binary_expression] = STATE(1281),
    [sym_multiplicative_expression] = STATE(1281),
    [sym_additive_expression] = STATE(1281),
    [sym_range_expression] = STATE(1281),
    [sym_infix_expression] = STATE(1281),
    [sym_nil_coalescing_expression] = STATE(1281),
    [sym_check_expression] = STATE(1281),
    [sym_comparison_expression] = STATE(1281),
    [sym_equality_expression] = STATE(1281),
    [sym_conjunction_expression] = STATE(1281),
    [sym_disjunction_expression] = STATE(1281),
    [sym_bitwise_operation] = STATE(1281),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1281),
    [sym_await_expression] = STATE(1281),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1281),
    [sym_call_expression] = STATE(1281),
    [sym__primary_expression] = STATE(1281),
    [sym_tuple_expression] = STATE(1281),
    [sym_array_literal] = STATE(1281),
    [sym_dictionary_literal] = STATE(1281),
    [sym__dictionary_literal_item] = STATE(7018),
    [sym__special_literal] = STATE(1281),
    [sym__playground_literal] = STATE(1281),
    [sym_lambda_literal] = STATE(1281),
    [sym_self_expression] = STATE(1281),
    [sym_super_expression] = STATE(1281),
    [sym_if_statement] = STATE(1281),
    [sym_switch_statement] = STATE(1281),
    [sym_key_path_expression] = STATE(1281),
    [sym_key_path_string_expression] = STATE(1281),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1281),
    [sym__equality_operator] = STATE(1281),
    [sym__comparison_operator] = STATE(1281),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1281),
    [sym__multiplicative_operator] = STATE(1281),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1281),
    [sym_value_parameter_pack] = STATE(1281),
    [sym_value_pack_expansion] = STATE(1281),
    [sym__referenceable_operator] = STATE(1281),
    [sym__equal_sign] = STATE(1281),
    [sym__eq_eq] = STATE(1281),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym_attribute] = STATE(4365),
    [sym_type_modifiers] = STATE(4093),
    [sym__parameter_ownership_modifier] = STATE(702),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [aux_sym__lambda_type_declaration_repeat1] = STATE(4365),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(767),
    [aux_sym_simple_identifier_token2] = ACTIONS(769),
    [aux_sym_simple_identifier_token3] = ACTIONS(769),
    [aux_sym_simple_identifier_token4] = ACTIONS(769),
    [anon_sym_actor] = ACTIONS(767),
    [anon_sym_async] = ACTIONS(767),
    [anon_sym_each] = ACTIONS(801),
    [anon_sym_lazy] = ACTIONS(767),
    [anon_sym_repeat] = ACTIONS(803),
    [anon_sym_package] = ACTIONS(767),
    [anon_sym_nil] = ACTIONS(897),
    [sym_real_literal] = ACTIONS(899),
    [sym_integer_literal] = ACTIONS(897),
    [sym_hex_literal] = ACTIONS(899),
    [sym_oct_literal] = ACTIONS(899),
    [sym_bin_literal] = ACTIONS(899),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [anon_sym_COMMA] = ACTIONS(901),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_COLON] = ACTIONS(903),
    [anon_sym_LPAREN] = ACTIONS(779),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_RBRACK] = ACTIONS(905),
    [anon_sym_some] = ACTIONS(783),
    [anon_sym_any] = ACTIONS(785),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(897),
    [anon_sym_GT] = ACTIONS(897),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(897),
    [anon_sym_POUNDfileID] = ACTIONS(899),
    [anon_sym_POUNDfilePath] = ACTIONS(899),
    [anon_sym_POUNDline] = ACTIONS(899),
    [anon_sym_POUNDcolumn] = ACTIONS(899),
    [anon_sym_POUNDfunction] = ACTIONS(899),
    [anon_sym_POUNDdsohandle] = ACTIONS(899),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(899),
    [anon_sym_DASH_EQ] = ACTIONS(899),
    [anon_sym_STAR_EQ] = ACTIONS(899),
    [anon_sym_SLASH_EQ] = ACTIONS(899),
    [anon_sym_PERCENT_EQ] = ACTIONS(899),
    [anon_sym_BANG_EQ] = ACTIONS(897),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(899),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(899),
    [anon_sym_LT_EQ] = ACTIONS(899),
    [anon_sym_GT_EQ] = ACTIONS(899),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(897),
    [anon_sym_SLASH] = ACTIONS(897),
    [anon_sym_PERCENT] = ACTIONS(897),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(899),
    [anon_sym_CARET] = ACTIONS(897),
    [anon_sym_LT_LT] = ACTIONS(899),
    [anon_sym_GT_GT] = ACTIONS(899),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_AT] = ACTIONS(829),
    [anon_sym_borrowing] = ACTIONS(767),
    [anon_sym_consuming] = ACTIONS(767),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(899),
    [sym__eq_eq_custom] = ACTIONS(899),
    [sym__plus_then_ws] = ACTIONS(899),
    [sym__minus_then_ws] = ACTIONS(899),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [146] = {
    [sym_simple_identifier] = STATE(1921),
    [sym__contextual_simple_identifier] = STATE(702),
    [sym__basic_literal] = STATE(1285),
    [sym_boolean_literal] = STATE(1285),
    [sym__string_literal] = STATE(1285),
    [sym_line_string_literal] = STATE(1285),
    [sym_multi_line_string_literal] = STATE(1285),
    [sym_raw_string_literal] = STATE(1285),
    [sym_regex_literal] = STATE(1285),
    [sym__multiline_regex_literal] = STATE(751),
    [sym__type] = STATE(7541),
    [sym__unannotated_type] = STATE(4558),
    [sym_user_type] = STATE(4277),
    [sym__simple_user_type] = STATE(4378),
    [sym_tuple_type] = STATE(4375),
    [sym_function_type] = STATE(4558),
    [sym_array_type] = STATE(4277),
    [sym_dictionary_type] = STATE(4277),
    [sym_optional_type] = STATE(4558),
    [sym_metatype] = STATE(4558),
    [sym_opaque_type] = STATE(4558),
    [sym_existential_type] = STATE(4558),
    [sym_type_parameter_pack] = STATE(4558),
    [sym_type_pack_expansion] = STATE(4558),
    [sym_protocol_composition_type] = STATE(4558),
    [sym__expression] = STATE(1285),
    [sym__unary_expression] = STATE(1285),
    [sym_postfix_expression] = STATE(1285),
    [sym_constructor_expression] = STATE(1285),
    [sym__parenthesized_type] = STATE(4943),
    [sym_navigation_expression] = STATE(1285),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1285),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1285),
    [sym_prefix_expression] = STATE(1285),
    [sym_as_expression] = STATE(1285),
    [sym_selector_expression] = STATE(1285),
    [sym__binary_expression] = STATE(1285),
    [sym_multiplicative_expression] = STATE(1285),
    [sym_additive_expression] = STATE(1285),
    [sym_range_expression] = STATE(1285),
    [sym_infix_expression] = STATE(1285),
    [sym_nil_coalescing_expression] = STATE(1285),
    [sym_check_expression] = STATE(1285),
    [sym_comparison_expression] = STATE(1285),
    [sym_equality_expression] = STATE(1285),
    [sym_conjunction_expression] = STATE(1285),
    [sym_disjunction_expression] = STATE(1285),
    [sym_bitwise_operation] = STATE(1285),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1285),
    [sym_await_expression] = STATE(1285),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym__primary_expression] = STATE(1285),
    [sym_tuple_expression] = STATE(1285),
    [sym_array_literal] = STATE(1285),
    [sym_dictionary_literal] = STATE(1285),
    [sym__dictionary_literal_item] = STATE(6708),
    [sym__special_literal] = STATE(1285),
    [sym__playground_literal] = STATE(1285),
    [sym_lambda_literal] = STATE(1285),
    [sym_self_expression] = STATE(1285),
    [sym_super_expression] = STATE(1285),
    [sym_if_statement] = STATE(1285),
    [sym_switch_statement] = STATE(1285),
    [sym_key_path_expression] = STATE(1285),
    [sym_key_path_string_expression] = STATE(1285),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1285),
    [sym__equality_operator] = STATE(1285),
    [sym__comparison_operator] = STATE(1285),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1285),
    [sym__multiplicative_operator] = STATE(1285),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1285),
    [sym_value_parameter_pack] = STATE(1285),
    [sym_value_pack_expansion] = STATE(1285),
    [sym__referenceable_operator] = STATE(1285),
    [sym__equal_sign] = STATE(1285),
    [sym__eq_eq] = STATE(1285),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym_attribute] = STATE(4365),
    [sym_type_modifiers] = STATE(4093),
    [sym__parameter_ownership_modifier] = STATE(702),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [aux_sym__lambda_type_declaration_repeat1] = STATE(4365),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(767),
    [aux_sym_simple_identifier_token2] = ACTIONS(769),
    [aux_sym_simple_identifier_token3] = ACTIONS(769),
    [aux_sym_simple_identifier_token4] = ACTIONS(769),
    [anon_sym_actor] = ACTIONS(767),
    [anon_sym_async] = ACTIONS(767),
    [anon_sym_each] = ACTIONS(801),
    [anon_sym_lazy] = ACTIONS(767),
    [anon_sym_repeat] = ACTIONS(803),
    [anon_sym_package] = ACTIONS(767),
    [anon_sym_nil] = ACTIONS(867),
    [sym_real_literal] = ACTIONS(869),
    [sym_integer_literal] = ACTIONS(867),
    [sym_hex_literal] = ACTIONS(869),
    [sym_oct_literal] = ACTIONS(869),
    [sym_bin_literal] = ACTIONS(869),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [anon_sym_COMMA] = ACTIONS(871),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_COLON] = ACTIONS(873),
    [anon_sym_LPAREN] = ACTIONS(779),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_RBRACK] = ACTIONS(875),
    [anon_sym_some] = ACTIONS(783),
    [anon_sym_any] = ACTIONS(785),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(867),
    [anon_sym_GT] = ACTIONS(867),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(867),
    [anon_sym_POUNDfileID] = ACTIONS(869),
    [anon_sym_POUNDfilePath] = ACTIONS(869),
    [anon_sym_POUNDline] = ACTIONS(869),
    [anon_sym_POUNDcolumn] = ACTIONS(869),
    [anon_sym_POUNDfunction] = ACTIONS(869),
    [anon_sym_POUNDdsohandle] = ACTIONS(869),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(869),
    [anon_sym_DASH_EQ] = ACTIONS(869),
    [anon_sym_STAR_EQ] = ACTIONS(869),
    [anon_sym_SLASH_EQ] = ACTIONS(869),
    [anon_sym_PERCENT_EQ] = ACTIONS(869),
    [anon_sym_BANG_EQ] = ACTIONS(867),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(869),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(869),
    [anon_sym_LT_EQ] = ACTIONS(869),
    [anon_sym_GT_EQ] = ACTIONS(869),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(867),
    [anon_sym_SLASH] = ACTIONS(867),
    [anon_sym_PERCENT] = ACTIONS(867),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(869),
    [anon_sym_CARET] = ACTIONS(867),
    [anon_sym_LT_LT] = ACTIONS(869),
    [anon_sym_GT_GT] = ACTIONS(869),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_AT] = ACTIONS(829),
    [anon_sym_borrowing] = ACTIONS(767),
    [anon_sym_consuming] = ACTIONS(767),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(869),
    [sym__eq_eq_custom] = ACTIONS(869),
    [sym__plus_then_ws] = ACTIONS(869),
    [sym__minus_then_ws] = ACTIONS(869),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [147] = {
    [sym_simple_identifier] = STATE(1921),
    [sym__contextual_simple_identifier] = STATE(702),
    [sym__basic_literal] = STATE(1312),
    [sym_boolean_literal] = STATE(1312),
    [sym__string_literal] = STATE(1312),
    [sym_line_string_literal] = STATE(1312),
    [sym_multi_line_string_literal] = STATE(1312),
    [sym_raw_string_literal] = STATE(1312),
    [sym_regex_literal] = STATE(1312),
    [sym__multiline_regex_literal] = STATE(751),
    [sym__type] = STATE(7541),
    [sym__unannotated_type] = STATE(4558),
    [sym_user_type] = STATE(4277),
    [sym__simple_user_type] = STATE(4378),
    [sym_tuple_type] = STATE(4375),
    [sym_function_type] = STATE(4558),
    [sym_array_type] = STATE(4277),
    [sym_dictionary_type] = STATE(4277),
    [sym_optional_type] = STATE(4558),
    [sym_metatype] = STATE(4558),
    [sym_opaque_type] = STATE(4558),
    [sym_existential_type] = STATE(4558),
    [sym_type_parameter_pack] = STATE(4558),
    [sym_type_pack_expansion] = STATE(4558),
    [sym_protocol_composition_type] = STATE(4558),
    [sym__expression] = STATE(1312),
    [sym__unary_expression] = STATE(1312),
    [sym_postfix_expression] = STATE(1312),
    [sym_constructor_expression] = STATE(1312),
    [sym__parenthesized_type] = STATE(4943),
    [sym_navigation_expression] = STATE(1312),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1312),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1312),
    [sym_prefix_expression] = STATE(1312),
    [sym_as_expression] = STATE(1312),
    [sym_selector_expression] = STATE(1312),
    [sym__binary_expression] = STATE(1312),
    [sym_multiplicative_expression] = STATE(1312),
    [sym_additive_expression] = STATE(1312),
    [sym_range_expression] = STATE(1312),
    [sym_infix_expression] = STATE(1312),
    [sym_nil_coalescing_expression] = STATE(1312),
    [sym_check_expression] = STATE(1312),
    [sym_comparison_expression] = STATE(1312),
    [sym_equality_expression] = STATE(1312),
    [sym_conjunction_expression] = STATE(1312),
    [sym_disjunction_expression] = STATE(1312),
    [sym_bitwise_operation] = STATE(1312),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1312),
    [sym_await_expression] = STATE(1312),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym__primary_expression] = STATE(1312),
    [sym_tuple_expression] = STATE(1312),
    [sym_array_literal] = STATE(1312),
    [sym_dictionary_literal] = STATE(1312),
    [sym__dictionary_literal_item] = STATE(6497),
    [sym__special_literal] = STATE(1312),
    [sym__playground_literal] = STATE(1312),
    [sym_lambda_literal] = STATE(1312),
    [sym_self_expression] = STATE(1312),
    [sym_super_expression] = STATE(1312),
    [sym_if_statement] = STATE(1312),
    [sym_switch_statement] = STATE(1312),
    [sym_key_path_expression] = STATE(1312),
    [sym_key_path_string_expression] = STATE(1312),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1312),
    [sym__equality_operator] = STATE(1312),
    [sym__comparison_operator] = STATE(1312),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1312),
    [sym__multiplicative_operator] = STATE(1312),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1312),
    [sym_value_parameter_pack] = STATE(1312),
    [sym_value_pack_expansion] = STATE(1312),
    [sym__referenceable_operator] = STATE(1312),
    [sym__equal_sign] = STATE(1312),
    [sym__eq_eq] = STATE(1312),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym_attribute] = STATE(4365),
    [sym_type_modifiers] = STATE(4093),
    [sym__parameter_ownership_modifier] = STATE(702),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [aux_sym__lambda_type_declaration_repeat1] = STATE(4365),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(767),
    [aux_sym_simple_identifier_token2] = ACTIONS(769),
    [aux_sym_simple_identifier_token3] = ACTIONS(769),
    [aux_sym_simple_identifier_token4] = ACTIONS(769),
    [anon_sym_actor] = ACTIONS(767),
    [anon_sym_async] = ACTIONS(767),
    [anon_sym_each] = ACTIONS(801),
    [anon_sym_lazy] = ACTIONS(767),
    [anon_sym_repeat] = ACTIONS(803),
    [anon_sym_package] = ACTIONS(767),
    [anon_sym_nil] = ACTIONS(907),
    [sym_real_literal] = ACTIONS(909),
    [sym_integer_literal] = ACTIONS(907),
    [sym_hex_literal] = ACTIONS(909),
    [sym_oct_literal] = ACTIONS(909),
    [sym_bin_literal] = ACTIONS(909),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [anon_sym_COMMA] = ACTIONS(911),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_COLON] = ACTIONS(913),
    [anon_sym_LPAREN] = ACTIONS(779),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_RBRACK] = ACTIONS(915),
    [anon_sym_some] = ACTIONS(783),
    [anon_sym_any] = ACTIONS(785),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(907),
    [anon_sym_GT] = ACTIONS(907),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(907),
    [anon_sym_POUNDfileID] = ACTIONS(909),
    [anon_sym_POUNDfilePath] = ACTIONS(909),
    [anon_sym_POUNDline] = ACTIONS(909),
    [anon_sym_POUNDcolumn] = ACTIONS(909),
    [anon_sym_POUNDfunction] = ACTIONS(909),
    [anon_sym_POUNDdsohandle] = ACTIONS(909),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(909),
    [anon_sym_DASH_EQ] = ACTIONS(909),
    [anon_sym_STAR_EQ] = ACTIONS(909),
    [anon_sym_SLASH_EQ] = ACTIONS(909),
    [anon_sym_PERCENT_EQ] = ACTIONS(909),
    [anon_sym_BANG_EQ] = ACTIONS(907),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(909),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(909),
    [anon_sym_LT_EQ] = ACTIONS(909),
    [anon_sym_GT_EQ] = ACTIONS(909),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(907),
    [anon_sym_SLASH] = ACTIONS(907),
    [anon_sym_PERCENT] = ACTIONS(907),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(909),
    [anon_sym_CARET] = ACTIONS(907),
    [anon_sym_LT_LT] = ACTIONS(909),
    [anon_sym_GT_GT] = ACTIONS(909),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_AT] = ACTIONS(829),
    [anon_sym_borrowing] = ACTIONS(767),
    [anon_sym_consuming] = ACTIONS(767),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(909),
    [sym__eq_eq_custom] = ACTIONS(909),
    [sym__plus_then_ws] = ACTIONS(909),
    [sym__minus_then_ws] = ACTIONS(909),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [148] = {
    [sym_simple_identifier] = STATE(1921),
    [sym__contextual_simple_identifier] = STATE(702),
    [sym__basic_literal] = STATE(1293),
    [sym_boolean_literal] = STATE(1293),
    [sym__string_literal] = STATE(1293),
    [sym_line_string_literal] = STATE(1293),
    [sym_multi_line_string_literal] = STATE(1293),
    [sym_raw_string_literal] = STATE(1293),
    [sym_regex_literal] = STATE(1293),
    [sym__multiline_regex_literal] = STATE(751),
    [sym__type] = STATE(7541),
    [sym__unannotated_type] = STATE(4558),
    [sym_user_type] = STATE(4277),
    [sym__simple_user_type] = STATE(4378),
    [sym_tuple_type] = STATE(4375),
    [sym_function_type] = STATE(4558),
    [sym_array_type] = STATE(4277),
    [sym_dictionary_type] = STATE(4277),
    [sym_optional_type] = STATE(4558),
    [sym_metatype] = STATE(4558),
    [sym_opaque_type] = STATE(4558),
    [sym_existential_type] = STATE(4558),
    [sym_type_parameter_pack] = STATE(4558),
    [sym_type_pack_expansion] = STATE(4558),
    [sym_protocol_composition_type] = STATE(4558),
    [sym__expression] = STATE(1293),
    [sym__unary_expression] = STATE(1293),
    [sym_postfix_expression] = STATE(1293),
    [sym_constructor_expression] = STATE(1293),
    [sym__parenthesized_type] = STATE(4943),
    [sym_navigation_expression] = STATE(1293),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1293),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1293),
    [sym_prefix_expression] = STATE(1293),
    [sym_as_expression] = STATE(1293),
    [sym_selector_expression] = STATE(1293),
    [sym__binary_expression] = STATE(1293),
    [sym_multiplicative_expression] = STATE(1293),
    [sym_additive_expression] = STATE(1293),
    [sym_range_expression] = STATE(1293),
    [sym_infix_expression] = STATE(1293),
    [sym_nil_coalescing_expression] = STATE(1293),
    [sym_check_expression] = STATE(1293),
    [sym_comparison_expression] = STATE(1293),
    [sym_equality_expression] = STATE(1293),
    [sym_conjunction_expression] = STATE(1293),
    [sym_disjunction_expression] = STATE(1293),
    [sym_bitwise_operation] = STATE(1293),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1293),
    [sym_call_expression] = STATE(1293),
    [sym__primary_expression] = STATE(1293),
    [sym_tuple_expression] = STATE(1293),
    [sym_array_literal] = STATE(1293),
    [sym_dictionary_literal] = STATE(1293),
    [sym__dictionary_literal_item] = STATE(6718),
    [sym__special_literal] = STATE(1293),
    [sym__playground_literal] = STATE(1293),
    [sym_lambda_literal] = STATE(1293),
    [sym_self_expression] = STATE(1293),
    [sym_super_expression] = STATE(1293),
    [sym_if_statement] = STATE(1293),
    [sym_switch_statement] = STATE(1293),
    [sym_key_path_expression] = STATE(1293),
    [sym_key_path_string_expression] = STATE(1293),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1293),
    [sym__equality_operator] = STATE(1293),
    [sym__comparison_operator] = STATE(1293),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1293),
    [sym__multiplicative_operator] = STATE(1293),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1293),
    [sym_value_parameter_pack] = STATE(1293),
    [sym_value_pack_expansion] = STATE(1293),
    [sym__referenceable_operator] = STATE(1293),
    [sym__equal_sign] = STATE(1293),
    [sym__eq_eq] = STATE(1293),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym_attribute] = STATE(4365),
    [sym_type_modifiers] = STATE(4093),
    [sym__parameter_ownership_modifier] = STATE(702),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [aux_sym__lambda_type_declaration_repeat1] = STATE(4365),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(767),
    [aux_sym_simple_identifier_token2] = ACTIONS(769),
    [aux_sym_simple_identifier_token3] = ACTIONS(769),
    [aux_sym_simple_identifier_token4] = ACTIONS(769),
    [anon_sym_actor] = ACTIONS(767),
    [anon_sym_async] = ACTIONS(767),
    [anon_sym_each] = ACTIONS(801),
    [anon_sym_lazy] = ACTIONS(767),
    [anon_sym_repeat] = ACTIONS(803),
    [anon_sym_package] = ACTIONS(767),
    [anon_sym_nil] = ACTIONS(917),
    [sym_real_literal] = ACTIONS(919),
    [sym_integer_literal] = ACTIONS(917),
    [sym_hex_literal] = ACTIONS(919),
    [sym_oct_literal] = ACTIONS(919),
    [sym_bin_literal] = ACTIONS(919),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [anon_sym_COMMA] = ACTIONS(921),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_COLON] = ACTIONS(923),
    [anon_sym_LPAREN] = ACTIONS(779),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_RBRACK] = ACTIONS(925),
    [anon_sym_some] = ACTIONS(783),
    [anon_sym_any] = ACTIONS(785),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(917),
    [anon_sym_GT] = ACTIONS(917),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(917),
    [anon_sym_POUNDfileID] = ACTIONS(919),
    [anon_sym_POUNDfilePath] = ACTIONS(919),
    [anon_sym_POUNDline] = ACTIONS(919),
    [anon_sym_POUNDcolumn] = ACTIONS(919),
    [anon_sym_POUNDfunction] = ACTIONS(919),
    [anon_sym_POUNDdsohandle] = ACTIONS(919),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(919),
    [anon_sym_DASH_EQ] = ACTIONS(919),
    [anon_sym_STAR_EQ] = ACTIONS(919),
    [anon_sym_SLASH_EQ] = ACTIONS(919),
    [anon_sym_PERCENT_EQ] = ACTIONS(919),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(919),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(919),
    [anon_sym_LT_EQ] = ACTIONS(919),
    [anon_sym_GT_EQ] = ACTIONS(919),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(917),
    [anon_sym_SLASH] = ACTIONS(917),
    [anon_sym_PERCENT] = ACTIONS(917),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(919),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(919),
    [anon_sym_GT_GT] = ACTIONS(919),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_AT] = ACTIONS(829),
    [anon_sym_borrowing] = ACTIONS(767),
    [anon_sym_consuming] = ACTIONS(767),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(919),
    [sym__eq_eq_custom] = ACTIONS(919),
    [sym__plus_then_ws] = ACTIONS(919),
    [sym__minus_then_ws] = ACTIONS(919),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [149] = {
    [sym_simple_identifier] = STATE(1921),
    [sym__contextual_simple_identifier] = STATE(702),
    [sym__basic_literal] = STATE(1292),
    [sym_boolean_literal] = STATE(1292),
    [sym__string_literal] = STATE(1292),
    [sym_line_string_literal] = STATE(1292),
    [sym_multi_line_string_literal] = STATE(1292),
    [sym_raw_string_literal] = STATE(1292),
    [sym_regex_literal] = STATE(1292),
    [sym__multiline_regex_literal] = STATE(751),
    [sym__type] = STATE(7541),
    [sym__unannotated_type] = STATE(4558),
    [sym_user_type] = STATE(4277),
    [sym__simple_user_type] = STATE(4378),
    [sym_tuple_type] = STATE(4375),
    [sym_function_type] = STATE(4558),
    [sym_array_type] = STATE(4277),
    [sym_dictionary_type] = STATE(4277),
    [sym_optional_type] = STATE(4558),
    [sym_metatype] = STATE(4558),
    [sym_opaque_type] = STATE(4558),
    [sym_existential_type] = STATE(4558),
    [sym_type_parameter_pack] = STATE(4558),
    [sym_type_pack_expansion] = STATE(4558),
    [sym_protocol_composition_type] = STATE(4558),
    [sym__expression] = STATE(1292),
    [sym__unary_expression] = STATE(1292),
    [sym_postfix_expression] = STATE(1292),
    [sym_constructor_expression] = STATE(1292),
    [sym__parenthesized_type] = STATE(4943),
    [sym_navigation_expression] = STATE(1292),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1292),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1292),
    [sym_prefix_expression] = STATE(1292),
    [sym_as_expression] = STATE(1292),
    [sym_selector_expression] = STATE(1292),
    [sym__binary_expression] = STATE(1292),
    [sym_multiplicative_expression] = STATE(1292),
    [sym_additive_expression] = STATE(1292),
    [sym_range_expression] = STATE(1292),
    [sym_infix_expression] = STATE(1292),
    [sym_nil_coalescing_expression] = STATE(1292),
    [sym_check_expression] = STATE(1292),
    [sym_comparison_expression] = STATE(1292),
    [sym_equality_expression] = STATE(1292),
    [sym_conjunction_expression] = STATE(1292),
    [sym_disjunction_expression] = STATE(1292),
    [sym_bitwise_operation] = STATE(1292),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1292),
    [sym_call_expression] = STATE(1292),
    [sym__primary_expression] = STATE(1292),
    [sym_tuple_expression] = STATE(1292),
    [sym_array_literal] = STATE(1292),
    [sym_dictionary_literal] = STATE(1292),
    [sym__dictionary_literal_item] = STATE(6500),
    [sym__special_literal] = STATE(1292),
    [sym__playground_literal] = STATE(1292),
    [sym_lambda_literal] = STATE(1292),
    [sym_self_expression] = STATE(1292),
    [sym_super_expression] = STATE(1292),
    [sym_if_statement] = STATE(1292),
    [sym_switch_statement] = STATE(1292),
    [sym_key_path_expression] = STATE(1292),
    [sym_key_path_string_expression] = STATE(1292),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1292),
    [sym__equality_operator] = STATE(1292),
    [sym__comparison_operator] = STATE(1292),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1292),
    [sym__multiplicative_operator] = STATE(1292),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1292),
    [sym_value_parameter_pack] = STATE(1292),
    [sym_value_pack_expansion] = STATE(1292),
    [sym__referenceable_operator] = STATE(1292),
    [sym__equal_sign] = STATE(1292),
    [sym__eq_eq] = STATE(1292),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym_attribute] = STATE(4365),
    [sym_type_modifiers] = STATE(4093),
    [sym__parameter_ownership_modifier] = STATE(702),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [aux_sym__lambda_type_declaration_repeat1] = STATE(4365),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(767),
    [aux_sym_simple_identifier_token2] = ACTIONS(769),
    [aux_sym_simple_identifier_token3] = ACTIONS(769),
    [aux_sym_simple_identifier_token4] = ACTIONS(769),
    [anon_sym_actor] = ACTIONS(767),
    [anon_sym_async] = ACTIONS(767),
    [anon_sym_each] = ACTIONS(801),
    [anon_sym_lazy] = ACTIONS(767),
    [anon_sym_repeat] = ACTIONS(803),
    [anon_sym_package] = ACTIONS(767),
    [anon_sym_nil] = ACTIONS(819),
    [sym_real_literal] = ACTIONS(821),
    [sym_integer_literal] = ACTIONS(819),
    [sym_hex_literal] = ACTIONS(821),
    [sym_oct_literal] = ACTIONS(821),
    [sym_bin_literal] = ACTIONS(821),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [anon_sym_COMMA] = ACTIONS(823),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_COLON] = ACTIONS(825),
    [anon_sym_LPAREN] = ACTIONS(779),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_RBRACK] = ACTIONS(827),
    [anon_sym_some] = ACTIONS(783),
    [anon_sym_any] = ACTIONS(785),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(819),
    [anon_sym_GT] = ACTIONS(819),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(819),
    [anon_sym_POUNDfileID] = ACTIONS(821),
    [anon_sym_POUNDfilePath] = ACTIONS(821),
    [anon_sym_POUNDline] = ACTIONS(821),
    [anon_sym_POUNDcolumn] = ACTIONS(821),
    [anon_sym_POUNDfunction] = ACTIONS(821),
    [anon_sym_POUNDdsohandle] = ACTIONS(821),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(821),
    [anon_sym_DASH_EQ] = ACTIONS(821),
    [anon_sym_STAR_EQ] = ACTIONS(821),
    [anon_sym_SLASH_EQ] = ACTIONS(821),
    [anon_sym_PERCENT_EQ] = ACTIONS(821),
    [anon_sym_BANG_EQ] = ACTIONS(819),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(821),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(821),
    [anon_sym_LT_EQ] = ACTIONS(821),
    [anon_sym_GT_EQ] = ACTIONS(821),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(819),
    [anon_sym_SLASH] = ACTIONS(819),
    [anon_sym_PERCENT] = ACTIONS(819),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(821),
    [anon_sym_CARET] = ACTIONS(819),
    [anon_sym_LT_LT] = ACTIONS(821),
    [anon_sym_GT_GT] = ACTIONS(821),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_AT] = ACTIONS(829),
    [anon_sym_borrowing] = ACTIONS(767),
    [anon_sym_consuming] = ACTIONS(767),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(821),
    [sym__eq_eq_custom] = ACTIONS(821),
    [sym__plus_then_ws] = ACTIONS(821),
    [sym__minus_then_ws] = ACTIONS(821),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [150] = {
    [sym_simple_identifier] = STATE(1921),
    [sym__contextual_simple_identifier] = STATE(702),
    [sym__basic_literal] = STATE(1286),
    [sym_boolean_literal] = STATE(1286),
    [sym__string_literal] = STATE(1286),
    [sym_line_string_literal] = STATE(1286),
    [sym_multi_line_string_literal] = STATE(1286),
    [sym_raw_string_literal] = STATE(1286),
    [sym_regex_literal] = STATE(1286),
    [sym__multiline_regex_literal] = STATE(751),
    [sym__type] = STATE(7541),
    [sym__unannotated_type] = STATE(4558),
    [sym_user_type] = STATE(4277),
    [sym__simple_user_type] = STATE(4378),
    [sym_tuple_type] = STATE(4375),
    [sym_function_type] = STATE(4558),
    [sym_array_type] = STATE(4277),
    [sym_dictionary_type] = STATE(4277),
    [sym_optional_type] = STATE(4558),
    [sym_metatype] = STATE(4558),
    [sym_opaque_type] = STATE(4558),
    [sym_existential_type] = STATE(4558),
    [sym_type_parameter_pack] = STATE(4558),
    [sym_type_pack_expansion] = STATE(4558),
    [sym_protocol_composition_type] = STATE(4558),
    [sym__expression] = STATE(1286),
    [sym__unary_expression] = STATE(1286),
    [sym_postfix_expression] = STATE(1286),
    [sym_constructor_expression] = STATE(1286),
    [sym__parenthesized_type] = STATE(4943),
    [sym_navigation_expression] = STATE(1286),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1286),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1286),
    [sym_prefix_expression] = STATE(1286),
    [sym_as_expression] = STATE(1286),
    [sym_selector_expression] = STATE(1286),
    [sym__binary_expression] = STATE(1286),
    [sym_multiplicative_expression] = STATE(1286),
    [sym_additive_expression] = STATE(1286),
    [sym_range_expression] = STATE(1286),
    [sym_infix_expression] = STATE(1286),
    [sym_nil_coalescing_expression] = STATE(1286),
    [sym_check_expression] = STATE(1286),
    [sym_comparison_expression] = STATE(1286),
    [sym_equality_expression] = STATE(1286),
    [sym_conjunction_expression] = STATE(1286),
    [sym_disjunction_expression] = STATE(1286),
    [sym_bitwise_operation] = STATE(1286),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1286),
    [sym_await_expression] = STATE(1286),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1286),
    [sym_call_expression] = STATE(1286),
    [sym__primary_expression] = STATE(1286),
    [sym_tuple_expression] = STATE(1286),
    [sym_array_literal] = STATE(1286),
    [sym_dictionary_literal] = STATE(1286),
    [sym__dictionary_literal_item] = STATE(6850),
    [sym__special_literal] = STATE(1286),
    [sym__playground_literal] = STATE(1286),
    [sym_lambda_literal] = STATE(1286),
    [sym_self_expression] = STATE(1286),
    [sym_super_expression] = STATE(1286),
    [sym_if_statement] = STATE(1286),
    [sym_switch_statement] = STATE(1286),
    [sym_key_path_expression] = STATE(1286),
    [sym_key_path_string_expression] = STATE(1286),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1286),
    [sym__equality_operator] = STATE(1286),
    [sym__comparison_operator] = STATE(1286),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1286),
    [sym__multiplicative_operator] = STATE(1286),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1286),
    [sym_value_parameter_pack] = STATE(1286),
    [sym_value_pack_expansion] = STATE(1286),
    [sym__referenceable_operator] = STATE(1286),
    [sym__equal_sign] = STATE(1286),
    [sym__eq_eq] = STATE(1286),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym_attribute] = STATE(4365),
    [sym_type_modifiers] = STATE(4093),
    [sym__parameter_ownership_modifier] = STATE(702),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [aux_sym__lambda_type_declaration_repeat1] = STATE(4365),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(767),
    [aux_sym_simple_identifier_token2] = ACTIONS(769),
    [aux_sym_simple_identifier_token3] = ACTIONS(769),
    [aux_sym_simple_identifier_token4] = ACTIONS(769),
    [anon_sym_actor] = ACTIONS(767),
    [anon_sym_async] = ACTIONS(767),
    [anon_sym_each] = ACTIONS(801),
    [anon_sym_lazy] = ACTIONS(767),
    [anon_sym_repeat] = ACTIONS(803),
    [anon_sym_package] = ACTIONS(767),
    [anon_sym_nil] = ACTIONS(927),
    [sym_real_literal] = ACTIONS(929),
    [sym_integer_literal] = ACTIONS(927),
    [sym_hex_literal] = ACTIONS(929),
    [sym_oct_literal] = ACTIONS(929),
    [sym_bin_literal] = ACTIONS(929),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [anon_sym_COMMA] = ACTIONS(931),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_COLON] = ACTIONS(933),
    [anon_sym_LPAREN] = ACTIONS(779),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_RBRACK] = ACTIONS(935),
    [anon_sym_some] = ACTIONS(783),
    [anon_sym_any] = ACTIONS(785),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(927),
    [anon_sym_GT] = ACTIONS(927),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(927),
    [anon_sym_POUNDfileID] = ACTIONS(929),
    [anon_sym_POUNDfilePath] = ACTIONS(929),
    [anon_sym_POUNDline] = ACTIONS(929),
    [anon_sym_POUNDcolumn] = ACTIONS(929),
    [anon_sym_POUNDfunction] = ACTIONS(929),
    [anon_sym_POUNDdsohandle] = ACTIONS(929),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(929),
    [anon_sym_DASH_EQ] = ACTIONS(929),
    [anon_sym_STAR_EQ] = ACTIONS(929),
    [anon_sym_SLASH_EQ] = ACTIONS(929),
    [anon_sym_PERCENT_EQ] = ACTIONS(929),
    [anon_sym_BANG_EQ] = ACTIONS(927),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(929),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(929),
    [anon_sym_LT_EQ] = ACTIONS(929),
    [anon_sym_GT_EQ] = ACTIONS(929),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(927),
    [anon_sym_SLASH] = ACTIONS(927),
    [anon_sym_PERCENT] = ACTIONS(927),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(929),
    [anon_sym_CARET] = ACTIONS(927),
    [anon_sym_LT_LT] = ACTIONS(929),
    [anon_sym_GT_GT] = ACTIONS(929),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_AT] = ACTIONS(829),
    [anon_sym_borrowing] = ACTIONS(767),
    [anon_sym_consuming] = ACTIONS(767),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(929),
    [sym__eq_eq_custom] = ACTIONS(929),
    [sym__plus_then_ws] = ACTIONS(929),
    [sym__minus_then_ws] = ACTIONS(929),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [151] = {
    [sym_simple_identifier] = STATE(2276),
    [sym__contextual_simple_identifier] = STATE(2115),
    [sym__basic_literal] = STATE(1271),
    [sym_boolean_literal] = STATE(1271),
    [sym__string_literal] = STATE(1271),
    [sym_line_string_literal] = STATE(1271),
    [sym_multi_line_string_literal] = STATE(1271),
    [sym_raw_string_literal] = STATE(1271),
    [sym_regex_literal] = STATE(1271),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1271),
    [sym__unary_expression] = STATE(1271),
    [sym_postfix_expression] = STATE(1271),
    [sym_constructor_expression] = STATE(1271),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1271),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1271),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1271),
    [sym_prefix_expression] = STATE(1271),
    [sym_as_expression] = STATE(1271),
    [sym_selector_expression] = STATE(1271),
    [sym__binary_expression] = STATE(1271),
    [sym_multiplicative_expression] = STATE(1271),
    [sym_additive_expression] = STATE(1271),
    [sym_range_expression] = STATE(1271),
    [sym_infix_expression] = STATE(1271),
    [sym_nil_coalescing_expression] = STATE(1271),
    [sym_check_expression] = STATE(1271),
    [sym_comparison_expression] = STATE(1271),
    [sym_equality_expression] = STATE(1271),
    [sym_conjunction_expression] = STATE(1271),
    [sym_disjunction_expression] = STATE(1271),
    [sym_bitwise_operation] = STATE(1271),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1271),
    [sym_await_expression] = STATE(1271),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1271),
    [sym_call_expression] = STATE(1271),
    [sym__primary_expression] = STATE(1271),
    [sym_tuple_expression] = STATE(1271),
    [sym_array_literal] = STATE(1271),
    [sym_dictionary_literal] = STATE(1271),
    [sym__special_literal] = STATE(1271),
    [sym__playground_literal] = STATE(1271),
    [sym_lambda_literal] = STATE(1271),
    [sym_self_expression] = STATE(1271),
    [sym_super_expression] = STATE(1271),
    [sym_if_statement] = STATE(1271),
    [sym_switch_statement] = STATE(1271),
    [sym_key_path_expression] = STATE(1271),
    [sym_key_path_string_expression] = STATE(1271),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1271),
    [sym__equality_operator] = STATE(1271),
    [sym__comparison_operator] = STATE(1271),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1271),
    [sym__multiplicative_operator] = STATE(1271),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym_assignment] = STATE(1271),
    [sym_value_parameter_pack] = STATE(1271),
    [sym_value_pack_expansion] = STATE(1271),
    [sym__referenceable_operator] = STATE(1271),
    [sym__equal_sign] = STATE(1271),
    [sym__eq_eq] = STATE(1271),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__parameter_ownership_modifier] = STATE(2115),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(11),
    [aux_sym_simple_identifier_token2] = ACTIONS(13),
    [aux_sym_simple_identifier_token3] = ACTIONS(13),
    [aux_sym_simple_identifier_token4] = ACTIONS(13),
    [anon_sym_actor] = ACTIONS(11),
    [anon_sym_async] = ACTIONS(11),
    [anon_sym_each] = ACTIONS(19),
    [anon_sym_lazy] = ACTIONS(11),
    [anon_sym_repeat] = ACTIONS(937),
    [anon_sym_package] = ACTIONS(11),
    [anon_sym_nil] = ACTIONS(939),
    [sym_real_literal] = ACTIONS(941),
    [sym_integer_literal] = ACTIONS(939),
    [sym_hex_literal] = ACTIONS(941),
    [sym_oct_literal] = ACTIONS(941),
    [sym_bin_literal] = ACTIONS(941),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [anon_sym_COMMA] = ACTIONS(631),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_COLON] = ACTIONS(631),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_QMARK] = ACTIONS(637),
    [anon_sym_QMARK2] = ACTIONS(631),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(939),
    [anon_sym_GT] = ACTIONS(939),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(939),
    [anon_sym_POUNDfileID] = ACTIONS(941),
    [anon_sym_POUNDfilePath] = ACTIONS(941),
    [anon_sym_POUNDline] = ACTIONS(941),
    [anon_sym_POUNDcolumn] = ACTIONS(941),
    [anon_sym_POUNDfunction] = ACTIONS(941),
    [anon_sym_POUNDdsohandle] = ACTIONS(941),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_RBRACE] = ACTIONS(631),
    [anon_sym_in] = ACTIONS(637),
    [anon_sym_self] = ACTIONS(65),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(941),
    [anon_sym_DASH_EQ] = ACTIONS(941),
    [anon_sym_STAR_EQ] = ACTIONS(941),
    [anon_sym_SLASH_EQ] = ACTIONS(941),
    [anon_sym_PERCENT_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(941),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(941),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_is] = ACTIONS(637),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(939),
    [anon_sym_SLASH] = ACTIONS(939),
    [anon_sym_PERCENT] = ACTIONS(939),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_CARET] = ACTIONS(939),
    [anon_sym_LT_LT] = ACTIONS(941),
    [anon_sym_GT_GT] = ACTIONS(941),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_borrowing] = ACTIONS(11),
    [anon_sym_consuming] = ACTIONS(11),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__implicit_semi] = ACTIONS(631),
    [sym__explicit_semi] = ACTIONS(631),
    [sym__arrow_operator_custom] = ACTIONS(631),
    [sym__dot_custom] = ACTIONS(149),
    [sym__conjunction_operator_custom] = ACTIONS(631),
    [sym__disjunction_operator_custom] = ACTIONS(631),
    [sym__nil_coalescing_operator_custom] = ACTIONS(631),
    [sym__eq_custom] = ACTIONS(941),
    [sym__eq_eq_custom] = ACTIONS(941),
    [sym__plus_then_ws] = ACTIONS(941),
    [sym__minus_then_ws] = ACTIONS(941),
    [sym__bang_custom] = ACTIONS(151),
    [sym__throws_keyword] = ACTIONS(631),
    [sym__rethrows_keyword] = ACTIONS(631),
    [sym__as_custom] = ACTIONS(631),
    [sym__as_quest_custom] = ACTIONS(631),
    [sym__as_bang_custom] = ACTIONS(631),
    [sym__async_keyword_custom] = ACTIONS(631),
    [sym__custom_operator] = ACTIONS(57),
  },
  [152] = {
    [sym_simple_identifier] = STATE(2544),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1362),
    [sym_boolean_literal] = STATE(1362),
    [sym__string_literal] = STATE(1362),
    [sym_line_string_literal] = STATE(1362),
    [sym_multi_line_string_literal] = STATE(1362),
    [sym_raw_string_literal] = STATE(1362),
    [sym_regex_literal] = STATE(1362),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5406),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5390),
    [sym_opaque_type] = STATE(7667),
    [sym_existential_type] = STATE(7667),
    [sym__expression] = STATE(1362),
    [sym__unary_expression] = STATE(1362),
    [sym_postfix_expression] = STATE(1362),
    [sym_constructor_expression] = STATE(1362),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1362),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1362),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1362),
    [sym_prefix_expression] = STATE(1362),
    [sym_as_expression] = STATE(1362),
    [sym_selector_expression] = STATE(1362),
    [sym__binary_expression] = STATE(1362),
    [sym_multiplicative_expression] = STATE(1362),
    [sym_additive_expression] = STATE(1362),
    [sym_range_expression] = STATE(1362),
    [sym_infix_expression] = STATE(1362),
    [sym_nil_coalescing_expression] = STATE(1362),
    [sym_check_expression] = STATE(1362),
    [sym_comparison_expression] = STATE(1362),
    [sym_equality_expression] = STATE(1362),
    [sym_conjunction_expression] = STATE(1362),
    [sym_disjunction_expression] = STATE(1362),
    [sym_bitwise_operation] = STATE(1362),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1362),
    [sym_call_expression] = STATE(1362),
    [sym__primary_expression] = STATE(1362),
    [sym_tuple_expression] = STATE(1362),
    [sym_array_literal] = STATE(1362),
    [sym_dictionary_literal] = STATE(1362),
    [sym__special_literal] = STATE(1362),
    [sym__playground_literal] = STATE(1362),
    [sym_lambda_literal] = STATE(1362),
    [sym_self_expression] = STATE(1362),
    [sym_super_expression] = STATE(1362),
    [sym_if_statement] = STATE(1362),
    [sym_switch_statement] = STATE(1362),
    [sym_key_path_expression] = STATE(1362),
    [sym_key_path_string_expression] = STATE(1362),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1362),
    [sym__equality_operator] = STATE(1362),
    [sym__comparison_operator] = STATE(1362),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1362),
    [sym__multiplicative_operator] = STATE(1362),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1362),
    [sym_value_parameter_pack] = STATE(1362),
    [sym_value_pack_expansion] = STATE(1362),
    [sym__referenceable_operator] = STATE(1362),
    [sym__equal_sign] = STATE(1362),
    [sym__eq_eq] = STATE(1362),
    [sym__dot] = STATE(1033),
    [sym_bang] = STATE(864),
    [sym__universally_allowed_pattern] = STATE(5830),
    [sym__bound_identifier] = STATE(5992),
    [sym__binding_pattern_no_expr] = STATE(7500),
    [sym__binding_pattern_with_expr] = STATE(7399),
    [sym_value_binding_pattern] = STATE(4064),
    [sym__tuple_pattern_item] = STATE(6851),
    [sym__tuple_pattern] = STATE(5830),
    [sym__case_pattern] = STATE(5830),
    [sym__type_casting_pattern] = STATE(5703),
    [sym__binding_pattern] = STATE(5799),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(943),
    [sym_real_literal] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(943),
    [sym_hex_literal] = ACTIONS(945),
    [sym_oct_literal] = ACTIONS(945),
    [sym_bin_literal] = ACTIONS(945),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_some] = ACTIONS(783),
    [anon_sym_any] = ACTIONS(785),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(943),
    [anon_sym_GT] = ACTIONS(943),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(943),
    [anon_sym_POUNDfileID] = ACTIONS(945),
    [anon_sym_POUNDfilePath] = ACTIONS(945),
    [anon_sym_POUNDline] = ACTIONS(945),
    [anon_sym_POUNDcolumn] = ACTIONS(945),
    [anon_sym_POUNDfunction] = ACTIONS(945),
    [anon_sym_POUNDdsohandle] = ACTIONS(945),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_case] = ACTIONS(949),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(945),
    [anon_sym_DASH_EQ] = ACTIONS(945),
    [anon_sym_STAR_EQ] = ACTIONS(945),
    [anon_sym_SLASH_EQ] = ACTIONS(945),
    [anon_sym_PERCENT_EQ] = ACTIONS(945),
    [anon_sym_BANG_EQ] = ACTIONS(943),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(945),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(945),
    [anon_sym_LT_EQ] = ACTIONS(945),
    [anon_sym_GT_EQ] = ACTIONS(945),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_is] = ACTIONS(951),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(943),
    [anon_sym_SLASH] = ACTIONS(943),
    [anon_sym_PERCENT] = ACTIONS(943),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(945),
    [anon_sym_CARET] = ACTIONS(943),
    [anon_sym_LT_LT] = ACTIONS(945),
    [anon_sym_GT_GT] = ACTIONS(945),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_BANG2] = ACTIONS(795),
    [sym_wildcard_pattern] = ACTIONS(953),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(955),
    [sym__eq_custom] = ACTIONS(945),
    [sym__eq_eq_custom] = ACTIONS(945),
    [sym__plus_then_ws] = ACTIONS(945),
    [sym__minus_then_ws] = ACTIONS(945),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [153] = {
    [sym_simple_identifier] = STATE(2550),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1313),
    [sym_boolean_literal] = STATE(1313),
    [sym__string_literal] = STATE(1313),
    [sym_line_string_literal] = STATE(1313),
    [sym_multi_line_string_literal] = STATE(1313),
    [sym_raw_string_literal] = STATE(1313),
    [sym_regex_literal] = STATE(1313),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5406),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5390),
    [sym_opaque_type] = STATE(7667),
    [sym_existential_type] = STATE(7667),
    [sym__expression] = STATE(1313),
    [sym__unary_expression] = STATE(1313),
    [sym_postfix_expression] = STATE(1313),
    [sym_constructor_expression] = STATE(1313),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1313),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1313),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1313),
    [sym_prefix_expression] = STATE(1313),
    [sym_as_expression] = STATE(1313),
    [sym_selector_expression] = STATE(1313),
    [sym__binary_expression] = STATE(1313),
    [sym_multiplicative_expression] = STATE(1313),
    [sym_additive_expression] = STATE(1313),
    [sym_range_expression] = STATE(1313),
    [sym_infix_expression] = STATE(1313),
    [sym_nil_coalescing_expression] = STATE(1313),
    [sym_check_expression] = STATE(1313),
    [sym_comparison_expression] = STATE(1313),
    [sym_equality_expression] = STATE(1313),
    [sym_conjunction_expression] = STATE(1313),
    [sym_disjunction_expression] = STATE(1313),
    [sym_bitwise_operation] = STATE(1313),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1313),
    [sym_await_expression] = STATE(1313),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1313),
    [sym_call_expression] = STATE(1313),
    [sym__primary_expression] = STATE(1313),
    [sym_tuple_expression] = STATE(1313),
    [sym_array_literal] = STATE(1313),
    [sym_dictionary_literal] = STATE(1313),
    [sym__special_literal] = STATE(1313),
    [sym__playground_literal] = STATE(1313),
    [sym_lambda_literal] = STATE(1313),
    [sym_self_expression] = STATE(1313),
    [sym_super_expression] = STATE(1313),
    [sym_if_statement] = STATE(1313),
    [sym_switch_statement] = STATE(1313),
    [sym_key_path_expression] = STATE(1313),
    [sym_key_path_string_expression] = STATE(1313),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1313),
    [sym__equality_operator] = STATE(1313),
    [sym__comparison_operator] = STATE(1313),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1313),
    [sym__multiplicative_operator] = STATE(1313),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1313),
    [sym_value_parameter_pack] = STATE(1313),
    [sym_value_pack_expansion] = STATE(1313),
    [sym__referenceable_operator] = STATE(1313),
    [sym__equal_sign] = STATE(1313),
    [sym__eq_eq] = STATE(1313),
    [sym__dot] = STATE(1033),
    [sym_bang] = STATE(864),
    [sym__universally_allowed_pattern] = STATE(5830),
    [sym__bound_identifier] = STATE(5992),
    [sym__binding_pattern_no_expr] = STATE(7500),
    [sym__binding_pattern_with_expr] = STATE(7399),
    [sym_value_binding_pattern] = STATE(4064),
    [sym__tuple_pattern_item] = STATE(6804),
    [sym__tuple_pattern] = STATE(5830),
    [sym__case_pattern] = STATE(5830),
    [sym__type_casting_pattern] = STATE(5703),
    [sym__binding_pattern] = STATE(5799),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(957),
    [sym_real_literal] = ACTIONS(959),
    [sym_integer_literal] = ACTIONS(957),
    [sym_hex_literal] = ACTIONS(959),
    [sym_oct_literal] = ACTIONS(959),
    [sym_bin_literal] = ACTIONS(959),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_some] = ACTIONS(783),
    [anon_sym_any] = ACTIONS(785),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(957),
    [anon_sym_GT] = ACTIONS(957),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(957),
    [anon_sym_POUNDfileID] = ACTIONS(959),
    [anon_sym_POUNDfilePath] = ACTIONS(959),
    [anon_sym_POUNDline] = ACTIONS(959),
    [anon_sym_POUNDcolumn] = ACTIONS(959),
    [anon_sym_POUNDfunction] = ACTIONS(959),
    [anon_sym_POUNDdsohandle] = ACTIONS(959),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_case] = ACTIONS(949),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(959),
    [anon_sym_DASH_EQ] = ACTIONS(959),
    [anon_sym_STAR_EQ] = ACTIONS(959),
    [anon_sym_SLASH_EQ] = ACTIONS(959),
    [anon_sym_PERCENT_EQ] = ACTIONS(959),
    [anon_sym_BANG_EQ] = ACTIONS(957),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(959),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(959),
    [anon_sym_LT_EQ] = ACTIONS(959),
    [anon_sym_GT_EQ] = ACTIONS(959),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_is] = ACTIONS(951),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(957),
    [anon_sym_SLASH] = ACTIONS(957),
    [anon_sym_PERCENT] = ACTIONS(957),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(959),
    [anon_sym_CARET] = ACTIONS(957),
    [anon_sym_LT_LT] = ACTIONS(959),
    [anon_sym_GT_GT] = ACTIONS(959),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_BANG2] = ACTIONS(795),
    [sym_wildcard_pattern] = ACTIONS(953),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(955),
    [sym__eq_custom] = ACTIONS(959),
    [sym__eq_eq_custom] = ACTIONS(959),
    [sym__plus_then_ws] = ACTIONS(959),
    [sym__minus_then_ws] = ACTIONS(959),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [154] = {
    [sym_simple_identifier] = STATE(2276),
    [sym__contextual_simple_identifier] = STATE(2115),
    [sym__basic_literal] = STATE(1268),
    [sym_boolean_literal] = STATE(1268),
    [sym__string_literal] = STATE(1268),
    [sym_line_string_literal] = STATE(1268),
    [sym_multi_line_string_literal] = STATE(1268),
    [sym_raw_string_literal] = STATE(1268),
    [sym_regex_literal] = STATE(1268),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1268),
    [sym__unary_expression] = STATE(1268),
    [sym_postfix_expression] = STATE(1268),
    [sym_constructor_expression] = STATE(1268),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1268),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1268),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1268),
    [sym_prefix_expression] = STATE(1268),
    [sym_as_expression] = STATE(1268),
    [sym_selector_expression] = STATE(1268),
    [sym__binary_expression] = STATE(1268),
    [sym_multiplicative_expression] = STATE(1268),
    [sym_additive_expression] = STATE(1268),
    [sym_range_expression] = STATE(1268),
    [sym_infix_expression] = STATE(1268),
    [sym_nil_coalescing_expression] = STATE(1268),
    [sym_check_expression] = STATE(1268),
    [sym_comparison_expression] = STATE(1268),
    [sym_equality_expression] = STATE(1268),
    [sym_conjunction_expression] = STATE(1268),
    [sym_disjunction_expression] = STATE(1268),
    [sym_bitwise_operation] = STATE(1268),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1268),
    [sym_await_expression] = STATE(1268),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1268),
    [sym_call_expression] = STATE(1268),
    [sym__primary_expression] = STATE(1268),
    [sym_tuple_expression] = STATE(1268),
    [sym_array_literal] = STATE(1268),
    [sym_dictionary_literal] = STATE(1268),
    [sym__special_literal] = STATE(1268),
    [sym__playground_literal] = STATE(1268),
    [sym_lambda_literal] = STATE(1268),
    [sym_self_expression] = STATE(1268),
    [sym_super_expression] = STATE(1268),
    [sym_if_statement] = STATE(1268),
    [sym_switch_statement] = STATE(1268),
    [sym_key_path_expression] = STATE(1268),
    [sym_key_path_string_expression] = STATE(1268),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1268),
    [sym__equality_operator] = STATE(1268),
    [sym__comparison_operator] = STATE(1268),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1268),
    [sym__multiplicative_operator] = STATE(1268),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym_assignment] = STATE(1268),
    [sym_value_parameter_pack] = STATE(1268),
    [sym_value_pack_expansion] = STATE(1268),
    [sym__referenceable_operator] = STATE(1268),
    [sym__equal_sign] = STATE(1268),
    [sym__eq_eq] = STATE(1268),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__parameter_ownership_modifier] = STATE(2115),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(11),
    [aux_sym_simple_identifier_token2] = ACTIONS(13),
    [aux_sym_simple_identifier_token3] = ACTIONS(13),
    [aux_sym_simple_identifier_token4] = ACTIONS(13),
    [anon_sym_actor] = ACTIONS(11),
    [anon_sym_async] = ACTIONS(11),
    [anon_sym_each] = ACTIONS(19),
    [anon_sym_lazy] = ACTIONS(11),
    [anon_sym_repeat] = ACTIONS(937),
    [anon_sym_package] = ACTIONS(11),
    [anon_sym_nil] = ACTIONS(961),
    [sym_real_literal] = ACTIONS(963),
    [sym_integer_literal] = ACTIONS(961),
    [sym_hex_literal] = ACTIONS(963),
    [sym_oct_literal] = ACTIONS(963),
    [sym_bin_literal] = ACTIONS(963),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [anon_sym_COMMA] = ACTIONS(631),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_COLON] = ACTIONS(631),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_QMARK] = ACTIONS(637),
    [anon_sym_QMARK2] = ACTIONS(631),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(961),
    [anon_sym_GT] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(961),
    [anon_sym_POUNDfileID] = ACTIONS(963),
    [anon_sym_POUNDfilePath] = ACTIONS(963),
    [anon_sym_POUNDline] = ACTIONS(963),
    [anon_sym_POUNDcolumn] = ACTIONS(963),
    [anon_sym_POUNDfunction] = ACTIONS(963),
    [anon_sym_POUNDdsohandle] = ACTIONS(963),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(965),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_RBRACE] = ACTIONS(631),
    [anon_sym_in] = ACTIONS(637),
    [anon_sym_self] = ACTIONS(65),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(963),
    [anon_sym_DASH_EQ] = ACTIONS(963),
    [anon_sym_STAR_EQ] = ACTIONS(963),
    [anon_sym_SLASH_EQ] = ACTIONS(963),
    [anon_sym_PERCENT_EQ] = ACTIONS(963),
    [anon_sym_BANG_EQ] = ACTIONS(961),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(963),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(963),
    [anon_sym_LT_EQ] = ACTIONS(963),
    [anon_sym_GT_EQ] = ACTIONS(963),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_is] = ACTIONS(637),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(961),
    [anon_sym_SLASH] = ACTIONS(961),
    [anon_sym_PERCENT] = ACTIONS(961),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(963),
    [anon_sym_CARET] = ACTIONS(961),
    [anon_sym_LT_LT] = ACTIONS(963),
    [anon_sym_GT_GT] = ACTIONS(963),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_borrowing] = ACTIONS(11),
    [anon_sym_consuming] = ACTIONS(11),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__implicit_semi] = ACTIONS(631),
    [sym__explicit_semi] = ACTIONS(631),
    [sym__arrow_operator_custom] = ACTIONS(631),
    [sym__dot_custom] = ACTIONS(149),
    [sym__conjunction_operator_custom] = ACTIONS(631),
    [sym__disjunction_operator_custom] = ACTIONS(631),
    [sym__nil_coalescing_operator_custom] = ACTIONS(631),
    [sym__eq_custom] = ACTIONS(963),
    [sym__eq_eq_custom] = ACTIONS(963),
    [sym__plus_then_ws] = ACTIONS(963),
    [sym__minus_then_ws] = ACTIONS(963),
    [sym__bang_custom] = ACTIONS(151),
    [sym__throws_keyword] = ACTIONS(631),
    [sym__rethrows_keyword] = ACTIONS(631),
    [sym__as_custom] = ACTIONS(631),
    [sym__as_quest_custom] = ACTIONS(631),
    [sym__as_bang_custom] = ACTIONS(631),
    [sym__async_keyword_custom] = ACTIONS(631),
    [sym__custom_operator] = ACTIONS(57),
  },
  [155] = {
    [sym_simple_identifier] = STATE(2496),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1343),
    [sym_boolean_literal] = STATE(1343),
    [sym__string_literal] = STATE(1343),
    [sym_line_string_literal] = STATE(1343),
    [sym_multi_line_string_literal] = STATE(1343),
    [sym_raw_string_literal] = STATE(1343),
    [sym_regex_literal] = STATE(1343),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5406),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1343),
    [sym__unary_expression] = STATE(1343),
    [sym_postfix_expression] = STATE(1343),
    [sym_constructor_expression] = STATE(1343),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1343),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1343),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1343),
    [sym_prefix_expression] = STATE(1343),
    [sym_as_expression] = STATE(1343),
    [sym_selector_expression] = STATE(1343),
    [sym__binary_expression] = STATE(1343),
    [sym_multiplicative_expression] = STATE(1343),
    [sym_additive_expression] = STATE(1343),
    [sym_range_expression] = STATE(1343),
    [sym_infix_expression] = STATE(1343),
    [sym_nil_coalescing_expression] = STATE(1343),
    [sym_check_expression] = STATE(1343),
    [sym_comparison_expression] = STATE(1343),
    [sym_equality_expression] = STATE(1343),
    [sym_conjunction_expression] = STATE(1343),
    [sym_disjunction_expression] = STATE(1343),
    [sym_bitwise_operation] = STATE(1343),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1343),
    [sym_await_expression] = STATE(1343),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1343),
    [sym_call_expression] = STATE(1343),
    [sym__primary_expression] = STATE(1343),
    [sym_tuple_expression] = STATE(1343),
    [sym_array_literal] = STATE(1343),
    [sym_dictionary_literal] = STATE(1343),
    [sym__special_literal] = STATE(1343),
    [sym__playground_literal] = STATE(1343),
    [sym_lambda_literal] = STATE(1343),
    [sym_self_expression] = STATE(1343),
    [sym_super_expression] = STATE(1343),
    [sym_if_statement] = STATE(1343),
    [sym_switch_statement] = STATE(1343),
    [sym_key_path_expression] = STATE(1343),
    [sym_key_path_string_expression] = STATE(1343),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1343),
    [sym__equality_operator] = STATE(1343),
    [sym__comparison_operator] = STATE(1343),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1343),
    [sym__multiplicative_operator] = STATE(1343),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1343),
    [sym_value_parameter_pack] = STATE(1343),
    [sym_value_pack_expansion] = STATE(1343),
    [sym__referenceable_operator] = STATE(1343),
    [sym__equal_sign] = STATE(1343),
    [sym__eq_eq] = STATE(1343),
    [sym__dot] = STATE(1033),
    [sym_bang] = STATE(864),
    [sym__universally_allowed_pattern] = STATE(5830),
    [sym__bound_identifier] = STATE(5992),
    [sym__binding_pattern_no_expr] = STATE(7500),
    [sym__binding_pattern_with_expr] = STATE(7399),
    [sym_value_binding_pattern] = STATE(4064),
    [sym__tuple_pattern_item] = STATE(6663),
    [sym__tuple_pattern] = STATE(5830),
    [sym__case_pattern] = STATE(5830),
    [sym__type_casting_pattern] = STATE(5703),
    [sym__binding_pattern] = STATE(5799),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(967),
    [sym_real_literal] = ACTIONS(969),
    [sym_integer_literal] = ACTIONS(967),
    [sym_hex_literal] = ACTIONS(969),
    [sym_oct_literal] = ACTIONS(969),
    [sym_bin_literal] = ACTIONS(969),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(967),
    [anon_sym_GT] = ACTIONS(967),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(967),
    [anon_sym_POUNDfileID] = ACTIONS(969),
    [anon_sym_POUNDfilePath] = ACTIONS(969),
    [anon_sym_POUNDline] = ACTIONS(969),
    [anon_sym_POUNDcolumn] = ACTIONS(969),
    [anon_sym_POUNDfunction] = ACTIONS(969),
    [anon_sym_POUNDdsohandle] = ACTIONS(969),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_case] = ACTIONS(949),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(969),
    [anon_sym_DASH_EQ] = ACTIONS(969),
    [anon_sym_STAR_EQ] = ACTIONS(969),
    [anon_sym_SLASH_EQ] = ACTIONS(969),
    [anon_sym_PERCENT_EQ] = ACTIONS(969),
    [anon_sym_BANG_EQ] = ACTIONS(967),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(969),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(969),
    [anon_sym_LT_EQ] = ACTIONS(969),
    [anon_sym_GT_EQ] = ACTIONS(969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_is] = ACTIONS(951),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(967),
    [anon_sym_SLASH] = ACTIONS(967),
    [anon_sym_PERCENT] = ACTIONS(967),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(969),
    [anon_sym_CARET] = ACTIONS(967),
    [anon_sym_LT_LT] = ACTIONS(969),
    [anon_sym_GT_GT] = ACTIONS(969),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_BANG2] = ACTIONS(795),
    [sym_wildcard_pattern] = ACTIONS(953),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(955),
    [sym__eq_custom] = ACTIONS(969),
    [sym__eq_eq_custom] = ACTIONS(969),
    [sym__plus_then_ws] = ACTIONS(969),
    [sym__minus_then_ws] = ACTIONS(969),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [156] = {
    [sym_simple_identifier] = STATE(2496),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1343),
    [sym_boolean_literal] = STATE(1343),
    [sym__string_literal] = STATE(1343),
    [sym_line_string_literal] = STATE(1343),
    [sym_multi_line_string_literal] = STATE(1343),
    [sym_raw_string_literal] = STATE(1343),
    [sym_regex_literal] = STATE(1343),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5406),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1343),
    [sym__unary_expression] = STATE(1343),
    [sym_postfix_expression] = STATE(1343),
    [sym_constructor_expression] = STATE(1343),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1343),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1343),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1343),
    [sym_prefix_expression] = STATE(1343),
    [sym_as_expression] = STATE(1343),
    [sym_selector_expression] = STATE(1343),
    [sym__binary_expression] = STATE(1343),
    [sym_multiplicative_expression] = STATE(1343),
    [sym_additive_expression] = STATE(1343),
    [sym_range_expression] = STATE(1343),
    [sym_infix_expression] = STATE(1343),
    [sym_nil_coalescing_expression] = STATE(1343),
    [sym_check_expression] = STATE(1343),
    [sym_comparison_expression] = STATE(1343),
    [sym_equality_expression] = STATE(1343),
    [sym_conjunction_expression] = STATE(1343),
    [sym_disjunction_expression] = STATE(1343),
    [sym_bitwise_operation] = STATE(1343),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1343),
    [sym_await_expression] = STATE(1343),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1343),
    [sym_call_expression] = STATE(1343),
    [sym__primary_expression] = STATE(1343),
    [sym_tuple_expression] = STATE(1343),
    [sym_array_literal] = STATE(1343),
    [sym_dictionary_literal] = STATE(1343),
    [sym__special_literal] = STATE(1343),
    [sym__playground_literal] = STATE(1343),
    [sym_lambda_literal] = STATE(1343),
    [sym_self_expression] = STATE(1343),
    [sym_super_expression] = STATE(1343),
    [sym_if_statement] = STATE(1343),
    [sym_switch_statement] = STATE(1343),
    [sym_key_path_expression] = STATE(1343),
    [sym_key_path_string_expression] = STATE(1343),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1343),
    [sym__equality_operator] = STATE(1343),
    [sym__comparison_operator] = STATE(1343),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1343),
    [sym__multiplicative_operator] = STATE(1343),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1343),
    [sym_value_parameter_pack] = STATE(1343),
    [sym_value_pack_expansion] = STATE(1343),
    [sym__referenceable_operator] = STATE(1343),
    [sym__equal_sign] = STATE(1343),
    [sym__eq_eq] = STATE(1343),
    [sym__dot] = STATE(1033),
    [sym_bang] = STATE(864),
    [sym__universally_allowed_pattern] = STATE(5830),
    [sym__bound_identifier] = STATE(5992),
    [sym__binding_pattern_no_expr] = STATE(7500),
    [sym__binding_pattern_with_expr] = STATE(7399),
    [sym_value_binding_pattern] = STATE(4064),
    [sym__tuple_pattern_item] = STATE(6570),
    [sym__tuple_pattern] = STATE(5830),
    [sym__case_pattern] = STATE(5830),
    [sym__type_casting_pattern] = STATE(5703),
    [sym__binding_pattern] = STATE(5799),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(967),
    [sym_real_literal] = ACTIONS(969),
    [sym_integer_literal] = ACTIONS(967),
    [sym_hex_literal] = ACTIONS(969),
    [sym_oct_literal] = ACTIONS(969),
    [sym_bin_literal] = ACTIONS(969),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(967),
    [anon_sym_GT] = ACTIONS(967),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(967),
    [anon_sym_POUNDfileID] = ACTIONS(969),
    [anon_sym_POUNDfilePath] = ACTIONS(969),
    [anon_sym_POUNDline] = ACTIONS(969),
    [anon_sym_POUNDcolumn] = ACTIONS(969),
    [anon_sym_POUNDfunction] = ACTIONS(969),
    [anon_sym_POUNDdsohandle] = ACTIONS(969),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_case] = ACTIONS(949),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(969),
    [anon_sym_DASH_EQ] = ACTIONS(969),
    [anon_sym_STAR_EQ] = ACTIONS(969),
    [anon_sym_SLASH_EQ] = ACTIONS(969),
    [anon_sym_PERCENT_EQ] = ACTIONS(969),
    [anon_sym_BANG_EQ] = ACTIONS(967),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(969),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(969),
    [anon_sym_LT_EQ] = ACTIONS(969),
    [anon_sym_GT_EQ] = ACTIONS(969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_is] = ACTIONS(951),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(967),
    [anon_sym_SLASH] = ACTIONS(967),
    [anon_sym_PERCENT] = ACTIONS(967),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(969),
    [anon_sym_CARET] = ACTIONS(967),
    [anon_sym_LT_LT] = ACTIONS(969),
    [anon_sym_GT_GT] = ACTIONS(969),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_BANG2] = ACTIONS(795),
    [sym_wildcard_pattern] = ACTIONS(953),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(955),
    [sym__eq_custom] = ACTIONS(969),
    [sym__eq_eq_custom] = ACTIONS(969),
    [sym__plus_then_ws] = ACTIONS(969),
    [sym__minus_then_ws] = ACTIONS(969),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [157] = {
    [sym_simple_identifier] = STATE(2072),
    [sym__contextual_simple_identifier] = STATE(2016),
    [sym__basic_literal] = STATE(1260),
    [sym_boolean_literal] = STATE(1260),
    [sym__string_literal] = STATE(1260),
    [sym_line_string_literal] = STATE(1260),
    [sym_multi_line_string_literal] = STATE(1260),
    [sym_raw_string_literal] = STATE(1260),
    [sym_regex_literal] = STATE(1260),
    [sym__multiline_regex_literal] = STATE(2164),
    [sym_user_type] = STATE(5497),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5497),
    [sym_dictionary_type] = STATE(5497),
    [sym__expression] = STATE(1260),
    [sym__unary_expression] = STATE(1260),
    [sym_postfix_expression] = STATE(1260),
    [sym_constructor_expression] = STATE(1260),
    [sym__parenthesized_type] = STATE(6725),
    [sym_navigation_expression] = STATE(1260),
    [sym__navigable_type_expression] = STATE(6724),
    [sym_open_start_range_expression] = STATE(1260),
    [sym__range_operator] = STATE(467),
    [sym_open_end_range_expression] = STATE(1260),
    [sym_prefix_expression] = STATE(1260),
    [sym_as_expression] = STATE(1260),
    [sym_selector_expression] = STATE(1260),
    [sym__binary_expression] = STATE(1260),
    [sym_multiplicative_expression] = STATE(1260),
    [sym_additive_expression] = STATE(1260),
    [sym_range_expression] = STATE(1260),
    [sym_infix_expression] = STATE(1260),
    [sym_nil_coalescing_expression] = STATE(1260),
    [sym_check_expression] = STATE(1260),
    [sym_comparison_expression] = STATE(1260),
    [sym_equality_expression] = STATE(1260),
    [sym_conjunction_expression] = STATE(1260),
    [sym_disjunction_expression] = STATE(1260),
    [sym_bitwise_operation] = STATE(1260),
    [sym_custom_operator] = STATE(835),
    [sym_try_expression] = STATE(1260),
    [sym_await_expression] = STATE(1260),
    [sym__await_operator] = STATE(466),
    [sym_ternary_expression] = STATE(1260),
    [sym_call_expression] = STATE(1260),
    [sym__primary_expression] = STATE(1260),
    [sym_tuple_expression] = STATE(1260),
    [sym_array_literal] = STATE(1260),
    [sym_dictionary_literal] = STATE(1260),
    [sym__special_literal] = STATE(1260),
    [sym__playground_literal] = STATE(1260),
    [sym_lambda_literal] = STATE(1260),
    [sym_self_expression] = STATE(1260),
    [sym_super_expression] = STATE(1260),
    [sym_if_statement] = STATE(1260),
    [sym_switch_statement] = STATE(1260),
    [sym_key_path_expression] = STATE(1260),
    [sym_key_path_string_expression] = STATE(1260),
    [sym_try_operator] = STATE(455),
    [sym__assignment_and_operator] = STATE(1260),
    [sym__equality_operator] = STATE(1260),
    [sym__comparison_operator] = STATE(1260),
    [sym__three_dot_operator] = STATE(837),
    [sym__open_ended_range_operator] = STATE(467),
    [sym__additive_operator] = STATE(1260),
    [sym__multiplicative_operator] = STATE(1260),
    [sym__prefix_unary_operator] = STATE(468),
    [sym_directly_assignable_expression] = STATE(5498),
    [sym_assignment] = STATE(1260),
    [sym_value_parameter_pack] = STATE(1260),
    [sym_value_pack_expansion] = STATE(1260),
    [sym__referenceable_operator] = STATE(1260),
    [sym__equal_sign] = STATE(1260),
    [sym__eq_eq] = STATE(1260),
    [sym__dot] = STATE(468),
    [sym_bang] = STATE(835),
    [sym__parameter_ownership_modifier] = STATE(2016),
    [aux_sym_raw_string_literal_repeat1] = STATE(6553),
    [ts_builtin_sym_end] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(971),
    [aux_sym_simple_identifier_token2] = ACTIONS(973),
    [aux_sym_simple_identifier_token3] = ACTIONS(973),
    [aux_sym_simple_identifier_token4] = ACTIONS(973),
    [anon_sym_actor] = ACTIONS(971),
    [anon_sym_async] = ACTIONS(971),
    [anon_sym_each] = ACTIONS(975),
    [anon_sym_lazy] = ACTIONS(971),
    [anon_sym_repeat] = ACTIONS(977),
    [anon_sym_package] = ACTIONS(971),
    [anon_sym_nil] = ACTIONS(979),
    [sym_real_literal] = ACTIONS(981),
    [sym_integer_literal] = ACTIONS(979),
    [sym_hex_literal] = ACTIONS(981),
    [sym_oct_literal] = ACTIONS(981),
    [sym_bin_literal] = ACTIONS(981),
    [anon_sym_true] = ACTIONS(983),
    [anon_sym_false] = ACTIONS(983),
    [anon_sym_DQUOTE] = ACTIONS(985),
    [anon_sym_BSLASH] = ACTIONS(987),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(989),
    [anon_sym_COMMA] = ACTIONS(631),
    [sym__extended_regex_literal] = ACTIONS(991),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(993),
    [sym__oneline_regex_literal] = ACTIONS(995),
    [anon_sym_LPAREN] = ACTIONS(997),
    [anon_sym_LBRACK] = ACTIONS(999),
    [anon_sym_QMARK] = ACTIONS(637),
    [anon_sym_QMARK2] = ACTIONS(631),
    [anon_sym_AMP] = ACTIONS(1001),
    [anon_sym_if] = ACTIONS(1003),
    [anon_sym_switch] = ACTIONS(1005),
    [anon_sym_POUNDselector] = ACTIONS(1007),
    [aux_sym_custom_operator_token1] = ACTIONS(1009),
    [anon_sym_LT] = ACTIONS(979),
    [anon_sym_GT] = ACTIONS(979),
    [anon_sym_await] = ACTIONS(1011),
    [anon_sym_POUNDfile] = ACTIONS(979),
    [anon_sym_POUNDfileID] = ACTIONS(981),
    [anon_sym_POUNDfilePath] = ACTIONS(981),
    [anon_sym_POUNDline] = ACTIONS(981),
    [anon_sym_POUNDcolumn] = ACTIONS(981),
    [anon_sym_POUNDfunction] = ACTIONS(981),
    [anon_sym_POUNDdsohandle] = ACTIONS(981),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(1013),
    [anon_sym_POUNDfileLiteral] = ACTIONS(1013),
    [anon_sym_POUNDimageLiteral] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(1015),
    [anon_sym_CARET_LBRACE] = ACTIONS(1015),
    [anon_sym_RBRACE] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(1017),
    [anon_sym_super] = ACTIONS(1019),
    [anon_sym_POUNDkeyPath] = ACTIONS(1021),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(981),
    [anon_sym_DASH_EQ] = ACTIONS(981),
    [anon_sym_STAR_EQ] = ACTIONS(981),
    [anon_sym_SLASH_EQ] = ACTIONS(981),
    [anon_sym_PERCENT_EQ] = ACTIONS(981),
    [anon_sym_BANG_EQ] = ACTIONS(979),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(981),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(981),
    [anon_sym_LT_EQ] = ACTIONS(981),
    [anon_sym_GT_EQ] = ACTIONS(981),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1023),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1025),
    [anon_sym_is] = ACTIONS(637),
    [anon_sym_PLUS] = ACTIONS(1027),
    [anon_sym_DASH] = ACTIONS(1027),
    [anon_sym_STAR] = ACTIONS(979),
    [anon_sym_SLASH] = ACTIONS(979),
    [anon_sym_PERCENT] = ACTIONS(979),
    [anon_sym_PLUS_PLUS] = ACTIONS(1001),
    [anon_sym_DASH_DASH] = ACTIONS(1001),
    [anon_sym_TILDE] = ACTIONS(1001),
    [anon_sym_PIPE] = ACTIONS(981),
    [anon_sym_CARET] = ACTIONS(979),
    [anon_sym_LT_LT] = ACTIONS(981),
    [anon_sym_GT_GT] = ACTIONS(981),
    [anon_sym_BANG2] = ACTIONS(1029),
    [anon_sym_borrowing] = ACTIONS(971),
    [anon_sym_consuming] = ACTIONS(971),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(1031),
    [sym__implicit_semi] = ACTIONS(631),
    [sym__explicit_semi] = ACTIONS(631),
    [sym__dot_custom] = ACTIONS(1033),
    [sym__conjunction_operator_custom] = ACTIONS(631),
    [sym__disjunction_operator_custom] = ACTIONS(631),
    [sym__nil_coalescing_operator_custom] = ACTIONS(631),
    [sym__eq_custom] = ACTIONS(981),
    [sym__eq_eq_custom] = ACTIONS(981),
    [sym__plus_then_ws] = ACTIONS(981),
    [sym__minus_then_ws] = ACTIONS(981),
    [sym__bang_custom] = ACTIONS(1035),
    [sym_where_keyword] = ACTIONS(631),
    [sym__as_custom] = ACTIONS(631),
    [sym__as_quest_custom] = ACTIONS(631),
    [sym__as_bang_custom] = ACTIONS(631),
    [sym__custom_operator] = ACTIONS(1009),
  },
  [158] = {
    [sym_simple_identifier] = STATE(2652),
    [sym__contextual_simple_identifier] = STATE(2374),
    [sym__basic_literal] = STATE(1329),
    [sym_boolean_literal] = STATE(1329),
    [sym__string_literal] = STATE(1329),
    [sym_line_string_literal] = STATE(1329),
    [sym_multi_line_string_literal] = STATE(1329),
    [sym_raw_string_literal] = STATE(1329),
    [sym_regex_literal] = STATE(1329),
    [sym__multiline_regex_literal] = STATE(2929),
    [sym_user_type] = STATE(5419),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5443),
    [sym_dictionary_type] = STATE(5443),
    [sym__expression] = STATE(1329),
    [sym__unary_expression] = STATE(1329),
    [sym_postfix_expression] = STATE(1329),
    [sym_constructor_expression] = STATE(1329),
    [sym__parenthesized_type] = STATE(7012),
    [sym_navigation_expression] = STATE(1329),
    [sym__navigable_type_expression] = STATE(7009),
    [sym_open_start_range_expression] = STATE(1329),
    [sym__range_operator] = STATE(557),
    [sym_open_end_range_expression] = STATE(1329),
    [sym_prefix_expression] = STATE(1329),
    [sym_as_expression] = STATE(1329),
    [sym_selector_expression] = STATE(1329),
    [sym__binary_expression] = STATE(1329),
    [sym_multiplicative_expression] = STATE(1329),
    [sym_additive_expression] = STATE(1329),
    [sym_range_expression] = STATE(1329),
    [sym_infix_expression] = STATE(1329),
    [sym_nil_coalescing_expression] = STATE(1329),
    [sym_check_expression] = STATE(1329),
    [sym_comparison_expression] = STATE(1329),
    [sym_equality_expression] = STATE(1329),
    [sym_conjunction_expression] = STATE(1329),
    [sym_disjunction_expression] = STATE(1329),
    [sym_bitwise_operation] = STATE(1329),
    [sym_custom_operator] = STATE(878),
    [sym_try_expression] = STATE(1329),
    [sym_await_expression] = STATE(1329),
    [sym__await_operator] = STATE(450),
    [sym_ternary_expression] = STATE(1329),
    [sym_call_expression] = STATE(1329),
    [sym__primary_expression] = STATE(1329),
    [sym_tuple_expression] = STATE(1329),
    [sym_array_literal] = STATE(1329),
    [sym_dictionary_literal] = STATE(1329),
    [sym__special_literal] = STATE(1329),
    [sym__playground_literal] = STATE(1329),
    [sym_lambda_literal] = STATE(1329),
    [sym_self_expression] = STATE(1329),
    [sym_super_expression] = STATE(1329),
    [sym_if_statement] = STATE(1329),
    [sym_switch_statement] = STATE(1329),
    [sym_switch_pattern] = STATE(6184),
    [sym_key_path_expression] = STATE(1329),
    [sym_key_path_string_expression] = STATE(1329),
    [sym_try_operator] = STATE(451),
    [sym__assignment_and_operator] = STATE(1329),
    [sym__equality_operator] = STATE(1329),
    [sym__comparison_operator] = STATE(1329),
    [sym__three_dot_operator] = STATE(884),
    [sym__open_ended_range_operator] = STATE(557),
    [sym__additive_operator] = STATE(1329),
    [sym__multiplicative_operator] = STATE(1329),
    [sym__prefix_unary_operator] = STATE(471),
    [sym_directly_assignable_expression] = STATE(5445),
    [sym_assignment] = STATE(1329),
    [sym_value_parameter_pack] = STATE(1329),
    [sym_value_pack_expansion] = STATE(1329),
    [sym__referenceable_operator] = STATE(1329),
    [sym__equal_sign] = STATE(1329),
    [sym__eq_eq] = STATE(1329),
    [sym__dot] = STATE(1023),
    [sym_bang] = STATE(878),
    [sym__universally_allowed_pattern] = STATE(5814),
    [sym__bound_identifier] = STATE(5992),
    [sym__binding_pattern_no_expr] = STATE(7582),
    [sym__binding_pattern_with_expr] = STATE(6863),
    [sym_value_binding_pattern] = STATE(4150),
    [sym__tuple_pattern] = STATE(5814),
    [sym__case_pattern] = STATE(5814),
    [sym__type_casting_pattern] = STATE(5860),
    [sym__binding_pattern] = STATE(5781),
    [sym__parameter_ownership_modifier] = STATE(2374),
    [aux_sym_raw_string_literal_repeat1] = STATE(7006),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(1037),
    [aux_sym_simple_identifier_token2] = ACTIONS(1039),
    [aux_sym_simple_identifier_token3] = ACTIONS(1039),
    [aux_sym_simple_identifier_token4] = ACTIONS(1039),
    [anon_sym_actor] = ACTIONS(1037),
    [anon_sym_async] = ACTIONS(1037),
    [anon_sym_each] = ACTIONS(1041),
    [anon_sym_lazy] = ACTIONS(1037),
    [anon_sym_repeat] = ACTIONS(1043),
    [anon_sym_package] = ACTIONS(1037),
    [anon_sym_nil] = ACTIONS(1045),
    [sym_real_literal] = ACTIONS(1047),
    [sym_integer_literal] = ACTIONS(1045),
    [sym_hex_literal] = ACTIONS(1047),
    [sym_oct_literal] = ACTIONS(1047),
    [sym_bin_literal] = ACTIONS(1047),
    [anon_sym_true] = ACTIONS(1049),
    [anon_sym_false] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_BSLASH] = ACTIONS(1053),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1055),
    [sym__extended_regex_literal] = ACTIONS(1057),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(1059),
    [sym__oneline_regex_literal] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(1063),
    [anon_sym_LBRACK] = ACTIONS(1065),
    [anon_sym_AMP] = ACTIONS(1067),
    [anon_sym_if] = ACTIONS(1069),
    [anon_sym_switch] = ACTIONS(1071),
    [anon_sym_POUNDselector] = ACTIONS(1073),
    [aux_sym_custom_operator_token1] = ACTIONS(1075),
    [anon_sym_LT] = ACTIONS(1045),
    [anon_sym_GT] = ACTIONS(1045),
    [anon_sym_await] = ACTIONS(1077),
    [anon_sym_POUNDfile] = ACTIONS(1045),
    [anon_sym_POUNDfileID] = ACTIONS(1047),
    [anon_sym_POUNDfilePath] = ACTIONS(1047),
    [anon_sym_POUNDline] = ACTIONS(1047),
    [anon_sym_POUNDcolumn] = ACTIONS(1047),
    [anon_sym_POUNDfunction] = ACTIONS(1047),
    [anon_sym_POUNDdsohandle] = ACTIONS(1047),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(1079),
    [anon_sym_POUNDfileLiteral] = ACTIONS(1079),
    [anon_sym_POUNDimageLiteral] = ACTIONS(1079),
    [anon_sym_LBRACE] = ACTIONS(1081),
    [anon_sym_CARET_LBRACE] = ACTIONS(1081),
    [anon_sym_self] = ACTIONS(1083),
    [anon_sym_super] = ACTIONS(1085),
    [anon_sym_case] = ACTIONS(1087),
    [anon_sym_POUNDkeyPath] = ACTIONS(1089),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1047),
    [anon_sym_DASH_EQ] = ACTIONS(1047),
    [anon_sym_STAR_EQ] = ACTIONS(1047),
    [anon_sym_SLASH_EQ] = ACTIONS(1047),
    [anon_sym_PERCENT_EQ] = ACTIONS(1047),
    [anon_sym_BANG_EQ] = ACTIONS(1045),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1047),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1047),
    [anon_sym_LT_EQ] = ACTIONS(1047),
    [anon_sym_GT_EQ] = ACTIONS(1047),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1093),
    [anon_sym_is] = ACTIONS(1095),
    [anon_sym_PLUS] = ACTIONS(1097),
    [anon_sym_DASH] = ACTIONS(1097),
    [anon_sym_STAR] = ACTIONS(1045),
    [anon_sym_SLASH] = ACTIONS(1045),
    [anon_sym_PERCENT] = ACTIONS(1045),
    [anon_sym_PLUS_PLUS] = ACTIONS(1067),
    [anon_sym_DASH_DASH] = ACTIONS(1067),
    [anon_sym_TILDE] = ACTIONS(1067),
    [anon_sym_PIPE] = ACTIONS(1047),
    [anon_sym_CARET] = ACTIONS(1045),
    [anon_sym_LT_LT] = ACTIONS(1047),
    [anon_sym_GT_GT] = ACTIONS(1047),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_BANG2] = ACTIONS(1099),
    [sym_wildcard_pattern] = ACTIONS(1101),
    [anon_sym_borrowing] = ACTIONS(1037),
    [anon_sym_consuming] = ACTIONS(1037),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(1103),
    [sym__dot_custom] = ACTIONS(1105),
    [sym__eq_custom] = ACTIONS(1047),
    [sym__eq_eq_custom] = ACTIONS(1047),
    [sym__plus_then_ws] = ACTIONS(1047),
    [sym__minus_then_ws] = ACTIONS(1047),
    [sym__bang_custom] = ACTIONS(1107),
    [sym__custom_operator] = ACTIONS(1075),
  },
  [159] = {
    [sym_simple_identifier] = STATE(2496),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1343),
    [sym_boolean_literal] = STATE(1343),
    [sym__string_literal] = STATE(1343),
    [sym_line_string_literal] = STATE(1343),
    [sym_multi_line_string_literal] = STATE(1343),
    [sym_raw_string_literal] = STATE(1343),
    [sym_regex_literal] = STATE(1343),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5406),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1343),
    [sym__unary_expression] = STATE(1343),
    [sym_postfix_expression] = STATE(1343),
    [sym_constructor_expression] = STATE(1343),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1343),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1343),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1343),
    [sym_prefix_expression] = STATE(1343),
    [sym_as_expression] = STATE(1343),
    [sym_selector_expression] = STATE(1343),
    [sym__binary_expression] = STATE(1343),
    [sym_multiplicative_expression] = STATE(1343),
    [sym_additive_expression] = STATE(1343),
    [sym_range_expression] = STATE(1343),
    [sym_infix_expression] = STATE(1343),
    [sym_nil_coalescing_expression] = STATE(1343),
    [sym_check_expression] = STATE(1343),
    [sym_comparison_expression] = STATE(1343),
    [sym_equality_expression] = STATE(1343),
    [sym_conjunction_expression] = STATE(1343),
    [sym_disjunction_expression] = STATE(1343),
    [sym_bitwise_operation] = STATE(1343),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1343),
    [sym_await_expression] = STATE(1343),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1343),
    [sym_call_expression] = STATE(1343),
    [sym__primary_expression] = STATE(1343),
    [sym_tuple_expression] = STATE(1343),
    [sym_array_literal] = STATE(1343),
    [sym_dictionary_literal] = STATE(1343),
    [sym__special_literal] = STATE(1343),
    [sym__playground_literal] = STATE(1343),
    [sym_lambda_literal] = STATE(1343),
    [sym_self_expression] = STATE(1343),
    [sym_super_expression] = STATE(1343),
    [sym_if_statement] = STATE(1343),
    [sym_switch_statement] = STATE(1343),
    [sym_key_path_expression] = STATE(1343),
    [sym_key_path_string_expression] = STATE(1343),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1343),
    [sym__equality_operator] = STATE(1343),
    [sym__comparison_operator] = STATE(1343),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1343),
    [sym__multiplicative_operator] = STATE(1343),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1343),
    [sym_value_parameter_pack] = STATE(1343),
    [sym_value_pack_expansion] = STATE(1343),
    [sym__referenceable_operator] = STATE(1343),
    [sym__equal_sign] = STATE(1343),
    [sym__eq_eq] = STATE(1343),
    [sym__dot] = STATE(1033),
    [sym_bang] = STATE(864),
    [sym__universally_allowed_pattern] = STATE(5830),
    [sym__bound_identifier] = STATE(5992),
    [sym__binding_pattern_no_expr] = STATE(7500),
    [sym__binding_pattern_with_expr] = STATE(7399),
    [sym_value_binding_pattern] = STATE(4064),
    [sym__tuple_pattern_item] = STATE(6513),
    [sym__tuple_pattern] = STATE(5830),
    [sym__case_pattern] = STATE(5830),
    [sym__type_casting_pattern] = STATE(5703),
    [sym__binding_pattern] = STATE(5799),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(967),
    [sym_real_literal] = ACTIONS(969),
    [sym_integer_literal] = ACTIONS(967),
    [sym_hex_literal] = ACTIONS(969),
    [sym_oct_literal] = ACTIONS(969),
    [sym_bin_literal] = ACTIONS(969),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(967),
    [anon_sym_GT] = ACTIONS(967),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(967),
    [anon_sym_POUNDfileID] = ACTIONS(969),
    [anon_sym_POUNDfilePath] = ACTIONS(969),
    [anon_sym_POUNDline] = ACTIONS(969),
    [anon_sym_POUNDcolumn] = ACTIONS(969),
    [anon_sym_POUNDfunction] = ACTIONS(969),
    [anon_sym_POUNDdsohandle] = ACTIONS(969),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_case] = ACTIONS(949),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(969),
    [anon_sym_DASH_EQ] = ACTIONS(969),
    [anon_sym_STAR_EQ] = ACTIONS(969),
    [anon_sym_SLASH_EQ] = ACTIONS(969),
    [anon_sym_PERCENT_EQ] = ACTIONS(969),
    [anon_sym_BANG_EQ] = ACTIONS(967),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(969),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(969),
    [anon_sym_LT_EQ] = ACTIONS(969),
    [anon_sym_GT_EQ] = ACTIONS(969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_is] = ACTIONS(951),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(967),
    [anon_sym_SLASH] = ACTIONS(967),
    [anon_sym_PERCENT] = ACTIONS(967),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(969),
    [anon_sym_CARET] = ACTIONS(967),
    [anon_sym_LT_LT] = ACTIONS(969),
    [anon_sym_GT_GT] = ACTIONS(969),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_BANG2] = ACTIONS(795),
    [sym_wildcard_pattern] = ACTIONS(953),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(955),
    [sym__eq_custom] = ACTIONS(969),
    [sym__eq_eq_custom] = ACTIONS(969),
    [sym__plus_then_ws] = ACTIONS(969),
    [sym__minus_then_ws] = ACTIONS(969),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [160] = {
    [sym_simple_identifier] = STATE(2496),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1343),
    [sym_boolean_literal] = STATE(1343),
    [sym__string_literal] = STATE(1343),
    [sym_line_string_literal] = STATE(1343),
    [sym_multi_line_string_literal] = STATE(1343),
    [sym_raw_string_literal] = STATE(1343),
    [sym_regex_literal] = STATE(1343),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5406),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1343),
    [sym__unary_expression] = STATE(1343),
    [sym_postfix_expression] = STATE(1343),
    [sym_constructor_expression] = STATE(1343),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1343),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1343),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1343),
    [sym_prefix_expression] = STATE(1343),
    [sym_as_expression] = STATE(1343),
    [sym_selector_expression] = STATE(1343),
    [sym__binary_expression] = STATE(1343),
    [sym_multiplicative_expression] = STATE(1343),
    [sym_additive_expression] = STATE(1343),
    [sym_range_expression] = STATE(1343),
    [sym_infix_expression] = STATE(1343),
    [sym_nil_coalescing_expression] = STATE(1343),
    [sym_check_expression] = STATE(1343),
    [sym_comparison_expression] = STATE(1343),
    [sym_equality_expression] = STATE(1343),
    [sym_conjunction_expression] = STATE(1343),
    [sym_disjunction_expression] = STATE(1343),
    [sym_bitwise_operation] = STATE(1343),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1343),
    [sym_await_expression] = STATE(1343),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1343),
    [sym_call_expression] = STATE(1343),
    [sym__primary_expression] = STATE(1343),
    [sym_tuple_expression] = STATE(1343),
    [sym_array_literal] = STATE(1343),
    [sym_dictionary_literal] = STATE(1343),
    [sym__special_literal] = STATE(1343),
    [sym__playground_literal] = STATE(1343),
    [sym_lambda_literal] = STATE(1343),
    [sym_self_expression] = STATE(1343),
    [sym_super_expression] = STATE(1343),
    [sym_if_statement] = STATE(1343),
    [sym_switch_statement] = STATE(1343),
    [sym_key_path_expression] = STATE(1343),
    [sym_key_path_string_expression] = STATE(1343),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1343),
    [sym__equality_operator] = STATE(1343),
    [sym__comparison_operator] = STATE(1343),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1343),
    [sym__multiplicative_operator] = STATE(1343),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1343),
    [sym_value_parameter_pack] = STATE(1343),
    [sym_value_pack_expansion] = STATE(1343),
    [sym__referenceable_operator] = STATE(1343),
    [sym__equal_sign] = STATE(1343),
    [sym__eq_eq] = STATE(1343),
    [sym__dot] = STATE(1033),
    [sym_bang] = STATE(864),
    [sym__universally_allowed_pattern] = STATE(5830),
    [sym__bound_identifier] = STATE(5992),
    [sym__binding_pattern_no_expr] = STATE(7500),
    [sym__binding_pattern_with_expr] = STATE(7399),
    [sym_value_binding_pattern] = STATE(4064),
    [sym__tuple_pattern_item] = STATE(6804),
    [sym__tuple_pattern] = STATE(5830),
    [sym__case_pattern] = STATE(5830),
    [sym__type_casting_pattern] = STATE(5703),
    [sym__binding_pattern] = STATE(5799),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(967),
    [sym_real_literal] = ACTIONS(969),
    [sym_integer_literal] = ACTIONS(967),
    [sym_hex_literal] = ACTIONS(969),
    [sym_oct_literal] = ACTIONS(969),
    [sym_bin_literal] = ACTIONS(969),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(967),
    [anon_sym_GT] = ACTIONS(967),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(967),
    [anon_sym_POUNDfileID] = ACTIONS(969),
    [anon_sym_POUNDfilePath] = ACTIONS(969),
    [anon_sym_POUNDline] = ACTIONS(969),
    [anon_sym_POUNDcolumn] = ACTIONS(969),
    [anon_sym_POUNDfunction] = ACTIONS(969),
    [anon_sym_POUNDdsohandle] = ACTIONS(969),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_case] = ACTIONS(949),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(969),
    [anon_sym_DASH_EQ] = ACTIONS(969),
    [anon_sym_STAR_EQ] = ACTIONS(969),
    [anon_sym_SLASH_EQ] = ACTIONS(969),
    [anon_sym_PERCENT_EQ] = ACTIONS(969),
    [anon_sym_BANG_EQ] = ACTIONS(967),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(969),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(969),
    [anon_sym_LT_EQ] = ACTIONS(969),
    [anon_sym_GT_EQ] = ACTIONS(969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_is] = ACTIONS(951),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(967),
    [anon_sym_SLASH] = ACTIONS(967),
    [anon_sym_PERCENT] = ACTIONS(967),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(969),
    [anon_sym_CARET] = ACTIONS(967),
    [anon_sym_LT_LT] = ACTIONS(969),
    [anon_sym_GT_GT] = ACTIONS(969),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_BANG2] = ACTIONS(795),
    [sym_wildcard_pattern] = ACTIONS(953),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(955),
    [sym__eq_custom] = ACTIONS(969),
    [sym__eq_eq_custom] = ACTIONS(969),
    [sym__plus_then_ws] = ACTIONS(969),
    [sym__minus_then_ws] = ACTIONS(969),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [161] = {
    [sym_simple_identifier] = STATE(2530),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1343),
    [sym_boolean_literal] = STATE(1343),
    [sym__string_literal] = STATE(1343),
    [sym_line_string_literal] = STATE(1343),
    [sym_multi_line_string_literal] = STATE(1343),
    [sym_raw_string_literal] = STATE(1343),
    [sym_regex_literal] = STATE(1343),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5406),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1343),
    [sym__unary_expression] = STATE(1343),
    [sym_postfix_expression] = STATE(1343),
    [sym_constructor_expression] = STATE(1343),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1343),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1343),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1343),
    [sym_prefix_expression] = STATE(1343),
    [sym_as_expression] = STATE(1343),
    [sym_selector_expression] = STATE(1343),
    [sym__binary_expression] = STATE(1343),
    [sym_multiplicative_expression] = STATE(1343),
    [sym_additive_expression] = STATE(1343),
    [sym_range_expression] = STATE(1343),
    [sym_infix_expression] = STATE(1343),
    [sym_nil_coalescing_expression] = STATE(1343),
    [sym_check_expression] = STATE(1343),
    [sym_comparison_expression] = STATE(1343),
    [sym_equality_expression] = STATE(1343),
    [sym_conjunction_expression] = STATE(1343),
    [sym_disjunction_expression] = STATE(1343),
    [sym_bitwise_operation] = STATE(1343),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1343),
    [sym_await_expression] = STATE(1343),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1343),
    [sym_call_expression] = STATE(1343),
    [sym__primary_expression] = STATE(1343),
    [sym_tuple_expression] = STATE(1343),
    [sym_array_literal] = STATE(1343),
    [sym_dictionary_literal] = STATE(1343),
    [sym__special_literal] = STATE(1343),
    [sym__playground_literal] = STATE(1343),
    [sym_lambda_literal] = STATE(1343),
    [sym_self_expression] = STATE(1343),
    [sym_super_expression] = STATE(1343),
    [sym_if_statement] = STATE(1343),
    [sym_switch_statement] = STATE(1343),
    [sym_switch_pattern] = STATE(7550),
    [sym_key_path_expression] = STATE(1343),
    [sym_key_path_string_expression] = STATE(1343),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1343),
    [sym__equality_operator] = STATE(1343),
    [sym__comparison_operator] = STATE(1343),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1343),
    [sym__multiplicative_operator] = STATE(1343),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1343),
    [sym_value_parameter_pack] = STATE(1343),
    [sym_value_pack_expansion] = STATE(1343),
    [sym__referenceable_operator] = STATE(1343),
    [sym__equal_sign] = STATE(1343),
    [sym__eq_eq] = STATE(1343),
    [sym__dot] = STATE(1033),
    [sym_bang] = STATE(864),
    [sym__universally_allowed_pattern] = STATE(5830),
    [sym__bound_identifier] = STATE(5992),
    [sym__binding_pattern_no_expr] = STATE(7500),
    [sym__binding_pattern_with_expr] = STATE(7335),
    [sym_value_binding_pattern] = STATE(4064),
    [sym__tuple_pattern] = STATE(5830),
    [sym__case_pattern] = STATE(5830),
    [sym__type_casting_pattern] = STATE(5703),
    [sym__binding_pattern] = STATE(5799),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(967),
    [sym_real_literal] = ACTIONS(969),
    [sym_integer_literal] = ACTIONS(967),
    [sym_hex_literal] = ACTIONS(969),
    [sym_oct_literal] = ACTIONS(969),
    [sym_bin_literal] = ACTIONS(969),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(967),
    [anon_sym_GT] = ACTIONS(967),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(967),
    [anon_sym_POUNDfileID] = ACTIONS(969),
    [anon_sym_POUNDfilePath] = ACTIONS(969),
    [anon_sym_POUNDline] = ACTIONS(969),
    [anon_sym_POUNDcolumn] = ACTIONS(969),
    [anon_sym_POUNDfunction] = ACTIONS(969),
    [anon_sym_POUNDdsohandle] = ACTIONS(969),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_case] = ACTIONS(949),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(969),
    [anon_sym_DASH_EQ] = ACTIONS(969),
    [anon_sym_STAR_EQ] = ACTIONS(969),
    [anon_sym_SLASH_EQ] = ACTIONS(969),
    [anon_sym_PERCENT_EQ] = ACTIONS(969),
    [anon_sym_BANG_EQ] = ACTIONS(967),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(969),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(969),
    [anon_sym_LT_EQ] = ACTIONS(969),
    [anon_sym_GT_EQ] = ACTIONS(969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_is] = ACTIONS(951),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(967),
    [anon_sym_SLASH] = ACTIONS(967),
    [anon_sym_PERCENT] = ACTIONS(967),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(969),
    [anon_sym_CARET] = ACTIONS(967),
    [anon_sym_LT_LT] = ACTIONS(969),
    [anon_sym_GT_GT] = ACTIONS(969),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_BANG2] = ACTIONS(795),
    [sym_wildcard_pattern] = ACTIONS(953),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(955),
    [sym__eq_custom] = ACTIONS(969),
    [sym__eq_eq_custom] = ACTIONS(969),
    [sym__plus_then_ws] = ACTIONS(969),
    [sym__minus_then_ws] = ACTIONS(969),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [162] = {
    [sym_simple_identifier] = STATE(2652),
    [sym__contextual_simple_identifier] = STATE(2374),
    [sym__basic_literal] = STATE(1329),
    [sym_boolean_literal] = STATE(1329),
    [sym__string_literal] = STATE(1329),
    [sym_line_string_literal] = STATE(1329),
    [sym_multi_line_string_literal] = STATE(1329),
    [sym_raw_string_literal] = STATE(1329),
    [sym_regex_literal] = STATE(1329),
    [sym__multiline_regex_literal] = STATE(2929),
    [sym_user_type] = STATE(5419),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5443),
    [sym_dictionary_type] = STATE(5443),
    [sym__expression] = STATE(1329),
    [sym__unary_expression] = STATE(1329),
    [sym_postfix_expression] = STATE(1329),
    [sym_constructor_expression] = STATE(1329),
    [sym__parenthesized_type] = STATE(7012),
    [sym_navigation_expression] = STATE(1329),
    [sym__navigable_type_expression] = STATE(7009),
    [sym_open_start_range_expression] = STATE(1329),
    [sym__range_operator] = STATE(557),
    [sym_open_end_range_expression] = STATE(1329),
    [sym_prefix_expression] = STATE(1329),
    [sym_as_expression] = STATE(1329),
    [sym_selector_expression] = STATE(1329),
    [sym__binary_expression] = STATE(1329),
    [sym_multiplicative_expression] = STATE(1329),
    [sym_additive_expression] = STATE(1329),
    [sym_range_expression] = STATE(1329),
    [sym_infix_expression] = STATE(1329),
    [sym_nil_coalescing_expression] = STATE(1329),
    [sym_check_expression] = STATE(1329),
    [sym_comparison_expression] = STATE(1329),
    [sym_equality_expression] = STATE(1329),
    [sym_conjunction_expression] = STATE(1329),
    [sym_disjunction_expression] = STATE(1329),
    [sym_bitwise_operation] = STATE(1329),
    [sym_custom_operator] = STATE(878),
    [sym_try_expression] = STATE(1329),
    [sym_await_expression] = STATE(1329),
    [sym__await_operator] = STATE(450),
    [sym_ternary_expression] = STATE(1329),
    [sym_call_expression] = STATE(1329),
    [sym__primary_expression] = STATE(1329),
    [sym_tuple_expression] = STATE(1329),
    [sym_array_literal] = STATE(1329),
    [sym_dictionary_literal] = STATE(1329),
    [sym__special_literal] = STATE(1329),
    [sym__playground_literal] = STATE(1329),
    [sym_lambda_literal] = STATE(1329),
    [sym_self_expression] = STATE(1329),
    [sym_super_expression] = STATE(1329),
    [sym_if_statement] = STATE(1329),
    [sym_switch_statement] = STATE(1329),
    [sym_switch_pattern] = STATE(6461),
    [sym_key_path_expression] = STATE(1329),
    [sym_key_path_string_expression] = STATE(1329),
    [sym_try_operator] = STATE(451),
    [sym__assignment_and_operator] = STATE(1329),
    [sym__equality_operator] = STATE(1329),
    [sym__comparison_operator] = STATE(1329),
    [sym__three_dot_operator] = STATE(884),
    [sym__open_ended_range_operator] = STATE(557),
    [sym__additive_operator] = STATE(1329),
    [sym__multiplicative_operator] = STATE(1329),
    [sym__prefix_unary_operator] = STATE(471),
    [sym_directly_assignable_expression] = STATE(5445),
    [sym_assignment] = STATE(1329),
    [sym_value_parameter_pack] = STATE(1329),
    [sym_value_pack_expansion] = STATE(1329),
    [sym__referenceable_operator] = STATE(1329),
    [sym__equal_sign] = STATE(1329),
    [sym__eq_eq] = STATE(1329),
    [sym__dot] = STATE(1023),
    [sym_bang] = STATE(878),
    [sym__universally_allowed_pattern] = STATE(5814),
    [sym__bound_identifier] = STATE(5992),
    [sym__binding_pattern_no_expr] = STATE(7582),
    [sym__binding_pattern_with_expr] = STATE(6863),
    [sym_value_binding_pattern] = STATE(4150),
    [sym__tuple_pattern] = STATE(5814),
    [sym__case_pattern] = STATE(5814),
    [sym__type_casting_pattern] = STATE(5860),
    [sym__binding_pattern] = STATE(5781),
    [sym__parameter_ownership_modifier] = STATE(2374),
    [aux_sym_raw_string_literal_repeat1] = STATE(7006),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(1037),
    [aux_sym_simple_identifier_token2] = ACTIONS(1039),
    [aux_sym_simple_identifier_token3] = ACTIONS(1039),
    [aux_sym_simple_identifier_token4] = ACTIONS(1039),
    [anon_sym_actor] = ACTIONS(1037),
    [anon_sym_async] = ACTIONS(1037),
    [anon_sym_each] = ACTIONS(1041),
    [anon_sym_lazy] = ACTIONS(1037),
    [anon_sym_repeat] = ACTIONS(1043),
    [anon_sym_package] = ACTIONS(1037),
    [anon_sym_nil] = ACTIONS(1045),
    [sym_real_literal] = ACTIONS(1047),
    [sym_integer_literal] = ACTIONS(1045),
    [sym_hex_literal] = ACTIONS(1047),
    [sym_oct_literal] = ACTIONS(1047),
    [sym_bin_literal] = ACTIONS(1047),
    [anon_sym_true] = ACTIONS(1049),
    [anon_sym_false] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_BSLASH] = ACTIONS(1053),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1055),
    [sym__extended_regex_literal] = ACTIONS(1057),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(1059),
    [sym__oneline_regex_literal] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(1063),
    [anon_sym_LBRACK] = ACTIONS(1065),
    [anon_sym_AMP] = ACTIONS(1067),
    [anon_sym_if] = ACTIONS(1069),
    [anon_sym_switch] = ACTIONS(1071),
    [anon_sym_POUNDselector] = ACTIONS(1073),
    [aux_sym_custom_operator_token1] = ACTIONS(1075),
    [anon_sym_LT] = ACTIONS(1045),
    [anon_sym_GT] = ACTIONS(1045),
    [anon_sym_await] = ACTIONS(1077),
    [anon_sym_POUNDfile] = ACTIONS(1045),
    [anon_sym_POUNDfileID] = ACTIONS(1047),
    [anon_sym_POUNDfilePath] = ACTIONS(1047),
    [anon_sym_POUNDline] = ACTIONS(1047),
    [anon_sym_POUNDcolumn] = ACTIONS(1047),
    [anon_sym_POUNDfunction] = ACTIONS(1047),
    [anon_sym_POUNDdsohandle] = ACTIONS(1047),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(1079),
    [anon_sym_POUNDfileLiteral] = ACTIONS(1079),
    [anon_sym_POUNDimageLiteral] = ACTIONS(1079),
    [anon_sym_LBRACE] = ACTIONS(1081),
    [anon_sym_CARET_LBRACE] = ACTIONS(1081),
    [anon_sym_self] = ACTIONS(1083),
    [anon_sym_super] = ACTIONS(1085),
    [anon_sym_case] = ACTIONS(1087),
    [anon_sym_POUNDkeyPath] = ACTIONS(1089),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1047),
    [anon_sym_DASH_EQ] = ACTIONS(1047),
    [anon_sym_STAR_EQ] = ACTIONS(1047),
    [anon_sym_SLASH_EQ] = ACTIONS(1047),
    [anon_sym_PERCENT_EQ] = ACTIONS(1047),
    [anon_sym_BANG_EQ] = ACTIONS(1045),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1047),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1047),
    [anon_sym_LT_EQ] = ACTIONS(1047),
    [anon_sym_GT_EQ] = ACTIONS(1047),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1093),
    [anon_sym_is] = ACTIONS(1095),
    [anon_sym_PLUS] = ACTIONS(1097),
    [anon_sym_DASH] = ACTIONS(1097),
    [anon_sym_STAR] = ACTIONS(1045),
    [anon_sym_SLASH] = ACTIONS(1045),
    [anon_sym_PERCENT] = ACTIONS(1045),
    [anon_sym_PLUS_PLUS] = ACTIONS(1067),
    [anon_sym_DASH_DASH] = ACTIONS(1067),
    [anon_sym_TILDE] = ACTIONS(1067),
    [anon_sym_PIPE] = ACTIONS(1047),
    [anon_sym_CARET] = ACTIONS(1045),
    [anon_sym_LT_LT] = ACTIONS(1047),
    [anon_sym_GT_GT] = ACTIONS(1047),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_BANG2] = ACTIONS(1099),
    [sym_wildcard_pattern] = ACTIONS(1101),
    [anon_sym_borrowing] = ACTIONS(1037),
    [anon_sym_consuming] = ACTIONS(1037),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(1103),
    [sym__dot_custom] = ACTIONS(1105),
    [sym__eq_custom] = ACTIONS(1047),
    [sym__eq_eq_custom] = ACTIONS(1047),
    [sym__plus_then_ws] = ACTIONS(1047),
    [sym__minus_then_ws] = ACTIONS(1047),
    [sym__bang_custom] = ACTIONS(1107),
    [sym__custom_operator] = ACTIONS(1075),
  },
  [163] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1448),
    [sym_boolean_literal] = STATE(1448),
    [sym__string_literal] = STATE(1448),
    [sym_line_string_literal] = STATE(1448),
    [sym_multi_line_string_literal] = STATE(1448),
    [sym_raw_string_literal] = STATE(1448),
    [sym_regex_literal] = STATE(1448),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1448),
    [sym__unary_expression] = STATE(1448),
    [sym_postfix_expression] = STATE(1448),
    [sym_constructor_expression] = STATE(1448),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1448),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1448),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1448),
    [sym_prefix_expression] = STATE(1448),
    [sym_as_expression] = STATE(1448),
    [sym_selector_expression] = STATE(1448),
    [sym__binary_expression] = STATE(1448),
    [sym_multiplicative_expression] = STATE(1448),
    [sym_additive_expression] = STATE(1448),
    [sym_range_expression] = STATE(1448),
    [sym_infix_expression] = STATE(1448),
    [sym_nil_coalescing_expression] = STATE(1448),
    [sym_check_expression] = STATE(1448),
    [sym_comparison_expression] = STATE(1448),
    [sym_equality_expression] = STATE(1448),
    [sym_conjunction_expression] = STATE(1448),
    [sym_disjunction_expression] = STATE(1448),
    [sym_bitwise_operation] = STATE(1448),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1448),
    [sym_await_expression] = STATE(1448),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1448),
    [sym_call_expression] = STATE(1448),
    [sym__primary_expression] = STATE(1448),
    [sym_tuple_expression] = STATE(1448),
    [sym_array_literal] = STATE(1448),
    [sym_dictionary_literal] = STATE(1448),
    [sym__special_literal] = STATE(1448),
    [sym__playground_literal] = STATE(1448),
    [sym_lambda_literal] = STATE(1448),
    [sym_self_expression] = STATE(1448),
    [sym_super_expression] = STATE(1448),
    [sym_if_statement] = STATE(1448),
    [sym_switch_statement] = STATE(1448),
    [sym_key_path_expression] = STATE(1448),
    [sym_key_path_string_expression] = STATE(1448),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1448),
    [sym__equality_operator] = STATE(1448),
    [sym__comparison_operator] = STATE(1448),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1448),
    [sym__multiplicative_operator] = STATE(1448),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1448),
    [sym_value_parameter_pack] = STATE(1448),
    [sym_value_pack_expansion] = STATE(1448),
    [sym__referenceable_operator] = STATE(1448),
    [sym__equal_sign] = STATE(1448),
    [sym__eq_eq] = STATE(1448),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [ts_builtin_sym_end] = ACTIONS(425),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1109),
    [sym_real_literal] = ACTIONS(1111),
    [sym_integer_literal] = ACTIONS(1109),
    [sym_hex_literal] = ACTIONS(1111),
    [sym_oct_literal] = ACTIONS(1111),
    [sym_bin_literal] = ACTIONS(1111),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [anon_sym_COMMA] = ACTIONS(425),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(425),
    [anon_sym_LBRACK] = ACTIONS(425),
    [anon_sym_QMARK] = ACTIONS(407),
    [anon_sym_QMARK2] = ACTIONS(425),
    [anon_sym_AMP] = ACTIONS(425),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(425),
    [anon_sym_LT] = ACTIONS(407),
    [anon_sym_GT] = ACTIONS(407),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1109),
    [anon_sym_POUNDfileID] = ACTIONS(1111),
    [anon_sym_POUNDfilePath] = ACTIONS(1111),
    [anon_sym_POUNDline] = ACTIONS(1111),
    [anon_sym_POUNDcolumn] = ACTIONS(1111),
    [anon_sym_POUNDfunction] = ACTIONS(1111),
    [anon_sym_POUNDdsohandle] = ACTIONS(1111),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(425),
    [anon_sym_CARET_LBRACE] = ACTIONS(425),
    [anon_sym_RBRACE] = ACTIONS(425),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(425),
    [anon_sym_DASH_EQ] = ACTIONS(425),
    [anon_sym_STAR_EQ] = ACTIONS(425),
    [anon_sym_SLASH_EQ] = ACTIONS(425),
    [anon_sym_PERCENT_EQ] = ACTIONS(425),
    [anon_sym_BANG_EQ] = ACTIONS(407),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(425),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(425),
    [anon_sym_LT_EQ] = ACTIONS(425),
    [anon_sym_GT_EQ] = ACTIONS(425),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(425),
    [anon_sym_DOT_DOT_LT] = ACTIONS(425),
    [anon_sym_is] = ACTIONS(407),
    [anon_sym_PLUS] = ACTIONS(407),
    [anon_sym_DASH] = ACTIONS(407),
    [anon_sym_STAR] = ACTIONS(407),
    [anon_sym_SLASH] = ACTIONS(407),
    [anon_sym_PERCENT] = ACTIONS(407),
    [anon_sym_PLUS_PLUS] = ACTIONS(425),
    [anon_sym_DASH_DASH] = ACTIONS(425),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(425),
    [anon_sym_CARET] = ACTIONS(407),
    [anon_sym_LT_LT] = ACTIONS(425),
    [anon_sym_GT_GT] = ACTIONS(425),
    [anon_sym_BANG2] = ACTIONS(407),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__implicit_semi] = ACTIONS(425),
    [sym__explicit_semi] = ACTIONS(425),
    [sym__dot_custom] = ACTIONS(425),
    [sym__conjunction_operator_custom] = ACTIONS(425),
    [sym__disjunction_operator_custom] = ACTIONS(425),
    [sym__nil_coalescing_operator_custom] = ACTIONS(425),
    [sym__eq_custom] = ACTIONS(425),
    [sym__eq_eq_custom] = ACTIONS(425),
    [sym__plus_then_ws] = ACTIONS(425),
    [sym__minus_then_ws] = ACTIONS(425),
    [sym__bang_custom] = ACTIONS(425),
    [sym_where_keyword] = ACTIONS(425),
    [sym__as_custom] = ACTIONS(425),
    [sym__as_quest_custom] = ACTIONS(425),
    [sym__as_bang_custom] = ACTIONS(425),
    [sym__custom_operator] = ACTIONS(425),
  },
  [164] = {
    [sym_simple_identifier] = STATE(2072),
    [sym__contextual_simple_identifier] = STATE(2016),
    [sym__basic_literal] = STATE(1257),
    [sym_boolean_literal] = STATE(1257),
    [sym__string_literal] = STATE(1257),
    [sym_line_string_literal] = STATE(1257),
    [sym_multi_line_string_literal] = STATE(1257),
    [sym_raw_string_literal] = STATE(1257),
    [sym_regex_literal] = STATE(1257),
    [sym__multiline_regex_literal] = STATE(2164),
    [sym_user_type] = STATE(5497),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5497),
    [sym_dictionary_type] = STATE(5497),
    [sym__expression] = STATE(1257),
    [sym__unary_expression] = STATE(1257),
    [sym_postfix_expression] = STATE(1257),
    [sym_constructor_expression] = STATE(1257),
    [sym__parenthesized_type] = STATE(6725),
    [sym_navigation_expression] = STATE(1257),
    [sym__navigable_type_expression] = STATE(6724),
    [sym_open_start_range_expression] = STATE(1257),
    [sym__range_operator] = STATE(467),
    [sym_open_end_range_expression] = STATE(1257),
    [sym_prefix_expression] = STATE(1257),
    [sym_as_expression] = STATE(1257),
    [sym_selector_expression] = STATE(1257),
    [sym__binary_expression] = STATE(1257),
    [sym_multiplicative_expression] = STATE(1257),
    [sym_additive_expression] = STATE(1257),
    [sym_range_expression] = STATE(1257),
    [sym_infix_expression] = STATE(1257),
    [sym_nil_coalescing_expression] = STATE(1257),
    [sym_check_expression] = STATE(1257),
    [sym_comparison_expression] = STATE(1257),
    [sym_equality_expression] = STATE(1257),
    [sym_conjunction_expression] = STATE(1257),
    [sym_disjunction_expression] = STATE(1257),
    [sym_bitwise_operation] = STATE(1257),
    [sym_custom_operator] = STATE(835),
    [sym_try_expression] = STATE(1257),
    [sym_await_expression] = STATE(1257),
    [sym__await_operator] = STATE(466),
    [sym_ternary_expression] = STATE(1257),
    [sym_call_expression] = STATE(1257),
    [sym__primary_expression] = STATE(1257),
    [sym_tuple_expression] = STATE(1257),
    [sym_array_literal] = STATE(1257),
    [sym_dictionary_literal] = STATE(1257),
    [sym__special_literal] = STATE(1257),
    [sym__playground_literal] = STATE(1257),
    [sym_lambda_literal] = STATE(1257),
    [sym_self_expression] = STATE(1257),
    [sym_super_expression] = STATE(1257),
    [sym_if_statement] = STATE(1257),
    [sym_switch_statement] = STATE(1257),
    [sym_key_path_expression] = STATE(1257),
    [sym_key_path_string_expression] = STATE(1257),
    [sym_try_operator] = STATE(455),
    [sym__assignment_and_operator] = STATE(1257),
    [sym__equality_operator] = STATE(1257),
    [sym__comparison_operator] = STATE(1257),
    [sym__three_dot_operator] = STATE(837),
    [sym__open_ended_range_operator] = STATE(467),
    [sym__additive_operator] = STATE(1257),
    [sym__multiplicative_operator] = STATE(1257),
    [sym__prefix_unary_operator] = STATE(468),
    [sym_directly_assignable_expression] = STATE(5498),
    [sym_assignment] = STATE(1257),
    [sym_value_parameter_pack] = STATE(1257),
    [sym_value_pack_expansion] = STATE(1257),
    [sym__referenceable_operator] = STATE(1257),
    [sym__equal_sign] = STATE(1257),
    [sym__eq_eq] = STATE(1257),
    [sym__dot] = STATE(468),
    [sym_bang] = STATE(835),
    [sym__parameter_ownership_modifier] = STATE(2016),
    [aux_sym_raw_string_literal_repeat1] = STATE(6553),
    [ts_builtin_sym_end] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(971),
    [aux_sym_simple_identifier_token2] = ACTIONS(973),
    [aux_sym_simple_identifier_token3] = ACTIONS(973),
    [aux_sym_simple_identifier_token4] = ACTIONS(973),
    [anon_sym_actor] = ACTIONS(971),
    [anon_sym_async] = ACTIONS(971),
    [anon_sym_each] = ACTIONS(975),
    [anon_sym_lazy] = ACTIONS(971),
    [anon_sym_repeat] = ACTIONS(977),
    [anon_sym_package] = ACTIONS(971),
    [anon_sym_nil] = ACTIONS(1113),
    [sym_real_literal] = ACTIONS(1115),
    [sym_integer_literal] = ACTIONS(1113),
    [sym_hex_literal] = ACTIONS(1115),
    [sym_oct_literal] = ACTIONS(1115),
    [sym_bin_literal] = ACTIONS(1115),
    [anon_sym_true] = ACTIONS(983),
    [anon_sym_false] = ACTIONS(983),
    [anon_sym_DQUOTE] = ACTIONS(985),
    [anon_sym_BSLASH] = ACTIONS(987),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(989),
    [anon_sym_COMMA] = ACTIONS(631),
    [sym__extended_regex_literal] = ACTIONS(991),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(993),
    [sym__oneline_regex_literal] = ACTIONS(995),
    [anon_sym_LPAREN] = ACTIONS(997),
    [anon_sym_LBRACK] = ACTIONS(999),
    [anon_sym_QMARK] = ACTIONS(637),
    [anon_sym_QMARK2] = ACTIONS(631),
    [anon_sym_AMP] = ACTIONS(1001),
    [anon_sym_if] = ACTIONS(1003),
    [anon_sym_switch] = ACTIONS(1005),
    [anon_sym_POUNDselector] = ACTIONS(1007),
    [aux_sym_custom_operator_token1] = ACTIONS(1009),
    [anon_sym_LT] = ACTIONS(1113),
    [anon_sym_GT] = ACTIONS(1113),
    [anon_sym_await] = ACTIONS(1011),
    [anon_sym_POUNDfile] = ACTIONS(1113),
    [anon_sym_POUNDfileID] = ACTIONS(1115),
    [anon_sym_POUNDfilePath] = ACTIONS(1115),
    [anon_sym_POUNDline] = ACTIONS(1115),
    [anon_sym_POUNDcolumn] = ACTIONS(1115),
    [anon_sym_POUNDfunction] = ACTIONS(1115),
    [anon_sym_POUNDdsohandle] = ACTIONS(1115),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(1013),
    [anon_sym_POUNDfileLiteral] = ACTIONS(1013),
    [anon_sym_POUNDimageLiteral] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(1015),
    [anon_sym_CARET_LBRACE] = ACTIONS(1015),
    [anon_sym_RBRACE] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(1017),
    [anon_sym_super] = ACTIONS(1019),
    [anon_sym_POUNDkeyPath] = ACTIONS(1021),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1115),
    [anon_sym_DASH_EQ] = ACTIONS(1115),
    [anon_sym_STAR_EQ] = ACTIONS(1115),
    [anon_sym_SLASH_EQ] = ACTIONS(1115),
    [anon_sym_PERCENT_EQ] = ACTIONS(1115),
    [anon_sym_BANG_EQ] = ACTIONS(1113),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1115),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1115),
    [anon_sym_LT_EQ] = ACTIONS(1115),
    [anon_sym_GT_EQ] = ACTIONS(1115),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1023),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1025),
    [anon_sym_is] = ACTIONS(637),
    [anon_sym_PLUS] = ACTIONS(1027),
    [anon_sym_DASH] = ACTIONS(1027),
    [anon_sym_STAR] = ACTIONS(1113),
    [anon_sym_SLASH] = ACTIONS(1113),
    [anon_sym_PERCENT] = ACTIONS(1113),
    [anon_sym_PLUS_PLUS] = ACTIONS(1001),
    [anon_sym_DASH_DASH] = ACTIONS(1001),
    [anon_sym_TILDE] = ACTIONS(1001),
    [anon_sym_PIPE] = ACTIONS(1115),
    [anon_sym_CARET] = ACTIONS(1113),
    [anon_sym_LT_LT] = ACTIONS(1115),
    [anon_sym_GT_GT] = ACTIONS(1115),
    [anon_sym_BANG2] = ACTIONS(1029),
    [anon_sym_borrowing] = ACTIONS(971),
    [anon_sym_consuming] = ACTIONS(971),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(1031),
    [sym__implicit_semi] = ACTIONS(631),
    [sym__explicit_semi] = ACTIONS(631),
    [sym__dot_custom] = ACTIONS(1033),
    [sym__conjunction_operator_custom] = ACTIONS(631),
    [sym__disjunction_operator_custom] = ACTIONS(631),
    [sym__nil_coalescing_operator_custom] = ACTIONS(631),
    [sym__eq_custom] = ACTIONS(1115),
    [sym__eq_eq_custom] = ACTIONS(1115),
    [sym__plus_then_ws] = ACTIONS(1115),
    [sym__minus_then_ws] = ACTIONS(1115),
    [sym__bang_custom] = ACTIONS(1035),
    [sym_where_keyword] = ACTIONS(631),
    [sym__as_custom] = ACTIONS(631),
    [sym__as_quest_custom] = ACTIONS(631),
    [sym__as_bang_custom] = ACTIONS(631),
    [sym__custom_operator] = ACTIONS(1009),
  },
  [165] = {
    [sym_simple_identifier] = STATE(2496),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1343),
    [sym_boolean_literal] = STATE(1343),
    [sym__string_literal] = STATE(1343),
    [sym_line_string_literal] = STATE(1343),
    [sym_multi_line_string_literal] = STATE(1343),
    [sym_raw_string_literal] = STATE(1343),
    [sym_regex_literal] = STATE(1343),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5406),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1343),
    [sym__unary_expression] = STATE(1343),
    [sym_postfix_expression] = STATE(1343),
    [sym_constructor_expression] = STATE(1343),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1343),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1343),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1343),
    [sym_prefix_expression] = STATE(1343),
    [sym_as_expression] = STATE(1343),
    [sym_selector_expression] = STATE(1343),
    [sym__binary_expression] = STATE(1343),
    [sym_multiplicative_expression] = STATE(1343),
    [sym_additive_expression] = STATE(1343),
    [sym_range_expression] = STATE(1343),
    [sym_infix_expression] = STATE(1343),
    [sym_nil_coalescing_expression] = STATE(1343),
    [sym_check_expression] = STATE(1343),
    [sym_comparison_expression] = STATE(1343),
    [sym_equality_expression] = STATE(1343),
    [sym_conjunction_expression] = STATE(1343),
    [sym_disjunction_expression] = STATE(1343),
    [sym_bitwise_operation] = STATE(1343),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1343),
    [sym_await_expression] = STATE(1343),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1343),
    [sym_call_expression] = STATE(1343),
    [sym__primary_expression] = STATE(1343),
    [sym_tuple_expression] = STATE(1343),
    [sym_array_literal] = STATE(1343),
    [sym_dictionary_literal] = STATE(1343),
    [sym__special_literal] = STATE(1343),
    [sym__playground_literal] = STATE(1343),
    [sym_lambda_literal] = STATE(1343),
    [sym_self_expression] = STATE(1343),
    [sym_super_expression] = STATE(1343),
    [sym_if_statement] = STATE(1343),
    [sym_switch_statement] = STATE(1343),
    [sym_key_path_expression] = STATE(1343),
    [sym_key_path_string_expression] = STATE(1343),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1343),
    [sym__equality_operator] = STATE(1343),
    [sym__comparison_operator] = STATE(1343),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1343),
    [sym__multiplicative_operator] = STATE(1343),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1343),
    [sym_value_parameter_pack] = STATE(1343),
    [sym_value_pack_expansion] = STATE(1343),
    [sym__referenceable_operator] = STATE(1343),
    [sym__equal_sign] = STATE(1343),
    [sym__eq_eq] = STATE(1343),
    [sym__dot] = STATE(1033),
    [sym_bang] = STATE(864),
    [sym__universally_allowed_pattern] = STATE(5830),
    [sym__bound_identifier] = STATE(5992),
    [sym__binding_pattern_no_expr] = STATE(7500),
    [sym__binding_pattern_with_expr] = STATE(7399),
    [sym_value_binding_pattern] = STATE(4064),
    [sym__tuple_pattern_item] = STATE(7355),
    [sym__tuple_pattern] = STATE(5830),
    [sym__case_pattern] = STATE(5830),
    [sym__type_casting_pattern] = STATE(5703),
    [sym__binding_pattern] = STATE(5799),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(967),
    [sym_real_literal] = ACTIONS(969),
    [sym_integer_literal] = ACTIONS(967),
    [sym_hex_literal] = ACTIONS(969),
    [sym_oct_literal] = ACTIONS(969),
    [sym_bin_literal] = ACTIONS(969),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(967),
    [anon_sym_GT] = ACTIONS(967),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(967),
    [anon_sym_POUNDfileID] = ACTIONS(969),
    [anon_sym_POUNDfilePath] = ACTIONS(969),
    [anon_sym_POUNDline] = ACTIONS(969),
    [anon_sym_POUNDcolumn] = ACTIONS(969),
    [anon_sym_POUNDfunction] = ACTIONS(969),
    [anon_sym_POUNDdsohandle] = ACTIONS(969),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_case] = ACTIONS(949),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(969),
    [anon_sym_DASH_EQ] = ACTIONS(969),
    [anon_sym_STAR_EQ] = ACTIONS(969),
    [anon_sym_SLASH_EQ] = ACTIONS(969),
    [anon_sym_PERCENT_EQ] = ACTIONS(969),
    [anon_sym_BANG_EQ] = ACTIONS(967),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(969),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(969),
    [anon_sym_LT_EQ] = ACTIONS(969),
    [anon_sym_GT_EQ] = ACTIONS(969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_is] = ACTIONS(951),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(967),
    [anon_sym_SLASH] = ACTIONS(967),
    [anon_sym_PERCENT] = ACTIONS(967),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(969),
    [anon_sym_CARET] = ACTIONS(967),
    [anon_sym_LT_LT] = ACTIONS(969),
    [anon_sym_GT_GT] = ACTIONS(969),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_BANG2] = ACTIONS(795),
    [sym_wildcard_pattern] = ACTIONS(953),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(955),
    [sym__eq_custom] = ACTIONS(969),
    [sym__eq_eq_custom] = ACTIONS(969),
    [sym__plus_then_ws] = ACTIONS(969),
    [sym__minus_then_ws] = ACTIONS(969),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [166] = {
    [sym_simple_identifier] = STATE(2496),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1343),
    [sym_boolean_literal] = STATE(1343),
    [sym__string_literal] = STATE(1343),
    [sym_line_string_literal] = STATE(1343),
    [sym_multi_line_string_literal] = STATE(1343),
    [sym_raw_string_literal] = STATE(1343),
    [sym_regex_literal] = STATE(1343),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5406),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1343),
    [sym__unary_expression] = STATE(1343),
    [sym_postfix_expression] = STATE(1343),
    [sym_constructor_expression] = STATE(1343),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1343),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1343),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1343),
    [sym_prefix_expression] = STATE(1343),
    [sym_as_expression] = STATE(1343),
    [sym_selector_expression] = STATE(1343),
    [sym__binary_expression] = STATE(1343),
    [sym_multiplicative_expression] = STATE(1343),
    [sym_additive_expression] = STATE(1343),
    [sym_range_expression] = STATE(1343),
    [sym_infix_expression] = STATE(1343),
    [sym_nil_coalescing_expression] = STATE(1343),
    [sym_check_expression] = STATE(1343),
    [sym_comparison_expression] = STATE(1343),
    [sym_equality_expression] = STATE(1343),
    [sym_conjunction_expression] = STATE(1343),
    [sym_disjunction_expression] = STATE(1343),
    [sym_bitwise_operation] = STATE(1343),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1343),
    [sym_await_expression] = STATE(1343),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1343),
    [sym_call_expression] = STATE(1343),
    [sym__primary_expression] = STATE(1343),
    [sym_tuple_expression] = STATE(1343),
    [sym_array_literal] = STATE(1343),
    [sym_dictionary_literal] = STATE(1343),
    [sym__special_literal] = STATE(1343),
    [sym__playground_literal] = STATE(1343),
    [sym_lambda_literal] = STATE(1343),
    [sym_self_expression] = STATE(1343),
    [sym_super_expression] = STATE(1343),
    [sym_if_statement] = STATE(1343),
    [sym_switch_statement] = STATE(1343),
    [sym_key_path_expression] = STATE(1343),
    [sym_key_path_string_expression] = STATE(1343),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1343),
    [sym__equality_operator] = STATE(1343),
    [sym__comparison_operator] = STATE(1343),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1343),
    [sym__multiplicative_operator] = STATE(1343),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1343),
    [sym_value_parameter_pack] = STATE(1343),
    [sym_value_pack_expansion] = STATE(1343),
    [sym__referenceable_operator] = STATE(1343),
    [sym__equal_sign] = STATE(1343),
    [sym__eq_eq] = STATE(1343),
    [sym__dot] = STATE(1033),
    [sym_bang] = STATE(864),
    [sym__universally_allowed_pattern] = STATE(5830),
    [sym__bound_identifier] = STATE(5992),
    [sym__binding_pattern_no_expr] = STATE(7500),
    [sym__binding_pattern_with_expr] = STATE(7399),
    [sym_value_binding_pattern] = STATE(4064),
    [sym__tuple_pattern_item] = STATE(6851),
    [sym__tuple_pattern] = STATE(5830),
    [sym__case_pattern] = STATE(5830),
    [sym__type_casting_pattern] = STATE(5703),
    [sym__binding_pattern] = STATE(5799),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(967),
    [sym_real_literal] = ACTIONS(969),
    [sym_integer_literal] = ACTIONS(967),
    [sym_hex_literal] = ACTIONS(969),
    [sym_oct_literal] = ACTIONS(969),
    [sym_bin_literal] = ACTIONS(969),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(967),
    [anon_sym_GT] = ACTIONS(967),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(967),
    [anon_sym_POUNDfileID] = ACTIONS(969),
    [anon_sym_POUNDfilePath] = ACTIONS(969),
    [anon_sym_POUNDline] = ACTIONS(969),
    [anon_sym_POUNDcolumn] = ACTIONS(969),
    [anon_sym_POUNDfunction] = ACTIONS(969),
    [anon_sym_POUNDdsohandle] = ACTIONS(969),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_case] = ACTIONS(949),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(969),
    [anon_sym_DASH_EQ] = ACTIONS(969),
    [anon_sym_STAR_EQ] = ACTIONS(969),
    [anon_sym_SLASH_EQ] = ACTIONS(969),
    [anon_sym_PERCENT_EQ] = ACTIONS(969),
    [anon_sym_BANG_EQ] = ACTIONS(967),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(969),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(969),
    [anon_sym_LT_EQ] = ACTIONS(969),
    [anon_sym_GT_EQ] = ACTIONS(969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_is] = ACTIONS(951),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(967),
    [anon_sym_SLASH] = ACTIONS(967),
    [anon_sym_PERCENT] = ACTIONS(967),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(969),
    [anon_sym_CARET] = ACTIONS(967),
    [anon_sym_LT_LT] = ACTIONS(969),
    [anon_sym_GT_GT] = ACTIONS(969),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_BANG2] = ACTIONS(795),
    [sym_wildcard_pattern] = ACTIONS(953),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(955),
    [sym__eq_custom] = ACTIONS(969),
    [sym__eq_eq_custom] = ACTIONS(969),
    [sym__plus_then_ws] = ACTIONS(969),
    [sym__minus_then_ws] = ACTIONS(969),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [167] = {
    [sym_simple_identifier] = STATE(2496),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1343),
    [sym_boolean_literal] = STATE(1343),
    [sym__string_literal] = STATE(1343),
    [sym_line_string_literal] = STATE(1343),
    [sym_multi_line_string_literal] = STATE(1343),
    [sym_raw_string_literal] = STATE(1343),
    [sym_regex_literal] = STATE(1343),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5406),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1343),
    [sym__unary_expression] = STATE(1343),
    [sym_postfix_expression] = STATE(1343),
    [sym_constructor_expression] = STATE(1343),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1343),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1343),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1343),
    [sym_prefix_expression] = STATE(1343),
    [sym_as_expression] = STATE(1343),
    [sym_selector_expression] = STATE(1343),
    [sym__binary_expression] = STATE(1343),
    [sym_multiplicative_expression] = STATE(1343),
    [sym_additive_expression] = STATE(1343),
    [sym_range_expression] = STATE(1343),
    [sym_infix_expression] = STATE(1343),
    [sym_nil_coalescing_expression] = STATE(1343),
    [sym_check_expression] = STATE(1343),
    [sym_comparison_expression] = STATE(1343),
    [sym_equality_expression] = STATE(1343),
    [sym_conjunction_expression] = STATE(1343),
    [sym_disjunction_expression] = STATE(1343),
    [sym_bitwise_operation] = STATE(1343),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1343),
    [sym_await_expression] = STATE(1343),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1343),
    [sym_call_expression] = STATE(1343),
    [sym__primary_expression] = STATE(1343),
    [sym_tuple_expression] = STATE(1343),
    [sym_array_literal] = STATE(1343),
    [sym_dictionary_literal] = STATE(1343),
    [sym__special_literal] = STATE(1343),
    [sym__playground_literal] = STATE(1343),
    [sym_lambda_literal] = STATE(1343),
    [sym_self_expression] = STATE(1343),
    [sym_super_expression] = STATE(1343),
    [sym_if_statement] = STATE(1343),
    [sym_switch_statement] = STATE(1343),
    [sym_key_path_expression] = STATE(1343),
    [sym_key_path_string_expression] = STATE(1343),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1343),
    [sym__equality_operator] = STATE(1343),
    [sym__comparison_operator] = STATE(1343),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1343),
    [sym__multiplicative_operator] = STATE(1343),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1343),
    [sym_value_parameter_pack] = STATE(1343),
    [sym_value_pack_expansion] = STATE(1343),
    [sym__referenceable_operator] = STATE(1343),
    [sym__equal_sign] = STATE(1343),
    [sym__eq_eq] = STATE(1343),
    [sym__dot] = STATE(1033),
    [sym_bang] = STATE(864),
    [sym__universally_allowed_pattern] = STATE(5830),
    [sym__bound_identifier] = STATE(5992),
    [sym__binding_pattern_no_expr] = STATE(7500),
    [sym__binding_pattern_with_expr] = STATE(7399),
    [sym_value_binding_pattern] = STATE(4064),
    [sym__tuple_pattern_item] = STATE(6966),
    [sym__tuple_pattern] = STATE(5830),
    [sym__case_pattern] = STATE(5830),
    [sym__type_casting_pattern] = STATE(5703),
    [sym__binding_pattern] = STATE(5799),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(967),
    [sym_real_literal] = ACTIONS(969),
    [sym_integer_literal] = ACTIONS(967),
    [sym_hex_literal] = ACTIONS(969),
    [sym_oct_literal] = ACTIONS(969),
    [sym_bin_literal] = ACTIONS(969),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(967),
    [anon_sym_GT] = ACTIONS(967),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(967),
    [anon_sym_POUNDfileID] = ACTIONS(969),
    [anon_sym_POUNDfilePath] = ACTIONS(969),
    [anon_sym_POUNDline] = ACTIONS(969),
    [anon_sym_POUNDcolumn] = ACTIONS(969),
    [anon_sym_POUNDfunction] = ACTIONS(969),
    [anon_sym_POUNDdsohandle] = ACTIONS(969),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_case] = ACTIONS(949),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(969),
    [anon_sym_DASH_EQ] = ACTIONS(969),
    [anon_sym_STAR_EQ] = ACTIONS(969),
    [anon_sym_SLASH_EQ] = ACTIONS(969),
    [anon_sym_PERCENT_EQ] = ACTIONS(969),
    [anon_sym_BANG_EQ] = ACTIONS(967),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(969),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(969),
    [anon_sym_LT_EQ] = ACTIONS(969),
    [anon_sym_GT_EQ] = ACTIONS(969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_is] = ACTIONS(951),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(967),
    [anon_sym_SLASH] = ACTIONS(967),
    [anon_sym_PERCENT] = ACTIONS(967),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(969),
    [anon_sym_CARET] = ACTIONS(967),
    [anon_sym_LT_LT] = ACTIONS(969),
    [anon_sym_GT_GT] = ACTIONS(969),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_BANG2] = ACTIONS(795),
    [sym_wildcard_pattern] = ACTIONS(953),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(955),
    [sym__eq_custom] = ACTIONS(969),
    [sym__eq_eq_custom] = ACTIONS(969),
    [sym__plus_then_ws] = ACTIONS(969),
    [sym__minus_then_ws] = ACTIONS(969),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [168] = {
    [sym_simple_identifier] = STATE(2496),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1343),
    [sym_boolean_literal] = STATE(1343),
    [sym__string_literal] = STATE(1343),
    [sym_line_string_literal] = STATE(1343),
    [sym_multi_line_string_literal] = STATE(1343),
    [sym_raw_string_literal] = STATE(1343),
    [sym_regex_literal] = STATE(1343),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5406),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1343),
    [sym__unary_expression] = STATE(1343),
    [sym_postfix_expression] = STATE(1343),
    [sym_constructor_expression] = STATE(1343),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1343),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1343),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1343),
    [sym_prefix_expression] = STATE(1343),
    [sym_as_expression] = STATE(1343),
    [sym_selector_expression] = STATE(1343),
    [sym__binary_expression] = STATE(1343),
    [sym_multiplicative_expression] = STATE(1343),
    [sym_additive_expression] = STATE(1343),
    [sym_range_expression] = STATE(1343),
    [sym_infix_expression] = STATE(1343),
    [sym_nil_coalescing_expression] = STATE(1343),
    [sym_check_expression] = STATE(1343),
    [sym_comparison_expression] = STATE(1343),
    [sym_equality_expression] = STATE(1343),
    [sym_conjunction_expression] = STATE(1343),
    [sym_disjunction_expression] = STATE(1343),
    [sym_bitwise_operation] = STATE(1343),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1343),
    [sym_await_expression] = STATE(1343),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1343),
    [sym_call_expression] = STATE(1343),
    [sym__primary_expression] = STATE(1343),
    [sym_tuple_expression] = STATE(1343),
    [sym_array_literal] = STATE(1343),
    [sym_dictionary_literal] = STATE(1343),
    [sym__special_literal] = STATE(1343),
    [sym__playground_literal] = STATE(1343),
    [sym_lambda_literal] = STATE(1343),
    [sym_self_expression] = STATE(1343),
    [sym_super_expression] = STATE(1343),
    [sym_if_statement] = STATE(1343),
    [sym_switch_statement] = STATE(1343),
    [sym_key_path_expression] = STATE(1343),
    [sym_key_path_string_expression] = STATE(1343),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1343),
    [sym__equality_operator] = STATE(1343),
    [sym__comparison_operator] = STATE(1343),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1343),
    [sym__multiplicative_operator] = STATE(1343),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1343),
    [sym_value_parameter_pack] = STATE(1343),
    [sym_value_pack_expansion] = STATE(1343),
    [sym__referenceable_operator] = STATE(1343),
    [sym__equal_sign] = STATE(1343),
    [sym__eq_eq] = STATE(1343),
    [sym__dot] = STATE(1033),
    [sym_bang] = STATE(864),
    [sym__universally_allowed_pattern] = STATE(5830),
    [sym__bound_identifier] = STATE(5992),
    [sym__binding_pattern_no_expr] = STATE(7500),
    [sym__binding_pattern_with_expr] = STATE(7399),
    [sym_value_binding_pattern] = STATE(4064),
    [sym__tuple_pattern_item] = STATE(7209),
    [sym__tuple_pattern] = STATE(5830),
    [sym__case_pattern] = STATE(5830),
    [sym__type_casting_pattern] = STATE(5703),
    [sym__binding_pattern] = STATE(5799),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(967),
    [sym_real_literal] = ACTIONS(969),
    [sym_integer_literal] = ACTIONS(967),
    [sym_hex_literal] = ACTIONS(969),
    [sym_oct_literal] = ACTIONS(969),
    [sym_bin_literal] = ACTIONS(969),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(967),
    [anon_sym_GT] = ACTIONS(967),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(967),
    [anon_sym_POUNDfileID] = ACTIONS(969),
    [anon_sym_POUNDfilePath] = ACTIONS(969),
    [anon_sym_POUNDline] = ACTIONS(969),
    [anon_sym_POUNDcolumn] = ACTIONS(969),
    [anon_sym_POUNDfunction] = ACTIONS(969),
    [anon_sym_POUNDdsohandle] = ACTIONS(969),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_case] = ACTIONS(949),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(969),
    [anon_sym_DASH_EQ] = ACTIONS(969),
    [anon_sym_STAR_EQ] = ACTIONS(969),
    [anon_sym_SLASH_EQ] = ACTIONS(969),
    [anon_sym_PERCENT_EQ] = ACTIONS(969),
    [anon_sym_BANG_EQ] = ACTIONS(967),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(969),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(969),
    [anon_sym_LT_EQ] = ACTIONS(969),
    [anon_sym_GT_EQ] = ACTIONS(969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_is] = ACTIONS(951),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(967),
    [anon_sym_SLASH] = ACTIONS(967),
    [anon_sym_PERCENT] = ACTIONS(967),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(969),
    [anon_sym_CARET] = ACTIONS(967),
    [anon_sym_LT_LT] = ACTIONS(969),
    [anon_sym_GT_GT] = ACTIONS(969),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_BANG2] = ACTIONS(795),
    [sym_wildcard_pattern] = ACTIONS(953),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(955),
    [sym__eq_custom] = ACTIONS(969),
    [sym__eq_eq_custom] = ACTIONS(969),
    [sym__plus_then_ws] = ACTIONS(969),
    [sym__minus_then_ws] = ACTIONS(969),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [169] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1427),
    [sym_boolean_literal] = STATE(1427),
    [sym__string_literal] = STATE(1427),
    [sym_line_string_literal] = STATE(1427),
    [sym_multi_line_string_literal] = STATE(1427),
    [sym_raw_string_literal] = STATE(1427),
    [sym_regex_literal] = STATE(1427),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1427),
    [sym__unary_expression] = STATE(1427),
    [sym_postfix_expression] = STATE(1427),
    [sym_constructor_expression] = STATE(1427),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1427),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1427),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1427),
    [sym_prefix_expression] = STATE(1427),
    [sym_as_expression] = STATE(1427),
    [sym_selector_expression] = STATE(1427),
    [sym__binary_expression] = STATE(1427),
    [sym_multiplicative_expression] = STATE(1427),
    [sym_additive_expression] = STATE(1427),
    [sym_range_expression] = STATE(1427),
    [sym_infix_expression] = STATE(1427),
    [sym_nil_coalescing_expression] = STATE(1427),
    [sym_check_expression] = STATE(1427),
    [sym_comparison_expression] = STATE(1427),
    [sym_equality_expression] = STATE(1427),
    [sym_conjunction_expression] = STATE(1427),
    [sym_disjunction_expression] = STATE(1427),
    [sym_bitwise_operation] = STATE(1427),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1427),
    [sym_await_expression] = STATE(1427),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1427),
    [sym_call_expression] = STATE(1427),
    [sym__primary_expression] = STATE(1427),
    [sym_tuple_expression] = STATE(1427),
    [sym_array_literal] = STATE(1427),
    [sym_dictionary_literal] = STATE(1427),
    [sym__special_literal] = STATE(1427),
    [sym__playground_literal] = STATE(1427),
    [sym_lambda_literal] = STATE(1427),
    [sym_self_expression] = STATE(1427),
    [sym_super_expression] = STATE(1427),
    [sym_if_statement] = STATE(1427),
    [sym__if_condition_sequence_item] = STATE(6307),
    [sym__if_let_binding] = STATE(7553),
    [sym_switch_statement] = STATE(1427),
    [sym_key_path_expression] = STATE(1427),
    [sym_key_path_string_expression] = STATE(1427),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1427),
    [sym__equality_operator] = STATE(1427),
    [sym__comparison_operator] = STATE(1427),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1427),
    [sym__multiplicative_operator] = STATE(1427),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1427),
    [sym_value_parameter_pack] = STATE(1427),
    [sym_value_pack_expansion] = STATE(1427),
    [sym_availability_condition] = STATE(6307),
    [sym__referenceable_operator] = STATE(1427),
    [sym__equal_sign] = STATE(1427),
    [sym__eq_eq] = STATE(1427),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__async_modifier] = STATE(6632),
    [sym__direct_or_indirect_binding] = STATE(5779),
    [sym_value_binding_pattern] = STATE(4103),
    [sym__possibly_async_binding_pattern_kind] = STATE(4103),
    [sym__binding_kind_and_pattern] = STATE(5716),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(535),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(413),
    [sym_real_literal] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(413),
    [sym_hex_literal] = ACTIONS(415),
    [sym_oct_literal] = ACTIONS(415),
    [sym_bin_literal] = ACTIONS(415),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_COLON] = ACTIONS(1117),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(413),
    [anon_sym_GT] = ACTIONS(413),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(413),
    [anon_sym_POUNDfileID] = ACTIONS(415),
    [anon_sym_POUNDfilePath] = ACTIONS(415),
    [anon_sym_POUNDline] = ACTIONS(415),
    [anon_sym_POUNDcolumn] = ACTIONS(415),
    [anon_sym_POUNDfunction] = ACTIONS(415),
    [anon_sym_POUNDdsohandle] = ACTIONS(415),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_case] = ACTIONS(817),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(415),
    [anon_sym_DASH_EQ] = ACTIONS(415),
    [anon_sym_STAR_EQ] = ACTIONS(415),
    [anon_sym_SLASH_EQ] = ACTIONS(415),
    [anon_sym_PERCENT_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(415),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(415),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(413),
    [anon_sym_SLASH] = ACTIONS(413),
    [anon_sym_PERCENT] = ACTIONS(413),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_CARET] = ACTIONS(413),
    [anon_sym_LT_LT] = ACTIONS(415),
    [anon_sym_GT_GT] = ACTIONS(415),
    [anon_sym_POUNDavailable] = ACTIONS(451),
    [anon_sym_POUNDunavailable] = ACTIONS(451),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(415),
    [sym__eq_eq_custom] = ACTIONS(415),
    [sym__plus_then_ws] = ACTIONS(415),
    [sym__minus_then_ws] = ACTIONS(415),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [170] = {
    [sym_simple_identifier] = STATE(2530),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1327),
    [sym_boolean_literal] = STATE(1327),
    [sym__string_literal] = STATE(1327),
    [sym_line_string_literal] = STATE(1327),
    [sym_multi_line_string_literal] = STATE(1327),
    [sym_raw_string_literal] = STATE(1327),
    [sym_regex_literal] = STATE(1327),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5406),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1327),
    [sym__unary_expression] = STATE(1327),
    [sym_postfix_expression] = STATE(1327),
    [sym_constructor_expression] = STATE(1327),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1327),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1327),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1327),
    [sym_prefix_expression] = STATE(1327),
    [sym_as_expression] = STATE(1327),
    [sym_selector_expression] = STATE(1327),
    [sym__binary_expression] = STATE(1327),
    [sym_multiplicative_expression] = STATE(1327),
    [sym_additive_expression] = STATE(1327),
    [sym_range_expression] = STATE(1327),
    [sym_infix_expression] = STATE(1327),
    [sym_nil_coalescing_expression] = STATE(1327),
    [sym_check_expression] = STATE(1327),
    [sym_comparison_expression] = STATE(1327),
    [sym_equality_expression] = STATE(1327),
    [sym_conjunction_expression] = STATE(1327),
    [sym_disjunction_expression] = STATE(1327),
    [sym_bitwise_operation] = STATE(1327),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1327),
    [sym_await_expression] = STATE(1327),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1327),
    [sym_call_expression] = STATE(1327),
    [sym__primary_expression] = STATE(1327),
    [sym_tuple_expression] = STATE(1327),
    [sym_array_literal] = STATE(1327),
    [sym_dictionary_literal] = STATE(1327),
    [sym__special_literal] = STATE(1327),
    [sym__playground_literal] = STATE(1327),
    [sym_lambda_literal] = STATE(1327),
    [sym_self_expression] = STATE(1327),
    [sym_super_expression] = STATE(1327),
    [sym_if_statement] = STATE(1327),
    [sym_switch_statement] = STATE(1327),
    [sym_key_path_expression] = STATE(1327),
    [sym_key_path_string_expression] = STATE(1327),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1327),
    [sym__equality_operator] = STATE(1327),
    [sym__comparison_operator] = STATE(1327),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1327),
    [sym__multiplicative_operator] = STATE(1327),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1327),
    [sym_value_parameter_pack] = STATE(1327),
    [sym_value_pack_expansion] = STATE(1327),
    [sym__referenceable_operator] = STATE(1327),
    [sym__equal_sign] = STATE(1327),
    [sym__eq_eq] = STATE(1327),
    [sym__dot] = STATE(1033),
    [sym_bang] = STATE(864),
    [sym__universally_allowed_pattern] = STATE(5830),
    [sym__bound_identifier] = STATE(5992),
    [sym__binding_pattern_no_expr] = STATE(7500),
    [sym__binding_pattern_with_expr] = STATE(7304),
    [sym_value_binding_pattern] = STATE(4064),
    [sym__tuple_pattern] = STATE(5830),
    [sym__case_pattern] = STATE(5830),
    [sym__type_casting_pattern] = STATE(5703),
    [sym__binding_pattern] = STATE(5799),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1119),
    [sym_real_literal] = ACTIONS(1121),
    [sym_integer_literal] = ACTIONS(1119),
    [sym_hex_literal] = ACTIONS(1121),
    [sym_oct_literal] = ACTIONS(1121),
    [sym_bin_literal] = ACTIONS(1121),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1119),
    [anon_sym_GT] = ACTIONS(1119),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1119),
    [anon_sym_POUNDfileID] = ACTIONS(1121),
    [anon_sym_POUNDfilePath] = ACTIONS(1121),
    [anon_sym_POUNDline] = ACTIONS(1121),
    [anon_sym_POUNDcolumn] = ACTIONS(1121),
    [anon_sym_POUNDfunction] = ACTIONS(1121),
    [anon_sym_POUNDdsohandle] = ACTIONS(1121),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_case] = ACTIONS(949),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1121),
    [anon_sym_DASH_EQ] = ACTIONS(1121),
    [anon_sym_STAR_EQ] = ACTIONS(1121),
    [anon_sym_SLASH_EQ] = ACTIONS(1121),
    [anon_sym_PERCENT_EQ] = ACTIONS(1121),
    [anon_sym_BANG_EQ] = ACTIONS(1119),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1121),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1121),
    [anon_sym_LT_EQ] = ACTIONS(1121),
    [anon_sym_GT_EQ] = ACTIONS(1121),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_is] = ACTIONS(951),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1119),
    [anon_sym_SLASH] = ACTIONS(1119),
    [anon_sym_PERCENT] = ACTIONS(1119),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1121),
    [anon_sym_CARET] = ACTIONS(1119),
    [anon_sym_LT_LT] = ACTIONS(1121),
    [anon_sym_GT_GT] = ACTIONS(1121),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_BANG2] = ACTIONS(795),
    [sym_wildcard_pattern] = ACTIONS(953),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(955),
    [sym__eq_custom] = ACTIONS(1121),
    [sym__eq_eq_custom] = ACTIONS(1121),
    [sym__plus_then_ws] = ACTIONS(1121),
    [sym__minus_then_ws] = ACTIONS(1121),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [171] = {
    [sym_simple_identifier] = STATE(2276),
    [sym__contextual_simple_identifier] = STATE(2115),
    [sym__basic_literal] = STATE(1271),
    [sym_boolean_literal] = STATE(1271),
    [sym__string_literal] = STATE(1271),
    [sym_line_string_literal] = STATE(1271),
    [sym_multi_line_string_literal] = STATE(1271),
    [sym_raw_string_literal] = STATE(1271),
    [sym_regex_literal] = STATE(1271),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1271),
    [sym__unary_expression] = STATE(1271),
    [sym_postfix_expression] = STATE(1271),
    [sym_constructor_expression] = STATE(1271),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1271),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1271),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1271),
    [sym_prefix_expression] = STATE(1271),
    [sym_as_expression] = STATE(1271),
    [sym_selector_expression] = STATE(1271),
    [sym__binary_expression] = STATE(1271),
    [sym_multiplicative_expression] = STATE(1271),
    [sym_additive_expression] = STATE(1271),
    [sym_range_expression] = STATE(1271),
    [sym_infix_expression] = STATE(1271),
    [sym_nil_coalescing_expression] = STATE(1271),
    [sym_check_expression] = STATE(1271),
    [sym_comparison_expression] = STATE(1271),
    [sym_equality_expression] = STATE(1271),
    [sym_conjunction_expression] = STATE(1271),
    [sym_disjunction_expression] = STATE(1271),
    [sym_bitwise_operation] = STATE(1271),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1271),
    [sym_await_expression] = STATE(1271),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1271),
    [sym_call_expression] = STATE(1271),
    [sym__primary_expression] = STATE(1271),
    [sym_tuple_expression] = STATE(1271),
    [sym_array_literal] = STATE(1271),
    [sym_dictionary_literal] = STATE(1271),
    [sym__special_literal] = STATE(1271),
    [sym__playground_literal] = STATE(1271),
    [sym_lambda_literal] = STATE(1271),
    [sym_self_expression] = STATE(1271),
    [sym_super_expression] = STATE(1271),
    [sym_if_statement] = STATE(1271),
    [sym_switch_statement] = STATE(1271),
    [sym_key_path_expression] = STATE(1271),
    [sym_key_path_string_expression] = STATE(1271),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1271),
    [sym__equality_operator] = STATE(1271),
    [sym__comparison_operator] = STATE(1271),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1271),
    [sym__multiplicative_operator] = STATE(1271),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym_assignment] = STATE(1271),
    [sym_value_parameter_pack] = STATE(1271),
    [sym_value_pack_expansion] = STATE(1271),
    [sym__referenceable_operator] = STATE(1271),
    [sym__equal_sign] = STATE(1271),
    [sym__eq_eq] = STATE(1271),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__parameter_ownership_modifier] = STATE(2115),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [ts_builtin_sym_end] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(11),
    [aux_sym_simple_identifier_token2] = ACTIONS(13),
    [aux_sym_simple_identifier_token3] = ACTIONS(13),
    [aux_sym_simple_identifier_token4] = ACTIONS(13),
    [anon_sym_actor] = ACTIONS(11),
    [anon_sym_async] = ACTIONS(11),
    [anon_sym_each] = ACTIONS(19),
    [anon_sym_lazy] = ACTIONS(11),
    [anon_sym_repeat] = ACTIONS(937),
    [anon_sym_package] = ACTIONS(11),
    [anon_sym_nil] = ACTIONS(939),
    [sym_real_literal] = ACTIONS(941),
    [sym_integer_literal] = ACTIONS(939),
    [sym_hex_literal] = ACTIONS(941),
    [sym_oct_literal] = ACTIONS(941),
    [sym_bin_literal] = ACTIONS(941),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [anon_sym_COMMA] = ACTIONS(631),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_QMARK] = ACTIONS(637),
    [anon_sym_QMARK2] = ACTIONS(631),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(939),
    [anon_sym_GT] = ACTIONS(939),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(939),
    [anon_sym_POUNDfileID] = ACTIONS(941),
    [anon_sym_POUNDfilePath] = ACTIONS(941),
    [anon_sym_POUNDline] = ACTIONS(941),
    [anon_sym_POUNDcolumn] = ACTIONS(941),
    [anon_sym_POUNDfunction] = ACTIONS(941),
    [anon_sym_POUNDdsohandle] = ACTIONS(941),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_RBRACE] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(65),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(941),
    [anon_sym_DASH_EQ] = ACTIONS(941),
    [anon_sym_STAR_EQ] = ACTIONS(941),
    [anon_sym_SLASH_EQ] = ACTIONS(941),
    [anon_sym_PERCENT_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(941),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(941),
    [anon_sym_LT_EQ] = ACTIONS(941),
    [anon_sym_GT_EQ] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_is] = ACTIONS(637),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(939),
    [anon_sym_SLASH] = ACTIONS(939),
    [anon_sym_PERCENT] = ACTIONS(939),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(941),
    [anon_sym_CARET] = ACTIONS(939),
    [anon_sym_LT_LT] = ACTIONS(941),
    [anon_sym_GT_GT] = ACTIONS(941),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_borrowing] = ACTIONS(11),
    [anon_sym_consuming] = ACTIONS(11),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__implicit_semi] = ACTIONS(631),
    [sym__explicit_semi] = ACTIONS(631),
    [sym__dot_custom] = ACTIONS(149),
    [sym__conjunction_operator_custom] = ACTIONS(631),
    [sym__disjunction_operator_custom] = ACTIONS(631),
    [sym__nil_coalescing_operator_custom] = ACTIONS(631),
    [sym__eq_custom] = ACTIONS(941),
    [sym__eq_eq_custom] = ACTIONS(941),
    [sym__plus_then_ws] = ACTIONS(941),
    [sym__minus_then_ws] = ACTIONS(941),
    [sym__bang_custom] = ACTIONS(151),
    [sym__as_custom] = ACTIONS(631),
    [sym__as_quest_custom] = ACTIONS(631),
    [sym__as_bang_custom] = ACTIONS(631),
    [sym__custom_operator] = ACTIONS(57),
  },
  [172] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1451),
    [sym_boolean_literal] = STATE(1451),
    [sym__string_literal] = STATE(1451),
    [sym_line_string_literal] = STATE(1451),
    [sym_multi_line_string_literal] = STATE(1451),
    [sym_raw_string_literal] = STATE(1451),
    [sym_regex_literal] = STATE(1451),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1451),
    [sym__unary_expression] = STATE(1451),
    [sym_postfix_expression] = STATE(1451),
    [sym_constructor_expression] = STATE(1451),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1451),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1451),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1451),
    [sym_prefix_expression] = STATE(1451),
    [sym_as_expression] = STATE(1451),
    [sym_selector_expression] = STATE(1451),
    [sym__binary_expression] = STATE(1451),
    [sym_multiplicative_expression] = STATE(1451),
    [sym_additive_expression] = STATE(1451),
    [sym_range_expression] = STATE(1451),
    [sym_infix_expression] = STATE(1451),
    [sym_nil_coalescing_expression] = STATE(1451),
    [sym_check_expression] = STATE(1451),
    [sym_comparison_expression] = STATE(1451),
    [sym_equality_expression] = STATE(1451),
    [sym_conjunction_expression] = STATE(1451),
    [sym_disjunction_expression] = STATE(1451),
    [sym_bitwise_operation] = STATE(1451),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1451),
    [sym_await_expression] = STATE(1451),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1451),
    [sym_call_expression] = STATE(1451),
    [sym__primary_expression] = STATE(1451),
    [sym_tuple_expression] = STATE(1451),
    [sym_array_literal] = STATE(1451),
    [sym_dictionary_literal] = STATE(1451),
    [sym__special_literal] = STATE(1451),
    [sym__playground_literal] = STATE(1451),
    [sym_lambda_literal] = STATE(1451),
    [sym_self_expression] = STATE(1451),
    [sym_super_expression] = STATE(1451),
    [sym_if_statement] = STATE(1451),
    [sym_switch_statement] = STATE(1451),
    [sym_key_path_expression] = STATE(1451),
    [sym_key_path_string_expression] = STATE(1451),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1451),
    [sym__equality_operator] = STATE(1451),
    [sym__comparison_operator] = STATE(1451),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1451),
    [sym__multiplicative_operator] = STATE(1451),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1451),
    [sym_value_parameter_pack] = STATE(1451),
    [sym_value_pack_expansion] = STATE(1451),
    [sym__referenceable_operator] = STATE(1451),
    [sym__equal_sign] = STATE(1451),
    [sym__eq_eq] = STATE(1451),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [ts_builtin_sym_end] = ACTIONS(425),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1123),
    [sym_real_literal] = ACTIONS(1125),
    [sym_integer_literal] = ACTIONS(1123),
    [sym_hex_literal] = ACTIONS(1125),
    [sym_oct_literal] = ACTIONS(1125),
    [sym_bin_literal] = ACTIONS(1125),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [anon_sym_COMMA] = ACTIONS(425),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(425),
    [anon_sym_LBRACK] = ACTIONS(425),
    [anon_sym_QMARK] = ACTIONS(407),
    [anon_sym_QMARK2] = ACTIONS(425),
    [anon_sym_AMP] = ACTIONS(425),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(425),
    [anon_sym_LT] = ACTIONS(407),
    [anon_sym_GT] = ACTIONS(407),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1123),
    [anon_sym_POUNDfileID] = ACTIONS(1125),
    [anon_sym_POUNDfilePath] = ACTIONS(1125),
    [anon_sym_POUNDline] = ACTIONS(1125),
    [anon_sym_POUNDcolumn] = ACTIONS(1125),
    [anon_sym_POUNDfunction] = ACTIONS(1125),
    [anon_sym_POUNDdsohandle] = ACTIONS(1125),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(425),
    [anon_sym_CARET_LBRACE] = ACTIONS(425),
    [anon_sym_RBRACE] = ACTIONS(425),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(425),
    [anon_sym_DASH_EQ] = ACTIONS(425),
    [anon_sym_STAR_EQ] = ACTIONS(425),
    [anon_sym_SLASH_EQ] = ACTIONS(425),
    [anon_sym_PERCENT_EQ] = ACTIONS(425),
    [anon_sym_BANG_EQ] = ACTIONS(407),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(425),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(425),
    [anon_sym_LT_EQ] = ACTIONS(425),
    [anon_sym_GT_EQ] = ACTIONS(425),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(425),
    [anon_sym_DOT_DOT_LT] = ACTIONS(425),
    [anon_sym_is] = ACTIONS(407),
    [anon_sym_PLUS] = ACTIONS(407),
    [anon_sym_DASH] = ACTIONS(407),
    [anon_sym_STAR] = ACTIONS(407),
    [anon_sym_SLASH] = ACTIONS(407),
    [anon_sym_PERCENT] = ACTIONS(407),
    [anon_sym_PLUS_PLUS] = ACTIONS(425),
    [anon_sym_DASH_DASH] = ACTIONS(425),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(425),
    [anon_sym_CARET] = ACTIONS(407),
    [anon_sym_LT_LT] = ACTIONS(425),
    [anon_sym_GT_GT] = ACTIONS(425),
    [anon_sym_BANG2] = ACTIONS(407),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__implicit_semi] = ACTIONS(425),
    [sym__explicit_semi] = ACTIONS(425),
    [sym__dot_custom] = ACTIONS(425),
    [sym__conjunction_operator_custom] = ACTIONS(425),
    [sym__disjunction_operator_custom] = ACTIONS(425),
    [sym__nil_coalescing_operator_custom] = ACTIONS(425),
    [sym__eq_custom] = ACTIONS(425),
    [sym__eq_eq_custom] = ACTIONS(425),
    [sym__plus_then_ws] = ACTIONS(425),
    [sym__minus_then_ws] = ACTIONS(425),
    [sym__bang_custom] = ACTIONS(425),
    [sym__as_custom] = ACTIONS(425),
    [sym__as_quest_custom] = ACTIONS(425),
    [sym__as_bang_custom] = ACTIONS(425),
    [sym__custom_operator] = ACTIONS(425),
  },
  [173] = {
    [sym_simple_identifier] = STATE(2530),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1353),
    [sym_boolean_literal] = STATE(1353),
    [sym__string_literal] = STATE(1353),
    [sym_line_string_literal] = STATE(1353),
    [sym_multi_line_string_literal] = STATE(1353),
    [sym_raw_string_literal] = STATE(1353),
    [sym_regex_literal] = STATE(1353),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5406),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1353),
    [sym__unary_expression] = STATE(1353),
    [sym_postfix_expression] = STATE(1353),
    [sym_constructor_expression] = STATE(1353),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1353),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1353),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1353),
    [sym_prefix_expression] = STATE(1353),
    [sym_as_expression] = STATE(1353),
    [sym_selector_expression] = STATE(1353),
    [sym__binary_expression] = STATE(1353),
    [sym_multiplicative_expression] = STATE(1353),
    [sym_additive_expression] = STATE(1353),
    [sym_range_expression] = STATE(1353),
    [sym_infix_expression] = STATE(1353),
    [sym_nil_coalescing_expression] = STATE(1353),
    [sym_check_expression] = STATE(1353),
    [sym_comparison_expression] = STATE(1353),
    [sym_equality_expression] = STATE(1353),
    [sym_conjunction_expression] = STATE(1353),
    [sym_disjunction_expression] = STATE(1353),
    [sym_bitwise_operation] = STATE(1353),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1353),
    [sym_await_expression] = STATE(1353),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1353),
    [sym_call_expression] = STATE(1353),
    [sym__primary_expression] = STATE(1353),
    [sym_tuple_expression] = STATE(1353),
    [sym_array_literal] = STATE(1353),
    [sym_dictionary_literal] = STATE(1353),
    [sym__special_literal] = STATE(1353),
    [sym__playground_literal] = STATE(1353),
    [sym_lambda_literal] = STATE(1353),
    [sym_self_expression] = STATE(1353),
    [sym_super_expression] = STATE(1353),
    [sym_if_statement] = STATE(1353),
    [sym_switch_statement] = STATE(1353),
    [sym_key_path_expression] = STATE(1353),
    [sym_key_path_string_expression] = STATE(1353),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1353),
    [sym__equality_operator] = STATE(1353),
    [sym__comparison_operator] = STATE(1353),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1353),
    [sym__multiplicative_operator] = STATE(1353),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1353),
    [sym_value_parameter_pack] = STATE(1353),
    [sym_value_pack_expansion] = STATE(1353),
    [sym__referenceable_operator] = STATE(1353),
    [sym__equal_sign] = STATE(1353),
    [sym__eq_eq] = STATE(1353),
    [sym__dot] = STATE(1033),
    [sym_bang] = STATE(864),
    [sym__universally_allowed_pattern] = STATE(5830),
    [sym__bound_identifier] = STATE(5992),
    [sym__binding_pattern_no_expr] = STATE(7500),
    [sym__binding_pattern_with_expr] = STATE(7304),
    [sym_value_binding_pattern] = STATE(4064),
    [sym__tuple_pattern] = STATE(5830),
    [sym__case_pattern] = STATE(5830),
    [sym__type_casting_pattern] = STATE(5703),
    [sym__binding_pattern] = STATE(5799),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1127),
    [sym_real_literal] = ACTIONS(1129),
    [sym_integer_literal] = ACTIONS(1127),
    [sym_hex_literal] = ACTIONS(1129),
    [sym_oct_literal] = ACTIONS(1129),
    [sym_bin_literal] = ACTIONS(1129),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1127),
    [anon_sym_GT] = ACTIONS(1127),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1127),
    [anon_sym_POUNDfileID] = ACTIONS(1129),
    [anon_sym_POUNDfilePath] = ACTIONS(1129),
    [anon_sym_POUNDline] = ACTIONS(1129),
    [anon_sym_POUNDcolumn] = ACTIONS(1129),
    [anon_sym_POUNDfunction] = ACTIONS(1129),
    [anon_sym_POUNDdsohandle] = ACTIONS(1129),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_case] = ACTIONS(949),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1129),
    [anon_sym_DASH_EQ] = ACTIONS(1129),
    [anon_sym_STAR_EQ] = ACTIONS(1129),
    [anon_sym_SLASH_EQ] = ACTIONS(1129),
    [anon_sym_PERCENT_EQ] = ACTIONS(1129),
    [anon_sym_BANG_EQ] = ACTIONS(1127),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1129),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1129),
    [anon_sym_LT_EQ] = ACTIONS(1129),
    [anon_sym_GT_EQ] = ACTIONS(1129),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_is] = ACTIONS(951),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1127),
    [anon_sym_SLASH] = ACTIONS(1127),
    [anon_sym_PERCENT] = ACTIONS(1127),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1129),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_LT_LT] = ACTIONS(1129),
    [anon_sym_GT_GT] = ACTIONS(1129),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_BANG2] = ACTIONS(795),
    [sym_wildcard_pattern] = ACTIONS(953),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(955),
    [sym__eq_custom] = ACTIONS(1129),
    [sym__eq_eq_custom] = ACTIONS(1129),
    [sym__plus_then_ws] = ACTIONS(1129),
    [sym__minus_then_ws] = ACTIONS(1129),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [174] = {
    [sym_simple_identifier] = STATE(2276),
    [sym__contextual_simple_identifier] = STATE(2115),
    [sym__basic_literal] = STATE(1268),
    [sym_boolean_literal] = STATE(1268),
    [sym__string_literal] = STATE(1268),
    [sym_line_string_literal] = STATE(1268),
    [sym_multi_line_string_literal] = STATE(1268),
    [sym_raw_string_literal] = STATE(1268),
    [sym_regex_literal] = STATE(1268),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1268),
    [sym__unary_expression] = STATE(1268),
    [sym_postfix_expression] = STATE(1268),
    [sym_constructor_expression] = STATE(1268),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1268),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1268),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1268),
    [sym_prefix_expression] = STATE(1268),
    [sym_as_expression] = STATE(1268),
    [sym_selector_expression] = STATE(1268),
    [sym__binary_expression] = STATE(1268),
    [sym_multiplicative_expression] = STATE(1268),
    [sym_additive_expression] = STATE(1268),
    [sym_range_expression] = STATE(1268),
    [sym_infix_expression] = STATE(1268),
    [sym_nil_coalescing_expression] = STATE(1268),
    [sym_check_expression] = STATE(1268),
    [sym_comparison_expression] = STATE(1268),
    [sym_equality_expression] = STATE(1268),
    [sym_conjunction_expression] = STATE(1268),
    [sym_disjunction_expression] = STATE(1268),
    [sym_bitwise_operation] = STATE(1268),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1268),
    [sym_await_expression] = STATE(1268),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1268),
    [sym_call_expression] = STATE(1268),
    [sym__primary_expression] = STATE(1268),
    [sym_tuple_expression] = STATE(1268),
    [sym_array_literal] = STATE(1268),
    [sym_dictionary_literal] = STATE(1268),
    [sym__special_literal] = STATE(1268),
    [sym__playground_literal] = STATE(1268),
    [sym_lambda_literal] = STATE(1268),
    [sym_self_expression] = STATE(1268),
    [sym_super_expression] = STATE(1268),
    [sym_if_statement] = STATE(1268),
    [sym_switch_statement] = STATE(1268),
    [sym_key_path_expression] = STATE(1268),
    [sym_key_path_string_expression] = STATE(1268),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1268),
    [sym__equality_operator] = STATE(1268),
    [sym__comparison_operator] = STATE(1268),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1268),
    [sym__multiplicative_operator] = STATE(1268),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym_assignment] = STATE(1268),
    [sym_value_parameter_pack] = STATE(1268),
    [sym_value_pack_expansion] = STATE(1268),
    [sym__referenceable_operator] = STATE(1268),
    [sym__equal_sign] = STATE(1268),
    [sym__eq_eq] = STATE(1268),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__parameter_ownership_modifier] = STATE(2115),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [ts_builtin_sym_end] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(11),
    [aux_sym_simple_identifier_token2] = ACTIONS(13),
    [aux_sym_simple_identifier_token3] = ACTIONS(13),
    [aux_sym_simple_identifier_token4] = ACTIONS(13),
    [anon_sym_actor] = ACTIONS(11),
    [anon_sym_async] = ACTIONS(11),
    [anon_sym_each] = ACTIONS(19),
    [anon_sym_lazy] = ACTIONS(11),
    [anon_sym_repeat] = ACTIONS(937),
    [anon_sym_package] = ACTIONS(11),
    [anon_sym_nil] = ACTIONS(961),
    [sym_real_literal] = ACTIONS(963),
    [sym_integer_literal] = ACTIONS(961),
    [sym_hex_literal] = ACTIONS(963),
    [sym_oct_literal] = ACTIONS(963),
    [sym_bin_literal] = ACTIONS(963),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [anon_sym_COMMA] = ACTIONS(631),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_QMARK] = ACTIONS(637),
    [anon_sym_QMARK2] = ACTIONS(631),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(961),
    [anon_sym_GT] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(961),
    [anon_sym_POUNDfileID] = ACTIONS(963),
    [anon_sym_POUNDfilePath] = ACTIONS(963),
    [anon_sym_POUNDline] = ACTIONS(963),
    [anon_sym_POUNDcolumn] = ACTIONS(963),
    [anon_sym_POUNDfunction] = ACTIONS(963),
    [anon_sym_POUNDdsohandle] = ACTIONS(963),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_RBRACE] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(65),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(963),
    [anon_sym_DASH_EQ] = ACTIONS(963),
    [anon_sym_STAR_EQ] = ACTIONS(963),
    [anon_sym_SLASH_EQ] = ACTIONS(963),
    [anon_sym_PERCENT_EQ] = ACTIONS(963),
    [anon_sym_BANG_EQ] = ACTIONS(961),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(963),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(963),
    [anon_sym_LT_EQ] = ACTIONS(963),
    [anon_sym_GT_EQ] = ACTIONS(963),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_is] = ACTIONS(637),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(961),
    [anon_sym_SLASH] = ACTIONS(961),
    [anon_sym_PERCENT] = ACTIONS(961),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(963),
    [anon_sym_CARET] = ACTIONS(961),
    [anon_sym_LT_LT] = ACTIONS(963),
    [anon_sym_GT_GT] = ACTIONS(963),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_borrowing] = ACTIONS(11),
    [anon_sym_consuming] = ACTIONS(11),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__implicit_semi] = ACTIONS(631),
    [sym__explicit_semi] = ACTIONS(631),
    [sym__dot_custom] = ACTIONS(149),
    [sym__conjunction_operator_custom] = ACTIONS(631),
    [sym__disjunction_operator_custom] = ACTIONS(631),
    [sym__nil_coalescing_operator_custom] = ACTIONS(631),
    [sym__eq_custom] = ACTIONS(963),
    [sym__eq_eq_custom] = ACTIONS(963),
    [sym__plus_then_ws] = ACTIONS(963),
    [sym__minus_then_ws] = ACTIONS(963),
    [sym__bang_custom] = ACTIONS(151),
    [sym__as_custom] = ACTIONS(631),
    [sym__as_quest_custom] = ACTIONS(631),
    [sym__as_bang_custom] = ACTIONS(631),
    [sym__custom_operator] = ACTIONS(57),
  },
  [175] = {
    [sym_simple_identifier] = STATE(2530),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1343),
    [sym_boolean_literal] = STATE(1343),
    [sym__string_literal] = STATE(1343),
    [sym_line_string_literal] = STATE(1343),
    [sym_multi_line_string_literal] = STATE(1343),
    [sym_raw_string_literal] = STATE(1343),
    [sym_regex_literal] = STATE(1343),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5406),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1343),
    [sym__unary_expression] = STATE(1343),
    [sym_postfix_expression] = STATE(1343),
    [sym_constructor_expression] = STATE(1343),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1343),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1343),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1343),
    [sym_prefix_expression] = STATE(1343),
    [sym_as_expression] = STATE(1343),
    [sym_selector_expression] = STATE(1343),
    [sym__binary_expression] = STATE(1343),
    [sym_multiplicative_expression] = STATE(1343),
    [sym_additive_expression] = STATE(1343),
    [sym_range_expression] = STATE(1343),
    [sym_infix_expression] = STATE(1343),
    [sym_nil_coalescing_expression] = STATE(1343),
    [sym_check_expression] = STATE(1343),
    [sym_comparison_expression] = STATE(1343),
    [sym_equality_expression] = STATE(1343),
    [sym_conjunction_expression] = STATE(1343),
    [sym_disjunction_expression] = STATE(1343),
    [sym_bitwise_operation] = STATE(1343),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1343),
    [sym_await_expression] = STATE(1343),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1343),
    [sym_call_expression] = STATE(1343),
    [sym__primary_expression] = STATE(1343),
    [sym_tuple_expression] = STATE(1343),
    [sym_array_literal] = STATE(1343),
    [sym_dictionary_literal] = STATE(1343),
    [sym__special_literal] = STATE(1343),
    [sym__playground_literal] = STATE(1343),
    [sym_lambda_literal] = STATE(1343),
    [sym_self_expression] = STATE(1343),
    [sym_super_expression] = STATE(1343),
    [sym_if_statement] = STATE(1343),
    [sym_switch_statement] = STATE(1343),
    [sym_key_path_expression] = STATE(1343),
    [sym_key_path_string_expression] = STATE(1343),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1343),
    [sym__equality_operator] = STATE(1343),
    [sym__comparison_operator] = STATE(1343),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1343),
    [sym__multiplicative_operator] = STATE(1343),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1343),
    [sym_value_parameter_pack] = STATE(1343),
    [sym_value_pack_expansion] = STATE(1343),
    [sym__referenceable_operator] = STATE(1343),
    [sym__equal_sign] = STATE(1343),
    [sym__eq_eq] = STATE(1343),
    [sym__dot] = STATE(1033),
    [sym_bang] = STATE(864),
    [sym__universally_allowed_pattern] = STATE(5830),
    [sym__bound_identifier] = STATE(5992),
    [sym__binding_pattern_no_expr] = STATE(7500),
    [sym__binding_pattern_with_expr] = STATE(7304),
    [sym_value_binding_pattern] = STATE(4064),
    [sym__tuple_pattern] = STATE(5830),
    [sym__case_pattern] = STATE(5830),
    [sym__type_casting_pattern] = STATE(5703),
    [sym__binding_pattern] = STATE(5799),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(967),
    [sym_real_literal] = ACTIONS(969),
    [sym_integer_literal] = ACTIONS(967),
    [sym_hex_literal] = ACTIONS(969),
    [sym_oct_literal] = ACTIONS(969),
    [sym_bin_literal] = ACTIONS(969),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(967),
    [anon_sym_GT] = ACTIONS(967),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(967),
    [anon_sym_POUNDfileID] = ACTIONS(969),
    [anon_sym_POUNDfilePath] = ACTIONS(969),
    [anon_sym_POUNDline] = ACTIONS(969),
    [anon_sym_POUNDcolumn] = ACTIONS(969),
    [anon_sym_POUNDfunction] = ACTIONS(969),
    [anon_sym_POUNDdsohandle] = ACTIONS(969),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_case] = ACTIONS(949),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(969),
    [anon_sym_DASH_EQ] = ACTIONS(969),
    [anon_sym_STAR_EQ] = ACTIONS(969),
    [anon_sym_SLASH_EQ] = ACTIONS(969),
    [anon_sym_PERCENT_EQ] = ACTIONS(969),
    [anon_sym_BANG_EQ] = ACTIONS(967),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(969),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(969),
    [anon_sym_LT_EQ] = ACTIONS(969),
    [anon_sym_GT_EQ] = ACTIONS(969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_is] = ACTIONS(951),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(967),
    [anon_sym_SLASH] = ACTIONS(967),
    [anon_sym_PERCENT] = ACTIONS(967),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(969),
    [anon_sym_CARET] = ACTIONS(967),
    [anon_sym_LT_LT] = ACTIONS(969),
    [anon_sym_GT_GT] = ACTIONS(969),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_BANG2] = ACTIONS(795),
    [sym_wildcard_pattern] = ACTIONS(953),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(955),
    [sym__eq_custom] = ACTIONS(969),
    [sym__eq_eq_custom] = ACTIONS(969),
    [sym__plus_then_ws] = ACTIONS(969),
    [sym__minus_then_ws] = ACTIONS(969),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [176] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1287),
    [sym_boolean_literal] = STATE(1287),
    [sym__string_literal] = STATE(1287),
    [sym_line_string_literal] = STATE(1287),
    [sym_multi_line_string_literal] = STATE(1287),
    [sym_raw_string_literal] = STATE(1287),
    [sym_regex_literal] = STATE(1287),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1287),
    [sym__unary_expression] = STATE(1287),
    [sym_postfix_expression] = STATE(1287),
    [sym_constructor_expression] = STATE(1287),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1287),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1287),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1287),
    [sym_prefix_expression] = STATE(1287),
    [sym_as_expression] = STATE(1287),
    [sym_selector_expression] = STATE(1287),
    [sym__binary_expression] = STATE(1287),
    [sym_multiplicative_expression] = STATE(1287),
    [sym_additive_expression] = STATE(1287),
    [sym_range_expression] = STATE(1287),
    [sym_infix_expression] = STATE(1287),
    [sym_nil_coalescing_expression] = STATE(1287),
    [sym_check_expression] = STATE(1287),
    [sym_comparison_expression] = STATE(1287),
    [sym_equality_expression] = STATE(1287),
    [sym_conjunction_expression] = STATE(1287),
    [sym_disjunction_expression] = STATE(1287),
    [sym_bitwise_operation] = STATE(1287),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1287),
    [sym_await_expression] = STATE(1287),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1287),
    [sym_call_expression] = STATE(1287),
    [sym__primary_expression] = STATE(1287),
    [sym_tuple_expression] = STATE(1287),
    [sym_array_literal] = STATE(1287),
    [sym_dictionary_literal] = STATE(1287),
    [sym__special_literal] = STATE(1287),
    [sym__playground_literal] = STATE(1287),
    [sym_lambda_literal] = STATE(1287),
    [sym_self_expression] = STATE(1287),
    [sym_super_expression] = STATE(1287),
    [sym_if_statement] = STATE(1287),
    [sym_switch_statement] = STATE(1287),
    [sym_key_path_expression] = STATE(1287),
    [sym_key_path_string_expression] = STATE(1287),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1287),
    [sym__equality_operator] = STATE(1287),
    [sym__comparison_operator] = STATE(1287),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1287),
    [sym__multiplicative_operator] = STATE(1287),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1287),
    [sym_value_parameter_pack] = STATE(1287),
    [sym_value_pack_expansion] = STATE(1287),
    [sym__referenceable_operator] = STATE(1287),
    [sym__equal_sign] = STATE(1287),
    [sym__eq_eq] = STATE(1287),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(805),
    [sym_real_literal] = ACTIONS(807),
    [sym_integer_literal] = ACTIONS(805),
    [sym_hex_literal] = ACTIONS(807),
    [sym_oct_literal] = ACTIONS(807),
    [sym_bin_literal] = ACTIONS(807),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [anon_sym_RPAREN] = ACTIONS(631),
    [anon_sym_COMMA] = ACTIONS(631),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_COLON] = ACTIONS(631),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_RBRACK] = ACTIONS(631),
    [anon_sym_QMARK] = ACTIONS(637),
    [anon_sym_QMARK2] = ACTIONS(631),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(805),
    [anon_sym_GT] = ACTIONS(805),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(805),
    [anon_sym_POUNDfileID] = ACTIONS(807),
    [anon_sym_POUNDfilePath] = ACTIONS(807),
    [anon_sym_POUNDline] = ACTIONS(807),
    [anon_sym_POUNDcolumn] = ACTIONS(807),
    [anon_sym_POUNDfunction] = ACTIONS(807),
    [anon_sym_POUNDdsohandle] = ACTIONS(807),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(807),
    [anon_sym_DASH_EQ] = ACTIONS(807),
    [anon_sym_STAR_EQ] = ACTIONS(807),
    [anon_sym_SLASH_EQ] = ACTIONS(807),
    [anon_sym_PERCENT_EQ] = ACTIONS(807),
    [anon_sym_BANG_EQ] = ACTIONS(805),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(807),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(807),
    [anon_sym_LT_EQ] = ACTIONS(807),
    [anon_sym_GT_EQ] = ACTIONS(807),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_is] = ACTIONS(637),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(805),
    [anon_sym_SLASH] = ACTIONS(805),
    [anon_sym_PERCENT] = ACTIONS(805),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(807),
    [anon_sym_CARET] = ACTIONS(805),
    [anon_sym_LT_LT] = ACTIONS(807),
    [anon_sym_GT_GT] = ACTIONS(807),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__conjunction_operator_custom] = ACTIONS(631),
    [sym__disjunction_operator_custom] = ACTIONS(631),
    [sym__nil_coalescing_operator_custom] = ACTIONS(631),
    [sym__eq_custom] = ACTIONS(807),
    [sym__eq_eq_custom] = ACTIONS(807),
    [sym__plus_then_ws] = ACTIONS(807),
    [sym__minus_then_ws] = ACTIONS(807),
    [sym__bang_custom] = ACTIONS(799),
    [sym__as_custom] = ACTIONS(631),
    [sym__as_quest_custom] = ACTIONS(631),
    [sym__as_bang_custom] = ACTIONS(631),
    [sym__custom_operator] = ACTIONS(787),
  },
  [177] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1427),
    [sym_boolean_literal] = STATE(1427),
    [sym__string_literal] = STATE(1427),
    [sym_line_string_literal] = STATE(1427),
    [sym_multi_line_string_literal] = STATE(1427),
    [sym_raw_string_literal] = STATE(1427),
    [sym_regex_literal] = STATE(1427),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1427),
    [sym__unary_expression] = STATE(1427),
    [sym_postfix_expression] = STATE(1427),
    [sym_constructor_expression] = STATE(1427),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1427),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1427),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1427),
    [sym_prefix_expression] = STATE(1427),
    [sym_as_expression] = STATE(1427),
    [sym_selector_expression] = STATE(1427),
    [sym__binary_expression] = STATE(1427),
    [sym_multiplicative_expression] = STATE(1427),
    [sym_additive_expression] = STATE(1427),
    [sym_range_expression] = STATE(1427),
    [sym_infix_expression] = STATE(1427),
    [sym_nil_coalescing_expression] = STATE(1427),
    [sym_check_expression] = STATE(1427),
    [sym_comparison_expression] = STATE(1427),
    [sym_equality_expression] = STATE(1427),
    [sym_conjunction_expression] = STATE(1427),
    [sym_disjunction_expression] = STATE(1427),
    [sym_bitwise_operation] = STATE(1427),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1427),
    [sym_await_expression] = STATE(1427),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1427),
    [sym_call_expression] = STATE(1427),
    [sym__primary_expression] = STATE(1427),
    [sym_tuple_expression] = STATE(1427),
    [sym_array_literal] = STATE(1427),
    [sym_dictionary_literal] = STATE(1427),
    [sym__special_literal] = STATE(1427),
    [sym__playground_literal] = STATE(1427),
    [sym_lambda_literal] = STATE(1427),
    [sym_self_expression] = STATE(1427),
    [sym_super_expression] = STATE(1427),
    [sym_if_statement] = STATE(1427),
    [sym__if_condition_sequence_item] = STATE(6403),
    [sym__if_let_binding] = STATE(7553),
    [sym_switch_statement] = STATE(1427),
    [sym_key_path_expression] = STATE(1427),
    [sym_key_path_string_expression] = STATE(1427),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1427),
    [sym__equality_operator] = STATE(1427),
    [sym__comparison_operator] = STATE(1427),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1427),
    [sym__multiplicative_operator] = STATE(1427),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1427),
    [sym_value_parameter_pack] = STATE(1427),
    [sym_value_pack_expansion] = STATE(1427),
    [sym_availability_condition] = STATE(6403),
    [sym__referenceable_operator] = STATE(1427),
    [sym__equal_sign] = STATE(1427),
    [sym__eq_eq] = STATE(1427),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__async_modifier] = STATE(6632),
    [sym__direct_or_indirect_binding] = STATE(5779),
    [sym_value_binding_pattern] = STATE(4103),
    [sym__possibly_async_binding_pattern_kind] = STATE(4103),
    [sym__binding_kind_and_pattern] = STATE(5716),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(535),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(413),
    [sym_real_literal] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(413),
    [sym_hex_literal] = ACTIONS(415),
    [sym_oct_literal] = ACTIONS(415),
    [sym_bin_literal] = ACTIONS(415),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(413),
    [anon_sym_GT] = ACTIONS(413),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(413),
    [anon_sym_POUNDfileID] = ACTIONS(415),
    [anon_sym_POUNDfilePath] = ACTIONS(415),
    [anon_sym_POUNDline] = ACTIONS(415),
    [anon_sym_POUNDcolumn] = ACTIONS(415),
    [anon_sym_POUNDfunction] = ACTIONS(415),
    [anon_sym_POUNDdsohandle] = ACTIONS(415),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_case] = ACTIONS(817),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(415),
    [anon_sym_DASH_EQ] = ACTIONS(415),
    [anon_sym_STAR_EQ] = ACTIONS(415),
    [anon_sym_SLASH_EQ] = ACTIONS(415),
    [anon_sym_PERCENT_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(415),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(415),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(413),
    [anon_sym_SLASH] = ACTIONS(413),
    [anon_sym_PERCENT] = ACTIONS(413),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_CARET] = ACTIONS(413),
    [anon_sym_LT_LT] = ACTIONS(415),
    [anon_sym_GT_GT] = ACTIONS(415),
    [anon_sym_POUNDavailable] = ACTIONS(451),
    [anon_sym_POUNDunavailable] = ACTIONS(451),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(415),
    [sym__eq_eq_custom] = ACTIONS(415),
    [sym__plus_then_ws] = ACTIONS(415),
    [sym__minus_then_ws] = ACTIONS(415),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [178] = {
    [sym_simple_identifier] = STATE(1141),
    [sym__contextual_simple_identifier] = STATE(1051),
    [sym__basic_literal] = STATE(665),
    [sym_boolean_literal] = STATE(665),
    [sym__string_literal] = STATE(665),
    [sym_line_string_literal] = STATE(665),
    [sym_multi_line_string_literal] = STATE(665),
    [sym_raw_string_literal] = STATE(665),
    [sym_regex_literal] = STATE(665),
    [sym__multiline_regex_literal] = STATE(1215),
    [sym_user_type] = STATE(5510),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5510),
    [sym_dictionary_type] = STATE(5510),
    [sym__expression] = STATE(665),
    [sym__unary_expression] = STATE(665),
    [sym_postfix_expression] = STATE(665),
    [sym_constructor_expression] = STATE(665),
    [sym__parenthesized_type] = STATE(6558),
    [sym_navigation_expression] = STATE(665),
    [sym__navigable_type_expression] = STATE(6557),
    [sym_open_start_range_expression] = STATE(665),
    [sym__range_operator] = STATE(523),
    [sym_open_end_range_expression] = STATE(665),
    [sym_prefix_expression] = STATE(665),
    [sym_as_expression] = STATE(665),
    [sym_selector_expression] = STATE(665),
    [sym__binary_expression] = STATE(665),
    [sym_multiplicative_expression] = STATE(665),
    [sym_additive_expression] = STATE(665),
    [sym_range_expression] = STATE(665),
    [sym_infix_expression] = STATE(665),
    [sym_nil_coalescing_expression] = STATE(665),
    [sym_check_expression] = STATE(665),
    [sym_comparison_expression] = STATE(665),
    [sym_equality_expression] = STATE(665),
    [sym_conjunction_expression] = STATE(665),
    [sym_disjunction_expression] = STATE(665),
    [sym_bitwise_operation] = STATE(665),
    [sym_custom_operator] = STATE(628),
    [sym_try_expression] = STATE(665),
    [sym_await_expression] = STATE(665),
    [sym__await_operator] = STATE(518),
    [sym_ternary_expression] = STATE(665),
    [sym_call_expression] = STATE(665),
    [sym__primary_expression] = STATE(665),
    [sym_tuple_expression] = STATE(665),
    [sym_array_literal] = STATE(665),
    [sym_dictionary_literal] = STATE(665),
    [sym__special_literal] = STATE(665),
    [sym__playground_literal] = STATE(665),
    [sym_lambda_literal] = STATE(665),
    [sym_self_expression] = STATE(665),
    [sym_super_expression] = STATE(665),
    [sym_if_statement] = STATE(665),
    [sym__if_condition_sequence_item] = STATE(3373),
    [sym__if_let_binding] = STATE(3752),
    [sym_switch_statement] = STATE(665),
    [sym_key_path_expression] = STATE(665),
    [sym_key_path_string_expression] = STATE(665),
    [sym_try_operator] = STATE(515),
    [sym__assignment_and_operator] = STATE(665),
    [sym__equality_operator] = STATE(665),
    [sym__comparison_operator] = STATE(665),
    [sym__three_dot_operator] = STATE(625),
    [sym__open_ended_range_operator] = STATE(523),
    [sym__additive_operator] = STATE(665),
    [sym__multiplicative_operator] = STATE(665),
    [sym__prefix_unary_operator] = STATE(509),
    [sym_directly_assignable_expression] = STATE(5511),
    [sym_assignment] = STATE(665),
    [sym_value_parameter_pack] = STATE(665),
    [sym_value_pack_expansion] = STATE(665),
    [sym_availability_condition] = STATE(3373),
    [sym__referenceable_operator] = STATE(665),
    [sym__equal_sign] = STATE(665),
    [sym__eq_eq] = STATE(665),
    [sym__dot] = STATE(509),
    [sym_bang] = STATE(628),
    [sym__async_modifier] = STATE(6632),
    [sym__direct_or_indirect_binding] = STATE(3321),
    [sym_value_binding_pattern] = STATE(3989),
    [sym__possibly_async_binding_pattern_kind] = STATE(3989),
    [sym__binding_kind_and_pattern] = STATE(3324),
    [sym__parameter_ownership_modifier] = STATE(1051),
    [aux_sym_raw_string_literal_repeat1] = STATE(6487),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(291),
    [aux_sym_simple_identifier_token2] = ACTIONS(293),
    [aux_sym_simple_identifier_token3] = ACTIONS(293),
    [aux_sym_simple_identifier_token4] = ACTIONS(293),
    [anon_sym_actor] = ACTIONS(291),
    [anon_sym_async] = ACTIONS(297),
    [anon_sym_each] = ACTIONS(299),
    [anon_sym_lazy] = ACTIONS(291),
    [anon_sym_repeat] = ACTIONS(747),
    [anon_sym_package] = ACTIONS(291),
    [anon_sym_nil] = ACTIONS(1131),
    [sym_real_literal] = ACTIONS(1133),
    [sym_integer_literal] = ACTIONS(1131),
    [sym_hex_literal] = ACTIONS(1133),
    [sym_oct_literal] = ACTIONS(1133),
    [sym_bin_literal] = ACTIONS(1133),
    [anon_sym_true] = ACTIONS(309),
    [anon_sym_false] = ACTIONS(309),
    [anon_sym_DQUOTE] = ACTIONS(311),
    [anon_sym_BSLASH] = ACTIONS(313),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(315),
    [sym__extended_regex_literal] = ACTIONS(317),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(319),
    [sym__oneline_regex_literal] = ACTIONS(321),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_LBRACK] = ACTIONS(325),
    [anon_sym_AMP] = ACTIONS(327),
    [anon_sym_if] = ACTIONS(329),
    [anon_sym_switch] = ACTIONS(331),
    [anon_sym_POUNDselector] = ACTIONS(333),
    [aux_sym_custom_operator_token1] = ACTIONS(335),
    [anon_sym_LT] = ACTIONS(1131),
    [anon_sym_GT] = ACTIONS(1131),
    [anon_sym_await] = ACTIONS(337),
    [anon_sym_POUNDfile] = ACTIONS(1131),
    [anon_sym_POUNDfileID] = ACTIONS(1133),
    [anon_sym_POUNDfilePath] = ACTIONS(1133),
    [anon_sym_POUNDline] = ACTIONS(1133),
    [anon_sym_POUNDcolumn] = ACTIONS(1133),
    [anon_sym_POUNDfunction] = ACTIONS(1133),
    [anon_sym_POUNDdsohandle] = ACTIONS(1133),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(339),
    [anon_sym_POUNDfileLiteral] = ACTIONS(339),
    [anon_sym_POUNDimageLiteral] = ACTIONS(339),
    [anon_sym_LBRACE] = ACTIONS(341),
    [anon_sym_CARET_LBRACE] = ACTIONS(341),
    [anon_sym_self] = ACTIONS(345),
    [anon_sym_super] = ACTIONS(347),
    [anon_sym_case] = ACTIONS(1135),
    [anon_sym_POUNDkeyPath] = ACTIONS(353),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1133),
    [anon_sym_DASH_EQ] = ACTIONS(1133),
    [anon_sym_STAR_EQ] = ACTIONS(1133),
    [anon_sym_SLASH_EQ] = ACTIONS(1133),
    [anon_sym_PERCENT_EQ] = ACTIONS(1133),
    [anon_sym_BANG_EQ] = ACTIONS(1131),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1133),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1133),
    [anon_sym_LT_EQ] = ACTIONS(1133),
    [anon_sym_GT_EQ] = ACTIONS(1133),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(355),
    [anon_sym_DOT_DOT_LT] = ACTIONS(357),
    [anon_sym_PLUS] = ACTIONS(359),
    [anon_sym_DASH] = ACTIONS(359),
    [anon_sym_STAR] = ACTIONS(1131),
    [anon_sym_SLASH] = ACTIONS(1131),
    [anon_sym_PERCENT] = ACTIONS(1131),
    [anon_sym_PLUS_PLUS] = ACTIONS(327),
    [anon_sym_DASH_DASH] = ACTIONS(327),
    [anon_sym_TILDE] = ACTIONS(327),
    [anon_sym_PIPE] = ACTIONS(1133),
    [anon_sym_CARET] = ACTIONS(1131),
    [anon_sym_LT_LT] = ACTIONS(1133),
    [anon_sym_GT_GT] = ACTIONS(1133),
    [anon_sym_POUNDavailable] = ACTIONS(1137),
    [anon_sym_POUNDunavailable] = ACTIONS(1137),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_BANG2] = ACTIONS(381),
    [anon_sym_borrowing] = ACTIONS(291),
    [anon_sym_consuming] = ACTIONS(291),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(383),
    [sym__dot_custom] = ACTIONS(385),
    [sym__eq_custom] = ACTIONS(1133),
    [sym__eq_eq_custom] = ACTIONS(1133),
    [sym__plus_then_ws] = ACTIONS(1133),
    [sym__minus_then_ws] = ACTIONS(1133),
    [sym__bang_custom] = ACTIONS(387),
    [sym__custom_operator] = ACTIONS(335),
  },
  [179] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1427),
    [sym_boolean_literal] = STATE(1427),
    [sym__string_literal] = STATE(1427),
    [sym_line_string_literal] = STATE(1427),
    [sym_multi_line_string_literal] = STATE(1427),
    [sym_raw_string_literal] = STATE(1427),
    [sym_regex_literal] = STATE(1427),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1427),
    [sym__unary_expression] = STATE(1427),
    [sym_postfix_expression] = STATE(1427),
    [sym_constructor_expression] = STATE(1427),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1427),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1427),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1427),
    [sym_prefix_expression] = STATE(1427),
    [sym_as_expression] = STATE(1427),
    [sym_selector_expression] = STATE(1427),
    [sym__binary_expression] = STATE(1427),
    [sym_multiplicative_expression] = STATE(1427),
    [sym_additive_expression] = STATE(1427),
    [sym_range_expression] = STATE(1427),
    [sym_infix_expression] = STATE(1427),
    [sym_nil_coalescing_expression] = STATE(1427),
    [sym_check_expression] = STATE(1427),
    [sym_comparison_expression] = STATE(1427),
    [sym_equality_expression] = STATE(1427),
    [sym_conjunction_expression] = STATE(1427),
    [sym_disjunction_expression] = STATE(1427),
    [sym_bitwise_operation] = STATE(1427),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1427),
    [sym_await_expression] = STATE(1427),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1427),
    [sym_call_expression] = STATE(1427),
    [sym__primary_expression] = STATE(1427),
    [sym_tuple_expression] = STATE(1427),
    [sym_array_literal] = STATE(1427),
    [sym_dictionary_literal] = STATE(1427),
    [sym__special_literal] = STATE(1427),
    [sym__playground_literal] = STATE(1427),
    [sym_lambda_literal] = STATE(1427),
    [sym_self_expression] = STATE(1427),
    [sym_super_expression] = STATE(1427),
    [sym_if_statement] = STATE(1427),
    [sym__if_condition_sequence_item] = STATE(6203),
    [sym__if_let_binding] = STATE(7553),
    [sym_switch_statement] = STATE(1427),
    [sym_key_path_expression] = STATE(1427),
    [sym_key_path_string_expression] = STATE(1427),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1427),
    [sym__equality_operator] = STATE(1427),
    [sym__comparison_operator] = STATE(1427),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1427),
    [sym__multiplicative_operator] = STATE(1427),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1427),
    [sym_value_parameter_pack] = STATE(1427),
    [sym_value_pack_expansion] = STATE(1427),
    [sym_availability_condition] = STATE(6203),
    [sym__referenceable_operator] = STATE(1427),
    [sym__equal_sign] = STATE(1427),
    [sym__eq_eq] = STATE(1427),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__async_modifier] = STATE(6632),
    [sym__direct_or_indirect_binding] = STATE(5779),
    [sym_value_binding_pattern] = STATE(4103),
    [sym__possibly_async_binding_pattern_kind] = STATE(4103),
    [sym__binding_kind_and_pattern] = STATE(5716),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(535),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(413),
    [sym_real_literal] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(413),
    [sym_hex_literal] = ACTIONS(415),
    [sym_oct_literal] = ACTIONS(415),
    [sym_bin_literal] = ACTIONS(415),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(413),
    [anon_sym_GT] = ACTIONS(413),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(413),
    [anon_sym_POUNDfileID] = ACTIONS(415),
    [anon_sym_POUNDfilePath] = ACTIONS(415),
    [anon_sym_POUNDline] = ACTIONS(415),
    [anon_sym_POUNDcolumn] = ACTIONS(415),
    [anon_sym_POUNDfunction] = ACTIONS(415),
    [anon_sym_POUNDdsohandle] = ACTIONS(415),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_case] = ACTIONS(817),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(415),
    [anon_sym_DASH_EQ] = ACTIONS(415),
    [anon_sym_STAR_EQ] = ACTIONS(415),
    [anon_sym_SLASH_EQ] = ACTIONS(415),
    [anon_sym_PERCENT_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(415),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(415),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(413),
    [anon_sym_SLASH] = ACTIONS(413),
    [anon_sym_PERCENT] = ACTIONS(413),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_CARET] = ACTIONS(413),
    [anon_sym_LT_LT] = ACTIONS(415),
    [anon_sym_GT_GT] = ACTIONS(415),
    [anon_sym_POUNDavailable] = ACTIONS(451),
    [anon_sym_POUNDunavailable] = ACTIONS(451),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(415),
    [sym__eq_eq_custom] = ACTIONS(415),
    [sym__plus_then_ws] = ACTIONS(415),
    [sym__minus_then_ws] = ACTIONS(415),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [180] = {
    [sym_simple_identifier] = STATE(2276),
    [sym__contextual_simple_identifier] = STATE(2115),
    [sym__basic_literal] = STATE(1266),
    [sym_boolean_literal] = STATE(1266),
    [sym__string_literal] = STATE(1266),
    [sym_line_string_literal] = STATE(1266),
    [sym_multi_line_string_literal] = STATE(1266),
    [sym_raw_string_literal] = STATE(1266),
    [sym_regex_literal] = STATE(1266),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1266),
    [sym__unary_expression] = STATE(1266),
    [sym_postfix_expression] = STATE(1266),
    [sym_constructor_expression] = STATE(1266),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1266),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1266),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1266),
    [sym_prefix_expression] = STATE(1266),
    [sym_as_expression] = STATE(1266),
    [sym_selector_expression] = STATE(1266),
    [sym__binary_expression] = STATE(1266),
    [sym_multiplicative_expression] = STATE(1266),
    [sym_additive_expression] = STATE(1266),
    [sym_range_expression] = STATE(1266),
    [sym_infix_expression] = STATE(1266),
    [sym_nil_coalescing_expression] = STATE(1266),
    [sym_check_expression] = STATE(1266),
    [sym_comparison_expression] = STATE(1266),
    [sym_equality_expression] = STATE(1266),
    [sym_conjunction_expression] = STATE(1266),
    [sym_disjunction_expression] = STATE(1266),
    [sym_bitwise_operation] = STATE(1266),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1266),
    [sym_await_expression] = STATE(1266),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1266),
    [sym_call_expression] = STATE(1266),
    [sym__primary_expression] = STATE(1266),
    [sym_tuple_expression] = STATE(1266),
    [sym_array_literal] = STATE(1266),
    [sym_dictionary_literal] = STATE(1266),
    [sym__special_literal] = STATE(1266),
    [sym__playground_literal] = STATE(1266),
    [sym_lambda_literal] = STATE(1266),
    [sym_self_expression] = STATE(1266),
    [sym_super_expression] = STATE(1266),
    [sym_if_statement] = STATE(1266),
    [sym__if_condition_sequence_item] = STATE(5794),
    [sym__if_let_binding] = STATE(5924),
    [sym_switch_statement] = STATE(1266),
    [sym_key_path_expression] = STATE(1266),
    [sym_key_path_string_expression] = STATE(1266),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1266),
    [sym__equality_operator] = STATE(1266),
    [sym__comparison_operator] = STATE(1266),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1266),
    [sym__multiplicative_operator] = STATE(1266),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym_assignment] = STATE(1266),
    [sym_value_parameter_pack] = STATE(1266),
    [sym_value_pack_expansion] = STATE(1266),
    [sym_availability_condition] = STATE(5794),
    [sym__referenceable_operator] = STATE(1266),
    [sym__equal_sign] = STATE(1266),
    [sym__eq_eq] = STATE(1266),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__async_modifier] = STATE(6632),
    [sym__direct_or_indirect_binding] = STATE(5358),
    [sym_value_binding_pattern] = STATE(4166),
    [sym__possibly_async_binding_pattern_kind] = STATE(4166),
    [sym__binding_kind_and_pattern] = STATE(5363),
    [sym__parameter_ownership_modifier] = STATE(2115),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(11),
    [aux_sym_simple_identifier_token2] = ACTIONS(13),
    [aux_sym_simple_identifier_token3] = ACTIONS(13),
    [aux_sym_simple_identifier_token4] = ACTIONS(13),
    [anon_sym_actor] = ACTIONS(11),
    [anon_sym_async] = ACTIONS(17),
    [anon_sym_each] = ACTIONS(19),
    [anon_sym_lazy] = ACTIONS(11),
    [anon_sym_repeat] = ACTIONS(937),
    [anon_sym_package] = ACTIONS(11),
    [anon_sym_nil] = ACTIONS(1139),
    [sym_real_literal] = ACTIONS(1141),
    [sym_integer_literal] = ACTIONS(1139),
    [sym_hex_literal] = ACTIONS(1141),
    [sym_oct_literal] = ACTIONS(1141),
    [sym_bin_literal] = ACTIONS(1141),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(1139),
    [anon_sym_GT] = ACTIONS(1139),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(1139),
    [anon_sym_POUNDfileID] = ACTIONS(1141),
    [anon_sym_POUNDfilePath] = ACTIONS(1141),
    [anon_sym_POUNDline] = ACTIONS(1141),
    [anon_sym_POUNDcolumn] = ACTIONS(1141),
    [anon_sym_POUNDfunction] = ACTIONS(1141),
    [anon_sym_POUNDdsohandle] = ACTIONS(1141),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_self] = ACTIONS(65),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_case] = ACTIONS(1143),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1141),
    [anon_sym_DASH_EQ] = ACTIONS(1141),
    [anon_sym_STAR_EQ] = ACTIONS(1141),
    [anon_sym_SLASH_EQ] = ACTIONS(1141),
    [anon_sym_PERCENT_EQ] = ACTIONS(1141),
    [anon_sym_BANG_EQ] = ACTIONS(1139),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1141),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1141),
    [anon_sym_LT_EQ] = ACTIONS(1141),
    [anon_sym_GT_EQ] = ACTIONS(1141),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(1139),
    [anon_sym_SLASH] = ACTIONS(1139),
    [anon_sym_PERCENT] = ACTIONS(1139),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(1141),
    [anon_sym_CARET] = ACTIONS(1139),
    [anon_sym_LT_LT] = ACTIONS(1141),
    [anon_sym_GT_GT] = ACTIONS(1141),
    [anon_sym_POUNDavailable] = ACTIONS(1145),
    [anon_sym_POUNDunavailable] = ACTIONS(1145),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_borrowing] = ACTIONS(11),
    [anon_sym_consuming] = ACTIONS(11),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(1141),
    [sym__eq_eq_custom] = ACTIONS(1141),
    [sym__plus_then_ws] = ACTIONS(1141),
    [sym__minus_then_ws] = ACTIONS(1141),
    [sym__bang_custom] = ACTIONS(151),
    [sym__custom_operator] = ACTIONS(57),
  },
  [181] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1427),
    [sym_boolean_literal] = STATE(1427),
    [sym__string_literal] = STATE(1427),
    [sym_line_string_literal] = STATE(1427),
    [sym_multi_line_string_literal] = STATE(1427),
    [sym_raw_string_literal] = STATE(1427),
    [sym_regex_literal] = STATE(1427),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1427),
    [sym__unary_expression] = STATE(1427),
    [sym_postfix_expression] = STATE(1427),
    [sym_constructor_expression] = STATE(1427),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1427),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1427),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1427),
    [sym_prefix_expression] = STATE(1427),
    [sym_as_expression] = STATE(1427),
    [sym_selector_expression] = STATE(1427),
    [sym__binary_expression] = STATE(1427),
    [sym_multiplicative_expression] = STATE(1427),
    [sym_additive_expression] = STATE(1427),
    [sym_range_expression] = STATE(1427),
    [sym_infix_expression] = STATE(1427),
    [sym_nil_coalescing_expression] = STATE(1427),
    [sym_check_expression] = STATE(1427),
    [sym_comparison_expression] = STATE(1427),
    [sym_equality_expression] = STATE(1427),
    [sym_conjunction_expression] = STATE(1427),
    [sym_disjunction_expression] = STATE(1427),
    [sym_bitwise_operation] = STATE(1427),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1427),
    [sym_await_expression] = STATE(1427),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1427),
    [sym_call_expression] = STATE(1427),
    [sym__primary_expression] = STATE(1427),
    [sym_tuple_expression] = STATE(1427),
    [sym_array_literal] = STATE(1427),
    [sym_dictionary_literal] = STATE(1427),
    [sym__special_literal] = STATE(1427),
    [sym__playground_literal] = STATE(1427),
    [sym_lambda_literal] = STATE(1427),
    [sym_self_expression] = STATE(1427),
    [sym_super_expression] = STATE(1427),
    [sym_if_statement] = STATE(1427),
    [sym__if_condition_sequence_item] = STATE(6712),
    [sym__if_let_binding] = STATE(7553),
    [sym_switch_statement] = STATE(1427),
    [sym_key_path_expression] = STATE(1427),
    [sym_key_path_string_expression] = STATE(1427),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1427),
    [sym__equality_operator] = STATE(1427),
    [sym__comparison_operator] = STATE(1427),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1427),
    [sym__multiplicative_operator] = STATE(1427),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1427),
    [sym_value_parameter_pack] = STATE(1427),
    [sym_value_pack_expansion] = STATE(1427),
    [sym_availability_condition] = STATE(6712),
    [sym__referenceable_operator] = STATE(1427),
    [sym__equal_sign] = STATE(1427),
    [sym__eq_eq] = STATE(1427),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__async_modifier] = STATE(6632),
    [sym__direct_or_indirect_binding] = STATE(5779),
    [sym_value_binding_pattern] = STATE(4103),
    [sym__possibly_async_binding_pattern_kind] = STATE(4103),
    [sym__binding_kind_and_pattern] = STATE(5716),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(535),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(413),
    [sym_real_literal] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(413),
    [sym_hex_literal] = ACTIONS(415),
    [sym_oct_literal] = ACTIONS(415),
    [sym_bin_literal] = ACTIONS(415),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(413),
    [anon_sym_GT] = ACTIONS(413),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(413),
    [anon_sym_POUNDfileID] = ACTIONS(415),
    [anon_sym_POUNDfilePath] = ACTIONS(415),
    [anon_sym_POUNDline] = ACTIONS(415),
    [anon_sym_POUNDcolumn] = ACTIONS(415),
    [anon_sym_POUNDfunction] = ACTIONS(415),
    [anon_sym_POUNDdsohandle] = ACTIONS(415),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_case] = ACTIONS(817),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(415),
    [anon_sym_DASH_EQ] = ACTIONS(415),
    [anon_sym_STAR_EQ] = ACTIONS(415),
    [anon_sym_SLASH_EQ] = ACTIONS(415),
    [anon_sym_PERCENT_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(415),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(415),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(413),
    [anon_sym_SLASH] = ACTIONS(413),
    [anon_sym_PERCENT] = ACTIONS(413),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_CARET] = ACTIONS(413),
    [anon_sym_LT_LT] = ACTIONS(415),
    [anon_sym_GT_GT] = ACTIONS(415),
    [anon_sym_POUNDavailable] = ACTIONS(451),
    [anon_sym_POUNDunavailable] = ACTIONS(451),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(415),
    [sym__eq_eq_custom] = ACTIONS(415),
    [sym__plus_then_ws] = ACTIONS(415),
    [sym__minus_then_ws] = ACTIONS(415),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [182] = {
    [sym_simple_identifier] = STATE(1141),
    [sym__contextual_simple_identifier] = STATE(1051),
    [sym__basic_literal] = STATE(665),
    [sym_boolean_literal] = STATE(665),
    [sym__string_literal] = STATE(665),
    [sym_line_string_literal] = STATE(665),
    [sym_multi_line_string_literal] = STATE(665),
    [sym_raw_string_literal] = STATE(665),
    [sym_regex_literal] = STATE(665),
    [sym__multiline_regex_literal] = STATE(1215),
    [sym_user_type] = STATE(5510),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5510),
    [sym_dictionary_type] = STATE(5510),
    [sym__expression] = STATE(665),
    [sym__unary_expression] = STATE(665),
    [sym_postfix_expression] = STATE(665),
    [sym_constructor_expression] = STATE(665),
    [sym__parenthesized_type] = STATE(6558),
    [sym_navigation_expression] = STATE(665),
    [sym__navigable_type_expression] = STATE(6557),
    [sym_open_start_range_expression] = STATE(665),
    [sym__range_operator] = STATE(523),
    [sym_open_end_range_expression] = STATE(665),
    [sym_prefix_expression] = STATE(665),
    [sym_as_expression] = STATE(665),
    [sym_selector_expression] = STATE(665),
    [sym__binary_expression] = STATE(665),
    [sym_multiplicative_expression] = STATE(665),
    [sym_additive_expression] = STATE(665),
    [sym_range_expression] = STATE(665),
    [sym_infix_expression] = STATE(665),
    [sym_nil_coalescing_expression] = STATE(665),
    [sym_check_expression] = STATE(665),
    [sym_comparison_expression] = STATE(665),
    [sym_equality_expression] = STATE(665),
    [sym_conjunction_expression] = STATE(665),
    [sym_disjunction_expression] = STATE(665),
    [sym_bitwise_operation] = STATE(665),
    [sym_custom_operator] = STATE(628),
    [sym_try_expression] = STATE(665),
    [sym_await_expression] = STATE(665),
    [sym__await_operator] = STATE(518),
    [sym_ternary_expression] = STATE(665),
    [sym_call_expression] = STATE(665),
    [sym__primary_expression] = STATE(665),
    [sym_tuple_expression] = STATE(665),
    [sym_array_literal] = STATE(665),
    [sym_dictionary_literal] = STATE(665),
    [sym__special_literal] = STATE(665),
    [sym__playground_literal] = STATE(665),
    [sym_lambda_literal] = STATE(665),
    [sym_self_expression] = STATE(665),
    [sym_super_expression] = STATE(665),
    [sym_if_statement] = STATE(665),
    [sym__if_condition_sequence_item] = STATE(3479),
    [sym__if_let_binding] = STATE(3752),
    [sym_switch_statement] = STATE(665),
    [sym_key_path_expression] = STATE(665),
    [sym_key_path_string_expression] = STATE(665),
    [sym_try_operator] = STATE(515),
    [sym__assignment_and_operator] = STATE(665),
    [sym__equality_operator] = STATE(665),
    [sym__comparison_operator] = STATE(665),
    [sym__three_dot_operator] = STATE(625),
    [sym__open_ended_range_operator] = STATE(523),
    [sym__additive_operator] = STATE(665),
    [sym__multiplicative_operator] = STATE(665),
    [sym__prefix_unary_operator] = STATE(509),
    [sym_directly_assignable_expression] = STATE(5511),
    [sym_assignment] = STATE(665),
    [sym_value_parameter_pack] = STATE(665),
    [sym_value_pack_expansion] = STATE(665),
    [sym_availability_condition] = STATE(3479),
    [sym__referenceable_operator] = STATE(665),
    [sym__equal_sign] = STATE(665),
    [sym__eq_eq] = STATE(665),
    [sym__dot] = STATE(509),
    [sym_bang] = STATE(628),
    [sym__async_modifier] = STATE(6632),
    [sym__direct_or_indirect_binding] = STATE(3321),
    [sym_value_binding_pattern] = STATE(3989),
    [sym__possibly_async_binding_pattern_kind] = STATE(3989),
    [sym__binding_kind_and_pattern] = STATE(3324),
    [sym__parameter_ownership_modifier] = STATE(1051),
    [aux_sym_raw_string_literal_repeat1] = STATE(6487),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(291),
    [aux_sym_simple_identifier_token2] = ACTIONS(293),
    [aux_sym_simple_identifier_token3] = ACTIONS(293),
    [aux_sym_simple_identifier_token4] = ACTIONS(293),
    [anon_sym_actor] = ACTIONS(291),
    [anon_sym_async] = ACTIONS(297),
    [anon_sym_each] = ACTIONS(299),
    [anon_sym_lazy] = ACTIONS(291),
    [anon_sym_repeat] = ACTIONS(747),
    [anon_sym_package] = ACTIONS(291),
    [anon_sym_nil] = ACTIONS(1131),
    [sym_real_literal] = ACTIONS(1133),
    [sym_integer_literal] = ACTIONS(1131),
    [sym_hex_literal] = ACTIONS(1133),
    [sym_oct_literal] = ACTIONS(1133),
    [sym_bin_literal] = ACTIONS(1133),
    [anon_sym_true] = ACTIONS(309),
    [anon_sym_false] = ACTIONS(309),
    [anon_sym_DQUOTE] = ACTIONS(311),
    [anon_sym_BSLASH] = ACTIONS(313),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(315),
    [sym__extended_regex_literal] = ACTIONS(317),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(319),
    [sym__oneline_regex_literal] = ACTIONS(321),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_LBRACK] = ACTIONS(325),
    [anon_sym_AMP] = ACTIONS(327),
    [anon_sym_if] = ACTIONS(329),
    [anon_sym_switch] = ACTIONS(331),
    [anon_sym_POUNDselector] = ACTIONS(333),
    [aux_sym_custom_operator_token1] = ACTIONS(335),
    [anon_sym_LT] = ACTIONS(1131),
    [anon_sym_GT] = ACTIONS(1131),
    [anon_sym_await] = ACTIONS(337),
    [anon_sym_POUNDfile] = ACTIONS(1131),
    [anon_sym_POUNDfileID] = ACTIONS(1133),
    [anon_sym_POUNDfilePath] = ACTIONS(1133),
    [anon_sym_POUNDline] = ACTIONS(1133),
    [anon_sym_POUNDcolumn] = ACTIONS(1133),
    [anon_sym_POUNDfunction] = ACTIONS(1133),
    [anon_sym_POUNDdsohandle] = ACTIONS(1133),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(339),
    [anon_sym_POUNDfileLiteral] = ACTIONS(339),
    [anon_sym_POUNDimageLiteral] = ACTIONS(339),
    [anon_sym_LBRACE] = ACTIONS(341),
    [anon_sym_CARET_LBRACE] = ACTIONS(341),
    [anon_sym_self] = ACTIONS(345),
    [anon_sym_super] = ACTIONS(347),
    [anon_sym_case] = ACTIONS(1135),
    [anon_sym_POUNDkeyPath] = ACTIONS(353),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1133),
    [anon_sym_DASH_EQ] = ACTIONS(1133),
    [anon_sym_STAR_EQ] = ACTIONS(1133),
    [anon_sym_SLASH_EQ] = ACTIONS(1133),
    [anon_sym_PERCENT_EQ] = ACTIONS(1133),
    [anon_sym_BANG_EQ] = ACTIONS(1131),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1133),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1133),
    [anon_sym_LT_EQ] = ACTIONS(1133),
    [anon_sym_GT_EQ] = ACTIONS(1133),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(355),
    [anon_sym_DOT_DOT_LT] = ACTIONS(357),
    [anon_sym_PLUS] = ACTIONS(359),
    [anon_sym_DASH] = ACTIONS(359),
    [anon_sym_STAR] = ACTIONS(1131),
    [anon_sym_SLASH] = ACTIONS(1131),
    [anon_sym_PERCENT] = ACTIONS(1131),
    [anon_sym_PLUS_PLUS] = ACTIONS(327),
    [anon_sym_DASH_DASH] = ACTIONS(327),
    [anon_sym_TILDE] = ACTIONS(327),
    [anon_sym_PIPE] = ACTIONS(1133),
    [anon_sym_CARET] = ACTIONS(1131),
    [anon_sym_LT_LT] = ACTIONS(1133),
    [anon_sym_GT_GT] = ACTIONS(1133),
    [anon_sym_POUNDavailable] = ACTIONS(1137),
    [anon_sym_POUNDunavailable] = ACTIONS(1137),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_BANG2] = ACTIONS(381),
    [anon_sym_borrowing] = ACTIONS(291),
    [anon_sym_consuming] = ACTIONS(291),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(383),
    [sym__dot_custom] = ACTIONS(385),
    [sym__eq_custom] = ACTIONS(1133),
    [sym__eq_eq_custom] = ACTIONS(1133),
    [sym__plus_then_ws] = ACTIONS(1133),
    [sym__minus_then_ws] = ACTIONS(1133),
    [sym__bang_custom] = ACTIONS(387),
    [sym__custom_operator] = ACTIONS(335),
  },
  [183] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1427),
    [sym_boolean_literal] = STATE(1427),
    [sym__string_literal] = STATE(1427),
    [sym_line_string_literal] = STATE(1427),
    [sym_multi_line_string_literal] = STATE(1427),
    [sym_raw_string_literal] = STATE(1427),
    [sym_regex_literal] = STATE(1427),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1427),
    [sym__unary_expression] = STATE(1427),
    [sym_postfix_expression] = STATE(1427),
    [sym_constructor_expression] = STATE(1427),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1427),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1427),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1427),
    [sym_prefix_expression] = STATE(1427),
    [sym_as_expression] = STATE(1427),
    [sym_selector_expression] = STATE(1427),
    [sym__binary_expression] = STATE(1427),
    [sym_multiplicative_expression] = STATE(1427),
    [sym_additive_expression] = STATE(1427),
    [sym_range_expression] = STATE(1427),
    [sym_infix_expression] = STATE(1427),
    [sym_nil_coalescing_expression] = STATE(1427),
    [sym_check_expression] = STATE(1427),
    [sym_comparison_expression] = STATE(1427),
    [sym_equality_expression] = STATE(1427),
    [sym_conjunction_expression] = STATE(1427),
    [sym_disjunction_expression] = STATE(1427),
    [sym_bitwise_operation] = STATE(1427),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1427),
    [sym_await_expression] = STATE(1427),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1427),
    [sym_call_expression] = STATE(1427),
    [sym__primary_expression] = STATE(1427),
    [sym_tuple_expression] = STATE(1427),
    [sym_array_literal] = STATE(1427),
    [sym_dictionary_literal] = STATE(1427),
    [sym__special_literal] = STATE(1427),
    [sym__playground_literal] = STATE(1427),
    [sym_lambda_literal] = STATE(1427),
    [sym_self_expression] = STATE(1427),
    [sym_super_expression] = STATE(1427),
    [sym_if_statement] = STATE(1427),
    [sym__if_condition_sequence_item] = STATE(6250),
    [sym__if_let_binding] = STATE(7553),
    [sym_switch_statement] = STATE(1427),
    [sym_key_path_expression] = STATE(1427),
    [sym_key_path_string_expression] = STATE(1427),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1427),
    [sym__equality_operator] = STATE(1427),
    [sym__comparison_operator] = STATE(1427),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1427),
    [sym__multiplicative_operator] = STATE(1427),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1427),
    [sym_value_parameter_pack] = STATE(1427),
    [sym_value_pack_expansion] = STATE(1427),
    [sym_availability_condition] = STATE(6250),
    [sym__referenceable_operator] = STATE(1427),
    [sym__equal_sign] = STATE(1427),
    [sym__eq_eq] = STATE(1427),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__async_modifier] = STATE(6632),
    [sym__direct_or_indirect_binding] = STATE(5779),
    [sym_value_binding_pattern] = STATE(4103),
    [sym__possibly_async_binding_pattern_kind] = STATE(4103),
    [sym__binding_kind_and_pattern] = STATE(5716),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(535),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(413),
    [sym_real_literal] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(413),
    [sym_hex_literal] = ACTIONS(415),
    [sym_oct_literal] = ACTIONS(415),
    [sym_bin_literal] = ACTIONS(415),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(413),
    [anon_sym_GT] = ACTIONS(413),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(413),
    [anon_sym_POUNDfileID] = ACTIONS(415),
    [anon_sym_POUNDfilePath] = ACTIONS(415),
    [anon_sym_POUNDline] = ACTIONS(415),
    [anon_sym_POUNDcolumn] = ACTIONS(415),
    [anon_sym_POUNDfunction] = ACTIONS(415),
    [anon_sym_POUNDdsohandle] = ACTIONS(415),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_case] = ACTIONS(817),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(415),
    [anon_sym_DASH_EQ] = ACTIONS(415),
    [anon_sym_STAR_EQ] = ACTIONS(415),
    [anon_sym_SLASH_EQ] = ACTIONS(415),
    [anon_sym_PERCENT_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(415),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(415),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(413),
    [anon_sym_SLASH] = ACTIONS(413),
    [anon_sym_PERCENT] = ACTIONS(413),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_CARET] = ACTIONS(413),
    [anon_sym_LT_LT] = ACTIONS(415),
    [anon_sym_GT_GT] = ACTIONS(415),
    [anon_sym_POUNDavailable] = ACTIONS(451),
    [anon_sym_POUNDunavailable] = ACTIONS(451),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(415),
    [sym__eq_eq_custom] = ACTIONS(415),
    [sym__plus_then_ws] = ACTIONS(415),
    [sym__minus_then_ws] = ACTIONS(415),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [184] = {
    [sym_simple_identifier] = STATE(2936),
    [sym__contextual_simple_identifier] = STATE(2558),
    [sym__basic_literal] = STATE(1397),
    [sym_boolean_literal] = STATE(1397),
    [sym__string_literal] = STATE(1397),
    [sym_line_string_literal] = STATE(1397),
    [sym_multi_line_string_literal] = STATE(1397),
    [sym_raw_string_literal] = STATE(1397),
    [sym_regex_literal] = STATE(1397),
    [sym__multiline_regex_literal] = STATE(3141),
    [sym_user_type] = STATE(5448),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5448),
    [sym_dictionary_type] = STATE(5448),
    [sym__expression] = STATE(1397),
    [sym__unary_expression] = STATE(1397),
    [sym_postfix_expression] = STATE(1397),
    [sym_constructor_expression] = STATE(1397),
    [sym__parenthesized_type] = STATE(6984),
    [sym_navigation_expression] = STATE(1397),
    [sym__navigable_type_expression] = STATE(6994),
    [sym_open_start_range_expression] = STATE(1397),
    [sym__range_operator] = STATE(488),
    [sym_open_end_range_expression] = STATE(1397),
    [sym_prefix_expression] = STATE(1397),
    [sym_as_expression] = STATE(1397),
    [sym_selector_expression] = STATE(1397),
    [sym__binary_expression] = STATE(1397),
    [sym_multiplicative_expression] = STATE(1397),
    [sym_additive_expression] = STATE(1397),
    [sym_range_expression] = STATE(1397),
    [sym_infix_expression] = STATE(1397),
    [sym_nil_coalescing_expression] = STATE(1397),
    [sym_check_expression] = STATE(1397),
    [sym_comparison_expression] = STATE(1397),
    [sym_equality_expression] = STATE(1397),
    [sym_conjunction_expression] = STATE(1397),
    [sym_disjunction_expression] = STATE(1397),
    [sym_bitwise_operation] = STATE(1397),
    [sym_custom_operator] = STATE(902),
    [sym_try_expression] = STATE(1397),
    [sym_await_expression] = STATE(1397),
    [sym__await_operator] = STATE(498),
    [sym_ternary_expression] = STATE(1397),
    [sym_call_expression] = STATE(1397),
    [sym__primary_expression] = STATE(1397),
    [sym_tuple_expression] = STATE(1397),
    [sym_array_literal] = STATE(1397),
    [sym_dictionary_literal] = STATE(1397),
    [sym__special_literal] = STATE(1397),
    [sym__playground_literal] = STATE(1397),
    [sym_lambda_literal] = STATE(1397),
    [sym_self_expression] = STATE(1397),
    [sym_super_expression] = STATE(1397),
    [sym_if_statement] = STATE(1397),
    [sym__if_condition_sequence_item] = STATE(7461),
    [sym__if_let_binding] = STATE(7250),
    [sym_switch_statement] = STATE(1397),
    [sym_key_path_expression] = STATE(1397),
    [sym_key_path_string_expression] = STATE(1397),
    [sym_try_operator] = STATE(501),
    [sym__assignment_and_operator] = STATE(1397),
    [sym__equality_operator] = STATE(1397),
    [sym__comparison_operator] = STATE(1397),
    [sym__three_dot_operator] = STATE(900),
    [sym__open_ended_range_operator] = STATE(488),
    [sym__additive_operator] = STATE(1397),
    [sym__multiplicative_operator] = STATE(1397),
    [sym__prefix_unary_operator] = STATE(505),
    [sym_directly_assignable_expression] = STATE(5447),
    [sym_assignment] = STATE(1397),
    [sym_value_parameter_pack] = STATE(1397),
    [sym_value_pack_expansion] = STATE(1397),
    [sym_availability_condition] = STATE(7461),
    [sym__referenceable_operator] = STATE(1397),
    [sym__equal_sign] = STATE(1397),
    [sym__eq_eq] = STATE(1397),
    [sym__dot] = STATE(505),
    [sym_bang] = STATE(902),
    [sym__async_modifier] = STATE(6632),
    [sym__direct_or_indirect_binding] = STATE(5793),
    [sym_value_binding_pattern] = STATE(4062),
    [sym__possibly_async_binding_pattern_kind] = STATE(4062),
    [sym__binding_kind_and_pattern] = STATE(5792),
    [sym__parameter_ownership_modifier] = STATE(2558),
    [aux_sym_raw_string_literal_repeat1] = STATE(7003),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(1147),
    [aux_sym_simple_identifier_token2] = ACTIONS(1149),
    [aux_sym_simple_identifier_token3] = ACTIONS(1149),
    [aux_sym_simple_identifier_token4] = ACTIONS(1149),
    [anon_sym_actor] = ACTIONS(1147),
    [anon_sym_async] = ACTIONS(1151),
    [anon_sym_each] = ACTIONS(1153),
    [anon_sym_lazy] = ACTIONS(1147),
    [anon_sym_repeat] = ACTIONS(1155),
    [anon_sym_package] = ACTIONS(1147),
    [anon_sym_nil] = ACTIONS(1157),
    [sym_real_literal] = ACTIONS(1159),
    [sym_integer_literal] = ACTIONS(1157),
    [sym_hex_literal] = ACTIONS(1159),
    [sym_oct_literal] = ACTIONS(1159),
    [sym_bin_literal] = ACTIONS(1159),
    [anon_sym_true] = ACTIONS(1161),
    [anon_sym_false] = ACTIONS(1161),
    [anon_sym_DQUOTE] = ACTIONS(1163),
    [anon_sym_BSLASH] = ACTIONS(1165),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1167),
    [sym__extended_regex_literal] = ACTIONS(1169),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(1171),
    [sym__oneline_regex_literal] = ACTIONS(1173),
    [anon_sym_LPAREN] = ACTIONS(1175),
    [anon_sym_LBRACK] = ACTIONS(1177),
    [anon_sym_AMP] = ACTIONS(1179),
    [anon_sym_if] = ACTIONS(1181),
    [anon_sym_switch] = ACTIONS(1183),
    [anon_sym_POUNDselector] = ACTIONS(1185),
    [aux_sym_custom_operator_token1] = ACTIONS(1187),
    [anon_sym_LT] = ACTIONS(1157),
    [anon_sym_GT] = ACTIONS(1157),
    [anon_sym_await] = ACTIONS(1189),
    [anon_sym_POUNDfile] = ACTIONS(1157),
    [anon_sym_POUNDfileID] = ACTIONS(1159),
    [anon_sym_POUNDfilePath] = ACTIONS(1159),
    [anon_sym_POUNDline] = ACTIONS(1159),
    [anon_sym_POUNDcolumn] = ACTIONS(1159),
    [anon_sym_POUNDfunction] = ACTIONS(1159),
    [anon_sym_POUNDdsohandle] = ACTIONS(1159),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(1191),
    [anon_sym_POUNDfileLiteral] = ACTIONS(1191),
    [anon_sym_POUNDimageLiteral] = ACTIONS(1191),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_CARET_LBRACE] = ACTIONS(1193),
    [anon_sym_self] = ACTIONS(1195),
    [anon_sym_super] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1199),
    [anon_sym_POUNDkeyPath] = ACTIONS(1201),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1159),
    [anon_sym_DASH_EQ] = ACTIONS(1159),
    [anon_sym_STAR_EQ] = ACTIONS(1159),
    [anon_sym_SLASH_EQ] = ACTIONS(1159),
    [anon_sym_PERCENT_EQ] = ACTIONS(1159),
    [anon_sym_BANG_EQ] = ACTIONS(1157),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1159),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1159),
    [anon_sym_LT_EQ] = ACTIONS(1159),
    [anon_sym_GT_EQ] = ACTIONS(1159),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1203),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1205),
    [anon_sym_PLUS] = ACTIONS(1207),
    [anon_sym_DASH] = ACTIONS(1207),
    [anon_sym_STAR] = ACTIONS(1157),
    [anon_sym_SLASH] = ACTIONS(1157),
    [anon_sym_PERCENT] = ACTIONS(1157),
    [anon_sym_PLUS_PLUS] = ACTIONS(1179),
    [anon_sym_DASH_DASH] = ACTIONS(1179),
    [anon_sym_TILDE] = ACTIONS(1179),
    [anon_sym_PIPE] = ACTIONS(1159),
    [anon_sym_CARET] = ACTIONS(1157),
    [anon_sym_LT_LT] = ACTIONS(1159),
    [anon_sym_GT_GT] = ACTIONS(1159),
    [anon_sym_POUNDavailable] = ACTIONS(1209),
    [anon_sym_POUNDunavailable] = ACTIONS(1209),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_BANG2] = ACTIONS(1211),
    [anon_sym_borrowing] = ACTIONS(1147),
    [anon_sym_consuming] = ACTIONS(1147),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(1213),
    [sym__dot_custom] = ACTIONS(1215),
    [sym__eq_custom] = ACTIONS(1159),
    [sym__eq_eq_custom] = ACTIONS(1159),
    [sym__plus_then_ws] = ACTIONS(1159),
    [sym__minus_then_ws] = ACTIONS(1159),
    [sym__bang_custom] = ACTIONS(1217),
    [sym__custom_operator] = ACTIONS(1187),
  },
  [185] = {
    [sym_simple_identifier] = STATE(1141),
    [sym__contextual_simple_identifier] = STATE(1051),
    [sym__basic_literal] = STATE(665),
    [sym_boolean_literal] = STATE(665),
    [sym__string_literal] = STATE(665),
    [sym_line_string_literal] = STATE(665),
    [sym_multi_line_string_literal] = STATE(665),
    [sym_raw_string_literal] = STATE(665),
    [sym_regex_literal] = STATE(665),
    [sym__multiline_regex_literal] = STATE(1215),
    [sym_user_type] = STATE(5510),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5510),
    [sym_dictionary_type] = STATE(5510),
    [sym__expression] = STATE(665),
    [sym__unary_expression] = STATE(665),
    [sym_postfix_expression] = STATE(665),
    [sym_constructor_expression] = STATE(665),
    [sym__parenthesized_type] = STATE(6558),
    [sym_navigation_expression] = STATE(665),
    [sym__navigable_type_expression] = STATE(6557),
    [sym_open_start_range_expression] = STATE(665),
    [sym__range_operator] = STATE(523),
    [sym_open_end_range_expression] = STATE(665),
    [sym_prefix_expression] = STATE(665),
    [sym_as_expression] = STATE(665),
    [sym_selector_expression] = STATE(665),
    [sym__binary_expression] = STATE(665),
    [sym_multiplicative_expression] = STATE(665),
    [sym_additive_expression] = STATE(665),
    [sym_range_expression] = STATE(665),
    [sym_infix_expression] = STATE(665),
    [sym_nil_coalescing_expression] = STATE(665),
    [sym_check_expression] = STATE(665),
    [sym_comparison_expression] = STATE(665),
    [sym_equality_expression] = STATE(665),
    [sym_conjunction_expression] = STATE(665),
    [sym_disjunction_expression] = STATE(665),
    [sym_bitwise_operation] = STATE(665),
    [sym_custom_operator] = STATE(628),
    [sym_try_expression] = STATE(665),
    [sym_await_expression] = STATE(665),
    [sym__await_operator] = STATE(518),
    [sym_ternary_expression] = STATE(665),
    [sym_call_expression] = STATE(665),
    [sym__primary_expression] = STATE(665),
    [sym_tuple_expression] = STATE(665),
    [sym_array_literal] = STATE(665),
    [sym_dictionary_literal] = STATE(665),
    [sym__special_literal] = STATE(665),
    [sym__playground_literal] = STATE(665),
    [sym_lambda_literal] = STATE(665),
    [sym_self_expression] = STATE(665),
    [sym_super_expression] = STATE(665),
    [sym_if_statement] = STATE(665),
    [sym__if_condition_sequence_item] = STATE(3706),
    [sym__if_let_binding] = STATE(3752),
    [sym_switch_statement] = STATE(665),
    [sym_key_path_expression] = STATE(665),
    [sym_key_path_string_expression] = STATE(665),
    [sym_try_operator] = STATE(515),
    [sym__assignment_and_operator] = STATE(665),
    [sym__equality_operator] = STATE(665),
    [sym__comparison_operator] = STATE(665),
    [sym__three_dot_operator] = STATE(625),
    [sym__open_ended_range_operator] = STATE(523),
    [sym__additive_operator] = STATE(665),
    [sym__multiplicative_operator] = STATE(665),
    [sym__prefix_unary_operator] = STATE(509),
    [sym_directly_assignable_expression] = STATE(5511),
    [sym_assignment] = STATE(665),
    [sym_value_parameter_pack] = STATE(665),
    [sym_value_pack_expansion] = STATE(665),
    [sym_availability_condition] = STATE(3706),
    [sym__referenceable_operator] = STATE(665),
    [sym__equal_sign] = STATE(665),
    [sym__eq_eq] = STATE(665),
    [sym__dot] = STATE(509),
    [sym_bang] = STATE(628),
    [sym__async_modifier] = STATE(6632),
    [sym__direct_or_indirect_binding] = STATE(3321),
    [sym_value_binding_pattern] = STATE(3989),
    [sym__possibly_async_binding_pattern_kind] = STATE(3989),
    [sym__binding_kind_and_pattern] = STATE(3324),
    [sym__parameter_ownership_modifier] = STATE(1051),
    [aux_sym_raw_string_literal_repeat1] = STATE(6487),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(291),
    [aux_sym_simple_identifier_token2] = ACTIONS(293),
    [aux_sym_simple_identifier_token3] = ACTIONS(293),
    [aux_sym_simple_identifier_token4] = ACTIONS(293),
    [anon_sym_actor] = ACTIONS(291),
    [anon_sym_async] = ACTIONS(297),
    [anon_sym_each] = ACTIONS(299),
    [anon_sym_lazy] = ACTIONS(291),
    [anon_sym_repeat] = ACTIONS(747),
    [anon_sym_package] = ACTIONS(291),
    [anon_sym_nil] = ACTIONS(1131),
    [sym_real_literal] = ACTIONS(1133),
    [sym_integer_literal] = ACTIONS(1131),
    [sym_hex_literal] = ACTIONS(1133),
    [sym_oct_literal] = ACTIONS(1133),
    [sym_bin_literal] = ACTIONS(1133),
    [anon_sym_true] = ACTIONS(309),
    [anon_sym_false] = ACTIONS(309),
    [anon_sym_DQUOTE] = ACTIONS(311),
    [anon_sym_BSLASH] = ACTIONS(313),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(315),
    [sym__extended_regex_literal] = ACTIONS(317),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(319),
    [sym__oneline_regex_literal] = ACTIONS(321),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_LBRACK] = ACTIONS(325),
    [anon_sym_AMP] = ACTIONS(327),
    [anon_sym_if] = ACTIONS(329),
    [anon_sym_switch] = ACTIONS(331),
    [anon_sym_POUNDselector] = ACTIONS(333),
    [aux_sym_custom_operator_token1] = ACTIONS(335),
    [anon_sym_LT] = ACTIONS(1131),
    [anon_sym_GT] = ACTIONS(1131),
    [anon_sym_await] = ACTIONS(337),
    [anon_sym_POUNDfile] = ACTIONS(1131),
    [anon_sym_POUNDfileID] = ACTIONS(1133),
    [anon_sym_POUNDfilePath] = ACTIONS(1133),
    [anon_sym_POUNDline] = ACTIONS(1133),
    [anon_sym_POUNDcolumn] = ACTIONS(1133),
    [anon_sym_POUNDfunction] = ACTIONS(1133),
    [anon_sym_POUNDdsohandle] = ACTIONS(1133),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(339),
    [anon_sym_POUNDfileLiteral] = ACTIONS(339),
    [anon_sym_POUNDimageLiteral] = ACTIONS(339),
    [anon_sym_LBRACE] = ACTIONS(341),
    [anon_sym_CARET_LBRACE] = ACTIONS(341),
    [anon_sym_self] = ACTIONS(345),
    [anon_sym_super] = ACTIONS(347),
    [anon_sym_case] = ACTIONS(1135),
    [anon_sym_POUNDkeyPath] = ACTIONS(353),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1133),
    [anon_sym_DASH_EQ] = ACTIONS(1133),
    [anon_sym_STAR_EQ] = ACTIONS(1133),
    [anon_sym_SLASH_EQ] = ACTIONS(1133),
    [anon_sym_PERCENT_EQ] = ACTIONS(1133),
    [anon_sym_BANG_EQ] = ACTIONS(1131),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1133),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1133),
    [anon_sym_LT_EQ] = ACTIONS(1133),
    [anon_sym_GT_EQ] = ACTIONS(1133),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(355),
    [anon_sym_DOT_DOT_LT] = ACTIONS(357),
    [anon_sym_PLUS] = ACTIONS(359),
    [anon_sym_DASH] = ACTIONS(359),
    [anon_sym_STAR] = ACTIONS(1131),
    [anon_sym_SLASH] = ACTIONS(1131),
    [anon_sym_PERCENT] = ACTIONS(1131),
    [anon_sym_PLUS_PLUS] = ACTIONS(327),
    [anon_sym_DASH_DASH] = ACTIONS(327),
    [anon_sym_TILDE] = ACTIONS(327),
    [anon_sym_PIPE] = ACTIONS(1133),
    [anon_sym_CARET] = ACTIONS(1131),
    [anon_sym_LT_LT] = ACTIONS(1133),
    [anon_sym_GT_GT] = ACTIONS(1133),
    [anon_sym_POUNDavailable] = ACTIONS(1137),
    [anon_sym_POUNDunavailable] = ACTIONS(1137),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_BANG2] = ACTIONS(381),
    [anon_sym_borrowing] = ACTIONS(291),
    [anon_sym_consuming] = ACTIONS(291),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(383),
    [sym__dot_custom] = ACTIONS(385),
    [sym__eq_custom] = ACTIONS(1133),
    [sym__eq_eq_custom] = ACTIONS(1133),
    [sym__plus_then_ws] = ACTIONS(1133),
    [sym__minus_then_ws] = ACTIONS(1133),
    [sym__bang_custom] = ACTIONS(387),
    [sym__custom_operator] = ACTIONS(335),
  },
  [186] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1427),
    [sym_boolean_literal] = STATE(1427),
    [sym__string_literal] = STATE(1427),
    [sym_line_string_literal] = STATE(1427),
    [sym_multi_line_string_literal] = STATE(1427),
    [sym_raw_string_literal] = STATE(1427),
    [sym_regex_literal] = STATE(1427),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1427),
    [sym__unary_expression] = STATE(1427),
    [sym_postfix_expression] = STATE(1427),
    [sym_constructor_expression] = STATE(1427),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1427),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1427),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1427),
    [sym_prefix_expression] = STATE(1427),
    [sym_as_expression] = STATE(1427),
    [sym_selector_expression] = STATE(1427),
    [sym__binary_expression] = STATE(1427),
    [sym_multiplicative_expression] = STATE(1427),
    [sym_additive_expression] = STATE(1427),
    [sym_range_expression] = STATE(1427),
    [sym_infix_expression] = STATE(1427),
    [sym_nil_coalescing_expression] = STATE(1427),
    [sym_check_expression] = STATE(1427),
    [sym_comparison_expression] = STATE(1427),
    [sym_equality_expression] = STATE(1427),
    [sym_conjunction_expression] = STATE(1427),
    [sym_disjunction_expression] = STATE(1427),
    [sym_bitwise_operation] = STATE(1427),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1427),
    [sym_await_expression] = STATE(1427),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1427),
    [sym_call_expression] = STATE(1427),
    [sym__primary_expression] = STATE(1427),
    [sym_tuple_expression] = STATE(1427),
    [sym_array_literal] = STATE(1427),
    [sym_dictionary_literal] = STATE(1427),
    [sym__special_literal] = STATE(1427),
    [sym__playground_literal] = STATE(1427),
    [sym_lambda_literal] = STATE(1427),
    [sym_self_expression] = STATE(1427),
    [sym_super_expression] = STATE(1427),
    [sym_if_statement] = STATE(1427),
    [sym__if_condition_sequence_item] = STATE(7020),
    [sym__if_let_binding] = STATE(7553),
    [sym_switch_statement] = STATE(1427),
    [sym_key_path_expression] = STATE(1427),
    [sym_key_path_string_expression] = STATE(1427),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1427),
    [sym__equality_operator] = STATE(1427),
    [sym__comparison_operator] = STATE(1427),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1427),
    [sym__multiplicative_operator] = STATE(1427),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1427),
    [sym_value_parameter_pack] = STATE(1427),
    [sym_value_pack_expansion] = STATE(1427),
    [sym_availability_condition] = STATE(7020),
    [sym__referenceable_operator] = STATE(1427),
    [sym__equal_sign] = STATE(1427),
    [sym__eq_eq] = STATE(1427),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__async_modifier] = STATE(6632),
    [sym__direct_or_indirect_binding] = STATE(5779),
    [sym_value_binding_pattern] = STATE(4103),
    [sym__possibly_async_binding_pattern_kind] = STATE(4103),
    [sym__binding_kind_and_pattern] = STATE(5716),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(535),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(413),
    [sym_real_literal] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(413),
    [sym_hex_literal] = ACTIONS(415),
    [sym_oct_literal] = ACTIONS(415),
    [sym_bin_literal] = ACTIONS(415),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(413),
    [anon_sym_GT] = ACTIONS(413),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(413),
    [anon_sym_POUNDfileID] = ACTIONS(415),
    [anon_sym_POUNDfilePath] = ACTIONS(415),
    [anon_sym_POUNDline] = ACTIONS(415),
    [anon_sym_POUNDcolumn] = ACTIONS(415),
    [anon_sym_POUNDfunction] = ACTIONS(415),
    [anon_sym_POUNDdsohandle] = ACTIONS(415),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_case] = ACTIONS(817),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(415),
    [anon_sym_DASH_EQ] = ACTIONS(415),
    [anon_sym_STAR_EQ] = ACTIONS(415),
    [anon_sym_SLASH_EQ] = ACTIONS(415),
    [anon_sym_PERCENT_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(415),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(415),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(413),
    [anon_sym_SLASH] = ACTIONS(413),
    [anon_sym_PERCENT] = ACTIONS(413),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_CARET] = ACTIONS(413),
    [anon_sym_LT_LT] = ACTIONS(415),
    [anon_sym_GT_GT] = ACTIONS(415),
    [anon_sym_POUNDavailable] = ACTIONS(451),
    [anon_sym_POUNDunavailable] = ACTIONS(451),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(415),
    [sym__eq_eq_custom] = ACTIONS(415),
    [sym__plus_then_ws] = ACTIONS(415),
    [sym__minus_then_ws] = ACTIONS(415),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [187] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1427),
    [sym_boolean_literal] = STATE(1427),
    [sym__string_literal] = STATE(1427),
    [sym_line_string_literal] = STATE(1427),
    [sym_multi_line_string_literal] = STATE(1427),
    [sym_raw_string_literal] = STATE(1427),
    [sym_regex_literal] = STATE(1427),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1427),
    [sym__unary_expression] = STATE(1427),
    [sym_postfix_expression] = STATE(1427),
    [sym_constructor_expression] = STATE(1427),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1427),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1427),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1427),
    [sym_prefix_expression] = STATE(1427),
    [sym_as_expression] = STATE(1427),
    [sym_selector_expression] = STATE(1427),
    [sym__binary_expression] = STATE(1427),
    [sym_multiplicative_expression] = STATE(1427),
    [sym_additive_expression] = STATE(1427),
    [sym_range_expression] = STATE(1427),
    [sym_infix_expression] = STATE(1427),
    [sym_nil_coalescing_expression] = STATE(1427),
    [sym_check_expression] = STATE(1427),
    [sym_comparison_expression] = STATE(1427),
    [sym_equality_expression] = STATE(1427),
    [sym_conjunction_expression] = STATE(1427),
    [sym_disjunction_expression] = STATE(1427),
    [sym_bitwise_operation] = STATE(1427),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1427),
    [sym_await_expression] = STATE(1427),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1427),
    [sym_call_expression] = STATE(1427),
    [sym__primary_expression] = STATE(1427),
    [sym_tuple_expression] = STATE(1427),
    [sym_array_literal] = STATE(1427),
    [sym_dictionary_literal] = STATE(1427),
    [sym__special_literal] = STATE(1427),
    [sym__playground_literal] = STATE(1427),
    [sym_lambda_literal] = STATE(1427),
    [sym_self_expression] = STATE(1427),
    [sym_super_expression] = STATE(1427),
    [sym_if_statement] = STATE(1427),
    [sym__if_condition_sequence_item] = STATE(7585),
    [sym__if_let_binding] = STATE(7553),
    [sym_switch_statement] = STATE(1427),
    [sym_key_path_expression] = STATE(1427),
    [sym_key_path_string_expression] = STATE(1427),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1427),
    [sym__equality_operator] = STATE(1427),
    [sym__comparison_operator] = STATE(1427),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1427),
    [sym__multiplicative_operator] = STATE(1427),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1427),
    [sym_value_parameter_pack] = STATE(1427),
    [sym_value_pack_expansion] = STATE(1427),
    [sym_availability_condition] = STATE(7585),
    [sym__referenceable_operator] = STATE(1427),
    [sym__equal_sign] = STATE(1427),
    [sym__eq_eq] = STATE(1427),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__async_modifier] = STATE(6632),
    [sym__direct_or_indirect_binding] = STATE(5779),
    [sym_value_binding_pattern] = STATE(4103),
    [sym__possibly_async_binding_pattern_kind] = STATE(4103),
    [sym__binding_kind_and_pattern] = STATE(5716),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(535),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(413),
    [sym_real_literal] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(413),
    [sym_hex_literal] = ACTIONS(415),
    [sym_oct_literal] = ACTIONS(415),
    [sym_bin_literal] = ACTIONS(415),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(413),
    [anon_sym_GT] = ACTIONS(413),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(413),
    [anon_sym_POUNDfileID] = ACTIONS(415),
    [anon_sym_POUNDfilePath] = ACTIONS(415),
    [anon_sym_POUNDline] = ACTIONS(415),
    [anon_sym_POUNDcolumn] = ACTIONS(415),
    [anon_sym_POUNDfunction] = ACTIONS(415),
    [anon_sym_POUNDdsohandle] = ACTIONS(415),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_case] = ACTIONS(817),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(415),
    [anon_sym_DASH_EQ] = ACTIONS(415),
    [anon_sym_STAR_EQ] = ACTIONS(415),
    [anon_sym_SLASH_EQ] = ACTIONS(415),
    [anon_sym_PERCENT_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(415),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(415),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(413),
    [anon_sym_SLASH] = ACTIONS(413),
    [anon_sym_PERCENT] = ACTIONS(413),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_CARET] = ACTIONS(413),
    [anon_sym_LT_LT] = ACTIONS(415),
    [anon_sym_GT_GT] = ACTIONS(415),
    [anon_sym_POUNDavailable] = ACTIONS(451),
    [anon_sym_POUNDunavailable] = ACTIONS(451),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(415),
    [sym__eq_eq_custom] = ACTIONS(415),
    [sym__plus_then_ws] = ACTIONS(415),
    [sym__minus_then_ws] = ACTIONS(415),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [188] = {
    [sym_simple_identifier] = STATE(2936),
    [sym__contextual_simple_identifier] = STATE(2558),
    [sym__basic_literal] = STATE(1397),
    [sym_boolean_literal] = STATE(1397),
    [sym__string_literal] = STATE(1397),
    [sym_line_string_literal] = STATE(1397),
    [sym_multi_line_string_literal] = STATE(1397),
    [sym_raw_string_literal] = STATE(1397),
    [sym_regex_literal] = STATE(1397),
    [sym__multiline_regex_literal] = STATE(3141),
    [sym_user_type] = STATE(5448),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5448),
    [sym_dictionary_type] = STATE(5448),
    [sym__expression] = STATE(1397),
    [sym__unary_expression] = STATE(1397),
    [sym_postfix_expression] = STATE(1397),
    [sym_constructor_expression] = STATE(1397),
    [sym__parenthesized_type] = STATE(6984),
    [sym_navigation_expression] = STATE(1397),
    [sym__navigable_type_expression] = STATE(6994),
    [sym_open_start_range_expression] = STATE(1397),
    [sym__range_operator] = STATE(488),
    [sym_open_end_range_expression] = STATE(1397),
    [sym_prefix_expression] = STATE(1397),
    [sym_as_expression] = STATE(1397),
    [sym_selector_expression] = STATE(1397),
    [sym__binary_expression] = STATE(1397),
    [sym_multiplicative_expression] = STATE(1397),
    [sym_additive_expression] = STATE(1397),
    [sym_range_expression] = STATE(1397),
    [sym_infix_expression] = STATE(1397),
    [sym_nil_coalescing_expression] = STATE(1397),
    [sym_check_expression] = STATE(1397),
    [sym_comparison_expression] = STATE(1397),
    [sym_equality_expression] = STATE(1397),
    [sym_conjunction_expression] = STATE(1397),
    [sym_disjunction_expression] = STATE(1397),
    [sym_bitwise_operation] = STATE(1397),
    [sym_custom_operator] = STATE(902),
    [sym_try_expression] = STATE(1397),
    [sym_await_expression] = STATE(1397),
    [sym__await_operator] = STATE(498),
    [sym_ternary_expression] = STATE(1397),
    [sym_call_expression] = STATE(1397),
    [sym__primary_expression] = STATE(1397),
    [sym_tuple_expression] = STATE(1397),
    [sym_array_literal] = STATE(1397),
    [sym_dictionary_literal] = STATE(1397),
    [sym__special_literal] = STATE(1397),
    [sym__playground_literal] = STATE(1397),
    [sym_lambda_literal] = STATE(1397),
    [sym_self_expression] = STATE(1397),
    [sym_super_expression] = STATE(1397),
    [sym_if_statement] = STATE(1397),
    [sym__if_condition_sequence_item] = STATE(6628),
    [sym__if_let_binding] = STATE(7250),
    [sym_switch_statement] = STATE(1397),
    [sym_key_path_expression] = STATE(1397),
    [sym_key_path_string_expression] = STATE(1397),
    [sym_try_operator] = STATE(501),
    [sym__assignment_and_operator] = STATE(1397),
    [sym__equality_operator] = STATE(1397),
    [sym__comparison_operator] = STATE(1397),
    [sym__three_dot_operator] = STATE(900),
    [sym__open_ended_range_operator] = STATE(488),
    [sym__additive_operator] = STATE(1397),
    [sym__multiplicative_operator] = STATE(1397),
    [sym__prefix_unary_operator] = STATE(505),
    [sym_directly_assignable_expression] = STATE(5447),
    [sym_assignment] = STATE(1397),
    [sym_value_parameter_pack] = STATE(1397),
    [sym_value_pack_expansion] = STATE(1397),
    [sym_availability_condition] = STATE(6628),
    [sym__referenceable_operator] = STATE(1397),
    [sym__equal_sign] = STATE(1397),
    [sym__eq_eq] = STATE(1397),
    [sym__dot] = STATE(505),
    [sym_bang] = STATE(902),
    [sym__async_modifier] = STATE(6632),
    [sym__direct_or_indirect_binding] = STATE(5793),
    [sym_value_binding_pattern] = STATE(4062),
    [sym__possibly_async_binding_pattern_kind] = STATE(4062),
    [sym__binding_kind_and_pattern] = STATE(5792),
    [sym__parameter_ownership_modifier] = STATE(2558),
    [aux_sym_raw_string_literal_repeat1] = STATE(7003),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(1147),
    [aux_sym_simple_identifier_token2] = ACTIONS(1149),
    [aux_sym_simple_identifier_token3] = ACTIONS(1149),
    [aux_sym_simple_identifier_token4] = ACTIONS(1149),
    [anon_sym_actor] = ACTIONS(1147),
    [anon_sym_async] = ACTIONS(1151),
    [anon_sym_each] = ACTIONS(1153),
    [anon_sym_lazy] = ACTIONS(1147),
    [anon_sym_repeat] = ACTIONS(1155),
    [anon_sym_package] = ACTIONS(1147),
    [anon_sym_nil] = ACTIONS(1157),
    [sym_real_literal] = ACTIONS(1159),
    [sym_integer_literal] = ACTIONS(1157),
    [sym_hex_literal] = ACTIONS(1159),
    [sym_oct_literal] = ACTIONS(1159),
    [sym_bin_literal] = ACTIONS(1159),
    [anon_sym_true] = ACTIONS(1161),
    [anon_sym_false] = ACTIONS(1161),
    [anon_sym_DQUOTE] = ACTIONS(1163),
    [anon_sym_BSLASH] = ACTIONS(1165),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1167),
    [sym__extended_regex_literal] = ACTIONS(1169),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(1171),
    [sym__oneline_regex_literal] = ACTIONS(1173),
    [anon_sym_LPAREN] = ACTIONS(1175),
    [anon_sym_LBRACK] = ACTIONS(1177),
    [anon_sym_AMP] = ACTIONS(1179),
    [anon_sym_if] = ACTIONS(1181),
    [anon_sym_switch] = ACTIONS(1183),
    [anon_sym_POUNDselector] = ACTIONS(1185),
    [aux_sym_custom_operator_token1] = ACTIONS(1187),
    [anon_sym_LT] = ACTIONS(1157),
    [anon_sym_GT] = ACTIONS(1157),
    [anon_sym_await] = ACTIONS(1189),
    [anon_sym_POUNDfile] = ACTIONS(1157),
    [anon_sym_POUNDfileID] = ACTIONS(1159),
    [anon_sym_POUNDfilePath] = ACTIONS(1159),
    [anon_sym_POUNDline] = ACTIONS(1159),
    [anon_sym_POUNDcolumn] = ACTIONS(1159),
    [anon_sym_POUNDfunction] = ACTIONS(1159),
    [anon_sym_POUNDdsohandle] = ACTIONS(1159),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(1191),
    [anon_sym_POUNDfileLiteral] = ACTIONS(1191),
    [anon_sym_POUNDimageLiteral] = ACTIONS(1191),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_CARET_LBRACE] = ACTIONS(1193),
    [anon_sym_self] = ACTIONS(1195),
    [anon_sym_super] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1199),
    [anon_sym_POUNDkeyPath] = ACTIONS(1201),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1159),
    [anon_sym_DASH_EQ] = ACTIONS(1159),
    [anon_sym_STAR_EQ] = ACTIONS(1159),
    [anon_sym_SLASH_EQ] = ACTIONS(1159),
    [anon_sym_PERCENT_EQ] = ACTIONS(1159),
    [anon_sym_BANG_EQ] = ACTIONS(1157),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1159),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1159),
    [anon_sym_LT_EQ] = ACTIONS(1159),
    [anon_sym_GT_EQ] = ACTIONS(1159),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1203),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1205),
    [anon_sym_PLUS] = ACTIONS(1207),
    [anon_sym_DASH] = ACTIONS(1207),
    [anon_sym_STAR] = ACTIONS(1157),
    [anon_sym_SLASH] = ACTIONS(1157),
    [anon_sym_PERCENT] = ACTIONS(1157),
    [anon_sym_PLUS_PLUS] = ACTIONS(1179),
    [anon_sym_DASH_DASH] = ACTIONS(1179),
    [anon_sym_TILDE] = ACTIONS(1179),
    [anon_sym_PIPE] = ACTIONS(1159),
    [anon_sym_CARET] = ACTIONS(1157),
    [anon_sym_LT_LT] = ACTIONS(1159),
    [anon_sym_GT_GT] = ACTIONS(1159),
    [anon_sym_POUNDavailable] = ACTIONS(1209),
    [anon_sym_POUNDunavailable] = ACTIONS(1209),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_BANG2] = ACTIONS(1211),
    [anon_sym_borrowing] = ACTIONS(1147),
    [anon_sym_consuming] = ACTIONS(1147),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(1213),
    [sym__dot_custom] = ACTIONS(1215),
    [sym__eq_custom] = ACTIONS(1159),
    [sym__eq_eq_custom] = ACTIONS(1159),
    [sym__plus_then_ws] = ACTIONS(1159),
    [sym__minus_then_ws] = ACTIONS(1159),
    [sym__bang_custom] = ACTIONS(1217),
    [sym__custom_operator] = ACTIONS(1187),
  },
  [189] = {
    [sym_simple_identifier] = STATE(2936),
    [sym__contextual_simple_identifier] = STATE(2558),
    [sym__basic_literal] = STATE(1397),
    [sym_boolean_literal] = STATE(1397),
    [sym__string_literal] = STATE(1397),
    [sym_line_string_literal] = STATE(1397),
    [sym_multi_line_string_literal] = STATE(1397),
    [sym_raw_string_literal] = STATE(1397),
    [sym_regex_literal] = STATE(1397),
    [sym__multiline_regex_literal] = STATE(3141),
    [sym_user_type] = STATE(5448),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5448),
    [sym_dictionary_type] = STATE(5448),
    [sym__expression] = STATE(1397),
    [sym__unary_expression] = STATE(1397),
    [sym_postfix_expression] = STATE(1397),
    [sym_constructor_expression] = STATE(1397),
    [sym__parenthesized_type] = STATE(6984),
    [sym_navigation_expression] = STATE(1397),
    [sym__navigable_type_expression] = STATE(6994),
    [sym_open_start_range_expression] = STATE(1397),
    [sym__range_operator] = STATE(488),
    [sym_open_end_range_expression] = STATE(1397),
    [sym_prefix_expression] = STATE(1397),
    [sym_as_expression] = STATE(1397),
    [sym_selector_expression] = STATE(1397),
    [sym__binary_expression] = STATE(1397),
    [sym_multiplicative_expression] = STATE(1397),
    [sym_additive_expression] = STATE(1397),
    [sym_range_expression] = STATE(1397),
    [sym_infix_expression] = STATE(1397),
    [sym_nil_coalescing_expression] = STATE(1397),
    [sym_check_expression] = STATE(1397),
    [sym_comparison_expression] = STATE(1397),
    [sym_equality_expression] = STATE(1397),
    [sym_conjunction_expression] = STATE(1397),
    [sym_disjunction_expression] = STATE(1397),
    [sym_bitwise_operation] = STATE(1397),
    [sym_custom_operator] = STATE(902),
    [sym_try_expression] = STATE(1397),
    [sym_await_expression] = STATE(1397),
    [sym__await_operator] = STATE(498),
    [sym_ternary_expression] = STATE(1397),
    [sym_call_expression] = STATE(1397),
    [sym__primary_expression] = STATE(1397),
    [sym_tuple_expression] = STATE(1397),
    [sym_array_literal] = STATE(1397),
    [sym_dictionary_literal] = STATE(1397),
    [sym__special_literal] = STATE(1397),
    [sym__playground_literal] = STATE(1397),
    [sym_lambda_literal] = STATE(1397),
    [sym_self_expression] = STATE(1397),
    [sym_super_expression] = STATE(1397),
    [sym_if_statement] = STATE(1397),
    [sym__if_condition_sequence_item] = STATE(7030),
    [sym__if_let_binding] = STATE(7250),
    [sym_switch_statement] = STATE(1397),
    [sym_key_path_expression] = STATE(1397),
    [sym_key_path_string_expression] = STATE(1397),
    [sym_try_operator] = STATE(501),
    [sym__assignment_and_operator] = STATE(1397),
    [sym__equality_operator] = STATE(1397),
    [sym__comparison_operator] = STATE(1397),
    [sym__three_dot_operator] = STATE(900),
    [sym__open_ended_range_operator] = STATE(488),
    [sym__additive_operator] = STATE(1397),
    [sym__multiplicative_operator] = STATE(1397),
    [sym__prefix_unary_operator] = STATE(505),
    [sym_directly_assignable_expression] = STATE(5447),
    [sym_assignment] = STATE(1397),
    [sym_value_parameter_pack] = STATE(1397),
    [sym_value_pack_expansion] = STATE(1397),
    [sym_availability_condition] = STATE(7030),
    [sym__referenceable_operator] = STATE(1397),
    [sym__equal_sign] = STATE(1397),
    [sym__eq_eq] = STATE(1397),
    [sym__dot] = STATE(505),
    [sym_bang] = STATE(902),
    [sym__async_modifier] = STATE(6632),
    [sym__direct_or_indirect_binding] = STATE(5793),
    [sym_value_binding_pattern] = STATE(4062),
    [sym__possibly_async_binding_pattern_kind] = STATE(4062),
    [sym__binding_kind_and_pattern] = STATE(5792),
    [sym__parameter_ownership_modifier] = STATE(2558),
    [aux_sym_raw_string_literal_repeat1] = STATE(7003),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(1147),
    [aux_sym_simple_identifier_token2] = ACTIONS(1149),
    [aux_sym_simple_identifier_token3] = ACTIONS(1149),
    [aux_sym_simple_identifier_token4] = ACTIONS(1149),
    [anon_sym_actor] = ACTIONS(1147),
    [anon_sym_async] = ACTIONS(1151),
    [anon_sym_each] = ACTIONS(1153),
    [anon_sym_lazy] = ACTIONS(1147),
    [anon_sym_repeat] = ACTIONS(1155),
    [anon_sym_package] = ACTIONS(1147),
    [anon_sym_nil] = ACTIONS(1157),
    [sym_real_literal] = ACTIONS(1159),
    [sym_integer_literal] = ACTIONS(1157),
    [sym_hex_literal] = ACTIONS(1159),
    [sym_oct_literal] = ACTIONS(1159),
    [sym_bin_literal] = ACTIONS(1159),
    [anon_sym_true] = ACTIONS(1161),
    [anon_sym_false] = ACTIONS(1161),
    [anon_sym_DQUOTE] = ACTIONS(1163),
    [anon_sym_BSLASH] = ACTIONS(1165),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1167),
    [sym__extended_regex_literal] = ACTIONS(1169),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(1171),
    [sym__oneline_regex_literal] = ACTIONS(1173),
    [anon_sym_LPAREN] = ACTIONS(1175),
    [anon_sym_LBRACK] = ACTIONS(1177),
    [anon_sym_AMP] = ACTIONS(1179),
    [anon_sym_if] = ACTIONS(1181),
    [anon_sym_switch] = ACTIONS(1183),
    [anon_sym_POUNDselector] = ACTIONS(1185),
    [aux_sym_custom_operator_token1] = ACTIONS(1187),
    [anon_sym_LT] = ACTIONS(1157),
    [anon_sym_GT] = ACTIONS(1157),
    [anon_sym_await] = ACTIONS(1189),
    [anon_sym_POUNDfile] = ACTIONS(1157),
    [anon_sym_POUNDfileID] = ACTIONS(1159),
    [anon_sym_POUNDfilePath] = ACTIONS(1159),
    [anon_sym_POUNDline] = ACTIONS(1159),
    [anon_sym_POUNDcolumn] = ACTIONS(1159),
    [anon_sym_POUNDfunction] = ACTIONS(1159),
    [anon_sym_POUNDdsohandle] = ACTIONS(1159),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(1191),
    [anon_sym_POUNDfileLiteral] = ACTIONS(1191),
    [anon_sym_POUNDimageLiteral] = ACTIONS(1191),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_CARET_LBRACE] = ACTIONS(1193),
    [anon_sym_self] = ACTIONS(1195),
    [anon_sym_super] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1199),
    [anon_sym_POUNDkeyPath] = ACTIONS(1201),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1159),
    [anon_sym_DASH_EQ] = ACTIONS(1159),
    [anon_sym_STAR_EQ] = ACTIONS(1159),
    [anon_sym_SLASH_EQ] = ACTIONS(1159),
    [anon_sym_PERCENT_EQ] = ACTIONS(1159),
    [anon_sym_BANG_EQ] = ACTIONS(1157),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1159),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1159),
    [anon_sym_LT_EQ] = ACTIONS(1159),
    [anon_sym_GT_EQ] = ACTIONS(1159),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1203),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1205),
    [anon_sym_PLUS] = ACTIONS(1207),
    [anon_sym_DASH] = ACTIONS(1207),
    [anon_sym_STAR] = ACTIONS(1157),
    [anon_sym_SLASH] = ACTIONS(1157),
    [anon_sym_PERCENT] = ACTIONS(1157),
    [anon_sym_PLUS_PLUS] = ACTIONS(1179),
    [anon_sym_DASH_DASH] = ACTIONS(1179),
    [anon_sym_TILDE] = ACTIONS(1179),
    [anon_sym_PIPE] = ACTIONS(1159),
    [anon_sym_CARET] = ACTIONS(1157),
    [anon_sym_LT_LT] = ACTIONS(1159),
    [anon_sym_GT_GT] = ACTIONS(1159),
    [anon_sym_POUNDavailable] = ACTIONS(1209),
    [anon_sym_POUNDunavailable] = ACTIONS(1209),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_BANG2] = ACTIONS(1211),
    [anon_sym_borrowing] = ACTIONS(1147),
    [anon_sym_consuming] = ACTIONS(1147),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(1213),
    [sym__dot_custom] = ACTIONS(1215),
    [sym__eq_custom] = ACTIONS(1159),
    [sym__eq_eq_custom] = ACTIONS(1159),
    [sym__plus_then_ws] = ACTIONS(1159),
    [sym__minus_then_ws] = ACTIONS(1159),
    [sym__bang_custom] = ACTIONS(1217),
    [sym__custom_operator] = ACTIONS(1187),
  },
  [190] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1284),
    [sym_boolean_literal] = STATE(1284),
    [sym__string_literal] = STATE(1284),
    [sym_line_string_literal] = STATE(1284),
    [sym_multi_line_string_literal] = STATE(1284),
    [sym_raw_string_literal] = STATE(1284),
    [sym_regex_literal] = STATE(1284),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1284),
    [sym__unary_expression] = STATE(1284),
    [sym_postfix_expression] = STATE(1284),
    [sym_constructor_expression] = STATE(1284),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1284),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1284),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1284),
    [sym_prefix_expression] = STATE(1284),
    [sym_as_expression] = STATE(1284),
    [sym_selector_expression] = STATE(1284),
    [sym__binary_expression] = STATE(1284),
    [sym_multiplicative_expression] = STATE(1284),
    [sym_additive_expression] = STATE(1284),
    [sym_range_expression] = STATE(1284),
    [sym_infix_expression] = STATE(1284),
    [sym_nil_coalescing_expression] = STATE(1284),
    [sym_check_expression] = STATE(1284),
    [sym_comparison_expression] = STATE(1284),
    [sym_equality_expression] = STATE(1284),
    [sym_conjunction_expression] = STATE(1284),
    [sym_disjunction_expression] = STATE(1284),
    [sym_bitwise_operation] = STATE(1284),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1284),
    [sym_await_expression] = STATE(1284),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1284),
    [sym_call_expression] = STATE(1284),
    [sym__primary_expression] = STATE(1284),
    [sym_tuple_expression] = STATE(1284),
    [sym_array_literal] = STATE(1284),
    [sym_dictionary_literal] = STATE(1284),
    [sym__special_literal] = STATE(1284),
    [sym__playground_literal] = STATE(1284),
    [sym_lambda_literal] = STATE(1284),
    [sym_self_expression] = STATE(1284),
    [sym_super_expression] = STATE(1284),
    [sym_if_statement] = STATE(1284),
    [sym_switch_statement] = STATE(1284),
    [sym_key_path_expression] = STATE(1284),
    [sym_key_path_string_expression] = STATE(1284),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1284),
    [sym__equality_operator] = STATE(1284),
    [sym__comparison_operator] = STATE(1284),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1284),
    [sym__multiplicative_operator] = STATE(1284),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1284),
    [sym_value_parameter_pack] = STATE(1284),
    [sym_value_pack_expansion] = STATE(1284),
    [sym__referenceable_operator] = STATE(1284),
    [sym__equal_sign] = STATE(1284),
    [sym__eq_eq] = STATE(1284),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(775),
    [sym_real_literal] = ACTIONS(777),
    [sym_integer_literal] = ACTIONS(775),
    [sym_hex_literal] = ACTIONS(777),
    [sym_oct_literal] = ACTIONS(777),
    [sym_bin_literal] = ACTIONS(777),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [anon_sym_RPAREN] = ACTIONS(631),
    [anon_sym_COMMA] = ACTIONS(631),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_COLON] = ACTIONS(631),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_RBRACK] = ACTIONS(631),
    [anon_sym_QMARK] = ACTIONS(637),
    [anon_sym_QMARK2] = ACTIONS(631),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(775),
    [anon_sym_POUNDfileID] = ACTIONS(777),
    [anon_sym_POUNDfilePath] = ACTIONS(777),
    [anon_sym_POUNDline] = ACTIONS(777),
    [anon_sym_POUNDcolumn] = ACTIONS(777),
    [anon_sym_POUNDfunction] = ACTIONS(777),
    [anon_sym_POUNDdsohandle] = ACTIONS(777),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(777),
    [anon_sym_DASH_EQ] = ACTIONS(777),
    [anon_sym_STAR_EQ] = ACTIONS(777),
    [anon_sym_SLASH_EQ] = ACTIONS(777),
    [anon_sym_PERCENT_EQ] = ACTIONS(777),
    [anon_sym_BANG_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(777),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(777),
    [anon_sym_LT_EQ] = ACTIONS(777),
    [anon_sym_GT_EQ] = ACTIONS(777),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_is] = ACTIONS(637),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(777),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(777),
    [anon_sym_GT_GT] = ACTIONS(777),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__conjunction_operator_custom] = ACTIONS(631),
    [sym__disjunction_operator_custom] = ACTIONS(631),
    [sym__nil_coalescing_operator_custom] = ACTIONS(631),
    [sym__eq_custom] = ACTIONS(777),
    [sym__eq_eq_custom] = ACTIONS(777),
    [sym__plus_then_ws] = ACTIONS(777),
    [sym__minus_then_ws] = ACTIONS(777),
    [sym__bang_custom] = ACTIONS(799),
    [sym__as_custom] = ACTIONS(631),
    [sym__as_quest_custom] = ACTIONS(631),
    [sym__as_bang_custom] = ACTIONS(631),
    [sym__custom_operator] = ACTIONS(787),
  },
  [191] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1427),
    [sym_boolean_literal] = STATE(1427),
    [sym__string_literal] = STATE(1427),
    [sym_line_string_literal] = STATE(1427),
    [sym_multi_line_string_literal] = STATE(1427),
    [sym_raw_string_literal] = STATE(1427),
    [sym_regex_literal] = STATE(1427),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1427),
    [sym__unary_expression] = STATE(1427),
    [sym_postfix_expression] = STATE(1427),
    [sym_constructor_expression] = STATE(1427),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1427),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1427),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1427),
    [sym_prefix_expression] = STATE(1427),
    [sym_as_expression] = STATE(1427),
    [sym_selector_expression] = STATE(1427),
    [sym__binary_expression] = STATE(1427),
    [sym_multiplicative_expression] = STATE(1427),
    [sym_additive_expression] = STATE(1427),
    [sym_range_expression] = STATE(1427),
    [sym_infix_expression] = STATE(1427),
    [sym_nil_coalescing_expression] = STATE(1427),
    [sym_check_expression] = STATE(1427),
    [sym_comparison_expression] = STATE(1427),
    [sym_equality_expression] = STATE(1427),
    [sym_conjunction_expression] = STATE(1427),
    [sym_disjunction_expression] = STATE(1427),
    [sym_bitwise_operation] = STATE(1427),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1427),
    [sym_await_expression] = STATE(1427),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1427),
    [sym_call_expression] = STATE(1427),
    [sym__primary_expression] = STATE(1427),
    [sym_tuple_expression] = STATE(1427),
    [sym_array_literal] = STATE(1427),
    [sym_dictionary_literal] = STATE(1427),
    [sym__special_literal] = STATE(1427),
    [sym__playground_literal] = STATE(1427),
    [sym_lambda_literal] = STATE(1427),
    [sym_self_expression] = STATE(1427),
    [sym_super_expression] = STATE(1427),
    [sym_if_statement] = STATE(1427),
    [sym__if_condition_sequence_item] = STATE(6247),
    [sym__if_let_binding] = STATE(7553),
    [sym_switch_statement] = STATE(1427),
    [sym_key_path_expression] = STATE(1427),
    [sym_key_path_string_expression] = STATE(1427),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1427),
    [sym__equality_operator] = STATE(1427),
    [sym__comparison_operator] = STATE(1427),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1427),
    [sym__multiplicative_operator] = STATE(1427),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1427),
    [sym_value_parameter_pack] = STATE(1427),
    [sym_value_pack_expansion] = STATE(1427),
    [sym_availability_condition] = STATE(6247),
    [sym__referenceable_operator] = STATE(1427),
    [sym__equal_sign] = STATE(1427),
    [sym__eq_eq] = STATE(1427),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__async_modifier] = STATE(6632),
    [sym__direct_or_indirect_binding] = STATE(5779),
    [sym_value_binding_pattern] = STATE(4103),
    [sym__possibly_async_binding_pattern_kind] = STATE(4103),
    [sym__binding_kind_and_pattern] = STATE(5716),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(535),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(413),
    [sym_real_literal] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(413),
    [sym_hex_literal] = ACTIONS(415),
    [sym_oct_literal] = ACTIONS(415),
    [sym_bin_literal] = ACTIONS(415),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(413),
    [anon_sym_GT] = ACTIONS(413),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(413),
    [anon_sym_POUNDfileID] = ACTIONS(415),
    [anon_sym_POUNDfilePath] = ACTIONS(415),
    [anon_sym_POUNDline] = ACTIONS(415),
    [anon_sym_POUNDcolumn] = ACTIONS(415),
    [anon_sym_POUNDfunction] = ACTIONS(415),
    [anon_sym_POUNDdsohandle] = ACTIONS(415),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_case] = ACTIONS(817),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(415),
    [anon_sym_DASH_EQ] = ACTIONS(415),
    [anon_sym_STAR_EQ] = ACTIONS(415),
    [anon_sym_SLASH_EQ] = ACTIONS(415),
    [anon_sym_PERCENT_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(415),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(415),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(413),
    [anon_sym_SLASH] = ACTIONS(413),
    [anon_sym_PERCENT] = ACTIONS(413),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_CARET] = ACTIONS(413),
    [anon_sym_LT_LT] = ACTIONS(415),
    [anon_sym_GT_GT] = ACTIONS(415),
    [anon_sym_POUNDavailable] = ACTIONS(451),
    [anon_sym_POUNDunavailable] = ACTIONS(451),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(415),
    [sym__eq_eq_custom] = ACTIONS(415),
    [sym__plus_then_ws] = ACTIONS(415),
    [sym__minus_then_ws] = ACTIONS(415),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [192] = {
    [sym_simple_identifier] = STATE(2276),
    [sym__contextual_simple_identifier] = STATE(2115),
    [sym__basic_literal] = STATE(1268),
    [sym_boolean_literal] = STATE(1268),
    [sym__string_literal] = STATE(1268),
    [sym_line_string_literal] = STATE(1268),
    [sym_multi_line_string_literal] = STATE(1268),
    [sym_raw_string_literal] = STATE(1268),
    [sym_regex_literal] = STATE(1268),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1268),
    [sym__unary_expression] = STATE(1268),
    [sym_postfix_expression] = STATE(1268),
    [sym_constructor_expression] = STATE(1268),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1268),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1268),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1268),
    [sym_prefix_expression] = STATE(1268),
    [sym_as_expression] = STATE(1268),
    [sym_selector_expression] = STATE(1268),
    [sym__binary_expression] = STATE(1268),
    [sym_multiplicative_expression] = STATE(1268),
    [sym_additive_expression] = STATE(1268),
    [sym_range_expression] = STATE(1268),
    [sym_infix_expression] = STATE(1268),
    [sym_nil_coalescing_expression] = STATE(1268),
    [sym_check_expression] = STATE(1268),
    [sym_comparison_expression] = STATE(1268),
    [sym_equality_expression] = STATE(1268),
    [sym_conjunction_expression] = STATE(1268),
    [sym_disjunction_expression] = STATE(1268),
    [sym_bitwise_operation] = STATE(1268),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1268),
    [sym_await_expression] = STATE(1268),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1268),
    [sym_call_expression] = STATE(1268),
    [sym__primary_expression] = STATE(1268),
    [sym_tuple_expression] = STATE(1268),
    [sym_array_literal] = STATE(1268),
    [sym_dictionary_literal] = STATE(1268),
    [sym__special_literal] = STATE(1268),
    [sym__playground_literal] = STATE(1268),
    [sym_lambda_literal] = STATE(1268),
    [sym_self_expression] = STATE(1268),
    [sym_super_expression] = STATE(1268),
    [sym_if_statement] = STATE(1268),
    [sym_switch_statement] = STATE(1268),
    [sym_key_path_expression] = STATE(1268),
    [sym_key_path_string_expression] = STATE(1268),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1268),
    [sym__equality_operator] = STATE(1268),
    [sym__comparison_operator] = STATE(1268),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1268),
    [sym__multiplicative_operator] = STATE(1268),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym_assignment] = STATE(1268),
    [sym_value_parameter_pack] = STATE(1268),
    [sym_value_pack_expansion] = STATE(1268),
    [sym__referenceable_operator] = STATE(1268),
    [sym__equal_sign] = STATE(1268),
    [sym__eq_eq] = STATE(1268),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__parameter_ownership_modifier] = STATE(2115),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [ts_builtin_sym_end] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(11),
    [aux_sym_simple_identifier_token2] = ACTIONS(13),
    [aux_sym_simple_identifier_token3] = ACTIONS(13),
    [aux_sym_simple_identifier_token4] = ACTIONS(13),
    [anon_sym_actor] = ACTIONS(11),
    [anon_sym_async] = ACTIONS(11),
    [anon_sym_each] = ACTIONS(19),
    [anon_sym_lazy] = ACTIONS(11),
    [anon_sym_repeat] = ACTIONS(937),
    [anon_sym_package] = ACTIONS(11),
    [anon_sym_nil] = ACTIONS(961),
    [sym_real_literal] = ACTIONS(963),
    [sym_integer_literal] = ACTIONS(961),
    [sym_hex_literal] = ACTIONS(963),
    [sym_oct_literal] = ACTIONS(963),
    [sym_bin_literal] = ACTIONS(963),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_QMARK] = ACTIONS(637),
    [anon_sym_QMARK2] = ACTIONS(631),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(961),
    [anon_sym_GT] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(961),
    [anon_sym_POUNDfileID] = ACTIONS(963),
    [anon_sym_POUNDfilePath] = ACTIONS(963),
    [anon_sym_POUNDline] = ACTIONS(963),
    [anon_sym_POUNDcolumn] = ACTIONS(963),
    [anon_sym_POUNDfunction] = ACTIONS(963),
    [anon_sym_POUNDdsohandle] = ACTIONS(963),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(965),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_RBRACE] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(65),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(963),
    [anon_sym_DASH_EQ] = ACTIONS(963),
    [anon_sym_STAR_EQ] = ACTIONS(963),
    [anon_sym_SLASH_EQ] = ACTIONS(963),
    [anon_sym_PERCENT_EQ] = ACTIONS(963),
    [anon_sym_BANG_EQ] = ACTIONS(961),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(963),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(963),
    [anon_sym_LT_EQ] = ACTIONS(963),
    [anon_sym_GT_EQ] = ACTIONS(963),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_is] = ACTIONS(637),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(961),
    [anon_sym_SLASH] = ACTIONS(961),
    [anon_sym_PERCENT] = ACTIONS(961),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(963),
    [anon_sym_CARET] = ACTIONS(961),
    [anon_sym_LT_LT] = ACTIONS(963),
    [anon_sym_GT_GT] = ACTIONS(963),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_borrowing] = ACTIONS(11),
    [anon_sym_consuming] = ACTIONS(11),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__implicit_semi] = ACTIONS(631),
    [sym__explicit_semi] = ACTIONS(631),
    [sym__dot_custom] = ACTIONS(149),
    [sym__conjunction_operator_custom] = ACTIONS(631),
    [sym__disjunction_operator_custom] = ACTIONS(631),
    [sym__nil_coalescing_operator_custom] = ACTIONS(631),
    [sym__eq_custom] = ACTIONS(963),
    [sym__eq_eq_custom] = ACTIONS(963),
    [sym__plus_then_ws] = ACTIONS(963),
    [sym__minus_then_ws] = ACTIONS(963),
    [sym__bang_custom] = ACTIONS(151),
    [sym__as_custom] = ACTIONS(631),
    [sym__as_quest_custom] = ACTIONS(631),
    [sym__as_bang_custom] = ACTIONS(631),
    [sym__custom_operator] = ACTIONS(57),
  },
  [193] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1427),
    [sym_boolean_literal] = STATE(1427),
    [sym__string_literal] = STATE(1427),
    [sym_line_string_literal] = STATE(1427),
    [sym_multi_line_string_literal] = STATE(1427),
    [sym_raw_string_literal] = STATE(1427),
    [sym_regex_literal] = STATE(1427),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1427),
    [sym__unary_expression] = STATE(1427),
    [sym_postfix_expression] = STATE(1427),
    [sym_constructor_expression] = STATE(1427),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1427),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1427),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1427),
    [sym_prefix_expression] = STATE(1427),
    [sym_as_expression] = STATE(1427),
    [sym_selector_expression] = STATE(1427),
    [sym__binary_expression] = STATE(1427),
    [sym_multiplicative_expression] = STATE(1427),
    [sym_additive_expression] = STATE(1427),
    [sym_range_expression] = STATE(1427),
    [sym_infix_expression] = STATE(1427),
    [sym_nil_coalescing_expression] = STATE(1427),
    [sym_check_expression] = STATE(1427),
    [sym_comparison_expression] = STATE(1427),
    [sym_equality_expression] = STATE(1427),
    [sym_conjunction_expression] = STATE(1427),
    [sym_disjunction_expression] = STATE(1427),
    [sym_bitwise_operation] = STATE(1427),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1427),
    [sym_await_expression] = STATE(1427),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1427),
    [sym_call_expression] = STATE(1427),
    [sym__primary_expression] = STATE(1427),
    [sym_tuple_expression] = STATE(1427),
    [sym_array_literal] = STATE(1427),
    [sym_dictionary_literal] = STATE(1427),
    [sym__special_literal] = STATE(1427),
    [sym__playground_literal] = STATE(1427),
    [sym_lambda_literal] = STATE(1427),
    [sym_self_expression] = STATE(1427),
    [sym_super_expression] = STATE(1427),
    [sym_if_statement] = STATE(1427),
    [sym__if_condition_sequence_item] = STATE(6300),
    [sym__if_let_binding] = STATE(7553),
    [sym_switch_statement] = STATE(1427),
    [sym_key_path_expression] = STATE(1427),
    [sym_key_path_string_expression] = STATE(1427),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1427),
    [sym__equality_operator] = STATE(1427),
    [sym__comparison_operator] = STATE(1427),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1427),
    [sym__multiplicative_operator] = STATE(1427),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1427),
    [sym_value_parameter_pack] = STATE(1427),
    [sym_value_pack_expansion] = STATE(1427),
    [sym_availability_condition] = STATE(6300),
    [sym__referenceable_operator] = STATE(1427),
    [sym__equal_sign] = STATE(1427),
    [sym__eq_eq] = STATE(1427),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__async_modifier] = STATE(6632),
    [sym__direct_or_indirect_binding] = STATE(5779),
    [sym_value_binding_pattern] = STATE(4103),
    [sym__possibly_async_binding_pattern_kind] = STATE(4103),
    [sym__binding_kind_and_pattern] = STATE(5716),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(535),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(413),
    [sym_real_literal] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(413),
    [sym_hex_literal] = ACTIONS(415),
    [sym_oct_literal] = ACTIONS(415),
    [sym_bin_literal] = ACTIONS(415),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(413),
    [anon_sym_GT] = ACTIONS(413),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(413),
    [anon_sym_POUNDfileID] = ACTIONS(415),
    [anon_sym_POUNDfilePath] = ACTIONS(415),
    [anon_sym_POUNDline] = ACTIONS(415),
    [anon_sym_POUNDcolumn] = ACTIONS(415),
    [anon_sym_POUNDfunction] = ACTIONS(415),
    [anon_sym_POUNDdsohandle] = ACTIONS(415),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_case] = ACTIONS(817),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(415),
    [anon_sym_DASH_EQ] = ACTIONS(415),
    [anon_sym_STAR_EQ] = ACTIONS(415),
    [anon_sym_SLASH_EQ] = ACTIONS(415),
    [anon_sym_PERCENT_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(415),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(415),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(413),
    [anon_sym_SLASH] = ACTIONS(413),
    [anon_sym_PERCENT] = ACTIONS(413),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_CARET] = ACTIONS(413),
    [anon_sym_LT_LT] = ACTIONS(415),
    [anon_sym_GT_GT] = ACTIONS(415),
    [anon_sym_POUNDavailable] = ACTIONS(451),
    [anon_sym_POUNDunavailable] = ACTIONS(451),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(415),
    [sym__eq_eq_custom] = ACTIONS(415),
    [sym__plus_then_ws] = ACTIONS(415),
    [sym__minus_then_ws] = ACTIONS(415),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [194] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1454),
    [sym_boolean_literal] = STATE(1454),
    [sym__string_literal] = STATE(1454),
    [sym_line_string_literal] = STATE(1454),
    [sym_multi_line_string_literal] = STATE(1454),
    [sym_raw_string_literal] = STATE(1454),
    [sym_regex_literal] = STATE(1454),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1454),
    [sym__unary_expression] = STATE(1454),
    [sym_postfix_expression] = STATE(1454),
    [sym_constructor_expression] = STATE(1454),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1454),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1454),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1454),
    [sym_prefix_expression] = STATE(1454),
    [sym_as_expression] = STATE(1454),
    [sym_selector_expression] = STATE(1454),
    [sym__binary_expression] = STATE(1454),
    [sym_multiplicative_expression] = STATE(1454),
    [sym_additive_expression] = STATE(1454),
    [sym_range_expression] = STATE(1454),
    [sym_infix_expression] = STATE(1454),
    [sym_nil_coalescing_expression] = STATE(1454),
    [sym_check_expression] = STATE(1454),
    [sym_comparison_expression] = STATE(1454),
    [sym_equality_expression] = STATE(1454),
    [sym_conjunction_expression] = STATE(1454),
    [sym_disjunction_expression] = STATE(1454),
    [sym_bitwise_operation] = STATE(1454),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1454),
    [sym_await_expression] = STATE(1454),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1454),
    [sym_call_expression] = STATE(1454),
    [sym__primary_expression] = STATE(1454),
    [sym_tuple_expression] = STATE(1454),
    [sym_array_literal] = STATE(1454),
    [sym_dictionary_literal] = STATE(1454),
    [sym__special_literal] = STATE(1454),
    [sym__playground_literal] = STATE(1454),
    [sym_lambda_literal] = STATE(1454),
    [sym_self_expression] = STATE(1454),
    [sym_super_expression] = STATE(1454),
    [sym_if_statement] = STATE(1454),
    [sym_switch_statement] = STATE(1454),
    [sym_key_path_expression] = STATE(1454),
    [sym_key_path_string_expression] = STATE(1454),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1454),
    [sym__equality_operator] = STATE(1454),
    [sym__comparison_operator] = STATE(1454),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1454),
    [sym__multiplicative_operator] = STATE(1454),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1454),
    [sym_value_parameter_pack] = STATE(1454),
    [sym_value_pack_expansion] = STATE(1454),
    [sym__referenceable_operator] = STATE(1454),
    [sym__equal_sign] = STATE(1454),
    [sym__eq_eq] = STATE(1454),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1219),
    [sym_real_literal] = ACTIONS(1221),
    [sym_integer_literal] = ACTIONS(1219),
    [sym_hex_literal] = ACTIONS(1221),
    [sym_oct_literal] = ACTIONS(1221),
    [sym_bin_literal] = ACTIONS(1221),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [anon_sym_RPAREN] = ACTIONS(425),
    [anon_sym_COMMA] = ACTIONS(425),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_COLON] = ACTIONS(425),
    [anon_sym_LPAREN] = ACTIONS(425),
    [anon_sym_LBRACK] = ACTIONS(425),
    [anon_sym_RBRACK] = ACTIONS(425),
    [anon_sym_QMARK] = ACTIONS(407),
    [anon_sym_QMARK2] = ACTIONS(425),
    [anon_sym_AMP] = ACTIONS(425),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(425),
    [anon_sym_LT] = ACTIONS(407),
    [anon_sym_GT] = ACTIONS(407),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1219),
    [anon_sym_POUNDfileID] = ACTIONS(1221),
    [anon_sym_POUNDfilePath] = ACTIONS(1221),
    [anon_sym_POUNDline] = ACTIONS(1221),
    [anon_sym_POUNDcolumn] = ACTIONS(1221),
    [anon_sym_POUNDfunction] = ACTIONS(1221),
    [anon_sym_POUNDdsohandle] = ACTIONS(1221),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(425),
    [anon_sym_CARET_LBRACE] = ACTIONS(425),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(425),
    [anon_sym_DASH_EQ] = ACTIONS(425),
    [anon_sym_STAR_EQ] = ACTIONS(425),
    [anon_sym_SLASH_EQ] = ACTIONS(425),
    [anon_sym_PERCENT_EQ] = ACTIONS(425),
    [anon_sym_BANG_EQ] = ACTIONS(407),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(425),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(425),
    [anon_sym_LT_EQ] = ACTIONS(425),
    [anon_sym_GT_EQ] = ACTIONS(425),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(425),
    [anon_sym_DOT_DOT_LT] = ACTIONS(425),
    [anon_sym_is] = ACTIONS(407),
    [anon_sym_PLUS] = ACTIONS(407),
    [anon_sym_DASH] = ACTIONS(407),
    [anon_sym_STAR] = ACTIONS(407),
    [anon_sym_SLASH] = ACTIONS(407),
    [anon_sym_PERCENT] = ACTIONS(407),
    [anon_sym_PLUS_PLUS] = ACTIONS(425),
    [anon_sym_DASH_DASH] = ACTIONS(425),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(425),
    [anon_sym_CARET] = ACTIONS(407),
    [anon_sym_LT_LT] = ACTIONS(425),
    [anon_sym_GT_GT] = ACTIONS(425),
    [anon_sym_BANG2] = ACTIONS(407),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(425),
    [sym__conjunction_operator_custom] = ACTIONS(425),
    [sym__disjunction_operator_custom] = ACTIONS(425),
    [sym__nil_coalescing_operator_custom] = ACTIONS(425),
    [sym__eq_custom] = ACTIONS(425),
    [sym__eq_eq_custom] = ACTIONS(425),
    [sym__plus_then_ws] = ACTIONS(425),
    [sym__minus_then_ws] = ACTIONS(425),
    [sym__bang_custom] = ACTIONS(425),
    [sym__as_custom] = ACTIONS(425),
    [sym__as_quest_custom] = ACTIONS(425),
    [sym__as_bang_custom] = ACTIONS(425),
    [sym__custom_operator] = ACTIONS(425),
  },
  [195] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1427),
    [sym_boolean_literal] = STATE(1427),
    [sym__string_literal] = STATE(1427),
    [sym_line_string_literal] = STATE(1427),
    [sym_multi_line_string_literal] = STATE(1427),
    [sym_raw_string_literal] = STATE(1427),
    [sym_regex_literal] = STATE(1427),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1427),
    [sym__unary_expression] = STATE(1427),
    [sym_postfix_expression] = STATE(1427),
    [sym_constructor_expression] = STATE(1427),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1427),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1427),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1427),
    [sym_prefix_expression] = STATE(1427),
    [sym_as_expression] = STATE(1427),
    [sym_selector_expression] = STATE(1427),
    [sym__binary_expression] = STATE(1427),
    [sym_multiplicative_expression] = STATE(1427),
    [sym_additive_expression] = STATE(1427),
    [sym_range_expression] = STATE(1427),
    [sym_infix_expression] = STATE(1427),
    [sym_nil_coalescing_expression] = STATE(1427),
    [sym_check_expression] = STATE(1427),
    [sym_comparison_expression] = STATE(1427),
    [sym_equality_expression] = STATE(1427),
    [sym_conjunction_expression] = STATE(1427),
    [sym_disjunction_expression] = STATE(1427),
    [sym_bitwise_operation] = STATE(1427),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1427),
    [sym_await_expression] = STATE(1427),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1427),
    [sym_call_expression] = STATE(1427),
    [sym__primary_expression] = STATE(1427),
    [sym_tuple_expression] = STATE(1427),
    [sym_array_literal] = STATE(1427),
    [sym_dictionary_literal] = STATE(1427),
    [sym__special_literal] = STATE(1427),
    [sym__playground_literal] = STATE(1427),
    [sym_lambda_literal] = STATE(1427),
    [sym_self_expression] = STATE(1427),
    [sym_super_expression] = STATE(1427),
    [sym_if_statement] = STATE(1427),
    [sym__if_condition_sequence_item] = STATE(6199),
    [sym__if_let_binding] = STATE(7553),
    [sym_switch_statement] = STATE(1427),
    [sym_key_path_expression] = STATE(1427),
    [sym_key_path_string_expression] = STATE(1427),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1427),
    [sym__equality_operator] = STATE(1427),
    [sym__comparison_operator] = STATE(1427),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1427),
    [sym__multiplicative_operator] = STATE(1427),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1427),
    [sym_value_parameter_pack] = STATE(1427),
    [sym_value_pack_expansion] = STATE(1427),
    [sym_availability_condition] = STATE(6199),
    [sym__referenceable_operator] = STATE(1427),
    [sym__equal_sign] = STATE(1427),
    [sym__eq_eq] = STATE(1427),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__async_modifier] = STATE(6632),
    [sym__direct_or_indirect_binding] = STATE(5779),
    [sym_value_binding_pattern] = STATE(4103),
    [sym__possibly_async_binding_pattern_kind] = STATE(4103),
    [sym__binding_kind_and_pattern] = STATE(5716),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(535),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(413),
    [sym_real_literal] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(413),
    [sym_hex_literal] = ACTIONS(415),
    [sym_oct_literal] = ACTIONS(415),
    [sym_bin_literal] = ACTIONS(415),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(413),
    [anon_sym_GT] = ACTIONS(413),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(413),
    [anon_sym_POUNDfileID] = ACTIONS(415),
    [anon_sym_POUNDfilePath] = ACTIONS(415),
    [anon_sym_POUNDline] = ACTIONS(415),
    [anon_sym_POUNDcolumn] = ACTIONS(415),
    [anon_sym_POUNDfunction] = ACTIONS(415),
    [anon_sym_POUNDdsohandle] = ACTIONS(415),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_case] = ACTIONS(817),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(415),
    [anon_sym_DASH_EQ] = ACTIONS(415),
    [anon_sym_STAR_EQ] = ACTIONS(415),
    [anon_sym_SLASH_EQ] = ACTIONS(415),
    [anon_sym_PERCENT_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(415),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(415),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(413),
    [anon_sym_SLASH] = ACTIONS(413),
    [anon_sym_PERCENT] = ACTIONS(413),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_CARET] = ACTIONS(413),
    [anon_sym_LT_LT] = ACTIONS(415),
    [anon_sym_GT_GT] = ACTIONS(415),
    [anon_sym_POUNDavailable] = ACTIONS(451),
    [anon_sym_POUNDunavailable] = ACTIONS(451),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(415),
    [sym__eq_eq_custom] = ACTIONS(415),
    [sym__plus_then_ws] = ACTIONS(415),
    [sym__minus_then_ws] = ACTIONS(415),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [196] = {
    [sym_simple_identifier] = STATE(2276),
    [sym__contextual_simple_identifier] = STATE(2115),
    [sym__basic_literal] = STATE(1266),
    [sym_boolean_literal] = STATE(1266),
    [sym__string_literal] = STATE(1266),
    [sym_line_string_literal] = STATE(1266),
    [sym_multi_line_string_literal] = STATE(1266),
    [sym_raw_string_literal] = STATE(1266),
    [sym_regex_literal] = STATE(1266),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1266),
    [sym__unary_expression] = STATE(1266),
    [sym_postfix_expression] = STATE(1266),
    [sym_constructor_expression] = STATE(1266),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1266),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1266),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1266),
    [sym_prefix_expression] = STATE(1266),
    [sym_as_expression] = STATE(1266),
    [sym_selector_expression] = STATE(1266),
    [sym__binary_expression] = STATE(1266),
    [sym_multiplicative_expression] = STATE(1266),
    [sym_additive_expression] = STATE(1266),
    [sym_range_expression] = STATE(1266),
    [sym_infix_expression] = STATE(1266),
    [sym_nil_coalescing_expression] = STATE(1266),
    [sym_check_expression] = STATE(1266),
    [sym_comparison_expression] = STATE(1266),
    [sym_equality_expression] = STATE(1266),
    [sym_conjunction_expression] = STATE(1266),
    [sym_disjunction_expression] = STATE(1266),
    [sym_bitwise_operation] = STATE(1266),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1266),
    [sym_await_expression] = STATE(1266),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1266),
    [sym_call_expression] = STATE(1266),
    [sym__primary_expression] = STATE(1266),
    [sym_tuple_expression] = STATE(1266),
    [sym_array_literal] = STATE(1266),
    [sym_dictionary_literal] = STATE(1266),
    [sym__special_literal] = STATE(1266),
    [sym__playground_literal] = STATE(1266),
    [sym_lambda_literal] = STATE(1266),
    [sym_self_expression] = STATE(1266),
    [sym_super_expression] = STATE(1266),
    [sym_if_statement] = STATE(1266),
    [sym__if_condition_sequence_item] = STATE(6062),
    [sym__if_let_binding] = STATE(5924),
    [sym_switch_statement] = STATE(1266),
    [sym_key_path_expression] = STATE(1266),
    [sym_key_path_string_expression] = STATE(1266),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1266),
    [sym__equality_operator] = STATE(1266),
    [sym__comparison_operator] = STATE(1266),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1266),
    [sym__multiplicative_operator] = STATE(1266),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym_assignment] = STATE(1266),
    [sym_value_parameter_pack] = STATE(1266),
    [sym_value_pack_expansion] = STATE(1266),
    [sym_availability_condition] = STATE(6062),
    [sym__referenceable_operator] = STATE(1266),
    [sym__equal_sign] = STATE(1266),
    [sym__eq_eq] = STATE(1266),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__async_modifier] = STATE(6632),
    [sym__direct_or_indirect_binding] = STATE(5358),
    [sym_value_binding_pattern] = STATE(4166),
    [sym__possibly_async_binding_pattern_kind] = STATE(4166),
    [sym__binding_kind_and_pattern] = STATE(5363),
    [sym__parameter_ownership_modifier] = STATE(2115),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(11),
    [aux_sym_simple_identifier_token2] = ACTIONS(13),
    [aux_sym_simple_identifier_token3] = ACTIONS(13),
    [aux_sym_simple_identifier_token4] = ACTIONS(13),
    [anon_sym_actor] = ACTIONS(11),
    [anon_sym_async] = ACTIONS(17),
    [anon_sym_each] = ACTIONS(19),
    [anon_sym_lazy] = ACTIONS(11),
    [anon_sym_repeat] = ACTIONS(937),
    [anon_sym_package] = ACTIONS(11),
    [anon_sym_nil] = ACTIONS(1139),
    [sym_real_literal] = ACTIONS(1141),
    [sym_integer_literal] = ACTIONS(1139),
    [sym_hex_literal] = ACTIONS(1141),
    [sym_oct_literal] = ACTIONS(1141),
    [sym_bin_literal] = ACTIONS(1141),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(1139),
    [anon_sym_GT] = ACTIONS(1139),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(1139),
    [anon_sym_POUNDfileID] = ACTIONS(1141),
    [anon_sym_POUNDfilePath] = ACTIONS(1141),
    [anon_sym_POUNDline] = ACTIONS(1141),
    [anon_sym_POUNDcolumn] = ACTIONS(1141),
    [anon_sym_POUNDfunction] = ACTIONS(1141),
    [anon_sym_POUNDdsohandle] = ACTIONS(1141),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_self] = ACTIONS(65),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_case] = ACTIONS(1143),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1141),
    [anon_sym_DASH_EQ] = ACTIONS(1141),
    [anon_sym_STAR_EQ] = ACTIONS(1141),
    [anon_sym_SLASH_EQ] = ACTIONS(1141),
    [anon_sym_PERCENT_EQ] = ACTIONS(1141),
    [anon_sym_BANG_EQ] = ACTIONS(1139),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1141),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1141),
    [anon_sym_LT_EQ] = ACTIONS(1141),
    [anon_sym_GT_EQ] = ACTIONS(1141),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(1139),
    [anon_sym_SLASH] = ACTIONS(1139),
    [anon_sym_PERCENT] = ACTIONS(1139),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(1141),
    [anon_sym_CARET] = ACTIONS(1139),
    [anon_sym_LT_LT] = ACTIONS(1141),
    [anon_sym_GT_GT] = ACTIONS(1141),
    [anon_sym_POUNDavailable] = ACTIONS(1145),
    [anon_sym_POUNDunavailable] = ACTIONS(1145),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_borrowing] = ACTIONS(11),
    [anon_sym_consuming] = ACTIONS(11),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(1141),
    [sym__eq_eq_custom] = ACTIONS(1141),
    [sym__plus_then_ws] = ACTIONS(1141),
    [sym__minus_then_ws] = ACTIONS(1141),
    [sym__bang_custom] = ACTIONS(151),
    [sym__custom_operator] = ACTIONS(57),
  },
  [197] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1452),
    [sym_boolean_literal] = STATE(1452),
    [sym__string_literal] = STATE(1452),
    [sym_line_string_literal] = STATE(1452),
    [sym_multi_line_string_literal] = STATE(1452),
    [sym_raw_string_literal] = STATE(1452),
    [sym_regex_literal] = STATE(1452),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1452),
    [sym__unary_expression] = STATE(1452),
    [sym_postfix_expression] = STATE(1452),
    [sym_constructor_expression] = STATE(1452),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1452),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1452),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1452),
    [sym_prefix_expression] = STATE(1452),
    [sym_as_expression] = STATE(1452),
    [sym_selector_expression] = STATE(1452),
    [sym__binary_expression] = STATE(1452),
    [sym_multiplicative_expression] = STATE(1452),
    [sym_additive_expression] = STATE(1452),
    [sym_range_expression] = STATE(1452),
    [sym_infix_expression] = STATE(1452),
    [sym_nil_coalescing_expression] = STATE(1452),
    [sym_check_expression] = STATE(1452),
    [sym_comparison_expression] = STATE(1452),
    [sym_equality_expression] = STATE(1452),
    [sym_conjunction_expression] = STATE(1452),
    [sym_disjunction_expression] = STATE(1452),
    [sym_bitwise_operation] = STATE(1452),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1452),
    [sym_await_expression] = STATE(1452),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1452),
    [sym_call_expression] = STATE(1452),
    [sym__primary_expression] = STATE(1452),
    [sym_tuple_expression] = STATE(1452),
    [sym_array_literal] = STATE(1452),
    [sym_dictionary_literal] = STATE(1452),
    [sym__special_literal] = STATE(1452),
    [sym__playground_literal] = STATE(1452),
    [sym_lambda_literal] = STATE(1452),
    [sym_self_expression] = STATE(1452),
    [sym_super_expression] = STATE(1452),
    [sym_if_statement] = STATE(1452),
    [sym_switch_statement] = STATE(1452),
    [sym_key_path_expression] = STATE(1452),
    [sym_key_path_string_expression] = STATE(1452),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1452),
    [sym__equality_operator] = STATE(1452),
    [sym__comparison_operator] = STATE(1452),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1452),
    [sym__multiplicative_operator] = STATE(1452),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1452),
    [sym_value_parameter_pack] = STATE(1452),
    [sym_value_pack_expansion] = STATE(1452),
    [sym__referenceable_operator] = STATE(1452),
    [sym__equal_sign] = STATE(1452),
    [sym__eq_eq] = STATE(1452),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1223),
    [sym_real_literal] = ACTIONS(1225),
    [sym_integer_literal] = ACTIONS(1223),
    [sym_hex_literal] = ACTIONS(1225),
    [sym_oct_literal] = ACTIONS(1225),
    [sym_bin_literal] = ACTIONS(1225),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [anon_sym_COMMA] = ACTIONS(425),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(425),
    [anon_sym_LBRACK] = ACTIONS(425),
    [anon_sym_QMARK] = ACTIONS(407),
    [anon_sym_QMARK2] = ACTIONS(425),
    [anon_sym_AMP] = ACTIONS(425),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(425),
    [anon_sym_LT] = ACTIONS(407),
    [anon_sym_GT] = ACTIONS(407),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1223),
    [anon_sym_POUNDfileID] = ACTIONS(1225),
    [anon_sym_POUNDfilePath] = ACTIONS(1225),
    [anon_sym_POUNDline] = ACTIONS(1225),
    [anon_sym_POUNDcolumn] = ACTIONS(1225),
    [anon_sym_POUNDfunction] = ACTIONS(1225),
    [anon_sym_POUNDdsohandle] = ACTIONS(1225),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(425),
    [anon_sym_CARET_LBRACE] = ACTIONS(425),
    [anon_sym_RBRACE] = ACTIONS(425),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(425),
    [anon_sym_DASH_EQ] = ACTIONS(425),
    [anon_sym_STAR_EQ] = ACTIONS(425),
    [anon_sym_SLASH_EQ] = ACTIONS(425),
    [anon_sym_PERCENT_EQ] = ACTIONS(425),
    [anon_sym_BANG_EQ] = ACTIONS(407),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(425),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(425),
    [anon_sym_LT_EQ] = ACTIONS(425),
    [anon_sym_GT_EQ] = ACTIONS(425),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(425),
    [anon_sym_DOT_DOT_LT] = ACTIONS(425),
    [anon_sym_is] = ACTIONS(407),
    [anon_sym_PLUS] = ACTIONS(407),
    [anon_sym_DASH] = ACTIONS(407),
    [anon_sym_STAR] = ACTIONS(407),
    [anon_sym_SLASH] = ACTIONS(407),
    [anon_sym_PERCENT] = ACTIONS(407),
    [anon_sym_PLUS_PLUS] = ACTIONS(425),
    [anon_sym_DASH_DASH] = ACTIONS(425),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(425),
    [anon_sym_CARET] = ACTIONS(407),
    [anon_sym_LT_LT] = ACTIONS(425),
    [anon_sym_GT_GT] = ACTIONS(425),
    [anon_sym_BANG2] = ACTIONS(407),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(425),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__implicit_semi] = ACTIONS(425),
    [sym__explicit_semi] = ACTIONS(425),
    [sym__dot_custom] = ACTIONS(425),
    [sym__conjunction_operator_custom] = ACTIONS(425),
    [sym__disjunction_operator_custom] = ACTIONS(425),
    [sym__nil_coalescing_operator_custom] = ACTIONS(425),
    [sym__eq_custom] = ACTIONS(425),
    [sym__eq_eq_custom] = ACTIONS(425),
    [sym__plus_then_ws] = ACTIONS(425),
    [sym__minus_then_ws] = ACTIONS(425),
    [sym__bang_custom] = ACTIONS(425),
    [sym__as_custom] = ACTIONS(425),
    [sym__as_quest_custom] = ACTIONS(425),
    [sym__as_bang_custom] = ACTIONS(425),
    [sym__custom_operator] = ACTIONS(425),
  },
  [198] = {
    [sym_simple_identifier] = STATE(2276),
    [sym__contextual_simple_identifier] = STATE(2115),
    [sym__basic_literal] = STATE(1266),
    [sym_boolean_literal] = STATE(1266),
    [sym__string_literal] = STATE(1266),
    [sym_line_string_literal] = STATE(1266),
    [sym_multi_line_string_literal] = STATE(1266),
    [sym_raw_string_literal] = STATE(1266),
    [sym_regex_literal] = STATE(1266),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1266),
    [sym__unary_expression] = STATE(1266),
    [sym_postfix_expression] = STATE(1266),
    [sym_constructor_expression] = STATE(1266),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1266),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1266),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1266),
    [sym_prefix_expression] = STATE(1266),
    [sym_as_expression] = STATE(1266),
    [sym_selector_expression] = STATE(1266),
    [sym__binary_expression] = STATE(1266),
    [sym_multiplicative_expression] = STATE(1266),
    [sym_additive_expression] = STATE(1266),
    [sym_range_expression] = STATE(1266),
    [sym_infix_expression] = STATE(1266),
    [sym_nil_coalescing_expression] = STATE(1266),
    [sym_check_expression] = STATE(1266),
    [sym_comparison_expression] = STATE(1266),
    [sym_equality_expression] = STATE(1266),
    [sym_conjunction_expression] = STATE(1266),
    [sym_disjunction_expression] = STATE(1266),
    [sym_bitwise_operation] = STATE(1266),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1266),
    [sym_await_expression] = STATE(1266),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1266),
    [sym_call_expression] = STATE(1266),
    [sym__primary_expression] = STATE(1266),
    [sym_tuple_expression] = STATE(1266),
    [sym_array_literal] = STATE(1266),
    [sym_dictionary_literal] = STATE(1266),
    [sym__special_literal] = STATE(1266),
    [sym__playground_literal] = STATE(1266),
    [sym_lambda_literal] = STATE(1266),
    [sym_self_expression] = STATE(1266),
    [sym_super_expression] = STATE(1266),
    [sym_if_statement] = STATE(1266),
    [sym__if_condition_sequence_item] = STATE(5749),
    [sym__if_let_binding] = STATE(5924),
    [sym_switch_statement] = STATE(1266),
    [sym_key_path_expression] = STATE(1266),
    [sym_key_path_string_expression] = STATE(1266),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1266),
    [sym__equality_operator] = STATE(1266),
    [sym__comparison_operator] = STATE(1266),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1266),
    [sym__multiplicative_operator] = STATE(1266),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym_assignment] = STATE(1266),
    [sym_value_parameter_pack] = STATE(1266),
    [sym_value_pack_expansion] = STATE(1266),
    [sym_availability_condition] = STATE(5749),
    [sym__referenceable_operator] = STATE(1266),
    [sym__equal_sign] = STATE(1266),
    [sym__eq_eq] = STATE(1266),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__async_modifier] = STATE(6632),
    [sym__direct_or_indirect_binding] = STATE(5358),
    [sym_value_binding_pattern] = STATE(4166),
    [sym__possibly_async_binding_pattern_kind] = STATE(4166),
    [sym__binding_kind_and_pattern] = STATE(5363),
    [sym__parameter_ownership_modifier] = STATE(2115),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(11),
    [aux_sym_simple_identifier_token2] = ACTIONS(13),
    [aux_sym_simple_identifier_token3] = ACTIONS(13),
    [aux_sym_simple_identifier_token4] = ACTIONS(13),
    [anon_sym_actor] = ACTIONS(11),
    [anon_sym_async] = ACTIONS(17),
    [anon_sym_each] = ACTIONS(19),
    [anon_sym_lazy] = ACTIONS(11),
    [anon_sym_repeat] = ACTIONS(937),
    [anon_sym_package] = ACTIONS(11),
    [anon_sym_nil] = ACTIONS(1139),
    [sym_real_literal] = ACTIONS(1141),
    [sym_integer_literal] = ACTIONS(1139),
    [sym_hex_literal] = ACTIONS(1141),
    [sym_oct_literal] = ACTIONS(1141),
    [sym_bin_literal] = ACTIONS(1141),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(1139),
    [anon_sym_GT] = ACTIONS(1139),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(1139),
    [anon_sym_POUNDfileID] = ACTIONS(1141),
    [anon_sym_POUNDfilePath] = ACTIONS(1141),
    [anon_sym_POUNDline] = ACTIONS(1141),
    [anon_sym_POUNDcolumn] = ACTIONS(1141),
    [anon_sym_POUNDfunction] = ACTIONS(1141),
    [anon_sym_POUNDdsohandle] = ACTIONS(1141),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_self] = ACTIONS(65),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_case] = ACTIONS(1143),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1141),
    [anon_sym_DASH_EQ] = ACTIONS(1141),
    [anon_sym_STAR_EQ] = ACTIONS(1141),
    [anon_sym_SLASH_EQ] = ACTIONS(1141),
    [anon_sym_PERCENT_EQ] = ACTIONS(1141),
    [anon_sym_BANG_EQ] = ACTIONS(1139),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1141),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1141),
    [anon_sym_LT_EQ] = ACTIONS(1141),
    [anon_sym_GT_EQ] = ACTIONS(1141),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(1139),
    [anon_sym_SLASH] = ACTIONS(1139),
    [anon_sym_PERCENT] = ACTIONS(1139),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(1141),
    [anon_sym_CARET] = ACTIONS(1139),
    [anon_sym_LT_LT] = ACTIONS(1141),
    [anon_sym_GT_GT] = ACTIONS(1141),
    [anon_sym_POUNDavailable] = ACTIONS(1145),
    [anon_sym_POUNDunavailable] = ACTIONS(1145),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_borrowing] = ACTIONS(11),
    [anon_sym_consuming] = ACTIONS(11),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(1141),
    [sym__eq_eq_custom] = ACTIONS(1141),
    [sym__plus_then_ws] = ACTIONS(1141),
    [sym__minus_then_ws] = ACTIONS(1141),
    [sym__bang_custom] = ACTIONS(151),
    [sym__custom_operator] = ACTIONS(57),
  },
  [199] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1427),
    [sym_boolean_literal] = STATE(1427),
    [sym__string_literal] = STATE(1427),
    [sym_line_string_literal] = STATE(1427),
    [sym_multi_line_string_literal] = STATE(1427),
    [sym_raw_string_literal] = STATE(1427),
    [sym_regex_literal] = STATE(1427),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1427),
    [sym__unary_expression] = STATE(1427),
    [sym_postfix_expression] = STATE(1427),
    [sym_constructor_expression] = STATE(1427),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1427),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1427),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1427),
    [sym_prefix_expression] = STATE(1427),
    [sym_as_expression] = STATE(1427),
    [sym_selector_expression] = STATE(1427),
    [sym__binary_expression] = STATE(1427),
    [sym_multiplicative_expression] = STATE(1427),
    [sym_additive_expression] = STATE(1427),
    [sym_range_expression] = STATE(1427),
    [sym_infix_expression] = STATE(1427),
    [sym_nil_coalescing_expression] = STATE(1427),
    [sym_check_expression] = STATE(1427),
    [sym_comparison_expression] = STATE(1427),
    [sym_equality_expression] = STATE(1427),
    [sym_conjunction_expression] = STATE(1427),
    [sym_disjunction_expression] = STATE(1427),
    [sym_bitwise_operation] = STATE(1427),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1427),
    [sym_await_expression] = STATE(1427),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1427),
    [sym_call_expression] = STATE(1427),
    [sym__primary_expression] = STATE(1427),
    [sym_tuple_expression] = STATE(1427),
    [sym_array_literal] = STATE(1427),
    [sym_dictionary_literal] = STATE(1427),
    [sym__special_literal] = STATE(1427),
    [sym__playground_literal] = STATE(1427),
    [sym_lambda_literal] = STATE(1427),
    [sym_self_expression] = STATE(1427),
    [sym_super_expression] = STATE(1427),
    [sym_if_statement] = STATE(1427),
    [sym__if_condition_sequence_item] = STATE(6368),
    [sym__if_let_binding] = STATE(7553),
    [sym_switch_statement] = STATE(1427),
    [sym_key_path_expression] = STATE(1427),
    [sym_key_path_string_expression] = STATE(1427),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1427),
    [sym__equality_operator] = STATE(1427),
    [sym__comparison_operator] = STATE(1427),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1427),
    [sym__multiplicative_operator] = STATE(1427),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1427),
    [sym_value_parameter_pack] = STATE(1427),
    [sym_value_pack_expansion] = STATE(1427),
    [sym_availability_condition] = STATE(6368),
    [sym__referenceable_operator] = STATE(1427),
    [sym__equal_sign] = STATE(1427),
    [sym__eq_eq] = STATE(1427),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__async_modifier] = STATE(6632),
    [sym__direct_or_indirect_binding] = STATE(5779),
    [sym_value_binding_pattern] = STATE(4103),
    [sym__possibly_async_binding_pattern_kind] = STATE(4103),
    [sym__binding_kind_and_pattern] = STATE(5716),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(535),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(413),
    [sym_real_literal] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(413),
    [sym_hex_literal] = ACTIONS(415),
    [sym_oct_literal] = ACTIONS(415),
    [sym_bin_literal] = ACTIONS(415),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(413),
    [anon_sym_GT] = ACTIONS(413),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(413),
    [anon_sym_POUNDfileID] = ACTIONS(415),
    [anon_sym_POUNDfilePath] = ACTIONS(415),
    [anon_sym_POUNDline] = ACTIONS(415),
    [anon_sym_POUNDcolumn] = ACTIONS(415),
    [anon_sym_POUNDfunction] = ACTIONS(415),
    [anon_sym_POUNDdsohandle] = ACTIONS(415),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_case] = ACTIONS(817),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(415),
    [anon_sym_DASH_EQ] = ACTIONS(415),
    [anon_sym_STAR_EQ] = ACTIONS(415),
    [anon_sym_SLASH_EQ] = ACTIONS(415),
    [anon_sym_PERCENT_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(415),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(415),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(413),
    [anon_sym_SLASH] = ACTIONS(413),
    [anon_sym_PERCENT] = ACTIONS(413),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_CARET] = ACTIONS(413),
    [anon_sym_LT_LT] = ACTIONS(415),
    [anon_sym_GT_GT] = ACTIONS(415),
    [anon_sym_POUNDavailable] = ACTIONS(451),
    [anon_sym_POUNDunavailable] = ACTIONS(451),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(415),
    [sym__eq_eq_custom] = ACTIONS(415),
    [sym__plus_then_ws] = ACTIONS(415),
    [sym__minus_then_ws] = ACTIONS(415),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [200] = {
    [sym_simple_identifier] = STATE(1141),
    [sym__contextual_simple_identifier] = STATE(1051),
    [sym__basic_literal] = STATE(665),
    [sym_boolean_literal] = STATE(665),
    [sym__string_literal] = STATE(665),
    [sym_line_string_literal] = STATE(665),
    [sym_multi_line_string_literal] = STATE(665),
    [sym_raw_string_literal] = STATE(665),
    [sym_regex_literal] = STATE(665),
    [sym__multiline_regex_literal] = STATE(1215),
    [sym_user_type] = STATE(5510),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5510),
    [sym_dictionary_type] = STATE(5510),
    [sym__expression] = STATE(665),
    [sym__unary_expression] = STATE(665),
    [sym_postfix_expression] = STATE(665),
    [sym_constructor_expression] = STATE(665),
    [sym__parenthesized_type] = STATE(6558),
    [sym_navigation_expression] = STATE(665),
    [sym__navigable_type_expression] = STATE(6557),
    [sym_open_start_range_expression] = STATE(665),
    [sym__range_operator] = STATE(523),
    [sym_open_end_range_expression] = STATE(665),
    [sym_prefix_expression] = STATE(665),
    [sym_as_expression] = STATE(665),
    [sym_selector_expression] = STATE(665),
    [sym__binary_expression] = STATE(665),
    [sym_multiplicative_expression] = STATE(665),
    [sym_additive_expression] = STATE(665),
    [sym_range_expression] = STATE(665),
    [sym_infix_expression] = STATE(665),
    [sym_nil_coalescing_expression] = STATE(665),
    [sym_check_expression] = STATE(665),
    [sym_comparison_expression] = STATE(665),
    [sym_equality_expression] = STATE(665),
    [sym_conjunction_expression] = STATE(665),
    [sym_disjunction_expression] = STATE(665),
    [sym_bitwise_operation] = STATE(665),
    [sym_custom_operator] = STATE(628),
    [sym_try_expression] = STATE(665),
    [sym_await_expression] = STATE(665),
    [sym__await_operator] = STATE(518),
    [sym_ternary_expression] = STATE(665),
    [sym_call_expression] = STATE(665),
    [sym__primary_expression] = STATE(665),
    [sym_tuple_expression] = STATE(665),
    [sym_array_literal] = STATE(665),
    [sym_dictionary_literal] = STATE(665),
    [sym__special_literal] = STATE(665),
    [sym__playground_literal] = STATE(665),
    [sym_lambda_literal] = STATE(665),
    [sym_self_expression] = STATE(665),
    [sym_super_expression] = STATE(665),
    [sym_if_statement] = STATE(665),
    [sym__if_condition_sequence_item] = STATE(3431),
    [sym__if_let_binding] = STATE(3752),
    [sym_switch_statement] = STATE(665),
    [sym_key_path_expression] = STATE(665),
    [sym_key_path_string_expression] = STATE(665),
    [sym_try_operator] = STATE(515),
    [sym__assignment_and_operator] = STATE(665),
    [sym__equality_operator] = STATE(665),
    [sym__comparison_operator] = STATE(665),
    [sym__three_dot_operator] = STATE(625),
    [sym__open_ended_range_operator] = STATE(523),
    [sym__additive_operator] = STATE(665),
    [sym__multiplicative_operator] = STATE(665),
    [sym__prefix_unary_operator] = STATE(509),
    [sym_directly_assignable_expression] = STATE(5511),
    [sym_assignment] = STATE(665),
    [sym_value_parameter_pack] = STATE(665),
    [sym_value_pack_expansion] = STATE(665),
    [sym_availability_condition] = STATE(3431),
    [sym__referenceable_operator] = STATE(665),
    [sym__equal_sign] = STATE(665),
    [sym__eq_eq] = STATE(665),
    [sym__dot] = STATE(509),
    [sym_bang] = STATE(628),
    [sym__async_modifier] = STATE(6632),
    [sym__direct_or_indirect_binding] = STATE(3321),
    [sym_value_binding_pattern] = STATE(3989),
    [sym__possibly_async_binding_pattern_kind] = STATE(3989),
    [sym__binding_kind_and_pattern] = STATE(3324),
    [sym__parameter_ownership_modifier] = STATE(1051),
    [aux_sym_raw_string_literal_repeat1] = STATE(6487),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(291),
    [aux_sym_simple_identifier_token2] = ACTIONS(293),
    [aux_sym_simple_identifier_token3] = ACTIONS(293),
    [aux_sym_simple_identifier_token4] = ACTIONS(293),
    [anon_sym_actor] = ACTIONS(291),
    [anon_sym_async] = ACTIONS(297),
    [anon_sym_each] = ACTIONS(299),
    [anon_sym_lazy] = ACTIONS(291),
    [anon_sym_repeat] = ACTIONS(747),
    [anon_sym_package] = ACTIONS(291),
    [anon_sym_nil] = ACTIONS(1131),
    [sym_real_literal] = ACTIONS(1133),
    [sym_integer_literal] = ACTIONS(1131),
    [sym_hex_literal] = ACTIONS(1133),
    [sym_oct_literal] = ACTIONS(1133),
    [sym_bin_literal] = ACTIONS(1133),
    [anon_sym_true] = ACTIONS(309),
    [anon_sym_false] = ACTIONS(309),
    [anon_sym_DQUOTE] = ACTIONS(311),
    [anon_sym_BSLASH] = ACTIONS(313),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(315),
    [sym__extended_regex_literal] = ACTIONS(317),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(319),
    [sym__oneline_regex_literal] = ACTIONS(321),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_LBRACK] = ACTIONS(325),
    [anon_sym_AMP] = ACTIONS(327),
    [anon_sym_if] = ACTIONS(329),
    [anon_sym_switch] = ACTIONS(331),
    [anon_sym_POUNDselector] = ACTIONS(333),
    [aux_sym_custom_operator_token1] = ACTIONS(335),
    [anon_sym_LT] = ACTIONS(1131),
    [anon_sym_GT] = ACTIONS(1131),
    [anon_sym_await] = ACTIONS(337),
    [anon_sym_POUNDfile] = ACTIONS(1131),
    [anon_sym_POUNDfileID] = ACTIONS(1133),
    [anon_sym_POUNDfilePath] = ACTIONS(1133),
    [anon_sym_POUNDline] = ACTIONS(1133),
    [anon_sym_POUNDcolumn] = ACTIONS(1133),
    [anon_sym_POUNDfunction] = ACTIONS(1133),
    [anon_sym_POUNDdsohandle] = ACTIONS(1133),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(339),
    [anon_sym_POUNDfileLiteral] = ACTIONS(339),
    [anon_sym_POUNDimageLiteral] = ACTIONS(339),
    [anon_sym_LBRACE] = ACTIONS(341),
    [anon_sym_CARET_LBRACE] = ACTIONS(341),
    [anon_sym_self] = ACTIONS(345),
    [anon_sym_super] = ACTIONS(347),
    [anon_sym_case] = ACTIONS(1135),
    [anon_sym_POUNDkeyPath] = ACTIONS(353),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1133),
    [anon_sym_DASH_EQ] = ACTIONS(1133),
    [anon_sym_STAR_EQ] = ACTIONS(1133),
    [anon_sym_SLASH_EQ] = ACTIONS(1133),
    [anon_sym_PERCENT_EQ] = ACTIONS(1133),
    [anon_sym_BANG_EQ] = ACTIONS(1131),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1133),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1133),
    [anon_sym_LT_EQ] = ACTIONS(1133),
    [anon_sym_GT_EQ] = ACTIONS(1133),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(355),
    [anon_sym_DOT_DOT_LT] = ACTIONS(357),
    [anon_sym_PLUS] = ACTIONS(359),
    [anon_sym_DASH] = ACTIONS(359),
    [anon_sym_STAR] = ACTIONS(1131),
    [anon_sym_SLASH] = ACTIONS(1131),
    [anon_sym_PERCENT] = ACTIONS(1131),
    [anon_sym_PLUS_PLUS] = ACTIONS(327),
    [anon_sym_DASH_DASH] = ACTIONS(327),
    [anon_sym_TILDE] = ACTIONS(327),
    [anon_sym_PIPE] = ACTIONS(1133),
    [anon_sym_CARET] = ACTIONS(1131),
    [anon_sym_LT_LT] = ACTIONS(1133),
    [anon_sym_GT_GT] = ACTIONS(1133),
    [anon_sym_POUNDavailable] = ACTIONS(1137),
    [anon_sym_POUNDunavailable] = ACTIONS(1137),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_BANG2] = ACTIONS(381),
    [anon_sym_borrowing] = ACTIONS(291),
    [anon_sym_consuming] = ACTIONS(291),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(383),
    [sym__dot_custom] = ACTIONS(385),
    [sym__eq_custom] = ACTIONS(1133),
    [sym__eq_eq_custom] = ACTIONS(1133),
    [sym__plus_then_ws] = ACTIONS(1133),
    [sym__minus_then_ws] = ACTIONS(1133),
    [sym__bang_custom] = ACTIONS(387),
    [sym__custom_operator] = ACTIONS(335),
  },
  [201] = {
    [sym_simple_identifier] = STATE(2276),
    [sym__contextual_simple_identifier] = STATE(2115),
    [sym__basic_literal] = STATE(1266),
    [sym_boolean_literal] = STATE(1266),
    [sym__string_literal] = STATE(1266),
    [sym_line_string_literal] = STATE(1266),
    [sym_multi_line_string_literal] = STATE(1266),
    [sym_raw_string_literal] = STATE(1266),
    [sym_regex_literal] = STATE(1266),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1266),
    [sym__unary_expression] = STATE(1266),
    [sym_postfix_expression] = STATE(1266),
    [sym_constructor_expression] = STATE(1266),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1266),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1266),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1266),
    [sym_prefix_expression] = STATE(1266),
    [sym_as_expression] = STATE(1266),
    [sym_selector_expression] = STATE(1266),
    [sym__binary_expression] = STATE(1266),
    [sym_multiplicative_expression] = STATE(1266),
    [sym_additive_expression] = STATE(1266),
    [sym_range_expression] = STATE(1266),
    [sym_infix_expression] = STATE(1266),
    [sym_nil_coalescing_expression] = STATE(1266),
    [sym_check_expression] = STATE(1266),
    [sym_comparison_expression] = STATE(1266),
    [sym_equality_expression] = STATE(1266),
    [sym_conjunction_expression] = STATE(1266),
    [sym_disjunction_expression] = STATE(1266),
    [sym_bitwise_operation] = STATE(1266),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1266),
    [sym_await_expression] = STATE(1266),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1266),
    [sym_call_expression] = STATE(1266),
    [sym__primary_expression] = STATE(1266),
    [sym_tuple_expression] = STATE(1266),
    [sym_array_literal] = STATE(1266),
    [sym_dictionary_literal] = STATE(1266),
    [sym__special_literal] = STATE(1266),
    [sym__playground_literal] = STATE(1266),
    [sym_lambda_literal] = STATE(1266),
    [sym_self_expression] = STATE(1266),
    [sym_super_expression] = STATE(1266),
    [sym_if_statement] = STATE(1266),
    [sym__if_condition_sequence_item] = STATE(5775),
    [sym__if_let_binding] = STATE(5924),
    [sym_switch_statement] = STATE(1266),
    [sym_key_path_expression] = STATE(1266),
    [sym_key_path_string_expression] = STATE(1266),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1266),
    [sym__equality_operator] = STATE(1266),
    [sym__comparison_operator] = STATE(1266),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1266),
    [sym__multiplicative_operator] = STATE(1266),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym_assignment] = STATE(1266),
    [sym_value_parameter_pack] = STATE(1266),
    [sym_value_pack_expansion] = STATE(1266),
    [sym_availability_condition] = STATE(5775),
    [sym__referenceable_operator] = STATE(1266),
    [sym__equal_sign] = STATE(1266),
    [sym__eq_eq] = STATE(1266),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__async_modifier] = STATE(6632),
    [sym__direct_or_indirect_binding] = STATE(5358),
    [sym_value_binding_pattern] = STATE(4166),
    [sym__possibly_async_binding_pattern_kind] = STATE(4166),
    [sym__binding_kind_and_pattern] = STATE(5363),
    [sym__parameter_ownership_modifier] = STATE(2115),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(11),
    [aux_sym_simple_identifier_token2] = ACTIONS(13),
    [aux_sym_simple_identifier_token3] = ACTIONS(13),
    [aux_sym_simple_identifier_token4] = ACTIONS(13),
    [anon_sym_actor] = ACTIONS(11),
    [anon_sym_async] = ACTIONS(17),
    [anon_sym_each] = ACTIONS(19),
    [anon_sym_lazy] = ACTIONS(11),
    [anon_sym_repeat] = ACTIONS(937),
    [anon_sym_package] = ACTIONS(11),
    [anon_sym_nil] = ACTIONS(1139),
    [sym_real_literal] = ACTIONS(1141),
    [sym_integer_literal] = ACTIONS(1139),
    [sym_hex_literal] = ACTIONS(1141),
    [sym_oct_literal] = ACTIONS(1141),
    [sym_bin_literal] = ACTIONS(1141),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(1139),
    [anon_sym_GT] = ACTIONS(1139),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(1139),
    [anon_sym_POUNDfileID] = ACTIONS(1141),
    [anon_sym_POUNDfilePath] = ACTIONS(1141),
    [anon_sym_POUNDline] = ACTIONS(1141),
    [anon_sym_POUNDcolumn] = ACTIONS(1141),
    [anon_sym_POUNDfunction] = ACTIONS(1141),
    [anon_sym_POUNDdsohandle] = ACTIONS(1141),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_self] = ACTIONS(65),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_case] = ACTIONS(1143),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1141),
    [anon_sym_DASH_EQ] = ACTIONS(1141),
    [anon_sym_STAR_EQ] = ACTIONS(1141),
    [anon_sym_SLASH_EQ] = ACTIONS(1141),
    [anon_sym_PERCENT_EQ] = ACTIONS(1141),
    [anon_sym_BANG_EQ] = ACTIONS(1139),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1141),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1141),
    [anon_sym_LT_EQ] = ACTIONS(1141),
    [anon_sym_GT_EQ] = ACTIONS(1141),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(1139),
    [anon_sym_SLASH] = ACTIONS(1139),
    [anon_sym_PERCENT] = ACTIONS(1139),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(1141),
    [anon_sym_CARET] = ACTIONS(1139),
    [anon_sym_LT_LT] = ACTIONS(1141),
    [anon_sym_GT_GT] = ACTIONS(1141),
    [anon_sym_POUNDavailable] = ACTIONS(1145),
    [anon_sym_POUNDunavailable] = ACTIONS(1145),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_borrowing] = ACTIONS(11),
    [anon_sym_consuming] = ACTIONS(11),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(1141),
    [sym__eq_eq_custom] = ACTIONS(1141),
    [sym__plus_then_ws] = ACTIONS(1141),
    [sym__minus_then_ws] = ACTIONS(1141),
    [sym__bang_custom] = ACTIONS(151),
    [sym__custom_operator] = ACTIONS(57),
  },
  [202] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1427),
    [sym_boolean_literal] = STATE(1427),
    [sym__string_literal] = STATE(1427),
    [sym_line_string_literal] = STATE(1427),
    [sym_multi_line_string_literal] = STATE(1427),
    [sym_raw_string_literal] = STATE(1427),
    [sym_regex_literal] = STATE(1427),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1427),
    [sym__unary_expression] = STATE(1427),
    [sym_postfix_expression] = STATE(1427),
    [sym_constructor_expression] = STATE(1427),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1427),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1427),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1427),
    [sym_prefix_expression] = STATE(1427),
    [sym_as_expression] = STATE(1427),
    [sym_selector_expression] = STATE(1427),
    [sym__binary_expression] = STATE(1427),
    [sym_multiplicative_expression] = STATE(1427),
    [sym_additive_expression] = STATE(1427),
    [sym_range_expression] = STATE(1427),
    [sym_infix_expression] = STATE(1427),
    [sym_nil_coalescing_expression] = STATE(1427),
    [sym_check_expression] = STATE(1427),
    [sym_comparison_expression] = STATE(1427),
    [sym_equality_expression] = STATE(1427),
    [sym_conjunction_expression] = STATE(1427),
    [sym_disjunction_expression] = STATE(1427),
    [sym_bitwise_operation] = STATE(1427),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1427),
    [sym_await_expression] = STATE(1427),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1427),
    [sym_call_expression] = STATE(1427),
    [sym__primary_expression] = STATE(1427),
    [sym_tuple_expression] = STATE(1427),
    [sym_array_literal] = STATE(1427),
    [sym_dictionary_literal] = STATE(1427),
    [sym__special_literal] = STATE(1427),
    [sym__playground_literal] = STATE(1427),
    [sym_lambda_literal] = STATE(1427),
    [sym_self_expression] = STATE(1427),
    [sym_super_expression] = STATE(1427),
    [sym_if_statement] = STATE(1427),
    [sym__if_condition_sequence_item] = STATE(6442),
    [sym__if_let_binding] = STATE(7553),
    [sym_switch_statement] = STATE(1427),
    [sym_key_path_expression] = STATE(1427),
    [sym_key_path_string_expression] = STATE(1427),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1427),
    [sym__equality_operator] = STATE(1427),
    [sym__comparison_operator] = STATE(1427),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1427),
    [sym__multiplicative_operator] = STATE(1427),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1427),
    [sym_value_parameter_pack] = STATE(1427),
    [sym_value_pack_expansion] = STATE(1427),
    [sym_availability_condition] = STATE(6442),
    [sym__referenceable_operator] = STATE(1427),
    [sym__equal_sign] = STATE(1427),
    [sym__eq_eq] = STATE(1427),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__async_modifier] = STATE(6632),
    [sym__direct_or_indirect_binding] = STATE(5779),
    [sym_value_binding_pattern] = STATE(4103),
    [sym__possibly_async_binding_pattern_kind] = STATE(4103),
    [sym__binding_kind_and_pattern] = STATE(5716),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(535),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(413),
    [sym_real_literal] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(413),
    [sym_hex_literal] = ACTIONS(415),
    [sym_oct_literal] = ACTIONS(415),
    [sym_bin_literal] = ACTIONS(415),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(413),
    [anon_sym_GT] = ACTIONS(413),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(413),
    [anon_sym_POUNDfileID] = ACTIONS(415),
    [anon_sym_POUNDfilePath] = ACTIONS(415),
    [anon_sym_POUNDline] = ACTIONS(415),
    [anon_sym_POUNDcolumn] = ACTIONS(415),
    [anon_sym_POUNDfunction] = ACTIONS(415),
    [anon_sym_POUNDdsohandle] = ACTIONS(415),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_case] = ACTIONS(817),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(415),
    [anon_sym_DASH_EQ] = ACTIONS(415),
    [anon_sym_STAR_EQ] = ACTIONS(415),
    [anon_sym_SLASH_EQ] = ACTIONS(415),
    [anon_sym_PERCENT_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(415),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(415),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(413),
    [anon_sym_SLASH] = ACTIONS(413),
    [anon_sym_PERCENT] = ACTIONS(413),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_CARET] = ACTIONS(413),
    [anon_sym_LT_LT] = ACTIONS(415),
    [anon_sym_GT_GT] = ACTIONS(415),
    [anon_sym_POUNDavailable] = ACTIONS(451),
    [anon_sym_POUNDunavailable] = ACTIONS(451),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(415),
    [sym__eq_eq_custom] = ACTIONS(415),
    [sym__plus_then_ws] = ACTIONS(415),
    [sym__minus_then_ws] = ACTIONS(415),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [203] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1427),
    [sym_boolean_literal] = STATE(1427),
    [sym__string_literal] = STATE(1427),
    [sym_line_string_literal] = STATE(1427),
    [sym_multi_line_string_literal] = STATE(1427),
    [sym_raw_string_literal] = STATE(1427),
    [sym_regex_literal] = STATE(1427),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1427),
    [sym__unary_expression] = STATE(1427),
    [sym_postfix_expression] = STATE(1427),
    [sym_constructor_expression] = STATE(1427),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1427),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1427),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1427),
    [sym_prefix_expression] = STATE(1427),
    [sym_as_expression] = STATE(1427),
    [sym_selector_expression] = STATE(1427),
    [sym__binary_expression] = STATE(1427),
    [sym_multiplicative_expression] = STATE(1427),
    [sym_additive_expression] = STATE(1427),
    [sym_range_expression] = STATE(1427),
    [sym_infix_expression] = STATE(1427),
    [sym_nil_coalescing_expression] = STATE(1427),
    [sym_check_expression] = STATE(1427),
    [sym_comparison_expression] = STATE(1427),
    [sym_equality_expression] = STATE(1427),
    [sym_conjunction_expression] = STATE(1427),
    [sym_disjunction_expression] = STATE(1427),
    [sym_bitwise_operation] = STATE(1427),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1427),
    [sym_await_expression] = STATE(1427),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1427),
    [sym_call_expression] = STATE(1427),
    [sym__primary_expression] = STATE(1427),
    [sym_tuple_expression] = STATE(1427),
    [sym_array_literal] = STATE(1427),
    [sym_dictionary_literal] = STATE(1427),
    [sym__special_literal] = STATE(1427),
    [sym__playground_literal] = STATE(1427),
    [sym_lambda_literal] = STATE(1427),
    [sym_self_expression] = STATE(1427),
    [sym_super_expression] = STATE(1427),
    [sym_if_statement] = STATE(1427),
    [sym__if_condition_sequence_item] = STATE(6307),
    [sym__if_let_binding] = STATE(7553),
    [sym_switch_statement] = STATE(1427),
    [sym_key_path_expression] = STATE(1427),
    [sym_key_path_string_expression] = STATE(1427),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1427),
    [sym__equality_operator] = STATE(1427),
    [sym__comparison_operator] = STATE(1427),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1427),
    [sym__multiplicative_operator] = STATE(1427),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1427),
    [sym_value_parameter_pack] = STATE(1427),
    [sym_value_pack_expansion] = STATE(1427),
    [sym_availability_condition] = STATE(6307),
    [sym__referenceable_operator] = STATE(1427),
    [sym__equal_sign] = STATE(1427),
    [sym__eq_eq] = STATE(1427),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__async_modifier] = STATE(6632),
    [sym__direct_or_indirect_binding] = STATE(5779),
    [sym_value_binding_pattern] = STATE(4103),
    [sym__possibly_async_binding_pattern_kind] = STATE(4103),
    [sym__binding_kind_and_pattern] = STATE(5716),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(535),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(413),
    [sym_real_literal] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(413),
    [sym_hex_literal] = ACTIONS(415),
    [sym_oct_literal] = ACTIONS(415),
    [sym_bin_literal] = ACTIONS(415),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(413),
    [anon_sym_GT] = ACTIONS(413),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(413),
    [anon_sym_POUNDfileID] = ACTIONS(415),
    [anon_sym_POUNDfilePath] = ACTIONS(415),
    [anon_sym_POUNDline] = ACTIONS(415),
    [anon_sym_POUNDcolumn] = ACTIONS(415),
    [anon_sym_POUNDfunction] = ACTIONS(415),
    [anon_sym_POUNDdsohandle] = ACTIONS(415),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_case] = ACTIONS(817),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(415),
    [anon_sym_DASH_EQ] = ACTIONS(415),
    [anon_sym_STAR_EQ] = ACTIONS(415),
    [anon_sym_SLASH_EQ] = ACTIONS(415),
    [anon_sym_PERCENT_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(415),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(415),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(413),
    [anon_sym_SLASH] = ACTIONS(413),
    [anon_sym_PERCENT] = ACTIONS(413),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_CARET] = ACTIONS(413),
    [anon_sym_LT_LT] = ACTIONS(415),
    [anon_sym_GT_GT] = ACTIONS(415),
    [anon_sym_POUNDavailable] = ACTIONS(451),
    [anon_sym_POUNDunavailable] = ACTIONS(451),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(415),
    [sym__eq_eq_custom] = ACTIONS(415),
    [sym__plus_then_ws] = ACTIONS(415),
    [sym__minus_then_ws] = ACTIONS(415),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [204] = {
    [sym_simple_identifier] = STATE(2315),
    [sym__contextual_simple_identifier] = STATE(2218),
    [sym__basic_literal] = STATE(1308),
    [sym_boolean_literal] = STATE(1308),
    [sym__string_literal] = STATE(1308),
    [sym_line_string_literal] = STATE(1308),
    [sym_multi_line_string_literal] = STATE(1308),
    [sym_raw_string_literal] = STATE(1308),
    [sym_regex_literal] = STATE(1308),
    [sym__multiline_regex_literal] = STATE(2574),
    [sym_user_type] = STATE(5528),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5528),
    [sym_dictionary_type] = STATE(5528),
    [sym__expression] = STATE(1308),
    [sym__unary_expression] = STATE(1308),
    [sym_postfix_expression] = STATE(1308),
    [sym_constructor_expression] = STATE(1308),
    [sym__parenthesized_type] = STATE(6484),
    [sym_navigation_expression] = STATE(1308),
    [sym__navigable_type_expression] = STATE(6485),
    [sym_open_start_range_expression] = STATE(1308),
    [sym__range_operator] = STATE(483),
    [sym_open_end_range_expression] = STATE(1308),
    [sym_prefix_expression] = STATE(1308),
    [sym_as_expression] = STATE(1308),
    [sym_selector_expression] = STATE(1308),
    [sym__binary_expression] = STATE(1308),
    [sym_multiplicative_expression] = STATE(1308),
    [sym_additive_expression] = STATE(1308),
    [sym_range_expression] = STATE(1308),
    [sym_infix_expression] = STATE(1308),
    [sym_nil_coalescing_expression] = STATE(1308),
    [sym_check_expression] = STATE(1308),
    [sym_comparison_expression] = STATE(1308),
    [sym_equality_expression] = STATE(1308),
    [sym_conjunction_expression] = STATE(1308),
    [sym_disjunction_expression] = STATE(1308),
    [sym_bitwise_operation] = STATE(1308),
    [sym_custom_operator] = STATE(865),
    [sym_try_expression] = STATE(1308),
    [sym_await_expression] = STATE(1308),
    [sym__await_operator] = STATE(485),
    [sym_ternary_expression] = STATE(1308),
    [sym_call_expression] = STATE(1308),
    [sym__primary_expression] = STATE(1308),
    [sym_tuple_expression] = STATE(1308),
    [sym_array_literal] = STATE(1308),
    [sym_dictionary_literal] = STATE(1308),
    [sym__special_literal] = STATE(1308),
    [sym__playground_literal] = STATE(1308),
    [sym_lambda_literal] = STATE(1308),
    [sym_self_expression] = STATE(1308),
    [sym_super_expression] = STATE(1308),
    [sym_if_statement] = STATE(1308),
    [sym_switch_statement] = STATE(1308),
    [sym_key_path_expression] = STATE(1308),
    [sym_key_path_string_expression] = STATE(1308),
    [sym_try_operator] = STATE(491),
    [sym__assignment_and_operator] = STATE(1308),
    [sym__equality_operator] = STATE(1308),
    [sym__comparison_operator] = STATE(1308),
    [sym__three_dot_operator] = STATE(859),
    [sym__open_ended_range_operator] = STATE(483),
    [sym__additive_operator] = STATE(1308),
    [sym__multiplicative_operator] = STATE(1308),
    [sym__prefix_unary_operator] = STATE(497),
    [sym_directly_assignable_expression] = STATE(5531),
    [sym_assignment] = STATE(1308),
    [sym_value_parameter_pack] = STATE(1308),
    [sym_value_pack_expansion] = STATE(1308),
    [sym__referenceable_operator] = STATE(1308),
    [sym__equal_sign] = STATE(1308),
    [sym__eq_eq] = STATE(1308),
    [sym__dot] = STATE(497),
    [sym_bang] = STATE(865),
    [sym__parameter_ownership_modifier] = STATE(2218),
    [aux_sym_raw_string_literal_repeat1] = STATE(6575),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(1227),
    [aux_sym_simple_identifier_token2] = ACTIONS(1229),
    [aux_sym_simple_identifier_token3] = ACTIONS(1229),
    [aux_sym_simple_identifier_token4] = ACTIONS(1229),
    [anon_sym_actor] = ACTIONS(1227),
    [anon_sym_async] = ACTIONS(1227),
    [anon_sym_each] = ACTIONS(1231),
    [anon_sym_lazy] = ACTIONS(1227),
    [anon_sym_repeat] = ACTIONS(1233),
    [anon_sym_package] = ACTIONS(1227),
    [anon_sym_nil] = ACTIONS(1235),
    [sym_real_literal] = ACTIONS(1237),
    [sym_integer_literal] = ACTIONS(1235),
    [sym_hex_literal] = ACTIONS(1237),
    [sym_oct_literal] = ACTIONS(1237),
    [sym_bin_literal] = ACTIONS(1237),
    [anon_sym_true] = ACTIONS(1239),
    [anon_sym_false] = ACTIONS(1239),
    [anon_sym_DQUOTE] = ACTIONS(1241),
    [anon_sym_BSLASH] = ACTIONS(1243),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1245),
    [anon_sym_COMMA] = ACTIONS(631),
    [sym__extended_regex_literal] = ACTIONS(1247),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(1249),
    [sym__oneline_regex_literal] = ACTIONS(1251),
    [anon_sym_LPAREN] = ACTIONS(1253),
    [anon_sym_LBRACK] = ACTIONS(1255),
    [anon_sym_QMARK] = ACTIONS(637),
    [anon_sym_QMARK2] = ACTIONS(631),
    [anon_sym_AMP] = ACTIONS(1257),
    [anon_sym_if] = ACTIONS(1259),
    [anon_sym_switch] = ACTIONS(1261),
    [anon_sym_POUNDselector] = ACTIONS(1263),
    [aux_sym_custom_operator_token1] = ACTIONS(1265),
    [anon_sym_LT] = ACTIONS(1235),
    [anon_sym_GT] = ACTIONS(1235),
    [anon_sym_await] = ACTIONS(1267),
    [anon_sym_POUNDfile] = ACTIONS(1235),
    [anon_sym_POUNDfileID] = ACTIONS(1237),
    [anon_sym_POUNDfilePath] = ACTIONS(1237),
    [anon_sym_POUNDline] = ACTIONS(1237),
    [anon_sym_POUNDcolumn] = ACTIONS(1237),
    [anon_sym_POUNDfunction] = ACTIONS(1237),
    [anon_sym_POUNDdsohandle] = ACTIONS(1237),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(1269),
    [anon_sym_POUNDfileLiteral] = ACTIONS(1269),
    [anon_sym_POUNDimageLiteral] = ACTIONS(1269),
    [anon_sym_LBRACE] = ACTIONS(1271),
    [anon_sym_CARET_LBRACE] = ACTIONS(1271),
    [anon_sym_RBRACE] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(1273),
    [anon_sym_super] = ACTIONS(1275),
    [anon_sym_POUNDkeyPath] = ACTIONS(1277),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1237),
    [anon_sym_DASH_EQ] = ACTIONS(1237),
    [anon_sym_STAR_EQ] = ACTIONS(1237),
    [anon_sym_SLASH_EQ] = ACTIONS(1237),
    [anon_sym_PERCENT_EQ] = ACTIONS(1237),
    [anon_sym_BANG_EQ] = ACTIONS(1235),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1237),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1237),
    [anon_sym_LT_EQ] = ACTIONS(1237),
    [anon_sym_GT_EQ] = ACTIONS(1237),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1279),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1281),
    [anon_sym_is] = ACTIONS(637),
    [anon_sym_PLUS] = ACTIONS(1283),
    [anon_sym_DASH] = ACTIONS(1283),
    [anon_sym_STAR] = ACTIONS(1235),
    [anon_sym_SLASH] = ACTIONS(1235),
    [anon_sym_PERCENT] = ACTIONS(1235),
    [anon_sym_PLUS_PLUS] = ACTIONS(1257),
    [anon_sym_DASH_DASH] = ACTIONS(1257),
    [anon_sym_TILDE] = ACTIONS(1257),
    [anon_sym_PIPE] = ACTIONS(1237),
    [anon_sym_CARET] = ACTIONS(1235),
    [anon_sym_LT_LT] = ACTIONS(1237),
    [anon_sym_GT_GT] = ACTIONS(1237),
    [anon_sym_BANG2] = ACTIONS(1285),
    [anon_sym_borrowing] = ACTIONS(1227),
    [anon_sym_consuming] = ACTIONS(1227),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(631),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(1287),
    [sym__implicit_semi] = ACTIONS(631),
    [sym__explicit_semi] = ACTIONS(631),
    [sym__dot_custom] = ACTIONS(1289),
    [sym__conjunction_operator_custom] = ACTIONS(631),
    [sym__disjunction_operator_custom] = ACTIONS(631),
    [sym__nil_coalescing_operator_custom] = ACTIONS(631),
    [sym__eq_custom] = ACTIONS(1237),
    [sym__eq_eq_custom] = ACTIONS(1237),
    [sym__plus_then_ws] = ACTIONS(1237),
    [sym__minus_then_ws] = ACTIONS(1237),
    [sym__bang_custom] = ACTIONS(1291),
    [sym__as_custom] = ACTIONS(631),
    [sym__as_quest_custom] = ACTIONS(631),
    [sym__as_bang_custom] = ACTIONS(631),
    [sym__custom_operator] = ACTIONS(1265),
  },
  [205] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1427),
    [sym_boolean_literal] = STATE(1427),
    [sym__string_literal] = STATE(1427),
    [sym_line_string_literal] = STATE(1427),
    [sym_multi_line_string_literal] = STATE(1427),
    [sym_raw_string_literal] = STATE(1427),
    [sym_regex_literal] = STATE(1427),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1427),
    [sym__unary_expression] = STATE(1427),
    [sym_postfix_expression] = STATE(1427),
    [sym_constructor_expression] = STATE(1427),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1427),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1427),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1427),
    [sym_prefix_expression] = STATE(1427),
    [sym_as_expression] = STATE(1427),
    [sym_selector_expression] = STATE(1427),
    [sym__binary_expression] = STATE(1427),
    [sym_multiplicative_expression] = STATE(1427),
    [sym_additive_expression] = STATE(1427),
    [sym_range_expression] = STATE(1427),
    [sym_infix_expression] = STATE(1427),
    [sym_nil_coalescing_expression] = STATE(1427),
    [sym_check_expression] = STATE(1427),
    [sym_comparison_expression] = STATE(1427),
    [sym_equality_expression] = STATE(1427),
    [sym_conjunction_expression] = STATE(1427),
    [sym_disjunction_expression] = STATE(1427),
    [sym_bitwise_operation] = STATE(1427),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1427),
    [sym_await_expression] = STATE(1427),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1427),
    [sym_call_expression] = STATE(1427),
    [sym__primary_expression] = STATE(1427),
    [sym_tuple_expression] = STATE(1427),
    [sym_array_literal] = STATE(1427),
    [sym_dictionary_literal] = STATE(1427),
    [sym__special_literal] = STATE(1427),
    [sym__playground_literal] = STATE(1427),
    [sym_lambda_literal] = STATE(1427),
    [sym_self_expression] = STATE(1427),
    [sym_super_expression] = STATE(1427),
    [sym_if_statement] = STATE(1427),
    [sym__if_condition_sequence_item] = STATE(6400),
    [sym__if_let_binding] = STATE(7553),
    [sym_switch_statement] = STATE(1427),
    [sym_key_path_expression] = STATE(1427),
    [sym_key_path_string_expression] = STATE(1427),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1427),
    [sym__equality_operator] = STATE(1427),
    [sym__comparison_operator] = STATE(1427),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1427),
    [sym__multiplicative_operator] = STATE(1427),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1427),
    [sym_value_parameter_pack] = STATE(1427),
    [sym_value_pack_expansion] = STATE(1427),
    [sym_availability_condition] = STATE(6400),
    [sym__referenceable_operator] = STATE(1427),
    [sym__equal_sign] = STATE(1427),
    [sym__eq_eq] = STATE(1427),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__async_modifier] = STATE(6632),
    [sym__direct_or_indirect_binding] = STATE(5779),
    [sym_value_binding_pattern] = STATE(4103),
    [sym__possibly_async_binding_pattern_kind] = STATE(4103),
    [sym__binding_kind_and_pattern] = STATE(5716),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(535),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(413),
    [sym_real_literal] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(413),
    [sym_hex_literal] = ACTIONS(415),
    [sym_oct_literal] = ACTIONS(415),
    [sym_bin_literal] = ACTIONS(415),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(413),
    [anon_sym_GT] = ACTIONS(413),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(413),
    [anon_sym_POUNDfileID] = ACTIONS(415),
    [anon_sym_POUNDfilePath] = ACTIONS(415),
    [anon_sym_POUNDline] = ACTIONS(415),
    [anon_sym_POUNDcolumn] = ACTIONS(415),
    [anon_sym_POUNDfunction] = ACTIONS(415),
    [anon_sym_POUNDdsohandle] = ACTIONS(415),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_case] = ACTIONS(817),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(415),
    [anon_sym_DASH_EQ] = ACTIONS(415),
    [anon_sym_STAR_EQ] = ACTIONS(415),
    [anon_sym_SLASH_EQ] = ACTIONS(415),
    [anon_sym_PERCENT_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(415),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(415),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(413),
    [anon_sym_SLASH] = ACTIONS(413),
    [anon_sym_PERCENT] = ACTIONS(413),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_CARET] = ACTIONS(413),
    [anon_sym_LT_LT] = ACTIONS(415),
    [anon_sym_GT_GT] = ACTIONS(415),
    [anon_sym_POUNDavailable] = ACTIONS(451),
    [anon_sym_POUNDunavailable] = ACTIONS(451),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(415),
    [sym__eq_eq_custom] = ACTIONS(415),
    [sym__plus_then_ws] = ACTIONS(415),
    [sym__minus_then_ws] = ACTIONS(415),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [206] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1427),
    [sym_boolean_literal] = STATE(1427),
    [sym__string_literal] = STATE(1427),
    [sym_line_string_literal] = STATE(1427),
    [sym_multi_line_string_literal] = STATE(1427),
    [sym_raw_string_literal] = STATE(1427),
    [sym_regex_literal] = STATE(1427),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1427),
    [sym__unary_expression] = STATE(1427),
    [sym_postfix_expression] = STATE(1427),
    [sym_constructor_expression] = STATE(1427),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1427),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1427),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1427),
    [sym_prefix_expression] = STATE(1427),
    [sym_as_expression] = STATE(1427),
    [sym_selector_expression] = STATE(1427),
    [sym__binary_expression] = STATE(1427),
    [sym_multiplicative_expression] = STATE(1427),
    [sym_additive_expression] = STATE(1427),
    [sym_range_expression] = STATE(1427),
    [sym_infix_expression] = STATE(1427),
    [sym_nil_coalescing_expression] = STATE(1427),
    [sym_check_expression] = STATE(1427),
    [sym_comparison_expression] = STATE(1427),
    [sym_equality_expression] = STATE(1427),
    [sym_conjunction_expression] = STATE(1427),
    [sym_disjunction_expression] = STATE(1427),
    [sym_bitwise_operation] = STATE(1427),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1427),
    [sym_await_expression] = STATE(1427),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1427),
    [sym_call_expression] = STATE(1427),
    [sym__primary_expression] = STATE(1427),
    [sym_tuple_expression] = STATE(1427),
    [sym_array_literal] = STATE(1427),
    [sym_dictionary_literal] = STATE(1427),
    [sym__special_literal] = STATE(1427),
    [sym__playground_literal] = STATE(1427),
    [sym_lambda_literal] = STATE(1427),
    [sym_self_expression] = STATE(1427),
    [sym_super_expression] = STATE(1427),
    [sym_if_statement] = STATE(1427),
    [sym__if_condition_sequence_item] = STATE(6255),
    [sym__if_let_binding] = STATE(7553),
    [sym_switch_statement] = STATE(1427),
    [sym_key_path_expression] = STATE(1427),
    [sym_key_path_string_expression] = STATE(1427),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1427),
    [sym__equality_operator] = STATE(1427),
    [sym__comparison_operator] = STATE(1427),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1427),
    [sym__multiplicative_operator] = STATE(1427),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1427),
    [sym_value_parameter_pack] = STATE(1427),
    [sym_value_pack_expansion] = STATE(1427),
    [sym_availability_condition] = STATE(6255),
    [sym__referenceable_operator] = STATE(1427),
    [sym__equal_sign] = STATE(1427),
    [sym__eq_eq] = STATE(1427),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__async_modifier] = STATE(6632),
    [sym__direct_or_indirect_binding] = STATE(5779),
    [sym_value_binding_pattern] = STATE(4103),
    [sym__possibly_async_binding_pattern_kind] = STATE(4103),
    [sym__binding_kind_and_pattern] = STATE(5716),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(535),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(413),
    [sym_real_literal] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(413),
    [sym_hex_literal] = ACTIONS(415),
    [sym_oct_literal] = ACTIONS(415),
    [sym_bin_literal] = ACTIONS(415),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(413),
    [anon_sym_GT] = ACTIONS(413),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(413),
    [anon_sym_POUNDfileID] = ACTIONS(415),
    [anon_sym_POUNDfilePath] = ACTIONS(415),
    [anon_sym_POUNDline] = ACTIONS(415),
    [anon_sym_POUNDcolumn] = ACTIONS(415),
    [anon_sym_POUNDfunction] = ACTIONS(415),
    [anon_sym_POUNDdsohandle] = ACTIONS(415),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_case] = ACTIONS(817),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(415),
    [anon_sym_DASH_EQ] = ACTIONS(415),
    [anon_sym_STAR_EQ] = ACTIONS(415),
    [anon_sym_SLASH_EQ] = ACTIONS(415),
    [anon_sym_PERCENT_EQ] = ACTIONS(415),
    [anon_sym_BANG_EQ] = ACTIONS(413),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(415),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(415),
    [anon_sym_LT_EQ] = ACTIONS(415),
    [anon_sym_GT_EQ] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(413),
    [anon_sym_SLASH] = ACTIONS(413),
    [anon_sym_PERCENT] = ACTIONS(413),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(415),
    [anon_sym_CARET] = ACTIONS(413),
    [anon_sym_LT_LT] = ACTIONS(415),
    [anon_sym_GT_GT] = ACTIONS(415),
    [anon_sym_POUNDavailable] = ACTIONS(451),
    [anon_sym_POUNDunavailable] = ACTIONS(451),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(103),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(415),
    [sym__eq_eq_custom] = ACTIONS(415),
    [sym__plus_then_ws] = ACTIONS(415),
    [sym__minus_then_ws] = ACTIONS(415),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [207] = {
    [sym_simple_identifier] = STATE(2315),
    [sym__contextual_simple_identifier] = STATE(2218),
    [sym__basic_literal] = STATE(1304),
    [sym_boolean_literal] = STATE(1304),
    [sym__string_literal] = STATE(1304),
    [sym_line_string_literal] = STATE(1304),
    [sym_multi_line_string_literal] = STATE(1304),
    [sym_raw_string_literal] = STATE(1304),
    [sym_regex_literal] = STATE(1304),
    [sym__multiline_regex_literal] = STATE(2574),
    [sym_user_type] = STATE(5528),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5528),
    [sym_dictionary_type] = STATE(5528),
    [sym__expression] = STATE(1304),
    [sym__unary_expression] = STATE(1304),
    [sym_postfix_expression] = STATE(1304),
    [sym_constructor_expression] = STATE(1304),
    [sym__parenthesized_type] = STATE(6484),
    [sym_navigation_expression] = STATE(1304),
    [sym__navigable_type_expression] = STATE(6485),
    [sym_open_start_range_expression] = STATE(1304),
    [sym__range_operator] = STATE(483),
    [sym_open_end_range_expression] = STATE(1304),
    [sym_prefix_expression] = STATE(1304),
    [sym_as_expression] = STATE(1304),
    [sym_selector_expression] = STATE(1304),
    [sym__binary_expression] = STATE(1304),
    [sym_multiplicative_expression] = STATE(1304),
    [sym_additive_expression] = STATE(1304),
    [sym_range_expression] = STATE(1304),
    [sym_infix_expression] = STATE(1304),
    [sym_nil_coalescing_expression] = STATE(1304),
    [sym_check_expression] = STATE(1304),
    [sym_comparison_expression] = STATE(1304),
    [sym_equality_expression] = STATE(1304),
    [sym_conjunction_expression] = STATE(1304),
    [sym_disjunction_expression] = STATE(1304),
    [sym_bitwise_operation] = STATE(1304),
    [sym_custom_operator] = STATE(865),
    [sym_try_expression] = STATE(1304),
    [sym_await_expression] = STATE(1304),
    [sym__await_operator] = STATE(485),
    [sym_ternary_expression] = STATE(1304),
    [sym_call_expression] = STATE(1304),
    [sym__primary_expression] = STATE(1304),
    [sym_tuple_expression] = STATE(1304),
    [sym_array_literal] = STATE(1304),
    [sym_dictionary_literal] = STATE(1304),
    [sym__special_literal] = STATE(1304),
    [sym__playground_literal] = STATE(1304),
    [sym_lambda_literal] = STATE(1304),
    [sym_self_expression] = STATE(1304),
    [sym_super_expression] = STATE(1304),
    [sym_if_statement] = STATE(1304),
    [sym_switch_statement] = STATE(1304),
    [sym_key_path_expression] = STATE(1304),
    [sym_key_path_string_expression] = STATE(1304),
    [sym_try_operator] = STATE(491),
    [sym__assignment_and_operator] = STATE(1304),
    [sym__equality_operator] = STATE(1304),
    [sym__comparison_operator] = STATE(1304),
    [sym__three_dot_operator] = STATE(859),
    [sym__open_ended_range_operator] = STATE(483),
    [sym__additive_operator] = STATE(1304),
    [sym__multiplicative_operator] = STATE(1304),
    [sym__prefix_unary_operator] = STATE(497),
    [sym_directly_assignable_expression] = STATE(5531),
    [sym_assignment] = STATE(1304),
    [sym_value_parameter_pack] = STATE(1304),
    [sym_value_pack_expansion] = STATE(1304),
    [sym__referenceable_operator] = STATE(1304),
    [sym__equal_sign] = STATE(1304),
    [sym__eq_eq] = STATE(1304),
    [sym__dot] = STATE(497),
    [sym_bang] = STATE(865),
    [sym__parameter_ownership_modifier] = STATE(2218),
    [aux_sym_raw_string_literal_repeat1] = STATE(6575),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(1227),
    [aux_sym_simple_identifier_token2] = ACTIONS(1229),
    [aux_sym_simple_identifier_token3] = ACTIONS(1229),
    [aux_sym_simple_identifier_token4] = ACTIONS(1229),
    [anon_sym_actor] = ACTIONS(1227),
    [anon_sym_async] = ACTIONS(1227),
    [anon_sym_each] = ACTIONS(1231),
    [anon_sym_lazy] = ACTIONS(1227),
    [anon_sym_repeat] = ACTIONS(1233),
    [anon_sym_package] = ACTIONS(1227),
    [anon_sym_nil] = ACTIONS(1293),
    [sym_real_literal] = ACTIONS(1295),
    [sym_integer_literal] = ACTIONS(1293),
    [sym_hex_literal] = ACTIONS(1295),
    [sym_oct_literal] = ACTIONS(1295),
    [sym_bin_literal] = ACTIONS(1295),
    [anon_sym_true] = ACTIONS(1239),
    [anon_sym_false] = ACTIONS(1239),
    [anon_sym_DQUOTE] = ACTIONS(1241),
    [anon_sym_BSLASH] = ACTIONS(1243),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1245),
    [anon_sym_COMMA] = ACTIONS(631),
    [sym__extended_regex_literal] = ACTIONS(1247),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(1249),
    [sym__oneline_regex_literal] = ACTIONS(1251),
    [anon_sym_LPAREN] = ACTIONS(1253),
    [anon_sym_LBRACK] = ACTIONS(1255),
    [anon_sym_QMARK] = ACTIONS(637),
    [anon_sym_QMARK2] = ACTIONS(631),
    [anon_sym_AMP] = ACTIONS(1257),
    [anon_sym_if] = ACTIONS(1259),
    [anon_sym_switch] = ACTIONS(1261),
    [anon_sym_POUNDselector] = ACTIONS(1263),
    [aux_sym_custom_operator_token1] = ACTIONS(1265),
    [anon_sym_LT] = ACTIONS(1293),
    [anon_sym_GT] = ACTIONS(1293),
    [anon_sym_await] = ACTIONS(1267),
    [anon_sym_POUNDfile] = ACTIONS(1293),
    [anon_sym_POUNDfileID] = ACTIONS(1295),
    [anon_sym_POUNDfilePath] = ACTIONS(1295),
    [anon_sym_POUNDline] = ACTIONS(1295),
    [anon_sym_POUNDcolumn] = ACTIONS(1295),
    [anon_sym_POUNDfunction] = ACTIONS(1295),
    [anon_sym_POUNDdsohandle] = ACTIONS(1295),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(1269),
    [anon_sym_POUNDfileLiteral] = ACTIONS(1269),
    [anon_sym_POUNDimageLiteral] = ACTIONS(1269),
    [anon_sym_LBRACE] = ACTIONS(1271),
    [anon_sym_CARET_LBRACE] = ACTIONS(1271),
    [anon_sym_RBRACE] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(1273),
    [anon_sym_super] = ACTIONS(1275),
    [anon_sym_POUNDkeyPath] = ACTIONS(1277),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1295),
    [anon_sym_DASH_EQ] = ACTIONS(1295),
    [anon_sym_STAR_EQ] = ACTIONS(1295),
    [anon_sym_SLASH_EQ] = ACTIONS(1295),
    [anon_sym_PERCENT_EQ] = ACTIONS(1295),
    [anon_sym_BANG_EQ] = ACTIONS(1293),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1295),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1295),
    [anon_sym_LT_EQ] = ACTIONS(1295),
    [anon_sym_GT_EQ] = ACTIONS(1295),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1279),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1281),
    [anon_sym_is] = ACTIONS(637),
    [anon_sym_PLUS] = ACTIONS(1283),
    [anon_sym_DASH] = ACTIONS(1283),
    [anon_sym_STAR] = ACTIONS(1293),
    [anon_sym_SLASH] = ACTIONS(1293),
    [anon_sym_PERCENT] = ACTIONS(1293),
    [anon_sym_PLUS_PLUS] = ACTIONS(1257),
    [anon_sym_DASH_DASH] = ACTIONS(1257),
    [anon_sym_TILDE] = ACTIONS(1257),
    [anon_sym_PIPE] = ACTIONS(1295),
    [anon_sym_CARET] = ACTIONS(1293),
    [anon_sym_LT_LT] = ACTIONS(1295),
    [anon_sym_GT_GT] = ACTIONS(1295),
    [anon_sym_BANG2] = ACTIONS(1285),
    [anon_sym_borrowing] = ACTIONS(1227),
    [anon_sym_consuming] = ACTIONS(1227),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(631),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(1287),
    [sym__implicit_semi] = ACTIONS(631),
    [sym__explicit_semi] = ACTIONS(631),
    [sym__dot_custom] = ACTIONS(1289),
    [sym__conjunction_operator_custom] = ACTIONS(631),
    [sym__disjunction_operator_custom] = ACTIONS(631),
    [sym__nil_coalescing_operator_custom] = ACTIONS(631),
    [sym__eq_custom] = ACTIONS(1295),
    [sym__eq_eq_custom] = ACTIONS(1295),
    [sym__plus_then_ws] = ACTIONS(1295),
    [sym__minus_then_ws] = ACTIONS(1295),
    [sym__bang_custom] = ACTIONS(1291),
    [sym__as_custom] = ACTIONS(631),
    [sym__as_quest_custom] = ACTIONS(631),
    [sym__as_bang_custom] = ACTIONS(631),
    [sym__custom_operator] = ACTIONS(1265),
  },
  [208] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1456),
    [sym_boolean_literal] = STATE(1456),
    [sym__string_literal] = STATE(1456),
    [sym_line_string_literal] = STATE(1456),
    [sym_multi_line_string_literal] = STATE(1456),
    [sym_raw_string_literal] = STATE(1456),
    [sym_regex_literal] = STATE(1456),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1456),
    [sym__unary_expression] = STATE(1456),
    [sym_postfix_expression] = STATE(1456),
    [sym_constructor_expression] = STATE(1456),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1456),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1456),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1456),
    [sym_prefix_expression] = STATE(1456),
    [sym_as_expression] = STATE(1456),
    [sym_selector_expression] = STATE(1456),
    [sym__binary_expression] = STATE(1456),
    [sym_multiplicative_expression] = STATE(1456),
    [sym_additive_expression] = STATE(1456),
    [sym_range_expression] = STATE(1456),
    [sym_infix_expression] = STATE(1456),
    [sym_nil_coalescing_expression] = STATE(1456),
    [sym_check_expression] = STATE(1456),
    [sym_comparison_expression] = STATE(1456),
    [sym_equality_expression] = STATE(1456),
    [sym_conjunction_expression] = STATE(1456),
    [sym_disjunction_expression] = STATE(1456),
    [sym_bitwise_operation] = STATE(1456),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1456),
    [sym_await_expression] = STATE(1456),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1456),
    [sym_call_expression] = STATE(1456),
    [sym__primary_expression] = STATE(1456),
    [sym_tuple_expression] = STATE(1456),
    [sym_array_literal] = STATE(1456),
    [sym_dictionary_literal] = STATE(1456),
    [sym__special_literal] = STATE(1456),
    [sym__playground_literal] = STATE(1456),
    [sym_lambda_literal] = STATE(1456),
    [sym_self_expression] = STATE(1456),
    [sym_super_expression] = STATE(1456),
    [sym_if_statement] = STATE(1456),
    [sym_switch_statement] = STATE(1456),
    [sym_key_path_expression] = STATE(1456),
    [sym_key_path_string_expression] = STATE(1456),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1456),
    [sym__equality_operator] = STATE(1456),
    [sym__comparison_operator] = STATE(1456),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1456),
    [sym__multiplicative_operator] = STATE(1456),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1456),
    [sym_value_parameter_pack] = STATE(1456),
    [sym_value_pack_expansion] = STATE(1456),
    [sym__referenceable_operator] = STATE(1456),
    [sym__equal_sign] = STATE(1456),
    [sym__eq_eq] = STATE(1456),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1297),
    [sym_real_literal] = ACTIONS(1299),
    [sym_integer_literal] = ACTIONS(1297),
    [sym_hex_literal] = ACTIONS(1299),
    [sym_oct_literal] = ACTIONS(1299),
    [sym_bin_literal] = ACTIONS(1299),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [anon_sym_COMMA] = ACTIONS(425),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(425),
    [anon_sym_LBRACK] = ACTIONS(425),
    [anon_sym_QMARK] = ACTIONS(407),
    [anon_sym_QMARK2] = ACTIONS(425),
    [anon_sym_AMP] = ACTIONS(425),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(425),
    [anon_sym_LT] = ACTIONS(407),
    [anon_sym_GT] = ACTIONS(407),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1297),
    [anon_sym_POUNDfileID] = ACTIONS(1299),
    [anon_sym_POUNDfilePath] = ACTIONS(1299),
    [anon_sym_POUNDline] = ACTIONS(1299),
    [anon_sym_POUNDcolumn] = ACTIONS(1299),
    [anon_sym_POUNDfunction] = ACTIONS(1299),
    [anon_sym_POUNDdsohandle] = ACTIONS(1299),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(425),
    [anon_sym_CARET_LBRACE] = ACTIONS(425),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(425),
    [anon_sym_DASH_EQ] = ACTIONS(425),
    [anon_sym_STAR_EQ] = ACTIONS(425),
    [anon_sym_SLASH_EQ] = ACTIONS(425),
    [anon_sym_PERCENT_EQ] = ACTIONS(425),
    [anon_sym_BANG_EQ] = ACTIONS(407),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(425),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(425),
    [anon_sym_LT_EQ] = ACTIONS(425),
    [anon_sym_GT_EQ] = ACTIONS(425),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(425),
    [anon_sym_DOT_DOT_LT] = ACTIONS(425),
    [anon_sym_is] = ACTIONS(407),
    [anon_sym_PLUS] = ACTIONS(407),
    [anon_sym_DASH] = ACTIONS(407),
    [anon_sym_STAR] = ACTIONS(407),
    [anon_sym_SLASH] = ACTIONS(407),
    [anon_sym_PERCENT] = ACTIONS(407),
    [anon_sym_PLUS_PLUS] = ACTIONS(425),
    [anon_sym_DASH_DASH] = ACTIONS(425),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(425),
    [anon_sym_CARET] = ACTIONS(407),
    [anon_sym_LT_LT] = ACTIONS(425),
    [anon_sym_GT_GT] = ACTIONS(425),
    [anon_sym_BANG2] = ACTIONS(407),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(425),
    [sym__conjunction_operator_custom] = ACTIONS(425),
    [sym__disjunction_operator_custom] = ACTIONS(425),
    [sym__nil_coalescing_operator_custom] = ACTIONS(425),
    [sym__eq_custom] = ACTIONS(425),
    [sym__eq_eq_custom] = ACTIONS(425),
    [sym__plus_then_ws] = ACTIONS(425),
    [sym__minus_then_ws] = ACTIONS(425),
    [sym__bang_custom] = ACTIONS(425),
    [sym_where_keyword] = ACTIONS(425),
    [sym_else] = ACTIONS(425),
    [sym__as_custom] = ACTIONS(425),
    [sym__as_quest_custom] = ACTIONS(425),
    [sym__as_bang_custom] = ACTIONS(425),
    [sym__custom_operator] = ACTIONS(425),
  },
  [209] = {
    [sym_simple_identifier] = STATE(2573),
    [sym__contextual_simple_identifier] = STATE(2374),
    [sym__basic_literal] = STATE(1337),
    [sym_boolean_literal] = STATE(1337),
    [sym__string_literal] = STATE(1337),
    [sym_line_string_literal] = STATE(1337),
    [sym_multi_line_string_literal] = STATE(1337),
    [sym_raw_string_literal] = STATE(1337),
    [sym_regex_literal] = STATE(1337),
    [sym__multiline_regex_literal] = STATE(2929),
    [sym_user_type] = STATE(5443),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5443),
    [sym_dictionary_type] = STATE(5443),
    [sym__expression] = STATE(1337),
    [sym__unary_expression] = STATE(1337),
    [sym_postfix_expression] = STATE(1337),
    [sym_constructor_expression] = STATE(1337),
    [sym__parenthesized_type] = STATE(7012),
    [sym_navigation_expression] = STATE(1337),
    [sym__navigable_type_expression] = STATE(7009),
    [sym_open_start_range_expression] = STATE(1337),
    [sym__range_operator] = STATE(557),
    [sym_open_end_range_expression] = STATE(1337),
    [sym_prefix_expression] = STATE(1337),
    [sym_as_expression] = STATE(1337),
    [sym_selector_expression] = STATE(1337),
    [sym__binary_expression] = STATE(1337),
    [sym_multiplicative_expression] = STATE(1337),
    [sym_additive_expression] = STATE(1337),
    [sym_range_expression] = STATE(1337),
    [sym_infix_expression] = STATE(1337),
    [sym_nil_coalescing_expression] = STATE(1337),
    [sym_check_expression] = STATE(1337),
    [sym_comparison_expression] = STATE(1337),
    [sym_equality_expression] = STATE(1337),
    [sym_conjunction_expression] = STATE(1337),
    [sym_disjunction_expression] = STATE(1337),
    [sym_bitwise_operation] = STATE(1337),
    [sym_custom_operator] = STATE(878),
    [sym_try_expression] = STATE(1337),
    [sym_await_expression] = STATE(1337),
    [sym__await_operator] = STATE(450),
    [sym_ternary_expression] = STATE(1337),
    [sym_call_expression] = STATE(1337),
    [sym__primary_expression] = STATE(1337),
    [sym_tuple_expression] = STATE(1337),
    [sym_array_literal] = STATE(1337),
    [sym_dictionary_literal] = STATE(1337),
    [sym__special_literal] = STATE(1337),
    [sym__playground_literal] = STATE(1337),
    [sym_lambda_literal] = STATE(1337),
    [sym_self_expression] = STATE(1337),
    [sym_super_expression] = STATE(1337),
    [sym_if_statement] = STATE(1337),
    [sym_switch_statement] = STATE(1337),
    [sym_key_path_expression] = STATE(1337),
    [sym_key_path_string_expression] = STATE(1337),
    [sym_try_operator] = STATE(451),
    [sym__assignment_and_operator] = STATE(1337),
    [sym__equality_operator] = STATE(1337),
    [sym__comparison_operator] = STATE(1337),
    [sym__three_dot_operator] = STATE(884),
    [sym__open_ended_range_operator] = STATE(557),
    [sym__additive_operator] = STATE(1337),
    [sym__multiplicative_operator] = STATE(1337),
    [sym__prefix_unary_operator] = STATE(471),
    [sym_directly_assignable_expression] = STATE(5445),
    [sym_assignment] = STATE(1337),
    [sym_value_parameter_pack] = STATE(1337),
    [sym_value_pack_expansion] = STATE(1337),
    [sym__referenceable_operator] = STATE(1337),
    [sym__equal_sign] = STATE(1337),
    [sym__eq_eq] = STATE(1337),
    [sym__dot] = STATE(471),
    [sym_bang] = STATE(878),
    [sym__parameter_ownership_modifier] = STATE(2374),
    [aux_sym_raw_string_literal_repeat1] = STATE(7006),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(1037),
    [aux_sym_simple_identifier_token2] = ACTIONS(1039),
    [aux_sym_simple_identifier_token3] = ACTIONS(1039),
    [aux_sym_simple_identifier_token4] = ACTIONS(1039),
    [anon_sym_actor] = ACTIONS(1037),
    [anon_sym_async] = ACTIONS(1037),
    [anon_sym_each] = ACTIONS(1041),
    [anon_sym_lazy] = ACTIONS(1037),
    [anon_sym_repeat] = ACTIONS(1043),
    [anon_sym_package] = ACTIONS(1037),
    [anon_sym_nil] = ACTIONS(1301),
    [sym_real_literal] = ACTIONS(1303),
    [sym_integer_literal] = ACTIONS(1301),
    [sym_hex_literal] = ACTIONS(1303),
    [sym_oct_literal] = ACTIONS(1303),
    [sym_bin_literal] = ACTIONS(1303),
    [anon_sym_true] = ACTIONS(1049),
    [anon_sym_false] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_BSLASH] = ACTIONS(1053),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1055),
    [anon_sym_COMMA] = ACTIONS(631),
    [sym__extended_regex_literal] = ACTIONS(1057),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(1059),
    [sym__oneline_regex_literal] = ACTIONS(1061),
    [anon_sym_COLON] = ACTIONS(631),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_LBRACK] = ACTIONS(1065),
    [anon_sym_QMARK] = ACTIONS(637),
    [anon_sym_QMARK2] = ACTIONS(631),
    [anon_sym_AMP] = ACTIONS(1067),
    [anon_sym_if] = ACTIONS(1069),
    [anon_sym_switch] = ACTIONS(1071),
    [anon_sym_POUNDselector] = ACTIONS(1073),
    [aux_sym_custom_operator_token1] = ACTIONS(1075),
    [anon_sym_LT] = ACTIONS(1301),
    [anon_sym_GT] = ACTIONS(1301),
    [anon_sym_await] = ACTIONS(1077),
    [anon_sym_POUNDfile] = ACTIONS(1301),
    [anon_sym_POUNDfileID] = ACTIONS(1303),
    [anon_sym_POUNDfilePath] = ACTIONS(1303),
    [anon_sym_POUNDline] = ACTIONS(1303),
    [anon_sym_POUNDcolumn] = ACTIONS(1303),
    [anon_sym_POUNDfunction] = ACTIONS(1303),
    [anon_sym_POUNDdsohandle] = ACTIONS(1303),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(1079),
    [anon_sym_POUNDfileLiteral] = ACTIONS(1079),
    [anon_sym_POUNDimageLiteral] = ACTIONS(1079),
    [anon_sym_LBRACE] = ACTIONS(1081),
    [anon_sym_CARET_LBRACE] = ACTIONS(1081),
    [anon_sym_self] = ACTIONS(1083),
    [anon_sym_super] = ACTIONS(1085),
    [anon_sym_POUNDkeyPath] = ACTIONS(1089),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1303),
    [anon_sym_DASH_EQ] = ACTIONS(1303),
    [anon_sym_STAR_EQ] = ACTIONS(1303),
    [anon_sym_SLASH_EQ] = ACTIONS(1303),
    [anon_sym_PERCENT_EQ] = ACTIONS(1303),
    [anon_sym_BANG_EQ] = ACTIONS(1301),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1303),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1303),
    [anon_sym_LT_EQ] = ACTIONS(1303),
    [anon_sym_GT_EQ] = ACTIONS(1303),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1093),
    [anon_sym_is] = ACTIONS(637),
    [anon_sym_PLUS] = ACTIONS(1097),
    [anon_sym_DASH] = ACTIONS(1097),
    [anon_sym_STAR] = ACTIONS(1301),
    [anon_sym_SLASH] = ACTIONS(1301),
    [anon_sym_PERCENT] = ACTIONS(1301),
    [anon_sym_PLUS_PLUS] = ACTIONS(1067),
    [anon_sym_DASH_DASH] = ACTIONS(1067),
    [anon_sym_TILDE] = ACTIONS(1067),
    [anon_sym_PIPE] = ACTIONS(1303),
    [anon_sym_CARET] = ACTIONS(1301),
    [anon_sym_LT_LT] = ACTIONS(1303),
    [anon_sym_GT_GT] = ACTIONS(1303),
    [anon_sym_BANG2] = ACTIONS(1099),
    [anon_sym_borrowing] = ACTIONS(1037),
    [anon_sym_consuming] = ACTIONS(1037),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(1103),
    [sym__dot_custom] = ACTIONS(1307),
    [sym__conjunction_operator_custom] = ACTIONS(631),
    [sym__disjunction_operator_custom] = ACTIONS(631),
    [sym__nil_coalescing_operator_custom] = ACTIONS(631),
    [sym__eq_custom] = ACTIONS(1303),
    [sym__eq_eq_custom] = ACTIONS(1303),
    [sym__plus_then_ws] = ACTIONS(1303),
    [sym__minus_then_ws] = ACTIONS(1303),
    [sym__bang_custom] = ACTIONS(1107),
    [sym_where_keyword] = ACTIONS(631),
    [sym__as_custom] = ACTIONS(631),
    [sym__as_quest_custom] = ACTIONS(631),
    [sym__as_bang_custom] = ACTIONS(631),
    [sym__custom_operator] = ACTIONS(1075),
  },
  [210] = {
    [sym_simple_identifier] = STATE(2498),
    [sym__contextual_simple_identifier] = STATE(2439),
    [sym__basic_literal] = STATE(1321),
    [sym_boolean_literal] = STATE(1321),
    [sym__string_literal] = STATE(1321),
    [sym_line_string_literal] = STATE(1321),
    [sym_multi_line_string_literal] = STATE(1321),
    [sym_raw_string_literal] = STATE(1321),
    [sym_regex_literal] = STATE(1321),
    [sym__multiline_regex_literal] = STATE(2683),
    [sym_user_type] = STATE(5473),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5473),
    [sym_dictionary_type] = STATE(5473),
    [sym__expression] = STATE(1321),
    [sym__unary_expression] = STATE(1321),
    [sym_postfix_expression] = STATE(1321),
    [sym_constructor_expression] = STATE(1321),
    [sym__parenthesized_type] = STATE(6860),
    [sym_navigation_expression] = STATE(1321),
    [sym__navigable_type_expression] = STATE(6859),
    [sym_open_start_range_expression] = STATE(1321),
    [sym__range_operator] = STATE(601),
    [sym_open_end_range_expression] = STATE(1321),
    [sym_prefix_expression] = STATE(1321),
    [sym_as_expression] = STATE(1321),
    [sym_selector_expression] = STATE(1321),
    [sym__binary_expression] = STATE(1321),
    [sym_multiplicative_expression] = STATE(1321),
    [sym_additive_expression] = STATE(1321),
    [sym_range_expression] = STATE(1321),
    [sym_infix_expression] = STATE(1321),
    [sym_nil_coalescing_expression] = STATE(1321),
    [sym_check_expression] = STATE(1321),
    [sym_comparison_expression] = STATE(1321),
    [sym_equality_expression] = STATE(1321),
    [sym_conjunction_expression] = STATE(1321),
    [sym_disjunction_expression] = STATE(1321),
    [sym_bitwise_operation] = STATE(1321),
    [sym_custom_operator] = STATE(885),
    [sym_try_expression] = STATE(1321),
    [sym_await_expression] = STATE(1321),
    [sym__await_operator] = STATE(603),
    [sym_ternary_expression] = STATE(1321),
    [sym_call_expression] = STATE(1321),
    [sym__primary_expression] = STATE(1321),
    [sym_tuple_expression] = STATE(1321),
    [sym_array_literal] = STATE(1321),
    [sym_dictionary_literal] = STATE(1321),
    [sym__special_literal] = STATE(1321),
    [sym__playground_literal] = STATE(1321),
    [sym_lambda_literal] = STATE(1321),
    [sym_self_expression] = STATE(1321),
    [sym_super_expression] = STATE(1321),
    [sym_if_statement] = STATE(1321),
    [sym_switch_statement] = STATE(1321),
    [sym_key_path_expression] = STATE(1321),
    [sym_key_path_string_expression] = STATE(1321),
    [sym_try_operator] = STATE(598),
    [sym__assignment_and_operator] = STATE(1321),
    [sym__equality_operator] = STATE(1321),
    [sym__comparison_operator] = STATE(1321),
    [sym__three_dot_operator] = STATE(877),
    [sym__open_ended_range_operator] = STATE(601),
    [sym__additive_operator] = STATE(1321),
    [sym__multiplicative_operator] = STATE(1321),
    [sym__prefix_unary_operator] = STATE(593),
    [sym_directly_assignable_expression] = STATE(5475),
    [sym_assignment] = STATE(1321),
    [sym_value_parameter_pack] = STATE(1321),
    [sym_value_pack_expansion] = STATE(1321),
    [sym__referenceable_operator] = STATE(1321),
    [sym__equal_sign] = STATE(1321),
    [sym__eq_eq] = STATE(1321),
    [sym__dot] = STATE(593),
    [sym_bang] = STATE(885),
    [sym__parameter_ownership_modifier] = STATE(2439),
    [aux_sym_raw_string_literal_repeat1] = STATE(6858),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(1309),
    [aux_sym_simple_identifier_token2] = ACTIONS(1311),
    [aux_sym_simple_identifier_token3] = ACTIONS(1311),
    [aux_sym_simple_identifier_token4] = ACTIONS(1311),
    [anon_sym_actor] = ACTIONS(1309),
    [anon_sym_async] = ACTIONS(1309),
    [anon_sym_each] = ACTIONS(1313),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_repeat] = ACTIONS(1315),
    [anon_sym_package] = ACTIONS(1309),
    [anon_sym_nil] = ACTIONS(1317),
    [sym_real_literal] = ACTIONS(1319),
    [sym_integer_literal] = ACTIONS(1317),
    [sym_hex_literal] = ACTIONS(1319),
    [sym_oct_literal] = ACTIONS(1319),
    [sym_bin_literal] = ACTIONS(1319),
    [anon_sym_true] = ACTIONS(1321),
    [anon_sym_false] = ACTIONS(1321),
    [anon_sym_DQUOTE] = ACTIONS(1323),
    [anon_sym_BSLASH] = ACTIONS(1325),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1327),
    [anon_sym_COMMA] = ACTIONS(631),
    [sym__extended_regex_literal] = ACTIONS(1329),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(1331),
    [sym__oneline_regex_literal] = ACTIONS(1333),
    [anon_sym_LPAREN] = ACTIONS(1335),
    [anon_sym_LBRACK] = ACTIONS(1337),
    [anon_sym_QMARK] = ACTIONS(637),
    [anon_sym_QMARK2] = ACTIONS(631),
    [anon_sym_AMP] = ACTIONS(1339),
    [anon_sym_if] = ACTIONS(1341),
    [anon_sym_switch] = ACTIONS(1343),
    [anon_sym_POUNDselector] = ACTIONS(1345),
    [aux_sym_custom_operator_token1] = ACTIONS(1347),
    [anon_sym_LT] = ACTIONS(1317),
    [anon_sym_GT] = ACTIONS(1317),
    [anon_sym_await] = ACTIONS(1349),
    [anon_sym_POUNDfile] = ACTIONS(1317),
    [anon_sym_POUNDfileID] = ACTIONS(1319),
    [anon_sym_POUNDfilePath] = ACTIONS(1319),
    [anon_sym_POUNDline] = ACTIONS(1319),
    [anon_sym_POUNDcolumn] = ACTIONS(1319),
    [anon_sym_POUNDfunction] = ACTIONS(1319),
    [anon_sym_POUNDdsohandle] = ACTIONS(1319),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(1351),
    [anon_sym_POUNDfileLiteral] = ACTIONS(1351),
    [anon_sym_POUNDimageLiteral] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_CARET_LBRACE] = ACTIONS(1353),
    [anon_sym_self] = ACTIONS(1355),
    [anon_sym_super] = ACTIONS(1357),
    [anon_sym_POUNDkeyPath] = ACTIONS(1359),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1319),
    [anon_sym_DASH_EQ] = ACTIONS(1319),
    [anon_sym_STAR_EQ] = ACTIONS(1319),
    [anon_sym_SLASH_EQ] = ACTIONS(1319),
    [anon_sym_PERCENT_EQ] = ACTIONS(1319),
    [anon_sym_BANG_EQ] = ACTIONS(1317),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1319),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1319),
    [anon_sym_LT_EQ] = ACTIONS(1319),
    [anon_sym_GT_EQ] = ACTIONS(1319),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1361),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1363),
    [anon_sym_is] = ACTIONS(637),
    [anon_sym_PLUS] = ACTIONS(1365),
    [anon_sym_DASH] = ACTIONS(1365),
    [anon_sym_STAR] = ACTIONS(1317),
    [anon_sym_SLASH] = ACTIONS(1317),
    [anon_sym_PERCENT] = ACTIONS(1317),
    [anon_sym_PLUS_PLUS] = ACTIONS(1339),
    [anon_sym_DASH_DASH] = ACTIONS(1339),
    [anon_sym_TILDE] = ACTIONS(1339),
    [anon_sym_PIPE] = ACTIONS(1319),
    [anon_sym_CARET] = ACTIONS(1317),
    [anon_sym_LT_LT] = ACTIONS(1319),
    [anon_sym_GT_GT] = ACTIONS(1319),
    [anon_sym_BANG2] = ACTIONS(1367),
    [anon_sym_borrowing] = ACTIONS(1309),
    [anon_sym_consuming] = ACTIONS(1309),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(1369),
    [sym__dot_custom] = ACTIONS(1371),
    [sym__conjunction_operator_custom] = ACTIONS(631),
    [sym__disjunction_operator_custom] = ACTIONS(631),
    [sym__nil_coalescing_operator_custom] = ACTIONS(631),
    [sym__eq_custom] = ACTIONS(1319),
    [sym__eq_eq_custom] = ACTIONS(1319),
    [sym__plus_then_ws] = ACTIONS(1319),
    [sym__minus_then_ws] = ACTIONS(1319),
    [sym__bang_custom] = ACTIONS(1373),
    [sym_where_keyword] = ACTIONS(631),
    [sym_else] = ACTIONS(631),
    [sym__as_custom] = ACTIONS(631),
    [sym__as_quest_custom] = ACTIONS(631),
    [sym__as_bang_custom] = ACTIONS(631),
    [sym__custom_operator] = ACTIONS(1347),
  },
  [211] = {
    [sym_simple_identifier] = STATE(2498),
    [sym__contextual_simple_identifier] = STATE(2439),
    [sym__basic_literal] = STATE(1322),
    [sym_boolean_literal] = STATE(1322),
    [sym__string_literal] = STATE(1322),
    [sym_line_string_literal] = STATE(1322),
    [sym_multi_line_string_literal] = STATE(1322),
    [sym_raw_string_literal] = STATE(1322),
    [sym_regex_literal] = STATE(1322),
    [sym__multiline_regex_literal] = STATE(2683),
    [sym_user_type] = STATE(5473),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5473),
    [sym_dictionary_type] = STATE(5473),
    [sym__expression] = STATE(1322),
    [sym__unary_expression] = STATE(1322),
    [sym_postfix_expression] = STATE(1322),
    [sym_constructor_expression] = STATE(1322),
    [sym__parenthesized_type] = STATE(6860),
    [sym_navigation_expression] = STATE(1322),
    [sym__navigable_type_expression] = STATE(6859),
    [sym_open_start_range_expression] = STATE(1322),
    [sym__range_operator] = STATE(601),
    [sym_open_end_range_expression] = STATE(1322),
    [sym_prefix_expression] = STATE(1322),
    [sym_as_expression] = STATE(1322),
    [sym_selector_expression] = STATE(1322),
    [sym__binary_expression] = STATE(1322),
    [sym_multiplicative_expression] = STATE(1322),
    [sym_additive_expression] = STATE(1322),
    [sym_range_expression] = STATE(1322),
    [sym_infix_expression] = STATE(1322),
    [sym_nil_coalescing_expression] = STATE(1322),
    [sym_check_expression] = STATE(1322),
    [sym_comparison_expression] = STATE(1322),
    [sym_equality_expression] = STATE(1322),
    [sym_conjunction_expression] = STATE(1322),
    [sym_disjunction_expression] = STATE(1322),
    [sym_bitwise_operation] = STATE(1322),
    [sym_custom_operator] = STATE(885),
    [sym_try_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym__await_operator] = STATE(603),
    [sym_ternary_expression] = STATE(1322),
    [sym_call_expression] = STATE(1322),
    [sym__primary_expression] = STATE(1322),
    [sym_tuple_expression] = STATE(1322),
    [sym_array_literal] = STATE(1322),
    [sym_dictionary_literal] = STATE(1322),
    [sym__special_literal] = STATE(1322),
    [sym__playground_literal] = STATE(1322),
    [sym_lambda_literal] = STATE(1322),
    [sym_self_expression] = STATE(1322),
    [sym_super_expression] = STATE(1322),
    [sym_if_statement] = STATE(1322),
    [sym_switch_statement] = STATE(1322),
    [sym_key_path_expression] = STATE(1322),
    [sym_key_path_string_expression] = STATE(1322),
    [sym_try_operator] = STATE(598),
    [sym__assignment_and_operator] = STATE(1322),
    [sym__equality_operator] = STATE(1322),
    [sym__comparison_operator] = STATE(1322),
    [sym__three_dot_operator] = STATE(877),
    [sym__open_ended_range_operator] = STATE(601),
    [sym__additive_operator] = STATE(1322),
    [sym__multiplicative_operator] = STATE(1322),
    [sym__prefix_unary_operator] = STATE(593),
    [sym_directly_assignable_expression] = STATE(5475),
    [sym_assignment] = STATE(1322),
    [sym_value_parameter_pack] = STATE(1322),
    [sym_value_pack_expansion] = STATE(1322),
    [sym__referenceable_operator] = STATE(1322),
    [sym__equal_sign] = STATE(1322),
    [sym__eq_eq] = STATE(1322),
    [sym__dot] = STATE(593),
    [sym_bang] = STATE(885),
    [sym__parameter_ownership_modifier] = STATE(2439),
    [aux_sym_raw_string_literal_repeat1] = STATE(6858),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(1309),
    [aux_sym_simple_identifier_token2] = ACTIONS(1311),
    [aux_sym_simple_identifier_token3] = ACTIONS(1311),
    [aux_sym_simple_identifier_token4] = ACTIONS(1311),
    [anon_sym_actor] = ACTIONS(1309),
    [anon_sym_async] = ACTIONS(1309),
    [anon_sym_each] = ACTIONS(1313),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_repeat] = ACTIONS(1315),
    [anon_sym_package] = ACTIONS(1309),
    [anon_sym_nil] = ACTIONS(1375),
    [sym_real_literal] = ACTIONS(1377),
    [sym_integer_literal] = ACTIONS(1375),
    [sym_hex_literal] = ACTIONS(1377),
    [sym_oct_literal] = ACTIONS(1377),
    [sym_bin_literal] = ACTIONS(1377),
    [anon_sym_true] = ACTIONS(1321),
    [anon_sym_false] = ACTIONS(1321),
    [anon_sym_DQUOTE] = ACTIONS(1323),
    [anon_sym_BSLASH] = ACTIONS(1325),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1327),
    [anon_sym_COMMA] = ACTIONS(631),
    [sym__extended_regex_literal] = ACTIONS(1329),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(1331),
    [sym__oneline_regex_literal] = ACTIONS(1333),
    [anon_sym_LPAREN] = ACTIONS(1335),
    [anon_sym_LBRACK] = ACTIONS(1337),
    [anon_sym_QMARK] = ACTIONS(637),
    [anon_sym_QMARK2] = ACTIONS(631),
    [anon_sym_AMP] = ACTIONS(1339),
    [anon_sym_if] = ACTIONS(1341),
    [anon_sym_switch] = ACTIONS(1343),
    [anon_sym_POUNDselector] = ACTIONS(1345),
    [aux_sym_custom_operator_token1] = ACTIONS(1347),
    [anon_sym_LT] = ACTIONS(1375),
    [anon_sym_GT] = ACTIONS(1375),
    [anon_sym_await] = ACTIONS(1349),
    [anon_sym_POUNDfile] = ACTIONS(1375),
    [anon_sym_POUNDfileID] = ACTIONS(1377),
    [anon_sym_POUNDfilePath] = ACTIONS(1377),
    [anon_sym_POUNDline] = ACTIONS(1377),
    [anon_sym_POUNDcolumn] = ACTIONS(1377),
    [anon_sym_POUNDfunction] = ACTIONS(1377),
    [anon_sym_POUNDdsohandle] = ACTIONS(1377),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(1351),
    [anon_sym_POUNDfileLiteral] = ACTIONS(1351),
    [anon_sym_POUNDimageLiteral] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_CARET_LBRACE] = ACTIONS(1353),
    [anon_sym_self] = ACTIONS(1355),
    [anon_sym_super] = ACTIONS(1357),
    [anon_sym_POUNDkeyPath] = ACTIONS(1359),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1377),
    [anon_sym_DASH_EQ] = ACTIONS(1377),
    [anon_sym_STAR_EQ] = ACTIONS(1377),
    [anon_sym_SLASH_EQ] = ACTIONS(1377),
    [anon_sym_PERCENT_EQ] = ACTIONS(1377),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1377),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1377),
    [anon_sym_LT_EQ] = ACTIONS(1377),
    [anon_sym_GT_EQ] = ACTIONS(1377),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1361),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1363),
    [anon_sym_is] = ACTIONS(637),
    [anon_sym_PLUS] = ACTIONS(1365),
    [anon_sym_DASH] = ACTIONS(1365),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1375),
    [anon_sym_PERCENT] = ACTIONS(1375),
    [anon_sym_PLUS_PLUS] = ACTIONS(1339),
    [anon_sym_DASH_DASH] = ACTIONS(1339),
    [anon_sym_TILDE] = ACTIONS(1339),
    [anon_sym_PIPE] = ACTIONS(1377),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1377),
    [anon_sym_GT_GT] = ACTIONS(1377),
    [anon_sym_BANG2] = ACTIONS(1367),
    [anon_sym_borrowing] = ACTIONS(1309),
    [anon_sym_consuming] = ACTIONS(1309),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(1369),
    [sym__dot_custom] = ACTIONS(1371),
    [sym__conjunction_operator_custom] = ACTIONS(631),
    [sym__disjunction_operator_custom] = ACTIONS(631),
    [sym__nil_coalescing_operator_custom] = ACTIONS(631),
    [sym__eq_custom] = ACTIONS(1377),
    [sym__eq_eq_custom] = ACTIONS(1377),
    [sym__plus_then_ws] = ACTIONS(1377),
    [sym__minus_then_ws] = ACTIONS(1377),
    [sym__bang_custom] = ACTIONS(1373),
    [sym_where_keyword] = ACTIONS(631),
    [sym_else] = ACTIONS(631),
    [sym__as_custom] = ACTIONS(631),
    [sym__as_quest_custom] = ACTIONS(631),
    [sym__as_bang_custom] = ACTIONS(631),
    [sym__custom_operator] = ACTIONS(1347),
  },
  [212] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1450),
    [sym_boolean_literal] = STATE(1450),
    [sym__string_literal] = STATE(1450),
    [sym_line_string_literal] = STATE(1450),
    [sym_multi_line_string_literal] = STATE(1450),
    [sym_raw_string_literal] = STATE(1450),
    [sym_regex_literal] = STATE(1450),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1450),
    [sym__unary_expression] = STATE(1450),
    [sym_postfix_expression] = STATE(1450),
    [sym_constructor_expression] = STATE(1450),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1450),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1450),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1450),
    [sym_prefix_expression] = STATE(1450),
    [sym_as_expression] = STATE(1450),
    [sym_selector_expression] = STATE(1450),
    [sym__binary_expression] = STATE(1450),
    [sym_multiplicative_expression] = STATE(1450),
    [sym_additive_expression] = STATE(1450),
    [sym_range_expression] = STATE(1450),
    [sym_infix_expression] = STATE(1450),
    [sym_nil_coalescing_expression] = STATE(1450),
    [sym_check_expression] = STATE(1450),
    [sym_comparison_expression] = STATE(1450),
    [sym_equality_expression] = STATE(1450),
    [sym_conjunction_expression] = STATE(1450),
    [sym_disjunction_expression] = STATE(1450),
    [sym_bitwise_operation] = STATE(1450),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1450),
    [sym_await_expression] = STATE(1450),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1450),
    [sym_call_expression] = STATE(1450),
    [sym__primary_expression] = STATE(1450),
    [sym_tuple_expression] = STATE(1450),
    [sym_array_literal] = STATE(1450),
    [sym_dictionary_literal] = STATE(1450),
    [sym__special_literal] = STATE(1450),
    [sym__playground_literal] = STATE(1450),
    [sym_lambda_literal] = STATE(1450),
    [sym_self_expression] = STATE(1450),
    [sym_super_expression] = STATE(1450),
    [sym_if_statement] = STATE(1450),
    [sym_switch_statement] = STATE(1450),
    [sym_key_path_expression] = STATE(1450),
    [sym_key_path_string_expression] = STATE(1450),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1450),
    [sym__equality_operator] = STATE(1450),
    [sym__comparison_operator] = STATE(1450),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1450),
    [sym__multiplicative_operator] = STATE(1450),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1450),
    [sym_value_parameter_pack] = STATE(1450),
    [sym_value_pack_expansion] = STATE(1450),
    [sym__referenceable_operator] = STATE(1450),
    [sym__equal_sign] = STATE(1450),
    [sym__eq_eq] = STATE(1450),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1379),
    [sym_real_literal] = ACTIONS(1381),
    [sym_integer_literal] = ACTIONS(1379),
    [sym_hex_literal] = ACTIONS(1381),
    [sym_oct_literal] = ACTIONS(1381),
    [sym_bin_literal] = ACTIONS(1381),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [anon_sym_COMMA] = ACTIONS(425),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_COLON] = ACTIONS(425),
    [anon_sym_LPAREN] = ACTIONS(425),
    [anon_sym_LBRACK] = ACTIONS(425),
    [anon_sym_QMARK] = ACTIONS(407),
    [anon_sym_QMARK2] = ACTIONS(425),
    [anon_sym_AMP] = ACTIONS(425),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(425),
    [anon_sym_LT] = ACTIONS(407),
    [anon_sym_GT] = ACTIONS(407),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1379),
    [anon_sym_POUNDfileID] = ACTIONS(1381),
    [anon_sym_POUNDfilePath] = ACTIONS(1381),
    [anon_sym_POUNDline] = ACTIONS(1381),
    [anon_sym_POUNDcolumn] = ACTIONS(1381),
    [anon_sym_POUNDfunction] = ACTIONS(1381),
    [anon_sym_POUNDdsohandle] = ACTIONS(1381),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(425),
    [anon_sym_CARET_LBRACE] = ACTIONS(425),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(425),
    [anon_sym_DASH_EQ] = ACTIONS(425),
    [anon_sym_STAR_EQ] = ACTIONS(425),
    [anon_sym_SLASH_EQ] = ACTIONS(425),
    [anon_sym_PERCENT_EQ] = ACTIONS(425),
    [anon_sym_BANG_EQ] = ACTIONS(407),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(425),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(425),
    [anon_sym_LT_EQ] = ACTIONS(425),
    [anon_sym_GT_EQ] = ACTIONS(425),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(425),
    [anon_sym_DOT_DOT_LT] = ACTIONS(425),
    [anon_sym_is] = ACTIONS(407),
    [anon_sym_PLUS] = ACTIONS(407),
    [anon_sym_DASH] = ACTIONS(407),
    [anon_sym_STAR] = ACTIONS(407),
    [anon_sym_SLASH] = ACTIONS(407),
    [anon_sym_PERCENT] = ACTIONS(407),
    [anon_sym_PLUS_PLUS] = ACTIONS(425),
    [anon_sym_DASH_DASH] = ACTIONS(425),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(425),
    [anon_sym_CARET] = ACTIONS(407),
    [anon_sym_LT_LT] = ACTIONS(425),
    [anon_sym_GT_GT] = ACTIONS(425),
    [anon_sym_BANG2] = ACTIONS(407),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(425),
    [sym__conjunction_operator_custom] = ACTIONS(425),
    [sym__disjunction_operator_custom] = ACTIONS(425),
    [sym__nil_coalescing_operator_custom] = ACTIONS(425),
    [sym__eq_custom] = ACTIONS(425),
    [sym__eq_eq_custom] = ACTIONS(425),
    [sym__plus_then_ws] = ACTIONS(425),
    [sym__minus_then_ws] = ACTIONS(425),
    [sym__bang_custom] = ACTIONS(425),
    [sym_where_keyword] = ACTIONS(425),
    [sym__as_custom] = ACTIONS(425),
    [sym__as_quest_custom] = ACTIONS(425),
    [sym__as_bang_custom] = ACTIONS(425),
    [sym__custom_operator] = ACTIONS(425),
  },
  [213] = {
    [sym_simple_identifier] = STATE(2573),
    [sym__contextual_simple_identifier] = STATE(2374),
    [sym__basic_literal] = STATE(1326),
    [sym_boolean_literal] = STATE(1326),
    [sym__string_literal] = STATE(1326),
    [sym_line_string_literal] = STATE(1326),
    [sym_multi_line_string_literal] = STATE(1326),
    [sym_raw_string_literal] = STATE(1326),
    [sym_regex_literal] = STATE(1326),
    [sym__multiline_regex_literal] = STATE(2929),
    [sym_user_type] = STATE(5443),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5443),
    [sym_dictionary_type] = STATE(5443),
    [sym__expression] = STATE(1326),
    [sym__unary_expression] = STATE(1326),
    [sym_postfix_expression] = STATE(1326),
    [sym_constructor_expression] = STATE(1326),
    [sym__parenthesized_type] = STATE(7012),
    [sym_navigation_expression] = STATE(1326),
    [sym__navigable_type_expression] = STATE(7009),
    [sym_open_start_range_expression] = STATE(1326),
    [sym__range_operator] = STATE(557),
    [sym_open_end_range_expression] = STATE(1326),
    [sym_prefix_expression] = STATE(1326),
    [sym_as_expression] = STATE(1326),
    [sym_selector_expression] = STATE(1326),
    [sym__binary_expression] = STATE(1326),
    [sym_multiplicative_expression] = STATE(1326),
    [sym_additive_expression] = STATE(1326),
    [sym_range_expression] = STATE(1326),
    [sym_infix_expression] = STATE(1326),
    [sym_nil_coalescing_expression] = STATE(1326),
    [sym_check_expression] = STATE(1326),
    [sym_comparison_expression] = STATE(1326),
    [sym_equality_expression] = STATE(1326),
    [sym_conjunction_expression] = STATE(1326),
    [sym_disjunction_expression] = STATE(1326),
    [sym_bitwise_operation] = STATE(1326),
    [sym_custom_operator] = STATE(878),
    [sym_try_expression] = STATE(1326),
    [sym_await_expression] = STATE(1326),
    [sym__await_operator] = STATE(450),
    [sym_ternary_expression] = STATE(1326),
    [sym_call_expression] = STATE(1326),
    [sym__primary_expression] = STATE(1326),
    [sym_tuple_expression] = STATE(1326),
    [sym_array_literal] = STATE(1326),
    [sym_dictionary_literal] = STATE(1326),
    [sym__special_literal] = STATE(1326),
    [sym__playground_literal] = STATE(1326),
    [sym_lambda_literal] = STATE(1326),
    [sym_self_expression] = STATE(1326),
    [sym_super_expression] = STATE(1326),
    [sym_if_statement] = STATE(1326),
    [sym_switch_statement] = STATE(1326),
    [sym_key_path_expression] = STATE(1326),
    [sym_key_path_string_expression] = STATE(1326),
    [sym_try_operator] = STATE(451),
    [sym__assignment_and_operator] = STATE(1326),
    [sym__equality_operator] = STATE(1326),
    [sym__comparison_operator] = STATE(1326),
    [sym__three_dot_operator] = STATE(884),
    [sym__open_ended_range_operator] = STATE(557),
    [sym__additive_operator] = STATE(1326),
    [sym__multiplicative_operator] = STATE(1326),
    [sym__prefix_unary_operator] = STATE(471),
    [sym_directly_assignable_expression] = STATE(5445),
    [sym_assignment] = STATE(1326),
    [sym_value_parameter_pack] = STATE(1326),
    [sym_value_pack_expansion] = STATE(1326),
    [sym__referenceable_operator] = STATE(1326),
    [sym__equal_sign] = STATE(1326),
    [sym__eq_eq] = STATE(1326),
    [sym__dot] = STATE(471),
    [sym_bang] = STATE(878),
    [sym__parameter_ownership_modifier] = STATE(2374),
    [aux_sym_raw_string_literal_repeat1] = STATE(7006),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(1037),
    [aux_sym_simple_identifier_token2] = ACTIONS(1039),
    [aux_sym_simple_identifier_token3] = ACTIONS(1039),
    [aux_sym_simple_identifier_token4] = ACTIONS(1039),
    [anon_sym_actor] = ACTIONS(1037),
    [anon_sym_async] = ACTIONS(1037),
    [anon_sym_each] = ACTIONS(1041),
    [anon_sym_lazy] = ACTIONS(1037),
    [anon_sym_repeat] = ACTIONS(1043),
    [anon_sym_package] = ACTIONS(1037),
    [anon_sym_nil] = ACTIONS(1383),
    [sym_real_literal] = ACTIONS(1385),
    [sym_integer_literal] = ACTIONS(1383),
    [sym_hex_literal] = ACTIONS(1385),
    [sym_oct_literal] = ACTIONS(1385),
    [sym_bin_literal] = ACTIONS(1385),
    [anon_sym_true] = ACTIONS(1049),
    [anon_sym_false] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_BSLASH] = ACTIONS(1053),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1055),
    [anon_sym_COMMA] = ACTIONS(631),
    [sym__extended_regex_literal] = ACTIONS(1057),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(1059),
    [sym__oneline_regex_literal] = ACTIONS(1061),
    [anon_sym_COLON] = ACTIONS(631),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_LBRACK] = ACTIONS(1065),
    [anon_sym_QMARK] = ACTIONS(637),
    [anon_sym_QMARK2] = ACTIONS(631),
    [anon_sym_AMP] = ACTIONS(1067),
    [anon_sym_if] = ACTIONS(1069),
    [anon_sym_switch] = ACTIONS(1071),
    [anon_sym_POUNDselector] = ACTIONS(1073),
    [aux_sym_custom_operator_token1] = ACTIONS(1075),
    [anon_sym_LT] = ACTIONS(1383),
    [anon_sym_GT] = ACTIONS(1383),
    [anon_sym_await] = ACTIONS(1077),
    [anon_sym_POUNDfile] = ACTIONS(1383),
    [anon_sym_POUNDfileID] = ACTIONS(1385),
    [anon_sym_POUNDfilePath] = ACTIONS(1385),
    [anon_sym_POUNDline] = ACTIONS(1385),
    [anon_sym_POUNDcolumn] = ACTIONS(1385),
    [anon_sym_POUNDfunction] = ACTIONS(1385),
    [anon_sym_POUNDdsohandle] = ACTIONS(1385),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(1079),
    [anon_sym_POUNDfileLiteral] = ACTIONS(1079),
    [anon_sym_POUNDimageLiteral] = ACTIONS(1079),
    [anon_sym_LBRACE] = ACTIONS(1081),
    [anon_sym_CARET_LBRACE] = ACTIONS(1081),
    [anon_sym_self] = ACTIONS(1083),
    [anon_sym_super] = ACTIONS(1085),
    [anon_sym_POUNDkeyPath] = ACTIONS(1089),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1385),
    [anon_sym_DASH_EQ] = ACTIONS(1385),
    [anon_sym_STAR_EQ] = ACTIONS(1385),
    [anon_sym_SLASH_EQ] = ACTIONS(1385),
    [anon_sym_PERCENT_EQ] = ACTIONS(1385),
    [anon_sym_BANG_EQ] = ACTIONS(1383),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1385),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1385),
    [anon_sym_LT_EQ] = ACTIONS(1385),
    [anon_sym_GT_EQ] = ACTIONS(1385),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1093),
    [anon_sym_is] = ACTIONS(637),
    [anon_sym_PLUS] = ACTIONS(1097),
    [anon_sym_DASH] = ACTIONS(1097),
    [anon_sym_STAR] = ACTIONS(1383),
    [anon_sym_SLASH] = ACTIONS(1383),
    [anon_sym_PERCENT] = ACTIONS(1383),
    [anon_sym_PLUS_PLUS] = ACTIONS(1067),
    [anon_sym_DASH_DASH] = ACTIONS(1067),
    [anon_sym_TILDE] = ACTIONS(1067),
    [anon_sym_PIPE] = ACTIONS(1385),
    [anon_sym_CARET] = ACTIONS(1383),
    [anon_sym_LT_LT] = ACTIONS(1385),
    [anon_sym_GT_GT] = ACTIONS(1385),
    [anon_sym_BANG2] = ACTIONS(1099),
    [anon_sym_borrowing] = ACTIONS(1037),
    [anon_sym_consuming] = ACTIONS(1037),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(1103),
    [sym__dot_custom] = ACTIONS(1307),
    [sym__conjunction_operator_custom] = ACTIONS(631),
    [sym__disjunction_operator_custom] = ACTIONS(631),
    [sym__nil_coalescing_operator_custom] = ACTIONS(631),
    [sym__eq_custom] = ACTIONS(1385),
    [sym__eq_eq_custom] = ACTIONS(1385),
    [sym__plus_then_ws] = ACTIONS(1385),
    [sym__minus_then_ws] = ACTIONS(1385),
    [sym__bang_custom] = ACTIONS(1107),
    [sym_where_keyword] = ACTIONS(631),
    [sym__as_custom] = ACTIONS(631),
    [sym__as_quest_custom] = ACTIONS(631),
    [sym__as_bang_custom] = ACTIONS(631),
    [sym__custom_operator] = ACTIONS(1075),
  },
  [214] = {
    [sym_simple_identifier] = STATE(2936),
    [sym__contextual_simple_identifier] = STATE(2558),
    [sym__basic_literal] = STATE(1393),
    [sym_boolean_literal] = STATE(1393),
    [sym__string_literal] = STATE(1393),
    [sym_line_string_literal] = STATE(1393),
    [sym_multi_line_string_literal] = STATE(1393),
    [sym_raw_string_literal] = STATE(1393),
    [sym_regex_literal] = STATE(1393),
    [sym__multiline_regex_literal] = STATE(3141),
    [sym_user_type] = STATE(5448),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5448),
    [sym_dictionary_type] = STATE(5448),
    [sym__expression] = STATE(1393),
    [sym__unary_expression] = STATE(1393),
    [sym_postfix_expression] = STATE(1393),
    [sym_constructor_expression] = STATE(1393),
    [sym__parenthesized_type] = STATE(6984),
    [sym_navigation_expression] = STATE(1393),
    [sym__navigable_type_expression] = STATE(6994),
    [sym_open_start_range_expression] = STATE(1393),
    [sym__range_operator] = STATE(488),
    [sym_open_end_range_expression] = STATE(1393),
    [sym_prefix_expression] = STATE(1393),
    [sym_as_expression] = STATE(1393),
    [sym_selector_expression] = STATE(1393),
    [sym__binary_expression] = STATE(1393),
    [sym_multiplicative_expression] = STATE(1393),
    [sym_additive_expression] = STATE(1393),
    [sym_range_expression] = STATE(1393),
    [sym_infix_expression] = STATE(1393),
    [sym_nil_coalescing_expression] = STATE(1393),
    [sym_check_expression] = STATE(1393),
    [sym_comparison_expression] = STATE(1393),
    [sym_equality_expression] = STATE(1393),
    [sym_conjunction_expression] = STATE(1393),
    [sym_disjunction_expression] = STATE(1393),
    [sym_bitwise_operation] = STATE(1393),
    [sym_custom_operator] = STATE(902),
    [sym_try_expression] = STATE(1393),
    [sym_await_expression] = STATE(1393),
    [sym__await_operator] = STATE(498),
    [sym_ternary_expression] = STATE(1393),
    [sym_call_expression] = STATE(1393),
    [sym__primary_expression] = STATE(1393),
    [sym_tuple_expression] = STATE(1393),
    [sym_array_literal] = STATE(1393),
    [sym_dictionary_literal] = STATE(1393),
    [sym__special_literal] = STATE(1393),
    [sym__playground_literal] = STATE(1393),
    [sym_lambda_literal] = STATE(1393),
    [sym_self_expression] = STATE(1393),
    [sym_super_expression] = STATE(1393),
    [sym_if_statement] = STATE(1393),
    [sym_switch_statement] = STATE(1393),
    [sym_key_path_expression] = STATE(1393),
    [sym_key_path_string_expression] = STATE(1393),
    [sym_try_operator] = STATE(501),
    [sym__assignment_and_operator] = STATE(1393),
    [sym__equality_operator] = STATE(1393),
    [sym__comparison_operator] = STATE(1393),
    [sym__three_dot_operator] = STATE(900),
    [sym__open_ended_range_operator] = STATE(488),
    [sym__additive_operator] = STATE(1393),
    [sym__multiplicative_operator] = STATE(1393),
    [sym__prefix_unary_operator] = STATE(505),
    [sym_directly_assignable_expression] = STATE(5447),
    [sym_assignment] = STATE(1393),
    [sym_value_parameter_pack] = STATE(1393),
    [sym_value_pack_expansion] = STATE(1393),
    [sym__referenceable_operator] = STATE(1393),
    [sym__equal_sign] = STATE(1393),
    [sym__eq_eq] = STATE(1393),
    [sym__dot] = STATE(505),
    [sym_bang] = STATE(902),
    [sym__parameter_ownership_modifier] = STATE(2558),
    [aux_sym_raw_string_literal_repeat1] = STATE(7003),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(1147),
    [aux_sym_simple_identifier_token2] = ACTIONS(1149),
    [aux_sym_simple_identifier_token3] = ACTIONS(1149),
    [aux_sym_simple_identifier_token4] = ACTIONS(1149),
    [anon_sym_actor] = ACTIONS(1147),
    [anon_sym_async] = ACTIONS(1147),
    [anon_sym_each] = ACTIONS(1153),
    [anon_sym_lazy] = ACTIONS(1147),
    [anon_sym_repeat] = ACTIONS(1155),
    [anon_sym_package] = ACTIONS(1147),
    [anon_sym_nil] = ACTIONS(1387),
    [sym_real_literal] = ACTIONS(1389),
    [sym_integer_literal] = ACTIONS(1387),
    [sym_hex_literal] = ACTIONS(1389),
    [sym_oct_literal] = ACTIONS(1389),
    [sym_bin_literal] = ACTIONS(1389),
    [anon_sym_true] = ACTIONS(1161),
    [anon_sym_false] = ACTIONS(1161),
    [anon_sym_DQUOTE] = ACTIONS(1163),
    [anon_sym_BSLASH] = ACTIONS(1165),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1167),
    [anon_sym_COMMA] = ACTIONS(631),
    [sym__extended_regex_literal] = ACTIONS(1169),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(1171),
    [sym__oneline_regex_literal] = ACTIONS(1173),
    [anon_sym_LPAREN] = ACTIONS(1175),
    [anon_sym_LBRACK] = ACTIONS(1177),
    [anon_sym_QMARK] = ACTIONS(637),
    [anon_sym_QMARK2] = ACTIONS(631),
    [anon_sym_AMP] = ACTIONS(1179),
    [anon_sym_if] = ACTIONS(1181),
    [anon_sym_switch] = ACTIONS(1183),
    [anon_sym_POUNDselector] = ACTIONS(1185),
    [aux_sym_custom_operator_token1] = ACTIONS(1187),
    [anon_sym_LT] = ACTIONS(1387),
    [anon_sym_GT] = ACTIONS(1387),
    [anon_sym_await] = ACTIONS(1189),
    [anon_sym_POUNDfile] = ACTIONS(1387),
    [anon_sym_POUNDfileID] = ACTIONS(1389),
    [anon_sym_POUNDfilePath] = ACTIONS(1389),
    [anon_sym_POUNDline] = ACTIONS(1389),
    [anon_sym_POUNDcolumn] = ACTIONS(1389),
    [anon_sym_POUNDfunction] = ACTIONS(1389),
    [anon_sym_POUNDdsohandle] = ACTIONS(1389),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(1191),
    [anon_sym_POUNDfileLiteral] = ACTIONS(1191),
    [anon_sym_POUNDimageLiteral] = ACTIONS(1191),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_CARET_LBRACE] = ACTIONS(1193),
    [anon_sym_self] = ACTIONS(1195),
    [anon_sym_super] = ACTIONS(1197),
    [anon_sym_POUNDkeyPath] = ACTIONS(1201),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1389),
    [anon_sym_DASH_EQ] = ACTIONS(1389),
    [anon_sym_STAR_EQ] = ACTIONS(1389),
    [anon_sym_SLASH_EQ] = ACTIONS(1389),
    [anon_sym_PERCENT_EQ] = ACTIONS(1389),
    [anon_sym_BANG_EQ] = ACTIONS(1387),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1389),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1389),
    [anon_sym_LT_EQ] = ACTIONS(1389),
    [anon_sym_GT_EQ] = ACTIONS(1389),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1203),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1205),
    [anon_sym_is] = ACTIONS(637),
    [anon_sym_PLUS] = ACTIONS(1207),
    [anon_sym_DASH] = ACTIONS(1207),
    [anon_sym_STAR] = ACTIONS(1387),
    [anon_sym_SLASH] = ACTIONS(1387),
    [anon_sym_PERCENT] = ACTIONS(1387),
    [anon_sym_PLUS_PLUS] = ACTIONS(1179),
    [anon_sym_DASH_DASH] = ACTIONS(1179),
    [anon_sym_TILDE] = ACTIONS(1179),
    [anon_sym_PIPE] = ACTIONS(1389),
    [anon_sym_CARET] = ACTIONS(1387),
    [anon_sym_LT_LT] = ACTIONS(1389),
    [anon_sym_GT_GT] = ACTIONS(1389),
    [anon_sym_BANG2] = ACTIONS(1211),
    [anon_sym_borrowing] = ACTIONS(1147),
    [anon_sym_consuming] = ACTIONS(1147),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(1213),
    [sym__dot_custom] = ACTIONS(1215),
    [sym__conjunction_operator_custom] = ACTIONS(631),
    [sym__disjunction_operator_custom] = ACTIONS(631),
    [sym__nil_coalescing_operator_custom] = ACTIONS(631),
    [sym__eq_custom] = ACTIONS(1389),
    [sym__eq_eq_custom] = ACTIONS(1389),
    [sym__plus_then_ws] = ACTIONS(1389),
    [sym__minus_then_ws] = ACTIONS(1389),
    [sym__bang_custom] = ACTIONS(1217),
    [sym_else] = ACTIONS(631),
    [sym__as_custom] = ACTIONS(631),
    [sym__as_quest_custom] = ACTIONS(631),
    [sym__as_bang_custom] = ACTIONS(631),
    [sym__custom_operator] = ACTIONS(1187),
  },
  [215] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1457),
    [sym_boolean_literal] = STATE(1457),
    [sym__string_literal] = STATE(1457),
    [sym_line_string_literal] = STATE(1457),
    [sym_multi_line_string_literal] = STATE(1457),
    [sym_raw_string_literal] = STATE(1457),
    [sym_regex_literal] = STATE(1457),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1457),
    [sym__unary_expression] = STATE(1457),
    [sym_postfix_expression] = STATE(1457),
    [sym_constructor_expression] = STATE(1457),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1457),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1457),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1457),
    [sym_prefix_expression] = STATE(1457),
    [sym_as_expression] = STATE(1457),
    [sym_selector_expression] = STATE(1457),
    [sym__binary_expression] = STATE(1457),
    [sym_multiplicative_expression] = STATE(1457),
    [sym_additive_expression] = STATE(1457),
    [sym_range_expression] = STATE(1457),
    [sym_infix_expression] = STATE(1457),
    [sym_nil_coalescing_expression] = STATE(1457),
    [sym_check_expression] = STATE(1457),
    [sym_comparison_expression] = STATE(1457),
    [sym_equality_expression] = STATE(1457),
    [sym_conjunction_expression] = STATE(1457),
    [sym_disjunction_expression] = STATE(1457),
    [sym_bitwise_operation] = STATE(1457),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1457),
    [sym_await_expression] = STATE(1457),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1457),
    [sym_call_expression] = STATE(1457),
    [sym__primary_expression] = STATE(1457),
    [sym_tuple_expression] = STATE(1457),
    [sym_array_literal] = STATE(1457),
    [sym_dictionary_literal] = STATE(1457),
    [sym__special_literal] = STATE(1457),
    [sym__playground_literal] = STATE(1457),
    [sym_lambda_literal] = STATE(1457),
    [sym_self_expression] = STATE(1457),
    [sym_super_expression] = STATE(1457),
    [sym_if_statement] = STATE(1457),
    [sym_switch_statement] = STATE(1457),
    [sym_key_path_expression] = STATE(1457),
    [sym_key_path_string_expression] = STATE(1457),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1457),
    [sym__equality_operator] = STATE(1457),
    [sym__comparison_operator] = STATE(1457),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1457),
    [sym__multiplicative_operator] = STATE(1457),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1457),
    [sym_value_parameter_pack] = STATE(1457),
    [sym_value_pack_expansion] = STATE(1457),
    [sym__referenceable_operator] = STATE(1457),
    [sym__equal_sign] = STATE(1457),
    [sym__eq_eq] = STATE(1457),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1391),
    [sym_real_literal] = ACTIONS(1393),
    [sym_integer_literal] = ACTIONS(1391),
    [sym_hex_literal] = ACTIONS(1393),
    [sym_oct_literal] = ACTIONS(1393),
    [sym_bin_literal] = ACTIONS(1393),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [anon_sym_COMMA] = ACTIONS(425),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(425),
    [anon_sym_LBRACK] = ACTIONS(425),
    [anon_sym_QMARK] = ACTIONS(407),
    [anon_sym_QMARK2] = ACTIONS(425),
    [anon_sym_AMP] = ACTIONS(425),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(425),
    [anon_sym_LT] = ACTIONS(407),
    [anon_sym_GT] = ACTIONS(407),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1391),
    [anon_sym_POUNDfileID] = ACTIONS(1393),
    [anon_sym_POUNDfilePath] = ACTIONS(1393),
    [anon_sym_POUNDline] = ACTIONS(1393),
    [anon_sym_POUNDcolumn] = ACTIONS(1393),
    [anon_sym_POUNDfunction] = ACTIONS(1393),
    [anon_sym_POUNDdsohandle] = ACTIONS(1393),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(425),
    [anon_sym_CARET_LBRACE] = ACTIONS(425),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(425),
    [anon_sym_DASH_EQ] = ACTIONS(425),
    [anon_sym_STAR_EQ] = ACTIONS(425),
    [anon_sym_SLASH_EQ] = ACTIONS(425),
    [anon_sym_PERCENT_EQ] = ACTIONS(425),
    [anon_sym_BANG_EQ] = ACTIONS(407),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(425),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(425),
    [anon_sym_LT_EQ] = ACTIONS(425),
    [anon_sym_GT_EQ] = ACTIONS(425),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(425),
    [anon_sym_DOT_DOT_LT] = ACTIONS(425),
    [anon_sym_is] = ACTIONS(407),
    [anon_sym_PLUS] = ACTIONS(407),
    [anon_sym_DASH] = ACTIONS(407),
    [anon_sym_STAR] = ACTIONS(407),
    [anon_sym_SLASH] = ACTIONS(407),
    [anon_sym_PERCENT] = ACTIONS(407),
    [anon_sym_PLUS_PLUS] = ACTIONS(425),
    [anon_sym_DASH_DASH] = ACTIONS(425),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(425),
    [anon_sym_CARET] = ACTIONS(407),
    [anon_sym_LT_LT] = ACTIONS(425),
    [anon_sym_GT_GT] = ACTIONS(425),
    [anon_sym_BANG2] = ACTIONS(407),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(425),
    [sym__conjunction_operator_custom] = ACTIONS(425),
    [sym__disjunction_operator_custom] = ACTIONS(425),
    [sym__nil_coalescing_operator_custom] = ACTIONS(425),
    [sym__eq_custom] = ACTIONS(425),
    [sym__eq_eq_custom] = ACTIONS(425),
    [sym__plus_then_ws] = ACTIONS(425),
    [sym__minus_then_ws] = ACTIONS(425),
    [sym__bang_custom] = ACTIONS(425),
    [sym_else] = ACTIONS(425),
    [sym__as_custom] = ACTIONS(425),
    [sym__as_quest_custom] = ACTIONS(425),
    [sym__as_bang_custom] = ACTIONS(425),
    [sym__custom_operator] = ACTIONS(425),
  },
  [216] = {
    [sym_simple_identifier] = STATE(2936),
    [sym__contextual_simple_identifier] = STATE(2558),
    [sym__basic_literal] = STATE(1389),
    [sym_boolean_literal] = STATE(1389),
    [sym__string_literal] = STATE(1389),
    [sym_line_string_literal] = STATE(1389),
    [sym_multi_line_string_literal] = STATE(1389),
    [sym_raw_string_literal] = STATE(1389),
    [sym_regex_literal] = STATE(1389),
    [sym__multiline_regex_literal] = STATE(3141),
    [sym_user_type] = STATE(5448),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5448),
    [sym_dictionary_type] = STATE(5448),
    [sym__expression] = STATE(1389),
    [sym__unary_expression] = STATE(1389),
    [sym_postfix_expression] = STATE(1389),
    [sym_constructor_expression] = STATE(1389),
    [sym__parenthesized_type] = STATE(6984),
    [sym_navigation_expression] = STATE(1389),
    [sym__navigable_type_expression] = STATE(6994),
    [sym_open_start_range_expression] = STATE(1389),
    [sym__range_operator] = STATE(488),
    [sym_open_end_range_expression] = STATE(1389),
    [sym_prefix_expression] = STATE(1389),
    [sym_as_expression] = STATE(1389),
    [sym_selector_expression] = STATE(1389),
    [sym__binary_expression] = STATE(1389),
    [sym_multiplicative_expression] = STATE(1389),
    [sym_additive_expression] = STATE(1389),
    [sym_range_expression] = STATE(1389),
    [sym_infix_expression] = STATE(1389),
    [sym_nil_coalescing_expression] = STATE(1389),
    [sym_check_expression] = STATE(1389),
    [sym_comparison_expression] = STATE(1389),
    [sym_equality_expression] = STATE(1389),
    [sym_conjunction_expression] = STATE(1389),
    [sym_disjunction_expression] = STATE(1389),
    [sym_bitwise_operation] = STATE(1389),
    [sym_custom_operator] = STATE(902),
    [sym_try_expression] = STATE(1389),
    [sym_await_expression] = STATE(1389),
    [sym__await_operator] = STATE(498),
    [sym_ternary_expression] = STATE(1389),
    [sym_call_expression] = STATE(1389),
    [sym__primary_expression] = STATE(1389),
    [sym_tuple_expression] = STATE(1389),
    [sym_array_literal] = STATE(1389),
    [sym_dictionary_literal] = STATE(1389),
    [sym__special_literal] = STATE(1389),
    [sym__playground_literal] = STATE(1389),
    [sym_lambda_literal] = STATE(1389),
    [sym_self_expression] = STATE(1389),
    [sym_super_expression] = STATE(1389),
    [sym_if_statement] = STATE(1389),
    [sym_switch_statement] = STATE(1389),
    [sym_key_path_expression] = STATE(1389),
    [sym_key_path_string_expression] = STATE(1389),
    [sym_try_operator] = STATE(501),
    [sym__assignment_and_operator] = STATE(1389),
    [sym__equality_operator] = STATE(1389),
    [sym__comparison_operator] = STATE(1389),
    [sym__three_dot_operator] = STATE(900),
    [sym__open_ended_range_operator] = STATE(488),
    [sym__additive_operator] = STATE(1389),
    [sym__multiplicative_operator] = STATE(1389),
    [sym__prefix_unary_operator] = STATE(505),
    [sym_directly_assignable_expression] = STATE(5447),
    [sym_assignment] = STATE(1389),
    [sym_value_parameter_pack] = STATE(1389),
    [sym_value_pack_expansion] = STATE(1389),
    [sym__referenceable_operator] = STATE(1389),
    [sym__equal_sign] = STATE(1389),
    [sym__eq_eq] = STATE(1389),
    [sym__dot] = STATE(505),
    [sym_bang] = STATE(902),
    [sym__parameter_ownership_modifier] = STATE(2558),
    [aux_sym_raw_string_literal_repeat1] = STATE(7003),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(1147),
    [aux_sym_simple_identifier_token2] = ACTIONS(1149),
    [aux_sym_simple_identifier_token3] = ACTIONS(1149),
    [aux_sym_simple_identifier_token4] = ACTIONS(1149),
    [anon_sym_actor] = ACTIONS(1147),
    [anon_sym_async] = ACTIONS(1147),
    [anon_sym_each] = ACTIONS(1153),
    [anon_sym_lazy] = ACTIONS(1147),
    [anon_sym_repeat] = ACTIONS(1155),
    [anon_sym_package] = ACTIONS(1147),
    [anon_sym_nil] = ACTIONS(1395),
    [sym_real_literal] = ACTIONS(1397),
    [sym_integer_literal] = ACTIONS(1395),
    [sym_hex_literal] = ACTIONS(1397),
    [sym_oct_literal] = ACTIONS(1397),
    [sym_bin_literal] = ACTIONS(1397),
    [anon_sym_true] = ACTIONS(1161),
    [anon_sym_false] = ACTIONS(1161),
    [anon_sym_DQUOTE] = ACTIONS(1163),
    [anon_sym_BSLASH] = ACTIONS(1165),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1167),
    [anon_sym_COMMA] = ACTIONS(631),
    [sym__extended_regex_literal] = ACTIONS(1169),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(1171),
    [sym__oneline_regex_literal] = ACTIONS(1173),
    [anon_sym_LPAREN] = ACTIONS(1175),
    [anon_sym_LBRACK] = ACTIONS(1177),
    [anon_sym_QMARK] = ACTIONS(637),
    [anon_sym_QMARK2] = ACTIONS(631),
    [anon_sym_AMP] = ACTIONS(1179),
    [anon_sym_if] = ACTIONS(1181),
    [anon_sym_switch] = ACTIONS(1183),
    [anon_sym_POUNDselector] = ACTIONS(1185),
    [aux_sym_custom_operator_token1] = ACTIONS(1187),
    [anon_sym_LT] = ACTIONS(1395),
    [anon_sym_GT] = ACTIONS(1395),
    [anon_sym_await] = ACTIONS(1189),
    [anon_sym_POUNDfile] = ACTIONS(1395),
    [anon_sym_POUNDfileID] = ACTIONS(1397),
    [anon_sym_POUNDfilePath] = ACTIONS(1397),
    [anon_sym_POUNDline] = ACTIONS(1397),
    [anon_sym_POUNDcolumn] = ACTIONS(1397),
    [anon_sym_POUNDfunction] = ACTIONS(1397),
    [anon_sym_POUNDdsohandle] = ACTIONS(1397),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(1191),
    [anon_sym_POUNDfileLiteral] = ACTIONS(1191),
    [anon_sym_POUNDimageLiteral] = ACTIONS(1191),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_CARET_LBRACE] = ACTIONS(1193),
    [anon_sym_self] = ACTIONS(1195),
    [anon_sym_super] = ACTIONS(1197),
    [anon_sym_POUNDkeyPath] = ACTIONS(1201),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1397),
    [anon_sym_DASH_EQ] = ACTIONS(1397),
    [anon_sym_STAR_EQ] = ACTIONS(1397),
    [anon_sym_SLASH_EQ] = ACTIONS(1397),
    [anon_sym_PERCENT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1395),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1397),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1203),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1205),
    [anon_sym_is] = ACTIONS(637),
    [anon_sym_PLUS] = ACTIONS(1207),
    [anon_sym_DASH] = ACTIONS(1207),
    [anon_sym_STAR] = ACTIONS(1395),
    [anon_sym_SLASH] = ACTIONS(1395),
    [anon_sym_PERCENT] = ACTIONS(1395),
    [anon_sym_PLUS_PLUS] = ACTIONS(1179),
    [anon_sym_DASH_DASH] = ACTIONS(1179),
    [anon_sym_TILDE] = ACTIONS(1179),
    [anon_sym_PIPE] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1395),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_BANG2] = ACTIONS(1211),
    [anon_sym_borrowing] = ACTIONS(1147),
    [anon_sym_consuming] = ACTIONS(1147),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(1213),
    [sym__dot_custom] = ACTIONS(1215),
    [sym__conjunction_operator_custom] = ACTIONS(631),
    [sym__disjunction_operator_custom] = ACTIONS(631),
    [sym__nil_coalescing_operator_custom] = ACTIONS(631),
    [sym__eq_custom] = ACTIONS(1397),
    [sym__eq_eq_custom] = ACTIONS(1397),
    [sym__plus_then_ws] = ACTIONS(1397),
    [sym__minus_then_ws] = ACTIONS(1397),
    [sym__bang_custom] = ACTIONS(1217),
    [sym_else] = ACTIONS(631),
    [sym__as_custom] = ACTIONS(631),
    [sym__as_quest_custom] = ACTIONS(631),
    [sym__as_bang_custom] = ACTIONS(631),
    [sym__custom_operator] = ACTIONS(1187),
  },
  [217] = {
    [sym_simple_identifier] = STATE(2421),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1315),
    [sym_boolean_literal] = STATE(1315),
    [sym__string_literal] = STATE(1315),
    [sym_line_string_literal] = STATE(1315),
    [sym_multi_line_string_literal] = STATE(1315),
    [sym_raw_string_literal] = STATE(1315),
    [sym_regex_literal] = STATE(1315),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1315),
    [sym__unary_expression] = STATE(1315),
    [sym_postfix_expression] = STATE(1315),
    [sym_constructor_expression] = STATE(1315),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1315),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1315),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1315),
    [sym_prefix_expression] = STATE(1315),
    [sym_as_expression] = STATE(1315),
    [sym_selector_expression] = STATE(1315),
    [sym__binary_expression] = STATE(1315),
    [sym_multiplicative_expression] = STATE(1315),
    [sym_additive_expression] = STATE(1315),
    [sym_range_expression] = STATE(1315),
    [sym_infix_expression] = STATE(1315),
    [sym_nil_coalescing_expression] = STATE(1315),
    [sym_check_expression] = STATE(1315),
    [sym_comparison_expression] = STATE(1315),
    [sym_equality_expression] = STATE(1315),
    [sym_conjunction_expression] = STATE(1315),
    [sym_disjunction_expression] = STATE(1315),
    [sym_bitwise_operation] = STATE(1315),
    [sym_custom_operator] = STATE(864),
    [sym_value_argument_label] = STATE(7782),
    [sym_value_argument] = STATE(6623),
    [sym_try_expression] = STATE(1315),
    [sym_await_expression] = STATE(1315),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1315),
    [sym_call_expression] = STATE(1315),
    [sym__primary_expression] = STATE(1315),
    [sym_tuple_expression] = STATE(1315),
    [sym_array_literal] = STATE(1315),
    [sym_dictionary_literal] = STATE(1315),
    [sym__special_literal] = STATE(1315),
    [sym__playground_literal] = STATE(1315),
    [sym_lambda_literal] = STATE(1315),
    [sym_self_expression] = STATE(1315),
    [sym_super_expression] = STATE(1315),
    [sym_if_statement] = STATE(1315),
    [sym_switch_statement] = STATE(1315),
    [sym_key_path_expression] = STATE(1315),
    [sym_key_path_string_expression] = STATE(1315),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1315),
    [sym__equality_operator] = STATE(1315),
    [sym__comparison_operator] = STATE(1315),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1315),
    [sym__multiplicative_operator] = STATE(1315),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1315),
    [sym_value_parameter_pack] = STATE(1315),
    [sym_value_pack_expansion] = STATE(1315),
    [sym__referenceable_operator] = STATE(1315),
    [sym__equal_sign] = STATE(1315),
    [sym__eq_eq] = STATE(1315),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym_attribute] = STATE(1036),
    [sym_type_modifiers] = STATE(319),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [aux_sym_value_argument_repeat1] = STATE(4258),
    [aux_sym__lambda_type_declaration_repeat1] = STATE(1036),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1399),
    [sym_real_literal] = ACTIONS(1401),
    [sym_integer_literal] = ACTIONS(1399),
    [sym_hex_literal] = ACTIONS(1401),
    [sym_oct_literal] = ACTIONS(1401),
    [sym_bin_literal] = ACTIONS(1401),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_RBRACK] = ACTIONS(1403),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_switch] = ACTIONS(1407),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1399),
    [anon_sym_POUNDfileID] = ACTIONS(1401),
    [anon_sym_POUNDfilePath] = ACTIONS(1401),
    [anon_sym_POUNDline] = ACTIONS(1401),
    [anon_sym_POUNDcolumn] = ACTIONS(1401),
    [anon_sym_POUNDfunction] = ACTIONS(1401),
    [anon_sym_POUNDdsohandle] = ACTIONS(1401),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1401),
    [anon_sym_DASH_EQ] = ACTIONS(1401),
    [anon_sym_STAR_EQ] = ACTIONS(1401),
    [anon_sym_SLASH_EQ] = ACTIONS(1401),
    [anon_sym_PERCENT_EQ] = ACTIONS(1401),
    [anon_sym_BANG_EQ] = ACTIONS(1399),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1401),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1401),
    [anon_sym_LT_EQ] = ACTIONS(1401),
    [anon_sym_GT_EQ] = ACTIONS(1401),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1399),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PERCENT] = ACTIONS(1399),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1401),
    [anon_sym_CARET] = ACTIONS(1399),
    [anon_sym_LT_LT] = ACTIONS(1401),
    [anon_sym_GT_GT] = ACTIONS(1401),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_AT] = ACTIONS(1409),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1401),
    [sym__eq_eq_custom] = ACTIONS(1401),
    [sym__plus_then_ws] = ACTIONS(1401),
    [sym__minus_then_ws] = ACTIONS(1401),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [218] = {
    [sym_simple_identifier] = STATE(2421),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1315),
    [sym_boolean_literal] = STATE(1315),
    [sym__string_literal] = STATE(1315),
    [sym_line_string_literal] = STATE(1315),
    [sym_multi_line_string_literal] = STATE(1315),
    [sym_raw_string_literal] = STATE(1315),
    [sym_regex_literal] = STATE(1315),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1315),
    [sym__unary_expression] = STATE(1315),
    [sym_postfix_expression] = STATE(1315),
    [sym_constructor_expression] = STATE(1315),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1315),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1315),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1315),
    [sym_prefix_expression] = STATE(1315),
    [sym_as_expression] = STATE(1315),
    [sym_selector_expression] = STATE(1315),
    [sym__binary_expression] = STATE(1315),
    [sym_multiplicative_expression] = STATE(1315),
    [sym_additive_expression] = STATE(1315),
    [sym_range_expression] = STATE(1315),
    [sym_infix_expression] = STATE(1315),
    [sym_nil_coalescing_expression] = STATE(1315),
    [sym_check_expression] = STATE(1315),
    [sym_comparison_expression] = STATE(1315),
    [sym_equality_expression] = STATE(1315),
    [sym_conjunction_expression] = STATE(1315),
    [sym_disjunction_expression] = STATE(1315),
    [sym_bitwise_operation] = STATE(1315),
    [sym_custom_operator] = STATE(864),
    [sym_value_argument_label] = STATE(7782),
    [sym_value_argument] = STATE(6509),
    [sym_try_expression] = STATE(1315),
    [sym_await_expression] = STATE(1315),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1315),
    [sym_call_expression] = STATE(1315),
    [sym__primary_expression] = STATE(1315),
    [sym_tuple_expression] = STATE(1315),
    [sym_array_literal] = STATE(1315),
    [sym_dictionary_literal] = STATE(1315),
    [sym__special_literal] = STATE(1315),
    [sym__playground_literal] = STATE(1315),
    [sym_lambda_literal] = STATE(1315),
    [sym_self_expression] = STATE(1315),
    [sym_super_expression] = STATE(1315),
    [sym_if_statement] = STATE(1315),
    [sym_switch_statement] = STATE(1315),
    [sym_key_path_expression] = STATE(1315),
    [sym_key_path_string_expression] = STATE(1315),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1315),
    [sym__equality_operator] = STATE(1315),
    [sym__comparison_operator] = STATE(1315),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1315),
    [sym__multiplicative_operator] = STATE(1315),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1315),
    [sym_value_parameter_pack] = STATE(1315),
    [sym_value_pack_expansion] = STATE(1315),
    [sym__referenceable_operator] = STATE(1315),
    [sym__equal_sign] = STATE(1315),
    [sym__eq_eq] = STATE(1315),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym_attribute] = STATE(1036),
    [sym_type_modifiers] = STATE(319),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [aux_sym_value_argument_repeat1] = STATE(4258),
    [aux_sym__lambda_type_declaration_repeat1] = STATE(1036),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1399),
    [sym_real_literal] = ACTIONS(1401),
    [sym_integer_literal] = ACTIONS(1399),
    [sym_hex_literal] = ACTIONS(1401),
    [sym_oct_literal] = ACTIONS(1401),
    [sym_bin_literal] = ACTIONS(1401),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_RBRACK] = ACTIONS(1411),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_switch] = ACTIONS(1407),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1399),
    [anon_sym_POUNDfileID] = ACTIONS(1401),
    [anon_sym_POUNDfilePath] = ACTIONS(1401),
    [anon_sym_POUNDline] = ACTIONS(1401),
    [anon_sym_POUNDcolumn] = ACTIONS(1401),
    [anon_sym_POUNDfunction] = ACTIONS(1401),
    [anon_sym_POUNDdsohandle] = ACTIONS(1401),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1401),
    [anon_sym_DASH_EQ] = ACTIONS(1401),
    [anon_sym_STAR_EQ] = ACTIONS(1401),
    [anon_sym_SLASH_EQ] = ACTIONS(1401),
    [anon_sym_PERCENT_EQ] = ACTIONS(1401),
    [anon_sym_BANG_EQ] = ACTIONS(1399),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1401),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1401),
    [anon_sym_LT_EQ] = ACTIONS(1401),
    [anon_sym_GT_EQ] = ACTIONS(1401),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1399),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PERCENT] = ACTIONS(1399),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1401),
    [anon_sym_CARET] = ACTIONS(1399),
    [anon_sym_LT_LT] = ACTIONS(1401),
    [anon_sym_GT_GT] = ACTIONS(1401),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_AT] = ACTIONS(1409),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1401),
    [sym__eq_eq_custom] = ACTIONS(1401),
    [sym__plus_then_ws] = ACTIONS(1401),
    [sym__minus_then_ws] = ACTIONS(1401),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [219] = {
    [sym_simple_identifier] = STATE(2421),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1315),
    [sym_boolean_literal] = STATE(1315),
    [sym__string_literal] = STATE(1315),
    [sym_line_string_literal] = STATE(1315),
    [sym_multi_line_string_literal] = STATE(1315),
    [sym_raw_string_literal] = STATE(1315),
    [sym_regex_literal] = STATE(1315),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1315),
    [sym__unary_expression] = STATE(1315),
    [sym_postfix_expression] = STATE(1315),
    [sym_constructor_expression] = STATE(1315),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1315),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1315),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1315),
    [sym_prefix_expression] = STATE(1315),
    [sym_as_expression] = STATE(1315),
    [sym_selector_expression] = STATE(1315),
    [sym__binary_expression] = STATE(1315),
    [sym_multiplicative_expression] = STATE(1315),
    [sym_additive_expression] = STATE(1315),
    [sym_range_expression] = STATE(1315),
    [sym_infix_expression] = STATE(1315),
    [sym_nil_coalescing_expression] = STATE(1315),
    [sym_check_expression] = STATE(1315),
    [sym_comparison_expression] = STATE(1315),
    [sym_equality_expression] = STATE(1315),
    [sym_conjunction_expression] = STATE(1315),
    [sym_disjunction_expression] = STATE(1315),
    [sym_bitwise_operation] = STATE(1315),
    [sym_custom_operator] = STATE(864),
    [sym_value_argument_label] = STATE(7782),
    [sym_value_argument] = STATE(6532),
    [sym_try_expression] = STATE(1315),
    [sym_await_expression] = STATE(1315),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1315),
    [sym_call_expression] = STATE(1315),
    [sym__primary_expression] = STATE(1315),
    [sym_tuple_expression] = STATE(1315),
    [sym_array_literal] = STATE(1315),
    [sym_dictionary_literal] = STATE(1315),
    [sym__special_literal] = STATE(1315),
    [sym__playground_literal] = STATE(1315),
    [sym_lambda_literal] = STATE(1315),
    [sym_self_expression] = STATE(1315),
    [sym_super_expression] = STATE(1315),
    [sym_if_statement] = STATE(1315),
    [sym_switch_statement] = STATE(1315),
    [sym_key_path_expression] = STATE(1315),
    [sym_key_path_string_expression] = STATE(1315),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1315),
    [sym__equality_operator] = STATE(1315),
    [sym__comparison_operator] = STATE(1315),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1315),
    [sym__multiplicative_operator] = STATE(1315),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1315),
    [sym_value_parameter_pack] = STATE(1315),
    [sym_value_pack_expansion] = STATE(1315),
    [sym__referenceable_operator] = STATE(1315),
    [sym__equal_sign] = STATE(1315),
    [sym__eq_eq] = STATE(1315),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym_attribute] = STATE(1036),
    [sym_type_modifiers] = STATE(319),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [aux_sym_value_argument_repeat1] = STATE(4258),
    [aux_sym__lambda_type_declaration_repeat1] = STATE(1036),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1399),
    [sym_real_literal] = ACTIONS(1401),
    [sym_integer_literal] = ACTIONS(1399),
    [sym_hex_literal] = ACTIONS(1401),
    [sym_oct_literal] = ACTIONS(1401),
    [sym_bin_literal] = ACTIONS(1401),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [anon_sym_RPAREN] = ACTIONS(1413),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_switch] = ACTIONS(1407),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1399),
    [anon_sym_POUNDfileID] = ACTIONS(1401),
    [anon_sym_POUNDfilePath] = ACTIONS(1401),
    [anon_sym_POUNDline] = ACTIONS(1401),
    [anon_sym_POUNDcolumn] = ACTIONS(1401),
    [anon_sym_POUNDfunction] = ACTIONS(1401),
    [anon_sym_POUNDdsohandle] = ACTIONS(1401),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1401),
    [anon_sym_DASH_EQ] = ACTIONS(1401),
    [anon_sym_STAR_EQ] = ACTIONS(1401),
    [anon_sym_SLASH_EQ] = ACTIONS(1401),
    [anon_sym_PERCENT_EQ] = ACTIONS(1401),
    [anon_sym_BANG_EQ] = ACTIONS(1399),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1401),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1401),
    [anon_sym_LT_EQ] = ACTIONS(1401),
    [anon_sym_GT_EQ] = ACTIONS(1401),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1399),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PERCENT] = ACTIONS(1399),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1401),
    [anon_sym_CARET] = ACTIONS(1399),
    [anon_sym_LT_LT] = ACTIONS(1401),
    [anon_sym_GT_GT] = ACTIONS(1401),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_AT] = ACTIONS(1409),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1401),
    [sym__eq_eq_custom] = ACTIONS(1401),
    [sym__plus_then_ws] = ACTIONS(1401),
    [sym__minus_then_ws] = ACTIONS(1401),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [220] = {
    [sym_simple_identifier] = STATE(2421),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1315),
    [sym_boolean_literal] = STATE(1315),
    [sym__string_literal] = STATE(1315),
    [sym_line_string_literal] = STATE(1315),
    [sym_multi_line_string_literal] = STATE(1315),
    [sym_raw_string_literal] = STATE(1315),
    [sym_regex_literal] = STATE(1315),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1315),
    [sym__unary_expression] = STATE(1315),
    [sym_postfix_expression] = STATE(1315),
    [sym_constructor_expression] = STATE(1315),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1315),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1315),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1315),
    [sym_prefix_expression] = STATE(1315),
    [sym_as_expression] = STATE(1315),
    [sym_selector_expression] = STATE(1315),
    [sym__binary_expression] = STATE(1315),
    [sym_multiplicative_expression] = STATE(1315),
    [sym_additive_expression] = STATE(1315),
    [sym_range_expression] = STATE(1315),
    [sym_infix_expression] = STATE(1315),
    [sym_nil_coalescing_expression] = STATE(1315),
    [sym_check_expression] = STATE(1315),
    [sym_comparison_expression] = STATE(1315),
    [sym_equality_expression] = STATE(1315),
    [sym_conjunction_expression] = STATE(1315),
    [sym_disjunction_expression] = STATE(1315),
    [sym_bitwise_operation] = STATE(1315),
    [sym_custom_operator] = STATE(864),
    [sym_value_argument_label] = STATE(7782),
    [sym_value_argument] = STATE(6491),
    [sym_try_expression] = STATE(1315),
    [sym_await_expression] = STATE(1315),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1315),
    [sym_call_expression] = STATE(1315),
    [sym__primary_expression] = STATE(1315),
    [sym_tuple_expression] = STATE(1315),
    [sym_array_literal] = STATE(1315),
    [sym_dictionary_literal] = STATE(1315),
    [sym__special_literal] = STATE(1315),
    [sym__playground_literal] = STATE(1315),
    [sym_lambda_literal] = STATE(1315),
    [sym_self_expression] = STATE(1315),
    [sym_super_expression] = STATE(1315),
    [sym_if_statement] = STATE(1315),
    [sym_switch_statement] = STATE(1315),
    [sym_key_path_expression] = STATE(1315),
    [sym_key_path_string_expression] = STATE(1315),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1315),
    [sym__equality_operator] = STATE(1315),
    [sym__comparison_operator] = STATE(1315),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1315),
    [sym__multiplicative_operator] = STATE(1315),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1315),
    [sym_value_parameter_pack] = STATE(1315),
    [sym_value_pack_expansion] = STATE(1315),
    [sym__referenceable_operator] = STATE(1315),
    [sym__equal_sign] = STATE(1315),
    [sym__eq_eq] = STATE(1315),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym_attribute] = STATE(1036),
    [sym_type_modifiers] = STATE(319),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [aux_sym_value_argument_repeat1] = STATE(4258),
    [aux_sym__lambda_type_declaration_repeat1] = STATE(1036),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1399),
    [sym_real_literal] = ACTIONS(1401),
    [sym_integer_literal] = ACTIONS(1399),
    [sym_hex_literal] = ACTIONS(1401),
    [sym_oct_literal] = ACTIONS(1401),
    [sym_bin_literal] = ACTIONS(1401),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_RBRACK] = ACTIONS(1415),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_switch] = ACTIONS(1407),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1399),
    [anon_sym_POUNDfileID] = ACTIONS(1401),
    [anon_sym_POUNDfilePath] = ACTIONS(1401),
    [anon_sym_POUNDline] = ACTIONS(1401),
    [anon_sym_POUNDcolumn] = ACTIONS(1401),
    [anon_sym_POUNDfunction] = ACTIONS(1401),
    [anon_sym_POUNDdsohandle] = ACTIONS(1401),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1401),
    [anon_sym_DASH_EQ] = ACTIONS(1401),
    [anon_sym_STAR_EQ] = ACTIONS(1401),
    [anon_sym_SLASH_EQ] = ACTIONS(1401),
    [anon_sym_PERCENT_EQ] = ACTIONS(1401),
    [anon_sym_BANG_EQ] = ACTIONS(1399),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1401),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1401),
    [anon_sym_LT_EQ] = ACTIONS(1401),
    [anon_sym_GT_EQ] = ACTIONS(1401),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1399),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PERCENT] = ACTIONS(1399),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1401),
    [anon_sym_CARET] = ACTIONS(1399),
    [anon_sym_LT_LT] = ACTIONS(1401),
    [anon_sym_GT_GT] = ACTIONS(1401),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_AT] = ACTIONS(1409),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1401),
    [sym__eq_eq_custom] = ACTIONS(1401),
    [sym__plus_then_ws] = ACTIONS(1401),
    [sym__minus_then_ws] = ACTIONS(1401),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [221] = {
    [sym_simple_identifier] = STATE(2421),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1315),
    [sym_boolean_literal] = STATE(1315),
    [sym__string_literal] = STATE(1315),
    [sym_line_string_literal] = STATE(1315),
    [sym_multi_line_string_literal] = STATE(1315),
    [sym_raw_string_literal] = STATE(1315),
    [sym_regex_literal] = STATE(1315),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1315),
    [sym__unary_expression] = STATE(1315),
    [sym_postfix_expression] = STATE(1315),
    [sym_constructor_expression] = STATE(1315),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1315),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1315),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1315),
    [sym_prefix_expression] = STATE(1315),
    [sym_as_expression] = STATE(1315),
    [sym_selector_expression] = STATE(1315),
    [sym__binary_expression] = STATE(1315),
    [sym_multiplicative_expression] = STATE(1315),
    [sym_additive_expression] = STATE(1315),
    [sym_range_expression] = STATE(1315),
    [sym_infix_expression] = STATE(1315),
    [sym_nil_coalescing_expression] = STATE(1315),
    [sym_check_expression] = STATE(1315),
    [sym_comparison_expression] = STATE(1315),
    [sym_equality_expression] = STATE(1315),
    [sym_conjunction_expression] = STATE(1315),
    [sym_disjunction_expression] = STATE(1315),
    [sym_bitwise_operation] = STATE(1315),
    [sym_custom_operator] = STATE(864),
    [sym_value_argument_label] = STATE(7782),
    [sym_value_argument] = STATE(6510),
    [sym_try_expression] = STATE(1315),
    [sym_await_expression] = STATE(1315),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1315),
    [sym_call_expression] = STATE(1315),
    [sym__primary_expression] = STATE(1315),
    [sym_tuple_expression] = STATE(1315),
    [sym_array_literal] = STATE(1315),
    [sym_dictionary_literal] = STATE(1315),
    [sym__special_literal] = STATE(1315),
    [sym__playground_literal] = STATE(1315),
    [sym_lambda_literal] = STATE(1315),
    [sym_self_expression] = STATE(1315),
    [sym_super_expression] = STATE(1315),
    [sym_if_statement] = STATE(1315),
    [sym_switch_statement] = STATE(1315),
    [sym_key_path_expression] = STATE(1315),
    [sym_key_path_string_expression] = STATE(1315),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1315),
    [sym__equality_operator] = STATE(1315),
    [sym__comparison_operator] = STATE(1315),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1315),
    [sym__multiplicative_operator] = STATE(1315),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1315),
    [sym_value_parameter_pack] = STATE(1315),
    [sym_value_pack_expansion] = STATE(1315),
    [sym__referenceable_operator] = STATE(1315),
    [sym__equal_sign] = STATE(1315),
    [sym__eq_eq] = STATE(1315),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym_attribute] = STATE(1036),
    [sym_type_modifiers] = STATE(319),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [aux_sym_value_argument_repeat1] = STATE(4258),
    [aux_sym__lambda_type_declaration_repeat1] = STATE(1036),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1399),
    [sym_real_literal] = ACTIONS(1401),
    [sym_integer_literal] = ACTIONS(1399),
    [sym_hex_literal] = ACTIONS(1401),
    [sym_oct_literal] = ACTIONS(1401),
    [sym_bin_literal] = ACTIONS(1401),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [anon_sym_RPAREN] = ACTIONS(1411),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_switch] = ACTIONS(1407),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1399),
    [anon_sym_POUNDfileID] = ACTIONS(1401),
    [anon_sym_POUNDfilePath] = ACTIONS(1401),
    [anon_sym_POUNDline] = ACTIONS(1401),
    [anon_sym_POUNDcolumn] = ACTIONS(1401),
    [anon_sym_POUNDfunction] = ACTIONS(1401),
    [anon_sym_POUNDdsohandle] = ACTIONS(1401),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1401),
    [anon_sym_DASH_EQ] = ACTIONS(1401),
    [anon_sym_STAR_EQ] = ACTIONS(1401),
    [anon_sym_SLASH_EQ] = ACTIONS(1401),
    [anon_sym_PERCENT_EQ] = ACTIONS(1401),
    [anon_sym_BANG_EQ] = ACTIONS(1399),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1401),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1401),
    [anon_sym_LT_EQ] = ACTIONS(1401),
    [anon_sym_GT_EQ] = ACTIONS(1401),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1399),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PERCENT] = ACTIONS(1399),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1401),
    [anon_sym_CARET] = ACTIONS(1399),
    [anon_sym_LT_LT] = ACTIONS(1401),
    [anon_sym_GT_GT] = ACTIONS(1401),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_AT] = ACTIONS(1409),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1401),
    [sym__eq_eq_custom] = ACTIONS(1401),
    [sym__plus_then_ws] = ACTIONS(1401),
    [sym__minus_then_ws] = ACTIONS(1401),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [222] = {
    [sym_simple_identifier] = STATE(2421),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1315),
    [sym_boolean_literal] = STATE(1315),
    [sym__string_literal] = STATE(1315),
    [sym_line_string_literal] = STATE(1315),
    [sym_multi_line_string_literal] = STATE(1315),
    [sym_raw_string_literal] = STATE(1315),
    [sym_regex_literal] = STATE(1315),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1315),
    [sym__unary_expression] = STATE(1315),
    [sym_postfix_expression] = STATE(1315),
    [sym_constructor_expression] = STATE(1315),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1315),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1315),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1315),
    [sym_prefix_expression] = STATE(1315),
    [sym_as_expression] = STATE(1315),
    [sym_selector_expression] = STATE(1315),
    [sym__binary_expression] = STATE(1315),
    [sym_multiplicative_expression] = STATE(1315),
    [sym_additive_expression] = STATE(1315),
    [sym_range_expression] = STATE(1315),
    [sym_infix_expression] = STATE(1315),
    [sym_nil_coalescing_expression] = STATE(1315),
    [sym_check_expression] = STATE(1315),
    [sym_comparison_expression] = STATE(1315),
    [sym_equality_expression] = STATE(1315),
    [sym_conjunction_expression] = STATE(1315),
    [sym_disjunction_expression] = STATE(1315),
    [sym_bitwise_operation] = STATE(1315),
    [sym_custom_operator] = STATE(864),
    [sym_value_argument_label] = STATE(7782),
    [sym_value_argument] = STATE(6653),
    [sym_try_expression] = STATE(1315),
    [sym_await_expression] = STATE(1315),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1315),
    [sym_call_expression] = STATE(1315),
    [sym__primary_expression] = STATE(1315),
    [sym_tuple_expression] = STATE(1315),
    [sym_array_literal] = STATE(1315),
    [sym_dictionary_literal] = STATE(1315),
    [sym__special_literal] = STATE(1315),
    [sym__playground_literal] = STATE(1315),
    [sym_lambda_literal] = STATE(1315),
    [sym_self_expression] = STATE(1315),
    [sym_super_expression] = STATE(1315),
    [sym_if_statement] = STATE(1315),
    [sym_switch_statement] = STATE(1315),
    [sym_key_path_expression] = STATE(1315),
    [sym_key_path_string_expression] = STATE(1315),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1315),
    [sym__equality_operator] = STATE(1315),
    [sym__comparison_operator] = STATE(1315),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1315),
    [sym__multiplicative_operator] = STATE(1315),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1315),
    [sym_value_parameter_pack] = STATE(1315),
    [sym_value_pack_expansion] = STATE(1315),
    [sym__referenceable_operator] = STATE(1315),
    [sym__equal_sign] = STATE(1315),
    [sym__eq_eq] = STATE(1315),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym_attribute] = STATE(1036),
    [sym_type_modifiers] = STATE(319),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [aux_sym_value_argument_repeat1] = STATE(4258),
    [aux_sym__lambda_type_declaration_repeat1] = STATE(1036),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1399),
    [sym_real_literal] = ACTIONS(1401),
    [sym_integer_literal] = ACTIONS(1399),
    [sym_hex_literal] = ACTIONS(1401),
    [sym_oct_literal] = ACTIONS(1401),
    [sym_bin_literal] = ACTIONS(1401),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [anon_sym_RPAREN] = ACTIONS(1417),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_switch] = ACTIONS(1407),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1399),
    [anon_sym_POUNDfileID] = ACTIONS(1401),
    [anon_sym_POUNDfilePath] = ACTIONS(1401),
    [anon_sym_POUNDline] = ACTIONS(1401),
    [anon_sym_POUNDcolumn] = ACTIONS(1401),
    [anon_sym_POUNDfunction] = ACTIONS(1401),
    [anon_sym_POUNDdsohandle] = ACTIONS(1401),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1401),
    [anon_sym_DASH_EQ] = ACTIONS(1401),
    [anon_sym_STAR_EQ] = ACTIONS(1401),
    [anon_sym_SLASH_EQ] = ACTIONS(1401),
    [anon_sym_PERCENT_EQ] = ACTIONS(1401),
    [anon_sym_BANG_EQ] = ACTIONS(1399),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1401),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1401),
    [anon_sym_LT_EQ] = ACTIONS(1401),
    [anon_sym_GT_EQ] = ACTIONS(1401),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1399),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PERCENT] = ACTIONS(1399),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1401),
    [anon_sym_CARET] = ACTIONS(1399),
    [anon_sym_LT_LT] = ACTIONS(1401),
    [anon_sym_GT_GT] = ACTIONS(1401),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_AT] = ACTIONS(1409),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1401),
    [sym__eq_eq_custom] = ACTIONS(1401),
    [sym__plus_then_ws] = ACTIONS(1401),
    [sym__minus_then_ws] = ACTIONS(1401),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [223] = {
    [sym_simple_identifier] = STATE(2421),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1315),
    [sym_boolean_literal] = STATE(1315),
    [sym__string_literal] = STATE(1315),
    [sym_line_string_literal] = STATE(1315),
    [sym_multi_line_string_literal] = STATE(1315),
    [sym_raw_string_literal] = STATE(1315),
    [sym_regex_literal] = STATE(1315),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1315),
    [sym__unary_expression] = STATE(1315),
    [sym_postfix_expression] = STATE(1315),
    [sym_constructor_expression] = STATE(1315),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1315),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1315),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1315),
    [sym_prefix_expression] = STATE(1315),
    [sym_as_expression] = STATE(1315),
    [sym_selector_expression] = STATE(1315),
    [sym__binary_expression] = STATE(1315),
    [sym_multiplicative_expression] = STATE(1315),
    [sym_additive_expression] = STATE(1315),
    [sym_range_expression] = STATE(1315),
    [sym_infix_expression] = STATE(1315),
    [sym_nil_coalescing_expression] = STATE(1315),
    [sym_check_expression] = STATE(1315),
    [sym_comparison_expression] = STATE(1315),
    [sym_equality_expression] = STATE(1315),
    [sym_conjunction_expression] = STATE(1315),
    [sym_disjunction_expression] = STATE(1315),
    [sym_bitwise_operation] = STATE(1315),
    [sym_custom_operator] = STATE(864),
    [sym_value_argument_label] = STATE(7782),
    [sym_value_argument] = STATE(6682),
    [sym_try_expression] = STATE(1315),
    [sym_await_expression] = STATE(1315),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1315),
    [sym_call_expression] = STATE(1315),
    [sym__primary_expression] = STATE(1315),
    [sym_tuple_expression] = STATE(1315),
    [sym_array_literal] = STATE(1315),
    [sym_dictionary_literal] = STATE(1315),
    [sym__special_literal] = STATE(1315),
    [sym__playground_literal] = STATE(1315),
    [sym_lambda_literal] = STATE(1315),
    [sym_self_expression] = STATE(1315),
    [sym_super_expression] = STATE(1315),
    [sym_if_statement] = STATE(1315),
    [sym_switch_statement] = STATE(1315),
    [sym_key_path_expression] = STATE(1315),
    [sym_key_path_string_expression] = STATE(1315),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1315),
    [sym__equality_operator] = STATE(1315),
    [sym__comparison_operator] = STATE(1315),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1315),
    [sym__multiplicative_operator] = STATE(1315),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1315),
    [sym_value_parameter_pack] = STATE(1315),
    [sym_value_pack_expansion] = STATE(1315),
    [sym__referenceable_operator] = STATE(1315),
    [sym__equal_sign] = STATE(1315),
    [sym__eq_eq] = STATE(1315),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym_attribute] = STATE(1036),
    [sym_type_modifiers] = STATE(319),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [aux_sym_value_argument_repeat1] = STATE(4258),
    [aux_sym__lambda_type_declaration_repeat1] = STATE(1036),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1399),
    [sym_real_literal] = ACTIONS(1401),
    [sym_integer_literal] = ACTIONS(1399),
    [sym_hex_literal] = ACTIONS(1401),
    [sym_oct_literal] = ACTIONS(1401),
    [sym_bin_literal] = ACTIONS(1401),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_RBRACK] = ACTIONS(1419),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_switch] = ACTIONS(1407),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1399),
    [anon_sym_POUNDfileID] = ACTIONS(1401),
    [anon_sym_POUNDfilePath] = ACTIONS(1401),
    [anon_sym_POUNDline] = ACTIONS(1401),
    [anon_sym_POUNDcolumn] = ACTIONS(1401),
    [anon_sym_POUNDfunction] = ACTIONS(1401),
    [anon_sym_POUNDdsohandle] = ACTIONS(1401),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1401),
    [anon_sym_DASH_EQ] = ACTIONS(1401),
    [anon_sym_STAR_EQ] = ACTIONS(1401),
    [anon_sym_SLASH_EQ] = ACTIONS(1401),
    [anon_sym_PERCENT_EQ] = ACTIONS(1401),
    [anon_sym_BANG_EQ] = ACTIONS(1399),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1401),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1401),
    [anon_sym_LT_EQ] = ACTIONS(1401),
    [anon_sym_GT_EQ] = ACTIONS(1401),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1399),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PERCENT] = ACTIONS(1399),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1401),
    [anon_sym_CARET] = ACTIONS(1399),
    [anon_sym_LT_LT] = ACTIONS(1401),
    [anon_sym_GT_GT] = ACTIONS(1401),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_AT] = ACTIONS(1409),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1401),
    [sym__eq_eq_custom] = ACTIONS(1401),
    [sym__plus_then_ws] = ACTIONS(1401),
    [sym__minus_then_ws] = ACTIONS(1401),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [224] = {
    [sym_simple_identifier] = STATE(2421),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1315),
    [sym_boolean_literal] = STATE(1315),
    [sym__string_literal] = STATE(1315),
    [sym_line_string_literal] = STATE(1315),
    [sym_multi_line_string_literal] = STATE(1315),
    [sym_raw_string_literal] = STATE(1315),
    [sym_regex_literal] = STATE(1315),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1315),
    [sym__unary_expression] = STATE(1315),
    [sym_postfix_expression] = STATE(1315),
    [sym_constructor_expression] = STATE(1315),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1315),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1315),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1315),
    [sym_prefix_expression] = STATE(1315),
    [sym_as_expression] = STATE(1315),
    [sym_selector_expression] = STATE(1315),
    [sym__binary_expression] = STATE(1315),
    [sym_multiplicative_expression] = STATE(1315),
    [sym_additive_expression] = STATE(1315),
    [sym_range_expression] = STATE(1315),
    [sym_infix_expression] = STATE(1315),
    [sym_nil_coalescing_expression] = STATE(1315),
    [sym_check_expression] = STATE(1315),
    [sym_comparison_expression] = STATE(1315),
    [sym_equality_expression] = STATE(1315),
    [sym_conjunction_expression] = STATE(1315),
    [sym_disjunction_expression] = STATE(1315),
    [sym_bitwise_operation] = STATE(1315),
    [sym_custom_operator] = STATE(864),
    [sym_value_argument_label] = STATE(7782),
    [sym_value_argument] = STATE(6681),
    [sym_try_expression] = STATE(1315),
    [sym_await_expression] = STATE(1315),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1315),
    [sym_call_expression] = STATE(1315),
    [sym__primary_expression] = STATE(1315),
    [sym_tuple_expression] = STATE(1315),
    [sym_array_literal] = STATE(1315),
    [sym_dictionary_literal] = STATE(1315),
    [sym__special_literal] = STATE(1315),
    [sym__playground_literal] = STATE(1315),
    [sym_lambda_literal] = STATE(1315),
    [sym_self_expression] = STATE(1315),
    [sym_super_expression] = STATE(1315),
    [sym_if_statement] = STATE(1315),
    [sym_switch_statement] = STATE(1315),
    [sym_key_path_expression] = STATE(1315),
    [sym_key_path_string_expression] = STATE(1315),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1315),
    [sym__equality_operator] = STATE(1315),
    [sym__comparison_operator] = STATE(1315),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1315),
    [sym__multiplicative_operator] = STATE(1315),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1315),
    [sym_value_parameter_pack] = STATE(1315),
    [sym_value_pack_expansion] = STATE(1315),
    [sym__referenceable_operator] = STATE(1315),
    [sym__equal_sign] = STATE(1315),
    [sym__eq_eq] = STATE(1315),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym_attribute] = STATE(1036),
    [sym_type_modifiers] = STATE(319),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [aux_sym_value_argument_repeat1] = STATE(4258),
    [aux_sym__lambda_type_declaration_repeat1] = STATE(1036),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1399),
    [sym_real_literal] = ACTIONS(1401),
    [sym_integer_literal] = ACTIONS(1399),
    [sym_hex_literal] = ACTIONS(1401),
    [sym_oct_literal] = ACTIONS(1401),
    [sym_bin_literal] = ACTIONS(1401),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [anon_sym_RPAREN] = ACTIONS(1419),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_switch] = ACTIONS(1407),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1399),
    [anon_sym_POUNDfileID] = ACTIONS(1401),
    [anon_sym_POUNDfilePath] = ACTIONS(1401),
    [anon_sym_POUNDline] = ACTIONS(1401),
    [anon_sym_POUNDcolumn] = ACTIONS(1401),
    [anon_sym_POUNDfunction] = ACTIONS(1401),
    [anon_sym_POUNDdsohandle] = ACTIONS(1401),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1401),
    [anon_sym_DASH_EQ] = ACTIONS(1401),
    [anon_sym_STAR_EQ] = ACTIONS(1401),
    [anon_sym_SLASH_EQ] = ACTIONS(1401),
    [anon_sym_PERCENT_EQ] = ACTIONS(1401),
    [anon_sym_BANG_EQ] = ACTIONS(1399),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1401),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1401),
    [anon_sym_LT_EQ] = ACTIONS(1401),
    [anon_sym_GT_EQ] = ACTIONS(1401),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1399),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PERCENT] = ACTIONS(1399),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1401),
    [anon_sym_CARET] = ACTIONS(1399),
    [anon_sym_LT_LT] = ACTIONS(1401),
    [anon_sym_GT_GT] = ACTIONS(1401),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_AT] = ACTIONS(1409),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1401),
    [sym__eq_eq_custom] = ACTIONS(1401),
    [sym__plus_then_ws] = ACTIONS(1401),
    [sym__minus_then_ws] = ACTIONS(1401),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [225] = {
    [sym_simple_identifier] = STATE(2421),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1315),
    [sym_boolean_literal] = STATE(1315),
    [sym__string_literal] = STATE(1315),
    [sym_line_string_literal] = STATE(1315),
    [sym_multi_line_string_literal] = STATE(1315),
    [sym_raw_string_literal] = STATE(1315),
    [sym_regex_literal] = STATE(1315),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1315),
    [sym__unary_expression] = STATE(1315),
    [sym_postfix_expression] = STATE(1315),
    [sym_constructor_expression] = STATE(1315),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1315),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1315),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1315),
    [sym_prefix_expression] = STATE(1315),
    [sym_as_expression] = STATE(1315),
    [sym_selector_expression] = STATE(1315),
    [sym__binary_expression] = STATE(1315),
    [sym_multiplicative_expression] = STATE(1315),
    [sym_additive_expression] = STATE(1315),
    [sym_range_expression] = STATE(1315),
    [sym_infix_expression] = STATE(1315),
    [sym_nil_coalescing_expression] = STATE(1315),
    [sym_check_expression] = STATE(1315),
    [sym_comparison_expression] = STATE(1315),
    [sym_equality_expression] = STATE(1315),
    [sym_conjunction_expression] = STATE(1315),
    [sym_disjunction_expression] = STATE(1315),
    [sym_bitwise_operation] = STATE(1315),
    [sym_custom_operator] = STATE(864),
    [sym_value_argument_label] = STATE(7782),
    [sym_value_argument] = STATE(6788),
    [sym_try_expression] = STATE(1315),
    [sym_await_expression] = STATE(1315),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1315),
    [sym_call_expression] = STATE(1315),
    [sym__primary_expression] = STATE(1315),
    [sym_tuple_expression] = STATE(1315),
    [sym_array_literal] = STATE(1315),
    [sym_dictionary_literal] = STATE(1315),
    [sym__special_literal] = STATE(1315),
    [sym__playground_literal] = STATE(1315),
    [sym_lambda_literal] = STATE(1315),
    [sym_self_expression] = STATE(1315),
    [sym_super_expression] = STATE(1315),
    [sym_if_statement] = STATE(1315),
    [sym_switch_statement] = STATE(1315),
    [sym_key_path_expression] = STATE(1315),
    [sym_key_path_string_expression] = STATE(1315),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1315),
    [sym__equality_operator] = STATE(1315),
    [sym__comparison_operator] = STATE(1315),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1315),
    [sym__multiplicative_operator] = STATE(1315),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1315),
    [sym_value_parameter_pack] = STATE(1315),
    [sym_value_pack_expansion] = STATE(1315),
    [sym__referenceable_operator] = STATE(1315),
    [sym__equal_sign] = STATE(1315),
    [sym__eq_eq] = STATE(1315),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym_attribute] = STATE(1036),
    [sym_type_modifiers] = STATE(319),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [aux_sym_value_argument_repeat1] = STATE(4258),
    [aux_sym__lambda_type_declaration_repeat1] = STATE(1036),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1399),
    [sym_real_literal] = ACTIONS(1401),
    [sym_integer_literal] = ACTIONS(1399),
    [sym_hex_literal] = ACTIONS(1401),
    [sym_oct_literal] = ACTIONS(1401),
    [sym_bin_literal] = ACTIONS(1401),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_RBRACK] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_switch] = ACTIONS(1407),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1399),
    [anon_sym_POUNDfileID] = ACTIONS(1401),
    [anon_sym_POUNDfilePath] = ACTIONS(1401),
    [anon_sym_POUNDline] = ACTIONS(1401),
    [anon_sym_POUNDcolumn] = ACTIONS(1401),
    [anon_sym_POUNDfunction] = ACTIONS(1401),
    [anon_sym_POUNDdsohandle] = ACTIONS(1401),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1401),
    [anon_sym_DASH_EQ] = ACTIONS(1401),
    [anon_sym_STAR_EQ] = ACTIONS(1401),
    [anon_sym_SLASH_EQ] = ACTIONS(1401),
    [anon_sym_PERCENT_EQ] = ACTIONS(1401),
    [anon_sym_BANG_EQ] = ACTIONS(1399),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1401),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1401),
    [anon_sym_LT_EQ] = ACTIONS(1401),
    [anon_sym_GT_EQ] = ACTIONS(1401),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1399),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PERCENT] = ACTIONS(1399),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1401),
    [anon_sym_CARET] = ACTIONS(1399),
    [anon_sym_LT_LT] = ACTIONS(1401),
    [anon_sym_GT_GT] = ACTIONS(1401),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_AT] = ACTIONS(1409),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1401),
    [sym__eq_eq_custom] = ACTIONS(1401),
    [sym__plus_then_ws] = ACTIONS(1401),
    [sym__minus_then_ws] = ACTIONS(1401),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [226] = {
    [sym_simple_identifier] = STATE(2421),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1315),
    [sym_boolean_literal] = STATE(1315),
    [sym__string_literal] = STATE(1315),
    [sym_line_string_literal] = STATE(1315),
    [sym_multi_line_string_literal] = STATE(1315),
    [sym_raw_string_literal] = STATE(1315),
    [sym_regex_literal] = STATE(1315),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1315),
    [sym__unary_expression] = STATE(1315),
    [sym_postfix_expression] = STATE(1315),
    [sym_constructor_expression] = STATE(1315),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1315),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1315),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1315),
    [sym_prefix_expression] = STATE(1315),
    [sym_as_expression] = STATE(1315),
    [sym_selector_expression] = STATE(1315),
    [sym__binary_expression] = STATE(1315),
    [sym_multiplicative_expression] = STATE(1315),
    [sym_additive_expression] = STATE(1315),
    [sym_range_expression] = STATE(1315),
    [sym_infix_expression] = STATE(1315),
    [sym_nil_coalescing_expression] = STATE(1315),
    [sym_check_expression] = STATE(1315),
    [sym_comparison_expression] = STATE(1315),
    [sym_equality_expression] = STATE(1315),
    [sym_conjunction_expression] = STATE(1315),
    [sym_disjunction_expression] = STATE(1315),
    [sym_bitwise_operation] = STATE(1315),
    [sym_custom_operator] = STATE(864),
    [sym_value_argument_label] = STATE(7782),
    [sym_value_argument] = STATE(6794),
    [sym_try_expression] = STATE(1315),
    [sym_await_expression] = STATE(1315),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1315),
    [sym_call_expression] = STATE(1315),
    [sym__primary_expression] = STATE(1315),
    [sym_tuple_expression] = STATE(1315),
    [sym_array_literal] = STATE(1315),
    [sym_dictionary_literal] = STATE(1315),
    [sym__special_literal] = STATE(1315),
    [sym__playground_literal] = STATE(1315),
    [sym_lambda_literal] = STATE(1315),
    [sym_self_expression] = STATE(1315),
    [sym_super_expression] = STATE(1315),
    [sym_if_statement] = STATE(1315),
    [sym_switch_statement] = STATE(1315),
    [sym_key_path_expression] = STATE(1315),
    [sym_key_path_string_expression] = STATE(1315),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1315),
    [sym__equality_operator] = STATE(1315),
    [sym__comparison_operator] = STATE(1315),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1315),
    [sym__multiplicative_operator] = STATE(1315),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1315),
    [sym_value_parameter_pack] = STATE(1315),
    [sym_value_pack_expansion] = STATE(1315),
    [sym__referenceable_operator] = STATE(1315),
    [sym__equal_sign] = STATE(1315),
    [sym__eq_eq] = STATE(1315),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym_attribute] = STATE(1036),
    [sym_type_modifiers] = STATE(319),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [aux_sym_value_argument_repeat1] = STATE(4258),
    [aux_sym__lambda_type_declaration_repeat1] = STATE(1036),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1399),
    [sym_real_literal] = ACTIONS(1401),
    [sym_integer_literal] = ACTIONS(1399),
    [sym_hex_literal] = ACTIONS(1401),
    [sym_oct_literal] = ACTIONS(1401),
    [sym_bin_literal] = ACTIONS(1401),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_RBRACK] = ACTIONS(1423),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_switch] = ACTIONS(1407),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1399),
    [anon_sym_POUNDfileID] = ACTIONS(1401),
    [anon_sym_POUNDfilePath] = ACTIONS(1401),
    [anon_sym_POUNDline] = ACTIONS(1401),
    [anon_sym_POUNDcolumn] = ACTIONS(1401),
    [anon_sym_POUNDfunction] = ACTIONS(1401),
    [anon_sym_POUNDdsohandle] = ACTIONS(1401),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1401),
    [anon_sym_DASH_EQ] = ACTIONS(1401),
    [anon_sym_STAR_EQ] = ACTIONS(1401),
    [anon_sym_SLASH_EQ] = ACTIONS(1401),
    [anon_sym_PERCENT_EQ] = ACTIONS(1401),
    [anon_sym_BANG_EQ] = ACTIONS(1399),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1401),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1401),
    [anon_sym_LT_EQ] = ACTIONS(1401),
    [anon_sym_GT_EQ] = ACTIONS(1401),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1399),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PERCENT] = ACTIONS(1399),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1401),
    [anon_sym_CARET] = ACTIONS(1399),
    [anon_sym_LT_LT] = ACTIONS(1401),
    [anon_sym_GT_GT] = ACTIONS(1401),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_AT] = ACTIONS(1409),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1401),
    [sym__eq_eq_custom] = ACTIONS(1401),
    [sym__plus_then_ws] = ACTIONS(1401),
    [sym__minus_then_ws] = ACTIONS(1401),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [227] = {
    [sym_simple_identifier] = STATE(2421),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1315),
    [sym_boolean_literal] = STATE(1315),
    [sym__string_literal] = STATE(1315),
    [sym_line_string_literal] = STATE(1315),
    [sym_multi_line_string_literal] = STATE(1315),
    [sym_raw_string_literal] = STATE(1315),
    [sym_regex_literal] = STATE(1315),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1315),
    [sym__unary_expression] = STATE(1315),
    [sym_postfix_expression] = STATE(1315),
    [sym_constructor_expression] = STATE(1315),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1315),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1315),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1315),
    [sym_prefix_expression] = STATE(1315),
    [sym_as_expression] = STATE(1315),
    [sym_selector_expression] = STATE(1315),
    [sym__binary_expression] = STATE(1315),
    [sym_multiplicative_expression] = STATE(1315),
    [sym_additive_expression] = STATE(1315),
    [sym_range_expression] = STATE(1315),
    [sym_infix_expression] = STATE(1315),
    [sym_nil_coalescing_expression] = STATE(1315),
    [sym_check_expression] = STATE(1315),
    [sym_comparison_expression] = STATE(1315),
    [sym_equality_expression] = STATE(1315),
    [sym_conjunction_expression] = STATE(1315),
    [sym_disjunction_expression] = STATE(1315),
    [sym_bitwise_operation] = STATE(1315),
    [sym_custom_operator] = STATE(864),
    [sym_value_argument_label] = STATE(7782),
    [sym_value_argument] = STATE(6798),
    [sym_try_expression] = STATE(1315),
    [sym_await_expression] = STATE(1315),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1315),
    [sym_call_expression] = STATE(1315),
    [sym__primary_expression] = STATE(1315),
    [sym_tuple_expression] = STATE(1315),
    [sym_array_literal] = STATE(1315),
    [sym_dictionary_literal] = STATE(1315),
    [sym__special_literal] = STATE(1315),
    [sym__playground_literal] = STATE(1315),
    [sym_lambda_literal] = STATE(1315),
    [sym_self_expression] = STATE(1315),
    [sym_super_expression] = STATE(1315),
    [sym_if_statement] = STATE(1315),
    [sym_switch_statement] = STATE(1315),
    [sym_key_path_expression] = STATE(1315),
    [sym_key_path_string_expression] = STATE(1315),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1315),
    [sym__equality_operator] = STATE(1315),
    [sym__comparison_operator] = STATE(1315),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1315),
    [sym__multiplicative_operator] = STATE(1315),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1315),
    [sym_value_parameter_pack] = STATE(1315),
    [sym_value_pack_expansion] = STATE(1315),
    [sym__referenceable_operator] = STATE(1315),
    [sym__equal_sign] = STATE(1315),
    [sym__eq_eq] = STATE(1315),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym_attribute] = STATE(1036),
    [sym_type_modifiers] = STATE(319),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [aux_sym_value_argument_repeat1] = STATE(4258),
    [aux_sym__lambda_type_declaration_repeat1] = STATE(1036),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1399),
    [sym_real_literal] = ACTIONS(1401),
    [sym_integer_literal] = ACTIONS(1399),
    [sym_hex_literal] = ACTIONS(1401),
    [sym_oct_literal] = ACTIONS(1401),
    [sym_bin_literal] = ACTIONS(1401),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [anon_sym_RPAREN] = ACTIONS(1423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_switch] = ACTIONS(1407),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1399),
    [anon_sym_POUNDfileID] = ACTIONS(1401),
    [anon_sym_POUNDfilePath] = ACTIONS(1401),
    [anon_sym_POUNDline] = ACTIONS(1401),
    [anon_sym_POUNDcolumn] = ACTIONS(1401),
    [anon_sym_POUNDfunction] = ACTIONS(1401),
    [anon_sym_POUNDdsohandle] = ACTIONS(1401),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1401),
    [anon_sym_DASH_EQ] = ACTIONS(1401),
    [anon_sym_STAR_EQ] = ACTIONS(1401),
    [anon_sym_SLASH_EQ] = ACTIONS(1401),
    [anon_sym_PERCENT_EQ] = ACTIONS(1401),
    [anon_sym_BANG_EQ] = ACTIONS(1399),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1401),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1401),
    [anon_sym_LT_EQ] = ACTIONS(1401),
    [anon_sym_GT_EQ] = ACTIONS(1401),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1399),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PERCENT] = ACTIONS(1399),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1401),
    [anon_sym_CARET] = ACTIONS(1399),
    [anon_sym_LT_LT] = ACTIONS(1401),
    [anon_sym_GT_GT] = ACTIONS(1401),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_AT] = ACTIONS(1409),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1401),
    [sym__eq_eq_custom] = ACTIONS(1401),
    [sym__plus_then_ws] = ACTIONS(1401),
    [sym__minus_then_ws] = ACTIONS(1401),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [228] = {
    [sym_simple_identifier] = STATE(2421),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1315),
    [sym_boolean_literal] = STATE(1315),
    [sym__string_literal] = STATE(1315),
    [sym_line_string_literal] = STATE(1315),
    [sym_multi_line_string_literal] = STATE(1315),
    [sym_raw_string_literal] = STATE(1315),
    [sym_regex_literal] = STATE(1315),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1315),
    [sym__unary_expression] = STATE(1315),
    [sym_postfix_expression] = STATE(1315),
    [sym_constructor_expression] = STATE(1315),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1315),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1315),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1315),
    [sym_prefix_expression] = STATE(1315),
    [sym_as_expression] = STATE(1315),
    [sym_selector_expression] = STATE(1315),
    [sym__binary_expression] = STATE(1315),
    [sym_multiplicative_expression] = STATE(1315),
    [sym_additive_expression] = STATE(1315),
    [sym_range_expression] = STATE(1315),
    [sym_infix_expression] = STATE(1315),
    [sym_nil_coalescing_expression] = STATE(1315),
    [sym_check_expression] = STATE(1315),
    [sym_comparison_expression] = STATE(1315),
    [sym_equality_expression] = STATE(1315),
    [sym_conjunction_expression] = STATE(1315),
    [sym_disjunction_expression] = STATE(1315),
    [sym_bitwise_operation] = STATE(1315),
    [sym_custom_operator] = STATE(864),
    [sym_value_argument_label] = STATE(7782),
    [sym_value_argument] = STATE(6800),
    [sym_try_expression] = STATE(1315),
    [sym_await_expression] = STATE(1315),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1315),
    [sym_call_expression] = STATE(1315),
    [sym__primary_expression] = STATE(1315),
    [sym_tuple_expression] = STATE(1315),
    [sym_array_literal] = STATE(1315),
    [sym_dictionary_literal] = STATE(1315),
    [sym__special_literal] = STATE(1315),
    [sym__playground_literal] = STATE(1315),
    [sym_lambda_literal] = STATE(1315),
    [sym_self_expression] = STATE(1315),
    [sym_super_expression] = STATE(1315),
    [sym_if_statement] = STATE(1315),
    [sym_switch_statement] = STATE(1315),
    [sym_key_path_expression] = STATE(1315),
    [sym_key_path_string_expression] = STATE(1315),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1315),
    [sym__equality_operator] = STATE(1315),
    [sym__comparison_operator] = STATE(1315),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1315),
    [sym__multiplicative_operator] = STATE(1315),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1315),
    [sym_value_parameter_pack] = STATE(1315),
    [sym_value_pack_expansion] = STATE(1315),
    [sym__referenceable_operator] = STATE(1315),
    [sym__equal_sign] = STATE(1315),
    [sym__eq_eq] = STATE(1315),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym_attribute] = STATE(1036),
    [sym_type_modifiers] = STATE(319),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [aux_sym_value_argument_repeat1] = STATE(4258),
    [aux_sym__lambda_type_declaration_repeat1] = STATE(1036),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1399),
    [sym_real_literal] = ACTIONS(1401),
    [sym_integer_literal] = ACTIONS(1399),
    [sym_hex_literal] = ACTIONS(1401),
    [sym_oct_literal] = ACTIONS(1401),
    [sym_bin_literal] = ACTIONS(1401),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [anon_sym_RPAREN] = ACTIONS(1425),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_switch] = ACTIONS(1407),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1399),
    [anon_sym_POUNDfileID] = ACTIONS(1401),
    [anon_sym_POUNDfilePath] = ACTIONS(1401),
    [anon_sym_POUNDline] = ACTIONS(1401),
    [anon_sym_POUNDcolumn] = ACTIONS(1401),
    [anon_sym_POUNDfunction] = ACTIONS(1401),
    [anon_sym_POUNDdsohandle] = ACTIONS(1401),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1401),
    [anon_sym_DASH_EQ] = ACTIONS(1401),
    [anon_sym_STAR_EQ] = ACTIONS(1401),
    [anon_sym_SLASH_EQ] = ACTIONS(1401),
    [anon_sym_PERCENT_EQ] = ACTIONS(1401),
    [anon_sym_BANG_EQ] = ACTIONS(1399),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1401),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1401),
    [anon_sym_LT_EQ] = ACTIONS(1401),
    [anon_sym_GT_EQ] = ACTIONS(1401),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1399),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PERCENT] = ACTIONS(1399),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1401),
    [anon_sym_CARET] = ACTIONS(1399),
    [anon_sym_LT_LT] = ACTIONS(1401),
    [anon_sym_GT_GT] = ACTIONS(1401),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_AT] = ACTIONS(1409),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1401),
    [sym__eq_eq_custom] = ACTIONS(1401),
    [sym__plus_then_ws] = ACTIONS(1401),
    [sym__minus_then_ws] = ACTIONS(1401),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [229] = {
    [sym_simple_identifier] = STATE(2421),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1315),
    [sym_boolean_literal] = STATE(1315),
    [sym__string_literal] = STATE(1315),
    [sym_line_string_literal] = STATE(1315),
    [sym_multi_line_string_literal] = STATE(1315),
    [sym_raw_string_literal] = STATE(1315),
    [sym_regex_literal] = STATE(1315),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1315),
    [sym__unary_expression] = STATE(1315),
    [sym_postfix_expression] = STATE(1315),
    [sym_constructor_expression] = STATE(1315),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1315),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1315),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1315),
    [sym_prefix_expression] = STATE(1315),
    [sym_as_expression] = STATE(1315),
    [sym_selector_expression] = STATE(1315),
    [sym__binary_expression] = STATE(1315),
    [sym_multiplicative_expression] = STATE(1315),
    [sym_additive_expression] = STATE(1315),
    [sym_range_expression] = STATE(1315),
    [sym_infix_expression] = STATE(1315),
    [sym_nil_coalescing_expression] = STATE(1315),
    [sym_check_expression] = STATE(1315),
    [sym_comparison_expression] = STATE(1315),
    [sym_equality_expression] = STATE(1315),
    [sym_conjunction_expression] = STATE(1315),
    [sym_disjunction_expression] = STATE(1315),
    [sym_bitwise_operation] = STATE(1315),
    [sym_custom_operator] = STATE(864),
    [sym_value_argument_label] = STATE(7782),
    [sym_value_argument] = STATE(6568),
    [sym_try_expression] = STATE(1315),
    [sym_await_expression] = STATE(1315),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1315),
    [sym_call_expression] = STATE(1315),
    [sym__primary_expression] = STATE(1315),
    [sym_tuple_expression] = STATE(1315),
    [sym_array_literal] = STATE(1315),
    [sym_dictionary_literal] = STATE(1315),
    [sym__special_literal] = STATE(1315),
    [sym__playground_literal] = STATE(1315),
    [sym_lambda_literal] = STATE(1315),
    [sym_self_expression] = STATE(1315),
    [sym_super_expression] = STATE(1315),
    [sym_if_statement] = STATE(1315),
    [sym_switch_statement] = STATE(1315),
    [sym_key_path_expression] = STATE(1315),
    [sym_key_path_string_expression] = STATE(1315),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1315),
    [sym__equality_operator] = STATE(1315),
    [sym__comparison_operator] = STATE(1315),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1315),
    [sym__multiplicative_operator] = STATE(1315),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1315),
    [sym_value_parameter_pack] = STATE(1315),
    [sym_value_pack_expansion] = STATE(1315),
    [sym__referenceable_operator] = STATE(1315),
    [sym__equal_sign] = STATE(1315),
    [sym__eq_eq] = STATE(1315),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym_attribute] = STATE(1036),
    [sym_type_modifiers] = STATE(319),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [aux_sym_value_argument_repeat1] = STATE(4258),
    [aux_sym__lambda_type_declaration_repeat1] = STATE(1036),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1399),
    [sym_real_literal] = ACTIONS(1401),
    [sym_integer_literal] = ACTIONS(1399),
    [sym_hex_literal] = ACTIONS(1401),
    [sym_oct_literal] = ACTIONS(1401),
    [sym_bin_literal] = ACTIONS(1401),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [anon_sym_RPAREN] = ACTIONS(1427),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_switch] = ACTIONS(1407),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1399),
    [anon_sym_POUNDfileID] = ACTIONS(1401),
    [anon_sym_POUNDfilePath] = ACTIONS(1401),
    [anon_sym_POUNDline] = ACTIONS(1401),
    [anon_sym_POUNDcolumn] = ACTIONS(1401),
    [anon_sym_POUNDfunction] = ACTIONS(1401),
    [anon_sym_POUNDdsohandle] = ACTIONS(1401),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1401),
    [anon_sym_DASH_EQ] = ACTIONS(1401),
    [anon_sym_STAR_EQ] = ACTIONS(1401),
    [anon_sym_SLASH_EQ] = ACTIONS(1401),
    [anon_sym_PERCENT_EQ] = ACTIONS(1401),
    [anon_sym_BANG_EQ] = ACTIONS(1399),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1401),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1401),
    [anon_sym_LT_EQ] = ACTIONS(1401),
    [anon_sym_GT_EQ] = ACTIONS(1401),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1399),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PERCENT] = ACTIONS(1399),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1401),
    [anon_sym_CARET] = ACTIONS(1399),
    [anon_sym_LT_LT] = ACTIONS(1401),
    [anon_sym_GT_GT] = ACTIONS(1401),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_AT] = ACTIONS(1409),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1401),
    [sym__eq_eq_custom] = ACTIONS(1401),
    [sym__plus_then_ws] = ACTIONS(1401),
    [sym__minus_then_ws] = ACTIONS(1401),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [230] = {
    [sym_simple_identifier] = STATE(2421),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1315),
    [sym_boolean_literal] = STATE(1315),
    [sym__string_literal] = STATE(1315),
    [sym_line_string_literal] = STATE(1315),
    [sym_multi_line_string_literal] = STATE(1315),
    [sym_raw_string_literal] = STATE(1315),
    [sym_regex_literal] = STATE(1315),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1315),
    [sym__unary_expression] = STATE(1315),
    [sym_postfix_expression] = STATE(1315),
    [sym_constructor_expression] = STATE(1315),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1315),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1315),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1315),
    [sym_prefix_expression] = STATE(1315),
    [sym_as_expression] = STATE(1315),
    [sym_selector_expression] = STATE(1315),
    [sym__binary_expression] = STATE(1315),
    [sym_multiplicative_expression] = STATE(1315),
    [sym_additive_expression] = STATE(1315),
    [sym_range_expression] = STATE(1315),
    [sym_infix_expression] = STATE(1315),
    [sym_nil_coalescing_expression] = STATE(1315),
    [sym_check_expression] = STATE(1315),
    [sym_comparison_expression] = STATE(1315),
    [sym_equality_expression] = STATE(1315),
    [sym_conjunction_expression] = STATE(1315),
    [sym_disjunction_expression] = STATE(1315),
    [sym_bitwise_operation] = STATE(1315),
    [sym_custom_operator] = STATE(864),
    [sym_value_argument_label] = STATE(7782),
    [sym_value_argument] = STATE(6651),
    [sym_try_expression] = STATE(1315),
    [sym_await_expression] = STATE(1315),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1315),
    [sym_call_expression] = STATE(1315),
    [sym__primary_expression] = STATE(1315),
    [sym_tuple_expression] = STATE(1315),
    [sym_array_literal] = STATE(1315),
    [sym_dictionary_literal] = STATE(1315),
    [sym__special_literal] = STATE(1315),
    [sym__playground_literal] = STATE(1315),
    [sym_lambda_literal] = STATE(1315),
    [sym_self_expression] = STATE(1315),
    [sym_super_expression] = STATE(1315),
    [sym_if_statement] = STATE(1315),
    [sym_switch_statement] = STATE(1315),
    [sym_key_path_expression] = STATE(1315),
    [sym_key_path_string_expression] = STATE(1315),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1315),
    [sym__equality_operator] = STATE(1315),
    [sym__comparison_operator] = STATE(1315),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1315),
    [sym__multiplicative_operator] = STATE(1315),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1315),
    [sym_value_parameter_pack] = STATE(1315),
    [sym_value_pack_expansion] = STATE(1315),
    [sym__referenceable_operator] = STATE(1315),
    [sym__equal_sign] = STATE(1315),
    [sym__eq_eq] = STATE(1315),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym_attribute] = STATE(1036),
    [sym_type_modifiers] = STATE(319),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [aux_sym_value_argument_repeat1] = STATE(4258),
    [aux_sym__lambda_type_declaration_repeat1] = STATE(1036),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1399),
    [sym_real_literal] = ACTIONS(1401),
    [sym_integer_literal] = ACTIONS(1399),
    [sym_hex_literal] = ACTIONS(1401),
    [sym_oct_literal] = ACTIONS(1401),
    [sym_bin_literal] = ACTIONS(1401),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [anon_sym_RPAREN] = ACTIONS(1429),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_switch] = ACTIONS(1407),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1399),
    [anon_sym_POUNDfileID] = ACTIONS(1401),
    [anon_sym_POUNDfilePath] = ACTIONS(1401),
    [anon_sym_POUNDline] = ACTIONS(1401),
    [anon_sym_POUNDcolumn] = ACTIONS(1401),
    [anon_sym_POUNDfunction] = ACTIONS(1401),
    [anon_sym_POUNDdsohandle] = ACTIONS(1401),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1401),
    [anon_sym_DASH_EQ] = ACTIONS(1401),
    [anon_sym_STAR_EQ] = ACTIONS(1401),
    [anon_sym_SLASH_EQ] = ACTIONS(1401),
    [anon_sym_PERCENT_EQ] = ACTIONS(1401),
    [anon_sym_BANG_EQ] = ACTIONS(1399),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1401),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1401),
    [anon_sym_LT_EQ] = ACTIONS(1401),
    [anon_sym_GT_EQ] = ACTIONS(1401),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1399),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PERCENT] = ACTIONS(1399),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1401),
    [anon_sym_CARET] = ACTIONS(1399),
    [anon_sym_LT_LT] = ACTIONS(1401),
    [anon_sym_GT_GT] = ACTIONS(1401),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_AT] = ACTIONS(1409),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1401),
    [sym__eq_eq_custom] = ACTIONS(1401),
    [sym__plus_then_ws] = ACTIONS(1401),
    [sym__minus_then_ws] = ACTIONS(1401),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [231] = {
    [sym_simple_identifier] = STATE(2421),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1315),
    [sym_boolean_literal] = STATE(1315),
    [sym__string_literal] = STATE(1315),
    [sym_line_string_literal] = STATE(1315),
    [sym_multi_line_string_literal] = STATE(1315),
    [sym_raw_string_literal] = STATE(1315),
    [sym__interpolation_contents] = STATE(7797),
    [sym_regex_literal] = STATE(1315),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1315),
    [sym__unary_expression] = STATE(1315),
    [sym_postfix_expression] = STATE(1315),
    [sym_constructor_expression] = STATE(1315),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1315),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1315),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1315),
    [sym_prefix_expression] = STATE(1315),
    [sym_as_expression] = STATE(1315),
    [sym_selector_expression] = STATE(1315),
    [sym__binary_expression] = STATE(1315),
    [sym_multiplicative_expression] = STATE(1315),
    [sym_additive_expression] = STATE(1315),
    [sym_range_expression] = STATE(1315),
    [sym_infix_expression] = STATE(1315),
    [sym_nil_coalescing_expression] = STATE(1315),
    [sym_check_expression] = STATE(1315),
    [sym_comparison_expression] = STATE(1315),
    [sym_equality_expression] = STATE(1315),
    [sym_conjunction_expression] = STATE(1315),
    [sym_disjunction_expression] = STATE(1315),
    [sym_bitwise_operation] = STATE(1315),
    [sym_custom_operator] = STATE(864),
    [sym_value_argument_label] = STATE(7782),
    [sym_value_argument] = STATE(6854),
    [sym_try_expression] = STATE(1315),
    [sym_await_expression] = STATE(1315),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1315),
    [sym_call_expression] = STATE(1315),
    [sym__primary_expression] = STATE(1315),
    [sym_tuple_expression] = STATE(1315),
    [sym_array_literal] = STATE(1315),
    [sym_dictionary_literal] = STATE(1315),
    [sym__special_literal] = STATE(1315),
    [sym__playground_literal] = STATE(1315),
    [sym_lambda_literal] = STATE(1315),
    [sym_self_expression] = STATE(1315),
    [sym_super_expression] = STATE(1315),
    [sym_if_statement] = STATE(1315),
    [sym_switch_statement] = STATE(1315),
    [sym_key_path_expression] = STATE(1315),
    [sym_key_path_string_expression] = STATE(1315),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1315),
    [sym__equality_operator] = STATE(1315),
    [sym__comparison_operator] = STATE(1315),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1315),
    [sym__multiplicative_operator] = STATE(1315),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1315),
    [sym_value_parameter_pack] = STATE(1315),
    [sym_value_pack_expansion] = STATE(1315),
    [sym__referenceable_operator] = STATE(1315),
    [sym__equal_sign] = STATE(1315),
    [sym__eq_eq] = STATE(1315),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym_attribute] = STATE(1036),
    [sym_type_modifiers] = STATE(319),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [aux_sym_value_argument_repeat1] = STATE(4258),
    [aux_sym__lambda_type_declaration_repeat1] = STATE(1036),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1399),
    [sym_real_literal] = ACTIONS(1401),
    [sym_integer_literal] = ACTIONS(1399),
    [sym_hex_literal] = ACTIONS(1401),
    [sym_oct_literal] = ACTIONS(1401),
    [sym_bin_literal] = ACTIONS(1401),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_switch] = ACTIONS(1407),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1399),
    [anon_sym_POUNDfileID] = ACTIONS(1401),
    [anon_sym_POUNDfilePath] = ACTIONS(1401),
    [anon_sym_POUNDline] = ACTIONS(1401),
    [anon_sym_POUNDcolumn] = ACTIONS(1401),
    [anon_sym_POUNDfunction] = ACTIONS(1401),
    [anon_sym_POUNDdsohandle] = ACTIONS(1401),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1401),
    [anon_sym_DASH_EQ] = ACTIONS(1401),
    [anon_sym_STAR_EQ] = ACTIONS(1401),
    [anon_sym_SLASH_EQ] = ACTIONS(1401),
    [anon_sym_PERCENT_EQ] = ACTIONS(1401),
    [anon_sym_BANG_EQ] = ACTIONS(1399),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1401),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1401),
    [anon_sym_LT_EQ] = ACTIONS(1401),
    [anon_sym_GT_EQ] = ACTIONS(1401),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1399),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PERCENT] = ACTIONS(1399),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1401),
    [anon_sym_CARET] = ACTIONS(1399),
    [anon_sym_LT_LT] = ACTIONS(1401),
    [anon_sym_GT_GT] = ACTIONS(1401),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_AT] = ACTIONS(1409),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1401),
    [sym__eq_eq_custom] = ACTIONS(1401),
    [sym__plus_then_ws] = ACTIONS(1401),
    [sym__minus_then_ws] = ACTIONS(1401),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [232] = {
    [sym_simple_identifier] = STATE(2421),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1315),
    [sym_boolean_literal] = STATE(1315),
    [sym__string_literal] = STATE(1315),
    [sym_line_string_literal] = STATE(1315),
    [sym_multi_line_string_literal] = STATE(1315),
    [sym_raw_string_literal] = STATE(1315),
    [sym_regex_literal] = STATE(1315),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1315),
    [sym__unary_expression] = STATE(1315),
    [sym_postfix_expression] = STATE(1315),
    [sym_constructor_expression] = STATE(1315),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1315),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1315),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1315),
    [sym_prefix_expression] = STATE(1315),
    [sym_as_expression] = STATE(1315),
    [sym_selector_expression] = STATE(1315),
    [sym__binary_expression] = STATE(1315),
    [sym_multiplicative_expression] = STATE(1315),
    [sym_additive_expression] = STATE(1315),
    [sym_range_expression] = STATE(1315),
    [sym_infix_expression] = STATE(1315),
    [sym_nil_coalescing_expression] = STATE(1315),
    [sym_check_expression] = STATE(1315),
    [sym_comparison_expression] = STATE(1315),
    [sym_equality_expression] = STATE(1315),
    [sym_conjunction_expression] = STATE(1315),
    [sym_disjunction_expression] = STATE(1315),
    [sym_bitwise_operation] = STATE(1315),
    [sym_custom_operator] = STATE(864),
    [sym_value_argument_label] = STATE(7782),
    [sym_value_argument] = STATE(6649),
    [sym_try_expression] = STATE(1315),
    [sym_await_expression] = STATE(1315),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1315),
    [sym_call_expression] = STATE(1315),
    [sym__primary_expression] = STATE(1315),
    [sym_tuple_expression] = STATE(1315),
    [sym_array_literal] = STATE(1315),
    [sym_dictionary_literal] = STATE(1315),
    [sym__special_literal] = STATE(1315),
    [sym__playground_literal] = STATE(1315),
    [sym_lambda_literal] = STATE(1315),
    [sym_self_expression] = STATE(1315),
    [sym_super_expression] = STATE(1315),
    [sym_if_statement] = STATE(1315),
    [sym_switch_statement] = STATE(1315),
    [sym_key_path_expression] = STATE(1315),
    [sym_key_path_string_expression] = STATE(1315),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1315),
    [sym__equality_operator] = STATE(1315),
    [sym__comparison_operator] = STATE(1315),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1315),
    [sym__multiplicative_operator] = STATE(1315),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1315),
    [sym_value_parameter_pack] = STATE(1315),
    [sym_value_pack_expansion] = STATE(1315),
    [sym__referenceable_operator] = STATE(1315),
    [sym__equal_sign] = STATE(1315),
    [sym__eq_eq] = STATE(1315),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym_attribute] = STATE(1036),
    [sym_type_modifiers] = STATE(319),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [aux_sym_value_argument_repeat1] = STATE(4258),
    [aux_sym__lambda_type_declaration_repeat1] = STATE(1036),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1399),
    [sym_real_literal] = ACTIONS(1401),
    [sym_integer_literal] = ACTIONS(1399),
    [sym_hex_literal] = ACTIONS(1401),
    [sym_oct_literal] = ACTIONS(1401),
    [sym_bin_literal] = ACTIONS(1401),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_RBRACK] = ACTIONS(1429),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_switch] = ACTIONS(1407),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1399),
    [anon_sym_POUNDfileID] = ACTIONS(1401),
    [anon_sym_POUNDfilePath] = ACTIONS(1401),
    [anon_sym_POUNDline] = ACTIONS(1401),
    [anon_sym_POUNDcolumn] = ACTIONS(1401),
    [anon_sym_POUNDfunction] = ACTIONS(1401),
    [anon_sym_POUNDdsohandle] = ACTIONS(1401),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1401),
    [anon_sym_DASH_EQ] = ACTIONS(1401),
    [anon_sym_STAR_EQ] = ACTIONS(1401),
    [anon_sym_SLASH_EQ] = ACTIONS(1401),
    [anon_sym_PERCENT_EQ] = ACTIONS(1401),
    [anon_sym_BANG_EQ] = ACTIONS(1399),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1401),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1401),
    [anon_sym_LT_EQ] = ACTIONS(1401),
    [anon_sym_GT_EQ] = ACTIONS(1401),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1399),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PERCENT] = ACTIONS(1399),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1401),
    [anon_sym_CARET] = ACTIONS(1399),
    [anon_sym_LT_LT] = ACTIONS(1401),
    [anon_sym_GT_GT] = ACTIONS(1401),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_AT] = ACTIONS(1409),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1401),
    [sym__eq_eq_custom] = ACTIONS(1401),
    [sym__plus_then_ws] = ACTIONS(1401),
    [sym__minus_then_ws] = ACTIONS(1401),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [233] = {
    [sym_simple_identifier] = STATE(2421),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1315),
    [sym_boolean_literal] = STATE(1315),
    [sym__string_literal] = STATE(1315),
    [sym_line_string_literal] = STATE(1315),
    [sym_multi_line_string_literal] = STATE(1315),
    [sym_raw_string_literal] = STATE(1315),
    [sym_regex_literal] = STATE(1315),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1315),
    [sym__unary_expression] = STATE(1315),
    [sym_postfix_expression] = STATE(1315),
    [sym_constructor_expression] = STATE(1315),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1315),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1315),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1315),
    [sym_prefix_expression] = STATE(1315),
    [sym_as_expression] = STATE(1315),
    [sym_selector_expression] = STATE(1315),
    [sym__binary_expression] = STATE(1315),
    [sym_multiplicative_expression] = STATE(1315),
    [sym_additive_expression] = STATE(1315),
    [sym_range_expression] = STATE(1315),
    [sym_infix_expression] = STATE(1315),
    [sym_nil_coalescing_expression] = STATE(1315),
    [sym_check_expression] = STATE(1315),
    [sym_comparison_expression] = STATE(1315),
    [sym_equality_expression] = STATE(1315),
    [sym_conjunction_expression] = STATE(1315),
    [sym_disjunction_expression] = STATE(1315),
    [sym_bitwise_operation] = STATE(1315),
    [sym_custom_operator] = STATE(864),
    [sym_value_argument_label] = STATE(7782),
    [sym_value_argument] = STATE(6647),
    [sym_try_expression] = STATE(1315),
    [sym_await_expression] = STATE(1315),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1315),
    [sym_call_expression] = STATE(1315),
    [sym__primary_expression] = STATE(1315),
    [sym_tuple_expression] = STATE(1315),
    [sym_array_literal] = STATE(1315),
    [sym_dictionary_literal] = STATE(1315),
    [sym__special_literal] = STATE(1315),
    [sym__playground_literal] = STATE(1315),
    [sym_lambda_literal] = STATE(1315),
    [sym_self_expression] = STATE(1315),
    [sym_super_expression] = STATE(1315),
    [sym_if_statement] = STATE(1315),
    [sym_switch_statement] = STATE(1315),
    [sym_key_path_expression] = STATE(1315),
    [sym_key_path_string_expression] = STATE(1315),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1315),
    [sym__equality_operator] = STATE(1315),
    [sym__comparison_operator] = STATE(1315),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1315),
    [sym__multiplicative_operator] = STATE(1315),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1315),
    [sym_value_parameter_pack] = STATE(1315),
    [sym_value_pack_expansion] = STATE(1315),
    [sym__referenceable_operator] = STATE(1315),
    [sym__equal_sign] = STATE(1315),
    [sym__eq_eq] = STATE(1315),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym_attribute] = STATE(1036),
    [sym_type_modifiers] = STATE(319),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [aux_sym_value_argument_repeat1] = STATE(4258),
    [aux_sym__lambda_type_declaration_repeat1] = STATE(1036),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1399),
    [sym_real_literal] = ACTIONS(1401),
    [sym_integer_literal] = ACTIONS(1399),
    [sym_hex_literal] = ACTIONS(1401),
    [sym_oct_literal] = ACTIONS(1401),
    [sym_bin_literal] = ACTIONS(1401),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_RBRACK] = ACTIONS(1431),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_switch] = ACTIONS(1407),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1399),
    [anon_sym_POUNDfileID] = ACTIONS(1401),
    [anon_sym_POUNDfilePath] = ACTIONS(1401),
    [anon_sym_POUNDline] = ACTIONS(1401),
    [anon_sym_POUNDcolumn] = ACTIONS(1401),
    [anon_sym_POUNDfunction] = ACTIONS(1401),
    [anon_sym_POUNDdsohandle] = ACTIONS(1401),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1401),
    [anon_sym_DASH_EQ] = ACTIONS(1401),
    [anon_sym_STAR_EQ] = ACTIONS(1401),
    [anon_sym_SLASH_EQ] = ACTIONS(1401),
    [anon_sym_PERCENT_EQ] = ACTIONS(1401),
    [anon_sym_BANG_EQ] = ACTIONS(1399),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1401),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1401),
    [anon_sym_LT_EQ] = ACTIONS(1401),
    [anon_sym_GT_EQ] = ACTIONS(1401),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1399),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PERCENT] = ACTIONS(1399),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1401),
    [anon_sym_CARET] = ACTIONS(1399),
    [anon_sym_LT_LT] = ACTIONS(1401),
    [anon_sym_GT_GT] = ACTIONS(1401),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_AT] = ACTIONS(1409),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1401),
    [sym__eq_eq_custom] = ACTIONS(1401),
    [sym__plus_then_ws] = ACTIONS(1401),
    [sym__minus_then_ws] = ACTIONS(1401),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [234] = {
    [sym_simple_identifier] = STATE(2421),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1315),
    [sym_boolean_literal] = STATE(1315),
    [sym__string_literal] = STATE(1315),
    [sym_line_string_literal] = STATE(1315),
    [sym_multi_line_string_literal] = STATE(1315),
    [sym_raw_string_literal] = STATE(1315),
    [sym_regex_literal] = STATE(1315),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1315),
    [sym__unary_expression] = STATE(1315),
    [sym_postfix_expression] = STATE(1315),
    [sym_constructor_expression] = STATE(1315),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1315),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1315),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1315),
    [sym_prefix_expression] = STATE(1315),
    [sym_as_expression] = STATE(1315),
    [sym_selector_expression] = STATE(1315),
    [sym__binary_expression] = STATE(1315),
    [sym_multiplicative_expression] = STATE(1315),
    [sym_additive_expression] = STATE(1315),
    [sym_range_expression] = STATE(1315),
    [sym_infix_expression] = STATE(1315),
    [sym_nil_coalescing_expression] = STATE(1315),
    [sym_check_expression] = STATE(1315),
    [sym_comparison_expression] = STATE(1315),
    [sym_equality_expression] = STATE(1315),
    [sym_conjunction_expression] = STATE(1315),
    [sym_disjunction_expression] = STATE(1315),
    [sym_bitwise_operation] = STATE(1315),
    [sym_custom_operator] = STATE(864),
    [sym_value_argument_label] = STATE(7782),
    [sym_value_argument] = STATE(6624),
    [sym_try_expression] = STATE(1315),
    [sym_await_expression] = STATE(1315),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1315),
    [sym_call_expression] = STATE(1315),
    [sym__primary_expression] = STATE(1315),
    [sym_tuple_expression] = STATE(1315),
    [sym_array_literal] = STATE(1315),
    [sym_dictionary_literal] = STATE(1315),
    [sym__special_literal] = STATE(1315),
    [sym__playground_literal] = STATE(1315),
    [sym_lambda_literal] = STATE(1315),
    [sym_self_expression] = STATE(1315),
    [sym_super_expression] = STATE(1315),
    [sym_if_statement] = STATE(1315),
    [sym_switch_statement] = STATE(1315),
    [sym_key_path_expression] = STATE(1315),
    [sym_key_path_string_expression] = STATE(1315),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1315),
    [sym__equality_operator] = STATE(1315),
    [sym__comparison_operator] = STATE(1315),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1315),
    [sym__multiplicative_operator] = STATE(1315),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1315),
    [sym_value_parameter_pack] = STATE(1315),
    [sym_value_pack_expansion] = STATE(1315),
    [sym__referenceable_operator] = STATE(1315),
    [sym__equal_sign] = STATE(1315),
    [sym__eq_eq] = STATE(1315),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym_attribute] = STATE(1036),
    [sym_type_modifiers] = STATE(319),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [aux_sym_value_argument_repeat1] = STATE(4258),
    [aux_sym__lambda_type_declaration_repeat1] = STATE(1036),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1399),
    [sym_real_literal] = ACTIONS(1401),
    [sym_integer_literal] = ACTIONS(1399),
    [sym_hex_literal] = ACTIONS(1401),
    [sym_oct_literal] = ACTIONS(1401),
    [sym_bin_literal] = ACTIONS(1401),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_RBRACK] = ACTIONS(1433),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_switch] = ACTIONS(1407),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1399),
    [anon_sym_POUNDfileID] = ACTIONS(1401),
    [anon_sym_POUNDfilePath] = ACTIONS(1401),
    [anon_sym_POUNDline] = ACTIONS(1401),
    [anon_sym_POUNDcolumn] = ACTIONS(1401),
    [anon_sym_POUNDfunction] = ACTIONS(1401),
    [anon_sym_POUNDdsohandle] = ACTIONS(1401),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1401),
    [anon_sym_DASH_EQ] = ACTIONS(1401),
    [anon_sym_STAR_EQ] = ACTIONS(1401),
    [anon_sym_SLASH_EQ] = ACTIONS(1401),
    [anon_sym_PERCENT_EQ] = ACTIONS(1401),
    [anon_sym_BANG_EQ] = ACTIONS(1399),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1401),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1401),
    [anon_sym_LT_EQ] = ACTIONS(1401),
    [anon_sym_GT_EQ] = ACTIONS(1401),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1399),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PERCENT] = ACTIONS(1399),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1401),
    [anon_sym_CARET] = ACTIONS(1399),
    [anon_sym_LT_LT] = ACTIONS(1401),
    [anon_sym_GT_GT] = ACTIONS(1401),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_AT] = ACTIONS(1409),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1401),
    [sym__eq_eq_custom] = ACTIONS(1401),
    [sym__plus_then_ws] = ACTIONS(1401),
    [sym__minus_then_ws] = ACTIONS(1401),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [235] = {
    [sym_simple_identifier] = STATE(2421),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1315),
    [sym_boolean_literal] = STATE(1315),
    [sym__string_literal] = STATE(1315),
    [sym_line_string_literal] = STATE(1315),
    [sym_multi_line_string_literal] = STATE(1315),
    [sym_raw_string_literal] = STATE(1315),
    [sym_regex_literal] = STATE(1315),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1315),
    [sym__unary_expression] = STATE(1315),
    [sym_postfix_expression] = STATE(1315),
    [sym_constructor_expression] = STATE(1315),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1315),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1315),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1315),
    [sym_prefix_expression] = STATE(1315),
    [sym_as_expression] = STATE(1315),
    [sym_selector_expression] = STATE(1315),
    [sym__binary_expression] = STATE(1315),
    [sym_multiplicative_expression] = STATE(1315),
    [sym_additive_expression] = STATE(1315),
    [sym_range_expression] = STATE(1315),
    [sym_infix_expression] = STATE(1315),
    [sym_nil_coalescing_expression] = STATE(1315),
    [sym_check_expression] = STATE(1315),
    [sym_comparison_expression] = STATE(1315),
    [sym_equality_expression] = STATE(1315),
    [sym_conjunction_expression] = STATE(1315),
    [sym_disjunction_expression] = STATE(1315),
    [sym_bitwise_operation] = STATE(1315),
    [sym_custom_operator] = STATE(864),
    [sym_value_argument_label] = STATE(7782),
    [sym_value_argument] = STATE(6519),
    [sym_try_expression] = STATE(1315),
    [sym_await_expression] = STATE(1315),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1315),
    [sym_call_expression] = STATE(1315),
    [sym__primary_expression] = STATE(1315),
    [sym_tuple_expression] = STATE(1315),
    [sym_array_literal] = STATE(1315),
    [sym_dictionary_literal] = STATE(1315),
    [sym__special_literal] = STATE(1315),
    [sym__playground_literal] = STATE(1315),
    [sym_lambda_literal] = STATE(1315),
    [sym_self_expression] = STATE(1315),
    [sym_super_expression] = STATE(1315),
    [sym_if_statement] = STATE(1315),
    [sym_switch_statement] = STATE(1315),
    [sym_key_path_expression] = STATE(1315),
    [sym_key_path_string_expression] = STATE(1315),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1315),
    [sym__equality_operator] = STATE(1315),
    [sym__comparison_operator] = STATE(1315),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1315),
    [sym__multiplicative_operator] = STATE(1315),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1315),
    [sym_value_parameter_pack] = STATE(1315),
    [sym_value_pack_expansion] = STATE(1315),
    [sym__referenceable_operator] = STATE(1315),
    [sym__equal_sign] = STATE(1315),
    [sym__eq_eq] = STATE(1315),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym_attribute] = STATE(1036),
    [sym_type_modifiers] = STATE(319),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [aux_sym_value_argument_repeat1] = STATE(4258),
    [aux_sym__lambda_type_declaration_repeat1] = STATE(1036),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1399),
    [sym_real_literal] = ACTIONS(1401),
    [sym_integer_literal] = ACTIONS(1399),
    [sym_hex_literal] = ACTIONS(1401),
    [sym_oct_literal] = ACTIONS(1401),
    [sym_bin_literal] = ACTIONS(1401),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [anon_sym_RPAREN] = ACTIONS(1435),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_switch] = ACTIONS(1407),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1399),
    [anon_sym_POUNDfileID] = ACTIONS(1401),
    [anon_sym_POUNDfilePath] = ACTIONS(1401),
    [anon_sym_POUNDline] = ACTIONS(1401),
    [anon_sym_POUNDcolumn] = ACTIONS(1401),
    [anon_sym_POUNDfunction] = ACTIONS(1401),
    [anon_sym_POUNDdsohandle] = ACTIONS(1401),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1401),
    [anon_sym_DASH_EQ] = ACTIONS(1401),
    [anon_sym_STAR_EQ] = ACTIONS(1401),
    [anon_sym_SLASH_EQ] = ACTIONS(1401),
    [anon_sym_PERCENT_EQ] = ACTIONS(1401),
    [anon_sym_BANG_EQ] = ACTIONS(1399),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1401),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1401),
    [anon_sym_LT_EQ] = ACTIONS(1401),
    [anon_sym_GT_EQ] = ACTIONS(1401),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1399),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PERCENT] = ACTIONS(1399),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1401),
    [anon_sym_CARET] = ACTIONS(1399),
    [anon_sym_LT_LT] = ACTIONS(1401),
    [anon_sym_GT_GT] = ACTIONS(1401),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_AT] = ACTIONS(1409),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1401),
    [sym__eq_eq_custom] = ACTIONS(1401),
    [sym__plus_then_ws] = ACTIONS(1401),
    [sym__minus_then_ws] = ACTIONS(1401),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [236] = {
    [sym_simple_identifier] = STATE(2421),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1315),
    [sym_boolean_literal] = STATE(1315),
    [sym__string_literal] = STATE(1315),
    [sym_line_string_literal] = STATE(1315),
    [sym_multi_line_string_literal] = STATE(1315),
    [sym_raw_string_literal] = STATE(1315),
    [sym_regex_literal] = STATE(1315),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1315),
    [sym__unary_expression] = STATE(1315),
    [sym_postfix_expression] = STATE(1315),
    [sym_constructor_expression] = STATE(1315),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1315),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1315),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1315),
    [sym_prefix_expression] = STATE(1315),
    [sym_as_expression] = STATE(1315),
    [sym_selector_expression] = STATE(1315),
    [sym__binary_expression] = STATE(1315),
    [sym_multiplicative_expression] = STATE(1315),
    [sym_additive_expression] = STATE(1315),
    [sym_range_expression] = STATE(1315),
    [sym_infix_expression] = STATE(1315),
    [sym_nil_coalescing_expression] = STATE(1315),
    [sym_check_expression] = STATE(1315),
    [sym_comparison_expression] = STATE(1315),
    [sym_equality_expression] = STATE(1315),
    [sym_conjunction_expression] = STATE(1315),
    [sym_disjunction_expression] = STATE(1315),
    [sym_bitwise_operation] = STATE(1315),
    [sym_custom_operator] = STATE(864),
    [sym_value_argument_label] = STATE(7782),
    [sym_value_argument] = STATE(6552),
    [sym_try_expression] = STATE(1315),
    [sym_await_expression] = STATE(1315),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1315),
    [sym_call_expression] = STATE(1315),
    [sym__primary_expression] = STATE(1315),
    [sym_tuple_expression] = STATE(1315),
    [sym_array_literal] = STATE(1315),
    [sym_dictionary_literal] = STATE(1315),
    [sym__special_literal] = STATE(1315),
    [sym__playground_literal] = STATE(1315),
    [sym_lambda_literal] = STATE(1315),
    [sym_self_expression] = STATE(1315),
    [sym_super_expression] = STATE(1315),
    [sym_if_statement] = STATE(1315),
    [sym_switch_statement] = STATE(1315),
    [sym_key_path_expression] = STATE(1315),
    [sym_key_path_string_expression] = STATE(1315),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1315),
    [sym__equality_operator] = STATE(1315),
    [sym__comparison_operator] = STATE(1315),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1315),
    [sym__multiplicative_operator] = STATE(1315),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1315),
    [sym_value_parameter_pack] = STATE(1315),
    [sym_value_pack_expansion] = STATE(1315),
    [sym__referenceable_operator] = STATE(1315),
    [sym__equal_sign] = STATE(1315),
    [sym__eq_eq] = STATE(1315),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym_attribute] = STATE(1036),
    [sym_type_modifiers] = STATE(319),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [aux_sym_value_argument_repeat1] = STATE(4258),
    [aux_sym__lambda_type_declaration_repeat1] = STATE(1036),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1399),
    [sym_real_literal] = ACTIONS(1401),
    [sym_integer_literal] = ACTIONS(1399),
    [sym_hex_literal] = ACTIONS(1401),
    [sym_oct_literal] = ACTIONS(1401),
    [sym_bin_literal] = ACTIONS(1401),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_RBRACK] = ACTIONS(1435),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_switch] = ACTIONS(1407),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1399),
    [anon_sym_POUNDfileID] = ACTIONS(1401),
    [anon_sym_POUNDfilePath] = ACTIONS(1401),
    [anon_sym_POUNDline] = ACTIONS(1401),
    [anon_sym_POUNDcolumn] = ACTIONS(1401),
    [anon_sym_POUNDfunction] = ACTIONS(1401),
    [anon_sym_POUNDdsohandle] = ACTIONS(1401),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1401),
    [anon_sym_DASH_EQ] = ACTIONS(1401),
    [anon_sym_STAR_EQ] = ACTIONS(1401),
    [anon_sym_SLASH_EQ] = ACTIONS(1401),
    [anon_sym_PERCENT_EQ] = ACTIONS(1401),
    [anon_sym_BANG_EQ] = ACTIONS(1399),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1401),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1401),
    [anon_sym_LT_EQ] = ACTIONS(1401),
    [anon_sym_GT_EQ] = ACTIONS(1401),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1399),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PERCENT] = ACTIONS(1399),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1401),
    [anon_sym_CARET] = ACTIONS(1399),
    [anon_sym_LT_LT] = ACTIONS(1401),
    [anon_sym_GT_GT] = ACTIONS(1401),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_AT] = ACTIONS(1409),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1401),
    [sym__eq_eq_custom] = ACTIONS(1401),
    [sym__plus_then_ws] = ACTIONS(1401),
    [sym__minus_then_ws] = ACTIONS(1401),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [237] = {
    [sym_simple_identifier] = STATE(2421),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1315),
    [sym_boolean_literal] = STATE(1315),
    [sym__string_literal] = STATE(1315),
    [sym_line_string_literal] = STATE(1315),
    [sym_multi_line_string_literal] = STATE(1315),
    [sym_raw_string_literal] = STATE(1315),
    [sym__interpolation_contents] = STATE(7779),
    [sym_regex_literal] = STATE(1315),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1315),
    [sym__unary_expression] = STATE(1315),
    [sym_postfix_expression] = STATE(1315),
    [sym_constructor_expression] = STATE(1315),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1315),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1315),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1315),
    [sym_prefix_expression] = STATE(1315),
    [sym_as_expression] = STATE(1315),
    [sym_selector_expression] = STATE(1315),
    [sym__binary_expression] = STATE(1315),
    [sym_multiplicative_expression] = STATE(1315),
    [sym_additive_expression] = STATE(1315),
    [sym_range_expression] = STATE(1315),
    [sym_infix_expression] = STATE(1315),
    [sym_nil_coalescing_expression] = STATE(1315),
    [sym_check_expression] = STATE(1315),
    [sym_comparison_expression] = STATE(1315),
    [sym_equality_expression] = STATE(1315),
    [sym_conjunction_expression] = STATE(1315),
    [sym_disjunction_expression] = STATE(1315),
    [sym_bitwise_operation] = STATE(1315),
    [sym_custom_operator] = STATE(864),
    [sym_value_argument_label] = STATE(7782),
    [sym_value_argument] = STATE(6854),
    [sym_try_expression] = STATE(1315),
    [sym_await_expression] = STATE(1315),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1315),
    [sym_call_expression] = STATE(1315),
    [sym__primary_expression] = STATE(1315),
    [sym_tuple_expression] = STATE(1315),
    [sym_array_literal] = STATE(1315),
    [sym_dictionary_literal] = STATE(1315),
    [sym__special_literal] = STATE(1315),
    [sym__playground_literal] = STATE(1315),
    [sym_lambda_literal] = STATE(1315),
    [sym_self_expression] = STATE(1315),
    [sym_super_expression] = STATE(1315),
    [sym_if_statement] = STATE(1315),
    [sym_switch_statement] = STATE(1315),
    [sym_key_path_expression] = STATE(1315),
    [sym_key_path_string_expression] = STATE(1315),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1315),
    [sym__equality_operator] = STATE(1315),
    [sym__comparison_operator] = STATE(1315),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1315),
    [sym__multiplicative_operator] = STATE(1315),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1315),
    [sym_value_parameter_pack] = STATE(1315),
    [sym_value_pack_expansion] = STATE(1315),
    [sym__referenceable_operator] = STATE(1315),
    [sym__equal_sign] = STATE(1315),
    [sym__eq_eq] = STATE(1315),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym_attribute] = STATE(1036),
    [sym_type_modifiers] = STATE(319),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [aux_sym_value_argument_repeat1] = STATE(4258),
    [aux_sym__lambda_type_declaration_repeat1] = STATE(1036),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1399),
    [sym_real_literal] = ACTIONS(1401),
    [sym_integer_literal] = ACTIONS(1399),
    [sym_hex_literal] = ACTIONS(1401),
    [sym_oct_literal] = ACTIONS(1401),
    [sym_bin_literal] = ACTIONS(1401),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_switch] = ACTIONS(1407),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1399),
    [anon_sym_POUNDfileID] = ACTIONS(1401),
    [anon_sym_POUNDfilePath] = ACTIONS(1401),
    [anon_sym_POUNDline] = ACTIONS(1401),
    [anon_sym_POUNDcolumn] = ACTIONS(1401),
    [anon_sym_POUNDfunction] = ACTIONS(1401),
    [anon_sym_POUNDdsohandle] = ACTIONS(1401),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1401),
    [anon_sym_DASH_EQ] = ACTIONS(1401),
    [anon_sym_STAR_EQ] = ACTIONS(1401),
    [anon_sym_SLASH_EQ] = ACTIONS(1401),
    [anon_sym_PERCENT_EQ] = ACTIONS(1401),
    [anon_sym_BANG_EQ] = ACTIONS(1399),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1401),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1401),
    [anon_sym_LT_EQ] = ACTIONS(1401),
    [anon_sym_GT_EQ] = ACTIONS(1401),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1399),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PERCENT] = ACTIONS(1399),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1401),
    [anon_sym_CARET] = ACTIONS(1399),
    [anon_sym_LT_LT] = ACTIONS(1401),
    [anon_sym_GT_GT] = ACTIONS(1401),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_AT] = ACTIONS(1409),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1401),
    [sym__eq_eq_custom] = ACTIONS(1401),
    [sym__plus_then_ws] = ACTIONS(1401),
    [sym__minus_then_ws] = ACTIONS(1401),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [238] = {
    [sym_simple_identifier] = STATE(2421),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1315),
    [sym_boolean_literal] = STATE(1315),
    [sym__string_literal] = STATE(1315),
    [sym_line_string_literal] = STATE(1315),
    [sym_multi_line_string_literal] = STATE(1315),
    [sym_raw_string_literal] = STATE(1315),
    [sym_regex_literal] = STATE(1315),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1315),
    [sym__unary_expression] = STATE(1315),
    [sym_postfix_expression] = STATE(1315),
    [sym_constructor_expression] = STATE(1315),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1315),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1315),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1315),
    [sym_prefix_expression] = STATE(1315),
    [sym_as_expression] = STATE(1315),
    [sym_selector_expression] = STATE(1315),
    [sym__binary_expression] = STATE(1315),
    [sym_multiplicative_expression] = STATE(1315),
    [sym_additive_expression] = STATE(1315),
    [sym_range_expression] = STATE(1315),
    [sym_infix_expression] = STATE(1315),
    [sym_nil_coalescing_expression] = STATE(1315),
    [sym_check_expression] = STATE(1315),
    [sym_comparison_expression] = STATE(1315),
    [sym_equality_expression] = STATE(1315),
    [sym_conjunction_expression] = STATE(1315),
    [sym_disjunction_expression] = STATE(1315),
    [sym_bitwise_operation] = STATE(1315),
    [sym_custom_operator] = STATE(864),
    [sym_value_argument_label] = STATE(7782),
    [sym_value_argument] = STATE(6926),
    [sym_try_expression] = STATE(1315),
    [sym_await_expression] = STATE(1315),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1315),
    [sym_call_expression] = STATE(1315),
    [sym__primary_expression] = STATE(1315),
    [sym_tuple_expression] = STATE(1315),
    [sym_array_literal] = STATE(1315),
    [sym_dictionary_literal] = STATE(1315),
    [sym__special_literal] = STATE(1315),
    [sym__playground_literal] = STATE(1315),
    [sym_lambda_literal] = STATE(1315),
    [sym_self_expression] = STATE(1315),
    [sym_super_expression] = STATE(1315),
    [sym_if_statement] = STATE(1315),
    [sym_switch_statement] = STATE(1315),
    [sym_key_path_expression] = STATE(1315),
    [sym_key_path_string_expression] = STATE(1315),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1315),
    [sym__equality_operator] = STATE(1315),
    [sym__comparison_operator] = STATE(1315),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1315),
    [sym__multiplicative_operator] = STATE(1315),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1315),
    [sym_value_parameter_pack] = STATE(1315),
    [sym_value_pack_expansion] = STATE(1315),
    [sym__referenceable_operator] = STATE(1315),
    [sym__equal_sign] = STATE(1315),
    [sym__eq_eq] = STATE(1315),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym_attribute] = STATE(1036),
    [sym_type_modifiers] = STATE(319),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [aux_sym_value_argument_repeat1] = STATE(4258),
    [aux_sym__lambda_type_declaration_repeat1] = STATE(1036),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1399),
    [sym_real_literal] = ACTIONS(1401),
    [sym_integer_literal] = ACTIONS(1399),
    [sym_hex_literal] = ACTIONS(1401),
    [sym_oct_literal] = ACTIONS(1401),
    [sym_bin_literal] = ACTIONS(1401),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_RBRACK] = ACTIONS(1437),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_switch] = ACTIONS(1407),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1399),
    [anon_sym_POUNDfileID] = ACTIONS(1401),
    [anon_sym_POUNDfilePath] = ACTIONS(1401),
    [anon_sym_POUNDline] = ACTIONS(1401),
    [anon_sym_POUNDcolumn] = ACTIONS(1401),
    [anon_sym_POUNDfunction] = ACTIONS(1401),
    [anon_sym_POUNDdsohandle] = ACTIONS(1401),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1401),
    [anon_sym_DASH_EQ] = ACTIONS(1401),
    [anon_sym_STAR_EQ] = ACTIONS(1401),
    [anon_sym_SLASH_EQ] = ACTIONS(1401),
    [anon_sym_PERCENT_EQ] = ACTIONS(1401),
    [anon_sym_BANG_EQ] = ACTIONS(1399),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1401),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1401),
    [anon_sym_LT_EQ] = ACTIONS(1401),
    [anon_sym_GT_EQ] = ACTIONS(1401),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1399),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PERCENT] = ACTIONS(1399),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1401),
    [anon_sym_CARET] = ACTIONS(1399),
    [anon_sym_LT_LT] = ACTIONS(1401),
    [anon_sym_GT_GT] = ACTIONS(1401),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_AT] = ACTIONS(1409),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1401),
    [sym__eq_eq_custom] = ACTIONS(1401),
    [sym__plus_then_ws] = ACTIONS(1401),
    [sym__minus_then_ws] = ACTIONS(1401),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [239] = {
    [sym_simple_identifier] = STATE(2421),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1315),
    [sym_boolean_literal] = STATE(1315),
    [sym__string_literal] = STATE(1315),
    [sym_line_string_literal] = STATE(1315),
    [sym_multi_line_string_literal] = STATE(1315),
    [sym_raw_string_literal] = STATE(1315),
    [sym_regex_literal] = STATE(1315),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1315),
    [sym__unary_expression] = STATE(1315),
    [sym_postfix_expression] = STATE(1315),
    [sym_constructor_expression] = STATE(1315),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1315),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1315),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1315),
    [sym_prefix_expression] = STATE(1315),
    [sym_as_expression] = STATE(1315),
    [sym_selector_expression] = STATE(1315),
    [sym__binary_expression] = STATE(1315),
    [sym_multiplicative_expression] = STATE(1315),
    [sym_additive_expression] = STATE(1315),
    [sym_range_expression] = STATE(1315),
    [sym_infix_expression] = STATE(1315),
    [sym_nil_coalescing_expression] = STATE(1315),
    [sym_check_expression] = STATE(1315),
    [sym_comparison_expression] = STATE(1315),
    [sym_equality_expression] = STATE(1315),
    [sym_conjunction_expression] = STATE(1315),
    [sym_disjunction_expression] = STATE(1315),
    [sym_bitwise_operation] = STATE(1315),
    [sym_custom_operator] = STATE(864),
    [sym_value_argument_label] = STATE(7782),
    [sym_value_argument] = STATE(6931),
    [sym_try_expression] = STATE(1315),
    [sym_await_expression] = STATE(1315),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1315),
    [sym_call_expression] = STATE(1315),
    [sym__primary_expression] = STATE(1315),
    [sym_tuple_expression] = STATE(1315),
    [sym_array_literal] = STATE(1315),
    [sym_dictionary_literal] = STATE(1315),
    [sym__special_literal] = STATE(1315),
    [sym__playground_literal] = STATE(1315),
    [sym_lambda_literal] = STATE(1315),
    [sym_self_expression] = STATE(1315),
    [sym_super_expression] = STATE(1315),
    [sym_if_statement] = STATE(1315),
    [sym_switch_statement] = STATE(1315),
    [sym_key_path_expression] = STATE(1315),
    [sym_key_path_string_expression] = STATE(1315),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1315),
    [sym__equality_operator] = STATE(1315),
    [sym__comparison_operator] = STATE(1315),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1315),
    [sym__multiplicative_operator] = STATE(1315),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1315),
    [sym_value_parameter_pack] = STATE(1315),
    [sym_value_pack_expansion] = STATE(1315),
    [sym__referenceable_operator] = STATE(1315),
    [sym__equal_sign] = STATE(1315),
    [sym__eq_eq] = STATE(1315),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym_attribute] = STATE(1036),
    [sym_type_modifiers] = STATE(319),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [aux_sym_value_argument_repeat1] = STATE(4258),
    [aux_sym__lambda_type_declaration_repeat1] = STATE(1036),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1399),
    [sym_real_literal] = ACTIONS(1401),
    [sym_integer_literal] = ACTIONS(1399),
    [sym_hex_literal] = ACTIONS(1401),
    [sym_oct_literal] = ACTIONS(1401),
    [sym_bin_literal] = ACTIONS(1401),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_RBRACK] = ACTIONS(1439),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_switch] = ACTIONS(1407),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1399),
    [anon_sym_POUNDfileID] = ACTIONS(1401),
    [anon_sym_POUNDfilePath] = ACTIONS(1401),
    [anon_sym_POUNDline] = ACTIONS(1401),
    [anon_sym_POUNDcolumn] = ACTIONS(1401),
    [anon_sym_POUNDfunction] = ACTIONS(1401),
    [anon_sym_POUNDdsohandle] = ACTIONS(1401),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1401),
    [anon_sym_DASH_EQ] = ACTIONS(1401),
    [anon_sym_STAR_EQ] = ACTIONS(1401),
    [anon_sym_SLASH_EQ] = ACTIONS(1401),
    [anon_sym_PERCENT_EQ] = ACTIONS(1401),
    [anon_sym_BANG_EQ] = ACTIONS(1399),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1401),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1401),
    [anon_sym_LT_EQ] = ACTIONS(1401),
    [anon_sym_GT_EQ] = ACTIONS(1401),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1399),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PERCENT] = ACTIONS(1399),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1401),
    [anon_sym_CARET] = ACTIONS(1399),
    [anon_sym_LT_LT] = ACTIONS(1401),
    [anon_sym_GT_GT] = ACTIONS(1401),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_AT] = ACTIONS(1409),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1401),
    [sym__eq_eq_custom] = ACTIONS(1401),
    [sym__plus_then_ws] = ACTIONS(1401),
    [sym__minus_then_ws] = ACTIONS(1401),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [240] = {
    [sym_simple_identifier] = STATE(2421),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1315),
    [sym_boolean_literal] = STATE(1315),
    [sym__string_literal] = STATE(1315),
    [sym_line_string_literal] = STATE(1315),
    [sym_multi_line_string_literal] = STATE(1315),
    [sym_raw_string_literal] = STATE(1315),
    [sym_regex_literal] = STATE(1315),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1315),
    [sym__unary_expression] = STATE(1315),
    [sym_postfix_expression] = STATE(1315),
    [sym_constructor_expression] = STATE(1315),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1315),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1315),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1315),
    [sym_prefix_expression] = STATE(1315),
    [sym_as_expression] = STATE(1315),
    [sym_selector_expression] = STATE(1315),
    [sym__binary_expression] = STATE(1315),
    [sym_multiplicative_expression] = STATE(1315),
    [sym_additive_expression] = STATE(1315),
    [sym_range_expression] = STATE(1315),
    [sym_infix_expression] = STATE(1315),
    [sym_nil_coalescing_expression] = STATE(1315),
    [sym_check_expression] = STATE(1315),
    [sym_comparison_expression] = STATE(1315),
    [sym_equality_expression] = STATE(1315),
    [sym_conjunction_expression] = STATE(1315),
    [sym_disjunction_expression] = STATE(1315),
    [sym_bitwise_operation] = STATE(1315),
    [sym_custom_operator] = STATE(864),
    [sym_value_argument_label] = STATE(7782),
    [sym_value_argument] = STATE(6941),
    [sym_try_expression] = STATE(1315),
    [sym_await_expression] = STATE(1315),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1315),
    [sym_call_expression] = STATE(1315),
    [sym__primary_expression] = STATE(1315),
    [sym_tuple_expression] = STATE(1315),
    [sym_array_literal] = STATE(1315),
    [sym_dictionary_literal] = STATE(1315),
    [sym__special_literal] = STATE(1315),
    [sym__playground_literal] = STATE(1315),
    [sym_lambda_literal] = STATE(1315),
    [sym_self_expression] = STATE(1315),
    [sym_super_expression] = STATE(1315),
    [sym_if_statement] = STATE(1315),
    [sym_switch_statement] = STATE(1315),
    [sym_key_path_expression] = STATE(1315),
    [sym_key_path_string_expression] = STATE(1315),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1315),
    [sym__equality_operator] = STATE(1315),
    [sym__comparison_operator] = STATE(1315),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1315),
    [sym__multiplicative_operator] = STATE(1315),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1315),
    [sym_value_parameter_pack] = STATE(1315),
    [sym_value_pack_expansion] = STATE(1315),
    [sym__referenceable_operator] = STATE(1315),
    [sym__equal_sign] = STATE(1315),
    [sym__eq_eq] = STATE(1315),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym_attribute] = STATE(1036),
    [sym_type_modifiers] = STATE(319),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [aux_sym_value_argument_repeat1] = STATE(4258),
    [aux_sym__lambda_type_declaration_repeat1] = STATE(1036),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1399),
    [sym_real_literal] = ACTIONS(1401),
    [sym_integer_literal] = ACTIONS(1399),
    [sym_hex_literal] = ACTIONS(1401),
    [sym_oct_literal] = ACTIONS(1401),
    [sym_bin_literal] = ACTIONS(1401),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [anon_sym_RPAREN] = ACTIONS(1439),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_switch] = ACTIONS(1407),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1399),
    [anon_sym_POUNDfileID] = ACTIONS(1401),
    [anon_sym_POUNDfilePath] = ACTIONS(1401),
    [anon_sym_POUNDline] = ACTIONS(1401),
    [anon_sym_POUNDcolumn] = ACTIONS(1401),
    [anon_sym_POUNDfunction] = ACTIONS(1401),
    [anon_sym_POUNDdsohandle] = ACTIONS(1401),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1401),
    [anon_sym_DASH_EQ] = ACTIONS(1401),
    [anon_sym_STAR_EQ] = ACTIONS(1401),
    [anon_sym_SLASH_EQ] = ACTIONS(1401),
    [anon_sym_PERCENT_EQ] = ACTIONS(1401),
    [anon_sym_BANG_EQ] = ACTIONS(1399),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1401),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1401),
    [anon_sym_LT_EQ] = ACTIONS(1401),
    [anon_sym_GT_EQ] = ACTIONS(1401),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1399),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PERCENT] = ACTIONS(1399),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1401),
    [anon_sym_CARET] = ACTIONS(1399),
    [anon_sym_LT_LT] = ACTIONS(1401),
    [anon_sym_GT_GT] = ACTIONS(1401),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_AT] = ACTIONS(1409),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1401),
    [sym__eq_eq_custom] = ACTIONS(1401),
    [sym__plus_then_ws] = ACTIONS(1401),
    [sym__minus_then_ws] = ACTIONS(1401),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [241] = {
    [sym_simple_identifier] = STATE(2421),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1315),
    [sym_boolean_literal] = STATE(1315),
    [sym__string_literal] = STATE(1315),
    [sym_line_string_literal] = STATE(1315),
    [sym_multi_line_string_literal] = STATE(1315),
    [sym_raw_string_literal] = STATE(1315),
    [sym_regex_literal] = STATE(1315),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1315),
    [sym__unary_expression] = STATE(1315),
    [sym_postfix_expression] = STATE(1315),
    [sym_constructor_expression] = STATE(1315),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1315),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1315),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1315),
    [sym_prefix_expression] = STATE(1315),
    [sym_as_expression] = STATE(1315),
    [sym_selector_expression] = STATE(1315),
    [sym__binary_expression] = STATE(1315),
    [sym_multiplicative_expression] = STATE(1315),
    [sym_additive_expression] = STATE(1315),
    [sym_range_expression] = STATE(1315),
    [sym_infix_expression] = STATE(1315),
    [sym_nil_coalescing_expression] = STATE(1315),
    [sym_check_expression] = STATE(1315),
    [sym_comparison_expression] = STATE(1315),
    [sym_equality_expression] = STATE(1315),
    [sym_conjunction_expression] = STATE(1315),
    [sym_disjunction_expression] = STATE(1315),
    [sym_bitwise_operation] = STATE(1315),
    [sym_custom_operator] = STATE(864),
    [sym_value_argument_label] = STATE(7782),
    [sym_value_argument] = STATE(6944),
    [sym_try_expression] = STATE(1315),
    [sym_await_expression] = STATE(1315),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1315),
    [sym_call_expression] = STATE(1315),
    [sym__primary_expression] = STATE(1315),
    [sym_tuple_expression] = STATE(1315),
    [sym_array_literal] = STATE(1315),
    [sym_dictionary_literal] = STATE(1315),
    [sym__special_literal] = STATE(1315),
    [sym__playground_literal] = STATE(1315),
    [sym_lambda_literal] = STATE(1315),
    [sym_self_expression] = STATE(1315),
    [sym_super_expression] = STATE(1315),
    [sym_if_statement] = STATE(1315),
    [sym_switch_statement] = STATE(1315),
    [sym_key_path_expression] = STATE(1315),
    [sym_key_path_string_expression] = STATE(1315),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1315),
    [sym__equality_operator] = STATE(1315),
    [sym__comparison_operator] = STATE(1315),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1315),
    [sym__multiplicative_operator] = STATE(1315),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1315),
    [sym_value_parameter_pack] = STATE(1315),
    [sym_value_pack_expansion] = STATE(1315),
    [sym__referenceable_operator] = STATE(1315),
    [sym__equal_sign] = STATE(1315),
    [sym__eq_eq] = STATE(1315),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym_attribute] = STATE(1036),
    [sym_type_modifiers] = STATE(319),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [aux_sym_value_argument_repeat1] = STATE(4258),
    [aux_sym__lambda_type_declaration_repeat1] = STATE(1036),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1399),
    [sym_real_literal] = ACTIONS(1401),
    [sym_integer_literal] = ACTIONS(1399),
    [sym_hex_literal] = ACTIONS(1401),
    [sym_oct_literal] = ACTIONS(1401),
    [sym_bin_literal] = ACTIONS(1401),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [anon_sym_RPAREN] = ACTIONS(1441),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_switch] = ACTIONS(1407),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1399),
    [anon_sym_POUNDfileID] = ACTIONS(1401),
    [anon_sym_POUNDfilePath] = ACTIONS(1401),
    [anon_sym_POUNDline] = ACTIONS(1401),
    [anon_sym_POUNDcolumn] = ACTIONS(1401),
    [anon_sym_POUNDfunction] = ACTIONS(1401),
    [anon_sym_POUNDdsohandle] = ACTIONS(1401),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1401),
    [anon_sym_DASH_EQ] = ACTIONS(1401),
    [anon_sym_STAR_EQ] = ACTIONS(1401),
    [anon_sym_SLASH_EQ] = ACTIONS(1401),
    [anon_sym_PERCENT_EQ] = ACTIONS(1401),
    [anon_sym_BANG_EQ] = ACTIONS(1399),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1401),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1401),
    [anon_sym_LT_EQ] = ACTIONS(1401),
    [anon_sym_GT_EQ] = ACTIONS(1401),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1399),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PERCENT] = ACTIONS(1399),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1401),
    [anon_sym_CARET] = ACTIONS(1399),
    [anon_sym_LT_LT] = ACTIONS(1401),
    [anon_sym_GT_GT] = ACTIONS(1401),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_AT] = ACTIONS(1409),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1401),
    [sym__eq_eq_custom] = ACTIONS(1401),
    [sym__plus_then_ws] = ACTIONS(1401),
    [sym__minus_then_ws] = ACTIONS(1401),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [242] = {
    [sym_simple_identifier] = STATE(2421),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1315),
    [sym_boolean_literal] = STATE(1315),
    [sym__string_literal] = STATE(1315),
    [sym_line_string_literal] = STATE(1315),
    [sym_multi_line_string_literal] = STATE(1315),
    [sym_raw_string_literal] = STATE(1315),
    [sym_regex_literal] = STATE(1315),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1315),
    [sym__unary_expression] = STATE(1315),
    [sym_postfix_expression] = STATE(1315),
    [sym_constructor_expression] = STATE(1315),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1315),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1315),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1315),
    [sym_prefix_expression] = STATE(1315),
    [sym_as_expression] = STATE(1315),
    [sym_selector_expression] = STATE(1315),
    [sym__binary_expression] = STATE(1315),
    [sym_multiplicative_expression] = STATE(1315),
    [sym_additive_expression] = STATE(1315),
    [sym_range_expression] = STATE(1315),
    [sym_infix_expression] = STATE(1315),
    [sym_nil_coalescing_expression] = STATE(1315),
    [sym_check_expression] = STATE(1315),
    [sym_comparison_expression] = STATE(1315),
    [sym_equality_expression] = STATE(1315),
    [sym_conjunction_expression] = STATE(1315),
    [sym_disjunction_expression] = STATE(1315),
    [sym_bitwise_operation] = STATE(1315),
    [sym_custom_operator] = STATE(864),
    [sym_value_argument_label] = STATE(7782),
    [sym_value_argument] = STATE(6622),
    [sym_try_expression] = STATE(1315),
    [sym_await_expression] = STATE(1315),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1315),
    [sym_call_expression] = STATE(1315),
    [sym__primary_expression] = STATE(1315),
    [sym_tuple_expression] = STATE(1315),
    [sym_array_literal] = STATE(1315),
    [sym_dictionary_literal] = STATE(1315),
    [sym__special_literal] = STATE(1315),
    [sym__playground_literal] = STATE(1315),
    [sym_lambda_literal] = STATE(1315),
    [sym_self_expression] = STATE(1315),
    [sym_super_expression] = STATE(1315),
    [sym_if_statement] = STATE(1315),
    [sym_switch_statement] = STATE(1315),
    [sym_key_path_expression] = STATE(1315),
    [sym_key_path_string_expression] = STATE(1315),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1315),
    [sym__equality_operator] = STATE(1315),
    [sym__comparison_operator] = STATE(1315),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1315),
    [sym__multiplicative_operator] = STATE(1315),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1315),
    [sym_value_parameter_pack] = STATE(1315),
    [sym_value_pack_expansion] = STATE(1315),
    [sym__referenceable_operator] = STATE(1315),
    [sym__equal_sign] = STATE(1315),
    [sym__eq_eq] = STATE(1315),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym_attribute] = STATE(1036),
    [sym_type_modifiers] = STATE(319),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [aux_sym_value_argument_repeat1] = STATE(4258),
    [aux_sym__lambda_type_declaration_repeat1] = STATE(1036),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1399),
    [sym_real_literal] = ACTIONS(1401),
    [sym_integer_literal] = ACTIONS(1399),
    [sym_hex_literal] = ACTIONS(1401),
    [sym_oct_literal] = ACTIONS(1401),
    [sym_bin_literal] = ACTIONS(1401),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_RBRACK] = ACTIONS(1443),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_switch] = ACTIONS(1407),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1399),
    [anon_sym_POUNDfileID] = ACTIONS(1401),
    [anon_sym_POUNDfilePath] = ACTIONS(1401),
    [anon_sym_POUNDline] = ACTIONS(1401),
    [anon_sym_POUNDcolumn] = ACTIONS(1401),
    [anon_sym_POUNDfunction] = ACTIONS(1401),
    [anon_sym_POUNDdsohandle] = ACTIONS(1401),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1401),
    [anon_sym_DASH_EQ] = ACTIONS(1401),
    [anon_sym_STAR_EQ] = ACTIONS(1401),
    [anon_sym_SLASH_EQ] = ACTIONS(1401),
    [anon_sym_PERCENT_EQ] = ACTIONS(1401),
    [anon_sym_BANG_EQ] = ACTIONS(1399),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1401),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1401),
    [anon_sym_LT_EQ] = ACTIONS(1401),
    [anon_sym_GT_EQ] = ACTIONS(1401),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1399),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PERCENT] = ACTIONS(1399),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1401),
    [anon_sym_CARET] = ACTIONS(1399),
    [anon_sym_LT_LT] = ACTIONS(1401),
    [anon_sym_GT_GT] = ACTIONS(1401),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_AT] = ACTIONS(1409),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1401),
    [sym__eq_eq_custom] = ACTIONS(1401),
    [sym__plus_then_ws] = ACTIONS(1401),
    [sym__minus_then_ws] = ACTIONS(1401),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [243] = {
    [sym_simple_identifier] = STATE(2421),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1315),
    [sym_boolean_literal] = STATE(1315),
    [sym__string_literal] = STATE(1315),
    [sym_line_string_literal] = STATE(1315),
    [sym_multi_line_string_literal] = STATE(1315),
    [sym_raw_string_literal] = STATE(1315),
    [sym_regex_literal] = STATE(1315),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1315),
    [sym__unary_expression] = STATE(1315),
    [sym_postfix_expression] = STATE(1315),
    [sym_constructor_expression] = STATE(1315),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1315),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1315),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1315),
    [sym_prefix_expression] = STATE(1315),
    [sym_as_expression] = STATE(1315),
    [sym_selector_expression] = STATE(1315),
    [sym__binary_expression] = STATE(1315),
    [sym_multiplicative_expression] = STATE(1315),
    [sym_additive_expression] = STATE(1315),
    [sym_range_expression] = STATE(1315),
    [sym_infix_expression] = STATE(1315),
    [sym_nil_coalescing_expression] = STATE(1315),
    [sym_check_expression] = STATE(1315),
    [sym_comparison_expression] = STATE(1315),
    [sym_equality_expression] = STATE(1315),
    [sym_conjunction_expression] = STATE(1315),
    [sym_disjunction_expression] = STATE(1315),
    [sym_bitwise_operation] = STATE(1315),
    [sym_custom_operator] = STATE(864),
    [sym_value_argument_label] = STATE(7782),
    [sym_value_argument] = STATE(6621),
    [sym_try_expression] = STATE(1315),
    [sym_await_expression] = STATE(1315),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1315),
    [sym_call_expression] = STATE(1315),
    [sym__primary_expression] = STATE(1315),
    [sym_tuple_expression] = STATE(1315),
    [sym_array_literal] = STATE(1315),
    [sym_dictionary_literal] = STATE(1315),
    [sym__special_literal] = STATE(1315),
    [sym__playground_literal] = STATE(1315),
    [sym_lambda_literal] = STATE(1315),
    [sym_self_expression] = STATE(1315),
    [sym_super_expression] = STATE(1315),
    [sym_if_statement] = STATE(1315),
    [sym_switch_statement] = STATE(1315),
    [sym_key_path_expression] = STATE(1315),
    [sym_key_path_string_expression] = STATE(1315),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1315),
    [sym__equality_operator] = STATE(1315),
    [sym__comparison_operator] = STATE(1315),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1315),
    [sym__multiplicative_operator] = STATE(1315),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1315),
    [sym_value_parameter_pack] = STATE(1315),
    [sym_value_pack_expansion] = STATE(1315),
    [sym__referenceable_operator] = STATE(1315),
    [sym__equal_sign] = STATE(1315),
    [sym__eq_eq] = STATE(1315),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym_attribute] = STATE(1036),
    [sym_type_modifiers] = STATE(319),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [aux_sym_value_argument_repeat1] = STATE(4258),
    [aux_sym__lambda_type_declaration_repeat1] = STATE(1036),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1399),
    [sym_real_literal] = ACTIONS(1401),
    [sym_integer_literal] = ACTIONS(1399),
    [sym_hex_literal] = ACTIONS(1401),
    [sym_oct_literal] = ACTIONS(1401),
    [sym_bin_literal] = ACTIONS(1401),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [anon_sym_RPAREN] = ACTIONS(1443),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_switch] = ACTIONS(1407),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1399),
    [anon_sym_POUNDfileID] = ACTIONS(1401),
    [anon_sym_POUNDfilePath] = ACTIONS(1401),
    [anon_sym_POUNDline] = ACTIONS(1401),
    [anon_sym_POUNDcolumn] = ACTIONS(1401),
    [anon_sym_POUNDfunction] = ACTIONS(1401),
    [anon_sym_POUNDdsohandle] = ACTIONS(1401),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1401),
    [anon_sym_DASH_EQ] = ACTIONS(1401),
    [anon_sym_STAR_EQ] = ACTIONS(1401),
    [anon_sym_SLASH_EQ] = ACTIONS(1401),
    [anon_sym_PERCENT_EQ] = ACTIONS(1401),
    [anon_sym_BANG_EQ] = ACTIONS(1399),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1401),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1401),
    [anon_sym_LT_EQ] = ACTIONS(1401),
    [anon_sym_GT_EQ] = ACTIONS(1401),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1399),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PERCENT] = ACTIONS(1399),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1401),
    [anon_sym_CARET] = ACTIONS(1399),
    [anon_sym_LT_LT] = ACTIONS(1401),
    [anon_sym_GT_GT] = ACTIONS(1401),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_AT] = ACTIONS(1409),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1401),
    [sym__eq_eq_custom] = ACTIONS(1401),
    [sym__plus_then_ws] = ACTIONS(1401),
    [sym__minus_then_ws] = ACTIONS(1401),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [244] = {
    [sym_simple_identifier] = STATE(2421),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1315),
    [sym_boolean_literal] = STATE(1315),
    [sym__string_literal] = STATE(1315),
    [sym_line_string_literal] = STATE(1315),
    [sym_multi_line_string_literal] = STATE(1315),
    [sym_raw_string_literal] = STATE(1315),
    [sym_regex_literal] = STATE(1315),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1315),
    [sym__unary_expression] = STATE(1315),
    [sym_postfix_expression] = STATE(1315),
    [sym_constructor_expression] = STATE(1315),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1315),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1315),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1315),
    [sym_prefix_expression] = STATE(1315),
    [sym_as_expression] = STATE(1315),
    [sym_selector_expression] = STATE(1315),
    [sym__binary_expression] = STATE(1315),
    [sym_multiplicative_expression] = STATE(1315),
    [sym_additive_expression] = STATE(1315),
    [sym_range_expression] = STATE(1315),
    [sym_infix_expression] = STATE(1315),
    [sym_nil_coalescing_expression] = STATE(1315),
    [sym_check_expression] = STATE(1315),
    [sym_comparison_expression] = STATE(1315),
    [sym_equality_expression] = STATE(1315),
    [sym_conjunction_expression] = STATE(1315),
    [sym_disjunction_expression] = STATE(1315),
    [sym_bitwise_operation] = STATE(1315),
    [sym_custom_operator] = STATE(864),
    [sym_value_argument_label] = STATE(7782),
    [sym_value_argument] = STATE(6620),
    [sym_try_expression] = STATE(1315),
    [sym_await_expression] = STATE(1315),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1315),
    [sym_call_expression] = STATE(1315),
    [sym__primary_expression] = STATE(1315),
    [sym_tuple_expression] = STATE(1315),
    [sym_array_literal] = STATE(1315),
    [sym_dictionary_literal] = STATE(1315),
    [sym__special_literal] = STATE(1315),
    [sym__playground_literal] = STATE(1315),
    [sym_lambda_literal] = STATE(1315),
    [sym_self_expression] = STATE(1315),
    [sym_super_expression] = STATE(1315),
    [sym_if_statement] = STATE(1315),
    [sym_switch_statement] = STATE(1315),
    [sym_key_path_expression] = STATE(1315),
    [sym_key_path_string_expression] = STATE(1315),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1315),
    [sym__equality_operator] = STATE(1315),
    [sym__comparison_operator] = STATE(1315),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1315),
    [sym__multiplicative_operator] = STATE(1315),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1315),
    [sym_value_parameter_pack] = STATE(1315),
    [sym_value_pack_expansion] = STATE(1315),
    [sym__referenceable_operator] = STATE(1315),
    [sym__equal_sign] = STATE(1315),
    [sym__eq_eq] = STATE(1315),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym_attribute] = STATE(1036),
    [sym_type_modifiers] = STATE(319),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [aux_sym_value_argument_repeat1] = STATE(4258),
    [aux_sym__lambda_type_declaration_repeat1] = STATE(1036),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1399),
    [sym_real_literal] = ACTIONS(1401),
    [sym_integer_literal] = ACTIONS(1399),
    [sym_hex_literal] = ACTIONS(1401),
    [sym_oct_literal] = ACTIONS(1401),
    [sym_bin_literal] = ACTIONS(1401),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [anon_sym_RPAREN] = ACTIONS(1445),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_switch] = ACTIONS(1407),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1399),
    [anon_sym_POUNDfileID] = ACTIONS(1401),
    [anon_sym_POUNDfilePath] = ACTIONS(1401),
    [anon_sym_POUNDline] = ACTIONS(1401),
    [anon_sym_POUNDcolumn] = ACTIONS(1401),
    [anon_sym_POUNDfunction] = ACTIONS(1401),
    [anon_sym_POUNDdsohandle] = ACTIONS(1401),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1401),
    [anon_sym_DASH_EQ] = ACTIONS(1401),
    [anon_sym_STAR_EQ] = ACTIONS(1401),
    [anon_sym_SLASH_EQ] = ACTIONS(1401),
    [anon_sym_PERCENT_EQ] = ACTIONS(1401),
    [anon_sym_BANG_EQ] = ACTIONS(1399),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1401),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1401),
    [anon_sym_LT_EQ] = ACTIONS(1401),
    [anon_sym_GT_EQ] = ACTIONS(1401),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1399),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PERCENT] = ACTIONS(1399),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1401),
    [anon_sym_CARET] = ACTIONS(1399),
    [anon_sym_LT_LT] = ACTIONS(1401),
    [anon_sym_GT_GT] = ACTIONS(1401),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_AT] = ACTIONS(1409),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1401),
    [sym__eq_eq_custom] = ACTIONS(1401),
    [sym__plus_then_ws] = ACTIONS(1401),
    [sym__minus_then_ws] = ACTIONS(1401),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [245] = {
    [sym_simple_identifier] = STATE(2421),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1315),
    [sym_boolean_literal] = STATE(1315),
    [sym__string_literal] = STATE(1315),
    [sym_line_string_literal] = STATE(1315),
    [sym_multi_line_string_literal] = STATE(1315),
    [sym_raw_string_literal] = STATE(1315),
    [sym_regex_literal] = STATE(1315),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1315),
    [sym__unary_expression] = STATE(1315),
    [sym_postfix_expression] = STATE(1315),
    [sym_constructor_expression] = STATE(1315),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1315),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1315),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1315),
    [sym_prefix_expression] = STATE(1315),
    [sym_as_expression] = STATE(1315),
    [sym_selector_expression] = STATE(1315),
    [sym__binary_expression] = STATE(1315),
    [sym_multiplicative_expression] = STATE(1315),
    [sym_additive_expression] = STATE(1315),
    [sym_range_expression] = STATE(1315),
    [sym_infix_expression] = STATE(1315),
    [sym_nil_coalescing_expression] = STATE(1315),
    [sym_check_expression] = STATE(1315),
    [sym_comparison_expression] = STATE(1315),
    [sym_equality_expression] = STATE(1315),
    [sym_conjunction_expression] = STATE(1315),
    [sym_disjunction_expression] = STATE(1315),
    [sym_bitwise_operation] = STATE(1315),
    [sym_custom_operator] = STATE(864),
    [sym_value_argument_label] = STATE(7782),
    [sym_value_argument] = STATE(6511),
    [sym_try_expression] = STATE(1315),
    [sym_await_expression] = STATE(1315),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1315),
    [sym_call_expression] = STATE(1315),
    [sym__primary_expression] = STATE(1315),
    [sym_tuple_expression] = STATE(1315),
    [sym_array_literal] = STATE(1315),
    [sym_dictionary_literal] = STATE(1315),
    [sym__special_literal] = STATE(1315),
    [sym__playground_literal] = STATE(1315),
    [sym_lambda_literal] = STATE(1315),
    [sym_self_expression] = STATE(1315),
    [sym_super_expression] = STATE(1315),
    [sym_if_statement] = STATE(1315),
    [sym_switch_statement] = STATE(1315),
    [sym_key_path_expression] = STATE(1315),
    [sym_key_path_string_expression] = STATE(1315),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1315),
    [sym__equality_operator] = STATE(1315),
    [sym__comparison_operator] = STATE(1315),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1315),
    [sym__multiplicative_operator] = STATE(1315),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1315),
    [sym_value_parameter_pack] = STATE(1315),
    [sym_value_pack_expansion] = STATE(1315),
    [sym__referenceable_operator] = STATE(1315),
    [sym__equal_sign] = STATE(1315),
    [sym__eq_eq] = STATE(1315),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym_attribute] = STATE(1036),
    [sym_type_modifiers] = STATE(319),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [aux_sym_value_argument_repeat1] = STATE(4258),
    [aux_sym__lambda_type_declaration_repeat1] = STATE(1036),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1399),
    [sym_real_literal] = ACTIONS(1401),
    [sym_integer_literal] = ACTIONS(1399),
    [sym_hex_literal] = ACTIONS(1401),
    [sym_oct_literal] = ACTIONS(1401),
    [sym_bin_literal] = ACTIONS(1401),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [anon_sym_RPAREN] = ACTIONS(1447),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_switch] = ACTIONS(1407),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1399),
    [anon_sym_POUNDfileID] = ACTIONS(1401),
    [anon_sym_POUNDfilePath] = ACTIONS(1401),
    [anon_sym_POUNDline] = ACTIONS(1401),
    [anon_sym_POUNDcolumn] = ACTIONS(1401),
    [anon_sym_POUNDfunction] = ACTIONS(1401),
    [anon_sym_POUNDdsohandle] = ACTIONS(1401),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1401),
    [anon_sym_DASH_EQ] = ACTIONS(1401),
    [anon_sym_STAR_EQ] = ACTIONS(1401),
    [anon_sym_SLASH_EQ] = ACTIONS(1401),
    [anon_sym_PERCENT_EQ] = ACTIONS(1401),
    [anon_sym_BANG_EQ] = ACTIONS(1399),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1401),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1401),
    [anon_sym_LT_EQ] = ACTIONS(1401),
    [anon_sym_GT_EQ] = ACTIONS(1401),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1399),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PERCENT] = ACTIONS(1399),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1401),
    [anon_sym_CARET] = ACTIONS(1399),
    [anon_sym_LT_LT] = ACTIONS(1401),
    [anon_sym_GT_GT] = ACTIONS(1401),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_AT] = ACTIONS(1409),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1401),
    [sym__eq_eq_custom] = ACTIONS(1401),
    [sym__plus_then_ws] = ACTIONS(1401),
    [sym__minus_then_ws] = ACTIONS(1401),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [246] = {
    [sym_simple_identifier] = STATE(2421),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1315),
    [sym_boolean_literal] = STATE(1315),
    [sym__string_literal] = STATE(1315),
    [sym_line_string_literal] = STATE(1315),
    [sym_multi_line_string_literal] = STATE(1315),
    [sym_raw_string_literal] = STATE(1315),
    [sym__interpolation_contents] = STATE(7719),
    [sym_regex_literal] = STATE(1315),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1315),
    [sym__unary_expression] = STATE(1315),
    [sym_postfix_expression] = STATE(1315),
    [sym_constructor_expression] = STATE(1315),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1315),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1315),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1315),
    [sym_prefix_expression] = STATE(1315),
    [sym_as_expression] = STATE(1315),
    [sym_selector_expression] = STATE(1315),
    [sym__binary_expression] = STATE(1315),
    [sym_multiplicative_expression] = STATE(1315),
    [sym_additive_expression] = STATE(1315),
    [sym_range_expression] = STATE(1315),
    [sym_infix_expression] = STATE(1315),
    [sym_nil_coalescing_expression] = STATE(1315),
    [sym_check_expression] = STATE(1315),
    [sym_comparison_expression] = STATE(1315),
    [sym_equality_expression] = STATE(1315),
    [sym_conjunction_expression] = STATE(1315),
    [sym_disjunction_expression] = STATE(1315),
    [sym_bitwise_operation] = STATE(1315),
    [sym_custom_operator] = STATE(864),
    [sym_value_argument_label] = STATE(7782),
    [sym_value_argument] = STATE(6854),
    [sym_try_expression] = STATE(1315),
    [sym_await_expression] = STATE(1315),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1315),
    [sym_call_expression] = STATE(1315),
    [sym__primary_expression] = STATE(1315),
    [sym_tuple_expression] = STATE(1315),
    [sym_array_literal] = STATE(1315),
    [sym_dictionary_literal] = STATE(1315),
    [sym__special_literal] = STATE(1315),
    [sym__playground_literal] = STATE(1315),
    [sym_lambda_literal] = STATE(1315),
    [sym_self_expression] = STATE(1315),
    [sym_super_expression] = STATE(1315),
    [sym_if_statement] = STATE(1315),
    [sym_switch_statement] = STATE(1315),
    [sym_key_path_expression] = STATE(1315),
    [sym_key_path_string_expression] = STATE(1315),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1315),
    [sym__equality_operator] = STATE(1315),
    [sym__comparison_operator] = STATE(1315),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1315),
    [sym__multiplicative_operator] = STATE(1315),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1315),
    [sym_value_parameter_pack] = STATE(1315),
    [sym_value_pack_expansion] = STATE(1315),
    [sym__referenceable_operator] = STATE(1315),
    [sym__equal_sign] = STATE(1315),
    [sym__eq_eq] = STATE(1315),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym_attribute] = STATE(1036),
    [sym_type_modifiers] = STATE(319),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [aux_sym_value_argument_repeat1] = STATE(4258),
    [aux_sym__lambda_type_declaration_repeat1] = STATE(1036),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1399),
    [sym_real_literal] = ACTIONS(1401),
    [sym_integer_literal] = ACTIONS(1399),
    [sym_hex_literal] = ACTIONS(1401),
    [sym_oct_literal] = ACTIONS(1401),
    [sym_bin_literal] = ACTIONS(1401),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_switch] = ACTIONS(1407),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1399),
    [anon_sym_POUNDfileID] = ACTIONS(1401),
    [anon_sym_POUNDfilePath] = ACTIONS(1401),
    [anon_sym_POUNDline] = ACTIONS(1401),
    [anon_sym_POUNDcolumn] = ACTIONS(1401),
    [anon_sym_POUNDfunction] = ACTIONS(1401),
    [anon_sym_POUNDdsohandle] = ACTIONS(1401),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1401),
    [anon_sym_DASH_EQ] = ACTIONS(1401),
    [anon_sym_STAR_EQ] = ACTIONS(1401),
    [anon_sym_SLASH_EQ] = ACTIONS(1401),
    [anon_sym_PERCENT_EQ] = ACTIONS(1401),
    [anon_sym_BANG_EQ] = ACTIONS(1399),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1401),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1401),
    [anon_sym_LT_EQ] = ACTIONS(1401),
    [anon_sym_GT_EQ] = ACTIONS(1401),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1399),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PERCENT] = ACTIONS(1399),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1401),
    [anon_sym_CARET] = ACTIONS(1399),
    [anon_sym_LT_LT] = ACTIONS(1401),
    [anon_sym_GT_GT] = ACTIONS(1401),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_AT] = ACTIONS(1409),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1401),
    [sym__eq_eq_custom] = ACTIONS(1401),
    [sym__plus_then_ws] = ACTIONS(1401),
    [sym__minus_then_ws] = ACTIONS(1401),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [247] = {
    [sym_simple_identifier] = STATE(2421),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1315),
    [sym_boolean_literal] = STATE(1315),
    [sym__string_literal] = STATE(1315),
    [sym_line_string_literal] = STATE(1315),
    [sym_multi_line_string_literal] = STATE(1315),
    [sym_raw_string_literal] = STATE(1315),
    [sym_regex_literal] = STATE(1315),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1315),
    [sym__unary_expression] = STATE(1315),
    [sym_postfix_expression] = STATE(1315),
    [sym_constructor_expression] = STATE(1315),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1315),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1315),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1315),
    [sym_prefix_expression] = STATE(1315),
    [sym_as_expression] = STATE(1315),
    [sym_selector_expression] = STATE(1315),
    [sym__binary_expression] = STATE(1315),
    [sym_multiplicative_expression] = STATE(1315),
    [sym_additive_expression] = STATE(1315),
    [sym_range_expression] = STATE(1315),
    [sym_infix_expression] = STATE(1315),
    [sym_nil_coalescing_expression] = STATE(1315),
    [sym_check_expression] = STATE(1315),
    [sym_comparison_expression] = STATE(1315),
    [sym_equality_expression] = STATE(1315),
    [sym_conjunction_expression] = STATE(1315),
    [sym_disjunction_expression] = STATE(1315),
    [sym_bitwise_operation] = STATE(1315),
    [sym_custom_operator] = STATE(864),
    [sym_value_argument_label] = STATE(7782),
    [sym_value_argument] = STATE(6501),
    [sym_try_expression] = STATE(1315),
    [sym_await_expression] = STATE(1315),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1315),
    [sym_call_expression] = STATE(1315),
    [sym__primary_expression] = STATE(1315),
    [sym_tuple_expression] = STATE(1315),
    [sym_array_literal] = STATE(1315),
    [sym_dictionary_literal] = STATE(1315),
    [sym__special_literal] = STATE(1315),
    [sym__playground_literal] = STATE(1315),
    [sym_lambda_literal] = STATE(1315),
    [sym_self_expression] = STATE(1315),
    [sym_super_expression] = STATE(1315),
    [sym_if_statement] = STATE(1315),
    [sym_switch_statement] = STATE(1315),
    [sym_key_path_expression] = STATE(1315),
    [sym_key_path_string_expression] = STATE(1315),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1315),
    [sym__equality_operator] = STATE(1315),
    [sym__comparison_operator] = STATE(1315),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1315),
    [sym__multiplicative_operator] = STATE(1315),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1315),
    [sym_value_parameter_pack] = STATE(1315),
    [sym_value_pack_expansion] = STATE(1315),
    [sym__referenceable_operator] = STATE(1315),
    [sym__equal_sign] = STATE(1315),
    [sym__eq_eq] = STATE(1315),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym_attribute] = STATE(1036),
    [sym_type_modifiers] = STATE(319),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [aux_sym_value_argument_repeat1] = STATE(4258),
    [aux_sym__lambda_type_declaration_repeat1] = STATE(1036),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1399),
    [sym_real_literal] = ACTIONS(1401),
    [sym_integer_literal] = ACTIONS(1399),
    [sym_hex_literal] = ACTIONS(1401),
    [sym_oct_literal] = ACTIONS(1401),
    [sym_bin_literal] = ACTIONS(1401),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_RBRACK] = ACTIONS(1449),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_switch] = ACTIONS(1407),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1399),
    [anon_sym_POUNDfileID] = ACTIONS(1401),
    [anon_sym_POUNDfilePath] = ACTIONS(1401),
    [anon_sym_POUNDline] = ACTIONS(1401),
    [anon_sym_POUNDcolumn] = ACTIONS(1401),
    [anon_sym_POUNDfunction] = ACTIONS(1401),
    [anon_sym_POUNDdsohandle] = ACTIONS(1401),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1401),
    [anon_sym_DASH_EQ] = ACTIONS(1401),
    [anon_sym_STAR_EQ] = ACTIONS(1401),
    [anon_sym_SLASH_EQ] = ACTIONS(1401),
    [anon_sym_PERCENT_EQ] = ACTIONS(1401),
    [anon_sym_BANG_EQ] = ACTIONS(1399),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1401),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1401),
    [anon_sym_LT_EQ] = ACTIONS(1401),
    [anon_sym_GT_EQ] = ACTIONS(1401),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1399),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PERCENT] = ACTIONS(1399),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1401),
    [anon_sym_CARET] = ACTIONS(1399),
    [anon_sym_LT_LT] = ACTIONS(1401),
    [anon_sym_GT_GT] = ACTIONS(1401),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_AT] = ACTIONS(1409),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1401),
    [sym__eq_eq_custom] = ACTIONS(1401),
    [sym__plus_then_ws] = ACTIONS(1401),
    [sym__minus_then_ws] = ACTIONS(1401),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [248] = {
    [sym_simple_identifier] = STATE(2421),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1315),
    [sym_boolean_literal] = STATE(1315),
    [sym__string_literal] = STATE(1315),
    [sym_line_string_literal] = STATE(1315),
    [sym_multi_line_string_literal] = STATE(1315),
    [sym_raw_string_literal] = STATE(1315),
    [sym_regex_literal] = STATE(1315),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1315),
    [sym__unary_expression] = STATE(1315),
    [sym_postfix_expression] = STATE(1315),
    [sym_constructor_expression] = STATE(1315),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1315),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1315),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1315),
    [sym_prefix_expression] = STATE(1315),
    [sym_as_expression] = STATE(1315),
    [sym_selector_expression] = STATE(1315),
    [sym__binary_expression] = STATE(1315),
    [sym_multiplicative_expression] = STATE(1315),
    [sym_additive_expression] = STATE(1315),
    [sym_range_expression] = STATE(1315),
    [sym_infix_expression] = STATE(1315),
    [sym_nil_coalescing_expression] = STATE(1315),
    [sym_check_expression] = STATE(1315),
    [sym_comparison_expression] = STATE(1315),
    [sym_equality_expression] = STATE(1315),
    [sym_conjunction_expression] = STATE(1315),
    [sym_disjunction_expression] = STATE(1315),
    [sym_bitwise_operation] = STATE(1315),
    [sym_custom_operator] = STATE(864),
    [sym_value_argument_label] = STATE(7782),
    [sym_value_argument] = STATE(6536),
    [sym_try_expression] = STATE(1315),
    [sym_await_expression] = STATE(1315),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1315),
    [sym_call_expression] = STATE(1315),
    [sym__primary_expression] = STATE(1315),
    [sym_tuple_expression] = STATE(1315),
    [sym_array_literal] = STATE(1315),
    [sym_dictionary_literal] = STATE(1315),
    [sym__special_literal] = STATE(1315),
    [sym__playground_literal] = STATE(1315),
    [sym_lambda_literal] = STATE(1315),
    [sym_self_expression] = STATE(1315),
    [sym_super_expression] = STATE(1315),
    [sym_if_statement] = STATE(1315),
    [sym_switch_statement] = STATE(1315),
    [sym_key_path_expression] = STATE(1315),
    [sym_key_path_string_expression] = STATE(1315),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1315),
    [sym__equality_operator] = STATE(1315),
    [sym__comparison_operator] = STATE(1315),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1315),
    [sym__multiplicative_operator] = STATE(1315),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1315),
    [sym_value_parameter_pack] = STATE(1315),
    [sym_value_pack_expansion] = STATE(1315),
    [sym__referenceable_operator] = STATE(1315),
    [sym__equal_sign] = STATE(1315),
    [sym__eq_eq] = STATE(1315),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym_attribute] = STATE(1036),
    [sym_type_modifiers] = STATE(319),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [aux_sym_value_argument_repeat1] = STATE(4258),
    [aux_sym__lambda_type_declaration_repeat1] = STATE(1036),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1399),
    [sym_real_literal] = ACTIONS(1401),
    [sym_integer_literal] = ACTIONS(1399),
    [sym_hex_literal] = ACTIONS(1401),
    [sym_oct_literal] = ACTIONS(1401),
    [sym_bin_literal] = ACTIONS(1401),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_RBRACK] = ACTIONS(1451),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_switch] = ACTIONS(1407),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1399),
    [anon_sym_POUNDfileID] = ACTIONS(1401),
    [anon_sym_POUNDfilePath] = ACTIONS(1401),
    [anon_sym_POUNDline] = ACTIONS(1401),
    [anon_sym_POUNDcolumn] = ACTIONS(1401),
    [anon_sym_POUNDfunction] = ACTIONS(1401),
    [anon_sym_POUNDdsohandle] = ACTIONS(1401),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1401),
    [anon_sym_DASH_EQ] = ACTIONS(1401),
    [anon_sym_STAR_EQ] = ACTIONS(1401),
    [anon_sym_SLASH_EQ] = ACTIONS(1401),
    [anon_sym_PERCENT_EQ] = ACTIONS(1401),
    [anon_sym_BANG_EQ] = ACTIONS(1399),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1401),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1401),
    [anon_sym_LT_EQ] = ACTIONS(1401),
    [anon_sym_GT_EQ] = ACTIONS(1401),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1399),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PERCENT] = ACTIONS(1399),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1401),
    [anon_sym_CARET] = ACTIONS(1399),
    [anon_sym_LT_LT] = ACTIONS(1401),
    [anon_sym_GT_GT] = ACTIONS(1401),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_AT] = ACTIONS(1409),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1401),
    [sym__eq_eq_custom] = ACTIONS(1401),
    [sym__plus_then_ws] = ACTIONS(1401),
    [sym__minus_then_ws] = ACTIONS(1401),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [249] = {
    [sym_simple_identifier] = STATE(2421),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1315),
    [sym_boolean_literal] = STATE(1315),
    [sym__string_literal] = STATE(1315),
    [sym_line_string_literal] = STATE(1315),
    [sym_multi_line_string_literal] = STATE(1315),
    [sym_raw_string_literal] = STATE(1315),
    [sym_regex_literal] = STATE(1315),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1315),
    [sym__unary_expression] = STATE(1315),
    [sym_postfix_expression] = STATE(1315),
    [sym_constructor_expression] = STATE(1315),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1315),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1315),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1315),
    [sym_prefix_expression] = STATE(1315),
    [sym_as_expression] = STATE(1315),
    [sym_selector_expression] = STATE(1315),
    [sym__binary_expression] = STATE(1315),
    [sym_multiplicative_expression] = STATE(1315),
    [sym_additive_expression] = STATE(1315),
    [sym_range_expression] = STATE(1315),
    [sym_infix_expression] = STATE(1315),
    [sym_nil_coalescing_expression] = STATE(1315),
    [sym_check_expression] = STATE(1315),
    [sym_comparison_expression] = STATE(1315),
    [sym_equality_expression] = STATE(1315),
    [sym_conjunction_expression] = STATE(1315),
    [sym_disjunction_expression] = STATE(1315),
    [sym_bitwise_operation] = STATE(1315),
    [sym_custom_operator] = STATE(864),
    [sym_value_argument_label] = STATE(7782),
    [sym_value_argument] = STATE(6503),
    [sym_try_expression] = STATE(1315),
    [sym_await_expression] = STATE(1315),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1315),
    [sym_call_expression] = STATE(1315),
    [sym__primary_expression] = STATE(1315),
    [sym_tuple_expression] = STATE(1315),
    [sym_array_literal] = STATE(1315),
    [sym_dictionary_literal] = STATE(1315),
    [sym__special_literal] = STATE(1315),
    [sym__playground_literal] = STATE(1315),
    [sym_lambda_literal] = STATE(1315),
    [sym_self_expression] = STATE(1315),
    [sym_super_expression] = STATE(1315),
    [sym_if_statement] = STATE(1315),
    [sym_switch_statement] = STATE(1315),
    [sym_key_path_expression] = STATE(1315),
    [sym_key_path_string_expression] = STATE(1315),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1315),
    [sym__equality_operator] = STATE(1315),
    [sym__comparison_operator] = STATE(1315),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1315),
    [sym__multiplicative_operator] = STATE(1315),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1315),
    [sym_value_parameter_pack] = STATE(1315),
    [sym_value_pack_expansion] = STATE(1315),
    [sym__referenceable_operator] = STATE(1315),
    [sym__equal_sign] = STATE(1315),
    [sym__eq_eq] = STATE(1315),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym_attribute] = STATE(1036),
    [sym_type_modifiers] = STATE(319),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [aux_sym_value_argument_repeat1] = STATE(4258),
    [aux_sym__lambda_type_declaration_repeat1] = STATE(1036),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1399),
    [sym_real_literal] = ACTIONS(1401),
    [sym_integer_literal] = ACTIONS(1399),
    [sym_hex_literal] = ACTIONS(1401),
    [sym_oct_literal] = ACTIONS(1401),
    [sym_bin_literal] = ACTIONS(1401),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [anon_sym_RPAREN] = ACTIONS(1453),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_switch] = ACTIONS(1407),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1399),
    [anon_sym_POUNDfileID] = ACTIONS(1401),
    [anon_sym_POUNDfilePath] = ACTIONS(1401),
    [anon_sym_POUNDline] = ACTIONS(1401),
    [anon_sym_POUNDcolumn] = ACTIONS(1401),
    [anon_sym_POUNDfunction] = ACTIONS(1401),
    [anon_sym_POUNDdsohandle] = ACTIONS(1401),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1401),
    [anon_sym_DASH_EQ] = ACTIONS(1401),
    [anon_sym_STAR_EQ] = ACTIONS(1401),
    [anon_sym_SLASH_EQ] = ACTIONS(1401),
    [anon_sym_PERCENT_EQ] = ACTIONS(1401),
    [anon_sym_BANG_EQ] = ACTIONS(1399),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1401),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1401),
    [anon_sym_LT_EQ] = ACTIONS(1401),
    [anon_sym_GT_EQ] = ACTIONS(1401),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1399),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PERCENT] = ACTIONS(1399),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1401),
    [anon_sym_CARET] = ACTIONS(1399),
    [anon_sym_LT_LT] = ACTIONS(1401),
    [anon_sym_GT_GT] = ACTIONS(1401),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_AT] = ACTIONS(1409),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1401),
    [sym__eq_eq_custom] = ACTIONS(1401),
    [sym__plus_then_ws] = ACTIONS(1401),
    [sym__minus_then_ws] = ACTIONS(1401),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [250] = {
    [sym_simple_identifier] = STATE(2421),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1315),
    [sym_boolean_literal] = STATE(1315),
    [sym__string_literal] = STATE(1315),
    [sym_line_string_literal] = STATE(1315),
    [sym_multi_line_string_literal] = STATE(1315),
    [sym_raw_string_literal] = STATE(1315),
    [sym_regex_literal] = STATE(1315),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1315),
    [sym__unary_expression] = STATE(1315),
    [sym_postfix_expression] = STATE(1315),
    [sym_constructor_expression] = STATE(1315),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1315),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1315),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1315),
    [sym_prefix_expression] = STATE(1315),
    [sym_as_expression] = STATE(1315),
    [sym_selector_expression] = STATE(1315),
    [sym__binary_expression] = STATE(1315),
    [sym_multiplicative_expression] = STATE(1315),
    [sym_additive_expression] = STATE(1315),
    [sym_range_expression] = STATE(1315),
    [sym_infix_expression] = STATE(1315),
    [sym_nil_coalescing_expression] = STATE(1315),
    [sym_check_expression] = STATE(1315),
    [sym_comparison_expression] = STATE(1315),
    [sym_equality_expression] = STATE(1315),
    [sym_conjunction_expression] = STATE(1315),
    [sym_disjunction_expression] = STATE(1315),
    [sym_bitwise_operation] = STATE(1315),
    [sym_custom_operator] = STATE(864),
    [sym_value_argument_label] = STATE(7782),
    [sym_value_argument] = STATE(7167),
    [sym_try_expression] = STATE(1315),
    [sym_await_expression] = STATE(1315),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1315),
    [sym_call_expression] = STATE(1315),
    [sym__primary_expression] = STATE(1315),
    [sym_tuple_expression] = STATE(1315),
    [sym_array_literal] = STATE(1315),
    [sym_dictionary_literal] = STATE(1315),
    [sym__special_literal] = STATE(1315),
    [sym__playground_literal] = STATE(1315),
    [sym_lambda_literal] = STATE(1315),
    [sym_self_expression] = STATE(1315),
    [sym_super_expression] = STATE(1315),
    [sym_if_statement] = STATE(1315),
    [sym_switch_statement] = STATE(1315),
    [sym_key_path_expression] = STATE(1315),
    [sym_key_path_string_expression] = STATE(1315),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1315),
    [sym__equality_operator] = STATE(1315),
    [sym__comparison_operator] = STATE(1315),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1315),
    [sym__multiplicative_operator] = STATE(1315),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1315),
    [sym_value_parameter_pack] = STATE(1315),
    [sym_value_pack_expansion] = STATE(1315),
    [sym__referenceable_operator] = STATE(1315),
    [sym__equal_sign] = STATE(1315),
    [sym__eq_eq] = STATE(1315),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym_attribute] = STATE(1036),
    [sym_type_modifiers] = STATE(319),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [aux_sym_value_argument_repeat1] = STATE(4258),
    [aux_sym__lambda_type_declaration_repeat1] = STATE(1036),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1399),
    [sym_real_literal] = ACTIONS(1401),
    [sym_integer_literal] = ACTIONS(1399),
    [sym_hex_literal] = ACTIONS(1401),
    [sym_oct_literal] = ACTIONS(1401),
    [sym_bin_literal] = ACTIONS(1401),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_RBRACK] = ACTIONS(1455),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_switch] = ACTIONS(1407),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1399),
    [anon_sym_POUNDfileID] = ACTIONS(1401),
    [anon_sym_POUNDfilePath] = ACTIONS(1401),
    [anon_sym_POUNDline] = ACTIONS(1401),
    [anon_sym_POUNDcolumn] = ACTIONS(1401),
    [anon_sym_POUNDfunction] = ACTIONS(1401),
    [anon_sym_POUNDdsohandle] = ACTIONS(1401),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1401),
    [anon_sym_DASH_EQ] = ACTIONS(1401),
    [anon_sym_STAR_EQ] = ACTIONS(1401),
    [anon_sym_SLASH_EQ] = ACTIONS(1401),
    [anon_sym_PERCENT_EQ] = ACTIONS(1401),
    [anon_sym_BANG_EQ] = ACTIONS(1399),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1401),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1401),
    [anon_sym_LT_EQ] = ACTIONS(1401),
    [anon_sym_GT_EQ] = ACTIONS(1401),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1399),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PERCENT] = ACTIONS(1399),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1401),
    [anon_sym_CARET] = ACTIONS(1399),
    [anon_sym_LT_LT] = ACTIONS(1401),
    [anon_sym_GT_GT] = ACTIONS(1401),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_AT] = ACTIONS(1409),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1401),
    [sym__eq_eq_custom] = ACTIONS(1401),
    [sym__plus_then_ws] = ACTIONS(1401),
    [sym__minus_then_ws] = ACTIONS(1401),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [251] = {
    [sym_simple_identifier] = STATE(2421),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1315),
    [sym_boolean_literal] = STATE(1315),
    [sym__string_literal] = STATE(1315),
    [sym_line_string_literal] = STATE(1315),
    [sym_multi_line_string_literal] = STATE(1315),
    [sym_raw_string_literal] = STATE(1315),
    [sym_regex_literal] = STATE(1315),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1315),
    [sym__unary_expression] = STATE(1315),
    [sym_postfix_expression] = STATE(1315),
    [sym_constructor_expression] = STATE(1315),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1315),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1315),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1315),
    [sym_prefix_expression] = STATE(1315),
    [sym_as_expression] = STATE(1315),
    [sym_selector_expression] = STATE(1315),
    [sym__binary_expression] = STATE(1315),
    [sym_multiplicative_expression] = STATE(1315),
    [sym_additive_expression] = STATE(1315),
    [sym_range_expression] = STATE(1315),
    [sym_infix_expression] = STATE(1315),
    [sym_nil_coalescing_expression] = STATE(1315),
    [sym_check_expression] = STATE(1315),
    [sym_comparison_expression] = STATE(1315),
    [sym_equality_expression] = STATE(1315),
    [sym_conjunction_expression] = STATE(1315),
    [sym_disjunction_expression] = STATE(1315),
    [sym_bitwise_operation] = STATE(1315),
    [sym_custom_operator] = STATE(864),
    [sym_value_argument_label] = STATE(7782),
    [sym_value_argument] = STATE(6534),
    [sym_try_expression] = STATE(1315),
    [sym_await_expression] = STATE(1315),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1315),
    [sym_call_expression] = STATE(1315),
    [sym__primary_expression] = STATE(1315),
    [sym_tuple_expression] = STATE(1315),
    [sym_array_literal] = STATE(1315),
    [sym_dictionary_literal] = STATE(1315),
    [sym__special_literal] = STATE(1315),
    [sym__playground_literal] = STATE(1315),
    [sym_lambda_literal] = STATE(1315),
    [sym_self_expression] = STATE(1315),
    [sym_super_expression] = STATE(1315),
    [sym_if_statement] = STATE(1315),
    [sym_switch_statement] = STATE(1315),
    [sym_key_path_expression] = STATE(1315),
    [sym_key_path_string_expression] = STATE(1315),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1315),
    [sym__equality_operator] = STATE(1315),
    [sym__comparison_operator] = STATE(1315),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1315),
    [sym__multiplicative_operator] = STATE(1315),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1315),
    [sym_value_parameter_pack] = STATE(1315),
    [sym_value_pack_expansion] = STATE(1315),
    [sym__referenceable_operator] = STATE(1315),
    [sym__equal_sign] = STATE(1315),
    [sym__eq_eq] = STATE(1315),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym_attribute] = STATE(1036),
    [sym_type_modifiers] = STATE(319),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [aux_sym_value_argument_repeat1] = STATE(4258),
    [aux_sym__lambda_type_declaration_repeat1] = STATE(1036),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1399),
    [sym_real_literal] = ACTIONS(1401),
    [sym_integer_literal] = ACTIONS(1399),
    [sym_hex_literal] = ACTIONS(1401),
    [sym_oct_literal] = ACTIONS(1401),
    [sym_bin_literal] = ACTIONS(1401),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_RBRACK] = ACTIONS(1457),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_switch] = ACTIONS(1407),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1399),
    [anon_sym_POUNDfileID] = ACTIONS(1401),
    [anon_sym_POUNDfilePath] = ACTIONS(1401),
    [anon_sym_POUNDline] = ACTIONS(1401),
    [anon_sym_POUNDcolumn] = ACTIONS(1401),
    [anon_sym_POUNDfunction] = ACTIONS(1401),
    [anon_sym_POUNDdsohandle] = ACTIONS(1401),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1401),
    [anon_sym_DASH_EQ] = ACTIONS(1401),
    [anon_sym_STAR_EQ] = ACTIONS(1401),
    [anon_sym_SLASH_EQ] = ACTIONS(1401),
    [anon_sym_PERCENT_EQ] = ACTIONS(1401),
    [anon_sym_BANG_EQ] = ACTIONS(1399),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1401),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1401),
    [anon_sym_LT_EQ] = ACTIONS(1401),
    [anon_sym_GT_EQ] = ACTIONS(1401),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1399),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PERCENT] = ACTIONS(1399),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1401),
    [anon_sym_CARET] = ACTIONS(1399),
    [anon_sym_LT_LT] = ACTIONS(1401),
    [anon_sym_GT_GT] = ACTIONS(1401),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_AT] = ACTIONS(1409),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1401),
    [sym__eq_eq_custom] = ACTIONS(1401),
    [sym__plus_then_ws] = ACTIONS(1401),
    [sym__minus_then_ws] = ACTIONS(1401),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [252] = {
    [sym_simple_identifier] = STATE(2421),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1315),
    [sym_boolean_literal] = STATE(1315),
    [sym__string_literal] = STATE(1315),
    [sym_line_string_literal] = STATE(1315),
    [sym_multi_line_string_literal] = STATE(1315),
    [sym_raw_string_literal] = STATE(1315),
    [sym_regex_literal] = STATE(1315),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1315),
    [sym__unary_expression] = STATE(1315),
    [sym_postfix_expression] = STATE(1315),
    [sym_constructor_expression] = STATE(1315),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1315),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1315),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1315),
    [sym_prefix_expression] = STATE(1315),
    [sym_as_expression] = STATE(1315),
    [sym_selector_expression] = STATE(1315),
    [sym__binary_expression] = STATE(1315),
    [sym_multiplicative_expression] = STATE(1315),
    [sym_additive_expression] = STATE(1315),
    [sym_range_expression] = STATE(1315),
    [sym_infix_expression] = STATE(1315),
    [sym_nil_coalescing_expression] = STATE(1315),
    [sym_check_expression] = STATE(1315),
    [sym_comparison_expression] = STATE(1315),
    [sym_equality_expression] = STATE(1315),
    [sym_conjunction_expression] = STATE(1315),
    [sym_disjunction_expression] = STATE(1315),
    [sym_bitwise_operation] = STATE(1315),
    [sym_custom_operator] = STATE(864),
    [sym_value_argument_label] = STATE(7782),
    [sym_value_argument] = STATE(7183),
    [sym_try_expression] = STATE(1315),
    [sym_await_expression] = STATE(1315),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1315),
    [sym_call_expression] = STATE(1315),
    [sym__primary_expression] = STATE(1315),
    [sym_tuple_expression] = STATE(1315),
    [sym_array_literal] = STATE(1315),
    [sym_dictionary_literal] = STATE(1315),
    [sym__special_literal] = STATE(1315),
    [sym__playground_literal] = STATE(1315),
    [sym_lambda_literal] = STATE(1315),
    [sym_self_expression] = STATE(1315),
    [sym_super_expression] = STATE(1315),
    [sym_if_statement] = STATE(1315),
    [sym_switch_statement] = STATE(1315),
    [sym_key_path_expression] = STATE(1315),
    [sym_key_path_string_expression] = STATE(1315),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1315),
    [sym__equality_operator] = STATE(1315),
    [sym__comparison_operator] = STATE(1315),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1315),
    [sym__multiplicative_operator] = STATE(1315),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1315),
    [sym_value_parameter_pack] = STATE(1315),
    [sym_value_pack_expansion] = STATE(1315),
    [sym__referenceable_operator] = STATE(1315),
    [sym__equal_sign] = STATE(1315),
    [sym__eq_eq] = STATE(1315),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym_attribute] = STATE(1036),
    [sym_type_modifiers] = STATE(319),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [aux_sym_value_argument_repeat1] = STATE(4258),
    [aux_sym__lambda_type_declaration_repeat1] = STATE(1036),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1399),
    [sym_real_literal] = ACTIONS(1401),
    [sym_integer_literal] = ACTIONS(1399),
    [sym_hex_literal] = ACTIONS(1401),
    [sym_oct_literal] = ACTIONS(1401),
    [sym_bin_literal] = ACTIONS(1401),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_RBRACK] = ACTIONS(1459),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_switch] = ACTIONS(1407),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1399),
    [anon_sym_POUNDfileID] = ACTIONS(1401),
    [anon_sym_POUNDfilePath] = ACTIONS(1401),
    [anon_sym_POUNDline] = ACTIONS(1401),
    [anon_sym_POUNDcolumn] = ACTIONS(1401),
    [anon_sym_POUNDfunction] = ACTIONS(1401),
    [anon_sym_POUNDdsohandle] = ACTIONS(1401),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1401),
    [anon_sym_DASH_EQ] = ACTIONS(1401),
    [anon_sym_STAR_EQ] = ACTIONS(1401),
    [anon_sym_SLASH_EQ] = ACTIONS(1401),
    [anon_sym_PERCENT_EQ] = ACTIONS(1401),
    [anon_sym_BANG_EQ] = ACTIONS(1399),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1401),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1401),
    [anon_sym_LT_EQ] = ACTIONS(1401),
    [anon_sym_GT_EQ] = ACTIONS(1401),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1399),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PERCENT] = ACTIONS(1399),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1401),
    [anon_sym_CARET] = ACTIONS(1399),
    [anon_sym_LT_LT] = ACTIONS(1401),
    [anon_sym_GT_GT] = ACTIONS(1401),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_AT] = ACTIONS(1409),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1401),
    [sym__eq_eq_custom] = ACTIONS(1401),
    [sym__plus_then_ws] = ACTIONS(1401),
    [sym__minus_then_ws] = ACTIONS(1401),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [253] = {
    [sym_simple_identifier] = STATE(2421),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1315),
    [sym_boolean_literal] = STATE(1315),
    [sym__string_literal] = STATE(1315),
    [sym_line_string_literal] = STATE(1315),
    [sym_multi_line_string_literal] = STATE(1315),
    [sym_raw_string_literal] = STATE(1315),
    [sym_regex_literal] = STATE(1315),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1315),
    [sym__unary_expression] = STATE(1315),
    [sym_postfix_expression] = STATE(1315),
    [sym_constructor_expression] = STATE(1315),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1315),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1315),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1315),
    [sym_prefix_expression] = STATE(1315),
    [sym_as_expression] = STATE(1315),
    [sym_selector_expression] = STATE(1315),
    [sym__binary_expression] = STATE(1315),
    [sym_multiplicative_expression] = STATE(1315),
    [sym_additive_expression] = STATE(1315),
    [sym_range_expression] = STATE(1315),
    [sym_infix_expression] = STATE(1315),
    [sym_nil_coalescing_expression] = STATE(1315),
    [sym_check_expression] = STATE(1315),
    [sym_comparison_expression] = STATE(1315),
    [sym_equality_expression] = STATE(1315),
    [sym_conjunction_expression] = STATE(1315),
    [sym_disjunction_expression] = STATE(1315),
    [sym_bitwise_operation] = STATE(1315),
    [sym_custom_operator] = STATE(864),
    [sym_value_argument_label] = STATE(7782),
    [sym_value_argument] = STATE(7184),
    [sym_try_expression] = STATE(1315),
    [sym_await_expression] = STATE(1315),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1315),
    [sym_call_expression] = STATE(1315),
    [sym__primary_expression] = STATE(1315),
    [sym_tuple_expression] = STATE(1315),
    [sym_array_literal] = STATE(1315),
    [sym_dictionary_literal] = STATE(1315),
    [sym__special_literal] = STATE(1315),
    [sym__playground_literal] = STATE(1315),
    [sym_lambda_literal] = STATE(1315),
    [sym_self_expression] = STATE(1315),
    [sym_super_expression] = STATE(1315),
    [sym_if_statement] = STATE(1315),
    [sym_switch_statement] = STATE(1315),
    [sym_key_path_expression] = STATE(1315),
    [sym_key_path_string_expression] = STATE(1315),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1315),
    [sym__equality_operator] = STATE(1315),
    [sym__comparison_operator] = STATE(1315),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1315),
    [sym__multiplicative_operator] = STATE(1315),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1315),
    [sym_value_parameter_pack] = STATE(1315),
    [sym_value_pack_expansion] = STATE(1315),
    [sym__referenceable_operator] = STATE(1315),
    [sym__equal_sign] = STATE(1315),
    [sym__eq_eq] = STATE(1315),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym_attribute] = STATE(1036),
    [sym_type_modifiers] = STATE(319),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [aux_sym_value_argument_repeat1] = STATE(4258),
    [aux_sym__lambda_type_declaration_repeat1] = STATE(1036),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1399),
    [sym_real_literal] = ACTIONS(1401),
    [sym_integer_literal] = ACTIONS(1399),
    [sym_hex_literal] = ACTIONS(1401),
    [sym_oct_literal] = ACTIONS(1401),
    [sym_bin_literal] = ACTIONS(1401),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [anon_sym_RPAREN] = ACTIONS(1459),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_switch] = ACTIONS(1407),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1399),
    [anon_sym_POUNDfileID] = ACTIONS(1401),
    [anon_sym_POUNDfilePath] = ACTIONS(1401),
    [anon_sym_POUNDline] = ACTIONS(1401),
    [anon_sym_POUNDcolumn] = ACTIONS(1401),
    [anon_sym_POUNDfunction] = ACTIONS(1401),
    [anon_sym_POUNDdsohandle] = ACTIONS(1401),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1401),
    [anon_sym_DASH_EQ] = ACTIONS(1401),
    [anon_sym_STAR_EQ] = ACTIONS(1401),
    [anon_sym_SLASH_EQ] = ACTIONS(1401),
    [anon_sym_PERCENT_EQ] = ACTIONS(1401),
    [anon_sym_BANG_EQ] = ACTIONS(1399),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1401),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1401),
    [anon_sym_LT_EQ] = ACTIONS(1401),
    [anon_sym_GT_EQ] = ACTIONS(1401),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1399),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PERCENT] = ACTIONS(1399),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1401),
    [anon_sym_CARET] = ACTIONS(1399),
    [anon_sym_LT_LT] = ACTIONS(1401),
    [anon_sym_GT_GT] = ACTIONS(1401),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_AT] = ACTIONS(1409),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1401),
    [sym__eq_eq_custom] = ACTIONS(1401),
    [sym__plus_then_ws] = ACTIONS(1401),
    [sym__minus_then_ws] = ACTIONS(1401),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [254] = {
    [sym_simple_identifier] = STATE(2421),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1315),
    [sym_boolean_literal] = STATE(1315),
    [sym__string_literal] = STATE(1315),
    [sym_line_string_literal] = STATE(1315),
    [sym_multi_line_string_literal] = STATE(1315),
    [sym_raw_string_literal] = STATE(1315),
    [sym_regex_literal] = STATE(1315),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1315),
    [sym__unary_expression] = STATE(1315),
    [sym_postfix_expression] = STATE(1315),
    [sym_constructor_expression] = STATE(1315),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1315),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1315),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1315),
    [sym_prefix_expression] = STATE(1315),
    [sym_as_expression] = STATE(1315),
    [sym_selector_expression] = STATE(1315),
    [sym__binary_expression] = STATE(1315),
    [sym_multiplicative_expression] = STATE(1315),
    [sym_additive_expression] = STATE(1315),
    [sym_range_expression] = STATE(1315),
    [sym_infix_expression] = STATE(1315),
    [sym_nil_coalescing_expression] = STATE(1315),
    [sym_check_expression] = STATE(1315),
    [sym_comparison_expression] = STATE(1315),
    [sym_equality_expression] = STATE(1315),
    [sym_conjunction_expression] = STATE(1315),
    [sym_disjunction_expression] = STATE(1315),
    [sym_bitwise_operation] = STATE(1315),
    [sym_custom_operator] = STATE(864),
    [sym_value_argument_label] = STATE(7782),
    [sym_value_argument] = STATE(7185),
    [sym_try_expression] = STATE(1315),
    [sym_await_expression] = STATE(1315),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1315),
    [sym_call_expression] = STATE(1315),
    [sym__primary_expression] = STATE(1315),
    [sym_tuple_expression] = STATE(1315),
    [sym_array_literal] = STATE(1315),
    [sym_dictionary_literal] = STATE(1315),
    [sym__special_literal] = STATE(1315),
    [sym__playground_literal] = STATE(1315),
    [sym_lambda_literal] = STATE(1315),
    [sym_self_expression] = STATE(1315),
    [sym_super_expression] = STATE(1315),
    [sym_if_statement] = STATE(1315),
    [sym_switch_statement] = STATE(1315),
    [sym_key_path_expression] = STATE(1315),
    [sym_key_path_string_expression] = STATE(1315),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1315),
    [sym__equality_operator] = STATE(1315),
    [sym__comparison_operator] = STATE(1315),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1315),
    [sym__multiplicative_operator] = STATE(1315),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1315),
    [sym_value_parameter_pack] = STATE(1315),
    [sym_value_pack_expansion] = STATE(1315),
    [sym__referenceable_operator] = STATE(1315),
    [sym__equal_sign] = STATE(1315),
    [sym__eq_eq] = STATE(1315),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym_attribute] = STATE(1036),
    [sym_type_modifiers] = STATE(319),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [aux_sym_value_argument_repeat1] = STATE(4258),
    [aux_sym__lambda_type_declaration_repeat1] = STATE(1036),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1399),
    [sym_real_literal] = ACTIONS(1401),
    [sym_integer_literal] = ACTIONS(1399),
    [sym_hex_literal] = ACTIONS(1401),
    [sym_oct_literal] = ACTIONS(1401),
    [sym_bin_literal] = ACTIONS(1401),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [anon_sym_RPAREN] = ACTIONS(1461),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_switch] = ACTIONS(1407),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1399),
    [anon_sym_POUNDfileID] = ACTIONS(1401),
    [anon_sym_POUNDfilePath] = ACTIONS(1401),
    [anon_sym_POUNDline] = ACTIONS(1401),
    [anon_sym_POUNDcolumn] = ACTIONS(1401),
    [anon_sym_POUNDfunction] = ACTIONS(1401),
    [anon_sym_POUNDdsohandle] = ACTIONS(1401),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1401),
    [anon_sym_DASH_EQ] = ACTIONS(1401),
    [anon_sym_STAR_EQ] = ACTIONS(1401),
    [anon_sym_SLASH_EQ] = ACTIONS(1401),
    [anon_sym_PERCENT_EQ] = ACTIONS(1401),
    [anon_sym_BANG_EQ] = ACTIONS(1399),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1401),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1401),
    [anon_sym_LT_EQ] = ACTIONS(1401),
    [anon_sym_GT_EQ] = ACTIONS(1401),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1399),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PERCENT] = ACTIONS(1399),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1401),
    [anon_sym_CARET] = ACTIONS(1399),
    [anon_sym_LT_LT] = ACTIONS(1401),
    [anon_sym_GT_GT] = ACTIONS(1401),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_AT] = ACTIONS(1409),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1401),
    [sym__eq_eq_custom] = ACTIONS(1401),
    [sym__plus_then_ws] = ACTIONS(1401),
    [sym__minus_then_ws] = ACTIONS(1401),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [255] = {
    [sym_simple_identifier] = STATE(2421),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1315),
    [sym_boolean_literal] = STATE(1315),
    [sym__string_literal] = STATE(1315),
    [sym_line_string_literal] = STATE(1315),
    [sym_multi_line_string_literal] = STATE(1315),
    [sym_raw_string_literal] = STATE(1315),
    [sym_regex_literal] = STATE(1315),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1315),
    [sym__unary_expression] = STATE(1315),
    [sym_postfix_expression] = STATE(1315),
    [sym_constructor_expression] = STATE(1315),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1315),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1315),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1315),
    [sym_prefix_expression] = STATE(1315),
    [sym_as_expression] = STATE(1315),
    [sym_selector_expression] = STATE(1315),
    [sym__binary_expression] = STATE(1315),
    [sym_multiplicative_expression] = STATE(1315),
    [sym_additive_expression] = STATE(1315),
    [sym_range_expression] = STATE(1315),
    [sym_infix_expression] = STATE(1315),
    [sym_nil_coalescing_expression] = STATE(1315),
    [sym_check_expression] = STATE(1315),
    [sym_comparison_expression] = STATE(1315),
    [sym_equality_expression] = STATE(1315),
    [sym_conjunction_expression] = STATE(1315),
    [sym_disjunction_expression] = STATE(1315),
    [sym_bitwise_operation] = STATE(1315),
    [sym_custom_operator] = STATE(864),
    [sym_value_argument_label] = STATE(7782),
    [sym_value_argument] = STATE(6499),
    [sym_try_expression] = STATE(1315),
    [sym_await_expression] = STATE(1315),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1315),
    [sym_call_expression] = STATE(1315),
    [sym__primary_expression] = STATE(1315),
    [sym_tuple_expression] = STATE(1315),
    [sym_array_literal] = STATE(1315),
    [sym_dictionary_literal] = STATE(1315),
    [sym__special_literal] = STATE(1315),
    [sym__playground_literal] = STATE(1315),
    [sym_lambda_literal] = STATE(1315),
    [sym_self_expression] = STATE(1315),
    [sym_super_expression] = STATE(1315),
    [sym_if_statement] = STATE(1315),
    [sym_switch_statement] = STATE(1315),
    [sym_key_path_expression] = STATE(1315),
    [sym_key_path_string_expression] = STATE(1315),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1315),
    [sym__equality_operator] = STATE(1315),
    [sym__comparison_operator] = STATE(1315),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1315),
    [sym__multiplicative_operator] = STATE(1315),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1315),
    [sym_value_parameter_pack] = STATE(1315),
    [sym_value_pack_expansion] = STATE(1315),
    [sym__referenceable_operator] = STATE(1315),
    [sym__equal_sign] = STATE(1315),
    [sym__eq_eq] = STATE(1315),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym_attribute] = STATE(1036),
    [sym_type_modifiers] = STATE(319),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [aux_sym_value_argument_repeat1] = STATE(4258),
    [aux_sym__lambda_type_declaration_repeat1] = STATE(1036),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1399),
    [sym_real_literal] = ACTIONS(1401),
    [sym_integer_literal] = ACTIONS(1399),
    [sym_hex_literal] = ACTIONS(1401),
    [sym_oct_literal] = ACTIONS(1401),
    [sym_bin_literal] = ACTIONS(1401),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_RBRACK] = ACTIONS(1463),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_switch] = ACTIONS(1407),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1399),
    [anon_sym_POUNDfileID] = ACTIONS(1401),
    [anon_sym_POUNDfilePath] = ACTIONS(1401),
    [anon_sym_POUNDline] = ACTIONS(1401),
    [anon_sym_POUNDcolumn] = ACTIONS(1401),
    [anon_sym_POUNDfunction] = ACTIONS(1401),
    [anon_sym_POUNDdsohandle] = ACTIONS(1401),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1401),
    [anon_sym_DASH_EQ] = ACTIONS(1401),
    [anon_sym_STAR_EQ] = ACTIONS(1401),
    [anon_sym_SLASH_EQ] = ACTIONS(1401),
    [anon_sym_PERCENT_EQ] = ACTIONS(1401),
    [anon_sym_BANG_EQ] = ACTIONS(1399),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1401),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1401),
    [anon_sym_LT_EQ] = ACTIONS(1401),
    [anon_sym_GT_EQ] = ACTIONS(1401),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1399),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PERCENT] = ACTIONS(1399),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1401),
    [anon_sym_CARET] = ACTIONS(1399),
    [anon_sym_LT_LT] = ACTIONS(1401),
    [anon_sym_GT_GT] = ACTIONS(1401),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_AT] = ACTIONS(1409),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1401),
    [sym__eq_eq_custom] = ACTIONS(1401),
    [sym__plus_then_ws] = ACTIONS(1401),
    [sym__minus_then_ws] = ACTIONS(1401),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [256] = {
    [sym_simple_identifier] = STATE(2421),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1315),
    [sym_boolean_literal] = STATE(1315),
    [sym__string_literal] = STATE(1315),
    [sym_line_string_literal] = STATE(1315),
    [sym_multi_line_string_literal] = STATE(1315),
    [sym_raw_string_literal] = STATE(1315),
    [sym_regex_literal] = STATE(1315),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1315),
    [sym__unary_expression] = STATE(1315),
    [sym_postfix_expression] = STATE(1315),
    [sym_constructor_expression] = STATE(1315),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1315),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1315),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1315),
    [sym_prefix_expression] = STATE(1315),
    [sym_as_expression] = STATE(1315),
    [sym_selector_expression] = STATE(1315),
    [sym__binary_expression] = STATE(1315),
    [sym_multiplicative_expression] = STATE(1315),
    [sym_additive_expression] = STATE(1315),
    [sym_range_expression] = STATE(1315),
    [sym_infix_expression] = STATE(1315),
    [sym_nil_coalescing_expression] = STATE(1315),
    [sym_check_expression] = STATE(1315),
    [sym_comparison_expression] = STATE(1315),
    [sym_equality_expression] = STATE(1315),
    [sym_conjunction_expression] = STATE(1315),
    [sym_disjunction_expression] = STATE(1315),
    [sym_bitwise_operation] = STATE(1315),
    [sym_custom_operator] = STATE(864),
    [sym_value_argument_label] = STATE(7782),
    [sym_value_argument] = STATE(6533),
    [sym_try_expression] = STATE(1315),
    [sym_await_expression] = STATE(1315),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1315),
    [sym_call_expression] = STATE(1315),
    [sym__primary_expression] = STATE(1315),
    [sym_tuple_expression] = STATE(1315),
    [sym_array_literal] = STATE(1315),
    [sym_dictionary_literal] = STATE(1315),
    [sym__special_literal] = STATE(1315),
    [sym__playground_literal] = STATE(1315),
    [sym_lambda_literal] = STATE(1315),
    [sym_self_expression] = STATE(1315),
    [sym_super_expression] = STATE(1315),
    [sym_if_statement] = STATE(1315),
    [sym_switch_statement] = STATE(1315),
    [sym_key_path_expression] = STATE(1315),
    [sym_key_path_string_expression] = STATE(1315),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1315),
    [sym__equality_operator] = STATE(1315),
    [sym__comparison_operator] = STATE(1315),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1315),
    [sym__multiplicative_operator] = STATE(1315),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1315),
    [sym_value_parameter_pack] = STATE(1315),
    [sym_value_pack_expansion] = STATE(1315),
    [sym__referenceable_operator] = STATE(1315),
    [sym__equal_sign] = STATE(1315),
    [sym__eq_eq] = STATE(1315),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym_attribute] = STATE(1036),
    [sym_type_modifiers] = STATE(319),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [aux_sym_value_argument_repeat1] = STATE(4258),
    [aux_sym__lambda_type_declaration_repeat1] = STATE(1036),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1399),
    [sym_real_literal] = ACTIONS(1401),
    [sym_integer_literal] = ACTIONS(1399),
    [sym_hex_literal] = ACTIONS(1401),
    [sym_oct_literal] = ACTIONS(1401),
    [sym_bin_literal] = ACTIONS(1401),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [anon_sym_RPAREN] = ACTIONS(1457),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_switch] = ACTIONS(1407),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1399),
    [anon_sym_POUNDfileID] = ACTIONS(1401),
    [anon_sym_POUNDfilePath] = ACTIONS(1401),
    [anon_sym_POUNDline] = ACTIONS(1401),
    [anon_sym_POUNDcolumn] = ACTIONS(1401),
    [anon_sym_POUNDfunction] = ACTIONS(1401),
    [anon_sym_POUNDdsohandle] = ACTIONS(1401),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1401),
    [anon_sym_DASH_EQ] = ACTIONS(1401),
    [anon_sym_STAR_EQ] = ACTIONS(1401),
    [anon_sym_SLASH_EQ] = ACTIONS(1401),
    [anon_sym_PERCENT_EQ] = ACTIONS(1401),
    [anon_sym_BANG_EQ] = ACTIONS(1399),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1401),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1401),
    [anon_sym_LT_EQ] = ACTIONS(1401),
    [anon_sym_GT_EQ] = ACTIONS(1401),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1399),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PERCENT] = ACTIONS(1399),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1401),
    [anon_sym_CARET] = ACTIONS(1399),
    [anon_sym_LT_LT] = ACTIONS(1401),
    [anon_sym_GT_GT] = ACTIONS(1401),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_AT] = ACTIONS(1409),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1401),
    [sym__eq_eq_custom] = ACTIONS(1401),
    [sym__plus_then_ws] = ACTIONS(1401),
    [sym__minus_then_ws] = ACTIONS(1401),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [257] = {
    [sym_simple_identifier] = STATE(2421),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1315),
    [sym_boolean_literal] = STATE(1315),
    [sym__string_literal] = STATE(1315),
    [sym_line_string_literal] = STATE(1315),
    [sym_multi_line_string_literal] = STATE(1315),
    [sym_raw_string_literal] = STATE(1315),
    [sym_regex_literal] = STATE(1315),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1315),
    [sym__unary_expression] = STATE(1315),
    [sym_postfix_expression] = STATE(1315),
    [sym_constructor_expression] = STATE(1315),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1315),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1315),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1315),
    [sym_prefix_expression] = STATE(1315),
    [sym_as_expression] = STATE(1315),
    [sym_selector_expression] = STATE(1315),
    [sym__binary_expression] = STATE(1315),
    [sym_multiplicative_expression] = STATE(1315),
    [sym_additive_expression] = STATE(1315),
    [sym_range_expression] = STATE(1315),
    [sym_infix_expression] = STATE(1315),
    [sym_nil_coalescing_expression] = STATE(1315),
    [sym_check_expression] = STATE(1315),
    [sym_comparison_expression] = STATE(1315),
    [sym_equality_expression] = STATE(1315),
    [sym_conjunction_expression] = STATE(1315),
    [sym_disjunction_expression] = STATE(1315),
    [sym_bitwise_operation] = STATE(1315),
    [sym_custom_operator] = STATE(864),
    [sym_value_argument_label] = STATE(7782),
    [sym_value_argument] = STATE(6502),
    [sym_try_expression] = STATE(1315),
    [sym_await_expression] = STATE(1315),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1315),
    [sym_call_expression] = STATE(1315),
    [sym__primary_expression] = STATE(1315),
    [sym_tuple_expression] = STATE(1315),
    [sym_array_literal] = STATE(1315),
    [sym_dictionary_literal] = STATE(1315),
    [sym__special_literal] = STATE(1315),
    [sym__playground_literal] = STATE(1315),
    [sym_lambda_literal] = STATE(1315),
    [sym_self_expression] = STATE(1315),
    [sym_super_expression] = STATE(1315),
    [sym_if_statement] = STATE(1315),
    [sym_switch_statement] = STATE(1315),
    [sym_key_path_expression] = STATE(1315),
    [sym_key_path_string_expression] = STATE(1315),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1315),
    [sym__equality_operator] = STATE(1315),
    [sym__comparison_operator] = STATE(1315),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1315),
    [sym__multiplicative_operator] = STATE(1315),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1315),
    [sym_value_parameter_pack] = STATE(1315),
    [sym_value_pack_expansion] = STATE(1315),
    [sym__referenceable_operator] = STATE(1315),
    [sym__equal_sign] = STATE(1315),
    [sym__eq_eq] = STATE(1315),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym_attribute] = STATE(1036),
    [sym_type_modifiers] = STATE(319),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [aux_sym_value_argument_repeat1] = STATE(4258),
    [aux_sym__lambda_type_declaration_repeat1] = STATE(1036),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1399),
    [sym_real_literal] = ACTIONS(1401),
    [sym_integer_literal] = ACTIONS(1399),
    [sym_hex_literal] = ACTIONS(1401),
    [sym_oct_literal] = ACTIONS(1401),
    [sym_bin_literal] = ACTIONS(1401),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [anon_sym_RPAREN] = ACTIONS(1449),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_switch] = ACTIONS(1407),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1399),
    [anon_sym_POUNDfileID] = ACTIONS(1401),
    [anon_sym_POUNDfilePath] = ACTIONS(1401),
    [anon_sym_POUNDline] = ACTIONS(1401),
    [anon_sym_POUNDcolumn] = ACTIONS(1401),
    [anon_sym_POUNDfunction] = ACTIONS(1401),
    [anon_sym_POUNDdsohandle] = ACTIONS(1401),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1401),
    [anon_sym_DASH_EQ] = ACTIONS(1401),
    [anon_sym_STAR_EQ] = ACTIONS(1401),
    [anon_sym_SLASH_EQ] = ACTIONS(1401),
    [anon_sym_PERCENT_EQ] = ACTIONS(1401),
    [anon_sym_BANG_EQ] = ACTIONS(1399),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1401),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1401),
    [anon_sym_LT_EQ] = ACTIONS(1401),
    [anon_sym_GT_EQ] = ACTIONS(1401),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1399),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PERCENT] = ACTIONS(1399),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1401),
    [anon_sym_CARET] = ACTIONS(1399),
    [anon_sym_LT_LT] = ACTIONS(1401),
    [anon_sym_GT_GT] = ACTIONS(1401),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_AT] = ACTIONS(1409),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1401),
    [sym__eq_eq_custom] = ACTIONS(1401),
    [sym__plus_then_ws] = ACTIONS(1401),
    [sym__minus_then_ws] = ACTIONS(1401),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [258] = {
    [sym_simple_identifier] = STATE(2421),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1315),
    [sym_boolean_literal] = STATE(1315),
    [sym__string_literal] = STATE(1315),
    [sym_line_string_literal] = STATE(1315),
    [sym_multi_line_string_literal] = STATE(1315),
    [sym_raw_string_literal] = STATE(1315),
    [sym_regex_literal] = STATE(1315),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1315),
    [sym__unary_expression] = STATE(1315),
    [sym_postfix_expression] = STATE(1315),
    [sym_constructor_expression] = STATE(1315),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1315),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1315),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1315),
    [sym_prefix_expression] = STATE(1315),
    [sym_as_expression] = STATE(1315),
    [sym_selector_expression] = STATE(1315),
    [sym__binary_expression] = STATE(1315),
    [sym_multiplicative_expression] = STATE(1315),
    [sym_additive_expression] = STATE(1315),
    [sym_range_expression] = STATE(1315),
    [sym_infix_expression] = STATE(1315),
    [sym_nil_coalescing_expression] = STATE(1315),
    [sym_check_expression] = STATE(1315),
    [sym_comparison_expression] = STATE(1315),
    [sym_equality_expression] = STATE(1315),
    [sym_conjunction_expression] = STATE(1315),
    [sym_disjunction_expression] = STATE(1315),
    [sym_bitwise_operation] = STATE(1315),
    [sym_custom_operator] = STATE(864),
    [sym_value_argument_label] = STATE(7782),
    [sym_value_argument] = STATE(7157),
    [sym_try_expression] = STATE(1315),
    [sym_await_expression] = STATE(1315),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1315),
    [sym_call_expression] = STATE(1315),
    [sym__primary_expression] = STATE(1315),
    [sym_tuple_expression] = STATE(1315),
    [sym_array_literal] = STATE(1315),
    [sym_dictionary_literal] = STATE(1315),
    [sym__special_literal] = STATE(1315),
    [sym__playground_literal] = STATE(1315),
    [sym_lambda_literal] = STATE(1315),
    [sym_self_expression] = STATE(1315),
    [sym_super_expression] = STATE(1315),
    [sym_if_statement] = STATE(1315),
    [sym_switch_statement] = STATE(1315),
    [sym_key_path_expression] = STATE(1315),
    [sym_key_path_string_expression] = STATE(1315),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1315),
    [sym__equality_operator] = STATE(1315),
    [sym__comparison_operator] = STATE(1315),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1315),
    [sym__multiplicative_operator] = STATE(1315),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1315),
    [sym_value_parameter_pack] = STATE(1315),
    [sym_value_pack_expansion] = STATE(1315),
    [sym__referenceable_operator] = STATE(1315),
    [sym__equal_sign] = STATE(1315),
    [sym__eq_eq] = STATE(1315),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym_attribute] = STATE(1036),
    [sym_type_modifiers] = STATE(319),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [aux_sym_value_argument_repeat1] = STATE(4258),
    [aux_sym__lambda_type_declaration_repeat1] = STATE(1036),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1399),
    [sym_real_literal] = ACTIONS(1401),
    [sym_integer_literal] = ACTIONS(1399),
    [sym_hex_literal] = ACTIONS(1401),
    [sym_oct_literal] = ACTIONS(1401),
    [sym_bin_literal] = ACTIONS(1401),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_switch] = ACTIONS(1407),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1399),
    [anon_sym_POUNDfileID] = ACTIONS(1401),
    [anon_sym_POUNDfilePath] = ACTIONS(1401),
    [anon_sym_POUNDline] = ACTIONS(1401),
    [anon_sym_POUNDcolumn] = ACTIONS(1401),
    [anon_sym_POUNDfunction] = ACTIONS(1401),
    [anon_sym_POUNDdsohandle] = ACTIONS(1401),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1401),
    [anon_sym_DASH_EQ] = ACTIONS(1401),
    [anon_sym_STAR_EQ] = ACTIONS(1401),
    [anon_sym_SLASH_EQ] = ACTIONS(1401),
    [anon_sym_PERCENT_EQ] = ACTIONS(1401),
    [anon_sym_BANG_EQ] = ACTIONS(1399),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1401),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1401),
    [anon_sym_LT_EQ] = ACTIONS(1401),
    [anon_sym_GT_EQ] = ACTIONS(1401),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1399),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PERCENT] = ACTIONS(1399),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1401),
    [anon_sym_CARET] = ACTIONS(1399),
    [anon_sym_LT_LT] = ACTIONS(1401),
    [anon_sym_GT_GT] = ACTIONS(1401),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_AT] = ACTIONS(1409),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1401),
    [sym__eq_eq_custom] = ACTIONS(1401),
    [sym__plus_then_ws] = ACTIONS(1401),
    [sym__minus_then_ws] = ACTIONS(1401),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [259] = {
    [sym_simple_identifier] = STATE(2421),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1315),
    [sym_boolean_literal] = STATE(1315),
    [sym__string_literal] = STATE(1315),
    [sym_line_string_literal] = STATE(1315),
    [sym_multi_line_string_literal] = STATE(1315),
    [sym_raw_string_literal] = STATE(1315),
    [sym_regex_literal] = STATE(1315),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1315),
    [sym__unary_expression] = STATE(1315),
    [sym_postfix_expression] = STATE(1315),
    [sym_constructor_expression] = STATE(1315),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1315),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1315),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1315),
    [sym_prefix_expression] = STATE(1315),
    [sym_as_expression] = STATE(1315),
    [sym_selector_expression] = STATE(1315),
    [sym__binary_expression] = STATE(1315),
    [sym_multiplicative_expression] = STATE(1315),
    [sym_additive_expression] = STATE(1315),
    [sym_range_expression] = STATE(1315),
    [sym_infix_expression] = STATE(1315),
    [sym_nil_coalescing_expression] = STATE(1315),
    [sym_check_expression] = STATE(1315),
    [sym_comparison_expression] = STATE(1315),
    [sym_equality_expression] = STATE(1315),
    [sym_conjunction_expression] = STATE(1315),
    [sym_disjunction_expression] = STATE(1315),
    [sym_bitwise_operation] = STATE(1315),
    [sym_custom_operator] = STATE(864),
    [sym_value_argument_label] = STATE(7782),
    [sym_value_argument] = STATE(7478),
    [sym_try_expression] = STATE(1315),
    [sym_await_expression] = STATE(1315),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1315),
    [sym_call_expression] = STATE(1315),
    [sym__primary_expression] = STATE(1315),
    [sym_tuple_expression] = STATE(1315),
    [sym_array_literal] = STATE(1315),
    [sym_dictionary_literal] = STATE(1315),
    [sym__special_literal] = STATE(1315),
    [sym__playground_literal] = STATE(1315),
    [sym_lambda_literal] = STATE(1315),
    [sym_self_expression] = STATE(1315),
    [sym_super_expression] = STATE(1315),
    [sym_if_statement] = STATE(1315),
    [sym_switch_statement] = STATE(1315),
    [sym_key_path_expression] = STATE(1315),
    [sym_key_path_string_expression] = STATE(1315),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1315),
    [sym__equality_operator] = STATE(1315),
    [sym__comparison_operator] = STATE(1315),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1315),
    [sym__multiplicative_operator] = STATE(1315),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1315),
    [sym_value_parameter_pack] = STATE(1315),
    [sym_value_pack_expansion] = STATE(1315),
    [sym__referenceable_operator] = STATE(1315),
    [sym__equal_sign] = STATE(1315),
    [sym__eq_eq] = STATE(1315),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym_attribute] = STATE(1036),
    [sym_type_modifiers] = STATE(319),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [aux_sym_value_argument_repeat1] = STATE(4258),
    [aux_sym__lambda_type_declaration_repeat1] = STATE(1036),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1399),
    [sym_real_literal] = ACTIONS(1401),
    [sym_integer_literal] = ACTIONS(1399),
    [sym_hex_literal] = ACTIONS(1401),
    [sym_oct_literal] = ACTIONS(1401),
    [sym_bin_literal] = ACTIONS(1401),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_switch] = ACTIONS(1407),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1399),
    [anon_sym_POUNDfileID] = ACTIONS(1401),
    [anon_sym_POUNDfilePath] = ACTIONS(1401),
    [anon_sym_POUNDline] = ACTIONS(1401),
    [anon_sym_POUNDcolumn] = ACTIONS(1401),
    [anon_sym_POUNDfunction] = ACTIONS(1401),
    [anon_sym_POUNDdsohandle] = ACTIONS(1401),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1401),
    [anon_sym_DASH_EQ] = ACTIONS(1401),
    [anon_sym_STAR_EQ] = ACTIONS(1401),
    [anon_sym_SLASH_EQ] = ACTIONS(1401),
    [anon_sym_PERCENT_EQ] = ACTIONS(1401),
    [anon_sym_BANG_EQ] = ACTIONS(1399),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1401),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1401),
    [anon_sym_LT_EQ] = ACTIONS(1401),
    [anon_sym_GT_EQ] = ACTIONS(1401),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1399),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PERCENT] = ACTIONS(1399),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1401),
    [anon_sym_CARET] = ACTIONS(1399),
    [anon_sym_LT_LT] = ACTIONS(1401),
    [anon_sym_GT_GT] = ACTIONS(1401),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_AT] = ACTIONS(1409),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1401),
    [sym__eq_eq_custom] = ACTIONS(1401),
    [sym__plus_then_ws] = ACTIONS(1401),
    [sym__minus_then_ws] = ACTIONS(1401),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [260] = {
    [sym_simple_identifier] = STATE(1505),
    [sym__contextual_simple_identifier] = STATE(1619),
    [sym__basic_literal] = STATE(1355),
    [sym_boolean_literal] = STATE(1355),
    [sym__string_literal] = STATE(1355),
    [sym_line_string_literal] = STATE(1355),
    [sym_multi_line_string_literal] = STATE(1355),
    [sym_raw_string_literal] = STATE(1355),
    [sym_regex_literal] = STATE(1355),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5390),
    [sym_opaque_type] = STATE(7667),
    [sym_existential_type] = STATE(7667),
    [sym__expression] = STATE(1355),
    [sym__unary_expression] = STATE(1355),
    [sym_postfix_expression] = STATE(1355),
    [sym_constructor_expression] = STATE(1355),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1355),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1355),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1355),
    [sym_prefix_expression] = STATE(1355),
    [sym_as_expression] = STATE(1355),
    [sym_selector_expression] = STATE(1355),
    [sym__binary_expression] = STATE(1355),
    [sym_multiplicative_expression] = STATE(1355),
    [sym_additive_expression] = STATE(1355),
    [sym_range_expression] = STATE(1355),
    [sym_infix_expression] = STATE(1355),
    [sym_nil_coalescing_expression] = STATE(1355),
    [sym_check_expression] = STATE(1355),
    [sym_comparison_expression] = STATE(1355),
    [sym_equality_expression] = STATE(1355),
    [sym_conjunction_expression] = STATE(1355),
    [sym_disjunction_expression] = STATE(1355),
    [sym_bitwise_operation] = STATE(1355),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1355),
    [sym_await_expression] = STATE(1355),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1355),
    [sym_call_expression] = STATE(1355),
    [sym__primary_expression] = STATE(1355),
    [sym_tuple_expression] = STATE(1355),
    [sym_array_literal] = STATE(1355),
    [sym_dictionary_literal] = STATE(1355),
    [sym__special_literal] = STATE(1355),
    [sym__playground_literal] = STATE(1355),
    [sym_lambda_literal] = STATE(1355),
    [sym_lambda_function_type_parameters] = STATE(7840),
    [sym_lambda_parameter] = STATE(7142),
    [sym_self_expression] = STATE(3120),
    [sym_super_expression] = STATE(1355),
    [sym_if_statement] = STATE(1355),
    [sym_switch_statement] = STATE(1355),
    [sym_key_path_expression] = STATE(1355),
    [sym_key_path_string_expression] = STATE(1355),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1355),
    [sym__equality_operator] = STATE(1355),
    [sym__comparison_operator] = STATE(1355),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1355),
    [sym__multiplicative_operator] = STATE(1355),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1355),
    [sym_value_parameter_pack] = STATE(1355),
    [sym_value_pack_expansion] = STATE(1355),
    [sym__referenceable_operator] = STATE(1355),
    [sym__equal_sign] = STATE(1355),
    [sym__eq_eq] = STATE(1355),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(1619),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(1465),
    [aux_sym_simple_identifier_token2] = ACTIONS(1467),
    [aux_sym_simple_identifier_token3] = ACTIONS(1467),
    [aux_sym_simple_identifier_token4] = ACTIONS(1467),
    [anon_sym_actor] = ACTIONS(1465),
    [anon_sym_async] = ACTIONS(1465),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(1465),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(1465),
    [anon_sym_nil] = ACTIONS(1469),
    [sym_real_literal] = ACTIONS(1471),
    [sym_integer_literal] = ACTIONS(1469),
    [sym_hex_literal] = ACTIONS(1471),
    [sym_oct_literal] = ACTIONS(1471),
    [sym_bin_literal] = ACTIONS(1471),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [anon_sym_RPAREN] = ACTIONS(1473),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_some] = ACTIONS(783),
    [anon_sym_any] = ACTIONS(785),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1469),
    [anon_sym_GT] = ACTIONS(1469),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1469),
    [anon_sym_POUNDfileID] = ACTIONS(1471),
    [anon_sym_POUNDfilePath] = ACTIONS(1471),
    [anon_sym_POUNDline] = ACTIONS(1471),
    [anon_sym_POUNDcolumn] = ACTIONS(1471),
    [anon_sym_POUNDfunction] = ACTIONS(1471),
    [anon_sym_POUNDdsohandle] = ACTIONS(1471),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1471),
    [anon_sym_DASH_EQ] = ACTIONS(1471),
    [anon_sym_STAR_EQ] = ACTIONS(1471),
    [anon_sym_SLASH_EQ] = ACTIONS(1471),
    [anon_sym_PERCENT_EQ] = ACTIONS(1471),
    [anon_sym_BANG_EQ] = ACTIONS(1469),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1471),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1471),
    [anon_sym_LT_EQ] = ACTIONS(1471),
    [anon_sym_GT_EQ] = ACTIONS(1471),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1469),
    [anon_sym_SLASH] = ACTIONS(1469),
    [anon_sym_PERCENT] = ACTIONS(1469),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1471),
    [anon_sym_CARET] = ACTIONS(1469),
    [anon_sym_LT_LT] = ACTIONS(1471),
    [anon_sym_GT_GT] = ACTIONS(1471),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(1465),
    [anon_sym_consuming] = ACTIONS(1465),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1471),
    [sym__eq_eq_custom] = ACTIONS(1471),
    [sym__plus_then_ws] = ACTIONS(1471),
    [sym__minus_then_ws] = ACTIONS(1471),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [261] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1354),
    [sym_boolean_literal] = STATE(1354),
    [sym__string_literal] = STATE(1354),
    [sym_line_string_literal] = STATE(1354),
    [sym_multi_line_string_literal] = STATE(1354),
    [sym_raw_string_literal] = STATE(1354),
    [sym_regex_literal] = STATE(1354),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1354),
    [sym__unary_expression] = STATE(1354),
    [sym_postfix_expression] = STATE(1354),
    [sym_constructor_expression] = STATE(1354),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1354),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1354),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1354),
    [sym_prefix_expression] = STATE(1354),
    [sym_as_expression] = STATE(1354),
    [sym_selector_expression] = STATE(1354),
    [sym__binary_expression] = STATE(1354),
    [sym_multiplicative_expression] = STATE(1354),
    [sym_additive_expression] = STATE(1354),
    [sym_range_expression] = STATE(1354),
    [sym_infix_expression] = STATE(1354),
    [sym_nil_coalescing_expression] = STATE(1354),
    [sym_check_expression] = STATE(1354),
    [sym_comparison_expression] = STATE(1354),
    [sym_equality_expression] = STATE(1354),
    [sym_conjunction_expression] = STATE(1354),
    [sym_disjunction_expression] = STATE(1354),
    [sym_bitwise_operation] = STATE(1354),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1354),
    [sym_await_expression] = STATE(1354),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1354),
    [sym_call_expression] = STATE(1354),
    [sym__primary_expression] = STATE(1354),
    [sym_tuple_expression] = STATE(1354),
    [sym_array_literal] = STATE(1354),
    [sym_dictionary_literal] = STATE(1354),
    [sym__special_literal] = STATE(1354),
    [sym__playground_literal] = STATE(1354),
    [sym_lambda_literal] = STATE(1354),
    [sym_self_expression] = STATE(1354),
    [sym_super_expression] = STATE(1354),
    [sym_if_statement] = STATE(1354),
    [sym_switch_statement] = STATE(1354),
    [sym_key_path_expression] = STATE(1354),
    [sym_key_path_string_expression] = STATE(1354),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1354),
    [sym__equality_operator] = STATE(1354),
    [sym__comparison_operator] = STATE(1354),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1354),
    [sym__multiplicative_operator] = STATE(1354),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1354),
    [sym_value_parameter_pack] = STATE(1354),
    [sym_value_pack_expansion] = STATE(1354),
    [sym__referenceable_operator] = STATE(1354),
    [sym__equal_sign] = STATE(1354),
    [sym__eq_eq] = STATE(1354),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(1475),
    [aux_sym_simple_identifier_token2] = ACTIONS(1478),
    [aux_sym_simple_identifier_token3] = ACTIONS(1478),
    [aux_sym_simple_identifier_token4] = ACTIONS(1478),
    [anon_sym_actor] = ACTIONS(1475),
    [anon_sym_async] = ACTIONS(1475),
    [anon_sym_each] = ACTIONS(1481),
    [anon_sym_lazy] = ACTIONS(1475),
    [anon_sym_repeat] = ACTIONS(1484),
    [anon_sym_package] = ACTIONS(1475),
    [anon_sym_nil] = ACTIONS(1487),
    [sym_real_literal] = ACTIONS(1489),
    [sym_integer_literal] = ACTIONS(1487),
    [sym_hex_literal] = ACTIONS(1489),
    [sym_oct_literal] = ACTIONS(1489),
    [sym_bin_literal] = ACTIONS(1489),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(1491),
    [anon_sym_LBRACK] = ACTIONS(1494),
    [anon_sym_some] = ACTIONS(1497),
    [anon_sym_any] = ACTIONS(1497),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1487),
    [anon_sym_GT] = ACTIONS(1487),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1487),
    [anon_sym_POUNDfileID] = ACTIONS(1489),
    [anon_sym_POUNDfilePath] = ACTIONS(1489),
    [anon_sym_POUNDline] = ACTIONS(1489),
    [anon_sym_POUNDcolumn] = ACTIONS(1489),
    [anon_sym_POUNDfunction] = ACTIONS(1489),
    [anon_sym_POUNDdsohandle] = ACTIONS(1489),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1489),
    [anon_sym_DASH_EQ] = ACTIONS(1489),
    [anon_sym_STAR_EQ] = ACTIONS(1489),
    [anon_sym_SLASH_EQ] = ACTIONS(1489),
    [anon_sym_PERCENT_EQ] = ACTIONS(1489),
    [anon_sym_BANG_EQ] = ACTIONS(1487),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1489),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1489),
    [anon_sym_LT_EQ] = ACTIONS(1489),
    [anon_sym_GT_EQ] = ACTIONS(1489),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1487),
    [anon_sym_SLASH] = ACTIONS(1487),
    [anon_sym_PERCENT] = ACTIONS(1487),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1489),
    [anon_sym_CARET] = ACTIONS(1487),
    [anon_sym_LT_LT] = ACTIONS(1489),
    [anon_sym_GT_GT] = ACTIONS(1489),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_AT] = ACTIONS(1497),
    [anon_sym_inout] = ACTIONS(1497),
    [anon_sym_ATescaping] = ACTIONS(1499),
    [anon_sym_ATautoclosure] = ACTIONS(1499),
    [anon_sym_borrowing] = ACTIONS(1475),
    [anon_sym_consuming] = ACTIONS(1475),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1489),
    [sym__eq_eq_custom] = ACTIONS(1489),
    [sym__plus_then_ws] = ACTIONS(1489),
    [sym__minus_then_ws] = ACTIONS(1489),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [262] = {
    [sym_simple_identifier] = STATE(2651),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1340),
    [sym_boolean_literal] = STATE(1340),
    [sym__string_literal] = STATE(1340),
    [sym_line_string_literal] = STATE(1340),
    [sym_multi_line_string_literal] = STATE(1340),
    [sym_raw_string_literal] = STATE(1340),
    [sym_regex_literal] = STATE(1340),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5390),
    [sym_opaque_type] = STATE(7667),
    [sym_existential_type] = STATE(7667),
    [sym__expression] = STATE(1340),
    [sym__unary_expression] = STATE(1340),
    [sym_postfix_expression] = STATE(1340),
    [sym_constructor_expression] = STATE(1340),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1340),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1340),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1340),
    [sym_prefix_expression] = STATE(1340),
    [sym_as_expression] = STATE(1340),
    [sym_selector_expression] = STATE(1340),
    [sym__binary_expression] = STATE(1340),
    [sym_multiplicative_expression] = STATE(1340),
    [sym_additive_expression] = STATE(1340),
    [sym_range_expression] = STATE(1340),
    [sym_infix_expression] = STATE(1340),
    [sym_nil_coalescing_expression] = STATE(1340),
    [sym_check_expression] = STATE(1340),
    [sym_comparison_expression] = STATE(1340),
    [sym_equality_expression] = STATE(1340),
    [sym_conjunction_expression] = STATE(1340),
    [sym_disjunction_expression] = STATE(1340),
    [sym_bitwise_operation] = STATE(1340),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1340),
    [sym_await_expression] = STATE(1340),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1340),
    [sym_call_expression] = STATE(1340),
    [sym__primary_expression] = STATE(1340),
    [sym_tuple_expression] = STATE(1340),
    [sym_array_literal] = STATE(1340),
    [sym_dictionary_literal] = STATE(1340),
    [sym__special_literal] = STATE(1340),
    [sym__playground_literal] = STATE(1340),
    [sym_lambda_literal] = STATE(1340),
    [sym_self_expression] = STATE(1340),
    [sym_super_expression] = STATE(1340),
    [sym_if_statement] = STATE(1340),
    [sym_switch_statement] = STATE(1340),
    [sym_key_path_expression] = STATE(1340),
    [sym_key_path_string_expression] = STATE(1340),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1340),
    [sym__equality_operator] = STATE(1340),
    [sym__comparison_operator] = STATE(1340),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1340),
    [sym__multiplicative_operator] = STATE(1340),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1340),
    [sym_value_parameter_pack] = STATE(1340),
    [sym_value_pack_expansion] = STATE(1340),
    [sym__referenceable_operator] = STATE(1340),
    [sym__equal_sign] = STATE(1340),
    [sym__eq_eq] = STATE(1340),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1501),
    [sym_real_literal] = ACTIONS(1503),
    [sym_integer_literal] = ACTIONS(1501),
    [sym_hex_literal] = ACTIONS(1503),
    [sym_oct_literal] = ACTIONS(1503),
    [sym_bin_literal] = ACTIONS(1503),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_some] = ACTIONS(783),
    [anon_sym_any] = ACTIONS(785),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1501),
    [anon_sym_GT] = ACTIONS(1501),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1501),
    [anon_sym_POUNDfileID] = ACTIONS(1503),
    [anon_sym_POUNDfilePath] = ACTIONS(1503),
    [anon_sym_POUNDline] = ACTIONS(1503),
    [anon_sym_POUNDcolumn] = ACTIONS(1503),
    [anon_sym_POUNDfunction] = ACTIONS(1503),
    [anon_sym_POUNDdsohandle] = ACTIONS(1503),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1503),
    [anon_sym_DASH_EQ] = ACTIONS(1503),
    [anon_sym_STAR_EQ] = ACTIONS(1503),
    [anon_sym_SLASH_EQ] = ACTIONS(1503),
    [anon_sym_PERCENT_EQ] = ACTIONS(1503),
    [anon_sym_BANG_EQ] = ACTIONS(1501),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1503),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1503),
    [anon_sym_LT_EQ] = ACTIONS(1503),
    [anon_sym_GT_EQ] = ACTIONS(1503),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1501),
    [anon_sym_SLASH] = ACTIONS(1501),
    [anon_sym_PERCENT] = ACTIONS(1501),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1503),
    [anon_sym_CARET] = ACTIONS(1501),
    [anon_sym_LT_LT] = ACTIONS(1503),
    [anon_sym_GT_GT] = ACTIONS(1503),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1503),
    [sym__eq_eq_custom] = ACTIONS(1503),
    [sym__plus_then_ws] = ACTIONS(1503),
    [sym__minus_then_ws] = ACTIONS(1503),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [263] = {
    [sym_simple_identifier] = STATE(2630),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1328),
    [sym_boolean_literal] = STATE(1328),
    [sym__string_literal] = STATE(1328),
    [sym_line_string_literal] = STATE(1328),
    [sym_multi_line_string_literal] = STATE(1328),
    [sym_raw_string_literal] = STATE(1328),
    [sym_regex_literal] = STATE(1328),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5390),
    [sym_opaque_type] = STATE(7667),
    [sym_existential_type] = STATE(7667),
    [sym__expression] = STATE(1328),
    [sym__unary_expression] = STATE(1328),
    [sym_postfix_expression] = STATE(1328),
    [sym_constructor_expression] = STATE(1328),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1328),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1328),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1328),
    [sym_prefix_expression] = STATE(1328),
    [sym_as_expression] = STATE(1328),
    [sym_selector_expression] = STATE(1328),
    [sym__binary_expression] = STATE(1328),
    [sym_multiplicative_expression] = STATE(1328),
    [sym_additive_expression] = STATE(1328),
    [sym_range_expression] = STATE(1328),
    [sym_infix_expression] = STATE(1328),
    [sym_nil_coalescing_expression] = STATE(1328),
    [sym_check_expression] = STATE(1328),
    [sym_comparison_expression] = STATE(1328),
    [sym_equality_expression] = STATE(1328),
    [sym_conjunction_expression] = STATE(1328),
    [sym_disjunction_expression] = STATE(1328),
    [sym_bitwise_operation] = STATE(1328),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1328),
    [sym_await_expression] = STATE(1328),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1328),
    [sym_call_expression] = STATE(1328),
    [sym__primary_expression] = STATE(1328),
    [sym_tuple_expression] = STATE(1328),
    [sym_array_literal] = STATE(1328),
    [sym_dictionary_literal] = STATE(1328),
    [sym__special_literal] = STATE(1328),
    [sym__playground_literal] = STATE(1328),
    [sym_lambda_literal] = STATE(1328),
    [sym_self_expression] = STATE(1328),
    [sym_super_expression] = STATE(1328),
    [sym_if_statement] = STATE(1328),
    [sym_switch_statement] = STATE(1328),
    [sym_key_path_expression] = STATE(1328),
    [sym_key_path_string_expression] = STATE(1328),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1328),
    [sym__equality_operator] = STATE(1328),
    [sym__comparison_operator] = STATE(1328),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1328),
    [sym__multiplicative_operator] = STATE(1328),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1328),
    [sym_value_parameter_pack] = STATE(1328),
    [sym_value_pack_expansion] = STATE(1328),
    [sym__referenceable_operator] = STATE(1328),
    [sym__equal_sign] = STATE(1328),
    [sym__eq_eq] = STATE(1328),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1505),
    [sym_real_literal] = ACTIONS(1507),
    [sym_integer_literal] = ACTIONS(1505),
    [sym_hex_literal] = ACTIONS(1507),
    [sym_oct_literal] = ACTIONS(1507),
    [sym_bin_literal] = ACTIONS(1507),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_some] = ACTIONS(783),
    [anon_sym_any] = ACTIONS(785),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1505),
    [anon_sym_GT] = ACTIONS(1505),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1505),
    [anon_sym_POUNDfileID] = ACTIONS(1507),
    [anon_sym_POUNDfilePath] = ACTIONS(1507),
    [anon_sym_POUNDline] = ACTIONS(1507),
    [anon_sym_POUNDcolumn] = ACTIONS(1507),
    [anon_sym_POUNDfunction] = ACTIONS(1507),
    [anon_sym_POUNDdsohandle] = ACTIONS(1507),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1507),
    [anon_sym_DASH_EQ] = ACTIONS(1507),
    [anon_sym_STAR_EQ] = ACTIONS(1507),
    [anon_sym_SLASH_EQ] = ACTIONS(1507),
    [anon_sym_PERCENT_EQ] = ACTIONS(1507),
    [anon_sym_BANG_EQ] = ACTIONS(1505),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1507),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1507),
    [anon_sym_LT_EQ] = ACTIONS(1507),
    [anon_sym_GT_EQ] = ACTIONS(1507),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1505),
    [anon_sym_SLASH] = ACTIONS(1505),
    [anon_sym_PERCENT] = ACTIONS(1505),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1507),
    [anon_sym_CARET] = ACTIONS(1505),
    [anon_sym_LT_LT] = ACTIONS(1507),
    [anon_sym_GT_GT] = ACTIONS(1507),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1507),
    [sym__eq_eq_custom] = ACTIONS(1507),
    [sym__plus_then_ws] = ACTIONS(1507),
    [sym__minus_then_ws] = ACTIONS(1507),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [264] = {
    [sym_simple_identifier] = STATE(2656),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1358),
    [sym_boolean_literal] = STATE(1358),
    [sym__string_literal] = STATE(1358),
    [sym_line_string_literal] = STATE(1358),
    [sym_multi_line_string_literal] = STATE(1358),
    [sym_raw_string_literal] = STATE(1358),
    [sym_regex_literal] = STATE(1358),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5390),
    [sym_opaque_type] = STATE(7667),
    [sym_existential_type] = STATE(7667),
    [sym__expression] = STATE(1358),
    [sym__unary_expression] = STATE(1358),
    [sym_postfix_expression] = STATE(1358),
    [sym_constructor_expression] = STATE(1358),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1358),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1358),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1358),
    [sym_prefix_expression] = STATE(1358),
    [sym_as_expression] = STATE(1358),
    [sym_selector_expression] = STATE(1358),
    [sym__binary_expression] = STATE(1358),
    [sym_multiplicative_expression] = STATE(1358),
    [sym_additive_expression] = STATE(1358),
    [sym_range_expression] = STATE(1358),
    [sym_infix_expression] = STATE(1358),
    [sym_nil_coalescing_expression] = STATE(1358),
    [sym_check_expression] = STATE(1358),
    [sym_comparison_expression] = STATE(1358),
    [sym_equality_expression] = STATE(1358),
    [sym_conjunction_expression] = STATE(1358),
    [sym_disjunction_expression] = STATE(1358),
    [sym_bitwise_operation] = STATE(1358),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1358),
    [sym_await_expression] = STATE(1358),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1358),
    [sym_call_expression] = STATE(1358),
    [sym__primary_expression] = STATE(1358),
    [sym_tuple_expression] = STATE(1358),
    [sym_array_literal] = STATE(1358),
    [sym_dictionary_literal] = STATE(1358),
    [sym__special_literal] = STATE(1358),
    [sym__playground_literal] = STATE(1358),
    [sym_lambda_literal] = STATE(1358),
    [sym_self_expression] = STATE(1358),
    [sym_super_expression] = STATE(1358),
    [sym_if_statement] = STATE(1358),
    [sym_switch_statement] = STATE(1358),
    [sym_key_path_expression] = STATE(1358),
    [sym_key_path_string_expression] = STATE(1358),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1358),
    [sym__equality_operator] = STATE(1358),
    [sym__comparison_operator] = STATE(1358),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1358),
    [sym__multiplicative_operator] = STATE(1358),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1358),
    [sym_value_parameter_pack] = STATE(1358),
    [sym_value_pack_expansion] = STATE(1358),
    [sym__referenceable_operator] = STATE(1358),
    [sym__equal_sign] = STATE(1358),
    [sym__eq_eq] = STATE(1358),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1509),
    [sym_real_literal] = ACTIONS(1511),
    [sym_integer_literal] = ACTIONS(1509),
    [sym_hex_literal] = ACTIONS(1511),
    [sym_oct_literal] = ACTIONS(1511),
    [sym_bin_literal] = ACTIONS(1511),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_some] = ACTIONS(783),
    [anon_sym_any] = ACTIONS(785),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1509),
    [anon_sym_GT] = ACTIONS(1509),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1509),
    [anon_sym_POUNDfileID] = ACTIONS(1511),
    [anon_sym_POUNDfilePath] = ACTIONS(1511),
    [anon_sym_POUNDline] = ACTIONS(1511),
    [anon_sym_POUNDcolumn] = ACTIONS(1511),
    [anon_sym_POUNDfunction] = ACTIONS(1511),
    [anon_sym_POUNDdsohandle] = ACTIONS(1511),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1511),
    [anon_sym_DASH_EQ] = ACTIONS(1511),
    [anon_sym_STAR_EQ] = ACTIONS(1511),
    [anon_sym_SLASH_EQ] = ACTIONS(1511),
    [anon_sym_PERCENT_EQ] = ACTIONS(1511),
    [anon_sym_BANG_EQ] = ACTIONS(1509),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1511),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1511),
    [anon_sym_LT_EQ] = ACTIONS(1511),
    [anon_sym_GT_EQ] = ACTIONS(1511),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1509),
    [anon_sym_SLASH] = ACTIONS(1509),
    [anon_sym_PERCENT] = ACTIONS(1509),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1511),
    [anon_sym_CARET] = ACTIONS(1509),
    [anon_sym_LT_LT] = ACTIONS(1511),
    [anon_sym_GT_GT] = ACTIONS(1511),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1511),
    [sym__eq_eq_custom] = ACTIONS(1511),
    [sym__plus_then_ws] = ACTIONS(1511),
    [sym__minus_then_ws] = ACTIONS(1511),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [265] = {
    [sym_simple_identifier] = STATE(2606),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1364),
    [sym_boolean_literal] = STATE(1364),
    [sym__string_literal] = STATE(1364),
    [sym_line_string_literal] = STATE(1364),
    [sym_multi_line_string_literal] = STATE(1364),
    [sym_raw_string_literal] = STATE(1364),
    [sym_regex_literal] = STATE(1364),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5390),
    [sym_opaque_type] = STATE(7667),
    [sym_existential_type] = STATE(7667),
    [sym__expression] = STATE(1364),
    [sym__unary_expression] = STATE(1364),
    [sym_postfix_expression] = STATE(1364),
    [sym_constructor_expression] = STATE(1364),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1364),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1364),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1364),
    [sym_prefix_expression] = STATE(1364),
    [sym_as_expression] = STATE(1364),
    [sym_selector_expression] = STATE(1364),
    [sym__binary_expression] = STATE(1364),
    [sym_multiplicative_expression] = STATE(1364),
    [sym_additive_expression] = STATE(1364),
    [sym_range_expression] = STATE(1364),
    [sym_infix_expression] = STATE(1364),
    [sym_nil_coalescing_expression] = STATE(1364),
    [sym_check_expression] = STATE(1364),
    [sym_comparison_expression] = STATE(1364),
    [sym_equality_expression] = STATE(1364),
    [sym_conjunction_expression] = STATE(1364),
    [sym_disjunction_expression] = STATE(1364),
    [sym_bitwise_operation] = STATE(1364),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1364),
    [sym_await_expression] = STATE(1364),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1364),
    [sym_call_expression] = STATE(1364),
    [sym__primary_expression] = STATE(1364),
    [sym_tuple_expression] = STATE(1364),
    [sym_array_literal] = STATE(1364),
    [sym_dictionary_literal] = STATE(1364),
    [sym__special_literal] = STATE(1364),
    [sym__playground_literal] = STATE(1364),
    [sym_lambda_literal] = STATE(1364),
    [sym_self_expression] = STATE(1364),
    [sym_super_expression] = STATE(1364),
    [sym_if_statement] = STATE(1364),
    [sym_switch_statement] = STATE(1364),
    [sym_key_path_expression] = STATE(1364),
    [sym_key_path_string_expression] = STATE(1364),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1364),
    [sym__equality_operator] = STATE(1364),
    [sym__comparison_operator] = STATE(1364),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1364),
    [sym__multiplicative_operator] = STATE(1364),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1364),
    [sym_value_parameter_pack] = STATE(1364),
    [sym_value_pack_expansion] = STATE(1364),
    [sym__referenceable_operator] = STATE(1364),
    [sym__equal_sign] = STATE(1364),
    [sym__eq_eq] = STATE(1364),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1513),
    [sym_real_literal] = ACTIONS(1515),
    [sym_integer_literal] = ACTIONS(1513),
    [sym_hex_literal] = ACTIONS(1515),
    [sym_oct_literal] = ACTIONS(1515),
    [sym_bin_literal] = ACTIONS(1515),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_some] = ACTIONS(783),
    [anon_sym_any] = ACTIONS(785),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1513),
    [anon_sym_GT] = ACTIONS(1513),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1513),
    [anon_sym_POUNDfileID] = ACTIONS(1515),
    [anon_sym_POUNDfilePath] = ACTIONS(1515),
    [anon_sym_POUNDline] = ACTIONS(1515),
    [anon_sym_POUNDcolumn] = ACTIONS(1515),
    [anon_sym_POUNDfunction] = ACTIONS(1515),
    [anon_sym_POUNDdsohandle] = ACTIONS(1515),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1515),
    [anon_sym_DASH_EQ] = ACTIONS(1515),
    [anon_sym_STAR_EQ] = ACTIONS(1515),
    [anon_sym_SLASH_EQ] = ACTIONS(1515),
    [anon_sym_PERCENT_EQ] = ACTIONS(1515),
    [anon_sym_BANG_EQ] = ACTIONS(1513),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1515),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1515),
    [anon_sym_LT_EQ] = ACTIONS(1515),
    [anon_sym_GT_EQ] = ACTIONS(1515),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1513),
    [anon_sym_SLASH] = ACTIONS(1513),
    [anon_sym_PERCENT] = ACTIONS(1513),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1515),
    [anon_sym_CARET] = ACTIONS(1513),
    [anon_sym_LT_LT] = ACTIONS(1515),
    [anon_sym_GT_GT] = ACTIONS(1515),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1515),
    [sym__eq_eq_custom] = ACTIONS(1515),
    [sym__plus_then_ws] = ACTIONS(1515),
    [sym__minus_then_ws] = ACTIONS(1515),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [266] = {
    [sym_simple_identifier] = STATE(2551),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1355),
    [sym_boolean_literal] = STATE(1355),
    [sym__string_literal] = STATE(1355),
    [sym_line_string_literal] = STATE(1355),
    [sym_multi_line_string_literal] = STATE(1355),
    [sym_raw_string_literal] = STATE(1355),
    [sym_regex_literal] = STATE(1355),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5390),
    [sym_opaque_type] = STATE(7667),
    [sym_existential_type] = STATE(7667),
    [sym__expression] = STATE(1355),
    [sym__unary_expression] = STATE(1355),
    [sym_postfix_expression] = STATE(1355),
    [sym_constructor_expression] = STATE(1355),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1355),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1355),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1355),
    [sym_prefix_expression] = STATE(1355),
    [sym_as_expression] = STATE(1355),
    [sym_selector_expression] = STATE(1355),
    [sym__binary_expression] = STATE(1355),
    [sym_multiplicative_expression] = STATE(1355),
    [sym_additive_expression] = STATE(1355),
    [sym_range_expression] = STATE(1355),
    [sym_infix_expression] = STATE(1355),
    [sym_nil_coalescing_expression] = STATE(1355),
    [sym_check_expression] = STATE(1355),
    [sym_comparison_expression] = STATE(1355),
    [sym_equality_expression] = STATE(1355),
    [sym_conjunction_expression] = STATE(1355),
    [sym_disjunction_expression] = STATE(1355),
    [sym_bitwise_operation] = STATE(1355),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1355),
    [sym_await_expression] = STATE(1355),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1355),
    [sym_call_expression] = STATE(1355),
    [sym__primary_expression] = STATE(1355),
    [sym_tuple_expression] = STATE(1355),
    [sym_array_literal] = STATE(1355),
    [sym_dictionary_literal] = STATE(1355),
    [sym__special_literal] = STATE(1355),
    [sym__playground_literal] = STATE(1355),
    [sym_lambda_literal] = STATE(1355),
    [sym_self_expression] = STATE(1355),
    [sym_super_expression] = STATE(1355),
    [sym_if_statement] = STATE(1355),
    [sym_switch_statement] = STATE(1355),
    [sym_key_path_expression] = STATE(1355),
    [sym_key_path_string_expression] = STATE(1355),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1355),
    [sym__equality_operator] = STATE(1355),
    [sym__comparison_operator] = STATE(1355),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1355),
    [sym__multiplicative_operator] = STATE(1355),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1355),
    [sym_value_parameter_pack] = STATE(1355),
    [sym_value_pack_expansion] = STATE(1355),
    [sym__referenceable_operator] = STATE(1355),
    [sym__equal_sign] = STATE(1355),
    [sym__eq_eq] = STATE(1355),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1469),
    [sym_real_literal] = ACTIONS(1471),
    [sym_integer_literal] = ACTIONS(1469),
    [sym_hex_literal] = ACTIONS(1471),
    [sym_oct_literal] = ACTIONS(1471),
    [sym_bin_literal] = ACTIONS(1471),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_some] = ACTIONS(783),
    [anon_sym_any] = ACTIONS(785),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1469),
    [anon_sym_GT] = ACTIONS(1469),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1469),
    [anon_sym_POUNDfileID] = ACTIONS(1471),
    [anon_sym_POUNDfilePath] = ACTIONS(1471),
    [anon_sym_POUNDline] = ACTIONS(1471),
    [anon_sym_POUNDcolumn] = ACTIONS(1471),
    [anon_sym_POUNDfunction] = ACTIONS(1471),
    [anon_sym_POUNDdsohandle] = ACTIONS(1471),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1471),
    [anon_sym_DASH_EQ] = ACTIONS(1471),
    [anon_sym_STAR_EQ] = ACTIONS(1471),
    [anon_sym_SLASH_EQ] = ACTIONS(1471),
    [anon_sym_PERCENT_EQ] = ACTIONS(1471),
    [anon_sym_BANG_EQ] = ACTIONS(1469),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1471),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1471),
    [anon_sym_LT_EQ] = ACTIONS(1471),
    [anon_sym_GT_EQ] = ACTIONS(1471),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1469),
    [anon_sym_SLASH] = ACTIONS(1469),
    [anon_sym_PERCENT] = ACTIONS(1469),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1471),
    [anon_sym_CARET] = ACTIONS(1469),
    [anon_sym_LT_LT] = ACTIONS(1471),
    [anon_sym_GT_GT] = ACTIONS(1471),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1471),
    [sym__eq_eq_custom] = ACTIONS(1471),
    [sym__plus_then_ws] = ACTIONS(1471),
    [sym__minus_then_ws] = ACTIONS(1471),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [267] = {
    [sym_simple_identifier] = STATE(2624),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1336),
    [sym_boolean_literal] = STATE(1336),
    [sym__string_literal] = STATE(1336),
    [sym_line_string_literal] = STATE(1336),
    [sym_multi_line_string_literal] = STATE(1336),
    [sym_raw_string_literal] = STATE(1336),
    [sym_regex_literal] = STATE(1336),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5390),
    [sym_opaque_type] = STATE(7667),
    [sym_existential_type] = STATE(7667),
    [sym__expression] = STATE(1336),
    [sym__unary_expression] = STATE(1336),
    [sym_postfix_expression] = STATE(1336),
    [sym_constructor_expression] = STATE(1336),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1336),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1336),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1336),
    [sym_prefix_expression] = STATE(1336),
    [sym_as_expression] = STATE(1336),
    [sym_selector_expression] = STATE(1336),
    [sym__binary_expression] = STATE(1336),
    [sym_multiplicative_expression] = STATE(1336),
    [sym_additive_expression] = STATE(1336),
    [sym_range_expression] = STATE(1336),
    [sym_infix_expression] = STATE(1336),
    [sym_nil_coalescing_expression] = STATE(1336),
    [sym_check_expression] = STATE(1336),
    [sym_comparison_expression] = STATE(1336),
    [sym_equality_expression] = STATE(1336),
    [sym_conjunction_expression] = STATE(1336),
    [sym_disjunction_expression] = STATE(1336),
    [sym_bitwise_operation] = STATE(1336),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1336),
    [sym_await_expression] = STATE(1336),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1336),
    [sym_call_expression] = STATE(1336),
    [sym__primary_expression] = STATE(1336),
    [sym_tuple_expression] = STATE(1336),
    [sym_array_literal] = STATE(1336),
    [sym_dictionary_literal] = STATE(1336),
    [sym__special_literal] = STATE(1336),
    [sym__playground_literal] = STATE(1336),
    [sym_lambda_literal] = STATE(1336),
    [sym_self_expression] = STATE(1336),
    [sym_super_expression] = STATE(1336),
    [sym_if_statement] = STATE(1336),
    [sym_switch_statement] = STATE(1336),
    [sym_key_path_expression] = STATE(1336),
    [sym_key_path_string_expression] = STATE(1336),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1336),
    [sym__equality_operator] = STATE(1336),
    [sym__comparison_operator] = STATE(1336),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1336),
    [sym__multiplicative_operator] = STATE(1336),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1336),
    [sym_value_parameter_pack] = STATE(1336),
    [sym_value_pack_expansion] = STATE(1336),
    [sym__referenceable_operator] = STATE(1336),
    [sym__equal_sign] = STATE(1336),
    [sym__eq_eq] = STATE(1336),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1517),
    [sym_real_literal] = ACTIONS(1519),
    [sym_integer_literal] = ACTIONS(1517),
    [sym_hex_literal] = ACTIONS(1519),
    [sym_oct_literal] = ACTIONS(1519),
    [sym_bin_literal] = ACTIONS(1519),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_some] = ACTIONS(783),
    [anon_sym_any] = ACTIONS(785),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1517),
    [anon_sym_GT] = ACTIONS(1517),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1517),
    [anon_sym_POUNDfileID] = ACTIONS(1519),
    [anon_sym_POUNDfilePath] = ACTIONS(1519),
    [anon_sym_POUNDline] = ACTIONS(1519),
    [anon_sym_POUNDcolumn] = ACTIONS(1519),
    [anon_sym_POUNDfunction] = ACTIONS(1519),
    [anon_sym_POUNDdsohandle] = ACTIONS(1519),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1519),
    [anon_sym_DASH_EQ] = ACTIONS(1519),
    [anon_sym_STAR_EQ] = ACTIONS(1519),
    [anon_sym_SLASH_EQ] = ACTIONS(1519),
    [anon_sym_PERCENT_EQ] = ACTIONS(1519),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1519),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1519),
    [anon_sym_LT_EQ] = ACTIONS(1519),
    [anon_sym_GT_EQ] = ACTIONS(1519),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1517),
    [anon_sym_SLASH] = ACTIONS(1517),
    [anon_sym_PERCENT] = ACTIONS(1517),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1519),
    [anon_sym_CARET] = ACTIONS(1517),
    [anon_sym_LT_LT] = ACTIONS(1519),
    [anon_sym_GT_GT] = ACTIONS(1519),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1519),
    [sym__eq_eq_custom] = ACTIONS(1519),
    [sym__plus_then_ws] = ACTIONS(1519),
    [sym__minus_then_ws] = ACTIONS(1519),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [268] = {
    [sym_simple_identifier] = STATE(2596),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1341),
    [sym_boolean_literal] = STATE(1341),
    [sym__string_literal] = STATE(1341),
    [sym_line_string_literal] = STATE(1341),
    [sym_multi_line_string_literal] = STATE(1341),
    [sym_raw_string_literal] = STATE(1341),
    [sym_regex_literal] = STATE(1341),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5390),
    [sym_opaque_type] = STATE(7667),
    [sym_existential_type] = STATE(7667),
    [sym__expression] = STATE(1341),
    [sym__unary_expression] = STATE(1341),
    [sym_postfix_expression] = STATE(1341),
    [sym_constructor_expression] = STATE(1341),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1341),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1341),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1341),
    [sym_prefix_expression] = STATE(1341),
    [sym_as_expression] = STATE(1341),
    [sym_selector_expression] = STATE(1341),
    [sym__binary_expression] = STATE(1341),
    [sym_multiplicative_expression] = STATE(1341),
    [sym_additive_expression] = STATE(1341),
    [sym_range_expression] = STATE(1341),
    [sym_infix_expression] = STATE(1341),
    [sym_nil_coalescing_expression] = STATE(1341),
    [sym_check_expression] = STATE(1341),
    [sym_comparison_expression] = STATE(1341),
    [sym_equality_expression] = STATE(1341),
    [sym_conjunction_expression] = STATE(1341),
    [sym_disjunction_expression] = STATE(1341),
    [sym_bitwise_operation] = STATE(1341),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1341),
    [sym_await_expression] = STATE(1341),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1341),
    [sym_call_expression] = STATE(1341),
    [sym__primary_expression] = STATE(1341),
    [sym_tuple_expression] = STATE(1341),
    [sym_array_literal] = STATE(1341),
    [sym_dictionary_literal] = STATE(1341),
    [sym__special_literal] = STATE(1341),
    [sym__playground_literal] = STATE(1341),
    [sym_lambda_literal] = STATE(1341),
    [sym_self_expression] = STATE(1341),
    [sym_super_expression] = STATE(1341),
    [sym_if_statement] = STATE(1341),
    [sym_switch_statement] = STATE(1341),
    [sym_key_path_expression] = STATE(1341),
    [sym_key_path_string_expression] = STATE(1341),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1341),
    [sym__equality_operator] = STATE(1341),
    [sym__comparison_operator] = STATE(1341),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1341),
    [sym__multiplicative_operator] = STATE(1341),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1341),
    [sym_value_parameter_pack] = STATE(1341),
    [sym_value_pack_expansion] = STATE(1341),
    [sym__referenceable_operator] = STATE(1341),
    [sym__equal_sign] = STATE(1341),
    [sym__eq_eq] = STATE(1341),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1521),
    [sym_real_literal] = ACTIONS(1523),
    [sym_integer_literal] = ACTIONS(1521),
    [sym_hex_literal] = ACTIONS(1523),
    [sym_oct_literal] = ACTIONS(1523),
    [sym_bin_literal] = ACTIONS(1523),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_some] = ACTIONS(783),
    [anon_sym_any] = ACTIONS(785),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1521),
    [anon_sym_GT] = ACTIONS(1521),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1521),
    [anon_sym_POUNDfileID] = ACTIONS(1523),
    [anon_sym_POUNDfilePath] = ACTIONS(1523),
    [anon_sym_POUNDline] = ACTIONS(1523),
    [anon_sym_POUNDcolumn] = ACTIONS(1523),
    [anon_sym_POUNDfunction] = ACTIONS(1523),
    [anon_sym_POUNDdsohandle] = ACTIONS(1523),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1523),
    [anon_sym_DASH_EQ] = ACTIONS(1523),
    [anon_sym_STAR_EQ] = ACTIONS(1523),
    [anon_sym_SLASH_EQ] = ACTIONS(1523),
    [anon_sym_PERCENT_EQ] = ACTIONS(1523),
    [anon_sym_BANG_EQ] = ACTIONS(1521),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1523),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1523),
    [anon_sym_LT_EQ] = ACTIONS(1523),
    [anon_sym_GT_EQ] = ACTIONS(1523),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1521),
    [anon_sym_SLASH] = ACTIONS(1521),
    [anon_sym_PERCENT] = ACTIONS(1521),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1523),
    [anon_sym_CARET] = ACTIONS(1521),
    [anon_sym_LT_LT] = ACTIONS(1523),
    [anon_sym_GT_GT] = ACTIONS(1523),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1523),
    [sym__eq_eq_custom] = ACTIONS(1523),
    [sym__plus_then_ws] = ACTIONS(1523),
    [sym__minus_then_ws] = ACTIONS(1523),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [269] = {
    [sym_simple_identifier] = STATE(2619),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1363),
    [sym_boolean_literal] = STATE(1363),
    [sym__string_literal] = STATE(1363),
    [sym_line_string_literal] = STATE(1363),
    [sym_multi_line_string_literal] = STATE(1363),
    [sym_raw_string_literal] = STATE(1363),
    [sym_regex_literal] = STATE(1363),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5390),
    [sym_opaque_type] = STATE(7667),
    [sym_existential_type] = STATE(7667),
    [sym__expression] = STATE(1363),
    [sym__unary_expression] = STATE(1363),
    [sym_postfix_expression] = STATE(1363),
    [sym_constructor_expression] = STATE(1363),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1363),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1363),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1363),
    [sym_prefix_expression] = STATE(1363),
    [sym_as_expression] = STATE(1363),
    [sym_selector_expression] = STATE(1363),
    [sym__binary_expression] = STATE(1363),
    [sym_multiplicative_expression] = STATE(1363),
    [sym_additive_expression] = STATE(1363),
    [sym_range_expression] = STATE(1363),
    [sym_infix_expression] = STATE(1363),
    [sym_nil_coalescing_expression] = STATE(1363),
    [sym_check_expression] = STATE(1363),
    [sym_comparison_expression] = STATE(1363),
    [sym_equality_expression] = STATE(1363),
    [sym_conjunction_expression] = STATE(1363),
    [sym_disjunction_expression] = STATE(1363),
    [sym_bitwise_operation] = STATE(1363),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1363),
    [sym_await_expression] = STATE(1363),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1363),
    [sym_call_expression] = STATE(1363),
    [sym__primary_expression] = STATE(1363),
    [sym_tuple_expression] = STATE(1363),
    [sym_array_literal] = STATE(1363),
    [sym_dictionary_literal] = STATE(1363),
    [sym__special_literal] = STATE(1363),
    [sym__playground_literal] = STATE(1363),
    [sym_lambda_literal] = STATE(1363),
    [sym_self_expression] = STATE(1363),
    [sym_super_expression] = STATE(1363),
    [sym_if_statement] = STATE(1363),
    [sym_switch_statement] = STATE(1363),
    [sym_key_path_expression] = STATE(1363),
    [sym_key_path_string_expression] = STATE(1363),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1363),
    [sym__equality_operator] = STATE(1363),
    [sym__comparison_operator] = STATE(1363),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1363),
    [sym__multiplicative_operator] = STATE(1363),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1363),
    [sym_value_parameter_pack] = STATE(1363),
    [sym_value_pack_expansion] = STATE(1363),
    [sym__referenceable_operator] = STATE(1363),
    [sym__equal_sign] = STATE(1363),
    [sym__eq_eq] = STATE(1363),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1525),
    [sym_real_literal] = ACTIONS(1527),
    [sym_integer_literal] = ACTIONS(1525),
    [sym_hex_literal] = ACTIONS(1527),
    [sym_oct_literal] = ACTIONS(1527),
    [sym_bin_literal] = ACTIONS(1527),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_some] = ACTIONS(783),
    [anon_sym_any] = ACTIONS(785),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1525),
    [anon_sym_GT] = ACTIONS(1525),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1525),
    [anon_sym_POUNDfileID] = ACTIONS(1527),
    [anon_sym_POUNDfilePath] = ACTIONS(1527),
    [anon_sym_POUNDline] = ACTIONS(1527),
    [anon_sym_POUNDcolumn] = ACTIONS(1527),
    [anon_sym_POUNDfunction] = ACTIONS(1527),
    [anon_sym_POUNDdsohandle] = ACTIONS(1527),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1527),
    [anon_sym_DASH_EQ] = ACTIONS(1527),
    [anon_sym_STAR_EQ] = ACTIONS(1527),
    [anon_sym_SLASH_EQ] = ACTIONS(1527),
    [anon_sym_PERCENT_EQ] = ACTIONS(1527),
    [anon_sym_BANG_EQ] = ACTIONS(1525),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1527),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1527),
    [anon_sym_LT_EQ] = ACTIONS(1527),
    [anon_sym_GT_EQ] = ACTIONS(1527),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1525),
    [anon_sym_SLASH] = ACTIONS(1525),
    [anon_sym_PERCENT] = ACTIONS(1525),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1527),
    [anon_sym_CARET] = ACTIONS(1525),
    [anon_sym_LT_LT] = ACTIONS(1527),
    [anon_sym_GT_GT] = ACTIONS(1527),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1527),
    [sym__eq_eq_custom] = ACTIONS(1527),
    [sym__plus_then_ws] = ACTIONS(1527),
    [sym__minus_then_ws] = ACTIONS(1527),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [270] = {
    [sym_simple_identifier] = STATE(2560),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1377),
    [sym_boolean_literal] = STATE(1377),
    [sym__string_literal] = STATE(1377),
    [sym_line_string_literal] = STATE(1377),
    [sym_multi_line_string_literal] = STATE(1377),
    [sym_raw_string_literal] = STATE(1377),
    [sym_regex_literal] = STATE(1377),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5390),
    [sym_opaque_type] = STATE(7667),
    [sym_existential_type] = STATE(7667),
    [sym__expression] = STATE(1377),
    [sym__unary_expression] = STATE(1377),
    [sym_postfix_expression] = STATE(1377),
    [sym_constructor_expression] = STATE(1377),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1377),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1377),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1377),
    [sym_prefix_expression] = STATE(1377),
    [sym_as_expression] = STATE(1377),
    [sym_selector_expression] = STATE(1377),
    [sym__binary_expression] = STATE(1377),
    [sym_multiplicative_expression] = STATE(1377),
    [sym_additive_expression] = STATE(1377),
    [sym_range_expression] = STATE(1377),
    [sym_infix_expression] = STATE(1377),
    [sym_nil_coalescing_expression] = STATE(1377),
    [sym_check_expression] = STATE(1377),
    [sym_comparison_expression] = STATE(1377),
    [sym_equality_expression] = STATE(1377),
    [sym_conjunction_expression] = STATE(1377),
    [sym_disjunction_expression] = STATE(1377),
    [sym_bitwise_operation] = STATE(1377),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1377),
    [sym_await_expression] = STATE(1377),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1377),
    [sym_call_expression] = STATE(1377),
    [sym__primary_expression] = STATE(1377),
    [sym_tuple_expression] = STATE(1377),
    [sym_array_literal] = STATE(1377),
    [sym_dictionary_literal] = STATE(1377),
    [sym__special_literal] = STATE(1377),
    [sym__playground_literal] = STATE(1377),
    [sym_lambda_literal] = STATE(1377),
    [sym_self_expression] = STATE(1377),
    [sym_super_expression] = STATE(1377),
    [sym_if_statement] = STATE(1377),
    [sym_switch_statement] = STATE(1377),
    [sym_key_path_expression] = STATE(1377),
    [sym_key_path_string_expression] = STATE(1377),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1377),
    [sym__equality_operator] = STATE(1377),
    [sym__comparison_operator] = STATE(1377),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1377),
    [sym__multiplicative_operator] = STATE(1377),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1377),
    [sym_value_parameter_pack] = STATE(1377),
    [sym_value_pack_expansion] = STATE(1377),
    [sym__referenceable_operator] = STATE(1377),
    [sym__equal_sign] = STATE(1377),
    [sym__eq_eq] = STATE(1377),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(835),
    [sym_real_literal] = ACTIONS(837),
    [sym_integer_literal] = ACTIONS(835),
    [sym_hex_literal] = ACTIONS(837),
    [sym_oct_literal] = ACTIONS(837),
    [sym_bin_literal] = ACTIONS(837),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_some] = ACTIONS(783),
    [anon_sym_any] = ACTIONS(785),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(835),
    [anon_sym_GT] = ACTIONS(835),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(835),
    [anon_sym_POUNDfileID] = ACTIONS(837),
    [anon_sym_POUNDfilePath] = ACTIONS(837),
    [anon_sym_POUNDline] = ACTIONS(837),
    [anon_sym_POUNDcolumn] = ACTIONS(837),
    [anon_sym_POUNDfunction] = ACTIONS(837),
    [anon_sym_POUNDdsohandle] = ACTIONS(837),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(837),
    [anon_sym_DASH_EQ] = ACTIONS(837),
    [anon_sym_STAR_EQ] = ACTIONS(837),
    [anon_sym_SLASH_EQ] = ACTIONS(837),
    [anon_sym_PERCENT_EQ] = ACTIONS(837),
    [anon_sym_BANG_EQ] = ACTIONS(835),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(837),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(837),
    [anon_sym_LT_EQ] = ACTIONS(837),
    [anon_sym_GT_EQ] = ACTIONS(837),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(835),
    [anon_sym_SLASH] = ACTIONS(835),
    [anon_sym_PERCENT] = ACTIONS(835),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(837),
    [anon_sym_CARET] = ACTIONS(835),
    [anon_sym_LT_LT] = ACTIONS(837),
    [anon_sym_GT_GT] = ACTIONS(837),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(837),
    [sym__eq_eq_custom] = ACTIONS(837),
    [sym__plus_then_ws] = ACTIONS(837),
    [sym__minus_then_ws] = ACTIONS(837),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [271] = {
    [sym_simple_identifier] = STATE(1581),
    [sym__contextual_simple_identifier] = STATE(1619),
    [sym__basic_literal] = STATE(1379),
    [sym_boolean_literal] = STATE(1379),
    [sym__string_literal] = STATE(1379),
    [sym_line_string_literal] = STATE(1379),
    [sym_multi_line_string_literal] = STATE(1379),
    [sym_raw_string_literal] = STATE(1379),
    [sym_regex_literal] = STATE(1379),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1379),
    [sym__unary_expression] = STATE(1379),
    [sym_postfix_expression] = STATE(1379),
    [sym_constructor_expression] = STATE(1379),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1379),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1379),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1379),
    [sym_prefix_expression] = STATE(1379),
    [sym_as_expression] = STATE(1379),
    [sym_selector_expression] = STATE(1379),
    [sym__binary_expression] = STATE(1379),
    [sym_multiplicative_expression] = STATE(1379),
    [sym_additive_expression] = STATE(1379),
    [sym_range_expression] = STATE(1379),
    [sym_infix_expression] = STATE(1379),
    [sym_nil_coalescing_expression] = STATE(1379),
    [sym_check_expression] = STATE(1379),
    [sym_comparison_expression] = STATE(1379),
    [sym_equality_expression] = STATE(1379),
    [sym_conjunction_expression] = STATE(1379),
    [sym_disjunction_expression] = STATE(1379),
    [sym_bitwise_operation] = STATE(1379),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1379),
    [sym_await_expression] = STATE(1379),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1379),
    [sym_call_expression] = STATE(1379),
    [sym__primary_expression] = STATE(1379),
    [sym_tuple_expression] = STATE(1379),
    [sym_array_literal] = STATE(1379),
    [sym_dictionary_literal] = STATE(1379),
    [sym__special_literal] = STATE(1379),
    [sym__playground_literal] = STATE(1379),
    [sym_lambda_literal] = STATE(1379),
    [sym_self_expression] = STATE(1379),
    [sym_super_expression] = STATE(1379),
    [sym_if_statement] = STATE(1379),
    [sym_switch_statement] = STATE(1379),
    [sym_key_path_expression] = STATE(1379),
    [sym_key_path_string_expression] = STATE(1379),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1379),
    [sym__equality_operator] = STATE(1379),
    [sym__comparison_operator] = STATE(1379),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1379),
    [sym__multiplicative_operator] = STATE(1379),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1379),
    [sym_value_parameter_pack] = STATE(1379),
    [sym_value_pack_expansion] = STATE(1379),
    [sym__referenceable_operator] = STATE(1379),
    [sym__equal_sign] = STATE(1379),
    [sym__eq_eq] = STATE(1379),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__attribute_argument] = STATE(7421),
    [sym__parameter_ownership_modifier] = STATE(1619),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [aux_sym__attribute_argument_repeat1] = STATE(4417),
    [aux_sym__attribute_argument_repeat2] = STATE(4495),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(1465),
    [aux_sym_simple_identifier_token2] = ACTIONS(1467),
    [aux_sym_simple_identifier_token3] = ACTIONS(1467),
    [aux_sym_simple_identifier_token4] = ACTIONS(1467),
    [anon_sym_actor] = ACTIONS(1465),
    [anon_sym_async] = ACTIONS(1465),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(1465),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(1465),
    [anon_sym_nil] = ACTIONS(1529),
    [sym_real_literal] = ACTIONS(1531),
    [sym_integer_literal] = ACTIONS(1529),
    [sym_hex_literal] = ACTIONS(1531),
    [sym_oct_literal] = ACTIONS(1531),
    [sym_bin_literal] = ACTIONS(1531),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1529),
    [anon_sym_GT] = ACTIONS(1529),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1529),
    [anon_sym_POUNDfileID] = ACTIONS(1531),
    [anon_sym_POUNDfilePath] = ACTIONS(1531),
    [anon_sym_POUNDline] = ACTIONS(1531),
    [anon_sym_POUNDcolumn] = ACTIONS(1531),
    [anon_sym_POUNDfunction] = ACTIONS(1531),
    [anon_sym_POUNDdsohandle] = ACTIONS(1531),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1531),
    [anon_sym_DASH_EQ] = ACTIONS(1531),
    [anon_sym_STAR_EQ] = ACTIONS(1531),
    [anon_sym_SLASH_EQ] = ACTIONS(1531),
    [anon_sym_PERCENT_EQ] = ACTIONS(1531),
    [anon_sym_BANG_EQ] = ACTIONS(1529),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1531),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1531),
    [anon_sym_LT_EQ] = ACTIONS(1531),
    [anon_sym_GT_EQ] = ACTIONS(1531),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1529),
    [anon_sym_SLASH] = ACTIONS(1529),
    [anon_sym_PERCENT] = ACTIONS(1529),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1531),
    [anon_sym_CARET] = ACTIONS(1529),
    [anon_sym_LT_LT] = ACTIONS(1531),
    [anon_sym_GT_GT] = ACTIONS(1531),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(1465),
    [anon_sym_consuming] = ACTIONS(1465),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1531),
    [sym__eq_eq_custom] = ACTIONS(1531),
    [sym__plus_then_ws] = ACTIONS(1531),
    [sym__minus_then_ws] = ACTIONS(1531),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [272] = {
    [sym_simple_identifier] = STATE(1581),
    [sym__contextual_simple_identifier] = STATE(1619),
    [sym__basic_literal] = STATE(1379),
    [sym_boolean_literal] = STATE(1379),
    [sym__string_literal] = STATE(1379),
    [sym_line_string_literal] = STATE(1379),
    [sym_multi_line_string_literal] = STATE(1379),
    [sym_raw_string_literal] = STATE(1379),
    [sym_regex_literal] = STATE(1379),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1379),
    [sym__unary_expression] = STATE(1379),
    [sym_postfix_expression] = STATE(1379),
    [sym_constructor_expression] = STATE(1379),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1379),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1379),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1379),
    [sym_prefix_expression] = STATE(1379),
    [sym_as_expression] = STATE(1379),
    [sym_selector_expression] = STATE(1379),
    [sym__binary_expression] = STATE(1379),
    [sym_multiplicative_expression] = STATE(1379),
    [sym_additive_expression] = STATE(1379),
    [sym_range_expression] = STATE(1379),
    [sym_infix_expression] = STATE(1379),
    [sym_nil_coalescing_expression] = STATE(1379),
    [sym_check_expression] = STATE(1379),
    [sym_comparison_expression] = STATE(1379),
    [sym_equality_expression] = STATE(1379),
    [sym_conjunction_expression] = STATE(1379),
    [sym_disjunction_expression] = STATE(1379),
    [sym_bitwise_operation] = STATE(1379),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1379),
    [sym_await_expression] = STATE(1379),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1379),
    [sym_call_expression] = STATE(1379),
    [sym__primary_expression] = STATE(1379),
    [sym_tuple_expression] = STATE(1379),
    [sym_array_literal] = STATE(1379),
    [sym_dictionary_literal] = STATE(1379),
    [sym__special_literal] = STATE(1379),
    [sym__playground_literal] = STATE(1379),
    [sym_lambda_literal] = STATE(1379),
    [sym_self_expression] = STATE(1379),
    [sym_super_expression] = STATE(1379),
    [sym_if_statement] = STATE(1379),
    [sym_switch_statement] = STATE(1379),
    [sym_key_path_expression] = STATE(1379),
    [sym_key_path_string_expression] = STATE(1379),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1379),
    [sym__equality_operator] = STATE(1379),
    [sym__comparison_operator] = STATE(1379),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1379),
    [sym__multiplicative_operator] = STATE(1379),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1379),
    [sym_value_parameter_pack] = STATE(1379),
    [sym_value_pack_expansion] = STATE(1379),
    [sym__referenceable_operator] = STATE(1379),
    [sym__equal_sign] = STATE(1379),
    [sym__eq_eq] = STATE(1379),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__attribute_argument] = STATE(6606),
    [sym__parameter_ownership_modifier] = STATE(1619),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [aux_sym__attribute_argument_repeat1] = STATE(4417),
    [aux_sym__attribute_argument_repeat2] = STATE(4495),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(1465),
    [aux_sym_simple_identifier_token2] = ACTIONS(1467),
    [aux_sym_simple_identifier_token3] = ACTIONS(1467),
    [aux_sym_simple_identifier_token4] = ACTIONS(1467),
    [anon_sym_actor] = ACTIONS(1465),
    [anon_sym_async] = ACTIONS(1465),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(1465),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(1465),
    [anon_sym_nil] = ACTIONS(1529),
    [sym_real_literal] = ACTIONS(1531),
    [sym_integer_literal] = ACTIONS(1529),
    [sym_hex_literal] = ACTIONS(1531),
    [sym_oct_literal] = ACTIONS(1531),
    [sym_bin_literal] = ACTIONS(1531),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1529),
    [anon_sym_GT] = ACTIONS(1529),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1529),
    [anon_sym_POUNDfileID] = ACTIONS(1531),
    [anon_sym_POUNDfilePath] = ACTIONS(1531),
    [anon_sym_POUNDline] = ACTIONS(1531),
    [anon_sym_POUNDcolumn] = ACTIONS(1531),
    [anon_sym_POUNDfunction] = ACTIONS(1531),
    [anon_sym_POUNDdsohandle] = ACTIONS(1531),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1531),
    [anon_sym_DASH_EQ] = ACTIONS(1531),
    [anon_sym_STAR_EQ] = ACTIONS(1531),
    [anon_sym_SLASH_EQ] = ACTIONS(1531),
    [anon_sym_PERCENT_EQ] = ACTIONS(1531),
    [anon_sym_BANG_EQ] = ACTIONS(1529),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1531),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1531),
    [anon_sym_LT_EQ] = ACTIONS(1531),
    [anon_sym_GT_EQ] = ACTIONS(1531),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1529),
    [anon_sym_SLASH] = ACTIONS(1529),
    [anon_sym_PERCENT] = ACTIONS(1529),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1531),
    [anon_sym_CARET] = ACTIONS(1529),
    [anon_sym_LT_LT] = ACTIONS(1531),
    [anon_sym_GT_GT] = ACTIONS(1531),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(1465),
    [anon_sym_consuming] = ACTIONS(1465),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1531),
    [sym__eq_eq_custom] = ACTIONS(1531),
    [sym__plus_then_ws] = ACTIONS(1531),
    [sym__minus_then_ws] = ACTIONS(1531),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [273] = {
    [sym_simple_identifier] = STATE(1581),
    [sym__contextual_simple_identifier] = STATE(1619),
    [sym__basic_literal] = STATE(1379),
    [sym_boolean_literal] = STATE(1379),
    [sym__string_literal] = STATE(1379),
    [sym_line_string_literal] = STATE(1379),
    [sym_multi_line_string_literal] = STATE(1379),
    [sym_raw_string_literal] = STATE(1379),
    [sym_regex_literal] = STATE(1379),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1379),
    [sym__unary_expression] = STATE(1379),
    [sym_postfix_expression] = STATE(1379),
    [sym_constructor_expression] = STATE(1379),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1379),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1379),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1379),
    [sym_prefix_expression] = STATE(1379),
    [sym_as_expression] = STATE(1379),
    [sym_selector_expression] = STATE(1379),
    [sym__binary_expression] = STATE(1379),
    [sym_multiplicative_expression] = STATE(1379),
    [sym_additive_expression] = STATE(1379),
    [sym_range_expression] = STATE(1379),
    [sym_infix_expression] = STATE(1379),
    [sym_nil_coalescing_expression] = STATE(1379),
    [sym_check_expression] = STATE(1379),
    [sym_comparison_expression] = STATE(1379),
    [sym_equality_expression] = STATE(1379),
    [sym_conjunction_expression] = STATE(1379),
    [sym_disjunction_expression] = STATE(1379),
    [sym_bitwise_operation] = STATE(1379),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1379),
    [sym_await_expression] = STATE(1379),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1379),
    [sym_call_expression] = STATE(1379),
    [sym__primary_expression] = STATE(1379),
    [sym_tuple_expression] = STATE(1379),
    [sym_array_literal] = STATE(1379),
    [sym_dictionary_literal] = STATE(1379),
    [sym__special_literal] = STATE(1379),
    [sym__playground_literal] = STATE(1379),
    [sym_lambda_literal] = STATE(1379),
    [sym_self_expression] = STATE(1379),
    [sym_super_expression] = STATE(1379),
    [sym_if_statement] = STATE(1379),
    [sym_switch_statement] = STATE(1379),
    [sym_key_path_expression] = STATE(1379),
    [sym_key_path_string_expression] = STATE(1379),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1379),
    [sym__equality_operator] = STATE(1379),
    [sym__comparison_operator] = STATE(1379),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1379),
    [sym__multiplicative_operator] = STATE(1379),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1379),
    [sym_value_parameter_pack] = STATE(1379),
    [sym_value_pack_expansion] = STATE(1379),
    [sym__referenceable_operator] = STATE(1379),
    [sym__equal_sign] = STATE(1379),
    [sym__eq_eq] = STATE(1379),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__attribute_argument] = STATE(6634),
    [sym__parameter_ownership_modifier] = STATE(1619),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [aux_sym__attribute_argument_repeat1] = STATE(4417),
    [aux_sym__attribute_argument_repeat2] = STATE(4495),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(1465),
    [aux_sym_simple_identifier_token2] = ACTIONS(1467),
    [aux_sym_simple_identifier_token3] = ACTIONS(1467),
    [aux_sym_simple_identifier_token4] = ACTIONS(1467),
    [anon_sym_actor] = ACTIONS(1465),
    [anon_sym_async] = ACTIONS(1465),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(1465),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(1465),
    [anon_sym_nil] = ACTIONS(1529),
    [sym_real_literal] = ACTIONS(1531),
    [sym_integer_literal] = ACTIONS(1529),
    [sym_hex_literal] = ACTIONS(1531),
    [sym_oct_literal] = ACTIONS(1531),
    [sym_bin_literal] = ACTIONS(1531),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1529),
    [anon_sym_GT] = ACTIONS(1529),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1529),
    [anon_sym_POUNDfileID] = ACTIONS(1531),
    [anon_sym_POUNDfilePath] = ACTIONS(1531),
    [anon_sym_POUNDline] = ACTIONS(1531),
    [anon_sym_POUNDcolumn] = ACTIONS(1531),
    [anon_sym_POUNDfunction] = ACTIONS(1531),
    [anon_sym_POUNDdsohandle] = ACTIONS(1531),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1531),
    [anon_sym_DASH_EQ] = ACTIONS(1531),
    [anon_sym_STAR_EQ] = ACTIONS(1531),
    [anon_sym_SLASH_EQ] = ACTIONS(1531),
    [anon_sym_PERCENT_EQ] = ACTIONS(1531),
    [anon_sym_BANG_EQ] = ACTIONS(1529),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1531),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1531),
    [anon_sym_LT_EQ] = ACTIONS(1531),
    [anon_sym_GT_EQ] = ACTIONS(1531),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1529),
    [anon_sym_SLASH] = ACTIONS(1529),
    [anon_sym_PERCENT] = ACTIONS(1529),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1531),
    [anon_sym_CARET] = ACTIONS(1529),
    [anon_sym_LT_LT] = ACTIONS(1531),
    [anon_sym_GT_GT] = ACTIONS(1531),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(1465),
    [anon_sym_consuming] = ACTIONS(1465),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1531),
    [sym__eq_eq_custom] = ACTIONS(1531),
    [sym__plus_then_ws] = ACTIONS(1531),
    [sym__minus_then_ws] = ACTIONS(1531),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [274] = {
    [sym_simple_identifier] = STATE(1581),
    [sym__contextual_simple_identifier] = STATE(1619),
    [sym__basic_literal] = STATE(1379),
    [sym_boolean_literal] = STATE(1379),
    [sym__string_literal] = STATE(1379),
    [sym_line_string_literal] = STATE(1379),
    [sym_multi_line_string_literal] = STATE(1379),
    [sym_raw_string_literal] = STATE(1379),
    [sym_regex_literal] = STATE(1379),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1379),
    [sym__unary_expression] = STATE(1379),
    [sym_postfix_expression] = STATE(1379),
    [sym_constructor_expression] = STATE(1379),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1379),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1379),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1379),
    [sym_prefix_expression] = STATE(1379),
    [sym_as_expression] = STATE(1379),
    [sym_selector_expression] = STATE(1379),
    [sym__binary_expression] = STATE(1379),
    [sym_multiplicative_expression] = STATE(1379),
    [sym_additive_expression] = STATE(1379),
    [sym_range_expression] = STATE(1379),
    [sym_infix_expression] = STATE(1379),
    [sym_nil_coalescing_expression] = STATE(1379),
    [sym_check_expression] = STATE(1379),
    [sym_comparison_expression] = STATE(1379),
    [sym_equality_expression] = STATE(1379),
    [sym_conjunction_expression] = STATE(1379),
    [sym_disjunction_expression] = STATE(1379),
    [sym_bitwise_operation] = STATE(1379),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1379),
    [sym_await_expression] = STATE(1379),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1379),
    [sym_call_expression] = STATE(1379),
    [sym__primary_expression] = STATE(1379),
    [sym_tuple_expression] = STATE(1379),
    [sym_array_literal] = STATE(1379),
    [sym_dictionary_literal] = STATE(1379),
    [sym__special_literal] = STATE(1379),
    [sym__playground_literal] = STATE(1379),
    [sym_lambda_literal] = STATE(1379),
    [sym_self_expression] = STATE(1379),
    [sym_super_expression] = STATE(1379),
    [sym_if_statement] = STATE(1379),
    [sym_switch_statement] = STATE(1379),
    [sym_key_path_expression] = STATE(1379),
    [sym_key_path_string_expression] = STATE(1379),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1379),
    [sym__equality_operator] = STATE(1379),
    [sym__comparison_operator] = STATE(1379),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1379),
    [sym__multiplicative_operator] = STATE(1379),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1379),
    [sym_value_parameter_pack] = STATE(1379),
    [sym_value_pack_expansion] = STATE(1379),
    [sym__referenceable_operator] = STATE(1379),
    [sym__equal_sign] = STATE(1379),
    [sym__eq_eq] = STATE(1379),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__attribute_argument] = STATE(7111),
    [sym__parameter_ownership_modifier] = STATE(1619),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [aux_sym__attribute_argument_repeat1] = STATE(4417),
    [aux_sym__attribute_argument_repeat2] = STATE(4495),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(1465),
    [aux_sym_simple_identifier_token2] = ACTIONS(1467),
    [aux_sym_simple_identifier_token3] = ACTIONS(1467),
    [aux_sym_simple_identifier_token4] = ACTIONS(1467),
    [anon_sym_actor] = ACTIONS(1465),
    [anon_sym_async] = ACTIONS(1465),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(1465),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(1465),
    [anon_sym_nil] = ACTIONS(1529),
    [sym_real_literal] = ACTIONS(1531),
    [sym_integer_literal] = ACTIONS(1529),
    [sym_hex_literal] = ACTIONS(1531),
    [sym_oct_literal] = ACTIONS(1531),
    [sym_bin_literal] = ACTIONS(1531),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1529),
    [anon_sym_GT] = ACTIONS(1529),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1529),
    [anon_sym_POUNDfileID] = ACTIONS(1531),
    [anon_sym_POUNDfilePath] = ACTIONS(1531),
    [anon_sym_POUNDline] = ACTIONS(1531),
    [anon_sym_POUNDcolumn] = ACTIONS(1531),
    [anon_sym_POUNDfunction] = ACTIONS(1531),
    [anon_sym_POUNDdsohandle] = ACTIONS(1531),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1531),
    [anon_sym_DASH_EQ] = ACTIONS(1531),
    [anon_sym_STAR_EQ] = ACTIONS(1531),
    [anon_sym_SLASH_EQ] = ACTIONS(1531),
    [anon_sym_PERCENT_EQ] = ACTIONS(1531),
    [anon_sym_BANG_EQ] = ACTIONS(1529),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1531),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1531),
    [anon_sym_LT_EQ] = ACTIONS(1531),
    [anon_sym_GT_EQ] = ACTIONS(1531),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1529),
    [anon_sym_SLASH] = ACTIONS(1529),
    [anon_sym_PERCENT] = ACTIONS(1529),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1531),
    [anon_sym_CARET] = ACTIONS(1529),
    [anon_sym_LT_LT] = ACTIONS(1531),
    [anon_sym_GT_GT] = ACTIONS(1531),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(1465),
    [anon_sym_consuming] = ACTIONS(1465),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1531),
    [sym__eq_eq_custom] = ACTIONS(1531),
    [sym__plus_then_ws] = ACTIONS(1531),
    [sym__minus_then_ws] = ACTIONS(1531),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [275] = {
    [sym_simple_identifier] = STATE(1581),
    [sym__contextual_simple_identifier] = STATE(1619),
    [sym__basic_literal] = STATE(1379),
    [sym_boolean_literal] = STATE(1379),
    [sym__string_literal] = STATE(1379),
    [sym_line_string_literal] = STATE(1379),
    [sym_multi_line_string_literal] = STATE(1379),
    [sym_raw_string_literal] = STATE(1379),
    [sym_regex_literal] = STATE(1379),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1379),
    [sym__unary_expression] = STATE(1379),
    [sym_postfix_expression] = STATE(1379),
    [sym_constructor_expression] = STATE(1379),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1379),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1379),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1379),
    [sym_prefix_expression] = STATE(1379),
    [sym_as_expression] = STATE(1379),
    [sym_selector_expression] = STATE(1379),
    [sym__binary_expression] = STATE(1379),
    [sym_multiplicative_expression] = STATE(1379),
    [sym_additive_expression] = STATE(1379),
    [sym_range_expression] = STATE(1379),
    [sym_infix_expression] = STATE(1379),
    [sym_nil_coalescing_expression] = STATE(1379),
    [sym_check_expression] = STATE(1379),
    [sym_comparison_expression] = STATE(1379),
    [sym_equality_expression] = STATE(1379),
    [sym_conjunction_expression] = STATE(1379),
    [sym_disjunction_expression] = STATE(1379),
    [sym_bitwise_operation] = STATE(1379),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1379),
    [sym_await_expression] = STATE(1379),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1379),
    [sym_call_expression] = STATE(1379),
    [sym__primary_expression] = STATE(1379),
    [sym_tuple_expression] = STATE(1379),
    [sym_array_literal] = STATE(1379),
    [sym_dictionary_literal] = STATE(1379),
    [sym__special_literal] = STATE(1379),
    [sym__playground_literal] = STATE(1379),
    [sym_lambda_literal] = STATE(1379),
    [sym_self_expression] = STATE(1379),
    [sym_super_expression] = STATE(1379),
    [sym_if_statement] = STATE(1379),
    [sym_switch_statement] = STATE(1379),
    [sym_key_path_expression] = STATE(1379),
    [sym_key_path_string_expression] = STATE(1379),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1379),
    [sym__equality_operator] = STATE(1379),
    [sym__comparison_operator] = STATE(1379),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1379),
    [sym__multiplicative_operator] = STATE(1379),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1379),
    [sym_value_parameter_pack] = STATE(1379),
    [sym_value_pack_expansion] = STATE(1379),
    [sym__referenceable_operator] = STATE(1379),
    [sym__equal_sign] = STATE(1379),
    [sym__eq_eq] = STATE(1379),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__attribute_argument] = STATE(6546),
    [sym__parameter_ownership_modifier] = STATE(1619),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [aux_sym__attribute_argument_repeat1] = STATE(4417),
    [aux_sym__attribute_argument_repeat2] = STATE(4495),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(1465),
    [aux_sym_simple_identifier_token2] = ACTIONS(1467),
    [aux_sym_simple_identifier_token3] = ACTIONS(1467),
    [aux_sym_simple_identifier_token4] = ACTIONS(1467),
    [anon_sym_actor] = ACTIONS(1465),
    [anon_sym_async] = ACTIONS(1465),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(1465),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(1465),
    [anon_sym_nil] = ACTIONS(1529),
    [sym_real_literal] = ACTIONS(1531),
    [sym_integer_literal] = ACTIONS(1529),
    [sym_hex_literal] = ACTIONS(1531),
    [sym_oct_literal] = ACTIONS(1531),
    [sym_bin_literal] = ACTIONS(1531),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1529),
    [anon_sym_GT] = ACTIONS(1529),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1529),
    [anon_sym_POUNDfileID] = ACTIONS(1531),
    [anon_sym_POUNDfilePath] = ACTIONS(1531),
    [anon_sym_POUNDline] = ACTIONS(1531),
    [anon_sym_POUNDcolumn] = ACTIONS(1531),
    [anon_sym_POUNDfunction] = ACTIONS(1531),
    [anon_sym_POUNDdsohandle] = ACTIONS(1531),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1531),
    [anon_sym_DASH_EQ] = ACTIONS(1531),
    [anon_sym_STAR_EQ] = ACTIONS(1531),
    [anon_sym_SLASH_EQ] = ACTIONS(1531),
    [anon_sym_PERCENT_EQ] = ACTIONS(1531),
    [anon_sym_BANG_EQ] = ACTIONS(1529),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1531),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1531),
    [anon_sym_LT_EQ] = ACTIONS(1531),
    [anon_sym_GT_EQ] = ACTIONS(1531),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1529),
    [anon_sym_SLASH] = ACTIONS(1529),
    [anon_sym_PERCENT] = ACTIONS(1529),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1531),
    [anon_sym_CARET] = ACTIONS(1529),
    [anon_sym_LT_LT] = ACTIONS(1531),
    [anon_sym_GT_GT] = ACTIONS(1531),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(1465),
    [anon_sym_consuming] = ACTIONS(1465),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1531),
    [sym__eq_eq_custom] = ACTIONS(1531),
    [sym__plus_then_ws] = ACTIONS(1531),
    [sym__minus_then_ws] = ACTIONS(1531),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [276] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1431),
    [sym_boolean_literal] = STATE(1431),
    [sym__string_literal] = STATE(1431),
    [sym_line_string_literal] = STATE(1431),
    [sym_multi_line_string_literal] = STATE(1431),
    [sym_raw_string_literal] = STATE(1431),
    [sym_regex_literal] = STATE(1431),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1431),
    [sym__unary_expression] = STATE(1431),
    [sym_postfix_expression] = STATE(1431),
    [sym_constructor_expression] = STATE(1431),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1431),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1431),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1431),
    [sym_prefix_expression] = STATE(1431),
    [sym_as_expression] = STATE(1431),
    [sym_selector_expression] = STATE(1431),
    [sym__binary_expression] = STATE(1431),
    [sym_multiplicative_expression] = STATE(1431),
    [sym_additive_expression] = STATE(1431),
    [sym_range_expression] = STATE(1431),
    [sym_infix_expression] = STATE(1431),
    [sym_nil_coalescing_expression] = STATE(1431),
    [sym_check_expression] = STATE(1431),
    [sym_comparison_expression] = STATE(1431),
    [sym_equality_expression] = STATE(1431),
    [sym_conjunction_expression] = STATE(1431),
    [sym_disjunction_expression] = STATE(1431),
    [sym_bitwise_operation] = STATE(1431),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1431),
    [sym_await_expression] = STATE(1431),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1431),
    [sym_call_expression] = STATE(1431),
    [sym__primary_expression] = STATE(1431),
    [sym_tuple_expression] = STATE(1431),
    [sym_array_literal] = STATE(1431),
    [sym_dictionary_literal] = STATE(1431),
    [sym__special_literal] = STATE(1431),
    [sym__playground_literal] = STATE(1431),
    [sym_lambda_literal] = STATE(1431),
    [sym_self_expression] = STATE(1431),
    [sym_super_expression] = STATE(1431),
    [sym_if_statement] = STATE(1431),
    [sym_switch_statement] = STATE(1431),
    [sym_key_path_expression] = STATE(1431),
    [sym_key_path_string_expression] = STATE(1431),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1431),
    [sym__equality_operator] = STATE(1431),
    [sym__comparison_operator] = STATE(1431),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1431),
    [sym__multiplicative_operator] = STATE(1431),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1431),
    [sym_value_parameter_pack] = STATE(1431),
    [sym_value_pack_expansion] = STATE(1431),
    [sym__referenceable_operator] = STATE(1431),
    [sym__equal_sign] = STATE(1431),
    [sym__eq_eq] = STATE(1431),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1533),
    [sym_real_literal] = ACTIONS(1535),
    [sym_integer_literal] = ACTIONS(1533),
    [sym_hex_literal] = ACTIONS(1535),
    [sym_oct_literal] = ACTIONS(1535),
    [sym_bin_literal] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [anon_sym_COMMA] = ACTIONS(1537),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_COLON] = ACTIONS(1537),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1533),
    [anon_sym_GT] = ACTIONS(1533),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1533),
    [anon_sym_POUNDfileID] = ACTIONS(1535),
    [anon_sym_POUNDfilePath] = ACTIONS(1535),
    [anon_sym_POUNDline] = ACTIONS(1535),
    [anon_sym_POUNDcolumn] = ACTIONS(1535),
    [anon_sym_POUNDfunction] = ACTIONS(1535),
    [anon_sym_POUNDdsohandle] = ACTIONS(1535),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1535),
    [anon_sym_DASH_EQ] = ACTIONS(1535),
    [anon_sym_STAR_EQ] = ACTIONS(1535),
    [anon_sym_SLASH_EQ] = ACTIONS(1535),
    [anon_sym_PERCENT_EQ] = ACTIONS(1535),
    [anon_sym_BANG_EQ] = ACTIONS(1533),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1535),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1535),
    [anon_sym_LT_EQ] = ACTIONS(1535),
    [anon_sym_GT_EQ] = ACTIONS(1535),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1533),
    [anon_sym_SLASH] = ACTIONS(1533),
    [anon_sym_PERCENT] = ACTIONS(1533),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1535),
    [anon_sym_CARET] = ACTIONS(1533),
    [anon_sym_LT_LT] = ACTIONS(1535),
    [anon_sym_GT_GT] = ACTIONS(1535),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1535),
    [sym__eq_eq_custom] = ACTIONS(1535),
    [sym__plus_then_ws] = ACTIONS(1535),
    [sym__minus_then_ws] = ACTIONS(1535),
    [sym__bang_custom] = ACTIONS(799),
    [sym_where_keyword] = ACTIONS(1537),
    [sym__custom_operator] = ACTIONS(787),
  },
  [277] = {
    [sym_simple_identifier] = STATE(1581),
    [sym__contextual_simple_identifier] = STATE(1619),
    [sym__basic_literal] = STATE(1379),
    [sym_boolean_literal] = STATE(1379),
    [sym__string_literal] = STATE(1379),
    [sym_line_string_literal] = STATE(1379),
    [sym_multi_line_string_literal] = STATE(1379),
    [sym_raw_string_literal] = STATE(1379),
    [sym_regex_literal] = STATE(1379),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1379),
    [sym__unary_expression] = STATE(1379),
    [sym_postfix_expression] = STATE(1379),
    [sym_constructor_expression] = STATE(1379),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1379),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1379),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1379),
    [sym_prefix_expression] = STATE(1379),
    [sym_as_expression] = STATE(1379),
    [sym_selector_expression] = STATE(1379),
    [sym__binary_expression] = STATE(1379),
    [sym_multiplicative_expression] = STATE(1379),
    [sym_additive_expression] = STATE(1379),
    [sym_range_expression] = STATE(1379),
    [sym_infix_expression] = STATE(1379),
    [sym_nil_coalescing_expression] = STATE(1379),
    [sym_check_expression] = STATE(1379),
    [sym_comparison_expression] = STATE(1379),
    [sym_equality_expression] = STATE(1379),
    [sym_conjunction_expression] = STATE(1379),
    [sym_disjunction_expression] = STATE(1379),
    [sym_bitwise_operation] = STATE(1379),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1379),
    [sym_await_expression] = STATE(1379),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1379),
    [sym_call_expression] = STATE(1379),
    [sym__primary_expression] = STATE(1379),
    [sym_tuple_expression] = STATE(1379),
    [sym_array_literal] = STATE(1379),
    [sym_dictionary_literal] = STATE(1379),
    [sym__special_literal] = STATE(1379),
    [sym__playground_literal] = STATE(1379),
    [sym_lambda_literal] = STATE(1379),
    [sym_self_expression] = STATE(1379),
    [sym_super_expression] = STATE(1379),
    [sym_if_statement] = STATE(1379),
    [sym_switch_statement] = STATE(1379),
    [sym_key_path_expression] = STATE(1379),
    [sym_key_path_string_expression] = STATE(1379),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1379),
    [sym__equality_operator] = STATE(1379),
    [sym__comparison_operator] = STATE(1379),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1379),
    [sym__multiplicative_operator] = STATE(1379),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1379),
    [sym_value_parameter_pack] = STATE(1379),
    [sym_value_pack_expansion] = STATE(1379),
    [sym__referenceable_operator] = STATE(1379),
    [sym__equal_sign] = STATE(1379),
    [sym__eq_eq] = STATE(1379),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__attribute_argument] = STATE(6472),
    [sym__parameter_ownership_modifier] = STATE(1619),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [aux_sym__attribute_argument_repeat1] = STATE(4417),
    [aux_sym__attribute_argument_repeat2] = STATE(4495),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(1465),
    [aux_sym_simple_identifier_token2] = ACTIONS(1467),
    [aux_sym_simple_identifier_token3] = ACTIONS(1467),
    [aux_sym_simple_identifier_token4] = ACTIONS(1467),
    [anon_sym_actor] = ACTIONS(1465),
    [anon_sym_async] = ACTIONS(1465),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(1465),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(1465),
    [anon_sym_nil] = ACTIONS(1529),
    [sym_real_literal] = ACTIONS(1531),
    [sym_integer_literal] = ACTIONS(1529),
    [sym_hex_literal] = ACTIONS(1531),
    [sym_oct_literal] = ACTIONS(1531),
    [sym_bin_literal] = ACTIONS(1531),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1529),
    [anon_sym_GT] = ACTIONS(1529),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1529),
    [anon_sym_POUNDfileID] = ACTIONS(1531),
    [anon_sym_POUNDfilePath] = ACTIONS(1531),
    [anon_sym_POUNDline] = ACTIONS(1531),
    [anon_sym_POUNDcolumn] = ACTIONS(1531),
    [anon_sym_POUNDfunction] = ACTIONS(1531),
    [anon_sym_POUNDdsohandle] = ACTIONS(1531),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1531),
    [anon_sym_DASH_EQ] = ACTIONS(1531),
    [anon_sym_STAR_EQ] = ACTIONS(1531),
    [anon_sym_SLASH_EQ] = ACTIONS(1531),
    [anon_sym_PERCENT_EQ] = ACTIONS(1531),
    [anon_sym_BANG_EQ] = ACTIONS(1529),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1531),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1531),
    [anon_sym_LT_EQ] = ACTIONS(1531),
    [anon_sym_GT_EQ] = ACTIONS(1531),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1529),
    [anon_sym_SLASH] = ACTIONS(1529),
    [anon_sym_PERCENT] = ACTIONS(1529),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1531),
    [anon_sym_CARET] = ACTIONS(1529),
    [anon_sym_LT_LT] = ACTIONS(1531),
    [anon_sym_GT_GT] = ACTIONS(1531),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(1465),
    [anon_sym_consuming] = ACTIONS(1465),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1531),
    [sym__eq_eq_custom] = ACTIONS(1531),
    [sym__plus_then_ws] = ACTIONS(1531),
    [sym__minus_then_ws] = ACTIONS(1531),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [278] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1371),
    [sym_boolean_literal] = STATE(1371),
    [sym__string_literal] = STATE(1371),
    [sym_line_string_literal] = STATE(1371),
    [sym_multi_line_string_literal] = STATE(1371),
    [sym_raw_string_literal] = STATE(1371),
    [sym_regex_literal] = STATE(1371),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1371),
    [sym__unary_expression] = STATE(1371),
    [sym_postfix_expression] = STATE(1371),
    [sym_constructor_expression] = STATE(1371),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1371),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1371),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1371),
    [sym_prefix_expression] = STATE(1371),
    [sym_as_expression] = STATE(1371),
    [sym_selector_expression] = STATE(1371),
    [sym__binary_expression] = STATE(1371),
    [sym_multiplicative_expression] = STATE(1371),
    [sym_additive_expression] = STATE(1371),
    [sym_range_expression] = STATE(1371),
    [sym_infix_expression] = STATE(1371),
    [sym_nil_coalescing_expression] = STATE(1371),
    [sym_check_expression] = STATE(1371),
    [sym_comparison_expression] = STATE(1371),
    [sym_equality_expression] = STATE(1371),
    [sym_conjunction_expression] = STATE(1371),
    [sym_disjunction_expression] = STATE(1371),
    [sym_bitwise_operation] = STATE(1371),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1371),
    [sym_await_expression] = STATE(1371),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1371),
    [sym_call_expression] = STATE(1371),
    [sym__primary_expression] = STATE(1371),
    [sym_tuple_expression] = STATE(1371),
    [sym_array_literal] = STATE(1371),
    [sym_dictionary_literal] = STATE(1371),
    [sym__special_literal] = STATE(1371),
    [sym__playground_literal] = STATE(1371),
    [sym_lambda_literal] = STATE(1371),
    [sym_self_expression] = STATE(1371),
    [sym_super_expression] = STATE(1371),
    [sym_if_statement] = STATE(1371),
    [sym_switch_statement] = STATE(1371),
    [sym_key_path_expression] = STATE(1371),
    [sym_key_path_string_expression] = STATE(1371),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1371),
    [sym__equality_operator] = STATE(1371),
    [sym__comparison_operator] = STATE(1371),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1371),
    [sym__multiplicative_operator] = STATE(1371),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1371),
    [sym_value_parameter_pack] = STATE(1371),
    [sym_value_pack_expansion] = STATE(1371),
    [sym__referenceable_operator] = STATE(1371),
    [sym__equal_sign] = STATE(1371),
    [sym__eq_eq] = STATE(1371),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(1539),
    [aux_sym_simple_identifier_token2] = ACTIONS(1542),
    [aux_sym_simple_identifier_token3] = ACTIONS(1542),
    [aux_sym_simple_identifier_token4] = ACTIONS(1542),
    [anon_sym_actor] = ACTIONS(1539),
    [anon_sym_async] = ACTIONS(1539),
    [anon_sym_each] = ACTIONS(1545),
    [anon_sym_lazy] = ACTIONS(1539),
    [anon_sym_repeat] = ACTIONS(1548),
    [anon_sym_package] = ACTIONS(1539),
    [anon_sym_nil] = ACTIONS(1551),
    [sym_real_literal] = ACTIONS(1553),
    [sym_integer_literal] = ACTIONS(1551),
    [sym_hex_literal] = ACTIONS(1553),
    [sym_oct_literal] = ACTIONS(1553),
    [sym_bin_literal] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [anon_sym_RPAREN] = ACTIONS(1555),
    [anon_sym_COMMA] = ACTIONS(1555),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_RBRACK] = ACTIONS(1555),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(1557),
    [anon_sym_switch] = ACTIONS(1560),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1551),
    [anon_sym_GT] = ACTIONS(1551),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1551),
    [anon_sym_POUNDfileID] = ACTIONS(1553),
    [anon_sym_POUNDfilePath] = ACTIONS(1553),
    [anon_sym_POUNDline] = ACTIONS(1553),
    [anon_sym_POUNDcolumn] = ACTIONS(1553),
    [anon_sym_POUNDfunction] = ACTIONS(1553),
    [anon_sym_POUNDdsohandle] = ACTIONS(1553),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1553),
    [anon_sym_DASH_EQ] = ACTIONS(1553),
    [anon_sym_STAR_EQ] = ACTIONS(1553),
    [anon_sym_SLASH_EQ] = ACTIONS(1553),
    [anon_sym_PERCENT_EQ] = ACTIONS(1553),
    [anon_sym_BANG_EQ] = ACTIONS(1551),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1553),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1553),
    [anon_sym_LT_EQ] = ACTIONS(1553),
    [anon_sym_GT_EQ] = ACTIONS(1553),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1551),
    [anon_sym_SLASH] = ACTIONS(1551),
    [anon_sym_PERCENT] = ACTIONS(1551),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1553),
    [anon_sym_CARET] = ACTIONS(1551),
    [anon_sym_LT_LT] = ACTIONS(1553),
    [anon_sym_GT_GT] = ACTIONS(1553),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(1539),
    [anon_sym_consuming] = ACTIONS(1539),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1553),
    [sym__eq_eq_custom] = ACTIONS(1553),
    [sym__plus_then_ws] = ACTIONS(1553),
    [sym__minus_then_ws] = ACTIONS(1553),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [279] = {
    [sym_simple_identifier] = STATE(1581),
    [sym__contextual_simple_identifier] = STATE(1619),
    [sym__basic_literal] = STATE(1379),
    [sym_boolean_literal] = STATE(1379),
    [sym__string_literal] = STATE(1379),
    [sym_line_string_literal] = STATE(1379),
    [sym_multi_line_string_literal] = STATE(1379),
    [sym_raw_string_literal] = STATE(1379),
    [sym_regex_literal] = STATE(1379),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1379),
    [sym__unary_expression] = STATE(1379),
    [sym_postfix_expression] = STATE(1379),
    [sym_constructor_expression] = STATE(1379),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1379),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1379),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1379),
    [sym_prefix_expression] = STATE(1379),
    [sym_as_expression] = STATE(1379),
    [sym_selector_expression] = STATE(1379),
    [sym__binary_expression] = STATE(1379),
    [sym_multiplicative_expression] = STATE(1379),
    [sym_additive_expression] = STATE(1379),
    [sym_range_expression] = STATE(1379),
    [sym_infix_expression] = STATE(1379),
    [sym_nil_coalescing_expression] = STATE(1379),
    [sym_check_expression] = STATE(1379),
    [sym_comparison_expression] = STATE(1379),
    [sym_equality_expression] = STATE(1379),
    [sym_conjunction_expression] = STATE(1379),
    [sym_disjunction_expression] = STATE(1379),
    [sym_bitwise_operation] = STATE(1379),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1379),
    [sym_await_expression] = STATE(1379),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1379),
    [sym_call_expression] = STATE(1379),
    [sym__primary_expression] = STATE(1379),
    [sym_tuple_expression] = STATE(1379),
    [sym_array_literal] = STATE(1379),
    [sym_dictionary_literal] = STATE(1379),
    [sym__special_literal] = STATE(1379),
    [sym__playground_literal] = STATE(1379),
    [sym_lambda_literal] = STATE(1379),
    [sym_self_expression] = STATE(1379),
    [sym_super_expression] = STATE(1379),
    [sym_if_statement] = STATE(1379),
    [sym_switch_statement] = STATE(1379),
    [sym_key_path_expression] = STATE(1379),
    [sym_key_path_string_expression] = STATE(1379),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1379),
    [sym__equality_operator] = STATE(1379),
    [sym__comparison_operator] = STATE(1379),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1379),
    [sym__multiplicative_operator] = STATE(1379),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1379),
    [sym_value_parameter_pack] = STATE(1379),
    [sym_value_pack_expansion] = STATE(1379),
    [sym__referenceable_operator] = STATE(1379),
    [sym__equal_sign] = STATE(1379),
    [sym__eq_eq] = STATE(1379),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__attribute_argument] = STATE(6544),
    [sym__parameter_ownership_modifier] = STATE(1619),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [aux_sym__attribute_argument_repeat1] = STATE(4417),
    [aux_sym__attribute_argument_repeat2] = STATE(4495),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(1465),
    [aux_sym_simple_identifier_token2] = ACTIONS(1467),
    [aux_sym_simple_identifier_token3] = ACTIONS(1467),
    [aux_sym_simple_identifier_token4] = ACTIONS(1467),
    [anon_sym_actor] = ACTIONS(1465),
    [anon_sym_async] = ACTIONS(1465),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(1465),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(1465),
    [anon_sym_nil] = ACTIONS(1529),
    [sym_real_literal] = ACTIONS(1531),
    [sym_integer_literal] = ACTIONS(1529),
    [sym_hex_literal] = ACTIONS(1531),
    [sym_oct_literal] = ACTIONS(1531),
    [sym_bin_literal] = ACTIONS(1531),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1529),
    [anon_sym_GT] = ACTIONS(1529),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1529),
    [anon_sym_POUNDfileID] = ACTIONS(1531),
    [anon_sym_POUNDfilePath] = ACTIONS(1531),
    [anon_sym_POUNDline] = ACTIONS(1531),
    [anon_sym_POUNDcolumn] = ACTIONS(1531),
    [anon_sym_POUNDfunction] = ACTIONS(1531),
    [anon_sym_POUNDdsohandle] = ACTIONS(1531),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1531),
    [anon_sym_DASH_EQ] = ACTIONS(1531),
    [anon_sym_STAR_EQ] = ACTIONS(1531),
    [anon_sym_SLASH_EQ] = ACTIONS(1531),
    [anon_sym_PERCENT_EQ] = ACTIONS(1531),
    [anon_sym_BANG_EQ] = ACTIONS(1529),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1531),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1531),
    [anon_sym_LT_EQ] = ACTIONS(1531),
    [anon_sym_GT_EQ] = ACTIONS(1531),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1529),
    [anon_sym_SLASH] = ACTIONS(1529),
    [anon_sym_PERCENT] = ACTIONS(1529),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1531),
    [anon_sym_CARET] = ACTIONS(1529),
    [anon_sym_LT_LT] = ACTIONS(1531),
    [anon_sym_GT_GT] = ACTIONS(1531),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(1465),
    [anon_sym_consuming] = ACTIONS(1465),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1531),
    [sym__eq_eq_custom] = ACTIONS(1531),
    [sym__plus_then_ws] = ACTIONS(1531),
    [sym__minus_then_ws] = ACTIONS(1531),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [280] = {
    [sym_simple_identifier] = STATE(1581),
    [sym__contextual_simple_identifier] = STATE(1619),
    [sym__basic_literal] = STATE(1379),
    [sym_boolean_literal] = STATE(1379),
    [sym__string_literal] = STATE(1379),
    [sym_line_string_literal] = STATE(1379),
    [sym_multi_line_string_literal] = STATE(1379),
    [sym_raw_string_literal] = STATE(1379),
    [sym_regex_literal] = STATE(1379),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1379),
    [sym__unary_expression] = STATE(1379),
    [sym_postfix_expression] = STATE(1379),
    [sym_constructor_expression] = STATE(1379),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1379),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1379),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1379),
    [sym_prefix_expression] = STATE(1379),
    [sym_as_expression] = STATE(1379),
    [sym_selector_expression] = STATE(1379),
    [sym__binary_expression] = STATE(1379),
    [sym_multiplicative_expression] = STATE(1379),
    [sym_additive_expression] = STATE(1379),
    [sym_range_expression] = STATE(1379),
    [sym_infix_expression] = STATE(1379),
    [sym_nil_coalescing_expression] = STATE(1379),
    [sym_check_expression] = STATE(1379),
    [sym_comparison_expression] = STATE(1379),
    [sym_equality_expression] = STATE(1379),
    [sym_conjunction_expression] = STATE(1379),
    [sym_disjunction_expression] = STATE(1379),
    [sym_bitwise_operation] = STATE(1379),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1379),
    [sym_await_expression] = STATE(1379),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1379),
    [sym_call_expression] = STATE(1379),
    [sym__primary_expression] = STATE(1379),
    [sym_tuple_expression] = STATE(1379),
    [sym_array_literal] = STATE(1379),
    [sym_dictionary_literal] = STATE(1379),
    [sym__special_literal] = STATE(1379),
    [sym__playground_literal] = STATE(1379),
    [sym_lambda_literal] = STATE(1379),
    [sym_self_expression] = STATE(1379),
    [sym_super_expression] = STATE(1379),
    [sym_if_statement] = STATE(1379),
    [sym_switch_statement] = STATE(1379),
    [sym_key_path_expression] = STATE(1379),
    [sym_key_path_string_expression] = STATE(1379),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1379),
    [sym__equality_operator] = STATE(1379),
    [sym__comparison_operator] = STATE(1379),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1379),
    [sym__multiplicative_operator] = STATE(1379),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1379),
    [sym_value_parameter_pack] = STATE(1379),
    [sym_value_pack_expansion] = STATE(1379),
    [sym__referenceable_operator] = STATE(1379),
    [sym__equal_sign] = STATE(1379),
    [sym__eq_eq] = STATE(1379),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__attribute_argument] = STATE(6977),
    [sym__parameter_ownership_modifier] = STATE(1619),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [aux_sym__attribute_argument_repeat1] = STATE(4417),
    [aux_sym__attribute_argument_repeat2] = STATE(4495),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(1465),
    [aux_sym_simple_identifier_token2] = ACTIONS(1467),
    [aux_sym_simple_identifier_token3] = ACTIONS(1467),
    [aux_sym_simple_identifier_token4] = ACTIONS(1467),
    [anon_sym_actor] = ACTIONS(1465),
    [anon_sym_async] = ACTIONS(1465),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(1465),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(1465),
    [anon_sym_nil] = ACTIONS(1529),
    [sym_real_literal] = ACTIONS(1531),
    [sym_integer_literal] = ACTIONS(1529),
    [sym_hex_literal] = ACTIONS(1531),
    [sym_oct_literal] = ACTIONS(1531),
    [sym_bin_literal] = ACTIONS(1531),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1529),
    [anon_sym_GT] = ACTIONS(1529),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1529),
    [anon_sym_POUNDfileID] = ACTIONS(1531),
    [anon_sym_POUNDfilePath] = ACTIONS(1531),
    [anon_sym_POUNDline] = ACTIONS(1531),
    [anon_sym_POUNDcolumn] = ACTIONS(1531),
    [anon_sym_POUNDfunction] = ACTIONS(1531),
    [anon_sym_POUNDdsohandle] = ACTIONS(1531),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1531),
    [anon_sym_DASH_EQ] = ACTIONS(1531),
    [anon_sym_STAR_EQ] = ACTIONS(1531),
    [anon_sym_SLASH_EQ] = ACTIONS(1531),
    [anon_sym_PERCENT_EQ] = ACTIONS(1531),
    [anon_sym_BANG_EQ] = ACTIONS(1529),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1531),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1531),
    [anon_sym_LT_EQ] = ACTIONS(1531),
    [anon_sym_GT_EQ] = ACTIONS(1531),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1529),
    [anon_sym_SLASH] = ACTIONS(1529),
    [anon_sym_PERCENT] = ACTIONS(1529),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1531),
    [anon_sym_CARET] = ACTIONS(1529),
    [anon_sym_LT_LT] = ACTIONS(1531),
    [anon_sym_GT_GT] = ACTIONS(1531),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(1465),
    [anon_sym_consuming] = ACTIONS(1465),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1531),
    [sym__eq_eq_custom] = ACTIONS(1531),
    [sym__plus_then_ws] = ACTIONS(1531),
    [sym__minus_then_ws] = ACTIONS(1531),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [281] = {
    [sym_simple_identifier] = STATE(1581),
    [sym__contextual_simple_identifier] = STATE(1619),
    [sym__basic_literal] = STATE(1379),
    [sym_boolean_literal] = STATE(1379),
    [sym__string_literal] = STATE(1379),
    [sym_line_string_literal] = STATE(1379),
    [sym_multi_line_string_literal] = STATE(1379),
    [sym_raw_string_literal] = STATE(1379),
    [sym_regex_literal] = STATE(1379),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1379),
    [sym__unary_expression] = STATE(1379),
    [sym_postfix_expression] = STATE(1379),
    [sym_constructor_expression] = STATE(1379),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1379),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1379),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1379),
    [sym_prefix_expression] = STATE(1379),
    [sym_as_expression] = STATE(1379),
    [sym_selector_expression] = STATE(1379),
    [sym__binary_expression] = STATE(1379),
    [sym_multiplicative_expression] = STATE(1379),
    [sym_additive_expression] = STATE(1379),
    [sym_range_expression] = STATE(1379),
    [sym_infix_expression] = STATE(1379),
    [sym_nil_coalescing_expression] = STATE(1379),
    [sym_check_expression] = STATE(1379),
    [sym_comparison_expression] = STATE(1379),
    [sym_equality_expression] = STATE(1379),
    [sym_conjunction_expression] = STATE(1379),
    [sym_disjunction_expression] = STATE(1379),
    [sym_bitwise_operation] = STATE(1379),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1379),
    [sym_await_expression] = STATE(1379),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1379),
    [sym_call_expression] = STATE(1379),
    [sym__primary_expression] = STATE(1379),
    [sym_tuple_expression] = STATE(1379),
    [sym_array_literal] = STATE(1379),
    [sym_dictionary_literal] = STATE(1379),
    [sym__special_literal] = STATE(1379),
    [sym__playground_literal] = STATE(1379),
    [sym_lambda_literal] = STATE(1379),
    [sym_self_expression] = STATE(1379),
    [sym_super_expression] = STATE(1379),
    [sym_if_statement] = STATE(1379),
    [sym_switch_statement] = STATE(1379),
    [sym_key_path_expression] = STATE(1379),
    [sym_key_path_string_expression] = STATE(1379),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1379),
    [sym__equality_operator] = STATE(1379),
    [sym__comparison_operator] = STATE(1379),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1379),
    [sym__multiplicative_operator] = STATE(1379),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1379),
    [sym_value_parameter_pack] = STATE(1379),
    [sym_value_pack_expansion] = STATE(1379),
    [sym__referenceable_operator] = STATE(1379),
    [sym__equal_sign] = STATE(1379),
    [sym__eq_eq] = STATE(1379),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__attribute_argument] = STATE(6775),
    [sym__parameter_ownership_modifier] = STATE(1619),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [aux_sym__attribute_argument_repeat1] = STATE(4417),
    [aux_sym__attribute_argument_repeat2] = STATE(4495),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(1465),
    [aux_sym_simple_identifier_token2] = ACTIONS(1467),
    [aux_sym_simple_identifier_token3] = ACTIONS(1467),
    [aux_sym_simple_identifier_token4] = ACTIONS(1467),
    [anon_sym_actor] = ACTIONS(1465),
    [anon_sym_async] = ACTIONS(1465),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(1465),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(1465),
    [anon_sym_nil] = ACTIONS(1529),
    [sym_real_literal] = ACTIONS(1531),
    [sym_integer_literal] = ACTIONS(1529),
    [sym_hex_literal] = ACTIONS(1531),
    [sym_oct_literal] = ACTIONS(1531),
    [sym_bin_literal] = ACTIONS(1531),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1529),
    [anon_sym_GT] = ACTIONS(1529),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1529),
    [anon_sym_POUNDfileID] = ACTIONS(1531),
    [anon_sym_POUNDfilePath] = ACTIONS(1531),
    [anon_sym_POUNDline] = ACTIONS(1531),
    [anon_sym_POUNDcolumn] = ACTIONS(1531),
    [anon_sym_POUNDfunction] = ACTIONS(1531),
    [anon_sym_POUNDdsohandle] = ACTIONS(1531),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1531),
    [anon_sym_DASH_EQ] = ACTIONS(1531),
    [anon_sym_STAR_EQ] = ACTIONS(1531),
    [anon_sym_SLASH_EQ] = ACTIONS(1531),
    [anon_sym_PERCENT_EQ] = ACTIONS(1531),
    [anon_sym_BANG_EQ] = ACTIONS(1529),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1531),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1531),
    [anon_sym_LT_EQ] = ACTIONS(1531),
    [anon_sym_GT_EQ] = ACTIONS(1531),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1529),
    [anon_sym_SLASH] = ACTIONS(1529),
    [anon_sym_PERCENT] = ACTIONS(1529),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1531),
    [anon_sym_CARET] = ACTIONS(1529),
    [anon_sym_LT_LT] = ACTIONS(1531),
    [anon_sym_GT_GT] = ACTIONS(1531),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(1465),
    [anon_sym_consuming] = ACTIONS(1465),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1531),
    [sym__eq_eq_custom] = ACTIONS(1531),
    [sym__plus_then_ws] = ACTIONS(1531),
    [sym__minus_then_ws] = ACTIONS(1531),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [282] = {
    [sym_simple_identifier] = STATE(1581),
    [sym__contextual_simple_identifier] = STATE(1619),
    [sym__basic_literal] = STATE(1379),
    [sym_boolean_literal] = STATE(1379),
    [sym__string_literal] = STATE(1379),
    [sym_line_string_literal] = STATE(1379),
    [sym_multi_line_string_literal] = STATE(1379),
    [sym_raw_string_literal] = STATE(1379),
    [sym_regex_literal] = STATE(1379),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1379),
    [sym__unary_expression] = STATE(1379),
    [sym_postfix_expression] = STATE(1379),
    [sym_constructor_expression] = STATE(1379),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1379),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1379),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1379),
    [sym_prefix_expression] = STATE(1379),
    [sym_as_expression] = STATE(1379),
    [sym_selector_expression] = STATE(1379),
    [sym__binary_expression] = STATE(1379),
    [sym_multiplicative_expression] = STATE(1379),
    [sym_additive_expression] = STATE(1379),
    [sym_range_expression] = STATE(1379),
    [sym_infix_expression] = STATE(1379),
    [sym_nil_coalescing_expression] = STATE(1379),
    [sym_check_expression] = STATE(1379),
    [sym_comparison_expression] = STATE(1379),
    [sym_equality_expression] = STATE(1379),
    [sym_conjunction_expression] = STATE(1379),
    [sym_disjunction_expression] = STATE(1379),
    [sym_bitwise_operation] = STATE(1379),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1379),
    [sym_await_expression] = STATE(1379),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1379),
    [sym_call_expression] = STATE(1379),
    [sym__primary_expression] = STATE(1379),
    [sym_tuple_expression] = STATE(1379),
    [sym_array_literal] = STATE(1379),
    [sym_dictionary_literal] = STATE(1379),
    [sym__special_literal] = STATE(1379),
    [sym__playground_literal] = STATE(1379),
    [sym_lambda_literal] = STATE(1379),
    [sym_self_expression] = STATE(1379),
    [sym_super_expression] = STATE(1379),
    [sym_if_statement] = STATE(1379),
    [sym_switch_statement] = STATE(1379),
    [sym_key_path_expression] = STATE(1379),
    [sym_key_path_string_expression] = STATE(1379),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1379),
    [sym__equality_operator] = STATE(1379),
    [sym__comparison_operator] = STATE(1379),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1379),
    [sym__multiplicative_operator] = STATE(1379),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1379),
    [sym_value_parameter_pack] = STATE(1379),
    [sym_value_pack_expansion] = STATE(1379),
    [sym__referenceable_operator] = STATE(1379),
    [sym__equal_sign] = STATE(1379),
    [sym__eq_eq] = STATE(1379),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__attribute_argument] = STATE(6905),
    [sym__parameter_ownership_modifier] = STATE(1619),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [aux_sym__attribute_argument_repeat1] = STATE(4417),
    [aux_sym__attribute_argument_repeat2] = STATE(4495),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(1465),
    [aux_sym_simple_identifier_token2] = ACTIONS(1467),
    [aux_sym_simple_identifier_token3] = ACTIONS(1467),
    [aux_sym_simple_identifier_token4] = ACTIONS(1467),
    [anon_sym_actor] = ACTIONS(1465),
    [anon_sym_async] = ACTIONS(1465),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(1465),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(1465),
    [anon_sym_nil] = ACTIONS(1529),
    [sym_real_literal] = ACTIONS(1531),
    [sym_integer_literal] = ACTIONS(1529),
    [sym_hex_literal] = ACTIONS(1531),
    [sym_oct_literal] = ACTIONS(1531),
    [sym_bin_literal] = ACTIONS(1531),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1529),
    [anon_sym_GT] = ACTIONS(1529),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1529),
    [anon_sym_POUNDfileID] = ACTIONS(1531),
    [anon_sym_POUNDfilePath] = ACTIONS(1531),
    [anon_sym_POUNDline] = ACTIONS(1531),
    [anon_sym_POUNDcolumn] = ACTIONS(1531),
    [anon_sym_POUNDfunction] = ACTIONS(1531),
    [anon_sym_POUNDdsohandle] = ACTIONS(1531),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1531),
    [anon_sym_DASH_EQ] = ACTIONS(1531),
    [anon_sym_STAR_EQ] = ACTIONS(1531),
    [anon_sym_SLASH_EQ] = ACTIONS(1531),
    [anon_sym_PERCENT_EQ] = ACTIONS(1531),
    [anon_sym_BANG_EQ] = ACTIONS(1529),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1531),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1531),
    [anon_sym_LT_EQ] = ACTIONS(1531),
    [anon_sym_GT_EQ] = ACTIONS(1531),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1529),
    [anon_sym_SLASH] = ACTIONS(1529),
    [anon_sym_PERCENT] = ACTIONS(1529),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1531),
    [anon_sym_CARET] = ACTIONS(1529),
    [anon_sym_LT_LT] = ACTIONS(1531),
    [anon_sym_GT_GT] = ACTIONS(1531),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(1465),
    [anon_sym_consuming] = ACTIONS(1465),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1531),
    [sym__eq_eq_custom] = ACTIONS(1531),
    [sym__plus_then_ws] = ACTIONS(1531),
    [sym__minus_then_ws] = ACTIONS(1531),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [283] = {
    [sym_simple_identifier] = STATE(2276),
    [sym__contextual_simple_identifier] = STATE(2115),
    [sym__basic_literal] = STATE(1342),
    [sym_boolean_literal] = STATE(1342),
    [sym__string_literal] = STATE(1342),
    [sym_line_string_literal] = STATE(1342),
    [sym_multi_line_string_literal] = STATE(1342),
    [sym_raw_string_literal] = STATE(1342),
    [sym_regex_literal] = STATE(1342),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1342),
    [sym__unary_expression] = STATE(1342),
    [sym_postfix_expression] = STATE(1342),
    [sym_constructor_expression] = STATE(1342),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1342),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1342),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1342),
    [sym_prefix_expression] = STATE(1342),
    [sym_as_expression] = STATE(1342),
    [sym_selector_expression] = STATE(1342),
    [sym__binary_expression] = STATE(1342),
    [sym_multiplicative_expression] = STATE(1342),
    [sym_additive_expression] = STATE(1342),
    [sym_range_expression] = STATE(1342),
    [sym_infix_expression] = STATE(1342),
    [sym_nil_coalescing_expression] = STATE(1342),
    [sym_check_expression] = STATE(1342),
    [sym_comparison_expression] = STATE(1342),
    [sym_equality_expression] = STATE(1342),
    [sym_conjunction_expression] = STATE(1342),
    [sym_disjunction_expression] = STATE(1342),
    [sym_bitwise_operation] = STATE(1342),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1342),
    [sym_await_expression] = STATE(1342),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1342),
    [sym_call_expression] = STATE(1342),
    [sym__primary_expression] = STATE(1342),
    [sym_tuple_expression] = STATE(1342),
    [sym_array_literal] = STATE(1342),
    [sym_dictionary_literal] = STATE(1342),
    [sym__special_literal] = STATE(1342),
    [sym__playground_literal] = STATE(1342),
    [sym_lambda_literal] = STATE(1342),
    [sym_self_expression] = STATE(1342),
    [sym_super_expression] = STATE(1342),
    [sym_if_statement] = STATE(1342),
    [sym_switch_statement] = STATE(1342),
    [sym_key_path_expression] = STATE(1342),
    [sym_key_path_string_expression] = STATE(1342),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1342),
    [sym__equality_operator] = STATE(1342),
    [sym__comparison_operator] = STATE(1342),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1342),
    [sym__multiplicative_operator] = STATE(1342),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym_assignment] = STATE(1342),
    [sym_value_parameter_pack] = STATE(1342),
    [sym_value_pack_expansion] = STATE(1342),
    [sym__referenceable_operator] = STATE(1342),
    [sym__equal_sign] = STATE(1342),
    [sym__eq_eq] = STATE(1342),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__parameter_ownership_modifier] = STATE(2115),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(11),
    [aux_sym_simple_identifier_token2] = ACTIONS(13),
    [aux_sym_simple_identifier_token3] = ACTIONS(13),
    [aux_sym_simple_identifier_token4] = ACTIONS(13),
    [anon_sym_actor] = ACTIONS(11),
    [anon_sym_async] = ACTIONS(11),
    [anon_sym_each] = ACTIONS(19),
    [anon_sym_lazy] = ACTIONS(11),
    [anon_sym_repeat] = ACTIONS(937),
    [anon_sym_package] = ACTIONS(11),
    [anon_sym_nil] = ACTIONS(1563),
    [sym_real_literal] = ACTIONS(1565),
    [sym_integer_literal] = ACTIONS(1563),
    [sym_hex_literal] = ACTIONS(1565),
    [sym_oct_literal] = ACTIONS(1565),
    [sym_bin_literal] = ACTIONS(1565),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(1563),
    [anon_sym_GT] = ACTIONS(1563),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(1563),
    [anon_sym_POUNDfileID] = ACTIONS(1565),
    [anon_sym_POUNDfilePath] = ACTIONS(1565),
    [anon_sym_POUNDline] = ACTIONS(1565),
    [anon_sym_POUNDcolumn] = ACTIONS(1565),
    [anon_sym_POUNDfunction] = ACTIONS(1565),
    [anon_sym_POUNDdsohandle] = ACTIONS(1565),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_RBRACE] = ACTIONS(763),
    [anon_sym_self] = ACTIONS(65),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1565),
    [anon_sym_DASH_EQ] = ACTIONS(1565),
    [anon_sym_STAR_EQ] = ACTIONS(1565),
    [anon_sym_SLASH_EQ] = ACTIONS(1565),
    [anon_sym_PERCENT_EQ] = ACTIONS(1565),
    [anon_sym_BANG_EQ] = ACTIONS(1563),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1565),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1565),
    [anon_sym_LT_EQ] = ACTIONS(1565),
    [anon_sym_GT_EQ] = ACTIONS(1565),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(1563),
    [anon_sym_SLASH] = ACTIONS(1563),
    [anon_sym_PERCENT] = ACTIONS(1563),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(1565),
    [anon_sym_CARET] = ACTIONS(1563),
    [anon_sym_LT_LT] = ACTIONS(1565),
    [anon_sym_GT_GT] = ACTIONS(1565),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_borrowing] = ACTIONS(11),
    [anon_sym_consuming] = ACTIONS(11),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__implicit_semi] = ACTIONS(763),
    [sym__explicit_semi] = ACTIONS(763),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(1565),
    [sym__eq_eq_custom] = ACTIONS(1565),
    [sym__plus_then_ws] = ACTIONS(1565),
    [sym__minus_then_ws] = ACTIONS(1565),
    [sym__bang_custom] = ACTIONS(151),
    [sym__custom_operator] = ACTIONS(57),
  },
  [284] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1407),
    [sym_boolean_literal] = STATE(1407),
    [sym__string_literal] = STATE(1407),
    [sym_line_string_literal] = STATE(1407),
    [sym_multi_line_string_literal] = STATE(1407),
    [sym_raw_string_literal] = STATE(1407),
    [sym_regex_literal] = STATE(1407),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1407),
    [sym__unary_expression] = STATE(1407),
    [sym_postfix_expression] = STATE(1407),
    [sym_constructor_expression] = STATE(1407),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1407),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1407),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1407),
    [sym_prefix_expression] = STATE(1407),
    [sym_as_expression] = STATE(1407),
    [sym_selector_expression] = STATE(1407),
    [sym__binary_expression] = STATE(1407),
    [sym_multiplicative_expression] = STATE(1407),
    [sym_additive_expression] = STATE(1407),
    [sym_range_expression] = STATE(1407),
    [sym_infix_expression] = STATE(1407),
    [sym_nil_coalescing_expression] = STATE(1407),
    [sym_check_expression] = STATE(1407),
    [sym_comparison_expression] = STATE(1407),
    [sym_equality_expression] = STATE(1407),
    [sym_conjunction_expression] = STATE(1407),
    [sym_disjunction_expression] = STATE(1407),
    [sym_bitwise_operation] = STATE(1407),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1407),
    [sym_await_expression] = STATE(1407),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1407),
    [sym_call_expression] = STATE(1407),
    [sym__primary_expression] = STATE(1407),
    [sym_tuple_expression] = STATE(1407),
    [sym_array_literal] = STATE(1407),
    [sym_dictionary_literal] = STATE(1407),
    [sym__special_literal] = STATE(1407),
    [sym__playground_literal] = STATE(1407),
    [sym_lambda_literal] = STATE(1407),
    [sym_self_expression] = STATE(1407),
    [sym_super_expression] = STATE(1407),
    [sym_if_statement] = STATE(1407),
    [sym_switch_statement] = STATE(1407),
    [sym_key_path_expression] = STATE(1407),
    [sym_key_path_string_expression] = STATE(1407),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1407),
    [sym__equality_operator] = STATE(1407),
    [sym__comparison_operator] = STATE(1407),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1407),
    [sym__multiplicative_operator] = STATE(1407),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1407),
    [sym_value_parameter_pack] = STATE(1407),
    [sym_value_pack_expansion] = STATE(1407),
    [sym__referenceable_operator] = STATE(1407),
    [sym__equal_sign] = STATE(1407),
    [sym__eq_eq] = STATE(1407),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1567),
    [sym_real_literal] = ACTIONS(1569),
    [sym_integer_literal] = ACTIONS(1567),
    [sym_hex_literal] = ACTIONS(1569),
    [sym_oct_literal] = ACTIONS(1569),
    [sym_bin_literal] = ACTIONS(1569),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [anon_sym_RPAREN] = ACTIONS(1537),
    [anon_sym_COMMA] = ACTIONS(1537),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_COLON] = ACTIONS(1537),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1567),
    [anon_sym_GT] = ACTIONS(1567),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1567),
    [anon_sym_POUNDfileID] = ACTIONS(1569),
    [anon_sym_POUNDfilePath] = ACTIONS(1569),
    [anon_sym_POUNDline] = ACTIONS(1569),
    [anon_sym_POUNDcolumn] = ACTIONS(1569),
    [anon_sym_POUNDfunction] = ACTIONS(1569),
    [anon_sym_POUNDdsohandle] = ACTIONS(1569),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1569),
    [anon_sym_DASH_EQ] = ACTIONS(1569),
    [anon_sym_STAR_EQ] = ACTIONS(1569),
    [anon_sym_SLASH_EQ] = ACTIONS(1569),
    [anon_sym_PERCENT_EQ] = ACTIONS(1569),
    [anon_sym_BANG_EQ] = ACTIONS(1567),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1569),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1569),
    [anon_sym_LT_EQ] = ACTIONS(1569),
    [anon_sym_GT_EQ] = ACTIONS(1569),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1567),
    [anon_sym_SLASH] = ACTIONS(1567),
    [anon_sym_PERCENT] = ACTIONS(1567),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1569),
    [anon_sym_CARET] = ACTIONS(1567),
    [anon_sym_LT_LT] = ACTIONS(1569),
    [anon_sym_GT_GT] = ACTIONS(1569),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1569),
    [sym__eq_eq_custom] = ACTIONS(1569),
    [sym__plus_then_ws] = ACTIONS(1569),
    [sym__minus_then_ws] = ACTIONS(1569),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [285] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1374),
    [sym_boolean_literal] = STATE(1374),
    [sym__string_literal] = STATE(1374),
    [sym_line_string_literal] = STATE(1374),
    [sym_multi_line_string_literal] = STATE(1374),
    [sym_raw_string_literal] = STATE(1374),
    [sym_regex_literal] = STATE(1374),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1374),
    [sym__unary_expression] = STATE(1374),
    [sym_postfix_expression] = STATE(1374),
    [sym_constructor_expression] = STATE(1374),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1374),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1374),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1374),
    [sym_prefix_expression] = STATE(1374),
    [sym_as_expression] = STATE(1374),
    [sym_selector_expression] = STATE(1374),
    [sym__binary_expression] = STATE(1374),
    [sym_multiplicative_expression] = STATE(1374),
    [sym_additive_expression] = STATE(1374),
    [sym_range_expression] = STATE(1374),
    [sym_infix_expression] = STATE(1374),
    [sym_nil_coalescing_expression] = STATE(1374),
    [sym_check_expression] = STATE(1374),
    [sym_comparison_expression] = STATE(1374),
    [sym_equality_expression] = STATE(1374),
    [sym_conjunction_expression] = STATE(1374),
    [sym_disjunction_expression] = STATE(1374),
    [sym_bitwise_operation] = STATE(1374),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1374),
    [sym_await_expression] = STATE(1374),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1374),
    [sym_call_expression] = STATE(1374),
    [sym__primary_expression] = STATE(1374),
    [sym_tuple_expression] = STATE(1374),
    [sym_array_literal] = STATE(1374),
    [sym_dictionary_literal] = STATE(1374),
    [sym__special_literal] = STATE(1374),
    [sym__playground_literal] = STATE(1374),
    [sym_lambda_literal] = STATE(1374),
    [sym_self_expression] = STATE(1374),
    [sym_super_expression] = STATE(1374),
    [sym_if_statement] = STATE(1374),
    [sym_switch_statement] = STATE(1374),
    [sym_key_path_expression] = STATE(1374),
    [sym_key_path_string_expression] = STATE(1374),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1374),
    [sym__equality_operator] = STATE(1374),
    [sym__comparison_operator] = STATE(1374),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1374),
    [sym__multiplicative_operator] = STATE(1374),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1374),
    [sym_value_parameter_pack] = STATE(1374),
    [sym_value_pack_expansion] = STATE(1374),
    [sym__referenceable_operator] = STATE(1374),
    [sym__equal_sign] = STATE(1374),
    [sym__eq_eq] = STATE(1374),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(1539),
    [aux_sym_simple_identifier_token2] = ACTIONS(1542),
    [aux_sym_simple_identifier_token3] = ACTIONS(1542),
    [aux_sym_simple_identifier_token4] = ACTIONS(1542),
    [anon_sym_actor] = ACTIONS(1539),
    [anon_sym_async] = ACTIONS(1539),
    [anon_sym_each] = ACTIONS(1545),
    [anon_sym_lazy] = ACTIONS(1539),
    [anon_sym_repeat] = ACTIONS(1548),
    [anon_sym_package] = ACTIONS(1539),
    [anon_sym_nil] = ACTIONS(1571),
    [sym_real_literal] = ACTIONS(1573),
    [sym_integer_literal] = ACTIONS(1571),
    [sym_hex_literal] = ACTIONS(1573),
    [sym_oct_literal] = ACTIONS(1573),
    [sym_bin_literal] = ACTIONS(1573),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [anon_sym_RPAREN] = ACTIONS(1555),
    [anon_sym_COMMA] = ACTIONS(1555),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_RBRACK] = ACTIONS(1555),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(1557),
    [anon_sym_switch] = ACTIONS(1560),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1571),
    [anon_sym_GT] = ACTIONS(1571),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1571),
    [anon_sym_POUNDfileID] = ACTIONS(1573),
    [anon_sym_POUNDfilePath] = ACTIONS(1573),
    [anon_sym_POUNDline] = ACTIONS(1573),
    [anon_sym_POUNDcolumn] = ACTIONS(1573),
    [anon_sym_POUNDfunction] = ACTIONS(1573),
    [anon_sym_POUNDdsohandle] = ACTIONS(1573),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1573),
    [anon_sym_DASH_EQ] = ACTIONS(1573),
    [anon_sym_STAR_EQ] = ACTIONS(1573),
    [anon_sym_SLASH_EQ] = ACTIONS(1573),
    [anon_sym_PERCENT_EQ] = ACTIONS(1573),
    [anon_sym_BANG_EQ] = ACTIONS(1571),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1573),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1573),
    [anon_sym_LT_EQ] = ACTIONS(1573),
    [anon_sym_GT_EQ] = ACTIONS(1573),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1571),
    [anon_sym_SLASH] = ACTIONS(1571),
    [anon_sym_PERCENT] = ACTIONS(1571),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1573),
    [anon_sym_CARET] = ACTIONS(1571),
    [anon_sym_LT_LT] = ACTIONS(1573),
    [anon_sym_GT_GT] = ACTIONS(1573),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(1539),
    [anon_sym_consuming] = ACTIONS(1539),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1573),
    [sym__eq_eq_custom] = ACTIONS(1573),
    [sym__plus_then_ws] = ACTIONS(1573),
    [sym__minus_then_ws] = ACTIONS(1573),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [286] = {
    [sym_simple_identifier] = STATE(1581),
    [sym__contextual_simple_identifier] = STATE(1619),
    [sym__basic_literal] = STATE(1379),
    [sym_boolean_literal] = STATE(1379),
    [sym__string_literal] = STATE(1379),
    [sym_line_string_literal] = STATE(1379),
    [sym_multi_line_string_literal] = STATE(1379),
    [sym_raw_string_literal] = STATE(1379),
    [sym_regex_literal] = STATE(1379),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1379),
    [sym__unary_expression] = STATE(1379),
    [sym_postfix_expression] = STATE(1379),
    [sym_constructor_expression] = STATE(1379),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1379),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1379),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1379),
    [sym_prefix_expression] = STATE(1379),
    [sym_as_expression] = STATE(1379),
    [sym_selector_expression] = STATE(1379),
    [sym__binary_expression] = STATE(1379),
    [sym_multiplicative_expression] = STATE(1379),
    [sym_additive_expression] = STATE(1379),
    [sym_range_expression] = STATE(1379),
    [sym_infix_expression] = STATE(1379),
    [sym_nil_coalescing_expression] = STATE(1379),
    [sym_check_expression] = STATE(1379),
    [sym_comparison_expression] = STATE(1379),
    [sym_equality_expression] = STATE(1379),
    [sym_conjunction_expression] = STATE(1379),
    [sym_disjunction_expression] = STATE(1379),
    [sym_bitwise_operation] = STATE(1379),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1379),
    [sym_await_expression] = STATE(1379),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1379),
    [sym_call_expression] = STATE(1379),
    [sym__primary_expression] = STATE(1379),
    [sym_tuple_expression] = STATE(1379),
    [sym_array_literal] = STATE(1379),
    [sym_dictionary_literal] = STATE(1379),
    [sym__special_literal] = STATE(1379),
    [sym__playground_literal] = STATE(1379),
    [sym_lambda_literal] = STATE(1379),
    [sym_self_expression] = STATE(1379),
    [sym_super_expression] = STATE(1379),
    [sym_if_statement] = STATE(1379),
    [sym_switch_statement] = STATE(1379),
    [sym_key_path_expression] = STATE(1379),
    [sym_key_path_string_expression] = STATE(1379),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1379),
    [sym__equality_operator] = STATE(1379),
    [sym__comparison_operator] = STATE(1379),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1379),
    [sym__multiplicative_operator] = STATE(1379),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1379),
    [sym_value_parameter_pack] = STATE(1379),
    [sym_value_pack_expansion] = STATE(1379),
    [sym__referenceable_operator] = STATE(1379),
    [sym__equal_sign] = STATE(1379),
    [sym__eq_eq] = STATE(1379),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__attribute_argument] = STATE(6689),
    [sym__parameter_ownership_modifier] = STATE(1619),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [aux_sym__attribute_argument_repeat1] = STATE(4417),
    [aux_sym__attribute_argument_repeat2] = STATE(4495),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(1465),
    [aux_sym_simple_identifier_token2] = ACTIONS(1467),
    [aux_sym_simple_identifier_token3] = ACTIONS(1467),
    [aux_sym_simple_identifier_token4] = ACTIONS(1467),
    [anon_sym_actor] = ACTIONS(1465),
    [anon_sym_async] = ACTIONS(1465),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(1465),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(1465),
    [anon_sym_nil] = ACTIONS(1529),
    [sym_real_literal] = ACTIONS(1531),
    [sym_integer_literal] = ACTIONS(1529),
    [sym_hex_literal] = ACTIONS(1531),
    [sym_oct_literal] = ACTIONS(1531),
    [sym_bin_literal] = ACTIONS(1531),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1529),
    [anon_sym_GT] = ACTIONS(1529),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1529),
    [anon_sym_POUNDfileID] = ACTIONS(1531),
    [anon_sym_POUNDfilePath] = ACTIONS(1531),
    [anon_sym_POUNDline] = ACTIONS(1531),
    [anon_sym_POUNDcolumn] = ACTIONS(1531),
    [anon_sym_POUNDfunction] = ACTIONS(1531),
    [anon_sym_POUNDdsohandle] = ACTIONS(1531),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1531),
    [anon_sym_DASH_EQ] = ACTIONS(1531),
    [anon_sym_STAR_EQ] = ACTIONS(1531),
    [anon_sym_SLASH_EQ] = ACTIONS(1531),
    [anon_sym_PERCENT_EQ] = ACTIONS(1531),
    [anon_sym_BANG_EQ] = ACTIONS(1529),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1531),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1531),
    [anon_sym_LT_EQ] = ACTIONS(1531),
    [anon_sym_GT_EQ] = ACTIONS(1531),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1529),
    [anon_sym_SLASH] = ACTIONS(1529),
    [anon_sym_PERCENT] = ACTIONS(1529),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1531),
    [anon_sym_CARET] = ACTIONS(1529),
    [anon_sym_LT_LT] = ACTIONS(1531),
    [anon_sym_GT_GT] = ACTIONS(1531),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(1465),
    [anon_sym_consuming] = ACTIONS(1465),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1531),
    [sym__eq_eq_custom] = ACTIONS(1531),
    [sym__plus_then_ws] = ACTIONS(1531),
    [sym__minus_then_ws] = ACTIONS(1531),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [287] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1276),
    [sym_boolean_literal] = STATE(1276),
    [sym__string_literal] = STATE(1276),
    [sym_line_string_literal] = STATE(1276),
    [sym_multi_line_string_literal] = STATE(1276),
    [sym_raw_string_literal] = STATE(1276),
    [sym_regex_literal] = STATE(1276),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1276),
    [sym__unary_expression] = STATE(1276),
    [sym_postfix_expression] = STATE(1276),
    [sym_constructor_expression] = STATE(1276),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1276),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1276),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1276),
    [sym_prefix_expression] = STATE(1276),
    [sym_as_expression] = STATE(1276),
    [sym_selector_expression] = STATE(1276),
    [sym__binary_expression] = STATE(1276),
    [sym_multiplicative_expression] = STATE(1276),
    [sym_additive_expression] = STATE(1276),
    [sym_range_expression] = STATE(1276),
    [sym_infix_expression] = STATE(1276),
    [sym_nil_coalescing_expression] = STATE(1276),
    [sym_check_expression] = STATE(1276),
    [sym_comparison_expression] = STATE(1276),
    [sym_equality_expression] = STATE(1276),
    [sym_conjunction_expression] = STATE(1276),
    [sym_disjunction_expression] = STATE(1276),
    [sym_bitwise_operation] = STATE(1276),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1276),
    [sym_await_expression] = STATE(1276),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1276),
    [sym__expr_hack_at_ternary_binary_suffix] = STATE(814),
    [sym_expr_hack_at_ternary_binary_call] = STATE(814),
    [sym_call_expression] = STATE(1276),
    [sym__primary_expression] = STATE(1276),
    [sym_tuple_expression] = STATE(1276),
    [sym_array_literal] = STATE(1276),
    [sym_dictionary_literal] = STATE(1276),
    [sym__special_literal] = STATE(1276),
    [sym__playground_literal] = STATE(1276),
    [sym_lambda_literal] = STATE(1276),
    [sym_self_expression] = STATE(1276),
    [sym_super_expression] = STATE(1276),
    [sym_if_statement] = STATE(1276),
    [sym_switch_statement] = STATE(1276),
    [sym_key_path_expression] = STATE(1276),
    [sym_key_path_string_expression] = STATE(1276),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1276),
    [sym__equality_operator] = STATE(1276),
    [sym__comparison_operator] = STATE(1276),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1276),
    [sym__multiplicative_operator] = STATE(1276),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1276),
    [sym_value_parameter_pack] = STATE(1276),
    [sym_value_pack_expansion] = STATE(1276),
    [sym__referenceable_operator] = STATE(1276),
    [sym__equal_sign] = STATE(1276),
    [sym__eq_eq] = STATE(1276),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1575),
    [sym_real_literal] = ACTIONS(1577),
    [sym_integer_literal] = ACTIONS(1575),
    [sym_hex_literal] = ACTIONS(1577),
    [sym_oct_literal] = ACTIONS(1577),
    [sym_bin_literal] = ACTIONS(1577),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1575),
    [anon_sym_GT] = ACTIONS(1575),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1575),
    [anon_sym_POUNDfileID] = ACTIONS(1577),
    [anon_sym_POUNDfilePath] = ACTIONS(1577),
    [anon_sym_POUNDline] = ACTIONS(1577),
    [anon_sym_POUNDcolumn] = ACTIONS(1577),
    [anon_sym_POUNDfunction] = ACTIONS(1577),
    [anon_sym_POUNDdsohandle] = ACTIONS(1577),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1577),
    [anon_sym_DASH_EQ] = ACTIONS(1577),
    [anon_sym_STAR_EQ] = ACTIONS(1577),
    [anon_sym_SLASH_EQ] = ACTIONS(1577),
    [anon_sym_PERCENT_EQ] = ACTIONS(1577),
    [anon_sym_BANG_EQ] = ACTIONS(1575),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1577),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1577),
    [anon_sym_LT_EQ] = ACTIONS(1577),
    [anon_sym_GT_EQ] = ACTIONS(1577),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1575),
    [anon_sym_SLASH] = ACTIONS(1575),
    [anon_sym_PERCENT] = ACTIONS(1575),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1577),
    [anon_sym_CARET] = ACTIONS(1575),
    [anon_sym_LT_LT] = ACTIONS(1577),
    [anon_sym_GT_GT] = ACTIONS(1577),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1577),
    [sym__eq_eq_custom] = ACTIONS(1577),
    [sym__plus_then_ws] = ACTIONS(1577),
    [sym__minus_then_ws] = ACTIONS(1577),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [288] = {
    [sym_simple_identifier] = STATE(1040),
    [sym__contextual_simple_identifier] = STATE(1015),
    [sym__basic_literal] = STATE(645),
    [sym_boolean_literal] = STATE(645),
    [sym__string_literal] = STATE(645),
    [sym_line_string_literal] = STATE(645),
    [sym_multi_line_string_literal] = STATE(645),
    [sym_raw_string_literal] = STATE(645),
    [sym_regex_literal] = STATE(645),
    [sym__multiline_regex_literal] = STATE(1134),
    [sym_user_type] = STATE(5559),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5559),
    [sym_dictionary_type] = STATE(5559),
    [sym__expression] = STATE(645),
    [sym__unary_expression] = STATE(645),
    [sym_postfix_expression] = STATE(645),
    [sym_constructor_expression] = STATE(645),
    [sym__parenthesized_type] = STATE(6572),
    [sym_navigation_expression] = STATE(645),
    [sym__navigable_type_expression] = STATE(6573),
    [sym_open_start_range_expression] = STATE(645),
    [sym__range_operator] = STATE(462),
    [sym_open_end_range_expression] = STATE(645),
    [sym_prefix_expression] = STATE(645),
    [sym_as_expression] = STATE(645),
    [sym_selector_expression] = STATE(645),
    [sym__binary_expression] = STATE(645),
    [sym_multiplicative_expression] = STATE(645),
    [sym_additive_expression] = STATE(645),
    [sym_range_expression] = STATE(645),
    [sym_infix_expression] = STATE(645),
    [sym_nil_coalescing_expression] = STATE(645),
    [sym_check_expression] = STATE(645),
    [sym_comparison_expression] = STATE(645),
    [sym_equality_expression] = STATE(645),
    [sym_conjunction_expression] = STATE(645),
    [sym_disjunction_expression] = STATE(645),
    [sym_bitwise_operation] = STATE(645),
    [sym_custom_operator] = STATE(615),
    [sym_try_expression] = STATE(645),
    [sym_await_expression] = STATE(645),
    [sym__await_operator] = STATE(463),
    [sym_ternary_expression] = STATE(645),
    [sym__expr_hack_at_ternary_binary_suffix] = STATE(1095),
    [sym_expr_hack_at_ternary_binary_call] = STATE(1095),
    [sym_call_expression] = STATE(645),
    [sym__primary_expression] = STATE(645),
    [sym_tuple_expression] = STATE(645),
    [sym_array_literal] = STATE(645),
    [sym_dictionary_literal] = STATE(645),
    [sym__special_literal] = STATE(645),
    [sym__playground_literal] = STATE(645),
    [sym_lambda_literal] = STATE(645),
    [sym_self_expression] = STATE(645),
    [sym_super_expression] = STATE(645),
    [sym_if_statement] = STATE(645),
    [sym_switch_statement] = STATE(645),
    [sym_key_path_expression] = STATE(645),
    [sym_key_path_string_expression] = STATE(645),
    [sym_try_operator] = STATE(465),
    [sym__assignment_and_operator] = STATE(645),
    [sym__equality_operator] = STATE(645),
    [sym__comparison_operator] = STATE(645),
    [sym__three_dot_operator] = STATE(617),
    [sym__open_ended_range_operator] = STATE(462),
    [sym__additive_operator] = STATE(645),
    [sym__multiplicative_operator] = STATE(645),
    [sym__prefix_unary_operator] = STATE(470),
    [sym_directly_assignable_expression] = STATE(5558),
    [sym_assignment] = STATE(645),
    [sym_value_parameter_pack] = STATE(645),
    [sym_value_pack_expansion] = STATE(645),
    [sym__referenceable_operator] = STATE(645),
    [sym__equal_sign] = STATE(645),
    [sym__eq_eq] = STATE(645),
    [sym__dot] = STATE(470),
    [sym_bang] = STATE(615),
    [sym__parameter_ownership_modifier] = STATE(1015),
    [aux_sym_raw_string_literal_repeat1] = STATE(6655),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(673),
    [aux_sym_simple_identifier_token2] = ACTIONS(675),
    [aux_sym_simple_identifier_token3] = ACTIONS(675),
    [aux_sym_simple_identifier_token4] = ACTIONS(675),
    [anon_sym_actor] = ACTIONS(673),
    [anon_sym_async] = ACTIONS(673),
    [anon_sym_each] = ACTIONS(677),
    [anon_sym_lazy] = ACTIONS(673),
    [anon_sym_repeat] = ACTIONS(679),
    [anon_sym_package] = ACTIONS(673),
    [anon_sym_nil] = ACTIONS(1579),
    [sym_real_literal] = ACTIONS(1581),
    [sym_integer_literal] = ACTIONS(1579),
    [sym_hex_literal] = ACTIONS(1581),
    [sym_oct_literal] = ACTIONS(1581),
    [sym_bin_literal] = ACTIONS(1581),
    [anon_sym_true] = ACTIONS(685),
    [anon_sym_false] = ACTIONS(685),
    [anon_sym_DQUOTE] = ACTIONS(687),
    [anon_sym_BSLASH] = ACTIONS(689),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(691),
    [sym__extended_regex_literal] = ACTIONS(693),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(695),
    [sym__oneline_regex_literal] = ACTIONS(697),
    [anon_sym_LPAREN] = ACTIONS(699),
    [anon_sym_LBRACK] = ACTIONS(701),
    [anon_sym_AMP] = ACTIONS(703),
    [anon_sym_if] = ACTIONS(705),
    [anon_sym_switch] = ACTIONS(707),
    [anon_sym_POUNDselector] = ACTIONS(709),
    [aux_sym_custom_operator_token1] = ACTIONS(711),
    [anon_sym_LT] = ACTIONS(1579),
    [anon_sym_GT] = ACTIONS(1579),
    [anon_sym_await] = ACTIONS(713),
    [anon_sym_POUNDfile] = ACTIONS(1579),
    [anon_sym_POUNDfileID] = ACTIONS(1581),
    [anon_sym_POUNDfilePath] = ACTIONS(1581),
    [anon_sym_POUNDline] = ACTIONS(1581),
    [anon_sym_POUNDcolumn] = ACTIONS(1581),
    [anon_sym_POUNDfunction] = ACTIONS(1581),
    [anon_sym_POUNDdsohandle] = ACTIONS(1581),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(715),
    [anon_sym_POUNDfileLiteral] = ACTIONS(715),
    [anon_sym_POUNDimageLiteral] = ACTIONS(715),
    [anon_sym_LBRACE] = ACTIONS(717),
    [anon_sym_CARET_LBRACE] = ACTIONS(717),
    [anon_sym_self] = ACTIONS(719),
    [anon_sym_super] = ACTIONS(721),
    [anon_sym_POUNDkeyPath] = ACTIONS(723),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1581),
    [anon_sym_DASH_EQ] = ACTIONS(1581),
    [anon_sym_STAR_EQ] = ACTIONS(1581),
    [anon_sym_SLASH_EQ] = ACTIONS(1581),
    [anon_sym_PERCENT_EQ] = ACTIONS(1581),
    [anon_sym_BANG_EQ] = ACTIONS(1579),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1581),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1581),
    [anon_sym_LT_EQ] = ACTIONS(1581),
    [anon_sym_GT_EQ] = ACTIONS(1581),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(725),
    [anon_sym_DOT_DOT_LT] = ACTIONS(727),
    [anon_sym_PLUS] = ACTIONS(729),
    [anon_sym_DASH] = ACTIONS(729),
    [anon_sym_STAR] = ACTIONS(1579),
    [anon_sym_SLASH] = ACTIONS(1579),
    [anon_sym_PERCENT] = ACTIONS(1579),
    [anon_sym_PLUS_PLUS] = ACTIONS(703),
    [anon_sym_DASH_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(703),
    [anon_sym_PIPE] = ACTIONS(1581),
    [anon_sym_CARET] = ACTIONS(1579),
    [anon_sym_LT_LT] = ACTIONS(1581),
    [anon_sym_GT_GT] = ACTIONS(1581),
    [anon_sym_BANG2] = ACTIONS(731),
    [anon_sym_borrowing] = ACTIONS(673),
    [anon_sym_consuming] = ACTIONS(673),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(733),
    [sym__dot_custom] = ACTIONS(735),
    [sym__eq_custom] = ACTIONS(1581),
    [sym__eq_eq_custom] = ACTIONS(1581),
    [sym__plus_then_ws] = ACTIONS(1581),
    [sym__minus_then_ws] = ACTIONS(1581),
    [sym__bang_custom] = ACTIONS(737),
    [sym__custom_operator] = ACTIONS(711),
  },
  [289] = {
    [sym_simple_identifier] = STATE(2072),
    [sym__contextual_simple_identifier] = STATE(2016),
    [sym__basic_literal] = STATE(1251),
    [sym_boolean_literal] = STATE(1251),
    [sym__string_literal] = STATE(1251),
    [sym_line_string_literal] = STATE(1251),
    [sym_multi_line_string_literal] = STATE(1251),
    [sym_raw_string_literal] = STATE(1251),
    [sym_regex_literal] = STATE(1251),
    [sym__multiline_regex_literal] = STATE(2164),
    [sym_user_type] = STATE(5497),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5497),
    [sym_dictionary_type] = STATE(5497),
    [sym__expression] = STATE(1251),
    [sym__unary_expression] = STATE(1251),
    [sym_postfix_expression] = STATE(1251),
    [sym_constructor_expression] = STATE(1251),
    [sym__parenthesized_type] = STATE(6725),
    [sym_navigation_expression] = STATE(1251),
    [sym__navigable_type_expression] = STATE(6724),
    [sym_open_start_range_expression] = STATE(1251),
    [sym__range_operator] = STATE(467),
    [sym_open_end_range_expression] = STATE(1251),
    [sym_prefix_expression] = STATE(1251),
    [sym_as_expression] = STATE(1251),
    [sym_selector_expression] = STATE(1251),
    [sym__binary_expression] = STATE(1251),
    [sym_multiplicative_expression] = STATE(1251),
    [sym_additive_expression] = STATE(1251),
    [sym_range_expression] = STATE(1251),
    [sym_infix_expression] = STATE(1251),
    [sym_nil_coalescing_expression] = STATE(1251),
    [sym_check_expression] = STATE(1251),
    [sym_comparison_expression] = STATE(1251),
    [sym_equality_expression] = STATE(1251),
    [sym_conjunction_expression] = STATE(1251),
    [sym_disjunction_expression] = STATE(1251),
    [sym_bitwise_operation] = STATE(1251),
    [sym_custom_operator] = STATE(835),
    [sym_try_expression] = STATE(1251),
    [sym_await_expression] = STATE(1251),
    [sym__await_operator] = STATE(466),
    [sym_ternary_expression] = STATE(1251),
    [sym__expr_hack_at_ternary_binary_suffix] = STATE(2228),
    [sym_expr_hack_at_ternary_binary_call] = STATE(2228),
    [sym_call_expression] = STATE(1251),
    [sym__primary_expression] = STATE(1251),
    [sym_tuple_expression] = STATE(1251),
    [sym_array_literal] = STATE(1251),
    [sym_dictionary_literal] = STATE(1251),
    [sym__special_literal] = STATE(1251),
    [sym__playground_literal] = STATE(1251),
    [sym_lambda_literal] = STATE(1251),
    [sym_self_expression] = STATE(1251),
    [sym_super_expression] = STATE(1251),
    [sym_if_statement] = STATE(1251),
    [sym_switch_statement] = STATE(1251),
    [sym_key_path_expression] = STATE(1251),
    [sym_key_path_string_expression] = STATE(1251),
    [sym_try_operator] = STATE(455),
    [sym__assignment_and_operator] = STATE(1251),
    [sym__equality_operator] = STATE(1251),
    [sym__comparison_operator] = STATE(1251),
    [sym__three_dot_operator] = STATE(837),
    [sym__open_ended_range_operator] = STATE(467),
    [sym__additive_operator] = STATE(1251),
    [sym__multiplicative_operator] = STATE(1251),
    [sym__prefix_unary_operator] = STATE(468),
    [sym_directly_assignable_expression] = STATE(5498),
    [sym_assignment] = STATE(1251),
    [sym_value_parameter_pack] = STATE(1251),
    [sym_value_pack_expansion] = STATE(1251),
    [sym__referenceable_operator] = STATE(1251),
    [sym__equal_sign] = STATE(1251),
    [sym__eq_eq] = STATE(1251),
    [sym__dot] = STATE(468),
    [sym_bang] = STATE(835),
    [sym__parameter_ownership_modifier] = STATE(2016),
    [aux_sym_raw_string_literal_repeat1] = STATE(6553),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(971),
    [aux_sym_simple_identifier_token2] = ACTIONS(973),
    [aux_sym_simple_identifier_token3] = ACTIONS(973),
    [aux_sym_simple_identifier_token4] = ACTIONS(973),
    [anon_sym_actor] = ACTIONS(971),
    [anon_sym_async] = ACTIONS(971),
    [anon_sym_each] = ACTIONS(975),
    [anon_sym_lazy] = ACTIONS(971),
    [anon_sym_repeat] = ACTIONS(977),
    [anon_sym_package] = ACTIONS(971),
    [anon_sym_nil] = ACTIONS(1583),
    [sym_real_literal] = ACTIONS(1585),
    [sym_integer_literal] = ACTIONS(1583),
    [sym_hex_literal] = ACTIONS(1585),
    [sym_oct_literal] = ACTIONS(1585),
    [sym_bin_literal] = ACTIONS(1585),
    [anon_sym_true] = ACTIONS(983),
    [anon_sym_false] = ACTIONS(983),
    [anon_sym_DQUOTE] = ACTIONS(985),
    [anon_sym_BSLASH] = ACTIONS(987),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(989),
    [sym__extended_regex_literal] = ACTIONS(991),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(993),
    [sym__oneline_regex_literal] = ACTIONS(995),
    [anon_sym_LPAREN] = ACTIONS(997),
    [anon_sym_LBRACK] = ACTIONS(999),
    [anon_sym_AMP] = ACTIONS(1001),
    [anon_sym_if] = ACTIONS(1003),
    [anon_sym_switch] = ACTIONS(1005),
    [anon_sym_POUNDselector] = ACTIONS(1007),
    [aux_sym_custom_operator_token1] = ACTIONS(1009),
    [anon_sym_LT] = ACTIONS(1583),
    [anon_sym_GT] = ACTIONS(1583),
    [anon_sym_await] = ACTIONS(1011),
    [anon_sym_POUNDfile] = ACTIONS(1583),
    [anon_sym_POUNDfileID] = ACTIONS(1585),
    [anon_sym_POUNDfilePath] = ACTIONS(1585),
    [anon_sym_POUNDline] = ACTIONS(1585),
    [anon_sym_POUNDcolumn] = ACTIONS(1585),
    [anon_sym_POUNDfunction] = ACTIONS(1585),
    [anon_sym_POUNDdsohandle] = ACTIONS(1585),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(1013),
    [anon_sym_POUNDfileLiteral] = ACTIONS(1013),
    [anon_sym_POUNDimageLiteral] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(1015),
    [anon_sym_CARET_LBRACE] = ACTIONS(1015),
    [anon_sym_self] = ACTIONS(1017),
    [anon_sym_super] = ACTIONS(1019),
    [anon_sym_POUNDkeyPath] = ACTIONS(1021),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1585),
    [anon_sym_DASH_EQ] = ACTIONS(1585),
    [anon_sym_STAR_EQ] = ACTIONS(1585),
    [anon_sym_SLASH_EQ] = ACTIONS(1585),
    [anon_sym_PERCENT_EQ] = ACTIONS(1585),
    [anon_sym_BANG_EQ] = ACTIONS(1583),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1585),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1585),
    [anon_sym_LT_EQ] = ACTIONS(1585),
    [anon_sym_GT_EQ] = ACTIONS(1585),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1023),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1025),
    [anon_sym_PLUS] = ACTIONS(1027),
    [anon_sym_DASH] = ACTIONS(1027),
    [anon_sym_STAR] = ACTIONS(1583),
    [anon_sym_SLASH] = ACTIONS(1583),
    [anon_sym_PERCENT] = ACTIONS(1583),
    [anon_sym_PLUS_PLUS] = ACTIONS(1001),
    [anon_sym_DASH_DASH] = ACTIONS(1001),
    [anon_sym_TILDE] = ACTIONS(1001),
    [anon_sym_PIPE] = ACTIONS(1585),
    [anon_sym_CARET] = ACTIONS(1583),
    [anon_sym_LT_LT] = ACTIONS(1585),
    [anon_sym_GT_GT] = ACTIONS(1585),
    [anon_sym_BANG2] = ACTIONS(1029),
    [anon_sym_borrowing] = ACTIONS(971),
    [anon_sym_consuming] = ACTIONS(971),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(1031),
    [sym__dot_custom] = ACTIONS(1033),
    [sym__eq_custom] = ACTIONS(1585),
    [sym__eq_eq_custom] = ACTIONS(1585),
    [sym__plus_then_ws] = ACTIONS(1585),
    [sym__minus_then_ws] = ACTIONS(1585),
    [sym__bang_custom] = ACTIONS(1035),
    [sym__custom_operator] = ACTIONS(1009),
  },
  [290] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1441),
    [sym_boolean_literal] = STATE(1441),
    [sym__string_literal] = STATE(1441),
    [sym_line_string_literal] = STATE(1441),
    [sym_multi_line_string_literal] = STATE(1441),
    [sym_raw_string_literal] = STATE(1441),
    [sym_regex_literal] = STATE(1441),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1441),
    [sym__unary_expression] = STATE(1441),
    [sym_postfix_expression] = STATE(1441),
    [sym_constructor_expression] = STATE(1441),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1441),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1441),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1441),
    [sym_prefix_expression] = STATE(1441),
    [sym_as_expression] = STATE(1441),
    [sym_selector_expression] = STATE(1441),
    [sym__binary_expression] = STATE(1441),
    [sym_multiplicative_expression] = STATE(1441),
    [sym_additive_expression] = STATE(1441),
    [sym_range_expression] = STATE(1441),
    [sym_infix_expression] = STATE(1441),
    [sym_nil_coalescing_expression] = STATE(1441),
    [sym_check_expression] = STATE(1441),
    [sym_comparison_expression] = STATE(1441),
    [sym_equality_expression] = STATE(1441),
    [sym_conjunction_expression] = STATE(1441),
    [sym_disjunction_expression] = STATE(1441),
    [sym_bitwise_operation] = STATE(1441),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1441),
    [sym_await_expression] = STATE(1441),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1441),
    [sym_call_expression] = STATE(1441),
    [sym__primary_expression] = STATE(1441),
    [sym_tuple_expression] = STATE(1441),
    [sym_array_literal] = STATE(1441),
    [sym_dictionary_literal] = STATE(1441),
    [sym__dictionary_literal_item] = STATE(7599),
    [sym__special_literal] = STATE(1441),
    [sym__playground_literal] = STATE(1441),
    [sym_lambda_literal] = STATE(1441),
    [sym_self_expression] = STATE(1441),
    [sym_super_expression] = STATE(1441),
    [sym_if_statement] = STATE(1441),
    [sym_switch_statement] = STATE(1441),
    [sym_key_path_expression] = STATE(1441),
    [sym_key_path_string_expression] = STATE(1441),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1441),
    [sym__equality_operator] = STATE(1441),
    [sym__comparison_operator] = STATE(1441),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1441),
    [sym__multiplicative_operator] = STATE(1441),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1441),
    [sym_value_parameter_pack] = STATE(1441),
    [sym_value_pack_expansion] = STATE(1441),
    [sym__referenceable_operator] = STATE(1441),
    [sym__equal_sign] = STATE(1441),
    [sym__eq_eq] = STATE(1441),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1587),
    [sym_real_literal] = ACTIONS(1589),
    [sym_integer_literal] = ACTIONS(1587),
    [sym_hex_literal] = ACTIONS(1589),
    [sym_oct_literal] = ACTIONS(1589),
    [sym_bin_literal] = ACTIONS(1589),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_RBRACK] = ACTIONS(1591),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1587),
    [anon_sym_GT] = ACTIONS(1587),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1587),
    [anon_sym_POUNDfileID] = ACTIONS(1589),
    [anon_sym_POUNDfilePath] = ACTIONS(1589),
    [anon_sym_POUNDline] = ACTIONS(1589),
    [anon_sym_POUNDcolumn] = ACTIONS(1589),
    [anon_sym_POUNDfunction] = ACTIONS(1589),
    [anon_sym_POUNDdsohandle] = ACTIONS(1589),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1589),
    [anon_sym_DASH_EQ] = ACTIONS(1589),
    [anon_sym_STAR_EQ] = ACTIONS(1589),
    [anon_sym_SLASH_EQ] = ACTIONS(1589),
    [anon_sym_PERCENT_EQ] = ACTIONS(1589),
    [anon_sym_BANG_EQ] = ACTIONS(1587),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1589),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1589),
    [anon_sym_LT_EQ] = ACTIONS(1589),
    [anon_sym_GT_EQ] = ACTIONS(1589),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1587),
    [anon_sym_SLASH] = ACTIONS(1587),
    [anon_sym_PERCENT] = ACTIONS(1587),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1589),
    [anon_sym_CARET] = ACTIONS(1587),
    [anon_sym_LT_LT] = ACTIONS(1589),
    [anon_sym_GT_GT] = ACTIONS(1589),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1589),
    [sym__eq_eq_custom] = ACTIONS(1589),
    [sym__plus_then_ws] = ACTIONS(1589),
    [sym__minus_then_ws] = ACTIONS(1589),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [291] = {
    [sym_simple_identifier] = STATE(2936),
    [sym__contextual_simple_identifier] = STATE(2558),
    [sym__basic_literal] = STATE(1346),
    [sym_boolean_literal] = STATE(1346),
    [sym__string_literal] = STATE(1346),
    [sym_line_string_literal] = STATE(1346),
    [sym_multi_line_string_literal] = STATE(1346),
    [sym_raw_string_literal] = STATE(1346),
    [sym_regex_literal] = STATE(1346),
    [sym__multiline_regex_literal] = STATE(3141),
    [sym_user_type] = STATE(5448),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5448),
    [sym_dictionary_type] = STATE(5448),
    [sym__expression] = STATE(1346),
    [sym__unary_expression] = STATE(1346),
    [sym_postfix_expression] = STATE(1346),
    [sym_constructor_expression] = STATE(1346),
    [sym__parenthesized_type] = STATE(6984),
    [sym_navigation_expression] = STATE(1346),
    [sym__navigable_type_expression] = STATE(6994),
    [sym_open_start_range_expression] = STATE(1346),
    [sym__range_operator] = STATE(488),
    [sym_open_end_range_expression] = STATE(1346),
    [sym_prefix_expression] = STATE(1346),
    [sym_as_expression] = STATE(1346),
    [sym_selector_expression] = STATE(1346),
    [sym__binary_expression] = STATE(1346),
    [sym_multiplicative_expression] = STATE(1346),
    [sym_additive_expression] = STATE(1346),
    [sym_range_expression] = STATE(1346),
    [sym_infix_expression] = STATE(1346),
    [sym_nil_coalescing_expression] = STATE(1346),
    [sym_check_expression] = STATE(1346),
    [sym_comparison_expression] = STATE(1346),
    [sym_equality_expression] = STATE(1346),
    [sym_conjunction_expression] = STATE(1346),
    [sym_disjunction_expression] = STATE(1346),
    [sym_bitwise_operation] = STATE(1346),
    [sym_custom_operator] = STATE(902),
    [sym_try_expression] = STATE(1346),
    [sym_await_expression] = STATE(1346),
    [sym__await_operator] = STATE(498),
    [sym_ternary_expression] = STATE(1346),
    [sym__expr_hack_at_ternary_binary_suffix] = STATE(3096),
    [sym_expr_hack_at_ternary_binary_call] = STATE(3096),
    [sym_call_expression] = STATE(1346),
    [sym__primary_expression] = STATE(1346),
    [sym_tuple_expression] = STATE(1346),
    [sym_array_literal] = STATE(1346),
    [sym_dictionary_literal] = STATE(1346),
    [sym__special_literal] = STATE(1346),
    [sym__playground_literal] = STATE(1346),
    [sym_lambda_literal] = STATE(1346),
    [sym_self_expression] = STATE(1346),
    [sym_super_expression] = STATE(1346),
    [sym_if_statement] = STATE(1346),
    [sym_switch_statement] = STATE(1346),
    [sym_key_path_expression] = STATE(1346),
    [sym_key_path_string_expression] = STATE(1346),
    [sym_try_operator] = STATE(501),
    [sym__assignment_and_operator] = STATE(1346),
    [sym__equality_operator] = STATE(1346),
    [sym__comparison_operator] = STATE(1346),
    [sym__three_dot_operator] = STATE(900),
    [sym__open_ended_range_operator] = STATE(488),
    [sym__additive_operator] = STATE(1346),
    [sym__multiplicative_operator] = STATE(1346),
    [sym__prefix_unary_operator] = STATE(505),
    [sym_directly_assignable_expression] = STATE(5447),
    [sym_assignment] = STATE(1346),
    [sym_value_parameter_pack] = STATE(1346),
    [sym_value_pack_expansion] = STATE(1346),
    [sym__referenceable_operator] = STATE(1346),
    [sym__equal_sign] = STATE(1346),
    [sym__eq_eq] = STATE(1346),
    [sym__dot] = STATE(505),
    [sym_bang] = STATE(902),
    [sym__parameter_ownership_modifier] = STATE(2558),
    [aux_sym_raw_string_literal_repeat1] = STATE(7003),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(1147),
    [aux_sym_simple_identifier_token2] = ACTIONS(1149),
    [aux_sym_simple_identifier_token3] = ACTIONS(1149),
    [aux_sym_simple_identifier_token4] = ACTIONS(1149),
    [anon_sym_actor] = ACTIONS(1147),
    [anon_sym_async] = ACTIONS(1147),
    [anon_sym_each] = ACTIONS(1153),
    [anon_sym_lazy] = ACTIONS(1147),
    [anon_sym_repeat] = ACTIONS(1155),
    [anon_sym_package] = ACTIONS(1147),
    [anon_sym_nil] = ACTIONS(1593),
    [sym_real_literal] = ACTIONS(1595),
    [sym_integer_literal] = ACTIONS(1593),
    [sym_hex_literal] = ACTIONS(1595),
    [sym_oct_literal] = ACTIONS(1595),
    [sym_bin_literal] = ACTIONS(1595),
    [anon_sym_true] = ACTIONS(1161),
    [anon_sym_false] = ACTIONS(1161),
    [anon_sym_DQUOTE] = ACTIONS(1163),
    [anon_sym_BSLASH] = ACTIONS(1165),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1167),
    [sym__extended_regex_literal] = ACTIONS(1169),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(1171),
    [sym__oneline_regex_literal] = ACTIONS(1173),
    [anon_sym_LPAREN] = ACTIONS(1175),
    [anon_sym_LBRACK] = ACTIONS(1177),
    [anon_sym_AMP] = ACTIONS(1179),
    [anon_sym_if] = ACTIONS(1181),
    [anon_sym_switch] = ACTIONS(1183),
    [anon_sym_POUNDselector] = ACTIONS(1185),
    [aux_sym_custom_operator_token1] = ACTIONS(1187),
    [anon_sym_LT] = ACTIONS(1593),
    [anon_sym_GT] = ACTIONS(1593),
    [anon_sym_await] = ACTIONS(1189),
    [anon_sym_POUNDfile] = ACTIONS(1593),
    [anon_sym_POUNDfileID] = ACTIONS(1595),
    [anon_sym_POUNDfilePath] = ACTIONS(1595),
    [anon_sym_POUNDline] = ACTIONS(1595),
    [anon_sym_POUNDcolumn] = ACTIONS(1595),
    [anon_sym_POUNDfunction] = ACTIONS(1595),
    [anon_sym_POUNDdsohandle] = ACTIONS(1595),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(1191),
    [anon_sym_POUNDfileLiteral] = ACTIONS(1191),
    [anon_sym_POUNDimageLiteral] = ACTIONS(1191),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_CARET_LBRACE] = ACTIONS(1193),
    [anon_sym_self] = ACTIONS(1195),
    [anon_sym_super] = ACTIONS(1197),
    [anon_sym_POUNDkeyPath] = ACTIONS(1201),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1595),
    [anon_sym_DASH_EQ] = ACTIONS(1595),
    [anon_sym_STAR_EQ] = ACTIONS(1595),
    [anon_sym_SLASH_EQ] = ACTIONS(1595),
    [anon_sym_PERCENT_EQ] = ACTIONS(1595),
    [anon_sym_BANG_EQ] = ACTIONS(1593),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1595),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1595),
    [anon_sym_LT_EQ] = ACTIONS(1595),
    [anon_sym_GT_EQ] = ACTIONS(1595),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1203),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1205),
    [anon_sym_PLUS] = ACTIONS(1207),
    [anon_sym_DASH] = ACTIONS(1207),
    [anon_sym_STAR] = ACTIONS(1593),
    [anon_sym_SLASH] = ACTIONS(1593),
    [anon_sym_PERCENT] = ACTIONS(1593),
    [anon_sym_PLUS_PLUS] = ACTIONS(1179),
    [anon_sym_DASH_DASH] = ACTIONS(1179),
    [anon_sym_TILDE] = ACTIONS(1179),
    [anon_sym_PIPE] = ACTIONS(1595),
    [anon_sym_CARET] = ACTIONS(1593),
    [anon_sym_LT_LT] = ACTIONS(1595),
    [anon_sym_GT_GT] = ACTIONS(1595),
    [anon_sym_BANG2] = ACTIONS(1211),
    [anon_sym_borrowing] = ACTIONS(1147),
    [anon_sym_consuming] = ACTIONS(1147),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(1213),
    [sym__dot_custom] = ACTIONS(1215),
    [sym__eq_custom] = ACTIONS(1595),
    [sym__eq_eq_custom] = ACTIONS(1595),
    [sym__plus_then_ws] = ACTIONS(1595),
    [sym__minus_then_ws] = ACTIONS(1595),
    [sym__bang_custom] = ACTIONS(1217),
    [sym__custom_operator] = ACTIONS(1187),
  },
  [292] = {
    [sym_simple_identifier] = STATE(2573),
    [sym__contextual_simple_identifier] = STATE(2374),
    [sym__basic_literal] = STATE(1297),
    [sym_boolean_literal] = STATE(1297),
    [sym__string_literal] = STATE(1297),
    [sym_line_string_literal] = STATE(1297),
    [sym_multi_line_string_literal] = STATE(1297),
    [sym_raw_string_literal] = STATE(1297),
    [sym_regex_literal] = STATE(1297),
    [sym__multiline_regex_literal] = STATE(2929),
    [sym_user_type] = STATE(5443),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5443),
    [sym_dictionary_type] = STATE(5443),
    [sym__expression] = STATE(1297),
    [sym__unary_expression] = STATE(1297),
    [sym_postfix_expression] = STATE(1297),
    [sym_constructor_expression] = STATE(1297),
    [sym__parenthesized_type] = STATE(7012),
    [sym_navigation_expression] = STATE(1297),
    [sym__navigable_type_expression] = STATE(7009),
    [sym_open_start_range_expression] = STATE(1297),
    [sym__range_operator] = STATE(557),
    [sym_open_end_range_expression] = STATE(1297),
    [sym_prefix_expression] = STATE(1297),
    [sym_as_expression] = STATE(1297),
    [sym_selector_expression] = STATE(1297),
    [sym__binary_expression] = STATE(1297),
    [sym_multiplicative_expression] = STATE(1297),
    [sym_additive_expression] = STATE(1297),
    [sym_range_expression] = STATE(1297),
    [sym_infix_expression] = STATE(1297),
    [sym_nil_coalescing_expression] = STATE(1297),
    [sym_check_expression] = STATE(1297),
    [sym_comparison_expression] = STATE(1297),
    [sym_equality_expression] = STATE(1297),
    [sym_conjunction_expression] = STATE(1297),
    [sym_disjunction_expression] = STATE(1297),
    [sym_bitwise_operation] = STATE(1297),
    [sym_custom_operator] = STATE(878),
    [sym_try_expression] = STATE(1297),
    [sym_await_expression] = STATE(1297),
    [sym__await_operator] = STATE(450),
    [sym_ternary_expression] = STATE(1297),
    [sym__expr_hack_at_ternary_binary_suffix] = STATE(2988),
    [sym_expr_hack_at_ternary_binary_call] = STATE(2988),
    [sym_call_expression] = STATE(1297),
    [sym__primary_expression] = STATE(1297),
    [sym_tuple_expression] = STATE(1297),
    [sym_array_literal] = STATE(1297),
    [sym_dictionary_literal] = STATE(1297),
    [sym__special_literal] = STATE(1297),
    [sym__playground_literal] = STATE(1297),
    [sym_lambda_literal] = STATE(1297),
    [sym_self_expression] = STATE(1297),
    [sym_super_expression] = STATE(1297),
    [sym_if_statement] = STATE(1297),
    [sym_switch_statement] = STATE(1297),
    [sym_key_path_expression] = STATE(1297),
    [sym_key_path_string_expression] = STATE(1297),
    [sym_try_operator] = STATE(451),
    [sym__assignment_and_operator] = STATE(1297),
    [sym__equality_operator] = STATE(1297),
    [sym__comparison_operator] = STATE(1297),
    [sym__three_dot_operator] = STATE(884),
    [sym__open_ended_range_operator] = STATE(557),
    [sym__additive_operator] = STATE(1297),
    [sym__multiplicative_operator] = STATE(1297),
    [sym__prefix_unary_operator] = STATE(471),
    [sym_directly_assignable_expression] = STATE(5445),
    [sym_assignment] = STATE(1297),
    [sym_value_parameter_pack] = STATE(1297),
    [sym_value_pack_expansion] = STATE(1297),
    [sym__referenceable_operator] = STATE(1297),
    [sym__equal_sign] = STATE(1297),
    [sym__eq_eq] = STATE(1297),
    [sym__dot] = STATE(471),
    [sym_bang] = STATE(878),
    [sym__parameter_ownership_modifier] = STATE(2374),
    [aux_sym_raw_string_literal_repeat1] = STATE(7006),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(1037),
    [aux_sym_simple_identifier_token2] = ACTIONS(1039),
    [aux_sym_simple_identifier_token3] = ACTIONS(1039),
    [aux_sym_simple_identifier_token4] = ACTIONS(1039),
    [anon_sym_actor] = ACTIONS(1037),
    [anon_sym_async] = ACTIONS(1037),
    [anon_sym_each] = ACTIONS(1041),
    [anon_sym_lazy] = ACTIONS(1037),
    [anon_sym_repeat] = ACTIONS(1043),
    [anon_sym_package] = ACTIONS(1037),
    [anon_sym_nil] = ACTIONS(1597),
    [sym_real_literal] = ACTIONS(1599),
    [sym_integer_literal] = ACTIONS(1597),
    [sym_hex_literal] = ACTIONS(1599),
    [sym_oct_literal] = ACTIONS(1599),
    [sym_bin_literal] = ACTIONS(1599),
    [anon_sym_true] = ACTIONS(1049),
    [anon_sym_false] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_BSLASH] = ACTIONS(1053),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1055),
    [sym__extended_regex_literal] = ACTIONS(1057),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(1059),
    [sym__oneline_regex_literal] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_LBRACK] = ACTIONS(1065),
    [anon_sym_AMP] = ACTIONS(1067),
    [anon_sym_if] = ACTIONS(1069),
    [anon_sym_switch] = ACTIONS(1071),
    [anon_sym_POUNDselector] = ACTIONS(1073),
    [aux_sym_custom_operator_token1] = ACTIONS(1075),
    [anon_sym_LT] = ACTIONS(1597),
    [anon_sym_GT] = ACTIONS(1597),
    [anon_sym_await] = ACTIONS(1077),
    [anon_sym_POUNDfile] = ACTIONS(1597),
    [anon_sym_POUNDfileID] = ACTIONS(1599),
    [anon_sym_POUNDfilePath] = ACTIONS(1599),
    [anon_sym_POUNDline] = ACTIONS(1599),
    [anon_sym_POUNDcolumn] = ACTIONS(1599),
    [anon_sym_POUNDfunction] = ACTIONS(1599),
    [anon_sym_POUNDdsohandle] = ACTIONS(1599),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(1079),
    [anon_sym_POUNDfileLiteral] = ACTIONS(1079),
    [anon_sym_POUNDimageLiteral] = ACTIONS(1079),
    [anon_sym_LBRACE] = ACTIONS(1081),
    [anon_sym_CARET_LBRACE] = ACTIONS(1081),
    [anon_sym_self] = ACTIONS(1083),
    [anon_sym_super] = ACTIONS(1085),
    [anon_sym_POUNDkeyPath] = ACTIONS(1089),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1599),
    [anon_sym_DASH_EQ] = ACTIONS(1599),
    [anon_sym_STAR_EQ] = ACTIONS(1599),
    [anon_sym_SLASH_EQ] = ACTIONS(1599),
    [anon_sym_PERCENT_EQ] = ACTIONS(1599),
    [anon_sym_BANG_EQ] = ACTIONS(1597),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1599),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1599),
    [anon_sym_LT_EQ] = ACTIONS(1599),
    [anon_sym_GT_EQ] = ACTIONS(1599),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1093),
    [anon_sym_PLUS] = ACTIONS(1097),
    [anon_sym_DASH] = ACTIONS(1097),
    [anon_sym_STAR] = ACTIONS(1597),
    [anon_sym_SLASH] = ACTIONS(1597),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [anon_sym_PLUS_PLUS] = ACTIONS(1067),
    [anon_sym_DASH_DASH] = ACTIONS(1067),
    [anon_sym_TILDE] = ACTIONS(1067),
    [anon_sym_PIPE] = ACTIONS(1599),
    [anon_sym_CARET] = ACTIONS(1597),
    [anon_sym_LT_LT] = ACTIONS(1599),
    [anon_sym_GT_GT] = ACTIONS(1599),
    [anon_sym_BANG2] = ACTIONS(1099),
    [anon_sym_borrowing] = ACTIONS(1037),
    [anon_sym_consuming] = ACTIONS(1037),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(1103),
    [sym__dot_custom] = ACTIONS(1307),
    [sym__eq_custom] = ACTIONS(1599),
    [sym__eq_eq_custom] = ACTIONS(1599),
    [sym__plus_then_ws] = ACTIONS(1599),
    [sym__minus_then_ws] = ACTIONS(1599),
    [sym__bang_custom] = ACTIONS(1107),
    [sym__custom_operator] = ACTIONS(1075),
  },
  [293] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1441),
    [sym_boolean_literal] = STATE(1441),
    [sym__string_literal] = STATE(1441),
    [sym_line_string_literal] = STATE(1441),
    [sym_multi_line_string_literal] = STATE(1441),
    [sym_raw_string_literal] = STATE(1441),
    [sym_regex_literal] = STATE(1441),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1441),
    [sym__unary_expression] = STATE(1441),
    [sym_postfix_expression] = STATE(1441),
    [sym_constructor_expression] = STATE(1441),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1441),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1441),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1441),
    [sym_prefix_expression] = STATE(1441),
    [sym_as_expression] = STATE(1441),
    [sym_selector_expression] = STATE(1441),
    [sym__binary_expression] = STATE(1441),
    [sym_multiplicative_expression] = STATE(1441),
    [sym_additive_expression] = STATE(1441),
    [sym_range_expression] = STATE(1441),
    [sym_infix_expression] = STATE(1441),
    [sym_nil_coalescing_expression] = STATE(1441),
    [sym_check_expression] = STATE(1441),
    [sym_comparison_expression] = STATE(1441),
    [sym_equality_expression] = STATE(1441),
    [sym_conjunction_expression] = STATE(1441),
    [sym_disjunction_expression] = STATE(1441),
    [sym_bitwise_operation] = STATE(1441),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1441),
    [sym_await_expression] = STATE(1441),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1441),
    [sym_call_expression] = STATE(1441),
    [sym__primary_expression] = STATE(1441),
    [sym_tuple_expression] = STATE(1441),
    [sym_array_literal] = STATE(1441),
    [sym_dictionary_literal] = STATE(1441),
    [sym__dictionary_literal_item] = STATE(7599),
    [sym__special_literal] = STATE(1441),
    [sym__playground_literal] = STATE(1441),
    [sym_lambda_literal] = STATE(1441),
    [sym_self_expression] = STATE(1441),
    [sym_super_expression] = STATE(1441),
    [sym_if_statement] = STATE(1441),
    [sym_switch_statement] = STATE(1441),
    [sym_key_path_expression] = STATE(1441),
    [sym_key_path_string_expression] = STATE(1441),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1441),
    [sym__equality_operator] = STATE(1441),
    [sym__comparison_operator] = STATE(1441),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1441),
    [sym__multiplicative_operator] = STATE(1441),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1441),
    [sym_value_parameter_pack] = STATE(1441),
    [sym_value_pack_expansion] = STATE(1441),
    [sym__referenceable_operator] = STATE(1441),
    [sym__equal_sign] = STATE(1441),
    [sym__eq_eq] = STATE(1441),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1587),
    [sym_real_literal] = ACTIONS(1589),
    [sym_integer_literal] = ACTIONS(1587),
    [sym_hex_literal] = ACTIONS(1589),
    [sym_oct_literal] = ACTIONS(1589),
    [sym_bin_literal] = ACTIONS(1589),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_RBRACK] = ACTIONS(1601),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1587),
    [anon_sym_GT] = ACTIONS(1587),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1587),
    [anon_sym_POUNDfileID] = ACTIONS(1589),
    [anon_sym_POUNDfilePath] = ACTIONS(1589),
    [anon_sym_POUNDline] = ACTIONS(1589),
    [anon_sym_POUNDcolumn] = ACTIONS(1589),
    [anon_sym_POUNDfunction] = ACTIONS(1589),
    [anon_sym_POUNDdsohandle] = ACTIONS(1589),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1589),
    [anon_sym_DASH_EQ] = ACTIONS(1589),
    [anon_sym_STAR_EQ] = ACTIONS(1589),
    [anon_sym_SLASH_EQ] = ACTIONS(1589),
    [anon_sym_PERCENT_EQ] = ACTIONS(1589),
    [anon_sym_BANG_EQ] = ACTIONS(1587),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1589),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1589),
    [anon_sym_LT_EQ] = ACTIONS(1589),
    [anon_sym_GT_EQ] = ACTIONS(1589),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1587),
    [anon_sym_SLASH] = ACTIONS(1587),
    [anon_sym_PERCENT] = ACTIONS(1587),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1589),
    [anon_sym_CARET] = ACTIONS(1587),
    [anon_sym_LT_LT] = ACTIONS(1589),
    [anon_sym_GT_GT] = ACTIONS(1589),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1589),
    [sym__eq_eq_custom] = ACTIONS(1589),
    [sym__plus_then_ws] = ACTIONS(1589),
    [sym__minus_then_ws] = ACTIONS(1589),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [294] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1441),
    [sym_boolean_literal] = STATE(1441),
    [sym__string_literal] = STATE(1441),
    [sym_line_string_literal] = STATE(1441),
    [sym_multi_line_string_literal] = STATE(1441),
    [sym_raw_string_literal] = STATE(1441),
    [sym_regex_literal] = STATE(1441),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1441),
    [sym__unary_expression] = STATE(1441),
    [sym_postfix_expression] = STATE(1441),
    [sym_constructor_expression] = STATE(1441),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1441),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1441),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1441),
    [sym_prefix_expression] = STATE(1441),
    [sym_as_expression] = STATE(1441),
    [sym_selector_expression] = STATE(1441),
    [sym__binary_expression] = STATE(1441),
    [sym_multiplicative_expression] = STATE(1441),
    [sym_additive_expression] = STATE(1441),
    [sym_range_expression] = STATE(1441),
    [sym_infix_expression] = STATE(1441),
    [sym_nil_coalescing_expression] = STATE(1441),
    [sym_check_expression] = STATE(1441),
    [sym_comparison_expression] = STATE(1441),
    [sym_equality_expression] = STATE(1441),
    [sym_conjunction_expression] = STATE(1441),
    [sym_disjunction_expression] = STATE(1441),
    [sym_bitwise_operation] = STATE(1441),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1441),
    [sym_await_expression] = STATE(1441),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1441),
    [sym_call_expression] = STATE(1441),
    [sym__primary_expression] = STATE(1441),
    [sym_tuple_expression] = STATE(1441),
    [sym_array_literal] = STATE(1441),
    [sym_dictionary_literal] = STATE(1441),
    [sym__dictionary_literal_item] = STATE(7599),
    [sym__special_literal] = STATE(1441),
    [sym__playground_literal] = STATE(1441),
    [sym_lambda_literal] = STATE(1441),
    [sym_self_expression] = STATE(1441),
    [sym_super_expression] = STATE(1441),
    [sym_if_statement] = STATE(1441),
    [sym_switch_statement] = STATE(1441),
    [sym_key_path_expression] = STATE(1441),
    [sym_key_path_string_expression] = STATE(1441),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1441),
    [sym__equality_operator] = STATE(1441),
    [sym__comparison_operator] = STATE(1441),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1441),
    [sym__multiplicative_operator] = STATE(1441),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1441),
    [sym_value_parameter_pack] = STATE(1441),
    [sym_value_pack_expansion] = STATE(1441),
    [sym__referenceable_operator] = STATE(1441),
    [sym__equal_sign] = STATE(1441),
    [sym__eq_eq] = STATE(1441),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1587),
    [sym_real_literal] = ACTIONS(1589),
    [sym_integer_literal] = ACTIONS(1587),
    [sym_hex_literal] = ACTIONS(1589),
    [sym_oct_literal] = ACTIONS(1589),
    [sym_bin_literal] = ACTIONS(1589),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_RBRACK] = ACTIONS(1603),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1587),
    [anon_sym_GT] = ACTIONS(1587),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1587),
    [anon_sym_POUNDfileID] = ACTIONS(1589),
    [anon_sym_POUNDfilePath] = ACTIONS(1589),
    [anon_sym_POUNDline] = ACTIONS(1589),
    [anon_sym_POUNDcolumn] = ACTIONS(1589),
    [anon_sym_POUNDfunction] = ACTIONS(1589),
    [anon_sym_POUNDdsohandle] = ACTIONS(1589),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1589),
    [anon_sym_DASH_EQ] = ACTIONS(1589),
    [anon_sym_STAR_EQ] = ACTIONS(1589),
    [anon_sym_SLASH_EQ] = ACTIONS(1589),
    [anon_sym_PERCENT_EQ] = ACTIONS(1589),
    [anon_sym_BANG_EQ] = ACTIONS(1587),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1589),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1589),
    [anon_sym_LT_EQ] = ACTIONS(1589),
    [anon_sym_GT_EQ] = ACTIONS(1589),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1587),
    [anon_sym_SLASH] = ACTIONS(1587),
    [anon_sym_PERCENT] = ACTIONS(1587),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1589),
    [anon_sym_CARET] = ACTIONS(1587),
    [anon_sym_LT_LT] = ACTIONS(1589),
    [anon_sym_GT_GT] = ACTIONS(1589),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1589),
    [sym__eq_eq_custom] = ACTIONS(1589),
    [sym__plus_then_ws] = ACTIONS(1589),
    [sym__minus_then_ws] = ACTIONS(1589),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [295] = {
    [sym_simple_identifier] = STATE(2573),
    [sym__contextual_simple_identifier] = STATE(2374),
    [sym__basic_literal] = STATE(1418),
    [sym_boolean_literal] = STATE(1418),
    [sym__string_literal] = STATE(1418),
    [sym_line_string_literal] = STATE(1418),
    [sym_multi_line_string_literal] = STATE(1418),
    [sym_raw_string_literal] = STATE(1418),
    [sym_regex_literal] = STATE(1418),
    [sym__multiline_regex_literal] = STATE(2929),
    [sym_user_type] = STATE(5443),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5443),
    [sym_dictionary_type] = STATE(5443),
    [sym__expression] = STATE(1418),
    [sym__unary_expression] = STATE(1418),
    [sym_postfix_expression] = STATE(1418),
    [sym_constructor_expression] = STATE(1418),
    [sym__parenthesized_type] = STATE(7012),
    [sym_navigation_expression] = STATE(1418),
    [sym__navigable_type_expression] = STATE(7009),
    [sym_open_start_range_expression] = STATE(1418),
    [sym__range_operator] = STATE(557),
    [sym_open_end_range_expression] = STATE(1418),
    [sym_prefix_expression] = STATE(1418),
    [sym_as_expression] = STATE(1418),
    [sym_selector_expression] = STATE(1418),
    [sym__binary_expression] = STATE(1418),
    [sym_multiplicative_expression] = STATE(1418),
    [sym_additive_expression] = STATE(1418),
    [sym_range_expression] = STATE(1418),
    [sym_infix_expression] = STATE(1418),
    [sym_nil_coalescing_expression] = STATE(1418),
    [sym_check_expression] = STATE(1418),
    [sym_comparison_expression] = STATE(1418),
    [sym_equality_expression] = STATE(1418),
    [sym_conjunction_expression] = STATE(1418),
    [sym_disjunction_expression] = STATE(1418),
    [sym_bitwise_operation] = STATE(1418),
    [sym_custom_operator] = STATE(878),
    [sym_try_expression] = STATE(1418),
    [sym_await_expression] = STATE(1418),
    [sym__await_operator] = STATE(564),
    [sym_ternary_expression] = STATE(1418),
    [sym_call_expression] = STATE(1418),
    [sym__primary_expression] = STATE(1418),
    [sym_tuple_expression] = STATE(1418),
    [sym_array_literal] = STATE(1418),
    [sym_dictionary_literal] = STATE(1418),
    [sym__special_literal] = STATE(1418),
    [sym__playground_literal] = STATE(1418),
    [sym_lambda_literal] = STATE(1418),
    [sym_self_expression] = STATE(1418),
    [sym_super_expression] = STATE(1418),
    [sym_if_statement] = STATE(1418),
    [sym_switch_statement] = STATE(1418),
    [sym_key_path_expression] = STATE(1418),
    [sym_key_path_string_expression] = STATE(1418),
    [sym_try_operator] = STATE(451),
    [sym__assignment_and_operator] = STATE(1418),
    [sym__equality_operator] = STATE(1418),
    [sym__comparison_operator] = STATE(1418),
    [sym__three_dot_operator] = STATE(884),
    [sym__open_ended_range_operator] = STATE(557),
    [sym__additive_operator] = STATE(1418),
    [sym__multiplicative_operator] = STATE(1418),
    [sym__prefix_unary_operator] = STATE(471),
    [sym_directly_assignable_expression] = STATE(5445),
    [sym__for_statement_collection] = STATE(6312),
    [sym_for_statement_await] = STATE(6312),
    [sym_assignment] = STATE(1418),
    [sym_value_parameter_pack] = STATE(1418),
    [sym_value_pack_expansion] = STATE(1418),
    [sym__referenceable_operator] = STATE(1418),
    [sym__equal_sign] = STATE(1418),
    [sym__eq_eq] = STATE(1418),
    [sym__dot] = STATE(471),
    [sym_bang] = STATE(878),
    [sym__parameter_ownership_modifier] = STATE(2374),
    [aux_sym_raw_string_literal_repeat1] = STATE(7006),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(1037),
    [aux_sym_simple_identifier_token2] = ACTIONS(1039),
    [aux_sym_simple_identifier_token3] = ACTIONS(1039),
    [aux_sym_simple_identifier_token4] = ACTIONS(1039),
    [anon_sym_actor] = ACTIONS(1037),
    [anon_sym_async] = ACTIONS(1037),
    [anon_sym_each] = ACTIONS(1041),
    [anon_sym_lazy] = ACTIONS(1037),
    [anon_sym_repeat] = ACTIONS(1043),
    [anon_sym_package] = ACTIONS(1037),
    [anon_sym_nil] = ACTIONS(1605),
    [sym_real_literal] = ACTIONS(1607),
    [sym_integer_literal] = ACTIONS(1605),
    [sym_hex_literal] = ACTIONS(1607),
    [sym_oct_literal] = ACTIONS(1607),
    [sym_bin_literal] = ACTIONS(1607),
    [anon_sym_true] = ACTIONS(1049),
    [anon_sym_false] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_BSLASH] = ACTIONS(1053),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1055),
    [sym__extended_regex_literal] = ACTIONS(1057),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(1059),
    [sym__oneline_regex_literal] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_LBRACK] = ACTIONS(1065),
    [anon_sym_AMP] = ACTIONS(1067),
    [anon_sym_if] = ACTIONS(1069),
    [anon_sym_switch] = ACTIONS(1071),
    [anon_sym_POUNDselector] = ACTIONS(1073),
    [aux_sym_custom_operator_token1] = ACTIONS(1075),
    [anon_sym_LT] = ACTIONS(1605),
    [anon_sym_GT] = ACTIONS(1605),
    [anon_sym_await] = ACTIONS(1609),
    [anon_sym_POUNDfile] = ACTIONS(1605),
    [anon_sym_POUNDfileID] = ACTIONS(1607),
    [anon_sym_POUNDfilePath] = ACTIONS(1607),
    [anon_sym_POUNDline] = ACTIONS(1607),
    [anon_sym_POUNDcolumn] = ACTIONS(1607),
    [anon_sym_POUNDfunction] = ACTIONS(1607),
    [anon_sym_POUNDdsohandle] = ACTIONS(1607),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(1079),
    [anon_sym_POUNDfileLiteral] = ACTIONS(1079),
    [anon_sym_POUNDimageLiteral] = ACTIONS(1079),
    [anon_sym_LBRACE] = ACTIONS(1081),
    [anon_sym_CARET_LBRACE] = ACTIONS(1081),
    [anon_sym_self] = ACTIONS(1083),
    [anon_sym_super] = ACTIONS(1085),
    [anon_sym_POUNDkeyPath] = ACTIONS(1089),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1607),
    [anon_sym_DASH_EQ] = ACTIONS(1607),
    [anon_sym_STAR_EQ] = ACTIONS(1607),
    [anon_sym_SLASH_EQ] = ACTIONS(1607),
    [anon_sym_PERCENT_EQ] = ACTIONS(1607),
    [anon_sym_BANG_EQ] = ACTIONS(1605),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1607),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1607),
    [anon_sym_LT_EQ] = ACTIONS(1607),
    [anon_sym_GT_EQ] = ACTIONS(1607),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1093),
    [anon_sym_PLUS] = ACTIONS(1097),
    [anon_sym_DASH] = ACTIONS(1097),
    [anon_sym_STAR] = ACTIONS(1605),
    [anon_sym_SLASH] = ACTIONS(1605),
    [anon_sym_PERCENT] = ACTIONS(1605),
    [anon_sym_PLUS_PLUS] = ACTIONS(1067),
    [anon_sym_DASH_DASH] = ACTIONS(1067),
    [anon_sym_TILDE] = ACTIONS(1067),
    [anon_sym_PIPE] = ACTIONS(1607),
    [anon_sym_CARET] = ACTIONS(1605),
    [anon_sym_LT_LT] = ACTIONS(1607),
    [anon_sym_GT_GT] = ACTIONS(1607),
    [anon_sym_BANG2] = ACTIONS(1099),
    [anon_sym_borrowing] = ACTIONS(1037),
    [anon_sym_consuming] = ACTIONS(1037),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(1103),
    [sym__dot_custom] = ACTIONS(1307),
    [sym__eq_custom] = ACTIONS(1607),
    [sym__eq_eq_custom] = ACTIONS(1607),
    [sym__plus_then_ws] = ACTIONS(1607),
    [sym__minus_then_ws] = ACTIONS(1607),
    [sym__bang_custom] = ACTIONS(1107),
    [sym__custom_operator] = ACTIONS(1075),
  },
  [296] = {
    [sym_simple_identifier] = STATE(2573),
    [sym__contextual_simple_identifier] = STATE(2374),
    [sym__basic_literal] = STATE(1418),
    [sym_boolean_literal] = STATE(1418),
    [sym__string_literal] = STATE(1418),
    [sym_line_string_literal] = STATE(1418),
    [sym_multi_line_string_literal] = STATE(1418),
    [sym_raw_string_literal] = STATE(1418),
    [sym_regex_literal] = STATE(1418),
    [sym__multiline_regex_literal] = STATE(2929),
    [sym_user_type] = STATE(5443),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5443),
    [sym_dictionary_type] = STATE(5443),
    [sym__expression] = STATE(1418),
    [sym__unary_expression] = STATE(1418),
    [sym_postfix_expression] = STATE(1418),
    [sym_constructor_expression] = STATE(1418),
    [sym__parenthesized_type] = STATE(7012),
    [sym_navigation_expression] = STATE(1418),
    [sym__navigable_type_expression] = STATE(7009),
    [sym_open_start_range_expression] = STATE(1418),
    [sym__range_operator] = STATE(557),
    [sym_open_end_range_expression] = STATE(1418),
    [sym_prefix_expression] = STATE(1418),
    [sym_as_expression] = STATE(1418),
    [sym_selector_expression] = STATE(1418),
    [sym__binary_expression] = STATE(1418),
    [sym_multiplicative_expression] = STATE(1418),
    [sym_additive_expression] = STATE(1418),
    [sym_range_expression] = STATE(1418),
    [sym_infix_expression] = STATE(1418),
    [sym_nil_coalescing_expression] = STATE(1418),
    [sym_check_expression] = STATE(1418),
    [sym_comparison_expression] = STATE(1418),
    [sym_equality_expression] = STATE(1418),
    [sym_conjunction_expression] = STATE(1418),
    [sym_disjunction_expression] = STATE(1418),
    [sym_bitwise_operation] = STATE(1418),
    [sym_custom_operator] = STATE(878),
    [sym_try_expression] = STATE(1418),
    [sym_await_expression] = STATE(1418),
    [sym__await_operator] = STATE(564),
    [sym_ternary_expression] = STATE(1418),
    [sym_call_expression] = STATE(1418),
    [sym__primary_expression] = STATE(1418),
    [sym_tuple_expression] = STATE(1418),
    [sym_array_literal] = STATE(1418),
    [sym_dictionary_literal] = STATE(1418),
    [sym__special_literal] = STATE(1418),
    [sym__playground_literal] = STATE(1418),
    [sym_lambda_literal] = STATE(1418),
    [sym_self_expression] = STATE(1418),
    [sym_super_expression] = STATE(1418),
    [sym_if_statement] = STATE(1418),
    [sym_switch_statement] = STATE(1418),
    [sym_key_path_expression] = STATE(1418),
    [sym_key_path_string_expression] = STATE(1418),
    [sym_try_operator] = STATE(451),
    [sym__assignment_and_operator] = STATE(1418),
    [sym__equality_operator] = STATE(1418),
    [sym__comparison_operator] = STATE(1418),
    [sym__three_dot_operator] = STATE(884),
    [sym__open_ended_range_operator] = STATE(557),
    [sym__additive_operator] = STATE(1418),
    [sym__multiplicative_operator] = STATE(1418),
    [sym__prefix_unary_operator] = STATE(471),
    [sym_directly_assignable_expression] = STATE(5445),
    [sym__for_statement_collection] = STATE(6313),
    [sym_for_statement_await] = STATE(6313),
    [sym_assignment] = STATE(1418),
    [sym_value_parameter_pack] = STATE(1418),
    [sym_value_pack_expansion] = STATE(1418),
    [sym__referenceable_operator] = STATE(1418),
    [sym__equal_sign] = STATE(1418),
    [sym__eq_eq] = STATE(1418),
    [sym__dot] = STATE(471),
    [sym_bang] = STATE(878),
    [sym__parameter_ownership_modifier] = STATE(2374),
    [aux_sym_raw_string_literal_repeat1] = STATE(7006),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(1037),
    [aux_sym_simple_identifier_token2] = ACTIONS(1039),
    [aux_sym_simple_identifier_token3] = ACTIONS(1039),
    [aux_sym_simple_identifier_token4] = ACTIONS(1039),
    [anon_sym_actor] = ACTIONS(1037),
    [anon_sym_async] = ACTIONS(1037),
    [anon_sym_each] = ACTIONS(1041),
    [anon_sym_lazy] = ACTIONS(1037),
    [anon_sym_repeat] = ACTIONS(1043),
    [anon_sym_package] = ACTIONS(1037),
    [anon_sym_nil] = ACTIONS(1605),
    [sym_real_literal] = ACTIONS(1607),
    [sym_integer_literal] = ACTIONS(1605),
    [sym_hex_literal] = ACTIONS(1607),
    [sym_oct_literal] = ACTIONS(1607),
    [sym_bin_literal] = ACTIONS(1607),
    [anon_sym_true] = ACTIONS(1049),
    [anon_sym_false] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_BSLASH] = ACTIONS(1053),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1055),
    [sym__extended_regex_literal] = ACTIONS(1057),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(1059),
    [sym__oneline_regex_literal] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_LBRACK] = ACTIONS(1065),
    [anon_sym_AMP] = ACTIONS(1067),
    [anon_sym_if] = ACTIONS(1069),
    [anon_sym_switch] = ACTIONS(1071),
    [anon_sym_POUNDselector] = ACTIONS(1073),
    [aux_sym_custom_operator_token1] = ACTIONS(1075),
    [anon_sym_LT] = ACTIONS(1605),
    [anon_sym_GT] = ACTIONS(1605),
    [anon_sym_await] = ACTIONS(1609),
    [anon_sym_POUNDfile] = ACTIONS(1605),
    [anon_sym_POUNDfileID] = ACTIONS(1607),
    [anon_sym_POUNDfilePath] = ACTIONS(1607),
    [anon_sym_POUNDline] = ACTIONS(1607),
    [anon_sym_POUNDcolumn] = ACTIONS(1607),
    [anon_sym_POUNDfunction] = ACTIONS(1607),
    [anon_sym_POUNDdsohandle] = ACTIONS(1607),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(1079),
    [anon_sym_POUNDfileLiteral] = ACTIONS(1079),
    [anon_sym_POUNDimageLiteral] = ACTIONS(1079),
    [anon_sym_LBRACE] = ACTIONS(1081),
    [anon_sym_CARET_LBRACE] = ACTIONS(1081),
    [anon_sym_self] = ACTIONS(1083),
    [anon_sym_super] = ACTIONS(1085),
    [anon_sym_POUNDkeyPath] = ACTIONS(1089),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1607),
    [anon_sym_DASH_EQ] = ACTIONS(1607),
    [anon_sym_STAR_EQ] = ACTIONS(1607),
    [anon_sym_SLASH_EQ] = ACTIONS(1607),
    [anon_sym_PERCENT_EQ] = ACTIONS(1607),
    [anon_sym_BANG_EQ] = ACTIONS(1605),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1607),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1607),
    [anon_sym_LT_EQ] = ACTIONS(1607),
    [anon_sym_GT_EQ] = ACTIONS(1607),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1093),
    [anon_sym_PLUS] = ACTIONS(1097),
    [anon_sym_DASH] = ACTIONS(1097),
    [anon_sym_STAR] = ACTIONS(1605),
    [anon_sym_SLASH] = ACTIONS(1605),
    [anon_sym_PERCENT] = ACTIONS(1605),
    [anon_sym_PLUS_PLUS] = ACTIONS(1067),
    [anon_sym_DASH_DASH] = ACTIONS(1067),
    [anon_sym_TILDE] = ACTIONS(1067),
    [anon_sym_PIPE] = ACTIONS(1607),
    [anon_sym_CARET] = ACTIONS(1605),
    [anon_sym_LT_LT] = ACTIONS(1607),
    [anon_sym_GT_GT] = ACTIONS(1607),
    [anon_sym_BANG2] = ACTIONS(1099),
    [anon_sym_borrowing] = ACTIONS(1037),
    [anon_sym_consuming] = ACTIONS(1037),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(1103),
    [sym__dot_custom] = ACTIONS(1307),
    [sym__eq_custom] = ACTIONS(1607),
    [sym__eq_eq_custom] = ACTIONS(1607),
    [sym__plus_then_ws] = ACTIONS(1607),
    [sym__minus_then_ws] = ACTIONS(1607),
    [sym__bang_custom] = ACTIONS(1107),
    [sym__custom_operator] = ACTIONS(1075),
  },
  [297] = {
    [sym_simple_identifier] = STATE(2573),
    [sym__contextual_simple_identifier] = STATE(2374),
    [sym__basic_literal] = STATE(1297),
    [sym_boolean_literal] = STATE(1297),
    [sym__string_literal] = STATE(1297),
    [sym_line_string_literal] = STATE(1297),
    [sym_multi_line_string_literal] = STATE(1297),
    [sym_raw_string_literal] = STATE(1297),
    [sym_regex_literal] = STATE(1297),
    [sym__multiline_regex_literal] = STATE(2929),
    [sym_user_type] = STATE(5443),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5443),
    [sym_dictionary_type] = STATE(5443),
    [sym__expression] = STATE(1297),
    [sym__unary_expression] = STATE(1297),
    [sym_postfix_expression] = STATE(1297),
    [sym_constructor_expression] = STATE(1297),
    [sym__parenthesized_type] = STATE(7012),
    [sym_navigation_expression] = STATE(1297),
    [sym__navigable_type_expression] = STATE(7009),
    [sym_open_start_range_expression] = STATE(1297),
    [sym__range_operator] = STATE(557),
    [sym_open_end_range_expression] = STATE(1297),
    [sym_prefix_expression] = STATE(1297),
    [sym_as_expression] = STATE(1297),
    [sym_selector_expression] = STATE(1297),
    [sym__binary_expression] = STATE(1297),
    [sym_multiplicative_expression] = STATE(1297),
    [sym_additive_expression] = STATE(1297),
    [sym_range_expression] = STATE(1297),
    [sym_infix_expression] = STATE(1297),
    [sym_nil_coalescing_expression] = STATE(1297),
    [sym_check_expression] = STATE(1297),
    [sym_comparison_expression] = STATE(1297),
    [sym_equality_expression] = STATE(1297),
    [sym_conjunction_expression] = STATE(1297),
    [sym_disjunction_expression] = STATE(1297),
    [sym_bitwise_operation] = STATE(1297),
    [sym_custom_operator] = STATE(878),
    [sym_try_expression] = STATE(1297),
    [sym_await_expression] = STATE(1297),
    [sym__await_operator] = STATE(450),
    [sym_ternary_expression] = STATE(1297),
    [sym__expr_hack_at_ternary_binary_suffix] = STATE(2990),
    [sym_expr_hack_at_ternary_binary_call] = STATE(2990),
    [sym_call_expression] = STATE(1297),
    [sym__primary_expression] = STATE(1297),
    [sym_tuple_expression] = STATE(1297),
    [sym_array_literal] = STATE(1297),
    [sym_dictionary_literal] = STATE(1297),
    [sym__special_literal] = STATE(1297),
    [sym__playground_literal] = STATE(1297),
    [sym_lambda_literal] = STATE(1297),
    [sym_self_expression] = STATE(1297),
    [sym_super_expression] = STATE(1297),
    [sym_if_statement] = STATE(1297),
    [sym_switch_statement] = STATE(1297),
    [sym_key_path_expression] = STATE(1297),
    [sym_key_path_string_expression] = STATE(1297),
    [sym_try_operator] = STATE(451),
    [sym__assignment_and_operator] = STATE(1297),
    [sym__equality_operator] = STATE(1297),
    [sym__comparison_operator] = STATE(1297),
    [sym__three_dot_operator] = STATE(884),
    [sym__open_ended_range_operator] = STATE(557),
    [sym__additive_operator] = STATE(1297),
    [sym__multiplicative_operator] = STATE(1297),
    [sym__prefix_unary_operator] = STATE(471),
    [sym_directly_assignable_expression] = STATE(5445),
    [sym_assignment] = STATE(1297),
    [sym_value_parameter_pack] = STATE(1297),
    [sym_value_pack_expansion] = STATE(1297),
    [sym__referenceable_operator] = STATE(1297),
    [sym__equal_sign] = STATE(1297),
    [sym__eq_eq] = STATE(1297),
    [sym__dot] = STATE(471),
    [sym_bang] = STATE(878),
    [sym__parameter_ownership_modifier] = STATE(2374),
    [aux_sym_raw_string_literal_repeat1] = STATE(7006),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(1037),
    [aux_sym_simple_identifier_token2] = ACTIONS(1039),
    [aux_sym_simple_identifier_token3] = ACTIONS(1039),
    [aux_sym_simple_identifier_token4] = ACTIONS(1039),
    [anon_sym_actor] = ACTIONS(1037),
    [anon_sym_async] = ACTIONS(1037),
    [anon_sym_each] = ACTIONS(1041),
    [anon_sym_lazy] = ACTIONS(1037),
    [anon_sym_repeat] = ACTIONS(1043),
    [anon_sym_package] = ACTIONS(1037),
    [anon_sym_nil] = ACTIONS(1597),
    [sym_real_literal] = ACTIONS(1599),
    [sym_integer_literal] = ACTIONS(1597),
    [sym_hex_literal] = ACTIONS(1599),
    [sym_oct_literal] = ACTIONS(1599),
    [sym_bin_literal] = ACTIONS(1599),
    [anon_sym_true] = ACTIONS(1049),
    [anon_sym_false] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_BSLASH] = ACTIONS(1053),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1055),
    [sym__extended_regex_literal] = ACTIONS(1057),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(1059),
    [sym__oneline_regex_literal] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_LBRACK] = ACTIONS(1065),
    [anon_sym_AMP] = ACTIONS(1067),
    [anon_sym_if] = ACTIONS(1069),
    [anon_sym_switch] = ACTIONS(1071),
    [anon_sym_POUNDselector] = ACTIONS(1073),
    [aux_sym_custom_operator_token1] = ACTIONS(1075),
    [anon_sym_LT] = ACTIONS(1597),
    [anon_sym_GT] = ACTIONS(1597),
    [anon_sym_await] = ACTIONS(1077),
    [anon_sym_POUNDfile] = ACTIONS(1597),
    [anon_sym_POUNDfileID] = ACTIONS(1599),
    [anon_sym_POUNDfilePath] = ACTIONS(1599),
    [anon_sym_POUNDline] = ACTIONS(1599),
    [anon_sym_POUNDcolumn] = ACTIONS(1599),
    [anon_sym_POUNDfunction] = ACTIONS(1599),
    [anon_sym_POUNDdsohandle] = ACTIONS(1599),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(1079),
    [anon_sym_POUNDfileLiteral] = ACTIONS(1079),
    [anon_sym_POUNDimageLiteral] = ACTIONS(1079),
    [anon_sym_LBRACE] = ACTIONS(1081),
    [anon_sym_CARET_LBRACE] = ACTIONS(1081),
    [anon_sym_self] = ACTIONS(1083),
    [anon_sym_super] = ACTIONS(1085),
    [anon_sym_POUNDkeyPath] = ACTIONS(1089),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1599),
    [anon_sym_DASH_EQ] = ACTIONS(1599),
    [anon_sym_STAR_EQ] = ACTIONS(1599),
    [anon_sym_SLASH_EQ] = ACTIONS(1599),
    [anon_sym_PERCENT_EQ] = ACTIONS(1599),
    [anon_sym_BANG_EQ] = ACTIONS(1597),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1599),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1599),
    [anon_sym_LT_EQ] = ACTIONS(1599),
    [anon_sym_GT_EQ] = ACTIONS(1599),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1093),
    [anon_sym_PLUS] = ACTIONS(1097),
    [anon_sym_DASH] = ACTIONS(1097),
    [anon_sym_STAR] = ACTIONS(1597),
    [anon_sym_SLASH] = ACTIONS(1597),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [anon_sym_PLUS_PLUS] = ACTIONS(1067),
    [anon_sym_DASH_DASH] = ACTIONS(1067),
    [anon_sym_TILDE] = ACTIONS(1067),
    [anon_sym_PIPE] = ACTIONS(1599),
    [anon_sym_CARET] = ACTIONS(1597),
    [anon_sym_LT_LT] = ACTIONS(1599),
    [anon_sym_GT_GT] = ACTIONS(1599),
    [anon_sym_BANG2] = ACTIONS(1099),
    [anon_sym_borrowing] = ACTIONS(1037),
    [anon_sym_consuming] = ACTIONS(1037),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(1103),
    [sym__dot_custom] = ACTIONS(1307),
    [sym__eq_custom] = ACTIONS(1599),
    [sym__eq_eq_custom] = ACTIONS(1599),
    [sym__plus_then_ws] = ACTIONS(1599),
    [sym__minus_then_ws] = ACTIONS(1599),
    [sym__bang_custom] = ACTIONS(1107),
    [sym__custom_operator] = ACTIONS(1075),
  },
  [298] = {
    [sym_simple_identifier] = STATE(2573),
    [sym__contextual_simple_identifier] = STATE(2374),
    [sym__basic_literal] = STATE(1297),
    [sym_boolean_literal] = STATE(1297),
    [sym__string_literal] = STATE(1297),
    [sym_line_string_literal] = STATE(1297),
    [sym_multi_line_string_literal] = STATE(1297),
    [sym_raw_string_literal] = STATE(1297),
    [sym_regex_literal] = STATE(1297),
    [sym__multiline_regex_literal] = STATE(2929),
    [sym_user_type] = STATE(5443),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5443),
    [sym_dictionary_type] = STATE(5443),
    [sym__expression] = STATE(1297),
    [sym__unary_expression] = STATE(1297),
    [sym_postfix_expression] = STATE(1297),
    [sym_constructor_expression] = STATE(1297),
    [sym__parenthesized_type] = STATE(7012),
    [sym_navigation_expression] = STATE(1297),
    [sym__navigable_type_expression] = STATE(7009),
    [sym_open_start_range_expression] = STATE(1297),
    [sym__range_operator] = STATE(557),
    [sym_open_end_range_expression] = STATE(1297),
    [sym_prefix_expression] = STATE(1297),
    [sym_as_expression] = STATE(1297),
    [sym_selector_expression] = STATE(1297),
    [sym__binary_expression] = STATE(1297),
    [sym_multiplicative_expression] = STATE(1297),
    [sym_additive_expression] = STATE(1297),
    [sym_range_expression] = STATE(1297),
    [sym_infix_expression] = STATE(1297),
    [sym_nil_coalescing_expression] = STATE(1297),
    [sym_check_expression] = STATE(1297),
    [sym_comparison_expression] = STATE(1297),
    [sym_equality_expression] = STATE(1297),
    [sym_conjunction_expression] = STATE(1297),
    [sym_disjunction_expression] = STATE(1297),
    [sym_bitwise_operation] = STATE(1297),
    [sym_custom_operator] = STATE(878),
    [sym_try_expression] = STATE(1297),
    [sym_await_expression] = STATE(1297),
    [sym__await_operator] = STATE(450),
    [sym_ternary_expression] = STATE(1297),
    [sym__expr_hack_at_ternary_binary_suffix] = STATE(2991),
    [sym_expr_hack_at_ternary_binary_call] = STATE(2991),
    [sym_call_expression] = STATE(1297),
    [sym__primary_expression] = STATE(1297),
    [sym_tuple_expression] = STATE(1297),
    [sym_array_literal] = STATE(1297),
    [sym_dictionary_literal] = STATE(1297),
    [sym__special_literal] = STATE(1297),
    [sym__playground_literal] = STATE(1297),
    [sym_lambda_literal] = STATE(1297),
    [sym_self_expression] = STATE(1297),
    [sym_super_expression] = STATE(1297),
    [sym_if_statement] = STATE(1297),
    [sym_switch_statement] = STATE(1297),
    [sym_key_path_expression] = STATE(1297),
    [sym_key_path_string_expression] = STATE(1297),
    [sym_try_operator] = STATE(451),
    [sym__assignment_and_operator] = STATE(1297),
    [sym__equality_operator] = STATE(1297),
    [sym__comparison_operator] = STATE(1297),
    [sym__three_dot_operator] = STATE(884),
    [sym__open_ended_range_operator] = STATE(557),
    [sym__additive_operator] = STATE(1297),
    [sym__multiplicative_operator] = STATE(1297),
    [sym__prefix_unary_operator] = STATE(471),
    [sym_directly_assignable_expression] = STATE(5445),
    [sym_assignment] = STATE(1297),
    [sym_value_parameter_pack] = STATE(1297),
    [sym_value_pack_expansion] = STATE(1297),
    [sym__referenceable_operator] = STATE(1297),
    [sym__equal_sign] = STATE(1297),
    [sym__eq_eq] = STATE(1297),
    [sym__dot] = STATE(471),
    [sym_bang] = STATE(878),
    [sym__parameter_ownership_modifier] = STATE(2374),
    [aux_sym_raw_string_literal_repeat1] = STATE(7006),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(1037),
    [aux_sym_simple_identifier_token2] = ACTIONS(1039),
    [aux_sym_simple_identifier_token3] = ACTIONS(1039),
    [aux_sym_simple_identifier_token4] = ACTIONS(1039),
    [anon_sym_actor] = ACTIONS(1037),
    [anon_sym_async] = ACTIONS(1037),
    [anon_sym_each] = ACTIONS(1041),
    [anon_sym_lazy] = ACTIONS(1037),
    [anon_sym_repeat] = ACTIONS(1043),
    [anon_sym_package] = ACTIONS(1037),
    [anon_sym_nil] = ACTIONS(1597),
    [sym_real_literal] = ACTIONS(1599),
    [sym_integer_literal] = ACTIONS(1597),
    [sym_hex_literal] = ACTIONS(1599),
    [sym_oct_literal] = ACTIONS(1599),
    [sym_bin_literal] = ACTIONS(1599),
    [anon_sym_true] = ACTIONS(1049),
    [anon_sym_false] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_BSLASH] = ACTIONS(1053),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1055),
    [sym__extended_regex_literal] = ACTIONS(1057),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(1059),
    [sym__oneline_regex_literal] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_LBRACK] = ACTIONS(1065),
    [anon_sym_AMP] = ACTIONS(1067),
    [anon_sym_if] = ACTIONS(1069),
    [anon_sym_switch] = ACTIONS(1071),
    [anon_sym_POUNDselector] = ACTIONS(1073),
    [aux_sym_custom_operator_token1] = ACTIONS(1075),
    [anon_sym_LT] = ACTIONS(1597),
    [anon_sym_GT] = ACTIONS(1597),
    [anon_sym_await] = ACTIONS(1077),
    [anon_sym_POUNDfile] = ACTIONS(1597),
    [anon_sym_POUNDfileID] = ACTIONS(1599),
    [anon_sym_POUNDfilePath] = ACTIONS(1599),
    [anon_sym_POUNDline] = ACTIONS(1599),
    [anon_sym_POUNDcolumn] = ACTIONS(1599),
    [anon_sym_POUNDfunction] = ACTIONS(1599),
    [anon_sym_POUNDdsohandle] = ACTIONS(1599),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(1079),
    [anon_sym_POUNDfileLiteral] = ACTIONS(1079),
    [anon_sym_POUNDimageLiteral] = ACTIONS(1079),
    [anon_sym_LBRACE] = ACTIONS(1081),
    [anon_sym_CARET_LBRACE] = ACTIONS(1081),
    [anon_sym_self] = ACTIONS(1083),
    [anon_sym_super] = ACTIONS(1085),
    [anon_sym_POUNDkeyPath] = ACTIONS(1089),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1599),
    [anon_sym_DASH_EQ] = ACTIONS(1599),
    [anon_sym_STAR_EQ] = ACTIONS(1599),
    [anon_sym_SLASH_EQ] = ACTIONS(1599),
    [anon_sym_PERCENT_EQ] = ACTIONS(1599),
    [anon_sym_BANG_EQ] = ACTIONS(1597),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1599),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1599),
    [anon_sym_LT_EQ] = ACTIONS(1599),
    [anon_sym_GT_EQ] = ACTIONS(1599),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1093),
    [anon_sym_PLUS] = ACTIONS(1097),
    [anon_sym_DASH] = ACTIONS(1097),
    [anon_sym_STAR] = ACTIONS(1597),
    [anon_sym_SLASH] = ACTIONS(1597),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [anon_sym_PLUS_PLUS] = ACTIONS(1067),
    [anon_sym_DASH_DASH] = ACTIONS(1067),
    [anon_sym_TILDE] = ACTIONS(1067),
    [anon_sym_PIPE] = ACTIONS(1599),
    [anon_sym_CARET] = ACTIONS(1597),
    [anon_sym_LT_LT] = ACTIONS(1599),
    [anon_sym_GT_GT] = ACTIONS(1599),
    [anon_sym_BANG2] = ACTIONS(1099),
    [anon_sym_borrowing] = ACTIONS(1037),
    [anon_sym_consuming] = ACTIONS(1037),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(1103),
    [sym__dot_custom] = ACTIONS(1307),
    [sym__eq_custom] = ACTIONS(1599),
    [sym__eq_eq_custom] = ACTIONS(1599),
    [sym__plus_then_ws] = ACTIONS(1599),
    [sym__minus_then_ws] = ACTIONS(1599),
    [sym__bang_custom] = ACTIONS(1107),
    [sym__custom_operator] = ACTIONS(1075),
  },
  [299] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1441),
    [sym_boolean_literal] = STATE(1441),
    [sym__string_literal] = STATE(1441),
    [sym_line_string_literal] = STATE(1441),
    [sym_multi_line_string_literal] = STATE(1441),
    [sym_raw_string_literal] = STATE(1441),
    [sym_regex_literal] = STATE(1441),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1441),
    [sym__unary_expression] = STATE(1441),
    [sym_postfix_expression] = STATE(1441),
    [sym_constructor_expression] = STATE(1441),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1441),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1441),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1441),
    [sym_prefix_expression] = STATE(1441),
    [sym_as_expression] = STATE(1441),
    [sym_selector_expression] = STATE(1441),
    [sym__binary_expression] = STATE(1441),
    [sym_multiplicative_expression] = STATE(1441),
    [sym_additive_expression] = STATE(1441),
    [sym_range_expression] = STATE(1441),
    [sym_infix_expression] = STATE(1441),
    [sym_nil_coalescing_expression] = STATE(1441),
    [sym_check_expression] = STATE(1441),
    [sym_comparison_expression] = STATE(1441),
    [sym_equality_expression] = STATE(1441),
    [sym_conjunction_expression] = STATE(1441),
    [sym_disjunction_expression] = STATE(1441),
    [sym_bitwise_operation] = STATE(1441),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1441),
    [sym_await_expression] = STATE(1441),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1441),
    [sym_call_expression] = STATE(1441),
    [sym__primary_expression] = STATE(1441),
    [sym_tuple_expression] = STATE(1441),
    [sym_array_literal] = STATE(1441),
    [sym_dictionary_literal] = STATE(1441),
    [sym__dictionary_literal_item] = STATE(7599),
    [sym__special_literal] = STATE(1441),
    [sym__playground_literal] = STATE(1441),
    [sym_lambda_literal] = STATE(1441),
    [sym_self_expression] = STATE(1441),
    [sym_super_expression] = STATE(1441),
    [sym_if_statement] = STATE(1441),
    [sym_switch_statement] = STATE(1441),
    [sym_key_path_expression] = STATE(1441),
    [sym_key_path_string_expression] = STATE(1441),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1441),
    [sym__equality_operator] = STATE(1441),
    [sym__comparison_operator] = STATE(1441),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1441),
    [sym__multiplicative_operator] = STATE(1441),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1441),
    [sym_value_parameter_pack] = STATE(1441),
    [sym_value_pack_expansion] = STATE(1441),
    [sym__referenceable_operator] = STATE(1441),
    [sym__equal_sign] = STATE(1441),
    [sym__eq_eq] = STATE(1441),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1587),
    [sym_real_literal] = ACTIONS(1589),
    [sym_integer_literal] = ACTIONS(1587),
    [sym_hex_literal] = ACTIONS(1589),
    [sym_oct_literal] = ACTIONS(1589),
    [sym_bin_literal] = ACTIONS(1589),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_RBRACK] = ACTIONS(1611),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1587),
    [anon_sym_GT] = ACTIONS(1587),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1587),
    [anon_sym_POUNDfileID] = ACTIONS(1589),
    [anon_sym_POUNDfilePath] = ACTIONS(1589),
    [anon_sym_POUNDline] = ACTIONS(1589),
    [anon_sym_POUNDcolumn] = ACTIONS(1589),
    [anon_sym_POUNDfunction] = ACTIONS(1589),
    [anon_sym_POUNDdsohandle] = ACTIONS(1589),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1589),
    [anon_sym_DASH_EQ] = ACTIONS(1589),
    [anon_sym_STAR_EQ] = ACTIONS(1589),
    [anon_sym_SLASH_EQ] = ACTIONS(1589),
    [anon_sym_PERCENT_EQ] = ACTIONS(1589),
    [anon_sym_BANG_EQ] = ACTIONS(1587),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1589),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1589),
    [anon_sym_LT_EQ] = ACTIONS(1589),
    [anon_sym_GT_EQ] = ACTIONS(1589),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1587),
    [anon_sym_SLASH] = ACTIONS(1587),
    [anon_sym_PERCENT] = ACTIONS(1587),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1589),
    [anon_sym_CARET] = ACTIONS(1587),
    [anon_sym_LT_LT] = ACTIONS(1589),
    [anon_sym_GT_GT] = ACTIONS(1589),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1589),
    [sym__eq_eq_custom] = ACTIONS(1589),
    [sym__plus_then_ws] = ACTIONS(1589),
    [sym__minus_then_ws] = ACTIONS(1589),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [300] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1443),
    [sym_boolean_literal] = STATE(1443),
    [sym__string_literal] = STATE(1443),
    [sym_line_string_literal] = STATE(1443),
    [sym_multi_line_string_literal] = STATE(1443),
    [sym_raw_string_literal] = STATE(1443),
    [sym_regex_literal] = STATE(1443),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1443),
    [sym__unary_expression] = STATE(1443),
    [sym_postfix_expression] = STATE(1443),
    [sym_constructor_expression] = STATE(1443),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1443),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1443),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1443),
    [sym_prefix_expression] = STATE(1443),
    [sym_as_expression] = STATE(1443),
    [sym_selector_expression] = STATE(1443),
    [sym__binary_expression] = STATE(1443),
    [sym_multiplicative_expression] = STATE(1443),
    [sym_additive_expression] = STATE(1443),
    [sym_range_expression] = STATE(1443),
    [sym_infix_expression] = STATE(1443),
    [sym_nil_coalescing_expression] = STATE(1443),
    [sym_check_expression] = STATE(1443),
    [sym_comparison_expression] = STATE(1443),
    [sym_equality_expression] = STATE(1443),
    [sym_conjunction_expression] = STATE(1443),
    [sym_disjunction_expression] = STATE(1443),
    [sym_bitwise_operation] = STATE(1443),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1443),
    [sym_await_expression] = STATE(1443),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1443),
    [sym_call_expression] = STATE(1443),
    [sym__primary_expression] = STATE(1443),
    [sym_tuple_expression] = STATE(1443),
    [sym_array_literal] = STATE(1443),
    [sym_dictionary_literal] = STATE(1443),
    [sym__special_literal] = STATE(1443),
    [sym__playground_literal] = STATE(1443),
    [sym_lambda_literal] = STATE(1443),
    [sym_self_expression] = STATE(1443),
    [sym_super_expression] = STATE(1443),
    [sym_if_statement] = STATE(1443),
    [sym_switch_statement] = STATE(1443),
    [sym_key_path_expression] = STATE(1443),
    [sym_key_path_string_expression] = STATE(1443),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1443),
    [sym__equality_operator] = STATE(1443),
    [sym__comparison_operator] = STATE(1443),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1443),
    [sym__multiplicative_operator] = STATE(1443),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1443),
    [sym_value_parameter_pack] = STATE(1443),
    [sym_value_pack_expansion] = STATE(1443),
    [sym__referenceable_operator] = STATE(1443),
    [sym__equal_sign] = STATE(1443),
    [sym__eq_eq] = STATE(1443),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1613),
    [sym_real_literal] = ACTIONS(1615),
    [sym_integer_literal] = ACTIONS(1613),
    [sym_hex_literal] = ACTIONS(1615),
    [sym_oct_literal] = ACTIONS(1615),
    [sym_bin_literal] = ACTIONS(1615),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [anon_sym_getter_COLON] = ACTIONS(1617),
    [anon_sym_setter_COLON] = ACTIONS(1617),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1613),
    [anon_sym_GT] = ACTIONS(1613),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1613),
    [anon_sym_POUNDfileID] = ACTIONS(1615),
    [anon_sym_POUNDfilePath] = ACTIONS(1615),
    [anon_sym_POUNDline] = ACTIONS(1615),
    [anon_sym_POUNDcolumn] = ACTIONS(1615),
    [anon_sym_POUNDfunction] = ACTIONS(1615),
    [anon_sym_POUNDdsohandle] = ACTIONS(1615),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1615),
    [anon_sym_DASH_EQ] = ACTIONS(1615),
    [anon_sym_STAR_EQ] = ACTIONS(1615),
    [anon_sym_SLASH_EQ] = ACTIONS(1615),
    [anon_sym_PERCENT_EQ] = ACTIONS(1615),
    [anon_sym_BANG_EQ] = ACTIONS(1613),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1615),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1615),
    [anon_sym_LT_EQ] = ACTIONS(1615),
    [anon_sym_GT_EQ] = ACTIONS(1615),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1613),
    [anon_sym_SLASH] = ACTIONS(1613),
    [anon_sym_PERCENT] = ACTIONS(1613),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1615),
    [anon_sym_CARET] = ACTIONS(1613),
    [anon_sym_LT_LT] = ACTIONS(1615),
    [anon_sym_GT_GT] = ACTIONS(1615),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1615),
    [sym__eq_eq_custom] = ACTIONS(1615),
    [sym__plus_then_ws] = ACTIONS(1615),
    [sym__minus_then_ws] = ACTIONS(1615),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [301] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1441),
    [sym_boolean_literal] = STATE(1441),
    [sym__string_literal] = STATE(1441),
    [sym_line_string_literal] = STATE(1441),
    [sym_multi_line_string_literal] = STATE(1441),
    [sym_raw_string_literal] = STATE(1441),
    [sym_regex_literal] = STATE(1441),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1441),
    [sym__unary_expression] = STATE(1441),
    [sym_postfix_expression] = STATE(1441),
    [sym_constructor_expression] = STATE(1441),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1441),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1441),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1441),
    [sym_prefix_expression] = STATE(1441),
    [sym_as_expression] = STATE(1441),
    [sym_selector_expression] = STATE(1441),
    [sym__binary_expression] = STATE(1441),
    [sym_multiplicative_expression] = STATE(1441),
    [sym_additive_expression] = STATE(1441),
    [sym_range_expression] = STATE(1441),
    [sym_infix_expression] = STATE(1441),
    [sym_nil_coalescing_expression] = STATE(1441),
    [sym_check_expression] = STATE(1441),
    [sym_comparison_expression] = STATE(1441),
    [sym_equality_expression] = STATE(1441),
    [sym_conjunction_expression] = STATE(1441),
    [sym_disjunction_expression] = STATE(1441),
    [sym_bitwise_operation] = STATE(1441),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1441),
    [sym_await_expression] = STATE(1441),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1441),
    [sym_call_expression] = STATE(1441),
    [sym__primary_expression] = STATE(1441),
    [sym_tuple_expression] = STATE(1441),
    [sym_array_literal] = STATE(1441),
    [sym_dictionary_literal] = STATE(1441),
    [sym__dictionary_literal_item] = STATE(7599),
    [sym__special_literal] = STATE(1441),
    [sym__playground_literal] = STATE(1441),
    [sym_lambda_literal] = STATE(1441),
    [sym_self_expression] = STATE(1441),
    [sym_super_expression] = STATE(1441),
    [sym_if_statement] = STATE(1441),
    [sym_switch_statement] = STATE(1441),
    [sym_key_path_expression] = STATE(1441),
    [sym_key_path_string_expression] = STATE(1441),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1441),
    [sym__equality_operator] = STATE(1441),
    [sym__comparison_operator] = STATE(1441),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1441),
    [sym__multiplicative_operator] = STATE(1441),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1441),
    [sym_value_parameter_pack] = STATE(1441),
    [sym_value_pack_expansion] = STATE(1441),
    [sym__referenceable_operator] = STATE(1441),
    [sym__equal_sign] = STATE(1441),
    [sym__eq_eq] = STATE(1441),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1587),
    [sym_real_literal] = ACTIONS(1589),
    [sym_integer_literal] = ACTIONS(1587),
    [sym_hex_literal] = ACTIONS(1589),
    [sym_oct_literal] = ACTIONS(1589),
    [sym_bin_literal] = ACTIONS(1589),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_RBRACK] = ACTIONS(1619),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1587),
    [anon_sym_GT] = ACTIONS(1587),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1587),
    [anon_sym_POUNDfileID] = ACTIONS(1589),
    [anon_sym_POUNDfilePath] = ACTIONS(1589),
    [anon_sym_POUNDline] = ACTIONS(1589),
    [anon_sym_POUNDcolumn] = ACTIONS(1589),
    [anon_sym_POUNDfunction] = ACTIONS(1589),
    [anon_sym_POUNDdsohandle] = ACTIONS(1589),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1589),
    [anon_sym_DASH_EQ] = ACTIONS(1589),
    [anon_sym_STAR_EQ] = ACTIONS(1589),
    [anon_sym_SLASH_EQ] = ACTIONS(1589),
    [anon_sym_PERCENT_EQ] = ACTIONS(1589),
    [anon_sym_BANG_EQ] = ACTIONS(1587),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1589),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1589),
    [anon_sym_LT_EQ] = ACTIONS(1589),
    [anon_sym_GT_EQ] = ACTIONS(1589),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1587),
    [anon_sym_SLASH] = ACTIONS(1587),
    [anon_sym_PERCENT] = ACTIONS(1587),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1589),
    [anon_sym_CARET] = ACTIONS(1587),
    [anon_sym_LT_LT] = ACTIONS(1589),
    [anon_sym_GT_GT] = ACTIONS(1589),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1589),
    [sym__eq_eq_custom] = ACTIONS(1589),
    [sym__plus_then_ws] = ACTIONS(1589),
    [sym__minus_then_ws] = ACTIONS(1589),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [302] = {
    [sym_simple_identifier] = STATE(2573),
    [sym__contextual_simple_identifier] = STATE(2374),
    [sym__basic_literal] = STATE(1297),
    [sym_boolean_literal] = STATE(1297),
    [sym__string_literal] = STATE(1297),
    [sym_line_string_literal] = STATE(1297),
    [sym_multi_line_string_literal] = STATE(1297),
    [sym_raw_string_literal] = STATE(1297),
    [sym_regex_literal] = STATE(1297),
    [sym__multiline_regex_literal] = STATE(2929),
    [sym_user_type] = STATE(5443),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5443),
    [sym_dictionary_type] = STATE(5443),
    [sym__expression] = STATE(1297),
    [sym__unary_expression] = STATE(1297),
    [sym_postfix_expression] = STATE(1297),
    [sym_constructor_expression] = STATE(1297),
    [sym__parenthesized_type] = STATE(7012),
    [sym_navigation_expression] = STATE(1297),
    [sym__navigable_type_expression] = STATE(7009),
    [sym_open_start_range_expression] = STATE(1297),
    [sym__range_operator] = STATE(557),
    [sym_open_end_range_expression] = STATE(1297),
    [sym_prefix_expression] = STATE(1297),
    [sym_as_expression] = STATE(1297),
    [sym_selector_expression] = STATE(1297),
    [sym__binary_expression] = STATE(1297),
    [sym_multiplicative_expression] = STATE(1297),
    [sym_additive_expression] = STATE(1297),
    [sym_range_expression] = STATE(1297),
    [sym_infix_expression] = STATE(1297),
    [sym_nil_coalescing_expression] = STATE(1297),
    [sym_check_expression] = STATE(1297),
    [sym_comparison_expression] = STATE(1297),
    [sym_equality_expression] = STATE(1297),
    [sym_conjunction_expression] = STATE(1297),
    [sym_disjunction_expression] = STATE(1297),
    [sym_bitwise_operation] = STATE(1297),
    [sym_custom_operator] = STATE(878),
    [sym_try_expression] = STATE(1297),
    [sym_await_expression] = STATE(1297),
    [sym__await_operator] = STATE(450),
    [sym_ternary_expression] = STATE(1297),
    [sym__expr_hack_at_ternary_binary_suffix] = STATE(2997),
    [sym_expr_hack_at_ternary_binary_call] = STATE(2997),
    [sym_call_expression] = STATE(1297),
    [sym__primary_expression] = STATE(1297),
    [sym_tuple_expression] = STATE(1297),
    [sym_array_literal] = STATE(1297),
    [sym_dictionary_literal] = STATE(1297),
    [sym__special_literal] = STATE(1297),
    [sym__playground_literal] = STATE(1297),
    [sym_lambda_literal] = STATE(1297),
    [sym_self_expression] = STATE(1297),
    [sym_super_expression] = STATE(1297),
    [sym_if_statement] = STATE(1297),
    [sym_switch_statement] = STATE(1297),
    [sym_key_path_expression] = STATE(1297),
    [sym_key_path_string_expression] = STATE(1297),
    [sym_try_operator] = STATE(451),
    [sym__assignment_and_operator] = STATE(1297),
    [sym__equality_operator] = STATE(1297),
    [sym__comparison_operator] = STATE(1297),
    [sym__three_dot_operator] = STATE(884),
    [sym__open_ended_range_operator] = STATE(557),
    [sym__additive_operator] = STATE(1297),
    [sym__multiplicative_operator] = STATE(1297),
    [sym__prefix_unary_operator] = STATE(471),
    [sym_directly_assignable_expression] = STATE(5445),
    [sym_assignment] = STATE(1297),
    [sym_value_parameter_pack] = STATE(1297),
    [sym_value_pack_expansion] = STATE(1297),
    [sym__referenceable_operator] = STATE(1297),
    [sym__equal_sign] = STATE(1297),
    [sym__eq_eq] = STATE(1297),
    [sym__dot] = STATE(471),
    [sym_bang] = STATE(878),
    [sym__parameter_ownership_modifier] = STATE(2374),
    [aux_sym_raw_string_literal_repeat1] = STATE(7006),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(1037),
    [aux_sym_simple_identifier_token2] = ACTIONS(1039),
    [aux_sym_simple_identifier_token3] = ACTIONS(1039),
    [aux_sym_simple_identifier_token4] = ACTIONS(1039),
    [anon_sym_actor] = ACTIONS(1037),
    [anon_sym_async] = ACTIONS(1037),
    [anon_sym_each] = ACTIONS(1041),
    [anon_sym_lazy] = ACTIONS(1037),
    [anon_sym_repeat] = ACTIONS(1043),
    [anon_sym_package] = ACTIONS(1037),
    [anon_sym_nil] = ACTIONS(1597),
    [sym_real_literal] = ACTIONS(1599),
    [sym_integer_literal] = ACTIONS(1597),
    [sym_hex_literal] = ACTIONS(1599),
    [sym_oct_literal] = ACTIONS(1599),
    [sym_bin_literal] = ACTIONS(1599),
    [anon_sym_true] = ACTIONS(1049),
    [anon_sym_false] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_BSLASH] = ACTIONS(1053),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1055),
    [sym__extended_regex_literal] = ACTIONS(1057),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(1059),
    [sym__oneline_regex_literal] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_LBRACK] = ACTIONS(1065),
    [anon_sym_AMP] = ACTIONS(1067),
    [anon_sym_if] = ACTIONS(1069),
    [anon_sym_switch] = ACTIONS(1071),
    [anon_sym_POUNDselector] = ACTIONS(1073),
    [aux_sym_custom_operator_token1] = ACTIONS(1075),
    [anon_sym_LT] = ACTIONS(1597),
    [anon_sym_GT] = ACTIONS(1597),
    [anon_sym_await] = ACTIONS(1077),
    [anon_sym_POUNDfile] = ACTIONS(1597),
    [anon_sym_POUNDfileID] = ACTIONS(1599),
    [anon_sym_POUNDfilePath] = ACTIONS(1599),
    [anon_sym_POUNDline] = ACTIONS(1599),
    [anon_sym_POUNDcolumn] = ACTIONS(1599),
    [anon_sym_POUNDfunction] = ACTIONS(1599),
    [anon_sym_POUNDdsohandle] = ACTIONS(1599),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(1079),
    [anon_sym_POUNDfileLiteral] = ACTIONS(1079),
    [anon_sym_POUNDimageLiteral] = ACTIONS(1079),
    [anon_sym_LBRACE] = ACTIONS(1081),
    [anon_sym_CARET_LBRACE] = ACTIONS(1081),
    [anon_sym_self] = ACTIONS(1083),
    [anon_sym_super] = ACTIONS(1085),
    [anon_sym_POUNDkeyPath] = ACTIONS(1089),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1599),
    [anon_sym_DASH_EQ] = ACTIONS(1599),
    [anon_sym_STAR_EQ] = ACTIONS(1599),
    [anon_sym_SLASH_EQ] = ACTIONS(1599),
    [anon_sym_PERCENT_EQ] = ACTIONS(1599),
    [anon_sym_BANG_EQ] = ACTIONS(1597),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1599),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1599),
    [anon_sym_LT_EQ] = ACTIONS(1599),
    [anon_sym_GT_EQ] = ACTIONS(1599),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1093),
    [anon_sym_PLUS] = ACTIONS(1097),
    [anon_sym_DASH] = ACTIONS(1097),
    [anon_sym_STAR] = ACTIONS(1597),
    [anon_sym_SLASH] = ACTIONS(1597),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [anon_sym_PLUS_PLUS] = ACTIONS(1067),
    [anon_sym_DASH_DASH] = ACTIONS(1067),
    [anon_sym_TILDE] = ACTIONS(1067),
    [anon_sym_PIPE] = ACTIONS(1599),
    [anon_sym_CARET] = ACTIONS(1597),
    [anon_sym_LT_LT] = ACTIONS(1599),
    [anon_sym_GT_GT] = ACTIONS(1599),
    [anon_sym_BANG2] = ACTIONS(1099),
    [anon_sym_borrowing] = ACTIONS(1037),
    [anon_sym_consuming] = ACTIONS(1037),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(1103),
    [sym__dot_custom] = ACTIONS(1307),
    [sym__eq_custom] = ACTIONS(1599),
    [sym__eq_eq_custom] = ACTIONS(1599),
    [sym__plus_then_ws] = ACTIONS(1599),
    [sym__minus_then_ws] = ACTIONS(1599),
    [sym__bang_custom] = ACTIONS(1107),
    [sym__custom_operator] = ACTIONS(1075),
  },
  [303] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1444),
    [sym_boolean_literal] = STATE(1444),
    [sym__string_literal] = STATE(1444),
    [sym_line_string_literal] = STATE(1444),
    [sym_multi_line_string_literal] = STATE(1444),
    [sym_raw_string_literal] = STATE(1444),
    [sym_regex_literal] = STATE(1444),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1444),
    [sym__unary_expression] = STATE(1444),
    [sym_postfix_expression] = STATE(1444),
    [sym_constructor_expression] = STATE(1444),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1444),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1444),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1444),
    [sym_prefix_expression] = STATE(1444),
    [sym_as_expression] = STATE(1444),
    [sym_selector_expression] = STATE(1444),
    [sym__binary_expression] = STATE(1444),
    [sym_multiplicative_expression] = STATE(1444),
    [sym_additive_expression] = STATE(1444),
    [sym_range_expression] = STATE(1444),
    [sym_infix_expression] = STATE(1444),
    [sym_nil_coalescing_expression] = STATE(1444),
    [sym_check_expression] = STATE(1444),
    [sym_comparison_expression] = STATE(1444),
    [sym_equality_expression] = STATE(1444),
    [sym_conjunction_expression] = STATE(1444),
    [sym_disjunction_expression] = STATE(1444),
    [sym_bitwise_operation] = STATE(1444),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1444),
    [sym_await_expression] = STATE(1444),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1444),
    [sym_call_expression] = STATE(1444),
    [sym__primary_expression] = STATE(1444),
    [sym_tuple_expression] = STATE(1444),
    [sym_array_literal] = STATE(1444),
    [sym_dictionary_literal] = STATE(1444),
    [sym__special_literal] = STATE(1444),
    [sym__playground_literal] = STATE(1444),
    [sym_lambda_literal] = STATE(1444),
    [sym_self_expression] = STATE(1444),
    [sym_super_expression] = STATE(1444),
    [sym_if_statement] = STATE(1444),
    [sym_switch_statement] = STATE(1444),
    [sym_key_path_expression] = STATE(1444),
    [sym_key_path_string_expression] = STATE(1444),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1444),
    [sym__equality_operator] = STATE(1444),
    [sym__comparison_operator] = STATE(1444),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1444),
    [sym__multiplicative_operator] = STATE(1444),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1444),
    [sym_value_parameter_pack] = STATE(1444),
    [sym_value_pack_expansion] = STATE(1444),
    [sym__referenceable_operator] = STATE(1444),
    [sym__equal_sign] = STATE(1444),
    [sym__eq_eq] = STATE(1444),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1621),
    [sym_real_literal] = ACTIONS(1623),
    [sym_integer_literal] = ACTIONS(1621),
    [sym_hex_literal] = ACTIONS(1623),
    [sym_oct_literal] = ACTIONS(1623),
    [sym_bin_literal] = ACTIONS(1623),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [anon_sym_getter_COLON] = ACTIONS(1625),
    [anon_sym_setter_COLON] = ACTIONS(1625),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1621),
    [anon_sym_GT] = ACTIONS(1621),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1621),
    [anon_sym_POUNDfileID] = ACTIONS(1623),
    [anon_sym_POUNDfilePath] = ACTIONS(1623),
    [anon_sym_POUNDline] = ACTIONS(1623),
    [anon_sym_POUNDcolumn] = ACTIONS(1623),
    [anon_sym_POUNDfunction] = ACTIONS(1623),
    [anon_sym_POUNDdsohandle] = ACTIONS(1623),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1623),
    [anon_sym_DASH_EQ] = ACTIONS(1623),
    [anon_sym_STAR_EQ] = ACTIONS(1623),
    [anon_sym_SLASH_EQ] = ACTIONS(1623),
    [anon_sym_PERCENT_EQ] = ACTIONS(1623),
    [anon_sym_BANG_EQ] = ACTIONS(1621),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1623),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1623),
    [anon_sym_LT_EQ] = ACTIONS(1623),
    [anon_sym_GT_EQ] = ACTIONS(1623),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1621),
    [anon_sym_SLASH] = ACTIONS(1621),
    [anon_sym_PERCENT] = ACTIONS(1621),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1623),
    [anon_sym_CARET] = ACTIONS(1621),
    [anon_sym_LT_LT] = ACTIONS(1623),
    [anon_sym_GT_GT] = ACTIONS(1623),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1623),
    [sym__eq_eq_custom] = ACTIONS(1623),
    [sym__plus_then_ws] = ACTIONS(1623),
    [sym__minus_then_ws] = ACTIONS(1623),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [304] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1405),
    [sym_boolean_literal] = STATE(1405),
    [sym__string_literal] = STATE(1405),
    [sym_line_string_literal] = STATE(1405),
    [sym_multi_line_string_literal] = STATE(1405),
    [sym_raw_string_literal] = STATE(1405),
    [sym_regex_literal] = STATE(1405),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1405),
    [sym__unary_expression] = STATE(1405),
    [sym_postfix_expression] = STATE(1405),
    [sym_constructor_expression] = STATE(1405),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1405),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1405),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1405),
    [sym_prefix_expression] = STATE(1405),
    [sym_as_expression] = STATE(1405),
    [sym_selector_expression] = STATE(1405),
    [sym__binary_expression] = STATE(1405),
    [sym_multiplicative_expression] = STATE(1405),
    [sym_additive_expression] = STATE(1405),
    [sym_range_expression] = STATE(1405),
    [sym_infix_expression] = STATE(1405),
    [sym_nil_coalescing_expression] = STATE(1405),
    [sym_check_expression] = STATE(1405),
    [sym_comparison_expression] = STATE(1405),
    [sym_equality_expression] = STATE(1405),
    [sym_conjunction_expression] = STATE(1405),
    [sym_disjunction_expression] = STATE(1405),
    [sym_bitwise_operation] = STATE(1405),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1405),
    [sym_await_expression] = STATE(1405),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1405),
    [sym_call_expression] = STATE(1405),
    [sym__primary_expression] = STATE(1405),
    [sym_tuple_expression] = STATE(1405),
    [sym_array_literal] = STATE(1405),
    [sym_dictionary_literal] = STATE(1405),
    [sym__special_literal] = STATE(1405),
    [sym__playground_literal] = STATE(1405),
    [sym_lambda_literal] = STATE(1405),
    [sym_self_expression] = STATE(1405),
    [sym_super_expression] = STATE(1405),
    [sym_if_statement] = STATE(1405),
    [sym_switch_statement] = STATE(1405),
    [sym_key_path_expression] = STATE(1405),
    [sym_key_path_string_expression] = STATE(1405),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1405),
    [sym__equality_operator] = STATE(1405),
    [sym__comparison_operator] = STATE(1405),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1405),
    [sym__multiplicative_operator] = STATE(1405),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1405),
    [sym_value_parameter_pack] = STATE(1405),
    [sym_value_pack_expansion] = STATE(1405),
    [sym__referenceable_operator] = STATE(1405),
    [sym__equal_sign] = STATE(1405),
    [sym__eq_eq] = STATE(1405),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1627),
    [sym_real_literal] = ACTIONS(1629),
    [sym_integer_literal] = ACTIONS(1627),
    [sym_hex_literal] = ACTIONS(1629),
    [sym_oct_literal] = ACTIONS(1629),
    [sym_bin_literal] = ACTIONS(1629),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [anon_sym_getter_COLON] = ACTIONS(1631),
    [anon_sym_setter_COLON] = ACTIONS(1631),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1627),
    [anon_sym_GT] = ACTIONS(1627),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1627),
    [anon_sym_POUNDfileID] = ACTIONS(1629),
    [anon_sym_POUNDfilePath] = ACTIONS(1629),
    [anon_sym_POUNDline] = ACTIONS(1629),
    [anon_sym_POUNDcolumn] = ACTIONS(1629),
    [anon_sym_POUNDfunction] = ACTIONS(1629),
    [anon_sym_POUNDdsohandle] = ACTIONS(1629),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1629),
    [anon_sym_DASH_EQ] = ACTIONS(1629),
    [anon_sym_STAR_EQ] = ACTIONS(1629),
    [anon_sym_SLASH_EQ] = ACTIONS(1629),
    [anon_sym_PERCENT_EQ] = ACTIONS(1629),
    [anon_sym_BANG_EQ] = ACTIONS(1627),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1629),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1629),
    [anon_sym_LT_EQ] = ACTIONS(1629),
    [anon_sym_GT_EQ] = ACTIONS(1629),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1627),
    [anon_sym_SLASH] = ACTIONS(1627),
    [anon_sym_PERCENT] = ACTIONS(1627),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1629),
    [anon_sym_CARET] = ACTIONS(1627),
    [anon_sym_LT_LT] = ACTIONS(1629),
    [anon_sym_GT_GT] = ACTIONS(1629),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1629),
    [sym__eq_eq_custom] = ACTIONS(1629),
    [sym__plus_then_ws] = ACTIONS(1629),
    [sym__minus_then_ws] = ACTIONS(1629),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [305] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1441),
    [sym_boolean_literal] = STATE(1441),
    [sym__string_literal] = STATE(1441),
    [sym_line_string_literal] = STATE(1441),
    [sym_multi_line_string_literal] = STATE(1441),
    [sym_raw_string_literal] = STATE(1441),
    [sym_regex_literal] = STATE(1441),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1441),
    [sym__unary_expression] = STATE(1441),
    [sym_postfix_expression] = STATE(1441),
    [sym_constructor_expression] = STATE(1441),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1441),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1441),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1441),
    [sym_prefix_expression] = STATE(1441),
    [sym_as_expression] = STATE(1441),
    [sym_selector_expression] = STATE(1441),
    [sym__binary_expression] = STATE(1441),
    [sym_multiplicative_expression] = STATE(1441),
    [sym_additive_expression] = STATE(1441),
    [sym_range_expression] = STATE(1441),
    [sym_infix_expression] = STATE(1441),
    [sym_nil_coalescing_expression] = STATE(1441),
    [sym_check_expression] = STATE(1441),
    [sym_comparison_expression] = STATE(1441),
    [sym_equality_expression] = STATE(1441),
    [sym_conjunction_expression] = STATE(1441),
    [sym_disjunction_expression] = STATE(1441),
    [sym_bitwise_operation] = STATE(1441),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1441),
    [sym_await_expression] = STATE(1441),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1441),
    [sym_call_expression] = STATE(1441),
    [sym__primary_expression] = STATE(1441),
    [sym_tuple_expression] = STATE(1441),
    [sym_array_literal] = STATE(1441),
    [sym_dictionary_literal] = STATE(1441),
    [sym__dictionary_literal_item] = STATE(7599),
    [sym__special_literal] = STATE(1441),
    [sym__playground_literal] = STATE(1441),
    [sym_lambda_literal] = STATE(1441),
    [sym_self_expression] = STATE(1441),
    [sym_super_expression] = STATE(1441),
    [sym_if_statement] = STATE(1441),
    [sym_switch_statement] = STATE(1441),
    [sym_key_path_expression] = STATE(1441),
    [sym_key_path_string_expression] = STATE(1441),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1441),
    [sym__equality_operator] = STATE(1441),
    [sym__comparison_operator] = STATE(1441),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1441),
    [sym__multiplicative_operator] = STATE(1441),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1441),
    [sym_value_parameter_pack] = STATE(1441),
    [sym_value_pack_expansion] = STATE(1441),
    [sym__referenceable_operator] = STATE(1441),
    [sym__equal_sign] = STATE(1441),
    [sym__eq_eq] = STATE(1441),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1587),
    [sym_real_literal] = ACTIONS(1589),
    [sym_integer_literal] = ACTIONS(1587),
    [sym_hex_literal] = ACTIONS(1589),
    [sym_oct_literal] = ACTIONS(1589),
    [sym_bin_literal] = ACTIONS(1589),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_RBRACK] = ACTIONS(1633),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1587),
    [anon_sym_GT] = ACTIONS(1587),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1587),
    [anon_sym_POUNDfileID] = ACTIONS(1589),
    [anon_sym_POUNDfilePath] = ACTIONS(1589),
    [anon_sym_POUNDline] = ACTIONS(1589),
    [anon_sym_POUNDcolumn] = ACTIONS(1589),
    [anon_sym_POUNDfunction] = ACTIONS(1589),
    [anon_sym_POUNDdsohandle] = ACTIONS(1589),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1589),
    [anon_sym_DASH_EQ] = ACTIONS(1589),
    [anon_sym_STAR_EQ] = ACTIONS(1589),
    [anon_sym_SLASH_EQ] = ACTIONS(1589),
    [anon_sym_PERCENT_EQ] = ACTIONS(1589),
    [anon_sym_BANG_EQ] = ACTIONS(1587),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1589),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1589),
    [anon_sym_LT_EQ] = ACTIONS(1589),
    [anon_sym_GT_EQ] = ACTIONS(1589),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1587),
    [anon_sym_SLASH] = ACTIONS(1587),
    [anon_sym_PERCENT] = ACTIONS(1587),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1589),
    [anon_sym_CARET] = ACTIONS(1587),
    [anon_sym_LT_LT] = ACTIONS(1589),
    [anon_sym_GT_GT] = ACTIONS(1589),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1589),
    [sym__eq_eq_custom] = ACTIONS(1589),
    [sym__plus_then_ws] = ACTIONS(1589),
    [sym__minus_then_ws] = ACTIONS(1589),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [306] = {
    [sym_simple_identifier] = STATE(1040),
    [sym__contextual_simple_identifier] = STATE(1015),
    [sym__basic_literal] = STATE(645),
    [sym_boolean_literal] = STATE(645),
    [sym__string_literal] = STATE(645),
    [sym_line_string_literal] = STATE(645),
    [sym_multi_line_string_literal] = STATE(645),
    [sym_raw_string_literal] = STATE(645),
    [sym_regex_literal] = STATE(645),
    [sym__multiline_regex_literal] = STATE(1134),
    [sym_user_type] = STATE(5559),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5559),
    [sym_dictionary_type] = STATE(5559),
    [sym__expression] = STATE(645),
    [sym__unary_expression] = STATE(645),
    [sym_postfix_expression] = STATE(645),
    [sym_constructor_expression] = STATE(645),
    [sym__parenthesized_type] = STATE(6572),
    [sym_navigation_expression] = STATE(645),
    [sym__navigable_type_expression] = STATE(6573),
    [sym_open_start_range_expression] = STATE(645),
    [sym__range_operator] = STATE(462),
    [sym_open_end_range_expression] = STATE(645),
    [sym_prefix_expression] = STATE(645),
    [sym_as_expression] = STATE(645),
    [sym_selector_expression] = STATE(645),
    [sym__binary_expression] = STATE(645),
    [sym_multiplicative_expression] = STATE(645),
    [sym_additive_expression] = STATE(645),
    [sym_range_expression] = STATE(645),
    [sym_infix_expression] = STATE(645),
    [sym_nil_coalescing_expression] = STATE(645),
    [sym_check_expression] = STATE(645),
    [sym_comparison_expression] = STATE(645),
    [sym_equality_expression] = STATE(645),
    [sym_conjunction_expression] = STATE(645),
    [sym_disjunction_expression] = STATE(645),
    [sym_bitwise_operation] = STATE(645),
    [sym_custom_operator] = STATE(615),
    [sym_try_expression] = STATE(645),
    [sym_await_expression] = STATE(645),
    [sym__await_operator] = STATE(463),
    [sym_ternary_expression] = STATE(645),
    [sym__expr_hack_at_ternary_binary_suffix] = STATE(1073),
    [sym_expr_hack_at_ternary_binary_call] = STATE(1073),
    [sym_call_expression] = STATE(645),
    [sym__primary_expression] = STATE(645),
    [sym_tuple_expression] = STATE(645),
    [sym_array_literal] = STATE(645),
    [sym_dictionary_literal] = STATE(645),
    [sym__special_literal] = STATE(645),
    [sym__playground_literal] = STATE(645),
    [sym_lambda_literal] = STATE(645),
    [sym_self_expression] = STATE(645),
    [sym_super_expression] = STATE(645),
    [sym_if_statement] = STATE(645),
    [sym_switch_statement] = STATE(645),
    [sym_key_path_expression] = STATE(645),
    [sym_key_path_string_expression] = STATE(645),
    [sym_try_operator] = STATE(465),
    [sym__assignment_and_operator] = STATE(645),
    [sym__equality_operator] = STATE(645),
    [sym__comparison_operator] = STATE(645),
    [sym__three_dot_operator] = STATE(617),
    [sym__open_ended_range_operator] = STATE(462),
    [sym__additive_operator] = STATE(645),
    [sym__multiplicative_operator] = STATE(645),
    [sym__prefix_unary_operator] = STATE(470),
    [sym_directly_assignable_expression] = STATE(5558),
    [sym_assignment] = STATE(645),
    [sym_value_parameter_pack] = STATE(645),
    [sym_value_pack_expansion] = STATE(645),
    [sym__referenceable_operator] = STATE(645),
    [sym__equal_sign] = STATE(645),
    [sym__eq_eq] = STATE(645),
    [sym__dot] = STATE(470),
    [sym_bang] = STATE(615),
    [sym__parameter_ownership_modifier] = STATE(1015),
    [aux_sym_raw_string_literal_repeat1] = STATE(6655),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(673),
    [aux_sym_simple_identifier_token2] = ACTIONS(675),
    [aux_sym_simple_identifier_token3] = ACTIONS(675),
    [aux_sym_simple_identifier_token4] = ACTIONS(675),
    [anon_sym_actor] = ACTIONS(673),
    [anon_sym_async] = ACTIONS(673),
    [anon_sym_each] = ACTIONS(677),
    [anon_sym_lazy] = ACTIONS(673),
    [anon_sym_repeat] = ACTIONS(679),
    [anon_sym_package] = ACTIONS(673),
    [anon_sym_nil] = ACTIONS(1579),
    [sym_real_literal] = ACTIONS(1581),
    [sym_integer_literal] = ACTIONS(1579),
    [sym_hex_literal] = ACTIONS(1581),
    [sym_oct_literal] = ACTIONS(1581),
    [sym_bin_literal] = ACTIONS(1581),
    [anon_sym_true] = ACTIONS(685),
    [anon_sym_false] = ACTIONS(685),
    [anon_sym_DQUOTE] = ACTIONS(687),
    [anon_sym_BSLASH] = ACTIONS(689),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(691),
    [sym__extended_regex_literal] = ACTIONS(693),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(695),
    [sym__oneline_regex_literal] = ACTIONS(697),
    [anon_sym_LPAREN] = ACTIONS(699),
    [anon_sym_LBRACK] = ACTIONS(701),
    [anon_sym_AMP] = ACTIONS(703),
    [anon_sym_if] = ACTIONS(705),
    [anon_sym_switch] = ACTIONS(707),
    [anon_sym_POUNDselector] = ACTIONS(709),
    [aux_sym_custom_operator_token1] = ACTIONS(711),
    [anon_sym_LT] = ACTIONS(1579),
    [anon_sym_GT] = ACTIONS(1579),
    [anon_sym_await] = ACTIONS(713),
    [anon_sym_POUNDfile] = ACTIONS(1579),
    [anon_sym_POUNDfileID] = ACTIONS(1581),
    [anon_sym_POUNDfilePath] = ACTIONS(1581),
    [anon_sym_POUNDline] = ACTIONS(1581),
    [anon_sym_POUNDcolumn] = ACTIONS(1581),
    [anon_sym_POUNDfunction] = ACTIONS(1581),
    [anon_sym_POUNDdsohandle] = ACTIONS(1581),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(715),
    [anon_sym_POUNDfileLiteral] = ACTIONS(715),
    [anon_sym_POUNDimageLiteral] = ACTIONS(715),
    [anon_sym_LBRACE] = ACTIONS(717),
    [anon_sym_CARET_LBRACE] = ACTIONS(717),
    [anon_sym_self] = ACTIONS(719),
    [anon_sym_super] = ACTIONS(721),
    [anon_sym_POUNDkeyPath] = ACTIONS(723),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1581),
    [anon_sym_DASH_EQ] = ACTIONS(1581),
    [anon_sym_STAR_EQ] = ACTIONS(1581),
    [anon_sym_SLASH_EQ] = ACTIONS(1581),
    [anon_sym_PERCENT_EQ] = ACTIONS(1581),
    [anon_sym_BANG_EQ] = ACTIONS(1579),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1581),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1581),
    [anon_sym_LT_EQ] = ACTIONS(1581),
    [anon_sym_GT_EQ] = ACTIONS(1581),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(725),
    [anon_sym_DOT_DOT_LT] = ACTIONS(727),
    [anon_sym_PLUS] = ACTIONS(729),
    [anon_sym_DASH] = ACTIONS(729),
    [anon_sym_STAR] = ACTIONS(1579),
    [anon_sym_SLASH] = ACTIONS(1579),
    [anon_sym_PERCENT] = ACTIONS(1579),
    [anon_sym_PLUS_PLUS] = ACTIONS(703),
    [anon_sym_DASH_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(703),
    [anon_sym_PIPE] = ACTIONS(1581),
    [anon_sym_CARET] = ACTIONS(1579),
    [anon_sym_LT_LT] = ACTIONS(1581),
    [anon_sym_GT_GT] = ACTIONS(1581),
    [anon_sym_BANG2] = ACTIONS(731),
    [anon_sym_borrowing] = ACTIONS(673),
    [anon_sym_consuming] = ACTIONS(673),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(733),
    [sym__dot_custom] = ACTIONS(735),
    [sym__eq_custom] = ACTIONS(1581),
    [sym__eq_eq_custom] = ACTIONS(1581),
    [sym__plus_then_ws] = ACTIONS(1581),
    [sym__minus_then_ws] = ACTIONS(1581),
    [sym__bang_custom] = ACTIONS(737),
    [sym__custom_operator] = ACTIONS(711),
  },
  [307] = {
    [sym_simple_identifier] = STATE(1040),
    [sym__contextual_simple_identifier] = STATE(1015),
    [sym__basic_literal] = STATE(645),
    [sym_boolean_literal] = STATE(645),
    [sym__string_literal] = STATE(645),
    [sym_line_string_literal] = STATE(645),
    [sym_multi_line_string_literal] = STATE(645),
    [sym_raw_string_literal] = STATE(645),
    [sym_regex_literal] = STATE(645),
    [sym__multiline_regex_literal] = STATE(1134),
    [sym_user_type] = STATE(5559),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5559),
    [sym_dictionary_type] = STATE(5559),
    [sym__expression] = STATE(645),
    [sym__unary_expression] = STATE(645),
    [sym_postfix_expression] = STATE(645),
    [sym_constructor_expression] = STATE(645),
    [sym__parenthesized_type] = STATE(6572),
    [sym_navigation_expression] = STATE(645),
    [sym__navigable_type_expression] = STATE(6573),
    [sym_open_start_range_expression] = STATE(645),
    [sym__range_operator] = STATE(462),
    [sym_open_end_range_expression] = STATE(645),
    [sym_prefix_expression] = STATE(645),
    [sym_as_expression] = STATE(645),
    [sym_selector_expression] = STATE(645),
    [sym__binary_expression] = STATE(645),
    [sym_multiplicative_expression] = STATE(645),
    [sym_additive_expression] = STATE(645),
    [sym_range_expression] = STATE(645),
    [sym_infix_expression] = STATE(645),
    [sym_nil_coalescing_expression] = STATE(645),
    [sym_check_expression] = STATE(645),
    [sym_comparison_expression] = STATE(645),
    [sym_equality_expression] = STATE(645),
    [sym_conjunction_expression] = STATE(645),
    [sym_disjunction_expression] = STATE(645),
    [sym_bitwise_operation] = STATE(645),
    [sym_custom_operator] = STATE(615),
    [sym_try_expression] = STATE(645),
    [sym_await_expression] = STATE(645),
    [sym__await_operator] = STATE(463),
    [sym_ternary_expression] = STATE(645),
    [sym__expr_hack_at_ternary_binary_suffix] = STATE(1097),
    [sym_expr_hack_at_ternary_binary_call] = STATE(1097),
    [sym_call_expression] = STATE(645),
    [sym__primary_expression] = STATE(645),
    [sym_tuple_expression] = STATE(645),
    [sym_array_literal] = STATE(645),
    [sym_dictionary_literal] = STATE(645),
    [sym__special_literal] = STATE(645),
    [sym__playground_literal] = STATE(645),
    [sym_lambda_literal] = STATE(645),
    [sym_self_expression] = STATE(645),
    [sym_super_expression] = STATE(645),
    [sym_if_statement] = STATE(645),
    [sym_switch_statement] = STATE(645),
    [sym_key_path_expression] = STATE(645),
    [sym_key_path_string_expression] = STATE(645),
    [sym_try_operator] = STATE(465),
    [sym__assignment_and_operator] = STATE(645),
    [sym__equality_operator] = STATE(645),
    [sym__comparison_operator] = STATE(645),
    [sym__three_dot_operator] = STATE(617),
    [sym__open_ended_range_operator] = STATE(462),
    [sym__additive_operator] = STATE(645),
    [sym__multiplicative_operator] = STATE(645),
    [sym__prefix_unary_operator] = STATE(470),
    [sym_directly_assignable_expression] = STATE(5558),
    [sym_assignment] = STATE(645),
    [sym_value_parameter_pack] = STATE(645),
    [sym_value_pack_expansion] = STATE(645),
    [sym__referenceable_operator] = STATE(645),
    [sym__equal_sign] = STATE(645),
    [sym__eq_eq] = STATE(645),
    [sym__dot] = STATE(470),
    [sym_bang] = STATE(615),
    [sym__parameter_ownership_modifier] = STATE(1015),
    [aux_sym_raw_string_literal_repeat1] = STATE(6655),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(673),
    [aux_sym_simple_identifier_token2] = ACTIONS(675),
    [aux_sym_simple_identifier_token3] = ACTIONS(675),
    [aux_sym_simple_identifier_token4] = ACTIONS(675),
    [anon_sym_actor] = ACTIONS(673),
    [anon_sym_async] = ACTIONS(673),
    [anon_sym_each] = ACTIONS(677),
    [anon_sym_lazy] = ACTIONS(673),
    [anon_sym_repeat] = ACTIONS(679),
    [anon_sym_package] = ACTIONS(673),
    [anon_sym_nil] = ACTIONS(1579),
    [sym_real_literal] = ACTIONS(1581),
    [sym_integer_literal] = ACTIONS(1579),
    [sym_hex_literal] = ACTIONS(1581),
    [sym_oct_literal] = ACTIONS(1581),
    [sym_bin_literal] = ACTIONS(1581),
    [anon_sym_true] = ACTIONS(685),
    [anon_sym_false] = ACTIONS(685),
    [anon_sym_DQUOTE] = ACTIONS(687),
    [anon_sym_BSLASH] = ACTIONS(689),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(691),
    [sym__extended_regex_literal] = ACTIONS(693),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(695),
    [sym__oneline_regex_literal] = ACTIONS(697),
    [anon_sym_LPAREN] = ACTIONS(699),
    [anon_sym_LBRACK] = ACTIONS(701),
    [anon_sym_AMP] = ACTIONS(703),
    [anon_sym_if] = ACTIONS(705),
    [anon_sym_switch] = ACTIONS(707),
    [anon_sym_POUNDselector] = ACTIONS(709),
    [aux_sym_custom_operator_token1] = ACTIONS(711),
    [anon_sym_LT] = ACTIONS(1579),
    [anon_sym_GT] = ACTIONS(1579),
    [anon_sym_await] = ACTIONS(713),
    [anon_sym_POUNDfile] = ACTIONS(1579),
    [anon_sym_POUNDfileID] = ACTIONS(1581),
    [anon_sym_POUNDfilePath] = ACTIONS(1581),
    [anon_sym_POUNDline] = ACTIONS(1581),
    [anon_sym_POUNDcolumn] = ACTIONS(1581),
    [anon_sym_POUNDfunction] = ACTIONS(1581),
    [anon_sym_POUNDdsohandle] = ACTIONS(1581),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(715),
    [anon_sym_POUNDfileLiteral] = ACTIONS(715),
    [anon_sym_POUNDimageLiteral] = ACTIONS(715),
    [anon_sym_LBRACE] = ACTIONS(717),
    [anon_sym_CARET_LBRACE] = ACTIONS(717),
    [anon_sym_self] = ACTIONS(719),
    [anon_sym_super] = ACTIONS(721),
    [anon_sym_POUNDkeyPath] = ACTIONS(723),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1581),
    [anon_sym_DASH_EQ] = ACTIONS(1581),
    [anon_sym_STAR_EQ] = ACTIONS(1581),
    [anon_sym_SLASH_EQ] = ACTIONS(1581),
    [anon_sym_PERCENT_EQ] = ACTIONS(1581),
    [anon_sym_BANG_EQ] = ACTIONS(1579),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1581),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1581),
    [anon_sym_LT_EQ] = ACTIONS(1581),
    [anon_sym_GT_EQ] = ACTIONS(1581),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(725),
    [anon_sym_DOT_DOT_LT] = ACTIONS(727),
    [anon_sym_PLUS] = ACTIONS(729),
    [anon_sym_DASH] = ACTIONS(729),
    [anon_sym_STAR] = ACTIONS(1579),
    [anon_sym_SLASH] = ACTIONS(1579),
    [anon_sym_PERCENT] = ACTIONS(1579),
    [anon_sym_PLUS_PLUS] = ACTIONS(703),
    [anon_sym_DASH_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(703),
    [anon_sym_PIPE] = ACTIONS(1581),
    [anon_sym_CARET] = ACTIONS(1579),
    [anon_sym_LT_LT] = ACTIONS(1581),
    [anon_sym_GT_GT] = ACTIONS(1581),
    [anon_sym_BANG2] = ACTIONS(731),
    [anon_sym_borrowing] = ACTIONS(673),
    [anon_sym_consuming] = ACTIONS(673),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(733),
    [sym__dot_custom] = ACTIONS(735),
    [sym__eq_custom] = ACTIONS(1581),
    [sym__eq_eq_custom] = ACTIONS(1581),
    [sym__plus_then_ws] = ACTIONS(1581),
    [sym__minus_then_ws] = ACTIONS(1581),
    [sym__bang_custom] = ACTIONS(737),
    [sym__custom_operator] = ACTIONS(711),
  },
  [308] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(626),
    [sym_boolean_literal] = STATE(626),
    [sym__string_literal] = STATE(626),
    [sym_line_string_literal] = STATE(626),
    [sym_multi_line_string_literal] = STATE(626),
    [sym_raw_string_literal] = STATE(626),
    [sym_regex_literal] = STATE(626),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5550),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5550),
    [sym_dictionary_type] = STATE(5550),
    [sym__expression] = STATE(626),
    [sym__unary_expression] = STATE(626),
    [sym_postfix_expression] = STATE(626),
    [sym_constructor_expression] = STATE(626),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(626),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(626),
    [sym__range_operator] = STATE(596),
    [sym_open_end_range_expression] = STATE(626),
    [sym_prefix_expression] = STATE(626),
    [sym_as_expression] = STATE(626),
    [sym_selector_expression] = STATE(626),
    [sym__binary_expression] = STATE(626),
    [sym_multiplicative_expression] = STATE(626),
    [sym_additive_expression] = STATE(626),
    [sym_range_expression] = STATE(626),
    [sym_infix_expression] = STATE(626),
    [sym_nil_coalescing_expression] = STATE(626),
    [sym_check_expression] = STATE(626),
    [sym_comparison_expression] = STATE(626),
    [sym_equality_expression] = STATE(626),
    [sym_conjunction_expression] = STATE(626),
    [sym_disjunction_expression] = STATE(626),
    [sym_bitwise_operation] = STATE(626),
    [sym_custom_operator] = STATE(609),
    [sym_try_expression] = STATE(626),
    [sym_await_expression] = STATE(626),
    [sym__await_operator] = STATE(599),
    [sym_ternary_expression] = STATE(626),
    [sym__expr_hack_at_ternary_binary_suffix] = STATE(774),
    [sym_expr_hack_at_ternary_binary_call] = STATE(774),
    [sym_call_expression] = STATE(626),
    [sym__primary_expression] = STATE(626),
    [sym_tuple_expression] = STATE(626),
    [sym_array_literal] = STATE(626),
    [sym_dictionary_literal] = STATE(626),
    [sym__special_literal] = STATE(626),
    [sym__playground_literal] = STATE(626),
    [sym_lambda_literal] = STATE(626),
    [sym_self_expression] = STATE(626),
    [sym_super_expression] = STATE(626),
    [sym_if_statement] = STATE(626),
    [sym_switch_statement] = STATE(626),
    [sym_key_path_expression] = STATE(626),
    [sym_key_path_string_expression] = STATE(626),
    [sym_try_operator] = STATE(453),
    [sym__assignment_and_operator] = STATE(626),
    [sym__equality_operator] = STATE(626),
    [sym__comparison_operator] = STATE(626),
    [sym__three_dot_operator] = STATE(604),
    [sym__open_ended_range_operator] = STATE(596),
    [sym__additive_operator] = STATE(626),
    [sym__multiplicative_operator] = STATE(626),
    [sym__prefix_unary_operator] = STATE(445),
    [sym_directly_assignable_expression] = STATE(5552),
    [sym_assignment] = STATE(626),
    [sym_value_parameter_pack] = STATE(626),
    [sym_value_pack_expansion] = STATE(626),
    [sym__referenceable_operator] = STATE(626),
    [sym__equal_sign] = STATE(626),
    [sym__eq_eq] = STATE(626),
    [sym__dot] = STATE(445),
    [sym_bang] = STATE(609),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(621),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(623),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1635),
    [sym_real_literal] = ACTIONS(1637),
    [sym_integer_literal] = ACTIONS(1635),
    [sym_hex_literal] = ACTIONS(1637),
    [sym_oct_literal] = ACTIONS(1637),
    [sym_bin_literal] = ACTIONS(1637),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(629),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(639),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(641),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(643),
    [anon_sym_LT] = ACTIONS(1635),
    [anon_sym_GT] = ACTIONS(1635),
    [anon_sym_await] = ACTIONS(645),
    [anon_sym_POUNDfile] = ACTIONS(1635),
    [anon_sym_POUNDfileID] = ACTIONS(1637),
    [anon_sym_POUNDfilePath] = ACTIONS(1637),
    [anon_sym_POUNDline] = ACTIONS(1637),
    [anon_sym_POUNDcolumn] = ACTIONS(1637),
    [anon_sym_POUNDfunction] = ACTIONS(1637),
    [anon_sym_POUNDdsohandle] = ACTIONS(1637),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1637),
    [anon_sym_DASH_EQ] = ACTIONS(1637),
    [anon_sym_STAR_EQ] = ACTIONS(1637),
    [anon_sym_SLASH_EQ] = ACTIONS(1637),
    [anon_sym_PERCENT_EQ] = ACTIONS(1637),
    [anon_sym_BANG_EQ] = ACTIONS(1635),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1637),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1637),
    [anon_sym_LT_EQ] = ACTIONS(1637),
    [anon_sym_GT_EQ] = ACTIONS(1637),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(649),
    [anon_sym_DOT_DOT_LT] = ACTIONS(651),
    [anon_sym_PLUS] = ACTIONS(653),
    [anon_sym_DASH] = ACTIONS(653),
    [anon_sym_STAR] = ACTIONS(1635),
    [anon_sym_SLASH] = ACTIONS(1635),
    [anon_sym_PERCENT] = ACTIONS(1635),
    [anon_sym_PLUS_PLUS] = ACTIONS(639),
    [anon_sym_DASH_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(639),
    [anon_sym_PIPE] = ACTIONS(1637),
    [anon_sym_CARET] = ACTIONS(1635),
    [anon_sym_LT_LT] = ACTIONS(1637),
    [anon_sym_GT_GT] = ACTIONS(1637),
    [anon_sym_BANG2] = ACTIONS(655),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(657),
    [sym__eq_custom] = ACTIONS(1637),
    [sym__eq_eq_custom] = ACTIONS(1637),
    [sym__plus_then_ws] = ACTIONS(1637),
    [sym__minus_then_ws] = ACTIONS(1637),
    [sym__bang_custom] = ACTIONS(659),
    [sym__custom_operator] = ACTIONS(643),
  },
  [309] = {
    [sym_simple_identifier] = STATE(2072),
    [sym__contextual_simple_identifier] = STATE(2016),
    [sym__basic_literal] = STATE(1251),
    [sym_boolean_literal] = STATE(1251),
    [sym__string_literal] = STATE(1251),
    [sym_line_string_literal] = STATE(1251),
    [sym_multi_line_string_literal] = STATE(1251),
    [sym_raw_string_literal] = STATE(1251),
    [sym_regex_literal] = STATE(1251),
    [sym__multiline_regex_literal] = STATE(2164),
    [sym_user_type] = STATE(5497),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5497),
    [sym_dictionary_type] = STATE(5497),
    [sym__expression] = STATE(1251),
    [sym__unary_expression] = STATE(1251),
    [sym_postfix_expression] = STATE(1251),
    [sym_constructor_expression] = STATE(1251),
    [sym__parenthesized_type] = STATE(6725),
    [sym_navigation_expression] = STATE(1251),
    [sym__navigable_type_expression] = STATE(6724),
    [sym_open_start_range_expression] = STATE(1251),
    [sym__range_operator] = STATE(467),
    [sym_open_end_range_expression] = STATE(1251),
    [sym_prefix_expression] = STATE(1251),
    [sym_as_expression] = STATE(1251),
    [sym_selector_expression] = STATE(1251),
    [sym__binary_expression] = STATE(1251),
    [sym_multiplicative_expression] = STATE(1251),
    [sym_additive_expression] = STATE(1251),
    [sym_range_expression] = STATE(1251),
    [sym_infix_expression] = STATE(1251),
    [sym_nil_coalescing_expression] = STATE(1251),
    [sym_check_expression] = STATE(1251),
    [sym_comparison_expression] = STATE(1251),
    [sym_equality_expression] = STATE(1251),
    [sym_conjunction_expression] = STATE(1251),
    [sym_disjunction_expression] = STATE(1251),
    [sym_bitwise_operation] = STATE(1251),
    [sym_custom_operator] = STATE(835),
    [sym_try_expression] = STATE(1251),
    [sym_await_expression] = STATE(1251),
    [sym__await_operator] = STATE(466),
    [sym_ternary_expression] = STATE(1251),
    [sym__expr_hack_at_ternary_binary_suffix] = STATE(2224),
    [sym_expr_hack_at_ternary_binary_call] = STATE(2224),
    [sym_call_expression] = STATE(1251),
    [sym__primary_expression] = STATE(1251),
    [sym_tuple_expression] = STATE(1251),
    [sym_array_literal] = STATE(1251),
    [sym_dictionary_literal] = STATE(1251),
    [sym__special_literal] = STATE(1251),
    [sym__playground_literal] = STATE(1251),
    [sym_lambda_literal] = STATE(1251),
    [sym_self_expression] = STATE(1251),
    [sym_super_expression] = STATE(1251),
    [sym_if_statement] = STATE(1251),
    [sym_switch_statement] = STATE(1251),
    [sym_key_path_expression] = STATE(1251),
    [sym_key_path_string_expression] = STATE(1251),
    [sym_try_operator] = STATE(455),
    [sym__assignment_and_operator] = STATE(1251),
    [sym__equality_operator] = STATE(1251),
    [sym__comparison_operator] = STATE(1251),
    [sym__three_dot_operator] = STATE(837),
    [sym__open_ended_range_operator] = STATE(467),
    [sym__additive_operator] = STATE(1251),
    [sym__multiplicative_operator] = STATE(1251),
    [sym__prefix_unary_operator] = STATE(468),
    [sym_directly_assignable_expression] = STATE(5498),
    [sym_assignment] = STATE(1251),
    [sym_value_parameter_pack] = STATE(1251),
    [sym_value_pack_expansion] = STATE(1251),
    [sym__referenceable_operator] = STATE(1251),
    [sym__equal_sign] = STATE(1251),
    [sym__eq_eq] = STATE(1251),
    [sym__dot] = STATE(468),
    [sym_bang] = STATE(835),
    [sym__parameter_ownership_modifier] = STATE(2016),
    [aux_sym_raw_string_literal_repeat1] = STATE(6553),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(971),
    [aux_sym_simple_identifier_token2] = ACTIONS(973),
    [aux_sym_simple_identifier_token3] = ACTIONS(973),
    [aux_sym_simple_identifier_token4] = ACTIONS(973),
    [anon_sym_actor] = ACTIONS(971),
    [anon_sym_async] = ACTIONS(971),
    [anon_sym_each] = ACTIONS(975),
    [anon_sym_lazy] = ACTIONS(971),
    [anon_sym_repeat] = ACTIONS(977),
    [anon_sym_package] = ACTIONS(971),
    [anon_sym_nil] = ACTIONS(1583),
    [sym_real_literal] = ACTIONS(1585),
    [sym_integer_literal] = ACTIONS(1583),
    [sym_hex_literal] = ACTIONS(1585),
    [sym_oct_literal] = ACTIONS(1585),
    [sym_bin_literal] = ACTIONS(1585),
    [anon_sym_true] = ACTIONS(983),
    [anon_sym_false] = ACTIONS(983),
    [anon_sym_DQUOTE] = ACTIONS(985),
    [anon_sym_BSLASH] = ACTIONS(987),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(989),
    [sym__extended_regex_literal] = ACTIONS(991),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(993),
    [sym__oneline_regex_literal] = ACTIONS(995),
    [anon_sym_LPAREN] = ACTIONS(997),
    [anon_sym_LBRACK] = ACTIONS(999),
    [anon_sym_AMP] = ACTIONS(1001),
    [anon_sym_if] = ACTIONS(1003),
    [anon_sym_switch] = ACTIONS(1005),
    [anon_sym_POUNDselector] = ACTIONS(1007),
    [aux_sym_custom_operator_token1] = ACTIONS(1009),
    [anon_sym_LT] = ACTIONS(1583),
    [anon_sym_GT] = ACTIONS(1583),
    [anon_sym_await] = ACTIONS(1011),
    [anon_sym_POUNDfile] = ACTIONS(1583),
    [anon_sym_POUNDfileID] = ACTIONS(1585),
    [anon_sym_POUNDfilePath] = ACTIONS(1585),
    [anon_sym_POUNDline] = ACTIONS(1585),
    [anon_sym_POUNDcolumn] = ACTIONS(1585),
    [anon_sym_POUNDfunction] = ACTIONS(1585),
    [anon_sym_POUNDdsohandle] = ACTIONS(1585),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(1013),
    [anon_sym_POUNDfileLiteral] = ACTIONS(1013),
    [anon_sym_POUNDimageLiteral] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(1015),
    [anon_sym_CARET_LBRACE] = ACTIONS(1015),
    [anon_sym_self] = ACTIONS(1017),
    [anon_sym_super] = ACTIONS(1019),
    [anon_sym_POUNDkeyPath] = ACTIONS(1021),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1585),
    [anon_sym_DASH_EQ] = ACTIONS(1585),
    [anon_sym_STAR_EQ] = ACTIONS(1585),
    [anon_sym_SLASH_EQ] = ACTIONS(1585),
    [anon_sym_PERCENT_EQ] = ACTIONS(1585),
    [anon_sym_BANG_EQ] = ACTIONS(1583),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1585),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1585),
    [anon_sym_LT_EQ] = ACTIONS(1585),
    [anon_sym_GT_EQ] = ACTIONS(1585),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1023),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1025),
    [anon_sym_PLUS] = ACTIONS(1027),
    [anon_sym_DASH] = ACTIONS(1027),
    [anon_sym_STAR] = ACTIONS(1583),
    [anon_sym_SLASH] = ACTIONS(1583),
    [anon_sym_PERCENT] = ACTIONS(1583),
    [anon_sym_PLUS_PLUS] = ACTIONS(1001),
    [anon_sym_DASH_DASH] = ACTIONS(1001),
    [anon_sym_TILDE] = ACTIONS(1001),
    [anon_sym_PIPE] = ACTIONS(1585),
    [anon_sym_CARET] = ACTIONS(1583),
    [anon_sym_LT_LT] = ACTIONS(1585),
    [anon_sym_GT_GT] = ACTIONS(1585),
    [anon_sym_BANG2] = ACTIONS(1029),
    [anon_sym_borrowing] = ACTIONS(971),
    [anon_sym_consuming] = ACTIONS(971),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(1031),
    [sym__dot_custom] = ACTIONS(1033),
    [sym__eq_custom] = ACTIONS(1585),
    [sym__eq_eq_custom] = ACTIONS(1585),
    [sym__plus_then_ws] = ACTIONS(1585),
    [sym__minus_then_ws] = ACTIONS(1585),
    [sym__bang_custom] = ACTIONS(1035),
    [sym__custom_operator] = ACTIONS(1009),
  },
  [310] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(626),
    [sym_boolean_literal] = STATE(626),
    [sym__string_literal] = STATE(626),
    [sym_line_string_literal] = STATE(626),
    [sym_multi_line_string_literal] = STATE(626),
    [sym_raw_string_literal] = STATE(626),
    [sym_regex_literal] = STATE(626),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5550),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5550),
    [sym_dictionary_type] = STATE(5550),
    [sym__expression] = STATE(626),
    [sym__unary_expression] = STATE(626),
    [sym_postfix_expression] = STATE(626),
    [sym_constructor_expression] = STATE(626),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(626),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(626),
    [sym__range_operator] = STATE(596),
    [sym_open_end_range_expression] = STATE(626),
    [sym_prefix_expression] = STATE(626),
    [sym_as_expression] = STATE(626),
    [sym_selector_expression] = STATE(626),
    [sym__binary_expression] = STATE(626),
    [sym_multiplicative_expression] = STATE(626),
    [sym_additive_expression] = STATE(626),
    [sym_range_expression] = STATE(626),
    [sym_infix_expression] = STATE(626),
    [sym_nil_coalescing_expression] = STATE(626),
    [sym_check_expression] = STATE(626),
    [sym_comparison_expression] = STATE(626),
    [sym_equality_expression] = STATE(626),
    [sym_conjunction_expression] = STATE(626),
    [sym_disjunction_expression] = STATE(626),
    [sym_bitwise_operation] = STATE(626),
    [sym_custom_operator] = STATE(609),
    [sym_try_expression] = STATE(626),
    [sym_await_expression] = STATE(626),
    [sym__await_operator] = STATE(599),
    [sym_ternary_expression] = STATE(626),
    [sym__expr_hack_at_ternary_binary_suffix] = STATE(772),
    [sym_expr_hack_at_ternary_binary_call] = STATE(772),
    [sym_call_expression] = STATE(626),
    [sym__primary_expression] = STATE(626),
    [sym_tuple_expression] = STATE(626),
    [sym_array_literal] = STATE(626),
    [sym_dictionary_literal] = STATE(626),
    [sym__special_literal] = STATE(626),
    [sym__playground_literal] = STATE(626),
    [sym_lambda_literal] = STATE(626),
    [sym_self_expression] = STATE(626),
    [sym_super_expression] = STATE(626),
    [sym_if_statement] = STATE(626),
    [sym_switch_statement] = STATE(626),
    [sym_key_path_expression] = STATE(626),
    [sym_key_path_string_expression] = STATE(626),
    [sym_try_operator] = STATE(453),
    [sym__assignment_and_operator] = STATE(626),
    [sym__equality_operator] = STATE(626),
    [sym__comparison_operator] = STATE(626),
    [sym__three_dot_operator] = STATE(604),
    [sym__open_ended_range_operator] = STATE(596),
    [sym__additive_operator] = STATE(626),
    [sym__multiplicative_operator] = STATE(626),
    [sym__prefix_unary_operator] = STATE(445),
    [sym_directly_assignable_expression] = STATE(5552),
    [sym_assignment] = STATE(626),
    [sym_value_parameter_pack] = STATE(626),
    [sym_value_pack_expansion] = STATE(626),
    [sym__referenceable_operator] = STATE(626),
    [sym__equal_sign] = STATE(626),
    [sym__eq_eq] = STATE(626),
    [sym__dot] = STATE(445),
    [sym_bang] = STATE(609),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(621),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(623),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1635),
    [sym_real_literal] = ACTIONS(1637),
    [sym_integer_literal] = ACTIONS(1635),
    [sym_hex_literal] = ACTIONS(1637),
    [sym_oct_literal] = ACTIONS(1637),
    [sym_bin_literal] = ACTIONS(1637),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(629),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(639),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(641),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(643),
    [anon_sym_LT] = ACTIONS(1635),
    [anon_sym_GT] = ACTIONS(1635),
    [anon_sym_await] = ACTIONS(645),
    [anon_sym_POUNDfile] = ACTIONS(1635),
    [anon_sym_POUNDfileID] = ACTIONS(1637),
    [anon_sym_POUNDfilePath] = ACTIONS(1637),
    [anon_sym_POUNDline] = ACTIONS(1637),
    [anon_sym_POUNDcolumn] = ACTIONS(1637),
    [anon_sym_POUNDfunction] = ACTIONS(1637),
    [anon_sym_POUNDdsohandle] = ACTIONS(1637),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1637),
    [anon_sym_DASH_EQ] = ACTIONS(1637),
    [anon_sym_STAR_EQ] = ACTIONS(1637),
    [anon_sym_SLASH_EQ] = ACTIONS(1637),
    [anon_sym_PERCENT_EQ] = ACTIONS(1637),
    [anon_sym_BANG_EQ] = ACTIONS(1635),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1637),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1637),
    [anon_sym_LT_EQ] = ACTIONS(1637),
    [anon_sym_GT_EQ] = ACTIONS(1637),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(649),
    [anon_sym_DOT_DOT_LT] = ACTIONS(651),
    [anon_sym_PLUS] = ACTIONS(653),
    [anon_sym_DASH] = ACTIONS(653),
    [anon_sym_STAR] = ACTIONS(1635),
    [anon_sym_SLASH] = ACTIONS(1635),
    [anon_sym_PERCENT] = ACTIONS(1635),
    [anon_sym_PLUS_PLUS] = ACTIONS(639),
    [anon_sym_DASH_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(639),
    [anon_sym_PIPE] = ACTIONS(1637),
    [anon_sym_CARET] = ACTIONS(1635),
    [anon_sym_LT_LT] = ACTIONS(1637),
    [anon_sym_GT_GT] = ACTIONS(1637),
    [anon_sym_BANG2] = ACTIONS(655),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(657),
    [sym__eq_custom] = ACTIONS(1637),
    [sym__eq_eq_custom] = ACTIONS(1637),
    [sym__plus_then_ws] = ACTIONS(1637),
    [sym__minus_then_ws] = ACTIONS(1637),
    [sym__bang_custom] = ACTIONS(659),
    [sym__custom_operator] = ACTIONS(643),
  },
  [311] = {
    [sym_simple_identifier] = STATE(1141),
    [sym__contextual_simple_identifier] = STATE(1051),
    [sym__basic_literal] = STATE(651),
    [sym_boolean_literal] = STATE(651),
    [sym__string_literal] = STATE(651),
    [sym_line_string_literal] = STATE(651),
    [sym_multi_line_string_literal] = STATE(651),
    [sym_raw_string_literal] = STATE(651),
    [sym_regex_literal] = STATE(651),
    [sym__multiline_regex_literal] = STATE(1215),
    [sym_user_type] = STATE(5510),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5510),
    [sym_dictionary_type] = STATE(5510),
    [sym__expression] = STATE(651),
    [sym__unary_expression] = STATE(651),
    [sym_postfix_expression] = STATE(651),
    [sym_constructor_expression] = STATE(651),
    [sym__parenthesized_type] = STATE(6558),
    [sym_navigation_expression] = STATE(651),
    [sym__navigable_type_expression] = STATE(6557),
    [sym_open_start_range_expression] = STATE(651),
    [sym__range_operator] = STATE(523),
    [sym_open_end_range_expression] = STATE(651),
    [sym_prefix_expression] = STATE(651),
    [sym_as_expression] = STATE(651),
    [sym_selector_expression] = STATE(651),
    [sym__binary_expression] = STATE(651),
    [sym_multiplicative_expression] = STATE(651),
    [sym_additive_expression] = STATE(651),
    [sym_range_expression] = STATE(651),
    [sym_infix_expression] = STATE(651),
    [sym_nil_coalescing_expression] = STATE(651),
    [sym_check_expression] = STATE(651),
    [sym_comparison_expression] = STATE(651),
    [sym_equality_expression] = STATE(651),
    [sym_conjunction_expression] = STATE(651),
    [sym_disjunction_expression] = STATE(651),
    [sym_bitwise_operation] = STATE(651),
    [sym_custom_operator] = STATE(628),
    [sym_try_expression] = STATE(651),
    [sym_await_expression] = STATE(651),
    [sym__await_operator] = STATE(518),
    [sym_ternary_expression] = STATE(651),
    [sym__expr_hack_at_ternary_binary_suffix] = STATE(1178),
    [sym_expr_hack_at_ternary_binary_call] = STATE(1178),
    [sym_call_expression] = STATE(651),
    [sym__primary_expression] = STATE(651),
    [sym_tuple_expression] = STATE(651),
    [sym_array_literal] = STATE(651),
    [sym_dictionary_literal] = STATE(651),
    [sym__special_literal] = STATE(651),
    [sym__playground_literal] = STATE(651),
    [sym_lambda_literal] = STATE(651),
    [sym_self_expression] = STATE(651),
    [sym_super_expression] = STATE(651),
    [sym_if_statement] = STATE(651),
    [sym_switch_statement] = STATE(651),
    [sym_key_path_expression] = STATE(651),
    [sym_key_path_string_expression] = STATE(651),
    [sym_try_operator] = STATE(515),
    [sym__assignment_and_operator] = STATE(651),
    [sym__equality_operator] = STATE(651),
    [sym__comparison_operator] = STATE(651),
    [sym__three_dot_operator] = STATE(625),
    [sym__open_ended_range_operator] = STATE(523),
    [sym__additive_operator] = STATE(651),
    [sym__multiplicative_operator] = STATE(651),
    [sym__prefix_unary_operator] = STATE(509),
    [sym_directly_assignable_expression] = STATE(5511),
    [sym_assignment] = STATE(651),
    [sym_value_parameter_pack] = STATE(651),
    [sym_value_pack_expansion] = STATE(651),
    [sym__referenceable_operator] = STATE(651),
    [sym__equal_sign] = STATE(651),
    [sym__eq_eq] = STATE(651),
    [sym__dot] = STATE(509),
    [sym_bang] = STATE(628),
    [sym__parameter_ownership_modifier] = STATE(1051),
    [aux_sym_raw_string_literal_repeat1] = STATE(6487),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(291),
    [aux_sym_simple_identifier_token2] = ACTIONS(293),
    [aux_sym_simple_identifier_token3] = ACTIONS(293),
    [aux_sym_simple_identifier_token4] = ACTIONS(293),
    [anon_sym_actor] = ACTIONS(291),
    [anon_sym_async] = ACTIONS(291),
    [anon_sym_each] = ACTIONS(299),
    [anon_sym_lazy] = ACTIONS(291),
    [anon_sym_repeat] = ACTIONS(747),
    [anon_sym_package] = ACTIONS(291),
    [anon_sym_nil] = ACTIONS(1639),
    [sym_real_literal] = ACTIONS(1641),
    [sym_integer_literal] = ACTIONS(1639),
    [sym_hex_literal] = ACTIONS(1641),
    [sym_oct_literal] = ACTIONS(1641),
    [sym_bin_literal] = ACTIONS(1641),
    [anon_sym_true] = ACTIONS(309),
    [anon_sym_false] = ACTIONS(309),
    [anon_sym_DQUOTE] = ACTIONS(311),
    [anon_sym_BSLASH] = ACTIONS(313),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(315),
    [sym__extended_regex_literal] = ACTIONS(317),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(319),
    [sym__oneline_regex_literal] = ACTIONS(321),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_LBRACK] = ACTIONS(325),
    [anon_sym_AMP] = ACTIONS(327),
    [anon_sym_if] = ACTIONS(329),
    [anon_sym_switch] = ACTIONS(331),
    [anon_sym_POUNDselector] = ACTIONS(333),
    [aux_sym_custom_operator_token1] = ACTIONS(335),
    [anon_sym_LT] = ACTIONS(1639),
    [anon_sym_GT] = ACTIONS(1639),
    [anon_sym_await] = ACTIONS(337),
    [anon_sym_POUNDfile] = ACTIONS(1639),
    [anon_sym_POUNDfileID] = ACTIONS(1641),
    [anon_sym_POUNDfilePath] = ACTIONS(1641),
    [anon_sym_POUNDline] = ACTIONS(1641),
    [anon_sym_POUNDcolumn] = ACTIONS(1641),
    [anon_sym_POUNDfunction] = ACTIONS(1641),
    [anon_sym_POUNDdsohandle] = ACTIONS(1641),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(339),
    [anon_sym_POUNDfileLiteral] = ACTIONS(339),
    [anon_sym_POUNDimageLiteral] = ACTIONS(339),
    [anon_sym_LBRACE] = ACTIONS(341),
    [anon_sym_CARET_LBRACE] = ACTIONS(341),
    [anon_sym_self] = ACTIONS(345),
    [anon_sym_super] = ACTIONS(347),
    [anon_sym_POUNDkeyPath] = ACTIONS(353),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1641),
    [anon_sym_DASH_EQ] = ACTIONS(1641),
    [anon_sym_STAR_EQ] = ACTIONS(1641),
    [anon_sym_SLASH_EQ] = ACTIONS(1641),
    [anon_sym_PERCENT_EQ] = ACTIONS(1641),
    [anon_sym_BANG_EQ] = ACTIONS(1639),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1641),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1641),
    [anon_sym_LT_EQ] = ACTIONS(1641),
    [anon_sym_GT_EQ] = ACTIONS(1641),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(355),
    [anon_sym_DOT_DOT_LT] = ACTIONS(357),
    [anon_sym_PLUS] = ACTIONS(359),
    [anon_sym_DASH] = ACTIONS(359),
    [anon_sym_STAR] = ACTIONS(1639),
    [anon_sym_SLASH] = ACTIONS(1639),
    [anon_sym_PERCENT] = ACTIONS(1639),
    [anon_sym_PLUS_PLUS] = ACTIONS(327),
    [anon_sym_DASH_DASH] = ACTIONS(327),
    [anon_sym_TILDE] = ACTIONS(327),
    [anon_sym_PIPE] = ACTIONS(1641),
    [anon_sym_CARET] = ACTIONS(1639),
    [anon_sym_LT_LT] = ACTIONS(1641),
    [anon_sym_GT_GT] = ACTIONS(1641),
    [anon_sym_BANG2] = ACTIONS(381),
    [anon_sym_borrowing] = ACTIONS(291),
    [anon_sym_consuming] = ACTIONS(291),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(383),
    [sym__dot_custom] = ACTIONS(385),
    [sym__eq_custom] = ACTIONS(1641),
    [sym__eq_eq_custom] = ACTIONS(1641),
    [sym__plus_then_ws] = ACTIONS(1641),
    [sym__minus_then_ws] = ACTIONS(1641),
    [sym__bang_custom] = ACTIONS(387),
    [sym__custom_operator] = ACTIONS(335),
  },
  [312] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1380),
    [sym_boolean_literal] = STATE(1380),
    [sym__string_literal] = STATE(1380),
    [sym_line_string_literal] = STATE(1380),
    [sym_multi_line_string_literal] = STATE(1380),
    [sym_raw_string_literal] = STATE(1380),
    [sym_regex_literal] = STATE(1380),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1380),
    [sym__unary_expression] = STATE(1380),
    [sym_postfix_expression] = STATE(1380),
    [sym_constructor_expression] = STATE(1380),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1380),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1380),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1380),
    [sym_prefix_expression] = STATE(1380),
    [sym_as_expression] = STATE(1380),
    [sym_selector_expression] = STATE(1380),
    [sym__binary_expression] = STATE(1380),
    [sym_multiplicative_expression] = STATE(1380),
    [sym_additive_expression] = STATE(1380),
    [sym_range_expression] = STATE(1380),
    [sym_infix_expression] = STATE(1380),
    [sym_nil_coalescing_expression] = STATE(1380),
    [sym_check_expression] = STATE(1380),
    [sym_comparison_expression] = STATE(1380),
    [sym_equality_expression] = STATE(1380),
    [sym_conjunction_expression] = STATE(1380),
    [sym_disjunction_expression] = STATE(1380),
    [sym_bitwise_operation] = STATE(1380),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1380),
    [sym_await_expression] = STATE(1380),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1380),
    [sym_call_expression] = STATE(1380),
    [sym__primary_expression] = STATE(1380),
    [sym_tuple_expression] = STATE(1380),
    [sym_array_literal] = STATE(1380),
    [sym_dictionary_literal] = STATE(1380),
    [sym__special_literal] = STATE(1380),
    [sym__playground_literal] = STATE(1380),
    [sym_lambda_literal] = STATE(1380),
    [sym_self_expression] = STATE(1380),
    [sym_super_expression] = STATE(1380),
    [sym_if_statement] = STATE(1380),
    [sym_switch_statement] = STATE(1380),
    [sym_key_path_expression] = STATE(1380),
    [sym_key_path_string_expression] = STATE(1380),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1380),
    [sym__equality_operator] = STATE(1380),
    [sym__comparison_operator] = STATE(1380),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1380),
    [sym__multiplicative_operator] = STATE(1380),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1380),
    [sym_value_parameter_pack] = STATE(1380),
    [sym_value_pack_expansion] = STATE(1380),
    [sym__referenceable_operator] = STATE(1380),
    [sym__equal_sign] = STATE(1380),
    [sym__eq_eq] = STATE(1380),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(1643),
    [aux_sym_simple_identifier_token2] = ACTIONS(1646),
    [aux_sym_simple_identifier_token3] = ACTIONS(1646),
    [aux_sym_simple_identifier_token4] = ACTIONS(1646),
    [anon_sym_actor] = ACTIONS(1643),
    [anon_sym_async] = ACTIONS(1643),
    [anon_sym_each] = ACTIONS(1649),
    [anon_sym_lazy] = ACTIONS(1643),
    [anon_sym_repeat] = ACTIONS(1652),
    [anon_sym_package] = ACTIONS(1643),
    [anon_sym_nil] = ACTIONS(1655),
    [sym_real_literal] = ACTIONS(1657),
    [sym_integer_literal] = ACTIONS(1655),
    [sym_hex_literal] = ACTIONS(1657),
    [sym_oct_literal] = ACTIONS(1657),
    [sym_bin_literal] = ACTIONS(1657),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [anon_sym_RPAREN] = ACTIONS(1659),
    [anon_sym_COMMA] = ACTIONS(1659),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1655),
    [anon_sym_GT] = ACTIONS(1655),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1655),
    [anon_sym_POUNDfileID] = ACTIONS(1657),
    [anon_sym_POUNDfilePath] = ACTIONS(1657),
    [anon_sym_POUNDline] = ACTIONS(1657),
    [anon_sym_POUNDcolumn] = ACTIONS(1657),
    [anon_sym_POUNDfunction] = ACTIONS(1657),
    [anon_sym_POUNDdsohandle] = ACTIONS(1657),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1657),
    [anon_sym_DASH_EQ] = ACTIONS(1657),
    [anon_sym_STAR_EQ] = ACTIONS(1657),
    [anon_sym_SLASH_EQ] = ACTIONS(1657),
    [anon_sym_PERCENT_EQ] = ACTIONS(1657),
    [anon_sym_BANG_EQ] = ACTIONS(1655),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1657),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1657),
    [anon_sym_LT_EQ] = ACTIONS(1657),
    [anon_sym_GT_EQ] = ACTIONS(1657),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1655),
    [anon_sym_SLASH] = ACTIONS(1655),
    [anon_sym_PERCENT] = ACTIONS(1655),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1657),
    [anon_sym_CARET] = ACTIONS(1655),
    [anon_sym_LT_LT] = ACTIONS(1657),
    [anon_sym_GT_GT] = ACTIONS(1657),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(1643),
    [anon_sym_consuming] = ACTIONS(1643),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1657),
    [sym__eq_eq_custom] = ACTIONS(1657),
    [sym__plus_then_ws] = ACTIONS(1657),
    [sym__minus_then_ws] = ACTIONS(1657),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [313] = {
    [sym_simple_identifier] = STATE(2072),
    [sym__contextual_simple_identifier] = STATE(2016),
    [sym__basic_literal] = STATE(1251),
    [sym_boolean_literal] = STATE(1251),
    [sym__string_literal] = STATE(1251),
    [sym_line_string_literal] = STATE(1251),
    [sym_multi_line_string_literal] = STATE(1251),
    [sym_raw_string_literal] = STATE(1251),
    [sym_regex_literal] = STATE(1251),
    [sym__multiline_regex_literal] = STATE(2164),
    [sym_user_type] = STATE(5497),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5497),
    [sym_dictionary_type] = STATE(5497),
    [sym__expression] = STATE(1251),
    [sym__unary_expression] = STATE(1251),
    [sym_postfix_expression] = STATE(1251),
    [sym_constructor_expression] = STATE(1251),
    [sym__parenthesized_type] = STATE(6725),
    [sym_navigation_expression] = STATE(1251),
    [sym__navigable_type_expression] = STATE(6724),
    [sym_open_start_range_expression] = STATE(1251),
    [sym__range_operator] = STATE(467),
    [sym_open_end_range_expression] = STATE(1251),
    [sym_prefix_expression] = STATE(1251),
    [sym_as_expression] = STATE(1251),
    [sym_selector_expression] = STATE(1251),
    [sym__binary_expression] = STATE(1251),
    [sym_multiplicative_expression] = STATE(1251),
    [sym_additive_expression] = STATE(1251),
    [sym_range_expression] = STATE(1251),
    [sym_infix_expression] = STATE(1251),
    [sym_nil_coalescing_expression] = STATE(1251),
    [sym_check_expression] = STATE(1251),
    [sym_comparison_expression] = STATE(1251),
    [sym_equality_expression] = STATE(1251),
    [sym_conjunction_expression] = STATE(1251),
    [sym_disjunction_expression] = STATE(1251),
    [sym_bitwise_operation] = STATE(1251),
    [sym_custom_operator] = STATE(835),
    [sym_try_expression] = STATE(1251),
    [sym_await_expression] = STATE(1251),
    [sym__await_operator] = STATE(466),
    [sym_ternary_expression] = STATE(1251),
    [sym__expr_hack_at_ternary_binary_suffix] = STATE(2225),
    [sym_expr_hack_at_ternary_binary_call] = STATE(2225),
    [sym_call_expression] = STATE(1251),
    [sym__primary_expression] = STATE(1251),
    [sym_tuple_expression] = STATE(1251),
    [sym_array_literal] = STATE(1251),
    [sym_dictionary_literal] = STATE(1251),
    [sym__special_literal] = STATE(1251),
    [sym__playground_literal] = STATE(1251),
    [sym_lambda_literal] = STATE(1251),
    [sym_self_expression] = STATE(1251),
    [sym_super_expression] = STATE(1251),
    [sym_if_statement] = STATE(1251),
    [sym_switch_statement] = STATE(1251),
    [sym_key_path_expression] = STATE(1251),
    [sym_key_path_string_expression] = STATE(1251),
    [sym_try_operator] = STATE(455),
    [sym__assignment_and_operator] = STATE(1251),
    [sym__equality_operator] = STATE(1251),
    [sym__comparison_operator] = STATE(1251),
    [sym__three_dot_operator] = STATE(837),
    [sym__open_ended_range_operator] = STATE(467),
    [sym__additive_operator] = STATE(1251),
    [sym__multiplicative_operator] = STATE(1251),
    [sym__prefix_unary_operator] = STATE(468),
    [sym_directly_assignable_expression] = STATE(5498),
    [sym_assignment] = STATE(1251),
    [sym_value_parameter_pack] = STATE(1251),
    [sym_value_pack_expansion] = STATE(1251),
    [sym__referenceable_operator] = STATE(1251),
    [sym__equal_sign] = STATE(1251),
    [sym__eq_eq] = STATE(1251),
    [sym__dot] = STATE(468),
    [sym_bang] = STATE(835),
    [sym__parameter_ownership_modifier] = STATE(2016),
    [aux_sym_raw_string_literal_repeat1] = STATE(6553),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(971),
    [aux_sym_simple_identifier_token2] = ACTIONS(973),
    [aux_sym_simple_identifier_token3] = ACTIONS(973),
    [aux_sym_simple_identifier_token4] = ACTIONS(973),
    [anon_sym_actor] = ACTIONS(971),
    [anon_sym_async] = ACTIONS(971),
    [anon_sym_each] = ACTIONS(975),
    [anon_sym_lazy] = ACTIONS(971),
    [anon_sym_repeat] = ACTIONS(977),
    [anon_sym_package] = ACTIONS(971),
    [anon_sym_nil] = ACTIONS(1583),
    [sym_real_literal] = ACTIONS(1585),
    [sym_integer_literal] = ACTIONS(1583),
    [sym_hex_literal] = ACTIONS(1585),
    [sym_oct_literal] = ACTIONS(1585),
    [sym_bin_literal] = ACTIONS(1585),
    [anon_sym_true] = ACTIONS(983),
    [anon_sym_false] = ACTIONS(983),
    [anon_sym_DQUOTE] = ACTIONS(985),
    [anon_sym_BSLASH] = ACTIONS(987),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(989),
    [sym__extended_regex_literal] = ACTIONS(991),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(993),
    [sym__oneline_regex_literal] = ACTIONS(995),
    [anon_sym_LPAREN] = ACTIONS(997),
    [anon_sym_LBRACK] = ACTIONS(999),
    [anon_sym_AMP] = ACTIONS(1001),
    [anon_sym_if] = ACTIONS(1003),
    [anon_sym_switch] = ACTIONS(1005),
    [anon_sym_POUNDselector] = ACTIONS(1007),
    [aux_sym_custom_operator_token1] = ACTIONS(1009),
    [anon_sym_LT] = ACTIONS(1583),
    [anon_sym_GT] = ACTIONS(1583),
    [anon_sym_await] = ACTIONS(1011),
    [anon_sym_POUNDfile] = ACTIONS(1583),
    [anon_sym_POUNDfileID] = ACTIONS(1585),
    [anon_sym_POUNDfilePath] = ACTIONS(1585),
    [anon_sym_POUNDline] = ACTIONS(1585),
    [anon_sym_POUNDcolumn] = ACTIONS(1585),
    [anon_sym_POUNDfunction] = ACTIONS(1585),
    [anon_sym_POUNDdsohandle] = ACTIONS(1585),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(1013),
    [anon_sym_POUNDfileLiteral] = ACTIONS(1013),
    [anon_sym_POUNDimageLiteral] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(1015),
    [anon_sym_CARET_LBRACE] = ACTIONS(1015),
    [anon_sym_self] = ACTIONS(1017),
    [anon_sym_super] = ACTIONS(1019),
    [anon_sym_POUNDkeyPath] = ACTIONS(1021),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1585),
    [anon_sym_DASH_EQ] = ACTIONS(1585),
    [anon_sym_STAR_EQ] = ACTIONS(1585),
    [anon_sym_SLASH_EQ] = ACTIONS(1585),
    [anon_sym_PERCENT_EQ] = ACTIONS(1585),
    [anon_sym_BANG_EQ] = ACTIONS(1583),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1585),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1585),
    [anon_sym_LT_EQ] = ACTIONS(1585),
    [anon_sym_GT_EQ] = ACTIONS(1585),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1023),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1025),
    [anon_sym_PLUS] = ACTIONS(1027),
    [anon_sym_DASH] = ACTIONS(1027),
    [anon_sym_STAR] = ACTIONS(1583),
    [anon_sym_SLASH] = ACTIONS(1583),
    [anon_sym_PERCENT] = ACTIONS(1583),
    [anon_sym_PLUS_PLUS] = ACTIONS(1001),
    [anon_sym_DASH_DASH] = ACTIONS(1001),
    [anon_sym_TILDE] = ACTIONS(1001),
    [anon_sym_PIPE] = ACTIONS(1585),
    [anon_sym_CARET] = ACTIONS(1583),
    [anon_sym_LT_LT] = ACTIONS(1585),
    [anon_sym_GT_GT] = ACTIONS(1585),
    [anon_sym_BANG2] = ACTIONS(1029),
    [anon_sym_borrowing] = ACTIONS(971),
    [anon_sym_consuming] = ACTIONS(971),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(1031),
    [sym__dot_custom] = ACTIONS(1033),
    [sym__eq_custom] = ACTIONS(1585),
    [sym__eq_eq_custom] = ACTIONS(1585),
    [sym__plus_then_ws] = ACTIONS(1585),
    [sym__minus_then_ws] = ACTIONS(1585),
    [sym__bang_custom] = ACTIONS(1035),
    [sym__custom_operator] = ACTIONS(1009),
  },
  [314] = {
    [sym_simple_identifier] = STATE(2498),
    [sym__contextual_simple_identifier] = STATE(2439),
    [sym__basic_literal] = STATE(1305),
    [sym_boolean_literal] = STATE(1305),
    [sym__string_literal] = STATE(1305),
    [sym_line_string_literal] = STATE(1305),
    [sym_multi_line_string_literal] = STATE(1305),
    [sym_raw_string_literal] = STATE(1305),
    [sym_regex_literal] = STATE(1305),
    [sym__multiline_regex_literal] = STATE(2683),
    [sym_user_type] = STATE(5473),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5473),
    [sym_dictionary_type] = STATE(5473),
    [sym__expression] = STATE(1305),
    [sym__unary_expression] = STATE(1305),
    [sym_postfix_expression] = STATE(1305),
    [sym_constructor_expression] = STATE(1305),
    [sym__parenthesized_type] = STATE(6860),
    [sym_navigation_expression] = STATE(1305),
    [sym__navigable_type_expression] = STATE(6859),
    [sym_open_start_range_expression] = STATE(1305),
    [sym__range_operator] = STATE(601),
    [sym_open_end_range_expression] = STATE(1305),
    [sym_prefix_expression] = STATE(1305),
    [sym_as_expression] = STATE(1305),
    [sym_selector_expression] = STATE(1305),
    [sym__binary_expression] = STATE(1305),
    [sym_multiplicative_expression] = STATE(1305),
    [sym_additive_expression] = STATE(1305),
    [sym_range_expression] = STATE(1305),
    [sym_infix_expression] = STATE(1305),
    [sym_nil_coalescing_expression] = STATE(1305),
    [sym_check_expression] = STATE(1305),
    [sym_comparison_expression] = STATE(1305),
    [sym_equality_expression] = STATE(1305),
    [sym_conjunction_expression] = STATE(1305),
    [sym_disjunction_expression] = STATE(1305),
    [sym_bitwise_operation] = STATE(1305),
    [sym_custom_operator] = STATE(885),
    [sym_try_expression] = STATE(1305),
    [sym_await_expression] = STATE(1305),
    [sym__await_operator] = STATE(603),
    [sym_ternary_expression] = STATE(1305),
    [sym__expr_hack_at_ternary_binary_suffix] = STATE(2986),
    [sym_expr_hack_at_ternary_binary_call] = STATE(2986),
    [sym_call_expression] = STATE(1305),
    [sym__primary_expression] = STATE(1305),
    [sym_tuple_expression] = STATE(1305),
    [sym_array_literal] = STATE(1305),
    [sym_dictionary_literal] = STATE(1305),
    [sym__special_literal] = STATE(1305),
    [sym__playground_literal] = STATE(1305),
    [sym_lambda_literal] = STATE(1305),
    [sym_self_expression] = STATE(1305),
    [sym_super_expression] = STATE(1305),
    [sym_if_statement] = STATE(1305),
    [sym_switch_statement] = STATE(1305),
    [sym_key_path_expression] = STATE(1305),
    [sym_key_path_string_expression] = STATE(1305),
    [sym_try_operator] = STATE(598),
    [sym__assignment_and_operator] = STATE(1305),
    [sym__equality_operator] = STATE(1305),
    [sym__comparison_operator] = STATE(1305),
    [sym__three_dot_operator] = STATE(877),
    [sym__open_ended_range_operator] = STATE(601),
    [sym__additive_operator] = STATE(1305),
    [sym__multiplicative_operator] = STATE(1305),
    [sym__prefix_unary_operator] = STATE(593),
    [sym_directly_assignable_expression] = STATE(5475),
    [sym_assignment] = STATE(1305),
    [sym_value_parameter_pack] = STATE(1305),
    [sym_value_pack_expansion] = STATE(1305),
    [sym__referenceable_operator] = STATE(1305),
    [sym__equal_sign] = STATE(1305),
    [sym__eq_eq] = STATE(1305),
    [sym__dot] = STATE(593),
    [sym_bang] = STATE(885),
    [sym__parameter_ownership_modifier] = STATE(2439),
    [aux_sym_raw_string_literal_repeat1] = STATE(6858),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(1309),
    [aux_sym_simple_identifier_token2] = ACTIONS(1311),
    [aux_sym_simple_identifier_token3] = ACTIONS(1311),
    [aux_sym_simple_identifier_token4] = ACTIONS(1311),
    [anon_sym_actor] = ACTIONS(1309),
    [anon_sym_async] = ACTIONS(1309),
    [anon_sym_each] = ACTIONS(1313),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_repeat] = ACTIONS(1315),
    [anon_sym_package] = ACTIONS(1309),
    [anon_sym_nil] = ACTIONS(1661),
    [sym_real_literal] = ACTIONS(1663),
    [sym_integer_literal] = ACTIONS(1661),
    [sym_hex_literal] = ACTIONS(1663),
    [sym_oct_literal] = ACTIONS(1663),
    [sym_bin_literal] = ACTIONS(1663),
    [anon_sym_true] = ACTIONS(1321),
    [anon_sym_false] = ACTIONS(1321),
    [anon_sym_DQUOTE] = ACTIONS(1323),
    [anon_sym_BSLASH] = ACTIONS(1325),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1327),
    [sym__extended_regex_literal] = ACTIONS(1329),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(1331),
    [sym__oneline_regex_literal] = ACTIONS(1333),
    [anon_sym_LPAREN] = ACTIONS(1335),
    [anon_sym_LBRACK] = ACTIONS(1337),
    [anon_sym_AMP] = ACTIONS(1339),
    [anon_sym_if] = ACTIONS(1341),
    [anon_sym_switch] = ACTIONS(1343),
    [anon_sym_POUNDselector] = ACTIONS(1345),
    [aux_sym_custom_operator_token1] = ACTIONS(1347),
    [anon_sym_LT] = ACTIONS(1661),
    [anon_sym_GT] = ACTIONS(1661),
    [anon_sym_await] = ACTIONS(1349),
    [anon_sym_POUNDfile] = ACTIONS(1661),
    [anon_sym_POUNDfileID] = ACTIONS(1663),
    [anon_sym_POUNDfilePath] = ACTIONS(1663),
    [anon_sym_POUNDline] = ACTIONS(1663),
    [anon_sym_POUNDcolumn] = ACTIONS(1663),
    [anon_sym_POUNDfunction] = ACTIONS(1663),
    [anon_sym_POUNDdsohandle] = ACTIONS(1663),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(1351),
    [anon_sym_POUNDfileLiteral] = ACTIONS(1351),
    [anon_sym_POUNDimageLiteral] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_CARET_LBRACE] = ACTIONS(1353),
    [anon_sym_self] = ACTIONS(1355),
    [anon_sym_super] = ACTIONS(1357),
    [anon_sym_POUNDkeyPath] = ACTIONS(1359),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1663),
    [anon_sym_DASH_EQ] = ACTIONS(1663),
    [anon_sym_STAR_EQ] = ACTIONS(1663),
    [anon_sym_SLASH_EQ] = ACTIONS(1663),
    [anon_sym_PERCENT_EQ] = ACTIONS(1663),
    [anon_sym_BANG_EQ] = ACTIONS(1661),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1663),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1663),
    [anon_sym_LT_EQ] = ACTIONS(1663),
    [anon_sym_GT_EQ] = ACTIONS(1663),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1361),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1363),
    [anon_sym_PLUS] = ACTIONS(1365),
    [anon_sym_DASH] = ACTIONS(1365),
    [anon_sym_STAR] = ACTIONS(1661),
    [anon_sym_SLASH] = ACTIONS(1661),
    [anon_sym_PERCENT] = ACTIONS(1661),
    [anon_sym_PLUS_PLUS] = ACTIONS(1339),
    [anon_sym_DASH_DASH] = ACTIONS(1339),
    [anon_sym_TILDE] = ACTIONS(1339),
    [anon_sym_PIPE] = ACTIONS(1663),
    [anon_sym_CARET] = ACTIONS(1661),
    [anon_sym_LT_LT] = ACTIONS(1663),
    [anon_sym_GT_GT] = ACTIONS(1663),
    [anon_sym_BANG2] = ACTIONS(1367),
    [anon_sym_borrowing] = ACTIONS(1309),
    [anon_sym_consuming] = ACTIONS(1309),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(1369),
    [sym__dot_custom] = ACTIONS(1371),
    [sym__eq_custom] = ACTIONS(1663),
    [sym__eq_eq_custom] = ACTIONS(1663),
    [sym__plus_then_ws] = ACTIONS(1663),
    [sym__minus_then_ws] = ACTIONS(1663),
    [sym__bang_custom] = ACTIONS(1373),
    [sym__custom_operator] = ACTIONS(1347),
  },
  [315] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(626),
    [sym_boolean_literal] = STATE(626),
    [sym__string_literal] = STATE(626),
    [sym_line_string_literal] = STATE(626),
    [sym_multi_line_string_literal] = STATE(626),
    [sym_raw_string_literal] = STATE(626),
    [sym_regex_literal] = STATE(626),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5550),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5550),
    [sym_dictionary_type] = STATE(5550),
    [sym__expression] = STATE(626),
    [sym__unary_expression] = STATE(626),
    [sym_postfix_expression] = STATE(626),
    [sym_constructor_expression] = STATE(626),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(626),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(626),
    [sym__range_operator] = STATE(596),
    [sym_open_end_range_expression] = STATE(626),
    [sym_prefix_expression] = STATE(626),
    [sym_as_expression] = STATE(626),
    [sym_selector_expression] = STATE(626),
    [sym__binary_expression] = STATE(626),
    [sym_multiplicative_expression] = STATE(626),
    [sym_additive_expression] = STATE(626),
    [sym_range_expression] = STATE(626),
    [sym_infix_expression] = STATE(626),
    [sym_nil_coalescing_expression] = STATE(626),
    [sym_check_expression] = STATE(626),
    [sym_comparison_expression] = STATE(626),
    [sym_equality_expression] = STATE(626),
    [sym_conjunction_expression] = STATE(626),
    [sym_disjunction_expression] = STATE(626),
    [sym_bitwise_operation] = STATE(626),
    [sym_custom_operator] = STATE(609),
    [sym_try_expression] = STATE(626),
    [sym_await_expression] = STATE(626),
    [sym__await_operator] = STATE(599),
    [sym_ternary_expression] = STATE(626),
    [sym__expr_hack_at_ternary_binary_suffix] = STATE(764),
    [sym_expr_hack_at_ternary_binary_call] = STATE(764),
    [sym_call_expression] = STATE(626),
    [sym__primary_expression] = STATE(626),
    [sym_tuple_expression] = STATE(626),
    [sym_array_literal] = STATE(626),
    [sym_dictionary_literal] = STATE(626),
    [sym__special_literal] = STATE(626),
    [sym__playground_literal] = STATE(626),
    [sym_lambda_literal] = STATE(626),
    [sym_self_expression] = STATE(626),
    [sym_super_expression] = STATE(626),
    [sym_if_statement] = STATE(626),
    [sym_switch_statement] = STATE(626),
    [sym_key_path_expression] = STATE(626),
    [sym_key_path_string_expression] = STATE(626),
    [sym_try_operator] = STATE(453),
    [sym__assignment_and_operator] = STATE(626),
    [sym__equality_operator] = STATE(626),
    [sym__comparison_operator] = STATE(626),
    [sym__three_dot_operator] = STATE(604),
    [sym__open_ended_range_operator] = STATE(596),
    [sym__additive_operator] = STATE(626),
    [sym__multiplicative_operator] = STATE(626),
    [sym__prefix_unary_operator] = STATE(445),
    [sym_directly_assignable_expression] = STATE(5552),
    [sym_assignment] = STATE(626),
    [sym_value_parameter_pack] = STATE(626),
    [sym_value_pack_expansion] = STATE(626),
    [sym__referenceable_operator] = STATE(626),
    [sym__equal_sign] = STATE(626),
    [sym__eq_eq] = STATE(626),
    [sym__dot] = STATE(445),
    [sym_bang] = STATE(609),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(621),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(623),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1635),
    [sym_real_literal] = ACTIONS(1637),
    [sym_integer_literal] = ACTIONS(1635),
    [sym_hex_literal] = ACTIONS(1637),
    [sym_oct_literal] = ACTIONS(1637),
    [sym_bin_literal] = ACTIONS(1637),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(629),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(639),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(641),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(643),
    [anon_sym_LT] = ACTIONS(1635),
    [anon_sym_GT] = ACTIONS(1635),
    [anon_sym_await] = ACTIONS(645),
    [anon_sym_POUNDfile] = ACTIONS(1635),
    [anon_sym_POUNDfileID] = ACTIONS(1637),
    [anon_sym_POUNDfilePath] = ACTIONS(1637),
    [anon_sym_POUNDline] = ACTIONS(1637),
    [anon_sym_POUNDcolumn] = ACTIONS(1637),
    [anon_sym_POUNDfunction] = ACTIONS(1637),
    [anon_sym_POUNDdsohandle] = ACTIONS(1637),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1637),
    [anon_sym_DASH_EQ] = ACTIONS(1637),
    [anon_sym_STAR_EQ] = ACTIONS(1637),
    [anon_sym_SLASH_EQ] = ACTIONS(1637),
    [anon_sym_PERCENT_EQ] = ACTIONS(1637),
    [anon_sym_BANG_EQ] = ACTIONS(1635),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1637),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1637),
    [anon_sym_LT_EQ] = ACTIONS(1637),
    [anon_sym_GT_EQ] = ACTIONS(1637),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(649),
    [anon_sym_DOT_DOT_LT] = ACTIONS(651),
    [anon_sym_PLUS] = ACTIONS(653),
    [anon_sym_DASH] = ACTIONS(653),
    [anon_sym_STAR] = ACTIONS(1635),
    [anon_sym_SLASH] = ACTIONS(1635),
    [anon_sym_PERCENT] = ACTIONS(1635),
    [anon_sym_PLUS_PLUS] = ACTIONS(639),
    [anon_sym_DASH_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(639),
    [anon_sym_PIPE] = ACTIONS(1637),
    [anon_sym_CARET] = ACTIONS(1635),
    [anon_sym_LT_LT] = ACTIONS(1637),
    [anon_sym_GT_GT] = ACTIONS(1637),
    [anon_sym_BANG2] = ACTIONS(655),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(657),
    [sym__eq_custom] = ACTIONS(1637),
    [sym__eq_eq_custom] = ACTIONS(1637),
    [sym__plus_then_ws] = ACTIONS(1637),
    [sym__minus_then_ws] = ACTIONS(1637),
    [sym__bang_custom] = ACTIONS(659),
    [sym__custom_operator] = ACTIONS(643),
  },
  [316] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(626),
    [sym_boolean_literal] = STATE(626),
    [sym__string_literal] = STATE(626),
    [sym_line_string_literal] = STATE(626),
    [sym_multi_line_string_literal] = STATE(626),
    [sym_raw_string_literal] = STATE(626),
    [sym_regex_literal] = STATE(626),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5550),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5550),
    [sym_dictionary_type] = STATE(5550),
    [sym__expression] = STATE(626),
    [sym__unary_expression] = STATE(626),
    [sym_postfix_expression] = STATE(626),
    [sym_constructor_expression] = STATE(626),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(626),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(626),
    [sym__range_operator] = STATE(596),
    [sym_open_end_range_expression] = STATE(626),
    [sym_prefix_expression] = STATE(626),
    [sym_as_expression] = STATE(626),
    [sym_selector_expression] = STATE(626),
    [sym__binary_expression] = STATE(626),
    [sym_multiplicative_expression] = STATE(626),
    [sym_additive_expression] = STATE(626),
    [sym_range_expression] = STATE(626),
    [sym_infix_expression] = STATE(626),
    [sym_nil_coalescing_expression] = STATE(626),
    [sym_check_expression] = STATE(626),
    [sym_comparison_expression] = STATE(626),
    [sym_equality_expression] = STATE(626),
    [sym_conjunction_expression] = STATE(626),
    [sym_disjunction_expression] = STATE(626),
    [sym_bitwise_operation] = STATE(626),
    [sym_custom_operator] = STATE(609),
    [sym_try_expression] = STATE(626),
    [sym_await_expression] = STATE(626),
    [sym__await_operator] = STATE(599),
    [sym_ternary_expression] = STATE(626),
    [sym__expr_hack_at_ternary_binary_suffix] = STATE(749),
    [sym_expr_hack_at_ternary_binary_call] = STATE(749),
    [sym_call_expression] = STATE(626),
    [sym__primary_expression] = STATE(626),
    [sym_tuple_expression] = STATE(626),
    [sym_array_literal] = STATE(626),
    [sym_dictionary_literal] = STATE(626),
    [sym__special_literal] = STATE(626),
    [sym__playground_literal] = STATE(626),
    [sym_lambda_literal] = STATE(626),
    [sym_self_expression] = STATE(626),
    [sym_super_expression] = STATE(626),
    [sym_if_statement] = STATE(626),
    [sym_switch_statement] = STATE(626),
    [sym_key_path_expression] = STATE(626),
    [sym_key_path_string_expression] = STATE(626),
    [sym_try_operator] = STATE(453),
    [sym__assignment_and_operator] = STATE(626),
    [sym__equality_operator] = STATE(626),
    [sym__comparison_operator] = STATE(626),
    [sym__three_dot_operator] = STATE(604),
    [sym__open_ended_range_operator] = STATE(596),
    [sym__additive_operator] = STATE(626),
    [sym__multiplicative_operator] = STATE(626),
    [sym__prefix_unary_operator] = STATE(445),
    [sym_directly_assignable_expression] = STATE(5552),
    [sym_assignment] = STATE(626),
    [sym_value_parameter_pack] = STATE(626),
    [sym_value_pack_expansion] = STATE(626),
    [sym__referenceable_operator] = STATE(626),
    [sym__equal_sign] = STATE(626),
    [sym__eq_eq] = STATE(626),
    [sym__dot] = STATE(445),
    [sym_bang] = STATE(609),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(621),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(623),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1635),
    [sym_real_literal] = ACTIONS(1637),
    [sym_integer_literal] = ACTIONS(1635),
    [sym_hex_literal] = ACTIONS(1637),
    [sym_oct_literal] = ACTIONS(1637),
    [sym_bin_literal] = ACTIONS(1637),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(629),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(639),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(641),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(643),
    [anon_sym_LT] = ACTIONS(1635),
    [anon_sym_GT] = ACTIONS(1635),
    [anon_sym_await] = ACTIONS(645),
    [anon_sym_POUNDfile] = ACTIONS(1635),
    [anon_sym_POUNDfileID] = ACTIONS(1637),
    [anon_sym_POUNDfilePath] = ACTIONS(1637),
    [anon_sym_POUNDline] = ACTIONS(1637),
    [anon_sym_POUNDcolumn] = ACTIONS(1637),
    [anon_sym_POUNDfunction] = ACTIONS(1637),
    [anon_sym_POUNDdsohandle] = ACTIONS(1637),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1637),
    [anon_sym_DASH_EQ] = ACTIONS(1637),
    [anon_sym_STAR_EQ] = ACTIONS(1637),
    [anon_sym_SLASH_EQ] = ACTIONS(1637),
    [anon_sym_PERCENT_EQ] = ACTIONS(1637),
    [anon_sym_BANG_EQ] = ACTIONS(1635),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1637),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1637),
    [anon_sym_LT_EQ] = ACTIONS(1637),
    [anon_sym_GT_EQ] = ACTIONS(1637),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(649),
    [anon_sym_DOT_DOT_LT] = ACTIONS(651),
    [anon_sym_PLUS] = ACTIONS(653),
    [anon_sym_DASH] = ACTIONS(653),
    [anon_sym_STAR] = ACTIONS(1635),
    [anon_sym_SLASH] = ACTIONS(1635),
    [anon_sym_PERCENT] = ACTIONS(1635),
    [anon_sym_PLUS_PLUS] = ACTIONS(639),
    [anon_sym_DASH_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(639),
    [anon_sym_PIPE] = ACTIONS(1637),
    [anon_sym_CARET] = ACTIONS(1635),
    [anon_sym_LT_LT] = ACTIONS(1637),
    [anon_sym_GT_GT] = ACTIONS(1637),
    [anon_sym_BANG2] = ACTIONS(655),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(657),
    [sym__eq_custom] = ACTIONS(1637),
    [sym__eq_eq_custom] = ACTIONS(1637),
    [sym__plus_then_ws] = ACTIONS(1637),
    [sym__minus_then_ws] = ACTIONS(1637),
    [sym__bang_custom] = ACTIONS(659),
    [sym__custom_operator] = ACTIONS(643),
  },
  [317] = {
    [sym_simple_identifier] = STATE(2573),
    [sym__contextual_simple_identifier] = STATE(2374),
    [sym__basic_literal] = STATE(1418),
    [sym_boolean_literal] = STATE(1418),
    [sym__string_literal] = STATE(1418),
    [sym_line_string_literal] = STATE(1418),
    [sym_multi_line_string_literal] = STATE(1418),
    [sym_raw_string_literal] = STATE(1418),
    [sym_regex_literal] = STATE(1418),
    [sym__multiline_regex_literal] = STATE(2929),
    [sym_user_type] = STATE(5443),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5443),
    [sym_dictionary_type] = STATE(5443),
    [sym__expression] = STATE(1418),
    [sym__unary_expression] = STATE(1418),
    [sym_postfix_expression] = STATE(1418),
    [sym_constructor_expression] = STATE(1418),
    [sym__parenthesized_type] = STATE(7012),
    [sym_navigation_expression] = STATE(1418),
    [sym__navigable_type_expression] = STATE(7009),
    [sym_open_start_range_expression] = STATE(1418),
    [sym__range_operator] = STATE(557),
    [sym_open_end_range_expression] = STATE(1418),
    [sym_prefix_expression] = STATE(1418),
    [sym_as_expression] = STATE(1418),
    [sym_selector_expression] = STATE(1418),
    [sym__binary_expression] = STATE(1418),
    [sym_multiplicative_expression] = STATE(1418),
    [sym_additive_expression] = STATE(1418),
    [sym_range_expression] = STATE(1418),
    [sym_infix_expression] = STATE(1418),
    [sym_nil_coalescing_expression] = STATE(1418),
    [sym_check_expression] = STATE(1418),
    [sym_comparison_expression] = STATE(1418),
    [sym_equality_expression] = STATE(1418),
    [sym_conjunction_expression] = STATE(1418),
    [sym_disjunction_expression] = STATE(1418),
    [sym_bitwise_operation] = STATE(1418),
    [sym_custom_operator] = STATE(878),
    [sym_try_expression] = STATE(1418),
    [sym_await_expression] = STATE(1418),
    [sym__await_operator] = STATE(564),
    [sym_ternary_expression] = STATE(1418),
    [sym_call_expression] = STATE(1418),
    [sym__primary_expression] = STATE(1418),
    [sym_tuple_expression] = STATE(1418),
    [sym_array_literal] = STATE(1418),
    [sym_dictionary_literal] = STATE(1418),
    [sym__special_literal] = STATE(1418),
    [sym__playground_literal] = STATE(1418),
    [sym_lambda_literal] = STATE(1418),
    [sym_self_expression] = STATE(1418),
    [sym_super_expression] = STATE(1418),
    [sym_if_statement] = STATE(1418),
    [sym_switch_statement] = STATE(1418),
    [sym_key_path_expression] = STATE(1418),
    [sym_key_path_string_expression] = STATE(1418),
    [sym_try_operator] = STATE(451),
    [sym__assignment_and_operator] = STATE(1418),
    [sym__equality_operator] = STATE(1418),
    [sym__comparison_operator] = STATE(1418),
    [sym__three_dot_operator] = STATE(884),
    [sym__open_ended_range_operator] = STATE(557),
    [sym__additive_operator] = STATE(1418),
    [sym__multiplicative_operator] = STATE(1418),
    [sym__prefix_unary_operator] = STATE(471),
    [sym_directly_assignable_expression] = STATE(5445),
    [sym__for_statement_collection] = STATE(6120),
    [sym_for_statement_await] = STATE(6120),
    [sym_assignment] = STATE(1418),
    [sym_value_parameter_pack] = STATE(1418),
    [sym_value_pack_expansion] = STATE(1418),
    [sym__referenceable_operator] = STATE(1418),
    [sym__equal_sign] = STATE(1418),
    [sym__eq_eq] = STATE(1418),
    [sym__dot] = STATE(471),
    [sym_bang] = STATE(878),
    [sym__parameter_ownership_modifier] = STATE(2374),
    [aux_sym_raw_string_literal_repeat1] = STATE(7006),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(1037),
    [aux_sym_simple_identifier_token2] = ACTIONS(1039),
    [aux_sym_simple_identifier_token3] = ACTIONS(1039),
    [aux_sym_simple_identifier_token4] = ACTIONS(1039),
    [anon_sym_actor] = ACTIONS(1037),
    [anon_sym_async] = ACTIONS(1037),
    [anon_sym_each] = ACTIONS(1041),
    [anon_sym_lazy] = ACTIONS(1037),
    [anon_sym_repeat] = ACTIONS(1043),
    [anon_sym_package] = ACTIONS(1037),
    [anon_sym_nil] = ACTIONS(1605),
    [sym_real_literal] = ACTIONS(1607),
    [sym_integer_literal] = ACTIONS(1605),
    [sym_hex_literal] = ACTIONS(1607),
    [sym_oct_literal] = ACTIONS(1607),
    [sym_bin_literal] = ACTIONS(1607),
    [anon_sym_true] = ACTIONS(1049),
    [anon_sym_false] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_BSLASH] = ACTIONS(1053),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1055),
    [sym__extended_regex_literal] = ACTIONS(1057),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(1059),
    [sym__oneline_regex_literal] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_LBRACK] = ACTIONS(1065),
    [anon_sym_AMP] = ACTIONS(1067),
    [anon_sym_if] = ACTIONS(1069),
    [anon_sym_switch] = ACTIONS(1071),
    [anon_sym_POUNDselector] = ACTIONS(1073),
    [aux_sym_custom_operator_token1] = ACTIONS(1075),
    [anon_sym_LT] = ACTIONS(1605),
    [anon_sym_GT] = ACTIONS(1605),
    [anon_sym_await] = ACTIONS(1609),
    [anon_sym_POUNDfile] = ACTIONS(1605),
    [anon_sym_POUNDfileID] = ACTIONS(1607),
    [anon_sym_POUNDfilePath] = ACTIONS(1607),
    [anon_sym_POUNDline] = ACTIONS(1607),
    [anon_sym_POUNDcolumn] = ACTIONS(1607),
    [anon_sym_POUNDfunction] = ACTIONS(1607),
    [anon_sym_POUNDdsohandle] = ACTIONS(1607),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(1079),
    [anon_sym_POUNDfileLiteral] = ACTIONS(1079),
    [anon_sym_POUNDimageLiteral] = ACTIONS(1079),
    [anon_sym_LBRACE] = ACTIONS(1081),
    [anon_sym_CARET_LBRACE] = ACTIONS(1081),
    [anon_sym_self] = ACTIONS(1083),
    [anon_sym_super] = ACTIONS(1085),
    [anon_sym_POUNDkeyPath] = ACTIONS(1089),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1607),
    [anon_sym_DASH_EQ] = ACTIONS(1607),
    [anon_sym_STAR_EQ] = ACTIONS(1607),
    [anon_sym_SLASH_EQ] = ACTIONS(1607),
    [anon_sym_PERCENT_EQ] = ACTIONS(1607),
    [anon_sym_BANG_EQ] = ACTIONS(1605),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1607),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1607),
    [anon_sym_LT_EQ] = ACTIONS(1607),
    [anon_sym_GT_EQ] = ACTIONS(1607),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1093),
    [anon_sym_PLUS] = ACTIONS(1097),
    [anon_sym_DASH] = ACTIONS(1097),
    [anon_sym_STAR] = ACTIONS(1605),
    [anon_sym_SLASH] = ACTIONS(1605),
    [anon_sym_PERCENT] = ACTIONS(1605),
    [anon_sym_PLUS_PLUS] = ACTIONS(1067),
    [anon_sym_DASH_DASH] = ACTIONS(1067),
    [anon_sym_TILDE] = ACTIONS(1067),
    [anon_sym_PIPE] = ACTIONS(1607),
    [anon_sym_CARET] = ACTIONS(1605),
    [anon_sym_LT_LT] = ACTIONS(1607),
    [anon_sym_GT_GT] = ACTIONS(1607),
    [anon_sym_BANG2] = ACTIONS(1099),
    [anon_sym_borrowing] = ACTIONS(1037),
    [anon_sym_consuming] = ACTIONS(1037),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(1103),
    [sym__dot_custom] = ACTIONS(1307),
    [sym__eq_custom] = ACTIONS(1607),
    [sym__eq_eq_custom] = ACTIONS(1607),
    [sym__plus_then_ws] = ACTIONS(1607),
    [sym__minus_then_ws] = ACTIONS(1607),
    [sym__bang_custom] = ACTIONS(1107),
    [sym__custom_operator] = ACTIONS(1075),
  },
  [318] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1441),
    [sym_boolean_literal] = STATE(1441),
    [sym__string_literal] = STATE(1441),
    [sym_line_string_literal] = STATE(1441),
    [sym_multi_line_string_literal] = STATE(1441),
    [sym_raw_string_literal] = STATE(1441),
    [sym_regex_literal] = STATE(1441),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1441),
    [sym__unary_expression] = STATE(1441),
    [sym_postfix_expression] = STATE(1441),
    [sym_constructor_expression] = STATE(1441),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1441),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1441),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1441),
    [sym_prefix_expression] = STATE(1441),
    [sym_as_expression] = STATE(1441),
    [sym_selector_expression] = STATE(1441),
    [sym__binary_expression] = STATE(1441),
    [sym_multiplicative_expression] = STATE(1441),
    [sym_additive_expression] = STATE(1441),
    [sym_range_expression] = STATE(1441),
    [sym_infix_expression] = STATE(1441),
    [sym_nil_coalescing_expression] = STATE(1441),
    [sym_check_expression] = STATE(1441),
    [sym_comparison_expression] = STATE(1441),
    [sym_equality_expression] = STATE(1441),
    [sym_conjunction_expression] = STATE(1441),
    [sym_disjunction_expression] = STATE(1441),
    [sym_bitwise_operation] = STATE(1441),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1441),
    [sym_await_expression] = STATE(1441),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1441),
    [sym_call_expression] = STATE(1441),
    [sym__primary_expression] = STATE(1441),
    [sym_tuple_expression] = STATE(1441),
    [sym_array_literal] = STATE(1441),
    [sym_dictionary_literal] = STATE(1441),
    [sym__dictionary_literal_item] = STATE(7599),
    [sym__special_literal] = STATE(1441),
    [sym__playground_literal] = STATE(1441),
    [sym_lambda_literal] = STATE(1441),
    [sym_self_expression] = STATE(1441),
    [sym_super_expression] = STATE(1441),
    [sym_if_statement] = STATE(1441),
    [sym_switch_statement] = STATE(1441),
    [sym_key_path_expression] = STATE(1441),
    [sym_key_path_string_expression] = STATE(1441),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1441),
    [sym__equality_operator] = STATE(1441),
    [sym__comparison_operator] = STATE(1441),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1441),
    [sym__multiplicative_operator] = STATE(1441),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1441),
    [sym_value_parameter_pack] = STATE(1441),
    [sym_value_pack_expansion] = STATE(1441),
    [sym__referenceable_operator] = STATE(1441),
    [sym__equal_sign] = STATE(1441),
    [sym__eq_eq] = STATE(1441),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1587),
    [sym_real_literal] = ACTIONS(1589),
    [sym_integer_literal] = ACTIONS(1587),
    [sym_hex_literal] = ACTIONS(1589),
    [sym_oct_literal] = ACTIONS(1589),
    [sym_bin_literal] = ACTIONS(1589),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_RBRACK] = ACTIONS(1665),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1587),
    [anon_sym_GT] = ACTIONS(1587),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1587),
    [anon_sym_POUNDfileID] = ACTIONS(1589),
    [anon_sym_POUNDfilePath] = ACTIONS(1589),
    [anon_sym_POUNDline] = ACTIONS(1589),
    [anon_sym_POUNDcolumn] = ACTIONS(1589),
    [anon_sym_POUNDfunction] = ACTIONS(1589),
    [anon_sym_POUNDdsohandle] = ACTIONS(1589),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1589),
    [anon_sym_DASH_EQ] = ACTIONS(1589),
    [anon_sym_STAR_EQ] = ACTIONS(1589),
    [anon_sym_SLASH_EQ] = ACTIONS(1589),
    [anon_sym_PERCENT_EQ] = ACTIONS(1589),
    [anon_sym_BANG_EQ] = ACTIONS(1587),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1589),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1589),
    [anon_sym_LT_EQ] = ACTIONS(1589),
    [anon_sym_GT_EQ] = ACTIONS(1589),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1587),
    [anon_sym_SLASH] = ACTIONS(1587),
    [anon_sym_PERCENT] = ACTIONS(1587),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1589),
    [anon_sym_CARET] = ACTIONS(1587),
    [anon_sym_LT_LT] = ACTIONS(1589),
    [anon_sym_GT_GT] = ACTIONS(1589),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1589),
    [sym__eq_eq_custom] = ACTIONS(1589),
    [sym__plus_then_ws] = ACTIONS(1589),
    [sym__minus_then_ws] = ACTIONS(1589),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [319] = {
    [sym_simple_identifier] = STATE(2421),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1317),
    [sym_boolean_literal] = STATE(1317),
    [sym__string_literal] = STATE(1317),
    [sym_line_string_literal] = STATE(1317),
    [sym_multi_line_string_literal] = STATE(1317),
    [sym_raw_string_literal] = STATE(1317),
    [sym_regex_literal] = STATE(1317),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1317),
    [sym__unary_expression] = STATE(1317),
    [sym_postfix_expression] = STATE(1317),
    [sym_constructor_expression] = STATE(1317),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1317),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1317),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1317),
    [sym_prefix_expression] = STATE(1317),
    [sym_as_expression] = STATE(1317),
    [sym_selector_expression] = STATE(1317),
    [sym__binary_expression] = STATE(1317),
    [sym_multiplicative_expression] = STATE(1317),
    [sym_additive_expression] = STATE(1317),
    [sym_range_expression] = STATE(1317),
    [sym_infix_expression] = STATE(1317),
    [sym_nil_coalescing_expression] = STATE(1317),
    [sym_check_expression] = STATE(1317),
    [sym_comparison_expression] = STATE(1317),
    [sym_equality_expression] = STATE(1317),
    [sym_conjunction_expression] = STATE(1317),
    [sym_disjunction_expression] = STATE(1317),
    [sym_bitwise_operation] = STATE(1317),
    [sym_custom_operator] = STATE(864),
    [sym_value_argument_label] = STATE(7659),
    [sym_try_expression] = STATE(1317),
    [sym_await_expression] = STATE(1317),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1317),
    [sym_call_expression] = STATE(1317),
    [sym__primary_expression] = STATE(1317),
    [sym_tuple_expression] = STATE(1317),
    [sym_array_literal] = STATE(1317),
    [sym_dictionary_literal] = STATE(1317),
    [sym__special_literal] = STATE(1317),
    [sym__playground_literal] = STATE(1317),
    [sym_lambda_literal] = STATE(1317),
    [sym_self_expression] = STATE(1317),
    [sym_super_expression] = STATE(1317),
    [sym_if_statement] = STATE(1317),
    [sym_switch_statement] = STATE(1317),
    [sym_key_path_expression] = STATE(1317),
    [sym_key_path_string_expression] = STATE(1317),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1317),
    [sym__equality_operator] = STATE(1317),
    [sym__comparison_operator] = STATE(1317),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1317),
    [sym__multiplicative_operator] = STATE(1317),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1317),
    [sym_value_parameter_pack] = STATE(1317),
    [sym_value_pack_expansion] = STATE(1317),
    [sym__referenceable_operator] = STATE(1317),
    [sym__equal_sign] = STATE(1317),
    [sym__eq_eq] = STATE(1317),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [aux_sym_value_argument_repeat1] = STATE(4267),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1667),
    [sym_real_literal] = ACTIONS(1669),
    [sym_integer_literal] = ACTIONS(1667),
    [sym_hex_literal] = ACTIONS(1669),
    [sym_oct_literal] = ACTIONS(1669),
    [sym_bin_literal] = ACTIONS(1669),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_switch] = ACTIONS(1407),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1667),
    [anon_sym_GT] = ACTIONS(1667),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1667),
    [anon_sym_POUNDfileID] = ACTIONS(1669),
    [anon_sym_POUNDfilePath] = ACTIONS(1669),
    [anon_sym_POUNDline] = ACTIONS(1669),
    [anon_sym_POUNDcolumn] = ACTIONS(1669),
    [anon_sym_POUNDfunction] = ACTIONS(1669),
    [anon_sym_POUNDdsohandle] = ACTIONS(1669),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1669),
    [anon_sym_DASH_EQ] = ACTIONS(1669),
    [anon_sym_STAR_EQ] = ACTIONS(1669),
    [anon_sym_SLASH_EQ] = ACTIONS(1669),
    [anon_sym_PERCENT_EQ] = ACTIONS(1669),
    [anon_sym_BANG_EQ] = ACTIONS(1667),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1669),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1669),
    [anon_sym_LT_EQ] = ACTIONS(1669),
    [anon_sym_GT_EQ] = ACTIONS(1669),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1667),
    [anon_sym_SLASH] = ACTIONS(1667),
    [anon_sym_PERCENT] = ACTIONS(1667),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1669),
    [anon_sym_CARET] = ACTIONS(1667),
    [anon_sym_LT_LT] = ACTIONS(1669),
    [anon_sym_GT_GT] = ACTIONS(1669),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1669),
    [sym__eq_eq_custom] = ACTIONS(1669),
    [sym__plus_then_ws] = ACTIONS(1669),
    [sym__minus_then_ws] = ACTIONS(1669),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [320] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1436),
    [sym_boolean_literal] = STATE(1436),
    [sym__string_literal] = STATE(1436),
    [sym_line_string_literal] = STATE(1436),
    [sym_multi_line_string_literal] = STATE(1436),
    [sym_raw_string_literal] = STATE(1436),
    [sym_regex_literal] = STATE(1436),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1436),
    [sym__unary_expression] = STATE(1436),
    [sym_postfix_expression] = STATE(1436),
    [sym_constructor_expression] = STATE(1436),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1436),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1436),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1436),
    [sym_prefix_expression] = STATE(1436),
    [sym_as_expression] = STATE(1436),
    [sym_selector_expression] = STATE(1436),
    [sym__binary_expression] = STATE(1436),
    [sym_multiplicative_expression] = STATE(1436),
    [sym_additive_expression] = STATE(1436),
    [sym_range_expression] = STATE(1436),
    [sym_infix_expression] = STATE(1436),
    [sym_nil_coalescing_expression] = STATE(1436),
    [sym_check_expression] = STATE(1436),
    [sym_comparison_expression] = STATE(1436),
    [sym_equality_expression] = STATE(1436),
    [sym_conjunction_expression] = STATE(1436),
    [sym_disjunction_expression] = STATE(1436),
    [sym_bitwise_operation] = STATE(1436),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1436),
    [sym_await_expression] = STATE(1436),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1436),
    [sym_call_expression] = STATE(1436),
    [sym__primary_expression] = STATE(1436),
    [sym_tuple_expression] = STATE(1436),
    [sym_array_literal] = STATE(1436),
    [sym_dictionary_literal] = STATE(1436),
    [sym__special_literal] = STATE(1436),
    [sym__playground_literal] = STATE(1436),
    [sym_lambda_literal] = STATE(1436),
    [sym_self_expression] = STATE(1436),
    [sym_super_expression] = STATE(1436),
    [sym_if_statement] = STATE(1436),
    [sym_switch_statement] = STATE(1436),
    [sym_key_path_expression] = STATE(1436),
    [sym_key_path_string_expression] = STATE(1436),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1436),
    [sym__equality_operator] = STATE(1436),
    [sym__comparison_operator] = STATE(1436),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1436),
    [sym__multiplicative_operator] = STATE(1436),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1436),
    [sym_value_parameter_pack] = STATE(1436),
    [sym_value_pack_expansion] = STATE(1436),
    [sym__referenceable_operator] = STATE(1436),
    [sym__equal_sign] = STATE(1436),
    [sym__eq_eq] = STATE(1436),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1671),
    [sym_real_literal] = ACTIONS(1673),
    [sym_integer_literal] = ACTIONS(1671),
    [sym_hex_literal] = ACTIONS(1673),
    [sym_oct_literal] = ACTIONS(1673),
    [sym_bin_literal] = ACTIONS(1673),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [anon_sym_getter_COLON] = ACTIONS(1675),
    [anon_sym_setter_COLON] = ACTIONS(1675),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1671),
    [anon_sym_GT] = ACTIONS(1671),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1671),
    [anon_sym_POUNDfileID] = ACTIONS(1673),
    [anon_sym_POUNDfilePath] = ACTIONS(1673),
    [anon_sym_POUNDline] = ACTIONS(1673),
    [anon_sym_POUNDcolumn] = ACTIONS(1673),
    [anon_sym_POUNDfunction] = ACTIONS(1673),
    [anon_sym_POUNDdsohandle] = ACTIONS(1673),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1673),
    [anon_sym_DASH_EQ] = ACTIONS(1673),
    [anon_sym_STAR_EQ] = ACTIONS(1673),
    [anon_sym_SLASH_EQ] = ACTIONS(1673),
    [anon_sym_PERCENT_EQ] = ACTIONS(1673),
    [anon_sym_BANG_EQ] = ACTIONS(1671),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1673),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1673),
    [anon_sym_LT_EQ] = ACTIONS(1673),
    [anon_sym_GT_EQ] = ACTIONS(1673),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1671),
    [anon_sym_SLASH] = ACTIONS(1671),
    [anon_sym_PERCENT] = ACTIONS(1671),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1673),
    [anon_sym_CARET] = ACTIONS(1671),
    [anon_sym_LT_LT] = ACTIONS(1673),
    [anon_sym_GT_GT] = ACTIONS(1673),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1673),
    [sym__eq_eq_custom] = ACTIONS(1673),
    [sym__plus_then_ws] = ACTIONS(1673),
    [sym__minus_then_ws] = ACTIONS(1673),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [321] = {
    [sym_simple_identifier] = STATE(2498),
    [sym__contextual_simple_identifier] = STATE(2439),
    [sym__basic_literal] = STATE(1305),
    [sym_boolean_literal] = STATE(1305),
    [sym__string_literal] = STATE(1305),
    [sym_line_string_literal] = STATE(1305),
    [sym_multi_line_string_literal] = STATE(1305),
    [sym_raw_string_literal] = STATE(1305),
    [sym_regex_literal] = STATE(1305),
    [sym__multiline_regex_literal] = STATE(2683),
    [sym_user_type] = STATE(5473),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5473),
    [sym_dictionary_type] = STATE(5473),
    [sym__expression] = STATE(1305),
    [sym__unary_expression] = STATE(1305),
    [sym_postfix_expression] = STATE(1305),
    [sym_constructor_expression] = STATE(1305),
    [sym__parenthesized_type] = STATE(6860),
    [sym_navigation_expression] = STATE(1305),
    [sym__navigable_type_expression] = STATE(6859),
    [sym_open_start_range_expression] = STATE(1305),
    [sym__range_operator] = STATE(601),
    [sym_open_end_range_expression] = STATE(1305),
    [sym_prefix_expression] = STATE(1305),
    [sym_as_expression] = STATE(1305),
    [sym_selector_expression] = STATE(1305),
    [sym__binary_expression] = STATE(1305),
    [sym_multiplicative_expression] = STATE(1305),
    [sym_additive_expression] = STATE(1305),
    [sym_range_expression] = STATE(1305),
    [sym_infix_expression] = STATE(1305),
    [sym_nil_coalescing_expression] = STATE(1305),
    [sym_check_expression] = STATE(1305),
    [sym_comparison_expression] = STATE(1305),
    [sym_equality_expression] = STATE(1305),
    [sym_conjunction_expression] = STATE(1305),
    [sym_disjunction_expression] = STATE(1305),
    [sym_bitwise_operation] = STATE(1305),
    [sym_custom_operator] = STATE(885),
    [sym_try_expression] = STATE(1305),
    [sym_await_expression] = STATE(1305),
    [sym__await_operator] = STATE(603),
    [sym_ternary_expression] = STATE(1305),
    [sym__expr_hack_at_ternary_binary_suffix] = STATE(2987),
    [sym_expr_hack_at_ternary_binary_call] = STATE(2987),
    [sym_call_expression] = STATE(1305),
    [sym__primary_expression] = STATE(1305),
    [sym_tuple_expression] = STATE(1305),
    [sym_array_literal] = STATE(1305),
    [sym_dictionary_literal] = STATE(1305),
    [sym__special_literal] = STATE(1305),
    [sym__playground_literal] = STATE(1305),
    [sym_lambda_literal] = STATE(1305),
    [sym_self_expression] = STATE(1305),
    [sym_super_expression] = STATE(1305),
    [sym_if_statement] = STATE(1305),
    [sym_switch_statement] = STATE(1305),
    [sym_key_path_expression] = STATE(1305),
    [sym_key_path_string_expression] = STATE(1305),
    [sym_try_operator] = STATE(598),
    [sym__assignment_and_operator] = STATE(1305),
    [sym__equality_operator] = STATE(1305),
    [sym__comparison_operator] = STATE(1305),
    [sym__three_dot_operator] = STATE(877),
    [sym__open_ended_range_operator] = STATE(601),
    [sym__additive_operator] = STATE(1305),
    [sym__multiplicative_operator] = STATE(1305),
    [sym__prefix_unary_operator] = STATE(593),
    [sym_directly_assignable_expression] = STATE(5475),
    [sym_assignment] = STATE(1305),
    [sym_value_parameter_pack] = STATE(1305),
    [sym_value_pack_expansion] = STATE(1305),
    [sym__referenceable_operator] = STATE(1305),
    [sym__equal_sign] = STATE(1305),
    [sym__eq_eq] = STATE(1305),
    [sym__dot] = STATE(593),
    [sym_bang] = STATE(885),
    [sym__parameter_ownership_modifier] = STATE(2439),
    [aux_sym_raw_string_literal_repeat1] = STATE(6858),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(1309),
    [aux_sym_simple_identifier_token2] = ACTIONS(1311),
    [aux_sym_simple_identifier_token3] = ACTIONS(1311),
    [aux_sym_simple_identifier_token4] = ACTIONS(1311),
    [anon_sym_actor] = ACTIONS(1309),
    [anon_sym_async] = ACTIONS(1309),
    [anon_sym_each] = ACTIONS(1313),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_repeat] = ACTIONS(1315),
    [anon_sym_package] = ACTIONS(1309),
    [anon_sym_nil] = ACTIONS(1661),
    [sym_real_literal] = ACTIONS(1663),
    [sym_integer_literal] = ACTIONS(1661),
    [sym_hex_literal] = ACTIONS(1663),
    [sym_oct_literal] = ACTIONS(1663),
    [sym_bin_literal] = ACTIONS(1663),
    [anon_sym_true] = ACTIONS(1321),
    [anon_sym_false] = ACTIONS(1321),
    [anon_sym_DQUOTE] = ACTIONS(1323),
    [anon_sym_BSLASH] = ACTIONS(1325),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1327),
    [sym__extended_regex_literal] = ACTIONS(1329),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(1331),
    [sym__oneline_regex_literal] = ACTIONS(1333),
    [anon_sym_LPAREN] = ACTIONS(1335),
    [anon_sym_LBRACK] = ACTIONS(1337),
    [anon_sym_AMP] = ACTIONS(1339),
    [anon_sym_if] = ACTIONS(1341),
    [anon_sym_switch] = ACTIONS(1343),
    [anon_sym_POUNDselector] = ACTIONS(1345),
    [aux_sym_custom_operator_token1] = ACTIONS(1347),
    [anon_sym_LT] = ACTIONS(1661),
    [anon_sym_GT] = ACTIONS(1661),
    [anon_sym_await] = ACTIONS(1349),
    [anon_sym_POUNDfile] = ACTIONS(1661),
    [anon_sym_POUNDfileID] = ACTIONS(1663),
    [anon_sym_POUNDfilePath] = ACTIONS(1663),
    [anon_sym_POUNDline] = ACTIONS(1663),
    [anon_sym_POUNDcolumn] = ACTIONS(1663),
    [anon_sym_POUNDfunction] = ACTIONS(1663),
    [anon_sym_POUNDdsohandle] = ACTIONS(1663),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(1351),
    [anon_sym_POUNDfileLiteral] = ACTIONS(1351),
    [anon_sym_POUNDimageLiteral] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_CARET_LBRACE] = ACTIONS(1353),
    [anon_sym_self] = ACTIONS(1355),
    [anon_sym_super] = ACTIONS(1357),
    [anon_sym_POUNDkeyPath] = ACTIONS(1359),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1663),
    [anon_sym_DASH_EQ] = ACTIONS(1663),
    [anon_sym_STAR_EQ] = ACTIONS(1663),
    [anon_sym_SLASH_EQ] = ACTIONS(1663),
    [anon_sym_PERCENT_EQ] = ACTIONS(1663),
    [anon_sym_BANG_EQ] = ACTIONS(1661),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1663),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1663),
    [anon_sym_LT_EQ] = ACTIONS(1663),
    [anon_sym_GT_EQ] = ACTIONS(1663),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1361),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1363),
    [anon_sym_PLUS] = ACTIONS(1365),
    [anon_sym_DASH] = ACTIONS(1365),
    [anon_sym_STAR] = ACTIONS(1661),
    [anon_sym_SLASH] = ACTIONS(1661),
    [anon_sym_PERCENT] = ACTIONS(1661),
    [anon_sym_PLUS_PLUS] = ACTIONS(1339),
    [anon_sym_DASH_DASH] = ACTIONS(1339),
    [anon_sym_TILDE] = ACTIONS(1339),
    [anon_sym_PIPE] = ACTIONS(1663),
    [anon_sym_CARET] = ACTIONS(1661),
    [anon_sym_LT_LT] = ACTIONS(1663),
    [anon_sym_GT_GT] = ACTIONS(1663),
    [anon_sym_BANG2] = ACTIONS(1367),
    [anon_sym_borrowing] = ACTIONS(1309),
    [anon_sym_consuming] = ACTIONS(1309),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(1369),
    [sym__dot_custom] = ACTIONS(1371),
    [sym__eq_custom] = ACTIONS(1663),
    [sym__eq_eq_custom] = ACTIONS(1663),
    [sym__plus_then_ws] = ACTIONS(1663),
    [sym__minus_then_ws] = ACTIONS(1663),
    [sym__bang_custom] = ACTIONS(1373),
    [sym__custom_operator] = ACTIONS(1347),
  },
  [322] = {
    [sym_simple_identifier] = STATE(2498),
    [sym__contextual_simple_identifier] = STATE(2439),
    [sym__basic_literal] = STATE(1305),
    [sym_boolean_literal] = STATE(1305),
    [sym__string_literal] = STATE(1305),
    [sym_line_string_literal] = STATE(1305),
    [sym_multi_line_string_literal] = STATE(1305),
    [sym_raw_string_literal] = STATE(1305),
    [sym_regex_literal] = STATE(1305),
    [sym__multiline_regex_literal] = STATE(2683),
    [sym_user_type] = STATE(5473),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5473),
    [sym_dictionary_type] = STATE(5473),
    [sym__expression] = STATE(1305),
    [sym__unary_expression] = STATE(1305),
    [sym_postfix_expression] = STATE(1305),
    [sym_constructor_expression] = STATE(1305),
    [sym__parenthesized_type] = STATE(6860),
    [sym_navigation_expression] = STATE(1305),
    [sym__navigable_type_expression] = STATE(6859),
    [sym_open_start_range_expression] = STATE(1305),
    [sym__range_operator] = STATE(601),
    [sym_open_end_range_expression] = STATE(1305),
    [sym_prefix_expression] = STATE(1305),
    [sym_as_expression] = STATE(1305),
    [sym_selector_expression] = STATE(1305),
    [sym__binary_expression] = STATE(1305),
    [sym_multiplicative_expression] = STATE(1305),
    [sym_additive_expression] = STATE(1305),
    [sym_range_expression] = STATE(1305),
    [sym_infix_expression] = STATE(1305),
    [sym_nil_coalescing_expression] = STATE(1305),
    [sym_check_expression] = STATE(1305),
    [sym_comparison_expression] = STATE(1305),
    [sym_equality_expression] = STATE(1305),
    [sym_conjunction_expression] = STATE(1305),
    [sym_disjunction_expression] = STATE(1305),
    [sym_bitwise_operation] = STATE(1305),
    [sym_custom_operator] = STATE(885),
    [sym_try_expression] = STATE(1305),
    [sym_await_expression] = STATE(1305),
    [sym__await_operator] = STATE(603),
    [sym_ternary_expression] = STATE(1305),
    [sym__expr_hack_at_ternary_binary_suffix] = STATE(2993),
    [sym_expr_hack_at_ternary_binary_call] = STATE(2993),
    [sym_call_expression] = STATE(1305),
    [sym__primary_expression] = STATE(1305),
    [sym_tuple_expression] = STATE(1305),
    [sym_array_literal] = STATE(1305),
    [sym_dictionary_literal] = STATE(1305),
    [sym__special_literal] = STATE(1305),
    [sym__playground_literal] = STATE(1305),
    [sym_lambda_literal] = STATE(1305),
    [sym_self_expression] = STATE(1305),
    [sym_super_expression] = STATE(1305),
    [sym_if_statement] = STATE(1305),
    [sym_switch_statement] = STATE(1305),
    [sym_key_path_expression] = STATE(1305),
    [sym_key_path_string_expression] = STATE(1305),
    [sym_try_operator] = STATE(598),
    [sym__assignment_and_operator] = STATE(1305),
    [sym__equality_operator] = STATE(1305),
    [sym__comparison_operator] = STATE(1305),
    [sym__three_dot_operator] = STATE(877),
    [sym__open_ended_range_operator] = STATE(601),
    [sym__additive_operator] = STATE(1305),
    [sym__multiplicative_operator] = STATE(1305),
    [sym__prefix_unary_operator] = STATE(593),
    [sym_directly_assignable_expression] = STATE(5475),
    [sym_assignment] = STATE(1305),
    [sym_value_parameter_pack] = STATE(1305),
    [sym_value_pack_expansion] = STATE(1305),
    [sym__referenceable_operator] = STATE(1305),
    [sym__equal_sign] = STATE(1305),
    [sym__eq_eq] = STATE(1305),
    [sym__dot] = STATE(593),
    [sym_bang] = STATE(885),
    [sym__parameter_ownership_modifier] = STATE(2439),
    [aux_sym_raw_string_literal_repeat1] = STATE(6858),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(1309),
    [aux_sym_simple_identifier_token2] = ACTIONS(1311),
    [aux_sym_simple_identifier_token3] = ACTIONS(1311),
    [aux_sym_simple_identifier_token4] = ACTIONS(1311),
    [anon_sym_actor] = ACTIONS(1309),
    [anon_sym_async] = ACTIONS(1309),
    [anon_sym_each] = ACTIONS(1313),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_repeat] = ACTIONS(1315),
    [anon_sym_package] = ACTIONS(1309),
    [anon_sym_nil] = ACTIONS(1661),
    [sym_real_literal] = ACTIONS(1663),
    [sym_integer_literal] = ACTIONS(1661),
    [sym_hex_literal] = ACTIONS(1663),
    [sym_oct_literal] = ACTIONS(1663),
    [sym_bin_literal] = ACTIONS(1663),
    [anon_sym_true] = ACTIONS(1321),
    [anon_sym_false] = ACTIONS(1321),
    [anon_sym_DQUOTE] = ACTIONS(1323),
    [anon_sym_BSLASH] = ACTIONS(1325),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1327),
    [sym__extended_regex_literal] = ACTIONS(1329),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(1331),
    [sym__oneline_regex_literal] = ACTIONS(1333),
    [anon_sym_LPAREN] = ACTIONS(1335),
    [anon_sym_LBRACK] = ACTIONS(1337),
    [anon_sym_AMP] = ACTIONS(1339),
    [anon_sym_if] = ACTIONS(1341),
    [anon_sym_switch] = ACTIONS(1343),
    [anon_sym_POUNDselector] = ACTIONS(1345),
    [aux_sym_custom_operator_token1] = ACTIONS(1347),
    [anon_sym_LT] = ACTIONS(1661),
    [anon_sym_GT] = ACTIONS(1661),
    [anon_sym_await] = ACTIONS(1349),
    [anon_sym_POUNDfile] = ACTIONS(1661),
    [anon_sym_POUNDfileID] = ACTIONS(1663),
    [anon_sym_POUNDfilePath] = ACTIONS(1663),
    [anon_sym_POUNDline] = ACTIONS(1663),
    [anon_sym_POUNDcolumn] = ACTIONS(1663),
    [anon_sym_POUNDfunction] = ACTIONS(1663),
    [anon_sym_POUNDdsohandle] = ACTIONS(1663),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(1351),
    [anon_sym_POUNDfileLiteral] = ACTIONS(1351),
    [anon_sym_POUNDimageLiteral] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_CARET_LBRACE] = ACTIONS(1353),
    [anon_sym_self] = ACTIONS(1355),
    [anon_sym_super] = ACTIONS(1357),
    [anon_sym_POUNDkeyPath] = ACTIONS(1359),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1663),
    [anon_sym_DASH_EQ] = ACTIONS(1663),
    [anon_sym_STAR_EQ] = ACTIONS(1663),
    [anon_sym_SLASH_EQ] = ACTIONS(1663),
    [anon_sym_PERCENT_EQ] = ACTIONS(1663),
    [anon_sym_BANG_EQ] = ACTIONS(1661),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1663),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1663),
    [anon_sym_LT_EQ] = ACTIONS(1663),
    [anon_sym_GT_EQ] = ACTIONS(1663),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1361),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1363),
    [anon_sym_PLUS] = ACTIONS(1365),
    [anon_sym_DASH] = ACTIONS(1365),
    [anon_sym_STAR] = ACTIONS(1661),
    [anon_sym_SLASH] = ACTIONS(1661),
    [anon_sym_PERCENT] = ACTIONS(1661),
    [anon_sym_PLUS_PLUS] = ACTIONS(1339),
    [anon_sym_DASH_DASH] = ACTIONS(1339),
    [anon_sym_TILDE] = ACTIONS(1339),
    [anon_sym_PIPE] = ACTIONS(1663),
    [anon_sym_CARET] = ACTIONS(1661),
    [anon_sym_LT_LT] = ACTIONS(1663),
    [anon_sym_GT_GT] = ACTIONS(1663),
    [anon_sym_BANG2] = ACTIONS(1367),
    [anon_sym_borrowing] = ACTIONS(1309),
    [anon_sym_consuming] = ACTIONS(1309),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(1369),
    [sym__dot_custom] = ACTIONS(1371),
    [sym__eq_custom] = ACTIONS(1663),
    [sym__eq_eq_custom] = ACTIONS(1663),
    [sym__plus_then_ws] = ACTIONS(1663),
    [sym__minus_then_ws] = ACTIONS(1663),
    [sym__bang_custom] = ACTIONS(1373),
    [sym__custom_operator] = ACTIONS(1347),
  },
  [323] = {
    [sym_simple_identifier] = STATE(2936),
    [sym__contextual_simple_identifier] = STATE(2558),
    [sym__basic_literal] = STATE(1346),
    [sym_boolean_literal] = STATE(1346),
    [sym__string_literal] = STATE(1346),
    [sym_line_string_literal] = STATE(1346),
    [sym_multi_line_string_literal] = STATE(1346),
    [sym_raw_string_literal] = STATE(1346),
    [sym_regex_literal] = STATE(1346),
    [sym__multiline_regex_literal] = STATE(3141),
    [sym_user_type] = STATE(5448),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5448),
    [sym_dictionary_type] = STATE(5448),
    [sym__expression] = STATE(1346),
    [sym__unary_expression] = STATE(1346),
    [sym_postfix_expression] = STATE(1346),
    [sym_constructor_expression] = STATE(1346),
    [sym__parenthesized_type] = STATE(6984),
    [sym_navigation_expression] = STATE(1346),
    [sym__navigable_type_expression] = STATE(6994),
    [sym_open_start_range_expression] = STATE(1346),
    [sym__range_operator] = STATE(488),
    [sym_open_end_range_expression] = STATE(1346),
    [sym_prefix_expression] = STATE(1346),
    [sym_as_expression] = STATE(1346),
    [sym_selector_expression] = STATE(1346),
    [sym__binary_expression] = STATE(1346),
    [sym_multiplicative_expression] = STATE(1346),
    [sym_additive_expression] = STATE(1346),
    [sym_range_expression] = STATE(1346),
    [sym_infix_expression] = STATE(1346),
    [sym_nil_coalescing_expression] = STATE(1346),
    [sym_check_expression] = STATE(1346),
    [sym_comparison_expression] = STATE(1346),
    [sym_equality_expression] = STATE(1346),
    [sym_conjunction_expression] = STATE(1346),
    [sym_disjunction_expression] = STATE(1346),
    [sym_bitwise_operation] = STATE(1346),
    [sym_custom_operator] = STATE(902),
    [sym_try_expression] = STATE(1346),
    [sym_await_expression] = STATE(1346),
    [sym__await_operator] = STATE(498),
    [sym_ternary_expression] = STATE(1346),
    [sym__expr_hack_at_ternary_binary_suffix] = STATE(3075),
    [sym_expr_hack_at_ternary_binary_call] = STATE(3075),
    [sym_call_expression] = STATE(1346),
    [sym__primary_expression] = STATE(1346),
    [sym_tuple_expression] = STATE(1346),
    [sym_array_literal] = STATE(1346),
    [sym_dictionary_literal] = STATE(1346),
    [sym__special_literal] = STATE(1346),
    [sym__playground_literal] = STATE(1346),
    [sym_lambda_literal] = STATE(1346),
    [sym_self_expression] = STATE(1346),
    [sym_super_expression] = STATE(1346),
    [sym_if_statement] = STATE(1346),
    [sym_switch_statement] = STATE(1346),
    [sym_key_path_expression] = STATE(1346),
    [sym_key_path_string_expression] = STATE(1346),
    [sym_try_operator] = STATE(501),
    [sym__assignment_and_operator] = STATE(1346),
    [sym__equality_operator] = STATE(1346),
    [sym__comparison_operator] = STATE(1346),
    [sym__three_dot_operator] = STATE(900),
    [sym__open_ended_range_operator] = STATE(488),
    [sym__additive_operator] = STATE(1346),
    [sym__multiplicative_operator] = STATE(1346),
    [sym__prefix_unary_operator] = STATE(505),
    [sym_directly_assignable_expression] = STATE(5447),
    [sym_assignment] = STATE(1346),
    [sym_value_parameter_pack] = STATE(1346),
    [sym_value_pack_expansion] = STATE(1346),
    [sym__referenceable_operator] = STATE(1346),
    [sym__equal_sign] = STATE(1346),
    [sym__eq_eq] = STATE(1346),
    [sym__dot] = STATE(505),
    [sym_bang] = STATE(902),
    [sym__parameter_ownership_modifier] = STATE(2558),
    [aux_sym_raw_string_literal_repeat1] = STATE(7003),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(1147),
    [aux_sym_simple_identifier_token2] = ACTIONS(1149),
    [aux_sym_simple_identifier_token3] = ACTIONS(1149),
    [aux_sym_simple_identifier_token4] = ACTIONS(1149),
    [anon_sym_actor] = ACTIONS(1147),
    [anon_sym_async] = ACTIONS(1147),
    [anon_sym_each] = ACTIONS(1153),
    [anon_sym_lazy] = ACTIONS(1147),
    [anon_sym_repeat] = ACTIONS(1155),
    [anon_sym_package] = ACTIONS(1147),
    [anon_sym_nil] = ACTIONS(1593),
    [sym_real_literal] = ACTIONS(1595),
    [sym_integer_literal] = ACTIONS(1593),
    [sym_hex_literal] = ACTIONS(1595),
    [sym_oct_literal] = ACTIONS(1595),
    [sym_bin_literal] = ACTIONS(1595),
    [anon_sym_true] = ACTIONS(1161),
    [anon_sym_false] = ACTIONS(1161),
    [anon_sym_DQUOTE] = ACTIONS(1163),
    [anon_sym_BSLASH] = ACTIONS(1165),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1167),
    [sym__extended_regex_literal] = ACTIONS(1169),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(1171),
    [sym__oneline_regex_literal] = ACTIONS(1173),
    [anon_sym_LPAREN] = ACTIONS(1175),
    [anon_sym_LBRACK] = ACTIONS(1177),
    [anon_sym_AMP] = ACTIONS(1179),
    [anon_sym_if] = ACTIONS(1181),
    [anon_sym_switch] = ACTIONS(1183),
    [anon_sym_POUNDselector] = ACTIONS(1185),
    [aux_sym_custom_operator_token1] = ACTIONS(1187),
    [anon_sym_LT] = ACTIONS(1593),
    [anon_sym_GT] = ACTIONS(1593),
    [anon_sym_await] = ACTIONS(1189),
    [anon_sym_POUNDfile] = ACTIONS(1593),
    [anon_sym_POUNDfileID] = ACTIONS(1595),
    [anon_sym_POUNDfilePath] = ACTIONS(1595),
    [anon_sym_POUNDline] = ACTIONS(1595),
    [anon_sym_POUNDcolumn] = ACTIONS(1595),
    [anon_sym_POUNDfunction] = ACTIONS(1595),
    [anon_sym_POUNDdsohandle] = ACTIONS(1595),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(1191),
    [anon_sym_POUNDfileLiteral] = ACTIONS(1191),
    [anon_sym_POUNDimageLiteral] = ACTIONS(1191),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_CARET_LBRACE] = ACTIONS(1193),
    [anon_sym_self] = ACTIONS(1195),
    [anon_sym_super] = ACTIONS(1197),
    [anon_sym_POUNDkeyPath] = ACTIONS(1201),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1595),
    [anon_sym_DASH_EQ] = ACTIONS(1595),
    [anon_sym_STAR_EQ] = ACTIONS(1595),
    [anon_sym_SLASH_EQ] = ACTIONS(1595),
    [anon_sym_PERCENT_EQ] = ACTIONS(1595),
    [anon_sym_BANG_EQ] = ACTIONS(1593),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1595),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1595),
    [anon_sym_LT_EQ] = ACTIONS(1595),
    [anon_sym_GT_EQ] = ACTIONS(1595),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1203),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1205),
    [anon_sym_PLUS] = ACTIONS(1207),
    [anon_sym_DASH] = ACTIONS(1207),
    [anon_sym_STAR] = ACTIONS(1593),
    [anon_sym_SLASH] = ACTIONS(1593),
    [anon_sym_PERCENT] = ACTIONS(1593),
    [anon_sym_PLUS_PLUS] = ACTIONS(1179),
    [anon_sym_DASH_DASH] = ACTIONS(1179),
    [anon_sym_TILDE] = ACTIONS(1179),
    [anon_sym_PIPE] = ACTIONS(1595),
    [anon_sym_CARET] = ACTIONS(1593),
    [anon_sym_LT_LT] = ACTIONS(1595),
    [anon_sym_GT_GT] = ACTIONS(1595),
    [anon_sym_BANG2] = ACTIONS(1211),
    [anon_sym_borrowing] = ACTIONS(1147),
    [anon_sym_consuming] = ACTIONS(1147),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(1213),
    [sym__dot_custom] = ACTIONS(1215),
    [sym__eq_custom] = ACTIONS(1595),
    [sym__eq_eq_custom] = ACTIONS(1595),
    [sym__plus_then_ws] = ACTIONS(1595),
    [sym__minus_then_ws] = ACTIONS(1595),
    [sym__bang_custom] = ACTIONS(1217),
    [sym__custom_operator] = ACTIONS(1187),
  },
  [324] = {
    [sym_simple_identifier] = STATE(2498),
    [sym__contextual_simple_identifier] = STATE(2439),
    [sym__basic_literal] = STATE(1305),
    [sym_boolean_literal] = STATE(1305),
    [sym__string_literal] = STATE(1305),
    [sym_line_string_literal] = STATE(1305),
    [sym_multi_line_string_literal] = STATE(1305),
    [sym_raw_string_literal] = STATE(1305),
    [sym_regex_literal] = STATE(1305),
    [sym__multiline_regex_literal] = STATE(2683),
    [sym_user_type] = STATE(5473),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5473),
    [sym_dictionary_type] = STATE(5473),
    [sym__expression] = STATE(1305),
    [sym__unary_expression] = STATE(1305),
    [sym_postfix_expression] = STATE(1305),
    [sym_constructor_expression] = STATE(1305),
    [sym__parenthesized_type] = STATE(6860),
    [sym_navigation_expression] = STATE(1305),
    [sym__navigable_type_expression] = STATE(6859),
    [sym_open_start_range_expression] = STATE(1305),
    [sym__range_operator] = STATE(601),
    [sym_open_end_range_expression] = STATE(1305),
    [sym_prefix_expression] = STATE(1305),
    [sym_as_expression] = STATE(1305),
    [sym_selector_expression] = STATE(1305),
    [sym__binary_expression] = STATE(1305),
    [sym_multiplicative_expression] = STATE(1305),
    [sym_additive_expression] = STATE(1305),
    [sym_range_expression] = STATE(1305),
    [sym_infix_expression] = STATE(1305),
    [sym_nil_coalescing_expression] = STATE(1305),
    [sym_check_expression] = STATE(1305),
    [sym_comparison_expression] = STATE(1305),
    [sym_equality_expression] = STATE(1305),
    [sym_conjunction_expression] = STATE(1305),
    [sym_disjunction_expression] = STATE(1305),
    [sym_bitwise_operation] = STATE(1305),
    [sym_custom_operator] = STATE(885),
    [sym_try_expression] = STATE(1305),
    [sym_await_expression] = STATE(1305),
    [sym__await_operator] = STATE(603),
    [sym_ternary_expression] = STATE(1305),
    [sym__expr_hack_at_ternary_binary_suffix] = STATE(2994),
    [sym_expr_hack_at_ternary_binary_call] = STATE(2994),
    [sym_call_expression] = STATE(1305),
    [sym__primary_expression] = STATE(1305),
    [sym_tuple_expression] = STATE(1305),
    [sym_array_literal] = STATE(1305),
    [sym_dictionary_literal] = STATE(1305),
    [sym__special_literal] = STATE(1305),
    [sym__playground_literal] = STATE(1305),
    [sym_lambda_literal] = STATE(1305),
    [sym_self_expression] = STATE(1305),
    [sym_super_expression] = STATE(1305),
    [sym_if_statement] = STATE(1305),
    [sym_switch_statement] = STATE(1305),
    [sym_key_path_expression] = STATE(1305),
    [sym_key_path_string_expression] = STATE(1305),
    [sym_try_operator] = STATE(598),
    [sym__assignment_and_operator] = STATE(1305),
    [sym__equality_operator] = STATE(1305),
    [sym__comparison_operator] = STATE(1305),
    [sym__three_dot_operator] = STATE(877),
    [sym__open_ended_range_operator] = STATE(601),
    [sym__additive_operator] = STATE(1305),
    [sym__multiplicative_operator] = STATE(1305),
    [sym__prefix_unary_operator] = STATE(593),
    [sym_directly_assignable_expression] = STATE(5475),
    [sym_assignment] = STATE(1305),
    [sym_value_parameter_pack] = STATE(1305),
    [sym_value_pack_expansion] = STATE(1305),
    [sym__referenceable_operator] = STATE(1305),
    [sym__equal_sign] = STATE(1305),
    [sym__eq_eq] = STATE(1305),
    [sym__dot] = STATE(593),
    [sym_bang] = STATE(885),
    [sym__parameter_ownership_modifier] = STATE(2439),
    [aux_sym_raw_string_literal_repeat1] = STATE(6858),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(1309),
    [aux_sym_simple_identifier_token2] = ACTIONS(1311),
    [aux_sym_simple_identifier_token3] = ACTIONS(1311),
    [aux_sym_simple_identifier_token4] = ACTIONS(1311),
    [anon_sym_actor] = ACTIONS(1309),
    [anon_sym_async] = ACTIONS(1309),
    [anon_sym_each] = ACTIONS(1313),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_repeat] = ACTIONS(1315),
    [anon_sym_package] = ACTIONS(1309),
    [anon_sym_nil] = ACTIONS(1661),
    [sym_real_literal] = ACTIONS(1663),
    [sym_integer_literal] = ACTIONS(1661),
    [sym_hex_literal] = ACTIONS(1663),
    [sym_oct_literal] = ACTIONS(1663),
    [sym_bin_literal] = ACTIONS(1663),
    [anon_sym_true] = ACTIONS(1321),
    [anon_sym_false] = ACTIONS(1321),
    [anon_sym_DQUOTE] = ACTIONS(1323),
    [anon_sym_BSLASH] = ACTIONS(1325),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1327),
    [sym__extended_regex_literal] = ACTIONS(1329),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(1331),
    [sym__oneline_regex_literal] = ACTIONS(1333),
    [anon_sym_LPAREN] = ACTIONS(1335),
    [anon_sym_LBRACK] = ACTIONS(1337),
    [anon_sym_AMP] = ACTIONS(1339),
    [anon_sym_if] = ACTIONS(1341),
    [anon_sym_switch] = ACTIONS(1343),
    [anon_sym_POUNDselector] = ACTIONS(1345),
    [aux_sym_custom_operator_token1] = ACTIONS(1347),
    [anon_sym_LT] = ACTIONS(1661),
    [anon_sym_GT] = ACTIONS(1661),
    [anon_sym_await] = ACTIONS(1349),
    [anon_sym_POUNDfile] = ACTIONS(1661),
    [anon_sym_POUNDfileID] = ACTIONS(1663),
    [anon_sym_POUNDfilePath] = ACTIONS(1663),
    [anon_sym_POUNDline] = ACTIONS(1663),
    [anon_sym_POUNDcolumn] = ACTIONS(1663),
    [anon_sym_POUNDfunction] = ACTIONS(1663),
    [anon_sym_POUNDdsohandle] = ACTIONS(1663),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(1351),
    [anon_sym_POUNDfileLiteral] = ACTIONS(1351),
    [anon_sym_POUNDimageLiteral] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_CARET_LBRACE] = ACTIONS(1353),
    [anon_sym_self] = ACTIONS(1355),
    [anon_sym_super] = ACTIONS(1357),
    [anon_sym_POUNDkeyPath] = ACTIONS(1359),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1663),
    [anon_sym_DASH_EQ] = ACTIONS(1663),
    [anon_sym_STAR_EQ] = ACTIONS(1663),
    [anon_sym_SLASH_EQ] = ACTIONS(1663),
    [anon_sym_PERCENT_EQ] = ACTIONS(1663),
    [anon_sym_BANG_EQ] = ACTIONS(1661),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1663),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1663),
    [anon_sym_LT_EQ] = ACTIONS(1663),
    [anon_sym_GT_EQ] = ACTIONS(1663),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1361),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1363),
    [anon_sym_PLUS] = ACTIONS(1365),
    [anon_sym_DASH] = ACTIONS(1365),
    [anon_sym_STAR] = ACTIONS(1661),
    [anon_sym_SLASH] = ACTIONS(1661),
    [anon_sym_PERCENT] = ACTIONS(1661),
    [anon_sym_PLUS_PLUS] = ACTIONS(1339),
    [anon_sym_DASH_DASH] = ACTIONS(1339),
    [anon_sym_TILDE] = ACTIONS(1339),
    [anon_sym_PIPE] = ACTIONS(1663),
    [anon_sym_CARET] = ACTIONS(1661),
    [anon_sym_LT_LT] = ACTIONS(1663),
    [anon_sym_GT_GT] = ACTIONS(1663),
    [anon_sym_BANG2] = ACTIONS(1367),
    [anon_sym_borrowing] = ACTIONS(1309),
    [anon_sym_consuming] = ACTIONS(1309),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(1369),
    [sym__dot_custom] = ACTIONS(1371),
    [sym__eq_custom] = ACTIONS(1663),
    [sym__eq_eq_custom] = ACTIONS(1663),
    [sym__plus_then_ws] = ACTIONS(1663),
    [sym__minus_then_ws] = ACTIONS(1663),
    [sym__bang_custom] = ACTIONS(1373),
    [sym__custom_operator] = ACTIONS(1347),
  },
  [325] = {
    [sym_simple_identifier] = STATE(2573),
    [sym__contextual_simple_identifier] = STATE(2374),
    [sym__basic_literal] = STATE(1297),
    [sym_boolean_literal] = STATE(1297),
    [sym__string_literal] = STATE(1297),
    [sym_line_string_literal] = STATE(1297),
    [sym_multi_line_string_literal] = STATE(1297),
    [sym_raw_string_literal] = STATE(1297),
    [sym_regex_literal] = STATE(1297),
    [sym__multiline_regex_literal] = STATE(2929),
    [sym_user_type] = STATE(5443),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5443),
    [sym_dictionary_type] = STATE(5443),
    [sym__expression] = STATE(1297),
    [sym__unary_expression] = STATE(1297),
    [sym_postfix_expression] = STATE(1297),
    [sym_constructor_expression] = STATE(1297),
    [sym__parenthesized_type] = STATE(7012),
    [sym_navigation_expression] = STATE(1297),
    [sym__navigable_type_expression] = STATE(7009),
    [sym_open_start_range_expression] = STATE(1297),
    [sym__range_operator] = STATE(557),
    [sym_open_end_range_expression] = STATE(1297),
    [sym_prefix_expression] = STATE(1297),
    [sym_as_expression] = STATE(1297),
    [sym_selector_expression] = STATE(1297),
    [sym__binary_expression] = STATE(1297),
    [sym_multiplicative_expression] = STATE(1297),
    [sym_additive_expression] = STATE(1297),
    [sym_range_expression] = STATE(1297),
    [sym_infix_expression] = STATE(1297),
    [sym_nil_coalescing_expression] = STATE(1297),
    [sym_check_expression] = STATE(1297),
    [sym_comparison_expression] = STATE(1297),
    [sym_equality_expression] = STATE(1297),
    [sym_conjunction_expression] = STATE(1297),
    [sym_disjunction_expression] = STATE(1297),
    [sym_bitwise_operation] = STATE(1297),
    [sym_custom_operator] = STATE(878),
    [sym_try_expression] = STATE(1297),
    [sym_await_expression] = STATE(1297),
    [sym__await_operator] = STATE(450),
    [sym_ternary_expression] = STATE(1297),
    [sym__expr_hack_at_ternary_binary_suffix] = STATE(3008),
    [sym_expr_hack_at_ternary_binary_call] = STATE(3008),
    [sym_call_expression] = STATE(1297),
    [sym__primary_expression] = STATE(1297),
    [sym_tuple_expression] = STATE(1297),
    [sym_array_literal] = STATE(1297),
    [sym_dictionary_literal] = STATE(1297),
    [sym__special_literal] = STATE(1297),
    [sym__playground_literal] = STATE(1297),
    [sym_lambda_literal] = STATE(1297),
    [sym_self_expression] = STATE(1297),
    [sym_super_expression] = STATE(1297),
    [sym_if_statement] = STATE(1297),
    [sym_switch_statement] = STATE(1297),
    [sym_key_path_expression] = STATE(1297),
    [sym_key_path_string_expression] = STATE(1297),
    [sym_try_operator] = STATE(451),
    [sym__assignment_and_operator] = STATE(1297),
    [sym__equality_operator] = STATE(1297),
    [sym__comparison_operator] = STATE(1297),
    [sym__three_dot_operator] = STATE(884),
    [sym__open_ended_range_operator] = STATE(557),
    [sym__additive_operator] = STATE(1297),
    [sym__multiplicative_operator] = STATE(1297),
    [sym__prefix_unary_operator] = STATE(471),
    [sym_directly_assignable_expression] = STATE(5445),
    [sym_assignment] = STATE(1297),
    [sym_value_parameter_pack] = STATE(1297),
    [sym_value_pack_expansion] = STATE(1297),
    [sym__referenceable_operator] = STATE(1297),
    [sym__equal_sign] = STATE(1297),
    [sym__eq_eq] = STATE(1297),
    [sym__dot] = STATE(471),
    [sym_bang] = STATE(878),
    [sym__parameter_ownership_modifier] = STATE(2374),
    [aux_sym_raw_string_literal_repeat1] = STATE(7006),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(1037),
    [aux_sym_simple_identifier_token2] = ACTIONS(1039),
    [aux_sym_simple_identifier_token3] = ACTIONS(1039),
    [aux_sym_simple_identifier_token4] = ACTIONS(1039),
    [anon_sym_actor] = ACTIONS(1037),
    [anon_sym_async] = ACTIONS(1037),
    [anon_sym_each] = ACTIONS(1041),
    [anon_sym_lazy] = ACTIONS(1037),
    [anon_sym_repeat] = ACTIONS(1043),
    [anon_sym_package] = ACTIONS(1037),
    [anon_sym_nil] = ACTIONS(1597),
    [sym_real_literal] = ACTIONS(1599),
    [sym_integer_literal] = ACTIONS(1597),
    [sym_hex_literal] = ACTIONS(1599),
    [sym_oct_literal] = ACTIONS(1599),
    [sym_bin_literal] = ACTIONS(1599),
    [anon_sym_true] = ACTIONS(1049),
    [anon_sym_false] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_BSLASH] = ACTIONS(1053),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1055),
    [sym__extended_regex_literal] = ACTIONS(1057),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(1059),
    [sym__oneline_regex_literal] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_LBRACK] = ACTIONS(1065),
    [anon_sym_AMP] = ACTIONS(1067),
    [anon_sym_if] = ACTIONS(1069),
    [anon_sym_switch] = ACTIONS(1071),
    [anon_sym_POUNDselector] = ACTIONS(1073),
    [aux_sym_custom_operator_token1] = ACTIONS(1075),
    [anon_sym_LT] = ACTIONS(1597),
    [anon_sym_GT] = ACTIONS(1597),
    [anon_sym_await] = ACTIONS(1077),
    [anon_sym_POUNDfile] = ACTIONS(1597),
    [anon_sym_POUNDfileID] = ACTIONS(1599),
    [anon_sym_POUNDfilePath] = ACTIONS(1599),
    [anon_sym_POUNDline] = ACTIONS(1599),
    [anon_sym_POUNDcolumn] = ACTIONS(1599),
    [anon_sym_POUNDfunction] = ACTIONS(1599),
    [anon_sym_POUNDdsohandle] = ACTIONS(1599),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(1079),
    [anon_sym_POUNDfileLiteral] = ACTIONS(1079),
    [anon_sym_POUNDimageLiteral] = ACTIONS(1079),
    [anon_sym_LBRACE] = ACTIONS(1081),
    [anon_sym_CARET_LBRACE] = ACTIONS(1081),
    [anon_sym_self] = ACTIONS(1083),
    [anon_sym_super] = ACTIONS(1085),
    [anon_sym_POUNDkeyPath] = ACTIONS(1089),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1599),
    [anon_sym_DASH_EQ] = ACTIONS(1599),
    [anon_sym_STAR_EQ] = ACTIONS(1599),
    [anon_sym_SLASH_EQ] = ACTIONS(1599),
    [anon_sym_PERCENT_EQ] = ACTIONS(1599),
    [anon_sym_BANG_EQ] = ACTIONS(1597),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1599),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1599),
    [anon_sym_LT_EQ] = ACTIONS(1599),
    [anon_sym_GT_EQ] = ACTIONS(1599),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1093),
    [anon_sym_PLUS] = ACTIONS(1097),
    [anon_sym_DASH] = ACTIONS(1097),
    [anon_sym_STAR] = ACTIONS(1597),
    [anon_sym_SLASH] = ACTIONS(1597),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [anon_sym_PLUS_PLUS] = ACTIONS(1067),
    [anon_sym_DASH_DASH] = ACTIONS(1067),
    [anon_sym_TILDE] = ACTIONS(1067),
    [anon_sym_PIPE] = ACTIONS(1599),
    [anon_sym_CARET] = ACTIONS(1597),
    [anon_sym_LT_LT] = ACTIONS(1599),
    [anon_sym_GT_GT] = ACTIONS(1599),
    [anon_sym_BANG2] = ACTIONS(1099),
    [anon_sym_borrowing] = ACTIONS(1037),
    [anon_sym_consuming] = ACTIONS(1037),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(1103),
    [sym__dot_custom] = ACTIONS(1307),
    [sym__eq_custom] = ACTIONS(1599),
    [sym__eq_eq_custom] = ACTIONS(1599),
    [sym__plus_then_ws] = ACTIONS(1599),
    [sym__minus_then_ws] = ACTIONS(1599),
    [sym__bang_custom] = ACTIONS(1107),
    [sym__custom_operator] = ACTIONS(1075),
  },
  [326] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(626),
    [sym_boolean_literal] = STATE(626),
    [sym__string_literal] = STATE(626),
    [sym_line_string_literal] = STATE(626),
    [sym_multi_line_string_literal] = STATE(626),
    [sym_raw_string_literal] = STATE(626),
    [sym_regex_literal] = STATE(626),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5550),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5550),
    [sym_dictionary_type] = STATE(5550),
    [sym__expression] = STATE(626),
    [sym__unary_expression] = STATE(626),
    [sym_postfix_expression] = STATE(626),
    [sym_constructor_expression] = STATE(626),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(626),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(626),
    [sym__range_operator] = STATE(596),
    [sym_open_end_range_expression] = STATE(626),
    [sym_prefix_expression] = STATE(626),
    [sym_as_expression] = STATE(626),
    [sym_selector_expression] = STATE(626),
    [sym__binary_expression] = STATE(626),
    [sym_multiplicative_expression] = STATE(626),
    [sym_additive_expression] = STATE(626),
    [sym_range_expression] = STATE(626),
    [sym_infix_expression] = STATE(626),
    [sym_nil_coalescing_expression] = STATE(626),
    [sym_check_expression] = STATE(626),
    [sym_comparison_expression] = STATE(626),
    [sym_equality_expression] = STATE(626),
    [sym_conjunction_expression] = STATE(626),
    [sym_disjunction_expression] = STATE(626),
    [sym_bitwise_operation] = STATE(626),
    [sym_custom_operator] = STATE(609),
    [sym_try_expression] = STATE(626),
    [sym_await_expression] = STATE(626),
    [sym__await_operator] = STATE(599),
    [sym_ternary_expression] = STATE(626),
    [sym__expr_hack_at_ternary_binary_suffix] = STATE(759),
    [sym_expr_hack_at_ternary_binary_call] = STATE(759),
    [sym_call_expression] = STATE(626),
    [sym__primary_expression] = STATE(626),
    [sym_tuple_expression] = STATE(626),
    [sym_array_literal] = STATE(626),
    [sym_dictionary_literal] = STATE(626),
    [sym__special_literal] = STATE(626),
    [sym__playground_literal] = STATE(626),
    [sym_lambda_literal] = STATE(626),
    [sym_self_expression] = STATE(626),
    [sym_super_expression] = STATE(626),
    [sym_if_statement] = STATE(626),
    [sym_switch_statement] = STATE(626),
    [sym_key_path_expression] = STATE(626),
    [sym_key_path_string_expression] = STATE(626),
    [sym_try_operator] = STATE(453),
    [sym__assignment_and_operator] = STATE(626),
    [sym__equality_operator] = STATE(626),
    [sym__comparison_operator] = STATE(626),
    [sym__three_dot_operator] = STATE(604),
    [sym__open_ended_range_operator] = STATE(596),
    [sym__additive_operator] = STATE(626),
    [sym__multiplicative_operator] = STATE(626),
    [sym__prefix_unary_operator] = STATE(445),
    [sym_directly_assignable_expression] = STATE(5552),
    [sym_assignment] = STATE(626),
    [sym_value_parameter_pack] = STATE(626),
    [sym_value_pack_expansion] = STATE(626),
    [sym__referenceable_operator] = STATE(626),
    [sym__equal_sign] = STATE(626),
    [sym__eq_eq] = STATE(626),
    [sym__dot] = STATE(445),
    [sym_bang] = STATE(609),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(621),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(623),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1635),
    [sym_real_literal] = ACTIONS(1637),
    [sym_integer_literal] = ACTIONS(1635),
    [sym_hex_literal] = ACTIONS(1637),
    [sym_oct_literal] = ACTIONS(1637),
    [sym_bin_literal] = ACTIONS(1637),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(629),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(639),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(641),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(643),
    [anon_sym_LT] = ACTIONS(1635),
    [anon_sym_GT] = ACTIONS(1635),
    [anon_sym_await] = ACTIONS(645),
    [anon_sym_POUNDfile] = ACTIONS(1635),
    [anon_sym_POUNDfileID] = ACTIONS(1637),
    [anon_sym_POUNDfilePath] = ACTIONS(1637),
    [anon_sym_POUNDline] = ACTIONS(1637),
    [anon_sym_POUNDcolumn] = ACTIONS(1637),
    [anon_sym_POUNDfunction] = ACTIONS(1637),
    [anon_sym_POUNDdsohandle] = ACTIONS(1637),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1637),
    [anon_sym_DASH_EQ] = ACTIONS(1637),
    [anon_sym_STAR_EQ] = ACTIONS(1637),
    [anon_sym_SLASH_EQ] = ACTIONS(1637),
    [anon_sym_PERCENT_EQ] = ACTIONS(1637),
    [anon_sym_BANG_EQ] = ACTIONS(1635),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1637),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1637),
    [anon_sym_LT_EQ] = ACTIONS(1637),
    [anon_sym_GT_EQ] = ACTIONS(1637),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(649),
    [anon_sym_DOT_DOT_LT] = ACTIONS(651),
    [anon_sym_PLUS] = ACTIONS(653),
    [anon_sym_DASH] = ACTIONS(653),
    [anon_sym_STAR] = ACTIONS(1635),
    [anon_sym_SLASH] = ACTIONS(1635),
    [anon_sym_PERCENT] = ACTIONS(1635),
    [anon_sym_PLUS_PLUS] = ACTIONS(639),
    [anon_sym_DASH_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(639),
    [anon_sym_PIPE] = ACTIONS(1637),
    [anon_sym_CARET] = ACTIONS(1635),
    [anon_sym_LT_LT] = ACTIONS(1637),
    [anon_sym_GT_GT] = ACTIONS(1637),
    [anon_sym_BANG2] = ACTIONS(655),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(657),
    [sym__eq_custom] = ACTIONS(1637),
    [sym__eq_eq_custom] = ACTIONS(1637),
    [sym__plus_then_ws] = ACTIONS(1637),
    [sym__minus_then_ws] = ACTIONS(1637),
    [sym__bang_custom] = ACTIONS(659),
    [sym__custom_operator] = ACTIONS(643),
  },
  [327] = {
    [sym_simple_identifier] = STATE(2936),
    [sym__contextual_simple_identifier] = STATE(2558),
    [sym__basic_literal] = STATE(1346),
    [sym_boolean_literal] = STATE(1346),
    [sym__string_literal] = STATE(1346),
    [sym_line_string_literal] = STATE(1346),
    [sym_multi_line_string_literal] = STATE(1346),
    [sym_raw_string_literal] = STATE(1346),
    [sym_regex_literal] = STATE(1346),
    [sym__multiline_regex_literal] = STATE(3141),
    [sym_user_type] = STATE(5448),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5448),
    [sym_dictionary_type] = STATE(5448),
    [sym__expression] = STATE(1346),
    [sym__unary_expression] = STATE(1346),
    [sym_postfix_expression] = STATE(1346),
    [sym_constructor_expression] = STATE(1346),
    [sym__parenthesized_type] = STATE(6984),
    [sym_navigation_expression] = STATE(1346),
    [sym__navigable_type_expression] = STATE(6994),
    [sym_open_start_range_expression] = STATE(1346),
    [sym__range_operator] = STATE(488),
    [sym_open_end_range_expression] = STATE(1346),
    [sym_prefix_expression] = STATE(1346),
    [sym_as_expression] = STATE(1346),
    [sym_selector_expression] = STATE(1346),
    [sym__binary_expression] = STATE(1346),
    [sym_multiplicative_expression] = STATE(1346),
    [sym_additive_expression] = STATE(1346),
    [sym_range_expression] = STATE(1346),
    [sym_infix_expression] = STATE(1346),
    [sym_nil_coalescing_expression] = STATE(1346),
    [sym_check_expression] = STATE(1346),
    [sym_comparison_expression] = STATE(1346),
    [sym_equality_expression] = STATE(1346),
    [sym_conjunction_expression] = STATE(1346),
    [sym_disjunction_expression] = STATE(1346),
    [sym_bitwise_operation] = STATE(1346),
    [sym_custom_operator] = STATE(902),
    [sym_try_expression] = STATE(1346),
    [sym_await_expression] = STATE(1346),
    [sym__await_operator] = STATE(498),
    [sym_ternary_expression] = STATE(1346),
    [sym__expr_hack_at_ternary_binary_suffix] = STATE(3079),
    [sym_expr_hack_at_ternary_binary_call] = STATE(3079),
    [sym_call_expression] = STATE(1346),
    [sym__primary_expression] = STATE(1346),
    [sym_tuple_expression] = STATE(1346),
    [sym_array_literal] = STATE(1346),
    [sym_dictionary_literal] = STATE(1346),
    [sym__special_literal] = STATE(1346),
    [sym__playground_literal] = STATE(1346),
    [sym_lambda_literal] = STATE(1346),
    [sym_self_expression] = STATE(1346),
    [sym_super_expression] = STATE(1346),
    [sym_if_statement] = STATE(1346),
    [sym_switch_statement] = STATE(1346),
    [sym_key_path_expression] = STATE(1346),
    [sym_key_path_string_expression] = STATE(1346),
    [sym_try_operator] = STATE(501),
    [sym__assignment_and_operator] = STATE(1346),
    [sym__equality_operator] = STATE(1346),
    [sym__comparison_operator] = STATE(1346),
    [sym__three_dot_operator] = STATE(900),
    [sym__open_ended_range_operator] = STATE(488),
    [sym__additive_operator] = STATE(1346),
    [sym__multiplicative_operator] = STATE(1346),
    [sym__prefix_unary_operator] = STATE(505),
    [sym_directly_assignable_expression] = STATE(5447),
    [sym_assignment] = STATE(1346),
    [sym_value_parameter_pack] = STATE(1346),
    [sym_value_pack_expansion] = STATE(1346),
    [sym__referenceable_operator] = STATE(1346),
    [sym__equal_sign] = STATE(1346),
    [sym__eq_eq] = STATE(1346),
    [sym__dot] = STATE(505),
    [sym_bang] = STATE(902),
    [sym__parameter_ownership_modifier] = STATE(2558),
    [aux_sym_raw_string_literal_repeat1] = STATE(7003),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(1147),
    [aux_sym_simple_identifier_token2] = ACTIONS(1149),
    [aux_sym_simple_identifier_token3] = ACTIONS(1149),
    [aux_sym_simple_identifier_token4] = ACTIONS(1149),
    [anon_sym_actor] = ACTIONS(1147),
    [anon_sym_async] = ACTIONS(1147),
    [anon_sym_each] = ACTIONS(1153),
    [anon_sym_lazy] = ACTIONS(1147),
    [anon_sym_repeat] = ACTIONS(1155),
    [anon_sym_package] = ACTIONS(1147),
    [anon_sym_nil] = ACTIONS(1593),
    [sym_real_literal] = ACTIONS(1595),
    [sym_integer_literal] = ACTIONS(1593),
    [sym_hex_literal] = ACTIONS(1595),
    [sym_oct_literal] = ACTIONS(1595),
    [sym_bin_literal] = ACTIONS(1595),
    [anon_sym_true] = ACTIONS(1161),
    [anon_sym_false] = ACTIONS(1161),
    [anon_sym_DQUOTE] = ACTIONS(1163),
    [anon_sym_BSLASH] = ACTIONS(1165),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1167),
    [sym__extended_regex_literal] = ACTIONS(1169),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(1171),
    [sym__oneline_regex_literal] = ACTIONS(1173),
    [anon_sym_LPAREN] = ACTIONS(1175),
    [anon_sym_LBRACK] = ACTIONS(1177),
    [anon_sym_AMP] = ACTIONS(1179),
    [anon_sym_if] = ACTIONS(1181),
    [anon_sym_switch] = ACTIONS(1183),
    [anon_sym_POUNDselector] = ACTIONS(1185),
    [aux_sym_custom_operator_token1] = ACTIONS(1187),
    [anon_sym_LT] = ACTIONS(1593),
    [anon_sym_GT] = ACTIONS(1593),
    [anon_sym_await] = ACTIONS(1189),
    [anon_sym_POUNDfile] = ACTIONS(1593),
    [anon_sym_POUNDfileID] = ACTIONS(1595),
    [anon_sym_POUNDfilePath] = ACTIONS(1595),
    [anon_sym_POUNDline] = ACTIONS(1595),
    [anon_sym_POUNDcolumn] = ACTIONS(1595),
    [anon_sym_POUNDfunction] = ACTIONS(1595),
    [anon_sym_POUNDdsohandle] = ACTIONS(1595),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(1191),
    [anon_sym_POUNDfileLiteral] = ACTIONS(1191),
    [anon_sym_POUNDimageLiteral] = ACTIONS(1191),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_CARET_LBRACE] = ACTIONS(1193),
    [anon_sym_self] = ACTIONS(1195),
    [anon_sym_super] = ACTIONS(1197),
    [anon_sym_POUNDkeyPath] = ACTIONS(1201),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1595),
    [anon_sym_DASH_EQ] = ACTIONS(1595),
    [anon_sym_STAR_EQ] = ACTIONS(1595),
    [anon_sym_SLASH_EQ] = ACTIONS(1595),
    [anon_sym_PERCENT_EQ] = ACTIONS(1595),
    [anon_sym_BANG_EQ] = ACTIONS(1593),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1595),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1595),
    [anon_sym_LT_EQ] = ACTIONS(1595),
    [anon_sym_GT_EQ] = ACTIONS(1595),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1203),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1205),
    [anon_sym_PLUS] = ACTIONS(1207),
    [anon_sym_DASH] = ACTIONS(1207),
    [anon_sym_STAR] = ACTIONS(1593),
    [anon_sym_SLASH] = ACTIONS(1593),
    [anon_sym_PERCENT] = ACTIONS(1593),
    [anon_sym_PLUS_PLUS] = ACTIONS(1179),
    [anon_sym_DASH_DASH] = ACTIONS(1179),
    [anon_sym_TILDE] = ACTIONS(1179),
    [anon_sym_PIPE] = ACTIONS(1595),
    [anon_sym_CARET] = ACTIONS(1593),
    [anon_sym_LT_LT] = ACTIONS(1595),
    [anon_sym_GT_GT] = ACTIONS(1595),
    [anon_sym_BANG2] = ACTIONS(1211),
    [anon_sym_borrowing] = ACTIONS(1147),
    [anon_sym_consuming] = ACTIONS(1147),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(1213),
    [sym__dot_custom] = ACTIONS(1215),
    [sym__eq_custom] = ACTIONS(1595),
    [sym__eq_eq_custom] = ACTIONS(1595),
    [sym__plus_then_ws] = ACTIONS(1595),
    [sym__minus_then_ws] = ACTIONS(1595),
    [sym__bang_custom] = ACTIONS(1217),
    [sym__custom_operator] = ACTIONS(1187),
  },
  [328] = {
    [sym_simple_identifier] = STATE(2072),
    [sym__contextual_simple_identifier] = STATE(2016),
    [sym__basic_literal] = STATE(1251),
    [sym_boolean_literal] = STATE(1251),
    [sym__string_literal] = STATE(1251),
    [sym_line_string_literal] = STATE(1251),
    [sym_multi_line_string_literal] = STATE(1251),
    [sym_raw_string_literal] = STATE(1251),
    [sym_regex_literal] = STATE(1251),
    [sym__multiline_regex_literal] = STATE(2164),
    [sym_user_type] = STATE(5497),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5497),
    [sym_dictionary_type] = STATE(5497),
    [sym__expression] = STATE(1251),
    [sym__unary_expression] = STATE(1251),
    [sym_postfix_expression] = STATE(1251),
    [sym_constructor_expression] = STATE(1251),
    [sym__parenthesized_type] = STATE(6725),
    [sym_navigation_expression] = STATE(1251),
    [sym__navigable_type_expression] = STATE(6724),
    [sym_open_start_range_expression] = STATE(1251),
    [sym__range_operator] = STATE(467),
    [sym_open_end_range_expression] = STATE(1251),
    [sym_prefix_expression] = STATE(1251),
    [sym_as_expression] = STATE(1251),
    [sym_selector_expression] = STATE(1251),
    [sym__binary_expression] = STATE(1251),
    [sym_multiplicative_expression] = STATE(1251),
    [sym_additive_expression] = STATE(1251),
    [sym_range_expression] = STATE(1251),
    [sym_infix_expression] = STATE(1251),
    [sym_nil_coalescing_expression] = STATE(1251),
    [sym_check_expression] = STATE(1251),
    [sym_comparison_expression] = STATE(1251),
    [sym_equality_expression] = STATE(1251),
    [sym_conjunction_expression] = STATE(1251),
    [sym_disjunction_expression] = STATE(1251),
    [sym_bitwise_operation] = STATE(1251),
    [sym_custom_operator] = STATE(835),
    [sym_try_expression] = STATE(1251),
    [sym_await_expression] = STATE(1251),
    [sym__await_operator] = STATE(466),
    [sym_ternary_expression] = STATE(1251),
    [sym__expr_hack_at_ternary_binary_suffix] = STATE(2241),
    [sym_expr_hack_at_ternary_binary_call] = STATE(2241),
    [sym_call_expression] = STATE(1251),
    [sym__primary_expression] = STATE(1251),
    [sym_tuple_expression] = STATE(1251),
    [sym_array_literal] = STATE(1251),
    [sym_dictionary_literal] = STATE(1251),
    [sym__special_literal] = STATE(1251),
    [sym__playground_literal] = STATE(1251),
    [sym_lambda_literal] = STATE(1251),
    [sym_self_expression] = STATE(1251),
    [sym_super_expression] = STATE(1251),
    [sym_if_statement] = STATE(1251),
    [sym_switch_statement] = STATE(1251),
    [sym_key_path_expression] = STATE(1251),
    [sym_key_path_string_expression] = STATE(1251),
    [sym_try_operator] = STATE(455),
    [sym__assignment_and_operator] = STATE(1251),
    [sym__equality_operator] = STATE(1251),
    [sym__comparison_operator] = STATE(1251),
    [sym__three_dot_operator] = STATE(837),
    [sym__open_ended_range_operator] = STATE(467),
    [sym__additive_operator] = STATE(1251),
    [sym__multiplicative_operator] = STATE(1251),
    [sym__prefix_unary_operator] = STATE(468),
    [sym_directly_assignable_expression] = STATE(5498),
    [sym_assignment] = STATE(1251),
    [sym_value_parameter_pack] = STATE(1251),
    [sym_value_pack_expansion] = STATE(1251),
    [sym__referenceable_operator] = STATE(1251),
    [sym__equal_sign] = STATE(1251),
    [sym__eq_eq] = STATE(1251),
    [sym__dot] = STATE(468),
    [sym_bang] = STATE(835),
    [sym__parameter_ownership_modifier] = STATE(2016),
    [aux_sym_raw_string_literal_repeat1] = STATE(6553),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(971),
    [aux_sym_simple_identifier_token2] = ACTIONS(973),
    [aux_sym_simple_identifier_token3] = ACTIONS(973),
    [aux_sym_simple_identifier_token4] = ACTIONS(973),
    [anon_sym_actor] = ACTIONS(971),
    [anon_sym_async] = ACTIONS(971),
    [anon_sym_each] = ACTIONS(975),
    [anon_sym_lazy] = ACTIONS(971),
    [anon_sym_repeat] = ACTIONS(977),
    [anon_sym_package] = ACTIONS(971),
    [anon_sym_nil] = ACTIONS(1583),
    [sym_real_literal] = ACTIONS(1585),
    [sym_integer_literal] = ACTIONS(1583),
    [sym_hex_literal] = ACTIONS(1585),
    [sym_oct_literal] = ACTIONS(1585),
    [sym_bin_literal] = ACTIONS(1585),
    [anon_sym_true] = ACTIONS(983),
    [anon_sym_false] = ACTIONS(983),
    [anon_sym_DQUOTE] = ACTIONS(985),
    [anon_sym_BSLASH] = ACTIONS(987),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(989),
    [sym__extended_regex_literal] = ACTIONS(991),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(993),
    [sym__oneline_regex_literal] = ACTIONS(995),
    [anon_sym_LPAREN] = ACTIONS(997),
    [anon_sym_LBRACK] = ACTIONS(999),
    [anon_sym_AMP] = ACTIONS(1001),
    [anon_sym_if] = ACTIONS(1003),
    [anon_sym_switch] = ACTIONS(1005),
    [anon_sym_POUNDselector] = ACTIONS(1007),
    [aux_sym_custom_operator_token1] = ACTIONS(1009),
    [anon_sym_LT] = ACTIONS(1583),
    [anon_sym_GT] = ACTIONS(1583),
    [anon_sym_await] = ACTIONS(1011),
    [anon_sym_POUNDfile] = ACTIONS(1583),
    [anon_sym_POUNDfileID] = ACTIONS(1585),
    [anon_sym_POUNDfilePath] = ACTIONS(1585),
    [anon_sym_POUNDline] = ACTIONS(1585),
    [anon_sym_POUNDcolumn] = ACTIONS(1585),
    [anon_sym_POUNDfunction] = ACTIONS(1585),
    [anon_sym_POUNDdsohandle] = ACTIONS(1585),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(1013),
    [anon_sym_POUNDfileLiteral] = ACTIONS(1013),
    [anon_sym_POUNDimageLiteral] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(1015),
    [anon_sym_CARET_LBRACE] = ACTIONS(1015),
    [anon_sym_self] = ACTIONS(1017),
    [anon_sym_super] = ACTIONS(1019),
    [anon_sym_POUNDkeyPath] = ACTIONS(1021),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1585),
    [anon_sym_DASH_EQ] = ACTIONS(1585),
    [anon_sym_STAR_EQ] = ACTIONS(1585),
    [anon_sym_SLASH_EQ] = ACTIONS(1585),
    [anon_sym_PERCENT_EQ] = ACTIONS(1585),
    [anon_sym_BANG_EQ] = ACTIONS(1583),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1585),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1585),
    [anon_sym_LT_EQ] = ACTIONS(1585),
    [anon_sym_GT_EQ] = ACTIONS(1585),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1023),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1025),
    [anon_sym_PLUS] = ACTIONS(1027),
    [anon_sym_DASH] = ACTIONS(1027),
    [anon_sym_STAR] = ACTIONS(1583),
    [anon_sym_SLASH] = ACTIONS(1583),
    [anon_sym_PERCENT] = ACTIONS(1583),
    [anon_sym_PLUS_PLUS] = ACTIONS(1001),
    [anon_sym_DASH_DASH] = ACTIONS(1001),
    [anon_sym_TILDE] = ACTIONS(1001),
    [anon_sym_PIPE] = ACTIONS(1585),
    [anon_sym_CARET] = ACTIONS(1583),
    [anon_sym_LT_LT] = ACTIONS(1585),
    [anon_sym_GT_GT] = ACTIONS(1585),
    [anon_sym_BANG2] = ACTIONS(1029),
    [anon_sym_borrowing] = ACTIONS(971),
    [anon_sym_consuming] = ACTIONS(971),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(1031),
    [sym__dot_custom] = ACTIONS(1033),
    [sym__eq_custom] = ACTIONS(1585),
    [sym__eq_eq_custom] = ACTIONS(1585),
    [sym__plus_then_ws] = ACTIONS(1585),
    [sym__minus_then_ws] = ACTIONS(1585),
    [sym__bang_custom] = ACTIONS(1035),
    [sym__custom_operator] = ACTIONS(1009),
  },
  [329] = {
    [sym_simple_identifier] = STATE(2936),
    [sym__contextual_simple_identifier] = STATE(2558),
    [sym__basic_literal] = STATE(1346),
    [sym_boolean_literal] = STATE(1346),
    [sym__string_literal] = STATE(1346),
    [sym_line_string_literal] = STATE(1346),
    [sym_multi_line_string_literal] = STATE(1346),
    [sym_raw_string_literal] = STATE(1346),
    [sym_regex_literal] = STATE(1346),
    [sym__multiline_regex_literal] = STATE(3141),
    [sym_user_type] = STATE(5448),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5448),
    [sym_dictionary_type] = STATE(5448),
    [sym__expression] = STATE(1346),
    [sym__unary_expression] = STATE(1346),
    [sym_postfix_expression] = STATE(1346),
    [sym_constructor_expression] = STATE(1346),
    [sym__parenthesized_type] = STATE(6984),
    [sym_navigation_expression] = STATE(1346),
    [sym__navigable_type_expression] = STATE(6994),
    [sym_open_start_range_expression] = STATE(1346),
    [sym__range_operator] = STATE(488),
    [sym_open_end_range_expression] = STATE(1346),
    [sym_prefix_expression] = STATE(1346),
    [sym_as_expression] = STATE(1346),
    [sym_selector_expression] = STATE(1346),
    [sym__binary_expression] = STATE(1346),
    [sym_multiplicative_expression] = STATE(1346),
    [sym_additive_expression] = STATE(1346),
    [sym_range_expression] = STATE(1346),
    [sym_infix_expression] = STATE(1346),
    [sym_nil_coalescing_expression] = STATE(1346),
    [sym_check_expression] = STATE(1346),
    [sym_comparison_expression] = STATE(1346),
    [sym_equality_expression] = STATE(1346),
    [sym_conjunction_expression] = STATE(1346),
    [sym_disjunction_expression] = STATE(1346),
    [sym_bitwise_operation] = STATE(1346),
    [sym_custom_operator] = STATE(902),
    [sym_try_expression] = STATE(1346),
    [sym_await_expression] = STATE(1346),
    [sym__await_operator] = STATE(498),
    [sym_ternary_expression] = STATE(1346),
    [sym__expr_hack_at_ternary_binary_suffix] = STATE(3078),
    [sym_expr_hack_at_ternary_binary_call] = STATE(3078),
    [sym_call_expression] = STATE(1346),
    [sym__primary_expression] = STATE(1346),
    [sym_tuple_expression] = STATE(1346),
    [sym_array_literal] = STATE(1346),
    [sym_dictionary_literal] = STATE(1346),
    [sym__special_literal] = STATE(1346),
    [sym__playground_literal] = STATE(1346),
    [sym_lambda_literal] = STATE(1346),
    [sym_self_expression] = STATE(1346),
    [sym_super_expression] = STATE(1346),
    [sym_if_statement] = STATE(1346),
    [sym_switch_statement] = STATE(1346),
    [sym_key_path_expression] = STATE(1346),
    [sym_key_path_string_expression] = STATE(1346),
    [sym_try_operator] = STATE(501),
    [sym__assignment_and_operator] = STATE(1346),
    [sym__equality_operator] = STATE(1346),
    [sym__comparison_operator] = STATE(1346),
    [sym__three_dot_operator] = STATE(900),
    [sym__open_ended_range_operator] = STATE(488),
    [sym__additive_operator] = STATE(1346),
    [sym__multiplicative_operator] = STATE(1346),
    [sym__prefix_unary_operator] = STATE(505),
    [sym_directly_assignable_expression] = STATE(5447),
    [sym_assignment] = STATE(1346),
    [sym_value_parameter_pack] = STATE(1346),
    [sym_value_pack_expansion] = STATE(1346),
    [sym__referenceable_operator] = STATE(1346),
    [sym__equal_sign] = STATE(1346),
    [sym__eq_eq] = STATE(1346),
    [sym__dot] = STATE(505),
    [sym_bang] = STATE(902),
    [sym__parameter_ownership_modifier] = STATE(2558),
    [aux_sym_raw_string_literal_repeat1] = STATE(7003),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(1147),
    [aux_sym_simple_identifier_token2] = ACTIONS(1149),
    [aux_sym_simple_identifier_token3] = ACTIONS(1149),
    [aux_sym_simple_identifier_token4] = ACTIONS(1149),
    [anon_sym_actor] = ACTIONS(1147),
    [anon_sym_async] = ACTIONS(1147),
    [anon_sym_each] = ACTIONS(1153),
    [anon_sym_lazy] = ACTIONS(1147),
    [anon_sym_repeat] = ACTIONS(1155),
    [anon_sym_package] = ACTIONS(1147),
    [anon_sym_nil] = ACTIONS(1593),
    [sym_real_literal] = ACTIONS(1595),
    [sym_integer_literal] = ACTIONS(1593),
    [sym_hex_literal] = ACTIONS(1595),
    [sym_oct_literal] = ACTIONS(1595),
    [sym_bin_literal] = ACTIONS(1595),
    [anon_sym_true] = ACTIONS(1161),
    [anon_sym_false] = ACTIONS(1161),
    [anon_sym_DQUOTE] = ACTIONS(1163),
    [anon_sym_BSLASH] = ACTIONS(1165),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1167),
    [sym__extended_regex_literal] = ACTIONS(1169),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(1171),
    [sym__oneline_regex_literal] = ACTIONS(1173),
    [anon_sym_LPAREN] = ACTIONS(1175),
    [anon_sym_LBRACK] = ACTIONS(1177),
    [anon_sym_AMP] = ACTIONS(1179),
    [anon_sym_if] = ACTIONS(1181),
    [anon_sym_switch] = ACTIONS(1183),
    [anon_sym_POUNDselector] = ACTIONS(1185),
    [aux_sym_custom_operator_token1] = ACTIONS(1187),
    [anon_sym_LT] = ACTIONS(1593),
    [anon_sym_GT] = ACTIONS(1593),
    [anon_sym_await] = ACTIONS(1189),
    [anon_sym_POUNDfile] = ACTIONS(1593),
    [anon_sym_POUNDfileID] = ACTIONS(1595),
    [anon_sym_POUNDfilePath] = ACTIONS(1595),
    [anon_sym_POUNDline] = ACTIONS(1595),
    [anon_sym_POUNDcolumn] = ACTIONS(1595),
    [anon_sym_POUNDfunction] = ACTIONS(1595),
    [anon_sym_POUNDdsohandle] = ACTIONS(1595),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(1191),
    [anon_sym_POUNDfileLiteral] = ACTIONS(1191),
    [anon_sym_POUNDimageLiteral] = ACTIONS(1191),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_CARET_LBRACE] = ACTIONS(1193),
    [anon_sym_self] = ACTIONS(1195),
    [anon_sym_super] = ACTIONS(1197),
    [anon_sym_POUNDkeyPath] = ACTIONS(1201),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1595),
    [anon_sym_DASH_EQ] = ACTIONS(1595),
    [anon_sym_STAR_EQ] = ACTIONS(1595),
    [anon_sym_SLASH_EQ] = ACTIONS(1595),
    [anon_sym_PERCENT_EQ] = ACTIONS(1595),
    [anon_sym_BANG_EQ] = ACTIONS(1593),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1595),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1595),
    [anon_sym_LT_EQ] = ACTIONS(1595),
    [anon_sym_GT_EQ] = ACTIONS(1595),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1203),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1205),
    [anon_sym_PLUS] = ACTIONS(1207),
    [anon_sym_DASH] = ACTIONS(1207),
    [anon_sym_STAR] = ACTIONS(1593),
    [anon_sym_SLASH] = ACTIONS(1593),
    [anon_sym_PERCENT] = ACTIONS(1593),
    [anon_sym_PLUS_PLUS] = ACTIONS(1179),
    [anon_sym_DASH_DASH] = ACTIONS(1179),
    [anon_sym_TILDE] = ACTIONS(1179),
    [anon_sym_PIPE] = ACTIONS(1595),
    [anon_sym_CARET] = ACTIONS(1593),
    [anon_sym_LT_LT] = ACTIONS(1595),
    [anon_sym_GT_GT] = ACTIONS(1595),
    [anon_sym_BANG2] = ACTIONS(1211),
    [anon_sym_borrowing] = ACTIONS(1147),
    [anon_sym_consuming] = ACTIONS(1147),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(1213),
    [sym__dot_custom] = ACTIONS(1215),
    [sym__eq_custom] = ACTIONS(1595),
    [sym__eq_eq_custom] = ACTIONS(1595),
    [sym__plus_then_ws] = ACTIONS(1595),
    [sym__minus_then_ws] = ACTIONS(1595),
    [sym__bang_custom] = ACTIONS(1217),
    [sym__custom_operator] = ACTIONS(1187),
  },
  [330] = {
    [sym_simple_identifier] = STATE(2276),
    [sym__contextual_simple_identifier] = STATE(2115),
    [sym__basic_literal] = STATE(1262),
    [sym_boolean_literal] = STATE(1262),
    [sym__string_literal] = STATE(1262),
    [sym_line_string_literal] = STATE(1262),
    [sym_multi_line_string_literal] = STATE(1262),
    [sym_raw_string_literal] = STATE(1262),
    [sym_regex_literal] = STATE(1262),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1262),
    [sym__unary_expression] = STATE(1262),
    [sym_postfix_expression] = STATE(1262),
    [sym_constructor_expression] = STATE(1262),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1262),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1262),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1262),
    [sym_prefix_expression] = STATE(1262),
    [sym_as_expression] = STATE(1262),
    [sym_selector_expression] = STATE(1262),
    [sym__binary_expression] = STATE(1262),
    [sym_multiplicative_expression] = STATE(1262),
    [sym_additive_expression] = STATE(1262),
    [sym_range_expression] = STATE(1262),
    [sym_infix_expression] = STATE(1262),
    [sym_nil_coalescing_expression] = STATE(1262),
    [sym_check_expression] = STATE(1262),
    [sym_comparison_expression] = STATE(1262),
    [sym_equality_expression] = STATE(1262),
    [sym_conjunction_expression] = STATE(1262),
    [sym_disjunction_expression] = STATE(1262),
    [sym_bitwise_operation] = STATE(1262),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1262),
    [sym_await_expression] = STATE(1262),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1262),
    [sym__expr_hack_at_ternary_binary_suffix] = STATE(2481),
    [sym_expr_hack_at_ternary_binary_call] = STATE(2481),
    [sym_call_expression] = STATE(1262),
    [sym__primary_expression] = STATE(1262),
    [sym_tuple_expression] = STATE(1262),
    [sym_array_literal] = STATE(1262),
    [sym_dictionary_literal] = STATE(1262),
    [sym__special_literal] = STATE(1262),
    [sym__playground_literal] = STATE(1262),
    [sym_lambda_literal] = STATE(1262),
    [sym_self_expression] = STATE(1262),
    [sym_super_expression] = STATE(1262),
    [sym_if_statement] = STATE(1262),
    [sym_switch_statement] = STATE(1262),
    [sym_key_path_expression] = STATE(1262),
    [sym_key_path_string_expression] = STATE(1262),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1262),
    [sym__equality_operator] = STATE(1262),
    [sym__comparison_operator] = STATE(1262),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1262),
    [sym__multiplicative_operator] = STATE(1262),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym_assignment] = STATE(1262),
    [sym_value_parameter_pack] = STATE(1262),
    [sym_value_pack_expansion] = STATE(1262),
    [sym__referenceable_operator] = STATE(1262),
    [sym__equal_sign] = STATE(1262),
    [sym__eq_eq] = STATE(1262),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__parameter_ownership_modifier] = STATE(2115),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(11),
    [aux_sym_simple_identifier_token2] = ACTIONS(13),
    [aux_sym_simple_identifier_token3] = ACTIONS(13),
    [aux_sym_simple_identifier_token4] = ACTIONS(13),
    [anon_sym_actor] = ACTIONS(11),
    [anon_sym_async] = ACTIONS(11),
    [anon_sym_each] = ACTIONS(19),
    [anon_sym_lazy] = ACTIONS(11),
    [anon_sym_repeat] = ACTIONS(937),
    [anon_sym_package] = ACTIONS(11),
    [anon_sym_nil] = ACTIONS(1677),
    [sym_real_literal] = ACTIONS(1679),
    [sym_integer_literal] = ACTIONS(1677),
    [sym_hex_literal] = ACTIONS(1679),
    [sym_oct_literal] = ACTIONS(1679),
    [sym_bin_literal] = ACTIONS(1679),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(1677),
    [anon_sym_GT] = ACTIONS(1677),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(1677),
    [anon_sym_POUNDfileID] = ACTIONS(1679),
    [anon_sym_POUNDfilePath] = ACTIONS(1679),
    [anon_sym_POUNDline] = ACTIONS(1679),
    [anon_sym_POUNDcolumn] = ACTIONS(1679),
    [anon_sym_POUNDfunction] = ACTIONS(1679),
    [anon_sym_POUNDdsohandle] = ACTIONS(1679),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_self] = ACTIONS(65),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1679),
    [anon_sym_DASH_EQ] = ACTIONS(1679),
    [anon_sym_STAR_EQ] = ACTIONS(1679),
    [anon_sym_SLASH_EQ] = ACTIONS(1679),
    [anon_sym_PERCENT_EQ] = ACTIONS(1679),
    [anon_sym_BANG_EQ] = ACTIONS(1677),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1679),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1679),
    [anon_sym_LT_EQ] = ACTIONS(1679),
    [anon_sym_GT_EQ] = ACTIONS(1679),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(1677),
    [anon_sym_SLASH] = ACTIONS(1677),
    [anon_sym_PERCENT] = ACTIONS(1677),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(1679),
    [anon_sym_CARET] = ACTIONS(1677),
    [anon_sym_LT_LT] = ACTIONS(1679),
    [anon_sym_GT_GT] = ACTIONS(1679),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_borrowing] = ACTIONS(11),
    [anon_sym_consuming] = ACTIONS(11),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(1679),
    [sym__eq_eq_custom] = ACTIONS(1679),
    [sym__plus_then_ws] = ACTIONS(1679),
    [sym__minus_then_ws] = ACTIONS(1679),
    [sym__bang_custom] = ACTIONS(151),
    [sym__custom_operator] = ACTIONS(57),
  },
  [331] = {
    [sym_simple_identifier] = STATE(2936),
    [sym__contextual_simple_identifier] = STATE(2558),
    [sym__basic_literal] = STATE(1346),
    [sym_boolean_literal] = STATE(1346),
    [sym__string_literal] = STATE(1346),
    [sym_line_string_literal] = STATE(1346),
    [sym_multi_line_string_literal] = STATE(1346),
    [sym_raw_string_literal] = STATE(1346),
    [sym_regex_literal] = STATE(1346),
    [sym__multiline_regex_literal] = STATE(3141),
    [sym_user_type] = STATE(5448),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5448),
    [sym_dictionary_type] = STATE(5448),
    [sym__expression] = STATE(1346),
    [sym__unary_expression] = STATE(1346),
    [sym_postfix_expression] = STATE(1346),
    [sym_constructor_expression] = STATE(1346),
    [sym__parenthesized_type] = STATE(6984),
    [sym_navigation_expression] = STATE(1346),
    [sym__navigable_type_expression] = STATE(6994),
    [sym_open_start_range_expression] = STATE(1346),
    [sym__range_operator] = STATE(488),
    [sym_open_end_range_expression] = STATE(1346),
    [sym_prefix_expression] = STATE(1346),
    [sym_as_expression] = STATE(1346),
    [sym_selector_expression] = STATE(1346),
    [sym__binary_expression] = STATE(1346),
    [sym_multiplicative_expression] = STATE(1346),
    [sym_additive_expression] = STATE(1346),
    [sym_range_expression] = STATE(1346),
    [sym_infix_expression] = STATE(1346),
    [sym_nil_coalescing_expression] = STATE(1346),
    [sym_check_expression] = STATE(1346),
    [sym_comparison_expression] = STATE(1346),
    [sym_equality_expression] = STATE(1346),
    [sym_conjunction_expression] = STATE(1346),
    [sym_disjunction_expression] = STATE(1346),
    [sym_bitwise_operation] = STATE(1346),
    [sym_custom_operator] = STATE(902),
    [sym_try_expression] = STATE(1346),
    [sym_await_expression] = STATE(1346),
    [sym__await_operator] = STATE(498),
    [sym_ternary_expression] = STATE(1346),
    [sym__expr_hack_at_ternary_binary_suffix] = STATE(3074),
    [sym_expr_hack_at_ternary_binary_call] = STATE(3074),
    [sym_call_expression] = STATE(1346),
    [sym__primary_expression] = STATE(1346),
    [sym_tuple_expression] = STATE(1346),
    [sym_array_literal] = STATE(1346),
    [sym_dictionary_literal] = STATE(1346),
    [sym__special_literal] = STATE(1346),
    [sym__playground_literal] = STATE(1346),
    [sym_lambda_literal] = STATE(1346),
    [sym_self_expression] = STATE(1346),
    [sym_super_expression] = STATE(1346),
    [sym_if_statement] = STATE(1346),
    [sym_switch_statement] = STATE(1346),
    [sym_key_path_expression] = STATE(1346),
    [sym_key_path_string_expression] = STATE(1346),
    [sym_try_operator] = STATE(501),
    [sym__assignment_and_operator] = STATE(1346),
    [sym__equality_operator] = STATE(1346),
    [sym__comparison_operator] = STATE(1346),
    [sym__three_dot_operator] = STATE(900),
    [sym__open_ended_range_operator] = STATE(488),
    [sym__additive_operator] = STATE(1346),
    [sym__multiplicative_operator] = STATE(1346),
    [sym__prefix_unary_operator] = STATE(505),
    [sym_directly_assignable_expression] = STATE(5447),
    [sym_assignment] = STATE(1346),
    [sym_value_parameter_pack] = STATE(1346),
    [sym_value_pack_expansion] = STATE(1346),
    [sym__referenceable_operator] = STATE(1346),
    [sym__equal_sign] = STATE(1346),
    [sym__eq_eq] = STATE(1346),
    [sym__dot] = STATE(505),
    [sym_bang] = STATE(902),
    [sym__parameter_ownership_modifier] = STATE(2558),
    [aux_sym_raw_string_literal_repeat1] = STATE(7003),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(1147),
    [aux_sym_simple_identifier_token2] = ACTIONS(1149),
    [aux_sym_simple_identifier_token3] = ACTIONS(1149),
    [aux_sym_simple_identifier_token4] = ACTIONS(1149),
    [anon_sym_actor] = ACTIONS(1147),
    [anon_sym_async] = ACTIONS(1147),
    [anon_sym_each] = ACTIONS(1153),
    [anon_sym_lazy] = ACTIONS(1147),
    [anon_sym_repeat] = ACTIONS(1155),
    [anon_sym_package] = ACTIONS(1147),
    [anon_sym_nil] = ACTIONS(1593),
    [sym_real_literal] = ACTIONS(1595),
    [sym_integer_literal] = ACTIONS(1593),
    [sym_hex_literal] = ACTIONS(1595),
    [sym_oct_literal] = ACTIONS(1595),
    [sym_bin_literal] = ACTIONS(1595),
    [anon_sym_true] = ACTIONS(1161),
    [anon_sym_false] = ACTIONS(1161),
    [anon_sym_DQUOTE] = ACTIONS(1163),
    [anon_sym_BSLASH] = ACTIONS(1165),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1167),
    [sym__extended_regex_literal] = ACTIONS(1169),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(1171),
    [sym__oneline_regex_literal] = ACTIONS(1173),
    [anon_sym_LPAREN] = ACTIONS(1175),
    [anon_sym_LBRACK] = ACTIONS(1177),
    [anon_sym_AMP] = ACTIONS(1179),
    [anon_sym_if] = ACTIONS(1181),
    [anon_sym_switch] = ACTIONS(1183),
    [anon_sym_POUNDselector] = ACTIONS(1185),
    [aux_sym_custom_operator_token1] = ACTIONS(1187),
    [anon_sym_LT] = ACTIONS(1593),
    [anon_sym_GT] = ACTIONS(1593),
    [anon_sym_await] = ACTIONS(1189),
    [anon_sym_POUNDfile] = ACTIONS(1593),
    [anon_sym_POUNDfileID] = ACTIONS(1595),
    [anon_sym_POUNDfilePath] = ACTIONS(1595),
    [anon_sym_POUNDline] = ACTIONS(1595),
    [anon_sym_POUNDcolumn] = ACTIONS(1595),
    [anon_sym_POUNDfunction] = ACTIONS(1595),
    [anon_sym_POUNDdsohandle] = ACTIONS(1595),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(1191),
    [anon_sym_POUNDfileLiteral] = ACTIONS(1191),
    [anon_sym_POUNDimageLiteral] = ACTIONS(1191),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_CARET_LBRACE] = ACTIONS(1193),
    [anon_sym_self] = ACTIONS(1195),
    [anon_sym_super] = ACTIONS(1197),
    [anon_sym_POUNDkeyPath] = ACTIONS(1201),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1595),
    [anon_sym_DASH_EQ] = ACTIONS(1595),
    [anon_sym_STAR_EQ] = ACTIONS(1595),
    [anon_sym_SLASH_EQ] = ACTIONS(1595),
    [anon_sym_PERCENT_EQ] = ACTIONS(1595),
    [anon_sym_BANG_EQ] = ACTIONS(1593),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1595),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1595),
    [anon_sym_LT_EQ] = ACTIONS(1595),
    [anon_sym_GT_EQ] = ACTIONS(1595),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1203),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1205),
    [anon_sym_PLUS] = ACTIONS(1207),
    [anon_sym_DASH] = ACTIONS(1207),
    [anon_sym_STAR] = ACTIONS(1593),
    [anon_sym_SLASH] = ACTIONS(1593),
    [anon_sym_PERCENT] = ACTIONS(1593),
    [anon_sym_PLUS_PLUS] = ACTIONS(1179),
    [anon_sym_DASH_DASH] = ACTIONS(1179),
    [anon_sym_TILDE] = ACTIONS(1179),
    [anon_sym_PIPE] = ACTIONS(1595),
    [anon_sym_CARET] = ACTIONS(1593),
    [anon_sym_LT_LT] = ACTIONS(1595),
    [anon_sym_GT_GT] = ACTIONS(1595),
    [anon_sym_BANG2] = ACTIONS(1211),
    [anon_sym_borrowing] = ACTIONS(1147),
    [anon_sym_consuming] = ACTIONS(1147),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(1213),
    [sym__dot_custom] = ACTIONS(1215),
    [sym__eq_custom] = ACTIONS(1595),
    [sym__eq_eq_custom] = ACTIONS(1595),
    [sym__plus_then_ws] = ACTIONS(1595),
    [sym__minus_then_ws] = ACTIONS(1595),
    [sym__bang_custom] = ACTIONS(1217),
    [sym__custom_operator] = ACTIONS(1187),
  },
  [332] = {
    [sym_simple_identifier] = STATE(1040),
    [sym__contextual_simple_identifier] = STATE(1015),
    [sym__basic_literal] = STATE(645),
    [sym_boolean_literal] = STATE(645),
    [sym__string_literal] = STATE(645),
    [sym_line_string_literal] = STATE(645),
    [sym_multi_line_string_literal] = STATE(645),
    [sym_raw_string_literal] = STATE(645),
    [sym_regex_literal] = STATE(645),
    [sym__multiline_regex_literal] = STATE(1134),
    [sym_user_type] = STATE(5559),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5559),
    [sym_dictionary_type] = STATE(5559),
    [sym__expression] = STATE(645),
    [sym__unary_expression] = STATE(645),
    [sym_postfix_expression] = STATE(645),
    [sym_constructor_expression] = STATE(645),
    [sym__parenthesized_type] = STATE(6572),
    [sym_navigation_expression] = STATE(645),
    [sym__navigable_type_expression] = STATE(6573),
    [sym_open_start_range_expression] = STATE(645),
    [sym__range_operator] = STATE(462),
    [sym_open_end_range_expression] = STATE(645),
    [sym_prefix_expression] = STATE(645),
    [sym_as_expression] = STATE(645),
    [sym_selector_expression] = STATE(645),
    [sym__binary_expression] = STATE(645),
    [sym_multiplicative_expression] = STATE(645),
    [sym_additive_expression] = STATE(645),
    [sym_range_expression] = STATE(645),
    [sym_infix_expression] = STATE(645),
    [sym_nil_coalescing_expression] = STATE(645),
    [sym_check_expression] = STATE(645),
    [sym_comparison_expression] = STATE(645),
    [sym_equality_expression] = STATE(645),
    [sym_conjunction_expression] = STATE(645),
    [sym_disjunction_expression] = STATE(645),
    [sym_bitwise_operation] = STATE(645),
    [sym_custom_operator] = STATE(615),
    [sym_try_expression] = STATE(645),
    [sym_await_expression] = STATE(645),
    [sym__await_operator] = STATE(463),
    [sym_ternary_expression] = STATE(645),
    [sym__expr_hack_at_ternary_binary_suffix] = STATE(1106),
    [sym_expr_hack_at_ternary_binary_call] = STATE(1106),
    [sym_call_expression] = STATE(645),
    [sym__primary_expression] = STATE(645),
    [sym_tuple_expression] = STATE(645),
    [sym_array_literal] = STATE(645),
    [sym_dictionary_literal] = STATE(645),
    [sym__special_literal] = STATE(645),
    [sym__playground_literal] = STATE(645),
    [sym_lambda_literal] = STATE(645),
    [sym_self_expression] = STATE(645),
    [sym_super_expression] = STATE(645),
    [sym_if_statement] = STATE(645),
    [sym_switch_statement] = STATE(645),
    [sym_key_path_expression] = STATE(645),
    [sym_key_path_string_expression] = STATE(645),
    [sym_try_operator] = STATE(465),
    [sym__assignment_and_operator] = STATE(645),
    [sym__equality_operator] = STATE(645),
    [sym__comparison_operator] = STATE(645),
    [sym__three_dot_operator] = STATE(617),
    [sym__open_ended_range_operator] = STATE(462),
    [sym__additive_operator] = STATE(645),
    [sym__multiplicative_operator] = STATE(645),
    [sym__prefix_unary_operator] = STATE(470),
    [sym_directly_assignable_expression] = STATE(5558),
    [sym_assignment] = STATE(645),
    [sym_value_parameter_pack] = STATE(645),
    [sym_value_pack_expansion] = STATE(645),
    [sym__referenceable_operator] = STATE(645),
    [sym__equal_sign] = STATE(645),
    [sym__eq_eq] = STATE(645),
    [sym__dot] = STATE(470),
    [sym_bang] = STATE(615),
    [sym__parameter_ownership_modifier] = STATE(1015),
    [aux_sym_raw_string_literal_repeat1] = STATE(6655),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(673),
    [aux_sym_simple_identifier_token2] = ACTIONS(675),
    [aux_sym_simple_identifier_token3] = ACTIONS(675),
    [aux_sym_simple_identifier_token4] = ACTIONS(675),
    [anon_sym_actor] = ACTIONS(673),
    [anon_sym_async] = ACTIONS(673),
    [anon_sym_each] = ACTIONS(677),
    [anon_sym_lazy] = ACTIONS(673),
    [anon_sym_repeat] = ACTIONS(679),
    [anon_sym_package] = ACTIONS(673),
    [anon_sym_nil] = ACTIONS(1579),
    [sym_real_literal] = ACTIONS(1581),
    [sym_integer_literal] = ACTIONS(1579),
    [sym_hex_literal] = ACTIONS(1581),
    [sym_oct_literal] = ACTIONS(1581),
    [sym_bin_literal] = ACTIONS(1581),
    [anon_sym_true] = ACTIONS(685),
    [anon_sym_false] = ACTIONS(685),
    [anon_sym_DQUOTE] = ACTIONS(687),
    [anon_sym_BSLASH] = ACTIONS(689),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(691),
    [sym__extended_regex_literal] = ACTIONS(693),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(695),
    [sym__oneline_regex_literal] = ACTIONS(697),
    [anon_sym_LPAREN] = ACTIONS(699),
    [anon_sym_LBRACK] = ACTIONS(701),
    [anon_sym_AMP] = ACTIONS(703),
    [anon_sym_if] = ACTIONS(705),
    [anon_sym_switch] = ACTIONS(707),
    [anon_sym_POUNDselector] = ACTIONS(709),
    [aux_sym_custom_operator_token1] = ACTIONS(711),
    [anon_sym_LT] = ACTIONS(1579),
    [anon_sym_GT] = ACTIONS(1579),
    [anon_sym_await] = ACTIONS(713),
    [anon_sym_POUNDfile] = ACTIONS(1579),
    [anon_sym_POUNDfileID] = ACTIONS(1581),
    [anon_sym_POUNDfilePath] = ACTIONS(1581),
    [anon_sym_POUNDline] = ACTIONS(1581),
    [anon_sym_POUNDcolumn] = ACTIONS(1581),
    [anon_sym_POUNDfunction] = ACTIONS(1581),
    [anon_sym_POUNDdsohandle] = ACTIONS(1581),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(715),
    [anon_sym_POUNDfileLiteral] = ACTIONS(715),
    [anon_sym_POUNDimageLiteral] = ACTIONS(715),
    [anon_sym_LBRACE] = ACTIONS(717),
    [anon_sym_CARET_LBRACE] = ACTIONS(717),
    [anon_sym_self] = ACTIONS(719),
    [anon_sym_super] = ACTIONS(721),
    [anon_sym_POUNDkeyPath] = ACTIONS(723),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1581),
    [anon_sym_DASH_EQ] = ACTIONS(1581),
    [anon_sym_STAR_EQ] = ACTIONS(1581),
    [anon_sym_SLASH_EQ] = ACTIONS(1581),
    [anon_sym_PERCENT_EQ] = ACTIONS(1581),
    [anon_sym_BANG_EQ] = ACTIONS(1579),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1581),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1581),
    [anon_sym_LT_EQ] = ACTIONS(1581),
    [anon_sym_GT_EQ] = ACTIONS(1581),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(725),
    [anon_sym_DOT_DOT_LT] = ACTIONS(727),
    [anon_sym_PLUS] = ACTIONS(729),
    [anon_sym_DASH] = ACTIONS(729),
    [anon_sym_STAR] = ACTIONS(1579),
    [anon_sym_SLASH] = ACTIONS(1579),
    [anon_sym_PERCENT] = ACTIONS(1579),
    [anon_sym_PLUS_PLUS] = ACTIONS(703),
    [anon_sym_DASH_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(703),
    [anon_sym_PIPE] = ACTIONS(1581),
    [anon_sym_CARET] = ACTIONS(1579),
    [anon_sym_LT_LT] = ACTIONS(1581),
    [anon_sym_GT_GT] = ACTIONS(1581),
    [anon_sym_BANG2] = ACTIONS(731),
    [anon_sym_borrowing] = ACTIONS(673),
    [anon_sym_consuming] = ACTIONS(673),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(733),
    [sym__dot_custom] = ACTIONS(735),
    [sym__eq_custom] = ACTIONS(1581),
    [sym__eq_eq_custom] = ACTIONS(1581),
    [sym__plus_then_ws] = ACTIONS(1581),
    [sym__minus_then_ws] = ACTIONS(1581),
    [sym__bang_custom] = ACTIONS(737),
    [sym__custom_operator] = ACTIONS(711),
  },
  [333] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1276),
    [sym_boolean_literal] = STATE(1276),
    [sym__string_literal] = STATE(1276),
    [sym_line_string_literal] = STATE(1276),
    [sym_multi_line_string_literal] = STATE(1276),
    [sym_raw_string_literal] = STATE(1276),
    [sym_regex_literal] = STATE(1276),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1276),
    [sym__unary_expression] = STATE(1276),
    [sym_postfix_expression] = STATE(1276),
    [sym_constructor_expression] = STATE(1276),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1276),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1276),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1276),
    [sym_prefix_expression] = STATE(1276),
    [sym_as_expression] = STATE(1276),
    [sym_selector_expression] = STATE(1276),
    [sym__binary_expression] = STATE(1276),
    [sym_multiplicative_expression] = STATE(1276),
    [sym_additive_expression] = STATE(1276),
    [sym_range_expression] = STATE(1276),
    [sym_infix_expression] = STATE(1276),
    [sym_nil_coalescing_expression] = STATE(1276),
    [sym_check_expression] = STATE(1276),
    [sym_comparison_expression] = STATE(1276),
    [sym_equality_expression] = STATE(1276),
    [sym_conjunction_expression] = STATE(1276),
    [sym_disjunction_expression] = STATE(1276),
    [sym_bitwise_operation] = STATE(1276),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1276),
    [sym_await_expression] = STATE(1276),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1276),
    [sym__expr_hack_at_ternary_binary_suffix] = STATE(755),
    [sym_expr_hack_at_ternary_binary_call] = STATE(755),
    [sym_call_expression] = STATE(1276),
    [sym__primary_expression] = STATE(1276),
    [sym_tuple_expression] = STATE(1276),
    [sym_array_literal] = STATE(1276),
    [sym_dictionary_literal] = STATE(1276),
    [sym__special_literal] = STATE(1276),
    [sym__playground_literal] = STATE(1276),
    [sym_lambda_literal] = STATE(1276),
    [sym_self_expression] = STATE(1276),
    [sym_super_expression] = STATE(1276),
    [sym_if_statement] = STATE(1276),
    [sym_switch_statement] = STATE(1276),
    [sym_key_path_expression] = STATE(1276),
    [sym_key_path_string_expression] = STATE(1276),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1276),
    [sym__equality_operator] = STATE(1276),
    [sym__comparison_operator] = STATE(1276),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1276),
    [sym__multiplicative_operator] = STATE(1276),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1276),
    [sym_value_parameter_pack] = STATE(1276),
    [sym_value_pack_expansion] = STATE(1276),
    [sym__referenceable_operator] = STATE(1276),
    [sym__equal_sign] = STATE(1276),
    [sym__eq_eq] = STATE(1276),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1575),
    [sym_real_literal] = ACTIONS(1577),
    [sym_integer_literal] = ACTIONS(1575),
    [sym_hex_literal] = ACTIONS(1577),
    [sym_oct_literal] = ACTIONS(1577),
    [sym_bin_literal] = ACTIONS(1577),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1575),
    [anon_sym_GT] = ACTIONS(1575),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1575),
    [anon_sym_POUNDfileID] = ACTIONS(1577),
    [anon_sym_POUNDfilePath] = ACTIONS(1577),
    [anon_sym_POUNDline] = ACTIONS(1577),
    [anon_sym_POUNDcolumn] = ACTIONS(1577),
    [anon_sym_POUNDfunction] = ACTIONS(1577),
    [anon_sym_POUNDdsohandle] = ACTIONS(1577),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1577),
    [anon_sym_DASH_EQ] = ACTIONS(1577),
    [anon_sym_STAR_EQ] = ACTIONS(1577),
    [anon_sym_SLASH_EQ] = ACTIONS(1577),
    [anon_sym_PERCENT_EQ] = ACTIONS(1577),
    [anon_sym_BANG_EQ] = ACTIONS(1575),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1577),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1577),
    [anon_sym_LT_EQ] = ACTIONS(1577),
    [anon_sym_GT_EQ] = ACTIONS(1577),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1575),
    [anon_sym_SLASH] = ACTIONS(1575),
    [anon_sym_PERCENT] = ACTIONS(1575),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1577),
    [anon_sym_CARET] = ACTIONS(1575),
    [anon_sym_LT_LT] = ACTIONS(1577),
    [anon_sym_GT_GT] = ACTIONS(1577),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1577),
    [sym__eq_eq_custom] = ACTIONS(1577),
    [sym__plus_then_ws] = ACTIONS(1577),
    [sym__minus_then_ws] = ACTIONS(1577),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [334] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1276),
    [sym_boolean_literal] = STATE(1276),
    [sym__string_literal] = STATE(1276),
    [sym_line_string_literal] = STATE(1276),
    [sym_multi_line_string_literal] = STATE(1276),
    [sym_raw_string_literal] = STATE(1276),
    [sym_regex_literal] = STATE(1276),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1276),
    [sym__unary_expression] = STATE(1276),
    [sym_postfix_expression] = STATE(1276),
    [sym_constructor_expression] = STATE(1276),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1276),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1276),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1276),
    [sym_prefix_expression] = STATE(1276),
    [sym_as_expression] = STATE(1276),
    [sym_selector_expression] = STATE(1276),
    [sym__binary_expression] = STATE(1276),
    [sym_multiplicative_expression] = STATE(1276),
    [sym_additive_expression] = STATE(1276),
    [sym_range_expression] = STATE(1276),
    [sym_infix_expression] = STATE(1276),
    [sym_nil_coalescing_expression] = STATE(1276),
    [sym_check_expression] = STATE(1276),
    [sym_comparison_expression] = STATE(1276),
    [sym_equality_expression] = STATE(1276),
    [sym_conjunction_expression] = STATE(1276),
    [sym_disjunction_expression] = STATE(1276),
    [sym_bitwise_operation] = STATE(1276),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1276),
    [sym_await_expression] = STATE(1276),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1276),
    [sym__expr_hack_at_ternary_binary_suffix] = STATE(756),
    [sym_expr_hack_at_ternary_binary_call] = STATE(756),
    [sym_call_expression] = STATE(1276),
    [sym__primary_expression] = STATE(1276),
    [sym_tuple_expression] = STATE(1276),
    [sym_array_literal] = STATE(1276),
    [sym_dictionary_literal] = STATE(1276),
    [sym__special_literal] = STATE(1276),
    [sym__playground_literal] = STATE(1276),
    [sym_lambda_literal] = STATE(1276),
    [sym_self_expression] = STATE(1276),
    [sym_super_expression] = STATE(1276),
    [sym_if_statement] = STATE(1276),
    [sym_switch_statement] = STATE(1276),
    [sym_key_path_expression] = STATE(1276),
    [sym_key_path_string_expression] = STATE(1276),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1276),
    [sym__equality_operator] = STATE(1276),
    [sym__comparison_operator] = STATE(1276),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1276),
    [sym__multiplicative_operator] = STATE(1276),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1276),
    [sym_value_parameter_pack] = STATE(1276),
    [sym_value_pack_expansion] = STATE(1276),
    [sym__referenceable_operator] = STATE(1276),
    [sym__equal_sign] = STATE(1276),
    [sym__eq_eq] = STATE(1276),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1575),
    [sym_real_literal] = ACTIONS(1577),
    [sym_integer_literal] = ACTIONS(1575),
    [sym_hex_literal] = ACTIONS(1577),
    [sym_oct_literal] = ACTIONS(1577),
    [sym_bin_literal] = ACTIONS(1577),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1575),
    [anon_sym_GT] = ACTIONS(1575),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1575),
    [anon_sym_POUNDfileID] = ACTIONS(1577),
    [anon_sym_POUNDfilePath] = ACTIONS(1577),
    [anon_sym_POUNDline] = ACTIONS(1577),
    [anon_sym_POUNDcolumn] = ACTIONS(1577),
    [anon_sym_POUNDfunction] = ACTIONS(1577),
    [anon_sym_POUNDdsohandle] = ACTIONS(1577),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1577),
    [anon_sym_DASH_EQ] = ACTIONS(1577),
    [anon_sym_STAR_EQ] = ACTIONS(1577),
    [anon_sym_SLASH_EQ] = ACTIONS(1577),
    [anon_sym_PERCENT_EQ] = ACTIONS(1577),
    [anon_sym_BANG_EQ] = ACTIONS(1575),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1577),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1577),
    [anon_sym_LT_EQ] = ACTIONS(1577),
    [anon_sym_GT_EQ] = ACTIONS(1577),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1575),
    [anon_sym_SLASH] = ACTIONS(1575),
    [anon_sym_PERCENT] = ACTIONS(1575),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1577),
    [anon_sym_CARET] = ACTIONS(1575),
    [anon_sym_LT_LT] = ACTIONS(1577),
    [anon_sym_GT_GT] = ACTIONS(1577),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1577),
    [sym__eq_eq_custom] = ACTIONS(1577),
    [sym__plus_then_ws] = ACTIONS(1577),
    [sym__minus_then_ws] = ACTIONS(1577),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [335] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1276),
    [sym_boolean_literal] = STATE(1276),
    [sym__string_literal] = STATE(1276),
    [sym_line_string_literal] = STATE(1276),
    [sym_multi_line_string_literal] = STATE(1276),
    [sym_raw_string_literal] = STATE(1276),
    [sym_regex_literal] = STATE(1276),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1276),
    [sym__unary_expression] = STATE(1276),
    [sym_postfix_expression] = STATE(1276),
    [sym_constructor_expression] = STATE(1276),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1276),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1276),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1276),
    [sym_prefix_expression] = STATE(1276),
    [sym_as_expression] = STATE(1276),
    [sym_selector_expression] = STATE(1276),
    [sym__binary_expression] = STATE(1276),
    [sym_multiplicative_expression] = STATE(1276),
    [sym_additive_expression] = STATE(1276),
    [sym_range_expression] = STATE(1276),
    [sym_infix_expression] = STATE(1276),
    [sym_nil_coalescing_expression] = STATE(1276),
    [sym_check_expression] = STATE(1276),
    [sym_comparison_expression] = STATE(1276),
    [sym_equality_expression] = STATE(1276),
    [sym_conjunction_expression] = STATE(1276),
    [sym_disjunction_expression] = STATE(1276),
    [sym_bitwise_operation] = STATE(1276),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1276),
    [sym_await_expression] = STATE(1276),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1276),
    [sym__expr_hack_at_ternary_binary_suffix] = STATE(757),
    [sym_expr_hack_at_ternary_binary_call] = STATE(757),
    [sym_call_expression] = STATE(1276),
    [sym__primary_expression] = STATE(1276),
    [sym_tuple_expression] = STATE(1276),
    [sym_array_literal] = STATE(1276),
    [sym_dictionary_literal] = STATE(1276),
    [sym__special_literal] = STATE(1276),
    [sym__playground_literal] = STATE(1276),
    [sym_lambda_literal] = STATE(1276),
    [sym_self_expression] = STATE(1276),
    [sym_super_expression] = STATE(1276),
    [sym_if_statement] = STATE(1276),
    [sym_switch_statement] = STATE(1276),
    [sym_key_path_expression] = STATE(1276),
    [sym_key_path_string_expression] = STATE(1276),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1276),
    [sym__equality_operator] = STATE(1276),
    [sym__comparison_operator] = STATE(1276),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1276),
    [sym__multiplicative_operator] = STATE(1276),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1276),
    [sym_value_parameter_pack] = STATE(1276),
    [sym_value_pack_expansion] = STATE(1276),
    [sym__referenceable_operator] = STATE(1276),
    [sym__equal_sign] = STATE(1276),
    [sym__eq_eq] = STATE(1276),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1575),
    [sym_real_literal] = ACTIONS(1577),
    [sym_integer_literal] = ACTIONS(1575),
    [sym_hex_literal] = ACTIONS(1577),
    [sym_oct_literal] = ACTIONS(1577),
    [sym_bin_literal] = ACTIONS(1577),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1575),
    [anon_sym_GT] = ACTIONS(1575),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1575),
    [anon_sym_POUNDfileID] = ACTIONS(1577),
    [anon_sym_POUNDfilePath] = ACTIONS(1577),
    [anon_sym_POUNDline] = ACTIONS(1577),
    [anon_sym_POUNDcolumn] = ACTIONS(1577),
    [anon_sym_POUNDfunction] = ACTIONS(1577),
    [anon_sym_POUNDdsohandle] = ACTIONS(1577),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1577),
    [anon_sym_DASH_EQ] = ACTIONS(1577),
    [anon_sym_STAR_EQ] = ACTIONS(1577),
    [anon_sym_SLASH_EQ] = ACTIONS(1577),
    [anon_sym_PERCENT_EQ] = ACTIONS(1577),
    [anon_sym_BANG_EQ] = ACTIONS(1575),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1577),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1577),
    [anon_sym_LT_EQ] = ACTIONS(1577),
    [anon_sym_GT_EQ] = ACTIONS(1577),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1575),
    [anon_sym_SLASH] = ACTIONS(1575),
    [anon_sym_PERCENT] = ACTIONS(1575),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1577),
    [anon_sym_CARET] = ACTIONS(1575),
    [anon_sym_LT_LT] = ACTIONS(1577),
    [anon_sym_GT_GT] = ACTIONS(1577),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1577),
    [sym__eq_eq_custom] = ACTIONS(1577),
    [sym__plus_then_ws] = ACTIONS(1577),
    [sym__minus_then_ws] = ACTIONS(1577),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [336] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(626),
    [sym_boolean_literal] = STATE(626),
    [sym__string_literal] = STATE(626),
    [sym_line_string_literal] = STATE(626),
    [sym_multi_line_string_literal] = STATE(626),
    [sym_raw_string_literal] = STATE(626),
    [sym_regex_literal] = STATE(626),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5550),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5550),
    [sym_dictionary_type] = STATE(5550),
    [sym__expression] = STATE(626),
    [sym__unary_expression] = STATE(626),
    [sym_postfix_expression] = STATE(626),
    [sym_constructor_expression] = STATE(626),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(626),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(626),
    [sym__range_operator] = STATE(596),
    [sym_open_end_range_expression] = STATE(626),
    [sym_prefix_expression] = STATE(626),
    [sym_as_expression] = STATE(626),
    [sym_selector_expression] = STATE(626),
    [sym__binary_expression] = STATE(626),
    [sym_multiplicative_expression] = STATE(626),
    [sym_additive_expression] = STATE(626),
    [sym_range_expression] = STATE(626),
    [sym_infix_expression] = STATE(626),
    [sym_nil_coalescing_expression] = STATE(626),
    [sym_check_expression] = STATE(626),
    [sym_comparison_expression] = STATE(626),
    [sym_equality_expression] = STATE(626),
    [sym_conjunction_expression] = STATE(626),
    [sym_disjunction_expression] = STATE(626),
    [sym_bitwise_operation] = STATE(626),
    [sym_custom_operator] = STATE(609),
    [sym_try_expression] = STATE(626),
    [sym_await_expression] = STATE(626),
    [sym__await_operator] = STATE(599),
    [sym_ternary_expression] = STATE(626),
    [sym__expr_hack_at_ternary_binary_suffix] = STATE(757),
    [sym_expr_hack_at_ternary_binary_call] = STATE(757),
    [sym_call_expression] = STATE(626),
    [sym__primary_expression] = STATE(626),
    [sym_tuple_expression] = STATE(626),
    [sym_array_literal] = STATE(626),
    [sym_dictionary_literal] = STATE(626),
    [sym__special_literal] = STATE(626),
    [sym__playground_literal] = STATE(626),
    [sym_lambda_literal] = STATE(626),
    [sym_self_expression] = STATE(626),
    [sym_super_expression] = STATE(626),
    [sym_if_statement] = STATE(626),
    [sym_switch_statement] = STATE(626),
    [sym_key_path_expression] = STATE(626),
    [sym_key_path_string_expression] = STATE(626),
    [sym_try_operator] = STATE(453),
    [sym__assignment_and_operator] = STATE(626),
    [sym__equality_operator] = STATE(626),
    [sym__comparison_operator] = STATE(626),
    [sym__three_dot_operator] = STATE(604),
    [sym__open_ended_range_operator] = STATE(596),
    [sym__additive_operator] = STATE(626),
    [sym__multiplicative_operator] = STATE(626),
    [sym__prefix_unary_operator] = STATE(445),
    [sym_directly_assignable_expression] = STATE(5552),
    [sym_assignment] = STATE(626),
    [sym_value_parameter_pack] = STATE(626),
    [sym_value_pack_expansion] = STATE(626),
    [sym__referenceable_operator] = STATE(626),
    [sym__equal_sign] = STATE(626),
    [sym__eq_eq] = STATE(626),
    [sym__dot] = STATE(445),
    [sym_bang] = STATE(609),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(621),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(623),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1635),
    [sym_real_literal] = ACTIONS(1637),
    [sym_integer_literal] = ACTIONS(1635),
    [sym_hex_literal] = ACTIONS(1637),
    [sym_oct_literal] = ACTIONS(1637),
    [sym_bin_literal] = ACTIONS(1637),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(629),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(639),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(641),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(643),
    [anon_sym_LT] = ACTIONS(1635),
    [anon_sym_GT] = ACTIONS(1635),
    [anon_sym_await] = ACTIONS(645),
    [anon_sym_POUNDfile] = ACTIONS(1635),
    [anon_sym_POUNDfileID] = ACTIONS(1637),
    [anon_sym_POUNDfilePath] = ACTIONS(1637),
    [anon_sym_POUNDline] = ACTIONS(1637),
    [anon_sym_POUNDcolumn] = ACTIONS(1637),
    [anon_sym_POUNDfunction] = ACTIONS(1637),
    [anon_sym_POUNDdsohandle] = ACTIONS(1637),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1637),
    [anon_sym_DASH_EQ] = ACTIONS(1637),
    [anon_sym_STAR_EQ] = ACTIONS(1637),
    [anon_sym_SLASH_EQ] = ACTIONS(1637),
    [anon_sym_PERCENT_EQ] = ACTIONS(1637),
    [anon_sym_BANG_EQ] = ACTIONS(1635),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1637),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1637),
    [anon_sym_LT_EQ] = ACTIONS(1637),
    [anon_sym_GT_EQ] = ACTIONS(1637),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(649),
    [anon_sym_DOT_DOT_LT] = ACTIONS(651),
    [anon_sym_PLUS] = ACTIONS(653),
    [anon_sym_DASH] = ACTIONS(653),
    [anon_sym_STAR] = ACTIONS(1635),
    [anon_sym_SLASH] = ACTIONS(1635),
    [anon_sym_PERCENT] = ACTIONS(1635),
    [anon_sym_PLUS_PLUS] = ACTIONS(639),
    [anon_sym_DASH_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(639),
    [anon_sym_PIPE] = ACTIONS(1637),
    [anon_sym_CARET] = ACTIONS(1635),
    [anon_sym_LT_LT] = ACTIONS(1637),
    [anon_sym_GT_GT] = ACTIONS(1637),
    [anon_sym_BANG2] = ACTIONS(655),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(657),
    [sym__eq_custom] = ACTIONS(1637),
    [sym__eq_eq_custom] = ACTIONS(1637),
    [sym__plus_then_ws] = ACTIONS(1637),
    [sym__minus_then_ws] = ACTIONS(1637),
    [sym__bang_custom] = ACTIONS(659),
    [sym__custom_operator] = ACTIONS(643),
  },
  [337] = {
    [sym_simple_identifier] = STATE(2072),
    [sym__contextual_simple_identifier] = STATE(2016),
    [sym__basic_literal] = STATE(1251),
    [sym_boolean_literal] = STATE(1251),
    [sym__string_literal] = STATE(1251),
    [sym_line_string_literal] = STATE(1251),
    [sym_multi_line_string_literal] = STATE(1251),
    [sym_raw_string_literal] = STATE(1251),
    [sym_regex_literal] = STATE(1251),
    [sym__multiline_regex_literal] = STATE(2164),
    [sym_user_type] = STATE(5497),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5497),
    [sym_dictionary_type] = STATE(5497),
    [sym__expression] = STATE(1251),
    [sym__unary_expression] = STATE(1251),
    [sym_postfix_expression] = STATE(1251),
    [sym_constructor_expression] = STATE(1251),
    [sym__parenthesized_type] = STATE(6725),
    [sym_navigation_expression] = STATE(1251),
    [sym__navigable_type_expression] = STATE(6724),
    [sym_open_start_range_expression] = STATE(1251),
    [sym__range_operator] = STATE(467),
    [sym_open_end_range_expression] = STATE(1251),
    [sym_prefix_expression] = STATE(1251),
    [sym_as_expression] = STATE(1251),
    [sym_selector_expression] = STATE(1251),
    [sym__binary_expression] = STATE(1251),
    [sym_multiplicative_expression] = STATE(1251),
    [sym_additive_expression] = STATE(1251),
    [sym_range_expression] = STATE(1251),
    [sym_infix_expression] = STATE(1251),
    [sym_nil_coalescing_expression] = STATE(1251),
    [sym_check_expression] = STATE(1251),
    [sym_comparison_expression] = STATE(1251),
    [sym_equality_expression] = STATE(1251),
    [sym_conjunction_expression] = STATE(1251),
    [sym_disjunction_expression] = STATE(1251),
    [sym_bitwise_operation] = STATE(1251),
    [sym_custom_operator] = STATE(835),
    [sym_try_expression] = STATE(1251),
    [sym_await_expression] = STATE(1251),
    [sym__await_operator] = STATE(466),
    [sym_ternary_expression] = STATE(1251),
    [sym__expr_hack_at_ternary_binary_suffix] = STATE(2242),
    [sym_expr_hack_at_ternary_binary_call] = STATE(2242),
    [sym_call_expression] = STATE(1251),
    [sym__primary_expression] = STATE(1251),
    [sym_tuple_expression] = STATE(1251),
    [sym_array_literal] = STATE(1251),
    [sym_dictionary_literal] = STATE(1251),
    [sym__special_literal] = STATE(1251),
    [sym__playground_literal] = STATE(1251),
    [sym_lambda_literal] = STATE(1251),
    [sym_self_expression] = STATE(1251),
    [sym_super_expression] = STATE(1251),
    [sym_if_statement] = STATE(1251),
    [sym_switch_statement] = STATE(1251),
    [sym_key_path_expression] = STATE(1251),
    [sym_key_path_string_expression] = STATE(1251),
    [sym_try_operator] = STATE(455),
    [sym__assignment_and_operator] = STATE(1251),
    [sym__equality_operator] = STATE(1251),
    [sym__comparison_operator] = STATE(1251),
    [sym__three_dot_operator] = STATE(837),
    [sym__open_ended_range_operator] = STATE(467),
    [sym__additive_operator] = STATE(1251),
    [sym__multiplicative_operator] = STATE(1251),
    [sym__prefix_unary_operator] = STATE(468),
    [sym_directly_assignable_expression] = STATE(5498),
    [sym_assignment] = STATE(1251),
    [sym_value_parameter_pack] = STATE(1251),
    [sym_value_pack_expansion] = STATE(1251),
    [sym__referenceable_operator] = STATE(1251),
    [sym__equal_sign] = STATE(1251),
    [sym__eq_eq] = STATE(1251),
    [sym__dot] = STATE(468),
    [sym_bang] = STATE(835),
    [sym__parameter_ownership_modifier] = STATE(2016),
    [aux_sym_raw_string_literal_repeat1] = STATE(6553),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(971),
    [aux_sym_simple_identifier_token2] = ACTIONS(973),
    [aux_sym_simple_identifier_token3] = ACTIONS(973),
    [aux_sym_simple_identifier_token4] = ACTIONS(973),
    [anon_sym_actor] = ACTIONS(971),
    [anon_sym_async] = ACTIONS(971),
    [anon_sym_each] = ACTIONS(975),
    [anon_sym_lazy] = ACTIONS(971),
    [anon_sym_repeat] = ACTIONS(977),
    [anon_sym_package] = ACTIONS(971),
    [anon_sym_nil] = ACTIONS(1583),
    [sym_real_literal] = ACTIONS(1585),
    [sym_integer_literal] = ACTIONS(1583),
    [sym_hex_literal] = ACTIONS(1585),
    [sym_oct_literal] = ACTIONS(1585),
    [sym_bin_literal] = ACTIONS(1585),
    [anon_sym_true] = ACTIONS(983),
    [anon_sym_false] = ACTIONS(983),
    [anon_sym_DQUOTE] = ACTIONS(985),
    [anon_sym_BSLASH] = ACTIONS(987),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(989),
    [sym__extended_regex_literal] = ACTIONS(991),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(993),
    [sym__oneline_regex_literal] = ACTIONS(995),
    [anon_sym_LPAREN] = ACTIONS(997),
    [anon_sym_LBRACK] = ACTIONS(999),
    [anon_sym_AMP] = ACTIONS(1001),
    [anon_sym_if] = ACTIONS(1003),
    [anon_sym_switch] = ACTIONS(1005),
    [anon_sym_POUNDselector] = ACTIONS(1007),
    [aux_sym_custom_operator_token1] = ACTIONS(1009),
    [anon_sym_LT] = ACTIONS(1583),
    [anon_sym_GT] = ACTIONS(1583),
    [anon_sym_await] = ACTIONS(1011),
    [anon_sym_POUNDfile] = ACTIONS(1583),
    [anon_sym_POUNDfileID] = ACTIONS(1585),
    [anon_sym_POUNDfilePath] = ACTIONS(1585),
    [anon_sym_POUNDline] = ACTIONS(1585),
    [anon_sym_POUNDcolumn] = ACTIONS(1585),
    [anon_sym_POUNDfunction] = ACTIONS(1585),
    [anon_sym_POUNDdsohandle] = ACTIONS(1585),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(1013),
    [anon_sym_POUNDfileLiteral] = ACTIONS(1013),
    [anon_sym_POUNDimageLiteral] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(1015),
    [anon_sym_CARET_LBRACE] = ACTIONS(1015),
    [anon_sym_self] = ACTIONS(1017),
    [anon_sym_super] = ACTIONS(1019),
    [anon_sym_POUNDkeyPath] = ACTIONS(1021),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1585),
    [anon_sym_DASH_EQ] = ACTIONS(1585),
    [anon_sym_STAR_EQ] = ACTIONS(1585),
    [anon_sym_SLASH_EQ] = ACTIONS(1585),
    [anon_sym_PERCENT_EQ] = ACTIONS(1585),
    [anon_sym_BANG_EQ] = ACTIONS(1583),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1585),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1585),
    [anon_sym_LT_EQ] = ACTIONS(1585),
    [anon_sym_GT_EQ] = ACTIONS(1585),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1023),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1025),
    [anon_sym_PLUS] = ACTIONS(1027),
    [anon_sym_DASH] = ACTIONS(1027),
    [anon_sym_STAR] = ACTIONS(1583),
    [anon_sym_SLASH] = ACTIONS(1583),
    [anon_sym_PERCENT] = ACTIONS(1583),
    [anon_sym_PLUS_PLUS] = ACTIONS(1001),
    [anon_sym_DASH_DASH] = ACTIONS(1001),
    [anon_sym_TILDE] = ACTIONS(1001),
    [anon_sym_PIPE] = ACTIONS(1585),
    [anon_sym_CARET] = ACTIONS(1583),
    [anon_sym_LT_LT] = ACTIONS(1585),
    [anon_sym_GT_GT] = ACTIONS(1585),
    [anon_sym_BANG2] = ACTIONS(1029),
    [anon_sym_borrowing] = ACTIONS(971),
    [anon_sym_consuming] = ACTIONS(971),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(1031),
    [sym__dot_custom] = ACTIONS(1033),
    [sym__eq_custom] = ACTIONS(1585),
    [sym__eq_eq_custom] = ACTIONS(1585),
    [sym__plus_then_ws] = ACTIONS(1585),
    [sym__minus_then_ws] = ACTIONS(1585),
    [sym__bang_custom] = ACTIONS(1035),
    [sym__custom_operator] = ACTIONS(1009),
  },
  [338] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1276),
    [sym_boolean_literal] = STATE(1276),
    [sym__string_literal] = STATE(1276),
    [sym_line_string_literal] = STATE(1276),
    [sym_multi_line_string_literal] = STATE(1276),
    [sym_raw_string_literal] = STATE(1276),
    [sym_regex_literal] = STATE(1276),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1276),
    [sym__unary_expression] = STATE(1276),
    [sym_postfix_expression] = STATE(1276),
    [sym_constructor_expression] = STATE(1276),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1276),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1276),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1276),
    [sym_prefix_expression] = STATE(1276),
    [sym_as_expression] = STATE(1276),
    [sym_selector_expression] = STATE(1276),
    [sym__binary_expression] = STATE(1276),
    [sym_multiplicative_expression] = STATE(1276),
    [sym_additive_expression] = STATE(1276),
    [sym_range_expression] = STATE(1276),
    [sym_infix_expression] = STATE(1276),
    [sym_nil_coalescing_expression] = STATE(1276),
    [sym_check_expression] = STATE(1276),
    [sym_comparison_expression] = STATE(1276),
    [sym_equality_expression] = STATE(1276),
    [sym_conjunction_expression] = STATE(1276),
    [sym_disjunction_expression] = STATE(1276),
    [sym_bitwise_operation] = STATE(1276),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1276),
    [sym_await_expression] = STATE(1276),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1276),
    [sym__expr_hack_at_ternary_binary_suffix] = STATE(759),
    [sym_expr_hack_at_ternary_binary_call] = STATE(759),
    [sym_call_expression] = STATE(1276),
    [sym__primary_expression] = STATE(1276),
    [sym_tuple_expression] = STATE(1276),
    [sym_array_literal] = STATE(1276),
    [sym_dictionary_literal] = STATE(1276),
    [sym__special_literal] = STATE(1276),
    [sym__playground_literal] = STATE(1276),
    [sym_lambda_literal] = STATE(1276),
    [sym_self_expression] = STATE(1276),
    [sym_super_expression] = STATE(1276),
    [sym_if_statement] = STATE(1276),
    [sym_switch_statement] = STATE(1276),
    [sym_key_path_expression] = STATE(1276),
    [sym_key_path_string_expression] = STATE(1276),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1276),
    [sym__equality_operator] = STATE(1276),
    [sym__comparison_operator] = STATE(1276),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1276),
    [sym__multiplicative_operator] = STATE(1276),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1276),
    [sym_value_parameter_pack] = STATE(1276),
    [sym_value_pack_expansion] = STATE(1276),
    [sym__referenceable_operator] = STATE(1276),
    [sym__equal_sign] = STATE(1276),
    [sym__eq_eq] = STATE(1276),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1575),
    [sym_real_literal] = ACTIONS(1577),
    [sym_integer_literal] = ACTIONS(1575),
    [sym_hex_literal] = ACTIONS(1577),
    [sym_oct_literal] = ACTIONS(1577),
    [sym_bin_literal] = ACTIONS(1577),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1575),
    [anon_sym_GT] = ACTIONS(1575),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1575),
    [anon_sym_POUNDfileID] = ACTIONS(1577),
    [anon_sym_POUNDfilePath] = ACTIONS(1577),
    [anon_sym_POUNDline] = ACTIONS(1577),
    [anon_sym_POUNDcolumn] = ACTIONS(1577),
    [anon_sym_POUNDfunction] = ACTIONS(1577),
    [anon_sym_POUNDdsohandle] = ACTIONS(1577),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1577),
    [anon_sym_DASH_EQ] = ACTIONS(1577),
    [anon_sym_STAR_EQ] = ACTIONS(1577),
    [anon_sym_SLASH_EQ] = ACTIONS(1577),
    [anon_sym_PERCENT_EQ] = ACTIONS(1577),
    [anon_sym_BANG_EQ] = ACTIONS(1575),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1577),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1577),
    [anon_sym_LT_EQ] = ACTIONS(1577),
    [anon_sym_GT_EQ] = ACTIONS(1577),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1575),
    [anon_sym_SLASH] = ACTIONS(1575),
    [anon_sym_PERCENT] = ACTIONS(1575),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1577),
    [anon_sym_CARET] = ACTIONS(1575),
    [anon_sym_LT_LT] = ACTIONS(1577),
    [anon_sym_GT_GT] = ACTIONS(1577),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1577),
    [sym__eq_eq_custom] = ACTIONS(1577),
    [sym__plus_then_ws] = ACTIONS(1577),
    [sym__minus_then_ws] = ACTIONS(1577),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [339] = {
    [sym_simple_identifier] = STATE(2573),
    [sym__contextual_simple_identifier] = STATE(2374),
    [sym__basic_literal] = STATE(1418),
    [sym_boolean_literal] = STATE(1418),
    [sym__string_literal] = STATE(1418),
    [sym_line_string_literal] = STATE(1418),
    [sym_multi_line_string_literal] = STATE(1418),
    [sym_raw_string_literal] = STATE(1418),
    [sym_regex_literal] = STATE(1418),
    [sym__multiline_regex_literal] = STATE(2929),
    [sym_user_type] = STATE(5443),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5443),
    [sym_dictionary_type] = STATE(5443),
    [sym__expression] = STATE(1418),
    [sym__unary_expression] = STATE(1418),
    [sym_postfix_expression] = STATE(1418),
    [sym_constructor_expression] = STATE(1418),
    [sym__parenthesized_type] = STATE(7012),
    [sym_navigation_expression] = STATE(1418),
    [sym__navigable_type_expression] = STATE(7009),
    [sym_open_start_range_expression] = STATE(1418),
    [sym__range_operator] = STATE(557),
    [sym_open_end_range_expression] = STATE(1418),
    [sym_prefix_expression] = STATE(1418),
    [sym_as_expression] = STATE(1418),
    [sym_selector_expression] = STATE(1418),
    [sym__binary_expression] = STATE(1418),
    [sym_multiplicative_expression] = STATE(1418),
    [sym_additive_expression] = STATE(1418),
    [sym_range_expression] = STATE(1418),
    [sym_infix_expression] = STATE(1418),
    [sym_nil_coalescing_expression] = STATE(1418),
    [sym_check_expression] = STATE(1418),
    [sym_comparison_expression] = STATE(1418),
    [sym_equality_expression] = STATE(1418),
    [sym_conjunction_expression] = STATE(1418),
    [sym_disjunction_expression] = STATE(1418),
    [sym_bitwise_operation] = STATE(1418),
    [sym_custom_operator] = STATE(878),
    [sym_try_expression] = STATE(1418),
    [sym_await_expression] = STATE(1418),
    [sym__await_operator] = STATE(564),
    [sym_ternary_expression] = STATE(1418),
    [sym_call_expression] = STATE(1418),
    [sym__primary_expression] = STATE(1418),
    [sym_tuple_expression] = STATE(1418),
    [sym_array_literal] = STATE(1418),
    [sym_dictionary_literal] = STATE(1418),
    [sym__special_literal] = STATE(1418),
    [sym__playground_literal] = STATE(1418),
    [sym_lambda_literal] = STATE(1418),
    [sym_self_expression] = STATE(1418),
    [sym_super_expression] = STATE(1418),
    [sym_if_statement] = STATE(1418),
    [sym_switch_statement] = STATE(1418),
    [sym_key_path_expression] = STATE(1418),
    [sym_key_path_string_expression] = STATE(1418),
    [sym_try_operator] = STATE(451),
    [sym__assignment_and_operator] = STATE(1418),
    [sym__equality_operator] = STATE(1418),
    [sym__comparison_operator] = STATE(1418),
    [sym__three_dot_operator] = STATE(884),
    [sym__open_ended_range_operator] = STATE(557),
    [sym__additive_operator] = STATE(1418),
    [sym__multiplicative_operator] = STATE(1418),
    [sym__prefix_unary_operator] = STATE(471),
    [sym_directly_assignable_expression] = STATE(5445),
    [sym__for_statement_collection] = STATE(6111),
    [sym_for_statement_await] = STATE(6111),
    [sym_assignment] = STATE(1418),
    [sym_value_parameter_pack] = STATE(1418),
    [sym_value_pack_expansion] = STATE(1418),
    [sym__referenceable_operator] = STATE(1418),
    [sym__equal_sign] = STATE(1418),
    [sym__eq_eq] = STATE(1418),
    [sym__dot] = STATE(471),
    [sym_bang] = STATE(878),
    [sym__parameter_ownership_modifier] = STATE(2374),
    [aux_sym_raw_string_literal_repeat1] = STATE(7006),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(1037),
    [aux_sym_simple_identifier_token2] = ACTIONS(1039),
    [aux_sym_simple_identifier_token3] = ACTIONS(1039),
    [aux_sym_simple_identifier_token4] = ACTIONS(1039),
    [anon_sym_actor] = ACTIONS(1037),
    [anon_sym_async] = ACTIONS(1037),
    [anon_sym_each] = ACTIONS(1041),
    [anon_sym_lazy] = ACTIONS(1037),
    [anon_sym_repeat] = ACTIONS(1043),
    [anon_sym_package] = ACTIONS(1037),
    [anon_sym_nil] = ACTIONS(1605),
    [sym_real_literal] = ACTIONS(1607),
    [sym_integer_literal] = ACTIONS(1605),
    [sym_hex_literal] = ACTIONS(1607),
    [sym_oct_literal] = ACTIONS(1607),
    [sym_bin_literal] = ACTIONS(1607),
    [anon_sym_true] = ACTIONS(1049),
    [anon_sym_false] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_BSLASH] = ACTIONS(1053),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1055),
    [sym__extended_regex_literal] = ACTIONS(1057),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(1059),
    [sym__oneline_regex_literal] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_LBRACK] = ACTIONS(1065),
    [anon_sym_AMP] = ACTIONS(1067),
    [anon_sym_if] = ACTIONS(1069),
    [anon_sym_switch] = ACTIONS(1071),
    [anon_sym_POUNDselector] = ACTIONS(1073),
    [aux_sym_custom_operator_token1] = ACTIONS(1075),
    [anon_sym_LT] = ACTIONS(1605),
    [anon_sym_GT] = ACTIONS(1605),
    [anon_sym_await] = ACTIONS(1609),
    [anon_sym_POUNDfile] = ACTIONS(1605),
    [anon_sym_POUNDfileID] = ACTIONS(1607),
    [anon_sym_POUNDfilePath] = ACTIONS(1607),
    [anon_sym_POUNDline] = ACTIONS(1607),
    [anon_sym_POUNDcolumn] = ACTIONS(1607),
    [anon_sym_POUNDfunction] = ACTIONS(1607),
    [anon_sym_POUNDdsohandle] = ACTIONS(1607),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(1079),
    [anon_sym_POUNDfileLiteral] = ACTIONS(1079),
    [anon_sym_POUNDimageLiteral] = ACTIONS(1079),
    [anon_sym_LBRACE] = ACTIONS(1081),
    [anon_sym_CARET_LBRACE] = ACTIONS(1081),
    [anon_sym_self] = ACTIONS(1083),
    [anon_sym_super] = ACTIONS(1085),
    [anon_sym_POUNDkeyPath] = ACTIONS(1089),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1607),
    [anon_sym_DASH_EQ] = ACTIONS(1607),
    [anon_sym_STAR_EQ] = ACTIONS(1607),
    [anon_sym_SLASH_EQ] = ACTIONS(1607),
    [anon_sym_PERCENT_EQ] = ACTIONS(1607),
    [anon_sym_BANG_EQ] = ACTIONS(1605),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1607),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1607),
    [anon_sym_LT_EQ] = ACTIONS(1607),
    [anon_sym_GT_EQ] = ACTIONS(1607),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1093),
    [anon_sym_PLUS] = ACTIONS(1097),
    [anon_sym_DASH] = ACTIONS(1097),
    [anon_sym_STAR] = ACTIONS(1605),
    [anon_sym_SLASH] = ACTIONS(1605),
    [anon_sym_PERCENT] = ACTIONS(1605),
    [anon_sym_PLUS_PLUS] = ACTIONS(1067),
    [anon_sym_DASH_DASH] = ACTIONS(1067),
    [anon_sym_TILDE] = ACTIONS(1067),
    [anon_sym_PIPE] = ACTIONS(1607),
    [anon_sym_CARET] = ACTIONS(1605),
    [anon_sym_LT_LT] = ACTIONS(1607),
    [anon_sym_GT_GT] = ACTIONS(1607),
    [anon_sym_BANG2] = ACTIONS(1099),
    [anon_sym_borrowing] = ACTIONS(1037),
    [anon_sym_consuming] = ACTIONS(1037),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(1103),
    [sym__dot_custom] = ACTIONS(1307),
    [sym__eq_custom] = ACTIONS(1607),
    [sym__eq_eq_custom] = ACTIONS(1607),
    [sym__plus_then_ws] = ACTIONS(1607),
    [sym__minus_then_ws] = ACTIONS(1607),
    [sym__bang_custom] = ACTIONS(1107),
    [sym__custom_operator] = ACTIONS(1075),
  },
  [340] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1441),
    [sym_boolean_literal] = STATE(1441),
    [sym__string_literal] = STATE(1441),
    [sym_line_string_literal] = STATE(1441),
    [sym_multi_line_string_literal] = STATE(1441),
    [sym_raw_string_literal] = STATE(1441),
    [sym_regex_literal] = STATE(1441),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1441),
    [sym__unary_expression] = STATE(1441),
    [sym_postfix_expression] = STATE(1441),
    [sym_constructor_expression] = STATE(1441),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1441),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1441),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1441),
    [sym_prefix_expression] = STATE(1441),
    [sym_as_expression] = STATE(1441),
    [sym_selector_expression] = STATE(1441),
    [sym__binary_expression] = STATE(1441),
    [sym_multiplicative_expression] = STATE(1441),
    [sym_additive_expression] = STATE(1441),
    [sym_range_expression] = STATE(1441),
    [sym_infix_expression] = STATE(1441),
    [sym_nil_coalescing_expression] = STATE(1441),
    [sym_check_expression] = STATE(1441),
    [sym_comparison_expression] = STATE(1441),
    [sym_equality_expression] = STATE(1441),
    [sym_conjunction_expression] = STATE(1441),
    [sym_disjunction_expression] = STATE(1441),
    [sym_bitwise_operation] = STATE(1441),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1441),
    [sym_await_expression] = STATE(1441),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1441),
    [sym_call_expression] = STATE(1441),
    [sym__primary_expression] = STATE(1441),
    [sym_tuple_expression] = STATE(1441),
    [sym_array_literal] = STATE(1441),
    [sym_dictionary_literal] = STATE(1441),
    [sym__dictionary_literal_item] = STATE(7599),
    [sym__special_literal] = STATE(1441),
    [sym__playground_literal] = STATE(1441),
    [sym_lambda_literal] = STATE(1441),
    [sym_self_expression] = STATE(1441),
    [sym_super_expression] = STATE(1441),
    [sym_if_statement] = STATE(1441),
    [sym_switch_statement] = STATE(1441),
    [sym_key_path_expression] = STATE(1441),
    [sym_key_path_string_expression] = STATE(1441),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1441),
    [sym__equality_operator] = STATE(1441),
    [sym__comparison_operator] = STATE(1441),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1441),
    [sym__multiplicative_operator] = STATE(1441),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1441),
    [sym_value_parameter_pack] = STATE(1441),
    [sym_value_pack_expansion] = STATE(1441),
    [sym__referenceable_operator] = STATE(1441),
    [sym__equal_sign] = STATE(1441),
    [sym__eq_eq] = STATE(1441),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1587),
    [sym_real_literal] = ACTIONS(1589),
    [sym_integer_literal] = ACTIONS(1587),
    [sym_hex_literal] = ACTIONS(1589),
    [sym_oct_literal] = ACTIONS(1589),
    [sym_bin_literal] = ACTIONS(1589),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_RBRACK] = ACTIONS(1681),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1587),
    [anon_sym_GT] = ACTIONS(1587),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1587),
    [anon_sym_POUNDfileID] = ACTIONS(1589),
    [anon_sym_POUNDfilePath] = ACTIONS(1589),
    [anon_sym_POUNDline] = ACTIONS(1589),
    [anon_sym_POUNDcolumn] = ACTIONS(1589),
    [anon_sym_POUNDfunction] = ACTIONS(1589),
    [anon_sym_POUNDdsohandle] = ACTIONS(1589),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1589),
    [anon_sym_DASH_EQ] = ACTIONS(1589),
    [anon_sym_STAR_EQ] = ACTIONS(1589),
    [anon_sym_SLASH_EQ] = ACTIONS(1589),
    [anon_sym_PERCENT_EQ] = ACTIONS(1589),
    [anon_sym_BANG_EQ] = ACTIONS(1587),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1589),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1589),
    [anon_sym_LT_EQ] = ACTIONS(1589),
    [anon_sym_GT_EQ] = ACTIONS(1589),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1587),
    [anon_sym_SLASH] = ACTIONS(1587),
    [anon_sym_PERCENT] = ACTIONS(1587),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1589),
    [anon_sym_CARET] = ACTIONS(1587),
    [anon_sym_LT_LT] = ACTIONS(1589),
    [anon_sym_GT_GT] = ACTIONS(1589),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1589),
    [sym__eq_eq_custom] = ACTIONS(1589),
    [sym__plus_then_ws] = ACTIONS(1589),
    [sym__minus_then_ws] = ACTIONS(1589),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [341] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(626),
    [sym_boolean_literal] = STATE(626),
    [sym__string_literal] = STATE(626),
    [sym_line_string_literal] = STATE(626),
    [sym_multi_line_string_literal] = STATE(626),
    [sym_raw_string_literal] = STATE(626),
    [sym_regex_literal] = STATE(626),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5550),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5550),
    [sym_dictionary_type] = STATE(5550),
    [sym__expression] = STATE(626),
    [sym__unary_expression] = STATE(626),
    [sym_postfix_expression] = STATE(626),
    [sym_constructor_expression] = STATE(626),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(626),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(626),
    [sym__range_operator] = STATE(596),
    [sym_open_end_range_expression] = STATE(626),
    [sym_prefix_expression] = STATE(626),
    [sym_as_expression] = STATE(626),
    [sym_selector_expression] = STATE(626),
    [sym__binary_expression] = STATE(626),
    [sym_multiplicative_expression] = STATE(626),
    [sym_additive_expression] = STATE(626),
    [sym_range_expression] = STATE(626),
    [sym_infix_expression] = STATE(626),
    [sym_nil_coalescing_expression] = STATE(626),
    [sym_check_expression] = STATE(626),
    [sym_comparison_expression] = STATE(626),
    [sym_equality_expression] = STATE(626),
    [sym_conjunction_expression] = STATE(626),
    [sym_disjunction_expression] = STATE(626),
    [sym_bitwise_operation] = STATE(626),
    [sym_custom_operator] = STATE(609),
    [sym_try_expression] = STATE(626),
    [sym_await_expression] = STATE(626),
    [sym__await_operator] = STATE(599),
    [sym_ternary_expression] = STATE(626),
    [sym__expr_hack_at_ternary_binary_suffix] = STATE(756),
    [sym_expr_hack_at_ternary_binary_call] = STATE(756),
    [sym_call_expression] = STATE(626),
    [sym__primary_expression] = STATE(626),
    [sym_tuple_expression] = STATE(626),
    [sym_array_literal] = STATE(626),
    [sym_dictionary_literal] = STATE(626),
    [sym__special_literal] = STATE(626),
    [sym__playground_literal] = STATE(626),
    [sym_lambda_literal] = STATE(626),
    [sym_self_expression] = STATE(626),
    [sym_super_expression] = STATE(626),
    [sym_if_statement] = STATE(626),
    [sym_switch_statement] = STATE(626),
    [sym_key_path_expression] = STATE(626),
    [sym_key_path_string_expression] = STATE(626),
    [sym_try_operator] = STATE(453),
    [sym__assignment_and_operator] = STATE(626),
    [sym__equality_operator] = STATE(626),
    [sym__comparison_operator] = STATE(626),
    [sym__three_dot_operator] = STATE(604),
    [sym__open_ended_range_operator] = STATE(596),
    [sym__additive_operator] = STATE(626),
    [sym__multiplicative_operator] = STATE(626),
    [sym__prefix_unary_operator] = STATE(445),
    [sym_directly_assignable_expression] = STATE(5552),
    [sym_assignment] = STATE(626),
    [sym_value_parameter_pack] = STATE(626),
    [sym_value_pack_expansion] = STATE(626),
    [sym__referenceable_operator] = STATE(626),
    [sym__equal_sign] = STATE(626),
    [sym__eq_eq] = STATE(626),
    [sym__dot] = STATE(445),
    [sym_bang] = STATE(609),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(621),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(623),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1635),
    [sym_real_literal] = ACTIONS(1637),
    [sym_integer_literal] = ACTIONS(1635),
    [sym_hex_literal] = ACTIONS(1637),
    [sym_oct_literal] = ACTIONS(1637),
    [sym_bin_literal] = ACTIONS(1637),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(629),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(639),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(641),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(643),
    [anon_sym_LT] = ACTIONS(1635),
    [anon_sym_GT] = ACTIONS(1635),
    [anon_sym_await] = ACTIONS(645),
    [anon_sym_POUNDfile] = ACTIONS(1635),
    [anon_sym_POUNDfileID] = ACTIONS(1637),
    [anon_sym_POUNDfilePath] = ACTIONS(1637),
    [anon_sym_POUNDline] = ACTIONS(1637),
    [anon_sym_POUNDcolumn] = ACTIONS(1637),
    [anon_sym_POUNDfunction] = ACTIONS(1637),
    [anon_sym_POUNDdsohandle] = ACTIONS(1637),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1637),
    [anon_sym_DASH_EQ] = ACTIONS(1637),
    [anon_sym_STAR_EQ] = ACTIONS(1637),
    [anon_sym_SLASH_EQ] = ACTIONS(1637),
    [anon_sym_PERCENT_EQ] = ACTIONS(1637),
    [anon_sym_BANG_EQ] = ACTIONS(1635),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1637),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1637),
    [anon_sym_LT_EQ] = ACTIONS(1637),
    [anon_sym_GT_EQ] = ACTIONS(1637),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(649),
    [anon_sym_DOT_DOT_LT] = ACTIONS(651),
    [anon_sym_PLUS] = ACTIONS(653),
    [anon_sym_DASH] = ACTIONS(653),
    [anon_sym_STAR] = ACTIONS(1635),
    [anon_sym_SLASH] = ACTIONS(1635),
    [anon_sym_PERCENT] = ACTIONS(1635),
    [anon_sym_PLUS_PLUS] = ACTIONS(639),
    [anon_sym_DASH_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(639),
    [anon_sym_PIPE] = ACTIONS(1637),
    [anon_sym_CARET] = ACTIONS(1635),
    [anon_sym_LT_LT] = ACTIONS(1637),
    [anon_sym_GT_GT] = ACTIONS(1637),
    [anon_sym_BANG2] = ACTIONS(655),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(657),
    [sym__eq_custom] = ACTIONS(1637),
    [sym__eq_eq_custom] = ACTIONS(1637),
    [sym__plus_then_ws] = ACTIONS(1637),
    [sym__minus_then_ws] = ACTIONS(1637),
    [sym__bang_custom] = ACTIONS(659),
    [sym__custom_operator] = ACTIONS(643),
  },
  [342] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(626),
    [sym_boolean_literal] = STATE(626),
    [sym__string_literal] = STATE(626),
    [sym_line_string_literal] = STATE(626),
    [sym_multi_line_string_literal] = STATE(626),
    [sym_raw_string_literal] = STATE(626),
    [sym_regex_literal] = STATE(626),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5550),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5550),
    [sym_dictionary_type] = STATE(5550),
    [sym__expression] = STATE(626),
    [sym__unary_expression] = STATE(626),
    [sym_postfix_expression] = STATE(626),
    [sym_constructor_expression] = STATE(626),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(626),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(626),
    [sym__range_operator] = STATE(596),
    [sym_open_end_range_expression] = STATE(626),
    [sym_prefix_expression] = STATE(626),
    [sym_as_expression] = STATE(626),
    [sym_selector_expression] = STATE(626),
    [sym__binary_expression] = STATE(626),
    [sym_multiplicative_expression] = STATE(626),
    [sym_additive_expression] = STATE(626),
    [sym_range_expression] = STATE(626),
    [sym_infix_expression] = STATE(626),
    [sym_nil_coalescing_expression] = STATE(626),
    [sym_check_expression] = STATE(626),
    [sym_comparison_expression] = STATE(626),
    [sym_equality_expression] = STATE(626),
    [sym_conjunction_expression] = STATE(626),
    [sym_disjunction_expression] = STATE(626),
    [sym_bitwise_operation] = STATE(626),
    [sym_custom_operator] = STATE(609),
    [sym_try_expression] = STATE(626),
    [sym_await_expression] = STATE(626),
    [sym__await_operator] = STATE(599),
    [sym_ternary_expression] = STATE(626),
    [sym__expr_hack_at_ternary_binary_suffix] = STATE(755),
    [sym_expr_hack_at_ternary_binary_call] = STATE(755),
    [sym_call_expression] = STATE(626),
    [sym__primary_expression] = STATE(626),
    [sym_tuple_expression] = STATE(626),
    [sym_array_literal] = STATE(626),
    [sym_dictionary_literal] = STATE(626),
    [sym__special_literal] = STATE(626),
    [sym__playground_literal] = STATE(626),
    [sym_lambda_literal] = STATE(626),
    [sym_self_expression] = STATE(626),
    [sym_super_expression] = STATE(626),
    [sym_if_statement] = STATE(626),
    [sym_switch_statement] = STATE(626),
    [sym_key_path_expression] = STATE(626),
    [sym_key_path_string_expression] = STATE(626),
    [sym_try_operator] = STATE(453),
    [sym__assignment_and_operator] = STATE(626),
    [sym__equality_operator] = STATE(626),
    [sym__comparison_operator] = STATE(626),
    [sym__three_dot_operator] = STATE(604),
    [sym__open_ended_range_operator] = STATE(596),
    [sym__additive_operator] = STATE(626),
    [sym__multiplicative_operator] = STATE(626),
    [sym__prefix_unary_operator] = STATE(445),
    [sym_directly_assignable_expression] = STATE(5552),
    [sym_assignment] = STATE(626),
    [sym_value_parameter_pack] = STATE(626),
    [sym_value_pack_expansion] = STATE(626),
    [sym__referenceable_operator] = STATE(626),
    [sym__equal_sign] = STATE(626),
    [sym__eq_eq] = STATE(626),
    [sym__dot] = STATE(445),
    [sym_bang] = STATE(609),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(621),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(623),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1635),
    [sym_real_literal] = ACTIONS(1637),
    [sym_integer_literal] = ACTIONS(1635),
    [sym_hex_literal] = ACTIONS(1637),
    [sym_oct_literal] = ACTIONS(1637),
    [sym_bin_literal] = ACTIONS(1637),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(629),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(639),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(641),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(643),
    [anon_sym_LT] = ACTIONS(1635),
    [anon_sym_GT] = ACTIONS(1635),
    [anon_sym_await] = ACTIONS(645),
    [anon_sym_POUNDfile] = ACTIONS(1635),
    [anon_sym_POUNDfileID] = ACTIONS(1637),
    [anon_sym_POUNDfilePath] = ACTIONS(1637),
    [anon_sym_POUNDline] = ACTIONS(1637),
    [anon_sym_POUNDcolumn] = ACTIONS(1637),
    [anon_sym_POUNDfunction] = ACTIONS(1637),
    [anon_sym_POUNDdsohandle] = ACTIONS(1637),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1637),
    [anon_sym_DASH_EQ] = ACTIONS(1637),
    [anon_sym_STAR_EQ] = ACTIONS(1637),
    [anon_sym_SLASH_EQ] = ACTIONS(1637),
    [anon_sym_PERCENT_EQ] = ACTIONS(1637),
    [anon_sym_BANG_EQ] = ACTIONS(1635),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1637),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1637),
    [anon_sym_LT_EQ] = ACTIONS(1637),
    [anon_sym_GT_EQ] = ACTIONS(1637),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(649),
    [anon_sym_DOT_DOT_LT] = ACTIONS(651),
    [anon_sym_PLUS] = ACTIONS(653),
    [anon_sym_DASH] = ACTIONS(653),
    [anon_sym_STAR] = ACTIONS(1635),
    [anon_sym_SLASH] = ACTIONS(1635),
    [anon_sym_PERCENT] = ACTIONS(1635),
    [anon_sym_PLUS_PLUS] = ACTIONS(639),
    [anon_sym_DASH_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(639),
    [anon_sym_PIPE] = ACTIONS(1637),
    [anon_sym_CARET] = ACTIONS(1635),
    [anon_sym_LT_LT] = ACTIONS(1637),
    [anon_sym_GT_GT] = ACTIONS(1637),
    [anon_sym_BANG2] = ACTIONS(655),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(657),
    [sym__eq_custom] = ACTIONS(1637),
    [sym__eq_eq_custom] = ACTIONS(1637),
    [sym__plus_then_ws] = ACTIONS(1637),
    [sym__minus_then_ws] = ACTIONS(1637),
    [sym__bang_custom] = ACTIONS(659),
    [sym__custom_operator] = ACTIONS(643),
  },
  [343] = {
    [sym_simple_identifier] = STATE(2072),
    [sym__contextual_simple_identifier] = STATE(2016),
    [sym__basic_literal] = STATE(1251),
    [sym_boolean_literal] = STATE(1251),
    [sym__string_literal] = STATE(1251),
    [sym_line_string_literal] = STATE(1251),
    [sym_multi_line_string_literal] = STATE(1251),
    [sym_raw_string_literal] = STATE(1251),
    [sym_regex_literal] = STATE(1251),
    [sym__multiline_regex_literal] = STATE(2164),
    [sym_user_type] = STATE(5497),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5497),
    [sym_dictionary_type] = STATE(5497),
    [sym__expression] = STATE(1251),
    [sym__unary_expression] = STATE(1251),
    [sym_postfix_expression] = STATE(1251),
    [sym_constructor_expression] = STATE(1251),
    [sym__parenthesized_type] = STATE(6725),
    [sym_navigation_expression] = STATE(1251),
    [sym__navigable_type_expression] = STATE(6724),
    [sym_open_start_range_expression] = STATE(1251),
    [sym__range_operator] = STATE(467),
    [sym_open_end_range_expression] = STATE(1251),
    [sym_prefix_expression] = STATE(1251),
    [sym_as_expression] = STATE(1251),
    [sym_selector_expression] = STATE(1251),
    [sym__binary_expression] = STATE(1251),
    [sym_multiplicative_expression] = STATE(1251),
    [sym_additive_expression] = STATE(1251),
    [sym_range_expression] = STATE(1251),
    [sym_infix_expression] = STATE(1251),
    [sym_nil_coalescing_expression] = STATE(1251),
    [sym_check_expression] = STATE(1251),
    [sym_comparison_expression] = STATE(1251),
    [sym_equality_expression] = STATE(1251),
    [sym_conjunction_expression] = STATE(1251),
    [sym_disjunction_expression] = STATE(1251),
    [sym_bitwise_operation] = STATE(1251),
    [sym_custom_operator] = STATE(835),
    [sym_try_expression] = STATE(1251),
    [sym_await_expression] = STATE(1251),
    [sym__await_operator] = STATE(466),
    [sym_ternary_expression] = STATE(1251),
    [sym__expr_hack_at_ternary_binary_suffix] = STATE(2245),
    [sym_expr_hack_at_ternary_binary_call] = STATE(2245),
    [sym_call_expression] = STATE(1251),
    [sym__primary_expression] = STATE(1251),
    [sym_tuple_expression] = STATE(1251),
    [sym_array_literal] = STATE(1251),
    [sym_dictionary_literal] = STATE(1251),
    [sym__special_literal] = STATE(1251),
    [sym__playground_literal] = STATE(1251),
    [sym_lambda_literal] = STATE(1251),
    [sym_self_expression] = STATE(1251),
    [sym_super_expression] = STATE(1251),
    [sym_if_statement] = STATE(1251),
    [sym_switch_statement] = STATE(1251),
    [sym_key_path_expression] = STATE(1251),
    [sym_key_path_string_expression] = STATE(1251),
    [sym_try_operator] = STATE(455),
    [sym__assignment_and_operator] = STATE(1251),
    [sym__equality_operator] = STATE(1251),
    [sym__comparison_operator] = STATE(1251),
    [sym__three_dot_operator] = STATE(837),
    [sym__open_ended_range_operator] = STATE(467),
    [sym__additive_operator] = STATE(1251),
    [sym__multiplicative_operator] = STATE(1251),
    [sym__prefix_unary_operator] = STATE(468),
    [sym_directly_assignable_expression] = STATE(5498),
    [sym_assignment] = STATE(1251),
    [sym_value_parameter_pack] = STATE(1251),
    [sym_value_pack_expansion] = STATE(1251),
    [sym__referenceable_operator] = STATE(1251),
    [sym__equal_sign] = STATE(1251),
    [sym__eq_eq] = STATE(1251),
    [sym__dot] = STATE(468),
    [sym_bang] = STATE(835),
    [sym__parameter_ownership_modifier] = STATE(2016),
    [aux_sym_raw_string_literal_repeat1] = STATE(6553),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(971),
    [aux_sym_simple_identifier_token2] = ACTIONS(973),
    [aux_sym_simple_identifier_token3] = ACTIONS(973),
    [aux_sym_simple_identifier_token4] = ACTIONS(973),
    [anon_sym_actor] = ACTIONS(971),
    [anon_sym_async] = ACTIONS(971),
    [anon_sym_each] = ACTIONS(975),
    [anon_sym_lazy] = ACTIONS(971),
    [anon_sym_repeat] = ACTIONS(977),
    [anon_sym_package] = ACTIONS(971),
    [anon_sym_nil] = ACTIONS(1583),
    [sym_real_literal] = ACTIONS(1585),
    [sym_integer_literal] = ACTIONS(1583),
    [sym_hex_literal] = ACTIONS(1585),
    [sym_oct_literal] = ACTIONS(1585),
    [sym_bin_literal] = ACTIONS(1585),
    [anon_sym_true] = ACTIONS(983),
    [anon_sym_false] = ACTIONS(983),
    [anon_sym_DQUOTE] = ACTIONS(985),
    [anon_sym_BSLASH] = ACTIONS(987),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(989),
    [sym__extended_regex_literal] = ACTIONS(991),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(993),
    [sym__oneline_regex_literal] = ACTIONS(995),
    [anon_sym_LPAREN] = ACTIONS(997),
    [anon_sym_LBRACK] = ACTIONS(999),
    [anon_sym_AMP] = ACTIONS(1001),
    [anon_sym_if] = ACTIONS(1003),
    [anon_sym_switch] = ACTIONS(1005),
    [anon_sym_POUNDselector] = ACTIONS(1007),
    [aux_sym_custom_operator_token1] = ACTIONS(1009),
    [anon_sym_LT] = ACTIONS(1583),
    [anon_sym_GT] = ACTIONS(1583),
    [anon_sym_await] = ACTIONS(1011),
    [anon_sym_POUNDfile] = ACTIONS(1583),
    [anon_sym_POUNDfileID] = ACTIONS(1585),
    [anon_sym_POUNDfilePath] = ACTIONS(1585),
    [anon_sym_POUNDline] = ACTIONS(1585),
    [anon_sym_POUNDcolumn] = ACTIONS(1585),
    [anon_sym_POUNDfunction] = ACTIONS(1585),
    [anon_sym_POUNDdsohandle] = ACTIONS(1585),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(1013),
    [anon_sym_POUNDfileLiteral] = ACTIONS(1013),
    [anon_sym_POUNDimageLiteral] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(1015),
    [anon_sym_CARET_LBRACE] = ACTIONS(1015),
    [anon_sym_self] = ACTIONS(1017),
    [anon_sym_super] = ACTIONS(1019),
    [anon_sym_POUNDkeyPath] = ACTIONS(1021),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1585),
    [anon_sym_DASH_EQ] = ACTIONS(1585),
    [anon_sym_STAR_EQ] = ACTIONS(1585),
    [anon_sym_SLASH_EQ] = ACTIONS(1585),
    [anon_sym_PERCENT_EQ] = ACTIONS(1585),
    [anon_sym_BANG_EQ] = ACTIONS(1583),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1585),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1585),
    [anon_sym_LT_EQ] = ACTIONS(1585),
    [anon_sym_GT_EQ] = ACTIONS(1585),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1023),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1025),
    [anon_sym_PLUS] = ACTIONS(1027),
    [anon_sym_DASH] = ACTIONS(1027),
    [anon_sym_STAR] = ACTIONS(1583),
    [anon_sym_SLASH] = ACTIONS(1583),
    [anon_sym_PERCENT] = ACTIONS(1583),
    [anon_sym_PLUS_PLUS] = ACTIONS(1001),
    [anon_sym_DASH_DASH] = ACTIONS(1001),
    [anon_sym_TILDE] = ACTIONS(1001),
    [anon_sym_PIPE] = ACTIONS(1585),
    [anon_sym_CARET] = ACTIONS(1583),
    [anon_sym_LT_LT] = ACTIONS(1585),
    [anon_sym_GT_GT] = ACTIONS(1585),
    [anon_sym_BANG2] = ACTIONS(1029),
    [anon_sym_borrowing] = ACTIONS(971),
    [anon_sym_consuming] = ACTIONS(971),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(1031),
    [sym__dot_custom] = ACTIONS(1033),
    [sym__eq_custom] = ACTIONS(1585),
    [sym__eq_eq_custom] = ACTIONS(1585),
    [sym__plus_then_ws] = ACTIONS(1585),
    [sym__minus_then_ws] = ACTIONS(1585),
    [sym__bang_custom] = ACTIONS(1035),
    [sym__custom_operator] = ACTIONS(1009),
  },
  [344] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1417),
    [sym_boolean_literal] = STATE(1417),
    [sym__string_literal] = STATE(1417),
    [sym_line_string_literal] = STATE(1417),
    [sym_multi_line_string_literal] = STATE(1417),
    [sym_raw_string_literal] = STATE(1417),
    [sym_regex_literal] = STATE(1417),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1417),
    [sym__unary_expression] = STATE(1417),
    [sym_postfix_expression] = STATE(1417),
    [sym_constructor_expression] = STATE(1417),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1417),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1417),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1417),
    [sym_prefix_expression] = STATE(1417),
    [sym_as_expression] = STATE(1417),
    [sym_selector_expression] = STATE(1417),
    [sym__binary_expression] = STATE(1417),
    [sym_multiplicative_expression] = STATE(1417),
    [sym_additive_expression] = STATE(1417),
    [sym_range_expression] = STATE(1417),
    [sym_infix_expression] = STATE(1417),
    [sym_nil_coalescing_expression] = STATE(1417),
    [sym_check_expression] = STATE(1417),
    [sym_comparison_expression] = STATE(1417),
    [sym_equality_expression] = STATE(1417),
    [sym_conjunction_expression] = STATE(1417),
    [sym_disjunction_expression] = STATE(1417),
    [sym_bitwise_operation] = STATE(1417),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1417),
    [sym_await_expression] = STATE(1417),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1417),
    [sym_call_expression] = STATE(1417),
    [sym__primary_expression] = STATE(1417),
    [sym_tuple_expression] = STATE(1417),
    [sym_array_literal] = STATE(1417),
    [sym_dictionary_literal] = STATE(1417),
    [sym__special_literal] = STATE(1417),
    [sym__playground_literal] = STATE(1417),
    [sym_lambda_literal] = STATE(1417),
    [sym_self_expression] = STATE(1417),
    [sym_super_expression] = STATE(1417),
    [sym_if_statement] = STATE(1417),
    [sym_switch_statement] = STATE(1417),
    [sym_key_path_expression] = STATE(1417),
    [sym_key_path_string_expression] = STATE(1417),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1417),
    [sym__equality_operator] = STATE(1417),
    [sym__comparison_operator] = STATE(1417),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1417),
    [sym__multiplicative_operator] = STATE(1417),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1417),
    [sym_value_parameter_pack] = STATE(1417),
    [sym_value_pack_expansion] = STATE(1417),
    [sym__referenceable_operator] = STATE(1417),
    [sym__equal_sign] = STATE(1417),
    [sym__eq_eq] = STATE(1417),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1683),
    [sym_real_literal] = ACTIONS(1685),
    [sym_integer_literal] = ACTIONS(1683),
    [sym_hex_literal] = ACTIONS(1685),
    [sym_oct_literal] = ACTIONS(1685),
    [sym_bin_literal] = ACTIONS(1685),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [anon_sym_getter_COLON] = ACTIONS(1687),
    [anon_sym_setter_COLON] = ACTIONS(1687),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1683),
    [anon_sym_GT] = ACTIONS(1683),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1683),
    [anon_sym_POUNDfileID] = ACTIONS(1685),
    [anon_sym_POUNDfilePath] = ACTIONS(1685),
    [anon_sym_POUNDline] = ACTIONS(1685),
    [anon_sym_POUNDcolumn] = ACTIONS(1685),
    [anon_sym_POUNDfunction] = ACTIONS(1685),
    [anon_sym_POUNDdsohandle] = ACTIONS(1685),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1685),
    [anon_sym_DASH_EQ] = ACTIONS(1685),
    [anon_sym_STAR_EQ] = ACTIONS(1685),
    [anon_sym_SLASH_EQ] = ACTIONS(1685),
    [anon_sym_PERCENT_EQ] = ACTIONS(1685),
    [anon_sym_BANG_EQ] = ACTIONS(1683),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1685),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1685),
    [anon_sym_LT_EQ] = ACTIONS(1685),
    [anon_sym_GT_EQ] = ACTIONS(1685),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1683),
    [anon_sym_SLASH] = ACTIONS(1683),
    [anon_sym_PERCENT] = ACTIONS(1683),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1685),
    [anon_sym_CARET] = ACTIONS(1683),
    [anon_sym_LT_LT] = ACTIONS(1685),
    [anon_sym_GT_GT] = ACTIONS(1685),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1685),
    [sym__eq_eq_custom] = ACTIONS(1685),
    [sym__plus_then_ws] = ACTIONS(1685),
    [sym__minus_then_ws] = ACTIONS(1685),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [345] = {
    [sym_simple_identifier] = STATE(2573),
    [sym__contextual_simple_identifier] = STATE(2374),
    [sym__basic_literal] = STATE(1297),
    [sym_boolean_literal] = STATE(1297),
    [sym__string_literal] = STATE(1297),
    [sym_line_string_literal] = STATE(1297),
    [sym_multi_line_string_literal] = STATE(1297),
    [sym_raw_string_literal] = STATE(1297),
    [sym_regex_literal] = STATE(1297),
    [sym__multiline_regex_literal] = STATE(2929),
    [sym_user_type] = STATE(5443),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5443),
    [sym_dictionary_type] = STATE(5443),
    [sym__expression] = STATE(1297),
    [sym__unary_expression] = STATE(1297),
    [sym_postfix_expression] = STATE(1297),
    [sym_constructor_expression] = STATE(1297),
    [sym__parenthesized_type] = STATE(7012),
    [sym_navigation_expression] = STATE(1297),
    [sym__navigable_type_expression] = STATE(7009),
    [sym_open_start_range_expression] = STATE(1297),
    [sym__range_operator] = STATE(557),
    [sym_open_end_range_expression] = STATE(1297),
    [sym_prefix_expression] = STATE(1297),
    [sym_as_expression] = STATE(1297),
    [sym_selector_expression] = STATE(1297),
    [sym__binary_expression] = STATE(1297),
    [sym_multiplicative_expression] = STATE(1297),
    [sym_additive_expression] = STATE(1297),
    [sym_range_expression] = STATE(1297),
    [sym_infix_expression] = STATE(1297),
    [sym_nil_coalescing_expression] = STATE(1297),
    [sym_check_expression] = STATE(1297),
    [sym_comparison_expression] = STATE(1297),
    [sym_equality_expression] = STATE(1297),
    [sym_conjunction_expression] = STATE(1297),
    [sym_disjunction_expression] = STATE(1297),
    [sym_bitwise_operation] = STATE(1297),
    [sym_custom_operator] = STATE(878),
    [sym_try_expression] = STATE(1297),
    [sym_await_expression] = STATE(1297),
    [sym__await_operator] = STATE(450),
    [sym_ternary_expression] = STATE(1297),
    [sym__expr_hack_at_ternary_binary_suffix] = STATE(3009),
    [sym_expr_hack_at_ternary_binary_call] = STATE(3009),
    [sym_call_expression] = STATE(1297),
    [sym__primary_expression] = STATE(1297),
    [sym_tuple_expression] = STATE(1297),
    [sym_array_literal] = STATE(1297),
    [sym_dictionary_literal] = STATE(1297),
    [sym__special_literal] = STATE(1297),
    [sym__playground_literal] = STATE(1297),
    [sym_lambda_literal] = STATE(1297),
    [sym_self_expression] = STATE(1297),
    [sym_super_expression] = STATE(1297),
    [sym_if_statement] = STATE(1297),
    [sym_switch_statement] = STATE(1297),
    [sym_key_path_expression] = STATE(1297),
    [sym_key_path_string_expression] = STATE(1297),
    [sym_try_operator] = STATE(451),
    [sym__assignment_and_operator] = STATE(1297),
    [sym__equality_operator] = STATE(1297),
    [sym__comparison_operator] = STATE(1297),
    [sym__three_dot_operator] = STATE(884),
    [sym__open_ended_range_operator] = STATE(557),
    [sym__additive_operator] = STATE(1297),
    [sym__multiplicative_operator] = STATE(1297),
    [sym__prefix_unary_operator] = STATE(471),
    [sym_directly_assignable_expression] = STATE(5445),
    [sym_assignment] = STATE(1297),
    [sym_value_parameter_pack] = STATE(1297),
    [sym_value_pack_expansion] = STATE(1297),
    [sym__referenceable_operator] = STATE(1297),
    [sym__equal_sign] = STATE(1297),
    [sym__eq_eq] = STATE(1297),
    [sym__dot] = STATE(471),
    [sym_bang] = STATE(878),
    [sym__parameter_ownership_modifier] = STATE(2374),
    [aux_sym_raw_string_literal_repeat1] = STATE(7006),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(1037),
    [aux_sym_simple_identifier_token2] = ACTIONS(1039),
    [aux_sym_simple_identifier_token3] = ACTIONS(1039),
    [aux_sym_simple_identifier_token4] = ACTIONS(1039),
    [anon_sym_actor] = ACTIONS(1037),
    [anon_sym_async] = ACTIONS(1037),
    [anon_sym_each] = ACTIONS(1041),
    [anon_sym_lazy] = ACTIONS(1037),
    [anon_sym_repeat] = ACTIONS(1043),
    [anon_sym_package] = ACTIONS(1037),
    [anon_sym_nil] = ACTIONS(1597),
    [sym_real_literal] = ACTIONS(1599),
    [sym_integer_literal] = ACTIONS(1597),
    [sym_hex_literal] = ACTIONS(1599),
    [sym_oct_literal] = ACTIONS(1599),
    [sym_bin_literal] = ACTIONS(1599),
    [anon_sym_true] = ACTIONS(1049),
    [anon_sym_false] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_BSLASH] = ACTIONS(1053),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1055),
    [sym__extended_regex_literal] = ACTIONS(1057),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(1059),
    [sym__oneline_regex_literal] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_LBRACK] = ACTIONS(1065),
    [anon_sym_AMP] = ACTIONS(1067),
    [anon_sym_if] = ACTIONS(1069),
    [anon_sym_switch] = ACTIONS(1071),
    [anon_sym_POUNDselector] = ACTIONS(1073),
    [aux_sym_custom_operator_token1] = ACTIONS(1075),
    [anon_sym_LT] = ACTIONS(1597),
    [anon_sym_GT] = ACTIONS(1597),
    [anon_sym_await] = ACTIONS(1077),
    [anon_sym_POUNDfile] = ACTIONS(1597),
    [anon_sym_POUNDfileID] = ACTIONS(1599),
    [anon_sym_POUNDfilePath] = ACTIONS(1599),
    [anon_sym_POUNDline] = ACTIONS(1599),
    [anon_sym_POUNDcolumn] = ACTIONS(1599),
    [anon_sym_POUNDfunction] = ACTIONS(1599),
    [anon_sym_POUNDdsohandle] = ACTIONS(1599),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(1079),
    [anon_sym_POUNDfileLiteral] = ACTIONS(1079),
    [anon_sym_POUNDimageLiteral] = ACTIONS(1079),
    [anon_sym_LBRACE] = ACTIONS(1081),
    [anon_sym_CARET_LBRACE] = ACTIONS(1081),
    [anon_sym_self] = ACTIONS(1083),
    [anon_sym_super] = ACTIONS(1085),
    [anon_sym_POUNDkeyPath] = ACTIONS(1089),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1599),
    [anon_sym_DASH_EQ] = ACTIONS(1599),
    [anon_sym_STAR_EQ] = ACTIONS(1599),
    [anon_sym_SLASH_EQ] = ACTIONS(1599),
    [anon_sym_PERCENT_EQ] = ACTIONS(1599),
    [anon_sym_BANG_EQ] = ACTIONS(1597),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1599),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1599),
    [anon_sym_LT_EQ] = ACTIONS(1599),
    [anon_sym_GT_EQ] = ACTIONS(1599),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1093),
    [anon_sym_PLUS] = ACTIONS(1097),
    [anon_sym_DASH] = ACTIONS(1097),
    [anon_sym_STAR] = ACTIONS(1597),
    [anon_sym_SLASH] = ACTIONS(1597),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [anon_sym_PLUS_PLUS] = ACTIONS(1067),
    [anon_sym_DASH_DASH] = ACTIONS(1067),
    [anon_sym_TILDE] = ACTIONS(1067),
    [anon_sym_PIPE] = ACTIONS(1599),
    [anon_sym_CARET] = ACTIONS(1597),
    [anon_sym_LT_LT] = ACTIONS(1599),
    [anon_sym_GT_GT] = ACTIONS(1599),
    [anon_sym_BANG2] = ACTIONS(1099),
    [anon_sym_borrowing] = ACTIONS(1037),
    [anon_sym_consuming] = ACTIONS(1037),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(1103),
    [sym__dot_custom] = ACTIONS(1307),
    [sym__eq_custom] = ACTIONS(1599),
    [sym__eq_eq_custom] = ACTIONS(1599),
    [sym__plus_then_ws] = ACTIONS(1599),
    [sym__minus_then_ws] = ACTIONS(1599),
    [sym__bang_custom] = ACTIONS(1107),
    [sym__custom_operator] = ACTIONS(1075),
  },
  [346] = {
    [sym_simple_identifier] = STATE(2573),
    [sym__contextual_simple_identifier] = STATE(2374),
    [sym__basic_literal] = STATE(1297),
    [sym_boolean_literal] = STATE(1297),
    [sym__string_literal] = STATE(1297),
    [sym_line_string_literal] = STATE(1297),
    [sym_multi_line_string_literal] = STATE(1297),
    [sym_raw_string_literal] = STATE(1297),
    [sym_regex_literal] = STATE(1297),
    [sym__multiline_regex_literal] = STATE(2929),
    [sym_user_type] = STATE(5443),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5443),
    [sym_dictionary_type] = STATE(5443),
    [sym__expression] = STATE(1297),
    [sym__unary_expression] = STATE(1297),
    [sym_postfix_expression] = STATE(1297),
    [sym_constructor_expression] = STATE(1297),
    [sym__parenthesized_type] = STATE(7012),
    [sym_navigation_expression] = STATE(1297),
    [sym__navigable_type_expression] = STATE(7009),
    [sym_open_start_range_expression] = STATE(1297),
    [sym__range_operator] = STATE(557),
    [sym_open_end_range_expression] = STATE(1297),
    [sym_prefix_expression] = STATE(1297),
    [sym_as_expression] = STATE(1297),
    [sym_selector_expression] = STATE(1297),
    [sym__binary_expression] = STATE(1297),
    [sym_multiplicative_expression] = STATE(1297),
    [sym_additive_expression] = STATE(1297),
    [sym_range_expression] = STATE(1297),
    [sym_infix_expression] = STATE(1297),
    [sym_nil_coalescing_expression] = STATE(1297),
    [sym_check_expression] = STATE(1297),
    [sym_comparison_expression] = STATE(1297),
    [sym_equality_expression] = STATE(1297),
    [sym_conjunction_expression] = STATE(1297),
    [sym_disjunction_expression] = STATE(1297),
    [sym_bitwise_operation] = STATE(1297),
    [sym_custom_operator] = STATE(878),
    [sym_try_expression] = STATE(1297),
    [sym_await_expression] = STATE(1297),
    [sym__await_operator] = STATE(450),
    [sym_ternary_expression] = STATE(1297),
    [sym__expr_hack_at_ternary_binary_suffix] = STATE(3012),
    [sym_expr_hack_at_ternary_binary_call] = STATE(3012),
    [sym_call_expression] = STATE(1297),
    [sym__primary_expression] = STATE(1297),
    [sym_tuple_expression] = STATE(1297),
    [sym_array_literal] = STATE(1297),
    [sym_dictionary_literal] = STATE(1297),
    [sym__special_literal] = STATE(1297),
    [sym__playground_literal] = STATE(1297),
    [sym_lambda_literal] = STATE(1297),
    [sym_self_expression] = STATE(1297),
    [sym_super_expression] = STATE(1297),
    [sym_if_statement] = STATE(1297),
    [sym_switch_statement] = STATE(1297),
    [sym_key_path_expression] = STATE(1297),
    [sym_key_path_string_expression] = STATE(1297),
    [sym_try_operator] = STATE(451),
    [sym__assignment_and_operator] = STATE(1297),
    [sym__equality_operator] = STATE(1297),
    [sym__comparison_operator] = STATE(1297),
    [sym__three_dot_operator] = STATE(884),
    [sym__open_ended_range_operator] = STATE(557),
    [sym__additive_operator] = STATE(1297),
    [sym__multiplicative_operator] = STATE(1297),
    [sym__prefix_unary_operator] = STATE(471),
    [sym_directly_assignable_expression] = STATE(5445),
    [sym_assignment] = STATE(1297),
    [sym_value_parameter_pack] = STATE(1297),
    [sym_value_pack_expansion] = STATE(1297),
    [sym__referenceable_operator] = STATE(1297),
    [sym__equal_sign] = STATE(1297),
    [sym__eq_eq] = STATE(1297),
    [sym__dot] = STATE(471),
    [sym_bang] = STATE(878),
    [sym__parameter_ownership_modifier] = STATE(2374),
    [aux_sym_raw_string_literal_repeat1] = STATE(7006),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(1037),
    [aux_sym_simple_identifier_token2] = ACTIONS(1039),
    [aux_sym_simple_identifier_token3] = ACTIONS(1039),
    [aux_sym_simple_identifier_token4] = ACTIONS(1039),
    [anon_sym_actor] = ACTIONS(1037),
    [anon_sym_async] = ACTIONS(1037),
    [anon_sym_each] = ACTIONS(1041),
    [anon_sym_lazy] = ACTIONS(1037),
    [anon_sym_repeat] = ACTIONS(1043),
    [anon_sym_package] = ACTIONS(1037),
    [anon_sym_nil] = ACTIONS(1597),
    [sym_real_literal] = ACTIONS(1599),
    [sym_integer_literal] = ACTIONS(1597),
    [sym_hex_literal] = ACTIONS(1599),
    [sym_oct_literal] = ACTIONS(1599),
    [sym_bin_literal] = ACTIONS(1599),
    [anon_sym_true] = ACTIONS(1049),
    [anon_sym_false] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_BSLASH] = ACTIONS(1053),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1055),
    [sym__extended_regex_literal] = ACTIONS(1057),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(1059),
    [sym__oneline_regex_literal] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_LBRACK] = ACTIONS(1065),
    [anon_sym_AMP] = ACTIONS(1067),
    [anon_sym_if] = ACTIONS(1069),
    [anon_sym_switch] = ACTIONS(1071),
    [anon_sym_POUNDselector] = ACTIONS(1073),
    [aux_sym_custom_operator_token1] = ACTIONS(1075),
    [anon_sym_LT] = ACTIONS(1597),
    [anon_sym_GT] = ACTIONS(1597),
    [anon_sym_await] = ACTIONS(1077),
    [anon_sym_POUNDfile] = ACTIONS(1597),
    [anon_sym_POUNDfileID] = ACTIONS(1599),
    [anon_sym_POUNDfilePath] = ACTIONS(1599),
    [anon_sym_POUNDline] = ACTIONS(1599),
    [anon_sym_POUNDcolumn] = ACTIONS(1599),
    [anon_sym_POUNDfunction] = ACTIONS(1599),
    [anon_sym_POUNDdsohandle] = ACTIONS(1599),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(1079),
    [anon_sym_POUNDfileLiteral] = ACTIONS(1079),
    [anon_sym_POUNDimageLiteral] = ACTIONS(1079),
    [anon_sym_LBRACE] = ACTIONS(1081),
    [anon_sym_CARET_LBRACE] = ACTIONS(1081),
    [anon_sym_self] = ACTIONS(1083),
    [anon_sym_super] = ACTIONS(1085),
    [anon_sym_POUNDkeyPath] = ACTIONS(1089),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1599),
    [anon_sym_DASH_EQ] = ACTIONS(1599),
    [anon_sym_STAR_EQ] = ACTIONS(1599),
    [anon_sym_SLASH_EQ] = ACTIONS(1599),
    [anon_sym_PERCENT_EQ] = ACTIONS(1599),
    [anon_sym_BANG_EQ] = ACTIONS(1597),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1599),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1599),
    [anon_sym_LT_EQ] = ACTIONS(1599),
    [anon_sym_GT_EQ] = ACTIONS(1599),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1093),
    [anon_sym_PLUS] = ACTIONS(1097),
    [anon_sym_DASH] = ACTIONS(1097),
    [anon_sym_STAR] = ACTIONS(1597),
    [anon_sym_SLASH] = ACTIONS(1597),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [anon_sym_PLUS_PLUS] = ACTIONS(1067),
    [anon_sym_DASH_DASH] = ACTIONS(1067),
    [anon_sym_TILDE] = ACTIONS(1067),
    [anon_sym_PIPE] = ACTIONS(1599),
    [anon_sym_CARET] = ACTIONS(1597),
    [anon_sym_LT_LT] = ACTIONS(1599),
    [anon_sym_GT_GT] = ACTIONS(1599),
    [anon_sym_BANG2] = ACTIONS(1099),
    [anon_sym_borrowing] = ACTIONS(1037),
    [anon_sym_consuming] = ACTIONS(1037),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(1103),
    [sym__dot_custom] = ACTIONS(1307),
    [sym__eq_custom] = ACTIONS(1599),
    [sym__eq_eq_custom] = ACTIONS(1599),
    [sym__plus_then_ws] = ACTIONS(1599),
    [sym__minus_then_ws] = ACTIONS(1599),
    [sym__bang_custom] = ACTIONS(1107),
    [sym__custom_operator] = ACTIONS(1075),
  },
  [347] = {
    [sym_simple_identifier] = STATE(2573),
    [sym__contextual_simple_identifier] = STATE(2374),
    [sym__basic_literal] = STATE(1418),
    [sym_boolean_literal] = STATE(1418),
    [sym__string_literal] = STATE(1418),
    [sym_line_string_literal] = STATE(1418),
    [sym_multi_line_string_literal] = STATE(1418),
    [sym_raw_string_literal] = STATE(1418),
    [sym_regex_literal] = STATE(1418),
    [sym__multiline_regex_literal] = STATE(2929),
    [sym_user_type] = STATE(5443),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5443),
    [sym_dictionary_type] = STATE(5443),
    [sym__expression] = STATE(1418),
    [sym__unary_expression] = STATE(1418),
    [sym_postfix_expression] = STATE(1418),
    [sym_constructor_expression] = STATE(1418),
    [sym__parenthesized_type] = STATE(7012),
    [sym_navigation_expression] = STATE(1418),
    [sym__navigable_type_expression] = STATE(7009),
    [sym_open_start_range_expression] = STATE(1418),
    [sym__range_operator] = STATE(557),
    [sym_open_end_range_expression] = STATE(1418),
    [sym_prefix_expression] = STATE(1418),
    [sym_as_expression] = STATE(1418),
    [sym_selector_expression] = STATE(1418),
    [sym__binary_expression] = STATE(1418),
    [sym_multiplicative_expression] = STATE(1418),
    [sym_additive_expression] = STATE(1418),
    [sym_range_expression] = STATE(1418),
    [sym_infix_expression] = STATE(1418),
    [sym_nil_coalescing_expression] = STATE(1418),
    [sym_check_expression] = STATE(1418),
    [sym_comparison_expression] = STATE(1418),
    [sym_equality_expression] = STATE(1418),
    [sym_conjunction_expression] = STATE(1418),
    [sym_disjunction_expression] = STATE(1418),
    [sym_bitwise_operation] = STATE(1418),
    [sym_custom_operator] = STATE(878),
    [sym_try_expression] = STATE(1418),
    [sym_await_expression] = STATE(1418),
    [sym__await_operator] = STATE(564),
    [sym_ternary_expression] = STATE(1418),
    [sym_call_expression] = STATE(1418),
    [sym__primary_expression] = STATE(1418),
    [sym_tuple_expression] = STATE(1418),
    [sym_array_literal] = STATE(1418),
    [sym_dictionary_literal] = STATE(1418),
    [sym__special_literal] = STATE(1418),
    [sym__playground_literal] = STATE(1418),
    [sym_lambda_literal] = STATE(1418),
    [sym_self_expression] = STATE(1418),
    [sym_super_expression] = STATE(1418),
    [sym_if_statement] = STATE(1418),
    [sym_switch_statement] = STATE(1418),
    [sym_key_path_expression] = STATE(1418),
    [sym_key_path_string_expression] = STATE(1418),
    [sym_try_operator] = STATE(451),
    [sym__assignment_and_operator] = STATE(1418),
    [sym__equality_operator] = STATE(1418),
    [sym__comparison_operator] = STATE(1418),
    [sym__three_dot_operator] = STATE(884),
    [sym__open_ended_range_operator] = STATE(557),
    [sym__additive_operator] = STATE(1418),
    [sym__multiplicative_operator] = STATE(1418),
    [sym__prefix_unary_operator] = STATE(471),
    [sym_directly_assignable_expression] = STATE(5445),
    [sym__for_statement_collection] = STATE(6182),
    [sym_for_statement_await] = STATE(6182),
    [sym_assignment] = STATE(1418),
    [sym_value_parameter_pack] = STATE(1418),
    [sym_value_pack_expansion] = STATE(1418),
    [sym__referenceable_operator] = STATE(1418),
    [sym__equal_sign] = STATE(1418),
    [sym__eq_eq] = STATE(1418),
    [sym__dot] = STATE(471),
    [sym_bang] = STATE(878),
    [sym__parameter_ownership_modifier] = STATE(2374),
    [aux_sym_raw_string_literal_repeat1] = STATE(7006),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(1037),
    [aux_sym_simple_identifier_token2] = ACTIONS(1039),
    [aux_sym_simple_identifier_token3] = ACTIONS(1039),
    [aux_sym_simple_identifier_token4] = ACTIONS(1039),
    [anon_sym_actor] = ACTIONS(1037),
    [anon_sym_async] = ACTIONS(1037),
    [anon_sym_each] = ACTIONS(1041),
    [anon_sym_lazy] = ACTIONS(1037),
    [anon_sym_repeat] = ACTIONS(1043),
    [anon_sym_package] = ACTIONS(1037),
    [anon_sym_nil] = ACTIONS(1605),
    [sym_real_literal] = ACTIONS(1607),
    [sym_integer_literal] = ACTIONS(1605),
    [sym_hex_literal] = ACTIONS(1607),
    [sym_oct_literal] = ACTIONS(1607),
    [sym_bin_literal] = ACTIONS(1607),
    [anon_sym_true] = ACTIONS(1049),
    [anon_sym_false] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_BSLASH] = ACTIONS(1053),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1055),
    [sym__extended_regex_literal] = ACTIONS(1057),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(1059),
    [sym__oneline_regex_literal] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_LBRACK] = ACTIONS(1065),
    [anon_sym_AMP] = ACTIONS(1067),
    [anon_sym_if] = ACTIONS(1069),
    [anon_sym_switch] = ACTIONS(1071),
    [anon_sym_POUNDselector] = ACTIONS(1073),
    [aux_sym_custom_operator_token1] = ACTIONS(1075),
    [anon_sym_LT] = ACTIONS(1605),
    [anon_sym_GT] = ACTIONS(1605),
    [anon_sym_await] = ACTIONS(1609),
    [anon_sym_POUNDfile] = ACTIONS(1605),
    [anon_sym_POUNDfileID] = ACTIONS(1607),
    [anon_sym_POUNDfilePath] = ACTIONS(1607),
    [anon_sym_POUNDline] = ACTIONS(1607),
    [anon_sym_POUNDcolumn] = ACTIONS(1607),
    [anon_sym_POUNDfunction] = ACTIONS(1607),
    [anon_sym_POUNDdsohandle] = ACTIONS(1607),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(1079),
    [anon_sym_POUNDfileLiteral] = ACTIONS(1079),
    [anon_sym_POUNDimageLiteral] = ACTIONS(1079),
    [anon_sym_LBRACE] = ACTIONS(1081),
    [anon_sym_CARET_LBRACE] = ACTIONS(1081),
    [anon_sym_self] = ACTIONS(1083),
    [anon_sym_super] = ACTIONS(1085),
    [anon_sym_POUNDkeyPath] = ACTIONS(1089),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1607),
    [anon_sym_DASH_EQ] = ACTIONS(1607),
    [anon_sym_STAR_EQ] = ACTIONS(1607),
    [anon_sym_SLASH_EQ] = ACTIONS(1607),
    [anon_sym_PERCENT_EQ] = ACTIONS(1607),
    [anon_sym_BANG_EQ] = ACTIONS(1605),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1607),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1607),
    [anon_sym_LT_EQ] = ACTIONS(1607),
    [anon_sym_GT_EQ] = ACTIONS(1607),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1093),
    [anon_sym_PLUS] = ACTIONS(1097),
    [anon_sym_DASH] = ACTIONS(1097),
    [anon_sym_STAR] = ACTIONS(1605),
    [anon_sym_SLASH] = ACTIONS(1605),
    [anon_sym_PERCENT] = ACTIONS(1605),
    [anon_sym_PLUS_PLUS] = ACTIONS(1067),
    [anon_sym_DASH_DASH] = ACTIONS(1067),
    [anon_sym_TILDE] = ACTIONS(1067),
    [anon_sym_PIPE] = ACTIONS(1607),
    [anon_sym_CARET] = ACTIONS(1605),
    [anon_sym_LT_LT] = ACTIONS(1607),
    [anon_sym_GT_GT] = ACTIONS(1607),
    [anon_sym_BANG2] = ACTIONS(1099),
    [anon_sym_borrowing] = ACTIONS(1037),
    [anon_sym_consuming] = ACTIONS(1037),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(1103),
    [sym__dot_custom] = ACTIONS(1307),
    [sym__eq_custom] = ACTIONS(1607),
    [sym__eq_eq_custom] = ACTIONS(1607),
    [sym__plus_then_ws] = ACTIONS(1607),
    [sym__minus_then_ws] = ACTIONS(1607),
    [sym__bang_custom] = ACTIONS(1107),
    [sym__custom_operator] = ACTIONS(1075),
  },
  [348] = {
    [sym_simple_identifier] = STATE(2573),
    [sym__contextual_simple_identifier] = STATE(2374),
    [sym__basic_literal] = STATE(1297),
    [sym_boolean_literal] = STATE(1297),
    [sym__string_literal] = STATE(1297),
    [sym_line_string_literal] = STATE(1297),
    [sym_multi_line_string_literal] = STATE(1297),
    [sym_raw_string_literal] = STATE(1297),
    [sym_regex_literal] = STATE(1297),
    [sym__multiline_regex_literal] = STATE(2929),
    [sym_user_type] = STATE(5443),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5443),
    [sym_dictionary_type] = STATE(5443),
    [sym__expression] = STATE(1297),
    [sym__unary_expression] = STATE(1297),
    [sym_postfix_expression] = STATE(1297),
    [sym_constructor_expression] = STATE(1297),
    [sym__parenthesized_type] = STATE(7012),
    [sym_navigation_expression] = STATE(1297),
    [sym__navigable_type_expression] = STATE(7009),
    [sym_open_start_range_expression] = STATE(1297),
    [sym__range_operator] = STATE(557),
    [sym_open_end_range_expression] = STATE(1297),
    [sym_prefix_expression] = STATE(1297),
    [sym_as_expression] = STATE(1297),
    [sym_selector_expression] = STATE(1297),
    [sym__binary_expression] = STATE(1297),
    [sym_multiplicative_expression] = STATE(1297),
    [sym_additive_expression] = STATE(1297),
    [sym_range_expression] = STATE(1297),
    [sym_infix_expression] = STATE(1297),
    [sym_nil_coalescing_expression] = STATE(1297),
    [sym_check_expression] = STATE(1297),
    [sym_comparison_expression] = STATE(1297),
    [sym_equality_expression] = STATE(1297),
    [sym_conjunction_expression] = STATE(1297),
    [sym_disjunction_expression] = STATE(1297),
    [sym_bitwise_operation] = STATE(1297),
    [sym_custom_operator] = STATE(878),
    [sym_try_expression] = STATE(1297),
    [sym_await_expression] = STATE(1297),
    [sym__await_operator] = STATE(450),
    [sym_ternary_expression] = STATE(1297),
    [sym__expr_hack_at_ternary_binary_suffix] = STATE(3014),
    [sym_expr_hack_at_ternary_binary_call] = STATE(3014),
    [sym_call_expression] = STATE(1297),
    [sym__primary_expression] = STATE(1297),
    [sym_tuple_expression] = STATE(1297),
    [sym_array_literal] = STATE(1297),
    [sym_dictionary_literal] = STATE(1297),
    [sym__special_literal] = STATE(1297),
    [sym__playground_literal] = STATE(1297),
    [sym_lambda_literal] = STATE(1297),
    [sym_self_expression] = STATE(1297),
    [sym_super_expression] = STATE(1297),
    [sym_if_statement] = STATE(1297),
    [sym_switch_statement] = STATE(1297),
    [sym_key_path_expression] = STATE(1297),
    [sym_key_path_string_expression] = STATE(1297),
    [sym_try_operator] = STATE(451),
    [sym__assignment_and_operator] = STATE(1297),
    [sym__equality_operator] = STATE(1297),
    [sym__comparison_operator] = STATE(1297),
    [sym__three_dot_operator] = STATE(884),
    [sym__open_ended_range_operator] = STATE(557),
    [sym__additive_operator] = STATE(1297),
    [sym__multiplicative_operator] = STATE(1297),
    [sym__prefix_unary_operator] = STATE(471),
    [sym_directly_assignable_expression] = STATE(5445),
    [sym_assignment] = STATE(1297),
    [sym_value_parameter_pack] = STATE(1297),
    [sym_value_pack_expansion] = STATE(1297),
    [sym__referenceable_operator] = STATE(1297),
    [sym__equal_sign] = STATE(1297),
    [sym__eq_eq] = STATE(1297),
    [sym__dot] = STATE(471),
    [sym_bang] = STATE(878),
    [sym__parameter_ownership_modifier] = STATE(2374),
    [aux_sym_raw_string_literal_repeat1] = STATE(7006),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(1037),
    [aux_sym_simple_identifier_token2] = ACTIONS(1039),
    [aux_sym_simple_identifier_token3] = ACTIONS(1039),
    [aux_sym_simple_identifier_token4] = ACTIONS(1039),
    [anon_sym_actor] = ACTIONS(1037),
    [anon_sym_async] = ACTIONS(1037),
    [anon_sym_each] = ACTIONS(1041),
    [anon_sym_lazy] = ACTIONS(1037),
    [anon_sym_repeat] = ACTIONS(1043),
    [anon_sym_package] = ACTIONS(1037),
    [anon_sym_nil] = ACTIONS(1597),
    [sym_real_literal] = ACTIONS(1599),
    [sym_integer_literal] = ACTIONS(1597),
    [sym_hex_literal] = ACTIONS(1599),
    [sym_oct_literal] = ACTIONS(1599),
    [sym_bin_literal] = ACTIONS(1599),
    [anon_sym_true] = ACTIONS(1049),
    [anon_sym_false] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_BSLASH] = ACTIONS(1053),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1055),
    [sym__extended_regex_literal] = ACTIONS(1057),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(1059),
    [sym__oneline_regex_literal] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_LBRACK] = ACTIONS(1065),
    [anon_sym_AMP] = ACTIONS(1067),
    [anon_sym_if] = ACTIONS(1069),
    [anon_sym_switch] = ACTIONS(1071),
    [anon_sym_POUNDselector] = ACTIONS(1073),
    [aux_sym_custom_operator_token1] = ACTIONS(1075),
    [anon_sym_LT] = ACTIONS(1597),
    [anon_sym_GT] = ACTIONS(1597),
    [anon_sym_await] = ACTIONS(1077),
    [anon_sym_POUNDfile] = ACTIONS(1597),
    [anon_sym_POUNDfileID] = ACTIONS(1599),
    [anon_sym_POUNDfilePath] = ACTIONS(1599),
    [anon_sym_POUNDline] = ACTIONS(1599),
    [anon_sym_POUNDcolumn] = ACTIONS(1599),
    [anon_sym_POUNDfunction] = ACTIONS(1599),
    [anon_sym_POUNDdsohandle] = ACTIONS(1599),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(1079),
    [anon_sym_POUNDfileLiteral] = ACTIONS(1079),
    [anon_sym_POUNDimageLiteral] = ACTIONS(1079),
    [anon_sym_LBRACE] = ACTIONS(1081),
    [anon_sym_CARET_LBRACE] = ACTIONS(1081),
    [anon_sym_self] = ACTIONS(1083),
    [anon_sym_super] = ACTIONS(1085),
    [anon_sym_POUNDkeyPath] = ACTIONS(1089),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1599),
    [anon_sym_DASH_EQ] = ACTIONS(1599),
    [anon_sym_STAR_EQ] = ACTIONS(1599),
    [anon_sym_SLASH_EQ] = ACTIONS(1599),
    [anon_sym_PERCENT_EQ] = ACTIONS(1599),
    [anon_sym_BANG_EQ] = ACTIONS(1597),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1599),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1599),
    [anon_sym_LT_EQ] = ACTIONS(1599),
    [anon_sym_GT_EQ] = ACTIONS(1599),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1093),
    [anon_sym_PLUS] = ACTIONS(1097),
    [anon_sym_DASH] = ACTIONS(1097),
    [anon_sym_STAR] = ACTIONS(1597),
    [anon_sym_SLASH] = ACTIONS(1597),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [anon_sym_PLUS_PLUS] = ACTIONS(1067),
    [anon_sym_DASH_DASH] = ACTIONS(1067),
    [anon_sym_TILDE] = ACTIONS(1067),
    [anon_sym_PIPE] = ACTIONS(1599),
    [anon_sym_CARET] = ACTIONS(1597),
    [anon_sym_LT_LT] = ACTIONS(1599),
    [anon_sym_GT_GT] = ACTIONS(1599),
    [anon_sym_BANG2] = ACTIONS(1099),
    [anon_sym_borrowing] = ACTIONS(1037),
    [anon_sym_consuming] = ACTIONS(1037),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(1103),
    [sym__dot_custom] = ACTIONS(1307),
    [sym__eq_custom] = ACTIONS(1599),
    [sym__eq_eq_custom] = ACTIONS(1599),
    [sym__plus_then_ws] = ACTIONS(1599),
    [sym__minus_then_ws] = ACTIONS(1599),
    [sym__bang_custom] = ACTIONS(1107),
    [sym__custom_operator] = ACTIONS(1075),
  },
  [349] = {
    [sym_simple_identifier] = STATE(2573),
    [sym__contextual_simple_identifier] = STATE(2374),
    [sym__basic_literal] = STATE(1418),
    [sym_boolean_literal] = STATE(1418),
    [sym__string_literal] = STATE(1418),
    [sym_line_string_literal] = STATE(1418),
    [sym_multi_line_string_literal] = STATE(1418),
    [sym_raw_string_literal] = STATE(1418),
    [sym_regex_literal] = STATE(1418),
    [sym__multiline_regex_literal] = STATE(2929),
    [sym_user_type] = STATE(5443),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5443),
    [sym_dictionary_type] = STATE(5443),
    [sym__expression] = STATE(1418),
    [sym__unary_expression] = STATE(1418),
    [sym_postfix_expression] = STATE(1418),
    [sym_constructor_expression] = STATE(1418),
    [sym__parenthesized_type] = STATE(7012),
    [sym_navigation_expression] = STATE(1418),
    [sym__navigable_type_expression] = STATE(7009),
    [sym_open_start_range_expression] = STATE(1418),
    [sym__range_operator] = STATE(557),
    [sym_open_end_range_expression] = STATE(1418),
    [sym_prefix_expression] = STATE(1418),
    [sym_as_expression] = STATE(1418),
    [sym_selector_expression] = STATE(1418),
    [sym__binary_expression] = STATE(1418),
    [sym_multiplicative_expression] = STATE(1418),
    [sym_additive_expression] = STATE(1418),
    [sym_range_expression] = STATE(1418),
    [sym_infix_expression] = STATE(1418),
    [sym_nil_coalescing_expression] = STATE(1418),
    [sym_check_expression] = STATE(1418),
    [sym_comparison_expression] = STATE(1418),
    [sym_equality_expression] = STATE(1418),
    [sym_conjunction_expression] = STATE(1418),
    [sym_disjunction_expression] = STATE(1418),
    [sym_bitwise_operation] = STATE(1418),
    [sym_custom_operator] = STATE(878),
    [sym_try_expression] = STATE(1418),
    [sym_await_expression] = STATE(1418),
    [sym__await_operator] = STATE(564),
    [sym_ternary_expression] = STATE(1418),
    [sym_call_expression] = STATE(1418),
    [sym__primary_expression] = STATE(1418),
    [sym_tuple_expression] = STATE(1418),
    [sym_array_literal] = STATE(1418),
    [sym_dictionary_literal] = STATE(1418),
    [sym__special_literal] = STATE(1418),
    [sym__playground_literal] = STATE(1418),
    [sym_lambda_literal] = STATE(1418),
    [sym_self_expression] = STATE(1418),
    [sym_super_expression] = STATE(1418),
    [sym_if_statement] = STATE(1418),
    [sym_switch_statement] = STATE(1418),
    [sym_key_path_expression] = STATE(1418),
    [sym_key_path_string_expression] = STATE(1418),
    [sym_try_operator] = STATE(451),
    [sym__assignment_and_operator] = STATE(1418),
    [sym__equality_operator] = STATE(1418),
    [sym__comparison_operator] = STATE(1418),
    [sym__three_dot_operator] = STATE(884),
    [sym__open_ended_range_operator] = STATE(557),
    [sym__additive_operator] = STATE(1418),
    [sym__multiplicative_operator] = STATE(1418),
    [sym__prefix_unary_operator] = STATE(471),
    [sym_directly_assignable_expression] = STATE(5445),
    [sym__for_statement_collection] = STATE(6186),
    [sym_for_statement_await] = STATE(6186),
    [sym_assignment] = STATE(1418),
    [sym_value_parameter_pack] = STATE(1418),
    [sym_value_pack_expansion] = STATE(1418),
    [sym__referenceable_operator] = STATE(1418),
    [sym__equal_sign] = STATE(1418),
    [sym__eq_eq] = STATE(1418),
    [sym__dot] = STATE(471),
    [sym_bang] = STATE(878),
    [sym__parameter_ownership_modifier] = STATE(2374),
    [aux_sym_raw_string_literal_repeat1] = STATE(7006),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(1037),
    [aux_sym_simple_identifier_token2] = ACTIONS(1039),
    [aux_sym_simple_identifier_token3] = ACTIONS(1039),
    [aux_sym_simple_identifier_token4] = ACTIONS(1039),
    [anon_sym_actor] = ACTIONS(1037),
    [anon_sym_async] = ACTIONS(1037),
    [anon_sym_each] = ACTIONS(1041),
    [anon_sym_lazy] = ACTIONS(1037),
    [anon_sym_repeat] = ACTIONS(1043),
    [anon_sym_package] = ACTIONS(1037),
    [anon_sym_nil] = ACTIONS(1605),
    [sym_real_literal] = ACTIONS(1607),
    [sym_integer_literal] = ACTIONS(1605),
    [sym_hex_literal] = ACTIONS(1607),
    [sym_oct_literal] = ACTIONS(1607),
    [sym_bin_literal] = ACTIONS(1607),
    [anon_sym_true] = ACTIONS(1049),
    [anon_sym_false] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_BSLASH] = ACTIONS(1053),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1055),
    [sym__extended_regex_literal] = ACTIONS(1057),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(1059),
    [sym__oneline_regex_literal] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_LBRACK] = ACTIONS(1065),
    [anon_sym_AMP] = ACTIONS(1067),
    [anon_sym_if] = ACTIONS(1069),
    [anon_sym_switch] = ACTIONS(1071),
    [anon_sym_POUNDselector] = ACTIONS(1073),
    [aux_sym_custom_operator_token1] = ACTIONS(1075),
    [anon_sym_LT] = ACTIONS(1605),
    [anon_sym_GT] = ACTIONS(1605),
    [anon_sym_await] = ACTIONS(1609),
    [anon_sym_POUNDfile] = ACTIONS(1605),
    [anon_sym_POUNDfileID] = ACTIONS(1607),
    [anon_sym_POUNDfilePath] = ACTIONS(1607),
    [anon_sym_POUNDline] = ACTIONS(1607),
    [anon_sym_POUNDcolumn] = ACTIONS(1607),
    [anon_sym_POUNDfunction] = ACTIONS(1607),
    [anon_sym_POUNDdsohandle] = ACTIONS(1607),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(1079),
    [anon_sym_POUNDfileLiteral] = ACTIONS(1079),
    [anon_sym_POUNDimageLiteral] = ACTIONS(1079),
    [anon_sym_LBRACE] = ACTIONS(1081),
    [anon_sym_CARET_LBRACE] = ACTIONS(1081),
    [anon_sym_self] = ACTIONS(1083),
    [anon_sym_super] = ACTIONS(1085),
    [anon_sym_POUNDkeyPath] = ACTIONS(1089),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1607),
    [anon_sym_DASH_EQ] = ACTIONS(1607),
    [anon_sym_STAR_EQ] = ACTIONS(1607),
    [anon_sym_SLASH_EQ] = ACTIONS(1607),
    [anon_sym_PERCENT_EQ] = ACTIONS(1607),
    [anon_sym_BANG_EQ] = ACTIONS(1605),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1607),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1607),
    [anon_sym_LT_EQ] = ACTIONS(1607),
    [anon_sym_GT_EQ] = ACTIONS(1607),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1093),
    [anon_sym_PLUS] = ACTIONS(1097),
    [anon_sym_DASH] = ACTIONS(1097),
    [anon_sym_STAR] = ACTIONS(1605),
    [anon_sym_SLASH] = ACTIONS(1605),
    [anon_sym_PERCENT] = ACTIONS(1605),
    [anon_sym_PLUS_PLUS] = ACTIONS(1067),
    [anon_sym_DASH_DASH] = ACTIONS(1067),
    [anon_sym_TILDE] = ACTIONS(1067),
    [anon_sym_PIPE] = ACTIONS(1607),
    [anon_sym_CARET] = ACTIONS(1605),
    [anon_sym_LT_LT] = ACTIONS(1607),
    [anon_sym_GT_GT] = ACTIONS(1607),
    [anon_sym_BANG2] = ACTIONS(1099),
    [anon_sym_borrowing] = ACTIONS(1037),
    [anon_sym_consuming] = ACTIONS(1037),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(1103),
    [sym__dot_custom] = ACTIONS(1307),
    [sym__eq_custom] = ACTIONS(1607),
    [sym__eq_eq_custom] = ACTIONS(1607),
    [sym__plus_then_ws] = ACTIONS(1607),
    [sym__minus_then_ws] = ACTIONS(1607),
    [sym__bang_custom] = ACTIONS(1107),
    [sym__custom_operator] = ACTIONS(1075),
  },
  [350] = {
    [sym_simple_identifier] = STATE(2573),
    [sym__contextual_simple_identifier] = STATE(2374),
    [sym__basic_literal] = STATE(1418),
    [sym_boolean_literal] = STATE(1418),
    [sym__string_literal] = STATE(1418),
    [sym_line_string_literal] = STATE(1418),
    [sym_multi_line_string_literal] = STATE(1418),
    [sym_raw_string_literal] = STATE(1418),
    [sym_regex_literal] = STATE(1418),
    [sym__multiline_regex_literal] = STATE(2929),
    [sym_user_type] = STATE(5443),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5443),
    [sym_dictionary_type] = STATE(5443),
    [sym__expression] = STATE(1418),
    [sym__unary_expression] = STATE(1418),
    [sym_postfix_expression] = STATE(1418),
    [sym_constructor_expression] = STATE(1418),
    [sym__parenthesized_type] = STATE(7012),
    [sym_navigation_expression] = STATE(1418),
    [sym__navigable_type_expression] = STATE(7009),
    [sym_open_start_range_expression] = STATE(1418),
    [sym__range_operator] = STATE(557),
    [sym_open_end_range_expression] = STATE(1418),
    [sym_prefix_expression] = STATE(1418),
    [sym_as_expression] = STATE(1418),
    [sym_selector_expression] = STATE(1418),
    [sym__binary_expression] = STATE(1418),
    [sym_multiplicative_expression] = STATE(1418),
    [sym_additive_expression] = STATE(1418),
    [sym_range_expression] = STATE(1418),
    [sym_infix_expression] = STATE(1418),
    [sym_nil_coalescing_expression] = STATE(1418),
    [sym_check_expression] = STATE(1418),
    [sym_comparison_expression] = STATE(1418),
    [sym_equality_expression] = STATE(1418),
    [sym_conjunction_expression] = STATE(1418),
    [sym_disjunction_expression] = STATE(1418),
    [sym_bitwise_operation] = STATE(1418),
    [sym_custom_operator] = STATE(878),
    [sym_try_expression] = STATE(1418),
    [sym_await_expression] = STATE(1418),
    [sym__await_operator] = STATE(564),
    [sym_ternary_expression] = STATE(1418),
    [sym_call_expression] = STATE(1418),
    [sym__primary_expression] = STATE(1418),
    [sym_tuple_expression] = STATE(1418),
    [sym_array_literal] = STATE(1418),
    [sym_dictionary_literal] = STATE(1418),
    [sym__special_literal] = STATE(1418),
    [sym__playground_literal] = STATE(1418),
    [sym_lambda_literal] = STATE(1418),
    [sym_self_expression] = STATE(1418),
    [sym_super_expression] = STATE(1418),
    [sym_if_statement] = STATE(1418),
    [sym_switch_statement] = STATE(1418),
    [sym_key_path_expression] = STATE(1418),
    [sym_key_path_string_expression] = STATE(1418),
    [sym_try_operator] = STATE(451),
    [sym__assignment_and_operator] = STATE(1418),
    [sym__equality_operator] = STATE(1418),
    [sym__comparison_operator] = STATE(1418),
    [sym__three_dot_operator] = STATE(884),
    [sym__open_ended_range_operator] = STATE(557),
    [sym__additive_operator] = STATE(1418),
    [sym__multiplicative_operator] = STATE(1418),
    [sym__prefix_unary_operator] = STATE(471),
    [sym_directly_assignable_expression] = STATE(5445),
    [sym__for_statement_collection] = STATE(6121),
    [sym_for_statement_await] = STATE(6121),
    [sym_assignment] = STATE(1418),
    [sym_value_parameter_pack] = STATE(1418),
    [sym_value_pack_expansion] = STATE(1418),
    [sym__referenceable_operator] = STATE(1418),
    [sym__equal_sign] = STATE(1418),
    [sym__eq_eq] = STATE(1418),
    [sym__dot] = STATE(471),
    [sym_bang] = STATE(878),
    [sym__parameter_ownership_modifier] = STATE(2374),
    [aux_sym_raw_string_literal_repeat1] = STATE(7006),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(1037),
    [aux_sym_simple_identifier_token2] = ACTIONS(1039),
    [aux_sym_simple_identifier_token3] = ACTIONS(1039),
    [aux_sym_simple_identifier_token4] = ACTIONS(1039),
    [anon_sym_actor] = ACTIONS(1037),
    [anon_sym_async] = ACTIONS(1037),
    [anon_sym_each] = ACTIONS(1041),
    [anon_sym_lazy] = ACTIONS(1037),
    [anon_sym_repeat] = ACTIONS(1043),
    [anon_sym_package] = ACTIONS(1037),
    [anon_sym_nil] = ACTIONS(1605),
    [sym_real_literal] = ACTIONS(1607),
    [sym_integer_literal] = ACTIONS(1605),
    [sym_hex_literal] = ACTIONS(1607),
    [sym_oct_literal] = ACTIONS(1607),
    [sym_bin_literal] = ACTIONS(1607),
    [anon_sym_true] = ACTIONS(1049),
    [anon_sym_false] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_BSLASH] = ACTIONS(1053),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1055),
    [sym__extended_regex_literal] = ACTIONS(1057),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(1059),
    [sym__oneline_regex_literal] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_LBRACK] = ACTIONS(1065),
    [anon_sym_AMP] = ACTIONS(1067),
    [anon_sym_if] = ACTIONS(1069),
    [anon_sym_switch] = ACTIONS(1071),
    [anon_sym_POUNDselector] = ACTIONS(1073),
    [aux_sym_custom_operator_token1] = ACTIONS(1075),
    [anon_sym_LT] = ACTIONS(1605),
    [anon_sym_GT] = ACTIONS(1605),
    [anon_sym_await] = ACTIONS(1609),
    [anon_sym_POUNDfile] = ACTIONS(1605),
    [anon_sym_POUNDfileID] = ACTIONS(1607),
    [anon_sym_POUNDfilePath] = ACTIONS(1607),
    [anon_sym_POUNDline] = ACTIONS(1607),
    [anon_sym_POUNDcolumn] = ACTIONS(1607),
    [anon_sym_POUNDfunction] = ACTIONS(1607),
    [anon_sym_POUNDdsohandle] = ACTIONS(1607),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(1079),
    [anon_sym_POUNDfileLiteral] = ACTIONS(1079),
    [anon_sym_POUNDimageLiteral] = ACTIONS(1079),
    [anon_sym_LBRACE] = ACTIONS(1081),
    [anon_sym_CARET_LBRACE] = ACTIONS(1081),
    [anon_sym_self] = ACTIONS(1083),
    [anon_sym_super] = ACTIONS(1085),
    [anon_sym_POUNDkeyPath] = ACTIONS(1089),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1607),
    [anon_sym_DASH_EQ] = ACTIONS(1607),
    [anon_sym_STAR_EQ] = ACTIONS(1607),
    [anon_sym_SLASH_EQ] = ACTIONS(1607),
    [anon_sym_PERCENT_EQ] = ACTIONS(1607),
    [anon_sym_BANG_EQ] = ACTIONS(1605),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1607),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1607),
    [anon_sym_LT_EQ] = ACTIONS(1607),
    [anon_sym_GT_EQ] = ACTIONS(1607),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1093),
    [anon_sym_PLUS] = ACTIONS(1097),
    [anon_sym_DASH] = ACTIONS(1097),
    [anon_sym_STAR] = ACTIONS(1605),
    [anon_sym_SLASH] = ACTIONS(1605),
    [anon_sym_PERCENT] = ACTIONS(1605),
    [anon_sym_PLUS_PLUS] = ACTIONS(1067),
    [anon_sym_DASH_DASH] = ACTIONS(1067),
    [anon_sym_TILDE] = ACTIONS(1067),
    [anon_sym_PIPE] = ACTIONS(1607),
    [anon_sym_CARET] = ACTIONS(1605),
    [anon_sym_LT_LT] = ACTIONS(1607),
    [anon_sym_GT_GT] = ACTIONS(1607),
    [anon_sym_BANG2] = ACTIONS(1099),
    [anon_sym_borrowing] = ACTIONS(1037),
    [anon_sym_consuming] = ACTIONS(1037),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(1103),
    [sym__dot_custom] = ACTIONS(1307),
    [sym__eq_custom] = ACTIONS(1607),
    [sym__eq_eq_custom] = ACTIONS(1607),
    [sym__plus_then_ws] = ACTIONS(1607),
    [sym__minus_then_ws] = ACTIONS(1607),
    [sym__bang_custom] = ACTIONS(1107),
    [sym__custom_operator] = ACTIONS(1075),
  },
  [351] = {
    [sym_simple_identifier] = STATE(2573),
    [sym__contextual_simple_identifier] = STATE(2374),
    [sym__basic_literal] = STATE(1418),
    [sym_boolean_literal] = STATE(1418),
    [sym__string_literal] = STATE(1418),
    [sym_line_string_literal] = STATE(1418),
    [sym_multi_line_string_literal] = STATE(1418),
    [sym_raw_string_literal] = STATE(1418),
    [sym_regex_literal] = STATE(1418),
    [sym__multiline_regex_literal] = STATE(2929),
    [sym_user_type] = STATE(5443),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5443),
    [sym_dictionary_type] = STATE(5443),
    [sym__expression] = STATE(1418),
    [sym__unary_expression] = STATE(1418),
    [sym_postfix_expression] = STATE(1418),
    [sym_constructor_expression] = STATE(1418),
    [sym__parenthesized_type] = STATE(7012),
    [sym_navigation_expression] = STATE(1418),
    [sym__navigable_type_expression] = STATE(7009),
    [sym_open_start_range_expression] = STATE(1418),
    [sym__range_operator] = STATE(557),
    [sym_open_end_range_expression] = STATE(1418),
    [sym_prefix_expression] = STATE(1418),
    [sym_as_expression] = STATE(1418),
    [sym_selector_expression] = STATE(1418),
    [sym__binary_expression] = STATE(1418),
    [sym_multiplicative_expression] = STATE(1418),
    [sym_additive_expression] = STATE(1418),
    [sym_range_expression] = STATE(1418),
    [sym_infix_expression] = STATE(1418),
    [sym_nil_coalescing_expression] = STATE(1418),
    [sym_check_expression] = STATE(1418),
    [sym_comparison_expression] = STATE(1418),
    [sym_equality_expression] = STATE(1418),
    [sym_conjunction_expression] = STATE(1418),
    [sym_disjunction_expression] = STATE(1418),
    [sym_bitwise_operation] = STATE(1418),
    [sym_custom_operator] = STATE(878),
    [sym_try_expression] = STATE(1418),
    [sym_await_expression] = STATE(1418),
    [sym__await_operator] = STATE(564),
    [sym_ternary_expression] = STATE(1418),
    [sym_call_expression] = STATE(1418),
    [sym__primary_expression] = STATE(1418),
    [sym_tuple_expression] = STATE(1418),
    [sym_array_literal] = STATE(1418),
    [sym_dictionary_literal] = STATE(1418),
    [sym__special_literal] = STATE(1418),
    [sym__playground_literal] = STATE(1418),
    [sym_lambda_literal] = STATE(1418),
    [sym_self_expression] = STATE(1418),
    [sym_super_expression] = STATE(1418),
    [sym_if_statement] = STATE(1418),
    [sym_switch_statement] = STATE(1418),
    [sym_key_path_expression] = STATE(1418),
    [sym_key_path_string_expression] = STATE(1418),
    [sym_try_operator] = STATE(451),
    [sym__assignment_and_operator] = STATE(1418),
    [sym__equality_operator] = STATE(1418),
    [sym__comparison_operator] = STATE(1418),
    [sym__three_dot_operator] = STATE(884),
    [sym__open_ended_range_operator] = STATE(557),
    [sym__additive_operator] = STATE(1418),
    [sym__multiplicative_operator] = STATE(1418),
    [sym__prefix_unary_operator] = STATE(471),
    [sym_directly_assignable_expression] = STATE(5445),
    [sym__for_statement_collection] = STATE(6188),
    [sym_for_statement_await] = STATE(6188),
    [sym_assignment] = STATE(1418),
    [sym_value_parameter_pack] = STATE(1418),
    [sym_value_pack_expansion] = STATE(1418),
    [sym__referenceable_operator] = STATE(1418),
    [sym__equal_sign] = STATE(1418),
    [sym__eq_eq] = STATE(1418),
    [sym__dot] = STATE(471),
    [sym_bang] = STATE(878),
    [sym__parameter_ownership_modifier] = STATE(2374),
    [aux_sym_raw_string_literal_repeat1] = STATE(7006),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(1037),
    [aux_sym_simple_identifier_token2] = ACTIONS(1039),
    [aux_sym_simple_identifier_token3] = ACTIONS(1039),
    [aux_sym_simple_identifier_token4] = ACTIONS(1039),
    [anon_sym_actor] = ACTIONS(1037),
    [anon_sym_async] = ACTIONS(1037),
    [anon_sym_each] = ACTIONS(1041),
    [anon_sym_lazy] = ACTIONS(1037),
    [anon_sym_repeat] = ACTIONS(1043),
    [anon_sym_package] = ACTIONS(1037),
    [anon_sym_nil] = ACTIONS(1605),
    [sym_real_literal] = ACTIONS(1607),
    [sym_integer_literal] = ACTIONS(1605),
    [sym_hex_literal] = ACTIONS(1607),
    [sym_oct_literal] = ACTIONS(1607),
    [sym_bin_literal] = ACTIONS(1607),
    [anon_sym_true] = ACTIONS(1049),
    [anon_sym_false] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_BSLASH] = ACTIONS(1053),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1055),
    [sym__extended_regex_literal] = ACTIONS(1057),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(1059),
    [sym__oneline_regex_literal] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_LBRACK] = ACTIONS(1065),
    [anon_sym_AMP] = ACTIONS(1067),
    [anon_sym_if] = ACTIONS(1069),
    [anon_sym_switch] = ACTIONS(1071),
    [anon_sym_POUNDselector] = ACTIONS(1073),
    [aux_sym_custom_operator_token1] = ACTIONS(1075),
    [anon_sym_LT] = ACTIONS(1605),
    [anon_sym_GT] = ACTIONS(1605),
    [anon_sym_await] = ACTIONS(1609),
    [anon_sym_POUNDfile] = ACTIONS(1605),
    [anon_sym_POUNDfileID] = ACTIONS(1607),
    [anon_sym_POUNDfilePath] = ACTIONS(1607),
    [anon_sym_POUNDline] = ACTIONS(1607),
    [anon_sym_POUNDcolumn] = ACTIONS(1607),
    [anon_sym_POUNDfunction] = ACTIONS(1607),
    [anon_sym_POUNDdsohandle] = ACTIONS(1607),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(1079),
    [anon_sym_POUNDfileLiteral] = ACTIONS(1079),
    [anon_sym_POUNDimageLiteral] = ACTIONS(1079),
    [anon_sym_LBRACE] = ACTIONS(1081),
    [anon_sym_CARET_LBRACE] = ACTIONS(1081),
    [anon_sym_self] = ACTIONS(1083),
    [anon_sym_super] = ACTIONS(1085),
    [anon_sym_POUNDkeyPath] = ACTIONS(1089),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1607),
    [anon_sym_DASH_EQ] = ACTIONS(1607),
    [anon_sym_STAR_EQ] = ACTIONS(1607),
    [anon_sym_SLASH_EQ] = ACTIONS(1607),
    [anon_sym_PERCENT_EQ] = ACTIONS(1607),
    [anon_sym_BANG_EQ] = ACTIONS(1605),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1607),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1607),
    [anon_sym_LT_EQ] = ACTIONS(1607),
    [anon_sym_GT_EQ] = ACTIONS(1607),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1093),
    [anon_sym_PLUS] = ACTIONS(1097),
    [anon_sym_DASH] = ACTIONS(1097),
    [anon_sym_STAR] = ACTIONS(1605),
    [anon_sym_SLASH] = ACTIONS(1605),
    [anon_sym_PERCENT] = ACTIONS(1605),
    [anon_sym_PLUS_PLUS] = ACTIONS(1067),
    [anon_sym_DASH_DASH] = ACTIONS(1067),
    [anon_sym_TILDE] = ACTIONS(1067),
    [anon_sym_PIPE] = ACTIONS(1607),
    [anon_sym_CARET] = ACTIONS(1605),
    [anon_sym_LT_LT] = ACTIONS(1607),
    [anon_sym_GT_GT] = ACTIONS(1607),
    [anon_sym_BANG2] = ACTIONS(1099),
    [anon_sym_borrowing] = ACTIONS(1037),
    [anon_sym_consuming] = ACTIONS(1037),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(1103),
    [sym__dot_custom] = ACTIONS(1307),
    [sym__eq_custom] = ACTIONS(1607),
    [sym__eq_eq_custom] = ACTIONS(1607),
    [sym__plus_then_ws] = ACTIONS(1607),
    [sym__minus_then_ws] = ACTIONS(1607),
    [sym__bang_custom] = ACTIONS(1107),
    [sym__custom_operator] = ACTIONS(1075),
  },
  [352] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1441),
    [sym_boolean_literal] = STATE(1441),
    [sym__string_literal] = STATE(1441),
    [sym_line_string_literal] = STATE(1441),
    [sym_multi_line_string_literal] = STATE(1441),
    [sym_raw_string_literal] = STATE(1441),
    [sym_regex_literal] = STATE(1441),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1441),
    [sym__unary_expression] = STATE(1441),
    [sym_postfix_expression] = STATE(1441),
    [sym_constructor_expression] = STATE(1441),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1441),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1441),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1441),
    [sym_prefix_expression] = STATE(1441),
    [sym_as_expression] = STATE(1441),
    [sym_selector_expression] = STATE(1441),
    [sym__binary_expression] = STATE(1441),
    [sym_multiplicative_expression] = STATE(1441),
    [sym_additive_expression] = STATE(1441),
    [sym_range_expression] = STATE(1441),
    [sym_infix_expression] = STATE(1441),
    [sym_nil_coalescing_expression] = STATE(1441),
    [sym_check_expression] = STATE(1441),
    [sym_comparison_expression] = STATE(1441),
    [sym_equality_expression] = STATE(1441),
    [sym_conjunction_expression] = STATE(1441),
    [sym_disjunction_expression] = STATE(1441),
    [sym_bitwise_operation] = STATE(1441),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1441),
    [sym_await_expression] = STATE(1441),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1441),
    [sym_call_expression] = STATE(1441),
    [sym__primary_expression] = STATE(1441),
    [sym_tuple_expression] = STATE(1441),
    [sym_array_literal] = STATE(1441),
    [sym_dictionary_literal] = STATE(1441),
    [sym__dictionary_literal_item] = STATE(7599),
    [sym__special_literal] = STATE(1441),
    [sym__playground_literal] = STATE(1441),
    [sym_lambda_literal] = STATE(1441),
    [sym_self_expression] = STATE(1441),
    [sym_super_expression] = STATE(1441),
    [sym_if_statement] = STATE(1441),
    [sym_switch_statement] = STATE(1441),
    [sym_key_path_expression] = STATE(1441),
    [sym_key_path_string_expression] = STATE(1441),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1441),
    [sym__equality_operator] = STATE(1441),
    [sym__comparison_operator] = STATE(1441),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1441),
    [sym__multiplicative_operator] = STATE(1441),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1441),
    [sym_value_parameter_pack] = STATE(1441),
    [sym_value_pack_expansion] = STATE(1441),
    [sym__referenceable_operator] = STATE(1441),
    [sym__equal_sign] = STATE(1441),
    [sym__eq_eq] = STATE(1441),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1587),
    [sym_real_literal] = ACTIONS(1589),
    [sym_integer_literal] = ACTIONS(1587),
    [sym_hex_literal] = ACTIONS(1589),
    [sym_oct_literal] = ACTIONS(1589),
    [sym_bin_literal] = ACTIONS(1589),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_RBRACK] = ACTIONS(1689),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1587),
    [anon_sym_GT] = ACTIONS(1587),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1587),
    [anon_sym_POUNDfileID] = ACTIONS(1589),
    [anon_sym_POUNDfilePath] = ACTIONS(1589),
    [anon_sym_POUNDline] = ACTIONS(1589),
    [anon_sym_POUNDcolumn] = ACTIONS(1589),
    [anon_sym_POUNDfunction] = ACTIONS(1589),
    [anon_sym_POUNDdsohandle] = ACTIONS(1589),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1589),
    [anon_sym_DASH_EQ] = ACTIONS(1589),
    [anon_sym_STAR_EQ] = ACTIONS(1589),
    [anon_sym_SLASH_EQ] = ACTIONS(1589),
    [anon_sym_PERCENT_EQ] = ACTIONS(1589),
    [anon_sym_BANG_EQ] = ACTIONS(1587),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1589),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1589),
    [anon_sym_LT_EQ] = ACTIONS(1589),
    [anon_sym_GT_EQ] = ACTIONS(1589),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1587),
    [anon_sym_SLASH] = ACTIONS(1587),
    [anon_sym_PERCENT] = ACTIONS(1587),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1589),
    [anon_sym_CARET] = ACTIONS(1587),
    [anon_sym_LT_LT] = ACTIONS(1589),
    [anon_sym_GT_GT] = ACTIONS(1589),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1589),
    [sym__eq_eq_custom] = ACTIONS(1589),
    [sym__plus_then_ws] = ACTIONS(1589),
    [sym__minus_then_ws] = ACTIONS(1589),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [353] = {
    [sym_simple_identifier] = STATE(2573),
    [sym__contextual_simple_identifier] = STATE(2374),
    [sym__basic_literal] = STATE(1418),
    [sym_boolean_literal] = STATE(1418),
    [sym__string_literal] = STATE(1418),
    [sym_line_string_literal] = STATE(1418),
    [sym_multi_line_string_literal] = STATE(1418),
    [sym_raw_string_literal] = STATE(1418),
    [sym_regex_literal] = STATE(1418),
    [sym__multiline_regex_literal] = STATE(2929),
    [sym_user_type] = STATE(5443),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5443),
    [sym_dictionary_type] = STATE(5443),
    [sym__expression] = STATE(1418),
    [sym__unary_expression] = STATE(1418),
    [sym_postfix_expression] = STATE(1418),
    [sym_constructor_expression] = STATE(1418),
    [sym__parenthesized_type] = STATE(7012),
    [sym_navigation_expression] = STATE(1418),
    [sym__navigable_type_expression] = STATE(7009),
    [sym_open_start_range_expression] = STATE(1418),
    [sym__range_operator] = STATE(557),
    [sym_open_end_range_expression] = STATE(1418),
    [sym_prefix_expression] = STATE(1418),
    [sym_as_expression] = STATE(1418),
    [sym_selector_expression] = STATE(1418),
    [sym__binary_expression] = STATE(1418),
    [sym_multiplicative_expression] = STATE(1418),
    [sym_additive_expression] = STATE(1418),
    [sym_range_expression] = STATE(1418),
    [sym_infix_expression] = STATE(1418),
    [sym_nil_coalescing_expression] = STATE(1418),
    [sym_check_expression] = STATE(1418),
    [sym_comparison_expression] = STATE(1418),
    [sym_equality_expression] = STATE(1418),
    [sym_conjunction_expression] = STATE(1418),
    [sym_disjunction_expression] = STATE(1418),
    [sym_bitwise_operation] = STATE(1418),
    [sym_custom_operator] = STATE(878),
    [sym_try_expression] = STATE(1418),
    [sym_await_expression] = STATE(1418),
    [sym__await_operator] = STATE(564),
    [sym_ternary_expression] = STATE(1418),
    [sym_call_expression] = STATE(1418),
    [sym__primary_expression] = STATE(1418),
    [sym_tuple_expression] = STATE(1418),
    [sym_array_literal] = STATE(1418),
    [sym_dictionary_literal] = STATE(1418),
    [sym__special_literal] = STATE(1418),
    [sym__playground_literal] = STATE(1418),
    [sym_lambda_literal] = STATE(1418),
    [sym_self_expression] = STATE(1418),
    [sym_super_expression] = STATE(1418),
    [sym_if_statement] = STATE(1418),
    [sym_switch_statement] = STATE(1418),
    [sym_key_path_expression] = STATE(1418),
    [sym_key_path_string_expression] = STATE(1418),
    [sym_try_operator] = STATE(451),
    [sym__assignment_and_operator] = STATE(1418),
    [sym__equality_operator] = STATE(1418),
    [sym__comparison_operator] = STATE(1418),
    [sym__three_dot_operator] = STATE(884),
    [sym__open_ended_range_operator] = STATE(557),
    [sym__additive_operator] = STATE(1418),
    [sym__multiplicative_operator] = STATE(1418),
    [sym__prefix_unary_operator] = STATE(471),
    [sym_directly_assignable_expression] = STATE(5445),
    [sym__for_statement_collection] = STATE(6119),
    [sym_for_statement_await] = STATE(6119),
    [sym_assignment] = STATE(1418),
    [sym_value_parameter_pack] = STATE(1418),
    [sym_value_pack_expansion] = STATE(1418),
    [sym__referenceable_operator] = STATE(1418),
    [sym__equal_sign] = STATE(1418),
    [sym__eq_eq] = STATE(1418),
    [sym__dot] = STATE(471),
    [sym_bang] = STATE(878),
    [sym__parameter_ownership_modifier] = STATE(2374),
    [aux_sym_raw_string_literal_repeat1] = STATE(7006),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(1037),
    [aux_sym_simple_identifier_token2] = ACTIONS(1039),
    [aux_sym_simple_identifier_token3] = ACTIONS(1039),
    [aux_sym_simple_identifier_token4] = ACTIONS(1039),
    [anon_sym_actor] = ACTIONS(1037),
    [anon_sym_async] = ACTIONS(1037),
    [anon_sym_each] = ACTIONS(1041),
    [anon_sym_lazy] = ACTIONS(1037),
    [anon_sym_repeat] = ACTIONS(1043),
    [anon_sym_package] = ACTIONS(1037),
    [anon_sym_nil] = ACTIONS(1605),
    [sym_real_literal] = ACTIONS(1607),
    [sym_integer_literal] = ACTIONS(1605),
    [sym_hex_literal] = ACTIONS(1607),
    [sym_oct_literal] = ACTIONS(1607),
    [sym_bin_literal] = ACTIONS(1607),
    [anon_sym_true] = ACTIONS(1049),
    [anon_sym_false] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_BSLASH] = ACTIONS(1053),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1055),
    [sym__extended_regex_literal] = ACTIONS(1057),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(1059),
    [sym__oneline_regex_literal] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_LBRACK] = ACTIONS(1065),
    [anon_sym_AMP] = ACTIONS(1067),
    [anon_sym_if] = ACTIONS(1069),
    [anon_sym_switch] = ACTIONS(1071),
    [anon_sym_POUNDselector] = ACTIONS(1073),
    [aux_sym_custom_operator_token1] = ACTIONS(1075),
    [anon_sym_LT] = ACTIONS(1605),
    [anon_sym_GT] = ACTIONS(1605),
    [anon_sym_await] = ACTIONS(1609),
    [anon_sym_POUNDfile] = ACTIONS(1605),
    [anon_sym_POUNDfileID] = ACTIONS(1607),
    [anon_sym_POUNDfilePath] = ACTIONS(1607),
    [anon_sym_POUNDline] = ACTIONS(1607),
    [anon_sym_POUNDcolumn] = ACTIONS(1607),
    [anon_sym_POUNDfunction] = ACTIONS(1607),
    [anon_sym_POUNDdsohandle] = ACTIONS(1607),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(1079),
    [anon_sym_POUNDfileLiteral] = ACTIONS(1079),
    [anon_sym_POUNDimageLiteral] = ACTIONS(1079),
    [anon_sym_LBRACE] = ACTIONS(1081),
    [anon_sym_CARET_LBRACE] = ACTIONS(1081),
    [anon_sym_self] = ACTIONS(1083),
    [anon_sym_super] = ACTIONS(1085),
    [anon_sym_POUNDkeyPath] = ACTIONS(1089),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1607),
    [anon_sym_DASH_EQ] = ACTIONS(1607),
    [anon_sym_STAR_EQ] = ACTIONS(1607),
    [anon_sym_SLASH_EQ] = ACTIONS(1607),
    [anon_sym_PERCENT_EQ] = ACTIONS(1607),
    [anon_sym_BANG_EQ] = ACTIONS(1605),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1607),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1607),
    [anon_sym_LT_EQ] = ACTIONS(1607),
    [anon_sym_GT_EQ] = ACTIONS(1607),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1093),
    [anon_sym_PLUS] = ACTIONS(1097),
    [anon_sym_DASH] = ACTIONS(1097),
    [anon_sym_STAR] = ACTIONS(1605),
    [anon_sym_SLASH] = ACTIONS(1605),
    [anon_sym_PERCENT] = ACTIONS(1605),
    [anon_sym_PLUS_PLUS] = ACTIONS(1067),
    [anon_sym_DASH_DASH] = ACTIONS(1067),
    [anon_sym_TILDE] = ACTIONS(1067),
    [anon_sym_PIPE] = ACTIONS(1607),
    [anon_sym_CARET] = ACTIONS(1605),
    [anon_sym_LT_LT] = ACTIONS(1607),
    [anon_sym_GT_GT] = ACTIONS(1607),
    [anon_sym_BANG2] = ACTIONS(1099),
    [anon_sym_borrowing] = ACTIONS(1037),
    [anon_sym_consuming] = ACTIONS(1037),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(1103),
    [sym__dot_custom] = ACTIONS(1307),
    [sym__eq_custom] = ACTIONS(1607),
    [sym__eq_eq_custom] = ACTIONS(1607),
    [sym__plus_then_ws] = ACTIONS(1607),
    [sym__minus_then_ws] = ACTIONS(1607),
    [sym__bang_custom] = ACTIONS(1107),
    [sym__custom_operator] = ACTIONS(1075),
  },
  [354] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1421),
    [sym_boolean_literal] = STATE(1421),
    [sym__string_literal] = STATE(1421),
    [sym_line_string_literal] = STATE(1421),
    [sym_multi_line_string_literal] = STATE(1421),
    [sym_raw_string_literal] = STATE(1421),
    [sym_regex_literal] = STATE(1421),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1421),
    [sym__unary_expression] = STATE(1421),
    [sym_postfix_expression] = STATE(1421),
    [sym_constructor_expression] = STATE(1421),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1421),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1421),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1421),
    [sym_prefix_expression] = STATE(1421),
    [sym_as_expression] = STATE(1421),
    [sym_selector_expression] = STATE(1421),
    [sym__binary_expression] = STATE(1421),
    [sym_multiplicative_expression] = STATE(1421),
    [sym_additive_expression] = STATE(1421),
    [sym_range_expression] = STATE(1421),
    [sym_infix_expression] = STATE(1421),
    [sym_nil_coalescing_expression] = STATE(1421),
    [sym_check_expression] = STATE(1421),
    [sym_comparison_expression] = STATE(1421),
    [sym_equality_expression] = STATE(1421),
    [sym_conjunction_expression] = STATE(1421),
    [sym_disjunction_expression] = STATE(1421),
    [sym_bitwise_operation] = STATE(1421),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1421),
    [sym_await_expression] = STATE(1421),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1421),
    [sym_call_expression] = STATE(1421),
    [sym__primary_expression] = STATE(1421),
    [sym_tuple_expression] = STATE(1421),
    [sym_array_literal] = STATE(1421),
    [sym_dictionary_literal] = STATE(1421),
    [sym__special_literal] = STATE(1421),
    [sym__playground_literal] = STATE(1421),
    [sym_lambda_literal] = STATE(1421),
    [sym_self_expression] = STATE(1421),
    [sym_super_expression] = STATE(1421),
    [sym_if_statement] = STATE(1421),
    [sym_switch_statement] = STATE(1421),
    [sym_key_path_expression] = STATE(1421),
    [sym_key_path_string_expression] = STATE(1421),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1421),
    [sym__equality_operator] = STATE(1421),
    [sym__comparison_operator] = STATE(1421),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1421),
    [sym__multiplicative_operator] = STATE(1421),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1421),
    [sym_value_parameter_pack] = STATE(1421),
    [sym_value_pack_expansion] = STATE(1421),
    [sym__referenceable_operator] = STATE(1421),
    [sym__equal_sign] = STATE(1421),
    [sym__eq_eq] = STATE(1421),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1691),
    [sym_real_literal] = ACTIONS(1693),
    [sym_integer_literal] = ACTIONS(1691),
    [sym_hex_literal] = ACTIONS(1693),
    [sym_oct_literal] = ACTIONS(1693),
    [sym_bin_literal] = ACTIONS(1693),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [anon_sym_getter_COLON] = ACTIONS(1695),
    [anon_sym_setter_COLON] = ACTIONS(1695),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1691),
    [anon_sym_GT] = ACTIONS(1691),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1691),
    [anon_sym_POUNDfileID] = ACTIONS(1693),
    [anon_sym_POUNDfilePath] = ACTIONS(1693),
    [anon_sym_POUNDline] = ACTIONS(1693),
    [anon_sym_POUNDcolumn] = ACTIONS(1693),
    [anon_sym_POUNDfunction] = ACTIONS(1693),
    [anon_sym_POUNDdsohandle] = ACTIONS(1693),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1693),
    [anon_sym_DASH_EQ] = ACTIONS(1693),
    [anon_sym_STAR_EQ] = ACTIONS(1693),
    [anon_sym_SLASH_EQ] = ACTIONS(1693),
    [anon_sym_PERCENT_EQ] = ACTIONS(1693),
    [anon_sym_BANG_EQ] = ACTIONS(1691),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1693),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1691),
    [anon_sym_SLASH] = ACTIONS(1691),
    [anon_sym_PERCENT] = ACTIONS(1691),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1691),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1693),
    [sym__eq_eq_custom] = ACTIONS(1693),
    [sym__plus_then_ws] = ACTIONS(1693),
    [sym__minus_then_ws] = ACTIONS(1693),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [355] = {
    [sym_simple_identifier] = STATE(2072),
    [sym__contextual_simple_identifier] = STATE(2016),
    [sym__basic_literal] = STATE(1251),
    [sym_boolean_literal] = STATE(1251),
    [sym__string_literal] = STATE(1251),
    [sym_line_string_literal] = STATE(1251),
    [sym_multi_line_string_literal] = STATE(1251),
    [sym_raw_string_literal] = STATE(1251),
    [sym_regex_literal] = STATE(1251),
    [sym__multiline_regex_literal] = STATE(2164),
    [sym_user_type] = STATE(5497),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5497),
    [sym_dictionary_type] = STATE(5497),
    [sym__expression] = STATE(1251),
    [sym__unary_expression] = STATE(1251),
    [sym_postfix_expression] = STATE(1251),
    [sym_constructor_expression] = STATE(1251),
    [sym__parenthesized_type] = STATE(6725),
    [sym_navigation_expression] = STATE(1251),
    [sym__navigable_type_expression] = STATE(6724),
    [sym_open_start_range_expression] = STATE(1251),
    [sym__range_operator] = STATE(467),
    [sym_open_end_range_expression] = STATE(1251),
    [sym_prefix_expression] = STATE(1251),
    [sym_as_expression] = STATE(1251),
    [sym_selector_expression] = STATE(1251),
    [sym__binary_expression] = STATE(1251),
    [sym_multiplicative_expression] = STATE(1251),
    [sym_additive_expression] = STATE(1251),
    [sym_range_expression] = STATE(1251),
    [sym_infix_expression] = STATE(1251),
    [sym_nil_coalescing_expression] = STATE(1251),
    [sym_check_expression] = STATE(1251),
    [sym_comparison_expression] = STATE(1251),
    [sym_equality_expression] = STATE(1251),
    [sym_conjunction_expression] = STATE(1251),
    [sym_disjunction_expression] = STATE(1251),
    [sym_bitwise_operation] = STATE(1251),
    [sym_custom_operator] = STATE(835),
    [sym_try_expression] = STATE(1251),
    [sym_await_expression] = STATE(1251),
    [sym__await_operator] = STATE(466),
    [sym_ternary_expression] = STATE(1251),
    [sym__expr_hack_at_ternary_binary_suffix] = STATE(2140),
    [sym_expr_hack_at_ternary_binary_call] = STATE(2140),
    [sym_call_expression] = STATE(1251),
    [sym__primary_expression] = STATE(1251),
    [sym_tuple_expression] = STATE(1251),
    [sym_array_literal] = STATE(1251),
    [sym_dictionary_literal] = STATE(1251),
    [sym__special_literal] = STATE(1251),
    [sym__playground_literal] = STATE(1251),
    [sym_lambda_literal] = STATE(1251),
    [sym_self_expression] = STATE(1251),
    [sym_super_expression] = STATE(1251),
    [sym_if_statement] = STATE(1251),
    [sym_switch_statement] = STATE(1251),
    [sym_key_path_expression] = STATE(1251),
    [sym_key_path_string_expression] = STATE(1251),
    [sym_try_operator] = STATE(455),
    [sym__assignment_and_operator] = STATE(1251),
    [sym__equality_operator] = STATE(1251),
    [sym__comparison_operator] = STATE(1251),
    [sym__three_dot_operator] = STATE(837),
    [sym__open_ended_range_operator] = STATE(467),
    [sym__additive_operator] = STATE(1251),
    [sym__multiplicative_operator] = STATE(1251),
    [sym__prefix_unary_operator] = STATE(468),
    [sym_directly_assignable_expression] = STATE(5498),
    [sym_assignment] = STATE(1251),
    [sym_value_parameter_pack] = STATE(1251),
    [sym_value_pack_expansion] = STATE(1251),
    [sym__referenceable_operator] = STATE(1251),
    [sym__equal_sign] = STATE(1251),
    [sym__eq_eq] = STATE(1251),
    [sym__dot] = STATE(468),
    [sym_bang] = STATE(835),
    [sym__parameter_ownership_modifier] = STATE(2016),
    [aux_sym_raw_string_literal_repeat1] = STATE(6553),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(971),
    [aux_sym_simple_identifier_token2] = ACTIONS(973),
    [aux_sym_simple_identifier_token3] = ACTIONS(973),
    [aux_sym_simple_identifier_token4] = ACTIONS(973),
    [anon_sym_actor] = ACTIONS(971),
    [anon_sym_async] = ACTIONS(971),
    [anon_sym_each] = ACTIONS(975),
    [anon_sym_lazy] = ACTIONS(971),
    [anon_sym_repeat] = ACTIONS(977),
    [anon_sym_package] = ACTIONS(971),
    [anon_sym_nil] = ACTIONS(1583),
    [sym_real_literal] = ACTIONS(1585),
    [sym_integer_literal] = ACTIONS(1583),
    [sym_hex_literal] = ACTIONS(1585),
    [sym_oct_literal] = ACTIONS(1585),
    [sym_bin_literal] = ACTIONS(1585),
    [anon_sym_true] = ACTIONS(983),
    [anon_sym_false] = ACTIONS(983),
    [anon_sym_DQUOTE] = ACTIONS(985),
    [anon_sym_BSLASH] = ACTIONS(987),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(989),
    [sym__extended_regex_literal] = ACTIONS(991),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(993),
    [sym__oneline_regex_literal] = ACTIONS(995),
    [anon_sym_LPAREN] = ACTIONS(997),
    [anon_sym_LBRACK] = ACTIONS(999),
    [anon_sym_AMP] = ACTIONS(1001),
    [anon_sym_if] = ACTIONS(1003),
    [anon_sym_switch] = ACTIONS(1005),
    [anon_sym_POUNDselector] = ACTIONS(1007),
    [aux_sym_custom_operator_token1] = ACTIONS(1009),
    [anon_sym_LT] = ACTIONS(1583),
    [anon_sym_GT] = ACTIONS(1583),
    [anon_sym_await] = ACTIONS(1011),
    [anon_sym_POUNDfile] = ACTIONS(1583),
    [anon_sym_POUNDfileID] = ACTIONS(1585),
    [anon_sym_POUNDfilePath] = ACTIONS(1585),
    [anon_sym_POUNDline] = ACTIONS(1585),
    [anon_sym_POUNDcolumn] = ACTIONS(1585),
    [anon_sym_POUNDfunction] = ACTIONS(1585),
    [anon_sym_POUNDdsohandle] = ACTIONS(1585),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(1013),
    [anon_sym_POUNDfileLiteral] = ACTIONS(1013),
    [anon_sym_POUNDimageLiteral] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(1015),
    [anon_sym_CARET_LBRACE] = ACTIONS(1015),
    [anon_sym_self] = ACTIONS(1017),
    [anon_sym_super] = ACTIONS(1019),
    [anon_sym_POUNDkeyPath] = ACTIONS(1021),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1585),
    [anon_sym_DASH_EQ] = ACTIONS(1585),
    [anon_sym_STAR_EQ] = ACTIONS(1585),
    [anon_sym_SLASH_EQ] = ACTIONS(1585),
    [anon_sym_PERCENT_EQ] = ACTIONS(1585),
    [anon_sym_BANG_EQ] = ACTIONS(1583),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1585),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1585),
    [anon_sym_LT_EQ] = ACTIONS(1585),
    [anon_sym_GT_EQ] = ACTIONS(1585),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1023),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1025),
    [anon_sym_PLUS] = ACTIONS(1027),
    [anon_sym_DASH] = ACTIONS(1027),
    [anon_sym_STAR] = ACTIONS(1583),
    [anon_sym_SLASH] = ACTIONS(1583),
    [anon_sym_PERCENT] = ACTIONS(1583),
    [anon_sym_PLUS_PLUS] = ACTIONS(1001),
    [anon_sym_DASH_DASH] = ACTIONS(1001),
    [anon_sym_TILDE] = ACTIONS(1001),
    [anon_sym_PIPE] = ACTIONS(1585),
    [anon_sym_CARET] = ACTIONS(1583),
    [anon_sym_LT_LT] = ACTIONS(1585),
    [anon_sym_GT_GT] = ACTIONS(1585),
    [anon_sym_BANG2] = ACTIONS(1029),
    [anon_sym_borrowing] = ACTIONS(971),
    [anon_sym_consuming] = ACTIONS(971),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(1031),
    [sym__dot_custom] = ACTIONS(1033),
    [sym__eq_custom] = ACTIONS(1585),
    [sym__eq_eq_custom] = ACTIONS(1585),
    [sym__plus_then_ws] = ACTIONS(1585),
    [sym__minus_then_ws] = ACTIONS(1585),
    [sym__bang_custom] = ACTIONS(1035),
    [sym__custom_operator] = ACTIONS(1009),
  },
  [356] = {
    [sym_simple_identifier] = STATE(2276),
    [sym__contextual_simple_identifier] = STATE(2115),
    [sym__basic_literal] = STATE(1262),
    [sym_boolean_literal] = STATE(1262),
    [sym__string_literal] = STATE(1262),
    [sym_line_string_literal] = STATE(1262),
    [sym_multi_line_string_literal] = STATE(1262),
    [sym_raw_string_literal] = STATE(1262),
    [sym_regex_literal] = STATE(1262),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1262),
    [sym__unary_expression] = STATE(1262),
    [sym_postfix_expression] = STATE(1262),
    [sym_constructor_expression] = STATE(1262),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1262),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1262),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1262),
    [sym_prefix_expression] = STATE(1262),
    [sym_as_expression] = STATE(1262),
    [sym_selector_expression] = STATE(1262),
    [sym__binary_expression] = STATE(1262),
    [sym_multiplicative_expression] = STATE(1262),
    [sym_additive_expression] = STATE(1262),
    [sym_range_expression] = STATE(1262),
    [sym_infix_expression] = STATE(1262),
    [sym_nil_coalescing_expression] = STATE(1262),
    [sym_check_expression] = STATE(1262),
    [sym_comparison_expression] = STATE(1262),
    [sym_equality_expression] = STATE(1262),
    [sym_conjunction_expression] = STATE(1262),
    [sym_disjunction_expression] = STATE(1262),
    [sym_bitwise_operation] = STATE(1262),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1262),
    [sym_await_expression] = STATE(1262),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1262),
    [sym__expr_hack_at_ternary_binary_suffix] = STATE(2482),
    [sym_expr_hack_at_ternary_binary_call] = STATE(2482),
    [sym_call_expression] = STATE(1262),
    [sym__primary_expression] = STATE(1262),
    [sym_tuple_expression] = STATE(1262),
    [sym_array_literal] = STATE(1262),
    [sym_dictionary_literal] = STATE(1262),
    [sym__special_literal] = STATE(1262),
    [sym__playground_literal] = STATE(1262),
    [sym_lambda_literal] = STATE(1262),
    [sym_self_expression] = STATE(1262),
    [sym_super_expression] = STATE(1262),
    [sym_if_statement] = STATE(1262),
    [sym_switch_statement] = STATE(1262),
    [sym_key_path_expression] = STATE(1262),
    [sym_key_path_string_expression] = STATE(1262),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1262),
    [sym__equality_operator] = STATE(1262),
    [sym__comparison_operator] = STATE(1262),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1262),
    [sym__multiplicative_operator] = STATE(1262),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym_assignment] = STATE(1262),
    [sym_value_parameter_pack] = STATE(1262),
    [sym_value_pack_expansion] = STATE(1262),
    [sym__referenceable_operator] = STATE(1262),
    [sym__equal_sign] = STATE(1262),
    [sym__eq_eq] = STATE(1262),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__parameter_ownership_modifier] = STATE(2115),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(11),
    [aux_sym_simple_identifier_token2] = ACTIONS(13),
    [aux_sym_simple_identifier_token3] = ACTIONS(13),
    [aux_sym_simple_identifier_token4] = ACTIONS(13),
    [anon_sym_actor] = ACTIONS(11),
    [anon_sym_async] = ACTIONS(11),
    [anon_sym_each] = ACTIONS(19),
    [anon_sym_lazy] = ACTIONS(11),
    [anon_sym_repeat] = ACTIONS(937),
    [anon_sym_package] = ACTIONS(11),
    [anon_sym_nil] = ACTIONS(1677),
    [sym_real_literal] = ACTIONS(1679),
    [sym_integer_literal] = ACTIONS(1677),
    [sym_hex_literal] = ACTIONS(1679),
    [sym_oct_literal] = ACTIONS(1679),
    [sym_bin_literal] = ACTIONS(1679),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(1677),
    [anon_sym_GT] = ACTIONS(1677),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(1677),
    [anon_sym_POUNDfileID] = ACTIONS(1679),
    [anon_sym_POUNDfilePath] = ACTIONS(1679),
    [anon_sym_POUNDline] = ACTIONS(1679),
    [anon_sym_POUNDcolumn] = ACTIONS(1679),
    [anon_sym_POUNDfunction] = ACTIONS(1679),
    [anon_sym_POUNDdsohandle] = ACTIONS(1679),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_self] = ACTIONS(65),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1679),
    [anon_sym_DASH_EQ] = ACTIONS(1679),
    [anon_sym_STAR_EQ] = ACTIONS(1679),
    [anon_sym_SLASH_EQ] = ACTIONS(1679),
    [anon_sym_PERCENT_EQ] = ACTIONS(1679),
    [anon_sym_BANG_EQ] = ACTIONS(1677),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1679),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1679),
    [anon_sym_LT_EQ] = ACTIONS(1679),
    [anon_sym_GT_EQ] = ACTIONS(1679),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(1677),
    [anon_sym_SLASH] = ACTIONS(1677),
    [anon_sym_PERCENT] = ACTIONS(1677),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(1679),
    [anon_sym_CARET] = ACTIONS(1677),
    [anon_sym_LT_LT] = ACTIONS(1679),
    [anon_sym_GT_GT] = ACTIONS(1679),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_borrowing] = ACTIONS(11),
    [anon_sym_consuming] = ACTIONS(11),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(1679),
    [sym__eq_eq_custom] = ACTIONS(1679),
    [sym__plus_then_ws] = ACTIONS(1679),
    [sym__minus_then_ws] = ACTIONS(1679),
    [sym__bang_custom] = ACTIONS(151),
    [sym__custom_operator] = ACTIONS(57),
  },
  [357] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1276),
    [sym_boolean_literal] = STATE(1276),
    [sym__string_literal] = STATE(1276),
    [sym_line_string_literal] = STATE(1276),
    [sym_multi_line_string_literal] = STATE(1276),
    [sym_raw_string_literal] = STATE(1276),
    [sym_regex_literal] = STATE(1276),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1276),
    [sym__unary_expression] = STATE(1276),
    [sym_postfix_expression] = STATE(1276),
    [sym_constructor_expression] = STATE(1276),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1276),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1276),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1276),
    [sym_prefix_expression] = STATE(1276),
    [sym_as_expression] = STATE(1276),
    [sym_selector_expression] = STATE(1276),
    [sym__binary_expression] = STATE(1276),
    [sym_multiplicative_expression] = STATE(1276),
    [sym_additive_expression] = STATE(1276),
    [sym_range_expression] = STATE(1276),
    [sym_infix_expression] = STATE(1276),
    [sym_nil_coalescing_expression] = STATE(1276),
    [sym_check_expression] = STATE(1276),
    [sym_comparison_expression] = STATE(1276),
    [sym_equality_expression] = STATE(1276),
    [sym_conjunction_expression] = STATE(1276),
    [sym_disjunction_expression] = STATE(1276),
    [sym_bitwise_operation] = STATE(1276),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1276),
    [sym_await_expression] = STATE(1276),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1276),
    [sym__expr_hack_at_ternary_binary_suffix] = STATE(749),
    [sym_expr_hack_at_ternary_binary_call] = STATE(749),
    [sym_call_expression] = STATE(1276),
    [sym__primary_expression] = STATE(1276),
    [sym_tuple_expression] = STATE(1276),
    [sym_array_literal] = STATE(1276),
    [sym_dictionary_literal] = STATE(1276),
    [sym__special_literal] = STATE(1276),
    [sym__playground_literal] = STATE(1276),
    [sym_lambda_literal] = STATE(1276),
    [sym_self_expression] = STATE(1276),
    [sym_super_expression] = STATE(1276),
    [sym_if_statement] = STATE(1276),
    [sym_switch_statement] = STATE(1276),
    [sym_key_path_expression] = STATE(1276),
    [sym_key_path_string_expression] = STATE(1276),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1276),
    [sym__equality_operator] = STATE(1276),
    [sym__comparison_operator] = STATE(1276),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1276),
    [sym__multiplicative_operator] = STATE(1276),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1276),
    [sym_value_parameter_pack] = STATE(1276),
    [sym_value_pack_expansion] = STATE(1276),
    [sym__referenceable_operator] = STATE(1276),
    [sym__equal_sign] = STATE(1276),
    [sym__eq_eq] = STATE(1276),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1575),
    [sym_real_literal] = ACTIONS(1577),
    [sym_integer_literal] = ACTIONS(1575),
    [sym_hex_literal] = ACTIONS(1577),
    [sym_oct_literal] = ACTIONS(1577),
    [sym_bin_literal] = ACTIONS(1577),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1575),
    [anon_sym_GT] = ACTIONS(1575),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1575),
    [anon_sym_POUNDfileID] = ACTIONS(1577),
    [anon_sym_POUNDfilePath] = ACTIONS(1577),
    [anon_sym_POUNDline] = ACTIONS(1577),
    [anon_sym_POUNDcolumn] = ACTIONS(1577),
    [anon_sym_POUNDfunction] = ACTIONS(1577),
    [anon_sym_POUNDdsohandle] = ACTIONS(1577),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1577),
    [anon_sym_DASH_EQ] = ACTIONS(1577),
    [anon_sym_STAR_EQ] = ACTIONS(1577),
    [anon_sym_SLASH_EQ] = ACTIONS(1577),
    [anon_sym_PERCENT_EQ] = ACTIONS(1577),
    [anon_sym_BANG_EQ] = ACTIONS(1575),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1577),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1577),
    [anon_sym_LT_EQ] = ACTIONS(1577),
    [anon_sym_GT_EQ] = ACTIONS(1577),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1575),
    [anon_sym_SLASH] = ACTIONS(1575),
    [anon_sym_PERCENT] = ACTIONS(1575),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1577),
    [anon_sym_CARET] = ACTIONS(1575),
    [anon_sym_LT_LT] = ACTIONS(1577),
    [anon_sym_GT_GT] = ACTIONS(1577),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1577),
    [sym__eq_eq_custom] = ACTIONS(1577),
    [sym__plus_then_ws] = ACTIONS(1577),
    [sym__minus_then_ws] = ACTIONS(1577),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [358] = {
    [sym_simple_identifier] = STATE(2072),
    [sym__contextual_simple_identifier] = STATE(2016),
    [sym__basic_literal] = STATE(1251),
    [sym_boolean_literal] = STATE(1251),
    [sym__string_literal] = STATE(1251),
    [sym_line_string_literal] = STATE(1251),
    [sym_multi_line_string_literal] = STATE(1251),
    [sym_raw_string_literal] = STATE(1251),
    [sym_regex_literal] = STATE(1251),
    [sym__multiline_regex_literal] = STATE(2164),
    [sym_user_type] = STATE(5497),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5497),
    [sym_dictionary_type] = STATE(5497),
    [sym__expression] = STATE(1251),
    [sym__unary_expression] = STATE(1251),
    [sym_postfix_expression] = STATE(1251),
    [sym_constructor_expression] = STATE(1251),
    [sym__parenthesized_type] = STATE(6725),
    [sym_navigation_expression] = STATE(1251),
    [sym__navigable_type_expression] = STATE(6724),
    [sym_open_start_range_expression] = STATE(1251),
    [sym__range_operator] = STATE(467),
    [sym_open_end_range_expression] = STATE(1251),
    [sym_prefix_expression] = STATE(1251),
    [sym_as_expression] = STATE(1251),
    [sym_selector_expression] = STATE(1251),
    [sym__binary_expression] = STATE(1251),
    [sym_multiplicative_expression] = STATE(1251),
    [sym_additive_expression] = STATE(1251),
    [sym_range_expression] = STATE(1251),
    [sym_infix_expression] = STATE(1251),
    [sym_nil_coalescing_expression] = STATE(1251),
    [sym_check_expression] = STATE(1251),
    [sym_comparison_expression] = STATE(1251),
    [sym_equality_expression] = STATE(1251),
    [sym_conjunction_expression] = STATE(1251),
    [sym_disjunction_expression] = STATE(1251),
    [sym_bitwise_operation] = STATE(1251),
    [sym_custom_operator] = STATE(835),
    [sym_try_expression] = STATE(1251),
    [sym_await_expression] = STATE(1251),
    [sym__await_operator] = STATE(466),
    [sym_ternary_expression] = STATE(1251),
    [sym__expr_hack_at_ternary_binary_suffix] = STATE(2246),
    [sym_expr_hack_at_ternary_binary_call] = STATE(2246),
    [sym_call_expression] = STATE(1251),
    [sym__primary_expression] = STATE(1251),
    [sym_tuple_expression] = STATE(1251),
    [sym_array_literal] = STATE(1251),
    [sym_dictionary_literal] = STATE(1251),
    [sym__special_literal] = STATE(1251),
    [sym__playground_literal] = STATE(1251),
    [sym_lambda_literal] = STATE(1251),
    [sym_self_expression] = STATE(1251),
    [sym_super_expression] = STATE(1251),
    [sym_if_statement] = STATE(1251),
    [sym_switch_statement] = STATE(1251),
    [sym_key_path_expression] = STATE(1251),
    [sym_key_path_string_expression] = STATE(1251),
    [sym_try_operator] = STATE(455),
    [sym__assignment_and_operator] = STATE(1251),
    [sym__equality_operator] = STATE(1251),
    [sym__comparison_operator] = STATE(1251),
    [sym__three_dot_operator] = STATE(837),
    [sym__open_ended_range_operator] = STATE(467),
    [sym__additive_operator] = STATE(1251),
    [sym__multiplicative_operator] = STATE(1251),
    [sym__prefix_unary_operator] = STATE(468),
    [sym_directly_assignable_expression] = STATE(5498),
    [sym_assignment] = STATE(1251),
    [sym_value_parameter_pack] = STATE(1251),
    [sym_value_pack_expansion] = STATE(1251),
    [sym__referenceable_operator] = STATE(1251),
    [sym__equal_sign] = STATE(1251),
    [sym__eq_eq] = STATE(1251),
    [sym__dot] = STATE(468),
    [sym_bang] = STATE(835),
    [sym__parameter_ownership_modifier] = STATE(2016),
    [aux_sym_raw_string_literal_repeat1] = STATE(6553),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(971),
    [aux_sym_simple_identifier_token2] = ACTIONS(973),
    [aux_sym_simple_identifier_token3] = ACTIONS(973),
    [aux_sym_simple_identifier_token4] = ACTIONS(973),
    [anon_sym_actor] = ACTIONS(971),
    [anon_sym_async] = ACTIONS(971),
    [anon_sym_each] = ACTIONS(975),
    [anon_sym_lazy] = ACTIONS(971),
    [anon_sym_repeat] = ACTIONS(977),
    [anon_sym_package] = ACTIONS(971),
    [anon_sym_nil] = ACTIONS(1583),
    [sym_real_literal] = ACTIONS(1585),
    [sym_integer_literal] = ACTIONS(1583),
    [sym_hex_literal] = ACTIONS(1585),
    [sym_oct_literal] = ACTIONS(1585),
    [sym_bin_literal] = ACTIONS(1585),
    [anon_sym_true] = ACTIONS(983),
    [anon_sym_false] = ACTIONS(983),
    [anon_sym_DQUOTE] = ACTIONS(985),
    [anon_sym_BSLASH] = ACTIONS(987),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(989),
    [sym__extended_regex_literal] = ACTIONS(991),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(993),
    [sym__oneline_regex_literal] = ACTIONS(995),
    [anon_sym_LPAREN] = ACTIONS(997),
    [anon_sym_LBRACK] = ACTIONS(999),
    [anon_sym_AMP] = ACTIONS(1001),
    [anon_sym_if] = ACTIONS(1003),
    [anon_sym_switch] = ACTIONS(1005),
    [anon_sym_POUNDselector] = ACTIONS(1007),
    [aux_sym_custom_operator_token1] = ACTIONS(1009),
    [anon_sym_LT] = ACTIONS(1583),
    [anon_sym_GT] = ACTIONS(1583),
    [anon_sym_await] = ACTIONS(1011),
    [anon_sym_POUNDfile] = ACTIONS(1583),
    [anon_sym_POUNDfileID] = ACTIONS(1585),
    [anon_sym_POUNDfilePath] = ACTIONS(1585),
    [anon_sym_POUNDline] = ACTIONS(1585),
    [anon_sym_POUNDcolumn] = ACTIONS(1585),
    [anon_sym_POUNDfunction] = ACTIONS(1585),
    [anon_sym_POUNDdsohandle] = ACTIONS(1585),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(1013),
    [anon_sym_POUNDfileLiteral] = ACTIONS(1013),
    [anon_sym_POUNDimageLiteral] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(1015),
    [anon_sym_CARET_LBRACE] = ACTIONS(1015),
    [anon_sym_self] = ACTIONS(1017),
    [anon_sym_super] = ACTIONS(1019),
    [anon_sym_POUNDkeyPath] = ACTIONS(1021),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1585),
    [anon_sym_DASH_EQ] = ACTIONS(1585),
    [anon_sym_STAR_EQ] = ACTIONS(1585),
    [anon_sym_SLASH_EQ] = ACTIONS(1585),
    [anon_sym_PERCENT_EQ] = ACTIONS(1585),
    [anon_sym_BANG_EQ] = ACTIONS(1583),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1585),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1585),
    [anon_sym_LT_EQ] = ACTIONS(1585),
    [anon_sym_GT_EQ] = ACTIONS(1585),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1023),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1025),
    [anon_sym_PLUS] = ACTIONS(1027),
    [anon_sym_DASH] = ACTIONS(1027),
    [anon_sym_STAR] = ACTIONS(1583),
    [anon_sym_SLASH] = ACTIONS(1583),
    [anon_sym_PERCENT] = ACTIONS(1583),
    [anon_sym_PLUS_PLUS] = ACTIONS(1001),
    [anon_sym_DASH_DASH] = ACTIONS(1001),
    [anon_sym_TILDE] = ACTIONS(1001),
    [anon_sym_PIPE] = ACTIONS(1585),
    [anon_sym_CARET] = ACTIONS(1583),
    [anon_sym_LT_LT] = ACTIONS(1585),
    [anon_sym_GT_GT] = ACTIONS(1585),
    [anon_sym_BANG2] = ACTIONS(1029),
    [anon_sym_borrowing] = ACTIONS(971),
    [anon_sym_consuming] = ACTIONS(971),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(1031),
    [sym__dot_custom] = ACTIONS(1033),
    [sym__eq_custom] = ACTIONS(1585),
    [sym__eq_eq_custom] = ACTIONS(1585),
    [sym__plus_then_ws] = ACTIONS(1585),
    [sym__minus_then_ws] = ACTIONS(1585),
    [sym__bang_custom] = ACTIONS(1035),
    [sym__custom_operator] = ACTIONS(1009),
  },
  [359] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1276),
    [sym_boolean_literal] = STATE(1276),
    [sym__string_literal] = STATE(1276),
    [sym_line_string_literal] = STATE(1276),
    [sym_multi_line_string_literal] = STATE(1276),
    [sym_raw_string_literal] = STATE(1276),
    [sym_regex_literal] = STATE(1276),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1276),
    [sym__unary_expression] = STATE(1276),
    [sym_postfix_expression] = STATE(1276),
    [sym_constructor_expression] = STATE(1276),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1276),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1276),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1276),
    [sym_prefix_expression] = STATE(1276),
    [sym_as_expression] = STATE(1276),
    [sym_selector_expression] = STATE(1276),
    [sym__binary_expression] = STATE(1276),
    [sym_multiplicative_expression] = STATE(1276),
    [sym_additive_expression] = STATE(1276),
    [sym_range_expression] = STATE(1276),
    [sym_infix_expression] = STATE(1276),
    [sym_nil_coalescing_expression] = STATE(1276),
    [sym_check_expression] = STATE(1276),
    [sym_comparison_expression] = STATE(1276),
    [sym_equality_expression] = STATE(1276),
    [sym_conjunction_expression] = STATE(1276),
    [sym_disjunction_expression] = STATE(1276),
    [sym_bitwise_operation] = STATE(1276),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1276),
    [sym_await_expression] = STATE(1276),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1276),
    [sym__expr_hack_at_ternary_binary_suffix] = STATE(764),
    [sym_expr_hack_at_ternary_binary_call] = STATE(764),
    [sym_call_expression] = STATE(1276),
    [sym__primary_expression] = STATE(1276),
    [sym_tuple_expression] = STATE(1276),
    [sym_array_literal] = STATE(1276),
    [sym_dictionary_literal] = STATE(1276),
    [sym__special_literal] = STATE(1276),
    [sym__playground_literal] = STATE(1276),
    [sym_lambda_literal] = STATE(1276),
    [sym_self_expression] = STATE(1276),
    [sym_super_expression] = STATE(1276),
    [sym_if_statement] = STATE(1276),
    [sym_switch_statement] = STATE(1276),
    [sym_key_path_expression] = STATE(1276),
    [sym_key_path_string_expression] = STATE(1276),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1276),
    [sym__equality_operator] = STATE(1276),
    [sym__comparison_operator] = STATE(1276),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1276),
    [sym__multiplicative_operator] = STATE(1276),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1276),
    [sym_value_parameter_pack] = STATE(1276),
    [sym_value_pack_expansion] = STATE(1276),
    [sym__referenceable_operator] = STATE(1276),
    [sym__equal_sign] = STATE(1276),
    [sym__eq_eq] = STATE(1276),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1575),
    [sym_real_literal] = ACTIONS(1577),
    [sym_integer_literal] = ACTIONS(1575),
    [sym_hex_literal] = ACTIONS(1577),
    [sym_oct_literal] = ACTIONS(1577),
    [sym_bin_literal] = ACTIONS(1577),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1575),
    [anon_sym_GT] = ACTIONS(1575),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1575),
    [anon_sym_POUNDfileID] = ACTIONS(1577),
    [anon_sym_POUNDfilePath] = ACTIONS(1577),
    [anon_sym_POUNDline] = ACTIONS(1577),
    [anon_sym_POUNDcolumn] = ACTIONS(1577),
    [anon_sym_POUNDfunction] = ACTIONS(1577),
    [anon_sym_POUNDdsohandle] = ACTIONS(1577),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1577),
    [anon_sym_DASH_EQ] = ACTIONS(1577),
    [anon_sym_STAR_EQ] = ACTIONS(1577),
    [anon_sym_SLASH_EQ] = ACTIONS(1577),
    [anon_sym_PERCENT_EQ] = ACTIONS(1577),
    [anon_sym_BANG_EQ] = ACTIONS(1575),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1577),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1577),
    [anon_sym_LT_EQ] = ACTIONS(1577),
    [anon_sym_GT_EQ] = ACTIONS(1577),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1575),
    [anon_sym_SLASH] = ACTIONS(1575),
    [anon_sym_PERCENT] = ACTIONS(1575),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1577),
    [anon_sym_CARET] = ACTIONS(1575),
    [anon_sym_LT_LT] = ACTIONS(1577),
    [anon_sym_GT_GT] = ACTIONS(1577),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1577),
    [sym__eq_eq_custom] = ACTIONS(1577),
    [sym__plus_then_ws] = ACTIONS(1577),
    [sym__minus_then_ws] = ACTIONS(1577),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [360] = {
    [sym_simple_identifier] = STATE(2573),
    [sym__contextual_simple_identifier] = STATE(2374),
    [sym__basic_literal] = STATE(1418),
    [sym_boolean_literal] = STATE(1418),
    [sym__string_literal] = STATE(1418),
    [sym_line_string_literal] = STATE(1418),
    [sym_multi_line_string_literal] = STATE(1418),
    [sym_raw_string_literal] = STATE(1418),
    [sym_regex_literal] = STATE(1418),
    [sym__multiline_regex_literal] = STATE(2929),
    [sym_user_type] = STATE(5443),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5443),
    [sym_dictionary_type] = STATE(5443),
    [sym__expression] = STATE(1418),
    [sym__unary_expression] = STATE(1418),
    [sym_postfix_expression] = STATE(1418),
    [sym_constructor_expression] = STATE(1418),
    [sym__parenthesized_type] = STATE(7012),
    [sym_navigation_expression] = STATE(1418),
    [sym__navigable_type_expression] = STATE(7009),
    [sym_open_start_range_expression] = STATE(1418),
    [sym__range_operator] = STATE(557),
    [sym_open_end_range_expression] = STATE(1418),
    [sym_prefix_expression] = STATE(1418),
    [sym_as_expression] = STATE(1418),
    [sym_selector_expression] = STATE(1418),
    [sym__binary_expression] = STATE(1418),
    [sym_multiplicative_expression] = STATE(1418),
    [sym_additive_expression] = STATE(1418),
    [sym_range_expression] = STATE(1418),
    [sym_infix_expression] = STATE(1418),
    [sym_nil_coalescing_expression] = STATE(1418),
    [sym_check_expression] = STATE(1418),
    [sym_comparison_expression] = STATE(1418),
    [sym_equality_expression] = STATE(1418),
    [sym_conjunction_expression] = STATE(1418),
    [sym_disjunction_expression] = STATE(1418),
    [sym_bitwise_operation] = STATE(1418),
    [sym_custom_operator] = STATE(878),
    [sym_try_expression] = STATE(1418),
    [sym_await_expression] = STATE(1418),
    [sym__await_operator] = STATE(564),
    [sym_ternary_expression] = STATE(1418),
    [sym_call_expression] = STATE(1418),
    [sym__primary_expression] = STATE(1418),
    [sym_tuple_expression] = STATE(1418),
    [sym_array_literal] = STATE(1418),
    [sym_dictionary_literal] = STATE(1418),
    [sym__special_literal] = STATE(1418),
    [sym__playground_literal] = STATE(1418),
    [sym_lambda_literal] = STATE(1418),
    [sym_self_expression] = STATE(1418),
    [sym_super_expression] = STATE(1418),
    [sym_if_statement] = STATE(1418),
    [sym_switch_statement] = STATE(1418),
    [sym_key_path_expression] = STATE(1418),
    [sym_key_path_string_expression] = STATE(1418),
    [sym_try_operator] = STATE(451),
    [sym__assignment_and_operator] = STATE(1418),
    [sym__equality_operator] = STATE(1418),
    [sym__comparison_operator] = STATE(1418),
    [sym__three_dot_operator] = STATE(884),
    [sym__open_ended_range_operator] = STATE(557),
    [sym__additive_operator] = STATE(1418),
    [sym__multiplicative_operator] = STATE(1418),
    [sym__prefix_unary_operator] = STATE(471),
    [sym_directly_assignable_expression] = STATE(5445),
    [sym__for_statement_collection] = STATE(6289),
    [sym_for_statement_await] = STATE(6289),
    [sym_assignment] = STATE(1418),
    [sym_value_parameter_pack] = STATE(1418),
    [sym_value_pack_expansion] = STATE(1418),
    [sym__referenceable_operator] = STATE(1418),
    [sym__equal_sign] = STATE(1418),
    [sym__eq_eq] = STATE(1418),
    [sym__dot] = STATE(471),
    [sym_bang] = STATE(878),
    [sym__parameter_ownership_modifier] = STATE(2374),
    [aux_sym_raw_string_literal_repeat1] = STATE(7006),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(1037),
    [aux_sym_simple_identifier_token2] = ACTIONS(1039),
    [aux_sym_simple_identifier_token3] = ACTIONS(1039),
    [aux_sym_simple_identifier_token4] = ACTIONS(1039),
    [anon_sym_actor] = ACTIONS(1037),
    [anon_sym_async] = ACTIONS(1037),
    [anon_sym_each] = ACTIONS(1041),
    [anon_sym_lazy] = ACTIONS(1037),
    [anon_sym_repeat] = ACTIONS(1043),
    [anon_sym_package] = ACTIONS(1037),
    [anon_sym_nil] = ACTIONS(1605),
    [sym_real_literal] = ACTIONS(1607),
    [sym_integer_literal] = ACTIONS(1605),
    [sym_hex_literal] = ACTIONS(1607),
    [sym_oct_literal] = ACTIONS(1607),
    [sym_bin_literal] = ACTIONS(1607),
    [anon_sym_true] = ACTIONS(1049),
    [anon_sym_false] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_BSLASH] = ACTIONS(1053),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1055),
    [sym__extended_regex_literal] = ACTIONS(1057),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(1059),
    [sym__oneline_regex_literal] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_LBRACK] = ACTIONS(1065),
    [anon_sym_AMP] = ACTIONS(1067),
    [anon_sym_if] = ACTIONS(1069),
    [anon_sym_switch] = ACTIONS(1071),
    [anon_sym_POUNDselector] = ACTIONS(1073),
    [aux_sym_custom_operator_token1] = ACTIONS(1075),
    [anon_sym_LT] = ACTIONS(1605),
    [anon_sym_GT] = ACTIONS(1605),
    [anon_sym_await] = ACTIONS(1609),
    [anon_sym_POUNDfile] = ACTIONS(1605),
    [anon_sym_POUNDfileID] = ACTIONS(1607),
    [anon_sym_POUNDfilePath] = ACTIONS(1607),
    [anon_sym_POUNDline] = ACTIONS(1607),
    [anon_sym_POUNDcolumn] = ACTIONS(1607),
    [anon_sym_POUNDfunction] = ACTIONS(1607),
    [anon_sym_POUNDdsohandle] = ACTIONS(1607),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(1079),
    [anon_sym_POUNDfileLiteral] = ACTIONS(1079),
    [anon_sym_POUNDimageLiteral] = ACTIONS(1079),
    [anon_sym_LBRACE] = ACTIONS(1081),
    [anon_sym_CARET_LBRACE] = ACTIONS(1081),
    [anon_sym_self] = ACTIONS(1083),
    [anon_sym_super] = ACTIONS(1085),
    [anon_sym_POUNDkeyPath] = ACTIONS(1089),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1607),
    [anon_sym_DASH_EQ] = ACTIONS(1607),
    [anon_sym_STAR_EQ] = ACTIONS(1607),
    [anon_sym_SLASH_EQ] = ACTIONS(1607),
    [anon_sym_PERCENT_EQ] = ACTIONS(1607),
    [anon_sym_BANG_EQ] = ACTIONS(1605),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1607),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1607),
    [anon_sym_LT_EQ] = ACTIONS(1607),
    [anon_sym_GT_EQ] = ACTIONS(1607),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1093),
    [anon_sym_PLUS] = ACTIONS(1097),
    [anon_sym_DASH] = ACTIONS(1097),
    [anon_sym_STAR] = ACTIONS(1605),
    [anon_sym_SLASH] = ACTIONS(1605),
    [anon_sym_PERCENT] = ACTIONS(1605),
    [anon_sym_PLUS_PLUS] = ACTIONS(1067),
    [anon_sym_DASH_DASH] = ACTIONS(1067),
    [anon_sym_TILDE] = ACTIONS(1067),
    [anon_sym_PIPE] = ACTIONS(1607),
    [anon_sym_CARET] = ACTIONS(1605),
    [anon_sym_LT_LT] = ACTIONS(1607),
    [anon_sym_GT_GT] = ACTIONS(1607),
    [anon_sym_BANG2] = ACTIONS(1099),
    [anon_sym_borrowing] = ACTIONS(1037),
    [anon_sym_consuming] = ACTIONS(1037),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(1103),
    [sym__dot_custom] = ACTIONS(1307),
    [sym__eq_custom] = ACTIONS(1607),
    [sym__eq_eq_custom] = ACTIONS(1607),
    [sym__plus_then_ws] = ACTIONS(1607),
    [sym__minus_then_ws] = ACTIONS(1607),
    [sym__bang_custom] = ACTIONS(1107),
    [sym__custom_operator] = ACTIONS(1075),
  },
  [361] = {
    [sym_simple_identifier] = STATE(2573),
    [sym__contextual_simple_identifier] = STATE(2374),
    [sym__basic_literal] = STATE(1418),
    [sym_boolean_literal] = STATE(1418),
    [sym__string_literal] = STATE(1418),
    [sym_line_string_literal] = STATE(1418),
    [sym_multi_line_string_literal] = STATE(1418),
    [sym_raw_string_literal] = STATE(1418),
    [sym_regex_literal] = STATE(1418),
    [sym__multiline_regex_literal] = STATE(2929),
    [sym_user_type] = STATE(5443),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5443),
    [sym_dictionary_type] = STATE(5443),
    [sym__expression] = STATE(1418),
    [sym__unary_expression] = STATE(1418),
    [sym_postfix_expression] = STATE(1418),
    [sym_constructor_expression] = STATE(1418),
    [sym__parenthesized_type] = STATE(7012),
    [sym_navigation_expression] = STATE(1418),
    [sym__navigable_type_expression] = STATE(7009),
    [sym_open_start_range_expression] = STATE(1418),
    [sym__range_operator] = STATE(557),
    [sym_open_end_range_expression] = STATE(1418),
    [sym_prefix_expression] = STATE(1418),
    [sym_as_expression] = STATE(1418),
    [sym_selector_expression] = STATE(1418),
    [sym__binary_expression] = STATE(1418),
    [sym_multiplicative_expression] = STATE(1418),
    [sym_additive_expression] = STATE(1418),
    [sym_range_expression] = STATE(1418),
    [sym_infix_expression] = STATE(1418),
    [sym_nil_coalescing_expression] = STATE(1418),
    [sym_check_expression] = STATE(1418),
    [sym_comparison_expression] = STATE(1418),
    [sym_equality_expression] = STATE(1418),
    [sym_conjunction_expression] = STATE(1418),
    [sym_disjunction_expression] = STATE(1418),
    [sym_bitwise_operation] = STATE(1418),
    [sym_custom_operator] = STATE(878),
    [sym_try_expression] = STATE(1418),
    [sym_await_expression] = STATE(1418),
    [sym__await_operator] = STATE(564),
    [sym_ternary_expression] = STATE(1418),
    [sym_call_expression] = STATE(1418),
    [sym__primary_expression] = STATE(1418),
    [sym_tuple_expression] = STATE(1418),
    [sym_array_literal] = STATE(1418),
    [sym_dictionary_literal] = STATE(1418),
    [sym__special_literal] = STATE(1418),
    [sym__playground_literal] = STATE(1418),
    [sym_lambda_literal] = STATE(1418),
    [sym_self_expression] = STATE(1418),
    [sym_super_expression] = STATE(1418),
    [sym_if_statement] = STATE(1418),
    [sym_switch_statement] = STATE(1418),
    [sym_key_path_expression] = STATE(1418),
    [sym_key_path_string_expression] = STATE(1418),
    [sym_try_operator] = STATE(451),
    [sym__assignment_and_operator] = STATE(1418),
    [sym__equality_operator] = STATE(1418),
    [sym__comparison_operator] = STATE(1418),
    [sym__three_dot_operator] = STATE(884),
    [sym__open_ended_range_operator] = STATE(557),
    [sym__additive_operator] = STATE(1418),
    [sym__multiplicative_operator] = STATE(1418),
    [sym__prefix_unary_operator] = STATE(471),
    [sym_directly_assignable_expression] = STATE(5445),
    [sym__for_statement_collection] = STATE(6291),
    [sym_for_statement_await] = STATE(6291),
    [sym_assignment] = STATE(1418),
    [sym_value_parameter_pack] = STATE(1418),
    [sym_value_pack_expansion] = STATE(1418),
    [sym__referenceable_operator] = STATE(1418),
    [sym__equal_sign] = STATE(1418),
    [sym__eq_eq] = STATE(1418),
    [sym__dot] = STATE(471),
    [sym_bang] = STATE(878),
    [sym__parameter_ownership_modifier] = STATE(2374),
    [aux_sym_raw_string_literal_repeat1] = STATE(7006),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(1037),
    [aux_sym_simple_identifier_token2] = ACTIONS(1039),
    [aux_sym_simple_identifier_token3] = ACTIONS(1039),
    [aux_sym_simple_identifier_token4] = ACTIONS(1039),
    [anon_sym_actor] = ACTIONS(1037),
    [anon_sym_async] = ACTIONS(1037),
    [anon_sym_each] = ACTIONS(1041),
    [anon_sym_lazy] = ACTIONS(1037),
    [anon_sym_repeat] = ACTIONS(1043),
    [anon_sym_package] = ACTIONS(1037),
    [anon_sym_nil] = ACTIONS(1605),
    [sym_real_literal] = ACTIONS(1607),
    [sym_integer_literal] = ACTIONS(1605),
    [sym_hex_literal] = ACTIONS(1607),
    [sym_oct_literal] = ACTIONS(1607),
    [sym_bin_literal] = ACTIONS(1607),
    [anon_sym_true] = ACTIONS(1049),
    [anon_sym_false] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_BSLASH] = ACTIONS(1053),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1055),
    [sym__extended_regex_literal] = ACTIONS(1057),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(1059),
    [sym__oneline_regex_literal] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_LBRACK] = ACTIONS(1065),
    [anon_sym_AMP] = ACTIONS(1067),
    [anon_sym_if] = ACTIONS(1069),
    [anon_sym_switch] = ACTIONS(1071),
    [anon_sym_POUNDselector] = ACTIONS(1073),
    [aux_sym_custom_operator_token1] = ACTIONS(1075),
    [anon_sym_LT] = ACTIONS(1605),
    [anon_sym_GT] = ACTIONS(1605),
    [anon_sym_await] = ACTIONS(1609),
    [anon_sym_POUNDfile] = ACTIONS(1605),
    [anon_sym_POUNDfileID] = ACTIONS(1607),
    [anon_sym_POUNDfilePath] = ACTIONS(1607),
    [anon_sym_POUNDline] = ACTIONS(1607),
    [anon_sym_POUNDcolumn] = ACTIONS(1607),
    [anon_sym_POUNDfunction] = ACTIONS(1607),
    [anon_sym_POUNDdsohandle] = ACTIONS(1607),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(1079),
    [anon_sym_POUNDfileLiteral] = ACTIONS(1079),
    [anon_sym_POUNDimageLiteral] = ACTIONS(1079),
    [anon_sym_LBRACE] = ACTIONS(1081),
    [anon_sym_CARET_LBRACE] = ACTIONS(1081),
    [anon_sym_self] = ACTIONS(1083),
    [anon_sym_super] = ACTIONS(1085),
    [anon_sym_POUNDkeyPath] = ACTIONS(1089),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1607),
    [anon_sym_DASH_EQ] = ACTIONS(1607),
    [anon_sym_STAR_EQ] = ACTIONS(1607),
    [anon_sym_SLASH_EQ] = ACTIONS(1607),
    [anon_sym_PERCENT_EQ] = ACTIONS(1607),
    [anon_sym_BANG_EQ] = ACTIONS(1605),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1607),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1607),
    [anon_sym_LT_EQ] = ACTIONS(1607),
    [anon_sym_GT_EQ] = ACTIONS(1607),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1093),
    [anon_sym_PLUS] = ACTIONS(1097),
    [anon_sym_DASH] = ACTIONS(1097),
    [anon_sym_STAR] = ACTIONS(1605),
    [anon_sym_SLASH] = ACTIONS(1605),
    [anon_sym_PERCENT] = ACTIONS(1605),
    [anon_sym_PLUS_PLUS] = ACTIONS(1067),
    [anon_sym_DASH_DASH] = ACTIONS(1067),
    [anon_sym_TILDE] = ACTIONS(1067),
    [anon_sym_PIPE] = ACTIONS(1607),
    [anon_sym_CARET] = ACTIONS(1605),
    [anon_sym_LT_LT] = ACTIONS(1607),
    [anon_sym_GT_GT] = ACTIONS(1607),
    [anon_sym_BANG2] = ACTIONS(1099),
    [anon_sym_borrowing] = ACTIONS(1037),
    [anon_sym_consuming] = ACTIONS(1037),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(1103),
    [sym__dot_custom] = ACTIONS(1307),
    [sym__eq_custom] = ACTIONS(1607),
    [sym__eq_eq_custom] = ACTIONS(1607),
    [sym__plus_then_ws] = ACTIONS(1607),
    [sym__minus_then_ws] = ACTIONS(1607),
    [sym__bang_custom] = ACTIONS(1107),
    [sym__custom_operator] = ACTIONS(1075),
  },
  [362] = {
    [sym_simple_identifier] = STATE(2573),
    [sym__contextual_simple_identifier] = STATE(2374),
    [sym__basic_literal] = STATE(1418),
    [sym_boolean_literal] = STATE(1418),
    [sym__string_literal] = STATE(1418),
    [sym_line_string_literal] = STATE(1418),
    [sym_multi_line_string_literal] = STATE(1418),
    [sym_raw_string_literal] = STATE(1418),
    [sym_regex_literal] = STATE(1418),
    [sym__multiline_regex_literal] = STATE(2929),
    [sym_user_type] = STATE(5443),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5443),
    [sym_dictionary_type] = STATE(5443),
    [sym__expression] = STATE(1418),
    [sym__unary_expression] = STATE(1418),
    [sym_postfix_expression] = STATE(1418),
    [sym_constructor_expression] = STATE(1418),
    [sym__parenthesized_type] = STATE(7012),
    [sym_navigation_expression] = STATE(1418),
    [sym__navigable_type_expression] = STATE(7009),
    [sym_open_start_range_expression] = STATE(1418),
    [sym__range_operator] = STATE(557),
    [sym_open_end_range_expression] = STATE(1418),
    [sym_prefix_expression] = STATE(1418),
    [sym_as_expression] = STATE(1418),
    [sym_selector_expression] = STATE(1418),
    [sym__binary_expression] = STATE(1418),
    [sym_multiplicative_expression] = STATE(1418),
    [sym_additive_expression] = STATE(1418),
    [sym_range_expression] = STATE(1418),
    [sym_infix_expression] = STATE(1418),
    [sym_nil_coalescing_expression] = STATE(1418),
    [sym_check_expression] = STATE(1418),
    [sym_comparison_expression] = STATE(1418),
    [sym_equality_expression] = STATE(1418),
    [sym_conjunction_expression] = STATE(1418),
    [sym_disjunction_expression] = STATE(1418),
    [sym_bitwise_operation] = STATE(1418),
    [sym_custom_operator] = STATE(878),
    [sym_try_expression] = STATE(1418),
    [sym_await_expression] = STATE(1418),
    [sym__await_operator] = STATE(564),
    [sym_ternary_expression] = STATE(1418),
    [sym_call_expression] = STATE(1418),
    [sym__primary_expression] = STATE(1418),
    [sym_tuple_expression] = STATE(1418),
    [sym_array_literal] = STATE(1418),
    [sym_dictionary_literal] = STATE(1418),
    [sym__special_literal] = STATE(1418),
    [sym__playground_literal] = STATE(1418),
    [sym_lambda_literal] = STATE(1418),
    [sym_self_expression] = STATE(1418),
    [sym_super_expression] = STATE(1418),
    [sym_if_statement] = STATE(1418),
    [sym_switch_statement] = STATE(1418),
    [sym_key_path_expression] = STATE(1418),
    [sym_key_path_string_expression] = STATE(1418),
    [sym_try_operator] = STATE(451),
    [sym__assignment_and_operator] = STATE(1418),
    [sym__equality_operator] = STATE(1418),
    [sym__comparison_operator] = STATE(1418),
    [sym__three_dot_operator] = STATE(884),
    [sym__open_ended_range_operator] = STATE(557),
    [sym__additive_operator] = STATE(1418),
    [sym__multiplicative_operator] = STATE(1418),
    [sym__prefix_unary_operator] = STATE(471),
    [sym_directly_assignable_expression] = STATE(5445),
    [sym__for_statement_collection] = STATE(6299),
    [sym_for_statement_await] = STATE(6299),
    [sym_assignment] = STATE(1418),
    [sym_value_parameter_pack] = STATE(1418),
    [sym_value_pack_expansion] = STATE(1418),
    [sym__referenceable_operator] = STATE(1418),
    [sym__equal_sign] = STATE(1418),
    [sym__eq_eq] = STATE(1418),
    [sym__dot] = STATE(471),
    [sym_bang] = STATE(878),
    [sym__parameter_ownership_modifier] = STATE(2374),
    [aux_sym_raw_string_literal_repeat1] = STATE(7006),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(1037),
    [aux_sym_simple_identifier_token2] = ACTIONS(1039),
    [aux_sym_simple_identifier_token3] = ACTIONS(1039),
    [aux_sym_simple_identifier_token4] = ACTIONS(1039),
    [anon_sym_actor] = ACTIONS(1037),
    [anon_sym_async] = ACTIONS(1037),
    [anon_sym_each] = ACTIONS(1041),
    [anon_sym_lazy] = ACTIONS(1037),
    [anon_sym_repeat] = ACTIONS(1043),
    [anon_sym_package] = ACTIONS(1037),
    [anon_sym_nil] = ACTIONS(1605),
    [sym_real_literal] = ACTIONS(1607),
    [sym_integer_literal] = ACTIONS(1605),
    [sym_hex_literal] = ACTIONS(1607),
    [sym_oct_literal] = ACTIONS(1607),
    [sym_bin_literal] = ACTIONS(1607),
    [anon_sym_true] = ACTIONS(1049),
    [anon_sym_false] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_BSLASH] = ACTIONS(1053),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1055),
    [sym__extended_regex_literal] = ACTIONS(1057),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(1059),
    [sym__oneline_regex_literal] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_LBRACK] = ACTIONS(1065),
    [anon_sym_AMP] = ACTIONS(1067),
    [anon_sym_if] = ACTIONS(1069),
    [anon_sym_switch] = ACTIONS(1071),
    [anon_sym_POUNDselector] = ACTIONS(1073),
    [aux_sym_custom_operator_token1] = ACTIONS(1075),
    [anon_sym_LT] = ACTIONS(1605),
    [anon_sym_GT] = ACTIONS(1605),
    [anon_sym_await] = ACTIONS(1609),
    [anon_sym_POUNDfile] = ACTIONS(1605),
    [anon_sym_POUNDfileID] = ACTIONS(1607),
    [anon_sym_POUNDfilePath] = ACTIONS(1607),
    [anon_sym_POUNDline] = ACTIONS(1607),
    [anon_sym_POUNDcolumn] = ACTIONS(1607),
    [anon_sym_POUNDfunction] = ACTIONS(1607),
    [anon_sym_POUNDdsohandle] = ACTIONS(1607),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(1079),
    [anon_sym_POUNDfileLiteral] = ACTIONS(1079),
    [anon_sym_POUNDimageLiteral] = ACTIONS(1079),
    [anon_sym_LBRACE] = ACTIONS(1081),
    [anon_sym_CARET_LBRACE] = ACTIONS(1081),
    [anon_sym_self] = ACTIONS(1083),
    [anon_sym_super] = ACTIONS(1085),
    [anon_sym_POUNDkeyPath] = ACTIONS(1089),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1607),
    [anon_sym_DASH_EQ] = ACTIONS(1607),
    [anon_sym_STAR_EQ] = ACTIONS(1607),
    [anon_sym_SLASH_EQ] = ACTIONS(1607),
    [anon_sym_PERCENT_EQ] = ACTIONS(1607),
    [anon_sym_BANG_EQ] = ACTIONS(1605),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1607),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1607),
    [anon_sym_LT_EQ] = ACTIONS(1607),
    [anon_sym_GT_EQ] = ACTIONS(1607),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1093),
    [anon_sym_PLUS] = ACTIONS(1097),
    [anon_sym_DASH] = ACTIONS(1097),
    [anon_sym_STAR] = ACTIONS(1605),
    [anon_sym_SLASH] = ACTIONS(1605),
    [anon_sym_PERCENT] = ACTIONS(1605),
    [anon_sym_PLUS_PLUS] = ACTIONS(1067),
    [anon_sym_DASH_DASH] = ACTIONS(1067),
    [anon_sym_TILDE] = ACTIONS(1067),
    [anon_sym_PIPE] = ACTIONS(1607),
    [anon_sym_CARET] = ACTIONS(1605),
    [anon_sym_LT_LT] = ACTIONS(1607),
    [anon_sym_GT_GT] = ACTIONS(1607),
    [anon_sym_BANG2] = ACTIONS(1099),
    [anon_sym_borrowing] = ACTIONS(1037),
    [anon_sym_consuming] = ACTIONS(1037),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(1103),
    [sym__dot_custom] = ACTIONS(1307),
    [sym__eq_custom] = ACTIONS(1607),
    [sym__eq_eq_custom] = ACTIONS(1607),
    [sym__plus_then_ws] = ACTIONS(1607),
    [sym__minus_then_ws] = ACTIONS(1607),
    [sym__bang_custom] = ACTIONS(1107),
    [sym__custom_operator] = ACTIONS(1075),
  },
  [363] = {
    [sym_simple_identifier] = STATE(2936),
    [sym__contextual_simple_identifier] = STATE(2558),
    [sym__basic_literal] = STATE(1346),
    [sym_boolean_literal] = STATE(1346),
    [sym__string_literal] = STATE(1346),
    [sym_line_string_literal] = STATE(1346),
    [sym_multi_line_string_literal] = STATE(1346),
    [sym_raw_string_literal] = STATE(1346),
    [sym_regex_literal] = STATE(1346),
    [sym__multiline_regex_literal] = STATE(3141),
    [sym_user_type] = STATE(5448),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5448),
    [sym_dictionary_type] = STATE(5448),
    [sym__expression] = STATE(1346),
    [sym__unary_expression] = STATE(1346),
    [sym_postfix_expression] = STATE(1346),
    [sym_constructor_expression] = STATE(1346),
    [sym__parenthesized_type] = STATE(6984),
    [sym_navigation_expression] = STATE(1346),
    [sym__navigable_type_expression] = STATE(6994),
    [sym_open_start_range_expression] = STATE(1346),
    [sym__range_operator] = STATE(488),
    [sym_open_end_range_expression] = STATE(1346),
    [sym_prefix_expression] = STATE(1346),
    [sym_as_expression] = STATE(1346),
    [sym_selector_expression] = STATE(1346),
    [sym__binary_expression] = STATE(1346),
    [sym_multiplicative_expression] = STATE(1346),
    [sym_additive_expression] = STATE(1346),
    [sym_range_expression] = STATE(1346),
    [sym_infix_expression] = STATE(1346),
    [sym_nil_coalescing_expression] = STATE(1346),
    [sym_check_expression] = STATE(1346),
    [sym_comparison_expression] = STATE(1346),
    [sym_equality_expression] = STATE(1346),
    [sym_conjunction_expression] = STATE(1346),
    [sym_disjunction_expression] = STATE(1346),
    [sym_bitwise_operation] = STATE(1346),
    [sym_custom_operator] = STATE(902),
    [sym_try_expression] = STATE(1346),
    [sym_await_expression] = STATE(1346),
    [sym__await_operator] = STATE(498),
    [sym_ternary_expression] = STATE(1346),
    [sym__expr_hack_at_ternary_binary_suffix] = STATE(3065),
    [sym_expr_hack_at_ternary_binary_call] = STATE(3065),
    [sym_call_expression] = STATE(1346),
    [sym__primary_expression] = STATE(1346),
    [sym_tuple_expression] = STATE(1346),
    [sym_array_literal] = STATE(1346),
    [sym_dictionary_literal] = STATE(1346),
    [sym__special_literal] = STATE(1346),
    [sym__playground_literal] = STATE(1346),
    [sym_lambda_literal] = STATE(1346),
    [sym_self_expression] = STATE(1346),
    [sym_super_expression] = STATE(1346),
    [sym_if_statement] = STATE(1346),
    [sym_switch_statement] = STATE(1346),
    [sym_key_path_expression] = STATE(1346),
    [sym_key_path_string_expression] = STATE(1346),
    [sym_try_operator] = STATE(501),
    [sym__assignment_and_operator] = STATE(1346),
    [sym__equality_operator] = STATE(1346),
    [sym__comparison_operator] = STATE(1346),
    [sym__three_dot_operator] = STATE(900),
    [sym__open_ended_range_operator] = STATE(488),
    [sym__additive_operator] = STATE(1346),
    [sym__multiplicative_operator] = STATE(1346),
    [sym__prefix_unary_operator] = STATE(505),
    [sym_directly_assignable_expression] = STATE(5447),
    [sym_assignment] = STATE(1346),
    [sym_value_parameter_pack] = STATE(1346),
    [sym_value_pack_expansion] = STATE(1346),
    [sym__referenceable_operator] = STATE(1346),
    [sym__equal_sign] = STATE(1346),
    [sym__eq_eq] = STATE(1346),
    [sym__dot] = STATE(505),
    [sym_bang] = STATE(902),
    [sym__parameter_ownership_modifier] = STATE(2558),
    [aux_sym_raw_string_literal_repeat1] = STATE(7003),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(1147),
    [aux_sym_simple_identifier_token2] = ACTIONS(1149),
    [aux_sym_simple_identifier_token3] = ACTIONS(1149),
    [aux_sym_simple_identifier_token4] = ACTIONS(1149),
    [anon_sym_actor] = ACTIONS(1147),
    [anon_sym_async] = ACTIONS(1147),
    [anon_sym_each] = ACTIONS(1153),
    [anon_sym_lazy] = ACTIONS(1147),
    [anon_sym_repeat] = ACTIONS(1155),
    [anon_sym_package] = ACTIONS(1147),
    [anon_sym_nil] = ACTIONS(1593),
    [sym_real_literal] = ACTIONS(1595),
    [sym_integer_literal] = ACTIONS(1593),
    [sym_hex_literal] = ACTIONS(1595),
    [sym_oct_literal] = ACTIONS(1595),
    [sym_bin_literal] = ACTIONS(1595),
    [anon_sym_true] = ACTIONS(1161),
    [anon_sym_false] = ACTIONS(1161),
    [anon_sym_DQUOTE] = ACTIONS(1163),
    [anon_sym_BSLASH] = ACTIONS(1165),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1167),
    [sym__extended_regex_literal] = ACTIONS(1169),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(1171),
    [sym__oneline_regex_literal] = ACTIONS(1173),
    [anon_sym_LPAREN] = ACTIONS(1175),
    [anon_sym_LBRACK] = ACTIONS(1177),
    [anon_sym_AMP] = ACTIONS(1179),
    [anon_sym_if] = ACTIONS(1181),
    [anon_sym_switch] = ACTIONS(1183),
    [anon_sym_POUNDselector] = ACTIONS(1185),
    [aux_sym_custom_operator_token1] = ACTIONS(1187),
    [anon_sym_LT] = ACTIONS(1593),
    [anon_sym_GT] = ACTIONS(1593),
    [anon_sym_await] = ACTIONS(1189),
    [anon_sym_POUNDfile] = ACTIONS(1593),
    [anon_sym_POUNDfileID] = ACTIONS(1595),
    [anon_sym_POUNDfilePath] = ACTIONS(1595),
    [anon_sym_POUNDline] = ACTIONS(1595),
    [anon_sym_POUNDcolumn] = ACTIONS(1595),
    [anon_sym_POUNDfunction] = ACTIONS(1595),
    [anon_sym_POUNDdsohandle] = ACTIONS(1595),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(1191),
    [anon_sym_POUNDfileLiteral] = ACTIONS(1191),
    [anon_sym_POUNDimageLiteral] = ACTIONS(1191),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_CARET_LBRACE] = ACTIONS(1193),
    [anon_sym_self] = ACTIONS(1195),
    [anon_sym_super] = ACTIONS(1197),
    [anon_sym_POUNDkeyPath] = ACTIONS(1201),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1595),
    [anon_sym_DASH_EQ] = ACTIONS(1595),
    [anon_sym_STAR_EQ] = ACTIONS(1595),
    [anon_sym_SLASH_EQ] = ACTIONS(1595),
    [anon_sym_PERCENT_EQ] = ACTIONS(1595),
    [anon_sym_BANG_EQ] = ACTIONS(1593),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1595),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1595),
    [anon_sym_LT_EQ] = ACTIONS(1595),
    [anon_sym_GT_EQ] = ACTIONS(1595),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1203),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1205),
    [anon_sym_PLUS] = ACTIONS(1207),
    [anon_sym_DASH] = ACTIONS(1207),
    [anon_sym_STAR] = ACTIONS(1593),
    [anon_sym_SLASH] = ACTIONS(1593),
    [anon_sym_PERCENT] = ACTIONS(1593),
    [anon_sym_PLUS_PLUS] = ACTIONS(1179),
    [anon_sym_DASH_DASH] = ACTIONS(1179),
    [anon_sym_TILDE] = ACTIONS(1179),
    [anon_sym_PIPE] = ACTIONS(1595),
    [anon_sym_CARET] = ACTIONS(1593),
    [anon_sym_LT_LT] = ACTIONS(1595),
    [anon_sym_GT_GT] = ACTIONS(1595),
    [anon_sym_BANG2] = ACTIONS(1211),
    [anon_sym_borrowing] = ACTIONS(1147),
    [anon_sym_consuming] = ACTIONS(1147),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(1213),
    [sym__dot_custom] = ACTIONS(1215),
    [sym__eq_custom] = ACTIONS(1595),
    [sym__eq_eq_custom] = ACTIONS(1595),
    [sym__plus_then_ws] = ACTIONS(1595),
    [sym__minus_then_ws] = ACTIONS(1595),
    [sym__bang_custom] = ACTIONS(1217),
    [sym__custom_operator] = ACTIONS(1187),
  },
  [364] = {
    [sym_simple_identifier] = STATE(2573),
    [sym__contextual_simple_identifier] = STATE(2374),
    [sym__basic_literal] = STATE(1418),
    [sym_boolean_literal] = STATE(1418),
    [sym__string_literal] = STATE(1418),
    [sym_line_string_literal] = STATE(1418),
    [sym_multi_line_string_literal] = STATE(1418),
    [sym_raw_string_literal] = STATE(1418),
    [sym_regex_literal] = STATE(1418),
    [sym__multiline_regex_literal] = STATE(2929),
    [sym_user_type] = STATE(5443),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5443),
    [sym_dictionary_type] = STATE(5443),
    [sym__expression] = STATE(1418),
    [sym__unary_expression] = STATE(1418),
    [sym_postfix_expression] = STATE(1418),
    [sym_constructor_expression] = STATE(1418),
    [sym__parenthesized_type] = STATE(7012),
    [sym_navigation_expression] = STATE(1418),
    [sym__navigable_type_expression] = STATE(7009),
    [sym_open_start_range_expression] = STATE(1418),
    [sym__range_operator] = STATE(557),
    [sym_open_end_range_expression] = STATE(1418),
    [sym_prefix_expression] = STATE(1418),
    [sym_as_expression] = STATE(1418),
    [sym_selector_expression] = STATE(1418),
    [sym__binary_expression] = STATE(1418),
    [sym_multiplicative_expression] = STATE(1418),
    [sym_additive_expression] = STATE(1418),
    [sym_range_expression] = STATE(1418),
    [sym_infix_expression] = STATE(1418),
    [sym_nil_coalescing_expression] = STATE(1418),
    [sym_check_expression] = STATE(1418),
    [sym_comparison_expression] = STATE(1418),
    [sym_equality_expression] = STATE(1418),
    [sym_conjunction_expression] = STATE(1418),
    [sym_disjunction_expression] = STATE(1418),
    [sym_bitwise_operation] = STATE(1418),
    [sym_custom_operator] = STATE(878),
    [sym_try_expression] = STATE(1418),
    [sym_await_expression] = STATE(1418),
    [sym__await_operator] = STATE(564),
    [sym_ternary_expression] = STATE(1418),
    [sym_call_expression] = STATE(1418),
    [sym__primary_expression] = STATE(1418),
    [sym_tuple_expression] = STATE(1418),
    [sym_array_literal] = STATE(1418),
    [sym_dictionary_literal] = STATE(1418),
    [sym__special_literal] = STATE(1418),
    [sym__playground_literal] = STATE(1418),
    [sym_lambda_literal] = STATE(1418),
    [sym_self_expression] = STATE(1418),
    [sym_super_expression] = STATE(1418),
    [sym_if_statement] = STATE(1418),
    [sym_switch_statement] = STATE(1418),
    [sym_key_path_expression] = STATE(1418),
    [sym_key_path_string_expression] = STATE(1418),
    [sym_try_operator] = STATE(451),
    [sym__assignment_and_operator] = STATE(1418),
    [sym__equality_operator] = STATE(1418),
    [sym__comparison_operator] = STATE(1418),
    [sym__three_dot_operator] = STATE(884),
    [sym__open_ended_range_operator] = STATE(557),
    [sym__additive_operator] = STATE(1418),
    [sym__multiplicative_operator] = STATE(1418),
    [sym__prefix_unary_operator] = STATE(471),
    [sym_directly_assignable_expression] = STATE(5445),
    [sym__for_statement_collection] = STATE(6308),
    [sym_for_statement_await] = STATE(6308),
    [sym_assignment] = STATE(1418),
    [sym_value_parameter_pack] = STATE(1418),
    [sym_value_pack_expansion] = STATE(1418),
    [sym__referenceable_operator] = STATE(1418),
    [sym__equal_sign] = STATE(1418),
    [sym__eq_eq] = STATE(1418),
    [sym__dot] = STATE(471),
    [sym_bang] = STATE(878),
    [sym__parameter_ownership_modifier] = STATE(2374),
    [aux_sym_raw_string_literal_repeat1] = STATE(7006),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(1037),
    [aux_sym_simple_identifier_token2] = ACTIONS(1039),
    [aux_sym_simple_identifier_token3] = ACTIONS(1039),
    [aux_sym_simple_identifier_token4] = ACTIONS(1039),
    [anon_sym_actor] = ACTIONS(1037),
    [anon_sym_async] = ACTIONS(1037),
    [anon_sym_each] = ACTIONS(1041),
    [anon_sym_lazy] = ACTIONS(1037),
    [anon_sym_repeat] = ACTIONS(1043),
    [anon_sym_package] = ACTIONS(1037),
    [anon_sym_nil] = ACTIONS(1605),
    [sym_real_literal] = ACTIONS(1607),
    [sym_integer_literal] = ACTIONS(1605),
    [sym_hex_literal] = ACTIONS(1607),
    [sym_oct_literal] = ACTIONS(1607),
    [sym_bin_literal] = ACTIONS(1607),
    [anon_sym_true] = ACTIONS(1049),
    [anon_sym_false] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_BSLASH] = ACTIONS(1053),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1055),
    [sym__extended_regex_literal] = ACTIONS(1057),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(1059),
    [sym__oneline_regex_literal] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_LBRACK] = ACTIONS(1065),
    [anon_sym_AMP] = ACTIONS(1067),
    [anon_sym_if] = ACTIONS(1069),
    [anon_sym_switch] = ACTIONS(1071),
    [anon_sym_POUNDselector] = ACTIONS(1073),
    [aux_sym_custom_operator_token1] = ACTIONS(1075),
    [anon_sym_LT] = ACTIONS(1605),
    [anon_sym_GT] = ACTIONS(1605),
    [anon_sym_await] = ACTIONS(1609),
    [anon_sym_POUNDfile] = ACTIONS(1605),
    [anon_sym_POUNDfileID] = ACTIONS(1607),
    [anon_sym_POUNDfilePath] = ACTIONS(1607),
    [anon_sym_POUNDline] = ACTIONS(1607),
    [anon_sym_POUNDcolumn] = ACTIONS(1607),
    [anon_sym_POUNDfunction] = ACTIONS(1607),
    [anon_sym_POUNDdsohandle] = ACTIONS(1607),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(1079),
    [anon_sym_POUNDfileLiteral] = ACTIONS(1079),
    [anon_sym_POUNDimageLiteral] = ACTIONS(1079),
    [anon_sym_LBRACE] = ACTIONS(1081),
    [anon_sym_CARET_LBRACE] = ACTIONS(1081),
    [anon_sym_self] = ACTIONS(1083),
    [anon_sym_super] = ACTIONS(1085),
    [anon_sym_POUNDkeyPath] = ACTIONS(1089),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1607),
    [anon_sym_DASH_EQ] = ACTIONS(1607),
    [anon_sym_STAR_EQ] = ACTIONS(1607),
    [anon_sym_SLASH_EQ] = ACTIONS(1607),
    [anon_sym_PERCENT_EQ] = ACTIONS(1607),
    [anon_sym_BANG_EQ] = ACTIONS(1605),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1607),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1607),
    [anon_sym_LT_EQ] = ACTIONS(1607),
    [anon_sym_GT_EQ] = ACTIONS(1607),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1093),
    [anon_sym_PLUS] = ACTIONS(1097),
    [anon_sym_DASH] = ACTIONS(1097),
    [anon_sym_STAR] = ACTIONS(1605),
    [anon_sym_SLASH] = ACTIONS(1605),
    [anon_sym_PERCENT] = ACTIONS(1605),
    [anon_sym_PLUS_PLUS] = ACTIONS(1067),
    [anon_sym_DASH_DASH] = ACTIONS(1067),
    [anon_sym_TILDE] = ACTIONS(1067),
    [anon_sym_PIPE] = ACTIONS(1607),
    [anon_sym_CARET] = ACTIONS(1605),
    [anon_sym_LT_LT] = ACTIONS(1607),
    [anon_sym_GT_GT] = ACTIONS(1607),
    [anon_sym_BANG2] = ACTIONS(1099),
    [anon_sym_borrowing] = ACTIONS(1037),
    [anon_sym_consuming] = ACTIONS(1037),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(1103),
    [sym__dot_custom] = ACTIONS(1307),
    [sym__eq_custom] = ACTIONS(1607),
    [sym__eq_eq_custom] = ACTIONS(1607),
    [sym__plus_then_ws] = ACTIONS(1607),
    [sym__minus_then_ws] = ACTIONS(1607),
    [sym__bang_custom] = ACTIONS(1107),
    [sym__custom_operator] = ACTIONS(1075),
  },
  [365] = {
    [sym_simple_identifier] = STATE(1040),
    [sym__contextual_simple_identifier] = STATE(1015),
    [sym__basic_literal] = STATE(645),
    [sym_boolean_literal] = STATE(645),
    [sym__string_literal] = STATE(645),
    [sym_line_string_literal] = STATE(645),
    [sym_multi_line_string_literal] = STATE(645),
    [sym_raw_string_literal] = STATE(645),
    [sym_regex_literal] = STATE(645),
    [sym__multiline_regex_literal] = STATE(1134),
    [sym_user_type] = STATE(5559),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5559),
    [sym_dictionary_type] = STATE(5559),
    [sym__expression] = STATE(645),
    [sym__unary_expression] = STATE(645),
    [sym_postfix_expression] = STATE(645),
    [sym_constructor_expression] = STATE(645),
    [sym__parenthesized_type] = STATE(6572),
    [sym_navigation_expression] = STATE(645),
    [sym__navigable_type_expression] = STATE(6573),
    [sym_open_start_range_expression] = STATE(645),
    [sym__range_operator] = STATE(462),
    [sym_open_end_range_expression] = STATE(645),
    [sym_prefix_expression] = STATE(645),
    [sym_as_expression] = STATE(645),
    [sym_selector_expression] = STATE(645),
    [sym__binary_expression] = STATE(645),
    [sym_multiplicative_expression] = STATE(645),
    [sym_additive_expression] = STATE(645),
    [sym_range_expression] = STATE(645),
    [sym_infix_expression] = STATE(645),
    [sym_nil_coalescing_expression] = STATE(645),
    [sym_check_expression] = STATE(645),
    [sym_comparison_expression] = STATE(645),
    [sym_equality_expression] = STATE(645),
    [sym_conjunction_expression] = STATE(645),
    [sym_disjunction_expression] = STATE(645),
    [sym_bitwise_operation] = STATE(645),
    [sym_custom_operator] = STATE(615),
    [sym_try_expression] = STATE(645),
    [sym_await_expression] = STATE(645),
    [sym__await_operator] = STATE(463),
    [sym_ternary_expression] = STATE(645),
    [sym__expr_hack_at_ternary_binary_suffix] = STATE(1117),
    [sym_expr_hack_at_ternary_binary_call] = STATE(1117),
    [sym_call_expression] = STATE(645),
    [sym__primary_expression] = STATE(645),
    [sym_tuple_expression] = STATE(645),
    [sym_array_literal] = STATE(645),
    [sym_dictionary_literal] = STATE(645),
    [sym__special_literal] = STATE(645),
    [sym__playground_literal] = STATE(645),
    [sym_lambda_literal] = STATE(645),
    [sym_self_expression] = STATE(645),
    [sym_super_expression] = STATE(645),
    [sym_if_statement] = STATE(645),
    [sym_switch_statement] = STATE(645),
    [sym_key_path_expression] = STATE(645),
    [sym_key_path_string_expression] = STATE(645),
    [sym_try_operator] = STATE(465),
    [sym__assignment_and_operator] = STATE(645),
    [sym__equality_operator] = STATE(645),
    [sym__comparison_operator] = STATE(645),
    [sym__three_dot_operator] = STATE(617),
    [sym__open_ended_range_operator] = STATE(462),
    [sym__additive_operator] = STATE(645),
    [sym__multiplicative_operator] = STATE(645),
    [sym__prefix_unary_operator] = STATE(470),
    [sym_directly_assignable_expression] = STATE(5558),
    [sym_assignment] = STATE(645),
    [sym_value_parameter_pack] = STATE(645),
    [sym_value_pack_expansion] = STATE(645),
    [sym__referenceable_operator] = STATE(645),
    [sym__equal_sign] = STATE(645),
    [sym__eq_eq] = STATE(645),
    [sym__dot] = STATE(470),
    [sym_bang] = STATE(615),
    [sym__parameter_ownership_modifier] = STATE(1015),
    [aux_sym_raw_string_literal_repeat1] = STATE(6655),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(673),
    [aux_sym_simple_identifier_token2] = ACTIONS(675),
    [aux_sym_simple_identifier_token3] = ACTIONS(675),
    [aux_sym_simple_identifier_token4] = ACTIONS(675),
    [anon_sym_actor] = ACTIONS(673),
    [anon_sym_async] = ACTIONS(673),
    [anon_sym_each] = ACTIONS(677),
    [anon_sym_lazy] = ACTIONS(673),
    [anon_sym_repeat] = ACTIONS(679),
    [anon_sym_package] = ACTIONS(673),
    [anon_sym_nil] = ACTIONS(1579),
    [sym_real_literal] = ACTIONS(1581),
    [sym_integer_literal] = ACTIONS(1579),
    [sym_hex_literal] = ACTIONS(1581),
    [sym_oct_literal] = ACTIONS(1581),
    [sym_bin_literal] = ACTIONS(1581),
    [anon_sym_true] = ACTIONS(685),
    [anon_sym_false] = ACTIONS(685),
    [anon_sym_DQUOTE] = ACTIONS(687),
    [anon_sym_BSLASH] = ACTIONS(689),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(691),
    [sym__extended_regex_literal] = ACTIONS(693),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(695),
    [sym__oneline_regex_literal] = ACTIONS(697),
    [anon_sym_LPAREN] = ACTIONS(699),
    [anon_sym_LBRACK] = ACTIONS(701),
    [anon_sym_AMP] = ACTIONS(703),
    [anon_sym_if] = ACTIONS(705),
    [anon_sym_switch] = ACTIONS(707),
    [anon_sym_POUNDselector] = ACTIONS(709),
    [aux_sym_custom_operator_token1] = ACTIONS(711),
    [anon_sym_LT] = ACTIONS(1579),
    [anon_sym_GT] = ACTIONS(1579),
    [anon_sym_await] = ACTIONS(713),
    [anon_sym_POUNDfile] = ACTIONS(1579),
    [anon_sym_POUNDfileID] = ACTIONS(1581),
    [anon_sym_POUNDfilePath] = ACTIONS(1581),
    [anon_sym_POUNDline] = ACTIONS(1581),
    [anon_sym_POUNDcolumn] = ACTIONS(1581),
    [anon_sym_POUNDfunction] = ACTIONS(1581),
    [anon_sym_POUNDdsohandle] = ACTIONS(1581),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(715),
    [anon_sym_POUNDfileLiteral] = ACTIONS(715),
    [anon_sym_POUNDimageLiteral] = ACTIONS(715),
    [anon_sym_LBRACE] = ACTIONS(717),
    [anon_sym_CARET_LBRACE] = ACTIONS(717),
    [anon_sym_self] = ACTIONS(719),
    [anon_sym_super] = ACTIONS(721),
    [anon_sym_POUNDkeyPath] = ACTIONS(723),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1581),
    [anon_sym_DASH_EQ] = ACTIONS(1581),
    [anon_sym_STAR_EQ] = ACTIONS(1581),
    [anon_sym_SLASH_EQ] = ACTIONS(1581),
    [anon_sym_PERCENT_EQ] = ACTIONS(1581),
    [anon_sym_BANG_EQ] = ACTIONS(1579),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1581),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1581),
    [anon_sym_LT_EQ] = ACTIONS(1581),
    [anon_sym_GT_EQ] = ACTIONS(1581),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(725),
    [anon_sym_DOT_DOT_LT] = ACTIONS(727),
    [anon_sym_PLUS] = ACTIONS(729),
    [anon_sym_DASH] = ACTIONS(729),
    [anon_sym_STAR] = ACTIONS(1579),
    [anon_sym_SLASH] = ACTIONS(1579),
    [anon_sym_PERCENT] = ACTIONS(1579),
    [anon_sym_PLUS_PLUS] = ACTIONS(703),
    [anon_sym_DASH_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(703),
    [anon_sym_PIPE] = ACTIONS(1581),
    [anon_sym_CARET] = ACTIONS(1579),
    [anon_sym_LT_LT] = ACTIONS(1581),
    [anon_sym_GT_GT] = ACTIONS(1581),
    [anon_sym_BANG2] = ACTIONS(731),
    [anon_sym_borrowing] = ACTIONS(673),
    [anon_sym_consuming] = ACTIONS(673),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(733),
    [sym__dot_custom] = ACTIONS(735),
    [sym__eq_custom] = ACTIONS(1581),
    [sym__eq_eq_custom] = ACTIONS(1581),
    [sym__plus_then_ws] = ACTIONS(1581),
    [sym__minus_then_ws] = ACTIONS(1581),
    [sym__bang_custom] = ACTIONS(737),
    [sym__custom_operator] = ACTIONS(711),
  },
  [366] = {
    [sym_simple_identifier] = STATE(2072),
    [sym__contextual_simple_identifier] = STATE(2016),
    [sym__basic_literal] = STATE(1251),
    [sym_boolean_literal] = STATE(1251),
    [sym__string_literal] = STATE(1251),
    [sym_line_string_literal] = STATE(1251),
    [sym_multi_line_string_literal] = STATE(1251),
    [sym_raw_string_literal] = STATE(1251),
    [sym_regex_literal] = STATE(1251),
    [sym__multiline_regex_literal] = STATE(2164),
    [sym_user_type] = STATE(5497),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5497),
    [sym_dictionary_type] = STATE(5497),
    [sym__expression] = STATE(1251),
    [sym__unary_expression] = STATE(1251),
    [sym_postfix_expression] = STATE(1251),
    [sym_constructor_expression] = STATE(1251),
    [sym__parenthesized_type] = STATE(6725),
    [sym_navigation_expression] = STATE(1251),
    [sym__navigable_type_expression] = STATE(6724),
    [sym_open_start_range_expression] = STATE(1251),
    [sym__range_operator] = STATE(467),
    [sym_open_end_range_expression] = STATE(1251),
    [sym_prefix_expression] = STATE(1251),
    [sym_as_expression] = STATE(1251),
    [sym_selector_expression] = STATE(1251),
    [sym__binary_expression] = STATE(1251),
    [sym_multiplicative_expression] = STATE(1251),
    [sym_additive_expression] = STATE(1251),
    [sym_range_expression] = STATE(1251),
    [sym_infix_expression] = STATE(1251),
    [sym_nil_coalescing_expression] = STATE(1251),
    [sym_check_expression] = STATE(1251),
    [sym_comparison_expression] = STATE(1251),
    [sym_equality_expression] = STATE(1251),
    [sym_conjunction_expression] = STATE(1251),
    [sym_disjunction_expression] = STATE(1251),
    [sym_bitwise_operation] = STATE(1251),
    [sym_custom_operator] = STATE(835),
    [sym_try_expression] = STATE(1251),
    [sym_await_expression] = STATE(1251),
    [sym__await_operator] = STATE(466),
    [sym_ternary_expression] = STATE(1251),
    [sym__expr_hack_at_ternary_binary_suffix] = STATE(2232),
    [sym_expr_hack_at_ternary_binary_call] = STATE(2232),
    [sym_call_expression] = STATE(1251),
    [sym__primary_expression] = STATE(1251),
    [sym_tuple_expression] = STATE(1251),
    [sym_array_literal] = STATE(1251),
    [sym_dictionary_literal] = STATE(1251),
    [sym__special_literal] = STATE(1251),
    [sym__playground_literal] = STATE(1251),
    [sym_lambda_literal] = STATE(1251),
    [sym_self_expression] = STATE(1251),
    [sym_super_expression] = STATE(1251),
    [sym_if_statement] = STATE(1251),
    [sym_switch_statement] = STATE(1251),
    [sym_key_path_expression] = STATE(1251),
    [sym_key_path_string_expression] = STATE(1251),
    [sym_try_operator] = STATE(455),
    [sym__assignment_and_operator] = STATE(1251),
    [sym__equality_operator] = STATE(1251),
    [sym__comparison_operator] = STATE(1251),
    [sym__three_dot_operator] = STATE(837),
    [sym__open_ended_range_operator] = STATE(467),
    [sym__additive_operator] = STATE(1251),
    [sym__multiplicative_operator] = STATE(1251),
    [sym__prefix_unary_operator] = STATE(468),
    [sym_directly_assignable_expression] = STATE(5498),
    [sym_assignment] = STATE(1251),
    [sym_value_parameter_pack] = STATE(1251),
    [sym_value_pack_expansion] = STATE(1251),
    [sym__referenceable_operator] = STATE(1251),
    [sym__equal_sign] = STATE(1251),
    [sym__eq_eq] = STATE(1251),
    [sym__dot] = STATE(468),
    [sym_bang] = STATE(835),
    [sym__parameter_ownership_modifier] = STATE(2016),
    [aux_sym_raw_string_literal_repeat1] = STATE(6553),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(971),
    [aux_sym_simple_identifier_token2] = ACTIONS(973),
    [aux_sym_simple_identifier_token3] = ACTIONS(973),
    [aux_sym_simple_identifier_token4] = ACTIONS(973),
    [anon_sym_actor] = ACTIONS(971),
    [anon_sym_async] = ACTIONS(971),
    [anon_sym_each] = ACTIONS(975),
    [anon_sym_lazy] = ACTIONS(971),
    [anon_sym_repeat] = ACTIONS(977),
    [anon_sym_package] = ACTIONS(971),
    [anon_sym_nil] = ACTIONS(1583),
    [sym_real_literal] = ACTIONS(1585),
    [sym_integer_literal] = ACTIONS(1583),
    [sym_hex_literal] = ACTIONS(1585),
    [sym_oct_literal] = ACTIONS(1585),
    [sym_bin_literal] = ACTIONS(1585),
    [anon_sym_true] = ACTIONS(983),
    [anon_sym_false] = ACTIONS(983),
    [anon_sym_DQUOTE] = ACTIONS(985),
    [anon_sym_BSLASH] = ACTIONS(987),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(989),
    [sym__extended_regex_literal] = ACTIONS(991),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(993),
    [sym__oneline_regex_literal] = ACTIONS(995),
    [anon_sym_LPAREN] = ACTIONS(997),
    [anon_sym_LBRACK] = ACTIONS(999),
    [anon_sym_AMP] = ACTIONS(1001),
    [anon_sym_if] = ACTIONS(1003),
    [anon_sym_switch] = ACTIONS(1005),
    [anon_sym_POUNDselector] = ACTIONS(1007),
    [aux_sym_custom_operator_token1] = ACTIONS(1009),
    [anon_sym_LT] = ACTIONS(1583),
    [anon_sym_GT] = ACTIONS(1583),
    [anon_sym_await] = ACTIONS(1011),
    [anon_sym_POUNDfile] = ACTIONS(1583),
    [anon_sym_POUNDfileID] = ACTIONS(1585),
    [anon_sym_POUNDfilePath] = ACTIONS(1585),
    [anon_sym_POUNDline] = ACTIONS(1585),
    [anon_sym_POUNDcolumn] = ACTIONS(1585),
    [anon_sym_POUNDfunction] = ACTIONS(1585),
    [anon_sym_POUNDdsohandle] = ACTIONS(1585),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(1013),
    [anon_sym_POUNDfileLiteral] = ACTIONS(1013),
    [anon_sym_POUNDimageLiteral] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(1015),
    [anon_sym_CARET_LBRACE] = ACTIONS(1015),
    [anon_sym_self] = ACTIONS(1017),
    [anon_sym_super] = ACTIONS(1019),
    [anon_sym_POUNDkeyPath] = ACTIONS(1021),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1585),
    [anon_sym_DASH_EQ] = ACTIONS(1585),
    [anon_sym_STAR_EQ] = ACTIONS(1585),
    [anon_sym_SLASH_EQ] = ACTIONS(1585),
    [anon_sym_PERCENT_EQ] = ACTIONS(1585),
    [anon_sym_BANG_EQ] = ACTIONS(1583),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1585),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1585),
    [anon_sym_LT_EQ] = ACTIONS(1585),
    [anon_sym_GT_EQ] = ACTIONS(1585),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1023),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1025),
    [anon_sym_PLUS] = ACTIONS(1027),
    [anon_sym_DASH] = ACTIONS(1027),
    [anon_sym_STAR] = ACTIONS(1583),
    [anon_sym_SLASH] = ACTIONS(1583),
    [anon_sym_PERCENT] = ACTIONS(1583),
    [anon_sym_PLUS_PLUS] = ACTIONS(1001),
    [anon_sym_DASH_DASH] = ACTIONS(1001),
    [anon_sym_TILDE] = ACTIONS(1001),
    [anon_sym_PIPE] = ACTIONS(1585),
    [anon_sym_CARET] = ACTIONS(1583),
    [anon_sym_LT_LT] = ACTIONS(1585),
    [anon_sym_GT_GT] = ACTIONS(1585),
    [anon_sym_BANG2] = ACTIONS(1029),
    [anon_sym_borrowing] = ACTIONS(971),
    [anon_sym_consuming] = ACTIONS(971),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(1031),
    [sym__dot_custom] = ACTIONS(1033),
    [sym__eq_custom] = ACTIONS(1585),
    [sym__eq_eq_custom] = ACTIONS(1585),
    [sym__plus_then_ws] = ACTIONS(1585),
    [sym__minus_then_ws] = ACTIONS(1585),
    [sym__bang_custom] = ACTIONS(1035),
    [sym__custom_operator] = ACTIONS(1009),
  },
  [367] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1441),
    [sym_boolean_literal] = STATE(1441),
    [sym__string_literal] = STATE(1441),
    [sym_line_string_literal] = STATE(1441),
    [sym_multi_line_string_literal] = STATE(1441),
    [sym_raw_string_literal] = STATE(1441),
    [sym_regex_literal] = STATE(1441),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1441),
    [sym__unary_expression] = STATE(1441),
    [sym_postfix_expression] = STATE(1441),
    [sym_constructor_expression] = STATE(1441),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1441),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1441),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1441),
    [sym_prefix_expression] = STATE(1441),
    [sym_as_expression] = STATE(1441),
    [sym_selector_expression] = STATE(1441),
    [sym__binary_expression] = STATE(1441),
    [sym_multiplicative_expression] = STATE(1441),
    [sym_additive_expression] = STATE(1441),
    [sym_range_expression] = STATE(1441),
    [sym_infix_expression] = STATE(1441),
    [sym_nil_coalescing_expression] = STATE(1441),
    [sym_check_expression] = STATE(1441),
    [sym_comparison_expression] = STATE(1441),
    [sym_equality_expression] = STATE(1441),
    [sym_conjunction_expression] = STATE(1441),
    [sym_disjunction_expression] = STATE(1441),
    [sym_bitwise_operation] = STATE(1441),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1441),
    [sym_await_expression] = STATE(1441),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1441),
    [sym_call_expression] = STATE(1441),
    [sym__primary_expression] = STATE(1441),
    [sym_tuple_expression] = STATE(1441),
    [sym_array_literal] = STATE(1441),
    [sym_dictionary_literal] = STATE(1441),
    [sym__dictionary_literal_item] = STATE(7599),
    [sym__special_literal] = STATE(1441),
    [sym__playground_literal] = STATE(1441),
    [sym_lambda_literal] = STATE(1441),
    [sym_self_expression] = STATE(1441),
    [sym_super_expression] = STATE(1441),
    [sym_if_statement] = STATE(1441),
    [sym_switch_statement] = STATE(1441),
    [sym_key_path_expression] = STATE(1441),
    [sym_key_path_string_expression] = STATE(1441),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1441),
    [sym__equality_operator] = STATE(1441),
    [sym__comparison_operator] = STATE(1441),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1441),
    [sym__multiplicative_operator] = STATE(1441),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1441),
    [sym_value_parameter_pack] = STATE(1441),
    [sym_value_pack_expansion] = STATE(1441),
    [sym__referenceable_operator] = STATE(1441),
    [sym__equal_sign] = STATE(1441),
    [sym__eq_eq] = STATE(1441),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1587),
    [sym_real_literal] = ACTIONS(1589),
    [sym_integer_literal] = ACTIONS(1587),
    [sym_hex_literal] = ACTIONS(1589),
    [sym_oct_literal] = ACTIONS(1589),
    [sym_bin_literal] = ACTIONS(1589),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_RBRACK] = ACTIONS(1697),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1587),
    [anon_sym_GT] = ACTIONS(1587),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1587),
    [anon_sym_POUNDfileID] = ACTIONS(1589),
    [anon_sym_POUNDfilePath] = ACTIONS(1589),
    [anon_sym_POUNDline] = ACTIONS(1589),
    [anon_sym_POUNDcolumn] = ACTIONS(1589),
    [anon_sym_POUNDfunction] = ACTIONS(1589),
    [anon_sym_POUNDdsohandle] = ACTIONS(1589),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1589),
    [anon_sym_DASH_EQ] = ACTIONS(1589),
    [anon_sym_STAR_EQ] = ACTIONS(1589),
    [anon_sym_SLASH_EQ] = ACTIONS(1589),
    [anon_sym_PERCENT_EQ] = ACTIONS(1589),
    [anon_sym_BANG_EQ] = ACTIONS(1587),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1589),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1589),
    [anon_sym_LT_EQ] = ACTIONS(1589),
    [anon_sym_GT_EQ] = ACTIONS(1589),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1587),
    [anon_sym_SLASH] = ACTIONS(1587),
    [anon_sym_PERCENT] = ACTIONS(1587),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1589),
    [anon_sym_CARET] = ACTIONS(1587),
    [anon_sym_LT_LT] = ACTIONS(1589),
    [anon_sym_GT_GT] = ACTIONS(1589),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1589),
    [sym__eq_eq_custom] = ACTIONS(1589),
    [sym__plus_then_ws] = ACTIONS(1589),
    [sym__minus_then_ws] = ACTIONS(1589),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [368] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1276),
    [sym_boolean_literal] = STATE(1276),
    [sym__string_literal] = STATE(1276),
    [sym_line_string_literal] = STATE(1276),
    [sym_multi_line_string_literal] = STATE(1276),
    [sym_raw_string_literal] = STATE(1276),
    [sym_regex_literal] = STATE(1276),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1276),
    [sym__unary_expression] = STATE(1276),
    [sym_postfix_expression] = STATE(1276),
    [sym_constructor_expression] = STATE(1276),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1276),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1276),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1276),
    [sym_prefix_expression] = STATE(1276),
    [sym_as_expression] = STATE(1276),
    [sym_selector_expression] = STATE(1276),
    [sym__binary_expression] = STATE(1276),
    [sym_multiplicative_expression] = STATE(1276),
    [sym_additive_expression] = STATE(1276),
    [sym_range_expression] = STATE(1276),
    [sym_infix_expression] = STATE(1276),
    [sym_nil_coalescing_expression] = STATE(1276),
    [sym_check_expression] = STATE(1276),
    [sym_comparison_expression] = STATE(1276),
    [sym_equality_expression] = STATE(1276),
    [sym_conjunction_expression] = STATE(1276),
    [sym_disjunction_expression] = STATE(1276),
    [sym_bitwise_operation] = STATE(1276),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1276),
    [sym_await_expression] = STATE(1276),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1276),
    [sym__expr_hack_at_ternary_binary_suffix] = STATE(772),
    [sym_expr_hack_at_ternary_binary_call] = STATE(772),
    [sym_call_expression] = STATE(1276),
    [sym__primary_expression] = STATE(1276),
    [sym_tuple_expression] = STATE(1276),
    [sym_array_literal] = STATE(1276),
    [sym_dictionary_literal] = STATE(1276),
    [sym__special_literal] = STATE(1276),
    [sym__playground_literal] = STATE(1276),
    [sym_lambda_literal] = STATE(1276),
    [sym_self_expression] = STATE(1276),
    [sym_super_expression] = STATE(1276),
    [sym_if_statement] = STATE(1276),
    [sym_switch_statement] = STATE(1276),
    [sym_key_path_expression] = STATE(1276),
    [sym_key_path_string_expression] = STATE(1276),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1276),
    [sym__equality_operator] = STATE(1276),
    [sym__comparison_operator] = STATE(1276),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1276),
    [sym__multiplicative_operator] = STATE(1276),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1276),
    [sym_value_parameter_pack] = STATE(1276),
    [sym_value_pack_expansion] = STATE(1276),
    [sym__referenceable_operator] = STATE(1276),
    [sym__equal_sign] = STATE(1276),
    [sym__eq_eq] = STATE(1276),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1575),
    [sym_real_literal] = ACTIONS(1577),
    [sym_integer_literal] = ACTIONS(1575),
    [sym_hex_literal] = ACTIONS(1577),
    [sym_oct_literal] = ACTIONS(1577),
    [sym_bin_literal] = ACTIONS(1577),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1575),
    [anon_sym_GT] = ACTIONS(1575),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1575),
    [anon_sym_POUNDfileID] = ACTIONS(1577),
    [anon_sym_POUNDfilePath] = ACTIONS(1577),
    [anon_sym_POUNDline] = ACTIONS(1577),
    [anon_sym_POUNDcolumn] = ACTIONS(1577),
    [anon_sym_POUNDfunction] = ACTIONS(1577),
    [anon_sym_POUNDdsohandle] = ACTIONS(1577),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1577),
    [anon_sym_DASH_EQ] = ACTIONS(1577),
    [anon_sym_STAR_EQ] = ACTIONS(1577),
    [anon_sym_SLASH_EQ] = ACTIONS(1577),
    [anon_sym_PERCENT_EQ] = ACTIONS(1577),
    [anon_sym_BANG_EQ] = ACTIONS(1575),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1577),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1577),
    [anon_sym_LT_EQ] = ACTIONS(1577),
    [anon_sym_GT_EQ] = ACTIONS(1577),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1575),
    [anon_sym_SLASH] = ACTIONS(1575),
    [anon_sym_PERCENT] = ACTIONS(1575),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1577),
    [anon_sym_CARET] = ACTIONS(1575),
    [anon_sym_LT_LT] = ACTIONS(1577),
    [anon_sym_GT_GT] = ACTIONS(1577),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1577),
    [sym__eq_eq_custom] = ACTIONS(1577),
    [sym__plus_then_ws] = ACTIONS(1577),
    [sym__minus_then_ws] = ACTIONS(1577),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [369] = {
    [sym_simple_identifier] = STATE(2276),
    [sym__contextual_simple_identifier] = STATE(2115),
    [sym__basic_literal] = STATE(1262),
    [sym_boolean_literal] = STATE(1262),
    [sym__string_literal] = STATE(1262),
    [sym_line_string_literal] = STATE(1262),
    [sym_multi_line_string_literal] = STATE(1262),
    [sym_raw_string_literal] = STATE(1262),
    [sym_regex_literal] = STATE(1262),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1262),
    [sym__unary_expression] = STATE(1262),
    [sym_postfix_expression] = STATE(1262),
    [sym_constructor_expression] = STATE(1262),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1262),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1262),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1262),
    [sym_prefix_expression] = STATE(1262),
    [sym_as_expression] = STATE(1262),
    [sym_selector_expression] = STATE(1262),
    [sym__binary_expression] = STATE(1262),
    [sym_multiplicative_expression] = STATE(1262),
    [sym_additive_expression] = STATE(1262),
    [sym_range_expression] = STATE(1262),
    [sym_infix_expression] = STATE(1262),
    [sym_nil_coalescing_expression] = STATE(1262),
    [sym_check_expression] = STATE(1262),
    [sym_comparison_expression] = STATE(1262),
    [sym_equality_expression] = STATE(1262),
    [sym_conjunction_expression] = STATE(1262),
    [sym_disjunction_expression] = STATE(1262),
    [sym_bitwise_operation] = STATE(1262),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1262),
    [sym_await_expression] = STATE(1262),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1262),
    [sym__expr_hack_at_ternary_binary_suffix] = STATE(2483),
    [sym_expr_hack_at_ternary_binary_call] = STATE(2483),
    [sym_call_expression] = STATE(1262),
    [sym__primary_expression] = STATE(1262),
    [sym_tuple_expression] = STATE(1262),
    [sym_array_literal] = STATE(1262),
    [sym_dictionary_literal] = STATE(1262),
    [sym__special_literal] = STATE(1262),
    [sym__playground_literal] = STATE(1262),
    [sym_lambda_literal] = STATE(1262),
    [sym_self_expression] = STATE(1262),
    [sym_super_expression] = STATE(1262),
    [sym_if_statement] = STATE(1262),
    [sym_switch_statement] = STATE(1262),
    [sym_key_path_expression] = STATE(1262),
    [sym_key_path_string_expression] = STATE(1262),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1262),
    [sym__equality_operator] = STATE(1262),
    [sym__comparison_operator] = STATE(1262),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1262),
    [sym__multiplicative_operator] = STATE(1262),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym_assignment] = STATE(1262),
    [sym_value_parameter_pack] = STATE(1262),
    [sym_value_pack_expansion] = STATE(1262),
    [sym__referenceable_operator] = STATE(1262),
    [sym__equal_sign] = STATE(1262),
    [sym__eq_eq] = STATE(1262),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__parameter_ownership_modifier] = STATE(2115),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(11),
    [aux_sym_simple_identifier_token2] = ACTIONS(13),
    [aux_sym_simple_identifier_token3] = ACTIONS(13),
    [aux_sym_simple_identifier_token4] = ACTIONS(13),
    [anon_sym_actor] = ACTIONS(11),
    [anon_sym_async] = ACTIONS(11),
    [anon_sym_each] = ACTIONS(19),
    [anon_sym_lazy] = ACTIONS(11),
    [anon_sym_repeat] = ACTIONS(937),
    [anon_sym_package] = ACTIONS(11),
    [anon_sym_nil] = ACTIONS(1677),
    [sym_real_literal] = ACTIONS(1679),
    [sym_integer_literal] = ACTIONS(1677),
    [sym_hex_literal] = ACTIONS(1679),
    [sym_oct_literal] = ACTIONS(1679),
    [sym_bin_literal] = ACTIONS(1679),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(1677),
    [anon_sym_GT] = ACTIONS(1677),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(1677),
    [anon_sym_POUNDfileID] = ACTIONS(1679),
    [anon_sym_POUNDfilePath] = ACTIONS(1679),
    [anon_sym_POUNDline] = ACTIONS(1679),
    [anon_sym_POUNDcolumn] = ACTIONS(1679),
    [anon_sym_POUNDfunction] = ACTIONS(1679),
    [anon_sym_POUNDdsohandle] = ACTIONS(1679),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_self] = ACTIONS(65),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1679),
    [anon_sym_DASH_EQ] = ACTIONS(1679),
    [anon_sym_STAR_EQ] = ACTIONS(1679),
    [anon_sym_SLASH_EQ] = ACTIONS(1679),
    [anon_sym_PERCENT_EQ] = ACTIONS(1679),
    [anon_sym_BANG_EQ] = ACTIONS(1677),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1679),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1679),
    [anon_sym_LT_EQ] = ACTIONS(1679),
    [anon_sym_GT_EQ] = ACTIONS(1679),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(1677),
    [anon_sym_SLASH] = ACTIONS(1677),
    [anon_sym_PERCENT] = ACTIONS(1677),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(1679),
    [anon_sym_CARET] = ACTIONS(1677),
    [anon_sym_LT_LT] = ACTIONS(1679),
    [anon_sym_GT_GT] = ACTIONS(1679),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_borrowing] = ACTIONS(11),
    [anon_sym_consuming] = ACTIONS(11),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(1679),
    [sym__eq_eq_custom] = ACTIONS(1679),
    [sym__plus_then_ws] = ACTIONS(1679),
    [sym__minus_then_ws] = ACTIONS(1679),
    [sym__bang_custom] = ACTIONS(151),
    [sym__custom_operator] = ACTIONS(57),
  },
  [370] = {
    [sym_simple_identifier] = STATE(2276),
    [sym__contextual_simple_identifier] = STATE(2115),
    [sym__basic_literal] = STATE(1262),
    [sym_boolean_literal] = STATE(1262),
    [sym__string_literal] = STATE(1262),
    [sym_line_string_literal] = STATE(1262),
    [sym_multi_line_string_literal] = STATE(1262),
    [sym_raw_string_literal] = STATE(1262),
    [sym_regex_literal] = STATE(1262),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1262),
    [sym__unary_expression] = STATE(1262),
    [sym_postfix_expression] = STATE(1262),
    [sym_constructor_expression] = STATE(1262),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1262),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1262),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1262),
    [sym_prefix_expression] = STATE(1262),
    [sym_as_expression] = STATE(1262),
    [sym_selector_expression] = STATE(1262),
    [sym__binary_expression] = STATE(1262),
    [sym_multiplicative_expression] = STATE(1262),
    [sym_additive_expression] = STATE(1262),
    [sym_range_expression] = STATE(1262),
    [sym_infix_expression] = STATE(1262),
    [sym_nil_coalescing_expression] = STATE(1262),
    [sym_check_expression] = STATE(1262),
    [sym_comparison_expression] = STATE(1262),
    [sym_equality_expression] = STATE(1262),
    [sym_conjunction_expression] = STATE(1262),
    [sym_disjunction_expression] = STATE(1262),
    [sym_bitwise_operation] = STATE(1262),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1262),
    [sym_await_expression] = STATE(1262),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1262),
    [sym__expr_hack_at_ternary_binary_suffix] = STATE(2314),
    [sym_expr_hack_at_ternary_binary_call] = STATE(2314),
    [sym_call_expression] = STATE(1262),
    [sym__primary_expression] = STATE(1262),
    [sym_tuple_expression] = STATE(1262),
    [sym_array_literal] = STATE(1262),
    [sym_dictionary_literal] = STATE(1262),
    [sym__special_literal] = STATE(1262),
    [sym__playground_literal] = STATE(1262),
    [sym_lambda_literal] = STATE(1262),
    [sym_self_expression] = STATE(1262),
    [sym_super_expression] = STATE(1262),
    [sym_if_statement] = STATE(1262),
    [sym_switch_statement] = STATE(1262),
    [sym_key_path_expression] = STATE(1262),
    [sym_key_path_string_expression] = STATE(1262),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1262),
    [sym__equality_operator] = STATE(1262),
    [sym__comparison_operator] = STATE(1262),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1262),
    [sym__multiplicative_operator] = STATE(1262),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym_assignment] = STATE(1262),
    [sym_value_parameter_pack] = STATE(1262),
    [sym_value_pack_expansion] = STATE(1262),
    [sym__referenceable_operator] = STATE(1262),
    [sym__equal_sign] = STATE(1262),
    [sym__eq_eq] = STATE(1262),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__parameter_ownership_modifier] = STATE(2115),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(11),
    [aux_sym_simple_identifier_token2] = ACTIONS(13),
    [aux_sym_simple_identifier_token3] = ACTIONS(13),
    [aux_sym_simple_identifier_token4] = ACTIONS(13),
    [anon_sym_actor] = ACTIONS(11),
    [anon_sym_async] = ACTIONS(11),
    [anon_sym_each] = ACTIONS(19),
    [anon_sym_lazy] = ACTIONS(11),
    [anon_sym_repeat] = ACTIONS(937),
    [anon_sym_package] = ACTIONS(11),
    [anon_sym_nil] = ACTIONS(1677),
    [sym_real_literal] = ACTIONS(1679),
    [sym_integer_literal] = ACTIONS(1677),
    [sym_hex_literal] = ACTIONS(1679),
    [sym_oct_literal] = ACTIONS(1679),
    [sym_bin_literal] = ACTIONS(1679),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(1677),
    [anon_sym_GT] = ACTIONS(1677),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(1677),
    [anon_sym_POUNDfileID] = ACTIONS(1679),
    [anon_sym_POUNDfilePath] = ACTIONS(1679),
    [anon_sym_POUNDline] = ACTIONS(1679),
    [anon_sym_POUNDcolumn] = ACTIONS(1679),
    [anon_sym_POUNDfunction] = ACTIONS(1679),
    [anon_sym_POUNDdsohandle] = ACTIONS(1679),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_self] = ACTIONS(65),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1679),
    [anon_sym_DASH_EQ] = ACTIONS(1679),
    [anon_sym_STAR_EQ] = ACTIONS(1679),
    [anon_sym_SLASH_EQ] = ACTIONS(1679),
    [anon_sym_PERCENT_EQ] = ACTIONS(1679),
    [anon_sym_BANG_EQ] = ACTIONS(1677),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1679),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1679),
    [anon_sym_LT_EQ] = ACTIONS(1679),
    [anon_sym_GT_EQ] = ACTIONS(1679),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(1677),
    [anon_sym_SLASH] = ACTIONS(1677),
    [anon_sym_PERCENT] = ACTIONS(1677),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(1679),
    [anon_sym_CARET] = ACTIONS(1677),
    [anon_sym_LT_LT] = ACTIONS(1679),
    [anon_sym_GT_GT] = ACTIONS(1679),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_borrowing] = ACTIONS(11),
    [anon_sym_consuming] = ACTIONS(11),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(1679),
    [sym__eq_eq_custom] = ACTIONS(1679),
    [sym__plus_then_ws] = ACTIONS(1679),
    [sym__minus_then_ws] = ACTIONS(1679),
    [sym__bang_custom] = ACTIONS(151),
    [sym__custom_operator] = ACTIONS(57),
  },
  [371] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1276),
    [sym_boolean_literal] = STATE(1276),
    [sym__string_literal] = STATE(1276),
    [sym_line_string_literal] = STATE(1276),
    [sym_multi_line_string_literal] = STATE(1276),
    [sym_raw_string_literal] = STATE(1276),
    [sym_regex_literal] = STATE(1276),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1276),
    [sym__unary_expression] = STATE(1276),
    [sym_postfix_expression] = STATE(1276),
    [sym_constructor_expression] = STATE(1276),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1276),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1276),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1276),
    [sym_prefix_expression] = STATE(1276),
    [sym_as_expression] = STATE(1276),
    [sym_selector_expression] = STATE(1276),
    [sym__binary_expression] = STATE(1276),
    [sym_multiplicative_expression] = STATE(1276),
    [sym_additive_expression] = STATE(1276),
    [sym_range_expression] = STATE(1276),
    [sym_infix_expression] = STATE(1276),
    [sym_nil_coalescing_expression] = STATE(1276),
    [sym_check_expression] = STATE(1276),
    [sym_comparison_expression] = STATE(1276),
    [sym_equality_expression] = STATE(1276),
    [sym_conjunction_expression] = STATE(1276),
    [sym_disjunction_expression] = STATE(1276),
    [sym_bitwise_operation] = STATE(1276),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1276),
    [sym_await_expression] = STATE(1276),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1276),
    [sym__expr_hack_at_ternary_binary_suffix] = STATE(774),
    [sym_expr_hack_at_ternary_binary_call] = STATE(774),
    [sym_call_expression] = STATE(1276),
    [sym__primary_expression] = STATE(1276),
    [sym_tuple_expression] = STATE(1276),
    [sym_array_literal] = STATE(1276),
    [sym_dictionary_literal] = STATE(1276),
    [sym__special_literal] = STATE(1276),
    [sym__playground_literal] = STATE(1276),
    [sym_lambda_literal] = STATE(1276),
    [sym_self_expression] = STATE(1276),
    [sym_super_expression] = STATE(1276),
    [sym_if_statement] = STATE(1276),
    [sym_switch_statement] = STATE(1276),
    [sym_key_path_expression] = STATE(1276),
    [sym_key_path_string_expression] = STATE(1276),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1276),
    [sym__equality_operator] = STATE(1276),
    [sym__comparison_operator] = STATE(1276),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1276),
    [sym__multiplicative_operator] = STATE(1276),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1276),
    [sym_value_parameter_pack] = STATE(1276),
    [sym_value_pack_expansion] = STATE(1276),
    [sym__referenceable_operator] = STATE(1276),
    [sym__equal_sign] = STATE(1276),
    [sym__eq_eq] = STATE(1276),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1575),
    [sym_real_literal] = ACTIONS(1577),
    [sym_integer_literal] = ACTIONS(1575),
    [sym_hex_literal] = ACTIONS(1577),
    [sym_oct_literal] = ACTIONS(1577),
    [sym_bin_literal] = ACTIONS(1577),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1575),
    [anon_sym_GT] = ACTIONS(1575),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1575),
    [anon_sym_POUNDfileID] = ACTIONS(1577),
    [anon_sym_POUNDfilePath] = ACTIONS(1577),
    [anon_sym_POUNDline] = ACTIONS(1577),
    [anon_sym_POUNDcolumn] = ACTIONS(1577),
    [anon_sym_POUNDfunction] = ACTIONS(1577),
    [anon_sym_POUNDdsohandle] = ACTIONS(1577),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1577),
    [anon_sym_DASH_EQ] = ACTIONS(1577),
    [anon_sym_STAR_EQ] = ACTIONS(1577),
    [anon_sym_SLASH_EQ] = ACTIONS(1577),
    [anon_sym_PERCENT_EQ] = ACTIONS(1577),
    [anon_sym_BANG_EQ] = ACTIONS(1575),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1577),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1577),
    [anon_sym_LT_EQ] = ACTIONS(1577),
    [anon_sym_GT_EQ] = ACTIONS(1577),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1575),
    [anon_sym_SLASH] = ACTIONS(1575),
    [anon_sym_PERCENT] = ACTIONS(1575),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1577),
    [anon_sym_CARET] = ACTIONS(1575),
    [anon_sym_LT_LT] = ACTIONS(1577),
    [anon_sym_GT_GT] = ACTIONS(1577),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1577),
    [sym__eq_eq_custom] = ACTIONS(1577),
    [sym__plus_then_ws] = ACTIONS(1577),
    [sym__minus_then_ws] = ACTIONS(1577),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [372] = {
    [sym_simple_identifier] = STATE(2573),
    [sym__contextual_simple_identifier] = STATE(2374),
    [sym__basic_literal] = STATE(1418),
    [sym_boolean_literal] = STATE(1418),
    [sym__string_literal] = STATE(1418),
    [sym_line_string_literal] = STATE(1418),
    [sym_multi_line_string_literal] = STATE(1418),
    [sym_raw_string_literal] = STATE(1418),
    [sym_regex_literal] = STATE(1418),
    [sym__multiline_regex_literal] = STATE(2929),
    [sym_user_type] = STATE(5443),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5443),
    [sym_dictionary_type] = STATE(5443),
    [sym__expression] = STATE(1418),
    [sym__unary_expression] = STATE(1418),
    [sym_postfix_expression] = STATE(1418),
    [sym_constructor_expression] = STATE(1418),
    [sym__parenthesized_type] = STATE(7012),
    [sym_navigation_expression] = STATE(1418),
    [sym__navigable_type_expression] = STATE(7009),
    [sym_open_start_range_expression] = STATE(1418),
    [sym__range_operator] = STATE(557),
    [sym_open_end_range_expression] = STATE(1418),
    [sym_prefix_expression] = STATE(1418),
    [sym_as_expression] = STATE(1418),
    [sym_selector_expression] = STATE(1418),
    [sym__binary_expression] = STATE(1418),
    [sym_multiplicative_expression] = STATE(1418),
    [sym_additive_expression] = STATE(1418),
    [sym_range_expression] = STATE(1418),
    [sym_infix_expression] = STATE(1418),
    [sym_nil_coalescing_expression] = STATE(1418),
    [sym_check_expression] = STATE(1418),
    [sym_comparison_expression] = STATE(1418),
    [sym_equality_expression] = STATE(1418),
    [sym_conjunction_expression] = STATE(1418),
    [sym_disjunction_expression] = STATE(1418),
    [sym_bitwise_operation] = STATE(1418),
    [sym_custom_operator] = STATE(878),
    [sym_try_expression] = STATE(1418),
    [sym_await_expression] = STATE(1418),
    [sym__await_operator] = STATE(564),
    [sym_ternary_expression] = STATE(1418),
    [sym_call_expression] = STATE(1418),
    [sym__primary_expression] = STATE(1418),
    [sym_tuple_expression] = STATE(1418),
    [sym_array_literal] = STATE(1418),
    [sym_dictionary_literal] = STATE(1418),
    [sym__special_literal] = STATE(1418),
    [sym__playground_literal] = STATE(1418),
    [sym_lambda_literal] = STATE(1418),
    [sym_self_expression] = STATE(1418),
    [sym_super_expression] = STATE(1418),
    [sym_if_statement] = STATE(1418),
    [sym_switch_statement] = STATE(1418),
    [sym_key_path_expression] = STATE(1418),
    [sym_key_path_string_expression] = STATE(1418),
    [sym_try_operator] = STATE(451),
    [sym__assignment_and_operator] = STATE(1418),
    [sym__equality_operator] = STATE(1418),
    [sym__comparison_operator] = STATE(1418),
    [sym__three_dot_operator] = STATE(884),
    [sym__open_ended_range_operator] = STATE(557),
    [sym__additive_operator] = STATE(1418),
    [sym__multiplicative_operator] = STATE(1418),
    [sym__prefix_unary_operator] = STATE(471),
    [sym_directly_assignable_expression] = STATE(5445),
    [sym__for_statement_collection] = STATE(6455),
    [sym_for_statement_await] = STATE(6455),
    [sym_assignment] = STATE(1418),
    [sym_value_parameter_pack] = STATE(1418),
    [sym_value_pack_expansion] = STATE(1418),
    [sym__referenceable_operator] = STATE(1418),
    [sym__equal_sign] = STATE(1418),
    [sym__eq_eq] = STATE(1418),
    [sym__dot] = STATE(471),
    [sym_bang] = STATE(878),
    [sym__parameter_ownership_modifier] = STATE(2374),
    [aux_sym_raw_string_literal_repeat1] = STATE(7006),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(1037),
    [aux_sym_simple_identifier_token2] = ACTIONS(1039),
    [aux_sym_simple_identifier_token3] = ACTIONS(1039),
    [aux_sym_simple_identifier_token4] = ACTIONS(1039),
    [anon_sym_actor] = ACTIONS(1037),
    [anon_sym_async] = ACTIONS(1037),
    [anon_sym_each] = ACTIONS(1041),
    [anon_sym_lazy] = ACTIONS(1037),
    [anon_sym_repeat] = ACTIONS(1043),
    [anon_sym_package] = ACTIONS(1037),
    [anon_sym_nil] = ACTIONS(1605),
    [sym_real_literal] = ACTIONS(1607),
    [sym_integer_literal] = ACTIONS(1605),
    [sym_hex_literal] = ACTIONS(1607),
    [sym_oct_literal] = ACTIONS(1607),
    [sym_bin_literal] = ACTIONS(1607),
    [anon_sym_true] = ACTIONS(1049),
    [anon_sym_false] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_BSLASH] = ACTIONS(1053),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1055),
    [sym__extended_regex_literal] = ACTIONS(1057),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(1059),
    [sym__oneline_regex_literal] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_LBRACK] = ACTIONS(1065),
    [anon_sym_AMP] = ACTIONS(1067),
    [anon_sym_if] = ACTIONS(1069),
    [anon_sym_switch] = ACTIONS(1071),
    [anon_sym_POUNDselector] = ACTIONS(1073),
    [aux_sym_custom_operator_token1] = ACTIONS(1075),
    [anon_sym_LT] = ACTIONS(1605),
    [anon_sym_GT] = ACTIONS(1605),
    [anon_sym_await] = ACTIONS(1609),
    [anon_sym_POUNDfile] = ACTIONS(1605),
    [anon_sym_POUNDfileID] = ACTIONS(1607),
    [anon_sym_POUNDfilePath] = ACTIONS(1607),
    [anon_sym_POUNDline] = ACTIONS(1607),
    [anon_sym_POUNDcolumn] = ACTIONS(1607),
    [anon_sym_POUNDfunction] = ACTIONS(1607),
    [anon_sym_POUNDdsohandle] = ACTIONS(1607),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(1079),
    [anon_sym_POUNDfileLiteral] = ACTIONS(1079),
    [anon_sym_POUNDimageLiteral] = ACTIONS(1079),
    [anon_sym_LBRACE] = ACTIONS(1081),
    [anon_sym_CARET_LBRACE] = ACTIONS(1081),
    [anon_sym_self] = ACTIONS(1083),
    [anon_sym_super] = ACTIONS(1085),
    [anon_sym_POUNDkeyPath] = ACTIONS(1089),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1607),
    [anon_sym_DASH_EQ] = ACTIONS(1607),
    [anon_sym_STAR_EQ] = ACTIONS(1607),
    [anon_sym_SLASH_EQ] = ACTIONS(1607),
    [anon_sym_PERCENT_EQ] = ACTIONS(1607),
    [anon_sym_BANG_EQ] = ACTIONS(1605),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1607),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1607),
    [anon_sym_LT_EQ] = ACTIONS(1607),
    [anon_sym_GT_EQ] = ACTIONS(1607),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1093),
    [anon_sym_PLUS] = ACTIONS(1097),
    [anon_sym_DASH] = ACTIONS(1097),
    [anon_sym_STAR] = ACTIONS(1605),
    [anon_sym_SLASH] = ACTIONS(1605),
    [anon_sym_PERCENT] = ACTIONS(1605),
    [anon_sym_PLUS_PLUS] = ACTIONS(1067),
    [anon_sym_DASH_DASH] = ACTIONS(1067),
    [anon_sym_TILDE] = ACTIONS(1067),
    [anon_sym_PIPE] = ACTIONS(1607),
    [anon_sym_CARET] = ACTIONS(1605),
    [anon_sym_LT_LT] = ACTIONS(1607),
    [anon_sym_GT_GT] = ACTIONS(1607),
    [anon_sym_BANG2] = ACTIONS(1099),
    [anon_sym_borrowing] = ACTIONS(1037),
    [anon_sym_consuming] = ACTIONS(1037),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(1103),
    [sym__dot_custom] = ACTIONS(1307),
    [sym__eq_custom] = ACTIONS(1607),
    [sym__eq_eq_custom] = ACTIONS(1607),
    [sym__plus_then_ws] = ACTIONS(1607),
    [sym__minus_then_ws] = ACTIONS(1607),
    [sym__bang_custom] = ACTIONS(1107),
    [sym__custom_operator] = ACTIONS(1075),
  },
  [373] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1441),
    [sym_boolean_literal] = STATE(1441),
    [sym__string_literal] = STATE(1441),
    [sym_line_string_literal] = STATE(1441),
    [sym_multi_line_string_literal] = STATE(1441),
    [sym_raw_string_literal] = STATE(1441),
    [sym_regex_literal] = STATE(1441),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1441),
    [sym__unary_expression] = STATE(1441),
    [sym_postfix_expression] = STATE(1441),
    [sym_constructor_expression] = STATE(1441),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1441),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1441),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1441),
    [sym_prefix_expression] = STATE(1441),
    [sym_as_expression] = STATE(1441),
    [sym_selector_expression] = STATE(1441),
    [sym__binary_expression] = STATE(1441),
    [sym_multiplicative_expression] = STATE(1441),
    [sym_additive_expression] = STATE(1441),
    [sym_range_expression] = STATE(1441),
    [sym_infix_expression] = STATE(1441),
    [sym_nil_coalescing_expression] = STATE(1441),
    [sym_check_expression] = STATE(1441),
    [sym_comparison_expression] = STATE(1441),
    [sym_equality_expression] = STATE(1441),
    [sym_conjunction_expression] = STATE(1441),
    [sym_disjunction_expression] = STATE(1441),
    [sym_bitwise_operation] = STATE(1441),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1441),
    [sym_await_expression] = STATE(1441),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1441),
    [sym_call_expression] = STATE(1441),
    [sym__primary_expression] = STATE(1441),
    [sym_tuple_expression] = STATE(1441),
    [sym_array_literal] = STATE(1441),
    [sym_dictionary_literal] = STATE(1441),
    [sym__dictionary_literal_item] = STATE(7599),
    [sym__special_literal] = STATE(1441),
    [sym__playground_literal] = STATE(1441),
    [sym_lambda_literal] = STATE(1441),
    [sym_self_expression] = STATE(1441),
    [sym_super_expression] = STATE(1441),
    [sym_if_statement] = STATE(1441),
    [sym_switch_statement] = STATE(1441),
    [sym_key_path_expression] = STATE(1441),
    [sym_key_path_string_expression] = STATE(1441),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1441),
    [sym__equality_operator] = STATE(1441),
    [sym__comparison_operator] = STATE(1441),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1441),
    [sym__multiplicative_operator] = STATE(1441),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1441),
    [sym_value_parameter_pack] = STATE(1441),
    [sym_value_pack_expansion] = STATE(1441),
    [sym__referenceable_operator] = STATE(1441),
    [sym__equal_sign] = STATE(1441),
    [sym__eq_eq] = STATE(1441),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1587),
    [sym_real_literal] = ACTIONS(1589),
    [sym_integer_literal] = ACTIONS(1587),
    [sym_hex_literal] = ACTIONS(1589),
    [sym_oct_literal] = ACTIONS(1589),
    [sym_bin_literal] = ACTIONS(1589),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_RBRACK] = ACTIONS(1699),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1587),
    [anon_sym_GT] = ACTIONS(1587),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1587),
    [anon_sym_POUNDfileID] = ACTIONS(1589),
    [anon_sym_POUNDfilePath] = ACTIONS(1589),
    [anon_sym_POUNDline] = ACTIONS(1589),
    [anon_sym_POUNDcolumn] = ACTIONS(1589),
    [anon_sym_POUNDfunction] = ACTIONS(1589),
    [anon_sym_POUNDdsohandle] = ACTIONS(1589),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1589),
    [anon_sym_DASH_EQ] = ACTIONS(1589),
    [anon_sym_STAR_EQ] = ACTIONS(1589),
    [anon_sym_SLASH_EQ] = ACTIONS(1589),
    [anon_sym_PERCENT_EQ] = ACTIONS(1589),
    [anon_sym_BANG_EQ] = ACTIONS(1587),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1589),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1589),
    [anon_sym_LT_EQ] = ACTIONS(1589),
    [anon_sym_GT_EQ] = ACTIONS(1589),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1587),
    [anon_sym_SLASH] = ACTIONS(1587),
    [anon_sym_PERCENT] = ACTIONS(1587),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1589),
    [anon_sym_CARET] = ACTIONS(1587),
    [anon_sym_LT_LT] = ACTIONS(1589),
    [anon_sym_GT_GT] = ACTIONS(1589),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1589),
    [sym__eq_eq_custom] = ACTIONS(1589),
    [sym__plus_then_ws] = ACTIONS(1589),
    [sym__minus_then_ws] = ACTIONS(1589),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [374] = {
    [sym_simple_identifier] = STATE(1040),
    [sym__contextual_simple_identifier] = STATE(1015),
    [sym__basic_literal] = STATE(645),
    [sym_boolean_literal] = STATE(645),
    [sym__string_literal] = STATE(645),
    [sym_line_string_literal] = STATE(645),
    [sym_multi_line_string_literal] = STATE(645),
    [sym_raw_string_literal] = STATE(645),
    [sym_regex_literal] = STATE(645),
    [sym__multiline_regex_literal] = STATE(1134),
    [sym_user_type] = STATE(5559),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5559),
    [sym_dictionary_type] = STATE(5559),
    [sym__expression] = STATE(645),
    [sym__unary_expression] = STATE(645),
    [sym_postfix_expression] = STATE(645),
    [sym_constructor_expression] = STATE(645),
    [sym__parenthesized_type] = STATE(6572),
    [sym_navigation_expression] = STATE(645),
    [sym__navigable_type_expression] = STATE(6573),
    [sym_open_start_range_expression] = STATE(645),
    [sym__range_operator] = STATE(462),
    [sym_open_end_range_expression] = STATE(645),
    [sym_prefix_expression] = STATE(645),
    [sym_as_expression] = STATE(645),
    [sym_selector_expression] = STATE(645),
    [sym__binary_expression] = STATE(645),
    [sym_multiplicative_expression] = STATE(645),
    [sym_additive_expression] = STATE(645),
    [sym_range_expression] = STATE(645),
    [sym_infix_expression] = STATE(645),
    [sym_nil_coalescing_expression] = STATE(645),
    [sym_check_expression] = STATE(645),
    [sym_comparison_expression] = STATE(645),
    [sym_equality_expression] = STATE(645),
    [sym_conjunction_expression] = STATE(645),
    [sym_disjunction_expression] = STATE(645),
    [sym_bitwise_operation] = STATE(645),
    [sym_custom_operator] = STATE(615),
    [sym_try_expression] = STATE(645),
    [sym_await_expression] = STATE(645),
    [sym__await_operator] = STATE(463),
    [sym_ternary_expression] = STATE(645),
    [sym__expr_hack_at_ternary_binary_suffix] = STATE(1118),
    [sym_expr_hack_at_ternary_binary_call] = STATE(1118),
    [sym_call_expression] = STATE(645),
    [sym__primary_expression] = STATE(645),
    [sym_tuple_expression] = STATE(645),
    [sym_array_literal] = STATE(645),
    [sym_dictionary_literal] = STATE(645),
    [sym__special_literal] = STATE(645),
    [sym__playground_literal] = STATE(645),
    [sym_lambda_literal] = STATE(645),
    [sym_self_expression] = STATE(645),
    [sym_super_expression] = STATE(645),
    [sym_if_statement] = STATE(645),
    [sym_switch_statement] = STATE(645),
    [sym_key_path_expression] = STATE(645),
    [sym_key_path_string_expression] = STATE(645),
    [sym_try_operator] = STATE(465),
    [sym__assignment_and_operator] = STATE(645),
    [sym__equality_operator] = STATE(645),
    [sym__comparison_operator] = STATE(645),
    [sym__three_dot_operator] = STATE(617),
    [sym__open_ended_range_operator] = STATE(462),
    [sym__additive_operator] = STATE(645),
    [sym__multiplicative_operator] = STATE(645),
    [sym__prefix_unary_operator] = STATE(470),
    [sym_directly_assignable_expression] = STATE(5558),
    [sym_assignment] = STATE(645),
    [sym_value_parameter_pack] = STATE(645),
    [sym_value_pack_expansion] = STATE(645),
    [sym__referenceable_operator] = STATE(645),
    [sym__equal_sign] = STATE(645),
    [sym__eq_eq] = STATE(645),
    [sym__dot] = STATE(470),
    [sym_bang] = STATE(615),
    [sym__parameter_ownership_modifier] = STATE(1015),
    [aux_sym_raw_string_literal_repeat1] = STATE(6655),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(673),
    [aux_sym_simple_identifier_token2] = ACTIONS(675),
    [aux_sym_simple_identifier_token3] = ACTIONS(675),
    [aux_sym_simple_identifier_token4] = ACTIONS(675),
    [anon_sym_actor] = ACTIONS(673),
    [anon_sym_async] = ACTIONS(673),
    [anon_sym_each] = ACTIONS(677),
    [anon_sym_lazy] = ACTIONS(673),
    [anon_sym_repeat] = ACTIONS(679),
    [anon_sym_package] = ACTIONS(673),
    [anon_sym_nil] = ACTIONS(1579),
    [sym_real_literal] = ACTIONS(1581),
    [sym_integer_literal] = ACTIONS(1579),
    [sym_hex_literal] = ACTIONS(1581),
    [sym_oct_literal] = ACTIONS(1581),
    [sym_bin_literal] = ACTIONS(1581),
    [anon_sym_true] = ACTIONS(685),
    [anon_sym_false] = ACTIONS(685),
    [anon_sym_DQUOTE] = ACTIONS(687),
    [anon_sym_BSLASH] = ACTIONS(689),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(691),
    [sym__extended_regex_literal] = ACTIONS(693),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(695),
    [sym__oneline_regex_literal] = ACTIONS(697),
    [anon_sym_LPAREN] = ACTIONS(699),
    [anon_sym_LBRACK] = ACTIONS(701),
    [anon_sym_AMP] = ACTIONS(703),
    [anon_sym_if] = ACTIONS(705),
    [anon_sym_switch] = ACTIONS(707),
    [anon_sym_POUNDselector] = ACTIONS(709),
    [aux_sym_custom_operator_token1] = ACTIONS(711),
    [anon_sym_LT] = ACTIONS(1579),
    [anon_sym_GT] = ACTIONS(1579),
    [anon_sym_await] = ACTIONS(713),
    [anon_sym_POUNDfile] = ACTIONS(1579),
    [anon_sym_POUNDfileID] = ACTIONS(1581),
    [anon_sym_POUNDfilePath] = ACTIONS(1581),
    [anon_sym_POUNDline] = ACTIONS(1581),
    [anon_sym_POUNDcolumn] = ACTIONS(1581),
    [anon_sym_POUNDfunction] = ACTIONS(1581),
    [anon_sym_POUNDdsohandle] = ACTIONS(1581),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(715),
    [anon_sym_POUNDfileLiteral] = ACTIONS(715),
    [anon_sym_POUNDimageLiteral] = ACTIONS(715),
    [anon_sym_LBRACE] = ACTIONS(717),
    [anon_sym_CARET_LBRACE] = ACTIONS(717),
    [anon_sym_self] = ACTIONS(719),
    [anon_sym_super] = ACTIONS(721),
    [anon_sym_POUNDkeyPath] = ACTIONS(723),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1581),
    [anon_sym_DASH_EQ] = ACTIONS(1581),
    [anon_sym_STAR_EQ] = ACTIONS(1581),
    [anon_sym_SLASH_EQ] = ACTIONS(1581),
    [anon_sym_PERCENT_EQ] = ACTIONS(1581),
    [anon_sym_BANG_EQ] = ACTIONS(1579),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1581),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1581),
    [anon_sym_LT_EQ] = ACTIONS(1581),
    [anon_sym_GT_EQ] = ACTIONS(1581),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(725),
    [anon_sym_DOT_DOT_LT] = ACTIONS(727),
    [anon_sym_PLUS] = ACTIONS(729),
    [anon_sym_DASH] = ACTIONS(729),
    [anon_sym_STAR] = ACTIONS(1579),
    [anon_sym_SLASH] = ACTIONS(1579),
    [anon_sym_PERCENT] = ACTIONS(1579),
    [anon_sym_PLUS_PLUS] = ACTIONS(703),
    [anon_sym_DASH_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(703),
    [anon_sym_PIPE] = ACTIONS(1581),
    [anon_sym_CARET] = ACTIONS(1579),
    [anon_sym_LT_LT] = ACTIONS(1581),
    [anon_sym_GT_GT] = ACTIONS(1581),
    [anon_sym_BANG2] = ACTIONS(731),
    [anon_sym_borrowing] = ACTIONS(673),
    [anon_sym_consuming] = ACTIONS(673),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(733),
    [sym__dot_custom] = ACTIONS(735),
    [sym__eq_custom] = ACTIONS(1581),
    [sym__eq_eq_custom] = ACTIONS(1581),
    [sym__plus_then_ws] = ACTIONS(1581),
    [sym__minus_then_ws] = ACTIONS(1581),
    [sym__bang_custom] = ACTIONS(737),
    [sym__custom_operator] = ACTIONS(711),
  },
  [375] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1441),
    [sym_boolean_literal] = STATE(1441),
    [sym__string_literal] = STATE(1441),
    [sym_line_string_literal] = STATE(1441),
    [sym_multi_line_string_literal] = STATE(1441),
    [sym_raw_string_literal] = STATE(1441),
    [sym_regex_literal] = STATE(1441),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1441),
    [sym__unary_expression] = STATE(1441),
    [sym_postfix_expression] = STATE(1441),
    [sym_constructor_expression] = STATE(1441),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1441),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1441),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1441),
    [sym_prefix_expression] = STATE(1441),
    [sym_as_expression] = STATE(1441),
    [sym_selector_expression] = STATE(1441),
    [sym__binary_expression] = STATE(1441),
    [sym_multiplicative_expression] = STATE(1441),
    [sym_additive_expression] = STATE(1441),
    [sym_range_expression] = STATE(1441),
    [sym_infix_expression] = STATE(1441),
    [sym_nil_coalescing_expression] = STATE(1441),
    [sym_check_expression] = STATE(1441),
    [sym_comparison_expression] = STATE(1441),
    [sym_equality_expression] = STATE(1441),
    [sym_conjunction_expression] = STATE(1441),
    [sym_disjunction_expression] = STATE(1441),
    [sym_bitwise_operation] = STATE(1441),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1441),
    [sym_await_expression] = STATE(1441),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1441),
    [sym_call_expression] = STATE(1441),
    [sym__primary_expression] = STATE(1441),
    [sym_tuple_expression] = STATE(1441),
    [sym_array_literal] = STATE(1441),
    [sym_dictionary_literal] = STATE(1441),
    [sym__dictionary_literal_item] = STATE(7599),
    [sym__special_literal] = STATE(1441),
    [sym__playground_literal] = STATE(1441),
    [sym_lambda_literal] = STATE(1441),
    [sym_self_expression] = STATE(1441),
    [sym_super_expression] = STATE(1441),
    [sym_if_statement] = STATE(1441),
    [sym_switch_statement] = STATE(1441),
    [sym_key_path_expression] = STATE(1441),
    [sym_key_path_string_expression] = STATE(1441),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1441),
    [sym__equality_operator] = STATE(1441),
    [sym__comparison_operator] = STATE(1441),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1441),
    [sym__multiplicative_operator] = STATE(1441),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1441),
    [sym_value_parameter_pack] = STATE(1441),
    [sym_value_pack_expansion] = STATE(1441),
    [sym__referenceable_operator] = STATE(1441),
    [sym__equal_sign] = STATE(1441),
    [sym__eq_eq] = STATE(1441),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1587),
    [sym_real_literal] = ACTIONS(1589),
    [sym_integer_literal] = ACTIONS(1587),
    [sym_hex_literal] = ACTIONS(1589),
    [sym_oct_literal] = ACTIONS(1589),
    [sym_bin_literal] = ACTIONS(1589),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_RBRACK] = ACTIONS(1701),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1587),
    [anon_sym_GT] = ACTIONS(1587),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1587),
    [anon_sym_POUNDfileID] = ACTIONS(1589),
    [anon_sym_POUNDfilePath] = ACTIONS(1589),
    [anon_sym_POUNDline] = ACTIONS(1589),
    [anon_sym_POUNDcolumn] = ACTIONS(1589),
    [anon_sym_POUNDfunction] = ACTIONS(1589),
    [anon_sym_POUNDdsohandle] = ACTIONS(1589),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1589),
    [anon_sym_DASH_EQ] = ACTIONS(1589),
    [anon_sym_STAR_EQ] = ACTIONS(1589),
    [anon_sym_SLASH_EQ] = ACTIONS(1589),
    [anon_sym_PERCENT_EQ] = ACTIONS(1589),
    [anon_sym_BANG_EQ] = ACTIONS(1587),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1589),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1589),
    [anon_sym_LT_EQ] = ACTIONS(1589),
    [anon_sym_GT_EQ] = ACTIONS(1589),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1587),
    [anon_sym_SLASH] = ACTIONS(1587),
    [anon_sym_PERCENT] = ACTIONS(1587),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1589),
    [anon_sym_CARET] = ACTIONS(1587),
    [anon_sym_LT_LT] = ACTIONS(1589),
    [anon_sym_GT_GT] = ACTIONS(1589),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1589),
    [sym__eq_eq_custom] = ACTIONS(1589),
    [sym__plus_then_ws] = ACTIONS(1589),
    [sym__minus_then_ws] = ACTIONS(1589),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [376] = {
    [sym_simple_identifier] = STATE(1141),
    [sym__contextual_simple_identifier] = STATE(1051),
    [sym__basic_literal] = STATE(651),
    [sym_boolean_literal] = STATE(651),
    [sym__string_literal] = STATE(651),
    [sym_line_string_literal] = STATE(651),
    [sym_multi_line_string_literal] = STATE(651),
    [sym_raw_string_literal] = STATE(651),
    [sym_regex_literal] = STATE(651),
    [sym__multiline_regex_literal] = STATE(1215),
    [sym_user_type] = STATE(5510),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5510),
    [sym_dictionary_type] = STATE(5510),
    [sym__expression] = STATE(651),
    [sym__unary_expression] = STATE(651),
    [sym_postfix_expression] = STATE(651),
    [sym_constructor_expression] = STATE(651),
    [sym__parenthesized_type] = STATE(6558),
    [sym_navigation_expression] = STATE(651),
    [sym__navigable_type_expression] = STATE(6557),
    [sym_open_start_range_expression] = STATE(651),
    [sym__range_operator] = STATE(523),
    [sym_open_end_range_expression] = STATE(651),
    [sym_prefix_expression] = STATE(651),
    [sym_as_expression] = STATE(651),
    [sym_selector_expression] = STATE(651),
    [sym__binary_expression] = STATE(651),
    [sym_multiplicative_expression] = STATE(651),
    [sym_additive_expression] = STATE(651),
    [sym_range_expression] = STATE(651),
    [sym_infix_expression] = STATE(651),
    [sym_nil_coalescing_expression] = STATE(651),
    [sym_check_expression] = STATE(651),
    [sym_comparison_expression] = STATE(651),
    [sym_equality_expression] = STATE(651),
    [sym_conjunction_expression] = STATE(651),
    [sym_disjunction_expression] = STATE(651),
    [sym_bitwise_operation] = STATE(651),
    [sym_custom_operator] = STATE(628),
    [sym_try_expression] = STATE(651),
    [sym_await_expression] = STATE(651),
    [sym__await_operator] = STATE(518),
    [sym_ternary_expression] = STATE(651),
    [sym__expr_hack_at_ternary_binary_suffix] = STATE(1163),
    [sym_expr_hack_at_ternary_binary_call] = STATE(1163),
    [sym_call_expression] = STATE(651),
    [sym__primary_expression] = STATE(651),
    [sym_tuple_expression] = STATE(651),
    [sym_array_literal] = STATE(651),
    [sym_dictionary_literal] = STATE(651),
    [sym__special_literal] = STATE(651),
    [sym__playground_literal] = STATE(651),
    [sym_lambda_literal] = STATE(651),
    [sym_self_expression] = STATE(651),
    [sym_super_expression] = STATE(651),
    [sym_if_statement] = STATE(651),
    [sym_switch_statement] = STATE(651),
    [sym_key_path_expression] = STATE(651),
    [sym_key_path_string_expression] = STATE(651),
    [sym_try_operator] = STATE(515),
    [sym__assignment_and_operator] = STATE(651),
    [sym__equality_operator] = STATE(651),
    [sym__comparison_operator] = STATE(651),
    [sym__three_dot_operator] = STATE(625),
    [sym__open_ended_range_operator] = STATE(523),
    [sym__additive_operator] = STATE(651),
    [sym__multiplicative_operator] = STATE(651),
    [sym__prefix_unary_operator] = STATE(509),
    [sym_directly_assignable_expression] = STATE(5511),
    [sym_assignment] = STATE(651),
    [sym_value_parameter_pack] = STATE(651),
    [sym_value_pack_expansion] = STATE(651),
    [sym__referenceable_operator] = STATE(651),
    [sym__equal_sign] = STATE(651),
    [sym__eq_eq] = STATE(651),
    [sym__dot] = STATE(509),
    [sym_bang] = STATE(628),
    [sym__parameter_ownership_modifier] = STATE(1051),
    [aux_sym_raw_string_literal_repeat1] = STATE(6487),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(291),
    [aux_sym_simple_identifier_token2] = ACTIONS(293),
    [aux_sym_simple_identifier_token3] = ACTIONS(293),
    [aux_sym_simple_identifier_token4] = ACTIONS(293),
    [anon_sym_actor] = ACTIONS(291),
    [anon_sym_async] = ACTIONS(291),
    [anon_sym_each] = ACTIONS(299),
    [anon_sym_lazy] = ACTIONS(291),
    [anon_sym_repeat] = ACTIONS(747),
    [anon_sym_package] = ACTIONS(291),
    [anon_sym_nil] = ACTIONS(1639),
    [sym_real_literal] = ACTIONS(1641),
    [sym_integer_literal] = ACTIONS(1639),
    [sym_hex_literal] = ACTIONS(1641),
    [sym_oct_literal] = ACTIONS(1641),
    [sym_bin_literal] = ACTIONS(1641),
    [anon_sym_true] = ACTIONS(309),
    [anon_sym_false] = ACTIONS(309),
    [anon_sym_DQUOTE] = ACTIONS(311),
    [anon_sym_BSLASH] = ACTIONS(313),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(315),
    [sym__extended_regex_literal] = ACTIONS(317),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(319),
    [sym__oneline_regex_literal] = ACTIONS(321),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_LBRACK] = ACTIONS(325),
    [anon_sym_AMP] = ACTIONS(327),
    [anon_sym_if] = ACTIONS(329),
    [anon_sym_switch] = ACTIONS(331),
    [anon_sym_POUNDselector] = ACTIONS(333),
    [aux_sym_custom_operator_token1] = ACTIONS(335),
    [anon_sym_LT] = ACTIONS(1639),
    [anon_sym_GT] = ACTIONS(1639),
    [anon_sym_await] = ACTIONS(337),
    [anon_sym_POUNDfile] = ACTIONS(1639),
    [anon_sym_POUNDfileID] = ACTIONS(1641),
    [anon_sym_POUNDfilePath] = ACTIONS(1641),
    [anon_sym_POUNDline] = ACTIONS(1641),
    [anon_sym_POUNDcolumn] = ACTIONS(1641),
    [anon_sym_POUNDfunction] = ACTIONS(1641),
    [anon_sym_POUNDdsohandle] = ACTIONS(1641),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(339),
    [anon_sym_POUNDfileLiteral] = ACTIONS(339),
    [anon_sym_POUNDimageLiteral] = ACTIONS(339),
    [anon_sym_LBRACE] = ACTIONS(341),
    [anon_sym_CARET_LBRACE] = ACTIONS(341),
    [anon_sym_self] = ACTIONS(345),
    [anon_sym_super] = ACTIONS(347),
    [anon_sym_POUNDkeyPath] = ACTIONS(353),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1641),
    [anon_sym_DASH_EQ] = ACTIONS(1641),
    [anon_sym_STAR_EQ] = ACTIONS(1641),
    [anon_sym_SLASH_EQ] = ACTIONS(1641),
    [anon_sym_PERCENT_EQ] = ACTIONS(1641),
    [anon_sym_BANG_EQ] = ACTIONS(1639),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1641),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1641),
    [anon_sym_LT_EQ] = ACTIONS(1641),
    [anon_sym_GT_EQ] = ACTIONS(1641),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(355),
    [anon_sym_DOT_DOT_LT] = ACTIONS(357),
    [anon_sym_PLUS] = ACTIONS(359),
    [anon_sym_DASH] = ACTIONS(359),
    [anon_sym_STAR] = ACTIONS(1639),
    [anon_sym_SLASH] = ACTIONS(1639),
    [anon_sym_PERCENT] = ACTIONS(1639),
    [anon_sym_PLUS_PLUS] = ACTIONS(327),
    [anon_sym_DASH_DASH] = ACTIONS(327),
    [anon_sym_TILDE] = ACTIONS(327),
    [anon_sym_PIPE] = ACTIONS(1641),
    [anon_sym_CARET] = ACTIONS(1639),
    [anon_sym_LT_LT] = ACTIONS(1641),
    [anon_sym_GT_GT] = ACTIONS(1641),
    [anon_sym_BANG2] = ACTIONS(381),
    [anon_sym_borrowing] = ACTIONS(291),
    [anon_sym_consuming] = ACTIONS(291),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(383),
    [sym__dot_custom] = ACTIONS(385),
    [sym__eq_custom] = ACTIONS(1641),
    [sym__eq_eq_custom] = ACTIONS(1641),
    [sym__plus_then_ws] = ACTIONS(1641),
    [sym__minus_then_ws] = ACTIONS(1641),
    [sym__bang_custom] = ACTIONS(387),
    [sym__custom_operator] = ACTIONS(335),
  },
  [377] = {
    [sym_simple_identifier] = STATE(1141),
    [sym__contextual_simple_identifier] = STATE(1051),
    [sym__basic_literal] = STATE(651),
    [sym_boolean_literal] = STATE(651),
    [sym__string_literal] = STATE(651),
    [sym_line_string_literal] = STATE(651),
    [sym_multi_line_string_literal] = STATE(651),
    [sym_raw_string_literal] = STATE(651),
    [sym_regex_literal] = STATE(651),
    [sym__multiline_regex_literal] = STATE(1215),
    [sym_user_type] = STATE(5510),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5510),
    [sym_dictionary_type] = STATE(5510),
    [sym__expression] = STATE(651),
    [sym__unary_expression] = STATE(651),
    [sym_postfix_expression] = STATE(651),
    [sym_constructor_expression] = STATE(651),
    [sym__parenthesized_type] = STATE(6558),
    [sym_navigation_expression] = STATE(651),
    [sym__navigable_type_expression] = STATE(6557),
    [sym_open_start_range_expression] = STATE(651),
    [sym__range_operator] = STATE(523),
    [sym_open_end_range_expression] = STATE(651),
    [sym_prefix_expression] = STATE(651),
    [sym_as_expression] = STATE(651),
    [sym_selector_expression] = STATE(651),
    [sym__binary_expression] = STATE(651),
    [sym_multiplicative_expression] = STATE(651),
    [sym_additive_expression] = STATE(651),
    [sym_range_expression] = STATE(651),
    [sym_infix_expression] = STATE(651),
    [sym_nil_coalescing_expression] = STATE(651),
    [sym_check_expression] = STATE(651),
    [sym_comparison_expression] = STATE(651),
    [sym_equality_expression] = STATE(651),
    [sym_conjunction_expression] = STATE(651),
    [sym_disjunction_expression] = STATE(651),
    [sym_bitwise_operation] = STATE(651),
    [sym_custom_operator] = STATE(628),
    [sym_try_expression] = STATE(651),
    [sym_await_expression] = STATE(651),
    [sym__await_operator] = STATE(518),
    [sym_ternary_expression] = STATE(651),
    [sym__expr_hack_at_ternary_binary_suffix] = STATE(1185),
    [sym_expr_hack_at_ternary_binary_call] = STATE(1185),
    [sym_call_expression] = STATE(651),
    [sym__primary_expression] = STATE(651),
    [sym_tuple_expression] = STATE(651),
    [sym_array_literal] = STATE(651),
    [sym_dictionary_literal] = STATE(651),
    [sym__special_literal] = STATE(651),
    [sym__playground_literal] = STATE(651),
    [sym_lambda_literal] = STATE(651),
    [sym_self_expression] = STATE(651),
    [sym_super_expression] = STATE(651),
    [sym_if_statement] = STATE(651),
    [sym_switch_statement] = STATE(651),
    [sym_key_path_expression] = STATE(651),
    [sym_key_path_string_expression] = STATE(651),
    [sym_try_operator] = STATE(515),
    [sym__assignment_and_operator] = STATE(651),
    [sym__equality_operator] = STATE(651),
    [sym__comparison_operator] = STATE(651),
    [sym__three_dot_operator] = STATE(625),
    [sym__open_ended_range_operator] = STATE(523),
    [sym__additive_operator] = STATE(651),
    [sym__multiplicative_operator] = STATE(651),
    [sym__prefix_unary_operator] = STATE(509),
    [sym_directly_assignable_expression] = STATE(5511),
    [sym_assignment] = STATE(651),
    [sym_value_parameter_pack] = STATE(651),
    [sym_value_pack_expansion] = STATE(651),
    [sym__referenceable_operator] = STATE(651),
    [sym__equal_sign] = STATE(651),
    [sym__eq_eq] = STATE(651),
    [sym__dot] = STATE(509),
    [sym_bang] = STATE(628),
    [sym__parameter_ownership_modifier] = STATE(1051),
    [aux_sym_raw_string_literal_repeat1] = STATE(6487),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(291),
    [aux_sym_simple_identifier_token2] = ACTIONS(293),
    [aux_sym_simple_identifier_token3] = ACTIONS(293),
    [aux_sym_simple_identifier_token4] = ACTIONS(293),
    [anon_sym_actor] = ACTIONS(291),
    [anon_sym_async] = ACTIONS(291),
    [anon_sym_each] = ACTIONS(299),
    [anon_sym_lazy] = ACTIONS(291),
    [anon_sym_repeat] = ACTIONS(747),
    [anon_sym_package] = ACTIONS(291),
    [anon_sym_nil] = ACTIONS(1639),
    [sym_real_literal] = ACTIONS(1641),
    [sym_integer_literal] = ACTIONS(1639),
    [sym_hex_literal] = ACTIONS(1641),
    [sym_oct_literal] = ACTIONS(1641),
    [sym_bin_literal] = ACTIONS(1641),
    [anon_sym_true] = ACTIONS(309),
    [anon_sym_false] = ACTIONS(309),
    [anon_sym_DQUOTE] = ACTIONS(311),
    [anon_sym_BSLASH] = ACTIONS(313),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(315),
    [sym__extended_regex_literal] = ACTIONS(317),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(319),
    [sym__oneline_regex_literal] = ACTIONS(321),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_LBRACK] = ACTIONS(325),
    [anon_sym_AMP] = ACTIONS(327),
    [anon_sym_if] = ACTIONS(329),
    [anon_sym_switch] = ACTIONS(331),
    [anon_sym_POUNDselector] = ACTIONS(333),
    [aux_sym_custom_operator_token1] = ACTIONS(335),
    [anon_sym_LT] = ACTIONS(1639),
    [anon_sym_GT] = ACTIONS(1639),
    [anon_sym_await] = ACTIONS(337),
    [anon_sym_POUNDfile] = ACTIONS(1639),
    [anon_sym_POUNDfileID] = ACTIONS(1641),
    [anon_sym_POUNDfilePath] = ACTIONS(1641),
    [anon_sym_POUNDline] = ACTIONS(1641),
    [anon_sym_POUNDcolumn] = ACTIONS(1641),
    [anon_sym_POUNDfunction] = ACTIONS(1641),
    [anon_sym_POUNDdsohandle] = ACTIONS(1641),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(339),
    [anon_sym_POUNDfileLiteral] = ACTIONS(339),
    [anon_sym_POUNDimageLiteral] = ACTIONS(339),
    [anon_sym_LBRACE] = ACTIONS(341),
    [anon_sym_CARET_LBRACE] = ACTIONS(341),
    [anon_sym_self] = ACTIONS(345),
    [anon_sym_super] = ACTIONS(347),
    [anon_sym_POUNDkeyPath] = ACTIONS(353),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1641),
    [anon_sym_DASH_EQ] = ACTIONS(1641),
    [anon_sym_STAR_EQ] = ACTIONS(1641),
    [anon_sym_SLASH_EQ] = ACTIONS(1641),
    [anon_sym_PERCENT_EQ] = ACTIONS(1641),
    [anon_sym_BANG_EQ] = ACTIONS(1639),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1641),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1641),
    [anon_sym_LT_EQ] = ACTIONS(1641),
    [anon_sym_GT_EQ] = ACTIONS(1641),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(355),
    [anon_sym_DOT_DOT_LT] = ACTIONS(357),
    [anon_sym_PLUS] = ACTIONS(359),
    [anon_sym_DASH] = ACTIONS(359),
    [anon_sym_STAR] = ACTIONS(1639),
    [anon_sym_SLASH] = ACTIONS(1639),
    [anon_sym_PERCENT] = ACTIONS(1639),
    [anon_sym_PLUS_PLUS] = ACTIONS(327),
    [anon_sym_DASH_DASH] = ACTIONS(327),
    [anon_sym_TILDE] = ACTIONS(327),
    [anon_sym_PIPE] = ACTIONS(1641),
    [anon_sym_CARET] = ACTIONS(1639),
    [anon_sym_LT_LT] = ACTIONS(1641),
    [anon_sym_GT_GT] = ACTIONS(1641),
    [anon_sym_BANG2] = ACTIONS(381),
    [anon_sym_borrowing] = ACTIONS(291),
    [anon_sym_consuming] = ACTIONS(291),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(383),
    [sym__dot_custom] = ACTIONS(385),
    [sym__eq_custom] = ACTIONS(1641),
    [sym__eq_eq_custom] = ACTIONS(1641),
    [sym__plus_then_ws] = ACTIONS(1641),
    [sym__minus_then_ws] = ACTIONS(1641),
    [sym__bang_custom] = ACTIONS(387),
    [sym__custom_operator] = ACTIONS(335),
  },
  [378] = {
    [sym_simple_identifier] = STATE(1040),
    [sym__contextual_simple_identifier] = STATE(1015),
    [sym__basic_literal] = STATE(645),
    [sym_boolean_literal] = STATE(645),
    [sym__string_literal] = STATE(645),
    [sym_line_string_literal] = STATE(645),
    [sym_multi_line_string_literal] = STATE(645),
    [sym_raw_string_literal] = STATE(645),
    [sym_regex_literal] = STATE(645),
    [sym__multiline_regex_literal] = STATE(1134),
    [sym_user_type] = STATE(5559),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5559),
    [sym_dictionary_type] = STATE(5559),
    [sym__expression] = STATE(645),
    [sym__unary_expression] = STATE(645),
    [sym_postfix_expression] = STATE(645),
    [sym_constructor_expression] = STATE(645),
    [sym__parenthesized_type] = STATE(6572),
    [sym_navigation_expression] = STATE(645),
    [sym__navigable_type_expression] = STATE(6573),
    [sym_open_start_range_expression] = STATE(645),
    [sym__range_operator] = STATE(462),
    [sym_open_end_range_expression] = STATE(645),
    [sym_prefix_expression] = STATE(645),
    [sym_as_expression] = STATE(645),
    [sym_selector_expression] = STATE(645),
    [sym__binary_expression] = STATE(645),
    [sym_multiplicative_expression] = STATE(645),
    [sym_additive_expression] = STATE(645),
    [sym_range_expression] = STATE(645),
    [sym_infix_expression] = STATE(645),
    [sym_nil_coalescing_expression] = STATE(645),
    [sym_check_expression] = STATE(645),
    [sym_comparison_expression] = STATE(645),
    [sym_equality_expression] = STATE(645),
    [sym_conjunction_expression] = STATE(645),
    [sym_disjunction_expression] = STATE(645),
    [sym_bitwise_operation] = STATE(645),
    [sym_custom_operator] = STATE(615),
    [sym_try_expression] = STATE(645),
    [sym_await_expression] = STATE(645),
    [sym__await_operator] = STATE(463),
    [sym_ternary_expression] = STATE(645),
    [sym__expr_hack_at_ternary_binary_suffix] = STATE(1059),
    [sym_expr_hack_at_ternary_binary_call] = STATE(1059),
    [sym_call_expression] = STATE(645),
    [sym__primary_expression] = STATE(645),
    [sym_tuple_expression] = STATE(645),
    [sym_array_literal] = STATE(645),
    [sym_dictionary_literal] = STATE(645),
    [sym__special_literal] = STATE(645),
    [sym__playground_literal] = STATE(645),
    [sym_lambda_literal] = STATE(645),
    [sym_self_expression] = STATE(645),
    [sym_super_expression] = STATE(645),
    [sym_if_statement] = STATE(645),
    [sym_switch_statement] = STATE(645),
    [sym_key_path_expression] = STATE(645),
    [sym_key_path_string_expression] = STATE(645),
    [sym_try_operator] = STATE(465),
    [sym__assignment_and_operator] = STATE(645),
    [sym__equality_operator] = STATE(645),
    [sym__comparison_operator] = STATE(645),
    [sym__three_dot_operator] = STATE(617),
    [sym__open_ended_range_operator] = STATE(462),
    [sym__additive_operator] = STATE(645),
    [sym__multiplicative_operator] = STATE(645),
    [sym__prefix_unary_operator] = STATE(470),
    [sym_directly_assignable_expression] = STATE(5558),
    [sym_assignment] = STATE(645),
    [sym_value_parameter_pack] = STATE(645),
    [sym_value_pack_expansion] = STATE(645),
    [sym__referenceable_operator] = STATE(645),
    [sym__equal_sign] = STATE(645),
    [sym__eq_eq] = STATE(645),
    [sym__dot] = STATE(470),
    [sym_bang] = STATE(615),
    [sym__parameter_ownership_modifier] = STATE(1015),
    [aux_sym_raw_string_literal_repeat1] = STATE(6655),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(673),
    [aux_sym_simple_identifier_token2] = ACTIONS(675),
    [aux_sym_simple_identifier_token3] = ACTIONS(675),
    [aux_sym_simple_identifier_token4] = ACTIONS(675),
    [anon_sym_actor] = ACTIONS(673),
    [anon_sym_async] = ACTIONS(673),
    [anon_sym_each] = ACTIONS(677),
    [anon_sym_lazy] = ACTIONS(673),
    [anon_sym_repeat] = ACTIONS(679),
    [anon_sym_package] = ACTIONS(673),
    [anon_sym_nil] = ACTIONS(1579),
    [sym_real_literal] = ACTIONS(1581),
    [sym_integer_literal] = ACTIONS(1579),
    [sym_hex_literal] = ACTIONS(1581),
    [sym_oct_literal] = ACTIONS(1581),
    [sym_bin_literal] = ACTIONS(1581),
    [anon_sym_true] = ACTIONS(685),
    [anon_sym_false] = ACTIONS(685),
    [anon_sym_DQUOTE] = ACTIONS(687),
    [anon_sym_BSLASH] = ACTIONS(689),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(691),
    [sym__extended_regex_literal] = ACTIONS(693),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(695),
    [sym__oneline_regex_literal] = ACTIONS(697),
    [anon_sym_LPAREN] = ACTIONS(699),
    [anon_sym_LBRACK] = ACTIONS(701),
    [anon_sym_AMP] = ACTIONS(703),
    [anon_sym_if] = ACTIONS(705),
    [anon_sym_switch] = ACTIONS(707),
    [anon_sym_POUNDselector] = ACTIONS(709),
    [aux_sym_custom_operator_token1] = ACTIONS(711),
    [anon_sym_LT] = ACTIONS(1579),
    [anon_sym_GT] = ACTIONS(1579),
    [anon_sym_await] = ACTIONS(713),
    [anon_sym_POUNDfile] = ACTIONS(1579),
    [anon_sym_POUNDfileID] = ACTIONS(1581),
    [anon_sym_POUNDfilePath] = ACTIONS(1581),
    [anon_sym_POUNDline] = ACTIONS(1581),
    [anon_sym_POUNDcolumn] = ACTIONS(1581),
    [anon_sym_POUNDfunction] = ACTIONS(1581),
    [anon_sym_POUNDdsohandle] = ACTIONS(1581),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(715),
    [anon_sym_POUNDfileLiteral] = ACTIONS(715),
    [anon_sym_POUNDimageLiteral] = ACTIONS(715),
    [anon_sym_LBRACE] = ACTIONS(717),
    [anon_sym_CARET_LBRACE] = ACTIONS(717),
    [anon_sym_self] = ACTIONS(719),
    [anon_sym_super] = ACTIONS(721),
    [anon_sym_POUNDkeyPath] = ACTIONS(723),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1581),
    [anon_sym_DASH_EQ] = ACTIONS(1581),
    [anon_sym_STAR_EQ] = ACTIONS(1581),
    [anon_sym_SLASH_EQ] = ACTIONS(1581),
    [anon_sym_PERCENT_EQ] = ACTIONS(1581),
    [anon_sym_BANG_EQ] = ACTIONS(1579),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1581),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1581),
    [anon_sym_LT_EQ] = ACTIONS(1581),
    [anon_sym_GT_EQ] = ACTIONS(1581),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(725),
    [anon_sym_DOT_DOT_LT] = ACTIONS(727),
    [anon_sym_PLUS] = ACTIONS(729),
    [anon_sym_DASH] = ACTIONS(729),
    [anon_sym_STAR] = ACTIONS(1579),
    [anon_sym_SLASH] = ACTIONS(1579),
    [anon_sym_PERCENT] = ACTIONS(1579),
    [anon_sym_PLUS_PLUS] = ACTIONS(703),
    [anon_sym_DASH_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(703),
    [anon_sym_PIPE] = ACTIONS(1581),
    [anon_sym_CARET] = ACTIONS(1579),
    [anon_sym_LT_LT] = ACTIONS(1581),
    [anon_sym_GT_GT] = ACTIONS(1581),
    [anon_sym_BANG2] = ACTIONS(731),
    [anon_sym_borrowing] = ACTIONS(673),
    [anon_sym_consuming] = ACTIONS(673),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(733),
    [sym__dot_custom] = ACTIONS(735),
    [sym__eq_custom] = ACTIONS(1581),
    [sym__eq_eq_custom] = ACTIONS(1581),
    [sym__plus_then_ws] = ACTIONS(1581),
    [sym__minus_then_ws] = ACTIONS(1581),
    [sym__bang_custom] = ACTIONS(737),
    [sym__custom_operator] = ACTIONS(711),
  },
  [379] = {
    [sym_simple_identifier] = STATE(2276),
    [sym__contextual_simple_identifier] = STATE(2115),
    [sym__basic_literal] = STATE(1262),
    [sym_boolean_literal] = STATE(1262),
    [sym__string_literal] = STATE(1262),
    [sym_line_string_literal] = STATE(1262),
    [sym_multi_line_string_literal] = STATE(1262),
    [sym_raw_string_literal] = STATE(1262),
    [sym_regex_literal] = STATE(1262),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1262),
    [sym__unary_expression] = STATE(1262),
    [sym_postfix_expression] = STATE(1262),
    [sym_constructor_expression] = STATE(1262),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1262),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1262),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1262),
    [sym_prefix_expression] = STATE(1262),
    [sym_as_expression] = STATE(1262),
    [sym_selector_expression] = STATE(1262),
    [sym__binary_expression] = STATE(1262),
    [sym_multiplicative_expression] = STATE(1262),
    [sym_additive_expression] = STATE(1262),
    [sym_range_expression] = STATE(1262),
    [sym_infix_expression] = STATE(1262),
    [sym_nil_coalescing_expression] = STATE(1262),
    [sym_check_expression] = STATE(1262),
    [sym_comparison_expression] = STATE(1262),
    [sym_equality_expression] = STATE(1262),
    [sym_conjunction_expression] = STATE(1262),
    [sym_disjunction_expression] = STATE(1262),
    [sym_bitwise_operation] = STATE(1262),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1262),
    [sym_await_expression] = STATE(1262),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1262),
    [sym__expr_hack_at_ternary_binary_suffix] = STATE(2463),
    [sym_expr_hack_at_ternary_binary_call] = STATE(2463),
    [sym_call_expression] = STATE(1262),
    [sym__primary_expression] = STATE(1262),
    [sym_tuple_expression] = STATE(1262),
    [sym_array_literal] = STATE(1262),
    [sym_dictionary_literal] = STATE(1262),
    [sym__special_literal] = STATE(1262),
    [sym__playground_literal] = STATE(1262),
    [sym_lambda_literal] = STATE(1262),
    [sym_self_expression] = STATE(1262),
    [sym_super_expression] = STATE(1262),
    [sym_if_statement] = STATE(1262),
    [sym_switch_statement] = STATE(1262),
    [sym_key_path_expression] = STATE(1262),
    [sym_key_path_string_expression] = STATE(1262),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1262),
    [sym__equality_operator] = STATE(1262),
    [sym__comparison_operator] = STATE(1262),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1262),
    [sym__multiplicative_operator] = STATE(1262),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym_assignment] = STATE(1262),
    [sym_value_parameter_pack] = STATE(1262),
    [sym_value_pack_expansion] = STATE(1262),
    [sym__referenceable_operator] = STATE(1262),
    [sym__equal_sign] = STATE(1262),
    [sym__eq_eq] = STATE(1262),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__parameter_ownership_modifier] = STATE(2115),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(11),
    [aux_sym_simple_identifier_token2] = ACTIONS(13),
    [aux_sym_simple_identifier_token3] = ACTIONS(13),
    [aux_sym_simple_identifier_token4] = ACTIONS(13),
    [anon_sym_actor] = ACTIONS(11),
    [anon_sym_async] = ACTIONS(11),
    [anon_sym_each] = ACTIONS(19),
    [anon_sym_lazy] = ACTIONS(11),
    [anon_sym_repeat] = ACTIONS(937),
    [anon_sym_package] = ACTIONS(11),
    [anon_sym_nil] = ACTIONS(1677),
    [sym_real_literal] = ACTIONS(1679),
    [sym_integer_literal] = ACTIONS(1677),
    [sym_hex_literal] = ACTIONS(1679),
    [sym_oct_literal] = ACTIONS(1679),
    [sym_bin_literal] = ACTIONS(1679),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(1677),
    [anon_sym_GT] = ACTIONS(1677),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(1677),
    [anon_sym_POUNDfileID] = ACTIONS(1679),
    [anon_sym_POUNDfilePath] = ACTIONS(1679),
    [anon_sym_POUNDline] = ACTIONS(1679),
    [anon_sym_POUNDcolumn] = ACTIONS(1679),
    [anon_sym_POUNDfunction] = ACTIONS(1679),
    [anon_sym_POUNDdsohandle] = ACTIONS(1679),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_self] = ACTIONS(65),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1679),
    [anon_sym_DASH_EQ] = ACTIONS(1679),
    [anon_sym_STAR_EQ] = ACTIONS(1679),
    [anon_sym_SLASH_EQ] = ACTIONS(1679),
    [anon_sym_PERCENT_EQ] = ACTIONS(1679),
    [anon_sym_BANG_EQ] = ACTIONS(1677),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1679),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1679),
    [anon_sym_LT_EQ] = ACTIONS(1679),
    [anon_sym_GT_EQ] = ACTIONS(1679),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(1677),
    [anon_sym_SLASH] = ACTIONS(1677),
    [anon_sym_PERCENT] = ACTIONS(1677),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(1679),
    [anon_sym_CARET] = ACTIONS(1677),
    [anon_sym_LT_LT] = ACTIONS(1679),
    [anon_sym_GT_GT] = ACTIONS(1679),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_borrowing] = ACTIONS(11),
    [anon_sym_consuming] = ACTIONS(11),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(1679),
    [sym__eq_eq_custom] = ACTIONS(1679),
    [sym__plus_then_ws] = ACTIONS(1679),
    [sym__minus_then_ws] = ACTIONS(1679),
    [sym__bang_custom] = ACTIONS(151),
    [sym__custom_operator] = ACTIONS(57),
  },
  [380] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1441),
    [sym_boolean_literal] = STATE(1441),
    [sym__string_literal] = STATE(1441),
    [sym_line_string_literal] = STATE(1441),
    [sym_multi_line_string_literal] = STATE(1441),
    [sym_raw_string_literal] = STATE(1441),
    [sym_regex_literal] = STATE(1441),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1441),
    [sym__unary_expression] = STATE(1441),
    [sym_postfix_expression] = STATE(1441),
    [sym_constructor_expression] = STATE(1441),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1441),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1441),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1441),
    [sym_prefix_expression] = STATE(1441),
    [sym_as_expression] = STATE(1441),
    [sym_selector_expression] = STATE(1441),
    [sym__binary_expression] = STATE(1441),
    [sym_multiplicative_expression] = STATE(1441),
    [sym_additive_expression] = STATE(1441),
    [sym_range_expression] = STATE(1441),
    [sym_infix_expression] = STATE(1441),
    [sym_nil_coalescing_expression] = STATE(1441),
    [sym_check_expression] = STATE(1441),
    [sym_comparison_expression] = STATE(1441),
    [sym_equality_expression] = STATE(1441),
    [sym_conjunction_expression] = STATE(1441),
    [sym_disjunction_expression] = STATE(1441),
    [sym_bitwise_operation] = STATE(1441),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1441),
    [sym_await_expression] = STATE(1441),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1441),
    [sym_call_expression] = STATE(1441),
    [sym__primary_expression] = STATE(1441),
    [sym_tuple_expression] = STATE(1441),
    [sym_array_literal] = STATE(1441),
    [sym_dictionary_literal] = STATE(1441),
    [sym__dictionary_literal_item] = STATE(7599),
    [sym__special_literal] = STATE(1441),
    [sym__playground_literal] = STATE(1441),
    [sym_lambda_literal] = STATE(1441),
    [sym_self_expression] = STATE(1441),
    [sym_super_expression] = STATE(1441),
    [sym_if_statement] = STATE(1441),
    [sym_switch_statement] = STATE(1441),
    [sym_key_path_expression] = STATE(1441),
    [sym_key_path_string_expression] = STATE(1441),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1441),
    [sym__equality_operator] = STATE(1441),
    [sym__comparison_operator] = STATE(1441),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1441),
    [sym__multiplicative_operator] = STATE(1441),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1441),
    [sym_value_parameter_pack] = STATE(1441),
    [sym_value_pack_expansion] = STATE(1441),
    [sym__referenceable_operator] = STATE(1441),
    [sym__equal_sign] = STATE(1441),
    [sym__eq_eq] = STATE(1441),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1587),
    [sym_real_literal] = ACTIONS(1589),
    [sym_integer_literal] = ACTIONS(1587),
    [sym_hex_literal] = ACTIONS(1589),
    [sym_oct_literal] = ACTIONS(1589),
    [sym_bin_literal] = ACTIONS(1589),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_RBRACK] = ACTIONS(1703),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1587),
    [anon_sym_GT] = ACTIONS(1587),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1587),
    [anon_sym_POUNDfileID] = ACTIONS(1589),
    [anon_sym_POUNDfilePath] = ACTIONS(1589),
    [anon_sym_POUNDline] = ACTIONS(1589),
    [anon_sym_POUNDcolumn] = ACTIONS(1589),
    [anon_sym_POUNDfunction] = ACTIONS(1589),
    [anon_sym_POUNDdsohandle] = ACTIONS(1589),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1589),
    [anon_sym_DASH_EQ] = ACTIONS(1589),
    [anon_sym_STAR_EQ] = ACTIONS(1589),
    [anon_sym_SLASH_EQ] = ACTIONS(1589),
    [anon_sym_PERCENT_EQ] = ACTIONS(1589),
    [anon_sym_BANG_EQ] = ACTIONS(1587),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1589),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1589),
    [anon_sym_LT_EQ] = ACTIONS(1589),
    [anon_sym_GT_EQ] = ACTIONS(1589),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1587),
    [anon_sym_SLASH] = ACTIONS(1587),
    [anon_sym_PERCENT] = ACTIONS(1587),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1589),
    [anon_sym_CARET] = ACTIONS(1587),
    [anon_sym_LT_LT] = ACTIONS(1589),
    [anon_sym_GT_GT] = ACTIONS(1589),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1589),
    [sym__eq_eq_custom] = ACTIONS(1589),
    [sym__plus_then_ws] = ACTIONS(1589),
    [sym__minus_then_ws] = ACTIONS(1589),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [381] = {
    [sym_simple_identifier] = STATE(1141),
    [sym__contextual_simple_identifier] = STATE(1051),
    [sym__basic_literal] = STATE(651),
    [sym_boolean_literal] = STATE(651),
    [sym__string_literal] = STATE(651),
    [sym_line_string_literal] = STATE(651),
    [sym_multi_line_string_literal] = STATE(651),
    [sym_raw_string_literal] = STATE(651),
    [sym_regex_literal] = STATE(651),
    [sym__multiline_regex_literal] = STATE(1215),
    [sym_user_type] = STATE(5510),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5510),
    [sym_dictionary_type] = STATE(5510),
    [sym__expression] = STATE(651),
    [sym__unary_expression] = STATE(651),
    [sym_postfix_expression] = STATE(651),
    [sym_constructor_expression] = STATE(651),
    [sym__parenthesized_type] = STATE(6558),
    [sym_navigation_expression] = STATE(651),
    [sym__navigable_type_expression] = STATE(6557),
    [sym_open_start_range_expression] = STATE(651),
    [sym__range_operator] = STATE(523),
    [sym_open_end_range_expression] = STATE(651),
    [sym_prefix_expression] = STATE(651),
    [sym_as_expression] = STATE(651),
    [sym_selector_expression] = STATE(651),
    [sym__binary_expression] = STATE(651),
    [sym_multiplicative_expression] = STATE(651),
    [sym_additive_expression] = STATE(651),
    [sym_range_expression] = STATE(651),
    [sym_infix_expression] = STATE(651),
    [sym_nil_coalescing_expression] = STATE(651),
    [sym_check_expression] = STATE(651),
    [sym_comparison_expression] = STATE(651),
    [sym_equality_expression] = STATE(651),
    [sym_conjunction_expression] = STATE(651),
    [sym_disjunction_expression] = STATE(651),
    [sym_bitwise_operation] = STATE(651),
    [sym_custom_operator] = STATE(628),
    [sym_try_expression] = STATE(651),
    [sym_await_expression] = STATE(651),
    [sym__await_operator] = STATE(518),
    [sym_ternary_expression] = STATE(651),
    [sym__expr_hack_at_ternary_binary_suffix] = STATE(1179),
    [sym_expr_hack_at_ternary_binary_call] = STATE(1179),
    [sym_call_expression] = STATE(651),
    [sym__primary_expression] = STATE(651),
    [sym_tuple_expression] = STATE(651),
    [sym_array_literal] = STATE(651),
    [sym_dictionary_literal] = STATE(651),
    [sym__special_literal] = STATE(651),
    [sym__playground_literal] = STATE(651),
    [sym_lambda_literal] = STATE(651),
    [sym_self_expression] = STATE(651),
    [sym_super_expression] = STATE(651),
    [sym_if_statement] = STATE(651),
    [sym_switch_statement] = STATE(651),
    [sym_key_path_expression] = STATE(651),
    [sym_key_path_string_expression] = STATE(651),
    [sym_try_operator] = STATE(515),
    [sym__assignment_and_operator] = STATE(651),
    [sym__equality_operator] = STATE(651),
    [sym__comparison_operator] = STATE(651),
    [sym__three_dot_operator] = STATE(625),
    [sym__open_ended_range_operator] = STATE(523),
    [sym__additive_operator] = STATE(651),
    [sym__multiplicative_operator] = STATE(651),
    [sym__prefix_unary_operator] = STATE(509),
    [sym_directly_assignable_expression] = STATE(5511),
    [sym_assignment] = STATE(651),
    [sym_value_parameter_pack] = STATE(651),
    [sym_value_pack_expansion] = STATE(651),
    [sym__referenceable_operator] = STATE(651),
    [sym__equal_sign] = STATE(651),
    [sym__eq_eq] = STATE(651),
    [sym__dot] = STATE(509),
    [sym_bang] = STATE(628),
    [sym__parameter_ownership_modifier] = STATE(1051),
    [aux_sym_raw_string_literal_repeat1] = STATE(6487),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(291),
    [aux_sym_simple_identifier_token2] = ACTIONS(293),
    [aux_sym_simple_identifier_token3] = ACTIONS(293),
    [aux_sym_simple_identifier_token4] = ACTIONS(293),
    [anon_sym_actor] = ACTIONS(291),
    [anon_sym_async] = ACTIONS(291),
    [anon_sym_each] = ACTIONS(299),
    [anon_sym_lazy] = ACTIONS(291),
    [anon_sym_repeat] = ACTIONS(747),
    [anon_sym_package] = ACTIONS(291),
    [anon_sym_nil] = ACTIONS(1639),
    [sym_real_literal] = ACTIONS(1641),
    [sym_integer_literal] = ACTIONS(1639),
    [sym_hex_literal] = ACTIONS(1641),
    [sym_oct_literal] = ACTIONS(1641),
    [sym_bin_literal] = ACTIONS(1641),
    [anon_sym_true] = ACTIONS(309),
    [anon_sym_false] = ACTIONS(309),
    [anon_sym_DQUOTE] = ACTIONS(311),
    [anon_sym_BSLASH] = ACTIONS(313),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(315),
    [sym__extended_regex_literal] = ACTIONS(317),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(319),
    [sym__oneline_regex_literal] = ACTIONS(321),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_LBRACK] = ACTIONS(325),
    [anon_sym_AMP] = ACTIONS(327),
    [anon_sym_if] = ACTIONS(329),
    [anon_sym_switch] = ACTIONS(331),
    [anon_sym_POUNDselector] = ACTIONS(333),
    [aux_sym_custom_operator_token1] = ACTIONS(335),
    [anon_sym_LT] = ACTIONS(1639),
    [anon_sym_GT] = ACTIONS(1639),
    [anon_sym_await] = ACTIONS(337),
    [anon_sym_POUNDfile] = ACTIONS(1639),
    [anon_sym_POUNDfileID] = ACTIONS(1641),
    [anon_sym_POUNDfilePath] = ACTIONS(1641),
    [anon_sym_POUNDline] = ACTIONS(1641),
    [anon_sym_POUNDcolumn] = ACTIONS(1641),
    [anon_sym_POUNDfunction] = ACTIONS(1641),
    [anon_sym_POUNDdsohandle] = ACTIONS(1641),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(339),
    [anon_sym_POUNDfileLiteral] = ACTIONS(339),
    [anon_sym_POUNDimageLiteral] = ACTIONS(339),
    [anon_sym_LBRACE] = ACTIONS(341),
    [anon_sym_CARET_LBRACE] = ACTIONS(341),
    [anon_sym_self] = ACTIONS(345),
    [anon_sym_super] = ACTIONS(347),
    [anon_sym_POUNDkeyPath] = ACTIONS(353),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1641),
    [anon_sym_DASH_EQ] = ACTIONS(1641),
    [anon_sym_STAR_EQ] = ACTIONS(1641),
    [anon_sym_SLASH_EQ] = ACTIONS(1641),
    [anon_sym_PERCENT_EQ] = ACTIONS(1641),
    [anon_sym_BANG_EQ] = ACTIONS(1639),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1641),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1641),
    [anon_sym_LT_EQ] = ACTIONS(1641),
    [anon_sym_GT_EQ] = ACTIONS(1641),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(355),
    [anon_sym_DOT_DOT_LT] = ACTIONS(357),
    [anon_sym_PLUS] = ACTIONS(359),
    [anon_sym_DASH] = ACTIONS(359),
    [anon_sym_STAR] = ACTIONS(1639),
    [anon_sym_SLASH] = ACTIONS(1639),
    [anon_sym_PERCENT] = ACTIONS(1639),
    [anon_sym_PLUS_PLUS] = ACTIONS(327),
    [anon_sym_DASH_DASH] = ACTIONS(327),
    [anon_sym_TILDE] = ACTIONS(327),
    [anon_sym_PIPE] = ACTIONS(1641),
    [anon_sym_CARET] = ACTIONS(1639),
    [anon_sym_LT_LT] = ACTIONS(1641),
    [anon_sym_GT_GT] = ACTIONS(1641),
    [anon_sym_BANG2] = ACTIONS(381),
    [anon_sym_borrowing] = ACTIONS(291),
    [anon_sym_consuming] = ACTIONS(291),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(383),
    [sym__dot_custom] = ACTIONS(385),
    [sym__eq_custom] = ACTIONS(1641),
    [sym__eq_eq_custom] = ACTIONS(1641),
    [sym__plus_then_ws] = ACTIONS(1641),
    [sym__minus_then_ws] = ACTIONS(1641),
    [sym__bang_custom] = ACTIONS(387),
    [sym__custom_operator] = ACTIONS(335),
  },
  [382] = {
    [sym_simple_identifier] = STATE(2498),
    [sym__contextual_simple_identifier] = STATE(2439),
    [sym__basic_literal] = STATE(1305),
    [sym_boolean_literal] = STATE(1305),
    [sym__string_literal] = STATE(1305),
    [sym_line_string_literal] = STATE(1305),
    [sym_multi_line_string_literal] = STATE(1305),
    [sym_raw_string_literal] = STATE(1305),
    [sym_regex_literal] = STATE(1305),
    [sym__multiline_regex_literal] = STATE(2683),
    [sym_user_type] = STATE(5473),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5473),
    [sym_dictionary_type] = STATE(5473),
    [sym__expression] = STATE(1305),
    [sym__unary_expression] = STATE(1305),
    [sym_postfix_expression] = STATE(1305),
    [sym_constructor_expression] = STATE(1305),
    [sym__parenthesized_type] = STATE(6860),
    [sym_navigation_expression] = STATE(1305),
    [sym__navigable_type_expression] = STATE(6859),
    [sym_open_start_range_expression] = STATE(1305),
    [sym__range_operator] = STATE(601),
    [sym_open_end_range_expression] = STATE(1305),
    [sym_prefix_expression] = STATE(1305),
    [sym_as_expression] = STATE(1305),
    [sym_selector_expression] = STATE(1305),
    [sym__binary_expression] = STATE(1305),
    [sym_multiplicative_expression] = STATE(1305),
    [sym_additive_expression] = STATE(1305),
    [sym_range_expression] = STATE(1305),
    [sym_infix_expression] = STATE(1305),
    [sym_nil_coalescing_expression] = STATE(1305),
    [sym_check_expression] = STATE(1305),
    [sym_comparison_expression] = STATE(1305),
    [sym_equality_expression] = STATE(1305),
    [sym_conjunction_expression] = STATE(1305),
    [sym_disjunction_expression] = STATE(1305),
    [sym_bitwise_operation] = STATE(1305),
    [sym_custom_operator] = STATE(885),
    [sym_try_expression] = STATE(1305),
    [sym_await_expression] = STATE(1305),
    [sym__await_operator] = STATE(603),
    [sym_ternary_expression] = STATE(1305),
    [sym__expr_hack_at_ternary_binary_suffix] = STATE(2877),
    [sym_expr_hack_at_ternary_binary_call] = STATE(2877),
    [sym_call_expression] = STATE(1305),
    [sym__primary_expression] = STATE(1305),
    [sym_tuple_expression] = STATE(1305),
    [sym_array_literal] = STATE(1305),
    [sym_dictionary_literal] = STATE(1305),
    [sym__special_literal] = STATE(1305),
    [sym__playground_literal] = STATE(1305),
    [sym_lambda_literal] = STATE(1305),
    [sym_self_expression] = STATE(1305),
    [sym_super_expression] = STATE(1305),
    [sym_if_statement] = STATE(1305),
    [sym_switch_statement] = STATE(1305),
    [sym_key_path_expression] = STATE(1305),
    [sym_key_path_string_expression] = STATE(1305),
    [sym_try_operator] = STATE(598),
    [sym__assignment_and_operator] = STATE(1305),
    [sym__equality_operator] = STATE(1305),
    [sym__comparison_operator] = STATE(1305),
    [sym__three_dot_operator] = STATE(877),
    [sym__open_ended_range_operator] = STATE(601),
    [sym__additive_operator] = STATE(1305),
    [sym__multiplicative_operator] = STATE(1305),
    [sym__prefix_unary_operator] = STATE(593),
    [sym_directly_assignable_expression] = STATE(5475),
    [sym_assignment] = STATE(1305),
    [sym_value_parameter_pack] = STATE(1305),
    [sym_value_pack_expansion] = STATE(1305),
    [sym__referenceable_operator] = STATE(1305),
    [sym__equal_sign] = STATE(1305),
    [sym__eq_eq] = STATE(1305),
    [sym__dot] = STATE(593),
    [sym_bang] = STATE(885),
    [sym__parameter_ownership_modifier] = STATE(2439),
    [aux_sym_raw_string_literal_repeat1] = STATE(6858),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(1309),
    [aux_sym_simple_identifier_token2] = ACTIONS(1311),
    [aux_sym_simple_identifier_token3] = ACTIONS(1311),
    [aux_sym_simple_identifier_token4] = ACTIONS(1311),
    [anon_sym_actor] = ACTIONS(1309),
    [anon_sym_async] = ACTIONS(1309),
    [anon_sym_each] = ACTIONS(1313),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_repeat] = ACTIONS(1315),
    [anon_sym_package] = ACTIONS(1309),
    [anon_sym_nil] = ACTIONS(1661),
    [sym_real_literal] = ACTIONS(1663),
    [sym_integer_literal] = ACTIONS(1661),
    [sym_hex_literal] = ACTIONS(1663),
    [sym_oct_literal] = ACTIONS(1663),
    [sym_bin_literal] = ACTIONS(1663),
    [anon_sym_true] = ACTIONS(1321),
    [anon_sym_false] = ACTIONS(1321),
    [anon_sym_DQUOTE] = ACTIONS(1323),
    [anon_sym_BSLASH] = ACTIONS(1325),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1327),
    [sym__extended_regex_literal] = ACTIONS(1329),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(1331),
    [sym__oneline_regex_literal] = ACTIONS(1333),
    [anon_sym_LPAREN] = ACTIONS(1335),
    [anon_sym_LBRACK] = ACTIONS(1337),
    [anon_sym_AMP] = ACTIONS(1339),
    [anon_sym_if] = ACTIONS(1341),
    [anon_sym_switch] = ACTIONS(1343),
    [anon_sym_POUNDselector] = ACTIONS(1345),
    [aux_sym_custom_operator_token1] = ACTIONS(1347),
    [anon_sym_LT] = ACTIONS(1661),
    [anon_sym_GT] = ACTIONS(1661),
    [anon_sym_await] = ACTIONS(1349),
    [anon_sym_POUNDfile] = ACTIONS(1661),
    [anon_sym_POUNDfileID] = ACTIONS(1663),
    [anon_sym_POUNDfilePath] = ACTIONS(1663),
    [anon_sym_POUNDline] = ACTIONS(1663),
    [anon_sym_POUNDcolumn] = ACTIONS(1663),
    [anon_sym_POUNDfunction] = ACTIONS(1663),
    [anon_sym_POUNDdsohandle] = ACTIONS(1663),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(1351),
    [anon_sym_POUNDfileLiteral] = ACTIONS(1351),
    [anon_sym_POUNDimageLiteral] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_CARET_LBRACE] = ACTIONS(1353),
    [anon_sym_self] = ACTIONS(1355),
    [anon_sym_super] = ACTIONS(1357),
    [anon_sym_POUNDkeyPath] = ACTIONS(1359),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1663),
    [anon_sym_DASH_EQ] = ACTIONS(1663),
    [anon_sym_STAR_EQ] = ACTIONS(1663),
    [anon_sym_SLASH_EQ] = ACTIONS(1663),
    [anon_sym_PERCENT_EQ] = ACTIONS(1663),
    [anon_sym_BANG_EQ] = ACTIONS(1661),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1663),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1663),
    [anon_sym_LT_EQ] = ACTIONS(1663),
    [anon_sym_GT_EQ] = ACTIONS(1663),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1361),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1363),
    [anon_sym_PLUS] = ACTIONS(1365),
    [anon_sym_DASH] = ACTIONS(1365),
    [anon_sym_STAR] = ACTIONS(1661),
    [anon_sym_SLASH] = ACTIONS(1661),
    [anon_sym_PERCENT] = ACTIONS(1661),
    [anon_sym_PLUS_PLUS] = ACTIONS(1339),
    [anon_sym_DASH_DASH] = ACTIONS(1339),
    [anon_sym_TILDE] = ACTIONS(1339),
    [anon_sym_PIPE] = ACTIONS(1663),
    [anon_sym_CARET] = ACTIONS(1661),
    [anon_sym_LT_LT] = ACTIONS(1663),
    [anon_sym_GT_GT] = ACTIONS(1663),
    [anon_sym_BANG2] = ACTIONS(1367),
    [anon_sym_borrowing] = ACTIONS(1309),
    [anon_sym_consuming] = ACTIONS(1309),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(1369),
    [sym__dot_custom] = ACTIONS(1371),
    [sym__eq_custom] = ACTIONS(1663),
    [sym__eq_eq_custom] = ACTIONS(1663),
    [sym__plus_then_ws] = ACTIONS(1663),
    [sym__minus_then_ws] = ACTIONS(1663),
    [sym__bang_custom] = ACTIONS(1373),
    [sym__custom_operator] = ACTIONS(1347),
  },
  [383] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1423),
    [sym_boolean_literal] = STATE(1423),
    [sym__string_literal] = STATE(1423),
    [sym_line_string_literal] = STATE(1423),
    [sym_multi_line_string_literal] = STATE(1423),
    [sym_raw_string_literal] = STATE(1423),
    [sym_regex_literal] = STATE(1423),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1423),
    [sym__unary_expression] = STATE(1423),
    [sym_postfix_expression] = STATE(1423),
    [sym_constructor_expression] = STATE(1423),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1423),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1423),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1423),
    [sym_prefix_expression] = STATE(1423),
    [sym_as_expression] = STATE(1423),
    [sym_selector_expression] = STATE(1423),
    [sym__binary_expression] = STATE(1423),
    [sym_multiplicative_expression] = STATE(1423),
    [sym_additive_expression] = STATE(1423),
    [sym_range_expression] = STATE(1423),
    [sym_infix_expression] = STATE(1423),
    [sym_nil_coalescing_expression] = STATE(1423),
    [sym_check_expression] = STATE(1423),
    [sym_comparison_expression] = STATE(1423),
    [sym_equality_expression] = STATE(1423),
    [sym_conjunction_expression] = STATE(1423),
    [sym_disjunction_expression] = STATE(1423),
    [sym_bitwise_operation] = STATE(1423),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1423),
    [sym_await_expression] = STATE(1423),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1423),
    [sym_call_expression] = STATE(1423),
    [sym__primary_expression] = STATE(1423),
    [sym_tuple_expression] = STATE(1423),
    [sym_array_literal] = STATE(1423),
    [sym_dictionary_literal] = STATE(1423),
    [sym__special_literal] = STATE(1423),
    [sym__playground_literal] = STATE(1423),
    [sym_lambda_literal] = STATE(1423),
    [sym_self_expression] = STATE(1423),
    [sym_super_expression] = STATE(1423),
    [sym_if_statement] = STATE(1423),
    [sym_switch_statement] = STATE(1423),
    [sym_key_path_expression] = STATE(1423),
    [sym_key_path_string_expression] = STATE(1423),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1423),
    [sym__equality_operator] = STATE(1423),
    [sym__comparison_operator] = STATE(1423),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1423),
    [sym__multiplicative_operator] = STATE(1423),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1423),
    [sym_value_parameter_pack] = STATE(1423),
    [sym_value_pack_expansion] = STATE(1423),
    [sym__referenceable_operator] = STATE(1423),
    [sym__equal_sign] = STATE(1423),
    [sym__eq_eq] = STATE(1423),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1705),
    [sym_real_literal] = ACTIONS(1707),
    [sym_integer_literal] = ACTIONS(1705),
    [sym_hex_literal] = ACTIONS(1707),
    [sym_oct_literal] = ACTIONS(1707),
    [sym_bin_literal] = ACTIONS(1707),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [anon_sym_getter_COLON] = ACTIONS(1709),
    [anon_sym_setter_COLON] = ACTIONS(1709),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1705),
    [anon_sym_GT] = ACTIONS(1705),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1705),
    [anon_sym_POUNDfileID] = ACTIONS(1707),
    [anon_sym_POUNDfilePath] = ACTIONS(1707),
    [anon_sym_POUNDline] = ACTIONS(1707),
    [anon_sym_POUNDcolumn] = ACTIONS(1707),
    [anon_sym_POUNDfunction] = ACTIONS(1707),
    [anon_sym_POUNDdsohandle] = ACTIONS(1707),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1707),
    [anon_sym_DASH_EQ] = ACTIONS(1707),
    [anon_sym_STAR_EQ] = ACTIONS(1707),
    [anon_sym_SLASH_EQ] = ACTIONS(1707),
    [anon_sym_PERCENT_EQ] = ACTIONS(1707),
    [anon_sym_BANG_EQ] = ACTIONS(1705),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1707),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1707),
    [anon_sym_LT_EQ] = ACTIONS(1707),
    [anon_sym_GT_EQ] = ACTIONS(1707),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1705),
    [anon_sym_SLASH] = ACTIONS(1705),
    [anon_sym_PERCENT] = ACTIONS(1705),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1707),
    [anon_sym_CARET] = ACTIONS(1705),
    [anon_sym_LT_LT] = ACTIONS(1707),
    [anon_sym_GT_GT] = ACTIONS(1707),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1707),
    [sym__eq_eq_custom] = ACTIONS(1707),
    [sym__plus_then_ws] = ACTIONS(1707),
    [sym__minus_then_ws] = ACTIONS(1707),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [384] = {
    [sym_simple_identifier] = STATE(2936),
    [sym__contextual_simple_identifier] = STATE(2558),
    [sym__basic_literal] = STATE(1346),
    [sym_boolean_literal] = STATE(1346),
    [sym__string_literal] = STATE(1346),
    [sym_line_string_literal] = STATE(1346),
    [sym_multi_line_string_literal] = STATE(1346),
    [sym_raw_string_literal] = STATE(1346),
    [sym_regex_literal] = STATE(1346),
    [sym__multiline_regex_literal] = STATE(3141),
    [sym_user_type] = STATE(5448),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5448),
    [sym_dictionary_type] = STATE(5448),
    [sym__expression] = STATE(1346),
    [sym__unary_expression] = STATE(1346),
    [sym_postfix_expression] = STATE(1346),
    [sym_constructor_expression] = STATE(1346),
    [sym__parenthesized_type] = STATE(6984),
    [sym_navigation_expression] = STATE(1346),
    [sym__navigable_type_expression] = STATE(6994),
    [sym_open_start_range_expression] = STATE(1346),
    [sym__range_operator] = STATE(488),
    [sym_open_end_range_expression] = STATE(1346),
    [sym_prefix_expression] = STATE(1346),
    [sym_as_expression] = STATE(1346),
    [sym_selector_expression] = STATE(1346),
    [sym__binary_expression] = STATE(1346),
    [sym_multiplicative_expression] = STATE(1346),
    [sym_additive_expression] = STATE(1346),
    [sym_range_expression] = STATE(1346),
    [sym_infix_expression] = STATE(1346),
    [sym_nil_coalescing_expression] = STATE(1346),
    [sym_check_expression] = STATE(1346),
    [sym_comparison_expression] = STATE(1346),
    [sym_equality_expression] = STATE(1346),
    [sym_conjunction_expression] = STATE(1346),
    [sym_disjunction_expression] = STATE(1346),
    [sym_bitwise_operation] = STATE(1346),
    [sym_custom_operator] = STATE(902),
    [sym_try_expression] = STATE(1346),
    [sym_await_expression] = STATE(1346),
    [sym__await_operator] = STATE(498),
    [sym_ternary_expression] = STATE(1346),
    [sym__expr_hack_at_ternary_binary_suffix] = STATE(3064),
    [sym_expr_hack_at_ternary_binary_call] = STATE(3064),
    [sym_call_expression] = STATE(1346),
    [sym__primary_expression] = STATE(1346),
    [sym_tuple_expression] = STATE(1346),
    [sym_array_literal] = STATE(1346),
    [sym_dictionary_literal] = STATE(1346),
    [sym__special_literal] = STATE(1346),
    [sym__playground_literal] = STATE(1346),
    [sym_lambda_literal] = STATE(1346),
    [sym_self_expression] = STATE(1346),
    [sym_super_expression] = STATE(1346),
    [sym_if_statement] = STATE(1346),
    [sym_switch_statement] = STATE(1346),
    [sym_key_path_expression] = STATE(1346),
    [sym_key_path_string_expression] = STATE(1346),
    [sym_try_operator] = STATE(501),
    [sym__assignment_and_operator] = STATE(1346),
    [sym__equality_operator] = STATE(1346),
    [sym__comparison_operator] = STATE(1346),
    [sym__three_dot_operator] = STATE(900),
    [sym__open_ended_range_operator] = STATE(488),
    [sym__additive_operator] = STATE(1346),
    [sym__multiplicative_operator] = STATE(1346),
    [sym__prefix_unary_operator] = STATE(505),
    [sym_directly_assignable_expression] = STATE(5447),
    [sym_assignment] = STATE(1346),
    [sym_value_parameter_pack] = STATE(1346),
    [sym_value_pack_expansion] = STATE(1346),
    [sym__referenceable_operator] = STATE(1346),
    [sym__equal_sign] = STATE(1346),
    [sym__eq_eq] = STATE(1346),
    [sym__dot] = STATE(505),
    [sym_bang] = STATE(902),
    [sym__parameter_ownership_modifier] = STATE(2558),
    [aux_sym_raw_string_literal_repeat1] = STATE(7003),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(1147),
    [aux_sym_simple_identifier_token2] = ACTIONS(1149),
    [aux_sym_simple_identifier_token3] = ACTIONS(1149),
    [aux_sym_simple_identifier_token4] = ACTIONS(1149),
    [anon_sym_actor] = ACTIONS(1147),
    [anon_sym_async] = ACTIONS(1147),
    [anon_sym_each] = ACTIONS(1153),
    [anon_sym_lazy] = ACTIONS(1147),
    [anon_sym_repeat] = ACTIONS(1155),
    [anon_sym_package] = ACTIONS(1147),
    [anon_sym_nil] = ACTIONS(1593),
    [sym_real_literal] = ACTIONS(1595),
    [sym_integer_literal] = ACTIONS(1593),
    [sym_hex_literal] = ACTIONS(1595),
    [sym_oct_literal] = ACTIONS(1595),
    [sym_bin_literal] = ACTIONS(1595),
    [anon_sym_true] = ACTIONS(1161),
    [anon_sym_false] = ACTIONS(1161),
    [anon_sym_DQUOTE] = ACTIONS(1163),
    [anon_sym_BSLASH] = ACTIONS(1165),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1167),
    [sym__extended_regex_literal] = ACTIONS(1169),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(1171),
    [sym__oneline_regex_literal] = ACTIONS(1173),
    [anon_sym_LPAREN] = ACTIONS(1175),
    [anon_sym_LBRACK] = ACTIONS(1177),
    [anon_sym_AMP] = ACTIONS(1179),
    [anon_sym_if] = ACTIONS(1181),
    [anon_sym_switch] = ACTIONS(1183),
    [anon_sym_POUNDselector] = ACTIONS(1185),
    [aux_sym_custom_operator_token1] = ACTIONS(1187),
    [anon_sym_LT] = ACTIONS(1593),
    [anon_sym_GT] = ACTIONS(1593),
    [anon_sym_await] = ACTIONS(1189),
    [anon_sym_POUNDfile] = ACTIONS(1593),
    [anon_sym_POUNDfileID] = ACTIONS(1595),
    [anon_sym_POUNDfilePath] = ACTIONS(1595),
    [anon_sym_POUNDline] = ACTIONS(1595),
    [anon_sym_POUNDcolumn] = ACTIONS(1595),
    [anon_sym_POUNDfunction] = ACTIONS(1595),
    [anon_sym_POUNDdsohandle] = ACTIONS(1595),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(1191),
    [anon_sym_POUNDfileLiteral] = ACTIONS(1191),
    [anon_sym_POUNDimageLiteral] = ACTIONS(1191),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_CARET_LBRACE] = ACTIONS(1193),
    [anon_sym_self] = ACTIONS(1195),
    [anon_sym_super] = ACTIONS(1197),
    [anon_sym_POUNDkeyPath] = ACTIONS(1201),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1595),
    [anon_sym_DASH_EQ] = ACTIONS(1595),
    [anon_sym_STAR_EQ] = ACTIONS(1595),
    [anon_sym_SLASH_EQ] = ACTIONS(1595),
    [anon_sym_PERCENT_EQ] = ACTIONS(1595),
    [anon_sym_BANG_EQ] = ACTIONS(1593),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1595),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1595),
    [anon_sym_LT_EQ] = ACTIONS(1595),
    [anon_sym_GT_EQ] = ACTIONS(1595),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1203),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1205),
    [anon_sym_PLUS] = ACTIONS(1207),
    [anon_sym_DASH] = ACTIONS(1207),
    [anon_sym_STAR] = ACTIONS(1593),
    [anon_sym_SLASH] = ACTIONS(1593),
    [anon_sym_PERCENT] = ACTIONS(1593),
    [anon_sym_PLUS_PLUS] = ACTIONS(1179),
    [anon_sym_DASH_DASH] = ACTIONS(1179),
    [anon_sym_TILDE] = ACTIONS(1179),
    [anon_sym_PIPE] = ACTIONS(1595),
    [anon_sym_CARET] = ACTIONS(1593),
    [anon_sym_LT_LT] = ACTIONS(1595),
    [anon_sym_GT_GT] = ACTIONS(1595),
    [anon_sym_BANG2] = ACTIONS(1211),
    [anon_sym_borrowing] = ACTIONS(1147),
    [anon_sym_consuming] = ACTIONS(1147),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(1213),
    [sym__dot_custom] = ACTIONS(1215),
    [sym__eq_custom] = ACTIONS(1595),
    [sym__eq_eq_custom] = ACTIONS(1595),
    [sym__plus_then_ws] = ACTIONS(1595),
    [sym__minus_then_ws] = ACTIONS(1595),
    [sym__bang_custom] = ACTIONS(1217),
    [sym__custom_operator] = ACTIONS(1187),
  },
  [385] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1413),
    [sym_boolean_literal] = STATE(1413),
    [sym__string_literal] = STATE(1413),
    [sym_line_string_literal] = STATE(1413),
    [sym_multi_line_string_literal] = STATE(1413),
    [sym_raw_string_literal] = STATE(1413),
    [sym_regex_literal] = STATE(1413),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1413),
    [sym__unary_expression] = STATE(1413),
    [sym_postfix_expression] = STATE(1413),
    [sym_constructor_expression] = STATE(1413),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1413),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1413),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1413),
    [sym_prefix_expression] = STATE(1413),
    [sym_as_expression] = STATE(1413),
    [sym_selector_expression] = STATE(1413),
    [sym__binary_expression] = STATE(1413),
    [sym_multiplicative_expression] = STATE(1413),
    [sym_additive_expression] = STATE(1413),
    [sym_range_expression] = STATE(1413),
    [sym_infix_expression] = STATE(1413),
    [sym_nil_coalescing_expression] = STATE(1413),
    [sym_check_expression] = STATE(1413),
    [sym_comparison_expression] = STATE(1413),
    [sym_equality_expression] = STATE(1413),
    [sym_conjunction_expression] = STATE(1413),
    [sym_disjunction_expression] = STATE(1413),
    [sym_bitwise_operation] = STATE(1413),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1413),
    [sym_await_expression] = STATE(1413),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1413),
    [sym_call_expression] = STATE(1413),
    [sym__primary_expression] = STATE(1413),
    [sym_tuple_expression] = STATE(1413),
    [sym_array_literal] = STATE(1413),
    [sym_dictionary_literal] = STATE(1413),
    [sym__special_literal] = STATE(1413),
    [sym__playground_literal] = STATE(1413),
    [sym_lambda_literal] = STATE(1413),
    [sym_self_expression] = STATE(1413),
    [sym_super_expression] = STATE(1413),
    [sym_if_statement] = STATE(1413),
    [sym_switch_statement] = STATE(1413),
    [sym_key_path_expression] = STATE(1413),
    [sym_key_path_string_expression] = STATE(1413),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1413),
    [sym__equality_operator] = STATE(1413),
    [sym__comparison_operator] = STATE(1413),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1413),
    [sym__multiplicative_operator] = STATE(1413),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1413),
    [sym_value_parameter_pack] = STATE(1413),
    [sym_value_pack_expansion] = STATE(1413),
    [sym__referenceable_operator] = STATE(1413),
    [sym__equal_sign] = STATE(1413),
    [sym__eq_eq] = STATE(1413),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1711),
    [sym_real_literal] = ACTIONS(1713),
    [sym_integer_literal] = ACTIONS(1711),
    [sym_hex_literal] = ACTIONS(1713),
    [sym_oct_literal] = ACTIONS(1713),
    [sym_bin_literal] = ACTIONS(1713),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [anon_sym_getter_COLON] = ACTIONS(1715),
    [anon_sym_setter_COLON] = ACTIONS(1715),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1711),
    [anon_sym_GT] = ACTIONS(1711),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1711),
    [anon_sym_POUNDfileID] = ACTIONS(1713),
    [anon_sym_POUNDfilePath] = ACTIONS(1713),
    [anon_sym_POUNDline] = ACTIONS(1713),
    [anon_sym_POUNDcolumn] = ACTIONS(1713),
    [anon_sym_POUNDfunction] = ACTIONS(1713),
    [anon_sym_POUNDdsohandle] = ACTIONS(1713),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1713),
    [anon_sym_DASH_EQ] = ACTIONS(1713),
    [anon_sym_STAR_EQ] = ACTIONS(1713),
    [anon_sym_SLASH_EQ] = ACTIONS(1713),
    [anon_sym_PERCENT_EQ] = ACTIONS(1713),
    [anon_sym_BANG_EQ] = ACTIONS(1711),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1713),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1713),
    [anon_sym_LT_EQ] = ACTIONS(1713),
    [anon_sym_GT_EQ] = ACTIONS(1713),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1711),
    [anon_sym_SLASH] = ACTIONS(1711),
    [anon_sym_PERCENT] = ACTIONS(1711),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1713),
    [anon_sym_CARET] = ACTIONS(1711),
    [anon_sym_LT_LT] = ACTIONS(1713),
    [anon_sym_GT_GT] = ACTIONS(1713),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1713),
    [sym__eq_eq_custom] = ACTIONS(1713),
    [sym__plus_then_ws] = ACTIONS(1713),
    [sym__minus_then_ws] = ACTIONS(1713),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [386] = {
    [sym_simple_identifier] = STATE(1040),
    [sym__contextual_simple_identifier] = STATE(1015),
    [sym__basic_literal] = STATE(645),
    [sym_boolean_literal] = STATE(645),
    [sym__string_literal] = STATE(645),
    [sym_line_string_literal] = STATE(645),
    [sym_multi_line_string_literal] = STATE(645),
    [sym_raw_string_literal] = STATE(645),
    [sym_regex_literal] = STATE(645),
    [sym__multiline_regex_literal] = STATE(1134),
    [sym_user_type] = STATE(5559),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5559),
    [sym_dictionary_type] = STATE(5559),
    [sym__expression] = STATE(645),
    [sym__unary_expression] = STATE(645),
    [sym_postfix_expression] = STATE(645),
    [sym_constructor_expression] = STATE(645),
    [sym__parenthesized_type] = STATE(6572),
    [sym_navigation_expression] = STATE(645),
    [sym__navigable_type_expression] = STATE(6573),
    [sym_open_start_range_expression] = STATE(645),
    [sym__range_operator] = STATE(462),
    [sym_open_end_range_expression] = STATE(645),
    [sym_prefix_expression] = STATE(645),
    [sym_as_expression] = STATE(645),
    [sym_selector_expression] = STATE(645),
    [sym__binary_expression] = STATE(645),
    [sym_multiplicative_expression] = STATE(645),
    [sym_additive_expression] = STATE(645),
    [sym_range_expression] = STATE(645),
    [sym_infix_expression] = STATE(645),
    [sym_nil_coalescing_expression] = STATE(645),
    [sym_check_expression] = STATE(645),
    [sym_comparison_expression] = STATE(645),
    [sym_equality_expression] = STATE(645),
    [sym_conjunction_expression] = STATE(645),
    [sym_disjunction_expression] = STATE(645),
    [sym_bitwise_operation] = STATE(645),
    [sym_custom_operator] = STATE(615),
    [sym_try_expression] = STATE(645),
    [sym_await_expression] = STATE(645),
    [sym__await_operator] = STATE(463),
    [sym_ternary_expression] = STATE(645),
    [sym__expr_hack_at_ternary_binary_suffix] = STATE(1126),
    [sym_expr_hack_at_ternary_binary_call] = STATE(1126),
    [sym_call_expression] = STATE(645),
    [sym__primary_expression] = STATE(645),
    [sym_tuple_expression] = STATE(645),
    [sym_array_literal] = STATE(645),
    [sym_dictionary_literal] = STATE(645),
    [sym__special_literal] = STATE(645),
    [sym__playground_literal] = STATE(645),
    [sym_lambda_literal] = STATE(645),
    [sym_self_expression] = STATE(645),
    [sym_super_expression] = STATE(645),
    [sym_if_statement] = STATE(645),
    [sym_switch_statement] = STATE(645),
    [sym_key_path_expression] = STATE(645),
    [sym_key_path_string_expression] = STATE(645),
    [sym_try_operator] = STATE(465),
    [sym__assignment_and_operator] = STATE(645),
    [sym__equality_operator] = STATE(645),
    [sym__comparison_operator] = STATE(645),
    [sym__three_dot_operator] = STATE(617),
    [sym__open_ended_range_operator] = STATE(462),
    [sym__additive_operator] = STATE(645),
    [sym__multiplicative_operator] = STATE(645),
    [sym__prefix_unary_operator] = STATE(470),
    [sym_directly_assignable_expression] = STATE(5558),
    [sym_assignment] = STATE(645),
    [sym_value_parameter_pack] = STATE(645),
    [sym_value_pack_expansion] = STATE(645),
    [sym__referenceable_operator] = STATE(645),
    [sym__equal_sign] = STATE(645),
    [sym__eq_eq] = STATE(645),
    [sym__dot] = STATE(470),
    [sym_bang] = STATE(615),
    [sym__parameter_ownership_modifier] = STATE(1015),
    [aux_sym_raw_string_literal_repeat1] = STATE(6655),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(673),
    [aux_sym_simple_identifier_token2] = ACTIONS(675),
    [aux_sym_simple_identifier_token3] = ACTIONS(675),
    [aux_sym_simple_identifier_token4] = ACTIONS(675),
    [anon_sym_actor] = ACTIONS(673),
    [anon_sym_async] = ACTIONS(673),
    [anon_sym_each] = ACTIONS(677),
    [anon_sym_lazy] = ACTIONS(673),
    [anon_sym_repeat] = ACTIONS(679),
    [anon_sym_package] = ACTIONS(673),
    [anon_sym_nil] = ACTIONS(1579),
    [sym_real_literal] = ACTIONS(1581),
    [sym_integer_literal] = ACTIONS(1579),
    [sym_hex_literal] = ACTIONS(1581),
    [sym_oct_literal] = ACTIONS(1581),
    [sym_bin_literal] = ACTIONS(1581),
    [anon_sym_true] = ACTIONS(685),
    [anon_sym_false] = ACTIONS(685),
    [anon_sym_DQUOTE] = ACTIONS(687),
    [anon_sym_BSLASH] = ACTIONS(689),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(691),
    [sym__extended_regex_literal] = ACTIONS(693),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(695),
    [sym__oneline_regex_literal] = ACTIONS(697),
    [anon_sym_LPAREN] = ACTIONS(699),
    [anon_sym_LBRACK] = ACTIONS(701),
    [anon_sym_AMP] = ACTIONS(703),
    [anon_sym_if] = ACTIONS(705),
    [anon_sym_switch] = ACTIONS(707),
    [anon_sym_POUNDselector] = ACTIONS(709),
    [aux_sym_custom_operator_token1] = ACTIONS(711),
    [anon_sym_LT] = ACTIONS(1579),
    [anon_sym_GT] = ACTIONS(1579),
    [anon_sym_await] = ACTIONS(713),
    [anon_sym_POUNDfile] = ACTIONS(1579),
    [anon_sym_POUNDfileID] = ACTIONS(1581),
    [anon_sym_POUNDfilePath] = ACTIONS(1581),
    [anon_sym_POUNDline] = ACTIONS(1581),
    [anon_sym_POUNDcolumn] = ACTIONS(1581),
    [anon_sym_POUNDfunction] = ACTIONS(1581),
    [anon_sym_POUNDdsohandle] = ACTIONS(1581),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(715),
    [anon_sym_POUNDfileLiteral] = ACTIONS(715),
    [anon_sym_POUNDimageLiteral] = ACTIONS(715),
    [anon_sym_LBRACE] = ACTIONS(717),
    [anon_sym_CARET_LBRACE] = ACTIONS(717),
    [anon_sym_self] = ACTIONS(719),
    [anon_sym_super] = ACTIONS(721),
    [anon_sym_POUNDkeyPath] = ACTIONS(723),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1581),
    [anon_sym_DASH_EQ] = ACTIONS(1581),
    [anon_sym_STAR_EQ] = ACTIONS(1581),
    [anon_sym_SLASH_EQ] = ACTIONS(1581),
    [anon_sym_PERCENT_EQ] = ACTIONS(1581),
    [anon_sym_BANG_EQ] = ACTIONS(1579),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1581),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1581),
    [anon_sym_LT_EQ] = ACTIONS(1581),
    [anon_sym_GT_EQ] = ACTIONS(1581),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(725),
    [anon_sym_DOT_DOT_LT] = ACTIONS(727),
    [anon_sym_PLUS] = ACTIONS(729),
    [anon_sym_DASH] = ACTIONS(729),
    [anon_sym_STAR] = ACTIONS(1579),
    [anon_sym_SLASH] = ACTIONS(1579),
    [anon_sym_PERCENT] = ACTIONS(1579),
    [anon_sym_PLUS_PLUS] = ACTIONS(703),
    [anon_sym_DASH_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(703),
    [anon_sym_PIPE] = ACTIONS(1581),
    [anon_sym_CARET] = ACTIONS(1579),
    [anon_sym_LT_LT] = ACTIONS(1581),
    [anon_sym_GT_GT] = ACTIONS(1581),
    [anon_sym_BANG2] = ACTIONS(731),
    [anon_sym_borrowing] = ACTIONS(673),
    [anon_sym_consuming] = ACTIONS(673),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(733),
    [sym__dot_custom] = ACTIONS(735),
    [sym__eq_custom] = ACTIONS(1581),
    [sym__eq_eq_custom] = ACTIONS(1581),
    [sym__plus_then_ws] = ACTIONS(1581),
    [sym__minus_then_ws] = ACTIONS(1581),
    [sym__bang_custom] = ACTIONS(737),
    [sym__custom_operator] = ACTIONS(711),
  },
  [387] = {
    [sym_simple_identifier] = STATE(2573),
    [sym__contextual_simple_identifier] = STATE(2374),
    [sym__basic_literal] = STATE(1418),
    [sym_boolean_literal] = STATE(1418),
    [sym__string_literal] = STATE(1418),
    [sym_line_string_literal] = STATE(1418),
    [sym_multi_line_string_literal] = STATE(1418),
    [sym_raw_string_literal] = STATE(1418),
    [sym_regex_literal] = STATE(1418),
    [sym__multiline_regex_literal] = STATE(2929),
    [sym_user_type] = STATE(5443),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5443),
    [sym_dictionary_type] = STATE(5443),
    [sym__expression] = STATE(1418),
    [sym__unary_expression] = STATE(1418),
    [sym_postfix_expression] = STATE(1418),
    [sym_constructor_expression] = STATE(1418),
    [sym__parenthesized_type] = STATE(7012),
    [sym_navigation_expression] = STATE(1418),
    [sym__navigable_type_expression] = STATE(7009),
    [sym_open_start_range_expression] = STATE(1418),
    [sym__range_operator] = STATE(557),
    [sym_open_end_range_expression] = STATE(1418),
    [sym_prefix_expression] = STATE(1418),
    [sym_as_expression] = STATE(1418),
    [sym_selector_expression] = STATE(1418),
    [sym__binary_expression] = STATE(1418),
    [sym_multiplicative_expression] = STATE(1418),
    [sym_additive_expression] = STATE(1418),
    [sym_range_expression] = STATE(1418),
    [sym_infix_expression] = STATE(1418),
    [sym_nil_coalescing_expression] = STATE(1418),
    [sym_check_expression] = STATE(1418),
    [sym_comparison_expression] = STATE(1418),
    [sym_equality_expression] = STATE(1418),
    [sym_conjunction_expression] = STATE(1418),
    [sym_disjunction_expression] = STATE(1418),
    [sym_bitwise_operation] = STATE(1418),
    [sym_custom_operator] = STATE(878),
    [sym_try_expression] = STATE(1418),
    [sym_await_expression] = STATE(1418),
    [sym__await_operator] = STATE(564),
    [sym_ternary_expression] = STATE(1418),
    [sym_call_expression] = STATE(1418),
    [sym__primary_expression] = STATE(1418),
    [sym_tuple_expression] = STATE(1418),
    [sym_array_literal] = STATE(1418),
    [sym_dictionary_literal] = STATE(1418),
    [sym__special_literal] = STATE(1418),
    [sym__playground_literal] = STATE(1418),
    [sym_lambda_literal] = STATE(1418),
    [sym_self_expression] = STATE(1418),
    [sym_super_expression] = STATE(1418),
    [sym_if_statement] = STATE(1418),
    [sym_switch_statement] = STATE(1418),
    [sym_key_path_expression] = STATE(1418),
    [sym_key_path_string_expression] = STATE(1418),
    [sym_try_operator] = STATE(451),
    [sym__assignment_and_operator] = STATE(1418),
    [sym__equality_operator] = STATE(1418),
    [sym__comparison_operator] = STATE(1418),
    [sym__three_dot_operator] = STATE(884),
    [sym__open_ended_range_operator] = STATE(557),
    [sym__additive_operator] = STATE(1418),
    [sym__multiplicative_operator] = STATE(1418),
    [sym__prefix_unary_operator] = STATE(471),
    [sym_directly_assignable_expression] = STATE(5445),
    [sym__for_statement_collection] = STATE(6113),
    [sym_for_statement_await] = STATE(6113),
    [sym_assignment] = STATE(1418),
    [sym_value_parameter_pack] = STATE(1418),
    [sym_value_pack_expansion] = STATE(1418),
    [sym__referenceable_operator] = STATE(1418),
    [sym__equal_sign] = STATE(1418),
    [sym__eq_eq] = STATE(1418),
    [sym__dot] = STATE(471),
    [sym_bang] = STATE(878),
    [sym__parameter_ownership_modifier] = STATE(2374),
    [aux_sym_raw_string_literal_repeat1] = STATE(7006),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(1037),
    [aux_sym_simple_identifier_token2] = ACTIONS(1039),
    [aux_sym_simple_identifier_token3] = ACTIONS(1039),
    [aux_sym_simple_identifier_token4] = ACTIONS(1039),
    [anon_sym_actor] = ACTIONS(1037),
    [anon_sym_async] = ACTIONS(1037),
    [anon_sym_each] = ACTIONS(1041),
    [anon_sym_lazy] = ACTIONS(1037),
    [anon_sym_repeat] = ACTIONS(1043),
    [anon_sym_package] = ACTIONS(1037),
    [anon_sym_nil] = ACTIONS(1605),
    [sym_real_literal] = ACTIONS(1607),
    [sym_integer_literal] = ACTIONS(1605),
    [sym_hex_literal] = ACTIONS(1607),
    [sym_oct_literal] = ACTIONS(1607),
    [sym_bin_literal] = ACTIONS(1607),
    [anon_sym_true] = ACTIONS(1049),
    [anon_sym_false] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_BSLASH] = ACTIONS(1053),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1055),
    [sym__extended_regex_literal] = ACTIONS(1057),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(1059),
    [sym__oneline_regex_literal] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_LBRACK] = ACTIONS(1065),
    [anon_sym_AMP] = ACTIONS(1067),
    [anon_sym_if] = ACTIONS(1069),
    [anon_sym_switch] = ACTIONS(1071),
    [anon_sym_POUNDselector] = ACTIONS(1073),
    [aux_sym_custom_operator_token1] = ACTIONS(1075),
    [anon_sym_LT] = ACTIONS(1605),
    [anon_sym_GT] = ACTIONS(1605),
    [anon_sym_await] = ACTIONS(1609),
    [anon_sym_POUNDfile] = ACTIONS(1605),
    [anon_sym_POUNDfileID] = ACTIONS(1607),
    [anon_sym_POUNDfilePath] = ACTIONS(1607),
    [anon_sym_POUNDline] = ACTIONS(1607),
    [anon_sym_POUNDcolumn] = ACTIONS(1607),
    [anon_sym_POUNDfunction] = ACTIONS(1607),
    [anon_sym_POUNDdsohandle] = ACTIONS(1607),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(1079),
    [anon_sym_POUNDfileLiteral] = ACTIONS(1079),
    [anon_sym_POUNDimageLiteral] = ACTIONS(1079),
    [anon_sym_LBRACE] = ACTIONS(1081),
    [anon_sym_CARET_LBRACE] = ACTIONS(1081),
    [anon_sym_self] = ACTIONS(1083),
    [anon_sym_super] = ACTIONS(1085),
    [anon_sym_POUNDkeyPath] = ACTIONS(1089),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1607),
    [anon_sym_DASH_EQ] = ACTIONS(1607),
    [anon_sym_STAR_EQ] = ACTIONS(1607),
    [anon_sym_SLASH_EQ] = ACTIONS(1607),
    [anon_sym_PERCENT_EQ] = ACTIONS(1607),
    [anon_sym_BANG_EQ] = ACTIONS(1605),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1607),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1607),
    [anon_sym_LT_EQ] = ACTIONS(1607),
    [anon_sym_GT_EQ] = ACTIONS(1607),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1093),
    [anon_sym_PLUS] = ACTIONS(1097),
    [anon_sym_DASH] = ACTIONS(1097),
    [anon_sym_STAR] = ACTIONS(1605),
    [anon_sym_SLASH] = ACTIONS(1605),
    [anon_sym_PERCENT] = ACTIONS(1605),
    [anon_sym_PLUS_PLUS] = ACTIONS(1067),
    [anon_sym_DASH_DASH] = ACTIONS(1067),
    [anon_sym_TILDE] = ACTIONS(1067),
    [anon_sym_PIPE] = ACTIONS(1607),
    [anon_sym_CARET] = ACTIONS(1605),
    [anon_sym_LT_LT] = ACTIONS(1607),
    [anon_sym_GT_GT] = ACTIONS(1607),
    [anon_sym_BANG2] = ACTIONS(1099),
    [anon_sym_borrowing] = ACTIONS(1037),
    [anon_sym_consuming] = ACTIONS(1037),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(1103),
    [sym__dot_custom] = ACTIONS(1307),
    [sym__eq_custom] = ACTIONS(1607),
    [sym__eq_eq_custom] = ACTIONS(1607),
    [sym__plus_then_ws] = ACTIONS(1607),
    [sym__minus_then_ws] = ACTIONS(1607),
    [sym__bang_custom] = ACTIONS(1107),
    [sym__custom_operator] = ACTIONS(1075),
  },
  [388] = {
    [sym_simple_identifier] = STATE(1141),
    [sym__contextual_simple_identifier] = STATE(1051),
    [sym__basic_literal] = STATE(651),
    [sym_boolean_literal] = STATE(651),
    [sym__string_literal] = STATE(651),
    [sym_line_string_literal] = STATE(651),
    [sym_multi_line_string_literal] = STATE(651),
    [sym_raw_string_literal] = STATE(651),
    [sym_regex_literal] = STATE(651),
    [sym__multiline_regex_literal] = STATE(1215),
    [sym_user_type] = STATE(5510),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5510),
    [sym_dictionary_type] = STATE(5510),
    [sym__expression] = STATE(651),
    [sym__unary_expression] = STATE(651),
    [sym_postfix_expression] = STATE(651),
    [sym_constructor_expression] = STATE(651),
    [sym__parenthesized_type] = STATE(6558),
    [sym_navigation_expression] = STATE(651),
    [sym__navigable_type_expression] = STATE(6557),
    [sym_open_start_range_expression] = STATE(651),
    [sym__range_operator] = STATE(523),
    [sym_open_end_range_expression] = STATE(651),
    [sym_prefix_expression] = STATE(651),
    [sym_as_expression] = STATE(651),
    [sym_selector_expression] = STATE(651),
    [sym__binary_expression] = STATE(651),
    [sym_multiplicative_expression] = STATE(651),
    [sym_additive_expression] = STATE(651),
    [sym_range_expression] = STATE(651),
    [sym_infix_expression] = STATE(651),
    [sym_nil_coalescing_expression] = STATE(651),
    [sym_check_expression] = STATE(651),
    [sym_comparison_expression] = STATE(651),
    [sym_equality_expression] = STATE(651),
    [sym_conjunction_expression] = STATE(651),
    [sym_disjunction_expression] = STATE(651),
    [sym_bitwise_operation] = STATE(651),
    [sym_custom_operator] = STATE(628),
    [sym_try_expression] = STATE(651),
    [sym_await_expression] = STATE(651),
    [sym__await_operator] = STATE(518),
    [sym_ternary_expression] = STATE(651),
    [sym__expr_hack_at_ternary_binary_suffix] = STATE(1223),
    [sym_expr_hack_at_ternary_binary_call] = STATE(1223),
    [sym_call_expression] = STATE(651),
    [sym__primary_expression] = STATE(651),
    [sym_tuple_expression] = STATE(651),
    [sym_array_literal] = STATE(651),
    [sym_dictionary_literal] = STATE(651),
    [sym__special_literal] = STATE(651),
    [sym__playground_literal] = STATE(651),
    [sym_lambda_literal] = STATE(651),
    [sym_self_expression] = STATE(651),
    [sym_super_expression] = STATE(651),
    [sym_if_statement] = STATE(651),
    [sym_switch_statement] = STATE(651),
    [sym_key_path_expression] = STATE(651),
    [sym_key_path_string_expression] = STATE(651),
    [sym_try_operator] = STATE(515),
    [sym__assignment_and_operator] = STATE(651),
    [sym__equality_operator] = STATE(651),
    [sym__comparison_operator] = STATE(651),
    [sym__three_dot_operator] = STATE(625),
    [sym__open_ended_range_operator] = STATE(523),
    [sym__additive_operator] = STATE(651),
    [sym__multiplicative_operator] = STATE(651),
    [sym__prefix_unary_operator] = STATE(509),
    [sym_directly_assignable_expression] = STATE(5511),
    [sym_assignment] = STATE(651),
    [sym_value_parameter_pack] = STATE(651),
    [sym_value_pack_expansion] = STATE(651),
    [sym__referenceable_operator] = STATE(651),
    [sym__equal_sign] = STATE(651),
    [sym__eq_eq] = STATE(651),
    [sym__dot] = STATE(509),
    [sym_bang] = STATE(628),
    [sym__parameter_ownership_modifier] = STATE(1051),
    [aux_sym_raw_string_literal_repeat1] = STATE(6487),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(291),
    [aux_sym_simple_identifier_token2] = ACTIONS(293),
    [aux_sym_simple_identifier_token3] = ACTIONS(293),
    [aux_sym_simple_identifier_token4] = ACTIONS(293),
    [anon_sym_actor] = ACTIONS(291),
    [anon_sym_async] = ACTIONS(291),
    [anon_sym_each] = ACTIONS(299),
    [anon_sym_lazy] = ACTIONS(291),
    [anon_sym_repeat] = ACTIONS(747),
    [anon_sym_package] = ACTIONS(291),
    [anon_sym_nil] = ACTIONS(1639),
    [sym_real_literal] = ACTIONS(1641),
    [sym_integer_literal] = ACTIONS(1639),
    [sym_hex_literal] = ACTIONS(1641),
    [sym_oct_literal] = ACTIONS(1641),
    [sym_bin_literal] = ACTIONS(1641),
    [anon_sym_true] = ACTIONS(309),
    [anon_sym_false] = ACTIONS(309),
    [anon_sym_DQUOTE] = ACTIONS(311),
    [anon_sym_BSLASH] = ACTIONS(313),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(315),
    [sym__extended_regex_literal] = ACTIONS(317),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(319),
    [sym__oneline_regex_literal] = ACTIONS(321),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_LBRACK] = ACTIONS(325),
    [anon_sym_AMP] = ACTIONS(327),
    [anon_sym_if] = ACTIONS(329),
    [anon_sym_switch] = ACTIONS(331),
    [anon_sym_POUNDselector] = ACTIONS(333),
    [aux_sym_custom_operator_token1] = ACTIONS(335),
    [anon_sym_LT] = ACTIONS(1639),
    [anon_sym_GT] = ACTIONS(1639),
    [anon_sym_await] = ACTIONS(337),
    [anon_sym_POUNDfile] = ACTIONS(1639),
    [anon_sym_POUNDfileID] = ACTIONS(1641),
    [anon_sym_POUNDfilePath] = ACTIONS(1641),
    [anon_sym_POUNDline] = ACTIONS(1641),
    [anon_sym_POUNDcolumn] = ACTIONS(1641),
    [anon_sym_POUNDfunction] = ACTIONS(1641),
    [anon_sym_POUNDdsohandle] = ACTIONS(1641),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(339),
    [anon_sym_POUNDfileLiteral] = ACTIONS(339),
    [anon_sym_POUNDimageLiteral] = ACTIONS(339),
    [anon_sym_LBRACE] = ACTIONS(341),
    [anon_sym_CARET_LBRACE] = ACTIONS(341),
    [anon_sym_self] = ACTIONS(345),
    [anon_sym_super] = ACTIONS(347),
    [anon_sym_POUNDkeyPath] = ACTIONS(353),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1641),
    [anon_sym_DASH_EQ] = ACTIONS(1641),
    [anon_sym_STAR_EQ] = ACTIONS(1641),
    [anon_sym_SLASH_EQ] = ACTIONS(1641),
    [anon_sym_PERCENT_EQ] = ACTIONS(1641),
    [anon_sym_BANG_EQ] = ACTIONS(1639),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1641),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1641),
    [anon_sym_LT_EQ] = ACTIONS(1641),
    [anon_sym_GT_EQ] = ACTIONS(1641),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(355),
    [anon_sym_DOT_DOT_LT] = ACTIONS(357),
    [anon_sym_PLUS] = ACTIONS(359),
    [anon_sym_DASH] = ACTIONS(359),
    [anon_sym_STAR] = ACTIONS(1639),
    [anon_sym_SLASH] = ACTIONS(1639),
    [anon_sym_PERCENT] = ACTIONS(1639),
    [anon_sym_PLUS_PLUS] = ACTIONS(327),
    [anon_sym_DASH_DASH] = ACTIONS(327),
    [anon_sym_TILDE] = ACTIONS(327),
    [anon_sym_PIPE] = ACTIONS(1641),
    [anon_sym_CARET] = ACTIONS(1639),
    [anon_sym_LT_LT] = ACTIONS(1641),
    [anon_sym_GT_GT] = ACTIONS(1641),
    [anon_sym_BANG2] = ACTIONS(381),
    [anon_sym_borrowing] = ACTIONS(291),
    [anon_sym_consuming] = ACTIONS(291),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(383),
    [sym__dot_custom] = ACTIONS(385),
    [sym__eq_custom] = ACTIONS(1641),
    [sym__eq_eq_custom] = ACTIONS(1641),
    [sym__plus_then_ws] = ACTIONS(1641),
    [sym__minus_then_ws] = ACTIONS(1641),
    [sym__bang_custom] = ACTIONS(387),
    [sym__custom_operator] = ACTIONS(335),
  },
  [389] = {
    [sym_simple_identifier] = STATE(2315),
    [sym__contextual_simple_identifier] = STATE(2218),
    [sym__basic_literal] = STATE(1274),
    [sym_boolean_literal] = STATE(1274),
    [sym__string_literal] = STATE(1274),
    [sym_line_string_literal] = STATE(1274),
    [sym_multi_line_string_literal] = STATE(1274),
    [sym_raw_string_literal] = STATE(1274),
    [sym_regex_literal] = STATE(1274),
    [sym__multiline_regex_literal] = STATE(2574),
    [sym_user_type] = STATE(5528),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5528),
    [sym_dictionary_type] = STATE(5528),
    [sym__expression] = STATE(1274),
    [sym__unary_expression] = STATE(1274),
    [sym_postfix_expression] = STATE(1274),
    [sym_constructor_expression] = STATE(1274),
    [sym__parenthesized_type] = STATE(6484),
    [sym_navigation_expression] = STATE(1274),
    [sym__navigable_type_expression] = STATE(6485),
    [sym_open_start_range_expression] = STATE(1274),
    [sym__range_operator] = STATE(483),
    [sym_open_end_range_expression] = STATE(1274),
    [sym_prefix_expression] = STATE(1274),
    [sym_as_expression] = STATE(1274),
    [sym_selector_expression] = STATE(1274),
    [sym__binary_expression] = STATE(1274),
    [sym_multiplicative_expression] = STATE(1274),
    [sym_additive_expression] = STATE(1274),
    [sym_range_expression] = STATE(1274),
    [sym_infix_expression] = STATE(1274),
    [sym_nil_coalescing_expression] = STATE(1274),
    [sym_check_expression] = STATE(1274),
    [sym_comparison_expression] = STATE(1274),
    [sym_equality_expression] = STATE(1274),
    [sym_conjunction_expression] = STATE(1274),
    [sym_disjunction_expression] = STATE(1274),
    [sym_bitwise_operation] = STATE(1274),
    [sym_custom_operator] = STATE(865),
    [sym_try_expression] = STATE(1274),
    [sym_await_expression] = STATE(1274),
    [sym__await_operator] = STATE(485),
    [sym_ternary_expression] = STATE(1274),
    [sym__expr_hack_at_ternary_binary_suffix] = STATE(2582),
    [sym_expr_hack_at_ternary_binary_call] = STATE(2582),
    [sym_call_expression] = STATE(1274),
    [sym__primary_expression] = STATE(1274),
    [sym_tuple_expression] = STATE(1274),
    [sym_array_literal] = STATE(1274),
    [sym_dictionary_literal] = STATE(1274),
    [sym__special_literal] = STATE(1274),
    [sym__playground_literal] = STATE(1274),
    [sym_lambda_literal] = STATE(1274),
    [sym_self_expression] = STATE(1274),
    [sym_super_expression] = STATE(1274),
    [sym_if_statement] = STATE(1274),
    [sym_switch_statement] = STATE(1274),
    [sym_key_path_expression] = STATE(1274),
    [sym_key_path_string_expression] = STATE(1274),
    [sym_try_operator] = STATE(491),
    [sym__assignment_and_operator] = STATE(1274),
    [sym__equality_operator] = STATE(1274),
    [sym__comparison_operator] = STATE(1274),
    [sym__three_dot_operator] = STATE(859),
    [sym__open_ended_range_operator] = STATE(483),
    [sym__additive_operator] = STATE(1274),
    [sym__multiplicative_operator] = STATE(1274),
    [sym__prefix_unary_operator] = STATE(497),
    [sym_directly_assignable_expression] = STATE(5531),
    [sym_assignment] = STATE(1274),
    [sym_value_parameter_pack] = STATE(1274),
    [sym_value_pack_expansion] = STATE(1274),
    [sym__referenceable_operator] = STATE(1274),
    [sym__equal_sign] = STATE(1274),
    [sym__eq_eq] = STATE(1274),
    [sym__dot] = STATE(497),
    [sym_bang] = STATE(865),
    [sym__parameter_ownership_modifier] = STATE(2218),
    [aux_sym_raw_string_literal_repeat1] = STATE(6575),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(1227),
    [aux_sym_simple_identifier_token2] = ACTIONS(1229),
    [aux_sym_simple_identifier_token3] = ACTIONS(1229),
    [aux_sym_simple_identifier_token4] = ACTIONS(1229),
    [anon_sym_actor] = ACTIONS(1227),
    [anon_sym_async] = ACTIONS(1227),
    [anon_sym_each] = ACTIONS(1231),
    [anon_sym_lazy] = ACTIONS(1227),
    [anon_sym_repeat] = ACTIONS(1233),
    [anon_sym_package] = ACTIONS(1227),
    [anon_sym_nil] = ACTIONS(1717),
    [sym_real_literal] = ACTIONS(1719),
    [sym_integer_literal] = ACTIONS(1717),
    [sym_hex_literal] = ACTIONS(1719),
    [sym_oct_literal] = ACTIONS(1719),
    [sym_bin_literal] = ACTIONS(1719),
    [anon_sym_true] = ACTIONS(1239),
    [anon_sym_false] = ACTIONS(1239),
    [anon_sym_DQUOTE] = ACTIONS(1241),
    [anon_sym_BSLASH] = ACTIONS(1243),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1245),
    [sym__extended_regex_literal] = ACTIONS(1247),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(1249),
    [sym__oneline_regex_literal] = ACTIONS(1251),
    [anon_sym_LPAREN] = ACTIONS(1253),
    [anon_sym_LBRACK] = ACTIONS(1255),
    [anon_sym_AMP] = ACTIONS(1257),
    [anon_sym_if] = ACTIONS(1259),
    [anon_sym_switch] = ACTIONS(1261),
    [anon_sym_POUNDselector] = ACTIONS(1263),
    [aux_sym_custom_operator_token1] = ACTIONS(1265),
    [anon_sym_LT] = ACTIONS(1717),
    [anon_sym_GT] = ACTIONS(1717),
    [anon_sym_await] = ACTIONS(1267),
    [anon_sym_POUNDfile] = ACTIONS(1717),
    [anon_sym_POUNDfileID] = ACTIONS(1719),
    [anon_sym_POUNDfilePath] = ACTIONS(1719),
    [anon_sym_POUNDline] = ACTIONS(1719),
    [anon_sym_POUNDcolumn] = ACTIONS(1719),
    [anon_sym_POUNDfunction] = ACTIONS(1719),
    [anon_sym_POUNDdsohandle] = ACTIONS(1719),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(1269),
    [anon_sym_POUNDfileLiteral] = ACTIONS(1269),
    [anon_sym_POUNDimageLiteral] = ACTIONS(1269),
    [anon_sym_LBRACE] = ACTIONS(1271),
    [anon_sym_CARET_LBRACE] = ACTIONS(1271),
    [anon_sym_self] = ACTIONS(1273),
    [anon_sym_super] = ACTIONS(1275),
    [anon_sym_POUNDkeyPath] = ACTIONS(1277),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1719),
    [anon_sym_DASH_EQ] = ACTIONS(1719),
    [anon_sym_STAR_EQ] = ACTIONS(1719),
    [anon_sym_SLASH_EQ] = ACTIONS(1719),
    [anon_sym_PERCENT_EQ] = ACTIONS(1719),
    [anon_sym_BANG_EQ] = ACTIONS(1717),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1719),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1719),
    [anon_sym_LT_EQ] = ACTIONS(1719),
    [anon_sym_GT_EQ] = ACTIONS(1719),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1279),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1281),
    [anon_sym_PLUS] = ACTIONS(1283),
    [anon_sym_DASH] = ACTIONS(1283),
    [anon_sym_STAR] = ACTIONS(1717),
    [anon_sym_SLASH] = ACTIONS(1717),
    [anon_sym_PERCENT] = ACTIONS(1717),
    [anon_sym_PLUS_PLUS] = ACTIONS(1257),
    [anon_sym_DASH_DASH] = ACTIONS(1257),
    [anon_sym_TILDE] = ACTIONS(1257),
    [anon_sym_PIPE] = ACTIONS(1719),
    [anon_sym_CARET] = ACTIONS(1717),
    [anon_sym_LT_LT] = ACTIONS(1719),
    [anon_sym_GT_GT] = ACTIONS(1719),
    [anon_sym_BANG2] = ACTIONS(1285),
    [anon_sym_borrowing] = ACTIONS(1227),
    [anon_sym_consuming] = ACTIONS(1227),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(1287),
    [sym__dot_custom] = ACTIONS(1289),
    [sym__eq_custom] = ACTIONS(1719),
    [sym__eq_eq_custom] = ACTIONS(1719),
    [sym__plus_then_ws] = ACTIONS(1719),
    [sym__minus_then_ws] = ACTIONS(1719),
    [sym__bang_custom] = ACTIONS(1291),
    [sym__custom_operator] = ACTIONS(1265),
  },
  [390] = {
    [sym_simple_identifier] = STATE(2936),
    [sym__contextual_simple_identifier] = STATE(2558),
    [sym__basic_literal] = STATE(1346),
    [sym_boolean_literal] = STATE(1346),
    [sym__string_literal] = STATE(1346),
    [sym_line_string_literal] = STATE(1346),
    [sym_multi_line_string_literal] = STATE(1346),
    [sym_raw_string_literal] = STATE(1346),
    [sym_regex_literal] = STATE(1346),
    [sym__multiline_regex_literal] = STATE(3141),
    [sym_user_type] = STATE(5448),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5448),
    [sym_dictionary_type] = STATE(5448),
    [sym__expression] = STATE(1346),
    [sym__unary_expression] = STATE(1346),
    [sym_postfix_expression] = STATE(1346),
    [sym_constructor_expression] = STATE(1346),
    [sym__parenthesized_type] = STATE(6984),
    [sym_navigation_expression] = STATE(1346),
    [sym__navigable_type_expression] = STATE(6994),
    [sym_open_start_range_expression] = STATE(1346),
    [sym__range_operator] = STATE(488),
    [sym_open_end_range_expression] = STATE(1346),
    [sym_prefix_expression] = STATE(1346),
    [sym_as_expression] = STATE(1346),
    [sym_selector_expression] = STATE(1346),
    [sym__binary_expression] = STATE(1346),
    [sym_multiplicative_expression] = STATE(1346),
    [sym_additive_expression] = STATE(1346),
    [sym_range_expression] = STATE(1346),
    [sym_infix_expression] = STATE(1346),
    [sym_nil_coalescing_expression] = STATE(1346),
    [sym_check_expression] = STATE(1346),
    [sym_comparison_expression] = STATE(1346),
    [sym_equality_expression] = STATE(1346),
    [sym_conjunction_expression] = STATE(1346),
    [sym_disjunction_expression] = STATE(1346),
    [sym_bitwise_operation] = STATE(1346),
    [sym_custom_operator] = STATE(902),
    [sym_try_expression] = STATE(1346),
    [sym_await_expression] = STATE(1346),
    [sym__await_operator] = STATE(498),
    [sym_ternary_expression] = STATE(1346),
    [sym__expr_hack_at_ternary_binary_suffix] = STATE(3062),
    [sym_expr_hack_at_ternary_binary_call] = STATE(3062),
    [sym_call_expression] = STATE(1346),
    [sym__primary_expression] = STATE(1346),
    [sym_tuple_expression] = STATE(1346),
    [sym_array_literal] = STATE(1346),
    [sym_dictionary_literal] = STATE(1346),
    [sym__special_literal] = STATE(1346),
    [sym__playground_literal] = STATE(1346),
    [sym_lambda_literal] = STATE(1346),
    [sym_self_expression] = STATE(1346),
    [sym_super_expression] = STATE(1346),
    [sym_if_statement] = STATE(1346),
    [sym_switch_statement] = STATE(1346),
    [sym_key_path_expression] = STATE(1346),
    [sym_key_path_string_expression] = STATE(1346),
    [sym_try_operator] = STATE(501),
    [sym__assignment_and_operator] = STATE(1346),
    [sym__equality_operator] = STATE(1346),
    [sym__comparison_operator] = STATE(1346),
    [sym__three_dot_operator] = STATE(900),
    [sym__open_ended_range_operator] = STATE(488),
    [sym__additive_operator] = STATE(1346),
    [sym__multiplicative_operator] = STATE(1346),
    [sym__prefix_unary_operator] = STATE(505),
    [sym_directly_assignable_expression] = STATE(5447),
    [sym_assignment] = STATE(1346),
    [sym_value_parameter_pack] = STATE(1346),
    [sym_value_pack_expansion] = STATE(1346),
    [sym__referenceable_operator] = STATE(1346),
    [sym__equal_sign] = STATE(1346),
    [sym__eq_eq] = STATE(1346),
    [sym__dot] = STATE(505),
    [sym_bang] = STATE(902),
    [sym__parameter_ownership_modifier] = STATE(2558),
    [aux_sym_raw_string_literal_repeat1] = STATE(7003),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(1147),
    [aux_sym_simple_identifier_token2] = ACTIONS(1149),
    [aux_sym_simple_identifier_token3] = ACTIONS(1149),
    [aux_sym_simple_identifier_token4] = ACTIONS(1149),
    [anon_sym_actor] = ACTIONS(1147),
    [anon_sym_async] = ACTIONS(1147),
    [anon_sym_each] = ACTIONS(1153),
    [anon_sym_lazy] = ACTIONS(1147),
    [anon_sym_repeat] = ACTIONS(1155),
    [anon_sym_package] = ACTIONS(1147),
    [anon_sym_nil] = ACTIONS(1593),
    [sym_real_literal] = ACTIONS(1595),
    [sym_integer_literal] = ACTIONS(1593),
    [sym_hex_literal] = ACTIONS(1595),
    [sym_oct_literal] = ACTIONS(1595),
    [sym_bin_literal] = ACTIONS(1595),
    [anon_sym_true] = ACTIONS(1161),
    [anon_sym_false] = ACTIONS(1161),
    [anon_sym_DQUOTE] = ACTIONS(1163),
    [anon_sym_BSLASH] = ACTIONS(1165),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1167),
    [sym__extended_regex_literal] = ACTIONS(1169),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(1171),
    [sym__oneline_regex_literal] = ACTIONS(1173),
    [anon_sym_LPAREN] = ACTIONS(1175),
    [anon_sym_LBRACK] = ACTIONS(1177),
    [anon_sym_AMP] = ACTIONS(1179),
    [anon_sym_if] = ACTIONS(1181),
    [anon_sym_switch] = ACTIONS(1183),
    [anon_sym_POUNDselector] = ACTIONS(1185),
    [aux_sym_custom_operator_token1] = ACTIONS(1187),
    [anon_sym_LT] = ACTIONS(1593),
    [anon_sym_GT] = ACTIONS(1593),
    [anon_sym_await] = ACTIONS(1189),
    [anon_sym_POUNDfile] = ACTIONS(1593),
    [anon_sym_POUNDfileID] = ACTIONS(1595),
    [anon_sym_POUNDfilePath] = ACTIONS(1595),
    [anon_sym_POUNDline] = ACTIONS(1595),
    [anon_sym_POUNDcolumn] = ACTIONS(1595),
    [anon_sym_POUNDfunction] = ACTIONS(1595),
    [anon_sym_POUNDdsohandle] = ACTIONS(1595),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(1191),
    [anon_sym_POUNDfileLiteral] = ACTIONS(1191),
    [anon_sym_POUNDimageLiteral] = ACTIONS(1191),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_CARET_LBRACE] = ACTIONS(1193),
    [anon_sym_self] = ACTIONS(1195),
    [anon_sym_super] = ACTIONS(1197),
    [anon_sym_POUNDkeyPath] = ACTIONS(1201),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1595),
    [anon_sym_DASH_EQ] = ACTIONS(1595),
    [anon_sym_STAR_EQ] = ACTIONS(1595),
    [anon_sym_SLASH_EQ] = ACTIONS(1595),
    [anon_sym_PERCENT_EQ] = ACTIONS(1595),
    [anon_sym_BANG_EQ] = ACTIONS(1593),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1595),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1595),
    [anon_sym_LT_EQ] = ACTIONS(1595),
    [anon_sym_GT_EQ] = ACTIONS(1595),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1203),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1205),
    [anon_sym_PLUS] = ACTIONS(1207),
    [anon_sym_DASH] = ACTIONS(1207),
    [anon_sym_STAR] = ACTIONS(1593),
    [anon_sym_SLASH] = ACTIONS(1593),
    [anon_sym_PERCENT] = ACTIONS(1593),
    [anon_sym_PLUS_PLUS] = ACTIONS(1179),
    [anon_sym_DASH_DASH] = ACTIONS(1179),
    [anon_sym_TILDE] = ACTIONS(1179),
    [anon_sym_PIPE] = ACTIONS(1595),
    [anon_sym_CARET] = ACTIONS(1593),
    [anon_sym_LT_LT] = ACTIONS(1595),
    [anon_sym_GT_GT] = ACTIONS(1595),
    [anon_sym_BANG2] = ACTIONS(1211),
    [anon_sym_borrowing] = ACTIONS(1147),
    [anon_sym_consuming] = ACTIONS(1147),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(1213),
    [sym__dot_custom] = ACTIONS(1215),
    [sym__eq_custom] = ACTIONS(1595),
    [sym__eq_eq_custom] = ACTIONS(1595),
    [sym__plus_then_ws] = ACTIONS(1595),
    [sym__minus_then_ws] = ACTIONS(1595),
    [sym__bang_custom] = ACTIONS(1217),
    [sym__custom_operator] = ACTIONS(1187),
  },
  [391] = {
    [sym_simple_identifier] = STATE(2573),
    [sym__contextual_simple_identifier] = STATE(2374),
    [sym__basic_literal] = STATE(1418),
    [sym_boolean_literal] = STATE(1418),
    [sym__string_literal] = STATE(1418),
    [sym_line_string_literal] = STATE(1418),
    [sym_multi_line_string_literal] = STATE(1418),
    [sym_raw_string_literal] = STATE(1418),
    [sym_regex_literal] = STATE(1418),
    [sym__multiline_regex_literal] = STATE(2929),
    [sym_user_type] = STATE(5443),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5443),
    [sym_dictionary_type] = STATE(5443),
    [sym__expression] = STATE(1418),
    [sym__unary_expression] = STATE(1418),
    [sym_postfix_expression] = STATE(1418),
    [sym_constructor_expression] = STATE(1418),
    [sym__parenthesized_type] = STATE(7012),
    [sym_navigation_expression] = STATE(1418),
    [sym__navigable_type_expression] = STATE(7009),
    [sym_open_start_range_expression] = STATE(1418),
    [sym__range_operator] = STATE(557),
    [sym_open_end_range_expression] = STATE(1418),
    [sym_prefix_expression] = STATE(1418),
    [sym_as_expression] = STATE(1418),
    [sym_selector_expression] = STATE(1418),
    [sym__binary_expression] = STATE(1418),
    [sym_multiplicative_expression] = STATE(1418),
    [sym_additive_expression] = STATE(1418),
    [sym_range_expression] = STATE(1418),
    [sym_infix_expression] = STATE(1418),
    [sym_nil_coalescing_expression] = STATE(1418),
    [sym_check_expression] = STATE(1418),
    [sym_comparison_expression] = STATE(1418),
    [sym_equality_expression] = STATE(1418),
    [sym_conjunction_expression] = STATE(1418),
    [sym_disjunction_expression] = STATE(1418),
    [sym_bitwise_operation] = STATE(1418),
    [sym_custom_operator] = STATE(878),
    [sym_try_expression] = STATE(1418),
    [sym_await_expression] = STATE(1418),
    [sym__await_operator] = STATE(564),
    [sym_ternary_expression] = STATE(1418),
    [sym_call_expression] = STATE(1418),
    [sym__primary_expression] = STATE(1418),
    [sym_tuple_expression] = STATE(1418),
    [sym_array_literal] = STATE(1418),
    [sym_dictionary_literal] = STATE(1418),
    [sym__special_literal] = STATE(1418),
    [sym__playground_literal] = STATE(1418),
    [sym_lambda_literal] = STATE(1418),
    [sym_self_expression] = STATE(1418),
    [sym_super_expression] = STATE(1418),
    [sym_if_statement] = STATE(1418),
    [sym_switch_statement] = STATE(1418),
    [sym_key_path_expression] = STATE(1418),
    [sym_key_path_string_expression] = STATE(1418),
    [sym_try_operator] = STATE(451),
    [sym__assignment_and_operator] = STATE(1418),
    [sym__equality_operator] = STATE(1418),
    [sym__comparison_operator] = STATE(1418),
    [sym__three_dot_operator] = STATE(884),
    [sym__open_ended_range_operator] = STATE(557),
    [sym__additive_operator] = STATE(1418),
    [sym__multiplicative_operator] = STATE(1418),
    [sym__prefix_unary_operator] = STATE(471),
    [sym_directly_assignable_expression] = STATE(5445),
    [sym__for_statement_collection] = STATE(6170),
    [sym_for_statement_await] = STATE(6170),
    [sym_assignment] = STATE(1418),
    [sym_value_parameter_pack] = STATE(1418),
    [sym_value_pack_expansion] = STATE(1418),
    [sym__referenceable_operator] = STATE(1418),
    [sym__equal_sign] = STATE(1418),
    [sym__eq_eq] = STATE(1418),
    [sym__dot] = STATE(471),
    [sym_bang] = STATE(878),
    [sym__parameter_ownership_modifier] = STATE(2374),
    [aux_sym_raw_string_literal_repeat1] = STATE(7006),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(1037),
    [aux_sym_simple_identifier_token2] = ACTIONS(1039),
    [aux_sym_simple_identifier_token3] = ACTIONS(1039),
    [aux_sym_simple_identifier_token4] = ACTIONS(1039),
    [anon_sym_actor] = ACTIONS(1037),
    [anon_sym_async] = ACTIONS(1037),
    [anon_sym_each] = ACTIONS(1041),
    [anon_sym_lazy] = ACTIONS(1037),
    [anon_sym_repeat] = ACTIONS(1043),
    [anon_sym_package] = ACTIONS(1037),
    [anon_sym_nil] = ACTIONS(1605),
    [sym_real_literal] = ACTIONS(1607),
    [sym_integer_literal] = ACTIONS(1605),
    [sym_hex_literal] = ACTIONS(1607),
    [sym_oct_literal] = ACTIONS(1607),
    [sym_bin_literal] = ACTIONS(1607),
    [anon_sym_true] = ACTIONS(1049),
    [anon_sym_false] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_BSLASH] = ACTIONS(1053),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1055),
    [sym__extended_regex_literal] = ACTIONS(1057),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(1059),
    [sym__oneline_regex_literal] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_LBRACK] = ACTIONS(1065),
    [anon_sym_AMP] = ACTIONS(1067),
    [anon_sym_if] = ACTIONS(1069),
    [anon_sym_switch] = ACTIONS(1071),
    [anon_sym_POUNDselector] = ACTIONS(1073),
    [aux_sym_custom_operator_token1] = ACTIONS(1075),
    [anon_sym_LT] = ACTIONS(1605),
    [anon_sym_GT] = ACTIONS(1605),
    [anon_sym_await] = ACTIONS(1609),
    [anon_sym_POUNDfile] = ACTIONS(1605),
    [anon_sym_POUNDfileID] = ACTIONS(1607),
    [anon_sym_POUNDfilePath] = ACTIONS(1607),
    [anon_sym_POUNDline] = ACTIONS(1607),
    [anon_sym_POUNDcolumn] = ACTIONS(1607),
    [anon_sym_POUNDfunction] = ACTIONS(1607),
    [anon_sym_POUNDdsohandle] = ACTIONS(1607),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(1079),
    [anon_sym_POUNDfileLiteral] = ACTIONS(1079),
    [anon_sym_POUNDimageLiteral] = ACTIONS(1079),
    [anon_sym_LBRACE] = ACTIONS(1081),
    [anon_sym_CARET_LBRACE] = ACTIONS(1081),
    [anon_sym_self] = ACTIONS(1083),
    [anon_sym_super] = ACTIONS(1085),
    [anon_sym_POUNDkeyPath] = ACTIONS(1089),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1607),
    [anon_sym_DASH_EQ] = ACTIONS(1607),
    [anon_sym_STAR_EQ] = ACTIONS(1607),
    [anon_sym_SLASH_EQ] = ACTIONS(1607),
    [anon_sym_PERCENT_EQ] = ACTIONS(1607),
    [anon_sym_BANG_EQ] = ACTIONS(1605),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1607),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1607),
    [anon_sym_LT_EQ] = ACTIONS(1607),
    [anon_sym_GT_EQ] = ACTIONS(1607),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1093),
    [anon_sym_PLUS] = ACTIONS(1097),
    [anon_sym_DASH] = ACTIONS(1097),
    [anon_sym_STAR] = ACTIONS(1605),
    [anon_sym_SLASH] = ACTIONS(1605),
    [anon_sym_PERCENT] = ACTIONS(1605),
    [anon_sym_PLUS_PLUS] = ACTIONS(1067),
    [anon_sym_DASH_DASH] = ACTIONS(1067),
    [anon_sym_TILDE] = ACTIONS(1067),
    [anon_sym_PIPE] = ACTIONS(1607),
    [anon_sym_CARET] = ACTIONS(1605),
    [anon_sym_LT_LT] = ACTIONS(1607),
    [anon_sym_GT_GT] = ACTIONS(1607),
    [anon_sym_BANG2] = ACTIONS(1099),
    [anon_sym_borrowing] = ACTIONS(1037),
    [anon_sym_consuming] = ACTIONS(1037),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(1103),
    [sym__dot_custom] = ACTIONS(1307),
    [sym__eq_custom] = ACTIONS(1607),
    [sym__eq_eq_custom] = ACTIONS(1607),
    [sym__plus_then_ws] = ACTIONS(1607),
    [sym__minus_then_ws] = ACTIONS(1607),
    [sym__bang_custom] = ACTIONS(1107),
    [sym__custom_operator] = ACTIONS(1075),
  },
  [392] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1441),
    [sym_boolean_literal] = STATE(1441),
    [sym__string_literal] = STATE(1441),
    [sym_line_string_literal] = STATE(1441),
    [sym_multi_line_string_literal] = STATE(1441),
    [sym_raw_string_literal] = STATE(1441),
    [sym_regex_literal] = STATE(1441),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1441),
    [sym__unary_expression] = STATE(1441),
    [sym_postfix_expression] = STATE(1441),
    [sym_constructor_expression] = STATE(1441),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1441),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1441),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1441),
    [sym_prefix_expression] = STATE(1441),
    [sym_as_expression] = STATE(1441),
    [sym_selector_expression] = STATE(1441),
    [sym__binary_expression] = STATE(1441),
    [sym_multiplicative_expression] = STATE(1441),
    [sym_additive_expression] = STATE(1441),
    [sym_range_expression] = STATE(1441),
    [sym_infix_expression] = STATE(1441),
    [sym_nil_coalescing_expression] = STATE(1441),
    [sym_check_expression] = STATE(1441),
    [sym_comparison_expression] = STATE(1441),
    [sym_equality_expression] = STATE(1441),
    [sym_conjunction_expression] = STATE(1441),
    [sym_disjunction_expression] = STATE(1441),
    [sym_bitwise_operation] = STATE(1441),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1441),
    [sym_await_expression] = STATE(1441),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1441),
    [sym_call_expression] = STATE(1441),
    [sym__primary_expression] = STATE(1441),
    [sym_tuple_expression] = STATE(1441),
    [sym_array_literal] = STATE(1441),
    [sym_dictionary_literal] = STATE(1441),
    [sym__dictionary_literal_item] = STATE(7599),
    [sym__special_literal] = STATE(1441),
    [sym__playground_literal] = STATE(1441),
    [sym_lambda_literal] = STATE(1441),
    [sym_self_expression] = STATE(1441),
    [sym_super_expression] = STATE(1441),
    [sym_if_statement] = STATE(1441),
    [sym_switch_statement] = STATE(1441),
    [sym_key_path_expression] = STATE(1441),
    [sym_key_path_string_expression] = STATE(1441),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1441),
    [sym__equality_operator] = STATE(1441),
    [sym__comparison_operator] = STATE(1441),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1441),
    [sym__multiplicative_operator] = STATE(1441),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1441),
    [sym_value_parameter_pack] = STATE(1441),
    [sym_value_pack_expansion] = STATE(1441),
    [sym__referenceable_operator] = STATE(1441),
    [sym__equal_sign] = STATE(1441),
    [sym__eq_eq] = STATE(1441),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1587),
    [sym_real_literal] = ACTIONS(1589),
    [sym_integer_literal] = ACTIONS(1587),
    [sym_hex_literal] = ACTIONS(1589),
    [sym_oct_literal] = ACTIONS(1589),
    [sym_bin_literal] = ACTIONS(1589),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_RBRACK] = ACTIONS(1721),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1587),
    [anon_sym_GT] = ACTIONS(1587),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1587),
    [anon_sym_POUNDfileID] = ACTIONS(1589),
    [anon_sym_POUNDfilePath] = ACTIONS(1589),
    [anon_sym_POUNDline] = ACTIONS(1589),
    [anon_sym_POUNDcolumn] = ACTIONS(1589),
    [anon_sym_POUNDfunction] = ACTIONS(1589),
    [anon_sym_POUNDdsohandle] = ACTIONS(1589),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1589),
    [anon_sym_DASH_EQ] = ACTIONS(1589),
    [anon_sym_STAR_EQ] = ACTIONS(1589),
    [anon_sym_SLASH_EQ] = ACTIONS(1589),
    [anon_sym_PERCENT_EQ] = ACTIONS(1589),
    [anon_sym_BANG_EQ] = ACTIONS(1587),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1589),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1589),
    [anon_sym_LT_EQ] = ACTIONS(1589),
    [anon_sym_GT_EQ] = ACTIONS(1589),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1587),
    [anon_sym_SLASH] = ACTIONS(1587),
    [anon_sym_PERCENT] = ACTIONS(1587),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1589),
    [anon_sym_CARET] = ACTIONS(1587),
    [anon_sym_LT_LT] = ACTIONS(1589),
    [anon_sym_GT_GT] = ACTIONS(1589),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1589),
    [sym__eq_eq_custom] = ACTIONS(1589),
    [sym__plus_then_ws] = ACTIONS(1589),
    [sym__minus_then_ws] = ACTIONS(1589),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [393] = {
    [sym_simple_identifier] = STATE(2936),
    [sym__contextual_simple_identifier] = STATE(2558),
    [sym__basic_literal] = STATE(1346),
    [sym_boolean_literal] = STATE(1346),
    [sym__string_literal] = STATE(1346),
    [sym_line_string_literal] = STATE(1346),
    [sym_multi_line_string_literal] = STATE(1346),
    [sym_raw_string_literal] = STATE(1346),
    [sym_regex_literal] = STATE(1346),
    [sym__multiline_regex_literal] = STATE(3141),
    [sym_user_type] = STATE(5448),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5448),
    [sym_dictionary_type] = STATE(5448),
    [sym__expression] = STATE(1346),
    [sym__unary_expression] = STATE(1346),
    [sym_postfix_expression] = STATE(1346),
    [sym_constructor_expression] = STATE(1346),
    [sym__parenthesized_type] = STATE(6984),
    [sym_navigation_expression] = STATE(1346),
    [sym__navigable_type_expression] = STATE(6994),
    [sym_open_start_range_expression] = STATE(1346),
    [sym__range_operator] = STATE(488),
    [sym_open_end_range_expression] = STATE(1346),
    [sym_prefix_expression] = STATE(1346),
    [sym_as_expression] = STATE(1346),
    [sym_selector_expression] = STATE(1346),
    [sym__binary_expression] = STATE(1346),
    [sym_multiplicative_expression] = STATE(1346),
    [sym_additive_expression] = STATE(1346),
    [sym_range_expression] = STATE(1346),
    [sym_infix_expression] = STATE(1346),
    [sym_nil_coalescing_expression] = STATE(1346),
    [sym_check_expression] = STATE(1346),
    [sym_comparison_expression] = STATE(1346),
    [sym_equality_expression] = STATE(1346),
    [sym_conjunction_expression] = STATE(1346),
    [sym_disjunction_expression] = STATE(1346),
    [sym_bitwise_operation] = STATE(1346),
    [sym_custom_operator] = STATE(902),
    [sym_try_expression] = STATE(1346),
    [sym_await_expression] = STATE(1346),
    [sym__await_operator] = STATE(498),
    [sym_ternary_expression] = STATE(1346),
    [sym__expr_hack_at_ternary_binary_suffix] = STATE(3059),
    [sym_expr_hack_at_ternary_binary_call] = STATE(3059),
    [sym_call_expression] = STATE(1346),
    [sym__primary_expression] = STATE(1346),
    [sym_tuple_expression] = STATE(1346),
    [sym_array_literal] = STATE(1346),
    [sym_dictionary_literal] = STATE(1346),
    [sym__special_literal] = STATE(1346),
    [sym__playground_literal] = STATE(1346),
    [sym_lambda_literal] = STATE(1346),
    [sym_self_expression] = STATE(1346),
    [sym_super_expression] = STATE(1346),
    [sym_if_statement] = STATE(1346),
    [sym_switch_statement] = STATE(1346),
    [sym_key_path_expression] = STATE(1346),
    [sym_key_path_string_expression] = STATE(1346),
    [sym_try_operator] = STATE(501),
    [sym__assignment_and_operator] = STATE(1346),
    [sym__equality_operator] = STATE(1346),
    [sym__comparison_operator] = STATE(1346),
    [sym__three_dot_operator] = STATE(900),
    [sym__open_ended_range_operator] = STATE(488),
    [sym__additive_operator] = STATE(1346),
    [sym__multiplicative_operator] = STATE(1346),
    [sym__prefix_unary_operator] = STATE(505),
    [sym_directly_assignable_expression] = STATE(5447),
    [sym_assignment] = STATE(1346),
    [sym_value_parameter_pack] = STATE(1346),
    [sym_value_pack_expansion] = STATE(1346),
    [sym__referenceable_operator] = STATE(1346),
    [sym__equal_sign] = STATE(1346),
    [sym__eq_eq] = STATE(1346),
    [sym__dot] = STATE(505),
    [sym_bang] = STATE(902),
    [sym__parameter_ownership_modifier] = STATE(2558),
    [aux_sym_raw_string_literal_repeat1] = STATE(7003),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(1147),
    [aux_sym_simple_identifier_token2] = ACTIONS(1149),
    [aux_sym_simple_identifier_token3] = ACTIONS(1149),
    [aux_sym_simple_identifier_token4] = ACTIONS(1149),
    [anon_sym_actor] = ACTIONS(1147),
    [anon_sym_async] = ACTIONS(1147),
    [anon_sym_each] = ACTIONS(1153),
    [anon_sym_lazy] = ACTIONS(1147),
    [anon_sym_repeat] = ACTIONS(1155),
    [anon_sym_package] = ACTIONS(1147),
    [anon_sym_nil] = ACTIONS(1593),
    [sym_real_literal] = ACTIONS(1595),
    [sym_integer_literal] = ACTIONS(1593),
    [sym_hex_literal] = ACTIONS(1595),
    [sym_oct_literal] = ACTIONS(1595),
    [sym_bin_literal] = ACTIONS(1595),
    [anon_sym_true] = ACTIONS(1161),
    [anon_sym_false] = ACTIONS(1161),
    [anon_sym_DQUOTE] = ACTIONS(1163),
    [anon_sym_BSLASH] = ACTIONS(1165),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1167),
    [sym__extended_regex_literal] = ACTIONS(1169),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(1171),
    [sym__oneline_regex_literal] = ACTIONS(1173),
    [anon_sym_LPAREN] = ACTIONS(1175),
    [anon_sym_LBRACK] = ACTIONS(1177),
    [anon_sym_AMP] = ACTIONS(1179),
    [anon_sym_if] = ACTIONS(1181),
    [anon_sym_switch] = ACTIONS(1183),
    [anon_sym_POUNDselector] = ACTIONS(1185),
    [aux_sym_custom_operator_token1] = ACTIONS(1187),
    [anon_sym_LT] = ACTIONS(1593),
    [anon_sym_GT] = ACTIONS(1593),
    [anon_sym_await] = ACTIONS(1189),
    [anon_sym_POUNDfile] = ACTIONS(1593),
    [anon_sym_POUNDfileID] = ACTIONS(1595),
    [anon_sym_POUNDfilePath] = ACTIONS(1595),
    [anon_sym_POUNDline] = ACTIONS(1595),
    [anon_sym_POUNDcolumn] = ACTIONS(1595),
    [anon_sym_POUNDfunction] = ACTIONS(1595),
    [anon_sym_POUNDdsohandle] = ACTIONS(1595),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(1191),
    [anon_sym_POUNDfileLiteral] = ACTIONS(1191),
    [anon_sym_POUNDimageLiteral] = ACTIONS(1191),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_CARET_LBRACE] = ACTIONS(1193),
    [anon_sym_self] = ACTIONS(1195),
    [anon_sym_super] = ACTIONS(1197),
    [anon_sym_POUNDkeyPath] = ACTIONS(1201),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1595),
    [anon_sym_DASH_EQ] = ACTIONS(1595),
    [anon_sym_STAR_EQ] = ACTIONS(1595),
    [anon_sym_SLASH_EQ] = ACTIONS(1595),
    [anon_sym_PERCENT_EQ] = ACTIONS(1595),
    [anon_sym_BANG_EQ] = ACTIONS(1593),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1595),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1595),
    [anon_sym_LT_EQ] = ACTIONS(1595),
    [anon_sym_GT_EQ] = ACTIONS(1595),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1203),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1205),
    [anon_sym_PLUS] = ACTIONS(1207),
    [anon_sym_DASH] = ACTIONS(1207),
    [anon_sym_STAR] = ACTIONS(1593),
    [anon_sym_SLASH] = ACTIONS(1593),
    [anon_sym_PERCENT] = ACTIONS(1593),
    [anon_sym_PLUS_PLUS] = ACTIONS(1179),
    [anon_sym_DASH_DASH] = ACTIONS(1179),
    [anon_sym_TILDE] = ACTIONS(1179),
    [anon_sym_PIPE] = ACTIONS(1595),
    [anon_sym_CARET] = ACTIONS(1593),
    [anon_sym_LT_LT] = ACTIONS(1595),
    [anon_sym_GT_GT] = ACTIONS(1595),
    [anon_sym_BANG2] = ACTIONS(1211),
    [anon_sym_borrowing] = ACTIONS(1147),
    [anon_sym_consuming] = ACTIONS(1147),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(1213),
    [sym__dot_custom] = ACTIONS(1215),
    [sym__eq_custom] = ACTIONS(1595),
    [sym__eq_eq_custom] = ACTIONS(1595),
    [sym__plus_then_ws] = ACTIONS(1595),
    [sym__minus_then_ws] = ACTIONS(1595),
    [sym__bang_custom] = ACTIONS(1217),
    [sym__custom_operator] = ACTIONS(1187),
  },
  [394] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1437),
    [sym_boolean_literal] = STATE(1437),
    [sym__string_literal] = STATE(1437),
    [sym_line_string_literal] = STATE(1437),
    [sym_multi_line_string_literal] = STATE(1437),
    [sym_raw_string_literal] = STATE(1437),
    [sym_regex_literal] = STATE(1437),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1437),
    [sym__unary_expression] = STATE(1437),
    [sym_postfix_expression] = STATE(1437),
    [sym_constructor_expression] = STATE(1437),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1437),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1437),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1437),
    [sym_prefix_expression] = STATE(1437),
    [sym_as_expression] = STATE(1437),
    [sym_selector_expression] = STATE(1437),
    [sym__binary_expression] = STATE(1437),
    [sym_multiplicative_expression] = STATE(1437),
    [sym_additive_expression] = STATE(1437),
    [sym_range_expression] = STATE(1437),
    [sym_infix_expression] = STATE(1437),
    [sym_nil_coalescing_expression] = STATE(1437),
    [sym_check_expression] = STATE(1437),
    [sym_comparison_expression] = STATE(1437),
    [sym_equality_expression] = STATE(1437),
    [sym_conjunction_expression] = STATE(1437),
    [sym_disjunction_expression] = STATE(1437),
    [sym_bitwise_operation] = STATE(1437),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1437),
    [sym_await_expression] = STATE(1437),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1437),
    [sym_call_expression] = STATE(1437),
    [sym__primary_expression] = STATE(1437),
    [sym_tuple_expression] = STATE(1437),
    [sym_array_literal] = STATE(1437),
    [sym_dictionary_literal] = STATE(1437),
    [sym__special_literal] = STATE(1437),
    [sym__playground_literal] = STATE(1437),
    [sym_lambda_literal] = STATE(1437),
    [sym_self_expression] = STATE(1437),
    [sym_super_expression] = STATE(1437),
    [sym_if_statement] = STATE(1437),
    [sym_switch_statement] = STATE(1437),
    [sym_key_path_expression] = STATE(1437),
    [sym_key_path_string_expression] = STATE(1437),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1437),
    [sym__equality_operator] = STATE(1437),
    [sym__comparison_operator] = STATE(1437),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1437),
    [sym__multiplicative_operator] = STATE(1437),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1437),
    [sym_value_parameter_pack] = STATE(1437),
    [sym_value_pack_expansion] = STATE(1437),
    [sym__referenceable_operator] = STATE(1437),
    [sym__equal_sign] = STATE(1437),
    [sym__eq_eq] = STATE(1437),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1723),
    [sym_real_literal] = ACTIONS(1725),
    [sym_integer_literal] = ACTIONS(1723),
    [sym_hex_literal] = ACTIONS(1725),
    [sym_oct_literal] = ACTIONS(1725),
    [sym_bin_literal] = ACTIONS(1725),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [anon_sym_getter_COLON] = ACTIONS(1727),
    [anon_sym_setter_COLON] = ACTIONS(1727),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1723),
    [anon_sym_GT] = ACTIONS(1723),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1723),
    [anon_sym_POUNDfileID] = ACTIONS(1725),
    [anon_sym_POUNDfilePath] = ACTIONS(1725),
    [anon_sym_POUNDline] = ACTIONS(1725),
    [anon_sym_POUNDcolumn] = ACTIONS(1725),
    [anon_sym_POUNDfunction] = ACTIONS(1725),
    [anon_sym_POUNDdsohandle] = ACTIONS(1725),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1725),
    [anon_sym_DASH_EQ] = ACTIONS(1725),
    [anon_sym_STAR_EQ] = ACTIONS(1725),
    [anon_sym_SLASH_EQ] = ACTIONS(1725),
    [anon_sym_PERCENT_EQ] = ACTIONS(1725),
    [anon_sym_BANG_EQ] = ACTIONS(1723),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1725),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1725),
    [anon_sym_LT_EQ] = ACTIONS(1725),
    [anon_sym_GT_EQ] = ACTIONS(1725),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1723),
    [anon_sym_SLASH] = ACTIONS(1723),
    [anon_sym_PERCENT] = ACTIONS(1723),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1725),
    [anon_sym_CARET] = ACTIONS(1723),
    [anon_sym_LT_LT] = ACTIONS(1725),
    [anon_sym_GT_GT] = ACTIONS(1725),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1725),
    [sym__eq_eq_custom] = ACTIONS(1725),
    [sym__plus_then_ws] = ACTIONS(1725),
    [sym__minus_then_ws] = ACTIONS(1725),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [395] = {
    [sym_simple_identifier] = STATE(2498),
    [sym__contextual_simple_identifier] = STATE(2439),
    [sym__basic_literal] = STATE(1305),
    [sym_boolean_literal] = STATE(1305),
    [sym__string_literal] = STATE(1305),
    [sym_line_string_literal] = STATE(1305),
    [sym_multi_line_string_literal] = STATE(1305),
    [sym_raw_string_literal] = STATE(1305),
    [sym_regex_literal] = STATE(1305),
    [sym__multiline_regex_literal] = STATE(2683),
    [sym_user_type] = STATE(5473),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5473),
    [sym_dictionary_type] = STATE(5473),
    [sym__expression] = STATE(1305),
    [sym__unary_expression] = STATE(1305),
    [sym_postfix_expression] = STATE(1305),
    [sym_constructor_expression] = STATE(1305),
    [sym__parenthesized_type] = STATE(6860),
    [sym_navigation_expression] = STATE(1305),
    [sym__navigable_type_expression] = STATE(6859),
    [sym_open_start_range_expression] = STATE(1305),
    [sym__range_operator] = STATE(601),
    [sym_open_end_range_expression] = STATE(1305),
    [sym_prefix_expression] = STATE(1305),
    [sym_as_expression] = STATE(1305),
    [sym_selector_expression] = STATE(1305),
    [sym__binary_expression] = STATE(1305),
    [sym_multiplicative_expression] = STATE(1305),
    [sym_additive_expression] = STATE(1305),
    [sym_range_expression] = STATE(1305),
    [sym_infix_expression] = STATE(1305),
    [sym_nil_coalescing_expression] = STATE(1305),
    [sym_check_expression] = STATE(1305),
    [sym_comparison_expression] = STATE(1305),
    [sym_equality_expression] = STATE(1305),
    [sym_conjunction_expression] = STATE(1305),
    [sym_disjunction_expression] = STATE(1305),
    [sym_bitwise_operation] = STATE(1305),
    [sym_custom_operator] = STATE(885),
    [sym_try_expression] = STATE(1305),
    [sym_await_expression] = STATE(1305),
    [sym__await_operator] = STATE(603),
    [sym_ternary_expression] = STATE(1305),
    [sym__expr_hack_at_ternary_binary_suffix] = STATE(2976),
    [sym_expr_hack_at_ternary_binary_call] = STATE(2976),
    [sym_call_expression] = STATE(1305),
    [sym__primary_expression] = STATE(1305),
    [sym_tuple_expression] = STATE(1305),
    [sym_array_literal] = STATE(1305),
    [sym_dictionary_literal] = STATE(1305),
    [sym__special_literal] = STATE(1305),
    [sym__playground_literal] = STATE(1305),
    [sym_lambda_literal] = STATE(1305),
    [sym_self_expression] = STATE(1305),
    [sym_super_expression] = STATE(1305),
    [sym_if_statement] = STATE(1305),
    [sym_switch_statement] = STATE(1305),
    [sym_key_path_expression] = STATE(1305),
    [sym_key_path_string_expression] = STATE(1305),
    [sym_try_operator] = STATE(598),
    [sym__assignment_and_operator] = STATE(1305),
    [sym__equality_operator] = STATE(1305),
    [sym__comparison_operator] = STATE(1305),
    [sym__three_dot_operator] = STATE(877),
    [sym__open_ended_range_operator] = STATE(601),
    [sym__additive_operator] = STATE(1305),
    [sym__multiplicative_operator] = STATE(1305),
    [sym__prefix_unary_operator] = STATE(593),
    [sym_directly_assignable_expression] = STATE(5475),
    [sym_assignment] = STATE(1305),
    [sym_value_parameter_pack] = STATE(1305),
    [sym_value_pack_expansion] = STATE(1305),
    [sym__referenceable_operator] = STATE(1305),
    [sym__equal_sign] = STATE(1305),
    [sym__eq_eq] = STATE(1305),
    [sym__dot] = STATE(593),
    [sym_bang] = STATE(885),
    [sym__parameter_ownership_modifier] = STATE(2439),
    [aux_sym_raw_string_literal_repeat1] = STATE(6858),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(1309),
    [aux_sym_simple_identifier_token2] = ACTIONS(1311),
    [aux_sym_simple_identifier_token3] = ACTIONS(1311),
    [aux_sym_simple_identifier_token4] = ACTIONS(1311),
    [anon_sym_actor] = ACTIONS(1309),
    [anon_sym_async] = ACTIONS(1309),
    [anon_sym_each] = ACTIONS(1313),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_repeat] = ACTIONS(1315),
    [anon_sym_package] = ACTIONS(1309),
    [anon_sym_nil] = ACTIONS(1661),
    [sym_real_literal] = ACTIONS(1663),
    [sym_integer_literal] = ACTIONS(1661),
    [sym_hex_literal] = ACTIONS(1663),
    [sym_oct_literal] = ACTIONS(1663),
    [sym_bin_literal] = ACTIONS(1663),
    [anon_sym_true] = ACTIONS(1321),
    [anon_sym_false] = ACTIONS(1321),
    [anon_sym_DQUOTE] = ACTIONS(1323),
    [anon_sym_BSLASH] = ACTIONS(1325),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1327),
    [sym__extended_regex_literal] = ACTIONS(1329),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(1331),
    [sym__oneline_regex_literal] = ACTIONS(1333),
    [anon_sym_LPAREN] = ACTIONS(1335),
    [anon_sym_LBRACK] = ACTIONS(1337),
    [anon_sym_AMP] = ACTIONS(1339),
    [anon_sym_if] = ACTIONS(1341),
    [anon_sym_switch] = ACTIONS(1343),
    [anon_sym_POUNDselector] = ACTIONS(1345),
    [aux_sym_custom_operator_token1] = ACTIONS(1347),
    [anon_sym_LT] = ACTIONS(1661),
    [anon_sym_GT] = ACTIONS(1661),
    [anon_sym_await] = ACTIONS(1349),
    [anon_sym_POUNDfile] = ACTIONS(1661),
    [anon_sym_POUNDfileID] = ACTIONS(1663),
    [anon_sym_POUNDfilePath] = ACTIONS(1663),
    [anon_sym_POUNDline] = ACTIONS(1663),
    [anon_sym_POUNDcolumn] = ACTIONS(1663),
    [anon_sym_POUNDfunction] = ACTIONS(1663),
    [anon_sym_POUNDdsohandle] = ACTIONS(1663),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(1351),
    [anon_sym_POUNDfileLiteral] = ACTIONS(1351),
    [anon_sym_POUNDimageLiteral] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_CARET_LBRACE] = ACTIONS(1353),
    [anon_sym_self] = ACTIONS(1355),
    [anon_sym_super] = ACTIONS(1357),
    [anon_sym_POUNDkeyPath] = ACTIONS(1359),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1663),
    [anon_sym_DASH_EQ] = ACTIONS(1663),
    [anon_sym_STAR_EQ] = ACTIONS(1663),
    [anon_sym_SLASH_EQ] = ACTIONS(1663),
    [anon_sym_PERCENT_EQ] = ACTIONS(1663),
    [anon_sym_BANG_EQ] = ACTIONS(1661),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1663),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1663),
    [anon_sym_LT_EQ] = ACTIONS(1663),
    [anon_sym_GT_EQ] = ACTIONS(1663),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1361),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1363),
    [anon_sym_PLUS] = ACTIONS(1365),
    [anon_sym_DASH] = ACTIONS(1365),
    [anon_sym_STAR] = ACTIONS(1661),
    [anon_sym_SLASH] = ACTIONS(1661),
    [anon_sym_PERCENT] = ACTIONS(1661),
    [anon_sym_PLUS_PLUS] = ACTIONS(1339),
    [anon_sym_DASH_DASH] = ACTIONS(1339),
    [anon_sym_TILDE] = ACTIONS(1339),
    [anon_sym_PIPE] = ACTIONS(1663),
    [anon_sym_CARET] = ACTIONS(1661),
    [anon_sym_LT_LT] = ACTIONS(1663),
    [anon_sym_GT_GT] = ACTIONS(1663),
    [anon_sym_BANG2] = ACTIONS(1367),
    [anon_sym_borrowing] = ACTIONS(1309),
    [anon_sym_consuming] = ACTIONS(1309),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(1369),
    [sym__dot_custom] = ACTIONS(1371),
    [sym__eq_custom] = ACTIONS(1663),
    [sym__eq_eq_custom] = ACTIONS(1663),
    [sym__plus_then_ws] = ACTIONS(1663),
    [sym__minus_then_ws] = ACTIONS(1663),
    [sym__bang_custom] = ACTIONS(1373),
    [sym__custom_operator] = ACTIONS(1347),
  },
  [396] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1441),
    [sym_boolean_literal] = STATE(1441),
    [sym__string_literal] = STATE(1441),
    [sym_line_string_literal] = STATE(1441),
    [sym_multi_line_string_literal] = STATE(1441),
    [sym_raw_string_literal] = STATE(1441),
    [sym_regex_literal] = STATE(1441),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1441),
    [sym__unary_expression] = STATE(1441),
    [sym_postfix_expression] = STATE(1441),
    [sym_constructor_expression] = STATE(1441),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1441),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1441),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1441),
    [sym_prefix_expression] = STATE(1441),
    [sym_as_expression] = STATE(1441),
    [sym_selector_expression] = STATE(1441),
    [sym__binary_expression] = STATE(1441),
    [sym_multiplicative_expression] = STATE(1441),
    [sym_additive_expression] = STATE(1441),
    [sym_range_expression] = STATE(1441),
    [sym_infix_expression] = STATE(1441),
    [sym_nil_coalescing_expression] = STATE(1441),
    [sym_check_expression] = STATE(1441),
    [sym_comparison_expression] = STATE(1441),
    [sym_equality_expression] = STATE(1441),
    [sym_conjunction_expression] = STATE(1441),
    [sym_disjunction_expression] = STATE(1441),
    [sym_bitwise_operation] = STATE(1441),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1441),
    [sym_await_expression] = STATE(1441),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1441),
    [sym_call_expression] = STATE(1441),
    [sym__primary_expression] = STATE(1441),
    [sym_tuple_expression] = STATE(1441),
    [sym_array_literal] = STATE(1441),
    [sym_dictionary_literal] = STATE(1441),
    [sym__dictionary_literal_item] = STATE(7599),
    [sym__special_literal] = STATE(1441),
    [sym__playground_literal] = STATE(1441),
    [sym_lambda_literal] = STATE(1441),
    [sym_self_expression] = STATE(1441),
    [sym_super_expression] = STATE(1441),
    [sym_if_statement] = STATE(1441),
    [sym_switch_statement] = STATE(1441),
    [sym_key_path_expression] = STATE(1441),
    [sym_key_path_string_expression] = STATE(1441),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1441),
    [sym__equality_operator] = STATE(1441),
    [sym__comparison_operator] = STATE(1441),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1441),
    [sym__multiplicative_operator] = STATE(1441),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1441),
    [sym_value_parameter_pack] = STATE(1441),
    [sym_value_pack_expansion] = STATE(1441),
    [sym__referenceable_operator] = STATE(1441),
    [sym__equal_sign] = STATE(1441),
    [sym__eq_eq] = STATE(1441),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1587),
    [sym_real_literal] = ACTIONS(1589),
    [sym_integer_literal] = ACTIONS(1587),
    [sym_hex_literal] = ACTIONS(1589),
    [sym_oct_literal] = ACTIONS(1589),
    [sym_bin_literal] = ACTIONS(1589),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_RBRACK] = ACTIONS(1729),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1587),
    [anon_sym_GT] = ACTIONS(1587),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1587),
    [anon_sym_POUNDfileID] = ACTIONS(1589),
    [anon_sym_POUNDfilePath] = ACTIONS(1589),
    [anon_sym_POUNDline] = ACTIONS(1589),
    [anon_sym_POUNDcolumn] = ACTIONS(1589),
    [anon_sym_POUNDfunction] = ACTIONS(1589),
    [anon_sym_POUNDdsohandle] = ACTIONS(1589),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1589),
    [anon_sym_DASH_EQ] = ACTIONS(1589),
    [anon_sym_STAR_EQ] = ACTIONS(1589),
    [anon_sym_SLASH_EQ] = ACTIONS(1589),
    [anon_sym_PERCENT_EQ] = ACTIONS(1589),
    [anon_sym_BANG_EQ] = ACTIONS(1587),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1589),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1589),
    [anon_sym_LT_EQ] = ACTIONS(1589),
    [anon_sym_GT_EQ] = ACTIONS(1589),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1587),
    [anon_sym_SLASH] = ACTIONS(1587),
    [anon_sym_PERCENT] = ACTIONS(1587),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1589),
    [anon_sym_CARET] = ACTIONS(1587),
    [anon_sym_LT_LT] = ACTIONS(1589),
    [anon_sym_GT_GT] = ACTIONS(1589),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1589),
    [sym__eq_eq_custom] = ACTIONS(1589),
    [sym__plus_then_ws] = ACTIONS(1589),
    [sym__minus_then_ws] = ACTIONS(1589),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [397] = {
    [sym_simple_identifier] = STATE(2276),
    [sym__contextual_simple_identifier] = STATE(2115),
    [sym__basic_literal] = STATE(1262),
    [sym_boolean_literal] = STATE(1262),
    [sym__string_literal] = STATE(1262),
    [sym_line_string_literal] = STATE(1262),
    [sym_multi_line_string_literal] = STATE(1262),
    [sym_raw_string_literal] = STATE(1262),
    [sym_regex_literal] = STATE(1262),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1262),
    [sym__unary_expression] = STATE(1262),
    [sym_postfix_expression] = STATE(1262),
    [sym_constructor_expression] = STATE(1262),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1262),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1262),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1262),
    [sym_prefix_expression] = STATE(1262),
    [sym_as_expression] = STATE(1262),
    [sym_selector_expression] = STATE(1262),
    [sym__binary_expression] = STATE(1262),
    [sym_multiplicative_expression] = STATE(1262),
    [sym_additive_expression] = STATE(1262),
    [sym_range_expression] = STATE(1262),
    [sym_infix_expression] = STATE(1262),
    [sym_nil_coalescing_expression] = STATE(1262),
    [sym_check_expression] = STATE(1262),
    [sym_comparison_expression] = STATE(1262),
    [sym_equality_expression] = STATE(1262),
    [sym_conjunction_expression] = STATE(1262),
    [sym_disjunction_expression] = STATE(1262),
    [sym_bitwise_operation] = STATE(1262),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1262),
    [sym_await_expression] = STATE(1262),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1262),
    [sym__expr_hack_at_ternary_binary_suffix] = STATE(2471),
    [sym_expr_hack_at_ternary_binary_call] = STATE(2471),
    [sym_call_expression] = STATE(1262),
    [sym__primary_expression] = STATE(1262),
    [sym_tuple_expression] = STATE(1262),
    [sym_array_literal] = STATE(1262),
    [sym_dictionary_literal] = STATE(1262),
    [sym__special_literal] = STATE(1262),
    [sym__playground_literal] = STATE(1262),
    [sym_lambda_literal] = STATE(1262),
    [sym_self_expression] = STATE(1262),
    [sym_super_expression] = STATE(1262),
    [sym_if_statement] = STATE(1262),
    [sym_switch_statement] = STATE(1262),
    [sym_key_path_expression] = STATE(1262),
    [sym_key_path_string_expression] = STATE(1262),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1262),
    [sym__equality_operator] = STATE(1262),
    [sym__comparison_operator] = STATE(1262),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1262),
    [sym__multiplicative_operator] = STATE(1262),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym_assignment] = STATE(1262),
    [sym_value_parameter_pack] = STATE(1262),
    [sym_value_pack_expansion] = STATE(1262),
    [sym__referenceable_operator] = STATE(1262),
    [sym__equal_sign] = STATE(1262),
    [sym__eq_eq] = STATE(1262),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__parameter_ownership_modifier] = STATE(2115),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(11),
    [aux_sym_simple_identifier_token2] = ACTIONS(13),
    [aux_sym_simple_identifier_token3] = ACTIONS(13),
    [aux_sym_simple_identifier_token4] = ACTIONS(13),
    [anon_sym_actor] = ACTIONS(11),
    [anon_sym_async] = ACTIONS(11),
    [anon_sym_each] = ACTIONS(19),
    [anon_sym_lazy] = ACTIONS(11),
    [anon_sym_repeat] = ACTIONS(937),
    [anon_sym_package] = ACTIONS(11),
    [anon_sym_nil] = ACTIONS(1677),
    [sym_real_literal] = ACTIONS(1679),
    [sym_integer_literal] = ACTIONS(1677),
    [sym_hex_literal] = ACTIONS(1679),
    [sym_oct_literal] = ACTIONS(1679),
    [sym_bin_literal] = ACTIONS(1679),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(1677),
    [anon_sym_GT] = ACTIONS(1677),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(1677),
    [anon_sym_POUNDfileID] = ACTIONS(1679),
    [anon_sym_POUNDfilePath] = ACTIONS(1679),
    [anon_sym_POUNDline] = ACTIONS(1679),
    [anon_sym_POUNDcolumn] = ACTIONS(1679),
    [anon_sym_POUNDfunction] = ACTIONS(1679),
    [anon_sym_POUNDdsohandle] = ACTIONS(1679),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_self] = ACTIONS(65),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1679),
    [anon_sym_DASH_EQ] = ACTIONS(1679),
    [anon_sym_STAR_EQ] = ACTIONS(1679),
    [anon_sym_SLASH_EQ] = ACTIONS(1679),
    [anon_sym_PERCENT_EQ] = ACTIONS(1679),
    [anon_sym_BANG_EQ] = ACTIONS(1677),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1679),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1679),
    [anon_sym_LT_EQ] = ACTIONS(1679),
    [anon_sym_GT_EQ] = ACTIONS(1679),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(1677),
    [anon_sym_SLASH] = ACTIONS(1677),
    [anon_sym_PERCENT] = ACTIONS(1677),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(1679),
    [anon_sym_CARET] = ACTIONS(1677),
    [anon_sym_LT_LT] = ACTIONS(1679),
    [anon_sym_GT_GT] = ACTIONS(1679),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_borrowing] = ACTIONS(11),
    [anon_sym_consuming] = ACTIONS(11),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(1679),
    [sym__eq_eq_custom] = ACTIONS(1679),
    [sym__plus_then_ws] = ACTIONS(1679),
    [sym__minus_then_ws] = ACTIONS(1679),
    [sym__bang_custom] = ACTIONS(151),
    [sym__custom_operator] = ACTIONS(57),
  },
  [398] = {
    [sym_simple_identifier] = STATE(2072),
    [sym__contextual_simple_identifier] = STATE(2016),
    [sym__basic_literal] = STATE(1307),
    [sym_boolean_literal] = STATE(1307),
    [sym__string_literal] = STATE(1307),
    [sym_line_string_literal] = STATE(1307),
    [sym_multi_line_string_literal] = STATE(1307),
    [sym_raw_string_literal] = STATE(1307),
    [sym_regex_literal] = STATE(1307),
    [sym__multiline_regex_literal] = STATE(2164),
    [sym_user_type] = STATE(5497),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5497),
    [sym_dictionary_type] = STATE(5497),
    [sym__expression] = STATE(1307),
    [sym__unary_expression] = STATE(1307),
    [sym_postfix_expression] = STATE(1307),
    [sym_constructor_expression] = STATE(1307),
    [sym__parenthesized_type] = STATE(6725),
    [sym_navigation_expression] = STATE(1307),
    [sym__navigable_type_expression] = STATE(6724),
    [sym_open_start_range_expression] = STATE(1307),
    [sym__range_operator] = STATE(467),
    [sym_open_end_range_expression] = STATE(1307),
    [sym_prefix_expression] = STATE(1307),
    [sym_as_expression] = STATE(1307),
    [sym_selector_expression] = STATE(1307),
    [sym__binary_expression] = STATE(1307),
    [sym_multiplicative_expression] = STATE(1307),
    [sym_additive_expression] = STATE(1307),
    [sym_range_expression] = STATE(1307),
    [sym_infix_expression] = STATE(1307),
    [sym_nil_coalescing_expression] = STATE(1307),
    [sym_check_expression] = STATE(1307),
    [sym_comparison_expression] = STATE(1307),
    [sym_equality_expression] = STATE(1307),
    [sym_conjunction_expression] = STATE(1307),
    [sym_disjunction_expression] = STATE(1307),
    [sym_bitwise_operation] = STATE(1307),
    [sym_custom_operator] = STATE(835),
    [sym_try_expression] = STATE(1307),
    [sym_await_expression] = STATE(1307),
    [sym__await_operator] = STATE(466),
    [sym_ternary_expression] = STATE(1307),
    [sym_call_expression] = STATE(1307),
    [sym__primary_expression] = STATE(1307),
    [sym_tuple_expression] = STATE(1307),
    [sym_array_literal] = STATE(1307),
    [sym_dictionary_literal] = STATE(1307),
    [sym__special_literal] = STATE(1307),
    [sym__playground_literal] = STATE(1307),
    [sym_lambda_literal] = STATE(1307),
    [sym_self_expression] = STATE(1307),
    [sym_super_expression] = STATE(1307),
    [sym_if_statement] = STATE(1307),
    [sym_switch_statement] = STATE(1307),
    [sym_key_path_expression] = STATE(1307),
    [sym_key_path_string_expression] = STATE(1307),
    [sym_try_operator] = STATE(455),
    [sym__assignment_and_operator] = STATE(1307),
    [sym__equality_operator] = STATE(1307),
    [sym__comparison_operator] = STATE(1307),
    [sym__three_dot_operator] = STATE(837),
    [sym__open_ended_range_operator] = STATE(467),
    [sym__additive_operator] = STATE(1307),
    [sym__multiplicative_operator] = STATE(1307),
    [sym__prefix_unary_operator] = STATE(468),
    [sym_directly_assignable_expression] = STATE(5498),
    [sym_assignment] = STATE(1307),
    [sym_value_parameter_pack] = STATE(1307),
    [sym_value_pack_expansion] = STATE(1307),
    [sym_external_macro_definition] = STATE(6410),
    [sym__referenceable_operator] = STATE(1307),
    [sym__equal_sign] = STATE(1307),
    [sym__eq_eq] = STATE(1307),
    [sym__dot] = STATE(468),
    [sym_bang] = STATE(835),
    [sym__parameter_ownership_modifier] = STATE(2016),
    [aux_sym_raw_string_literal_repeat1] = STATE(6553),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(971),
    [aux_sym_simple_identifier_token2] = ACTIONS(973),
    [aux_sym_simple_identifier_token3] = ACTIONS(973),
    [aux_sym_simple_identifier_token4] = ACTIONS(973),
    [anon_sym_actor] = ACTIONS(971),
    [anon_sym_async] = ACTIONS(971),
    [anon_sym_each] = ACTIONS(975),
    [anon_sym_lazy] = ACTIONS(971),
    [anon_sym_repeat] = ACTIONS(977),
    [anon_sym_package] = ACTIONS(971),
    [anon_sym_nil] = ACTIONS(1731),
    [sym_real_literal] = ACTIONS(1733),
    [sym_integer_literal] = ACTIONS(1731),
    [sym_hex_literal] = ACTIONS(1733),
    [sym_oct_literal] = ACTIONS(1733),
    [sym_bin_literal] = ACTIONS(1733),
    [anon_sym_true] = ACTIONS(983),
    [anon_sym_false] = ACTIONS(983),
    [anon_sym_DQUOTE] = ACTIONS(985),
    [anon_sym_BSLASH] = ACTIONS(987),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(989),
    [sym__extended_regex_literal] = ACTIONS(991),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(993),
    [sym__oneline_regex_literal] = ACTIONS(995),
    [anon_sym_LPAREN] = ACTIONS(997),
    [anon_sym_LBRACK] = ACTIONS(999),
    [anon_sym_AMP] = ACTIONS(1001),
    [anon_sym_if] = ACTIONS(1003),
    [anon_sym_switch] = ACTIONS(1005),
    [anon_sym_POUNDselector] = ACTIONS(1007),
    [aux_sym_custom_operator_token1] = ACTIONS(1009),
    [anon_sym_LT] = ACTIONS(1731),
    [anon_sym_GT] = ACTIONS(1731),
    [anon_sym_await] = ACTIONS(1011),
    [anon_sym_POUNDfile] = ACTIONS(1731),
    [anon_sym_POUNDfileID] = ACTIONS(1733),
    [anon_sym_POUNDfilePath] = ACTIONS(1733),
    [anon_sym_POUNDline] = ACTIONS(1733),
    [anon_sym_POUNDcolumn] = ACTIONS(1733),
    [anon_sym_POUNDfunction] = ACTIONS(1733),
    [anon_sym_POUNDdsohandle] = ACTIONS(1733),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(1013),
    [anon_sym_POUNDfileLiteral] = ACTIONS(1013),
    [anon_sym_POUNDimageLiteral] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(1015),
    [anon_sym_CARET_LBRACE] = ACTIONS(1015),
    [anon_sym_self] = ACTIONS(1017),
    [anon_sym_super] = ACTIONS(1019),
    [anon_sym_POUNDkeyPath] = ACTIONS(1021),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1733),
    [anon_sym_DASH_EQ] = ACTIONS(1733),
    [anon_sym_STAR_EQ] = ACTIONS(1733),
    [anon_sym_SLASH_EQ] = ACTIONS(1733),
    [anon_sym_PERCENT_EQ] = ACTIONS(1733),
    [anon_sym_BANG_EQ] = ACTIONS(1731),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1733),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1733),
    [anon_sym_LT_EQ] = ACTIONS(1733),
    [anon_sym_GT_EQ] = ACTIONS(1733),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1023),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1025),
    [anon_sym_PLUS] = ACTIONS(1027),
    [anon_sym_DASH] = ACTIONS(1027),
    [anon_sym_STAR] = ACTIONS(1731),
    [anon_sym_SLASH] = ACTIONS(1731),
    [anon_sym_PERCENT] = ACTIONS(1731),
    [anon_sym_PLUS_PLUS] = ACTIONS(1001),
    [anon_sym_DASH_DASH] = ACTIONS(1001),
    [anon_sym_TILDE] = ACTIONS(1001),
    [anon_sym_PIPE] = ACTIONS(1733),
    [anon_sym_CARET] = ACTIONS(1731),
    [anon_sym_LT_LT] = ACTIONS(1733),
    [anon_sym_GT_GT] = ACTIONS(1733),
    [anon_sym_POUNDexternalMacro] = ACTIONS(1735),
    [anon_sym_BANG2] = ACTIONS(1029),
    [anon_sym_borrowing] = ACTIONS(971),
    [anon_sym_consuming] = ACTIONS(971),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(1031),
    [sym__dot_custom] = ACTIONS(1033),
    [sym__eq_custom] = ACTIONS(1733),
    [sym__eq_eq_custom] = ACTIONS(1733),
    [sym__plus_then_ws] = ACTIONS(1733),
    [sym__minus_then_ws] = ACTIONS(1733),
    [sym__bang_custom] = ACTIONS(1035),
    [sym__custom_operator] = ACTIONS(1009),
  },
  [399] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1441),
    [sym_boolean_literal] = STATE(1441),
    [sym__string_literal] = STATE(1441),
    [sym_line_string_literal] = STATE(1441),
    [sym_multi_line_string_literal] = STATE(1441),
    [sym_raw_string_literal] = STATE(1441),
    [sym_regex_literal] = STATE(1441),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1441),
    [sym__unary_expression] = STATE(1441),
    [sym_postfix_expression] = STATE(1441),
    [sym_constructor_expression] = STATE(1441),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1441),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1441),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1441),
    [sym_prefix_expression] = STATE(1441),
    [sym_as_expression] = STATE(1441),
    [sym_selector_expression] = STATE(1441),
    [sym__binary_expression] = STATE(1441),
    [sym_multiplicative_expression] = STATE(1441),
    [sym_additive_expression] = STATE(1441),
    [sym_range_expression] = STATE(1441),
    [sym_infix_expression] = STATE(1441),
    [sym_nil_coalescing_expression] = STATE(1441),
    [sym_check_expression] = STATE(1441),
    [sym_comparison_expression] = STATE(1441),
    [sym_equality_expression] = STATE(1441),
    [sym_conjunction_expression] = STATE(1441),
    [sym_disjunction_expression] = STATE(1441),
    [sym_bitwise_operation] = STATE(1441),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1441),
    [sym_await_expression] = STATE(1441),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1441),
    [sym_call_expression] = STATE(1441),
    [sym__primary_expression] = STATE(1441),
    [sym_tuple_expression] = STATE(1441),
    [sym_array_literal] = STATE(1441),
    [sym_dictionary_literal] = STATE(1441),
    [sym__dictionary_literal_item] = STATE(7599),
    [sym__special_literal] = STATE(1441),
    [sym__playground_literal] = STATE(1441),
    [sym_lambda_literal] = STATE(1441),
    [sym_self_expression] = STATE(1441),
    [sym_super_expression] = STATE(1441),
    [sym_if_statement] = STATE(1441),
    [sym_switch_statement] = STATE(1441),
    [sym_key_path_expression] = STATE(1441),
    [sym_key_path_string_expression] = STATE(1441),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1441),
    [sym__equality_operator] = STATE(1441),
    [sym__comparison_operator] = STATE(1441),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1441),
    [sym__multiplicative_operator] = STATE(1441),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1441),
    [sym_value_parameter_pack] = STATE(1441),
    [sym_value_pack_expansion] = STATE(1441),
    [sym__referenceable_operator] = STATE(1441),
    [sym__equal_sign] = STATE(1441),
    [sym__eq_eq] = STATE(1441),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1587),
    [sym_real_literal] = ACTIONS(1589),
    [sym_integer_literal] = ACTIONS(1587),
    [sym_hex_literal] = ACTIONS(1589),
    [sym_oct_literal] = ACTIONS(1589),
    [sym_bin_literal] = ACTIONS(1589),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_RBRACK] = ACTIONS(1737),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1587),
    [anon_sym_GT] = ACTIONS(1587),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1587),
    [anon_sym_POUNDfileID] = ACTIONS(1589),
    [anon_sym_POUNDfilePath] = ACTIONS(1589),
    [anon_sym_POUNDline] = ACTIONS(1589),
    [anon_sym_POUNDcolumn] = ACTIONS(1589),
    [anon_sym_POUNDfunction] = ACTIONS(1589),
    [anon_sym_POUNDdsohandle] = ACTIONS(1589),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1589),
    [anon_sym_DASH_EQ] = ACTIONS(1589),
    [anon_sym_STAR_EQ] = ACTIONS(1589),
    [anon_sym_SLASH_EQ] = ACTIONS(1589),
    [anon_sym_PERCENT_EQ] = ACTIONS(1589),
    [anon_sym_BANG_EQ] = ACTIONS(1587),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1589),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1589),
    [anon_sym_LT_EQ] = ACTIONS(1589),
    [anon_sym_GT_EQ] = ACTIONS(1589),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1587),
    [anon_sym_SLASH] = ACTIONS(1587),
    [anon_sym_PERCENT] = ACTIONS(1587),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1589),
    [anon_sym_CARET] = ACTIONS(1587),
    [anon_sym_LT_LT] = ACTIONS(1589),
    [anon_sym_GT_GT] = ACTIONS(1589),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1589),
    [sym__eq_eq_custom] = ACTIONS(1589),
    [sym__plus_then_ws] = ACTIONS(1589),
    [sym__minus_then_ws] = ACTIONS(1589),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [400] = {
    [sym_simple_identifier] = STATE(1141),
    [sym__contextual_simple_identifier] = STATE(1051),
    [sym__basic_literal] = STATE(651),
    [sym_boolean_literal] = STATE(651),
    [sym__string_literal] = STATE(651),
    [sym_line_string_literal] = STATE(651),
    [sym_multi_line_string_literal] = STATE(651),
    [sym_raw_string_literal] = STATE(651),
    [sym_regex_literal] = STATE(651),
    [sym__multiline_regex_literal] = STATE(1215),
    [sym_user_type] = STATE(5510),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5510),
    [sym_dictionary_type] = STATE(5510),
    [sym__expression] = STATE(651),
    [sym__unary_expression] = STATE(651),
    [sym_postfix_expression] = STATE(651),
    [sym_constructor_expression] = STATE(651),
    [sym__parenthesized_type] = STATE(6558),
    [sym_navigation_expression] = STATE(651),
    [sym__navigable_type_expression] = STATE(6557),
    [sym_open_start_range_expression] = STATE(651),
    [sym__range_operator] = STATE(523),
    [sym_open_end_range_expression] = STATE(651),
    [sym_prefix_expression] = STATE(651),
    [sym_as_expression] = STATE(651),
    [sym_selector_expression] = STATE(651),
    [sym__binary_expression] = STATE(651),
    [sym_multiplicative_expression] = STATE(651),
    [sym_additive_expression] = STATE(651),
    [sym_range_expression] = STATE(651),
    [sym_infix_expression] = STATE(651),
    [sym_nil_coalescing_expression] = STATE(651),
    [sym_check_expression] = STATE(651),
    [sym_comparison_expression] = STATE(651),
    [sym_equality_expression] = STATE(651),
    [sym_conjunction_expression] = STATE(651),
    [sym_disjunction_expression] = STATE(651),
    [sym_bitwise_operation] = STATE(651),
    [sym_custom_operator] = STATE(628),
    [sym_try_expression] = STATE(651),
    [sym_await_expression] = STATE(651),
    [sym__await_operator] = STATE(518),
    [sym_ternary_expression] = STATE(651),
    [sym__expr_hack_at_ternary_binary_suffix] = STATE(1161),
    [sym_expr_hack_at_ternary_binary_call] = STATE(1161),
    [sym_call_expression] = STATE(651),
    [sym__primary_expression] = STATE(651),
    [sym_tuple_expression] = STATE(651),
    [sym_array_literal] = STATE(651),
    [sym_dictionary_literal] = STATE(651),
    [sym__special_literal] = STATE(651),
    [sym__playground_literal] = STATE(651),
    [sym_lambda_literal] = STATE(651),
    [sym_self_expression] = STATE(651),
    [sym_super_expression] = STATE(651),
    [sym_if_statement] = STATE(651),
    [sym_switch_statement] = STATE(651),
    [sym_key_path_expression] = STATE(651),
    [sym_key_path_string_expression] = STATE(651),
    [sym_try_operator] = STATE(515),
    [sym__assignment_and_operator] = STATE(651),
    [sym__equality_operator] = STATE(651),
    [sym__comparison_operator] = STATE(651),
    [sym__three_dot_operator] = STATE(625),
    [sym__open_ended_range_operator] = STATE(523),
    [sym__additive_operator] = STATE(651),
    [sym__multiplicative_operator] = STATE(651),
    [sym__prefix_unary_operator] = STATE(509),
    [sym_directly_assignable_expression] = STATE(5511),
    [sym_assignment] = STATE(651),
    [sym_value_parameter_pack] = STATE(651),
    [sym_value_pack_expansion] = STATE(651),
    [sym__referenceable_operator] = STATE(651),
    [sym__equal_sign] = STATE(651),
    [sym__eq_eq] = STATE(651),
    [sym__dot] = STATE(509),
    [sym_bang] = STATE(628),
    [sym__parameter_ownership_modifier] = STATE(1051),
    [aux_sym_raw_string_literal_repeat1] = STATE(6487),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(291),
    [aux_sym_simple_identifier_token2] = ACTIONS(293),
    [aux_sym_simple_identifier_token3] = ACTIONS(293),
    [aux_sym_simple_identifier_token4] = ACTIONS(293),
    [anon_sym_actor] = ACTIONS(291),
    [anon_sym_async] = ACTIONS(291),
    [anon_sym_each] = ACTIONS(299),
    [anon_sym_lazy] = ACTIONS(291),
    [anon_sym_repeat] = ACTIONS(747),
    [anon_sym_package] = ACTIONS(291),
    [anon_sym_nil] = ACTIONS(1639),
    [sym_real_literal] = ACTIONS(1641),
    [sym_integer_literal] = ACTIONS(1639),
    [sym_hex_literal] = ACTIONS(1641),
    [sym_oct_literal] = ACTIONS(1641),
    [sym_bin_literal] = ACTIONS(1641),
    [anon_sym_true] = ACTIONS(309),
    [anon_sym_false] = ACTIONS(309),
    [anon_sym_DQUOTE] = ACTIONS(311),
    [anon_sym_BSLASH] = ACTIONS(313),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(315),
    [sym__extended_regex_literal] = ACTIONS(317),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(319),
    [sym__oneline_regex_literal] = ACTIONS(321),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_LBRACK] = ACTIONS(325),
    [anon_sym_AMP] = ACTIONS(327),
    [anon_sym_if] = ACTIONS(329),
    [anon_sym_switch] = ACTIONS(331),
    [anon_sym_POUNDselector] = ACTIONS(333),
    [aux_sym_custom_operator_token1] = ACTIONS(335),
    [anon_sym_LT] = ACTIONS(1639),
    [anon_sym_GT] = ACTIONS(1639),
    [anon_sym_await] = ACTIONS(337),
    [anon_sym_POUNDfile] = ACTIONS(1639),
    [anon_sym_POUNDfileID] = ACTIONS(1641),
    [anon_sym_POUNDfilePath] = ACTIONS(1641),
    [anon_sym_POUNDline] = ACTIONS(1641),
    [anon_sym_POUNDcolumn] = ACTIONS(1641),
    [anon_sym_POUNDfunction] = ACTIONS(1641),
    [anon_sym_POUNDdsohandle] = ACTIONS(1641),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(339),
    [anon_sym_POUNDfileLiteral] = ACTIONS(339),
    [anon_sym_POUNDimageLiteral] = ACTIONS(339),
    [anon_sym_LBRACE] = ACTIONS(341),
    [anon_sym_CARET_LBRACE] = ACTIONS(341),
    [anon_sym_self] = ACTIONS(345),
    [anon_sym_super] = ACTIONS(347),
    [anon_sym_POUNDkeyPath] = ACTIONS(353),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1641),
    [anon_sym_DASH_EQ] = ACTIONS(1641),
    [anon_sym_STAR_EQ] = ACTIONS(1641),
    [anon_sym_SLASH_EQ] = ACTIONS(1641),
    [anon_sym_PERCENT_EQ] = ACTIONS(1641),
    [anon_sym_BANG_EQ] = ACTIONS(1639),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1641),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1641),
    [anon_sym_LT_EQ] = ACTIONS(1641),
    [anon_sym_GT_EQ] = ACTIONS(1641),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(355),
    [anon_sym_DOT_DOT_LT] = ACTIONS(357),
    [anon_sym_PLUS] = ACTIONS(359),
    [anon_sym_DASH] = ACTIONS(359),
    [anon_sym_STAR] = ACTIONS(1639),
    [anon_sym_SLASH] = ACTIONS(1639),
    [anon_sym_PERCENT] = ACTIONS(1639),
    [anon_sym_PLUS_PLUS] = ACTIONS(327),
    [anon_sym_DASH_DASH] = ACTIONS(327),
    [anon_sym_TILDE] = ACTIONS(327),
    [anon_sym_PIPE] = ACTIONS(1641),
    [anon_sym_CARET] = ACTIONS(1639),
    [anon_sym_LT_LT] = ACTIONS(1641),
    [anon_sym_GT_GT] = ACTIONS(1641),
    [anon_sym_BANG2] = ACTIONS(381),
    [anon_sym_borrowing] = ACTIONS(291),
    [anon_sym_consuming] = ACTIONS(291),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(383),
    [sym__dot_custom] = ACTIONS(385),
    [sym__eq_custom] = ACTIONS(1641),
    [sym__eq_eq_custom] = ACTIONS(1641),
    [sym__plus_then_ws] = ACTIONS(1641),
    [sym__minus_then_ws] = ACTIONS(1641),
    [sym__bang_custom] = ACTIONS(387),
    [sym__custom_operator] = ACTIONS(335),
  },
  [401] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(626),
    [sym_boolean_literal] = STATE(626),
    [sym__string_literal] = STATE(626),
    [sym_line_string_literal] = STATE(626),
    [sym_multi_line_string_literal] = STATE(626),
    [sym_raw_string_literal] = STATE(626),
    [sym_regex_literal] = STATE(626),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5550),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5550),
    [sym_dictionary_type] = STATE(5550),
    [sym__expression] = STATE(626),
    [sym__unary_expression] = STATE(626),
    [sym_postfix_expression] = STATE(626),
    [sym_constructor_expression] = STATE(626),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(626),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(626),
    [sym__range_operator] = STATE(596),
    [sym_open_end_range_expression] = STATE(626),
    [sym_prefix_expression] = STATE(626),
    [sym_as_expression] = STATE(626),
    [sym_selector_expression] = STATE(626),
    [sym__binary_expression] = STATE(626),
    [sym_multiplicative_expression] = STATE(626),
    [sym_additive_expression] = STATE(626),
    [sym_range_expression] = STATE(626),
    [sym_infix_expression] = STATE(626),
    [sym_nil_coalescing_expression] = STATE(626),
    [sym_check_expression] = STATE(626),
    [sym_comparison_expression] = STATE(626),
    [sym_equality_expression] = STATE(626),
    [sym_conjunction_expression] = STATE(626),
    [sym_disjunction_expression] = STATE(626),
    [sym_bitwise_operation] = STATE(626),
    [sym_custom_operator] = STATE(609),
    [sym_try_expression] = STATE(626),
    [sym_await_expression] = STATE(626),
    [sym__await_operator] = STATE(599),
    [sym_ternary_expression] = STATE(626),
    [sym__expr_hack_at_ternary_binary_suffix] = STATE(814),
    [sym_expr_hack_at_ternary_binary_call] = STATE(814),
    [sym_call_expression] = STATE(626),
    [sym__primary_expression] = STATE(626),
    [sym_tuple_expression] = STATE(626),
    [sym_array_literal] = STATE(626),
    [sym_dictionary_literal] = STATE(626),
    [sym__special_literal] = STATE(626),
    [sym__playground_literal] = STATE(626),
    [sym_lambda_literal] = STATE(626),
    [sym_self_expression] = STATE(626),
    [sym_super_expression] = STATE(626),
    [sym_if_statement] = STATE(626),
    [sym_switch_statement] = STATE(626),
    [sym_key_path_expression] = STATE(626),
    [sym_key_path_string_expression] = STATE(626),
    [sym_try_operator] = STATE(453),
    [sym__assignment_and_operator] = STATE(626),
    [sym__equality_operator] = STATE(626),
    [sym__comparison_operator] = STATE(626),
    [sym__three_dot_operator] = STATE(604),
    [sym__open_ended_range_operator] = STATE(596),
    [sym__additive_operator] = STATE(626),
    [sym__multiplicative_operator] = STATE(626),
    [sym__prefix_unary_operator] = STATE(445),
    [sym_directly_assignable_expression] = STATE(5552),
    [sym_assignment] = STATE(626),
    [sym_value_parameter_pack] = STATE(626),
    [sym_value_pack_expansion] = STATE(626),
    [sym__referenceable_operator] = STATE(626),
    [sym__equal_sign] = STATE(626),
    [sym__eq_eq] = STATE(626),
    [sym__dot] = STATE(445),
    [sym_bang] = STATE(609),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(621),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(623),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1635),
    [sym_real_literal] = ACTIONS(1637),
    [sym_integer_literal] = ACTIONS(1635),
    [sym_hex_literal] = ACTIONS(1637),
    [sym_oct_literal] = ACTIONS(1637),
    [sym_bin_literal] = ACTIONS(1637),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(629),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(639),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(641),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(643),
    [anon_sym_LT] = ACTIONS(1635),
    [anon_sym_GT] = ACTIONS(1635),
    [anon_sym_await] = ACTIONS(645),
    [anon_sym_POUNDfile] = ACTIONS(1635),
    [anon_sym_POUNDfileID] = ACTIONS(1637),
    [anon_sym_POUNDfilePath] = ACTIONS(1637),
    [anon_sym_POUNDline] = ACTIONS(1637),
    [anon_sym_POUNDcolumn] = ACTIONS(1637),
    [anon_sym_POUNDfunction] = ACTIONS(1637),
    [anon_sym_POUNDdsohandle] = ACTIONS(1637),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1637),
    [anon_sym_DASH_EQ] = ACTIONS(1637),
    [anon_sym_STAR_EQ] = ACTIONS(1637),
    [anon_sym_SLASH_EQ] = ACTIONS(1637),
    [anon_sym_PERCENT_EQ] = ACTIONS(1637),
    [anon_sym_BANG_EQ] = ACTIONS(1635),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1637),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1637),
    [anon_sym_LT_EQ] = ACTIONS(1637),
    [anon_sym_GT_EQ] = ACTIONS(1637),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(649),
    [anon_sym_DOT_DOT_LT] = ACTIONS(651),
    [anon_sym_PLUS] = ACTIONS(653),
    [anon_sym_DASH] = ACTIONS(653),
    [anon_sym_STAR] = ACTIONS(1635),
    [anon_sym_SLASH] = ACTIONS(1635),
    [anon_sym_PERCENT] = ACTIONS(1635),
    [anon_sym_PLUS_PLUS] = ACTIONS(639),
    [anon_sym_DASH_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(639),
    [anon_sym_PIPE] = ACTIONS(1637),
    [anon_sym_CARET] = ACTIONS(1635),
    [anon_sym_LT_LT] = ACTIONS(1637),
    [anon_sym_GT_GT] = ACTIONS(1637),
    [anon_sym_BANG2] = ACTIONS(655),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(657),
    [sym__eq_custom] = ACTIONS(1637),
    [sym__eq_eq_custom] = ACTIONS(1637),
    [sym__plus_then_ws] = ACTIONS(1637),
    [sym__minus_then_ws] = ACTIONS(1637),
    [sym__bang_custom] = ACTIONS(659),
    [sym__custom_operator] = ACTIONS(643),
  },
  [402] = {
    [sym_simple_identifier] = STATE(1141),
    [sym__contextual_simple_identifier] = STATE(1051),
    [sym__basic_literal] = STATE(651),
    [sym_boolean_literal] = STATE(651),
    [sym__string_literal] = STATE(651),
    [sym_line_string_literal] = STATE(651),
    [sym_multi_line_string_literal] = STATE(651),
    [sym_raw_string_literal] = STATE(651),
    [sym_regex_literal] = STATE(651),
    [sym__multiline_regex_literal] = STATE(1215),
    [sym_user_type] = STATE(5510),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5510),
    [sym_dictionary_type] = STATE(5510),
    [sym__expression] = STATE(651),
    [sym__unary_expression] = STATE(651),
    [sym_postfix_expression] = STATE(651),
    [sym_constructor_expression] = STATE(651),
    [sym__parenthesized_type] = STATE(6558),
    [sym_navigation_expression] = STATE(651),
    [sym__navigable_type_expression] = STATE(6557),
    [sym_open_start_range_expression] = STATE(651),
    [sym__range_operator] = STATE(523),
    [sym_open_end_range_expression] = STATE(651),
    [sym_prefix_expression] = STATE(651),
    [sym_as_expression] = STATE(651),
    [sym_selector_expression] = STATE(651),
    [sym__binary_expression] = STATE(651),
    [sym_multiplicative_expression] = STATE(651),
    [sym_additive_expression] = STATE(651),
    [sym_range_expression] = STATE(651),
    [sym_infix_expression] = STATE(651),
    [sym_nil_coalescing_expression] = STATE(651),
    [sym_check_expression] = STATE(651),
    [sym_comparison_expression] = STATE(651),
    [sym_equality_expression] = STATE(651),
    [sym_conjunction_expression] = STATE(651),
    [sym_disjunction_expression] = STATE(651),
    [sym_bitwise_operation] = STATE(651),
    [sym_custom_operator] = STATE(628),
    [sym_try_expression] = STATE(651),
    [sym_await_expression] = STATE(651),
    [sym__await_operator] = STATE(518),
    [sym_ternary_expression] = STATE(651),
    [sym__expr_hack_at_ternary_binary_suffix] = STATE(1167),
    [sym_expr_hack_at_ternary_binary_call] = STATE(1167),
    [sym_call_expression] = STATE(651),
    [sym__primary_expression] = STATE(651),
    [sym_tuple_expression] = STATE(651),
    [sym_array_literal] = STATE(651),
    [sym_dictionary_literal] = STATE(651),
    [sym__special_literal] = STATE(651),
    [sym__playground_literal] = STATE(651),
    [sym_lambda_literal] = STATE(651),
    [sym_self_expression] = STATE(651),
    [sym_super_expression] = STATE(651),
    [sym_if_statement] = STATE(651),
    [sym_switch_statement] = STATE(651),
    [sym_key_path_expression] = STATE(651),
    [sym_key_path_string_expression] = STATE(651),
    [sym_try_operator] = STATE(515),
    [sym__assignment_and_operator] = STATE(651),
    [sym__equality_operator] = STATE(651),
    [sym__comparison_operator] = STATE(651),
    [sym__three_dot_operator] = STATE(625),
    [sym__open_ended_range_operator] = STATE(523),
    [sym__additive_operator] = STATE(651),
    [sym__multiplicative_operator] = STATE(651),
    [sym__prefix_unary_operator] = STATE(509),
    [sym_directly_assignable_expression] = STATE(5511),
    [sym_assignment] = STATE(651),
    [sym_value_parameter_pack] = STATE(651),
    [sym_value_pack_expansion] = STATE(651),
    [sym__referenceable_operator] = STATE(651),
    [sym__equal_sign] = STATE(651),
    [sym__eq_eq] = STATE(651),
    [sym__dot] = STATE(509),
    [sym_bang] = STATE(628),
    [sym__parameter_ownership_modifier] = STATE(1051),
    [aux_sym_raw_string_literal_repeat1] = STATE(6487),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(291),
    [aux_sym_simple_identifier_token2] = ACTIONS(293),
    [aux_sym_simple_identifier_token3] = ACTIONS(293),
    [aux_sym_simple_identifier_token4] = ACTIONS(293),
    [anon_sym_actor] = ACTIONS(291),
    [anon_sym_async] = ACTIONS(291),
    [anon_sym_each] = ACTIONS(299),
    [anon_sym_lazy] = ACTIONS(291),
    [anon_sym_repeat] = ACTIONS(747),
    [anon_sym_package] = ACTIONS(291),
    [anon_sym_nil] = ACTIONS(1639),
    [sym_real_literal] = ACTIONS(1641),
    [sym_integer_literal] = ACTIONS(1639),
    [sym_hex_literal] = ACTIONS(1641),
    [sym_oct_literal] = ACTIONS(1641),
    [sym_bin_literal] = ACTIONS(1641),
    [anon_sym_true] = ACTIONS(309),
    [anon_sym_false] = ACTIONS(309),
    [anon_sym_DQUOTE] = ACTIONS(311),
    [anon_sym_BSLASH] = ACTIONS(313),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(315),
    [sym__extended_regex_literal] = ACTIONS(317),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(319),
    [sym__oneline_regex_literal] = ACTIONS(321),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_LBRACK] = ACTIONS(325),
    [anon_sym_AMP] = ACTIONS(327),
    [anon_sym_if] = ACTIONS(329),
    [anon_sym_switch] = ACTIONS(331),
    [anon_sym_POUNDselector] = ACTIONS(333),
    [aux_sym_custom_operator_token1] = ACTIONS(335),
    [anon_sym_LT] = ACTIONS(1639),
    [anon_sym_GT] = ACTIONS(1639),
    [anon_sym_await] = ACTIONS(337),
    [anon_sym_POUNDfile] = ACTIONS(1639),
    [anon_sym_POUNDfileID] = ACTIONS(1641),
    [anon_sym_POUNDfilePath] = ACTIONS(1641),
    [anon_sym_POUNDline] = ACTIONS(1641),
    [anon_sym_POUNDcolumn] = ACTIONS(1641),
    [anon_sym_POUNDfunction] = ACTIONS(1641),
    [anon_sym_POUNDdsohandle] = ACTIONS(1641),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(339),
    [anon_sym_POUNDfileLiteral] = ACTIONS(339),
    [anon_sym_POUNDimageLiteral] = ACTIONS(339),
    [anon_sym_LBRACE] = ACTIONS(341),
    [anon_sym_CARET_LBRACE] = ACTIONS(341),
    [anon_sym_self] = ACTIONS(345),
    [anon_sym_super] = ACTIONS(347),
    [anon_sym_POUNDkeyPath] = ACTIONS(353),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1641),
    [anon_sym_DASH_EQ] = ACTIONS(1641),
    [anon_sym_STAR_EQ] = ACTIONS(1641),
    [anon_sym_SLASH_EQ] = ACTIONS(1641),
    [anon_sym_PERCENT_EQ] = ACTIONS(1641),
    [anon_sym_BANG_EQ] = ACTIONS(1639),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1641),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1641),
    [anon_sym_LT_EQ] = ACTIONS(1641),
    [anon_sym_GT_EQ] = ACTIONS(1641),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(355),
    [anon_sym_DOT_DOT_LT] = ACTIONS(357),
    [anon_sym_PLUS] = ACTIONS(359),
    [anon_sym_DASH] = ACTIONS(359),
    [anon_sym_STAR] = ACTIONS(1639),
    [anon_sym_SLASH] = ACTIONS(1639),
    [anon_sym_PERCENT] = ACTIONS(1639),
    [anon_sym_PLUS_PLUS] = ACTIONS(327),
    [anon_sym_DASH_DASH] = ACTIONS(327),
    [anon_sym_TILDE] = ACTIONS(327),
    [anon_sym_PIPE] = ACTIONS(1641),
    [anon_sym_CARET] = ACTIONS(1639),
    [anon_sym_LT_LT] = ACTIONS(1641),
    [anon_sym_GT_GT] = ACTIONS(1641),
    [anon_sym_BANG2] = ACTIONS(381),
    [anon_sym_borrowing] = ACTIONS(291),
    [anon_sym_consuming] = ACTIONS(291),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(383),
    [sym__dot_custom] = ACTIONS(385),
    [sym__eq_custom] = ACTIONS(1641),
    [sym__eq_eq_custom] = ACTIONS(1641),
    [sym__plus_then_ws] = ACTIONS(1641),
    [sym__minus_then_ws] = ACTIONS(1641),
    [sym__bang_custom] = ACTIONS(387),
    [sym__custom_operator] = ACTIONS(335),
  },
  [403] = {
    [sym_simple_identifier] = STATE(1141),
    [sym__contextual_simple_identifier] = STATE(1051),
    [sym__basic_literal] = STATE(651),
    [sym_boolean_literal] = STATE(651),
    [sym__string_literal] = STATE(651),
    [sym_line_string_literal] = STATE(651),
    [sym_multi_line_string_literal] = STATE(651),
    [sym_raw_string_literal] = STATE(651),
    [sym_regex_literal] = STATE(651),
    [sym__multiline_regex_literal] = STATE(1215),
    [sym_user_type] = STATE(5510),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5510),
    [sym_dictionary_type] = STATE(5510),
    [sym__expression] = STATE(651),
    [sym__unary_expression] = STATE(651),
    [sym_postfix_expression] = STATE(651),
    [sym_constructor_expression] = STATE(651),
    [sym__parenthesized_type] = STATE(6558),
    [sym_navigation_expression] = STATE(651),
    [sym__navigable_type_expression] = STATE(6557),
    [sym_open_start_range_expression] = STATE(651),
    [sym__range_operator] = STATE(523),
    [sym_open_end_range_expression] = STATE(651),
    [sym_prefix_expression] = STATE(651),
    [sym_as_expression] = STATE(651),
    [sym_selector_expression] = STATE(651),
    [sym__binary_expression] = STATE(651),
    [sym_multiplicative_expression] = STATE(651),
    [sym_additive_expression] = STATE(651),
    [sym_range_expression] = STATE(651),
    [sym_infix_expression] = STATE(651),
    [sym_nil_coalescing_expression] = STATE(651),
    [sym_check_expression] = STATE(651),
    [sym_comparison_expression] = STATE(651),
    [sym_equality_expression] = STATE(651),
    [sym_conjunction_expression] = STATE(651),
    [sym_disjunction_expression] = STATE(651),
    [sym_bitwise_operation] = STATE(651),
    [sym_custom_operator] = STATE(628),
    [sym_try_expression] = STATE(651),
    [sym_await_expression] = STATE(651),
    [sym__await_operator] = STATE(518),
    [sym_ternary_expression] = STATE(651),
    [sym__expr_hack_at_ternary_binary_suffix] = STATE(1170),
    [sym_expr_hack_at_ternary_binary_call] = STATE(1170),
    [sym_call_expression] = STATE(651),
    [sym__primary_expression] = STATE(651),
    [sym_tuple_expression] = STATE(651),
    [sym_array_literal] = STATE(651),
    [sym_dictionary_literal] = STATE(651),
    [sym__special_literal] = STATE(651),
    [sym__playground_literal] = STATE(651),
    [sym_lambda_literal] = STATE(651),
    [sym_self_expression] = STATE(651),
    [sym_super_expression] = STATE(651),
    [sym_if_statement] = STATE(651),
    [sym_switch_statement] = STATE(651),
    [sym_key_path_expression] = STATE(651),
    [sym_key_path_string_expression] = STATE(651),
    [sym_try_operator] = STATE(515),
    [sym__assignment_and_operator] = STATE(651),
    [sym__equality_operator] = STATE(651),
    [sym__comparison_operator] = STATE(651),
    [sym__three_dot_operator] = STATE(625),
    [sym__open_ended_range_operator] = STATE(523),
    [sym__additive_operator] = STATE(651),
    [sym__multiplicative_operator] = STATE(651),
    [sym__prefix_unary_operator] = STATE(509),
    [sym_directly_assignable_expression] = STATE(5511),
    [sym_assignment] = STATE(651),
    [sym_value_parameter_pack] = STATE(651),
    [sym_value_pack_expansion] = STATE(651),
    [sym__referenceable_operator] = STATE(651),
    [sym__equal_sign] = STATE(651),
    [sym__eq_eq] = STATE(651),
    [sym__dot] = STATE(509),
    [sym_bang] = STATE(628),
    [sym__parameter_ownership_modifier] = STATE(1051),
    [aux_sym_raw_string_literal_repeat1] = STATE(6487),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(291),
    [aux_sym_simple_identifier_token2] = ACTIONS(293),
    [aux_sym_simple_identifier_token3] = ACTIONS(293),
    [aux_sym_simple_identifier_token4] = ACTIONS(293),
    [anon_sym_actor] = ACTIONS(291),
    [anon_sym_async] = ACTIONS(291),
    [anon_sym_each] = ACTIONS(299),
    [anon_sym_lazy] = ACTIONS(291),
    [anon_sym_repeat] = ACTIONS(747),
    [anon_sym_package] = ACTIONS(291),
    [anon_sym_nil] = ACTIONS(1639),
    [sym_real_literal] = ACTIONS(1641),
    [sym_integer_literal] = ACTIONS(1639),
    [sym_hex_literal] = ACTIONS(1641),
    [sym_oct_literal] = ACTIONS(1641),
    [sym_bin_literal] = ACTIONS(1641),
    [anon_sym_true] = ACTIONS(309),
    [anon_sym_false] = ACTIONS(309),
    [anon_sym_DQUOTE] = ACTIONS(311),
    [anon_sym_BSLASH] = ACTIONS(313),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(315),
    [sym__extended_regex_literal] = ACTIONS(317),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(319),
    [sym__oneline_regex_literal] = ACTIONS(321),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_LBRACK] = ACTIONS(325),
    [anon_sym_AMP] = ACTIONS(327),
    [anon_sym_if] = ACTIONS(329),
    [anon_sym_switch] = ACTIONS(331),
    [anon_sym_POUNDselector] = ACTIONS(333),
    [aux_sym_custom_operator_token1] = ACTIONS(335),
    [anon_sym_LT] = ACTIONS(1639),
    [anon_sym_GT] = ACTIONS(1639),
    [anon_sym_await] = ACTIONS(337),
    [anon_sym_POUNDfile] = ACTIONS(1639),
    [anon_sym_POUNDfileID] = ACTIONS(1641),
    [anon_sym_POUNDfilePath] = ACTIONS(1641),
    [anon_sym_POUNDline] = ACTIONS(1641),
    [anon_sym_POUNDcolumn] = ACTIONS(1641),
    [anon_sym_POUNDfunction] = ACTIONS(1641),
    [anon_sym_POUNDdsohandle] = ACTIONS(1641),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(339),
    [anon_sym_POUNDfileLiteral] = ACTIONS(339),
    [anon_sym_POUNDimageLiteral] = ACTIONS(339),
    [anon_sym_LBRACE] = ACTIONS(341),
    [anon_sym_CARET_LBRACE] = ACTIONS(341),
    [anon_sym_self] = ACTIONS(345),
    [anon_sym_super] = ACTIONS(347),
    [anon_sym_POUNDkeyPath] = ACTIONS(353),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1641),
    [anon_sym_DASH_EQ] = ACTIONS(1641),
    [anon_sym_STAR_EQ] = ACTIONS(1641),
    [anon_sym_SLASH_EQ] = ACTIONS(1641),
    [anon_sym_PERCENT_EQ] = ACTIONS(1641),
    [anon_sym_BANG_EQ] = ACTIONS(1639),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1641),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1641),
    [anon_sym_LT_EQ] = ACTIONS(1641),
    [anon_sym_GT_EQ] = ACTIONS(1641),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(355),
    [anon_sym_DOT_DOT_LT] = ACTIONS(357),
    [anon_sym_PLUS] = ACTIONS(359),
    [anon_sym_DASH] = ACTIONS(359),
    [anon_sym_STAR] = ACTIONS(1639),
    [anon_sym_SLASH] = ACTIONS(1639),
    [anon_sym_PERCENT] = ACTIONS(1639),
    [anon_sym_PLUS_PLUS] = ACTIONS(327),
    [anon_sym_DASH_DASH] = ACTIONS(327),
    [anon_sym_TILDE] = ACTIONS(327),
    [anon_sym_PIPE] = ACTIONS(1641),
    [anon_sym_CARET] = ACTIONS(1639),
    [anon_sym_LT_LT] = ACTIONS(1641),
    [anon_sym_GT_GT] = ACTIONS(1641),
    [anon_sym_BANG2] = ACTIONS(381),
    [anon_sym_borrowing] = ACTIONS(291),
    [anon_sym_consuming] = ACTIONS(291),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(383),
    [sym__dot_custom] = ACTIONS(385),
    [sym__eq_custom] = ACTIONS(1641),
    [sym__eq_eq_custom] = ACTIONS(1641),
    [sym__plus_then_ws] = ACTIONS(1641),
    [sym__minus_then_ws] = ACTIONS(1641),
    [sym__bang_custom] = ACTIONS(387),
    [sym__custom_operator] = ACTIONS(335),
  },
  [404] = {
    [sym_simple_identifier] = STATE(2315),
    [sym__contextual_simple_identifier] = STATE(2218),
    [sym__basic_literal] = STATE(1274),
    [sym_boolean_literal] = STATE(1274),
    [sym__string_literal] = STATE(1274),
    [sym_line_string_literal] = STATE(1274),
    [sym_multi_line_string_literal] = STATE(1274),
    [sym_raw_string_literal] = STATE(1274),
    [sym_regex_literal] = STATE(1274),
    [sym__multiline_regex_literal] = STATE(2574),
    [sym_user_type] = STATE(5528),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5528),
    [sym_dictionary_type] = STATE(5528),
    [sym__expression] = STATE(1274),
    [sym__unary_expression] = STATE(1274),
    [sym_postfix_expression] = STATE(1274),
    [sym_constructor_expression] = STATE(1274),
    [sym__parenthesized_type] = STATE(6484),
    [sym_navigation_expression] = STATE(1274),
    [sym__navigable_type_expression] = STATE(6485),
    [sym_open_start_range_expression] = STATE(1274),
    [sym__range_operator] = STATE(483),
    [sym_open_end_range_expression] = STATE(1274),
    [sym_prefix_expression] = STATE(1274),
    [sym_as_expression] = STATE(1274),
    [sym_selector_expression] = STATE(1274),
    [sym__binary_expression] = STATE(1274),
    [sym_multiplicative_expression] = STATE(1274),
    [sym_additive_expression] = STATE(1274),
    [sym_range_expression] = STATE(1274),
    [sym_infix_expression] = STATE(1274),
    [sym_nil_coalescing_expression] = STATE(1274),
    [sym_check_expression] = STATE(1274),
    [sym_comparison_expression] = STATE(1274),
    [sym_equality_expression] = STATE(1274),
    [sym_conjunction_expression] = STATE(1274),
    [sym_disjunction_expression] = STATE(1274),
    [sym_bitwise_operation] = STATE(1274),
    [sym_custom_operator] = STATE(865),
    [sym_try_expression] = STATE(1274),
    [sym_await_expression] = STATE(1274),
    [sym__await_operator] = STATE(485),
    [sym_ternary_expression] = STATE(1274),
    [sym__expr_hack_at_ternary_binary_suffix] = STATE(2666),
    [sym_expr_hack_at_ternary_binary_call] = STATE(2666),
    [sym_call_expression] = STATE(1274),
    [sym__primary_expression] = STATE(1274),
    [sym_tuple_expression] = STATE(1274),
    [sym_array_literal] = STATE(1274),
    [sym_dictionary_literal] = STATE(1274),
    [sym__special_literal] = STATE(1274),
    [sym__playground_literal] = STATE(1274),
    [sym_lambda_literal] = STATE(1274),
    [sym_self_expression] = STATE(1274),
    [sym_super_expression] = STATE(1274),
    [sym_if_statement] = STATE(1274),
    [sym_switch_statement] = STATE(1274),
    [sym_key_path_expression] = STATE(1274),
    [sym_key_path_string_expression] = STATE(1274),
    [sym_try_operator] = STATE(491),
    [sym__assignment_and_operator] = STATE(1274),
    [sym__equality_operator] = STATE(1274),
    [sym__comparison_operator] = STATE(1274),
    [sym__three_dot_operator] = STATE(859),
    [sym__open_ended_range_operator] = STATE(483),
    [sym__additive_operator] = STATE(1274),
    [sym__multiplicative_operator] = STATE(1274),
    [sym__prefix_unary_operator] = STATE(497),
    [sym_directly_assignable_expression] = STATE(5531),
    [sym_assignment] = STATE(1274),
    [sym_value_parameter_pack] = STATE(1274),
    [sym_value_pack_expansion] = STATE(1274),
    [sym__referenceable_operator] = STATE(1274),
    [sym__equal_sign] = STATE(1274),
    [sym__eq_eq] = STATE(1274),
    [sym__dot] = STATE(497),
    [sym_bang] = STATE(865),
    [sym__parameter_ownership_modifier] = STATE(2218),
    [aux_sym_raw_string_literal_repeat1] = STATE(6575),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(1227),
    [aux_sym_simple_identifier_token2] = ACTIONS(1229),
    [aux_sym_simple_identifier_token3] = ACTIONS(1229),
    [aux_sym_simple_identifier_token4] = ACTIONS(1229),
    [anon_sym_actor] = ACTIONS(1227),
    [anon_sym_async] = ACTIONS(1227),
    [anon_sym_each] = ACTIONS(1231),
    [anon_sym_lazy] = ACTIONS(1227),
    [anon_sym_repeat] = ACTIONS(1233),
    [anon_sym_package] = ACTIONS(1227),
    [anon_sym_nil] = ACTIONS(1717),
    [sym_real_literal] = ACTIONS(1719),
    [sym_integer_literal] = ACTIONS(1717),
    [sym_hex_literal] = ACTIONS(1719),
    [sym_oct_literal] = ACTIONS(1719),
    [sym_bin_literal] = ACTIONS(1719),
    [anon_sym_true] = ACTIONS(1239),
    [anon_sym_false] = ACTIONS(1239),
    [anon_sym_DQUOTE] = ACTIONS(1241),
    [anon_sym_BSLASH] = ACTIONS(1243),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1245),
    [sym__extended_regex_literal] = ACTIONS(1247),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(1249),
    [sym__oneline_regex_literal] = ACTIONS(1251),
    [anon_sym_LPAREN] = ACTIONS(1253),
    [anon_sym_LBRACK] = ACTIONS(1255),
    [anon_sym_AMP] = ACTIONS(1257),
    [anon_sym_if] = ACTIONS(1259),
    [anon_sym_switch] = ACTIONS(1261),
    [anon_sym_POUNDselector] = ACTIONS(1263),
    [aux_sym_custom_operator_token1] = ACTIONS(1265),
    [anon_sym_LT] = ACTIONS(1717),
    [anon_sym_GT] = ACTIONS(1717),
    [anon_sym_await] = ACTIONS(1267),
    [anon_sym_POUNDfile] = ACTIONS(1717),
    [anon_sym_POUNDfileID] = ACTIONS(1719),
    [anon_sym_POUNDfilePath] = ACTIONS(1719),
    [anon_sym_POUNDline] = ACTIONS(1719),
    [anon_sym_POUNDcolumn] = ACTIONS(1719),
    [anon_sym_POUNDfunction] = ACTIONS(1719),
    [anon_sym_POUNDdsohandle] = ACTIONS(1719),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(1269),
    [anon_sym_POUNDfileLiteral] = ACTIONS(1269),
    [anon_sym_POUNDimageLiteral] = ACTIONS(1269),
    [anon_sym_LBRACE] = ACTIONS(1271),
    [anon_sym_CARET_LBRACE] = ACTIONS(1271),
    [anon_sym_self] = ACTIONS(1273),
    [anon_sym_super] = ACTIONS(1275),
    [anon_sym_POUNDkeyPath] = ACTIONS(1277),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1719),
    [anon_sym_DASH_EQ] = ACTIONS(1719),
    [anon_sym_STAR_EQ] = ACTIONS(1719),
    [anon_sym_SLASH_EQ] = ACTIONS(1719),
    [anon_sym_PERCENT_EQ] = ACTIONS(1719),
    [anon_sym_BANG_EQ] = ACTIONS(1717),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1719),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1719),
    [anon_sym_LT_EQ] = ACTIONS(1719),
    [anon_sym_GT_EQ] = ACTIONS(1719),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1279),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1281),
    [anon_sym_PLUS] = ACTIONS(1283),
    [anon_sym_DASH] = ACTIONS(1283),
    [anon_sym_STAR] = ACTIONS(1717),
    [anon_sym_SLASH] = ACTIONS(1717),
    [anon_sym_PERCENT] = ACTIONS(1717),
    [anon_sym_PLUS_PLUS] = ACTIONS(1257),
    [anon_sym_DASH_DASH] = ACTIONS(1257),
    [anon_sym_TILDE] = ACTIONS(1257),
    [anon_sym_PIPE] = ACTIONS(1719),
    [anon_sym_CARET] = ACTIONS(1717),
    [anon_sym_LT_LT] = ACTIONS(1719),
    [anon_sym_GT_GT] = ACTIONS(1719),
    [anon_sym_BANG2] = ACTIONS(1285),
    [anon_sym_borrowing] = ACTIONS(1227),
    [anon_sym_consuming] = ACTIONS(1227),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(1287),
    [sym__dot_custom] = ACTIONS(1289),
    [sym__eq_custom] = ACTIONS(1719),
    [sym__eq_eq_custom] = ACTIONS(1719),
    [sym__plus_then_ws] = ACTIONS(1719),
    [sym__minus_then_ws] = ACTIONS(1719),
    [sym__bang_custom] = ACTIONS(1291),
    [sym__custom_operator] = ACTIONS(1265),
  },
  [405] = {
    [sym_simple_identifier] = STATE(2315),
    [sym__contextual_simple_identifier] = STATE(2218),
    [sym__basic_literal] = STATE(1274),
    [sym_boolean_literal] = STATE(1274),
    [sym__string_literal] = STATE(1274),
    [sym_line_string_literal] = STATE(1274),
    [sym_multi_line_string_literal] = STATE(1274),
    [sym_raw_string_literal] = STATE(1274),
    [sym_regex_literal] = STATE(1274),
    [sym__multiline_regex_literal] = STATE(2574),
    [sym_user_type] = STATE(5528),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5528),
    [sym_dictionary_type] = STATE(5528),
    [sym__expression] = STATE(1274),
    [sym__unary_expression] = STATE(1274),
    [sym_postfix_expression] = STATE(1274),
    [sym_constructor_expression] = STATE(1274),
    [sym__parenthesized_type] = STATE(6484),
    [sym_navigation_expression] = STATE(1274),
    [sym__navigable_type_expression] = STATE(6485),
    [sym_open_start_range_expression] = STATE(1274),
    [sym__range_operator] = STATE(483),
    [sym_open_end_range_expression] = STATE(1274),
    [sym_prefix_expression] = STATE(1274),
    [sym_as_expression] = STATE(1274),
    [sym_selector_expression] = STATE(1274),
    [sym__binary_expression] = STATE(1274),
    [sym_multiplicative_expression] = STATE(1274),
    [sym_additive_expression] = STATE(1274),
    [sym_range_expression] = STATE(1274),
    [sym_infix_expression] = STATE(1274),
    [sym_nil_coalescing_expression] = STATE(1274),
    [sym_check_expression] = STATE(1274),
    [sym_comparison_expression] = STATE(1274),
    [sym_equality_expression] = STATE(1274),
    [sym_conjunction_expression] = STATE(1274),
    [sym_disjunction_expression] = STATE(1274),
    [sym_bitwise_operation] = STATE(1274),
    [sym_custom_operator] = STATE(865),
    [sym_try_expression] = STATE(1274),
    [sym_await_expression] = STATE(1274),
    [sym__await_operator] = STATE(485),
    [sym_ternary_expression] = STATE(1274),
    [sym__expr_hack_at_ternary_binary_suffix] = STATE(2664),
    [sym_expr_hack_at_ternary_binary_call] = STATE(2664),
    [sym_call_expression] = STATE(1274),
    [sym__primary_expression] = STATE(1274),
    [sym_tuple_expression] = STATE(1274),
    [sym_array_literal] = STATE(1274),
    [sym_dictionary_literal] = STATE(1274),
    [sym__special_literal] = STATE(1274),
    [sym__playground_literal] = STATE(1274),
    [sym_lambda_literal] = STATE(1274),
    [sym_self_expression] = STATE(1274),
    [sym_super_expression] = STATE(1274),
    [sym_if_statement] = STATE(1274),
    [sym_switch_statement] = STATE(1274),
    [sym_key_path_expression] = STATE(1274),
    [sym_key_path_string_expression] = STATE(1274),
    [sym_try_operator] = STATE(491),
    [sym__assignment_and_operator] = STATE(1274),
    [sym__equality_operator] = STATE(1274),
    [sym__comparison_operator] = STATE(1274),
    [sym__three_dot_operator] = STATE(859),
    [sym__open_ended_range_operator] = STATE(483),
    [sym__additive_operator] = STATE(1274),
    [sym__multiplicative_operator] = STATE(1274),
    [sym__prefix_unary_operator] = STATE(497),
    [sym_directly_assignable_expression] = STATE(5531),
    [sym_assignment] = STATE(1274),
    [sym_value_parameter_pack] = STATE(1274),
    [sym_value_pack_expansion] = STATE(1274),
    [sym__referenceable_operator] = STATE(1274),
    [sym__equal_sign] = STATE(1274),
    [sym__eq_eq] = STATE(1274),
    [sym__dot] = STATE(497),
    [sym_bang] = STATE(865),
    [sym__parameter_ownership_modifier] = STATE(2218),
    [aux_sym_raw_string_literal_repeat1] = STATE(6575),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(1227),
    [aux_sym_simple_identifier_token2] = ACTIONS(1229),
    [aux_sym_simple_identifier_token3] = ACTIONS(1229),
    [aux_sym_simple_identifier_token4] = ACTIONS(1229),
    [anon_sym_actor] = ACTIONS(1227),
    [anon_sym_async] = ACTIONS(1227),
    [anon_sym_each] = ACTIONS(1231),
    [anon_sym_lazy] = ACTIONS(1227),
    [anon_sym_repeat] = ACTIONS(1233),
    [anon_sym_package] = ACTIONS(1227),
    [anon_sym_nil] = ACTIONS(1717),
    [sym_real_literal] = ACTIONS(1719),
    [sym_integer_literal] = ACTIONS(1717),
    [sym_hex_literal] = ACTIONS(1719),
    [sym_oct_literal] = ACTIONS(1719),
    [sym_bin_literal] = ACTIONS(1719),
    [anon_sym_true] = ACTIONS(1239),
    [anon_sym_false] = ACTIONS(1239),
    [anon_sym_DQUOTE] = ACTIONS(1241),
    [anon_sym_BSLASH] = ACTIONS(1243),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1245),
    [sym__extended_regex_literal] = ACTIONS(1247),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(1249),
    [sym__oneline_regex_literal] = ACTIONS(1251),
    [anon_sym_LPAREN] = ACTIONS(1253),
    [anon_sym_LBRACK] = ACTIONS(1255),
    [anon_sym_AMP] = ACTIONS(1257),
    [anon_sym_if] = ACTIONS(1259),
    [anon_sym_switch] = ACTIONS(1261),
    [anon_sym_POUNDselector] = ACTIONS(1263),
    [aux_sym_custom_operator_token1] = ACTIONS(1265),
    [anon_sym_LT] = ACTIONS(1717),
    [anon_sym_GT] = ACTIONS(1717),
    [anon_sym_await] = ACTIONS(1267),
    [anon_sym_POUNDfile] = ACTIONS(1717),
    [anon_sym_POUNDfileID] = ACTIONS(1719),
    [anon_sym_POUNDfilePath] = ACTIONS(1719),
    [anon_sym_POUNDline] = ACTIONS(1719),
    [anon_sym_POUNDcolumn] = ACTIONS(1719),
    [anon_sym_POUNDfunction] = ACTIONS(1719),
    [anon_sym_POUNDdsohandle] = ACTIONS(1719),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(1269),
    [anon_sym_POUNDfileLiteral] = ACTIONS(1269),
    [anon_sym_POUNDimageLiteral] = ACTIONS(1269),
    [anon_sym_LBRACE] = ACTIONS(1271),
    [anon_sym_CARET_LBRACE] = ACTIONS(1271),
    [anon_sym_self] = ACTIONS(1273),
    [anon_sym_super] = ACTIONS(1275),
    [anon_sym_POUNDkeyPath] = ACTIONS(1277),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1719),
    [anon_sym_DASH_EQ] = ACTIONS(1719),
    [anon_sym_STAR_EQ] = ACTIONS(1719),
    [anon_sym_SLASH_EQ] = ACTIONS(1719),
    [anon_sym_PERCENT_EQ] = ACTIONS(1719),
    [anon_sym_BANG_EQ] = ACTIONS(1717),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1719),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1719),
    [anon_sym_LT_EQ] = ACTIONS(1719),
    [anon_sym_GT_EQ] = ACTIONS(1719),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1279),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1281),
    [anon_sym_PLUS] = ACTIONS(1283),
    [anon_sym_DASH] = ACTIONS(1283),
    [anon_sym_STAR] = ACTIONS(1717),
    [anon_sym_SLASH] = ACTIONS(1717),
    [anon_sym_PERCENT] = ACTIONS(1717),
    [anon_sym_PLUS_PLUS] = ACTIONS(1257),
    [anon_sym_DASH_DASH] = ACTIONS(1257),
    [anon_sym_TILDE] = ACTIONS(1257),
    [anon_sym_PIPE] = ACTIONS(1719),
    [anon_sym_CARET] = ACTIONS(1717),
    [anon_sym_LT_LT] = ACTIONS(1719),
    [anon_sym_GT_GT] = ACTIONS(1719),
    [anon_sym_BANG2] = ACTIONS(1285),
    [anon_sym_borrowing] = ACTIONS(1227),
    [anon_sym_consuming] = ACTIONS(1227),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(1287),
    [sym__dot_custom] = ACTIONS(1289),
    [sym__eq_custom] = ACTIONS(1719),
    [sym__eq_eq_custom] = ACTIONS(1719),
    [sym__plus_then_ws] = ACTIONS(1719),
    [sym__minus_then_ws] = ACTIONS(1719),
    [sym__bang_custom] = ACTIONS(1291),
    [sym__custom_operator] = ACTIONS(1265),
  },
  [406] = {
    [sym_simple_identifier] = STATE(2276),
    [sym__contextual_simple_identifier] = STATE(2115),
    [sym__basic_literal] = STATE(1262),
    [sym_boolean_literal] = STATE(1262),
    [sym__string_literal] = STATE(1262),
    [sym_line_string_literal] = STATE(1262),
    [sym_multi_line_string_literal] = STATE(1262),
    [sym_raw_string_literal] = STATE(1262),
    [sym_regex_literal] = STATE(1262),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1262),
    [sym__unary_expression] = STATE(1262),
    [sym_postfix_expression] = STATE(1262),
    [sym_constructor_expression] = STATE(1262),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1262),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1262),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1262),
    [sym_prefix_expression] = STATE(1262),
    [sym_as_expression] = STATE(1262),
    [sym_selector_expression] = STATE(1262),
    [sym__binary_expression] = STATE(1262),
    [sym_multiplicative_expression] = STATE(1262),
    [sym_additive_expression] = STATE(1262),
    [sym_range_expression] = STATE(1262),
    [sym_infix_expression] = STATE(1262),
    [sym_nil_coalescing_expression] = STATE(1262),
    [sym_check_expression] = STATE(1262),
    [sym_comparison_expression] = STATE(1262),
    [sym_equality_expression] = STATE(1262),
    [sym_conjunction_expression] = STATE(1262),
    [sym_disjunction_expression] = STATE(1262),
    [sym_bitwise_operation] = STATE(1262),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1262),
    [sym_await_expression] = STATE(1262),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1262),
    [sym__expr_hack_at_ternary_binary_suffix] = STATE(2465),
    [sym_expr_hack_at_ternary_binary_call] = STATE(2465),
    [sym_call_expression] = STATE(1262),
    [sym__primary_expression] = STATE(1262),
    [sym_tuple_expression] = STATE(1262),
    [sym_array_literal] = STATE(1262),
    [sym_dictionary_literal] = STATE(1262),
    [sym__special_literal] = STATE(1262),
    [sym__playground_literal] = STATE(1262),
    [sym_lambda_literal] = STATE(1262),
    [sym_self_expression] = STATE(1262),
    [sym_super_expression] = STATE(1262),
    [sym_if_statement] = STATE(1262),
    [sym_switch_statement] = STATE(1262),
    [sym_key_path_expression] = STATE(1262),
    [sym_key_path_string_expression] = STATE(1262),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1262),
    [sym__equality_operator] = STATE(1262),
    [sym__comparison_operator] = STATE(1262),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1262),
    [sym__multiplicative_operator] = STATE(1262),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym_assignment] = STATE(1262),
    [sym_value_parameter_pack] = STATE(1262),
    [sym_value_pack_expansion] = STATE(1262),
    [sym__referenceable_operator] = STATE(1262),
    [sym__equal_sign] = STATE(1262),
    [sym__eq_eq] = STATE(1262),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__parameter_ownership_modifier] = STATE(2115),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(11),
    [aux_sym_simple_identifier_token2] = ACTIONS(13),
    [aux_sym_simple_identifier_token3] = ACTIONS(13),
    [aux_sym_simple_identifier_token4] = ACTIONS(13),
    [anon_sym_actor] = ACTIONS(11),
    [anon_sym_async] = ACTIONS(11),
    [anon_sym_each] = ACTIONS(19),
    [anon_sym_lazy] = ACTIONS(11),
    [anon_sym_repeat] = ACTIONS(937),
    [anon_sym_package] = ACTIONS(11),
    [anon_sym_nil] = ACTIONS(1677),
    [sym_real_literal] = ACTIONS(1679),
    [sym_integer_literal] = ACTIONS(1677),
    [sym_hex_literal] = ACTIONS(1679),
    [sym_oct_literal] = ACTIONS(1679),
    [sym_bin_literal] = ACTIONS(1679),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(1677),
    [anon_sym_GT] = ACTIONS(1677),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(1677),
    [anon_sym_POUNDfileID] = ACTIONS(1679),
    [anon_sym_POUNDfilePath] = ACTIONS(1679),
    [anon_sym_POUNDline] = ACTIONS(1679),
    [anon_sym_POUNDcolumn] = ACTIONS(1679),
    [anon_sym_POUNDfunction] = ACTIONS(1679),
    [anon_sym_POUNDdsohandle] = ACTIONS(1679),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_self] = ACTIONS(65),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1679),
    [anon_sym_DASH_EQ] = ACTIONS(1679),
    [anon_sym_STAR_EQ] = ACTIONS(1679),
    [anon_sym_SLASH_EQ] = ACTIONS(1679),
    [anon_sym_PERCENT_EQ] = ACTIONS(1679),
    [anon_sym_BANG_EQ] = ACTIONS(1677),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1679),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1679),
    [anon_sym_LT_EQ] = ACTIONS(1679),
    [anon_sym_GT_EQ] = ACTIONS(1679),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(1677),
    [anon_sym_SLASH] = ACTIONS(1677),
    [anon_sym_PERCENT] = ACTIONS(1677),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(1679),
    [anon_sym_CARET] = ACTIONS(1677),
    [anon_sym_LT_LT] = ACTIONS(1679),
    [anon_sym_GT_GT] = ACTIONS(1679),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_borrowing] = ACTIONS(11),
    [anon_sym_consuming] = ACTIONS(11),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(1679),
    [sym__eq_eq_custom] = ACTIONS(1679),
    [sym__plus_then_ws] = ACTIONS(1679),
    [sym__minus_then_ws] = ACTIONS(1679),
    [sym__bang_custom] = ACTIONS(151),
    [sym__custom_operator] = ACTIONS(57),
  },
  [407] = {
    [sym_simple_identifier] = STATE(2315),
    [sym__contextual_simple_identifier] = STATE(2218),
    [sym__basic_literal] = STATE(1274),
    [sym_boolean_literal] = STATE(1274),
    [sym__string_literal] = STATE(1274),
    [sym_line_string_literal] = STATE(1274),
    [sym_multi_line_string_literal] = STATE(1274),
    [sym_raw_string_literal] = STATE(1274),
    [sym_regex_literal] = STATE(1274),
    [sym__multiline_regex_literal] = STATE(2574),
    [sym_user_type] = STATE(5528),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5528),
    [sym_dictionary_type] = STATE(5528),
    [sym__expression] = STATE(1274),
    [sym__unary_expression] = STATE(1274),
    [sym_postfix_expression] = STATE(1274),
    [sym_constructor_expression] = STATE(1274),
    [sym__parenthesized_type] = STATE(6484),
    [sym_navigation_expression] = STATE(1274),
    [sym__navigable_type_expression] = STATE(6485),
    [sym_open_start_range_expression] = STATE(1274),
    [sym__range_operator] = STATE(483),
    [sym_open_end_range_expression] = STATE(1274),
    [sym_prefix_expression] = STATE(1274),
    [sym_as_expression] = STATE(1274),
    [sym_selector_expression] = STATE(1274),
    [sym__binary_expression] = STATE(1274),
    [sym_multiplicative_expression] = STATE(1274),
    [sym_additive_expression] = STATE(1274),
    [sym_range_expression] = STATE(1274),
    [sym_infix_expression] = STATE(1274),
    [sym_nil_coalescing_expression] = STATE(1274),
    [sym_check_expression] = STATE(1274),
    [sym_comparison_expression] = STATE(1274),
    [sym_equality_expression] = STATE(1274),
    [sym_conjunction_expression] = STATE(1274),
    [sym_disjunction_expression] = STATE(1274),
    [sym_bitwise_operation] = STATE(1274),
    [sym_custom_operator] = STATE(865),
    [sym_try_expression] = STATE(1274),
    [sym_await_expression] = STATE(1274),
    [sym__await_operator] = STATE(485),
    [sym_ternary_expression] = STATE(1274),
    [sym__expr_hack_at_ternary_binary_suffix] = STATE(2644),
    [sym_expr_hack_at_ternary_binary_call] = STATE(2644),
    [sym_call_expression] = STATE(1274),
    [sym__primary_expression] = STATE(1274),
    [sym_tuple_expression] = STATE(1274),
    [sym_array_literal] = STATE(1274),
    [sym_dictionary_literal] = STATE(1274),
    [sym__special_literal] = STATE(1274),
    [sym__playground_literal] = STATE(1274),
    [sym_lambda_literal] = STATE(1274),
    [sym_self_expression] = STATE(1274),
    [sym_super_expression] = STATE(1274),
    [sym_if_statement] = STATE(1274),
    [sym_switch_statement] = STATE(1274),
    [sym_key_path_expression] = STATE(1274),
    [sym_key_path_string_expression] = STATE(1274),
    [sym_try_operator] = STATE(491),
    [sym__assignment_and_operator] = STATE(1274),
    [sym__equality_operator] = STATE(1274),
    [sym__comparison_operator] = STATE(1274),
    [sym__three_dot_operator] = STATE(859),
    [sym__open_ended_range_operator] = STATE(483),
    [sym__additive_operator] = STATE(1274),
    [sym__multiplicative_operator] = STATE(1274),
    [sym__prefix_unary_operator] = STATE(497),
    [sym_directly_assignable_expression] = STATE(5531),
    [sym_assignment] = STATE(1274),
    [sym_value_parameter_pack] = STATE(1274),
    [sym_value_pack_expansion] = STATE(1274),
    [sym__referenceable_operator] = STATE(1274),
    [sym__equal_sign] = STATE(1274),
    [sym__eq_eq] = STATE(1274),
    [sym__dot] = STATE(497),
    [sym_bang] = STATE(865),
    [sym__parameter_ownership_modifier] = STATE(2218),
    [aux_sym_raw_string_literal_repeat1] = STATE(6575),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(1227),
    [aux_sym_simple_identifier_token2] = ACTIONS(1229),
    [aux_sym_simple_identifier_token3] = ACTIONS(1229),
    [aux_sym_simple_identifier_token4] = ACTIONS(1229),
    [anon_sym_actor] = ACTIONS(1227),
    [anon_sym_async] = ACTIONS(1227),
    [anon_sym_each] = ACTIONS(1231),
    [anon_sym_lazy] = ACTIONS(1227),
    [anon_sym_repeat] = ACTIONS(1233),
    [anon_sym_package] = ACTIONS(1227),
    [anon_sym_nil] = ACTIONS(1717),
    [sym_real_literal] = ACTIONS(1719),
    [sym_integer_literal] = ACTIONS(1717),
    [sym_hex_literal] = ACTIONS(1719),
    [sym_oct_literal] = ACTIONS(1719),
    [sym_bin_literal] = ACTIONS(1719),
    [anon_sym_true] = ACTIONS(1239),
    [anon_sym_false] = ACTIONS(1239),
    [anon_sym_DQUOTE] = ACTIONS(1241),
    [anon_sym_BSLASH] = ACTIONS(1243),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1245),
    [sym__extended_regex_literal] = ACTIONS(1247),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(1249),
    [sym__oneline_regex_literal] = ACTIONS(1251),
    [anon_sym_LPAREN] = ACTIONS(1253),
    [anon_sym_LBRACK] = ACTIONS(1255),
    [anon_sym_AMP] = ACTIONS(1257),
    [anon_sym_if] = ACTIONS(1259),
    [anon_sym_switch] = ACTIONS(1261),
    [anon_sym_POUNDselector] = ACTIONS(1263),
    [aux_sym_custom_operator_token1] = ACTIONS(1265),
    [anon_sym_LT] = ACTIONS(1717),
    [anon_sym_GT] = ACTIONS(1717),
    [anon_sym_await] = ACTIONS(1267),
    [anon_sym_POUNDfile] = ACTIONS(1717),
    [anon_sym_POUNDfileID] = ACTIONS(1719),
    [anon_sym_POUNDfilePath] = ACTIONS(1719),
    [anon_sym_POUNDline] = ACTIONS(1719),
    [anon_sym_POUNDcolumn] = ACTIONS(1719),
    [anon_sym_POUNDfunction] = ACTIONS(1719),
    [anon_sym_POUNDdsohandle] = ACTIONS(1719),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(1269),
    [anon_sym_POUNDfileLiteral] = ACTIONS(1269),
    [anon_sym_POUNDimageLiteral] = ACTIONS(1269),
    [anon_sym_LBRACE] = ACTIONS(1271),
    [anon_sym_CARET_LBRACE] = ACTIONS(1271),
    [anon_sym_self] = ACTIONS(1273),
    [anon_sym_super] = ACTIONS(1275),
    [anon_sym_POUNDkeyPath] = ACTIONS(1277),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1719),
    [anon_sym_DASH_EQ] = ACTIONS(1719),
    [anon_sym_STAR_EQ] = ACTIONS(1719),
    [anon_sym_SLASH_EQ] = ACTIONS(1719),
    [anon_sym_PERCENT_EQ] = ACTIONS(1719),
    [anon_sym_BANG_EQ] = ACTIONS(1717),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1719),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1719),
    [anon_sym_LT_EQ] = ACTIONS(1719),
    [anon_sym_GT_EQ] = ACTIONS(1719),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1279),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1281),
    [anon_sym_PLUS] = ACTIONS(1283),
    [anon_sym_DASH] = ACTIONS(1283),
    [anon_sym_STAR] = ACTIONS(1717),
    [anon_sym_SLASH] = ACTIONS(1717),
    [anon_sym_PERCENT] = ACTIONS(1717),
    [anon_sym_PLUS_PLUS] = ACTIONS(1257),
    [anon_sym_DASH_DASH] = ACTIONS(1257),
    [anon_sym_TILDE] = ACTIONS(1257),
    [anon_sym_PIPE] = ACTIONS(1719),
    [anon_sym_CARET] = ACTIONS(1717),
    [anon_sym_LT_LT] = ACTIONS(1719),
    [anon_sym_GT_GT] = ACTIONS(1719),
    [anon_sym_BANG2] = ACTIONS(1285),
    [anon_sym_borrowing] = ACTIONS(1227),
    [anon_sym_consuming] = ACTIONS(1227),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(1287),
    [sym__dot_custom] = ACTIONS(1289),
    [sym__eq_custom] = ACTIONS(1719),
    [sym__eq_eq_custom] = ACTIONS(1719),
    [sym__plus_then_ws] = ACTIONS(1719),
    [sym__minus_then_ws] = ACTIONS(1719),
    [sym__bang_custom] = ACTIONS(1291),
    [sym__custom_operator] = ACTIONS(1265),
  },
  [408] = {
    [sym_simple_identifier] = STATE(2315),
    [sym__contextual_simple_identifier] = STATE(2218),
    [sym__basic_literal] = STATE(1274),
    [sym_boolean_literal] = STATE(1274),
    [sym__string_literal] = STATE(1274),
    [sym_line_string_literal] = STATE(1274),
    [sym_multi_line_string_literal] = STATE(1274),
    [sym_raw_string_literal] = STATE(1274),
    [sym_regex_literal] = STATE(1274),
    [sym__multiline_regex_literal] = STATE(2574),
    [sym_user_type] = STATE(5528),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5528),
    [sym_dictionary_type] = STATE(5528),
    [sym__expression] = STATE(1274),
    [sym__unary_expression] = STATE(1274),
    [sym_postfix_expression] = STATE(1274),
    [sym_constructor_expression] = STATE(1274),
    [sym__parenthesized_type] = STATE(6484),
    [sym_navigation_expression] = STATE(1274),
    [sym__navigable_type_expression] = STATE(6485),
    [sym_open_start_range_expression] = STATE(1274),
    [sym__range_operator] = STATE(483),
    [sym_open_end_range_expression] = STATE(1274),
    [sym_prefix_expression] = STATE(1274),
    [sym_as_expression] = STATE(1274),
    [sym_selector_expression] = STATE(1274),
    [sym__binary_expression] = STATE(1274),
    [sym_multiplicative_expression] = STATE(1274),
    [sym_additive_expression] = STATE(1274),
    [sym_range_expression] = STATE(1274),
    [sym_infix_expression] = STATE(1274),
    [sym_nil_coalescing_expression] = STATE(1274),
    [sym_check_expression] = STATE(1274),
    [sym_comparison_expression] = STATE(1274),
    [sym_equality_expression] = STATE(1274),
    [sym_conjunction_expression] = STATE(1274),
    [sym_disjunction_expression] = STATE(1274),
    [sym_bitwise_operation] = STATE(1274),
    [sym_custom_operator] = STATE(865),
    [sym_try_expression] = STATE(1274),
    [sym_await_expression] = STATE(1274),
    [sym__await_operator] = STATE(485),
    [sym_ternary_expression] = STATE(1274),
    [sym__expr_hack_at_ternary_binary_suffix] = STATE(2667),
    [sym_expr_hack_at_ternary_binary_call] = STATE(2667),
    [sym_call_expression] = STATE(1274),
    [sym__primary_expression] = STATE(1274),
    [sym_tuple_expression] = STATE(1274),
    [sym_array_literal] = STATE(1274),
    [sym_dictionary_literal] = STATE(1274),
    [sym__special_literal] = STATE(1274),
    [sym__playground_literal] = STATE(1274),
    [sym_lambda_literal] = STATE(1274),
    [sym_self_expression] = STATE(1274),
    [sym_super_expression] = STATE(1274),
    [sym_if_statement] = STATE(1274),
    [sym_switch_statement] = STATE(1274),
    [sym_key_path_expression] = STATE(1274),
    [sym_key_path_string_expression] = STATE(1274),
    [sym_try_operator] = STATE(491),
    [sym__assignment_and_operator] = STATE(1274),
    [sym__equality_operator] = STATE(1274),
    [sym__comparison_operator] = STATE(1274),
    [sym__three_dot_operator] = STATE(859),
    [sym__open_ended_range_operator] = STATE(483),
    [sym__additive_operator] = STATE(1274),
    [sym__multiplicative_operator] = STATE(1274),
    [sym__prefix_unary_operator] = STATE(497),
    [sym_directly_assignable_expression] = STATE(5531),
    [sym_assignment] = STATE(1274),
    [sym_value_parameter_pack] = STATE(1274),
    [sym_value_pack_expansion] = STATE(1274),
    [sym__referenceable_operator] = STATE(1274),
    [sym__equal_sign] = STATE(1274),
    [sym__eq_eq] = STATE(1274),
    [sym__dot] = STATE(497),
    [sym_bang] = STATE(865),
    [sym__parameter_ownership_modifier] = STATE(2218),
    [aux_sym_raw_string_literal_repeat1] = STATE(6575),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(1227),
    [aux_sym_simple_identifier_token2] = ACTIONS(1229),
    [aux_sym_simple_identifier_token3] = ACTIONS(1229),
    [aux_sym_simple_identifier_token4] = ACTIONS(1229),
    [anon_sym_actor] = ACTIONS(1227),
    [anon_sym_async] = ACTIONS(1227),
    [anon_sym_each] = ACTIONS(1231),
    [anon_sym_lazy] = ACTIONS(1227),
    [anon_sym_repeat] = ACTIONS(1233),
    [anon_sym_package] = ACTIONS(1227),
    [anon_sym_nil] = ACTIONS(1717),
    [sym_real_literal] = ACTIONS(1719),
    [sym_integer_literal] = ACTIONS(1717),
    [sym_hex_literal] = ACTIONS(1719),
    [sym_oct_literal] = ACTIONS(1719),
    [sym_bin_literal] = ACTIONS(1719),
    [anon_sym_true] = ACTIONS(1239),
    [anon_sym_false] = ACTIONS(1239),
    [anon_sym_DQUOTE] = ACTIONS(1241),
    [anon_sym_BSLASH] = ACTIONS(1243),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1245),
    [sym__extended_regex_literal] = ACTIONS(1247),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(1249),
    [sym__oneline_regex_literal] = ACTIONS(1251),
    [anon_sym_LPAREN] = ACTIONS(1253),
    [anon_sym_LBRACK] = ACTIONS(1255),
    [anon_sym_AMP] = ACTIONS(1257),
    [anon_sym_if] = ACTIONS(1259),
    [anon_sym_switch] = ACTIONS(1261),
    [anon_sym_POUNDselector] = ACTIONS(1263),
    [aux_sym_custom_operator_token1] = ACTIONS(1265),
    [anon_sym_LT] = ACTIONS(1717),
    [anon_sym_GT] = ACTIONS(1717),
    [anon_sym_await] = ACTIONS(1267),
    [anon_sym_POUNDfile] = ACTIONS(1717),
    [anon_sym_POUNDfileID] = ACTIONS(1719),
    [anon_sym_POUNDfilePath] = ACTIONS(1719),
    [anon_sym_POUNDline] = ACTIONS(1719),
    [anon_sym_POUNDcolumn] = ACTIONS(1719),
    [anon_sym_POUNDfunction] = ACTIONS(1719),
    [anon_sym_POUNDdsohandle] = ACTIONS(1719),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(1269),
    [anon_sym_POUNDfileLiteral] = ACTIONS(1269),
    [anon_sym_POUNDimageLiteral] = ACTIONS(1269),
    [anon_sym_LBRACE] = ACTIONS(1271),
    [anon_sym_CARET_LBRACE] = ACTIONS(1271),
    [anon_sym_self] = ACTIONS(1273),
    [anon_sym_super] = ACTIONS(1275),
    [anon_sym_POUNDkeyPath] = ACTIONS(1277),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1719),
    [anon_sym_DASH_EQ] = ACTIONS(1719),
    [anon_sym_STAR_EQ] = ACTIONS(1719),
    [anon_sym_SLASH_EQ] = ACTIONS(1719),
    [anon_sym_PERCENT_EQ] = ACTIONS(1719),
    [anon_sym_BANG_EQ] = ACTIONS(1717),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1719),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1719),
    [anon_sym_LT_EQ] = ACTIONS(1719),
    [anon_sym_GT_EQ] = ACTIONS(1719),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1279),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1281),
    [anon_sym_PLUS] = ACTIONS(1283),
    [anon_sym_DASH] = ACTIONS(1283),
    [anon_sym_STAR] = ACTIONS(1717),
    [anon_sym_SLASH] = ACTIONS(1717),
    [anon_sym_PERCENT] = ACTIONS(1717),
    [anon_sym_PLUS_PLUS] = ACTIONS(1257),
    [anon_sym_DASH_DASH] = ACTIONS(1257),
    [anon_sym_TILDE] = ACTIONS(1257),
    [anon_sym_PIPE] = ACTIONS(1719),
    [anon_sym_CARET] = ACTIONS(1717),
    [anon_sym_LT_LT] = ACTIONS(1719),
    [anon_sym_GT_GT] = ACTIONS(1719),
    [anon_sym_BANG2] = ACTIONS(1285),
    [anon_sym_borrowing] = ACTIONS(1227),
    [anon_sym_consuming] = ACTIONS(1227),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(1287),
    [sym__dot_custom] = ACTIONS(1289),
    [sym__eq_custom] = ACTIONS(1719),
    [sym__eq_eq_custom] = ACTIONS(1719),
    [sym__plus_then_ws] = ACTIONS(1719),
    [sym__minus_then_ws] = ACTIONS(1719),
    [sym__bang_custom] = ACTIONS(1291),
    [sym__custom_operator] = ACTIONS(1265),
  },
  [409] = {
    [sym_simple_identifier] = STATE(2315),
    [sym__contextual_simple_identifier] = STATE(2218),
    [sym__basic_literal] = STATE(1274),
    [sym_boolean_literal] = STATE(1274),
    [sym__string_literal] = STATE(1274),
    [sym_line_string_literal] = STATE(1274),
    [sym_multi_line_string_literal] = STATE(1274),
    [sym_raw_string_literal] = STATE(1274),
    [sym_regex_literal] = STATE(1274),
    [sym__multiline_regex_literal] = STATE(2574),
    [sym_user_type] = STATE(5528),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5528),
    [sym_dictionary_type] = STATE(5528),
    [sym__expression] = STATE(1274),
    [sym__unary_expression] = STATE(1274),
    [sym_postfix_expression] = STATE(1274),
    [sym_constructor_expression] = STATE(1274),
    [sym__parenthesized_type] = STATE(6484),
    [sym_navigation_expression] = STATE(1274),
    [sym__navigable_type_expression] = STATE(6485),
    [sym_open_start_range_expression] = STATE(1274),
    [sym__range_operator] = STATE(483),
    [sym_open_end_range_expression] = STATE(1274),
    [sym_prefix_expression] = STATE(1274),
    [sym_as_expression] = STATE(1274),
    [sym_selector_expression] = STATE(1274),
    [sym__binary_expression] = STATE(1274),
    [sym_multiplicative_expression] = STATE(1274),
    [sym_additive_expression] = STATE(1274),
    [sym_range_expression] = STATE(1274),
    [sym_infix_expression] = STATE(1274),
    [sym_nil_coalescing_expression] = STATE(1274),
    [sym_check_expression] = STATE(1274),
    [sym_comparison_expression] = STATE(1274),
    [sym_equality_expression] = STATE(1274),
    [sym_conjunction_expression] = STATE(1274),
    [sym_disjunction_expression] = STATE(1274),
    [sym_bitwise_operation] = STATE(1274),
    [sym_custom_operator] = STATE(865),
    [sym_try_expression] = STATE(1274),
    [sym_await_expression] = STATE(1274),
    [sym__await_operator] = STATE(485),
    [sym_ternary_expression] = STATE(1274),
    [sym__expr_hack_at_ternary_binary_suffix] = STATE(2658),
    [sym_expr_hack_at_ternary_binary_call] = STATE(2658),
    [sym_call_expression] = STATE(1274),
    [sym__primary_expression] = STATE(1274),
    [sym_tuple_expression] = STATE(1274),
    [sym_array_literal] = STATE(1274),
    [sym_dictionary_literal] = STATE(1274),
    [sym__special_literal] = STATE(1274),
    [sym__playground_literal] = STATE(1274),
    [sym_lambda_literal] = STATE(1274),
    [sym_self_expression] = STATE(1274),
    [sym_super_expression] = STATE(1274),
    [sym_if_statement] = STATE(1274),
    [sym_switch_statement] = STATE(1274),
    [sym_key_path_expression] = STATE(1274),
    [sym_key_path_string_expression] = STATE(1274),
    [sym_try_operator] = STATE(491),
    [sym__assignment_and_operator] = STATE(1274),
    [sym__equality_operator] = STATE(1274),
    [sym__comparison_operator] = STATE(1274),
    [sym__three_dot_operator] = STATE(859),
    [sym__open_ended_range_operator] = STATE(483),
    [sym__additive_operator] = STATE(1274),
    [sym__multiplicative_operator] = STATE(1274),
    [sym__prefix_unary_operator] = STATE(497),
    [sym_directly_assignable_expression] = STATE(5531),
    [sym_assignment] = STATE(1274),
    [sym_value_parameter_pack] = STATE(1274),
    [sym_value_pack_expansion] = STATE(1274),
    [sym__referenceable_operator] = STATE(1274),
    [sym__equal_sign] = STATE(1274),
    [sym__eq_eq] = STATE(1274),
    [sym__dot] = STATE(497),
    [sym_bang] = STATE(865),
    [sym__parameter_ownership_modifier] = STATE(2218),
    [aux_sym_raw_string_literal_repeat1] = STATE(6575),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(1227),
    [aux_sym_simple_identifier_token2] = ACTIONS(1229),
    [aux_sym_simple_identifier_token3] = ACTIONS(1229),
    [aux_sym_simple_identifier_token4] = ACTIONS(1229),
    [anon_sym_actor] = ACTIONS(1227),
    [anon_sym_async] = ACTIONS(1227),
    [anon_sym_each] = ACTIONS(1231),
    [anon_sym_lazy] = ACTIONS(1227),
    [anon_sym_repeat] = ACTIONS(1233),
    [anon_sym_package] = ACTIONS(1227),
    [anon_sym_nil] = ACTIONS(1717),
    [sym_real_literal] = ACTIONS(1719),
    [sym_integer_literal] = ACTIONS(1717),
    [sym_hex_literal] = ACTIONS(1719),
    [sym_oct_literal] = ACTIONS(1719),
    [sym_bin_literal] = ACTIONS(1719),
    [anon_sym_true] = ACTIONS(1239),
    [anon_sym_false] = ACTIONS(1239),
    [anon_sym_DQUOTE] = ACTIONS(1241),
    [anon_sym_BSLASH] = ACTIONS(1243),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1245),
    [sym__extended_regex_literal] = ACTIONS(1247),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(1249),
    [sym__oneline_regex_literal] = ACTIONS(1251),
    [anon_sym_LPAREN] = ACTIONS(1253),
    [anon_sym_LBRACK] = ACTIONS(1255),
    [anon_sym_AMP] = ACTIONS(1257),
    [anon_sym_if] = ACTIONS(1259),
    [anon_sym_switch] = ACTIONS(1261),
    [anon_sym_POUNDselector] = ACTIONS(1263),
    [aux_sym_custom_operator_token1] = ACTIONS(1265),
    [anon_sym_LT] = ACTIONS(1717),
    [anon_sym_GT] = ACTIONS(1717),
    [anon_sym_await] = ACTIONS(1267),
    [anon_sym_POUNDfile] = ACTIONS(1717),
    [anon_sym_POUNDfileID] = ACTIONS(1719),
    [anon_sym_POUNDfilePath] = ACTIONS(1719),
    [anon_sym_POUNDline] = ACTIONS(1719),
    [anon_sym_POUNDcolumn] = ACTIONS(1719),
    [anon_sym_POUNDfunction] = ACTIONS(1719),
    [anon_sym_POUNDdsohandle] = ACTIONS(1719),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(1269),
    [anon_sym_POUNDfileLiteral] = ACTIONS(1269),
    [anon_sym_POUNDimageLiteral] = ACTIONS(1269),
    [anon_sym_LBRACE] = ACTIONS(1271),
    [anon_sym_CARET_LBRACE] = ACTIONS(1271),
    [anon_sym_self] = ACTIONS(1273),
    [anon_sym_super] = ACTIONS(1275),
    [anon_sym_POUNDkeyPath] = ACTIONS(1277),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1719),
    [anon_sym_DASH_EQ] = ACTIONS(1719),
    [anon_sym_STAR_EQ] = ACTIONS(1719),
    [anon_sym_SLASH_EQ] = ACTIONS(1719),
    [anon_sym_PERCENT_EQ] = ACTIONS(1719),
    [anon_sym_BANG_EQ] = ACTIONS(1717),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1719),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1719),
    [anon_sym_LT_EQ] = ACTIONS(1719),
    [anon_sym_GT_EQ] = ACTIONS(1719),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1279),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1281),
    [anon_sym_PLUS] = ACTIONS(1283),
    [anon_sym_DASH] = ACTIONS(1283),
    [anon_sym_STAR] = ACTIONS(1717),
    [anon_sym_SLASH] = ACTIONS(1717),
    [anon_sym_PERCENT] = ACTIONS(1717),
    [anon_sym_PLUS_PLUS] = ACTIONS(1257),
    [anon_sym_DASH_DASH] = ACTIONS(1257),
    [anon_sym_TILDE] = ACTIONS(1257),
    [anon_sym_PIPE] = ACTIONS(1719),
    [anon_sym_CARET] = ACTIONS(1717),
    [anon_sym_LT_LT] = ACTIONS(1719),
    [anon_sym_GT_GT] = ACTIONS(1719),
    [anon_sym_BANG2] = ACTIONS(1285),
    [anon_sym_borrowing] = ACTIONS(1227),
    [anon_sym_consuming] = ACTIONS(1227),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(1287),
    [sym__dot_custom] = ACTIONS(1289),
    [sym__eq_custom] = ACTIONS(1719),
    [sym__eq_eq_custom] = ACTIONS(1719),
    [sym__plus_then_ws] = ACTIONS(1719),
    [sym__minus_then_ws] = ACTIONS(1719),
    [sym__bang_custom] = ACTIONS(1291),
    [sym__custom_operator] = ACTIONS(1265),
  },
  [410] = {
    [sym_simple_identifier] = STATE(2315),
    [sym__contextual_simple_identifier] = STATE(2218),
    [sym__basic_literal] = STATE(1274),
    [sym_boolean_literal] = STATE(1274),
    [sym__string_literal] = STATE(1274),
    [sym_line_string_literal] = STATE(1274),
    [sym_multi_line_string_literal] = STATE(1274),
    [sym_raw_string_literal] = STATE(1274),
    [sym_regex_literal] = STATE(1274),
    [sym__multiline_regex_literal] = STATE(2574),
    [sym_user_type] = STATE(5528),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5528),
    [sym_dictionary_type] = STATE(5528),
    [sym__expression] = STATE(1274),
    [sym__unary_expression] = STATE(1274),
    [sym_postfix_expression] = STATE(1274),
    [sym_constructor_expression] = STATE(1274),
    [sym__parenthesized_type] = STATE(6484),
    [sym_navigation_expression] = STATE(1274),
    [sym__navigable_type_expression] = STATE(6485),
    [sym_open_start_range_expression] = STATE(1274),
    [sym__range_operator] = STATE(483),
    [sym_open_end_range_expression] = STATE(1274),
    [sym_prefix_expression] = STATE(1274),
    [sym_as_expression] = STATE(1274),
    [sym_selector_expression] = STATE(1274),
    [sym__binary_expression] = STATE(1274),
    [sym_multiplicative_expression] = STATE(1274),
    [sym_additive_expression] = STATE(1274),
    [sym_range_expression] = STATE(1274),
    [sym_infix_expression] = STATE(1274),
    [sym_nil_coalescing_expression] = STATE(1274),
    [sym_check_expression] = STATE(1274),
    [sym_comparison_expression] = STATE(1274),
    [sym_equality_expression] = STATE(1274),
    [sym_conjunction_expression] = STATE(1274),
    [sym_disjunction_expression] = STATE(1274),
    [sym_bitwise_operation] = STATE(1274),
    [sym_custom_operator] = STATE(865),
    [sym_try_expression] = STATE(1274),
    [sym_await_expression] = STATE(1274),
    [sym__await_operator] = STATE(485),
    [sym_ternary_expression] = STATE(1274),
    [sym__expr_hack_at_ternary_binary_suffix] = STATE(2653),
    [sym_expr_hack_at_ternary_binary_call] = STATE(2653),
    [sym_call_expression] = STATE(1274),
    [sym__primary_expression] = STATE(1274),
    [sym_tuple_expression] = STATE(1274),
    [sym_array_literal] = STATE(1274),
    [sym_dictionary_literal] = STATE(1274),
    [sym__special_literal] = STATE(1274),
    [sym__playground_literal] = STATE(1274),
    [sym_lambda_literal] = STATE(1274),
    [sym_self_expression] = STATE(1274),
    [sym_super_expression] = STATE(1274),
    [sym_if_statement] = STATE(1274),
    [sym_switch_statement] = STATE(1274),
    [sym_key_path_expression] = STATE(1274),
    [sym_key_path_string_expression] = STATE(1274),
    [sym_try_operator] = STATE(491),
    [sym__assignment_and_operator] = STATE(1274),
    [sym__equality_operator] = STATE(1274),
    [sym__comparison_operator] = STATE(1274),
    [sym__three_dot_operator] = STATE(859),
    [sym__open_ended_range_operator] = STATE(483),
    [sym__additive_operator] = STATE(1274),
    [sym__multiplicative_operator] = STATE(1274),
    [sym__prefix_unary_operator] = STATE(497),
    [sym_directly_assignable_expression] = STATE(5531),
    [sym_assignment] = STATE(1274),
    [sym_value_parameter_pack] = STATE(1274),
    [sym_value_pack_expansion] = STATE(1274),
    [sym__referenceable_operator] = STATE(1274),
    [sym__equal_sign] = STATE(1274),
    [sym__eq_eq] = STATE(1274),
    [sym__dot] = STATE(497),
    [sym_bang] = STATE(865),
    [sym__parameter_ownership_modifier] = STATE(2218),
    [aux_sym_raw_string_literal_repeat1] = STATE(6575),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(1227),
    [aux_sym_simple_identifier_token2] = ACTIONS(1229),
    [aux_sym_simple_identifier_token3] = ACTIONS(1229),
    [aux_sym_simple_identifier_token4] = ACTIONS(1229),
    [anon_sym_actor] = ACTIONS(1227),
    [anon_sym_async] = ACTIONS(1227),
    [anon_sym_each] = ACTIONS(1231),
    [anon_sym_lazy] = ACTIONS(1227),
    [anon_sym_repeat] = ACTIONS(1233),
    [anon_sym_package] = ACTIONS(1227),
    [anon_sym_nil] = ACTIONS(1717),
    [sym_real_literal] = ACTIONS(1719),
    [sym_integer_literal] = ACTIONS(1717),
    [sym_hex_literal] = ACTIONS(1719),
    [sym_oct_literal] = ACTIONS(1719),
    [sym_bin_literal] = ACTIONS(1719),
    [anon_sym_true] = ACTIONS(1239),
    [anon_sym_false] = ACTIONS(1239),
    [anon_sym_DQUOTE] = ACTIONS(1241),
    [anon_sym_BSLASH] = ACTIONS(1243),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1245),
    [sym__extended_regex_literal] = ACTIONS(1247),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(1249),
    [sym__oneline_regex_literal] = ACTIONS(1251),
    [anon_sym_LPAREN] = ACTIONS(1253),
    [anon_sym_LBRACK] = ACTIONS(1255),
    [anon_sym_AMP] = ACTIONS(1257),
    [anon_sym_if] = ACTIONS(1259),
    [anon_sym_switch] = ACTIONS(1261),
    [anon_sym_POUNDselector] = ACTIONS(1263),
    [aux_sym_custom_operator_token1] = ACTIONS(1265),
    [anon_sym_LT] = ACTIONS(1717),
    [anon_sym_GT] = ACTIONS(1717),
    [anon_sym_await] = ACTIONS(1267),
    [anon_sym_POUNDfile] = ACTIONS(1717),
    [anon_sym_POUNDfileID] = ACTIONS(1719),
    [anon_sym_POUNDfilePath] = ACTIONS(1719),
    [anon_sym_POUNDline] = ACTIONS(1719),
    [anon_sym_POUNDcolumn] = ACTIONS(1719),
    [anon_sym_POUNDfunction] = ACTIONS(1719),
    [anon_sym_POUNDdsohandle] = ACTIONS(1719),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(1269),
    [anon_sym_POUNDfileLiteral] = ACTIONS(1269),
    [anon_sym_POUNDimageLiteral] = ACTIONS(1269),
    [anon_sym_LBRACE] = ACTIONS(1271),
    [anon_sym_CARET_LBRACE] = ACTIONS(1271),
    [anon_sym_self] = ACTIONS(1273),
    [anon_sym_super] = ACTIONS(1275),
    [anon_sym_POUNDkeyPath] = ACTIONS(1277),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1719),
    [anon_sym_DASH_EQ] = ACTIONS(1719),
    [anon_sym_STAR_EQ] = ACTIONS(1719),
    [anon_sym_SLASH_EQ] = ACTIONS(1719),
    [anon_sym_PERCENT_EQ] = ACTIONS(1719),
    [anon_sym_BANG_EQ] = ACTIONS(1717),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1719),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1719),
    [anon_sym_LT_EQ] = ACTIONS(1719),
    [anon_sym_GT_EQ] = ACTIONS(1719),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1279),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1281),
    [anon_sym_PLUS] = ACTIONS(1283),
    [anon_sym_DASH] = ACTIONS(1283),
    [anon_sym_STAR] = ACTIONS(1717),
    [anon_sym_SLASH] = ACTIONS(1717),
    [anon_sym_PERCENT] = ACTIONS(1717),
    [anon_sym_PLUS_PLUS] = ACTIONS(1257),
    [anon_sym_DASH_DASH] = ACTIONS(1257),
    [anon_sym_TILDE] = ACTIONS(1257),
    [anon_sym_PIPE] = ACTIONS(1719),
    [anon_sym_CARET] = ACTIONS(1717),
    [anon_sym_LT_LT] = ACTIONS(1719),
    [anon_sym_GT_GT] = ACTIONS(1719),
    [anon_sym_BANG2] = ACTIONS(1285),
    [anon_sym_borrowing] = ACTIONS(1227),
    [anon_sym_consuming] = ACTIONS(1227),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(1287),
    [sym__dot_custom] = ACTIONS(1289),
    [sym__eq_custom] = ACTIONS(1719),
    [sym__eq_eq_custom] = ACTIONS(1719),
    [sym__plus_then_ws] = ACTIONS(1719),
    [sym__minus_then_ws] = ACTIONS(1719),
    [sym__bang_custom] = ACTIONS(1291),
    [sym__custom_operator] = ACTIONS(1265),
  },
  [411] = {
    [sym_simple_identifier] = STATE(2498),
    [sym__contextual_simple_identifier] = STATE(2439),
    [sym__basic_literal] = STATE(1305),
    [sym_boolean_literal] = STATE(1305),
    [sym__string_literal] = STATE(1305),
    [sym_line_string_literal] = STATE(1305),
    [sym_multi_line_string_literal] = STATE(1305),
    [sym_raw_string_literal] = STATE(1305),
    [sym_regex_literal] = STATE(1305),
    [sym__multiline_regex_literal] = STATE(2683),
    [sym_user_type] = STATE(5473),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5473),
    [sym_dictionary_type] = STATE(5473),
    [sym__expression] = STATE(1305),
    [sym__unary_expression] = STATE(1305),
    [sym_postfix_expression] = STATE(1305),
    [sym_constructor_expression] = STATE(1305),
    [sym__parenthesized_type] = STATE(6860),
    [sym_navigation_expression] = STATE(1305),
    [sym__navigable_type_expression] = STATE(6859),
    [sym_open_start_range_expression] = STATE(1305),
    [sym__range_operator] = STATE(601),
    [sym_open_end_range_expression] = STATE(1305),
    [sym_prefix_expression] = STATE(1305),
    [sym_as_expression] = STATE(1305),
    [sym_selector_expression] = STATE(1305),
    [sym__binary_expression] = STATE(1305),
    [sym_multiplicative_expression] = STATE(1305),
    [sym_additive_expression] = STATE(1305),
    [sym_range_expression] = STATE(1305),
    [sym_infix_expression] = STATE(1305),
    [sym_nil_coalescing_expression] = STATE(1305),
    [sym_check_expression] = STATE(1305),
    [sym_comparison_expression] = STATE(1305),
    [sym_equality_expression] = STATE(1305),
    [sym_conjunction_expression] = STATE(1305),
    [sym_disjunction_expression] = STATE(1305),
    [sym_bitwise_operation] = STATE(1305),
    [sym_custom_operator] = STATE(885),
    [sym_try_expression] = STATE(1305),
    [sym_await_expression] = STATE(1305),
    [sym__await_operator] = STATE(603),
    [sym_ternary_expression] = STATE(1305),
    [sym__expr_hack_at_ternary_binary_suffix] = STATE(2972),
    [sym_expr_hack_at_ternary_binary_call] = STATE(2972),
    [sym_call_expression] = STATE(1305),
    [sym__primary_expression] = STATE(1305),
    [sym_tuple_expression] = STATE(1305),
    [sym_array_literal] = STATE(1305),
    [sym_dictionary_literal] = STATE(1305),
    [sym__special_literal] = STATE(1305),
    [sym__playground_literal] = STATE(1305),
    [sym_lambda_literal] = STATE(1305),
    [sym_self_expression] = STATE(1305),
    [sym_super_expression] = STATE(1305),
    [sym_if_statement] = STATE(1305),
    [sym_switch_statement] = STATE(1305),
    [sym_key_path_expression] = STATE(1305),
    [sym_key_path_string_expression] = STATE(1305),
    [sym_try_operator] = STATE(598),
    [sym__assignment_and_operator] = STATE(1305),
    [sym__equality_operator] = STATE(1305),
    [sym__comparison_operator] = STATE(1305),
    [sym__three_dot_operator] = STATE(877),
    [sym__open_ended_range_operator] = STATE(601),
    [sym__additive_operator] = STATE(1305),
    [sym__multiplicative_operator] = STATE(1305),
    [sym__prefix_unary_operator] = STATE(593),
    [sym_directly_assignable_expression] = STATE(5475),
    [sym_assignment] = STATE(1305),
    [sym_value_parameter_pack] = STATE(1305),
    [sym_value_pack_expansion] = STATE(1305),
    [sym__referenceable_operator] = STATE(1305),
    [sym__equal_sign] = STATE(1305),
    [sym__eq_eq] = STATE(1305),
    [sym__dot] = STATE(593),
    [sym_bang] = STATE(885),
    [sym__parameter_ownership_modifier] = STATE(2439),
    [aux_sym_raw_string_literal_repeat1] = STATE(6858),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(1309),
    [aux_sym_simple_identifier_token2] = ACTIONS(1311),
    [aux_sym_simple_identifier_token3] = ACTIONS(1311),
    [aux_sym_simple_identifier_token4] = ACTIONS(1311),
    [anon_sym_actor] = ACTIONS(1309),
    [anon_sym_async] = ACTIONS(1309),
    [anon_sym_each] = ACTIONS(1313),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_repeat] = ACTIONS(1315),
    [anon_sym_package] = ACTIONS(1309),
    [anon_sym_nil] = ACTIONS(1661),
    [sym_real_literal] = ACTIONS(1663),
    [sym_integer_literal] = ACTIONS(1661),
    [sym_hex_literal] = ACTIONS(1663),
    [sym_oct_literal] = ACTIONS(1663),
    [sym_bin_literal] = ACTIONS(1663),
    [anon_sym_true] = ACTIONS(1321),
    [anon_sym_false] = ACTIONS(1321),
    [anon_sym_DQUOTE] = ACTIONS(1323),
    [anon_sym_BSLASH] = ACTIONS(1325),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1327),
    [sym__extended_regex_literal] = ACTIONS(1329),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(1331),
    [sym__oneline_regex_literal] = ACTIONS(1333),
    [anon_sym_LPAREN] = ACTIONS(1335),
    [anon_sym_LBRACK] = ACTIONS(1337),
    [anon_sym_AMP] = ACTIONS(1339),
    [anon_sym_if] = ACTIONS(1341),
    [anon_sym_switch] = ACTIONS(1343),
    [anon_sym_POUNDselector] = ACTIONS(1345),
    [aux_sym_custom_operator_token1] = ACTIONS(1347),
    [anon_sym_LT] = ACTIONS(1661),
    [anon_sym_GT] = ACTIONS(1661),
    [anon_sym_await] = ACTIONS(1349),
    [anon_sym_POUNDfile] = ACTIONS(1661),
    [anon_sym_POUNDfileID] = ACTIONS(1663),
    [anon_sym_POUNDfilePath] = ACTIONS(1663),
    [anon_sym_POUNDline] = ACTIONS(1663),
    [anon_sym_POUNDcolumn] = ACTIONS(1663),
    [anon_sym_POUNDfunction] = ACTIONS(1663),
    [anon_sym_POUNDdsohandle] = ACTIONS(1663),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(1351),
    [anon_sym_POUNDfileLiteral] = ACTIONS(1351),
    [anon_sym_POUNDimageLiteral] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_CARET_LBRACE] = ACTIONS(1353),
    [anon_sym_self] = ACTIONS(1355),
    [anon_sym_super] = ACTIONS(1357),
    [anon_sym_POUNDkeyPath] = ACTIONS(1359),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1663),
    [anon_sym_DASH_EQ] = ACTIONS(1663),
    [anon_sym_STAR_EQ] = ACTIONS(1663),
    [anon_sym_SLASH_EQ] = ACTIONS(1663),
    [anon_sym_PERCENT_EQ] = ACTIONS(1663),
    [anon_sym_BANG_EQ] = ACTIONS(1661),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1663),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1663),
    [anon_sym_LT_EQ] = ACTIONS(1663),
    [anon_sym_GT_EQ] = ACTIONS(1663),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1361),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1363),
    [anon_sym_PLUS] = ACTIONS(1365),
    [anon_sym_DASH] = ACTIONS(1365),
    [anon_sym_STAR] = ACTIONS(1661),
    [anon_sym_SLASH] = ACTIONS(1661),
    [anon_sym_PERCENT] = ACTIONS(1661),
    [anon_sym_PLUS_PLUS] = ACTIONS(1339),
    [anon_sym_DASH_DASH] = ACTIONS(1339),
    [anon_sym_TILDE] = ACTIONS(1339),
    [anon_sym_PIPE] = ACTIONS(1663),
    [anon_sym_CARET] = ACTIONS(1661),
    [anon_sym_LT_LT] = ACTIONS(1663),
    [anon_sym_GT_GT] = ACTIONS(1663),
    [anon_sym_BANG2] = ACTIONS(1367),
    [anon_sym_borrowing] = ACTIONS(1309),
    [anon_sym_consuming] = ACTIONS(1309),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(1369),
    [sym__dot_custom] = ACTIONS(1371),
    [sym__eq_custom] = ACTIONS(1663),
    [sym__eq_eq_custom] = ACTIONS(1663),
    [sym__plus_then_ws] = ACTIONS(1663),
    [sym__minus_then_ws] = ACTIONS(1663),
    [sym__bang_custom] = ACTIONS(1373),
    [sym__custom_operator] = ACTIONS(1347),
  },
  [412] = {
    [sym_simple_identifier] = STATE(2315),
    [sym__contextual_simple_identifier] = STATE(2218),
    [sym__basic_literal] = STATE(1274),
    [sym_boolean_literal] = STATE(1274),
    [sym__string_literal] = STATE(1274),
    [sym_line_string_literal] = STATE(1274),
    [sym_multi_line_string_literal] = STATE(1274),
    [sym_raw_string_literal] = STATE(1274),
    [sym_regex_literal] = STATE(1274),
    [sym__multiline_regex_literal] = STATE(2574),
    [sym_user_type] = STATE(5528),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5528),
    [sym_dictionary_type] = STATE(5528),
    [sym__expression] = STATE(1274),
    [sym__unary_expression] = STATE(1274),
    [sym_postfix_expression] = STATE(1274),
    [sym_constructor_expression] = STATE(1274),
    [sym__parenthesized_type] = STATE(6484),
    [sym_navigation_expression] = STATE(1274),
    [sym__navigable_type_expression] = STATE(6485),
    [sym_open_start_range_expression] = STATE(1274),
    [sym__range_operator] = STATE(483),
    [sym_open_end_range_expression] = STATE(1274),
    [sym_prefix_expression] = STATE(1274),
    [sym_as_expression] = STATE(1274),
    [sym_selector_expression] = STATE(1274),
    [sym__binary_expression] = STATE(1274),
    [sym_multiplicative_expression] = STATE(1274),
    [sym_additive_expression] = STATE(1274),
    [sym_range_expression] = STATE(1274),
    [sym_infix_expression] = STATE(1274),
    [sym_nil_coalescing_expression] = STATE(1274),
    [sym_check_expression] = STATE(1274),
    [sym_comparison_expression] = STATE(1274),
    [sym_equality_expression] = STATE(1274),
    [sym_conjunction_expression] = STATE(1274),
    [sym_disjunction_expression] = STATE(1274),
    [sym_bitwise_operation] = STATE(1274),
    [sym_custom_operator] = STATE(865),
    [sym_try_expression] = STATE(1274),
    [sym_await_expression] = STATE(1274),
    [sym__await_operator] = STATE(485),
    [sym_ternary_expression] = STATE(1274),
    [sym__expr_hack_at_ternary_binary_suffix] = STATE(2668),
    [sym_expr_hack_at_ternary_binary_call] = STATE(2668),
    [sym_call_expression] = STATE(1274),
    [sym__primary_expression] = STATE(1274),
    [sym_tuple_expression] = STATE(1274),
    [sym_array_literal] = STATE(1274),
    [sym_dictionary_literal] = STATE(1274),
    [sym__special_literal] = STATE(1274),
    [sym__playground_literal] = STATE(1274),
    [sym_lambda_literal] = STATE(1274),
    [sym_self_expression] = STATE(1274),
    [sym_super_expression] = STATE(1274),
    [sym_if_statement] = STATE(1274),
    [sym_switch_statement] = STATE(1274),
    [sym_key_path_expression] = STATE(1274),
    [sym_key_path_string_expression] = STATE(1274),
    [sym_try_operator] = STATE(491),
    [sym__assignment_and_operator] = STATE(1274),
    [sym__equality_operator] = STATE(1274),
    [sym__comparison_operator] = STATE(1274),
    [sym__three_dot_operator] = STATE(859),
    [sym__open_ended_range_operator] = STATE(483),
    [sym__additive_operator] = STATE(1274),
    [sym__multiplicative_operator] = STATE(1274),
    [sym__prefix_unary_operator] = STATE(497),
    [sym_directly_assignable_expression] = STATE(5531),
    [sym_assignment] = STATE(1274),
    [sym_value_parameter_pack] = STATE(1274),
    [sym_value_pack_expansion] = STATE(1274),
    [sym__referenceable_operator] = STATE(1274),
    [sym__equal_sign] = STATE(1274),
    [sym__eq_eq] = STATE(1274),
    [sym__dot] = STATE(497),
    [sym_bang] = STATE(865),
    [sym__parameter_ownership_modifier] = STATE(2218),
    [aux_sym_raw_string_literal_repeat1] = STATE(6575),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(1227),
    [aux_sym_simple_identifier_token2] = ACTIONS(1229),
    [aux_sym_simple_identifier_token3] = ACTIONS(1229),
    [aux_sym_simple_identifier_token4] = ACTIONS(1229),
    [anon_sym_actor] = ACTIONS(1227),
    [anon_sym_async] = ACTIONS(1227),
    [anon_sym_each] = ACTIONS(1231),
    [anon_sym_lazy] = ACTIONS(1227),
    [anon_sym_repeat] = ACTIONS(1233),
    [anon_sym_package] = ACTIONS(1227),
    [anon_sym_nil] = ACTIONS(1717),
    [sym_real_literal] = ACTIONS(1719),
    [sym_integer_literal] = ACTIONS(1717),
    [sym_hex_literal] = ACTIONS(1719),
    [sym_oct_literal] = ACTIONS(1719),
    [sym_bin_literal] = ACTIONS(1719),
    [anon_sym_true] = ACTIONS(1239),
    [anon_sym_false] = ACTIONS(1239),
    [anon_sym_DQUOTE] = ACTIONS(1241),
    [anon_sym_BSLASH] = ACTIONS(1243),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1245),
    [sym__extended_regex_literal] = ACTIONS(1247),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(1249),
    [sym__oneline_regex_literal] = ACTIONS(1251),
    [anon_sym_LPAREN] = ACTIONS(1253),
    [anon_sym_LBRACK] = ACTIONS(1255),
    [anon_sym_AMP] = ACTIONS(1257),
    [anon_sym_if] = ACTIONS(1259),
    [anon_sym_switch] = ACTIONS(1261),
    [anon_sym_POUNDselector] = ACTIONS(1263),
    [aux_sym_custom_operator_token1] = ACTIONS(1265),
    [anon_sym_LT] = ACTIONS(1717),
    [anon_sym_GT] = ACTIONS(1717),
    [anon_sym_await] = ACTIONS(1267),
    [anon_sym_POUNDfile] = ACTIONS(1717),
    [anon_sym_POUNDfileID] = ACTIONS(1719),
    [anon_sym_POUNDfilePath] = ACTIONS(1719),
    [anon_sym_POUNDline] = ACTIONS(1719),
    [anon_sym_POUNDcolumn] = ACTIONS(1719),
    [anon_sym_POUNDfunction] = ACTIONS(1719),
    [anon_sym_POUNDdsohandle] = ACTIONS(1719),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(1269),
    [anon_sym_POUNDfileLiteral] = ACTIONS(1269),
    [anon_sym_POUNDimageLiteral] = ACTIONS(1269),
    [anon_sym_LBRACE] = ACTIONS(1271),
    [anon_sym_CARET_LBRACE] = ACTIONS(1271),
    [anon_sym_self] = ACTIONS(1273),
    [anon_sym_super] = ACTIONS(1275),
    [anon_sym_POUNDkeyPath] = ACTIONS(1277),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1719),
    [anon_sym_DASH_EQ] = ACTIONS(1719),
    [anon_sym_STAR_EQ] = ACTIONS(1719),
    [anon_sym_SLASH_EQ] = ACTIONS(1719),
    [anon_sym_PERCENT_EQ] = ACTIONS(1719),
    [anon_sym_BANG_EQ] = ACTIONS(1717),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1719),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1719),
    [anon_sym_LT_EQ] = ACTIONS(1719),
    [anon_sym_GT_EQ] = ACTIONS(1719),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1279),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1281),
    [anon_sym_PLUS] = ACTIONS(1283),
    [anon_sym_DASH] = ACTIONS(1283),
    [anon_sym_STAR] = ACTIONS(1717),
    [anon_sym_SLASH] = ACTIONS(1717),
    [anon_sym_PERCENT] = ACTIONS(1717),
    [anon_sym_PLUS_PLUS] = ACTIONS(1257),
    [anon_sym_DASH_DASH] = ACTIONS(1257),
    [anon_sym_TILDE] = ACTIONS(1257),
    [anon_sym_PIPE] = ACTIONS(1719),
    [anon_sym_CARET] = ACTIONS(1717),
    [anon_sym_LT_LT] = ACTIONS(1719),
    [anon_sym_GT_GT] = ACTIONS(1719),
    [anon_sym_BANG2] = ACTIONS(1285),
    [anon_sym_borrowing] = ACTIONS(1227),
    [anon_sym_consuming] = ACTIONS(1227),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(1287),
    [sym__dot_custom] = ACTIONS(1289),
    [sym__eq_custom] = ACTIONS(1719),
    [sym__eq_eq_custom] = ACTIONS(1719),
    [sym__plus_then_ws] = ACTIONS(1719),
    [sym__minus_then_ws] = ACTIONS(1719),
    [sym__bang_custom] = ACTIONS(1291),
    [sym__custom_operator] = ACTIONS(1265),
  },
  [413] = {
    [sym_simple_identifier] = STATE(2498),
    [sym__contextual_simple_identifier] = STATE(2439),
    [sym__basic_literal] = STATE(1305),
    [sym_boolean_literal] = STATE(1305),
    [sym__string_literal] = STATE(1305),
    [sym_line_string_literal] = STATE(1305),
    [sym_multi_line_string_literal] = STATE(1305),
    [sym_raw_string_literal] = STATE(1305),
    [sym_regex_literal] = STATE(1305),
    [sym__multiline_regex_literal] = STATE(2683),
    [sym_user_type] = STATE(5473),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5473),
    [sym_dictionary_type] = STATE(5473),
    [sym__expression] = STATE(1305),
    [sym__unary_expression] = STATE(1305),
    [sym_postfix_expression] = STATE(1305),
    [sym_constructor_expression] = STATE(1305),
    [sym__parenthesized_type] = STATE(6860),
    [sym_navigation_expression] = STATE(1305),
    [sym__navigable_type_expression] = STATE(6859),
    [sym_open_start_range_expression] = STATE(1305),
    [sym__range_operator] = STATE(601),
    [sym_open_end_range_expression] = STATE(1305),
    [sym_prefix_expression] = STATE(1305),
    [sym_as_expression] = STATE(1305),
    [sym_selector_expression] = STATE(1305),
    [sym__binary_expression] = STATE(1305),
    [sym_multiplicative_expression] = STATE(1305),
    [sym_additive_expression] = STATE(1305),
    [sym_range_expression] = STATE(1305),
    [sym_infix_expression] = STATE(1305),
    [sym_nil_coalescing_expression] = STATE(1305),
    [sym_check_expression] = STATE(1305),
    [sym_comparison_expression] = STATE(1305),
    [sym_equality_expression] = STATE(1305),
    [sym_conjunction_expression] = STATE(1305),
    [sym_disjunction_expression] = STATE(1305),
    [sym_bitwise_operation] = STATE(1305),
    [sym_custom_operator] = STATE(885),
    [sym_try_expression] = STATE(1305),
    [sym_await_expression] = STATE(1305),
    [sym__await_operator] = STATE(603),
    [sym_ternary_expression] = STATE(1305),
    [sym__expr_hack_at_ternary_binary_suffix] = STATE(2970),
    [sym_expr_hack_at_ternary_binary_call] = STATE(2970),
    [sym_call_expression] = STATE(1305),
    [sym__primary_expression] = STATE(1305),
    [sym_tuple_expression] = STATE(1305),
    [sym_array_literal] = STATE(1305),
    [sym_dictionary_literal] = STATE(1305),
    [sym__special_literal] = STATE(1305),
    [sym__playground_literal] = STATE(1305),
    [sym_lambda_literal] = STATE(1305),
    [sym_self_expression] = STATE(1305),
    [sym_super_expression] = STATE(1305),
    [sym_if_statement] = STATE(1305),
    [sym_switch_statement] = STATE(1305),
    [sym_key_path_expression] = STATE(1305),
    [sym_key_path_string_expression] = STATE(1305),
    [sym_try_operator] = STATE(598),
    [sym__assignment_and_operator] = STATE(1305),
    [sym__equality_operator] = STATE(1305),
    [sym__comparison_operator] = STATE(1305),
    [sym__three_dot_operator] = STATE(877),
    [sym__open_ended_range_operator] = STATE(601),
    [sym__additive_operator] = STATE(1305),
    [sym__multiplicative_operator] = STATE(1305),
    [sym__prefix_unary_operator] = STATE(593),
    [sym_directly_assignable_expression] = STATE(5475),
    [sym_assignment] = STATE(1305),
    [sym_value_parameter_pack] = STATE(1305),
    [sym_value_pack_expansion] = STATE(1305),
    [sym__referenceable_operator] = STATE(1305),
    [sym__equal_sign] = STATE(1305),
    [sym__eq_eq] = STATE(1305),
    [sym__dot] = STATE(593),
    [sym_bang] = STATE(885),
    [sym__parameter_ownership_modifier] = STATE(2439),
    [aux_sym_raw_string_literal_repeat1] = STATE(6858),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(1309),
    [aux_sym_simple_identifier_token2] = ACTIONS(1311),
    [aux_sym_simple_identifier_token3] = ACTIONS(1311),
    [aux_sym_simple_identifier_token4] = ACTIONS(1311),
    [anon_sym_actor] = ACTIONS(1309),
    [anon_sym_async] = ACTIONS(1309),
    [anon_sym_each] = ACTIONS(1313),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_repeat] = ACTIONS(1315),
    [anon_sym_package] = ACTIONS(1309),
    [anon_sym_nil] = ACTIONS(1661),
    [sym_real_literal] = ACTIONS(1663),
    [sym_integer_literal] = ACTIONS(1661),
    [sym_hex_literal] = ACTIONS(1663),
    [sym_oct_literal] = ACTIONS(1663),
    [sym_bin_literal] = ACTIONS(1663),
    [anon_sym_true] = ACTIONS(1321),
    [anon_sym_false] = ACTIONS(1321),
    [anon_sym_DQUOTE] = ACTIONS(1323),
    [anon_sym_BSLASH] = ACTIONS(1325),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1327),
    [sym__extended_regex_literal] = ACTIONS(1329),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(1331),
    [sym__oneline_regex_literal] = ACTIONS(1333),
    [anon_sym_LPAREN] = ACTIONS(1335),
    [anon_sym_LBRACK] = ACTIONS(1337),
    [anon_sym_AMP] = ACTIONS(1339),
    [anon_sym_if] = ACTIONS(1341),
    [anon_sym_switch] = ACTIONS(1343),
    [anon_sym_POUNDselector] = ACTIONS(1345),
    [aux_sym_custom_operator_token1] = ACTIONS(1347),
    [anon_sym_LT] = ACTIONS(1661),
    [anon_sym_GT] = ACTIONS(1661),
    [anon_sym_await] = ACTIONS(1349),
    [anon_sym_POUNDfile] = ACTIONS(1661),
    [anon_sym_POUNDfileID] = ACTIONS(1663),
    [anon_sym_POUNDfilePath] = ACTIONS(1663),
    [anon_sym_POUNDline] = ACTIONS(1663),
    [anon_sym_POUNDcolumn] = ACTIONS(1663),
    [anon_sym_POUNDfunction] = ACTIONS(1663),
    [anon_sym_POUNDdsohandle] = ACTIONS(1663),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(1351),
    [anon_sym_POUNDfileLiteral] = ACTIONS(1351),
    [anon_sym_POUNDimageLiteral] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_CARET_LBRACE] = ACTIONS(1353),
    [anon_sym_self] = ACTIONS(1355),
    [anon_sym_super] = ACTIONS(1357),
    [anon_sym_POUNDkeyPath] = ACTIONS(1359),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1663),
    [anon_sym_DASH_EQ] = ACTIONS(1663),
    [anon_sym_STAR_EQ] = ACTIONS(1663),
    [anon_sym_SLASH_EQ] = ACTIONS(1663),
    [anon_sym_PERCENT_EQ] = ACTIONS(1663),
    [anon_sym_BANG_EQ] = ACTIONS(1661),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1663),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1663),
    [anon_sym_LT_EQ] = ACTIONS(1663),
    [anon_sym_GT_EQ] = ACTIONS(1663),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1361),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1363),
    [anon_sym_PLUS] = ACTIONS(1365),
    [anon_sym_DASH] = ACTIONS(1365),
    [anon_sym_STAR] = ACTIONS(1661),
    [anon_sym_SLASH] = ACTIONS(1661),
    [anon_sym_PERCENT] = ACTIONS(1661),
    [anon_sym_PLUS_PLUS] = ACTIONS(1339),
    [anon_sym_DASH_DASH] = ACTIONS(1339),
    [anon_sym_TILDE] = ACTIONS(1339),
    [anon_sym_PIPE] = ACTIONS(1663),
    [anon_sym_CARET] = ACTIONS(1661),
    [anon_sym_LT_LT] = ACTIONS(1663),
    [anon_sym_GT_GT] = ACTIONS(1663),
    [anon_sym_BANG2] = ACTIONS(1367),
    [anon_sym_borrowing] = ACTIONS(1309),
    [anon_sym_consuming] = ACTIONS(1309),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(1369),
    [sym__dot_custom] = ACTIONS(1371),
    [sym__eq_custom] = ACTIONS(1663),
    [sym__eq_eq_custom] = ACTIONS(1663),
    [sym__plus_then_ws] = ACTIONS(1663),
    [sym__minus_then_ws] = ACTIONS(1663),
    [sym__bang_custom] = ACTIONS(1373),
    [sym__custom_operator] = ACTIONS(1347),
  },
  [414] = {
    [sym_simple_identifier] = STATE(2498),
    [sym__contextual_simple_identifier] = STATE(2439),
    [sym__basic_literal] = STATE(1305),
    [sym_boolean_literal] = STATE(1305),
    [sym__string_literal] = STATE(1305),
    [sym_line_string_literal] = STATE(1305),
    [sym_multi_line_string_literal] = STATE(1305),
    [sym_raw_string_literal] = STATE(1305),
    [sym_regex_literal] = STATE(1305),
    [sym__multiline_regex_literal] = STATE(2683),
    [sym_user_type] = STATE(5473),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5473),
    [sym_dictionary_type] = STATE(5473),
    [sym__expression] = STATE(1305),
    [sym__unary_expression] = STATE(1305),
    [sym_postfix_expression] = STATE(1305),
    [sym_constructor_expression] = STATE(1305),
    [sym__parenthesized_type] = STATE(6860),
    [sym_navigation_expression] = STATE(1305),
    [sym__navigable_type_expression] = STATE(6859),
    [sym_open_start_range_expression] = STATE(1305),
    [sym__range_operator] = STATE(601),
    [sym_open_end_range_expression] = STATE(1305),
    [sym_prefix_expression] = STATE(1305),
    [sym_as_expression] = STATE(1305),
    [sym_selector_expression] = STATE(1305),
    [sym__binary_expression] = STATE(1305),
    [sym_multiplicative_expression] = STATE(1305),
    [sym_additive_expression] = STATE(1305),
    [sym_range_expression] = STATE(1305),
    [sym_infix_expression] = STATE(1305),
    [sym_nil_coalescing_expression] = STATE(1305),
    [sym_check_expression] = STATE(1305),
    [sym_comparison_expression] = STATE(1305),
    [sym_equality_expression] = STATE(1305),
    [sym_conjunction_expression] = STATE(1305),
    [sym_disjunction_expression] = STATE(1305),
    [sym_bitwise_operation] = STATE(1305),
    [sym_custom_operator] = STATE(885),
    [sym_try_expression] = STATE(1305),
    [sym_await_expression] = STATE(1305),
    [sym__await_operator] = STATE(603),
    [sym_ternary_expression] = STATE(1305),
    [sym__expr_hack_at_ternary_binary_suffix] = STATE(2969),
    [sym_expr_hack_at_ternary_binary_call] = STATE(2969),
    [sym_call_expression] = STATE(1305),
    [sym__primary_expression] = STATE(1305),
    [sym_tuple_expression] = STATE(1305),
    [sym_array_literal] = STATE(1305),
    [sym_dictionary_literal] = STATE(1305),
    [sym__special_literal] = STATE(1305),
    [sym__playground_literal] = STATE(1305),
    [sym_lambda_literal] = STATE(1305),
    [sym_self_expression] = STATE(1305),
    [sym_super_expression] = STATE(1305),
    [sym_if_statement] = STATE(1305),
    [sym_switch_statement] = STATE(1305),
    [sym_key_path_expression] = STATE(1305),
    [sym_key_path_string_expression] = STATE(1305),
    [sym_try_operator] = STATE(598),
    [sym__assignment_and_operator] = STATE(1305),
    [sym__equality_operator] = STATE(1305),
    [sym__comparison_operator] = STATE(1305),
    [sym__three_dot_operator] = STATE(877),
    [sym__open_ended_range_operator] = STATE(601),
    [sym__additive_operator] = STATE(1305),
    [sym__multiplicative_operator] = STATE(1305),
    [sym__prefix_unary_operator] = STATE(593),
    [sym_directly_assignable_expression] = STATE(5475),
    [sym_assignment] = STATE(1305),
    [sym_value_parameter_pack] = STATE(1305),
    [sym_value_pack_expansion] = STATE(1305),
    [sym__referenceable_operator] = STATE(1305),
    [sym__equal_sign] = STATE(1305),
    [sym__eq_eq] = STATE(1305),
    [sym__dot] = STATE(593),
    [sym_bang] = STATE(885),
    [sym__parameter_ownership_modifier] = STATE(2439),
    [aux_sym_raw_string_literal_repeat1] = STATE(6858),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(1309),
    [aux_sym_simple_identifier_token2] = ACTIONS(1311),
    [aux_sym_simple_identifier_token3] = ACTIONS(1311),
    [aux_sym_simple_identifier_token4] = ACTIONS(1311),
    [anon_sym_actor] = ACTIONS(1309),
    [anon_sym_async] = ACTIONS(1309),
    [anon_sym_each] = ACTIONS(1313),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_repeat] = ACTIONS(1315),
    [anon_sym_package] = ACTIONS(1309),
    [anon_sym_nil] = ACTIONS(1661),
    [sym_real_literal] = ACTIONS(1663),
    [sym_integer_literal] = ACTIONS(1661),
    [sym_hex_literal] = ACTIONS(1663),
    [sym_oct_literal] = ACTIONS(1663),
    [sym_bin_literal] = ACTIONS(1663),
    [anon_sym_true] = ACTIONS(1321),
    [anon_sym_false] = ACTIONS(1321),
    [anon_sym_DQUOTE] = ACTIONS(1323),
    [anon_sym_BSLASH] = ACTIONS(1325),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1327),
    [sym__extended_regex_literal] = ACTIONS(1329),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(1331),
    [sym__oneline_regex_literal] = ACTIONS(1333),
    [anon_sym_LPAREN] = ACTIONS(1335),
    [anon_sym_LBRACK] = ACTIONS(1337),
    [anon_sym_AMP] = ACTIONS(1339),
    [anon_sym_if] = ACTIONS(1341),
    [anon_sym_switch] = ACTIONS(1343),
    [anon_sym_POUNDselector] = ACTIONS(1345),
    [aux_sym_custom_operator_token1] = ACTIONS(1347),
    [anon_sym_LT] = ACTIONS(1661),
    [anon_sym_GT] = ACTIONS(1661),
    [anon_sym_await] = ACTIONS(1349),
    [anon_sym_POUNDfile] = ACTIONS(1661),
    [anon_sym_POUNDfileID] = ACTIONS(1663),
    [anon_sym_POUNDfilePath] = ACTIONS(1663),
    [anon_sym_POUNDline] = ACTIONS(1663),
    [anon_sym_POUNDcolumn] = ACTIONS(1663),
    [anon_sym_POUNDfunction] = ACTIONS(1663),
    [anon_sym_POUNDdsohandle] = ACTIONS(1663),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(1351),
    [anon_sym_POUNDfileLiteral] = ACTIONS(1351),
    [anon_sym_POUNDimageLiteral] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_CARET_LBRACE] = ACTIONS(1353),
    [anon_sym_self] = ACTIONS(1355),
    [anon_sym_super] = ACTIONS(1357),
    [anon_sym_POUNDkeyPath] = ACTIONS(1359),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1663),
    [anon_sym_DASH_EQ] = ACTIONS(1663),
    [anon_sym_STAR_EQ] = ACTIONS(1663),
    [anon_sym_SLASH_EQ] = ACTIONS(1663),
    [anon_sym_PERCENT_EQ] = ACTIONS(1663),
    [anon_sym_BANG_EQ] = ACTIONS(1661),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1663),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1663),
    [anon_sym_LT_EQ] = ACTIONS(1663),
    [anon_sym_GT_EQ] = ACTIONS(1663),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1361),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1363),
    [anon_sym_PLUS] = ACTIONS(1365),
    [anon_sym_DASH] = ACTIONS(1365),
    [anon_sym_STAR] = ACTIONS(1661),
    [anon_sym_SLASH] = ACTIONS(1661),
    [anon_sym_PERCENT] = ACTIONS(1661),
    [anon_sym_PLUS_PLUS] = ACTIONS(1339),
    [anon_sym_DASH_DASH] = ACTIONS(1339),
    [anon_sym_TILDE] = ACTIONS(1339),
    [anon_sym_PIPE] = ACTIONS(1663),
    [anon_sym_CARET] = ACTIONS(1661),
    [anon_sym_LT_LT] = ACTIONS(1663),
    [anon_sym_GT_GT] = ACTIONS(1663),
    [anon_sym_BANG2] = ACTIONS(1367),
    [anon_sym_borrowing] = ACTIONS(1309),
    [anon_sym_consuming] = ACTIONS(1309),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(1369),
    [sym__dot_custom] = ACTIONS(1371),
    [sym__eq_custom] = ACTIONS(1663),
    [sym__eq_eq_custom] = ACTIONS(1663),
    [sym__plus_then_ws] = ACTIONS(1663),
    [sym__minus_then_ws] = ACTIONS(1663),
    [sym__bang_custom] = ACTIONS(1373),
    [sym__custom_operator] = ACTIONS(1347),
  },
  [415] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1441),
    [sym_boolean_literal] = STATE(1441),
    [sym__string_literal] = STATE(1441),
    [sym_line_string_literal] = STATE(1441),
    [sym_multi_line_string_literal] = STATE(1441),
    [sym_raw_string_literal] = STATE(1441),
    [sym_regex_literal] = STATE(1441),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1441),
    [sym__unary_expression] = STATE(1441),
    [sym_postfix_expression] = STATE(1441),
    [sym_constructor_expression] = STATE(1441),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1441),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1441),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1441),
    [sym_prefix_expression] = STATE(1441),
    [sym_as_expression] = STATE(1441),
    [sym_selector_expression] = STATE(1441),
    [sym__binary_expression] = STATE(1441),
    [sym_multiplicative_expression] = STATE(1441),
    [sym_additive_expression] = STATE(1441),
    [sym_range_expression] = STATE(1441),
    [sym_infix_expression] = STATE(1441),
    [sym_nil_coalescing_expression] = STATE(1441),
    [sym_check_expression] = STATE(1441),
    [sym_comparison_expression] = STATE(1441),
    [sym_equality_expression] = STATE(1441),
    [sym_conjunction_expression] = STATE(1441),
    [sym_disjunction_expression] = STATE(1441),
    [sym_bitwise_operation] = STATE(1441),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1441),
    [sym_await_expression] = STATE(1441),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1441),
    [sym_call_expression] = STATE(1441),
    [sym__primary_expression] = STATE(1441),
    [sym_tuple_expression] = STATE(1441),
    [sym_array_literal] = STATE(1441),
    [sym_dictionary_literal] = STATE(1441),
    [sym__dictionary_literal_item] = STATE(7599),
    [sym__special_literal] = STATE(1441),
    [sym__playground_literal] = STATE(1441),
    [sym_lambda_literal] = STATE(1441),
    [sym_self_expression] = STATE(1441),
    [sym_super_expression] = STATE(1441),
    [sym_if_statement] = STATE(1441),
    [sym_switch_statement] = STATE(1441),
    [sym_key_path_expression] = STATE(1441),
    [sym_key_path_string_expression] = STATE(1441),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1441),
    [sym__equality_operator] = STATE(1441),
    [sym__comparison_operator] = STATE(1441),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1441),
    [sym__multiplicative_operator] = STATE(1441),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1441),
    [sym_value_parameter_pack] = STATE(1441),
    [sym_value_pack_expansion] = STATE(1441),
    [sym__referenceable_operator] = STATE(1441),
    [sym__equal_sign] = STATE(1441),
    [sym__eq_eq] = STATE(1441),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1587),
    [sym_real_literal] = ACTIONS(1589),
    [sym_integer_literal] = ACTIONS(1587),
    [sym_hex_literal] = ACTIONS(1589),
    [sym_oct_literal] = ACTIONS(1589),
    [sym_bin_literal] = ACTIONS(1589),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_RBRACK] = ACTIONS(1739),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1587),
    [anon_sym_GT] = ACTIONS(1587),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1587),
    [anon_sym_POUNDfileID] = ACTIONS(1589),
    [anon_sym_POUNDfilePath] = ACTIONS(1589),
    [anon_sym_POUNDline] = ACTIONS(1589),
    [anon_sym_POUNDcolumn] = ACTIONS(1589),
    [anon_sym_POUNDfunction] = ACTIONS(1589),
    [anon_sym_POUNDdsohandle] = ACTIONS(1589),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1589),
    [anon_sym_DASH_EQ] = ACTIONS(1589),
    [anon_sym_STAR_EQ] = ACTIONS(1589),
    [anon_sym_SLASH_EQ] = ACTIONS(1589),
    [anon_sym_PERCENT_EQ] = ACTIONS(1589),
    [anon_sym_BANG_EQ] = ACTIONS(1587),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1589),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1589),
    [anon_sym_LT_EQ] = ACTIONS(1589),
    [anon_sym_GT_EQ] = ACTIONS(1589),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1587),
    [anon_sym_SLASH] = ACTIONS(1587),
    [anon_sym_PERCENT] = ACTIONS(1587),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1589),
    [anon_sym_CARET] = ACTIONS(1587),
    [anon_sym_LT_LT] = ACTIONS(1589),
    [anon_sym_GT_GT] = ACTIONS(1589),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1589),
    [sym__eq_eq_custom] = ACTIONS(1589),
    [sym__plus_then_ws] = ACTIONS(1589),
    [sym__minus_then_ws] = ACTIONS(1589),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [416] = {
    [sym_simple_identifier] = STATE(2315),
    [sym__contextual_simple_identifier] = STATE(2218),
    [sym__basic_literal] = STATE(1274),
    [sym_boolean_literal] = STATE(1274),
    [sym__string_literal] = STATE(1274),
    [sym_line_string_literal] = STATE(1274),
    [sym_multi_line_string_literal] = STATE(1274),
    [sym_raw_string_literal] = STATE(1274),
    [sym_regex_literal] = STATE(1274),
    [sym__multiline_regex_literal] = STATE(2574),
    [sym_user_type] = STATE(5528),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5528),
    [sym_dictionary_type] = STATE(5528),
    [sym__expression] = STATE(1274),
    [sym__unary_expression] = STATE(1274),
    [sym_postfix_expression] = STATE(1274),
    [sym_constructor_expression] = STATE(1274),
    [sym__parenthesized_type] = STATE(6484),
    [sym_navigation_expression] = STATE(1274),
    [sym__navigable_type_expression] = STATE(6485),
    [sym_open_start_range_expression] = STATE(1274),
    [sym__range_operator] = STATE(483),
    [sym_open_end_range_expression] = STATE(1274),
    [sym_prefix_expression] = STATE(1274),
    [sym_as_expression] = STATE(1274),
    [sym_selector_expression] = STATE(1274),
    [sym__binary_expression] = STATE(1274),
    [sym_multiplicative_expression] = STATE(1274),
    [sym_additive_expression] = STATE(1274),
    [sym_range_expression] = STATE(1274),
    [sym_infix_expression] = STATE(1274),
    [sym_nil_coalescing_expression] = STATE(1274),
    [sym_check_expression] = STATE(1274),
    [sym_comparison_expression] = STATE(1274),
    [sym_equality_expression] = STATE(1274),
    [sym_conjunction_expression] = STATE(1274),
    [sym_disjunction_expression] = STATE(1274),
    [sym_bitwise_operation] = STATE(1274),
    [sym_custom_operator] = STATE(865),
    [sym_try_expression] = STATE(1274),
    [sym_await_expression] = STATE(1274),
    [sym__await_operator] = STATE(485),
    [sym_ternary_expression] = STATE(1274),
    [sym__expr_hack_at_ternary_binary_suffix] = STATE(2655),
    [sym_expr_hack_at_ternary_binary_call] = STATE(2655),
    [sym_call_expression] = STATE(1274),
    [sym__primary_expression] = STATE(1274),
    [sym_tuple_expression] = STATE(1274),
    [sym_array_literal] = STATE(1274),
    [sym_dictionary_literal] = STATE(1274),
    [sym__special_literal] = STATE(1274),
    [sym__playground_literal] = STATE(1274),
    [sym_lambda_literal] = STATE(1274),
    [sym_self_expression] = STATE(1274),
    [sym_super_expression] = STATE(1274),
    [sym_if_statement] = STATE(1274),
    [sym_switch_statement] = STATE(1274),
    [sym_key_path_expression] = STATE(1274),
    [sym_key_path_string_expression] = STATE(1274),
    [sym_try_operator] = STATE(491),
    [sym__assignment_and_operator] = STATE(1274),
    [sym__equality_operator] = STATE(1274),
    [sym__comparison_operator] = STATE(1274),
    [sym__three_dot_operator] = STATE(859),
    [sym__open_ended_range_operator] = STATE(483),
    [sym__additive_operator] = STATE(1274),
    [sym__multiplicative_operator] = STATE(1274),
    [sym__prefix_unary_operator] = STATE(497),
    [sym_directly_assignable_expression] = STATE(5531),
    [sym_assignment] = STATE(1274),
    [sym_value_parameter_pack] = STATE(1274),
    [sym_value_pack_expansion] = STATE(1274),
    [sym__referenceable_operator] = STATE(1274),
    [sym__equal_sign] = STATE(1274),
    [sym__eq_eq] = STATE(1274),
    [sym__dot] = STATE(497),
    [sym_bang] = STATE(865),
    [sym__parameter_ownership_modifier] = STATE(2218),
    [aux_sym_raw_string_literal_repeat1] = STATE(6575),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(1227),
    [aux_sym_simple_identifier_token2] = ACTIONS(1229),
    [aux_sym_simple_identifier_token3] = ACTIONS(1229),
    [aux_sym_simple_identifier_token4] = ACTIONS(1229),
    [anon_sym_actor] = ACTIONS(1227),
    [anon_sym_async] = ACTIONS(1227),
    [anon_sym_each] = ACTIONS(1231),
    [anon_sym_lazy] = ACTIONS(1227),
    [anon_sym_repeat] = ACTIONS(1233),
    [anon_sym_package] = ACTIONS(1227),
    [anon_sym_nil] = ACTIONS(1717),
    [sym_real_literal] = ACTIONS(1719),
    [sym_integer_literal] = ACTIONS(1717),
    [sym_hex_literal] = ACTIONS(1719),
    [sym_oct_literal] = ACTIONS(1719),
    [sym_bin_literal] = ACTIONS(1719),
    [anon_sym_true] = ACTIONS(1239),
    [anon_sym_false] = ACTIONS(1239),
    [anon_sym_DQUOTE] = ACTIONS(1241),
    [anon_sym_BSLASH] = ACTIONS(1243),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1245),
    [sym__extended_regex_literal] = ACTIONS(1247),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(1249),
    [sym__oneline_regex_literal] = ACTIONS(1251),
    [anon_sym_LPAREN] = ACTIONS(1253),
    [anon_sym_LBRACK] = ACTIONS(1255),
    [anon_sym_AMP] = ACTIONS(1257),
    [anon_sym_if] = ACTIONS(1259),
    [anon_sym_switch] = ACTIONS(1261),
    [anon_sym_POUNDselector] = ACTIONS(1263),
    [aux_sym_custom_operator_token1] = ACTIONS(1265),
    [anon_sym_LT] = ACTIONS(1717),
    [anon_sym_GT] = ACTIONS(1717),
    [anon_sym_await] = ACTIONS(1267),
    [anon_sym_POUNDfile] = ACTIONS(1717),
    [anon_sym_POUNDfileID] = ACTIONS(1719),
    [anon_sym_POUNDfilePath] = ACTIONS(1719),
    [anon_sym_POUNDline] = ACTIONS(1719),
    [anon_sym_POUNDcolumn] = ACTIONS(1719),
    [anon_sym_POUNDfunction] = ACTIONS(1719),
    [anon_sym_POUNDdsohandle] = ACTIONS(1719),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(1269),
    [anon_sym_POUNDfileLiteral] = ACTIONS(1269),
    [anon_sym_POUNDimageLiteral] = ACTIONS(1269),
    [anon_sym_LBRACE] = ACTIONS(1271),
    [anon_sym_CARET_LBRACE] = ACTIONS(1271),
    [anon_sym_self] = ACTIONS(1273),
    [anon_sym_super] = ACTIONS(1275),
    [anon_sym_POUNDkeyPath] = ACTIONS(1277),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1719),
    [anon_sym_DASH_EQ] = ACTIONS(1719),
    [anon_sym_STAR_EQ] = ACTIONS(1719),
    [anon_sym_SLASH_EQ] = ACTIONS(1719),
    [anon_sym_PERCENT_EQ] = ACTIONS(1719),
    [anon_sym_BANG_EQ] = ACTIONS(1717),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1719),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1719),
    [anon_sym_LT_EQ] = ACTIONS(1719),
    [anon_sym_GT_EQ] = ACTIONS(1719),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1279),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1281),
    [anon_sym_PLUS] = ACTIONS(1283),
    [anon_sym_DASH] = ACTIONS(1283),
    [anon_sym_STAR] = ACTIONS(1717),
    [anon_sym_SLASH] = ACTIONS(1717),
    [anon_sym_PERCENT] = ACTIONS(1717),
    [anon_sym_PLUS_PLUS] = ACTIONS(1257),
    [anon_sym_DASH_DASH] = ACTIONS(1257),
    [anon_sym_TILDE] = ACTIONS(1257),
    [anon_sym_PIPE] = ACTIONS(1719),
    [anon_sym_CARET] = ACTIONS(1717),
    [anon_sym_LT_LT] = ACTIONS(1719),
    [anon_sym_GT_GT] = ACTIONS(1719),
    [anon_sym_BANG2] = ACTIONS(1285),
    [anon_sym_borrowing] = ACTIONS(1227),
    [anon_sym_consuming] = ACTIONS(1227),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(1287),
    [sym__dot_custom] = ACTIONS(1289),
    [sym__eq_custom] = ACTIONS(1719),
    [sym__eq_eq_custom] = ACTIONS(1719),
    [sym__plus_then_ws] = ACTIONS(1719),
    [sym__minus_then_ws] = ACTIONS(1719),
    [sym__bang_custom] = ACTIONS(1291),
    [sym__custom_operator] = ACTIONS(1265),
  },
  [417] = {
    [sym_simple_identifier] = STATE(1141),
    [sym__contextual_simple_identifier] = STATE(1051),
    [sym__basic_literal] = STATE(651),
    [sym_boolean_literal] = STATE(651),
    [sym__string_literal] = STATE(651),
    [sym_line_string_literal] = STATE(651),
    [sym_multi_line_string_literal] = STATE(651),
    [sym_raw_string_literal] = STATE(651),
    [sym_regex_literal] = STATE(651),
    [sym__multiline_regex_literal] = STATE(1215),
    [sym_user_type] = STATE(5510),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5510),
    [sym_dictionary_type] = STATE(5510),
    [sym__expression] = STATE(651),
    [sym__unary_expression] = STATE(651),
    [sym_postfix_expression] = STATE(651),
    [sym_constructor_expression] = STATE(651),
    [sym__parenthesized_type] = STATE(6558),
    [sym_navigation_expression] = STATE(651),
    [sym__navigable_type_expression] = STATE(6557),
    [sym_open_start_range_expression] = STATE(651),
    [sym__range_operator] = STATE(523),
    [sym_open_end_range_expression] = STATE(651),
    [sym_prefix_expression] = STATE(651),
    [sym_as_expression] = STATE(651),
    [sym_selector_expression] = STATE(651),
    [sym__binary_expression] = STATE(651),
    [sym_multiplicative_expression] = STATE(651),
    [sym_additive_expression] = STATE(651),
    [sym_range_expression] = STATE(651),
    [sym_infix_expression] = STATE(651),
    [sym_nil_coalescing_expression] = STATE(651),
    [sym_check_expression] = STATE(651),
    [sym_comparison_expression] = STATE(651),
    [sym_equality_expression] = STATE(651),
    [sym_conjunction_expression] = STATE(651),
    [sym_disjunction_expression] = STATE(651),
    [sym_bitwise_operation] = STATE(651),
    [sym_custom_operator] = STATE(628),
    [sym_try_expression] = STATE(651),
    [sym_await_expression] = STATE(651),
    [sym__await_operator] = STATE(518),
    [sym_ternary_expression] = STATE(651),
    [sym__expr_hack_at_ternary_binary_suffix] = STATE(1175),
    [sym_expr_hack_at_ternary_binary_call] = STATE(1175),
    [sym_call_expression] = STATE(651),
    [sym__primary_expression] = STATE(651),
    [sym_tuple_expression] = STATE(651),
    [sym_array_literal] = STATE(651),
    [sym_dictionary_literal] = STATE(651),
    [sym__special_literal] = STATE(651),
    [sym__playground_literal] = STATE(651),
    [sym_lambda_literal] = STATE(651),
    [sym_self_expression] = STATE(651),
    [sym_super_expression] = STATE(651),
    [sym_if_statement] = STATE(651),
    [sym_switch_statement] = STATE(651),
    [sym_key_path_expression] = STATE(651),
    [sym_key_path_string_expression] = STATE(651),
    [sym_try_operator] = STATE(515),
    [sym__assignment_and_operator] = STATE(651),
    [sym__equality_operator] = STATE(651),
    [sym__comparison_operator] = STATE(651),
    [sym__three_dot_operator] = STATE(625),
    [sym__open_ended_range_operator] = STATE(523),
    [sym__additive_operator] = STATE(651),
    [sym__multiplicative_operator] = STATE(651),
    [sym__prefix_unary_operator] = STATE(509),
    [sym_directly_assignable_expression] = STATE(5511),
    [sym_assignment] = STATE(651),
    [sym_value_parameter_pack] = STATE(651),
    [sym_value_pack_expansion] = STATE(651),
    [sym__referenceable_operator] = STATE(651),
    [sym__equal_sign] = STATE(651),
    [sym__eq_eq] = STATE(651),
    [sym__dot] = STATE(509),
    [sym_bang] = STATE(628),
    [sym__parameter_ownership_modifier] = STATE(1051),
    [aux_sym_raw_string_literal_repeat1] = STATE(6487),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(291),
    [aux_sym_simple_identifier_token2] = ACTIONS(293),
    [aux_sym_simple_identifier_token3] = ACTIONS(293),
    [aux_sym_simple_identifier_token4] = ACTIONS(293),
    [anon_sym_actor] = ACTIONS(291),
    [anon_sym_async] = ACTIONS(291),
    [anon_sym_each] = ACTIONS(299),
    [anon_sym_lazy] = ACTIONS(291),
    [anon_sym_repeat] = ACTIONS(747),
    [anon_sym_package] = ACTIONS(291),
    [anon_sym_nil] = ACTIONS(1639),
    [sym_real_literal] = ACTIONS(1641),
    [sym_integer_literal] = ACTIONS(1639),
    [sym_hex_literal] = ACTIONS(1641),
    [sym_oct_literal] = ACTIONS(1641),
    [sym_bin_literal] = ACTIONS(1641),
    [anon_sym_true] = ACTIONS(309),
    [anon_sym_false] = ACTIONS(309),
    [anon_sym_DQUOTE] = ACTIONS(311),
    [anon_sym_BSLASH] = ACTIONS(313),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(315),
    [sym__extended_regex_literal] = ACTIONS(317),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(319),
    [sym__oneline_regex_literal] = ACTIONS(321),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_LBRACK] = ACTIONS(325),
    [anon_sym_AMP] = ACTIONS(327),
    [anon_sym_if] = ACTIONS(329),
    [anon_sym_switch] = ACTIONS(331),
    [anon_sym_POUNDselector] = ACTIONS(333),
    [aux_sym_custom_operator_token1] = ACTIONS(335),
    [anon_sym_LT] = ACTIONS(1639),
    [anon_sym_GT] = ACTIONS(1639),
    [anon_sym_await] = ACTIONS(337),
    [anon_sym_POUNDfile] = ACTIONS(1639),
    [anon_sym_POUNDfileID] = ACTIONS(1641),
    [anon_sym_POUNDfilePath] = ACTIONS(1641),
    [anon_sym_POUNDline] = ACTIONS(1641),
    [anon_sym_POUNDcolumn] = ACTIONS(1641),
    [anon_sym_POUNDfunction] = ACTIONS(1641),
    [anon_sym_POUNDdsohandle] = ACTIONS(1641),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(339),
    [anon_sym_POUNDfileLiteral] = ACTIONS(339),
    [anon_sym_POUNDimageLiteral] = ACTIONS(339),
    [anon_sym_LBRACE] = ACTIONS(341),
    [anon_sym_CARET_LBRACE] = ACTIONS(341),
    [anon_sym_self] = ACTIONS(345),
    [anon_sym_super] = ACTIONS(347),
    [anon_sym_POUNDkeyPath] = ACTIONS(353),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1641),
    [anon_sym_DASH_EQ] = ACTIONS(1641),
    [anon_sym_STAR_EQ] = ACTIONS(1641),
    [anon_sym_SLASH_EQ] = ACTIONS(1641),
    [anon_sym_PERCENT_EQ] = ACTIONS(1641),
    [anon_sym_BANG_EQ] = ACTIONS(1639),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1641),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1641),
    [anon_sym_LT_EQ] = ACTIONS(1641),
    [anon_sym_GT_EQ] = ACTIONS(1641),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(355),
    [anon_sym_DOT_DOT_LT] = ACTIONS(357),
    [anon_sym_PLUS] = ACTIONS(359),
    [anon_sym_DASH] = ACTIONS(359),
    [anon_sym_STAR] = ACTIONS(1639),
    [anon_sym_SLASH] = ACTIONS(1639),
    [anon_sym_PERCENT] = ACTIONS(1639),
    [anon_sym_PLUS_PLUS] = ACTIONS(327),
    [anon_sym_DASH_DASH] = ACTIONS(327),
    [anon_sym_TILDE] = ACTIONS(327),
    [anon_sym_PIPE] = ACTIONS(1641),
    [anon_sym_CARET] = ACTIONS(1639),
    [anon_sym_LT_LT] = ACTIONS(1641),
    [anon_sym_GT_GT] = ACTIONS(1641),
    [anon_sym_BANG2] = ACTIONS(381),
    [anon_sym_borrowing] = ACTIONS(291),
    [anon_sym_consuming] = ACTIONS(291),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(383),
    [sym__dot_custom] = ACTIONS(385),
    [sym__eq_custom] = ACTIONS(1641),
    [sym__eq_eq_custom] = ACTIONS(1641),
    [sym__plus_then_ws] = ACTIONS(1641),
    [sym__minus_then_ws] = ACTIONS(1641),
    [sym__bang_custom] = ACTIONS(387),
    [sym__custom_operator] = ACTIONS(335),
  },
  [418] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1441),
    [sym_boolean_literal] = STATE(1441),
    [sym__string_literal] = STATE(1441),
    [sym_line_string_literal] = STATE(1441),
    [sym_multi_line_string_literal] = STATE(1441),
    [sym_raw_string_literal] = STATE(1441),
    [sym_regex_literal] = STATE(1441),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1441),
    [sym__unary_expression] = STATE(1441),
    [sym_postfix_expression] = STATE(1441),
    [sym_constructor_expression] = STATE(1441),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1441),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1441),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1441),
    [sym_prefix_expression] = STATE(1441),
    [sym_as_expression] = STATE(1441),
    [sym_selector_expression] = STATE(1441),
    [sym__binary_expression] = STATE(1441),
    [sym_multiplicative_expression] = STATE(1441),
    [sym_additive_expression] = STATE(1441),
    [sym_range_expression] = STATE(1441),
    [sym_infix_expression] = STATE(1441),
    [sym_nil_coalescing_expression] = STATE(1441),
    [sym_check_expression] = STATE(1441),
    [sym_comparison_expression] = STATE(1441),
    [sym_equality_expression] = STATE(1441),
    [sym_conjunction_expression] = STATE(1441),
    [sym_disjunction_expression] = STATE(1441),
    [sym_bitwise_operation] = STATE(1441),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1441),
    [sym_await_expression] = STATE(1441),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1441),
    [sym_call_expression] = STATE(1441),
    [sym__primary_expression] = STATE(1441),
    [sym_tuple_expression] = STATE(1441),
    [sym_array_literal] = STATE(1441),
    [sym_dictionary_literal] = STATE(1441),
    [sym__dictionary_literal_item] = STATE(7599),
    [sym__special_literal] = STATE(1441),
    [sym__playground_literal] = STATE(1441),
    [sym_lambda_literal] = STATE(1441),
    [sym_self_expression] = STATE(1441),
    [sym_super_expression] = STATE(1441),
    [sym_if_statement] = STATE(1441),
    [sym_switch_statement] = STATE(1441),
    [sym_key_path_expression] = STATE(1441),
    [sym_key_path_string_expression] = STATE(1441),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1441),
    [sym__equality_operator] = STATE(1441),
    [sym__comparison_operator] = STATE(1441),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1441),
    [sym__multiplicative_operator] = STATE(1441),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1441),
    [sym_value_parameter_pack] = STATE(1441),
    [sym_value_pack_expansion] = STATE(1441),
    [sym__referenceable_operator] = STATE(1441),
    [sym__equal_sign] = STATE(1441),
    [sym__eq_eq] = STATE(1441),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1587),
    [sym_real_literal] = ACTIONS(1589),
    [sym_integer_literal] = ACTIONS(1587),
    [sym_hex_literal] = ACTIONS(1589),
    [sym_oct_literal] = ACTIONS(1589),
    [sym_bin_literal] = ACTIONS(1589),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_RBRACK] = ACTIONS(1741),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1587),
    [anon_sym_GT] = ACTIONS(1587),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1587),
    [anon_sym_POUNDfileID] = ACTIONS(1589),
    [anon_sym_POUNDfilePath] = ACTIONS(1589),
    [anon_sym_POUNDline] = ACTIONS(1589),
    [anon_sym_POUNDcolumn] = ACTIONS(1589),
    [anon_sym_POUNDfunction] = ACTIONS(1589),
    [anon_sym_POUNDdsohandle] = ACTIONS(1589),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1589),
    [anon_sym_DASH_EQ] = ACTIONS(1589),
    [anon_sym_STAR_EQ] = ACTIONS(1589),
    [anon_sym_SLASH_EQ] = ACTIONS(1589),
    [anon_sym_PERCENT_EQ] = ACTIONS(1589),
    [anon_sym_BANG_EQ] = ACTIONS(1587),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1589),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1589),
    [anon_sym_LT_EQ] = ACTIONS(1589),
    [anon_sym_GT_EQ] = ACTIONS(1589),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1587),
    [anon_sym_SLASH] = ACTIONS(1587),
    [anon_sym_PERCENT] = ACTIONS(1587),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1589),
    [anon_sym_CARET] = ACTIONS(1587),
    [anon_sym_LT_LT] = ACTIONS(1589),
    [anon_sym_GT_GT] = ACTIONS(1589),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1589),
    [sym__eq_eq_custom] = ACTIONS(1589),
    [sym__plus_then_ws] = ACTIONS(1589),
    [sym__minus_then_ws] = ACTIONS(1589),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [419] = {
    [sym_simple_identifier] = STATE(2573),
    [sym__contextual_simple_identifier] = STATE(2374),
    [sym__basic_literal] = STATE(1297),
    [sym_boolean_literal] = STATE(1297),
    [sym__string_literal] = STATE(1297),
    [sym_line_string_literal] = STATE(1297),
    [sym_multi_line_string_literal] = STATE(1297),
    [sym_raw_string_literal] = STATE(1297),
    [sym_regex_literal] = STATE(1297),
    [sym__multiline_regex_literal] = STATE(2929),
    [sym_user_type] = STATE(5443),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5443),
    [sym_dictionary_type] = STATE(5443),
    [sym__expression] = STATE(1297),
    [sym__unary_expression] = STATE(1297),
    [sym_postfix_expression] = STATE(1297),
    [sym_constructor_expression] = STATE(1297),
    [sym__parenthesized_type] = STATE(7012),
    [sym_navigation_expression] = STATE(1297),
    [sym__navigable_type_expression] = STATE(7009),
    [sym_open_start_range_expression] = STATE(1297),
    [sym__range_operator] = STATE(557),
    [sym_open_end_range_expression] = STATE(1297),
    [sym_prefix_expression] = STATE(1297),
    [sym_as_expression] = STATE(1297),
    [sym_selector_expression] = STATE(1297),
    [sym__binary_expression] = STATE(1297),
    [sym_multiplicative_expression] = STATE(1297),
    [sym_additive_expression] = STATE(1297),
    [sym_range_expression] = STATE(1297),
    [sym_infix_expression] = STATE(1297),
    [sym_nil_coalescing_expression] = STATE(1297),
    [sym_check_expression] = STATE(1297),
    [sym_comparison_expression] = STATE(1297),
    [sym_equality_expression] = STATE(1297),
    [sym_conjunction_expression] = STATE(1297),
    [sym_disjunction_expression] = STATE(1297),
    [sym_bitwise_operation] = STATE(1297),
    [sym_custom_operator] = STATE(878),
    [sym_try_expression] = STATE(1297),
    [sym_await_expression] = STATE(1297),
    [sym__await_operator] = STATE(450),
    [sym_ternary_expression] = STATE(1297),
    [sym__expr_hack_at_ternary_binary_suffix] = STATE(2786),
    [sym_expr_hack_at_ternary_binary_call] = STATE(2786),
    [sym_call_expression] = STATE(1297),
    [sym__primary_expression] = STATE(1297),
    [sym_tuple_expression] = STATE(1297),
    [sym_array_literal] = STATE(1297),
    [sym_dictionary_literal] = STATE(1297),
    [sym__special_literal] = STATE(1297),
    [sym__playground_literal] = STATE(1297),
    [sym_lambda_literal] = STATE(1297),
    [sym_self_expression] = STATE(1297),
    [sym_super_expression] = STATE(1297),
    [sym_if_statement] = STATE(1297),
    [sym_switch_statement] = STATE(1297),
    [sym_key_path_expression] = STATE(1297),
    [sym_key_path_string_expression] = STATE(1297),
    [sym_try_operator] = STATE(451),
    [sym__assignment_and_operator] = STATE(1297),
    [sym__equality_operator] = STATE(1297),
    [sym__comparison_operator] = STATE(1297),
    [sym__three_dot_operator] = STATE(884),
    [sym__open_ended_range_operator] = STATE(557),
    [sym__additive_operator] = STATE(1297),
    [sym__multiplicative_operator] = STATE(1297),
    [sym__prefix_unary_operator] = STATE(471),
    [sym_directly_assignable_expression] = STATE(5445),
    [sym_assignment] = STATE(1297),
    [sym_value_parameter_pack] = STATE(1297),
    [sym_value_pack_expansion] = STATE(1297),
    [sym__referenceable_operator] = STATE(1297),
    [sym__equal_sign] = STATE(1297),
    [sym__eq_eq] = STATE(1297),
    [sym__dot] = STATE(471),
    [sym_bang] = STATE(878),
    [sym__parameter_ownership_modifier] = STATE(2374),
    [aux_sym_raw_string_literal_repeat1] = STATE(7006),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(1037),
    [aux_sym_simple_identifier_token2] = ACTIONS(1039),
    [aux_sym_simple_identifier_token3] = ACTIONS(1039),
    [aux_sym_simple_identifier_token4] = ACTIONS(1039),
    [anon_sym_actor] = ACTIONS(1037),
    [anon_sym_async] = ACTIONS(1037),
    [anon_sym_each] = ACTIONS(1041),
    [anon_sym_lazy] = ACTIONS(1037),
    [anon_sym_repeat] = ACTIONS(1043),
    [anon_sym_package] = ACTIONS(1037),
    [anon_sym_nil] = ACTIONS(1597),
    [sym_real_literal] = ACTIONS(1599),
    [sym_integer_literal] = ACTIONS(1597),
    [sym_hex_literal] = ACTIONS(1599),
    [sym_oct_literal] = ACTIONS(1599),
    [sym_bin_literal] = ACTIONS(1599),
    [anon_sym_true] = ACTIONS(1049),
    [anon_sym_false] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_BSLASH] = ACTIONS(1053),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1055),
    [sym__extended_regex_literal] = ACTIONS(1057),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(1059),
    [sym__oneline_regex_literal] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_LBRACK] = ACTIONS(1065),
    [anon_sym_AMP] = ACTIONS(1067),
    [anon_sym_if] = ACTIONS(1069),
    [anon_sym_switch] = ACTIONS(1071),
    [anon_sym_POUNDselector] = ACTIONS(1073),
    [aux_sym_custom_operator_token1] = ACTIONS(1075),
    [anon_sym_LT] = ACTIONS(1597),
    [anon_sym_GT] = ACTIONS(1597),
    [anon_sym_await] = ACTIONS(1077),
    [anon_sym_POUNDfile] = ACTIONS(1597),
    [anon_sym_POUNDfileID] = ACTIONS(1599),
    [anon_sym_POUNDfilePath] = ACTIONS(1599),
    [anon_sym_POUNDline] = ACTIONS(1599),
    [anon_sym_POUNDcolumn] = ACTIONS(1599),
    [anon_sym_POUNDfunction] = ACTIONS(1599),
    [anon_sym_POUNDdsohandle] = ACTIONS(1599),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(1079),
    [anon_sym_POUNDfileLiteral] = ACTIONS(1079),
    [anon_sym_POUNDimageLiteral] = ACTIONS(1079),
    [anon_sym_LBRACE] = ACTIONS(1081),
    [anon_sym_CARET_LBRACE] = ACTIONS(1081),
    [anon_sym_self] = ACTIONS(1083),
    [anon_sym_super] = ACTIONS(1085),
    [anon_sym_POUNDkeyPath] = ACTIONS(1089),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1599),
    [anon_sym_DASH_EQ] = ACTIONS(1599),
    [anon_sym_STAR_EQ] = ACTIONS(1599),
    [anon_sym_SLASH_EQ] = ACTIONS(1599),
    [anon_sym_PERCENT_EQ] = ACTIONS(1599),
    [anon_sym_BANG_EQ] = ACTIONS(1597),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1599),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1599),
    [anon_sym_LT_EQ] = ACTIONS(1599),
    [anon_sym_GT_EQ] = ACTIONS(1599),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1093),
    [anon_sym_PLUS] = ACTIONS(1097),
    [anon_sym_DASH] = ACTIONS(1097),
    [anon_sym_STAR] = ACTIONS(1597),
    [anon_sym_SLASH] = ACTIONS(1597),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [anon_sym_PLUS_PLUS] = ACTIONS(1067),
    [anon_sym_DASH_DASH] = ACTIONS(1067),
    [anon_sym_TILDE] = ACTIONS(1067),
    [anon_sym_PIPE] = ACTIONS(1599),
    [anon_sym_CARET] = ACTIONS(1597),
    [anon_sym_LT_LT] = ACTIONS(1599),
    [anon_sym_GT_GT] = ACTIONS(1599),
    [anon_sym_BANG2] = ACTIONS(1099),
    [anon_sym_borrowing] = ACTIONS(1037),
    [anon_sym_consuming] = ACTIONS(1037),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(1103),
    [sym__dot_custom] = ACTIONS(1307),
    [sym__eq_custom] = ACTIONS(1599),
    [sym__eq_eq_custom] = ACTIONS(1599),
    [sym__plus_then_ws] = ACTIONS(1599),
    [sym__minus_then_ws] = ACTIONS(1599),
    [sym__bang_custom] = ACTIONS(1107),
    [sym__custom_operator] = ACTIONS(1075),
  },
  [420] = {
    [sym_simple_identifier] = STATE(2276),
    [sym__contextual_simple_identifier] = STATE(2115),
    [sym__basic_literal] = STATE(1262),
    [sym_boolean_literal] = STATE(1262),
    [sym__string_literal] = STATE(1262),
    [sym_line_string_literal] = STATE(1262),
    [sym_multi_line_string_literal] = STATE(1262),
    [sym_raw_string_literal] = STATE(1262),
    [sym_regex_literal] = STATE(1262),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1262),
    [sym__unary_expression] = STATE(1262),
    [sym_postfix_expression] = STATE(1262),
    [sym_constructor_expression] = STATE(1262),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1262),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1262),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1262),
    [sym_prefix_expression] = STATE(1262),
    [sym_as_expression] = STATE(1262),
    [sym_selector_expression] = STATE(1262),
    [sym__binary_expression] = STATE(1262),
    [sym_multiplicative_expression] = STATE(1262),
    [sym_additive_expression] = STATE(1262),
    [sym_range_expression] = STATE(1262),
    [sym_infix_expression] = STATE(1262),
    [sym_nil_coalescing_expression] = STATE(1262),
    [sym_check_expression] = STATE(1262),
    [sym_comparison_expression] = STATE(1262),
    [sym_equality_expression] = STATE(1262),
    [sym_conjunction_expression] = STATE(1262),
    [sym_disjunction_expression] = STATE(1262),
    [sym_bitwise_operation] = STATE(1262),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1262),
    [sym_await_expression] = STATE(1262),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1262),
    [sym__expr_hack_at_ternary_binary_suffix] = STATE(2459),
    [sym_expr_hack_at_ternary_binary_call] = STATE(2459),
    [sym_call_expression] = STATE(1262),
    [sym__primary_expression] = STATE(1262),
    [sym_tuple_expression] = STATE(1262),
    [sym_array_literal] = STATE(1262),
    [sym_dictionary_literal] = STATE(1262),
    [sym__special_literal] = STATE(1262),
    [sym__playground_literal] = STATE(1262),
    [sym_lambda_literal] = STATE(1262),
    [sym_self_expression] = STATE(1262),
    [sym_super_expression] = STATE(1262),
    [sym_if_statement] = STATE(1262),
    [sym_switch_statement] = STATE(1262),
    [sym_key_path_expression] = STATE(1262),
    [sym_key_path_string_expression] = STATE(1262),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1262),
    [sym__equality_operator] = STATE(1262),
    [sym__comparison_operator] = STATE(1262),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1262),
    [sym__multiplicative_operator] = STATE(1262),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym_assignment] = STATE(1262),
    [sym_value_parameter_pack] = STATE(1262),
    [sym_value_pack_expansion] = STATE(1262),
    [sym__referenceable_operator] = STATE(1262),
    [sym__equal_sign] = STATE(1262),
    [sym__eq_eq] = STATE(1262),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__parameter_ownership_modifier] = STATE(2115),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(11),
    [aux_sym_simple_identifier_token2] = ACTIONS(13),
    [aux_sym_simple_identifier_token3] = ACTIONS(13),
    [aux_sym_simple_identifier_token4] = ACTIONS(13),
    [anon_sym_actor] = ACTIONS(11),
    [anon_sym_async] = ACTIONS(11),
    [anon_sym_each] = ACTIONS(19),
    [anon_sym_lazy] = ACTIONS(11),
    [anon_sym_repeat] = ACTIONS(937),
    [anon_sym_package] = ACTIONS(11),
    [anon_sym_nil] = ACTIONS(1677),
    [sym_real_literal] = ACTIONS(1679),
    [sym_integer_literal] = ACTIONS(1677),
    [sym_hex_literal] = ACTIONS(1679),
    [sym_oct_literal] = ACTIONS(1679),
    [sym_bin_literal] = ACTIONS(1679),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(1677),
    [anon_sym_GT] = ACTIONS(1677),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(1677),
    [anon_sym_POUNDfileID] = ACTIONS(1679),
    [anon_sym_POUNDfilePath] = ACTIONS(1679),
    [anon_sym_POUNDline] = ACTIONS(1679),
    [anon_sym_POUNDcolumn] = ACTIONS(1679),
    [anon_sym_POUNDfunction] = ACTIONS(1679),
    [anon_sym_POUNDdsohandle] = ACTIONS(1679),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_self] = ACTIONS(65),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1679),
    [anon_sym_DASH_EQ] = ACTIONS(1679),
    [anon_sym_STAR_EQ] = ACTIONS(1679),
    [anon_sym_SLASH_EQ] = ACTIONS(1679),
    [anon_sym_PERCENT_EQ] = ACTIONS(1679),
    [anon_sym_BANG_EQ] = ACTIONS(1677),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1679),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1679),
    [anon_sym_LT_EQ] = ACTIONS(1679),
    [anon_sym_GT_EQ] = ACTIONS(1679),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(1677),
    [anon_sym_SLASH] = ACTIONS(1677),
    [anon_sym_PERCENT] = ACTIONS(1677),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(1679),
    [anon_sym_CARET] = ACTIONS(1677),
    [anon_sym_LT_LT] = ACTIONS(1679),
    [anon_sym_GT_GT] = ACTIONS(1679),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_borrowing] = ACTIONS(11),
    [anon_sym_consuming] = ACTIONS(11),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(1679),
    [sym__eq_eq_custom] = ACTIONS(1679),
    [sym__plus_then_ws] = ACTIONS(1679),
    [sym__minus_then_ws] = ACTIONS(1679),
    [sym__bang_custom] = ACTIONS(151),
    [sym__custom_operator] = ACTIONS(57),
  },
  [421] = {
    [sym_simple_identifier] = STATE(2276),
    [sym__contextual_simple_identifier] = STATE(2115),
    [sym__basic_literal] = STATE(1262),
    [sym_boolean_literal] = STATE(1262),
    [sym__string_literal] = STATE(1262),
    [sym_line_string_literal] = STATE(1262),
    [sym_multi_line_string_literal] = STATE(1262),
    [sym_raw_string_literal] = STATE(1262),
    [sym_regex_literal] = STATE(1262),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1262),
    [sym__unary_expression] = STATE(1262),
    [sym_postfix_expression] = STATE(1262),
    [sym_constructor_expression] = STATE(1262),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1262),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1262),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1262),
    [sym_prefix_expression] = STATE(1262),
    [sym_as_expression] = STATE(1262),
    [sym_selector_expression] = STATE(1262),
    [sym__binary_expression] = STATE(1262),
    [sym_multiplicative_expression] = STATE(1262),
    [sym_additive_expression] = STATE(1262),
    [sym_range_expression] = STATE(1262),
    [sym_infix_expression] = STATE(1262),
    [sym_nil_coalescing_expression] = STATE(1262),
    [sym_check_expression] = STATE(1262),
    [sym_comparison_expression] = STATE(1262),
    [sym_equality_expression] = STATE(1262),
    [sym_conjunction_expression] = STATE(1262),
    [sym_disjunction_expression] = STATE(1262),
    [sym_bitwise_operation] = STATE(1262),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1262),
    [sym_await_expression] = STATE(1262),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1262),
    [sym__expr_hack_at_ternary_binary_suffix] = STATE(2456),
    [sym_expr_hack_at_ternary_binary_call] = STATE(2456),
    [sym_call_expression] = STATE(1262),
    [sym__primary_expression] = STATE(1262),
    [sym_tuple_expression] = STATE(1262),
    [sym_array_literal] = STATE(1262),
    [sym_dictionary_literal] = STATE(1262),
    [sym__special_literal] = STATE(1262),
    [sym__playground_literal] = STATE(1262),
    [sym_lambda_literal] = STATE(1262),
    [sym_self_expression] = STATE(1262),
    [sym_super_expression] = STATE(1262),
    [sym_if_statement] = STATE(1262),
    [sym_switch_statement] = STATE(1262),
    [sym_key_path_expression] = STATE(1262),
    [sym_key_path_string_expression] = STATE(1262),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1262),
    [sym__equality_operator] = STATE(1262),
    [sym__comparison_operator] = STATE(1262),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1262),
    [sym__multiplicative_operator] = STATE(1262),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym_assignment] = STATE(1262),
    [sym_value_parameter_pack] = STATE(1262),
    [sym_value_pack_expansion] = STATE(1262),
    [sym__referenceable_operator] = STATE(1262),
    [sym__equal_sign] = STATE(1262),
    [sym__eq_eq] = STATE(1262),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__parameter_ownership_modifier] = STATE(2115),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(11),
    [aux_sym_simple_identifier_token2] = ACTIONS(13),
    [aux_sym_simple_identifier_token3] = ACTIONS(13),
    [aux_sym_simple_identifier_token4] = ACTIONS(13),
    [anon_sym_actor] = ACTIONS(11),
    [anon_sym_async] = ACTIONS(11),
    [anon_sym_each] = ACTIONS(19),
    [anon_sym_lazy] = ACTIONS(11),
    [anon_sym_repeat] = ACTIONS(937),
    [anon_sym_package] = ACTIONS(11),
    [anon_sym_nil] = ACTIONS(1677),
    [sym_real_literal] = ACTIONS(1679),
    [sym_integer_literal] = ACTIONS(1677),
    [sym_hex_literal] = ACTIONS(1679),
    [sym_oct_literal] = ACTIONS(1679),
    [sym_bin_literal] = ACTIONS(1679),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(1677),
    [anon_sym_GT] = ACTIONS(1677),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(1677),
    [anon_sym_POUNDfileID] = ACTIONS(1679),
    [anon_sym_POUNDfilePath] = ACTIONS(1679),
    [anon_sym_POUNDline] = ACTIONS(1679),
    [anon_sym_POUNDcolumn] = ACTIONS(1679),
    [anon_sym_POUNDfunction] = ACTIONS(1679),
    [anon_sym_POUNDdsohandle] = ACTIONS(1679),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_self] = ACTIONS(65),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1679),
    [anon_sym_DASH_EQ] = ACTIONS(1679),
    [anon_sym_STAR_EQ] = ACTIONS(1679),
    [anon_sym_SLASH_EQ] = ACTIONS(1679),
    [anon_sym_PERCENT_EQ] = ACTIONS(1679),
    [anon_sym_BANG_EQ] = ACTIONS(1677),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1679),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1679),
    [anon_sym_LT_EQ] = ACTIONS(1679),
    [anon_sym_GT_EQ] = ACTIONS(1679),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(1677),
    [anon_sym_SLASH] = ACTIONS(1677),
    [anon_sym_PERCENT] = ACTIONS(1677),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(1679),
    [anon_sym_CARET] = ACTIONS(1677),
    [anon_sym_LT_LT] = ACTIONS(1679),
    [anon_sym_GT_GT] = ACTIONS(1679),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_borrowing] = ACTIONS(11),
    [anon_sym_consuming] = ACTIONS(11),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(1679),
    [sym__eq_eq_custom] = ACTIONS(1679),
    [sym__plus_then_ws] = ACTIONS(1679),
    [sym__minus_then_ws] = ACTIONS(1679),
    [sym__bang_custom] = ACTIONS(151),
    [sym__custom_operator] = ACTIONS(57),
  },
  [422] = {
    [sym_simple_identifier] = STATE(1040),
    [sym__contextual_simple_identifier] = STATE(1015),
    [sym__basic_literal] = STATE(645),
    [sym_boolean_literal] = STATE(645),
    [sym__string_literal] = STATE(645),
    [sym_line_string_literal] = STATE(645),
    [sym_multi_line_string_literal] = STATE(645),
    [sym_raw_string_literal] = STATE(645),
    [sym_regex_literal] = STATE(645),
    [sym__multiline_regex_literal] = STATE(1134),
    [sym_user_type] = STATE(5559),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5559),
    [sym_dictionary_type] = STATE(5559),
    [sym__expression] = STATE(645),
    [sym__unary_expression] = STATE(645),
    [sym_postfix_expression] = STATE(645),
    [sym_constructor_expression] = STATE(645),
    [sym__parenthesized_type] = STATE(6572),
    [sym_navigation_expression] = STATE(645),
    [sym__navigable_type_expression] = STATE(6573),
    [sym_open_start_range_expression] = STATE(645),
    [sym__range_operator] = STATE(462),
    [sym_open_end_range_expression] = STATE(645),
    [sym_prefix_expression] = STATE(645),
    [sym_as_expression] = STATE(645),
    [sym_selector_expression] = STATE(645),
    [sym__binary_expression] = STATE(645),
    [sym_multiplicative_expression] = STATE(645),
    [sym_additive_expression] = STATE(645),
    [sym_range_expression] = STATE(645),
    [sym_infix_expression] = STATE(645),
    [sym_nil_coalescing_expression] = STATE(645),
    [sym_check_expression] = STATE(645),
    [sym_comparison_expression] = STATE(645),
    [sym_equality_expression] = STATE(645),
    [sym_conjunction_expression] = STATE(645),
    [sym_disjunction_expression] = STATE(645),
    [sym_bitwise_operation] = STATE(645),
    [sym_custom_operator] = STATE(615),
    [sym_try_expression] = STATE(645),
    [sym_await_expression] = STATE(645),
    [sym__await_operator] = STATE(463),
    [sym_ternary_expression] = STATE(645),
    [sym__expr_hack_at_ternary_binary_suffix] = STATE(1085),
    [sym_expr_hack_at_ternary_binary_call] = STATE(1085),
    [sym_call_expression] = STATE(645),
    [sym__primary_expression] = STATE(645),
    [sym_tuple_expression] = STATE(645),
    [sym_array_literal] = STATE(645),
    [sym_dictionary_literal] = STATE(645),
    [sym__special_literal] = STATE(645),
    [sym__playground_literal] = STATE(645),
    [sym_lambda_literal] = STATE(645),
    [sym_self_expression] = STATE(645),
    [sym_super_expression] = STATE(645),
    [sym_if_statement] = STATE(645),
    [sym_switch_statement] = STATE(645),
    [sym_key_path_expression] = STATE(645),
    [sym_key_path_string_expression] = STATE(645),
    [sym_try_operator] = STATE(465),
    [sym__assignment_and_operator] = STATE(645),
    [sym__equality_operator] = STATE(645),
    [sym__comparison_operator] = STATE(645),
    [sym__three_dot_operator] = STATE(617),
    [sym__open_ended_range_operator] = STATE(462),
    [sym__additive_operator] = STATE(645),
    [sym__multiplicative_operator] = STATE(645),
    [sym__prefix_unary_operator] = STATE(470),
    [sym_directly_assignable_expression] = STATE(5558),
    [sym_assignment] = STATE(645),
    [sym_value_parameter_pack] = STATE(645),
    [sym_value_pack_expansion] = STATE(645),
    [sym__referenceable_operator] = STATE(645),
    [sym__equal_sign] = STATE(645),
    [sym__eq_eq] = STATE(645),
    [sym__dot] = STATE(470),
    [sym_bang] = STATE(615),
    [sym__parameter_ownership_modifier] = STATE(1015),
    [aux_sym_raw_string_literal_repeat1] = STATE(6655),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(673),
    [aux_sym_simple_identifier_token2] = ACTIONS(675),
    [aux_sym_simple_identifier_token3] = ACTIONS(675),
    [aux_sym_simple_identifier_token4] = ACTIONS(675),
    [anon_sym_actor] = ACTIONS(673),
    [anon_sym_async] = ACTIONS(673),
    [anon_sym_each] = ACTIONS(677),
    [anon_sym_lazy] = ACTIONS(673),
    [anon_sym_repeat] = ACTIONS(679),
    [anon_sym_package] = ACTIONS(673),
    [anon_sym_nil] = ACTIONS(1579),
    [sym_real_literal] = ACTIONS(1581),
    [sym_integer_literal] = ACTIONS(1579),
    [sym_hex_literal] = ACTIONS(1581),
    [sym_oct_literal] = ACTIONS(1581),
    [sym_bin_literal] = ACTIONS(1581),
    [anon_sym_true] = ACTIONS(685),
    [anon_sym_false] = ACTIONS(685),
    [anon_sym_DQUOTE] = ACTIONS(687),
    [anon_sym_BSLASH] = ACTIONS(689),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(691),
    [sym__extended_regex_literal] = ACTIONS(693),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(695),
    [sym__oneline_regex_literal] = ACTIONS(697),
    [anon_sym_LPAREN] = ACTIONS(699),
    [anon_sym_LBRACK] = ACTIONS(701),
    [anon_sym_AMP] = ACTIONS(703),
    [anon_sym_if] = ACTIONS(705),
    [anon_sym_switch] = ACTIONS(707),
    [anon_sym_POUNDselector] = ACTIONS(709),
    [aux_sym_custom_operator_token1] = ACTIONS(711),
    [anon_sym_LT] = ACTIONS(1579),
    [anon_sym_GT] = ACTIONS(1579),
    [anon_sym_await] = ACTIONS(713),
    [anon_sym_POUNDfile] = ACTIONS(1579),
    [anon_sym_POUNDfileID] = ACTIONS(1581),
    [anon_sym_POUNDfilePath] = ACTIONS(1581),
    [anon_sym_POUNDline] = ACTIONS(1581),
    [anon_sym_POUNDcolumn] = ACTIONS(1581),
    [anon_sym_POUNDfunction] = ACTIONS(1581),
    [anon_sym_POUNDdsohandle] = ACTIONS(1581),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(715),
    [anon_sym_POUNDfileLiteral] = ACTIONS(715),
    [anon_sym_POUNDimageLiteral] = ACTIONS(715),
    [anon_sym_LBRACE] = ACTIONS(717),
    [anon_sym_CARET_LBRACE] = ACTIONS(717),
    [anon_sym_self] = ACTIONS(719),
    [anon_sym_super] = ACTIONS(721),
    [anon_sym_POUNDkeyPath] = ACTIONS(723),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1581),
    [anon_sym_DASH_EQ] = ACTIONS(1581),
    [anon_sym_STAR_EQ] = ACTIONS(1581),
    [anon_sym_SLASH_EQ] = ACTIONS(1581),
    [anon_sym_PERCENT_EQ] = ACTIONS(1581),
    [anon_sym_BANG_EQ] = ACTIONS(1579),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1581),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1581),
    [anon_sym_LT_EQ] = ACTIONS(1581),
    [anon_sym_GT_EQ] = ACTIONS(1581),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(725),
    [anon_sym_DOT_DOT_LT] = ACTIONS(727),
    [anon_sym_PLUS] = ACTIONS(729),
    [anon_sym_DASH] = ACTIONS(729),
    [anon_sym_STAR] = ACTIONS(1579),
    [anon_sym_SLASH] = ACTIONS(1579),
    [anon_sym_PERCENT] = ACTIONS(1579),
    [anon_sym_PLUS_PLUS] = ACTIONS(703),
    [anon_sym_DASH_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(703),
    [anon_sym_PIPE] = ACTIONS(1581),
    [anon_sym_CARET] = ACTIONS(1579),
    [anon_sym_LT_LT] = ACTIONS(1581),
    [anon_sym_GT_GT] = ACTIONS(1581),
    [anon_sym_BANG2] = ACTIONS(731),
    [anon_sym_borrowing] = ACTIONS(673),
    [anon_sym_consuming] = ACTIONS(673),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(733),
    [sym__dot_custom] = ACTIONS(735),
    [sym__eq_custom] = ACTIONS(1581),
    [sym__eq_eq_custom] = ACTIONS(1581),
    [sym__plus_then_ws] = ACTIONS(1581),
    [sym__minus_then_ws] = ACTIONS(1581),
    [sym__bang_custom] = ACTIONS(737),
    [sym__custom_operator] = ACTIONS(711),
  },
  [423] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1392),
    [sym_boolean_literal] = STATE(1392),
    [sym__string_literal] = STATE(1392),
    [sym_line_string_literal] = STATE(1392),
    [sym_multi_line_string_literal] = STATE(1392),
    [sym_raw_string_literal] = STATE(1392),
    [sym_regex_literal] = STATE(1392),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1392),
    [sym__unary_expression] = STATE(1392),
    [sym_postfix_expression] = STATE(1392),
    [sym_constructor_expression] = STATE(1392),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1392),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1392),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1392),
    [sym_prefix_expression] = STATE(1392),
    [sym_as_expression] = STATE(1392),
    [sym_selector_expression] = STATE(1392),
    [sym__binary_expression] = STATE(1392),
    [sym_multiplicative_expression] = STATE(1392),
    [sym_additive_expression] = STATE(1392),
    [sym_range_expression] = STATE(1392),
    [sym_infix_expression] = STATE(1392),
    [sym_nil_coalescing_expression] = STATE(1392),
    [sym_check_expression] = STATE(1392),
    [sym_comparison_expression] = STATE(1392),
    [sym_equality_expression] = STATE(1392),
    [sym_conjunction_expression] = STATE(1392),
    [sym_disjunction_expression] = STATE(1392),
    [sym_bitwise_operation] = STATE(1392),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1392),
    [sym_await_expression] = STATE(1392),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1392),
    [sym_call_expression] = STATE(1392),
    [sym__primary_expression] = STATE(1392),
    [sym_tuple_expression] = STATE(1392),
    [sym_array_literal] = STATE(1392),
    [sym_dictionary_literal] = STATE(1392),
    [sym__special_literal] = STATE(1392),
    [sym__playground_literal] = STATE(1392),
    [sym_lambda_literal] = STATE(1392),
    [sym_self_expression] = STATE(1392),
    [sym_super_expression] = STATE(1392),
    [sym_if_statement] = STATE(1392),
    [sym_switch_statement] = STATE(1392),
    [sym_key_path_expression] = STATE(1392),
    [sym_key_path_string_expression] = STATE(1392),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1392),
    [sym__equality_operator] = STATE(1392),
    [sym__comparison_operator] = STATE(1392),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1392),
    [sym__multiplicative_operator] = STATE(1392),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1392),
    [sym_value_parameter_pack] = STATE(1392),
    [sym_value_pack_expansion] = STATE(1392),
    [sym__referenceable_operator] = STATE(1392),
    [sym__equal_sign] = STATE(1392),
    [sym__eq_eq] = STATE(1392),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1743),
    [sym_real_literal] = ACTIONS(1745),
    [sym_integer_literal] = ACTIONS(1743),
    [sym_hex_literal] = ACTIONS(1745),
    [sym_oct_literal] = ACTIONS(1745),
    [sym_bin_literal] = ACTIONS(1745),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_RBRACK] = ACTIONS(1747),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1743),
    [anon_sym_GT] = ACTIONS(1743),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1743),
    [anon_sym_POUNDfileID] = ACTIONS(1745),
    [anon_sym_POUNDfilePath] = ACTIONS(1745),
    [anon_sym_POUNDline] = ACTIONS(1745),
    [anon_sym_POUNDcolumn] = ACTIONS(1745),
    [anon_sym_POUNDfunction] = ACTIONS(1745),
    [anon_sym_POUNDdsohandle] = ACTIONS(1745),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1745),
    [anon_sym_DASH_EQ] = ACTIONS(1745),
    [anon_sym_STAR_EQ] = ACTIONS(1745),
    [anon_sym_SLASH_EQ] = ACTIONS(1745),
    [anon_sym_PERCENT_EQ] = ACTIONS(1745),
    [anon_sym_BANG_EQ] = ACTIONS(1743),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1745),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1745),
    [anon_sym_LT_EQ] = ACTIONS(1745),
    [anon_sym_GT_EQ] = ACTIONS(1745),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1743),
    [anon_sym_SLASH] = ACTIONS(1743),
    [anon_sym_PERCENT] = ACTIONS(1743),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1745),
    [anon_sym_CARET] = ACTIONS(1743),
    [anon_sym_LT_LT] = ACTIONS(1745),
    [anon_sym_GT_GT] = ACTIONS(1745),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1745),
    [sym__eq_eq_custom] = ACTIONS(1745),
    [sym__plus_then_ws] = ACTIONS(1745),
    [sym__minus_then_ws] = ACTIONS(1745),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [424] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1392),
    [sym_boolean_literal] = STATE(1392),
    [sym__string_literal] = STATE(1392),
    [sym_line_string_literal] = STATE(1392),
    [sym_multi_line_string_literal] = STATE(1392),
    [sym_raw_string_literal] = STATE(1392),
    [sym_regex_literal] = STATE(1392),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1392),
    [sym__unary_expression] = STATE(1392),
    [sym_postfix_expression] = STATE(1392),
    [sym_constructor_expression] = STATE(1392),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1392),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1392),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1392),
    [sym_prefix_expression] = STATE(1392),
    [sym_as_expression] = STATE(1392),
    [sym_selector_expression] = STATE(1392),
    [sym__binary_expression] = STATE(1392),
    [sym_multiplicative_expression] = STATE(1392),
    [sym_additive_expression] = STATE(1392),
    [sym_range_expression] = STATE(1392),
    [sym_infix_expression] = STATE(1392),
    [sym_nil_coalescing_expression] = STATE(1392),
    [sym_check_expression] = STATE(1392),
    [sym_comparison_expression] = STATE(1392),
    [sym_equality_expression] = STATE(1392),
    [sym_conjunction_expression] = STATE(1392),
    [sym_disjunction_expression] = STATE(1392),
    [sym_bitwise_operation] = STATE(1392),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1392),
    [sym_await_expression] = STATE(1392),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1392),
    [sym_call_expression] = STATE(1392),
    [sym__primary_expression] = STATE(1392),
    [sym_tuple_expression] = STATE(1392),
    [sym_array_literal] = STATE(1392),
    [sym_dictionary_literal] = STATE(1392),
    [sym__special_literal] = STATE(1392),
    [sym__playground_literal] = STATE(1392),
    [sym_lambda_literal] = STATE(1392),
    [sym_self_expression] = STATE(1392),
    [sym_super_expression] = STATE(1392),
    [sym_if_statement] = STATE(1392),
    [sym_switch_statement] = STATE(1392),
    [sym_key_path_expression] = STATE(1392),
    [sym_key_path_string_expression] = STATE(1392),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1392),
    [sym__equality_operator] = STATE(1392),
    [sym__comparison_operator] = STATE(1392),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1392),
    [sym__multiplicative_operator] = STATE(1392),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1392),
    [sym_value_parameter_pack] = STATE(1392),
    [sym_value_pack_expansion] = STATE(1392),
    [sym__referenceable_operator] = STATE(1392),
    [sym__equal_sign] = STATE(1392),
    [sym__eq_eq] = STATE(1392),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1743),
    [sym_real_literal] = ACTIONS(1745),
    [sym_integer_literal] = ACTIONS(1743),
    [sym_hex_literal] = ACTIONS(1745),
    [sym_oct_literal] = ACTIONS(1745),
    [sym_bin_literal] = ACTIONS(1745),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_RBRACK] = ACTIONS(1749),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1743),
    [anon_sym_GT] = ACTIONS(1743),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1743),
    [anon_sym_POUNDfileID] = ACTIONS(1745),
    [anon_sym_POUNDfilePath] = ACTIONS(1745),
    [anon_sym_POUNDline] = ACTIONS(1745),
    [anon_sym_POUNDcolumn] = ACTIONS(1745),
    [anon_sym_POUNDfunction] = ACTIONS(1745),
    [anon_sym_POUNDdsohandle] = ACTIONS(1745),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1745),
    [anon_sym_DASH_EQ] = ACTIONS(1745),
    [anon_sym_STAR_EQ] = ACTIONS(1745),
    [anon_sym_SLASH_EQ] = ACTIONS(1745),
    [anon_sym_PERCENT_EQ] = ACTIONS(1745),
    [anon_sym_BANG_EQ] = ACTIONS(1743),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1745),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1745),
    [anon_sym_LT_EQ] = ACTIONS(1745),
    [anon_sym_GT_EQ] = ACTIONS(1745),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1743),
    [anon_sym_SLASH] = ACTIONS(1743),
    [anon_sym_PERCENT] = ACTIONS(1743),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1745),
    [anon_sym_CARET] = ACTIONS(1743),
    [anon_sym_LT_LT] = ACTIONS(1745),
    [anon_sym_GT_GT] = ACTIONS(1745),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1745),
    [sym__eq_eq_custom] = ACTIONS(1745),
    [sym__plus_then_ws] = ACTIONS(1745),
    [sym__minus_then_ws] = ACTIONS(1745),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [425] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1392),
    [sym_boolean_literal] = STATE(1392),
    [sym__string_literal] = STATE(1392),
    [sym_line_string_literal] = STATE(1392),
    [sym_multi_line_string_literal] = STATE(1392),
    [sym_raw_string_literal] = STATE(1392),
    [sym_regex_literal] = STATE(1392),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1392),
    [sym__unary_expression] = STATE(1392),
    [sym_postfix_expression] = STATE(1392),
    [sym_constructor_expression] = STATE(1392),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1392),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1392),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1392),
    [sym_prefix_expression] = STATE(1392),
    [sym_as_expression] = STATE(1392),
    [sym_selector_expression] = STATE(1392),
    [sym__binary_expression] = STATE(1392),
    [sym_multiplicative_expression] = STATE(1392),
    [sym_additive_expression] = STATE(1392),
    [sym_range_expression] = STATE(1392),
    [sym_infix_expression] = STATE(1392),
    [sym_nil_coalescing_expression] = STATE(1392),
    [sym_check_expression] = STATE(1392),
    [sym_comparison_expression] = STATE(1392),
    [sym_equality_expression] = STATE(1392),
    [sym_conjunction_expression] = STATE(1392),
    [sym_disjunction_expression] = STATE(1392),
    [sym_bitwise_operation] = STATE(1392),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1392),
    [sym_await_expression] = STATE(1392),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1392),
    [sym_call_expression] = STATE(1392),
    [sym__primary_expression] = STATE(1392),
    [sym_tuple_expression] = STATE(1392),
    [sym_array_literal] = STATE(1392),
    [sym_dictionary_literal] = STATE(1392),
    [sym__special_literal] = STATE(1392),
    [sym__playground_literal] = STATE(1392),
    [sym_lambda_literal] = STATE(1392),
    [sym_self_expression] = STATE(1392),
    [sym_super_expression] = STATE(1392),
    [sym_if_statement] = STATE(1392),
    [sym_switch_statement] = STATE(1392),
    [sym_key_path_expression] = STATE(1392),
    [sym_key_path_string_expression] = STATE(1392),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1392),
    [sym__equality_operator] = STATE(1392),
    [sym__comparison_operator] = STATE(1392),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1392),
    [sym__multiplicative_operator] = STATE(1392),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1392),
    [sym_value_parameter_pack] = STATE(1392),
    [sym_value_pack_expansion] = STATE(1392),
    [sym__referenceable_operator] = STATE(1392),
    [sym__equal_sign] = STATE(1392),
    [sym__eq_eq] = STATE(1392),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1743),
    [sym_real_literal] = ACTIONS(1745),
    [sym_integer_literal] = ACTIONS(1743),
    [sym_hex_literal] = ACTIONS(1745),
    [sym_oct_literal] = ACTIONS(1745),
    [sym_bin_literal] = ACTIONS(1745),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_RBRACK] = ACTIONS(1751),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1743),
    [anon_sym_GT] = ACTIONS(1743),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1743),
    [anon_sym_POUNDfileID] = ACTIONS(1745),
    [anon_sym_POUNDfilePath] = ACTIONS(1745),
    [anon_sym_POUNDline] = ACTIONS(1745),
    [anon_sym_POUNDcolumn] = ACTIONS(1745),
    [anon_sym_POUNDfunction] = ACTIONS(1745),
    [anon_sym_POUNDdsohandle] = ACTIONS(1745),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1745),
    [anon_sym_DASH_EQ] = ACTIONS(1745),
    [anon_sym_STAR_EQ] = ACTIONS(1745),
    [anon_sym_SLASH_EQ] = ACTIONS(1745),
    [anon_sym_PERCENT_EQ] = ACTIONS(1745),
    [anon_sym_BANG_EQ] = ACTIONS(1743),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1745),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1745),
    [anon_sym_LT_EQ] = ACTIONS(1745),
    [anon_sym_GT_EQ] = ACTIONS(1745),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1743),
    [anon_sym_SLASH] = ACTIONS(1743),
    [anon_sym_PERCENT] = ACTIONS(1743),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1745),
    [anon_sym_CARET] = ACTIONS(1743),
    [anon_sym_LT_LT] = ACTIONS(1745),
    [anon_sym_GT_GT] = ACTIONS(1745),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1745),
    [sym__eq_eq_custom] = ACTIONS(1745),
    [sym__plus_then_ws] = ACTIONS(1745),
    [sym__minus_then_ws] = ACTIONS(1745),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [426] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1392),
    [sym_boolean_literal] = STATE(1392),
    [sym__string_literal] = STATE(1392),
    [sym_line_string_literal] = STATE(1392),
    [sym_multi_line_string_literal] = STATE(1392),
    [sym_raw_string_literal] = STATE(1392),
    [sym_regex_literal] = STATE(1392),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1392),
    [sym__unary_expression] = STATE(1392),
    [sym_postfix_expression] = STATE(1392),
    [sym_constructor_expression] = STATE(1392),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1392),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1392),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1392),
    [sym_prefix_expression] = STATE(1392),
    [sym_as_expression] = STATE(1392),
    [sym_selector_expression] = STATE(1392),
    [sym__binary_expression] = STATE(1392),
    [sym_multiplicative_expression] = STATE(1392),
    [sym_additive_expression] = STATE(1392),
    [sym_range_expression] = STATE(1392),
    [sym_infix_expression] = STATE(1392),
    [sym_nil_coalescing_expression] = STATE(1392),
    [sym_check_expression] = STATE(1392),
    [sym_comparison_expression] = STATE(1392),
    [sym_equality_expression] = STATE(1392),
    [sym_conjunction_expression] = STATE(1392),
    [sym_disjunction_expression] = STATE(1392),
    [sym_bitwise_operation] = STATE(1392),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1392),
    [sym_await_expression] = STATE(1392),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1392),
    [sym_call_expression] = STATE(1392),
    [sym__primary_expression] = STATE(1392),
    [sym_tuple_expression] = STATE(1392),
    [sym_array_literal] = STATE(1392),
    [sym_dictionary_literal] = STATE(1392),
    [sym__special_literal] = STATE(1392),
    [sym__playground_literal] = STATE(1392),
    [sym_lambda_literal] = STATE(1392),
    [sym_self_expression] = STATE(1392),
    [sym_super_expression] = STATE(1392),
    [sym_if_statement] = STATE(1392),
    [sym_switch_statement] = STATE(1392),
    [sym_key_path_expression] = STATE(1392),
    [sym_key_path_string_expression] = STATE(1392),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1392),
    [sym__equality_operator] = STATE(1392),
    [sym__comparison_operator] = STATE(1392),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1392),
    [sym__multiplicative_operator] = STATE(1392),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1392),
    [sym_value_parameter_pack] = STATE(1392),
    [sym_value_pack_expansion] = STATE(1392),
    [sym__referenceable_operator] = STATE(1392),
    [sym__equal_sign] = STATE(1392),
    [sym__eq_eq] = STATE(1392),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1743),
    [sym_real_literal] = ACTIONS(1745),
    [sym_integer_literal] = ACTIONS(1743),
    [sym_hex_literal] = ACTIONS(1745),
    [sym_oct_literal] = ACTIONS(1745),
    [sym_bin_literal] = ACTIONS(1745),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_RBRACK] = ACTIONS(1753),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1743),
    [anon_sym_GT] = ACTIONS(1743),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1743),
    [anon_sym_POUNDfileID] = ACTIONS(1745),
    [anon_sym_POUNDfilePath] = ACTIONS(1745),
    [anon_sym_POUNDline] = ACTIONS(1745),
    [anon_sym_POUNDcolumn] = ACTIONS(1745),
    [anon_sym_POUNDfunction] = ACTIONS(1745),
    [anon_sym_POUNDdsohandle] = ACTIONS(1745),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1745),
    [anon_sym_DASH_EQ] = ACTIONS(1745),
    [anon_sym_STAR_EQ] = ACTIONS(1745),
    [anon_sym_SLASH_EQ] = ACTIONS(1745),
    [anon_sym_PERCENT_EQ] = ACTIONS(1745),
    [anon_sym_BANG_EQ] = ACTIONS(1743),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1745),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1745),
    [anon_sym_LT_EQ] = ACTIONS(1745),
    [anon_sym_GT_EQ] = ACTIONS(1745),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1743),
    [anon_sym_SLASH] = ACTIONS(1743),
    [anon_sym_PERCENT] = ACTIONS(1743),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1745),
    [anon_sym_CARET] = ACTIONS(1743),
    [anon_sym_LT_LT] = ACTIONS(1745),
    [anon_sym_GT_GT] = ACTIONS(1745),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1745),
    [sym__eq_eq_custom] = ACTIONS(1745),
    [sym__plus_then_ws] = ACTIONS(1745),
    [sym__minus_then_ws] = ACTIONS(1745),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [427] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1392),
    [sym_boolean_literal] = STATE(1392),
    [sym__string_literal] = STATE(1392),
    [sym_line_string_literal] = STATE(1392),
    [sym_multi_line_string_literal] = STATE(1392),
    [sym_raw_string_literal] = STATE(1392),
    [sym_regex_literal] = STATE(1392),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1392),
    [sym__unary_expression] = STATE(1392),
    [sym_postfix_expression] = STATE(1392),
    [sym_constructor_expression] = STATE(1392),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1392),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1392),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1392),
    [sym_prefix_expression] = STATE(1392),
    [sym_as_expression] = STATE(1392),
    [sym_selector_expression] = STATE(1392),
    [sym__binary_expression] = STATE(1392),
    [sym_multiplicative_expression] = STATE(1392),
    [sym_additive_expression] = STATE(1392),
    [sym_range_expression] = STATE(1392),
    [sym_infix_expression] = STATE(1392),
    [sym_nil_coalescing_expression] = STATE(1392),
    [sym_check_expression] = STATE(1392),
    [sym_comparison_expression] = STATE(1392),
    [sym_equality_expression] = STATE(1392),
    [sym_conjunction_expression] = STATE(1392),
    [sym_disjunction_expression] = STATE(1392),
    [sym_bitwise_operation] = STATE(1392),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1392),
    [sym_await_expression] = STATE(1392),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1392),
    [sym_call_expression] = STATE(1392),
    [sym__primary_expression] = STATE(1392),
    [sym_tuple_expression] = STATE(1392),
    [sym_array_literal] = STATE(1392),
    [sym_dictionary_literal] = STATE(1392),
    [sym__special_literal] = STATE(1392),
    [sym__playground_literal] = STATE(1392),
    [sym_lambda_literal] = STATE(1392),
    [sym_self_expression] = STATE(1392),
    [sym_super_expression] = STATE(1392),
    [sym_if_statement] = STATE(1392),
    [sym_switch_statement] = STATE(1392),
    [sym_key_path_expression] = STATE(1392),
    [sym_key_path_string_expression] = STATE(1392),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1392),
    [sym__equality_operator] = STATE(1392),
    [sym__comparison_operator] = STATE(1392),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1392),
    [sym__multiplicative_operator] = STATE(1392),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1392),
    [sym_value_parameter_pack] = STATE(1392),
    [sym_value_pack_expansion] = STATE(1392),
    [sym__referenceable_operator] = STATE(1392),
    [sym__equal_sign] = STATE(1392),
    [sym__eq_eq] = STATE(1392),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1743),
    [sym_real_literal] = ACTIONS(1745),
    [sym_integer_literal] = ACTIONS(1743),
    [sym_hex_literal] = ACTIONS(1745),
    [sym_oct_literal] = ACTIONS(1745),
    [sym_bin_literal] = ACTIONS(1745),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_RBRACK] = ACTIONS(1755),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1743),
    [anon_sym_GT] = ACTIONS(1743),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1743),
    [anon_sym_POUNDfileID] = ACTIONS(1745),
    [anon_sym_POUNDfilePath] = ACTIONS(1745),
    [anon_sym_POUNDline] = ACTIONS(1745),
    [anon_sym_POUNDcolumn] = ACTIONS(1745),
    [anon_sym_POUNDfunction] = ACTIONS(1745),
    [anon_sym_POUNDdsohandle] = ACTIONS(1745),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1745),
    [anon_sym_DASH_EQ] = ACTIONS(1745),
    [anon_sym_STAR_EQ] = ACTIONS(1745),
    [anon_sym_SLASH_EQ] = ACTIONS(1745),
    [anon_sym_PERCENT_EQ] = ACTIONS(1745),
    [anon_sym_BANG_EQ] = ACTIONS(1743),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1745),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1745),
    [anon_sym_LT_EQ] = ACTIONS(1745),
    [anon_sym_GT_EQ] = ACTIONS(1745),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1743),
    [anon_sym_SLASH] = ACTIONS(1743),
    [anon_sym_PERCENT] = ACTIONS(1743),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1745),
    [anon_sym_CARET] = ACTIONS(1743),
    [anon_sym_LT_LT] = ACTIONS(1745),
    [anon_sym_GT_GT] = ACTIONS(1745),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1745),
    [sym__eq_eq_custom] = ACTIONS(1745),
    [sym__plus_then_ws] = ACTIONS(1745),
    [sym__minus_then_ws] = ACTIONS(1745),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [428] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1392),
    [sym_boolean_literal] = STATE(1392),
    [sym__string_literal] = STATE(1392),
    [sym_line_string_literal] = STATE(1392),
    [sym_multi_line_string_literal] = STATE(1392),
    [sym_raw_string_literal] = STATE(1392),
    [sym_regex_literal] = STATE(1392),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1392),
    [sym__unary_expression] = STATE(1392),
    [sym_postfix_expression] = STATE(1392),
    [sym_constructor_expression] = STATE(1392),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1392),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1392),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1392),
    [sym_prefix_expression] = STATE(1392),
    [sym_as_expression] = STATE(1392),
    [sym_selector_expression] = STATE(1392),
    [sym__binary_expression] = STATE(1392),
    [sym_multiplicative_expression] = STATE(1392),
    [sym_additive_expression] = STATE(1392),
    [sym_range_expression] = STATE(1392),
    [sym_infix_expression] = STATE(1392),
    [sym_nil_coalescing_expression] = STATE(1392),
    [sym_check_expression] = STATE(1392),
    [sym_comparison_expression] = STATE(1392),
    [sym_equality_expression] = STATE(1392),
    [sym_conjunction_expression] = STATE(1392),
    [sym_disjunction_expression] = STATE(1392),
    [sym_bitwise_operation] = STATE(1392),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1392),
    [sym_await_expression] = STATE(1392),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1392),
    [sym_call_expression] = STATE(1392),
    [sym__primary_expression] = STATE(1392),
    [sym_tuple_expression] = STATE(1392),
    [sym_array_literal] = STATE(1392),
    [sym_dictionary_literal] = STATE(1392),
    [sym__special_literal] = STATE(1392),
    [sym__playground_literal] = STATE(1392),
    [sym_lambda_literal] = STATE(1392),
    [sym_self_expression] = STATE(1392),
    [sym_super_expression] = STATE(1392),
    [sym_if_statement] = STATE(1392),
    [sym_switch_statement] = STATE(1392),
    [sym_key_path_expression] = STATE(1392),
    [sym_key_path_string_expression] = STATE(1392),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1392),
    [sym__equality_operator] = STATE(1392),
    [sym__comparison_operator] = STATE(1392),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1392),
    [sym__multiplicative_operator] = STATE(1392),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1392),
    [sym_value_parameter_pack] = STATE(1392),
    [sym_value_pack_expansion] = STATE(1392),
    [sym__referenceable_operator] = STATE(1392),
    [sym__equal_sign] = STATE(1392),
    [sym__eq_eq] = STATE(1392),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1743),
    [sym_real_literal] = ACTIONS(1745),
    [sym_integer_literal] = ACTIONS(1743),
    [sym_hex_literal] = ACTIONS(1745),
    [sym_oct_literal] = ACTIONS(1745),
    [sym_bin_literal] = ACTIONS(1745),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_RBRACK] = ACTIONS(1757),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1743),
    [anon_sym_GT] = ACTIONS(1743),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1743),
    [anon_sym_POUNDfileID] = ACTIONS(1745),
    [anon_sym_POUNDfilePath] = ACTIONS(1745),
    [anon_sym_POUNDline] = ACTIONS(1745),
    [anon_sym_POUNDcolumn] = ACTIONS(1745),
    [anon_sym_POUNDfunction] = ACTIONS(1745),
    [anon_sym_POUNDdsohandle] = ACTIONS(1745),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1745),
    [anon_sym_DASH_EQ] = ACTIONS(1745),
    [anon_sym_STAR_EQ] = ACTIONS(1745),
    [anon_sym_SLASH_EQ] = ACTIONS(1745),
    [anon_sym_PERCENT_EQ] = ACTIONS(1745),
    [anon_sym_BANG_EQ] = ACTIONS(1743),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1745),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1745),
    [anon_sym_LT_EQ] = ACTIONS(1745),
    [anon_sym_GT_EQ] = ACTIONS(1745),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1743),
    [anon_sym_SLASH] = ACTIONS(1743),
    [anon_sym_PERCENT] = ACTIONS(1743),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1745),
    [anon_sym_CARET] = ACTIONS(1743),
    [anon_sym_LT_LT] = ACTIONS(1745),
    [anon_sym_GT_GT] = ACTIONS(1745),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1745),
    [sym__eq_eq_custom] = ACTIONS(1745),
    [sym__plus_then_ws] = ACTIONS(1745),
    [sym__minus_then_ws] = ACTIONS(1745),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [429] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1392),
    [sym_boolean_literal] = STATE(1392),
    [sym__string_literal] = STATE(1392),
    [sym_line_string_literal] = STATE(1392),
    [sym_multi_line_string_literal] = STATE(1392),
    [sym_raw_string_literal] = STATE(1392),
    [sym_regex_literal] = STATE(1392),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1392),
    [sym__unary_expression] = STATE(1392),
    [sym_postfix_expression] = STATE(1392),
    [sym_constructor_expression] = STATE(1392),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1392),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1392),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1392),
    [sym_prefix_expression] = STATE(1392),
    [sym_as_expression] = STATE(1392),
    [sym_selector_expression] = STATE(1392),
    [sym__binary_expression] = STATE(1392),
    [sym_multiplicative_expression] = STATE(1392),
    [sym_additive_expression] = STATE(1392),
    [sym_range_expression] = STATE(1392),
    [sym_infix_expression] = STATE(1392),
    [sym_nil_coalescing_expression] = STATE(1392),
    [sym_check_expression] = STATE(1392),
    [sym_comparison_expression] = STATE(1392),
    [sym_equality_expression] = STATE(1392),
    [sym_conjunction_expression] = STATE(1392),
    [sym_disjunction_expression] = STATE(1392),
    [sym_bitwise_operation] = STATE(1392),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1392),
    [sym_await_expression] = STATE(1392),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1392),
    [sym_call_expression] = STATE(1392),
    [sym__primary_expression] = STATE(1392),
    [sym_tuple_expression] = STATE(1392),
    [sym_array_literal] = STATE(1392),
    [sym_dictionary_literal] = STATE(1392),
    [sym__special_literal] = STATE(1392),
    [sym__playground_literal] = STATE(1392),
    [sym_lambda_literal] = STATE(1392),
    [sym_self_expression] = STATE(1392),
    [sym_super_expression] = STATE(1392),
    [sym_if_statement] = STATE(1392),
    [sym_switch_statement] = STATE(1392),
    [sym_key_path_expression] = STATE(1392),
    [sym_key_path_string_expression] = STATE(1392),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1392),
    [sym__equality_operator] = STATE(1392),
    [sym__comparison_operator] = STATE(1392),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1392),
    [sym__multiplicative_operator] = STATE(1392),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1392),
    [sym_value_parameter_pack] = STATE(1392),
    [sym_value_pack_expansion] = STATE(1392),
    [sym__referenceable_operator] = STATE(1392),
    [sym__equal_sign] = STATE(1392),
    [sym__eq_eq] = STATE(1392),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1743),
    [sym_real_literal] = ACTIONS(1745),
    [sym_integer_literal] = ACTIONS(1743),
    [sym_hex_literal] = ACTIONS(1745),
    [sym_oct_literal] = ACTIONS(1745),
    [sym_bin_literal] = ACTIONS(1745),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_RBRACK] = ACTIONS(1759),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1743),
    [anon_sym_GT] = ACTIONS(1743),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1743),
    [anon_sym_POUNDfileID] = ACTIONS(1745),
    [anon_sym_POUNDfilePath] = ACTIONS(1745),
    [anon_sym_POUNDline] = ACTIONS(1745),
    [anon_sym_POUNDcolumn] = ACTIONS(1745),
    [anon_sym_POUNDfunction] = ACTIONS(1745),
    [anon_sym_POUNDdsohandle] = ACTIONS(1745),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1745),
    [anon_sym_DASH_EQ] = ACTIONS(1745),
    [anon_sym_STAR_EQ] = ACTIONS(1745),
    [anon_sym_SLASH_EQ] = ACTIONS(1745),
    [anon_sym_PERCENT_EQ] = ACTIONS(1745),
    [anon_sym_BANG_EQ] = ACTIONS(1743),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1745),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1745),
    [anon_sym_LT_EQ] = ACTIONS(1745),
    [anon_sym_GT_EQ] = ACTIONS(1745),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1743),
    [anon_sym_SLASH] = ACTIONS(1743),
    [anon_sym_PERCENT] = ACTIONS(1743),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1745),
    [anon_sym_CARET] = ACTIONS(1743),
    [anon_sym_LT_LT] = ACTIONS(1745),
    [anon_sym_GT_GT] = ACTIONS(1745),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1745),
    [sym__eq_eq_custom] = ACTIONS(1745),
    [sym__plus_then_ws] = ACTIONS(1745),
    [sym__minus_then_ws] = ACTIONS(1745),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [430] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1392),
    [sym_boolean_literal] = STATE(1392),
    [sym__string_literal] = STATE(1392),
    [sym_line_string_literal] = STATE(1392),
    [sym_multi_line_string_literal] = STATE(1392),
    [sym_raw_string_literal] = STATE(1392),
    [sym_regex_literal] = STATE(1392),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1392),
    [sym__unary_expression] = STATE(1392),
    [sym_postfix_expression] = STATE(1392),
    [sym_constructor_expression] = STATE(1392),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1392),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1392),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1392),
    [sym_prefix_expression] = STATE(1392),
    [sym_as_expression] = STATE(1392),
    [sym_selector_expression] = STATE(1392),
    [sym__binary_expression] = STATE(1392),
    [sym_multiplicative_expression] = STATE(1392),
    [sym_additive_expression] = STATE(1392),
    [sym_range_expression] = STATE(1392),
    [sym_infix_expression] = STATE(1392),
    [sym_nil_coalescing_expression] = STATE(1392),
    [sym_check_expression] = STATE(1392),
    [sym_comparison_expression] = STATE(1392),
    [sym_equality_expression] = STATE(1392),
    [sym_conjunction_expression] = STATE(1392),
    [sym_disjunction_expression] = STATE(1392),
    [sym_bitwise_operation] = STATE(1392),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1392),
    [sym_await_expression] = STATE(1392),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1392),
    [sym_call_expression] = STATE(1392),
    [sym__primary_expression] = STATE(1392),
    [sym_tuple_expression] = STATE(1392),
    [sym_array_literal] = STATE(1392),
    [sym_dictionary_literal] = STATE(1392),
    [sym__special_literal] = STATE(1392),
    [sym__playground_literal] = STATE(1392),
    [sym_lambda_literal] = STATE(1392),
    [sym_self_expression] = STATE(1392),
    [sym_super_expression] = STATE(1392),
    [sym_if_statement] = STATE(1392),
    [sym_switch_statement] = STATE(1392),
    [sym_key_path_expression] = STATE(1392),
    [sym_key_path_string_expression] = STATE(1392),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1392),
    [sym__equality_operator] = STATE(1392),
    [sym__comparison_operator] = STATE(1392),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1392),
    [sym__multiplicative_operator] = STATE(1392),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1392),
    [sym_value_parameter_pack] = STATE(1392),
    [sym_value_pack_expansion] = STATE(1392),
    [sym__referenceable_operator] = STATE(1392),
    [sym__equal_sign] = STATE(1392),
    [sym__eq_eq] = STATE(1392),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1743),
    [sym_real_literal] = ACTIONS(1745),
    [sym_integer_literal] = ACTIONS(1743),
    [sym_hex_literal] = ACTIONS(1745),
    [sym_oct_literal] = ACTIONS(1745),
    [sym_bin_literal] = ACTIONS(1745),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_RBRACK] = ACTIONS(1761),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1743),
    [anon_sym_GT] = ACTIONS(1743),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1743),
    [anon_sym_POUNDfileID] = ACTIONS(1745),
    [anon_sym_POUNDfilePath] = ACTIONS(1745),
    [anon_sym_POUNDline] = ACTIONS(1745),
    [anon_sym_POUNDcolumn] = ACTIONS(1745),
    [anon_sym_POUNDfunction] = ACTIONS(1745),
    [anon_sym_POUNDdsohandle] = ACTIONS(1745),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1745),
    [anon_sym_DASH_EQ] = ACTIONS(1745),
    [anon_sym_STAR_EQ] = ACTIONS(1745),
    [anon_sym_SLASH_EQ] = ACTIONS(1745),
    [anon_sym_PERCENT_EQ] = ACTIONS(1745),
    [anon_sym_BANG_EQ] = ACTIONS(1743),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1745),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1745),
    [anon_sym_LT_EQ] = ACTIONS(1745),
    [anon_sym_GT_EQ] = ACTIONS(1745),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1743),
    [anon_sym_SLASH] = ACTIONS(1743),
    [anon_sym_PERCENT] = ACTIONS(1743),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1745),
    [anon_sym_CARET] = ACTIONS(1743),
    [anon_sym_LT_LT] = ACTIONS(1745),
    [anon_sym_GT_GT] = ACTIONS(1745),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1745),
    [sym__eq_eq_custom] = ACTIONS(1745),
    [sym__plus_then_ws] = ACTIONS(1745),
    [sym__minus_then_ws] = ACTIONS(1745),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [431] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1392),
    [sym_boolean_literal] = STATE(1392),
    [sym__string_literal] = STATE(1392),
    [sym_line_string_literal] = STATE(1392),
    [sym_multi_line_string_literal] = STATE(1392),
    [sym_raw_string_literal] = STATE(1392),
    [sym_regex_literal] = STATE(1392),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1392),
    [sym__unary_expression] = STATE(1392),
    [sym_postfix_expression] = STATE(1392),
    [sym_constructor_expression] = STATE(1392),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1392),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1392),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1392),
    [sym_prefix_expression] = STATE(1392),
    [sym_as_expression] = STATE(1392),
    [sym_selector_expression] = STATE(1392),
    [sym__binary_expression] = STATE(1392),
    [sym_multiplicative_expression] = STATE(1392),
    [sym_additive_expression] = STATE(1392),
    [sym_range_expression] = STATE(1392),
    [sym_infix_expression] = STATE(1392),
    [sym_nil_coalescing_expression] = STATE(1392),
    [sym_check_expression] = STATE(1392),
    [sym_comparison_expression] = STATE(1392),
    [sym_equality_expression] = STATE(1392),
    [sym_conjunction_expression] = STATE(1392),
    [sym_disjunction_expression] = STATE(1392),
    [sym_bitwise_operation] = STATE(1392),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1392),
    [sym_await_expression] = STATE(1392),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1392),
    [sym_call_expression] = STATE(1392),
    [sym__primary_expression] = STATE(1392),
    [sym_tuple_expression] = STATE(1392),
    [sym_array_literal] = STATE(1392),
    [sym_dictionary_literal] = STATE(1392),
    [sym__special_literal] = STATE(1392),
    [sym__playground_literal] = STATE(1392),
    [sym_lambda_literal] = STATE(1392),
    [sym_self_expression] = STATE(1392),
    [sym_super_expression] = STATE(1392),
    [sym_if_statement] = STATE(1392),
    [sym_switch_statement] = STATE(1392),
    [sym_key_path_expression] = STATE(1392),
    [sym_key_path_string_expression] = STATE(1392),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1392),
    [sym__equality_operator] = STATE(1392),
    [sym__comparison_operator] = STATE(1392),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1392),
    [sym__multiplicative_operator] = STATE(1392),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1392),
    [sym_value_parameter_pack] = STATE(1392),
    [sym_value_pack_expansion] = STATE(1392),
    [sym__referenceable_operator] = STATE(1392),
    [sym__equal_sign] = STATE(1392),
    [sym__eq_eq] = STATE(1392),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1743),
    [sym_real_literal] = ACTIONS(1745),
    [sym_integer_literal] = ACTIONS(1743),
    [sym_hex_literal] = ACTIONS(1745),
    [sym_oct_literal] = ACTIONS(1745),
    [sym_bin_literal] = ACTIONS(1745),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_RBRACK] = ACTIONS(1763),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1743),
    [anon_sym_GT] = ACTIONS(1743),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1743),
    [anon_sym_POUNDfileID] = ACTIONS(1745),
    [anon_sym_POUNDfilePath] = ACTIONS(1745),
    [anon_sym_POUNDline] = ACTIONS(1745),
    [anon_sym_POUNDcolumn] = ACTIONS(1745),
    [anon_sym_POUNDfunction] = ACTIONS(1745),
    [anon_sym_POUNDdsohandle] = ACTIONS(1745),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1745),
    [anon_sym_DASH_EQ] = ACTIONS(1745),
    [anon_sym_STAR_EQ] = ACTIONS(1745),
    [anon_sym_SLASH_EQ] = ACTIONS(1745),
    [anon_sym_PERCENT_EQ] = ACTIONS(1745),
    [anon_sym_BANG_EQ] = ACTIONS(1743),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1745),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1745),
    [anon_sym_LT_EQ] = ACTIONS(1745),
    [anon_sym_GT_EQ] = ACTIONS(1745),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1743),
    [anon_sym_SLASH] = ACTIONS(1743),
    [anon_sym_PERCENT] = ACTIONS(1743),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1745),
    [anon_sym_CARET] = ACTIONS(1743),
    [anon_sym_LT_LT] = ACTIONS(1745),
    [anon_sym_GT_GT] = ACTIONS(1745),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1745),
    [sym__eq_eq_custom] = ACTIONS(1745),
    [sym__plus_then_ws] = ACTIONS(1745),
    [sym__minus_then_ws] = ACTIONS(1745),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [432] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1392),
    [sym_boolean_literal] = STATE(1392),
    [sym__string_literal] = STATE(1392),
    [sym_line_string_literal] = STATE(1392),
    [sym_multi_line_string_literal] = STATE(1392),
    [sym_raw_string_literal] = STATE(1392),
    [sym_regex_literal] = STATE(1392),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1392),
    [sym__unary_expression] = STATE(1392),
    [sym_postfix_expression] = STATE(1392),
    [sym_constructor_expression] = STATE(1392),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1392),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1392),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1392),
    [sym_prefix_expression] = STATE(1392),
    [sym_as_expression] = STATE(1392),
    [sym_selector_expression] = STATE(1392),
    [sym__binary_expression] = STATE(1392),
    [sym_multiplicative_expression] = STATE(1392),
    [sym_additive_expression] = STATE(1392),
    [sym_range_expression] = STATE(1392),
    [sym_infix_expression] = STATE(1392),
    [sym_nil_coalescing_expression] = STATE(1392),
    [sym_check_expression] = STATE(1392),
    [sym_comparison_expression] = STATE(1392),
    [sym_equality_expression] = STATE(1392),
    [sym_conjunction_expression] = STATE(1392),
    [sym_disjunction_expression] = STATE(1392),
    [sym_bitwise_operation] = STATE(1392),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1392),
    [sym_await_expression] = STATE(1392),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1392),
    [sym_call_expression] = STATE(1392),
    [sym__primary_expression] = STATE(1392),
    [sym_tuple_expression] = STATE(1392),
    [sym_array_literal] = STATE(1392),
    [sym_dictionary_literal] = STATE(1392),
    [sym__special_literal] = STATE(1392),
    [sym__playground_literal] = STATE(1392),
    [sym_lambda_literal] = STATE(1392),
    [sym_self_expression] = STATE(1392),
    [sym_super_expression] = STATE(1392),
    [sym_if_statement] = STATE(1392),
    [sym_switch_statement] = STATE(1392),
    [sym_key_path_expression] = STATE(1392),
    [sym_key_path_string_expression] = STATE(1392),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1392),
    [sym__equality_operator] = STATE(1392),
    [sym__comparison_operator] = STATE(1392),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1392),
    [sym__multiplicative_operator] = STATE(1392),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1392),
    [sym_value_parameter_pack] = STATE(1392),
    [sym_value_pack_expansion] = STATE(1392),
    [sym__referenceable_operator] = STATE(1392),
    [sym__equal_sign] = STATE(1392),
    [sym__eq_eq] = STATE(1392),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1743),
    [sym_real_literal] = ACTIONS(1745),
    [sym_integer_literal] = ACTIONS(1743),
    [sym_hex_literal] = ACTIONS(1745),
    [sym_oct_literal] = ACTIONS(1745),
    [sym_bin_literal] = ACTIONS(1745),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_RBRACK] = ACTIONS(1765),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1743),
    [anon_sym_GT] = ACTIONS(1743),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1743),
    [anon_sym_POUNDfileID] = ACTIONS(1745),
    [anon_sym_POUNDfilePath] = ACTIONS(1745),
    [anon_sym_POUNDline] = ACTIONS(1745),
    [anon_sym_POUNDcolumn] = ACTIONS(1745),
    [anon_sym_POUNDfunction] = ACTIONS(1745),
    [anon_sym_POUNDdsohandle] = ACTIONS(1745),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1745),
    [anon_sym_DASH_EQ] = ACTIONS(1745),
    [anon_sym_STAR_EQ] = ACTIONS(1745),
    [anon_sym_SLASH_EQ] = ACTIONS(1745),
    [anon_sym_PERCENT_EQ] = ACTIONS(1745),
    [anon_sym_BANG_EQ] = ACTIONS(1743),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1745),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1745),
    [anon_sym_LT_EQ] = ACTIONS(1745),
    [anon_sym_GT_EQ] = ACTIONS(1745),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1743),
    [anon_sym_SLASH] = ACTIONS(1743),
    [anon_sym_PERCENT] = ACTIONS(1743),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1745),
    [anon_sym_CARET] = ACTIONS(1743),
    [anon_sym_LT_LT] = ACTIONS(1745),
    [anon_sym_GT_GT] = ACTIONS(1745),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1745),
    [sym__eq_eq_custom] = ACTIONS(1745),
    [sym__plus_then_ws] = ACTIONS(1745),
    [sym__minus_then_ws] = ACTIONS(1745),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [433] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1392),
    [sym_boolean_literal] = STATE(1392),
    [sym__string_literal] = STATE(1392),
    [sym_line_string_literal] = STATE(1392),
    [sym_multi_line_string_literal] = STATE(1392),
    [sym_raw_string_literal] = STATE(1392),
    [sym_regex_literal] = STATE(1392),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1392),
    [sym__unary_expression] = STATE(1392),
    [sym_postfix_expression] = STATE(1392),
    [sym_constructor_expression] = STATE(1392),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1392),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1392),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1392),
    [sym_prefix_expression] = STATE(1392),
    [sym_as_expression] = STATE(1392),
    [sym_selector_expression] = STATE(1392),
    [sym__binary_expression] = STATE(1392),
    [sym_multiplicative_expression] = STATE(1392),
    [sym_additive_expression] = STATE(1392),
    [sym_range_expression] = STATE(1392),
    [sym_infix_expression] = STATE(1392),
    [sym_nil_coalescing_expression] = STATE(1392),
    [sym_check_expression] = STATE(1392),
    [sym_comparison_expression] = STATE(1392),
    [sym_equality_expression] = STATE(1392),
    [sym_conjunction_expression] = STATE(1392),
    [sym_disjunction_expression] = STATE(1392),
    [sym_bitwise_operation] = STATE(1392),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1392),
    [sym_await_expression] = STATE(1392),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1392),
    [sym_call_expression] = STATE(1392),
    [sym__primary_expression] = STATE(1392),
    [sym_tuple_expression] = STATE(1392),
    [sym_array_literal] = STATE(1392),
    [sym_dictionary_literal] = STATE(1392),
    [sym__special_literal] = STATE(1392),
    [sym__playground_literal] = STATE(1392),
    [sym_lambda_literal] = STATE(1392),
    [sym_self_expression] = STATE(1392),
    [sym_super_expression] = STATE(1392),
    [sym_if_statement] = STATE(1392),
    [sym_switch_statement] = STATE(1392),
    [sym_key_path_expression] = STATE(1392),
    [sym_key_path_string_expression] = STATE(1392),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1392),
    [sym__equality_operator] = STATE(1392),
    [sym__comparison_operator] = STATE(1392),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1392),
    [sym__multiplicative_operator] = STATE(1392),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1392),
    [sym_value_parameter_pack] = STATE(1392),
    [sym_value_pack_expansion] = STATE(1392),
    [sym__referenceable_operator] = STATE(1392),
    [sym__equal_sign] = STATE(1392),
    [sym__eq_eq] = STATE(1392),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1743),
    [sym_real_literal] = ACTIONS(1745),
    [sym_integer_literal] = ACTIONS(1743),
    [sym_hex_literal] = ACTIONS(1745),
    [sym_oct_literal] = ACTIONS(1745),
    [sym_bin_literal] = ACTIONS(1745),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_RBRACK] = ACTIONS(1767),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1743),
    [anon_sym_GT] = ACTIONS(1743),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1743),
    [anon_sym_POUNDfileID] = ACTIONS(1745),
    [anon_sym_POUNDfilePath] = ACTIONS(1745),
    [anon_sym_POUNDline] = ACTIONS(1745),
    [anon_sym_POUNDcolumn] = ACTIONS(1745),
    [anon_sym_POUNDfunction] = ACTIONS(1745),
    [anon_sym_POUNDdsohandle] = ACTIONS(1745),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1745),
    [anon_sym_DASH_EQ] = ACTIONS(1745),
    [anon_sym_STAR_EQ] = ACTIONS(1745),
    [anon_sym_SLASH_EQ] = ACTIONS(1745),
    [anon_sym_PERCENT_EQ] = ACTIONS(1745),
    [anon_sym_BANG_EQ] = ACTIONS(1743),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1745),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1745),
    [anon_sym_LT_EQ] = ACTIONS(1745),
    [anon_sym_GT_EQ] = ACTIONS(1745),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1743),
    [anon_sym_SLASH] = ACTIONS(1743),
    [anon_sym_PERCENT] = ACTIONS(1743),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1745),
    [anon_sym_CARET] = ACTIONS(1743),
    [anon_sym_LT_LT] = ACTIONS(1745),
    [anon_sym_GT_GT] = ACTIONS(1745),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1745),
    [sym__eq_eq_custom] = ACTIONS(1745),
    [sym__plus_then_ws] = ACTIONS(1745),
    [sym__minus_then_ws] = ACTIONS(1745),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [434] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1454),
    [sym_boolean_literal] = STATE(1454),
    [sym__string_literal] = STATE(1454),
    [sym_line_string_literal] = STATE(1454),
    [sym_multi_line_string_literal] = STATE(1454),
    [sym_raw_string_literal] = STATE(1454),
    [sym_regex_literal] = STATE(1454),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1454),
    [sym__unary_expression] = STATE(1454),
    [sym_postfix_expression] = STATE(1454),
    [sym_constructor_expression] = STATE(1454),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1454),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1454),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1454),
    [sym_prefix_expression] = STATE(1454),
    [sym_as_expression] = STATE(1454),
    [sym_selector_expression] = STATE(1454),
    [sym__binary_expression] = STATE(1454),
    [sym_multiplicative_expression] = STATE(1454),
    [sym_additive_expression] = STATE(1454),
    [sym_range_expression] = STATE(1454),
    [sym_infix_expression] = STATE(1454),
    [sym_nil_coalescing_expression] = STATE(1454),
    [sym_check_expression] = STATE(1454),
    [sym_comparison_expression] = STATE(1454),
    [sym_equality_expression] = STATE(1454),
    [sym_conjunction_expression] = STATE(1454),
    [sym_disjunction_expression] = STATE(1454),
    [sym_bitwise_operation] = STATE(1454),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1454),
    [sym_await_expression] = STATE(1454),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1454),
    [sym_call_expression] = STATE(1454),
    [sym__primary_expression] = STATE(1454),
    [sym_tuple_expression] = STATE(1454),
    [sym_array_literal] = STATE(1454),
    [sym_dictionary_literal] = STATE(1454),
    [sym__special_literal] = STATE(1454),
    [sym__playground_literal] = STATE(1454),
    [sym_lambda_literal] = STATE(1454),
    [sym_self_expression] = STATE(1454),
    [sym_super_expression] = STATE(1454),
    [sym_if_statement] = STATE(1454),
    [sym_switch_statement] = STATE(1454),
    [sym_key_path_expression] = STATE(1454),
    [sym_key_path_string_expression] = STATE(1454),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1454),
    [sym__equality_operator] = STATE(1454),
    [sym__comparison_operator] = STATE(1454),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1454),
    [sym__multiplicative_operator] = STATE(1454),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1454),
    [sym_value_parameter_pack] = STATE(1454),
    [sym_value_pack_expansion] = STATE(1454),
    [sym__referenceable_operator] = STATE(1454),
    [sym__equal_sign] = STATE(1454),
    [sym__eq_eq] = STATE(1454),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1219),
    [sym_real_literal] = ACTIONS(1221),
    [sym_integer_literal] = ACTIONS(1219),
    [sym_hex_literal] = ACTIONS(1221),
    [sym_oct_literal] = ACTIONS(1221),
    [sym_bin_literal] = ACTIONS(1221),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_COLON] = ACTIONS(1117),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1219),
    [anon_sym_GT] = ACTIONS(1219),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1219),
    [anon_sym_POUNDfileID] = ACTIONS(1221),
    [anon_sym_POUNDfilePath] = ACTIONS(1221),
    [anon_sym_POUNDline] = ACTIONS(1221),
    [anon_sym_POUNDcolumn] = ACTIONS(1221),
    [anon_sym_POUNDfunction] = ACTIONS(1221),
    [anon_sym_POUNDdsohandle] = ACTIONS(1221),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1221),
    [anon_sym_DASH_EQ] = ACTIONS(1221),
    [anon_sym_STAR_EQ] = ACTIONS(1221),
    [anon_sym_SLASH_EQ] = ACTIONS(1221),
    [anon_sym_PERCENT_EQ] = ACTIONS(1221),
    [anon_sym_BANG_EQ] = ACTIONS(1219),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1221),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1221),
    [anon_sym_LT_EQ] = ACTIONS(1221),
    [anon_sym_GT_EQ] = ACTIONS(1221),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1219),
    [anon_sym_SLASH] = ACTIONS(1219),
    [anon_sym_PERCENT] = ACTIONS(1219),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1221),
    [anon_sym_CARET] = ACTIONS(1219),
    [anon_sym_LT_LT] = ACTIONS(1221),
    [anon_sym_GT_GT] = ACTIONS(1221),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1221),
    [sym__eq_eq_custom] = ACTIONS(1221),
    [sym__plus_then_ws] = ACTIONS(1221),
    [sym__minus_then_ws] = ACTIONS(1221),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [435] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1392),
    [sym_boolean_literal] = STATE(1392),
    [sym__string_literal] = STATE(1392),
    [sym_line_string_literal] = STATE(1392),
    [sym_multi_line_string_literal] = STATE(1392),
    [sym_raw_string_literal] = STATE(1392),
    [sym_regex_literal] = STATE(1392),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1392),
    [sym__unary_expression] = STATE(1392),
    [sym_postfix_expression] = STATE(1392),
    [sym_constructor_expression] = STATE(1392),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1392),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1392),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1392),
    [sym_prefix_expression] = STATE(1392),
    [sym_as_expression] = STATE(1392),
    [sym_selector_expression] = STATE(1392),
    [sym__binary_expression] = STATE(1392),
    [sym_multiplicative_expression] = STATE(1392),
    [sym_additive_expression] = STATE(1392),
    [sym_range_expression] = STATE(1392),
    [sym_infix_expression] = STATE(1392),
    [sym_nil_coalescing_expression] = STATE(1392),
    [sym_check_expression] = STATE(1392),
    [sym_comparison_expression] = STATE(1392),
    [sym_equality_expression] = STATE(1392),
    [sym_conjunction_expression] = STATE(1392),
    [sym_disjunction_expression] = STATE(1392),
    [sym_bitwise_operation] = STATE(1392),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1392),
    [sym_await_expression] = STATE(1392),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1392),
    [sym_call_expression] = STATE(1392),
    [sym__primary_expression] = STATE(1392),
    [sym_tuple_expression] = STATE(1392),
    [sym_array_literal] = STATE(1392),
    [sym_dictionary_literal] = STATE(1392),
    [sym__special_literal] = STATE(1392),
    [sym__playground_literal] = STATE(1392),
    [sym_lambda_literal] = STATE(1392),
    [sym_self_expression] = STATE(1392),
    [sym_super_expression] = STATE(1392),
    [sym_if_statement] = STATE(1392),
    [sym_switch_statement] = STATE(1392),
    [sym_key_path_expression] = STATE(1392),
    [sym_key_path_string_expression] = STATE(1392),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1392),
    [sym__equality_operator] = STATE(1392),
    [sym__comparison_operator] = STATE(1392),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1392),
    [sym__multiplicative_operator] = STATE(1392),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1392),
    [sym_value_parameter_pack] = STATE(1392),
    [sym_value_pack_expansion] = STATE(1392),
    [sym__referenceable_operator] = STATE(1392),
    [sym__equal_sign] = STATE(1392),
    [sym__eq_eq] = STATE(1392),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1743),
    [sym_real_literal] = ACTIONS(1745),
    [sym_integer_literal] = ACTIONS(1743),
    [sym_hex_literal] = ACTIONS(1745),
    [sym_oct_literal] = ACTIONS(1745),
    [sym_bin_literal] = ACTIONS(1745),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_RBRACK] = ACTIONS(1769),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1743),
    [anon_sym_GT] = ACTIONS(1743),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1743),
    [anon_sym_POUNDfileID] = ACTIONS(1745),
    [anon_sym_POUNDfilePath] = ACTIONS(1745),
    [anon_sym_POUNDline] = ACTIONS(1745),
    [anon_sym_POUNDcolumn] = ACTIONS(1745),
    [anon_sym_POUNDfunction] = ACTIONS(1745),
    [anon_sym_POUNDdsohandle] = ACTIONS(1745),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1745),
    [anon_sym_DASH_EQ] = ACTIONS(1745),
    [anon_sym_STAR_EQ] = ACTIONS(1745),
    [anon_sym_SLASH_EQ] = ACTIONS(1745),
    [anon_sym_PERCENT_EQ] = ACTIONS(1745),
    [anon_sym_BANG_EQ] = ACTIONS(1743),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1745),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1745),
    [anon_sym_LT_EQ] = ACTIONS(1745),
    [anon_sym_GT_EQ] = ACTIONS(1745),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1743),
    [anon_sym_SLASH] = ACTIONS(1743),
    [anon_sym_PERCENT] = ACTIONS(1743),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1745),
    [anon_sym_CARET] = ACTIONS(1743),
    [anon_sym_LT_LT] = ACTIONS(1745),
    [anon_sym_GT_GT] = ACTIONS(1745),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1745),
    [sym__eq_eq_custom] = ACTIONS(1745),
    [sym__plus_then_ws] = ACTIONS(1745),
    [sym__minus_then_ws] = ACTIONS(1745),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [436] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1392),
    [sym_boolean_literal] = STATE(1392),
    [sym__string_literal] = STATE(1392),
    [sym_line_string_literal] = STATE(1392),
    [sym_multi_line_string_literal] = STATE(1392),
    [sym_raw_string_literal] = STATE(1392),
    [sym_regex_literal] = STATE(1392),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1392),
    [sym__unary_expression] = STATE(1392),
    [sym_postfix_expression] = STATE(1392),
    [sym_constructor_expression] = STATE(1392),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1392),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1392),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1392),
    [sym_prefix_expression] = STATE(1392),
    [sym_as_expression] = STATE(1392),
    [sym_selector_expression] = STATE(1392),
    [sym__binary_expression] = STATE(1392),
    [sym_multiplicative_expression] = STATE(1392),
    [sym_additive_expression] = STATE(1392),
    [sym_range_expression] = STATE(1392),
    [sym_infix_expression] = STATE(1392),
    [sym_nil_coalescing_expression] = STATE(1392),
    [sym_check_expression] = STATE(1392),
    [sym_comparison_expression] = STATE(1392),
    [sym_equality_expression] = STATE(1392),
    [sym_conjunction_expression] = STATE(1392),
    [sym_disjunction_expression] = STATE(1392),
    [sym_bitwise_operation] = STATE(1392),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1392),
    [sym_await_expression] = STATE(1392),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1392),
    [sym_call_expression] = STATE(1392),
    [sym__primary_expression] = STATE(1392),
    [sym_tuple_expression] = STATE(1392),
    [sym_array_literal] = STATE(1392),
    [sym_dictionary_literal] = STATE(1392),
    [sym__special_literal] = STATE(1392),
    [sym__playground_literal] = STATE(1392),
    [sym_lambda_literal] = STATE(1392),
    [sym_self_expression] = STATE(1392),
    [sym_super_expression] = STATE(1392),
    [sym_if_statement] = STATE(1392),
    [sym_switch_statement] = STATE(1392),
    [sym_key_path_expression] = STATE(1392),
    [sym_key_path_string_expression] = STATE(1392),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1392),
    [sym__equality_operator] = STATE(1392),
    [sym__comparison_operator] = STATE(1392),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1392),
    [sym__multiplicative_operator] = STATE(1392),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1392),
    [sym_value_parameter_pack] = STATE(1392),
    [sym_value_pack_expansion] = STATE(1392),
    [sym__referenceable_operator] = STATE(1392),
    [sym__equal_sign] = STATE(1392),
    [sym__eq_eq] = STATE(1392),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1743),
    [sym_real_literal] = ACTIONS(1745),
    [sym_integer_literal] = ACTIONS(1743),
    [sym_hex_literal] = ACTIONS(1745),
    [sym_oct_literal] = ACTIONS(1745),
    [sym_bin_literal] = ACTIONS(1745),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_RBRACK] = ACTIONS(1771),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1743),
    [anon_sym_GT] = ACTIONS(1743),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1743),
    [anon_sym_POUNDfileID] = ACTIONS(1745),
    [anon_sym_POUNDfilePath] = ACTIONS(1745),
    [anon_sym_POUNDline] = ACTIONS(1745),
    [anon_sym_POUNDcolumn] = ACTIONS(1745),
    [anon_sym_POUNDfunction] = ACTIONS(1745),
    [anon_sym_POUNDdsohandle] = ACTIONS(1745),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1745),
    [anon_sym_DASH_EQ] = ACTIONS(1745),
    [anon_sym_STAR_EQ] = ACTIONS(1745),
    [anon_sym_SLASH_EQ] = ACTIONS(1745),
    [anon_sym_PERCENT_EQ] = ACTIONS(1745),
    [anon_sym_BANG_EQ] = ACTIONS(1743),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1745),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1745),
    [anon_sym_LT_EQ] = ACTIONS(1745),
    [anon_sym_GT_EQ] = ACTIONS(1745),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1743),
    [anon_sym_SLASH] = ACTIONS(1743),
    [anon_sym_PERCENT] = ACTIONS(1743),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1745),
    [anon_sym_CARET] = ACTIONS(1743),
    [anon_sym_LT_LT] = ACTIONS(1745),
    [anon_sym_GT_GT] = ACTIONS(1745),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1745),
    [sym__eq_eq_custom] = ACTIONS(1745),
    [sym__plus_then_ws] = ACTIONS(1745),
    [sym__minus_then_ws] = ACTIONS(1745),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [437] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1392),
    [sym_boolean_literal] = STATE(1392),
    [sym__string_literal] = STATE(1392),
    [sym_line_string_literal] = STATE(1392),
    [sym_multi_line_string_literal] = STATE(1392),
    [sym_raw_string_literal] = STATE(1392),
    [sym_regex_literal] = STATE(1392),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1392),
    [sym__unary_expression] = STATE(1392),
    [sym_postfix_expression] = STATE(1392),
    [sym_constructor_expression] = STATE(1392),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1392),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1392),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1392),
    [sym_prefix_expression] = STATE(1392),
    [sym_as_expression] = STATE(1392),
    [sym_selector_expression] = STATE(1392),
    [sym__binary_expression] = STATE(1392),
    [sym_multiplicative_expression] = STATE(1392),
    [sym_additive_expression] = STATE(1392),
    [sym_range_expression] = STATE(1392),
    [sym_infix_expression] = STATE(1392),
    [sym_nil_coalescing_expression] = STATE(1392),
    [sym_check_expression] = STATE(1392),
    [sym_comparison_expression] = STATE(1392),
    [sym_equality_expression] = STATE(1392),
    [sym_conjunction_expression] = STATE(1392),
    [sym_disjunction_expression] = STATE(1392),
    [sym_bitwise_operation] = STATE(1392),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1392),
    [sym_await_expression] = STATE(1392),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1392),
    [sym_call_expression] = STATE(1392),
    [sym__primary_expression] = STATE(1392),
    [sym_tuple_expression] = STATE(1392),
    [sym_array_literal] = STATE(1392),
    [sym_dictionary_literal] = STATE(1392),
    [sym__special_literal] = STATE(1392),
    [sym__playground_literal] = STATE(1392),
    [sym_lambda_literal] = STATE(1392),
    [sym_self_expression] = STATE(1392),
    [sym_super_expression] = STATE(1392),
    [sym_if_statement] = STATE(1392),
    [sym_switch_statement] = STATE(1392),
    [sym_key_path_expression] = STATE(1392),
    [sym_key_path_string_expression] = STATE(1392),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1392),
    [sym__equality_operator] = STATE(1392),
    [sym__comparison_operator] = STATE(1392),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1392),
    [sym__multiplicative_operator] = STATE(1392),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1392),
    [sym_value_parameter_pack] = STATE(1392),
    [sym_value_pack_expansion] = STATE(1392),
    [sym__referenceable_operator] = STATE(1392),
    [sym__equal_sign] = STATE(1392),
    [sym__eq_eq] = STATE(1392),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1743),
    [sym_real_literal] = ACTIONS(1745),
    [sym_integer_literal] = ACTIONS(1743),
    [sym_hex_literal] = ACTIONS(1745),
    [sym_oct_literal] = ACTIONS(1745),
    [sym_bin_literal] = ACTIONS(1745),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_RBRACK] = ACTIONS(1773),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1743),
    [anon_sym_GT] = ACTIONS(1743),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1743),
    [anon_sym_POUNDfileID] = ACTIONS(1745),
    [anon_sym_POUNDfilePath] = ACTIONS(1745),
    [anon_sym_POUNDline] = ACTIONS(1745),
    [anon_sym_POUNDcolumn] = ACTIONS(1745),
    [anon_sym_POUNDfunction] = ACTIONS(1745),
    [anon_sym_POUNDdsohandle] = ACTIONS(1745),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1745),
    [anon_sym_DASH_EQ] = ACTIONS(1745),
    [anon_sym_STAR_EQ] = ACTIONS(1745),
    [anon_sym_SLASH_EQ] = ACTIONS(1745),
    [anon_sym_PERCENT_EQ] = ACTIONS(1745),
    [anon_sym_BANG_EQ] = ACTIONS(1743),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1745),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1745),
    [anon_sym_LT_EQ] = ACTIONS(1745),
    [anon_sym_GT_EQ] = ACTIONS(1745),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1743),
    [anon_sym_SLASH] = ACTIONS(1743),
    [anon_sym_PERCENT] = ACTIONS(1743),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1745),
    [anon_sym_CARET] = ACTIONS(1743),
    [anon_sym_LT_LT] = ACTIONS(1745),
    [anon_sym_GT_GT] = ACTIONS(1745),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1745),
    [sym__eq_eq_custom] = ACTIONS(1745),
    [sym__plus_then_ws] = ACTIONS(1745),
    [sym__minus_then_ws] = ACTIONS(1745),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [438] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1441),
    [sym_boolean_literal] = STATE(1441),
    [sym__string_literal] = STATE(1441),
    [sym_line_string_literal] = STATE(1441),
    [sym_multi_line_string_literal] = STATE(1441),
    [sym_raw_string_literal] = STATE(1441),
    [sym_regex_literal] = STATE(1441),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1441),
    [sym__unary_expression] = STATE(1441),
    [sym_postfix_expression] = STATE(1441),
    [sym_constructor_expression] = STATE(1441),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1441),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1441),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1441),
    [sym_prefix_expression] = STATE(1441),
    [sym_as_expression] = STATE(1441),
    [sym_selector_expression] = STATE(1441),
    [sym__binary_expression] = STATE(1441),
    [sym_multiplicative_expression] = STATE(1441),
    [sym_additive_expression] = STATE(1441),
    [sym_range_expression] = STATE(1441),
    [sym_infix_expression] = STATE(1441),
    [sym_nil_coalescing_expression] = STATE(1441),
    [sym_check_expression] = STATE(1441),
    [sym_comparison_expression] = STATE(1441),
    [sym_equality_expression] = STATE(1441),
    [sym_conjunction_expression] = STATE(1441),
    [sym_disjunction_expression] = STATE(1441),
    [sym_bitwise_operation] = STATE(1441),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1441),
    [sym_await_expression] = STATE(1441),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1441),
    [sym_call_expression] = STATE(1441),
    [sym__primary_expression] = STATE(1441),
    [sym_tuple_expression] = STATE(1441),
    [sym_array_literal] = STATE(1441),
    [sym_dictionary_literal] = STATE(1441),
    [sym__dictionary_literal_item] = STATE(7599),
    [sym__special_literal] = STATE(1441),
    [sym__playground_literal] = STATE(1441),
    [sym_lambda_literal] = STATE(1441),
    [sym_self_expression] = STATE(1441),
    [sym_super_expression] = STATE(1441),
    [sym_if_statement] = STATE(1441),
    [sym_switch_statement] = STATE(1441),
    [sym_key_path_expression] = STATE(1441),
    [sym_key_path_string_expression] = STATE(1441),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1441),
    [sym__equality_operator] = STATE(1441),
    [sym__comparison_operator] = STATE(1441),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1441),
    [sym__multiplicative_operator] = STATE(1441),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1441),
    [sym_value_parameter_pack] = STATE(1441),
    [sym_value_pack_expansion] = STATE(1441),
    [sym__referenceable_operator] = STATE(1441),
    [sym__equal_sign] = STATE(1441),
    [sym__eq_eq] = STATE(1441),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1587),
    [sym_real_literal] = ACTIONS(1589),
    [sym_integer_literal] = ACTIONS(1587),
    [sym_hex_literal] = ACTIONS(1589),
    [sym_oct_literal] = ACTIONS(1589),
    [sym_bin_literal] = ACTIONS(1589),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1587),
    [anon_sym_GT] = ACTIONS(1587),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1587),
    [anon_sym_POUNDfileID] = ACTIONS(1589),
    [anon_sym_POUNDfilePath] = ACTIONS(1589),
    [anon_sym_POUNDline] = ACTIONS(1589),
    [anon_sym_POUNDcolumn] = ACTIONS(1589),
    [anon_sym_POUNDfunction] = ACTIONS(1589),
    [anon_sym_POUNDdsohandle] = ACTIONS(1589),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1589),
    [anon_sym_DASH_EQ] = ACTIONS(1589),
    [anon_sym_STAR_EQ] = ACTIONS(1589),
    [anon_sym_SLASH_EQ] = ACTIONS(1589),
    [anon_sym_PERCENT_EQ] = ACTIONS(1589),
    [anon_sym_BANG_EQ] = ACTIONS(1587),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1589),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1589),
    [anon_sym_LT_EQ] = ACTIONS(1589),
    [anon_sym_GT_EQ] = ACTIONS(1589),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1587),
    [anon_sym_SLASH] = ACTIONS(1587),
    [anon_sym_PERCENT] = ACTIONS(1587),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1589),
    [anon_sym_CARET] = ACTIONS(1587),
    [anon_sym_LT_LT] = ACTIONS(1589),
    [anon_sym_GT_GT] = ACTIONS(1589),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1589),
    [sym__eq_eq_custom] = ACTIONS(1589),
    [sym__plus_then_ws] = ACTIONS(1589),
    [sym__minus_then_ws] = ACTIONS(1589),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [439] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1392),
    [sym_boolean_literal] = STATE(1392),
    [sym__string_literal] = STATE(1392),
    [sym_line_string_literal] = STATE(1392),
    [sym_multi_line_string_literal] = STATE(1392),
    [sym_raw_string_literal] = STATE(1392),
    [sym_regex_literal] = STATE(1392),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1392),
    [sym__unary_expression] = STATE(1392),
    [sym_postfix_expression] = STATE(1392),
    [sym_constructor_expression] = STATE(1392),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1392),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1392),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1392),
    [sym_prefix_expression] = STATE(1392),
    [sym_as_expression] = STATE(1392),
    [sym_selector_expression] = STATE(1392),
    [sym__binary_expression] = STATE(1392),
    [sym_multiplicative_expression] = STATE(1392),
    [sym_additive_expression] = STATE(1392),
    [sym_range_expression] = STATE(1392),
    [sym_infix_expression] = STATE(1392),
    [sym_nil_coalescing_expression] = STATE(1392),
    [sym_check_expression] = STATE(1392),
    [sym_comparison_expression] = STATE(1392),
    [sym_equality_expression] = STATE(1392),
    [sym_conjunction_expression] = STATE(1392),
    [sym_disjunction_expression] = STATE(1392),
    [sym_bitwise_operation] = STATE(1392),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1392),
    [sym_await_expression] = STATE(1392),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1392),
    [sym_call_expression] = STATE(1392),
    [sym__primary_expression] = STATE(1392),
    [sym_tuple_expression] = STATE(1392),
    [sym_array_literal] = STATE(1392),
    [sym_dictionary_literal] = STATE(1392),
    [sym__special_literal] = STATE(1392),
    [sym__playground_literal] = STATE(1392),
    [sym_lambda_literal] = STATE(1392),
    [sym_self_expression] = STATE(1392),
    [sym_super_expression] = STATE(1392),
    [sym_if_statement] = STATE(1392),
    [sym_switch_statement] = STATE(1392),
    [sym_key_path_expression] = STATE(1392),
    [sym_key_path_string_expression] = STATE(1392),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1392),
    [sym__equality_operator] = STATE(1392),
    [sym__comparison_operator] = STATE(1392),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1392),
    [sym__multiplicative_operator] = STATE(1392),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1392),
    [sym_value_parameter_pack] = STATE(1392),
    [sym_value_pack_expansion] = STATE(1392),
    [sym__referenceable_operator] = STATE(1392),
    [sym__equal_sign] = STATE(1392),
    [sym__eq_eq] = STATE(1392),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1743),
    [sym_real_literal] = ACTIONS(1745),
    [sym_integer_literal] = ACTIONS(1743),
    [sym_hex_literal] = ACTIONS(1745),
    [sym_oct_literal] = ACTIONS(1745),
    [sym_bin_literal] = ACTIONS(1745),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_RBRACK] = ACTIONS(1775),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1743),
    [anon_sym_GT] = ACTIONS(1743),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1743),
    [anon_sym_POUNDfileID] = ACTIONS(1745),
    [anon_sym_POUNDfilePath] = ACTIONS(1745),
    [anon_sym_POUNDline] = ACTIONS(1745),
    [anon_sym_POUNDcolumn] = ACTIONS(1745),
    [anon_sym_POUNDfunction] = ACTIONS(1745),
    [anon_sym_POUNDdsohandle] = ACTIONS(1745),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1745),
    [anon_sym_DASH_EQ] = ACTIONS(1745),
    [anon_sym_STAR_EQ] = ACTIONS(1745),
    [anon_sym_SLASH_EQ] = ACTIONS(1745),
    [anon_sym_PERCENT_EQ] = ACTIONS(1745),
    [anon_sym_BANG_EQ] = ACTIONS(1743),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1745),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1745),
    [anon_sym_LT_EQ] = ACTIONS(1745),
    [anon_sym_GT_EQ] = ACTIONS(1745),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1743),
    [anon_sym_SLASH] = ACTIONS(1743),
    [anon_sym_PERCENT] = ACTIONS(1743),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1745),
    [anon_sym_CARET] = ACTIONS(1743),
    [anon_sym_LT_LT] = ACTIONS(1745),
    [anon_sym_GT_GT] = ACTIONS(1745),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1745),
    [sym__eq_eq_custom] = ACTIONS(1745),
    [sym__plus_then_ws] = ACTIONS(1745),
    [sym__minus_then_ws] = ACTIONS(1745),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [440] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1392),
    [sym_boolean_literal] = STATE(1392),
    [sym__string_literal] = STATE(1392),
    [sym_line_string_literal] = STATE(1392),
    [sym_multi_line_string_literal] = STATE(1392),
    [sym_raw_string_literal] = STATE(1392),
    [sym_regex_literal] = STATE(1392),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1392),
    [sym__unary_expression] = STATE(1392),
    [sym_postfix_expression] = STATE(1392),
    [sym_constructor_expression] = STATE(1392),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1392),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1392),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1392),
    [sym_prefix_expression] = STATE(1392),
    [sym_as_expression] = STATE(1392),
    [sym_selector_expression] = STATE(1392),
    [sym__binary_expression] = STATE(1392),
    [sym_multiplicative_expression] = STATE(1392),
    [sym_additive_expression] = STATE(1392),
    [sym_range_expression] = STATE(1392),
    [sym_infix_expression] = STATE(1392),
    [sym_nil_coalescing_expression] = STATE(1392),
    [sym_check_expression] = STATE(1392),
    [sym_comparison_expression] = STATE(1392),
    [sym_equality_expression] = STATE(1392),
    [sym_conjunction_expression] = STATE(1392),
    [sym_disjunction_expression] = STATE(1392),
    [sym_bitwise_operation] = STATE(1392),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1392),
    [sym_await_expression] = STATE(1392),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1392),
    [sym_call_expression] = STATE(1392),
    [sym__primary_expression] = STATE(1392),
    [sym_tuple_expression] = STATE(1392),
    [sym_array_literal] = STATE(1392),
    [sym_dictionary_literal] = STATE(1392),
    [sym__special_literal] = STATE(1392),
    [sym__playground_literal] = STATE(1392),
    [sym_lambda_literal] = STATE(1392),
    [sym_self_expression] = STATE(1392),
    [sym_super_expression] = STATE(1392),
    [sym_if_statement] = STATE(1392),
    [sym_switch_statement] = STATE(1392),
    [sym_key_path_expression] = STATE(1392),
    [sym_key_path_string_expression] = STATE(1392),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1392),
    [sym__equality_operator] = STATE(1392),
    [sym__comparison_operator] = STATE(1392),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1392),
    [sym__multiplicative_operator] = STATE(1392),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1392),
    [sym_value_parameter_pack] = STATE(1392),
    [sym_value_pack_expansion] = STATE(1392),
    [sym__referenceable_operator] = STATE(1392),
    [sym__equal_sign] = STATE(1392),
    [sym__eq_eq] = STATE(1392),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1743),
    [sym_real_literal] = ACTIONS(1745),
    [sym_integer_literal] = ACTIONS(1743),
    [sym_hex_literal] = ACTIONS(1745),
    [sym_oct_literal] = ACTIONS(1745),
    [sym_bin_literal] = ACTIONS(1745),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_RBRACK] = ACTIONS(1777),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1743),
    [anon_sym_GT] = ACTIONS(1743),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1743),
    [anon_sym_POUNDfileID] = ACTIONS(1745),
    [anon_sym_POUNDfilePath] = ACTIONS(1745),
    [anon_sym_POUNDline] = ACTIONS(1745),
    [anon_sym_POUNDcolumn] = ACTIONS(1745),
    [anon_sym_POUNDfunction] = ACTIONS(1745),
    [anon_sym_POUNDdsohandle] = ACTIONS(1745),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1745),
    [anon_sym_DASH_EQ] = ACTIONS(1745),
    [anon_sym_STAR_EQ] = ACTIONS(1745),
    [anon_sym_SLASH_EQ] = ACTIONS(1745),
    [anon_sym_PERCENT_EQ] = ACTIONS(1745),
    [anon_sym_BANG_EQ] = ACTIONS(1743),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1745),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1745),
    [anon_sym_LT_EQ] = ACTIONS(1745),
    [anon_sym_GT_EQ] = ACTIONS(1745),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1743),
    [anon_sym_SLASH] = ACTIONS(1743),
    [anon_sym_PERCENT] = ACTIONS(1743),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1745),
    [anon_sym_CARET] = ACTIONS(1743),
    [anon_sym_LT_LT] = ACTIONS(1745),
    [anon_sym_GT_GT] = ACTIONS(1745),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1745),
    [sym__eq_eq_custom] = ACTIONS(1745),
    [sym__plus_then_ws] = ACTIONS(1745),
    [sym__minus_then_ws] = ACTIONS(1745),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [441] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1392),
    [sym_boolean_literal] = STATE(1392),
    [sym__string_literal] = STATE(1392),
    [sym_line_string_literal] = STATE(1392),
    [sym_multi_line_string_literal] = STATE(1392),
    [sym_raw_string_literal] = STATE(1392),
    [sym_regex_literal] = STATE(1392),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1392),
    [sym__unary_expression] = STATE(1392),
    [sym_postfix_expression] = STATE(1392),
    [sym_constructor_expression] = STATE(1392),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1392),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1392),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1392),
    [sym_prefix_expression] = STATE(1392),
    [sym_as_expression] = STATE(1392),
    [sym_selector_expression] = STATE(1392),
    [sym__binary_expression] = STATE(1392),
    [sym_multiplicative_expression] = STATE(1392),
    [sym_additive_expression] = STATE(1392),
    [sym_range_expression] = STATE(1392),
    [sym_infix_expression] = STATE(1392),
    [sym_nil_coalescing_expression] = STATE(1392),
    [sym_check_expression] = STATE(1392),
    [sym_comparison_expression] = STATE(1392),
    [sym_equality_expression] = STATE(1392),
    [sym_conjunction_expression] = STATE(1392),
    [sym_disjunction_expression] = STATE(1392),
    [sym_bitwise_operation] = STATE(1392),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1392),
    [sym_await_expression] = STATE(1392),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1392),
    [sym_call_expression] = STATE(1392),
    [sym__primary_expression] = STATE(1392),
    [sym_tuple_expression] = STATE(1392),
    [sym_array_literal] = STATE(1392),
    [sym_dictionary_literal] = STATE(1392),
    [sym__special_literal] = STATE(1392),
    [sym__playground_literal] = STATE(1392),
    [sym_lambda_literal] = STATE(1392),
    [sym_self_expression] = STATE(1392),
    [sym_super_expression] = STATE(1392),
    [sym_if_statement] = STATE(1392),
    [sym_switch_statement] = STATE(1392),
    [sym_key_path_expression] = STATE(1392),
    [sym_key_path_string_expression] = STATE(1392),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1392),
    [sym__equality_operator] = STATE(1392),
    [sym__comparison_operator] = STATE(1392),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1392),
    [sym__multiplicative_operator] = STATE(1392),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1392),
    [sym_value_parameter_pack] = STATE(1392),
    [sym_value_pack_expansion] = STATE(1392),
    [sym__referenceable_operator] = STATE(1392),
    [sym__equal_sign] = STATE(1392),
    [sym__eq_eq] = STATE(1392),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1743),
    [sym_real_literal] = ACTIONS(1745),
    [sym_integer_literal] = ACTIONS(1743),
    [sym_hex_literal] = ACTIONS(1745),
    [sym_oct_literal] = ACTIONS(1745),
    [sym_bin_literal] = ACTIONS(1745),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_RBRACK] = ACTIONS(1779),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1743),
    [anon_sym_GT] = ACTIONS(1743),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1743),
    [anon_sym_POUNDfileID] = ACTIONS(1745),
    [anon_sym_POUNDfilePath] = ACTIONS(1745),
    [anon_sym_POUNDline] = ACTIONS(1745),
    [anon_sym_POUNDcolumn] = ACTIONS(1745),
    [anon_sym_POUNDfunction] = ACTIONS(1745),
    [anon_sym_POUNDdsohandle] = ACTIONS(1745),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1745),
    [anon_sym_DASH_EQ] = ACTIONS(1745),
    [anon_sym_STAR_EQ] = ACTIONS(1745),
    [anon_sym_SLASH_EQ] = ACTIONS(1745),
    [anon_sym_PERCENT_EQ] = ACTIONS(1745),
    [anon_sym_BANG_EQ] = ACTIONS(1743),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1745),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1745),
    [anon_sym_LT_EQ] = ACTIONS(1745),
    [anon_sym_GT_EQ] = ACTIONS(1745),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1743),
    [anon_sym_SLASH] = ACTIONS(1743),
    [anon_sym_PERCENT] = ACTIONS(1743),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1745),
    [anon_sym_CARET] = ACTIONS(1743),
    [anon_sym_LT_LT] = ACTIONS(1745),
    [anon_sym_GT_GT] = ACTIONS(1745),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1745),
    [sym__eq_eq_custom] = ACTIONS(1745),
    [sym__plus_then_ws] = ACTIONS(1745),
    [sym__minus_then_ws] = ACTIONS(1745),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [442] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1392),
    [sym_boolean_literal] = STATE(1392),
    [sym__string_literal] = STATE(1392),
    [sym_line_string_literal] = STATE(1392),
    [sym_multi_line_string_literal] = STATE(1392),
    [sym_raw_string_literal] = STATE(1392),
    [sym_regex_literal] = STATE(1392),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1392),
    [sym__unary_expression] = STATE(1392),
    [sym_postfix_expression] = STATE(1392),
    [sym_constructor_expression] = STATE(1392),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1392),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1392),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1392),
    [sym_prefix_expression] = STATE(1392),
    [sym_as_expression] = STATE(1392),
    [sym_selector_expression] = STATE(1392),
    [sym__binary_expression] = STATE(1392),
    [sym_multiplicative_expression] = STATE(1392),
    [sym_additive_expression] = STATE(1392),
    [sym_range_expression] = STATE(1392),
    [sym_infix_expression] = STATE(1392),
    [sym_nil_coalescing_expression] = STATE(1392),
    [sym_check_expression] = STATE(1392),
    [sym_comparison_expression] = STATE(1392),
    [sym_equality_expression] = STATE(1392),
    [sym_conjunction_expression] = STATE(1392),
    [sym_disjunction_expression] = STATE(1392),
    [sym_bitwise_operation] = STATE(1392),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1392),
    [sym_await_expression] = STATE(1392),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1392),
    [sym_call_expression] = STATE(1392),
    [sym__primary_expression] = STATE(1392),
    [sym_tuple_expression] = STATE(1392),
    [sym_array_literal] = STATE(1392),
    [sym_dictionary_literal] = STATE(1392),
    [sym__special_literal] = STATE(1392),
    [sym__playground_literal] = STATE(1392),
    [sym_lambda_literal] = STATE(1392),
    [sym_self_expression] = STATE(1392),
    [sym_super_expression] = STATE(1392),
    [sym_if_statement] = STATE(1392),
    [sym_switch_statement] = STATE(1392),
    [sym_key_path_expression] = STATE(1392),
    [sym_key_path_string_expression] = STATE(1392),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1392),
    [sym__equality_operator] = STATE(1392),
    [sym__comparison_operator] = STATE(1392),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1392),
    [sym__multiplicative_operator] = STATE(1392),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1392),
    [sym_value_parameter_pack] = STATE(1392),
    [sym_value_pack_expansion] = STATE(1392),
    [sym__referenceable_operator] = STATE(1392),
    [sym__equal_sign] = STATE(1392),
    [sym__eq_eq] = STATE(1392),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1743),
    [sym_real_literal] = ACTIONS(1745),
    [sym_integer_literal] = ACTIONS(1743),
    [sym_hex_literal] = ACTIONS(1745),
    [sym_oct_literal] = ACTIONS(1745),
    [sym_bin_literal] = ACTIONS(1745),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_RBRACK] = ACTIONS(1781),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1743),
    [anon_sym_GT] = ACTIONS(1743),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1743),
    [anon_sym_POUNDfileID] = ACTIONS(1745),
    [anon_sym_POUNDfilePath] = ACTIONS(1745),
    [anon_sym_POUNDline] = ACTIONS(1745),
    [anon_sym_POUNDcolumn] = ACTIONS(1745),
    [anon_sym_POUNDfunction] = ACTIONS(1745),
    [anon_sym_POUNDdsohandle] = ACTIONS(1745),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1745),
    [anon_sym_DASH_EQ] = ACTIONS(1745),
    [anon_sym_STAR_EQ] = ACTIONS(1745),
    [anon_sym_SLASH_EQ] = ACTIONS(1745),
    [anon_sym_PERCENT_EQ] = ACTIONS(1745),
    [anon_sym_BANG_EQ] = ACTIONS(1743),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1745),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1745),
    [anon_sym_LT_EQ] = ACTIONS(1745),
    [anon_sym_GT_EQ] = ACTIONS(1745),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1743),
    [anon_sym_SLASH] = ACTIONS(1743),
    [anon_sym_PERCENT] = ACTIONS(1743),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1745),
    [anon_sym_CARET] = ACTIONS(1743),
    [anon_sym_LT_LT] = ACTIONS(1745),
    [anon_sym_GT_GT] = ACTIONS(1745),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1745),
    [sym__eq_eq_custom] = ACTIONS(1745),
    [sym__plus_then_ws] = ACTIONS(1745),
    [sym__minus_then_ws] = ACTIONS(1745),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [443] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1445),
    [sym_boolean_literal] = STATE(1445),
    [sym__string_literal] = STATE(1445),
    [sym_line_string_literal] = STATE(1445),
    [sym_multi_line_string_literal] = STATE(1445),
    [sym_raw_string_literal] = STATE(1445),
    [sym_regex_literal] = STATE(1445),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1445),
    [sym__unary_expression] = STATE(1445),
    [sym_postfix_expression] = STATE(1445),
    [sym_constructor_expression] = STATE(1445),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1445),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1445),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1445),
    [sym_prefix_expression] = STATE(1445),
    [sym_as_expression] = STATE(1445),
    [sym_selector_expression] = STATE(1445),
    [sym__binary_expression] = STATE(1445),
    [sym_multiplicative_expression] = STATE(1445),
    [sym_additive_expression] = STATE(1445),
    [sym_range_expression] = STATE(1445),
    [sym_infix_expression] = STATE(1445),
    [sym_nil_coalescing_expression] = STATE(1445),
    [sym_check_expression] = STATE(1445),
    [sym_comparison_expression] = STATE(1445),
    [sym_equality_expression] = STATE(1445),
    [sym_conjunction_expression] = STATE(1445),
    [sym_disjunction_expression] = STATE(1445),
    [sym_bitwise_operation] = STATE(1445),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1445),
    [sym_await_expression] = STATE(1445),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1445),
    [sym_call_expression] = STATE(1445),
    [sym__primary_expression] = STATE(1445),
    [sym_tuple_expression] = STATE(1445),
    [sym_array_literal] = STATE(1445),
    [sym_dictionary_literal] = STATE(1445),
    [sym__special_literal] = STATE(1445),
    [sym__playground_literal] = STATE(1445),
    [sym_lambda_literal] = STATE(1445),
    [sym_self_expression] = STATE(1445),
    [sym_super_expression] = STATE(1445),
    [sym_if_statement] = STATE(1445),
    [sym_switch_statement] = STATE(1445),
    [sym_key_path_expression] = STATE(1445),
    [sym_key_path_string_expression] = STATE(1445),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1445),
    [sym__equality_operator] = STATE(1445),
    [sym__comparison_operator] = STATE(1445),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1445),
    [sym__multiplicative_operator] = STATE(1445),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1445),
    [sym_value_parameter_pack] = STATE(1445),
    [sym_value_pack_expansion] = STATE(1445),
    [sym__referenceable_operator] = STATE(1445),
    [sym__equal_sign] = STATE(1445),
    [sym__eq_eq] = STATE(1445),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1783),
    [sym_real_literal] = ACTIONS(1785),
    [sym_integer_literal] = ACTIONS(1783),
    [sym_hex_literal] = ACTIONS(1785),
    [sym_oct_literal] = ACTIONS(1785),
    [sym_bin_literal] = ACTIONS(1785),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1783),
    [anon_sym_GT] = ACTIONS(1783),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1783),
    [anon_sym_POUNDfileID] = ACTIONS(1785),
    [anon_sym_POUNDfilePath] = ACTIONS(1785),
    [anon_sym_POUNDline] = ACTIONS(1785),
    [anon_sym_POUNDcolumn] = ACTIONS(1785),
    [anon_sym_POUNDfunction] = ACTIONS(1785),
    [anon_sym_POUNDdsohandle] = ACTIONS(1785),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1785),
    [anon_sym_DASH_EQ] = ACTIONS(1785),
    [anon_sym_STAR_EQ] = ACTIONS(1785),
    [anon_sym_SLASH_EQ] = ACTIONS(1785),
    [anon_sym_PERCENT_EQ] = ACTIONS(1785),
    [anon_sym_BANG_EQ] = ACTIONS(1783),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1785),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1785),
    [anon_sym_LT_EQ] = ACTIONS(1785),
    [anon_sym_GT_EQ] = ACTIONS(1785),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1783),
    [anon_sym_SLASH] = ACTIONS(1783),
    [anon_sym_PERCENT] = ACTIONS(1783),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1785),
    [anon_sym_CARET] = ACTIONS(1783),
    [anon_sym_LT_LT] = ACTIONS(1785),
    [anon_sym_GT_GT] = ACTIONS(1785),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1785),
    [sym__eq_eq_custom] = ACTIONS(1785),
    [sym__plus_then_ws] = ACTIONS(1785),
    [sym__minus_then_ws] = ACTIONS(1785),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [444] = {
    [sym_simple_identifier] = STATE(2276),
    [sym__contextual_simple_identifier] = STATE(2115),
    [sym__basic_literal] = STATE(1256),
    [sym_boolean_literal] = STATE(1256),
    [sym__string_literal] = STATE(1256),
    [sym_line_string_literal] = STATE(1256),
    [sym_multi_line_string_literal] = STATE(1256),
    [sym_raw_string_literal] = STATE(1256),
    [sym_regex_literal] = STATE(1256),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1256),
    [sym__unary_expression] = STATE(1256),
    [sym_postfix_expression] = STATE(1256),
    [sym_constructor_expression] = STATE(1256),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1256),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1256),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1256),
    [sym_prefix_expression] = STATE(1256),
    [sym_as_expression] = STATE(1256),
    [sym_selector_expression] = STATE(1256),
    [sym__binary_expression] = STATE(1256),
    [sym_multiplicative_expression] = STATE(1256),
    [sym_additive_expression] = STATE(1256),
    [sym_range_expression] = STATE(1256),
    [sym_infix_expression] = STATE(1256),
    [sym_nil_coalescing_expression] = STATE(1256),
    [sym_check_expression] = STATE(1256),
    [sym_comparison_expression] = STATE(1256),
    [sym_equality_expression] = STATE(1256),
    [sym_conjunction_expression] = STATE(1256),
    [sym_disjunction_expression] = STATE(1256),
    [sym_bitwise_operation] = STATE(1256),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1256),
    [sym_await_expression] = STATE(1256),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1256),
    [sym_call_expression] = STATE(1256),
    [sym__primary_expression] = STATE(1256),
    [sym_tuple_expression] = STATE(1256),
    [sym_array_literal] = STATE(1256),
    [sym_dictionary_literal] = STATE(1256),
    [sym__special_literal] = STATE(1256),
    [sym__playground_literal] = STATE(1256),
    [sym_lambda_literal] = STATE(1256),
    [sym_self_expression] = STATE(1256),
    [sym_super_expression] = STATE(1256),
    [sym_if_statement] = STATE(1256),
    [sym_switch_statement] = STATE(1256),
    [sym_key_path_expression] = STATE(1256),
    [sym_key_path_string_expression] = STATE(1256),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1256),
    [sym__equality_operator] = STATE(1256),
    [sym__comparison_operator] = STATE(1256),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1256),
    [sym__multiplicative_operator] = STATE(1256),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym_assignment] = STATE(1256),
    [sym_value_parameter_pack] = STATE(1256),
    [sym_value_pack_expansion] = STATE(1256),
    [sym__referenceable_operator] = STATE(1256),
    [sym__equal_sign] = STATE(1256),
    [sym__eq_eq] = STATE(1256),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__parameter_ownership_modifier] = STATE(2115),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(11),
    [aux_sym_simple_identifier_token2] = ACTIONS(13),
    [aux_sym_simple_identifier_token3] = ACTIONS(13),
    [aux_sym_simple_identifier_token4] = ACTIONS(13),
    [anon_sym_actor] = ACTIONS(11),
    [anon_sym_async] = ACTIONS(11),
    [anon_sym_each] = ACTIONS(19),
    [anon_sym_lazy] = ACTIONS(11),
    [anon_sym_repeat] = ACTIONS(937),
    [anon_sym_package] = ACTIONS(11),
    [anon_sym_nil] = ACTIONS(1787),
    [sym_real_literal] = ACTIONS(1789),
    [sym_integer_literal] = ACTIONS(1787),
    [sym_hex_literal] = ACTIONS(1789),
    [sym_oct_literal] = ACTIONS(1789),
    [sym_bin_literal] = ACTIONS(1789),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(1787),
    [anon_sym_GT] = ACTIONS(1787),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(1787),
    [anon_sym_POUNDfileID] = ACTIONS(1789),
    [anon_sym_POUNDfilePath] = ACTIONS(1789),
    [anon_sym_POUNDline] = ACTIONS(1789),
    [anon_sym_POUNDcolumn] = ACTIONS(1789),
    [anon_sym_POUNDfunction] = ACTIONS(1789),
    [anon_sym_POUNDdsohandle] = ACTIONS(1789),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_self] = ACTIONS(65),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1789),
    [anon_sym_DASH_EQ] = ACTIONS(1789),
    [anon_sym_STAR_EQ] = ACTIONS(1789),
    [anon_sym_SLASH_EQ] = ACTIONS(1789),
    [anon_sym_PERCENT_EQ] = ACTIONS(1789),
    [anon_sym_BANG_EQ] = ACTIONS(1787),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1789),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1789),
    [anon_sym_LT_EQ] = ACTIONS(1789),
    [anon_sym_GT_EQ] = ACTIONS(1789),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(1787),
    [anon_sym_SLASH] = ACTIONS(1787),
    [anon_sym_PERCENT] = ACTIONS(1787),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(1789),
    [anon_sym_CARET] = ACTIONS(1787),
    [anon_sym_LT_LT] = ACTIONS(1789),
    [anon_sym_GT_GT] = ACTIONS(1789),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_borrowing] = ACTIONS(11),
    [anon_sym_consuming] = ACTIONS(11),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(1789),
    [sym__eq_eq_custom] = ACTIONS(1789),
    [sym__plus_then_ws] = ACTIONS(1789),
    [sym__minus_then_ws] = ACTIONS(1789),
    [sym__bang_custom] = ACTIONS(151),
    [sym__custom_operator] = ACTIONS(57),
  },
  [445] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(636),
    [sym_boolean_literal] = STATE(636),
    [sym__string_literal] = STATE(636),
    [sym_line_string_literal] = STATE(636),
    [sym_multi_line_string_literal] = STATE(636),
    [sym_raw_string_literal] = STATE(636),
    [sym_regex_literal] = STATE(636),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5550),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5550),
    [sym_dictionary_type] = STATE(5550),
    [sym__expression] = STATE(636),
    [sym__unary_expression] = STATE(636),
    [sym_postfix_expression] = STATE(636),
    [sym_constructor_expression] = STATE(636),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(636),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(636),
    [sym__range_operator] = STATE(596),
    [sym_open_end_range_expression] = STATE(636),
    [sym_prefix_expression] = STATE(636),
    [sym_as_expression] = STATE(636),
    [sym_selector_expression] = STATE(636),
    [sym__binary_expression] = STATE(636),
    [sym_multiplicative_expression] = STATE(636),
    [sym_additive_expression] = STATE(636),
    [sym_range_expression] = STATE(636),
    [sym_infix_expression] = STATE(636),
    [sym_nil_coalescing_expression] = STATE(636),
    [sym_check_expression] = STATE(636),
    [sym_comparison_expression] = STATE(636),
    [sym_equality_expression] = STATE(636),
    [sym_conjunction_expression] = STATE(636),
    [sym_disjunction_expression] = STATE(636),
    [sym_bitwise_operation] = STATE(636),
    [sym_custom_operator] = STATE(609),
    [sym_try_expression] = STATE(636),
    [sym_await_expression] = STATE(636),
    [sym__await_operator] = STATE(599),
    [sym_ternary_expression] = STATE(636),
    [sym_call_expression] = STATE(636),
    [sym__primary_expression] = STATE(636),
    [sym_tuple_expression] = STATE(636),
    [sym_array_literal] = STATE(636),
    [sym_dictionary_literal] = STATE(636),
    [sym__special_literal] = STATE(636),
    [sym__playground_literal] = STATE(636),
    [sym_lambda_literal] = STATE(636),
    [sym_self_expression] = STATE(636),
    [sym_super_expression] = STATE(636),
    [sym_if_statement] = STATE(636),
    [sym_switch_statement] = STATE(636),
    [sym_key_path_expression] = STATE(636),
    [sym_key_path_string_expression] = STATE(636),
    [sym_try_operator] = STATE(453),
    [sym__assignment_and_operator] = STATE(636),
    [sym__equality_operator] = STATE(636),
    [sym__comparison_operator] = STATE(636),
    [sym__three_dot_operator] = STATE(604),
    [sym__open_ended_range_operator] = STATE(596),
    [sym__additive_operator] = STATE(636),
    [sym__multiplicative_operator] = STATE(636),
    [sym__prefix_unary_operator] = STATE(445),
    [sym_directly_assignable_expression] = STATE(5552),
    [sym_assignment] = STATE(636),
    [sym_value_parameter_pack] = STATE(636),
    [sym_value_pack_expansion] = STATE(636),
    [sym__referenceable_operator] = STATE(636),
    [sym__equal_sign] = STATE(636),
    [sym__eq_eq] = STATE(636),
    [sym__dot] = STATE(445),
    [sym_bang] = STATE(609),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(1791),
    [anon_sym_each] = ACTIONS(621),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(623),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1793),
    [sym_real_literal] = ACTIONS(1795),
    [sym_integer_literal] = ACTIONS(1793),
    [sym_hex_literal] = ACTIONS(1795),
    [sym_oct_literal] = ACTIONS(1795),
    [sym_bin_literal] = ACTIONS(1795),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(629),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(639),
    [anon_sym_if] = ACTIONS(1797),
    [anon_sym_switch] = ACTIONS(1799),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(643),
    [anon_sym_LT] = ACTIONS(1793),
    [anon_sym_GT] = ACTIONS(1793),
    [anon_sym_await] = ACTIONS(645),
    [anon_sym_POUNDfile] = ACTIONS(1793),
    [anon_sym_POUNDfileID] = ACTIONS(1795),
    [anon_sym_POUNDfilePath] = ACTIONS(1795),
    [anon_sym_POUNDline] = ACTIONS(1795),
    [anon_sym_POUNDcolumn] = ACTIONS(1795),
    [anon_sym_POUNDfunction] = ACTIONS(1795),
    [anon_sym_POUNDdsohandle] = ACTIONS(1795),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1795),
    [anon_sym_DASH_EQ] = ACTIONS(1795),
    [anon_sym_STAR_EQ] = ACTIONS(1795),
    [anon_sym_SLASH_EQ] = ACTIONS(1795),
    [anon_sym_PERCENT_EQ] = ACTIONS(1795),
    [anon_sym_BANG_EQ] = ACTIONS(1793),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1795),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1795),
    [anon_sym_LT_EQ] = ACTIONS(1795),
    [anon_sym_GT_EQ] = ACTIONS(1795),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(649),
    [anon_sym_DOT_DOT_LT] = ACTIONS(651),
    [anon_sym_PLUS] = ACTIONS(653),
    [anon_sym_DASH] = ACTIONS(653),
    [anon_sym_STAR] = ACTIONS(1793),
    [anon_sym_SLASH] = ACTIONS(1793),
    [anon_sym_PERCENT] = ACTIONS(1793),
    [anon_sym_PLUS_PLUS] = ACTIONS(639),
    [anon_sym_DASH_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(639),
    [anon_sym_PIPE] = ACTIONS(1795),
    [anon_sym_CARET] = ACTIONS(1793),
    [anon_sym_LT_LT] = ACTIONS(1795),
    [anon_sym_GT_GT] = ACTIONS(1795),
    [anon_sym_BANG2] = ACTIONS(655),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(657),
    [sym__eq_custom] = ACTIONS(1795),
    [sym__eq_eq_custom] = ACTIONS(1795),
    [sym__plus_then_ws] = ACTIONS(1795),
    [sym__minus_then_ws] = ACTIONS(1795),
    [sym__bang_custom] = ACTIONS(659),
    [sym__custom_operator] = ACTIONS(643),
  },
  [446] = {
    [sym_simple_identifier] = STATE(2498),
    [sym__contextual_simple_identifier] = STATE(2439),
    [sym__basic_literal] = STATE(1325),
    [sym_boolean_literal] = STATE(1325),
    [sym__string_literal] = STATE(1325),
    [sym_line_string_literal] = STATE(1325),
    [sym_multi_line_string_literal] = STATE(1325),
    [sym_raw_string_literal] = STATE(1325),
    [sym_regex_literal] = STATE(1325),
    [sym__multiline_regex_literal] = STATE(2683),
    [sym_user_type] = STATE(5473),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5473),
    [sym_dictionary_type] = STATE(5473),
    [sym__expression] = STATE(1325),
    [sym__unary_expression] = STATE(1325),
    [sym_postfix_expression] = STATE(1325),
    [sym_constructor_expression] = STATE(1325),
    [sym__parenthesized_type] = STATE(6860),
    [sym_navigation_expression] = STATE(1325),
    [sym__navigable_type_expression] = STATE(6859),
    [sym_open_start_range_expression] = STATE(1325),
    [sym__range_operator] = STATE(601),
    [sym_open_end_range_expression] = STATE(1325),
    [sym_prefix_expression] = STATE(1325),
    [sym_as_expression] = STATE(1325),
    [sym_selector_expression] = STATE(1325),
    [sym__binary_expression] = STATE(1325),
    [sym_multiplicative_expression] = STATE(1325),
    [sym_additive_expression] = STATE(1325),
    [sym_range_expression] = STATE(1325),
    [sym_infix_expression] = STATE(1325),
    [sym_nil_coalescing_expression] = STATE(1325),
    [sym_check_expression] = STATE(1325),
    [sym_comparison_expression] = STATE(1325),
    [sym_equality_expression] = STATE(1325),
    [sym_conjunction_expression] = STATE(1325),
    [sym_disjunction_expression] = STATE(1325),
    [sym_bitwise_operation] = STATE(1325),
    [sym_custom_operator] = STATE(885),
    [sym_try_expression] = STATE(1325),
    [sym_await_expression] = STATE(1325),
    [sym__await_operator] = STATE(603),
    [sym_ternary_expression] = STATE(1325),
    [sym_call_expression] = STATE(1325),
    [sym__primary_expression] = STATE(1325),
    [sym_tuple_expression] = STATE(1325),
    [sym_array_literal] = STATE(1325),
    [sym_dictionary_literal] = STATE(1325),
    [sym__special_literal] = STATE(1325),
    [sym__playground_literal] = STATE(1325),
    [sym_lambda_literal] = STATE(1325),
    [sym_self_expression] = STATE(1325),
    [sym_super_expression] = STATE(1325),
    [sym_if_statement] = STATE(1325),
    [sym_switch_statement] = STATE(1325),
    [sym_key_path_expression] = STATE(1325),
    [sym_key_path_string_expression] = STATE(1325),
    [sym_try_operator] = STATE(598),
    [sym__assignment_and_operator] = STATE(1325),
    [sym__equality_operator] = STATE(1325),
    [sym__comparison_operator] = STATE(1325),
    [sym__three_dot_operator] = STATE(877),
    [sym__open_ended_range_operator] = STATE(601),
    [sym__additive_operator] = STATE(1325),
    [sym__multiplicative_operator] = STATE(1325),
    [sym__prefix_unary_operator] = STATE(593),
    [sym_directly_assignable_expression] = STATE(5475),
    [sym_assignment] = STATE(1325),
    [sym_value_parameter_pack] = STATE(1325),
    [sym_value_pack_expansion] = STATE(1325),
    [sym__referenceable_operator] = STATE(1325),
    [sym__equal_sign] = STATE(1325),
    [sym__eq_eq] = STATE(1325),
    [sym__dot] = STATE(593),
    [sym_bang] = STATE(885),
    [sym__parameter_ownership_modifier] = STATE(2439),
    [aux_sym_raw_string_literal_repeat1] = STATE(6858),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(1309),
    [aux_sym_simple_identifier_token2] = ACTIONS(1311),
    [aux_sym_simple_identifier_token3] = ACTIONS(1311),
    [aux_sym_simple_identifier_token4] = ACTIONS(1311),
    [anon_sym_actor] = ACTIONS(1309),
    [anon_sym_async] = ACTIONS(1309),
    [anon_sym_each] = ACTIONS(1313),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_repeat] = ACTIONS(1315),
    [anon_sym_package] = ACTIONS(1309),
    [anon_sym_nil] = ACTIONS(1801),
    [sym_real_literal] = ACTIONS(1803),
    [sym_integer_literal] = ACTIONS(1801),
    [sym_hex_literal] = ACTIONS(1803),
    [sym_oct_literal] = ACTIONS(1803),
    [sym_bin_literal] = ACTIONS(1803),
    [anon_sym_true] = ACTIONS(1321),
    [anon_sym_false] = ACTIONS(1321),
    [anon_sym_DQUOTE] = ACTIONS(1323),
    [anon_sym_BSLASH] = ACTIONS(1325),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1327),
    [sym__extended_regex_literal] = ACTIONS(1329),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(1331),
    [sym__oneline_regex_literal] = ACTIONS(1333),
    [anon_sym_LPAREN] = ACTIONS(1335),
    [anon_sym_LBRACK] = ACTIONS(1337),
    [anon_sym_AMP] = ACTIONS(1339),
    [anon_sym_if] = ACTIONS(1341),
    [anon_sym_switch] = ACTIONS(1343),
    [anon_sym_POUNDselector] = ACTIONS(1345),
    [aux_sym_custom_operator_token1] = ACTIONS(1347),
    [anon_sym_LT] = ACTIONS(1801),
    [anon_sym_GT] = ACTIONS(1801),
    [anon_sym_await] = ACTIONS(1349),
    [anon_sym_POUNDfile] = ACTIONS(1801),
    [anon_sym_POUNDfileID] = ACTIONS(1803),
    [anon_sym_POUNDfilePath] = ACTIONS(1803),
    [anon_sym_POUNDline] = ACTIONS(1803),
    [anon_sym_POUNDcolumn] = ACTIONS(1803),
    [anon_sym_POUNDfunction] = ACTIONS(1803),
    [anon_sym_POUNDdsohandle] = ACTIONS(1803),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(1351),
    [anon_sym_POUNDfileLiteral] = ACTIONS(1351),
    [anon_sym_POUNDimageLiteral] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_CARET_LBRACE] = ACTIONS(1353),
    [anon_sym_self] = ACTIONS(1355),
    [anon_sym_super] = ACTIONS(1357),
    [anon_sym_POUNDkeyPath] = ACTIONS(1359),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1803),
    [anon_sym_DASH_EQ] = ACTIONS(1803),
    [anon_sym_STAR_EQ] = ACTIONS(1803),
    [anon_sym_SLASH_EQ] = ACTIONS(1803),
    [anon_sym_PERCENT_EQ] = ACTIONS(1803),
    [anon_sym_BANG_EQ] = ACTIONS(1801),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1803),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1803),
    [anon_sym_LT_EQ] = ACTIONS(1803),
    [anon_sym_GT_EQ] = ACTIONS(1803),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1361),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1363),
    [anon_sym_PLUS] = ACTIONS(1365),
    [anon_sym_DASH] = ACTIONS(1365),
    [anon_sym_STAR] = ACTIONS(1801),
    [anon_sym_SLASH] = ACTIONS(1801),
    [anon_sym_PERCENT] = ACTIONS(1801),
    [anon_sym_PLUS_PLUS] = ACTIONS(1339),
    [anon_sym_DASH_DASH] = ACTIONS(1339),
    [anon_sym_TILDE] = ACTIONS(1339),
    [anon_sym_PIPE] = ACTIONS(1803),
    [anon_sym_CARET] = ACTIONS(1801),
    [anon_sym_LT_LT] = ACTIONS(1803),
    [anon_sym_GT_GT] = ACTIONS(1803),
    [anon_sym_BANG2] = ACTIONS(1367),
    [anon_sym_borrowing] = ACTIONS(1309),
    [anon_sym_consuming] = ACTIONS(1309),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(1369),
    [sym__dot_custom] = ACTIONS(1371),
    [sym__eq_custom] = ACTIONS(1803),
    [sym__eq_eq_custom] = ACTIONS(1803),
    [sym__plus_then_ws] = ACTIONS(1803),
    [sym__minus_then_ws] = ACTIONS(1803),
    [sym__bang_custom] = ACTIONS(1373),
    [sym__custom_operator] = ACTIONS(1347),
  },
  [447] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1450),
    [sym_boolean_literal] = STATE(1450),
    [sym__string_literal] = STATE(1450),
    [sym_line_string_literal] = STATE(1450),
    [sym_multi_line_string_literal] = STATE(1450),
    [sym_raw_string_literal] = STATE(1450),
    [sym_regex_literal] = STATE(1450),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1450),
    [sym__unary_expression] = STATE(1450),
    [sym_postfix_expression] = STATE(1450),
    [sym_constructor_expression] = STATE(1450),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1450),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1450),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1450),
    [sym_prefix_expression] = STATE(1450),
    [sym_as_expression] = STATE(1450),
    [sym_selector_expression] = STATE(1450),
    [sym__binary_expression] = STATE(1450),
    [sym_multiplicative_expression] = STATE(1450),
    [sym_additive_expression] = STATE(1450),
    [sym_range_expression] = STATE(1450),
    [sym_infix_expression] = STATE(1450),
    [sym_nil_coalescing_expression] = STATE(1450),
    [sym_check_expression] = STATE(1450),
    [sym_comparison_expression] = STATE(1450),
    [sym_equality_expression] = STATE(1450),
    [sym_conjunction_expression] = STATE(1450),
    [sym_disjunction_expression] = STATE(1450),
    [sym_bitwise_operation] = STATE(1450),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1450),
    [sym_await_expression] = STATE(1450),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1450),
    [sym_call_expression] = STATE(1450),
    [sym__primary_expression] = STATE(1450),
    [sym_tuple_expression] = STATE(1450),
    [sym_array_literal] = STATE(1450),
    [sym_dictionary_literal] = STATE(1450),
    [sym__special_literal] = STATE(1450),
    [sym__playground_literal] = STATE(1450),
    [sym_lambda_literal] = STATE(1450),
    [sym_self_expression] = STATE(1450),
    [sym_super_expression] = STATE(1450),
    [sym_if_statement] = STATE(1450),
    [sym_switch_statement] = STATE(1450),
    [sym_key_path_expression] = STATE(1450),
    [sym_key_path_string_expression] = STATE(1450),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1450),
    [sym__equality_operator] = STATE(1450),
    [sym__comparison_operator] = STATE(1450),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1450),
    [sym__multiplicative_operator] = STATE(1450),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1450),
    [sym_value_parameter_pack] = STATE(1450),
    [sym_value_pack_expansion] = STATE(1450),
    [sym__referenceable_operator] = STATE(1450),
    [sym__equal_sign] = STATE(1450),
    [sym__eq_eq] = STATE(1450),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1379),
    [sym_real_literal] = ACTIONS(1381),
    [sym_integer_literal] = ACTIONS(1379),
    [sym_hex_literal] = ACTIONS(1381),
    [sym_oct_literal] = ACTIONS(1381),
    [sym_bin_literal] = ACTIONS(1381),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1379),
    [anon_sym_GT] = ACTIONS(1379),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1379),
    [anon_sym_POUNDfileID] = ACTIONS(1381),
    [anon_sym_POUNDfilePath] = ACTIONS(1381),
    [anon_sym_POUNDline] = ACTIONS(1381),
    [anon_sym_POUNDcolumn] = ACTIONS(1381),
    [anon_sym_POUNDfunction] = ACTIONS(1381),
    [anon_sym_POUNDdsohandle] = ACTIONS(1381),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1381),
    [anon_sym_DASH_EQ] = ACTIONS(1381),
    [anon_sym_STAR_EQ] = ACTIONS(1381),
    [anon_sym_SLASH_EQ] = ACTIONS(1381),
    [anon_sym_PERCENT_EQ] = ACTIONS(1381),
    [anon_sym_BANG_EQ] = ACTIONS(1379),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1381),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1381),
    [anon_sym_LT_EQ] = ACTIONS(1381),
    [anon_sym_GT_EQ] = ACTIONS(1381),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1379),
    [anon_sym_SLASH] = ACTIONS(1379),
    [anon_sym_PERCENT] = ACTIONS(1379),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1381),
    [anon_sym_CARET] = ACTIONS(1379),
    [anon_sym_LT_LT] = ACTIONS(1381),
    [anon_sym_GT_GT] = ACTIONS(1381),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1381),
    [sym__eq_eq_custom] = ACTIONS(1381),
    [sym__plus_then_ws] = ACTIONS(1381),
    [sym__minus_then_ws] = ACTIONS(1381),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [448] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1398),
    [sym_boolean_literal] = STATE(1398),
    [sym__string_literal] = STATE(1398),
    [sym_line_string_literal] = STATE(1398),
    [sym_multi_line_string_literal] = STATE(1398),
    [sym_raw_string_literal] = STATE(1398),
    [sym_regex_literal] = STATE(1398),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1398),
    [sym__unary_expression] = STATE(1398),
    [sym_postfix_expression] = STATE(1398),
    [sym_constructor_expression] = STATE(1398),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1398),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1398),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1398),
    [sym_prefix_expression] = STATE(1398),
    [sym_as_expression] = STATE(1398),
    [sym_selector_expression] = STATE(1398),
    [sym__binary_expression] = STATE(1398),
    [sym_multiplicative_expression] = STATE(1398),
    [sym_additive_expression] = STATE(1398),
    [sym_range_expression] = STATE(1398),
    [sym_infix_expression] = STATE(1398),
    [sym_nil_coalescing_expression] = STATE(1398),
    [sym_check_expression] = STATE(1398),
    [sym_comparison_expression] = STATE(1398),
    [sym_equality_expression] = STATE(1398),
    [sym_conjunction_expression] = STATE(1398),
    [sym_disjunction_expression] = STATE(1398),
    [sym_bitwise_operation] = STATE(1398),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1398),
    [sym_await_expression] = STATE(1398),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1398),
    [sym_call_expression] = STATE(1398),
    [sym__primary_expression] = STATE(1398),
    [sym_tuple_expression] = STATE(1398),
    [sym_array_literal] = STATE(1398),
    [sym_dictionary_literal] = STATE(1398),
    [sym__special_literal] = STATE(1398),
    [sym__playground_literal] = STATE(1398),
    [sym_lambda_literal] = STATE(1398),
    [sym_self_expression] = STATE(1398),
    [sym_super_expression] = STATE(1398),
    [sym_if_statement] = STATE(1398),
    [sym_switch_statement] = STATE(1398),
    [sym_key_path_expression] = STATE(1398),
    [sym_key_path_string_expression] = STATE(1398),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1398),
    [sym__equality_operator] = STATE(1398),
    [sym__comparison_operator] = STATE(1398),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1398),
    [sym__multiplicative_operator] = STATE(1398),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1398),
    [sym_value_parameter_pack] = STATE(1398),
    [sym_value_pack_expansion] = STATE(1398),
    [sym__referenceable_operator] = STATE(1398),
    [sym__equal_sign] = STATE(1398),
    [sym__eq_eq] = STATE(1398),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1805),
    [sym_real_literal] = ACTIONS(1807),
    [sym_integer_literal] = ACTIONS(1805),
    [sym_hex_literal] = ACTIONS(1807),
    [sym_oct_literal] = ACTIONS(1807),
    [sym_bin_literal] = ACTIONS(1807),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1805),
    [anon_sym_GT] = ACTIONS(1805),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1805),
    [anon_sym_POUNDfileID] = ACTIONS(1807),
    [anon_sym_POUNDfilePath] = ACTIONS(1807),
    [anon_sym_POUNDline] = ACTIONS(1807),
    [anon_sym_POUNDcolumn] = ACTIONS(1807),
    [anon_sym_POUNDfunction] = ACTIONS(1807),
    [anon_sym_POUNDdsohandle] = ACTIONS(1807),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1807),
    [anon_sym_DASH_EQ] = ACTIONS(1807),
    [anon_sym_STAR_EQ] = ACTIONS(1807),
    [anon_sym_SLASH_EQ] = ACTIONS(1807),
    [anon_sym_PERCENT_EQ] = ACTIONS(1807),
    [anon_sym_BANG_EQ] = ACTIONS(1805),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1807),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1807),
    [anon_sym_LT_EQ] = ACTIONS(1807),
    [anon_sym_GT_EQ] = ACTIONS(1807),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1805),
    [anon_sym_SLASH] = ACTIONS(1805),
    [anon_sym_PERCENT] = ACTIONS(1805),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1807),
    [anon_sym_CARET] = ACTIONS(1805),
    [anon_sym_LT_LT] = ACTIONS(1807),
    [anon_sym_GT_GT] = ACTIONS(1807),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1807),
    [sym__eq_eq_custom] = ACTIONS(1807),
    [sym__plus_then_ws] = ACTIONS(1807),
    [sym__minus_then_ws] = ACTIONS(1807),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [449] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1440),
    [sym_boolean_literal] = STATE(1440),
    [sym__string_literal] = STATE(1440),
    [sym_line_string_literal] = STATE(1440),
    [sym_multi_line_string_literal] = STATE(1440),
    [sym_raw_string_literal] = STATE(1440),
    [sym_regex_literal] = STATE(1440),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1440),
    [sym__unary_expression] = STATE(1440),
    [sym_postfix_expression] = STATE(1440),
    [sym_constructor_expression] = STATE(1440),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1440),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1440),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1440),
    [sym_prefix_expression] = STATE(1440),
    [sym_as_expression] = STATE(1440),
    [sym_selector_expression] = STATE(1440),
    [sym__binary_expression] = STATE(1440),
    [sym_multiplicative_expression] = STATE(1440),
    [sym_additive_expression] = STATE(1440),
    [sym_range_expression] = STATE(1440),
    [sym_infix_expression] = STATE(1440),
    [sym_nil_coalescing_expression] = STATE(1440),
    [sym_check_expression] = STATE(1440),
    [sym_comparison_expression] = STATE(1440),
    [sym_equality_expression] = STATE(1440),
    [sym_conjunction_expression] = STATE(1440),
    [sym_disjunction_expression] = STATE(1440),
    [sym_bitwise_operation] = STATE(1440),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1440),
    [sym_await_expression] = STATE(1440),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1440),
    [sym_call_expression] = STATE(1440),
    [sym__primary_expression] = STATE(1440),
    [sym_tuple_expression] = STATE(1440),
    [sym_array_literal] = STATE(1440),
    [sym_dictionary_literal] = STATE(1440),
    [sym__special_literal] = STATE(1440),
    [sym__playground_literal] = STATE(1440),
    [sym_lambda_literal] = STATE(1440),
    [sym_self_expression] = STATE(1440),
    [sym_super_expression] = STATE(1440),
    [sym_if_statement] = STATE(1440),
    [sym_switch_statement] = STATE(1440),
    [sym_key_path_expression] = STATE(1440),
    [sym_key_path_string_expression] = STATE(1440),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1440),
    [sym__equality_operator] = STATE(1440),
    [sym__comparison_operator] = STATE(1440),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1440),
    [sym__multiplicative_operator] = STATE(1440),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1440),
    [sym_value_parameter_pack] = STATE(1440),
    [sym_value_pack_expansion] = STATE(1440),
    [sym__referenceable_operator] = STATE(1440),
    [sym__equal_sign] = STATE(1440),
    [sym__eq_eq] = STATE(1440),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1809),
    [sym_real_literal] = ACTIONS(1811),
    [sym_integer_literal] = ACTIONS(1809),
    [sym_hex_literal] = ACTIONS(1811),
    [sym_oct_literal] = ACTIONS(1811),
    [sym_bin_literal] = ACTIONS(1811),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1809),
    [anon_sym_GT] = ACTIONS(1809),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1809),
    [anon_sym_POUNDfileID] = ACTIONS(1811),
    [anon_sym_POUNDfilePath] = ACTIONS(1811),
    [anon_sym_POUNDline] = ACTIONS(1811),
    [anon_sym_POUNDcolumn] = ACTIONS(1811),
    [anon_sym_POUNDfunction] = ACTIONS(1811),
    [anon_sym_POUNDdsohandle] = ACTIONS(1811),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1811),
    [anon_sym_DASH_EQ] = ACTIONS(1811),
    [anon_sym_STAR_EQ] = ACTIONS(1811),
    [anon_sym_SLASH_EQ] = ACTIONS(1811),
    [anon_sym_PERCENT_EQ] = ACTIONS(1811),
    [anon_sym_BANG_EQ] = ACTIONS(1809),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1811),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1811),
    [anon_sym_LT_EQ] = ACTIONS(1811),
    [anon_sym_GT_EQ] = ACTIONS(1811),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1809),
    [anon_sym_SLASH] = ACTIONS(1809),
    [anon_sym_PERCENT] = ACTIONS(1809),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1811),
    [anon_sym_CARET] = ACTIONS(1809),
    [anon_sym_LT_LT] = ACTIONS(1811),
    [anon_sym_GT_GT] = ACTIONS(1811),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1811),
    [sym__eq_eq_custom] = ACTIONS(1811),
    [sym__plus_then_ws] = ACTIONS(1811),
    [sym__minus_then_ws] = ACTIONS(1811),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [450] = {
    [sym_simple_identifier] = STATE(2573),
    [sym__contextual_simple_identifier] = STATE(2374),
    [sym__basic_literal] = STATE(1375),
    [sym_boolean_literal] = STATE(1375),
    [sym__string_literal] = STATE(1375),
    [sym_line_string_literal] = STATE(1375),
    [sym_multi_line_string_literal] = STATE(1375),
    [sym_raw_string_literal] = STATE(1375),
    [sym_regex_literal] = STATE(1375),
    [sym__multiline_regex_literal] = STATE(2929),
    [sym_user_type] = STATE(5443),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5443),
    [sym_dictionary_type] = STATE(5443),
    [sym__expression] = STATE(1375),
    [sym__unary_expression] = STATE(1375),
    [sym_postfix_expression] = STATE(1375),
    [sym_constructor_expression] = STATE(1375),
    [sym__parenthesized_type] = STATE(7012),
    [sym_navigation_expression] = STATE(1375),
    [sym__navigable_type_expression] = STATE(7009),
    [sym_open_start_range_expression] = STATE(1375),
    [sym__range_operator] = STATE(557),
    [sym_open_end_range_expression] = STATE(1375),
    [sym_prefix_expression] = STATE(1375),
    [sym_as_expression] = STATE(1375),
    [sym_selector_expression] = STATE(1375),
    [sym__binary_expression] = STATE(1375),
    [sym_multiplicative_expression] = STATE(1375),
    [sym_additive_expression] = STATE(1375),
    [sym_range_expression] = STATE(1375),
    [sym_infix_expression] = STATE(1375),
    [sym_nil_coalescing_expression] = STATE(1375),
    [sym_check_expression] = STATE(1375),
    [sym_comparison_expression] = STATE(1375),
    [sym_equality_expression] = STATE(1375),
    [sym_conjunction_expression] = STATE(1375),
    [sym_disjunction_expression] = STATE(1375),
    [sym_bitwise_operation] = STATE(1375),
    [sym_custom_operator] = STATE(878),
    [sym_try_expression] = STATE(1375),
    [sym_await_expression] = STATE(1375),
    [sym__await_operator] = STATE(450),
    [sym_ternary_expression] = STATE(2999),
    [sym_call_expression] = STATE(3000),
    [sym__primary_expression] = STATE(1375),
    [sym_tuple_expression] = STATE(1375),
    [sym_array_literal] = STATE(1375),
    [sym_dictionary_literal] = STATE(1375),
    [sym__special_literal] = STATE(1375),
    [sym__playground_literal] = STATE(1375),
    [sym_lambda_literal] = STATE(1375),
    [sym_self_expression] = STATE(1375),
    [sym_super_expression] = STATE(1375),
    [sym_if_statement] = STATE(1375),
    [sym_switch_statement] = STATE(1375),
    [sym_key_path_expression] = STATE(1375),
    [sym_key_path_string_expression] = STATE(1375),
    [sym_try_operator] = STATE(451),
    [sym__assignment_and_operator] = STATE(1375),
    [sym__equality_operator] = STATE(1375),
    [sym__comparison_operator] = STATE(1375),
    [sym__three_dot_operator] = STATE(884),
    [sym__open_ended_range_operator] = STATE(557),
    [sym__additive_operator] = STATE(1375),
    [sym__multiplicative_operator] = STATE(1375),
    [sym__prefix_unary_operator] = STATE(471),
    [sym_directly_assignable_expression] = STATE(5445),
    [sym_assignment] = STATE(1375),
    [sym_value_parameter_pack] = STATE(1375),
    [sym_value_pack_expansion] = STATE(1375),
    [sym__referenceable_operator] = STATE(1375),
    [sym__equal_sign] = STATE(1375),
    [sym__eq_eq] = STATE(1375),
    [sym__dot] = STATE(471),
    [sym_bang] = STATE(878),
    [sym__parameter_ownership_modifier] = STATE(2374),
    [aux_sym_raw_string_literal_repeat1] = STATE(7006),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(1037),
    [aux_sym_simple_identifier_token2] = ACTIONS(1039),
    [aux_sym_simple_identifier_token3] = ACTIONS(1039),
    [aux_sym_simple_identifier_token4] = ACTIONS(1039),
    [anon_sym_actor] = ACTIONS(1037),
    [anon_sym_async] = ACTIONS(1037),
    [anon_sym_each] = ACTIONS(1041),
    [anon_sym_lazy] = ACTIONS(1037),
    [anon_sym_repeat] = ACTIONS(1043),
    [anon_sym_package] = ACTIONS(1037),
    [anon_sym_nil] = ACTIONS(1813),
    [sym_real_literal] = ACTIONS(1815),
    [sym_integer_literal] = ACTIONS(1813),
    [sym_hex_literal] = ACTIONS(1815),
    [sym_oct_literal] = ACTIONS(1815),
    [sym_bin_literal] = ACTIONS(1815),
    [anon_sym_true] = ACTIONS(1049),
    [anon_sym_false] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_BSLASH] = ACTIONS(1053),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1055),
    [sym__extended_regex_literal] = ACTIONS(1057),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(1059),
    [sym__oneline_regex_literal] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_LBRACK] = ACTIONS(1065),
    [anon_sym_AMP] = ACTIONS(1067),
    [anon_sym_if] = ACTIONS(1069),
    [anon_sym_switch] = ACTIONS(1071),
    [anon_sym_POUNDselector] = ACTIONS(1073),
    [aux_sym_custom_operator_token1] = ACTIONS(1075),
    [anon_sym_LT] = ACTIONS(1813),
    [anon_sym_GT] = ACTIONS(1813),
    [anon_sym_await] = ACTIONS(1077),
    [anon_sym_POUNDfile] = ACTIONS(1813),
    [anon_sym_POUNDfileID] = ACTIONS(1815),
    [anon_sym_POUNDfilePath] = ACTIONS(1815),
    [anon_sym_POUNDline] = ACTIONS(1815),
    [anon_sym_POUNDcolumn] = ACTIONS(1815),
    [anon_sym_POUNDfunction] = ACTIONS(1815),
    [anon_sym_POUNDdsohandle] = ACTIONS(1815),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(1079),
    [anon_sym_POUNDfileLiteral] = ACTIONS(1079),
    [anon_sym_POUNDimageLiteral] = ACTIONS(1079),
    [anon_sym_LBRACE] = ACTIONS(1081),
    [anon_sym_CARET_LBRACE] = ACTIONS(1081),
    [anon_sym_self] = ACTIONS(1083),
    [anon_sym_super] = ACTIONS(1085),
    [anon_sym_POUNDkeyPath] = ACTIONS(1089),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1815),
    [anon_sym_DASH_EQ] = ACTIONS(1815),
    [anon_sym_STAR_EQ] = ACTIONS(1815),
    [anon_sym_SLASH_EQ] = ACTIONS(1815),
    [anon_sym_PERCENT_EQ] = ACTIONS(1815),
    [anon_sym_BANG_EQ] = ACTIONS(1813),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1815),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1815),
    [anon_sym_LT_EQ] = ACTIONS(1815),
    [anon_sym_GT_EQ] = ACTIONS(1815),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1093),
    [anon_sym_PLUS] = ACTIONS(1097),
    [anon_sym_DASH] = ACTIONS(1097),
    [anon_sym_STAR] = ACTIONS(1813),
    [anon_sym_SLASH] = ACTIONS(1813),
    [anon_sym_PERCENT] = ACTIONS(1813),
    [anon_sym_PLUS_PLUS] = ACTIONS(1067),
    [anon_sym_DASH_DASH] = ACTIONS(1067),
    [anon_sym_TILDE] = ACTIONS(1067),
    [anon_sym_PIPE] = ACTIONS(1815),
    [anon_sym_CARET] = ACTIONS(1813),
    [anon_sym_LT_LT] = ACTIONS(1815),
    [anon_sym_GT_GT] = ACTIONS(1815),
    [anon_sym_BANG2] = ACTIONS(1099),
    [anon_sym_borrowing] = ACTIONS(1037),
    [anon_sym_consuming] = ACTIONS(1037),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(1103),
    [sym__dot_custom] = ACTIONS(1307),
    [sym__eq_custom] = ACTIONS(1815),
    [sym__eq_eq_custom] = ACTIONS(1815),
    [sym__plus_then_ws] = ACTIONS(1815),
    [sym__minus_then_ws] = ACTIONS(1815),
    [sym__bang_custom] = ACTIONS(1107),
    [sym__custom_operator] = ACTIONS(1075),
  },
  [451] = {
    [sym_simple_identifier] = STATE(2573),
    [sym__contextual_simple_identifier] = STATE(2374),
    [sym__basic_literal] = STATE(1376),
    [sym_boolean_literal] = STATE(1376),
    [sym__string_literal] = STATE(1376),
    [sym_line_string_literal] = STATE(1376),
    [sym_multi_line_string_literal] = STATE(1376),
    [sym_raw_string_literal] = STATE(1376),
    [sym_regex_literal] = STATE(1376),
    [sym__multiline_regex_literal] = STATE(2929),
    [sym_user_type] = STATE(5443),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5443),
    [sym_dictionary_type] = STATE(5443),
    [sym__expression] = STATE(1376),
    [sym__unary_expression] = STATE(1376),
    [sym_postfix_expression] = STATE(1376),
    [sym_constructor_expression] = STATE(1376),
    [sym__parenthesized_type] = STATE(7012),
    [sym_navigation_expression] = STATE(1376),
    [sym__navigable_type_expression] = STATE(7009),
    [sym_open_start_range_expression] = STATE(1376),
    [sym__range_operator] = STATE(557),
    [sym_open_end_range_expression] = STATE(1376),
    [sym_prefix_expression] = STATE(1376),
    [sym_as_expression] = STATE(1376),
    [sym_selector_expression] = STATE(1376),
    [sym__binary_expression] = STATE(3002),
    [sym_multiplicative_expression] = STATE(3002),
    [sym_additive_expression] = STATE(3002),
    [sym_range_expression] = STATE(3002),
    [sym_infix_expression] = STATE(3002),
    [sym_nil_coalescing_expression] = STATE(3002),
    [sym_check_expression] = STATE(3002),
    [sym_comparison_expression] = STATE(3002),
    [sym_equality_expression] = STATE(3002),
    [sym_conjunction_expression] = STATE(3002),
    [sym_disjunction_expression] = STATE(3002),
    [sym_bitwise_operation] = STATE(3002),
    [sym_custom_operator] = STATE(878),
    [sym_try_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym__await_operator] = STATE(450),
    [sym_ternary_expression] = STATE(3003),
    [sym_call_expression] = STATE(3004),
    [sym__primary_expression] = STATE(1376),
    [sym_tuple_expression] = STATE(1376),
    [sym_array_literal] = STATE(1376),
    [sym_dictionary_literal] = STATE(1376),
    [sym__special_literal] = STATE(1376),
    [sym__playground_literal] = STATE(1376),
    [sym_lambda_literal] = STATE(1376),
    [sym_self_expression] = STATE(1376),
    [sym_super_expression] = STATE(1376),
    [sym_if_statement] = STATE(1376),
    [sym_switch_statement] = STATE(1376),
    [sym_key_path_expression] = STATE(1376),
    [sym_key_path_string_expression] = STATE(1376),
    [sym_try_operator] = STATE(451),
    [sym__assignment_and_operator] = STATE(1376),
    [sym__equality_operator] = STATE(1376),
    [sym__comparison_operator] = STATE(1376),
    [sym__three_dot_operator] = STATE(884),
    [sym__open_ended_range_operator] = STATE(557),
    [sym__additive_operator] = STATE(1376),
    [sym__multiplicative_operator] = STATE(1376),
    [sym__prefix_unary_operator] = STATE(471),
    [sym_directly_assignable_expression] = STATE(5445),
    [sym_assignment] = STATE(1376),
    [sym_value_parameter_pack] = STATE(1376),
    [sym_value_pack_expansion] = STATE(1376),
    [sym__referenceable_operator] = STATE(1376),
    [sym__equal_sign] = STATE(1376),
    [sym__eq_eq] = STATE(1376),
    [sym__dot] = STATE(471),
    [sym_bang] = STATE(878),
    [sym__parameter_ownership_modifier] = STATE(2374),
    [aux_sym_raw_string_literal_repeat1] = STATE(7006),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(1037),
    [aux_sym_simple_identifier_token2] = ACTIONS(1039),
    [aux_sym_simple_identifier_token3] = ACTIONS(1039),
    [aux_sym_simple_identifier_token4] = ACTIONS(1039),
    [anon_sym_actor] = ACTIONS(1037),
    [anon_sym_async] = ACTIONS(1037),
    [anon_sym_each] = ACTIONS(1041),
    [anon_sym_lazy] = ACTIONS(1037),
    [anon_sym_repeat] = ACTIONS(1043),
    [anon_sym_package] = ACTIONS(1037),
    [anon_sym_nil] = ACTIONS(1817),
    [sym_real_literal] = ACTIONS(1819),
    [sym_integer_literal] = ACTIONS(1817),
    [sym_hex_literal] = ACTIONS(1819),
    [sym_oct_literal] = ACTIONS(1819),
    [sym_bin_literal] = ACTIONS(1819),
    [anon_sym_true] = ACTIONS(1049),
    [anon_sym_false] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_BSLASH] = ACTIONS(1053),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1055),
    [sym__extended_regex_literal] = ACTIONS(1057),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(1059),
    [sym__oneline_regex_literal] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_LBRACK] = ACTIONS(1065),
    [anon_sym_AMP] = ACTIONS(1067),
    [anon_sym_if] = ACTIONS(1069),
    [anon_sym_switch] = ACTIONS(1071),
    [anon_sym_POUNDselector] = ACTIONS(1073),
    [aux_sym_custom_operator_token1] = ACTIONS(1075),
    [anon_sym_LT] = ACTIONS(1817),
    [anon_sym_GT] = ACTIONS(1817),
    [anon_sym_await] = ACTIONS(1077),
    [anon_sym_POUNDfile] = ACTIONS(1817),
    [anon_sym_POUNDfileID] = ACTIONS(1819),
    [anon_sym_POUNDfilePath] = ACTIONS(1819),
    [anon_sym_POUNDline] = ACTIONS(1819),
    [anon_sym_POUNDcolumn] = ACTIONS(1819),
    [anon_sym_POUNDfunction] = ACTIONS(1819),
    [anon_sym_POUNDdsohandle] = ACTIONS(1819),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(1079),
    [anon_sym_POUNDfileLiteral] = ACTIONS(1079),
    [anon_sym_POUNDimageLiteral] = ACTIONS(1079),
    [anon_sym_LBRACE] = ACTIONS(1081),
    [anon_sym_CARET_LBRACE] = ACTIONS(1081),
    [anon_sym_self] = ACTIONS(1083),
    [anon_sym_super] = ACTIONS(1085),
    [anon_sym_POUNDkeyPath] = ACTIONS(1089),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1819),
    [anon_sym_DASH_EQ] = ACTIONS(1819),
    [anon_sym_STAR_EQ] = ACTIONS(1819),
    [anon_sym_SLASH_EQ] = ACTIONS(1819),
    [anon_sym_PERCENT_EQ] = ACTIONS(1819),
    [anon_sym_BANG_EQ] = ACTIONS(1817),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1819),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1819),
    [anon_sym_LT_EQ] = ACTIONS(1819),
    [anon_sym_GT_EQ] = ACTIONS(1819),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1093),
    [anon_sym_PLUS] = ACTIONS(1097),
    [anon_sym_DASH] = ACTIONS(1097),
    [anon_sym_STAR] = ACTIONS(1817),
    [anon_sym_SLASH] = ACTIONS(1817),
    [anon_sym_PERCENT] = ACTIONS(1817),
    [anon_sym_PLUS_PLUS] = ACTIONS(1067),
    [anon_sym_DASH_DASH] = ACTIONS(1067),
    [anon_sym_TILDE] = ACTIONS(1067),
    [anon_sym_PIPE] = ACTIONS(1819),
    [anon_sym_CARET] = ACTIONS(1817),
    [anon_sym_LT_LT] = ACTIONS(1819),
    [anon_sym_GT_GT] = ACTIONS(1819),
    [anon_sym_BANG2] = ACTIONS(1099),
    [anon_sym_borrowing] = ACTIONS(1037),
    [anon_sym_consuming] = ACTIONS(1037),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(1103),
    [sym__dot_custom] = ACTIONS(1307),
    [sym__eq_custom] = ACTIONS(1819),
    [sym__eq_eq_custom] = ACTIONS(1819),
    [sym__plus_then_ws] = ACTIONS(1819),
    [sym__minus_then_ws] = ACTIONS(1819),
    [sym__bang_custom] = ACTIONS(1107),
    [sym__custom_operator] = ACTIONS(1075),
  },
  [452] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1458),
    [sym_boolean_literal] = STATE(1458),
    [sym__string_literal] = STATE(1458),
    [sym_line_string_literal] = STATE(1458),
    [sym_multi_line_string_literal] = STATE(1458),
    [sym_raw_string_literal] = STATE(1458),
    [sym_regex_literal] = STATE(1458),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1458),
    [sym__unary_expression] = STATE(1458),
    [sym_postfix_expression] = STATE(1458),
    [sym_constructor_expression] = STATE(1458),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1458),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1458),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1458),
    [sym_prefix_expression] = STATE(1458),
    [sym_as_expression] = STATE(1458),
    [sym_selector_expression] = STATE(1458),
    [sym__binary_expression] = STATE(1458),
    [sym_multiplicative_expression] = STATE(1458),
    [sym_additive_expression] = STATE(1458),
    [sym_range_expression] = STATE(1458),
    [sym_infix_expression] = STATE(1458),
    [sym_nil_coalescing_expression] = STATE(1458),
    [sym_check_expression] = STATE(1458),
    [sym_comparison_expression] = STATE(1458),
    [sym_equality_expression] = STATE(1458),
    [sym_conjunction_expression] = STATE(1458),
    [sym_disjunction_expression] = STATE(1458),
    [sym_bitwise_operation] = STATE(1458),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1458),
    [sym_await_expression] = STATE(1458),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1458),
    [sym_call_expression] = STATE(1458),
    [sym__primary_expression] = STATE(1458),
    [sym_tuple_expression] = STATE(1458),
    [sym_array_literal] = STATE(1458),
    [sym_dictionary_literal] = STATE(1458),
    [sym__special_literal] = STATE(1458),
    [sym__playground_literal] = STATE(1458),
    [sym_lambda_literal] = STATE(1458),
    [sym_self_expression] = STATE(1458),
    [sym_super_expression] = STATE(1458),
    [sym_if_statement] = STATE(1458),
    [sym_switch_statement] = STATE(1458),
    [sym_key_path_expression] = STATE(1458),
    [sym_key_path_string_expression] = STATE(1458),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1458),
    [sym__equality_operator] = STATE(1458),
    [sym__comparison_operator] = STATE(1458),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1458),
    [sym__multiplicative_operator] = STATE(1458),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1458),
    [sym_value_parameter_pack] = STATE(1458),
    [sym_value_pack_expansion] = STATE(1458),
    [sym__referenceable_operator] = STATE(1458),
    [sym__equal_sign] = STATE(1458),
    [sym__eq_eq] = STATE(1458),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1821),
    [sym_real_literal] = ACTIONS(1823),
    [sym_integer_literal] = ACTIONS(1821),
    [sym_hex_literal] = ACTIONS(1823),
    [sym_oct_literal] = ACTIONS(1823),
    [sym_bin_literal] = ACTIONS(1823),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1821),
    [anon_sym_GT] = ACTIONS(1821),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1821),
    [anon_sym_POUNDfileID] = ACTIONS(1823),
    [anon_sym_POUNDfilePath] = ACTIONS(1823),
    [anon_sym_POUNDline] = ACTIONS(1823),
    [anon_sym_POUNDcolumn] = ACTIONS(1823),
    [anon_sym_POUNDfunction] = ACTIONS(1823),
    [anon_sym_POUNDdsohandle] = ACTIONS(1823),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1823),
    [anon_sym_DASH_EQ] = ACTIONS(1823),
    [anon_sym_STAR_EQ] = ACTIONS(1823),
    [anon_sym_SLASH_EQ] = ACTIONS(1823),
    [anon_sym_PERCENT_EQ] = ACTIONS(1823),
    [anon_sym_BANG_EQ] = ACTIONS(1821),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1823),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1823),
    [anon_sym_LT_EQ] = ACTIONS(1823),
    [anon_sym_GT_EQ] = ACTIONS(1823),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1821),
    [anon_sym_SLASH] = ACTIONS(1821),
    [anon_sym_PERCENT] = ACTIONS(1821),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1823),
    [anon_sym_CARET] = ACTIONS(1821),
    [anon_sym_LT_LT] = ACTIONS(1823),
    [anon_sym_GT_GT] = ACTIONS(1823),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1823),
    [sym__eq_eq_custom] = ACTIONS(1823),
    [sym__plus_then_ws] = ACTIONS(1823),
    [sym__minus_then_ws] = ACTIONS(1823),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [453] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(634),
    [sym_boolean_literal] = STATE(634),
    [sym__string_literal] = STATE(634),
    [sym_line_string_literal] = STATE(634),
    [sym_multi_line_string_literal] = STATE(634),
    [sym_raw_string_literal] = STATE(634),
    [sym_regex_literal] = STATE(634),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5550),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5550),
    [sym_dictionary_type] = STATE(5550),
    [sym__expression] = STATE(634),
    [sym__unary_expression] = STATE(634),
    [sym_postfix_expression] = STATE(634),
    [sym_constructor_expression] = STATE(634),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(634),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(634),
    [sym__range_operator] = STATE(596),
    [sym_open_end_range_expression] = STATE(634),
    [sym_prefix_expression] = STATE(634),
    [sym_as_expression] = STATE(634),
    [sym_selector_expression] = STATE(634),
    [sym__binary_expression] = STATE(792),
    [sym_multiplicative_expression] = STATE(792),
    [sym_additive_expression] = STATE(792),
    [sym_range_expression] = STATE(792),
    [sym_infix_expression] = STATE(792),
    [sym_nil_coalescing_expression] = STATE(792),
    [sym_check_expression] = STATE(792),
    [sym_comparison_expression] = STATE(792),
    [sym_equality_expression] = STATE(792),
    [sym_conjunction_expression] = STATE(792),
    [sym_disjunction_expression] = STATE(792),
    [sym_bitwise_operation] = STATE(792),
    [sym_custom_operator] = STATE(609),
    [sym_try_expression] = STATE(634),
    [sym_await_expression] = STATE(634),
    [sym__await_operator] = STATE(599),
    [sym_ternary_expression] = STATE(789),
    [sym_call_expression] = STATE(780),
    [sym__primary_expression] = STATE(634),
    [sym_tuple_expression] = STATE(634),
    [sym_array_literal] = STATE(634),
    [sym_dictionary_literal] = STATE(634),
    [sym__special_literal] = STATE(634),
    [sym__playground_literal] = STATE(634),
    [sym_lambda_literal] = STATE(634),
    [sym_self_expression] = STATE(634),
    [sym_super_expression] = STATE(634),
    [sym_if_statement] = STATE(634),
    [sym_switch_statement] = STATE(634),
    [sym_key_path_expression] = STATE(634),
    [sym_key_path_string_expression] = STATE(634),
    [sym_try_operator] = STATE(453),
    [sym__assignment_and_operator] = STATE(634),
    [sym__equality_operator] = STATE(634),
    [sym__comparison_operator] = STATE(634),
    [sym__three_dot_operator] = STATE(604),
    [sym__open_ended_range_operator] = STATE(596),
    [sym__additive_operator] = STATE(634),
    [sym__multiplicative_operator] = STATE(634),
    [sym__prefix_unary_operator] = STATE(445),
    [sym_directly_assignable_expression] = STATE(5552),
    [sym_assignment] = STATE(634),
    [sym_value_parameter_pack] = STATE(634),
    [sym_value_pack_expansion] = STATE(634),
    [sym__referenceable_operator] = STATE(634),
    [sym__equal_sign] = STATE(634),
    [sym__eq_eq] = STATE(634),
    [sym__dot] = STATE(445),
    [sym_bang] = STATE(609),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(621),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(623),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1825),
    [sym_real_literal] = ACTIONS(1827),
    [sym_integer_literal] = ACTIONS(1825),
    [sym_hex_literal] = ACTIONS(1827),
    [sym_oct_literal] = ACTIONS(1827),
    [sym_bin_literal] = ACTIONS(1827),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(629),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(639),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(641),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(643),
    [anon_sym_LT] = ACTIONS(1825),
    [anon_sym_GT] = ACTIONS(1825),
    [anon_sym_await] = ACTIONS(645),
    [anon_sym_POUNDfile] = ACTIONS(1825),
    [anon_sym_POUNDfileID] = ACTIONS(1827),
    [anon_sym_POUNDfilePath] = ACTIONS(1827),
    [anon_sym_POUNDline] = ACTIONS(1827),
    [anon_sym_POUNDcolumn] = ACTIONS(1827),
    [anon_sym_POUNDfunction] = ACTIONS(1827),
    [anon_sym_POUNDdsohandle] = ACTIONS(1827),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1827),
    [anon_sym_DASH_EQ] = ACTIONS(1827),
    [anon_sym_STAR_EQ] = ACTIONS(1827),
    [anon_sym_SLASH_EQ] = ACTIONS(1827),
    [anon_sym_PERCENT_EQ] = ACTIONS(1827),
    [anon_sym_BANG_EQ] = ACTIONS(1825),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1827),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1827),
    [anon_sym_LT_EQ] = ACTIONS(1827),
    [anon_sym_GT_EQ] = ACTIONS(1827),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(649),
    [anon_sym_DOT_DOT_LT] = ACTIONS(651),
    [anon_sym_PLUS] = ACTIONS(653),
    [anon_sym_DASH] = ACTIONS(653),
    [anon_sym_STAR] = ACTIONS(1825),
    [anon_sym_SLASH] = ACTIONS(1825),
    [anon_sym_PERCENT] = ACTIONS(1825),
    [anon_sym_PLUS_PLUS] = ACTIONS(639),
    [anon_sym_DASH_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(639),
    [anon_sym_PIPE] = ACTIONS(1827),
    [anon_sym_CARET] = ACTIONS(1825),
    [anon_sym_LT_LT] = ACTIONS(1827),
    [anon_sym_GT_GT] = ACTIONS(1827),
    [anon_sym_BANG2] = ACTIONS(655),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(657),
    [sym__eq_custom] = ACTIONS(1827),
    [sym__eq_eq_custom] = ACTIONS(1827),
    [sym__plus_then_ws] = ACTIONS(1827),
    [sym__minus_then_ws] = ACTIONS(1827),
    [sym__bang_custom] = ACTIONS(659),
    [sym__custom_operator] = ACTIONS(643),
  },
  [454] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1378),
    [sym_boolean_literal] = STATE(1378),
    [sym__string_literal] = STATE(1378),
    [sym_line_string_literal] = STATE(1378),
    [sym_multi_line_string_literal] = STATE(1378),
    [sym_raw_string_literal] = STATE(1378),
    [sym_regex_literal] = STATE(1378),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1378),
    [sym__unary_expression] = STATE(1378),
    [sym_postfix_expression] = STATE(1378),
    [sym_constructor_expression] = STATE(1378),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1378),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1378),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1378),
    [sym_prefix_expression] = STATE(1378),
    [sym_as_expression] = STATE(1378),
    [sym_selector_expression] = STATE(1378),
    [sym__binary_expression] = STATE(1378),
    [sym_multiplicative_expression] = STATE(1378),
    [sym_additive_expression] = STATE(1378),
    [sym_range_expression] = STATE(1378),
    [sym_infix_expression] = STATE(1378),
    [sym_nil_coalescing_expression] = STATE(1378),
    [sym_check_expression] = STATE(1378),
    [sym_comparison_expression] = STATE(1378),
    [sym_equality_expression] = STATE(1378),
    [sym_conjunction_expression] = STATE(1378),
    [sym_disjunction_expression] = STATE(1378),
    [sym_bitwise_operation] = STATE(1378),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1378),
    [sym_await_expression] = STATE(1378),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1378),
    [sym_call_expression] = STATE(1378),
    [sym__primary_expression] = STATE(1378),
    [sym_tuple_expression] = STATE(1378),
    [sym_array_literal] = STATE(1378),
    [sym_dictionary_literal] = STATE(1378),
    [sym__special_literal] = STATE(1378),
    [sym__playground_literal] = STATE(1378),
    [sym_lambda_literal] = STATE(1378),
    [sym_self_expression] = STATE(1378),
    [sym_super_expression] = STATE(1378),
    [sym_if_statement] = STATE(1378),
    [sym_switch_statement] = STATE(1378),
    [sym_key_path_expression] = STATE(1378),
    [sym_key_path_string_expression] = STATE(1378),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1378),
    [sym__equality_operator] = STATE(1378),
    [sym__comparison_operator] = STATE(1378),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1378),
    [sym__multiplicative_operator] = STATE(1378),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1378),
    [sym_value_parameter_pack] = STATE(1378),
    [sym_value_pack_expansion] = STATE(1378),
    [sym__referenceable_operator] = STATE(1378),
    [sym__equal_sign] = STATE(1378),
    [sym__eq_eq] = STATE(1378),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1829),
    [sym_real_literal] = ACTIONS(1831),
    [sym_integer_literal] = ACTIONS(1829),
    [sym_hex_literal] = ACTIONS(1831),
    [sym_oct_literal] = ACTIONS(1831),
    [sym_bin_literal] = ACTIONS(1831),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1829),
    [anon_sym_GT] = ACTIONS(1829),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1829),
    [anon_sym_POUNDfileID] = ACTIONS(1831),
    [anon_sym_POUNDfilePath] = ACTIONS(1831),
    [anon_sym_POUNDline] = ACTIONS(1831),
    [anon_sym_POUNDcolumn] = ACTIONS(1831),
    [anon_sym_POUNDfunction] = ACTIONS(1831),
    [anon_sym_POUNDdsohandle] = ACTIONS(1831),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1831),
    [anon_sym_DASH_EQ] = ACTIONS(1831),
    [anon_sym_STAR_EQ] = ACTIONS(1831),
    [anon_sym_SLASH_EQ] = ACTIONS(1831),
    [anon_sym_PERCENT_EQ] = ACTIONS(1831),
    [anon_sym_BANG_EQ] = ACTIONS(1829),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1831),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1831),
    [anon_sym_LT_EQ] = ACTIONS(1831),
    [anon_sym_GT_EQ] = ACTIONS(1831),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1829),
    [anon_sym_SLASH] = ACTIONS(1829),
    [anon_sym_PERCENT] = ACTIONS(1829),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1831),
    [anon_sym_CARET] = ACTIONS(1829),
    [anon_sym_LT_LT] = ACTIONS(1831),
    [anon_sym_GT_GT] = ACTIONS(1831),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1831),
    [sym__eq_eq_custom] = ACTIONS(1831),
    [sym__plus_then_ws] = ACTIONS(1831),
    [sym__minus_then_ws] = ACTIONS(1831),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [455] = {
    [sym_simple_identifier] = STATE(2072),
    [sym__contextual_simple_identifier] = STATE(2016),
    [sym__basic_literal] = STATE(1264),
    [sym_boolean_literal] = STATE(1264),
    [sym__string_literal] = STATE(1264),
    [sym_line_string_literal] = STATE(1264),
    [sym_multi_line_string_literal] = STATE(1264),
    [sym_raw_string_literal] = STATE(1264),
    [sym_regex_literal] = STATE(1264),
    [sym__multiline_regex_literal] = STATE(2164),
    [sym_user_type] = STATE(5497),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5497),
    [sym_dictionary_type] = STATE(5497),
    [sym__expression] = STATE(1264),
    [sym__unary_expression] = STATE(1264),
    [sym_postfix_expression] = STATE(1264),
    [sym_constructor_expression] = STATE(1264),
    [sym__parenthesized_type] = STATE(6725),
    [sym_navigation_expression] = STATE(1264),
    [sym__navigable_type_expression] = STATE(6724),
    [sym_open_start_range_expression] = STATE(1264),
    [sym__range_operator] = STATE(467),
    [sym_open_end_range_expression] = STATE(1264),
    [sym_prefix_expression] = STATE(1264),
    [sym_as_expression] = STATE(1264),
    [sym_selector_expression] = STATE(1264),
    [sym__binary_expression] = STATE(2271),
    [sym_multiplicative_expression] = STATE(2271),
    [sym_additive_expression] = STATE(2271),
    [sym_range_expression] = STATE(2271),
    [sym_infix_expression] = STATE(2271),
    [sym_nil_coalescing_expression] = STATE(2271),
    [sym_check_expression] = STATE(2271),
    [sym_comparison_expression] = STATE(2271),
    [sym_equality_expression] = STATE(2271),
    [sym_conjunction_expression] = STATE(2271),
    [sym_disjunction_expression] = STATE(2271),
    [sym_bitwise_operation] = STATE(2271),
    [sym_custom_operator] = STATE(835),
    [sym_try_expression] = STATE(1264),
    [sym_await_expression] = STATE(1264),
    [sym__await_operator] = STATE(466),
    [sym_ternary_expression] = STATE(2266),
    [sym_call_expression] = STATE(2265),
    [sym__primary_expression] = STATE(1264),
    [sym_tuple_expression] = STATE(1264),
    [sym_array_literal] = STATE(1264),
    [sym_dictionary_literal] = STATE(1264),
    [sym__special_literal] = STATE(1264),
    [sym__playground_literal] = STATE(1264),
    [sym_lambda_literal] = STATE(1264),
    [sym_self_expression] = STATE(1264),
    [sym_super_expression] = STATE(1264),
    [sym_if_statement] = STATE(1264),
    [sym_switch_statement] = STATE(1264),
    [sym_key_path_expression] = STATE(1264),
    [sym_key_path_string_expression] = STATE(1264),
    [sym_try_operator] = STATE(455),
    [sym__assignment_and_operator] = STATE(1264),
    [sym__equality_operator] = STATE(1264),
    [sym__comparison_operator] = STATE(1264),
    [sym__three_dot_operator] = STATE(837),
    [sym__open_ended_range_operator] = STATE(467),
    [sym__additive_operator] = STATE(1264),
    [sym__multiplicative_operator] = STATE(1264),
    [sym__prefix_unary_operator] = STATE(468),
    [sym_directly_assignable_expression] = STATE(5498),
    [sym_assignment] = STATE(1264),
    [sym_value_parameter_pack] = STATE(1264),
    [sym_value_pack_expansion] = STATE(1264),
    [sym__referenceable_operator] = STATE(1264),
    [sym__equal_sign] = STATE(1264),
    [sym__eq_eq] = STATE(1264),
    [sym__dot] = STATE(468),
    [sym_bang] = STATE(835),
    [sym__parameter_ownership_modifier] = STATE(2016),
    [aux_sym_raw_string_literal_repeat1] = STATE(6553),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(971),
    [aux_sym_simple_identifier_token2] = ACTIONS(973),
    [aux_sym_simple_identifier_token3] = ACTIONS(973),
    [aux_sym_simple_identifier_token4] = ACTIONS(973),
    [anon_sym_actor] = ACTIONS(971),
    [anon_sym_async] = ACTIONS(971),
    [anon_sym_each] = ACTIONS(975),
    [anon_sym_lazy] = ACTIONS(971),
    [anon_sym_repeat] = ACTIONS(977),
    [anon_sym_package] = ACTIONS(971),
    [anon_sym_nil] = ACTIONS(1833),
    [sym_real_literal] = ACTIONS(1835),
    [sym_integer_literal] = ACTIONS(1833),
    [sym_hex_literal] = ACTIONS(1835),
    [sym_oct_literal] = ACTIONS(1835),
    [sym_bin_literal] = ACTIONS(1835),
    [anon_sym_true] = ACTIONS(983),
    [anon_sym_false] = ACTIONS(983),
    [anon_sym_DQUOTE] = ACTIONS(985),
    [anon_sym_BSLASH] = ACTIONS(987),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(989),
    [sym__extended_regex_literal] = ACTIONS(991),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(993),
    [sym__oneline_regex_literal] = ACTIONS(995),
    [anon_sym_LPAREN] = ACTIONS(997),
    [anon_sym_LBRACK] = ACTIONS(999),
    [anon_sym_AMP] = ACTIONS(1001),
    [anon_sym_if] = ACTIONS(1003),
    [anon_sym_switch] = ACTIONS(1005),
    [anon_sym_POUNDselector] = ACTIONS(1007),
    [aux_sym_custom_operator_token1] = ACTIONS(1009),
    [anon_sym_LT] = ACTIONS(1833),
    [anon_sym_GT] = ACTIONS(1833),
    [anon_sym_await] = ACTIONS(1011),
    [anon_sym_POUNDfile] = ACTIONS(1833),
    [anon_sym_POUNDfileID] = ACTIONS(1835),
    [anon_sym_POUNDfilePath] = ACTIONS(1835),
    [anon_sym_POUNDline] = ACTIONS(1835),
    [anon_sym_POUNDcolumn] = ACTIONS(1835),
    [anon_sym_POUNDfunction] = ACTIONS(1835),
    [anon_sym_POUNDdsohandle] = ACTIONS(1835),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(1013),
    [anon_sym_POUNDfileLiteral] = ACTIONS(1013),
    [anon_sym_POUNDimageLiteral] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(1015),
    [anon_sym_CARET_LBRACE] = ACTIONS(1015),
    [anon_sym_self] = ACTIONS(1017),
    [anon_sym_super] = ACTIONS(1019),
    [anon_sym_POUNDkeyPath] = ACTIONS(1021),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1835),
    [anon_sym_DASH_EQ] = ACTIONS(1835),
    [anon_sym_STAR_EQ] = ACTIONS(1835),
    [anon_sym_SLASH_EQ] = ACTIONS(1835),
    [anon_sym_PERCENT_EQ] = ACTIONS(1835),
    [anon_sym_BANG_EQ] = ACTIONS(1833),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1835),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1835),
    [anon_sym_LT_EQ] = ACTIONS(1835),
    [anon_sym_GT_EQ] = ACTIONS(1835),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1023),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1025),
    [anon_sym_PLUS] = ACTIONS(1027),
    [anon_sym_DASH] = ACTIONS(1027),
    [anon_sym_STAR] = ACTIONS(1833),
    [anon_sym_SLASH] = ACTIONS(1833),
    [anon_sym_PERCENT] = ACTIONS(1833),
    [anon_sym_PLUS_PLUS] = ACTIONS(1001),
    [anon_sym_DASH_DASH] = ACTIONS(1001),
    [anon_sym_TILDE] = ACTIONS(1001),
    [anon_sym_PIPE] = ACTIONS(1835),
    [anon_sym_CARET] = ACTIONS(1833),
    [anon_sym_LT_LT] = ACTIONS(1835),
    [anon_sym_GT_GT] = ACTIONS(1835),
    [anon_sym_BANG2] = ACTIONS(1029),
    [anon_sym_borrowing] = ACTIONS(971),
    [anon_sym_consuming] = ACTIONS(971),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(1031),
    [sym__dot_custom] = ACTIONS(1033),
    [sym__eq_custom] = ACTIONS(1835),
    [sym__eq_eq_custom] = ACTIONS(1835),
    [sym__plus_then_ws] = ACTIONS(1835),
    [sym__minus_then_ws] = ACTIONS(1835),
    [sym__bang_custom] = ACTIONS(1035),
    [sym__custom_operator] = ACTIONS(1009),
  },
  [456] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1368),
    [sym_boolean_literal] = STATE(1368),
    [sym__string_literal] = STATE(1368),
    [sym_line_string_literal] = STATE(1368),
    [sym_multi_line_string_literal] = STATE(1368),
    [sym_raw_string_literal] = STATE(1368),
    [sym_regex_literal] = STATE(1368),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1368),
    [sym__unary_expression] = STATE(1368),
    [sym_postfix_expression] = STATE(1368),
    [sym_constructor_expression] = STATE(1368),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1368),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1368),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1368),
    [sym_prefix_expression] = STATE(1368),
    [sym_as_expression] = STATE(1368),
    [sym_selector_expression] = STATE(1368),
    [sym__binary_expression] = STATE(1368),
    [sym_multiplicative_expression] = STATE(1368),
    [sym_additive_expression] = STATE(1368),
    [sym_range_expression] = STATE(1368),
    [sym_infix_expression] = STATE(1368),
    [sym_nil_coalescing_expression] = STATE(1368),
    [sym_check_expression] = STATE(1368),
    [sym_comparison_expression] = STATE(1368),
    [sym_equality_expression] = STATE(1368),
    [sym_conjunction_expression] = STATE(1368),
    [sym_disjunction_expression] = STATE(1368),
    [sym_bitwise_operation] = STATE(1368),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1368),
    [sym_await_expression] = STATE(1368),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1368),
    [sym_call_expression] = STATE(1368),
    [sym__primary_expression] = STATE(1368),
    [sym_tuple_expression] = STATE(1368),
    [sym_array_literal] = STATE(1368),
    [sym_dictionary_literal] = STATE(1368),
    [sym__special_literal] = STATE(1368),
    [sym__playground_literal] = STATE(1368),
    [sym_lambda_literal] = STATE(1368),
    [sym_self_expression] = STATE(1368),
    [sym_super_expression] = STATE(1368),
    [sym_if_statement] = STATE(1368),
    [sym_switch_statement] = STATE(1368),
    [sym_key_path_expression] = STATE(1368),
    [sym_key_path_string_expression] = STATE(1368),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1368),
    [sym__equality_operator] = STATE(1368),
    [sym__comparison_operator] = STATE(1368),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1368),
    [sym__multiplicative_operator] = STATE(1368),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1368),
    [sym_value_parameter_pack] = STATE(1368),
    [sym_value_pack_expansion] = STATE(1368),
    [sym__referenceable_operator] = STATE(1368),
    [sym__equal_sign] = STATE(1368),
    [sym__eq_eq] = STATE(1368),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1837),
    [sym_real_literal] = ACTIONS(1839),
    [sym_integer_literal] = ACTIONS(1837),
    [sym_hex_literal] = ACTIONS(1839),
    [sym_oct_literal] = ACTIONS(1839),
    [sym_bin_literal] = ACTIONS(1839),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1837),
    [anon_sym_GT] = ACTIONS(1837),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1837),
    [anon_sym_POUNDfileID] = ACTIONS(1839),
    [anon_sym_POUNDfilePath] = ACTIONS(1839),
    [anon_sym_POUNDline] = ACTIONS(1839),
    [anon_sym_POUNDcolumn] = ACTIONS(1839),
    [anon_sym_POUNDfunction] = ACTIONS(1839),
    [anon_sym_POUNDdsohandle] = ACTIONS(1839),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1839),
    [anon_sym_DASH_EQ] = ACTIONS(1839),
    [anon_sym_STAR_EQ] = ACTIONS(1839),
    [anon_sym_SLASH_EQ] = ACTIONS(1839),
    [anon_sym_PERCENT_EQ] = ACTIONS(1839),
    [anon_sym_BANG_EQ] = ACTIONS(1837),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1839),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1839),
    [anon_sym_LT_EQ] = ACTIONS(1839),
    [anon_sym_GT_EQ] = ACTIONS(1839),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1837),
    [anon_sym_SLASH] = ACTIONS(1837),
    [anon_sym_PERCENT] = ACTIONS(1837),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1839),
    [anon_sym_CARET] = ACTIONS(1837),
    [anon_sym_LT_LT] = ACTIONS(1839),
    [anon_sym_GT_GT] = ACTIONS(1839),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1839),
    [sym__eq_eq_custom] = ACTIONS(1839),
    [sym__plus_then_ws] = ACTIONS(1839),
    [sym__minus_then_ws] = ACTIONS(1839),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [457] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1403),
    [sym_boolean_literal] = STATE(1403),
    [sym__string_literal] = STATE(1403),
    [sym_line_string_literal] = STATE(1403),
    [sym_multi_line_string_literal] = STATE(1403),
    [sym_raw_string_literal] = STATE(1403),
    [sym_regex_literal] = STATE(1403),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1403),
    [sym__unary_expression] = STATE(1403),
    [sym_postfix_expression] = STATE(1403),
    [sym_constructor_expression] = STATE(1403),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1403),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1403),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1403),
    [sym_prefix_expression] = STATE(1403),
    [sym_as_expression] = STATE(1403),
    [sym_selector_expression] = STATE(1403),
    [sym__binary_expression] = STATE(1403),
    [sym_multiplicative_expression] = STATE(1403),
    [sym_additive_expression] = STATE(1403),
    [sym_range_expression] = STATE(1403),
    [sym_infix_expression] = STATE(1403),
    [sym_nil_coalescing_expression] = STATE(1403),
    [sym_check_expression] = STATE(1403),
    [sym_comparison_expression] = STATE(1403),
    [sym_equality_expression] = STATE(1403),
    [sym_conjunction_expression] = STATE(1403),
    [sym_disjunction_expression] = STATE(1403),
    [sym_bitwise_operation] = STATE(1403),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1403),
    [sym_await_expression] = STATE(1403),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1403),
    [sym_call_expression] = STATE(1403),
    [sym__primary_expression] = STATE(1403),
    [sym_tuple_expression] = STATE(1403),
    [sym_array_literal] = STATE(1403),
    [sym_dictionary_literal] = STATE(1403),
    [sym__special_literal] = STATE(1403),
    [sym__playground_literal] = STATE(1403),
    [sym_lambda_literal] = STATE(1403),
    [sym_self_expression] = STATE(1403),
    [sym_super_expression] = STATE(1403),
    [sym_if_statement] = STATE(1403),
    [sym_switch_statement] = STATE(1403),
    [sym_key_path_expression] = STATE(1403),
    [sym_key_path_string_expression] = STATE(1403),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1403),
    [sym__equality_operator] = STATE(1403),
    [sym__comparison_operator] = STATE(1403),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1403),
    [sym__multiplicative_operator] = STATE(1403),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1403),
    [sym_value_parameter_pack] = STATE(1403),
    [sym_value_pack_expansion] = STATE(1403),
    [sym__referenceable_operator] = STATE(1403),
    [sym__equal_sign] = STATE(1403),
    [sym__eq_eq] = STATE(1403),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1841),
    [sym_real_literal] = ACTIONS(1843),
    [sym_integer_literal] = ACTIONS(1841),
    [sym_hex_literal] = ACTIONS(1843),
    [sym_oct_literal] = ACTIONS(1843),
    [sym_bin_literal] = ACTIONS(1843),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1841),
    [anon_sym_GT] = ACTIONS(1841),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1841),
    [anon_sym_POUNDfileID] = ACTIONS(1843),
    [anon_sym_POUNDfilePath] = ACTIONS(1843),
    [anon_sym_POUNDline] = ACTIONS(1843),
    [anon_sym_POUNDcolumn] = ACTIONS(1843),
    [anon_sym_POUNDfunction] = ACTIONS(1843),
    [anon_sym_POUNDdsohandle] = ACTIONS(1843),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1843),
    [anon_sym_DASH_EQ] = ACTIONS(1843),
    [anon_sym_STAR_EQ] = ACTIONS(1843),
    [anon_sym_SLASH_EQ] = ACTIONS(1843),
    [anon_sym_PERCENT_EQ] = ACTIONS(1843),
    [anon_sym_BANG_EQ] = ACTIONS(1841),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1843),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1843),
    [anon_sym_LT_EQ] = ACTIONS(1843),
    [anon_sym_GT_EQ] = ACTIONS(1843),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1841),
    [anon_sym_SLASH] = ACTIONS(1841),
    [anon_sym_PERCENT] = ACTIONS(1841),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1843),
    [anon_sym_CARET] = ACTIONS(1841),
    [anon_sym_LT_LT] = ACTIONS(1843),
    [anon_sym_GT_GT] = ACTIONS(1843),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1843),
    [sym__eq_eq_custom] = ACTIONS(1843),
    [sym__plus_then_ws] = ACTIONS(1843),
    [sym__minus_then_ws] = ACTIONS(1843),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [458] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1330),
    [sym_boolean_literal] = STATE(1330),
    [sym__string_literal] = STATE(1330),
    [sym_line_string_literal] = STATE(1330),
    [sym_multi_line_string_literal] = STATE(1330),
    [sym_raw_string_literal] = STATE(1330),
    [sym_regex_literal] = STATE(1330),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1330),
    [sym__unary_expression] = STATE(1330),
    [sym_postfix_expression] = STATE(1330),
    [sym_constructor_expression] = STATE(1330),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1330),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1330),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1330),
    [sym_prefix_expression] = STATE(1330),
    [sym_as_expression] = STATE(1330),
    [sym_selector_expression] = STATE(1330),
    [sym__binary_expression] = STATE(1330),
    [sym_multiplicative_expression] = STATE(1330),
    [sym_additive_expression] = STATE(1330),
    [sym_range_expression] = STATE(1330),
    [sym_infix_expression] = STATE(1330),
    [sym_nil_coalescing_expression] = STATE(1330),
    [sym_check_expression] = STATE(1330),
    [sym_comparison_expression] = STATE(1330),
    [sym_equality_expression] = STATE(1330),
    [sym_conjunction_expression] = STATE(1330),
    [sym_disjunction_expression] = STATE(1330),
    [sym_bitwise_operation] = STATE(1330),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1330),
    [sym_await_expression] = STATE(1330),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1330),
    [sym_call_expression] = STATE(1330),
    [sym__primary_expression] = STATE(1330),
    [sym_tuple_expression] = STATE(1330),
    [sym_array_literal] = STATE(1330),
    [sym_dictionary_literal] = STATE(1330),
    [sym__special_literal] = STATE(1330),
    [sym__playground_literal] = STATE(1330),
    [sym_lambda_literal] = STATE(1330),
    [sym_self_expression] = STATE(1330),
    [sym_super_expression] = STATE(1330),
    [sym_if_statement] = STATE(1330),
    [sym_switch_statement] = STATE(1330),
    [sym_key_path_expression] = STATE(1330),
    [sym_key_path_string_expression] = STATE(1330),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1330),
    [sym__equality_operator] = STATE(1330),
    [sym__comparison_operator] = STATE(1330),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1330),
    [sym__multiplicative_operator] = STATE(1330),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1330),
    [sym_value_parameter_pack] = STATE(1330),
    [sym_value_pack_expansion] = STATE(1330),
    [sym__referenceable_operator] = STATE(1330),
    [sym__equal_sign] = STATE(1330),
    [sym__eq_eq] = STATE(1330),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1845),
    [sym_real_literal] = ACTIONS(1847),
    [sym_integer_literal] = ACTIONS(1845),
    [sym_hex_literal] = ACTIONS(1847),
    [sym_oct_literal] = ACTIONS(1847),
    [sym_bin_literal] = ACTIONS(1847),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1845),
    [anon_sym_GT] = ACTIONS(1845),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1845),
    [anon_sym_POUNDfileID] = ACTIONS(1847),
    [anon_sym_POUNDfilePath] = ACTIONS(1847),
    [anon_sym_POUNDline] = ACTIONS(1847),
    [anon_sym_POUNDcolumn] = ACTIONS(1847),
    [anon_sym_POUNDfunction] = ACTIONS(1847),
    [anon_sym_POUNDdsohandle] = ACTIONS(1847),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1847),
    [anon_sym_DASH_EQ] = ACTIONS(1847),
    [anon_sym_STAR_EQ] = ACTIONS(1847),
    [anon_sym_SLASH_EQ] = ACTIONS(1847),
    [anon_sym_PERCENT_EQ] = ACTIONS(1847),
    [anon_sym_BANG_EQ] = ACTIONS(1845),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1847),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1847),
    [anon_sym_LT_EQ] = ACTIONS(1847),
    [anon_sym_GT_EQ] = ACTIONS(1847),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1845),
    [anon_sym_SLASH] = ACTIONS(1845),
    [anon_sym_PERCENT] = ACTIONS(1845),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1847),
    [anon_sym_CARET] = ACTIONS(1845),
    [anon_sym_LT_LT] = ACTIONS(1847),
    [anon_sym_GT_GT] = ACTIONS(1847),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1847),
    [sym__eq_eq_custom] = ACTIONS(1847),
    [sym__plus_then_ws] = ACTIONS(1847),
    [sym__minus_then_ws] = ACTIONS(1847),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [459] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1383),
    [sym_boolean_literal] = STATE(1383),
    [sym__string_literal] = STATE(1383),
    [sym_line_string_literal] = STATE(1383),
    [sym_multi_line_string_literal] = STATE(1383),
    [sym_raw_string_literal] = STATE(1383),
    [sym_regex_literal] = STATE(1383),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1383),
    [sym__unary_expression] = STATE(1383),
    [sym_postfix_expression] = STATE(1383),
    [sym_constructor_expression] = STATE(1383),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1383),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1383),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1383),
    [sym_prefix_expression] = STATE(1383),
    [sym_as_expression] = STATE(1383),
    [sym_selector_expression] = STATE(1383),
    [sym__binary_expression] = STATE(1383),
    [sym_multiplicative_expression] = STATE(1383),
    [sym_additive_expression] = STATE(1383),
    [sym_range_expression] = STATE(1383),
    [sym_infix_expression] = STATE(1383),
    [sym_nil_coalescing_expression] = STATE(1383),
    [sym_check_expression] = STATE(1383),
    [sym_comparison_expression] = STATE(1383),
    [sym_equality_expression] = STATE(1383),
    [sym_conjunction_expression] = STATE(1383),
    [sym_disjunction_expression] = STATE(1383),
    [sym_bitwise_operation] = STATE(1383),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1383),
    [sym_await_expression] = STATE(1383),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1383),
    [sym_call_expression] = STATE(1383),
    [sym__primary_expression] = STATE(1383),
    [sym_tuple_expression] = STATE(1383),
    [sym_array_literal] = STATE(1383),
    [sym_dictionary_literal] = STATE(1383),
    [sym__special_literal] = STATE(1383),
    [sym__playground_literal] = STATE(1383),
    [sym_lambda_literal] = STATE(1383),
    [sym_self_expression] = STATE(1383),
    [sym_super_expression] = STATE(1383),
    [sym_if_statement] = STATE(1383),
    [sym_switch_statement] = STATE(1383),
    [sym_key_path_expression] = STATE(1383),
    [sym_key_path_string_expression] = STATE(1383),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1383),
    [sym__equality_operator] = STATE(1383),
    [sym__comparison_operator] = STATE(1383),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1383),
    [sym__multiplicative_operator] = STATE(1383),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1383),
    [sym_value_parameter_pack] = STATE(1383),
    [sym_value_pack_expansion] = STATE(1383),
    [sym__referenceable_operator] = STATE(1383),
    [sym__equal_sign] = STATE(1383),
    [sym__eq_eq] = STATE(1383),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1849),
    [sym_real_literal] = ACTIONS(1851),
    [sym_integer_literal] = ACTIONS(1849),
    [sym_hex_literal] = ACTIONS(1851),
    [sym_oct_literal] = ACTIONS(1851),
    [sym_bin_literal] = ACTIONS(1851),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1849),
    [anon_sym_GT] = ACTIONS(1849),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1849),
    [anon_sym_POUNDfileID] = ACTIONS(1851),
    [anon_sym_POUNDfilePath] = ACTIONS(1851),
    [anon_sym_POUNDline] = ACTIONS(1851),
    [anon_sym_POUNDcolumn] = ACTIONS(1851),
    [anon_sym_POUNDfunction] = ACTIONS(1851),
    [anon_sym_POUNDdsohandle] = ACTIONS(1851),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1851),
    [anon_sym_DASH_EQ] = ACTIONS(1851),
    [anon_sym_STAR_EQ] = ACTIONS(1851),
    [anon_sym_SLASH_EQ] = ACTIONS(1851),
    [anon_sym_PERCENT_EQ] = ACTIONS(1851),
    [anon_sym_BANG_EQ] = ACTIONS(1849),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1851),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1851),
    [anon_sym_LT_EQ] = ACTIONS(1851),
    [anon_sym_GT_EQ] = ACTIONS(1851),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1849),
    [anon_sym_SLASH] = ACTIONS(1849),
    [anon_sym_PERCENT] = ACTIONS(1849),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1851),
    [anon_sym_CARET] = ACTIONS(1849),
    [anon_sym_LT_LT] = ACTIONS(1851),
    [anon_sym_GT_GT] = ACTIONS(1851),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1851),
    [sym__eq_eq_custom] = ACTIONS(1851),
    [sym__plus_then_ws] = ACTIONS(1851),
    [sym__minus_then_ws] = ACTIONS(1851),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [460] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1408),
    [sym_boolean_literal] = STATE(1408),
    [sym__string_literal] = STATE(1408),
    [sym_line_string_literal] = STATE(1408),
    [sym_multi_line_string_literal] = STATE(1408),
    [sym_raw_string_literal] = STATE(1408),
    [sym_regex_literal] = STATE(1408),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1408),
    [sym__unary_expression] = STATE(1408),
    [sym_postfix_expression] = STATE(1408),
    [sym_constructor_expression] = STATE(1408),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1408),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1408),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1408),
    [sym_prefix_expression] = STATE(1408),
    [sym_as_expression] = STATE(1408),
    [sym_selector_expression] = STATE(1408),
    [sym__binary_expression] = STATE(1408),
    [sym_multiplicative_expression] = STATE(1408),
    [sym_additive_expression] = STATE(1408),
    [sym_range_expression] = STATE(1408),
    [sym_infix_expression] = STATE(1408),
    [sym_nil_coalescing_expression] = STATE(1408),
    [sym_check_expression] = STATE(1408),
    [sym_comparison_expression] = STATE(1408),
    [sym_equality_expression] = STATE(1408),
    [sym_conjunction_expression] = STATE(1408),
    [sym_disjunction_expression] = STATE(1408),
    [sym_bitwise_operation] = STATE(1408),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1408),
    [sym_await_expression] = STATE(1408),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1408),
    [sym_call_expression] = STATE(1408),
    [sym__primary_expression] = STATE(1408),
    [sym_tuple_expression] = STATE(1408),
    [sym_array_literal] = STATE(1408),
    [sym_dictionary_literal] = STATE(1408),
    [sym__special_literal] = STATE(1408),
    [sym__playground_literal] = STATE(1408),
    [sym_lambda_literal] = STATE(1408),
    [sym_self_expression] = STATE(1408),
    [sym_super_expression] = STATE(1408),
    [sym_if_statement] = STATE(1408),
    [sym_switch_statement] = STATE(1408),
    [sym_key_path_expression] = STATE(1408),
    [sym_key_path_string_expression] = STATE(1408),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1408),
    [sym__equality_operator] = STATE(1408),
    [sym__comparison_operator] = STATE(1408),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1408),
    [sym__multiplicative_operator] = STATE(1408),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1408),
    [sym_value_parameter_pack] = STATE(1408),
    [sym_value_pack_expansion] = STATE(1408),
    [sym__referenceable_operator] = STATE(1408),
    [sym__equal_sign] = STATE(1408),
    [sym__eq_eq] = STATE(1408),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1853),
    [sym_real_literal] = ACTIONS(1855),
    [sym_integer_literal] = ACTIONS(1853),
    [sym_hex_literal] = ACTIONS(1855),
    [sym_oct_literal] = ACTIONS(1855),
    [sym_bin_literal] = ACTIONS(1855),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1853),
    [anon_sym_GT] = ACTIONS(1853),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1853),
    [anon_sym_POUNDfileID] = ACTIONS(1855),
    [anon_sym_POUNDfilePath] = ACTIONS(1855),
    [anon_sym_POUNDline] = ACTIONS(1855),
    [anon_sym_POUNDcolumn] = ACTIONS(1855),
    [anon_sym_POUNDfunction] = ACTIONS(1855),
    [anon_sym_POUNDdsohandle] = ACTIONS(1855),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1855),
    [anon_sym_DASH_EQ] = ACTIONS(1855),
    [anon_sym_STAR_EQ] = ACTIONS(1855),
    [anon_sym_SLASH_EQ] = ACTIONS(1855),
    [anon_sym_PERCENT_EQ] = ACTIONS(1855),
    [anon_sym_BANG_EQ] = ACTIONS(1853),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1855),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1855),
    [anon_sym_LT_EQ] = ACTIONS(1855),
    [anon_sym_GT_EQ] = ACTIONS(1855),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_SLASH] = ACTIONS(1853),
    [anon_sym_PERCENT] = ACTIONS(1853),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1855),
    [anon_sym_CARET] = ACTIONS(1853),
    [anon_sym_LT_LT] = ACTIONS(1855),
    [anon_sym_GT_GT] = ACTIONS(1855),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1855),
    [sym__eq_eq_custom] = ACTIONS(1855),
    [sym__plus_then_ws] = ACTIONS(1855),
    [sym__minus_then_ws] = ACTIONS(1855),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [461] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1392),
    [sym_boolean_literal] = STATE(1392),
    [sym__string_literal] = STATE(1392),
    [sym_line_string_literal] = STATE(1392),
    [sym_multi_line_string_literal] = STATE(1392),
    [sym_raw_string_literal] = STATE(1392),
    [sym_regex_literal] = STATE(1392),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1392),
    [sym__unary_expression] = STATE(1392),
    [sym_postfix_expression] = STATE(1392),
    [sym_constructor_expression] = STATE(1392),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1392),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1392),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1392),
    [sym_prefix_expression] = STATE(1392),
    [sym_as_expression] = STATE(1392),
    [sym_selector_expression] = STATE(1392),
    [sym__binary_expression] = STATE(1392),
    [sym_multiplicative_expression] = STATE(1392),
    [sym_additive_expression] = STATE(1392),
    [sym_range_expression] = STATE(1392),
    [sym_infix_expression] = STATE(1392),
    [sym_nil_coalescing_expression] = STATE(1392),
    [sym_check_expression] = STATE(1392),
    [sym_comparison_expression] = STATE(1392),
    [sym_equality_expression] = STATE(1392),
    [sym_conjunction_expression] = STATE(1392),
    [sym_disjunction_expression] = STATE(1392),
    [sym_bitwise_operation] = STATE(1392),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1392),
    [sym_await_expression] = STATE(1392),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1392),
    [sym_call_expression] = STATE(1392),
    [sym__primary_expression] = STATE(1392),
    [sym_tuple_expression] = STATE(1392),
    [sym_array_literal] = STATE(1392),
    [sym_dictionary_literal] = STATE(1392),
    [sym__special_literal] = STATE(1392),
    [sym__playground_literal] = STATE(1392),
    [sym_lambda_literal] = STATE(1392),
    [sym_self_expression] = STATE(1392),
    [sym_super_expression] = STATE(1392),
    [sym_if_statement] = STATE(1392),
    [sym_switch_statement] = STATE(1392),
    [sym_key_path_expression] = STATE(1392),
    [sym_key_path_string_expression] = STATE(1392),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1392),
    [sym__equality_operator] = STATE(1392),
    [sym__comparison_operator] = STATE(1392),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1392),
    [sym__multiplicative_operator] = STATE(1392),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1392),
    [sym_value_parameter_pack] = STATE(1392),
    [sym_value_pack_expansion] = STATE(1392),
    [sym__referenceable_operator] = STATE(1392),
    [sym__equal_sign] = STATE(1392),
    [sym__eq_eq] = STATE(1392),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1743),
    [sym_real_literal] = ACTIONS(1745),
    [sym_integer_literal] = ACTIONS(1743),
    [sym_hex_literal] = ACTIONS(1745),
    [sym_oct_literal] = ACTIONS(1745),
    [sym_bin_literal] = ACTIONS(1745),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1743),
    [anon_sym_GT] = ACTIONS(1743),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1743),
    [anon_sym_POUNDfileID] = ACTIONS(1745),
    [anon_sym_POUNDfilePath] = ACTIONS(1745),
    [anon_sym_POUNDline] = ACTIONS(1745),
    [anon_sym_POUNDcolumn] = ACTIONS(1745),
    [anon_sym_POUNDfunction] = ACTIONS(1745),
    [anon_sym_POUNDdsohandle] = ACTIONS(1745),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1745),
    [anon_sym_DASH_EQ] = ACTIONS(1745),
    [anon_sym_STAR_EQ] = ACTIONS(1745),
    [anon_sym_SLASH_EQ] = ACTIONS(1745),
    [anon_sym_PERCENT_EQ] = ACTIONS(1745),
    [anon_sym_BANG_EQ] = ACTIONS(1743),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1745),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1745),
    [anon_sym_LT_EQ] = ACTIONS(1745),
    [anon_sym_GT_EQ] = ACTIONS(1745),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1743),
    [anon_sym_SLASH] = ACTIONS(1743),
    [anon_sym_PERCENT] = ACTIONS(1743),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1745),
    [anon_sym_CARET] = ACTIONS(1743),
    [anon_sym_LT_LT] = ACTIONS(1745),
    [anon_sym_GT_GT] = ACTIONS(1745),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1745),
    [sym__eq_eq_custom] = ACTIONS(1745),
    [sym__plus_then_ws] = ACTIONS(1745),
    [sym__minus_then_ws] = ACTIONS(1745),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [462] = {
    [sym_simple_identifier] = STATE(1040),
    [sym__contextual_simple_identifier] = STATE(1015),
    [sym__basic_literal] = STATE(656),
    [sym_boolean_literal] = STATE(656),
    [sym__string_literal] = STATE(656),
    [sym_line_string_literal] = STATE(656),
    [sym_multi_line_string_literal] = STATE(656),
    [sym_raw_string_literal] = STATE(656),
    [sym_regex_literal] = STATE(656),
    [sym__multiline_regex_literal] = STATE(1134),
    [sym_user_type] = STATE(5559),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5559),
    [sym_dictionary_type] = STATE(5559),
    [sym__expression] = STATE(656),
    [sym__unary_expression] = STATE(656),
    [sym_postfix_expression] = STATE(656),
    [sym_constructor_expression] = STATE(656),
    [sym__parenthesized_type] = STATE(6572),
    [sym_navigation_expression] = STATE(656),
    [sym__navigable_type_expression] = STATE(6573),
    [sym_open_start_range_expression] = STATE(656),
    [sym__range_operator] = STATE(462),
    [sym_open_end_range_expression] = STATE(656),
    [sym_prefix_expression] = STATE(656),
    [sym_as_expression] = STATE(656),
    [sym_selector_expression] = STATE(656),
    [sym__binary_expression] = STATE(656),
    [sym_multiplicative_expression] = STATE(656),
    [sym_additive_expression] = STATE(656),
    [sym_range_expression] = STATE(656),
    [sym_infix_expression] = STATE(656),
    [sym_nil_coalescing_expression] = STATE(656),
    [sym_check_expression] = STATE(656),
    [sym_comparison_expression] = STATE(656),
    [sym_equality_expression] = STATE(656),
    [sym_conjunction_expression] = STATE(656),
    [sym_disjunction_expression] = STATE(656),
    [sym_bitwise_operation] = STATE(656),
    [sym_custom_operator] = STATE(615),
    [sym_try_expression] = STATE(656),
    [sym_await_expression] = STATE(656),
    [sym__await_operator] = STATE(463),
    [sym_ternary_expression] = STATE(656),
    [sym_call_expression] = STATE(656),
    [sym__primary_expression] = STATE(656),
    [sym_tuple_expression] = STATE(656),
    [sym_array_literal] = STATE(656),
    [sym_dictionary_literal] = STATE(656),
    [sym__special_literal] = STATE(656),
    [sym__playground_literal] = STATE(656),
    [sym_lambda_literal] = STATE(656),
    [sym_self_expression] = STATE(656),
    [sym_super_expression] = STATE(656),
    [sym_if_statement] = STATE(656),
    [sym_switch_statement] = STATE(656),
    [sym_key_path_expression] = STATE(656),
    [sym_key_path_string_expression] = STATE(656),
    [sym_try_operator] = STATE(465),
    [sym__assignment_and_operator] = STATE(656),
    [sym__equality_operator] = STATE(656),
    [sym__comparison_operator] = STATE(656),
    [sym__three_dot_operator] = STATE(617),
    [sym__open_ended_range_operator] = STATE(462),
    [sym__additive_operator] = STATE(656),
    [sym__multiplicative_operator] = STATE(656),
    [sym__prefix_unary_operator] = STATE(470),
    [sym_directly_assignable_expression] = STATE(5558),
    [sym_assignment] = STATE(656),
    [sym_value_parameter_pack] = STATE(656),
    [sym_value_pack_expansion] = STATE(656),
    [sym__referenceable_operator] = STATE(656),
    [sym__equal_sign] = STATE(656),
    [sym__eq_eq] = STATE(656),
    [sym__dot] = STATE(470),
    [sym_bang] = STATE(615),
    [sym__parameter_ownership_modifier] = STATE(1015),
    [aux_sym_raw_string_literal_repeat1] = STATE(6655),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(673),
    [aux_sym_simple_identifier_token2] = ACTIONS(675),
    [aux_sym_simple_identifier_token3] = ACTIONS(675),
    [aux_sym_simple_identifier_token4] = ACTIONS(675),
    [anon_sym_actor] = ACTIONS(673),
    [anon_sym_async] = ACTIONS(673),
    [anon_sym_each] = ACTIONS(677),
    [anon_sym_lazy] = ACTIONS(673),
    [anon_sym_repeat] = ACTIONS(679),
    [anon_sym_package] = ACTIONS(673),
    [anon_sym_nil] = ACTIONS(1857),
    [sym_real_literal] = ACTIONS(1859),
    [sym_integer_literal] = ACTIONS(1857),
    [sym_hex_literal] = ACTIONS(1859),
    [sym_oct_literal] = ACTIONS(1859),
    [sym_bin_literal] = ACTIONS(1859),
    [anon_sym_true] = ACTIONS(685),
    [anon_sym_false] = ACTIONS(685),
    [anon_sym_DQUOTE] = ACTIONS(687),
    [anon_sym_BSLASH] = ACTIONS(689),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(691),
    [sym__extended_regex_literal] = ACTIONS(693),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(695),
    [sym__oneline_regex_literal] = ACTIONS(697),
    [anon_sym_LPAREN] = ACTIONS(699),
    [anon_sym_LBRACK] = ACTIONS(701),
    [anon_sym_AMP] = ACTIONS(703),
    [anon_sym_if] = ACTIONS(705),
    [anon_sym_switch] = ACTIONS(707),
    [anon_sym_POUNDselector] = ACTIONS(709),
    [aux_sym_custom_operator_token1] = ACTIONS(711),
    [anon_sym_LT] = ACTIONS(1857),
    [anon_sym_GT] = ACTIONS(1857),
    [anon_sym_await] = ACTIONS(713),
    [anon_sym_POUNDfile] = ACTIONS(1857),
    [anon_sym_POUNDfileID] = ACTIONS(1859),
    [anon_sym_POUNDfilePath] = ACTIONS(1859),
    [anon_sym_POUNDline] = ACTIONS(1859),
    [anon_sym_POUNDcolumn] = ACTIONS(1859),
    [anon_sym_POUNDfunction] = ACTIONS(1859),
    [anon_sym_POUNDdsohandle] = ACTIONS(1859),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(715),
    [anon_sym_POUNDfileLiteral] = ACTIONS(715),
    [anon_sym_POUNDimageLiteral] = ACTIONS(715),
    [anon_sym_LBRACE] = ACTIONS(717),
    [anon_sym_CARET_LBRACE] = ACTIONS(717),
    [anon_sym_self] = ACTIONS(719),
    [anon_sym_super] = ACTIONS(721),
    [anon_sym_POUNDkeyPath] = ACTIONS(723),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1859),
    [anon_sym_DASH_EQ] = ACTIONS(1859),
    [anon_sym_STAR_EQ] = ACTIONS(1859),
    [anon_sym_SLASH_EQ] = ACTIONS(1859),
    [anon_sym_PERCENT_EQ] = ACTIONS(1859),
    [anon_sym_BANG_EQ] = ACTIONS(1857),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1859),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1859),
    [anon_sym_LT_EQ] = ACTIONS(1859),
    [anon_sym_GT_EQ] = ACTIONS(1859),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(725),
    [anon_sym_DOT_DOT_LT] = ACTIONS(727),
    [anon_sym_PLUS] = ACTIONS(729),
    [anon_sym_DASH] = ACTIONS(729),
    [anon_sym_STAR] = ACTIONS(1857),
    [anon_sym_SLASH] = ACTIONS(1857),
    [anon_sym_PERCENT] = ACTIONS(1857),
    [anon_sym_PLUS_PLUS] = ACTIONS(703),
    [anon_sym_DASH_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(703),
    [anon_sym_PIPE] = ACTIONS(1859),
    [anon_sym_CARET] = ACTIONS(1857),
    [anon_sym_LT_LT] = ACTIONS(1859),
    [anon_sym_GT_GT] = ACTIONS(1859),
    [anon_sym_BANG2] = ACTIONS(731),
    [anon_sym_borrowing] = ACTIONS(673),
    [anon_sym_consuming] = ACTIONS(673),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(733),
    [sym__dot_custom] = ACTIONS(735),
    [sym__eq_custom] = ACTIONS(1859),
    [sym__eq_eq_custom] = ACTIONS(1859),
    [sym__plus_then_ws] = ACTIONS(1859),
    [sym__minus_then_ws] = ACTIONS(1859),
    [sym__bang_custom] = ACTIONS(737),
    [sym__custom_operator] = ACTIONS(711),
  },
  [463] = {
    [sym_simple_identifier] = STATE(1040),
    [sym__contextual_simple_identifier] = STATE(1015),
    [sym__basic_literal] = STATE(649),
    [sym_boolean_literal] = STATE(649),
    [sym__string_literal] = STATE(649),
    [sym_line_string_literal] = STATE(649),
    [sym_multi_line_string_literal] = STATE(649),
    [sym_raw_string_literal] = STATE(649),
    [sym_regex_literal] = STATE(649),
    [sym__multiline_regex_literal] = STATE(1134),
    [sym_user_type] = STATE(5559),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5559),
    [sym_dictionary_type] = STATE(5559),
    [sym__expression] = STATE(649),
    [sym__unary_expression] = STATE(649),
    [sym_postfix_expression] = STATE(649),
    [sym_constructor_expression] = STATE(649),
    [sym__parenthesized_type] = STATE(6572),
    [sym_navigation_expression] = STATE(649),
    [sym__navigable_type_expression] = STATE(6573),
    [sym_open_start_range_expression] = STATE(649),
    [sym__range_operator] = STATE(462),
    [sym_open_end_range_expression] = STATE(649),
    [sym_prefix_expression] = STATE(649),
    [sym_as_expression] = STATE(649),
    [sym_selector_expression] = STATE(649),
    [sym__binary_expression] = STATE(649),
    [sym_multiplicative_expression] = STATE(649),
    [sym_additive_expression] = STATE(649),
    [sym_range_expression] = STATE(649),
    [sym_infix_expression] = STATE(649),
    [sym_nil_coalescing_expression] = STATE(649),
    [sym_check_expression] = STATE(649),
    [sym_comparison_expression] = STATE(649),
    [sym_equality_expression] = STATE(649),
    [sym_conjunction_expression] = STATE(649),
    [sym_disjunction_expression] = STATE(649),
    [sym_bitwise_operation] = STATE(649),
    [sym_custom_operator] = STATE(615),
    [sym_try_expression] = STATE(649),
    [sym_await_expression] = STATE(649),
    [sym__await_operator] = STATE(463),
    [sym_ternary_expression] = STATE(1133),
    [sym_call_expression] = STATE(1131),
    [sym__primary_expression] = STATE(649),
    [sym_tuple_expression] = STATE(649),
    [sym_array_literal] = STATE(649),
    [sym_dictionary_literal] = STATE(649),
    [sym__special_literal] = STATE(649),
    [sym__playground_literal] = STATE(649),
    [sym_lambda_literal] = STATE(649),
    [sym_self_expression] = STATE(649),
    [sym_super_expression] = STATE(649),
    [sym_if_statement] = STATE(649),
    [sym_switch_statement] = STATE(649),
    [sym_key_path_expression] = STATE(649),
    [sym_key_path_string_expression] = STATE(649),
    [sym_try_operator] = STATE(465),
    [sym__assignment_and_operator] = STATE(649),
    [sym__equality_operator] = STATE(649),
    [sym__comparison_operator] = STATE(649),
    [sym__three_dot_operator] = STATE(617),
    [sym__open_ended_range_operator] = STATE(462),
    [sym__additive_operator] = STATE(649),
    [sym__multiplicative_operator] = STATE(649),
    [sym__prefix_unary_operator] = STATE(470),
    [sym_directly_assignable_expression] = STATE(5558),
    [sym_assignment] = STATE(649),
    [sym_value_parameter_pack] = STATE(649),
    [sym_value_pack_expansion] = STATE(649),
    [sym__referenceable_operator] = STATE(649),
    [sym__equal_sign] = STATE(649),
    [sym__eq_eq] = STATE(649),
    [sym__dot] = STATE(470),
    [sym_bang] = STATE(615),
    [sym__parameter_ownership_modifier] = STATE(1015),
    [aux_sym_raw_string_literal_repeat1] = STATE(6655),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(673),
    [aux_sym_simple_identifier_token2] = ACTIONS(675),
    [aux_sym_simple_identifier_token3] = ACTIONS(675),
    [aux_sym_simple_identifier_token4] = ACTIONS(675),
    [anon_sym_actor] = ACTIONS(673),
    [anon_sym_async] = ACTIONS(673),
    [anon_sym_each] = ACTIONS(677),
    [anon_sym_lazy] = ACTIONS(673),
    [anon_sym_repeat] = ACTIONS(679),
    [anon_sym_package] = ACTIONS(673),
    [anon_sym_nil] = ACTIONS(1861),
    [sym_real_literal] = ACTIONS(1863),
    [sym_integer_literal] = ACTIONS(1861),
    [sym_hex_literal] = ACTIONS(1863),
    [sym_oct_literal] = ACTIONS(1863),
    [sym_bin_literal] = ACTIONS(1863),
    [anon_sym_true] = ACTIONS(685),
    [anon_sym_false] = ACTIONS(685),
    [anon_sym_DQUOTE] = ACTIONS(687),
    [anon_sym_BSLASH] = ACTIONS(689),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(691),
    [sym__extended_regex_literal] = ACTIONS(693),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(695),
    [sym__oneline_regex_literal] = ACTIONS(697),
    [anon_sym_LPAREN] = ACTIONS(699),
    [anon_sym_LBRACK] = ACTIONS(701),
    [anon_sym_AMP] = ACTIONS(703),
    [anon_sym_if] = ACTIONS(705),
    [anon_sym_switch] = ACTIONS(707),
    [anon_sym_POUNDselector] = ACTIONS(709),
    [aux_sym_custom_operator_token1] = ACTIONS(711),
    [anon_sym_LT] = ACTIONS(1861),
    [anon_sym_GT] = ACTIONS(1861),
    [anon_sym_await] = ACTIONS(713),
    [anon_sym_POUNDfile] = ACTIONS(1861),
    [anon_sym_POUNDfileID] = ACTIONS(1863),
    [anon_sym_POUNDfilePath] = ACTIONS(1863),
    [anon_sym_POUNDline] = ACTIONS(1863),
    [anon_sym_POUNDcolumn] = ACTIONS(1863),
    [anon_sym_POUNDfunction] = ACTIONS(1863),
    [anon_sym_POUNDdsohandle] = ACTIONS(1863),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(715),
    [anon_sym_POUNDfileLiteral] = ACTIONS(715),
    [anon_sym_POUNDimageLiteral] = ACTIONS(715),
    [anon_sym_LBRACE] = ACTIONS(717),
    [anon_sym_CARET_LBRACE] = ACTIONS(717),
    [anon_sym_self] = ACTIONS(719),
    [anon_sym_super] = ACTIONS(721),
    [anon_sym_POUNDkeyPath] = ACTIONS(723),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1863),
    [anon_sym_DASH_EQ] = ACTIONS(1863),
    [anon_sym_STAR_EQ] = ACTIONS(1863),
    [anon_sym_SLASH_EQ] = ACTIONS(1863),
    [anon_sym_PERCENT_EQ] = ACTIONS(1863),
    [anon_sym_BANG_EQ] = ACTIONS(1861),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1863),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1863),
    [anon_sym_LT_EQ] = ACTIONS(1863),
    [anon_sym_GT_EQ] = ACTIONS(1863),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(725),
    [anon_sym_DOT_DOT_LT] = ACTIONS(727),
    [anon_sym_PLUS] = ACTIONS(729),
    [anon_sym_DASH] = ACTIONS(729),
    [anon_sym_STAR] = ACTIONS(1861),
    [anon_sym_SLASH] = ACTIONS(1861),
    [anon_sym_PERCENT] = ACTIONS(1861),
    [anon_sym_PLUS_PLUS] = ACTIONS(703),
    [anon_sym_DASH_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(703),
    [anon_sym_PIPE] = ACTIONS(1863),
    [anon_sym_CARET] = ACTIONS(1861),
    [anon_sym_LT_LT] = ACTIONS(1863),
    [anon_sym_GT_GT] = ACTIONS(1863),
    [anon_sym_BANG2] = ACTIONS(731),
    [anon_sym_borrowing] = ACTIONS(673),
    [anon_sym_consuming] = ACTIONS(673),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(733),
    [sym__dot_custom] = ACTIONS(735),
    [sym__eq_custom] = ACTIONS(1863),
    [sym__eq_eq_custom] = ACTIONS(1863),
    [sym__plus_then_ws] = ACTIONS(1863),
    [sym__minus_then_ws] = ACTIONS(1863),
    [sym__bang_custom] = ACTIONS(737),
    [sym__custom_operator] = ACTIONS(711),
  },
  [464] = {
    [sym_simple_identifier] = STATE(1141),
    [sym__contextual_simple_identifier] = STATE(1051),
    [sym__basic_literal] = STATE(646),
    [sym_boolean_literal] = STATE(646),
    [sym__string_literal] = STATE(646),
    [sym_line_string_literal] = STATE(646),
    [sym_multi_line_string_literal] = STATE(646),
    [sym_raw_string_literal] = STATE(646),
    [sym_regex_literal] = STATE(646),
    [sym__multiline_regex_literal] = STATE(1215),
    [sym_user_type] = STATE(5510),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5510),
    [sym_dictionary_type] = STATE(5510),
    [sym__expression] = STATE(646),
    [sym__unary_expression] = STATE(646),
    [sym_postfix_expression] = STATE(646),
    [sym_constructor_expression] = STATE(646),
    [sym__parenthesized_type] = STATE(6558),
    [sym_navigation_expression] = STATE(646),
    [sym__navigable_type_expression] = STATE(6557),
    [sym_open_start_range_expression] = STATE(646),
    [sym__range_operator] = STATE(523),
    [sym_open_end_range_expression] = STATE(646),
    [sym_prefix_expression] = STATE(646),
    [sym_as_expression] = STATE(646),
    [sym_selector_expression] = STATE(646),
    [sym__binary_expression] = STATE(646),
    [sym_multiplicative_expression] = STATE(646),
    [sym_additive_expression] = STATE(646),
    [sym_range_expression] = STATE(646),
    [sym_infix_expression] = STATE(646),
    [sym_nil_coalescing_expression] = STATE(646),
    [sym_check_expression] = STATE(646),
    [sym_comparison_expression] = STATE(646),
    [sym_equality_expression] = STATE(646),
    [sym_conjunction_expression] = STATE(646),
    [sym_disjunction_expression] = STATE(646),
    [sym_bitwise_operation] = STATE(646),
    [sym_custom_operator] = STATE(628),
    [sym_try_expression] = STATE(646),
    [sym_await_expression] = STATE(646),
    [sym__await_operator] = STATE(518),
    [sym_ternary_expression] = STATE(646),
    [sym_call_expression] = STATE(646),
    [sym__primary_expression] = STATE(646),
    [sym_tuple_expression] = STATE(646),
    [sym_array_literal] = STATE(646),
    [sym_dictionary_literal] = STATE(646),
    [sym__special_literal] = STATE(646),
    [sym__playground_literal] = STATE(646),
    [sym_lambda_literal] = STATE(646),
    [sym_self_expression] = STATE(646),
    [sym_super_expression] = STATE(646),
    [sym_if_statement] = STATE(646),
    [sym_switch_statement] = STATE(646),
    [sym_key_path_expression] = STATE(646),
    [sym_key_path_string_expression] = STATE(646),
    [sym_try_operator] = STATE(515),
    [sym__assignment_and_operator] = STATE(646),
    [sym__equality_operator] = STATE(646),
    [sym__comparison_operator] = STATE(646),
    [sym__three_dot_operator] = STATE(625),
    [sym__open_ended_range_operator] = STATE(523),
    [sym__additive_operator] = STATE(646),
    [sym__multiplicative_operator] = STATE(646),
    [sym__prefix_unary_operator] = STATE(509),
    [sym_directly_assignable_expression] = STATE(5511),
    [sym_assignment] = STATE(646),
    [sym_value_parameter_pack] = STATE(646),
    [sym_value_pack_expansion] = STATE(646),
    [sym__referenceable_operator] = STATE(646),
    [sym__equal_sign] = STATE(646),
    [sym__eq_eq] = STATE(646),
    [sym__dot] = STATE(509),
    [sym_bang] = STATE(628),
    [sym__parameter_ownership_modifier] = STATE(1051),
    [aux_sym_raw_string_literal_repeat1] = STATE(6487),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(291),
    [aux_sym_simple_identifier_token2] = ACTIONS(293),
    [aux_sym_simple_identifier_token3] = ACTIONS(293),
    [aux_sym_simple_identifier_token4] = ACTIONS(293),
    [anon_sym_actor] = ACTIONS(291),
    [anon_sym_async] = ACTIONS(291),
    [anon_sym_each] = ACTIONS(299),
    [anon_sym_lazy] = ACTIONS(291),
    [anon_sym_repeat] = ACTIONS(747),
    [anon_sym_package] = ACTIONS(291),
    [anon_sym_nil] = ACTIONS(1865),
    [sym_real_literal] = ACTIONS(1867),
    [sym_integer_literal] = ACTIONS(1865),
    [sym_hex_literal] = ACTIONS(1867),
    [sym_oct_literal] = ACTIONS(1867),
    [sym_bin_literal] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(309),
    [anon_sym_false] = ACTIONS(309),
    [anon_sym_DQUOTE] = ACTIONS(311),
    [anon_sym_BSLASH] = ACTIONS(313),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(315),
    [sym__extended_regex_literal] = ACTIONS(317),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(319),
    [sym__oneline_regex_literal] = ACTIONS(321),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_LBRACK] = ACTIONS(325),
    [anon_sym_AMP] = ACTIONS(327),
    [anon_sym_if] = ACTIONS(329),
    [anon_sym_switch] = ACTIONS(331),
    [anon_sym_POUNDselector] = ACTIONS(333),
    [aux_sym_custom_operator_token1] = ACTIONS(335),
    [anon_sym_LT] = ACTIONS(1865),
    [anon_sym_GT] = ACTIONS(1865),
    [anon_sym_await] = ACTIONS(337),
    [anon_sym_POUNDfile] = ACTIONS(1865),
    [anon_sym_POUNDfileID] = ACTIONS(1867),
    [anon_sym_POUNDfilePath] = ACTIONS(1867),
    [anon_sym_POUNDline] = ACTIONS(1867),
    [anon_sym_POUNDcolumn] = ACTIONS(1867),
    [anon_sym_POUNDfunction] = ACTIONS(1867),
    [anon_sym_POUNDdsohandle] = ACTIONS(1867),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(339),
    [anon_sym_POUNDfileLiteral] = ACTIONS(339),
    [anon_sym_POUNDimageLiteral] = ACTIONS(339),
    [anon_sym_LBRACE] = ACTIONS(341),
    [anon_sym_CARET_LBRACE] = ACTIONS(341),
    [anon_sym_self] = ACTIONS(345),
    [anon_sym_super] = ACTIONS(347),
    [anon_sym_POUNDkeyPath] = ACTIONS(353),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1867),
    [anon_sym_DASH_EQ] = ACTIONS(1867),
    [anon_sym_STAR_EQ] = ACTIONS(1867),
    [anon_sym_SLASH_EQ] = ACTIONS(1867),
    [anon_sym_PERCENT_EQ] = ACTIONS(1867),
    [anon_sym_BANG_EQ] = ACTIONS(1865),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1867),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1867),
    [anon_sym_LT_EQ] = ACTIONS(1867),
    [anon_sym_GT_EQ] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(355),
    [anon_sym_DOT_DOT_LT] = ACTIONS(357),
    [anon_sym_PLUS] = ACTIONS(359),
    [anon_sym_DASH] = ACTIONS(359),
    [anon_sym_STAR] = ACTIONS(1865),
    [anon_sym_SLASH] = ACTIONS(1865),
    [anon_sym_PERCENT] = ACTIONS(1865),
    [anon_sym_PLUS_PLUS] = ACTIONS(327),
    [anon_sym_DASH_DASH] = ACTIONS(327),
    [anon_sym_TILDE] = ACTIONS(327),
    [anon_sym_PIPE] = ACTIONS(1867),
    [anon_sym_CARET] = ACTIONS(1865),
    [anon_sym_LT_LT] = ACTIONS(1867),
    [anon_sym_GT_GT] = ACTIONS(1867),
    [anon_sym_BANG2] = ACTIONS(381),
    [anon_sym_borrowing] = ACTIONS(291),
    [anon_sym_consuming] = ACTIONS(291),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(383),
    [sym__dot_custom] = ACTIONS(385),
    [sym__eq_custom] = ACTIONS(1867),
    [sym__eq_eq_custom] = ACTIONS(1867),
    [sym__plus_then_ws] = ACTIONS(1867),
    [sym__minus_then_ws] = ACTIONS(1867),
    [sym__bang_custom] = ACTIONS(387),
    [sym__custom_operator] = ACTIONS(335),
  },
  [465] = {
    [sym_simple_identifier] = STATE(1040),
    [sym__contextual_simple_identifier] = STATE(1015),
    [sym__basic_literal] = STATE(648),
    [sym_boolean_literal] = STATE(648),
    [sym__string_literal] = STATE(648),
    [sym_line_string_literal] = STATE(648),
    [sym_multi_line_string_literal] = STATE(648),
    [sym_raw_string_literal] = STATE(648),
    [sym_regex_literal] = STATE(648),
    [sym__multiline_regex_literal] = STATE(1134),
    [sym_user_type] = STATE(5559),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5559),
    [sym_dictionary_type] = STATE(5559),
    [sym__expression] = STATE(648),
    [sym__unary_expression] = STATE(648),
    [sym_postfix_expression] = STATE(648),
    [sym_constructor_expression] = STATE(648),
    [sym__parenthesized_type] = STATE(6572),
    [sym_navigation_expression] = STATE(648),
    [sym__navigable_type_expression] = STATE(6573),
    [sym_open_start_range_expression] = STATE(648),
    [sym__range_operator] = STATE(462),
    [sym_open_end_range_expression] = STATE(648),
    [sym_prefix_expression] = STATE(648),
    [sym_as_expression] = STATE(648),
    [sym_selector_expression] = STATE(648),
    [sym__binary_expression] = STATE(1130),
    [sym_multiplicative_expression] = STATE(1130),
    [sym_additive_expression] = STATE(1130),
    [sym_range_expression] = STATE(1130),
    [sym_infix_expression] = STATE(1130),
    [sym_nil_coalescing_expression] = STATE(1130),
    [sym_check_expression] = STATE(1130),
    [sym_comparison_expression] = STATE(1130),
    [sym_equality_expression] = STATE(1130),
    [sym_conjunction_expression] = STATE(1130),
    [sym_disjunction_expression] = STATE(1130),
    [sym_bitwise_operation] = STATE(1130),
    [sym_custom_operator] = STATE(615),
    [sym_try_expression] = STATE(648),
    [sym_await_expression] = STATE(648),
    [sym__await_operator] = STATE(463),
    [sym_ternary_expression] = STATE(1119),
    [sym_call_expression] = STATE(1113),
    [sym__primary_expression] = STATE(648),
    [sym_tuple_expression] = STATE(648),
    [sym_array_literal] = STATE(648),
    [sym_dictionary_literal] = STATE(648),
    [sym__special_literal] = STATE(648),
    [sym__playground_literal] = STATE(648),
    [sym_lambda_literal] = STATE(648),
    [sym_self_expression] = STATE(648),
    [sym_super_expression] = STATE(648),
    [sym_if_statement] = STATE(648),
    [sym_switch_statement] = STATE(648),
    [sym_key_path_expression] = STATE(648),
    [sym_key_path_string_expression] = STATE(648),
    [sym_try_operator] = STATE(465),
    [sym__assignment_and_operator] = STATE(648),
    [sym__equality_operator] = STATE(648),
    [sym__comparison_operator] = STATE(648),
    [sym__three_dot_operator] = STATE(617),
    [sym__open_ended_range_operator] = STATE(462),
    [sym__additive_operator] = STATE(648),
    [sym__multiplicative_operator] = STATE(648),
    [sym__prefix_unary_operator] = STATE(470),
    [sym_directly_assignable_expression] = STATE(5558),
    [sym_assignment] = STATE(648),
    [sym_value_parameter_pack] = STATE(648),
    [sym_value_pack_expansion] = STATE(648),
    [sym__referenceable_operator] = STATE(648),
    [sym__equal_sign] = STATE(648),
    [sym__eq_eq] = STATE(648),
    [sym__dot] = STATE(470),
    [sym_bang] = STATE(615),
    [sym__parameter_ownership_modifier] = STATE(1015),
    [aux_sym_raw_string_literal_repeat1] = STATE(6655),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(673),
    [aux_sym_simple_identifier_token2] = ACTIONS(675),
    [aux_sym_simple_identifier_token3] = ACTIONS(675),
    [aux_sym_simple_identifier_token4] = ACTIONS(675),
    [anon_sym_actor] = ACTIONS(673),
    [anon_sym_async] = ACTIONS(673),
    [anon_sym_each] = ACTIONS(677),
    [anon_sym_lazy] = ACTIONS(673),
    [anon_sym_repeat] = ACTIONS(679),
    [anon_sym_package] = ACTIONS(673),
    [anon_sym_nil] = ACTIONS(1869),
    [sym_real_literal] = ACTIONS(1871),
    [sym_integer_literal] = ACTIONS(1869),
    [sym_hex_literal] = ACTIONS(1871),
    [sym_oct_literal] = ACTIONS(1871),
    [sym_bin_literal] = ACTIONS(1871),
    [anon_sym_true] = ACTIONS(685),
    [anon_sym_false] = ACTIONS(685),
    [anon_sym_DQUOTE] = ACTIONS(687),
    [anon_sym_BSLASH] = ACTIONS(689),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(691),
    [sym__extended_regex_literal] = ACTIONS(693),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(695),
    [sym__oneline_regex_literal] = ACTIONS(697),
    [anon_sym_LPAREN] = ACTIONS(699),
    [anon_sym_LBRACK] = ACTIONS(701),
    [anon_sym_AMP] = ACTIONS(703),
    [anon_sym_if] = ACTIONS(705),
    [anon_sym_switch] = ACTIONS(707),
    [anon_sym_POUNDselector] = ACTIONS(709),
    [aux_sym_custom_operator_token1] = ACTIONS(711),
    [anon_sym_LT] = ACTIONS(1869),
    [anon_sym_GT] = ACTIONS(1869),
    [anon_sym_await] = ACTIONS(713),
    [anon_sym_POUNDfile] = ACTIONS(1869),
    [anon_sym_POUNDfileID] = ACTIONS(1871),
    [anon_sym_POUNDfilePath] = ACTIONS(1871),
    [anon_sym_POUNDline] = ACTIONS(1871),
    [anon_sym_POUNDcolumn] = ACTIONS(1871),
    [anon_sym_POUNDfunction] = ACTIONS(1871),
    [anon_sym_POUNDdsohandle] = ACTIONS(1871),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(715),
    [anon_sym_POUNDfileLiteral] = ACTIONS(715),
    [anon_sym_POUNDimageLiteral] = ACTIONS(715),
    [anon_sym_LBRACE] = ACTIONS(717),
    [anon_sym_CARET_LBRACE] = ACTIONS(717),
    [anon_sym_self] = ACTIONS(719),
    [anon_sym_super] = ACTIONS(721),
    [anon_sym_POUNDkeyPath] = ACTIONS(723),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1869),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(725),
    [anon_sym_DOT_DOT_LT] = ACTIONS(727),
    [anon_sym_PLUS] = ACTIONS(729),
    [anon_sym_DASH] = ACTIONS(729),
    [anon_sym_STAR] = ACTIONS(1869),
    [anon_sym_SLASH] = ACTIONS(1869),
    [anon_sym_PERCENT] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(703),
    [anon_sym_DASH_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(703),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1869),
    [anon_sym_LT_LT] = ACTIONS(1871),
    [anon_sym_GT_GT] = ACTIONS(1871),
    [anon_sym_BANG2] = ACTIONS(731),
    [anon_sym_borrowing] = ACTIONS(673),
    [anon_sym_consuming] = ACTIONS(673),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(733),
    [sym__dot_custom] = ACTIONS(735),
    [sym__eq_custom] = ACTIONS(1871),
    [sym__eq_eq_custom] = ACTIONS(1871),
    [sym__plus_then_ws] = ACTIONS(1871),
    [sym__minus_then_ws] = ACTIONS(1871),
    [sym__bang_custom] = ACTIONS(737),
    [sym__custom_operator] = ACTIONS(711),
  },
  [466] = {
    [sym_simple_identifier] = STATE(2072),
    [sym__contextual_simple_identifier] = STATE(2016),
    [sym__basic_literal] = STATE(1255),
    [sym_boolean_literal] = STATE(1255),
    [sym__string_literal] = STATE(1255),
    [sym_line_string_literal] = STATE(1255),
    [sym_multi_line_string_literal] = STATE(1255),
    [sym_raw_string_literal] = STATE(1255),
    [sym_regex_literal] = STATE(1255),
    [sym__multiline_regex_literal] = STATE(2164),
    [sym_user_type] = STATE(5497),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5497),
    [sym_dictionary_type] = STATE(5497),
    [sym__expression] = STATE(1255),
    [sym__unary_expression] = STATE(1255),
    [sym_postfix_expression] = STATE(1255),
    [sym_constructor_expression] = STATE(1255),
    [sym__parenthesized_type] = STATE(6725),
    [sym_navigation_expression] = STATE(1255),
    [sym__navigable_type_expression] = STATE(6724),
    [sym_open_start_range_expression] = STATE(1255),
    [sym__range_operator] = STATE(467),
    [sym_open_end_range_expression] = STATE(1255),
    [sym_prefix_expression] = STATE(1255),
    [sym_as_expression] = STATE(1255),
    [sym_selector_expression] = STATE(1255),
    [sym__binary_expression] = STATE(1255),
    [sym_multiplicative_expression] = STATE(1255),
    [sym_additive_expression] = STATE(1255),
    [sym_range_expression] = STATE(1255),
    [sym_infix_expression] = STATE(1255),
    [sym_nil_coalescing_expression] = STATE(1255),
    [sym_check_expression] = STATE(1255),
    [sym_comparison_expression] = STATE(1255),
    [sym_equality_expression] = STATE(1255),
    [sym_conjunction_expression] = STATE(1255),
    [sym_disjunction_expression] = STATE(1255),
    [sym_bitwise_operation] = STATE(1255),
    [sym_custom_operator] = STATE(835),
    [sym_try_expression] = STATE(1255),
    [sym_await_expression] = STATE(1255),
    [sym__await_operator] = STATE(466),
    [sym_ternary_expression] = STATE(2273),
    [sym_call_expression] = STATE(2272),
    [sym__primary_expression] = STATE(1255),
    [sym_tuple_expression] = STATE(1255),
    [sym_array_literal] = STATE(1255),
    [sym_dictionary_literal] = STATE(1255),
    [sym__special_literal] = STATE(1255),
    [sym__playground_literal] = STATE(1255),
    [sym_lambda_literal] = STATE(1255),
    [sym_self_expression] = STATE(1255),
    [sym_super_expression] = STATE(1255),
    [sym_if_statement] = STATE(1255),
    [sym_switch_statement] = STATE(1255),
    [sym_key_path_expression] = STATE(1255),
    [sym_key_path_string_expression] = STATE(1255),
    [sym_try_operator] = STATE(455),
    [sym__assignment_and_operator] = STATE(1255),
    [sym__equality_operator] = STATE(1255),
    [sym__comparison_operator] = STATE(1255),
    [sym__three_dot_operator] = STATE(837),
    [sym__open_ended_range_operator] = STATE(467),
    [sym__additive_operator] = STATE(1255),
    [sym__multiplicative_operator] = STATE(1255),
    [sym__prefix_unary_operator] = STATE(468),
    [sym_directly_assignable_expression] = STATE(5498),
    [sym_assignment] = STATE(1255),
    [sym_value_parameter_pack] = STATE(1255),
    [sym_value_pack_expansion] = STATE(1255),
    [sym__referenceable_operator] = STATE(1255),
    [sym__equal_sign] = STATE(1255),
    [sym__eq_eq] = STATE(1255),
    [sym__dot] = STATE(468),
    [sym_bang] = STATE(835),
    [sym__parameter_ownership_modifier] = STATE(2016),
    [aux_sym_raw_string_literal_repeat1] = STATE(6553),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(971),
    [aux_sym_simple_identifier_token2] = ACTIONS(973),
    [aux_sym_simple_identifier_token3] = ACTIONS(973),
    [aux_sym_simple_identifier_token4] = ACTIONS(973),
    [anon_sym_actor] = ACTIONS(971),
    [anon_sym_async] = ACTIONS(971),
    [anon_sym_each] = ACTIONS(975),
    [anon_sym_lazy] = ACTIONS(971),
    [anon_sym_repeat] = ACTIONS(977),
    [anon_sym_package] = ACTIONS(971),
    [anon_sym_nil] = ACTIONS(1873),
    [sym_real_literal] = ACTIONS(1875),
    [sym_integer_literal] = ACTIONS(1873),
    [sym_hex_literal] = ACTIONS(1875),
    [sym_oct_literal] = ACTIONS(1875),
    [sym_bin_literal] = ACTIONS(1875),
    [anon_sym_true] = ACTIONS(983),
    [anon_sym_false] = ACTIONS(983),
    [anon_sym_DQUOTE] = ACTIONS(985),
    [anon_sym_BSLASH] = ACTIONS(987),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(989),
    [sym__extended_regex_literal] = ACTIONS(991),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(993),
    [sym__oneline_regex_literal] = ACTIONS(995),
    [anon_sym_LPAREN] = ACTIONS(997),
    [anon_sym_LBRACK] = ACTIONS(999),
    [anon_sym_AMP] = ACTIONS(1001),
    [anon_sym_if] = ACTIONS(1003),
    [anon_sym_switch] = ACTIONS(1005),
    [anon_sym_POUNDselector] = ACTIONS(1007),
    [aux_sym_custom_operator_token1] = ACTIONS(1009),
    [anon_sym_LT] = ACTIONS(1873),
    [anon_sym_GT] = ACTIONS(1873),
    [anon_sym_await] = ACTIONS(1011),
    [anon_sym_POUNDfile] = ACTIONS(1873),
    [anon_sym_POUNDfileID] = ACTIONS(1875),
    [anon_sym_POUNDfilePath] = ACTIONS(1875),
    [anon_sym_POUNDline] = ACTIONS(1875),
    [anon_sym_POUNDcolumn] = ACTIONS(1875),
    [anon_sym_POUNDfunction] = ACTIONS(1875),
    [anon_sym_POUNDdsohandle] = ACTIONS(1875),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(1013),
    [anon_sym_POUNDfileLiteral] = ACTIONS(1013),
    [anon_sym_POUNDimageLiteral] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(1015),
    [anon_sym_CARET_LBRACE] = ACTIONS(1015),
    [anon_sym_self] = ACTIONS(1017),
    [anon_sym_super] = ACTIONS(1019),
    [anon_sym_POUNDkeyPath] = ACTIONS(1021),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1875),
    [anon_sym_DASH_EQ] = ACTIONS(1875),
    [anon_sym_STAR_EQ] = ACTIONS(1875),
    [anon_sym_SLASH_EQ] = ACTIONS(1875),
    [anon_sym_PERCENT_EQ] = ACTIONS(1875),
    [anon_sym_BANG_EQ] = ACTIONS(1873),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1875),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1875),
    [anon_sym_LT_EQ] = ACTIONS(1875),
    [anon_sym_GT_EQ] = ACTIONS(1875),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1023),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1025),
    [anon_sym_PLUS] = ACTIONS(1027),
    [anon_sym_DASH] = ACTIONS(1027),
    [anon_sym_STAR] = ACTIONS(1873),
    [anon_sym_SLASH] = ACTIONS(1873),
    [anon_sym_PERCENT] = ACTIONS(1873),
    [anon_sym_PLUS_PLUS] = ACTIONS(1001),
    [anon_sym_DASH_DASH] = ACTIONS(1001),
    [anon_sym_TILDE] = ACTIONS(1001),
    [anon_sym_PIPE] = ACTIONS(1875),
    [anon_sym_CARET] = ACTIONS(1873),
    [anon_sym_LT_LT] = ACTIONS(1875),
    [anon_sym_GT_GT] = ACTIONS(1875),
    [anon_sym_BANG2] = ACTIONS(1029),
    [anon_sym_borrowing] = ACTIONS(971),
    [anon_sym_consuming] = ACTIONS(971),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(1031),
    [sym__dot_custom] = ACTIONS(1033),
    [sym__eq_custom] = ACTIONS(1875),
    [sym__eq_eq_custom] = ACTIONS(1875),
    [sym__plus_then_ws] = ACTIONS(1875),
    [sym__minus_then_ws] = ACTIONS(1875),
    [sym__bang_custom] = ACTIONS(1035),
    [sym__custom_operator] = ACTIONS(1009),
  },
  [467] = {
    [sym_simple_identifier] = STATE(2072),
    [sym__contextual_simple_identifier] = STATE(2016),
    [sym__basic_literal] = STATE(1258),
    [sym_boolean_literal] = STATE(1258),
    [sym__string_literal] = STATE(1258),
    [sym_line_string_literal] = STATE(1258),
    [sym_multi_line_string_literal] = STATE(1258),
    [sym_raw_string_literal] = STATE(1258),
    [sym_regex_literal] = STATE(1258),
    [sym__multiline_regex_literal] = STATE(2164),
    [sym_user_type] = STATE(5497),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5497),
    [sym_dictionary_type] = STATE(5497),
    [sym__expression] = STATE(1258),
    [sym__unary_expression] = STATE(1258),
    [sym_postfix_expression] = STATE(1258),
    [sym_constructor_expression] = STATE(1258),
    [sym__parenthesized_type] = STATE(6725),
    [sym_navigation_expression] = STATE(1258),
    [sym__navigable_type_expression] = STATE(6724),
    [sym_open_start_range_expression] = STATE(1258),
    [sym__range_operator] = STATE(467),
    [sym_open_end_range_expression] = STATE(1258),
    [sym_prefix_expression] = STATE(1258),
    [sym_as_expression] = STATE(1258),
    [sym_selector_expression] = STATE(1258),
    [sym__binary_expression] = STATE(1258),
    [sym_multiplicative_expression] = STATE(1258),
    [sym_additive_expression] = STATE(1258),
    [sym_range_expression] = STATE(1258),
    [sym_infix_expression] = STATE(1258),
    [sym_nil_coalescing_expression] = STATE(1258),
    [sym_check_expression] = STATE(1258),
    [sym_comparison_expression] = STATE(1258),
    [sym_equality_expression] = STATE(1258),
    [sym_conjunction_expression] = STATE(1258),
    [sym_disjunction_expression] = STATE(1258),
    [sym_bitwise_operation] = STATE(1258),
    [sym_custom_operator] = STATE(835),
    [sym_try_expression] = STATE(1258),
    [sym_await_expression] = STATE(1258),
    [sym__await_operator] = STATE(466),
    [sym_ternary_expression] = STATE(1258),
    [sym_call_expression] = STATE(1258),
    [sym__primary_expression] = STATE(1258),
    [sym_tuple_expression] = STATE(1258),
    [sym_array_literal] = STATE(1258),
    [sym_dictionary_literal] = STATE(1258),
    [sym__special_literal] = STATE(1258),
    [sym__playground_literal] = STATE(1258),
    [sym_lambda_literal] = STATE(1258),
    [sym_self_expression] = STATE(1258),
    [sym_super_expression] = STATE(1258),
    [sym_if_statement] = STATE(1258),
    [sym_switch_statement] = STATE(1258),
    [sym_key_path_expression] = STATE(1258),
    [sym_key_path_string_expression] = STATE(1258),
    [sym_try_operator] = STATE(455),
    [sym__assignment_and_operator] = STATE(1258),
    [sym__equality_operator] = STATE(1258),
    [sym__comparison_operator] = STATE(1258),
    [sym__three_dot_operator] = STATE(837),
    [sym__open_ended_range_operator] = STATE(467),
    [sym__additive_operator] = STATE(1258),
    [sym__multiplicative_operator] = STATE(1258),
    [sym__prefix_unary_operator] = STATE(468),
    [sym_directly_assignable_expression] = STATE(5498),
    [sym_assignment] = STATE(1258),
    [sym_value_parameter_pack] = STATE(1258),
    [sym_value_pack_expansion] = STATE(1258),
    [sym__referenceable_operator] = STATE(1258),
    [sym__equal_sign] = STATE(1258),
    [sym__eq_eq] = STATE(1258),
    [sym__dot] = STATE(468),
    [sym_bang] = STATE(835),
    [sym__parameter_ownership_modifier] = STATE(2016),
    [aux_sym_raw_string_literal_repeat1] = STATE(6553),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(971),
    [aux_sym_simple_identifier_token2] = ACTIONS(973),
    [aux_sym_simple_identifier_token3] = ACTIONS(973),
    [aux_sym_simple_identifier_token4] = ACTIONS(973),
    [anon_sym_actor] = ACTIONS(971),
    [anon_sym_async] = ACTIONS(971),
    [anon_sym_each] = ACTIONS(975),
    [anon_sym_lazy] = ACTIONS(971),
    [anon_sym_repeat] = ACTIONS(977),
    [anon_sym_package] = ACTIONS(971),
    [anon_sym_nil] = ACTIONS(1877),
    [sym_real_literal] = ACTIONS(1879),
    [sym_integer_literal] = ACTIONS(1877),
    [sym_hex_literal] = ACTIONS(1879),
    [sym_oct_literal] = ACTIONS(1879),
    [sym_bin_literal] = ACTIONS(1879),
    [anon_sym_true] = ACTIONS(983),
    [anon_sym_false] = ACTIONS(983),
    [anon_sym_DQUOTE] = ACTIONS(985),
    [anon_sym_BSLASH] = ACTIONS(987),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(989),
    [sym__extended_regex_literal] = ACTIONS(991),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(993),
    [sym__oneline_regex_literal] = ACTIONS(995),
    [anon_sym_LPAREN] = ACTIONS(997),
    [anon_sym_LBRACK] = ACTIONS(999),
    [anon_sym_AMP] = ACTIONS(1001),
    [anon_sym_if] = ACTIONS(1003),
    [anon_sym_switch] = ACTIONS(1005),
    [anon_sym_POUNDselector] = ACTIONS(1007),
    [aux_sym_custom_operator_token1] = ACTIONS(1009),
    [anon_sym_LT] = ACTIONS(1877),
    [anon_sym_GT] = ACTIONS(1877),
    [anon_sym_await] = ACTIONS(1011),
    [anon_sym_POUNDfile] = ACTIONS(1877),
    [anon_sym_POUNDfileID] = ACTIONS(1879),
    [anon_sym_POUNDfilePath] = ACTIONS(1879),
    [anon_sym_POUNDline] = ACTIONS(1879),
    [anon_sym_POUNDcolumn] = ACTIONS(1879),
    [anon_sym_POUNDfunction] = ACTIONS(1879),
    [anon_sym_POUNDdsohandle] = ACTIONS(1879),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(1013),
    [anon_sym_POUNDfileLiteral] = ACTIONS(1013),
    [anon_sym_POUNDimageLiteral] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(1015),
    [anon_sym_CARET_LBRACE] = ACTIONS(1015),
    [anon_sym_self] = ACTIONS(1017),
    [anon_sym_super] = ACTIONS(1019),
    [anon_sym_POUNDkeyPath] = ACTIONS(1021),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1879),
    [anon_sym_DASH_EQ] = ACTIONS(1879),
    [anon_sym_STAR_EQ] = ACTIONS(1879),
    [anon_sym_SLASH_EQ] = ACTIONS(1879),
    [anon_sym_PERCENT_EQ] = ACTIONS(1879),
    [anon_sym_BANG_EQ] = ACTIONS(1877),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1879),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1879),
    [anon_sym_LT_EQ] = ACTIONS(1879),
    [anon_sym_GT_EQ] = ACTIONS(1879),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1023),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1025),
    [anon_sym_PLUS] = ACTIONS(1027),
    [anon_sym_DASH] = ACTIONS(1027),
    [anon_sym_STAR] = ACTIONS(1877),
    [anon_sym_SLASH] = ACTIONS(1877),
    [anon_sym_PERCENT] = ACTIONS(1877),
    [anon_sym_PLUS_PLUS] = ACTIONS(1001),
    [anon_sym_DASH_DASH] = ACTIONS(1001),
    [anon_sym_TILDE] = ACTIONS(1001),
    [anon_sym_PIPE] = ACTIONS(1879),
    [anon_sym_CARET] = ACTIONS(1877),
    [anon_sym_LT_LT] = ACTIONS(1879),
    [anon_sym_GT_GT] = ACTIONS(1879),
    [anon_sym_BANG2] = ACTIONS(1029),
    [anon_sym_borrowing] = ACTIONS(971),
    [anon_sym_consuming] = ACTIONS(971),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(1031),
    [sym__dot_custom] = ACTIONS(1033),
    [sym__eq_custom] = ACTIONS(1879),
    [sym__eq_eq_custom] = ACTIONS(1879),
    [sym__plus_then_ws] = ACTIONS(1879),
    [sym__minus_then_ws] = ACTIONS(1879),
    [sym__bang_custom] = ACTIONS(1035),
    [sym__custom_operator] = ACTIONS(1009),
  },
  [468] = {
    [sym_simple_identifier] = STATE(2072),
    [sym__contextual_simple_identifier] = STATE(2016),
    [sym__basic_literal] = STATE(1263),
    [sym_boolean_literal] = STATE(1263),
    [sym__string_literal] = STATE(1263),
    [sym_line_string_literal] = STATE(1263),
    [sym_multi_line_string_literal] = STATE(1263),
    [sym_raw_string_literal] = STATE(1263),
    [sym_regex_literal] = STATE(1263),
    [sym__multiline_regex_literal] = STATE(2164),
    [sym_user_type] = STATE(5497),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5497),
    [sym_dictionary_type] = STATE(5497),
    [sym__expression] = STATE(1263),
    [sym__unary_expression] = STATE(1263),
    [sym_postfix_expression] = STATE(1263),
    [sym_constructor_expression] = STATE(1263),
    [sym__parenthesized_type] = STATE(6725),
    [sym_navigation_expression] = STATE(1263),
    [sym__navigable_type_expression] = STATE(6724),
    [sym_open_start_range_expression] = STATE(1263),
    [sym__range_operator] = STATE(467),
    [sym_open_end_range_expression] = STATE(1263),
    [sym_prefix_expression] = STATE(1263),
    [sym_as_expression] = STATE(1263),
    [sym_selector_expression] = STATE(1263),
    [sym__binary_expression] = STATE(1263),
    [sym_multiplicative_expression] = STATE(1263),
    [sym_additive_expression] = STATE(1263),
    [sym_range_expression] = STATE(1263),
    [sym_infix_expression] = STATE(1263),
    [sym_nil_coalescing_expression] = STATE(1263),
    [sym_check_expression] = STATE(1263),
    [sym_comparison_expression] = STATE(1263),
    [sym_equality_expression] = STATE(1263),
    [sym_conjunction_expression] = STATE(1263),
    [sym_disjunction_expression] = STATE(1263),
    [sym_bitwise_operation] = STATE(1263),
    [sym_custom_operator] = STATE(835),
    [sym_try_expression] = STATE(1263),
    [sym_await_expression] = STATE(1263),
    [sym__await_operator] = STATE(466),
    [sym_ternary_expression] = STATE(1263),
    [sym_call_expression] = STATE(1263),
    [sym__primary_expression] = STATE(1263),
    [sym_tuple_expression] = STATE(1263),
    [sym_array_literal] = STATE(1263),
    [sym_dictionary_literal] = STATE(1263),
    [sym__special_literal] = STATE(1263),
    [sym__playground_literal] = STATE(1263),
    [sym_lambda_literal] = STATE(1263),
    [sym_self_expression] = STATE(1263),
    [sym_super_expression] = STATE(1263),
    [sym_if_statement] = STATE(1263),
    [sym_switch_statement] = STATE(1263),
    [sym_key_path_expression] = STATE(1263),
    [sym_key_path_string_expression] = STATE(1263),
    [sym_try_operator] = STATE(455),
    [sym__assignment_and_operator] = STATE(1263),
    [sym__equality_operator] = STATE(1263),
    [sym__comparison_operator] = STATE(1263),
    [sym__three_dot_operator] = STATE(837),
    [sym__open_ended_range_operator] = STATE(467),
    [sym__additive_operator] = STATE(1263),
    [sym__multiplicative_operator] = STATE(1263),
    [sym__prefix_unary_operator] = STATE(468),
    [sym_directly_assignable_expression] = STATE(5498),
    [sym_assignment] = STATE(1263),
    [sym_value_parameter_pack] = STATE(1263),
    [sym_value_pack_expansion] = STATE(1263),
    [sym__referenceable_operator] = STATE(1263),
    [sym__equal_sign] = STATE(1263),
    [sym__eq_eq] = STATE(1263),
    [sym__dot] = STATE(468),
    [sym_bang] = STATE(835),
    [sym__parameter_ownership_modifier] = STATE(2016),
    [aux_sym_raw_string_literal_repeat1] = STATE(6553),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(971),
    [aux_sym_simple_identifier_token2] = ACTIONS(973),
    [aux_sym_simple_identifier_token3] = ACTIONS(973),
    [aux_sym_simple_identifier_token4] = ACTIONS(973),
    [anon_sym_actor] = ACTIONS(971),
    [anon_sym_async] = ACTIONS(1881),
    [anon_sym_each] = ACTIONS(975),
    [anon_sym_lazy] = ACTIONS(971),
    [anon_sym_repeat] = ACTIONS(977),
    [anon_sym_package] = ACTIONS(971),
    [anon_sym_nil] = ACTIONS(1883),
    [sym_real_literal] = ACTIONS(1885),
    [sym_integer_literal] = ACTIONS(1883),
    [sym_hex_literal] = ACTIONS(1885),
    [sym_oct_literal] = ACTIONS(1885),
    [sym_bin_literal] = ACTIONS(1885),
    [anon_sym_true] = ACTIONS(983),
    [anon_sym_false] = ACTIONS(983),
    [anon_sym_DQUOTE] = ACTIONS(985),
    [anon_sym_BSLASH] = ACTIONS(987),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(989),
    [sym__extended_regex_literal] = ACTIONS(991),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(993),
    [sym__oneline_regex_literal] = ACTIONS(995),
    [anon_sym_LPAREN] = ACTIONS(997),
    [anon_sym_LBRACK] = ACTIONS(999),
    [anon_sym_AMP] = ACTIONS(1001),
    [anon_sym_if] = ACTIONS(1887),
    [anon_sym_switch] = ACTIONS(1889),
    [anon_sym_POUNDselector] = ACTIONS(1007),
    [aux_sym_custom_operator_token1] = ACTIONS(1009),
    [anon_sym_LT] = ACTIONS(1883),
    [anon_sym_GT] = ACTIONS(1883),
    [anon_sym_await] = ACTIONS(1011),
    [anon_sym_POUNDfile] = ACTIONS(1883),
    [anon_sym_POUNDfileID] = ACTIONS(1885),
    [anon_sym_POUNDfilePath] = ACTIONS(1885),
    [anon_sym_POUNDline] = ACTIONS(1885),
    [anon_sym_POUNDcolumn] = ACTIONS(1885),
    [anon_sym_POUNDfunction] = ACTIONS(1885),
    [anon_sym_POUNDdsohandle] = ACTIONS(1885),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(1013),
    [anon_sym_POUNDfileLiteral] = ACTIONS(1013),
    [anon_sym_POUNDimageLiteral] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(1015),
    [anon_sym_CARET_LBRACE] = ACTIONS(1015),
    [anon_sym_self] = ACTIONS(1017),
    [anon_sym_super] = ACTIONS(1019),
    [anon_sym_POUNDkeyPath] = ACTIONS(1021),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1885),
    [anon_sym_DASH_EQ] = ACTIONS(1885),
    [anon_sym_STAR_EQ] = ACTIONS(1885),
    [anon_sym_SLASH_EQ] = ACTIONS(1885),
    [anon_sym_PERCENT_EQ] = ACTIONS(1885),
    [anon_sym_BANG_EQ] = ACTIONS(1883),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1885),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1885),
    [anon_sym_LT_EQ] = ACTIONS(1885),
    [anon_sym_GT_EQ] = ACTIONS(1885),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1023),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1025),
    [anon_sym_PLUS] = ACTIONS(1027),
    [anon_sym_DASH] = ACTIONS(1027),
    [anon_sym_STAR] = ACTIONS(1883),
    [anon_sym_SLASH] = ACTIONS(1883),
    [anon_sym_PERCENT] = ACTIONS(1883),
    [anon_sym_PLUS_PLUS] = ACTIONS(1001),
    [anon_sym_DASH_DASH] = ACTIONS(1001),
    [anon_sym_TILDE] = ACTIONS(1001),
    [anon_sym_PIPE] = ACTIONS(1885),
    [anon_sym_CARET] = ACTIONS(1883),
    [anon_sym_LT_LT] = ACTIONS(1885),
    [anon_sym_GT_GT] = ACTIONS(1885),
    [anon_sym_BANG2] = ACTIONS(1029),
    [anon_sym_borrowing] = ACTIONS(971),
    [anon_sym_consuming] = ACTIONS(971),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(1031),
    [sym__dot_custom] = ACTIONS(1033),
    [sym__eq_custom] = ACTIONS(1885),
    [sym__eq_eq_custom] = ACTIONS(1885),
    [sym__plus_then_ws] = ACTIONS(1885),
    [sym__minus_then_ws] = ACTIONS(1885),
    [sym__bang_custom] = ACTIONS(1035),
    [sym__custom_operator] = ACTIONS(1009),
  },
  [469] = {
    [sym_simple_identifier] = STATE(2573),
    [sym__contextual_simple_identifier] = STATE(2374),
    [sym__basic_literal] = STATE(1344),
    [sym_boolean_literal] = STATE(1344),
    [sym__string_literal] = STATE(1344),
    [sym_line_string_literal] = STATE(1344),
    [sym_multi_line_string_literal] = STATE(1344),
    [sym_raw_string_literal] = STATE(1344),
    [sym_regex_literal] = STATE(1344),
    [sym__multiline_regex_literal] = STATE(2929),
    [sym_user_type] = STATE(5443),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5443),
    [sym_dictionary_type] = STATE(5443),
    [sym__expression] = STATE(1344),
    [sym__unary_expression] = STATE(1344),
    [sym_postfix_expression] = STATE(1344),
    [sym_constructor_expression] = STATE(1344),
    [sym__parenthesized_type] = STATE(7012),
    [sym_navigation_expression] = STATE(1344),
    [sym__navigable_type_expression] = STATE(7009),
    [sym_open_start_range_expression] = STATE(1344),
    [sym__range_operator] = STATE(557),
    [sym_open_end_range_expression] = STATE(1344),
    [sym_prefix_expression] = STATE(1344),
    [sym_as_expression] = STATE(1344),
    [sym_selector_expression] = STATE(1344),
    [sym__binary_expression] = STATE(1344),
    [sym_multiplicative_expression] = STATE(1344),
    [sym_additive_expression] = STATE(1344),
    [sym_range_expression] = STATE(1344),
    [sym_infix_expression] = STATE(1344),
    [sym_nil_coalescing_expression] = STATE(1344),
    [sym_check_expression] = STATE(1344),
    [sym_comparison_expression] = STATE(1344),
    [sym_equality_expression] = STATE(1344),
    [sym_conjunction_expression] = STATE(1344),
    [sym_disjunction_expression] = STATE(1344),
    [sym_bitwise_operation] = STATE(1344),
    [sym_custom_operator] = STATE(878),
    [sym_try_expression] = STATE(1344),
    [sym_await_expression] = STATE(1344),
    [sym__await_operator] = STATE(450),
    [sym_ternary_expression] = STATE(1344),
    [sym_call_expression] = STATE(1344),
    [sym__primary_expression] = STATE(1344),
    [sym_tuple_expression] = STATE(1344),
    [sym_array_literal] = STATE(1344),
    [sym_dictionary_literal] = STATE(1344),
    [sym__special_literal] = STATE(1344),
    [sym__playground_literal] = STATE(1344),
    [sym_lambda_literal] = STATE(1344),
    [sym_self_expression] = STATE(1344),
    [sym_super_expression] = STATE(1344),
    [sym_if_statement] = STATE(1344),
    [sym_switch_statement] = STATE(1344),
    [sym_key_path_expression] = STATE(1344),
    [sym_key_path_string_expression] = STATE(1344),
    [sym_try_operator] = STATE(451),
    [sym__assignment_and_operator] = STATE(1344),
    [sym__equality_operator] = STATE(1344),
    [sym__comparison_operator] = STATE(1344),
    [sym__three_dot_operator] = STATE(884),
    [sym__open_ended_range_operator] = STATE(557),
    [sym__additive_operator] = STATE(1344),
    [sym__multiplicative_operator] = STATE(1344),
    [sym__prefix_unary_operator] = STATE(471),
    [sym_directly_assignable_expression] = STATE(5445),
    [sym_assignment] = STATE(1344),
    [sym_value_parameter_pack] = STATE(1344),
    [sym_value_pack_expansion] = STATE(1344),
    [sym__referenceable_operator] = STATE(1344),
    [sym__equal_sign] = STATE(1344),
    [sym__eq_eq] = STATE(1344),
    [sym__dot] = STATE(471),
    [sym_bang] = STATE(878),
    [sym__parameter_ownership_modifier] = STATE(2374),
    [aux_sym_raw_string_literal_repeat1] = STATE(7006),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(1037),
    [aux_sym_simple_identifier_token2] = ACTIONS(1039),
    [aux_sym_simple_identifier_token3] = ACTIONS(1039),
    [aux_sym_simple_identifier_token4] = ACTIONS(1039),
    [anon_sym_actor] = ACTIONS(1037),
    [anon_sym_async] = ACTIONS(1037),
    [anon_sym_each] = ACTIONS(1041),
    [anon_sym_lazy] = ACTIONS(1037),
    [anon_sym_repeat] = ACTIONS(1043),
    [anon_sym_package] = ACTIONS(1037),
    [anon_sym_nil] = ACTIONS(1891),
    [sym_real_literal] = ACTIONS(1893),
    [sym_integer_literal] = ACTIONS(1891),
    [sym_hex_literal] = ACTIONS(1893),
    [sym_oct_literal] = ACTIONS(1893),
    [sym_bin_literal] = ACTIONS(1893),
    [anon_sym_true] = ACTIONS(1049),
    [anon_sym_false] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_BSLASH] = ACTIONS(1053),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1055),
    [sym__extended_regex_literal] = ACTIONS(1057),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(1059),
    [sym__oneline_regex_literal] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_LBRACK] = ACTIONS(1065),
    [anon_sym_AMP] = ACTIONS(1067),
    [anon_sym_if] = ACTIONS(1069),
    [anon_sym_switch] = ACTIONS(1071),
    [anon_sym_POUNDselector] = ACTIONS(1073),
    [aux_sym_custom_operator_token1] = ACTIONS(1075),
    [anon_sym_LT] = ACTIONS(1891),
    [anon_sym_GT] = ACTIONS(1891),
    [anon_sym_await] = ACTIONS(1077),
    [anon_sym_POUNDfile] = ACTIONS(1891),
    [anon_sym_POUNDfileID] = ACTIONS(1893),
    [anon_sym_POUNDfilePath] = ACTIONS(1893),
    [anon_sym_POUNDline] = ACTIONS(1893),
    [anon_sym_POUNDcolumn] = ACTIONS(1893),
    [anon_sym_POUNDfunction] = ACTIONS(1893),
    [anon_sym_POUNDdsohandle] = ACTIONS(1893),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(1079),
    [anon_sym_POUNDfileLiteral] = ACTIONS(1079),
    [anon_sym_POUNDimageLiteral] = ACTIONS(1079),
    [anon_sym_LBRACE] = ACTIONS(1081),
    [anon_sym_CARET_LBRACE] = ACTIONS(1081),
    [anon_sym_self] = ACTIONS(1083),
    [anon_sym_super] = ACTIONS(1085),
    [anon_sym_POUNDkeyPath] = ACTIONS(1089),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1893),
    [anon_sym_DASH_EQ] = ACTIONS(1893),
    [anon_sym_STAR_EQ] = ACTIONS(1893),
    [anon_sym_SLASH_EQ] = ACTIONS(1893),
    [anon_sym_PERCENT_EQ] = ACTIONS(1893),
    [anon_sym_BANG_EQ] = ACTIONS(1891),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1893),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1893),
    [anon_sym_LT_EQ] = ACTIONS(1893),
    [anon_sym_GT_EQ] = ACTIONS(1893),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1093),
    [anon_sym_PLUS] = ACTIONS(1097),
    [anon_sym_DASH] = ACTIONS(1097),
    [anon_sym_STAR] = ACTIONS(1891),
    [anon_sym_SLASH] = ACTIONS(1891),
    [anon_sym_PERCENT] = ACTIONS(1891),
    [anon_sym_PLUS_PLUS] = ACTIONS(1067),
    [anon_sym_DASH_DASH] = ACTIONS(1067),
    [anon_sym_TILDE] = ACTIONS(1067),
    [anon_sym_PIPE] = ACTIONS(1893),
    [anon_sym_CARET] = ACTIONS(1891),
    [anon_sym_LT_LT] = ACTIONS(1893),
    [anon_sym_GT_GT] = ACTIONS(1893),
    [anon_sym_BANG2] = ACTIONS(1099),
    [anon_sym_borrowing] = ACTIONS(1037),
    [anon_sym_consuming] = ACTIONS(1037),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(1103),
    [sym__dot_custom] = ACTIONS(1307),
    [sym__eq_custom] = ACTIONS(1893),
    [sym__eq_eq_custom] = ACTIONS(1893),
    [sym__plus_then_ws] = ACTIONS(1893),
    [sym__minus_then_ws] = ACTIONS(1893),
    [sym__bang_custom] = ACTIONS(1107),
    [sym__custom_operator] = ACTIONS(1075),
  },
  [470] = {
    [sym_simple_identifier] = STATE(1040),
    [sym__contextual_simple_identifier] = STATE(1015),
    [sym__basic_literal] = STATE(654),
    [sym_boolean_literal] = STATE(654),
    [sym__string_literal] = STATE(654),
    [sym_line_string_literal] = STATE(654),
    [sym_multi_line_string_literal] = STATE(654),
    [sym_raw_string_literal] = STATE(654),
    [sym_regex_literal] = STATE(654),
    [sym__multiline_regex_literal] = STATE(1134),
    [sym_user_type] = STATE(5559),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5559),
    [sym_dictionary_type] = STATE(5559),
    [sym__expression] = STATE(654),
    [sym__unary_expression] = STATE(654),
    [sym_postfix_expression] = STATE(654),
    [sym_constructor_expression] = STATE(654),
    [sym__parenthesized_type] = STATE(6572),
    [sym_navigation_expression] = STATE(654),
    [sym__navigable_type_expression] = STATE(6573),
    [sym_open_start_range_expression] = STATE(654),
    [sym__range_operator] = STATE(462),
    [sym_open_end_range_expression] = STATE(654),
    [sym_prefix_expression] = STATE(654),
    [sym_as_expression] = STATE(654),
    [sym_selector_expression] = STATE(654),
    [sym__binary_expression] = STATE(654),
    [sym_multiplicative_expression] = STATE(654),
    [sym_additive_expression] = STATE(654),
    [sym_range_expression] = STATE(654),
    [sym_infix_expression] = STATE(654),
    [sym_nil_coalescing_expression] = STATE(654),
    [sym_check_expression] = STATE(654),
    [sym_comparison_expression] = STATE(654),
    [sym_equality_expression] = STATE(654),
    [sym_conjunction_expression] = STATE(654),
    [sym_disjunction_expression] = STATE(654),
    [sym_bitwise_operation] = STATE(654),
    [sym_custom_operator] = STATE(615),
    [sym_try_expression] = STATE(654),
    [sym_await_expression] = STATE(654),
    [sym__await_operator] = STATE(463),
    [sym_ternary_expression] = STATE(654),
    [sym_call_expression] = STATE(654),
    [sym__primary_expression] = STATE(654),
    [sym_tuple_expression] = STATE(654),
    [sym_array_literal] = STATE(654),
    [sym_dictionary_literal] = STATE(654),
    [sym__special_literal] = STATE(654),
    [sym__playground_literal] = STATE(654),
    [sym_lambda_literal] = STATE(654),
    [sym_self_expression] = STATE(654),
    [sym_super_expression] = STATE(654),
    [sym_if_statement] = STATE(654),
    [sym_switch_statement] = STATE(654),
    [sym_key_path_expression] = STATE(654),
    [sym_key_path_string_expression] = STATE(654),
    [sym_try_operator] = STATE(465),
    [sym__assignment_and_operator] = STATE(654),
    [sym__equality_operator] = STATE(654),
    [sym__comparison_operator] = STATE(654),
    [sym__three_dot_operator] = STATE(617),
    [sym__open_ended_range_operator] = STATE(462),
    [sym__additive_operator] = STATE(654),
    [sym__multiplicative_operator] = STATE(654),
    [sym__prefix_unary_operator] = STATE(470),
    [sym_directly_assignable_expression] = STATE(5558),
    [sym_assignment] = STATE(654),
    [sym_value_parameter_pack] = STATE(654),
    [sym_value_pack_expansion] = STATE(654),
    [sym__referenceable_operator] = STATE(654),
    [sym__equal_sign] = STATE(654),
    [sym__eq_eq] = STATE(654),
    [sym__dot] = STATE(470),
    [sym_bang] = STATE(615),
    [sym__parameter_ownership_modifier] = STATE(1015),
    [aux_sym_raw_string_literal_repeat1] = STATE(6655),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(673),
    [aux_sym_simple_identifier_token2] = ACTIONS(675),
    [aux_sym_simple_identifier_token3] = ACTIONS(675),
    [aux_sym_simple_identifier_token4] = ACTIONS(675),
    [anon_sym_actor] = ACTIONS(673),
    [anon_sym_async] = ACTIONS(1895),
    [anon_sym_each] = ACTIONS(677),
    [anon_sym_lazy] = ACTIONS(673),
    [anon_sym_repeat] = ACTIONS(679),
    [anon_sym_package] = ACTIONS(673),
    [anon_sym_nil] = ACTIONS(1897),
    [sym_real_literal] = ACTIONS(1899),
    [sym_integer_literal] = ACTIONS(1897),
    [sym_hex_literal] = ACTIONS(1899),
    [sym_oct_literal] = ACTIONS(1899),
    [sym_bin_literal] = ACTIONS(1899),
    [anon_sym_true] = ACTIONS(685),
    [anon_sym_false] = ACTIONS(685),
    [anon_sym_DQUOTE] = ACTIONS(687),
    [anon_sym_BSLASH] = ACTIONS(689),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(691),
    [sym__extended_regex_literal] = ACTIONS(693),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(695),
    [sym__oneline_regex_literal] = ACTIONS(697),
    [anon_sym_LPAREN] = ACTIONS(699),
    [anon_sym_LBRACK] = ACTIONS(701),
    [anon_sym_AMP] = ACTIONS(703),
    [anon_sym_if] = ACTIONS(1901),
    [anon_sym_switch] = ACTIONS(1903),
    [anon_sym_POUNDselector] = ACTIONS(709),
    [aux_sym_custom_operator_token1] = ACTIONS(711),
    [anon_sym_LT] = ACTIONS(1897),
    [anon_sym_GT] = ACTIONS(1897),
    [anon_sym_await] = ACTIONS(713),
    [anon_sym_POUNDfile] = ACTIONS(1897),
    [anon_sym_POUNDfileID] = ACTIONS(1899),
    [anon_sym_POUNDfilePath] = ACTIONS(1899),
    [anon_sym_POUNDline] = ACTIONS(1899),
    [anon_sym_POUNDcolumn] = ACTIONS(1899),
    [anon_sym_POUNDfunction] = ACTIONS(1899),
    [anon_sym_POUNDdsohandle] = ACTIONS(1899),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(715),
    [anon_sym_POUNDfileLiteral] = ACTIONS(715),
    [anon_sym_POUNDimageLiteral] = ACTIONS(715),
    [anon_sym_LBRACE] = ACTIONS(717),
    [anon_sym_CARET_LBRACE] = ACTIONS(717),
    [anon_sym_self] = ACTIONS(719),
    [anon_sym_super] = ACTIONS(721),
    [anon_sym_POUNDkeyPath] = ACTIONS(723),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1899),
    [anon_sym_DASH_EQ] = ACTIONS(1899),
    [anon_sym_STAR_EQ] = ACTIONS(1899),
    [anon_sym_SLASH_EQ] = ACTIONS(1899),
    [anon_sym_PERCENT_EQ] = ACTIONS(1899),
    [anon_sym_BANG_EQ] = ACTIONS(1897),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1899),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1899),
    [anon_sym_LT_EQ] = ACTIONS(1899),
    [anon_sym_GT_EQ] = ACTIONS(1899),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(725),
    [anon_sym_DOT_DOT_LT] = ACTIONS(727),
    [anon_sym_PLUS] = ACTIONS(729),
    [anon_sym_DASH] = ACTIONS(729),
    [anon_sym_STAR] = ACTIONS(1897),
    [anon_sym_SLASH] = ACTIONS(1897),
    [anon_sym_PERCENT] = ACTIONS(1897),
    [anon_sym_PLUS_PLUS] = ACTIONS(703),
    [anon_sym_DASH_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(703),
    [anon_sym_PIPE] = ACTIONS(1899),
    [anon_sym_CARET] = ACTIONS(1897),
    [anon_sym_LT_LT] = ACTIONS(1899),
    [anon_sym_GT_GT] = ACTIONS(1899),
    [anon_sym_BANG2] = ACTIONS(731),
    [anon_sym_borrowing] = ACTIONS(673),
    [anon_sym_consuming] = ACTIONS(673),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(733),
    [sym__dot_custom] = ACTIONS(735),
    [sym__eq_custom] = ACTIONS(1899),
    [sym__eq_eq_custom] = ACTIONS(1899),
    [sym__plus_then_ws] = ACTIONS(1899),
    [sym__minus_then_ws] = ACTIONS(1899),
    [sym__bang_custom] = ACTIONS(737),
    [sym__custom_operator] = ACTIONS(711),
  },
  [471] = {
    [sym_simple_identifier] = STATE(2573),
    [sym__contextual_simple_identifier] = STATE(2374),
    [sym__basic_literal] = STATE(1350),
    [sym_boolean_literal] = STATE(1350),
    [sym__string_literal] = STATE(1350),
    [sym_line_string_literal] = STATE(1350),
    [sym_multi_line_string_literal] = STATE(1350),
    [sym_raw_string_literal] = STATE(1350),
    [sym_regex_literal] = STATE(1350),
    [sym__multiline_regex_literal] = STATE(2929),
    [sym_user_type] = STATE(5443),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5443),
    [sym_dictionary_type] = STATE(5443),
    [sym__expression] = STATE(1350),
    [sym__unary_expression] = STATE(1350),
    [sym_postfix_expression] = STATE(1350),
    [sym_constructor_expression] = STATE(1350),
    [sym__parenthesized_type] = STATE(7012),
    [sym_navigation_expression] = STATE(1350),
    [sym__navigable_type_expression] = STATE(7009),
    [sym_open_start_range_expression] = STATE(1350),
    [sym__range_operator] = STATE(557),
    [sym_open_end_range_expression] = STATE(1350),
    [sym_prefix_expression] = STATE(1350),
    [sym_as_expression] = STATE(1350),
    [sym_selector_expression] = STATE(1350),
    [sym__binary_expression] = STATE(1350),
    [sym_multiplicative_expression] = STATE(1350),
    [sym_additive_expression] = STATE(1350),
    [sym_range_expression] = STATE(1350),
    [sym_infix_expression] = STATE(1350),
    [sym_nil_coalescing_expression] = STATE(1350),
    [sym_check_expression] = STATE(1350),
    [sym_comparison_expression] = STATE(1350),
    [sym_equality_expression] = STATE(1350),
    [sym_conjunction_expression] = STATE(1350),
    [sym_disjunction_expression] = STATE(1350),
    [sym_bitwise_operation] = STATE(1350),
    [sym_custom_operator] = STATE(878),
    [sym_try_expression] = STATE(1350),
    [sym_await_expression] = STATE(1350),
    [sym__await_operator] = STATE(450),
    [sym_ternary_expression] = STATE(1350),
    [sym_call_expression] = STATE(1350),
    [sym__primary_expression] = STATE(1350),
    [sym_tuple_expression] = STATE(1350),
    [sym_array_literal] = STATE(1350),
    [sym_dictionary_literal] = STATE(1350),
    [sym__special_literal] = STATE(1350),
    [sym__playground_literal] = STATE(1350),
    [sym_lambda_literal] = STATE(1350),
    [sym_self_expression] = STATE(1350),
    [sym_super_expression] = STATE(1350),
    [sym_if_statement] = STATE(1350),
    [sym_switch_statement] = STATE(1350),
    [sym_key_path_expression] = STATE(1350),
    [sym_key_path_string_expression] = STATE(1350),
    [sym_try_operator] = STATE(451),
    [sym__assignment_and_operator] = STATE(1350),
    [sym__equality_operator] = STATE(1350),
    [sym__comparison_operator] = STATE(1350),
    [sym__three_dot_operator] = STATE(884),
    [sym__open_ended_range_operator] = STATE(557),
    [sym__additive_operator] = STATE(1350),
    [sym__multiplicative_operator] = STATE(1350),
    [sym__prefix_unary_operator] = STATE(471),
    [sym_directly_assignable_expression] = STATE(5445),
    [sym_assignment] = STATE(1350),
    [sym_value_parameter_pack] = STATE(1350),
    [sym_value_pack_expansion] = STATE(1350),
    [sym__referenceable_operator] = STATE(1350),
    [sym__equal_sign] = STATE(1350),
    [sym__eq_eq] = STATE(1350),
    [sym__dot] = STATE(471),
    [sym_bang] = STATE(878),
    [sym__parameter_ownership_modifier] = STATE(2374),
    [aux_sym_raw_string_literal_repeat1] = STATE(7006),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(1037),
    [aux_sym_simple_identifier_token2] = ACTIONS(1039),
    [aux_sym_simple_identifier_token3] = ACTIONS(1039),
    [aux_sym_simple_identifier_token4] = ACTIONS(1039),
    [anon_sym_actor] = ACTIONS(1037),
    [anon_sym_async] = ACTIONS(1905),
    [anon_sym_each] = ACTIONS(1041),
    [anon_sym_lazy] = ACTIONS(1037),
    [anon_sym_repeat] = ACTIONS(1043),
    [anon_sym_package] = ACTIONS(1037),
    [anon_sym_nil] = ACTIONS(1907),
    [sym_real_literal] = ACTIONS(1909),
    [sym_integer_literal] = ACTIONS(1907),
    [sym_hex_literal] = ACTIONS(1909),
    [sym_oct_literal] = ACTIONS(1909),
    [sym_bin_literal] = ACTIONS(1909),
    [anon_sym_true] = ACTIONS(1049),
    [anon_sym_false] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_BSLASH] = ACTIONS(1053),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1055),
    [sym__extended_regex_literal] = ACTIONS(1057),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(1059),
    [sym__oneline_regex_literal] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_LBRACK] = ACTIONS(1065),
    [anon_sym_AMP] = ACTIONS(1067),
    [anon_sym_if] = ACTIONS(1911),
    [anon_sym_switch] = ACTIONS(1913),
    [anon_sym_POUNDselector] = ACTIONS(1073),
    [aux_sym_custom_operator_token1] = ACTIONS(1075),
    [anon_sym_LT] = ACTIONS(1907),
    [anon_sym_GT] = ACTIONS(1907),
    [anon_sym_await] = ACTIONS(1077),
    [anon_sym_POUNDfile] = ACTIONS(1907),
    [anon_sym_POUNDfileID] = ACTIONS(1909),
    [anon_sym_POUNDfilePath] = ACTIONS(1909),
    [anon_sym_POUNDline] = ACTIONS(1909),
    [anon_sym_POUNDcolumn] = ACTIONS(1909),
    [anon_sym_POUNDfunction] = ACTIONS(1909),
    [anon_sym_POUNDdsohandle] = ACTIONS(1909),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(1079),
    [anon_sym_POUNDfileLiteral] = ACTIONS(1079),
    [anon_sym_POUNDimageLiteral] = ACTIONS(1079),
    [anon_sym_LBRACE] = ACTIONS(1081),
    [anon_sym_CARET_LBRACE] = ACTIONS(1081),
    [anon_sym_self] = ACTIONS(1083),
    [anon_sym_super] = ACTIONS(1085),
    [anon_sym_POUNDkeyPath] = ACTIONS(1089),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1909),
    [anon_sym_DASH_EQ] = ACTIONS(1909),
    [anon_sym_STAR_EQ] = ACTIONS(1909),
    [anon_sym_SLASH_EQ] = ACTIONS(1909),
    [anon_sym_PERCENT_EQ] = ACTIONS(1909),
    [anon_sym_BANG_EQ] = ACTIONS(1907),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1909),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1909),
    [anon_sym_LT_EQ] = ACTIONS(1909),
    [anon_sym_GT_EQ] = ACTIONS(1909),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1093),
    [anon_sym_PLUS] = ACTIONS(1097),
    [anon_sym_DASH] = ACTIONS(1097),
    [anon_sym_STAR] = ACTIONS(1907),
    [anon_sym_SLASH] = ACTIONS(1907),
    [anon_sym_PERCENT] = ACTIONS(1907),
    [anon_sym_PLUS_PLUS] = ACTIONS(1067),
    [anon_sym_DASH_DASH] = ACTIONS(1067),
    [anon_sym_TILDE] = ACTIONS(1067),
    [anon_sym_PIPE] = ACTIONS(1909),
    [anon_sym_CARET] = ACTIONS(1907),
    [anon_sym_LT_LT] = ACTIONS(1909),
    [anon_sym_GT_GT] = ACTIONS(1909),
    [anon_sym_BANG2] = ACTIONS(1099),
    [anon_sym_borrowing] = ACTIONS(1037),
    [anon_sym_consuming] = ACTIONS(1037),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(1103),
    [sym__dot_custom] = ACTIONS(1307),
    [sym__eq_custom] = ACTIONS(1909),
    [sym__eq_eq_custom] = ACTIONS(1909),
    [sym__plus_then_ws] = ACTIONS(1909),
    [sym__minus_then_ws] = ACTIONS(1909),
    [sym__bang_custom] = ACTIONS(1107),
    [sym__custom_operator] = ACTIONS(1075),
  },
  [472] = {
    [sym_simple_identifier] = STATE(1040),
    [sym__contextual_simple_identifier] = STATE(1015),
    [sym__basic_literal] = STATE(652),
    [sym_boolean_literal] = STATE(652),
    [sym__string_literal] = STATE(652),
    [sym_line_string_literal] = STATE(652),
    [sym_multi_line_string_literal] = STATE(652),
    [sym_raw_string_literal] = STATE(652),
    [sym_regex_literal] = STATE(652),
    [sym__multiline_regex_literal] = STATE(1134),
    [sym_user_type] = STATE(5559),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5559),
    [sym_dictionary_type] = STATE(5559),
    [sym__expression] = STATE(652),
    [sym__unary_expression] = STATE(652),
    [sym_postfix_expression] = STATE(652),
    [sym_constructor_expression] = STATE(652),
    [sym__parenthesized_type] = STATE(6572),
    [sym_navigation_expression] = STATE(652),
    [sym__navigable_type_expression] = STATE(6573),
    [sym_open_start_range_expression] = STATE(652),
    [sym__range_operator] = STATE(462),
    [sym_open_end_range_expression] = STATE(652),
    [sym_prefix_expression] = STATE(652),
    [sym_as_expression] = STATE(652),
    [sym_selector_expression] = STATE(652),
    [sym__binary_expression] = STATE(652),
    [sym_multiplicative_expression] = STATE(652),
    [sym_additive_expression] = STATE(652),
    [sym_range_expression] = STATE(652),
    [sym_infix_expression] = STATE(652),
    [sym_nil_coalescing_expression] = STATE(652),
    [sym_check_expression] = STATE(652),
    [sym_comparison_expression] = STATE(652),
    [sym_equality_expression] = STATE(652),
    [sym_conjunction_expression] = STATE(652),
    [sym_disjunction_expression] = STATE(652),
    [sym_bitwise_operation] = STATE(652),
    [sym_custom_operator] = STATE(615),
    [sym_try_expression] = STATE(652),
    [sym_await_expression] = STATE(652),
    [sym__await_operator] = STATE(463),
    [sym_ternary_expression] = STATE(652),
    [sym_call_expression] = STATE(652),
    [sym__primary_expression] = STATE(652),
    [sym_tuple_expression] = STATE(652),
    [sym_array_literal] = STATE(652),
    [sym_dictionary_literal] = STATE(652),
    [sym__special_literal] = STATE(652),
    [sym__playground_literal] = STATE(652),
    [sym_lambda_literal] = STATE(652),
    [sym_self_expression] = STATE(652),
    [sym_super_expression] = STATE(652),
    [sym_if_statement] = STATE(652),
    [sym_switch_statement] = STATE(652),
    [sym_key_path_expression] = STATE(652),
    [sym_key_path_string_expression] = STATE(652),
    [sym_try_operator] = STATE(465),
    [sym__assignment_and_operator] = STATE(652),
    [sym__equality_operator] = STATE(652),
    [sym__comparison_operator] = STATE(652),
    [sym__three_dot_operator] = STATE(617),
    [sym__open_ended_range_operator] = STATE(462),
    [sym__additive_operator] = STATE(652),
    [sym__multiplicative_operator] = STATE(652),
    [sym__prefix_unary_operator] = STATE(470),
    [sym_directly_assignable_expression] = STATE(5558),
    [sym_assignment] = STATE(652),
    [sym_value_parameter_pack] = STATE(652),
    [sym_value_pack_expansion] = STATE(652),
    [sym__referenceable_operator] = STATE(652),
    [sym__equal_sign] = STATE(652),
    [sym__eq_eq] = STATE(652),
    [sym__dot] = STATE(470),
    [sym_bang] = STATE(615),
    [sym__parameter_ownership_modifier] = STATE(1015),
    [aux_sym_raw_string_literal_repeat1] = STATE(6655),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(673),
    [aux_sym_simple_identifier_token2] = ACTIONS(675),
    [aux_sym_simple_identifier_token3] = ACTIONS(675),
    [aux_sym_simple_identifier_token4] = ACTIONS(675),
    [anon_sym_actor] = ACTIONS(673),
    [anon_sym_async] = ACTIONS(673),
    [anon_sym_each] = ACTIONS(677),
    [anon_sym_lazy] = ACTIONS(673),
    [anon_sym_repeat] = ACTIONS(679),
    [anon_sym_package] = ACTIONS(673),
    [anon_sym_nil] = ACTIONS(1915),
    [sym_real_literal] = ACTIONS(1917),
    [sym_integer_literal] = ACTIONS(1915),
    [sym_hex_literal] = ACTIONS(1917),
    [sym_oct_literal] = ACTIONS(1917),
    [sym_bin_literal] = ACTIONS(1917),
    [anon_sym_true] = ACTIONS(685),
    [anon_sym_false] = ACTIONS(685),
    [anon_sym_DQUOTE] = ACTIONS(687),
    [anon_sym_BSLASH] = ACTIONS(689),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(691),
    [sym__extended_regex_literal] = ACTIONS(693),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(695),
    [sym__oneline_regex_literal] = ACTIONS(697),
    [anon_sym_LPAREN] = ACTIONS(699),
    [anon_sym_LBRACK] = ACTIONS(701),
    [anon_sym_AMP] = ACTIONS(703),
    [anon_sym_if] = ACTIONS(705),
    [anon_sym_switch] = ACTIONS(707),
    [anon_sym_POUNDselector] = ACTIONS(709),
    [aux_sym_custom_operator_token1] = ACTIONS(711),
    [anon_sym_LT] = ACTIONS(1915),
    [anon_sym_GT] = ACTIONS(1915),
    [anon_sym_await] = ACTIONS(713),
    [anon_sym_POUNDfile] = ACTIONS(1915),
    [anon_sym_POUNDfileID] = ACTIONS(1917),
    [anon_sym_POUNDfilePath] = ACTIONS(1917),
    [anon_sym_POUNDline] = ACTIONS(1917),
    [anon_sym_POUNDcolumn] = ACTIONS(1917),
    [anon_sym_POUNDfunction] = ACTIONS(1917),
    [anon_sym_POUNDdsohandle] = ACTIONS(1917),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(715),
    [anon_sym_POUNDfileLiteral] = ACTIONS(715),
    [anon_sym_POUNDimageLiteral] = ACTIONS(715),
    [anon_sym_LBRACE] = ACTIONS(717),
    [anon_sym_CARET_LBRACE] = ACTIONS(717),
    [anon_sym_self] = ACTIONS(719),
    [anon_sym_super] = ACTIONS(721),
    [anon_sym_POUNDkeyPath] = ACTIONS(723),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1917),
    [anon_sym_DASH_EQ] = ACTIONS(1917),
    [anon_sym_STAR_EQ] = ACTIONS(1917),
    [anon_sym_SLASH_EQ] = ACTIONS(1917),
    [anon_sym_PERCENT_EQ] = ACTIONS(1917),
    [anon_sym_BANG_EQ] = ACTIONS(1915),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1917),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1917),
    [anon_sym_LT_EQ] = ACTIONS(1917),
    [anon_sym_GT_EQ] = ACTIONS(1917),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(725),
    [anon_sym_DOT_DOT_LT] = ACTIONS(727),
    [anon_sym_PLUS] = ACTIONS(729),
    [anon_sym_DASH] = ACTIONS(729),
    [anon_sym_STAR] = ACTIONS(1915),
    [anon_sym_SLASH] = ACTIONS(1915),
    [anon_sym_PERCENT] = ACTIONS(1915),
    [anon_sym_PLUS_PLUS] = ACTIONS(703),
    [anon_sym_DASH_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(703),
    [anon_sym_PIPE] = ACTIONS(1917),
    [anon_sym_CARET] = ACTIONS(1915),
    [anon_sym_LT_LT] = ACTIONS(1917),
    [anon_sym_GT_GT] = ACTIONS(1917),
    [anon_sym_BANG2] = ACTIONS(731),
    [anon_sym_borrowing] = ACTIONS(673),
    [anon_sym_consuming] = ACTIONS(673),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(733),
    [sym__dot_custom] = ACTIONS(735),
    [sym__eq_custom] = ACTIONS(1917),
    [sym__eq_eq_custom] = ACTIONS(1917),
    [sym__plus_then_ws] = ACTIONS(1917),
    [sym__minus_then_ws] = ACTIONS(1917),
    [sym__bang_custom] = ACTIONS(737),
    [sym__custom_operator] = ACTIONS(711),
  },
  [473] = {
    [sym_simple_identifier] = STATE(2276),
    [sym__contextual_simple_identifier] = STATE(2115),
    [sym__basic_literal] = STATE(1272),
    [sym_boolean_literal] = STATE(1272),
    [sym__string_literal] = STATE(1272),
    [sym_line_string_literal] = STATE(1272),
    [sym_multi_line_string_literal] = STATE(1272),
    [sym_raw_string_literal] = STATE(1272),
    [sym_regex_literal] = STATE(1272),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1272),
    [sym__unary_expression] = STATE(1272),
    [sym_postfix_expression] = STATE(1272),
    [sym_constructor_expression] = STATE(1272),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1272),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1272),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1272),
    [sym_prefix_expression] = STATE(1272),
    [sym_as_expression] = STATE(1272),
    [sym_selector_expression] = STATE(1272),
    [sym__binary_expression] = STATE(1272),
    [sym_multiplicative_expression] = STATE(1272),
    [sym_additive_expression] = STATE(1272),
    [sym_range_expression] = STATE(1272),
    [sym_infix_expression] = STATE(1272),
    [sym_nil_coalescing_expression] = STATE(1272),
    [sym_check_expression] = STATE(1272),
    [sym_comparison_expression] = STATE(1272),
    [sym_equality_expression] = STATE(1272),
    [sym_conjunction_expression] = STATE(1272),
    [sym_disjunction_expression] = STATE(1272),
    [sym_bitwise_operation] = STATE(1272),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1272),
    [sym_await_expression] = STATE(1272),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1272),
    [sym_call_expression] = STATE(1272),
    [sym__primary_expression] = STATE(1272),
    [sym_tuple_expression] = STATE(1272),
    [sym_array_literal] = STATE(1272),
    [sym_dictionary_literal] = STATE(1272),
    [sym__special_literal] = STATE(1272),
    [sym__playground_literal] = STATE(1272),
    [sym_lambda_literal] = STATE(1272),
    [sym_self_expression] = STATE(1272),
    [sym_super_expression] = STATE(1272),
    [sym_if_statement] = STATE(1272),
    [sym_switch_statement] = STATE(1272),
    [sym_key_path_expression] = STATE(1272),
    [sym_key_path_string_expression] = STATE(1272),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1272),
    [sym__equality_operator] = STATE(1272),
    [sym__comparison_operator] = STATE(1272),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1272),
    [sym__multiplicative_operator] = STATE(1272),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym_assignment] = STATE(1272),
    [sym_value_parameter_pack] = STATE(1272),
    [sym_value_pack_expansion] = STATE(1272),
    [sym__referenceable_operator] = STATE(1272),
    [sym__equal_sign] = STATE(1272),
    [sym__eq_eq] = STATE(1272),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__parameter_ownership_modifier] = STATE(2115),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(11),
    [aux_sym_simple_identifier_token2] = ACTIONS(13),
    [aux_sym_simple_identifier_token3] = ACTIONS(13),
    [aux_sym_simple_identifier_token4] = ACTIONS(13),
    [anon_sym_actor] = ACTIONS(11),
    [anon_sym_async] = ACTIONS(11),
    [anon_sym_each] = ACTIONS(19),
    [anon_sym_lazy] = ACTIONS(11),
    [anon_sym_repeat] = ACTIONS(937),
    [anon_sym_package] = ACTIONS(11),
    [anon_sym_nil] = ACTIONS(1919),
    [sym_real_literal] = ACTIONS(1921),
    [sym_integer_literal] = ACTIONS(1919),
    [sym_hex_literal] = ACTIONS(1921),
    [sym_oct_literal] = ACTIONS(1921),
    [sym_bin_literal] = ACTIONS(1921),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(1919),
    [anon_sym_GT] = ACTIONS(1919),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(1919),
    [anon_sym_POUNDfileID] = ACTIONS(1921),
    [anon_sym_POUNDfilePath] = ACTIONS(1921),
    [anon_sym_POUNDline] = ACTIONS(1921),
    [anon_sym_POUNDcolumn] = ACTIONS(1921),
    [anon_sym_POUNDfunction] = ACTIONS(1921),
    [anon_sym_POUNDdsohandle] = ACTIONS(1921),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_self] = ACTIONS(65),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1921),
    [anon_sym_DASH_EQ] = ACTIONS(1921),
    [anon_sym_STAR_EQ] = ACTIONS(1921),
    [anon_sym_SLASH_EQ] = ACTIONS(1921),
    [anon_sym_PERCENT_EQ] = ACTIONS(1921),
    [anon_sym_BANG_EQ] = ACTIONS(1919),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1921),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1921),
    [anon_sym_LT_EQ] = ACTIONS(1921),
    [anon_sym_GT_EQ] = ACTIONS(1921),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(1919),
    [anon_sym_SLASH] = ACTIONS(1919),
    [anon_sym_PERCENT] = ACTIONS(1919),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(1921),
    [anon_sym_CARET] = ACTIONS(1919),
    [anon_sym_LT_LT] = ACTIONS(1921),
    [anon_sym_GT_GT] = ACTIONS(1921),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_borrowing] = ACTIONS(11),
    [anon_sym_consuming] = ACTIONS(11),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(1921),
    [sym__eq_eq_custom] = ACTIONS(1921),
    [sym__plus_then_ws] = ACTIONS(1921),
    [sym__minus_then_ws] = ACTIONS(1921),
    [sym__bang_custom] = ACTIONS(151),
    [sym__custom_operator] = ACTIONS(57),
  },
  [474] = {
    [sym_simple_identifier] = STATE(2276),
    [sym__contextual_simple_identifier] = STATE(2115),
    [sym__basic_literal] = STATE(1270),
    [sym_boolean_literal] = STATE(1270),
    [sym__string_literal] = STATE(1270),
    [sym_line_string_literal] = STATE(1270),
    [sym_multi_line_string_literal] = STATE(1270),
    [sym_raw_string_literal] = STATE(1270),
    [sym_regex_literal] = STATE(1270),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1270),
    [sym__unary_expression] = STATE(1270),
    [sym_postfix_expression] = STATE(1270),
    [sym_constructor_expression] = STATE(1270),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1270),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1270),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1270),
    [sym_prefix_expression] = STATE(1270),
    [sym_as_expression] = STATE(1270),
    [sym_selector_expression] = STATE(1270),
    [sym__binary_expression] = STATE(1270),
    [sym_multiplicative_expression] = STATE(1270),
    [sym_additive_expression] = STATE(1270),
    [sym_range_expression] = STATE(1270),
    [sym_infix_expression] = STATE(1270),
    [sym_nil_coalescing_expression] = STATE(1270),
    [sym_check_expression] = STATE(1270),
    [sym_comparison_expression] = STATE(1270),
    [sym_equality_expression] = STATE(1270),
    [sym_conjunction_expression] = STATE(1270),
    [sym_disjunction_expression] = STATE(1270),
    [sym_bitwise_operation] = STATE(1270),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1270),
    [sym_await_expression] = STATE(1270),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1270),
    [sym_call_expression] = STATE(1270),
    [sym__primary_expression] = STATE(1270),
    [sym_tuple_expression] = STATE(1270),
    [sym_array_literal] = STATE(1270),
    [sym_dictionary_literal] = STATE(1270),
    [sym__special_literal] = STATE(1270),
    [sym__playground_literal] = STATE(1270),
    [sym_lambda_literal] = STATE(1270),
    [sym_self_expression] = STATE(1270),
    [sym_super_expression] = STATE(1270),
    [sym_if_statement] = STATE(1270),
    [sym_switch_statement] = STATE(1270),
    [sym_key_path_expression] = STATE(1270),
    [sym_key_path_string_expression] = STATE(1270),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1270),
    [sym__equality_operator] = STATE(1270),
    [sym__comparison_operator] = STATE(1270),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1270),
    [sym__multiplicative_operator] = STATE(1270),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym_assignment] = STATE(1270),
    [sym_value_parameter_pack] = STATE(1270),
    [sym_value_pack_expansion] = STATE(1270),
    [sym__referenceable_operator] = STATE(1270),
    [sym__equal_sign] = STATE(1270),
    [sym__eq_eq] = STATE(1270),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__parameter_ownership_modifier] = STATE(2115),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(11),
    [aux_sym_simple_identifier_token2] = ACTIONS(13),
    [aux_sym_simple_identifier_token3] = ACTIONS(13),
    [aux_sym_simple_identifier_token4] = ACTIONS(13),
    [anon_sym_actor] = ACTIONS(11),
    [anon_sym_async] = ACTIONS(11),
    [anon_sym_each] = ACTIONS(19),
    [anon_sym_lazy] = ACTIONS(11),
    [anon_sym_repeat] = ACTIONS(937),
    [anon_sym_package] = ACTIONS(11),
    [anon_sym_nil] = ACTIONS(1923),
    [sym_real_literal] = ACTIONS(1925),
    [sym_integer_literal] = ACTIONS(1923),
    [sym_hex_literal] = ACTIONS(1925),
    [sym_oct_literal] = ACTIONS(1925),
    [sym_bin_literal] = ACTIONS(1925),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(1923),
    [anon_sym_GT] = ACTIONS(1923),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(1923),
    [anon_sym_POUNDfileID] = ACTIONS(1925),
    [anon_sym_POUNDfilePath] = ACTIONS(1925),
    [anon_sym_POUNDline] = ACTIONS(1925),
    [anon_sym_POUNDcolumn] = ACTIONS(1925),
    [anon_sym_POUNDfunction] = ACTIONS(1925),
    [anon_sym_POUNDdsohandle] = ACTIONS(1925),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_self] = ACTIONS(65),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1925),
    [anon_sym_DASH_EQ] = ACTIONS(1925),
    [anon_sym_STAR_EQ] = ACTIONS(1925),
    [anon_sym_SLASH_EQ] = ACTIONS(1925),
    [anon_sym_PERCENT_EQ] = ACTIONS(1925),
    [anon_sym_BANG_EQ] = ACTIONS(1923),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1925),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1925),
    [anon_sym_LT_EQ] = ACTIONS(1925),
    [anon_sym_GT_EQ] = ACTIONS(1925),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(1923),
    [anon_sym_SLASH] = ACTIONS(1923),
    [anon_sym_PERCENT] = ACTIONS(1923),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(1925),
    [anon_sym_CARET] = ACTIONS(1923),
    [anon_sym_LT_LT] = ACTIONS(1925),
    [anon_sym_GT_GT] = ACTIONS(1925),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_borrowing] = ACTIONS(11),
    [anon_sym_consuming] = ACTIONS(11),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(1925),
    [sym__eq_eq_custom] = ACTIONS(1925),
    [sym__plus_then_ws] = ACTIONS(1925),
    [sym__minus_then_ws] = ACTIONS(1925),
    [sym__bang_custom] = ACTIONS(151),
    [sym__custom_operator] = ACTIONS(57),
  },
  [475] = {
    [sym_simple_identifier] = STATE(2276),
    [sym__contextual_simple_identifier] = STATE(2115),
    [sym__basic_literal] = STATE(1279),
    [sym_boolean_literal] = STATE(1279),
    [sym__string_literal] = STATE(1279),
    [sym_line_string_literal] = STATE(1279),
    [sym_multi_line_string_literal] = STATE(1279),
    [sym_raw_string_literal] = STATE(1279),
    [sym_regex_literal] = STATE(1279),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1279),
    [sym__unary_expression] = STATE(1279),
    [sym_postfix_expression] = STATE(1279),
    [sym_constructor_expression] = STATE(1279),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1279),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1279),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1279),
    [sym_prefix_expression] = STATE(1279),
    [sym_as_expression] = STATE(1279),
    [sym_selector_expression] = STATE(1279),
    [sym__binary_expression] = STATE(1279),
    [sym_multiplicative_expression] = STATE(1279),
    [sym_additive_expression] = STATE(1279),
    [sym_range_expression] = STATE(1279),
    [sym_infix_expression] = STATE(1279),
    [sym_nil_coalescing_expression] = STATE(1279),
    [sym_check_expression] = STATE(1279),
    [sym_comparison_expression] = STATE(1279),
    [sym_equality_expression] = STATE(1279),
    [sym_conjunction_expression] = STATE(1279),
    [sym_disjunction_expression] = STATE(1279),
    [sym_bitwise_operation] = STATE(1279),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1279),
    [sym_await_expression] = STATE(1279),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1279),
    [sym_call_expression] = STATE(1279),
    [sym__primary_expression] = STATE(1279),
    [sym_tuple_expression] = STATE(1279),
    [sym_array_literal] = STATE(1279),
    [sym_dictionary_literal] = STATE(1279),
    [sym__special_literal] = STATE(1279),
    [sym__playground_literal] = STATE(1279),
    [sym_lambda_literal] = STATE(1279),
    [sym_self_expression] = STATE(1279),
    [sym_super_expression] = STATE(1279),
    [sym_if_statement] = STATE(1279),
    [sym_switch_statement] = STATE(1279),
    [sym_key_path_expression] = STATE(1279),
    [sym_key_path_string_expression] = STATE(1279),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1279),
    [sym__equality_operator] = STATE(1279),
    [sym__comparison_operator] = STATE(1279),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1279),
    [sym__multiplicative_operator] = STATE(1279),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym_assignment] = STATE(1279),
    [sym_value_parameter_pack] = STATE(1279),
    [sym_value_pack_expansion] = STATE(1279),
    [sym__referenceable_operator] = STATE(1279),
    [sym__equal_sign] = STATE(1279),
    [sym__eq_eq] = STATE(1279),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__parameter_ownership_modifier] = STATE(2115),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(11),
    [aux_sym_simple_identifier_token2] = ACTIONS(13),
    [aux_sym_simple_identifier_token3] = ACTIONS(13),
    [aux_sym_simple_identifier_token4] = ACTIONS(13),
    [anon_sym_actor] = ACTIONS(11),
    [anon_sym_async] = ACTIONS(11),
    [anon_sym_each] = ACTIONS(19),
    [anon_sym_lazy] = ACTIONS(11),
    [anon_sym_repeat] = ACTIONS(937),
    [anon_sym_package] = ACTIONS(11),
    [anon_sym_nil] = ACTIONS(1927),
    [sym_real_literal] = ACTIONS(1929),
    [sym_integer_literal] = ACTIONS(1927),
    [sym_hex_literal] = ACTIONS(1929),
    [sym_oct_literal] = ACTIONS(1929),
    [sym_bin_literal] = ACTIONS(1929),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(1927),
    [anon_sym_GT] = ACTIONS(1927),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(1927),
    [anon_sym_POUNDfileID] = ACTIONS(1929),
    [anon_sym_POUNDfilePath] = ACTIONS(1929),
    [anon_sym_POUNDline] = ACTIONS(1929),
    [anon_sym_POUNDcolumn] = ACTIONS(1929),
    [anon_sym_POUNDfunction] = ACTIONS(1929),
    [anon_sym_POUNDdsohandle] = ACTIONS(1929),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_self] = ACTIONS(65),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1929),
    [anon_sym_DASH_EQ] = ACTIONS(1929),
    [anon_sym_STAR_EQ] = ACTIONS(1929),
    [anon_sym_SLASH_EQ] = ACTIONS(1929),
    [anon_sym_PERCENT_EQ] = ACTIONS(1929),
    [anon_sym_BANG_EQ] = ACTIONS(1927),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1929),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1929),
    [anon_sym_LT_EQ] = ACTIONS(1929),
    [anon_sym_GT_EQ] = ACTIONS(1929),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(1927),
    [anon_sym_SLASH] = ACTIONS(1927),
    [anon_sym_PERCENT] = ACTIONS(1927),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(1929),
    [anon_sym_CARET] = ACTIONS(1927),
    [anon_sym_LT_LT] = ACTIONS(1929),
    [anon_sym_GT_GT] = ACTIONS(1929),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_borrowing] = ACTIONS(11),
    [anon_sym_consuming] = ACTIONS(11),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(1929),
    [sym__eq_eq_custom] = ACTIONS(1929),
    [sym__plus_then_ws] = ACTIONS(1929),
    [sym__minus_then_ws] = ACTIONS(1929),
    [sym__bang_custom] = ACTIONS(151),
    [sym__custom_operator] = ACTIONS(57),
  },
  [476] = {
    [sym_simple_identifier] = STATE(2276),
    [sym__contextual_simple_identifier] = STATE(2115),
    [sym__basic_literal] = STATE(1269),
    [sym_boolean_literal] = STATE(1269),
    [sym__string_literal] = STATE(1269),
    [sym_line_string_literal] = STATE(1269),
    [sym_multi_line_string_literal] = STATE(1269),
    [sym_raw_string_literal] = STATE(1269),
    [sym_regex_literal] = STATE(1269),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1269),
    [sym__unary_expression] = STATE(1269),
    [sym_postfix_expression] = STATE(1269),
    [sym_constructor_expression] = STATE(1269),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1269),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1269),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1269),
    [sym_prefix_expression] = STATE(1269),
    [sym_as_expression] = STATE(1269),
    [sym_selector_expression] = STATE(1269),
    [sym__binary_expression] = STATE(1269),
    [sym_multiplicative_expression] = STATE(1269),
    [sym_additive_expression] = STATE(1269),
    [sym_range_expression] = STATE(1269),
    [sym_infix_expression] = STATE(1269),
    [sym_nil_coalescing_expression] = STATE(1269),
    [sym_check_expression] = STATE(1269),
    [sym_comparison_expression] = STATE(1269),
    [sym_equality_expression] = STATE(1269),
    [sym_conjunction_expression] = STATE(1269),
    [sym_disjunction_expression] = STATE(1269),
    [sym_bitwise_operation] = STATE(1269),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1269),
    [sym_await_expression] = STATE(1269),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1269),
    [sym_call_expression] = STATE(1269),
    [sym__primary_expression] = STATE(1269),
    [sym_tuple_expression] = STATE(1269),
    [sym_array_literal] = STATE(1269),
    [sym_dictionary_literal] = STATE(1269),
    [sym__special_literal] = STATE(1269),
    [sym__playground_literal] = STATE(1269),
    [sym_lambda_literal] = STATE(1269),
    [sym_self_expression] = STATE(1269),
    [sym_super_expression] = STATE(1269),
    [sym_if_statement] = STATE(1269),
    [sym_switch_statement] = STATE(1269),
    [sym_key_path_expression] = STATE(1269),
    [sym_key_path_string_expression] = STATE(1269),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1269),
    [sym__equality_operator] = STATE(1269),
    [sym__comparison_operator] = STATE(1269),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1269),
    [sym__multiplicative_operator] = STATE(1269),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym_assignment] = STATE(1269),
    [sym_value_parameter_pack] = STATE(1269),
    [sym_value_pack_expansion] = STATE(1269),
    [sym__referenceable_operator] = STATE(1269),
    [sym__equal_sign] = STATE(1269),
    [sym__eq_eq] = STATE(1269),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__parameter_ownership_modifier] = STATE(2115),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(11),
    [aux_sym_simple_identifier_token2] = ACTIONS(13),
    [aux_sym_simple_identifier_token3] = ACTIONS(13),
    [aux_sym_simple_identifier_token4] = ACTIONS(13),
    [anon_sym_actor] = ACTIONS(11),
    [anon_sym_async] = ACTIONS(11),
    [anon_sym_each] = ACTIONS(19),
    [anon_sym_lazy] = ACTIONS(11),
    [anon_sym_repeat] = ACTIONS(937),
    [anon_sym_package] = ACTIONS(11),
    [anon_sym_nil] = ACTIONS(1931),
    [sym_real_literal] = ACTIONS(1933),
    [sym_integer_literal] = ACTIONS(1931),
    [sym_hex_literal] = ACTIONS(1933),
    [sym_oct_literal] = ACTIONS(1933),
    [sym_bin_literal] = ACTIONS(1933),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(1931),
    [anon_sym_GT] = ACTIONS(1931),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(1931),
    [anon_sym_POUNDfileID] = ACTIONS(1933),
    [anon_sym_POUNDfilePath] = ACTIONS(1933),
    [anon_sym_POUNDline] = ACTIONS(1933),
    [anon_sym_POUNDcolumn] = ACTIONS(1933),
    [anon_sym_POUNDfunction] = ACTIONS(1933),
    [anon_sym_POUNDdsohandle] = ACTIONS(1933),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_self] = ACTIONS(65),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1933),
    [anon_sym_DASH_EQ] = ACTIONS(1933),
    [anon_sym_STAR_EQ] = ACTIONS(1933),
    [anon_sym_SLASH_EQ] = ACTIONS(1933),
    [anon_sym_PERCENT_EQ] = ACTIONS(1933),
    [anon_sym_BANG_EQ] = ACTIONS(1931),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1933),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1933),
    [anon_sym_LT_EQ] = ACTIONS(1933),
    [anon_sym_GT_EQ] = ACTIONS(1933),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(1931),
    [anon_sym_SLASH] = ACTIONS(1931),
    [anon_sym_PERCENT] = ACTIONS(1931),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(1933),
    [anon_sym_CARET] = ACTIONS(1931),
    [anon_sym_LT_LT] = ACTIONS(1933),
    [anon_sym_GT_GT] = ACTIONS(1933),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_borrowing] = ACTIONS(11),
    [anon_sym_consuming] = ACTIONS(11),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(1933),
    [sym__eq_eq_custom] = ACTIONS(1933),
    [sym__plus_then_ws] = ACTIONS(1933),
    [sym__minus_then_ws] = ACTIONS(1933),
    [sym__bang_custom] = ACTIONS(151),
    [sym__custom_operator] = ACTIONS(57),
  },
  [477] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1446),
    [sym_boolean_literal] = STATE(1446),
    [sym__string_literal] = STATE(1446),
    [sym_line_string_literal] = STATE(1446),
    [sym_multi_line_string_literal] = STATE(1446),
    [sym_raw_string_literal] = STATE(1446),
    [sym_regex_literal] = STATE(1446),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1446),
    [sym__unary_expression] = STATE(1446),
    [sym_postfix_expression] = STATE(1446),
    [sym_constructor_expression] = STATE(1446),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1446),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1446),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1446),
    [sym_prefix_expression] = STATE(1446),
    [sym_as_expression] = STATE(1446),
    [sym_selector_expression] = STATE(1446),
    [sym__binary_expression] = STATE(1446),
    [sym_multiplicative_expression] = STATE(1446),
    [sym_additive_expression] = STATE(1446),
    [sym_range_expression] = STATE(1446),
    [sym_infix_expression] = STATE(1446),
    [sym_nil_coalescing_expression] = STATE(1446),
    [sym_check_expression] = STATE(1446),
    [sym_comparison_expression] = STATE(1446),
    [sym_equality_expression] = STATE(1446),
    [sym_conjunction_expression] = STATE(1446),
    [sym_disjunction_expression] = STATE(1446),
    [sym_bitwise_operation] = STATE(1446),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1446),
    [sym_await_expression] = STATE(1446),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1446),
    [sym_call_expression] = STATE(1446),
    [sym__primary_expression] = STATE(1446),
    [sym_tuple_expression] = STATE(1446),
    [sym_array_literal] = STATE(1446),
    [sym_dictionary_literal] = STATE(1446),
    [sym__special_literal] = STATE(1446),
    [sym__playground_literal] = STATE(1446),
    [sym_lambda_literal] = STATE(1446),
    [sym_self_expression] = STATE(1446),
    [sym_super_expression] = STATE(1446),
    [sym_if_statement] = STATE(1446),
    [sym_switch_statement] = STATE(1446),
    [sym_key_path_expression] = STATE(1446),
    [sym_key_path_string_expression] = STATE(1446),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1446),
    [sym__equality_operator] = STATE(1446),
    [sym__comparison_operator] = STATE(1446),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1446),
    [sym__multiplicative_operator] = STATE(1446),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1446),
    [sym_value_parameter_pack] = STATE(1446),
    [sym_value_pack_expansion] = STATE(1446),
    [sym__referenceable_operator] = STATE(1446),
    [sym__equal_sign] = STATE(1446),
    [sym__eq_eq] = STATE(1446),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1935),
    [sym_real_literal] = ACTIONS(1937),
    [sym_integer_literal] = ACTIONS(1935),
    [sym_hex_literal] = ACTIONS(1937),
    [sym_oct_literal] = ACTIONS(1937),
    [sym_bin_literal] = ACTIONS(1937),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1935),
    [anon_sym_GT] = ACTIONS(1935),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1935),
    [anon_sym_POUNDfileID] = ACTIONS(1937),
    [anon_sym_POUNDfilePath] = ACTIONS(1937),
    [anon_sym_POUNDline] = ACTIONS(1937),
    [anon_sym_POUNDcolumn] = ACTIONS(1937),
    [anon_sym_POUNDfunction] = ACTIONS(1937),
    [anon_sym_POUNDdsohandle] = ACTIONS(1937),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1937),
    [anon_sym_DASH_EQ] = ACTIONS(1937),
    [anon_sym_STAR_EQ] = ACTIONS(1937),
    [anon_sym_SLASH_EQ] = ACTIONS(1937),
    [anon_sym_PERCENT_EQ] = ACTIONS(1937),
    [anon_sym_BANG_EQ] = ACTIONS(1935),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1937),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1937),
    [anon_sym_LT_EQ] = ACTIONS(1937),
    [anon_sym_GT_EQ] = ACTIONS(1937),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1935),
    [anon_sym_SLASH] = ACTIONS(1935),
    [anon_sym_PERCENT] = ACTIONS(1935),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1937),
    [anon_sym_CARET] = ACTIONS(1935),
    [anon_sym_LT_LT] = ACTIONS(1937),
    [anon_sym_GT_GT] = ACTIONS(1937),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1937),
    [sym__eq_eq_custom] = ACTIONS(1937),
    [sym__plus_then_ws] = ACTIONS(1937),
    [sym__minus_then_ws] = ACTIONS(1937),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [478] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1320),
    [sym_boolean_literal] = STATE(1320),
    [sym__string_literal] = STATE(1320),
    [sym_line_string_literal] = STATE(1320),
    [sym_multi_line_string_literal] = STATE(1320),
    [sym_raw_string_literal] = STATE(1320),
    [sym_regex_literal] = STATE(1320),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1320),
    [sym__unary_expression] = STATE(1320),
    [sym_postfix_expression] = STATE(1320),
    [sym_constructor_expression] = STATE(1320),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1320),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1320),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1320),
    [sym_prefix_expression] = STATE(1320),
    [sym_as_expression] = STATE(1320),
    [sym_selector_expression] = STATE(1320),
    [sym__binary_expression] = STATE(1320),
    [sym_multiplicative_expression] = STATE(1320),
    [sym_additive_expression] = STATE(1320),
    [sym_range_expression] = STATE(1320),
    [sym_infix_expression] = STATE(1320),
    [sym_nil_coalescing_expression] = STATE(1320),
    [sym_check_expression] = STATE(1320),
    [sym_comparison_expression] = STATE(1320),
    [sym_equality_expression] = STATE(1320),
    [sym_conjunction_expression] = STATE(1320),
    [sym_disjunction_expression] = STATE(1320),
    [sym_bitwise_operation] = STATE(1320),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1320),
    [sym_await_expression] = STATE(1320),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1320),
    [sym_call_expression] = STATE(1320),
    [sym__primary_expression] = STATE(1320),
    [sym_tuple_expression] = STATE(1320),
    [sym_array_literal] = STATE(1320),
    [sym_dictionary_literal] = STATE(1320),
    [sym__special_literal] = STATE(1320),
    [sym__playground_literal] = STATE(1320),
    [sym_lambda_literal] = STATE(1320),
    [sym_self_expression] = STATE(1320),
    [sym_super_expression] = STATE(1320),
    [sym_if_statement] = STATE(1320),
    [sym_switch_statement] = STATE(1320),
    [sym_key_path_expression] = STATE(1320),
    [sym_key_path_string_expression] = STATE(1320),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1320),
    [sym__equality_operator] = STATE(1320),
    [sym__comparison_operator] = STATE(1320),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1320),
    [sym__multiplicative_operator] = STATE(1320),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1320),
    [sym_value_parameter_pack] = STATE(1320),
    [sym_value_pack_expansion] = STATE(1320),
    [sym__referenceable_operator] = STATE(1320),
    [sym__equal_sign] = STATE(1320),
    [sym__eq_eq] = STATE(1320),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1939),
    [sym_real_literal] = ACTIONS(1941),
    [sym_integer_literal] = ACTIONS(1939),
    [sym_hex_literal] = ACTIONS(1941),
    [sym_oct_literal] = ACTIONS(1941),
    [sym_bin_literal] = ACTIONS(1941),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1939),
    [anon_sym_GT] = ACTIONS(1939),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1939),
    [anon_sym_POUNDfileID] = ACTIONS(1941),
    [anon_sym_POUNDfilePath] = ACTIONS(1941),
    [anon_sym_POUNDline] = ACTIONS(1941),
    [anon_sym_POUNDcolumn] = ACTIONS(1941),
    [anon_sym_POUNDfunction] = ACTIONS(1941),
    [anon_sym_POUNDdsohandle] = ACTIONS(1941),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1941),
    [anon_sym_DASH_EQ] = ACTIONS(1941),
    [anon_sym_STAR_EQ] = ACTIONS(1941),
    [anon_sym_SLASH_EQ] = ACTIONS(1941),
    [anon_sym_PERCENT_EQ] = ACTIONS(1941),
    [anon_sym_BANG_EQ] = ACTIONS(1939),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1941),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1941),
    [anon_sym_LT_EQ] = ACTIONS(1941),
    [anon_sym_GT_EQ] = ACTIONS(1941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1939),
    [anon_sym_SLASH] = ACTIONS(1939),
    [anon_sym_PERCENT] = ACTIONS(1939),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1941),
    [anon_sym_CARET] = ACTIONS(1939),
    [anon_sym_LT_LT] = ACTIONS(1941),
    [anon_sym_GT_GT] = ACTIONS(1941),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1941),
    [sym__eq_eq_custom] = ACTIONS(1941),
    [sym__plus_then_ws] = ACTIONS(1941),
    [sym__minus_then_ws] = ACTIONS(1941),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [479] = {
    [sym_simple_identifier] = STATE(1141),
    [sym__contextual_simple_identifier] = STATE(1051),
    [sym__basic_literal] = STATE(660),
    [sym_boolean_literal] = STATE(660),
    [sym__string_literal] = STATE(660),
    [sym_line_string_literal] = STATE(660),
    [sym_multi_line_string_literal] = STATE(660),
    [sym_raw_string_literal] = STATE(660),
    [sym_regex_literal] = STATE(660),
    [sym__multiline_regex_literal] = STATE(1215),
    [sym_user_type] = STATE(5510),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5510),
    [sym_dictionary_type] = STATE(5510),
    [sym__expression] = STATE(660),
    [sym__unary_expression] = STATE(660),
    [sym_postfix_expression] = STATE(660),
    [sym_constructor_expression] = STATE(660),
    [sym__parenthesized_type] = STATE(6558),
    [sym_navigation_expression] = STATE(660),
    [sym__navigable_type_expression] = STATE(6557),
    [sym_open_start_range_expression] = STATE(660),
    [sym__range_operator] = STATE(523),
    [sym_open_end_range_expression] = STATE(660),
    [sym_prefix_expression] = STATE(660),
    [sym_as_expression] = STATE(660),
    [sym_selector_expression] = STATE(660),
    [sym__binary_expression] = STATE(660),
    [sym_multiplicative_expression] = STATE(660),
    [sym_additive_expression] = STATE(660),
    [sym_range_expression] = STATE(660),
    [sym_infix_expression] = STATE(660),
    [sym_nil_coalescing_expression] = STATE(660),
    [sym_check_expression] = STATE(660),
    [sym_comparison_expression] = STATE(660),
    [sym_equality_expression] = STATE(660),
    [sym_conjunction_expression] = STATE(660),
    [sym_disjunction_expression] = STATE(660),
    [sym_bitwise_operation] = STATE(660),
    [sym_custom_operator] = STATE(628),
    [sym_try_expression] = STATE(660),
    [sym_await_expression] = STATE(660),
    [sym__await_operator] = STATE(518),
    [sym_ternary_expression] = STATE(660),
    [sym_call_expression] = STATE(660),
    [sym__primary_expression] = STATE(660),
    [sym_tuple_expression] = STATE(660),
    [sym_array_literal] = STATE(660),
    [sym_dictionary_literal] = STATE(660),
    [sym__special_literal] = STATE(660),
    [sym__playground_literal] = STATE(660),
    [sym_lambda_literal] = STATE(660),
    [sym_self_expression] = STATE(660),
    [sym_super_expression] = STATE(660),
    [sym_if_statement] = STATE(660),
    [sym_switch_statement] = STATE(660),
    [sym_key_path_expression] = STATE(660),
    [sym_key_path_string_expression] = STATE(660),
    [sym_try_operator] = STATE(515),
    [sym__assignment_and_operator] = STATE(660),
    [sym__equality_operator] = STATE(660),
    [sym__comparison_operator] = STATE(660),
    [sym__three_dot_operator] = STATE(625),
    [sym__open_ended_range_operator] = STATE(523),
    [sym__additive_operator] = STATE(660),
    [sym__multiplicative_operator] = STATE(660),
    [sym__prefix_unary_operator] = STATE(509),
    [sym_directly_assignable_expression] = STATE(5511),
    [sym_assignment] = STATE(660),
    [sym_value_parameter_pack] = STATE(660),
    [sym_value_pack_expansion] = STATE(660),
    [sym__referenceable_operator] = STATE(660),
    [sym__equal_sign] = STATE(660),
    [sym__eq_eq] = STATE(660),
    [sym__dot] = STATE(509),
    [sym_bang] = STATE(628),
    [sym__parameter_ownership_modifier] = STATE(1051),
    [aux_sym_raw_string_literal_repeat1] = STATE(6487),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(291),
    [aux_sym_simple_identifier_token2] = ACTIONS(293),
    [aux_sym_simple_identifier_token3] = ACTIONS(293),
    [aux_sym_simple_identifier_token4] = ACTIONS(293),
    [anon_sym_actor] = ACTIONS(291),
    [anon_sym_async] = ACTIONS(291),
    [anon_sym_each] = ACTIONS(299),
    [anon_sym_lazy] = ACTIONS(291),
    [anon_sym_repeat] = ACTIONS(747),
    [anon_sym_package] = ACTIONS(291),
    [anon_sym_nil] = ACTIONS(1943),
    [sym_real_literal] = ACTIONS(1945),
    [sym_integer_literal] = ACTIONS(1943),
    [sym_hex_literal] = ACTIONS(1945),
    [sym_oct_literal] = ACTIONS(1945),
    [sym_bin_literal] = ACTIONS(1945),
    [anon_sym_true] = ACTIONS(309),
    [anon_sym_false] = ACTIONS(309),
    [anon_sym_DQUOTE] = ACTIONS(311),
    [anon_sym_BSLASH] = ACTIONS(313),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(315),
    [sym__extended_regex_literal] = ACTIONS(317),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(319),
    [sym__oneline_regex_literal] = ACTIONS(321),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_LBRACK] = ACTIONS(325),
    [anon_sym_AMP] = ACTIONS(327),
    [anon_sym_if] = ACTIONS(329),
    [anon_sym_switch] = ACTIONS(331),
    [anon_sym_POUNDselector] = ACTIONS(333),
    [aux_sym_custom_operator_token1] = ACTIONS(335),
    [anon_sym_LT] = ACTIONS(1943),
    [anon_sym_GT] = ACTIONS(1943),
    [anon_sym_await] = ACTIONS(337),
    [anon_sym_POUNDfile] = ACTIONS(1943),
    [anon_sym_POUNDfileID] = ACTIONS(1945),
    [anon_sym_POUNDfilePath] = ACTIONS(1945),
    [anon_sym_POUNDline] = ACTIONS(1945),
    [anon_sym_POUNDcolumn] = ACTIONS(1945),
    [anon_sym_POUNDfunction] = ACTIONS(1945),
    [anon_sym_POUNDdsohandle] = ACTIONS(1945),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(339),
    [anon_sym_POUNDfileLiteral] = ACTIONS(339),
    [anon_sym_POUNDimageLiteral] = ACTIONS(339),
    [anon_sym_LBRACE] = ACTIONS(341),
    [anon_sym_CARET_LBRACE] = ACTIONS(341),
    [anon_sym_self] = ACTIONS(345),
    [anon_sym_super] = ACTIONS(347),
    [anon_sym_POUNDkeyPath] = ACTIONS(353),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1945),
    [anon_sym_DASH_EQ] = ACTIONS(1945),
    [anon_sym_STAR_EQ] = ACTIONS(1945),
    [anon_sym_SLASH_EQ] = ACTIONS(1945),
    [anon_sym_PERCENT_EQ] = ACTIONS(1945),
    [anon_sym_BANG_EQ] = ACTIONS(1943),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1945),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1945),
    [anon_sym_LT_EQ] = ACTIONS(1945),
    [anon_sym_GT_EQ] = ACTIONS(1945),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(355),
    [anon_sym_DOT_DOT_LT] = ACTIONS(357),
    [anon_sym_PLUS] = ACTIONS(359),
    [anon_sym_DASH] = ACTIONS(359),
    [anon_sym_STAR] = ACTIONS(1943),
    [anon_sym_SLASH] = ACTIONS(1943),
    [anon_sym_PERCENT] = ACTIONS(1943),
    [anon_sym_PLUS_PLUS] = ACTIONS(327),
    [anon_sym_DASH_DASH] = ACTIONS(327),
    [anon_sym_TILDE] = ACTIONS(327),
    [anon_sym_PIPE] = ACTIONS(1945),
    [anon_sym_CARET] = ACTIONS(1943),
    [anon_sym_LT_LT] = ACTIONS(1945),
    [anon_sym_GT_GT] = ACTIONS(1945),
    [anon_sym_BANG2] = ACTIONS(381),
    [anon_sym_borrowing] = ACTIONS(291),
    [anon_sym_consuming] = ACTIONS(291),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(383),
    [sym__dot_custom] = ACTIONS(385),
    [sym__eq_custom] = ACTIONS(1945),
    [sym__eq_eq_custom] = ACTIONS(1945),
    [sym__plus_then_ws] = ACTIONS(1945),
    [sym__minus_then_ws] = ACTIONS(1945),
    [sym__bang_custom] = ACTIONS(387),
    [sym__custom_operator] = ACTIONS(335),
  },
  [480] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(631),
    [sym_boolean_literal] = STATE(631),
    [sym__string_literal] = STATE(631),
    [sym_line_string_literal] = STATE(631),
    [sym_multi_line_string_literal] = STATE(631),
    [sym_raw_string_literal] = STATE(631),
    [sym_regex_literal] = STATE(631),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5550),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5550),
    [sym_dictionary_type] = STATE(5550),
    [sym__expression] = STATE(631),
    [sym__unary_expression] = STATE(631),
    [sym_postfix_expression] = STATE(631),
    [sym_constructor_expression] = STATE(631),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(631),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(631),
    [sym__range_operator] = STATE(596),
    [sym_open_end_range_expression] = STATE(631),
    [sym_prefix_expression] = STATE(631),
    [sym_as_expression] = STATE(631),
    [sym_selector_expression] = STATE(631),
    [sym__binary_expression] = STATE(631),
    [sym_multiplicative_expression] = STATE(631),
    [sym_additive_expression] = STATE(631),
    [sym_range_expression] = STATE(631),
    [sym_infix_expression] = STATE(631),
    [sym_nil_coalescing_expression] = STATE(631),
    [sym_check_expression] = STATE(631),
    [sym_comparison_expression] = STATE(631),
    [sym_equality_expression] = STATE(631),
    [sym_conjunction_expression] = STATE(631),
    [sym_disjunction_expression] = STATE(631),
    [sym_bitwise_operation] = STATE(631),
    [sym_custom_operator] = STATE(609),
    [sym_try_expression] = STATE(631),
    [sym_await_expression] = STATE(631),
    [sym__await_operator] = STATE(599),
    [sym_ternary_expression] = STATE(631),
    [sym_call_expression] = STATE(631),
    [sym__primary_expression] = STATE(631),
    [sym_tuple_expression] = STATE(631),
    [sym_array_literal] = STATE(631),
    [sym_dictionary_literal] = STATE(631),
    [sym__special_literal] = STATE(631),
    [sym__playground_literal] = STATE(631),
    [sym_lambda_literal] = STATE(631),
    [sym_self_expression] = STATE(631),
    [sym_super_expression] = STATE(631),
    [sym_if_statement] = STATE(631),
    [sym_switch_statement] = STATE(631),
    [sym_key_path_expression] = STATE(631),
    [sym_key_path_string_expression] = STATE(631),
    [sym_try_operator] = STATE(453),
    [sym__assignment_and_operator] = STATE(631),
    [sym__equality_operator] = STATE(631),
    [sym__comparison_operator] = STATE(631),
    [sym__three_dot_operator] = STATE(604),
    [sym__open_ended_range_operator] = STATE(596),
    [sym__additive_operator] = STATE(631),
    [sym__multiplicative_operator] = STATE(631),
    [sym__prefix_unary_operator] = STATE(445),
    [sym_directly_assignable_expression] = STATE(5552),
    [sym_assignment] = STATE(631),
    [sym_value_parameter_pack] = STATE(631),
    [sym_value_pack_expansion] = STATE(631),
    [sym__referenceable_operator] = STATE(631),
    [sym__equal_sign] = STATE(631),
    [sym__eq_eq] = STATE(631),
    [sym__dot] = STATE(445),
    [sym_bang] = STATE(609),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(621),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(623),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1947),
    [sym_real_literal] = ACTIONS(1949),
    [sym_integer_literal] = ACTIONS(1947),
    [sym_hex_literal] = ACTIONS(1949),
    [sym_oct_literal] = ACTIONS(1949),
    [sym_bin_literal] = ACTIONS(1949),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(629),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(639),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(641),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(643),
    [anon_sym_LT] = ACTIONS(1947),
    [anon_sym_GT] = ACTIONS(1947),
    [anon_sym_await] = ACTIONS(645),
    [anon_sym_POUNDfile] = ACTIONS(1947),
    [anon_sym_POUNDfileID] = ACTIONS(1949),
    [anon_sym_POUNDfilePath] = ACTIONS(1949),
    [anon_sym_POUNDline] = ACTIONS(1949),
    [anon_sym_POUNDcolumn] = ACTIONS(1949),
    [anon_sym_POUNDfunction] = ACTIONS(1949),
    [anon_sym_POUNDdsohandle] = ACTIONS(1949),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1949),
    [anon_sym_DASH_EQ] = ACTIONS(1949),
    [anon_sym_STAR_EQ] = ACTIONS(1949),
    [anon_sym_SLASH_EQ] = ACTIONS(1949),
    [anon_sym_PERCENT_EQ] = ACTIONS(1949),
    [anon_sym_BANG_EQ] = ACTIONS(1947),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1949),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1949),
    [anon_sym_LT_EQ] = ACTIONS(1949),
    [anon_sym_GT_EQ] = ACTIONS(1949),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(649),
    [anon_sym_DOT_DOT_LT] = ACTIONS(651),
    [anon_sym_PLUS] = ACTIONS(653),
    [anon_sym_DASH] = ACTIONS(653),
    [anon_sym_STAR] = ACTIONS(1947),
    [anon_sym_SLASH] = ACTIONS(1947),
    [anon_sym_PERCENT] = ACTIONS(1947),
    [anon_sym_PLUS_PLUS] = ACTIONS(639),
    [anon_sym_DASH_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(639),
    [anon_sym_PIPE] = ACTIONS(1949),
    [anon_sym_CARET] = ACTIONS(1947),
    [anon_sym_LT_LT] = ACTIONS(1949),
    [anon_sym_GT_GT] = ACTIONS(1949),
    [anon_sym_BANG2] = ACTIONS(655),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(657),
    [sym__eq_custom] = ACTIONS(1949),
    [sym__eq_eq_custom] = ACTIONS(1949),
    [sym__plus_then_ws] = ACTIONS(1949),
    [sym__minus_then_ws] = ACTIONS(1949),
    [sym__bang_custom] = ACTIONS(659),
    [sym__custom_operator] = ACTIONS(643),
  },
  [481] = {
    [sym_simple_identifier] = STATE(2072),
    [sym__contextual_simple_identifier] = STATE(2016),
    [sym__basic_literal] = STATE(1250),
    [sym_boolean_literal] = STATE(1250),
    [sym__string_literal] = STATE(1250),
    [sym_line_string_literal] = STATE(1250),
    [sym_multi_line_string_literal] = STATE(1250),
    [sym_raw_string_literal] = STATE(1250),
    [sym_regex_literal] = STATE(1250),
    [sym__multiline_regex_literal] = STATE(2164),
    [sym_user_type] = STATE(5497),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5497),
    [sym_dictionary_type] = STATE(5497),
    [sym__expression] = STATE(1250),
    [sym__unary_expression] = STATE(1250),
    [sym_postfix_expression] = STATE(1250),
    [sym_constructor_expression] = STATE(1250),
    [sym__parenthesized_type] = STATE(6725),
    [sym_navigation_expression] = STATE(1250),
    [sym__navigable_type_expression] = STATE(6724),
    [sym_open_start_range_expression] = STATE(1250),
    [sym__range_operator] = STATE(467),
    [sym_open_end_range_expression] = STATE(1250),
    [sym_prefix_expression] = STATE(1250),
    [sym_as_expression] = STATE(1250),
    [sym_selector_expression] = STATE(1250),
    [sym__binary_expression] = STATE(1250),
    [sym_multiplicative_expression] = STATE(1250),
    [sym_additive_expression] = STATE(1250),
    [sym_range_expression] = STATE(1250),
    [sym_infix_expression] = STATE(1250),
    [sym_nil_coalescing_expression] = STATE(1250),
    [sym_check_expression] = STATE(1250),
    [sym_comparison_expression] = STATE(1250),
    [sym_equality_expression] = STATE(1250),
    [sym_conjunction_expression] = STATE(1250),
    [sym_disjunction_expression] = STATE(1250),
    [sym_bitwise_operation] = STATE(1250),
    [sym_custom_operator] = STATE(835),
    [sym_try_expression] = STATE(1250),
    [sym_await_expression] = STATE(1250),
    [sym__await_operator] = STATE(466),
    [sym_ternary_expression] = STATE(1250),
    [sym_call_expression] = STATE(1250),
    [sym__primary_expression] = STATE(1250),
    [sym_tuple_expression] = STATE(1250),
    [sym_array_literal] = STATE(1250),
    [sym_dictionary_literal] = STATE(1250),
    [sym__special_literal] = STATE(1250),
    [sym__playground_literal] = STATE(1250),
    [sym_lambda_literal] = STATE(1250),
    [sym_self_expression] = STATE(1250),
    [sym_super_expression] = STATE(1250),
    [sym_if_statement] = STATE(1250),
    [sym_switch_statement] = STATE(1250),
    [sym_key_path_expression] = STATE(1250),
    [sym_key_path_string_expression] = STATE(1250),
    [sym_try_operator] = STATE(455),
    [sym__assignment_and_operator] = STATE(1250),
    [sym__equality_operator] = STATE(1250),
    [sym__comparison_operator] = STATE(1250),
    [sym__three_dot_operator] = STATE(837),
    [sym__open_ended_range_operator] = STATE(467),
    [sym__additive_operator] = STATE(1250),
    [sym__multiplicative_operator] = STATE(1250),
    [sym__prefix_unary_operator] = STATE(468),
    [sym_directly_assignable_expression] = STATE(5498),
    [sym_assignment] = STATE(1250),
    [sym_value_parameter_pack] = STATE(1250),
    [sym_value_pack_expansion] = STATE(1250),
    [sym__referenceable_operator] = STATE(1250),
    [sym__equal_sign] = STATE(1250),
    [sym__eq_eq] = STATE(1250),
    [sym__dot] = STATE(468),
    [sym_bang] = STATE(835),
    [sym__parameter_ownership_modifier] = STATE(2016),
    [aux_sym_raw_string_literal_repeat1] = STATE(6553),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(971),
    [aux_sym_simple_identifier_token2] = ACTIONS(973),
    [aux_sym_simple_identifier_token3] = ACTIONS(973),
    [aux_sym_simple_identifier_token4] = ACTIONS(973),
    [anon_sym_actor] = ACTIONS(971),
    [anon_sym_async] = ACTIONS(971),
    [anon_sym_each] = ACTIONS(975),
    [anon_sym_lazy] = ACTIONS(971),
    [anon_sym_repeat] = ACTIONS(977),
    [anon_sym_package] = ACTIONS(971),
    [anon_sym_nil] = ACTIONS(1951),
    [sym_real_literal] = ACTIONS(1953),
    [sym_integer_literal] = ACTIONS(1951),
    [sym_hex_literal] = ACTIONS(1953),
    [sym_oct_literal] = ACTIONS(1953),
    [sym_bin_literal] = ACTIONS(1953),
    [anon_sym_true] = ACTIONS(983),
    [anon_sym_false] = ACTIONS(983),
    [anon_sym_DQUOTE] = ACTIONS(985),
    [anon_sym_BSLASH] = ACTIONS(987),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(989),
    [sym__extended_regex_literal] = ACTIONS(991),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(993),
    [sym__oneline_regex_literal] = ACTIONS(995),
    [anon_sym_LPAREN] = ACTIONS(997),
    [anon_sym_LBRACK] = ACTIONS(999),
    [anon_sym_AMP] = ACTIONS(1001),
    [anon_sym_if] = ACTIONS(1003),
    [anon_sym_switch] = ACTIONS(1005),
    [anon_sym_POUNDselector] = ACTIONS(1007),
    [aux_sym_custom_operator_token1] = ACTIONS(1009),
    [anon_sym_LT] = ACTIONS(1951),
    [anon_sym_GT] = ACTIONS(1951),
    [anon_sym_await] = ACTIONS(1011),
    [anon_sym_POUNDfile] = ACTIONS(1951),
    [anon_sym_POUNDfileID] = ACTIONS(1953),
    [anon_sym_POUNDfilePath] = ACTIONS(1953),
    [anon_sym_POUNDline] = ACTIONS(1953),
    [anon_sym_POUNDcolumn] = ACTIONS(1953),
    [anon_sym_POUNDfunction] = ACTIONS(1953),
    [anon_sym_POUNDdsohandle] = ACTIONS(1953),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(1013),
    [anon_sym_POUNDfileLiteral] = ACTIONS(1013),
    [anon_sym_POUNDimageLiteral] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(1015),
    [anon_sym_CARET_LBRACE] = ACTIONS(1015),
    [anon_sym_self] = ACTIONS(1017),
    [anon_sym_super] = ACTIONS(1019),
    [anon_sym_POUNDkeyPath] = ACTIONS(1021),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1953),
    [anon_sym_DASH_EQ] = ACTIONS(1953),
    [anon_sym_STAR_EQ] = ACTIONS(1953),
    [anon_sym_SLASH_EQ] = ACTIONS(1953),
    [anon_sym_PERCENT_EQ] = ACTIONS(1953),
    [anon_sym_BANG_EQ] = ACTIONS(1951),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1953),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1953),
    [anon_sym_LT_EQ] = ACTIONS(1953),
    [anon_sym_GT_EQ] = ACTIONS(1953),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1023),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1025),
    [anon_sym_PLUS] = ACTIONS(1027),
    [anon_sym_DASH] = ACTIONS(1027),
    [anon_sym_STAR] = ACTIONS(1951),
    [anon_sym_SLASH] = ACTIONS(1951),
    [anon_sym_PERCENT] = ACTIONS(1951),
    [anon_sym_PLUS_PLUS] = ACTIONS(1001),
    [anon_sym_DASH_DASH] = ACTIONS(1001),
    [anon_sym_TILDE] = ACTIONS(1001),
    [anon_sym_PIPE] = ACTIONS(1953),
    [anon_sym_CARET] = ACTIONS(1951),
    [anon_sym_LT_LT] = ACTIONS(1953),
    [anon_sym_GT_GT] = ACTIONS(1953),
    [anon_sym_BANG2] = ACTIONS(1029),
    [anon_sym_borrowing] = ACTIONS(971),
    [anon_sym_consuming] = ACTIONS(971),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(1031),
    [sym__dot_custom] = ACTIONS(1033),
    [sym__eq_custom] = ACTIONS(1953),
    [sym__eq_eq_custom] = ACTIONS(1953),
    [sym__plus_then_ws] = ACTIONS(1953),
    [sym__minus_then_ws] = ACTIONS(1953),
    [sym__bang_custom] = ACTIONS(1035),
    [sym__custom_operator] = ACTIONS(1009),
  },
  [482] = {
    [sym_simple_identifier] = STATE(2276),
    [sym__contextual_simple_identifier] = STATE(2115),
    [sym__basic_literal] = STATE(1278),
    [sym_boolean_literal] = STATE(1278),
    [sym__string_literal] = STATE(1278),
    [sym_line_string_literal] = STATE(1278),
    [sym_multi_line_string_literal] = STATE(1278),
    [sym_raw_string_literal] = STATE(1278),
    [sym_regex_literal] = STATE(1278),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1278),
    [sym__unary_expression] = STATE(1278),
    [sym_postfix_expression] = STATE(1278),
    [sym_constructor_expression] = STATE(1278),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1278),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1278),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1278),
    [sym_prefix_expression] = STATE(1278),
    [sym_as_expression] = STATE(1278),
    [sym_selector_expression] = STATE(1278),
    [sym__binary_expression] = STATE(1278),
    [sym_multiplicative_expression] = STATE(1278),
    [sym_additive_expression] = STATE(1278),
    [sym_range_expression] = STATE(1278),
    [sym_infix_expression] = STATE(1278),
    [sym_nil_coalescing_expression] = STATE(1278),
    [sym_check_expression] = STATE(1278),
    [sym_comparison_expression] = STATE(1278),
    [sym_equality_expression] = STATE(1278),
    [sym_conjunction_expression] = STATE(1278),
    [sym_disjunction_expression] = STATE(1278),
    [sym_bitwise_operation] = STATE(1278),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1278),
    [sym_await_expression] = STATE(1278),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(2412),
    [sym_call_expression] = STATE(2413),
    [sym__primary_expression] = STATE(1278),
    [sym_tuple_expression] = STATE(1278),
    [sym_array_literal] = STATE(1278),
    [sym_dictionary_literal] = STATE(1278),
    [sym__special_literal] = STATE(1278),
    [sym__playground_literal] = STATE(1278),
    [sym_lambda_literal] = STATE(1278),
    [sym_self_expression] = STATE(1278),
    [sym_super_expression] = STATE(1278),
    [sym_if_statement] = STATE(1278),
    [sym_switch_statement] = STATE(1278),
    [sym_key_path_expression] = STATE(1278),
    [sym_key_path_string_expression] = STATE(1278),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1278),
    [sym__equality_operator] = STATE(1278),
    [sym__comparison_operator] = STATE(1278),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1278),
    [sym__multiplicative_operator] = STATE(1278),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym_assignment] = STATE(1278),
    [sym_value_parameter_pack] = STATE(1278),
    [sym_value_pack_expansion] = STATE(1278),
    [sym__referenceable_operator] = STATE(1278),
    [sym__equal_sign] = STATE(1278),
    [sym__eq_eq] = STATE(1278),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__parameter_ownership_modifier] = STATE(2115),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(11),
    [aux_sym_simple_identifier_token2] = ACTIONS(13),
    [aux_sym_simple_identifier_token3] = ACTIONS(13),
    [aux_sym_simple_identifier_token4] = ACTIONS(13),
    [anon_sym_actor] = ACTIONS(11),
    [anon_sym_async] = ACTIONS(11),
    [anon_sym_each] = ACTIONS(19),
    [anon_sym_lazy] = ACTIONS(11),
    [anon_sym_repeat] = ACTIONS(937),
    [anon_sym_package] = ACTIONS(11),
    [anon_sym_nil] = ACTIONS(1955),
    [sym_real_literal] = ACTIONS(1957),
    [sym_integer_literal] = ACTIONS(1955),
    [sym_hex_literal] = ACTIONS(1957),
    [sym_oct_literal] = ACTIONS(1957),
    [sym_bin_literal] = ACTIONS(1957),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(1955),
    [anon_sym_GT] = ACTIONS(1955),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(1955),
    [anon_sym_POUNDfileID] = ACTIONS(1957),
    [anon_sym_POUNDfilePath] = ACTIONS(1957),
    [anon_sym_POUNDline] = ACTIONS(1957),
    [anon_sym_POUNDcolumn] = ACTIONS(1957),
    [anon_sym_POUNDfunction] = ACTIONS(1957),
    [anon_sym_POUNDdsohandle] = ACTIONS(1957),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_self] = ACTIONS(65),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1957),
    [anon_sym_DASH_EQ] = ACTIONS(1957),
    [anon_sym_STAR_EQ] = ACTIONS(1957),
    [anon_sym_SLASH_EQ] = ACTIONS(1957),
    [anon_sym_PERCENT_EQ] = ACTIONS(1957),
    [anon_sym_BANG_EQ] = ACTIONS(1955),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1957),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1957),
    [anon_sym_LT_EQ] = ACTIONS(1957),
    [anon_sym_GT_EQ] = ACTIONS(1957),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(1955),
    [anon_sym_SLASH] = ACTIONS(1955),
    [anon_sym_PERCENT] = ACTIONS(1955),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(1957),
    [anon_sym_CARET] = ACTIONS(1955),
    [anon_sym_LT_LT] = ACTIONS(1957),
    [anon_sym_GT_GT] = ACTIONS(1957),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_borrowing] = ACTIONS(11),
    [anon_sym_consuming] = ACTIONS(11),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(1957),
    [sym__eq_eq_custom] = ACTIONS(1957),
    [sym__plus_then_ws] = ACTIONS(1957),
    [sym__minus_then_ws] = ACTIONS(1957),
    [sym__bang_custom] = ACTIONS(151),
    [sym__custom_operator] = ACTIONS(57),
  },
  [483] = {
    [sym_simple_identifier] = STATE(2315),
    [sym__contextual_simple_identifier] = STATE(2218),
    [sym__basic_literal] = STATE(1299),
    [sym_boolean_literal] = STATE(1299),
    [sym__string_literal] = STATE(1299),
    [sym_line_string_literal] = STATE(1299),
    [sym_multi_line_string_literal] = STATE(1299),
    [sym_raw_string_literal] = STATE(1299),
    [sym_regex_literal] = STATE(1299),
    [sym__multiline_regex_literal] = STATE(2574),
    [sym_user_type] = STATE(5528),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5528),
    [sym_dictionary_type] = STATE(5528),
    [sym__expression] = STATE(1299),
    [sym__unary_expression] = STATE(1299),
    [sym_postfix_expression] = STATE(1299),
    [sym_constructor_expression] = STATE(1299),
    [sym__parenthesized_type] = STATE(6484),
    [sym_navigation_expression] = STATE(1299),
    [sym__navigable_type_expression] = STATE(6485),
    [sym_open_start_range_expression] = STATE(1299),
    [sym__range_operator] = STATE(483),
    [sym_open_end_range_expression] = STATE(1299),
    [sym_prefix_expression] = STATE(1299),
    [sym_as_expression] = STATE(1299),
    [sym_selector_expression] = STATE(1299),
    [sym__binary_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_range_expression] = STATE(1299),
    [sym_infix_expression] = STATE(1299),
    [sym_nil_coalescing_expression] = STATE(1299),
    [sym_check_expression] = STATE(1299),
    [sym_comparison_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_conjunction_expression] = STATE(1299),
    [sym_disjunction_expression] = STATE(1299),
    [sym_bitwise_operation] = STATE(1299),
    [sym_custom_operator] = STATE(865),
    [sym_try_expression] = STATE(1299),
    [sym_await_expression] = STATE(1299),
    [sym__await_operator] = STATE(485),
    [sym_ternary_expression] = STATE(1299),
    [sym_call_expression] = STATE(1299),
    [sym__primary_expression] = STATE(1299),
    [sym_tuple_expression] = STATE(1299),
    [sym_array_literal] = STATE(1299),
    [sym_dictionary_literal] = STATE(1299),
    [sym__special_literal] = STATE(1299),
    [sym__playground_literal] = STATE(1299),
    [sym_lambda_literal] = STATE(1299),
    [sym_self_expression] = STATE(1299),
    [sym_super_expression] = STATE(1299),
    [sym_if_statement] = STATE(1299),
    [sym_switch_statement] = STATE(1299),
    [sym_key_path_expression] = STATE(1299),
    [sym_key_path_string_expression] = STATE(1299),
    [sym_try_operator] = STATE(491),
    [sym__assignment_and_operator] = STATE(1299),
    [sym__equality_operator] = STATE(1299),
    [sym__comparison_operator] = STATE(1299),
    [sym__three_dot_operator] = STATE(859),
    [sym__open_ended_range_operator] = STATE(483),
    [sym__additive_operator] = STATE(1299),
    [sym__multiplicative_operator] = STATE(1299),
    [sym__prefix_unary_operator] = STATE(497),
    [sym_directly_assignable_expression] = STATE(5531),
    [sym_assignment] = STATE(1299),
    [sym_value_parameter_pack] = STATE(1299),
    [sym_value_pack_expansion] = STATE(1299),
    [sym__referenceable_operator] = STATE(1299),
    [sym__equal_sign] = STATE(1299),
    [sym__eq_eq] = STATE(1299),
    [sym__dot] = STATE(497),
    [sym_bang] = STATE(865),
    [sym__parameter_ownership_modifier] = STATE(2218),
    [aux_sym_raw_string_literal_repeat1] = STATE(6575),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(1227),
    [aux_sym_simple_identifier_token2] = ACTIONS(1229),
    [aux_sym_simple_identifier_token3] = ACTIONS(1229),
    [aux_sym_simple_identifier_token4] = ACTIONS(1229),
    [anon_sym_actor] = ACTIONS(1227),
    [anon_sym_async] = ACTIONS(1227),
    [anon_sym_each] = ACTIONS(1231),
    [anon_sym_lazy] = ACTIONS(1227),
    [anon_sym_repeat] = ACTIONS(1233),
    [anon_sym_package] = ACTIONS(1227),
    [anon_sym_nil] = ACTIONS(1959),
    [sym_real_literal] = ACTIONS(1961),
    [sym_integer_literal] = ACTIONS(1959),
    [sym_hex_literal] = ACTIONS(1961),
    [sym_oct_literal] = ACTIONS(1961),
    [sym_bin_literal] = ACTIONS(1961),
    [anon_sym_true] = ACTIONS(1239),
    [anon_sym_false] = ACTIONS(1239),
    [anon_sym_DQUOTE] = ACTIONS(1241),
    [anon_sym_BSLASH] = ACTIONS(1243),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1245),
    [sym__extended_regex_literal] = ACTIONS(1247),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(1249),
    [sym__oneline_regex_literal] = ACTIONS(1251),
    [anon_sym_LPAREN] = ACTIONS(1253),
    [anon_sym_LBRACK] = ACTIONS(1255),
    [anon_sym_AMP] = ACTIONS(1257),
    [anon_sym_if] = ACTIONS(1259),
    [anon_sym_switch] = ACTIONS(1261),
    [anon_sym_POUNDselector] = ACTIONS(1263),
    [aux_sym_custom_operator_token1] = ACTIONS(1265),
    [anon_sym_LT] = ACTIONS(1959),
    [anon_sym_GT] = ACTIONS(1959),
    [anon_sym_await] = ACTIONS(1267),
    [anon_sym_POUNDfile] = ACTIONS(1959),
    [anon_sym_POUNDfileID] = ACTIONS(1961),
    [anon_sym_POUNDfilePath] = ACTIONS(1961),
    [anon_sym_POUNDline] = ACTIONS(1961),
    [anon_sym_POUNDcolumn] = ACTIONS(1961),
    [anon_sym_POUNDfunction] = ACTIONS(1961),
    [anon_sym_POUNDdsohandle] = ACTIONS(1961),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(1269),
    [anon_sym_POUNDfileLiteral] = ACTIONS(1269),
    [anon_sym_POUNDimageLiteral] = ACTIONS(1269),
    [anon_sym_LBRACE] = ACTIONS(1271),
    [anon_sym_CARET_LBRACE] = ACTIONS(1271),
    [anon_sym_self] = ACTIONS(1273),
    [anon_sym_super] = ACTIONS(1275),
    [anon_sym_POUNDkeyPath] = ACTIONS(1277),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1961),
    [anon_sym_DASH_EQ] = ACTIONS(1961),
    [anon_sym_STAR_EQ] = ACTIONS(1961),
    [anon_sym_SLASH_EQ] = ACTIONS(1961),
    [anon_sym_PERCENT_EQ] = ACTIONS(1961),
    [anon_sym_BANG_EQ] = ACTIONS(1959),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1961),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1961),
    [anon_sym_LT_EQ] = ACTIONS(1961),
    [anon_sym_GT_EQ] = ACTIONS(1961),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1279),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1281),
    [anon_sym_PLUS] = ACTIONS(1283),
    [anon_sym_DASH] = ACTIONS(1283),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_SLASH] = ACTIONS(1959),
    [anon_sym_PERCENT] = ACTIONS(1959),
    [anon_sym_PLUS_PLUS] = ACTIONS(1257),
    [anon_sym_DASH_DASH] = ACTIONS(1257),
    [anon_sym_TILDE] = ACTIONS(1257),
    [anon_sym_PIPE] = ACTIONS(1961),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_LT_LT] = ACTIONS(1961),
    [anon_sym_GT_GT] = ACTIONS(1961),
    [anon_sym_BANG2] = ACTIONS(1285),
    [anon_sym_borrowing] = ACTIONS(1227),
    [anon_sym_consuming] = ACTIONS(1227),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(1287),
    [sym__dot_custom] = ACTIONS(1289),
    [sym__eq_custom] = ACTIONS(1961),
    [sym__eq_eq_custom] = ACTIONS(1961),
    [sym__plus_then_ws] = ACTIONS(1961),
    [sym__minus_then_ws] = ACTIONS(1961),
    [sym__bang_custom] = ACTIONS(1291),
    [sym__custom_operator] = ACTIONS(1265),
  },
  [484] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1331),
    [sym_boolean_literal] = STATE(1331),
    [sym__string_literal] = STATE(1331),
    [sym_line_string_literal] = STATE(1331),
    [sym_multi_line_string_literal] = STATE(1331),
    [sym_raw_string_literal] = STATE(1331),
    [sym_regex_literal] = STATE(1331),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1331),
    [sym__unary_expression] = STATE(1331),
    [sym_postfix_expression] = STATE(1331),
    [sym_constructor_expression] = STATE(1331),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1331),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1331),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1331),
    [sym_prefix_expression] = STATE(1331),
    [sym_as_expression] = STATE(1331),
    [sym_selector_expression] = STATE(1331),
    [sym__binary_expression] = STATE(1331),
    [sym_multiplicative_expression] = STATE(1331),
    [sym_additive_expression] = STATE(1331),
    [sym_range_expression] = STATE(1331),
    [sym_infix_expression] = STATE(1331),
    [sym_nil_coalescing_expression] = STATE(1331),
    [sym_check_expression] = STATE(1331),
    [sym_comparison_expression] = STATE(1331),
    [sym_equality_expression] = STATE(1331),
    [sym_conjunction_expression] = STATE(1331),
    [sym_disjunction_expression] = STATE(1331),
    [sym_bitwise_operation] = STATE(1331),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1331),
    [sym_await_expression] = STATE(1331),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1331),
    [sym_call_expression] = STATE(1331),
    [sym__primary_expression] = STATE(1331),
    [sym_tuple_expression] = STATE(1331),
    [sym_array_literal] = STATE(1331),
    [sym_dictionary_literal] = STATE(1331),
    [sym__special_literal] = STATE(1331),
    [sym__playground_literal] = STATE(1331),
    [sym_lambda_literal] = STATE(1331),
    [sym_self_expression] = STATE(1331),
    [sym_super_expression] = STATE(1331),
    [sym_if_statement] = STATE(1331),
    [sym_switch_statement] = STATE(1331),
    [sym_key_path_expression] = STATE(1331),
    [sym_key_path_string_expression] = STATE(1331),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1331),
    [sym__equality_operator] = STATE(1331),
    [sym__comparison_operator] = STATE(1331),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1331),
    [sym__multiplicative_operator] = STATE(1331),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1331),
    [sym_value_parameter_pack] = STATE(1331),
    [sym_value_pack_expansion] = STATE(1331),
    [sym__referenceable_operator] = STATE(1331),
    [sym__equal_sign] = STATE(1331),
    [sym__eq_eq] = STATE(1331),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1963),
    [sym_real_literal] = ACTIONS(1965),
    [sym_integer_literal] = ACTIONS(1963),
    [sym_hex_literal] = ACTIONS(1965),
    [sym_oct_literal] = ACTIONS(1965),
    [sym_bin_literal] = ACTIONS(1965),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(1963),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1963),
    [anon_sym_POUNDfileID] = ACTIONS(1965),
    [anon_sym_POUNDfilePath] = ACTIONS(1965),
    [anon_sym_POUNDline] = ACTIONS(1965),
    [anon_sym_POUNDcolumn] = ACTIONS(1965),
    [anon_sym_POUNDfunction] = ACTIONS(1965),
    [anon_sym_POUNDdsohandle] = ACTIONS(1965),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1965),
    [anon_sym_DASH_EQ] = ACTIONS(1965),
    [anon_sym_STAR_EQ] = ACTIONS(1965),
    [anon_sym_SLASH_EQ] = ACTIONS(1965),
    [anon_sym_PERCENT_EQ] = ACTIONS(1965),
    [anon_sym_BANG_EQ] = ACTIONS(1963),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1965),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1965),
    [anon_sym_LT_EQ] = ACTIONS(1965),
    [anon_sym_GT_EQ] = ACTIONS(1965),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1963),
    [anon_sym_SLASH] = ACTIONS(1963),
    [anon_sym_PERCENT] = ACTIONS(1963),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1965),
    [anon_sym_CARET] = ACTIONS(1963),
    [anon_sym_LT_LT] = ACTIONS(1965),
    [anon_sym_GT_GT] = ACTIONS(1965),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1965),
    [sym__eq_eq_custom] = ACTIONS(1965),
    [sym__plus_then_ws] = ACTIONS(1965),
    [sym__minus_then_ws] = ACTIONS(1965),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [485] = {
    [sym_simple_identifier] = STATE(2315),
    [sym__contextual_simple_identifier] = STATE(2218),
    [sym__basic_literal] = STATE(1298),
    [sym_boolean_literal] = STATE(1298),
    [sym__string_literal] = STATE(1298),
    [sym_line_string_literal] = STATE(1298),
    [sym_multi_line_string_literal] = STATE(1298),
    [sym_raw_string_literal] = STATE(1298),
    [sym_regex_literal] = STATE(1298),
    [sym__multiline_regex_literal] = STATE(2574),
    [sym_user_type] = STATE(5528),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5528),
    [sym_dictionary_type] = STATE(5528),
    [sym__expression] = STATE(1298),
    [sym__unary_expression] = STATE(1298),
    [sym_postfix_expression] = STATE(1298),
    [sym_constructor_expression] = STATE(1298),
    [sym__parenthesized_type] = STATE(6484),
    [sym_navigation_expression] = STATE(1298),
    [sym__navigable_type_expression] = STATE(6485),
    [sym_open_start_range_expression] = STATE(1298),
    [sym__range_operator] = STATE(483),
    [sym_open_end_range_expression] = STATE(1298),
    [sym_prefix_expression] = STATE(1298),
    [sym_as_expression] = STATE(1298),
    [sym_selector_expression] = STATE(1298),
    [sym__binary_expression] = STATE(1298),
    [sym_multiplicative_expression] = STATE(1298),
    [sym_additive_expression] = STATE(1298),
    [sym_range_expression] = STATE(1298),
    [sym_infix_expression] = STATE(1298),
    [sym_nil_coalescing_expression] = STATE(1298),
    [sym_check_expression] = STATE(1298),
    [sym_comparison_expression] = STATE(1298),
    [sym_equality_expression] = STATE(1298),
    [sym_conjunction_expression] = STATE(1298),
    [sym_disjunction_expression] = STATE(1298),
    [sym_bitwise_operation] = STATE(1298),
    [sym_custom_operator] = STATE(865),
    [sym_try_expression] = STATE(1298),
    [sym_await_expression] = STATE(1298),
    [sym__await_operator] = STATE(485),
    [sym_ternary_expression] = STATE(2503),
    [sym_call_expression] = STATE(2509),
    [sym__primary_expression] = STATE(1298),
    [sym_tuple_expression] = STATE(1298),
    [sym_array_literal] = STATE(1298),
    [sym_dictionary_literal] = STATE(1298),
    [sym__special_literal] = STATE(1298),
    [sym__playground_literal] = STATE(1298),
    [sym_lambda_literal] = STATE(1298),
    [sym_self_expression] = STATE(1298),
    [sym_super_expression] = STATE(1298),
    [sym_if_statement] = STATE(1298),
    [sym_switch_statement] = STATE(1298),
    [sym_key_path_expression] = STATE(1298),
    [sym_key_path_string_expression] = STATE(1298),
    [sym_try_operator] = STATE(491),
    [sym__assignment_and_operator] = STATE(1298),
    [sym__equality_operator] = STATE(1298),
    [sym__comparison_operator] = STATE(1298),
    [sym__three_dot_operator] = STATE(859),
    [sym__open_ended_range_operator] = STATE(483),
    [sym__additive_operator] = STATE(1298),
    [sym__multiplicative_operator] = STATE(1298),
    [sym__prefix_unary_operator] = STATE(497),
    [sym_directly_assignable_expression] = STATE(5531),
    [sym_assignment] = STATE(1298),
    [sym_value_parameter_pack] = STATE(1298),
    [sym_value_pack_expansion] = STATE(1298),
    [sym__referenceable_operator] = STATE(1298),
    [sym__equal_sign] = STATE(1298),
    [sym__eq_eq] = STATE(1298),
    [sym__dot] = STATE(497),
    [sym_bang] = STATE(865),
    [sym__parameter_ownership_modifier] = STATE(2218),
    [aux_sym_raw_string_literal_repeat1] = STATE(6575),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(1227),
    [aux_sym_simple_identifier_token2] = ACTIONS(1229),
    [aux_sym_simple_identifier_token3] = ACTIONS(1229),
    [aux_sym_simple_identifier_token4] = ACTIONS(1229),
    [anon_sym_actor] = ACTIONS(1227),
    [anon_sym_async] = ACTIONS(1227),
    [anon_sym_each] = ACTIONS(1231),
    [anon_sym_lazy] = ACTIONS(1227),
    [anon_sym_repeat] = ACTIONS(1233),
    [anon_sym_package] = ACTIONS(1227),
    [anon_sym_nil] = ACTIONS(1967),
    [sym_real_literal] = ACTIONS(1969),
    [sym_integer_literal] = ACTIONS(1967),
    [sym_hex_literal] = ACTIONS(1969),
    [sym_oct_literal] = ACTIONS(1969),
    [sym_bin_literal] = ACTIONS(1969),
    [anon_sym_true] = ACTIONS(1239),
    [anon_sym_false] = ACTIONS(1239),
    [anon_sym_DQUOTE] = ACTIONS(1241),
    [anon_sym_BSLASH] = ACTIONS(1243),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1245),
    [sym__extended_regex_literal] = ACTIONS(1247),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(1249),
    [sym__oneline_regex_literal] = ACTIONS(1251),
    [anon_sym_LPAREN] = ACTIONS(1253),
    [anon_sym_LBRACK] = ACTIONS(1255),
    [anon_sym_AMP] = ACTIONS(1257),
    [anon_sym_if] = ACTIONS(1259),
    [anon_sym_switch] = ACTIONS(1261),
    [anon_sym_POUNDselector] = ACTIONS(1263),
    [aux_sym_custom_operator_token1] = ACTIONS(1265),
    [anon_sym_LT] = ACTIONS(1967),
    [anon_sym_GT] = ACTIONS(1967),
    [anon_sym_await] = ACTIONS(1267),
    [anon_sym_POUNDfile] = ACTIONS(1967),
    [anon_sym_POUNDfileID] = ACTIONS(1969),
    [anon_sym_POUNDfilePath] = ACTIONS(1969),
    [anon_sym_POUNDline] = ACTIONS(1969),
    [anon_sym_POUNDcolumn] = ACTIONS(1969),
    [anon_sym_POUNDfunction] = ACTIONS(1969),
    [anon_sym_POUNDdsohandle] = ACTIONS(1969),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(1269),
    [anon_sym_POUNDfileLiteral] = ACTIONS(1269),
    [anon_sym_POUNDimageLiteral] = ACTIONS(1269),
    [anon_sym_LBRACE] = ACTIONS(1271),
    [anon_sym_CARET_LBRACE] = ACTIONS(1271),
    [anon_sym_self] = ACTIONS(1273),
    [anon_sym_super] = ACTIONS(1275),
    [anon_sym_POUNDkeyPath] = ACTIONS(1277),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1969),
    [anon_sym_DASH_EQ] = ACTIONS(1969),
    [anon_sym_STAR_EQ] = ACTIONS(1969),
    [anon_sym_SLASH_EQ] = ACTIONS(1969),
    [anon_sym_PERCENT_EQ] = ACTIONS(1969),
    [anon_sym_BANG_EQ] = ACTIONS(1967),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1969),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1969),
    [anon_sym_LT_EQ] = ACTIONS(1969),
    [anon_sym_GT_EQ] = ACTIONS(1969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1279),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1281),
    [anon_sym_PLUS] = ACTIONS(1283),
    [anon_sym_DASH] = ACTIONS(1283),
    [anon_sym_STAR] = ACTIONS(1967),
    [anon_sym_SLASH] = ACTIONS(1967),
    [anon_sym_PERCENT] = ACTIONS(1967),
    [anon_sym_PLUS_PLUS] = ACTIONS(1257),
    [anon_sym_DASH_DASH] = ACTIONS(1257),
    [anon_sym_TILDE] = ACTIONS(1257),
    [anon_sym_PIPE] = ACTIONS(1969),
    [anon_sym_CARET] = ACTIONS(1967),
    [anon_sym_LT_LT] = ACTIONS(1969),
    [anon_sym_GT_GT] = ACTIONS(1969),
    [anon_sym_BANG2] = ACTIONS(1285),
    [anon_sym_borrowing] = ACTIONS(1227),
    [anon_sym_consuming] = ACTIONS(1227),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(1287),
    [sym__dot_custom] = ACTIONS(1289),
    [sym__eq_custom] = ACTIONS(1969),
    [sym__eq_eq_custom] = ACTIONS(1969),
    [sym__plus_then_ws] = ACTIONS(1969),
    [sym__minus_then_ws] = ACTIONS(1969),
    [sym__bang_custom] = ACTIONS(1291),
    [sym__custom_operator] = ACTIONS(1265),
  },
  [486] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1387),
    [sym_boolean_literal] = STATE(1387),
    [sym__string_literal] = STATE(1387),
    [sym_line_string_literal] = STATE(1387),
    [sym_multi_line_string_literal] = STATE(1387),
    [sym_raw_string_literal] = STATE(1387),
    [sym_regex_literal] = STATE(1387),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1387),
    [sym__unary_expression] = STATE(1387),
    [sym_postfix_expression] = STATE(1387),
    [sym_constructor_expression] = STATE(1387),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1387),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1387),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1387),
    [sym_prefix_expression] = STATE(1387),
    [sym_as_expression] = STATE(1387),
    [sym_selector_expression] = STATE(1387),
    [sym__binary_expression] = STATE(1387),
    [sym_multiplicative_expression] = STATE(1387),
    [sym_additive_expression] = STATE(1387),
    [sym_range_expression] = STATE(1387),
    [sym_infix_expression] = STATE(1387),
    [sym_nil_coalescing_expression] = STATE(1387),
    [sym_check_expression] = STATE(1387),
    [sym_comparison_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_conjunction_expression] = STATE(1387),
    [sym_disjunction_expression] = STATE(1387),
    [sym_bitwise_operation] = STATE(1387),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1387),
    [sym_call_expression] = STATE(1387),
    [sym__primary_expression] = STATE(1387),
    [sym_tuple_expression] = STATE(1387),
    [sym_array_literal] = STATE(1387),
    [sym_dictionary_literal] = STATE(1387),
    [sym__special_literal] = STATE(1387),
    [sym__playground_literal] = STATE(1387),
    [sym_lambda_literal] = STATE(1387),
    [sym_self_expression] = STATE(1387),
    [sym_super_expression] = STATE(1387),
    [sym_if_statement] = STATE(1387),
    [sym_switch_statement] = STATE(1387),
    [sym_key_path_expression] = STATE(1387),
    [sym_key_path_string_expression] = STATE(1387),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1387),
    [sym__equality_operator] = STATE(1387),
    [sym__comparison_operator] = STATE(1387),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1387),
    [sym__multiplicative_operator] = STATE(1387),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1387),
    [sym_value_parameter_pack] = STATE(1387),
    [sym_value_pack_expansion] = STATE(1387),
    [sym__referenceable_operator] = STATE(1387),
    [sym__equal_sign] = STATE(1387),
    [sym__eq_eq] = STATE(1387),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1971),
    [sym_real_literal] = ACTIONS(1973),
    [sym_integer_literal] = ACTIONS(1971),
    [sym_hex_literal] = ACTIONS(1973),
    [sym_oct_literal] = ACTIONS(1973),
    [sym_bin_literal] = ACTIONS(1973),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1971),
    [anon_sym_GT] = ACTIONS(1971),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1971),
    [anon_sym_POUNDfileID] = ACTIONS(1973),
    [anon_sym_POUNDfilePath] = ACTIONS(1973),
    [anon_sym_POUNDline] = ACTIONS(1973),
    [anon_sym_POUNDcolumn] = ACTIONS(1973),
    [anon_sym_POUNDfunction] = ACTIONS(1973),
    [anon_sym_POUNDdsohandle] = ACTIONS(1973),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1973),
    [anon_sym_DASH_EQ] = ACTIONS(1973),
    [anon_sym_STAR_EQ] = ACTIONS(1973),
    [anon_sym_SLASH_EQ] = ACTIONS(1973),
    [anon_sym_PERCENT_EQ] = ACTIONS(1973),
    [anon_sym_BANG_EQ] = ACTIONS(1971),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1973),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1973),
    [anon_sym_LT_EQ] = ACTIONS(1973),
    [anon_sym_GT_EQ] = ACTIONS(1973),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1971),
    [anon_sym_SLASH] = ACTIONS(1971),
    [anon_sym_PERCENT] = ACTIONS(1971),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1973),
    [anon_sym_CARET] = ACTIONS(1971),
    [anon_sym_LT_LT] = ACTIONS(1973),
    [anon_sym_GT_GT] = ACTIONS(1973),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1973),
    [sym__eq_eq_custom] = ACTIONS(1973),
    [sym__plus_then_ws] = ACTIONS(1973),
    [sym__minus_then_ws] = ACTIONS(1973),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [487] = {
    [sym_simple_identifier] = STATE(2573),
    [sym__contextual_simple_identifier] = STATE(2374),
    [sym__basic_literal] = STATE(1335),
    [sym_boolean_literal] = STATE(1335),
    [sym__string_literal] = STATE(1335),
    [sym_line_string_literal] = STATE(1335),
    [sym_multi_line_string_literal] = STATE(1335),
    [sym_raw_string_literal] = STATE(1335),
    [sym_regex_literal] = STATE(1335),
    [sym__multiline_regex_literal] = STATE(2929),
    [sym_user_type] = STATE(5443),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5443),
    [sym_dictionary_type] = STATE(5443),
    [sym__expression] = STATE(1335),
    [sym__unary_expression] = STATE(1335),
    [sym_postfix_expression] = STATE(1335),
    [sym_constructor_expression] = STATE(1335),
    [sym__parenthesized_type] = STATE(7012),
    [sym_navigation_expression] = STATE(1335),
    [sym__navigable_type_expression] = STATE(7009),
    [sym_open_start_range_expression] = STATE(1335),
    [sym__range_operator] = STATE(557),
    [sym_open_end_range_expression] = STATE(1335),
    [sym_prefix_expression] = STATE(1335),
    [sym_as_expression] = STATE(1335),
    [sym_selector_expression] = STATE(1335),
    [sym__binary_expression] = STATE(1335),
    [sym_multiplicative_expression] = STATE(1335),
    [sym_additive_expression] = STATE(1335),
    [sym_range_expression] = STATE(1335),
    [sym_infix_expression] = STATE(1335),
    [sym_nil_coalescing_expression] = STATE(1335),
    [sym_check_expression] = STATE(1335),
    [sym_comparison_expression] = STATE(1335),
    [sym_equality_expression] = STATE(1335),
    [sym_conjunction_expression] = STATE(1335),
    [sym_disjunction_expression] = STATE(1335),
    [sym_bitwise_operation] = STATE(1335),
    [sym_custom_operator] = STATE(878),
    [sym_try_expression] = STATE(1335),
    [sym_await_expression] = STATE(1335),
    [sym__await_operator] = STATE(450),
    [sym_ternary_expression] = STATE(1335),
    [sym_call_expression] = STATE(1335),
    [sym__primary_expression] = STATE(1335),
    [sym_tuple_expression] = STATE(1335),
    [sym_array_literal] = STATE(1335),
    [sym_dictionary_literal] = STATE(1335),
    [sym__special_literal] = STATE(1335),
    [sym__playground_literal] = STATE(1335),
    [sym_lambda_literal] = STATE(1335),
    [sym_self_expression] = STATE(1335),
    [sym_super_expression] = STATE(1335),
    [sym_if_statement] = STATE(1335),
    [sym_switch_statement] = STATE(1335),
    [sym_key_path_expression] = STATE(1335),
    [sym_key_path_string_expression] = STATE(1335),
    [sym_try_operator] = STATE(451),
    [sym__assignment_and_operator] = STATE(1335),
    [sym__equality_operator] = STATE(1335),
    [sym__comparison_operator] = STATE(1335),
    [sym__three_dot_operator] = STATE(884),
    [sym__open_ended_range_operator] = STATE(557),
    [sym__additive_operator] = STATE(1335),
    [sym__multiplicative_operator] = STATE(1335),
    [sym__prefix_unary_operator] = STATE(471),
    [sym_directly_assignable_expression] = STATE(5445),
    [sym_assignment] = STATE(1335),
    [sym_value_parameter_pack] = STATE(1335),
    [sym_value_pack_expansion] = STATE(1335),
    [sym__referenceable_operator] = STATE(1335),
    [sym__equal_sign] = STATE(1335),
    [sym__eq_eq] = STATE(1335),
    [sym__dot] = STATE(471),
    [sym_bang] = STATE(878),
    [sym__parameter_ownership_modifier] = STATE(2374),
    [aux_sym_raw_string_literal_repeat1] = STATE(7006),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(1037),
    [aux_sym_simple_identifier_token2] = ACTIONS(1039),
    [aux_sym_simple_identifier_token3] = ACTIONS(1039),
    [aux_sym_simple_identifier_token4] = ACTIONS(1039),
    [anon_sym_actor] = ACTIONS(1037),
    [anon_sym_async] = ACTIONS(1037),
    [anon_sym_each] = ACTIONS(1041),
    [anon_sym_lazy] = ACTIONS(1037),
    [anon_sym_repeat] = ACTIONS(1043),
    [anon_sym_package] = ACTIONS(1037),
    [anon_sym_nil] = ACTIONS(1975),
    [sym_real_literal] = ACTIONS(1977),
    [sym_integer_literal] = ACTIONS(1975),
    [sym_hex_literal] = ACTIONS(1977),
    [sym_oct_literal] = ACTIONS(1977),
    [sym_bin_literal] = ACTIONS(1977),
    [anon_sym_true] = ACTIONS(1049),
    [anon_sym_false] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_BSLASH] = ACTIONS(1053),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1055),
    [sym__extended_regex_literal] = ACTIONS(1057),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(1059),
    [sym__oneline_regex_literal] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_LBRACK] = ACTIONS(1065),
    [anon_sym_AMP] = ACTIONS(1067),
    [anon_sym_if] = ACTIONS(1069),
    [anon_sym_switch] = ACTIONS(1071),
    [anon_sym_POUNDselector] = ACTIONS(1073),
    [aux_sym_custom_operator_token1] = ACTIONS(1075),
    [anon_sym_LT] = ACTIONS(1975),
    [anon_sym_GT] = ACTIONS(1975),
    [anon_sym_await] = ACTIONS(1077),
    [anon_sym_POUNDfile] = ACTIONS(1975),
    [anon_sym_POUNDfileID] = ACTIONS(1977),
    [anon_sym_POUNDfilePath] = ACTIONS(1977),
    [anon_sym_POUNDline] = ACTIONS(1977),
    [anon_sym_POUNDcolumn] = ACTIONS(1977),
    [anon_sym_POUNDfunction] = ACTIONS(1977),
    [anon_sym_POUNDdsohandle] = ACTIONS(1977),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(1079),
    [anon_sym_POUNDfileLiteral] = ACTIONS(1079),
    [anon_sym_POUNDimageLiteral] = ACTIONS(1079),
    [anon_sym_LBRACE] = ACTIONS(1081),
    [anon_sym_CARET_LBRACE] = ACTIONS(1081),
    [anon_sym_self] = ACTIONS(1083),
    [anon_sym_super] = ACTIONS(1085),
    [anon_sym_POUNDkeyPath] = ACTIONS(1089),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1977),
    [anon_sym_DASH_EQ] = ACTIONS(1977),
    [anon_sym_STAR_EQ] = ACTIONS(1977),
    [anon_sym_SLASH_EQ] = ACTIONS(1977),
    [anon_sym_PERCENT_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1975),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1977),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1093),
    [anon_sym_PLUS] = ACTIONS(1097),
    [anon_sym_DASH] = ACTIONS(1097),
    [anon_sym_STAR] = ACTIONS(1975),
    [anon_sym_SLASH] = ACTIONS(1975),
    [anon_sym_PERCENT] = ACTIONS(1975),
    [anon_sym_PLUS_PLUS] = ACTIONS(1067),
    [anon_sym_DASH_DASH] = ACTIONS(1067),
    [anon_sym_TILDE] = ACTIONS(1067),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(1975),
    [anon_sym_LT_LT] = ACTIONS(1977),
    [anon_sym_GT_GT] = ACTIONS(1977),
    [anon_sym_BANG2] = ACTIONS(1099),
    [anon_sym_borrowing] = ACTIONS(1037),
    [anon_sym_consuming] = ACTIONS(1037),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(1103),
    [sym__dot_custom] = ACTIONS(1307),
    [sym__eq_custom] = ACTIONS(1977),
    [sym__eq_eq_custom] = ACTIONS(1977),
    [sym__plus_then_ws] = ACTIONS(1977),
    [sym__minus_then_ws] = ACTIONS(1977),
    [sym__bang_custom] = ACTIONS(1107),
    [sym__custom_operator] = ACTIONS(1075),
  },
  [488] = {
    [sym_simple_identifier] = STATE(2936),
    [sym__contextual_simple_identifier] = STATE(2558),
    [sym__basic_literal] = STATE(1394),
    [sym_boolean_literal] = STATE(1394),
    [sym__string_literal] = STATE(1394),
    [sym_line_string_literal] = STATE(1394),
    [sym_multi_line_string_literal] = STATE(1394),
    [sym_raw_string_literal] = STATE(1394),
    [sym_regex_literal] = STATE(1394),
    [sym__multiline_regex_literal] = STATE(3141),
    [sym_user_type] = STATE(5448),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5448),
    [sym_dictionary_type] = STATE(5448),
    [sym__expression] = STATE(1394),
    [sym__unary_expression] = STATE(1394),
    [sym_postfix_expression] = STATE(1394),
    [sym_constructor_expression] = STATE(1394),
    [sym__parenthesized_type] = STATE(6984),
    [sym_navigation_expression] = STATE(1394),
    [sym__navigable_type_expression] = STATE(6994),
    [sym_open_start_range_expression] = STATE(1394),
    [sym__range_operator] = STATE(488),
    [sym_open_end_range_expression] = STATE(1394),
    [sym_prefix_expression] = STATE(1394),
    [sym_as_expression] = STATE(1394),
    [sym_selector_expression] = STATE(1394),
    [sym__binary_expression] = STATE(1394),
    [sym_multiplicative_expression] = STATE(1394),
    [sym_additive_expression] = STATE(1394),
    [sym_range_expression] = STATE(1394),
    [sym_infix_expression] = STATE(1394),
    [sym_nil_coalescing_expression] = STATE(1394),
    [sym_check_expression] = STATE(1394),
    [sym_comparison_expression] = STATE(1394),
    [sym_equality_expression] = STATE(1394),
    [sym_conjunction_expression] = STATE(1394),
    [sym_disjunction_expression] = STATE(1394),
    [sym_bitwise_operation] = STATE(1394),
    [sym_custom_operator] = STATE(902),
    [sym_try_expression] = STATE(1394),
    [sym_await_expression] = STATE(1394),
    [sym__await_operator] = STATE(498),
    [sym_ternary_expression] = STATE(1394),
    [sym_call_expression] = STATE(1394),
    [sym__primary_expression] = STATE(1394),
    [sym_tuple_expression] = STATE(1394),
    [sym_array_literal] = STATE(1394),
    [sym_dictionary_literal] = STATE(1394),
    [sym__special_literal] = STATE(1394),
    [sym__playground_literal] = STATE(1394),
    [sym_lambda_literal] = STATE(1394),
    [sym_self_expression] = STATE(1394),
    [sym_super_expression] = STATE(1394),
    [sym_if_statement] = STATE(1394),
    [sym_switch_statement] = STATE(1394),
    [sym_key_path_expression] = STATE(1394),
    [sym_key_path_string_expression] = STATE(1394),
    [sym_try_operator] = STATE(501),
    [sym__assignment_and_operator] = STATE(1394),
    [sym__equality_operator] = STATE(1394),
    [sym__comparison_operator] = STATE(1394),
    [sym__three_dot_operator] = STATE(900),
    [sym__open_ended_range_operator] = STATE(488),
    [sym__additive_operator] = STATE(1394),
    [sym__multiplicative_operator] = STATE(1394),
    [sym__prefix_unary_operator] = STATE(505),
    [sym_directly_assignable_expression] = STATE(5447),
    [sym_assignment] = STATE(1394),
    [sym_value_parameter_pack] = STATE(1394),
    [sym_value_pack_expansion] = STATE(1394),
    [sym__referenceable_operator] = STATE(1394),
    [sym__equal_sign] = STATE(1394),
    [sym__eq_eq] = STATE(1394),
    [sym__dot] = STATE(505),
    [sym_bang] = STATE(902),
    [sym__parameter_ownership_modifier] = STATE(2558),
    [aux_sym_raw_string_literal_repeat1] = STATE(7003),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(1147),
    [aux_sym_simple_identifier_token2] = ACTIONS(1149),
    [aux_sym_simple_identifier_token3] = ACTIONS(1149),
    [aux_sym_simple_identifier_token4] = ACTIONS(1149),
    [anon_sym_actor] = ACTIONS(1147),
    [anon_sym_async] = ACTIONS(1147),
    [anon_sym_each] = ACTIONS(1153),
    [anon_sym_lazy] = ACTIONS(1147),
    [anon_sym_repeat] = ACTIONS(1155),
    [anon_sym_package] = ACTIONS(1147),
    [anon_sym_nil] = ACTIONS(1979),
    [sym_real_literal] = ACTIONS(1981),
    [sym_integer_literal] = ACTIONS(1979),
    [sym_hex_literal] = ACTIONS(1981),
    [sym_oct_literal] = ACTIONS(1981),
    [sym_bin_literal] = ACTIONS(1981),
    [anon_sym_true] = ACTIONS(1161),
    [anon_sym_false] = ACTIONS(1161),
    [anon_sym_DQUOTE] = ACTIONS(1163),
    [anon_sym_BSLASH] = ACTIONS(1165),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1167),
    [sym__extended_regex_literal] = ACTIONS(1169),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(1171),
    [sym__oneline_regex_literal] = ACTIONS(1173),
    [anon_sym_LPAREN] = ACTIONS(1175),
    [anon_sym_LBRACK] = ACTIONS(1177),
    [anon_sym_AMP] = ACTIONS(1179),
    [anon_sym_if] = ACTIONS(1181),
    [anon_sym_switch] = ACTIONS(1183),
    [anon_sym_POUNDselector] = ACTIONS(1185),
    [aux_sym_custom_operator_token1] = ACTIONS(1187),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_await] = ACTIONS(1189),
    [anon_sym_POUNDfile] = ACTIONS(1979),
    [anon_sym_POUNDfileID] = ACTIONS(1981),
    [anon_sym_POUNDfilePath] = ACTIONS(1981),
    [anon_sym_POUNDline] = ACTIONS(1981),
    [anon_sym_POUNDcolumn] = ACTIONS(1981),
    [anon_sym_POUNDfunction] = ACTIONS(1981),
    [anon_sym_POUNDdsohandle] = ACTIONS(1981),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(1191),
    [anon_sym_POUNDfileLiteral] = ACTIONS(1191),
    [anon_sym_POUNDimageLiteral] = ACTIONS(1191),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_CARET_LBRACE] = ACTIONS(1193),
    [anon_sym_self] = ACTIONS(1195),
    [anon_sym_super] = ACTIONS(1197),
    [anon_sym_POUNDkeyPath] = ACTIONS(1201),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1981),
    [anon_sym_DASH_EQ] = ACTIONS(1981),
    [anon_sym_STAR_EQ] = ACTIONS(1981),
    [anon_sym_SLASH_EQ] = ACTIONS(1981),
    [anon_sym_PERCENT_EQ] = ACTIONS(1981),
    [anon_sym_BANG_EQ] = ACTIONS(1979),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1981),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1981),
    [anon_sym_LT_EQ] = ACTIONS(1981),
    [anon_sym_GT_EQ] = ACTIONS(1981),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1203),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1205),
    [anon_sym_PLUS] = ACTIONS(1207),
    [anon_sym_DASH] = ACTIONS(1207),
    [anon_sym_STAR] = ACTIONS(1979),
    [anon_sym_SLASH] = ACTIONS(1979),
    [anon_sym_PERCENT] = ACTIONS(1979),
    [anon_sym_PLUS_PLUS] = ACTIONS(1179),
    [anon_sym_DASH_DASH] = ACTIONS(1179),
    [anon_sym_TILDE] = ACTIONS(1179),
    [anon_sym_PIPE] = ACTIONS(1981),
    [anon_sym_CARET] = ACTIONS(1979),
    [anon_sym_LT_LT] = ACTIONS(1981),
    [anon_sym_GT_GT] = ACTIONS(1981),
    [anon_sym_BANG2] = ACTIONS(1211),
    [anon_sym_borrowing] = ACTIONS(1147),
    [anon_sym_consuming] = ACTIONS(1147),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(1213),
    [sym__dot_custom] = ACTIONS(1215),
    [sym__eq_custom] = ACTIONS(1981),
    [sym__eq_eq_custom] = ACTIONS(1981),
    [sym__plus_then_ws] = ACTIONS(1981),
    [sym__minus_then_ws] = ACTIONS(1981),
    [sym__bang_custom] = ACTIONS(1217),
    [sym__custom_operator] = ACTIONS(1187),
  },
  [489] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1457),
    [sym_boolean_literal] = STATE(1457),
    [sym__string_literal] = STATE(1457),
    [sym_line_string_literal] = STATE(1457),
    [sym_multi_line_string_literal] = STATE(1457),
    [sym_raw_string_literal] = STATE(1457),
    [sym_regex_literal] = STATE(1457),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1457),
    [sym__unary_expression] = STATE(1457),
    [sym_postfix_expression] = STATE(1457),
    [sym_constructor_expression] = STATE(1457),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1457),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1457),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1457),
    [sym_prefix_expression] = STATE(1457),
    [sym_as_expression] = STATE(1457),
    [sym_selector_expression] = STATE(1457),
    [sym__binary_expression] = STATE(1457),
    [sym_multiplicative_expression] = STATE(1457),
    [sym_additive_expression] = STATE(1457),
    [sym_range_expression] = STATE(1457),
    [sym_infix_expression] = STATE(1457),
    [sym_nil_coalescing_expression] = STATE(1457),
    [sym_check_expression] = STATE(1457),
    [sym_comparison_expression] = STATE(1457),
    [sym_equality_expression] = STATE(1457),
    [sym_conjunction_expression] = STATE(1457),
    [sym_disjunction_expression] = STATE(1457),
    [sym_bitwise_operation] = STATE(1457),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1457),
    [sym_await_expression] = STATE(1457),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1457),
    [sym_call_expression] = STATE(1457),
    [sym__primary_expression] = STATE(1457),
    [sym_tuple_expression] = STATE(1457),
    [sym_array_literal] = STATE(1457),
    [sym_dictionary_literal] = STATE(1457),
    [sym__special_literal] = STATE(1457),
    [sym__playground_literal] = STATE(1457),
    [sym_lambda_literal] = STATE(1457),
    [sym_self_expression] = STATE(1457),
    [sym_super_expression] = STATE(1457),
    [sym_if_statement] = STATE(1457),
    [sym_switch_statement] = STATE(1457),
    [sym_key_path_expression] = STATE(1457),
    [sym_key_path_string_expression] = STATE(1457),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1457),
    [sym__equality_operator] = STATE(1457),
    [sym__comparison_operator] = STATE(1457),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1457),
    [sym__multiplicative_operator] = STATE(1457),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1457),
    [sym_value_parameter_pack] = STATE(1457),
    [sym_value_pack_expansion] = STATE(1457),
    [sym__referenceable_operator] = STATE(1457),
    [sym__equal_sign] = STATE(1457),
    [sym__eq_eq] = STATE(1457),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1391),
    [sym_real_literal] = ACTIONS(1393),
    [sym_integer_literal] = ACTIONS(1391),
    [sym_hex_literal] = ACTIONS(1393),
    [sym_oct_literal] = ACTIONS(1393),
    [sym_bin_literal] = ACTIONS(1393),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1391),
    [anon_sym_GT] = ACTIONS(1391),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1391),
    [anon_sym_POUNDfileID] = ACTIONS(1393),
    [anon_sym_POUNDfilePath] = ACTIONS(1393),
    [anon_sym_POUNDline] = ACTIONS(1393),
    [anon_sym_POUNDcolumn] = ACTIONS(1393),
    [anon_sym_POUNDfunction] = ACTIONS(1393),
    [anon_sym_POUNDdsohandle] = ACTIONS(1393),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1393),
    [anon_sym_DASH_EQ] = ACTIONS(1393),
    [anon_sym_STAR_EQ] = ACTIONS(1393),
    [anon_sym_SLASH_EQ] = ACTIONS(1393),
    [anon_sym_PERCENT_EQ] = ACTIONS(1393),
    [anon_sym_BANG_EQ] = ACTIONS(1391),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1393),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1393),
    [anon_sym_LT_EQ] = ACTIONS(1393),
    [anon_sym_GT_EQ] = ACTIONS(1393),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1391),
    [anon_sym_SLASH] = ACTIONS(1391),
    [anon_sym_PERCENT] = ACTIONS(1391),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1393),
    [anon_sym_CARET] = ACTIONS(1391),
    [anon_sym_LT_LT] = ACTIONS(1393),
    [anon_sym_GT_GT] = ACTIONS(1393),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1393),
    [sym__eq_eq_custom] = ACTIONS(1393),
    [sym__plus_then_ws] = ACTIONS(1393),
    [sym__minus_then_ws] = ACTIONS(1393),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [490] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1303),
    [sym_boolean_literal] = STATE(1303),
    [sym__string_literal] = STATE(1303),
    [sym_line_string_literal] = STATE(1303),
    [sym_multi_line_string_literal] = STATE(1303),
    [sym_raw_string_literal] = STATE(1303),
    [sym_regex_literal] = STATE(1303),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1303),
    [sym__unary_expression] = STATE(1303),
    [sym_postfix_expression] = STATE(1303),
    [sym_constructor_expression] = STATE(1303),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1303),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1303),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1303),
    [sym_prefix_expression] = STATE(1303),
    [sym_as_expression] = STATE(1303),
    [sym_selector_expression] = STATE(1303),
    [sym__binary_expression] = STATE(1303),
    [sym_multiplicative_expression] = STATE(1303),
    [sym_additive_expression] = STATE(1303),
    [sym_range_expression] = STATE(1303),
    [sym_infix_expression] = STATE(1303),
    [sym_nil_coalescing_expression] = STATE(1303),
    [sym_check_expression] = STATE(1303),
    [sym_comparison_expression] = STATE(1303),
    [sym_equality_expression] = STATE(1303),
    [sym_conjunction_expression] = STATE(1303),
    [sym_disjunction_expression] = STATE(1303),
    [sym_bitwise_operation] = STATE(1303),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1303),
    [sym_await_expression] = STATE(1303),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1303),
    [sym_call_expression] = STATE(1303),
    [sym__primary_expression] = STATE(1303),
    [sym_tuple_expression] = STATE(1303),
    [sym_array_literal] = STATE(1303),
    [sym_dictionary_literal] = STATE(1303),
    [sym__special_literal] = STATE(1303),
    [sym__playground_literal] = STATE(1303),
    [sym_lambda_literal] = STATE(1303),
    [sym_self_expression] = STATE(1303),
    [sym_super_expression] = STATE(1303),
    [sym_if_statement] = STATE(1303),
    [sym_switch_statement] = STATE(1303),
    [sym_key_path_expression] = STATE(1303),
    [sym_key_path_string_expression] = STATE(1303),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1303),
    [sym__equality_operator] = STATE(1303),
    [sym__comparison_operator] = STATE(1303),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1303),
    [sym__multiplicative_operator] = STATE(1303),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1303),
    [sym_value_parameter_pack] = STATE(1303),
    [sym_value_pack_expansion] = STATE(1303),
    [sym__referenceable_operator] = STATE(1303),
    [sym__equal_sign] = STATE(1303),
    [sym__eq_eq] = STATE(1303),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(1791),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1983),
    [sym_real_literal] = ACTIONS(1985),
    [sym_integer_literal] = ACTIONS(1983),
    [sym_hex_literal] = ACTIONS(1985),
    [sym_oct_literal] = ACTIONS(1985),
    [sym_bin_literal] = ACTIONS(1985),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(1987),
    [anon_sym_switch] = ACTIONS(1989),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1983),
    [anon_sym_GT] = ACTIONS(1983),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1983),
    [anon_sym_POUNDfileID] = ACTIONS(1985),
    [anon_sym_POUNDfilePath] = ACTIONS(1985),
    [anon_sym_POUNDline] = ACTIONS(1985),
    [anon_sym_POUNDcolumn] = ACTIONS(1985),
    [anon_sym_POUNDfunction] = ACTIONS(1985),
    [anon_sym_POUNDdsohandle] = ACTIONS(1985),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1985),
    [anon_sym_DASH_EQ] = ACTIONS(1985),
    [anon_sym_STAR_EQ] = ACTIONS(1985),
    [anon_sym_SLASH_EQ] = ACTIONS(1985),
    [anon_sym_PERCENT_EQ] = ACTIONS(1985),
    [anon_sym_BANG_EQ] = ACTIONS(1983),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1985),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1985),
    [anon_sym_LT_EQ] = ACTIONS(1985),
    [anon_sym_GT_EQ] = ACTIONS(1985),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1983),
    [anon_sym_SLASH] = ACTIONS(1983),
    [anon_sym_PERCENT] = ACTIONS(1983),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1985),
    [anon_sym_CARET] = ACTIONS(1983),
    [anon_sym_LT_LT] = ACTIONS(1985),
    [anon_sym_GT_GT] = ACTIONS(1985),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1985),
    [sym__eq_eq_custom] = ACTIONS(1985),
    [sym__plus_then_ws] = ACTIONS(1985),
    [sym__minus_then_ws] = ACTIONS(1985),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [491] = {
    [sym_simple_identifier] = STATE(2315),
    [sym__contextual_simple_identifier] = STATE(2218),
    [sym__basic_literal] = STATE(1291),
    [sym_boolean_literal] = STATE(1291),
    [sym__string_literal] = STATE(1291),
    [sym_line_string_literal] = STATE(1291),
    [sym_multi_line_string_literal] = STATE(1291),
    [sym_raw_string_literal] = STATE(1291),
    [sym_regex_literal] = STATE(1291),
    [sym__multiline_regex_literal] = STATE(2574),
    [sym_user_type] = STATE(5528),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5528),
    [sym_dictionary_type] = STATE(5528),
    [sym__expression] = STATE(1291),
    [sym__unary_expression] = STATE(1291),
    [sym_postfix_expression] = STATE(1291),
    [sym_constructor_expression] = STATE(1291),
    [sym__parenthesized_type] = STATE(6484),
    [sym_navigation_expression] = STATE(1291),
    [sym__navigable_type_expression] = STATE(6485),
    [sym_open_start_range_expression] = STATE(1291),
    [sym__range_operator] = STATE(483),
    [sym_open_end_range_expression] = STATE(1291),
    [sym_prefix_expression] = STATE(1291),
    [sym_as_expression] = STATE(1291),
    [sym_selector_expression] = STATE(1291),
    [sym__binary_expression] = STATE(2516),
    [sym_multiplicative_expression] = STATE(2516),
    [sym_additive_expression] = STATE(2516),
    [sym_range_expression] = STATE(2516),
    [sym_infix_expression] = STATE(2516),
    [sym_nil_coalescing_expression] = STATE(2516),
    [sym_check_expression] = STATE(2516),
    [sym_comparison_expression] = STATE(2516),
    [sym_equality_expression] = STATE(2516),
    [sym_conjunction_expression] = STATE(2516),
    [sym_disjunction_expression] = STATE(2516),
    [sym_bitwise_operation] = STATE(2516),
    [sym_custom_operator] = STATE(865),
    [sym_try_expression] = STATE(1291),
    [sym_await_expression] = STATE(1291),
    [sym__await_operator] = STATE(485),
    [sym_ternary_expression] = STATE(2520),
    [sym_call_expression] = STATE(2522),
    [sym__primary_expression] = STATE(1291),
    [sym_tuple_expression] = STATE(1291),
    [sym_array_literal] = STATE(1291),
    [sym_dictionary_literal] = STATE(1291),
    [sym__special_literal] = STATE(1291),
    [sym__playground_literal] = STATE(1291),
    [sym_lambda_literal] = STATE(1291),
    [sym_self_expression] = STATE(1291),
    [sym_super_expression] = STATE(1291),
    [sym_if_statement] = STATE(1291),
    [sym_switch_statement] = STATE(1291),
    [sym_key_path_expression] = STATE(1291),
    [sym_key_path_string_expression] = STATE(1291),
    [sym_try_operator] = STATE(491),
    [sym__assignment_and_operator] = STATE(1291),
    [sym__equality_operator] = STATE(1291),
    [sym__comparison_operator] = STATE(1291),
    [sym__three_dot_operator] = STATE(859),
    [sym__open_ended_range_operator] = STATE(483),
    [sym__additive_operator] = STATE(1291),
    [sym__multiplicative_operator] = STATE(1291),
    [sym__prefix_unary_operator] = STATE(497),
    [sym_directly_assignable_expression] = STATE(5531),
    [sym_assignment] = STATE(1291),
    [sym_value_parameter_pack] = STATE(1291),
    [sym_value_pack_expansion] = STATE(1291),
    [sym__referenceable_operator] = STATE(1291),
    [sym__equal_sign] = STATE(1291),
    [sym__eq_eq] = STATE(1291),
    [sym__dot] = STATE(497),
    [sym_bang] = STATE(865),
    [sym__parameter_ownership_modifier] = STATE(2218),
    [aux_sym_raw_string_literal_repeat1] = STATE(6575),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(1227),
    [aux_sym_simple_identifier_token2] = ACTIONS(1229),
    [aux_sym_simple_identifier_token3] = ACTIONS(1229),
    [aux_sym_simple_identifier_token4] = ACTIONS(1229),
    [anon_sym_actor] = ACTIONS(1227),
    [anon_sym_async] = ACTIONS(1227),
    [anon_sym_each] = ACTIONS(1231),
    [anon_sym_lazy] = ACTIONS(1227),
    [anon_sym_repeat] = ACTIONS(1233),
    [anon_sym_package] = ACTIONS(1227),
    [anon_sym_nil] = ACTIONS(1991),
    [sym_real_literal] = ACTIONS(1993),
    [sym_integer_literal] = ACTIONS(1991),
    [sym_hex_literal] = ACTIONS(1993),
    [sym_oct_literal] = ACTIONS(1993),
    [sym_bin_literal] = ACTIONS(1993),
    [anon_sym_true] = ACTIONS(1239),
    [anon_sym_false] = ACTIONS(1239),
    [anon_sym_DQUOTE] = ACTIONS(1241),
    [anon_sym_BSLASH] = ACTIONS(1243),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1245),
    [sym__extended_regex_literal] = ACTIONS(1247),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(1249),
    [sym__oneline_regex_literal] = ACTIONS(1251),
    [anon_sym_LPAREN] = ACTIONS(1253),
    [anon_sym_LBRACK] = ACTIONS(1255),
    [anon_sym_AMP] = ACTIONS(1257),
    [anon_sym_if] = ACTIONS(1259),
    [anon_sym_switch] = ACTIONS(1261),
    [anon_sym_POUNDselector] = ACTIONS(1263),
    [aux_sym_custom_operator_token1] = ACTIONS(1265),
    [anon_sym_LT] = ACTIONS(1991),
    [anon_sym_GT] = ACTIONS(1991),
    [anon_sym_await] = ACTIONS(1267),
    [anon_sym_POUNDfile] = ACTIONS(1991),
    [anon_sym_POUNDfileID] = ACTIONS(1993),
    [anon_sym_POUNDfilePath] = ACTIONS(1993),
    [anon_sym_POUNDline] = ACTIONS(1993),
    [anon_sym_POUNDcolumn] = ACTIONS(1993),
    [anon_sym_POUNDfunction] = ACTIONS(1993),
    [anon_sym_POUNDdsohandle] = ACTIONS(1993),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(1269),
    [anon_sym_POUNDfileLiteral] = ACTIONS(1269),
    [anon_sym_POUNDimageLiteral] = ACTIONS(1269),
    [anon_sym_LBRACE] = ACTIONS(1271),
    [anon_sym_CARET_LBRACE] = ACTIONS(1271),
    [anon_sym_self] = ACTIONS(1273),
    [anon_sym_super] = ACTIONS(1275),
    [anon_sym_POUNDkeyPath] = ACTIONS(1277),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1993),
    [anon_sym_DASH_EQ] = ACTIONS(1993),
    [anon_sym_STAR_EQ] = ACTIONS(1993),
    [anon_sym_SLASH_EQ] = ACTIONS(1993),
    [anon_sym_PERCENT_EQ] = ACTIONS(1993),
    [anon_sym_BANG_EQ] = ACTIONS(1991),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1993),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1993),
    [anon_sym_LT_EQ] = ACTIONS(1993),
    [anon_sym_GT_EQ] = ACTIONS(1993),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1279),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1281),
    [anon_sym_PLUS] = ACTIONS(1283),
    [anon_sym_DASH] = ACTIONS(1283),
    [anon_sym_STAR] = ACTIONS(1991),
    [anon_sym_SLASH] = ACTIONS(1991),
    [anon_sym_PERCENT] = ACTIONS(1991),
    [anon_sym_PLUS_PLUS] = ACTIONS(1257),
    [anon_sym_DASH_DASH] = ACTIONS(1257),
    [anon_sym_TILDE] = ACTIONS(1257),
    [anon_sym_PIPE] = ACTIONS(1993),
    [anon_sym_CARET] = ACTIONS(1991),
    [anon_sym_LT_LT] = ACTIONS(1993),
    [anon_sym_GT_GT] = ACTIONS(1993),
    [anon_sym_BANG2] = ACTIONS(1285),
    [anon_sym_borrowing] = ACTIONS(1227),
    [anon_sym_consuming] = ACTIONS(1227),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(1287),
    [sym__dot_custom] = ACTIONS(1289),
    [sym__eq_custom] = ACTIONS(1993),
    [sym__eq_eq_custom] = ACTIONS(1993),
    [sym__plus_then_ws] = ACTIONS(1993),
    [sym__minus_then_ws] = ACTIONS(1993),
    [sym__bang_custom] = ACTIONS(1291),
    [sym__custom_operator] = ACTIONS(1265),
  },
  [492] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1306),
    [sym_boolean_literal] = STATE(1306),
    [sym__string_literal] = STATE(1306),
    [sym_line_string_literal] = STATE(1306),
    [sym_multi_line_string_literal] = STATE(1306),
    [sym_raw_string_literal] = STATE(1306),
    [sym_regex_literal] = STATE(1306),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1306),
    [sym__unary_expression] = STATE(1306),
    [sym_postfix_expression] = STATE(1306),
    [sym_constructor_expression] = STATE(1306),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1306),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1306),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1306),
    [sym_prefix_expression] = STATE(1306),
    [sym_as_expression] = STATE(1306),
    [sym_selector_expression] = STATE(1306),
    [sym__binary_expression] = STATE(792),
    [sym_multiplicative_expression] = STATE(792),
    [sym_additive_expression] = STATE(792),
    [sym_range_expression] = STATE(792),
    [sym_infix_expression] = STATE(792),
    [sym_nil_coalescing_expression] = STATE(792),
    [sym_check_expression] = STATE(792),
    [sym_comparison_expression] = STATE(792),
    [sym_equality_expression] = STATE(792),
    [sym_conjunction_expression] = STATE(792),
    [sym_disjunction_expression] = STATE(792),
    [sym_bitwise_operation] = STATE(792),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1306),
    [sym_await_expression] = STATE(1306),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(789),
    [sym_call_expression] = STATE(780),
    [sym__primary_expression] = STATE(1306),
    [sym_tuple_expression] = STATE(1306),
    [sym_array_literal] = STATE(1306),
    [sym_dictionary_literal] = STATE(1306),
    [sym__special_literal] = STATE(1306),
    [sym__playground_literal] = STATE(1306),
    [sym_lambda_literal] = STATE(1306),
    [sym_self_expression] = STATE(1306),
    [sym_super_expression] = STATE(1306),
    [sym_if_statement] = STATE(1306),
    [sym_switch_statement] = STATE(1306),
    [sym_key_path_expression] = STATE(1306),
    [sym_key_path_string_expression] = STATE(1306),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1306),
    [sym__equality_operator] = STATE(1306),
    [sym__comparison_operator] = STATE(1306),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1306),
    [sym__multiplicative_operator] = STATE(1306),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1306),
    [sym_value_parameter_pack] = STATE(1306),
    [sym_value_pack_expansion] = STATE(1306),
    [sym__referenceable_operator] = STATE(1306),
    [sym__equal_sign] = STATE(1306),
    [sym__eq_eq] = STATE(1306),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1995),
    [sym_real_literal] = ACTIONS(1997),
    [sym_integer_literal] = ACTIONS(1995),
    [sym_hex_literal] = ACTIONS(1997),
    [sym_oct_literal] = ACTIONS(1997),
    [sym_bin_literal] = ACTIONS(1997),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1995),
    [anon_sym_GT] = ACTIONS(1995),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1995),
    [anon_sym_POUNDfileID] = ACTIONS(1997),
    [anon_sym_POUNDfilePath] = ACTIONS(1997),
    [anon_sym_POUNDline] = ACTIONS(1997),
    [anon_sym_POUNDcolumn] = ACTIONS(1997),
    [anon_sym_POUNDfunction] = ACTIONS(1997),
    [anon_sym_POUNDdsohandle] = ACTIONS(1997),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1997),
    [anon_sym_DASH_EQ] = ACTIONS(1997),
    [anon_sym_STAR_EQ] = ACTIONS(1997),
    [anon_sym_SLASH_EQ] = ACTIONS(1997),
    [anon_sym_PERCENT_EQ] = ACTIONS(1997),
    [anon_sym_BANG_EQ] = ACTIONS(1995),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1997),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1997),
    [anon_sym_LT_EQ] = ACTIONS(1997),
    [anon_sym_GT_EQ] = ACTIONS(1997),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1995),
    [anon_sym_SLASH] = ACTIONS(1995),
    [anon_sym_PERCENT] = ACTIONS(1995),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1997),
    [anon_sym_CARET] = ACTIONS(1995),
    [anon_sym_LT_LT] = ACTIONS(1997),
    [anon_sym_GT_GT] = ACTIONS(1997),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1997),
    [sym__eq_eq_custom] = ACTIONS(1997),
    [sym__plus_then_ws] = ACTIONS(1997),
    [sym__minus_then_ws] = ACTIONS(1997),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [493] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1311),
    [sym_boolean_literal] = STATE(1311),
    [sym__string_literal] = STATE(1311),
    [sym_line_string_literal] = STATE(1311),
    [sym_multi_line_string_literal] = STATE(1311),
    [sym_raw_string_literal] = STATE(1311),
    [sym_regex_literal] = STATE(1311),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1311),
    [sym__unary_expression] = STATE(1311),
    [sym_postfix_expression] = STATE(1311),
    [sym_constructor_expression] = STATE(1311),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1311),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1311),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1311),
    [sym_prefix_expression] = STATE(1311),
    [sym_as_expression] = STATE(1311),
    [sym_selector_expression] = STATE(1311),
    [sym__binary_expression] = STATE(1311),
    [sym_multiplicative_expression] = STATE(1311),
    [sym_additive_expression] = STATE(1311),
    [sym_range_expression] = STATE(1311),
    [sym_infix_expression] = STATE(1311),
    [sym_nil_coalescing_expression] = STATE(1311),
    [sym_check_expression] = STATE(1311),
    [sym_comparison_expression] = STATE(1311),
    [sym_equality_expression] = STATE(1311),
    [sym_conjunction_expression] = STATE(1311),
    [sym_disjunction_expression] = STATE(1311),
    [sym_bitwise_operation] = STATE(1311),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1311),
    [sym_await_expression] = STATE(1311),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(801),
    [sym_call_expression] = STATE(796),
    [sym__primary_expression] = STATE(1311),
    [sym_tuple_expression] = STATE(1311),
    [sym_array_literal] = STATE(1311),
    [sym_dictionary_literal] = STATE(1311),
    [sym__special_literal] = STATE(1311),
    [sym__playground_literal] = STATE(1311),
    [sym_lambda_literal] = STATE(1311),
    [sym_self_expression] = STATE(1311),
    [sym_super_expression] = STATE(1311),
    [sym_if_statement] = STATE(1311),
    [sym_switch_statement] = STATE(1311),
    [sym_key_path_expression] = STATE(1311),
    [sym_key_path_string_expression] = STATE(1311),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1311),
    [sym__equality_operator] = STATE(1311),
    [sym__comparison_operator] = STATE(1311),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1311),
    [sym__multiplicative_operator] = STATE(1311),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1311),
    [sym_value_parameter_pack] = STATE(1311),
    [sym_value_pack_expansion] = STATE(1311),
    [sym__referenceable_operator] = STATE(1311),
    [sym__equal_sign] = STATE(1311),
    [sym__eq_eq] = STATE(1311),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1999),
    [sym_real_literal] = ACTIONS(2001),
    [sym_integer_literal] = ACTIONS(1999),
    [sym_hex_literal] = ACTIONS(2001),
    [sym_oct_literal] = ACTIONS(2001),
    [sym_bin_literal] = ACTIONS(2001),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1999),
    [anon_sym_GT] = ACTIONS(1999),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1999),
    [anon_sym_POUNDfileID] = ACTIONS(2001),
    [anon_sym_POUNDfilePath] = ACTIONS(2001),
    [anon_sym_POUNDline] = ACTIONS(2001),
    [anon_sym_POUNDcolumn] = ACTIONS(2001),
    [anon_sym_POUNDfunction] = ACTIONS(2001),
    [anon_sym_POUNDdsohandle] = ACTIONS(2001),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(2001),
    [anon_sym_DASH_EQ] = ACTIONS(2001),
    [anon_sym_STAR_EQ] = ACTIONS(2001),
    [anon_sym_SLASH_EQ] = ACTIONS(2001),
    [anon_sym_PERCENT_EQ] = ACTIONS(2001),
    [anon_sym_BANG_EQ] = ACTIONS(1999),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2001),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2001),
    [anon_sym_LT_EQ] = ACTIONS(2001),
    [anon_sym_GT_EQ] = ACTIONS(2001),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1999),
    [anon_sym_SLASH] = ACTIONS(1999),
    [anon_sym_PERCENT] = ACTIONS(1999),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(2001),
    [anon_sym_CARET] = ACTIONS(1999),
    [anon_sym_LT_LT] = ACTIONS(2001),
    [anon_sym_GT_GT] = ACTIONS(2001),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(2001),
    [sym__eq_eq_custom] = ACTIONS(2001),
    [sym__plus_then_ws] = ACTIONS(2001),
    [sym__minus_then_ws] = ACTIONS(2001),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [494] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1428),
    [sym_boolean_literal] = STATE(1428),
    [sym__string_literal] = STATE(1428),
    [sym_line_string_literal] = STATE(1428),
    [sym_multi_line_string_literal] = STATE(1428),
    [sym_raw_string_literal] = STATE(1428),
    [sym_regex_literal] = STATE(1428),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1428),
    [sym__unary_expression] = STATE(1428),
    [sym_postfix_expression] = STATE(1428),
    [sym_constructor_expression] = STATE(1428),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1428),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1428),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1428),
    [sym_prefix_expression] = STATE(1428),
    [sym_as_expression] = STATE(1428),
    [sym_selector_expression] = STATE(1428),
    [sym__binary_expression] = STATE(1428),
    [sym_multiplicative_expression] = STATE(1428),
    [sym_additive_expression] = STATE(1428),
    [sym_range_expression] = STATE(1428),
    [sym_infix_expression] = STATE(1428),
    [sym_nil_coalescing_expression] = STATE(1428),
    [sym_check_expression] = STATE(1428),
    [sym_comparison_expression] = STATE(1428),
    [sym_equality_expression] = STATE(1428),
    [sym_conjunction_expression] = STATE(1428),
    [sym_disjunction_expression] = STATE(1428),
    [sym_bitwise_operation] = STATE(1428),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1428),
    [sym_await_expression] = STATE(1428),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1428),
    [sym_call_expression] = STATE(1428),
    [sym__primary_expression] = STATE(1428),
    [sym_tuple_expression] = STATE(1428),
    [sym_array_literal] = STATE(1428),
    [sym_dictionary_literal] = STATE(1428),
    [sym__special_literal] = STATE(1428),
    [sym__playground_literal] = STATE(1428),
    [sym_lambda_literal] = STATE(1428),
    [sym_self_expression] = STATE(1428),
    [sym_super_expression] = STATE(1428),
    [sym_if_statement] = STATE(1428),
    [sym_switch_statement] = STATE(1428),
    [sym_key_path_expression] = STATE(1428),
    [sym_key_path_string_expression] = STATE(1428),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1428),
    [sym__equality_operator] = STATE(1428),
    [sym__comparison_operator] = STATE(1428),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1428),
    [sym__multiplicative_operator] = STATE(1428),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1428),
    [sym_value_parameter_pack] = STATE(1428),
    [sym_value_pack_expansion] = STATE(1428),
    [sym__referenceable_operator] = STATE(1428),
    [sym__equal_sign] = STATE(1428),
    [sym__eq_eq] = STATE(1428),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(2003),
    [sym_real_literal] = ACTIONS(2005),
    [sym_integer_literal] = ACTIONS(2003),
    [sym_hex_literal] = ACTIONS(2005),
    [sym_oct_literal] = ACTIONS(2005),
    [sym_bin_literal] = ACTIONS(2005),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(2003),
    [anon_sym_GT] = ACTIONS(2003),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(2003),
    [anon_sym_POUNDfileID] = ACTIONS(2005),
    [anon_sym_POUNDfilePath] = ACTIONS(2005),
    [anon_sym_POUNDline] = ACTIONS(2005),
    [anon_sym_POUNDcolumn] = ACTIONS(2005),
    [anon_sym_POUNDfunction] = ACTIONS(2005),
    [anon_sym_POUNDdsohandle] = ACTIONS(2005),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(2005),
    [anon_sym_DASH_EQ] = ACTIONS(2005),
    [anon_sym_STAR_EQ] = ACTIONS(2005),
    [anon_sym_SLASH_EQ] = ACTIONS(2005),
    [anon_sym_PERCENT_EQ] = ACTIONS(2005),
    [anon_sym_BANG_EQ] = ACTIONS(2003),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2005),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2005),
    [anon_sym_LT_EQ] = ACTIONS(2005),
    [anon_sym_GT_EQ] = ACTIONS(2005),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(2003),
    [anon_sym_SLASH] = ACTIONS(2003),
    [anon_sym_PERCENT] = ACTIONS(2003),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(2005),
    [anon_sym_CARET] = ACTIONS(2003),
    [anon_sym_LT_LT] = ACTIONS(2005),
    [anon_sym_GT_GT] = ACTIONS(2005),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(2005),
    [sym__eq_eq_custom] = ACTIONS(2005),
    [sym__plus_then_ws] = ACTIONS(2005),
    [sym__minus_then_ws] = ACTIONS(2005),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [495] = {
    [sym_simple_identifier] = STATE(1040),
    [sym__contextual_simple_identifier] = STATE(1015),
    [sym__basic_literal] = STATE(647),
    [sym_boolean_literal] = STATE(647),
    [sym__string_literal] = STATE(647),
    [sym_line_string_literal] = STATE(647),
    [sym_multi_line_string_literal] = STATE(647),
    [sym_raw_string_literal] = STATE(647),
    [sym_regex_literal] = STATE(647),
    [sym__multiline_regex_literal] = STATE(1134),
    [sym_user_type] = STATE(5559),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5559),
    [sym_dictionary_type] = STATE(5559),
    [sym__expression] = STATE(647),
    [sym__unary_expression] = STATE(647),
    [sym_postfix_expression] = STATE(647),
    [sym_constructor_expression] = STATE(647),
    [sym__parenthesized_type] = STATE(6572),
    [sym_navigation_expression] = STATE(647),
    [sym__navigable_type_expression] = STATE(6573),
    [sym_open_start_range_expression] = STATE(647),
    [sym__range_operator] = STATE(462),
    [sym_open_end_range_expression] = STATE(647),
    [sym_prefix_expression] = STATE(647),
    [sym_as_expression] = STATE(647),
    [sym_selector_expression] = STATE(647),
    [sym__binary_expression] = STATE(647),
    [sym_multiplicative_expression] = STATE(647),
    [sym_additive_expression] = STATE(647),
    [sym_range_expression] = STATE(647),
    [sym_infix_expression] = STATE(647),
    [sym_nil_coalescing_expression] = STATE(647),
    [sym_check_expression] = STATE(647),
    [sym_comparison_expression] = STATE(647),
    [sym_equality_expression] = STATE(647),
    [sym_conjunction_expression] = STATE(647),
    [sym_disjunction_expression] = STATE(647),
    [sym_bitwise_operation] = STATE(647),
    [sym_custom_operator] = STATE(615),
    [sym_try_expression] = STATE(647),
    [sym_await_expression] = STATE(647),
    [sym__await_operator] = STATE(463),
    [sym_ternary_expression] = STATE(647),
    [sym_call_expression] = STATE(647),
    [sym__primary_expression] = STATE(647),
    [sym_tuple_expression] = STATE(647),
    [sym_array_literal] = STATE(647),
    [sym_dictionary_literal] = STATE(647),
    [sym__special_literal] = STATE(647),
    [sym__playground_literal] = STATE(647),
    [sym_lambda_literal] = STATE(647),
    [sym_self_expression] = STATE(647),
    [sym_super_expression] = STATE(647),
    [sym_if_statement] = STATE(647),
    [sym_switch_statement] = STATE(647),
    [sym_key_path_expression] = STATE(647),
    [sym_key_path_string_expression] = STATE(647),
    [sym_try_operator] = STATE(465),
    [sym__assignment_and_operator] = STATE(647),
    [sym__equality_operator] = STATE(647),
    [sym__comparison_operator] = STATE(647),
    [sym__three_dot_operator] = STATE(617),
    [sym__open_ended_range_operator] = STATE(462),
    [sym__additive_operator] = STATE(647),
    [sym__multiplicative_operator] = STATE(647),
    [sym__prefix_unary_operator] = STATE(470),
    [sym_directly_assignable_expression] = STATE(5558),
    [sym_assignment] = STATE(647),
    [sym_value_parameter_pack] = STATE(647),
    [sym_value_pack_expansion] = STATE(647),
    [sym__referenceable_operator] = STATE(647),
    [sym__equal_sign] = STATE(647),
    [sym__eq_eq] = STATE(647),
    [sym__dot] = STATE(470),
    [sym_bang] = STATE(615),
    [sym__parameter_ownership_modifier] = STATE(1015),
    [aux_sym_raw_string_literal_repeat1] = STATE(6655),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(673),
    [aux_sym_simple_identifier_token2] = ACTIONS(675),
    [aux_sym_simple_identifier_token3] = ACTIONS(675),
    [aux_sym_simple_identifier_token4] = ACTIONS(675),
    [anon_sym_actor] = ACTIONS(673),
    [anon_sym_async] = ACTIONS(673),
    [anon_sym_each] = ACTIONS(677),
    [anon_sym_lazy] = ACTIONS(673),
    [anon_sym_repeat] = ACTIONS(679),
    [anon_sym_package] = ACTIONS(673),
    [anon_sym_nil] = ACTIONS(2007),
    [sym_real_literal] = ACTIONS(2009),
    [sym_integer_literal] = ACTIONS(2007),
    [sym_hex_literal] = ACTIONS(2009),
    [sym_oct_literal] = ACTIONS(2009),
    [sym_bin_literal] = ACTIONS(2009),
    [anon_sym_true] = ACTIONS(685),
    [anon_sym_false] = ACTIONS(685),
    [anon_sym_DQUOTE] = ACTIONS(687),
    [anon_sym_BSLASH] = ACTIONS(689),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(691),
    [sym__extended_regex_literal] = ACTIONS(693),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(695),
    [sym__oneline_regex_literal] = ACTIONS(697),
    [anon_sym_LPAREN] = ACTIONS(699),
    [anon_sym_LBRACK] = ACTIONS(701),
    [anon_sym_AMP] = ACTIONS(703),
    [anon_sym_if] = ACTIONS(705),
    [anon_sym_switch] = ACTIONS(707),
    [anon_sym_POUNDselector] = ACTIONS(709),
    [aux_sym_custom_operator_token1] = ACTIONS(711),
    [anon_sym_LT] = ACTIONS(2007),
    [anon_sym_GT] = ACTIONS(2007),
    [anon_sym_await] = ACTIONS(713),
    [anon_sym_POUNDfile] = ACTIONS(2007),
    [anon_sym_POUNDfileID] = ACTIONS(2009),
    [anon_sym_POUNDfilePath] = ACTIONS(2009),
    [anon_sym_POUNDline] = ACTIONS(2009),
    [anon_sym_POUNDcolumn] = ACTIONS(2009),
    [anon_sym_POUNDfunction] = ACTIONS(2009),
    [anon_sym_POUNDdsohandle] = ACTIONS(2009),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(715),
    [anon_sym_POUNDfileLiteral] = ACTIONS(715),
    [anon_sym_POUNDimageLiteral] = ACTIONS(715),
    [anon_sym_LBRACE] = ACTIONS(717),
    [anon_sym_CARET_LBRACE] = ACTIONS(717),
    [anon_sym_self] = ACTIONS(719),
    [anon_sym_super] = ACTIONS(721),
    [anon_sym_POUNDkeyPath] = ACTIONS(723),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(2009),
    [anon_sym_DASH_EQ] = ACTIONS(2009),
    [anon_sym_STAR_EQ] = ACTIONS(2009),
    [anon_sym_SLASH_EQ] = ACTIONS(2009),
    [anon_sym_PERCENT_EQ] = ACTIONS(2009),
    [anon_sym_BANG_EQ] = ACTIONS(2007),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2009),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2009),
    [anon_sym_LT_EQ] = ACTIONS(2009),
    [anon_sym_GT_EQ] = ACTIONS(2009),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(725),
    [anon_sym_DOT_DOT_LT] = ACTIONS(727),
    [anon_sym_PLUS] = ACTIONS(729),
    [anon_sym_DASH] = ACTIONS(729),
    [anon_sym_STAR] = ACTIONS(2007),
    [anon_sym_SLASH] = ACTIONS(2007),
    [anon_sym_PERCENT] = ACTIONS(2007),
    [anon_sym_PLUS_PLUS] = ACTIONS(703),
    [anon_sym_DASH_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(703),
    [anon_sym_PIPE] = ACTIONS(2009),
    [anon_sym_CARET] = ACTIONS(2007),
    [anon_sym_LT_LT] = ACTIONS(2009),
    [anon_sym_GT_GT] = ACTIONS(2009),
    [anon_sym_BANG2] = ACTIONS(731),
    [anon_sym_borrowing] = ACTIONS(673),
    [anon_sym_consuming] = ACTIONS(673),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(733),
    [sym__dot_custom] = ACTIONS(735),
    [sym__eq_custom] = ACTIONS(2009),
    [sym__eq_eq_custom] = ACTIONS(2009),
    [sym__plus_then_ws] = ACTIONS(2009),
    [sym__minus_then_ws] = ACTIONS(2009),
    [sym__bang_custom] = ACTIONS(737),
    [sym__custom_operator] = ACTIONS(711),
  },
  [496] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1442),
    [sym_boolean_literal] = STATE(1442),
    [sym__string_literal] = STATE(1442),
    [sym_line_string_literal] = STATE(1442),
    [sym_multi_line_string_literal] = STATE(1442),
    [sym_raw_string_literal] = STATE(1442),
    [sym_regex_literal] = STATE(1442),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1442),
    [sym__unary_expression] = STATE(1442),
    [sym_postfix_expression] = STATE(1442),
    [sym_constructor_expression] = STATE(1442),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1442),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1442),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1442),
    [sym_prefix_expression] = STATE(1442),
    [sym_as_expression] = STATE(1442),
    [sym_selector_expression] = STATE(1442),
    [sym__binary_expression] = STATE(1442),
    [sym_multiplicative_expression] = STATE(1442),
    [sym_additive_expression] = STATE(1442),
    [sym_range_expression] = STATE(1442),
    [sym_infix_expression] = STATE(1442),
    [sym_nil_coalescing_expression] = STATE(1442),
    [sym_check_expression] = STATE(1442),
    [sym_comparison_expression] = STATE(1442),
    [sym_equality_expression] = STATE(1442),
    [sym_conjunction_expression] = STATE(1442),
    [sym_disjunction_expression] = STATE(1442),
    [sym_bitwise_operation] = STATE(1442),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1442),
    [sym_await_expression] = STATE(1442),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1442),
    [sym_call_expression] = STATE(1442),
    [sym__primary_expression] = STATE(1442),
    [sym_tuple_expression] = STATE(1442),
    [sym_array_literal] = STATE(1442),
    [sym_dictionary_literal] = STATE(1442),
    [sym__special_literal] = STATE(1442),
    [sym__playground_literal] = STATE(1442),
    [sym_lambda_literal] = STATE(1442),
    [sym_self_expression] = STATE(1442),
    [sym_super_expression] = STATE(1442),
    [sym_if_statement] = STATE(1442),
    [sym_switch_statement] = STATE(1442),
    [sym_key_path_expression] = STATE(1442),
    [sym_key_path_string_expression] = STATE(1442),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1442),
    [sym__equality_operator] = STATE(1442),
    [sym__comparison_operator] = STATE(1442),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1442),
    [sym__multiplicative_operator] = STATE(1442),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1442),
    [sym_value_parameter_pack] = STATE(1442),
    [sym_value_pack_expansion] = STATE(1442),
    [sym__referenceable_operator] = STATE(1442),
    [sym__equal_sign] = STATE(1442),
    [sym__eq_eq] = STATE(1442),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(2011),
    [sym_real_literal] = ACTIONS(2013),
    [sym_integer_literal] = ACTIONS(2011),
    [sym_hex_literal] = ACTIONS(2013),
    [sym_oct_literal] = ACTIONS(2013),
    [sym_bin_literal] = ACTIONS(2013),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(2011),
    [anon_sym_GT] = ACTIONS(2011),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(2011),
    [anon_sym_POUNDfileID] = ACTIONS(2013),
    [anon_sym_POUNDfilePath] = ACTIONS(2013),
    [anon_sym_POUNDline] = ACTIONS(2013),
    [anon_sym_POUNDcolumn] = ACTIONS(2013),
    [anon_sym_POUNDfunction] = ACTIONS(2013),
    [anon_sym_POUNDdsohandle] = ACTIONS(2013),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(2013),
    [anon_sym_DASH_EQ] = ACTIONS(2013),
    [anon_sym_STAR_EQ] = ACTIONS(2013),
    [anon_sym_SLASH_EQ] = ACTIONS(2013),
    [anon_sym_PERCENT_EQ] = ACTIONS(2013),
    [anon_sym_BANG_EQ] = ACTIONS(2011),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2013),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2013),
    [anon_sym_LT_EQ] = ACTIONS(2013),
    [anon_sym_GT_EQ] = ACTIONS(2013),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(2011),
    [anon_sym_SLASH] = ACTIONS(2011),
    [anon_sym_PERCENT] = ACTIONS(2011),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(2013),
    [anon_sym_CARET] = ACTIONS(2011),
    [anon_sym_LT_LT] = ACTIONS(2013),
    [anon_sym_GT_GT] = ACTIONS(2013),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(2013),
    [sym__eq_eq_custom] = ACTIONS(2013),
    [sym__plus_then_ws] = ACTIONS(2013),
    [sym__minus_then_ws] = ACTIONS(2013),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [497] = {
    [sym_simple_identifier] = STATE(2315),
    [sym__contextual_simple_identifier] = STATE(2218),
    [sym__basic_literal] = STATE(1288),
    [sym_boolean_literal] = STATE(1288),
    [sym__string_literal] = STATE(1288),
    [sym_line_string_literal] = STATE(1288),
    [sym_multi_line_string_literal] = STATE(1288),
    [sym_raw_string_literal] = STATE(1288),
    [sym_regex_literal] = STATE(1288),
    [sym__multiline_regex_literal] = STATE(2574),
    [sym_user_type] = STATE(5528),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5528),
    [sym_dictionary_type] = STATE(5528),
    [sym__expression] = STATE(1288),
    [sym__unary_expression] = STATE(1288),
    [sym_postfix_expression] = STATE(1288),
    [sym_constructor_expression] = STATE(1288),
    [sym__parenthesized_type] = STATE(6484),
    [sym_navigation_expression] = STATE(1288),
    [sym__navigable_type_expression] = STATE(6485),
    [sym_open_start_range_expression] = STATE(1288),
    [sym__range_operator] = STATE(483),
    [sym_open_end_range_expression] = STATE(1288),
    [sym_prefix_expression] = STATE(1288),
    [sym_as_expression] = STATE(1288),
    [sym_selector_expression] = STATE(1288),
    [sym__binary_expression] = STATE(1288),
    [sym_multiplicative_expression] = STATE(1288),
    [sym_additive_expression] = STATE(1288),
    [sym_range_expression] = STATE(1288),
    [sym_infix_expression] = STATE(1288),
    [sym_nil_coalescing_expression] = STATE(1288),
    [sym_check_expression] = STATE(1288),
    [sym_comparison_expression] = STATE(1288),
    [sym_equality_expression] = STATE(1288),
    [sym_conjunction_expression] = STATE(1288),
    [sym_disjunction_expression] = STATE(1288),
    [sym_bitwise_operation] = STATE(1288),
    [sym_custom_operator] = STATE(865),
    [sym_try_expression] = STATE(1288),
    [sym_await_expression] = STATE(1288),
    [sym__await_operator] = STATE(485),
    [sym_ternary_expression] = STATE(1288),
    [sym_call_expression] = STATE(1288),
    [sym__primary_expression] = STATE(1288),
    [sym_tuple_expression] = STATE(1288),
    [sym_array_literal] = STATE(1288),
    [sym_dictionary_literal] = STATE(1288),
    [sym__special_literal] = STATE(1288),
    [sym__playground_literal] = STATE(1288),
    [sym_lambda_literal] = STATE(1288),
    [sym_self_expression] = STATE(1288),
    [sym_super_expression] = STATE(1288),
    [sym_if_statement] = STATE(1288),
    [sym_switch_statement] = STATE(1288),
    [sym_key_path_expression] = STATE(1288),
    [sym_key_path_string_expression] = STATE(1288),
    [sym_try_operator] = STATE(491),
    [sym__assignment_and_operator] = STATE(1288),
    [sym__equality_operator] = STATE(1288),
    [sym__comparison_operator] = STATE(1288),
    [sym__three_dot_operator] = STATE(859),
    [sym__open_ended_range_operator] = STATE(483),
    [sym__additive_operator] = STATE(1288),
    [sym__multiplicative_operator] = STATE(1288),
    [sym__prefix_unary_operator] = STATE(497),
    [sym_directly_assignable_expression] = STATE(5531),
    [sym_assignment] = STATE(1288),
    [sym_value_parameter_pack] = STATE(1288),
    [sym_value_pack_expansion] = STATE(1288),
    [sym__referenceable_operator] = STATE(1288),
    [sym__equal_sign] = STATE(1288),
    [sym__eq_eq] = STATE(1288),
    [sym__dot] = STATE(497),
    [sym_bang] = STATE(865),
    [sym__parameter_ownership_modifier] = STATE(2218),
    [aux_sym_raw_string_literal_repeat1] = STATE(6575),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(1227),
    [aux_sym_simple_identifier_token2] = ACTIONS(1229),
    [aux_sym_simple_identifier_token3] = ACTIONS(1229),
    [aux_sym_simple_identifier_token4] = ACTIONS(1229),
    [anon_sym_actor] = ACTIONS(1227),
    [anon_sym_async] = ACTIONS(2015),
    [anon_sym_each] = ACTIONS(1231),
    [anon_sym_lazy] = ACTIONS(1227),
    [anon_sym_repeat] = ACTIONS(1233),
    [anon_sym_package] = ACTIONS(1227),
    [anon_sym_nil] = ACTIONS(2017),
    [sym_real_literal] = ACTIONS(2019),
    [sym_integer_literal] = ACTIONS(2017),
    [sym_hex_literal] = ACTIONS(2019),
    [sym_oct_literal] = ACTIONS(2019),
    [sym_bin_literal] = ACTIONS(2019),
    [anon_sym_true] = ACTIONS(1239),
    [anon_sym_false] = ACTIONS(1239),
    [anon_sym_DQUOTE] = ACTIONS(1241),
    [anon_sym_BSLASH] = ACTIONS(1243),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1245),
    [sym__extended_regex_literal] = ACTIONS(1247),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(1249),
    [sym__oneline_regex_literal] = ACTIONS(1251),
    [anon_sym_LPAREN] = ACTIONS(1253),
    [anon_sym_LBRACK] = ACTIONS(1255),
    [anon_sym_AMP] = ACTIONS(1257),
    [anon_sym_if] = ACTIONS(2021),
    [anon_sym_switch] = ACTIONS(2023),
    [anon_sym_POUNDselector] = ACTIONS(1263),
    [aux_sym_custom_operator_token1] = ACTIONS(1265),
    [anon_sym_LT] = ACTIONS(2017),
    [anon_sym_GT] = ACTIONS(2017),
    [anon_sym_await] = ACTIONS(1267),
    [anon_sym_POUNDfile] = ACTIONS(2017),
    [anon_sym_POUNDfileID] = ACTIONS(2019),
    [anon_sym_POUNDfilePath] = ACTIONS(2019),
    [anon_sym_POUNDline] = ACTIONS(2019),
    [anon_sym_POUNDcolumn] = ACTIONS(2019),
    [anon_sym_POUNDfunction] = ACTIONS(2019),
    [anon_sym_POUNDdsohandle] = ACTIONS(2019),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(1269),
    [anon_sym_POUNDfileLiteral] = ACTIONS(1269),
    [anon_sym_POUNDimageLiteral] = ACTIONS(1269),
    [anon_sym_LBRACE] = ACTIONS(1271),
    [anon_sym_CARET_LBRACE] = ACTIONS(1271),
    [anon_sym_self] = ACTIONS(1273),
    [anon_sym_super] = ACTIONS(1275),
    [anon_sym_POUNDkeyPath] = ACTIONS(1277),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(2019),
    [anon_sym_DASH_EQ] = ACTIONS(2019),
    [anon_sym_STAR_EQ] = ACTIONS(2019),
    [anon_sym_SLASH_EQ] = ACTIONS(2019),
    [anon_sym_PERCENT_EQ] = ACTIONS(2019),
    [anon_sym_BANG_EQ] = ACTIONS(2017),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2019),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2019),
    [anon_sym_LT_EQ] = ACTIONS(2019),
    [anon_sym_GT_EQ] = ACTIONS(2019),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1279),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1281),
    [anon_sym_PLUS] = ACTIONS(1283),
    [anon_sym_DASH] = ACTIONS(1283),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_SLASH] = ACTIONS(2017),
    [anon_sym_PERCENT] = ACTIONS(2017),
    [anon_sym_PLUS_PLUS] = ACTIONS(1257),
    [anon_sym_DASH_DASH] = ACTIONS(1257),
    [anon_sym_TILDE] = ACTIONS(1257),
    [anon_sym_PIPE] = ACTIONS(2019),
    [anon_sym_CARET] = ACTIONS(2017),
    [anon_sym_LT_LT] = ACTIONS(2019),
    [anon_sym_GT_GT] = ACTIONS(2019),
    [anon_sym_BANG2] = ACTIONS(1285),
    [anon_sym_borrowing] = ACTIONS(1227),
    [anon_sym_consuming] = ACTIONS(1227),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(1287),
    [sym__dot_custom] = ACTIONS(1289),
    [sym__eq_custom] = ACTIONS(2019),
    [sym__eq_eq_custom] = ACTIONS(2019),
    [sym__plus_then_ws] = ACTIONS(2019),
    [sym__minus_then_ws] = ACTIONS(2019),
    [sym__bang_custom] = ACTIONS(1291),
    [sym__custom_operator] = ACTIONS(1265),
  },
  [498] = {
    [sym_simple_identifier] = STATE(2936),
    [sym__contextual_simple_identifier] = STATE(2558),
    [sym__basic_literal] = STATE(1385),
    [sym_boolean_literal] = STATE(1385),
    [sym__string_literal] = STATE(1385),
    [sym_line_string_literal] = STATE(1385),
    [sym_multi_line_string_literal] = STATE(1385),
    [sym_raw_string_literal] = STATE(1385),
    [sym_regex_literal] = STATE(1385),
    [sym__multiline_regex_literal] = STATE(3141),
    [sym_user_type] = STATE(5448),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5448),
    [sym_dictionary_type] = STATE(5448),
    [sym__expression] = STATE(1385),
    [sym__unary_expression] = STATE(1385),
    [sym_postfix_expression] = STATE(1385),
    [sym_constructor_expression] = STATE(1385),
    [sym__parenthesized_type] = STATE(6984),
    [sym_navigation_expression] = STATE(1385),
    [sym__navigable_type_expression] = STATE(6994),
    [sym_open_start_range_expression] = STATE(1385),
    [sym__range_operator] = STATE(488),
    [sym_open_end_range_expression] = STATE(1385),
    [sym_prefix_expression] = STATE(1385),
    [sym_as_expression] = STATE(1385),
    [sym_selector_expression] = STATE(1385),
    [sym__binary_expression] = STATE(1385),
    [sym_multiplicative_expression] = STATE(1385),
    [sym_additive_expression] = STATE(1385),
    [sym_range_expression] = STATE(1385),
    [sym_infix_expression] = STATE(1385),
    [sym_nil_coalescing_expression] = STATE(1385),
    [sym_check_expression] = STATE(1385),
    [sym_comparison_expression] = STATE(1385),
    [sym_equality_expression] = STATE(1385),
    [sym_conjunction_expression] = STATE(1385),
    [sym_disjunction_expression] = STATE(1385),
    [sym_bitwise_operation] = STATE(1385),
    [sym_custom_operator] = STATE(902),
    [sym_try_expression] = STATE(1385),
    [sym_await_expression] = STATE(1385),
    [sym__await_operator] = STATE(498),
    [sym_ternary_expression] = STATE(3087),
    [sym_call_expression] = STATE(3098),
    [sym__primary_expression] = STATE(1385),
    [sym_tuple_expression] = STATE(1385),
    [sym_array_literal] = STATE(1385),
    [sym_dictionary_literal] = STATE(1385),
    [sym__special_literal] = STATE(1385),
    [sym__playground_literal] = STATE(1385),
    [sym_lambda_literal] = STATE(1385),
    [sym_self_expression] = STATE(1385),
    [sym_super_expression] = STATE(1385),
    [sym_if_statement] = STATE(1385),
    [sym_switch_statement] = STATE(1385),
    [sym_key_path_expression] = STATE(1385),
    [sym_key_path_string_expression] = STATE(1385),
    [sym_try_operator] = STATE(501),
    [sym__assignment_and_operator] = STATE(1385),
    [sym__equality_operator] = STATE(1385),
    [sym__comparison_operator] = STATE(1385),
    [sym__three_dot_operator] = STATE(900),
    [sym__open_ended_range_operator] = STATE(488),
    [sym__additive_operator] = STATE(1385),
    [sym__multiplicative_operator] = STATE(1385),
    [sym__prefix_unary_operator] = STATE(505),
    [sym_directly_assignable_expression] = STATE(5447),
    [sym_assignment] = STATE(1385),
    [sym_value_parameter_pack] = STATE(1385),
    [sym_value_pack_expansion] = STATE(1385),
    [sym__referenceable_operator] = STATE(1385),
    [sym__equal_sign] = STATE(1385),
    [sym__eq_eq] = STATE(1385),
    [sym__dot] = STATE(505),
    [sym_bang] = STATE(902),
    [sym__parameter_ownership_modifier] = STATE(2558),
    [aux_sym_raw_string_literal_repeat1] = STATE(7003),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(1147),
    [aux_sym_simple_identifier_token2] = ACTIONS(1149),
    [aux_sym_simple_identifier_token3] = ACTIONS(1149),
    [aux_sym_simple_identifier_token4] = ACTIONS(1149),
    [anon_sym_actor] = ACTIONS(1147),
    [anon_sym_async] = ACTIONS(1147),
    [anon_sym_each] = ACTIONS(1153),
    [anon_sym_lazy] = ACTIONS(1147),
    [anon_sym_repeat] = ACTIONS(1155),
    [anon_sym_package] = ACTIONS(1147),
    [anon_sym_nil] = ACTIONS(2025),
    [sym_real_literal] = ACTIONS(2027),
    [sym_integer_literal] = ACTIONS(2025),
    [sym_hex_literal] = ACTIONS(2027),
    [sym_oct_literal] = ACTIONS(2027),
    [sym_bin_literal] = ACTIONS(2027),
    [anon_sym_true] = ACTIONS(1161),
    [anon_sym_false] = ACTIONS(1161),
    [anon_sym_DQUOTE] = ACTIONS(1163),
    [anon_sym_BSLASH] = ACTIONS(1165),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1167),
    [sym__extended_regex_literal] = ACTIONS(1169),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(1171),
    [sym__oneline_regex_literal] = ACTIONS(1173),
    [anon_sym_LPAREN] = ACTIONS(1175),
    [anon_sym_LBRACK] = ACTIONS(1177),
    [anon_sym_AMP] = ACTIONS(1179),
    [anon_sym_if] = ACTIONS(1181),
    [anon_sym_switch] = ACTIONS(1183),
    [anon_sym_POUNDselector] = ACTIONS(1185),
    [aux_sym_custom_operator_token1] = ACTIONS(1187),
    [anon_sym_LT] = ACTIONS(2025),
    [anon_sym_GT] = ACTIONS(2025),
    [anon_sym_await] = ACTIONS(1189),
    [anon_sym_POUNDfile] = ACTIONS(2025),
    [anon_sym_POUNDfileID] = ACTIONS(2027),
    [anon_sym_POUNDfilePath] = ACTIONS(2027),
    [anon_sym_POUNDline] = ACTIONS(2027),
    [anon_sym_POUNDcolumn] = ACTIONS(2027),
    [anon_sym_POUNDfunction] = ACTIONS(2027),
    [anon_sym_POUNDdsohandle] = ACTIONS(2027),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(1191),
    [anon_sym_POUNDfileLiteral] = ACTIONS(1191),
    [anon_sym_POUNDimageLiteral] = ACTIONS(1191),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_CARET_LBRACE] = ACTIONS(1193),
    [anon_sym_self] = ACTIONS(1195),
    [anon_sym_super] = ACTIONS(1197),
    [anon_sym_POUNDkeyPath] = ACTIONS(1201),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(2027),
    [anon_sym_DASH_EQ] = ACTIONS(2027),
    [anon_sym_STAR_EQ] = ACTIONS(2027),
    [anon_sym_SLASH_EQ] = ACTIONS(2027),
    [anon_sym_PERCENT_EQ] = ACTIONS(2027),
    [anon_sym_BANG_EQ] = ACTIONS(2025),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2027),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2027),
    [anon_sym_LT_EQ] = ACTIONS(2027),
    [anon_sym_GT_EQ] = ACTIONS(2027),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1203),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1205),
    [anon_sym_PLUS] = ACTIONS(1207),
    [anon_sym_DASH] = ACTIONS(1207),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_SLASH] = ACTIONS(2025),
    [anon_sym_PERCENT] = ACTIONS(2025),
    [anon_sym_PLUS_PLUS] = ACTIONS(1179),
    [anon_sym_DASH_DASH] = ACTIONS(1179),
    [anon_sym_TILDE] = ACTIONS(1179),
    [anon_sym_PIPE] = ACTIONS(2027),
    [anon_sym_CARET] = ACTIONS(2025),
    [anon_sym_LT_LT] = ACTIONS(2027),
    [anon_sym_GT_GT] = ACTIONS(2027),
    [anon_sym_BANG2] = ACTIONS(1211),
    [anon_sym_borrowing] = ACTIONS(1147),
    [anon_sym_consuming] = ACTIONS(1147),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(1213),
    [sym__dot_custom] = ACTIONS(1215),
    [sym__eq_custom] = ACTIONS(2027),
    [sym__eq_eq_custom] = ACTIONS(2027),
    [sym__plus_then_ws] = ACTIONS(2027),
    [sym__minus_then_ws] = ACTIONS(2027),
    [sym__bang_custom] = ACTIONS(1217),
    [sym__custom_operator] = ACTIONS(1187),
  },
  [499] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1404),
    [sym_boolean_literal] = STATE(1404),
    [sym__string_literal] = STATE(1404),
    [sym_line_string_literal] = STATE(1404),
    [sym_multi_line_string_literal] = STATE(1404),
    [sym_raw_string_literal] = STATE(1404),
    [sym_regex_literal] = STATE(1404),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1404),
    [sym__unary_expression] = STATE(1404),
    [sym_postfix_expression] = STATE(1404),
    [sym_constructor_expression] = STATE(1404),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1404),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1404),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1404),
    [sym_prefix_expression] = STATE(1404),
    [sym_as_expression] = STATE(1404),
    [sym_selector_expression] = STATE(1404),
    [sym__binary_expression] = STATE(1404),
    [sym_multiplicative_expression] = STATE(1404),
    [sym_additive_expression] = STATE(1404),
    [sym_range_expression] = STATE(1404),
    [sym_infix_expression] = STATE(1404),
    [sym_nil_coalescing_expression] = STATE(1404),
    [sym_check_expression] = STATE(1404),
    [sym_comparison_expression] = STATE(1404),
    [sym_equality_expression] = STATE(1404),
    [sym_conjunction_expression] = STATE(1404),
    [sym_disjunction_expression] = STATE(1404),
    [sym_bitwise_operation] = STATE(1404),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1404),
    [sym_await_expression] = STATE(1404),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1404),
    [sym_call_expression] = STATE(1404),
    [sym__primary_expression] = STATE(1404),
    [sym_tuple_expression] = STATE(1404),
    [sym_array_literal] = STATE(1404),
    [sym_dictionary_literal] = STATE(1404),
    [sym__special_literal] = STATE(1404),
    [sym__playground_literal] = STATE(1404),
    [sym_lambda_literal] = STATE(1404),
    [sym_self_expression] = STATE(1404),
    [sym_super_expression] = STATE(1404),
    [sym_if_statement] = STATE(1404),
    [sym_switch_statement] = STATE(1404),
    [sym_key_path_expression] = STATE(1404),
    [sym_key_path_string_expression] = STATE(1404),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1404),
    [sym__equality_operator] = STATE(1404),
    [sym__comparison_operator] = STATE(1404),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1404),
    [sym__multiplicative_operator] = STATE(1404),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1404),
    [sym_value_parameter_pack] = STATE(1404),
    [sym_value_pack_expansion] = STATE(1404),
    [sym__referenceable_operator] = STATE(1404),
    [sym__equal_sign] = STATE(1404),
    [sym__eq_eq] = STATE(1404),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(2029),
    [sym_real_literal] = ACTIONS(2031),
    [sym_integer_literal] = ACTIONS(2029),
    [sym_hex_literal] = ACTIONS(2031),
    [sym_oct_literal] = ACTIONS(2031),
    [sym_bin_literal] = ACTIONS(2031),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(2029),
    [anon_sym_GT] = ACTIONS(2029),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(2029),
    [anon_sym_POUNDfileID] = ACTIONS(2031),
    [anon_sym_POUNDfilePath] = ACTIONS(2031),
    [anon_sym_POUNDline] = ACTIONS(2031),
    [anon_sym_POUNDcolumn] = ACTIONS(2031),
    [anon_sym_POUNDfunction] = ACTIONS(2031),
    [anon_sym_POUNDdsohandle] = ACTIONS(2031),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(2031),
    [anon_sym_DASH_EQ] = ACTIONS(2031),
    [anon_sym_STAR_EQ] = ACTIONS(2031),
    [anon_sym_SLASH_EQ] = ACTIONS(2031),
    [anon_sym_PERCENT_EQ] = ACTIONS(2031),
    [anon_sym_BANG_EQ] = ACTIONS(2029),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2031),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2031),
    [anon_sym_LT_EQ] = ACTIONS(2031),
    [anon_sym_GT_EQ] = ACTIONS(2031),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(2029),
    [anon_sym_SLASH] = ACTIONS(2029),
    [anon_sym_PERCENT] = ACTIONS(2029),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(2031),
    [anon_sym_CARET] = ACTIONS(2029),
    [anon_sym_LT_LT] = ACTIONS(2031),
    [anon_sym_GT_GT] = ACTIONS(2031),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(2031),
    [sym__eq_eq_custom] = ACTIONS(2031),
    [sym__plus_then_ws] = ACTIONS(2031),
    [sym__minus_then_ws] = ACTIONS(2031),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [500] = {
    [sym_simple_identifier] = STATE(2276),
    [sym__contextual_simple_identifier] = STATE(2115),
    [sym__basic_literal] = STATE(1277),
    [sym_boolean_literal] = STATE(1277),
    [sym__string_literal] = STATE(1277),
    [sym_line_string_literal] = STATE(1277),
    [sym_multi_line_string_literal] = STATE(1277),
    [sym_raw_string_literal] = STATE(1277),
    [sym_regex_literal] = STATE(1277),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1277),
    [sym__unary_expression] = STATE(1277),
    [sym_postfix_expression] = STATE(1277),
    [sym_constructor_expression] = STATE(1277),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1277),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1277),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1277),
    [sym_prefix_expression] = STATE(1277),
    [sym_as_expression] = STATE(1277),
    [sym_selector_expression] = STATE(1277),
    [sym__binary_expression] = STATE(2414),
    [sym_multiplicative_expression] = STATE(2414),
    [sym_additive_expression] = STATE(2414),
    [sym_range_expression] = STATE(2414),
    [sym_infix_expression] = STATE(2414),
    [sym_nil_coalescing_expression] = STATE(2414),
    [sym_check_expression] = STATE(2414),
    [sym_comparison_expression] = STATE(2414),
    [sym_equality_expression] = STATE(2414),
    [sym_conjunction_expression] = STATE(2414),
    [sym_disjunction_expression] = STATE(2414),
    [sym_bitwise_operation] = STATE(2414),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1277),
    [sym_await_expression] = STATE(1277),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(2415),
    [sym_call_expression] = STATE(2416),
    [sym__primary_expression] = STATE(1277),
    [sym_tuple_expression] = STATE(1277),
    [sym_array_literal] = STATE(1277),
    [sym_dictionary_literal] = STATE(1277),
    [sym__special_literal] = STATE(1277),
    [sym__playground_literal] = STATE(1277),
    [sym_lambda_literal] = STATE(1277),
    [sym_self_expression] = STATE(1277),
    [sym_super_expression] = STATE(1277),
    [sym_if_statement] = STATE(1277),
    [sym_switch_statement] = STATE(1277),
    [sym_key_path_expression] = STATE(1277),
    [sym_key_path_string_expression] = STATE(1277),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1277),
    [sym__equality_operator] = STATE(1277),
    [sym__comparison_operator] = STATE(1277),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1277),
    [sym__multiplicative_operator] = STATE(1277),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym_assignment] = STATE(1277),
    [sym_value_parameter_pack] = STATE(1277),
    [sym_value_pack_expansion] = STATE(1277),
    [sym__referenceable_operator] = STATE(1277),
    [sym__equal_sign] = STATE(1277),
    [sym__eq_eq] = STATE(1277),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__parameter_ownership_modifier] = STATE(2115),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(11),
    [aux_sym_simple_identifier_token2] = ACTIONS(13),
    [aux_sym_simple_identifier_token3] = ACTIONS(13),
    [aux_sym_simple_identifier_token4] = ACTIONS(13),
    [anon_sym_actor] = ACTIONS(11),
    [anon_sym_async] = ACTIONS(11),
    [anon_sym_each] = ACTIONS(19),
    [anon_sym_lazy] = ACTIONS(11),
    [anon_sym_repeat] = ACTIONS(937),
    [anon_sym_package] = ACTIONS(11),
    [anon_sym_nil] = ACTIONS(2033),
    [sym_real_literal] = ACTIONS(2035),
    [sym_integer_literal] = ACTIONS(2033),
    [sym_hex_literal] = ACTIONS(2035),
    [sym_oct_literal] = ACTIONS(2035),
    [sym_bin_literal] = ACTIONS(2035),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(2033),
    [anon_sym_GT] = ACTIONS(2033),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(2033),
    [anon_sym_POUNDfileID] = ACTIONS(2035),
    [anon_sym_POUNDfilePath] = ACTIONS(2035),
    [anon_sym_POUNDline] = ACTIONS(2035),
    [anon_sym_POUNDcolumn] = ACTIONS(2035),
    [anon_sym_POUNDfunction] = ACTIONS(2035),
    [anon_sym_POUNDdsohandle] = ACTIONS(2035),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_self] = ACTIONS(65),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(2035),
    [anon_sym_DASH_EQ] = ACTIONS(2035),
    [anon_sym_STAR_EQ] = ACTIONS(2035),
    [anon_sym_SLASH_EQ] = ACTIONS(2035),
    [anon_sym_PERCENT_EQ] = ACTIONS(2035),
    [anon_sym_BANG_EQ] = ACTIONS(2033),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2035),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2035),
    [anon_sym_LT_EQ] = ACTIONS(2035),
    [anon_sym_GT_EQ] = ACTIONS(2035),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(2033),
    [anon_sym_SLASH] = ACTIONS(2033),
    [anon_sym_PERCENT] = ACTIONS(2033),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(2035),
    [anon_sym_CARET] = ACTIONS(2033),
    [anon_sym_LT_LT] = ACTIONS(2035),
    [anon_sym_GT_GT] = ACTIONS(2035),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_borrowing] = ACTIONS(11),
    [anon_sym_consuming] = ACTIONS(11),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(2035),
    [sym__eq_eq_custom] = ACTIONS(2035),
    [sym__plus_then_ws] = ACTIONS(2035),
    [sym__minus_then_ws] = ACTIONS(2035),
    [sym__bang_custom] = ACTIONS(151),
    [sym__custom_operator] = ACTIONS(57),
  },
  [501] = {
    [sym_simple_identifier] = STATE(2936),
    [sym__contextual_simple_identifier] = STATE(2558),
    [sym__basic_literal] = STATE(1382),
    [sym_boolean_literal] = STATE(1382),
    [sym__string_literal] = STATE(1382),
    [sym_line_string_literal] = STATE(1382),
    [sym_multi_line_string_literal] = STATE(1382),
    [sym_raw_string_literal] = STATE(1382),
    [sym_regex_literal] = STATE(1382),
    [sym__multiline_regex_literal] = STATE(3141),
    [sym_user_type] = STATE(5448),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5448),
    [sym_dictionary_type] = STATE(5448),
    [sym__expression] = STATE(1382),
    [sym__unary_expression] = STATE(1382),
    [sym_postfix_expression] = STATE(1382),
    [sym_constructor_expression] = STATE(1382),
    [sym__parenthesized_type] = STATE(6984),
    [sym_navigation_expression] = STATE(1382),
    [sym__navigable_type_expression] = STATE(6994),
    [sym_open_start_range_expression] = STATE(1382),
    [sym__range_operator] = STATE(488),
    [sym_open_end_range_expression] = STATE(1382),
    [sym_prefix_expression] = STATE(1382),
    [sym_as_expression] = STATE(1382),
    [sym_selector_expression] = STATE(1382),
    [sym__binary_expression] = STATE(3102),
    [sym_multiplicative_expression] = STATE(3102),
    [sym_additive_expression] = STATE(3102),
    [sym_range_expression] = STATE(3102),
    [sym_infix_expression] = STATE(3102),
    [sym_nil_coalescing_expression] = STATE(3102),
    [sym_check_expression] = STATE(3102),
    [sym_comparison_expression] = STATE(3102),
    [sym_equality_expression] = STATE(3102),
    [sym_conjunction_expression] = STATE(3102),
    [sym_disjunction_expression] = STATE(3102),
    [sym_bitwise_operation] = STATE(3102),
    [sym_custom_operator] = STATE(902),
    [sym_try_expression] = STATE(1382),
    [sym_await_expression] = STATE(1382),
    [sym__await_operator] = STATE(498),
    [sym_ternary_expression] = STATE(3103),
    [sym_call_expression] = STATE(3107),
    [sym__primary_expression] = STATE(1382),
    [sym_tuple_expression] = STATE(1382),
    [sym_array_literal] = STATE(1382),
    [sym_dictionary_literal] = STATE(1382),
    [sym__special_literal] = STATE(1382),
    [sym__playground_literal] = STATE(1382),
    [sym_lambda_literal] = STATE(1382),
    [sym_self_expression] = STATE(1382),
    [sym_super_expression] = STATE(1382),
    [sym_if_statement] = STATE(1382),
    [sym_switch_statement] = STATE(1382),
    [sym_key_path_expression] = STATE(1382),
    [sym_key_path_string_expression] = STATE(1382),
    [sym_try_operator] = STATE(501),
    [sym__assignment_and_operator] = STATE(1382),
    [sym__equality_operator] = STATE(1382),
    [sym__comparison_operator] = STATE(1382),
    [sym__three_dot_operator] = STATE(900),
    [sym__open_ended_range_operator] = STATE(488),
    [sym__additive_operator] = STATE(1382),
    [sym__multiplicative_operator] = STATE(1382),
    [sym__prefix_unary_operator] = STATE(505),
    [sym_directly_assignable_expression] = STATE(5447),
    [sym_assignment] = STATE(1382),
    [sym_value_parameter_pack] = STATE(1382),
    [sym_value_pack_expansion] = STATE(1382),
    [sym__referenceable_operator] = STATE(1382),
    [sym__equal_sign] = STATE(1382),
    [sym__eq_eq] = STATE(1382),
    [sym__dot] = STATE(505),
    [sym_bang] = STATE(902),
    [sym__parameter_ownership_modifier] = STATE(2558),
    [aux_sym_raw_string_literal_repeat1] = STATE(7003),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(1147),
    [aux_sym_simple_identifier_token2] = ACTIONS(1149),
    [aux_sym_simple_identifier_token3] = ACTIONS(1149),
    [aux_sym_simple_identifier_token4] = ACTIONS(1149),
    [anon_sym_actor] = ACTIONS(1147),
    [anon_sym_async] = ACTIONS(1147),
    [anon_sym_each] = ACTIONS(1153),
    [anon_sym_lazy] = ACTIONS(1147),
    [anon_sym_repeat] = ACTIONS(1155),
    [anon_sym_package] = ACTIONS(1147),
    [anon_sym_nil] = ACTIONS(2037),
    [sym_real_literal] = ACTIONS(2039),
    [sym_integer_literal] = ACTIONS(2037),
    [sym_hex_literal] = ACTIONS(2039),
    [sym_oct_literal] = ACTIONS(2039),
    [sym_bin_literal] = ACTIONS(2039),
    [anon_sym_true] = ACTIONS(1161),
    [anon_sym_false] = ACTIONS(1161),
    [anon_sym_DQUOTE] = ACTIONS(1163),
    [anon_sym_BSLASH] = ACTIONS(1165),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1167),
    [sym__extended_regex_literal] = ACTIONS(1169),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(1171),
    [sym__oneline_regex_literal] = ACTIONS(1173),
    [anon_sym_LPAREN] = ACTIONS(1175),
    [anon_sym_LBRACK] = ACTIONS(1177),
    [anon_sym_AMP] = ACTIONS(1179),
    [anon_sym_if] = ACTIONS(1181),
    [anon_sym_switch] = ACTIONS(1183),
    [anon_sym_POUNDselector] = ACTIONS(1185),
    [aux_sym_custom_operator_token1] = ACTIONS(1187),
    [anon_sym_LT] = ACTIONS(2037),
    [anon_sym_GT] = ACTIONS(2037),
    [anon_sym_await] = ACTIONS(1189),
    [anon_sym_POUNDfile] = ACTIONS(2037),
    [anon_sym_POUNDfileID] = ACTIONS(2039),
    [anon_sym_POUNDfilePath] = ACTIONS(2039),
    [anon_sym_POUNDline] = ACTIONS(2039),
    [anon_sym_POUNDcolumn] = ACTIONS(2039),
    [anon_sym_POUNDfunction] = ACTIONS(2039),
    [anon_sym_POUNDdsohandle] = ACTIONS(2039),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(1191),
    [anon_sym_POUNDfileLiteral] = ACTIONS(1191),
    [anon_sym_POUNDimageLiteral] = ACTIONS(1191),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_CARET_LBRACE] = ACTIONS(1193),
    [anon_sym_self] = ACTIONS(1195),
    [anon_sym_super] = ACTIONS(1197),
    [anon_sym_POUNDkeyPath] = ACTIONS(1201),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(2039),
    [anon_sym_DASH_EQ] = ACTIONS(2039),
    [anon_sym_STAR_EQ] = ACTIONS(2039),
    [anon_sym_SLASH_EQ] = ACTIONS(2039),
    [anon_sym_PERCENT_EQ] = ACTIONS(2039),
    [anon_sym_BANG_EQ] = ACTIONS(2037),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2039),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2039),
    [anon_sym_LT_EQ] = ACTIONS(2039),
    [anon_sym_GT_EQ] = ACTIONS(2039),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1203),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1205),
    [anon_sym_PLUS] = ACTIONS(1207),
    [anon_sym_DASH] = ACTIONS(1207),
    [anon_sym_STAR] = ACTIONS(2037),
    [anon_sym_SLASH] = ACTIONS(2037),
    [anon_sym_PERCENT] = ACTIONS(2037),
    [anon_sym_PLUS_PLUS] = ACTIONS(1179),
    [anon_sym_DASH_DASH] = ACTIONS(1179),
    [anon_sym_TILDE] = ACTIONS(1179),
    [anon_sym_PIPE] = ACTIONS(2039),
    [anon_sym_CARET] = ACTIONS(2037),
    [anon_sym_LT_LT] = ACTIONS(2039),
    [anon_sym_GT_GT] = ACTIONS(2039),
    [anon_sym_BANG2] = ACTIONS(1211),
    [anon_sym_borrowing] = ACTIONS(1147),
    [anon_sym_consuming] = ACTIONS(1147),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(1213),
    [sym__dot_custom] = ACTIONS(1215),
    [sym__eq_custom] = ACTIONS(2039),
    [sym__eq_eq_custom] = ACTIONS(2039),
    [sym__plus_then_ws] = ACTIONS(2039),
    [sym__minus_then_ws] = ACTIONS(2039),
    [sym__bang_custom] = ACTIONS(1217),
    [sym__custom_operator] = ACTIONS(1187),
  },
  [502] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1316),
    [sym_boolean_literal] = STATE(1316),
    [sym__string_literal] = STATE(1316),
    [sym_line_string_literal] = STATE(1316),
    [sym_multi_line_string_literal] = STATE(1316),
    [sym_raw_string_literal] = STATE(1316),
    [sym_regex_literal] = STATE(1316),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1316),
    [sym__unary_expression] = STATE(1316),
    [sym_postfix_expression] = STATE(1316),
    [sym_constructor_expression] = STATE(1316),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1316),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1316),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1316),
    [sym_prefix_expression] = STATE(1316),
    [sym_as_expression] = STATE(1316),
    [sym_selector_expression] = STATE(1316),
    [sym__binary_expression] = STATE(1316),
    [sym_multiplicative_expression] = STATE(1316),
    [sym_additive_expression] = STATE(1316),
    [sym_range_expression] = STATE(1316),
    [sym_infix_expression] = STATE(1316),
    [sym_nil_coalescing_expression] = STATE(1316),
    [sym_check_expression] = STATE(1316),
    [sym_comparison_expression] = STATE(1316),
    [sym_equality_expression] = STATE(1316),
    [sym_conjunction_expression] = STATE(1316),
    [sym_disjunction_expression] = STATE(1316),
    [sym_bitwise_operation] = STATE(1316),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1316),
    [sym_await_expression] = STATE(1316),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1316),
    [sym_call_expression] = STATE(1316),
    [sym__primary_expression] = STATE(1316),
    [sym_tuple_expression] = STATE(1316),
    [sym_array_literal] = STATE(1316),
    [sym_dictionary_literal] = STATE(1316),
    [sym__special_literal] = STATE(1316),
    [sym__playground_literal] = STATE(1316),
    [sym_lambda_literal] = STATE(1316),
    [sym_self_expression] = STATE(1316),
    [sym_super_expression] = STATE(1316),
    [sym_if_statement] = STATE(1316),
    [sym_switch_statement] = STATE(1316),
    [sym_key_path_expression] = STATE(1316),
    [sym_key_path_string_expression] = STATE(1316),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1316),
    [sym__equality_operator] = STATE(1316),
    [sym__comparison_operator] = STATE(1316),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1316),
    [sym__multiplicative_operator] = STATE(1316),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1316),
    [sym_value_parameter_pack] = STATE(1316),
    [sym_value_pack_expansion] = STATE(1316),
    [sym__referenceable_operator] = STATE(1316),
    [sym__equal_sign] = STATE(1316),
    [sym__eq_eq] = STATE(1316),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(2041),
    [sym_real_literal] = ACTIONS(2043),
    [sym_integer_literal] = ACTIONS(2041),
    [sym_hex_literal] = ACTIONS(2043),
    [sym_oct_literal] = ACTIONS(2043),
    [sym_bin_literal] = ACTIONS(2043),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(2041),
    [anon_sym_GT] = ACTIONS(2041),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(2041),
    [anon_sym_POUNDfileID] = ACTIONS(2043),
    [anon_sym_POUNDfilePath] = ACTIONS(2043),
    [anon_sym_POUNDline] = ACTIONS(2043),
    [anon_sym_POUNDcolumn] = ACTIONS(2043),
    [anon_sym_POUNDfunction] = ACTIONS(2043),
    [anon_sym_POUNDdsohandle] = ACTIONS(2043),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(2043),
    [anon_sym_DASH_EQ] = ACTIONS(2043),
    [anon_sym_STAR_EQ] = ACTIONS(2043),
    [anon_sym_SLASH_EQ] = ACTIONS(2043),
    [anon_sym_PERCENT_EQ] = ACTIONS(2043),
    [anon_sym_BANG_EQ] = ACTIONS(2041),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2043),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2043),
    [anon_sym_LT_EQ] = ACTIONS(2043),
    [anon_sym_GT_EQ] = ACTIONS(2043),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(2041),
    [anon_sym_SLASH] = ACTIONS(2041),
    [anon_sym_PERCENT] = ACTIONS(2041),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(2043),
    [anon_sym_CARET] = ACTIONS(2041),
    [anon_sym_LT_LT] = ACTIONS(2043),
    [anon_sym_GT_GT] = ACTIONS(2043),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(2043),
    [sym__eq_eq_custom] = ACTIONS(2043),
    [sym__plus_then_ws] = ACTIONS(2043),
    [sym__minus_then_ws] = ACTIONS(2043),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [503] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(639),
    [sym_boolean_literal] = STATE(639),
    [sym__string_literal] = STATE(639),
    [sym_line_string_literal] = STATE(639),
    [sym_multi_line_string_literal] = STATE(639),
    [sym_raw_string_literal] = STATE(639),
    [sym_regex_literal] = STATE(639),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5550),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5550),
    [sym_dictionary_type] = STATE(5550),
    [sym__expression] = STATE(639),
    [sym__unary_expression] = STATE(639),
    [sym_postfix_expression] = STATE(639),
    [sym_constructor_expression] = STATE(639),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(639),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(639),
    [sym__range_operator] = STATE(596),
    [sym_open_end_range_expression] = STATE(639),
    [sym_prefix_expression] = STATE(639),
    [sym_as_expression] = STATE(639),
    [sym_selector_expression] = STATE(639),
    [sym__binary_expression] = STATE(639),
    [sym_multiplicative_expression] = STATE(639),
    [sym_additive_expression] = STATE(639),
    [sym_range_expression] = STATE(639),
    [sym_infix_expression] = STATE(639),
    [sym_nil_coalescing_expression] = STATE(639),
    [sym_check_expression] = STATE(639),
    [sym_comparison_expression] = STATE(639),
    [sym_equality_expression] = STATE(639),
    [sym_conjunction_expression] = STATE(639),
    [sym_disjunction_expression] = STATE(639),
    [sym_bitwise_operation] = STATE(639),
    [sym_custom_operator] = STATE(609),
    [sym_try_expression] = STATE(639),
    [sym_await_expression] = STATE(639),
    [sym__await_operator] = STATE(599),
    [sym_ternary_expression] = STATE(639),
    [sym_call_expression] = STATE(639),
    [sym__primary_expression] = STATE(639),
    [sym_tuple_expression] = STATE(639),
    [sym_array_literal] = STATE(639),
    [sym_dictionary_literal] = STATE(639),
    [sym__special_literal] = STATE(639),
    [sym__playground_literal] = STATE(639),
    [sym_lambda_literal] = STATE(639),
    [sym_self_expression] = STATE(639),
    [sym_super_expression] = STATE(639),
    [sym_if_statement] = STATE(639),
    [sym_switch_statement] = STATE(639),
    [sym_key_path_expression] = STATE(639),
    [sym_key_path_string_expression] = STATE(639),
    [sym_try_operator] = STATE(453),
    [sym__assignment_and_operator] = STATE(639),
    [sym__equality_operator] = STATE(639),
    [sym__comparison_operator] = STATE(639),
    [sym__three_dot_operator] = STATE(604),
    [sym__open_ended_range_operator] = STATE(596),
    [sym__additive_operator] = STATE(639),
    [sym__multiplicative_operator] = STATE(639),
    [sym__prefix_unary_operator] = STATE(445),
    [sym_directly_assignable_expression] = STATE(5552),
    [sym_assignment] = STATE(639),
    [sym_value_parameter_pack] = STATE(639),
    [sym_value_pack_expansion] = STATE(639),
    [sym__referenceable_operator] = STATE(639),
    [sym__equal_sign] = STATE(639),
    [sym__eq_eq] = STATE(639),
    [sym__dot] = STATE(445),
    [sym_bang] = STATE(609),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(621),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(623),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(2045),
    [sym_real_literal] = ACTIONS(2047),
    [sym_integer_literal] = ACTIONS(2045),
    [sym_hex_literal] = ACTIONS(2047),
    [sym_oct_literal] = ACTIONS(2047),
    [sym_bin_literal] = ACTIONS(2047),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(629),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(639),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(641),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(643),
    [anon_sym_LT] = ACTIONS(2045),
    [anon_sym_GT] = ACTIONS(2045),
    [anon_sym_await] = ACTIONS(645),
    [anon_sym_POUNDfile] = ACTIONS(2045),
    [anon_sym_POUNDfileID] = ACTIONS(2047),
    [anon_sym_POUNDfilePath] = ACTIONS(2047),
    [anon_sym_POUNDline] = ACTIONS(2047),
    [anon_sym_POUNDcolumn] = ACTIONS(2047),
    [anon_sym_POUNDfunction] = ACTIONS(2047),
    [anon_sym_POUNDdsohandle] = ACTIONS(2047),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(2047),
    [anon_sym_DASH_EQ] = ACTIONS(2047),
    [anon_sym_STAR_EQ] = ACTIONS(2047),
    [anon_sym_SLASH_EQ] = ACTIONS(2047),
    [anon_sym_PERCENT_EQ] = ACTIONS(2047),
    [anon_sym_BANG_EQ] = ACTIONS(2045),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2047),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2047),
    [anon_sym_LT_EQ] = ACTIONS(2047),
    [anon_sym_GT_EQ] = ACTIONS(2047),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(649),
    [anon_sym_DOT_DOT_LT] = ACTIONS(651),
    [anon_sym_PLUS] = ACTIONS(653),
    [anon_sym_DASH] = ACTIONS(653),
    [anon_sym_STAR] = ACTIONS(2045),
    [anon_sym_SLASH] = ACTIONS(2045),
    [anon_sym_PERCENT] = ACTIONS(2045),
    [anon_sym_PLUS_PLUS] = ACTIONS(639),
    [anon_sym_DASH_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(639),
    [anon_sym_PIPE] = ACTIONS(2047),
    [anon_sym_CARET] = ACTIONS(2045),
    [anon_sym_LT_LT] = ACTIONS(2047),
    [anon_sym_GT_GT] = ACTIONS(2047),
    [anon_sym_BANG2] = ACTIONS(655),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(657),
    [sym__eq_custom] = ACTIONS(2047),
    [sym__eq_eq_custom] = ACTIONS(2047),
    [sym__plus_then_ws] = ACTIONS(2047),
    [sym__minus_then_ws] = ACTIONS(2047),
    [sym__bang_custom] = ACTIONS(659),
    [sym__custom_operator] = ACTIONS(643),
  },
  [504] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1282),
    [sym_boolean_literal] = STATE(1282),
    [sym__string_literal] = STATE(1282),
    [sym_line_string_literal] = STATE(1282),
    [sym_multi_line_string_literal] = STATE(1282),
    [sym_raw_string_literal] = STATE(1282),
    [sym_regex_literal] = STATE(1282),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1282),
    [sym__unary_expression] = STATE(1282),
    [sym_postfix_expression] = STATE(1282),
    [sym_constructor_expression] = STATE(1282),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1282),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1282),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1282),
    [sym_prefix_expression] = STATE(1282),
    [sym_as_expression] = STATE(1282),
    [sym_selector_expression] = STATE(1282),
    [sym__binary_expression] = STATE(1282),
    [sym_multiplicative_expression] = STATE(1282),
    [sym_additive_expression] = STATE(1282),
    [sym_range_expression] = STATE(1282),
    [sym_infix_expression] = STATE(1282),
    [sym_nil_coalescing_expression] = STATE(1282),
    [sym_check_expression] = STATE(1282),
    [sym_comparison_expression] = STATE(1282),
    [sym_equality_expression] = STATE(1282),
    [sym_conjunction_expression] = STATE(1282),
    [sym_disjunction_expression] = STATE(1282),
    [sym_bitwise_operation] = STATE(1282),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1282),
    [sym_await_expression] = STATE(1282),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1282),
    [sym_call_expression] = STATE(1282),
    [sym__primary_expression] = STATE(1282),
    [sym_tuple_expression] = STATE(1282),
    [sym_array_literal] = STATE(1282),
    [sym_dictionary_literal] = STATE(1282),
    [sym__special_literal] = STATE(1282),
    [sym__playground_literal] = STATE(1282),
    [sym_lambda_literal] = STATE(1282),
    [sym_self_expression] = STATE(1282),
    [sym_super_expression] = STATE(1282),
    [sym_if_statement] = STATE(1282),
    [sym_switch_statement] = STATE(1282),
    [sym_key_path_expression] = STATE(1282),
    [sym_key_path_string_expression] = STATE(1282),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1282),
    [sym__equality_operator] = STATE(1282),
    [sym__comparison_operator] = STATE(1282),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1282),
    [sym__multiplicative_operator] = STATE(1282),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1282),
    [sym_value_parameter_pack] = STATE(1282),
    [sym_value_pack_expansion] = STATE(1282),
    [sym__referenceable_operator] = STATE(1282),
    [sym__equal_sign] = STATE(1282),
    [sym__eq_eq] = STATE(1282),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(2049),
    [sym_real_literal] = ACTIONS(2051),
    [sym_integer_literal] = ACTIONS(2049),
    [sym_hex_literal] = ACTIONS(2051),
    [sym_oct_literal] = ACTIONS(2051),
    [sym_bin_literal] = ACTIONS(2051),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(2049),
    [anon_sym_GT] = ACTIONS(2049),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(2049),
    [anon_sym_POUNDfileID] = ACTIONS(2051),
    [anon_sym_POUNDfilePath] = ACTIONS(2051),
    [anon_sym_POUNDline] = ACTIONS(2051),
    [anon_sym_POUNDcolumn] = ACTIONS(2051),
    [anon_sym_POUNDfunction] = ACTIONS(2051),
    [anon_sym_POUNDdsohandle] = ACTIONS(2051),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(2051),
    [anon_sym_DASH_EQ] = ACTIONS(2051),
    [anon_sym_STAR_EQ] = ACTIONS(2051),
    [anon_sym_SLASH_EQ] = ACTIONS(2051),
    [anon_sym_PERCENT_EQ] = ACTIONS(2051),
    [anon_sym_BANG_EQ] = ACTIONS(2049),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2051),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2051),
    [anon_sym_LT_EQ] = ACTIONS(2051),
    [anon_sym_GT_EQ] = ACTIONS(2051),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(2049),
    [anon_sym_SLASH] = ACTIONS(2049),
    [anon_sym_PERCENT] = ACTIONS(2049),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(2051),
    [anon_sym_CARET] = ACTIONS(2049),
    [anon_sym_LT_LT] = ACTIONS(2051),
    [anon_sym_GT_GT] = ACTIONS(2051),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(2051),
    [sym__eq_eq_custom] = ACTIONS(2051),
    [sym__plus_then_ws] = ACTIONS(2051),
    [sym__minus_then_ws] = ACTIONS(2051),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [505] = {
    [sym_simple_identifier] = STATE(2936),
    [sym__contextual_simple_identifier] = STATE(2558),
    [sym__basic_literal] = STATE(1381),
    [sym_boolean_literal] = STATE(1381),
    [sym__string_literal] = STATE(1381),
    [sym_line_string_literal] = STATE(1381),
    [sym_multi_line_string_literal] = STATE(1381),
    [sym_raw_string_literal] = STATE(1381),
    [sym_regex_literal] = STATE(1381),
    [sym__multiline_regex_literal] = STATE(3141),
    [sym_user_type] = STATE(5448),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5448),
    [sym_dictionary_type] = STATE(5448),
    [sym__expression] = STATE(1381),
    [sym__unary_expression] = STATE(1381),
    [sym_postfix_expression] = STATE(1381),
    [sym_constructor_expression] = STATE(1381),
    [sym__parenthesized_type] = STATE(6984),
    [sym_navigation_expression] = STATE(1381),
    [sym__navigable_type_expression] = STATE(6994),
    [sym_open_start_range_expression] = STATE(1381),
    [sym__range_operator] = STATE(488),
    [sym_open_end_range_expression] = STATE(1381),
    [sym_prefix_expression] = STATE(1381),
    [sym_as_expression] = STATE(1381),
    [sym_selector_expression] = STATE(1381),
    [sym__binary_expression] = STATE(1381),
    [sym_multiplicative_expression] = STATE(1381),
    [sym_additive_expression] = STATE(1381),
    [sym_range_expression] = STATE(1381),
    [sym_infix_expression] = STATE(1381),
    [sym_nil_coalescing_expression] = STATE(1381),
    [sym_check_expression] = STATE(1381),
    [sym_comparison_expression] = STATE(1381),
    [sym_equality_expression] = STATE(1381),
    [sym_conjunction_expression] = STATE(1381),
    [sym_disjunction_expression] = STATE(1381),
    [sym_bitwise_operation] = STATE(1381),
    [sym_custom_operator] = STATE(902),
    [sym_try_expression] = STATE(1381),
    [sym_await_expression] = STATE(1381),
    [sym__await_operator] = STATE(498),
    [sym_ternary_expression] = STATE(1381),
    [sym_call_expression] = STATE(1381),
    [sym__primary_expression] = STATE(1381),
    [sym_tuple_expression] = STATE(1381),
    [sym_array_literal] = STATE(1381),
    [sym_dictionary_literal] = STATE(1381),
    [sym__special_literal] = STATE(1381),
    [sym__playground_literal] = STATE(1381),
    [sym_lambda_literal] = STATE(1381),
    [sym_self_expression] = STATE(1381),
    [sym_super_expression] = STATE(1381),
    [sym_if_statement] = STATE(1381),
    [sym_switch_statement] = STATE(1381),
    [sym_key_path_expression] = STATE(1381),
    [sym_key_path_string_expression] = STATE(1381),
    [sym_try_operator] = STATE(501),
    [sym__assignment_and_operator] = STATE(1381),
    [sym__equality_operator] = STATE(1381),
    [sym__comparison_operator] = STATE(1381),
    [sym__three_dot_operator] = STATE(900),
    [sym__open_ended_range_operator] = STATE(488),
    [sym__additive_operator] = STATE(1381),
    [sym__multiplicative_operator] = STATE(1381),
    [sym__prefix_unary_operator] = STATE(505),
    [sym_directly_assignable_expression] = STATE(5447),
    [sym_assignment] = STATE(1381),
    [sym_value_parameter_pack] = STATE(1381),
    [sym_value_pack_expansion] = STATE(1381),
    [sym__referenceable_operator] = STATE(1381),
    [sym__equal_sign] = STATE(1381),
    [sym__eq_eq] = STATE(1381),
    [sym__dot] = STATE(505),
    [sym_bang] = STATE(902),
    [sym__parameter_ownership_modifier] = STATE(2558),
    [aux_sym_raw_string_literal_repeat1] = STATE(7003),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(1147),
    [aux_sym_simple_identifier_token2] = ACTIONS(1149),
    [aux_sym_simple_identifier_token3] = ACTIONS(1149),
    [aux_sym_simple_identifier_token4] = ACTIONS(1149),
    [anon_sym_actor] = ACTIONS(1147),
    [anon_sym_async] = ACTIONS(2053),
    [anon_sym_each] = ACTIONS(1153),
    [anon_sym_lazy] = ACTIONS(1147),
    [anon_sym_repeat] = ACTIONS(1155),
    [anon_sym_package] = ACTIONS(1147),
    [anon_sym_nil] = ACTIONS(2055),
    [sym_real_literal] = ACTIONS(2057),
    [sym_integer_literal] = ACTIONS(2055),
    [sym_hex_literal] = ACTIONS(2057),
    [sym_oct_literal] = ACTIONS(2057),
    [sym_bin_literal] = ACTIONS(2057),
    [anon_sym_true] = ACTIONS(1161),
    [anon_sym_false] = ACTIONS(1161),
    [anon_sym_DQUOTE] = ACTIONS(1163),
    [anon_sym_BSLASH] = ACTIONS(1165),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1167),
    [sym__extended_regex_literal] = ACTIONS(1169),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(1171),
    [sym__oneline_regex_literal] = ACTIONS(1173),
    [anon_sym_LPAREN] = ACTIONS(1175),
    [anon_sym_LBRACK] = ACTIONS(1177),
    [anon_sym_AMP] = ACTIONS(1179),
    [anon_sym_if] = ACTIONS(2059),
    [anon_sym_switch] = ACTIONS(2061),
    [anon_sym_POUNDselector] = ACTIONS(1185),
    [aux_sym_custom_operator_token1] = ACTIONS(1187),
    [anon_sym_LT] = ACTIONS(2055),
    [anon_sym_GT] = ACTIONS(2055),
    [anon_sym_await] = ACTIONS(1189),
    [anon_sym_POUNDfile] = ACTIONS(2055),
    [anon_sym_POUNDfileID] = ACTIONS(2057),
    [anon_sym_POUNDfilePath] = ACTIONS(2057),
    [anon_sym_POUNDline] = ACTIONS(2057),
    [anon_sym_POUNDcolumn] = ACTIONS(2057),
    [anon_sym_POUNDfunction] = ACTIONS(2057),
    [anon_sym_POUNDdsohandle] = ACTIONS(2057),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(1191),
    [anon_sym_POUNDfileLiteral] = ACTIONS(1191),
    [anon_sym_POUNDimageLiteral] = ACTIONS(1191),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_CARET_LBRACE] = ACTIONS(1193),
    [anon_sym_self] = ACTIONS(1195),
    [anon_sym_super] = ACTIONS(1197),
    [anon_sym_POUNDkeyPath] = ACTIONS(1201),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(2057),
    [anon_sym_DASH_EQ] = ACTIONS(2057),
    [anon_sym_STAR_EQ] = ACTIONS(2057),
    [anon_sym_SLASH_EQ] = ACTIONS(2057),
    [anon_sym_PERCENT_EQ] = ACTIONS(2057),
    [anon_sym_BANG_EQ] = ACTIONS(2055),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2057),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2057),
    [anon_sym_LT_EQ] = ACTIONS(2057),
    [anon_sym_GT_EQ] = ACTIONS(2057),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1203),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1205),
    [anon_sym_PLUS] = ACTIONS(1207),
    [anon_sym_DASH] = ACTIONS(1207),
    [anon_sym_STAR] = ACTIONS(2055),
    [anon_sym_SLASH] = ACTIONS(2055),
    [anon_sym_PERCENT] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(1179),
    [anon_sym_DASH_DASH] = ACTIONS(1179),
    [anon_sym_TILDE] = ACTIONS(1179),
    [anon_sym_PIPE] = ACTIONS(2057),
    [anon_sym_CARET] = ACTIONS(2055),
    [anon_sym_LT_LT] = ACTIONS(2057),
    [anon_sym_GT_GT] = ACTIONS(2057),
    [anon_sym_BANG2] = ACTIONS(1211),
    [anon_sym_borrowing] = ACTIONS(1147),
    [anon_sym_consuming] = ACTIONS(1147),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(1213),
    [sym__dot_custom] = ACTIONS(1215),
    [sym__eq_custom] = ACTIONS(2057),
    [sym__eq_eq_custom] = ACTIONS(2057),
    [sym__plus_then_ws] = ACTIONS(2057),
    [sym__minus_then_ws] = ACTIONS(2057),
    [sym__bang_custom] = ACTIONS(1217),
    [sym__custom_operator] = ACTIONS(1187),
  },
  [506] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1352),
    [sym_boolean_literal] = STATE(1352),
    [sym__string_literal] = STATE(1352),
    [sym_line_string_literal] = STATE(1352),
    [sym_multi_line_string_literal] = STATE(1352),
    [sym_raw_string_literal] = STATE(1352),
    [sym_regex_literal] = STATE(1352),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1352),
    [sym__unary_expression] = STATE(1352),
    [sym_postfix_expression] = STATE(1352),
    [sym_constructor_expression] = STATE(1352),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1352),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1352),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1352),
    [sym_prefix_expression] = STATE(1352),
    [sym_as_expression] = STATE(1352),
    [sym_selector_expression] = STATE(1352),
    [sym__binary_expression] = STATE(1352),
    [sym_multiplicative_expression] = STATE(1352),
    [sym_additive_expression] = STATE(1352),
    [sym_range_expression] = STATE(1352),
    [sym_infix_expression] = STATE(1352),
    [sym_nil_coalescing_expression] = STATE(1352),
    [sym_check_expression] = STATE(1352),
    [sym_comparison_expression] = STATE(1352),
    [sym_equality_expression] = STATE(1352),
    [sym_conjunction_expression] = STATE(1352),
    [sym_disjunction_expression] = STATE(1352),
    [sym_bitwise_operation] = STATE(1352),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1352),
    [sym_await_expression] = STATE(1352),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1352),
    [sym_call_expression] = STATE(1352),
    [sym__primary_expression] = STATE(1352),
    [sym_tuple_expression] = STATE(1352),
    [sym_array_literal] = STATE(1352),
    [sym_dictionary_literal] = STATE(1352),
    [sym__special_literal] = STATE(1352),
    [sym__playground_literal] = STATE(1352),
    [sym_lambda_literal] = STATE(1352),
    [sym_self_expression] = STATE(1352),
    [sym_super_expression] = STATE(1352),
    [sym_if_statement] = STATE(1352),
    [sym_switch_statement] = STATE(1352),
    [sym_key_path_expression] = STATE(1352),
    [sym_key_path_string_expression] = STATE(1352),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1352),
    [sym__equality_operator] = STATE(1352),
    [sym__comparison_operator] = STATE(1352),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1352),
    [sym__multiplicative_operator] = STATE(1352),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1352),
    [sym_value_parameter_pack] = STATE(1352),
    [sym_value_pack_expansion] = STATE(1352),
    [sym__referenceable_operator] = STATE(1352),
    [sym__equal_sign] = STATE(1352),
    [sym__eq_eq] = STATE(1352),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(2063),
    [sym_real_literal] = ACTIONS(2065),
    [sym_integer_literal] = ACTIONS(2063),
    [sym_hex_literal] = ACTIONS(2065),
    [sym_oct_literal] = ACTIONS(2065),
    [sym_bin_literal] = ACTIONS(2065),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(2063),
    [anon_sym_GT] = ACTIONS(2063),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(2063),
    [anon_sym_POUNDfileID] = ACTIONS(2065),
    [anon_sym_POUNDfilePath] = ACTIONS(2065),
    [anon_sym_POUNDline] = ACTIONS(2065),
    [anon_sym_POUNDcolumn] = ACTIONS(2065),
    [anon_sym_POUNDfunction] = ACTIONS(2065),
    [anon_sym_POUNDdsohandle] = ACTIONS(2065),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(2065),
    [anon_sym_DASH_EQ] = ACTIONS(2065),
    [anon_sym_STAR_EQ] = ACTIONS(2065),
    [anon_sym_SLASH_EQ] = ACTIONS(2065),
    [anon_sym_PERCENT_EQ] = ACTIONS(2065),
    [anon_sym_BANG_EQ] = ACTIONS(2063),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2065),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2065),
    [anon_sym_LT_EQ] = ACTIONS(2065),
    [anon_sym_GT_EQ] = ACTIONS(2065),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(2063),
    [anon_sym_SLASH] = ACTIONS(2063),
    [anon_sym_PERCENT] = ACTIONS(2063),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(2065),
    [anon_sym_CARET] = ACTIONS(2063),
    [anon_sym_LT_LT] = ACTIONS(2065),
    [anon_sym_GT_GT] = ACTIONS(2065),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(2065),
    [sym__eq_eq_custom] = ACTIONS(2065),
    [sym__plus_then_ws] = ACTIONS(2065),
    [sym__minus_then_ws] = ACTIONS(2065),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [507] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1334),
    [sym_boolean_literal] = STATE(1334),
    [sym__string_literal] = STATE(1334),
    [sym_line_string_literal] = STATE(1334),
    [sym_multi_line_string_literal] = STATE(1334),
    [sym_raw_string_literal] = STATE(1334),
    [sym_regex_literal] = STATE(1334),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1334),
    [sym__unary_expression] = STATE(1334),
    [sym_postfix_expression] = STATE(1334),
    [sym_constructor_expression] = STATE(1334),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1334),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1334),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1334),
    [sym_prefix_expression] = STATE(1334),
    [sym_as_expression] = STATE(1334),
    [sym_selector_expression] = STATE(1334),
    [sym__binary_expression] = STATE(1334),
    [sym_multiplicative_expression] = STATE(1334),
    [sym_additive_expression] = STATE(1334),
    [sym_range_expression] = STATE(1334),
    [sym_infix_expression] = STATE(1334),
    [sym_nil_coalescing_expression] = STATE(1334),
    [sym_check_expression] = STATE(1334),
    [sym_comparison_expression] = STATE(1334),
    [sym_equality_expression] = STATE(1334),
    [sym_conjunction_expression] = STATE(1334),
    [sym_disjunction_expression] = STATE(1334),
    [sym_bitwise_operation] = STATE(1334),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1334),
    [sym_await_expression] = STATE(1334),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1334),
    [sym_call_expression] = STATE(1334),
    [sym__primary_expression] = STATE(1334),
    [sym_tuple_expression] = STATE(1334),
    [sym_array_literal] = STATE(1334),
    [sym_dictionary_literal] = STATE(1334),
    [sym__special_literal] = STATE(1334),
    [sym__playground_literal] = STATE(1334),
    [sym_lambda_literal] = STATE(1334),
    [sym_self_expression] = STATE(1334),
    [sym_super_expression] = STATE(1334),
    [sym_if_statement] = STATE(1334),
    [sym_switch_statement] = STATE(1334),
    [sym_key_path_expression] = STATE(1334),
    [sym_key_path_string_expression] = STATE(1334),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1334),
    [sym__equality_operator] = STATE(1334),
    [sym__comparison_operator] = STATE(1334),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1334),
    [sym__multiplicative_operator] = STATE(1334),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1334),
    [sym_value_parameter_pack] = STATE(1334),
    [sym_value_pack_expansion] = STATE(1334),
    [sym__referenceable_operator] = STATE(1334),
    [sym__equal_sign] = STATE(1334),
    [sym__eq_eq] = STATE(1334),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(2067),
    [sym_real_literal] = ACTIONS(2069),
    [sym_integer_literal] = ACTIONS(2067),
    [sym_hex_literal] = ACTIONS(2069),
    [sym_oct_literal] = ACTIONS(2069),
    [sym_bin_literal] = ACTIONS(2069),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(2067),
    [anon_sym_GT] = ACTIONS(2067),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(2067),
    [anon_sym_POUNDfileID] = ACTIONS(2069),
    [anon_sym_POUNDfilePath] = ACTIONS(2069),
    [anon_sym_POUNDline] = ACTIONS(2069),
    [anon_sym_POUNDcolumn] = ACTIONS(2069),
    [anon_sym_POUNDfunction] = ACTIONS(2069),
    [anon_sym_POUNDdsohandle] = ACTIONS(2069),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(2069),
    [anon_sym_DASH_EQ] = ACTIONS(2069),
    [anon_sym_STAR_EQ] = ACTIONS(2069),
    [anon_sym_SLASH_EQ] = ACTIONS(2069),
    [anon_sym_PERCENT_EQ] = ACTIONS(2069),
    [anon_sym_BANG_EQ] = ACTIONS(2067),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2069),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2069),
    [anon_sym_LT_EQ] = ACTIONS(2069),
    [anon_sym_GT_EQ] = ACTIONS(2069),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(2067),
    [anon_sym_SLASH] = ACTIONS(2067),
    [anon_sym_PERCENT] = ACTIONS(2067),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(2069),
    [anon_sym_CARET] = ACTIONS(2067),
    [anon_sym_LT_LT] = ACTIONS(2069),
    [anon_sym_GT_GT] = ACTIONS(2069),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(2069),
    [sym__eq_eq_custom] = ACTIONS(2069),
    [sym__plus_then_ws] = ACTIONS(2069),
    [sym__minus_then_ws] = ACTIONS(2069),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [508] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1406),
    [sym_boolean_literal] = STATE(1406),
    [sym__string_literal] = STATE(1406),
    [sym_line_string_literal] = STATE(1406),
    [sym_multi_line_string_literal] = STATE(1406),
    [sym_raw_string_literal] = STATE(1406),
    [sym_regex_literal] = STATE(1406),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1406),
    [sym__unary_expression] = STATE(1406),
    [sym_postfix_expression] = STATE(1406),
    [sym_constructor_expression] = STATE(1406),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1406),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1406),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1406),
    [sym_prefix_expression] = STATE(1406),
    [sym_as_expression] = STATE(1406),
    [sym_selector_expression] = STATE(1406),
    [sym__binary_expression] = STATE(1406),
    [sym_multiplicative_expression] = STATE(1406),
    [sym_additive_expression] = STATE(1406),
    [sym_range_expression] = STATE(1406),
    [sym_infix_expression] = STATE(1406),
    [sym_nil_coalescing_expression] = STATE(1406),
    [sym_check_expression] = STATE(1406),
    [sym_comparison_expression] = STATE(1406),
    [sym_equality_expression] = STATE(1406),
    [sym_conjunction_expression] = STATE(1406),
    [sym_disjunction_expression] = STATE(1406),
    [sym_bitwise_operation] = STATE(1406),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1406),
    [sym_call_expression] = STATE(1406),
    [sym__primary_expression] = STATE(1406),
    [sym_tuple_expression] = STATE(1406),
    [sym_array_literal] = STATE(1406),
    [sym_dictionary_literal] = STATE(1406),
    [sym__special_literal] = STATE(1406),
    [sym__playground_literal] = STATE(1406),
    [sym_lambda_literal] = STATE(1406),
    [sym_self_expression] = STATE(1406),
    [sym_super_expression] = STATE(1406),
    [sym_if_statement] = STATE(1406),
    [sym_switch_statement] = STATE(1406),
    [sym_key_path_expression] = STATE(1406),
    [sym_key_path_string_expression] = STATE(1406),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1406),
    [sym__equality_operator] = STATE(1406),
    [sym__comparison_operator] = STATE(1406),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1406),
    [sym__multiplicative_operator] = STATE(1406),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1406),
    [sym_value_parameter_pack] = STATE(1406),
    [sym_value_pack_expansion] = STATE(1406),
    [sym__referenceable_operator] = STATE(1406),
    [sym__equal_sign] = STATE(1406),
    [sym__eq_eq] = STATE(1406),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(2071),
    [sym_real_literal] = ACTIONS(2073),
    [sym_integer_literal] = ACTIONS(2071),
    [sym_hex_literal] = ACTIONS(2073),
    [sym_oct_literal] = ACTIONS(2073),
    [sym_bin_literal] = ACTIONS(2073),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(2071),
    [anon_sym_GT] = ACTIONS(2071),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(2071),
    [anon_sym_POUNDfileID] = ACTIONS(2073),
    [anon_sym_POUNDfilePath] = ACTIONS(2073),
    [anon_sym_POUNDline] = ACTIONS(2073),
    [anon_sym_POUNDcolumn] = ACTIONS(2073),
    [anon_sym_POUNDfunction] = ACTIONS(2073),
    [anon_sym_POUNDdsohandle] = ACTIONS(2073),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(2073),
    [anon_sym_DASH_EQ] = ACTIONS(2073),
    [anon_sym_STAR_EQ] = ACTIONS(2073),
    [anon_sym_SLASH_EQ] = ACTIONS(2073),
    [anon_sym_PERCENT_EQ] = ACTIONS(2073),
    [anon_sym_BANG_EQ] = ACTIONS(2071),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2073),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2073),
    [anon_sym_LT_EQ] = ACTIONS(2073),
    [anon_sym_GT_EQ] = ACTIONS(2073),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(2071),
    [anon_sym_SLASH] = ACTIONS(2071),
    [anon_sym_PERCENT] = ACTIONS(2071),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(2073),
    [anon_sym_CARET] = ACTIONS(2071),
    [anon_sym_LT_LT] = ACTIONS(2073),
    [anon_sym_GT_GT] = ACTIONS(2073),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(2073),
    [sym__eq_eq_custom] = ACTIONS(2073),
    [sym__plus_then_ws] = ACTIONS(2073),
    [sym__minus_then_ws] = ACTIONS(2073),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [509] = {
    [sym_simple_identifier] = STATE(1141),
    [sym__contextual_simple_identifier] = STATE(1051),
    [sym__basic_literal] = STATE(668),
    [sym_boolean_literal] = STATE(668),
    [sym__string_literal] = STATE(668),
    [sym_line_string_literal] = STATE(668),
    [sym_multi_line_string_literal] = STATE(668),
    [sym_raw_string_literal] = STATE(668),
    [sym_regex_literal] = STATE(668),
    [sym__multiline_regex_literal] = STATE(1215),
    [sym_user_type] = STATE(5510),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5510),
    [sym_dictionary_type] = STATE(5510),
    [sym__expression] = STATE(668),
    [sym__unary_expression] = STATE(668),
    [sym_postfix_expression] = STATE(668),
    [sym_constructor_expression] = STATE(668),
    [sym__parenthesized_type] = STATE(6558),
    [sym_navigation_expression] = STATE(668),
    [sym__navigable_type_expression] = STATE(6557),
    [sym_open_start_range_expression] = STATE(668),
    [sym__range_operator] = STATE(523),
    [sym_open_end_range_expression] = STATE(668),
    [sym_prefix_expression] = STATE(668),
    [sym_as_expression] = STATE(668),
    [sym_selector_expression] = STATE(668),
    [sym__binary_expression] = STATE(668),
    [sym_multiplicative_expression] = STATE(668),
    [sym_additive_expression] = STATE(668),
    [sym_range_expression] = STATE(668),
    [sym_infix_expression] = STATE(668),
    [sym_nil_coalescing_expression] = STATE(668),
    [sym_check_expression] = STATE(668),
    [sym_comparison_expression] = STATE(668),
    [sym_equality_expression] = STATE(668),
    [sym_conjunction_expression] = STATE(668),
    [sym_disjunction_expression] = STATE(668),
    [sym_bitwise_operation] = STATE(668),
    [sym_custom_operator] = STATE(628),
    [sym_try_expression] = STATE(668),
    [sym_await_expression] = STATE(668),
    [sym__await_operator] = STATE(518),
    [sym_ternary_expression] = STATE(668),
    [sym_call_expression] = STATE(668),
    [sym__primary_expression] = STATE(668),
    [sym_tuple_expression] = STATE(668),
    [sym_array_literal] = STATE(668),
    [sym_dictionary_literal] = STATE(668),
    [sym__special_literal] = STATE(668),
    [sym__playground_literal] = STATE(668),
    [sym_lambda_literal] = STATE(668),
    [sym_self_expression] = STATE(668),
    [sym_super_expression] = STATE(668),
    [sym_if_statement] = STATE(668),
    [sym_switch_statement] = STATE(668),
    [sym_key_path_expression] = STATE(668),
    [sym_key_path_string_expression] = STATE(668),
    [sym_try_operator] = STATE(515),
    [sym__assignment_and_operator] = STATE(668),
    [sym__equality_operator] = STATE(668),
    [sym__comparison_operator] = STATE(668),
    [sym__three_dot_operator] = STATE(625),
    [sym__open_ended_range_operator] = STATE(523),
    [sym__additive_operator] = STATE(668),
    [sym__multiplicative_operator] = STATE(668),
    [sym__prefix_unary_operator] = STATE(509),
    [sym_directly_assignable_expression] = STATE(5511),
    [sym_assignment] = STATE(668),
    [sym_value_parameter_pack] = STATE(668),
    [sym_value_pack_expansion] = STATE(668),
    [sym__referenceable_operator] = STATE(668),
    [sym__equal_sign] = STATE(668),
    [sym__eq_eq] = STATE(668),
    [sym__dot] = STATE(509),
    [sym_bang] = STATE(628),
    [sym__parameter_ownership_modifier] = STATE(1051),
    [aux_sym_raw_string_literal_repeat1] = STATE(6487),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(291),
    [aux_sym_simple_identifier_token2] = ACTIONS(293),
    [aux_sym_simple_identifier_token3] = ACTIONS(293),
    [aux_sym_simple_identifier_token4] = ACTIONS(293),
    [anon_sym_actor] = ACTIONS(291),
    [anon_sym_async] = ACTIONS(2075),
    [anon_sym_each] = ACTIONS(299),
    [anon_sym_lazy] = ACTIONS(291),
    [anon_sym_repeat] = ACTIONS(747),
    [anon_sym_package] = ACTIONS(291),
    [anon_sym_nil] = ACTIONS(2077),
    [sym_real_literal] = ACTIONS(2079),
    [sym_integer_literal] = ACTIONS(2077),
    [sym_hex_literal] = ACTIONS(2079),
    [sym_oct_literal] = ACTIONS(2079),
    [sym_bin_literal] = ACTIONS(2079),
    [anon_sym_true] = ACTIONS(309),
    [anon_sym_false] = ACTIONS(309),
    [anon_sym_DQUOTE] = ACTIONS(311),
    [anon_sym_BSLASH] = ACTIONS(313),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(315),
    [sym__extended_regex_literal] = ACTIONS(317),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(319),
    [sym__oneline_regex_literal] = ACTIONS(321),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_LBRACK] = ACTIONS(325),
    [anon_sym_AMP] = ACTIONS(327),
    [anon_sym_if] = ACTIONS(2081),
    [anon_sym_switch] = ACTIONS(2083),
    [anon_sym_POUNDselector] = ACTIONS(333),
    [aux_sym_custom_operator_token1] = ACTIONS(335),
    [anon_sym_LT] = ACTIONS(2077),
    [anon_sym_GT] = ACTIONS(2077),
    [anon_sym_await] = ACTIONS(337),
    [anon_sym_POUNDfile] = ACTIONS(2077),
    [anon_sym_POUNDfileID] = ACTIONS(2079),
    [anon_sym_POUNDfilePath] = ACTIONS(2079),
    [anon_sym_POUNDline] = ACTIONS(2079),
    [anon_sym_POUNDcolumn] = ACTIONS(2079),
    [anon_sym_POUNDfunction] = ACTIONS(2079),
    [anon_sym_POUNDdsohandle] = ACTIONS(2079),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(339),
    [anon_sym_POUNDfileLiteral] = ACTIONS(339),
    [anon_sym_POUNDimageLiteral] = ACTIONS(339),
    [anon_sym_LBRACE] = ACTIONS(341),
    [anon_sym_CARET_LBRACE] = ACTIONS(341),
    [anon_sym_self] = ACTIONS(345),
    [anon_sym_super] = ACTIONS(347),
    [anon_sym_POUNDkeyPath] = ACTIONS(353),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(2079),
    [anon_sym_DASH_EQ] = ACTIONS(2079),
    [anon_sym_STAR_EQ] = ACTIONS(2079),
    [anon_sym_SLASH_EQ] = ACTIONS(2079),
    [anon_sym_PERCENT_EQ] = ACTIONS(2079),
    [anon_sym_BANG_EQ] = ACTIONS(2077),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2079),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2079),
    [anon_sym_LT_EQ] = ACTIONS(2079),
    [anon_sym_GT_EQ] = ACTIONS(2079),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(355),
    [anon_sym_DOT_DOT_LT] = ACTIONS(357),
    [anon_sym_PLUS] = ACTIONS(359),
    [anon_sym_DASH] = ACTIONS(359),
    [anon_sym_STAR] = ACTIONS(2077),
    [anon_sym_SLASH] = ACTIONS(2077),
    [anon_sym_PERCENT] = ACTIONS(2077),
    [anon_sym_PLUS_PLUS] = ACTIONS(327),
    [anon_sym_DASH_DASH] = ACTIONS(327),
    [anon_sym_TILDE] = ACTIONS(327),
    [anon_sym_PIPE] = ACTIONS(2079),
    [anon_sym_CARET] = ACTIONS(2077),
    [anon_sym_LT_LT] = ACTIONS(2079),
    [anon_sym_GT_GT] = ACTIONS(2079),
    [anon_sym_BANG2] = ACTIONS(381),
    [anon_sym_borrowing] = ACTIONS(291),
    [anon_sym_consuming] = ACTIONS(291),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(383),
    [sym__dot_custom] = ACTIONS(385),
    [sym__eq_custom] = ACTIONS(2079),
    [sym__eq_eq_custom] = ACTIONS(2079),
    [sym__plus_then_ws] = ACTIONS(2079),
    [sym__minus_then_ws] = ACTIONS(2079),
    [sym__bang_custom] = ACTIONS(387),
    [sym__custom_operator] = ACTIONS(335),
  },
  [510] = {
    [sym_simple_identifier] = STATE(2315),
    [sym__contextual_simple_identifier] = STATE(2218),
    [sym__basic_literal] = STATE(1309),
    [sym_boolean_literal] = STATE(1309),
    [sym__string_literal] = STATE(1309),
    [sym_line_string_literal] = STATE(1309),
    [sym_multi_line_string_literal] = STATE(1309),
    [sym_raw_string_literal] = STATE(1309),
    [sym_regex_literal] = STATE(1309),
    [sym__multiline_regex_literal] = STATE(2574),
    [sym_user_type] = STATE(5528),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5528),
    [sym_dictionary_type] = STATE(5528),
    [sym__expression] = STATE(1309),
    [sym__unary_expression] = STATE(1309),
    [sym_postfix_expression] = STATE(1309),
    [sym_constructor_expression] = STATE(1309),
    [sym__parenthesized_type] = STATE(6484),
    [sym_navigation_expression] = STATE(1309),
    [sym__navigable_type_expression] = STATE(6485),
    [sym_open_start_range_expression] = STATE(1309),
    [sym__range_operator] = STATE(483),
    [sym_open_end_range_expression] = STATE(1309),
    [sym_prefix_expression] = STATE(1309),
    [sym_as_expression] = STATE(1309),
    [sym_selector_expression] = STATE(1309),
    [sym__binary_expression] = STATE(1309),
    [sym_multiplicative_expression] = STATE(1309),
    [sym_additive_expression] = STATE(1309),
    [sym_range_expression] = STATE(1309),
    [sym_infix_expression] = STATE(1309),
    [sym_nil_coalescing_expression] = STATE(1309),
    [sym_check_expression] = STATE(1309),
    [sym_comparison_expression] = STATE(1309),
    [sym_equality_expression] = STATE(1309),
    [sym_conjunction_expression] = STATE(1309),
    [sym_disjunction_expression] = STATE(1309),
    [sym_bitwise_operation] = STATE(1309),
    [sym_custom_operator] = STATE(865),
    [sym_try_expression] = STATE(1309),
    [sym_await_expression] = STATE(1309),
    [sym__await_operator] = STATE(485),
    [sym_ternary_expression] = STATE(1309),
    [sym_call_expression] = STATE(1309),
    [sym__primary_expression] = STATE(1309),
    [sym_tuple_expression] = STATE(1309),
    [sym_array_literal] = STATE(1309),
    [sym_dictionary_literal] = STATE(1309),
    [sym__special_literal] = STATE(1309),
    [sym__playground_literal] = STATE(1309),
    [sym_lambda_literal] = STATE(1309),
    [sym_self_expression] = STATE(1309),
    [sym_super_expression] = STATE(1309),
    [sym_if_statement] = STATE(1309),
    [sym_switch_statement] = STATE(1309),
    [sym_key_path_expression] = STATE(1309),
    [sym_key_path_string_expression] = STATE(1309),
    [sym_try_operator] = STATE(491),
    [sym__assignment_and_operator] = STATE(1309),
    [sym__equality_operator] = STATE(1309),
    [sym__comparison_operator] = STATE(1309),
    [sym__three_dot_operator] = STATE(859),
    [sym__open_ended_range_operator] = STATE(483),
    [sym__additive_operator] = STATE(1309),
    [sym__multiplicative_operator] = STATE(1309),
    [sym__prefix_unary_operator] = STATE(497),
    [sym_directly_assignable_expression] = STATE(5531),
    [sym_assignment] = STATE(1309),
    [sym_value_parameter_pack] = STATE(1309),
    [sym_value_pack_expansion] = STATE(1309),
    [sym__referenceable_operator] = STATE(1309),
    [sym__equal_sign] = STATE(1309),
    [sym__eq_eq] = STATE(1309),
    [sym__dot] = STATE(497),
    [sym_bang] = STATE(865),
    [sym__parameter_ownership_modifier] = STATE(2218),
    [aux_sym_raw_string_literal_repeat1] = STATE(6575),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(1227),
    [aux_sym_simple_identifier_token2] = ACTIONS(1229),
    [aux_sym_simple_identifier_token3] = ACTIONS(1229),
    [aux_sym_simple_identifier_token4] = ACTIONS(1229),
    [anon_sym_actor] = ACTIONS(1227),
    [anon_sym_async] = ACTIONS(1227),
    [anon_sym_each] = ACTIONS(1231),
    [anon_sym_lazy] = ACTIONS(1227),
    [anon_sym_repeat] = ACTIONS(1233),
    [anon_sym_package] = ACTIONS(1227),
    [anon_sym_nil] = ACTIONS(2085),
    [sym_real_literal] = ACTIONS(2087),
    [sym_integer_literal] = ACTIONS(2085),
    [sym_hex_literal] = ACTIONS(2087),
    [sym_oct_literal] = ACTIONS(2087),
    [sym_bin_literal] = ACTIONS(2087),
    [anon_sym_true] = ACTIONS(1239),
    [anon_sym_false] = ACTIONS(1239),
    [anon_sym_DQUOTE] = ACTIONS(1241),
    [anon_sym_BSLASH] = ACTIONS(1243),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1245),
    [sym__extended_regex_literal] = ACTIONS(1247),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(1249),
    [sym__oneline_regex_literal] = ACTIONS(1251),
    [anon_sym_LPAREN] = ACTIONS(1253),
    [anon_sym_LBRACK] = ACTIONS(1255),
    [anon_sym_AMP] = ACTIONS(1257),
    [anon_sym_if] = ACTIONS(1259),
    [anon_sym_switch] = ACTIONS(1261),
    [anon_sym_POUNDselector] = ACTIONS(1263),
    [aux_sym_custom_operator_token1] = ACTIONS(1265),
    [anon_sym_LT] = ACTIONS(2085),
    [anon_sym_GT] = ACTIONS(2085),
    [anon_sym_await] = ACTIONS(1267),
    [anon_sym_POUNDfile] = ACTIONS(2085),
    [anon_sym_POUNDfileID] = ACTIONS(2087),
    [anon_sym_POUNDfilePath] = ACTIONS(2087),
    [anon_sym_POUNDline] = ACTIONS(2087),
    [anon_sym_POUNDcolumn] = ACTIONS(2087),
    [anon_sym_POUNDfunction] = ACTIONS(2087),
    [anon_sym_POUNDdsohandle] = ACTIONS(2087),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(1269),
    [anon_sym_POUNDfileLiteral] = ACTIONS(1269),
    [anon_sym_POUNDimageLiteral] = ACTIONS(1269),
    [anon_sym_LBRACE] = ACTIONS(1271),
    [anon_sym_CARET_LBRACE] = ACTIONS(1271),
    [anon_sym_self] = ACTIONS(1273),
    [anon_sym_super] = ACTIONS(1275),
    [anon_sym_POUNDkeyPath] = ACTIONS(1277),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(2087),
    [anon_sym_DASH_EQ] = ACTIONS(2087),
    [anon_sym_STAR_EQ] = ACTIONS(2087),
    [anon_sym_SLASH_EQ] = ACTIONS(2087),
    [anon_sym_PERCENT_EQ] = ACTIONS(2087),
    [anon_sym_BANG_EQ] = ACTIONS(2085),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2087),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2087),
    [anon_sym_LT_EQ] = ACTIONS(2087),
    [anon_sym_GT_EQ] = ACTIONS(2087),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1279),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1281),
    [anon_sym_PLUS] = ACTIONS(1283),
    [anon_sym_DASH] = ACTIONS(1283),
    [anon_sym_STAR] = ACTIONS(2085),
    [anon_sym_SLASH] = ACTIONS(2085),
    [anon_sym_PERCENT] = ACTIONS(2085),
    [anon_sym_PLUS_PLUS] = ACTIONS(1257),
    [anon_sym_DASH_DASH] = ACTIONS(1257),
    [anon_sym_TILDE] = ACTIONS(1257),
    [anon_sym_PIPE] = ACTIONS(2087),
    [anon_sym_CARET] = ACTIONS(2085),
    [anon_sym_LT_LT] = ACTIONS(2087),
    [anon_sym_GT_GT] = ACTIONS(2087),
    [anon_sym_BANG2] = ACTIONS(1285),
    [anon_sym_borrowing] = ACTIONS(1227),
    [anon_sym_consuming] = ACTIONS(1227),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(1287),
    [sym__dot_custom] = ACTIONS(1289),
    [sym__eq_custom] = ACTIONS(2087),
    [sym__eq_eq_custom] = ACTIONS(2087),
    [sym__plus_then_ws] = ACTIONS(2087),
    [sym__minus_then_ws] = ACTIONS(2087),
    [sym__bang_custom] = ACTIONS(1291),
    [sym__custom_operator] = ACTIONS(1265),
  },
  [511] = {
    [sym_simple_identifier] = STATE(1141),
    [sym__contextual_simple_identifier] = STATE(1051),
    [sym__basic_literal] = STATE(670),
    [sym_boolean_literal] = STATE(670),
    [sym__string_literal] = STATE(670),
    [sym_line_string_literal] = STATE(670),
    [sym_multi_line_string_literal] = STATE(670),
    [sym_raw_string_literal] = STATE(670),
    [sym_regex_literal] = STATE(670),
    [sym__multiline_regex_literal] = STATE(1215),
    [sym_user_type] = STATE(5510),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5510),
    [sym_dictionary_type] = STATE(5510),
    [sym__expression] = STATE(670),
    [sym__unary_expression] = STATE(670),
    [sym_postfix_expression] = STATE(670),
    [sym_constructor_expression] = STATE(670),
    [sym__parenthesized_type] = STATE(6558),
    [sym_navigation_expression] = STATE(670),
    [sym__navigable_type_expression] = STATE(6557),
    [sym_open_start_range_expression] = STATE(670),
    [sym__range_operator] = STATE(523),
    [sym_open_end_range_expression] = STATE(670),
    [sym_prefix_expression] = STATE(670),
    [sym_as_expression] = STATE(670),
    [sym_selector_expression] = STATE(670),
    [sym__binary_expression] = STATE(670),
    [sym_multiplicative_expression] = STATE(670),
    [sym_additive_expression] = STATE(670),
    [sym_range_expression] = STATE(670),
    [sym_infix_expression] = STATE(670),
    [sym_nil_coalescing_expression] = STATE(670),
    [sym_check_expression] = STATE(670),
    [sym_comparison_expression] = STATE(670),
    [sym_equality_expression] = STATE(670),
    [sym_conjunction_expression] = STATE(670),
    [sym_disjunction_expression] = STATE(670),
    [sym_bitwise_operation] = STATE(670),
    [sym_custom_operator] = STATE(628),
    [sym_try_expression] = STATE(670),
    [sym_await_expression] = STATE(670),
    [sym__await_operator] = STATE(518),
    [sym_ternary_expression] = STATE(670),
    [sym_call_expression] = STATE(670),
    [sym__primary_expression] = STATE(670),
    [sym_tuple_expression] = STATE(670),
    [sym_array_literal] = STATE(670),
    [sym_dictionary_literal] = STATE(670),
    [sym__special_literal] = STATE(670),
    [sym__playground_literal] = STATE(670),
    [sym_lambda_literal] = STATE(670),
    [sym_self_expression] = STATE(670),
    [sym_super_expression] = STATE(670),
    [sym_if_statement] = STATE(670),
    [sym_switch_statement] = STATE(670),
    [sym_key_path_expression] = STATE(670),
    [sym_key_path_string_expression] = STATE(670),
    [sym_try_operator] = STATE(515),
    [sym__assignment_and_operator] = STATE(670),
    [sym__equality_operator] = STATE(670),
    [sym__comparison_operator] = STATE(670),
    [sym__three_dot_operator] = STATE(625),
    [sym__open_ended_range_operator] = STATE(523),
    [sym__additive_operator] = STATE(670),
    [sym__multiplicative_operator] = STATE(670),
    [sym__prefix_unary_operator] = STATE(509),
    [sym_directly_assignable_expression] = STATE(5511),
    [sym_assignment] = STATE(670),
    [sym_value_parameter_pack] = STATE(670),
    [sym_value_pack_expansion] = STATE(670),
    [sym__referenceable_operator] = STATE(670),
    [sym__equal_sign] = STATE(670),
    [sym__eq_eq] = STATE(670),
    [sym__dot] = STATE(509),
    [sym_bang] = STATE(628),
    [sym__parameter_ownership_modifier] = STATE(1051),
    [aux_sym_raw_string_literal_repeat1] = STATE(6487),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(291),
    [aux_sym_simple_identifier_token2] = ACTIONS(293),
    [aux_sym_simple_identifier_token3] = ACTIONS(293),
    [aux_sym_simple_identifier_token4] = ACTIONS(293),
    [anon_sym_actor] = ACTIONS(291),
    [anon_sym_async] = ACTIONS(291),
    [anon_sym_each] = ACTIONS(299),
    [anon_sym_lazy] = ACTIONS(291),
    [anon_sym_repeat] = ACTIONS(747),
    [anon_sym_package] = ACTIONS(291),
    [anon_sym_nil] = ACTIONS(2089),
    [sym_real_literal] = ACTIONS(2091),
    [sym_integer_literal] = ACTIONS(2089),
    [sym_hex_literal] = ACTIONS(2091),
    [sym_oct_literal] = ACTIONS(2091),
    [sym_bin_literal] = ACTIONS(2091),
    [anon_sym_true] = ACTIONS(309),
    [anon_sym_false] = ACTIONS(309),
    [anon_sym_DQUOTE] = ACTIONS(311),
    [anon_sym_BSLASH] = ACTIONS(313),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(315),
    [sym__extended_regex_literal] = ACTIONS(317),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(319),
    [sym__oneline_regex_literal] = ACTIONS(321),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_LBRACK] = ACTIONS(325),
    [anon_sym_AMP] = ACTIONS(327),
    [anon_sym_if] = ACTIONS(329),
    [anon_sym_switch] = ACTIONS(331),
    [anon_sym_POUNDselector] = ACTIONS(333),
    [aux_sym_custom_operator_token1] = ACTIONS(335),
    [anon_sym_LT] = ACTIONS(2089),
    [anon_sym_GT] = ACTIONS(2089),
    [anon_sym_await] = ACTIONS(337),
    [anon_sym_POUNDfile] = ACTIONS(2089),
    [anon_sym_POUNDfileID] = ACTIONS(2091),
    [anon_sym_POUNDfilePath] = ACTIONS(2091),
    [anon_sym_POUNDline] = ACTIONS(2091),
    [anon_sym_POUNDcolumn] = ACTIONS(2091),
    [anon_sym_POUNDfunction] = ACTIONS(2091),
    [anon_sym_POUNDdsohandle] = ACTIONS(2091),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(339),
    [anon_sym_POUNDfileLiteral] = ACTIONS(339),
    [anon_sym_POUNDimageLiteral] = ACTIONS(339),
    [anon_sym_LBRACE] = ACTIONS(341),
    [anon_sym_CARET_LBRACE] = ACTIONS(341),
    [anon_sym_self] = ACTIONS(345),
    [anon_sym_super] = ACTIONS(347),
    [anon_sym_POUNDkeyPath] = ACTIONS(353),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(2091),
    [anon_sym_DASH_EQ] = ACTIONS(2091),
    [anon_sym_STAR_EQ] = ACTIONS(2091),
    [anon_sym_SLASH_EQ] = ACTIONS(2091),
    [anon_sym_PERCENT_EQ] = ACTIONS(2091),
    [anon_sym_BANG_EQ] = ACTIONS(2089),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2091),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2091),
    [anon_sym_LT_EQ] = ACTIONS(2091),
    [anon_sym_GT_EQ] = ACTIONS(2091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(355),
    [anon_sym_DOT_DOT_LT] = ACTIONS(357),
    [anon_sym_PLUS] = ACTIONS(359),
    [anon_sym_DASH] = ACTIONS(359),
    [anon_sym_STAR] = ACTIONS(2089),
    [anon_sym_SLASH] = ACTIONS(2089),
    [anon_sym_PERCENT] = ACTIONS(2089),
    [anon_sym_PLUS_PLUS] = ACTIONS(327),
    [anon_sym_DASH_DASH] = ACTIONS(327),
    [anon_sym_TILDE] = ACTIONS(327),
    [anon_sym_PIPE] = ACTIONS(2091),
    [anon_sym_CARET] = ACTIONS(2089),
    [anon_sym_LT_LT] = ACTIONS(2091),
    [anon_sym_GT_GT] = ACTIONS(2091),
    [anon_sym_BANG2] = ACTIONS(381),
    [anon_sym_borrowing] = ACTIONS(291),
    [anon_sym_consuming] = ACTIONS(291),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(383),
    [sym__dot_custom] = ACTIONS(385),
    [sym__eq_custom] = ACTIONS(2091),
    [sym__eq_eq_custom] = ACTIONS(2091),
    [sym__plus_then_ws] = ACTIONS(2091),
    [sym__minus_then_ws] = ACTIONS(2091),
    [sym__bang_custom] = ACTIONS(387),
    [sym__custom_operator] = ACTIONS(335),
  },
  [512] = {
    [sym_simple_identifier] = STATE(2315),
    [sym__contextual_simple_identifier] = STATE(2218),
    [sym__basic_literal] = STATE(1310),
    [sym_boolean_literal] = STATE(1310),
    [sym__string_literal] = STATE(1310),
    [sym_line_string_literal] = STATE(1310),
    [sym_multi_line_string_literal] = STATE(1310),
    [sym_raw_string_literal] = STATE(1310),
    [sym_regex_literal] = STATE(1310),
    [sym__multiline_regex_literal] = STATE(2574),
    [sym_user_type] = STATE(5528),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5528),
    [sym_dictionary_type] = STATE(5528),
    [sym__expression] = STATE(1310),
    [sym__unary_expression] = STATE(1310),
    [sym_postfix_expression] = STATE(1310),
    [sym_constructor_expression] = STATE(1310),
    [sym__parenthesized_type] = STATE(6484),
    [sym_navigation_expression] = STATE(1310),
    [sym__navigable_type_expression] = STATE(6485),
    [sym_open_start_range_expression] = STATE(1310),
    [sym__range_operator] = STATE(483),
    [sym_open_end_range_expression] = STATE(1310),
    [sym_prefix_expression] = STATE(1310),
    [sym_as_expression] = STATE(1310),
    [sym_selector_expression] = STATE(1310),
    [sym__binary_expression] = STATE(1310),
    [sym_multiplicative_expression] = STATE(1310),
    [sym_additive_expression] = STATE(1310),
    [sym_range_expression] = STATE(1310),
    [sym_infix_expression] = STATE(1310),
    [sym_nil_coalescing_expression] = STATE(1310),
    [sym_check_expression] = STATE(1310),
    [sym_comparison_expression] = STATE(1310),
    [sym_equality_expression] = STATE(1310),
    [sym_conjunction_expression] = STATE(1310),
    [sym_disjunction_expression] = STATE(1310),
    [sym_bitwise_operation] = STATE(1310),
    [sym_custom_operator] = STATE(865),
    [sym_try_expression] = STATE(1310),
    [sym_await_expression] = STATE(1310),
    [sym__await_operator] = STATE(485),
    [sym_ternary_expression] = STATE(1310),
    [sym_call_expression] = STATE(1310),
    [sym__primary_expression] = STATE(1310),
    [sym_tuple_expression] = STATE(1310),
    [sym_array_literal] = STATE(1310),
    [sym_dictionary_literal] = STATE(1310),
    [sym__special_literal] = STATE(1310),
    [sym__playground_literal] = STATE(1310),
    [sym_lambda_literal] = STATE(1310),
    [sym_self_expression] = STATE(1310),
    [sym_super_expression] = STATE(1310),
    [sym_if_statement] = STATE(1310),
    [sym_switch_statement] = STATE(1310),
    [sym_key_path_expression] = STATE(1310),
    [sym_key_path_string_expression] = STATE(1310),
    [sym_try_operator] = STATE(491),
    [sym__assignment_and_operator] = STATE(1310),
    [sym__equality_operator] = STATE(1310),
    [sym__comparison_operator] = STATE(1310),
    [sym__three_dot_operator] = STATE(859),
    [sym__open_ended_range_operator] = STATE(483),
    [sym__additive_operator] = STATE(1310),
    [sym__multiplicative_operator] = STATE(1310),
    [sym__prefix_unary_operator] = STATE(497),
    [sym_directly_assignable_expression] = STATE(5531),
    [sym_assignment] = STATE(1310),
    [sym_value_parameter_pack] = STATE(1310),
    [sym_value_pack_expansion] = STATE(1310),
    [sym__referenceable_operator] = STATE(1310),
    [sym__equal_sign] = STATE(1310),
    [sym__eq_eq] = STATE(1310),
    [sym__dot] = STATE(497),
    [sym_bang] = STATE(865),
    [sym__parameter_ownership_modifier] = STATE(2218),
    [aux_sym_raw_string_literal_repeat1] = STATE(6575),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(1227),
    [aux_sym_simple_identifier_token2] = ACTIONS(1229),
    [aux_sym_simple_identifier_token3] = ACTIONS(1229),
    [aux_sym_simple_identifier_token4] = ACTIONS(1229),
    [anon_sym_actor] = ACTIONS(1227),
    [anon_sym_async] = ACTIONS(1227),
    [anon_sym_each] = ACTIONS(1231),
    [anon_sym_lazy] = ACTIONS(1227),
    [anon_sym_repeat] = ACTIONS(1233),
    [anon_sym_package] = ACTIONS(1227),
    [anon_sym_nil] = ACTIONS(2093),
    [sym_real_literal] = ACTIONS(2095),
    [sym_integer_literal] = ACTIONS(2093),
    [sym_hex_literal] = ACTIONS(2095),
    [sym_oct_literal] = ACTIONS(2095),
    [sym_bin_literal] = ACTIONS(2095),
    [anon_sym_true] = ACTIONS(1239),
    [anon_sym_false] = ACTIONS(1239),
    [anon_sym_DQUOTE] = ACTIONS(1241),
    [anon_sym_BSLASH] = ACTIONS(1243),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1245),
    [sym__extended_regex_literal] = ACTIONS(1247),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(1249),
    [sym__oneline_regex_literal] = ACTIONS(1251),
    [anon_sym_LPAREN] = ACTIONS(1253),
    [anon_sym_LBRACK] = ACTIONS(1255),
    [anon_sym_AMP] = ACTIONS(1257),
    [anon_sym_if] = ACTIONS(1259),
    [anon_sym_switch] = ACTIONS(1261),
    [anon_sym_POUNDselector] = ACTIONS(1263),
    [aux_sym_custom_operator_token1] = ACTIONS(1265),
    [anon_sym_LT] = ACTIONS(2093),
    [anon_sym_GT] = ACTIONS(2093),
    [anon_sym_await] = ACTIONS(1267),
    [anon_sym_POUNDfile] = ACTIONS(2093),
    [anon_sym_POUNDfileID] = ACTIONS(2095),
    [anon_sym_POUNDfilePath] = ACTIONS(2095),
    [anon_sym_POUNDline] = ACTIONS(2095),
    [anon_sym_POUNDcolumn] = ACTIONS(2095),
    [anon_sym_POUNDfunction] = ACTIONS(2095),
    [anon_sym_POUNDdsohandle] = ACTIONS(2095),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(1269),
    [anon_sym_POUNDfileLiteral] = ACTIONS(1269),
    [anon_sym_POUNDimageLiteral] = ACTIONS(1269),
    [anon_sym_LBRACE] = ACTIONS(1271),
    [anon_sym_CARET_LBRACE] = ACTIONS(1271),
    [anon_sym_self] = ACTIONS(1273),
    [anon_sym_super] = ACTIONS(1275),
    [anon_sym_POUNDkeyPath] = ACTIONS(1277),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(2095),
    [anon_sym_DASH_EQ] = ACTIONS(2095),
    [anon_sym_STAR_EQ] = ACTIONS(2095),
    [anon_sym_SLASH_EQ] = ACTIONS(2095),
    [anon_sym_PERCENT_EQ] = ACTIONS(2095),
    [anon_sym_BANG_EQ] = ACTIONS(2093),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2095),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2095),
    [anon_sym_LT_EQ] = ACTIONS(2095),
    [anon_sym_GT_EQ] = ACTIONS(2095),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1279),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1281),
    [anon_sym_PLUS] = ACTIONS(1283),
    [anon_sym_DASH] = ACTIONS(1283),
    [anon_sym_STAR] = ACTIONS(2093),
    [anon_sym_SLASH] = ACTIONS(2093),
    [anon_sym_PERCENT] = ACTIONS(2093),
    [anon_sym_PLUS_PLUS] = ACTIONS(1257),
    [anon_sym_DASH_DASH] = ACTIONS(1257),
    [anon_sym_TILDE] = ACTIONS(1257),
    [anon_sym_PIPE] = ACTIONS(2095),
    [anon_sym_CARET] = ACTIONS(2093),
    [anon_sym_LT_LT] = ACTIONS(2095),
    [anon_sym_GT_GT] = ACTIONS(2095),
    [anon_sym_BANG2] = ACTIONS(1285),
    [anon_sym_borrowing] = ACTIONS(1227),
    [anon_sym_consuming] = ACTIONS(1227),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(1287),
    [sym__dot_custom] = ACTIONS(1289),
    [sym__eq_custom] = ACTIONS(2095),
    [sym__eq_eq_custom] = ACTIONS(2095),
    [sym__plus_then_ws] = ACTIONS(2095),
    [sym__minus_then_ws] = ACTIONS(2095),
    [sym__bang_custom] = ACTIONS(1291),
    [sym__custom_operator] = ACTIONS(1265),
  },
  [513] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1419),
    [sym_boolean_literal] = STATE(1419),
    [sym__string_literal] = STATE(1419),
    [sym_line_string_literal] = STATE(1419),
    [sym_multi_line_string_literal] = STATE(1419),
    [sym_raw_string_literal] = STATE(1419),
    [sym_regex_literal] = STATE(1419),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1419),
    [sym__unary_expression] = STATE(1419),
    [sym_postfix_expression] = STATE(1419),
    [sym_constructor_expression] = STATE(1419),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1419),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1419),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1419),
    [sym_prefix_expression] = STATE(1419),
    [sym_as_expression] = STATE(1419),
    [sym_selector_expression] = STATE(1419),
    [sym__binary_expression] = STATE(1419),
    [sym_multiplicative_expression] = STATE(1419),
    [sym_additive_expression] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_infix_expression] = STATE(1419),
    [sym_nil_coalescing_expression] = STATE(1419),
    [sym_check_expression] = STATE(1419),
    [sym_comparison_expression] = STATE(1419),
    [sym_equality_expression] = STATE(1419),
    [sym_conjunction_expression] = STATE(1419),
    [sym_disjunction_expression] = STATE(1419),
    [sym_bitwise_operation] = STATE(1419),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1419),
    [sym_await_expression] = STATE(1419),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1419),
    [sym_call_expression] = STATE(1419),
    [sym__primary_expression] = STATE(1419),
    [sym_tuple_expression] = STATE(1419),
    [sym_array_literal] = STATE(1419),
    [sym_dictionary_literal] = STATE(1419),
    [sym__special_literal] = STATE(1419),
    [sym__playground_literal] = STATE(1419),
    [sym_lambda_literal] = STATE(1419),
    [sym_self_expression] = STATE(1419),
    [sym_super_expression] = STATE(1419),
    [sym_if_statement] = STATE(1419),
    [sym_switch_statement] = STATE(1419),
    [sym_key_path_expression] = STATE(1419),
    [sym_key_path_string_expression] = STATE(1419),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1419),
    [sym__equality_operator] = STATE(1419),
    [sym__comparison_operator] = STATE(1419),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1419),
    [sym__multiplicative_operator] = STATE(1419),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1419),
    [sym_value_parameter_pack] = STATE(1419),
    [sym_value_pack_expansion] = STATE(1419),
    [sym__referenceable_operator] = STATE(1419),
    [sym__equal_sign] = STATE(1419),
    [sym__eq_eq] = STATE(1419),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(2097),
    [sym_real_literal] = ACTIONS(2099),
    [sym_integer_literal] = ACTIONS(2097),
    [sym_hex_literal] = ACTIONS(2099),
    [sym_oct_literal] = ACTIONS(2099),
    [sym_bin_literal] = ACTIONS(2099),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(2097),
    [anon_sym_GT] = ACTIONS(2097),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(2097),
    [anon_sym_POUNDfileID] = ACTIONS(2099),
    [anon_sym_POUNDfilePath] = ACTIONS(2099),
    [anon_sym_POUNDline] = ACTIONS(2099),
    [anon_sym_POUNDcolumn] = ACTIONS(2099),
    [anon_sym_POUNDfunction] = ACTIONS(2099),
    [anon_sym_POUNDdsohandle] = ACTIONS(2099),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(2099),
    [anon_sym_DASH_EQ] = ACTIONS(2099),
    [anon_sym_STAR_EQ] = ACTIONS(2099),
    [anon_sym_SLASH_EQ] = ACTIONS(2099),
    [anon_sym_PERCENT_EQ] = ACTIONS(2099),
    [anon_sym_BANG_EQ] = ACTIONS(2097),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2099),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2099),
    [anon_sym_LT_EQ] = ACTIONS(2099),
    [anon_sym_GT_EQ] = ACTIONS(2099),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(2097),
    [anon_sym_SLASH] = ACTIONS(2097),
    [anon_sym_PERCENT] = ACTIONS(2097),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(2099),
    [anon_sym_CARET] = ACTIONS(2097),
    [anon_sym_LT_LT] = ACTIONS(2099),
    [anon_sym_GT_GT] = ACTIONS(2099),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(2099),
    [sym__eq_eq_custom] = ACTIONS(2099),
    [sym__plus_then_ws] = ACTIONS(2099),
    [sym__minus_then_ws] = ACTIONS(2099),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [514] = {
    [sym_simple_identifier] = STATE(1141),
    [sym__contextual_simple_identifier] = STATE(1051),
    [sym__basic_literal] = STATE(662),
    [sym_boolean_literal] = STATE(662),
    [sym__string_literal] = STATE(662),
    [sym_line_string_literal] = STATE(662),
    [sym_multi_line_string_literal] = STATE(662),
    [sym_raw_string_literal] = STATE(662),
    [sym_regex_literal] = STATE(662),
    [sym__multiline_regex_literal] = STATE(1215),
    [sym_user_type] = STATE(5510),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5510),
    [sym_dictionary_type] = STATE(5510),
    [sym__expression] = STATE(662),
    [sym__unary_expression] = STATE(662),
    [sym_postfix_expression] = STATE(662),
    [sym_constructor_expression] = STATE(662),
    [sym__parenthesized_type] = STATE(6558),
    [sym_navigation_expression] = STATE(662),
    [sym__navigable_type_expression] = STATE(6557),
    [sym_open_start_range_expression] = STATE(662),
    [sym__range_operator] = STATE(523),
    [sym_open_end_range_expression] = STATE(662),
    [sym_prefix_expression] = STATE(662),
    [sym_as_expression] = STATE(662),
    [sym_selector_expression] = STATE(662),
    [sym__binary_expression] = STATE(662),
    [sym_multiplicative_expression] = STATE(662),
    [sym_additive_expression] = STATE(662),
    [sym_range_expression] = STATE(662),
    [sym_infix_expression] = STATE(662),
    [sym_nil_coalescing_expression] = STATE(662),
    [sym_check_expression] = STATE(662),
    [sym_comparison_expression] = STATE(662),
    [sym_equality_expression] = STATE(662),
    [sym_conjunction_expression] = STATE(662),
    [sym_disjunction_expression] = STATE(662),
    [sym_bitwise_operation] = STATE(662),
    [sym_custom_operator] = STATE(628),
    [sym_try_expression] = STATE(662),
    [sym_await_expression] = STATE(662),
    [sym__await_operator] = STATE(518),
    [sym_ternary_expression] = STATE(662),
    [sym_call_expression] = STATE(662),
    [sym__primary_expression] = STATE(662),
    [sym_tuple_expression] = STATE(662),
    [sym_array_literal] = STATE(662),
    [sym_dictionary_literal] = STATE(662),
    [sym__special_literal] = STATE(662),
    [sym__playground_literal] = STATE(662),
    [sym_lambda_literal] = STATE(662),
    [sym_self_expression] = STATE(662),
    [sym_super_expression] = STATE(662),
    [sym_if_statement] = STATE(662),
    [sym_switch_statement] = STATE(662),
    [sym_key_path_expression] = STATE(662),
    [sym_key_path_string_expression] = STATE(662),
    [sym_try_operator] = STATE(515),
    [sym__assignment_and_operator] = STATE(662),
    [sym__equality_operator] = STATE(662),
    [sym__comparison_operator] = STATE(662),
    [sym__three_dot_operator] = STATE(625),
    [sym__open_ended_range_operator] = STATE(523),
    [sym__additive_operator] = STATE(662),
    [sym__multiplicative_operator] = STATE(662),
    [sym__prefix_unary_operator] = STATE(509),
    [sym_directly_assignable_expression] = STATE(5511),
    [sym_assignment] = STATE(662),
    [sym_value_parameter_pack] = STATE(662),
    [sym_value_pack_expansion] = STATE(662),
    [sym__referenceable_operator] = STATE(662),
    [sym__equal_sign] = STATE(662),
    [sym__eq_eq] = STATE(662),
    [sym__dot] = STATE(509),
    [sym_bang] = STATE(628),
    [sym__parameter_ownership_modifier] = STATE(1051),
    [aux_sym_raw_string_literal_repeat1] = STATE(6487),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(291),
    [aux_sym_simple_identifier_token2] = ACTIONS(293),
    [aux_sym_simple_identifier_token3] = ACTIONS(293),
    [aux_sym_simple_identifier_token4] = ACTIONS(293),
    [anon_sym_actor] = ACTIONS(291),
    [anon_sym_async] = ACTIONS(291),
    [anon_sym_each] = ACTIONS(299),
    [anon_sym_lazy] = ACTIONS(291),
    [anon_sym_repeat] = ACTIONS(747),
    [anon_sym_package] = ACTIONS(291),
    [anon_sym_nil] = ACTIONS(2101),
    [sym_real_literal] = ACTIONS(2103),
    [sym_integer_literal] = ACTIONS(2101),
    [sym_hex_literal] = ACTIONS(2103),
    [sym_oct_literal] = ACTIONS(2103),
    [sym_bin_literal] = ACTIONS(2103),
    [anon_sym_true] = ACTIONS(309),
    [anon_sym_false] = ACTIONS(309),
    [anon_sym_DQUOTE] = ACTIONS(311),
    [anon_sym_BSLASH] = ACTIONS(313),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(315),
    [sym__extended_regex_literal] = ACTIONS(317),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(319),
    [sym__oneline_regex_literal] = ACTIONS(321),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_LBRACK] = ACTIONS(325),
    [anon_sym_AMP] = ACTIONS(327),
    [anon_sym_if] = ACTIONS(329),
    [anon_sym_switch] = ACTIONS(331),
    [anon_sym_POUNDselector] = ACTIONS(333),
    [aux_sym_custom_operator_token1] = ACTIONS(335),
    [anon_sym_LT] = ACTIONS(2101),
    [anon_sym_GT] = ACTIONS(2101),
    [anon_sym_await] = ACTIONS(337),
    [anon_sym_POUNDfile] = ACTIONS(2101),
    [anon_sym_POUNDfileID] = ACTIONS(2103),
    [anon_sym_POUNDfilePath] = ACTIONS(2103),
    [anon_sym_POUNDline] = ACTIONS(2103),
    [anon_sym_POUNDcolumn] = ACTIONS(2103),
    [anon_sym_POUNDfunction] = ACTIONS(2103),
    [anon_sym_POUNDdsohandle] = ACTIONS(2103),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(339),
    [anon_sym_POUNDfileLiteral] = ACTIONS(339),
    [anon_sym_POUNDimageLiteral] = ACTIONS(339),
    [anon_sym_LBRACE] = ACTIONS(341),
    [anon_sym_CARET_LBRACE] = ACTIONS(341),
    [anon_sym_self] = ACTIONS(345),
    [anon_sym_super] = ACTIONS(347),
    [anon_sym_POUNDkeyPath] = ACTIONS(353),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(2103),
    [anon_sym_DASH_EQ] = ACTIONS(2103),
    [anon_sym_STAR_EQ] = ACTIONS(2103),
    [anon_sym_SLASH_EQ] = ACTIONS(2103),
    [anon_sym_PERCENT_EQ] = ACTIONS(2103),
    [anon_sym_BANG_EQ] = ACTIONS(2101),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2103),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2103),
    [anon_sym_LT_EQ] = ACTIONS(2103),
    [anon_sym_GT_EQ] = ACTIONS(2103),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(355),
    [anon_sym_DOT_DOT_LT] = ACTIONS(357),
    [anon_sym_PLUS] = ACTIONS(359),
    [anon_sym_DASH] = ACTIONS(359),
    [anon_sym_STAR] = ACTIONS(2101),
    [anon_sym_SLASH] = ACTIONS(2101),
    [anon_sym_PERCENT] = ACTIONS(2101),
    [anon_sym_PLUS_PLUS] = ACTIONS(327),
    [anon_sym_DASH_DASH] = ACTIONS(327),
    [anon_sym_TILDE] = ACTIONS(327),
    [anon_sym_PIPE] = ACTIONS(2103),
    [anon_sym_CARET] = ACTIONS(2101),
    [anon_sym_LT_LT] = ACTIONS(2103),
    [anon_sym_GT_GT] = ACTIONS(2103),
    [anon_sym_BANG2] = ACTIONS(381),
    [anon_sym_borrowing] = ACTIONS(291),
    [anon_sym_consuming] = ACTIONS(291),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(383),
    [sym__dot_custom] = ACTIONS(385),
    [sym__eq_custom] = ACTIONS(2103),
    [sym__eq_eq_custom] = ACTIONS(2103),
    [sym__plus_then_ws] = ACTIONS(2103),
    [sym__minus_then_ws] = ACTIONS(2103),
    [sym__bang_custom] = ACTIONS(387),
    [sym__custom_operator] = ACTIONS(335),
  },
  [515] = {
    [sym_simple_identifier] = STATE(1141),
    [sym__contextual_simple_identifier] = STATE(1051),
    [sym__basic_literal] = STATE(664),
    [sym_boolean_literal] = STATE(664),
    [sym__string_literal] = STATE(664),
    [sym_line_string_literal] = STATE(664),
    [sym_multi_line_string_literal] = STATE(664),
    [sym_raw_string_literal] = STATE(664),
    [sym_regex_literal] = STATE(664),
    [sym__multiline_regex_literal] = STATE(1215),
    [sym_user_type] = STATE(5510),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5510),
    [sym_dictionary_type] = STATE(5510),
    [sym__expression] = STATE(664),
    [sym__unary_expression] = STATE(664),
    [sym_postfix_expression] = STATE(664),
    [sym_constructor_expression] = STATE(664),
    [sym__parenthesized_type] = STATE(6558),
    [sym_navigation_expression] = STATE(664),
    [sym__navigable_type_expression] = STATE(6557),
    [sym_open_start_range_expression] = STATE(664),
    [sym__range_operator] = STATE(523),
    [sym_open_end_range_expression] = STATE(664),
    [sym_prefix_expression] = STATE(664),
    [sym_as_expression] = STATE(664),
    [sym_selector_expression] = STATE(664),
    [sym__binary_expression] = STATE(1182),
    [sym_multiplicative_expression] = STATE(1182),
    [sym_additive_expression] = STATE(1182),
    [sym_range_expression] = STATE(1182),
    [sym_infix_expression] = STATE(1182),
    [sym_nil_coalescing_expression] = STATE(1182),
    [sym_check_expression] = STATE(1182),
    [sym_comparison_expression] = STATE(1182),
    [sym_equality_expression] = STATE(1182),
    [sym_conjunction_expression] = STATE(1182),
    [sym_disjunction_expression] = STATE(1182),
    [sym_bitwise_operation] = STATE(1182),
    [sym_custom_operator] = STATE(628),
    [sym_try_expression] = STATE(664),
    [sym_await_expression] = STATE(664),
    [sym__await_operator] = STATE(518),
    [sym_ternary_expression] = STATE(1194),
    [sym_call_expression] = STATE(1208),
    [sym__primary_expression] = STATE(664),
    [sym_tuple_expression] = STATE(664),
    [sym_array_literal] = STATE(664),
    [sym_dictionary_literal] = STATE(664),
    [sym__special_literal] = STATE(664),
    [sym__playground_literal] = STATE(664),
    [sym_lambda_literal] = STATE(664),
    [sym_self_expression] = STATE(664),
    [sym_super_expression] = STATE(664),
    [sym_if_statement] = STATE(664),
    [sym_switch_statement] = STATE(664),
    [sym_key_path_expression] = STATE(664),
    [sym_key_path_string_expression] = STATE(664),
    [sym_try_operator] = STATE(515),
    [sym__assignment_and_operator] = STATE(664),
    [sym__equality_operator] = STATE(664),
    [sym__comparison_operator] = STATE(664),
    [sym__three_dot_operator] = STATE(625),
    [sym__open_ended_range_operator] = STATE(523),
    [sym__additive_operator] = STATE(664),
    [sym__multiplicative_operator] = STATE(664),
    [sym__prefix_unary_operator] = STATE(509),
    [sym_directly_assignable_expression] = STATE(5511),
    [sym_assignment] = STATE(664),
    [sym_value_parameter_pack] = STATE(664),
    [sym_value_pack_expansion] = STATE(664),
    [sym__referenceable_operator] = STATE(664),
    [sym__equal_sign] = STATE(664),
    [sym__eq_eq] = STATE(664),
    [sym__dot] = STATE(509),
    [sym_bang] = STATE(628),
    [sym__parameter_ownership_modifier] = STATE(1051),
    [aux_sym_raw_string_literal_repeat1] = STATE(6487),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(291),
    [aux_sym_simple_identifier_token2] = ACTIONS(293),
    [aux_sym_simple_identifier_token3] = ACTIONS(293),
    [aux_sym_simple_identifier_token4] = ACTIONS(293),
    [anon_sym_actor] = ACTIONS(291),
    [anon_sym_async] = ACTIONS(291),
    [anon_sym_each] = ACTIONS(299),
    [anon_sym_lazy] = ACTIONS(291),
    [anon_sym_repeat] = ACTIONS(747),
    [anon_sym_package] = ACTIONS(291),
    [anon_sym_nil] = ACTIONS(2105),
    [sym_real_literal] = ACTIONS(2107),
    [sym_integer_literal] = ACTIONS(2105),
    [sym_hex_literal] = ACTIONS(2107),
    [sym_oct_literal] = ACTIONS(2107),
    [sym_bin_literal] = ACTIONS(2107),
    [anon_sym_true] = ACTIONS(309),
    [anon_sym_false] = ACTIONS(309),
    [anon_sym_DQUOTE] = ACTIONS(311),
    [anon_sym_BSLASH] = ACTIONS(313),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(315),
    [sym__extended_regex_literal] = ACTIONS(317),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(319),
    [sym__oneline_regex_literal] = ACTIONS(321),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_LBRACK] = ACTIONS(325),
    [anon_sym_AMP] = ACTIONS(327),
    [anon_sym_if] = ACTIONS(329),
    [anon_sym_switch] = ACTIONS(331),
    [anon_sym_POUNDselector] = ACTIONS(333),
    [aux_sym_custom_operator_token1] = ACTIONS(335),
    [anon_sym_LT] = ACTIONS(2105),
    [anon_sym_GT] = ACTIONS(2105),
    [anon_sym_await] = ACTIONS(337),
    [anon_sym_POUNDfile] = ACTIONS(2105),
    [anon_sym_POUNDfileID] = ACTIONS(2107),
    [anon_sym_POUNDfilePath] = ACTIONS(2107),
    [anon_sym_POUNDline] = ACTIONS(2107),
    [anon_sym_POUNDcolumn] = ACTIONS(2107),
    [anon_sym_POUNDfunction] = ACTIONS(2107),
    [anon_sym_POUNDdsohandle] = ACTIONS(2107),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(339),
    [anon_sym_POUNDfileLiteral] = ACTIONS(339),
    [anon_sym_POUNDimageLiteral] = ACTIONS(339),
    [anon_sym_LBRACE] = ACTIONS(341),
    [anon_sym_CARET_LBRACE] = ACTIONS(341),
    [anon_sym_self] = ACTIONS(345),
    [anon_sym_super] = ACTIONS(347),
    [anon_sym_POUNDkeyPath] = ACTIONS(353),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(2107),
    [anon_sym_DASH_EQ] = ACTIONS(2107),
    [anon_sym_STAR_EQ] = ACTIONS(2107),
    [anon_sym_SLASH_EQ] = ACTIONS(2107),
    [anon_sym_PERCENT_EQ] = ACTIONS(2107),
    [anon_sym_BANG_EQ] = ACTIONS(2105),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2107),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2107),
    [anon_sym_LT_EQ] = ACTIONS(2107),
    [anon_sym_GT_EQ] = ACTIONS(2107),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(355),
    [anon_sym_DOT_DOT_LT] = ACTIONS(357),
    [anon_sym_PLUS] = ACTIONS(359),
    [anon_sym_DASH] = ACTIONS(359),
    [anon_sym_STAR] = ACTIONS(2105),
    [anon_sym_SLASH] = ACTIONS(2105),
    [anon_sym_PERCENT] = ACTIONS(2105),
    [anon_sym_PLUS_PLUS] = ACTIONS(327),
    [anon_sym_DASH_DASH] = ACTIONS(327),
    [anon_sym_TILDE] = ACTIONS(327),
    [anon_sym_PIPE] = ACTIONS(2107),
    [anon_sym_CARET] = ACTIONS(2105),
    [anon_sym_LT_LT] = ACTIONS(2107),
    [anon_sym_GT_GT] = ACTIONS(2107),
    [anon_sym_BANG2] = ACTIONS(381),
    [anon_sym_borrowing] = ACTIONS(291),
    [anon_sym_consuming] = ACTIONS(291),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(383),
    [sym__dot_custom] = ACTIONS(385),
    [sym__eq_custom] = ACTIONS(2107),
    [sym__eq_eq_custom] = ACTIONS(2107),
    [sym__plus_then_ws] = ACTIONS(2107),
    [sym__minus_then_ws] = ACTIONS(2107),
    [sym__bang_custom] = ACTIONS(387),
    [sym__custom_operator] = ACTIONS(335),
  },
  [516] = {
    [sym_simple_identifier] = STATE(2276),
    [sym__contextual_simple_identifier] = STATE(2115),
    [sym__basic_literal] = STATE(1273),
    [sym_boolean_literal] = STATE(1273),
    [sym__string_literal] = STATE(1273),
    [sym_line_string_literal] = STATE(1273),
    [sym_multi_line_string_literal] = STATE(1273),
    [sym_raw_string_literal] = STATE(1273),
    [sym_regex_literal] = STATE(1273),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1273),
    [sym__unary_expression] = STATE(1273),
    [sym_postfix_expression] = STATE(1273),
    [sym_constructor_expression] = STATE(1273),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1273),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1273),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1273),
    [sym_prefix_expression] = STATE(1273),
    [sym_as_expression] = STATE(1273),
    [sym_selector_expression] = STATE(1273),
    [sym__binary_expression] = STATE(1273),
    [sym_multiplicative_expression] = STATE(1273),
    [sym_additive_expression] = STATE(1273),
    [sym_range_expression] = STATE(1273),
    [sym_infix_expression] = STATE(1273),
    [sym_nil_coalescing_expression] = STATE(1273),
    [sym_check_expression] = STATE(1273),
    [sym_comparison_expression] = STATE(1273),
    [sym_equality_expression] = STATE(1273),
    [sym_conjunction_expression] = STATE(1273),
    [sym_disjunction_expression] = STATE(1273),
    [sym_bitwise_operation] = STATE(1273),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1273),
    [sym_await_expression] = STATE(1273),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1273),
    [sym_call_expression] = STATE(1273),
    [sym__primary_expression] = STATE(1273),
    [sym_tuple_expression] = STATE(1273),
    [sym_array_literal] = STATE(1273),
    [sym_dictionary_literal] = STATE(1273),
    [sym__special_literal] = STATE(1273),
    [sym__playground_literal] = STATE(1273),
    [sym_lambda_literal] = STATE(1273),
    [sym_self_expression] = STATE(1273),
    [sym_super_expression] = STATE(1273),
    [sym_if_statement] = STATE(1273),
    [sym_switch_statement] = STATE(1273),
    [sym_key_path_expression] = STATE(1273),
    [sym_key_path_string_expression] = STATE(1273),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1273),
    [sym__equality_operator] = STATE(1273),
    [sym__comparison_operator] = STATE(1273),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1273),
    [sym__multiplicative_operator] = STATE(1273),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym_assignment] = STATE(1273),
    [sym_value_parameter_pack] = STATE(1273),
    [sym_value_pack_expansion] = STATE(1273),
    [sym__referenceable_operator] = STATE(1273),
    [sym__equal_sign] = STATE(1273),
    [sym__eq_eq] = STATE(1273),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__parameter_ownership_modifier] = STATE(2115),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(11),
    [aux_sym_simple_identifier_token2] = ACTIONS(13),
    [aux_sym_simple_identifier_token3] = ACTIONS(13),
    [aux_sym_simple_identifier_token4] = ACTIONS(13),
    [anon_sym_actor] = ACTIONS(11),
    [anon_sym_async] = ACTIONS(2109),
    [anon_sym_each] = ACTIONS(19),
    [anon_sym_lazy] = ACTIONS(11),
    [anon_sym_repeat] = ACTIONS(937),
    [anon_sym_package] = ACTIONS(11),
    [anon_sym_nil] = ACTIONS(2111),
    [sym_real_literal] = ACTIONS(2113),
    [sym_integer_literal] = ACTIONS(2111),
    [sym_hex_literal] = ACTIONS(2113),
    [sym_oct_literal] = ACTIONS(2113),
    [sym_bin_literal] = ACTIONS(2113),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(2115),
    [anon_sym_switch] = ACTIONS(2117),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(2111),
    [anon_sym_GT] = ACTIONS(2111),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(2111),
    [anon_sym_POUNDfileID] = ACTIONS(2113),
    [anon_sym_POUNDfilePath] = ACTIONS(2113),
    [anon_sym_POUNDline] = ACTIONS(2113),
    [anon_sym_POUNDcolumn] = ACTIONS(2113),
    [anon_sym_POUNDfunction] = ACTIONS(2113),
    [anon_sym_POUNDdsohandle] = ACTIONS(2113),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_self] = ACTIONS(65),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(2113),
    [anon_sym_DASH_EQ] = ACTIONS(2113),
    [anon_sym_STAR_EQ] = ACTIONS(2113),
    [anon_sym_SLASH_EQ] = ACTIONS(2113),
    [anon_sym_PERCENT_EQ] = ACTIONS(2113),
    [anon_sym_BANG_EQ] = ACTIONS(2111),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2113),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2113),
    [anon_sym_LT_EQ] = ACTIONS(2113),
    [anon_sym_GT_EQ] = ACTIONS(2113),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(2111),
    [anon_sym_SLASH] = ACTIONS(2111),
    [anon_sym_PERCENT] = ACTIONS(2111),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(2113),
    [anon_sym_CARET] = ACTIONS(2111),
    [anon_sym_LT_LT] = ACTIONS(2113),
    [anon_sym_GT_GT] = ACTIONS(2113),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_borrowing] = ACTIONS(11),
    [anon_sym_consuming] = ACTIONS(11),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(2113),
    [sym__eq_eq_custom] = ACTIONS(2113),
    [sym__plus_then_ws] = ACTIONS(2113),
    [sym__minus_then_ws] = ACTIONS(2113),
    [sym__bang_custom] = ACTIONS(151),
    [sym__custom_operator] = ACTIONS(57),
  },
  [517] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1454),
    [sym_boolean_literal] = STATE(1454),
    [sym__string_literal] = STATE(1454),
    [sym_line_string_literal] = STATE(1454),
    [sym_multi_line_string_literal] = STATE(1454),
    [sym_raw_string_literal] = STATE(1454),
    [sym_regex_literal] = STATE(1454),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1454),
    [sym__unary_expression] = STATE(1454),
    [sym_postfix_expression] = STATE(1454),
    [sym_constructor_expression] = STATE(1454),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1454),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1454),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1454),
    [sym_prefix_expression] = STATE(1454),
    [sym_as_expression] = STATE(1454),
    [sym_selector_expression] = STATE(1454),
    [sym__binary_expression] = STATE(1454),
    [sym_multiplicative_expression] = STATE(1454),
    [sym_additive_expression] = STATE(1454),
    [sym_range_expression] = STATE(1454),
    [sym_infix_expression] = STATE(1454),
    [sym_nil_coalescing_expression] = STATE(1454),
    [sym_check_expression] = STATE(1454),
    [sym_comparison_expression] = STATE(1454),
    [sym_equality_expression] = STATE(1454),
    [sym_conjunction_expression] = STATE(1454),
    [sym_disjunction_expression] = STATE(1454),
    [sym_bitwise_operation] = STATE(1454),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1454),
    [sym_await_expression] = STATE(1454),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1454),
    [sym_call_expression] = STATE(1454),
    [sym__primary_expression] = STATE(1454),
    [sym_tuple_expression] = STATE(1454),
    [sym_array_literal] = STATE(1454),
    [sym_dictionary_literal] = STATE(1454),
    [sym__special_literal] = STATE(1454),
    [sym__playground_literal] = STATE(1454),
    [sym_lambda_literal] = STATE(1454),
    [sym_self_expression] = STATE(1454),
    [sym_super_expression] = STATE(1454),
    [sym_if_statement] = STATE(1454),
    [sym_switch_statement] = STATE(1454),
    [sym_key_path_expression] = STATE(1454),
    [sym_key_path_string_expression] = STATE(1454),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1454),
    [sym__equality_operator] = STATE(1454),
    [sym__comparison_operator] = STATE(1454),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1454),
    [sym__multiplicative_operator] = STATE(1454),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1454),
    [sym_value_parameter_pack] = STATE(1454),
    [sym_value_pack_expansion] = STATE(1454),
    [sym__referenceable_operator] = STATE(1454),
    [sym__equal_sign] = STATE(1454),
    [sym__eq_eq] = STATE(1454),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1219),
    [sym_real_literal] = ACTIONS(1221),
    [sym_integer_literal] = ACTIONS(1219),
    [sym_hex_literal] = ACTIONS(1221),
    [sym_oct_literal] = ACTIONS(1221),
    [sym_bin_literal] = ACTIONS(1221),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1219),
    [anon_sym_GT] = ACTIONS(1219),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1219),
    [anon_sym_POUNDfileID] = ACTIONS(1221),
    [anon_sym_POUNDfilePath] = ACTIONS(1221),
    [anon_sym_POUNDline] = ACTIONS(1221),
    [anon_sym_POUNDcolumn] = ACTIONS(1221),
    [anon_sym_POUNDfunction] = ACTIONS(1221),
    [anon_sym_POUNDdsohandle] = ACTIONS(1221),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1221),
    [anon_sym_DASH_EQ] = ACTIONS(1221),
    [anon_sym_STAR_EQ] = ACTIONS(1221),
    [anon_sym_SLASH_EQ] = ACTIONS(1221),
    [anon_sym_PERCENT_EQ] = ACTIONS(1221),
    [anon_sym_BANG_EQ] = ACTIONS(1219),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1221),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1221),
    [anon_sym_LT_EQ] = ACTIONS(1221),
    [anon_sym_GT_EQ] = ACTIONS(1221),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1219),
    [anon_sym_SLASH] = ACTIONS(1219),
    [anon_sym_PERCENT] = ACTIONS(1219),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1221),
    [anon_sym_CARET] = ACTIONS(1219),
    [anon_sym_LT_LT] = ACTIONS(1221),
    [anon_sym_GT_GT] = ACTIONS(1221),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1221),
    [sym__eq_eq_custom] = ACTIONS(1221),
    [sym__plus_then_ws] = ACTIONS(1221),
    [sym__minus_then_ws] = ACTIONS(1221),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [518] = {
    [sym_simple_identifier] = STATE(1141),
    [sym__contextual_simple_identifier] = STATE(1051),
    [sym__basic_literal] = STATE(661),
    [sym_boolean_literal] = STATE(661),
    [sym__string_literal] = STATE(661),
    [sym_line_string_literal] = STATE(661),
    [sym_multi_line_string_literal] = STATE(661),
    [sym_raw_string_literal] = STATE(661),
    [sym_regex_literal] = STATE(661),
    [sym__multiline_regex_literal] = STATE(1215),
    [sym_user_type] = STATE(5510),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5510),
    [sym_dictionary_type] = STATE(5510),
    [sym__expression] = STATE(661),
    [sym__unary_expression] = STATE(661),
    [sym_postfix_expression] = STATE(661),
    [sym_constructor_expression] = STATE(661),
    [sym__parenthesized_type] = STATE(6558),
    [sym_navigation_expression] = STATE(661),
    [sym__navigable_type_expression] = STATE(6557),
    [sym_open_start_range_expression] = STATE(661),
    [sym__range_operator] = STATE(523),
    [sym_open_end_range_expression] = STATE(661),
    [sym_prefix_expression] = STATE(661),
    [sym_as_expression] = STATE(661),
    [sym_selector_expression] = STATE(661),
    [sym__binary_expression] = STATE(661),
    [sym_multiplicative_expression] = STATE(661),
    [sym_additive_expression] = STATE(661),
    [sym_range_expression] = STATE(661),
    [sym_infix_expression] = STATE(661),
    [sym_nil_coalescing_expression] = STATE(661),
    [sym_check_expression] = STATE(661),
    [sym_comparison_expression] = STATE(661),
    [sym_equality_expression] = STATE(661),
    [sym_conjunction_expression] = STATE(661),
    [sym_disjunction_expression] = STATE(661),
    [sym_bitwise_operation] = STATE(661),
    [sym_custom_operator] = STATE(628),
    [sym_try_expression] = STATE(661),
    [sym_await_expression] = STATE(661),
    [sym__await_operator] = STATE(518),
    [sym_ternary_expression] = STATE(1219),
    [sym_call_expression] = STATE(1177),
    [sym__primary_expression] = STATE(661),
    [sym_tuple_expression] = STATE(661),
    [sym_array_literal] = STATE(661),
    [sym_dictionary_literal] = STATE(661),
    [sym__special_literal] = STATE(661),
    [sym__playground_literal] = STATE(661),
    [sym_lambda_literal] = STATE(661),
    [sym_self_expression] = STATE(661),
    [sym_super_expression] = STATE(661),
    [sym_if_statement] = STATE(661),
    [sym_switch_statement] = STATE(661),
    [sym_key_path_expression] = STATE(661),
    [sym_key_path_string_expression] = STATE(661),
    [sym_try_operator] = STATE(515),
    [sym__assignment_and_operator] = STATE(661),
    [sym__equality_operator] = STATE(661),
    [sym__comparison_operator] = STATE(661),
    [sym__three_dot_operator] = STATE(625),
    [sym__open_ended_range_operator] = STATE(523),
    [sym__additive_operator] = STATE(661),
    [sym__multiplicative_operator] = STATE(661),
    [sym__prefix_unary_operator] = STATE(509),
    [sym_directly_assignable_expression] = STATE(5511),
    [sym_assignment] = STATE(661),
    [sym_value_parameter_pack] = STATE(661),
    [sym_value_pack_expansion] = STATE(661),
    [sym__referenceable_operator] = STATE(661),
    [sym__equal_sign] = STATE(661),
    [sym__eq_eq] = STATE(661),
    [sym__dot] = STATE(509),
    [sym_bang] = STATE(628),
    [sym__parameter_ownership_modifier] = STATE(1051),
    [aux_sym_raw_string_literal_repeat1] = STATE(6487),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(291),
    [aux_sym_simple_identifier_token2] = ACTIONS(293),
    [aux_sym_simple_identifier_token3] = ACTIONS(293),
    [aux_sym_simple_identifier_token4] = ACTIONS(293),
    [anon_sym_actor] = ACTIONS(291),
    [anon_sym_async] = ACTIONS(291),
    [anon_sym_each] = ACTIONS(299),
    [anon_sym_lazy] = ACTIONS(291),
    [anon_sym_repeat] = ACTIONS(747),
    [anon_sym_package] = ACTIONS(291),
    [anon_sym_nil] = ACTIONS(2119),
    [sym_real_literal] = ACTIONS(2121),
    [sym_integer_literal] = ACTIONS(2119),
    [sym_hex_literal] = ACTIONS(2121),
    [sym_oct_literal] = ACTIONS(2121),
    [sym_bin_literal] = ACTIONS(2121),
    [anon_sym_true] = ACTIONS(309),
    [anon_sym_false] = ACTIONS(309),
    [anon_sym_DQUOTE] = ACTIONS(311),
    [anon_sym_BSLASH] = ACTIONS(313),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(315),
    [sym__extended_regex_literal] = ACTIONS(317),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(319),
    [sym__oneline_regex_literal] = ACTIONS(321),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_LBRACK] = ACTIONS(325),
    [anon_sym_AMP] = ACTIONS(327),
    [anon_sym_if] = ACTIONS(329),
    [anon_sym_switch] = ACTIONS(331),
    [anon_sym_POUNDselector] = ACTIONS(333),
    [aux_sym_custom_operator_token1] = ACTIONS(335),
    [anon_sym_LT] = ACTIONS(2119),
    [anon_sym_GT] = ACTIONS(2119),
    [anon_sym_await] = ACTIONS(337),
    [anon_sym_POUNDfile] = ACTIONS(2119),
    [anon_sym_POUNDfileID] = ACTIONS(2121),
    [anon_sym_POUNDfilePath] = ACTIONS(2121),
    [anon_sym_POUNDline] = ACTIONS(2121),
    [anon_sym_POUNDcolumn] = ACTIONS(2121),
    [anon_sym_POUNDfunction] = ACTIONS(2121),
    [anon_sym_POUNDdsohandle] = ACTIONS(2121),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(339),
    [anon_sym_POUNDfileLiteral] = ACTIONS(339),
    [anon_sym_POUNDimageLiteral] = ACTIONS(339),
    [anon_sym_LBRACE] = ACTIONS(341),
    [anon_sym_CARET_LBRACE] = ACTIONS(341),
    [anon_sym_self] = ACTIONS(345),
    [anon_sym_super] = ACTIONS(347),
    [anon_sym_POUNDkeyPath] = ACTIONS(353),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(2121),
    [anon_sym_DASH_EQ] = ACTIONS(2121),
    [anon_sym_STAR_EQ] = ACTIONS(2121),
    [anon_sym_SLASH_EQ] = ACTIONS(2121),
    [anon_sym_PERCENT_EQ] = ACTIONS(2121),
    [anon_sym_BANG_EQ] = ACTIONS(2119),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2121),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2121),
    [anon_sym_LT_EQ] = ACTIONS(2121),
    [anon_sym_GT_EQ] = ACTIONS(2121),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(355),
    [anon_sym_DOT_DOT_LT] = ACTIONS(357),
    [anon_sym_PLUS] = ACTIONS(359),
    [anon_sym_DASH] = ACTIONS(359),
    [anon_sym_STAR] = ACTIONS(2119),
    [anon_sym_SLASH] = ACTIONS(2119),
    [anon_sym_PERCENT] = ACTIONS(2119),
    [anon_sym_PLUS_PLUS] = ACTIONS(327),
    [anon_sym_DASH_DASH] = ACTIONS(327),
    [anon_sym_TILDE] = ACTIONS(327),
    [anon_sym_PIPE] = ACTIONS(2121),
    [anon_sym_CARET] = ACTIONS(2119),
    [anon_sym_LT_LT] = ACTIONS(2121),
    [anon_sym_GT_GT] = ACTIONS(2121),
    [anon_sym_BANG2] = ACTIONS(381),
    [anon_sym_borrowing] = ACTIONS(291),
    [anon_sym_consuming] = ACTIONS(291),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(383),
    [sym__dot_custom] = ACTIONS(385),
    [sym__eq_custom] = ACTIONS(2121),
    [sym__eq_eq_custom] = ACTIONS(2121),
    [sym__plus_then_ws] = ACTIONS(2121),
    [sym__minus_then_ws] = ACTIONS(2121),
    [sym__bang_custom] = ACTIONS(387),
    [sym__custom_operator] = ACTIONS(335),
  },
  [519] = {
    [sym_simple_identifier] = STATE(2315),
    [sym__contextual_simple_identifier] = STATE(2218),
    [sym__basic_literal] = STATE(1300),
    [sym_boolean_literal] = STATE(1300),
    [sym__string_literal] = STATE(1300),
    [sym_line_string_literal] = STATE(1300),
    [sym_multi_line_string_literal] = STATE(1300),
    [sym_raw_string_literal] = STATE(1300),
    [sym_regex_literal] = STATE(1300),
    [sym__multiline_regex_literal] = STATE(2574),
    [sym_user_type] = STATE(5528),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5528),
    [sym_dictionary_type] = STATE(5528),
    [sym__expression] = STATE(1300),
    [sym__unary_expression] = STATE(1300),
    [sym_postfix_expression] = STATE(1300),
    [sym_constructor_expression] = STATE(1300),
    [sym__parenthesized_type] = STATE(6484),
    [sym_navigation_expression] = STATE(1300),
    [sym__navigable_type_expression] = STATE(6485),
    [sym_open_start_range_expression] = STATE(1300),
    [sym__range_operator] = STATE(483),
    [sym_open_end_range_expression] = STATE(1300),
    [sym_prefix_expression] = STATE(1300),
    [sym_as_expression] = STATE(1300),
    [sym_selector_expression] = STATE(1300),
    [sym__binary_expression] = STATE(1300),
    [sym_multiplicative_expression] = STATE(1300),
    [sym_additive_expression] = STATE(1300),
    [sym_range_expression] = STATE(1300),
    [sym_infix_expression] = STATE(1300),
    [sym_nil_coalescing_expression] = STATE(1300),
    [sym_check_expression] = STATE(1300),
    [sym_comparison_expression] = STATE(1300),
    [sym_equality_expression] = STATE(1300),
    [sym_conjunction_expression] = STATE(1300),
    [sym_disjunction_expression] = STATE(1300),
    [sym_bitwise_operation] = STATE(1300),
    [sym_custom_operator] = STATE(865),
    [sym_try_expression] = STATE(1300),
    [sym_await_expression] = STATE(1300),
    [sym__await_operator] = STATE(485),
    [sym_ternary_expression] = STATE(1300),
    [sym_call_expression] = STATE(1300),
    [sym__primary_expression] = STATE(1300),
    [sym_tuple_expression] = STATE(1300),
    [sym_array_literal] = STATE(1300),
    [sym_dictionary_literal] = STATE(1300),
    [sym__special_literal] = STATE(1300),
    [sym__playground_literal] = STATE(1300),
    [sym_lambda_literal] = STATE(1300),
    [sym_self_expression] = STATE(1300),
    [sym_super_expression] = STATE(1300),
    [sym_if_statement] = STATE(1300),
    [sym_switch_statement] = STATE(1300),
    [sym_key_path_expression] = STATE(1300),
    [sym_key_path_string_expression] = STATE(1300),
    [sym_try_operator] = STATE(491),
    [sym__assignment_and_operator] = STATE(1300),
    [sym__equality_operator] = STATE(1300),
    [sym__comparison_operator] = STATE(1300),
    [sym__three_dot_operator] = STATE(859),
    [sym__open_ended_range_operator] = STATE(483),
    [sym__additive_operator] = STATE(1300),
    [sym__multiplicative_operator] = STATE(1300),
    [sym__prefix_unary_operator] = STATE(497),
    [sym_directly_assignable_expression] = STATE(5531),
    [sym_assignment] = STATE(1300),
    [sym_value_parameter_pack] = STATE(1300),
    [sym_value_pack_expansion] = STATE(1300),
    [sym__referenceable_operator] = STATE(1300),
    [sym__equal_sign] = STATE(1300),
    [sym__eq_eq] = STATE(1300),
    [sym__dot] = STATE(497),
    [sym_bang] = STATE(865),
    [sym__parameter_ownership_modifier] = STATE(2218),
    [aux_sym_raw_string_literal_repeat1] = STATE(6575),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(1227),
    [aux_sym_simple_identifier_token2] = ACTIONS(1229),
    [aux_sym_simple_identifier_token3] = ACTIONS(1229),
    [aux_sym_simple_identifier_token4] = ACTIONS(1229),
    [anon_sym_actor] = ACTIONS(1227),
    [anon_sym_async] = ACTIONS(1227),
    [anon_sym_each] = ACTIONS(1231),
    [anon_sym_lazy] = ACTIONS(1227),
    [anon_sym_repeat] = ACTIONS(1233),
    [anon_sym_package] = ACTIONS(1227),
    [anon_sym_nil] = ACTIONS(2123),
    [sym_real_literal] = ACTIONS(2125),
    [sym_integer_literal] = ACTIONS(2123),
    [sym_hex_literal] = ACTIONS(2125),
    [sym_oct_literal] = ACTIONS(2125),
    [sym_bin_literal] = ACTIONS(2125),
    [anon_sym_true] = ACTIONS(1239),
    [anon_sym_false] = ACTIONS(1239),
    [anon_sym_DQUOTE] = ACTIONS(1241),
    [anon_sym_BSLASH] = ACTIONS(1243),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1245),
    [sym__extended_regex_literal] = ACTIONS(1247),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(1249),
    [sym__oneline_regex_literal] = ACTIONS(1251),
    [anon_sym_LPAREN] = ACTIONS(1253),
    [anon_sym_LBRACK] = ACTIONS(1255),
    [anon_sym_AMP] = ACTIONS(1257),
    [anon_sym_if] = ACTIONS(1259),
    [anon_sym_switch] = ACTIONS(1261),
    [anon_sym_POUNDselector] = ACTIONS(1263),
    [aux_sym_custom_operator_token1] = ACTIONS(1265),
    [anon_sym_LT] = ACTIONS(2123),
    [anon_sym_GT] = ACTIONS(2123),
    [anon_sym_await] = ACTIONS(1267),
    [anon_sym_POUNDfile] = ACTIONS(2123),
    [anon_sym_POUNDfileID] = ACTIONS(2125),
    [anon_sym_POUNDfilePath] = ACTIONS(2125),
    [anon_sym_POUNDline] = ACTIONS(2125),
    [anon_sym_POUNDcolumn] = ACTIONS(2125),
    [anon_sym_POUNDfunction] = ACTIONS(2125),
    [anon_sym_POUNDdsohandle] = ACTIONS(2125),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(1269),
    [anon_sym_POUNDfileLiteral] = ACTIONS(1269),
    [anon_sym_POUNDimageLiteral] = ACTIONS(1269),
    [anon_sym_LBRACE] = ACTIONS(1271),
    [anon_sym_CARET_LBRACE] = ACTIONS(1271),
    [anon_sym_self] = ACTIONS(1273),
    [anon_sym_super] = ACTIONS(1275),
    [anon_sym_POUNDkeyPath] = ACTIONS(1277),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(2125),
    [anon_sym_DASH_EQ] = ACTIONS(2125),
    [anon_sym_STAR_EQ] = ACTIONS(2125),
    [anon_sym_SLASH_EQ] = ACTIONS(2125),
    [anon_sym_PERCENT_EQ] = ACTIONS(2125),
    [anon_sym_BANG_EQ] = ACTIONS(2123),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2125),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2125),
    [anon_sym_LT_EQ] = ACTIONS(2125),
    [anon_sym_GT_EQ] = ACTIONS(2125),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1279),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1281),
    [anon_sym_PLUS] = ACTIONS(1283),
    [anon_sym_DASH] = ACTIONS(1283),
    [anon_sym_STAR] = ACTIONS(2123),
    [anon_sym_SLASH] = ACTIONS(2123),
    [anon_sym_PERCENT] = ACTIONS(2123),
    [anon_sym_PLUS_PLUS] = ACTIONS(1257),
    [anon_sym_DASH_DASH] = ACTIONS(1257),
    [anon_sym_TILDE] = ACTIONS(1257),
    [anon_sym_PIPE] = ACTIONS(2125),
    [anon_sym_CARET] = ACTIONS(2123),
    [anon_sym_LT_LT] = ACTIONS(2125),
    [anon_sym_GT_GT] = ACTIONS(2125),
    [anon_sym_BANG2] = ACTIONS(1285),
    [anon_sym_borrowing] = ACTIONS(1227),
    [anon_sym_consuming] = ACTIONS(1227),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(1287),
    [sym__dot_custom] = ACTIONS(1289),
    [sym__eq_custom] = ACTIONS(2125),
    [sym__eq_eq_custom] = ACTIONS(2125),
    [sym__plus_then_ws] = ACTIONS(2125),
    [sym__minus_then_ws] = ACTIONS(2125),
    [sym__bang_custom] = ACTIONS(1291),
    [sym__custom_operator] = ACTIONS(1265),
  },
  [520] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1439),
    [sym_boolean_literal] = STATE(1439),
    [sym__string_literal] = STATE(1439),
    [sym_line_string_literal] = STATE(1439),
    [sym_multi_line_string_literal] = STATE(1439),
    [sym_raw_string_literal] = STATE(1439),
    [sym_regex_literal] = STATE(1439),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1439),
    [sym__unary_expression] = STATE(1439),
    [sym_postfix_expression] = STATE(1439),
    [sym_constructor_expression] = STATE(1439),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1439),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1439),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1439),
    [sym_prefix_expression] = STATE(1439),
    [sym_as_expression] = STATE(1439),
    [sym_selector_expression] = STATE(1439),
    [sym__binary_expression] = STATE(1439),
    [sym_multiplicative_expression] = STATE(1439),
    [sym_additive_expression] = STATE(1439),
    [sym_range_expression] = STATE(1439),
    [sym_infix_expression] = STATE(1439),
    [sym_nil_coalescing_expression] = STATE(1439),
    [sym_check_expression] = STATE(1439),
    [sym_comparison_expression] = STATE(1439),
    [sym_equality_expression] = STATE(1439),
    [sym_conjunction_expression] = STATE(1439),
    [sym_disjunction_expression] = STATE(1439),
    [sym_bitwise_operation] = STATE(1439),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1439),
    [sym_await_expression] = STATE(1439),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1439),
    [sym_call_expression] = STATE(1439),
    [sym__primary_expression] = STATE(1439),
    [sym_tuple_expression] = STATE(1439),
    [sym_array_literal] = STATE(1439),
    [sym_dictionary_literal] = STATE(1439),
    [sym__special_literal] = STATE(1439),
    [sym__playground_literal] = STATE(1439),
    [sym_lambda_literal] = STATE(1439),
    [sym_self_expression] = STATE(1439),
    [sym_super_expression] = STATE(1439),
    [sym_if_statement] = STATE(1439),
    [sym_switch_statement] = STATE(1439),
    [sym_key_path_expression] = STATE(1439),
    [sym_key_path_string_expression] = STATE(1439),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1439),
    [sym__equality_operator] = STATE(1439),
    [sym__comparison_operator] = STATE(1439),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1439),
    [sym__multiplicative_operator] = STATE(1439),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1439),
    [sym_value_parameter_pack] = STATE(1439),
    [sym_value_pack_expansion] = STATE(1439),
    [sym__referenceable_operator] = STATE(1439),
    [sym__equal_sign] = STATE(1439),
    [sym__eq_eq] = STATE(1439),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(2127),
    [sym_real_literal] = ACTIONS(2129),
    [sym_integer_literal] = ACTIONS(2127),
    [sym_hex_literal] = ACTIONS(2129),
    [sym_oct_literal] = ACTIONS(2129),
    [sym_bin_literal] = ACTIONS(2129),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(2127),
    [anon_sym_GT] = ACTIONS(2127),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(2127),
    [anon_sym_POUNDfileID] = ACTIONS(2129),
    [anon_sym_POUNDfilePath] = ACTIONS(2129),
    [anon_sym_POUNDline] = ACTIONS(2129),
    [anon_sym_POUNDcolumn] = ACTIONS(2129),
    [anon_sym_POUNDfunction] = ACTIONS(2129),
    [anon_sym_POUNDdsohandle] = ACTIONS(2129),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(2129),
    [anon_sym_DASH_EQ] = ACTIONS(2129),
    [anon_sym_STAR_EQ] = ACTIONS(2129),
    [anon_sym_SLASH_EQ] = ACTIONS(2129),
    [anon_sym_PERCENT_EQ] = ACTIONS(2129),
    [anon_sym_BANG_EQ] = ACTIONS(2127),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2129),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2129),
    [anon_sym_LT_EQ] = ACTIONS(2129),
    [anon_sym_GT_EQ] = ACTIONS(2129),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(2127),
    [anon_sym_SLASH] = ACTIONS(2127),
    [anon_sym_PERCENT] = ACTIONS(2127),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(2129),
    [anon_sym_CARET] = ACTIONS(2127),
    [anon_sym_LT_LT] = ACTIONS(2129),
    [anon_sym_GT_GT] = ACTIONS(2129),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(2129),
    [sym__eq_eq_custom] = ACTIONS(2129),
    [sym__plus_then_ws] = ACTIONS(2129),
    [sym__minus_then_ws] = ACTIONS(2129),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [521] = {
    [sym_simple_identifier] = STATE(2498),
    [sym__contextual_simple_identifier] = STATE(2439),
    [sym__basic_literal] = STATE(1324),
    [sym_boolean_literal] = STATE(1324),
    [sym__string_literal] = STATE(1324),
    [sym_line_string_literal] = STATE(1324),
    [sym_multi_line_string_literal] = STATE(1324),
    [sym_raw_string_literal] = STATE(1324),
    [sym_regex_literal] = STATE(1324),
    [sym__multiline_regex_literal] = STATE(2683),
    [sym_user_type] = STATE(5473),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5473),
    [sym_dictionary_type] = STATE(5473),
    [sym__expression] = STATE(1324),
    [sym__unary_expression] = STATE(1324),
    [sym_postfix_expression] = STATE(1324),
    [sym_constructor_expression] = STATE(1324),
    [sym__parenthesized_type] = STATE(6860),
    [sym_navigation_expression] = STATE(1324),
    [sym__navigable_type_expression] = STATE(6859),
    [sym_open_start_range_expression] = STATE(1324),
    [sym__range_operator] = STATE(601),
    [sym_open_end_range_expression] = STATE(1324),
    [sym_prefix_expression] = STATE(1324),
    [sym_as_expression] = STATE(1324),
    [sym_selector_expression] = STATE(1324),
    [sym__binary_expression] = STATE(1324),
    [sym_multiplicative_expression] = STATE(1324),
    [sym_additive_expression] = STATE(1324),
    [sym_range_expression] = STATE(1324),
    [sym_infix_expression] = STATE(1324),
    [sym_nil_coalescing_expression] = STATE(1324),
    [sym_check_expression] = STATE(1324),
    [sym_comparison_expression] = STATE(1324),
    [sym_equality_expression] = STATE(1324),
    [sym_conjunction_expression] = STATE(1324),
    [sym_disjunction_expression] = STATE(1324),
    [sym_bitwise_operation] = STATE(1324),
    [sym_custom_operator] = STATE(885),
    [sym_try_expression] = STATE(1324),
    [sym_await_expression] = STATE(1324),
    [sym__await_operator] = STATE(603),
    [sym_ternary_expression] = STATE(1324),
    [sym_call_expression] = STATE(1324),
    [sym__primary_expression] = STATE(1324),
    [sym_tuple_expression] = STATE(1324),
    [sym_array_literal] = STATE(1324),
    [sym_dictionary_literal] = STATE(1324),
    [sym__special_literal] = STATE(1324),
    [sym__playground_literal] = STATE(1324),
    [sym_lambda_literal] = STATE(1324),
    [sym_self_expression] = STATE(1324),
    [sym_super_expression] = STATE(1324),
    [sym_if_statement] = STATE(1324),
    [sym_switch_statement] = STATE(1324),
    [sym_key_path_expression] = STATE(1324),
    [sym_key_path_string_expression] = STATE(1324),
    [sym_try_operator] = STATE(598),
    [sym__assignment_and_operator] = STATE(1324),
    [sym__equality_operator] = STATE(1324),
    [sym__comparison_operator] = STATE(1324),
    [sym__three_dot_operator] = STATE(877),
    [sym__open_ended_range_operator] = STATE(601),
    [sym__additive_operator] = STATE(1324),
    [sym__multiplicative_operator] = STATE(1324),
    [sym__prefix_unary_operator] = STATE(593),
    [sym_directly_assignable_expression] = STATE(5475),
    [sym_assignment] = STATE(1324),
    [sym_value_parameter_pack] = STATE(1324),
    [sym_value_pack_expansion] = STATE(1324),
    [sym__referenceable_operator] = STATE(1324),
    [sym__equal_sign] = STATE(1324),
    [sym__eq_eq] = STATE(1324),
    [sym__dot] = STATE(593),
    [sym_bang] = STATE(885),
    [sym__parameter_ownership_modifier] = STATE(2439),
    [aux_sym_raw_string_literal_repeat1] = STATE(6858),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(1309),
    [aux_sym_simple_identifier_token2] = ACTIONS(1311),
    [aux_sym_simple_identifier_token3] = ACTIONS(1311),
    [aux_sym_simple_identifier_token4] = ACTIONS(1311),
    [anon_sym_actor] = ACTIONS(1309),
    [anon_sym_async] = ACTIONS(1309),
    [anon_sym_each] = ACTIONS(1313),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_repeat] = ACTIONS(1315),
    [anon_sym_package] = ACTIONS(1309),
    [anon_sym_nil] = ACTIONS(2131),
    [sym_real_literal] = ACTIONS(2133),
    [sym_integer_literal] = ACTIONS(2131),
    [sym_hex_literal] = ACTIONS(2133),
    [sym_oct_literal] = ACTIONS(2133),
    [sym_bin_literal] = ACTIONS(2133),
    [anon_sym_true] = ACTIONS(1321),
    [anon_sym_false] = ACTIONS(1321),
    [anon_sym_DQUOTE] = ACTIONS(1323),
    [anon_sym_BSLASH] = ACTIONS(1325),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1327),
    [sym__extended_regex_literal] = ACTIONS(1329),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(1331),
    [sym__oneline_regex_literal] = ACTIONS(1333),
    [anon_sym_LPAREN] = ACTIONS(1335),
    [anon_sym_LBRACK] = ACTIONS(1337),
    [anon_sym_AMP] = ACTIONS(1339),
    [anon_sym_if] = ACTIONS(1341),
    [anon_sym_switch] = ACTIONS(1343),
    [anon_sym_POUNDselector] = ACTIONS(1345),
    [aux_sym_custom_operator_token1] = ACTIONS(1347),
    [anon_sym_LT] = ACTIONS(2131),
    [anon_sym_GT] = ACTIONS(2131),
    [anon_sym_await] = ACTIONS(1349),
    [anon_sym_POUNDfile] = ACTIONS(2131),
    [anon_sym_POUNDfileID] = ACTIONS(2133),
    [anon_sym_POUNDfilePath] = ACTIONS(2133),
    [anon_sym_POUNDline] = ACTIONS(2133),
    [anon_sym_POUNDcolumn] = ACTIONS(2133),
    [anon_sym_POUNDfunction] = ACTIONS(2133),
    [anon_sym_POUNDdsohandle] = ACTIONS(2133),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(1351),
    [anon_sym_POUNDfileLiteral] = ACTIONS(1351),
    [anon_sym_POUNDimageLiteral] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_CARET_LBRACE] = ACTIONS(1353),
    [anon_sym_self] = ACTIONS(1355),
    [anon_sym_super] = ACTIONS(1357),
    [anon_sym_POUNDkeyPath] = ACTIONS(1359),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(2133),
    [anon_sym_DASH_EQ] = ACTIONS(2133),
    [anon_sym_STAR_EQ] = ACTIONS(2133),
    [anon_sym_SLASH_EQ] = ACTIONS(2133),
    [anon_sym_PERCENT_EQ] = ACTIONS(2133),
    [anon_sym_BANG_EQ] = ACTIONS(2131),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2133),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2133),
    [anon_sym_LT_EQ] = ACTIONS(2133),
    [anon_sym_GT_EQ] = ACTIONS(2133),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1361),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1363),
    [anon_sym_PLUS] = ACTIONS(1365),
    [anon_sym_DASH] = ACTIONS(1365),
    [anon_sym_STAR] = ACTIONS(2131),
    [anon_sym_SLASH] = ACTIONS(2131),
    [anon_sym_PERCENT] = ACTIONS(2131),
    [anon_sym_PLUS_PLUS] = ACTIONS(1339),
    [anon_sym_DASH_DASH] = ACTIONS(1339),
    [anon_sym_TILDE] = ACTIONS(1339),
    [anon_sym_PIPE] = ACTIONS(2133),
    [anon_sym_CARET] = ACTIONS(2131),
    [anon_sym_LT_LT] = ACTIONS(2133),
    [anon_sym_GT_GT] = ACTIONS(2133),
    [anon_sym_BANG2] = ACTIONS(1367),
    [anon_sym_borrowing] = ACTIONS(1309),
    [anon_sym_consuming] = ACTIONS(1309),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(1369),
    [sym__dot_custom] = ACTIONS(1371),
    [sym__eq_custom] = ACTIONS(2133),
    [sym__eq_eq_custom] = ACTIONS(2133),
    [sym__plus_then_ws] = ACTIONS(2133),
    [sym__minus_then_ws] = ACTIONS(2133),
    [sym__bang_custom] = ACTIONS(1373),
    [sym__custom_operator] = ACTIONS(1347),
  },
  [522] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1366),
    [sym_boolean_literal] = STATE(1366),
    [sym__string_literal] = STATE(1366),
    [sym_line_string_literal] = STATE(1366),
    [sym_multi_line_string_literal] = STATE(1366),
    [sym_raw_string_literal] = STATE(1366),
    [sym_regex_literal] = STATE(1366),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1366),
    [sym__unary_expression] = STATE(1366),
    [sym_postfix_expression] = STATE(1366),
    [sym_constructor_expression] = STATE(1366),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1366),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1366),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1366),
    [sym_prefix_expression] = STATE(1366),
    [sym_as_expression] = STATE(1366),
    [sym_selector_expression] = STATE(1366),
    [sym__binary_expression] = STATE(1366),
    [sym_multiplicative_expression] = STATE(1366),
    [sym_additive_expression] = STATE(1366),
    [sym_range_expression] = STATE(1366),
    [sym_infix_expression] = STATE(1366),
    [sym_nil_coalescing_expression] = STATE(1366),
    [sym_check_expression] = STATE(1366),
    [sym_comparison_expression] = STATE(1366),
    [sym_equality_expression] = STATE(1366),
    [sym_conjunction_expression] = STATE(1366),
    [sym_disjunction_expression] = STATE(1366),
    [sym_bitwise_operation] = STATE(1366),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1366),
    [sym_await_expression] = STATE(1366),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1366),
    [sym_call_expression] = STATE(1366),
    [sym__primary_expression] = STATE(1366),
    [sym_tuple_expression] = STATE(1366),
    [sym_array_literal] = STATE(1366),
    [sym_dictionary_literal] = STATE(1366),
    [sym__special_literal] = STATE(1366),
    [sym__playground_literal] = STATE(1366),
    [sym_lambda_literal] = STATE(1366),
    [sym_self_expression] = STATE(1366),
    [sym_super_expression] = STATE(1366),
    [sym_if_statement] = STATE(1366),
    [sym_switch_statement] = STATE(1366),
    [sym_key_path_expression] = STATE(1366),
    [sym_key_path_string_expression] = STATE(1366),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1366),
    [sym__equality_operator] = STATE(1366),
    [sym__comparison_operator] = STATE(1366),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1366),
    [sym__multiplicative_operator] = STATE(1366),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1366),
    [sym_value_parameter_pack] = STATE(1366),
    [sym_value_pack_expansion] = STATE(1366),
    [sym__referenceable_operator] = STATE(1366),
    [sym__equal_sign] = STATE(1366),
    [sym__eq_eq] = STATE(1366),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(2135),
    [sym_real_literal] = ACTIONS(2137),
    [sym_integer_literal] = ACTIONS(2135),
    [sym_hex_literal] = ACTIONS(2137),
    [sym_oct_literal] = ACTIONS(2137),
    [sym_bin_literal] = ACTIONS(2137),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(2135),
    [anon_sym_GT] = ACTIONS(2135),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(2135),
    [anon_sym_POUNDfileID] = ACTIONS(2137),
    [anon_sym_POUNDfilePath] = ACTIONS(2137),
    [anon_sym_POUNDline] = ACTIONS(2137),
    [anon_sym_POUNDcolumn] = ACTIONS(2137),
    [anon_sym_POUNDfunction] = ACTIONS(2137),
    [anon_sym_POUNDdsohandle] = ACTIONS(2137),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(2137),
    [anon_sym_DASH_EQ] = ACTIONS(2137),
    [anon_sym_STAR_EQ] = ACTIONS(2137),
    [anon_sym_SLASH_EQ] = ACTIONS(2137),
    [anon_sym_PERCENT_EQ] = ACTIONS(2137),
    [anon_sym_BANG_EQ] = ACTIONS(2135),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2137),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2137),
    [anon_sym_LT_EQ] = ACTIONS(2137),
    [anon_sym_GT_EQ] = ACTIONS(2137),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(2135),
    [anon_sym_SLASH] = ACTIONS(2135),
    [anon_sym_PERCENT] = ACTIONS(2135),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(2137),
    [anon_sym_CARET] = ACTIONS(2135),
    [anon_sym_LT_LT] = ACTIONS(2137),
    [anon_sym_GT_GT] = ACTIONS(2137),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(2137),
    [sym__eq_eq_custom] = ACTIONS(2137),
    [sym__plus_then_ws] = ACTIONS(2137),
    [sym__minus_then_ws] = ACTIONS(2137),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [523] = {
    [sym_simple_identifier] = STATE(1141),
    [sym__contextual_simple_identifier] = STATE(1051),
    [sym__basic_literal] = STATE(663),
    [sym_boolean_literal] = STATE(663),
    [sym__string_literal] = STATE(663),
    [sym_line_string_literal] = STATE(663),
    [sym_multi_line_string_literal] = STATE(663),
    [sym_raw_string_literal] = STATE(663),
    [sym_regex_literal] = STATE(663),
    [sym__multiline_regex_literal] = STATE(1215),
    [sym_user_type] = STATE(5510),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5510),
    [sym_dictionary_type] = STATE(5510),
    [sym__expression] = STATE(663),
    [sym__unary_expression] = STATE(663),
    [sym_postfix_expression] = STATE(663),
    [sym_constructor_expression] = STATE(663),
    [sym__parenthesized_type] = STATE(6558),
    [sym_navigation_expression] = STATE(663),
    [sym__navigable_type_expression] = STATE(6557),
    [sym_open_start_range_expression] = STATE(663),
    [sym__range_operator] = STATE(523),
    [sym_open_end_range_expression] = STATE(663),
    [sym_prefix_expression] = STATE(663),
    [sym_as_expression] = STATE(663),
    [sym_selector_expression] = STATE(663),
    [sym__binary_expression] = STATE(663),
    [sym_multiplicative_expression] = STATE(663),
    [sym_additive_expression] = STATE(663),
    [sym_range_expression] = STATE(663),
    [sym_infix_expression] = STATE(663),
    [sym_nil_coalescing_expression] = STATE(663),
    [sym_check_expression] = STATE(663),
    [sym_comparison_expression] = STATE(663),
    [sym_equality_expression] = STATE(663),
    [sym_conjunction_expression] = STATE(663),
    [sym_disjunction_expression] = STATE(663),
    [sym_bitwise_operation] = STATE(663),
    [sym_custom_operator] = STATE(628),
    [sym_try_expression] = STATE(663),
    [sym_await_expression] = STATE(663),
    [sym__await_operator] = STATE(518),
    [sym_ternary_expression] = STATE(663),
    [sym_call_expression] = STATE(663),
    [sym__primary_expression] = STATE(663),
    [sym_tuple_expression] = STATE(663),
    [sym_array_literal] = STATE(663),
    [sym_dictionary_literal] = STATE(663),
    [sym__special_literal] = STATE(663),
    [sym__playground_literal] = STATE(663),
    [sym_lambda_literal] = STATE(663),
    [sym_self_expression] = STATE(663),
    [sym_super_expression] = STATE(663),
    [sym_if_statement] = STATE(663),
    [sym_switch_statement] = STATE(663),
    [sym_key_path_expression] = STATE(663),
    [sym_key_path_string_expression] = STATE(663),
    [sym_try_operator] = STATE(515),
    [sym__assignment_and_operator] = STATE(663),
    [sym__equality_operator] = STATE(663),
    [sym__comparison_operator] = STATE(663),
    [sym__three_dot_operator] = STATE(625),
    [sym__open_ended_range_operator] = STATE(523),
    [sym__additive_operator] = STATE(663),
    [sym__multiplicative_operator] = STATE(663),
    [sym__prefix_unary_operator] = STATE(509),
    [sym_directly_assignable_expression] = STATE(5511),
    [sym_assignment] = STATE(663),
    [sym_value_parameter_pack] = STATE(663),
    [sym_value_pack_expansion] = STATE(663),
    [sym__referenceable_operator] = STATE(663),
    [sym__equal_sign] = STATE(663),
    [sym__eq_eq] = STATE(663),
    [sym__dot] = STATE(509),
    [sym_bang] = STATE(628),
    [sym__parameter_ownership_modifier] = STATE(1051),
    [aux_sym_raw_string_literal_repeat1] = STATE(6487),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(291),
    [aux_sym_simple_identifier_token2] = ACTIONS(293),
    [aux_sym_simple_identifier_token3] = ACTIONS(293),
    [aux_sym_simple_identifier_token4] = ACTIONS(293),
    [anon_sym_actor] = ACTIONS(291),
    [anon_sym_async] = ACTIONS(291),
    [anon_sym_each] = ACTIONS(299),
    [anon_sym_lazy] = ACTIONS(291),
    [anon_sym_repeat] = ACTIONS(747),
    [anon_sym_package] = ACTIONS(291),
    [anon_sym_nil] = ACTIONS(2139),
    [sym_real_literal] = ACTIONS(2141),
    [sym_integer_literal] = ACTIONS(2139),
    [sym_hex_literal] = ACTIONS(2141),
    [sym_oct_literal] = ACTIONS(2141),
    [sym_bin_literal] = ACTIONS(2141),
    [anon_sym_true] = ACTIONS(309),
    [anon_sym_false] = ACTIONS(309),
    [anon_sym_DQUOTE] = ACTIONS(311),
    [anon_sym_BSLASH] = ACTIONS(313),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(315),
    [sym__extended_regex_literal] = ACTIONS(317),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(319),
    [sym__oneline_regex_literal] = ACTIONS(321),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_LBRACK] = ACTIONS(325),
    [anon_sym_AMP] = ACTIONS(327),
    [anon_sym_if] = ACTIONS(329),
    [anon_sym_switch] = ACTIONS(331),
    [anon_sym_POUNDselector] = ACTIONS(333),
    [aux_sym_custom_operator_token1] = ACTIONS(335),
    [anon_sym_LT] = ACTIONS(2139),
    [anon_sym_GT] = ACTIONS(2139),
    [anon_sym_await] = ACTIONS(337),
    [anon_sym_POUNDfile] = ACTIONS(2139),
    [anon_sym_POUNDfileID] = ACTIONS(2141),
    [anon_sym_POUNDfilePath] = ACTIONS(2141),
    [anon_sym_POUNDline] = ACTIONS(2141),
    [anon_sym_POUNDcolumn] = ACTIONS(2141),
    [anon_sym_POUNDfunction] = ACTIONS(2141),
    [anon_sym_POUNDdsohandle] = ACTIONS(2141),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(339),
    [anon_sym_POUNDfileLiteral] = ACTIONS(339),
    [anon_sym_POUNDimageLiteral] = ACTIONS(339),
    [anon_sym_LBRACE] = ACTIONS(341),
    [anon_sym_CARET_LBRACE] = ACTIONS(341),
    [anon_sym_self] = ACTIONS(345),
    [anon_sym_super] = ACTIONS(347),
    [anon_sym_POUNDkeyPath] = ACTIONS(353),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(2141),
    [anon_sym_DASH_EQ] = ACTIONS(2141),
    [anon_sym_STAR_EQ] = ACTIONS(2141),
    [anon_sym_SLASH_EQ] = ACTIONS(2141),
    [anon_sym_PERCENT_EQ] = ACTIONS(2141),
    [anon_sym_BANG_EQ] = ACTIONS(2139),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2141),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2141),
    [anon_sym_LT_EQ] = ACTIONS(2141),
    [anon_sym_GT_EQ] = ACTIONS(2141),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(355),
    [anon_sym_DOT_DOT_LT] = ACTIONS(357),
    [anon_sym_PLUS] = ACTIONS(359),
    [anon_sym_DASH] = ACTIONS(359),
    [anon_sym_STAR] = ACTIONS(2139),
    [anon_sym_SLASH] = ACTIONS(2139),
    [anon_sym_PERCENT] = ACTIONS(2139),
    [anon_sym_PLUS_PLUS] = ACTIONS(327),
    [anon_sym_DASH_DASH] = ACTIONS(327),
    [anon_sym_TILDE] = ACTIONS(327),
    [anon_sym_PIPE] = ACTIONS(2141),
    [anon_sym_CARET] = ACTIONS(2139),
    [anon_sym_LT_LT] = ACTIONS(2141),
    [anon_sym_GT_GT] = ACTIONS(2141),
    [anon_sym_BANG2] = ACTIONS(381),
    [anon_sym_borrowing] = ACTIONS(291),
    [anon_sym_consuming] = ACTIONS(291),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(383),
    [sym__dot_custom] = ACTIONS(385),
    [sym__eq_custom] = ACTIONS(2141),
    [sym__eq_eq_custom] = ACTIONS(2141),
    [sym__plus_then_ws] = ACTIONS(2141),
    [sym__minus_then_ws] = ACTIONS(2141),
    [sym__bang_custom] = ACTIONS(387),
    [sym__custom_operator] = ACTIONS(335),
  },
  [524] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1425),
    [sym_boolean_literal] = STATE(1425),
    [sym__string_literal] = STATE(1425),
    [sym_line_string_literal] = STATE(1425),
    [sym_multi_line_string_literal] = STATE(1425),
    [sym_raw_string_literal] = STATE(1425),
    [sym_regex_literal] = STATE(1425),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1425),
    [sym__unary_expression] = STATE(1425),
    [sym_postfix_expression] = STATE(1425),
    [sym_constructor_expression] = STATE(1425),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1425),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1425),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1425),
    [sym_prefix_expression] = STATE(1425),
    [sym_as_expression] = STATE(1425),
    [sym_selector_expression] = STATE(1425),
    [sym__binary_expression] = STATE(1425),
    [sym_multiplicative_expression] = STATE(1425),
    [sym_additive_expression] = STATE(1425),
    [sym_range_expression] = STATE(1425),
    [sym_infix_expression] = STATE(1425),
    [sym_nil_coalescing_expression] = STATE(1425),
    [sym_check_expression] = STATE(1425),
    [sym_comparison_expression] = STATE(1425),
    [sym_equality_expression] = STATE(1425),
    [sym_conjunction_expression] = STATE(1425),
    [sym_disjunction_expression] = STATE(1425),
    [sym_bitwise_operation] = STATE(1425),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1425),
    [sym_await_expression] = STATE(1425),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1425),
    [sym_call_expression] = STATE(1425),
    [sym__primary_expression] = STATE(1425),
    [sym_tuple_expression] = STATE(1425),
    [sym_array_literal] = STATE(1425),
    [sym_dictionary_literal] = STATE(1425),
    [sym__special_literal] = STATE(1425),
    [sym__playground_literal] = STATE(1425),
    [sym_lambda_literal] = STATE(1425),
    [sym_self_expression] = STATE(1425),
    [sym_super_expression] = STATE(1425),
    [sym_if_statement] = STATE(1425),
    [sym_switch_statement] = STATE(1425),
    [sym_key_path_expression] = STATE(1425),
    [sym_key_path_string_expression] = STATE(1425),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1425),
    [sym__equality_operator] = STATE(1425),
    [sym__comparison_operator] = STATE(1425),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1425),
    [sym__multiplicative_operator] = STATE(1425),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1425),
    [sym_value_parameter_pack] = STATE(1425),
    [sym_value_pack_expansion] = STATE(1425),
    [sym__referenceable_operator] = STATE(1425),
    [sym__equal_sign] = STATE(1425),
    [sym__eq_eq] = STATE(1425),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(2143),
    [sym_real_literal] = ACTIONS(2145),
    [sym_integer_literal] = ACTIONS(2143),
    [sym_hex_literal] = ACTIONS(2145),
    [sym_oct_literal] = ACTIONS(2145),
    [sym_bin_literal] = ACTIONS(2145),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(2143),
    [anon_sym_GT] = ACTIONS(2143),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(2143),
    [anon_sym_POUNDfileID] = ACTIONS(2145),
    [anon_sym_POUNDfilePath] = ACTIONS(2145),
    [anon_sym_POUNDline] = ACTIONS(2145),
    [anon_sym_POUNDcolumn] = ACTIONS(2145),
    [anon_sym_POUNDfunction] = ACTIONS(2145),
    [anon_sym_POUNDdsohandle] = ACTIONS(2145),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(2145),
    [anon_sym_DASH_EQ] = ACTIONS(2145),
    [anon_sym_STAR_EQ] = ACTIONS(2145),
    [anon_sym_SLASH_EQ] = ACTIONS(2145),
    [anon_sym_PERCENT_EQ] = ACTIONS(2145),
    [anon_sym_BANG_EQ] = ACTIONS(2143),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2145),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2145),
    [anon_sym_LT_EQ] = ACTIONS(2145),
    [anon_sym_GT_EQ] = ACTIONS(2145),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(2143),
    [anon_sym_SLASH] = ACTIONS(2143),
    [anon_sym_PERCENT] = ACTIONS(2143),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(2145),
    [anon_sym_CARET] = ACTIONS(2143),
    [anon_sym_LT_LT] = ACTIONS(2145),
    [anon_sym_GT_GT] = ACTIONS(2145),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(2145),
    [sym__eq_eq_custom] = ACTIONS(2145),
    [sym__plus_then_ws] = ACTIONS(2145),
    [sym__minus_then_ws] = ACTIONS(2145),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [525] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1361),
    [sym_boolean_literal] = STATE(1361),
    [sym__string_literal] = STATE(1361),
    [sym_line_string_literal] = STATE(1361),
    [sym_multi_line_string_literal] = STATE(1361),
    [sym_raw_string_literal] = STATE(1361),
    [sym_regex_literal] = STATE(1361),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1361),
    [sym__unary_expression] = STATE(1361),
    [sym_postfix_expression] = STATE(1361),
    [sym_constructor_expression] = STATE(1361),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1361),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1361),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1361),
    [sym_prefix_expression] = STATE(1361),
    [sym_as_expression] = STATE(1361),
    [sym_selector_expression] = STATE(1361),
    [sym__binary_expression] = STATE(1361),
    [sym_multiplicative_expression] = STATE(1361),
    [sym_additive_expression] = STATE(1361),
    [sym_range_expression] = STATE(1361),
    [sym_infix_expression] = STATE(1361),
    [sym_nil_coalescing_expression] = STATE(1361),
    [sym_check_expression] = STATE(1361),
    [sym_comparison_expression] = STATE(1361),
    [sym_equality_expression] = STATE(1361),
    [sym_conjunction_expression] = STATE(1361),
    [sym_disjunction_expression] = STATE(1361),
    [sym_bitwise_operation] = STATE(1361),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1361),
    [sym_await_expression] = STATE(1361),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1361),
    [sym_call_expression] = STATE(1361),
    [sym__primary_expression] = STATE(1361),
    [sym_tuple_expression] = STATE(1361),
    [sym_array_literal] = STATE(1361),
    [sym_dictionary_literal] = STATE(1361),
    [sym__special_literal] = STATE(1361),
    [sym__playground_literal] = STATE(1361),
    [sym_lambda_literal] = STATE(1361),
    [sym_self_expression] = STATE(1361),
    [sym_super_expression] = STATE(1361),
    [sym_if_statement] = STATE(1361),
    [sym_switch_statement] = STATE(1361),
    [sym_key_path_expression] = STATE(1361),
    [sym_key_path_string_expression] = STATE(1361),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1361),
    [sym__equality_operator] = STATE(1361),
    [sym__comparison_operator] = STATE(1361),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1361),
    [sym__multiplicative_operator] = STATE(1361),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1361),
    [sym_value_parameter_pack] = STATE(1361),
    [sym_value_pack_expansion] = STATE(1361),
    [sym__referenceable_operator] = STATE(1361),
    [sym__equal_sign] = STATE(1361),
    [sym__eq_eq] = STATE(1361),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(2147),
    [sym_real_literal] = ACTIONS(2149),
    [sym_integer_literal] = ACTIONS(2147),
    [sym_hex_literal] = ACTIONS(2149),
    [sym_oct_literal] = ACTIONS(2149),
    [sym_bin_literal] = ACTIONS(2149),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(2147),
    [anon_sym_GT] = ACTIONS(2147),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(2147),
    [anon_sym_POUNDfileID] = ACTIONS(2149),
    [anon_sym_POUNDfilePath] = ACTIONS(2149),
    [anon_sym_POUNDline] = ACTIONS(2149),
    [anon_sym_POUNDcolumn] = ACTIONS(2149),
    [anon_sym_POUNDfunction] = ACTIONS(2149),
    [anon_sym_POUNDdsohandle] = ACTIONS(2149),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(2149),
    [anon_sym_DASH_EQ] = ACTIONS(2149),
    [anon_sym_STAR_EQ] = ACTIONS(2149),
    [anon_sym_SLASH_EQ] = ACTIONS(2149),
    [anon_sym_PERCENT_EQ] = ACTIONS(2149),
    [anon_sym_BANG_EQ] = ACTIONS(2147),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2149),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2149),
    [anon_sym_LT_EQ] = ACTIONS(2149),
    [anon_sym_GT_EQ] = ACTIONS(2149),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(2147),
    [anon_sym_SLASH] = ACTIONS(2147),
    [anon_sym_PERCENT] = ACTIONS(2147),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(2149),
    [anon_sym_CARET] = ACTIONS(2147),
    [anon_sym_LT_LT] = ACTIONS(2149),
    [anon_sym_GT_GT] = ACTIONS(2149),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(2149),
    [sym__eq_eq_custom] = ACTIONS(2149),
    [sym__plus_then_ws] = ACTIONS(2149),
    [sym__minus_then_ws] = ACTIONS(2149),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [526] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1402),
    [sym_boolean_literal] = STATE(1402),
    [sym__string_literal] = STATE(1402),
    [sym_line_string_literal] = STATE(1402),
    [sym_multi_line_string_literal] = STATE(1402),
    [sym_raw_string_literal] = STATE(1402),
    [sym_regex_literal] = STATE(1402),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1402),
    [sym__unary_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1402),
    [sym_constructor_expression] = STATE(1402),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1402),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1402),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1402),
    [sym_prefix_expression] = STATE(1402),
    [sym_as_expression] = STATE(1402),
    [sym_selector_expression] = STATE(1402),
    [sym__binary_expression] = STATE(1402),
    [sym_multiplicative_expression] = STATE(1402),
    [sym_additive_expression] = STATE(1402),
    [sym_range_expression] = STATE(1402),
    [sym_infix_expression] = STATE(1402),
    [sym_nil_coalescing_expression] = STATE(1402),
    [sym_check_expression] = STATE(1402),
    [sym_comparison_expression] = STATE(1402),
    [sym_equality_expression] = STATE(1402),
    [sym_conjunction_expression] = STATE(1402),
    [sym_disjunction_expression] = STATE(1402),
    [sym_bitwise_operation] = STATE(1402),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1402),
    [sym_await_expression] = STATE(1402),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1402),
    [sym_call_expression] = STATE(1402),
    [sym__primary_expression] = STATE(1402),
    [sym_tuple_expression] = STATE(1402),
    [sym_array_literal] = STATE(1402),
    [sym_dictionary_literal] = STATE(1402),
    [sym__special_literal] = STATE(1402),
    [sym__playground_literal] = STATE(1402),
    [sym_lambda_literal] = STATE(1402),
    [sym_self_expression] = STATE(1402),
    [sym_super_expression] = STATE(1402),
    [sym_if_statement] = STATE(1402),
    [sym_switch_statement] = STATE(1402),
    [sym_key_path_expression] = STATE(1402),
    [sym_key_path_string_expression] = STATE(1402),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1402),
    [sym__equality_operator] = STATE(1402),
    [sym__comparison_operator] = STATE(1402),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1402),
    [sym__multiplicative_operator] = STATE(1402),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1402),
    [sym_value_parameter_pack] = STATE(1402),
    [sym_value_pack_expansion] = STATE(1402),
    [sym__referenceable_operator] = STATE(1402),
    [sym__equal_sign] = STATE(1402),
    [sym__eq_eq] = STATE(1402),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(2151),
    [sym_real_literal] = ACTIONS(2153),
    [sym_integer_literal] = ACTIONS(2151),
    [sym_hex_literal] = ACTIONS(2153),
    [sym_oct_literal] = ACTIONS(2153),
    [sym_bin_literal] = ACTIONS(2153),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(2151),
    [anon_sym_GT] = ACTIONS(2151),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(2151),
    [anon_sym_POUNDfileID] = ACTIONS(2153),
    [anon_sym_POUNDfilePath] = ACTIONS(2153),
    [anon_sym_POUNDline] = ACTIONS(2153),
    [anon_sym_POUNDcolumn] = ACTIONS(2153),
    [anon_sym_POUNDfunction] = ACTIONS(2153),
    [anon_sym_POUNDdsohandle] = ACTIONS(2153),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(2153),
    [anon_sym_DASH_EQ] = ACTIONS(2153),
    [anon_sym_STAR_EQ] = ACTIONS(2153),
    [anon_sym_SLASH_EQ] = ACTIONS(2153),
    [anon_sym_PERCENT_EQ] = ACTIONS(2153),
    [anon_sym_BANG_EQ] = ACTIONS(2151),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2153),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2153),
    [anon_sym_LT_EQ] = ACTIONS(2153),
    [anon_sym_GT_EQ] = ACTIONS(2153),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(2151),
    [anon_sym_SLASH] = ACTIONS(2151),
    [anon_sym_PERCENT] = ACTIONS(2151),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(2153),
    [anon_sym_CARET] = ACTIONS(2151),
    [anon_sym_LT_LT] = ACTIONS(2153),
    [anon_sym_GT_GT] = ACTIONS(2153),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(2153),
    [sym__eq_eq_custom] = ACTIONS(2153),
    [sym__plus_then_ws] = ACTIONS(2153),
    [sym__minus_then_ws] = ACTIONS(2153),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [527] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1401),
    [sym_boolean_literal] = STATE(1401),
    [sym__string_literal] = STATE(1401),
    [sym_line_string_literal] = STATE(1401),
    [sym_multi_line_string_literal] = STATE(1401),
    [sym_raw_string_literal] = STATE(1401),
    [sym_regex_literal] = STATE(1401),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1401),
    [sym__unary_expression] = STATE(1401),
    [sym_postfix_expression] = STATE(1401),
    [sym_constructor_expression] = STATE(1401),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1401),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1401),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1401),
    [sym_prefix_expression] = STATE(1401),
    [sym_as_expression] = STATE(1401),
    [sym_selector_expression] = STATE(1401),
    [sym__binary_expression] = STATE(1401),
    [sym_multiplicative_expression] = STATE(1401),
    [sym_additive_expression] = STATE(1401),
    [sym_range_expression] = STATE(1401),
    [sym_infix_expression] = STATE(1401),
    [sym_nil_coalescing_expression] = STATE(1401),
    [sym_check_expression] = STATE(1401),
    [sym_comparison_expression] = STATE(1401),
    [sym_equality_expression] = STATE(1401),
    [sym_conjunction_expression] = STATE(1401),
    [sym_disjunction_expression] = STATE(1401),
    [sym_bitwise_operation] = STATE(1401),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1401),
    [sym_await_expression] = STATE(1401),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1401),
    [sym_call_expression] = STATE(1401),
    [sym__primary_expression] = STATE(1401),
    [sym_tuple_expression] = STATE(1401),
    [sym_array_literal] = STATE(1401),
    [sym_dictionary_literal] = STATE(1401),
    [sym__special_literal] = STATE(1401),
    [sym__playground_literal] = STATE(1401),
    [sym_lambda_literal] = STATE(1401),
    [sym_self_expression] = STATE(1401),
    [sym_super_expression] = STATE(1401),
    [sym_if_statement] = STATE(1401),
    [sym_switch_statement] = STATE(1401),
    [sym_key_path_expression] = STATE(1401),
    [sym_key_path_string_expression] = STATE(1401),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1401),
    [sym__equality_operator] = STATE(1401),
    [sym__comparison_operator] = STATE(1401),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1401),
    [sym__multiplicative_operator] = STATE(1401),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1401),
    [sym_value_parameter_pack] = STATE(1401),
    [sym_value_pack_expansion] = STATE(1401),
    [sym__referenceable_operator] = STATE(1401),
    [sym__equal_sign] = STATE(1401),
    [sym__eq_eq] = STATE(1401),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(2155),
    [sym_real_literal] = ACTIONS(2157),
    [sym_integer_literal] = ACTIONS(2155),
    [sym_hex_literal] = ACTIONS(2157),
    [sym_oct_literal] = ACTIONS(2157),
    [sym_bin_literal] = ACTIONS(2157),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(2155),
    [anon_sym_GT] = ACTIONS(2155),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(2155),
    [anon_sym_POUNDfileID] = ACTIONS(2157),
    [anon_sym_POUNDfilePath] = ACTIONS(2157),
    [anon_sym_POUNDline] = ACTIONS(2157),
    [anon_sym_POUNDcolumn] = ACTIONS(2157),
    [anon_sym_POUNDfunction] = ACTIONS(2157),
    [anon_sym_POUNDdsohandle] = ACTIONS(2157),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(2157),
    [anon_sym_DASH_EQ] = ACTIONS(2157),
    [anon_sym_STAR_EQ] = ACTIONS(2157),
    [anon_sym_SLASH_EQ] = ACTIONS(2157),
    [anon_sym_PERCENT_EQ] = ACTIONS(2157),
    [anon_sym_BANG_EQ] = ACTIONS(2155),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2157),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2157),
    [anon_sym_LT_EQ] = ACTIONS(2157),
    [anon_sym_GT_EQ] = ACTIONS(2157),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(2155),
    [anon_sym_SLASH] = ACTIONS(2155),
    [anon_sym_PERCENT] = ACTIONS(2155),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(2157),
    [anon_sym_CARET] = ACTIONS(2155),
    [anon_sym_LT_LT] = ACTIONS(2157),
    [anon_sym_GT_GT] = ACTIONS(2157),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(2157),
    [sym__eq_eq_custom] = ACTIONS(2157),
    [sym__plus_then_ws] = ACTIONS(2157),
    [sym__minus_then_ws] = ACTIONS(2157),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [528] = {
    [sym_simple_identifier] = STATE(2573),
    [sym__contextual_simple_identifier] = STATE(2374),
    [sym__basic_literal] = STATE(1332),
    [sym_boolean_literal] = STATE(1332),
    [sym__string_literal] = STATE(1332),
    [sym_line_string_literal] = STATE(1332),
    [sym_multi_line_string_literal] = STATE(1332),
    [sym_raw_string_literal] = STATE(1332),
    [sym_regex_literal] = STATE(1332),
    [sym__multiline_regex_literal] = STATE(2929),
    [sym_user_type] = STATE(5443),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5443),
    [sym_dictionary_type] = STATE(5443),
    [sym__expression] = STATE(1332),
    [sym__unary_expression] = STATE(1332),
    [sym_postfix_expression] = STATE(1332),
    [sym_constructor_expression] = STATE(1332),
    [sym__parenthesized_type] = STATE(7012),
    [sym_navigation_expression] = STATE(1332),
    [sym__navigable_type_expression] = STATE(7009),
    [sym_open_start_range_expression] = STATE(1332),
    [sym__range_operator] = STATE(557),
    [sym_open_end_range_expression] = STATE(1332),
    [sym_prefix_expression] = STATE(1332),
    [sym_as_expression] = STATE(1332),
    [sym_selector_expression] = STATE(1332),
    [sym__binary_expression] = STATE(1332),
    [sym_multiplicative_expression] = STATE(1332),
    [sym_additive_expression] = STATE(1332),
    [sym_range_expression] = STATE(1332),
    [sym_infix_expression] = STATE(1332),
    [sym_nil_coalescing_expression] = STATE(1332),
    [sym_check_expression] = STATE(1332),
    [sym_comparison_expression] = STATE(1332),
    [sym_equality_expression] = STATE(1332),
    [sym_conjunction_expression] = STATE(1332),
    [sym_disjunction_expression] = STATE(1332),
    [sym_bitwise_operation] = STATE(1332),
    [sym_custom_operator] = STATE(878),
    [sym_try_expression] = STATE(1332),
    [sym_await_expression] = STATE(1332),
    [sym__await_operator] = STATE(450),
    [sym_ternary_expression] = STATE(1332),
    [sym_call_expression] = STATE(1332),
    [sym__primary_expression] = STATE(1332),
    [sym_tuple_expression] = STATE(1332),
    [sym_array_literal] = STATE(1332),
    [sym_dictionary_literal] = STATE(1332),
    [sym__special_literal] = STATE(1332),
    [sym__playground_literal] = STATE(1332),
    [sym_lambda_literal] = STATE(1332),
    [sym_self_expression] = STATE(1332),
    [sym_super_expression] = STATE(1332),
    [sym_if_statement] = STATE(1332),
    [sym_switch_statement] = STATE(1332),
    [sym_key_path_expression] = STATE(1332),
    [sym_key_path_string_expression] = STATE(1332),
    [sym_try_operator] = STATE(451),
    [sym__assignment_and_operator] = STATE(1332),
    [sym__equality_operator] = STATE(1332),
    [sym__comparison_operator] = STATE(1332),
    [sym__three_dot_operator] = STATE(884),
    [sym__open_ended_range_operator] = STATE(557),
    [sym__additive_operator] = STATE(1332),
    [sym__multiplicative_operator] = STATE(1332),
    [sym__prefix_unary_operator] = STATE(471),
    [sym_directly_assignable_expression] = STATE(5445),
    [sym_assignment] = STATE(1332),
    [sym_value_parameter_pack] = STATE(1332),
    [sym_value_pack_expansion] = STATE(1332),
    [sym__referenceable_operator] = STATE(1332),
    [sym__equal_sign] = STATE(1332),
    [sym__eq_eq] = STATE(1332),
    [sym__dot] = STATE(471),
    [sym_bang] = STATE(878),
    [sym__parameter_ownership_modifier] = STATE(2374),
    [aux_sym_raw_string_literal_repeat1] = STATE(7006),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(1037),
    [aux_sym_simple_identifier_token2] = ACTIONS(1039),
    [aux_sym_simple_identifier_token3] = ACTIONS(1039),
    [aux_sym_simple_identifier_token4] = ACTIONS(1039),
    [anon_sym_actor] = ACTIONS(1037),
    [anon_sym_async] = ACTIONS(1037),
    [anon_sym_each] = ACTIONS(1041),
    [anon_sym_lazy] = ACTIONS(1037),
    [anon_sym_repeat] = ACTIONS(1043),
    [anon_sym_package] = ACTIONS(1037),
    [anon_sym_nil] = ACTIONS(2159),
    [sym_real_literal] = ACTIONS(2161),
    [sym_integer_literal] = ACTIONS(2159),
    [sym_hex_literal] = ACTIONS(2161),
    [sym_oct_literal] = ACTIONS(2161),
    [sym_bin_literal] = ACTIONS(2161),
    [anon_sym_true] = ACTIONS(1049),
    [anon_sym_false] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_BSLASH] = ACTIONS(1053),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1055),
    [sym__extended_regex_literal] = ACTIONS(1057),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(1059),
    [sym__oneline_regex_literal] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_LBRACK] = ACTIONS(1065),
    [anon_sym_AMP] = ACTIONS(1067),
    [anon_sym_if] = ACTIONS(1069),
    [anon_sym_switch] = ACTIONS(1071),
    [anon_sym_POUNDselector] = ACTIONS(1073),
    [aux_sym_custom_operator_token1] = ACTIONS(1075),
    [anon_sym_LT] = ACTIONS(2159),
    [anon_sym_GT] = ACTIONS(2159),
    [anon_sym_await] = ACTIONS(1077),
    [anon_sym_POUNDfile] = ACTIONS(2159),
    [anon_sym_POUNDfileID] = ACTIONS(2161),
    [anon_sym_POUNDfilePath] = ACTIONS(2161),
    [anon_sym_POUNDline] = ACTIONS(2161),
    [anon_sym_POUNDcolumn] = ACTIONS(2161),
    [anon_sym_POUNDfunction] = ACTIONS(2161),
    [anon_sym_POUNDdsohandle] = ACTIONS(2161),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(1079),
    [anon_sym_POUNDfileLiteral] = ACTIONS(1079),
    [anon_sym_POUNDimageLiteral] = ACTIONS(1079),
    [anon_sym_LBRACE] = ACTIONS(1081),
    [anon_sym_CARET_LBRACE] = ACTIONS(1081),
    [anon_sym_self] = ACTIONS(1083),
    [anon_sym_super] = ACTIONS(1085),
    [anon_sym_POUNDkeyPath] = ACTIONS(1089),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(2161),
    [anon_sym_DASH_EQ] = ACTIONS(2161),
    [anon_sym_STAR_EQ] = ACTIONS(2161),
    [anon_sym_SLASH_EQ] = ACTIONS(2161),
    [anon_sym_PERCENT_EQ] = ACTIONS(2161),
    [anon_sym_BANG_EQ] = ACTIONS(2159),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2161),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2161),
    [anon_sym_LT_EQ] = ACTIONS(2161),
    [anon_sym_GT_EQ] = ACTIONS(2161),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1093),
    [anon_sym_PLUS] = ACTIONS(1097),
    [anon_sym_DASH] = ACTIONS(1097),
    [anon_sym_STAR] = ACTIONS(2159),
    [anon_sym_SLASH] = ACTIONS(2159),
    [anon_sym_PERCENT] = ACTIONS(2159),
    [anon_sym_PLUS_PLUS] = ACTIONS(1067),
    [anon_sym_DASH_DASH] = ACTIONS(1067),
    [anon_sym_TILDE] = ACTIONS(1067),
    [anon_sym_PIPE] = ACTIONS(2161),
    [anon_sym_CARET] = ACTIONS(2159),
    [anon_sym_LT_LT] = ACTIONS(2161),
    [anon_sym_GT_GT] = ACTIONS(2161),
    [anon_sym_BANG2] = ACTIONS(1099),
    [anon_sym_borrowing] = ACTIONS(1037),
    [anon_sym_consuming] = ACTIONS(1037),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(1103),
    [sym__dot_custom] = ACTIONS(1307),
    [sym__eq_custom] = ACTIONS(2161),
    [sym__eq_eq_custom] = ACTIONS(2161),
    [sym__plus_then_ws] = ACTIONS(2161),
    [sym__minus_then_ws] = ACTIONS(2161),
    [sym__bang_custom] = ACTIONS(1107),
    [sym__custom_operator] = ACTIONS(1075),
  },
  [529] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1314),
    [sym_boolean_literal] = STATE(1314),
    [sym__string_literal] = STATE(1314),
    [sym_line_string_literal] = STATE(1314),
    [sym_multi_line_string_literal] = STATE(1314),
    [sym_raw_string_literal] = STATE(1314),
    [sym_regex_literal] = STATE(1314),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1314),
    [sym__unary_expression] = STATE(1314),
    [sym_postfix_expression] = STATE(1314),
    [sym_constructor_expression] = STATE(1314),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1314),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1314),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1314),
    [sym_prefix_expression] = STATE(1314),
    [sym_as_expression] = STATE(1314),
    [sym_selector_expression] = STATE(1314),
    [sym__binary_expression] = STATE(1314),
    [sym_multiplicative_expression] = STATE(1314),
    [sym_additive_expression] = STATE(1314),
    [sym_range_expression] = STATE(1314),
    [sym_infix_expression] = STATE(1314),
    [sym_nil_coalescing_expression] = STATE(1314),
    [sym_check_expression] = STATE(1314),
    [sym_comparison_expression] = STATE(1314),
    [sym_equality_expression] = STATE(1314),
    [sym_conjunction_expression] = STATE(1314),
    [sym_disjunction_expression] = STATE(1314),
    [sym_bitwise_operation] = STATE(1314),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1314),
    [sym_await_expression] = STATE(1314),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1314),
    [sym_call_expression] = STATE(1314),
    [sym__primary_expression] = STATE(1314),
    [sym_tuple_expression] = STATE(1314),
    [sym_array_literal] = STATE(1314),
    [sym_dictionary_literal] = STATE(1314),
    [sym__special_literal] = STATE(1314),
    [sym__playground_literal] = STATE(1314),
    [sym_lambda_literal] = STATE(1314),
    [sym_self_expression] = STATE(1314),
    [sym_super_expression] = STATE(1314),
    [sym_if_statement] = STATE(1314),
    [sym_switch_statement] = STATE(1314),
    [sym_key_path_expression] = STATE(1314),
    [sym_key_path_string_expression] = STATE(1314),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1314),
    [sym__equality_operator] = STATE(1314),
    [sym__comparison_operator] = STATE(1314),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1314),
    [sym__multiplicative_operator] = STATE(1314),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1314),
    [sym_value_parameter_pack] = STATE(1314),
    [sym_value_pack_expansion] = STATE(1314),
    [sym__referenceable_operator] = STATE(1314),
    [sym__equal_sign] = STATE(1314),
    [sym__eq_eq] = STATE(1314),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(2163),
    [sym_real_literal] = ACTIONS(2165),
    [sym_integer_literal] = ACTIONS(2163),
    [sym_hex_literal] = ACTIONS(2165),
    [sym_oct_literal] = ACTIONS(2165),
    [sym_bin_literal] = ACTIONS(2165),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(2163),
    [anon_sym_GT] = ACTIONS(2163),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(2163),
    [anon_sym_POUNDfileID] = ACTIONS(2165),
    [anon_sym_POUNDfilePath] = ACTIONS(2165),
    [anon_sym_POUNDline] = ACTIONS(2165),
    [anon_sym_POUNDcolumn] = ACTIONS(2165),
    [anon_sym_POUNDfunction] = ACTIONS(2165),
    [anon_sym_POUNDdsohandle] = ACTIONS(2165),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(2165),
    [anon_sym_DASH_EQ] = ACTIONS(2165),
    [anon_sym_STAR_EQ] = ACTIONS(2165),
    [anon_sym_SLASH_EQ] = ACTIONS(2165),
    [anon_sym_PERCENT_EQ] = ACTIONS(2165),
    [anon_sym_BANG_EQ] = ACTIONS(2163),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2165),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2165),
    [anon_sym_LT_EQ] = ACTIONS(2165),
    [anon_sym_GT_EQ] = ACTIONS(2165),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(2163),
    [anon_sym_SLASH] = ACTIONS(2163),
    [anon_sym_PERCENT] = ACTIONS(2163),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(2165),
    [anon_sym_CARET] = ACTIONS(2163),
    [anon_sym_LT_LT] = ACTIONS(2165),
    [anon_sym_GT_GT] = ACTIONS(2165),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(2165),
    [sym__eq_eq_custom] = ACTIONS(2165),
    [sym__plus_then_ws] = ACTIONS(2165),
    [sym__minus_then_ws] = ACTIONS(2165),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [530] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1456),
    [sym_boolean_literal] = STATE(1456),
    [sym__string_literal] = STATE(1456),
    [sym_line_string_literal] = STATE(1456),
    [sym_multi_line_string_literal] = STATE(1456),
    [sym_raw_string_literal] = STATE(1456),
    [sym_regex_literal] = STATE(1456),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1456),
    [sym__unary_expression] = STATE(1456),
    [sym_postfix_expression] = STATE(1456),
    [sym_constructor_expression] = STATE(1456),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1456),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1456),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1456),
    [sym_prefix_expression] = STATE(1456),
    [sym_as_expression] = STATE(1456),
    [sym_selector_expression] = STATE(1456),
    [sym__binary_expression] = STATE(1456),
    [sym_multiplicative_expression] = STATE(1456),
    [sym_additive_expression] = STATE(1456),
    [sym_range_expression] = STATE(1456),
    [sym_infix_expression] = STATE(1456),
    [sym_nil_coalescing_expression] = STATE(1456),
    [sym_check_expression] = STATE(1456),
    [sym_comparison_expression] = STATE(1456),
    [sym_equality_expression] = STATE(1456),
    [sym_conjunction_expression] = STATE(1456),
    [sym_disjunction_expression] = STATE(1456),
    [sym_bitwise_operation] = STATE(1456),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1456),
    [sym_await_expression] = STATE(1456),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1456),
    [sym_call_expression] = STATE(1456),
    [sym__primary_expression] = STATE(1456),
    [sym_tuple_expression] = STATE(1456),
    [sym_array_literal] = STATE(1456),
    [sym_dictionary_literal] = STATE(1456),
    [sym__special_literal] = STATE(1456),
    [sym__playground_literal] = STATE(1456),
    [sym_lambda_literal] = STATE(1456),
    [sym_self_expression] = STATE(1456),
    [sym_super_expression] = STATE(1456),
    [sym_if_statement] = STATE(1456),
    [sym_switch_statement] = STATE(1456),
    [sym_key_path_expression] = STATE(1456),
    [sym_key_path_string_expression] = STATE(1456),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1456),
    [sym__equality_operator] = STATE(1456),
    [sym__comparison_operator] = STATE(1456),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1456),
    [sym__multiplicative_operator] = STATE(1456),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1456),
    [sym_value_parameter_pack] = STATE(1456),
    [sym_value_pack_expansion] = STATE(1456),
    [sym__referenceable_operator] = STATE(1456),
    [sym__equal_sign] = STATE(1456),
    [sym__eq_eq] = STATE(1456),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1297),
    [sym_real_literal] = ACTIONS(1299),
    [sym_integer_literal] = ACTIONS(1297),
    [sym_hex_literal] = ACTIONS(1299),
    [sym_oct_literal] = ACTIONS(1299),
    [sym_bin_literal] = ACTIONS(1299),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1297),
    [anon_sym_GT] = ACTIONS(1297),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1297),
    [anon_sym_POUNDfileID] = ACTIONS(1299),
    [anon_sym_POUNDfilePath] = ACTIONS(1299),
    [anon_sym_POUNDline] = ACTIONS(1299),
    [anon_sym_POUNDcolumn] = ACTIONS(1299),
    [anon_sym_POUNDfunction] = ACTIONS(1299),
    [anon_sym_POUNDdsohandle] = ACTIONS(1299),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1299),
    [anon_sym_DASH_EQ] = ACTIONS(1299),
    [anon_sym_STAR_EQ] = ACTIONS(1299),
    [anon_sym_SLASH_EQ] = ACTIONS(1299),
    [anon_sym_PERCENT_EQ] = ACTIONS(1299),
    [anon_sym_BANG_EQ] = ACTIONS(1297),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1299),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1299),
    [anon_sym_LT_EQ] = ACTIONS(1299),
    [anon_sym_GT_EQ] = ACTIONS(1299),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1297),
    [anon_sym_SLASH] = ACTIONS(1297),
    [anon_sym_PERCENT] = ACTIONS(1297),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1299),
    [anon_sym_CARET] = ACTIONS(1297),
    [anon_sym_LT_LT] = ACTIONS(1299),
    [anon_sym_GT_GT] = ACTIONS(1299),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1299),
    [sym__eq_eq_custom] = ACTIONS(1299),
    [sym__plus_then_ws] = ACTIONS(1299),
    [sym__minus_then_ws] = ACTIONS(1299),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [531] = {
    [sym_simple_identifier] = STATE(2276),
    [sym__contextual_simple_identifier] = STATE(2115),
    [sym__basic_literal] = STATE(1296),
    [sym_boolean_literal] = STATE(1296),
    [sym__string_literal] = STATE(1296),
    [sym_line_string_literal] = STATE(1296),
    [sym_multi_line_string_literal] = STATE(1296),
    [sym_raw_string_literal] = STATE(1296),
    [sym_regex_literal] = STATE(1296),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1296),
    [sym__unary_expression] = STATE(1296),
    [sym_postfix_expression] = STATE(1296),
    [sym_constructor_expression] = STATE(1296),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1296),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1296),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1296),
    [sym_prefix_expression] = STATE(1296),
    [sym_as_expression] = STATE(1296),
    [sym_selector_expression] = STATE(1296),
    [sym__binary_expression] = STATE(1296),
    [sym_multiplicative_expression] = STATE(1296),
    [sym_additive_expression] = STATE(1296),
    [sym_range_expression] = STATE(1296),
    [sym_infix_expression] = STATE(1296),
    [sym_nil_coalescing_expression] = STATE(1296),
    [sym_check_expression] = STATE(1296),
    [sym_comparison_expression] = STATE(1296),
    [sym_equality_expression] = STATE(1296),
    [sym_conjunction_expression] = STATE(1296),
    [sym_disjunction_expression] = STATE(1296),
    [sym_bitwise_operation] = STATE(1296),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1296),
    [sym_await_expression] = STATE(1296),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1296),
    [sym_call_expression] = STATE(1296),
    [sym__primary_expression] = STATE(1296),
    [sym_tuple_expression] = STATE(1296),
    [sym_array_literal] = STATE(1296),
    [sym_dictionary_literal] = STATE(1296),
    [sym__special_literal] = STATE(1296),
    [sym__playground_literal] = STATE(1296),
    [sym_lambda_literal] = STATE(1296),
    [sym_self_expression] = STATE(1296),
    [sym_super_expression] = STATE(1296),
    [sym_if_statement] = STATE(1296),
    [sym_switch_statement] = STATE(1296),
    [sym_key_path_expression] = STATE(1296),
    [sym_key_path_string_expression] = STATE(1296),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1296),
    [sym__equality_operator] = STATE(1296),
    [sym__comparison_operator] = STATE(1296),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1296),
    [sym__multiplicative_operator] = STATE(1296),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym_assignment] = STATE(1296),
    [sym_value_parameter_pack] = STATE(1296),
    [sym_value_pack_expansion] = STATE(1296),
    [sym__referenceable_operator] = STATE(1296),
    [sym__equal_sign] = STATE(1296),
    [sym__eq_eq] = STATE(1296),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__parameter_ownership_modifier] = STATE(2115),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(11),
    [aux_sym_simple_identifier_token2] = ACTIONS(13),
    [aux_sym_simple_identifier_token3] = ACTIONS(13),
    [aux_sym_simple_identifier_token4] = ACTIONS(13),
    [anon_sym_actor] = ACTIONS(11),
    [anon_sym_async] = ACTIONS(11),
    [anon_sym_each] = ACTIONS(19),
    [anon_sym_lazy] = ACTIONS(11),
    [anon_sym_repeat] = ACTIONS(937),
    [anon_sym_package] = ACTIONS(11),
    [anon_sym_nil] = ACTIONS(2167),
    [sym_real_literal] = ACTIONS(2169),
    [sym_integer_literal] = ACTIONS(2167),
    [sym_hex_literal] = ACTIONS(2169),
    [sym_oct_literal] = ACTIONS(2169),
    [sym_bin_literal] = ACTIONS(2169),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(2167),
    [anon_sym_GT] = ACTIONS(2167),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(2167),
    [anon_sym_POUNDfileID] = ACTIONS(2169),
    [anon_sym_POUNDfilePath] = ACTIONS(2169),
    [anon_sym_POUNDline] = ACTIONS(2169),
    [anon_sym_POUNDcolumn] = ACTIONS(2169),
    [anon_sym_POUNDfunction] = ACTIONS(2169),
    [anon_sym_POUNDdsohandle] = ACTIONS(2169),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_self] = ACTIONS(65),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(2169),
    [anon_sym_DASH_EQ] = ACTIONS(2169),
    [anon_sym_STAR_EQ] = ACTIONS(2169),
    [anon_sym_SLASH_EQ] = ACTIONS(2169),
    [anon_sym_PERCENT_EQ] = ACTIONS(2169),
    [anon_sym_BANG_EQ] = ACTIONS(2167),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2169),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2169),
    [anon_sym_LT_EQ] = ACTIONS(2169),
    [anon_sym_GT_EQ] = ACTIONS(2169),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(2167),
    [anon_sym_SLASH] = ACTIONS(2167),
    [anon_sym_PERCENT] = ACTIONS(2167),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(2169),
    [anon_sym_CARET] = ACTIONS(2167),
    [anon_sym_LT_LT] = ACTIONS(2169),
    [anon_sym_GT_GT] = ACTIONS(2169),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_borrowing] = ACTIONS(11),
    [anon_sym_consuming] = ACTIONS(11),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(2169),
    [sym__eq_eq_custom] = ACTIONS(2169),
    [sym__plus_then_ws] = ACTIONS(2169),
    [sym__minus_then_ws] = ACTIONS(2169),
    [sym__bang_custom] = ACTIONS(151),
    [sym__custom_operator] = ACTIONS(57),
  },
  [532] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1370),
    [sym_boolean_literal] = STATE(1370),
    [sym__string_literal] = STATE(1370),
    [sym_line_string_literal] = STATE(1370),
    [sym_multi_line_string_literal] = STATE(1370),
    [sym_raw_string_literal] = STATE(1370),
    [sym_regex_literal] = STATE(1370),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1370),
    [sym__unary_expression] = STATE(1370),
    [sym_postfix_expression] = STATE(1370),
    [sym_constructor_expression] = STATE(1370),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1370),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1370),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1370),
    [sym_prefix_expression] = STATE(1370),
    [sym_as_expression] = STATE(1370),
    [sym_selector_expression] = STATE(1370),
    [sym__binary_expression] = STATE(1370),
    [sym_multiplicative_expression] = STATE(1370),
    [sym_additive_expression] = STATE(1370),
    [sym_range_expression] = STATE(1370),
    [sym_infix_expression] = STATE(1370),
    [sym_nil_coalescing_expression] = STATE(1370),
    [sym_check_expression] = STATE(1370),
    [sym_comparison_expression] = STATE(1370),
    [sym_equality_expression] = STATE(1370),
    [sym_conjunction_expression] = STATE(1370),
    [sym_disjunction_expression] = STATE(1370),
    [sym_bitwise_operation] = STATE(1370),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1370),
    [sym_await_expression] = STATE(1370),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym__primary_expression] = STATE(1370),
    [sym_tuple_expression] = STATE(1370),
    [sym_array_literal] = STATE(1370),
    [sym_dictionary_literal] = STATE(1370),
    [sym__special_literal] = STATE(1370),
    [sym__playground_literal] = STATE(1370),
    [sym_lambda_literal] = STATE(1370),
    [sym_self_expression] = STATE(1370),
    [sym_super_expression] = STATE(1370),
    [sym_if_statement] = STATE(1370),
    [sym_switch_statement] = STATE(1370),
    [sym_key_path_expression] = STATE(1370),
    [sym_key_path_string_expression] = STATE(1370),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1370),
    [sym__equality_operator] = STATE(1370),
    [sym__comparison_operator] = STATE(1370),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1370),
    [sym__multiplicative_operator] = STATE(1370),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1370),
    [sym_value_parameter_pack] = STATE(1370),
    [sym_value_pack_expansion] = STATE(1370),
    [sym__referenceable_operator] = STATE(1370),
    [sym__equal_sign] = STATE(1370),
    [sym__eq_eq] = STATE(1370),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(2171),
    [sym_real_literal] = ACTIONS(2173),
    [sym_integer_literal] = ACTIONS(2171),
    [sym_hex_literal] = ACTIONS(2173),
    [sym_oct_literal] = ACTIONS(2173),
    [sym_bin_literal] = ACTIONS(2173),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(2171),
    [anon_sym_GT] = ACTIONS(2171),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(2171),
    [anon_sym_POUNDfileID] = ACTIONS(2173),
    [anon_sym_POUNDfilePath] = ACTIONS(2173),
    [anon_sym_POUNDline] = ACTIONS(2173),
    [anon_sym_POUNDcolumn] = ACTIONS(2173),
    [anon_sym_POUNDfunction] = ACTIONS(2173),
    [anon_sym_POUNDdsohandle] = ACTIONS(2173),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(2173),
    [anon_sym_DASH_EQ] = ACTIONS(2173),
    [anon_sym_STAR_EQ] = ACTIONS(2173),
    [anon_sym_SLASH_EQ] = ACTIONS(2173),
    [anon_sym_PERCENT_EQ] = ACTIONS(2173),
    [anon_sym_BANG_EQ] = ACTIONS(2171),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2173),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2173),
    [anon_sym_LT_EQ] = ACTIONS(2173),
    [anon_sym_GT_EQ] = ACTIONS(2173),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(2171),
    [anon_sym_SLASH] = ACTIONS(2171),
    [anon_sym_PERCENT] = ACTIONS(2171),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(2173),
    [anon_sym_CARET] = ACTIONS(2171),
    [anon_sym_LT_LT] = ACTIONS(2173),
    [anon_sym_GT_GT] = ACTIONS(2173),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(2173),
    [sym__eq_eq_custom] = ACTIONS(2173),
    [sym__plus_then_ws] = ACTIONS(2173),
    [sym__minus_then_ws] = ACTIONS(2173),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [533] = {
    [sym_simple_identifier] = STATE(1141),
    [sym__contextual_simple_identifier] = STATE(1051),
    [sym__basic_literal] = STATE(666),
    [sym_boolean_literal] = STATE(666),
    [sym__string_literal] = STATE(666),
    [sym_line_string_literal] = STATE(666),
    [sym_multi_line_string_literal] = STATE(666),
    [sym_raw_string_literal] = STATE(666),
    [sym_regex_literal] = STATE(666),
    [sym__multiline_regex_literal] = STATE(1215),
    [sym_user_type] = STATE(5510),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5510),
    [sym_dictionary_type] = STATE(5510),
    [sym__expression] = STATE(666),
    [sym__unary_expression] = STATE(666),
    [sym_postfix_expression] = STATE(666),
    [sym_constructor_expression] = STATE(666),
    [sym__parenthesized_type] = STATE(6558),
    [sym_navigation_expression] = STATE(666),
    [sym__navigable_type_expression] = STATE(6557),
    [sym_open_start_range_expression] = STATE(666),
    [sym__range_operator] = STATE(523),
    [sym_open_end_range_expression] = STATE(666),
    [sym_prefix_expression] = STATE(666),
    [sym_as_expression] = STATE(666),
    [sym_selector_expression] = STATE(666),
    [sym__binary_expression] = STATE(666),
    [sym_multiplicative_expression] = STATE(666),
    [sym_additive_expression] = STATE(666),
    [sym_range_expression] = STATE(666),
    [sym_infix_expression] = STATE(666),
    [sym_nil_coalescing_expression] = STATE(666),
    [sym_check_expression] = STATE(666),
    [sym_comparison_expression] = STATE(666),
    [sym_equality_expression] = STATE(666),
    [sym_conjunction_expression] = STATE(666),
    [sym_disjunction_expression] = STATE(666),
    [sym_bitwise_operation] = STATE(666),
    [sym_custom_operator] = STATE(628),
    [sym_try_expression] = STATE(666),
    [sym_await_expression] = STATE(666),
    [sym__await_operator] = STATE(518),
    [sym_ternary_expression] = STATE(666),
    [sym_call_expression] = STATE(666),
    [sym__primary_expression] = STATE(666),
    [sym_tuple_expression] = STATE(666),
    [sym_array_literal] = STATE(666),
    [sym_dictionary_literal] = STATE(666),
    [sym__special_literal] = STATE(666),
    [sym__playground_literal] = STATE(666),
    [sym_lambda_literal] = STATE(666),
    [sym_self_expression] = STATE(666),
    [sym_super_expression] = STATE(666),
    [sym_if_statement] = STATE(666),
    [sym_switch_statement] = STATE(666),
    [sym_key_path_expression] = STATE(666),
    [sym_key_path_string_expression] = STATE(666),
    [sym_try_operator] = STATE(515),
    [sym__assignment_and_operator] = STATE(666),
    [sym__equality_operator] = STATE(666),
    [sym__comparison_operator] = STATE(666),
    [sym__three_dot_operator] = STATE(625),
    [sym__open_ended_range_operator] = STATE(523),
    [sym__additive_operator] = STATE(666),
    [sym__multiplicative_operator] = STATE(666),
    [sym__prefix_unary_operator] = STATE(509),
    [sym_directly_assignable_expression] = STATE(5511),
    [sym_assignment] = STATE(666),
    [sym_value_parameter_pack] = STATE(666),
    [sym_value_pack_expansion] = STATE(666),
    [sym__referenceable_operator] = STATE(666),
    [sym__equal_sign] = STATE(666),
    [sym__eq_eq] = STATE(666),
    [sym__dot] = STATE(509),
    [sym_bang] = STATE(628),
    [sym__parameter_ownership_modifier] = STATE(1051),
    [aux_sym_raw_string_literal_repeat1] = STATE(6487),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(291),
    [aux_sym_simple_identifier_token2] = ACTIONS(293),
    [aux_sym_simple_identifier_token3] = ACTIONS(293),
    [aux_sym_simple_identifier_token4] = ACTIONS(293),
    [anon_sym_actor] = ACTIONS(291),
    [anon_sym_async] = ACTIONS(291),
    [anon_sym_each] = ACTIONS(299),
    [anon_sym_lazy] = ACTIONS(291),
    [anon_sym_repeat] = ACTIONS(747),
    [anon_sym_package] = ACTIONS(291),
    [anon_sym_nil] = ACTIONS(2175),
    [sym_real_literal] = ACTIONS(2177),
    [sym_integer_literal] = ACTIONS(2175),
    [sym_hex_literal] = ACTIONS(2177),
    [sym_oct_literal] = ACTIONS(2177),
    [sym_bin_literal] = ACTIONS(2177),
    [anon_sym_true] = ACTIONS(309),
    [anon_sym_false] = ACTIONS(309),
    [anon_sym_DQUOTE] = ACTIONS(311),
    [anon_sym_BSLASH] = ACTIONS(313),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(315),
    [sym__extended_regex_literal] = ACTIONS(317),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(319),
    [sym__oneline_regex_literal] = ACTIONS(321),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_LBRACK] = ACTIONS(325),
    [anon_sym_AMP] = ACTIONS(327),
    [anon_sym_if] = ACTIONS(329),
    [anon_sym_switch] = ACTIONS(331),
    [anon_sym_POUNDselector] = ACTIONS(333),
    [aux_sym_custom_operator_token1] = ACTIONS(335),
    [anon_sym_LT] = ACTIONS(2175),
    [anon_sym_GT] = ACTIONS(2175),
    [anon_sym_await] = ACTIONS(337),
    [anon_sym_POUNDfile] = ACTIONS(2175),
    [anon_sym_POUNDfileID] = ACTIONS(2177),
    [anon_sym_POUNDfilePath] = ACTIONS(2177),
    [anon_sym_POUNDline] = ACTIONS(2177),
    [anon_sym_POUNDcolumn] = ACTIONS(2177),
    [anon_sym_POUNDfunction] = ACTIONS(2177),
    [anon_sym_POUNDdsohandle] = ACTIONS(2177),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(339),
    [anon_sym_POUNDfileLiteral] = ACTIONS(339),
    [anon_sym_POUNDimageLiteral] = ACTIONS(339),
    [anon_sym_LBRACE] = ACTIONS(341),
    [anon_sym_CARET_LBRACE] = ACTIONS(341),
    [anon_sym_self] = ACTIONS(345),
    [anon_sym_super] = ACTIONS(347),
    [anon_sym_POUNDkeyPath] = ACTIONS(353),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(2177),
    [anon_sym_DASH_EQ] = ACTIONS(2177),
    [anon_sym_STAR_EQ] = ACTIONS(2177),
    [anon_sym_SLASH_EQ] = ACTIONS(2177),
    [anon_sym_PERCENT_EQ] = ACTIONS(2177),
    [anon_sym_BANG_EQ] = ACTIONS(2175),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2177),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2177),
    [anon_sym_LT_EQ] = ACTIONS(2177),
    [anon_sym_GT_EQ] = ACTIONS(2177),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(355),
    [anon_sym_DOT_DOT_LT] = ACTIONS(357),
    [anon_sym_PLUS] = ACTIONS(359),
    [anon_sym_DASH] = ACTIONS(359),
    [anon_sym_STAR] = ACTIONS(2175),
    [anon_sym_SLASH] = ACTIONS(2175),
    [anon_sym_PERCENT] = ACTIONS(2175),
    [anon_sym_PLUS_PLUS] = ACTIONS(327),
    [anon_sym_DASH_DASH] = ACTIONS(327),
    [anon_sym_TILDE] = ACTIONS(327),
    [anon_sym_PIPE] = ACTIONS(2177),
    [anon_sym_CARET] = ACTIONS(2175),
    [anon_sym_LT_LT] = ACTIONS(2177),
    [anon_sym_GT_GT] = ACTIONS(2177),
    [anon_sym_BANG2] = ACTIONS(381),
    [anon_sym_borrowing] = ACTIONS(291),
    [anon_sym_consuming] = ACTIONS(291),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(383),
    [sym__dot_custom] = ACTIONS(385),
    [sym__eq_custom] = ACTIONS(2177),
    [sym__eq_eq_custom] = ACTIONS(2177),
    [sym__plus_then_ws] = ACTIONS(2177),
    [sym__minus_then_ws] = ACTIONS(2177),
    [sym__bang_custom] = ACTIONS(387),
    [sym__custom_operator] = ACTIONS(335),
  },
  [534] = {
    [sym_simple_identifier] = STATE(1141),
    [sym__contextual_simple_identifier] = STATE(1051),
    [sym__basic_literal] = STATE(657),
    [sym_boolean_literal] = STATE(657),
    [sym__string_literal] = STATE(657),
    [sym_line_string_literal] = STATE(657),
    [sym_multi_line_string_literal] = STATE(657),
    [sym_raw_string_literal] = STATE(657),
    [sym_regex_literal] = STATE(657),
    [sym__multiline_regex_literal] = STATE(1215),
    [sym_user_type] = STATE(5510),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5510),
    [sym_dictionary_type] = STATE(5510),
    [sym__expression] = STATE(657),
    [sym__unary_expression] = STATE(657),
    [sym_postfix_expression] = STATE(657),
    [sym_constructor_expression] = STATE(657),
    [sym__parenthesized_type] = STATE(6558),
    [sym_navigation_expression] = STATE(657),
    [sym__navigable_type_expression] = STATE(6557),
    [sym_open_start_range_expression] = STATE(657),
    [sym__range_operator] = STATE(523),
    [sym_open_end_range_expression] = STATE(657),
    [sym_prefix_expression] = STATE(657),
    [sym_as_expression] = STATE(657),
    [sym_selector_expression] = STATE(657),
    [sym__binary_expression] = STATE(657),
    [sym_multiplicative_expression] = STATE(657),
    [sym_additive_expression] = STATE(657),
    [sym_range_expression] = STATE(657),
    [sym_infix_expression] = STATE(657),
    [sym_nil_coalescing_expression] = STATE(657),
    [sym_check_expression] = STATE(657),
    [sym_comparison_expression] = STATE(657),
    [sym_equality_expression] = STATE(657),
    [sym_conjunction_expression] = STATE(657),
    [sym_disjunction_expression] = STATE(657),
    [sym_bitwise_operation] = STATE(657),
    [sym_custom_operator] = STATE(628),
    [sym_try_expression] = STATE(657),
    [sym_await_expression] = STATE(657),
    [sym__await_operator] = STATE(518),
    [sym_ternary_expression] = STATE(657),
    [sym_call_expression] = STATE(657),
    [sym__primary_expression] = STATE(657),
    [sym_tuple_expression] = STATE(657),
    [sym_array_literal] = STATE(657),
    [sym_dictionary_literal] = STATE(657),
    [sym__special_literal] = STATE(657),
    [sym__playground_literal] = STATE(657),
    [sym_lambda_literal] = STATE(657),
    [sym_self_expression] = STATE(657),
    [sym_super_expression] = STATE(657),
    [sym_if_statement] = STATE(657),
    [sym_switch_statement] = STATE(657),
    [sym_key_path_expression] = STATE(657),
    [sym_key_path_string_expression] = STATE(657),
    [sym_try_operator] = STATE(515),
    [sym__assignment_and_operator] = STATE(657),
    [sym__equality_operator] = STATE(657),
    [sym__comparison_operator] = STATE(657),
    [sym__three_dot_operator] = STATE(625),
    [sym__open_ended_range_operator] = STATE(523),
    [sym__additive_operator] = STATE(657),
    [sym__multiplicative_operator] = STATE(657),
    [sym__prefix_unary_operator] = STATE(509),
    [sym_directly_assignable_expression] = STATE(5511),
    [sym_assignment] = STATE(657),
    [sym_value_parameter_pack] = STATE(657),
    [sym_value_pack_expansion] = STATE(657),
    [sym__referenceable_operator] = STATE(657),
    [sym__equal_sign] = STATE(657),
    [sym__eq_eq] = STATE(657),
    [sym__dot] = STATE(509),
    [sym_bang] = STATE(628),
    [sym__parameter_ownership_modifier] = STATE(1051),
    [aux_sym_raw_string_literal_repeat1] = STATE(6487),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(291),
    [aux_sym_simple_identifier_token2] = ACTIONS(293),
    [aux_sym_simple_identifier_token3] = ACTIONS(293),
    [aux_sym_simple_identifier_token4] = ACTIONS(293),
    [anon_sym_actor] = ACTIONS(291),
    [anon_sym_async] = ACTIONS(291),
    [anon_sym_each] = ACTIONS(299),
    [anon_sym_lazy] = ACTIONS(291),
    [anon_sym_repeat] = ACTIONS(747),
    [anon_sym_package] = ACTIONS(291),
    [anon_sym_nil] = ACTIONS(2179),
    [sym_real_literal] = ACTIONS(2181),
    [sym_integer_literal] = ACTIONS(2179),
    [sym_hex_literal] = ACTIONS(2181),
    [sym_oct_literal] = ACTIONS(2181),
    [sym_bin_literal] = ACTIONS(2181),
    [anon_sym_true] = ACTIONS(309),
    [anon_sym_false] = ACTIONS(309),
    [anon_sym_DQUOTE] = ACTIONS(311),
    [anon_sym_BSLASH] = ACTIONS(313),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(315),
    [sym__extended_regex_literal] = ACTIONS(317),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(319),
    [sym__oneline_regex_literal] = ACTIONS(321),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_LBRACK] = ACTIONS(325),
    [anon_sym_AMP] = ACTIONS(327),
    [anon_sym_if] = ACTIONS(329),
    [anon_sym_switch] = ACTIONS(331),
    [anon_sym_POUNDselector] = ACTIONS(333),
    [aux_sym_custom_operator_token1] = ACTIONS(335),
    [anon_sym_LT] = ACTIONS(2179),
    [anon_sym_GT] = ACTIONS(2179),
    [anon_sym_await] = ACTIONS(337),
    [anon_sym_POUNDfile] = ACTIONS(2179),
    [anon_sym_POUNDfileID] = ACTIONS(2181),
    [anon_sym_POUNDfilePath] = ACTIONS(2181),
    [anon_sym_POUNDline] = ACTIONS(2181),
    [anon_sym_POUNDcolumn] = ACTIONS(2181),
    [anon_sym_POUNDfunction] = ACTIONS(2181),
    [anon_sym_POUNDdsohandle] = ACTIONS(2181),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(339),
    [anon_sym_POUNDfileLiteral] = ACTIONS(339),
    [anon_sym_POUNDimageLiteral] = ACTIONS(339),
    [anon_sym_LBRACE] = ACTIONS(341),
    [anon_sym_CARET_LBRACE] = ACTIONS(341),
    [anon_sym_self] = ACTIONS(345),
    [anon_sym_super] = ACTIONS(347),
    [anon_sym_POUNDkeyPath] = ACTIONS(353),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(2181),
    [anon_sym_DASH_EQ] = ACTIONS(2181),
    [anon_sym_STAR_EQ] = ACTIONS(2181),
    [anon_sym_SLASH_EQ] = ACTIONS(2181),
    [anon_sym_PERCENT_EQ] = ACTIONS(2181),
    [anon_sym_BANG_EQ] = ACTIONS(2179),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2181),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2181),
    [anon_sym_LT_EQ] = ACTIONS(2181),
    [anon_sym_GT_EQ] = ACTIONS(2181),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(355),
    [anon_sym_DOT_DOT_LT] = ACTIONS(357),
    [anon_sym_PLUS] = ACTIONS(359),
    [anon_sym_DASH] = ACTIONS(359),
    [anon_sym_STAR] = ACTIONS(2179),
    [anon_sym_SLASH] = ACTIONS(2179),
    [anon_sym_PERCENT] = ACTIONS(2179),
    [anon_sym_PLUS_PLUS] = ACTIONS(327),
    [anon_sym_DASH_DASH] = ACTIONS(327),
    [anon_sym_TILDE] = ACTIONS(327),
    [anon_sym_PIPE] = ACTIONS(2181),
    [anon_sym_CARET] = ACTIONS(2179),
    [anon_sym_LT_LT] = ACTIONS(2181),
    [anon_sym_GT_GT] = ACTIONS(2181),
    [anon_sym_BANG2] = ACTIONS(381),
    [anon_sym_borrowing] = ACTIONS(291),
    [anon_sym_consuming] = ACTIONS(291),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(383),
    [sym__dot_custom] = ACTIONS(385),
    [sym__eq_custom] = ACTIONS(2181),
    [sym__eq_eq_custom] = ACTIONS(2181),
    [sym__plus_then_ws] = ACTIONS(2181),
    [sym__minus_then_ws] = ACTIONS(2181),
    [sym__bang_custom] = ACTIONS(387),
    [sym__custom_operator] = ACTIONS(335),
  },
  [535] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1399),
    [sym_boolean_literal] = STATE(1399),
    [sym__string_literal] = STATE(1399),
    [sym_line_string_literal] = STATE(1399),
    [sym_multi_line_string_literal] = STATE(1399),
    [sym_raw_string_literal] = STATE(1399),
    [sym_regex_literal] = STATE(1399),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1399),
    [sym__unary_expression] = STATE(1399),
    [sym_postfix_expression] = STATE(1399),
    [sym_constructor_expression] = STATE(1399),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1399),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1399),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1399),
    [sym_prefix_expression] = STATE(1399),
    [sym_as_expression] = STATE(1399),
    [sym_selector_expression] = STATE(1399),
    [sym__binary_expression] = STATE(1399),
    [sym_multiplicative_expression] = STATE(1399),
    [sym_additive_expression] = STATE(1399),
    [sym_range_expression] = STATE(1399),
    [sym_infix_expression] = STATE(1399),
    [sym_nil_coalescing_expression] = STATE(1399),
    [sym_check_expression] = STATE(1399),
    [sym_comparison_expression] = STATE(1399),
    [sym_equality_expression] = STATE(1399),
    [sym_conjunction_expression] = STATE(1399),
    [sym_disjunction_expression] = STATE(1399),
    [sym_bitwise_operation] = STATE(1399),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1399),
    [sym_await_expression] = STATE(1399),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1399),
    [sym_call_expression] = STATE(1399),
    [sym__primary_expression] = STATE(1399),
    [sym_tuple_expression] = STATE(1399),
    [sym_array_literal] = STATE(1399),
    [sym_dictionary_literal] = STATE(1399),
    [sym__special_literal] = STATE(1399),
    [sym__playground_literal] = STATE(1399),
    [sym_lambda_literal] = STATE(1399),
    [sym_self_expression] = STATE(1399),
    [sym_super_expression] = STATE(1399),
    [sym_if_statement] = STATE(1399),
    [sym_switch_statement] = STATE(1399),
    [sym_key_path_expression] = STATE(1399),
    [sym_key_path_string_expression] = STATE(1399),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1399),
    [sym__equality_operator] = STATE(1399),
    [sym__comparison_operator] = STATE(1399),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1399),
    [sym__multiplicative_operator] = STATE(1399),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1399),
    [sym_value_parameter_pack] = STATE(1399),
    [sym_value_pack_expansion] = STATE(1399),
    [sym__referenceable_operator] = STATE(1399),
    [sym__equal_sign] = STATE(1399),
    [sym__eq_eq] = STATE(1399),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(2183),
    [sym_real_literal] = ACTIONS(2185),
    [sym_integer_literal] = ACTIONS(2183),
    [sym_hex_literal] = ACTIONS(2185),
    [sym_oct_literal] = ACTIONS(2185),
    [sym_bin_literal] = ACTIONS(2185),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(2183),
    [anon_sym_GT] = ACTIONS(2183),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(2183),
    [anon_sym_POUNDfileID] = ACTIONS(2185),
    [anon_sym_POUNDfilePath] = ACTIONS(2185),
    [anon_sym_POUNDline] = ACTIONS(2185),
    [anon_sym_POUNDcolumn] = ACTIONS(2185),
    [anon_sym_POUNDfunction] = ACTIONS(2185),
    [anon_sym_POUNDdsohandle] = ACTIONS(2185),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(2185),
    [anon_sym_DASH_EQ] = ACTIONS(2185),
    [anon_sym_STAR_EQ] = ACTIONS(2185),
    [anon_sym_SLASH_EQ] = ACTIONS(2185),
    [anon_sym_PERCENT_EQ] = ACTIONS(2185),
    [anon_sym_BANG_EQ] = ACTIONS(2183),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2185),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2185),
    [anon_sym_LT_EQ] = ACTIONS(2185),
    [anon_sym_GT_EQ] = ACTIONS(2185),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(2183),
    [anon_sym_SLASH] = ACTIONS(2183),
    [anon_sym_PERCENT] = ACTIONS(2183),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(2185),
    [anon_sym_CARET] = ACTIONS(2183),
    [anon_sym_LT_LT] = ACTIONS(2185),
    [anon_sym_GT_GT] = ACTIONS(2185),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(2185),
    [sym__eq_eq_custom] = ACTIONS(2185),
    [sym__plus_then_ws] = ACTIONS(2185),
    [sym__minus_then_ws] = ACTIONS(2185),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [536] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1345),
    [sym_boolean_literal] = STATE(1345),
    [sym__string_literal] = STATE(1345),
    [sym_line_string_literal] = STATE(1345),
    [sym_multi_line_string_literal] = STATE(1345),
    [sym_raw_string_literal] = STATE(1345),
    [sym_regex_literal] = STATE(1345),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1345),
    [sym__unary_expression] = STATE(1345),
    [sym_postfix_expression] = STATE(1345),
    [sym_constructor_expression] = STATE(1345),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1345),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1345),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1345),
    [sym_prefix_expression] = STATE(1345),
    [sym_as_expression] = STATE(1345),
    [sym_selector_expression] = STATE(1345),
    [sym__binary_expression] = STATE(1345),
    [sym_multiplicative_expression] = STATE(1345),
    [sym_additive_expression] = STATE(1345),
    [sym_range_expression] = STATE(1345),
    [sym_infix_expression] = STATE(1345),
    [sym_nil_coalescing_expression] = STATE(1345),
    [sym_check_expression] = STATE(1345),
    [sym_comparison_expression] = STATE(1345),
    [sym_equality_expression] = STATE(1345),
    [sym_conjunction_expression] = STATE(1345),
    [sym_disjunction_expression] = STATE(1345),
    [sym_bitwise_operation] = STATE(1345),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1345),
    [sym_await_expression] = STATE(1345),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1345),
    [sym_call_expression] = STATE(1345),
    [sym__primary_expression] = STATE(1345),
    [sym_tuple_expression] = STATE(1345),
    [sym_array_literal] = STATE(1345),
    [sym_dictionary_literal] = STATE(1345),
    [sym__special_literal] = STATE(1345),
    [sym__playground_literal] = STATE(1345),
    [sym_lambda_literal] = STATE(1345),
    [sym_self_expression] = STATE(1345),
    [sym_super_expression] = STATE(1345),
    [sym_if_statement] = STATE(1345),
    [sym_switch_statement] = STATE(1345),
    [sym_key_path_expression] = STATE(1345),
    [sym_key_path_string_expression] = STATE(1345),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1345),
    [sym__equality_operator] = STATE(1345),
    [sym__comparison_operator] = STATE(1345),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1345),
    [sym__multiplicative_operator] = STATE(1345),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1345),
    [sym_value_parameter_pack] = STATE(1345),
    [sym_value_pack_expansion] = STATE(1345),
    [sym__referenceable_operator] = STATE(1345),
    [sym__equal_sign] = STATE(1345),
    [sym__eq_eq] = STATE(1345),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(2187),
    [sym_real_literal] = ACTIONS(2189),
    [sym_integer_literal] = ACTIONS(2187),
    [sym_hex_literal] = ACTIONS(2189),
    [sym_oct_literal] = ACTIONS(2189),
    [sym_bin_literal] = ACTIONS(2189),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(2187),
    [anon_sym_GT] = ACTIONS(2187),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(2187),
    [anon_sym_POUNDfileID] = ACTIONS(2189),
    [anon_sym_POUNDfilePath] = ACTIONS(2189),
    [anon_sym_POUNDline] = ACTIONS(2189),
    [anon_sym_POUNDcolumn] = ACTIONS(2189),
    [anon_sym_POUNDfunction] = ACTIONS(2189),
    [anon_sym_POUNDdsohandle] = ACTIONS(2189),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(2189),
    [anon_sym_DASH_EQ] = ACTIONS(2189),
    [anon_sym_STAR_EQ] = ACTIONS(2189),
    [anon_sym_SLASH_EQ] = ACTIONS(2189),
    [anon_sym_PERCENT_EQ] = ACTIONS(2189),
    [anon_sym_BANG_EQ] = ACTIONS(2187),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2189),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2189),
    [anon_sym_LT_EQ] = ACTIONS(2189),
    [anon_sym_GT_EQ] = ACTIONS(2189),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(2187),
    [anon_sym_SLASH] = ACTIONS(2187),
    [anon_sym_PERCENT] = ACTIONS(2187),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(2189),
    [anon_sym_CARET] = ACTIONS(2187),
    [anon_sym_LT_LT] = ACTIONS(2189),
    [anon_sym_GT_GT] = ACTIONS(2189),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(2189),
    [sym__eq_eq_custom] = ACTIONS(2189),
    [sym__plus_then_ws] = ACTIONS(2189),
    [sym__minus_then_ws] = ACTIONS(2189),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [537] = {
    [sym_simple_identifier] = STATE(2498),
    [sym__contextual_simple_identifier] = STATE(2439),
    [sym__basic_literal] = STATE(1323),
    [sym_boolean_literal] = STATE(1323),
    [sym__string_literal] = STATE(1323),
    [sym_line_string_literal] = STATE(1323),
    [sym_multi_line_string_literal] = STATE(1323),
    [sym_raw_string_literal] = STATE(1323),
    [sym_regex_literal] = STATE(1323),
    [sym__multiline_regex_literal] = STATE(2683),
    [sym_user_type] = STATE(5473),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5473),
    [sym_dictionary_type] = STATE(5473),
    [sym__expression] = STATE(1323),
    [sym__unary_expression] = STATE(1323),
    [sym_postfix_expression] = STATE(1323),
    [sym_constructor_expression] = STATE(1323),
    [sym__parenthesized_type] = STATE(6860),
    [sym_navigation_expression] = STATE(1323),
    [sym__navigable_type_expression] = STATE(6859),
    [sym_open_start_range_expression] = STATE(1323),
    [sym__range_operator] = STATE(601),
    [sym_open_end_range_expression] = STATE(1323),
    [sym_prefix_expression] = STATE(1323),
    [sym_as_expression] = STATE(1323),
    [sym_selector_expression] = STATE(1323),
    [sym__binary_expression] = STATE(1323),
    [sym_multiplicative_expression] = STATE(1323),
    [sym_additive_expression] = STATE(1323),
    [sym_range_expression] = STATE(1323),
    [sym_infix_expression] = STATE(1323),
    [sym_nil_coalescing_expression] = STATE(1323),
    [sym_check_expression] = STATE(1323),
    [sym_comparison_expression] = STATE(1323),
    [sym_equality_expression] = STATE(1323),
    [sym_conjunction_expression] = STATE(1323),
    [sym_disjunction_expression] = STATE(1323),
    [sym_bitwise_operation] = STATE(1323),
    [sym_custom_operator] = STATE(885),
    [sym_try_expression] = STATE(1323),
    [sym_await_expression] = STATE(1323),
    [sym__await_operator] = STATE(603),
    [sym_ternary_expression] = STATE(1323),
    [sym_call_expression] = STATE(1323),
    [sym__primary_expression] = STATE(1323),
    [sym_tuple_expression] = STATE(1323),
    [sym_array_literal] = STATE(1323),
    [sym_dictionary_literal] = STATE(1323),
    [sym__special_literal] = STATE(1323),
    [sym__playground_literal] = STATE(1323),
    [sym_lambda_literal] = STATE(1323),
    [sym_self_expression] = STATE(1323),
    [sym_super_expression] = STATE(1323),
    [sym_if_statement] = STATE(1323),
    [sym_switch_statement] = STATE(1323),
    [sym_key_path_expression] = STATE(1323),
    [sym_key_path_string_expression] = STATE(1323),
    [sym_try_operator] = STATE(598),
    [sym__assignment_and_operator] = STATE(1323),
    [sym__equality_operator] = STATE(1323),
    [sym__comparison_operator] = STATE(1323),
    [sym__three_dot_operator] = STATE(877),
    [sym__open_ended_range_operator] = STATE(601),
    [sym__additive_operator] = STATE(1323),
    [sym__multiplicative_operator] = STATE(1323),
    [sym__prefix_unary_operator] = STATE(593),
    [sym_directly_assignable_expression] = STATE(5475),
    [sym_assignment] = STATE(1323),
    [sym_value_parameter_pack] = STATE(1323),
    [sym_value_pack_expansion] = STATE(1323),
    [sym__referenceable_operator] = STATE(1323),
    [sym__equal_sign] = STATE(1323),
    [sym__eq_eq] = STATE(1323),
    [sym__dot] = STATE(593),
    [sym_bang] = STATE(885),
    [sym__parameter_ownership_modifier] = STATE(2439),
    [aux_sym_raw_string_literal_repeat1] = STATE(6858),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(1309),
    [aux_sym_simple_identifier_token2] = ACTIONS(1311),
    [aux_sym_simple_identifier_token3] = ACTIONS(1311),
    [aux_sym_simple_identifier_token4] = ACTIONS(1311),
    [anon_sym_actor] = ACTIONS(1309),
    [anon_sym_async] = ACTIONS(1309),
    [anon_sym_each] = ACTIONS(1313),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_repeat] = ACTIONS(1315),
    [anon_sym_package] = ACTIONS(1309),
    [anon_sym_nil] = ACTIONS(2191),
    [sym_real_literal] = ACTIONS(2193),
    [sym_integer_literal] = ACTIONS(2191),
    [sym_hex_literal] = ACTIONS(2193),
    [sym_oct_literal] = ACTIONS(2193),
    [sym_bin_literal] = ACTIONS(2193),
    [anon_sym_true] = ACTIONS(1321),
    [anon_sym_false] = ACTIONS(1321),
    [anon_sym_DQUOTE] = ACTIONS(1323),
    [anon_sym_BSLASH] = ACTIONS(1325),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1327),
    [sym__extended_regex_literal] = ACTIONS(1329),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(1331),
    [sym__oneline_regex_literal] = ACTIONS(1333),
    [anon_sym_LPAREN] = ACTIONS(1335),
    [anon_sym_LBRACK] = ACTIONS(1337),
    [anon_sym_AMP] = ACTIONS(1339),
    [anon_sym_if] = ACTIONS(1341),
    [anon_sym_switch] = ACTIONS(1343),
    [anon_sym_POUNDselector] = ACTIONS(1345),
    [aux_sym_custom_operator_token1] = ACTIONS(1347),
    [anon_sym_LT] = ACTIONS(2191),
    [anon_sym_GT] = ACTIONS(2191),
    [anon_sym_await] = ACTIONS(1349),
    [anon_sym_POUNDfile] = ACTIONS(2191),
    [anon_sym_POUNDfileID] = ACTIONS(2193),
    [anon_sym_POUNDfilePath] = ACTIONS(2193),
    [anon_sym_POUNDline] = ACTIONS(2193),
    [anon_sym_POUNDcolumn] = ACTIONS(2193),
    [anon_sym_POUNDfunction] = ACTIONS(2193),
    [anon_sym_POUNDdsohandle] = ACTIONS(2193),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(1351),
    [anon_sym_POUNDfileLiteral] = ACTIONS(1351),
    [anon_sym_POUNDimageLiteral] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_CARET_LBRACE] = ACTIONS(1353),
    [anon_sym_self] = ACTIONS(1355),
    [anon_sym_super] = ACTIONS(1357),
    [anon_sym_POUNDkeyPath] = ACTIONS(1359),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(2193),
    [anon_sym_DASH_EQ] = ACTIONS(2193),
    [anon_sym_STAR_EQ] = ACTIONS(2193),
    [anon_sym_SLASH_EQ] = ACTIONS(2193),
    [anon_sym_PERCENT_EQ] = ACTIONS(2193),
    [anon_sym_BANG_EQ] = ACTIONS(2191),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2193),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2193),
    [anon_sym_LT_EQ] = ACTIONS(2193),
    [anon_sym_GT_EQ] = ACTIONS(2193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1361),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1363),
    [anon_sym_PLUS] = ACTIONS(1365),
    [anon_sym_DASH] = ACTIONS(1365),
    [anon_sym_STAR] = ACTIONS(2191),
    [anon_sym_SLASH] = ACTIONS(2191),
    [anon_sym_PERCENT] = ACTIONS(2191),
    [anon_sym_PLUS_PLUS] = ACTIONS(1339),
    [anon_sym_DASH_DASH] = ACTIONS(1339),
    [anon_sym_TILDE] = ACTIONS(1339),
    [anon_sym_PIPE] = ACTIONS(2193),
    [anon_sym_CARET] = ACTIONS(2191),
    [anon_sym_LT_LT] = ACTIONS(2193),
    [anon_sym_GT_GT] = ACTIONS(2193),
    [anon_sym_BANG2] = ACTIONS(1367),
    [anon_sym_borrowing] = ACTIONS(1309),
    [anon_sym_consuming] = ACTIONS(1309),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(1369),
    [sym__dot_custom] = ACTIONS(1371),
    [sym__eq_custom] = ACTIONS(2193),
    [sym__eq_eq_custom] = ACTIONS(2193),
    [sym__plus_then_ws] = ACTIONS(2193),
    [sym__minus_then_ws] = ACTIONS(2193),
    [sym__bang_custom] = ACTIONS(1373),
    [sym__custom_operator] = ACTIONS(1347),
  },
  [538] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1395),
    [sym_boolean_literal] = STATE(1395),
    [sym__string_literal] = STATE(1395),
    [sym_line_string_literal] = STATE(1395),
    [sym_multi_line_string_literal] = STATE(1395),
    [sym_raw_string_literal] = STATE(1395),
    [sym_regex_literal] = STATE(1395),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1395),
    [sym__unary_expression] = STATE(1395),
    [sym_postfix_expression] = STATE(1395),
    [sym_constructor_expression] = STATE(1395),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1395),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1395),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1395),
    [sym_prefix_expression] = STATE(1395),
    [sym_as_expression] = STATE(1395),
    [sym_selector_expression] = STATE(1395),
    [sym__binary_expression] = STATE(1395),
    [sym_multiplicative_expression] = STATE(1395),
    [sym_additive_expression] = STATE(1395),
    [sym_range_expression] = STATE(1395),
    [sym_infix_expression] = STATE(1395),
    [sym_nil_coalescing_expression] = STATE(1395),
    [sym_check_expression] = STATE(1395),
    [sym_comparison_expression] = STATE(1395),
    [sym_equality_expression] = STATE(1395),
    [sym_conjunction_expression] = STATE(1395),
    [sym_disjunction_expression] = STATE(1395),
    [sym_bitwise_operation] = STATE(1395),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1395),
    [sym_await_expression] = STATE(1395),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1395),
    [sym_call_expression] = STATE(1395),
    [sym__primary_expression] = STATE(1395),
    [sym_tuple_expression] = STATE(1395),
    [sym_array_literal] = STATE(1395),
    [sym_dictionary_literal] = STATE(1395),
    [sym__special_literal] = STATE(1395),
    [sym__playground_literal] = STATE(1395),
    [sym_lambda_literal] = STATE(1395),
    [sym_self_expression] = STATE(1395),
    [sym_super_expression] = STATE(1395),
    [sym_if_statement] = STATE(1395),
    [sym_switch_statement] = STATE(1395),
    [sym_key_path_expression] = STATE(1395),
    [sym_key_path_string_expression] = STATE(1395),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1395),
    [sym__equality_operator] = STATE(1395),
    [sym__comparison_operator] = STATE(1395),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1395),
    [sym__multiplicative_operator] = STATE(1395),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1395),
    [sym_value_parameter_pack] = STATE(1395),
    [sym_value_pack_expansion] = STATE(1395),
    [sym__referenceable_operator] = STATE(1395),
    [sym__equal_sign] = STATE(1395),
    [sym__eq_eq] = STATE(1395),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(2195),
    [sym_real_literal] = ACTIONS(2197),
    [sym_integer_literal] = ACTIONS(2195),
    [sym_hex_literal] = ACTIONS(2197),
    [sym_oct_literal] = ACTIONS(2197),
    [sym_bin_literal] = ACTIONS(2197),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(2195),
    [anon_sym_GT] = ACTIONS(2195),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(2195),
    [anon_sym_POUNDfileID] = ACTIONS(2197),
    [anon_sym_POUNDfilePath] = ACTIONS(2197),
    [anon_sym_POUNDline] = ACTIONS(2197),
    [anon_sym_POUNDcolumn] = ACTIONS(2197),
    [anon_sym_POUNDfunction] = ACTIONS(2197),
    [anon_sym_POUNDdsohandle] = ACTIONS(2197),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(2197),
    [anon_sym_DASH_EQ] = ACTIONS(2197),
    [anon_sym_STAR_EQ] = ACTIONS(2197),
    [anon_sym_SLASH_EQ] = ACTIONS(2197),
    [anon_sym_PERCENT_EQ] = ACTIONS(2197),
    [anon_sym_BANG_EQ] = ACTIONS(2195),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2197),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2197),
    [anon_sym_LT_EQ] = ACTIONS(2197),
    [anon_sym_GT_EQ] = ACTIONS(2197),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(2195),
    [anon_sym_SLASH] = ACTIONS(2195),
    [anon_sym_PERCENT] = ACTIONS(2195),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(2197),
    [anon_sym_CARET] = ACTIONS(2195),
    [anon_sym_LT_LT] = ACTIONS(2197),
    [anon_sym_GT_GT] = ACTIONS(2197),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(2197),
    [sym__eq_eq_custom] = ACTIONS(2197),
    [sym__plus_then_ws] = ACTIONS(2197),
    [sym__minus_then_ws] = ACTIONS(2197),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [539] = {
    [sym_simple_identifier] = STATE(2072),
    [sym__contextual_simple_identifier] = STATE(2016),
    [sym__basic_literal] = STATE(1253),
    [sym_boolean_literal] = STATE(1253),
    [sym__string_literal] = STATE(1253),
    [sym_line_string_literal] = STATE(1253),
    [sym_multi_line_string_literal] = STATE(1253),
    [sym_raw_string_literal] = STATE(1253),
    [sym_regex_literal] = STATE(1253),
    [sym__multiline_regex_literal] = STATE(2164),
    [sym_user_type] = STATE(5497),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5497),
    [sym_dictionary_type] = STATE(5497),
    [sym__expression] = STATE(1253),
    [sym__unary_expression] = STATE(1253),
    [sym_postfix_expression] = STATE(1253),
    [sym_constructor_expression] = STATE(1253),
    [sym__parenthesized_type] = STATE(6725),
    [sym_navigation_expression] = STATE(1253),
    [sym__navigable_type_expression] = STATE(6724),
    [sym_open_start_range_expression] = STATE(1253),
    [sym__range_operator] = STATE(467),
    [sym_open_end_range_expression] = STATE(1253),
    [sym_prefix_expression] = STATE(1253),
    [sym_as_expression] = STATE(1253),
    [sym_selector_expression] = STATE(1253),
    [sym__binary_expression] = STATE(1253),
    [sym_multiplicative_expression] = STATE(1253),
    [sym_additive_expression] = STATE(1253),
    [sym_range_expression] = STATE(1253),
    [sym_infix_expression] = STATE(1253),
    [sym_nil_coalescing_expression] = STATE(1253),
    [sym_check_expression] = STATE(1253),
    [sym_comparison_expression] = STATE(1253),
    [sym_equality_expression] = STATE(1253),
    [sym_conjunction_expression] = STATE(1253),
    [sym_disjunction_expression] = STATE(1253),
    [sym_bitwise_operation] = STATE(1253),
    [sym_custom_operator] = STATE(835),
    [sym_try_expression] = STATE(1253),
    [sym_await_expression] = STATE(1253),
    [sym__await_operator] = STATE(466),
    [sym_ternary_expression] = STATE(1253),
    [sym_call_expression] = STATE(1253),
    [sym__primary_expression] = STATE(1253),
    [sym_tuple_expression] = STATE(1253),
    [sym_array_literal] = STATE(1253),
    [sym_dictionary_literal] = STATE(1253),
    [sym__special_literal] = STATE(1253),
    [sym__playground_literal] = STATE(1253),
    [sym_lambda_literal] = STATE(1253),
    [sym_self_expression] = STATE(1253),
    [sym_super_expression] = STATE(1253),
    [sym_if_statement] = STATE(1253),
    [sym_switch_statement] = STATE(1253),
    [sym_key_path_expression] = STATE(1253),
    [sym_key_path_string_expression] = STATE(1253),
    [sym_try_operator] = STATE(455),
    [sym__assignment_and_operator] = STATE(1253),
    [sym__equality_operator] = STATE(1253),
    [sym__comparison_operator] = STATE(1253),
    [sym__three_dot_operator] = STATE(837),
    [sym__open_ended_range_operator] = STATE(467),
    [sym__additive_operator] = STATE(1253),
    [sym__multiplicative_operator] = STATE(1253),
    [sym__prefix_unary_operator] = STATE(468),
    [sym_directly_assignable_expression] = STATE(5498),
    [sym_assignment] = STATE(1253),
    [sym_value_parameter_pack] = STATE(1253),
    [sym_value_pack_expansion] = STATE(1253),
    [sym__referenceable_operator] = STATE(1253),
    [sym__equal_sign] = STATE(1253),
    [sym__eq_eq] = STATE(1253),
    [sym__dot] = STATE(468),
    [sym_bang] = STATE(835),
    [sym__parameter_ownership_modifier] = STATE(2016),
    [aux_sym_raw_string_literal_repeat1] = STATE(6553),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(971),
    [aux_sym_simple_identifier_token2] = ACTIONS(973),
    [aux_sym_simple_identifier_token3] = ACTIONS(973),
    [aux_sym_simple_identifier_token4] = ACTIONS(973),
    [anon_sym_actor] = ACTIONS(971),
    [anon_sym_async] = ACTIONS(971),
    [anon_sym_each] = ACTIONS(975),
    [anon_sym_lazy] = ACTIONS(971),
    [anon_sym_repeat] = ACTIONS(977),
    [anon_sym_package] = ACTIONS(971),
    [anon_sym_nil] = ACTIONS(2199),
    [sym_real_literal] = ACTIONS(2201),
    [sym_integer_literal] = ACTIONS(2199),
    [sym_hex_literal] = ACTIONS(2201),
    [sym_oct_literal] = ACTIONS(2201),
    [sym_bin_literal] = ACTIONS(2201),
    [anon_sym_true] = ACTIONS(983),
    [anon_sym_false] = ACTIONS(983),
    [anon_sym_DQUOTE] = ACTIONS(985),
    [anon_sym_BSLASH] = ACTIONS(987),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(989),
    [sym__extended_regex_literal] = ACTIONS(991),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(993),
    [sym__oneline_regex_literal] = ACTIONS(995),
    [anon_sym_LPAREN] = ACTIONS(997),
    [anon_sym_LBRACK] = ACTIONS(999),
    [anon_sym_AMP] = ACTIONS(1001),
    [anon_sym_if] = ACTIONS(1003),
    [anon_sym_switch] = ACTIONS(1005),
    [anon_sym_POUNDselector] = ACTIONS(1007),
    [aux_sym_custom_operator_token1] = ACTIONS(1009),
    [anon_sym_LT] = ACTIONS(2199),
    [anon_sym_GT] = ACTIONS(2199),
    [anon_sym_await] = ACTIONS(1011),
    [anon_sym_POUNDfile] = ACTIONS(2199),
    [anon_sym_POUNDfileID] = ACTIONS(2201),
    [anon_sym_POUNDfilePath] = ACTIONS(2201),
    [anon_sym_POUNDline] = ACTIONS(2201),
    [anon_sym_POUNDcolumn] = ACTIONS(2201),
    [anon_sym_POUNDfunction] = ACTIONS(2201),
    [anon_sym_POUNDdsohandle] = ACTIONS(2201),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(1013),
    [anon_sym_POUNDfileLiteral] = ACTIONS(1013),
    [anon_sym_POUNDimageLiteral] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(1015),
    [anon_sym_CARET_LBRACE] = ACTIONS(1015),
    [anon_sym_self] = ACTIONS(1017),
    [anon_sym_super] = ACTIONS(1019),
    [anon_sym_POUNDkeyPath] = ACTIONS(1021),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(2201),
    [anon_sym_DASH_EQ] = ACTIONS(2201),
    [anon_sym_STAR_EQ] = ACTIONS(2201),
    [anon_sym_SLASH_EQ] = ACTIONS(2201),
    [anon_sym_PERCENT_EQ] = ACTIONS(2201),
    [anon_sym_BANG_EQ] = ACTIONS(2199),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2201),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2201),
    [anon_sym_LT_EQ] = ACTIONS(2201),
    [anon_sym_GT_EQ] = ACTIONS(2201),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1023),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1025),
    [anon_sym_PLUS] = ACTIONS(1027),
    [anon_sym_DASH] = ACTIONS(1027),
    [anon_sym_STAR] = ACTIONS(2199),
    [anon_sym_SLASH] = ACTIONS(2199),
    [anon_sym_PERCENT] = ACTIONS(2199),
    [anon_sym_PLUS_PLUS] = ACTIONS(1001),
    [anon_sym_DASH_DASH] = ACTIONS(1001),
    [anon_sym_TILDE] = ACTIONS(1001),
    [anon_sym_PIPE] = ACTIONS(2201),
    [anon_sym_CARET] = ACTIONS(2199),
    [anon_sym_LT_LT] = ACTIONS(2201),
    [anon_sym_GT_GT] = ACTIONS(2201),
    [anon_sym_BANG2] = ACTIONS(1029),
    [anon_sym_borrowing] = ACTIONS(971),
    [anon_sym_consuming] = ACTIONS(971),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(1031),
    [sym__dot_custom] = ACTIONS(1033),
    [sym__eq_custom] = ACTIONS(2201),
    [sym__eq_eq_custom] = ACTIONS(2201),
    [sym__plus_then_ws] = ACTIONS(2201),
    [sym__minus_then_ws] = ACTIONS(2201),
    [sym__bang_custom] = ACTIONS(1035),
    [sym__custom_operator] = ACTIONS(1009),
  },
  [540] = {
    [sym_simple_identifier] = STATE(2315),
    [sym__contextual_simple_identifier] = STATE(2218),
    [sym__basic_literal] = STATE(1275),
    [sym_boolean_literal] = STATE(1275),
    [sym__string_literal] = STATE(1275),
    [sym_line_string_literal] = STATE(1275),
    [sym_multi_line_string_literal] = STATE(1275),
    [sym_raw_string_literal] = STATE(1275),
    [sym_regex_literal] = STATE(1275),
    [sym__multiline_regex_literal] = STATE(2574),
    [sym_user_type] = STATE(5528),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5528),
    [sym_dictionary_type] = STATE(5528),
    [sym__expression] = STATE(1275),
    [sym__unary_expression] = STATE(1275),
    [sym_postfix_expression] = STATE(1275),
    [sym_constructor_expression] = STATE(1275),
    [sym__parenthesized_type] = STATE(6484),
    [sym_navigation_expression] = STATE(1275),
    [sym__navigable_type_expression] = STATE(6485),
    [sym_open_start_range_expression] = STATE(1275),
    [sym__range_operator] = STATE(483),
    [sym_open_end_range_expression] = STATE(1275),
    [sym_prefix_expression] = STATE(1275),
    [sym_as_expression] = STATE(1275),
    [sym_selector_expression] = STATE(1275),
    [sym__binary_expression] = STATE(1275),
    [sym_multiplicative_expression] = STATE(1275),
    [sym_additive_expression] = STATE(1275),
    [sym_range_expression] = STATE(1275),
    [sym_infix_expression] = STATE(1275),
    [sym_nil_coalescing_expression] = STATE(1275),
    [sym_check_expression] = STATE(1275),
    [sym_comparison_expression] = STATE(1275),
    [sym_equality_expression] = STATE(1275),
    [sym_conjunction_expression] = STATE(1275),
    [sym_disjunction_expression] = STATE(1275),
    [sym_bitwise_operation] = STATE(1275),
    [sym_custom_operator] = STATE(865),
    [sym_try_expression] = STATE(1275),
    [sym_await_expression] = STATE(1275),
    [sym__await_operator] = STATE(485),
    [sym_ternary_expression] = STATE(1275),
    [sym_call_expression] = STATE(1275),
    [sym__primary_expression] = STATE(1275),
    [sym_tuple_expression] = STATE(1275),
    [sym_array_literal] = STATE(1275),
    [sym_dictionary_literal] = STATE(1275),
    [sym__special_literal] = STATE(1275),
    [sym__playground_literal] = STATE(1275),
    [sym_lambda_literal] = STATE(1275),
    [sym_self_expression] = STATE(1275),
    [sym_super_expression] = STATE(1275),
    [sym_if_statement] = STATE(1275),
    [sym_switch_statement] = STATE(1275),
    [sym_key_path_expression] = STATE(1275),
    [sym_key_path_string_expression] = STATE(1275),
    [sym_try_operator] = STATE(491),
    [sym__assignment_and_operator] = STATE(1275),
    [sym__equality_operator] = STATE(1275),
    [sym__comparison_operator] = STATE(1275),
    [sym__three_dot_operator] = STATE(859),
    [sym__open_ended_range_operator] = STATE(483),
    [sym__additive_operator] = STATE(1275),
    [sym__multiplicative_operator] = STATE(1275),
    [sym__prefix_unary_operator] = STATE(497),
    [sym_directly_assignable_expression] = STATE(5531),
    [sym_assignment] = STATE(1275),
    [sym_value_parameter_pack] = STATE(1275),
    [sym_value_pack_expansion] = STATE(1275),
    [sym__referenceable_operator] = STATE(1275),
    [sym__equal_sign] = STATE(1275),
    [sym__eq_eq] = STATE(1275),
    [sym__dot] = STATE(497),
    [sym_bang] = STATE(865),
    [sym__parameter_ownership_modifier] = STATE(2218),
    [aux_sym_raw_string_literal_repeat1] = STATE(6575),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(1227),
    [aux_sym_simple_identifier_token2] = ACTIONS(1229),
    [aux_sym_simple_identifier_token3] = ACTIONS(1229),
    [aux_sym_simple_identifier_token4] = ACTIONS(1229),
    [anon_sym_actor] = ACTIONS(1227),
    [anon_sym_async] = ACTIONS(1227),
    [anon_sym_each] = ACTIONS(1231),
    [anon_sym_lazy] = ACTIONS(1227),
    [anon_sym_repeat] = ACTIONS(1233),
    [anon_sym_package] = ACTIONS(1227),
    [anon_sym_nil] = ACTIONS(2203),
    [sym_real_literal] = ACTIONS(2205),
    [sym_integer_literal] = ACTIONS(2203),
    [sym_hex_literal] = ACTIONS(2205),
    [sym_oct_literal] = ACTIONS(2205),
    [sym_bin_literal] = ACTIONS(2205),
    [anon_sym_true] = ACTIONS(1239),
    [anon_sym_false] = ACTIONS(1239),
    [anon_sym_DQUOTE] = ACTIONS(1241),
    [anon_sym_BSLASH] = ACTIONS(1243),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1245),
    [sym__extended_regex_literal] = ACTIONS(1247),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(1249),
    [sym__oneline_regex_literal] = ACTIONS(1251),
    [anon_sym_LPAREN] = ACTIONS(1253),
    [anon_sym_LBRACK] = ACTIONS(1255),
    [anon_sym_AMP] = ACTIONS(1257),
    [anon_sym_if] = ACTIONS(1259),
    [anon_sym_switch] = ACTIONS(1261),
    [anon_sym_POUNDselector] = ACTIONS(1263),
    [aux_sym_custom_operator_token1] = ACTIONS(1265),
    [anon_sym_LT] = ACTIONS(2203),
    [anon_sym_GT] = ACTIONS(2203),
    [anon_sym_await] = ACTIONS(1267),
    [anon_sym_POUNDfile] = ACTIONS(2203),
    [anon_sym_POUNDfileID] = ACTIONS(2205),
    [anon_sym_POUNDfilePath] = ACTIONS(2205),
    [anon_sym_POUNDline] = ACTIONS(2205),
    [anon_sym_POUNDcolumn] = ACTIONS(2205),
    [anon_sym_POUNDfunction] = ACTIONS(2205),
    [anon_sym_POUNDdsohandle] = ACTIONS(2205),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(1269),
    [anon_sym_POUNDfileLiteral] = ACTIONS(1269),
    [anon_sym_POUNDimageLiteral] = ACTIONS(1269),
    [anon_sym_LBRACE] = ACTIONS(1271),
    [anon_sym_CARET_LBRACE] = ACTIONS(1271),
    [anon_sym_self] = ACTIONS(1273),
    [anon_sym_super] = ACTIONS(1275),
    [anon_sym_POUNDkeyPath] = ACTIONS(1277),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(2205),
    [anon_sym_DASH_EQ] = ACTIONS(2205),
    [anon_sym_STAR_EQ] = ACTIONS(2205),
    [anon_sym_SLASH_EQ] = ACTIONS(2205),
    [anon_sym_PERCENT_EQ] = ACTIONS(2205),
    [anon_sym_BANG_EQ] = ACTIONS(2203),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2205),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2205),
    [anon_sym_LT_EQ] = ACTIONS(2205),
    [anon_sym_GT_EQ] = ACTIONS(2205),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1279),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1281),
    [anon_sym_PLUS] = ACTIONS(1283),
    [anon_sym_DASH] = ACTIONS(1283),
    [anon_sym_STAR] = ACTIONS(2203),
    [anon_sym_SLASH] = ACTIONS(2203),
    [anon_sym_PERCENT] = ACTIONS(2203),
    [anon_sym_PLUS_PLUS] = ACTIONS(1257),
    [anon_sym_DASH_DASH] = ACTIONS(1257),
    [anon_sym_TILDE] = ACTIONS(1257),
    [anon_sym_PIPE] = ACTIONS(2205),
    [anon_sym_CARET] = ACTIONS(2203),
    [anon_sym_LT_LT] = ACTIONS(2205),
    [anon_sym_GT_GT] = ACTIONS(2205),
    [anon_sym_BANG2] = ACTIONS(1285),
    [anon_sym_borrowing] = ACTIONS(1227),
    [anon_sym_consuming] = ACTIONS(1227),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(1287),
    [sym__dot_custom] = ACTIONS(1289),
    [sym__eq_custom] = ACTIONS(2205),
    [sym__eq_eq_custom] = ACTIONS(2205),
    [sym__plus_then_ws] = ACTIONS(2205),
    [sym__minus_then_ws] = ACTIONS(2205),
    [sym__bang_custom] = ACTIONS(1291),
    [sym__custom_operator] = ACTIONS(1265),
  },
  [541] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1447),
    [sym_boolean_literal] = STATE(1447),
    [sym__string_literal] = STATE(1447),
    [sym_line_string_literal] = STATE(1447),
    [sym_multi_line_string_literal] = STATE(1447),
    [sym_raw_string_literal] = STATE(1447),
    [sym_regex_literal] = STATE(1447),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1447),
    [sym__unary_expression] = STATE(1447),
    [sym_postfix_expression] = STATE(1447),
    [sym_constructor_expression] = STATE(1447),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1447),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1447),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1447),
    [sym_prefix_expression] = STATE(1447),
    [sym_as_expression] = STATE(1447),
    [sym_selector_expression] = STATE(1447),
    [sym__binary_expression] = STATE(1447),
    [sym_multiplicative_expression] = STATE(1447),
    [sym_additive_expression] = STATE(1447),
    [sym_range_expression] = STATE(1447),
    [sym_infix_expression] = STATE(1447),
    [sym_nil_coalescing_expression] = STATE(1447),
    [sym_check_expression] = STATE(1447),
    [sym_comparison_expression] = STATE(1447),
    [sym_equality_expression] = STATE(1447),
    [sym_conjunction_expression] = STATE(1447),
    [sym_disjunction_expression] = STATE(1447),
    [sym_bitwise_operation] = STATE(1447),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1447),
    [sym_await_expression] = STATE(1447),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1447),
    [sym_call_expression] = STATE(1447),
    [sym__primary_expression] = STATE(1447),
    [sym_tuple_expression] = STATE(1447),
    [sym_array_literal] = STATE(1447),
    [sym_dictionary_literal] = STATE(1447),
    [sym__special_literal] = STATE(1447),
    [sym__playground_literal] = STATE(1447),
    [sym_lambda_literal] = STATE(1447),
    [sym_self_expression] = STATE(1447),
    [sym_super_expression] = STATE(1447),
    [sym_if_statement] = STATE(1447),
    [sym_switch_statement] = STATE(1447),
    [sym_key_path_expression] = STATE(1447),
    [sym_key_path_string_expression] = STATE(1447),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1447),
    [sym__equality_operator] = STATE(1447),
    [sym__comparison_operator] = STATE(1447),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1447),
    [sym__multiplicative_operator] = STATE(1447),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1447),
    [sym_value_parameter_pack] = STATE(1447),
    [sym_value_pack_expansion] = STATE(1447),
    [sym__referenceable_operator] = STATE(1447),
    [sym__equal_sign] = STATE(1447),
    [sym__eq_eq] = STATE(1447),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(669),
    [sym_real_literal] = ACTIONS(671),
    [sym_integer_literal] = ACTIONS(669),
    [sym_hex_literal] = ACTIONS(671),
    [sym_oct_literal] = ACTIONS(671),
    [sym_bin_literal] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(669),
    [anon_sym_GT] = ACTIONS(669),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(669),
    [anon_sym_POUNDfileID] = ACTIONS(671),
    [anon_sym_POUNDfilePath] = ACTIONS(671),
    [anon_sym_POUNDline] = ACTIONS(671),
    [anon_sym_POUNDcolumn] = ACTIONS(671),
    [anon_sym_POUNDfunction] = ACTIONS(671),
    [anon_sym_POUNDdsohandle] = ACTIONS(671),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(671),
    [anon_sym_DASH_EQ] = ACTIONS(671),
    [anon_sym_STAR_EQ] = ACTIONS(671),
    [anon_sym_SLASH_EQ] = ACTIONS(671),
    [anon_sym_PERCENT_EQ] = ACTIONS(671),
    [anon_sym_BANG_EQ] = ACTIONS(669),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(671),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(671),
    [anon_sym_LT_EQ] = ACTIONS(671),
    [anon_sym_GT_EQ] = ACTIONS(671),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(669),
    [anon_sym_SLASH] = ACTIONS(669),
    [anon_sym_PERCENT] = ACTIONS(669),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(671),
    [anon_sym_CARET] = ACTIONS(669),
    [anon_sym_LT_LT] = ACTIONS(671),
    [anon_sym_GT_GT] = ACTIONS(671),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(671),
    [sym__eq_eq_custom] = ACTIONS(671),
    [sym__plus_then_ws] = ACTIONS(671),
    [sym__minus_then_ws] = ACTIONS(671),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [542] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1422),
    [sym_boolean_literal] = STATE(1422),
    [sym__string_literal] = STATE(1422),
    [sym_line_string_literal] = STATE(1422),
    [sym_multi_line_string_literal] = STATE(1422),
    [sym_raw_string_literal] = STATE(1422),
    [sym_regex_literal] = STATE(1422),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1422),
    [sym__unary_expression] = STATE(1422),
    [sym_postfix_expression] = STATE(1422),
    [sym_constructor_expression] = STATE(1422),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1422),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1422),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1422),
    [sym_prefix_expression] = STATE(1422),
    [sym_as_expression] = STATE(1422),
    [sym_selector_expression] = STATE(1422),
    [sym__binary_expression] = STATE(1422),
    [sym_multiplicative_expression] = STATE(1422),
    [sym_additive_expression] = STATE(1422),
    [sym_range_expression] = STATE(1422),
    [sym_infix_expression] = STATE(1422),
    [sym_nil_coalescing_expression] = STATE(1422),
    [sym_check_expression] = STATE(1422),
    [sym_comparison_expression] = STATE(1422),
    [sym_equality_expression] = STATE(1422),
    [sym_conjunction_expression] = STATE(1422),
    [sym_disjunction_expression] = STATE(1422),
    [sym_bitwise_operation] = STATE(1422),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1422),
    [sym_await_expression] = STATE(1422),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1422),
    [sym_call_expression] = STATE(1422),
    [sym__primary_expression] = STATE(1422),
    [sym_tuple_expression] = STATE(1422),
    [sym_array_literal] = STATE(1422),
    [sym_dictionary_literal] = STATE(1422),
    [sym__special_literal] = STATE(1422),
    [sym__playground_literal] = STATE(1422),
    [sym_lambda_literal] = STATE(1422),
    [sym_self_expression] = STATE(1422),
    [sym_super_expression] = STATE(1422),
    [sym_if_statement] = STATE(1422),
    [sym_switch_statement] = STATE(1422),
    [sym_key_path_expression] = STATE(1422),
    [sym_key_path_string_expression] = STATE(1422),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1422),
    [sym__equality_operator] = STATE(1422),
    [sym__comparison_operator] = STATE(1422),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1422),
    [sym__multiplicative_operator] = STATE(1422),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1422),
    [sym_value_parameter_pack] = STATE(1422),
    [sym_value_pack_expansion] = STATE(1422),
    [sym__referenceable_operator] = STATE(1422),
    [sym__equal_sign] = STATE(1422),
    [sym__eq_eq] = STATE(1422),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(2207),
    [sym_real_literal] = ACTIONS(2209),
    [sym_integer_literal] = ACTIONS(2207),
    [sym_hex_literal] = ACTIONS(2209),
    [sym_oct_literal] = ACTIONS(2209),
    [sym_bin_literal] = ACTIONS(2209),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(2207),
    [anon_sym_GT] = ACTIONS(2207),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(2207),
    [anon_sym_POUNDfileID] = ACTIONS(2209),
    [anon_sym_POUNDfilePath] = ACTIONS(2209),
    [anon_sym_POUNDline] = ACTIONS(2209),
    [anon_sym_POUNDcolumn] = ACTIONS(2209),
    [anon_sym_POUNDfunction] = ACTIONS(2209),
    [anon_sym_POUNDdsohandle] = ACTIONS(2209),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(2209),
    [anon_sym_DASH_EQ] = ACTIONS(2209),
    [anon_sym_STAR_EQ] = ACTIONS(2209),
    [anon_sym_SLASH_EQ] = ACTIONS(2209),
    [anon_sym_PERCENT_EQ] = ACTIONS(2209),
    [anon_sym_BANG_EQ] = ACTIONS(2207),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2209),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2209),
    [anon_sym_LT_EQ] = ACTIONS(2209),
    [anon_sym_GT_EQ] = ACTIONS(2209),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(2207),
    [anon_sym_SLASH] = ACTIONS(2207),
    [anon_sym_PERCENT] = ACTIONS(2207),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(2209),
    [anon_sym_CARET] = ACTIONS(2207),
    [anon_sym_LT_LT] = ACTIONS(2209),
    [anon_sym_GT_GT] = ACTIONS(2209),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(2209),
    [sym__eq_eq_custom] = ACTIONS(2209),
    [sym__plus_then_ws] = ACTIONS(2209),
    [sym__minus_then_ws] = ACTIONS(2209),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [543] = {
    [sym_simple_identifier] = STATE(2072),
    [sym__contextual_simple_identifier] = STATE(2016),
    [sym__basic_literal] = STATE(1261),
    [sym_boolean_literal] = STATE(1261),
    [sym__string_literal] = STATE(1261),
    [sym_line_string_literal] = STATE(1261),
    [sym_multi_line_string_literal] = STATE(1261),
    [sym_raw_string_literal] = STATE(1261),
    [sym_regex_literal] = STATE(1261),
    [sym__multiline_regex_literal] = STATE(2164),
    [sym_user_type] = STATE(5497),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5497),
    [sym_dictionary_type] = STATE(5497),
    [sym__expression] = STATE(1261),
    [sym__unary_expression] = STATE(1261),
    [sym_postfix_expression] = STATE(1261),
    [sym_constructor_expression] = STATE(1261),
    [sym__parenthesized_type] = STATE(6725),
    [sym_navigation_expression] = STATE(1261),
    [sym__navigable_type_expression] = STATE(6724),
    [sym_open_start_range_expression] = STATE(1261),
    [sym__range_operator] = STATE(467),
    [sym_open_end_range_expression] = STATE(1261),
    [sym_prefix_expression] = STATE(1261),
    [sym_as_expression] = STATE(1261),
    [sym_selector_expression] = STATE(1261),
    [sym__binary_expression] = STATE(1261),
    [sym_multiplicative_expression] = STATE(1261),
    [sym_additive_expression] = STATE(1261),
    [sym_range_expression] = STATE(1261),
    [sym_infix_expression] = STATE(1261),
    [sym_nil_coalescing_expression] = STATE(1261),
    [sym_check_expression] = STATE(1261),
    [sym_comparison_expression] = STATE(1261),
    [sym_equality_expression] = STATE(1261),
    [sym_conjunction_expression] = STATE(1261),
    [sym_disjunction_expression] = STATE(1261),
    [sym_bitwise_operation] = STATE(1261),
    [sym_custom_operator] = STATE(835),
    [sym_try_expression] = STATE(1261),
    [sym_await_expression] = STATE(1261),
    [sym__await_operator] = STATE(466),
    [sym_ternary_expression] = STATE(1261),
    [sym_call_expression] = STATE(1261),
    [sym__primary_expression] = STATE(1261),
    [sym_tuple_expression] = STATE(1261),
    [sym_array_literal] = STATE(1261),
    [sym_dictionary_literal] = STATE(1261),
    [sym__special_literal] = STATE(1261),
    [sym__playground_literal] = STATE(1261),
    [sym_lambda_literal] = STATE(1261),
    [sym_self_expression] = STATE(1261),
    [sym_super_expression] = STATE(1261),
    [sym_if_statement] = STATE(1261),
    [sym_switch_statement] = STATE(1261),
    [sym_key_path_expression] = STATE(1261),
    [sym_key_path_string_expression] = STATE(1261),
    [sym_try_operator] = STATE(455),
    [sym__assignment_and_operator] = STATE(1261),
    [sym__equality_operator] = STATE(1261),
    [sym__comparison_operator] = STATE(1261),
    [sym__three_dot_operator] = STATE(837),
    [sym__open_ended_range_operator] = STATE(467),
    [sym__additive_operator] = STATE(1261),
    [sym__multiplicative_operator] = STATE(1261),
    [sym__prefix_unary_operator] = STATE(468),
    [sym_directly_assignable_expression] = STATE(5498),
    [sym_assignment] = STATE(1261),
    [sym_value_parameter_pack] = STATE(1261),
    [sym_value_pack_expansion] = STATE(1261),
    [sym__referenceable_operator] = STATE(1261),
    [sym__equal_sign] = STATE(1261),
    [sym__eq_eq] = STATE(1261),
    [sym__dot] = STATE(468),
    [sym_bang] = STATE(835),
    [sym__parameter_ownership_modifier] = STATE(2016),
    [aux_sym_raw_string_literal_repeat1] = STATE(6553),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(971),
    [aux_sym_simple_identifier_token2] = ACTIONS(973),
    [aux_sym_simple_identifier_token3] = ACTIONS(973),
    [aux_sym_simple_identifier_token4] = ACTIONS(973),
    [anon_sym_actor] = ACTIONS(971),
    [anon_sym_async] = ACTIONS(971),
    [anon_sym_each] = ACTIONS(975),
    [anon_sym_lazy] = ACTIONS(971),
    [anon_sym_repeat] = ACTIONS(977),
    [anon_sym_package] = ACTIONS(971),
    [anon_sym_nil] = ACTIONS(2211),
    [sym_real_literal] = ACTIONS(2213),
    [sym_integer_literal] = ACTIONS(2211),
    [sym_hex_literal] = ACTIONS(2213),
    [sym_oct_literal] = ACTIONS(2213),
    [sym_bin_literal] = ACTIONS(2213),
    [anon_sym_true] = ACTIONS(983),
    [anon_sym_false] = ACTIONS(983),
    [anon_sym_DQUOTE] = ACTIONS(985),
    [anon_sym_BSLASH] = ACTIONS(987),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(989),
    [sym__extended_regex_literal] = ACTIONS(991),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(993),
    [sym__oneline_regex_literal] = ACTIONS(995),
    [anon_sym_LPAREN] = ACTIONS(997),
    [anon_sym_LBRACK] = ACTIONS(999),
    [anon_sym_AMP] = ACTIONS(1001),
    [anon_sym_if] = ACTIONS(1003),
    [anon_sym_switch] = ACTIONS(1005),
    [anon_sym_POUNDselector] = ACTIONS(1007),
    [aux_sym_custom_operator_token1] = ACTIONS(1009),
    [anon_sym_LT] = ACTIONS(2211),
    [anon_sym_GT] = ACTIONS(2211),
    [anon_sym_await] = ACTIONS(1011),
    [anon_sym_POUNDfile] = ACTIONS(2211),
    [anon_sym_POUNDfileID] = ACTIONS(2213),
    [anon_sym_POUNDfilePath] = ACTIONS(2213),
    [anon_sym_POUNDline] = ACTIONS(2213),
    [anon_sym_POUNDcolumn] = ACTIONS(2213),
    [anon_sym_POUNDfunction] = ACTIONS(2213),
    [anon_sym_POUNDdsohandle] = ACTIONS(2213),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(1013),
    [anon_sym_POUNDfileLiteral] = ACTIONS(1013),
    [anon_sym_POUNDimageLiteral] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(1015),
    [anon_sym_CARET_LBRACE] = ACTIONS(1015),
    [anon_sym_self] = ACTIONS(1017),
    [anon_sym_super] = ACTIONS(1019),
    [anon_sym_POUNDkeyPath] = ACTIONS(1021),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(2213),
    [anon_sym_DASH_EQ] = ACTIONS(2213),
    [anon_sym_STAR_EQ] = ACTIONS(2213),
    [anon_sym_SLASH_EQ] = ACTIONS(2213),
    [anon_sym_PERCENT_EQ] = ACTIONS(2213),
    [anon_sym_BANG_EQ] = ACTIONS(2211),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2213),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2213),
    [anon_sym_LT_EQ] = ACTIONS(2213),
    [anon_sym_GT_EQ] = ACTIONS(2213),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1023),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1025),
    [anon_sym_PLUS] = ACTIONS(1027),
    [anon_sym_DASH] = ACTIONS(1027),
    [anon_sym_STAR] = ACTIONS(2211),
    [anon_sym_SLASH] = ACTIONS(2211),
    [anon_sym_PERCENT] = ACTIONS(2211),
    [anon_sym_PLUS_PLUS] = ACTIONS(1001),
    [anon_sym_DASH_DASH] = ACTIONS(1001),
    [anon_sym_TILDE] = ACTIONS(1001),
    [anon_sym_PIPE] = ACTIONS(2213),
    [anon_sym_CARET] = ACTIONS(2211),
    [anon_sym_LT_LT] = ACTIONS(2213),
    [anon_sym_GT_GT] = ACTIONS(2213),
    [anon_sym_BANG2] = ACTIONS(1029),
    [anon_sym_borrowing] = ACTIONS(971),
    [anon_sym_consuming] = ACTIONS(971),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(1031),
    [sym__dot_custom] = ACTIONS(1033),
    [sym__eq_custom] = ACTIONS(2213),
    [sym__eq_eq_custom] = ACTIONS(2213),
    [sym__plus_then_ws] = ACTIONS(2213),
    [sym__minus_then_ws] = ACTIONS(2213),
    [sym__bang_custom] = ACTIONS(1035),
    [sym__custom_operator] = ACTIONS(1009),
  },
  [544] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1412),
    [sym_boolean_literal] = STATE(1412),
    [sym__string_literal] = STATE(1412),
    [sym_line_string_literal] = STATE(1412),
    [sym_multi_line_string_literal] = STATE(1412),
    [sym_raw_string_literal] = STATE(1412),
    [sym_regex_literal] = STATE(1412),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1412),
    [sym__unary_expression] = STATE(1412),
    [sym_postfix_expression] = STATE(1412),
    [sym_constructor_expression] = STATE(1412),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1412),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1412),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1412),
    [sym_prefix_expression] = STATE(1412),
    [sym_as_expression] = STATE(1412),
    [sym_selector_expression] = STATE(1412),
    [sym__binary_expression] = STATE(1412),
    [sym_multiplicative_expression] = STATE(1412),
    [sym_additive_expression] = STATE(1412),
    [sym_range_expression] = STATE(1412),
    [sym_infix_expression] = STATE(1412),
    [sym_nil_coalescing_expression] = STATE(1412),
    [sym_check_expression] = STATE(1412),
    [sym_comparison_expression] = STATE(1412),
    [sym_equality_expression] = STATE(1412),
    [sym_conjunction_expression] = STATE(1412),
    [sym_disjunction_expression] = STATE(1412),
    [sym_bitwise_operation] = STATE(1412),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1412),
    [sym_await_expression] = STATE(1412),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1412),
    [sym_call_expression] = STATE(1412),
    [sym__primary_expression] = STATE(1412),
    [sym_tuple_expression] = STATE(1412),
    [sym_array_literal] = STATE(1412),
    [sym_dictionary_literal] = STATE(1412),
    [sym__special_literal] = STATE(1412),
    [sym__playground_literal] = STATE(1412),
    [sym_lambda_literal] = STATE(1412),
    [sym_self_expression] = STATE(1412),
    [sym_super_expression] = STATE(1412),
    [sym_if_statement] = STATE(1412),
    [sym_switch_statement] = STATE(1412),
    [sym_key_path_expression] = STATE(1412),
    [sym_key_path_string_expression] = STATE(1412),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1412),
    [sym__equality_operator] = STATE(1412),
    [sym__comparison_operator] = STATE(1412),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1412),
    [sym__multiplicative_operator] = STATE(1412),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1412),
    [sym_value_parameter_pack] = STATE(1412),
    [sym_value_pack_expansion] = STATE(1412),
    [sym__referenceable_operator] = STATE(1412),
    [sym__equal_sign] = STATE(1412),
    [sym__eq_eq] = STATE(1412),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(2215),
    [sym_real_literal] = ACTIONS(2217),
    [sym_integer_literal] = ACTIONS(2215),
    [sym_hex_literal] = ACTIONS(2217),
    [sym_oct_literal] = ACTIONS(2217),
    [sym_bin_literal] = ACTIONS(2217),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(2215),
    [anon_sym_GT] = ACTIONS(2215),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(2215),
    [anon_sym_POUNDfileID] = ACTIONS(2217),
    [anon_sym_POUNDfilePath] = ACTIONS(2217),
    [anon_sym_POUNDline] = ACTIONS(2217),
    [anon_sym_POUNDcolumn] = ACTIONS(2217),
    [anon_sym_POUNDfunction] = ACTIONS(2217),
    [anon_sym_POUNDdsohandle] = ACTIONS(2217),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(2217),
    [anon_sym_DASH_EQ] = ACTIONS(2217),
    [anon_sym_STAR_EQ] = ACTIONS(2217),
    [anon_sym_SLASH_EQ] = ACTIONS(2217),
    [anon_sym_PERCENT_EQ] = ACTIONS(2217),
    [anon_sym_BANG_EQ] = ACTIONS(2215),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2217),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2217),
    [anon_sym_LT_EQ] = ACTIONS(2217),
    [anon_sym_GT_EQ] = ACTIONS(2217),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(2215),
    [anon_sym_SLASH] = ACTIONS(2215),
    [anon_sym_PERCENT] = ACTIONS(2215),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(2217),
    [anon_sym_CARET] = ACTIONS(2215),
    [anon_sym_LT_LT] = ACTIONS(2217),
    [anon_sym_GT_GT] = ACTIONS(2217),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(2217),
    [sym__eq_eq_custom] = ACTIONS(2217),
    [sym__plus_then_ws] = ACTIONS(2217),
    [sym__minus_then_ws] = ACTIONS(2217),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [545] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1357),
    [sym_boolean_literal] = STATE(1357),
    [sym__string_literal] = STATE(1357),
    [sym_line_string_literal] = STATE(1357),
    [sym_multi_line_string_literal] = STATE(1357),
    [sym_raw_string_literal] = STATE(1357),
    [sym_regex_literal] = STATE(1357),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1357),
    [sym__unary_expression] = STATE(1357),
    [sym_postfix_expression] = STATE(1357),
    [sym_constructor_expression] = STATE(1357),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1357),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1357),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1357),
    [sym_prefix_expression] = STATE(1357),
    [sym_as_expression] = STATE(1357),
    [sym_selector_expression] = STATE(1357),
    [sym__binary_expression] = STATE(1357),
    [sym_multiplicative_expression] = STATE(1357),
    [sym_additive_expression] = STATE(1357),
    [sym_range_expression] = STATE(1357),
    [sym_infix_expression] = STATE(1357),
    [sym_nil_coalescing_expression] = STATE(1357),
    [sym_check_expression] = STATE(1357),
    [sym_comparison_expression] = STATE(1357),
    [sym_equality_expression] = STATE(1357),
    [sym_conjunction_expression] = STATE(1357),
    [sym_disjunction_expression] = STATE(1357),
    [sym_bitwise_operation] = STATE(1357),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1357),
    [sym_await_expression] = STATE(1357),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1357),
    [sym_call_expression] = STATE(1357),
    [sym__primary_expression] = STATE(1357),
    [sym_tuple_expression] = STATE(1357),
    [sym_array_literal] = STATE(1357),
    [sym_dictionary_literal] = STATE(1357),
    [sym__special_literal] = STATE(1357),
    [sym__playground_literal] = STATE(1357),
    [sym_lambda_literal] = STATE(1357),
    [sym_self_expression] = STATE(1357),
    [sym_super_expression] = STATE(1357),
    [sym_if_statement] = STATE(1357),
    [sym_switch_statement] = STATE(1357),
    [sym_key_path_expression] = STATE(1357),
    [sym_key_path_string_expression] = STATE(1357),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1357),
    [sym__equality_operator] = STATE(1357),
    [sym__comparison_operator] = STATE(1357),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1357),
    [sym__multiplicative_operator] = STATE(1357),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1357),
    [sym_value_parameter_pack] = STATE(1357),
    [sym_value_pack_expansion] = STATE(1357),
    [sym__referenceable_operator] = STATE(1357),
    [sym__equal_sign] = STATE(1357),
    [sym__eq_eq] = STATE(1357),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(2219),
    [sym_real_literal] = ACTIONS(2221),
    [sym_integer_literal] = ACTIONS(2219),
    [sym_hex_literal] = ACTIONS(2221),
    [sym_oct_literal] = ACTIONS(2221),
    [sym_bin_literal] = ACTIONS(2221),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(2219),
    [anon_sym_GT] = ACTIONS(2219),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(2219),
    [anon_sym_POUNDfileID] = ACTIONS(2221),
    [anon_sym_POUNDfilePath] = ACTIONS(2221),
    [anon_sym_POUNDline] = ACTIONS(2221),
    [anon_sym_POUNDcolumn] = ACTIONS(2221),
    [anon_sym_POUNDfunction] = ACTIONS(2221),
    [anon_sym_POUNDdsohandle] = ACTIONS(2221),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(2221),
    [anon_sym_DASH_EQ] = ACTIONS(2221),
    [anon_sym_STAR_EQ] = ACTIONS(2221),
    [anon_sym_SLASH_EQ] = ACTIONS(2221),
    [anon_sym_PERCENT_EQ] = ACTIONS(2221),
    [anon_sym_BANG_EQ] = ACTIONS(2219),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2221),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2221),
    [anon_sym_LT_EQ] = ACTIONS(2221),
    [anon_sym_GT_EQ] = ACTIONS(2221),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(2219),
    [anon_sym_SLASH] = ACTIONS(2219),
    [anon_sym_PERCENT] = ACTIONS(2219),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(2221),
    [anon_sym_CARET] = ACTIONS(2219),
    [anon_sym_LT_LT] = ACTIONS(2221),
    [anon_sym_GT_GT] = ACTIONS(2221),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(2221),
    [sym__eq_eq_custom] = ACTIONS(2221),
    [sym__plus_then_ws] = ACTIONS(2221),
    [sym__minus_then_ws] = ACTIONS(2221),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [546] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1448),
    [sym_boolean_literal] = STATE(1448),
    [sym__string_literal] = STATE(1448),
    [sym_line_string_literal] = STATE(1448),
    [sym_multi_line_string_literal] = STATE(1448),
    [sym_raw_string_literal] = STATE(1448),
    [sym_regex_literal] = STATE(1448),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1448),
    [sym__unary_expression] = STATE(1448),
    [sym_postfix_expression] = STATE(1448),
    [sym_constructor_expression] = STATE(1448),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1448),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1448),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1448),
    [sym_prefix_expression] = STATE(1448),
    [sym_as_expression] = STATE(1448),
    [sym_selector_expression] = STATE(1448),
    [sym__binary_expression] = STATE(1448),
    [sym_multiplicative_expression] = STATE(1448),
    [sym_additive_expression] = STATE(1448),
    [sym_range_expression] = STATE(1448),
    [sym_infix_expression] = STATE(1448),
    [sym_nil_coalescing_expression] = STATE(1448),
    [sym_check_expression] = STATE(1448),
    [sym_comparison_expression] = STATE(1448),
    [sym_equality_expression] = STATE(1448),
    [sym_conjunction_expression] = STATE(1448),
    [sym_disjunction_expression] = STATE(1448),
    [sym_bitwise_operation] = STATE(1448),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1448),
    [sym_await_expression] = STATE(1448),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1448),
    [sym_call_expression] = STATE(1448),
    [sym__primary_expression] = STATE(1448),
    [sym_tuple_expression] = STATE(1448),
    [sym_array_literal] = STATE(1448),
    [sym_dictionary_literal] = STATE(1448),
    [sym__special_literal] = STATE(1448),
    [sym__playground_literal] = STATE(1448),
    [sym_lambda_literal] = STATE(1448),
    [sym_self_expression] = STATE(1448),
    [sym_super_expression] = STATE(1448),
    [sym_if_statement] = STATE(1448),
    [sym_switch_statement] = STATE(1448),
    [sym_key_path_expression] = STATE(1448),
    [sym_key_path_string_expression] = STATE(1448),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1448),
    [sym__equality_operator] = STATE(1448),
    [sym__comparison_operator] = STATE(1448),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1448),
    [sym__multiplicative_operator] = STATE(1448),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1448),
    [sym_value_parameter_pack] = STATE(1448),
    [sym_value_pack_expansion] = STATE(1448),
    [sym__referenceable_operator] = STATE(1448),
    [sym__equal_sign] = STATE(1448),
    [sym__eq_eq] = STATE(1448),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1109),
    [sym_real_literal] = ACTIONS(1111),
    [sym_integer_literal] = ACTIONS(1109),
    [sym_hex_literal] = ACTIONS(1111),
    [sym_oct_literal] = ACTIONS(1111),
    [sym_bin_literal] = ACTIONS(1111),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1109),
    [anon_sym_GT] = ACTIONS(1109),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1109),
    [anon_sym_POUNDfileID] = ACTIONS(1111),
    [anon_sym_POUNDfilePath] = ACTIONS(1111),
    [anon_sym_POUNDline] = ACTIONS(1111),
    [anon_sym_POUNDcolumn] = ACTIONS(1111),
    [anon_sym_POUNDfunction] = ACTIONS(1111),
    [anon_sym_POUNDdsohandle] = ACTIONS(1111),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1111),
    [anon_sym_DASH_EQ] = ACTIONS(1111),
    [anon_sym_STAR_EQ] = ACTIONS(1111),
    [anon_sym_SLASH_EQ] = ACTIONS(1111),
    [anon_sym_PERCENT_EQ] = ACTIONS(1111),
    [anon_sym_BANG_EQ] = ACTIONS(1109),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1111),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1111),
    [anon_sym_LT_EQ] = ACTIONS(1111),
    [anon_sym_GT_EQ] = ACTIONS(1111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1109),
    [anon_sym_SLASH] = ACTIONS(1109),
    [anon_sym_PERCENT] = ACTIONS(1109),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1111),
    [anon_sym_CARET] = ACTIONS(1109),
    [anon_sym_LT_LT] = ACTIONS(1111),
    [anon_sym_GT_GT] = ACTIONS(1111),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1111),
    [sym__eq_eq_custom] = ACTIONS(1111),
    [sym__plus_then_ws] = ACTIONS(1111),
    [sym__minus_then_ws] = ACTIONS(1111),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [547] = {
    [sym_simple_identifier] = STATE(2276),
    [sym__contextual_simple_identifier] = STATE(2115),
    [sym__basic_literal] = STATE(1265),
    [sym_boolean_literal] = STATE(1265),
    [sym__string_literal] = STATE(1265),
    [sym_line_string_literal] = STATE(1265),
    [sym_multi_line_string_literal] = STATE(1265),
    [sym_raw_string_literal] = STATE(1265),
    [sym_regex_literal] = STATE(1265),
    [sym__multiline_regex_literal] = STATE(2322),
    [sym_user_type] = STATE(5469),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5469),
    [sym_dictionary_type] = STATE(5469),
    [sym__expression] = STATE(1265),
    [sym__unary_expression] = STATE(1265),
    [sym_postfix_expression] = STATE(1265),
    [sym_constructor_expression] = STATE(1265),
    [sym__parenthesized_type] = STATE(7045),
    [sym_navigation_expression] = STATE(1265),
    [sym__navigable_type_expression] = STATE(7043),
    [sym_open_start_range_expression] = STATE(1265),
    [sym__range_operator] = STATE(475),
    [sym_open_end_range_expression] = STATE(1265),
    [sym_prefix_expression] = STATE(1265),
    [sym_as_expression] = STATE(1265),
    [sym_selector_expression] = STATE(1265),
    [sym__binary_expression] = STATE(1265),
    [sym_multiplicative_expression] = STATE(1265),
    [sym_additive_expression] = STATE(1265),
    [sym_range_expression] = STATE(1265),
    [sym_infix_expression] = STATE(1265),
    [sym_nil_coalescing_expression] = STATE(1265),
    [sym_check_expression] = STATE(1265),
    [sym_comparison_expression] = STATE(1265),
    [sym_equality_expression] = STATE(1265),
    [sym_conjunction_expression] = STATE(1265),
    [sym_disjunction_expression] = STATE(1265),
    [sym_bitwise_operation] = STATE(1265),
    [sym_custom_operator] = STATE(853),
    [sym_try_expression] = STATE(1265),
    [sym_await_expression] = STATE(1265),
    [sym__await_operator] = STATE(482),
    [sym_ternary_expression] = STATE(1265),
    [sym_call_expression] = STATE(1265),
    [sym__primary_expression] = STATE(1265),
    [sym_tuple_expression] = STATE(1265),
    [sym_array_literal] = STATE(1265),
    [sym_dictionary_literal] = STATE(1265),
    [sym__special_literal] = STATE(1265),
    [sym__playground_literal] = STATE(1265),
    [sym_lambda_literal] = STATE(1265),
    [sym_self_expression] = STATE(1265),
    [sym_super_expression] = STATE(1265),
    [sym_if_statement] = STATE(1265),
    [sym_switch_statement] = STATE(1265),
    [sym_key_path_expression] = STATE(1265),
    [sym_key_path_string_expression] = STATE(1265),
    [sym_try_operator] = STATE(500),
    [sym__assignment_and_operator] = STATE(1265),
    [sym__equality_operator] = STATE(1265),
    [sym__comparison_operator] = STATE(1265),
    [sym__three_dot_operator] = STATE(854),
    [sym__open_ended_range_operator] = STATE(475),
    [sym__additive_operator] = STATE(1265),
    [sym__multiplicative_operator] = STATE(1265),
    [sym__prefix_unary_operator] = STATE(516),
    [sym_directly_assignable_expression] = STATE(5502),
    [sym_assignment] = STATE(1265),
    [sym_value_parameter_pack] = STATE(1265),
    [sym_value_pack_expansion] = STATE(1265),
    [sym__referenceable_operator] = STATE(1265),
    [sym__equal_sign] = STATE(1265),
    [sym__eq_eq] = STATE(1265),
    [sym__dot] = STATE(516),
    [sym_bang] = STATE(853),
    [sym__parameter_ownership_modifier] = STATE(2115),
    [aux_sym_raw_string_literal_repeat1] = STATE(6564),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(11),
    [aux_sym_simple_identifier_token2] = ACTIONS(13),
    [aux_sym_simple_identifier_token3] = ACTIONS(13),
    [aux_sym_simple_identifier_token4] = ACTIONS(13),
    [anon_sym_actor] = ACTIONS(11),
    [anon_sym_async] = ACTIONS(11),
    [anon_sym_each] = ACTIONS(19),
    [anon_sym_lazy] = ACTIONS(11),
    [anon_sym_repeat] = ACTIONS(937),
    [anon_sym_package] = ACTIONS(11),
    [anon_sym_nil] = ACTIONS(2223),
    [sym_real_literal] = ACTIONS(2225),
    [sym_integer_literal] = ACTIONS(2223),
    [sym_hex_literal] = ACTIONS(2225),
    [sym_oct_literal] = ACTIONS(2225),
    [sym_bin_literal] = ACTIONS(2225),
    [anon_sym_true] = ACTIONS(31),
    [anon_sym_false] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_BSLASH] = ACTIONS(35),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(37),
    [sym__extended_regex_literal] = ACTIONS(39),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(41),
    [sym__oneline_regex_literal] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_switch] = ACTIONS(53),
    [anon_sym_POUNDselector] = ACTIONS(55),
    [aux_sym_custom_operator_token1] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(2223),
    [anon_sym_GT] = ACTIONS(2223),
    [anon_sym_await] = ACTIONS(59),
    [anon_sym_POUNDfile] = ACTIONS(2223),
    [anon_sym_POUNDfileID] = ACTIONS(2225),
    [anon_sym_POUNDfilePath] = ACTIONS(2225),
    [anon_sym_POUNDline] = ACTIONS(2225),
    [anon_sym_POUNDcolumn] = ACTIONS(2225),
    [anon_sym_POUNDfunction] = ACTIONS(2225),
    [anon_sym_POUNDdsohandle] = ACTIONS(2225),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(61),
    [anon_sym_POUNDfileLiteral] = ACTIONS(61),
    [anon_sym_POUNDimageLiteral] = ACTIONS(61),
    [anon_sym_LBRACE] = ACTIONS(63),
    [anon_sym_CARET_LBRACE] = ACTIONS(63),
    [anon_sym_self] = ACTIONS(65),
    [anon_sym_super] = ACTIONS(67),
    [anon_sym_POUNDkeyPath] = ACTIONS(73),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(2225),
    [anon_sym_DASH_EQ] = ACTIONS(2225),
    [anon_sym_STAR_EQ] = ACTIONS(2225),
    [anon_sym_SLASH_EQ] = ACTIONS(2225),
    [anon_sym_PERCENT_EQ] = ACTIONS(2225),
    [anon_sym_BANG_EQ] = ACTIONS(2223),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2225),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2225),
    [anon_sym_LT_EQ] = ACTIONS(2225),
    [anon_sym_GT_EQ] = ACTIONS(2225),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(2223),
    [anon_sym_SLASH] = ACTIONS(2223),
    [anon_sym_PERCENT] = ACTIONS(2223),
    [anon_sym_PLUS_PLUS] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(49),
    [anon_sym_TILDE] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(2225),
    [anon_sym_CARET] = ACTIONS(2223),
    [anon_sym_LT_LT] = ACTIONS(2225),
    [anon_sym_GT_GT] = ACTIONS(2225),
    [anon_sym_BANG2] = ACTIONS(113),
    [anon_sym_borrowing] = ACTIONS(11),
    [anon_sym_consuming] = ACTIONS(11),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(147),
    [sym__dot_custom] = ACTIONS(149),
    [sym__eq_custom] = ACTIONS(2225),
    [sym__eq_eq_custom] = ACTIONS(2225),
    [sym__plus_then_ws] = ACTIONS(2225),
    [sym__minus_then_ws] = ACTIONS(2225),
    [sym__bang_custom] = ACTIONS(151),
    [sym__custom_operator] = ACTIONS(57),
  },
  [548] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1435),
    [sym_boolean_literal] = STATE(1435),
    [sym__string_literal] = STATE(1435),
    [sym_line_string_literal] = STATE(1435),
    [sym_multi_line_string_literal] = STATE(1435),
    [sym_raw_string_literal] = STATE(1435),
    [sym_regex_literal] = STATE(1435),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1435),
    [sym__unary_expression] = STATE(1435),
    [sym_postfix_expression] = STATE(1435),
    [sym_constructor_expression] = STATE(1435),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1435),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1435),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1435),
    [sym_prefix_expression] = STATE(1435),
    [sym_as_expression] = STATE(1435),
    [sym_selector_expression] = STATE(1435),
    [sym__binary_expression] = STATE(1435),
    [sym_multiplicative_expression] = STATE(1435),
    [sym_additive_expression] = STATE(1435),
    [sym_range_expression] = STATE(1435),
    [sym_infix_expression] = STATE(1435),
    [sym_nil_coalescing_expression] = STATE(1435),
    [sym_check_expression] = STATE(1435),
    [sym_comparison_expression] = STATE(1435),
    [sym_equality_expression] = STATE(1435),
    [sym_conjunction_expression] = STATE(1435),
    [sym_disjunction_expression] = STATE(1435),
    [sym_bitwise_operation] = STATE(1435),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1435),
    [sym_await_expression] = STATE(1435),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1435),
    [sym_call_expression] = STATE(1435),
    [sym__primary_expression] = STATE(1435),
    [sym_tuple_expression] = STATE(1435),
    [sym_array_literal] = STATE(1435),
    [sym_dictionary_literal] = STATE(1435),
    [sym__special_literal] = STATE(1435),
    [sym__playground_literal] = STATE(1435),
    [sym_lambda_literal] = STATE(1435),
    [sym_self_expression] = STATE(1435),
    [sym_super_expression] = STATE(1435),
    [sym_if_statement] = STATE(1435),
    [sym_switch_statement] = STATE(1435),
    [sym_key_path_expression] = STATE(1435),
    [sym_key_path_string_expression] = STATE(1435),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1435),
    [sym__equality_operator] = STATE(1435),
    [sym__comparison_operator] = STATE(1435),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1435),
    [sym__multiplicative_operator] = STATE(1435),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1435),
    [sym_value_parameter_pack] = STATE(1435),
    [sym_value_pack_expansion] = STATE(1435),
    [sym__referenceable_operator] = STATE(1435),
    [sym__equal_sign] = STATE(1435),
    [sym__eq_eq] = STATE(1435),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(2227),
    [sym_real_literal] = ACTIONS(2229),
    [sym_integer_literal] = ACTIONS(2227),
    [sym_hex_literal] = ACTIONS(2229),
    [sym_oct_literal] = ACTIONS(2229),
    [sym_bin_literal] = ACTIONS(2229),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(2227),
    [anon_sym_GT] = ACTIONS(2227),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(2227),
    [anon_sym_POUNDfileID] = ACTIONS(2229),
    [anon_sym_POUNDfilePath] = ACTIONS(2229),
    [anon_sym_POUNDline] = ACTIONS(2229),
    [anon_sym_POUNDcolumn] = ACTIONS(2229),
    [anon_sym_POUNDfunction] = ACTIONS(2229),
    [anon_sym_POUNDdsohandle] = ACTIONS(2229),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(2229),
    [anon_sym_DASH_EQ] = ACTIONS(2229),
    [anon_sym_STAR_EQ] = ACTIONS(2229),
    [anon_sym_SLASH_EQ] = ACTIONS(2229),
    [anon_sym_PERCENT_EQ] = ACTIONS(2229),
    [anon_sym_BANG_EQ] = ACTIONS(2227),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2229),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2229),
    [anon_sym_LT_EQ] = ACTIONS(2229),
    [anon_sym_GT_EQ] = ACTIONS(2229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(2227),
    [anon_sym_SLASH] = ACTIONS(2227),
    [anon_sym_PERCENT] = ACTIONS(2227),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(2229),
    [anon_sym_CARET] = ACTIONS(2227),
    [anon_sym_LT_LT] = ACTIONS(2229),
    [anon_sym_GT_GT] = ACTIONS(2229),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(2229),
    [sym__eq_eq_custom] = ACTIONS(2229),
    [sym__plus_then_ws] = ACTIONS(2229),
    [sym__minus_then_ws] = ACTIONS(2229),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [549] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1431),
    [sym_boolean_literal] = STATE(1431),
    [sym__string_literal] = STATE(1431),
    [sym_line_string_literal] = STATE(1431),
    [sym_multi_line_string_literal] = STATE(1431),
    [sym_raw_string_literal] = STATE(1431),
    [sym_regex_literal] = STATE(1431),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1431),
    [sym__unary_expression] = STATE(1431),
    [sym_postfix_expression] = STATE(1431),
    [sym_constructor_expression] = STATE(1431),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1431),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1431),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1431),
    [sym_prefix_expression] = STATE(1431),
    [sym_as_expression] = STATE(1431),
    [sym_selector_expression] = STATE(1431),
    [sym__binary_expression] = STATE(1431),
    [sym_multiplicative_expression] = STATE(1431),
    [sym_additive_expression] = STATE(1431),
    [sym_range_expression] = STATE(1431),
    [sym_infix_expression] = STATE(1431),
    [sym_nil_coalescing_expression] = STATE(1431),
    [sym_check_expression] = STATE(1431),
    [sym_comparison_expression] = STATE(1431),
    [sym_equality_expression] = STATE(1431),
    [sym_conjunction_expression] = STATE(1431),
    [sym_disjunction_expression] = STATE(1431),
    [sym_bitwise_operation] = STATE(1431),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1431),
    [sym_await_expression] = STATE(1431),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1431),
    [sym_call_expression] = STATE(1431),
    [sym__primary_expression] = STATE(1431),
    [sym_tuple_expression] = STATE(1431),
    [sym_array_literal] = STATE(1431),
    [sym_dictionary_literal] = STATE(1431),
    [sym__special_literal] = STATE(1431),
    [sym__playground_literal] = STATE(1431),
    [sym_lambda_literal] = STATE(1431),
    [sym_self_expression] = STATE(1431),
    [sym_super_expression] = STATE(1431),
    [sym_if_statement] = STATE(1431),
    [sym_switch_statement] = STATE(1431),
    [sym_key_path_expression] = STATE(1431),
    [sym_key_path_string_expression] = STATE(1431),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1431),
    [sym__equality_operator] = STATE(1431),
    [sym__comparison_operator] = STATE(1431),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1431),
    [sym__multiplicative_operator] = STATE(1431),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1431),
    [sym_value_parameter_pack] = STATE(1431),
    [sym_value_pack_expansion] = STATE(1431),
    [sym__referenceable_operator] = STATE(1431),
    [sym__equal_sign] = STATE(1431),
    [sym__eq_eq] = STATE(1431),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1533),
    [sym_real_literal] = ACTIONS(1535),
    [sym_integer_literal] = ACTIONS(1533),
    [sym_hex_literal] = ACTIONS(1535),
    [sym_oct_literal] = ACTIONS(1535),
    [sym_bin_literal] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1533),
    [anon_sym_GT] = ACTIONS(1533),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1533),
    [anon_sym_POUNDfileID] = ACTIONS(1535),
    [anon_sym_POUNDfilePath] = ACTIONS(1535),
    [anon_sym_POUNDline] = ACTIONS(1535),
    [anon_sym_POUNDcolumn] = ACTIONS(1535),
    [anon_sym_POUNDfunction] = ACTIONS(1535),
    [anon_sym_POUNDdsohandle] = ACTIONS(1535),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1535),
    [anon_sym_DASH_EQ] = ACTIONS(1535),
    [anon_sym_STAR_EQ] = ACTIONS(1535),
    [anon_sym_SLASH_EQ] = ACTIONS(1535),
    [anon_sym_PERCENT_EQ] = ACTIONS(1535),
    [anon_sym_BANG_EQ] = ACTIONS(1533),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1535),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1535),
    [anon_sym_LT_EQ] = ACTIONS(1535),
    [anon_sym_GT_EQ] = ACTIONS(1535),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1533),
    [anon_sym_SLASH] = ACTIONS(1533),
    [anon_sym_PERCENT] = ACTIONS(1533),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1535),
    [anon_sym_CARET] = ACTIONS(1533),
    [anon_sym_LT_LT] = ACTIONS(1535),
    [anon_sym_GT_GT] = ACTIONS(1535),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1535),
    [sym__eq_eq_custom] = ACTIONS(1535),
    [sym__plus_then_ws] = ACTIONS(1535),
    [sym__minus_then_ws] = ACTIONS(1535),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [550] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1319),
    [sym_boolean_literal] = STATE(1319),
    [sym__string_literal] = STATE(1319),
    [sym_line_string_literal] = STATE(1319),
    [sym_multi_line_string_literal] = STATE(1319),
    [sym_raw_string_literal] = STATE(1319),
    [sym_regex_literal] = STATE(1319),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1319),
    [sym__unary_expression] = STATE(1319),
    [sym_postfix_expression] = STATE(1319),
    [sym_constructor_expression] = STATE(1319),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1319),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1319),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1319),
    [sym_prefix_expression] = STATE(1319),
    [sym_as_expression] = STATE(1319),
    [sym_selector_expression] = STATE(1319),
    [sym__binary_expression] = STATE(1319),
    [sym_multiplicative_expression] = STATE(1319),
    [sym_additive_expression] = STATE(1319),
    [sym_range_expression] = STATE(1319),
    [sym_infix_expression] = STATE(1319),
    [sym_nil_coalescing_expression] = STATE(1319),
    [sym_check_expression] = STATE(1319),
    [sym_comparison_expression] = STATE(1319),
    [sym_equality_expression] = STATE(1319),
    [sym_conjunction_expression] = STATE(1319),
    [sym_disjunction_expression] = STATE(1319),
    [sym_bitwise_operation] = STATE(1319),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1319),
    [sym_await_expression] = STATE(1319),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1319),
    [sym_call_expression] = STATE(1319),
    [sym__primary_expression] = STATE(1319),
    [sym_tuple_expression] = STATE(1319),
    [sym_array_literal] = STATE(1319),
    [sym_dictionary_literal] = STATE(1319),
    [sym__special_literal] = STATE(1319),
    [sym__playground_literal] = STATE(1319),
    [sym_lambda_literal] = STATE(1319),
    [sym_self_expression] = STATE(1319),
    [sym_super_expression] = STATE(1319),
    [sym_if_statement] = STATE(1319),
    [sym_switch_statement] = STATE(1319),
    [sym_key_path_expression] = STATE(1319),
    [sym_key_path_string_expression] = STATE(1319),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1319),
    [sym__equality_operator] = STATE(1319),
    [sym__comparison_operator] = STATE(1319),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1319),
    [sym__multiplicative_operator] = STATE(1319),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1319),
    [sym_value_parameter_pack] = STATE(1319),
    [sym_value_pack_expansion] = STATE(1319),
    [sym__referenceable_operator] = STATE(1319),
    [sym__equal_sign] = STATE(1319),
    [sym__eq_eq] = STATE(1319),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(2231),
    [sym_real_literal] = ACTIONS(2233),
    [sym_integer_literal] = ACTIONS(2231),
    [sym_hex_literal] = ACTIONS(2233),
    [sym_oct_literal] = ACTIONS(2233),
    [sym_bin_literal] = ACTIONS(2233),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(2231),
    [anon_sym_GT] = ACTIONS(2231),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(2231),
    [anon_sym_POUNDfileID] = ACTIONS(2233),
    [anon_sym_POUNDfilePath] = ACTIONS(2233),
    [anon_sym_POUNDline] = ACTIONS(2233),
    [anon_sym_POUNDcolumn] = ACTIONS(2233),
    [anon_sym_POUNDfunction] = ACTIONS(2233),
    [anon_sym_POUNDdsohandle] = ACTIONS(2233),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(2233),
    [anon_sym_DASH_EQ] = ACTIONS(2233),
    [anon_sym_STAR_EQ] = ACTIONS(2233),
    [anon_sym_SLASH_EQ] = ACTIONS(2233),
    [anon_sym_PERCENT_EQ] = ACTIONS(2233),
    [anon_sym_BANG_EQ] = ACTIONS(2231),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2233),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2233),
    [anon_sym_LT_EQ] = ACTIONS(2233),
    [anon_sym_GT_EQ] = ACTIONS(2233),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(2231),
    [anon_sym_SLASH] = ACTIONS(2231),
    [anon_sym_PERCENT] = ACTIONS(2231),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(2233),
    [anon_sym_CARET] = ACTIONS(2231),
    [anon_sym_LT_LT] = ACTIONS(2233),
    [anon_sym_GT_GT] = ACTIONS(2233),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(2233),
    [sym__eq_eq_custom] = ACTIONS(2233),
    [sym__plus_then_ws] = ACTIONS(2233),
    [sym__minus_then_ws] = ACTIONS(2233),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [551] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1347),
    [sym_boolean_literal] = STATE(1347),
    [sym__string_literal] = STATE(1347),
    [sym_line_string_literal] = STATE(1347),
    [sym_multi_line_string_literal] = STATE(1347),
    [sym_raw_string_literal] = STATE(1347),
    [sym_regex_literal] = STATE(1347),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1347),
    [sym__unary_expression] = STATE(1347),
    [sym_postfix_expression] = STATE(1347),
    [sym_constructor_expression] = STATE(1347),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1347),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1347),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1347),
    [sym_prefix_expression] = STATE(1347),
    [sym_as_expression] = STATE(1347),
    [sym_selector_expression] = STATE(1347),
    [sym__binary_expression] = STATE(1347),
    [sym_multiplicative_expression] = STATE(1347),
    [sym_additive_expression] = STATE(1347),
    [sym_range_expression] = STATE(1347),
    [sym_infix_expression] = STATE(1347),
    [sym_nil_coalescing_expression] = STATE(1347),
    [sym_check_expression] = STATE(1347),
    [sym_comparison_expression] = STATE(1347),
    [sym_equality_expression] = STATE(1347),
    [sym_conjunction_expression] = STATE(1347),
    [sym_disjunction_expression] = STATE(1347),
    [sym_bitwise_operation] = STATE(1347),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1347),
    [sym_await_expression] = STATE(1347),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1347),
    [sym_call_expression] = STATE(1347),
    [sym__primary_expression] = STATE(1347),
    [sym_tuple_expression] = STATE(1347),
    [sym_array_literal] = STATE(1347),
    [sym_dictionary_literal] = STATE(1347),
    [sym__special_literal] = STATE(1347),
    [sym__playground_literal] = STATE(1347),
    [sym_lambda_literal] = STATE(1347),
    [sym_self_expression] = STATE(1347),
    [sym_super_expression] = STATE(1347),
    [sym_if_statement] = STATE(1347),
    [sym_switch_statement] = STATE(1347),
    [sym_key_path_expression] = STATE(1347),
    [sym_key_path_string_expression] = STATE(1347),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1347),
    [sym__equality_operator] = STATE(1347),
    [sym__comparison_operator] = STATE(1347),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1347),
    [sym__multiplicative_operator] = STATE(1347),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1347),
    [sym_value_parameter_pack] = STATE(1347),
    [sym_value_pack_expansion] = STATE(1347),
    [sym__referenceable_operator] = STATE(1347),
    [sym__equal_sign] = STATE(1347),
    [sym__eq_eq] = STATE(1347),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(2235),
    [sym_real_literal] = ACTIONS(2237),
    [sym_integer_literal] = ACTIONS(2235),
    [sym_hex_literal] = ACTIONS(2237),
    [sym_oct_literal] = ACTIONS(2237),
    [sym_bin_literal] = ACTIONS(2237),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(2235),
    [anon_sym_GT] = ACTIONS(2235),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(2235),
    [anon_sym_POUNDfileID] = ACTIONS(2237),
    [anon_sym_POUNDfilePath] = ACTIONS(2237),
    [anon_sym_POUNDline] = ACTIONS(2237),
    [anon_sym_POUNDcolumn] = ACTIONS(2237),
    [anon_sym_POUNDfunction] = ACTIONS(2237),
    [anon_sym_POUNDdsohandle] = ACTIONS(2237),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(2237),
    [anon_sym_DASH_EQ] = ACTIONS(2237),
    [anon_sym_STAR_EQ] = ACTIONS(2237),
    [anon_sym_SLASH_EQ] = ACTIONS(2237),
    [anon_sym_PERCENT_EQ] = ACTIONS(2237),
    [anon_sym_BANG_EQ] = ACTIONS(2235),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2237),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2237),
    [anon_sym_LT_EQ] = ACTIONS(2237),
    [anon_sym_GT_EQ] = ACTIONS(2237),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(2235),
    [anon_sym_SLASH] = ACTIONS(2235),
    [anon_sym_PERCENT] = ACTIONS(2235),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(2237),
    [anon_sym_CARET] = ACTIONS(2235),
    [anon_sym_LT_LT] = ACTIONS(2237),
    [anon_sym_GT_GT] = ACTIONS(2237),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(2237),
    [sym__eq_eq_custom] = ACTIONS(2237),
    [sym__plus_then_ws] = ACTIONS(2237),
    [sym__minus_then_ws] = ACTIONS(2237),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [552] = {
    [sym_simple_identifier] = STATE(1040),
    [sym__contextual_simple_identifier] = STATE(1015),
    [sym__basic_literal] = STATE(644),
    [sym_boolean_literal] = STATE(644),
    [sym__string_literal] = STATE(644),
    [sym_line_string_literal] = STATE(644),
    [sym_multi_line_string_literal] = STATE(644),
    [sym_raw_string_literal] = STATE(644),
    [sym_regex_literal] = STATE(644),
    [sym__multiline_regex_literal] = STATE(1134),
    [sym_user_type] = STATE(5559),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5559),
    [sym_dictionary_type] = STATE(5559),
    [sym__expression] = STATE(644),
    [sym__unary_expression] = STATE(644),
    [sym_postfix_expression] = STATE(644),
    [sym_constructor_expression] = STATE(644),
    [sym__parenthesized_type] = STATE(6572),
    [sym_navigation_expression] = STATE(644),
    [sym__navigable_type_expression] = STATE(6573),
    [sym_open_start_range_expression] = STATE(644),
    [sym__range_operator] = STATE(462),
    [sym_open_end_range_expression] = STATE(644),
    [sym_prefix_expression] = STATE(644),
    [sym_as_expression] = STATE(644),
    [sym_selector_expression] = STATE(644),
    [sym__binary_expression] = STATE(644),
    [sym_multiplicative_expression] = STATE(644),
    [sym_additive_expression] = STATE(644),
    [sym_range_expression] = STATE(644),
    [sym_infix_expression] = STATE(644),
    [sym_nil_coalescing_expression] = STATE(644),
    [sym_check_expression] = STATE(644),
    [sym_comparison_expression] = STATE(644),
    [sym_equality_expression] = STATE(644),
    [sym_conjunction_expression] = STATE(644),
    [sym_disjunction_expression] = STATE(644),
    [sym_bitwise_operation] = STATE(644),
    [sym_custom_operator] = STATE(615),
    [sym_try_expression] = STATE(644),
    [sym_await_expression] = STATE(644),
    [sym__await_operator] = STATE(463),
    [sym_ternary_expression] = STATE(644),
    [sym_call_expression] = STATE(644),
    [sym__primary_expression] = STATE(644),
    [sym_tuple_expression] = STATE(644),
    [sym_array_literal] = STATE(644),
    [sym_dictionary_literal] = STATE(644),
    [sym__special_literal] = STATE(644),
    [sym__playground_literal] = STATE(644),
    [sym_lambda_literal] = STATE(644),
    [sym_self_expression] = STATE(644),
    [sym_super_expression] = STATE(644),
    [sym_if_statement] = STATE(644),
    [sym_switch_statement] = STATE(644),
    [sym_key_path_expression] = STATE(644),
    [sym_key_path_string_expression] = STATE(644),
    [sym_try_operator] = STATE(465),
    [sym__assignment_and_operator] = STATE(644),
    [sym__equality_operator] = STATE(644),
    [sym__comparison_operator] = STATE(644),
    [sym__three_dot_operator] = STATE(617),
    [sym__open_ended_range_operator] = STATE(462),
    [sym__additive_operator] = STATE(644),
    [sym__multiplicative_operator] = STATE(644),
    [sym__prefix_unary_operator] = STATE(470),
    [sym_directly_assignable_expression] = STATE(5558),
    [sym_assignment] = STATE(644),
    [sym_value_parameter_pack] = STATE(644),
    [sym_value_pack_expansion] = STATE(644),
    [sym__referenceable_operator] = STATE(644),
    [sym__equal_sign] = STATE(644),
    [sym__eq_eq] = STATE(644),
    [sym__dot] = STATE(470),
    [sym_bang] = STATE(615),
    [sym__parameter_ownership_modifier] = STATE(1015),
    [aux_sym_raw_string_literal_repeat1] = STATE(6655),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(673),
    [aux_sym_simple_identifier_token2] = ACTIONS(675),
    [aux_sym_simple_identifier_token3] = ACTIONS(675),
    [aux_sym_simple_identifier_token4] = ACTIONS(675),
    [anon_sym_actor] = ACTIONS(673),
    [anon_sym_async] = ACTIONS(673),
    [anon_sym_each] = ACTIONS(677),
    [anon_sym_lazy] = ACTIONS(673),
    [anon_sym_repeat] = ACTIONS(679),
    [anon_sym_package] = ACTIONS(673),
    [anon_sym_nil] = ACTIONS(2239),
    [sym_real_literal] = ACTIONS(2241),
    [sym_integer_literal] = ACTIONS(2239),
    [sym_hex_literal] = ACTIONS(2241),
    [sym_oct_literal] = ACTIONS(2241),
    [sym_bin_literal] = ACTIONS(2241),
    [anon_sym_true] = ACTIONS(685),
    [anon_sym_false] = ACTIONS(685),
    [anon_sym_DQUOTE] = ACTIONS(687),
    [anon_sym_BSLASH] = ACTIONS(689),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(691),
    [sym__extended_regex_literal] = ACTIONS(693),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(695),
    [sym__oneline_regex_literal] = ACTIONS(697),
    [anon_sym_LPAREN] = ACTIONS(699),
    [anon_sym_LBRACK] = ACTIONS(701),
    [anon_sym_AMP] = ACTIONS(703),
    [anon_sym_if] = ACTIONS(705),
    [anon_sym_switch] = ACTIONS(707),
    [anon_sym_POUNDselector] = ACTIONS(709),
    [aux_sym_custom_operator_token1] = ACTIONS(711),
    [anon_sym_LT] = ACTIONS(2239),
    [anon_sym_GT] = ACTIONS(2239),
    [anon_sym_await] = ACTIONS(713),
    [anon_sym_POUNDfile] = ACTIONS(2239),
    [anon_sym_POUNDfileID] = ACTIONS(2241),
    [anon_sym_POUNDfilePath] = ACTIONS(2241),
    [anon_sym_POUNDline] = ACTIONS(2241),
    [anon_sym_POUNDcolumn] = ACTIONS(2241),
    [anon_sym_POUNDfunction] = ACTIONS(2241),
    [anon_sym_POUNDdsohandle] = ACTIONS(2241),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(715),
    [anon_sym_POUNDfileLiteral] = ACTIONS(715),
    [anon_sym_POUNDimageLiteral] = ACTIONS(715),
    [anon_sym_LBRACE] = ACTIONS(717),
    [anon_sym_CARET_LBRACE] = ACTIONS(717),
    [anon_sym_self] = ACTIONS(719),
    [anon_sym_super] = ACTIONS(721),
    [anon_sym_POUNDkeyPath] = ACTIONS(723),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(2241),
    [anon_sym_DASH_EQ] = ACTIONS(2241),
    [anon_sym_STAR_EQ] = ACTIONS(2241),
    [anon_sym_SLASH_EQ] = ACTIONS(2241),
    [anon_sym_PERCENT_EQ] = ACTIONS(2241),
    [anon_sym_BANG_EQ] = ACTIONS(2239),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2241),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2241),
    [anon_sym_LT_EQ] = ACTIONS(2241),
    [anon_sym_GT_EQ] = ACTIONS(2241),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(725),
    [anon_sym_DOT_DOT_LT] = ACTIONS(727),
    [anon_sym_PLUS] = ACTIONS(729),
    [anon_sym_DASH] = ACTIONS(729),
    [anon_sym_STAR] = ACTIONS(2239),
    [anon_sym_SLASH] = ACTIONS(2239),
    [anon_sym_PERCENT] = ACTIONS(2239),
    [anon_sym_PLUS_PLUS] = ACTIONS(703),
    [anon_sym_DASH_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(703),
    [anon_sym_PIPE] = ACTIONS(2241),
    [anon_sym_CARET] = ACTIONS(2239),
    [anon_sym_LT_LT] = ACTIONS(2241),
    [anon_sym_GT_GT] = ACTIONS(2241),
    [anon_sym_BANG2] = ACTIONS(731),
    [anon_sym_borrowing] = ACTIONS(673),
    [anon_sym_consuming] = ACTIONS(673),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(733),
    [sym__dot_custom] = ACTIONS(735),
    [sym__eq_custom] = ACTIONS(2241),
    [sym__eq_eq_custom] = ACTIONS(2241),
    [sym__plus_then_ws] = ACTIONS(2241),
    [sym__minus_then_ws] = ACTIONS(2241),
    [sym__bang_custom] = ACTIONS(737),
    [sym__custom_operator] = ACTIONS(711),
  },
  [553] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1430),
    [sym_boolean_literal] = STATE(1430),
    [sym__string_literal] = STATE(1430),
    [sym_line_string_literal] = STATE(1430),
    [sym_multi_line_string_literal] = STATE(1430),
    [sym_raw_string_literal] = STATE(1430),
    [sym_regex_literal] = STATE(1430),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1430),
    [sym__unary_expression] = STATE(1430),
    [sym_postfix_expression] = STATE(1430),
    [sym_constructor_expression] = STATE(1430),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1430),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1430),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1430),
    [sym_prefix_expression] = STATE(1430),
    [sym_as_expression] = STATE(1430),
    [sym_selector_expression] = STATE(1430),
    [sym__binary_expression] = STATE(1430),
    [sym_multiplicative_expression] = STATE(1430),
    [sym_additive_expression] = STATE(1430),
    [sym_range_expression] = STATE(1430),
    [sym_infix_expression] = STATE(1430),
    [sym_nil_coalescing_expression] = STATE(1430),
    [sym_check_expression] = STATE(1430),
    [sym_comparison_expression] = STATE(1430),
    [sym_equality_expression] = STATE(1430),
    [sym_conjunction_expression] = STATE(1430),
    [sym_disjunction_expression] = STATE(1430),
    [sym_bitwise_operation] = STATE(1430),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1430),
    [sym_await_expression] = STATE(1430),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1430),
    [sym_call_expression] = STATE(1430),
    [sym__primary_expression] = STATE(1430),
    [sym_tuple_expression] = STATE(1430),
    [sym_array_literal] = STATE(1430),
    [sym_dictionary_literal] = STATE(1430),
    [sym__special_literal] = STATE(1430),
    [sym__playground_literal] = STATE(1430),
    [sym_lambda_literal] = STATE(1430),
    [sym_self_expression] = STATE(1430),
    [sym_super_expression] = STATE(1430),
    [sym_if_statement] = STATE(1430),
    [sym_switch_statement] = STATE(1430),
    [sym_key_path_expression] = STATE(1430),
    [sym_key_path_string_expression] = STATE(1430),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1430),
    [sym__equality_operator] = STATE(1430),
    [sym__comparison_operator] = STATE(1430),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1430),
    [sym__multiplicative_operator] = STATE(1430),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1430),
    [sym_value_parameter_pack] = STATE(1430),
    [sym_value_pack_expansion] = STATE(1430),
    [sym__referenceable_operator] = STATE(1430),
    [sym__equal_sign] = STATE(1430),
    [sym__eq_eq] = STATE(1430),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(2243),
    [sym_real_literal] = ACTIONS(2245),
    [sym_integer_literal] = ACTIONS(2243),
    [sym_hex_literal] = ACTIONS(2245),
    [sym_oct_literal] = ACTIONS(2245),
    [sym_bin_literal] = ACTIONS(2245),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(2243),
    [anon_sym_GT] = ACTIONS(2243),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(2243),
    [anon_sym_POUNDfileID] = ACTIONS(2245),
    [anon_sym_POUNDfilePath] = ACTIONS(2245),
    [anon_sym_POUNDline] = ACTIONS(2245),
    [anon_sym_POUNDcolumn] = ACTIONS(2245),
    [anon_sym_POUNDfunction] = ACTIONS(2245),
    [anon_sym_POUNDdsohandle] = ACTIONS(2245),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(2245),
    [anon_sym_DASH_EQ] = ACTIONS(2245),
    [anon_sym_STAR_EQ] = ACTIONS(2245),
    [anon_sym_SLASH_EQ] = ACTIONS(2245),
    [anon_sym_PERCENT_EQ] = ACTIONS(2245),
    [anon_sym_BANG_EQ] = ACTIONS(2243),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2245),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2245),
    [anon_sym_LT_EQ] = ACTIONS(2245),
    [anon_sym_GT_EQ] = ACTIONS(2245),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(2243),
    [anon_sym_SLASH] = ACTIONS(2243),
    [anon_sym_PERCENT] = ACTIONS(2243),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(2245),
    [anon_sym_CARET] = ACTIONS(2243),
    [anon_sym_LT_LT] = ACTIONS(2245),
    [anon_sym_GT_GT] = ACTIONS(2245),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(2245),
    [sym__eq_eq_custom] = ACTIONS(2245),
    [sym__plus_then_ws] = ACTIONS(2245),
    [sym__minus_then_ws] = ACTIONS(2245),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [554] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1433),
    [sym_boolean_literal] = STATE(1433),
    [sym__string_literal] = STATE(1433),
    [sym_line_string_literal] = STATE(1433),
    [sym_multi_line_string_literal] = STATE(1433),
    [sym_raw_string_literal] = STATE(1433),
    [sym_regex_literal] = STATE(1433),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1433),
    [sym__unary_expression] = STATE(1433),
    [sym_postfix_expression] = STATE(1433),
    [sym_constructor_expression] = STATE(1433),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1433),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1433),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1433),
    [sym_prefix_expression] = STATE(1433),
    [sym_as_expression] = STATE(1433),
    [sym_selector_expression] = STATE(1433),
    [sym__binary_expression] = STATE(1433),
    [sym_multiplicative_expression] = STATE(1433),
    [sym_additive_expression] = STATE(1433),
    [sym_range_expression] = STATE(1433),
    [sym_infix_expression] = STATE(1433),
    [sym_nil_coalescing_expression] = STATE(1433),
    [sym_check_expression] = STATE(1433),
    [sym_comparison_expression] = STATE(1433),
    [sym_equality_expression] = STATE(1433),
    [sym_conjunction_expression] = STATE(1433),
    [sym_disjunction_expression] = STATE(1433),
    [sym_bitwise_operation] = STATE(1433),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1433),
    [sym_await_expression] = STATE(1433),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1433),
    [sym_call_expression] = STATE(1433),
    [sym__primary_expression] = STATE(1433),
    [sym_tuple_expression] = STATE(1433),
    [sym_array_literal] = STATE(1433),
    [sym_dictionary_literal] = STATE(1433),
    [sym__special_literal] = STATE(1433),
    [sym__playground_literal] = STATE(1433),
    [sym_lambda_literal] = STATE(1433),
    [sym_self_expression] = STATE(1433),
    [sym_super_expression] = STATE(1433),
    [sym_if_statement] = STATE(1433),
    [sym_switch_statement] = STATE(1433),
    [sym_key_path_expression] = STATE(1433),
    [sym_key_path_string_expression] = STATE(1433),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1433),
    [sym__equality_operator] = STATE(1433),
    [sym__comparison_operator] = STATE(1433),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1433),
    [sym__multiplicative_operator] = STATE(1433),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1433),
    [sym_value_parameter_pack] = STATE(1433),
    [sym_value_pack_expansion] = STATE(1433),
    [sym__referenceable_operator] = STATE(1433),
    [sym__equal_sign] = STATE(1433),
    [sym__eq_eq] = STATE(1433),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(2247),
    [sym_real_literal] = ACTIONS(2249),
    [sym_integer_literal] = ACTIONS(2247),
    [sym_hex_literal] = ACTIONS(2249),
    [sym_oct_literal] = ACTIONS(2249),
    [sym_bin_literal] = ACTIONS(2249),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(2247),
    [anon_sym_GT] = ACTIONS(2247),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(2247),
    [anon_sym_POUNDfileID] = ACTIONS(2249),
    [anon_sym_POUNDfilePath] = ACTIONS(2249),
    [anon_sym_POUNDline] = ACTIONS(2249),
    [anon_sym_POUNDcolumn] = ACTIONS(2249),
    [anon_sym_POUNDfunction] = ACTIONS(2249),
    [anon_sym_POUNDdsohandle] = ACTIONS(2249),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(2249),
    [anon_sym_DASH_EQ] = ACTIONS(2249),
    [anon_sym_STAR_EQ] = ACTIONS(2249),
    [anon_sym_SLASH_EQ] = ACTIONS(2249),
    [anon_sym_PERCENT_EQ] = ACTIONS(2249),
    [anon_sym_BANG_EQ] = ACTIONS(2247),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2249),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2249),
    [anon_sym_LT_EQ] = ACTIONS(2249),
    [anon_sym_GT_EQ] = ACTIONS(2249),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(2247),
    [anon_sym_SLASH] = ACTIONS(2247),
    [anon_sym_PERCENT] = ACTIONS(2247),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(2249),
    [anon_sym_CARET] = ACTIONS(2247),
    [anon_sym_LT_LT] = ACTIONS(2249),
    [anon_sym_GT_GT] = ACTIONS(2249),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(2249),
    [sym__eq_eq_custom] = ACTIONS(2249),
    [sym__plus_then_ws] = ACTIONS(2249),
    [sym__minus_then_ws] = ACTIONS(2249),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [555] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1415),
    [sym_boolean_literal] = STATE(1415),
    [sym__string_literal] = STATE(1415),
    [sym_line_string_literal] = STATE(1415),
    [sym_multi_line_string_literal] = STATE(1415),
    [sym_raw_string_literal] = STATE(1415),
    [sym_regex_literal] = STATE(1415),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1415),
    [sym__unary_expression] = STATE(1415),
    [sym_postfix_expression] = STATE(1415),
    [sym_constructor_expression] = STATE(1415),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1415),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1415),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1415),
    [sym_prefix_expression] = STATE(1415),
    [sym_as_expression] = STATE(1415),
    [sym_selector_expression] = STATE(1415),
    [sym__binary_expression] = STATE(1415),
    [sym_multiplicative_expression] = STATE(1415),
    [sym_additive_expression] = STATE(1415),
    [sym_range_expression] = STATE(1415),
    [sym_infix_expression] = STATE(1415),
    [sym_nil_coalescing_expression] = STATE(1415),
    [sym_check_expression] = STATE(1415),
    [sym_comparison_expression] = STATE(1415),
    [sym_equality_expression] = STATE(1415),
    [sym_conjunction_expression] = STATE(1415),
    [sym_disjunction_expression] = STATE(1415),
    [sym_bitwise_operation] = STATE(1415),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1415),
    [sym_await_expression] = STATE(1415),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1415),
    [sym_call_expression] = STATE(1415),
    [sym__primary_expression] = STATE(1415),
    [sym_tuple_expression] = STATE(1415),
    [sym_array_literal] = STATE(1415),
    [sym_dictionary_literal] = STATE(1415),
    [sym__special_literal] = STATE(1415),
    [sym__playground_literal] = STATE(1415),
    [sym_lambda_literal] = STATE(1415),
    [sym_self_expression] = STATE(1415),
    [sym_super_expression] = STATE(1415),
    [sym_if_statement] = STATE(1415),
    [sym_switch_statement] = STATE(1415),
    [sym_key_path_expression] = STATE(1415),
    [sym_key_path_string_expression] = STATE(1415),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1415),
    [sym__equality_operator] = STATE(1415),
    [sym__comparison_operator] = STATE(1415),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1415),
    [sym__multiplicative_operator] = STATE(1415),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1415),
    [sym_value_parameter_pack] = STATE(1415),
    [sym_value_pack_expansion] = STATE(1415),
    [sym__referenceable_operator] = STATE(1415),
    [sym__equal_sign] = STATE(1415),
    [sym__eq_eq] = STATE(1415),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(2251),
    [sym_real_literal] = ACTIONS(2253),
    [sym_integer_literal] = ACTIONS(2251),
    [sym_hex_literal] = ACTIONS(2253),
    [sym_oct_literal] = ACTIONS(2253),
    [sym_bin_literal] = ACTIONS(2253),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(2251),
    [anon_sym_GT] = ACTIONS(2251),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(2251),
    [anon_sym_POUNDfileID] = ACTIONS(2253),
    [anon_sym_POUNDfilePath] = ACTIONS(2253),
    [anon_sym_POUNDline] = ACTIONS(2253),
    [anon_sym_POUNDcolumn] = ACTIONS(2253),
    [anon_sym_POUNDfunction] = ACTIONS(2253),
    [anon_sym_POUNDdsohandle] = ACTIONS(2253),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(2253),
    [anon_sym_DASH_EQ] = ACTIONS(2253),
    [anon_sym_STAR_EQ] = ACTIONS(2253),
    [anon_sym_SLASH_EQ] = ACTIONS(2253),
    [anon_sym_PERCENT_EQ] = ACTIONS(2253),
    [anon_sym_BANG_EQ] = ACTIONS(2251),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2253),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2253),
    [anon_sym_LT_EQ] = ACTIONS(2253),
    [anon_sym_GT_EQ] = ACTIONS(2253),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(2251),
    [anon_sym_SLASH] = ACTIONS(2251),
    [anon_sym_PERCENT] = ACTIONS(2251),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(2253),
    [anon_sym_CARET] = ACTIONS(2251),
    [anon_sym_LT_LT] = ACTIONS(2253),
    [anon_sym_GT_GT] = ACTIONS(2253),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(2253),
    [sym__eq_eq_custom] = ACTIONS(2253),
    [sym__plus_then_ws] = ACTIONS(2253),
    [sym__minus_then_ws] = ACTIONS(2253),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [556] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1356),
    [sym_boolean_literal] = STATE(1356),
    [sym__string_literal] = STATE(1356),
    [sym_line_string_literal] = STATE(1356),
    [sym_multi_line_string_literal] = STATE(1356),
    [sym_raw_string_literal] = STATE(1356),
    [sym_regex_literal] = STATE(1356),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1356),
    [sym__unary_expression] = STATE(1356),
    [sym_postfix_expression] = STATE(1356),
    [sym_constructor_expression] = STATE(1356),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1356),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1356),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1356),
    [sym_prefix_expression] = STATE(1356),
    [sym_as_expression] = STATE(1356),
    [sym_selector_expression] = STATE(1356),
    [sym__binary_expression] = STATE(1356),
    [sym_multiplicative_expression] = STATE(1356),
    [sym_additive_expression] = STATE(1356),
    [sym_range_expression] = STATE(1356),
    [sym_infix_expression] = STATE(1356),
    [sym_nil_coalescing_expression] = STATE(1356),
    [sym_check_expression] = STATE(1356),
    [sym_comparison_expression] = STATE(1356),
    [sym_equality_expression] = STATE(1356),
    [sym_conjunction_expression] = STATE(1356),
    [sym_disjunction_expression] = STATE(1356),
    [sym_bitwise_operation] = STATE(1356),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1356),
    [sym_await_expression] = STATE(1356),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1356),
    [sym_call_expression] = STATE(1356),
    [sym__primary_expression] = STATE(1356),
    [sym_tuple_expression] = STATE(1356),
    [sym_array_literal] = STATE(1356),
    [sym_dictionary_literal] = STATE(1356),
    [sym__special_literal] = STATE(1356),
    [sym__playground_literal] = STATE(1356),
    [sym_lambda_literal] = STATE(1356),
    [sym_self_expression] = STATE(1356),
    [sym_super_expression] = STATE(1356),
    [sym_if_statement] = STATE(1356),
    [sym_switch_statement] = STATE(1356),
    [sym_key_path_expression] = STATE(1356),
    [sym_key_path_string_expression] = STATE(1356),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1356),
    [sym__equality_operator] = STATE(1356),
    [sym__comparison_operator] = STATE(1356),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1356),
    [sym__multiplicative_operator] = STATE(1356),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1356),
    [sym_value_parameter_pack] = STATE(1356),
    [sym_value_pack_expansion] = STATE(1356),
    [sym__referenceable_operator] = STATE(1356),
    [sym__equal_sign] = STATE(1356),
    [sym__eq_eq] = STATE(1356),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(2255),
    [sym_real_literal] = ACTIONS(2257),
    [sym_integer_literal] = ACTIONS(2255),
    [sym_hex_literal] = ACTIONS(2257),
    [sym_oct_literal] = ACTIONS(2257),
    [sym_bin_literal] = ACTIONS(2257),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(2255),
    [anon_sym_GT] = ACTIONS(2255),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(2255),
    [anon_sym_POUNDfileID] = ACTIONS(2257),
    [anon_sym_POUNDfilePath] = ACTIONS(2257),
    [anon_sym_POUNDline] = ACTIONS(2257),
    [anon_sym_POUNDcolumn] = ACTIONS(2257),
    [anon_sym_POUNDfunction] = ACTIONS(2257),
    [anon_sym_POUNDdsohandle] = ACTIONS(2257),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(2257),
    [anon_sym_DASH_EQ] = ACTIONS(2257),
    [anon_sym_STAR_EQ] = ACTIONS(2257),
    [anon_sym_SLASH_EQ] = ACTIONS(2257),
    [anon_sym_PERCENT_EQ] = ACTIONS(2257),
    [anon_sym_BANG_EQ] = ACTIONS(2255),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2257),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2257),
    [anon_sym_LT_EQ] = ACTIONS(2257),
    [anon_sym_GT_EQ] = ACTIONS(2257),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(2255),
    [anon_sym_SLASH] = ACTIONS(2255),
    [anon_sym_PERCENT] = ACTIONS(2255),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(2257),
    [anon_sym_CARET] = ACTIONS(2255),
    [anon_sym_LT_LT] = ACTIONS(2257),
    [anon_sym_GT_GT] = ACTIONS(2257),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(2257),
    [sym__eq_eq_custom] = ACTIONS(2257),
    [sym__plus_then_ws] = ACTIONS(2257),
    [sym__minus_then_ws] = ACTIONS(2257),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [557] = {
    [sym_simple_identifier] = STATE(2573),
    [sym__contextual_simple_identifier] = STATE(2374),
    [sym__basic_literal] = STATE(1367),
    [sym_boolean_literal] = STATE(1367),
    [sym__string_literal] = STATE(1367),
    [sym_line_string_literal] = STATE(1367),
    [sym_multi_line_string_literal] = STATE(1367),
    [sym_raw_string_literal] = STATE(1367),
    [sym_regex_literal] = STATE(1367),
    [sym__multiline_regex_literal] = STATE(2929),
    [sym_user_type] = STATE(5443),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5443),
    [sym_dictionary_type] = STATE(5443),
    [sym__expression] = STATE(1367),
    [sym__unary_expression] = STATE(1367),
    [sym_postfix_expression] = STATE(1367),
    [sym_constructor_expression] = STATE(1367),
    [sym__parenthesized_type] = STATE(7012),
    [sym_navigation_expression] = STATE(1367),
    [sym__navigable_type_expression] = STATE(7009),
    [sym_open_start_range_expression] = STATE(1367),
    [sym__range_operator] = STATE(557),
    [sym_open_end_range_expression] = STATE(1367),
    [sym_prefix_expression] = STATE(1367),
    [sym_as_expression] = STATE(1367),
    [sym_selector_expression] = STATE(1367),
    [sym__binary_expression] = STATE(1367),
    [sym_multiplicative_expression] = STATE(1367),
    [sym_additive_expression] = STATE(1367),
    [sym_range_expression] = STATE(1367),
    [sym_infix_expression] = STATE(1367),
    [sym_nil_coalescing_expression] = STATE(1367),
    [sym_check_expression] = STATE(1367),
    [sym_comparison_expression] = STATE(1367),
    [sym_equality_expression] = STATE(1367),
    [sym_conjunction_expression] = STATE(1367),
    [sym_disjunction_expression] = STATE(1367),
    [sym_bitwise_operation] = STATE(1367),
    [sym_custom_operator] = STATE(878),
    [sym_try_expression] = STATE(1367),
    [sym_await_expression] = STATE(1367),
    [sym__await_operator] = STATE(450),
    [sym_ternary_expression] = STATE(1367),
    [sym_call_expression] = STATE(1367),
    [sym__primary_expression] = STATE(1367),
    [sym_tuple_expression] = STATE(1367),
    [sym_array_literal] = STATE(1367),
    [sym_dictionary_literal] = STATE(1367),
    [sym__special_literal] = STATE(1367),
    [sym__playground_literal] = STATE(1367),
    [sym_lambda_literal] = STATE(1367),
    [sym_self_expression] = STATE(1367),
    [sym_super_expression] = STATE(1367),
    [sym_if_statement] = STATE(1367),
    [sym_switch_statement] = STATE(1367),
    [sym_key_path_expression] = STATE(1367),
    [sym_key_path_string_expression] = STATE(1367),
    [sym_try_operator] = STATE(451),
    [sym__assignment_and_operator] = STATE(1367),
    [sym__equality_operator] = STATE(1367),
    [sym__comparison_operator] = STATE(1367),
    [sym__three_dot_operator] = STATE(884),
    [sym__open_ended_range_operator] = STATE(557),
    [sym__additive_operator] = STATE(1367),
    [sym__multiplicative_operator] = STATE(1367),
    [sym__prefix_unary_operator] = STATE(471),
    [sym_directly_assignable_expression] = STATE(5445),
    [sym_assignment] = STATE(1367),
    [sym_value_parameter_pack] = STATE(1367),
    [sym_value_pack_expansion] = STATE(1367),
    [sym__referenceable_operator] = STATE(1367),
    [sym__equal_sign] = STATE(1367),
    [sym__eq_eq] = STATE(1367),
    [sym__dot] = STATE(471),
    [sym_bang] = STATE(878),
    [sym__parameter_ownership_modifier] = STATE(2374),
    [aux_sym_raw_string_literal_repeat1] = STATE(7006),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(1037),
    [aux_sym_simple_identifier_token2] = ACTIONS(1039),
    [aux_sym_simple_identifier_token3] = ACTIONS(1039),
    [aux_sym_simple_identifier_token4] = ACTIONS(1039),
    [anon_sym_actor] = ACTIONS(1037),
    [anon_sym_async] = ACTIONS(1037),
    [anon_sym_each] = ACTIONS(1041),
    [anon_sym_lazy] = ACTIONS(1037),
    [anon_sym_repeat] = ACTIONS(1043),
    [anon_sym_package] = ACTIONS(1037),
    [anon_sym_nil] = ACTIONS(2259),
    [sym_real_literal] = ACTIONS(2261),
    [sym_integer_literal] = ACTIONS(2259),
    [sym_hex_literal] = ACTIONS(2261),
    [sym_oct_literal] = ACTIONS(2261),
    [sym_bin_literal] = ACTIONS(2261),
    [anon_sym_true] = ACTIONS(1049),
    [anon_sym_false] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_BSLASH] = ACTIONS(1053),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1055),
    [sym__extended_regex_literal] = ACTIONS(1057),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(1059),
    [sym__oneline_regex_literal] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_LBRACK] = ACTIONS(1065),
    [anon_sym_AMP] = ACTIONS(1067),
    [anon_sym_if] = ACTIONS(1069),
    [anon_sym_switch] = ACTIONS(1071),
    [anon_sym_POUNDselector] = ACTIONS(1073),
    [aux_sym_custom_operator_token1] = ACTIONS(1075),
    [anon_sym_LT] = ACTIONS(2259),
    [anon_sym_GT] = ACTIONS(2259),
    [anon_sym_await] = ACTIONS(1077),
    [anon_sym_POUNDfile] = ACTIONS(2259),
    [anon_sym_POUNDfileID] = ACTIONS(2261),
    [anon_sym_POUNDfilePath] = ACTIONS(2261),
    [anon_sym_POUNDline] = ACTIONS(2261),
    [anon_sym_POUNDcolumn] = ACTIONS(2261),
    [anon_sym_POUNDfunction] = ACTIONS(2261),
    [anon_sym_POUNDdsohandle] = ACTIONS(2261),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(1079),
    [anon_sym_POUNDfileLiteral] = ACTIONS(1079),
    [anon_sym_POUNDimageLiteral] = ACTIONS(1079),
    [anon_sym_LBRACE] = ACTIONS(1081),
    [anon_sym_CARET_LBRACE] = ACTIONS(1081),
    [anon_sym_self] = ACTIONS(1083),
    [anon_sym_super] = ACTIONS(1085),
    [anon_sym_POUNDkeyPath] = ACTIONS(1089),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(2261),
    [anon_sym_DASH_EQ] = ACTIONS(2261),
    [anon_sym_STAR_EQ] = ACTIONS(2261),
    [anon_sym_SLASH_EQ] = ACTIONS(2261),
    [anon_sym_PERCENT_EQ] = ACTIONS(2261),
    [anon_sym_BANG_EQ] = ACTIONS(2259),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2261),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2261),
    [anon_sym_LT_EQ] = ACTIONS(2261),
    [anon_sym_GT_EQ] = ACTIONS(2261),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1093),
    [anon_sym_PLUS] = ACTIONS(1097),
    [anon_sym_DASH] = ACTIONS(1097),
    [anon_sym_STAR] = ACTIONS(2259),
    [anon_sym_SLASH] = ACTIONS(2259),
    [anon_sym_PERCENT] = ACTIONS(2259),
    [anon_sym_PLUS_PLUS] = ACTIONS(1067),
    [anon_sym_DASH_DASH] = ACTIONS(1067),
    [anon_sym_TILDE] = ACTIONS(1067),
    [anon_sym_PIPE] = ACTIONS(2261),
    [anon_sym_CARET] = ACTIONS(2259),
    [anon_sym_LT_LT] = ACTIONS(2261),
    [anon_sym_GT_GT] = ACTIONS(2261),
    [anon_sym_BANG2] = ACTIONS(1099),
    [anon_sym_borrowing] = ACTIONS(1037),
    [anon_sym_consuming] = ACTIONS(1037),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(1103),
    [sym__dot_custom] = ACTIONS(1307),
    [sym__eq_custom] = ACTIONS(2261),
    [sym__eq_eq_custom] = ACTIONS(2261),
    [sym__plus_then_ws] = ACTIONS(2261),
    [sym__minus_then_ws] = ACTIONS(2261),
    [sym__bang_custom] = ACTIONS(1107),
    [sym__custom_operator] = ACTIONS(1075),
  },
  [558] = {
    [sym_simple_identifier] = STATE(2936),
    [sym__contextual_simple_identifier] = STATE(2558),
    [sym__basic_literal] = STATE(1391),
    [sym_boolean_literal] = STATE(1391),
    [sym__string_literal] = STATE(1391),
    [sym_line_string_literal] = STATE(1391),
    [sym_multi_line_string_literal] = STATE(1391),
    [sym_raw_string_literal] = STATE(1391),
    [sym_regex_literal] = STATE(1391),
    [sym__multiline_regex_literal] = STATE(3141),
    [sym_user_type] = STATE(5448),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5448),
    [sym_dictionary_type] = STATE(5448),
    [sym__expression] = STATE(1391),
    [sym__unary_expression] = STATE(1391),
    [sym_postfix_expression] = STATE(1391),
    [sym_constructor_expression] = STATE(1391),
    [sym__parenthesized_type] = STATE(6984),
    [sym_navigation_expression] = STATE(1391),
    [sym__navigable_type_expression] = STATE(6994),
    [sym_open_start_range_expression] = STATE(1391),
    [sym__range_operator] = STATE(488),
    [sym_open_end_range_expression] = STATE(1391),
    [sym_prefix_expression] = STATE(1391),
    [sym_as_expression] = STATE(1391),
    [sym_selector_expression] = STATE(1391),
    [sym__binary_expression] = STATE(1391),
    [sym_multiplicative_expression] = STATE(1391),
    [sym_additive_expression] = STATE(1391),
    [sym_range_expression] = STATE(1391),
    [sym_infix_expression] = STATE(1391),
    [sym_nil_coalescing_expression] = STATE(1391),
    [sym_check_expression] = STATE(1391),
    [sym_comparison_expression] = STATE(1391),
    [sym_equality_expression] = STATE(1391),
    [sym_conjunction_expression] = STATE(1391),
    [sym_disjunction_expression] = STATE(1391),
    [sym_bitwise_operation] = STATE(1391),
    [sym_custom_operator] = STATE(902),
    [sym_try_expression] = STATE(1391),
    [sym_await_expression] = STATE(1391),
    [sym__await_operator] = STATE(498),
    [sym_ternary_expression] = STATE(1391),
    [sym_call_expression] = STATE(1391),
    [sym__primary_expression] = STATE(1391),
    [sym_tuple_expression] = STATE(1391),
    [sym_array_literal] = STATE(1391),
    [sym_dictionary_literal] = STATE(1391),
    [sym__special_literal] = STATE(1391),
    [sym__playground_literal] = STATE(1391),
    [sym_lambda_literal] = STATE(1391),
    [sym_self_expression] = STATE(1391),
    [sym_super_expression] = STATE(1391),
    [sym_if_statement] = STATE(1391),
    [sym_switch_statement] = STATE(1391),
    [sym_key_path_expression] = STATE(1391),
    [sym_key_path_string_expression] = STATE(1391),
    [sym_try_operator] = STATE(501),
    [sym__assignment_and_operator] = STATE(1391),
    [sym__equality_operator] = STATE(1391),
    [sym__comparison_operator] = STATE(1391),
    [sym__three_dot_operator] = STATE(900),
    [sym__open_ended_range_operator] = STATE(488),
    [sym__additive_operator] = STATE(1391),
    [sym__multiplicative_operator] = STATE(1391),
    [sym__prefix_unary_operator] = STATE(505),
    [sym_directly_assignable_expression] = STATE(5447),
    [sym_assignment] = STATE(1391),
    [sym_value_parameter_pack] = STATE(1391),
    [sym_value_pack_expansion] = STATE(1391),
    [sym__referenceable_operator] = STATE(1391),
    [sym__equal_sign] = STATE(1391),
    [sym__eq_eq] = STATE(1391),
    [sym__dot] = STATE(505),
    [sym_bang] = STATE(902),
    [sym__parameter_ownership_modifier] = STATE(2558),
    [aux_sym_raw_string_literal_repeat1] = STATE(7003),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(1147),
    [aux_sym_simple_identifier_token2] = ACTIONS(1149),
    [aux_sym_simple_identifier_token3] = ACTIONS(1149),
    [aux_sym_simple_identifier_token4] = ACTIONS(1149),
    [anon_sym_actor] = ACTIONS(1147),
    [anon_sym_async] = ACTIONS(1147),
    [anon_sym_each] = ACTIONS(1153),
    [anon_sym_lazy] = ACTIONS(1147),
    [anon_sym_repeat] = ACTIONS(1155),
    [anon_sym_package] = ACTIONS(1147),
    [anon_sym_nil] = ACTIONS(2263),
    [sym_real_literal] = ACTIONS(2265),
    [sym_integer_literal] = ACTIONS(2263),
    [sym_hex_literal] = ACTIONS(2265),
    [sym_oct_literal] = ACTIONS(2265),
    [sym_bin_literal] = ACTIONS(2265),
    [anon_sym_true] = ACTIONS(1161),
    [anon_sym_false] = ACTIONS(1161),
    [anon_sym_DQUOTE] = ACTIONS(1163),
    [anon_sym_BSLASH] = ACTIONS(1165),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1167),
    [sym__extended_regex_literal] = ACTIONS(1169),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(1171),
    [sym__oneline_regex_literal] = ACTIONS(1173),
    [anon_sym_LPAREN] = ACTIONS(1175),
    [anon_sym_LBRACK] = ACTIONS(1177),
    [anon_sym_AMP] = ACTIONS(1179),
    [anon_sym_if] = ACTIONS(1181),
    [anon_sym_switch] = ACTIONS(1183),
    [anon_sym_POUNDselector] = ACTIONS(1185),
    [aux_sym_custom_operator_token1] = ACTIONS(1187),
    [anon_sym_LT] = ACTIONS(2263),
    [anon_sym_GT] = ACTIONS(2263),
    [anon_sym_await] = ACTIONS(1189),
    [anon_sym_POUNDfile] = ACTIONS(2263),
    [anon_sym_POUNDfileID] = ACTIONS(2265),
    [anon_sym_POUNDfilePath] = ACTIONS(2265),
    [anon_sym_POUNDline] = ACTIONS(2265),
    [anon_sym_POUNDcolumn] = ACTIONS(2265),
    [anon_sym_POUNDfunction] = ACTIONS(2265),
    [anon_sym_POUNDdsohandle] = ACTIONS(2265),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(1191),
    [anon_sym_POUNDfileLiteral] = ACTIONS(1191),
    [anon_sym_POUNDimageLiteral] = ACTIONS(1191),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_CARET_LBRACE] = ACTIONS(1193),
    [anon_sym_self] = ACTIONS(1195),
    [anon_sym_super] = ACTIONS(1197),
    [anon_sym_POUNDkeyPath] = ACTIONS(1201),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(2265),
    [anon_sym_DASH_EQ] = ACTIONS(2265),
    [anon_sym_STAR_EQ] = ACTIONS(2265),
    [anon_sym_SLASH_EQ] = ACTIONS(2265),
    [anon_sym_PERCENT_EQ] = ACTIONS(2265),
    [anon_sym_BANG_EQ] = ACTIONS(2263),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2265),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2265),
    [anon_sym_LT_EQ] = ACTIONS(2265),
    [anon_sym_GT_EQ] = ACTIONS(2265),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1203),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1205),
    [anon_sym_PLUS] = ACTIONS(1207),
    [anon_sym_DASH] = ACTIONS(1207),
    [anon_sym_STAR] = ACTIONS(2263),
    [anon_sym_SLASH] = ACTIONS(2263),
    [anon_sym_PERCENT] = ACTIONS(2263),
    [anon_sym_PLUS_PLUS] = ACTIONS(1179),
    [anon_sym_DASH_DASH] = ACTIONS(1179),
    [anon_sym_TILDE] = ACTIONS(1179),
    [anon_sym_PIPE] = ACTIONS(2265),
    [anon_sym_CARET] = ACTIONS(2263),
    [anon_sym_LT_LT] = ACTIONS(2265),
    [anon_sym_GT_GT] = ACTIONS(2265),
    [anon_sym_BANG2] = ACTIONS(1211),
    [anon_sym_borrowing] = ACTIONS(1147),
    [anon_sym_consuming] = ACTIONS(1147),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(1213),
    [sym__dot_custom] = ACTIONS(1215),
    [sym__eq_custom] = ACTIONS(2265),
    [sym__eq_eq_custom] = ACTIONS(2265),
    [sym__plus_then_ws] = ACTIONS(2265),
    [sym__minus_then_ws] = ACTIONS(2265),
    [sym__bang_custom] = ACTIONS(1217),
    [sym__custom_operator] = ACTIONS(1187),
  },
  [559] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1416),
    [sym_boolean_literal] = STATE(1416),
    [sym__string_literal] = STATE(1416),
    [sym_line_string_literal] = STATE(1416),
    [sym_multi_line_string_literal] = STATE(1416),
    [sym_raw_string_literal] = STATE(1416),
    [sym_regex_literal] = STATE(1416),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1416),
    [sym__unary_expression] = STATE(1416),
    [sym_postfix_expression] = STATE(1416),
    [sym_constructor_expression] = STATE(1416),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1416),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1416),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1416),
    [sym_prefix_expression] = STATE(1416),
    [sym_as_expression] = STATE(1416),
    [sym_selector_expression] = STATE(1416),
    [sym__binary_expression] = STATE(1416),
    [sym_multiplicative_expression] = STATE(1416),
    [sym_additive_expression] = STATE(1416),
    [sym_range_expression] = STATE(1416),
    [sym_infix_expression] = STATE(1416),
    [sym_nil_coalescing_expression] = STATE(1416),
    [sym_check_expression] = STATE(1416),
    [sym_comparison_expression] = STATE(1416),
    [sym_equality_expression] = STATE(1416),
    [sym_conjunction_expression] = STATE(1416),
    [sym_disjunction_expression] = STATE(1416),
    [sym_bitwise_operation] = STATE(1416),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1416),
    [sym_await_expression] = STATE(1416),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1416),
    [sym_call_expression] = STATE(1416),
    [sym__primary_expression] = STATE(1416),
    [sym_tuple_expression] = STATE(1416),
    [sym_array_literal] = STATE(1416),
    [sym_dictionary_literal] = STATE(1416),
    [sym__special_literal] = STATE(1416),
    [sym__playground_literal] = STATE(1416),
    [sym_lambda_literal] = STATE(1416),
    [sym_self_expression] = STATE(1416),
    [sym_super_expression] = STATE(1416),
    [sym_if_statement] = STATE(1416),
    [sym_switch_statement] = STATE(1416),
    [sym_key_path_expression] = STATE(1416),
    [sym_key_path_string_expression] = STATE(1416),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1416),
    [sym__equality_operator] = STATE(1416),
    [sym__comparison_operator] = STATE(1416),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1416),
    [sym__multiplicative_operator] = STATE(1416),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1416),
    [sym_value_parameter_pack] = STATE(1416),
    [sym_value_pack_expansion] = STATE(1416),
    [sym__referenceable_operator] = STATE(1416),
    [sym__equal_sign] = STATE(1416),
    [sym__eq_eq] = STATE(1416),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(2267),
    [sym_real_literal] = ACTIONS(2269),
    [sym_integer_literal] = ACTIONS(2267),
    [sym_hex_literal] = ACTIONS(2269),
    [sym_oct_literal] = ACTIONS(2269),
    [sym_bin_literal] = ACTIONS(2269),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(2267),
    [anon_sym_GT] = ACTIONS(2267),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(2267),
    [anon_sym_POUNDfileID] = ACTIONS(2269),
    [anon_sym_POUNDfilePath] = ACTIONS(2269),
    [anon_sym_POUNDline] = ACTIONS(2269),
    [anon_sym_POUNDcolumn] = ACTIONS(2269),
    [anon_sym_POUNDfunction] = ACTIONS(2269),
    [anon_sym_POUNDdsohandle] = ACTIONS(2269),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(2269),
    [anon_sym_DASH_EQ] = ACTIONS(2269),
    [anon_sym_STAR_EQ] = ACTIONS(2269),
    [anon_sym_SLASH_EQ] = ACTIONS(2269),
    [anon_sym_PERCENT_EQ] = ACTIONS(2269),
    [anon_sym_BANG_EQ] = ACTIONS(2267),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2269),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2269),
    [anon_sym_LT_EQ] = ACTIONS(2269),
    [anon_sym_GT_EQ] = ACTIONS(2269),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(2267),
    [anon_sym_SLASH] = ACTIONS(2267),
    [anon_sym_PERCENT] = ACTIONS(2267),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(2269),
    [anon_sym_CARET] = ACTIONS(2267),
    [anon_sym_LT_LT] = ACTIONS(2269),
    [anon_sym_GT_GT] = ACTIONS(2269),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(2269),
    [sym__eq_eq_custom] = ACTIONS(2269),
    [sym__plus_then_ws] = ACTIONS(2269),
    [sym__minus_then_ws] = ACTIONS(2269),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [560] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1434),
    [sym_boolean_literal] = STATE(1434),
    [sym__string_literal] = STATE(1434),
    [sym_line_string_literal] = STATE(1434),
    [sym_multi_line_string_literal] = STATE(1434),
    [sym_raw_string_literal] = STATE(1434),
    [sym_regex_literal] = STATE(1434),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1434),
    [sym__unary_expression] = STATE(1434),
    [sym_postfix_expression] = STATE(1434),
    [sym_constructor_expression] = STATE(1434),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1434),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1434),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1434),
    [sym_prefix_expression] = STATE(1434),
    [sym_as_expression] = STATE(1434),
    [sym_selector_expression] = STATE(1434),
    [sym__binary_expression] = STATE(1434),
    [sym_multiplicative_expression] = STATE(1434),
    [sym_additive_expression] = STATE(1434),
    [sym_range_expression] = STATE(1434),
    [sym_infix_expression] = STATE(1434),
    [sym_nil_coalescing_expression] = STATE(1434),
    [sym_check_expression] = STATE(1434),
    [sym_comparison_expression] = STATE(1434),
    [sym_equality_expression] = STATE(1434),
    [sym_conjunction_expression] = STATE(1434),
    [sym_disjunction_expression] = STATE(1434),
    [sym_bitwise_operation] = STATE(1434),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1434),
    [sym_await_expression] = STATE(1434),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1434),
    [sym_call_expression] = STATE(1434),
    [sym__primary_expression] = STATE(1434),
    [sym_tuple_expression] = STATE(1434),
    [sym_array_literal] = STATE(1434),
    [sym_dictionary_literal] = STATE(1434),
    [sym__special_literal] = STATE(1434),
    [sym__playground_literal] = STATE(1434),
    [sym_lambda_literal] = STATE(1434),
    [sym_self_expression] = STATE(1434),
    [sym_super_expression] = STATE(1434),
    [sym_if_statement] = STATE(1434),
    [sym_switch_statement] = STATE(1434),
    [sym_key_path_expression] = STATE(1434),
    [sym_key_path_string_expression] = STATE(1434),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1434),
    [sym__equality_operator] = STATE(1434),
    [sym__comparison_operator] = STATE(1434),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1434),
    [sym__multiplicative_operator] = STATE(1434),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1434),
    [sym_value_parameter_pack] = STATE(1434),
    [sym_value_pack_expansion] = STATE(1434),
    [sym__referenceable_operator] = STATE(1434),
    [sym__equal_sign] = STATE(1434),
    [sym__eq_eq] = STATE(1434),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(2271),
    [sym_real_literal] = ACTIONS(2273),
    [sym_integer_literal] = ACTIONS(2271),
    [sym_hex_literal] = ACTIONS(2273),
    [sym_oct_literal] = ACTIONS(2273),
    [sym_bin_literal] = ACTIONS(2273),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(2271),
    [anon_sym_GT] = ACTIONS(2271),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(2271),
    [anon_sym_POUNDfileID] = ACTIONS(2273),
    [anon_sym_POUNDfilePath] = ACTIONS(2273),
    [anon_sym_POUNDline] = ACTIONS(2273),
    [anon_sym_POUNDcolumn] = ACTIONS(2273),
    [anon_sym_POUNDfunction] = ACTIONS(2273),
    [anon_sym_POUNDdsohandle] = ACTIONS(2273),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(2273),
    [anon_sym_DASH_EQ] = ACTIONS(2273),
    [anon_sym_STAR_EQ] = ACTIONS(2273),
    [anon_sym_SLASH_EQ] = ACTIONS(2273),
    [anon_sym_PERCENT_EQ] = ACTIONS(2273),
    [anon_sym_BANG_EQ] = ACTIONS(2271),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2273),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2273),
    [anon_sym_LT_EQ] = ACTIONS(2273),
    [anon_sym_GT_EQ] = ACTIONS(2273),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(2271),
    [anon_sym_SLASH] = ACTIONS(2271),
    [anon_sym_PERCENT] = ACTIONS(2271),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(2273),
    [anon_sym_CARET] = ACTIONS(2271),
    [anon_sym_LT_LT] = ACTIONS(2273),
    [anon_sym_GT_GT] = ACTIONS(2273),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(2273),
    [sym__eq_eq_custom] = ACTIONS(2273),
    [sym__plus_then_ws] = ACTIONS(2273),
    [sym__minus_then_ws] = ACTIONS(2273),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [561] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1294),
    [sym_boolean_literal] = STATE(1294),
    [sym__string_literal] = STATE(1294),
    [sym_line_string_literal] = STATE(1294),
    [sym_multi_line_string_literal] = STATE(1294),
    [sym_raw_string_literal] = STATE(1294),
    [sym_regex_literal] = STATE(1294),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1294),
    [sym__unary_expression] = STATE(1294),
    [sym_postfix_expression] = STATE(1294),
    [sym_constructor_expression] = STATE(1294),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1294),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1294),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1294),
    [sym_prefix_expression] = STATE(1294),
    [sym_as_expression] = STATE(1294),
    [sym_selector_expression] = STATE(1294),
    [sym__binary_expression] = STATE(1294),
    [sym_multiplicative_expression] = STATE(1294),
    [sym_additive_expression] = STATE(1294),
    [sym_range_expression] = STATE(1294),
    [sym_infix_expression] = STATE(1294),
    [sym_nil_coalescing_expression] = STATE(1294),
    [sym_check_expression] = STATE(1294),
    [sym_comparison_expression] = STATE(1294),
    [sym_equality_expression] = STATE(1294),
    [sym_conjunction_expression] = STATE(1294),
    [sym_disjunction_expression] = STATE(1294),
    [sym_bitwise_operation] = STATE(1294),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1294),
    [sym_await_expression] = STATE(1294),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1294),
    [sym_call_expression] = STATE(1294),
    [sym__primary_expression] = STATE(1294),
    [sym_tuple_expression] = STATE(1294),
    [sym_array_literal] = STATE(1294),
    [sym_dictionary_literal] = STATE(1294),
    [sym__special_literal] = STATE(1294),
    [sym__playground_literal] = STATE(1294),
    [sym_lambda_literal] = STATE(1294),
    [sym_self_expression] = STATE(1294),
    [sym_super_expression] = STATE(1294),
    [sym_if_statement] = STATE(1294),
    [sym_switch_statement] = STATE(1294),
    [sym_key_path_expression] = STATE(1294),
    [sym_key_path_string_expression] = STATE(1294),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1294),
    [sym__equality_operator] = STATE(1294),
    [sym__comparison_operator] = STATE(1294),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1294),
    [sym__multiplicative_operator] = STATE(1294),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1294),
    [sym_value_parameter_pack] = STATE(1294),
    [sym_value_pack_expansion] = STATE(1294),
    [sym__referenceable_operator] = STATE(1294),
    [sym__equal_sign] = STATE(1294),
    [sym__eq_eq] = STATE(1294),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(2275),
    [sym_real_literal] = ACTIONS(2277),
    [sym_integer_literal] = ACTIONS(2275),
    [sym_hex_literal] = ACTIONS(2277),
    [sym_oct_literal] = ACTIONS(2277),
    [sym_bin_literal] = ACTIONS(2277),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_GT] = ACTIONS(2275),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(2275),
    [anon_sym_POUNDfileID] = ACTIONS(2277),
    [anon_sym_POUNDfilePath] = ACTIONS(2277),
    [anon_sym_POUNDline] = ACTIONS(2277),
    [anon_sym_POUNDcolumn] = ACTIONS(2277),
    [anon_sym_POUNDfunction] = ACTIONS(2277),
    [anon_sym_POUNDdsohandle] = ACTIONS(2277),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(2277),
    [anon_sym_DASH_EQ] = ACTIONS(2277),
    [anon_sym_STAR_EQ] = ACTIONS(2277),
    [anon_sym_SLASH_EQ] = ACTIONS(2277),
    [anon_sym_PERCENT_EQ] = ACTIONS(2277),
    [anon_sym_BANG_EQ] = ACTIONS(2275),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2277),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2277),
    [anon_sym_LT_EQ] = ACTIONS(2277),
    [anon_sym_GT_EQ] = ACTIONS(2277),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(2275),
    [anon_sym_SLASH] = ACTIONS(2275),
    [anon_sym_PERCENT] = ACTIONS(2275),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(2277),
    [anon_sym_CARET] = ACTIONS(2275),
    [anon_sym_LT_LT] = ACTIONS(2277),
    [anon_sym_GT_GT] = ACTIONS(2277),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(2277),
    [sym__eq_eq_custom] = ACTIONS(2277),
    [sym__plus_then_ws] = ACTIONS(2277),
    [sym__minus_then_ws] = ACTIONS(2277),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [562] = {
    [sym_simple_identifier] = STATE(1040),
    [sym__contextual_simple_identifier] = STATE(1015),
    [sym__basic_literal] = STATE(653),
    [sym_boolean_literal] = STATE(653),
    [sym__string_literal] = STATE(653),
    [sym_line_string_literal] = STATE(653),
    [sym_multi_line_string_literal] = STATE(653),
    [sym_raw_string_literal] = STATE(653),
    [sym_regex_literal] = STATE(653),
    [sym__multiline_regex_literal] = STATE(1134),
    [sym_user_type] = STATE(5559),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5559),
    [sym_dictionary_type] = STATE(5559),
    [sym__expression] = STATE(653),
    [sym__unary_expression] = STATE(653),
    [sym_postfix_expression] = STATE(653),
    [sym_constructor_expression] = STATE(653),
    [sym__parenthesized_type] = STATE(6572),
    [sym_navigation_expression] = STATE(653),
    [sym__navigable_type_expression] = STATE(6573),
    [sym_open_start_range_expression] = STATE(653),
    [sym__range_operator] = STATE(462),
    [sym_open_end_range_expression] = STATE(653),
    [sym_prefix_expression] = STATE(653),
    [sym_as_expression] = STATE(653),
    [sym_selector_expression] = STATE(653),
    [sym__binary_expression] = STATE(653),
    [sym_multiplicative_expression] = STATE(653),
    [sym_additive_expression] = STATE(653),
    [sym_range_expression] = STATE(653),
    [sym_infix_expression] = STATE(653),
    [sym_nil_coalescing_expression] = STATE(653),
    [sym_check_expression] = STATE(653),
    [sym_comparison_expression] = STATE(653),
    [sym_equality_expression] = STATE(653),
    [sym_conjunction_expression] = STATE(653),
    [sym_disjunction_expression] = STATE(653),
    [sym_bitwise_operation] = STATE(653),
    [sym_custom_operator] = STATE(615),
    [sym_try_expression] = STATE(653),
    [sym_await_expression] = STATE(653),
    [sym__await_operator] = STATE(463),
    [sym_ternary_expression] = STATE(653),
    [sym_call_expression] = STATE(653),
    [sym__primary_expression] = STATE(653),
    [sym_tuple_expression] = STATE(653),
    [sym_array_literal] = STATE(653),
    [sym_dictionary_literal] = STATE(653),
    [sym__special_literal] = STATE(653),
    [sym__playground_literal] = STATE(653),
    [sym_lambda_literal] = STATE(653),
    [sym_self_expression] = STATE(653),
    [sym_super_expression] = STATE(653),
    [sym_if_statement] = STATE(653),
    [sym_switch_statement] = STATE(653),
    [sym_key_path_expression] = STATE(653),
    [sym_key_path_string_expression] = STATE(653),
    [sym_try_operator] = STATE(465),
    [sym__assignment_and_operator] = STATE(653),
    [sym__equality_operator] = STATE(653),
    [sym__comparison_operator] = STATE(653),
    [sym__three_dot_operator] = STATE(617),
    [sym__open_ended_range_operator] = STATE(462),
    [sym__additive_operator] = STATE(653),
    [sym__multiplicative_operator] = STATE(653),
    [sym__prefix_unary_operator] = STATE(470),
    [sym_directly_assignable_expression] = STATE(5558),
    [sym_assignment] = STATE(653),
    [sym_value_parameter_pack] = STATE(653),
    [sym_value_pack_expansion] = STATE(653),
    [sym__referenceable_operator] = STATE(653),
    [sym__equal_sign] = STATE(653),
    [sym__eq_eq] = STATE(653),
    [sym__dot] = STATE(470),
    [sym_bang] = STATE(615),
    [sym__parameter_ownership_modifier] = STATE(1015),
    [aux_sym_raw_string_literal_repeat1] = STATE(6655),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(673),
    [aux_sym_simple_identifier_token2] = ACTIONS(675),
    [aux_sym_simple_identifier_token3] = ACTIONS(675),
    [aux_sym_simple_identifier_token4] = ACTIONS(675),
    [anon_sym_actor] = ACTIONS(673),
    [anon_sym_async] = ACTIONS(673),
    [anon_sym_each] = ACTIONS(677),
    [anon_sym_lazy] = ACTIONS(673),
    [anon_sym_repeat] = ACTIONS(679),
    [anon_sym_package] = ACTIONS(673),
    [anon_sym_nil] = ACTIONS(2279),
    [sym_real_literal] = ACTIONS(2281),
    [sym_integer_literal] = ACTIONS(2279),
    [sym_hex_literal] = ACTIONS(2281),
    [sym_oct_literal] = ACTIONS(2281),
    [sym_bin_literal] = ACTIONS(2281),
    [anon_sym_true] = ACTIONS(685),
    [anon_sym_false] = ACTIONS(685),
    [anon_sym_DQUOTE] = ACTIONS(687),
    [anon_sym_BSLASH] = ACTIONS(689),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(691),
    [sym__extended_regex_literal] = ACTIONS(693),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(695),
    [sym__oneline_regex_literal] = ACTIONS(697),
    [anon_sym_LPAREN] = ACTIONS(699),
    [anon_sym_LBRACK] = ACTIONS(701),
    [anon_sym_AMP] = ACTIONS(703),
    [anon_sym_if] = ACTIONS(705),
    [anon_sym_switch] = ACTIONS(707),
    [anon_sym_POUNDselector] = ACTIONS(709),
    [aux_sym_custom_operator_token1] = ACTIONS(711),
    [anon_sym_LT] = ACTIONS(2279),
    [anon_sym_GT] = ACTIONS(2279),
    [anon_sym_await] = ACTIONS(713),
    [anon_sym_POUNDfile] = ACTIONS(2279),
    [anon_sym_POUNDfileID] = ACTIONS(2281),
    [anon_sym_POUNDfilePath] = ACTIONS(2281),
    [anon_sym_POUNDline] = ACTIONS(2281),
    [anon_sym_POUNDcolumn] = ACTIONS(2281),
    [anon_sym_POUNDfunction] = ACTIONS(2281),
    [anon_sym_POUNDdsohandle] = ACTIONS(2281),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(715),
    [anon_sym_POUNDfileLiteral] = ACTIONS(715),
    [anon_sym_POUNDimageLiteral] = ACTIONS(715),
    [anon_sym_LBRACE] = ACTIONS(717),
    [anon_sym_CARET_LBRACE] = ACTIONS(717),
    [anon_sym_self] = ACTIONS(719),
    [anon_sym_super] = ACTIONS(721),
    [anon_sym_POUNDkeyPath] = ACTIONS(723),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(2281),
    [anon_sym_DASH_EQ] = ACTIONS(2281),
    [anon_sym_STAR_EQ] = ACTIONS(2281),
    [anon_sym_SLASH_EQ] = ACTIONS(2281),
    [anon_sym_PERCENT_EQ] = ACTIONS(2281),
    [anon_sym_BANG_EQ] = ACTIONS(2279),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2281),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2281),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(725),
    [anon_sym_DOT_DOT_LT] = ACTIONS(727),
    [anon_sym_PLUS] = ACTIONS(729),
    [anon_sym_DASH] = ACTIONS(729),
    [anon_sym_STAR] = ACTIONS(2279),
    [anon_sym_SLASH] = ACTIONS(2279),
    [anon_sym_PERCENT] = ACTIONS(2279),
    [anon_sym_PLUS_PLUS] = ACTIONS(703),
    [anon_sym_DASH_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(703),
    [anon_sym_PIPE] = ACTIONS(2281),
    [anon_sym_CARET] = ACTIONS(2279),
    [anon_sym_LT_LT] = ACTIONS(2281),
    [anon_sym_GT_GT] = ACTIONS(2281),
    [anon_sym_BANG2] = ACTIONS(731),
    [anon_sym_borrowing] = ACTIONS(673),
    [anon_sym_consuming] = ACTIONS(673),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(733),
    [sym__dot_custom] = ACTIONS(735),
    [sym__eq_custom] = ACTIONS(2281),
    [sym__eq_eq_custom] = ACTIONS(2281),
    [sym__plus_then_ws] = ACTIONS(2281),
    [sym__minus_then_ws] = ACTIONS(2281),
    [sym__bang_custom] = ACTIONS(737),
    [sym__custom_operator] = ACTIONS(711),
  },
  [563] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1429),
    [sym_boolean_literal] = STATE(1429),
    [sym__string_literal] = STATE(1429),
    [sym_line_string_literal] = STATE(1429),
    [sym_multi_line_string_literal] = STATE(1429),
    [sym_raw_string_literal] = STATE(1429),
    [sym_regex_literal] = STATE(1429),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1429),
    [sym__unary_expression] = STATE(1429),
    [sym_postfix_expression] = STATE(1429),
    [sym_constructor_expression] = STATE(1429),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1429),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1429),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1429),
    [sym_prefix_expression] = STATE(1429),
    [sym_as_expression] = STATE(1429),
    [sym_selector_expression] = STATE(1429),
    [sym__binary_expression] = STATE(1429),
    [sym_multiplicative_expression] = STATE(1429),
    [sym_additive_expression] = STATE(1429),
    [sym_range_expression] = STATE(1429),
    [sym_infix_expression] = STATE(1429),
    [sym_nil_coalescing_expression] = STATE(1429),
    [sym_check_expression] = STATE(1429),
    [sym_comparison_expression] = STATE(1429),
    [sym_equality_expression] = STATE(1429),
    [sym_conjunction_expression] = STATE(1429),
    [sym_disjunction_expression] = STATE(1429),
    [sym_bitwise_operation] = STATE(1429),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1429),
    [sym_await_expression] = STATE(1429),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1429),
    [sym_call_expression] = STATE(1429),
    [sym__primary_expression] = STATE(1429),
    [sym_tuple_expression] = STATE(1429),
    [sym_array_literal] = STATE(1429),
    [sym_dictionary_literal] = STATE(1429),
    [sym__special_literal] = STATE(1429),
    [sym__playground_literal] = STATE(1429),
    [sym_lambda_literal] = STATE(1429),
    [sym_self_expression] = STATE(1429),
    [sym_super_expression] = STATE(1429),
    [sym_if_statement] = STATE(1429),
    [sym_switch_statement] = STATE(1429),
    [sym_key_path_expression] = STATE(1429),
    [sym_key_path_string_expression] = STATE(1429),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1429),
    [sym__equality_operator] = STATE(1429),
    [sym__comparison_operator] = STATE(1429),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1429),
    [sym__multiplicative_operator] = STATE(1429),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1429),
    [sym_value_parameter_pack] = STATE(1429),
    [sym_value_pack_expansion] = STATE(1429),
    [sym__referenceable_operator] = STATE(1429),
    [sym__equal_sign] = STATE(1429),
    [sym__eq_eq] = STATE(1429),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(2283),
    [sym_real_literal] = ACTIONS(2285),
    [sym_integer_literal] = ACTIONS(2283),
    [sym_hex_literal] = ACTIONS(2285),
    [sym_oct_literal] = ACTIONS(2285),
    [sym_bin_literal] = ACTIONS(2285),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(2283),
    [anon_sym_GT] = ACTIONS(2283),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(2283),
    [anon_sym_POUNDfileID] = ACTIONS(2285),
    [anon_sym_POUNDfilePath] = ACTIONS(2285),
    [anon_sym_POUNDline] = ACTIONS(2285),
    [anon_sym_POUNDcolumn] = ACTIONS(2285),
    [anon_sym_POUNDfunction] = ACTIONS(2285),
    [anon_sym_POUNDdsohandle] = ACTIONS(2285),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(2285),
    [anon_sym_DASH_EQ] = ACTIONS(2285),
    [anon_sym_STAR_EQ] = ACTIONS(2285),
    [anon_sym_SLASH_EQ] = ACTIONS(2285),
    [anon_sym_PERCENT_EQ] = ACTIONS(2285),
    [anon_sym_BANG_EQ] = ACTIONS(2283),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2285),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2285),
    [anon_sym_LT_EQ] = ACTIONS(2285),
    [anon_sym_GT_EQ] = ACTIONS(2285),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(2283),
    [anon_sym_SLASH] = ACTIONS(2283),
    [anon_sym_PERCENT] = ACTIONS(2283),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(2285),
    [anon_sym_CARET] = ACTIONS(2283),
    [anon_sym_LT_LT] = ACTIONS(2285),
    [anon_sym_GT_GT] = ACTIONS(2285),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(2285),
    [sym__eq_eq_custom] = ACTIONS(2285),
    [sym__plus_then_ws] = ACTIONS(2285),
    [sym__minus_then_ws] = ACTIONS(2285),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [564] = {
    [sym_simple_identifier] = STATE(2573),
    [sym__contextual_simple_identifier] = STATE(2374),
    [sym__basic_literal] = STATE(1420),
    [sym_boolean_literal] = STATE(1420),
    [sym__string_literal] = STATE(1420),
    [sym_line_string_literal] = STATE(1420),
    [sym_multi_line_string_literal] = STATE(1420),
    [sym_raw_string_literal] = STATE(1420),
    [sym_regex_literal] = STATE(1420),
    [sym__multiline_regex_literal] = STATE(2929),
    [sym_user_type] = STATE(5443),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5443),
    [sym_dictionary_type] = STATE(5443),
    [sym__expression] = STATE(1420),
    [sym__unary_expression] = STATE(1420),
    [sym_postfix_expression] = STATE(1420),
    [sym_constructor_expression] = STATE(1420),
    [sym__parenthesized_type] = STATE(7012),
    [sym_navigation_expression] = STATE(1420),
    [sym__navigable_type_expression] = STATE(7009),
    [sym_open_start_range_expression] = STATE(1420),
    [sym__range_operator] = STATE(557),
    [sym_open_end_range_expression] = STATE(1420),
    [sym_prefix_expression] = STATE(1420),
    [sym_as_expression] = STATE(1420),
    [sym_selector_expression] = STATE(1420),
    [sym__binary_expression] = STATE(1420),
    [sym_multiplicative_expression] = STATE(1420),
    [sym_additive_expression] = STATE(1420),
    [sym_range_expression] = STATE(1420),
    [sym_infix_expression] = STATE(1420),
    [sym_nil_coalescing_expression] = STATE(1420),
    [sym_check_expression] = STATE(1420),
    [sym_comparison_expression] = STATE(1420),
    [sym_equality_expression] = STATE(1420),
    [sym_conjunction_expression] = STATE(1420),
    [sym_disjunction_expression] = STATE(1420),
    [sym_bitwise_operation] = STATE(1420),
    [sym_custom_operator] = STATE(878),
    [sym_try_expression] = STATE(1420),
    [sym_await_expression] = STATE(1420),
    [sym__await_operator] = STATE(450),
    [sym_ternary_expression] = STATE(2999),
    [sym_call_expression] = STATE(3000),
    [sym__primary_expression] = STATE(1420),
    [sym_tuple_expression] = STATE(1420),
    [sym_array_literal] = STATE(1420),
    [sym_dictionary_literal] = STATE(1420),
    [sym__special_literal] = STATE(1420),
    [sym__playground_literal] = STATE(1420),
    [sym_lambda_literal] = STATE(1420),
    [sym_self_expression] = STATE(1420),
    [sym_super_expression] = STATE(1420),
    [sym_if_statement] = STATE(1420),
    [sym_switch_statement] = STATE(1420),
    [sym_key_path_expression] = STATE(1420),
    [sym_key_path_string_expression] = STATE(1420),
    [sym_try_operator] = STATE(451),
    [sym__assignment_and_operator] = STATE(1420),
    [sym__equality_operator] = STATE(1420),
    [sym__comparison_operator] = STATE(1420),
    [sym__three_dot_operator] = STATE(884),
    [sym__open_ended_range_operator] = STATE(557),
    [sym__additive_operator] = STATE(1420),
    [sym__multiplicative_operator] = STATE(1420),
    [sym__prefix_unary_operator] = STATE(471),
    [sym_directly_assignable_expression] = STATE(5445),
    [sym_assignment] = STATE(1420),
    [sym_value_parameter_pack] = STATE(1420),
    [sym_value_pack_expansion] = STATE(1420),
    [sym__referenceable_operator] = STATE(1420),
    [sym__equal_sign] = STATE(1420),
    [sym__eq_eq] = STATE(1420),
    [sym__dot] = STATE(471),
    [sym_bang] = STATE(878),
    [sym__parameter_ownership_modifier] = STATE(2374),
    [aux_sym_raw_string_literal_repeat1] = STATE(7006),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(1037),
    [aux_sym_simple_identifier_token2] = ACTIONS(1039),
    [aux_sym_simple_identifier_token3] = ACTIONS(1039),
    [aux_sym_simple_identifier_token4] = ACTIONS(1039),
    [anon_sym_actor] = ACTIONS(1037),
    [anon_sym_async] = ACTIONS(1037),
    [anon_sym_each] = ACTIONS(1041),
    [anon_sym_lazy] = ACTIONS(1037),
    [anon_sym_repeat] = ACTIONS(1043),
    [anon_sym_package] = ACTIONS(1037),
    [anon_sym_nil] = ACTIONS(2287),
    [sym_real_literal] = ACTIONS(2289),
    [sym_integer_literal] = ACTIONS(2287),
    [sym_hex_literal] = ACTIONS(2289),
    [sym_oct_literal] = ACTIONS(2289),
    [sym_bin_literal] = ACTIONS(2289),
    [anon_sym_true] = ACTIONS(1049),
    [anon_sym_false] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_BSLASH] = ACTIONS(1053),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1055),
    [sym__extended_regex_literal] = ACTIONS(1057),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(1059),
    [sym__oneline_regex_literal] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_LBRACK] = ACTIONS(1065),
    [anon_sym_AMP] = ACTIONS(1067),
    [anon_sym_if] = ACTIONS(1069),
    [anon_sym_switch] = ACTIONS(1071),
    [anon_sym_POUNDselector] = ACTIONS(1073),
    [aux_sym_custom_operator_token1] = ACTIONS(1075),
    [anon_sym_LT] = ACTIONS(2287),
    [anon_sym_GT] = ACTIONS(2287),
    [anon_sym_await] = ACTIONS(1077),
    [anon_sym_POUNDfile] = ACTIONS(2287),
    [anon_sym_POUNDfileID] = ACTIONS(2289),
    [anon_sym_POUNDfilePath] = ACTIONS(2289),
    [anon_sym_POUNDline] = ACTIONS(2289),
    [anon_sym_POUNDcolumn] = ACTIONS(2289),
    [anon_sym_POUNDfunction] = ACTIONS(2289),
    [anon_sym_POUNDdsohandle] = ACTIONS(2289),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(1079),
    [anon_sym_POUNDfileLiteral] = ACTIONS(1079),
    [anon_sym_POUNDimageLiteral] = ACTIONS(1079),
    [anon_sym_LBRACE] = ACTIONS(1081),
    [anon_sym_CARET_LBRACE] = ACTIONS(1081),
    [anon_sym_self] = ACTIONS(1083),
    [anon_sym_super] = ACTIONS(1085),
    [anon_sym_POUNDkeyPath] = ACTIONS(1089),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(2289),
    [anon_sym_DASH_EQ] = ACTIONS(2289),
    [anon_sym_STAR_EQ] = ACTIONS(2289),
    [anon_sym_SLASH_EQ] = ACTIONS(2289),
    [anon_sym_PERCENT_EQ] = ACTIONS(2289),
    [anon_sym_BANG_EQ] = ACTIONS(2287),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2289),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2289),
    [anon_sym_LT_EQ] = ACTIONS(2289),
    [anon_sym_GT_EQ] = ACTIONS(2289),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1093),
    [anon_sym_PLUS] = ACTIONS(1097),
    [anon_sym_DASH] = ACTIONS(1097),
    [anon_sym_STAR] = ACTIONS(2287),
    [anon_sym_SLASH] = ACTIONS(2287),
    [anon_sym_PERCENT] = ACTIONS(2287),
    [anon_sym_PLUS_PLUS] = ACTIONS(1067),
    [anon_sym_DASH_DASH] = ACTIONS(1067),
    [anon_sym_TILDE] = ACTIONS(1067),
    [anon_sym_PIPE] = ACTIONS(2289),
    [anon_sym_CARET] = ACTIONS(2287),
    [anon_sym_LT_LT] = ACTIONS(2289),
    [anon_sym_GT_GT] = ACTIONS(2289),
    [anon_sym_BANG2] = ACTIONS(1099),
    [anon_sym_borrowing] = ACTIONS(1037),
    [anon_sym_consuming] = ACTIONS(1037),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(1103),
    [sym__dot_custom] = ACTIONS(1307),
    [sym__eq_custom] = ACTIONS(2289),
    [sym__eq_eq_custom] = ACTIONS(2289),
    [sym__plus_then_ws] = ACTIONS(2289),
    [sym__minus_then_ws] = ACTIONS(2289),
    [sym__bang_custom] = ACTIONS(1107),
    [sym__custom_operator] = ACTIONS(1075),
  },
  [565] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1360),
    [sym_boolean_literal] = STATE(1360),
    [sym__string_literal] = STATE(1360),
    [sym_line_string_literal] = STATE(1360),
    [sym_multi_line_string_literal] = STATE(1360),
    [sym_raw_string_literal] = STATE(1360),
    [sym_regex_literal] = STATE(1360),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1360),
    [sym__unary_expression] = STATE(1360),
    [sym_postfix_expression] = STATE(1360),
    [sym_constructor_expression] = STATE(1360),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1360),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1360),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1360),
    [sym_prefix_expression] = STATE(1360),
    [sym_as_expression] = STATE(1360),
    [sym_selector_expression] = STATE(1360),
    [sym__binary_expression] = STATE(1360),
    [sym_multiplicative_expression] = STATE(1360),
    [sym_additive_expression] = STATE(1360),
    [sym_range_expression] = STATE(1360),
    [sym_infix_expression] = STATE(1360),
    [sym_nil_coalescing_expression] = STATE(1360),
    [sym_check_expression] = STATE(1360),
    [sym_comparison_expression] = STATE(1360),
    [sym_equality_expression] = STATE(1360),
    [sym_conjunction_expression] = STATE(1360),
    [sym_disjunction_expression] = STATE(1360),
    [sym_bitwise_operation] = STATE(1360),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1360),
    [sym_await_expression] = STATE(1360),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1360),
    [sym_call_expression] = STATE(1360),
    [sym__primary_expression] = STATE(1360),
    [sym_tuple_expression] = STATE(1360),
    [sym_array_literal] = STATE(1360),
    [sym_dictionary_literal] = STATE(1360),
    [sym__special_literal] = STATE(1360),
    [sym__playground_literal] = STATE(1360),
    [sym_lambda_literal] = STATE(1360),
    [sym_self_expression] = STATE(1360),
    [sym_super_expression] = STATE(1360),
    [sym_if_statement] = STATE(1360),
    [sym_switch_statement] = STATE(1360),
    [sym_key_path_expression] = STATE(1360),
    [sym_key_path_string_expression] = STATE(1360),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1360),
    [sym__equality_operator] = STATE(1360),
    [sym__comparison_operator] = STATE(1360),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1360),
    [sym__multiplicative_operator] = STATE(1360),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1360),
    [sym_value_parameter_pack] = STATE(1360),
    [sym_value_pack_expansion] = STATE(1360),
    [sym__referenceable_operator] = STATE(1360),
    [sym__equal_sign] = STATE(1360),
    [sym__eq_eq] = STATE(1360),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(2291),
    [sym_real_literal] = ACTIONS(2293),
    [sym_integer_literal] = ACTIONS(2291),
    [sym_hex_literal] = ACTIONS(2293),
    [sym_oct_literal] = ACTIONS(2293),
    [sym_bin_literal] = ACTIONS(2293),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(2291),
    [anon_sym_GT] = ACTIONS(2291),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(2291),
    [anon_sym_POUNDfileID] = ACTIONS(2293),
    [anon_sym_POUNDfilePath] = ACTIONS(2293),
    [anon_sym_POUNDline] = ACTIONS(2293),
    [anon_sym_POUNDcolumn] = ACTIONS(2293),
    [anon_sym_POUNDfunction] = ACTIONS(2293),
    [anon_sym_POUNDdsohandle] = ACTIONS(2293),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(2293),
    [anon_sym_DASH_EQ] = ACTIONS(2293),
    [anon_sym_STAR_EQ] = ACTIONS(2293),
    [anon_sym_SLASH_EQ] = ACTIONS(2293),
    [anon_sym_PERCENT_EQ] = ACTIONS(2293),
    [anon_sym_BANG_EQ] = ACTIONS(2291),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2293),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2293),
    [anon_sym_LT_EQ] = ACTIONS(2293),
    [anon_sym_GT_EQ] = ACTIONS(2293),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(2291),
    [anon_sym_SLASH] = ACTIONS(2291),
    [anon_sym_PERCENT] = ACTIONS(2291),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(2293),
    [anon_sym_CARET] = ACTIONS(2291),
    [anon_sym_LT_LT] = ACTIONS(2293),
    [anon_sym_GT_GT] = ACTIONS(2293),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(2293),
    [sym__eq_eq_custom] = ACTIONS(2293),
    [sym__plus_then_ws] = ACTIONS(2293),
    [sym__minus_then_ws] = ACTIONS(2293),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [566] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1455),
    [sym_boolean_literal] = STATE(1455),
    [sym__string_literal] = STATE(1455),
    [sym_line_string_literal] = STATE(1455),
    [sym_multi_line_string_literal] = STATE(1455),
    [sym_raw_string_literal] = STATE(1455),
    [sym_regex_literal] = STATE(1455),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1455),
    [sym__unary_expression] = STATE(1455),
    [sym_postfix_expression] = STATE(1455),
    [sym_constructor_expression] = STATE(1455),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1455),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1455),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1455),
    [sym_prefix_expression] = STATE(1455),
    [sym_as_expression] = STATE(1455),
    [sym_selector_expression] = STATE(1455),
    [sym__binary_expression] = STATE(1455),
    [sym_multiplicative_expression] = STATE(1455),
    [sym_additive_expression] = STATE(1455),
    [sym_range_expression] = STATE(1455),
    [sym_infix_expression] = STATE(1455),
    [sym_nil_coalescing_expression] = STATE(1455),
    [sym_check_expression] = STATE(1455),
    [sym_comparison_expression] = STATE(1455),
    [sym_equality_expression] = STATE(1455),
    [sym_conjunction_expression] = STATE(1455),
    [sym_disjunction_expression] = STATE(1455),
    [sym_bitwise_operation] = STATE(1455),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1455),
    [sym_await_expression] = STATE(1455),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1455),
    [sym_call_expression] = STATE(1455),
    [sym__primary_expression] = STATE(1455),
    [sym_tuple_expression] = STATE(1455),
    [sym_array_literal] = STATE(1455),
    [sym_dictionary_literal] = STATE(1455),
    [sym__special_literal] = STATE(1455),
    [sym__playground_literal] = STATE(1455),
    [sym_lambda_literal] = STATE(1455),
    [sym_self_expression] = STATE(1455),
    [sym_super_expression] = STATE(1455),
    [sym_if_statement] = STATE(1455),
    [sym_switch_statement] = STATE(1455),
    [sym_key_path_expression] = STATE(1455),
    [sym_key_path_string_expression] = STATE(1455),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1455),
    [sym__equality_operator] = STATE(1455),
    [sym__comparison_operator] = STATE(1455),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1455),
    [sym__multiplicative_operator] = STATE(1455),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1455),
    [sym_value_parameter_pack] = STATE(1455),
    [sym_value_pack_expansion] = STATE(1455),
    [sym__referenceable_operator] = STATE(1455),
    [sym__equal_sign] = STATE(1455),
    [sym__eq_eq] = STATE(1455),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(743),
    [sym_real_literal] = ACTIONS(745),
    [sym_integer_literal] = ACTIONS(743),
    [sym_hex_literal] = ACTIONS(745),
    [sym_oct_literal] = ACTIONS(745),
    [sym_bin_literal] = ACTIONS(745),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(743),
    [anon_sym_GT] = ACTIONS(743),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(743),
    [anon_sym_POUNDfileID] = ACTIONS(745),
    [anon_sym_POUNDfilePath] = ACTIONS(745),
    [anon_sym_POUNDline] = ACTIONS(745),
    [anon_sym_POUNDcolumn] = ACTIONS(745),
    [anon_sym_POUNDfunction] = ACTIONS(745),
    [anon_sym_POUNDdsohandle] = ACTIONS(745),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(745),
    [anon_sym_DASH_EQ] = ACTIONS(745),
    [anon_sym_STAR_EQ] = ACTIONS(745),
    [anon_sym_SLASH_EQ] = ACTIONS(745),
    [anon_sym_PERCENT_EQ] = ACTIONS(745),
    [anon_sym_BANG_EQ] = ACTIONS(743),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(745),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(745),
    [anon_sym_LT_EQ] = ACTIONS(745),
    [anon_sym_GT_EQ] = ACTIONS(745),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(743),
    [anon_sym_SLASH] = ACTIONS(743),
    [anon_sym_PERCENT] = ACTIONS(743),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(745),
    [anon_sym_CARET] = ACTIONS(743),
    [anon_sym_LT_LT] = ACTIONS(745),
    [anon_sym_GT_GT] = ACTIONS(745),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(745),
    [sym__eq_eq_custom] = ACTIONS(745),
    [sym__plus_then_ws] = ACTIONS(745),
    [sym__minus_then_ws] = ACTIONS(745),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [567] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(637),
    [sym_boolean_literal] = STATE(637),
    [sym__string_literal] = STATE(637),
    [sym_line_string_literal] = STATE(637),
    [sym_multi_line_string_literal] = STATE(637),
    [sym_raw_string_literal] = STATE(637),
    [sym_regex_literal] = STATE(637),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5550),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5550),
    [sym_dictionary_type] = STATE(5550),
    [sym__expression] = STATE(637),
    [sym__unary_expression] = STATE(637),
    [sym_postfix_expression] = STATE(637),
    [sym_constructor_expression] = STATE(637),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(637),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(637),
    [sym__range_operator] = STATE(596),
    [sym_open_end_range_expression] = STATE(637),
    [sym_prefix_expression] = STATE(637),
    [sym_as_expression] = STATE(637),
    [sym_selector_expression] = STATE(637),
    [sym__binary_expression] = STATE(637),
    [sym_multiplicative_expression] = STATE(637),
    [sym_additive_expression] = STATE(637),
    [sym_range_expression] = STATE(637),
    [sym_infix_expression] = STATE(637),
    [sym_nil_coalescing_expression] = STATE(637),
    [sym_check_expression] = STATE(637),
    [sym_comparison_expression] = STATE(637),
    [sym_equality_expression] = STATE(637),
    [sym_conjunction_expression] = STATE(637),
    [sym_disjunction_expression] = STATE(637),
    [sym_bitwise_operation] = STATE(637),
    [sym_custom_operator] = STATE(609),
    [sym_try_expression] = STATE(637),
    [sym_await_expression] = STATE(637),
    [sym__await_operator] = STATE(599),
    [sym_ternary_expression] = STATE(637),
    [sym_call_expression] = STATE(637),
    [sym__primary_expression] = STATE(637),
    [sym_tuple_expression] = STATE(637),
    [sym_array_literal] = STATE(637),
    [sym_dictionary_literal] = STATE(637),
    [sym__special_literal] = STATE(637),
    [sym__playground_literal] = STATE(637),
    [sym_lambda_literal] = STATE(637),
    [sym_self_expression] = STATE(637),
    [sym_super_expression] = STATE(637),
    [sym_if_statement] = STATE(637),
    [sym_switch_statement] = STATE(637),
    [sym_key_path_expression] = STATE(637),
    [sym_key_path_string_expression] = STATE(637),
    [sym_try_operator] = STATE(453),
    [sym__assignment_and_operator] = STATE(637),
    [sym__equality_operator] = STATE(637),
    [sym__comparison_operator] = STATE(637),
    [sym__three_dot_operator] = STATE(604),
    [sym__open_ended_range_operator] = STATE(596),
    [sym__additive_operator] = STATE(637),
    [sym__multiplicative_operator] = STATE(637),
    [sym__prefix_unary_operator] = STATE(445),
    [sym_directly_assignable_expression] = STATE(5552),
    [sym_assignment] = STATE(637),
    [sym_value_parameter_pack] = STATE(637),
    [sym_value_pack_expansion] = STATE(637),
    [sym__referenceable_operator] = STATE(637),
    [sym__equal_sign] = STATE(637),
    [sym__eq_eq] = STATE(637),
    [sym__dot] = STATE(445),
    [sym_bang] = STATE(609),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(621),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(623),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(2295),
    [sym_real_literal] = ACTIONS(2297),
    [sym_integer_literal] = ACTIONS(2295),
    [sym_hex_literal] = ACTIONS(2297),
    [sym_oct_literal] = ACTIONS(2297),
    [sym_bin_literal] = ACTIONS(2297),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(629),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(639),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(641),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(643),
    [anon_sym_LT] = ACTIONS(2295),
    [anon_sym_GT] = ACTIONS(2295),
    [anon_sym_await] = ACTIONS(645),
    [anon_sym_POUNDfile] = ACTIONS(2295),
    [anon_sym_POUNDfileID] = ACTIONS(2297),
    [anon_sym_POUNDfilePath] = ACTIONS(2297),
    [anon_sym_POUNDline] = ACTIONS(2297),
    [anon_sym_POUNDcolumn] = ACTIONS(2297),
    [anon_sym_POUNDfunction] = ACTIONS(2297),
    [anon_sym_POUNDdsohandle] = ACTIONS(2297),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(2297),
    [anon_sym_DASH_EQ] = ACTIONS(2297),
    [anon_sym_STAR_EQ] = ACTIONS(2297),
    [anon_sym_SLASH_EQ] = ACTIONS(2297),
    [anon_sym_PERCENT_EQ] = ACTIONS(2297),
    [anon_sym_BANG_EQ] = ACTIONS(2295),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2297),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2297),
    [anon_sym_LT_EQ] = ACTIONS(2297),
    [anon_sym_GT_EQ] = ACTIONS(2297),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(649),
    [anon_sym_DOT_DOT_LT] = ACTIONS(651),
    [anon_sym_PLUS] = ACTIONS(653),
    [anon_sym_DASH] = ACTIONS(653),
    [anon_sym_STAR] = ACTIONS(2295),
    [anon_sym_SLASH] = ACTIONS(2295),
    [anon_sym_PERCENT] = ACTIONS(2295),
    [anon_sym_PLUS_PLUS] = ACTIONS(639),
    [anon_sym_DASH_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(639),
    [anon_sym_PIPE] = ACTIONS(2297),
    [anon_sym_CARET] = ACTIONS(2295),
    [anon_sym_LT_LT] = ACTIONS(2297),
    [anon_sym_GT_GT] = ACTIONS(2297),
    [anon_sym_BANG2] = ACTIONS(655),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(657),
    [sym__eq_custom] = ACTIONS(2297),
    [sym__eq_eq_custom] = ACTIONS(2297),
    [sym__plus_then_ws] = ACTIONS(2297),
    [sym__minus_then_ws] = ACTIONS(2297),
    [sym__bang_custom] = ACTIONS(659),
    [sym__custom_operator] = ACTIONS(643),
  },
  [568] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(629),
    [sym_boolean_literal] = STATE(629),
    [sym__string_literal] = STATE(629),
    [sym_line_string_literal] = STATE(629),
    [sym_multi_line_string_literal] = STATE(629),
    [sym_raw_string_literal] = STATE(629),
    [sym_regex_literal] = STATE(629),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5550),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5550),
    [sym_dictionary_type] = STATE(5550),
    [sym__expression] = STATE(629),
    [sym__unary_expression] = STATE(629),
    [sym_postfix_expression] = STATE(629),
    [sym_constructor_expression] = STATE(629),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(629),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(629),
    [sym__range_operator] = STATE(596),
    [sym_open_end_range_expression] = STATE(629),
    [sym_prefix_expression] = STATE(629),
    [sym_as_expression] = STATE(629),
    [sym_selector_expression] = STATE(629),
    [sym__binary_expression] = STATE(629),
    [sym_multiplicative_expression] = STATE(629),
    [sym_additive_expression] = STATE(629),
    [sym_range_expression] = STATE(629),
    [sym_infix_expression] = STATE(629),
    [sym_nil_coalescing_expression] = STATE(629),
    [sym_check_expression] = STATE(629),
    [sym_comparison_expression] = STATE(629),
    [sym_equality_expression] = STATE(629),
    [sym_conjunction_expression] = STATE(629),
    [sym_disjunction_expression] = STATE(629),
    [sym_bitwise_operation] = STATE(629),
    [sym_custom_operator] = STATE(609),
    [sym_try_expression] = STATE(629),
    [sym_await_expression] = STATE(629),
    [sym__await_operator] = STATE(599),
    [sym_ternary_expression] = STATE(629),
    [sym_call_expression] = STATE(629),
    [sym__primary_expression] = STATE(629),
    [sym_tuple_expression] = STATE(629),
    [sym_array_literal] = STATE(629),
    [sym_dictionary_literal] = STATE(629),
    [sym__special_literal] = STATE(629),
    [sym__playground_literal] = STATE(629),
    [sym_lambda_literal] = STATE(629),
    [sym_self_expression] = STATE(629),
    [sym_super_expression] = STATE(629),
    [sym_if_statement] = STATE(629),
    [sym_switch_statement] = STATE(629),
    [sym_key_path_expression] = STATE(629),
    [sym_key_path_string_expression] = STATE(629),
    [sym_try_operator] = STATE(453),
    [sym__assignment_and_operator] = STATE(629),
    [sym__equality_operator] = STATE(629),
    [sym__comparison_operator] = STATE(629),
    [sym__three_dot_operator] = STATE(604),
    [sym__open_ended_range_operator] = STATE(596),
    [sym__additive_operator] = STATE(629),
    [sym__multiplicative_operator] = STATE(629),
    [sym__prefix_unary_operator] = STATE(445),
    [sym_directly_assignable_expression] = STATE(5552),
    [sym_assignment] = STATE(629),
    [sym_value_parameter_pack] = STATE(629),
    [sym_value_pack_expansion] = STATE(629),
    [sym__referenceable_operator] = STATE(629),
    [sym__equal_sign] = STATE(629),
    [sym__eq_eq] = STATE(629),
    [sym__dot] = STATE(445),
    [sym_bang] = STATE(609),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(621),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(623),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(2299),
    [sym_real_literal] = ACTIONS(2301),
    [sym_integer_literal] = ACTIONS(2299),
    [sym_hex_literal] = ACTIONS(2301),
    [sym_oct_literal] = ACTIONS(2301),
    [sym_bin_literal] = ACTIONS(2301),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(629),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(639),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(641),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(643),
    [anon_sym_LT] = ACTIONS(2299),
    [anon_sym_GT] = ACTIONS(2299),
    [anon_sym_await] = ACTIONS(645),
    [anon_sym_POUNDfile] = ACTIONS(2299),
    [anon_sym_POUNDfileID] = ACTIONS(2301),
    [anon_sym_POUNDfilePath] = ACTIONS(2301),
    [anon_sym_POUNDline] = ACTIONS(2301),
    [anon_sym_POUNDcolumn] = ACTIONS(2301),
    [anon_sym_POUNDfunction] = ACTIONS(2301),
    [anon_sym_POUNDdsohandle] = ACTIONS(2301),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(2301),
    [anon_sym_DASH_EQ] = ACTIONS(2301),
    [anon_sym_STAR_EQ] = ACTIONS(2301),
    [anon_sym_SLASH_EQ] = ACTIONS(2301),
    [anon_sym_PERCENT_EQ] = ACTIONS(2301),
    [anon_sym_BANG_EQ] = ACTIONS(2299),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2301),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2301),
    [anon_sym_LT_EQ] = ACTIONS(2301),
    [anon_sym_GT_EQ] = ACTIONS(2301),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(649),
    [anon_sym_DOT_DOT_LT] = ACTIONS(651),
    [anon_sym_PLUS] = ACTIONS(653),
    [anon_sym_DASH] = ACTIONS(653),
    [anon_sym_STAR] = ACTIONS(2299),
    [anon_sym_SLASH] = ACTIONS(2299),
    [anon_sym_PERCENT] = ACTIONS(2299),
    [anon_sym_PLUS_PLUS] = ACTIONS(639),
    [anon_sym_DASH_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(639),
    [anon_sym_PIPE] = ACTIONS(2301),
    [anon_sym_CARET] = ACTIONS(2299),
    [anon_sym_LT_LT] = ACTIONS(2301),
    [anon_sym_GT_GT] = ACTIONS(2301),
    [anon_sym_BANG2] = ACTIONS(655),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(657),
    [sym__eq_custom] = ACTIONS(2301),
    [sym__eq_eq_custom] = ACTIONS(2301),
    [sym__plus_then_ws] = ACTIONS(2301),
    [sym__minus_then_ws] = ACTIONS(2301),
    [sym__bang_custom] = ACTIONS(659),
    [sym__custom_operator] = ACTIONS(643),
  },
  [569] = {
    [sym_simple_identifier] = STATE(2573),
    [sym__contextual_simple_identifier] = STATE(2374),
    [sym__basic_literal] = STATE(1351),
    [sym_boolean_literal] = STATE(1351),
    [sym__string_literal] = STATE(1351),
    [sym_line_string_literal] = STATE(1351),
    [sym_multi_line_string_literal] = STATE(1351),
    [sym_raw_string_literal] = STATE(1351),
    [sym_regex_literal] = STATE(1351),
    [sym__multiline_regex_literal] = STATE(2929),
    [sym_user_type] = STATE(5443),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5443),
    [sym_dictionary_type] = STATE(5443),
    [sym__expression] = STATE(1351),
    [sym__unary_expression] = STATE(1351),
    [sym_postfix_expression] = STATE(1351),
    [sym_constructor_expression] = STATE(1351),
    [sym__parenthesized_type] = STATE(7012),
    [sym_navigation_expression] = STATE(1351),
    [sym__navigable_type_expression] = STATE(7009),
    [sym_open_start_range_expression] = STATE(1351),
    [sym__range_operator] = STATE(557),
    [sym_open_end_range_expression] = STATE(1351),
    [sym_prefix_expression] = STATE(1351),
    [sym_as_expression] = STATE(1351),
    [sym_selector_expression] = STATE(1351),
    [sym__binary_expression] = STATE(1351),
    [sym_multiplicative_expression] = STATE(1351),
    [sym_additive_expression] = STATE(1351),
    [sym_range_expression] = STATE(1351),
    [sym_infix_expression] = STATE(1351),
    [sym_nil_coalescing_expression] = STATE(1351),
    [sym_check_expression] = STATE(1351),
    [sym_comparison_expression] = STATE(1351),
    [sym_equality_expression] = STATE(1351),
    [sym_conjunction_expression] = STATE(1351),
    [sym_disjunction_expression] = STATE(1351),
    [sym_bitwise_operation] = STATE(1351),
    [sym_custom_operator] = STATE(878),
    [sym_try_expression] = STATE(1351),
    [sym_await_expression] = STATE(1351),
    [sym__await_operator] = STATE(450),
    [sym_ternary_expression] = STATE(1351),
    [sym_call_expression] = STATE(1351),
    [sym__primary_expression] = STATE(1351),
    [sym_tuple_expression] = STATE(1351),
    [sym_array_literal] = STATE(1351),
    [sym_dictionary_literal] = STATE(1351),
    [sym__special_literal] = STATE(1351),
    [sym__playground_literal] = STATE(1351),
    [sym_lambda_literal] = STATE(1351),
    [sym_self_expression] = STATE(1351),
    [sym_super_expression] = STATE(1351),
    [sym_if_statement] = STATE(1351),
    [sym_switch_statement] = STATE(1351),
    [sym_key_path_expression] = STATE(1351),
    [sym_key_path_string_expression] = STATE(1351),
    [sym_try_operator] = STATE(451),
    [sym__assignment_and_operator] = STATE(1351),
    [sym__equality_operator] = STATE(1351),
    [sym__comparison_operator] = STATE(1351),
    [sym__three_dot_operator] = STATE(884),
    [sym__open_ended_range_operator] = STATE(557),
    [sym__additive_operator] = STATE(1351),
    [sym__multiplicative_operator] = STATE(1351),
    [sym__prefix_unary_operator] = STATE(471),
    [sym_directly_assignable_expression] = STATE(5445),
    [sym_assignment] = STATE(1351),
    [sym_value_parameter_pack] = STATE(1351),
    [sym_value_pack_expansion] = STATE(1351),
    [sym__referenceable_operator] = STATE(1351),
    [sym__equal_sign] = STATE(1351),
    [sym__eq_eq] = STATE(1351),
    [sym__dot] = STATE(471),
    [sym_bang] = STATE(878),
    [sym__parameter_ownership_modifier] = STATE(2374),
    [aux_sym_raw_string_literal_repeat1] = STATE(7006),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(1037),
    [aux_sym_simple_identifier_token2] = ACTIONS(1039),
    [aux_sym_simple_identifier_token3] = ACTIONS(1039),
    [aux_sym_simple_identifier_token4] = ACTIONS(1039),
    [anon_sym_actor] = ACTIONS(1037),
    [anon_sym_async] = ACTIONS(1037),
    [anon_sym_each] = ACTIONS(1041),
    [anon_sym_lazy] = ACTIONS(1037),
    [anon_sym_repeat] = ACTIONS(1043),
    [anon_sym_package] = ACTIONS(1037),
    [anon_sym_nil] = ACTIONS(2303),
    [sym_real_literal] = ACTIONS(2305),
    [sym_integer_literal] = ACTIONS(2303),
    [sym_hex_literal] = ACTIONS(2305),
    [sym_oct_literal] = ACTIONS(2305),
    [sym_bin_literal] = ACTIONS(2305),
    [anon_sym_true] = ACTIONS(1049),
    [anon_sym_false] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_BSLASH] = ACTIONS(1053),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1055),
    [sym__extended_regex_literal] = ACTIONS(1057),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(1059),
    [sym__oneline_regex_literal] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_LBRACK] = ACTIONS(1065),
    [anon_sym_AMP] = ACTIONS(1067),
    [anon_sym_if] = ACTIONS(1069),
    [anon_sym_switch] = ACTIONS(1071),
    [anon_sym_POUNDselector] = ACTIONS(1073),
    [aux_sym_custom_operator_token1] = ACTIONS(1075),
    [anon_sym_LT] = ACTIONS(2303),
    [anon_sym_GT] = ACTIONS(2303),
    [anon_sym_await] = ACTIONS(1077),
    [anon_sym_POUNDfile] = ACTIONS(2303),
    [anon_sym_POUNDfileID] = ACTIONS(2305),
    [anon_sym_POUNDfilePath] = ACTIONS(2305),
    [anon_sym_POUNDline] = ACTIONS(2305),
    [anon_sym_POUNDcolumn] = ACTIONS(2305),
    [anon_sym_POUNDfunction] = ACTIONS(2305),
    [anon_sym_POUNDdsohandle] = ACTIONS(2305),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(1079),
    [anon_sym_POUNDfileLiteral] = ACTIONS(1079),
    [anon_sym_POUNDimageLiteral] = ACTIONS(1079),
    [anon_sym_LBRACE] = ACTIONS(1081),
    [anon_sym_CARET_LBRACE] = ACTIONS(1081),
    [anon_sym_self] = ACTIONS(1083),
    [anon_sym_super] = ACTIONS(1085),
    [anon_sym_POUNDkeyPath] = ACTIONS(1089),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(2305),
    [anon_sym_DASH_EQ] = ACTIONS(2305),
    [anon_sym_STAR_EQ] = ACTIONS(2305),
    [anon_sym_SLASH_EQ] = ACTIONS(2305),
    [anon_sym_PERCENT_EQ] = ACTIONS(2305),
    [anon_sym_BANG_EQ] = ACTIONS(2303),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2305),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2305),
    [anon_sym_LT_EQ] = ACTIONS(2305),
    [anon_sym_GT_EQ] = ACTIONS(2305),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1093),
    [anon_sym_PLUS] = ACTIONS(1097),
    [anon_sym_DASH] = ACTIONS(1097),
    [anon_sym_STAR] = ACTIONS(2303),
    [anon_sym_SLASH] = ACTIONS(2303),
    [anon_sym_PERCENT] = ACTIONS(2303),
    [anon_sym_PLUS_PLUS] = ACTIONS(1067),
    [anon_sym_DASH_DASH] = ACTIONS(1067),
    [anon_sym_TILDE] = ACTIONS(1067),
    [anon_sym_PIPE] = ACTIONS(2305),
    [anon_sym_CARET] = ACTIONS(2303),
    [anon_sym_LT_LT] = ACTIONS(2305),
    [anon_sym_GT_GT] = ACTIONS(2305),
    [anon_sym_BANG2] = ACTIONS(1099),
    [anon_sym_borrowing] = ACTIONS(1037),
    [anon_sym_consuming] = ACTIONS(1037),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(1103),
    [sym__dot_custom] = ACTIONS(1307),
    [sym__eq_custom] = ACTIONS(2305),
    [sym__eq_eq_custom] = ACTIONS(2305),
    [sym__plus_then_ws] = ACTIONS(2305),
    [sym__minus_then_ws] = ACTIONS(2305),
    [sym__bang_custom] = ACTIONS(1107),
    [sym__custom_operator] = ACTIONS(1075),
  },
  [570] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1409),
    [sym_boolean_literal] = STATE(1409),
    [sym__string_literal] = STATE(1409),
    [sym_line_string_literal] = STATE(1409),
    [sym_multi_line_string_literal] = STATE(1409),
    [sym_raw_string_literal] = STATE(1409),
    [sym_regex_literal] = STATE(1409),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1409),
    [sym__unary_expression] = STATE(1409),
    [sym_postfix_expression] = STATE(1409),
    [sym_constructor_expression] = STATE(1409),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1409),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1409),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1409),
    [sym_prefix_expression] = STATE(1409),
    [sym_as_expression] = STATE(1409),
    [sym_selector_expression] = STATE(1409),
    [sym__binary_expression] = STATE(1409),
    [sym_multiplicative_expression] = STATE(1409),
    [sym_additive_expression] = STATE(1409),
    [sym_range_expression] = STATE(1409),
    [sym_infix_expression] = STATE(1409),
    [sym_nil_coalescing_expression] = STATE(1409),
    [sym_check_expression] = STATE(1409),
    [sym_comparison_expression] = STATE(1409),
    [sym_equality_expression] = STATE(1409),
    [sym_conjunction_expression] = STATE(1409),
    [sym_disjunction_expression] = STATE(1409),
    [sym_bitwise_operation] = STATE(1409),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1409),
    [sym_await_expression] = STATE(1409),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1409),
    [sym_call_expression] = STATE(1409),
    [sym__primary_expression] = STATE(1409),
    [sym_tuple_expression] = STATE(1409),
    [sym_array_literal] = STATE(1409),
    [sym_dictionary_literal] = STATE(1409),
    [sym__special_literal] = STATE(1409),
    [sym__playground_literal] = STATE(1409),
    [sym_lambda_literal] = STATE(1409),
    [sym_self_expression] = STATE(1409),
    [sym_super_expression] = STATE(1409),
    [sym_if_statement] = STATE(1409),
    [sym_switch_statement] = STATE(1409),
    [sym_key_path_expression] = STATE(1409),
    [sym_key_path_string_expression] = STATE(1409),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1409),
    [sym__equality_operator] = STATE(1409),
    [sym__comparison_operator] = STATE(1409),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1409),
    [sym__multiplicative_operator] = STATE(1409),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1409),
    [sym_value_parameter_pack] = STATE(1409),
    [sym_value_pack_expansion] = STATE(1409),
    [sym__referenceable_operator] = STATE(1409),
    [sym__equal_sign] = STATE(1409),
    [sym__eq_eq] = STATE(1409),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(2307),
    [sym_real_literal] = ACTIONS(2309),
    [sym_integer_literal] = ACTIONS(2307),
    [sym_hex_literal] = ACTIONS(2309),
    [sym_oct_literal] = ACTIONS(2309),
    [sym_bin_literal] = ACTIONS(2309),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(2307),
    [anon_sym_GT] = ACTIONS(2307),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(2307),
    [anon_sym_POUNDfileID] = ACTIONS(2309),
    [anon_sym_POUNDfilePath] = ACTIONS(2309),
    [anon_sym_POUNDline] = ACTIONS(2309),
    [anon_sym_POUNDcolumn] = ACTIONS(2309),
    [anon_sym_POUNDfunction] = ACTIONS(2309),
    [anon_sym_POUNDdsohandle] = ACTIONS(2309),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(2309),
    [anon_sym_DASH_EQ] = ACTIONS(2309),
    [anon_sym_STAR_EQ] = ACTIONS(2309),
    [anon_sym_SLASH_EQ] = ACTIONS(2309),
    [anon_sym_PERCENT_EQ] = ACTIONS(2309),
    [anon_sym_BANG_EQ] = ACTIONS(2307),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2309),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2309),
    [anon_sym_LT_EQ] = ACTIONS(2309),
    [anon_sym_GT_EQ] = ACTIONS(2309),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(2307),
    [anon_sym_SLASH] = ACTIONS(2307),
    [anon_sym_PERCENT] = ACTIONS(2307),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(2309),
    [anon_sym_CARET] = ACTIONS(2307),
    [anon_sym_LT_LT] = ACTIONS(2309),
    [anon_sym_GT_GT] = ACTIONS(2309),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(2309),
    [sym__eq_eq_custom] = ACTIONS(2309),
    [sym__plus_then_ws] = ACTIONS(2309),
    [sym__minus_then_ws] = ACTIONS(2309),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [571] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1432),
    [sym_boolean_literal] = STATE(1432),
    [sym__string_literal] = STATE(1432),
    [sym_line_string_literal] = STATE(1432),
    [sym_multi_line_string_literal] = STATE(1432),
    [sym_raw_string_literal] = STATE(1432),
    [sym_regex_literal] = STATE(1432),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1432),
    [sym__unary_expression] = STATE(1432),
    [sym_postfix_expression] = STATE(1432),
    [sym_constructor_expression] = STATE(1432),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1432),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1432),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1432),
    [sym_prefix_expression] = STATE(1432),
    [sym_as_expression] = STATE(1432),
    [sym_selector_expression] = STATE(1432),
    [sym__binary_expression] = STATE(1432),
    [sym_multiplicative_expression] = STATE(1432),
    [sym_additive_expression] = STATE(1432),
    [sym_range_expression] = STATE(1432),
    [sym_infix_expression] = STATE(1432),
    [sym_nil_coalescing_expression] = STATE(1432),
    [sym_check_expression] = STATE(1432),
    [sym_comparison_expression] = STATE(1432),
    [sym_equality_expression] = STATE(1432),
    [sym_conjunction_expression] = STATE(1432),
    [sym_disjunction_expression] = STATE(1432),
    [sym_bitwise_operation] = STATE(1432),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1432),
    [sym_await_expression] = STATE(1432),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1432),
    [sym_call_expression] = STATE(1432),
    [sym__primary_expression] = STATE(1432),
    [sym_tuple_expression] = STATE(1432),
    [sym_array_literal] = STATE(1432),
    [sym_dictionary_literal] = STATE(1432),
    [sym__special_literal] = STATE(1432),
    [sym__playground_literal] = STATE(1432),
    [sym_lambda_literal] = STATE(1432),
    [sym_self_expression] = STATE(1432),
    [sym_super_expression] = STATE(1432),
    [sym_if_statement] = STATE(1432),
    [sym_switch_statement] = STATE(1432),
    [sym_key_path_expression] = STATE(1432),
    [sym_key_path_string_expression] = STATE(1432),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1432),
    [sym__equality_operator] = STATE(1432),
    [sym__comparison_operator] = STATE(1432),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1432),
    [sym__multiplicative_operator] = STATE(1432),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1432),
    [sym_value_parameter_pack] = STATE(1432),
    [sym_value_pack_expansion] = STATE(1432),
    [sym__referenceable_operator] = STATE(1432),
    [sym__equal_sign] = STATE(1432),
    [sym__eq_eq] = STATE(1432),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(2311),
    [sym_real_literal] = ACTIONS(2313),
    [sym_integer_literal] = ACTIONS(2311),
    [sym_hex_literal] = ACTIONS(2313),
    [sym_oct_literal] = ACTIONS(2313),
    [sym_bin_literal] = ACTIONS(2313),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(2311),
    [anon_sym_GT] = ACTIONS(2311),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(2311),
    [anon_sym_POUNDfileID] = ACTIONS(2313),
    [anon_sym_POUNDfilePath] = ACTIONS(2313),
    [anon_sym_POUNDline] = ACTIONS(2313),
    [anon_sym_POUNDcolumn] = ACTIONS(2313),
    [anon_sym_POUNDfunction] = ACTIONS(2313),
    [anon_sym_POUNDdsohandle] = ACTIONS(2313),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(2313),
    [anon_sym_DASH_EQ] = ACTIONS(2313),
    [anon_sym_STAR_EQ] = ACTIONS(2313),
    [anon_sym_SLASH_EQ] = ACTIONS(2313),
    [anon_sym_PERCENT_EQ] = ACTIONS(2313),
    [anon_sym_BANG_EQ] = ACTIONS(2311),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2313),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2313),
    [anon_sym_LT_EQ] = ACTIONS(2313),
    [anon_sym_GT_EQ] = ACTIONS(2313),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(2311),
    [anon_sym_SLASH] = ACTIONS(2311),
    [anon_sym_PERCENT] = ACTIONS(2311),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(2313),
    [anon_sym_CARET] = ACTIONS(2311),
    [anon_sym_LT_LT] = ACTIONS(2313),
    [anon_sym_GT_GT] = ACTIONS(2313),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(2313),
    [sym__eq_eq_custom] = ACTIONS(2313),
    [sym__plus_then_ws] = ACTIONS(2313),
    [sym__minus_then_ws] = ACTIONS(2313),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [572] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1453),
    [sym_boolean_literal] = STATE(1453),
    [sym__string_literal] = STATE(1453),
    [sym_line_string_literal] = STATE(1453),
    [sym_multi_line_string_literal] = STATE(1453),
    [sym_raw_string_literal] = STATE(1453),
    [sym_regex_literal] = STATE(1453),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1453),
    [sym__unary_expression] = STATE(1453),
    [sym_postfix_expression] = STATE(1453),
    [sym_constructor_expression] = STATE(1453),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1453),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1453),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1453),
    [sym_prefix_expression] = STATE(1453),
    [sym_as_expression] = STATE(1453),
    [sym_selector_expression] = STATE(1453),
    [sym__binary_expression] = STATE(1453),
    [sym_multiplicative_expression] = STATE(1453),
    [sym_additive_expression] = STATE(1453),
    [sym_range_expression] = STATE(1453),
    [sym_infix_expression] = STATE(1453),
    [sym_nil_coalescing_expression] = STATE(1453),
    [sym_check_expression] = STATE(1453),
    [sym_comparison_expression] = STATE(1453),
    [sym_equality_expression] = STATE(1453),
    [sym_conjunction_expression] = STATE(1453),
    [sym_disjunction_expression] = STATE(1453),
    [sym_bitwise_operation] = STATE(1453),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1453),
    [sym_await_expression] = STATE(1453),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1453),
    [sym_call_expression] = STATE(1453),
    [sym__primary_expression] = STATE(1453),
    [sym_tuple_expression] = STATE(1453),
    [sym_array_literal] = STATE(1453),
    [sym_dictionary_literal] = STATE(1453),
    [sym__special_literal] = STATE(1453),
    [sym__playground_literal] = STATE(1453),
    [sym_lambda_literal] = STATE(1453),
    [sym_self_expression] = STATE(1453),
    [sym_super_expression] = STATE(1453),
    [sym_if_statement] = STATE(1453),
    [sym_switch_statement] = STATE(1453),
    [sym_key_path_expression] = STATE(1453),
    [sym_key_path_string_expression] = STATE(1453),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1453),
    [sym__equality_operator] = STATE(1453),
    [sym__comparison_operator] = STATE(1453),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1453),
    [sym__multiplicative_operator] = STATE(1453),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1453),
    [sym_value_parameter_pack] = STATE(1453),
    [sym_value_pack_expansion] = STATE(1453),
    [sym__referenceable_operator] = STATE(1453),
    [sym__equal_sign] = STATE(1453),
    [sym__eq_eq] = STATE(1453),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(661),
    [sym_real_literal] = ACTIONS(663),
    [sym_integer_literal] = ACTIONS(661),
    [sym_hex_literal] = ACTIONS(663),
    [sym_oct_literal] = ACTIONS(663),
    [sym_bin_literal] = ACTIONS(663),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(661),
    [anon_sym_GT] = ACTIONS(661),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(661),
    [anon_sym_POUNDfileID] = ACTIONS(663),
    [anon_sym_POUNDfilePath] = ACTIONS(663),
    [anon_sym_POUNDline] = ACTIONS(663),
    [anon_sym_POUNDcolumn] = ACTIONS(663),
    [anon_sym_POUNDfunction] = ACTIONS(663),
    [anon_sym_POUNDdsohandle] = ACTIONS(663),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(663),
    [anon_sym_DASH_EQ] = ACTIONS(663),
    [anon_sym_STAR_EQ] = ACTIONS(663),
    [anon_sym_SLASH_EQ] = ACTIONS(663),
    [anon_sym_PERCENT_EQ] = ACTIONS(663),
    [anon_sym_BANG_EQ] = ACTIONS(661),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(663),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(663),
    [anon_sym_LT_EQ] = ACTIONS(663),
    [anon_sym_GT_EQ] = ACTIONS(663),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(661),
    [anon_sym_SLASH] = ACTIONS(661),
    [anon_sym_PERCENT] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(663),
    [anon_sym_CARET] = ACTIONS(661),
    [anon_sym_LT_LT] = ACTIONS(663),
    [anon_sym_GT_GT] = ACTIONS(663),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(663),
    [sym__eq_eq_custom] = ACTIONS(663),
    [sym__plus_then_ws] = ACTIONS(663),
    [sym__minus_then_ws] = ACTIONS(663),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [573] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1449),
    [sym_boolean_literal] = STATE(1449),
    [sym__string_literal] = STATE(1449),
    [sym_line_string_literal] = STATE(1449),
    [sym_multi_line_string_literal] = STATE(1449),
    [sym_raw_string_literal] = STATE(1449),
    [sym_regex_literal] = STATE(1449),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1449),
    [sym__unary_expression] = STATE(1449),
    [sym_postfix_expression] = STATE(1449),
    [sym_constructor_expression] = STATE(1449),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1449),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1449),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1449),
    [sym_prefix_expression] = STATE(1449),
    [sym_as_expression] = STATE(1449),
    [sym_selector_expression] = STATE(1449),
    [sym__binary_expression] = STATE(1449),
    [sym_multiplicative_expression] = STATE(1449),
    [sym_additive_expression] = STATE(1449),
    [sym_range_expression] = STATE(1449),
    [sym_infix_expression] = STATE(1449),
    [sym_nil_coalescing_expression] = STATE(1449),
    [sym_check_expression] = STATE(1449),
    [sym_comparison_expression] = STATE(1449),
    [sym_equality_expression] = STATE(1449),
    [sym_conjunction_expression] = STATE(1449),
    [sym_disjunction_expression] = STATE(1449),
    [sym_bitwise_operation] = STATE(1449),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1449),
    [sym_await_expression] = STATE(1449),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1449),
    [sym_call_expression] = STATE(1449),
    [sym__primary_expression] = STATE(1449),
    [sym_tuple_expression] = STATE(1449),
    [sym_array_literal] = STATE(1449),
    [sym_dictionary_literal] = STATE(1449),
    [sym__special_literal] = STATE(1449),
    [sym__playground_literal] = STATE(1449),
    [sym_lambda_literal] = STATE(1449),
    [sym_self_expression] = STATE(1449),
    [sym_super_expression] = STATE(1449),
    [sym_if_statement] = STATE(1449),
    [sym_switch_statement] = STATE(1449),
    [sym_key_path_expression] = STATE(1449),
    [sym_key_path_string_expression] = STATE(1449),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1449),
    [sym__equality_operator] = STATE(1449),
    [sym__comparison_operator] = STATE(1449),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1449),
    [sym__multiplicative_operator] = STATE(1449),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1449),
    [sym_value_parameter_pack] = STATE(1449),
    [sym_value_pack_expansion] = STATE(1449),
    [sym__referenceable_operator] = STATE(1449),
    [sym__equal_sign] = STATE(1449),
    [sym__eq_eq] = STATE(1449),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(2315),
    [sym_real_literal] = ACTIONS(2317),
    [sym_integer_literal] = ACTIONS(2315),
    [sym_hex_literal] = ACTIONS(2317),
    [sym_oct_literal] = ACTIONS(2317),
    [sym_bin_literal] = ACTIONS(2317),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(2315),
    [anon_sym_GT] = ACTIONS(2315),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(2315),
    [anon_sym_POUNDfileID] = ACTIONS(2317),
    [anon_sym_POUNDfilePath] = ACTIONS(2317),
    [anon_sym_POUNDline] = ACTIONS(2317),
    [anon_sym_POUNDcolumn] = ACTIONS(2317),
    [anon_sym_POUNDfunction] = ACTIONS(2317),
    [anon_sym_POUNDdsohandle] = ACTIONS(2317),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(2317),
    [anon_sym_DASH_EQ] = ACTIONS(2317),
    [anon_sym_STAR_EQ] = ACTIONS(2317),
    [anon_sym_SLASH_EQ] = ACTIONS(2317),
    [anon_sym_PERCENT_EQ] = ACTIONS(2317),
    [anon_sym_BANG_EQ] = ACTIONS(2315),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2317),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2317),
    [anon_sym_LT_EQ] = ACTIONS(2317),
    [anon_sym_GT_EQ] = ACTIONS(2317),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(2315),
    [anon_sym_SLASH] = ACTIONS(2315),
    [anon_sym_PERCENT] = ACTIONS(2315),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(2317),
    [anon_sym_CARET] = ACTIONS(2315),
    [anon_sym_LT_LT] = ACTIONS(2317),
    [anon_sym_GT_GT] = ACTIONS(2317),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(2317),
    [sym__eq_eq_custom] = ACTIONS(2317),
    [sym__plus_then_ws] = ACTIONS(2317),
    [sym__minus_then_ws] = ACTIONS(2317),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [574] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(633),
    [sym_boolean_literal] = STATE(633),
    [sym__string_literal] = STATE(633),
    [sym_line_string_literal] = STATE(633),
    [sym_multi_line_string_literal] = STATE(633),
    [sym_raw_string_literal] = STATE(633),
    [sym_regex_literal] = STATE(633),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5550),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5550),
    [sym_dictionary_type] = STATE(5550),
    [sym__expression] = STATE(633),
    [sym__unary_expression] = STATE(633),
    [sym_postfix_expression] = STATE(633),
    [sym_constructor_expression] = STATE(633),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(633),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(633),
    [sym__range_operator] = STATE(596),
    [sym_open_end_range_expression] = STATE(633),
    [sym_prefix_expression] = STATE(633),
    [sym_as_expression] = STATE(633),
    [sym_selector_expression] = STATE(633),
    [sym__binary_expression] = STATE(633),
    [sym_multiplicative_expression] = STATE(633),
    [sym_additive_expression] = STATE(633),
    [sym_range_expression] = STATE(633),
    [sym_infix_expression] = STATE(633),
    [sym_nil_coalescing_expression] = STATE(633),
    [sym_check_expression] = STATE(633),
    [sym_comparison_expression] = STATE(633),
    [sym_equality_expression] = STATE(633),
    [sym_conjunction_expression] = STATE(633),
    [sym_disjunction_expression] = STATE(633),
    [sym_bitwise_operation] = STATE(633),
    [sym_custom_operator] = STATE(609),
    [sym_try_expression] = STATE(633),
    [sym_await_expression] = STATE(633),
    [sym__await_operator] = STATE(599),
    [sym_ternary_expression] = STATE(633),
    [sym_call_expression] = STATE(633),
    [sym__primary_expression] = STATE(633),
    [sym_tuple_expression] = STATE(633),
    [sym_array_literal] = STATE(633),
    [sym_dictionary_literal] = STATE(633),
    [sym__special_literal] = STATE(633),
    [sym__playground_literal] = STATE(633),
    [sym_lambda_literal] = STATE(633),
    [sym_self_expression] = STATE(633),
    [sym_super_expression] = STATE(633),
    [sym_if_statement] = STATE(633),
    [sym_switch_statement] = STATE(633),
    [sym_key_path_expression] = STATE(633),
    [sym_key_path_string_expression] = STATE(633),
    [sym_try_operator] = STATE(453),
    [sym__assignment_and_operator] = STATE(633),
    [sym__equality_operator] = STATE(633),
    [sym__comparison_operator] = STATE(633),
    [sym__three_dot_operator] = STATE(604),
    [sym__open_ended_range_operator] = STATE(596),
    [sym__additive_operator] = STATE(633),
    [sym__multiplicative_operator] = STATE(633),
    [sym__prefix_unary_operator] = STATE(445),
    [sym_directly_assignable_expression] = STATE(5552),
    [sym_assignment] = STATE(633),
    [sym_value_parameter_pack] = STATE(633),
    [sym_value_pack_expansion] = STATE(633),
    [sym__referenceable_operator] = STATE(633),
    [sym__equal_sign] = STATE(633),
    [sym__eq_eq] = STATE(633),
    [sym__dot] = STATE(445),
    [sym_bang] = STATE(609),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(621),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(623),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(2319),
    [sym_real_literal] = ACTIONS(2321),
    [sym_integer_literal] = ACTIONS(2319),
    [sym_hex_literal] = ACTIONS(2321),
    [sym_oct_literal] = ACTIONS(2321),
    [sym_bin_literal] = ACTIONS(2321),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(629),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(639),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(641),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(643),
    [anon_sym_LT] = ACTIONS(2319),
    [anon_sym_GT] = ACTIONS(2319),
    [anon_sym_await] = ACTIONS(645),
    [anon_sym_POUNDfile] = ACTIONS(2319),
    [anon_sym_POUNDfileID] = ACTIONS(2321),
    [anon_sym_POUNDfilePath] = ACTIONS(2321),
    [anon_sym_POUNDline] = ACTIONS(2321),
    [anon_sym_POUNDcolumn] = ACTIONS(2321),
    [anon_sym_POUNDfunction] = ACTIONS(2321),
    [anon_sym_POUNDdsohandle] = ACTIONS(2321),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(2321),
    [anon_sym_DASH_EQ] = ACTIONS(2321),
    [anon_sym_STAR_EQ] = ACTIONS(2321),
    [anon_sym_SLASH_EQ] = ACTIONS(2321),
    [anon_sym_PERCENT_EQ] = ACTIONS(2321),
    [anon_sym_BANG_EQ] = ACTIONS(2319),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2321),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2321),
    [anon_sym_LT_EQ] = ACTIONS(2321),
    [anon_sym_GT_EQ] = ACTIONS(2321),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(649),
    [anon_sym_DOT_DOT_LT] = ACTIONS(651),
    [anon_sym_PLUS] = ACTIONS(653),
    [anon_sym_DASH] = ACTIONS(653),
    [anon_sym_STAR] = ACTIONS(2319),
    [anon_sym_SLASH] = ACTIONS(2319),
    [anon_sym_PERCENT] = ACTIONS(2319),
    [anon_sym_PLUS_PLUS] = ACTIONS(639),
    [anon_sym_DASH_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(639),
    [anon_sym_PIPE] = ACTIONS(2321),
    [anon_sym_CARET] = ACTIONS(2319),
    [anon_sym_LT_LT] = ACTIONS(2321),
    [anon_sym_GT_GT] = ACTIONS(2321),
    [anon_sym_BANG2] = ACTIONS(655),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(657),
    [sym__eq_custom] = ACTIONS(2321),
    [sym__eq_eq_custom] = ACTIONS(2321),
    [sym__plus_then_ws] = ACTIONS(2321),
    [sym__minus_then_ws] = ACTIONS(2321),
    [sym__bang_custom] = ACTIONS(659),
    [sym__custom_operator] = ACTIONS(643),
  },
  [575] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1302),
    [sym_boolean_literal] = STATE(1302),
    [sym__string_literal] = STATE(1302),
    [sym_line_string_literal] = STATE(1302),
    [sym_multi_line_string_literal] = STATE(1302),
    [sym_raw_string_literal] = STATE(1302),
    [sym_regex_literal] = STATE(1302),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1302),
    [sym__unary_expression] = STATE(1302),
    [sym_postfix_expression] = STATE(1302),
    [sym_constructor_expression] = STATE(1302),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1302),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1302),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1302),
    [sym_prefix_expression] = STATE(1302),
    [sym_as_expression] = STATE(1302),
    [sym_selector_expression] = STATE(1302),
    [sym__binary_expression] = STATE(1302),
    [sym_multiplicative_expression] = STATE(1302),
    [sym_additive_expression] = STATE(1302),
    [sym_range_expression] = STATE(1302),
    [sym_infix_expression] = STATE(1302),
    [sym_nil_coalescing_expression] = STATE(1302),
    [sym_check_expression] = STATE(1302),
    [sym_comparison_expression] = STATE(1302),
    [sym_equality_expression] = STATE(1302),
    [sym_conjunction_expression] = STATE(1302),
    [sym_disjunction_expression] = STATE(1302),
    [sym_bitwise_operation] = STATE(1302),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1302),
    [sym_await_expression] = STATE(1302),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1302),
    [sym_call_expression] = STATE(1302),
    [sym__primary_expression] = STATE(1302),
    [sym_tuple_expression] = STATE(1302),
    [sym_array_literal] = STATE(1302),
    [sym_dictionary_literal] = STATE(1302),
    [sym__special_literal] = STATE(1302),
    [sym__playground_literal] = STATE(1302),
    [sym_lambda_literal] = STATE(1302),
    [sym_self_expression] = STATE(1302),
    [sym_super_expression] = STATE(1302),
    [sym_if_statement] = STATE(1302),
    [sym_switch_statement] = STATE(1302),
    [sym_key_path_expression] = STATE(1302),
    [sym_key_path_string_expression] = STATE(1302),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1302),
    [sym__equality_operator] = STATE(1302),
    [sym__comparison_operator] = STATE(1302),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1302),
    [sym__multiplicative_operator] = STATE(1302),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1302),
    [sym_value_parameter_pack] = STATE(1302),
    [sym_value_pack_expansion] = STATE(1302),
    [sym__referenceable_operator] = STATE(1302),
    [sym__equal_sign] = STATE(1302),
    [sym__eq_eq] = STATE(1302),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(2323),
    [sym_real_literal] = ACTIONS(2325),
    [sym_integer_literal] = ACTIONS(2323),
    [sym_hex_literal] = ACTIONS(2325),
    [sym_oct_literal] = ACTIONS(2325),
    [sym_bin_literal] = ACTIONS(2325),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(2323),
    [anon_sym_GT] = ACTIONS(2323),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(2323),
    [anon_sym_POUNDfileID] = ACTIONS(2325),
    [anon_sym_POUNDfilePath] = ACTIONS(2325),
    [anon_sym_POUNDline] = ACTIONS(2325),
    [anon_sym_POUNDcolumn] = ACTIONS(2325),
    [anon_sym_POUNDfunction] = ACTIONS(2325),
    [anon_sym_POUNDdsohandle] = ACTIONS(2325),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(2325),
    [anon_sym_DASH_EQ] = ACTIONS(2325),
    [anon_sym_STAR_EQ] = ACTIONS(2325),
    [anon_sym_SLASH_EQ] = ACTIONS(2325),
    [anon_sym_PERCENT_EQ] = ACTIONS(2325),
    [anon_sym_BANG_EQ] = ACTIONS(2323),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2325),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2325),
    [anon_sym_LT_EQ] = ACTIONS(2325),
    [anon_sym_GT_EQ] = ACTIONS(2325),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(2323),
    [anon_sym_SLASH] = ACTIONS(2323),
    [anon_sym_PERCENT] = ACTIONS(2323),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(2325),
    [anon_sym_CARET] = ACTIONS(2323),
    [anon_sym_LT_LT] = ACTIONS(2325),
    [anon_sym_GT_GT] = ACTIONS(2325),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(2325),
    [sym__eq_eq_custom] = ACTIONS(2325),
    [sym__plus_then_ws] = ACTIONS(2325),
    [sym__minus_then_ws] = ACTIONS(2325),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [576] = {
    [sym_simple_identifier] = STATE(2498),
    [sym__contextual_simple_identifier] = STATE(2439),
    [sym__basic_literal] = STATE(1289),
    [sym_boolean_literal] = STATE(1289),
    [sym__string_literal] = STATE(1289),
    [sym_line_string_literal] = STATE(1289),
    [sym_multi_line_string_literal] = STATE(1289),
    [sym_raw_string_literal] = STATE(1289),
    [sym_regex_literal] = STATE(1289),
    [sym__multiline_regex_literal] = STATE(2683),
    [sym_user_type] = STATE(5473),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5473),
    [sym_dictionary_type] = STATE(5473),
    [sym__expression] = STATE(1289),
    [sym__unary_expression] = STATE(1289),
    [sym_postfix_expression] = STATE(1289),
    [sym_constructor_expression] = STATE(1289),
    [sym__parenthesized_type] = STATE(6860),
    [sym_navigation_expression] = STATE(1289),
    [sym__navigable_type_expression] = STATE(6859),
    [sym_open_start_range_expression] = STATE(1289),
    [sym__range_operator] = STATE(601),
    [sym_open_end_range_expression] = STATE(1289),
    [sym_prefix_expression] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_selector_expression] = STATE(1289),
    [sym__binary_expression] = STATE(1289),
    [sym_multiplicative_expression] = STATE(1289),
    [sym_additive_expression] = STATE(1289),
    [sym_range_expression] = STATE(1289),
    [sym_infix_expression] = STATE(1289),
    [sym_nil_coalescing_expression] = STATE(1289),
    [sym_check_expression] = STATE(1289),
    [sym_comparison_expression] = STATE(1289),
    [sym_equality_expression] = STATE(1289),
    [sym_conjunction_expression] = STATE(1289),
    [sym_disjunction_expression] = STATE(1289),
    [sym_bitwise_operation] = STATE(1289),
    [sym_custom_operator] = STATE(885),
    [sym_try_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym__await_operator] = STATE(603),
    [sym_ternary_expression] = STATE(1289),
    [sym_call_expression] = STATE(1289),
    [sym__primary_expression] = STATE(1289),
    [sym_tuple_expression] = STATE(1289),
    [sym_array_literal] = STATE(1289),
    [sym_dictionary_literal] = STATE(1289),
    [sym__special_literal] = STATE(1289),
    [sym__playground_literal] = STATE(1289),
    [sym_lambda_literal] = STATE(1289),
    [sym_self_expression] = STATE(1289),
    [sym_super_expression] = STATE(1289),
    [sym_if_statement] = STATE(1289),
    [sym_switch_statement] = STATE(1289),
    [sym_key_path_expression] = STATE(1289),
    [sym_key_path_string_expression] = STATE(1289),
    [sym_try_operator] = STATE(598),
    [sym__assignment_and_operator] = STATE(1289),
    [sym__equality_operator] = STATE(1289),
    [sym__comparison_operator] = STATE(1289),
    [sym__three_dot_operator] = STATE(877),
    [sym__open_ended_range_operator] = STATE(601),
    [sym__additive_operator] = STATE(1289),
    [sym__multiplicative_operator] = STATE(1289),
    [sym__prefix_unary_operator] = STATE(593),
    [sym_directly_assignable_expression] = STATE(5475),
    [sym_assignment] = STATE(1289),
    [sym_value_parameter_pack] = STATE(1289),
    [sym_value_pack_expansion] = STATE(1289),
    [sym__referenceable_operator] = STATE(1289),
    [sym__equal_sign] = STATE(1289),
    [sym__eq_eq] = STATE(1289),
    [sym__dot] = STATE(593),
    [sym_bang] = STATE(885),
    [sym__parameter_ownership_modifier] = STATE(2439),
    [aux_sym_raw_string_literal_repeat1] = STATE(6858),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(1309),
    [aux_sym_simple_identifier_token2] = ACTIONS(1311),
    [aux_sym_simple_identifier_token3] = ACTIONS(1311),
    [aux_sym_simple_identifier_token4] = ACTIONS(1311),
    [anon_sym_actor] = ACTIONS(1309),
    [anon_sym_async] = ACTIONS(1309),
    [anon_sym_each] = ACTIONS(1313),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_repeat] = ACTIONS(1315),
    [anon_sym_package] = ACTIONS(1309),
    [anon_sym_nil] = ACTIONS(2327),
    [sym_real_literal] = ACTIONS(2329),
    [sym_integer_literal] = ACTIONS(2327),
    [sym_hex_literal] = ACTIONS(2329),
    [sym_oct_literal] = ACTIONS(2329),
    [sym_bin_literal] = ACTIONS(2329),
    [anon_sym_true] = ACTIONS(1321),
    [anon_sym_false] = ACTIONS(1321),
    [anon_sym_DQUOTE] = ACTIONS(1323),
    [anon_sym_BSLASH] = ACTIONS(1325),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1327),
    [sym__extended_regex_literal] = ACTIONS(1329),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(1331),
    [sym__oneline_regex_literal] = ACTIONS(1333),
    [anon_sym_LPAREN] = ACTIONS(1335),
    [anon_sym_LBRACK] = ACTIONS(1337),
    [anon_sym_AMP] = ACTIONS(1339),
    [anon_sym_if] = ACTIONS(1341),
    [anon_sym_switch] = ACTIONS(1343),
    [anon_sym_POUNDselector] = ACTIONS(1345),
    [aux_sym_custom_operator_token1] = ACTIONS(1347),
    [anon_sym_LT] = ACTIONS(2327),
    [anon_sym_GT] = ACTIONS(2327),
    [anon_sym_await] = ACTIONS(1349),
    [anon_sym_POUNDfile] = ACTIONS(2327),
    [anon_sym_POUNDfileID] = ACTIONS(2329),
    [anon_sym_POUNDfilePath] = ACTIONS(2329),
    [anon_sym_POUNDline] = ACTIONS(2329),
    [anon_sym_POUNDcolumn] = ACTIONS(2329),
    [anon_sym_POUNDfunction] = ACTIONS(2329),
    [anon_sym_POUNDdsohandle] = ACTIONS(2329),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(1351),
    [anon_sym_POUNDfileLiteral] = ACTIONS(1351),
    [anon_sym_POUNDimageLiteral] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_CARET_LBRACE] = ACTIONS(1353),
    [anon_sym_self] = ACTIONS(1355),
    [anon_sym_super] = ACTIONS(1357),
    [anon_sym_POUNDkeyPath] = ACTIONS(1359),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(2329),
    [anon_sym_DASH_EQ] = ACTIONS(2329),
    [anon_sym_STAR_EQ] = ACTIONS(2329),
    [anon_sym_SLASH_EQ] = ACTIONS(2329),
    [anon_sym_PERCENT_EQ] = ACTIONS(2329),
    [anon_sym_BANG_EQ] = ACTIONS(2327),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2329),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2329),
    [anon_sym_LT_EQ] = ACTIONS(2329),
    [anon_sym_GT_EQ] = ACTIONS(2329),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1361),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1363),
    [anon_sym_PLUS] = ACTIONS(1365),
    [anon_sym_DASH] = ACTIONS(1365),
    [anon_sym_STAR] = ACTIONS(2327),
    [anon_sym_SLASH] = ACTIONS(2327),
    [anon_sym_PERCENT] = ACTIONS(2327),
    [anon_sym_PLUS_PLUS] = ACTIONS(1339),
    [anon_sym_DASH_DASH] = ACTIONS(1339),
    [anon_sym_TILDE] = ACTIONS(1339),
    [anon_sym_PIPE] = ACTIONS(2329),
    [anon_sym_CARET] = ACTIONS(2327),
    [anon_sym_LT_LT] = ACTIONS(2329),
    [anon_sym_GT_GT] = ACTIONS(2329),
    [anon_sym_BANG2] = ACTIONS(1367),
    [anon_sym_borrowing] = ACTIONS(1309),
    [anon_sym_consuming] = ACTIONS(1309),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(1369),
    [sym__dot_custom] = ACTIONS(1371),
    [sym__eq_custom] = ACTIONS(2329),
    [sym__eq_eq_custom] = ACTIONS(2329),
    [sym__plus_then_ws] = ACTIONS(2329),
    [sym__minus_then_ws] = ACTIONS(2329),
    [sym__bang_custom] = ACTIONS(1373),
    [sym__custom_operator] = ACTIONS(1347),
  },
  [577] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1407),
    [sym_boolean_literal] = STATE(1407),
    [sym__string_literal] = STATE(1407),
    [sym_line_string_literal] = STATE(1407),
    [sym_multi_line_string_literal] = STATE(1407),
    [sym_raw_string_literal] = STATE(1407),
    [sym_regex_literal] = STATE(1407),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1407),
    [sym__unary_expression] = STATE(1407),
    [sym_postfix_expression] = STATE(1407),
    [sym_constructor_expression] = STATE(1407),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1407),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1407),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1407),
    [sym_prefix_expression] = STATE(1407),
    [sym_as_expression] = STATE(1407),
    [sym_selector_expression] = STATE(1407),
    [sym__binary_expression] = STATE(1407),
    [sym_multiplicative_expression] = STATE(1407),
    [sym_additive_expression] = STATE(1407),
    [sym_range_expression] = STATE(1407),
    [sym_infix_expression] = STATE(1407),
    [sym_nil_coalescing_expression] = STATE(1407),
    [sym_check_expression] = STATE(1407),
    [sym_comparison_expression] = STATE(1407),
    [sym_equality_expression] = STATE(1407),
    [sym_conjunction_expression] = STATE(1407),
    [sym_disjunction_expression] = STATE(1407),
    [sym_bitwise_operation] = STATE(1407),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1407),
    [sym_await_expression] = STATE(1407),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1407),
    [sym_call_expression] = STATE(1407),
    [sym__primary_expression] = STATE(1407),
    [sym_tuple_expression] = STATE(1407),
    [sym_array_literal] = STATE(1407),
    [sym_dictionary_literal] = STATE(1407),
    [sym__special_literal] = STATE(1407),
    [sym__playground_literal] = STATE(1407),
    [sym_lambda_literal] = STATE(1407),
    [sym_self_expression] = STATE(1407),
    [sym_super_expression] = STATE(1407),
    [sym_if_statement] = STATE(1407),
    [sym_switch_statement] = STATE(1407),
    [sym_key_path_expression] = STATE(1407),
    [sym_key_path_string_expression] = STATE(1407),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1407),
    [sym__equality_operator] = STATE(1407),
    [sym__comparison_operator] = STATE(1407),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1407),
    [sym__multiplicative_operator] = STATE(1407),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1407),
    [sym_value_parameter_pack] = STATE(1407),
    [sym_value_pack_expansion] = STATE(1407),
    [sym__referenceable_operator] = STATE(1407),
    [sym__equal_sign] = STATE(1407),
    [sym__eq_eq] = STATE(1407),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1567),
    [sym_real_literal] = ACTIONS(1569),
    [sym_integer_literal] = ACTIONS(1567),
    [sym_hex_literal] = ACTIONS(1569),
    [sym_oct_literal] = ACTIONS(1569),
    [sym_bin_literal] = ACTIONS(1569),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1567),
    [anon_sym_GT] = ACTIONS(1567),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1567),
    [anon_sym_POUNDfileID] = ACTIONS(1569),
    [anon_sym_POUNDfilePath] = ACTIONS(1569),
    [anon_sym_POUNDline] = ACTIONS(1569),
    [anon_sym_POUNDcolumn] = ACTIONS(1569),
    [anon_sym_POUNDfunction] = ACTIONS(1569),
    [anon_sym_POUNDdsohandle] = ACTIONS(1569),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1569),
    [anon_sym_DASH_EQ] = ACTIONS(1569),
    [anon_sym_STAR_EQ] = ACTIONS(1569),
    [anon_sym_SLASH_EQ] = ACTIONS(1569),
    [anon_sym_PERCENT_EQ] = ACTIONS(1569),
    [anon_sym_BANG_EQ] = ACTIONS(1567),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1569),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1569),
    [anon_sym_LT_EQ] = ACTIONS(1569),
    [anon_sym_GT_EQ] = ACTIONS(1569),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1567),
    [anon_sym_SLASH] = ACTIONS(1567),
    [anon_sym_PERCENT] = ACTIONS(1567),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1569),
    [anon_sym_CARET] = ACTIONS(1567),
    [anon_sym_LT_LT] = ACTIONS(1569),
    [anon_sym_GT_GT] = ACTIONS(1569),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1569),
    [sym__eq_eq_custom] = ACTIONS(1569),
    [sym__plus_then_ws] = ACTIONS(1569),
    [sym__minus_then_ws] = ACTIONS(1569),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [578] = {
    [sym_simple_identifier] = STATE(2936),
    [sym__contextual_simple_identifier] = STATE(2558),
    [sym__basic_literal] = STATE(1400),
    [sym_boolean_literal] = STATE(1400),
    [sym__string_literal] = STATE(1400),
    [sym_line_string_literal] = STATE(1400),
    [sym_multi_line_string_literal] = STATE(1400),
    [sym_raw_string_literal] = STATE(1400),
    [sym_regex_literal] = STATE(1400),
    [sym__multiline_regex_literal] = STATE(3141),
    [sym_user_type] = STATE(5448),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5448),
    [sym_dictionary_type] = STATE(5448),
    [sym__expression] = STATE(1400),
    [sym__unary_expression] = STATE(1400),
    [sym_postfix_expression] = STATE(1400),
    [sym_constructor_expression] = STATE(1400),
    [sym__parenthesized_type] = STATE(6984),
    [sym_navigation_expression] = STATE(1400),
    [sym__navigable_type_expression] = STATE(6994),
    [sym_open_start_range_expression] = STATE(1400),
    [sym__range_operator] = STATE(488),
    [sym_open_end_range_expression] = STATE(1400),
    [sym_prefix_expression] = STATE(1400),
    [sym_as_expression] = STATE(1400),
    [sym_selector_expression] = STATE(1400),
    [sym__binary_expression] = STATE(1400),
    [sym_multiplicative_expression] = STATE(1400),
    [sym_additive_expression] = STATE(1400),
    [sym_range_expression] = STATE(1400),
    [sym_infix_expression] = STATE(1400),
    [sym_nil_coalescing_expression] = STATE(1400),
    [sym_check_expression] = STATE(1400),
    [sym_comparison_expression] = STATE(1400),
    [sym_equality_expression] = STATE(1400),
    [sym_conjunction_expression] = STATE(1400),
    [sym_disjunction_expression] = STATE(1400),
    [sym_bitwise_operation] = STATE(1400),
    [sym_custom_operator] = STATE(902),
    [sym_try_expression] = STATE(1400),
    [sym_await_expression] = STATE(1400),
    [sym__await_operator] = STATE(498),
    [sym_ternary_expression] = STATE(1400),
    [sym_call_expression] = STATE(1400),
    [sym__primary_expression] = STATE(1400),
    [sym_tuple_expression] = STATE(1400),
    [sym_array_literal] = STATE(1400),
    [sym_dictionary_literal] = STATE(1400),
    [sym__special_literal] = STATE(1400),
    [sym__playground_literal] = STATE(1400),
    [sym_lambda_literal] = STATE(1400),
    [sym_self_expression] = STATE(1400),
    [sym_super_expression] = STATE(1400),
    [sym_if_statement] = STATE(1400),
    [sym_switch_statement] = STATE(1400),
    [sym_key_path_expression] = STATE(1400),
    [sym_key_path_string_expression] = STATE(1400),
    [sym_try_operator] = STATE(501),
    [sym__assignment_and_operator] = STATE(1400),
    [sym__equality_operator] = STATE(1400),
    [sym__comparison_operator] = STATE(1400),
    [sym__three_dot_operator] = STATE(900),
    [sym__open_ended_range_operator] = STATE(488),
    [sym__additive_operator] = STATE(1400),
    [sym__multiplicative_operator] = STATE(1400),
    [sym__prefix_unary_operator] = STATE(505),
    [sym_directly_assignable_expression] = STATE(5447),
    [sym_assignment] = STATE(1400),
    [sym_value_parameter_pack] = STATE(1400),
    [sym_value_pack_expansion] = STATE(1400),
    [sym__referenceable_operator] = STATE(1400),
    [sym__equal_sign] = STATE(1400),
    [sym__eq_eq] = STATE(1400),
    [sym__dot] = STATE(505),
    [sym_bang] = STATE(902),
    [sym__parameter_ownership_modifier] = STATE(2558),
    [aux_sym_raw_string_literal_repeat1] = STATE(7003),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(1147),
    [aux_sym_simple_identifier_token2] = ACTIONS(1149),
    [aux_sym_simple_identifier_token3] = ACTIONS(1149),
    [aux_sym_simple_identifier_token4] = ACTIONS(1149),
    [anon_sym_actor] = ACTIONS(1147),
    [anon_sym_async] = ACTIONS(1147),
    [anon_sym_each] = ACTIONS(1153),
    [anon_sym_lazy] = ACTIONS(1147),
    [anon_sym_repeat] = ACTIONS(1155),
    [anon_sym_package] = ACTIONS(1147),
    [anon_sym_nil] = ACTIONS(2331),
    [sym_real_literal] = ACTIONS(2333),
    [sym_integer_literal] = ACTIONS(2331),
    [sym_hex_literal] = ACTIONS(2333),
    [sym_oct_literal] = ACTIONS(2333),
    [sym_bin_literal] = ACTIONS(2333),
    [anon_sym_true] = ACTIONS(1161),
    [anon_sym_false] = ACTIONS(1161),
    [anon_sym_DQUOTE] = ACTIONS(1163),
    [anon_sym_BSLASH] = ACTIONS(1165),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1167),
    [sym__extended_regex_literal] = ACTIONS(1169),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(1171),
    [sym__oneline_regex_literal] = ACTIONS(1173),
    [anon_sym_LPAREN] = ACTIONS(1175),
    [anon_sym_LBRACK] = ACTIONS(1177),
    [anon_sym_AMP] = ACTIONS(1179),
    [anon_sym_if] = ACTIONS(1181),
    [anon_sym_switch] = ACTIONS(1183),
    [anon_sym_POUNDselector] = ACTIONS(1185),
    [aux_sym_custom_operator_token1] = ACTIONS(1187),
    [anon_sym_LT] = ACTIONS(2331),
    [anon_sym_GT] = ACTIONS(2331),
    [anon_sym_await] = ACTIONS(1189),
    [anon_sym_POUNDfile] = ACTIONS(2331),
    [anon_sym_POUNDfileID] = ACTIONS(2333),
    [anon_sym_POUNDfilePath] = ACTIONS(2333),
    [anon_sym_POUNDline] = ACTIONS(2333),
    [anon_sym_POUNDcolumn] = ACTIONS(2333),
    [anon_sym_POUNDfunction] = ACTIONS(2333),
    [anon_sym_POUNDdsohandle] = ACTIONS(2333),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(1191),
    [anon_sym_POUNDfileLiteral] = ACTIONS(1191),
    [anon_sym_POUNDimageLiteral] = ACTIONS(1191),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_CARET_LBRACE] = ACTIONS(1193),
    [anon_sym_self] = ACTIONS(1195),
    [anon_sym_super] = ACTIONS(1197),
    [anon_sym_POUNDkeyPath] = ACTIONS(1201),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(2333),
    [anon_sym_DASH_EQ] = ACTIONS(2333),
    [anon_sym_STAR_EQ] = ACTIONS(2333),
    [anon_sym_SLASH_EQ] = ACTIONS(2333),
    [anon_sym_PERCENT_EQ] = ACTIONS(2333),
    [anon_sym_BANG_EQ] = ACTIONS(2331),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2333),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2333),
    [anon_sym_LT_EQ] = ACTIONS(2333),
    [anon_sym_GT_EQ] = ACTIONS(2333),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1203),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1205),
    [anon_sym_PLUS] = ACTIONS(1207),
    [anon_sym_DASH] = ACTIONS(1207),
    [anon_sym_STAR] = ACTIONS(2331),
    [anon_sym_SLASH] = ACTIONS(2331),
    [anon_sym_PERCENT] = ACTIONS(2331),
    [anon_sym_PLUS_PLUS] = ACTIONS(1179),
    [anon_sym_DASH_DASH] = ACTIONS(1179),
    [anon_sym_TILDE] = ACTIONS(1179),
    [anon_sym_PIPE] = ACTIONS(2333),
    [anon_sym_CARET] = ACTIONS(2331),
    [anon_sym_LT_LT] = ACTIONS(2333),
    [anon_sym_GT_GT] = ACTIONS(2333),
    [anon_sym_BANG2] = ACTIONS(1211),
    [anon_sym_borrowing] = ACTIONS(1147),
    [anon_sym_consuming] = ACTIONS(1147),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(1213),
    [sym__dot_custom] = ACTIONS(1215),
    [sym__eq_custom] = ACTIONS(2333),
    [sym__eq_eq_custom] = ACTIONS(2333),
    [sym__plus_then_ws] = ACTIONS(2333),
    [sym__minus_then_ws] = ACTIONS(2333),
    [sym__bang_custom] = ACTIONS(1217),
    [sym__custom_operator] = ACTIONS(1187),
  },
  [579] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1354),
    [sym_boolean_literal] = STATE(1354),
    [sym__string_literal] = STATE(1354),
    [sym_line_string_literal] = STATE(1354),
    [sym_multi_line_string_literal] = STATE(1354),
    [sym_raw_string_literal] = STATE(1354),
    [sym_regex_literal] = STATE(1354),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1354),
    [sym__unary_expression] = STATE(1354),
    [sym_postfix_expression] = STATE(1354),
    [sym_constructor_expression] = STATE(1354),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1354),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1354),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1354),
    [sym_prefix_expression] = STATE(1354),
    [sym_as_expression] = STATE(1354),
    [sym_selector_expression] = STATE(1354),
    [sym__binary_expression] = STATE(1354),
    [sym_multiplicative_expression] = STATE(1354),
    [sym_additive_expression] = STATE(1354),
    [sym_range_expression] = STATE(1354),
    [sym_infix_expression] = STATE(1354),
    [sym_nil_coalescing_expression] = STATE(1354),
    [sym_check_expression] = STATE(1354),
    [sym_comparison_expression] = STATE(1354),
    [sym_equality_expression] = STATE(1354),
    [sym_conjunction_expression] = STATE(1354),
    [sym_disjunction_expression] = STATE(1354),
    [sym_bitwise_operation] = STATE(1354),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1354),
    [sym_await_expression] = STATE(1354),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1354),
    [sym_call_expression] = STATE(1354),
    [sym__primary_expression] = STATE(1354),
    [sym_tuple_expression] = STATE(1354),
    [sym_array_literal] = STATE(1354),
    [sym_dictionary_literal] = STATE(1354),
    [sym__special_literal] = STATE(1354),
    [sym__playground_literal] = STATE(1354),
    [sym_lambda_literal] = STATE(1354),
    [sym_self_expression] = STATE(1354),
    [sym_super_expression] = STATE(1354),
    [sym_if_statement] = STATE(1354),
    [sym_switch_statement] = STATE(1354),
    [sym_key_path_expression] = STATE(1354),
    [sym_key_path_string_expression] = STATE(1354),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1354),
    [sym__equality_operator] = STATE(1354),
    [sym__comparison_operator] = STATE(1354),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1354),
    [sym__multiplicative_operator] = STATE(1354),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1354),
    [sym_value_parameter_pack] = STATE(1354),
    [sym_value_pack_expansion] = STATE(1354),
    [sym__referenceable_operator] = STATE(1354),
    [sym__equal_sign] = STATE(1354),
    [sym__eq_eq] = STATE(1354),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1487),
    [sym_real_literal] = ACTIONS(1489),
    [sym_integer_literal] = ACTIONS(1487),
    [sym_hex_literal] = ACTIONS(1489),
    [sym_oct_literal] = ACTIONS(1489),
    [sym_bin_literal] = ACTIONS(1489),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1487),
    [anon_sym_GT] = ACTIONS(1487),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1487),
    [anon_sym_POUNDfileID] = ACTIONS(1489),
    [anon_sym_POUNDfilePath] = ACTIONS(1489),
    [anon_sym_POUNDline] = ACTIONS(1489),
    [anon_sym_POUNDcolumn] = ACTIONS(1489),
    [anon_sym_POUNDfunction] = ACTIONS(1489),
    [anon_sym_POUNDdsohandle] = ACTIONS(1489),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1489),
    [anon_sym_DASH_EQ] = ACTIONS(1489),
    [anon_sym_STAR_EQ] = ACTIONS(1489),
    [anon_sym_SLASH_EQ] = ACTIONS(1489),
    [anon_sym_PERCENT_EQ] = ACTIONS(1489),
    [anon_sym_BANG_EQ] = ACTIONS(1487),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1489),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1489),
    [anon_sym_LT_EQ] = ACTIONS(1489),
    [anon_sym_GT_EQ] = ACTIONS(1489),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1487),
    [anon_sym_SLASH] = ACTIONS(1487),
    [anon_sym_PERCENT] = ACTIONS(1487),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1489),
    [anon_sym_CARET] = ACTIONS(1487),
    [anon_sym_LT_LT] = ACTIONS(1489),
    [anon_sym_GT_GT] = ACTIONS(1489),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1489),
    [sym__eq_eq_custom] = ACTIONS(1489),
    [sym__plus_then_ws] = ACTIONS(1489),
    [sym__minus_then_ws] = ACTIONS(1489),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [580] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1411),
    [sym_boolean_literal] = STATE(1411),
    [sym__string_literal] = STATE(1411),
    [sym_line_string_literal] = STATE(1411),
    [sym_multi_line_string_literal] = STATE(1411),
    [sym_raw_string_literal] = STATE(1411),
    [sym_regex_literal] = STATE(1411),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1411),
    [sym__unary_expression] = STATE(1411),
    [sym_postfix_expression] = STATE(1411),
    [sym_constructor_expression] = STATE(1411),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1411),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1411),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1411),
    [sym_prefix_expression] = STATE(1411),
    [sym_as_expression] = STATE(1411),
    [sym_selector_expression] = STATE(1411),
    [sym__binary_expression] = STATE(1411),
    [sym_multiplicative_expression] = STATE(1411),
    [sym_additive_expression] = STATE(1411),
    [sym_range_expression] = STATE(1411),
    [sym_infix_expression] = STATE(1411),
    [sym_nil_coalescing_expression] = STATE(1411),
    [sym_check_expression] = STATE(1411),
    [sym_comparison_expression] = STATE(1411),
    [sym_equality_expression] = STATE(1411),
    [sym_conjunction_expression] = STATE(1411),
    [sym_disjunction_expression] = STATE(1411),
    [sym_bitwise_operation] = STATE(1411),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1411),
    [sym_await_expression] = STATE(1411),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1411),
    [sym_call_expression] = STATE(1411),
    [sym__primary_expression] = STATE(1411),
    [sym_tuple_expression] = STATE(1411),
    [sym_array_literal] = STATE(1411),
    [sym_dictionary_literal] = STATE(1411),
    [sym__special_literal] = STATE(1411),
    [sym__playground_literal] = STATE(1411),
    [sym_lambda_literal] = STATE(1411),
    [sym_self_expression] = STATE(1411),
    [sym_super_expression] = STATE(1411),
    [sym_if_statement] = STATE(1411),
    [sym_switch_statement] = STATE(1411),
    [sym_key_path_expression] = STATE(1411),
    [sym_key_path_string_expression] = STATE(1411),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1411),
    [sym__equality_operator] = STATE(1411),
    [sym__comparison_operator] = STATE(1411),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1411),
    [sym__multiplicative_operator] = STATE(1411),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1411),
    [sym_value_parameter_pack] = STATE(1411),
    [sym_value_pack_expansion] = STATE(1411),
    [sym__referenceable_operator] = STATE(1411),
    [sym__equal_sign] = STATE(1411),
    [sym__eq_eq] = STATE(1411),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(2335),
    [sym_real_literal] = ACTIONS(2337),
    [sym_integer_literal] = ACTIONS(2335),
    [sym_hex_literal] = ACTIONS(2337),
    [sym_oct_literal] = ACTIONS(2337),
    [sym_bin_literal] = ACTIONS(2337),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(2335),
    [anon_sym_GT] = ACTIONS(2335),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(2335),
    [anon_sym_POUNDfileID] = ACTIONS(2337),
    [anon_sym_POUNDfilePath] = ACTIONS(2337),
    [anon_sym_POUNDline] = ACTIONS(2337),
    [anon_sym_POUNDcolumn] = ACTIONS(2337),
    [anon_sym_POUNDfunction] = ACTIONS(2337),
    [anon_sym_POUNDdsohandle] = ACTIONS(2337),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(2337),
    [anon_sym_DASH_EQ] = ACTIONS(2337),
    [anon_sym_STAR_EQ] = ACTIONS(2337),
    [anon_sym_SLASH_EQ] = ACTIONS(2337),
    [anon_sym_PERCENT_EQ] = ACTIONS(2337),
    [anon_sym_BANG_EQ] = ACTIONS(2335),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2337),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2337),
    [anon_sym_LT_EQ] = ACTIONS(2337),
    [anon_sym_GT_EQ] = ACTIONS(2337),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(2335),
    [anon_sym_SLASH] = ACTIONS(2335),
    [anon_sym_PERCENT] = ACTIONS(2335),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(2337),
    [anon_sym_CARET] = ACTIONS(2335),
    [anon_sym_LT_LT] = ACTIONS(2337),
    [anon_sym_GT_GT] = ACTIONS(2337),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(2337),
    [sym__eq_eq_custom] = ACTIONS(2337),
    [sym__plus_then_ws] = ACTIONS(2337),
    [sym__minus_then_ws] = ACTIONS(2337),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [581] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1396),
    [sym_boolean_literal] = STATE(1396),
    [sym__string_literal] = STATE(1396),
    [sym_line_string_literal] = STATE(1396),
    [sym_multi_line_string_literal] = STATE(1396),
    [sym_raw_string_literal] = STATE(1396),
    [sym_regex_literal] = STATE(1396),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1396),
    [sym__unary_expression] = STATE(1396),
    [sym_postfix_expression] = STATE(1396),
    [sym_constructor_expression] = STATE(1396),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1396),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1396),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1396),
    [sym_prefix_expression] = STATE(1396),
    [sym_as_expression] = STATE(1396),
    [sym_selector_expression] = STATE(1396),
    [sym__binary_expression] = STATE(1396),
    [sym_multiplicative_expression] = STATE(1396),
    [sym_additive_expression] = STATE(1396),
    [sym_range_expression] = STATE(1396),
    [sym_infix_expression] = STATE(1396),
    [sym_nil_coalescing_expression] = STATE(1396),
    [sym_check_expression] = STATE(1396),
    [sym_comparison_expression] = STATE(1396),
    [sym_equality_expression] = STATE(1396),
    [sym_conjunction_expression] = STATE(1396),
    [sym_disjunction_expression] = STATE(1396),
    [sym_bitwise_operation] = STATE(1396),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1396),
    [sym_await_expression] = STATE(1396),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1396),
    [sym_call_expression] = STATE(1396),
    [sym__primary_expression] = STATE(1396),
    [sym_tuple_expression] = STATE(1396),
    [sym_array_literal] = STATE(1396),
    [sym_dictionary_literal] = STATE(1396),
    [sym__special_literal] = STATE(1396),
    [sym__playground_literal] = STATE(1396),
    [sym_lambda_literal] = STATE(1396),
    [sym_self_expression] = STATE(1396),
    [sym_super_expression] = STATE(1396),
    [sym_if_statement] = STATE(1396),
    [sym_switch_statement] = STATE(1396),
    [sym_key_path_expression] = STATE(1396),
    [sym_key_path_string_expression] = STATE(1396),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1396),
    [sym__equality_operator] = STATE(1396),
    [sym__comparison_operator] = STATE(1396),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1396),
    [sym__multiplicative_operator] = STATE(1396),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1396),
    [sym_value_parameter_pack] = STATE(1396),
    [sym_value_pack_expansion] = STATE(1396),
    [sym__referenceable_operator] = STATE(1396),
    [sym__equal_sign] = STATE(1396),
    [sym__eq_eq] = STATE(1396),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(2339),
    [sym_real_literal] = ACTIONS(2341),
    [sym_integer_literal] = ACTIONS(2339),
    [sym_hex_literal] = ACTIONS(2341),
    [sym_oct_literal] = ACTIONS(2341),
    [sym_bin_literal] = ACTIONS(2341),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(2339),
    [anon_sym_GT] = ACTIONS(2339),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(2339),
    [anon_sym_POUNDfileID] = ACTIONS(2341),
    [anon_sym_POUNDfilePath] = ACTIONS(2341),
    [anon_sym_POUNDline] = ACTIONS(2341),
    [anon_sym_POUNDcolumn] = ACTIONS(2341),
    [anon_sym_POUNDfunction] = ACTIONS(2341),
    [anon_sym_POUNDdsohandle] = ACTIONS(2341),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(2341),
    [anon_sym_DASH_EQ] = ACTIONS(2341),
    [anon_sym_STAR_EQ] = ACTIONS(2341),
    [anon_sym_SLASH_EQ] = ACTIONS(2341),
    [anon_sym_PERCENT_EQ] = ACTIONS(2341),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2341),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2341),
    [anon_sym_LT_EQ] = ACTIONS(2341),
    [anon_sym_GT_EQ] = ACTIONS(2341),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(2339),
    [anon_sym_SLASH] = ACTIONS(2339),
    [anon_sym_PERCENT] = ACTIONS(2339),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(2341),
    [anon_sym_CARET] = ACTIONS(2339),
    [anon_sym_LT_LT] = ACTIONS(2341),
    [anon_sym_GT_GT] = ACTIONS(2341),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(2341),
    [sym__eq_eq_custom] = ACTIONS(2341),
    [sym__plus_then_ws] = ACTIONS(2341),
    [sym__minus_then_ws] = ACTIONS(2341),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [582] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1348),
    [sym_boolean_literal] = STATE(1348),
    [sym__string_literal] = STATE(1348),
    [sym_line_string_literal] = STATE(1348),
    [sym_multi_line_string_literal] = STATE(1348),
    [sym_raw_string_literal] = STATE(1348),
    [sym_regex_literal] = STATE(1348),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1348),
    [sym__unary_expression] = STATE(1348),
    [sym_postfix_expression] = STATE(1348),
    [sym_constructor_expression] = STATE(1348),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1348),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1348),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1348),
    [sym_prefix_expression] = STATE(1348),
    [sym_as_expression] = STATE(1348),
    [sym_selector_expression] = STATE(1348),
    [sym__binary_expression] = STATE(1348),
    [sym_multiplicative_expression] = STATE(1348),
    [sym_additive_expression] = STATE(1348),
    [sym_range_expression] = STATE(1348),
    [sym_infix_expression] = STATE(1348),
    [sym_nil_coalescing_expression] = STATE(1348),
    [sym_check_expression] = STATE(1348),
    [sym_comparison_expression] = STATE(1348),
    [sym_equality_expression] = STATE(1348),
    [sym_conjunction_expression] = STATE(1348),
    [sym_disjunction_expression] = STATE(1348),
    [sym_bitwise_operation] = STATE(1348),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1348),
    [sym_await_expression] = STATE(1348),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1348),
    [sym_call_expression] = STATE(1348),
    [sym__primary_expression] = STATE(1348),
    [sym_tuple_expression] = STATE(1348),
    [sym_array_literal] = STATE(1348),
    [sym_dictionary_literal] = STATE(1348),
    [sym__special_literal] = STATE(1348),
    [sym__playground_literal] = STATE(1348),
    [sym_lambda_literal] = STATE(1348),
    [sym_self_expression] = STATE(1348),
    [sym_super_expression] = STATE(1348),
    [sym_if_statement] = STATE(1348),
    [sym_switch_statement] = STATE(1348),
    [sym_key_path_expression] = STATE(1348),
    [sym_key_path_string_expression] = STATE(1348),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1348),
    [sym__equality_operator] = STATE(1348),
    [sym__comparison_operator] = STATE(1348),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1348),
    [sym__multiplicative_operator] = STATE(1348),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1348),
    [sym_value_parameter_pack] = STATE(1348),
    [sym_value_pack_expansion] = STATE(1348),
    [sym__referenceable_operator] = STATE(1348),
    [sym__equal_sign] = STATE(1348),
    [sym__eq_eq] = STATE(1348),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(2343),
    [sym_real_literal] = ACTIONS(2345),
    [sym_integer_literal] = ACTIONS(2343),
    [sym_hex_literal] = ACTIONS(2345),
    [sym_oct_literal] = ACTIONS(2345),
    [sym_bin_literal] = ACTIONS(2345),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(2343),
    [anon_sym_GT] = ACTIONS(2343),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(2343),
    [anon_sym_POUNDfileID] = ACTIONS(2345),
    [anon_sym_POUNDfilePath] = ACTIONS(2345),
    [anon_sym_POUNDline] = ACTIONS(2345),
    [anon_sym_POUNDcolumn] = ACTIONS(2345),
    [anon_sym_POUNDfunction] = ACTIONS(2345),
    [anon_sym_POUNDdsohandle] = ACTIONS(2345),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(2345),
    [anon_sym_DASH_EQ] = ACTIONS(2345),
    [anon_sym_STAR_EQ] = ACTIONS(2345),
    [anon_sym_SLASH_EQ] = ACTIONS(2345),
    [anon_sym_PERCENT_EQ] = ACTIONS(2345),
    [anon_sym_BANG_EQ] = ACTIONS(2343),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2345),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2345),
    [anon_sym_LT_EQ] = ACTIONS(2345),
    [anon_sym_GT_EQ] = ACTIONS(2345),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(2343),
    [anon_sym_SLASH] = ACTIONS(2343),
    [anon_sym_PERCENT] = ACTIONS(2343),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(2345),
    [anon_sym_CARET] = ACTIONS(2343),
    [anon_sym_LT_LT] = ACTIONS(2345),
    [anon_sym_GT_GT] = ACTIONS(2345),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(2345),
    [sym__eq_eq_custom] = ACTIONS(2345),
    [sym__plus_then_ws] = ACTIONS(2345),
    [sym__minus_then_ws] = ACTIONS(2345),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [583] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1452),
    [sym_boolean_literal] = STATE(1452),
    [sym__string_literal] = STATE(1452),
    [sym_line_string_literal] = STATE(1452),
    [sym_multi_line_string_literal] = STATE(1452),
    [sym_raw_string_literal] = STATE(1452),
    [sym_regex_literal] = STATE(1452),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1452),
    [sym__unary_expression] = STATE(1452),
    [sym_postfix_expression] = STATE(1452),
    [sym_constructor_expression] = STATE(1452),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1452),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1452),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1452),
    [sym_prefix_expression] = STATE(1452),
    [sym_as_expression] = STATE(1452),
    [sym_selector_expression] = STATE(1452),
    [sym__binary_expression] = STATE(1452),
    [sym_multiplicative_expression] = STATE(1452),
    [sym_additive_expression] = STATE(1452),
    [sym_range_expression] = STATE(1452),
    [sym_infix_expression] = STATE(1452),
    [sym_nil_coalescing_expression] = STATE(1452),
    [sym_check_expression] = STATE(1452),
    [sym_comparison_expression] = STATE(1452),
    [sym_equality_expression] = STATE(1452),
    [sym_conjunction_expression] = STATE(1452),
    [sym_disjunction_expression] = STATE(1452),
    [sym_bitwise_operation] = STATE(1452),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1452),
    [sym_await_expression] = STATE(1452),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1452),
    [sym_call_expression] = STATE(1452),
    [sym__primary_expression] = STATE(1452),
    [sym_tuple_expression] = STATE(1452),
    [sym_array_literal] = STATE(1452),
    [sym_dictionary_literal] = STATE(1452),
    [sym__special_literal] = STATE(1452),
    [sym__playground_literal] = STATE(1452),
    [sym_lambda_literal] = STATE(1452),
    [sym_self_expression] = STATE(1452),
    [sym_super_expression] = STATE(1452),
    [sym_if_statement] = STATE(1452),
    [sym_switch_statement] = STATE(1452),
    [sym_key_path_expression] = STATE(1452),
    [sym_key_path_string_expression] = STATE(1452),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1452),
    [sym__equality_operator] = STATE(1452),
    [sym__comparison_operator] = STATE(1452),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1452),
    [sym__multiplicative_operator] = STATE(1452),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1452),
    [sym_value_parameter_pack] = STATE(1452),
    [sym_value_pack_expansion] = STATE(1452),
    [sym__referenceable_operator] = STATE(1452),
    [sym__equal_sign] = STATE(1452),
    [sym__eq_eq] = STATE(1452),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1223),
    [sym_real_literal] = ACTIONS(1225),
    [sym_integer_literal] = ACTIONS(1223),
    [sym_hex_literal] = ACTIONS(1225),
    [sym_oct_literal] = ACTIONS(1225),
    [sym_bin_literal] = ACTIONS(1225),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1223),
    [anon_sym_GT] = ACTIONS(1223),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1223),
    [anon_sym_POUNDfileID] = ACTIONS(1225),
    [anon_sym_POUNDfilePath] = ACTIONS(1225),
    [anon_sym_POUNDline] = ACTIONS(1225),
    [anon_sym_POUNDcolumn] = ACTIONS(1225),
    [anon_sym_POUNDfunction] = ACTIONS(1225),
    [anon_sym_POUNDdsohandle] = ACTIONS(1225),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1225),
    [anon_sym_DASH_EQ] = ACTIONS(1225),
    [anon_sym_STAR_EQ] = ACTIONS(1225),
    [anon_sym_SLASH_EQ] = ACTIONS(1225),
    [anon_sym_PERCENT_EQ] = ACTIONS(1225),
    [anon_sym_BANG_EQ] = ACTIONS(1223),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1225),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1225),
    [anon_sym_LT_EQ] = ACTIONS(1225),
    [anon_sym_GT_EQ] = ACTIONS(1225),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1223),
    [anon_sym_SLASH] = ACTIONS(1223),
    [anon_sym_PERCENT] = ACTIONS(1223),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1225),
    [anon_sym_CARET] = ACTIONS(1223),
    [anon_sym_LT_LT] = ACTIONS(1225),
    [anon_sym_GT_GT] = ACTIONS(1225),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1225),
    [sym__eq_eq_custom] = ACTIONS(1225),
    [sym__plus_then_ws] = ACTIONS(1225),
    [sym__minus_then_ws] = ACTIONS(1225),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [584] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1424),
    [sym_boolean_literal] = STATE(1424),
    [sym__string_literal] = STATE(1424),
    [sym_line_string_literal] = STATE(1424),
    [sym_multi_line_string_literal] = STATE(1424),
    [sym_raw_string_literal] = STATE(1424),
    [sym_regex_literal] = STATE(1424),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1424),
    [sym__unary_expression] = STATE(1424),
    [sym_postfix_expression] = STATE(1424),
    [sym_constructor_expression] = STATE(1424),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1424),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1424),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1424),
    [sym_prefix_expression] = STATE(1424),
    [sym_as_expression] = STATE(1424),
    [sym_selector_expression] = STATE(1424),
    [sym__binary_expression] = STATE(1424),
    [sym_multiplicative_expression] = STATE(1424),
    [sym_additive_expression] = STATE(1424),
    [sym_range_expression] = STATE(1424),
    [sym_infix_expression] = STATE(1424),
    [sym_nil_coalescing_expression] = STATE(1424),
    [sym_check_expression] = STATE(1424),
    [sym_comparison_expression] = STATE(1424),
    [sym_equality_expression] = STATE(1424),
    [sym_conjunction_expression] = STATE(1424),
    [sym_disjunction_expression] = STATE(1424),
    [sym_bitwise_operation] = STATE(1424),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1424),
    [sym_await_expression] = STATE(1424),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1424),
    [sym_call_expression] = STATE(1424),
    [sym__primary_expression] = STATE(1424),
    [sym_tuple_expression] = STATE(1424),
    [sym_array_literal] = STATE(1424),
    [sym_dictionary_literal] = STATE(1424),
    [sym__special_literal] = STATE(1424),
    [sym__playground_literal] = STATE(1424),
    [sym_lambda_literal] = STATE(1424),
    [sym_self_expression] = STATE(1424),
    [sym_super_expression] = STATE(1424),
    [sym_if_statement] = STATE(1424),
    [sym_switch_statement] = STATE(1424),
    [sym_key_path_expression] = STATE(1424),
    [sym_key_path_string_expression] = STATE(1424),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1424),
    [sym__equality_operator] = STATE(1424),
    [sym__comparison_operator] = STATE(1424),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1424),
    [sym__multiplicative_operator] = STATE(1424),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1424),
    [sym_value_parameter_pack] = STATE(1424),
    [sym_value_pack_expansion] = STATE(1424),
    [sym__referenceable_operator] = STATE(1424),
    [sym__equal_sign] = STATE(1424),
    [sym__eq_eq] = STATE(1424),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(2347),
    [sym_real_literal] = ACTIONS(2349),
    [sym_integer_literal] = ACTIONS(2347),
    [sym_hex_literal] = ACTIONS(2349),
    [sym_oct_literal] = ACTIONS(2349),
    [sym_bin_literal] = ACTIONS(2349),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(2347),
    [anon_sym_GT] = ACTIONS(2347),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(2347),
    [anon_sym_POUNDfileID] = ACTIONS(2349),
    [anon_sym_POUNDfilePath] = ACTIONS(2349),
    [anon_sym_POUNDline] = ACTIONS(2349),
    [anon_sym_POUNDcolumn] = ACTIONS(2349),
    [anon_sym_POUNDfunction] = ACTIONS(2349),
    [anon_sym_POUNDdsohandle] = ACTIONS(2349),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(2349),
    [anon_sym_DASH_EQ] = ACTIONS(2349),
    [anon_sym_STAR_EQ] = ACTIONS(2349),
    [anon_sym_SLASH_EQ] = ACTIONS(2349),
    [anon_sym_PERCENT_EQ] = ACTIONS(2349),
    [anon_sym_BANG_EQ] = ACTIONS(2347),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2349),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2349),
    [anon_sym_LT_EQ] = ACTIONS(2349),
    [anon_sym_GT_EQ] = ACTIONS(2349),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(2347),
    [anon_sym_SLASH] = ACTIONS(2347),
    [anon_sym_PERCENT] = ACTIONS(2347),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(2349),
    [anon_sym_CARET] = ACTIONS(2347),
    [anon_sym_LT_LT] = ACTIONS(2349),
    [anon_sym_GT_GT] = ACTIONS(2349),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(2349),
    [sym__eq_eq_custom] = ACTIONS(2349),
    [sym__plus_then_ws] = ACTIONS(2349),
    [sym__minus_then_ws] = ACTIONS(2349),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [585] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1426),
    [sym_boolean_literal] = STATE(1426),
    [sym__string_literal] = STATE(1426),
    [sym_line_string_literal] = STATE(1426),
    [sym_multi_line_string_literal] = STATE(1426),
    [sym_raw_string_literal] = STATE(1426),
    [sym_regex_literal] = STATE(1426),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1426),
    [sym__unary_expression] = STATE(1426),
    [sym_postfix_expression] = STATE(1426),
    [sym_constructor_expression] = STATE(1426),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1426),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1426),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1426),
    [sym_prefix_expression] = STATE(1426),
    [sym_as_expression] = STATE(1426),
    [sym_selector_expression] = STATE(1426),
    [sym__binary_expression] = STATE(1426),
    [sym_multiplicative_expression] = STATE(1426),
    [sym_additive_expression] = STATE(1426),
    [sym_range_expression] = STATE(1426),
    [sym_infix_expression] = STATE(1426),
    [sym_nil_coalescing_expression] = STATE(1426),
    [sym_check_expression] = STATE(1426),
    [sym_comparison_expression] = STATE(1426),
    [sym_equality_expression] = STATE(1426),
    [sym_conjunction_expression] = STATE(1426),
    [sym_disjunction_expression] = STATE(1426),
    [sym_bitwise_operation] = STATE(1426),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1426),
    [sym_await_expression] = STATE(1426),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1426),
    [sym_call_expression] = STATE(1426),
    [sym__primary_expression] = STATE(1426),
    [sym_tuple_expression] = STATE(1426),
    [sym_array_literal] = STATE(1426),
    [sym_dictionary_literal] = STATE(1426),
    [sym__special_literal] = STATE(1426),
    [sym__playground_literal] = STATE(1426),
    [sym_lambda_literal] = STATE(1426),
    [sym_self_expression] = STATE(1426),
    [sym_super_expression] = STATE(1426),
    [sym_if_statement] = STATE(1426),
    [sym_switch_statement] = STATE(1426),
    [sym_key_path_expression] = STATE(1426),
    [sym_key_path_string_expression] = STATE(1426),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1426),
    [sym__equality_operator] = STATE(1426),
    [sym__comparison_operator] = STATE(1426),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1426),
    [sym__multiplicative_operator] = STATE(1426),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1426),
    [sym_value_parameter_pack] = STATE(1426),
    [sym_value_pack_expansion] = STATE(1426),
    [sym__referenceable_operator] = STATE(1426),
    [sym__equal_sign] = STATE(1426),
    [sym__eq_eq] = STATE(1426),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(2351),
    [sym_real_literal] = ACTIONS(2353),
    [sym_integer_literal] = ACTIONS(2351),
    [sym_hex_literal] = ACTIONS(2353),
    [sym_oct_literal] = ACTIONS(2353),
    [sym_bin_literal] = ACTIONS(2353),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(2351),
    [anon_sym_GT] = ACTIONS(2351),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(2351),
    [anon_sym_POUNDfileID] = ACTIONS(2353),
    [anon_sym_POUNDfilePath] = ACTIONS(2353),
    [anon_sym_POUNDline] = ACTIONS(2353),
    [anon_sym_POUNDcolumn] = ACTIONS(2353),
    [anon_sym_POUNDfunction] = ACTIONS(2353),
    [anon_sym_POUNDdsohandle] = ACTIONS(2353),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(2353),
    [anon_sym_DASH_EQ] = ACTIONS(2353),
    [anon_sym_STAR_EQ] = ACTIONS(2353),
    [anon_sym_SLASH_EQ] = ACTIONS(2353),
    [anon_sym_PERCENT_EQ] = ACTIONS(2353),
    [anon_sym_BANG_EQ] = ACTIONS(2351),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2353),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2353),
    [anon_sym_LT_EQ] = ACTIONS(2353),
    [anon_sym_GT_EQ] = ACTIONS(2353),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(2351),
    [anon_sym_SLASH] = ACTIONS(2351),
    [anon_sym_PERCENT] = ACTIONS(2351),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(2353),
    [anon_sym_CARET] = ACTIONS(2351),
    [anon_sym_LT_LT] = ACTIONS(2353),
    [anon_sym_GT_GT] = ACTIONS(2353),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(2353),
    [sym__eq_eq_custom] = ACTIONS(2353),
    [sym__plus_then_ws] = ACTIONS(2353),
    [sym__minus_then_ws] = ACTIONS(2353),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [586] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1333),
    [sym_boolean_literal] = STATE(1333),
    [sym__string_literal] = STATE(1333),
    [sym_line_string_literal] = STATE(1333),
    [sym_multi_line_string_literal] = STATE(1333),
    [sym_raw_string_literal] = STATE(1333),
    [sym_regex_literal] = STATE(1333),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1333),
    [sym__unary_expression] = STATE(1333),
    [sym_postfix_expression] = STATE(1333),
    [sym_constructor_expression] = STATE(1333),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1333),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1333),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1333),
    [sym_prefix_expression] = STATE(1333),
    [sym_as_expression] = STATE(1333),
    [sym_selector_expression] = STATE(1333),
    [sym__binary_expression] = STATE(1333),
    [sym_multiplicative_expression] = STATE(1333),
    [sym_additive_expression] = STATE(1333),
    [sym_range_expression] = STATE(1333),
    [sym_infix_expression] = STATE(1333),
    [sym_nil_coalescing_expression] = STATE(1333),
    [sym_check_expression] = STATE(1333),
    [sym_comparison_expression] = STATE(1333),
    [sym_equality_expression] = STATE(1333),
    [sym_conjunction_expression] = STATE(1333),
    [sym_disjunction_expression] = STATE(1333),
    [sym_bitwise_operation] = STATE(1333),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1333),
    [sym_await_expression] = STATE(1333),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1333),
    [sym_call_expression] = STATE(1333),
    [sym__primary_expression] = STATE(1333),
    [sym_tuple_expression] = STATE(1333),
    [sym_array_literal] = STATE(1333),
    [sym_dictionary_literal] = STATE(1333),
    [sym__special_literal] = STATE(1333),
    [sym__playground_literal] = STATE(1333),
    [sym_lambda_literal] = STATE(1333),
    [sym_self_expression] = STATE(1333),
    [sym_super_expression] = STATE(1333),
    [sym_if_statement] = STATE(1333),
    [sym_switch_statement] = STATE(1333),
    [sym_key_path_expression] = STATE(1333),
    [sym_key_path_string_expression] = STATE(1333),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1333),
    [sym__equality_operator] = STATE(1333),
    [sym__comparison_operator] = STATE(1333),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1333),
    [sym__multiplicative_operator] = STATE(1333),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1333),
    [sym_value_parameter_pack] = STATE(1333),
    [sym_value_pack_expansion] = STATE(1333),
    [sym__referenceable_operator] = STATE(1333),
    [sym__equal_sign] = STATE(1333),
    [sym__eq_eq] = STATE(1333),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(851),
    [sym_real_literal] = ACTIONS(853),
    [sym_integer_literal] = ACTIONS(851),
    [sym_hex_literal] = ACTIONS(853),
    [sym_oct_literal] = ACTIONS(853),
    [sym_bin_literal] = ACTIONS(853),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(851),
    [anon_sym_GT] = ACTIONS(851),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(851),
    [anon_sym_POUNDfileID] = ACTIONS(853),
    [anon_sym_POUNDfilePath] = ACTIONS(853),
    [anon_sym_POUNDline] = ACTIONS(853),
    [anon_sym_POUNDcolumn] = ACTIONS(853),
    [anon_sym_POUNDfunction] = ACTIONS(853),
    [anon_sym_POUNDdsohandle] = ACTIONS(853),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(853),
    [anon_sym_DASH_EQ] = ACTIONS(853),
    [anon_sym_STAR_EQ] = ACTIONS(853),
    [anon_sym_SLASH_EQ] = ACTIONS(853),
    [anon_sym_PERCENT_EQ] = ACTIONS(853),
    [anon_sym_BANG_EQ] = ACTIONS(851),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(853),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(853),
    [anon_sym_LT_EQ] = ACTIONS(853),
    [anon_sym_GT_EQ] = ACTIONS(853),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(851),
    [anon_sym_SLASH] = ACTIONS(851),
    [anon_sym_PERCENT] = ACTIONS(851),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(853),
    [anon_sym_CARET] = ACTIONS(851),
    [anon_sym_LT_LT] = ACTIONS(853),
    [anon_sym_GT_GT] = ACTIONS(853),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(853),
    [sym__eq_eq_custom] = ACTIONS(853),
    [sym__plus_then_ws] = ACTIONS(853),
    [sym__minus_then_ws] = ACTIONS(853),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [587] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1451),
    [sym_boolean_literal] = STATE(1451),
    [sym__string_literal] = STATE(1451),
    [sym_line_string_literal] = STATE(1451),
    [sym_multi_line_string_literal] = STATE(1451),
    [sym_raw_string_literal] = STATE(1451),
    [sym_regex_literal] = STATE(1451),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1451),
    [sym__unary_expression] = STATE(1451),
    [sym_postfix_expression] = STATE(1451),
    [sym_constructor_expression] = STATE(1451),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1451),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1451),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1451),
    [sym_prefix_expression] = STATE(1451),
    [sym_as_expression] = STATE(1451),
    [sym_selector_expression] = STATE(1451),
    [sym__binary_expression] = STATE(1451),
    [sym_multiplicative_expression] = STATE(1451),
    [sym_additive_expression] = STATE(1451),
    [sym_range_expression] = STATE(1451),
    [sym_infix_expression] = STATE(1451),
    [sym_nil_coalescing_expression] = STATE(1451),
    [sym_check_expression] = STATE(1451),
    [sym_comparison_expression] = STATE(1451),
    [sym_equality_expression] = STATE(1451),
    [sym_conjunction_expression] = STATE(1451),
    [sym_disjunction_expression] = STATE(1451),
    [sym_bitwise_operation] = STATE(1451),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1451),
    [sym_await_expression] = STATE(1451),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1451),
    [sym_call_expression] = STATE(1451),
    [sym__primary_expression] = STATE(1451),
    [sym_tuple_expression] = STATE(1451),
    [sym_array_literal] = STATE(1451),
    [sym_dictionary_literal] = STATE(1451),
    [sym__special_literal] = STATE(1451),
    [sym__playground_literal] = STATE(1451),
    [sym_lambda_literal] = STATE(1451),
    [sym_self_expression] = STATE(1451),
    [sym_super_expression] = STATE(1451),
    [sym_if_statement] = STATE(1451),
    [sym_switch_statement] = STATE(1451),
    [sym_key_path_expression] = STATE(1451),
    [sym_key_path_string_expression] = STATE(1451),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1451),
    [sym__equality_operator] = STATE(1451),
    [sym__comparison_operator] = STATE(1451),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1451),
    [sym__multiplicative_operator] = STATE(1451),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1451),
    [sym_value_parameter_pack] = STATE(1451),
    [sym_value_pack_expansion] = STATE(1451),
    [sym__referenceable_operator] = STATE(1451),
    [sym__equal_sign] = STATE(1451),
    [sym__eq_eq] = STATE(1451),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(1123),
    [sym_real_literal] = ACTIONS(1125),
    [sym_integer_literal] = ACTIONS(1123),
    [sym_hex_literal] = ACTIONS(1125),
    [sym_oct_literal] = ACTIONS(1125),
    [sym_bin_literal] = ACTIONS(1125),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(1123),
    [anon_sym_GT] = ACTIONS(1123),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(1123),
    [anon_sym_POUNDfileID] = ACTIONS(1125),
    [anon_sym_POUNDfilePath] = ACTIONS(1125),
    [anon_sym_POUNDline] = ACTIONS(1125),
    [anon_sym_POUNDcolumn] = ACTIONS(1125),
    [anon_sym_POUNDfunction] = ACTIONS(1125),
    [anon_sym_POUNDdsohandle] = ACTIONS(1125),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(1125),
    [anon_sym_DASH_EQ] = ACTIONS(1125),
    [anon_sym_STAR_EQ] = ACTIONS(1125),
    [anon_sym_SLASH_EQ] = ACTIONS(1125),
    [anon_sym_PERCENT_EQ] = ACTIONS(1125),
    [anon_sym_BANG_EQ] = ACTIONS(1123),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1125),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1125),
    [anon_sym_LT_EQ] = ACTIONS(1125),
    [anon_sym_GT_EQ] = ACTIONS(1125),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(1123),
    [anon_sym_SLASH] = ACTIONS(1123),
    [anon_sym_PERCENT] = ACTIONS(1123),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(1125),
    [anon_sym_CARET] = ACTIONS(1123),
    [anon_sym_LT_LT] = ACTIONS(1125),
    [anon_sym_GT_GT] = ACTIONS(1125),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(1125),
    [sym__eq_eq_custom] = ACTIONS(1125),
    [sym__plus_then_ws] = ACTIONS(1125),
    [sym__minus_then_ws] = ACTIONS(1125),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [588] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1373),
    [sym_boolean_literal] = STATE(1373),
    [sym__string_literal] = STATE(1373),
    [sym_line_string_literal] = STATE(1373),
    [sym_multi_line_string_literal] = STATE(1373),
    [sym_raw_string_literal] = STATE(1373),
    [sym_regex_literal] = STATE(1373),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1373),
    [sym__unary_expression] = STATE(1373),
    [sym_postfix_expression] = STATE(1373),
    [sym_constructor_expression] = STATE(1373),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1373),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1373),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1373),
    [sym_prefix_expression] = STATE(1373),
    [sym_as_expression] = STATE(1373),
    [sym_selector_expression] = STATE(1373),
    [sym__binary_expression] = STATE(1373),
    [sym_multiplicative_expression] = STATE(1373),
    [sym_additive_expression] = STATE(1373),
    [sym_range_expression] = STATE(1373),
    [sym_infix_expression] = STATE(1373),
    [sym_nil_coalescing_expression] = STATE(1373),
    [sym_check_expression] = STATE(1373),
    [sym_comparison_expression] = STATE(1373),
    [sym_equality_expression] = STATE(1373),
    [sym_conjunction_expression] = STATE(1373),
    [sym_disjunction_expression] = STATE(1373),
    [sym_bitwise_operation] = STATE(1373),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1373),
    [sym_await_expression] = STATE(1373),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1373),
    [sym_call_expression] = STATE(1373),
    [sym__primary_expression] = STATE(1373),
    [sym_tuple_expression] = STATE(1373),
    [sym_array_literal] = STATE(1373),
    [sym_dictionary_literal] = STATE(1373),
    [sym__special_literal] = STATE(1373),
    [sym__playground_literal] = STATE(1373),
    [sym_lambda_literal] = STATE(1373),
    [sym_self_expression] = STATE(1373),
    [sym_super_expression] = STATE(1373),
    [sym_if_statement] = STATE(1373),
    [sym_switch_statement] = STATE(1373),
    [sym_key_path_expression] = STATE(1373),
    [sym_key_path_string_expression] = STATE(1373),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1373),
    [sym__equality_operator] = STATE(1373),
    [sym__comparison_operator] = STATE(1373),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1373),
    [sym__multiplicative_operator] = STATE(1373),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1373),
    [sym_value_parameter_pack] = STATE(1373),
    [sym_value_pack_expansion] = STATE(1373),
    [sym__referenceable_operator] = STATE(1373),
    [sym__equal_sign] = STATE(1373),
    [sym__eq_eq] = STATE(1373),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(2355),
    [sym_real_literal] = ACTIONS(2357),
    [sym_integer_literal] = ACTIONS(2355),
    [sym_hex_literal] = ACTIONS(2357),
    [sym_oct_literal] = ACTIONS(2357),
    [sym_bin_literal] = ACTIONS(2357),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(2355),
    [anon_sym_GT] = ACTIONS(2355),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(2355),
    [anon_sym_POUNDfileID] = ACTIONS(2357),
    [anon_sym_POUNDfilePath] = ACTIONS(2357),
    [anon_sym_POUNDline] = ACTIONS(2357),
    [anon_sym_POUNDcolumn] = ACTIONS(2357),
    [anon_sym_POUNDfunction] = ACTIONS(2357),
    [anon_sym_POUNDdsohandle] = ACTIONS(2357),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(2357),
    [anon_sym_DASH_EQ] = ACTIONS(2357),
    [anon_sym_STAR_EQ] = ACTIONS(2357),
    [anon_sym_SLASH_EQ] = ACTIONS(2357),
    [anon_sym_PERCENT_EQ] = ACTIONS(2357),
    [anon_sym_BANG_EQ] = ACTIONS(2355),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2357),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2357),
    [anon_sym_LT_EQ] = ACTIONS(2357),
    [anon_sym_GT_EQ] = ACTIONS(2357),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(2355),
    [anon_sym_SLASH] = ACTIONS(2355),
    [anon_sym_PERCENT] = ACTIONS(2355),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(2357),
    [anon_sym_CARET] = ACTIONS(2355),
    [anon_sym_LT_LT] = ACTIONS(2357),
    [anon_sym_GT_GT] = ACTIONS(2357),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(2357),
    [sym__eq_eq_custom] = ACTIONS(2357),
    [sym__plus_then_ws] = ACTIONS(2357),
    [sym__minus_then_ws] = ACTIONS(2357),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [589] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1318),
    [sym_boolean_literal] = STATE(1318),
    [sym__string_literal] = STATE(1318),
    [sym_line_string_literal] = STATE(1318),
    [sym_multi_line_string_literal] = STATE(1318),
    [sym_raw_string_literal] = STATE(1318),
    [sym_regex_literal] = STATE(1318),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1318),
    [sym__unary_expression] = STATE(1318),
    [sym_postfix_expression] = STATE(1318),
    [sym_constructor_expression] = STATE(1318),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1318),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1318),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1318),
    [sym_prefix_expression] = STATE(1318),
    [sym_as_expression] = STATE(1318),
    [sym_selector_expression] = STATE(1318),
    [sym__binary_expression] = STATE(1318),
    [sym_multiplicative_expression] = STATE(1318),
    [sym_additive_expression] = STATE(1318),
    [sym_range_expression] = STATE(1318),
    [sym_infix_expression] = STATE(1318),
    [sym_nil_coalescing_expression] = STATE(1318),
    [sym_check_expression] = STATE(1318),
    [sym_comparison_expression] = STATE(1318),
    [sym_equality_expression] = STATE(1318),
    [sym_conjunction_expression] = STATE(1318),
    [sym_disjunction_expression] = STATE(1318),
    [sym_bitwise_operation] = STATE(1318),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1318),
    [sym_await_expression] = STATE(1318),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1318),
    [sym_call_expression] = STATE(1318),
    [sym__primary_expression] = STATE(1318),
    [sym_tuple_expression] = STATE(1318),
    [sym_array_literal] = STATE(1318),
    [sym_dictionary_literal] = STATE(1318),
    [sym__special_literal] = STATE(1318),
    [sym__playground_literal] = STATE(1318),
    [sym_lambda_literal] = STATE(1318),
    [sym_self_expression] = STATE(1318),
    [sym_super_expression] = STATE(1318),
    [sym_if_statement] = STATE(1318),
    [sym_switch_statement] = STATE(1318),
    [sym_key_path_expression] = STATE(1318),
    [sym_key_path_string_expression] = STATE(1318),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1318),
    [sym__equality_operator] = STATE(1318),
    [sym__comparison_operator] = STATE(1318),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1318),
    [sym__multiplicative_operator] = STATE(1318),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1318),
    [sym_value_parameter_pack] = STATE(1318),
    [sym_value_pack_expansion] = STATE(1318),
    [sym__referenceable_operator] = STATE(1318),
    [sym__equal_sign] = STATE(1318),
    [sym__eq_eq] = STATE(1318),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(2359),
    [sym_real_literal] = ACTIONS(2361),
    [sym_integer_literal] = ACTIONS(2359),
    [sym_hex_literal] = ACTIONS(2361),
    [sym_oct_literal] = ACTIONS(2361),
    [sym_bin_literal] = ACTIONS(2361),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(2359),
    [anon_sym_GT] = ACTIONS(2359),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(2359),
    [anon_sym_POUNDfileID] = ACTIONS(2361),
    [anon_sym_POUNDfilePath] = ACTIONS(2361),
    [anon_sym_POUNDline] = ACTIONS(2361),
    [anon_sym_POUNDcolumn] = ACTIONS(2361),
    [anon_sym_POUNDfunction] = ACTIONS(2361),
    [anon_sym_POUNDdsohandle] = ACTIONS(2361),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(2361),
    [anon_sym_DASH_EQ] = ACTIONS(2361),
    [anon_sym_STAR_EQ] = ACTIONS(2361),
    [anon_sym_SLASH_EQ] = ACTIONS(2361),
    [anon_sym_PERCENT_EQ] = ACTIONS(2361),
    [anon_sym_BANG_EQ] = ACTIONS(2359),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2361),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2361),
    [anon_sym_LT_EQ] = ACTIONS(2361),
    [anon_sym_GT_EQ] = ACTIONS(2361),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(2359),
    [anon_sym_SLASH] = ACTIONS(2359),
    [anon_sym_PERCENT] = ACTIONS(2359),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(2361),
    [anon_sym_CARET] = ACTIONS(2359),
    [anon_sym_LT_LT] = ACTIONS(2361),
    [anon_sym_GT_GT] = ACTIONS(2361),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(2361),
    [sym__eq_eq_custom] = ACTIONS(2361),
    [sym__plus_then_ws] = ACTIONS(2361),
    [sym__minus_then_ws] = ACTIONS(2361),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [590] = {
    [sym_simple_identifier] = STATE(2936),
    [sym__contextual_simple_identifier] = STATE(2558),
    [sym__basic_literal] = STATE(1388),
    [sym_boolean_literal] = STATE(1388),
    [sym__string_literal] = STATE(1388),
    [sym_line_string_literal] = STATE(1388),
    [sym_multi_line_string_literal] = STATE(1388),
    [sym_raw_string_literal] = STATE(1388),
    [sym_regex_literal] = STATE(1388),
    [sym__multiline_regex_literal] = STATE(3141),
    [sym_user_type] = STATE(5448),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5448),
    [sym_dictionary_type] = STATE(5448),
    [sym__expression] = STATE(1388),
    [sym__unary_expression] = STATE(1388),
    [sym_postfix_expression] = STATE(1388),
    [sym_constructor_expression] = STATE(1388),
    [sym__parenthesized_type] = STATE(6984),
    [sym_navigation_expression] = STATE(1388),
    [sym__navigable_type_expression] = STATE(6994),
    [sym_open_start_range_expression] = STATE(1388),
    [sym__range_operator] = STATE(488),
    [sym_open_end_range_expression] = STATE(1388),
    [sym_prefix_expression] = STATE(1388),
    [sym_as_expression] = STATE(1388),
    [sym_selector_expression] = STATE(1388),
    [sym__binary_expression] = STATE(1388),
    [sym_multiplicative_expression] = STATE(1388),
    [sym_additive_expression] = STATE(1388),
    [sym_range_expression] = STATE(1388),
    [sym_infix_expression] = STATE(1388),
    [sym_nil_coalescing_expression] = STATE(1388),
    [sym_check_expression] = STATE(1388),
    [sym_comparison_expression] = STATE(1388),
    [sym_equality_expression] = STATE(1388),
    [sym_conjunction_expression] = STATE(1388),
    [sym_disjunction_expression] = STATE(1388),
    [sym_bitwise_operation] = STATE(1388),
    [sym_custom_operator] = STATE(902),
    [sym_try_expression] = STATE(1388),
    [sym_await_expression] = STATE(1388),
    [sym__await_operator] = STATE(498),
    [sym_ternary_expression] = STATE(1388),
    [sym_call_expression] = STATE(1388),
    [sym__primary_expression] = STATE(1388),
    [sym_tuple_expression] = STATE(1388),
    [sym_array_literal] = STATE(1388),
    [sym_dictionary_literal] = STATE(1388),
    [sym__special_literal] = STATE(1388),
    [sym__playground_literal] = STATE(1388),
    [sym_lambda_literal] = STATE(1388),
    [sym_self_expression] = STATE(1388),
    [sym_super_expression] = STATE(1388),
    [sym_if_statement] = STATE(1388),
    [sym_switch_statement] = STATE(1388),
    [sym_key_path_expression] = STATE(1388),
    [sym_key_path_string_expression] = STATE(1388),
    [sym_try_operator] = STATE(501),
    [sym__assignment_and_operator] = STATE(1388),
    [sym__equality_operator] = STATE(1388),
    [sym__comparison_operator] = STATE(1388),
    [sym__three_dot_operator] = STATE(900),
    [sym__open_ended_range_operator] = STATE(488),
    [sym__additive_operator] = STATE(1388),
    [sym__multiplicative_operator] = STATE(1388),
    [sym__prefix_unary_operator] = STATE(505),
    [sym_directly_assignable_expression] = STATE(5447),
    [sym_assignment] = STATE(1388),
    [sym_value_parameter_pack] = STATE(1388),
    [sym_value_pack_expansion] = STATE(1388),
    [sym__referenceable_operator] = STATE(1388),
    [sym__equal_sign] = STATE(1388),
    [sym__eq_eq] = STATE(1388),
    [sym__dot] = STATE(505),
    [sym_bang] = STATE(902),
    [sym__parameter_ownership_modifier] = STATE(2558),
    [aux_sym_raw_string_literal_repeat1] = STATE(7003),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(1147),
    [aux_sym_simple_identifier_token2] = ACTIONS(1149),
    [aux_sym_simple_identifier_token3] = ACTIONS(1149),
    [aux_sym_simple_identifier_token4] = ACTIONS(1149),
    [anon_sym_actor] = ACTIONS(1147),
    [anon_sym_async] = ACTIONS(1147),
    [anon_sym_each] = ACTIONS(1153),
    [anon_sym_lazy] = ACTIONS(1147),
    [anon_sym_repeat] = ACTIONS(1155),
    [anon_sym_package] = ACTIONS(1147),
    [anon_sym_nil] = ACTIONS(2363),
    [sym_real_literal] = ACTIONS(2365),
    [sym_integer_literal] = ACTIONS(2363),
    [sym_hex_literal] = ACTIONS(2365),
    [sym_oct_literal] = ACTIONS(2365),
    [sym_bin_literal] = ACTIONS(2365),
    [anon_sym_true] = ACTIONS(1161),
    [anon_sym_false] = ACTIONS(1161),
    [anon_sym_DQUOTE] = ACTIONS(1163),
    [anon_sym_BSLASH] = ACTIONS(1165),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1167),
    [sym__extended_regex_literal] = ACTIONS(1169),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(1171),
    [sym__oneline_regex_literal] = ACTIONS(1173),
    [anon_sym_LPAREN] = ACTIONS(1175),
    [anon_sym_LBRACK] = ACTIONS(1177),
    [anon_sym_AMP] = ACTIONS(1179),
    [anon_sym_if] = ACTIONS(1181),
    [anon_sym_switch] = ACTIONS(1183),
    [anon_sym_POUNDselector] = ACTIONS(1185),
    [aux_sym_custom_operator_token1] = ACTIONS(1187),
    [anon_sym_LT] = ACTIONS(2363),
    [anon_sym_GT] = ACTIONS(2363),
    [anon_sym_await] = ACTIONS(1189),
    [anon_sym_POUNDfile] = ACTIONS(2363),
    [anon_sym_POUNDfileID] = ACTIONS(2365),
    [anon_sym_POUNDfilePath] = ACTIONS(2365),
    [anon_sym_POUNDline] = ACTIONS(2365),
    [anon_sym_POUNDcolumn] = ACTIONS(2365),
    [anon_sym_POUNDfunction] = ACTIONS(2365),
    [anon_sym_POUNDdsohandle] = ACTIONS(2365),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(1191),
    [anon_sym_POUNDfileLiteral] = ACTIONS(1191),
    [anon_sym_POUNDimageLiteral] = ACTIONS(1191),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_CARET_LBRACE] = ACTIONS(1193),
    [anon_sym_self] = ACTIONS(1195),
    [anon_sym_super] = ACTIONS(1197),
    [anon_sym_POUNDkeyPath] = ACTIONS(1201),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(2365),
    [anon_sym_DASH_EQ] = ACTIONS(2365),
    [anon_sym_STAR_EQ] = ACTIONS(2365),
    [anon_sym_SLASH_EQ] = ACTIONS(2365),
    [anon_sym_PERCENT_EQ] = ACTIONS(2365),
    [anon_sym_BANG_EQ] = ACTIONS(2363),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2365),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2365),
    [anon_sym_LT_EQ] = ACTIONS(2365),
    [anon_sym_GT_EQ] = ACTIONS(2365),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1203),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1205),
    [anon_sym_PLUS] = ACTIONS(1207),
    [anon_sym_DASH] = ACTIONS(1207),
    [anon_sym_STAR] = ACTIONS(2363),
    [anon_sym_SLASH] = ACTIONS(2363),
    [anon_sym_PERCENT] = ACTIONS(2363),
    [anon_sym_PLUS_PLUS] = ACTIONS(1179),
    [anon_sym_DASH_DASH] = ACTIONS(1179),
    [anon_sym_TILDE] = ACTIONS(1179),
    [anon_sym_PIPE] = ACTIONS(2365),
    [anon_sym_CARET] = ACTIONS(2363),
    [anon_sym_LT_LT] = ACTIONS(2365),
    [anon_sym_GT_GT] = ACTIONS(2365),
    [anon_sym_BANG2] = ACTIONS(1211),
    [anon_sym_borrowing] = ACTIONS(1147),
    [anon_sym_consuming] = ACTIONS(1147),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(1213),
    [sym__dot_custom] = ACTIONS(1215),
    [sym__eq_custom] = ACTIONS(2365),
    [sym__eq_eq_custom] = ACTIONS(2365),
    [sym__plus_then_ws] = ACTIONS(2365),
    [sym__minus_then_ws] = ACTIONS(2365),
    [sym__bang_custom] = ACTIONS(1217),
    [sym__custom_operator] = ACTIONS(1187),
  },
  [591] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1438),
    [sym_boolean_literal] = STATE(1438),
    [sym__string_literal] = STATE(1438),
    [sym_line_string_literal] = STATE(1438),
    [sym_multi_line_string_literal] = STATE(1438),
    [sym_raw_string_literal] = STATE(1438),
    [sym_regex_literal] = STATE(1438),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1438),
    [sym__unary_expression] = STATE(1438),
    [sym_postfix_expression] = STATE(1438),
    [sym_constructor_expression] = STATE(1438),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1438),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1438),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1438),
    [sym_prefix_expression] = STATE(1438),
    [sym_as_expression] = STATE(1438),
    [sym_selector_expression] = STATE(1438),
    [sym__binary_expression] = STATE(1438),
    [sym_multiplicative_expression] = STATE(1438),
    [sym_additive_expression] = STATE(1438),
    [sym_range_expression] = STATE(1438),
    [sym_infix_expression] = STATE(1438),
    [sym_nil_coalescing_expression] = STATE(1438),
    [sym_check_expression] = STATE(1438),
    [sym_comparison_expression] = STATE(1438),
    [sym_equality_expression] = STATE(1438),
    [sym_conjunction_expression] = STATE(1438),
    [sym_disjunction_expression] = STATE(1438),
    [sym_bitwise_operation] = STATE(1438),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1438),
    [sym_await_expression] = STATE(1438),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1438),
    [sym_call_expression] = STATE(1438),
    [sym__primary_expression] = STATE(1438),
    [sym_tuple_expression] = STATE(1438),
    [sym_array_literal] = STATE(1438),
    [sym_dictionary_literal] = STATE(1438),
    [sym__special_literal] = STATE(1438),
    [sym__playground_literal] = STATE(1438),
    [sym_lambda_literal] = STATE(1438),
    [sym_self_expression] = STATE(1438),
    [sym_super_expression] = STATE(1438),
    [sym_if_statement] = STATE(1438),
    [sym_switch_statement] = STATE(1438),
    [sym_key_path_expression] = STATE(1438),
    [sym_key_path_string_expression] = STATE(1438),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1438),
    [sym__equality_operator] = STATE(1438),
    [sym__comparison_operator] = STATE(1438),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1438),
    [sym__multiplicative_operator] = STATE(1438),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1438),
    [sym_value_parameter_pack] = STATE(1438),
    [sym_value_pack_expansion] = STATE(1438),
    [sym__referenceable_operator] = STATE(1438),
    [sym__equal_sign] = STATE(1438),
    [sym__eq_eq] = STATE(1438),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(2367),
    [sym_real_literal] = ACTIONS(2369),
    [sym_integer_literal] = ACTIONS(2367),
    [sym_hex_literal] = ACTIONS(2369),
    [sym_oct_literal] = ACTIONS(2369),
    [sym_bin_literal] = ACTIONS(2369),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(2367),
    [anon_sym_GT] = ACTIONS(2367),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(2367),
    [anon_sym_POUNDfileID] = ACTIONS(2369),
    [anon_sym_POUNDfilePath] = ACTIONS(2369),
    [anon_sym_POUNDline] = ACTIONS(2369),
    [anon_sym_POUNDcolumn] = ACTIONS(2369),
    [anon_sym_POUNDfunction] = ACTIONS(2369),
    [anon_sym_POUNDdsohandle] = ACTIONS(2369),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(2369),
    [anon_sym_DASH_EQ] = ACTIONS(2369),
    [anon_sym_STAR_EQ] = ACTIONS(2369),
    [anon_sym_SLASH_EQ] = ACTIONS(2369),
    [anon_sym_PERCENT_EQ] = ACTIONS(2369),
    [anon_sym_BANG_EQ] = ACTIONS(2367),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2369),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2369),
    [anon_sym_LT_EQ] = ACTIONS(2369),
    [anon_sym_GT_EQ] = ACTIONS(2369),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(2367),
    [anon_sym_SLASH] = ACTIONS(2367),
    [anon_sym_PERCENT] = ACTIONS(2367),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(2369),
    [anon_sym_CARET] = ACTIONS(2367),
    [anon_sym_LT_LT] = ACTIONS(2369),
    [anon_sym_GT_GT] = ACTIONS(2369),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(2369),
    [sym__eq_eq_custom] = ACTIONS(2369),
    [sym__plus_then_ws] = ACTIONS(2369),
    [sym__minus_then_ws] = ACTIONS(2369),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [592] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1339),
    [sym_boolean_literal] = STATE(1339),
    [sym__string_literal] = STATE(1339),
    [sym_line_string_literal] = STATE(1339),
    [sym_multi_line_string_literal] = STATE(1339),
    [sym_raw_string_literal] = STATE(1339),
    [sym_regex_literal] = STATE(1339),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1339),
    [sym__unary_expression] = STATE(1339),
    [sym_postfix_expression] = STATE(1339),
    [sym_constructor_expression] = STATE(1339),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1339),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1339),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1339),
    [sym_prefix_expression] = STATE(1339),
    [sym_as_expression] = STATE(1339),
    [sym_selector_expression] = STATE(1339),
    [sym__binary_expression] = STATE(1339),
    [sym_multiplicative_expression] = STATE(1339),
    [sym_additive_expression] = STATE(1339),
    [sym_range_expression] = STATE(1339),
    [sym_infix_expression] = STATE(1339),
    [sym_nil_coalescing_expression] = STATE(1339),
    [sym_check_expression] = STATE(1339),
    [sym_comparison_expression] = STATE(1339),
    [sym_equality_expression] = STATE(1339),
    [sym_conjunction_expression] = STATE(1339),
    [sym_disjunction_expression] = STATE(1339),
    [sym_bitwise_operation] = STATE(1339),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1339),
    [sym_await_expression] = STATE(1339),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1339),
    [sym_call_expression] = STATE(1339),
    [sym__primary_expression] = STATE(1339),
    [sym_tuple_expression] = STATE(1339),
    [sym_array_literal] = STATE(1339),
    [sym_dictionary_literal] = STATE(1339),
    [sym__special_literal] = STATE(1339),
    [sym__playground_literal] = STATE(1339),
    [sym_lambda_literal] = STATE(1339),
    [sym_self_expression] = STATE(1339),
    [sym_super_expression] = STATE(1339),
    [sym_if_statement] = STATE(1339),
    [sym_switch_statement] = STATE(1339),
    [sym_key_path_expression] = STATE(1339),
    [sym_key_path_string_expression] = STATE(1339),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1339),
    [sym__equality_operator] = STATE(1339),
    [sym__comparison_operator] = STATE(1339),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1339),
    [sym__multiplicative_operator] = STATE(1339),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1339),
    [sym_value_parameter_pack] = STATE(1339),
    [sym_value_pack_expansion] = STATE(1339),
    [sym__referenceable_operator] = STATE(1339),
    [sym__equal_sign] = STATE(1339),
    [sym__eq_eq] = STATE(1339),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(2371),
    [sym_real_literal] = ACTIONS(2373),
    [sym_integer_literal] = ACTIONS(2371),
    [sym_hex_literal] = ACTIONS(2373),
    [sym_oct_literal] = ACTIONS(2373),
    [sym_bin_literal] = ACTIONS(2373),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(2371),
    [anon_sym_GT] = ACTIONS(2371),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(2371),
    [anon_sym_POUNDfileID] = ACTIONS(2373),
    [anon_sym_POUNDfilePath] = ACTIONS(2373),
    [anon_sym_POUNDline] = ACTIONS(2373),
    [anon_sym_POUNDcolumn] = ACTIONS(2373),
    [anon_sym_POUNDfunction] = ACTIONS(2373),
    [anon_sym_POUNDdsohandle] = ACTIONS(2373),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(2373),
    [anon_sym_DASH_EQ] = ACTIONS(2373),
    [anon_sym_STAR_EQ] = ACTIONS(2373),
    [anon_sym_SLASH_EQ] = ACTIONS(2373),
    [anon_sym_PERCENT_EQ] = ACTIONS(2373),
    [anon_sym_BANG_EQ] = ACTIONS(2371),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2373),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2373),
    [anon_sym_LT_EQ] = ACTIONS(2373),
    [anon_sym_GT_EQ] = ACTIONS(2373),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(2371),
    [anon_sym_SLASH] = ACTIONS(2371),
    [anon_sym_PERCENT] = ACTIONS(2371),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(2373),
    [anon_sym_CARET] = ACTIONS(2371),
    [anon_sym_LT_LT] = ACTIONS(2373),
    [anon_sym_GT_GT] = ACTIONS(2373),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(2373),
    [sym__eq_eq_custom] = ACTIONS(2373),
    [sym__plus_then_ws] = ACTIONS(2373),
    [sym__minus_then_ws] = ACTIONS(2373),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [593] = {
    [sym_simple_identifier] = STATE(2498),
    [sym__contextual_simple_identifier] = STATE(2439),
    [sym__basic_literal] = STATE(1359),
    [sym_boolean_literal] = STATE(1359),
    [sym__string_literal] = STATE(1359),
    [sym_line_string_literal] = STATE(1359),
    [sym_multi_line_string_literal] = STATE(1359),
    [sym_raw_string_literal] = STATE(1359),
    [sym_regex_literal] = STATE(1359),
    [sym__multiline_regex_literal] = STATE(2683),
    [sym_user_type] = STATE(5473),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5473),
    [sym_dictionary_type] = STATE(5473),
    [sym__expression] = STATE(1359),
    [sym__unary_expression] = STATE(1359),
    [sym_postfix_expression] = STATE(1359),
    [sym_constructor_expression] = STATE(1359),
    [sym__parenthesized_type] = STATE(6860),
    [sym_navigation_expression] = STATE(1359),
    [sym__navigable_type_expression] = STATE(6859),
    [sym_open_start_range_expression] = STATE(1359),
    [sym__range_operator] = STATE(601),
    [sym_open_end_range_expression] = STATE(1359),
    [sym_prefix_expression] = STATE(1359),
    [sym_as_expression] = STATE(1359),
    [sym_selector_expression] = STATE(1359),
    [sym__binary_expression] = STATE(1359),
    [sym_multiplicative_expression] = STATE(1359),
    [sym_additive_expression] = STATE(1359),
    [sym_range_expression] = STATE(1359),
    [sym_infix_expression] = STATE(1359),
    [sym_nil_coalescing_expression] = STATE(1359),
    [sym_check_expression] = STATE(1359),
    [sym_comparison_expression] = STATE(1359),
    [sym_equality_expression] = STATE(1359),
    [sym_conjunction_expression] = STATE(1359),
    [sym_disjunction_expression] = STATE(1359),
    [sym_bitwise_operation] = STATE(1359),
    [sym_custom_operator] = STATE(885),
    [sym_try_expression] = STATE(1359),
    [sym_await_expression] = STATE(1359),
    [sym__await_operator] = STATE(603),
    [sym_ternary_expression] = STATE(1359),
    [sym_call_expression] = STATE(1359),
    [sym__primary_expression] = STATE(1359),
    [sym_tuple_expression] = STATE(1359),
    [sym_array_literal] = STATE(1359),
    [sym_dictionary_literal] = STATE(1359),
    [sym__special_literal] = STATE(1359),
    [sym__playground_literal] = STATE(1359),
    [sym_lambda_literal] = STATE(1359),
    [sym_self_expression] = STATE(1359),
    [sym_super_expression] = STATE(1359),
    [sym_if_statement] = STATE(1359),
    [sym_switch_statement] = STATE(1359),
    [sym_key_path_expression] = STATE(1359),
    [sym_key_path_string_expression] = STATE(1359),
    [sym_try_operator] = STATE(598),
    [sym__assignment_and_operator] = STATE(1359),
    [sym__equality_operator] = STATE(1359),
    [sym__comparison_operator] = STATE(1359),
    [sym__three_dot_operator] = STATE(877),
    [sym__open_ended_range_operator] = STATE(601),
    [sym__additive_operator] = STATE(1359),
    [sym__multiplicative_operator] = STATE(1359),
    [sym__prefix_unary_operator] = STATE(593),
    [sym_directly_assignable_expression] = STATE(5475),
    [sym_assignment] = STATE(1359),
    [sym_value_parameter_pack] = STATE(1359),
    [sym_value_pack_expansion] = STATE(1359),
    [sym__referenceable_operator] = STATE(1359),
    [sym__equal_sign] = STATE(1359),
    [sym__eq_eq] = STATE(1359),
    [sym__dot] = STATE(593),
    [sym_bang] = STATE(885),
    [sym__parameter_ownership_modifier] = STATE(2439),
    [aux_sym_raw_string_literal_repeat1] = STATE(6858),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(1309),
    [aux_sym_simple_identifier_token2] = ACTIONS(1311),
    [aux_sym_simple_identifier_token3] = ACTIONS(1311),
    [aux_sym_simple_identifier_token4] = ACTIONS(1311),
    [anon_sym_actor] = ACTIONS(1309),
    [anon_sym_async] = ACTIONS(2375),
    [anon_sym_each] = ACTIONS(1313),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_repeat] = ACTIONS(1315),
    [anon_sym_package] = ACTIONS(1309),
    [anon_sym_nil] = ACTIONS(2377),
    [sym_real_literal] = ACTIONS(2379),
    [sym_integer_literal] = ACTIONS(2377),
    [sym_hex_literal] = ACTIONS(2379),
    [sym_oct_literal] = ACTIONS(2379),
    [sym_bin_literal] = ACTIONS(2379),
    [anon_sym_true] = ACTIONS(1321),
    [anon_sym_false] = ACTIONS(1321),
    [anon_sym_DQUOTE] = ACTIONS(1323),
    [anon_sym_BSLASH] = ACTIONS(1325),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1327),
    [sym__extended_regex_literal] = ACTIONS(1329),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(1331),
    [sym__oneline_regex_literal] = ACTIONS(1333),
    [anon_sym_LPAREN] = ACTIONS(1335),
    [anon_sym_LBRACK] = ACTIONS(1337),
    [anon_sym_AMP] = ACTIONS(1339),
    [anon_sym_if] = ACTIONS(2381),
    [anon_sym_switch] = ACTIONS(2383),
    [anon_sym_POUNDselector] = ACTIONS(1345),
    [aux_sym_custom_operator_token1] = ACTIONS(1347),
    [anon_sym_LT] = ACTIONS(2377),
    [anon_sym_GT] = ACTIONS(2377),
    [anon_sym_await] = ACTIONS(1349),
    [anon_sym_POUNDfile] = ACTIONS(2377),
    [anon_sym_POUNDfileID] = ACTIONS(2379),
    [anon_sym_POUNDfilePath] = ACTIONS(2379),
    [anon_sym_POUNDline] = ACTIONS(2379),
    [anon_sym_POUNDcolumn] = ACTIONS(2379),
    [anon_sym_POUNDfunction] = ACTIONS(2379),
    [anon_sym_POUNDdsohandle] = ACTIONS(2379),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(1351),
    [anon_sym_POUNDfileLiteral] = ACTIONS(1351),
    [anon_sym_POUNDimageLiteral] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_CARET_LBRACE] = ACTIONS(1353),
    [anon_sym_self] = ACTIONS(1355),
    [anon_sym_super] = ACTIONS(1357),
    [anon_sym_POUNDkeyPath] = ACTIONS(1359),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(2379),
    [anon_sym_DASH_EQ] = ACTIONS(2379),
    [anon_sym_STAR_EQ] = ACTIONS(2379),
    [anon_sym_SLASH_EQ] = ACTIONS(2379),
    [anon_sym_PERCENT_EQ] = ACTIONS(2379),
    [anon_sym_BANG_EQ] = ACTIONS(2377),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2379),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2379),
    [anon_sym_LT_EQ] = ACTIONS(2379),
    [anon_sym_GT_EQ] = ACTIONS(2379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1361),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1363),
    [anon_sym_PLUS] = ACTIONS(1365),
    [anon_sym_DASH] = ACTIONS(1365),
    [anon_sym_STAR] = ACTIONS(2377),
    [anon_sym_SLASH] = ACTIONS(2377),
    [anon_sym_PERCENT] = ACTIONS(2377),
    [anon_sym_PLUS_PLUS] = ACTIONS(1339),
    [anon_sym_DASH_DASH] = ACTIONS(1339),
    [anon_sym_TILDE] = ACTIONS(1339),
    [anon_sym_PIPE] = ACTIONS(2379),
    [anon_sym_CARET] = ACTIONS(2377),
    [anon_sym_LT_LT] = ACTIONS(2379),
    [anon_sym_GT_GT] = ACTIONS(2379),
    [anon_sym_BANG2] = ACTIONS(1367),
    [anon_sym_borrowing] = ACTIONS(1309),
    [anon_sym_consuming] = ACTIONS(1309),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(1369),
    [sym__dot_custom] = ACTIONS(1371),
    [sym__eq_custom] = ACTIONS(2379),
    [sym__eq_eq_custom] = ACTIONS(2379),
    [sym__plus_then_ws] = ACTIONS(2379),
    [sym__minus_then_ws] = ACTIONS(2379),
    [sym__bang_custom] = ACTIONS(1373),
    [sym__custom_operator] = ACTIONS(1347),
  },
  [594] = {
    [sym_simple_identifier] = STATE(2936),
    [sym__contextual_simple_identifier] = STATE(2558),
    [sym__basic_literal] = STATE(1390),
    [sym_boolean_literal] = STATE(1390),
    [sym__string_literal] = STATE(1390),
    [sym_line_string_literal] = STATE(1390),
    [sym_multi_line_string_literal] = STATE(1390),
    [sym_raw_string_literal] = STATE(1390),
    [sym_regex_literal] = STATE(1390),
    [sym__multiline_regex_literal] = STATE(3141),
    [sym_user_type] = STATE(5448),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5448),
    [sym_dictionary_type] = STATE(5448),
    [sym__expression] = STATE(1390),
    [sym__unary_expression] = STATE(1390),
    [sym_postfix_expression] = STATE(1390),
    [sym_constructor_expression] = STATE(1390),
    [sym__parenthesized_type] = STATE(6984),
    [sym_navigation_expression] = STATE(1390),
    [sym__navigable_type_expression] = STATE(6994),
    [sym_open_start_range_expression] = STATE(1390),
    [sym__range_operator] = STATE(488),
    [sym_open_end_range_expression] = STATE(1390),
    [sym_prefix_expression] = STATE(1390),
    [sym_as_expression] = STATE(1390),
    [sym_selector_expression] = STATE(1390),
    [sym__binary_expression] = STATE(1390),
    [sym_multiplicative_expression] = STATE(1390),
    [sym_additive_expression] = STATE(1390),
    [sym_range_expression] = STATE(1390),
    [sym_infix_expression] = STATE(1390),
    [sym_nil_coalescing_expression] = STATE(1390),
    [sym_check_expression] = STATE(1390),
    [sym_comparison_expression] = STATE(1390),
    [sym_equality_expression] = STATE(1390),
    [sym_conjunction_expression] = STATE(1390),
    [sym_disjunction_expression] = STATE(1390),
    [sym_bitwise_operation] = STATE(1390),
    [sym_custom_operator] = STATE(902),
    [sym_try_expression] = STATE(1390),
    [sym_await_expression] = STATE(1390),
    [sym__await_operator] = STATE(498),
    [sym_ternary_expression] = STATE(1390),
    [sym_call_expression] = STATE(1390),
    [sym__primary_expression] = STATE(1390),
    [sym_tuple_expression] = STATE(1390),
    [sym_array_literal] = STATE(1390),
    [sym_dictionary_literal] = STATE(1390),
    [sym__special_literal] = STATE(1390),
    [sym__playground_literal] = STATE(1390),
    [sym_lambda_literal] = STATE(1390),
    [sym_self_expression] = STATE(1390),
    [sym_super_expression] = STATE(1390),
    [sym_if_statement] = STATE(1390),
    [sym_switch_statement] = STATE(1390),
    [sym_key_path_expression] = STATE(1390),
    [sym_key_path_string_expression] = STATE(1390),
    [sym_try_operator] = STATE(501),
    [sym__assignment_and_operator] = STATE(1390),
    [sym__equality_operator] = STATE(1390),
    [sym__comparison_operator] = STATE(1390),
    [sym__three_dot_operator] = STATE(900),
    [sym__open_ended_range_operator] = STATE(488),
    [sym__additive_operator] = STATE(1390),
    [sym__multiplicative_operator] = STATE(1390),
    [sym__prefix_unary_operator] = STATE(505),
    [sym_directly_assignable_expression] = STATE(5447),
    [sym_assignment] = STATE(1390),
    [sym_value_parameter_pack] = STATE(1390),
    [sym_value_pack_expansion] = STATE(1390),
    [sym__referenceable_operator] = STATE(1390),
    [sym__equal_sign] = STATE(1390),
    [sym__eq_eq] = STATE(1390),
    [sym__dot] = STATE(505),
    [sym_bang] = STATE(902),
    [sym__parameter_ownership_modifier] = STATE(2558),
    [aux_sym_raw_string_literal_repeat1] = STATE(7003),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(1147),
    [aux_sym_simple_identifier_token2] = ACTIONS(1149),
    [aux_sym_simple_identifier_token3] = ACTIONS(1149),
    [aux_sym_simple_identifier_token4] = ACTIONS(1149),
    [anon_sym_actor] = ACTIONS(1147),
    [anon_sym_async] = ACTIONS(1147),
    [anon_sym_each] = ACTIONS(1153),
    [anon_sym_lazy] = ACTIONS(1147),
    [anon_sym_repeat] = ACTIONS(1155),
    [anon_sym_package] = ACTIONS(1147),
    [anon_sym_nil] = ACTIONS(2385),
    [sym_real_literal] = ACTIONS(2387),
    [sym_integer_literal] = ACTIONS(2385),
    [sym_hex_literal] = ACTIONS(2387),
    [sym_oct_literal] = ACTIONS(2387),
    [sym_bin_literal] = ACTIONS(2387),
    [anon_sym_true] = ACTIONS(1161),
    [anon_sym_false] = ACTIONS(1161),
    [anon_sym_DQUOTE] = ACTIONS(1163),
    [anon_sym_BSLASH] = ACTIONS(1165),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1167),
    [sym__extended_regex_literal] = ACTIONS(1169),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(1171),
    [sym__oneline_regex_literal] = ACTIONS(1173),
    [anon_sym_LPAREN] = ACTIONS(1175),
    [anon_sym_LBRACK] = ACTIONS(1177),
    [anon_sym_AMP] = ACTIONS(1179),
    [anon_sym_if] = ACTIONS(1181),
    [anon_sym_switch] = ACTIONS(1183),
    [anon_sym_POUNDselector] = ACTIONS(1185),
    [aux_sym_custom_operator_token1] = ACTIONS(1187),
    [anon_sym_LT] = ACTIONS(2385),
    [anon_sym_GT] = ACTIONS(2385),
    [anon_sym_await] = ACTIONS(1189),
    [anon_sym_POUNDfile] = ACTIONS(2385),
    [anon_sym_POUNDfileID] = ACTIONS(2387),
    [anon_sym_POUNDfilePath] = ACTIONS(2387),
    [anon_sym_POUNDline] = ACTIONS(2387),
    [anon_sym_POUNDcolumn] = ACTIONS(2387),
    [anon_sym_POUNDfunction] = ACTIONS(2387),
    [anon_sym_POUNDdsohandle] = ACTIONS(2387),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(1191),
    [anon_sym_POUNDfileLiteral] = ACTIONS(1191),
    [anon_sym_POUNDimageLiteral] = ACTIONS(1191),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_CARET_LBRACE] = ACTIONS(1193),
    [anon_sym_self] = ACTIONS(1195),
    [anon_sym_super] = ACTIONS(1197),
    [anon_sym_POUNDkeyPath] = ACTIONS(1201),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(2387),
    [anon_sym_DASH_EQ] = ACTIONS(2387),
    [anon_sym_STAR_EQ] = ACTIONS(2387),
    [anon_sym_SLASH_EQ] = ACTIONS(2387),
    [anon_sym_PERCENT_EQ] = ACTIONS(2387),
    [anon_sym_BANG_EQ] = ACTIONS(2385),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2387),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2387),
    [anon_sym_LT_EQ] = ACTIONS(2387),
    [anon_sym_GT_EQ] = ACTIONS(2387),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1203),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1205),
    [anon_sym_PLUS] = ACTIONS(1207),
    [anon_sym_DASH] = ACTIONS(1207),
    [anon_sym_STAR] = ACTIONS(2385),
    [anon_sym_SLASH] = ACTIONS(2385),
    [anon_sym_PERCENT] = ACTIONS(2385),
    [anon_sym_PLUS_PLUS] = ACTIONS(1179),
    [anon_sym_DASH_DASH] = ACTIONS(1179),
    [anon_sym_TILDE] = ACTIONS(1179),
    [anon_sym_PIPE] = ACTIONS(2387),
    [anon_sym_CARET] = ACTIONS(2385),
    [anon_sym_LT_LT] = ACTIONS(2387),
    [anon_sym_GT_GT] = ACTIONS(2387),
    [anon_sym_BANG2] = ACTIONS(1211),
    [anon_sym_borrowing] = ACTIONS(1147),
    [anon_sym_consuming] = ACTIONS(1147),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(1213),
    [sym__dot_custom] = ACTIONS(1215),
    [sym__eq_custom] = ACTIONS(2387),
    [sym__eq_eq_custom] = ACTIONS(2387),
    [sym__plus_then_ws] = ACTIONS(2387),
    [sym__minus_then_ws] = ACTIONS(2387),
    [sym__bang_custom] = ACTIONS(1217),
    [sym__custom_operator] = ACTIONS(1187),
  },
  [595] = {
    [sym_simple_identifier] = STATE(2517),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1386),
    [sym_boolean_literal] = STATE(1386),
    [sym__string_literal] = STATE(1386),
    [sym_line_string_literal] = STATE(1386),
    [sym_multi_line_string_literal] = STATE(1386),
    [sym_raw_string_literal] = STATE(1386),
    [sym_regex_literal] = STATE(1386),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1386),
    [sym__unary_expression] = STATE(1386),
    [sym_postfix_expression] = STATE(1386),
    [sym_constructor_expression] = STATE(1386),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1386),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1386),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1386),
    [sym_prefix_expression] = STATE(1386),
    [sym_as_expression] = STATE(1386),
    [sym_selector_expression] = STATE(1386),
    [sym__binary_expression] = STATE(1386),
    [sym_multiplicative_expression] = STATE(1386),
    [sym_additive_expression] = STATE(1386),
    [sym_range_expression] = STATE(1386),
    [sym_infix_expression] = STATE(1386),
    [sym_nil_coalescing_expression] = STATE(1386),
    [sym_check_expression] = STATE(1386),
    [sym_comparison_expression] = STATE(1386),
    [sym_equality_expression] = STATE(1386),
    [sym_conjunction_expression] = STATE(1386),
    [sym_disjunction_expression] = STATE(1386),
    [sym_bitwise_operation] = STATE(1386),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1386),
    [sym_await_expression] = STATE(1386),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1386),
    [sym_call_expression] = STATE(1386),
    [sym__primary_expression] = STATE(1386),
    [sym_tuple_expression] = STATE(1386),
    [sym_array_literal] = STATE(1386),
    [sym_dictionary_literal] = STATE(1386),
    [sym__special_literal] = STATE(1386),
    [sym__playground_literal] = STATE(1386),
    [sym_lambda_literal] = STATE(1386),
    [sym_self_expression] = STATE(1386),
    [sym_super_expression] = STATE(1386),
    [sym_if_statement] = STATE(1386),
    [sym_switch_statement] = STATE(1386),
    [sym_key_path_expression] = STATE(1386),
    [sym_key_path_string_expression] = STATE(1386),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1386),
    [sym__equality_operator] = STATE(1386),
    [sym__comparison_operator] = STATE(1386),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1386),
    [sym__multiplicative_operator] = STATE(1386),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1386),
    [sym_value_parameter_pack] = STATE(1386),
    [sym_value_pack_expansion] = STATE(1386),
    [sym__referenceable_operator] = STATE(1386),
    [sym__equal_sign] = STATE(1386),
    [sym__eq_eq] = STATE(1386),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(2389),
    [sym_real_literal] = ACTIONS(2391),
    [sym_integer_literal] = ACTIONS(2389),
    [sym_hex_literal] = ACTIONS(2391),
    [sym_oct_literal] = ACTIONS(2391),
    [sym_bin_literal] = ACTIONS(2391),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(2389),
    [anon_sym_GT] = ACTIONS(2389),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(2389),
    [anon_sym_POUNDfileID] = ACTIONS(2391),
    [anon_sym_POUNDfilePath] = ACTIONS(2391),
    [anon_sym_POUNDline] = ACTIONS(2391),
    [anon_sym_POUNDcolumn] = ACTIONS(2391),
    [anon_sym_POUNDfunction] = ACTIONS(2391),
    [anon_sym_POUNDdsohandle] = ACTIONS(2391),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(2391),
    [anon_sym_DASH_EQ] = ACTIONS(2391),
    [anon_sym_STAR_EQ] = ACTIONS(2391),
    [anon_sym_SLASH_EQ] = ACTIONS(2391),
    [anon_sym_PERCENT_EQ] = ACTIONS(2391),
    [anon_sym_BANG_EQ] = ACTIONS(2389),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2391),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2391),
    [anon_sym_LT_EQ] = ACTIONS(2391),
    [anon_sym_GT_EQ] = ACTIONS(2391),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(2389),
    [anon_sym_SLASH] = ACTIONS(2389),
    [anon_sym_PERCENT] = ACTIONS(2389),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(2391),
    [anon_sym_CARET] = ACTIONS(2389),
    [anon_sym_LT_LT] = ACTIONS(2391),
    [anon_sym_GT_GT] = ACTIONS(2391),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(2391),
    [sym__eq_eq_custom] = ACTIONS(2391),
    [sym__plus_then_ws] = ACTIONS(2391),
    [sym__minus_then_ws] = ACTIONS(2391),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [596] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(638),
    [sym_boolean_literal] = STATE(638),
    [sym__string_literal] = STATE(638),
    [sym_line_string_literal] = STATE(638),
    [sym_multi_line_string_literal] = STATE(638),
    [sym_raw_string_literal] = STATE(638),
    [sym_regex_literal] = STATE(638),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5550),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5550),
    [sym_dictionary_type] = STATE(5550),
    [sym__expression] = STATE(638),
    [sym__unary_expression] = STATE(638),
    [sym_postfix_expression] = STATE(638),
    [sym_constructor_expression] = STATE(638),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(638),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(638),
    [sym__range_operator] = STATE(596),
    [sym_open_end_range_expression] = STATE(638),
    [sym_prefix_expression] = STATE(638),
    [sym_as_expression] = STATE(638),
    [sym_selector_expression] = STATE(638),
    [sym__binary_expression] = STATE(638),
    [sym_multiplicative_expression] = STATE(638),
    [sym_additive_expression] = STATE(638),
    [sym_range_expression] = STATE(638),
    [sym_infix_expression] = STATE(638),
    [sym_nil_coalescing_expression] = STATE(638),
    [sym_check_expression] = STATE(638),
    [sym_comparison_expression] = STATE(638),
    [sym_equality_expression] = STATE(638),
    [sym_conjunction_expression] = STATE(638),
    [sym_disjunction_expression] = STATE(638),
    [sym_bitwise_operation] = STATE(638),
    [sym_custom_operator] = STATE(609),
    [sym_try_expression] = STATE(638),
    [sym_await_expression] = STATE(638),
    [sym__await_operator] = STATE(599),
    [sym_ternary_expression] = STATE(638),
    [sym_call_expression] = STATE(638),
    [sym__primary_expression] = STATE(638),
    [sym_tuple_expression] = STATE(638),
    [sym_array_literal] = STATE(638),
    [sym_dictionary_literal] = STATE(638),
    [sym__special_literal] = STATE(638),
    [sym__playground_literal] = STATE(638),
    [sym_lambda_literal] = STATE(638),
    [sym_self_expression] = STATE(638),
    [sym_super_expression] = STATE(638),
    [sym_if_statement] = STATE(638),
    [sym_switch_statement] = STATE(638),
    [sym_key_path_expression] = STATE(638),
    [sym_key_path_string_expression] = STATE(638),
    [sym_try_operator] = STATE(453),
    [sym__assignment_and_operator] = STATE(638),
    [sym__equality_operator] = STATE(638),
    [sym__comparison_operator] = STATE(638),
    [sym__three_dot_operator] = STATE(604),
    [sym__open_ended_range_operator] = STATE(596),
    [sym__additive_operator] = STATE(638),
    [sym__multiplicative_operator] = STATE(638),
    [sym__prefix_unary_operator] = STATE(445),
    [sym_directly_assignable_expression] = STATE(5552),
    [sym_assignment] = STATE(638),
    [sym_value_parameter_pack] = STATE(638),
    [sym_value_pack_expansion] = STATE(638),
    [sym__referenceable_operator] = STATE(638),
    [sym__equal_sign] = STATE(638),
    [sym__eq_eq] = STATE(638),
    [sym__dot] = STATE(445),
    [sym_bang] = STATE(609),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(621),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(623),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(2393),
    [sym_real_literal] = ACTIONS(2395),
    [sym_integer_literal] = ACTIONS(2393),
    [sym_hex_literal] = ACTIONS(2395),
    [sym_oct_literal] = ACTIONS(2395),
    [sym_bin_literal] = ACTIONS(2395),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(629),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(639),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(641),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(643),
    [anon_sym_LT] = ACTIONS(2393),
    [anon_sym_GT] = ACTIONS(2393),
    [anon_sym_await] = ACTIONS(645),
    [anon_sym_POUNDfile] = ACTIONS(2393),
    [anon_sym_POUNDfileID] = ACTIONS(2395),
    [anon_sym_POUNDfilePath] = ACTIONS(2395),
    [anon_sym_POUNDline] = ACTIONS(2395),
    [anon_sym_POUNDcolumn] = ACTIONS(2395),
    [anon_sym_POUNDfunction] = ACTIONS(2395),
    [anon_sym_POUNDdsohandle] = ACTIONS(2395),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(2395),
    [anon_sym_DASH_EQ] = ACTIONS(2395),
    [anon_sym_STAR_EQ] = ACTIONS(2395),
    [anon_sym_SLASH_EQ] = ACTIONS(2395),
    [anon_sym_PERCENT_EQ] = ACTIONS(2395),
    [anon_sym_BANG_EQ] = ACTIONS(2393),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2395),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2395),
    [anon_sym_LT_EQ] = ACTIONS(2395),
    [anon_sym_GT_EQ] = ACTIONS(2395),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(649),
    [anon_sym_DOT_DOT_LT] = ACTIONS(651),
    [anon_sym_PLUS] = ACTIONS(653),
    [anon_sym_DASH] = ACTIONS(653),
    [anon_sym_STAR] = ACTIONS(2393),
    [anon_sym_SLASH] = ACTIONS(2393),
    [anon_sym_PERCENT] = ACTIONS(2393),
    [anon_sym_PLUS_PLUS] = ACTIONS(639),
    [anon_sym_DASH_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(639),
    [anon_sym_PIPE] = ACTIONS(2395),
    [anon_sym_CARET] = ACTIONS(2393),
    [anon_sym_LT_LT] = ACTIONS(2395),
    [anon_sym_GT_GT] = ACTIONS(2395),
    [anon_sym_BANG2] = ACTIONS(655),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(657),
    [sym__eq_custom] = ACTIONS(2395),
    [sym__eq_eq_custom] = ACTIONS(2395),
    [sym__plus_then_ws] = ACTIONS(2395),
    [sym__minus_then_ws] = ACTIONS(2395),
    [sym__bang_custom] = ACTIONS(659),
    [sym__custom_operator] = ACTIONS(643),
  },
  [597] = {
    [sym_simple_identifier] = STATE(2072),
    [sym__contextual_simple_identifier] = STATE(2016),
    [sym__basic_literal] = STATE(1259),
    [sym_boolean_literal] = STATE(1259),
    [sym__string_literal] = STATE(1259),
    [sym_line_string_literal] = STATE(1259),
    [sym_multi_line_string_literal] = STATE(1259),
    [sym_raw_string_literal] = STATE(1259),
    [sym_regex_literal] = STATE(1259),
    [sym__multiline_regex_literal] = STATE(2164),
    [sym_user_type] = STATE(5497),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5497),
    [sym_dictionary_type] = STATE(5497),
    [sym__expression] = STATE(1259),
    [sym__unary_expression] = STATE(1259),
    [sym_postfix_expression] = STATE(1259),
    [sym_constructor_expression] = STATE(1259),
    [sym__parenthesized_type] = STATE(6725),
    [sym_navigation_expression] = STATE(1259),
    [sym__navigable_type_expression] = STATE(6724),
    [sym_open_start_range_expression] = STATE(1259),
    [sym__range_operator] = STATE(467),
    [sym_open_end_range_expression] = STATE(1259),
    [sym_prefix_expression] = STATE(1259),
    [sym_as_expression] = STATE(1259),
    [sym_selector_expression] = STATE(1259),
    [sym__binary_expression] = STATE(1259),
    [sym_multiplicative_expression] = STATE(1259),
    [sym_additive_expression] = STATE(1259),
    [sym_range_expression] = STATE(1259),
    [sym_infix_expression] = STATE(1259),
    [sym_nil_coalescing_expression] = STATE(1259),
    [sym_check_expression] = STATE(1259),
    [sym_comparison_expression] = STATE(1259),
    [sym_equality_expression] = STATE(1259),
    [sym_conjunction_expression] = STATE(1259),
    [sym_disjunction_expression] = STATE(1259),
    [sym_bitwise_operation] = STATE(1259),
    [sym_custom_operator] = STATE(835),
    [sym_try_expression] = STATE(1259),
    [sym_await_expression] = STATE(1259),
    [sym__await_operator] = STATE(466),
    [sym_ternary_expression] = STATE(1259),
    [sym_call_expression] = STATE(1259),
    [sym__primary_expression] = STATE(1259),
    [sym_tuple_expression] = STATE(1259),
    [sym_array_literal] = STATE(1259),
    [sym_dictionary_literal] = STATE(1259),
    [sym__special_literal] = STATE(1259),
    [sym__playground_literal] = STATE(1259),
    [sym_lambda_literal] = STATE(1259),
    [sym_self_expression] = STATE(1259),
    [sym_super_expression] = STATE(1259),
    [sym_if_statement] = STATE(1259),
    [sym_switch_statement] = STATE(1259),
    [sym_key_path_expression] = STATE(1259),
    [sym_key_path_string_expression] = STATE(1259),
    [sym_try_operator] = STATE(455),
    [sym__assignment_and_operator] = STATE(1259),
    [sym__equality_operator] = STATE(1259),
    [sym__comparison_operator] = STATE(1259),
    [sym__three_dot_operator] = STATE(837),
    [sym__open_ended_range_operator] = STATE(467),
    [sym__additive_operator] = STATE(1259),
    [sym__multiplicative_operator] = STATE(1259),
    [sym__prefix_unary_operator] = STATE(468),
    [sym_directly_assignable_expression] = STATE(5498),
    [sym_assignment] = STATE(1259),
    [sym_value_parameter_pack] = STATE(1259),
    [sym_value_pack_expansion] = STATE(1259),
    [sym__referenceable_operator] = STATE(1259),
    [sym__equal_sign] = STATE(1259),
    [sym__eq_eq] = STATE(1259),
    [sym__dot] = STATE(468),
    [sym_bang] = STATE(835),
    [sym__parameter_ownership_modifier] = STATE(2016),
    [aux_sym_raw_string_literal_repeat1] = STATE(6553),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(971),
    [aux_sym_simple_identifier_token2] = ACTIONS(973),
    [aux_sym_simple_identifier_token3] = ACTIONS(973),
    [aux_sym_simple_identifier_token4] = ACTIONS(973),
    [anon_sym_actor] = ACTIONS(971),
    [anon_sym_async] = ACTIONS(971),
    [anon_sym_each] = ACTIONS(975),
    [anon_sym_lazy] = ACTIONS(971),
    [anon_sym_repeat] = ACTIONS(977),
    [anon_sym_package] = ACTIONS(971),
    [anon_sym_nil] = ACTIONS(2397),
    [sym_real_literal] = ACTIONS(2399),
    [sym_integer_literal] = ACTIONS(2397),
    [sym_hex_literal] = ACTIONS(2399),
    [sym_oct_literal] = ACTIONS(2399),
    [sym_bin_literal] = ACTIONS(2399),
    [anon_sym_true] = ACTIONS(983),
    [anon_sym_false] = ACTIONS(983),
    [anon_sym_DQUOTE] = ACTIONS(985),
    [anon_sym_BSLASH] = ACTIONS(987),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(989),
    [sym__extended_regex_literal] = ACTIONS(991),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(993),
    [sym__oneline_regex_literal] = ACTIONS(995),
    [anon_sym_LPAREN] = ACTIONS(997),
    [anon_sym_LBRACK] = ACTIONS(999),
    [anon_sym_AMP] = ACTIONS(1001),
    [anon_sym_if] = ACTIONS(1003),
    [anon_sym_switch] = ACTIONS(1005),
    [anon_sym_POUNDselector] = ACTIONS(1007),
    [aux_sym_custom_operator_token1] = ACTIONS(1009),
    [anon_sym_LT] = ACTIONS(2397),
    [anon_sym_GT] = ACTIONS(2397),
    [anon_sym_await] = ACTIONS(1011),
    [anon_sym_POUNDfile] = ACTIONS(2397),
    [anon_sym_POUNDfileID] = ACTIONS(2399),
    [anon_sym_POUNDfilePath] = ACTIONS(2399),
    [anon_sym_POUNDline] = ACTIONS(2399),
    [anon_sym_POUNDcolumn] = ACTIONS(2399),
    [anon_sym_POUNDfunction] = ACTIONS(2399),
    [anon_sym_POUNDdsohandle] = ACTIONS(2399),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(1013),
    [anon_sym_POUNDfileLiteral] = ACTIONS(1013),
    [anon_sym_POUNDimageLiteral] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(1015),
    [anon_sym_CARET_LBRACE] = ACTIONS(1015),
    [anon_sym_self] = ACTIONS(1017),
    [anon_sym_super] = ACTIONS(1019),
    [anon_sym_POUNDkeyPath] = ACTIONS(1021),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(2399),
    [anon_sym_DASH_EQ] = ACTIONS(2399),
    [anon_sym_STAR_EQ] = ACTIONS(2399),
    [anon_sym_SLASH_EQ] = ACTIONS(2399),
    [anon_sym_PERCENT_EQ] = ACTIONS(2399),
    [anon_sym_BANG_EQ] = ACTIONS(2397),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2399),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2399),
    [anon_sym_LT_EQ] = ACTIONS(2399),
    [anon_sym_GT_EQ] = ACTIONS(2399),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1023),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1025),
    [anon_sym_PLUS] = ACTIONS(1027),
    [anon_sym_DASH] = ACTIONS(1027),
    [anon_sym_STAR] = ACTIONS(2397),
    [anon_sym_SLASH] = ACTIONS(2397),
    [anon_sym_PERCENT] = ACTIONS(2397),
    [anon_sym_PLUS_PLUS] = ACTIONS(1001),
    [anon_sym_DASH_DASH] = ACTIONS(1001),
    [anon_sym_TILDE] = ACTIONS(1001),
    [anon_sym_PIPE] = ACTIONS(2399),
    [anon_sym_CARET] = ACTIONS(2397),
    [anon_sym_LT_LT] = ACTIONS(2399),
    [anon_sym_GT_GT] = ACTIONS(2399),
    [anon_sym_BANG2] = ACTIONS(1029),
    [anon_sym_borrowing] = ACTIONS(971),
    [anon_sym_consuming] = ACTIONS(971),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(1031),
    [sym__dot_custom] = ACTIONS(1033),
    [sym__eq_custom] = ACTIONS(2399),
    [sym__eq_eq_custom] = ACTIONS(2399),
    [sym__plus_then_ws] = ACTIONS(2399),
    [sym__minus_then_ws] = ACTIONS(2399),
    [sym__bang_custom] = ACTIONS(1035),
    [sym__custom_operator] = ACTIONS(1009),
  },
  [598] = {
    [sym_simple_identifier] = STATE(2498),
    [sym__contextual_simple_identifier] = STATE(2439),
    [sym__basic_literal] = STATE(1365),
    [sym_boolean_literal] = STATE(1365),
    [sym__string_literal] = STATE(1365),
    [sym_line_string_literal] = STATE(1365),
    [sym_multi_line_string_literal] = STATE(1365),
    [sym_raw_string_literal] = STATE(1365),
    [sym_regex_literal] = STATE(1365),
    [sym__multiline_regex_literal] = STATE(2683),
    [sym_user_type] = STATE(5473),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5473),
    [sym_dictionary_type] = STATE(5473),
    [sym__expression] = STATE(1365),
    [sym__unary_expression] = STATE(1365),
    [sym_postfix_expression] = STATE(1365),
    [sym_constructor_expression] = STATE(1365),
    [sym__parenthesized_type] = STATE(6860),
    [sym_navigation_expression] = STATE(1365),
    [sym__navigable_type_expression] = STATE(6859),
    [sym_open_start_range_expression] = STATE(1365),
    [sym__range_operator] = STATE(601),
    [sym_open_end_range_expression] = STATE(1365),
    [sym_prefix_expression] = STATE(1365),
    [sym_as_expression] = STATE(1365),
    [sym_selector_expression] = STATE(1365),
    [sym__binary_expression] = STATE(2924),
    [sym_multiplicative_expression] = STATE(2924),
    [sym_additive_expression] = STATE(2924),
    [sym_range_expression] = STATE(2924),
    [sym_infix_expression] = STATE(2924),
    [sym_nil_coalescing_expression] = STATE(2924),
    [sym_check_expression] = STATE(2924),
    [sym_comparison_expression] = STATE(2924),
    [sym_equality_expression] = STATE(2924),
    [sym_conjunction_expression] = STATE(2924),
    [sym_disjunction_expression] = STATE(2924),
    [sym_bitwise_operation] = STATE(2924),
    [sym_custom_operator] = STATE(885),
    [sym_try_expression] = STATE(1365),
    [sym_await_expression] = STATE(1365),
    [sym__await_operator] = STATE(603),
    [sym_ternary_expression] = STATE(2928),
    [sym_call_expression] = STATE(2931),
    [sym__primary_expression] = STATE(1365),
    [sym_tuple_expression] = STATE(1365),
    [sym_array_literal] = STATE(1365),
    [sym_dictionary_literal] = STATE(1365),
    [sym__special_literal] = STATE(1365),
    [sym__playground_literal] = STATE(1365),
    [sym_lambda_literal] = STATE(1365),
    [sym_self_expression] = STATE(1365),
    [sym_super_expression] = STATE(1365),
    [sym_if_statement] = STATE(1365),
    [sym_switch_statement] = STATE(1365),
    [sym_key_path_expression] = STATE(1365),
    [sym_key_path_string_expression] = STATE(1365),
    [sym_try_operator] = STATE(598),
    [sym__assignment_and_operator] = STATE(1365),
    [sym__equality_operator] = STATE(1365),
    [sym__comparison_operator] = STATE(1365),
    [sym__three_dot_operator] = STATE(877),
    [sym__open_ended_range_operator] = STATE(601),
    [sym__additive_operator] = STATE(1365),
    [sym__multiplicative_operator] = STATE(1365),
    [sym__prefix_unary_operator] = STATE(593),
    [sym_directly_assignable_expression] = STATE(5475),
    [sym_assignment] = STATE(1365),
    [sym_value_parameter_pack] = STATE(1365),
    [sym_value_pack_expansion] = STATE(1365),
    [sym__referenceable_operator] = STATE(1365),
    [sym__equal_sign] = STATE(1365),
    [sym__eq_eq] = STATE(1365),
    [sym__dot] = STATE(593),
    [sym_bang] = STATE(885),
    [sym__parameter_ownership_modifier] = STATE(2439),
    [aux_sym_raw_string_literal_repeat1] = STATE(6858),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(1309),
    [aux_sym_simple_identifier_token2] = ACTIONS(1311),
    [aux_sym_simple_identifier_token3] = ACTIONS(1311),
    [aux_sym_simple_identifier_token4] = ACTIONS(1311),
    [anon_sym_actor] = ACTIONS(1309),
    [anon_sym_async] = ACTIONS(1309),
    [anon_sym_each] = ACTIONS(1313),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_repeat] = ACTIONS(1315),
    [anon_sym_package] = ACTIONS(1309),
    [anon_sym_nil] = ACTIONS(2401),
    [sym_real_literal] = ACTIONS(2403),
    [sym_integer_literal] = ACTIONS(2401),
    [sym_hex_literal] = ACTIONS(2403),
    [sym_oct_literal] = ACTIONS(2403),
    [sym_bin_literal] = ACTIONS(2403),
    [anon_sym_true] = ACTIONS(1321),
    [anon_sym_false] = ACTIONS(1321),
    [anon_sym_DQUOTE] = ACTIONS(1323),
    [anon_sym_BSLASH] = ACTIONS(1325),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1327),
    [sym__extended_regex_literal] = ACTIONS(1329),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(1331),
    [sym__oneline_regex_literal] = ACTIONS(1333),
    [anon_sym_LPAREN] = ACTIONS(1335),
    [anon_sym_LBRACK] = ACTIONS(1337),
    [anon_sym_AMP] = ACTIONS(1339),
    [anon_sym_if] = ACTIONS(1341),
    [anon_sym_switch] = ACTIONS(1343),
    [anon_sym_POUNDselector] = ACTIONS(1345),
    [aux_sym_custom_operator_token1] = ACTIONS(1347),
    [anon_sym_LT] = ACTIONS(2401),
    [anon_sym_GT] = ACTIONS(2401),
    [anon_sym_await] = ACTIONS(1349),
    [anon_sym_POUNDfile] = ACTIONS(2401),
    [anon_sym_POUNDfileID] = ACTIONS(2403),
    [anon_sym_POUNDfilePath] = ACTIONS(2403),
    [anon_sym_POUNDline] = ACTIONS(2403),
    [anon_sym_POUNDcolumn] = ACTIONS(2403),
    [anon_sym_POUNDfunction] = ACTIONS(2403),
    [anon_sym_POUNDdsohandle] = ACTIONS(2403),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(1351),
    [anon_sym_POUNDfileLiteral] = ACTIONS(1351),
    [anon_sym_POUNDimageLiteral] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_CARET_LBRACE] = ACTIONS(1353),
    [anon_sym_self] = ACTIONS(1355),
    [anon_sym_super] = ACTIONS(1357),
    [anon_sym_POUNDkeyPath] = ACTIONS(1359),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(2403),
    [anon_sym_DASH_EQ] = ACTIONS(2403),
    [anon_sym_STAR_EQ] = ACTIONS(2403),
    [anon_sym_SLASH_EQ] = ACTIONS(2403),
    [anon_sym_PERCENT_EQ] = ACTIONS(2403),
    [anon_sym_BANG_EQ] = ACTIONS(2401),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2403),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2403),
    [anon_sym_LT_EQ] = ACTIONS(2403),
    [anon_sym_GT_EQ] = ACTIONS(2403),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1361),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1363),
    [anon_sym_PLUS] = ACTIONS(1365),
    [anon_sym_DASH] = ACTIONS(1365),
    [anon_sym_STAR] = ACTIONS(2401),
    [anon_sym_SLASH] = ACTIONS(2401),
    [anon_sym_PERCENT] = ACTIONS(2401),
    [anon_sym_PLUS_PLUS] = ACTIONS(1339),
    [anon_sym_DASH_DASH] = ACTIONS(1339),
    [anon_sym_TILDE] = ACTIONS(1339),
    [anon_sym_PIPE] = ACTIONS(2403),
    [anon_sym_CARET] = ACTIONS(2401),
    [anon_sym_LT_LT] = ACTIONS(2403),
    [anon_sym_GT_GT] = ACTIONS(2403),
    [anon_sym_BANG2] = ACTIONS(1367),
    [anon_sym_borrowing] = ACTIONS(1309),
    [anon_sym_consuming] = ACTIONS(1309),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(1369),
    [sym__dot_custom] = ACTIONS(1371),
    [sym__eq_custom] = ACTIONS(2403),
    [sym__eq_eq_custom] = ACTIONS(2403),
    [sym__plus_then_ws] = ACTIONS(2403),
    [sym__minus_then_ws] = ACTIONS(2403),
    [sym__bang_custom] = ACTIONS(1373),
    [sym__custom_operator] = ACTIONS(1347),
  },
  [599] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(630),
    [sym_boolean_literal] = STATE(630),
    [sym__string_literal] = STATE(630),
    [sym_line_string_literal] = STATE(630),
    [sym_multi_line_string_literal] = STATE(630),
    [sym_raw_string_literal] = STATE(630),
    [sym_regex_literal] = STATE(630),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5550),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5550),
    [sym_dictionary_type] = STATE(5550),
    [sym__expression] = STATE(630),
    [sym__unary_expression] = STATE(630),
    [sym_postfix_expression] = STATE(630),
    [sym_constructor_expression] = STATE(630),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(630),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(630),
    [sym__range_operator] = STATE(596),
    [sym_open_end_range_expression] = STATE(630),
    [sym_prefix_expression] = STATE(630),
    [sym_as_expression] = STATE(630),
    [sym_selector_expression] = STATE(630),
    [sym__binary_expression] = STATE(630),
    [sym_multiplicative_expression] = STATE(630),
    [sym_additive_expression] = STATE(630),
    [sym_range_expression] = STATE(630),
    [sym_infix_expression] = STATE(630),
    [sym_nil_coalescing_expression] = STATE(630),
    [sym_check_expression] = STATE(630),
    [sym_comparison_expression] = STATE(630),
    [sym_equality_expression] = STATE(630),
    [sym_conjunction_expression] = STATE(630),
    [sym_disjunction_expression] = STATE(630),
    [sym_bitwise_operation] = STATE(630),
    [sym_custom_operator] = STATE(609),
    [sym_try_expression] = STATE(630),
    [sym_await_expression] = STATE(630),
    [sym__await_operator] = STATE(599),
    [sym_ternary_expression] = STATE(801),
    [sym_call_expression] = STATE(796),
    [sym__primary_expression] = STATE(630),
    [sym_tuple_expression] = STATE(630),
    [sym_array_literal] = STATE(630),
    [sym_dictionary_literal] = STATE(630),
    [sym__special_literal] = STATE(630),
    [sym__playground_literal] = STATE(630),
    [sym_lambda_literal] = STATE(630),
    [sym_self_expression] = STATE(630),
    [sym_super_expression] = STATE(630),
    [sym_if_statement] = STATE(630),
    [sym_switch_statement] = STATE(630),
    [sym_key_path_expression] = STATE(630),
    [sym_key_path_string_expression] = STATE(630),
    [sym_try_operator] = STATE(453),
    [sym__assignment_and_operator] = STATE(630),
    [sym__equality_operator] = STATE(630),
    [sym__comparison_operator] = STATE(630),
    [sym__three_dot_operator] = STATE(604),
    [sym__open_ended_range_operator] = STATE(596),
    [sym__additive_operator] = STATE(630),
    [sym__multiplicative_operator] = STATE(630),
    [sym__prefix_unary_operator] = STATE(445),
    [sym_directly_assignable_expression] = STATE(5552),
    [sym_assignment] = STATE(630),
    [sym_value_parameter_pack] = STATE(630),
    [sym_value_pack_expansion] = STATE(630),
    [sym__referenceable_operator] = STATE(630),
    [sym__equal_sign] = STATE(630),
    [sym__eq_eq] = STATE(630),
    [sym__dot] = STATE(445),
    [sym_bang] = STATE(609),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(621),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(623),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(2405),
    [sym_real_literal] = ACTIONS(2407),
    [sym_integer_literal] = ACTIONS(2405),
    [sym_hex_literal] = ACTIONS(2407),
    [sym_oct_literal] = ACTIONS(2407),
    [sym_bin_literal] = ACTIONS(2407),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(629),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(639),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(641),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(643),
    [anon_sym_LT] = ACTIONS(2405),
    [anon_sym_GT] = ACTIONS(2405),
    [anon_sym_await] = ACTIONS(645),
    [anon_sym_POUNDfile] = ACTIONS(2405),
    [anon_sym_POUNDfileID] = ACTIONS(2407),
    [anon_sym_POUNDfilePath] = ACTIONS(2407),
    [anon_sym_POUNDline] = ACTIONS(2407),
    [anon_sym_POUNDcolumn] = ACTIONS(2407),
    [anon_sym_POUNDfunction] = ACTIONS(2407),
    [anon_sym_POUNDdsohandle] = ACTIONS(2407),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(2407),
    [anon_sym_DASH_EQ] = ACTIONS(2407),
    [anon_sym_STAR_EQ] = ACTIONS(2407),
    [anon_sym_SLASH_EQ] = ACTIONS(2407),
    [anon_sym_PERCENT_EQ] = ACTIONS(2407),
    [anon_sym_BANG_EQ] = ACTIONS(2405),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2407),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2407),
    [anon_sym_LT_EQ] = ACTIONS(2407),
    [anon_sym_GT_EQ] = ACTIONS(2407),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(649),
    [anon_sym_DOT_DOT_LT] = ACTIONS(651),
    [anon_sym_PLUS] = ACTIONS(653),
    [anon_sym_DASH] = ACTIONS(653),
    [anon_sym_STAR] = ACTIONS(2405),
    [anon_sym_SLASH] = ACTIONS(2405),
    [anon_sym_PERCENT] = ACTIONS(2405),
    [anon_sym_PLUS_PLUS] = ACTIONS(639),
    [anon_sym_DASH_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(639),
    [anon_sym_PIPE] = ACTIONS(2407),
    [anon_sym_CARET] = ACTIONS(2405),
    [anon_sym_LT_LT] = ACTIONS(2407),
    [anon_sym_GT_GT] = ACTIONS(2407),
    [anon_sym_BANG2] = ACTIONS(655),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(657),
    [sym__eq_custom] = ACTIONS(2407),
    [sym__eq_eq_custom] = ACTIONS(2407),
    [sym__plus_then_ws] = ACTIONS(2407),
    [sym__minus_then_ws] = ACTIONS(2407),
    [sym__bang_custom] = ACTIONS(659),
    [sym__custom_operator] = ACTIONS(643),
  },
  [600] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1301),
    [sym_boolean_literal] = STATE(1301),
    [sym__string_literal] = STATE(1301),
    [sym_line_string_literal] = STATE(1301),
    [sym_multi_line_string_literal] = STATE(1301),
    [sym_raw_string_literal] = STATE(1301),
    [sym_regex_literal] = STATE(1301),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1301),
    [sym__unary_expression] = STATE(1301),
    [sym_postfix_expression] = STATE(1301),
    [sym_constructor_expression] = STATE(1301),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1301),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1301),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1301),
    [sym_prefix_expression] = STATE(1301),
    [sym_as_expression] = STATE(1301),
    [sym_selector_expression] = STATE(1301),
    [sym__binary_expression] = STATE(1301),
    [sym_multiplicative_expression] = STATE(1301),
    [sym_additive_expression] = STATE(1301),
    [sym_range_expression] = STATE(1301),
    [sym_infix_expression] = STATE(1301),
    [sym_nil_coalescing_expression] = STATE(1301),
    [sym_check_expression] = STATE(1301),
    [sym_comparison_expression] = STATE(1301),
    [sym_equality_expression] = STATE(1301),
    [sym_conjunction_expression] = STATE(1301),
    [sym_disjunction_expression] = STATE(1301),
    [sym_bitwise_operation] = STATE(1301),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1301),
    [sym_await_expression] = STATE(1301),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1301),
    [sym_call_expression] = STATE(1301),
    [sym__primary_expression] = STATE(1301),
    [sym_tuple_expression] = STATE(1301),
    [sym_array_literal] = STATE(1301),
    [sym_dictionary_literal] = STATE(1301),
    [sym__special_literal] = STATE(1301),
    [sym__playground_literal] = STATE(1301),
    [sym_lambda_literal] = STATE(1301),
    [sym_self_expression] = STATE(1301),
    [sym_super_expression] = STATE(1301),
    [sym_if_statement] = STATE(1301),
    [sym_switch_statement] = STATE(1301),
    [sym_key_path_expression] = STATE(1301),
    [sym_key_path_string_expression] = STATE(1301),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1301),
    [sym__equality_operator] = STATE(1301),
    [sym__comparison_operator] = STATE(1301),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1301),
    [sym__multiplicative_operator] = STATE(1301),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1301),
    [sym_value_parameter_pack] = STATE(1301),
    [sym_value_pack_expansion] = STATE(1301),
    [sym__referenceable_operator] = STATE(1301),
    [sym__equal_sign] = STATE(1301),
    [sym__eq_eq] = STATE(1301),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(2409),
    [sym_real_literal] = ACTIONS(2411),
    [sym_integer_literal] = ACTIONS(2409),
    [sym_hex_literal] = ACTIONS(2411),
    [sym_oct_literal] = ACTIONS(2411),
    [sym_bin_literal] = ACTIONS(2411),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(2409),
    [anon_sym_GT] = ACTIONS(2409),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(2409),
    [anon_sym_POUNDfileID] = ACTIONS(2411),
    [anon_sym_POUNDfilePath] = ACTIONS(2411),
    [anon_sym_POUNDline] = ACTIONS(2411),
    [anon_sym_POUNDcolumn] = ACTIONS(2411),
    [anon_sym_POUNDfunction] = ACTIONS(2411),
    [anon_sym_POUNDdsohandle] = ACTIONS(2411),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(2411),
    [anon_sym_DASH_EQ] = ACTIONS(2411),
    [anon_sym_STAR_EQ] = ACTIONS(2411),
    [anon_sym_SLASH_EQ] = ACTIONS(2411),
    [anon_sym_PERCENT_EQ] = ACTIONS(2411),
    [anon_sym_BANG_EQ] = ACTIONS(2409),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2411),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2411),
    [anon_sym_LT_EQ] = ACTIONS(2411),
    [anon_sym_GT_EQ] = ACTIONS(2411),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(2409),
    [anon_sym_SLASH] = ACTIONS(2409),
    [anon_sym_PERCENT] = ACTIONS(2409),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(2411),
    [anon_sym_CARET] = ACTIONS(2409),
    [anon_sym_LT_LT] = ACTIONS(2411),
    [anon_sym_GT_GT] = ACTIONS(2411),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(2411),
    [sym__eq_eq_custom] = ACTIONS(2411),
    [sym__plus_then_ws] = ACTIONS(2411),
    [sym__minus_then_ws] = ACTIONS(2411),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [601] = {
    [sym_simple_identifier] = STATE(2498),
    [sym__contextual_simple_identifier] = STATE(2439),
    [sym__basic_literal] = STATE(1372),
    [sym_boolean_literal] = STATE(1372),
    [sym__string_literal] = STATE(1372),
    [sym_line_string_literal] = STATE(1372),
    [sym_multi_line_string_literal] = STATE(1372),
    [sym_raw_string_literal] = STATE(1372),
    [sym_regex_literal] = STATE(1372),
    [sym__multiline_regex_literal] = STATE(2683),
    [sym_user_type] = STATE(5473),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5473),
    [sym_dictionary_type] = STATE(5473),
    [sym__expression] = STATE(1372),
    [sym__unary_expression] = STATE(1372),
    [sym_postfix_expression] = STATE(1372),
    [sym_constructor_expression] = STATE(1372),
    [sym__parenthesized_type] = STATE(6860),
    [sym_navigation_expression] = STATE(1372),
    [sym__navigable_type_expression] = STATE(6859),
    [sym_open_start_range_expression] = STATE(1372),
    [sym__range_operator] = STATE(601),
    [sym_open_end_range_expression] = STATE(1372),
    [sym_prefix_expression] = STATE(1372),
    [sym_as_expression] = STATE(1372),
    [sym_selector_expression] = STATE(1372),
    [sym__binary_expression] = STATE(1372),
    [sym_multiplicative_expression] = STATE(1372),
    [sym_additive_expression] = STATE(1372),
    [sym_range_expression] = STATE(1372),
    [sym_infix_expression] = STATE(1372),
    [sym_nil_coalescing_expression] = STATE(1372),
    [sym_check_expression] = STATE(1372),
    [sym_comparison_expression] = STATE(1372),
    [sym_equality_expression] = STATE(1372),
    [sym_conjunction_expression] = STATE(1372),
    [sym_disjunction_expression] = STATE(1372),
    [sym_bitwise_operation] = STATE(1372),
    [sym_custom_operator] = STATE(885),
    [sym_try_expression] = STATE(1372),
    [sym_await_expression] = STATE(1372),
    [sym__await_operator] = STATE(603),
    [sym_ternary_expression] = STATE(1372),
    [sym_call_expression] = STATE(1372),
    [sym__primary_expression] = STATE(1372),
    [sym_tuple_expression] = STATE(1372),
    [sym_array_literal] = STATE(1372),
    [sym_dictionary_literal] = STATE(1372),
    [sym__special_literal] = STATE(1372),
    [sym__playground_literal] = STATE(1372),
    [sym_lambda_literal] = STATE(1372),
    [sym_self_expression] = STATE(1372),
    [sym_super_expression] = STATE(1372),
    [sym_if_statement] = STATE(1372),
    [sym_switch_statement] = STATE(1372),
    [sym_key_path_expression] = STATE(1372),
    [sym_key_path_string_expression] = STATE(1372),
    [sym_try_operator] = STATE(598),
    [sym__assignment_and_operator] = STATE(1372),
    [sym__equality_operator] = STATE(1372),
    [sym__comparison_operator] = STATE(1372),
    [sym__three_dot_operator] = STATE(877),
    [sym__open_ended_range_operator] = STATE(601),
    [sym__additive_operator] = STATE(1372),
    [sym__multiplicative_operator] = STATE(1372),
    [sym__prefix_unary_operator] = STATE(593),
    [sym_directly_assignable_expression] = STATE(5475),
    [sym_assignment] = STATE(1372),
    [sym_value_parameter_pack] = STATE(1372),
    [sym_value_pack_expansion] = STATE(1372),
    [sym__referenceable_operator] = STATE(1372),
    [sym__equal_sign] = STATE(1372),
    [sym__eq_eq] = STATE(1372),
    [sym__dot] = STATE(593),
    [sym_bang] = STATE(885),
    [sym__parameter_ownership_modifier] = STATE(2439),
    [aux_sym_raw_string_literal_repeat1] = STATE(6858),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(1309),
    [aux_sym_simple_identifier_token2] = ACTIONS(1311),
    [aux_sym_simple_identifier_token3] = ACTIONS(1311),
    [aux_sym_simple_identifier_token4] = ACTIONS(1311),
    [anon_sym_actor] = ACTIONS(1309),
    [anon_sym_async] = ACTIONS(1309),
    [anon_sym_each] = ACTIONS(1313),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_repeat] = ACTIONS(1315),
    [anon_sym_package] = ACTIONS(1309),
    [anon_sym_nil] = ACTIONS(2413),
    [sym_real_literal] = ACTIONS(2415),
    [sym_integer_literal] = ACTIONS(2413),
    [sym_hex_literal] = ACTIONS(2415),
    [sym_oct_literal] = ACTIONS(2415),
    [sym_bin_literal] = ACTIONS(2415),
    [anon_sym_true] = ACTIONS(1321),
    [anon_sym_false] = ACTIONS(1321),
    [anon_sym_DQUOTE] = ACTIONS(1323),
    [anon_sym_BSLASH] = ACTIONS(1325),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1327),
    [sym__extended_regex_literal] = ACTIONS(1329),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(1331),
    [sym__oneline_regex_literal] = ACTIONS(1333),
    [anon_sym_LPAREN] = ACTIONS(1335),
    [anon_sym_LBRACK] = ACTIONS(1337),
    [anon_sym_AMP] = ACTIONS(1339),
    [anon_sym_if] = ACTIONS(1341),
    [anon_sym_switch] = ACTIONS(1343),
    [anon_sym_POUNDselector] = ACTIONS(1345),
    [aux_sym_custom_operator_token1] = ACTIONS(1347),
    [anon_sym_LT] = ACTIONS(2413),
    [anon_sym_GT] = ACTIONS(2413),
    [anon_sym_await] = ACTIONS(1349),
    [anon_sym_POUNDfile] = ACTIONS(2413),
    [anon_sym_POUNDfileID] = ACTIONS(2415),
    [anon_sym_POUNDfilePath] = ACTIONS(2415),
    [anon_sym_POUNDline] = ACTIONS(2415),
    [anon_sym_POUNDcolumn] = ACTIONS(2415),
    [anon_sym_POUNDfunction] = ACTIONS(2415),
    [anon_sym_POUNDdsohandle] = ACTIONS(2415),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(1351),
    [anon_sym_POUNDfileLiteral] = ACTIONS(1351),
    [anon_sym_POUNDimageLiteral] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_CARET_LBRACE] = ACTIONS(1353),
    [anon_sym_self] = ACTIONS(1355),
    [anon_sym_super] = ACTIONS(1357),
    [anon_sym_POUNDkeyPath] = ACTIONS(1359),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(2415),
    [anon_sym_DASH_EQ] = ACTIONS(2415),
    [anon_sym_STAR_EQ] = ACTIONS(2415),
    [anon_sym_SLASH_EQ] = ACTIONS(2415),
    [anon_sym_PERCENT_EQ] = ACTIONS(2415),
    [anon_sym_BANG_EQ] = ACTIONS(2413),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2415),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2415),
    [anon_sym_LT_EQ] = ACTIONS(2415),
    [anon_sym_GT_EQ] = ACTIONS(2415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1361),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1363),
    [anon_sym_PLUS] = ACTIONS(1365),
    [anon_sym_DASH] = ACTIONS(1365),
    [anon_sym_STAR] = ACTIONS(2413),
    [anon_sym_SLASH] = ACTIONS(2413),
    [anon_sym_PERCENT] = ACTIONS(2413),
    [anon_sym_PLUS_PLUS] = ACTIONS(1339),
    [anon_sym_DASH_DASH] = ACTIONS(1339),
    [anon_sym_TILDE] = ACTIONS(1339),
    [anon_sym_PIPE] = ACTIONS(2415),
    [anon_sym_CARET] = ACTIONS(2413),
    [anon_sym_LT_LT] = ACTIONS(2415),
    [anon_sym_GT_GT] = ACTIONS(2415),
    [anon_sym_BANG2] = ACTIONS(1367),
    [anon_sym_borrowing] = ACTIONS(1309),
    [anon_sym_consuming] = ACTIONS(1309),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(1369),
    [sym__dot_custom] = ACTIONS(1371),
    [sym__eq_custom] = ACTIONS(2415),
    [sym__eq_eq_custom] = ACTIONS(2415),
    [sym__plus_then_ws] = ACTIONS(2415),
    [sym__minus_then_ws] = ACTIONS(2415),
    [sym__bang_custom] = ACTIONS(1373),
    [sym__custom_operator] = ACTIONS(1347),
  },
  [602] = {
    [sym_simple_identifier] = STATE(745),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__basic_literal] = STATE(1384),
    [sym_boolean_literal] = STATE(1384),
    [sym__string_literal] = STATE(1384),
    [sym_line_string_literal] = STATE(1384),
    [sym_multi_line_string_literal] = STATE(1384),
    [sym_raw_string_literal] = STATE(1384),
    [sym_regex_literal] = STATE(1384),
    [sym__multiline_regex_literal] = STATE(751),
    [sym_user_type] = STATE(5505),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5505),
    [sym_dictionary_type] = STATE(5505),
    [sym__expression] = STATE(1384),
    [sym__unary_expression] = STATE(1384),
    [sym_postfix_expression] = STATE(1384),
    [sym_constructor_expression] = STATE(1384),
    [sym__parenthesized_type] = STATE(6761),
    [sym_navigation_expression] = STATE(1384),
    [sym__navigable_type_expression] = STATE(6759),
    [sym_open_start_range_expression] = STATE(1384),
    [sym__range_operator] = STATE(504),
    [sym_open_end_range_expression] = STATE(1384),
    [sym_prefix_expression] = STATE(1384),
    [sym_as_expression] = STATE(1384),
    [sym_selector_expression] = STATE(1384),
    [sym__binary_expression] = STATE(1384),
    [sym_multiplicative_expression] = STATE(1384),
    [sym_additive_expression] = STATE(1384),
    [sym_range_expression] = STATE(1384),
    [sym_infix_expression] = STATE(1384),
    [sym_nil_coalescing_expression] = STATE(1384),
    [sym_check_expression] = STATE(1384),
    [sym_comparison_expression] = STATE(1384),
    [sym_equality_expression] = STATE(1384),
    [sym_conjunction_expression] = STATE(1384),
    [sym_disjunction_expression] = STATE(1384),
    [sym_bitwise_operation] = STATE(1384),
    [sym_custom_operator] = STATE(864),
    [sym_try_expression] = STATE(1384),
    [sym_await_expression] = STATE(1384),
    [sym__await_operator] = STATE(493),
    [sym_ternary_expression] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym__primary_expression] = STATE(1384),
    [sym_tuple_expression] = STATE(1384),
    [sym_array_literal] = STATE(1384),
    [sym_dictionary_literal] = STATE(1384),
    [sym__special_literal] = STATE(1384),
    [sym__playground_literal] = STATE(1384),
    [sym_lambda_literal] = STATE(1384),
    [sym_self_expression] = STATE(1384),
    [sym_super_expression] = STATE(1384),
    [sym_if_statement] = STATE(1384),
    [sym_switch_statement] = STATE(1384),
    [sym_key_path_expression] = STATE(1384),
    [sym_key_path_string_expression] = STATE(1384),
    [sym_try_operator] = STATE(492),
    [sym__assignment_and_operator] = STATE(1384),
    [sym__equality_operator] = STATE(1384),
    [sym__comparison_operator] = STATE(1384),
    [sym__three_dot_operator] = STATE(860),
    [sym__open_ended_range_operator] = STATE(504),
    [sym__additive_operator] = STATE(1384),
    [sym__multiplicative_operator] = STATE(1384),
    [sym__prefix_unary_operator] = STATE(490),
    [sym_directly_assignable_expression] = STATE(5508),
    [sym_assignment] = STATE(1384),
    [sym_value_parameter_pack] = STATE(1384),
    [sym_value_pack_expansion] = STATE(1384),
    [sym__referenceable_operator] = STATE(1384),
    [sym__equal_sign] = STATE(1384),
    [sym__eq_eq] = STATE(1384),
    [sym__dot] = STATE(490),
    [sym_bang] = STATE(864),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_raw_string_literal_repeat1] = STATE(6743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(409),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(411),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_nil] = ACTIONS(2417),
    [sym_real_literal] = ACTIONS(2419),
    [sym_integer_literal] = ACTIONS(2417),
    [sym_hex_literal] = ACTIONS(2419),
    [sym_oct_literal] = ACTIONS(2419),
    [sym_bin_literal] = ACTIONS(2419),
    [anon_sym_true] = ACTIONS(417),
    [anon_sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(423),
    [sym__extended_regex_literal] = ACTIONS(427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(429),
    [sym__oneline_regex_literal] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_POUNDselector] = ACTIONS(437),
    [aux_sym_custom_operator_token1] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(2417),
    [anon_sym_GT] = ACTIONS(2417),
    [anon_sym_await] = ACTIONS(439),
    [anon_sym_POUNDfile] = ACTIONS(2417),
    [anon_sym_POUNDfileID] = ACTIONS(2419),
    [anon_sym_POUNDfilePath] = ACTIONS(2419),
    [anon_sym_POUNDline] = ACTIONS(2419),
    [anon_sym_POUNDcolumn] = ACTIONS(2419),
    [anon_sym_POUNDfunction] = ACTIONS(2419),
    [anon_sym_POUNDdsohandle] = ACTIONS(2419),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(441),
    [anon_sym_POUNDfileLiteral] = ACTIONS(441),
    [anon_sym_POUNDimageLiteral] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_CARET_LBRACE] = ACTIONS(647),
    [anon_sym_self] = ACTIONS(443),
    [anon_sym_super] = ACTIONS(445),
    [anon_sym_POUNDkeyPath] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(2419),
    [anon_sym_DASH_EQ] = ACTIONS(2419),
    [anon_sym_STAR_EQ] = ACTIONS(2419),
    [anon_sym_SLASH_EQ] = ACTIONS(2419),
    [anon_sym_PERCENT_EQ] = ACTIONS(2419),
    [anon_sym_BANG_EQ] = ACTIONS(2417),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2419),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2419),
    [anon_sym_LT_EQ] = ACTIONS(2419),
    [anon_sym_GT_EQ] = ACTIONS(2419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(2417),
    [anon_sym_SLASH] = ACTIONS(2417),
    [anon_sym_PERCENT] = ACTIONS(2417),
    [anon_sym_PLUS_PLUS] = ACTIONS(449),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(2419),
    [anon_sym_CARET] = ACTIONS(2417),
    [anon_sym_LT_LT] = ACTIONS(2419),
    [anon_sym_GT_GT] = ACTIONS(2419),
    [anon_sym_BANG2] = ACTIONS(795),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(453),
    [sym__dot_custom] = ACTIONS(797),
    [sym__eq_custom] = ACTIONS(2419),
    [sym__eq_eq_custom] = ACTIONS(2419),
    [sym__plus_then_ws] = ACTIONS(2419),
    [sym__minus_then_ws] = ACTIONS(2419),
    [sym__bang_custom] = ACTIONS(799),
    [sym__custom_operator] = ACTIONS(787),
  },
  [603] = {
    [sym_simple_identifier] = STATE(2498),
    [sym__contextual_simple_identifier] = STATE(2439),
    [sym__basic_literal] = STATE(1338),
    [sym_boolean_literal] = STATE(1338),
    [sym__string_literal] = STATE(1338),
    [sym_line_string_literal] = STATE(1338),
    [sym_multi_line_string_literal] = STATE(1338),
    [sym_raw_string_literal] = STATE(1338),
    [sym_regex_literal] = STATE(1338),
    [sym__multiline_regex_literal] = STATE(2683),
    [sym_user_type] = STATE(5473),
    [sym__simple_user_type] = STATE(5747),
    [sym_array_type] = STATE(5473),
    [sym_dictionary_type] = STATE(5473),
    [sym__expression] = STATE(1338),
    [sym__unary_expression] = STATE(1338),
    [sym_postfix_expression] = STATE(1338),
    [sym_constructor_expression] = STATE(1338),
    [sym__parenthesized_type] = STATE(6860),
    [sym_navigation_expression] = STATE(1338),
    [sym__navigable_type_expression] = STATE(6859),
    [sym_open_start_range_expression] = STATE(1338),
    [sym__range_operator] = STATE(601),
    [sym_open_end_range_expression] = STATE(1338),
    [sym_prefix_expression] = STATE(1338),
    [sym_as_expression] = STATE(1338),
    [sym_selector_expression] = STATE(1338),
    [sym__binary_expression] = STATE(1338),
    [sym_multiplicative_expression] = STATE(1338),
    [sym_additive_expression] = STATE(1338),
    [sym_range_expression] = STATE(1338),
    [sym_infix_expression] = STATE(1338),
    [sym_nil_coalescing_expression] = STATE(1338),
    [sym_check_expression] = STATE(1338),
    [sym_comparison_expression] = STATE(1338),
    [sym_equality_expression] = STATE(1338),
    [sym_conjunction_expression] = STATE(1338),
    [sym_disjunction_expression] = STATE(1338),
    [sym_bitwise_operation] = STATE(1338),
    [sym_custom_operator] = STATE(885),
    [sym_try_expression] = STATE(1338),
    [sym_await_expression] = STATE(1338),
    [sym__await_operator] = STATE(603),
    [sym_ternary_expression] = STATE(2902),
    [sym_call_expression] = STATE(2906),
    [sym__primary_expression] = STATE(1338),
    [sym_tuple_expression] = STATE(1338),
    [sym_array_literal] = STATE(1338),
    [sym_dictionary_literal] = STATE(1338),
    [sym__special_literal] = STATE(1338),
    [sym__playground_literal] = STATE(1338),
    [sym_lambda_literal] = STATE(1338),
    [sym_self_expression] = STATE(1338),
    [sym_super_expression] = STATE(1338),
    [sym_if_statement] = STATE(1338),
    [sym_switch_statement] = STATE(1338),
    [sym_key_path_expression] = STATE(1338),
    [sym_key_path_string_expression] = STATE(1338),
    [sym_try_operator] = STATE(598),
    [sym__assignment_and_operator] = STATE(1338),
    [sym__equality_operator] = STATE(1338),
    [sym__comparison_operator] = STATE(1338),
    [sym__three_dot_operator] = STATE(877),
    [sym__open_ended_range_operator] = STATE(601),
    [sym__additive_operator] = STATE(1338),
    [sym__multiplicative_operator] = STATE(1338),
    [sym__prefix_unary_operator] = STATE(593),
    [sym_directly_assignable_expression] = STATE(5475),
    [sym_assignment] = STATE(1338),
    [sym_value_parameter_pack] = STATE(1338),
    [sym_value_pack_expansion] = STATE(1338),
    [sym__referenceable_operator] = STATE(1338),
    [sym__equal_sign] = STATE(1338),
    [sym__eq_eq] = STATE(1338),
    [sym__dot] = STATE(593),
    [sym_bang] = STATE(885),
    [sym__parameter_ownership_modifier] = STATE(2439),
    [aux_sym_raw_string_literal_repeat1] = STATE(6858),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(1309),
    [aux_sym_simple_identifier_token2] = ACTIONS(1311),
    [aux_sym_simple_identifier_token3] = ACTIONS(1311),
    [aux_sym_simple_identifier_token4] = ACTIONS(1311),
    [anon_sym_actor] = ACTIONS(1309),
    [anon_sym_async] = ACTIONS(1309),
    [anon_sym_each] = ACTIONS(1313),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_repeat] = ACTIONS(1315),
    [anon_sym_package] = ACTIONS(1309),
    [anon_sym_nil] = ACTIONS(2421),
    [sym_real_literal] = ACTIONS(2423),
    [sym_integer_literal] = ACTIONS(2421),
    [sym_hex_literal] = ACTIONS(2423),
    [sym_oct_literal] = ACTIONS(2423),
    [sym_bin_literal] = ACTIONS(2423),
    [anon_sym_true] = ACTIONS(1321),
    [anon_sym_false] = ACTIONS(1321),
    [anon_sym_DQUOTE] = ACTIONS(1323),
    [anon_sym_BSLASH] = ACTIONS(1325),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1327),
    [sym__extended_regex_literal] = ACTIONS(1329),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(1331),
    [sym__oneline_regex_literal] = ACTIONS(1333),
    [anon_sym_LPAREN] = ACTIONS(1335),
    [anon_sym_LBRACK] = ACTIONS(1337),
    [anon_sym_AMP] = ACTIONS(1339),
    [anon_sym_if] = ACTIONS(1341),
    [anon_sym_switch] = ACTIONS(1343),
    [anon_sym_POUNDselector] = ACTIONS(1345),
    [aux_sym_custom_operator_token1] = ACTIONS(1347),
    [anon_sym_LT] = ACTIONS(2421),
    [anon_sym_GT] = ACTIONS(2421),
    [anon_sym_await] = ACTIONS(1349),
    [anon_sym_POUNDfile] = ACTIONS(2421),
    [anon_sym_POUNDfileID] = ACTIONS(2423),
    [anon_sym_POUNDfilePath] = ACTIONS(2423),
    [anon_sym_POUNDline] = ACTIONS(2423),
    [anon_sym_POUNDcolumn] = ACTIONS(2423),
    [anon_sym_POUNDfunction] = ACTIONS(2423),
    [anon_sym_POUNDdsohandle] = ACTIONS(2423),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(1351),
    [anon_sym_POUNDfileLiteral] = ACTIONS(1351),
    [anon_sym_POUNDimageLiteral] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_CARET_LBRACE] = ACTIONS(1353),
    [anon_sym_self] = ACTIONS(1355),
    [anon_sym_super] = ACTIONS(1357),
    [anon_sym_POUNDkeyPath] = ACTIONS(1359),
    [anon_sym_try] = ACTIONS(75),
    [anon_sym_PLUS_EQ] = ACTIONS(2423),
    [anon_sym_DASH_EQ] = ACTIONS(2423),
    [anon_sym_STAR_EQ] = ACTIONS(2423),
    [anon_sym_SLASH_EQ] = ACTIONS(2423),
    [anon_sym_PERCENT_EQ] = ACTIONS(2423),
    [anon_sym_BANG_EQ] = ACTIONS(2421),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2423),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2423),
    [anon_sym_LT_EQ] = ACTIONS(2423),
    [anon_sym_GT_EQ] = ACTIONS(2423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1361),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1363),
    [anon_sym_PLUS] = ACTIONS(1365),
    [anon_sym_DASH] = ACTIONS(1365),
    [anon_sym_STAR] = ACTIONS(2421),
    [anon_sym_SLASH] = ACTIONS(2421),
    [anon_sym_PERCENT] = ACTIONS(2421),
    [anon_sym_PLUS_PLUS] = ACTIONS(1339),
    [anon_sym_DASH_DASH] = ACTIONS(1339),
    [anon_sym_TILDE] = ACTIONS(1339),
    [anon_sym_PIPE] = ACTIONS(2423),
    [anon_sym_CARET] = ACTIONS(2421),
    [anon_sym_LT_LT] = ACTIONS(2423),
    [anon_sym_GT_GT] = ACTIONS(2423),
    [anon_sym_BANG2] = ACTIONS(1367),
    [anon_sym_borrowing] = ACTIONS(1309),
    [anon_sym_consuming] = ACTIONS(1309),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(145),
    [sym_raw_str_end_part] = ACTIONS(1369),
    [sym__dot_custom] = ACTIONS(1371),
    [sym__eq_custom] = ACTIONS(2423),
    [sym__eq_eq_custom] = ACTIONS(2423),
    [sym__plus_then_ws] = ACTIONS(2423),
    [sym__minus_then_ws] = ACTIONS(2423),
    [sym__bang_custom] = ACTIONS(1373),
    [sym__custom_operator] = ACTIONS(1347),
  },
  [604] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2425),
    [aux_sym_simple_identifier_token2] = ACTIONS(2427),
    [aux_sym_simple_identifier_token3] = ACTIONS(2427),
    [aux_sym_simple_identifier_token4] = ACTIONS(2427),
    [anon_sym_actor] = ACTIONS(2425),
    [anon_sym_async] = ACTIONS(2425),
    [anon_sym_each] = ACTIONS(2425),
    [anon_sym_lazy] = ACTIONS(2425),
    [anon_sym_repeat] = ACTIONS(2425),
    [anon_sym_package] = ACTIONS(2425),
    [anon_sym_nil] = ACTIONS(2425),
    [sym_real_literal] = ACTIONS(2427),
    [sym_integer_literal] = ACTIONS(2425),
    [sym_hex_literal] = ACTIONS(2427),
    [sym_oct_literal] = ACTIONS(2427),
    [sym_bin_literal] = ACTIONS(2427),
    [anon_sym_true] = ACTIONS(2425),
    [anon_sym_false] = ACTIONS(2425),
    [anon_sym_DQUOTE] = ACTIONS(2425),
    [anon_sym_BSLASH] = ACTIONS(2427),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2427),
    [anon_sym_COMMA] = ACTIONS(2429),
    [sym__extended_regex_literal] = ACTIONS(2427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(2427),
    [sym__oneline_regex_literal] = ACTIONS(2425),
    [anon_sym_LPAREN] = ACTIONS(2427),
    [anon_sym_LBRACK] = ACTIONS(2427),
    [anon_sym_QMARK] = ACTIONS(2431),
    [anon_sym_QMARK2] = ACTIONS(2429),
    [anon_sym_AMP] = ACTIONS(2427),
    [anon_sym_if] = ACTIONS(2425),
    [anon_sym_switch] = ACTIONS(2425),
    [anon_sym_POUNDselector] = ACTIONS(2427),
    [aux_sym_custom_operator_token1] = ACTIONS(2427),
    [anon_sym_LT] = ACTIONS(2425),
    [anon_sym_GT] = ACTIONS(2425),
    [anon_sym_await] = ACTIONS(2425),
    [anon_sym_POUNDfile] = ACTIONS(2425),
    [anon_sym_POUNDfileID] = ACTIONS(2427),
    [anon_sym_POUNDfilePath] = ACTIONS(2427),
    [anon_sym_POUNDline] = ACTIONS(2427),
    [anon_sym_POUNDcolumn] = ACTIONS(2427),
    [anon_sym_POUNDfunction] = ACTIONS(2427),
    [anon_sym_POUNDdsohandle] = ACTIONS(2427),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(2427),
    [anon_sym_POUNDfileLiteral] = ACTIONS(2427),
    [anon_sym_POUNDimageLiteral] = ACTIONS(2427),
    [anon_sym_LBRACE] = ACTIONS(2427),
    [anon_sym_CARET_LBRACE] = ACTIONS(2427),
    [anon_sym_RBRACE] = ACTIONS(2429),
    [anon_sym_self] = ACTIONS(2425),
    [anon_sym_super] = ACTIONS(2425),
    [anon_sym_case] = ACTIONS(2431),
    [anon_sym_POUNDkeyPath] = ACTIONS(2427),
    [anon_sym_try] = ACTIONS(2425),
    [anon_sym_PLUS_EQ] = ACTIONS(2427),
    [anon_sym_DASH_EQ] = ACTIONS(2427),
    [anon_sym_STAR_EQ] = ACTIONS(2427),
    [anon_sym_SLASH_EQ] = ACTIONS(2427),
    [anon_sym_PERCENT_EQ] = ACTIONS(2427),
    [anon_sym_BANG_EQ] = ACTIONS(2425),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2427),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2427),
    [anon_sym_LT_EQ] = ACTIONS(2427),
    [anon_sym_GT_EQ] = ACTIONS(2427),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2427),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2427),
    [anon_sym_is] = ACTIONS(2431),
    [anon_sym_PLUS] = ACTIONS(2425),
    [anon_sym_DASH] = ACTIONS(2425),
    [anon_sym_STAR] = ACTIONS(2425),
    [anon_sym_SLASH] = ACTIONS(2425),
    [anon_sym_PERCENT] = ACTIONS(2425),
    [anon_sym_PLUS_PLUS] = ACTIONS(2427),
    [anon_sym_DASH_DASH] = ACTIONS(2427),
    [anon_sym_TILDE] = ACTIONS(2427),
    [anon_sym_PIPE] = ACTIONS(2427),
    [anon_sym_CARET] = ACTIONS(2425),
    [anon_sym_LT_LT] = ACTIONS(2427),
    [anon_sym_GT_GT] = ACTIONS(2427),
    [anon_sym_import] = ACTIONS(2431),
    [anon_sym_typealias] = ACTIONS(2431),
    [anon_sym_struct] = ACTIONS(2431),
    [anon_sym_class] = ACTIONS(2431),
    [anon_sym_enum] = ACTIONS(2431),
    [anon_sym_protocol] = ACTIONS(2431),
    [anon_sym_let] = ACTIONS(2431),
    [anon_sym_var] = ACTIONS(2431),
    [anon_sym_func] = ACTIONS(2431),
    [anon_sym_extension] = ACTIONS(2431),
    [anon_sym_indirect] = ACTIONS(2431),
    [anon_sym_BANG2] = ACTIONS(2425),
    [anon_sym_SEMI] = ACTIONS(2429),
    [anon_sym_init] = ACTIONS(2431),
    [anon_sym_deinit] = ACTIONS(2431),
    [anon_sym_subscript] = ACTIONS(2431),
    [anon_sym_prefix] = ACTIONS(2431),
    [anon_sym_infix] = ACTIONS(2431),
    [anon_sym_postfix] = ACTIONS(2431),
    [anon_sym_precedencegroup] = ACTIONS(2431),
    [anon_sym_associatedtype] = ACTIONS(2431),
    [anon_sym_AT] = ACTIONS(2431),
    [anon_sym_override] = ACTIONS(2431),
    [anon_sym_convenience] = ACTIONS(2431),
    [anon_sym_required] = ACTIONS(2431),
    [anon_sym_nonisolated] = ACTIONS(2431),
    [anon_sym_public] = ACTIONS(2431),
    [anon_sym_private] = ACTIONS(2431),
    [anon_sym_internal] = ACTIONS(2431),
    [anon_sym_fileprivate] = ACTIONS(2431),
    [anon_sym_open] = ACTIONS(2431),
    [anon_sym_mutating] = ACTIONS(2431),
    [anon_sym_nonmutating] = ACTIONS(2431),
    [anon_sym_static] = ACTIONS(2431),
    [anon_sym_dynamic] = ACTIONS(2431),
    [anon_sym_optional] = ACTIONS(2431),
    [anon_sym_distributed] = ACTIONS(2431),
    [anon_sym_final] = ACTIONS(2431),
    [anon_sym_inout] = ACTIONS(2431),
    [anon_sym_ATescaping] = ACTIONS(2429),
    [anon_sym_ATautoclosure] = ACTIONS(2429),
    [anon_sym_weak] = ACTIONS(2431),
    [anon_sym_unowned] = ACTIONS(2431),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2429),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2429),
    [anon_sym_borrowing] = ACTIONS(2425),
    [anon_sym_consuming] = ACTIONS(2425),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(2427),
    [sym_raw_str_end_part] = ACTIONS(2427),
    [sym__dot_custom] = ACTIONS(2427),
    [sym__conjunction_operator_custom] = ACTIONS(2429),
    [sym__disjunction_operator_custom] = ACTIONS(2429),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2429),
    [sym__eq_custom] = ACTIONS(2427),
    [sym__eq_eq_custom] = ACTIONS(2427),
    [sym__plus_then_ws] = ACTIONS(2427),
    [sym__minus_then_ws] = ACTIONS(2427),
    [sym__bang_custom] = ACTIONS(2427),
    [sym__as_custom] = ACTIONS(2429),
    [sym__as_quest_custom] = ACTIONS(2429),
    [sym__as_bang_custom] = ACTIONS(2429),
    [sym__custom_operator] = ACTIONS(2427),
  },
  [605] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2433),
    [aux_sym_simple_identifier_token2] = ACTIONS(2435),
    [aux_sym_simple_identifier_token3] = ACTIONS(2435),
    [aux_sym_simple_identifier_token4] = ACTIONS(2435),
    [anon_sym_actor] = ACTIONS(2433),
    [anon_sym_async] = ACTIONS(2433),
    [anon_sym_each] = ACTIONS(2433),
    [anon_sym_lazy] = ACTIONS(2433),
    [anon_sym_repeat] = ACTIONS(2433),
    [anon_sym_package] = ACTIONS(2433),
    [anon_sym_nil] = ACTIONS(2433),
    [sym_real_literal] = ACTIONS(2435),
    [sym_integer_literal] = ACTIONS(2433),
    [sym_hex_literal] = ACTIONS(2435),
    [sym_oct_literal] = ACTIONS(2435),
    [sym_bin_literal] = ACTIONS(2435),
    [anon_sym_true] = ACTIONS(2433),
    [anon_sym_false] = ACTIONS(2433),
    [anon_sym_DQUOTE] = ACTIONS(2433),
    [anon_sym_BSLASH] = ACTIONS(2435),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2435),
    [anon_sym_COMMA] = ACTIONS(2435),
    [sym__extended_regex_literal] = ACTIONS(2435),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(2435),
    [sym__oneline_regex_literal] = ACTIONS(2433),
    [anon_sym_LPAREN] = ACTIONS(2435),
    [anon_sym_LBRACK] = ACTIONS(2435),
    [anon_sym_QMARK] = ACTIONS(2433),
    [anon_sym_QMARK2] = ACTIONS(2435),
    [anon_sym_AMP] = ACTIONS(2435),
    [anon_sym_if] = ACTIONS(2433),
    [anon_sym_switch] = ACTIONS(2433),
    [anon_sym_POUNDselector] = ACTIONS(2435),
    [aux_sym_custom_operator_token1] = ACTIONS(2435),
    [anon_sym_LT] = ACTIONS(2433),
    [anon_sym_GT] = ACTIONS(2433),
    [anon_sym_await] = ACTIONS(2433),
    [anon_sym_POUNDfile] = ACTIONS(2433),
    [anon_sym_POUNDfileID] = ACTIONS(2435),
    [anon_sym_POUNDfilePath] = ACTIONS(2435),
    [anon_sym_POUNDline] = ACTIONS(2435),
    [anon_sym_POUNDcolumn] = ACTIONS(2435),
    [anon_sym_POUNDfunction] = ACTIONS(2435),
    [anon_sym_POUNDdsohandle] = ACTIONS(2435),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(2435),
    [anon_sym_POUNDfileLiteral] = ACTIONS(2435),
    [anon_sym_POUNDimageLiteral] = ACTIONS(2435),
    [anon_sym_LBRACE] = ACTIONS(2435),
    [anon_sym_CARET_LBRACE] = ACTIONS(2435),
    [anon_sym_RBRACE] = ACTIONS(2435),
    [anon_sym_self] = ACTIONS(2433),
    [anon_sym_super] = ACTIONS(2433),
    [anon_sym_case] = ACTIONS(2433),
    [anon_sym_POUNDkeyPath] = ACTIONS(2435),
    [anon_sym_try] = ACTIONS(2433),
    [anon_sym_PLUS_EQ] = ACTIONS(2435),
    [anon_sym_DASH_EQ] = ACTIONS(2435),
    [anon_sym_STAR_EQ] = ACTIONS(2435),
    [anon_sym_SLASH_EQ] = ACTIONS(2435),
    [anon_sym_PERCENT_EQ] = ACTIONS(2435),
    [anon_sym_BANG_EQ] = ACTIONS(2433),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2435),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2435),
    [anon_sym_LT_EQ] = ACTIONS(2435),
    [anon_sym_GT_EQ] = ACTIONS(2435),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2435),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2435),
    [anon_sym_is] = ACTIONS(2433),
    [anon_sym_PLUS] = ACTIONS(2433),
    [anon_sym_DASH] = ACTIONS(2433),
    [anon_sym_STAR] = ACTIONS(2433),
    [anon_sym_SLASH] = ACTIONS(2433),
    [anon_sym_PERCENT] = ACTIONS(2433),
    [anon_sym_PLUS_PLUS] = ACTIONS(2435),
    [anon_sym_DASH_DASH] = ACTIONS(2435),
    [anon_sym_TILDE] = ACTIONS(2435),
    [anon_sym_PIPE] = ACTIONS(2435),
    [anon_sym_CARET] = ACTIONS(2433),
    [anon_sym_LT_LT] = ACTIONS(2435),
    [anon_sym_GT_GT] = ACTIONS(2435),
    [anon_sym_import] = ACTIONS(2433),
    [anon_sym_typealias] = ACTIONS(2433),
    [anon_sym_struct] = ACTIONS(2433),
    [anon_sym_class] = ACTIONS(2433),
    [anon_sym_enum] = ACTIONS(2433),
    [anon_sym_protocol] = ACTIONS(2433),
    [anon_sym_let] = ACTIONS(2433),
    [anon_sym_var] = ACTIONS(2433),
    [anon_sym_func] = ACTIONS(2433),
    [anon_sym_extension] = ACTIONS(2433),
    [anon_sym_indirect] = ACTIONS(2433),
    [anon_sym_BANG2] = ACTIONS(2433),
    [anon_sym_SEMI] = ACTIONS(2435),
    [anon_sym_init] = ACTIONS(2433),
    [anon_sym_deinit] = ACTIONS(2433),
    [anon_sym_subscript] = ACTIONS(2433),
    [anon_sym_prefix] = ACTIONS(2433),
    [anon_sym_infix] = ACTIONS(2433),
    [anon_sym_postfix] = ACTIONS(2433),
    [anon_sym_precedencegroup] = ACTIONS(2433),
    [anon_sym_associatedtype] = ACTIONS(2433),
    [anon_sym_AT] = ACTIONS(2433),
    [anon_sym_override] = ACTIONS(2433),
    [anon_sym_convenience] = ACTIONS(2433),
    [anon_sym_required] = ACTIONS(2433),
    [anon_sym_nonisolated] = ACTIONS(2433),
    [anon_sym_public] = ACTIONS(2433),
    [anon_sym_private] = ACTIONS(2433),
    [anon_sym_internal] = ACTIONS(2433),
    [anon_sym_fileprivate] = ACTIONS(2433),
    [anon_sym_open] = ACTIONS(2433),
    [anon_sym_mutating] = ACTIONS(2433),
    [anon_sym_nonmutating] = ACTIONS(2433),
    [anon_sym_static] = ACTIONS(2433),
    [anon_sym_dynamic] = ACTIONS(2433),
    [anon_sym_optional] = ACTIONS(2433),
    [anon_sym_distributed] = ACTIONS(2433),
    [anon_sym_final] = ACTIONS(2433),
    [anon_sym_inout] = ACTIONS(2433),
    [anon_sym_ATescaping] = ACTIONS(2435),
    [anon_sym_ATautoclosure] = ACTIONS(2435),
    [anon_sym_weak] = ACTIONS(2433),
    [anon_sym_unowned] = ACTIONS(2433),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2435),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2435),
    [anon_sym_borrowing] = ACTIONS(2433),
    [anon_sym_consuming] = ACTIONS(2433),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(2435),
    [sym_raw_str_end_part] = ACTIONS(2435),
    [sym__dot_custom] = ACTIONS(2435),
    [sym__conjunction_operator_custom] = ACTIONS(2435),
    [sym__disjunction_operator_custom] = ACTIONS(2435),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2435),
    [sym__eq_custom] = ACTIONS(2435),
    [sym__eq_eq_custom] = ACTIONS(2435),
    [sym__plus_then_ws] = ACTIONS(2435),
    [sym__minus_then_ws] = ACTIONS(2435),
    [sym__bang_custom] = ACTIONS(2435),
    [sym__as_custom] = ACTIONS(2435),
    [sym__as_quest_custom] = ACTIONS(2435),
    [sym__as_bang_custom] = ACTIONS(2435),
    [sym__custom_operator] = ACTIONS(2435),
  },
  [606] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2437),
    [aux_sym_simple_identifier_token2] = ACTIONS(2439),
    [aux_sym_simple_identifier_token3] = ACTIONS(2439),
    [aux_sym_simple_identifier_token4] = ACTIONS(2439),
    [anon_sym_actor] = ACTIONS(2441),
    [anon_sym_async] = ACTIONS(2441),
    [anon_sym_each] = ACTIONS(2437),
    [anon_sym_lazy] = ACTIONS(2441),
    [anon_sym_repeat] = ACTIONS(2437),
    [anon_sym_package] = ACTIONS(2441),
    [anon_sym_nil] = ACTIONS(2437),
    [sym_real_literal] = ACTIONS(2439),
    [sym_integer_literal] = ACTIONS(2437),
    [sym_hex_literal] = ACTIONS(2439),
    [sym_oct_literal] = ACTIONS(2439),
    [sym_bin_literal] = ACTIONS(2439),
    [anon_sym_true] = ACTIONS(2437),
    [anon_sym_false] = ACTIONS(2437),
    [anon_sym_DQUOTE] = ACTIONS(2437),
    [anon_sym_BSLASH] = ACTIONS(2439),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2439),
    [anon_sym_COMMA] = ACTIONS(2444),
    [sym__extended_regex_literal] = ACTIONS(2439),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(2439),
    [sym__oneline_regex_literal] = ACTIONS(2437),
    [anon_sym_LPAREN] = ACTIONS(2446),
    [anon_sym_LBRACK] = ACTIONS(2446),
    [anon_sym_QMARK] = ACTIONS(2449),
    [anon_sym_QMARK2] = ACTIONS(2444),
    [anon_sym_AMP] = ACTIONS(2446),
    [anon_sym_if] = ACTIONS(2437),
    [anon_sym_switch] = ACTIONS(2437),
    [anon_sym_POUNDselector] = ACTIONS(2439),
    [aux_sym_custom_operator_token1] = ACTIONS(2446),
    [anon_sym_LT] = ACTIONS(2441),
    [anon_sym_GT] = ACTIONS(2441),
    [anon_sym_await] = ACTIONS(2437),
    [anon_sym_POUNDfile] = ACTIONS(2437),
    [anon_sym_POUNDfileID] = ACTIONS(2439),
    [anon_sym_POUNDfilePath] = ACTIONS(2439),
    [anon_sym_POUNDline] = ACTIONS(2439),
    [anon_sym_POUNDcolumn] = ACTIONS(2439),
    [anon_sym_POUNDfunction] = ACTIONS(2439),
    [anon_sym_POUNDdsohandle] = ACTIONS(2439),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(2439),
    [anon_sym_POUNDfileLiteral] = ACTIONS(2439),
    [anon_sym_POUNDimageLiteral] = ACTIONS(2439),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_CARET_LBRACE] = ACTIONS(2446),
    [anon_sym_RBRACE] = ACTIONS(2444),
    [anon_sym_self] = ACTIONS(2437),
    [anon_sym_super] = ACTIONS(2437),
    [anon_sym_case] = ACTIONS(2449),
    [anon_sym_POUNDkeyPath] = ACTIONS(2439),
    [anon_sym_try] = ACTIONS(2437),
    [anon_sym_PLUS_EQ] = ACTIONS(2446),
    [anon_sym_DASH_EQ] = ACTIONS(2446),
    [anon_sym_STAR_EQ] = ACTIONS(2446),
    [anon_sym_SLASH_EQ] = ACTIONS(2446),
    [anon_sym_PERCENT_EQ] = ACTIONS(2446),
    [anon_sym_BANG_EQ] = ACTIONS(2441),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2446),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2446),
    [anon_sym_LT_EQ] = ACTIONS(2446),
    [anon_sym_GT_EQ] = ACTIONS(2446),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2446),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2446),
    [anon_sym_is] = ACTIONS(2449),
    [anon_sym_PLUS] = ACTIONS(2441),
    [anon_sym_DASH] = ACTIONS(2441),
    [anon_sym_STAR] = ACTIONS(2441),
    [anon_sym_SLASH] = ACTIONS(2441),
    [anon_sym_PERCENT] = ACTIONS(2441),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2439),
    [anon_sym_PIPE] = ACTIONS(2446),
    [anon_sym_CARET] = ACTIONS(2441),
    [anon_sym_LT_LT] = ACTIONS(2446),
    [anon_sym_GT_GT] = ACTIONS(2446),
    [anon_sym_import] = ACTIONS(2449),
    [anon_sym_typealias] = ACTIONS(2449),
    [anon_sym_struct] = ACTIONS(2449),
    [anon_sym_class] = ACTIONS(2449),
    [anon_sym_enum] = ACTIONS(2449),
    [anon_sym_protocol] = ACTIONS(2449),
    [anon_sym_let] = ACTIONS(2449),
    [anon_sym_var] = ACTIONS(2449),
    [anon_sym_func] = ACTIONS(2449),
    [anon_sym_extension] = ACTIONS(2449),
    [anon_sym_indirect] = ACTIONS(2449),
    [anon_sym_BANG2] = ACTIONS(2441),
    [anon_sym_SEMI] = ACTIONS(2444),
    [anon_sym_init] = ACTIONS(2449),
    [anon_sym_deinit] = ACTIONS(2449),
    [anon_sym_subscript] = ACTIONS(2449),
    [anon_sym_prefix] = ACTIONS(2449),
    [anon_sym_infix] = ACTIONS(2449),
    [anon_sym_postfix] = ACTIONS(2449),
    [anon_sym_precedencegroup] = ACTIONS(2449),
    [anon_sym_associatedtype] = ACTIONS(2449),
    [anon_sym_AT] = ACTIONS(2449),
    [anon_sym_override] = ACTIONS(2449),
    [anon_sym_convenience] = ACTIONS(2449),
    [anon_sym_required] = ACTIONS(2449),
    [anon_sym_nonisolated] = ACTIONS(2449),
    [anon_sym_public] = ACTIONS(2449),
    [anon_sym_private] = ACTIONS(2449),
    [anon_sym_internal] = ACTIONS(2449),
    [anon_sym_fileprivate] = ACTIONS(2449),
    [anon_sym_open] = ACTIONS(2449),
    [anon_sym_mutating] = ACTIONS(2449),
    [anon_sym_nonmutating] = ACTIONS(2449),
    [anon_sym_static] = ACTIONS(2449),
    [anon_sym_dynamic] = ACTIONS(2449),
    [anon_sym_optional] = ACTIONS(2449),
    [anon_sym_distributed] = ACTIONS(2449),
    [anon_sym_final] = ACTIONS(2449),
    [anon_sym_inout] = ACTIONS(2449),
    [anon_sym_ATescaping] = ACTIONS(2444),
    [anon_sym_ATautoclosure] = ACTIONS(2444),
    [anon_sym_weak] = ACTIONS(2449),
    [anon_sym_unowned] = ACTIONS(2449),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2444),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2444),
    [anon_sym_borrowing] = ACTIONS(2441),
    [anon_sym_consuming] = ACTIONS(2441),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(2439),
    [sym_raw_str_end_part] = ACTIONS(2439),
    [sym__dot_custom] = ACTIONS(2446),
    [sym__conjunction_operator_custom] = ACTIONS(2444),
    [sym__disjunction_operator_custom] = ACTIONS(2444),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2444),
    [sym__eq_custom] = ACTIONS(2446),
    [sym__eq_eq_custom] = ACTIONS(2446),
    [sym__plus_then_ws] = ACTIONS(2446),
    [sym__minus_then_ws] = ACTIONS(2446),
    [sym__bang_custom] = ACTIONS(2446),
    [sym__as_custom] = ACTIONS(2444),
    [sym__as_quest_custom] = ACTIONS(2444),
    [sym__as_bang_custom] = ACTIONS(2444),
    [sym__custom_operator] = ACTIONS(2446),
  },
  [607] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2451),
    [aux_sym_simple_identifier_token2] = ACTIONS(2453),
    [aux_sym_simple_identifier_token3] = ACTIONS(2453),
    [aux_sym_simple_identifier_token4] = ACTIONS(2453),
    [anon_sym_actor] = ACTIONS(2451),
    [anon_sym_async] = ACTIONS(2451),
    [anon_sym_each] = ACTIONS(2451),
    [anon_sym_lazy] = ACTIONS(2451),
    [anon_sym_repeat] = ACTIONS(2451),
    [anon_sym_package] = ACTIONS(2451),
    [anon_sym_nil] = ACTIONS(2451),
    [sym_real_literal] = ACTIONS(2453),
    [sym_integer_literal] = ACTIONS(2451),
    [sym_hex_literal] = ACTIONS(2453),
    [sym_oct_literal] = ACTIONS(2453),
    [sym_bin_literal] = ACTIONS(2453),
    [anon_sym_true] = ACTIONS(2451),
    [anon_sym_false] = ACTIONS(2451),
    [anon_sym_DQUOTE] = ACTIONS(2451),
    [anon_sym_BSLASH] = ACTIONS(2453),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2453),
    [anon_sym_COMMA] = ACTIONS(2453),
    [sym__extended_regex_literal] = ACTIONS(2453),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(2453),
    [sym__oneline_regex_literal] = ACTIONS(2451),
    [anon_sym_LPAREN] = ACTIONS(2453),
    [anon_sym_LBRACK] = ACTIONS(2453),
    [anon_sym_QMARK] = ACTIONS(2451),
    [anon_sym_QMARK2] = ACTIONS(2453),
    [anon_sym_AMP] = ACTIONS(2453),
    [anon_sym_if] = ACTIONS(2451),
    [anon_sym_switch] = ACTIONS(2451),
    [anon_sym_POUNDselector] = ACTIONS(2453),
    [aux_sym_custom_operator_token1] = ACTIONS(2453),
    [anon_sym_LT] = ACTIONS(2451),
    [anon_sym_GT] = ACTIONS(2451),
    [anon_sym_await] = ACTIONS(2451),
    [anon_sym_POUNDfile] = ACTIONS(2451),
    [anon_sym_POUNDfileID] = ACTIONS(2453),
    [anon_sym_POUNDfilePath] = ACTIONS(2453),
    [anon_sym_POUNDline] = ACTIONS(2453),
    [anon_sym_POUNDcolumn] = ACTIONS(2453),
    [anon_sym_POUNDfunction] = ACTIONS(2453),
    [anon_sym_POUNDdsohandle] = ACTIONS(2453),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(2453),
    [anon_sym_POUNDfileLiteral] = ACTIONS(2453),
    [anon_sym_POUNDimageLiteral] = ACTIONS(2453),
    [anon_sym_LBRACE] = ACTIONS(2453),
    [anon_sym_CARET_LBRACE] = ACTIONS(2453),
    [anon_sym_RBRACE] = ACTIONS(2453),
    [anon_sym_self] = ACTIONS(2451),
    [anon_sym_super] = ACTIONS(2451),
    [anon_sym_case] = ACTIONS(2451),
    [anon_sym_POUNDkeyPath] = ACTIONS(2453),
    [anon_sym_try] = ACTIONS(2451),
    [anon_sym_PLUS_EQ] = ACTIONS(2453),
    [anon_sym_DASH_EQ] = ACTIONS(2453),
    [anon_sym_STAR_EQ] = ACTIONS(2453),
    [anon_sym_SLASH_EQ] = ACTIONS(2453),
    [anon_sym_PERCENT_EQ] = ACTIONS(2453),
    [anon_sym_BANG_EQ] = ACTIONS(2451),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2453),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2453),
    [anon_sym_LT_EQ] = ACTIONS(2453),
    [anon_sym_GT_EQ] = ACTIONS(2453),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2453),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2453),
    [anon_sym_is] = ACTIONS(2451),
    [anon_sym_PLUS] = ACTIONS(2451),
    [anon_sym_DASH] = ACTIONS(2451),
    [anon_sym_STAR] = ACTIONS(2451),
    [anon_sym_SLASH] = ACTIONS(2451),
    [anon_sym_PERCENT] = ACTIONS(2451),
    [anon_sym_PLUS_PLUS] = ACTIONS(2453),
    [anon_sym_DASH_DASH] = ACTIONS(2453),
    [anon_sym_TILDE] = ACTIONS(2453),
    [anon_sym_PIPE] = ACTIONS(2453),
    [anon_sym_CARET] = ACTIONS(2451),
    [anon_sym_LT_LT] = ACTIONS(2453),
    [anon_sym_GT_GT] = ACTIONS(2453),
    [anon_sym_import] = ACTIONS(2451),
    [anon_sym_typealias] = ACTIONS(2451),
    [anon_sym_struct] = ACTIONS(2451),
    [anon_sym_class] = ACTIONS(2451),
    [anon_sym_enum] = ACTIONS(2451),
    [anon_sym_protocol] = ACTIONS(2451),
    [anon_sym_let] = ACTIONS(2451),
    [anon_sym_var] = ACTIONS(2451),
    [anon_sym_func] = ACTIONS(2451),
    [anon_sym_extension] = ACTIONS(2451),
    [anon_sym_indirect] = ACTIONS(2451),
    [anon_sym_BANG2] = ACTIONS(2451),
    [anon_sym_SEMI] = ACTIONS(2453),
    [anon_sym_init] = ACTIONS(2451),
    [anon_sym_deinit] = ACTIONS(2451),
    [anon_sym_subscript] = ACTIONS(2451),
    [anon_sym_prefix] = ACTIONS(2451),
    [anon_sym_infix] = ACTIONS(2451),
    [anon_sym_postfix] = ACTIONS(2451),
    [anon_sym_precedencegroup] = ACTIONS(2451),
    [anon_sym_associatedtype] = ACTIONS(2451),
    [anon_sym_AT] = ACTIONS(2451),
    [anon_sym_override] = ACTIONS(2451),
    [anon_sym_convenience] = ACTIONS(2451),
    [anon_sym_required] = ACTIONS(2451),
    [anon_sym_nonisolated] = ACTIONS(2451),
    [anon_sym_public] = ACTIONS(2451),
    [anon_sym_private] = ACTIONS(2451),
    [anon_sym_internal] = ACTIONS(2451),
    [anon_sym_fileprivate] = ACTIONS(2451),
    [anon_sym_open] = ACTIONS(2451),
    [anon_sym_mutating] = ACTIONS(2451),
    [anon_sym_nonmutating] = ACTIONS(2451),
    [anon_sym_static] = ACTIONS(2451),
    [anon_sym_dynamic] = ACTIONS(2451),
    [anon_sym_optional] = ACTIONS(2451),
    [anon_sym_distributed] = ACTIONS(2451),
    [anon_sym_final] = ACTIONS(2451),
    [anon_sym_inout] = ACTIONS(2451),
    [anon_sym_ATescaping] = ACTIONS(2453),
    [anon_sym_ATautoclosure] = ACTIONS(2453),
    [anon_sym_weak] = ACTIONS(2451),
    [anon_sym_unowned] = ACTIONS(2451),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2453),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2453),
    [anon_sym_borrowing] = ACTIONS(2451),
    [anon_sym_consuming] = ACTIONS(2451),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(2453),
    [sym_raw_str_end_part] = ACTIONS(2453),
    [sym__dot_custom] = ACTIONS(2453),
    [sym__conjunction_operator_custom] = ACTIONS(2453),
    [sym__disjunction_operator_custom] = ACTIONS(2453),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2453),
    [sym__eq_custom] = ACTIONS(2453),
    [sym__eq_eq_custom] = ACTIONS(2453),
    [sym__plus_then_ws] = ACTIONS(2453),
    [sym__minus_then_ws] = ACTIONS(2453),
    [sym__bang_custom] = ACTIONS(2453),
    [sym__as_custom] = ACTIONS(2453),
    [sym__as_quest_custom] = ACTIONS(2453),
    [sym__as_bang_custom] = ACTIONS(2453),
    [sym__custom_operator] = ACTIONS(2453),
  },
  [608] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2425),
    [aux_sym_simple_identifier_token2] = ACTIONS(2427),
    [aux_sym_simple_identifier_token3] = ACTIONS(2427),
    [aux_sym_simple_identifier_token4] = ACTIONS(2427),
    [anon_sym_actor] = ACTIONS(2425),
    [anon_sym_async] = ACTIONS(2425),
    [anon_sym_each] = ACTIONS(2425),
    [anon_sym_lazy] = ACTIONS(2425),
    [anon_sym_repeat] = ACTIONS(2425),
    [anon_sym_package] = ACTIONS(2425),
    [anon_sym_nil] = ACTIONS(2425),
    [sym_real_literal] = ACTIONS(2427),
    [sym_integer_literal] = ACTIONS(2425),
    [sym_hex_literal] = ACTIONS(2427),
    [sym_oct_literal] = ACTIONS(2427),
    [sym_bin_literal] = ACTIONS(2427),
    [anon_sym_true] = ACTIONS(2425),
    [anon_sym_false] = ACTIONS(2425),
    [anon_sym_DQUOTE] = ACTIONS(2425),
    [anon_sym_BSLASH] = ACTIONS(2427),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2427),
    [anon_sym_COMMA] = ACTIONS(2455),
    [sym__extended_regex_literal] = ACTIONS(2427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(2427),
    [sym__oneline_regex_literal] = ACTIONS(2425),
    [anon_sym_LPAREN] = ACTIONS(2427),
    [anon_sym_LBRACK] = ACTIONS(2427),
    [anon_sym_QMARK] = ACTIONS(2457),
    [anon_sym_QMARK2] = ACTIONS(2455),
    [anon_sym_AMP] = ACTIONS(2427),
    [anon_sym_if] = ACTIONS(2425),
    [anon_sym_switch] = ACTIONS(2425),
    [anon_sym_POUNDselector] = ACTIONS(2427),
    [aux_sym_custom_operator_token1] = ACTIONS(2427),
    [anon_sym_LT] = ACTIONS(2425),
    [anon_sym_GT] = ACTIONS(2425),
    [anon_sym_await] = ACTIONS(2425),
    [anon_sym_POUNDfile] = ACTIONS(2425),
    [anon_sym_POUNDfileID] = ACTIONS(2427),
    [anon_sym_POUNDfilePath] = ACTIONS(2427),
    [anon_sym_POUNDline] = ACTIONS(2427),
    [anon_sym_POUNDcolumn] = ACTIONS(2427),
    [anon_sym_POUNDfunction] = ACTIONS(2427),
    [anon_sym_POUNDdsohandle] = ACTIONS(2427),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(2427),
    [anon_sym_POUNDfileLiteral] = ACTIONS(2427),
    [anon_sym_POUNDimageLiteral] = ACTIONS(2427),
    [anon_sym_LBRACE] = ACTIONS(2427),
    [anon_sym_CARET_LBRACE] = ACTIONS(2427),
    [anon_sym_RBRACE] = ACTIONS(2455),
    [anon_sym_self] = ACTIONS(2425),
    [anon_sym_super] = ACTIONS(2425),
    [anon_sym_case] = ACTIONS(2457),
    [anon_sym_POUNDkeyPath] = ACTIONS(2427),
    [anon_sym_try] = ACTIONS(2425),
    [anon_sym_PLUS_EQ] = ACTIONS(2427),
    [anon_sym_DASH_EQ] = ACTIONS(2427),
    [anon_sym_STAR_EQ] = ACTIONS(2427),
    [anon_sym_SLASH_EQ] = ACTIONS(2427),
    [anon_sym_PERCENT_EQ] = ACTIONS(2427),
    [anon_sym_BANG_EQ] = ACTIONS(2425),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2427),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2427),
    [anon_sym_LT_EQ] = ACTIONS(2427),
    [anon_sym_GT_EQ] = ACTIONS(2427),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2427),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2427),
    [anon_sym_is] = ACTIONS(2457),
    [anon_sym_PLUS] = ACTIONS(2425),
    [anon_sym_DASH] = ACTIONS(2425),
    [anon_sym_STAR] = ACTIONS(2425),
    [anon_sym_SLASH] = ACTIONS(2425),
    [anon_sym_PERCENT] = ACTIONS(2425),
    [anon_sym_PLUS_PLUS] = ACTIONS(2427),
    [anon_sym_DASH_DASH] = ACTIONS(2427),
    [anon_sym_TILDE] = ACTIONS(2427),
    [anon_sym_PIPE] = ACTIONS(2427),
    [anon_sym_CARET] = ACTIONS(2425),
    [anon_sym_LT_LT] = ACTIONS(2427),
    [anon_sym_GT_GT] = ACTIONS(2427),
    [anon_sym_import] = ACTIONS(2457),
    [anon_sym_typealias] = ACTIONS(2457),
    [anon_sym_struct] = ACTIONS(2457),
    [anon_sym_class] = ACTIONS(2457),
    [anon_sym_enum] = ACTIONS(2457),
    [anon_sym_protocol] = ACTIONS(2457),
    [anon_sym_let] = ACTIONS(2457),
    [anon_sym_var] = ACTIONS(2457),
    [anon_sym_func] = ACTIONS(2457),
    [anon_sym_extension] = ACTIONS(2457),
    [anon_sym_indirect] = ACTIONS(2457),
    [anon_sym_BANG2] = ACTIONS(2425),
    [anon_sym_SEMI] = ACTIONS(2455),
    [anon_sym_init] = ACTIONS(2457),
    [anon_sym_deinit] = ACTIONS(2457),
    [anon_sym_subscript] = ACTIONS(2457),
    [anon_sym_prefix] = ACTIONS(2457),
    [anon_sym_infix] = ACTIONS(2457),
    [anon_sym_postfix] = ACTIONS(2457),
    [anon_sym_precedencegroup] = ACTIONS(2457),
    [anon_sym_associatedtype] = ACTIONS(2457),
    [anon_sym_AT] = ACTIONS(2457),
    [anon_sym_override] = ACTIONS(2457),
    [anon_sym_convenience] = ACTIONS(2457),
    [anon_sym_required] = ACTIONS(2457),
    [anon_sym_nonisolated] = ACTIONS(2457),
    [anon_sym_public] = ACTIONS(2457),
    [anon_sym_private] = ACTIONS(2457),
    [anon_sym_internal] = ACTIONS(2457),
    [anon_sym_fileprivate] = ACTIONS(2457),
    [anon_sym_open] = ACTIONS(2457),
    [anon_sym_mutating] = ACTIONS(2457),
    [anon_sym_nonmutating] = ACTIONS(2457),
    [anon_sym_static] = ACTIONS(2457),
    [anon_sym_dynamic] = ACTIONS(2457),
    [anon_sym_optional] = ACTIONS(2457),
    [anon_sym_distributed] = ACTIONS(2457),
    [anon_sym_final] = ACTIONS(2457),
    [anon_sym_inout] = ACTIONS(2457),
    [anon_sym_ATescaping] = ACTIONS(2455),
    [anon_sym_ATautoclosure] = ACTIONS(2455),
    [anon_sym_weak] = ACTIONS(2457),
    [anon_sym_unowned] = ACTIONS(2457),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2455),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2455),
    [anon_sym_borrowing] = ACTIONS(2425),
    [anon_sym_consuming] = ACTIONS(2425),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(2427),
    [sym_raw_str_end_part] = ACTIONS(2427),
    [sym__dot_custom] = ACTIONS(2427),
    [sym__conjunction_operator_custom] = ACTIONS(2455),
    [sym__disjunction_operator_custom] = ACTIONS(2455),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2455),
    [sym__eq_custom] = ACTIONS(2427),
    [sym__eq_eq_custom] = ACTIONS(2427),
    [sym__plus_then_ws] = ACTIONS(2427),
    [sym__minus_then_ws] = ACTIONS(2427),
    [sym__bang_custom] = ACTIONS(2427),
    [sym__as_custom] = ACTIONS(2455),
    [sym__as_quest_custom] = ACTIONS(2455),
    [sym__as_bang_custom] = ACTIONS(2455),
    [sym__custom_operator] = ACTIONS(2427),
  },
  [609] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2437),
    [aux_sym_simple_identifier_token2] = ACTIONS(2439),
    [aux_sym_simple_identifier_token3] = ACTIONS(2439),
    [aux_sym_simple_identifier_token4] = ACTIONS(2439),
    [anon_sym_actor] = ACTIONS(2459),
    [anon_sym_async] = ACTIONS(2459),
    [anon_sym_each] = ACTIONS(2437),
    [anon_sym_lazy] = ACTIONS(2459),
    [anon_sym_repeat] = ACTIONS(2437),
    [anon_sym_package] = ACTIONS(2459),
    [anon_sym_nil] = ACTIONS(2437),
    [sym_real_literal] = ACTIONS(2439),
    [sym_integer_literal] = ACTIONS(2437),
    [sym_hex_literal] = ACTIONS(2439),
    [sym_oct_literal] = ACTIONS(2439),
    [sym_bin_literal] = ACTIONS(2439),
    [anon_sym_true] = ACTIONS(2437),
    [anon_sym_false] = ACTIONS(2437),
    [anon_sym_DQUOTE] = ACTIONS(2437),
    [anon_sym_BSLASH] = ACTIONS(2439),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2439),
    [anon_sym_COMMA] = ACTIONS(2462),
    [sym__extended_regex_literal] = ACTIONS(2439),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(2439),
    [sym__oneline_regex_literal] = ACTIONS(2437),
    [anon_sym_LPAREN] = ACTIONS(2464),
    [anon_sym_LBRACK] = ACTIONS(2464),
    [anon_sym_QMARK] = ACTIONS(2467),
    [anon_sym_QMARK2] = ACTIONS(2462),
    [anon_sym_AMP] = ACTIONS(2464),
    [anon_sym_if] = ACTIONS(2437),
    [anon_sym_switch] = ACTIONS(2437),
    [anon_sym_POUNDselector] = ACTIONS(2439),
    [aux_sym_custom_operator_token1] = ACTIONS(2464),
    [anon_sym_LT] = ACTIONS(2459),
    [anon_sym_GT] = ACTIONS(2459),
    [anon_sym_await] = ACTIONS(2437),
    [anon_sym_POUNDfile] = ACTIONS(2437),
    [anon_sym_POUNDfileID] = ACTIONS(2439),
    [anon_sym_POUNDfilePath] = ACTIONS(2439),
    [anon_sym_POUNDline] = ACTIONS(2439),
    [anon_sym_POUNDcolumn] = ACTIONS(2439),
    [anon_sym_POUNDfunction] = ACTIONS(2439),
    [anon_sym_POUNDdsohandle] = ACTIONS(2439),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(2439),
    [anon_sym_POUNDfileLiteral] = ACTIONS(2439),
    [anon_sym_POUNDimageLiteral] = ACTIONS(2439),
    [anon_sym_LBRACE] = ACTIONS(2464),
    [anon_sym_CARET_LBRACE] = ACTIONS(2464),
    [anon_sym_RBRACE] = ACTIONS(2462),
    [anon_sym_self] = ACTIONS(2437),
    [anon_sym_super] = ACTIONS(2437),
    [anon_sym_case] = ACTIONS(2467),
    [anon_sym_POUNDkeyPath] = ACTIONS(2439),
    [anon_sym_try] = ACTIONS(2437),
    [anon_sym_PLUS_EQ] = ACTIONS(2464),
    [anon_sym_DASH_EQ] = ACTIONS(2464),
    [anon_sym_STAR_EQ] = ACTIONS(2464),
    [anon_sym_SLASH_EQ] = ACTIONS(2464),
    [anon_sym_PERCENT_EQ] = ACTIONS(2464),
    [anon_sym_BANG_EQ] = ACTIONS(2459),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2464),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2464),
    [anon_sym_LT_EQ] = ACTIONS(2464),
    [anon_sym_GT_EQ] = ACTIONS(2464),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2464),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2464),
    [anon_sym_is] = ACTIONS(2467),
    [anon_sym_PLUS] = ACTIONS(2459),
    [anon_sym_DASH] = ACTIONS(2459),
    [anon_sym_STAR] = ACTIONS(2459),
    [anon_sym_SLASH] = ACTIONS(2459),
    [anon_sym_PERCENT] = ACTIONS(2459),
    [anon_sym_PLUS_PLUS] = ACTIONS(2464),
    [anon_sym_DASH_DASH] = ACTIONS(2464),
    [anon_sym_TILDE] = ACTIONS(2439),
    [anon_sym_PIPE] = ACTIONS(2464),
    [anon_sym_CARET] = ACTIONS(2459),
    [anon_sym_LT_LT] = ACTIONS(2464),
    [anon_sym_GT_GT] = ACTIONS(2464),
    [anon_sym_import] = ACTIONS(2467),
    [anon_sym_typealias] = ACTIONS(2467),
    [anon_sym_struct] = ACTIONS(2467),
    [anon_sym_class] = ACTIONS(2467),
    [anon_sym_enum] = ACTIONS(2467),
    [anon_sym_protocol] = ACTIONS(2467),
    [anon_sym_let] = ACTIONS(2467),
    [anon_sym_var] = ACTIONS(2467),
    [anon_sym_func] = ACTIONS(2467),
    [anon_sym_extension] = ACTIONS(2467),
    [anon_sym_indirect] = ACTIONS(2467),
    [anon_sym_BANG2] = ACTIONS(2459),
    [anon_sym_SEMI] = ACTIONS(2462),
    [anon_sym_init] = ACTIONS(2467),
    [anon_sym_deinit] = ACTIONS(2467),
    [anon_sym_subscript] = ACTIONS(2467),
    [anon_sym_prefix] = ACTIONS(2467),
    [anon_sym_infix] = ACTIONS(2467),
    [anon_sym_postfix] = ACTIONS(2467),
    [anon_sym_precedencegroup] = ACTIONS(2467),
    [anon_sym_associatedtype] = ACTIONS(2467),
    [anon_sym_AT] = ACTIONS(2467),
    [anon_sym_override] = ACTIONS(2467),
    [anon_sym_convenience] = ACTIONS(2467),
    [anon_sym_required] = ACTIONS(2467),
    [anon_sym_nonisolated] = ACTIONS(2467),
    [anon_sym_public] = ACTIONS(2467),
    [anon_sym_private] = ACTIONS(2467),
    [anon_sym_internal] = ACTIONS(2467),
    [anon_sym_fileprivate] = ACTIONS(2467),
    [anon_sym_open] = ACTIONS(2467),
    [anon_sym_mutating] = ACTIONS(2467),
    [anon_sym_nonmutating] = ACTIONS(2467),
    [anon_sym_static] = ACTIONS(2467),
    [anon_sym_dynamic] = ACTIONS(2467),
    [anon_sym_optional] = ACTIONS(2467),
    [anon_sym_distributed] = ACTIONS(2467),
    [anon_sym_final] = ACTIONS(2467),
    [anon_sym_inout] = ACTIONS(2467),
    [anon_sym_ATescaping] = ACTIONS(2462),
    [anon_sym_ATautoclosure] = ACTIONS(2462),
    [anon_sym_weak] = ACTIONS(2467),
    [anon_sym_unowned] = ACTIONS(2467),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2462),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2462),
    [anon_sym_borrowing] = ACTIONS(2459),
    [anon_sym_consuming] = ACTIONS(2459),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(2439),
    [sym_raw_str_end_part] = ACTIONS(2439),
    [sym__dot_custom] = ACTIONS(2464),
    [sym__conjunction_operator_custom] = ACTIONS(2462),
    [sym__disjunction_operator_custom] = ACTIONS(2462),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2462),
    [sym__eq_custom] = ACTIONS(2464),
    [sym__eq_eq_custom] = ACTIONS(2464),
    [sym__plus_then_ws] = ACTIONS(2464),
    [sym__minus_then_ws] = ACTIONS(2464),
    [sym__bang_custom] = ACTIONS(2464),
    [sym__as_custom] = ACTIONS(2462),
    [sym__as_quest_custom] = ACTIONS(2462),
    [sym__as_bang_custom] = ACTIONS(2462),
    [sym__custom_operator] = ACTIONS(2464),
  },
  [610] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2469),
    [aux_sym_simple_identifier_token2] = ACTIONS(2471),
    [aux_sym_simple_identifier_token3] = ACTIONS(2471),
    [aux_sym_simple_identifier_token4] = ACTIONS(2471),
    [anon_sym_actor] = ACTIONS(2469),
    [anon_sym_async] = ACTIONS(2469),
    [anon_sym_each] = ACTIONS(2469),
    [anon_sym_lazy] = ACTIONS(2469),
    [anon_sym_repeat] = ACTIONS(2469),
    [anon_sym_package] = ACTIONS(2469),
    [anon_sym_nil] = ACTIONS(2469),
    [sym_real_literal] = ACTIONS(2471),
    [sym_integer_literal] = ACTIONS(2469),
    [sym_hex_literal] = ACTIONS(2471),
    [sym_oct_literal] = ACTIONS(2471),
    [sym_bin_literal] = ACTIONS(2471),
    [anon_sym_true] = ACTIONS(2469),
    [anon_sym_false] = ACTIONS(2469),
    [anon_sym_DQUOTE] = ACTIONS(2469),
    [anon_sym_BSLASH] = ACTIONS(2471),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2471),
    [anon_sym_COMMA] = ACTIONS(2471),
    [sym__extended_regex_literal] = ACTIONS(2471),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(2471),
    [sym__oneline_regex_literal] = ACTIONS(2469),
    [anon_sym_LPAREN] = ACTIONS(2471),
    [anon_sym_LBRACK] = ACTIONS(2471),
    [anon_sym_QMARK] = ACTIONS(2469),
    [anon_sym_QMARK2] = ACTIONS(2471),
    [anon_sym_AMP] = ACTIONS(2471),
    [anon_sym_if] = ACTIONS(2469),
    [anon_sym_switch] = ACTIONS(2469),
    [anon_sym_POUNDselector] = ACTIONS(2471),
    [aux_sym_custom_operator_token1] = ACTIONS(2471),
    [anon_sym_LT] = ACTIONS(2469),
    [anon_sym_GT] = ACTIONS(2469),
    [anon_sym_await] = ACTIONS(2469),
    [anon_sym_POUNDfile] = ACTIONS(2469),
    [anon_sym_POUNDfileID] = ACTIONS(2471),
    [anon_sym_POUNDfilePath] = ACTIONS(2471),
    [anon_sym_POUNDline] = ACTIONS(2471),
    [anon_sym_POUNDcolumn] = ACTIONS(2471),
    [anon_sym_POUNDfunction] = ACTIONS(2471),
    [anon_sym_POUNDdsohandle] = ACTIONS(2471),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(2471),
    [anon_sym_POUNDfileLiteral] = ACTIONS(2471),
    [anon_sym_POUNDimageLiteral] = ACTIONS(2471),
    [anon_sym_LBRACE] = ACTIONS(2471),
    [anon_sym_CARET_LBRACE] = ACTIONS(2471),
    [anon_sym_RBRACE] = ACTIONS(2471),
    [anon_sym_self] = ACTIONS(2469),
    [anon_sym_super] = ACTIONS(2469),
    [anon_sym_case] = ACTIONS(2469),
    [anon_sym_POUNDkeyPath] = ACTIONS(2471),
    [anon_sym_try] = ACTIONS(2469),
    [anon_sym_PLUS_EQ] = ACTIONS(2471),
    [anon_sym_DASH_EQ] = ACTIONS(2471),
    [anon_sym_STAR_EQ] = ACTIONS(2471),
    [anon_sym_SLASH_EQ] = ACTIONS(2471),
    [anon_sym_PERCENT_EQ] = ACTIONS(2471),
    [anon_sym_BANG_EQ] = ACTIONS(2469),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2471),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2471),
    [anon_sym_LT_EQ] = ACTIONS(2471),
    [anon_sym_GT_EQ] = ACTIONS(2471),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2471),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2471),
    [anon_sym_is] = ACTIONS(2469),
    [anon_sym_PLUS] = ACTIONS(2469),
    [anon_sym_DASH] = ACTIONS(2469),
    [anon_sym_STAR] = ACTIONS(2469),
    [anon_sym_SLASH] = ACTIONS(2469),
    [anon_sym_PERCENT] = ACTIONS(2469),
    [anon_sym_PLUS_PLUS] = ACTIONS(2471),
    [anon_sym_DASH_DASH] = ACTIONS(2471),
    [anon_sym_TILDE] = ACTIONS(2471),
    [anon_sym_PIPE] = ACTIONS(2471),
    [anon_sym_CARET] = ACTIONS(2469),
    [anon_sym_LT_LT] = ACTIONS(2471),
    [anon_sym_GT_GT] = ACTIONS(2471),
    [anon_sym_import] = ACTIONS(2469),
    [anon_sym_typealias] = ACTIONS(2469),
    [anon_sym_struct] = ACTIONS(2469),
    [anon_sym_class] = ACTIONS(2469),
    [anon_sym_enum] = ACTIONS(2469),
    [anon_sym_protocol] = ACTIONS(2469),
    [anon_sym_let] = ACTIONS(2469),
    [anon_sym_var] = ACTIONS(2469),
    [anon_sym_func] = ACTIONS(2469),
    [anon_sym_extension] = ACTIONS(2469),
    [anon_sym_indirect] = ACTIONS(2469),
    [anon_sym_BANG2] = ACTIONS(2469),
    [anon_sym_SEMI] = ACTIONS(2471),
    [anon_sym_init] = ACTIONS(2469),
    [anon_sym_deinit] = ACTIONS(2469),
    [anon_sym_subscript] = ACTIONS(2469),
    [anon_sym_prefix] = ACTIONS(2469),
    [anon_sym_infix] = ACTIONS(2469),
    [anon_sym_postfix] = ACTIONS(2469),
    [anon_sym_precedencegroup] = ACTIONS(2469),
    [anon_sym_associatedtype] = ACTIONS(2469),
    [anon_sym_AT] = ACTIONS(2469),
    [anon_sym_override] = ACTIONS(2469),
    [anon_sym_convenience] = ACTIONS(2469),
    [anon_sym_required] = ACTIONS(2469),
    [anon_sym_nonisolated] = ACTIONS(2469),
    [anon_sym_public] = ACTIONS(2469),
    [anon_sym_private] = ACTIONS(2469),
    [anon_sym_internal] = ACTIONS(2469),
    [anon_sym_fileprivate] = ACTIONS(2469),
    [anon_sym_open] = ACTIONS(2469),
    [anon_sym_mutating] = ACTIONS(2469),
    [anon_sym_nonmutating] = ACTIONS(2469),
    [anon_sym_static] = ACTIONS(2469),
    [anon_sym_dynamic] = ACTIONS(2469),
    [anon_sym_optional] = ACTIONS(2469),
    [anon_sym_distributed] = ACTIONS(2469),
    [anon_sym_final] = ACTIONS(2469),
    [anon_sym_inout] = ACTIONS(2469),
    [anon_sym_ATescaping] = ACTIONS(2471),
    [anon_sym_ATautoclosure] = ACTIONS(2471),
    [anon_sym_weak] = ACTIONS(2469),
    [anon_sym_unowned] = ACTIONS(2469),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2471),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2471),
    [anon_sym_borrowing] = ACTIONS(2469),
    [anon_sym_consuming] = ACTIONS(2469),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(2471),
    [sym_raw_str_end_part] = ACTIONS(2471),
    [sym__dot_custom] = ACTIONS(2471),
    [sym__conjunction_operator_custom] = ACTIONS(2471),
    [sym__disjunction_operator_custom] = ACTIONS(2471),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2471),
    [sym__eq_custom] = ACTIONS(2471),
    [sym__eq_eq_custom] = ACTIONS(2471),
    [sym__plus_then_ws] = ACTIONS(2471),
    [sym__minus_then_ws] = ACTIONS(2471),
    [sym__bang_custom] = ACTIONS(2471),
    [sym__as_custom] = ACTIONS(2471),
    [sym__as_quest_custom] = ACTIONS(2471),
    [sym__as_bang_custom] = ACTIONS(2471),
    [sym__custom_operator] = ACTIONS(2471),
  },
  [611] = {
    [ts_builtin_sym_end] = ACTIONS(2473),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2475),
    [aux_sym_simple_identifier_token2] = ACTIONS(2473),
    [aux_sym_simple_identifier_token3] = ACTIONS(2473),
    [aux_sym_simple_identifier_token4] = ACTIONS(2473),
    [anon_sym_actor] = ACTIONS(2475),
    [anon_sym_async] = ACTIONS(2475),
    [anon_sym_each] = ACTIONS(2475),
    [anon_sym_lazy] = ACTIONS(2475),
    [anon_sym_repeat] = ACTIONS(2475),
    [anon_sym_package] = ACTIONS(2475),
    [anon_sym_nil] = ACTIONS(2475),
    [sym_real_literal] = ACTIONS(2473),
    [sym_integer_literal] = ACTIONS(2475),
    [sym_hex_literal] = ACTIONS(2473),
    [sym_oct_literal] = ACTIONS(2473),
    [sym_bin_literal] = ACTIONS(2473),
    [anon_sym_true] = ACTIONS(2475),
    [anon_sym_false] = ACTIONS(2475),
    [anon_sym_DQUOTE] = ACTIONS(2475),
    [anon_sym_BSLASH] = ACTIONS(2473),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2473),
    [sym__extended_regex_literal] = ACTIONS(2473),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(2473),
    [sym__oneline_regex_literal] = ACTIONS(2475),
    [anon_sym_LPAREN] = ACTIONS(2473),
    [anon_sym_LBRACK] = ACTIONS(2473),
    [anon_sym_AMP] = ACTIONS(2473),
    [anon_sym_if] = ACTIONS(2475),
    [anon_sym_switch] = ACTIONS(2475),
    [anon_sym_POUNDselector] = ACTIONS(2473),
    [aux_sym_custom_operator_token1] = ACTIONS(2473),
    [anon_sym_LT] = ACTIONS(2475),
    [anon_sym_GT] = ACTIONS(2475),
    [anon_sym_await] = ACTIONS(2475),
    [anon_sym_POUNDfile] = ACTIONS(2475),
    [anon_sym_POUNDfileID] = ACTIONS(2473),
    [anon_sym_POUNDfilePath] = ACTIONS(2473),
    [anon_sym_POUNDline] = ACTIONS(2473),
    [anon_sym_POUNDcolumn] = ACTIONS(2473),
    [anon_sym_POUNDfunction] = ACTIONS(2473),
    [anon_sym_POUNDdsohandle] = ACTIONS(2473),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(2473),
    [anon_sym_POUNDfileLiteral] = ACTIONS(2473),
    [anon_sym_POUNDimageLiteral] = ACTIONS(2473),
    [anon_sym_LBRACE] = ACTIONS(2473),
    [anon_sym_CARET_LBRACE] = ACTIONS(2473),
    [anon_sym_self] = ACTIONS(2475),
    [anon_sym_super] = ACTIONS(2475),
    [anon_sym_guard] = ACTIONS(2475),
    [anon_sym_do] = ACTIONS(2475),
    [anon_sym_POUNDkeyPath] = ACTIONS(2473),
    [anon_sym_try] = ACTIONS(2475),
    [anon_sym_PLUS_EQ] = ACTIONS(2473),
    [anon_sym_DASH_EQ] = ACTIONS(2473),
    [anon_sym_STAR_EQ] = ACTIONS(2473),
    [anon_sym_SLASH_EQ] = ACTIONS(2473),
    [anon_sym_PERCENT_EQ] = ACTIONS(2473),
    [anon_sym_BANG_EQ] = ACTIONS(2475),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2473),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2473),
    [anon_sym_LT_EQ] = ACTIONS(2473),
    [anon_sym_GT_EQ] = ACTIONS(2473),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2473),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2473),
    [anon_sym_PLUS] = ACTIONS(2475),
    [anon_sym_DASH] = ACTIONS(2475),
    [anon_sym_STAR] = ACTIONS(2475),
    [anon_sym_SLASH] = ACTIONS(2475),
    [anon_sym_PERCENT] = ACTIONS(2475),
    [anon_sym_PLUS_PLUS] = ACTIONS(2473),
    [anon_sym_DASH_DASH] = ACTIONS(2473),
    [anon_sym_TILDE] = ACTIONS(2473),
    [anon_sym_PIPE] = ACTIONS(2473),
    [anon_sym_CARET] = ACTIONS(2475),
    [anon_sym_LT_LT] = ACTIONS(2473),
    [anon_sym_GT_GT] = ACTIONS(2473),
    [sym_statement_label] = ACTIONS(2473),
    [anon_sym_for] = ACTIONS(2475),
    [anon_sym_while] = ACTIONS(2475),
    [sym_throw_keyword] = ACTIONS(2475),
    [anon_sym_import] = ACTIONS(2475),
    [anon_sym_typealias] = ACTIONS(2475),
    [anon_sym_struct] = ACTIONS(2475),
    [anon_sym_class] = ACTIONS(2475),
    [anon_sym_enum] = ACTIONS(2475),
    [anon_sym_protocol] = ACTIONS(2475),
    [anon_sym_let] = ACTIONS(2475),
    [anon_sym_var] = ACTIONS(2475),
    [anon_sym_func] = ACTIONS(2475),
    [anon_sym_macro] = ACTIONS(2475),
    [anon_sym_extension] = ACTIONS(2475),
    [anon_sym_indirect] = ACTIONS(2475),
    [anon_sym_BANG2] = ACTIONS(2475),
    [anon_sym_init] = ACTIONS(2475),
    [anon_sym_prefix] = ACTIONS(2475),
    [anon_sym_infix] = ACTIONS(2475),
    [anon_sym_postfix] = ACTIONS(2475),
    [anon_sym_precedencegroup] = ACTIONS(2475),
    [anon_sym_associatedtype] = ACTIONS(2475),
    [anon_sym_AT] = ACTIONS(2475),
    [anon_sym_override] = ACTIONS(2475),
    [anon_sym_convenience] = ACTIONS(2475),
    [anon_sym_required] = ACTIONS(2475),
    [anon_sym_nonisolated] = ACTIONS(2475),
    [anon_sym_public] = ACTIONS(2475),
    [anon_sym_private] = ACTIONS(2475),
    [anon_sym_internal] = ACTIONS(2475),
    [anon_sym_fileprivate] = ACTIONS(2475),
    [anon_sym_open] = ACTIONS(2475),
    [anon_sym_mutating] = ACTIONS(2475),
    [anon_sym_nonmutating] = ACTIONS(2475),
    [anon_sym_static] = ACTIONS(2475),
    [anon_sym_dynamic] = ACTIONS(2475),
    [anon_sym_optional] = ACTIONS(2475),
    [anon_sym_distributed] = ACTIONS(2475),
    [anon_sym_final] = ACTIONS(2475),
    [anon_sym_inout] = ACTIONS(2475),
    [anon_sym_ATescaping] = ACTIONS(2473),
    [anon_sym_ATautoclosure] = ACTIONS(2473),
    [anon_sym_weak] = ACTIONS(2475),
    [anon_sym_unowned] = ACTIONS(2475),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2473),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2473),
    [anon_sym_borrowing] = ACTIONS(2475),
    [anon_sym_consuming] = ACTIONS(2475),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(2473),
    [sym_raw_str_end_part] = ACTIONS(2473),
    [sym__dot_custom] = ACTIONS(2473),
    [sym__eq_custom] = ACTIONS(2473),
    [sym__eq_eq_custom] = ACTIONS(2473),
    [sym__plus_then_ws] = ACTIONS(2473),
    [sym__minus_then_ws] = ACTIONS(2473),
    [sym__bang_custom] = ACTIONS(2473),
    [sym__custom_operator] = ACTIONS(2473),
  },
  [612] = {
    [sym_simple_identifier] = STATE(692),
    [sym__contextual_simple_identifier] = STATE(702),
    [sym__unannotated_type] = STATE(691),
    [sym_user_type] = STATE(685),
    [sym__simple_user_type] = STATE(681),
    [sym_tuple_type] = STATE(686),
    [sym_function_type] = STATE(691),
    [sym_array_type] = STATE(685),
    [sym_dictionary_type] = STATE(685),
    [sym_optional_type] = STATE(691),
    [sym_metatype] = STATE(691),
    [sym_opaque_type] = STATE(691),
    [sym_existential_type] = STATE(691),
    [sym_type_parameter_pack] = STATE(691),
    [sym_type_pack_expansion] = STATE(691),
    [sym_protocol_composition_type] = STATE(691),
    [sym__parenthesized_type] = STATE(713),
    [sym__parameter_ownership_modifier] = STATE(702),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(767),
    [aux_sym_simple_identifier_token2] = ACTIONS(769),
    [aux_sym_simple_identifier_token3] = ACTIONS(769),
    [aux_sym_simple_identifier_token4] = ACTIONS(769),
    [anon_sym_actor] = ACTIONS(2477),
    [anon_sym_async] = ACTIONS(2477),
    [anon_sym_each] = ACTIONS(2480),
    [anon_sym_lazy] = ACTIONS(2477),
    [anon_sym_repeat] = ACTIONS(2482),
    [anon_sym_package] = ACTIONS(2477),
    [anon_sym_COMMA] = ACTIONS(631),
    [anon_sym_LPAREN] = ACTIONS(2484),
    [anon_sym_LBRACK] = ACTIONS(2487),
    [anon_sym_DOT] = ACTIONS(637),
    [anon_sym_QMARK] = ACTIONS(637),
    [anon_sym_QMARK2] = ACTIONS(631),
    [anon_sym_some] = ACTIONS(2490),
    [anon_sym_any] = ACTIONS(2492),
    [anon_sym_AMP] = ACTIONS(631),
    [aux_sym_custom_operator_token1] = ACTIONS(631),
    [anon_sym_LT] = ACTIONS(637),
    [anon_sym_GT] = ACTIONS(637),
    [anon_sym_LBRACE] = ACTIONS(631),
    [anon_sym_CARET_LBRACE] = ACTIONS(631),
    [anon_sym_RBRACE] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(637),
    [anon_sym_PLUS_EQ] = ACTIONS(631),
    [anon_sym_DASH_EQ] = ACTIONS(631),
    [anon_sym_STAR_EQ] = ACTIONS(631),
    [anon_sym_SLASH_EQ] = ACTIONS(631),
    [anon_sym_PERCENT_EQ] = ACTIONS(631),
    [anon_sym_BANG_EQ] = ACTIONS(637),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(631),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(631),
    [anon_sym_LT_EQ] = ACTIONS(631),
    [anon_sym_GT_EQ] = ACTIONS(631),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(631),
    [anon_sym_DOT_DOT_LT] = ACTIONS(631),
    [anon_sym_is] = ACTIONS(637),
    [anon_sym_PLUS] = ACTIONS(637),
    [anon_sym_DASH] = ACTIONS(637),
    [anon_sym_STAR] = ACTIONS(637),
    [anon_sym_SLASH] = ACTIONS(637),
    [anon_sym_PERCENT] = ACTIONS(637),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PIPE] = ACTIONS(631),
    [anon_sym_CARET] = ACTIONS(637),
    [anon_sym_LT_LT] = ACTIONS(631),
    [anon_sym_GT_GT] = ACTIONS(631),
    [anon_sym_import] = ACTIONS(637),
    [anon_sym_typealias] = ACTIONS(637),
    [anon_sym_struct] = ACTIONS(637),
    [anon_sym_class] = ACTIONS(637),
    [anon_sym_enum] = ACTIONS(637),
    [anon_sym_protocol] = ACTIONS(637),
    [anon_sym_let] = ACTIONS(637),
    [anon_sym_var] = ACTIONS(637),
    [anon_sym_func] = ACTIONS(637),
    [anon_sym_extension] = ACTIONS(637),
    [anon_sym_indirect] = ACTIONS(637),
    [anon_sym_BANG2] = ACTIONS(637),
    [anon_sym_SEMI] = ACTIONS(631),
    [anon_sym_init] = ACTIONS(637),
    [anon_sym_deinit] = ACTIONS(637),
    [anon_sym_subscript] = ACTIONS(637),
    [anon_sym_prefix] = ACTIONS(637),
    [anon_sym_infix] = ACTIONS(637),
    [anon_sym_postfix] = ACTIONS(637),
    [anon_sym_precedencegroup] = ACTIONS(637),
    [anon_sym_associatedtype] = ACTIONS(637),
    [anon_sym_AT] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_convenience] = ACTIONS(637),
    [anon_sym_required] = ACTIONS(637),
    [anon_sym_nonisolated] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_internal] = ACTIONS(637),
    [anon_sym_fileprivate] = ACTIONS(637),
    [anon_sym_open] = ACTIONS(637),
    [anon_sym_mutating] = ACTIONS(637),
    [anon_sym_nonmutating] = ACTIONS(637),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_dynamic] = ACTIONS(637),
    [anon_sym_optional] = ACTIONS(637),
    [anon_sym_distributed] = ACTIONS(637),
    [anon_sym_final] = ACTIONS(637),
    [anon_sym_inout] = ACTIONS(637),
    [anon_sym_ATescaping] = ACTIONS(631),
    [anon_sym_ATautoclosure] = ACTIONS(631),
    [anon_sym_weak] = ACTIONS(637),
    [anon_sym_unowned] = ACTIONS(637),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(631),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(631),
    [anon_sym_borrowing] = ACTIONS(2477),
    [anon_sym_consuming] = ACTIONS(2477),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(631),
    [sym__dot_custom] = ACTIONS(631),
    [sym__conjunction_operator_custom] = ACTIONS(631),
    [sym__disjunction_operator_custom] = ACTIONS(631),
    [sym__nil_coalescing_operator_custom] = ACTIONS(631),
    [sym__eq_custom] = ACTIONS(631),
    [sym__eq_eq_custom] = ACTIONS(631),
    [sym__plus_then_ws] = ACTIONS(631),
    [sym__minus_then_ws] = ACTIONS(631),
    [sym__bang_custom] = ACTIONS(631),
    [sym__throws_keyword] = ACTIONS(631),
    [sym__rethrows_keyword] = ACTIONS(631),
    [sym__as_custom] = ACTIONS(631),
    [sym__as_quest_custom] = ACTIONS(631),
    [sym__as_bang_custom] = ACTIONS(631),
    [sym__async_keyword_custom] = ACTIONS(631),
    [sym__custom_operator] = ACTIONS(631),
  },
  [613] = {
    [sym_simple_identifier] = STATE(692),
    [sym__contextual_simple_identifier] = STATE(702),
    [sym__unannotated_type] = STATE(696),
    [sym_user_type] = STATE(685),
    [sym__simple_user_type] = STATE(681),
    [sym_tuple_type] = STATE(686),
    [sym_function_type] = STATE(696),
    [sym_array_type] = STATE(685),
    [sym_dictionary_type] = STATE(685),
    [sym_optional_type] = STATE(696),
    [sym_metatype] = STATE(696),
    [sym_opaque_type] = STATE(696),
    [sym_existential_type] = STATE(696),
    [sym_type_parameter_pack] = STATE(696),
    [sym_type_pack_expansion] = STATE(696),
    [sym_protocol_composition_type] = STATE(696),
    [sym__parenthesized_type] = STATE(713),
    [sym__parameter_ownership_modifier] = STATE(702),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(767),
    [aux_sym_simple_identifier_token2] = ACTIONS(769),
    [aux_sym_simple_identifier_token3] = ACTIONS(769),
    [aux_sym_simple_identifier_token4] = ACTIONS(769),
    [anon_sym_actor] = ACTIONS(2477),
    [anon_sym_async] = ACTIONS(2477),
    [anon_sym_each] = ACTIONS(2480),
    [anon_sym_lazy] = ACTIONS(2477),
    [anon_sym_repeat] = ACTIONS(2482),
    [anon_sym_package] = ACTIONS(2477),
    [anon_sym_COMMA] = ACTIONS(631),
    [anon_sym_LPAREN] = ACTIONS(2484),
    [anon_sym_LBRACK] = ACTIONS(2487),
    [anon_sym_DOT] = ACTIONS(637),
    [anon_sym_QMARK] = ACTIONS(637),
    [anon_sym_QMARK2] = ACTIONS(631),
    [anon_sym_some] = ACTIONS(2490),
    [anon_sym_any] = ACTIONS(2492),
    [anon_sym_AMP] = ACTIONS(631),
    [aux_sym_custom_operator_token1] = ACTIONS(631),
    [anon_sym_LT] = ACTIONS(637),
    [anon_sym_GT] = ACTIONS(637),
    [anon_sym_LBRACE] = ACTIONS(631),
    [anon_sym_CARET_LBRACE] = ACTIONS(631),
    [anon_sym_RBRACE] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(637),
    [anon_sym_PLUS_EQ] = ACTIONS(631),
    [anon_sym_DASH_EQ] = ACTIONS(631),
    [anon_sym_STAR_EQ] = ACTIONS(631),
    [anon_sym_SLASH_EQ] = ACTIONS(631),
    [anon_sym_PERCENT_EQ] = ACTIONS(631),
    [anon_sym_BANG_EQ] = ACTIONS(637),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(631),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(631),
    [anon_sym_LT_EQ] = ACTIONS(631),
    [anon_sym_GT_EQ] = ACTIONS(631),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(631),
    [anon_sym_DOT_DOT_LT] = ACTIONS(631),
    [anon_sym_is] = ACTIONS(637),
    [anon_sym_PLUS] = ACTIONS(637),
    [anon_sym_DASH] = ACTIONS(637),
    [anon_sym_STAR] = ACTIONS(637),
    [anon_sym_SLASH] = ACTIONS(637),
    [anon_sym_PERCENT] = ACTIONS(637),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PIPE] = ACTIONS(631),
    [anon_sym_CARET] = ACTIONS(637),
    [anon_sym_LT_LT] = ACTIONS(631),
    [anon_sym_GT_GT] = ACTIONS(631),
    [anon_sym_import] = ACTIONS(637),
    [anon_sym_typealias] = ACTIONS(637),
    [anon_sym_struct] = ACTIONS(637),
    [anon_sym_class] = ACTIONS(637),
    [anon_sym_enum] = ACTIONS(637),
    [anon_sym_protocol] = ACTIONS(637),
    [anon_sym_let] = ACTIONS(637),
    [anon_sym_var] = ACTIONS(637),
    [anon_sym_func] = ACTIONS(637),
    [anon_sym_extension] = ACTIONS(637),
    [anon_sym_indirect] = ACTIONS(637),
    [anon_sym_BANG2] = ACTIONS(637),
    [anon_sym_SEMI] = ACTIONS(631),
    [anon_sym_init] = ACTIONS(637),
    [anon_sym_deinit] = ACTIONS(637),
    [anon_sym_subscript] = ACTIONS(637),
    [anon_sym_prefix] = ACTIONS(637),
    [anon_sym_infix] = ACTIONS(637),
    [anon_sym_postfix] = ACTIONS(637),
    [anon_sym_precedencegroup] = ACTIONS(637),
    [anon_sym_associatedtype] = ACTIONS(637),
    [anon_sym_AT] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_convenience] = ACTIONS(637),
    [anon_sym_required] = ACTIONS(637),
    [anon_sym_nonisolated] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_internal] = ACTIONS(637),
    [anon_sym_fileprivate] = ACTIONS(637),
    [anon_sym_open] = ACTIONS(637),
    [anon_sym_mutating] = ACTIONS(637),
    [anon_sym_nonmutating] = ACTIONS(637),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_dynamic] = ACTIONS(637),
    [anon_sym_optional] = ACTIONS(637),
    [anon_sym_distributed] = ACTIONS(637),
    [anon_sym_final] = ACTIONS(637),
    [anon_sym_inout] = ACTIONS(637),
    [anon_sym_ATescaping] = ACTIONS(631),
    [anon_sym_ATautoclosure] = ACTIONS(631),
    [anon_sym_weak] = ACTIONS(637),
    [anon_sym_unowned] = ACTIONS(637),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(631),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(631),
    [anon_sym_borrowing] = ACTIONS(2477),
    [anon_sym_consuming] = ACTIONS(2477),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(631),
    [sym__dot_custom] = ACTIONS(631),
    [sym__conjunction_operator_custom] = ACTIONS(631),
    [sym__disjunction_operator_custom] = ACTIONS(631),
    [sym__nil_coalescing_operator_custom] = ACTIONS(631),
    [sym__eq_custom] = ACTIONS(631),
    [sym__eq_eq_custom] = ACTIONS(631),
    [sym__plus_then_ws] = ACTIONS(631),
    [sym__minus_then_ws] = ACTIONS(631),
    [sym__bang_custom] = ACTIONS(631),
    [sym__throws_keyword] = ACTIONS(631),
    [sym__rethrows_keyword] = ACTIONS(631),
    [sym__as_custom] = ACTIONS(631),
    [sym__as_quest_custom] = ACTIONS(631),
    [sym__as_bang_custom] = ACTIONS(631),
    [sym__async_keyword_custom] = ACTIONS(631),
    [sym__custom_operator] = ACTIONS(631),
  },
  [614] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2425),
    [aux_sym_simple_identifier_token2] = ACTIONS(2427),
    [aux_sym_simple_identifier_token3] = ACTIONS(2427),
    [aux_sym_simple_identifier_token4] = ACTIONS(2427),
    [anon_sym_actor] = ACTIONS(2425),
    [anon_sym_async] = ACTIONS(2425),
    [anon_sym_each] = ACTIONS(2425),
    [anon_sym_lazy] = ACTIONS(2425),
    [anon_sym_repeat] = ACTIONS(2425),
    [anon_sym_package] = ACTIONS(2425),
    [anon_sym_nil] = ACTIONS(2425),
    [sym_real_literal] = ACTIONS(2427),
    [sym_integer_literal] = ACTIONS(2425),
    [sym_hex_literal] = ACTIONS(2427),
    [sym_oct_literal] = ACTIONS(2427),
    [sym_bin_literal] = ACTIONS(2427),
    [anon_sym_true] = ACTIONS(2425),
    [anon_sym_false] = ACTIONS(2425),
    [anon_sym_DQUOTE] = ACTIONS(2425),
    [anon_sym_BSLASH] = ACTIONS(2427),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2427),
    [anon_sym_COMMA] = ACTIONS(2455),
    [sym__extended_regex_literal] = ACTIONS(2427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(2427),
    [sym__oneline_regex_literal] = ACTIONS(2425),
    [anon_sym_LPAREN] = ACTIONS(2427),
    [anon_sym_LBRACK] = ACTIONS(2427),
    [anon_sym_QMARK] = ACTIONS(2457),
    [anon_sym_QMARK2] = ACTIONS(2455),
    [anon_sym_AMP] = ACTIONS(2427),
    [anon_sym_if] = ACTIONS(2425),
    [anon_sym_switch] = ACTIONS(2425),
    [anon_sym_POUNDselector] = ACTIONS(2427),
    [aux_sym_custom_operator_token1] = ACTIONS(2427),
    [anon_sym_LT] = ACTIONS(2425),
    [anon_sym_GT] = ACTIONS(2425),
    [anon_sym_await] = ACTIONS(2425),
    [anon_sym_POUNDfile] = ACTIONS(2425),
    [anon_sym_POUNDfileID] = ACTIONS(2427),
    [anon_sym_POUNDfilePath] = ACTIONS(2427),
    [anon_sym_POUNDline] = ACTIONS(2427),
    [anon_sym_POUNDcolumn] = ACTIONS(2427),
    [anon_sym_POUNDfunction] = ACTIONS(2427),
    [anon_sym_POUNDdsohandle] = ACTIONS(2427),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(2427),
    [anon_sym_POUNDfileLiteral] = ACTIONS(2427),
    [anon_sym_POUNDimageLiteral] = ACTIONS(2427),
    [anon_sym_LBRACE] = ACTIONS(2427),
    [anon_sym_CARET_LBRACE] = ACTIONS(2427),
    [anon_sym_RBRACE] = ACTIONS(2455),
    [anon_sym_self] = ACTIONS(2425),
    [anon_sym_super] = ACTIONS(2425),
    [anon_sym_case] = ACTIONS(2457),
    [anon_sym_fallthrough] = ACTIONS(2457),
    [anon_sym_POUNDkeyPath] = ACTIONS(2427),
    [anon_sym_try] = ACTIONS(2425),
    [anon_sym_PLUS_EQ] = ACTIONS(2427),
    [anon_sym_DASH_EQ] = ACTIONS(2427),
    [anon_sym_STAR_EQ] = ACTIONS(2427),
    [anon_sym_SLASH_EQ] = ACTIONS(2427),
    [anon_sym_PERCENT_EQ] = ACTIONS(2427),
    [anon_sym_BANG_EQ] = ACTIONS(2425),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2427),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2427),
    [anon_sym_LT_EQ] = ACTIONS(2427),
    [anon_sym_GT_EQ] = ACTIONS(2427),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2427),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2427),
    [anon_sym_is] = ACTIONS(2457),
    [anon_sym_PLUS] = ACTIONS(2425),
    [anon_sym_DASH] = ACTIONS(2425),
    [anon_sym_STAR] = ACTIONS(2425),
    [anon_sym_SLASH] = ACTIONS(2425),
    [anon_sym_PERCENT] = ACTIONS(2425),
    [anon_sym_PLUS_PLUS] = ACTIONS(2427),
    [anon_sym_DASH_DASH] = ACTIONS(2427),
    [anon_sym_TILDE] = ACTIONS(2427),
    [anon_sym_PIPE] = ACTIONS(2427),
    [anon_sym_CARET] = ACTIONS(2425),
    [anon_sym_LT_LT] = ACTIONS(2427),
    [anon_sym_GT_GT] = ACTIONS(2427),
    [anon_sym_class] = ACTIONS(2457),
    [anon_sym_BANG2] = ACTIONS(2425),
    [anon_sym_prefix] = ACTIONS(2457),
    [anon_sym_infix] = ACTIONS(2457),
    [anon_sym_postfix] = ACTIONS(2457),
    [anon_sym_AT] = ACTIONS(2457),
    [anon_sym_override] = ACTIONS(2457),
    [anon_sym_convenience] = ACTIONS(2457),
    [anon_sym_required] = ACTIONS(2457),
    [anon_sym_nonisolated] = ACTIONS(2457),
    [anon_sym_public] = ACTIONS(2457),
    [anon_sym_private] = ACTIONS(2457),
    [anon_sym_internal] = ACTIONS(2457),
    [anon_sym_fileprivate] = ACTIONS(2457),
    [anon_sym_open] = ACTIONS(2457),
    [anon_sym_mutating] = ACTIONS(2457),
    [anon_sym_nonmutating] = ACTIONS(2457),
    [anon_sym_static] = ACTIONS(2457),
    [anon_sym_dynamic] = ACTIONS(2457),
    [anon_sym_optional] = ACTIONS(2457),
    [anon_sym_distributed] = ACTIONS(2457),
    [anon_sym_final] = ACTIONS(2457),
    [anon_sym_inout] = ACTIONS(2457),
    [anon_sym_ATescaping] = ACTIONS(2455),
    [anon_sym_ATautoclosure] = ACTIONS(2455),
    [anon_sym_weak] = ACTIONS(2457),
    [anon_sym_unowned] = ACTIONS(2457),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2455),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2455),
    [anon_sym_borrowing] = ACTIONS(2425),
    [anon_sym_consuming] = ACTIONS(2425),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(2427),
    [sym_raw_str_end_part] = ACTIONS(2427),
    [sym__implicit_semi] = ACTIONS(2455),
    [sym__explicit_semi] = ACTIONS(2455),
    [sym__dot_custom] = ACTIONS(2427),
    [sym__conjunction_operator_custom] = ACTIONS(2455),
    [sym__disjunction_operator_custom] = ACTIONS(2455),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2455),
    [sym__eq_custom] = ACTIONS(2427),
    [sym__eq_eq_custom] = ACTIONS(2427),
    [sym__plus_then_ws] = ACTIONS(2427),
    [sym__minus_then_ws] = ACTIONS(2427),
    [sym__bang_custom] = ACTIONS(2427),
    [sym_default_keyword] = ACTIONS(2455),
    [sym_where_keyword] = ACTIONS(2455),
    [sym__as_custom] = ACTIONS(2455),
    [sym__as_quest_custom] = ACTIONS(2455),
    [sym__as_bang_custom] = ACTIONS(2455),
    [sym__custom_operator] = ACTIONS(2427),
  },
  [615] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2437),
    [aux_sym_simple_identifier_token2] = ACTIONS(2439),
    [aux_sym_simple_identifier_token3] = ACTIONS(2439),
    [aux_sym_simple_identifier_token4] = ACTIONS(2439),
    [anon_sym_actor] = ACTIONS(2437),
    [anon_sym_async] = ACTIONS(2437),
    [anon_sym_each] = ACTIONS(2437),
    [anon_sym_lazy] = ACTIONS(2459),
    [anon_sym_repeat] = ACTIONS(2437),
    [anon_sym_package] = ACTIONS(2459),
    [anon_sym_nil] = ACTIONS(2437),
    [sym_real_literal] = ACTIONS(2439),
    [sym_integer_literal] = ACTIONS(2437),
    [sym_hex_literal] = ACTIONS(2439),
    [sym_oct_literal] = ACTIONS(2439),
    [sym_bin_literal] = ACTIONS(2439),
    [anon_sym_true] = ACTIONS(2437),
    [anon_sym_false] = ACTIONS(2437),
    [anon_sym_DQUOTE] = ACTIONS(2437),
    [anon_sym_BSLASH] = ACTIONS(2439),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2439),
    [anon_sym_COMMA] = ACTIONS(2462),
    [sym__extended_regex_literal] = ACTIONS(2439),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(2439),
    [sym__oneline_regex_literal] = ACTIONS(2437),
    [anon_sym_LPAREN] = ACTIONS(2464),
    [anon_sym_LBRACK] = ACTIONS(2464),
    [anon_sym_QMARK] = ACTIONS(2467),
    [anon_sym_QMARK2] = ACTIONS(2462),
    [anon_sym_AMP] = ACTIONS(2464),
    [anon_sym_if] = ACTIONS(2437),
    [anon_sym_switch] = ACTIONS(2437),
    [anon_sym_POUNDselector] = ACTIONS(2439),
    [aux_sym_custom_operator_token1] = ACTIONS(2464),
    [anon_sym_LT] = ACTIONS(2459),
    [anon_sym_GT] = ACTIONS(2459),
    [anon_sym_await] = ACTIONS(2437),
    [anon_sym_POUNDfile] = ACTIONS(2437),
    [anon_sym_POUNDfileID] = ACTIONS(2439),
    [anon_sym_POUNDfilePath] = ACTIONS(2439),
    [anon_sym_POUNDline] = ACTIONS(2439),
    [anon_sym_POUNDcolumn] = ACTIONS(2439),
    [anon_sym_POUNDfunction] = ACTIONS(2439),
    [anon_sym_POUNDdsohandle] = ACTIONS(2439),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(2439),
    [anon_sym_POUNDfileLiteral] = ACTIONS(2439),
    [anon_sym_POUNDimageLiteral] = ACTIONS(2439),
    [anon_sym_LBRACE] = ACTIONS(2464),
    [anon_sym_CARET_LBRACE] = ACTIONS(2464),
    [anon_sym_RBRACE] = ACTIONS(2462),
    [anon_sym_self] = ACTIONS(2437),
    [anon_sym_super] = ACTIONS(2437),
    [anon_sym_case] = ACTIONS(2467),
    [anon_sym_fallthrough] = ACTIONS(2467),
    [anon_sym_POUNDkeyPath] = ACTIONS(2439),
    [anon_sym_try] = ACTIONS(2437),
    [anon_sym_PLUS_EQ] = ACTIONS(2464),
    [anon_sym_DASH_EQ] = ACTIONS(2464),
    [anon_sym_STAR_EQ] = ACTIONS(2464),
    [anon_sym_SLASH_EQ] = ACTIONS(2464),
    [anon_sym_PERCENT_EQ] = ACTIONS(2464),
    [anon_sym_BANG_EQ] = ACTIONS(2459),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2464),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2464),
    [anon_sym_LT_EQ] = ACTIONS(2464),
    [anon_sym_GT_EQ] = ACTIONS(2464),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2464),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2464),
    [anon_sym_is] = ACTIONS(2467),
    [anon_sym_PLUS] = ACTIONS(2459),
    [anon_sym_DASH] = ACTIONS(2459),
    [anon_sym_STAR] = ACTIONS(2459),
    [anon_sym_SLASH] = ACTIONS(2459),
    [anon_sym_PERCENT] = ACTIONS(2459),
    [anon_sym_PLUS_PLUS] = ACTIONS(2464),
    [anon_sym_DASH_DASH] = ACTIONS(2464),
    [anon_sym_TILDE] = ACTIONS(2439),
    [anon_sym_PIPE] = ACTIONS(2464),
    [anon_sym_CARET] = ACTIONS(2459),
    [anon_sym_LT_LT] = ACTIONS(2464),
    [anon_sym_GT_GT] = ACTIONS(2464),
    [anon_sym_class] = ACTIONS(2467),
    [anon_sym_BANG2] = ACTIONS(2459),
    [anon_sym_prefix] = ACTIONS(2467),
    [anon_sym_infix] = ACTIONS(2467),
    [anon_sym_postfix] = ACTIONS(2467),
    [anon_sym_AT] = ACTIONS(2467),
    [anon_sym_override] = ACTIONS(2467),
    [anon_sym_convenience] = ACTIONS(2467),
    [anon_sym_required] = ACTIONS(2467),
    [anon_sym_nonisolated] = ACTIONS(2467),
    [anon_sym_public] = ACTIONS(2467),
    [anon_sym_private] = ACTIONS(2467),
    [anon_sym_internal] = ACTIONS(2467),
    [anon_sym_fileprivate] = ACTIONS(2467),
    [anon_sym_open] = ACTIONS(2467),
    [anon_sym_mutating] = ACTIONS(2467),
    [anon_sym_nonmutating] = ACTIONS(2467),
    [anon_sym_static] = ACTIONS(2467),
    [anon_sym_dynamic] = ACTIONS(2467),
    [anon_sym_optional] = ACTIONS(2467),
    [anon_sym_distributed] = ACTIONS(2467),
    [anon_sym_final] = ACTIONS(2467),
    [anon_sym_inout] = ACTIONS(2467),
    [anon_sym_ATescaping] = ACTIONS(2462),
    [anon_sym_ATautoclosure] = ACTIONS(2462),
    [anon_sym_weak] = ACTIONS(2467),
    [anon_sym_unowned] = ACTIONS(2467),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2462),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2462),
    [anon_sym_borrowing] = ACTIONS(2459),
    [anon_sym_consuming] = ACTIONS(2459),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(2439),
    [sym_raw_str_end_part] = ACTIONS(2439),
    [sym__implicit_semi] = ACTIONS(2462),
    [sym__explicit_semi] = ACTIONS(2462),
    [sym__dot_custom] = ACTIONS(2464),
    [sym__conjunction_operator_custom] = ACTIONS(2462),
    [sym__disjunction_operator_custom] = ACTIONS(2462),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2462),
    [sym__eq_custom] = ACTIONS(2464),
    [sym__eq_eq_custom] = ACTIONS(2464),
    [sym__plus_then_ws] = ACTIONS(2464),
    [sym__minus_then_ws] = ACTIONS(2464),
    [sym__bang_custom] = ACTIONS(2464),
    [sym_default_keyword] = ACTIONS(2462),
    [sym_where_keyword] = ACTIONS(2462),
    [sym__as_custom] = ACTIONS(2462),
    [sym__as_quest_custom] = ACTIONS(2462),
    [sym__as_bang_custom] = ACTIONS(2462),
    [sym__custom_operator] = ACTIONS(2464),
  },
  [616] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2437),
    [aux_sym_simple_identifier_token2] = ACTIONS(2439),
    [aux_sym_simple_identifier_token3] = ACTIONS(2439),
    [aux_sym_simple_identifier_token4] = ACTIONS(2439),
    [anon_sym_actor] = ACTIONS(2437),
    [anon_sym_async] = ACTIONS(2437),
    [anon_sym_each] = ACTIONS(2437),
    [anon_sym_lazy] = ACTIONS(2441),
    [anon_sym_repeat] = ACTIONS(2437),
    [anon_sym_package] = ACTIONS(2441),
    [anon_sym_nil] = ACTIONS(2437),
    [sym_real_literal] = ACTIONS(2439),
    [sym_integer_literal] = ACTIONS(2437),
    [sym_hex_literal] = ACTIONS(2439),
    [sym_oct_literal] = ACTIONS(2439),
    [sym_bin_literal] = ACTIONS(2439),
    [anon_sym_true] = ACTIONS(2437),
    [anon_sym_false] = ACTIONS(2437),
    [anon_sym_DQUOTE] = ACTIONS(2437),
    [anon_sym_BSLASH] = ACTIONS(2439),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2439),
    [anon_sym_COMMA] = ACTIONS(2444),
    [sym__extended_regex_literal] = ACTIONS(2439),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(2439),
    [sym__oneline_regex_literal] = ACTIONS(2437),
    [anon_sym_LPAREN] = ACTIONS(2446),
    [anon_sym_LBRACK] = ACTIONS(2446),
    [anon_sym_QMARK] = ACTIONS(2449),
    [anon_sym_QMARK2] = ACTIONS(2444),
    [anon_sym_AMP] = ACTIONS(2446),
    [anon_sym_if] = ACTIONS(2437),
    [anon_sym_switch] = ACTIONS(2437),
    [anon_sym_POUNDselector] = ACTIONS(2439),
    [aux_sym_custom_operator_token1] = ACTIONS(2446),
    [anon_sym_LT] = ACTIONS(2441),
    [anon_sym_GT] = ACTIONS(2441),
    [anon_sym_await] = ACTIONS(2437),
    [anon_sym_POUNDfile] = ACTIONS(2437),
    [anon_sym_POUNDfileID] = ACTIONS(2439),
    [anon_sym_POUNDfilePath] = ACTIONS(2439),
    [anon_sym_POUNDline] = ACTIONS(2439),
    [anon_sym_POUNDcolumn] = ACTIONS(2439),
    [anon_sym_POUNDfunction] = ACTIONS(2439),
    [anon_sym_POUNDdsohandle] = ACTIONS(2439),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(2439),
    [anon_sym_POUNDfileLiteral] = ACTIONS(2439),
    [anon_sym_POUNDimageLiteral] = ACTIONS(2439),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_CARET_LBRACE] = ACTIONS(2446),
    [anon_sym_RBRACE] = ACTIONS(2444),
    [anon_sym_self] = ACTIONS(2437),
    [anon_sym_super] = ACTIONS(2437),
    [anon_sym_case] = ACTIONS(2449),
    [anon_sym_fallthrough] = ACTIONS(2449),
    [anon_sym_POUNDkeyPath] = ACTIONS(2439),
    [anon_sym_try] = ACTIONS(2437),
    [anon_sym_PLUS_EQ] = ACTIONS(2446),
    [anon_sym_DASH_EQ] = ACTIONS(2446),
    [anon_sym_STAR_EQ] = ACTIONS(2446),
    [anon_sym_SLASH_EQ] = ACTIONS(2446),
    [anon_sym_PERCENT_EQ] = ACTIONS(2446),
    [anon_sym_BANG_EQ] = ACTIONS(2441),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2446),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2446),
    [anon_sym_LT_EQ] = ACTIONS(2446),
    [anon_sym_GT_EQ] = ACTIONS(2446),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2446),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2446),
    [anon_sym_is] = ACTIONS(2449),
    [anon_sym_PLUS] = ACTIONS(2441),
    [anon_sym_DASH] = ACTIONS(2441),
    [anon_sym_STAR] = ACTIONS(2441),
    [anon_sym_SLASH] = ACTIONS(2441),
    [anon_sym_PERCENT] = ACTIONS(2441),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2439),
    [anon_sym_PIPE] = ACTIONS(2446),
    [anon_sym_CARET] = ACTIONS(2441),
    [anon_sym_LT_LT] = ACTIONS(2446),
    [anon_sym_GT_GT] = ACTIONS(2446),
    [anon_sym_class] = ACTIONS(2449),
    [anon_sym_BANG2] = ACTIONS(2441),
    [anon_sym_prefix] = ACTIONS(2449),
    [anon_sym_infix] = ACTIONS(2449),
    [anon_sym_postfix] = ACTIONS(2449),
    [anon_sym_AT] = ACTIONS(2449),
    [anon_sym_override] = ACTIONS(2449),
    [anon_sym_convenience] = ACTIONS(2449),
    [anon_sym_required] = ACTIONS(2449),
    [anon_sym_nonisolated] = ACTIONS(2449),
    [anon_sym_public] = ACTIONS(2449),
    [anon_sym_private] = ACTIONS(2449),
    [anon_sym_internal] = ACTIONS(2449),
    [anon_sym_fileprivate] = ACTIONS(2449),
    [anon_sym_open] = ACTIONS(2449),
    [anon_sym_mutating] = ACTIONS(2449),
    [anon_sym_nonmutating] = ACTIONS(2449),
    [anon_sym_static] = ACTIONS(2449),
    [anon_sym_dynamic] = ACTIONS(2449),
    [anon_sym_optional] = ACTIONS(2449),
    [anon_sym_distributed] = ACTIONS(2449),
    [anon_sym_final] = ACTIONS(2449),
    [anon_sym_inout] = ACTIONS(2449),
    [anon_sym_ATescaping] = ACTIONS(2444),
    [anon_sym_ATautoclosure] = ACTIONS(2444),
    [anon_sym_weak] = ACTIONS(2449),
    [anon_sym_unowned] = ACTIONS(2449),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2444),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2444),
    [anon_sym_borrowing] = ACTIONS(2441),
    [anon_sym_consuming] = ACTIONS(2441),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(2439),
    [sym_raw_str_end_part] = ACTIONS(2439),
    [sym__implicit_semi] = ACTIONS(2444),
    [sym__explicit_semi] = ACTIONS(2444),
    [sym__dot_custom] = ACTIONS(2446),
    [sym__conjunction_operator_custom] = ACTIONS(2444),
    [sym__disjunction_operator_custom] = ACTIONS(2444),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2444),
    [sym__eq_custom] = ACTIONS(2446),
    [sym__eq_eq_custom] = ACTIONS(2446),
    [sym__plus_then_ws] = ACTIONS(2446),
    [sym__minus_then_ws] = ACTIONS(2446),
    [sym__bang_custom] = ACTIONS(2446),
    [sym_default_keyword] = ACTIONS(2444),
    [sym_where_keyword] = ACTIONS(2444),
    [sym__as_custom] = ACTIONS(2444),
    [sym__as_quest_custom] = ACTIONS(2444),
    [sym__as_bang_custom] = ACTIONS(2444),
    [sym__custom_operator] = ACTIONS(2446),
  },
  [617] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2425),
    [aux_sym_simple_identifier_token2] = ACTIONS(2427),
    [aux_sym_simple_identifier_token3] = ACTIONS(2427),
    [aux_sym_simple_identifier_token4] = ACTIONS(2427),
    [anon_sym_actor] = ACTIONS(2425),
    [anon_sym_async] = ACTIONS(2425),
    [anon_sym_each] = ACTIONS(2425),
    [anon_sym_lazy] = ACTIONS(2425),
    [anon_sym_repeat] = ACTIONS(2425),
    [anon_sym_package] = ACTIONS(2425),
    [anon_sym_nil] = ACTIONS(2425),
    [sym_real_literal] = ACTIONS(2427),
    [sym_integer_literal] = ACTIONS(2425),
    [sym_hex_literal] = ACTIONS(2427),
    [sym_oct_literal] = ACTIONS(2427),
    [sym_bin_literal] = ACTIONS(2427),
    [anon_sym_true] = ACTIONS(2425),
    [anon_sym_false] = ACTIONS(2425),
    [anon_sym_DQUOTE] = ACTIONS(2425),
    [anon_sym_BSLASH] = ACTIONS(2427),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2427),
    [anon_sym_COMMA] = ACTIONS(2429),
    [sym__extended_regex_literal] = ACTIONS(2427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(2427),
    [sym__oneline_regex_literal] = ACTIONS(2425),
    [anon_sym_LPAREN] = ACTIONS(2427),
    [anon_sym_LBRACK] = ACTIONS(2427),
    [anon_sym_QMARK] = ACTIONS(2431),
    [anon_sym_QMARK2] = ACTIONS(2429),
    [anon_sym_AMP] = ACTIONS(2427),
    [anon_sym_if] = ACTIONS(2425),
    [anon_sym_switch] = ACTIONS(2425),
    [anon_sym_POUNDselector] = ACTIONS(2427),
    [aux_sym_custom_operator_token1] = ACTIONS(2427),
    [anon_sym_LT] = ACTIONS(2425),
    [anon_sym_GT] = ACTIONS(2425),
    [anon_sym_await] = ACTIONS(2425),
    [anon_sym_POUNDfile] = ACTIONS(2425),
    [anon_sym_POUNDfileID] = ACTIONS(2427),
    [anon_sym_POUNDfilePath] = ACTIONS(2427),
    [anon_sym_POUNDline] = ACTIONS(2427),
    [anon_sym_POUNDcolumn] = ACTIONS(2427),
    [anon_sym_POUNDfunction] = ACTIONS(2427),
    [anon_sym_POUNDdsohandle] = ACTIONS(2427),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(2427),
    [anon_sym_POUNDfileLiteral] = ACTIONS(2427),
    [anon_sym_POUNDimageLiteral] = ACTIONS(2427),
    [anon_sym_LBRACE] = ACTIONS(2427),
    [anon_sym_CARET_LBRACE] = ACTIONS(2427),
    [anon_sym_RBRACE] = ACTIONS(2429),
    [anon_sym_self] = ACTIONS(2425),
    [anon_sym_super] = ACTIONS(2425),
    [anon_sym_case] = ACTIONS(2431),
    [anon_sym_fallthrough] = ACTIONS(2431),
    [anon_sym_POUNDkeyPath] = ACTIONS(2427),
    [anon_sym_try] = ACTIONS(2425),
    [anon_sym_PLUS_EQ] = ACTIONS(2427),
    [anon_sym_DASH_EQ] = ACTIONS(2427),
    [anon_sym_STAR_EQ] = ACTIONS(2427),
    [anon_sym_SLASH_EQ] = ACTIONS(2427),
    [anon_sym_PERCENT_EQ] = ACTIONS(2427),
    [anon_sym_BANG_EQ] = ACTIONS(2425),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2427),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2427),
    [anon_sym_LT_EQ] = ACTIONS(2427),
    [anon_sym_GT_EQ] = ACTIONS(2427),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2427),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2427),
    [anon_sym_is] = ACTIONS(2431),
    [anon_sym_PLUS] = ACTIONS(2425),
    [anon_sym_DASH] = ACTIONS(2425),
    [anon_sym_STAR] = ACTIONS(2425),
    [anon_sym_SLASH] = ACTIONS(2425),
    [anon_sym_PERCENT] = ACTIONS(2425),
    [anon_sym_PLUS_PLUS] = ACTIONS(2427),
    [anon_sym_DASH_DASH] = ACTIONS(2427),
    [anon_sym_TILDE] = ACTIONS(2427),
    [anon_sym_PIPE] = ACTIONS(2427),
    [anon_sym_CARET] = ACTIONS(2425),
    [anon_sym_LT_LT] = ACTIONS(2427),
    [anon_sym_GT_GT] = ACTIONS(2427),
    [anon_sym_class] = ACTIONS(2431),
    [anon_sym_BANG2] = ACTIONS(2425),
    [anon_sym_prefix] = ACTIONS(2431),
    [anon_sym_infix] = ACTIONS(2431),
    [anon_sym_postfix] = ACTIONS(2431),
    [anon_sym_AT] = ACTIONS(2431),
    [anon_sym_override] = ACTIONS(2431),
    [anon_sym_convenience] = ACTIONS(2431),
    [anon_sym_required] = ACTIONS(2431),
    [anon_sym_nonisolated] = ACTIONS(2431),
    [anon_sym_public] = ACTIONS(2431),
    [anon_sym_private] = ACTIONS(2431),
    [anon_sym_internal] = ACTIONS(2431),
    [anon_sym_fileprivate] = ACTIONS(2431),
    [anon_sym_open] = ACTIONS(2431),
    [anon_sym_mutating] = ACTIONS(2431),
    [anon_sym_nonmutating] = ACTIONS(2431),
    [anon_sym_static] = ACTIONS(2431),
    [anon_sym_dynamic] = ACTIONS(2431),
    [anon_sym_optional] = ACTIONS(2431),
    [anon_sym_distributed] = ACTIONS(2431),
    [anon_sym_final] = ACTIONS(2431),
    [anon_sym_inout] = ACTIONS(2431),
    [anon_sym_ATescaping] = ACTIONS(2429),
    [anon_sym_ATautoclosure] = ACTIONS(2429),
    [anon_sym_weak] = ACTIONS(2431),
    [anon_sym_unowned] = ACTIONS(2431),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2429),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2429),
    [anon_sym_borrowing] = ACTIONS(2425),
    [anon_sym_consuming] = ACTIONS(2425),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(2427),
    [sym_raw_str_end_part] = ACTIONS(2427),
    [sym__implicit_semi] = ACTIONS(2429),
    [sym__explicit_semi] = ACTIONS(2429),
    [sym__dot_custom] = ACTIONS(2427),
    [sym__conjunction_operator_custom] = ACTIONS(2429),
    [sym__disjunction_operator_custom] = ACTIONS(2429),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2429),
    [sym__eq_custom] = ACTIONS(2427),
    [sym__eq_eq_custom] = ACTIONS(2427),
    [sym__plus_then_ws] = ACTIONS(2427),
    [sym__minus_then_ws] = ACTIONS(2427),
    [sym__bang_custom] = ACTIONS(2427),
    [sym_default_keyword] = ACTIONS(2429),
    [sym_where_keyword] = ACTIONS(2429),
    [sym__as_custom] = ACTIONS(2429),
    [sym__as_quest_custom] = ACTIONS(2429),
    [sym__as_bang_custom] = ACTIONS(2429),
    [sym__custom_operator] = ACTIONS(2427),
  },
  [618] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2469),
    [aux_sym_simple_identifier_token2] = ACTIONS(2471),
    [aux_sym_simple_identifier_token3] = ACTIONS(2471),
    [aux_sym_simple_identifier_token4] = ACTIONS(2471),
    [anon_sym_actor] = ACTIONS(2469),
    [anon_sym_async] = ACTIONS(2469),
    [anon_sym_each] = ACTIONS(2469),
    [anon_sym_lazy] = ACTIONS(2469),
    [anon_sym_repeat] = ACTIONS(2469),
    [anon_sym_package] = ACTIONS(2469),
    [anon_sym_nil] = ACTIONS(2469),
    [sym_real_literal] = ACTIONS(2471),
    [sym_integer_literal] = ACTIONS(2469),
    [sym_hex_literal] = ACTIONS(2471),
    [sym_oct_literal] = ACTIONS(2471),
    [sym_bin_literal] = ACTIONS(2471),
    [anon_sym_true] = ACTIONS(2469),
    [anon_sym_false] = ACTIONS(2469),
    [anon_sym_DQUOTE] = ACTIONS(2469),
    [anon_sym_BSLASH] = ACTIONS(2471),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2471),
    [anon_sym_COMMA] = ACTIONS(2471),
    [sym__extended_regex_literal] = ACTIONS(2471),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(2471),
    [sym__oneline_regex_literal] = ACTIONS(2469),
    [anon_sym_LPAREN] = ACTIONS(2471),
    [anon_sym_LBRACK] = ACTIONS(2471),
    [anon_sym_QMARK] = ACTIONS(2469),
    [anon_sym_QMARK2] = ACTIONS(2471),
    [anon_sym_AMP] = ACTIONS(2471),
    [anon_sym_if] = ACTIONS(2469),
    [anon_sym_switch] = ACTIONS(2469),
    [anon_sym_POUNDselector] = ACTIONS(2471),
    [aux_sym_custom_operator_token1] = ACTIONS(2471),
    [anon_sym_LT] = ACTIONS(2469),
    [anon_sym_GT] = ACTIONS(2469),
    [anon_sym_await] = ACTIONS(2469),
    [anon_sym_POUNDfile] = ACTIONS(2469),
    [anon_sym_POUNDfileID] = ACTIONS(2471),
    [anon_sym_POUNDfilePath] = ACTIONS(2471),
    [anon_sym_POUNDline] = ACTIONS(2471),
    [anon_sym_POUNDcolumn] = ACTIONS(2471),
    [anon_sym_POUNDfunction] = ACTIONS(2471),
    [anon_sym_POUNDdsohandle] = ACTIONS(2471),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(2471),
    [anon_sym_POUNDfileLiteral] = ACTIONS(2471),
    [anon_sym_POUNDimageLiteral] = ACTIONS(2471),
    [anon_sym_LBRACE] = ACTIONS(2471),
    [anon_sym_CARET_LBRACE] = ACTIONS(2471),
    [anon_sym_RBRACE] = ACTIONS(2471),
    [anon_sym_self] = ACTIONS(2469),
    [anon_sym_super] = ACTIONS(2469),
    [anon_sym_case] = ACTIONS(2469),
    [anon_sym_fallthrough] = ACTIONS(2469),
    [anon_sym_POUNDkeyPath] = ACTIONS(2471),
    [anon_sym_try] = ACTIONS(2469),
    [anon_sym_PLUS_EQ] = ACTIONS(2471),
    [anon_sym_DASH_EQ] = ACTIONS(2471),
    [anon_sym_STAR_EQ] = ACTIONS(2471),
    [anon_sym_SLASH_EQ] = ACTIONS(2471),
    [anon_sym_PERCENT_EQ] = ACTIONS(2471),
    [anon_sym_BANG_EQ] = ACTIONS(2469),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2471),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2471),
    [anon_sym_LT_EQ] = ACTIONS(2471),
    [anon_sym_GT_EQ] = ACTIONS(2471),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2471),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2471),
    [anon_sym_is] = ACTIONS(2469),
    [anon_sym_PLUS] = ACTIONS(2469),
    [anon_sym_DASH] = ACTIONS(2469),
    [anon_sym_STAR] = ACTIONS(2469),
    [anon_sym_SLASH] = ACTIONS(2469),
    [anon_sym_PERCENT] = ACTIONS(2469),
    [anon_sym_PLUS_PLUS] = ACTIONS(2471),
    [anon_sym_DASH_DASH] = ACTIONS(2471),
    [anon_sym_TILDE] = ACTIONS(2471),
    [anon_sym_PIPE] = ACTIONS(2471),
    [anon_sym_CARET] = ACTIONS(2469),
    [anon_sym_LT_LT] = ACTIONS(2471),
    [anon_sym_GT_GT] = ACTIONS(2471),
    [anon_sym_class] = ACTIONS(2469),
    [anon_sym_BANG2] = ACTIONS(2469),
    [anon_sym_prefix] = ACTIONS(2469),
    [anon_sym_infix] = ACTIONS(2469),
    [anon_sym_postfix] = ACTIONS(2469),
    [anon_sym_AT] = ACTIONS(2469),
    [anon_sym_override] = ACTIONS(2469),
    [anon_sym_convenience] = ACTIONS(2469),
    [anon_sym_required] = ACTIONS(2469),
    [anon_sym_nonisolated] = ACTIONS(2469),
    [anon_sym_public] = ACTIONS(2469),
    [anon_sym_private] = ACTIONS(2469),
    [anon_sym_internal] = ACTIONS(2469),
    [anon_sym_fileprivate] = ACTIONS(2469),
    [anon_sym_open] = ACTIONS(2469),
    [anon_sym_mutating] = ACTIONS(2469),
    [anon_sym_nonmutating] = ACTIONS(2469),
    [anon_sym_static] = ACTIONS(2469),
    [anon_sym_dynamic] = ACTIONS(2469),
    [anon_sym_optional] = ACTIONS(2469),
    [anon_sym_distributed] = ACTIONS(2469),
    [anon_sym_final] = ACTIONS(2469),
    [anon_sym_inout] = ACTIONS(2469),
    [anon_sym_ATescaping] = ACTIONS(2471),
    [anon_sym_ATautoclosure] = ACTIONS(2471),
    [anon_sym_weak] = ACTIONS(2469),
    [anon_sym_unowned] = ACTIONS(2469),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2471),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2471),
    [anon_sym_borrowing] = ACTIONS(2469),
    [anon_sym_consuming] = ACTIONS(2469),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(2471),
    [sym_raw_str_end_part] = ACTIONS(2471),
    [sym__implicit_semi] = ACTIONS(2471),
    [sym__explicit_semi] = ACTIONS(2471),
    [sym__dot_custom] = ACTIONS(2471),
    [sym__conjunction_operator_custom] = ACTIONS(2471),
    [sym__disjunction_operator_custom] = ACTIONS(2471),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2471),
    [sym__eq_custom] = ACTIONS(2471),
    [sym__eq_eq_custom] = ACTIONS(2471),
    [sym__plus_then_ws] = ACTIONS(2471),
    [sym__minus_then_ws] = ACTIONS(2471),
    [sym__bang_custom] = ACTIONS(2471),
    [sym_default_keyword] = ACTIONS(2471),
    [sym_where_keyword] = ACTIONS(2471),
    [sym__as_custom] = ACTIONS(2471),
    [sym__as_quest_custom] = ACTIONS(2471),
    [sym__as_bang_custom] = ACTIONS(2471),
    [sym__custom_operator] = ACTIONS(2471),
  },
  [619] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2451),
    [aux_sym_simple_identifier_token2] = ACTIONS(2453),
    [aux_sym_simple_identifier_token3] = ACTIONS(2453),
    [aux_sym_simple_identifier_token4] = ACTIONS(2453),
    [anon_sym_actor] = ACTIONS(2451),
    [anon_sym_async] = ACTIONS(2451),
    [anon_sym_each] = ACTIONS(2451),
    [anon_sym_lazy] = ACTIONS(2451),
    [anon_sym_repeat] = ACTIONS(2451),
    [anon_sym_package] = ACTIONS(2451),
    [anon_sym_nil] = ACTIONS(2451),
    [sym_real_literal] = ACTIONS(2453),
    [sym_integer_literal] = ACTIONS(2451),
    [sym_hex_literal] = ACTIONS(2453),
    [sym_oct_literal] = ACTIONS(2453),
    [sym_bin_literal] = ACTIONS(2453),
    [anon_sym_true] = ACTIONS(2451),
    [anon_sym_false] = ACTIONS(2451),
    [anon_sym_DQUOTE] = ACTIONS(2451),
    [anon_sym_BSLASH] = ACTIONS(2453),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2453),
    [anon_sym_COMMA] = ACTIONS(2453),
    [sym__extended_regex_literal] = ACTIONS(2453),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(2453),
    [sym__oneline_regex_literal] = ACTIONS(2451),
    [anon_sym_LPAREN] = ACTIONS(2453),
    [anon_sym_LBRACK] = ACTIONS(2453),
    [anon_sym_QMARK] = ACTIONS(2451),
    [anon_sym_QMARK2] = ACTIONS(2453),
    [anon_sym_AMP] = ACTIONS(2453),
    [anon_sym_if] = ACTIONS(2451),
    [anon_sym_switch] = ACTIONS(2451),
    [anon_sym_POUNDselector] = ACTIONS(2453),
    [aux_sym_custom_operator_token1] = ACTIONS(2453),
    [anon_sym_LT] = ACTIONS(2451),
    [anon_sym_GT] = ACTIONS(2451),
    [anon_sym_await] = ACTIONS(2451),
    [anon_sym_POUNDfile] = ACTIONS(2451),
    [anon_sym_POUNDfileID] = ACTIONS(2453),
    [anon_sym_POUNDfilePath] = ACTIONS(2453),
    [anon_sym_POUNDline] = ACTIONS(2453),
    [anon_sym_POUNDcolumn] = ACTIONS(2453),
    [anon_sym_POUNDfunction] = ACTIONS(2453),
    [anon_sym_POUNDdsohandle] = ACTIONS(2453),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(2453),
    [anon_sym_POUNDfileLiteral] = ACTIONS(2453),
    [anon_sym_POUNDimageLiteral] = ACTIONS(2453),
    [anon_sym_LBRACE] = ACTIONS(2453),
    [anon_sym_CARET_LBRACE] = ACTIONS(2453),
    [anon_sym_RBRACE] = ACTIONS(2453),
    [anon_sym_self] = ACTIONS(2451),
    [anon_sym_super] = ACTIONS(2451),
    [anon_sym_case] = ACTIONS(2451),
    [anon_sym_fallthrough] = ACTIONS(2451),
    [anon_sym_POUNDkeyPath] = ACTIONS(2453),
    [anon_sym_try] = ACTIONS(2451),
    [anon_sym_PLUS_EQ] = ACTIONS(2453),
    [anon_sym_DASH_EQ] = ACTIONS(2453),
    [anon_sym_STAR_EQ] = ACTIONS(2453),
    [anon_sym_SLASH_EQ] = ACTIONS(2453),
    [anon_sym_PERCENT_EQ] = ACTIONS(2453),
    [anon_sym_BANG_EQ] = ACTIONS(2451),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2453),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2453),
    [anon_sym_LT_EQ] = ACTIONS(2453),
    [anon_sym_GT_EQ] = ACTIONS(2453),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2453),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2453),
    [anon_sym_is] = ACTIONS(2451),
    [anon_sym_PLUS] = ACTIONS(2451),
    [anon_sym_DASH] = ACTIONS(2451),
    [anon_sym_STAR] = ACTIONS(2451),
    [anon_sym_SLASH] = ACTIONS(2451),
    [anon_sym_PERCENT] = ACTIONS(2451),
    [anon_sym_PLUS_PLUS] = ACTIONS(2453),
    [anon_sym_DASH_DASH] = ACTIONS(2453),
    [anon_sym_TILDE] = ACTIONS(2453),
    [anon_sym_PIPE] = ACTIONS(2453),
    [anon_sym_CARET] = ACTIONS(2451),
    [anon_sym_LT_LT] = ACTIONS(2453),
    [anon_sym_GT_GT] = ACTIONS(2453),
    [anon_sym_class] = ACTIONS(2451),
    [anon_sym_BANG2] = ACTIONS(2451),
    [anon_sym_prefix] = ACTIONS(2451),
    [anon_sym_infix] = ACTIONS(2451),
    [anon_sym_postfix] = ACTIONS(2451),
    [anon_sym_AT] = ACTIONS(2451),
    [anon_sym_override] = ACTIONS(2451),
    [anon_sym_convenience] = ACTIONS(2451),
    [anon_sym_required] = ACTIONS(2451),
    [anon_sym_nonisolated] = ACTIONS(2451),
    [anon_sym_public] = ACTIONS(2451),
    [anon_sym_private] = ACTIONS(2451),
    [anon_sym_internal] = ACTIONS(2451),
    [anon_sym_fileprivate] = ACTIONS(2451),
    [anon_sym_open] = ACTIONS(2451),
    [anon_sym_mutating] = ACTIONS(2451),
    [anon_sym_nonmutating] = ACTIONS(2451),
    [anon_sym_static] = ACTIONS(2451),
    [anon_sym_dynamic] = ACTIONS(2451),
    [anon_sym_optional] = ACTIONS(2451),
    [anon_sym_distributed] = ACTIONS(2451),
    [anon_sym_final] = ACTIONS(2451),
    [anon_sym_inout] = ACTIONS(2451),
    [anon_sym_ATescaping] = ACTIONS(2453),
    [anon_sym_ATautoclosure] = ACTIONS(2453),
    [anon_sym_weak] = ACTIONS(2451),
    [anon_sym_unowned] = ACTIONS(2451),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2453),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2453),
    [anon_sym_borrowing] = ACTIONS(2451),
    [anon_sym_consuming] = ACTIONS(2451),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(2453),
    [sym_raw_str_end_part] = ACTIONS(2453),
    [sym__implicit_semi] = ACTIONS(2453),
    [sym__explicit_semi] = ACTIONS(2453),
    [sym__dot_custom] = ACTIONS(2453),
    [sym__conjunction_operator_custom] = ACTIONS(2453),
    [sym__disjunction_operator_custom] = ACTIONS(2453),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2453),
    [sym__eq_custom] = ACTIONS(2453),
    [sym__eq_eq_custom] = ACTIONS(2453),
    [sym__plus_then_ws] = ACTIONS(2453),
    [sym__minus_then_ws] = ACTIONS(2453),
    [sym__bang_custom] = ACTIONS(2453),
    [sym_default_keyword] = ACTIONS(2453),
    [sym_where_keyword] = ACTIONS(2453),
    [sym__as_custom] = ACTIONS(2453),
    [sym__as_quest_custom] = ACTIONS(2453),
    [sym__as_bang_custom] = ACTIONS(2453),
    [sym__custom_operator] = ACTIONS(2453),
  },
  [620] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2433),
    [aux_sym_simple_identifier_token2] = ACTIONS(2435),
    [aux_sym_simple_identifier_token3] = ACTIONS(2435),
    [aux_sym_simple_identifier_token4] = ACTIONS(2435),
    [anon_sym_actor] = ACTIONS(2433),
    [anon_sym_async] = ACTIONS(2433),
    [anon_sym_each] = ACTIONS(2433),
    [anon_sym_lazy] = ACTIONS(2433),
    [anon_sym_repeat] = ACTIONS(2433),
    [anon_sym_package] = ACTIONS(2433),
    [anon_sym_nil] = ACTIONS(2433),
    [sym_real_literal] = ACTIONS(2435),
    [sym_integer_literal] = ACTIONS(2433),
    [sym_hex_literal] = ACTIONS(2435),
    [sym_oct_literal] = ACTIONS(2435),
    [sym_bin_literal] = ACTIONS(2435),
    [anon_sym_true] = ACTIONS(2433),
    [anon_sym_false] = ACTIONS(2433),
    [anon_sym_DQUOTE] = ACTIONS(2433),
    [anon_sym_BSLASH] = ACTIONS(2435),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2435),
    [anon_sym_COMMA] = ACTIONS(2435),
    [sym__extended_regex_literal] = ACTIONS(2435),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(2435),
    [sym__oneline_regex_literal] = ACTIONS(2433),
    [anon_sym_LPAREN] = ACTIONS(2435),
    [anon_sym_LBRACK] = ACTIONS(2435),
    [anon_sym_QMARK] = ACTIONS(2433),
    [anon_sym_QMARK2] = ACTIONS(2435),
    [anon_sym_AMP] = ACTIONS(2435),
    [anon_sym_if] = ACTIONS(2433),
    [anon_sym_switch] = ACTIONS(2433),
    [anon_sym_POUNDselector] = ACTIONS(2435),
    [aux_sym_custom_operator_token1] = ACTIONS(2435),
    [anon_sym_LT] = ACTIONS(2433),
    [anon_sym_GT] = ACTIONS(2433),
    [anon_sym_await] = ACTIONS(2433),
    [anon_sym_POUNDfile] = ACTIONS(2433),
    [anon_sym_POUNDfileID] = ACTIONS(2435),
    [anon_sym_POUNDfilePath] = ACTIONS(2435),
    [anon_sym_POUNDline] = ACTIONS(2435),
    [anon_sym_POUNDcolumn] = ACTIONS(2435),
    [anon_sym_POUNDfunction] = ACTIONS(2435),
    [anon_sym_POUNDdsohandle] = ACTIONS(2435),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(2435),
    [anon_sym_POUNDfileLiteral] = ACTIONS(2435),
    [anon_sym_POUNDimageLiteral] = ACTIONS(2435),
    [anon_sym_LBRACE] = ACTIONS(2435),
    [anon_sym_CARET_LBRACE] = ACTIONS(2435),
    [anon_sym_RBRACE] = ACTIONS(2435),
    [anon_sym_self] = ACTIONS(2433),
    [anon_sym_super] = ACTIONS(2433),
    [anon_sym_case] = ACTIONS(2433),
    [anon_sym_fallthrough] = ACTIONS(2433),
    [anon_sym_POUNDkeyPath] = ACTIONS(2435),
    [anon_sym_try] = ACTIONS(2433),
    [anon_sym_PLUS_EQ] = ACTIONS(2435),
    [anon_sym_DASH_EQ] = ACTIONS(2435),
    [anon_sym_STAR_EQ] = ACTIONS(2435),
    [anon_sym_SLASH_EQ] = ACTIONS(2435),
    [anon_sym_PERCENT_EQ] = ACTIONS(2435),
    [anon_sym_BANG_EQ] = ACTIONS(2433),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2435),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2435),
    [anon_sym_LT_EQ] = ACTIONS(2435),
    [anon_sym_GT_EQ] = ACTIONS(2435),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2435),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2435),
    [anon_sym_is] = ACTIONS(2433),
    [anon_sym_PLUS] = ACTIONS(2433),
    [anon_sym_DASH] = ACTIONS(2433),
    [anon_sym_STAR] = ACTIONS(2433),
    [anon_sym_SLASH] = ACTIONS(2433),
    [anon_sym_PERCENT] = ACTIONS(2433),
    [anon_sym_PLUS_PLUS] = ACTIONS(2435),
    [anon_sym_DASH_DASH] = ACTIONS(2435),
    [anon_sym_TILDE] = ACTIONS(2435),
    [anon_sym_PIPE] = ACTIONS(2435),
    [anon_sym_CARET] = ACTIONS(2433),
    [anon_sym_LT_LT] = ACTIONS(2435),
    [anon_sym_GT_GT] = ACTIONS(2435),
    [anon_sym_class] = ACTIONS(2433),
    [anon_sym_BANG2] = ACTIONS(2433),
    [anon_sym_prefix] = ACTIONS(2433),
    [anon_sym_infix] = ACTIONS(2433),
    [anon_sym_postfix] = ACTIONS(2433),
    [anon_sym_AT] = ACTIONS(2433),
    [anon_sym_override] = ACTIONS(2433),
    [anon_sym_convenience] = ACTIONS(2433),
    [anon_sym_required] = ACTIONS(2433),
    [anon_sym_nonisolated] = ACTIONS(2433),
    [anon_sym_public] = ACTIONS(2433),
    [anon_sym_private] = ACTIONS(2433),
    [anon_sym_internal] = ACTIONS(2433),
    [anon_sym_fileprivate] = ACTIONS(2433),
    [anon_sym_open] = ACTIONS(2433),
    [anon_sym_mutating] = ACTIONS(2433),
    [anon_sym_nonmutating] = ACTIONS(2433),
    [anon_sym_static] = ACTIONS(2433),
    [anon_sym_dynamic] = ACTIONS(2433),
    [anon_sym_optional] = ACTIONS(2433),
    [anon_sym_distributed] = ACTIONS(2433),
    [anon_sym_final] = ACTIONS(2433),
    [anon_sym_inout] = ACTIONS(2433),
    [anon_sym_ATescaping] = ACTIONS(2435),
    [anon_sym_ATautoclosure] = ACTIONS(2435),
    [anon_sym_weak] = ACTIONS(2433),
    [anon_sym_unowned] = ACTIONS(2433),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2435),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2435),
    [anon_sym_borrowing] = ACTIONS(2433),
    [anon_sym_consuming] = ACTIONS(2433),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(2435),
    [sym_raw_str_end_part] = ACTIONS(2435),
    [sym__implicit_semi] = ACTIONS(2435),
    [sym__explicit_semi] = ACTIONS(2435),
    [sym__dot_custom] = ACTIONS(2435),
    [sym__conjunction_operator_custom] = ACTIONS(2435),
    [sym__disjunction_operator_custom] = ACTIONS(2435),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2435),
    [sym__eq_custom] = ACTIONS(2435),
    [sym__eq_eq_custom] = ACTIONS(2435),
    [sym__plus_then_ws] = ACTIONS(2435),
    [sym__minus_then_ws] = ACTIONS(2435),
    [sym__bang_custom] = ACTIONS(2435),
    [sym_default_keyword] = ACTIONS(2435),
    [sym_where_keyword] = ACTIONS(2435),
    [sym__as_custom] = ACTIONS(2435),
    [sym__as_quest_custom] = ACTIONS(2435),
    [sym__as_bang_custom] = ACTIONS(2435),
    [sym__custom_operator] = ACTIONS(2435),
  },
  [621] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2425),
    [aux_sym_simple_identifier_token2] = ACTIONS(2427),
    [aux_sym_simple_identifier_token3] = ACTIONS(2427),
    [aux_sym_simple_identifier_token4] = ACTIONS(2427),
    [anon_sym_actor] = ACTIONS(2425),
    [anon_sym_async] = ACTIONS(2425),
    [anon_sym_each] = ACTIONS(2425),
    [anon_sym_lazy] = ACTIONS(2425),
    [anon_sym_repeat] = ACTIONS(2425),
    [anon_sym_package] = ACTIONS(2425),
    [anon_sym_nil] = ACTIONS(2425),
    [sym_real_literal] = ACTIONS(2427),
    [sym_integer_literal] = ACTIONS(2425),
    [sym_hex_literal] = ACTIONS(2427),
    [sym_oct_literal] = ACTIONS(2427),
    [sym_bin_literal] = ACTIONS(2427),
    [anon_sym_true] = ACTIONS(2425),
    [anon_sym_false] = ACTIONS(2425),
    [anon_sym_DQUOTE] = ACTIONS(2425),
    [anon_sym_BSLASH] = ACTIONS(2427),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2427),
    [anon_sym_COMMA] = ACTIONS(2455),
    [sym__extended_regex_literal] = ACTIONS(2427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(2427),
    [sym__oneline_regex_literal] = ACTIONS(2425),
    [anon_sym_LPAREN] = ACTIONS(2427),
    [anon_sym_LBRACK] = ACTIONS(2427),
    [anon_sym_QMARK] = ACTIONS(2457),
    [anon_sym_QMARK2] = ACTIONS(2455),
    [anon_sym_AMP] = ACTIONS(2427),
    [anon_sym_if] = ACTIONS(2425),
    [anon_sym_switch] = ACTIONS(2425),
    [anon_sym_POUNDselector] = ACTIONS(2427),
    [aux_sym_custom_operator_token1] = ACTIONS(2427),
    [anon_sym_LT] = ACTIONS(2425),
    [anon_sym_GT] = ACTIONS(2425),
    [anon_sym_await] = ACTIONS(2425),
    [anon_sym_POUNDfile] = ACTIONS(2425),
    [anon_sym_POUNDfileID] = ACTIONS(2427),
    [anon_sym_POUNDfilePath] = ACTIONS(2427),
    [anon_sym_POUNDline] = ACTIONS(2427),
    [anon_sym_POUNDcolumn] = ACTIONS(2427),
    [anon_sym_POUNDfunction] = ACTIONS(2427),
    [anon_sym_POUNDdsohandle] = ACTIONS(2427),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(2427),
    [anon_sym_POUNDfileLiteral] = ACTIONS(2427),
    [anon_sym_POUNDimageLiteral] = ACTIONS(2427),
    [anon_sym_LBRACE] = ACTIONS(2427),
    [anon_sym_CARET_LBRACE] = ACTIONS(2427),
    [anon_sym_RBRACE] = ACTIONS(2455),
    [anon_sym_self] = ACTIONS(2425),
    [anon_sym_super] = ACTIONS(2425),
    [anon_sym_case] = ACTIONS(2457),
    [anon_sym_fallthrough] = ACTIONS(2457),
    [anon_sym_POUNDkeyPath] = ACTIONS(2427),
    [anon_sym_try] = ACTIONS(2425),
    [anon_sym_PLUS_EQ] = ACTIONS(2427),
    [anon_sym_DASH_EQ] = ACTIONS(2427),
    [anon_sym_STAR_EQ] = ACTIONS(2427),
    [anon_sym_SLASH_EQ] = ACTIONS(2427),
    [anon_sym_PERCENT_EQ] = ACTIONS(2427),
    [anon_sym_BANG_EQ] = ACTIONS(2425),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2427),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2427),
    [anon_sym_LT_EQ] = ACTIONS(2427),
    [anon_sym_GT_EQ] = ACTIONS(2427),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2427),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2427),
    [anon_sym_is] = ACTIONS(2457),
    [anon_sym_PLUS] = ACTIONS(2425),
    [anon_sym_DASH] = ACTIONS(2425),
    [anon_sym_STAR] = ACTIONS(2425),
    [anon_sym_SLASH] = ACTIONS(2425),
    [anon_sym_PERCENT] = ACTIONS(2425),
    [anon_sym_PLUS_PLUS] = ACTIONS(2427),
    [anon_sym_DASH_DASH] = ACTIONS(2427),
    [anon_sym_TILDE] = ACTIONS(2427),
    [anon_sym_PIPE] = ACTIONS(2427),
    [anon_sym_CARET] = ACTIONS(2425),
    [anon_sym_LT_LT] = ACTIONS(2427),
    [anon_sym_GT_GT] = ACTIONS(2427),
    [anon_sym_class] = ACTIONS(2457),
    [anon_sym_BANG2] = ACTIONS(2425),
    [anon_sym_prefix] = ACTIONS(2457),
    [anon_sym_infix] = ACTIONS(2457),
    [anon_sym_postfix] = ACTIONS(2457),
    [anon_sym_AT] = ACTIONS(2457),
    [anon_sym_override] = ACTIONS(2457),
    [anon_sym_convenience] = ACTIONS(2457),
    [anon_sym_required] = ACTIONS(2457),
    [anon_sym_nonisolated] = ACTIONS(2457),
    [anon_sym_public] = ACTIONS(2457),
    [anon_sym_private] = ACTIONS(2457),
    [anon_sym_internal] = ACTIONS(2457),
    [anon_sym_fileprivate] = ACTIONS(2457),
    [anon_sym_open] = ACTIONS(2457),
    [anon_sym_mutating] = ACTIONS(2457),
    [anon_sym_nonmutating] = ACTIONS(2457),
    [anon_sym_static] = ACTIONS(2457),
    [anon_sym_dynamic] = ACTIONS(2457),
    [anon_sym_optional] = ACTIONS(2457),
    [anon_sym_distributed] = ACTIONS(2457),
    [anon_sym_final] = ACTIONS(2457),
    [anon_sym_inout] = ACTIONS(2457),
    [anon_sym_ATescaping] = ACTIONS(2455),
    [anon_sym_ATautoclosure] = ACTIONS(2455),
    [anon_sym_weak] = ACTIONS(2457),
    [anon_sym_unowned] = ACTIONS(2457),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2455),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2455),
    [anon_sym_borrowing] = ACTIONS(2425),
    [anon_sym_consuming] = ACTIONS(2425),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(2427),
    [sym_raw_str_end_part] = ACTIONS(2427),
    [sym__implicit_semi] = ACTIONS(2455),
    [sym__explicit_semi] = ACTIONS(2455),
    [sym__dot_custom] = ACTIONS(2427),
    [sym__conjunction_operator_custom] = ACTIONS(2455),
    [sym__disjunction_operator_custom] = ACTIONS(2455),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2455),
    [sym__eq_custom] = ACTIONS(2427),
    [sym__eq_eq_custom] = ACTIONS(2427),
    [sym__plus_then_ws] = ACTIONS(2427),
    [sym__minus_then_ws] = ACTIONS(2427),
    [sym__bang_custom] = ACTIONS(2427),
    [sym_default_keyword] = ACTIONS(2455),
    [sym__as_custom] = ACTIONS(2455),
    [sym__as_quest_custom] = ACTIONS(2455),
    [sym__as_bang_custom] = ACTIONS(2455),
    [sym__custom_operator] = ACTIONS(2427),
  },
  [622] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2451),
    [aux_sym_simple_identifier_token2] = ACTIONS(2453),
    [aux_sym_simple_identifier_token3] = ACTIONS(2453),
    [aux_sym_simple_identifier_token4] = ACTIONS(2453),
    [anon_sym_actor] = ACTIONS(2451),
    [anon_sym_async] = ACTIONS(2451),
    [anon_sym_each] = ACTIONS(2451),
    [anon_sym_lazy] = ACTIONS(2451),
    [anon_sym_repeat] = ACTIONS(2451),
    [anon_sym_package] = ACTIONS(2451),
    [anon_sym_nil] = ACTIONS(2451),
    [sym_real_literal] = ACTIONS(2453),
    [sym_integer_literal] = ACTIONS(2451),
    [sym_hex_literal] = ACTIONS(2453),
    [sym_oct_literal] = ACTIONS(2453),
    [sym_bin_literal] = ACTIONS(2453),
    [anon_sym_true] = ACTIONS(2451),
    [anon_sym_false] = ACTIONS(2451),
    [anon_sym_DQUOTE] = ACTIONS(2451),
    [anon_sym_BSLASH] = ACTIONS(2453),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2453),
    [anon_sym_COMMA] = ACTIONS(2453),
    [sym__extended_regex_literal] = ACTIONS(2453),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(2453),
    [sym__oneline_regex_literal] = ACTIONS(2451),
    [anon_sym_LPAREN] = ACTIONS(2453),
    [anon_sym_LBRACK] = ACTIONS(2453),
    [anon_sym_QMARK] = ACTIONS(2451),
    [anon_sym_QMARK2] = ACTIONS(2453),
    [anon_sym_AMP] = ACTIONS(2453),
    [anon_sym_if] = ACTIONS(2451),
    [anon_sym_switch] = ACTIONS(2451),
    [anon_sym_POUNDselector] = ACTIONS(2453),
    [aux_sym_custom_operator_token1] = ACTIONS(2453),
    [anon_sym_LT] = ACTIONS(2451),
    [anon_sym_GT] = ACTIONS(2451),
    [anon_sym_await] = ACTIONS(2451),
    [anon_sym_POUNDfile] = ACTIONS(2451),
    [anon_sym_POUNDfileID] = ACTIONS(2453),
    [anon_sym_POUNDfilePath] = ACTIONS(2453),
    [anon_sym_POUNDline] = ACTIONS(2453),
    [anon_sym_POUNDcolumn] = ACTIONS(2453),
    [anon_sym_POUNDfunction] = ACTIONS(2453),
    [anon_sym_POUNDdsohandle] = ACTIONS(2453),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(2453),
    [anon_sym_POUNDfileLiteral] = ACTIONS(2453),
    [anon_sym_POUNDimageLiteral] = ACTIONS(2453),
    [anon_sym_LBRACE] = ACTIONS(2453),
    [anon_sym_CARET_LBRACE] = ACTIONS(2453),
    [anon_sym_RBRACE] = ACTIONS(2453),
    [anon_sym_self] = ACTIONS(2451),
    [anon_sym_super] = ACTIONS(2451),
    [anon_sym_case] = ACTIONS(2451),
    [anon_sym_fallthrough] = ACTIONS(2451),
    [anon_sym_POUNDkeyPath] = ACTIONS(2453),
    [anon_sym_try] = ACTIONS(2451),
    [anon_sym_PLUS_EQ] = ACTIONS(2453),
    [anon_sym_DASH_EQ] = ACTIONS(2453),
    [anon_sym_STAR_EQ] = ACTIONS(2453),
    [anon_sym_SLASH_EQ] = ACTIONS(2453),
    [anon_sym_PERCENT_EQ] = ACTIONS(2453),
    [anon_sym_BANG_EQ] = ACTIONS(2451),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2453),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2453),
    [anon_sym_LT_EQ] = ACTIONS(2453),
    [anon_sym_GT_EQ] = ACTIONS(2453),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2453),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2453),
    [anon_sym_is] = ACTIONS(2451),
    [anon_sym_PLUS] = ACTIONS(2451),
    [anon_sym_DASH] = ACTIONS(2451),
    [anon_sym_STAR] = ACTIONS(2451),
    [anon_sym_SLASH] = ACTIONS(2451),
    [anon_sym_PERCENT] = ACTIONS(2451),
    [anon_sym_PLUS_PLUS] = ACTIONS(2453),
    [anon_sym_DASH_DASH] = ACTIONS(2453),
    [anon_sym_TILDE] = ACTIONS(2453),
    [anon_sym_PIPE] = ACTIONS(2453),
    [anon_sym_CARET] = ACTIONS(2451),
    [anon_sym_LT_LT] = ACTIONS(2453),
    [anon_sym_GT_GT] = ACTIONS(2453),
    [anon_sym_class] = ACTIONS(2451),
    [anon_sym_BANG2] = ACTIONS(2451),
    [anon_sym_prefix] = ACTIONS(2451),
    [anon_sym_infix] = ACTIONS(2451),
    [anon_sym_postfix] = ACTIONS(2451),
    [anon_sym_AT] = ACTIONS(2451),
    [anon_sym_override] = ACTIONS(2451),
    [anon_sym_convenience] = ACTIONS(2451),
    [anon_sym_required] = ACTIONS(2451),
    [anon_sym_nonisolated] = ACTIONS(2451),
    [anon_sym_public] = ACTIONS(2451),
    [anon_sym_private] = ACTIONS(2451),
    [anon_sym_internal] = ACTIONS(2451),
    [anon_sym_fileprivate] = ACTIONS(2451),
    [anon_sym_open] = ACTIONS(2451),
    [anon_sym_mutating] = ACTIONS(2451),
    [anon_sym_nonmutating] = ACTIONS(2451),
    [anon_sym_static] = ACTIONS(2451),
    [anon_sym_dynamic] = ACTIONS(2451),
    [anon_sym_optional] = ACTIONS(2451),
    [anon_sym_distributed] = ACTIONS(2451),
    [anon_sym_final] = ACTIONS(2451),
    [anon_sym_inout] = ACTIONS(2451),
    [anon_sym_ATescaping] = ACTIONS(2453),
    [anon_sym_ATautoclosure] = ACTIONS(2453),
    [anon_sym_weak] = ACTIONS(2451),
    [anon_sym_unowned] = ACTIONS(2451),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2453),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2453),
    [anon_sym_borrowing] = ACTIONS(2451),
    [anon_sym_consuming] = ACTIONS(2451),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(2453),
    [sym_raw_str_end_part] = ACTIONS(2453),
    [sym__implicit_semi] = ACTIONS(2453),
    [sym__explicit_semi] = ACTIONS(2453),
    [sym__dot_custom] = ACTIONS(2453),
    [sym__conjunction_operator_custom] = ACTIONS(2453),
    [sym__disjunction_operator_custom] = ACTIONS(2453),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2453),
    [sym__eq_custom] = ACTIONS(2453),
    [sym__eq_eq_custom] = ACTIONS(2453),
    [sym__plus_then_ws] = ACTIONS(2453),
    [sym__minus_then_ws] = ACTIONS(2453),
    [sym__bang_custom] = ACTIONS(2453),
    [sym_default_keyword] = ACTIONS(2453),
    [sym__as_custom] = ACTIONS(2453),
    [sym__as_quest_custom] = ACTIONS(2453),
    [sym__as_bang_custom] = ACTIONS(2453),
    [sym__custom_operator] = ACTIONS(2453),
  },
  [623] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2469),
    [aux_sym_simple_identifier_token2] = ACTIONS(2471),
    [aux_sym_simple_identifier_token3] = ACTIONS(2471),
    [aux_sym_simple_identifier_token4] = ACTIONS(2471),
    [anon_sym_actor] = ACTIONS(2469),
    [anon_sym_async] = ACTIONS(2469),
    [anon_sym_each] = ACTIONS(2469),
    [anon_sym_lazy] = ACTIONS(2469),
    [anon_sym_repeat] = ACTIONS(2469),
    [anon_sym_package] = ACTIONS(2469),
    [anon_sym_nil] = ACTIONS(2469),
    [sym_real_literal] = ACTIONS(2471),
    [sym_integer_literal] = ACTIONS(2469),
    [sym_hex_literal] = ACTIONS(2471),
    [sym_oct_literal] = ACTIONS(2471),
    [sym_bin_literal] = ACTIONS(2471),
    [anon_sym_true] = ACTIONS(2469),
    [anon_sym_false] = ACTIONS(2469),
    [anon_sym_DQUOTE] = ACTIONS(2469),
    [anon_sym_BSLASH] = ACTIONS(2471),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2471),
    [anon_sym_COMMA] = ACTIONS(2471),
    [sym__extended_regex_literal] = ACTIONS(2471),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(2471),
    [sym__oneline_regex_literal] = ACTIONS(2469),
    [anon_sym_LPAREN] = ACTIONS(2471),
    [anon_sym_LBRACK] = ACTIONS(2471),
    [anon_sym_QMARK] = ACTIONS(2469),
    [anon_sym_QMARK2] = ACTIONS(2471),
    [anon_sym_AMP] = ACTIONS(2471),
    [anon_sym_if] = ACTIONS(2469),
    [anon_sym_switch] = ACTIONS(2469),
    [anon_sym_POUNDselector] = ACTIONS(2471),
    [aux_sym_custom_operator_token1] = ACTIONS(2471),
    [anon_sym_LT] = ACTIONS(2469),
    [anon_sym_GT] = ACTIONS(2469),
    [anon_sym_await] = ACTIONS(2469),
    [anon_sym_POUNDfile] = ACTIONS(2469),
    [anon_sym_POUNDfileID] = ACTIONS(2471),
    [anon_sym_POUNDfilePath] = ACTIONS(2471),
    [anon_sym_POUNDline] = ACTIONS(2471),
    [anon_sym_POUNDcolumn] = ACTIONS(2471),
    [anon_sym_POUNDfunction] = ACTIONS(2471),
    [anon_sym_POUNDdsohandle] = ACTIONS(2471),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(2471),
    [anon_sym_POUNDfileLiteral] = ACTIONS(2471),
    [anon_sym_POUNDimageLiteral] = ACTIONS(2471),
    [anon_sym_LBRACE] = ACTIONS(2471),
    [anon_sym_CARET_LBRACE] = ACTIONS(2471),
    [anon_sym_RBRACE] = ACTIONS(2471),
    [anon_sym_self] = ACTIONS(2469),
    [anon_sym_super] = ACTIONS(2469),
    [anon_sym_case] = ACTIONS(2469),
    [anon_sym_fallthrough] = ACTIONS(2469),
    [anon_sym_POUNDkeyPath] = ACTIONS(2471),
    [anon_sym_try] = ACTIONS(2469),
    [anon_sym_PLUS_EQ] = ACTIONS(2471),
    [anon_sym_DASH_EQ] = ACTIONS(2471),
    [anon_sym_STAR_EQ] = ACTIONS(2471),
    [anon_sym_SLASH_EQ] = ACTIONS(2471),
    [anon_sym_PERCENT_EQ] = ACTIONS(2471),
    [anon_sym_BANG_EQ] = ACTIONS(2469),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2471),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2471),
    [anon_sym_LT_EQ] = ACTIONS(2471),
    [anon_sym_GT_EQ] = ACTIONS(2471),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2471),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2471),
    [anon_sym_is] = ACTIONS(2469),
    [anon_sym_PLUS] = ACTIONS(2469),
    [anon_sym_DASH] = ACTIONS(2469),
    [anon_sym_STAR] = ACTIONS(2469),
    [anon_sym_SLASH] = ACTIONS(2469),
    [anon_sym_PERCENT] = ACTIONS(2469),
    [anon_sym_PLUS_PLUS] = ACTIONS(2471),
    [anon_sym_DASH_DASH] = ACTIONS(2471),
    [anon_sym_TILDE] = ACTIONS(2471),
    [anon_sym_PIPE] = ACTIONS(2471),
    [anon_sym_CARET] = ACTIONS(2469),
    [anon_sym_LT_LT] = ACTIONS(2471),
    [anon_sym_GT_GT] = ACTIONS(2471),
    [anon_sym_class] = ACTIONS(2469),
    [anon_sym_BANG2] = ACTIONS(2469),
    [anon_sym_prefix] = ACTIONS(2469),
    [anon_sym_infix] = ACTIONS(2469),
    [anon_sym_postfix] = ACTIONS(2469),
    [anon_sym_AT] = ACTIONS(2469),
    [anon_sym_override] = ACTIONS(2469),
    [anon_sym_convenience] = ACTIONS(2469),
    [anon_sym_required] = ACTIONS(2469),
    [anon_sym_nonisolated] = ACTIONS(2469),
    [anon_sym_public] = ACTIONS(2469),
    [anon_sym_private] = ACTIONS(2469),
    [anon_sym_internal] = ACTIONS(2469),
    [anon_sym_fileprivate] = ACTIONS(2469),
    [anon_sym_open] = ACTIONS(2469),
    [anon_sym_mutating] = ACTIONS(2469),
    [anon_sym_nonmutating] = ACTIONS(2469),
    [anon_sym_static] = ACTIONS(2469),
    [anon_sym_dynamic] = ACTIONS(2469),
    [anon_sym_optional] = ACTIONS(2469),
    [anon_sym_distributed] = ACTIONS(2469),
    [anon_sym_final] = ACTIONS(2469),
    [anon_sym_inout] = ACTIONS(2469),
    [anon_sym_ATescaping] = ACTIONS(2471),
    [anon_sym_ATautoclosure] = ACTIONS(2471),
    [anon_sym_weak] = ACTIONS(2469),
    [anon_sym_unowned] = ACTIONS(2469),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2471),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2471),
    [anon_sym_borrowing] = ACTIONS(2469),
    [anon_sym_consuming] = ACTIONS(2469),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(2471),
    [sym_raw_str_end_part] = ACTIONS(2471),
    [sym__implicit_semi] = ACTIONS(2471),
    [sym__explicit_semi] = ACTIONS(2471),
    [sym__dot_custom] = ACTIONS(2471),
    [sym__conjunction_operator_custom] = ACTIONS(2471),
    [sym__disjunction_operator_custom] = ACTIONS(2471),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2471),
    [sym__eq_custom] = ACTIONS(2471),
    [sym__eq_eq_custom] = ACTIONS(2471),
    [sym__plus_then_ws] = ACTIONS(2471),
    [sym__minus_then_ws] = ACTIONS(2471),
    [sym__bang_custom] = ACTIONS(2471),
    [sym_default_keyword] = ACTIONS(2471),
    [sym__as_custom] = ACTIONS(2471),
    [sym__as_quest_custom] = ACTIONS(2471),
    [sym__as_bang_custom] = ACTIONS(2471),
    [sym__custom_operator] = ACTIONS(2471),
  },
  [624] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2433),
    [aux_sym_simple_identifier_token2] = ACTIONS(2435),
    [aux_sym_simple_identifier_token3] = ACTIONS(2435),
    [aux_sym_simple_identifier_token4] = ACTIONS(2435),
    [anon_sym_actor] = ACTIONS(2433),
    [anon_sym_async] = ACTIONS(2433),
    [anon_sym_each] = ACTIONS(2433),
    [anon_sym_lazy] = ACTIONS(2433),
    [anon_sym_repeat] = ACTIONS(2433),
    [anon_sym_package] = ACTIONS(2433),
    [anon_sym_nil] = ACTIONS(2433),
    [sym_real_literal] = ACTIONS(2435),
    [sym_integer_literal] = ACTIONS(2433),
    [sym_hex_literal] = ACTIONS(2435),
    [sym_oct_literal] = ACTIONS(2435),
    [sym_bin_literal] = ACTIONS(2435),
    [anon_sym_true] = ACTIONS(2433),
    [anon_sym_false] = ACTIONS(2433),
    [anon_sym_DQUOTE] = ACTIONS(2433),
    [anon_sym_BSLASH] = ACTIONS(2435),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2435),
    [anon_sym_COMMA] = ACTIONS(2435),
    [sym__extended_regex_literal] = ACTIONS(2435),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(2435),
    [sym__oneline_regex_literal] = ACTIONS(2433),
    [anon_sym_LPAREN] = ACTIONS(2435),
    [anon_sym_LBRACK] = ACTIONS(2435),
    [anon_sym_QMARK] = ACTIONS(2433),
    [anon_sym_QMARK2] = ACTIONS(2435),
    [anon_sym_AMP] = ACTIONS(2435),
    [anon_sym_if] = ACTIONS(2433),
    [anon_sym_switch] = ACTIONS(2433),
    [anon_sym_POUNDselector] = ACTIONS(2435),
    [aux_sym_custom_operator_token1] = ACTIONS(2435),
    [anon_sym_LT] = ACTIONS(2433),
    [anon_sym_GT] = ACTIONS(2433),
    [anon_sym_await] = ACTIONS(2433),
    [anon_sym_POUNDfile] = ACTIONS(2433),
    [anon_sym_POUNDfileID] = ACTIONS(2435),
    [anon_sym_POUNDfilePath] = ACTIONS(2435),
    [anon_sym_POUNDline] = ACTIONS(2435),
    [anon_sym_POUNDcolumn] = ACTIONS(2435),
    [anon_sym_POUNDfunction] = ACTIONS(2435),
    [anon_sym_POUNDdsohandle] = ACTIONS(2435),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(2435),
    [anon_sym_POUNDfileLiteral] = ACTIONS(2435),
    [anon_sym_POUNDimageLiteral] = ACTIONS(2435),
    [anon_sym_LBRACE] = ACTIONS(2435),
    [anon_sym_CARET_LBRACE] = ACTIONS(2435),
    [anon_sym_RBRACE] = ACTIONS(2435),
    [anon_sym_self] = ACTIONS(2433),
    [anon_sym_super] = ACTIONS(2433),
    [anon_sym_case] = ACTIONS(2433),
    [anon_sym_fallthrough] = ACTIONS(2433),
    [anon_sym_POUNDkeyPath] = ACTIONS(2435),
    [anon_sym_try] = ACTIONS(2433),
    [anon_sym_PLUS_EQ] = ACTIONS(2435),
    [anon_sym_DASH_EQ] = ACTIONS(2435),
    [anon_sym_STAR_EQ] = ACTIONS(2435),
    [anon_sym_SLASH_EQ] = ACTIONS(2435),
    [anon_sym_PERCENT_EQ] = ACTIONS(2435),
    [anon_sym_BANG_EQ] = ACTIONS(2433),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2435),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2435),
    [anon_sym_LT_EQ] = ACTIONS(2435),
    [anon_sym_GT_EQ] = ACTIONS(2435),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2435),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2435),
    [anon_sym_is] = ACTIONS(2433),
    [anon_sym_PLUS] = ACTIONS(2433),
    [anon_sym_DASH] = ACTIONS(2433),
    [anon_sym_STAR] = ACTIONS(2433),
    [anon_sym_SLASH] = ACTIONS(2433),
    [anon_sym_PERCENT] = ACTIONS(2433),
    [anon_sym_PLUS_PLUS] = ACTIONS(2435),
    [anon_sym_DASH_DASH] = ACTIONS(2435),
    [anon_sym_TILDE] = ACTIONS(2435),
    [anon_sym_PIPE] = ACTIONS(2435),
    [anon_sym_CARET] = ACTIONS(2433),
    [anon_sym_LT_LT] = ACTIONS(2435),
    [anon_sym_GT_GT] = ACTIONS(2435),
    [anon_sym_class] = ACTIONS(2433),
    [anon_sym_BANG2] = ACTIONS(2433),
    [anon_sym_prefix] = ACTIONS(2433),
    [anon_sym_infix] = ACTIONS(2433),
    [anon_sym_postfix] = ACTIONS(2433),
    [anon_sym_AT] = ACTIONS(2433),
    [anon_sym_override] = ACTIONS(2433),
    [anon_sym_convenience] = ACTIONS(2433),
    [anon_sym_required] = ACTIONS(2433),
    [anon_sym_nonisolated] = ACTIONS(2433),
    [anon_sym_public] = ACTIONS(2433),
    [anon_sym_private] = ACTIONS(2433),
    [anon_sym_internal] = ACTIONS(2433),
    [anon_sym_fileprivate] = ACTIONS(2433),
    [anon_sym_open] = ACTIONS(2433),
    [anon_sym_mutating] = ACTIONS(2433),
    [anon_sym_nonmutating] = ACTIONS(2433),
    [anon_sym_static] = ACTIONS(2433),
    [anon_sym_dynamic] = ACTIONS(2433),
    [anon_sym_optional] = ACTIONS(2433),
    [anon_sym_distributed] = ACTIONS(2433),
    [anon_sym_final] = ACTIONS(2433),
    [anon_sym_inout] = ACTIONS(2433),
    [anon_sym_ATescaping] = ACTIONS(2435),
    [anon_sym_ATautoclosure] = ACTIONS(2435),
    [anon_sym_weak] = ACTIONS(2433),
    [anon_sym_unowned] = ACTIONS(2433),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2435),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2435),
    [anon_sym_borrowing] = ACTIONS(2433),
    [anon_sym_consuming] = ACTIONS(2433),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(2435),
    [sym_raw_str_end_part] = ACTIONS(2435),
    [sym__implicit_semi] = ACTIONS(2435),
    [sym__explicit_semi] = ACTIONS(2435),
    [sym__dot_custom] = ACTIONS(2435),
    [sym__conjunction_operator_custom] = ACTIONS(2435),
    [sym__disjunction_operator_custom] = ACTIONS(2435),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2435),
    [sym__eq_custom] = ACTIONS(2435),
    [sym__eq_eq_custom] = ACTIONS(2435),
    [sym__plus_then_ws] = ACTIONS(2435),
    [sym__minus_then_ws] = ACTIONS(2435),
    [sym__bang_custom] = ACTIONS(2435),
    [sym_default_keyword] = ACTIONS(2435),
    [sym__as_custom] = ACTIONS(2435),
    [sym__as_quest_custom] = ACTIONS(2435),
    [sym__as_bang_custom] = ACTIONS(2435),
    [sym__custom_operator] = ACTIONS(2435),
  },
  [625] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2425),
    [aux_sym_simple_identifier_token2] = ACTIONS(2427),
    [aux_sym_simple_identifier_token3] = ACTIONS(2427),
    [aux_sym_simple_identifier_token4] = ACTIONS(2427),
    [anon_sym_actor] = ACTIONS(2425),
    [anon_sym_async] = ACTIONS(2425),
    [anon_sym_each] = ACTIONS(2425),
    [anon_sym_lazy] = ACTIONS(2425),
    [anon_sym_repeat] = ACTIONS(2425),
    [anon_sym_package] = ACTIONS(2425),
    [anon_sym_nil] = ACTIONS(2425),
    [sym_real_literal] = ACTIONS(2427),
    [sym_integer_literal] = ACTIONS(2425),
    [sym_hex_literal] = ACTIONS(2427),
    [sym_oct_literal] = ACTIONS(2427),
    [sym_bin_literal] = ACTIONS(2427),
    [anon_sym_true] = ACTIONS(2425),
    [anon_sym_false] = ACTIONS(2425),
    [anon_sym_DQUOTE] = ACTIONS(2425),
    [anon_sym_BSLASH] = ACTIONS(2427),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2427),
    [anon_sym_COMMA] = ACTIONS(2429),
    [sym__extended_regex_literal] = ACTIONS(2427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(2427),
    [sym__oneline_regex_literal] = ACTIONS(2425),
    [anon_sym_LPAREN] = ACTIONS(2427),
    [anon_sym_LBRACK] = ACTIONS(2427),
    [anon_sym_QMARK] = ACTIONS(2431),
    [anon_sym_QMARK2] = ACTIONS(2429),
    [anon_sym_AMP] = ACTIONS(2427),
    [anon_sym_if] = ACTIONS(2425),
    [anon_sym_switch] = ACTIONS(2425),
    [anon_sym_POUNDselector] = ACTIONS(2427),
    [aux_sym_custom_operator_token1] = ACTIONS(2427),
    [anon_sym_LT] = ACTIONS(2425),
    [anon_sym_GT] = ACTIONS(2425),
    [anon_sym_await] = ACTIONS(2425),
    [anon_sym_POUNDfile] = ACTIONS(2425),
    [anon_sym_POUNDfileID] = ACTIONS(2427),
    [anon_sym_POUNDfilePath] = ACTIONS(2427),
    [anon_sym_POUNDline] = ACTIONS(2427),
    [anon_sym_POUNDcolumn] = ACTIONS(2427),
    [anon_sym_POUNDfunction] = ACTIONS(2427),
    [anon_sym_POUNDdsohandle] = ACTIONS(2427),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(2427),
    [anon_sym_POUNDfileLiteral] = ACTIONS(2427),
    [anon_sym_POUNDimageLiteral] = ACTIONS(2427),
    [anon_sym_LBRACE] = ACTIONS(2427),
    [anon_sym_CARET_LBRACE] = ACTIONS(2427),
    [anon_sym_RBRACE] = ACTIONS(2429),
    [anon_sym_self] = ACTIONS(2425),
    [anon_sym_super] = ACTIONS(2425),
    [anon_sym_case] = ACTIONS(2431),
    [anon_sym_fallthrough] = ACTIONS(2431),
    [anon_sym_POUNDkeyPath] = ACTIONS(2427),
    [anon_sym_try] = ACTIONS(2425),
    [anon_sym_PLUS_EQ] = ACTIONS(2427),
    [anon_sym_DASH_EQ] = ACTIONS(2427),
    [anon_sym_STAR_EQ] = ACTIONS(2427),
    [anon_sym_SLASH_EQ] = ACTIONS(2427),
    [anon_sym_PERCENT_EQ] = ACTIONS(2427),
    [anon_sym_BANG_EQ] = ACTIONS(2425),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2427),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2427),
    [anon_sym_LT_EQ] = ACTIONS(2427),
    [anon_sym_GT_EQ] = ACTIONS(2427),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2427),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2427),
    [anon_sym_is] = ACTIONS(2431),
    [anon_sym_PLUS] = ACTIONS(2425),
    [anon_sym_DASH] = ACTIONS(2425),
    [anon_sym_STAR] = ACTIONS(2425),
    [anon_sym_SLASH] = ACTIONS(2425),
    [anon_sym_PERCENT] = ACTIONS(2425),
    [anon_sym_PLUS_PLUS] = ACTIONS(2427),
    [anon_sym_DASH_DASH] = ACTIONS(2427),
    [anon_sym_TILDE] = ACTIONS(2427),
    [anon_sym_PIPE] = ACTIONS(2427),
    [anon_sym_CARET] = ACTIONS(2425),
    [anon_sym_LT_LT] = ACTIONS(2427),
    [anon_sym_GT_GT] = ACTIONS(2427),
    [anon_sym_class] = ACTIONS(2431),
    [anon_sym_BANG2] = ACTIONS(2425),
    [anon_sym_prefix] = ACTIONS(2431),
    [anon_sym_infix] = ACTIONS(2431),
    [anon_sym_postfix] = ACTIONS(2431),
    [anon_sym_AT] = ACTIONS(2431),
    [anon_sym_override] = ACTIONS(2431),
    [anon_sym_convenience] = ACTIONS(2431),
    [anon_sym_required] = ACTIONS(2431),
    [anon_sym_nonisolated] = ACTIONS(2431),
    [anon_sym_public] = ACTIONS(2431),
    [anon_sym_private] = ACTIONS(2431),
    [anon_sym_internal] = ACTIONS(2431),
    [anon_sym_fileprivate] = ACTIONS(2431),
    [anon_sym_open] = ACTIONS(2431),
    [anon_sym_mutating] = ACTIONS(2431),
    [anon_sym_nonmutating] = ACTIONS(2431),
    [anon_sym_static] = ACTIONS(2431),
    [anon_sym_dynamic] = ACTIONS(2431),
    [anon_sym_optional] = ACTIONS(2431),
    [anon_sym_distributed] = ACTIONS(2431),
    [anon_sym_final] = ACTIONS(2431),
    [anon_sym_inout] = ACTIONS(2431),
    [anon_sym_ATescaping] = ACTIONS(2429),
    [anon_sym_ATautoclosure] = ACTIONS(2429),
    [anon_sym_weak] = ACTIONS(2431),
    [anon_sym_unowned] = ACTIONS(2431),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2429),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2429),
    [anon_sym_borrowing] = ACTIONS(2425),
    [anon_sym_consuming] = ACTIONS(2425),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(2427),
    [sym_raw_str_end_part] = ACTIONS(2427),
    [sym__implicit_semi] = ACTIONS(2429),
    [sym__explicit_semi] = ACTIONS(2429),
    [sym__dot_custom] = ACTIONS(2427),
    [sym__conjunction_operator_custom] = ACTIONS(2429),
    [sym__disjunction_operator_custom] = ACTIONS(2429),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2429),
    [sym__eq_custom] = ACTIONS(2427),
    [sym__eq_eq_custom] = ACTIONS(2427),
    [sym__plus_then_ws] = ACTIONS(2427),
    [sym__minus_then_ws] = ACTIONS(2427),
    [sym__bang_custom] = ACTIONS(2427),
    [sym_default_keyword] = ACTIONS(2429),
    [sym__as_custom] = ACTIONS(2429),
    [sym__as_quest_custom] = ACTIONS(2429),
    [sym__as_bang_custom] = ACTIONS(2429),
    [sym__custom_operator] = ACTIONS(2427),
  },
  [626] = {
    [sym__quest] = STATE(542),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(308),
    [sym_custom_operator] = STATE(310),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(828),
    [sym_expr_hack_at_ternary_binary_call_suffix] = STATE(807),
    [sym_lambda_literal] = STATE(683),
    [sym__equality_operator] = STATE(315),
    [sym__comparison_operator] = STATE(316),
    [sym__three_dot_operator] = STATE(608),
    [sym__open_ended_range_operator] = STATE(308),
    [sym__is_operator] = STATE(3734),
    [sym__additive_operator] = STATE(567),
    [sym__multiplicative_operator] = STATE(568),
    [sym_as_operator] = STATE(3721),
    [sym__bitwise_binary_operator] = STATE(326),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(315),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(336),
    [sym__disjunction_operator] = STATE(341),
    [sym__nil_coalescing_operator] = STATE(342),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(2494),
    [anon_sym_async] = ACTIONS(2494),
    [anon_sym_lazy] = ACTIONS(2494),
    [anon_sym_package] = ACTIONS(2494),
    [anon_sym_COMMA] = ACTIONS(2494),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_QMARK] = ACTIONS(2500),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(2504),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(2508),
    [anon_sym_GT] = ACTIONS(2508),
    [anon_sym_LBRACE] = ACTIONS(2494),
    [anon_sym_CARET_LBRACE] = ACTIONS(2494),
    [anon_sym_RBRACE] = ACTIONS(2494),
    [anon_sym_case] = ACTIONS(2494),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(2512),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2514),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2514),
    [anon_sym_LT_EQ] = ACTIONS(2516),
    [anon_sym_GT_EQ] = ACTIONS(2516),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(649),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2518),
    [anon_sym_is] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(2522),
    [anon_sym_DASH] = ACTIONS(2522),
    [anon_sym_STAR] = ACTIONS(2524),
    [anon_sym_SLASH] = ACTIONS(2524),
    [anon_sym_PERCENT] = ACTIONS(2524),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(2504),
    [anon_sym_CARET] = ACTIONS(2528),
    [anon_sym_LT_LT] = ACTIONS(2504),
    [anon_sym_GT_GT] = ACTIONS(2504),
    [anon_sym_import] = ACTIONS(2494),
    [anon_sym_typealias] = ACTIONS(2494),
    [anon_sym_struct] = ACTIONS(2494),
    [anon_sym_class] = ACTIONS(2494),
    [anon_sym_enum] = ACTIONS(2494),
    [anon_sym_protocol] = ACTIONS(2494),
    [anon_sym_let] = ACTIONS(2494),
    [anon_sym_var] = ACTIONS(2494),
    [anon_sym_func] = ACTIONS(2494),
    [anon_sym_extension] = ACTIONS(2494),
    [anon_sym_indirect] = ACTIONS(2494),
    [anon_sym_BANG2] = ACTIONS(2530),
    [anon_sym_SEMI] = ACTIONS(2494),
    [anon_sym_init] = ACTIONS(2494),
    [anon_sym_deinit] = ACTIONS(2494),
    [anon_sym_subscript] = ACTIONS(2494),
    [anon_sym_prefix] = ACTIONS(2494),
    [anon_sym_infix] = ACTIONS(2494),
    [anon_sym_postfix] = ACTIONS(2494),
    [anon_sym_precedencegroup] = ACTIONS(2494),
    [anon_sym_associatedtype] = ACTIONS(2494),
    [anon_sym_AT] = ACTIONS(2500),
    [anon_sym_override] = ACTIONS(2494),
    [anon_sym_convenience] = ACTIONS(2494),
    [anon_sym_required] = ACTIONS(2494),
    [anon_sym_nonisolated] = ACTIONS(2494),
    [anon_sym_public] = ACTIONS(2494),
    [anon_sym_private] = ACTIONS(2494),
    [anon_sym_internal] = ACTIONS(2494),
    [anon_sym_fileprivate] = ACTIONS(2494),
    [anon_sym_open] = ACTIONS(2494),
    [anon_sym_mutating] = ACTIONS(2494),
    [anon_sym_nonmutating] = ACTIONS(2494),
    [anon_sym_static] = ACTIONS(2494),
    [anon_sym_dynamic] = ACTIONS(2494),
    [anon_sym_optional] = ACTIONS(2494),
    [anon_sym_distributed] = ACTIONS(2494),
    [anon_sym_final] = ACTIONS(2494),
    [anon_sym_inout] = ACTIONS(2494),
    [anon_sym_ATescaping] = ACTIONS(2494),
    [anon_sym_ATautoclosure] = ACTIONS(2494),
    [anon_sym_weak] = ACTIONS(2494),
    [anon_sym_unowned] = ACTIONS(2500),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2494),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2494),
    [anon_sym_borrowing] = ACTIONS(2494),
    [anon_sym_consuming] = ACTIONS(2494),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(2534),
    [sym__disjunction_operator_custom] = ACTIONS(2536),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2538),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(2514),
    [sym__plus_then_ws] = ACTIONS(2540),
    [sym__minus_then_ws] = ACTIONS(2540),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [627] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2437),
    [aux_sym_simple_identifier_token2] = ACTIONS(2439),
    [aux_sym_simple_identifier_token3] = ACTIONS(2439),
    [aux_sym_simple_identifier_token4] = ACTIONS(2439),
    [anon_sym_actor] = ACTIONS(2437),
    [anon_sym_async] = ACTIONS(2437),
    [anon_sym_each] = ACTIONS(2437),
    [anon_sym_lazy] = ACTIONS(2441),
    [anon_sym_repeat] = ACTIONS(2437),
    [anon_sym_package] = ACTIONS(2441),
    [anon_sym_nil] = ACTIONS(2437),
    [sym_real_literal] = ACTIONS(2439),
    [sym_integer_literal] = ACTIONS(2437),
    [sym_hex_literal] = ACTIONS(2439),
    [sym_oct_literal] = ACTIONS(2439),
    [sym_bin_literal] = ACTIONS(2439),
    [anon_sym_true] = ACTIONS(2437),
    [anon_sym_false] = ACTIONS(2437),
    [anon_sym_DQUOTE] = ACTIONS(2437),
    [anon_sym_BSLASH] = ACTIONS(2439),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2439),
    [anon_sym_COMMA] = ACTIONS(2444),
    [sym__extended_regex_literal] = ACTIONS(2439),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(2439),
    [sym__oneline_regex_literal] = ACTIONS(2437),
    [anon_sym_LPAREN] = ACTIONS(2446),
    [anon_sym_LBRACK] = ACTIONS(2446),
    [anon_sym_QMARK] = ACTIONS(2449),
    [anon_sym_QMARK2] = ACTIONS(2444),
    [anon_sym_AMP] = ACTIONS(2446),
    [anon_sym_if] = ACTIONS(2437),
    [anon_sym_switch] = ACTIONS(2437),
    [anon_sym_POUNDselector] = ACTIONS(2439),
    [aux_sym_custom_operator_token1] = ACTIONS(2446),
    [anon_sym_LT] = ACTIONS(2441),
    [anon_sym_GT] = ACTIONS(2441),
    [anon_sym_await] = ACTIONS(2437),
    [anon_sym_POUNDfile] = ACTIONS(2437),
    [anon_sym_POUNDfileID] = ACTIONS(2439),
    [anon_sym_POUNDfilePath] = ACTIONS(2439),
    [anon_sym_POUNDline] = ACTIONS(2439),
    [anon_sym_POUNDcolumn] = ACTIONS(2439),
    [anon_sym_POUNDfunction] = ACTIONS(2439),
    [anon_sym_POUNDdsohandle] = ACTIONS(2439),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(2439),
    [anon_sym_POUNDfileLiteral] = ACTIONS(2439),
    [anon_sym_POUNDimageLiteral] = ACTIONS(2439),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_CARET_LBRACE] = ACTIONS(2446),
    [anon_sym_RBRACE] = ACTIONS(2444),
    [anon_sym_self] = ACTIONS(2437),
    [anon_sym_super] = ACTIONS(2437),
    [anon_sym_case] = ACTIONS(2449),
    [anon_sym_fallthrough] = ACTIONS(2449),
    [anon_sym_POUNDkeyPath] = ACTIONS(2439),
    [anon_sym_try] = ACTIONS(2437),
    [anon_sym_PLUS_EQ] = ACTIONS(2446),
    [anon_sym_DASH_EQ] = ACTIONS(2446),
    [anon_sym_STAR_EQ] = ACTIONS(2446),
    [anon_sym_SLASH_EQ] = ACTIONS(2446),
    [anon_sym_PERCENT_EQ] = ACTIONS(2446),
    [anon_sym_BANG_EQ] = ACTIONS(2441),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2446),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2446),
    [anon_sym_LT_EQ] = ACTIONS(2446),
    [anon_sym_GT_EQ] = ACTIONS(2446),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2446),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2446),
    [anon_sym_is] = ACTIONS(2449),
    [anon_sym_PLUS] = ACTIONS(2441),
    [anon_sym_DASH] = ACTIONS(2441),
    [anon_sym_STAR] = ACTIONS(2441),
    [anon_sym_SLASH] = ACTIONS(2441),
    [anon_sym_PERCENT] = ACTIONS(2441),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2439),
    [anon_sym_PIPE] = ACTIONS(2446),
    [anon_sym_CARET] = ACTIONS(2441),
    [anon_sym_LT_LT] = ACTIONS(2446),
    [anon_sym_GT_GT] = ACTIONS(2446),
    [anon_sym_class] = ACTIONS(2449),
    [anon_sym_BANG2] = ACTIONS(2441),
    [anon_sym_prefix] = ACTIONS(2449),
    [anon_sym_infix] = ACTIONS(2449),
    [anon_sym_postfix] = ACTIONS(2449),
    [anon_sym_AT] = ACTIONS(2449),
    [anon_sym_override] = ACTIONS(2449),
    [anon_sym_convenience] = ACTIONS(2449),
    [anon_sym_required] = ACTIONS(2449),
    [anon_sym_nonisolated] = ACTIONS(2449),
    [anon_sym_public] = ACTIONS(2449),
    [anon_sym_private] = ACTIONS(2449),
    [anon_sym_internal] = ACTIONS(2449),
    [anon_sym_fileprivate] = ACTIONS(2449),
    [anon_sym_open] = ACTIONS(2449),
    [anon_sym_mutating] = ACTIONS(2449),
    [anon_sym_nonmutating] = ACTIONS(2449),
    [anon_sym_static] = ACTIONS(2449),
    [anon_sym_dynamic] = ACTIONS(2449),
    [anon_sym_optional] = ACTIONS(2449),
    [anon_sym_distributed] = ACTIONS(2449),
    [anon_sym_final] = ACTIONS(2449),
    [anon_sym_inout] = ACTIONS(2449),
    [anon_sym_ATescaping] = ACTIONS(2444),
    [anon_sym_ATautoclosure] = ACTIONS(2444),
    [anon_sym_weak] = ACTIONS(2449),
    [anon_sym_unowned] = ACTIONS(2449),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2444),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2444),
    [anon_sym_borrowing] = ACTIONS(2441),
    [anon_sym_consuming] = ACTIONS(2441),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(2439),
    [sym_raw_str_end_part] = ACTIONS(2439),
    [sym__implicit_semi] = ACTIONS(2444),
    [sym__explicit_semi] = ACTIONS(2444),
    [sym__dot_custom] = ACTIONS(2446),
    [sym__conjunction_operator_custom] = ACTIONS(2444),
    [sym__disjunction_operator_custom] = ACTIONS(2444),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2444),
    [sym__eq_custom] = ACTIONS(2446),
    [sym__eq_eq_custom] = ACTIONS(2446),
    [sym__plus_then_ws] = ACTIONS(2446),
    [sym__minus_then_ws] = ACTIONS(2446),
    [sym__bang_custom] = ACTIONS(2446),
    [sym_default_keyword] = ACTIONS(2444),
    [sym__as_custom] = ACTIONS(2444),
    [sym__as_quest_custom] = ACTIONS(2444),
    [sym__as_bang_custom] = ACTIONS(2444),
    [sym__custom_operator] = ACTIONS(2446),
  },
  [628] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2437),
    [aux_sym_simple_identifier_token2] = ACTIONS(2439),
    [aux_sym_simple_identifier_token3] = ACTIONS(2439),
    [aux_sym_simple_identifier_token4] = ACTIONS(2439),
    [anon_sym_actor] = ACTIONS(2437),
    [anon_sym_async] = ACTIONS(2437),
    [anon_sym_each] = ACTIONS(2437),
    [anon_sym_lazy] = ACTIONS(2459),
    [anon_sym_repeat] = ACTIONS(2437),
    [anon_sym_package] = ACTIONS(2459),
    [anon_sym_nil] = ACTIONS(2437),
    [sym_real_literal] = ACTIONS(2439),
    [sym_integer_literal] = ACTIONS(2437),
    [sym_hex_literal] = ACTIONS(2439),
    [sym_oct_literal] = ACTIONS(2439),
    [sym_bin_literal] = ACTIONS(2439),
    [anon_sym_true] = ACTIONS(2437),
    [anon_sym_false] = ACTIONS(2437),
    [anon_sym_DQUOTE] = ACTIONS(2437),
    [anon_sym_BSLASH] = ACTIONS(2439),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2439),
    [anon_sym_COMMA] = ACTIONS(2462),
    [sym__extended_regex_literal] = ACTIONS(2439),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(2439),
    [sym__oneline_regex_literal] = ACTIONS(2437),
    [anon_sym_LPAREN] = ACTIONS(2464),
    [anon_sym_LBRACK] = ACTIONS(2464),
    [anon_sym_QMARK] = ACTIONS(2467),
    [anon_sym_QMARK2] = ACTIONS(2462),
    [anon_sym_AMP] = ACTIONS(2464),
    [anon_sym_if] = ACTIONS(2437),
    [anon_sym_switch] = ACTIONS(2437),
    [anon_sym_POUNDselector] = ACTIONS(2439),
    [aux_sym_custom_operator_token1] = ACTIONS(2464),
    [anon_sym_LT] = ACTIONS(2459),
    [anon_sym_GT] = ACTIONS(2459),
    [anon_sym_await] = ACTIONS(2437),
    [anon_sym_POUNDfile] = ACTIONS(2437),
    [anon_sym_POUNDfileID] = ACTIONS(2439),
    [anon_sym_POUNDfilePath] = ACTIONS(2439),
    [anon_sym_POUNDline] = ACTIONS(2439),
    [anon_sym_POUNDcolumn] = ACTIONS(2439),
    [anon_sym_POUNDfunction] = ACTIONS(2439),
    [anon_sym_POUNDdsohandle] = ACTIONS(2439),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(2439),
    [anon_sym_POUNDfileLiteral] = ACTIONS(2439),
    [anon_sym_POUNDimageLiteral] = ACTIONS(2439),
    [anon_sym_LBRACE] = ACTIONS(2464),
    [anon_sym_CARET_LBRACE] = ACTIONS(2464),
    [anon_sym_RBRACE] = ACTIONS(2462),
    [anon_sym_self] = ACTIONS(2437),
    [anon_sym_super] = ACTIONS(2437),
    [anon_sym_case] = ACTIONS(2467),
    [anon_sym_fallthrough] = ACTIONS(2467),
    [anon_sym_POUNDkeyPath] = ACTIONS(2439),
    [anon_sym_try] = ACTIONS(2437),
    [anon_sym_PLUS_EQ] = ACTIONS(2464),
    [anon_sym_DASH_EQ] = ACTIONS(2464),
    [anon_sym_STAR_EQ] = ACTIONS(2464),
    [anon_sym_SLASH_EQ] = ACTIONS(2464),
    [anon_sym_PERCENT_EQ] = ACTIONS(2464),
    [anon_sym_BANG_EQ] = ACTIONS(2459),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2464),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2464),
    [anon_sym_LT_EQ] = ACTIONS(2464),
    [anon_sym_GT_EQ] = ACTIONS(2464),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2464),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2464),
    [anon_sym_is] = ACTIONS(2467),
    [anon_sym_PLUS] = ACTIONS(2459),
    [anon_sym_DASH] = ACTIONS(2459),
    [anon_sym_STAR] = ACTIONS(2459),
    [anon_sym_SLASH] = ACTIONS(2459),
    [anon_sym_PERCENT] = ACTIONS(2459),
    [anon_sym_PLUS_PLUS] = ACTIONS(2464),
    [anon_sym_DASH_DASH] = ACTIONS(2464),
    [anon_sym_TILDE] = ACTIONS(2439),
    [anon_sym_PIPE] = ACTIONS(2464),
    [anon_sym_CARET] = ACTIONS(2459),
    [anon_sym_LT_LT] = ACTIONS(2464),
    [anon_sym_GT_GT] = ACTIONS(2464),
    [anon_sym_class] = ACTIONS(2467),
    [anon_sym_BANG2] = ACTIONS(2459),
    [anon_sym_prefix] = ACTIONS(2467),
    [anon_sym_infix] = ACTIONS(2467),
    [anon_sym_postfix] = ACTIONS(2467),
    [anon_sym_AT] = ACTIONS(2467),
    [anon_sym_override] = ACTIONS(2467),
    [anon_sym_convenience] = ACTIONS(2467),
    [anon_sym_required] = ACTIONS(2467),
    [anon_sym_nonisolated] = ACTIONS(2467),
    [anon_sym_public] = ACTIONS(2467),
    [anon_sym_private] = ACTIONS(2467),
    [anon_sym_internal] = ACTIONS(2467),
    [anon_sym_fileprivate] = ACTIONS(2467),
    [anon_sym_open] = ACTIONS(2467),
    [anon_sym_mutating] = ACTIONS(2467),
    [anon_sym_nonmutating] = ACTIONS(2467),
    [anon_sym_static] = ACTIONS(2467),
    [anon_sym_dynamic] = ACTIONS(2467),
    [anon_sym_optional] = ACTIONS(2467),
    [anon_sym_distributed] = ACTIONS(2467),
    [anon_sym_final] = ACTIONS(2467),
    [anon_sym_inout] = ACTIONS(2467),
    [anon_sym_ATescaping] = ACTIONS(2462),
    [anon_sym_ATautoclosure] = ACTIONS(2462),
    [anon_sym_weak] = ACTIONS(2467),
    [anon_sym_unowned] = ACTIONS(2467),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2462),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2462),
    [anon_sym_borrowing] = ACTIONS(2459),
    [anon_sym_consuming] = ACTIONS(2459),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(2439),
    [sym_raw_str_end_part] = ACTIONS(2439),
    [sym__implicit_semi] = ACTIONS(2462),
    [sym__explicit_semi] = ACTIONS(2462),
    [sym__dot_custom] = ACTIONS(2464),
    [sym__conjunction_operator_custom] = ACTIONS(2462),
    [sym__disjunction_operator_custom] = ACTIONS(2462),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2462),
    [sym__eq_custom] = ACTIONS(2464),
    [sym__eq_eq_custom] = ACTIONS(2464),
    [sym__plus_then_ws] = ACTIONS(2464),
    [sym__minus_then_ws] = ACTIONS(2464),
    [sym__bang_custom] = ACTIONS(2464),
    [sym_default_keyword] = ACTIONS(2462),
    [sym__as_custom] = ACTIONS(2462),
    [sym__as_quest_custom] = ACTIONS(2462),
    [sym__as_bang_custom] = ACTIONS(2462),
    [sym__custom_operator] = ACTIONS(2464),
  },
  [629] = {
    [sym__quest] = STATE(542),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(308),
    [sym_custom_operator] = STATE(310),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(829),
    [sym_lambda_literal] = STATE(683),
    [sym__equality_operator] = STATE(315),
    [sym__comparison_operator] = STATE(316),
    [sym__three_dot_operator] = STATE(608),
    [sym__open_ended_range_operator] = STATE(308),
    [sym__is_operator] = STATE(3734),
    [sym__additive_operator] = STATE(567),
    [sym__multiplicative_operator] = STATE(568),
    [sym_as_operator] = STATE(3721),
    [sym__bitwise_binary_operator] = STATE(326),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(315),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(336),
    [sym__disjunction_operator] = STATE(341),
    [sym__nil_coalescing_operator] = STATE(342),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(2546),
    [anon_sym_async] = ACTIONS(2546),
    [anon_sym_lazy] = ACTIONS(2546),
    [anon_sym_package] = ACTIONS(2546),
    [anon_sym_COMMA] = ACTIONS(2546),
    [anon_sym_LPAREN] = ACTIONS(2546),
    [anon_sym_LBRACK] = ACTIONS(2546),
    [anon_sym_QMARK] = ACTIONS(2548),
    [anon_sym_QMARK2] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2546),
    [aux_sym_custom_operator_token1] = ACTIONS(2546),
    [anon_sym_LT] = ACTIONS(2548),
    [anon_sym_GT] = ACTIONS(2548),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_CARET_LBRACE] = ACTIONS(2546),
    [anon_sym_RBRACE] = ACTIONS(2546),
    [anon_sym_case] = ACTIONS(2546),
    [anon_sym_PLUS_EQ] = ACTIONS(2546),
    [anon_sym_DASH_EQ] = ACTIONS(2546),
    [anon_sym_STAR_EQ] = ACTIONS(2546),
    [anon_sym_SLASH_EQ] = ACTIONS(2546),
    [anon_sym_PERCENT_EQ] = ACTIONS(2546),
    [anon_sym_BANG_EQ] = ACTIONS(2548),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2546),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2546),
    [anon_sym_LT_EQ] = ACTIONS(2546),
    [anon_sym_GT_EQ] = ACTIONS(2546),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2546),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2546),
    [anon_sym_is] = ACTIONS(2546),
    [anon_sym_PLUS] = ACTIONS(2548),
    [anon_sym_DASH] = ACTIONS(2548),
    [anon_sym_STAR] = ACTIONS(2548),
    [anon_sym_SLASH] = ACTIONS(2548),
    [anon_sym_PERCENT] = ACTIONS(2548),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PIPE] = ACTIONS(2546),
    [anon_sym_CARET] = ACTIONS(2548),
    [anon_sym_LT_LT] = ACTIONS(2546),
    [anon_sym_GT_GT] = ACTIONS(2546),
    [anon_sym_import] = ACTIONS(2546),
    [anon_sym_typealias] = ACTIONS(2546),
    [anon_sym_struct] = ACTIONS(2546),
    [anon_sym_class] = ACTIONS(2546),
    [anon_sym_enum] = ACTIONS(2546),
    [anon_sym_protocol] = ACTIONS(2546),
    [anon_sym_let] = ACTIONS(2546),
    [anon_sym_var] = ACTIONS(2546),
    [anon_sym_func] = ACTIONS(2546),
    [anon_sym_extension] = ACTIONS(2546),
    [anon_sym_indirect] = ACTIONS(2546),
    [anon_sym_BANG2] = ACTIONS(2548),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym_init] = ACTIONS(2546),
    [anon_sym_deinit] = ACTIONS(2546),
    [anon_sym_subscript] = ACTIONS(2546),
    [anon_sym_prefix] = ACTIONS(2546),
    [anon_sym_infix] = ACTIONS(2546),
    [anon_sym_postfix] = ACTIONS(2546),
    [anon_sym_precedencegroup] = ACTIONS(2546),
    [anon_sym_associatedtype] = ACTIONS(2546),
    [anon_sym_AT] = ACTIONS(2548),
    [anon_sym_override] = ACTIONS(2546),
    [anon_sym_convenience] = ACTIONS(2546),
    [anon_sym_required] = ACTIONS(2546),
    [anon_sym_nonisolated] = ACTIONS(2546),
    [anon_sym_public] = ACTIONS(2546),
    [anon_sym_private] = ACTIONS(2546),
    [anon_sym_internal] = ACTIONS(2546),
    [anon_sym_fileprivate] = ACTIONS(2546),
    [anon_sym_open] = ACTIONS(2546),
    [anon_sym_mutating] = ACTIONS(2546),
    [anon_sym_nonmutating] = ACTIONS(2546),
    [anon_sym_static] = ACTIONS(2546),
    [anon_sym_dynamic] = ACTIONS(2546),
    [anon_sym_optional] = ACTIONS(2546),
    [anon_sym_distributed] = ACTIONS(2546),
    [anon_sym_final] = ACTIONS(2546),
    [anon_sym_inout] = ACTIONS(2546),
    [anon_sym_ATescaping] = ACTIONS(2546),
    [anon_sym_ATautoclosure] = ACTIONS(2546),
    [anon_sym_weak] = ACTIONS(2546),
    [anon_sym_unowned] = ACTIONS(2548),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2546),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2546),
    [anon_sym_borrowing] = ACTIONS(2546),
    [anon_sym_consuming] = ACTIONS(2546),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2546),
    [sym__conjunction_operator_custom] = ACTIONS(2546),
    [sym__disjunction_operator_custom] = ACTIONS(2546),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2546),
    [sym__eq_custom] = ACTIONS(2546),
    [sym__eq_eq_custom] = ACTIONS(2546),
    [sym__plus_then_ws] = ACTIONS(2546),
    [sym__minus_then_ws] = ACTIONS(2546),
    [sym__bang_custom] = ACTIONS(2546),
    [sym__as_custom] = ACTIONS(2546),
    [sym__as_quest_custom] = ACTIONS(2546),
    [sym__as_bang_custom] = ACTIONS(2546),
    [sym__custom_operator] = ACTIONS(2546),
  },
  [630] = {
    [sym__quest] = STATE(542),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(308),
    [sym_custom_operator] = STATE(310),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(829),
    [sym_lambda_literal] = STATE(683),
    [sym__equality_operator] = STATE(315),
    [sym__comparison_operator] = STATE(316),
    [sym__three_dot_operator] = STATE(608),
    [sym__open_ended_range_operator] = STATE(308),
    [sym__is_operator] = STATE(3734),
    [sym__additive_operator] = STATE(567),
    [sym__multiplicative_operator] = STATE(568),
    [sym_as_operator] = STATE(3721),
    [sym__bitwise_binary_operator] = STATE(326),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(315),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(336),
    [sym__disjunction_operator] = STATE(341),
    [sym__nil_coalescing_operator] = STATE(342),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(2550),
    [anon_sym_async] = ACTIONS(2550),
    [anon_sym_lazy] = ACTIONS(2550),
    [anon_sym_package] = ACTIONS(2550),
    [anon_sym_COMMA] = ACTIONS(2550),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_QMARK] = ACTIONS(2552),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(2504),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(2508),
    [anon_sym_GT] = ACTIONS(2508),
    [anon_sym_LBRACE] = ACTIONS(2554),
    [anon_sym_CARET_LBRACE] = ACTIONS(2554),
    [anon_sym_RBRACE] = ACTIONS(2550),
    [anon_sym_case] = ACTIONS(2550),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(2512),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2514),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2514),
    [anon_sym_LT_EQ] = ACTIONS(2516),
    [anon_sym_GT_EQ] = ACTIONS(2516),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(649),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2518),
    [anon_sym_is] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(2522),
    [anon_sym_DASH] = ACTIONS(2522),
    [anon_sym_STAR] = ACTIONS(2524),
    [anon_sym_SLASH] = ACTIONS(2524),
    [anon_sym_PERCENT] = ACTIONS(2524),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(2504),
    [anon_sym_CARET] = ACTIONS(2528),
    [anon_sym_LT_LT] = ACTIONS(2504),
    [anon_sym_GT_GT] = ACTIONS(2504),
    [anon_sym_import] = ACTIONS(2550),
    [anon_sym_typealias] = ACTIONS(2550),
    [anon_sym_struct] = ACTIONS(2550),
    [anon_sym_class] = ACTIONS(2550),
    [anon_sym_enum] = ACTIONS(2550),
    [anon_sym_protocol] = ACTIONS(2550),
    [anon_sym_let] = ACTIONS(2550),
    [anon_sym_var] = ACTIONS(2550),
    [anon_sym_func] = ACTIONS(2550),
    [anon_sym_extension] = ACTIONS(2550),
    [anon_sym_indirect] = ACTIONS(2550),
    [anon_sym_BANG2] = ACTIONS(2530),
    [anon_sym_SEMI] = ACTIONS(2550),
    [anon_sym_init] = ACTIONS(2550),
    [anon_sym_deinit] = ACTIONS(2550),
    [anon_sym_subscript] = ACTIONS(2550),
    [anon_sym_prefix] = ACTIONS(2550),
    [anon_sym_infix] = ACTIONS(2550),
    [anon_sym_postfix] = ACTIONS(2550),
    [anon_sym_precedencegroup] = ACTIONS(2550),
    [anon_sym_associatedtype] = ACTIONS(2550),
    [anon_sym_AT] = ACTIONS(2556),
    [anon_sym_override] = ACTIONS(2550),
    [anon_sym_convenience] = ACTIONS(2550),
    [anon_sym_required] = ACTIONS(2550),
    [anon_sym_nonisolated] = ACTIONS(2550),
    [anon_sym_public] = ACTIONS(2550),
    [anon_sym_private] = ACTIONS(2550),
    [anon_sym_internal] = ACTIONS(2550),
    [anon_sym_fileprivate] = ACTIONS(2550),
    [anon_sym_open] = ACTIONS(2550),
    [anon_sym_mutating] = ACTIONS(2550),
    [anon_sym_nonmutating] = ACTIONS(2550),
    [anon_sym_static] = ACTIONS(2550),
    [anon_sym_dynamic] = ACTIONS(2550),
    [anon_sym_optional] = ACTIONS(2550),
    [anon_sym_distributed] = ACTIONS(2550),
    [anon_sym_final] = ACTIONS(2550),
    [anon_sym_inout] = ACTIONS(2550),
    [anon_sym_ATescaping] = ACTIONS(2550),
    [anon_sym_ATautoclosure] = ACTIONS(2550),
    [anon_sym_weak] = ACTIONS(2550),
    [anon_sym_unowned] = ACTIONS(2556),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2550),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2550),
    [anon_sym_borrowing] = ACTIONS(2550),
    [anon_sym_consuming] = ACTIONS(2550),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(2534),
    [sym__disjunction_operator_custom] = ACTIONS(2536),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2538),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(2514),
    [sym__plus_then_ws] = ACTIONS(2540),
    [sym__minus_then_ws] = ACTIONS(2540),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [631] = {
    [sym__quest] = STATE(542),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(308),
    [sym_custom_operator] = STATE(310),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(829),
    [sym_lambda_literal] = STATE(683),
    [sym__equality_operator] = STATE(315),
    [sym__comparison_operator] = STATE(316),
    [sym__three_dot_operator] = STATE(608),
    [sym__open_ended_range_operator] = STATE(308),
    [sym__is_operator] = STATE(3734),
    [sym__additive_operator] = STATE(567),
    [sym__multiplicative_operator] = STATE(568),
    [sym_as_operator] = STATE(3721),
    [sym__bitwise_binary_operator] = STATE(326),
    [sym__postfix_unary_operator] = STATE(753),
    [sym_willset_didset_block] = STATE(2616),
    [sym__eq_eq] = STATE(315),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(336),
    [sym__disjunction_operator] = STATE(341),
    [sym__nil_coalescing_operator] = STATE(342),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(2558),
    [anon_sym_async] = ACTIONS(2558),
    [anon_sym_lazy] = ACTIONS(2558),
    [anon_sym_package] = ACTIONS(2558),
    [anon_sym_COMMA] = ACTIONS(2558),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_QMARK] = ACTIONS(2552),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(2504),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(2508),
    [anon_sym_GT] = ACTIONS(2508),
    [anon_sym_LBRACE] = ACTIONS(2560),
    [anon_sym_CARET_LBRACE] = ACTIONS(2554),
    [anon_sym_RBRACE] = ACTIONS(2558),
    [anon_sym_case] = ACTIONS(2558),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(2512),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2514),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2514),
    [anon_sym_LT_EQ] = ACTIONS(2516),
    [anon_sym_GT_EQ] = ACTIONS(2516),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(649),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2518),
    [anon_sym_is] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(2522),
    [anon_sym_DASH] = ACTIONS(2522),
    [anon_sym_STAR] = ACTIONS(2524),
    [anon_sym_SLASH] = ACTIONS(2524),
    [anon_sym_PERCENT] = ACTIONS(2524),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(2504),
    [anon_sym_CARET] = ACTIONS(2528),
    [anon_sym_LT_LT] = ACTIONS(2504),
    [anon_sym_GT_GT] = ACTIONS(2504),
    [anon_sym_import] = ACTIONS(2558),
    [anon_sym_typealias] = ACTIONS(2558),
    [anon_sym_struct] = ACTIONS(2558),
    [anon_sym_class] = ACTIONS(2558),
    [anon_sym_enum] = ACTIONS(2558),
    [anon_sym_protocol] = ACTIONS(2558),
    [anon_sym_let] = ACTIONS(2558),
    [anon_sym_var] = ACTIONS(2558),
    [anon_sym_func] = ACTIONS(2558),
    [anon_sym_extension] = ACTIONS(2558),
    [anon_sym_indirect] = ACTIONS(2558),
    [anon_sym_BANG2] = ACTIONS(2530),
    [anon_sym_init] = ACTIONS(2558),
    [anon_sym_deinit] = ACTIONS(2558),
    [anon_sym_subscript] = ACTIONS(2558),
    [anon_sym_prefix] = ACTIONS(2558),
    [anon_sym_infix] = ACTIONS(2558),
    [anon_sym_postfix] = ACTIONS(2558),
    [anon_sym_precedencegroup] = ACTIONS(2558),
    [anon_sym_associatedtype] = ACTIONS(2558),
    [anon_sym_AT] = ACTIONS(2562),
    [anon_sym_override] = ACTIONS(2558),
    [anon_sym_convenience] = ACTIONS(2558),
    [anon_sym_required] = ACTIONS(2558),
    [anon_sym_nonisolated] = ACTIONS(2558),
    [anon_sym_public] = ACTIONS(2558),
    [anon_sym_private] = ACTIONS(2558),
    [anon_sym_internal] = ACTIONS(2558),
    [anon_sym_fileprivate] = ACTIONS(2558),
    [anon_sym_open] = ACTIONS(2558),
    [anon_sym_mutating] = ACTIONS(2558),
    [anon_sym_nonmutating] = ACTIONS(2558),
    [anon_sym_static] = ACTIONS(2558),
    [anon_sym_dynamic] = ACTIONS(2558),
    [anon_sym_optional] = ACTIONS(2558),
    [anon_sym_distributed] = ACTIONS(2558),
    [anon_sym_final] = ACTIONS(2558),
    [anon_sym_inout] = ACTIONS(2558),
    [anon_sym_ATescaping] = ACTIONS(2558),
    [anon_sym_ATautoclosure] = ACTIONS(2558),
    [anon_sym_weak] = ACTIONS(2558),
    [anon_sym_unowned] = ACTIONS(2562),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2558),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2558),
    [anon_sym_borrowing] = ACTIONS(2558),
    [anon_sym_consuming] = ACTIONS(2558),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(2534),
    [sym__disjunction_operator_custom] = ACTIONS(2536),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2538),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(2514),
    [sym__plus_then_ws] = ACTIONS(2540),
    [sym__minus_then_ws] = ACTIONS(2540),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [632] = {
    [sym__quest] = STATE(542),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(308),
    [sym_custom_operator] = STATE(310),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(829),
    [sym_lambda_literal] = STATE(683),
    [sym__equality_operator] = STATE(315),
    [sym__comparison_operator] = STATE(316),
    [sym__three_dot_operator] = STATE(608),
    [sym__open_ended_range_operator] = STATE(308),
    [sym__is_operator] = STATE(3734),
    [sym__additive_operator] = STATE(567),
    [sym__multiplicative_operator] = STATE(568),
    [sym_as_operator] = STATE(3721),
    [sym__bitwise_binary_operator] = STATE(326),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(315),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(336),
    [sym__disjunction_operator] = STATE(341),
    [sym__nil_coalescing_operator] = STATE(342),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(2564),
    [anon_sym_async] = ACTIONS(2564),
    [anon_sym_lazy] = ACTIONS(2564),
    [anon_sym_package] = ACTIONS(2564),
    [anon_sym_COMMA] = ACTIONS(2564),
    [anon_sym_LPAREN] = ACTIONS(2564),
    [anon_sym_LBRACK] = ACTIONS(2564),
    [anon_sym_QMARK] = ACTIONS(2566),
    [anon_sym_QMARK2] = ACTIONS(2564),
    [anon_sym_AMP] = ACTIONS(2564),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(2566),
    [anon_sym_GT] = ACTIONS(2566),
    [anon_sym_LBRACE] = ACTIONS(2564),
    [anon_sym_CARET_LBRACE] = ACTIONS(2564),
    [anon_sym_RBRACE] = ACTIONS(2564),
    [anon_sym_case] = ACTIONS(2564),
    [anon_sym_PLUS_EQ] = ACTIONS(2564),
    [anon_sym_DASH_EQ] = ACTIONS(2564),
    [anon_sym_STAR_EQ] = ACTIONS(2564),
    [anon_sym_SLASH_EQ] = ACTIONS(2564),
    [anon_sym_PERCENT_EQ] = ACTIONS(2564),
    [anon_sym_BANG_EQ] = ACTIONS(2512),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2514),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2514),
    [anon_sym_LT_EQ] = ACTIONS(2564),
    [anon_sym_GT_EQ] = ACTIONS(2564),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2564),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2564),
    [anon_sym_is] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(2522),
    [anon_sym_DASH] = ACTIONS(2522),
    [anon_sym_STAR] = ACTIONS(2524),
    [anon_sym_SLASH] = ACTIONS(2524),
    [anon_sym_PERCENT] = ACTIONS(2524),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(2564),
    [anon_sym_CARET] = ACTIONS(2566),
    [anon_sym_LT_LT] = ACTIONS(2564),
    [anon_sym_GT_GT] = ACTIONS(2564),
    [anon_sym_import] = ACTIONS(2564),
    [anon_sym_typealias] = ACTIONS(2564),
    [anon_sym_struct] = ACTIONS(2564),
    [anon_sym_class] = ACTIONS(2564),
    [anon_sym_enum] = ACTIONS(2564),
    [anon_sym_protocol] = ACTIONS(2564),
    [anon_sym_let] = ACTIONS(2564),
    [anon_sym_var] = ACTIONS(2564),
    [anon_sym_func] = ACTIONS(2564),
    [anon_sym_extension] = ACTIONS(2564),
    [anon_sym_indirect] = ACTIONS(2564),
    [anon_sym_BANG2] = ACTIONS(2530),
    [anon_sym_SEMI] = ACTIONS(2564),
    [anon_sym_init] = ACTIONS(2564),
    [anon_sym_deinit] = ACTIONS(2564),
    [anon_sym_subscript] = ACTIONS(2564),
    [anon_sym_prefix] = ACTIONS(2564),
    [anon_sym_infix] = ACTIONS(2564),
    [anon_sym_postfix] = ACTIONS(2564),
    [anon_sym_precedencegroup] = ACTIONS(2564),
    [anon_sym_associatedtype] = ACTIONS(2564),
    [anon_sym_AT] = ACTIONS(2566),
    [anon_sym_override] = ACTIONS(2564),
    [anon_sym_convenience] = ACTIONS(2564),
    [anon_sym_required] = ACTIONS(2564),
    [anon_sym_nonisolated] = ACTIONS(2564),
    [anon_sym_public] = ACTIONS(2564),
    [anon_sym_private] = ACTIONS(2564),
    [anon_sym_internal] = ACTIONS(2564),
    [anon_sym_fileprivate] = ACTIONS(2564),
    [anon_sym_open] = ACTIONS(2564),
    [anon_sym_mutating] = ACTIONS(2564),
    [anon_sym_nonmutating] = ACTIONS(2564),
    [anon_sym_static] = ACTIONS(2564),
    [anon_sym_dynamic] = ACTIONS(2564),
    [anon_sym_optional] = ACTIONS(2564),
    [anon_sym_distributed] = ACTIONS(2564),
    [anon_sym_final] = ACTIONS(2564),
    [anon_sym_inout] = ACTIONS(2564),
    [anon_sym_ATescaping] = ACTIONS(2564),
    [anon_sym_ATautoclosure] = ACTIONS(2564),
    [anon_sym_weak] = ACTIONS(2564),
    [anon_sym_unowned] = ACTIONS(2566),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2564),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2564),
    [anon_sym_borrowing] = ACTIONS(2564),
    [anon_sym_consuming] = ACTIONS(2564),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2564),
    [sym__conjunction_operator_custom] = ACTIONS(2534),
    [sym__disjunction_operator_custom] = ACTIONS(2536),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2538),
    [sym__eq_custom] = ACTIONS(2564),
    [sym__eq_eq_custom] = ACTIONS(2514),
    [sym__plus_then_ws] = ACTIONS(2540),
    [sym__minus_then_ws] = ACTIONS(2540),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2564),
    [sym__as_quest_custom] = ACTIONS(2564),
    [sym__as_bang_custom] = ACTIONS(2564),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [633] = {
    [sym__quest] = STATE(542),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(308),
    [sym_custom_operator] = STATE(310),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(829),
    [sym_lambda_literal] = STATE(683),
    [sym__equality_operator] = STATE(315),
    [sym__comparison_operator] = STATE(316),
    [sym__three_dot_operator] = STATE(608),
    [sym__open_ended_range_operator] = STATE(308),
    [sym__is_operator] = STATE(3734),
    [sym__additive_operator] = STATE(567),
    [sym__multiplicative_operator] = STATE(568),
    [sym_as_operator] = STATE(3721),
    [sym__bitwise_binary_operator] = STATE(326),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(315),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(336),
    [sym__disjunction_operator] = STATE(341),
    [sym__nil_coalescing_operator] = STATE(342),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(2568),
    [anon_sym_async] = ACTIONS(2568),
    [anon_sym_lazy] = ACTIONS(2568),
    [anon_sym_package] = ACTIONS(2568),
    [anon_sym_COMMA] = ACTIONS(2568),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_QMARK] = ACTIONS(2552),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(2504),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(2508),
    [anon_sym_GT] = ACTIONS(2508),
    [anon_sym_LBRACE] = ACTIONS(2554),
    [anon_sym_CARET_LBRACE] = ACTIONS(2554),
    [anon_sym_RBRACE] = ACTIONS(2568),
    [anon_sym_case] = ACTIONS(2568),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(2512),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2514),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2514),
    [anon_sym_LT_EQ] = ACTIONS(2516),
    [anon_sym_GT_EQ] = ACTIONS(2516),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(649),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2518),
    [anon_sym_is] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(2522),
    [anon_sym_DASH] = ACTIONS(2522),
    [anon_sym_STAR] = ACTIONS(2524),
    [anon_sym_SLASH] = ACTIONS(2524),
    [anon_sym_PERCENT] = ACTIONS(2524),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(2504),
    [anon_sym_CARET] = ACTIONS(2528),
    [anon_sym_LT_LT] = ACTIONS(2504),
    [anon_sym_GT_GT] = ACTIONS(2504),
    [anon_sym_import] = ACTIONS(2568),
    [anon_sym_typealias] = ACTIONS(2568),
    [anon_sym_struct] = ACTIONS(2568),
    [anon_sym_class] = ACTIONS(2568),
    [anon_sym_enum] = ACTIONS(2568),
    [anon_sym_protocol] = ACTIONS(2568),
    [anon_sym_let] = ACTIONS(2568),
    [anon_sym_var] = ACTIONS(2568),
    [anon_sym_func] = ACTIONS(2568),
    [anon_sym_extension] = ACTIONS(2568),
    [anon_sym_indirect] = ACTIONS(2568),
    [anon_sym_BANG2] = ACTIONS(2530),
    [anon_sym_SEMI] = ACTIONS(2568),
    [anon_sym_init] = ACTIONS(2568),
    [anon_sym_deinit] = ACTIONS(2568),
    [anon_sym_subscript] = ACTIONS(2568),
    [anon_sym_prefix] = ACTIONS(2568),
    [anon_sym_infix] = ACTIONS(2568),
    [anon_sym_postfix] = ACTIONS(2568),
    [anon_sym_precedencegroup] = ACTIONS(2568),
    [anon_sym_associatedtype] = ACTIONS(2568),
    [anon_sym_AT] = ACTIONS(2570),
    [anon_sym_override] = ACTIONS(2568),
    [anon_sym_convenience] = ACTIONS(2568),
    [anon_sym_required] = ACTIONS(2568),
    [anon_sym_nonisolated] = ACTIONS(2568),
    [anon_sym_public] = ACTIONS(2568),
    [anon_sym_private] = ACTIONS(2568),
    [anon_sym_internal] = ACTIONS(2568),
    [anon_sym_fileprivate] = ACTIONS(2568),
    [anon_sym_open] = ACTIONS(2568),
    [anon_sym_mutating] = ACTIONS(2568),
    [anon_sym_nonmutating] = ACTIONS(2568),
    [anon_sym_static] = ACTIONS(2568),
    [anon_sym_dynamic] = ACTIONS(2568),
    [anon_sym_optional] = ACTIONS(2568),
    [anon_sym_distributed] = ACTIONS(2568),
    [anon_sym_final] = ACTIONS(2568),
    [anon_sym_inout] = ACTIONS(2568),
    [anon_sym_ATescaping] = ACTIONS(2568),
    [anon_sym_ATautoclosure] = ACTIONS(2568),
    [anon_sym_weak] = ACTIONS(2568),
    [anon_sym_unowned] = ACTIONS(2570),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2568),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2568),
    [anon_sym_borrowing] = ACTIONS(2568),
    [anon_sym_consuming] = ACTIONS(2568),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(2534),
    [sym__disjunction_operator_custom] = ACTIONS(2536),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2538),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(2514),
    [sym__plus_then_ws] = ACTIONS(2540),
    [sym__minus_then_ws] = ACTIONS(2540),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [634] = {
    [sym__quest] = STATE(542),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(308),
    [sym_custom_operator] = STATE(310),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(829),
    [sym_lambda_literal] = STATE(683),
    [sym__equality_operator] = STATE(315),
    [sym__comparison_operator] = STATE(316),
    [sym__three_dot_operator] = STATE(608),
    [sym__open_ended_range_operator] = STATE(308),
    [sym__is_operator] = STATE(3734),
    [sym__additive_operator] = STATE(567),
    [sym__multiplicative_operator] = STATE(568),
    [sym_as_operator] = STATE(3721),
    [sym__bitwise_binary_operator] = STATE(326),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(315),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(336),
    [sym__disjunction_operator] = STATE(341),
    [sym__nil_coalescing_operator] = STATE(342),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(2572),
    [anon_sym_async] = ACTIONS(2572),
    [anon_sym_lazy] = ACTIONS(2572),
    [anon_sym_package] = ACTIONS(2572),
    [anon_sym_COMMA] = ACTIONS(2572),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_QMARK] = ACTIONS(2552),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(2504),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(2508),
    [anon_sym_GT] = ACTIONS(2508),
    [anon_sym_LBRACE] = ACTIONS(2554),
    [anon_sym_CARET_LBRACE] = ACTIONS(2554),
    [anon_sym_RBRACE] = ACTIONS(2572),
    [anon_sym_case] = ACTIONS(2572),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(2512),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2514),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2514),
    [anon_sym_LT_EQ] = ACTIONS(2516),
    [anon_sym_GT_EQ] = ACTIONS(2516),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(649),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2518),
    [anon_sym_is] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(2522),
    [anon_sym_DASH] = ACTIONS(2522),
    [anon_sym_STAR] = ACTIONS(2524),
    [anon_sym_SLASH] = ACTIONS(2524),
    [anon_sym_PERCENT] = ACTIONS(2524),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(2504),
    [anon_sym_CARET] = ACTIONS(2528),
    [anon_sym_LT_LT] = ACTIONS(2504),
    [anon_sym_GT_GT] = ACTIONS(2504),
    [anon_sym_import] = ACTIONS(2572),
    [anon_sym_typealias] = ACTIONS(2572),
    [anon_sym_struct] = ACTIONS(2572),
    [anon_sym_class] = ACTIONS(2572),
    [anon_sym_enum] = ACTIONS(2572),
    [anon_sym_protocol] = ACTIONS(2572),
    [anon_sym_let] = ACTIONS(2572),
    [anon_sym_var] = ACTIONS(2572),
    [anon_sym_func] = ACTIONS(2572),
    [anon_sym_extension] = ACTIONS(2572),
    [anon_sym_indirect] = ACTIONS(2572),
    [anon_sym_BANG2] = ACTIONS(2530),
    [anon_sym_SEMI] = ACTIONS(2572),
    [anon_sym_init] = ACTIONS(2572),
    [anon_sym_deinit] = ACTIONS(2572),
    [anon_sym_subscript] = ACTIONS(2572),
    [anon_sym_prefix] = ACTIONS(2572),
    [anon_sym_infix] = ACTIONS(2572),
    [anon_sym_postfix] = ACTIONS(2572),
    [anon_sym_precedencegroup] = ACTIONS(2572),
    [anon_sym_associatedtype] = ACTIONS(2572),
    [anon_sym_AT] = ACTIONS(2574),
    [anon_sym_override] = ACTIONS(2572),
    [anon_sym_convenience] = ACTIONS(2572),
    [anon_sym_required] = ACTIONS(2572),
    [anon_sym_nonisolated] = ACTIONS(2572),
    [anon_sym_public] = ACTIONS(2572),
    [anon_sym_private] = ACTIONS(2572),
    [anon_sym_internal] = ACTIONS(2572),
    [anon_sym_fileprivate] = ACTIONS(2572),
    [anon_sym_open] = ACTIONS(2572),
    [anon_sym_mutating] = ACTIONS(2572),
    [anon_sym_nonmutating] = ACTIONS(2572),
    [anon_sym_static] = ACTIONS(2572),
    [anon_sym_dynamic] = ACTIONS(2572),
    [anon_sym_optional] = ACTIONS(2572),
    [anon_sym_distributed] = ACTIONS(2572),
    [anon_sym_final] = ACTIONS(2572),
    [anon_sym_inout] = ACTIONS(2572),
    [anon_sym_ATescaping] = ACTIONS(2572),
    [anon_sym_ATautoclosure] = ACTIONS(2572),
    [anon_sym_weak] = ACTIONS(2572),
    [anon_sym_unowned] = ACTIONS(2574),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2572),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2572),
    [anon_sym_borrowing] = ACTIONS(2572),
    [anon_sym_consuming] = ACTIONS(2572),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(2534),
    [sym__disjunction_operator_custom] = ACTIONS(2536),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2538),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(2514),
    [sym__plus_then_ws] = ACTIONS(2540),
    [sym__minus_then_ws] = ACTIONS(2540),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [635] = {
    [sym__quest] = STATE(542),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(308),
    [sym_custom_operator] = STATE(310),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(829),
    [sym_lambda_literal] = STATE(683),
    [sym__equality_operator] = STATE(315),
    [sym__comparison_operator] = STATE(316),
    [sym__three_dot_operator] = STATE(608),
    [sym__open_ended_range_operator] = STATE(308),
    [sym__is_operator] = STATE(3734),
    [sym__additive_operator] = STATE(567),
    [sym__multiplicative_operator] = STATE(568),
    [sym_as_operator] = STATE(3721),
    [sym__bitwise_binary_operator] = STATE(326),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(315),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(336),
    [sym__disjunction_operator] = STATE(341),
    [sym__nil_coalescing_operator] = STATE(342),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(2576),
    [anon_sym_async] = ACTIONS(2576),
    [anon_sym_lazy] = ACTIONS(2576),
    [anon_sym_package] = ACTIONS(2576),
    [anon_sym_COMMA] = ACTIONS(2576),
    [anon_sym_LPAREN] = ACTIONS(2576),
    [anon_sym_LBRACK] = ACTIONS(2576),
    [anon_sym_QMARK] = ACTIONS(2578),
    [anon_sym_QMARK2] = ACTIONS(2576),
    [anon_sym_AMP] = ACTIONS(2576),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(2578),
    [anon_sym_GT] = ACTIONS(2578),
    [anon_sym_LBRACE] = ACTIONS(2576),
    [anon_sym_CARET_LBRACE] = ACTIONS(2576),
    [anon_sym_RBRACE] = ACTIONS(2576),
    [anon_sym_case] = ACTIONS(2576),
    [anon_sym_PLUS_EQ] = ACTIONS(2576),
    [anon_sym_DASH_EQ] = ACTIONS(2576),
    [anon_sym_STAR_EQ] = ACTIONS(2576),
    [anon_sym_SLASH_EQ] = ACTIONS(2576),
    [anon_sym_PERCENT_EQ] = ACTIONS(2576),
    [anon_sym_BANG_EQ] = ACTIONS(2512),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2514),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2514),
    [anon_sym_LT_EQ] = ACTIONS(2576),
    [anon_sym_GT_EQ] = ACTIONS(2576),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2576),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2576),
    [anon_sym_is] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(2522),
    [anon_sym_DASH] = ACTIONS(2522),
    [anon_sym_STAR] = ACTIONS(2524),
    [anon_sym_SLASH] = ACTIONS(2524),
    [anon_sym_PERCENT] = ACTIONS(2524),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(2576),
    [anon_sym_CARET] = ACTIONS(2578),
    [anon_sym_LT_LT] = ACTIONS(2576),
    [anon_sym_GT_GT] = ACTIONS(2576),
    [anon_sym_import] = ACTIONS(2576),
    [anon_sym_typealias] = ACTIONS(2576),
    [anon_sym_struct] = ACTIONS(2576),
    [anon_sym_class] = ACTIONS(2576),
    [anon_sym_enum] = ACTIONS(2576),
    [anon_sym_protocol] = ACTIONS(2576),
    [anon_sym_let] = ACTIONS(2576),
    [anon_sym_var] = ACTIONS(2576),
    [anon_sym_func] = ACTIONS(2576),
    [anon_sym_extension] = ACTIONS(2576),
    [anon_sym_indirect] = ACTIONS(2576),
    [anon_sym_BANG2] = ACTIONS(2530),
    [anon_sym_SEMI] = ACTIONS(2576),
    [anon_sym_init] = ACTIONS(2576),
    [anon_sym_deinit] = ACTIONS(2576),
    [anon_sym_subscript] = ACTIONS(2576),
    [anon_sym_prefix] = ACTIONS(2576),
    [anon_sym_infix] = ACTIONS(2576),
    [anon_sym_postfix] = ACTIONS(2576),
    [anon_sym_precedencegroup] = ACTIONS(2576),
    [anon_sym_associatedtype] = ACTIONS(2576),
    [anon_sym_AT] = ACTIONS(2578),
    [anon_sym_override] = ACTIONS(2576),
    [anon_sym_convenience] = ACTIONS(2576),
    [anon_sym_required] = ACTIONS(2576),
    [anon_sym_nonisolated] = ACTIONS(2576),
    [anon_sym_public] = ACTIONS(2576),
    [anon_sym_private] = ACTIONS(2576),
    [anon_sym_internal] = ACTIONS(2576),
    [anon_sym_fileprivate] = ACTIONS(2576),
    [anon_sym_open] = ACTIONS(2576),
    [anon_sym_mutating] = ACTIONS(2576),
    [anon_sym_nonmutating] = ACTIONS(2576),
    [anon_sym_static] = ACTIONS(2576),
    [anon_sym_dynamic] = ACTIONS(2576),
    [anon_sym_optional] = ACTIONS(2576),
    [anon_sym_distributed] = ACTIONS(2576),
    [anon_sym_final] = ACTIONS(2576),
    [anon_sym_inout] = ACTIONS(2576),
    [anon_sym_ATescaping] = ACTIONS(2576),
    [anon_sym_ATautoclosure] = ACTIONS(2576),
    [anon_sym_weak] = ACTIONS(2576),
    [anon_sym_unowned] = ACTIONS(2578),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2576),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2576),
    [anon_sym_borrowing] = ACTIONS(2576),
    [anon_sym_consuming] = ACTIONS(2576),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2576),
    [sym__conjunction_operator_custom] = ACTIONS(2534),
    [sym__disjunction_operator_custom] = ACTIONS(2536),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2538),
    [sym__eq_custom] = ACTIONS(2576),
    [sym__eq_eq_custom] = ACTIONS(2514),
    [sym__plus_then_ws] = ACTIONS(2540),
    [sym__minus_then_ws] = ACTIONS(2540),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2576),
    [sym__as_quest_custom] = ACTIONS(2576),
    [sym__as_bang_custom] = ACTIONS(2576),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [636] = {
    [sym__quest] = STATE(542),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(308),
    [sym_custom_operator] = STATE(310),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(829),
    [sym_lambda_literal] = STATE(683),
    [sym__equality_operator] = STATE(315),
    [sym__comparison_operator] = STATE(316),
    [sym__three_dot_operator] = STATE(608),
    [sym__open_ended_range_operator] = STATE(308),
    [sym__is_operator] = STATE(3734),
    [sym__additive_operator] = STATE(567),
    [sym__multiplicative_operator] = STATE(568),
    [sym_as_operator] = STATE(3721),
    [sym__bitwise_binary_operator] = STATE(326),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(315),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(336),
    [sym__disjunction_operator] = STATE(341),
    [sym__nil_coalescing_operator] = STATE(342),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(2580),
    [anon_sym_async] = ACTIONS(2580),
    [anon_sym_lazy] = ACTIONS(2580),
    [anon_sym_package] = ACTIONS(2580),
    [anon_sym_COMMA] = ACTIONS(2580),
    [anon_sym_LPAREN] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2580),
    [anon_sym_QMARK] = ACTIONS(2582),
    [anon_sym_QMARK2] = ACTIONS(2580),
    [anon_sym_AMP] = ACTIONS(2580),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(2582),
    [anon_sym_GT] = ACTIONS(2582),
    [anon_sym_LBRACE] = ACTIONS(2580),
    [anon_sym_CARET_LBRACE] = ACTIONS(2580),
    [anon_sym_RBRACE] = ACTIONS(2580),
    [anon_sym_case] = ACTIONS(2580),
    [anon_sym_PLUS_EQ] = ACTIONS(2580),
    [anon_sym_DASH_EQ] = ACTIONS(2580),
    [anon_sym_STAR_EQ] = ACTIONS(2580),
    [anon_sym_SLASH_EQ] = ACTIONS(2580),
    [anon_sym_PERCENT_EQ] = ACTIONS(2580),
    [anon_sym_BANG_EQ] = ACTIONS(2582),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2580),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2580),
    [anon_sym_LT_EQ] = ACTIONS(2580),
    [anon_sym_GT_EQ] = ACTIONS(2580),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2580),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2580),
    [anon_sym_is] = ACTIONS(2580),
    [anon_sym_PLUS] = ACTIONS(2522),
    [anon_sym_DASH] = ACTIONS(2522),
    [anon_sym_STAR] = ACTIONS(2524),
    [anon_sym_SLASH] = ACTIONS(2524),
    [anon_sym_PERCENT] = ACTIONS(2524),
    [anon_sym_PLUS_PLUS] = ACTIONS(2580),
    [anon_sym_DASH_DASH] = ACTIONS(2580),
    [anon_sym_PIPE] = ACTIONS(2580),
    [anon_sym_CARET] = ACTIONS(2582),
    [anon_sym_LT_LT] = ACTIONS(2580),
    [anon_sym_GT_GT] = ACTIONS(2580),
    [anon_sym_import] = ACTIONS(2580),
    [anon_sym_typealias] = ACTIONS(2580),
    [anon_sym_struct] = ACTIONS(2580),
    [anon_sym_class] = ACTIONS(2580),
    [anon_sym_enum] = ACTIONS(2580),
    [anon_sym_protocol] = ACTIONS(2580),
    [anon_sym_let] = ACTIONS(2580),
    [anon_sym_var] = ACTIONS(2580),
    [anon_sym_func] = ACTIONS(2580),
    [anon_sym_extension] = ACTIONS(2580),
    [anon_sym_indirect] = ACTIONS(2580),
    [anon_sym_BANG2] = ACTIONS(2582),
    [anon_sym_SEMI] = ACTIONS(2580),
    [anon_sym_init] = ACTIONS(2580),
    [anon_sym_deinit] = ACTIONS(2580),
    [anon_sym_subscript] = ACTIONS(2580),
    [anon_sym_prefix] = ACTIONS(2580),
    [anon_sym_infix] = ACTIONS(2580),
    [anon_sym_postfix] = ACTIONS(2580),
    [anon_sym_precedencegroup] = ACTIONS(2580),
    [anon_sym_associatedtype] = ACTIONS(2580),
    [anon_sym_AT] = ACTIONS(2582),
    [anon_sym_override] = ACTIONS(2580),
    [anon_sym_convenience] = ACTIONS(2580),
    [anon_sym_required] = ACTIONS(2580),
    [anon_sym_nonisolated] = ACTIONS(2580),
    [anon_sym_public] = ACTIONS(2580),
    [anon_sym_private] = ACTIONS(2580),
    [anon_sym_internal] = ACTIONS(2580),
    [anon_sym_fileprivate] = ACTIONS(2580),
    [anon_sym_open] = ACTIONS(2580),
    [anon_sym_mutating] = ACTIONS(2580),
    [anon_sym_nonmutating] = ACTIONS(2580),
    [anon_sym_static] = ACTIONS(2580),
    [anon_sym_dynamic] = ACTIONS(2580),
    [anon_sym_optional] = ACTIONS(2580),
    [anon_sym_distributed] = ACTIONS(2580),
    [anon_sym_final] = ACTIONS(2580),
    [anon_sym_inout] = ACTIONS(2580),
    [anon_sym_ATescaping] = ACTIONS(2580),
    [anon_sym_ATautoclosure] = ACTIONS(2580),
    [anon_sym_weak] = ACTIONS(2580),
    [anon_sym_unowned] = ACTIONS(2582),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2580),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2580),
    [anon_sym_borrowing] = ACTIONS(2580),
    [anon_sym_consuming] = ACTIONS(2580),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2580),
    [sym__conjunction_operator_custom] = ACTIONS(2580),
    [sym__disjunction_operator_custom] = ACTIONS(2580),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2538),
    [sym__eq_custom] = ACTIONS(2580),
    [sym__eq_eq_custom] = ACTIONS(2580),
    [sym__plus_then_ws] = ACTIONS(2540),
    [sym__minus_then_ws] = ACTIONS(2540),
    [sym__bang_custom] = ACTIONS(2580),
    [sym__as_custom] = ACTIONS(2580),
    [sym__as_quest_custom] = ACTIONS(2580),
    [sym__as_bang_custom] = ACTIONS(2580),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [637] = {
    [sym__quest] = STATE(542),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(308),
    [sym_custom_operator] = STATE(310),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(829),
    [sym_lambda_literal] = STATE(683),
    [sym__equality_operator] = STATE(315),
    [sym__comparison_operator] = STATE(316),
    [sym__three_dot_operator] = STATE(608),
    [sym__open_ended_range_operator] = STATE(308),
    [sym__is_operator] = STATE(3734),
    [sym__additive_operator] = STATE(567),
    [sym__multiplicative_operator] = STATE(568),
    [sym_as_operator] = STATE(3721),
    [sym__bitwise_binary_operator] = STATE(326),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(315),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(336),
    [sym__disjunction_operator] = STATE(341),
    [sym__nil_coalescing_operator] = STATE(342),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(2584),
    [anon_sym_async] = ACTIONS(2584),
    [anon_sym_lazy] = ACTIONS(2584),
    [anon_sym_package] = ACTIONS(2584),
    [anon_sym_COMMA] = ACTIONS(2584),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_LBRACK] = ACTIONS(2584),
    [anon_sym_QMARK] = ACTIONS(2586),
    [anon_sym_QMARK2] = ACTIONS(2584),
    [anon_sym_AMP] = ACTIONS(2584),
    [aux_sym_custom_operator_token1] = ACTIONS(2584),
    [anon_sym_LT] = ACTIONS(2586),
    [anon_sym_GT] = ACTIONS(2586),
    [anon_sym_LBRACE] = ACTIONS(2584),
    [anon_sym_CARET_LBRACE] = ACTIONS(2584),
    [anon_sym_RBRACE] = ACTIONS(2584),
    [anon_sym_case] = ACTIONS(2584),
    [anon_sym_PLUS_EQ] = ACTIONS(2584),
    [anon_sym_DASH_EQ] = ACTIONS(2584),
    [anon_sym_STAR_EQ] = ACTIONS(2584),
    [anon_sym_SLASH_EQ] = ACTIONS(2584),
    [anon_sym_PERCENT_EQ] = ACTIONS(2584),
    [anon_sym_BANG_EQ] = ACTIONS(2586),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2584),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2584),
    [anon_sym_LT_EQ] = ACTIONS(2584),
    [anon_sym_GT_EQ] = ACTIONS(2584),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2584),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2584),
    [anon_sym_is] = ACTIONS(2584),
    [anon_sym_PLUS] = ACTIONS(2586),
    [anon_sym_DASH] = ACTIONS(2586),
    [anon_sym_STAR] = ACTIONS(2524),
    [anon_sym_SLASH] = ACTIONS(2524),
    [anon_sym_PERCENT] = ACTIONS(2524),
    [anon_sym_PLUS_PLUS] = ACTIONS(2584),
    [anon_sym_DASH_DASH] = ACTIONS(2584),
    [anon_sym_PIPE] = ACTIONS(2584),
    [anon_sym_CARET] = ACTIONS(2586),
    [anon_sym_LT_LT] = ACTIONS(2584),
    [anon_sym_GT_GT] = ACTIONS(2584),
    [anon_sym_import] = ACTIONS(2584),
    [anon_sym_typealias] = ACTIONS(2584),
    [anon_sym_struct] = ACTIONS(2584),
    [anon_sym_class] = ACTIONS(2584),
    [anon_sym_enum] = ACTIONS(2584),
    [anon_sym_protocol] = ACTIONS(2584),
    [anon_sym_let] = ACTIONS(2584),
    [anon_sym_var] = ACTIONS(2584),
    [anon_sym_func] = ACTIONS(2584),
    [anon_sym_extension] = ACTIONS(2584),
    [anon_sym_indirect] = ACTIONS(2584),
    [anon_sym_BANG2] = ACTIONS(2586),
    [anon_sym_SEMI] = ACTIONS(2584),
    [anon_sym_init] = ACTIONS(2584),
    [anon_sym_deinit] = ACTIONS(2584),
    [anon_sym_subscript] = ACTIONS(2584),
    [anon_sym_prefix] = ACTIONS(2584),
    [anon_sym_infix] = ACTIONS(2584),
    [anon_sym_postfix] = ACTIONS(2584),
    [anon_sym_precedencegroup] = ACTIONS(2584),
    [anon_sym_associatedtype] = ACTIONS(2584),
    [anon_sym_AT] = ACTIONS(2586),
    [anon_sym_override] = ACTIONS(2584),
    [anon_sym_convenience] = ACTIONS(2584),
    [anon_sym_required] = ACTIONS(2584),
    [anon_sym_nonisolated] = ACTIONS(2584),
    [anon_sym_public] = ACTIONS(2584),
    [anon_sym_private] = ACTIONS(2584),
    [anon_sym_internal] = ACTIONS(2584),
    [anon_sym_fileprivate] = ACTIONS(2584),
    [anon_sym_open] = ACTIONS(2584),
    [anon_sym_mutating] = ACTIONS(2584),
    [anon_sym_nonmutating] = ACTIONS(2584),
    [anon_sym_static] = ACTIONS(2584),
    [anon_sym_dynamic] = ACTIONS(2584),
    [anon_sym_optional] = ACTIONS(2584),
    [anon_sym_distributed] = ACTIONS(2584),
    [anon_sym_final] = ACTIONS(2584),
    [anon_sym_inout] = ACTIONS(2584),
    [anon_sym_ATescaping] = ACTIONS(2584),
    [anon_sym_ATautoclosure] = ACTIONS(2584),
    [anon_sym_weak] = ACTIONS(2584),
    [anon_sym_unowned] = ACTIONS(2586),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2584),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2584),
    [anon_sym_borrowing] = ACTIONS(2584),
    [anon_sym_consuming] = ACTIONS(2584),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2584),
    [sym__conjunction_operator_custom] = ACTIONS(2584),
    [sym__disjunction_operator_custom] = ACTIONS(2584),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2584),
    [sym__eq_custom] = ACTIONS(2584),
    [sym__eq_eq_custom] = ACTIONS(2584),
    [sym__plus_then_ws] = ACTIONS(2584),
    [sym__minus_then_ws] = ACTIONS(2584),
    [sym__bang_custom] = ACTIONS(2584),
    [sym__as_custom] = ACTIONS(2584),
    [sym__as_quest_custom] = ACTIONS(2584),
    [sym__as_bang_custom] = ACTIONS(2584),
    [sym__custom_operator] = ACTIONS(2584),
  },
  [638] = {
    [sym__quest] = STATE(542),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(308),
    [sym_custom_operator] = STATE(310),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(829),
    [sym_lambda_literal] = STATE(683),
    [sym__equality_operator] = STATE(315),
    [sym__comparison_operator] = STATE(316),
    [sym__three_dot_operator] = STATE(608),
    [sym__open_ended_range_operator] = STATE(308),
    [sym__is_operator] = STATE(3734),
    [sym__additive_operator] = STATE(567),
    [sym__multiplicative_operator] = STATE(568),
    [sym_as_operator] = STATE(3721),
    [sym__bitwise_binary_operator] = STATE(326),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(315),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(336),
    [sym__disjunction_operator] = STATE(341),
    [sym__nil_coalescing_operator] = STATE(342),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(2588),
    [anon_sym_async] = ACTIONS(2588),
    [anon_sym_lazy] = ACTIONS(2588),
    [anon_sym_package] = ACTIONS(2588),
    [anon_sym_COMMA] = ACTIONS(2588),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_QMARK] = ACTIONS(2552),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(2504),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(2508),
    [anon_sym_GT] = ACTIONS(2508),
    [anon_sym_LBRACE] = ACTIONS(2554),
    [anon_sym_CARET_LBRACE] = ACTIONS(2554),
    [anon_sym_RBRACE] = ACTIONS(2588),
    [anon_sym_case] = ACTIONS(2588),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(2512),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2514),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2514),
    [anon_sym_LT_EQ] = ACTIONS(2516),
    [anon_sym_GT_EQ] = ACTIONS(2516),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(649),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2518),
    [anon_sym_is] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(2522),
    [anon_sym_DASH] = ACTIONS(2522),
    [anon_sym_STAR] = ACTIONS(2524),
    [anon_sym_SLASH] = ACTIONS(2524),
    [anon_sym_PERCENT] = ACTIONS(2524),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(2504),
    [anon_sym_CARET] = ACTIONS(2528),
    [anon_sym_LT_LT] = ACTIONS(2504),
    [anon_sym_GT_GT] = ACTIONS(2504),
    [anon_sym_import] = ACTIONS(2588),
    [anon_sym_typealias] = ACTIONS(2588),
    [anon_sym_struct] = ACTIONS(2588),
    [anon_sym_class] = ACTIONS(2588),
    [anon_sym_enum] = ACTIONS(2588),
    [anon_sym_protocol] = ACTIONS(2588),
    [anon_sym_let] = ACTIONS(2588),
    [anon_sym_var] = ACTIONS(2588),
    [anon_sym_func] = ACTIONS(2588),
    [anon_sym_extension] = ACTIONS(2588),
    [anon_sym_indirect] = ACTIONS(2588),
    [anon_sym_BANG2] = ACTIONS(2530),
    [anon_sym_SEMI] = ACTIONS(2588),
    [anon_sym_init] = ACTIONS(2588),
    [anon_sym_deinit] = ACTIONS(2588),
    [anon_sym_subscript] = ACTIONS(2588),
    [anon_sym_prefix] = ACTIONS(2588),
    [anon_sym_infix] = ACTIONS(2588),
    [anon_sym_postfix] = ACTIONS(2588),
    [anon_sym_precedencegroup] = ACTIONS(2588),
    [anon_sym_associatedtype] = ACTIONS(2588),
    [anon_sym_AT] = ACTIONS(2590),
    [anon_sym_override] = ACTIONS(2588),
    [anon_sym_convenience] = ACTIONS(2588),
    [anon_sym_required] = ACTIONS(2588),
    [anon_sym_nonisolated] = ACTIONS(2588),
    [anon_sym_public] = ACTIONS(2588),
    [anon_sym_private] = ACTIONS(2588),
    [anon_sym_internal] = ACTIONS(2588),
    [anon_sym_fileprivate] = ACTIONS(2588),
    [anon_sym_open] = ACTIONS(2588),
    [anon_sym_mutating] = ACTIONS(2588),
    [anon_sym_nonmutating] = ACTIONS(2588),
    [anon_sym_static] = ACTIONS(2588),
    [anon_sym_dynamic] = ACTIONS(2588),
    [anon_sym_optional] = ACTIONS(2588),
    [anon_sym_distributed] = ACTIONS(2588),
    [anon_sym_final] = ACTIONS(2588),
    [anon_sym_inout] = ACTIONS(2588),
    [anon_sym_ATescaping] = ACTIONS(2588),
    [anon_sym_ATautoclosure] = ACTIONS(2588),
    [anon_sym_weak] = ACTIONS(2588),
    [anon_sym_unowned] = ACTIONS(2590),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2588),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2588),
    [anon_sym_borrowing] = ACTIONS(2588),
    [anon_sym_consuming] = ACTIONS(2588),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(2534),
    [sym__disjunction_operator_custom] = ACTIONS(2536),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2538),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(2514),
    [sym__plus_then_ws] = ACTIONS(2540),
    [sym__minus_then_ws] = ACTIONS(2540),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [639] = {
    [sym__quest] = STATE(542),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(308),
    [sym_custom_operator] = STATE(310),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(829),
    [sym_lambda_literal] = STATE(683),
    [sym__equality_operator] = STATE(315),
    [sym__comparison_operator] = STATE(316),
    [sym__three_dot_operator] = STATE(608),
    [sym__open_ended_range_operator] = STATE(308),
    [sym__is_operator] = STATE(3734),
    [sym__additive_operator] = STATE(567),
    [sym__multiplicative_operator] = STATE(568),
    [sym_as_operator] = STATE(3721),
    [sym__bitwise_binary_operator] = STATE(326),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(315),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(336),
    [sym__disjunction_operator] = STATE(341),
    [sym__nil_coalescing_operator] = STATE(342),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(2592),
    [anon_sym_async] = ACTIONS(2592),
    [anon_sym_lazy] = ACTIONS(2592),
    [anon_sym_package] = ACTIONS(2592),
    [anon_sym_COMMA] = ACTIONS(2592),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_QMARK] = ACTIONS(2552),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(2504),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(2508),
    [anon_sym_GT] = ACTIONS(2508),
    [anon_sym_LBRACE] = ACTIONS(2554),
    [anon_sym_CARET_LBRACE] = ACTIONS(2554),
    [anon_sym_RBRACE] = ACTIONS(2592),
    [anon_sym_case] = ACTIONS(2592),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(2512),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2514),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2514),
    [anon_sym_LT_EQ] = ACTIONS(2516),
    [anon_sym_GT_EQ] = ACTIONS(2516),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(649),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2518),
    [anon_sym_is] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(2522),
    [anon_sym_DASH] = ACTIONS(2522),
    [anon_sym_STAR] = ACTIONS(2524),
    [anon_sym_SLASH] = ACTIONS(2524),
    [anon_sym_PERCENT] = ACTIONS(2524),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(2504),
    [anon_sym_CARET] = ACTIONS(2528),
    [anon_sym_LT_LT] = ACTIONS(2504),
    [anon_sym_GT_GT] = ACTIONS(2504),
    [anon_sym_import] = ACTIONS(2592),
    [anon_sym_typealias] = ACTIONS(2592),
    [anon_sym_struct] = ACTIONS(2592),
    [anon_sym_class] = ACTIONS(2592),
    [anon_sym_enum] = ACTIONS(2592),
    [anon_sym_protocol] = ACTIONS(2592),
    [anon_sym_let] = ACTIONS(2592),
    [anon_sym_var] = ACTIONS(2592),
    [anon_sym_func] = ACTIONS(2592),
    [anon_sym_extension] = ACTIONS(2592),
    [anon_sym_indirect] = ACTIONS(2592),
    [anon_sym_BANG2] = ACTIONS(2530),
    [anon_sym_SEMI] = ACTIONS(2592),
    [anon_sym_init] = ACTIONS(2592),
    [anon_sym_deinit] = ACTIONS(2592),
    [anon_sym_subscript] = ACTIONS(2592),
    [anon_sym_prefix] = ACTIONS(2592),
    [anon_sym_infix] = ACTIONS(2592),
    [anon_sym_postfix] = ACTIONS(2592),
    [anon_sym_precedencegroup] = ACTIONS(2592),
    [anon_sym_associatedtype] = ACTIONS(2592),
    [anon_sym_AT] = ACTIONS(2594),
    [anon_sym_override] = ACTIONS(2592),
    [anon_sym_convenience] = ACTIONS(2592),
    [anon_sym_required] = ACTIONS(2592),
    [anon_sym_nonisolated] = ACTIONS(2592),
    [anon_sym_public] = ACTIONS(2592),
    [anon_sym_private] = ACTIONS(2592),
    [anon_sym_internal] = ACTIONS(2592),
    [anon_sym_fileprivate] = ACTIONS(2592),
    [anon_sym_open] = ACTIONS(2592),
    [anon_sym_mutating] = ACTIONS(2592),
    [anon_sym_nonmutating] = ACTIONS(2592),
    [anon_sym_static] = ACTIONS(2592),
    [anon_sym_dynamic] = ACTIONS(2592),
    [anon_sym_optional] = ACTIONS(2592),
    [anon_sym_distributed] = ACTIONS(2592),
    [anon_sym_final] = ACTIONS(2592),
    [anon_sym_inout] = ACTIONS(2592),
    [anon_sym_ATescaping] = ACTIONS(2592),
    [anon_sym_ATautoclosure] = ACTIONS(2592),
    [anon_sym_weak] = ACTIONS(2592),
    [anon_sym_unowned] = ACTIONS(2594),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2592),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2592),
    [anon_sym_borrowing] = ACTIONS(2592),
    [anon_sym_consuming] = ACTIONS(2592),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(2534),
    [sym__disjunction_operator_custom] = ACTIONS(2536),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2538),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(2514),
    [sym__plus_then_ws] = ACTIONS(2540),
    [sym__minus_then_ws] = ACTIONS(2540),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [640] = {
    [sym_simple_identifier] = STATE(936),
    [sym__contextual_simple_identifier] = STATE(954),
    [sym__unannotated_type] = STATE(897),
    [sym_user_type] = STATE(927),
    [sym__simple_user_type] = STATE(923),
    [sym_tuple_type] = STATE(883),
    [sym_function_type] = STATE(897),
    [sym_array_type] = STATE(927),
    [sym_dictionary_type] = STATE(927),
    [sym_optional_type] = STATE(897),
    [sym_metatype] = STATE(897),
    [sym_opaque_type] = STATE(897),
    [sym_existential_type] = STATE(897),
    [sym_type_parameter_pack] = STATE(897),
    [sym_type_pack_expansion] = STATE(897),
    [sym_protocol_composition_type] = STATE(897),
    [sym__parenthesized_type] = STATE(953),
    [sym__parameter_ownership_modifier] = STATE(954),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2596),
    [aux_sym_simple_identifier_token2] = ACTIONS(2598),
    [aux_sym_simple_identifier_token3] = ACTIONS(2598),
    [aux_sym_simple_identifier_token4] = ACTIONS(2598),
    [anon_sym_actor] = ACTIONS(2596),
    [anon_sym_async] = ACTIONS(2596),
    [anon_sym_each] = ACTIONS(2600),
    [anon_sym_lazy] = ACTIONS(2602),
    [anon_sym_repeat] = ACTIONS(2605),
    [anon_sym_package] = ACTIONS(2602),
    [anon_sym_COMMA] = ACTIONS(631),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_LBRACK] = ACTIONS(2610),
    [anon_sym_DOT] = ACTIONS(637),
    [anon_sym_QMARK] = ACTIONS(637),
    [anon_sym_QMARK2] = ACTIONS(631),
    [anon_sym_some] = ACTIONS(2613),
    [anon_sym_any] = ACTIONS(2615),
    [anon_sym_AMP] = ACTIONS(631),
    [aux_sym_custom_operator_token1] = ACTIONS(631),
    [anon_sym_LT] = ACTIONS(637),
    [anon_sym_GT] = ACTIONS(637),
    [anon_sym_LBRACE] = ACTIONS(631),
    [anon_sym_CARET_LBRACE] = ACTIONS(631),
    [anon_sym_RBRACE] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(637),
    [anon_sym_fallthrough] = ACTIONS(637),
    [anon_sym_PLUS_EQ] = ACTIONS(631),
    [anon_sym_DASH_EQ] = ACTIONS(631),
    [anon_sym_STAR_EQ] = ACTIONS(631),
    [anon_sym_SLASH_EQ] = ACTIONS(631),
    [anon_sym_PERCENT_EQ] = ACTIONS(631),
    [anon_sym_BANG_EQ] = ACTIONS(637),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(631),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(631),
    [anon_sym_LT_EQ] = ACTIONS(631),
    [anon_sym_GT_EQ] = ACTIONS(631),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(631),
    [anon_sym_DOT_DOT_LT] = ACTIONS(631),
    [anon_sym_is] = ACTIONS(637),
    [anon_sym_PLUS] = ACTIONS(637),
    [anon_sym_DASH] = ACTIONS(637),
    [anon_sym_STAR] = ACTIONS(637),
    [anon_sym_SLASH] = ACTIONS(637),
    [anon_sym_PERCENT] = ACTIONS(637),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PIPE] = ACTIONS(631),
    [anon_sym_CARET] = ACTIONS(637),
    [anon_sym_LT_LT] = ACTIONS(631),
    [anon_sym_GT_GT] = ACTIONS(631),
    [anon_sym_class] = ACTIONS(637),
    [anon_sym_BANG2] = ACTIONS(637),
    [anon_sym_prefix] = ACTIONS(637),
    [anon_sym_infix] = ACTIONS(637),
    [anon_sym_postfix] = ACTIONS(637),
    [anon_sym_AT] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_convenience] = ACTIONS(637),
    [anon_sym_required] = ACTIONS(637),
    [anon_sym_nonisolated] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_internal] = ACTIONS(637),
    [anon_sym_fileprivate] = ACTIONS(637),
    [anon_sym_open] = ACTIONS(637),
    [anon_sym_mutating] = ACTIONS(637),
    [anon_sym_nonmutating] = ACTIONS(637),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_dynamic] = ACTIONS(637),
    [anon_sym_optional] = ACTIONS(637),
    [anon_sym_distributed] = ACTIONS(637),
    [anon_sym_final] = ACTIONS(637),
    [anon_sym_inout] = ACTIONS(637),
    [anon_sym_ATescaping] = ACTIONS(631),
    [anon_sym_ATautoclosure] = ACTIONS(631),
    [anon_sym_weak] = ACTIONS(637),
    [anon_sym_unowned] = ACTIONS(637),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(631),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(631),
    [anon_sym_borrowing] = ACTIONS(2602),
    [anon_sym_consuming] = ACTIONS(2602),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(631),
    [sym__explicit_semi] = ACTIONS(631),
    [sym__arrow_operator_custom] = ACTIONS(631),
    [sym__dot_custom] = ACTIONS(631),
    [sym__conjunction_operator_custom] = ACTIONS(631),
    [sym__disjunction_operator_custom] = ACTIONS(631),
    [sym__nil_coalescing_operator_custom] = ACTIONS(631),
    [sym__eq_custom] = ACTIONS(631),
    [sym__eq_eq_custom] = ACTIONS(631),
    [sym__plus_then_ws] = ACTIONS(631),
    [sym__minus_then_ws] = ACTIONS(631),
    [sym__bang_custom] = ACTIONS(631),
    [sym__throws_keyword] = ACTIONS(631),
    [sym__rethrows_keyword] = ACTIONS(631),
    [sym_default_keyword] = ACTIONS(631),
    [sym_where_keyword] = ACTIONS(631),
    [sym__as_custom] = ACTIONS(631),
    [sym__as_quest_custom] = ACTIONS(631),
    [sym__as_bang_custom] = ACTIONS(631),
    [sym__async_keyword_custom] = ACTIONS(631),
    [sym__custom_operator] = ACTIONS(631),
  },
  [641] = {
    [sym_simple_identifier] = STATE(936),
    [sym__contextual_simple_identifier] = STATE(954),
    [sym__unannotated_type] = STATE(892),
    [sym_user_type] = STATE(927),
    [sym__simple_user_type] = STATE(923),
    [sym_tuple_type] = STATE(883),
    [sym_function_type] = STATE(892),
    [sym_array_type] = STATE(927),
    [sym_dictionary_type] = STATE(927),
    [sym_optional_type] = STATE(892),
    [sym_metatype] = STATE(892),
    [sym_opaque_type] = STATE(892),
    [sym_existential_type] = STATE(892),
    [sym_type_parameter_pack] = STATE(892),
    [sym_type_pack_expansion] = STATE(892),
    [sym_protocol_composition_type] = STATE(892),
    [sym__parenthesized_type] = STATE(953),
    [sym__parameter_ownership_modifier] = STATE(954),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2596),
    [aux_sym_simple_identifier_token2] = ACTIONS(2598),
    [aux_sym_simple_identifier_token3] = ACTIONS(2598),
    [aux_sym_simple_identifier_token4] = ACTIONS(2598),
    [anon_sym_actor] = ACTIONS(2596),
    [anon_sym_async] = ACTIONS(2596),
    [anon_sym_each] = ACTIONS(2600),
    [anon_sym_lazy] = ACTIONS(2602),
    [anon_sym_repeat] = ACTIONS(2605),
    [anon_sym_package] = ACTIONS(2602),
    [anon_sym_COMMA] = ACTIONS(631),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_LBRACK] = ACTIONS(2610),
    [anon_sym_DOT] = ACTIONS(637),
    [anon_sym_QMARK] = ACTIONS(637),
    [anon_sym_QMARK2] = ACTIONS(631),
    [anon_sym_some] = ACTIONS(2613),
    [anon_sym_any] = ACTIONS(2615),
    [anon_sym_AMP] = ACTIONS(631),
    [aux_sym_custom_operator_token1] = ACTIONS(631),
    [anon_sym_LT] = ACTIONS(637),
    [anon_sym_GT] = ACTIONS(637),
    [anon_sym_LBRACE] = ACTIONS(631),
    [anon_sym_CARET_LBRACE] = ACTIONS(631),
    [anon_sym_RBRACE] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(637),
    [anon_sym_fallthrough] = ACTIONS(637),
    [anon_sym_PLUS_EQ] = ACTIONS(631),
    [anon_sym_DASH_EQ] = ACTIONS(631),
    [anon_sym_STAR_EQ] = ACTIONS(631),
    [anon_sym_SLASH_EQ] = ACTIONS(631),
    [anon_sym_PERCENT_EQ] = ACTIONS(631),
    [anon_sym_BANG_EQ] = ACTIONS(637),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(631),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(631),
    [anon_sym_LT_EQ] = ACTIONS(631),
    [anon_sym_GT_EQ] = ACTIONS(631),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(631),
    [anon_sym_DOT_DOT_LT] = ACTIONS(631),
    [anon_sym_is] = ACTIONS(637),
    [anon_sym_PLUS] = ACTIONS(637),
    [anon_sym_DASH] = ACTIONS(637),
    [anon_sym_STAR] = ACTIONS(637),
    [anon_sym_SLASH] = ACTIONS(637),
    [anon_sym_PERCENT] = ACTIONS(637),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PIPE] = ACTIONS(631),
    [anon_sym_CARET] = ACTIONS(637),
    [anon_sym_LT_LT] = ACTIONS(631),
    [anon_sym_GT_GT] = ACTIONS(631),
    [anon_sym_class] = ACTIONS(637),
    [anon_sym_BANG2] = ACTIONS(637),
    [anon_sym_prefix] = ACTIONS(637),
    [anon_sym_infix] = ACTIONS(637),
    [anon_sym_postfix] = ACTIONS(637),
    [anon_sym_AT] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_convenience] = ACTIONS(637),
    [anon_sym_required] = ACTIONS(637),
    [anon_sym_nonisolated] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_internal] = ACTIONS(637),
    [anon_sym_fileprivate] = ACTIONS(637),
    [anon_sym_open] = ACTIONS(637),
    [anon_sym_mutating] = ACTIONS(637),
    [anon_sym_nonmutating] = ACTIONS(637),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_dynamic] = ACTIONS(637),
    [anon_sym_optional] = ACTIONS(637),
    [anon_sym_distributed] = ACTIONS(637),
    [anon_sym_final] = ACTIONS(637),
    [anon_sym_inout] = ACTIONS(637),
    [anon_sym_ATescaping] = ACTIONS(631),
    [anon_sym_ATautoclosure] = ACTIONS(631),
    [anon_sym_weak] = ACTIONS(637),
    [anon_sym_unowned] = ACTIONS(637),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(631),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(631),
    [anon_sym_borrowing] = ACTIONS(2602),
    [anon_sym_consuming] = ACTIONS(2602),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(631),
    [sym__explicit_semi] = ACTIONS(631),
    [sym__arrow_operator_custom] = ACTIONS(631),
    [sym__dot_custom] = ACTIONS(631),
    [sym__conjunction_operator_custom] = ACTIONS(631),
    [sym__disjunction_operator_custom] = ACTIONS(631),
    [sym__nil_coalescing_operator_custom] = ACTIONS(631),
    [sym__eq_custom] = ACTIONS(631),
    [sym__eq_eq_custom] = ACTIONS(631),
    [sym__plus_then_ws] = ACTIONS(631),
    [sym__minus_then_ws] = ACTIONS(631),
    [sym__bang_custom] = ACTIONS(631),
    [sym__throws_keyword] = ACTIONS(631),
    [sym__rethrows_keyword] = ACTIONS(631),
    [sym_default_keyword] = ACTIONS(631),
    [sym_where_keyword] = ACTIONS(631),
    [sym__as_custom] = ACTIONS(631),
    [sym__as_quest_custom] = ACTIONS(631),
    [sym__as_bang_custom] = ACTIONS(631),
    [sym__async_keyword_custom] = ACTIONS(631),
    [sym__custom_operator] = ACTIONS(631),
  },
  [642] = {
    [sym_simple_identifier] = STATE(941),
    [sym__contextual_simple_identifier] = STATE(982),
    [sym__unannotated_type] = STATE(913),
    [sym_user_type] = STATE(935),
    [sym__simple_user_type] = STATE(934),
    [sym_tuple_type] = STATE(894),
    [sym_function_type] = STATE(913),
    [sym_array_type] = STATE(935),
    [sym_dictionary_type] = STATE(935),
    [sym_optional_type] = STATE(913),
    [sym_metatype] = STATE(913),
    [sym_opaque_type] = STATE(913),
    [sym_existential_type] = STATE(913),
    [sym_type_parameter_pack] = STATE(913),
    [sym_type_pack_expansion] = STATE(913),
    [sym_protocol_composition_type] = STATE(913),
    [sym__parenthesized_type] = STATE(987),
    [sym__parameter_ownership_modifier] = STATE(982),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2617),
    [aux_sym_simple_identifier_token2] = ACTIONS(2619),
    [aux_sym_simple_identifier_token3] = ACTIONS(2619),
    [aux_sym_simple_identifier_token4] = ACTIONS(2619),
    [anon_sym_actor] = ACTIONS(2617),
    [anon_sym_async] = ACTIONS(2617),
    [anon_sym_each] = ACTIONS(2621),
    [anon_sym_lazy] = ACTIONS(2623),
    [anon_sym_repeat] = ACTIONS(2626),
    [anon_sym_package] = ACTIONS(2623),
    [anon_sym_COMMA] = ACTIONS(631),
    [anon_sym_LPAREN] = ACTIONS(2628),
    [anon_sym_LBRACK] = ACTIONS(2631),
    [anon_sym_DOT] = ACTIONS(637),
    [anon_sym_QMARK] = ACTIONS(637),
    [anon_sym_QMARK2] = ACTIONS(631),
    [anon_sym_some] = ACTIONS(2634),
    [anon_sym_any] = ACTIONS(2636),
    [anon_sym_AMP] = ACTIONS(631),
    [aux_sym_custom_operator_token1] = ACTIONS(631),
    [anon_sym_LT] = ACTIONS(637),
    [anon_sym_GT] = ACTIONS(637),
    [anon_sym_LBRACE] = ACTIONS(631),
    [anon_sym_CARET_LBRACE] = ACTIONS(631),
    [anon_sym_RBRACE] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(637),
    [anon_sym_fallthrough] = ACTIONS(637),
    [anon_sym_PLUS_EQ] = ACTIONS(631),
    [anon_sym_DASH_EQ] = ACTIONS(631),
    [anon_sym_STAR_EQ] = ACTIONS(631),
    [anon_sym_SLASH_EQ] = ACTIONS(631),
    [anon_sym_PERCENT_EQ] = ACTIONS(631),
    [anon_sym_BANG_EQ] = ACTIONS(637),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(631),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(631),
    [anon_sym_LT_EQ] = ACTIONS(631),
    [anon_sym_GT_EQ] = ACTIONS(631),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(631),
    [anon_sym_DOT_DOT_LT] = ACTIONS(631),
    [anon_sym_is] = ACTIONS(637),
    [anon_sym_PLUS] = ACTIONS(637),
    [anon_sym_DASH] = ACTIONS(637),
    [anon_sym_STAR] = ACTIONS(637),
    [anon_sym_SLASH] = ACTIONS(637),
    [anon_sym_PERCENT] = ACTIONS(637),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PIPE] = ACTIONS(631),
    [anon_sym_CARET] = ACTIONS(637),
    [anon_sym_LT_LT] = ACTIONS(631),
    [anon_sym_GT_GT] = ACTIONS(631),
    [anon_sym_class] = ACTIONS(637),
    [anon_sym_BANG2] = ACTIONS(637),
    [anon_sym_prefix] = ACTIONS(637),
    [anon_sym_infix] = ACTIONS(637),
    [anon_sym_postfix] = ACTIONS(637),
    [anon_sym_AT] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_convenience] = ACTIONS(637),
    [anon_sym_required] = ACTIONS(637),
    [anon_sym_nonisolated] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_internal] = ACTIONS(637),
    [anon_sym_fileprivate] = ACTIONS(637),
    [anon_sym_open] = ACTIONS(637),
    [anon_sym_mutating] = ACTIONS(637),
    [anon_sym_nonmutating] = ACTIONS(637),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_dynamic] = ACTIONS(637),
    [anon_sym_optional] = ACTIONS(637),
    [anon_sym_distributed] = ACTIONS(637),
    [anon_sym_final] = ACTIONS(637),
    [anon_sym_inout] = ACTIONS(637),
    [anon_sym_ATescaping] = ACTIONS(631),
    [anon_sym_ATautoclosure] = ACTIONS(631),
    [anon_sym_weak] = ACTIONS(637),
    [anon_sym_unowned] = ACTIONS(637),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(631),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(631),
    [anon_sym_borrowing] = ACTIONS(2623),
    [anon_sym_consuming] = ACTIONS(2623),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(631),
    [sym__explicit_semi] = ACTIONS(631),
    [sym__arrow_operator_custom] = ACTIONS(631),
    [sym__dot_custom] = ACTIONS(631),
    [sym__conjunction_operator_custom] = ACTIONS(631),
    [sym__disjunction_operator_custom] = ACTIONS(631),
    [sym__nil_coalescing_operator_custom] = ACTIONS(631),
    [sym__eq_custom] = ACTIONS(631),
    [sym__eq_eq_custom] = ACTIONS(631),
    [sym__plus_then_ws] = ACTIONS(631),
    [sym__minus_then_ws] = ACTIONS(631),
    [sym__bang_custom] = ACTIONS(631),
    [sym__throws_keyword] = ACTIONS(631),
    [sym__rethrows_keyword] = ACTIONS(631),
    [sym_default_keyword] = ACTIONS(631),
    [sym__as_custom] = ACTIONS(631),
    [sym__as_quest_custom] = ACTIONS(631),
    [sym__as_bang_custom] = ACTIONS(631),
    [sym__async_keyword_custom] = ACTIONS(631),
    [sym__custom_operator] = ACTIONS(631),
  },
  [643] = {
    [sym_simple_identifier] = STATE(941),
    [sym__contextual_simple_identifier] = STATE(982),
    [sym__unannotated_type] = STATE(903),
    [sym_user_type] = STATE(935),
    [sym__simple_user_type] = STATE(934),
    [sym_tuple_type] = STATE(894),
    [sym_function_type] = STATE(903),
    [sym_array_type] = STATE(935),
    [sym_dictionary_type] = STATE(935),
    [sym_optional_type] = STATE(903),
    [sym_metatype] = STATE(903),
    [sym_opaque_type] = STATE(903),
    [sym_existential_type] = STATE(903),
    [sym_type_parameter_pack] = STATE(903),
    [sym_type_pack_expansion] = STATE(903),
    [sym_protocol_composition_type] = STATE(903),
    [sym__parenthesized_type] = STATE(987),
    [sym__parameter_ownership_modifier] = STATE(982),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2617),
    [aux_sym_simple_identifier_token2] = ACTIONS(2619),
    [aux_sym_simple_identifier_token3] = ACTIONS(2619),
    [aux_sym_simple_identifier_token4] = ACTIONS(2619),
    [anon_sym_actor] = ACTIONS(2617),
    [anon_sym_async] = ACTIONS(2617),
    [anon_sym_each] = ACTIONS(2621),
    [anon_sym_lazy] = ACTIONS(2623),
    [anon_sym_repeat] = ACTIONS(2626),
    [anon_sym_package] = ACTIONS(2623),
    [anon_sym_COMMA] = ACTIONS(631),
    [anon_sym_LPAREN] = ACTIONS(2628),
    [anon_sym_LBRACK] = ACTIONS(2631),
    [anon_sym_DOT] = ACTIONS(637),
    [anon_sym_QMARK] = ACTIONS(637),
    [anon_sym_QMARK2] = ACTIONS(631),
    [anon_sym_some] = ACTIONS(2634),
    [anon_sym_any] = ACTIONS(2636),
    [anon_sym_AMP] = ACTIONS(631),
    [aux_sym_custom_operator_token1] = ACTIONS(631),
    [anon_sym_LT] = ACTIONS(637),
    [anon_sym_GT] = ACTIONS(637),
    [anon_sym_LBRACE] = ACTIONS(631),
    [anon_sym_CARET_LBRACE] = ACTIONS(631),
    [anon_sym_RBRACE] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(637),
    [anon_sym_fallthrough] = ACTIONS(637),
    [anon_sym_PLUS_EQ] = ACTIONS(631),
    [anon_sym_DASH_EQ] = ACTIONS(631),
    [anon_sym_STAR_EQ] = ACTIONS(631),
    [anon_sym_SLASH_EQ] = ACTIONS(631),
    [anon_sym_PERCENT_EQ] = ACTIONS(631),
    [anon_sym_BANG_EQ] = ACTIONS(637),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(631),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(631),
    [anon_sym_LT_EQ] = ACTIONS(631),
    [anon_sym_GT_EQ] = ACTIONS(631),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(631),
    [anon_sym_DOT_DOT_LT] = ACTIONS(631),
    [anon_sym_is] = ACTIONS(637),
    [anon_sym_PLUS] = ACTIONS(637),
    [anon_sym_DASH] = ACTIONS(637),
    [anon_sym_STAR] = ACTIONS(637),
    [anon_sym_SLASH] = ACTIONS(637),
    [anon_sym_PERCENT] = ACTIONS(637),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PIPE] = ACTIONS(631),
    [anon_sym_CARET] = ACTIONS(637),
    [anon_sym_LT_LT] = ACTIONS(631),
    [anon_sym_GT_GT] = ACTIONS(631),
    [anon_sym_class] = ACTIONS(637),
    [anon_sym_BANG2] = ACTIONS(637),
    [anon_sym_prefix] = ACTIONS(637),
    [anon_sym_infix] = ACTIONS(637),
    [anon_sym_postfix] = ACTIONS(637),
    [anon_sym_AT] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_convenience] = ACTIONS(637),
    [anon_sym_required] = ACTIONS(637),
    [anon_sym_nonisolated] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_internal] = ACTIONS(637),
    [anon_sym_fileprivate] = ACTIONS(637),
    [anon_sym_open] = ACTIONS(637),
    [anon_sym_mutating] = ACTIONS(637),
    [anon_sym_nonmutating] = ACTIONS(637),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_dynamic] = ACTIONS(637),
    [anon_sym_optional] = ACTIONS(637),
    [anon_sym_distributed] = ACTIONS(637),
    [anon_sym_final] = ACTIONS(637),
    [anon_sym_inout] = ACTIONS(637),
    [anon_sym_ATescaping] = ACTIONS(631),
    [anon_sym_ATautoclosure] = ACTIONS(631),
    [anon_sym_weak] = ACTIONS(637),
    [anon_sym_unowned] = ACTIONS(637),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(631),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(631),
    [anon_sym_borrowing] = ACTIONS(2623),
    [anon_sym_consuming] = ACTIONS(2623),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(631),
    [sym__explicit_semi] = ACTIONS(631),
    [sym__arrow_operator_custom] = ACTIONS(631),
    [sym__dot_custom] = ACTIONS(631),
    [sym__conjunction_operator_custom] = ACTIONS(631),
    [sym__disjunction_operator_custom] = ACTIONS(631),
    [sym__nil_coalescing_operator_custom] = ACTIONS(631),
    [sym__eq_custom] = ACTIONS(631),
    [sym__eq_eq_custom] = ACTIONS(631),
    [sym__plus_then_ws] = ACTIONS(631),
    [sym__minus_then_ws] = ACTIONS(631),
    [sym__bang_custom] = ACTIONS(631),
    [sym__throws_keyword] = ACTIONS(631),
    [sym__rethrows_keyword] = ACTIONS(631),
    [sym_default_keyword] = ACTIONS(631),
    [sym__as_custom] = ACTIONS(631),
    [sym__as_quest_custom] = ACTIONS(631),
    [sym__as_bang_custom] = ACTIONS(631),
    [sym__async_keyword_custom] = ACTIONS(631),
    [sym__custom_operator] = ACTIONS(631),
  },
  [644] = {
    [sym__quest] = STATE(520),
    [sym__immediate_quest] = STATE(1070),
    [sym__range_operator] = STATE(422),
    [sym_custom_operator] = STATE(378),
    [sym_navigation_suffix] = STATE(1067),
    [sym_call_suffix] = STATE(1088),
    [sym__fn_call_lambda_arguments] = STATE(1154),
    [sym_value_arguments] = STATE(1008),
    [sym_lambda_literal] = STATE(847),
    [sym_where_clause] = STATE(3667),
    [sym__equality_operator] = STATE(288),
    [sym__comparison_operator] = STATE(307),
    [sym__three_dot_operator] = STATE(614),
    [sym__open_ended_range_operator] = STATE(422),
    [sym__is_operator] = STATE(3673),
    [sym__additive_operator] = STATE(472),
    [sym__multiplicative_operator] = STATE(562),
    [sym_as_operator] = STATE(3672),
    [sym__bitwise_binary_operator] = STATE(332),
    [sym__postfix_unary_operator] = STATE(1142),
    [sym__eq_eq] = STATE(288),
    [sym__dot] = STATE(4723),
    [sym__conjunction_operator] = STATE(365),
    [sym__disjunction_operator] = STATE(374),
    [sym__nil_coalescing_operator] = STATE(386),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(1142),
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(2638),
    [anon_sym_package] = ACTIONS(2638),
    [anon_sym_COMMA] = ACTIONS(2638),
    [anon_sym_LPAREN] = ACTIONS(2640),
    [anon_sym_LBRACK] = ACTIONS(2642),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_QMARK2] = ACTIONS(2646),
    [anon_sym_AMP] = ACTIONS(2648),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(2650),
    [anon_sym_GT] = ACTIONS(2650),
    [anon_sym_LBRACE] = ACTIONS(2652),
    [anon_sym_CARET_LBRACE] = ACTIONS(2652),
    [anon_sym_RBRACE] = ACTIONS(2638),
    [anon_sym_case] = ACTIONS(2638),
    [anon_sym_fallthrough] = ACTIONS(2638),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(2654),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2656),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2656),
    [anon_sym_LT_EQ] = ACTIONS(2658),
    [anon_sym_GT_EQ] = ACTIONS(2658),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(725),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2660),
    [anon_sym_is] = ACTIONS(2662),
    [anon_sym_PLUS] = ACTIONS(2664),
    [anon_sym_DASH] = ACTIONS(2664),
    [anon_sym_STAR] = ACTIONS(2666),
    [anon_sym_SLASH] = ACTIONS(2666),
    [anon_sym_PERCENT] = ACTIONS(2666),
    [anon_sym_PLUS_PLUS] = ACTIONS(2668),
    [anon_sym_DASH_DASH] = ACTIONS(2668),
    [anon_sym_PIPE] = ACTIONS(2648),
    [anon_sym_CARET] = ACTIONS(2670),
    [anon_sym_LT_LT] = ACTIONS(2648),
    [anon_sym_GT_GT] = ACTIONS(2648),
    [anon_sym_class] = ACTIONS(2638),
    [anon_sym_BANG2] = ACTIONS(2672),
    [anon_sym_prefix] = ACTIONS(2638),
    [anon_sym_infix] = ACTIONS(2638),
    [anon_sym_postfix] = ACTIONS(2638),
    [anon_sym_AT] = ACTIONS(2674),
    [anon_sym_override] = ACTIONS(2638),
    [anon_sym_convenience] = ACTIONS(2638),
    [anon_sym_required] = ACTIONS(2638),
    [anon_sym_nonisolated] = ACTIONS(2638),
    [anon_sym_public] = ACTIONS(2638),
    [anon_sym_private] = ACTIONS(2638),
    [anon_sym_internal] = ACTIONS(2638),
    [anon_sym_fileprivate] = ACTIONS(2638),
    [anon_sym_open] = ACTIONS(2638),
    [anon_sym_mutating] = ACTIONS(2638),
    [anon_sym_nonmutating] = ACTIONS(2638),
    [anon_sym_static] = ACTIONS(2638),
    [anon_sym_dynamic] = ACTIONS(2638),
    [anon_sym_optional] = ACTIONS(2638),
    [anon_sym_distributed] = ACTIONS(2638),
    [anon_sym_final] = ACTIONS(2638),
    [anon_sym_inout] = ACTIONS(2638),
    [anon_sym_ATescaping] = ACTIONS(2638),
    [anon_sym_ATautoclosure] = ACTIONS(2638),
    [anon_sym_weak] = ACTIONS(2638),
    [anon_sym_unowned] = ACTIONS(2674),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2638),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2638),
    [anon_sym_borrowing] = ACTIONS(2638),
    [anon_sym_consuming] = ACTIONS(2638),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2638),
    [sym__explicit_semi] = ACTIONS(2638),
    [sym__dot_custom] = ACTIONS(2676),
    [sym__conjunction_operator_custom] = ACTIONS(2678),
    [sym__disjunction_operator_custom] = ACTIONS(2680),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2682),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(2656),
    [sym__plus_then_ws] = ACTIONS(2684),
    [sym__minus_then_ws] = ACTIONS(2684),
    [sym__bang_custom] = ACTIONS(2686),
    [sym_default_keyword] = ACTIONS(2638),
    [sym_where_keyword] = ACTIONS(2688),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [645] = {
    [sym__quest] = STATE(520),
    [sym__immediate_quest] = STATE(1070),
    [sym__range_operator] = STATE(422),
    [sym_custom_operator] = STATE(378),
    [sym_navigation_suffix] = STATE(1067),
    [sym_call_suffix] = STATE(1088),
    [sym__fn_call_lambda_arguments] = STATE(1154),
    [sym_value_arguments] = STATE(1009),
    [sym_expr_hack_at_ternary_binary_call_suffix] = STATE(1105),
    [sym_lambda_literal] = STATE(847),
    [sym__equality_operator] = STATE(288),
    [sym__comparison_operator] = STATE(307),
    [sym__three_dot_operator] = STATE(614),
    [sym__open_ended_range_operator] = STATE(422),
    [sym__is_operator] = STATE(3673),
    [sym__additive_operator] = STATE(472),
    [sym__multiplicative_operator] = STATE(562),
    [sym_as_operator] = STATE(3672),
    [sym__bitwise_binary_operator] = STATE(332),
    [sym__postfix_unary_operator] = STATE(1142),
    [sym__eq_eq] = STATE(288),
    [sym__dot] = STATE(4723),
    [sym__conjunction_operator] = STATE(365),
    [sym__disjunction_operator] = STATE(374),
    [sym__nil_coalescing_operator] = STATE(386),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(1142),
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(2494),
    [anon_sym_package] = ACTIONS(2494),
    [anon_sym_COMMA] = ACTIONS(2494),
    [anon_sym_LPAREN] = ACTIONS(2640),
    [anon_sym_LBRACK] = ACTIONS(2642),
    [anon_sym_QMARK] = ACTIONS(2500),
    [anon_sym_QMARK2] = ACTIONS(2646),
    [anon_sym_AMP] = ACTIONS(2648),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(2650),
    [anon_sym_GT] = ACTIONS(2650),
    [anon_sym_LBRACE] = ACTIONS(2494),
    [anon_sym_CARET_LBRACE] = ACTIONS(2494),
    [anon_sym_RBRACE] = ACTIONS(2494),
    [anon_sym_case] = ACTIONS(2494),
    [anon_sym_fallthrough] = ACTIONS(2494),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(2654),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2656),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2656),
    [anon_sym_LT_EQ] = ACTIONS(2658),
    [anon_sym_GT_EQ] = ACTIONS(2658),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(725),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2660),
    [anon_sym_is] = ACTIONS(2662),
    [anon_sym_PLUS] = ACTIONS(2664),
    [anon_sym_DASH] = ACTIONS(2664),
    [anon_sym_STAR] = ACTIONS(2666),
    [anon_sym_SLASH] = ACTIONS(2666),
    [anon_sym_PERCENT] = ACTIONS(2666),
    [anon_sym_PLUS_PLUS] = ACTIONS(2668),
    [anon_sym_DASH_DASH] = ACTIONS(2668),
    [anon_sym_PIPE] = ACTIONS(2648),
    [anon_sym_CARET] = ACTIONS(2670),
    [anon_sym_LT_LT] = ACTIONS(2648),
    [anon_sym_GT_GT] = ACTIONS(2648),
    [anon_sym_class] = ACTIONS(2494),
    [anon_sym_BANG2] = ACTIONS(2672),
    [anon_sym_prefix] = ACTIONS(2494),
    [anon_sym_infix] = ACTIONS(2494),
    [anon_sym_postfix] = ACTIONS(2494),
    [anon_sym_AT] = ACTIONS(2500),
    [anon_sym_override] = ACTIONS(2494),
    [anon_sym_convenience] = ACTIONS(2494),
    [anon_sym_required] = ACTIONS(2494),
    [anon_sym_nonisolated] = ACTIONS(2494),
    [anon_sym_public] = ACTIONS(2494),
    [anon_sym_private] = ACTIONS(2494),
    [anon_sym_internal] = ACTIONS(2494),
    [anon_sym_fileprivate] = ACTIONS(2494),
    [anon_sym_open] = ACTIONS(2494),
    [anon_sym_mutating] = ACTIONS(2494),
    [anon_sym_nonmutating] = ACTIONS(2494),
    [anon_sym_static] = ACTIONS(2494),
    [anon_sym_dynamic] = ACTIONS(2494),
    [anon_sym_optional] = ACTIONS(2494),
    [anon_sym_distributed] = ACTIONS(2494),
    [anon_sym_final] = ACTIONS(2494),
    [anon_sym_inout] = ACTIONS(2494),
    [anon_sym_ATescaping] = ACTIONS(2494),
    [anon_sym_ATautoclosure] = ACTIONS(2494),
    [anon_sym_weak] = ACTIONS(2494),
    [anon_sym_unowned] = ACTIONS(2500),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2494),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2494),
    [anon_sym_borrowing] = ACTIONS(2494),
    [anon_sym_consuming] = ACTIONS(2494),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2494),
    [sym__explicit_semi] = ACTIONS(2494),
    [sym__dot_custom] = ACTIONS(2676),
    [sym__conjunction_operator_custom] = ACTIONS(2678),
    [sym__disjunction_operator_custom] = ACTIONS(2680),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2682),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(2656),
    [sym__plus_then_ws] = ACTIONS(2684),
    [sym__minus_then_ws] = ACTIONS(2684),
    [sym__bang_custom] = ACTIONS(2686),
    [sym_default_keyword] = ACTIONS(2494),
    [sym_where_keyword] = ACTIONS(2494),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [646] = {
    [sym__quest] = STATE(460),
    [sym__immediate_quest] = STATE(1213),
    [sym__range_operator] = STATE(417),
    [sym_custom_operator] = STATE(403),
    [sym_navigation_suffix] = STATE(1188),
    [sym_call_suffix] = STATE(1189),
    [sym__fn_call_lambda_arguments] = STATE(1190),
    [sym_value_arguments] = STATE(1029),
    [sym_lambda_literal] = STATE(870),
    [sym__equality_operator] = STATE(402),
    [sym__comparison_operator] = STATE(400),
    [sym__three_dot_operator] = STATE(621),
    [sym__open_ended_range_operator] = STATE(417),
    [sym__is_operator] = STATE(3873),
    [sym__additive_operator] = STATE(533),
    [sym__multiplicative_operator] = STATE(534),
    [sym_as_operator] = STATE(3874),
    [sym__bitwise_binary_operator] = STATE(388),
    [sym__postfix_unary_operator] = STATE(1242),
    [sym_willset_didset_block] = STATE(3644),
    [sym__eq_eq] = STATE(402),
    [sym__dot] = STATE(4725),
    [sym__conjunction_operator] = STATE(381),
    [sym__disjunction_operator] = STATE(377),
    [sym__nil_coalescing_operator] = STATE(376),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(1242),
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(2558),
    [anon_sym_package] = ACTIONS(2558),
    [anon_sym_COMMA] = ACTIONS(2558),
    [anon_sym_LPAREN] = ACTIONS(2690),
    [anon_sym_LBRACK] = ACTIONS(2692),
    [anon_sym_QMARK] = ACTIONS(2694),
    [anon_sym_QMARK2] = ACTIONS(2696),
    [anon_sym_AMP] = ACTIONS(2698),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(2700),
    [anon_sym_GT] = ACTIONS(2700),
    [anon_sym_LBRACE] = ACTIONS(2702),
    [anon_sym_CARET_LBRACE] = ACTIONS(2704),
    [anon_sym_RBRACE] = ACTIONS(2558),
    [anon_sym_case] = ACTIONS(2558),
    [anon_sym_fallthrough] = ACTIONS(2558),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(2706),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2708),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2708),
    [anon_sym_LT_EQ] = ACTIONS(2710),
    [anon_sym_GT_EQ] = ACTIONS(2710),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(355),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2712),
    [anon_sym_is] = ACTIONS(2714),
    [anon_sym_PLUS] = ACTIONS(2716),
    [anon_sym_DASH] = ACTIONS(2716),
    [anon_sym_STAR] = ACTIONS(2718),
    [anon_sym_SLASH] = ACTIONS(2718),
    [anon_sym_PERCENT] = ACTIONS(2718),
    [anon_sym_PLUS_PLUS] = ACTIONS(2720),
    [anon_sym_DASH_DASH] = ACTIONS(2720),
    [anon_sym_PIPE] = ACTIONS(2698),
    [anon_sym_CARET] = ACTIONS(2722),
    [anon_sym_LT_LT] = ACTIONS(2698),
    [anon_sym_GT_GT] = ACTIONS(2698),
    [anon_sym_class] = ACTIONS(2558),
    [anon_sym_BANG2] = ACTIONS(2724),
    [anon_sym_prefix] = ACTIONS(2558),
    [anon_sym_infix] = ACTIONS(2558),
    [anon_sym_postfix] = ACTIONS(2558),
    [anon_sym_AT] = ACTIONS(2562),
    [anon_sym_override] = ACTIONS(2558),
    [anon_sym_convenience] = ACTIONS(2558),
    [anon_sym_required] = ACTIONS(2558),
    [anon_sym_nonisolated] = ACTIONS(2558),
    [anon_sym_public] = ACTIONS(2558),
    [anon_sym_private] = ACTIONS(2558),
    [anon_sym_internal] = ACTIONS(2558),
    [anon_sym_fileprivate] = ACTIONS(2558),
    [anon_sym_open] = ACTIONS(2558),
    [anon_sym_mutating] = ACTIONS(2558),
    [anon_sym_nonmutating] = ACTIONS(2558),
    [anon_sym_static] = ACTIONS(2558),
    [anon_sym_dynamic] = ACTIONS(2558),
    [anon_sym_optional] = ACTIONS(2558),
    [anon_sym_distributed] = ACTIONS(2558),
    [anon_sym_final] = ACTIONS(2558),
    [anon_sym_inout] = ACTIONS(2558),
    [anon_sym_ATescaping] = ACTIONS(2558),
    [anon_sym_ATautoclosure] = ACTIONS(2558),
    [anon_sym_weak] = ACTIONS(2558),
    [anon_sym_unowned] = ACTIONS(2562),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2558),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2558),
    [anon_sym_borrowing] = ACTIONS(2558),
    [anon_sym_consuming] = ACTIONS(2558),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2558),
    [sym__explicit_semi] = ACTIONS(2558),
    [sym__dot_custom] = ACTIONS(2726),
    [sym__conjunction_operator_custom] = ACTIONS(2728),
    [sym__disjunction_operator_custom] = ACTIONS(2730),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2732),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(2708),
    [sym__plus_then_ws] = ACTIONS(2734),
    [sym__minus_then_ws] = ACTIONS(2734),
    [sym__bang_custom] = ACTIONS(2736),
    [sym_default_keyword] = ACTIONS(2558),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [647] = {
    [sym__quest] = STATE(520),
    [sym__immediate_quest] = STATE(1070),
    [sym__range_operator] = STATE(422),
    [sym_custom_operator] = STATE(378),
    [sym_navigation_suffix] = STATE(1067),
    [sym_call_suffix] = STATE(1088),
    [sym__fn_call_lambda_arguments] = STATE(1154),
    [sym_value_arguments] = STATE(1008),
    [sym_lambda_literal] = STATE(847),
    [sym__equality_operator] = STATE(288),
    [sym__comparison_operator] = STATE(307),
    [sym__three_dot_operator] = STATE(614),
    [sym__open_ended_range_operator] = STATE(422),
    [sym__is_operator] = STATE(3673),
    [sym__additive_operator] = STATE(472),
    [sym__multiplicative_operator] = STATE(562),
    [sym_as_operator] = STATE(3672),
    [sym__bitwise_binary_operator] = STATE(332),
    [sym__postfix_unary_operator] = STATE(1142),
    [sym__eq_eq] = STATE(288),
    [sym__dot] = STATE(4723),
    [sym__conjunction_operator] = STATE(365),
    [sym__disjunction_operator] = STATE(374),
    [sym__nil_coalescing_operator] = STATE(386),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(1142),
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(2568),
    [anon_sym_package] = ACTIONS(2568),
    [anon_sym_COMMA] = ACTIONS(2568),
    [anon_sym_LPAREN] = ACTIONS(2640),
    [anon_sym_LBRACK] = ACTIONS(2642),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_QMARK2] = ACTIONS(2646),
    [anon_sym_AMP] = ACTIONS(2648),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(2650),
    [anon_sym_GT] = ACTIONS(2650),
    [anon_sym_LBRACE] = ACTIONS(2652),
    [anon_sym_CARET_LBRACE] = ACTIONS(2652),
    [anon_sym_RBRACE] = ACTIONS(2568),
    [anon_sym_case] = ACTIONS(2568),
    [anon_sym_fallthrough] = ACTIONS(2568),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(2654),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2656),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2656),
    [anon_sym_LT_EQ] = ACTIONS(2658),
    [anon_sym_GT_EQ] = ACTIONS(2658),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(725),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2660),
    [anon_sym_is] = ACTIONS(2662),
    [anon_sym_PLUS] = ACTIONS(2664),
    [anon_sym_DASH] = ACTIONS(2664),
    [anon_sym_STAR] = ACTIONS(2666),
    [anon_sym_SLASH] = ACTIONS(2666),
    [anon_sym_PERCENT] = ACTIONS(2666),
    [anon_sym_PLUS_PLUS] = ACTIONS(2668),
    [anon_sym_DASH_DASH] = ACTIONS(2668),
    [anon_sym_PIPE] = ACTIONS(2648),
    [anon_sym_CARET] = ACTIONS(2670),
    [anon_sym_LT_LT] = ACTIONS(2648),
    [anon_sym_GT_GT] = ACTIONS(2648),
    [anon_sym_class] = ACTIONS(2568),
    [anon_sym_BANG2] = ACTIONS(2672),
    [anon_sym_prefix] = ACTIONS(2568),
    [anon_sym_infix] = ACTIONS(2568),
    [anon_sym_postfix] = ACTIONS(2568),
    [anon_sym_AT] = ACTIONS(2570),
    [anon_sym_override] = ACTIONS(2568),
    [anon_sym_convenience] = ACTIONS(2568),
    [anon_sym_required] = ACTIONS(2568),
    [anon_sym_nonisolated] = ACTIONS(2568),
    [anon_sym_public] = ACTIONS(2568),
    [anon_sym_private] = ACTIONS(2568),
    [anon_sym_internal] = ACTIONS(2568),
    [anon_sym_fileprivate] = ACTIONS(2568),
    [anon_sym_open] = ACTIONS(2568),
    [anon_sym_mutating] = ACTIONS(2568),
    [anon_sym_nonmutating] = ACTIONS(2568),
    [anon_sym_static] = ACTIONS(2568),
    [anon_sym_dynamic] = ACTIONS(2568),
    [anon_sym_optional] = ACTIONS(2568),
    [anon_sym_distributed] = ACTIONS(2568),
    [anon_sym_final] = ACTIONS(2568),
    [anon_sym_inout] = ACTIONS(2568),
    [anon_sym_ATescaping] = ACTIONS(2568),
    [anon_sym_ATautoclosure] = ACTIONS(2568),
    [anon_sym_weak] = ACTIONS(2568),
    [anon_sym_unowned] = ACTIONS(2570),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2568),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2568),
    [anon_sym_borrowing] = ACTIONS(2568),
    [anon_sym_consuming] = ACTIONS(2568),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2568),
    [sym__explicit_semi] = ACTIONS(2568),
    [sym__dot_custom] = ACTIONS(2676),
    [sym__conjunction_operator_custom] = ACTIONS(2678),
    [sym__disjunction_operator_custom] = ACTIONS(2680),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2682),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(2656),
    [sym__plus_then_ws] = ACTIONS(2684),
    [sym__minus_then_ws] = ACTIONS(2684),
    [sym__bang_custom] = ACTIONS(2686),
    [sym_default_keyword] = ACTIONS(2568),
    [sym_where_keyword] = ACTIONS(2568),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [648] = {
    [sym__quest] = STATE(520),
    [sym__immediate_quest] = STATE(1070),
    [sym__range_operator] = STATE(422),
    [sym_custom_operator] = STATE(378),
    [sym_navigation_suffix] = STATE(1067),
    [sym_call_suffix] = STATE(1088),
    [sym__fn_call_lambda_arguments] = STATE(1154),
    [sym_value_arguments] = STATE(1008),
    [sym_lambda_literal] = STATE(847),
    [sym__equality_operator] = STATE(288),
    [sym__comparison_operator] = STATE(307),
    [sym__three_dot_operator] = STATE(614),
    [sym__open_ended_range_operator] = STATE(422),
    [sym__is_operator] = STATE(3673),
    [sym__additive_operator] = STATE(472),
    [sym__multiplicative_operator] = STATE(562),
    [sym_as_operator] = STATE(3672),
    [sym__bitwise_binary_operator] = STATE(332),
    [sym__postfix_unary_operator] = STATE(1142),
    [sym__eq_eq] = STATE(288),
    [sym__dot] = STATE(4723),
    [sym__conjunction_operator] = STATE(365),
    [sym__disjunction_operator] = STATE(374),
    [sym__nil_coalescing_operator] = STATE(386),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(1142),
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(2572),
    [anon_sym_package] = ACTIONS(2572),
    [anon_sym_COMMA] = ACTIONS(2572),
    [anon_sym_LPAREN] = ACTIONS(2640),
    [anon_sym_LBRACK] = ACTIONS(2642),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_QMARK2] = ACTIONS(2646),
    [anon_sym_AMP] = ACTIONS(2648),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(2650),
    [anon_sym_GT] = ACTIONS(2650),
    [anon_sym_LBRACE] = ACTIONS(2652),
    [anon_sym_CARET_LBRACE] = ACTIONS(2652),
    [anon_sym_RBRACE] = ACTIONS(2572),
    [anon_sym_case] = ACTIONS(2572),
    [anon_sym_fallthrough] = ACTIONS(2572),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(2654),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2656),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2656),
    [anon_sym_LT_EQ] = ACTIONS(2658),
    [anon_sym_GT_EQ] = ACTIONS(2658),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(725),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2660),
    [anon_sym_is] = ACTIONS(2662),
    [anon_sym_PLUS] = ACTIONS(2664),
    [anon_sym_DASH] = ACTIONS(2664),
    [anon_sym_STAR] = ACTIONS(2666),
    [anon_sym_SLASH] = ACTIONS(2666),
    [anon_sym_PERCENT] = ACTIONS(2666),
    [anon_sym_PLUS_PLUS] = ACTIONS(2668),
    [anon_sym_DASH_DASH] = ACTIONS(2668),
    [anon_sym_PIPE] = ACTIONS(2648),
    [anon_sym_CARET] = ACTIONS(2670),
    [anon_sym_LT_LT] = ACTIONS(2648),
    [anon_sym_GT_GT] = ACTIONS(2648),
    [anon_sym_class] = ACTIONS(2572),
    [anon_sym_BANG2] = ACTIONS(2672),
    [anon_sym_prefix] = ACTIONS(2572),
    [anon_sym_infix] = ACTIONS(2572),
    [anon_sym_postfix] = ACTIONS(2572),
    [anon_sym_AT] = ACTIONS(2574),
    [anon_sym_override] = ACTIONS(2572),
    [anon_sym_convenience] = ACTIONS(2572),
    [anon_sym_required] = ACTIONS(2572),
    [anon_sym_nonisolated] = ACTIONS(2572),
    [anon_sym_public] = ACTIONS(2572),
    [anon_sym_private] = ACTIONS(2572),
    [anon_sym_internal] = ACTIONS(2572),
    [anon_sym_fileprivate] = ACTIONS(2572),
    [anon_sym_open] = ACTIONS(2572),
    [anon_sym_mutating] = ACTIONS(2572),
    [anon_sym_nonmutating] = ACTIONS(2572),
    [anon_sym_static] = ACTIONS(2572),
    [anon_sym_dynamic] = ACTIONS(2572),
    [anon_sym_optional] = ACTIONS(2572),
    [anon_sym_distributed] = ACTIONS(2572),
    [anon_sym_final] = ACTIONS(2572),
    [anon_sym_inout] = ACTIONS(2572),
    [anon_sym_ATescaping] = ACTIONS(2572),
    [anon_sym_ATautoclosure] = ACTIONS(2572),
    [anon_sym_weak] = ACTIONS(2572),
    [anon_sym_unowned] = ACTIONS(2574),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2572),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2572),
    [anon_sym_borrowing] = ACTIONS(2572),
    [anon_sym_consuming] = ACTIONS(2572),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2572),
    [sym__explicit_semi] = ACTIONS(2572),
    [sym__dot_custom] = ACTIONS(2676),
    [sym__conjunction_operator_custom] = ACTIONS(2678),
    [sym__disjunction_operator_custom] = ACTIONS(2680),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2682),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(2656),
    [sym__plus_then_ws] = ACTIONS(2684),
    [sym__minus_then_ws] = ACTIONS(2684),
    [sym__bang_custom] = ACTIONS(2686),
    [sym_default_keyword] = ACTIONS(2572),
    [sym_where_keyword] = ACTIONS(2572),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [649] = {
    [sym__quest] = STATE(520),
    [sym__immediate_quest] = STATE(1070),
    [sym__range_operator] = STATE(422),
    [sym_custom_operator] = STATE(378),
    [sym_navigation_suffix] = STATE(1067),
    [sym_call_suffix] = STATE(1088),
    [sym__fn_call_lambda_arguments] = STATE(1154),
    [sym_value_arguments] = STATE(1008),
    [sym_lambda_literal] = STATE(847),
    [sym__equality_operator] = STATE(288),
    [sym__comparison_operator] = STATE(307),
    [sym__three_dot_operator] = STATE(614),
    [sym__open_ended_range_operator] = STATE(422),
    [sym__is_operator] = STATE(3673),
    [sym__additive_operator] = STATE(472),
    [sym__multiplicative_operator] = STATE(562),
    [sym_as_operator] = STATE(3672),
    [sym__bitwise_binary_operator] = STATE(332),
    [sym__postfix_unary_operator] = STATE(1142),
    [sym__eq_eq] = STATE(288),
    [sym__dot] = STATE(4723),
    [sym__conjunction_operator] = STATE(365),
    [sym__disjunction_operator] = STATE(374),
    [sym__nil_coalescing_operator] = STATE(386),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(1142),
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(2550),
    [anon_sym_package] = ACTIONS(2550),
    [anon_sym_COMMA] = ACTIONS(2550),
    [anon_sym_LPAREN] = ACTIONS(2640),
    [anon_sym_LBRACK] = ACTIONS(2642),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_QMARK2] = ACTIONS(2646),
    [anon_sym_AMP] = ACTIONS(2648),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(2650),
    [anon_sym_GT] = ACTIONS(2650),
    [anon_sym_LBRACE] = ACTIONS(2652),
    [anon_sym_CARET_LBRACE] = ACTIONS(2652),
    [anon_sym_RBRACE] = ACTIONS(2550),
    [anon_sym_case] = ACTIONS(2550),
    [anon_sym_fallthrough] = ACTIONS(2550),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(2654),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2656),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2656),
    [anon_sym_LT_EQ] = ACTIONS(2658),
    [anon_sym_GT_EQ] = ACTIONS(2658),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(725),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2660),
    [anon_sym_is] = ACTIONS(2662),
    [anon_sym_PLUS] = ACTIONS(2664),
    [anon_sym_DASH] = ACTIONS(2664),
    [anon_sym_STAR] = ACTIONS(2666),
    [anon_sym_SLASH] = ACTIONS(2666),
    [anon_sym_PERCENT] = ACTIONS(2666),
    [anon_sym_PLUS_PLUS] = ACTIONS(2668),
    [anon_sym_DASH_DASH] = ACTIONS(2668),
    [anon_sym_PIPE] = ACTIONS(2648),
    [anon_sym_CARET] = ACTIONS(2670),
    [anon_sym_LT_LT] = ACTIONS(2648),
    [anon_sym_GT_GT] = ACTIONS(2648),
    [anon_sym_class] = ACTIONS(2550),
    [anon_sym_BANG2] = ACTIONS(2672),
    [anon_sym_prefix] = ACTIONS(2550),
    [anon_sym_infix] = ACTIONS(2550),
    [anon_sym_postfix] = ACTIONS(2550),
    [anon_sym_AT] = ACTIONS(2556),
    [anon_sym_override] = ACTIONS(2550),
    [anon_sym_convenience] = ACTIONS(2550),
    [anon_sym_required] = ACTIONS(2550),
    [anon_sym_nonisolated] = ACTIONS(2550),
    [anon_sym_public] = ACTIONS(2550),
    [anon_sym_private] = ACTIONS(2550),
    [anon_sym_internal] = ACTIONS(2550),
    [anon_sym_fileprivate] = ACTIONS(2550),
    [anon_sym_open] = ACTIONS(2550),
    [anon_sym_mutating] = ACTIONS(2550),
    [anon_sym_nonmutating] = ACTIONS(2550),
    [anon_sym_static] = ACTIONS(2550),
    [anon_sym_dynamic] = ACTIONS(2550),
    [anon_sym_optional] = ACTIONS(2550),
    [anon_sym_distributed] = ACTIONS(2550),
    [anon_sym_final] = ACTIONS(2550),
    [anon_sym_inout] = ACTIONS(2550),
    [anon_sym_ATescaping] = ACTIONS(2550),
    [anon_sym_ATautoclosure] = ACTIONS(2550),
    [anon_sym_weak] = ACTIONS(2550),
    [anon_sym_unowned] = ACTIONS(2556),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2550),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2550),
    [anon_sym_borrowing] = ACTIONS(2550),
    [anon_sym_consuming] = ACTIONS(2550),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2550),
    [sym__explicit_semi] = ACTIONS(2550),
    [sym__dot_custom] = ACTIONS(2676),
    [sym__conjunction_operator_custom] = ACTIONS(2678),
    [sym__disjunction_operator_custom] = ACTIONS(2680),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2682),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(2656),
    [sym__plus_then_ws] = ACTIONS(2684),
    [sym__minus_then_ws] = ACTIONS(2684),
    [sym__bang_custom] = ACTIONS(2686),
    [sym_default_keyword] = ACTIONS(2550),
    [sym_where_keyword] = ACTIONS(2550),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [650] = {
    [sym__quest] = STATE(520),
    [sym__immediate_quest] = STATE(1070),
    [sym__range_operator] = STATE(422),
    [sym_custom_operator] = STATE(378),
    [sym_navigation_suffix] = STATE(1067),
    [sym_call_suffix] = STATE(1088),
    [sym__fn_call_lambda_arguments] = STATE(1154),
    [sym_value_arguments] = STATE(1008),
    [sym_lambda_literal] = STATE(847),
    [sym__equality_operator] = STATE(288),
    [sym__comparison_operator] = STATE(307),
    [sym__three_dot_operator] = STATE(614),
    [sym__open_ended_range_operator] = STATE(422),
    [sym__is_operator] = STATE(3673),
    [sym__additive_operator] = STATE(472),
    [sym__multiplicative_operator] = STATE(562),
    [sym_as_operator] = STATE(3672),
    [sym__bitwise_binary_operator] = STATE(332),
    [sym__postfix_unary_operator] = STATE(1142),
    [sym__eq_eq] = STATE(288),
    [sym__dot] = STATE(4723),
    [sym__conjunction_operator] = STATE(365),
    [sym__disjunction_operator] = STATE(374),
    [sym__nil_coalescing_operator] = STATE(386),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(1142),
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(2576),
    [anon_sym_package] = ACTIONS(2576),
    [anon_sym_COMMA] = ACTIONS(2576),
    [anon_sym_LPAREN] = ACTIONS(2576),
    [anon_sym_LBRACK] = ACTIONS(2576),
    [anon_sym_QMARK] = ACTIONS(2578),
    [anon_sym_QMARK2] = ACTIONS(2576),
    [anon_sym_AMP] = ACTIONS(2576),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(2578),
    [anon_sym_GT] = ACTIONS(2578),
    [anon_sym_LBRACE] = ACTIONS(2576),
    [anon_sym_CARET_LBRACE] = ACTIONS(2576),
    [anon_sym_RBRACE] = ACTIONS(2576),
    [anon_sym_case] = ACTIONS(2576),
    [anon_sym_fallthrough] = ACTIONS(2576),
    [anon_sym_PLUS_EQ] = ACTIONS(2576),
    [anon_sym_DASH_EQ] = ACTIONS(2576),
    [anon_sym_STAR_EQ] = ACTIONS(2576),
    [anon_sym_SLASH_EQ] = ACTIONS(2576),
    [anon_sym_PERCENT_EQ] = ACTIONS(2576),
    [anon_sym_BANG_EQ] = ACTIONS(2654),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2656),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2656),
    [anon_sym_LT_EQ] = ACTIONS(2576),
    [anon_sym_GT_EQ] = ACTIONS(2576),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2576),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2576),
    [anon_sym_is] = ACTIONS(2662),
    [anon_sym_PLUS] = ACTIONS(2664),
    [anon_sym_DASH] = ACTIONS(2664),
    [anon_sym_STAR] = ACTIONS(2666),
    [anon_sym_SLASH] = ACTIONS(2666),
    [anon_sym_PERCENT] = ACTIONS(2666),
    [anon_sym_PLUS_PLUS] = ACTIONS(2668),
    [anon_sym_DASH_DASH] = ACTIONS(2668),
    [anon_sym_PIPE] = ACTIONS(2576),
    [anon_sym_CARET] = ACTIONS(2578),
    [anon_sym_LT_LT] = ACTIONS(2576),
    [anon_sym_GT_GT] = ACTIONS(2576),
    [anon_sym_class] = ACTIONS(2576),
    [anon_sym_BANG2] = ACTIONS(2672),
    [anon_sym_prefix] = ACTIONS(2576),
    [anon_sym_infix] = ACTIONS(2576),
    [anon_sym_postfix] = ACTIONS(2576),
    [anon_sym_AT] = ACTIONS(2578),
    [anon_sym_override] = ACTIONS(2576),
    [anon_sym_convenience] = ACTIONS(2576),
    [anon_sym_required] = ACTIONS(2576),
    [anon_sym_nonisolated] = ACTIONS(2576),
    [anon_sym_public] = ACTIONS(2576),
    [anon_sym_private] = ACTIONS(2576),
    [anon_sym_internal] = ACTIONS(2576),
    [anon_sym_fileprivate] = ACTIONS(2576),
    [anon_sym_open] = ACTIONS(2576),
    [anon_sym_mutating] = ACTIONS(2576),
    [anon_sym_nonmutating] = ACTIONS(2576),
    [anon_sym_static] = ACTIONS(2576),
    [anon_sym_dynamic] = ACTIONS(2576),
    [anon_sym_optional] = ACTIONS(2576),
    [anon_sym_distributed] = ACTIONS(2576),
    [anon_sym_final] = ACTIONS(2576),
    [anon_sym_inout] = ACTIONS(2576),
    [anon_sym_ATescaping] = ACTIONS(2576),
    [anon_sym_ATautoclosure] = ACTIONS(2576),
    [anon_sym_weak] = ACTIONS(2576),
    [anon_sym_unowned] = ACTIONS(2578),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2576),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2576),
    [anon_sym_borrowing] = ACTIONS(2576),
    [anon_sym_consuming] = ACTIONS(2576),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2576),
    [sym__explicit_semi] = ACTIONS(2576),
    [sym__dot_custom] = ACTIONS(2576),
    [sym__conjunction_operator_custom] = ACTIONS(2678),
    [sym__disjunction_operator_custom] = ACTIONS(2680),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2682),
    [sym__eq_custom] = ACTIONS(2576),
    [sym__eq_eq_custom] = ACTIONS(2656),
    [sym__plus_then_ws] = ACTIONS(2684),
    [sym__minus_then_ws] = ACTIONS(2684),
    [sym__bang_custom] = ACTIONS(2686),
    [sym_default_keyword] = ACTIONS(2576),
    [sym_where_keyword] = ACTIONS(2576),
    [sym__as_custom] = ACTIONS(2576),
    [sym__as_quest_custom] = ACTIONS(2576),
    [sym__as_bang_custom] = ACTIONS(2576),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [651] = {
    [sym__quest] = STATE(460),
    [sym__immediate_quest] = STATE(1213),
    [sym__range_operator] = STATE(417),
    [sym_custom_operator] = STATE(403),
    [sym_navigation_suffix] = STATE(1188),
    [sym_call_suffix] = STATE(1189),
    [sym__fn_call_lambda_arguments] = STATE(1190),
    [sym_value_arguments] = STATE(1045),
    [sym_expr_hack_at_ternary_binary_call_suffix] = STATE(1171),
    [sym_lambda_literal] = STATE(870),
    [sym__equality_operator] = STATE(402),
    [sym__comparison_operator] = STATE(400),
    [sym__three_dot_operator] = STATE(621),
    [sym__open_ended_range_operator] = STATE(417),
    [sym__is_operator] = STATE(3873),
    [sym__additive_operator] = STATE(533),
    [sym__multiplicative_operator] = STATE(534),
    [sym_as_operator] = STATE(3874),
    [sym__bitwise_binary_operator] = STATE(388),
    [sym__postfix_unary_operator] = STATE(1242),
    [sym__eq_eq] = STATE(402),
    [sym__dot] = STATE(4725),
    [sym__conjunction_operator] = STATE(381),
    [sym__disjunction_operator] = STATE(377),
    [sym__nil_coalescing_operator] = STATE(376),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(1242),
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(2494),
    [anon_sym_package] = ACTIONS(2494),
    [anon_sym_COMMA] = ACTIONS(2494),
    [anon_sym_LPAREN] = ACTIONS(2690),
    [anon_sym_LBRACK] = ACTIONS(2692),
    [anon_sym_QMARK] = ACTIONS(2500),
    [anon_sym_QMARK2] = ACTIONS(2696),
    [anon_sym_AMP] = ACTIONS(2698),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(2700),
    [anon_sym_GT] = ACTIONS(2700),
    [anon_sym_LBRACE] = ACTIONS(2494),
    [anon_sym_CARET_LBRACE] = ACTIONS(2494),
    [anon_sym_RBRACE] = ACTIONS(2494),
    [anon_sym_case] = ACTIONS(2494),
    [anon_sym_fallthrough] = ACTIONS(2494),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(2706),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2708),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2708),
    [anon_sym_LT_EQ] = ACTIONS(2710),
    [anon_sym_GT_EQ] = ACTIONS(2710),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(355),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2712),
    [anon_sym_is] = ACTIONS(2714),
    [anon_sym_PLUS] = ACTIONS(2716),
    [anon_sym_DASH] = ACTIONS(2716),
    [anon_sym_STAR] = ACTIONS(2718),
    [anon_sym_SLASH] = ACTIONS(2718),
    [anon_sym_PERCENT] = ACTIONS(2718),
    [anon_sym_PLUS_PLUS] = ACTIONS(2720),
    [anon_sym_DASH_DASH] = ACTIONS(2720),
    [anon_sym_PIPE] = ACTIONS(2698),
    [anon_sym_CARET] = ACTIONS(2722),
    [anon_sym_LT_LT] = ACTIONS(2698),
    [anon_sym_GT_GT] = ACTIONS(2698),
    [anon_sym_class] = ACTIONS(2494),
    [anon_sym_BANG2] = ACTIONS(2724),
    [anon_sym_prefix] = ACTIONS(2494),
    [anon_sym_infix] = ACTIONS(2494),
    [anon_sym_postfix] = ACTIONS(2494),
    [anon_sym_AT] = ACTIONS(2500),
    [anon_sym_override] = ACTIONS(2494),
    [anon_sym_convenience] = ACTIONS(2494),
    [anon_sym_required] = ACTIONS(2494),
    [anon_sym_nonisolated] = ACTIONS(2494),
    [anon_sym_public] = ACTIONS(2494),
    [anon_sym_private] = ACTIONS(2494),
    [anon_sym_internal] = ACTIONS(2494),
    [anon_sym_fileprivate] = ACTIONS(2494),
    [anon_sym_open] = ACTIONS(2494),
    [anon_sym_mutating] = ACTIONS(2494),
    [anon_sym_nonmutating] = ACTIONS(2494),
    [anon_sym_static] = ACTIONS(2494),
    [anon_sym_dynamic] = ACTIONS(2494),
    [anon_sym_optional] = ACTIONS(2494),
    [anon_sym_distributed] = ACTIONS(2494),
    [anon_sym_final] = ACTIONS(2494),
    [anon_sym_inout] = ACTIONS(2494),
    [anon_sym_ATescaping] = ACTIONS(2494),
    [anon_sym_ATautoclosure] = ACTIONS(2494),
    [anon_sym_weak] = ACTIONS(2494),
    [anon_sym_unowned] = ACTIONS(2500),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2494),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2494),
    [anon_sym_borrowing] = ACTIONS(2494),
    [anon_sym_consuming] = ACTIONS(2494),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2494),
    [sym__explicit_semi] = ACTIONS(2494),
    [sym__dot_custom] = ACTIONS(2726),
    [sym__conjunction_operator_custom] = ACTIONS(2728),
    [sym__disjunction_operator_custom] = ACTIONS(2730),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2732),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(2708),
    [sym__plus_then_ws] = ACTIONS(2734),
    [sym__minus_then_ws] = ACTIONS(2734),
    [sym__bang_custom] = ACTIONS(2736),
    [sym_default_keyword] = ACTIONS(2494),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [652] = {
    [sym__quest] = STATE(520),
    [sym__immediate_quest] = STATE(1070),
    [sym__range_operator] = STATE(422),
    [sym_custom_operator] = STATE(378),
    [sym_navigation_suffix] = STATE(1067),
    [sym_call_suffix] = STATE(1088),
    [sym__fn_call_lambda_arguments] = STATE(1154),
    [sym_value_arguments] = STATE(1008),
    [sym_lambda_literal] = STATE(847),
    [sym__equality_operator] = STATE(288),
    [sym__comparison_operator] = STATE(307),
    [sym__three_dot_operator] = STATE(614),
    [sym__open_ended_range_operator] = STATE(422),
    [sym__is_operator] = STATE(3673),
    [sym__additive_operator] = STATE(472),
    [sym__multiplicative_operator] = STATE(562),
    [sym_as_operator] = STATE(3672),
    [sym__bitwise_binary_operator] = STATE(332),
    [sym__postfix_unary_operator] = STATE(1142),
    [sym__eq_eq] = STATE(288),
    [sym__dot] = STATE(4723),
    [sym__conjunction_operator] = STATE(365),
    [sym__disjunction_operator] = STATE(374),
    [sym__nil_coalescing_operator] = STATE(386),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(1142),
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(2584),
    [anon_sym_package] = ACTIONS(2584),
    [anon_sym_COMMA] = ACTIONS(2584),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_LBRACK] = ACTIONS(2584),
    [anon_sym_QMARK] = ACTIONS(2586),
    [anon_sym_QMARK2] = ACTIONS(2584),
    [anon_sym_AMP] = ACTIONS(2584),
    [aux_sym_custom_operator_token1] = ACTIONS(2584),
    [anon_sym_LT] = ACTIONS(2586),
    [anon_sym_GT] = ACTIONS(2586),
    [anon_sym_LBRACE] = ACTIONS(2584),
    [anon_sym_CARET_LBRACE] = ACTIONS(2584),
    [anon_sym_RBRACE] = ACTIONS(2584),
    [anon_sym_case] = ACTIONS(2584),
    [anon_sym_fallthrough] = ACTIONS(2584),
    [anon_sym_PLUS_EQ] = ACTIONS(2584),
    [anon_sym_DASH_EQ] = ACTIONS(2584),
    [anon_sym_STAR_EQ] = ACTIONS(2584),
    [anon_sym_SLASH_EQ] = ACTIONS(2584),
    [anon_sym_PERCENT_EQ] = ACTIONS(2584),
    [anon_sym_BANG_EQ] = ACTIONS(2586),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2584),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2584),
    [anon_sym_LT_EQ] = ACTIONS(2584),
    [anon_sym_GT_EQ] = ACTIONS(2584),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2584),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2584),
    [anon_sym_is] = ACTIONS(2584),
    [anon_sym_PLUS] = ACTIONS(2586),
    [anon_sym_DASH] = ACTIONS(2586),
    [anon_sym_STAR] = ACTIONS(2666),
    [anon_sym_SLASH] = ACTIONS(2666),
    [anon_sym_PERCENT] = ACTIONS(2666),
    [anon_sym_PLUS_PLUS] = ACTIONS(2584),
    [anon_sym_DASH_DASH] = ACTIONS(2584),
    [anon_sym_PIPE] = ACTIONS(2584),
    [anon_sym_CARET] = ACTIONS(2586),
    [anon_sym_LT_LT] = ACTIONS(2584),
    [anon_sym_GT_GT] = ACTIONS(2584),
    [anon_sym_class] = ACTIONS(2584),
    [anon_sym_BANG2] = ACTIONS(2586),
    [anon_sym_prefix] = ACTIONS(2584),
    [anon_sym_infix] = ACTIONS(2584),
    [anon_sym_postfix] = ACTIONS(2584),
    [anon_sym_AT] = ACTIONS(2586),
    [anon_sym_override] = ACTIONS(2584),
    [anon_sym_convenience] = ACTIONS(2584),
    [anon_sym_required] = ACTIONS(2584),
    [anon_sym_nonisolated] = ACTIONS(2584),
    [anon_sym_public] = ACTIONS(2584),
    [anon_sym_private] = ACTIONS(2584),
    [anon_sym_internal] = ACTIONS(2584),
    [anon_sym_fileprivate] = ACTIONS(2584),
    [anon_sym_open] = ACTIONS(2584),
    [anon_sym_mutating] = ACTIONS(2584),
    [anon_sym_nonmutating] = ACTIONS(2584),
    [anon_sym_static] = ACTIONS(2584),
    [anon_sym_dynamic] = ACTIONS(2584),
    [anon_sym_optional] = ACTIONS(2584),
    [anon_sym_distributed] = ACTIONS(2584),
    [anon_sym_final] = ACTIONS(2584),
    [anon_sym_inout] = ACTIONS(2584),
    [anon_sym_ATescaping] = ACTIONS(2584),
    [anon_sym_ATautoclosure] = ACTIONS(2584),
    [anon_sym_weak] = ACTIONS(2584),
    [anon_sym_unowned] = ACTIONS(2586),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2584),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2584),
    [anon_sym_borrowing] = ACTIONS(2584),
    [anon_sym_consuming] = ACTIONS(2584),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2584),
    [sym__explicit_semi] = ACTIONS(2584),
    [sym__dot_custom] = ACTIONS(2584),
    [sym__conjunction_operator_custom] = ACTIONS(2584),
    [sym__disjunction_operator_custom] = ACTIONS(2584),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2584),
    [sym__eq_custom] = ACTIONS(2584),
    [sym__eq_eq_custom] = ACTIONS(2584),
    [sym__plus_then_ws] = ACTIONS(2584),
    [sym__minus_then_ws] = ACTIONS(2584),
    [sym__bang_custom] = ACTIONS(2584),
    [sym_default_keyword] = ACTIONS(2584),
    [sym_where_keyword] = ACTIONS(2584),
    [sym__as_custom] = ACTIONS(2584),
    [sym__as_quest_custom] = ACTIONS(2584),
    [sym__as_bang_custom] = ACTIONS(2584),
    [sym__custom_operator] = ACTIONS(2584),
  },
  [653] = {
    [sym__quest] = STATE(520),
    [sym__immediate_quest] = STATE(1070),
    [sym__range_operator] = STATE(422),
    [sym_custom_operator] = STATE(378),
    [sym_navigation_suffix] = STATE(1067),
    [sym_call_suffix] = STATE(1088),
    [sym__fn_call_lambda_arguments] = STATE(1154),
    [sym_value_arguments] = STATE(1008),
    [sym_lambda_literal] = STATE(847),
    [sym__equality_operator] = STATE(288),
    [sym__comparison_operator] = STATE(307),
    [sym__three_dot_operator] = STATE(614),
    [sym__open_ended_range_operator] = STATE(422),
    [sym__is_operator] = STATE(3673),
    [sym__additive_operator] = STATE(472),
    [sym__multiplicative_operator] = STATE(562),
    [sym_as_operator] = STATE(3672),
    [sym__bitwise_binary_operator] = STATE(332),
    [sym__postfix_unary_operator] = STATE(1142),
    [sym__eq_eq] = STATE(288),
    [sym__dot] = STATE(4723),
    [sym__conjunction_operator] = STATE(365),
    [sym__disjunction_operator] = STATE(374),
    [sym__nil_coalescing_operator] = STATE(386),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(1142),
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(2546),
    [anon_sym_package] = ACTIONS(2546),
    [anon_sym_COMMA] = ACTIONS(2546),
    [anon_sym_LPAREN] = ACTIONS(2546),
    [anon_sym_LBRACK] = ACTIONS(2546),
    [anon_sym_QMARK] = ACTIONS(2548),
    [anon_sym_QMARK2] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2546),
    [aux_sym_custom_operator_token1] = ACTIONS(2546),
    [anon_sym_LT] = ACTIONS(2548),
    [anon_sym_GT] = ACTIONS(2548),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_CARET_LBRACE] = ACTIONS(2546),
    [anon_sym_RBRACE] = ACTIONS(2546),
    [anon_sym_case] = ACTIONS(2546),
    [anon_sym_fallthrough] = ACTIONS(2546),
    [anon_sym_PLUS_EQ] = ACTIONS(2546),
    [anon_sym_DASH_EQ] = ACTIONS(2546),
    [anon_sym_STAR_EQ] = ACTIONS(2546),
    [anon_sym_SLASH_EQ] = ACTIONS(2546),
    [anon_sym_PERCENT_EQ] = ACTIONS(2546),
    [anon_sym_BANG_EQ] = ACTIONS(2548),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2546),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2546),
    [anon_sym_LT_EQ] = ACTIONS(2546),
    [anon_sym_GT_EQ] = ACTIONS(2546),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2546),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2546),
    [anon_sym_is] = ACTIONS(2546),
    [anon_sym_PLUS] = ACTIONS(2548),
    [anon_sym_DASH] = ACTIONS(2548),
    [anon_sym_STAR] = ACTIONS(2548),
    [anon_sym_SLASH] = ACTIONS(2548),
    [anon_sym_PERCENT] = ACTIONS(2548),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PIPE] = ACTIONS(2546),
    [anon_sym_CARET] = ACTIONS(2548),
    [anon_sym_LT_LT] = ACTIONS(2546),
    [anon_sym_GT_GT] = ACTIONS(2546),
    [anon_sym_class] = ACTIONS(2546),
    [anon_sym_BANG2] = ACTIONS(2548),
    [anon_sym_prefix] = ACTIONS(2546),
    [anon_sym_infix] = ACTIONS(2546),
    [anon_sym_postfix] = ACTIONS(2546),
    [anon_sym_AT] = ACTIONS(2548),
    [anon_sym_override] = ACTIONS(2546),
    [anon_sym_convenience] = ACTIONS(2546),
    [anon_sym_required] = ACTIONS(2546),
    [anon_sym_nonisolated] = ACTIONS(2546),
    [anon_sym_public] = ACTIONS(2546),
    [anon_sym_private] = ACTIONS(2546),
    [anon_sym_internal] = ACTIONS(2546),
    [anon_sym_fileprivate] = ACTIONS(2546),
    [anon_sym_open] = ACTIONS(2546),
    [anon_sym_mutating] = ACTIONS(2546),
    [anon_sym_nonmutating] = ACTIONS(2546),
    [anon_sym_static] = ACTIONS(2546),
    [anon_sym_dynamic] = ACTIONS(2546),
    [anon_sym_optional] = ACTIONS(2546),
    [anon_sym_distributed] = ACTIONS(2546),
    [anon_sym_final] = ACTIONS(2546),
    [anon_sym_inout] = ACTIONS(2546),
    [anon_sym_ATescaping] = ACTIONS(2546),
    [anon_sym_ATautoclosure] = ACTIONS(2546),
    [anon_sym_weak] = ACTIONS(2546),
    [anon_sym_unowned] = ACTIONS(2548),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2546),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2546),
    [anon_sym_borrowing] = ACTIONS(2546),
    [anon_sym_consuming] = ACTIONS(2546),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2546),
    [sym__explicit_semi] = ACTIONS(2546),
    [sym__dot_custom] = ACTIONS(2546),
    [sym__conjunction_operator_custom] = ACTIONS(2546),
    [sym__disjunction_operator_custom] = ACTIONS(2546),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2546),
    [sym__eq_custom] = ACTIONS(2546),
    [sym__eq_eq_custom] = ACTIONS(2546),
    [sym__plus_then_ws] = ACTIONS(2546),
    [sym__minus_then_ws] = ACTIONS(2546),
    [sym__bang_custom] = ACTIONS(2546),
    [sym_default_keyword] = ACTIONS(2546),
    [sym_where_keyword] = ACTIONS(2546),
    [sym__as_custom] = ACTIONS(2546),
    [sym__as_quest_custom] = ACTIONS(2546),
    [sym__as_bang_custom] = ACTIONS(2546),
    [sym__custom_operator] = ACTIONS(2546),
  },
  [654] = {
    [sym__quest] = STATE(520),
    [sym__immediate_quest] = STATE(1070),
    [sym__range_operator] = STATE(422),
    [sym_custom_operator] = STATE(378),
    [sym_navigation_suffix] = STATE(1067),
    [sym_call_suffix] = STATE(1088),
    [sym__fn_call_lambda_arguments] = STATE(1154),
    [sym_value_arguments] = STATE(1008),
    [sym_lambda_literal] = STATE(847),
    [sym__equality_operator] = STATE(288),
    [sym__comparison_operator] = STATE(307),
    [sym__three_dot_operator] = STATE(614),
    [sym__open_ended_range_operator] = STATE(422),
    [sym__is_operator] = STATE(3673),
    [sym__additive_operator] = STATE(472),
    [sym__multiplicative_operator] = STATE(562),
    [sym_as_operator] = STATE(3672),
    [sym__bitwise_binary_operator] = STATE(332),
    [sym__postfix_unary_operator] = STATE(1142),
    [sym__eq_eq] = STATE(288),
    [sym__dot] = STATE(4723),
    [sym__conjunction_operator] = STATE(365),
    [sym__disjunction_operator] = STATE(374),
    [sym__nil_coalescing_operator] = STATE(386),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(1142),
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(2580),
    [anon_sym_package] = ACTIONS(2580),
    [anon_sym_COMMA] = ACTIONS(2580),
    [anon_sym_LPAREN] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2580),
    [anon_sym_QMARK] = ACTIONS(2582),
    [anon_sym_QMARK2] = ACTIONS(2580),
    [anon_sym_AMP] = ACTIONS(2580),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(2582),
    [anon_sym_GT] = ACTIONS(2582),
    [anon_sym_LBRACE] = ACTIONS(2580),
    [anon_sym_CARET_LBRACE] = ACTIONS(2580),
    [anon_sym_RBRACE] = ACTIONS(2580),
    [anon_sym_case] = ACTIONS(2580),
    [anon_sym_fallthrough] = ACTIONS(2580),
    [anon_sym_PLUS_EQ] = ACTIONS(2580),
    [anon_sym_DASH_EQ] = ACTIONS(2580),
    [anon_sym_STAR_EQ] = ACTIONS(2580),
    [anon_sym_SLASH_EQ] = ACTIONS(2580),
    [anon_sym_PERCENT_EQ] = ACTIONS(2580),
    [anon_sym_BANG_EQ] = ACTIONS(2582),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2580),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2580),
    [anon_sym_LT_EQ] = ACTIONS(2580),
    [anon_sym_GT_EQ] = ACTIONS(2580),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2580),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2580),
    [anon_sym_is] = ACTIONS(2580),
    [anon_sym_PLUS] = ACTIONS(2664),
    [anon_sym_DASH] = ACTIONS(2664),
    [anon_sym_STAR] = ACTIONS(2666),
    [anon_sym_SLASH] = ACTIONS(2666),
    [anon_sym_PERCENT] = ACTIONS(2666),
    [anon_sym_PLUS_PLUS] = ACTIONS(2580),
    [anon_sym_DASH_DASH] = ACTIONS(2580),
    [anon_sym_PIPE] = ACTIONS(2580),
    [anon_sym_CARET] = ACTIONS(2582),
    [anon_sym_LT_LT] = ACTIONS(2580),
    [anon_sym_GT_GT] = ACTIONS(2580),
    [anon_sym_class] = ACTIONS(2580),
    [anon_sym_BANG2] = ACTIONS(2582),
    [anon_sym_prefix] = ACTIONS(2580),
    [anon_sym_infix] = ACTIONS(2580),
    [anon_sym_postfix] = ACTIONS(2580),
    [anon_sym_AT] = ACTIONS(2582),
    [anon_sym_override] = ACTIONS(2580),
    [anon_sym_convenience] = ACTIONS(2580),
    [anon_sym_required] = ACTIONS(2580),
    [anon_sym_nonisolated] = ACTIONS(2580),
    [anon_sym_public] = ACTIONS(2580),
    [anon_sym_private] = ACTIONS(2580),
    [anon_sym_internal] = ACTIONS(2580),
    [anon_sym_fileprivate] = ACTIONS(2580),
    [anon_sym_open] = ACTIONS(2580),
    [anon_sym_mutating] = ACTIONS(2580),
    [anon_sym_nonmutating] = ACTIONS(2580),
    [anon_sym_static] = ACTIONS(2580),
    [anon_sym_dynamic] = ACTIONS(2580),
    [anon_sym_optional] = ACTIONS(2580),
    [anon_sym_distributed] = ACTIONS(2580),
    [anon_sym_final] = ACTIONS(2580),
    [anon_sym_inout] = ACTIONS(2580),
    [anon_sym_ATescaping] = ACTIONS(2580),
    [anon_sym_ATautoclosure] = ACTIONS(2580),
    [anon_sym_weak] = ACTIONS(2580),
    [anon_sym_unowned] = ACTIONS(2582),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2580),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2580),
    [anon_sym_borrowing] = ACTIONS(2580),
    [anon_sym_consuming] = ACTIONS(2580),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2580),
    [sym__explicit_semi] = ACTIONS(2580),
    [sym__dot_custom] = ACTIONS(2580),
    [sym__conjunction_operator_custom] = ACTIONS(2580),
    [sym__disjunction_operator_custom] = ACTIONS(2580),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2682),
    [sym__eq_custom] = ACTIONS(2580),
    [sym__eq_eq_custom] = ACTIONS(2580),
    [sym__plus_then_ws] = ACTIONS(2684),
    [sym__minus_then_ws] = ACTIONS(2684),
    [sym__bang_custom] = ACTIONS(2580),
    [sym_default_keyword] = ACTIONS(2580),
    [sym_where_keyword] = ACTIONS(2580),
    [sym__as_custom] = ACTIONS(2580),
    [sym__as_quest_custom] = ACTIONS(2580),
    [sym__as_bang_custom] = ACTIONS(2580),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [655] = {
    [sym__quest] = STATE(520),
    [sym__immediate_quest] = STATE(1070),
    [sym__range_operator] = STATE(422),
    [sym_custom_operator] = STATE(378),
    [sym_navigation_suffix] = STATE(1067),
    [sym_call_suffix] = STATE(1088),
    [sym__fn_call_lambda_arguments] = STATE(1154),
    [sym_value_arguments] = STATE(1008),
    [sym_lambda_literal] = STATE(847),
    [sym__equality_operator] = STATE(288),
    [sym__comparison_operator] = STATE(307),
    [sym__three_dot_operator] = STATE(614),
    [sym__open_ended_range_operator] = STATE(422),
    [sym__is_operator] = STATE(3673),
    [sym__additive_operator] = STATE(472),
    [sym__multiplicative_operator] = STATE(562),
    [sym_as_operator] = STATE(3672),
    [sym__bitwise_binary_operator] = STATE(332),
    [sym__postfix_unary_operator] = STATE(1142),
    [sym__eq_eq] = STATE(288),
    [sym__dot] = STATE(4723),
    [sym__conjunction_operator] = STATE(365),
    [sym__disjunction_operator] = STATE(374),
    [sym__nil_coalescing_operator] = STATE(386),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(1142),
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(2564),
    [anon_sym_package] = ACTIONS(2564),
    [anon_sym_COMMA] = ACTIONS(2564),
    [anon_sym_LPAREN] = ACTIONS(2564),
    [anon_sym_LBRACK] = ACTIONS(2564),
    [anon_sym_QMARK] = ACTIONS(2566),
    [anon_sym_QMARK2] = ACTIONS(2564),
    [anon_sym_AMP] = ACTIONS(2564),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(2566),
    [anon_sym_GT] = ACTIONS(2566),
    [anon_sym_LBRACE] = ACTIONS(2564),
    [anon_sym_CARET_LBRACE] = ACTIONS(2564),
    [anon_sym_RBRACE] = ACTIONS(2564),
    [anon_sym_case] = ACTIONS(2564),
    [anon_sym_fallthrough] = ACTIONS(2564),
    [anon_sym_PLUS_EQ] = ACTIONS(2564),
    [anon_sym_DASH_EQ] = ACTIONS(2564),
    [anon_sym_STAR_EQ] = ACTIONS(2564),
    [anon_sym_SLASH_EQ] = ACTIONS(2564),
    [anon_sym_PERCENT_EQ] = ACTIONS(2564),
    [anon_sym_BANG_EQ] = ACTIONS(2654),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2656),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2656),
    [anon_sym_LT_EQ] = ACTIONS(2564),
    [anon_sym_GT_EQ] = ACTIONS(2564),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2564),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2564),
    [anon_sym_is] = ACTIONS(2662),
    [anon_sym_PLUS] = ACTIONS(2664),
    [anon_sym_DASH] = ACTIONS(2664),
    [anon_sym_STAR] = ACTIONS(2666),
    [anon_sym_SLASH] = ACTIONS(2666),
    [anon_sym_PERCENT] = ACTIONS(2666),
    [anon_sym_PLUS_PLUS] = ACTIONS(2668),
    [anon_sym_DASH_DASH] = ACTIONS(2668),
    [anon_sym_PIPE] = ACTIONS(2564),
    [anon_sym_CARET] = ACTIONS(2566),
    [anon_sym_LT_LT] = ACTIONS(2564),
    [anon_sym_GT_GT] = ACTIONS(2564),
    [anon_sym_class] = ACTIONS(2564),
    [anon_sym_BANG2] = ACTIONS(2672),
    [anon_sym_prefix] = ACTIONS(2564),
    [anon_sym_infix] = ACTIONS(2564),
    [anon_sym_postfix] = ACTIONS(2564),
    [anon_sym_AT] = ACTIONS(2566),
    [anon_sym_override] = ACTIONS(2564),
    [anon_sym_convenience] = ACTIONS(2564),
    [anon_sym_required] = ACTIONS(2564),
    [anon_sym_nonisolated] = ACTIONS(2564),
    [anon_sym_public] = ACTIONS(2564),
    [anon_sym_private] = ACTIONS(2564),
    [anon_sym_internal] = ACTIONS(2564),
    [anon_sym_fileprivate] = ACTIONS(2564),
    [anon_sym_open] = ACTIONS(2564),
    [anon_sym_mutating] = ACTIONS(2564),
    [anon_sym_nonmutating] = ACTIONS(2564),
    [anon_sym_static] = ACTIONS(2564),
    [anon_sym_dynamic] = ACTIONS(2564),
    [anon_sym_optional] = ACTIONS(2564),
    [anon_sym_distributed] = ACTIONS(2564),
    [anon_sym_final] = ACTIONS(2564),
    [anon_sym_inout] = ACTIONS(2564),
    [anon_sym_ATescaping] = ACTIONS(2564),
    [anon_sym_ATautoclosure] = ACTIONS(2564),
    [anon_sym_weak] = ACTIONS(2564),
    [anon_sym_unowned] = ACTIONS(2566),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2564),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2564),
    [anon_sym_borrowing] = ACTIONS(2564),
    [anon_sym_consuming] = ACTIONS(2564),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2564),
    [sym__explicit_semi] = ACTIONS(2564),
    [sym__dot_custom] = ACTIONS(2564),
    [sym__conjunction_operator_custom] = ACTIONS(2678),
    [sym__disjunction_operator_custom] = ACTIONS(2680),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2682),
    [sym__eq_custom] = ACTIONS(2564),
    [sym__eq_eq_custom] = ACTIONS(2656),
    [sym__plus_then_ws] = ACTIONS(2684),
    [sym__minus_then_ws] = ACTIONS(2684),
    [sym__bang_custom] = ACTIONS(2686),
    [sym_default_keyword] = ACTIONS(2564),
    [sym_where_keyword] = ACTIONS(2564),
    [sym__as_custom] = ACTIONS(2564),
    [sym__as_quest_custom] = ACTIONS(2564),
    [sym__as_bang_custom] = ACTIONS(2564),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [656] = {
    [sym__quest] = STATE(520),
    [sym__immediate_quest] = STATE(1070),
    [sym__range_operator] = STATE(422),
    [sym_custom_operator] = STATE(378),
    [sym_navigation_suffix] = STATE(1067),
    [sym_call_suffix] = STATE(1088),
    [sym__fn_call_lambda_arguments] = STATE(1154),
    [sym_value_arguments] = STATE(1008),
    [sym_lambda_literal] = STATE(847),
    [sym__equality_operator] = STATE(288),
    [sym__comparison_operator] = STATE(307),
    [sym__three_dot_operator] = STATE(614),
    [sym__open_ended_range_operator] = STATE(422),
    [sym__is_operator] = STATE(3673),
    [sym__additive_operator] = STATE(472),
    [sym__multiplicative_operator] = STATE(562),
    [sym_as_operator] = STATE(3672),
    [sym__bitwise_binary_operator] = STATE(332),
    [sym__postfix_unary_operator] = STATE(1142),
    [sym__eq_eq] = STATE(288),
    [sym__dot] = STATE(4723),
    [sym__conjunction_operator] = STATE(365),
    [sym__disjunction_operator] = STATE(374),
    [sym__nil_coalescing_operator] = STATE(386),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(1142),
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(2588),
    [anon_sym_package] = ACTIONS(2588),
    [anon_sym_COMMA] = ACTIONS(2588),
    [anon_sym_LPAREN] = ACTIONS(2640),
    [anon_sym_LBRACK] = ACTIONS(2642),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_QMARK2] = ACTIONS(2646),
    [anon_sym_AMP] = ACTIONS(2648),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(2650),
    [anon_sym_GT] = ACTIONS(2650),
    [anon_sym_LBRACE] = ACTIONS(2652),
    [anon_sym_CARET_LBRACE] = ACTIONS(2652),
    [anon_sym_RBRACE] = ACTIONS(2588),
    [anon_sym_case] = ACTIONS(2588),
    [anon_sym_fallthrough] = ACTIONS(2588),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(2654),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2656),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2656),
    [anon_sym_LT_EQ] = ACTIONS(2658),
    [anon_sym_GT_EQ] = ACTIONS(2658),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(725),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2660),
    [anon_sym_is] = ACTIONS(2662),
    [anon_sym_PLUS] = ACTIONS(2664),
    [anon_sym_DASH] = ACTIONS(2664),
    [anon_sym_STAR] = ACTIONS(2666),
    [anon_sym_SLASH] = ACTIONS(2666),
    [anon_sym_PERCENT] = ACTIONS(2666),
    [anon_sym_PLUS_PLUS] = ACTIONS(2668),
    [anon_sym_DASH_DASH] = ACTIONS(2668),
    [anon_sym_PIPE] = ACTIONS(2648),
    [anon_sym_CARET] = ACTIONS(2670),
    [anon_sym_LT_LT] = ACTIONS(2648),
    [anon_sym_GT_GT] = ACTIONS(2648),
    [anon_sym_class] = ACTIONS(2588),
    [anon_sym_BANG2] = ACTIONS(2672),
    [anon_sym_prefix] = ACTIONS(2588),
    [anon_sym_infix] = ACTIONS(2588),
    [anon_sym_postfix] = ACTIONS(2588),
    [anon_sym_AT] = ACTIONS(2590),
    [anon_sym_override] = ACTIONS(2588),
    [anon_sym_convenience] = ACTIONS(2588),
    [anon_sym_required] = ACTIONS(2588),
    [anon_sym_nonisolated] = ACTIONS(2588),
    [anon_sym_public] = ACTIONS(2588),
    [anon_sym_private] = ACTIONS(2588),
    [anon_sym_internal] = ACTIONS(2588),
    [anon_sym_fileprivate] = ACTIONS(2588),
    [anon_sym_open] = ACTIONS(2588),
    [anon_sym_mutating] = ACTIONS(2588),
    [anon_sym_nonmutating] = ACTIONS(2588),
    [anon_sym_static] = ACTIONS(2588),
    [anon_sym_dynamic] = ACTIONS(2588),
    [anon_sym_optional] = ACTIONS(2588),
    [anon_sym_distributed] = ACTIONS(2588),
    [anon_sym_final] = ACTIONS(2588),
    [anon_sym_inout] = ACTIONS(2588),
    [anon_sym_ATescaping] = ACTIONS(2588),
    [anon_sym_ATautoclosure] = ACTIONS(2588),
    [anon_sym_weak] = ACTIONS(2588),
    [anon_sym_unowned] = ACTIONS(2590),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2588),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2588),
    [anon_sym_borrowing] = ACTIONS(2588),
    [anon_sym_consuming] = ACTIONS(2588),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2588),
    [sym__explicit_semi] = ACTIONS(2588),
    [sym__dot_custom] = ACTIONS(2676),
    [sym__conjunction_operator_custom] = ACTIONS(2678),
    [sym__disjunction_operator_custom] = ACTIONS(2680),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2682),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(2656),
    [sym__plus_then_ws] = ACTIONS(2684),
    [sym__minus_then_ws] = ACTIONS(2684),
    [sym__bang_custom] = ACTIONS(2686),
    [sym_default_keyword] = ACTIONS(2588),
    [sym_where_keyword] = ACTIONS(2588),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [657] = {
    [sym__quest] = STATE(460),
    [sym__immediate_quest] = STATE(1213),
    [sym__range_operator] = STATE(417),
    [sym_custom_operator] = STATE(403),
    [sym_navigation_suffix] = STATE(1188),
    [sym_call_suffix] = STATE(1189),
    [sym__fn_call_lambda_arguments] = STATE(1190),
    [sym_value_arguments] = STATE(1029),
    [sym_lambda_literal] = STATE(870),
    [sym__equality_operator] = STATE(402),
    [sym__comparison_operator] = STATE(400),
    [sym__three_dot_operator] = STATE(621),
    [sym__open_ended_range_operator] = STATE(417),
    [sym__is_operator] = STATE(3873),
    [sym__additive_operator] = STATE(533),
    [sym__multiplicative_operator] = STATE(534),
    [sym_as_operator] = STATE(3874),
    [sym__bitwise_binary_operator] = STATE(388),
    [sym__postfix_unary_operator] = STATE(1242),
    [sym__eq_eq] = STATE(402),
    [sym__dot] = STATE(4725),
    [sym__conjunction_operator] = STATE(381),
    [sym__disjunction_operator] = STATE(377),
    [sym__nil_coalescing_operator] = STATE(376),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(1242),
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(2546),
    [anon_sym_package] = ACTIONS(2546),
    [anon_sym_COMMA] = ACTIONS(2546),
    [anon_sym_LPAREN] = ACTIONS(2546),
    [anon_sym_LBRACK] = ACTIONS(2546),
    [anon_sym_QMARK] = ACTIONS(2548),
    [anon_sym_QMARK2] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2546),
    [aux_sym_custom_operator_token1] = ACTIONS(2546),
    [anon_sym_LT] = ACTIONS(2548),
    [anon_sym_GT] = ACTIONS(2548),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_CARET_LBRACE] = ACTIONS(2546),
    [anon_sym_RBRACE] = ACTIONS(2546),
    [anon_sym_case] = ACTIONS(2546),
    [anon_sym_fallthrough] = ACTIONS(2546),
    [anon_sym_PLUS_EQ] = ACTIONS(2546),
    [anon_sym_DASH_EQ] = ACTIONS(2546),
    [anon_sym_STAR_EQ] = ACTIONS(2546),
    [anon_sym_SLASH_EQ] = ACTIONS(2546),
    [anon_sym_PERCENT_EQ] = ACTIONS(2546),
    [anon_sym_BANG_EQ] = ACTIONS(2548),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2546),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2546),
    [anon_sym_LT_EQ] = ACTIONS(2546),
    [anon_sym_GT_EQ] = ACTIONS(2546),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2546),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2546),
    [anon_sym_is] = ACTIONS(2546),
    [anon_sym_PLUS] = ACTIONS(2548),
    [anon_sym_DASH] = ACTIONS(2548),
    [anon_sym_STAR] = ACTIONS(2548),
    [anon_sym_SLASH] = ACTIONS(2548),
    [anon_sym_PERCENT] = ACTIONS(2548),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PIPE] = ACTIONS(2546),
    [anon_sym_CARET] = ACTIONS(2548),
    [anon_sym_LT_LT] = ACTIONS(2546),
    [anon_sym_GT_GT] = ACTIONS(2546),
    [anon_sym_class] = ACTIONS(2546),
    [anon_sym_BANG2] = ACTIONS(2548),
    [anon_sym_prefix] = ACTIONS(2546),
    [anon_sym_infix] = ACTIONS(2546),
    [anon_sym_postfix] = ACTIONS(2546),
    [anon_sym_AT] = ACTIONS(2548),
    [anon_sym_override] = ACTIONS(2546),
    [anon_sym_convenience] = ACTIONS(2546),
    [anon_sym_required] = ACTIONS(2546),
    [anon_sym_nonisolated] = ACTIONS(2546),
    [anon_sym_public] = ACTIONS(2546),
    [anon_sym_private] = ACTIONS(2546),
    [anon_sym_internal] = ACTIONS(2546),
    [anon_sym_fileprivate] = ACTIONS(2546),
    [anon_sym_open] = ACTIONS(2546),
    [anon_sym_mutating] = ACTIONS(2546),
    [anon_sym_nonmutating] = ACTIONS(2546),
    [anon_sym_static] = ACTIONS(2546),
    [anon_sym_dynamic] = ACTIONS(2546),
    [anon_sym_optional] = ACTIONS(2546),
    [anon_sym_distributed] = ACTIONS(2546),
    [anon_sym_final] = ACTIONS(2546),
    [anon_sym_inout] = ACTIONS(2546),
    [anon_sym_ATescaping] = ACTIONS(2546),
    [anon_sym_ATautoclosure] = ACTIONS(2546),
    [anon_sym_weak] = ACTIONS(2546),
    [anon_sym_unowned] = ACTIONS(2548),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2546),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2546),
    [anon_sym_borrowing] = ACTIONS(2546),
    [anon_sym_consuming] = ACTIONS(2546),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2546),
    [sym__explicit_semi] = ACTIONS(2546),
    [sym__dot_custom] = ACTIONS(2546),
    [sym__conjunction_operator_custom] = ACTIONS(2546),
    [sym__disjunction_operator_custom] = ACTIONS(2546),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2546),
    [sym__eq_custom] = ACTIONS(2546),
    [sym__eq_eq_custom] = ACTIONS(2546),
    [sym__plus_then_ws] = ACTIONS(2546),
    [sym__minus_then_ws] = ACTIONS(2546),
    [sym__bang_custom] = ACTIONS(2546),
    [sym_default_keyword] = ACTIONS(2546),
    [sym__as_custom] = ACTIONS(2546),
    [sym__as_quest_custom] = ACTIONS(2546),
    [sym__as_bang_custom] = ACTIONS(2546),
    [sym__custom_operator] = ACTIONS(2546),
  },
  [658] = {
    [sym_simple_identifier] = STATE(734),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__simple_user_type] = STATE(731),
    [sym_array_type] = STATE(731),
    [sym_dictionary_type] = STATE(731),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_key_path_expression_repeat1] = STATE(729),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(403),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(403),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_COMMA] = ACTIONS(2738),
    [anon_sym_LPAREN] = ACTIONS(2738),
    [anon_sym_LBRACK] = ACTIONS(2740),
    [anon_sym_DOT] = ACTIONS(2742),
    [anon_sym_QMARK] = ACTIONS(2744),
    [anon_sym_QMARK2] = ACTIONS(2738),
    [anon_sym_AMP] = ACTIONS(2738),
    [aux_sym_custom_operator_token1] = ACTIONS(2738),
    [anon_sym_LT] = ACTIONS(2744),
    [anon_sym_GT] = ACTIONS(2744),
    [anon_sym_LBRACE] = ACTIONS(2738),
    [anon_sym_CARET_LBRACE] = ACTIONS(2738),
    [anon_sym_RBRACE] = ACTIONS(2738),
    [anon_sym_case] = ACTIONS(2744),
    [anon_sym_PLUS_EQ] = ACTIONS(2738),
    [anon_sym_DASH_EQ] = ACTIONS(2738),
    [anon_sym_STAR_EQ] = ACTIONS(2738),
    [anon_sym_SLASH_EQ] = ACTIONS(2738),
    [anon_sym_PERCENT_EQ] = ACTIONS(2738),
    [anon_sym_BANG_EQ] = ACTIONS(2744),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2738),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2738),
    [anon_sym_LT_EQ] = ACTIONS(2738),
    [anon_sym_GT_EQ] = ACTIONS(2738),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2738),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2738),
    [anon_sym_is] = ACTIONS(2744),
    [anon_sym_PLUS] = ACTIONS(2744),
    [anon_sym_DASH] = ACTIONS(2744),
    [anon_sym_STAR] = ACTIONS(2744),
    [anon_sym_SLASH] = ACTIONS(2744),
    [anon_sym_PERCENT] = ACTIONS(2744),
    [anon_sym_PLUS_PLUS] = ACTIONS(2738),
    [anon_sym_DASH_DASH] = ACTIONS(2738),
    [anon_sym_PIPE] = ACTIONS(2738),
    [anon_sym_CARET] = ACTIONS(2744),
    [anon_sym_LT_LT] = ACTIONS(2738),
    [anon_sym_GT_GT] = ACTIONS(2738),
    [anon_sym_import] = ACTIONS(2744),
    [anon_sym_typealias] = ACTIONS(2744),
    [anon_sym_struct] = ACTIONS(2744),
    [anon_sym_class] = ACTIONS(2744),
    [anon_sym_enum] = ACTIONS(2744),
    [anon_sym_protocol] = ACTIONS(2744),
    [anon_sym_let] = ACTIONS(2744),
    [anon_sym_var] = ACTIONS(2744),
    [anon_sym_func] = ACTIONS(2744),
    [anon_sym_extension] = ACTIONS(2744),
    [anon_sym_indirect] = ACTIONS(2744),
    [anon_sym_BANG2] = ACTIONS(2744),
    [anon_sym_SEMI] = ACTIONS(2738),
    [anon_sym_init] = ACTIONS(2744),
    [anon_sym_deinit] = ACTIONS(2744),
    [anon_sym_subscript] = ACTIONS(2744),
    [anon_sym_prefix] = ACTIONS(2744),
    [anon_sym_infix] = ACTIONS(2744),
    [anon_sym_postfix] = ACTIONS(2744),
    [anon_sym_precedencegroup] = ACTIONS(2744),
    [anon_sym_associatedtype] = ACTIONS(2744),
    [anon_sym_AT] = ACTIONS(2744),
    [anon_sym_override] = ACTIONS(2744),
    [anon_sym_convenience] = ACTIONS(2744),
    [anon_sym_required] = ACTIONS(2744),
    [anon_sym_nonisolated] = ACTIONS(2744),
    [anon_sym_public] = ACTIONS(2744),
    [anon_sym_private] = ACTIONS(2744),
    [anon_sym_internal] = ACTIONS(2744),
    [anon_sym_fileprivate] = ACTIONS(2744),
    [anon_sym_open] = ACTIONS(2744),
    [anon_sym_mutating] = ACTIONS(2744),
    [anon_sym_nonmutating] = ACTIONS(2744),
    [anon_sym_static] = ACTIONS(2744),
    [anon_sym_dynamic] = ACTIONS(2744),
    [anon_sym_optional] = ACTIONS(2744),
    [anon_sym_distributed] = ACTIONS(2744),
    [anon_sym_final] = ACTIONS(2744),
    [anon_sym_inout] = ACTIONS(2744),
    [anon_sym_ATescaping] = ACTIONS(2738),
    [anon_sym_ATautoclosure] = ACTIONS(2738),
    [anon_sym_weak] = ACTIONS(2744),
    [anon_sym_unowned] = ACTIONS(2744),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2738),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2738),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2738),
    [sym__conjunction_operator_custom] = ACTIONS(2738),
    [sym__disjunction_operator_custom] = ACTIONS(2738),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2738),
    [sym__eq_custom] = ACTIONS(2738),
    [sym__eq_eq_custom] = ACTIONS(2738),
    [sym__plus_then_ws] = ACTIONS(2738),
    [sym__minus_then_ws] = ACTIONS(2738),
    [sym__bang_custom] = ACTIONS(2738),
    [sym__as_custom] = ACTIONS(2738),
    [sym__as_quest_custom] = ACTIONS(2738),
    [sym__as_bang_custom] = ACTIONS(2738),
    [sym__custom_operator] = ACTIONS(2738),
  },
  [659] = {
    [sym__quest] = STATE(460),
    [sym__immediate_quest] = STATE(1213),
    [sym__range_operator] = STATE(417),
    [sym_custom_operator] = STATE(403),
    [sym_navigation_suffix] = STATE(1188),
    [sym_call_suffix] = STATE(1189),
    [sym__fn_call_lambda_arguments] = STATE(1190),
    [sym_value_arguments] = STATE(1029),
    [sym_lambda_literal] = STATE(870),
    [sym__equality_operator] = STATE(402),
    [sym__comparison_operator] = STATE(400),
    [sym__three_dot_operator] = STATE(621),
    [sym__open_ended_range_operator] = STATE(417),
    [sym__is_operator] = STATE(3873),
    [sym__additive_operator] = STATE(533),
    [sym__multiplicative_operator] = STATE(534),
    [sym_as_operator] = STATE(3874),
    [sym__bitwise_binary_operator] = STATE(388),
    [sym__postfix_unary_operator] = STATE(1242),
    [sym__eq_eq] = STATE(402),
    [sym__dot] = STATE(4725),
    [sym__conjunction_operator] = STATE(381),
    [sym__disjunction_operator] = STATE(377),
    [sym__nil_coalescing_operator] = STATE(376),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(1242),
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(2564),
    [anon_sym_package] = ACTIONS(2564),
    [anon_sym_COMMA] = ACTIONS(2564),
    [anon_sym_LPAREN] = ACTIONS(2564),
    [anon_sym_LBRACK] = ACTIONS(2564),
    [anon_sym_QMARK] = ACTIONS(2566),
    [anon_sym_QMARK2] = ACTIONS(2564),
    [anon_sym_AMP] = ACTIONS(2564),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(2566),
    [anon_sym_GT] = ACTIONS(2566),
    [anon_sym_LBRACE] = ACTIONS(2564),
    [anon_sym_CARET_LBRACE] = ACTIONS(2564),
    [anon_sym_RBRACE] = ACTIONS(2564),
    [anon_sym_case] = ACTIONS(2564),
    [anon_sym_fallthrough] = ACTIONS(2564),
    [anon_sym_PLUS_EQ] = ACTIONS(2564),
    [anon_sym_DASH_EQ] = ACTIONS(2564),
    [anon_sym_STAR_EQ] = ACTIONS(2564),
    [anon_sym_SLASH_EQ] = ACTIONS(2564),
    [anon_sym_PERCENT_EQ] = ACTIONS(2564),
    [anon_sym_BANG_EQ] = ACTIONS(2706),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2708),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2708),
    [anon_sym_LT_EQ] = ACTIONS(2564),
    [anon_sym_GT_EQ] = ACTIONS(2564),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2564),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2564),
    [anon_sym_is] = ACTIONS(2714),
    [anon_sym_PLUS] = ACTIONS(2716),
    [anon_sym_DASH] = ACTIONS(2716),
    [anon_sym_STAR] = ACTIONS(2718),
    [anon_sym_SLASH] = ACTIONS(2718),
    [anon_sym_PERCENT] = ACTIONS(2718),
    [anon_sym_PLUS_PLUS] = ACTIONS(2720),
    [anon_sym_DASH_DASH] = ACTIONS(2720),
    [anon_sym_PIPE] = ACTIONS(2564),
    [anon_sym_CARET] = ACTIONS(2566),
    [anon_sym_LT_LT] = ACTIONS(2564),
    [anon_sym_GT_GT] = ACTIONS(2564),
    [anon_sym_class] = ACTIONS(2564),
    [anon_sym_BANG2] = ACTIONS(2724),
    [anon_sym_prefix] = ACTIONS(2564),
    [anon_sym_infix] = ACTIONS(2564),
    [anon_sym_postfix] = ACTIONS(2564),
    [anon_sym_AT] = ACTIONS(2566),
    [anon_sym_override] = ACTIONS(2564),
    [anon_sym_convenience] = ACTIONS(2564),
    [anon_sym_required] = ACTIONS(2564),
    [anon_sym_nonisolated] = ACTIONS(2564),
    [anon_sym_public] = ACTIONS(2564),
    [anon_sym_private] = ACTIONS(2564),
    [anon_sym_internal] = ACTIONS(2564),
    [anon_sym_fileprivate] = ACTIONS(2564),
    [anon_sym_open] = ACTIONS(2564),
    [anon_sym_mutating] = ACTIONS(2564),
    [anon_sym_nonmutating] = ACTIONS(2564),
    [anon_sym_static] = ACTIONS(2564),
    [anon_sym_dynamic] = ACTIONS(2564),
    [anon_sym_optional] = ACTIONS(2564),
    [anon_sym_distributed] = ACTIONS(2564),
    [anon_sym_final] = ACTIONS(2564),
    [anon_sym_inout] = ACTIONS(2564),
    [anon_sym_ATescaping] = ACTIONS(2564),
    [anon_sym_ATautoclosure] = ACTIONS(2564),
    [anon_sym_weak] = ACTIONS(2564),
    [anon_sym_unowned] = ACTIONS(2566),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2564),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2564),
    [anon_sym_borrowing] = ACTIONS(2564),
    [anon_sym_consuming] = ACTIONS(2564),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2564),
    [sym__explicit_semi] = ACTIONS(2564),
    [sym__dot_custom] = ACTIONS(2564),
    [sym__conjunction_operator_custom] = ACTIONS(2728),
    [sym__disjunction_operator_custom] = ACTIONS(2730),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2732),
    [sym__eq_custom] = ACTIONS(2564),
    [sym__eq_eq_custom] = ACTIONS(2708),
    [sym__plus_then_ws] = ACTIONS(2734),
    [sym__minus_then_ws] = ACTIONS(2734),
    [sym__bang_custom] = ACTIONS(2736),
    [sym_default_keyword] = ACTIONS(2564),
    [sym__as_custom] = ACTIONS(2564),
    [sym__as_quest_custom] = ACTIONS(2564),
    [sym__as_bang_custom] = ACTIONS(2564),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [660] = {
    [sym__quest] = STATE(460),
    [sym__immediate_quest] = STATE(1213),
    [sym__range_operator] = STATE(417),
    [sym_custom_operator] = STATE(403),
    [sym_navigation_suffix] = STATE(1188),
    [sym_call_suffix] = STATE(1189),
    [sym__fn_call_lambda_arguments] = STATE(1190),
    [sym_value_arguments] = STATE(1029),
    [sym_lambda_literal] = STATE(870),
    [sym__equality_operator] = STATE(402),
    [sym__comparison_operator] = STATE(400),
    [sym__three_dot_operator] = STATE(621),
    [sym__open_ended_range_operator] = STATE(417),
    [sym__is_operator] = STATE(3873),
    [sym__additive_operator] = STATE(533),
    [sym__multiplicative_operator] = STATE(534),
    [sym_as_operator] = STATE(3874),
    [sym__bitwise_binary_operator] = STATE(388),
    [sym__postfix_unary_operator] = STATE(1242),
    [sym__eq_eq] = STATE(402),
    [sym__dot] = STATE(4725),
    [sym__conjunction_operator] = STATE(381),
    [sym__disjunction_operator] = STATE(377),
    [sym__nil_coalescing_operator] = STATE(376),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(1242),
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(2746),
    [anon_sym_package] = ACTIONS(2746),
    [anon_sym_COMMA] = ACTIONS(2746),
    [anon_sym_LPAREN] = ACTIONS(2690),
    [anon_sym_LBRACK] = ACTIONS(2692),
    [anon_sym_QMARK] = ACTIONS(2694),
    [anon_sym_QMARK2] = ACTIONS(2696),
    [anon_sym_AMP] = ACTIONS(2698),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(2700),
    [anon_sym_GT] = ACTIONS(2700),
    [anon_sym_LBRACE] = ACTIONS(2704),
    [anon_sym_CARET_LBRACE] = ACTIONS(2704),
    [anon_sym_RBRACE] = ACTIONS(2746),
    [anon_sym_case] = ACTIONS(2746),
    [anon_sym_fallthrough] = ACTIONS(2746),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(2706),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2708),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2708),
    [anon_sym_LT_EQ] = ACTIONS(2710),
    [anon_sym_GT_EQ] = ACTIONS(2710),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(355),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2712),
    [anon_sym_is] = ACTIONS(2714),
    [anon_sym_PLUS] = ACTIONS(2716),
    [anon_sym_DASH] = ACTIONS(2716),
    [anon_sym_STAR] = ACTIONS(2718),
    [anon_sym_SLASH] = ACTIONS(2718),
    [anon_sym_PERCENT] = ACTIONS(2718),
    [anon_sym_PLUS_PLUS] = ACTIONS(2720),
    [anon_sym_DASH_DASH] = ACTIONS(2720),
    [anon_sym_PIPE] = ACTIONS(2698),
    [anon_sym_CARET] = ACTIONS(2722),
    [anon_sym_LT_LT] = ACTIONS(2698),
    [anon_sym_GT_GT] = ACTIONS(2698),
    [anon_sym_class] = ACTIONS(2746),
    [anon_sym_BANG2] = ACTIONS(2724),
    [anon_sym_prefix] = ACTIONS(2746),
    [anon_sym_infix] = ACTIONS(2746),
    [anon_sym_postfix] = ACTIONS(2746),
    [anon_sym_AT] = ACTIONS(2748),
    [anon_sym_override] = ACTIONS(2746),
    [anon_sym_convenience] = ACTIONS(2746),
    [anon_sym_required] = ACTIONS(2746),
    [anon_sym_nonisolated] = ACTIONS(2746),
    [anon_sym_public] = ACTIONS(2746),
    [anon_sym_private] = ACTIONS(2746),
    [anon_sym_internal] = ACTIONS(2746),
    [anon_sym_fileprivate] = ACTIONS(2746),
    [anon_sym_open] = ACTIONS(2746),
    [anon_sym_mutating] = ACTIONS(2746),
    [anon_sym_nonmutating] = ACTIONS(2746),
    [anon_sym_static] = ACTIONS(2746),
    [anon_sym_dynamic] = ACTIONS(2746),
    [anon_sym_optional] = ACTIONS(2746),
    [anon_sym_distributed] = ACTIONS(2746),
    [anon_sym_final] = ACTIONS(2746),
    [anon_sym_inout] = ACTIONS(2746),
    [anon_sym_ATescaping] = ACTIONS(2746),
    [anon_sym_ATautoclosure] = ACTIONS(2746),
    [anon_sym_weak] = ACTIONS(2746),
    [anon_sym_unowned] = ACTIONS(2748),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2746),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2746),
    [anon_sym_borrowing] = ACTIONS(2746),
    [anon_sym_consuming] = ACTIONS(2746),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2746),
    [sym__explicit_semi] = ACTIONS(2746),
    [sym__dot_custom] = ACTIONS(2726),
    [sym__conjunction_operator_custom] = ACTIONS(2728),
    [sym__disjunction_operator_custom] = ACTIONS(2730),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2732),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(2708),
    [sym__plus_then_ws] = ACTIONS(2734),
    [sym__minus_then_ws] = ACTIONS(2734),
    [sym__bang_custom] = ACTIONS(2736),
    [sym_default_keyword] = ACTIONS(2746),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [661] = {
    [sym__quest] = STATE(460),
    [sym__immediate_quest] = STATE(1213),
    [sym__range_operator] = STATE(417),
    [sym_custom_operator] = STATE(403),
    [sym_navigation_suffix] = STATE(1188),
    [sym_call_suffix] = STATE(1189),
    [sym__fn_call_lambda_arguments] = STATE(1190),
    [sym_value_arguments] = STATE(1029),
    [sym_lambda_literal] = STATE(870),
    [sym__equality_operator] = STATE(402),
    [sym__comparison_operator] = STATE(400),
    [sym__three_dot_operator] = STATE(621),
    [sym__open_ended_range_operator] = STATE(417),
    [sym__is_operator] = STATE(3873),
    [sym__additive_operator] = STATE(533),
    [sym__multiplicative_operator] = STATE(534),
    [sym_as_operator] = STATE(3874),
    [sym__bitwise_binary_operator] = STATE(388),
    [sym__postfix_unary_operator] = STATE(1242),
    [sym__eq_eq] = STATE(402),
    [sym__dot] = STATE(4725),
    [sym__conjunction_operator] = STATE(381),
    [sym__disjunction_operator] = STATE(377),
    [sym__nil_coalescing_operator] = STATE(376),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(1242),
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(2550),
    [anon_sym_package] = ACTIONS(2550),
    [anon_sym_COMMA] = ACTIONS(2550),
    [anon_sym_LPAREN] = ACTIONS(2690),
    [anon_sym_LBRACK] = ACTIONS(2692),
    [anon_sym_QMARK] = ACTIONS(2694),
    [anon_sym_QMARK2] = ACTIONS(2696),
    [anon_sym_AMP] = ACTIONS(2698),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(2700),
    [anon_sym_GT] = ACTIONS(2700),
    [anon_sym_LBRACE] = ACTIONS(2704),
    [anon_sym_CARET_LBRACE] = ACTIONS(2704),
    [anon_sym_RBRACE] = ACTIONS(2550),
    [anon_sym_case] = ACTIONS(2550),
    [anon_sym_fallthrough] = ACTIONS(2550),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(2706),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2708),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2708),
    [anon_sym_LT_EQ] = ACTIONS(2710),
    [anon_sym_GT_EQ] = ACTIONS(2710),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(355),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2712),
    [anon_sym_is] = ACTIONS(2714),
    [anon_sym_PLUS] = ACTIONS(2716),
    [anon_sym_DASH] = ACTIONS(2716),
    [anon_sym_STAR] = ACTIONS(2718),
    [anon_sym_SLASH] = ACTIONS(2718),
    [anon_sym_PERCENT] = ACTIONS(2718),
    [anon_sym_PLUS_PLUS] = ACTIONS(2720),
    [anon_sym_DASH_DASH] = ACTIONS(2720),
    [anon_sym_PIPE] = ACTIONS(2698),
    [anon_sym_CARET] = ACTIONS(2722),
    [anon_sym_LT_LT] = ACTIONS(2698),
    [anon_sym_GT_GT] = ACTIONS(2698),
    [anon_sym_class] = ACTIONS(2550),
    [anon_sym_BANG2] = ACTIONS(2724),
    [anon_sym_prefix] = ACTIONS(2550),
    [anon_sym_infix] = ACTIONS(2550),
    [anon_sym_postfix] = ACTIONS(2550),
    [anon_sym_AT] = ACTIONS(2556),
    [anon_sym_override] = ACTIONS(2550),
    [anon_sym_convenience] = ACTIONS(2550),
    [anon_sym_required] = ACTIONS(2550),
    [anon_sym_nonisolated] = ACTIONS(2550),
    [anon_sym_public] = ACTIONS(2550),
    [anon_sym_private] = ACTIONS(2550),
    [anon_sym_internal] = ACTIONS(2550),
    [anon_sym_fileprivate] = ACTIONS(2550),
    [anon_sym_open] = ACTIONS(2550),
    [anon_sym_mutating] = ACTIONS(2550),
    [anon_sym_nonmutating] = ACTIONS(2550),
    [anon_sym_static] = ACTIONS(2550),
    [anon_sym_dynamic] = ACTIONS(2550),
    [anon_sym_optional] = ACTIONS(2550),
    [anon_sym_distributed] = ACTIONS(2550),
    [anon_sym_final] = ACTIONS(2550),
    [anon_sym_inout] = ACTIONS(2550),
    [anon_sym_ATescaping] = ACTIONS(2550),
    [anon_sym_ATautoclosure] = ACTIONS(2550),
    [anon_sym_weak] = ACTIONS(2550),
    [anon_sym_unowned] = ACTIONS(2556),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2550),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2550),
    [anon_sym_borrowing] = ACTIONS(2550),
    [anon_sym_consuming] = ACTIONS(2550),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2550),
    [sym__explicit_semi] = ACTIONS(2550),
    [sym__dot_custom] = ACTIONS(2726),
    [sym__conjunction_operator_custom] = ACTIONS(2728),
    [sym__disjunction_operator_custom] = ACTIONS(2730),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2732),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(2708),
    [sym__plus_then_ws] = ACTIONS(2734),
    [sym__minus_then_ws] = ACTIONS(2734),
    [sym__bang_custom] = ACTIONS(2736),
    [sym_default_keyword] = ACTIONS(2550),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [662] = {
    [sym__quest] = STATE(460),
    [sym__immediate_quest] = STATE(1213),
    [sym__range_operator] = STATE(417),
    [sym_custom_operator] = STATE(403),
    [sym_navigation_suffix] = STATE(1188),
    [sym_call_suffix] = STATE(1189),
    [sym__fn_call_lambda_arguments] = STATE(1190),
    [sym_value_arguments] = STATE(1029),
    [sym_lambda_literal] = STATE(870),
    [sym__equality_operator] = STATE(402),
    [sym__comparison_operator] = STATE(400),
    [sym__three_dot_operator] = STATE(621),
    [sym__open_ended_range_operator] = STATE(417),
    [sym__is_operator] = STATE(3873),
    [sym__additive_operator] = STATE(533),
    [sym__multiplicative_operator] = STATE(534),
    [sym_as_operator] = STATE(3874),
    [sym__bitwise_binary_operator] = STATE(388),
    [sym__postfix_unary_operator] = STATE(1242),
    [sym__eq_eq] = STATE(402),
    [sym__dot] = STATE(4725),
    [sym__conjunction_operator] = STATE(381),
    [sym__disjunction_operator] = STATE(377),
    [sym__nil_coalescing_operator] = STATE(376),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(1242),
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(2568),
    [anon_sym_package] = ACTIONS(2568),
    [anon_sym_COMMA] = ACTIONS(2568),
    [anon_sym_LPAREN] = ACTIONS(2690),
    [anon_sym_LBRACK] = ACTIONS(2692),
    [anon_sym_QMARK] = ACTIONS(2694),
    [anon_sym_QMARK2] = ACTIONS(2696),
    [anon_sym_AMP] = ACTIONS(2698),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(2700),
    [anon_sym_GT] = ACTIONS(2700),
    [anon_sym_LBRACE] = ACTIONS(2704),
    [anon_sym_CARET_LBRACE] = ACTIONS(2704),
    [anon_sym_RBRACE] = ACTIONS(2568),
    [anon_sym_case] = ACTIONS(2568),
    [anon_sym_fallthrough] = ACTIONS(2568),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(2706),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2708),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2708),
    [anon_sym_LT_EQ] = ACTIONS(2710),
    [anon_sym_GT_EQ] = ACTIONS(2710),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(355),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2712),
    [anon_sym_is] = ACTIONS(2714),
    [anon_sym_PLUS] = ACTIONS(2716),
    [anon_sym_DASH] = ACTIONS(2716),
    [anon_sym_STAR] = ACTIONS(2718),
    [anon_sym_SLASH] = ACTIONS(2718),
    [anon_sym_PERCENT] = ACTIONS(2718),
    [anon_sym_PLUS_PLUS] = ACTIONS(2720),
    [anon_sym_DASH_DASH] = ACTIONS(2720),
    [anon_sym_PIPE] = ACTIONS(2698),
    [anon_sym_CARET] = ACTIONS(2722),
    [anon_sym_LT_LT] = ACTIONS(2698),
    [anon_sym_GT_GT] = ACTIONS(2698),
    [anon_sym_class] = ACTIONS(2568),
    [anon_sym_BANG2] = ACTIONS(2724),
    [anon_sym_prefix] = ACTIONS(2568),
    [anon_sym_infix] = ACTIONS(2568),
    [anon_sym_postfix] = ACTIONS(2568),
    [anon_sym_AT] = ACTIONS(2570),
    [anon_sym_override] = ACTIONS(2568),
    [anon_sym_convenience] = ACTIONS(2568),
    [anon_sym_required] = ACTIONS(2568),
    [anon_sym_nonisolated] = ACTIONS(2568),
    [anon_sym_public] = ACTIONS(2568),
    [anon_sym_private] = ACTIONS(2568),
    [anon_sym_internal] = ACTIONS(2568),
    [anon_sym_fileprivate] = ACTIONS(2568),
    [anon_sym_open] = ACTIONS(2568),
    [anon_sym_mutating] = ACTIONS(2568),
    [anon_sym_nonmutating] = ACTIONS(2568),
    [anon_sym_static] = ACTIONS(2568),
    [anon_sym_dynamic] = ACTIONS(2568),
    [anon_sym_optional] = ACTIONS(2568),
    [anon_sym_distributed] = ACTIONS(2568),
    [anon_sym_final] = ACTIONS(2568),
    [anon_sym_inout] = ACTIONS(2568),
    [anon_sym_ATescaping] = ACTIONS(2568),
    [anon_sym_ATautoclosure] = ACTIONS(2568),
    [anon_sym_weak] = ACTIONS(2568),
    [anon_sym_unowned] = ACTIONS(2570),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2568),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2568),
    [anon_sym_borrowing] = ACTIONS(2568),
    [anon_sym_consuming] = ACTIONS(2568),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2568),
    [sym__explicit_semi] = ACTIONS(2568),
    [sym__dot_custom] = ACTIONS(2726),
    [sym__conjunction_operator_custom] = ACTIONS(2728),
    [sym__disjunction_operator_custom] = ACTIONS(2730),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2732),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(2708),
    [sym__plus_then_ws] = ACTIONS(2734),
    [sym__minus_then_ws] = ACTIONS(2734),
    [sym__bang_custom] = ACTIONS(2736),
    [sym_default_keyword] = ACTIONS(2568),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [663] = {
    [sym__quest] = STATE(460),
    [sym__immediate_quest] = STATE(1213),
    [sym__range_operator] = STATE(417),
    [sym_custom_operator] = STATE(403),
    [sym_navigation_suffix] = STATE(1188),
    [sym_call_suffix] = STATE(1189),
    [sym__fn_call_lambda_arguments] = STATE(1190),
    [sym_value_arguments] = STATE(1029),
    [sym_lambda_literal] = STATE(870),
    [sym__equality_operator] = STATE(402),
    [sym__comparison_operator] = STATE(400),
    [sym__three_dot_operator] = STATE(621),
    [sym__open_ended_range_operator] = STATE(417),
    [sym__is_operator] = STATE(3873),
    [sym__additive_operator] = STATE(533),
    [sym__multiplicative_operator] = STATE(534),
    [sym_as_operator] = STATE(3874),
    [sym__bitwise_binary_operator] = STATE(388),
    [sym__postfix_unary_operator] = STATE(1242),
    [sym__eq_eq] = STATE(402),
    [sym__dot] = STATE(4725),
    [sym__conjunction_operator] = STATE(381),
    [sym__disjunction_operator] = STATE(377),
    [sym__nil_coalescing_operator] = STATE(376),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(1242),
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(2588),
    [anon_sym_package] = ACTIONS(2588),
    [anon_sym_COMMA] = ACTIONS(2588),
    [anon_sym_LPAREN] = ACTIONS(2690),
    [anon_sym_LBRACK] = ACTIONS(2692),
    [anon_sym_QMARK] = ACTIONS(2694),
    [anon_sym_QMARK2] = ACTIONS(2696),
    [anon_sym_AMP] = ACTIONS(2698),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(2700),
    [anon_sym_GT] = ACTIONS(2700),
    [anon_sym_LBRACE] = ACTIONS(2704),
    [anon_sym_CARET_LBRACE] = ACTIONS(2704),
    [anon_sym_RBRACE] = ACTIONS(2588),
    [anon_sym_case] = ACTIONS(2588),
    [anon_sym_fallthrough] = ACTIONS(2588),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(2706),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2708),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2708),
    [anon_sym_LT_EQ] = ACTIONS(2710),
    [anon_sym_GT_EQ] = ACTIONS(2710),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(355),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2712),
    [anon_sym_is] = ACTIONS(2714),
    [anon_sym_PLUS] = ACTIONS(2716),
    [anon_sym_DASH] = ACTIONS(2716),
    [anon_sym_STAR] = ACTIONS(2718),
    [anon_sym_SLASH] = ACTIONS(2718),
    [anon_sym_PERCENT] = ACTIONS(2718),
    [anon_sym_PLUS_PLUS] = ACTIONS(2720),
    [anon_sym_DASH_DASH] = ACTIONS(2720),
    [anon_sym_PIPE] = ACTIONS(2698),
    [anon_sym_CARET] = ACTIONS(2722),
    [anon_sym_LT_LT] = ACTIONS(2698),
    [anon_sym_GT_GT] = ACTIONS(2698),
    [anon_sym_class] = ACTIONS(2588),
    [anon_sym_BANG2] = ACTIONS(2724),
    [anon_sym_prefix] = ACTIONS(2588),
    [anon_sym_infix] = ACTIONS(2588),
    [anon_sym_postfix] = ACTIONS(2588),
    [anon_sym_AT] = ACTIONS(2590),
    [anon_sym_override] = ACTIONS(2588),
    [anon_sym_convenience] = ACTIONS(2588),
    [anon_sym_required] = ACTIONS(2588),
    [anon_sym_nonisolated] = ACTIONS(2588),
    [anon_sym_public] = ACTIONS(2588),
    [anon_sym_private] = ACTIONS(2588),
    [anon_sym_internal] = ACTIONS(2588),
    [anon_sym_fileprivate] = ACTIONS(2588),
    [anon_sym_open] = ACTIONS(2588),
    [anon_sym_mutating] = ACTIONS(2588),
    [anon_sym_nonmutating] = ACTIONS(2588),
    [anon_sym_static] = ACTIONS(2588),
    [anon_sym_dynamic] = ACTIONS(2588),
    [anon_sym_optional] = ACTIONS(2588),
    [anon_sym_distributed] = ACTIONS(2588),
    [anon_sym_final] = ACTIONS(2588),
    [anon_sym_inout] = ACTIONS(2588),
    [anon_sym_ATescaping] = ACTIONS(2588),
    [anon_sym_ATautoclosure] = ACTIONS(2588),
    [anon_sym_weak] = ACTIONS(2588),
    [anon_sym_unowned] = ACTIONS(2590),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2588),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2588),
    [anon_sym_borrowing] = ACTIONS(2588),
    [anon_sym_consuming] = ACTIONS(2588),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2588),
    [sym__explicit_semi] = ACTIONS(2588),
    [sym__dot_custom] = ACTIONS(2726),
    [sym__conjunction_operator_custom] = ACTIONS(2728),
    [sym__disjunction_operator_custom] = ACTIONS(2730),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2732),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(2708),
    [sym__plus_then_ws] = ACTIONS(2734),
    [sym__minus_then_ws] = ACTIONS(2734),
    [sym__bang_custom] = ACTIONS(2736),
    [sym_default_keyword] = ACTIONS(2588),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [664] = {
    [sym__quest] = STATE(460),
    [sym__immediate_quest] = STATE(1213),
    [sym__range_operator] = STATE(417),
    [sym_custom_operator] = STATE(403),
    [sym_navigation_suffix] = STATE(1188),
    [sym_call_suffix] = STATE(1189),
    [sym__fn_call_lambda_arguments] = STATE(1190),
    [sym_value_arguments] = STATE(1029),
    [sym_lambda_literal] = STATE(870),
    [sym__equality_operator] = STATE(402),
    [sym__comparison_operator] = STATE(400),
    [sym__three_dot_operator] = STATE(621),
    [sym__open_ended_range_operator] = STATE(417),
    [sym__is_operator] = STATE(3873),
    [sym__additive_operator] = STATE(533),
    [sym__multiplicative_operator] = STATE(534),
    [sym_as_operator] = STATE(3874),
    [sym__bitwise_binary_operator] = STATE(388),
    [sym__postfix_unary_operator] = STATE(1242),
    [sym__eq_eq] = STATE(402),
    [sym__dot] = STATE(4725),
    [sym__conjunction_operator] = STATE(381),
    [sym__disjunction_operator] = STATE(377),
    [sym__nil_coalescing_operator] = STATE(376),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(1242),
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(2572),
    [anon_sym_package] = ACTIONS(2572),
    [anon_sym_COMMA] = ACTIONS(2572),
    [anon_sym_LPAREN] = ACTIONS(2690),
    [anon_sym_LBRACK] = ACTIONS(2692),
    [anon_sym_QMARK] = ACTIONS(2694),
    [anon_sym_QMARK2] = ACTIONS(2696),
    [anon_sym_AMP] = ACTIONS(2698),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(2700),
    [anon_sym_GT] = ACTIONS(2700),
    [anon_sym_LBRACE] = ACTIONS(2704),
    [anon_sym_CARET_LBRACE] = ACTIONS(2704),
    [anon_sym_RBRACE] = ACTIONS(2572),
    [anon_sym_case] = ACTIONS(2572),
    [anon_sym_fallthrough] = ACTIONS(2572),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(2706),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2708),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2708),
    [anon_sym_LT_EQ] = ACTIONS(2710),
    [anon_sym_GT_EQ] = ACTIONS(2710),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(355),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2712),
    [anon_sym_is] = ACTIONS(2714),
    [anon_sym_PLUS] = ACTIONS(2716),
    [anon_sym_DASH] = ACTIONS(2716),
    [anon_sym_STAR] = ACTIONS(2718),
    [anon_sym_SLASH] = ACTIONS(2718),
    [anon_sym_PERCENT] = ACTIONS(2718),
    [anon_sym_PLUS_PLUS] = ACTIONS(2720),
    [anon_sym_DASH_DASH] = ACTIONS(2720),
    [anon_sym_PIPE] = ACTIONS(2698),
    [anon_sym_CARET] = ACTIONS(2722),
    [anon_sym_LT_LT] = ACTIONS(2698),
    [anon_sym_GT_GT] = ACTIONS(2698),
    [anon_sym_class] = ACTIONS(2572),
    [anon_sym_BANG2] = ACTIONS(2724),
    [anon_sym_prefix] = ACTIONS(2572),
    [anon_sym_infix] = ACTIONS(2572),
    [anon_sym_postfix] = ACTIONS(2572),
    [anon_sym_AT] = ACTIONS(2574),
    [anon_sym_override] = ACTIONS(2572),
    [anon_sym_convenience] = ACTIONS(2572),
    [anon_sym_required] = ACTIONS(2572),
    [anon_sym_nonisolated] = ACTIONS(2572),
    [anon_sym_public] = ACTIONS(2572),
    [anon_sym_private] = ACTIONS(2572),
    [anon_sym_internal] = ACTIONS(2572),
    [anon_sym_fileprivate] = ACTIONS(2572),
    [anon_sym_open] = ACTIONS(2572),
    [anon_sym_mutating] = ACTIONS(2572),
    [anon_sym_nonmutating] = ACTIONS(2572),
    [anon_sym_static] = ACTIONS(2572),
    [anon_sym_dynamic] = ACTIONS(2572),
    [anon_sym_optional] = ACTIONS(2572),
    [anon_sym_distributed] = ACTIONS(2572),
    [anon_sym_final] = ACTIONS(2572),
    [anon_sym_inout] = ACTIONS(2572),
    [anon_sym_ATescaping] = ACTIONS(2572),
    [anon_sym_ATautoclosure] = ACTIONS(2572),
    [anon_sym_weak] = ACTIONS(2572),
    [anon_sym_unowned] = ACTIONS(2574),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2572),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2572),
    [anon_sym_borrowing] = ACTIONS(2572),
    [anon_sym_consuming] = ACTIONS(2572),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2572),
    [sym__explicit_semi] = ACTIONS(2572),
    [sym__dot_custom] = ACTIONS(2726),
    [sym__conjunction_operator_custom] = ACTIONS(2728),
    [sym__disjunction_operator_custom] = ACTIONS(2730),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2732),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(2708),
    [sym__plus_then_ws] = ACTIONS(2734),
    [sym__minus_then_ws] = ACTIONS(2734),
    [sym__bang_custom] = ACTIONS(2736),
    [sym_default_keyword] = ACTIONS(2572),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [665] = {
    [sym__quest] = STATE(460),
    [sym__immediate_quest] = STATE(1213),
    [sym__range_operator] = STATE(417),
    [sym_custom_operator] = STATE(403),
    [sym_navigation_suffix] = STATE(1188),
    [sym_call_suffix] = STATE(1189),
    [sym__fn_call_lambda_arguments] = STATE(1190),
    [sym_value_arguments] = STATE(1029),
    [sym_lambda_literal] = STATE(870),
    [sym__equality_operator] = STATE(402),
    [sym__comparison_operator] = STATE(400),
    [sym__three_dot_operator] = STATE(621),
    [sym__open_ended_range_operator] = STATE(417),
    [sym__is_operator] = STATE(3873),
    [sym__additive_operator] = STATE(533),
    [sym__multiplicative_operator] = STATE(534),
    [sym_as_operator] = STATE(3874),
    [sym__bitwise_binary_operator] = STATE(388),
    [sym__postfix_unary_operator] = STATE(1242),
    [sym__eq_eq] = STATE(402),
    [sym__dot] = STATE(4725),
    [sym__conjunction_operator] = STATE(381),
    [sym__disjunction_operator] = STATE(377),
    [sym__nil_coalescing_operator] = STATE(376),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(1242),
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(2750),
    [anon_sym_package] = ACTIONS(2750),
    [anon_sym_COMMA] = ACTIONS(2750),
    [anon_sym_LPAREN] = ACTIONS(2690),
    [anon_sym_LBRACK] = ACTIONS(2692),
    [anon_sym_QMARK] = ACTIONS(2694),
    [anon_sym_QMARK2] = ACTIONS(2696),
    [anon_sym_AMP] = ACTIONS(2698),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(2700),
    [anon_sym_GT] = ACTIONS(2700),
    [anon_sym_LBRACE] = ACTIONS(2704),
    [anon_sym_CARET_LBRACE] = ACTIONS(2704),
    [anon_sym_RBRACE] = ACTIONS(2750),
    [anon_sym_case] = ACTIONS(2750),
    [anon_sym_fallthrough] = ACTIONS(2750),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(2706),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2708),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2708),
    [anon_sym_LT_EQ] = ACTIONS(2710),
    [anon_sym_GT_EQ] = ACTIONS(2710),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(355),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2712),
    [anon_sym_is] = ACTIONS(2714),
    [anon_sym_PLUS] = ACTIONS(2716),
    [anon_sym_DASH] = ACTIONS(2716),
    [anon_sym_STAR] = ACTIONS(2718),
    [anon_sym_SLASH] = ACTIONS(2718),
    [anon_sym_PERCENT] = ACTIONS(2718),
    [anon_sym_PLUS_PLUS] = ACTIONS(2720),
    [anon_sym_DASH_DASH] = ACTIONS(2720),
    [anon_sym_PIPE] = ACTIONS(2698),
    [anon_sym_CARET] = ACTIONS(2722),
    [anon_sym_LT_LT] = ACTIONS(2698),
    [anon_sym_GT_GT] = ACTIONS(2698),
    [anon_sym_class] = ACTIONS(2750),
    [anon_sym_BANG2] = ACTIONS(2724),
    [anon_sym_prefix] = ACTIONS(2750),
    [anon_sym_infix] = ACTIONS(2750),
    [anon_sym_postfix] = ACTIONS(2750),
    [anon_sym_AT] = ACTIONS(2752),
    [anon_sym_override] = ACTIONS(2750),
    [anon_sym_convenience] = ACTIONS(2750),
    [anon_sym_required] = ACTIONS(2750),
    [anon_sym_nonisolated] = ACTIONS(2750),
    [anon_sym_public] = ACTIONS(2750),
    [anon_sym_private] = ACTIONS(2750),
    [anon_sym_internal] = ACTIONS(2750),
    [anon_sym_fileprivate] = ACTIONS(2750),
    [anon_sym_open] = ACTIONS(2750),
    [anon_sym_mutating] = ACTIONS(2750),
    [anon_sym_nonmutating] = ACTIONS(2750),
    [anon_sym_static] = ACTIONS(2750),
    [anon_sym_dynamic] = ACTIONS(2750),
    [anon_sym_optional] = ACTIONS(2750),
    [anon_sym_distributed] = ACTIONS(2750),
    [anon_sym_final] = ACTIONS(2750),
    [anon_sym_inout] = ACTIONS(2750),
    [anon_sym_ATescaping] = ACTIONS(2750),
    [anon_sym_ATautoclosure] = ACTIONS(2750),
    [anon_sym_weak] = ACTIONS(2750),
    [anon_sym_unowned] = ACTIONS(2752),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2750),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2750),
    [anon_sym_borrowing] = ACTIONS(2750),
    [anon_sym_consuming] = ACTIONS(2750),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2750),
    [sym__explicit_semi] = ACTIONS(2750),
    [sym__dot_custom] = ACTIONS(2726),
    [sym__conjunction_operator_custom] = ACTIONS(2728),
    [sym__disjunction_operator_custom] = ACTIONS(2730),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2732),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(2708),
    [sym__plus_then_ws] = ACTIONS(2734),
    [sym__minus_then_ws] = ACTIONS(2734),
    [sym__bang_custom] = ACTIONS(2736),
    [sym_default_keyword] = ACTIONS(2750),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [666] = {
    [sym__quest] = STATE(460),
    [sym__immediate_quest] = STATE(1213),
    [sym__range_operator] = STATE(417),
    [sym_custom_operator] = STATE(403),
    [sym_navigation_suffix] = STATE(1188),
    [sym_call_suffix] = STATE(1189),
    [sym__fn_call_lambda_arguments] = STATE(1190),
    [sym_value_arguments] = STATE(1029),
    [sym_lambda_literal] = STATE(870),
    [sym__equality_operator] = STATE(402),
    [sym__comparison_operator] = STATE(400),
    [sym__three_dot_operator] = STATE(621),
    [sym__open_ended_range_operator] = STATE(417),
    [sym__is_operator] = STATE(3873),
    [sym__additive_operator] = STATE(533),
    [sym__multiplicative_operator] = STATE(534),
    [sym_as_operator] = STATE(3874),
    [sym__bitwise_binary_operator] = STATE(388),
    [sym__postfix_unary_operator] = STATE(1242),
    [sym__eq_eq] = STATE(402),
    [sym__dot] = STATE(4725),
    [sym__conjunction_operator] = STATE(381),
    [sym__disjunction_operator] = STATE(377),
    [sym__nil_coalescing_operator] = STATE(376),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(1242),
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(2584),
    [anon_sym_package] = ACTIONS(2584),
    [anon_sym_COMMA] = ACTIONS(2584),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_LBRACK] = ACTIONS(2584),
    [anon_sym_QMARK] = ACTIONS(2586),
    [anon_sym_QMARK2] = ACTIONS(2584),
    [anon_sym_AMP] = ACTIONS(2584),
    [aux_sym_custom_operator_token1] = ACTIONS(2584),
    [anon_sym_LT] = ACTIONS(2586),
    [anon_sym_GT] = ACTIONS(2586),
    [anon_sym_LBRACE] = ACTIONS(2584),
    [anon_sym_CARET_LBRACE] = ACTIONS(2584),
    [anon_sym_RBRACE] = ACTIONS(2584),
    [anon_sym_case] = ACTIONS(2584),
    [anon_sym_fallthrough] = ACTIONS(2584),
    [anon_sym_PLUS_EQ] = ACTIONS(2584),
    [anon_sym_DASH_EQ] = ACTIONS(2584),
    [anon_sym_STAR_EQ] = ACTIONS(2584),
    [anon_sym_SLASH_EQ] = ACTIONS(2584),
    [anon_sym_PERCENT_EQ] = ACTIONS(2584),
    [anon_sym_BANG_EQ] = ACTIONS(2586),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2584),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2584),
    [anon_sym_LT_EQ] = ACTIONS(2584),
    [anon_sym_GT_EQ] = ACTIONS(2584),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2584),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2584),
    [anon_sym_is] = ACTIONS(2584),
    [anon_sym_PLUS] = ACTIONS(2586),
    [anon_sym_DASH] = ACTIONS(2586),
    [anon_sym_STAR] = ACTIONS(2718),
    [anon_sym_SLASH] = ACTIONS(2718),
    [anon_sym_PERCENT] = ACTIONS(2718),
    [anon_sym_PLUS_PLUS] = ACTIONS(2584),
    [anon_sym_DASH_DASH] = ACTIONS(2584),
    [anon_sym_PIPE] = ACTIONS(2584),
    [anon_sym_CARET] = ACTIONS(2586),
    [anon_sym_LT_LT] = ACTIONS(2584),
    [anon_sym_GT_GT] = ACTIONS(2584),
    [anon_sym_class] = ACTIONS(2584),
    [anon_sym_BANG2] = ACTIONS(2586),
    [anon_sym_prefix] = ACTIONS(2584),
    [anon_sym_infix] = ACTIONS(2584),
    [anon_sym_postfix] = ACTIONS(2584),
    [anon_sym_AT] = ACTIONS(2586),
    [anon_sym_override] = ACTIONS(2584),
    [anon_sym_convenience] = ACTIONS(2584),
    [anon_sym_required] = ACTIONS(2584),
    [anon_sym_nonisolated] = ACTIONS(2584),
    [anon_sym_public] = ACTIONS(2584),
    [anon_sym_private] = ACTIONS(2584),
    [anon_sym_internal] = ACTIONS(2584),
    [anon_sym_fileprivate] = ACTIONS(2584),
    [anon_sym_open] = ACTIONS(2584),
    [anon_sym_mutating] = ACTIONS(2584),
    [anon_sym_nonmutating] = ACTIONS(2584),
    [anon_sym_static] = ACTIONS(2584),
    [anon_sym_dynamic] = ACTIONS(2584),
    [anon_sym_optional] = ACTIONS(2584),
    [anon_sym_distributed] = ACTIONS(2584),
    [anon_sym_final] = ACTIONS(2584),
    [anon_sym_inout] = ACTIONS(2584),
    [anon_sym_ATescaping] = ACTIONS(2584),
    [anon_sym_ATautoclosure] = ACTIONS(2584),
    [anon_sym_weak] = ACTIONS(2584),
    [anon_sym_unowned] = ACTIONS(2586),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2584),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2584),
    [anon_sym_borrowing] = ACTIONS(2584),
    [anon_sym_consuming] = ACTIONS(2584),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2584),
    [sym__explicit_semi] = ACTIONS(2584),
    [sym__dot_custom] = ACTIONS(2584),
    [sym__conjunction_operator_custom] = ACTIONS(2584),
    [sym__disjunction_operator_custom] = ACTIONS(2584),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2584),
    [sym__eq_custom] = ACTIONS(2584),
    [sym__eq_eq_custom] = ACTIONS(2584),
    [sym__plus_then_ws] = ACTIONS(2584),
    [sym__minus_then_ws] = ACTIONS(2584),
    [sym__bang_custom] = ACTIONS(2584),
    [sym_default_keyword] = ACTIONS(2584),
    [sym__as_custom] = ACTIONS(2584),
    [sym__as_quest_custom] = ACTIONS(2584),
    [sym__as_bang_custom] = ACTIONS(2584),
    [sym__custom_operator] = ACTIONS(2584),
  },
  [667] = {
    [sym__quest] = STATE(460),
    [sym__immediate_quest] = STATE(1213),
    [sym__range_operator] = STATE(417),
    [sym_custom_operator] = STATE(403),
    [sym_navigation_suffix] = STATE(1188),
    [sym_call_suffix] = STATE(1189),
    [sym__fn_call_lambda_arguments] = STATE(1190),
    [sym_value_arguments] = STATE(1029),
    [sym_lambda_literal] = STATE(870),
    [sym__equality_operator] = STATE(402),
    [sym__comparison_operator] = STATE(400),
    [sym__three_dot_operator] = STATE(621),
    [sym__open_ended_range_operator] = STATE(417),
    [sym__is_operator] = STATE(3873),
    [sym__additive_operator] = STATE(533),
    [sym__multiplicative_operator] = STATE(534),
    [sym_as_operator] = STATE(3874),
    [sym__bitwise_binary_operator] = STATE(388),
    [sym__postfix_unary_operator] = STATE(1242),
    [sym__eq_eq] = STATE(402),
    [sym__dot] = STATE(4725),
    [sym__conjunction_operator] = STATE(381),
    [sym__disjunction_operator] = STATE(377),
    [sym__nil_coalescing_operator] = STATE(376),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(1242),
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(2576),
    [anon_sym_package] = ACTIONS(2576),
    [anon_sym_COMMA] = ACTIONS(2576),
    [anon_sym_LPAREN] = ACTIONS(2576),
    [anon_sym_LBRACK] = ACTIONS(2576),
    [anon_sym_QMARK] = ACTIONS(2578),
    [anon_sym_QMARK2] = ACTIONS(2576),
    [anon_sym_AMP] = ACTIONS(2576),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(2578),
    [anon_sym_GT] = ACTIONS(2578),
    [anon_sym_LBRACE] = ACTIONS(2576),
    [anon_sym_CARET_LBRACE] = ACTIONS(2576),
    [anon_sym_RBRACE] = ACTIONS(2576),
    [anon_sym_case] = ACTIONS(2576),
    [anon_sym_fallthrough] = ACTIONS(2576),
    [anon_sym_PLUS_EQ] = ACTIONS(2576),
    [anon_sym_DASH_EQ] = ACTIONS(2576),
    [anon_sym_STAR_EQ] = ACTIONS(2576),
    [anon_sym_SLASH_EQ] = ACTIONS(2576),
    [anon_sym_PERCENT_EQ] = ACTIONS(2576),
    [anon_sym_BANG_EQ] = ACTIONS(2706),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2708),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2708),
    [anon_sym_LT_EQ] = ACTIONS(2576),
    [anon_sym_GT_EQ] = ACTIONS(2576),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2576),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2576),
    [anon_sym_is] = ACTIONS(2714),
    [anon_sym_PLUS] = ACTIONS(2716),
    [anon_sym_DASH] = ACTIONS(2716),
    [anon_sym_STAR] = ACTIONS(2718),
    [anon_sym_SLASH] = ACTIONS(2718),
    [anon_sym_PERCENT] = ACTIONS(2718),
    [anon_sym_PLUS_PLUS] = ACTIONS(2720),
    [anon_sym_DASH_DASH] = ACTIONS(2720),
    [anon_sym_PIPE] = ACTIONS(2576),
    [anon_sym_CARET] = ACTIONS(2578),
    [anon_sym_LT_LT] = ACTIONS(2576),
    [anon_sym_GT_GT] = ACTIONS(2576),
    [anon_sym_class] = ACTIONS(2576),
    [anon_sym_BANG2] = ACTIONS(2724),
    [anon_sym_prefix] = ACTIONS(2576),
    [anon_sym_infix] = ACTIONS(2576),
    [anon_sym_postfix] = ACTIONS(2576),
    [anon_sym_AT] = ACTIONS(2578),
    [anon_sym_override] = ACTIONS(2576),
    [anon_sym_convenience] = ACTIONS(2576),
    [anon_sym_required] = ACTIONS(2576),
    [anon_sym_nonisolated] = ACTIONS(2576),
    [anon_sym_public] = ACTIONS(2576),
    [anon_sym_private] = ACTIONS(2576),
    [anon_sym_internal] = ACTIONS(2576),
    [anon_sym_fileprivate] = ACTIONS(2576),
    [anon_sym_open] = ACTIONS(2576),
    [anon_sym_mutating] = ACTIONS(2576),
    [anon_sym_nonmutating] = ACTIONS(2576),
    [anon_sym_static] = ACTIONS(2576),
    [anon_sym_dynamic] = ACTIONS(2576),
    [anon_sym_optional] = ACTIONS(2576),
    [anon_sym_distributed] = ACTIONS(2576),
    [anon_sym_final] = ACTIONS(2576),
    [anon_sym_inout] = ACTIONS(2576),
    [anon_sym_ATescaping] = ACTIONS(2576),
    [anon_sym_ATautoclosure] = ACTIONS(2576),
    [anon_sym_weak] = ACTIONS(2576),
    [anon_sym_unowned] = ACTIONS(2578),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2576),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2576),
    [anon_sym_borrowing] = ACTIONS(2576),
    [anon_sym_consuming] = ACTIONS(2576),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2576),
    [sym__explicit_semi] = ACTIONS(2576),
    [sym__dot_custom] = ACTIONS(2576),
    [sym__conjunction_operator_custom] = ACTIONS(2728),
    [sym__disjunction_operator_custom] = ACTIONS(2730),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2732),
    [sym__eq_custom] = ACTIONS(2576),
    [sym__eq_eq_custom] = ACTIONS(2708),
    [sym__plus_then_ws] = ACTIONS(2734),
    [sym__minus_then_ws] = ACTIONS(2734),
    [sym__bang_custom] = ACTIONS(2736),
    [sym_default_keyword] = ACTIONS(2576),
    [sym__as_custom] = ACTIONS(2576),
    [sym__as_quest_custom] = ACTIONS(2576),
    [sym__as_bang_custom] = ACTIONS(2576),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [668] = {
    [sym__quest] = STATE(460),
    [sym__immediate_quest] = STATE(1213),
    [sym__range_operator] = STATE(417),
    [sym_custom_operator] = STATE(403),
    [sym_navigation_suffix] = STATE(1188),
    [sym_call_suffix] = STATE(1189),
    [sym__fn_call_lambda_arguments] = STATE(1190),
    [sym_value_arguments] = STATE(1029),
    [sym_lambda_literal] = STATE(870),
    [sym__equality_operator] = STATE(402),
    [sym__comparison_operator] = STATE(400),
    [sym__three_dot_operator] = STATE(621),
    [sym__open_ended_range_operator] = STATE(417),
    [sym__is_operator] = STATE(3873),
    [sym__additive_operator] = STATE(533),
    [sym__multiplicative_operator] = STATE(534),
    [sym_as_operator] = STATE(3874),
    [sym__bitwise_binary_operator] = STATE(388),
    [sym__postfix_unary_operator] = STATE(1242),
    [sym__eq_eq] = STATE(402),
    [sym__dot] = STATE(4725),
    [sym__conjunction_operator] = STATE(381),
    [sym__disjunction_operator] = STATE(377),
    [sym__nil_coalescing_operator] = STATE(376),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(1242),
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(2580),
    [anon_sym_package] = ACTIONS(2580),
    [anon_sym_COMMA] = ACTIONS(2580),
    [anon_sym_LPAREN] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2580),
    [anon_sym_QMARK] = ACTIONS(2582),
    [anon_sym_QMARK2] = ACTIONS(2580),
    [anon_sym_AMP] = ACTIONS(2580),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(2582),
    [anon_sym_GT] = ACTIONS(2582),
    [anon_sym_LBRACE] = ACTIONS(2580),
    [anon_sym_CARET_LBRACE] = ACTIONS(2580),
    [anon_sym_RBRACE] = ACTIONS(2580),
    [anon_sym_case] = ACTIONS(2580),
    [anon_sym_fallthrough] = ACTIONS(2580),
    [anon_sym_PLUS_EQ] = ACTIONS(2580),
    [anon_sym_DASH_EQ] = ACTIONS(2580),
    [anon_sym_STAR_EQ] = ACTIONS(2580),
    [anon_sym_SLASH_EQ] = ACTIONS(2580),
    [anon_sym_PERCENT_EQ] = ACTIONS(2580),
    [anon_sym_BANG_EQ] = ACTIONS(2582),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2580),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2580),
    [anon_sym_LT_EQ] = ACTIONS(2580),
    [anon_sym_GT_EQ] = ACTIONS(2580),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2580),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2580),
    [anon_sym_is] = ACTIONS(2580),
    [anon_sym_PLUS] = ACTIONS(2716),
    [anon_sym_DASH] = ACTIONS(2716),
    [anon_sym_STAR] = ACTIONS(2718),
    [anon_sym_SLASH] = ACTIONS(2718),
    [anon_sym_PERCENT] = ACTIONS(2718),
    [anon_sym_PLUS_PLUS] = ACTIONS(2580),
    [anon_sym_DASH_DASH] = ACTIONS(2580),
    [anon_sym_PIPE] = ACTIONS(2580),
    [anon_sym_CARET] = ACTIONS(2582),
    [anon_sym_LT_LT] = ACTIONS(2580),
    [anon_sym_GT_GT] = ACTIONS(2580),
    [anon_sym_class] = ACTIONS(2580),
    [anon_sym_BANG2] = ACTIONS(2582),
    [anon_sym_prefix] = ACTIONS(2580),
    [anon_sym_infix] = ACTIONS(2580),
    [anon_sym_postfix] = ACTIONS(2580),
    [anon_sym_AT] = ACTIONS(2582),
    [anon_sym_override] = ACTIONS(2580),
    [anon_sym_convenience] = ACTIONS(2580),
    [anon_sym_required] = ACTIONS(2580),
    [anon_sym_nonisolated] = ACTIONS(2580),
    [anon_sym_public] = ACTIONS(2580),
    [anon_sym_private] = ACTIONS(2580),
    [anon_sym_internal] = ACTIONS(2580),
    [anon_sym_fileprivate] = ACTIONS(2580),
    [anon_sym_open] = ACTIONS(2580),
    [anon_sym_mutating] = ACTIONS(2580),
    [anon_sym_nonmutating] = ACTIONS(2580),
    [anon_sym_static] = ACTIONS(2580),
    [anon_sym_dynamic] = ACTIONS(2580),
    [anon_sym_optional] = ACTIONS(2580),
    [anon_sym_distributed] = ACTIONS(2580),
    [anon_sym_final] = ACTIONS(2580),
    [anon_sym_inout] = ACTIONS(2580),
    [anon_sym_ATescaping] = ACTIONS(2580),
    [anon_sym_ATautoclosure] = ACTIONS(2580),
    [anon_sym_weak] = ACTIONS(2580),
    [anon_sym_unowned] = ACTIONS(2582),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2580),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2580),
    [anon_sym_borrowing] = ACTIONS(2580),
    [anon_sym_consuming] = ACTIONS(2580),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2580),
    [sym__explicit_semi] = ACTIONS(2580),
    [sym__dot_custom] = ACTIONS(2580),
    [sym__conjunction_operator_custom] = ACTIONS(2580),
    [sym__disjunction_operator_custom] = ACTIONS(2580),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2732),
    [sym__eq_custom] = ACTIONS(2580),
    [sym__eq_eq_custom] = ACTIONS(2580),
    [sym__plus_then_ws] = ACTIONS(2734),
    [sym__minus_then_ws] = ACTIONS(2734),
    [sym__bang_custom] = ACTIONS(2580),
    [sym_default_keyword] = ACTIONS(2580),
    [sym__as_custom] = ACTIONS(2580),
    [sym__as_quest_custom] = ACTIONS(2580),
    [sym__as_bang_custom] = ACTIONS(2580),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [669] = {
    [sym__quest] = STATE(460),
    [sym__immediate_quest] = STATE(1213),
    [sym__range_operator] = STATE(417),
    [sym_custom_operator] = STATE(403),
    [sym_navigation_suffix] = STATE(1188),
    [sym_call_suffix] = STATE(1189),
    [sym__fn_call_lambda_arguments] = STATE(1190),
    [sym_value_arguments] = STATE(1029),
    [sym_lambda_literal] = STATE(870),
    [sym__equality_operator] = STATE(402),
    [sym__comparison_operator] = STATE(400),
    [sym__three_dot_operator] = STATE(621),
    [sym__open_ended_range_operator] = STATE(417),
    [sym__is_operator] = STATE(3873),
    [sym__additive_operator] = STATE(533),
    [sym__multiplicative_operator] = STATE(534),
    [sym_as_operator] = STATE(3874),
    [sym__bitwise_binary_operator] = STATE(388),
    [sym__postfix_unary_operator] = STATE(1242),
    [sym__eq_eq] = STATE(402),
    [sym__dot] = STATE(4725),
    [sym__conjunction_operator] = STATE(381),
    [sym__disjunction_operator] = STATE(377),
    [sym__nil_coalescing_operator] = STATE(376),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(1242),
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(2754),
    [anon_sym_package] = ACTIONS(2754),
    [anon_sym_LPAREN] = ACTIONS(2690),
    [anon_sym_LBRACK] = ACTIONS(2692),
    [anon_sym_QMARK] = ACTIONS(2694),
    [anon_sym_QMARK2] = ACTIONS(2696),
    [anon_sym_AMP] = ACTIONS(2698),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(2700),
    [anon_sym_GT] = ACTIONS(2700),
    [anon_sym_LBRACE] = ACTIONS(2704),
    [anon_sym_CARET_LBRACE] = ACTIONS(2704),
    [anon_sym_RBRACE] = ACTIONS(2754),
    [anon_sym_case] = ACTIONS(2754),
    [anon_sym_fallthrough] = ACTIONS(2754),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(2706),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2708),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2708),
    [anon_sym_LT_EQ] = ACTIONS(2710),
    [anon_sym_GT_EQ] = ACTIONS(2710),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(355),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2712),
    [anon_sym_is] = ACTIONS(2714),
    [anon_sym_PLUS] = ACTIONS(2716),
    [anon_sym_DASH] = ACTIONS(2716),
    [anon_sym_STAR] = ACTIONS(2718),
    [anon_sym_SLASH] = ACTIONS(2718),
    [anon_sym_PERCENT] = ACTIONS(2718),
    [anon_sym_PLUS_PLUS] = ACTIONS(2720),
    [anon_sym_DASH_DASH] = ACTIONS(2720),
    [anon_sym_PIPE] = ACTIONS(2698),
    [anon_sym_CARET] = ACTIONS(2722),
    [anon_sym_LT_LT] = ACTIONS(2698),
    [anon_sym_GT_GT] = ACTIONS(2698),
    [anon_sym_class] = ACTIONS(2754),
    [anon_sym_BANG2] = ACTIONS(2724),
    [anon_sym_prefix] = ACTIONS(2754),
    [anon_sym_infix] = ACTIONS(2754),
    [anon_sym_postfix] = ACTIONS(2754),
    [anon_sym_AT] = ACTIONS(2756),
    [anon_sym_override] = ACTIONS(2754),
    [anon_sym_convenience] = ACTIONS(2754),
    [anon_sym_required] = ACTIONS(2754),
    [anon_sym_nonisolated] = ACTIONS(2754),
    [anon_sym_public] = ACTIONS(2754),
    [anon_sym_private] = ACTIONS(2754),
    [anon_sym_internal] = ACTIONS(2754),
    [anon_sym_fileprivate] = ACTIONS(2754),
    [anon_sym_open] = ACTIONS(2754),
    [anon_sym_mutating] = ACTIONS(2754),
    [anon_sym_nonmutating] = ACTIONS(2754),
    [anon_sym_static] = ACTIONS(2754),
    [anon_sym_dynamic] = ACTIONS(2754),
    [anon_sym_optional] = ACTIONS(2754),
    [anon_sym_distributed] = ACTIONS(2754),
    [anon_sym_final] = ACTIONS(2754),
    [anon_sym_inout] = ACTIONS(2754),
    [anon_sym_ATescaping] = ACTIONS(2754),
    [anon_sym_ATautoclosure] = ACTIONS(2754),
    [anon_sym_weak] = ACTIONS(2754),
    [anon_sym_unowned] = ACTIONS(2756),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2754),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2754),
    [anon_sym_borrowing] = ACTIONS(2754),
    [anon_sym_consuming] = ACTIONS(2754),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2754),
    [sym__explicit_semi] = ACTIONS(2754),
    [sym__dot_custom] = ACTIONS(2726),
    [sym__conjunction_operator_custom] = ACTIONS(2728),
    [sym__disjunction_operator_custom] = ACTIONS(2730),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2732),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(2708),
    [sym__plus_then_ws] = ACTIONS(2734),
    [sym__minus_then_ws] = ACTIONS(2734),
    [sym__bang_custom] = ACTIONS(2736),
    [sym_default_keyword] = ACTIONS(2754),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [670] = {
    [sym__quest] = STATE(460),
    [sym__immediate_quest] = STATE(1213),
    [sym__range_operator] = STATE(417),
    [sym_custom_operator] = STATE(403),
    [sym_navigation_suffix] = STATE(1188),
    [sym_call_suffix] = STATE(1189),
    [sym__fn_call_lambda_arguments] = STATE(1190),
    [sym_value_arguments] = STATE(1029),
    [sym_lambda_literal] = STATE(870),
    [sym__equality_operator] = STATE(402),
    [sym__comparison_operator] = STATE(400),
    [sym__three_dot_operator] = STATE(621),
    [sym__open_ended_range_operator] = STATE(417),
    [sym__is_operator] = STATE(3873),
    [sym__additive_operator] = STATE(533),
    [sym__multiplicative_operator] = STATE(534),
    [sym_as_operator] = STATE(3874),
    [sym__bitwise_binary_operator] = STATE(388),
    [sym__postfix_unary_operator] = STATE(1242),
    [sym__eq_eq] = STATE(402),
    [sym__dot] = STATE(4725),
    [sym__conjunction_operator] = STATE(381),
    [sym__disjunction_operator] = STATE(377),
    [sym__nil_coalescing_operator] = STATE(376),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(1242),
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(2758),
    [anon_sym_package] = ACTIONS(2758),
    [anon_sym_LPAREN] = ACTIONS(2690),
    [anon_sym_LBRACK] = ACTIONS(2692),
    [anon_sym_QMARK] = ACTIONS(2694),
    [anon_sym_QMARK2] = ACTIONS(2696),
    [anon_sym_AMP] = ACTIONS(2698),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(2700),
    [anon_sym_GT] = ACTIONS(2700),
    [anon_sym_LBRACE] = ACTIONS(2704),
    [anon_sym_CARET_LBRACE] = ACTIONS(2704),
    [anon_sym_RBRACE] = ACTIONS(2758),
    [anon_sym_case] = ACTIONS(2758),
    [anon_sym_fallthrough] = ACTIONS(2758),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(2706),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2708),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2708),
    [anon_sym_LT_EQ] = ACTIONS(2710),
    [anon_sym_GT_EQ] = ACTIONS(2710),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(355),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2712),
    [anon_sym_is] = ACTIONS(2714),
    [anon_sym_PLUS] = ACTIONS(2716),
    [anon_sym_DASH] = ACTIONS(2716),
    [anon_sym_STAR] = ACTIONS(2718),
    [anon_sym_SLASH] = ACTIONS(2718),
    [anon_sym_PERCENT] = ACTIONS(2718),
    [anon_sym_PLUS_PLUS] = ACTIONS(2720),
    [anon_sym_DASH_DASH] = ACTIONS(2720),
    [anon_sym_PIPE] = ACTIONS(2698),
    [anon_sym_CARET] = ACTIONS(2722),
    [anon_sym_LT_LT] = ACTIONS(2698),
    [anon_sym_GT_GT] = ACTIONS(2698),
    [anon_sym_class] = ACTIONS(2758),
    [anon_sym_BANG2] = ACTIONS(2724),
    [anon_sym_prefix] = ACTIONS(2758),
    [anon_sym_infix] = ACTIONS(2758),
    [anon_sym_postfix] = ACTIONS(2758),
    [anon_sym_AT] = ACTIONS(2760),
    [anon_sym_override] = ACTIONS(2758),
    [anon_sym_convenience] = ACTIONS(2758),
    [anon_sym_required] = ACTIONS(2758),
    [anon_sym_nonisolated] = ACTIONS(2758),
    [anon_sym_public] = ACTIONS(2758),
    [anon_sym_private] = ACTIONS(2758),
    [anon_sym_internal] = ACTIONS(2758),
    [anon_sym_fileprivate] = ACTIONS(2758),
    [anon_sym_open] = ACTIONS(2758),
    [anon_sym_mutating] = ACTIONS(2758),
    [anon_sym_nonmutating] = ACTIONS(2758),
    [anon_sym_static] = ACTIONS(2758),
    [anon_sym_dynamic] = ACTIONS(2758),
    [anon_sym_optional] = ACTIONS(2758),
    [anon_sym_distributed] = ACTIONS(2758),
    [anon_sym_final] = ACTIONS(2758),
    [anon_sym_inout] = ACTIONS(2758),
    [anon_sym_ATescaping] = ACTIONS(2758),
    [anon_sym_ATautoclosure] = ACTIONS(2758),
    [anon_sym_weak] = ACTIONS(2758),
    [anon_sym_unowned] = ACTIONS(2760),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2758),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2758),
    [anon_sym_borrowing] = ACTIONS(2758),
    [anon_sym_consuming] = ACTIONS(2758),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2758),
    [sym__explicit_semi] = ACTIONS(2758),
    [sym__dot_custom] = ACTIONS(2726),
    [sym__conjunction_operator_custom] = ACTIONS(2728),
    [sym__disjunction_operator_custom] = ACTIONS(2730),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2732),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(2708),
    [sym__plus_then_ws] = ACTIONS(2734),
    [sym__minus_then_ws] = ACTIONS(2734),
    [sym__bang_custom] = ACTIONS(2736),
    [sym_default_keyword] = ACTIONS(2758),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [671] = {
    [sym__quest] = STATE(460),
    [sym__immediate_quest] = STATE(1213),
    [sym__range_operator] = STATE(417),
    [sym_custom_operator] = STATE(403),
    [sym_navigation_suffix] = STATE(1188),
    [sym_call_suffix] = STATE(1189),
    [sym__fn_call_lambda_arguments] = STATE(1190),
    [sym_value_arguments] = STATE(1029),
    [sym_lambda_literal] = STATE(870),
    [sym__equality_operator] = STATE(402),
    [sym__comparison_operator] = STATE(400),
    [sym__three_dot_operator] = STATE(621),
    [sym__open_ended_range_operator] = STATE(417),
    [sym__is_operator] = STATE(3873),
    [sym__additive_operator] = STATE(533),
    [sym__multiplicative_operator] = STATE(534),
    [sym_as_operator] = STATE(3874),
    [sym__bitwise_binary_operator] = STATE(388),
    [sym__postfix_unary_operator] = STATE(1242),
    [sym__eq_eq] = STATE(402),
    [sym__dot] = STATE(4725),
    [sym__conjunction_operator] = STATE(381),
    [sym__disjunction_operator] = STATE(377),
    [sym__nil_coalescing_operator] = STATE(376),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(1242),
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(2762),
    [anon_sym_package] = ACTIONS(2762),
    [anon_sym_LPAREN] = ACTIONS(2690),
    [anon_sym_LBRACK] = ACTIONS(2692),
    [anon_sym_QMARK] = ACTIONS(2694),
    [anon_sym_QMARK2] = ACTIONS(2696),
    [anon_sym_AMP] = ACTIONS(2698),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(2700),
    [anon_sym_GT] = ACTIONS(2700),
    [anon_sym_LBRACE] = ACTIONS(2704),
    [anon_sym_CARET_LBRACE] = ACTIONS(2704),
    [anon_sym_RBRACE] = ACTIONS(2762),
    [anon_sym_case] = ACTIONS(2762),
    [anon_sym_fallthrough] = ACTIONS(2762),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(2706),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2708),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2708),
    [anon_sym_LT_EQ] = ACTIONS(2710),
    [anon_sym_GT_EQ] = ACTIONS(2710),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(355),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2712),
    [anon_sym_is] = ACTIONS(2714),
    [anon_sym_PLUS] = ACTIONS(2716),
    [anon_sym_DASH] = ACTIONS(2716),
    [anon_sym_STAR] = ACTIONS(2718),
    [anon_sym_SLASH] = ACTIONS(2718),
    [anon_sym_PERCENT] = ACTIONS(2718),
    [anon_sym_PLUS_PLUS] = ACTIONS(2720),
    [anon_sym_DASH_DASH] = ACTIONS(2720),
    [anon_sym_PIPE] = ACTIONS(2698),
    [anon_sym_CARET] = ACTIONS(2722),
    [anon_sym_LT_LT] = ACTIONS(2698),
    [anon_sym_GT_GT] = ACTIONS(2698),
    [anon_sym_class] = ACTIONS(2762),
    [anon_sym_BANG2] = ACTIONS(2724),
    [anon_sym_prefix] = ACTIONS(2762),
    [anon_sym_infix] = ACTIONS(2762),
    [anon_sym_postfix] = ACTIONS(2762),
    [anon_sym_AT] = ACTIONS(2764),
    [anon_sym_override] = ACTIONS(2762),
    [anon_sym_convenience] = ACTIONS(2762),
    [anon_sym_required] = ACTIONS(2762),
    [anon_sym_nonisolated] = ACTIONS(2762),
    [anon_sym_public] = ACTIONS(2762),
    [anon_sym_private] = ACTIONS(2762),
    [anon_sym_internal] = ACTIONS(2762),
    [anon_sym_fileprivate] = ACTIONS(2762),
    [anon_sym_open] = ACTIONS(2762),
    [anon_sym_mutating] = ACTIONS(2762),
    [anon_sym_nonmutating] = ACTIONS(2762),
    [anon_sym_static] = ACTIONS(2762),
    [anon_sym_dynamic] = ACTIONS(2762),
    [anon_sym_optional] = ACTIONS(2762),
    [anon_sym_distributed] = ACTIONS(2762),
    [anon_sym_final] = ACTIONS(2762),
    [anon_sym_inout] = ACTIONS(2762),
    [anon_sym_ATescaping] = ACTIONS(2762),
    [anon_sym_ATautoclosure] = ACTIONS(2762),
    [anon_sym_weak] = ACTIONS(2762),
    [anon_sym_unowned] = ACTIONS(2764),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2762),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2762),
    [anon_sym_borrowing] = ACTIONS(2762),
    [anon_sym_consuming] = ACTIONS(2762),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2762),
    [sym__explicit_semi] = ACTIONS(2762),
    [sym__dot_custom] = ACTIONS(2726),
    [sym__conjunction_operator_custom] = ACTIONS(2728),
    [sym__disjunction_operator_custom] = ACTIONS(2730),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2732),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(2708),
    [sym__plus_then_ws] = ACTIONS(2734),
    [sym__minus_then_ws] = ACTIONS(2734),
    [sym__bang_custom] = ACTIONS(2736),
    [sym_default_keyword] = ACTIONS(2762),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [672] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2766),
    [aux_sym_simple_identifier_token2] = ACTIONS(2768),
    [aux_sym_simple_identifier_token3] = ACTIONS(2768),
    [aux_sym_simple_identifier_token4] = ACTIONS(2768),
    [anon_sym_actor] = ACTIONS(2766),
    [anon_sym_async] = ACTIONS(2766),
    [anon_sym_each] = ACTIONS(2766),
    [anon_sym_lazy] = ACTIONS(2766),
    [anon_sym_repeat] = ACTIONS(2766),
    [anon_sym_package] = ACTIONS(2766),
    [anon_sym_nil] = ACTIONS(2766),
    [sym_real_literal] = ACTIONS(2768),
    [sym_integer_literal] = ACTIONS(2766),
    [sym_hex_literal] = ACTIONS(2768),
    [sym_oct_literal] = ACTIONS(2768),
    [sym_bin_literal] = ACTIONS(2768),
    [anon_sym_true] = ACTIONS(2766),
    [anon_sym_false] = ACTIONS(2766),
    [anon_sym_DQUOTE] = ACTIONS(2766),
    [anon_sym_BSLASH] = ACTIONS(2768),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2768),
    [sym__extended_regex_literal] = ACTIONS(2768),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(2768),
    [sym__oneline_regex_literal] = ACTIONS(2766),
    [anon_sym_LPAREN] = ACTIONS(2768),
    [anon_sym_LBRACK] = ACTIONS(2768),
    [anon_sym_AMP] = ACTIONS(2768),
    [anon_sym_if] = ACTIONS(2766),
    [anon_sym_switch] = ACTIONS(2766),
    [anon_sym_POUNDselector] = ACTIONS(2768),
    [aux_sym_custom_operator_token1] = ACTIONS(2768),
    [anon_sym_LT] = ACTIONS(2766),
    [anon_sym_GT] = ACTIONS(2766),
    [anon_sym_await] = ACTIONS(2766),
    [anon_sym_POUNDfile] = ACTIONS(2766),
    [anon_sym_POUNDfileID] = ACTIONS(2768),
    [anon_sym_POUNDfilePath] = ACTIONS(2768),
    [anon_sym_POUNDline] = ACTIONS(2768),
    [anon_sym_POUNDcolumn] = ACTIONS(2768),
    [anon_sym_POUNDfunction] = ACTIONS(2768),
    [anon_sym_POUNDdsohandle] = ACTIONS(2768),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(2768),
    [anon_sym_POUNDfileLiteral] = ACTIONS(2768),
    [anon_sym_POUNDimageLiteral] = ACTIONS(2768),
    [anon_sym_LBRACE] = ACTIONS(2768),
    [anon_sym_CARET_LBRACE] = ACTIONS(2768),
    [anon_sym_RBRACE] = ACTIONS(2768),
    [anon_sym_self] = ACTIONS(2766),
    [anon_sym_super] = ACTIONS(2766),
    [anon_sym_guard] = ACTIONS(2766),
    [anon_sym_do] = ACTIONS(2766),
    [anon_sym_POUNDkeyPath] = ACTIONS(2768),
    [anon_sym_try] = ACTIONS(2766),
    [anon_sym_PLUS_EQ] = ACTIONS(2768),
    [anon_sym_DASH_EQ] = ACTIONS(2768),
    [anon_sym_STAR_EQ] = ACTIONS(2768),
    [anon_sym_SLASH_EQ] = ACTIONS(2768),
    [anon_sym_PERCENT_EQ] = ACTIONS(2768),
    [anon_sym_BANG_EQ] = ACTIONS(2766),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2768),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2768),
    [anon_sym_LT_EQ] = ACTIONS(2768),
    [anon_sym_GT_EQ] = ACTIONS(2768),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2768),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2768),
    [anon_sym_PLUS] = ACTIONS(2766),
    [anon_sym_DASH] = ACTIONS(2766),
    [anon_sym_STAR] = ACTIONS(2766),
    [anon_sym_SLASH] = ACTIONS(2766),
    [anon_sym_PERCENT] = ACTIONS(2766),
    [anon_sym_PLUS_PLUS] = ACTIONS(2768),
    [anon_sym_DASH_DASH] = ACTIONS(2768),
    [anon_sym_TILDE] = ACTIONS(2768),
    [anon_sym_PIPE] = ACTIONS(2768),
    [anon_sym_CARET] = ACTIONS(2766),
    [anon_sym_LT_LT] = ACTIONS(2768),
    [anon_sym_GT_GT] = ACTIONS(2768),
    [sym_statement_label] = ACTIONS(2768),
    [anon_sym_for] = ACTIONS(2766),
    [anon_sym_while] = ACTIONS(2766),
    [sym_throw_keyword] = ACTIONS(2766),
    [anon_sym_return] = ACTIONS(2766),
    [anon_sym_continue] = ACTIONS(2766),
    [anon_sym_break] = ACTIONS(2766),
    [anon_sym_yield] = ACTIONS(2766),
    [anon_sym_typealias] = ACTIONS(2766),
    [anon_sym_struct] = ACTIONS(2766),
    [anon_sym_class] = ACTIONS(2766),
    [anon_sym_enum] = ACTIONS(2766),
    [anon_sym_let] = ACTIONS(2766),
    [anon_sym_var] = ACTIONS(2766),
    [anon_sym_func] = ACTIONS(2766),
    [anon_sym_extension] = ACTIONS(2766),
    [anon_sym_indirect] = ACTIONS(2766),
    [anon_sym_BANG2] = ACTIONS(2766),
    [anon_sym_AT] = ACTIONS(2768),
    [anon_sym_final] = ACTIONS(2766),
    [anon_sym_weak] = ACTIONS(2766),
    [anon_sym_unowned] = ACTIONS(2766),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2768),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2768),
    [anon_sym_borrowing] = ACTIONS(2766),
    [anon_sym_consuming] = ACTIONS(2766),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(2768),
    [sym_raw_str_end_part] = ACTIONS(2768),
    [sym__dot_custom] = ACTIONS(2768),
    [sym__eq_custom] = ACTIONS(2768),
    [sym__eq_eq_custom] = ACTIONS(2768),
    [sym__plus_then_ws] = ACTIONS(2768),
    [sym__minus_then_ws] = ACTIONS(2768),
    [sym__bang_custom] = ACTIONS(2768),
    [sym__custom_operator] = ACTIONS(2768),
  },
  [673] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2770),
    [aux_sym_simple_identifier_token2] = ACTIONS(2772),
    [aux_sym_simple_identifier_token3] = ACTIONS(2772),
    [aux_sym_simple_identifier_token4] = ACTIONS(2772),
    [anon_sym_actor] = ACTIONS(2770),
    [anon_sym_async] = ACTIONS(2770),
    [anon_sym_each] = ACTIONS(2770),
    [anon_sym_lazy] = ACTIONS(2770),
    [anon_sym_repeat] = ACTIONS(2770),
    [anon_sym_package] = ACTIONS(2770),
    [anon_sym_nil] = ACTIONS(2770),
    [sym_real_literal] = ACTIONS(2772),
    [sym_integer_literal] = ACTIONS(2770),
    [sym_hex_literal] = ACTIONS(2772),
    [sym_oct_literal] = ACTIONS(2772),
    [sym_bin_literal] = ACTIONS(2772),
    [anon_sym_true] = ACTIONS(2770),
    [anon_sym_false] = ACTIONS(2770),
    [anon_sym_DQUOTE] = ACTIONS(2770),
    [anon_sym_BSLASH] = ACTIONS(2772),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2772),
    [sym__extended_regex_literal] = ACTIONS(2772),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(2772),
    [sym__oneline_regex_literal] = ACTIONS(2770),
    [anon_sym_LPAREN] = ACTIONS(2772),
    [anon_sym_LBRACK] = ACTIONS(2772),
    [anon_sym_AMP] = ACTIONS(2772),
    [anon_sym_if] = ACTIONS(2770),
    [anon_sym_switch] = ACTIONS(2770),
    [anon_sym_POUNDselector] = ACTIONS(2772),
    [aux_sym_custom_operator_token1] = ACTIONS(2772),
    [anon_sym_LT] = ACTIONS(2770),
    [anon_sym_GT] = ACTIONS(2770),
    [anon_sym_await] = ACTIONS(2770),
    [anon_sym_POUNDfile] = ACTIONS(2770),
    [anon_sym_POUNDfileID] = ACTIONS(2772),
    [anon_sym_POUNDfilePath] = ACTIONS(2772),
    [anon_sym_POUNDline] = ACTIONS(2772),
    [anon_sym_POUNDcolumn] = ACTIONS(2772),
    [anon_sym_POUNDfunction] = ACTIONS(2772),
    [anon_sym_POUNDdsohandle] = ACTIONS(2772),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(2772),
    [anon_sym_POUNDfileLiteral] = ACTIONS(2772),
    [anon_sym_POUNDimageLiteral] = ACTIONS(2772),
    [anon_sym_LBRACE] = ACTIONS(2772),
    [anon_sym_CARET_LBRACE] = ACTIONS(2772),
    [anon_sym_RBRACE] = ACTIONS(2772),
    [anon_sym_self] = ACTIONS(2770),
    [anon_sym_super] = ACTIONS(2770),
    [anon_sym_guard] = ACTIONS(2770),
    [anon_sym_do] = ACTIONS(2770),
    [anon_sym_POUNDkeyPath] = ACTIONS(2772),
    [anon_sym_try] = ACTIONS(2770),
    [anon_sym_PLUS_EQ] = ACTIONS(2772),
    [anon_sym_DASH_EQ] = ACTIONS(2772),
    [anon_sym_STAR_EQ] = ACTIONS(2772),
    [anon_sym_SLASH_EQ] = ACTIONS(2772),
    [anon_sym_PERCENT_EQ] = ACTIONS(2772),
    [anon_sym_BANG_EQ] = ACTIONS(2770),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2772),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2772),
    [anon_sym_LT_EQ] = ACTIONS(2772),
    [anon_sym_GT_EQ] = ACTIONS(2772),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2772),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2772),
    [anon_sym_PLUS] = ACTIONS(2770),
    [anon_sym_DASH] = ACTIONS(2770),
    [anon_sym_STAR] = ACTIONS(2770),
    [anon_sym_SLASH] = ACTIONS(2770),
    [anon_sym_PERCENT] = ACTIONS(2770),
    [anon_sym_PLUS_PLUS] = ACTIONS(2772),
    [anon_sym_DASH_DASH] = ACTIONS(2772),
    [anon_sym_TILDE] = ACTIONS(2772),
    [anon_sym_PIPE] = ACTIONS(2772),
    [anon_sym_CARET] = ACTIONS(2770),
    [anon_sym_LT_LT] = ACTIONS(2772),
    [anon_sym_GT_GT] = ACTIONS(2772),
    [sym_statement_label] = ACTIONS(2772),
    [anon_sym_for] = ACTIONS(2770),
    [anon_sym_while] = ACTIONS(2770),
    [sym_throw_keyword] = ACTIONS(2770),
    [anon_sym_return] = ACTIONS(2770),
    [anon_sym_continue] = ACTIONS(2770),
    [anon_sym_break] = ACTIONS(2770),
    [anon_sym_yield] = ACTIONS(2770),
    [anon_sym_typealias] = ACTIONS(2770),
    [anon_sym_struct] = ACTIONS(2770),
    [anon_sym_class] = ACTIONS(2770),
    [anon_sym_enum] = ACTIONS(2770),
    [anon_sym_let] = ACTIONS(2770),
    [anon_sym_var] = ACTIONS(2770),
    [anon_sym_func] = ACTIONS(2770),
    [anon_sym_extension] = ACTIONS(2770),
    [anon_sym_indirect] = ACTIONS(2770),
    [anon_sym_BANG2] = ACTIONS(2770),
    [anon_sym_AT] = ACTIONS(2772),
    [anon_sym_final] = ACTIONS(2770),
    [anon_sym_weak] = ACTIONS(2770),
    [anon_sym_unowned] = ACTIONS(2770),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2772),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2772),
    [anon_sym_borrowing] = ACTIONS(2770),
    [anon_sym_consuming] = ACTIONS(2770),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(2772),
    [sym_raw_str_end_part] = ACTIONS(2772),
    [sym__dot_custom] = ACTIONS(2772),
    [sym__eq_custom] = ACTIONS(2772),
    [sym__eq_eq_custom] = ACTIONS(2772),
    [sym__plus_then_ws] = ACTIONS(2772),
    [sym__minus_then_ws] = ACTIONS(2772),
    [sym__bang_custom] = ACTIONS(2772),
    [sym__custom_operator] = ACTIONS(2772),
  },
  [674] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2774),
    [aux_sym_simple_identifier_token2] = ACTIONS(2776),
    [aux_sym_simple_identifier_token3] = ACTIONS(2776),
    [aux_sym_simple_identifier_token4] = ACTIONS(2776),
    [anon_sym_actor] = ACTIONS(2774),
    [anon_sym_async] = ACTIONS(2774),
    [anon_sym_each] = ACTIONS(2774),
    [anon_sym_lazy] = ACTIONS(2774),
    [anon_sym_repeat] = ACTIONS(2774),
    [anon_sym_package] = ACTIONS(2774),
    [anon_sym_nil] = ACTIONS(2774),
    [sym_real_literal] = ACTIONS(2776),
    [sym_integer_literal] = ACTIONS(2774),
    [sym_hex_literal] = ACTIONS(2776),
    [sym_oct_literal] = ACTIONS(2776),
    [sym_bin_literal] = ACTIONS(2776),
    [anon_sym_true] = ACTIONS(2774),
    [anon_sym_false] = ACTIONS(2774),
    [anon_sym_DQUOTE] = ACTIONS(2774),
    [anon_sym_BSLASH] = ACTIONS(2776),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2776),
    [sym__extended_regex_literal] = ACTIONS(2776),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(2776),
    [sym__oneline_regex_literal] = ACTIONS(2774),
    [anon_sym_LPAREN] = ACTIONS(2776),
    [anon_sym_LBRACK] = ACTIONS(2776),
    [anon_sym_AMP] = ACTIONS(2776),
    [anon_sym_if] = ACTIONS(2774),
    [anon_sym_switch] = ACTIONS(2774),
    [anon_sym_POUNDselector] = ACTIONS(2776),
    [aux_sym_custom_operator_token1] = ACTIONS(2776),
    [anon_sym_LT] = ACTIONS(2774),
    [anon_sym_GT] = ACTIONS(2774),
    [anon_sym_await] = ACTIONS(2774),
    [anon_sym_POUNDfile] = ACTIONS(2774),
    [anon_sym_POUNDfileID] = ACTIONS(2776),
    [anon_sym_POUNDfilePath] = ACTIONS(2776),
    [anon_sym_POUNDline] = ACTIONS(2776),
    [anon_sym_POUNDcolumn] = ACTIONS(2776),
    [anon_sym_POUNDfunction] = ACTIONS(2776),
    [anon_sym_POUNDdsohandle] = ACTIONS(2776),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(2776),
    [anon_sym_POUNDfileLiteral] = ACTIONS(2776),
    [anon_sym_POUNDimageLiteral] = ACTIONS(2776),
    [anon_sym_LBRACE] = ACTIONS(2776),
    [anon_sym_CARET_LBRACE] = ACTIONS(2776),
    [anon_sym_RBRACE] = ACTIONS(2776),
    [anon_sym_self] = ACTIONS(2774),
    [anon_sym_super] = ACTIONS(2774),
    [anon_sym_guard] = ACTIONS(2774),
    [anon_sym_do] = ACTIONS(2774),
    [anon_sym_POUNDkeyPath] = ACTIONS(2776),
    [anon_sym_try] = ACTIONS(2774),
    [anon_sym_PLUS_EQ] = ACTIONS(2776),
    [anon_sym_DASH_EQ] = ACTIONS(2776),
    [anon_sym_STAR_EQ] = ACTIONS(2776),
    [anon_sym_SLASH_EQ] = ACTIONS(2776),
    [anon_sym_PERCENT_EQ] = ACTIONS(2776),
    [anon_sym_BANG_EQ] = ACTIONS(2774),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2776),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2776),
    [anon_sym_LT_EQ] = ACTIONS(2776),
    [anon_sym_GT_EQ] = ACTIONS(2776),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2776),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2776),
    [anon_sym_PLUS] = ACTIONS(2774),
    [anon_sym_DASH] = ACTIONS(2774),
    [anon_sym_STAR] = ACTIONS(2774),
    [anon_sym_SLASH] = ACTIONS(2774),
    [anon_sym_PERCENT] = ACTIONS(2774),
    [anon_sym_PLUS_PLUS] = ACTIONS(2776),
    [anon_sym_DASH_DASH] = ACTIONS(2776),
    [anon_sym_TILDE] = ACTIONS(2776),
    [anon_sym_PIPE] = ACTIONS(2776),
    [anon_sym_CARET] = ACTIONS(2774),
    [anon_sym_LT_LT] = ACTIONS(2776),
    [anon_sym_GT_GT] = ACTIONS(2776),
    [sym_statement_label] = ACTIONS(2776),
    [anon_sym_for] = ACTIONS(2774),
    [anon_sym_while] = ACTIONS(2774),
    [sym_throw_keyword] = ACTIONS(2774),
    [anon_sym_return] = ACTIONS(2774),
    [anon_sym_continue] = ACTIONS(2774),
    [anon_sym_break] = ACTIONS(2774),
    [anon_sym_yield] = ACTIONS(2774),
    [anon_sym_typealias] = ACTIONS(2774),
    [anon_sym_struct] = ACTIONS(2774),
    [anon_sym_class] = ACTIONS(2774),
    [anon_sym_enum] = ACTIONS(2774),
    [anon_sym_let] = ACTIONS(2774),
    [anon_sym_var] = ACTIONS(2774),
    [anon_sym_func] = ACTIONS(2774),
    [anon_sym_extension] = ACTIONS(2774),
    [anon_sym_indirect] = ACTIONS(2774),
    [anon_sym_BANG2] = ACTIONS(2774),
    [anon_sym_AT] = ACTIONS(2776),
    [anon_sym_final] = ACTIONS(2774),
    [anon_sym_weak] = ACTIONS(2774),
    [anon_sym_unowned] = ACTIONS(2774),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2776),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2776),
    [anon_sym_borrowing] = ACTIONS(2774),
    [anon_sym_consuming] = ACTIONS(2774),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(2776),
    [sym_raw_str_end_part] = ACTIONS(2776),
    [sym__dot_custom] = ACTIONS(2776),
    [sym__eq_custom] = ACTIONS(2776),
    [sym__eq_eq_custom] = ACTIONS(2776),
    [sym__plus_then_ws] = ACTIONS(2776),
    [sym__minus_then_ws] = ACTIONS(2776),
    [sym__bang_custom] = ACTIONS(2776),
    [sym__custom_operator] = ACTIONS(2776),
  },
  [675] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2778),
    [aux_sym_simple_identifier_token2] = ACTIONS(2780),
    [aux_sym_simple_identifier_token3] = ACTIONS(2780),
    [aux_sym_simple_identifier_token4] = ACTIONS(2780),
    [anon_sym_actor] = ACTIONS(2778),
    [anon_sym_async] = ACTIONS(2778),
    [anon_sym_each] = ACTIONS(2778),
    [anon_sym_lazy] = ACTIONS(2778),
    [anon_sym_repeat] = ACTIONS(2778),
    [anon_sym_package] = ACTIONS(2778),
    [anon_sym_nil] = ACTIONS(2778),
    [sym_real_literal] = ACTIONS(2780),
    [sym_integer_literal] = ACTIONS(2778),
    [sym_hex_literal] = ACTIONS(2780),
    [sym_oct_literal] = ACTIONS(2780),
    [sym_bin_literal] = ACTIONS(2780),
    [anon_sym_true] = ACTIONS(2778),
    [anon_sym_false] = ACTIONS(2778),
    [anon_sym_DQUOTE] = ACTIONS(2778),
    [anon_sym_BSLASH] = ACTIONS(2780),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2780),
    [sym__extended_regex_literal] = ACTIONS(2780),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(2780),
    [sym__oneline_regex_literal] = ACTIONS(2778),
    [anon_sym_LPAREN] = ACTIONS(2780),
    [anon_sym_LBRACK] = ACTIONS(2780),
    [anon_sym_AMP] = ACTIONS(2780),
    [anon_sym_if] = ACTIONS(2778),
    [anon_sym_switch] = ACTIONS(2778),
    [anon_sym_POUNDselector] = ACTIONS(2780),
    [aux_sym_custom_operator_token1] = ACTIONS(2780),
    [anon_sym_LT] = ACTIONS(2778),
    [anon_sym_GT] = ACTIONS(2778),
    [anon_sym_await] = ACTIONS(2778),
    [anon_sym_POUNDfile] = ACTIONS(2778),
    [anon_sym_POUNDfileID] = ACTIONS(2780),
    [anon_sym_POUNDfilePath] = ACTIONS(2780),
    [anon_sym_POUNDline] = ACTIONS(2780),
    [anon_sym_POUNDcolumn] = ACTIONS(2780),
    [anon_sym_POUNDfunction] = ACTIONS(2780),
    [anon_sym_POUNDdsohandle] = ACTIONS(2780),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(2780),
    [anon_sym_POUNDfileLiteral] = ACTIONS(2780),
    [anon_sym_POUNDimageLiteral] = ACTIONS(2780),
    [anon_sym_LBRACE] = ACTIONS(2780),
    [anon_sym_CARET_LBRACE] = ACTIONS(2780),
    [anon_sym_RBRACE] = ACTIONS(2780),
    [anon_sym_self] = ACTIONS(2778),
    [anon_sym_super] = ACTIONS(2778),
    [anon_sym_guard] = ACTIONS(2778),
    [anon_sym_do] = ACTIONS(2778),
    [anon_sym_POUNDkeyPath] = ACTIONS(2780),
    [anon_sym_try] = ACTIONS(2778),
    [anon_sym_PLUS_EQ] = ACTIONS(2780),
    [anon_sym_DASH_EQ] = ACTIONS(2780),
    [anon_sym_STAR_EQ] = ACTIONS(2780),
    [anon_sym_SLASH_EQ] = ACTIONS(2780),
    [anon_sym_PERCENT_EQ] = ACTIONS(2780),
    [anon_sym_BANG_EQ] = ACTIONS(2778),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2780),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2780),
    [anon_sym_LT_EQ] = ACTIONS(2780),
    [anon_sym_GT_EQ] = ACTIONS(2780),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2780),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2780),
    [anon_sym_PLUS] = ACTIONS(2778),
    [anon_sym_DASH] = ACTIONS(2778),
    [anon_sym_STAR] = ACTIONS(2778),
    [anon_sym_SLASH] = ACTIONS(2778),
    [anon_sym_PERCENT] = ACTIONS(2778),
    [anon_sym_PLUS_PLUS] = ACTIONS(2780),
    [anon_sym_DASH_DASH] = ACTIONS(2780),
    [anon_sym_TILDE] = ACTIONS(2780),
    [anon_sym_PIPE] = ACTIONS(2780),
    [anon_sym_CARET] = ACTIONS(2778),
    [anon_sym_LT_LT] = ACTIONS(2780),
    [anon_sym_GT_GT] = ACTIONS(2780),
    [sym_statement_label] = ACTIONS(2780),
    [anon_sym_for] = ACTIONS(2778),
    [anon_sym_while] = ACTIONS(2778),
    [sym_throw_keyword] = ACTIONS(2778),
    [anon_sym_return] = ACTIONS(2778),
    [anon_sym_continue] = ACTIONS(2778),
    [anon_sym_break] = ACTIONS(2778),
    [anon_sym_yield] = ACTIONS(2778),
    [anon_sym_typealias] = ACTIONS(2778),
    [anon_sym_struct] = ACTIONS(2778),
    [anon_sym_class] = ACTIONS(2778),
    [anon_sym_enum] = ACTIONS(2778),
    [anon_sym_let] = ACTIONS(2778),
    [anon_sym_var] = ACTIONS(2778),
    [anon_sym_func] = ACTIONS(2778),
    [anon_sym_extension] = ACTIONS(2778),
    [anon_sym_indirect] = ACTIONS(2778),
    [anon_sym_BANG2] = ACTIONS(2778),
    [anon_sym_AT] = ACTIONS(2780),
    [anon_sym_final] = ACTIONS(2778),
    [anon_sym_weak] = ACTIONS(2778),
    [anon_sym_unowned] = ACTIONS(2778),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2780),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2780),
    [anon_sym_borrowing] = ACTIONS(2778),
    [anon_sym_consuming] = ACTIONS(2778),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(2780),
    [sym_raw_str_end_part] = ACTIONS(2780),
    [sym__dot_custom] = ACTIONS(2780),
    [sym__eq_custom] = ACTIONS(2780),
    [sym__eq_eq_custom] = ACTIONS(2780),
    [sym__plus_then_ws] = ACTIONS(2780),
    [sym__minus_then_ws] = ACTIONS(2780),
    [sym__bang_custom] = ACTIONS(2780),
    [sym__custom_operator] = ACTIONS(2780),
  },
  [676] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2782),
    [aux_sym_simple_identifier_token2] = ACTIONS(2784),
    [aux_sym_simple_identifier_token3] = ACTIONS(2784),
    [aux_sym_simple_identifier_token4] = ACTIONS(2784),
    [anon_sym_actor] = ACTIONS(2782),
    [anon_sym_async] = ACTIONS(2782),
    [anon_sym_each] = ACTIONS(2782),
    [anon_sym_lazy] = ACTIONS(2782),
    [anon_sym_repeat] = ACTIONS(2782),
    [anon_sym_package] = ACTIONS(2782),
    [anon_sym_nil] = ACTIONS(2782),
    [sym_real_literal] = ACTIONS(2784),
    [sym_integer_literal] = ACTIONS(2782),
    [sym_hex_literal] = ACTIONS(2784),
    [sym_oct_literal] = ACTIONS(2784),
    [sym_bin_literal] = ACTIONS(2784),
    [anon_sym_true] = ACTIONS(2782),
    [anon_sym_false] = ACTIONS(2782),
    [anon_sym_DQUOTE] = ACTIONS(2782),
    [anon_sym_BSLASH] = ACTIONS(2784),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2784),
    [sym__extended_regex_literal] = ACTIONS(2784),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(2784),
    [sym__oneline_regex_literal] = ACTIONS(2782),
    [anon_sym_LPAREN] = ACTIONS(2784),
    [anon_sym_LBRACK] = ACTIONS(2784),
    [anon_sym_AMP] = ACTIONS(2784),
    [anon_sym_if] = ACTIONS(2782),
    [anon_sym_switch] = ACTIONS(2782),
    [anon_sym_POUNDselector] = ACTIONS(2784),
    [aux_sym_custom_operator_token1] = ACTIONS(2784),
    [anon_sym_LT] = ACTIONS(2782),
    [anon_sym_GT] = ACTIONS(2782),
    [anon_sym_await] = ACTIONS(2782),
    [anon_sym_POUNDfile] = ACTIONS(2782),
    [anon_sym_POUNDfileID] = ACTIONS(2784),
    [anon_sym_POUNDfilePath] = ACTIONS(2784),
    [anon_sym_POUNDline] = ACTIONS(2784),
    [anon_sym_POUNDcolumn] = ACTIONS(2784),
    [anon_sym_POUNDfunction] = ACTIONS(2784),
    [anon_sym_POUNDdsohandle] = ACTIONS(2784),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(2784),
    [anon_sym_POUNDfileLiteral] = ACTIONS(2784),
    [anon_sym_POUNDimageLiteral] = ACTIONS(2784),
    [anon_sym_LBRACE] = ACTIONS(2784),
    [anon_sym_CARET_LBRACE] = ACTIONS(2784),
    [anon_sym_RBRACE] = ACTIONS(2784),
    [anon_sym_self] = ACTIONS(2782),
    [anon_sym_super] = ACTIONS(2782),
    [anon_sym_guard] = ACTIONS(2782),
    [anon_sym_do] = ACTIONS(2782),
    [anon_sym_POUNDkeyPath] = ACTIONS(2784),
    [anon_sym_try] = ACTIONS(2782),
    [anon_sym_PLUS_EQ] = ACTIONS(2784),
    [anon_sym_DASH_EQ] = ACTIONS(2784),
    [anon_sym_STAR_EQ] = ACTIONS(2784),
    [anon_sym_SLASH_EQ] = ACTIONS(2784),
    [anon_sym_PERCENT_EQ] = ACTIONS(2784),
    [anon_sym_BANG_EQ] = ACTIONS(2782),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2784),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2784),
    [anon_sym_LT_EQ] = ACTIONS(2784),
    [anon_sym_GT_EQ] = ACTIONS(2784),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2784),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2784),
    [anon_sym_PLUS] = ACTIONS(2782),
    [anon_sym_DASH] = ACTIONS(2782),
    [anon_sym_STAR] = ACTIONS(2782),
    [anon_sym_SLASH] = ACTIONS(2782),
    [anon_sym_PERCENT] = ACTIONS(2782),
    [anon_sym_PLUS_PLUS] = ACTIONS(2784),
    [anon_sym_DASH_DASH] = ACTIONS(2784),
    [anon_sym_TILDE] = ACTIONS(2784),
    [anon_sym_PIPE] = ACTIONS(2784),
    [anon_sym_CARET] = ACTIONS(2782),
    [anon_sym_LT_LT] = ACTIONS(2784),
    [anon_sym_GT_GT] = ACTIONS(2784),
    [sym_statement_label] = ACTIONS(2784),
    [anon_sym_for] = ACTIONS(2782),
    [anon_sym_while] = ACTIONS(2782),
    [sym_throw_keyword] = ACTIONS(2782),
    [anon_sym_return] = ACTIONS(2782),
    [anon_sym_continue] = ACTIONS(2782),
    [anon_sym_break] = ACTIONS(2782),
    [anon_sym_yield] = ACTIONS(2782),
    [anon_sym_typealias] = ACTIONS(2782),
    [anon_sym_struct] = ACTIONS(2782),
    [anon_sym_class] = ACTIONS(2782),
    [anon_sym_enum] = ACTIONS(2782),
    [anon_sym_let] = ACTIONS(2782),
    [anon_sym_var] = ACTIONS(2782),
    [anon_sym_func] = ACTIONS(2782),
    [anon_sym_extension] = ACTIONS(2782),
    [anon_sym_indirect] = ACTIONS(2782),
    [anon_sym_BANG2] = ACTIONS(2782),
    [anon_sym_AT] = ACTIONS(2784),
    [anon_sym_final] = ACTIONS(2782),
    [anon_sym_weak] = ACTIONS(2782),
    [anon_sym_unowned] = ACTIONS(2782),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2784),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2784),
    [anon_sym_borrowing] = ACTIONS(2782),
    [anon_sym_consuming] = ACTIONS(2782),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(2784),
    [sym_raw_str_end_part] = ACTIONS(2784),
    [sym__dot_custom] = ACTIONS(2784),
    [sym__eq_custom] = ACTIONS(2784),
    [sym__eq_eq_custom] = ACTIONS(2784),
    [sym__plus_then_ws] = ACTIONS(2784),
    [sym__minus_then_ws] = ACTIONS(2784),
    [sym__bang_custom] = ACTIONS(2784),
    [sym__custom_operator] = ACTIONS(2784),
  },
  [677] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2786),
    [aux_sym_simple_identifier_token2] = ACTIONS(2788),
    [aux_sym_simple_identifier_token3] = ACTIONS(2788),
    [aux_sym_simple_identifier_token4] = ACTIONS(2788),
    [anon_sym_actor] = ACTIONS(2786),
    [anon_sym_async] = ACTIONS(2786),
    [anon_sym_each] = ACTIONS(2786),
    [anon_sym_lazy] = ACTIONS(2786),
    [anon_sym_repeat] = ACTIONS(2786),
    [anon_sym_package] = ACTIONS(2786),
    [anon_sym_nil] = ACTIONS(2786),
    [sym_real_literal] = ACTIONS(2788),
    [sym_integer_literal] = ACTIONS(2786),
    [sym_hex_literal] = ACTIONS(2788),
    [sym_oct_literal] = ACTIONS(2788),
    [sym_bin_literal] = ACTIONS(2788),
    [anon_sym_true] = ACTIONS(2786),
    [anon_sym_false] = ACTIONS(2786),
    [anon_sym_DQUOTE] = ACTIONS(2786),
    [anon_sym_BSLASH] = ACTIONS(2788),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2788),
    [sym__extended_regex_literal] = ACTIONS(2788),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(2788),
    [sym__oneline_regex_literal] = ACTIONS(2786),
    [anon_sym_LPAREN] = ACTIONS(2788),
    [anon_sym_LBRACK] = ACTIONS(2788),
    [anon_sym_AMP] = ACTIONS(2788),
    [anon_sym_if] = ACTIONS(2786),
    [anon_sym_switch] = ACTIONS(2786),
    [anon_sym_POUNDselector] = ACTIONS(2788),
    [aux_sym_custom_operator_token1] = ACTIONS(2788),
    [anon_sym_LT] = ACTIONS(2786),
    [anon_sym_GT] = ACTIONS(2786),
    [anon_sym_await] = ACTIONS(2786),
    [anon_sym_POUNDfile] = ACTIONS(2786),
    [anon_sym_POUNDfileID] = ACTIONS(2788),
    [anon_sym_POUNDfilePath] = ACTIONS(2788),
    [anon_sym_POUNDline] = ACTIONS(2788),
    [anon_sym_POUNDcolumn] = ACTIONS(2788),
    [anon_sym_POUNDfunction] = ACTIONS(2788),
    [anon_sym_POUNDdsohandle] = ACTIONS(2788),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(2788),
    [anon_sym_POUNDfileLiteral] = ACTIONS(2788),
    [anon_sym_POUNDimageLiteral] = ACTIONS(2788),
    [anon_sym_LBRACE] = ACTIONS(2788),
    [anon_sym_CARET_LBRACE] = ACTIONS(2788),
    [anon_sym_RBRACE] = ACTIONS(2788),
    [anon_sym_self] = ACTIONS(2786),
    [anon_sym_super] = ACTIONS(2786),
    [anon_sym_guard] = ACTIONS(2786),
    [anon_sym_do] = ACTIONS(2786),
    [anon_sym_POUNDkeyPath] = ACTIONS(2788),
    [anon_sym_try] = ACTIONS(2786),
    [anon_sym_PLUS_EQ] = ACTIONS(2788),
    [anon_sym_DASH_EQ] = ACTIONS(2788),
    [anon_sym_STAR_EQ] = ACTIONS(2788),
    [anon_sym_SLASH_EQ] = ACTIONS(2788),
    [anon_sym_PERCENT_EQ] = ACTIONS(2788),
    [anon_sym_BANG_EQ] = ACTIONS(2786),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2788),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2788),
    [anon_sym_LT_EQ] = ACTIONS(2788),
    [anon_sym_GT_EQ] = ACTIONS(2788),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2788),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2788),
    [anon_sym_PLUS] = ACTIONS(2786),
    [anon_sym_DASH] = ACTIONS(2786),
    [anon_sym_STAR] = ACTIONS(2786),
    [anon_sym_SLASH] = ACTIONS(2786),
    [anon_sym_PERCENT] = ACTIONS(2786),
    [anon_sym_PLUS_PLUS] = ACTIONS(2788),
    [anon_sym_DASH_DASH] = ACTIONS(2788),
    [anon_sym_TILDE] = ACTIONS(2788),
    [anon_sym_PIPE] = ACTIONS(2788),
    [anon_sym_CARET] = ACTIONS(2786),
    [anon_sym_LT_LT] = ACTIONS(2788),
    [anon_sym_GT_GT] = ACTIONS(2788),
    [sym_statement_label] = ACTIONS(2788),
    [anon_sym_for] = ACTIONS(2786),
    [anon_sym_while] = ACTIONS(2786),
    [sym_throw_keyword] = ACTIONS(2786),
    [anon_sym_return] = ACTIONS(2786),
    [anon_sym_continue] = ACTIONS(2786),
    [anon_sym_break] = ACTIONS(2786),
    [anon_sym_yield] = ACTIONS(2786),
    [anon_sym_typealias] = ACTIONS(2786),
    [anon_sym_struct] = ACTIONS(2786),
    [anon_sym_class] = ACTIONS(2786),
    [anon_sym_enum] = ACTIONS(2786),
    [anon_sym_let] = ACTIONS(2786),
    [anon_sym_var] = ACTIONS(2786),
    [anon_sym_func] = ACTIONS(2786),
    [anon_sym_extension] = ACTIONS(2786),
    [anon_sym_indirect] = ACTIONS(2786),
    [anon_sym_BANG2] = ACTIONS(2786),
    [anon_sym_AT] = ACTIONS(2788),
    [anon_sym_final] = ACTIONS(2786),
    [anon_sym_weak] = ACTIONS(2786),
    [anon_sym_unowned] = ACTIONS(2786),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2788),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2788),
    [anon_sym_borrowing] = ACTIONS(2786),
    [anon_sym_consuming] = ACTIONS(2786),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(2788),
    [sym_raw_str_end_part] = ACTIONS(2788),
    [sym__dot_custom] = ACTIONS(2788),
    [sym__eq_custom] = ACTIONS(2788),
    [sym__eq_eq_custom] = ACTIONS(2788),
    [sym__plus_then_ws] = ACTIONS(2788),
    [sym__minus_then_ws] = ACTIONS(2788),
    [sym__bang_custom] = ACTIONS(2788),
    [sym__custom_operator] = ACTIONS(2788),
  },
  [678] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2790),
    [aux_sym_simple_identifier_token2] = ACTIONS(2792),
    [aux_sym_simple_identifier_token3] = ACTIONS(2792),
    [aux_sym_simple_identifier_token4] = ACTIONS(2792),
    [anon_sym_actor] = ACTIONS(2790),
    [anon_sym_async] = ACTIONS(2790),
    [anon_sym_each] = ACTIONS(2790),
    [anon_sym_lazy] = ACTIONS(2790),
    [anon_sym_repeat] = ACTIONS(2790),
    [anon_sym_package] = ACTIONS(2790),
    [anon_sym_nil] = ACTIONS(2790),
    [sym_real_literal] = ACTIONS(2792),
    [sym_integer_literal] = ACTIONS(2790),
    [sym_hex_literal] = ACTIONS(2792),
    [sym_oct_literal] = ACTIONS(2792),
    [sym_bin_literal] = ACTIONS(2792),
    [anon_sym_true] = ACTIONS(2790),
    [anon_sym_false] = ACTIONS(2790),
    [anon_sym_DQUOTE] = ACTIONS(2790),
    [anon_sym_BSLASH] = ACTIONS(2792),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2792),
    [sym__extended_regex_literal] = ACTIONS(2792),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(2792),
    [sym__oneline_regex_literal] = ACTIONS(2790),
    [anon_sym_LPAREN] = ACTIONS(2792),
    [anon_sym_LBRACK] = ACTIONS(2792),
    [anon_sym_AMP] = ACTIONS(2792),
    [anon_sym_if] = ACTIONS(2790),
    [anon_sym_switch] = ACTIONS(2790),
    [anon_sym_POUNDselector] = ACTIONS(2792),
    [aux_sym_custom_operator_token1] = ACTIONS(2792),
    [anon_sym_LT] = ACTIONS(2790),
    [anon_sym_GT] = ACTIONS(2790),
    [anon_sym_await] = ACTIONS(2790),
    [anon_sym_POUNDfile] = ACTIONS(2790),
    [anon_sym_POUNDfileID] = ACTIONS(2792),
    [anon_sym_POUNDfilePath] = ACTIONS(2792),
    [anon_sym_POUNDline] = ACTIONS(2792),
    [anon_sym_POUNDcolumn] = ACTIONS(2792),
    [anon_sym_POUNDfunction] = ACTIONS(2792),
    [anon_sym_POUNDdsohandle] = ACTIONS(2792),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(2792),
    [anon_sym_POUNDfileLiteral] = ACTIONS(2792),
    [anon_sym_POUNDimageLiteral] = ACTIONS(2792),
    [anon_sym_LBRACE] = ACTIONS(2792),
    [anon_sym_CARET_LBRACE] = ACTIONS(2792),
    [anon_sym_RBRACE] = ACTIONS(2792),
    [anon_sym_self] = ACTIONS(2790),
    [anon_sym_super] = ACTIONS(2790),
    [anon_sym_guard] = ACTIONS(2790),
    [anon_sym_do] = ACTIONS(2790),
    [anon_sym_POUNDkeyPath] = ACTIONS(2792),
    [anon_sym_try] = ACTIONS(2790),
    [anon_sym_PLUS_EQ] = ACTIONS(2792),
    [anon_sym_DASH_EQ] = ACTIONS(2792),
    [anon_sym_STAR_EQ] = ACTIONS(2792),
    [anon_sym_SLASH_EQ] = ACTIONS(2792),
    [anon_sym_PERCENT_EQ] = ACTIONS(2792),
    [anon_sym_BANG_EQ] = ACTIONS(2790),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2792),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2792),
    [anon_sym_LT_EQ] = ACTIONS(2792),
    [anon_sym_GT_EQ] = ACTIONS(2792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2792),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2792),
    [anon_sym_PLUS] = ACTIONS(2790),
    [anon_sym_DASH] = ACTIONS(2790),
    [anon_sym_STAR] = ACTIONS(2790),
    [anon_sym_SLASH] = ACTIONS(2790),
    [anon_sym_PERCENT] = ACTIONS(2790),
    [anon_sym_PLUS_PLUS] = ACTIONS(2792),
    [anon_sym_DASH_DASH] = ACTIONS(2792),
    [anon_sym_TILDE] = ACTIONS(2792),
    [anon_sym_PIPE] = ACTIONS(2792),
    [anon_sym_CARET] = ACTIONS(2790),
    [anon_sym_LT_LT] = ACTIONS(2792),
    [anon_sym_GT_GT] = ACTIONS(2792),
    [sym_statement_label] = ACTIONS(2792),
    [anon_sym_for] = ACTIONS(2790),
    [anon_sym_while] = ACTIONS(2790),
    [sym_throw_keyword] = ACTIONS(2790),
    [anon_sym_return] = ACTIONS(2790),
    [anon_sym_continue] = ACTIONS(2790),
    [anon_sym_break] = ACTIONS(2790),
    [anon_sym_yield] = ACTIONS(2790),
    [anon_sym_typealias] = ACTIONS(2790),
    [anon_sym_struct] = ACTIONS(2790),
    [anon_sym_class] = ACTIONS(2790),
    [anon_sym_enum] = ACTIONS(2790),
    [anon_sym_let] = ACTIONS(2790),
    [anon_sym_var] = ACTIONS(2790),
    [anon_sym_func] = ACTIONS(2790),
    [anon_sym_extension] = ACTIONS(2790),
    [anon_sym_indirect] = ACTIONS(2790),
    [anon_sym_BANG2] = ACTIONS(2790),
    [anon_sym_AT] = ACTIONS(2792),
    [anon_sym_final] = ACTIONS(2790),
    [anon_sym_weak] = ACTIONS(2790),
    [anon_sym_unowned] = ACTIONS(2790),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2792),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2792),
    [anon_sym_borrowing] = ACTIONS(2790),
    [anon_sym_consuming] = ACTIONS(2790),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(2792),
    [sym_raw_str_end_part] = ACTIONS(2792),
    [sym__dot_custom] = ACTIONS(2792),
    [sym__eq_custom] = ACTIONS(2792),
    [sym__eq_eq_custom] = ACTIONS(2792),
    [sym__plus_then_ws] = ACTIONS(2792),
    [sym__minus_then_ws] = ACTIONS(2792),
    [sym__bang_custom] = ACTIONS(2792),
    [sym__custom_operator] = ACTIONS(2792),
  },
  [679] = {
    [sym__immediate_quest] = STATE(688),
    [aux_sym_optional_type_repeat1] = STATE(688),
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(2794),
    [anon_sym_async] = ACTIONS(2794),
    [anon_sym_lazy] = ACTIONS(2794),
    [anon_sym_package] = ACTIONS(2794),
    [anon_sym_RPAREN] = ACTIONS(2794),
    [anon_sym_COMMA] = ACTIONS(2794),
    [anon_sym_COLON] = ACTIONS(2794),
    [anon_sym_LPAREN] = ACTIONS(2794),
    [anon_sym_LBRACK] = ACTIONS(2794),
    [anon_sym_RBRACK] = ACTIONS(2794),
    [anon_sym_DOT] = ACTIONS(2796),
    [anon_sym_QMARK] = ACTIONS(2796),
    [anon_sym_QMARK2] = ACTIONS(2794),
    [anon_sym_AMP] = ACTIONS(2794),
    [aux_sym_custom_operator_token1] = ACTIONS(2794),
    [anon_sym_LT] = ACTIONS(2796),
    [anon_sym_GT] = ACTIONS(2796),
    [anon_sym_LBRACE] = ACTIONS(2794),
    [anon_sym_CARET_LBRACE] = ACTIONS(2794),
    [anon_sym_RBRACE] = ACTIONS(2794),
    [anon_sym_case] = ACTIONS(2794),
    [anon_sym_PLUS_EQ] = ACTIONS(2794),
    [anon_sym_DASH_EQ] = ACTIONS(2794),
    [anon_sym_STAR_EQ] = ACTIONS(2794),
    [anon_sym_SLASH_EQ] = ACTIONS(2794),
    [anon_sym_PERCENT_EQ] = ACTIONS(2794),
    [anon_sym_BANG_EQ] = ACTIONS(2796),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2794),
    [anon_sym_LT_EQ] = ACTIONS(2794),
    [anon_sym_GT_EQ] = ACTIONS(2794),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2794),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2794),
    [anon_sym_is] = ACTIONS(2794),
    [anon_sym_PLUS] = ACTIONS(2796),
    [anon_sym_DASH] = ACTIONS(2796),
    [anon_sym_STAR] = ACTIONS(2796),
    [anon_sym_SLASH] = ACTIONS(2796),
    [anon_sym_PERCENT] = ACTIONS(2796),
    [anon_sym_PLUS_PLUS] = ACTIONS(2794),
    [anon_sym_DASH_DASH] = ACTIONS(2794),
    [anon_sym_PIPE] = ACTIONS(2794),
    [anon_sym_CARET] = ACTIONS(2796),
    [anon_sym_LT_LT] = ACTIONS(2794),
    [anon_sym_GT_GT] = ACTIONS(2794),
    [anon_sym_import] = ACTIONS(2794),
    [anon_sym_typealias] = ACTIONS(2794),
    [anon_sym_struct] = ACTIONS(2794),
    [anon_sym_class] = ACTIONS(2794),
    [anon_sym_enum] = ACTIONS(2794),
    [anon_sym_protocol] = ACTIONS(2794),
    [anon_sym_let] = ACTIONS(2794),
    [anon_sym_var] = ACTIONS(2794),
    [anon_sym_func] = ACTIONS(2794),
    [anon_sym_extension] = ACTIONS(2794),
    [anon_sym_indirect] = ACTIONS(2794),
    [anon_sym_BANG2] = ACTIONS(2796),
    [anon_sym_SEMI] = ACTIONS(2794),
    [anon_sym_init] = ACTIONS(2794),
    [anon_sym_deinit] = ACTIONS(2794),
    [anon_sym_subscript] = ACTIONS(2794),
    [anon_sym_prefix] = ACTIONS(2794),
    [anon_sym_infix] = ACTIONS(2794),
    [anon_sym_postfix] = ACTIONS(2794),
    [anon_sym_precedencegroup] = ACTIONS(2794),
    [anon_sym_associatedtype] = ACTIONS(2794),
    [anon_sym_AT] = ACTIONS(2796),
    [anon_sym_override] = ACTIONS(2794),
    [anon_sym_convenience] = ACTIONS(2794),
    [anon_sym_required] = ACTIONS(2794),
    [anon_sym_nonisolated] = ACTIONS(2794),
    [anon_sym_public] = ACTIONS(2794),
    [anon_sym_private] = ACTIONS(2794),
    [anon_sym_internal] = ACTIONS(2794),
    [anon_sym_fileprivate] = ACTIONS(2794),
    [anon_sym_open] = ACTIONS(2794),
    [anon_sym_mutating] = ACTIONS(2794),
    [anon_sym_nonmutating] = ACTIONS(2794),
    [anon_sym_static] = ACTIONS(2794),
    [anon_sym_dynamic] = ACTIONS(2794),
    [anon_sym_optional] = ACTIONS(2794),
    [anon_sym_distributed] = ACTIONS(2794),
    [anon_sym_final] = ACTIONS(2794),
    [anon_sym_inout] = ACTIONS(2794),
    [anon_sym_ATescaping] = ACTIONS(2794),
    [anon_sym_ATautoclosure] = ACTIONS(2794),
    [anon_sym_weak] = ACTIONS(2794),
    [anon_sym_unowned] = ACTIONS(2796),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2794),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2794),
    [anon_sym_borrowing] = ACTIONS(2794),
    [anon_sym_consuming] = ACTIONS(2794),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2794),
    [sym__dot_custom] = ACTIONS(2794),
    [sym__conjunction_operator_custom] = ACTIONS(2794),
    [sym__disjunction_operator_custom] = ACTIONS(2794),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2794),
    [sym__eq_custom] = ACTIONS(2794),
    [sym__eq_eq_custom] = ACTIONS(2794),
    [sym__plus_then_ws] = ACTIONS(2794),
    [sym__minus_then_ws] = ACTIONS(2794),
    [sym__bang_custom] = ACTIONS(2794),
    [sym__throws_keyword] = ACTIONS(2794),
    [sym__rethrows_keyword] = ACTIONS(2794),
    [sym__as_custom] = ACTIONS(2794),
    [sym__as_quest_custom] = ACTIONS(2794),
    [sym__as_bang_custom] = ACTIONS(2794),
    [sym__async_keyword_custom] = ACTIONS(2794),
    [sym__custom_operator] = ACTIONS(2794),
  },
  [680] = {
    [sym__dot] = STATE(4698),
    [aux_sym_user_type_repeat1] = STATE(680),
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(2798),
    [anon_sym_async] = ACTIONS(2798),
    [anon_sym_lazy] = ACTIONS(2798),
    [anon_sym_package] = ACTIONS(2798),
    [anon_sym_RPAREN] = ACTIONS(2798),
    [anon_sym_COMMA] = ACTIONS(2798),
    [anon_sym_COLON] = ACTIONS(2798),
    [anon_sym_LPAREN] = ACTIONS(2798),
    [anon_sym_LBRACK] = ACTIONS(2798),
    [anon_sym_RBRACK] = ACTIONS(2798),
    [anon_sym_DOT] = ACTIONS(2800),
    [anon_sym_QMARK] = ACTIONS(2800),
    [anon_sym_QMARK2] = ACTIONS(2798),
    [anon_sym_AMP] = ACTIONS(2798),
    [aux_sym_custom_operator_token1] = ACTIONS(2798),
    [anon_sym_LT] = ACTIONS(2800),
    [anon_sym_GT] = ACTIONS(2800),
    [anon_sym_LBRACE] = ACTIONS(2798),
    [anon_sym_CARET_LBRACE] = ACTIONS(2798),
    [anon_sym_RBRACE] = ACTIONS(2798),
    [anon_sym_case] = ACTIONS(2798),
    [anon_sym_PLUS_EQ] = ACTIONS(2798),
    [anon_sym_DASH_EQ] = ACTIONS(2798),
    [anon_sym_STAR_EQ] = ACTIONS(2798),
    [anon_sym_SLASH_EQ] = ACTIONS(2798),
    [anon_sym_PERCENT_EQ] = ACTIONS(2798),
    [anon_sym_BANG_EQ] = ACTIONS(2800),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2798),
    [anon_sym_LT_EQ] = ACTIONS(2798),
    [anon_sym_GT_EQ] = ACTIONS(2798),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2798),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2798),
    [anon_sym_is] = ACTIONS(2798),
    [anon_sym_PLUS] = ACTIONS(2800),
    [anon_sym_DASH] = ACTIONS(2800),
    [anon_sym_STAR] = ACTIONS(2800),
    [anon_sym_SLASH] = ACTIONS(2800),
    [anon_sym_PERCENT] = ACTIONS(2800),
    [anon_sym_PLUS_PLUS] = ACTIONS(2798),
    [anon_sym_DASH_DASH] = ACTIONS(2798),
    [anon_sym_PIPE] = ACTIONS(2798),
    [anon_sym_CARET] = ACTIONS(2800),
    [anon_sym_LT_LT] = ACTIONS(2798),
    [anon_sym_GT_GT] = ACTIONS(2798),
    [anon_sym_import] = ACTIONS(2798),
    [anon_sym_typealias] = ACTIONS(2798),
    [anon_sym_struct] = ACTIONS(2798),
    [anon_sym_class] = ACTIONS(2798),
    [anon_sym_enum] = ACTIONS(2798),
    [anon_sym_protocol] = ACTIONS(2798),
    [anon_sym_let] = ACTIONS(2798),
    [anon_sym_var] = ACTIONS(2798),
    [anon_sym_func] = ACTIONS(2798),
    [anon_sym_extension] = ACTIONS(2798),
    [anon_sym_indirect] = ACTIONS(2798),
    [anon_sym_BANG2] = ACTIONS(2800),
    [anon_sym_SEMI] = ACTIONS(2798),
    [anon_sym_init] = ACTIONS(2798),
    [anon_sym_deinit] = ACTIONS(2798),
    [anon_sym_subscript] = ACTIONS(2798),
    [anon_sym_prefix] = ACTIONS(2798),
    [anon_sym_infix] = ACTIONS(2798),
    [anon_sym_postfix] = ACTIONS(2798),
    [anon_sym_precedencegroup] = ACTIONS(2798),
    [anon_sym_associatedtype] = ACTIONS(2798),
    [anon_sym_AT] = ACTIONS(2800),
    [anon_sym_override] = ACTIONS(2798),
    [anon_sym_convenience] = ACTIONS(2798),
    [anon_sym_required] = ACTIONS(2798),
    [anon_sym_nonisolated] = ACTIONS(2798),
    [anon_sym_public] = ACTIONS(2798),
    [anon_sym_private] = ACTIONS(2798),
    [anon_sym_internal] = ACTIONS(2798),
    [anon_sym_fileprivate] = ACTIONS(2798),
    [anon_sym_open] = ACTIONS(2798),
    [anon_sym_mutating] = ACTIONS(2798),
    [anon_sym_nonmutating] = ACTIONS(2798),
    [anon_sym_static] = ACTIONS(2798),
    [anon_sym_dynamic] = ACTIONS(2798),
    [anon_sym_optional] = ACTIONS(2798),
    [anon_sym_distributed] = ACTIONS(2798),
    [anon_sym_final] = ACTIONS(2798),
    [anon_sym_inout] = ACTIONS(2798),
    [anon_sym_ATescaping] = ACTIONS(2798),
    [anon_sym_ATautoclosure] = ACTIONS(2798),
    [anon_sym_weak] = ACTIONS(2798),
    [anon_sym_unowned] = ACTIONS(2800),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2798),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2798),
    [anon_sym_borrowing] = ACTIONS(2798),
    [anon_sym_consuming] = ACTIONS(2798),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2798),
    [sym__dot_custom] = ACTIONS(2802),
    [sym__conjunction_operator_custom] = ACTIONS(2798),
    [sym__disjunction_operator_custom] = ACTIONS(2798),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2798),
    [sym__eq_custom] = ACTIONS(2798),
    [sym__eq_eq_custom] = ACTIONS(2798),
    [sym__plus_then_ws] = ACTIONS(2798),
    [sym__minus_then_ws] = ACTIONS(2798),
    [sym__bang_custom] = ACTIONS(2798),
    [sym__throws_keyword] = ACTIONS(2798),
    [sym__rethrows_keyword] = ACTIONS(2798),
    [sym__as_custom] = ACTIONS(2798),
    [sym__as_quest_custom] = ACTIONS(2798),
    [sym__as_bang_custom] = ACTIONS(2798),
    [sym__async_keyword_custom] = ACTIONS(2798),
    [sym__custom_operator] = ACTIONS(2798),
  },
  [681] = {
    [sym__dot] = STATE(4698),
    [aux_sym_user_type_repeat1] = STATE(687),
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(2805),
    [anon_sym_async] = ACTIONS(2805),
    [anon_sym_lazy] = ACTIONS(2805),
    [anon_sym_package] = ACTIONS(2805),
    [anon_sym_RPAREN] = ACTIONS(2805),
    [anon_sym_COMMA] = ACTIONS(2805),
    [anon_sym_COLON] = ACTIONS(2805),
    [anon_sym_LPAREN] = ACTIONS(2805),
    [anon_sym_LBRACK] = ACTIONS(2805),
    [anon_sym_RBRACK] = ACTIONS(2805),
    [anon_sym_DOT] = ACTIONS(2807),
    [anon_sym_QMARK] = ACTIONS(2807),
    [anon_sym_QMARK2] = ACTIONS(2805),
    [anon_sym_AMP] = ACTIONS(2805),
    [aux_sym_custom_operator_token1] = ACTIONS(2805),
    [anon_sym_LT] = ACTIONS(2807),
    [anon_sym_GT] = ACTIONS(2807),
    [anon_sym_LBRACE] = ACTIONS(2805),
    [anon_sym_CARET_LBRACE] = ACTIONS(2805),
    [anon_sym_RBRACE] = ACTIONS(2805),
    [anon_sym_case] = ACTIONS(2805),
    [anon_sym_PLUS_EQ] = ACTIONS(2805),
    [anon_sym_DASH_EQ] = ACTIONS(2805),
    [anon_sym_STAR_EQ] = ACTIONS(2805),
    [anon_sym_SLASH_EQ] = ACTIONS(2805),
    [anon_sym_PERCENT_EQ] = ACTIONS(2805),
    [anon_sym_BANG_EQ] = ACTIONS(2807),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2805),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2805),
    [anon_sym_LT_EQ] = ACTIONS(2805),
    [anon_sym_GT_EQ] = ACTIONS(2805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2805),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2805),
    [anon_sym_is] = ACTIONS(2805),
    [anon_sym_PLUS] = ACTIONS(2807),
    [anon_sym_DASH] = ACTIONS(2807),
    [anon_sym_STAR] = ACTIONS(2807),
    [anon_sym_SLASH] = ACTIONS(2807),
    [anon_sym_PERCENT] = ACTIONS(2807),
    [anon_sym_PLUS_PLUS] = ACTIONS(2805),
    [anon_sym_DASH_DASH] = ACTIONS(2805),
    [anon_sym_PIPE] = ACTIONS(2805),
    [anon_sym_CARET] = ACTIONS(2807),
    [anon_sym_LT_LT] = ACTIONS(2805),
    [anon_sym_GT_GT] = ACTIONS(2805),
    [anon_sym_import] = ACTIONS(2805),
    [anon_sym_typealias] = ACTIONS(2805),
    [anon_sym_struct] = ACTIONS(2805),
    [anon_sym_class] = ACTIONS(2805),
    [anon_sym_enum] = ACTIONS(2805),
    [anon_sym_protocol] = ACTIONS(2805),
    [anon_sym_let] = ACTIONS(2805),
    [anon_sym_var] = ACTIONS(2805),
    [anon_sym_func] = ACTIONS(2805),
    [anon_sym_extension] = ACTIONS(2805),
    [anon_sym_indirect] = ACTIONS(2805),
    [anon_sym_BANG2] = ACTIONS(2807),
    [anon_sym_SEMI] = ACTIONS(2805),
    [anon_sym_init] = ACTIONS(2805),
    [anon_sym_deinit] = ACTIONS(2805),
    [anon_sym_subscript] = ACTIONS(2805),
    [anon_sym_prefix] = ACTIONS(2805),
    [anon_sym_infix] = ACTIONS(2805),
    [anon_sym_postfix] = ACTIONS(2805),
    [anon_sym_precedencegroup] = ACTIONS(2805),
    [anon_sym_associatedtype] = ACTIONS(2805),
    [anon_sym_AT] = ACTIONS(2807),
    [anon_sym_override] = ACTIONS(2805),
    [anon_sym_convenience] = ACTIONS(2805),
    [anon_sym_required] = ACTIONS(2805),
    [anon_sym_nonisolated] = ACTIONS(2805),
    [anon_sym_public] = ACTIONS(2805),
    [anon_sym_private] = ACTIONS(2805),
    [anon_sym_internal] = ACTIONS(2805),
    [anon_sym_fileprivate] = ACTIONS(2805),
    [anon_sym_open] = ACTIONS(2805),
    [anon_sym_mutating] = ACTIONS(2805),
    [anon_sym_nonmutating] = ACTIONS(2805),
    [anon_sym_static] = ACTIONS(2805),
    [anon_sym_dynamic] = ACTIONS(2805),
    [anon_sym_optional] = ACTIONS(2805),
    [anon_sym_distributed] = ACTIONS(2805),
    [anon_sym_final] = ACTIONS(2805),
    [anon_sym_inout] = ACTIONS(2805),
    [anon_sym_ATescaping] = ACTIONS(2805),
    [anon_sym_ATautoclosure] = ACTIONS(2805),
    [anon_sym_weak] = ACTIONS(2805),
    [anon_sym_unowned] = ACTIONS(2807),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2805),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2805),
    [anon_sym_borrowing] = ACTIONS(2805),
    [anon_sym_consuming] = ACTIONS(2805),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2805),
    [sym__dot_custom] = ACTIONS(2809),
    [sym__conjunction_operator_custom] = ACTIONS(2805),
    [sym__disjunction_operator_custom] = ACTIONS(2805),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2805),
    [sym__eq_custom] = ACTIONS(2805),
    [sym__eq_eq_custom] = ACTIONS(2805),
    [sym__plus_then_ws] = ACTIONS(2805),
    [sym__minus_then_ws] = ACTIONS(2805),
    [sym__bang_custom] = ACTIONS(2805),
    [sym__throws_keyword] = ACTIONS(2805),
    [sym__rethrows_keyword] = ACTIONS(2805),
    [sym__as_custom] = ACTIONS(2805),
    [sym__as_quest_custom] = ACTIONS(2805),
    [sym__as_bang_custom] = ACTIONS(2805),
    [sym__async_keyword_custom] = ACTIONS(2805),
    [sym__custom_operator] = ACTIONS(2805),
  },
  [682] = {
    [sym_simple_identifier] = STATE(7631),
    [sym__contextual_simple_identifier] = STATE(4320),
    [sym__parameter_ownership_modifier] = STATE(4320),
    [aux_sym__fn_call_lambda_arguments_repeat1] = STATE(684),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2812),
    [aux_sym_simple_identifier_token2] = ACTIONS(2814),
    [aux_sym_simple_identifier_token3] = ACTIONS(2814),
    [aux_sym_simple_identifier_token4] = ACTIONS(2814),
    [anon_sym_actor] = ACTIONS(2816),
    [anon_sym_async] = ACTIONS(2816),
    [anon_sym_each] = ACTIONS(2812),
    [anon_sym_lazy] = ACTIONS(2816),
    [anon_sym_repeat] = ACTIONS(2812),
    [anon_sym_package] = ACTIONS(2816),
    [anon_sym_COMMA] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(2819),
    [anon_sym_LBRACK] = ACTIONS(2819),
    [anon_sym_QMARK] = ACTIONS(2821),
    [anon_sym_QMARK2] = ACTIONS(2819),
    [anon_sym_AMP] = ACTIONS(2819),
    [aux_sym_custom_operator_token1] = ACTIONS(2819),
    [anon_sym_LT] = ACTIONS(2821),
    [anon_sym_GT] = ACTIONS(2821),
    [anon_sym_LBRACE] = ACTIONS(2819),
    [anon_sym_CARET_LBRACE] = ACTIONS(2819),
    [anon_sym_RBRACE] = ACTIONS(2819),
    [anon_sym_case] = ACTIONS(2821),
    [anon_sym_PLUS_EQ] = ACTIONS(2819),
    [anon_sym_DASH_EQ] = ACTIONS(2819),
    [anon_sym_STAR_EQ] = ACTIONS(2819),
    [anon_sym_SLASH_EQ] = ACTIONS(2819),
    [anon_sym_PERCENT_EQ] = ACTIONS(2819),
    [anon_sym_BANG_EQ] = ACTIONS(2821),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2819),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2819),
    [anon_sym_LT_EQ] = ACTIONS(2819),
    [anon_sym_GT_EQ] = ACTIONS(2819),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2819),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2819),
    [anon_sym_is] = ACTIONS(2821),
    [anon_sym_PLUS] = ACTIONS(2821),
    [anon_sym_DASH] = ACTIONS(2821),
    [anon_sym_STAR] = ACTIONS(2821),
    [anon_sym_SLASH] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(2821),
    [anon_sym_PLUS_PLUS] = ACTIONS(2819),
    [anon_sym_DASH_DASH] = ACTIONS(2819),
    [anon_sym_PIPE] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_LT_LT] = ACTIONS(2819),
    [anon_sym_GT_GT] = ACTIONS(2819),
    [anon_sym_import] = ACTIONS(2821),
    [anon_sym_typealias] = ACTIONS(2821),
    [anon_sym_struct] = ACTIONS(2821),
    [anon_sym_class] = ACTIONS(2821),
    [anon_sym_enum] = ACTIONS(2821),
    [anon_sym_protocol] = ACTIONS(2821),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_var] = ACTIONS(2821),
    [anon_sym_func] = ACTIONS(2821),
    [anon_sym_extension] = ACTIONS(2821),
    [anon_sym_indirect] = ACTIONS(2821),
    [anon_sym_BANG2] = ACTIONS(2821),
    [anon_sym_SEMI] = ACTIONS(2819),
    [anon_sym_init] = ACTIONS(2821),
    [anon_sym_deinit] = ACTIONS(2821),
    [anon_sym_subscript] = ACTIONS(2821),
    [anon_sym_prefix] = ACTIONS(2821),
    [anon_sym_infix] = ACTIONS(2821),
    [anon_sym_postfix] = ACTIONS(2821),
    [anon_sym_precedencegroup] = ACTIONS(2821),
    [anon_sym_associatedtype] = ACTIONS(2821),
    [anon_sym_AT] = ACTIONS(2821),
    [anon_sym_override] = ACTIONS(2821),
    [anon_sym_convenience] = ACTIONS(2821),
    [anon_sym_required] = ACTIONS(2821),
    [anon_sym_nonisolated] = ACTIONS(2821),
    [anon_sym_public] = ACTIONS(2821),
    [anon_sym_private] = ACTIONS(2821),
    [anon_sym_internal] = ACTIONS(2821),
    [anon_sym_fileprivate] = ACTIONS(2821),
    [anon_sym_open] = ACTIONS(2821),
    [anon_sym_mutating] = ACTIONS(2821),
    [anon_sym_nonmutating] = ACTIONS(2821),
    [anon_sym_static] = ACTIONS(2821),
    [anon_sym_dynamic] = ACTIONS(2821),
    [anon_sym_optional] = ACTIONS(2821),
    [anon_sym_distributed] = ACTIONS(2821),
    [anon_sym_final] = ACTIONS(2821),
    [anon_sym_inout] = ACTIONS(2821),
    [anon_sym_ATescaping] = ACTIONS(2819),
    [anon_sym_ATautoclosure] = ACTIONS(2819),
    [anon_sym_weak] = ACTIONS(2821),
    [anon_sym_unowned] = ACTIONS(2821),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2819),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2819),
    [anon_sym_borrowing] = ACTIONS(2816),
    [anon_sym_consuming] = ACTIONS(2816),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2819),
    [sym__conjunction_operator_custom] = ACTIONS(2819),
    [sym__disjunction_operator_custom] = ACTIONS(2819),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2819),
    [sym__eq_custom] = ACTIONS(2819),
    [sym__eq_eq_custom] = ACTIONS(2819),
    [sym__plus_then_ws] = ACTIONS(2819),
    [sym__minus_then_ws] = ACTIONS(2819),
    [sym__bang_custom] = ACTIONS(2819),
    [sym__as_custom] = ACTIONS(2819),
    [sym__as_quest_custom] = ACTIONS(2819),
    [sym__as_bang_custom] = ACTIONS(2819),
    [sym__custom_operator] = ACTIONS(2819),
  },
  [683] = {
    [sym_simple_identifier] = STATE(7631),
    [sym__contextual_simple_identifier] = STATE(4320),
    [sym__parameter_ownership_modifier] = STATE(4320),
    [aux_sym__fn_call_lambda_arguments_repeat1] = STATE(682),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2812),
    [aux_sym_simple_identifier_token2] = ACTIONS(2814),
    [aux_sym_simple_identifier_token3] = ACTIONS(2814),
    [aux_sym_simple_identifier_token4] = ACTIONS(2814),
    [anon_sym_actor] = ACTIONS(2823),
    [anon_sym_async] = ACTIONS(2823),
    [anon_sym_each] = ACTIONS(2812),
    [anon_sym_lazy] = ACTIONS(2823),
    [anon_sym_repeat] = ACTIONS(2812),
    [anon_sym_package] = ACTIONS(2823),
    [anon_sym_COMMA] = ACTIONS(2826),
    [anon_sym_LPAREN] = ACTIONS(2826),
    [anon_sym_LBRACK] = ACTIONS(2826),
    [anon_sym_QMARK] = ACTIONS(2828),
    [anon_sym_QMARK2] = ACTIONS(2826),
    [anon_sym_AMP] = ACTIONS(2826),
    [aux_sym_custom_operator_token1] = ACTIONS(2826),
    [anon_sym_LT] = ACTIONS(2828),
    [anon_sym_GT] = ACTIONS(2828),
    [anon_sym_LBRACE] = ACTIONS(2826),
    [anon_sym_CARET_LBRACE] = ACTIONS(2826),
    [anon_sym_RBRACE] = ACTIONS(2826),
    [anon_sym_case] = ACTIONS(2828),
    [anon_sym_PLUS_EQ] = ACTIONS(2826),
    [anon_sym_DASH_EQ] = ACTIONS(2826),
    [anon_sym_STAR_EQ] = ACTIONS(2826),
    [anon_sym_SLASH_EQ] = ACTIONS(2826),
    [anon_sym_PERCENT_EQ] = ACTIONS(2826),
    [anon_sym_BANG_EQ] = ACTIONS(2828),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2826),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2826),
    [anon_sym_LT_EQ] = ACTIONS(2826),
    [anon_sym_GT_EQ] = ACTIONS(2826),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2826),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2826),
    [anon_sym_is] = ACTIONS(2828),
    [anon_sym_PLUS] = ACTIONS(2828),
    [anon_sym_DASH] = ACTIONS(2828),
    [anon_sym_STAR] = ACTIONS(2828),
    [anon_sym_SLASH] = ACTIONS(2828),
    [anon_sym_PERCENT] = ACTIONS(2828),
    [anon_sym_PLUS_PLUS] = ACTIONS(2826),
    [anon_sym_DASH_DASH] = ACTIONS(2826),
    [anon_sym_PIPE] = ACTIONS(2826),
    [anon_sym_CARET] = ACTIONS(2828),
    [anon_sym_LT_LT] = ACTIONS(2826),
    [anon_sym_GT_GT] = ACTIONS(2826),
    [anon_sym_import] = ACTIONS(2828),
    [anon_sym_typealias] = ACTIONS(2828),
    [anon_sym_struct] = ACTIONS(2828),
    [anon_sym_class] = ACTIONS(2828),
    [anon_sym_enum] = ACTIONS(2828),
    [anon_sym_protocol] = ACTIONS(2828),
    [anon_sym_let] = ACTIONS(2828),
    [anon_sym_var] = ACTIONS(2828),
    [anon_sym_func] = ACTIONS(2828),
    [anon_sym_extension] = ACTIONS(2828),
    [anon_sym_indirect] = ACTIONS(2828),
    [anon_sym_BANG2] = ACTIONS(2828),
    [anon_sym_SEMI] = ACTIONS(2826),
    [anon_sym_init] = ACTIONS(2828),
    [anon_sym_deinit] = ACTIONS(2828),
    [anon_sym_subscript] = ACTIONS(2828),
    [anon_sym_prefix] = ACTIONS(2828),
    [anon_sym_infix] = ACTIONS(2828),
    [anon_sym_postfix] = ACTIONS(2828),
    [anon_sym_precedencegroup] = ACTIONS(2828),
    [anon_sym_associatedtype] = ACTIONS(2828),
    [anon_sym_AT] = ACTIONS(2828),
    [anon_sym_override] = ACTIONS(2828),
    [anon_sym_convenience] = ACTIONS(2828),
    [anon_sym_required] = ACTIONS(2828),
    [anon_sym_nonisolated] = ACTIONS(2828),
    [anon_sym_public] = ACTIONS(2828),
    [anon_sym_private] = ACTIONS(2828),
    [anon_sym_internal] = ACTIONS(2828),
    [anon_sym_fileprivate] = ACTIONS(2828),
    [anon_sym_open] = ACTIONS(2828),
    [anon_sym_mutating] = ACTIONS(2828),
    [anon_sym_nonmutating] = ACTIONS(2828),
    [anon_sym_static] = ACTIONS(2828),
    [anon_sym_dynamic] = ACTIONS(2828),
    [anon_sym_optional] = ACTIONS(2828),
    [anon_sym_distributed] = ACTIONS(2828),
    [anon_sym_final] = ACTIONS(2828),
    [anon_sym_inout] = ACTIONS(2828),
    [anon_sym_ATescaping] = ACTIONS(2826),
    [anon_sym_ATautoclosure] = ACTIONS(2826),
    [anon_sym_weak] = ACTIONS(2828),
    [anon_sym_unowned] = ACTIONS(2828),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2826),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2826),
    [anon_sym_borrowing] = ACTIONS(2823),
    [anon_sym_consuming] = ACTIONS(2823),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2826),
    [sym__conjunction_operator_custom] = ACTIONS(2826),
    [sym__disjunction_operator_custom] = ACTIONS(2826),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2826),
    [sym__eq_custom] = ACTIONS(2826),
    [sym__eq_eq_custom] = ACTIONS(2826),
    [sym__plus_then_ws] = ACTIONS(2826),
    [sym__minus_then_ws] = ACTIONS(2826),
    [sym__bang_custom] = ACTIONS(2826),
    [sym__as_custom] = ACTIONS(2826),
    [sym__as_quest_custom] = ACTIONS(2826),
    [sym__as_bang_custom] = ACTIONS(2826),
    [sym__custom_operator] = ACTIONS(2826),
  },
  [684] = {
    [sym_simple_identifier] = STATE(7631),
    [sym__contextual_simple_identifier] = STATE(4320),
    [sym__parameter_ownership_modifier] = STATE(4320),
    [aux_sym__fn_call_lambda_arguments_repeat1] = STATE(684),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2830),
    [aux_sym_simple_identifier_token2] = ACTIONS(2833),
    [aux_sym_simple_identifier_token3] = ACTIONS(2833),
    [aux_sym_simple_identifier_token4] = ACTIONS(2833),
    [anon_sym_actor] = ACTIONS(2830),
    [anon_sym_async] = ACTIONS(2830),
    [anon_sym_each] = ACTIONS(2830),
    [anon_sym_lazy] = ACTIONS(2830),
    [anon_sym_repeat] = ACTIONS(2830),
    [anon_sym_package] = ACTIONS(2830),
    [anon_sym_COMMA] = ACTIONS(2836),
    [anon_sym_LPAREN] = ACTIONS(2836),
    [anon_sym_LBRACK] = ACTIONS(2836),
    [anon_sym_QMARK] = ACTIONS(2838),
    [anon_sym_QMARK2] = ACTIONS(2836),
    [anon_sym_AMP] = ACTIONS(2836),
    [aux_sym_custom_operator_token1] = ACTIONS(2836),
    [anon_sym_LT] = ACTIONS(2838),
    [anon_sym_GT] = ACTIONS(2838),
    [anon_sym_LBRACE] = ACTIONS(2836),
    [anon_sym_CARET_LBRACE] = ACTIONS(2836),
    [anon_sym_RBRACE] = ACTIONS(2836),
    [anon_sym_case] = ACTIONS(2838),
    [anon_sym_PLUS_EQ] = ACTIONS(2836),
    [anon_sym_DASH_EQ] = ACTIONS(2836),
    [anon_sym_STAR_EQ] = ACTIONS(2836),
    [anon_sym_SLASH_EQ] = ACTIONS(2836),
    [anon_sym_PERCENT_EQ] = ACTIONS(2836),
    [anon_sym_BANG_EQ] = ACTIONS(2838),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2836),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2836),
    [anon_sym_LT_EQ] = ACTIONS(2836),
    [anon_sym_GT_EQ] = ACTIONS(2836),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2836),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2836),
    [anon_sym_is] = ACTIONS(2838),
    [anon_sym_PLUS] = ACTIONS(2838),
    [anon_sym_DASH] = ACTIONS(2838),
    [anon_sym_STAR] = ACTIONS(2838),
    [anon_sym_SLASH] = ACTIONS(2838),
    [anon_sym_PERCENT] = ACTIONS(2838),
    [anon_sym_PLUS_PLUS] = ACTIONS(2836),
    [anon_sym_DASH_DASH] = ACTIONS(2836),
    [anon_sym_PIPE] = ACTIONS(2836),
    [anon_sym_CARET] = ACTIONS(2838),
    [anon_sym_LT_LT] = ACTIONS(2836),
    [anon_sym_GT_GT] = ACTIONS(2836),
    [anon_sym_import] = ACTIONS(2838),
    [anon_sym_typealias] = ACTIONS(2838),
    [anon_sym_struct] = ACTIONS(2838),
    [anon_sym_class] = ACTIONS(2838),
    [anon_sym_enum] = ACTIONS(2838),
    [anon_sym_protocol] = ACTIONS(2838),
    [anon_sym_let] = ACTIONS(2838),
    [anon_sym_var] = ACTIONS(2838),
    [anon_sym_func] = ACTIONS(2838),
    [anon_sym_extension] = ACTIONS(2838),
    [anon_sym_indirect] = ACTIONS(2838),
    [anon_sym_BANG2] = ACTIONS(2838),
    [anon_sym_SEMI] = ACTIONS(2836),
    [anon_sym_init] = ACTIONS(2838),
    [anon_sym_deinit] = ACTIONS(2838),
    [anon_sym_subscript] = ACTIONS(2838),
    [anon_sym_prefix] = ACTIONS(2838),
    [anon_sym_infix] = ACTIONS(2838),
    [anon_sym_postfix] = ACTIONS(2838),
    [anon_sym_precedencegroup] = ACTIONS(2838),
    [anon_sym_associatedtype] = ACTIONS(2838),
    [anon_sym_AT] = ACTIONS(2838),
    [anon_sym_override] = ACTIONS(2838),
    [anon_sym_convenience] = ACTIONS(2838),
    [anon_sym_required] = ACTIONS(2838),
    [anon_sym_nonisolated] = ACTIONS(2838),
    [anon_sym_public] = ACTIONS(2838),
    [anon_sym_private] = ACTIONS(2838),
    [anon_sym_internal] = ACTIONS(2838),
    [anon_sym_fileprivate] = ACTIONS(2838),
    [anon_sym_open] = ACTIONS(2838),
    [anon_sym_mutating] = ACTIONS(2838),
    [anon_sym_nonmutating] = ACTIONS(2838),
    [anon_sym_static] = ACTIONS(2838),
    [anon_sym_dynamic] = ACTIONS(2838),
    [anon_sym_optional] = ACTIONS(2838),
    [anon_sym_distributed] = ACTIONS(2838),
    [anon_sym_final] = ACTIONS(2838),
    [anon_sym_inout] = ACTIONS(2838),
    [anon_sym_ATescaping] = ACTIONS(2836),
    [anon_sym_ATautoclosure] = ACTIONS(2836),
    [anon_sym_weak] = ACTIONS(2838),
    [anon_sym_unowned] = ACTIONS(2838),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2836),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2836),
    [anon_sym_borrowing] = ACTIONS(2830),
    [anon_sym_consuming] = ACTIONS(2830),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2836),
    [sym__conjunction_operator_custom] = ACTIONS(2836),
    [sym__disjunction_operator_custom] = ACTIONS(2836),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2836),
    [sym__eq_custom] = ACTIONS(2836),
    [sym__eq_eq_custom] = ACTIONS(2836),
    [sym__plus_then_ws] = ACTIONS(2836),
    [sym__minus_then_ws] = ACTIONS(2836),
    [sym__bang_custom] = ACTIONS(2836),
    [sym__as_custom] = ACTIONS(2836),
    [sym__as_quest_custom] = ACTIONS(2836),
    [sym__as_bang_custom] = ACTIONS(2836),
    [sym__custom_operator] = ACTIONS(2836),
  },
  [685] = {
    [sym__immediate_quest] = STATE(679),
    [aux_sym_optional_type_repeat1] = STATE(679),
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(2840),
    [anon_sym_async] = ACTIONS(2840),
    [anon_sym_lazy] = ACTIONS(2840),
    [anon_sym_package] = ACTIONS(2840),
    [anon_sym_RPAREN] = ACTIONS(2840),
    [anon_sym_COMMA] = ACTIONS(2840),
    [anon_sym_COLON] = ACTIONS(2840),
    [anon_sym_LPAREN] = ACTIONS(2840),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(2840),
    [anon_sym_DOT] = ACTIONS(2842),
    [anon_sym_QMARK] = ACTIONS(2842),
    [anon_sym_QMARK2] = ACTIONS(2844),
    [anon_sym_AMP] = ACTIONS(2840),
    [aux_sym_custom_operator_token1] = ACTIONS(2840),
    [anon_sym_LT] = ACTIONS(2842),
    [anon_sym_GT] = ACTIONS(2842),
    [anon_sym_LBRACE] = ACTIONS(2840),
    [anon_sym_CARET_LBRACE] = ACTIONS(2840),
    [anon_sym_RBRACE] = ACTIONS(2840),
    [anon_sym_case] = ACTIONS(2840),
    [anon_sym_PLUS_EQ] = ACTIONS(2840),
    [anon_sym_DASH_EQ] = ACTIONS(2840),
    [anon_sym_STAR_EQ] = ACTIONS(2840),
    [anon_sym_SLASH_EQ] = ACTIONS(2840),
    [anon_sym_PERCENT_EQ] = ACTIONS(2840),
    [anon_sym_BANG_EQ] = ACTIONS(2842),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2840),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2840),
    [anon_sym_LT_EQ] = ACTIONS(2840),
    [anon_sym_GT_EQ] = ACTIONS(2840),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2840),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2840),
    [anon_sym_is] = ACTIONS(2840),
    [anon_sym_PLUS] = ACTIONS(2842),
    [anon_sym_DASH] = ACTIONS(2842),
    [anon_sym_STAR] = ACTIONS(2842),
    [anon_sym_SLASH] = ACTIONS(2842),
    [anon_sym_PERCENT] = ACTIONS(2842),
    [anon_sym_PLUS_PLUS] = ACTIONS(2840),
    [anon_sym_DASH_DASH] = ACTIONS(2840),
    [anon_sym_PIPE] = ACTIONS(2840),
    [anon_sym_CARET] = ACTIONS(2842),
    [anon_sym_LT_LT] = ACTIONS(2840),
    [anon_sym_GT_GT] = ACTIONS(2840),
    [anon_sym_import] = ACTIONS(2840),
    [anon_sym_typealias] = ACTIONS(2840),
    [anon_sym_struct] = ACTIONS(2840),
    [anon_sym_class] = ACTIONS(2840),
    [anon_sym_enum] = ACTIONS(2840),
    [anon_sym_protocol] = ACTIONS(2840),
    [anon_sym_let] = ACTIONS(2840),
    [anon_sym_var] = ACTIONS(2840),
    [anon_sym_func] = ACTIONS(2840),
    [anon_sym_extension] = ACTIONS(2840),
    [anon_sym_indirect] = ACTIONS(2840),
    [anon_sym_BANG2] = ACTIONS(2842),
    [anon_sym_SEMI] = ACTIONS(2840),
    [anon_sym_init] = ACTIONS(2840),
    [anon_sym_deinit] = ACTIONS(2840),
    [anon_sym_subscript] = ACTIONS(2840),
    [anon_sym_prefix] = ACTIONS(2840),
    [anon_sym_infix] = ACTIONS(2840),
    [anon_sym_postfix] = ACTIONS(2840),
    [anon_sym_precedencegroup] = ACTIONS(2840),
    [anon_sym_associatedtype] = ACTIONS(2840),
    [anon_sym_AT] = ACTIONS(2842),
    [anon_sym_override] = ACTIONS(2840),
    [anon_sym_convenience] = ACTIONS(2840),
    [anon_sym_required] = ACTIONS(2840),
    [anon_sym_nonisolated] = ACTIONS(2840),
    [anon_sym_public] = ACTIONS(2840),
    [anon_sym_private] = ACTIONS(2840),
    [anon_sym_internal] = ACTIONS(2840),
    [anon_sym_fileprivate] = ACTIONS(2840),
    [anon_sym_open] = ACTIONS(2840),
    [anon_sym_mutating] = ACTIONS(2840),
    [anon_sym_nonmutating] = ACTIONS(2840),
    [anon_sym_static] = ACTIONS(2840),
    [anon_sym_dynamic] = ACTIONS(2840),
    [anon_sym_optional] = ACTIONS(2840),
    [anon_sym_distributed] = ACTIONS(2840),
    [anon_sym_final] = ACTIONS(2840),
    [anon_sym_inout] = ACTIONS(2840),
    [anon_sym_ATescaping] = ACTIONS(2840),
    [anon_sym_ATautoclosure] = ACTIONS(2840),
    [anon_sym_weak] = ACTIONS(2840),
    [anon_sym_unowned] = ACTIONS(2842),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2840),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2840),
    [anon_sym_borrowing] = ACTIONS(2840),
    [anon_sym_consuming] = ACTIONS(2840),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2840),
    [sym__dot_custom] = ACTIONS(2840),
    [sym__conjunction_operator_custom] = ACTIONS(2840),
    [sym__disjunction_operator_custom] = ACTIONS(2840),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2840),
    [sym__eq_custom] = ACTIONS(2840),
    [sym__eq_eq_custom] = ACTIONS(2840),
    [sym__plus_then_ws] = ACTIONS(2840),
    [sym__minus_then_ws] = ACTIONS(2840),
    [sym__bang_custom] = ACTIONS(2840),
    [sym__throws_keyword] = ACTIONS(2840),
    [sym__rethrows_keyword] = ACTIONS(2840),
    [sym__as_custom] = ACTIONS(2840),
    [sym__as_quest_custom] = ACTIONS(2840),
    [sym__as_bang_custom] = ACTIONS(2840),
    [sym__async_keyword_custom] = ACTIONS(2840),
    [sym__custom_operator] = ACTIONS(2840),
  },
  [686] = {
    [sym__immediate_quest] = STATE(679),
    [sym__arrow_operator] = STATE(3842),
    [sym__async_keyword] = STATE(6073),
    [sym_throws] = STATE(7377),
    [aux_sym_optional_type_repeat1] = STATE(679),
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(2840),
    [anon_sym_async] = ACTIONS(2840),
    [anon_sym_lazy] = ACTIONS(2840),
    [anon_sym_package] = ACTIONS(2840),
    [anon_sym_COMMA] = ACTIONS(2840),
    [anon_sym_LPAREN] = ACTIONS(2840),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_DOT] = ACTIONS(2842),
    [anon_sym_QMARK] = ACTIONS(2842),
    [anon_sym_QMARK2] = ACTIONS(2844),
    [anon_sym_AMP] = ACTIONS(2840),
    [aux_sym_custom_operator_token1] = ACTIONS(2840),
    [anon_sym_LT] = ACTIONS(2842),
    [anon_sym_GT] = ACTIONS(2842),
    [anon_sym_LBRACE] = ACTIONS(2840),
    [anon_sym_CARET_LBRACE] = ACTIONS(2840),
    [anon_sym_RBRACE] = ACTIONS(2840),
    [anon_sym_case] = ACTIONS(2840),
    [anon_sym_PLUS_EQ] = ACTIONS(2840),
    [anon_sym_DASH_EQ] = ACTIONS(2840),
    [anon_sym_STAR_EQ] = ACTIONS(2840),
    [anon_sym_SLASH_EQ] = ACTIONS(2840),
    [anon_sym_PERCENT_EQ] = ACTIONS(2840),
    [anon_sym_BANG_EQ] = ACTIONS(2842),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2840),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2840),
    [anon_sym_LT_EQ] = ACTIONS(2840),
    [anon_sym_GT_EQ] = ACTIONS(2840),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2840),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2840),
    [anon_sym_is] = ACTIONS(2840),
    [anon_sym_PLUS] = ACTIONS(2842),
    [anon_sym_DASH] = ACTIONS(2842),
    [anon_sym_STAR] = ACTIONS(2842),
    [anon_sym_SLASH] = ACTIONS(2842),
    [anon_sym_PERCENT] = ACTIONS(2842),
    [anon_sym_PLUS_PLUS] = ACTIONS(2840),
    [anon_sym_DASH_DASH] = ACTIONS(2840),
    [anon_sym_PIPE] = ACTIONS(2840),
    [anon_sym_CARET] = ACTIONS(2842),
    [anon_sym_LT_LT] = ACTIONS(2840),
    [anon_sym_GT_GT] = ACTIONS(2840),
    [anon_sym_import] = ACTIONS(2840),
    [anon_sym_typealias] = ACTIONS(2840),
    [anon_sym_struct] = ACTIONS(2840),
    [anon_sym_class] = ACTIONS(2840),
    [anon_sym_enum] = ACTIONS(2840),
    [anon_sym_protocol] = ACTIONS(2840),
    [anon_sym_let] = ACTIONS(2840),
    [anon_sym_var] = ACTIONS(2840),
    [anon_sym_func] = ACTIONS(2840),
    [anon_sym_extension] = ACTIONS(2840),
    [anon_sym_indirect] = ACTIONS(2840),
    [anon_sym_BANG2] = ACTIONS(2842),
    [anon_sym_SEMI] = ACTIONS(2840),
    [anon_sym_init] = ACTIONS(2840),
    [anon_sym_deinit] = ACTIONS(2840),
    [anon_sym_subscript] = ACTIONS(2840),
    [anon_sym_prefix] = ACTIONS(2840),
    [anon_sym_infix] = ACTIONS(2840),
    [anon_sym_postfix] = ACTIONS(2840),
    [anon_sym_precedencegroup] = ACTIONS(2840),
    [anon_sym_associatedtype] = ACTIONS(2840),
    [anon_sym_AT] = ACTIONS(2842),
    [anon_sym_override] = ACTIONS(2840),
    [anon_sym_convenience] = ACTIONS(2840),
    [anon_sym_required] = ACTIONS(2840),
    [anon_sym_nonisolated] = ACTIONS(2840),
    [anon_sym_public] = ACTIONS(2840),
    [anon_sym_private] = ACTIONS(2840),
    [anon_sym_internal] = ACTIONS(2840),
    [anon_sym_fileprivate] = ACTIONS(2840),
    [anon_sym_open] = ACTIONS(2840),
    [anon_sym_mutating] = ACTIONS(2840),
    [anon_sym_nonmutating] = ACTIONS(2840),
    [anon_sym_static] = ACTIONS(2840),
    [anon_sym_dynamic] = ACTIONS(2840),
    [anon_sym_optional] = ACTIONS(2840),
    [anon_sym_distributed] = ACTIONS(2840),
    [anon_sym_final] = ACTIONS(2840),
    [anon_sym_inout] = ACTIONS(2840),
    [anon_sym_ATescaping] = ACTIONS(2840),
    [anon_sym_ATautoclosure] = ACTIONS(2840),
    [anon_sym_weak] = ACTIONS(2840),
    [anon_sym_unowned] = ACTIONS(2842),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2840),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2840),
    [anon_sym_borrowing] = ACTIONS(2840),
    [anon_sym_consuming] = ACTIONS(2840),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2846),
    [sym__dot_custom] = ACTIONS(2840),
    [sym__conjunction_operator_custom] = ACTIONS(2840),
    [sym__disjunction_operator_custom] = ACTIONS(2840),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2840),
    [sym__eq_custom] = ACTIONS(2840),
    [sym__eq_eq_custom] = ACTIONS(2840),
    [sym__plus_then_ws] = ACTIONS(2840),
    [sym__minus_then_ws] = ACTIONS(2840),
    [sym__bang_custom] = ACTIONS(2840),
    [sym__throws_keyword] = ACTIONS(2848),
    [sym__rethrows_keyword] = ACTIONS(2848),
    [sym__as_custom] = ACTIONS(2840),
    [sym__as_quest_custom] = ACTIONS(2840),
    [sym__as_bang_custom] = ACTIONS(2840),
    [sym__async_keyword_custom] = ACTIONS(2850),
    [sym__custom_operator] = ACTIONS(2840),
  },
  [687] = {
    [sym__dot] = STATE(4698),
    [aux_sym_user_type_repeat1] = STATE(680),
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(2852),
    [anon_sym_async] = ACTIONS(2852),
    [anon_sym_lazy] = ACTIONS(2852),
    [anon_sym_package] = ACTIONS(2852),
    [anon_sym_RPAREN] = ACTIONS(2852),
    [anon_sym_COMMA] = ACTIONS(2852),
    [anon_sym_COLON] = ACTIONS(2852),
    [anon_sym_LPAREN] = ACTIONS(2852),
    [anon_sym_LBRACK] = ACTIONS(2852),
    [anon_sym_RBRACK] = ACTIONS(2852),
    [anon_sym_DOT] = ACTIONS(2854),
    [anon_sym_QMARK] = ACTIONS(2854),
    [anon_sym_QMARK2] = ACTIONS(2852),
    [anon_sym_AMP] = ACTIONS(2852),
    [aux_sym_custom_operator_token1] = ACTIONS(2852),
    [anon_sym_LT] = ACTIONS(2854),
    [anon_sym_GT] = ACTIONS(2854),
    [anon_sym_LBRACE] = ACTIONS(2852),
    [anon_sym_CARET_LBRACE] = ACTIONS(2852),
    [anon_sym_RBRACE] = ACTIONS(2852),
    [anon_sym_case] = ACTIONS(2852),
    [anon_sym_PLUS_EQ] = ACTIONS(2852),
    [anon_sym_DASH_EQ] = ACTIONS(2852),
    [anon_sym_STAR_EQ] = ACTIONS(2852),
    [anon_sym_SLASH_EQ] = ACTIONS(2852),
    [anon_sym_PERCENT_EQ] = ACTIONS(2852),
    [anon_sym_BANG_EQ] = ACTIONS(2854),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2852),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2852),
    [anon_sym_LT_EQ] = ACTIONS(2852),
    [anon_sym_GT_EQ] = ACTIONS(2852),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2852),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2852),
    [anon_sym_is] = ACTIONS(2852),
    [anon_sym_PLUS] = ACTIONS(2854),
    [anon_sym_DASH] = ACTIONS(2854),
    [anon_sym_STAR] = ACTIONS(2854),
    [anon_sym_SLASH] = ACTIONS(2854),
    [anon_sym_PERCENT] = ACTIONS(2854),
    [anon_sym_PLUS_PLUS] = ACTIONS(2852),
    [anon_sym_DASH_DASH] = ACTIONS(2852),
    [anon_sym_PIPE] = ACTIONS(2852),
    [anon_sym_CARET] = ACTIONS(2854),
    [anon_sym_LT_LT] = ACTIONS(2852),
    [anon_sym_GT_GT] = ACTIONS(2852),
    [anon_sym_import] = ACTIONS(2852),
    [anon_sym_typealias] = ACTIONS(2852),
    [anon_sym_struct] = ACTIONS(2852),
    [anon_sym_class] = ACTIONS(2852),
    [anon_sym_enum] = ACTIONS(2852),
    [anon_sym_protocol] = ACTIONS(2852),
    [anon_sym_let] = ACTIONS(2852),
    [anon_sym_var] = ACTIONS(2852),
    [anon_sym_func] = ACTIONS(2852),
    [anon_sym_extension] = ACTIONS(2852),
    [anon_sym_indirect] = ACTIONS(2852),
    [anon_sym_BANG2] = ACTIONS(2854),
    [anon_sym_SEMI] = ACTIONS(2852),
    [anon_sym_init] = ACTIONS(2852),
    [anon_sym_deinit] = ACTIONS(2852),
    [anon_sym_subscript] = ACTIONS(2852),
    [anon_sym_prefix] = ACTIONS(2852),
    [anon_sym_infix] = ACTIONS(2852),
    [anon_sym_postfix] = ACTIONS(2852),
    [anon_sym_precedencegroup] = ACTIONS(2852),
    [anon_sym_associatedtype] = ACTIONS(2852),
    [anon_sym_AT] = ACTIONS(2854),
    [anon_sym_override] = ACTIONS(2852),
    [anon_sym_convenience] = ACTIONS(2852),
    [anon_sym_required] = ACTIONS(2852),
    [anon_sym_nonisolated] = ACTIONS(2852),
    [anon_sym_public] = ACTIONS(2852),
    [anon_sym_private] = ACTIONS(2852),
    [anon_sym_internal] = ACTIONS(2852),
    [anon_sym_fileprivate] = ACTIONS(2852),
    [anon_sym_open] = ACTIONS(2852),
    [anon_sym_mutating] = ACTIONS(2852),
    [anon_sym_nonmutating] = ACTIONS(2852),
    [anon_sym_static] = ACTIONS(2852),
    [anon_sym_dynamic] = ACTIONS(2852),
    [anon_sym_optional] = ACTIONS(2852),
    [anon_sym_distributed] = ACTIONS(2852),
    [anon_sym_final] = ACTIONS(2852),
    [anon_sym_inout] = ACTIONS(2852),
    [anon_sym_ATescaping] = ACTIONS(2852),
    [anon_sym_ATautoclosure] = ACTIONS(2852),
    [anon_sym_weak] = ACTIONS(2852),
    [anon_sym_unowned] = ACTIONS(2854),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2852),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2852),
    [anon_sym_borrowing] = ACTIONS(2852),
    [anon_sym_consuming] = ACTIONS(2852),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2852),
    [sym__dot_custom] = ACTIONS(2856),
    [sym__conjunction_operator_custom] = ACTIONS(2852),
    [sym__disjunction_operator_custom] = ACTIONS(2852),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2852),
    [sym__eq_custom] = ACTIONS(2852),
    [sym__eq_eq_custom] = ACTIONS(2852),
    [sym__plus_then_ws] = ACTIONS(2852),
    [sym__minus_then_ws] = ACTIONS(2852),
    [sym__bang_custom] = ACTIONS(2852),
    [sym__throws_keyword] = ACTIONS(2852),
    [sym__rethrows_keyword] = ACTIONS(2852),
    [sym__as_custom] = ACTIONS(2852),
    [sym__as_quest_custom] = ACTIONS(2852),
    [sym__as_bang_custom] = ACTIONS(2852),
    [sym__async_keyword_custom] = ACTIONS(2852),
    [sym__custom_operator] = ACTIONS(2852),
  },
  [688] = {
    [sym__immediate_quest] = STATE(688),
    [aux_sym_optional_type_repeat1] = STATE(688),
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(2859),
    [anon_sym_async] = ACTIONS(2859),
    [anon_sym_lazy] = ACTIONS(2859),
    [anon_sym_package] = ACTIONS(2859),
    [anon_sym_RPAREN] = ACTIONS(2859),
    [anon_sym_COMMA] = ACTIONS(2859),
    [anon_sym_COLON] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(2859),
    [anon_sym_LBRACK] = ACTIONS(2859),
    [anon_sym_RBRACK] = ACTIONS(2859),
    [anon_sym_DOT] = ACTIONS(2861),
    [anon_sym_QMARK] = ACTIONS(2861),
    [anon_sym_QMARK2] = ACTIONS(2863),
    [anon_sym_AMP] = ACTIONS(2859),
    [aux_sym_custom_operator_token1] = ACTIONS(2859),
    [anon_sym_LT] = ACTIONS(2861),
    [anon_sym_GT] = ACTIONS(2861),
    [anon_sym_LBRACE] = ACTIONS(2859),
    [anon_sym_CARET_LBRACE] = ACTIONS(2859),
    [anon_sym_RBRACE] = ACTIONS(2859),
    [anon_sym_case] = ACTIONS(2859),
    [anon_sym_PLUS_EQ] = ACTIONS(2859),
    [anon_sym_DASH_EQ] = ACTIONS(2859),
    [anon_sym_STAR_EQ] = ACTIONS(2859),
    [anon_sym_SLASH_EQ] = ACTIONS(2859),
    [anon_sym_PERCENT_EQ] = ACTIONS(2859),
    [anon_sym_BANG_EQ] = ACTIONS(2861),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2859),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2859),
    [anon_sym_LT_EQ] = ACTIONS(2859),
    [anon_sym_GT_EQ] = ACTIONS(2859),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2859),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2859),
    [anon_sym_is] = ACTIONS(2859),
    [anon_sym_PLUS] = ACTIONS(2861),
    [anon_sym_DASH] = ACTIONS(2861),
    [anon_sym_STAR] = ACTIONS(2861),
    [anon_sym_SLASH] = ACTIONS(2861),
    [anon_sym_PERCENT] = ACTIONS(2861),
    [anon_sym_PLUS_PLUS] = ACTIONS(2859),
    [anon_sym_DASH_DASH] = ACTIONS(2859),
    [anon_sym_PIPE] = ACTIONS(2859),
    [anon_sym_CARET] = ACTIONS(2861),
    [anon_sym_LT_LT] = ACTIONS(2859),
    [anon_sym_GT_GT] = ACTIONS(2859),
    [anon_sym_import] = ACTIONS(2859),
    [anon_sym_typealias] = ACTIONS(2859),
    [anon_sym_struct] = ACTIONS(2859),
    [anon_sym_class] = ACTIONS(2859),
    [anon_sym_enum] = ACTIONS(2859),
    [anon_sym_protocol] = ACTIONS(2859),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_var] = ACTIONS(2859),
    [anon_sym_func] = ACTIONS(2859),
    [anon_sym_extension] = ACTIONS(2859),
    [anon_sym_indirect] = ACTIONS(2859),
    [anon_sym_BANG2] = ACTIONS(2861),
    [anon_sym_SEMI] = ACTIONS(2859),
    [anon_sym_init] = ACTIONS(2859),
    [anon_sym_deinit] = ACTIONS(2859),
    [anon_sym_subscript] = ACTIONS(2859),
    [anon_sym_prefix] = ACTIONS(2859),
    [anon_sym_infix] = ACTIONS(2859),
    [anon_sym_postfix] = ACTIONS(2859),
    [anon_sym_precedencegroup] = ACTIONS(2859),
    [anon_sym_associatedtype] = ACTIONS(2859),
    [anon_sym_AT] = ACTIONS(2861),
    [anon_sym_override] = ACTIONS(2859),
    [anon_sym_convenience] = ACTIONS(2859),
    [anon_sym_required] = ACTIONS(2859),
    [anon_sym_nonisolated] = ACTIONS(2859),
    [anon_sym_public] = ACTIONS(2859),
    [anon_sym_private] = ACTIONS(2859),
    [anon_sym_internal] = ACTIONS(2859),
    [anon_sym_fileprivate] = ACTIONS(2859),
    [anon_sym_open] = ACTIONS(2859),
    [anon_sym_mutating] = ACTIONS(2859),
    [anon_sym_nonmutating] = ACTIONS(2859),
    [anon_sym_static] = ACTIONS(2859),
    [anon_sym_dynamic] = ACTIONS(2859),
    [anon_sym_optional] = ACTIONS(2859),
    [anon_sym_distributed] = ACTIONS(2859),
    [anon_sym_final] = ACTIONS(2859),
    [anon_sym_inout] = ACTIONS(2859),
    [anon_sym_ATescaping] = ACTIONS(2859),
    [anon_sym_ATautoclosure] = ACTIONS(2859),
    [anon_sym_weak] = ACTIONS(2859),
    [anon_sym_unowned] = ACTIONS(2861),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2859),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2859),
    [anon_sym_borrowing] = ACTIONS(2859),
    [anon_sym_consuming] = ACTIONS(2859),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2859),
    [sym__dot_custom] = ACTIONS(2859),
    [sym__conjunction_operator_custom] = ACTIONS(2859),
    [sym__disjunction_operator_custom] = ACTIONS(2859),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2859),
    [sym__eq_custom] = ACTIONS(2859),
    [sym__eq_eq_custom] = ACTIONS(2859),
    [sym__plus_then_ws] = ACTIONS(2859),
    [sym__minus_then_ws] = ACTIONS(2859),
    [sym__bang_custom] = ACTIONS(2859),
    [sym__throws_keyword] = ACTIONS(2859),
    [sym__rethrows_keyword] = ACTIONS(2859),
    [sym__as_custom] = ACTIONS(2859),
    [sym__as_quest_custom] = ACTIONS(2859),
    [sym__as_bang_custom] = ACTIONS(2859),
    [sym__async_keyword_custom] = ACTIONS(2859),
    [sym__custom_operator] = ACTIONS(2859),
  },
  [689] = {
    [sym__arrow_operator] = STATE(3842),
    [sym__async_keyword] = STATE(6073),
    [sym_throws] = STATE(7377),
    [aux_sym_protocol_composition_type_repeat1] = STATE(722),
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(2866),
    [anon_sym_async] = ACTIONS(2866),
    [anon_sym_lazy] = ACTIONS(2866),
    [anon_sym_package] = ACTIONS(2866),
    [anon_sym_COMMA] = ACTIONS(2866),
    [anon_sym_LPAREN] = ACTIONS(2866),
    [anon_sym_LBRACK] = ACTIONS(2866),
    [anon_sym_DOT] = ACTIONS(2868),
    [anon_sym_QMARK] = ACTIONS(2870),
    [anon_sym_QMARK2] = ACTIONS(2866),
    [anon_sym_AMP] = ACTIONS(2872),
    [aux_sym_custom_operator_token1] = ACTIONS(2866),
    [anon_sym_LT] = ACTIONS(2870),
    [anon_sym_GT] = ACTIONS(2870),
    [anon_sym_LBRACE] = ACTIONS(2866),
    [anon_sym_CARET_LBRACE] = ACTIONS(2866),
    [anon_sym_RBRACE] = ACTIONS(2866),
    [anon_sym_case] = ACTIONS(2866),
    [anon_sym_PLUS_EQ] = ACTIONS(2866),
    [anon_sym_DASH_EQ] = ACTIONS(2866),
    [anon_sym_STAR_EQ] = ACTIONS(2866),
    [anon_sym_SLASH_EQ] = ACTIONS(2866),
    [anon_sym_PERCENT_EQ] = ACTIONS(2866),
    [anon_sym_BANG_EQ] = ACTIONS(2870),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2866),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2866),
    [anon_sym_LT_EQ] = ACTIONS(2866),
    [anon_sym_GT_EQ] = ACTIONS(2866),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2866),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2866),
    [anon_sym_is] = ACTIONS(2866),
    [anon_sym_PLUS] = ACTIONS(2870),
    [anon_sym_DASH] = ACTIONS(2870),
    [anon_sym_STAR] = ACTIONS(2870),
    [anon_sym_SLASH] = ACTIONS(2870),
    [anon_sym_PERCENT] = ACTIONS(2870),
    [anon_sym_PLUS_PLUS] = ACTIONS(2866),
    [anon_sym_DASH_DASH] = ACTIONS(2866),
    [anon_sym_PIPE] = ACTIONS(2866),
    [anon_sym_CARET] = ACTIONS(2870),
    [anon_sym_LT_LT] = ACTIONS(2866),
    [anon_sym_GT_GT] = ACTIONS(2866),
    [anon_sym_import] = ACTIONS(2866),
    [anon_sym_typealias] = ACTIONS(2866),
    [anon_sym_struct] = ACTIONS(2866),
    [anon_sym_class] = ACTIONS(2866),
    [anon_sym_enum] = ACTIONS(2866),
    [anon_sym_protocol] = ACTIONS(2866),
    [anon_sym_let] = ACTIONS(2866),
    [anon_sym_var] = ACTIONS(2866),
    [anon_sym_func] = ACTIONS(2866),
    [anon_sym_extension] = ACTIONS(2866),
    [anon_sym_indirect] = ACTIONS(2866),
    [anon_sym_BANG2] = ACTIONS(2870),
    [anon_sym_SEMI] = ACTIONS(2866),
    [anon_sym_init] = ACTIONS(2866),
    [anon_sym_deinit] = ACTIONS(2866),
    [anon_sym_subscript] = ACTIONS(2866),
    [anon_sym_prefix] = ACTIONS(2866),
    [anon_sym_infix] = ACTIONS(2866),
    [anon_sym_postfix] = ACTIONS(2866),
    [anon_sym_precedencegroup] = ACTIONS(2866),
    [anon_sym_associatedtype] = ACTIONS(2866),
    [anon_sym_AT] = ACTIONS(2870),
    [anon_sym_override] = ACTIONS(2866),
    [anon_sym_convenience] = ACTIONS(2866),
    [anon_sym_required] = ACTIONS(2866),
    [anon_sym_nonisolated] = ACTIONS(2866),
    [anon_sym_public] = ACTIONS(2866),
    [anon_sym_private] = ACTIONS(2866),
    [anon_sym_internal] = ACTIONS(2866),
    [anon_sym_fileprivate] = ACTIONS(2866),
    [anon_sym_open] = ACTIONS(2866),
    [anon_sym_mutating] = ACTIONS(2866),
    [anon_sym_nonmutating] = ACTIONS(2866),
    [anon_sym_static] = ACTIONS(2866),
    [anon_sym_dynamic] = ACTIONS(2866),
    [anon_sym_optional] = ACTIONS(2866),
    [anon_sym_distributed] = ACTIONS(2866),
    [anon_sym_final] = ACTIONS(2866),
    [anon_sym_inout] = ACTIONS(2866),
    [anon_sym_ATescaping] = ACTIONS(2866),
    [anon_sym_ATautoclosure] = ACTIONS(2866),
    [anon_sym_weak] = ACTIONS(2866),
    [anon_sym_unowned] = ACTIONS(2870),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2866),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2866),
    [anon_sym_borrowing] = ACTIONS(2866),
    [anon_sym_consuming] = ACTIONS(2866),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2846),
    [sym__dot_custom] = ACTIONS(2866),
    [sym__conjunction_operator_custom] = ACTIONS(2866),
    [sym__disjunction_operator_custom] = ACTIONS(2866),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2866),
    [sym__eq_custom] = ACTIONS(2866),
    [sym__eq_eq_custom] = ACTIONS(2866),
    [sym__plus_then_ws] = ACTIONS(2866),
    [sym__minus_then_ws] = ACTIONS(2866),
    [sym__bang_custom] = ACTIONS(2866),
    [sym__throws_keyword] = ACTIONS(2848),
    [sym__rethrows_keyword] = ACTIONS(2848),
    [sym__as_custom] = ACTIONS(2866),
    [sym__as_quest_custom] = ACTIONS(2866),
    [sym__as_bang_custom] = ACTIONS(2866),
    [sym__async_keyword_custom] = ACTIONS(2850),
    [sym__custom_operator] = ACTIONS(2866),
  },
  [690] = {
    [sym__arrow_operator] = STATE(3842),
    [sym__async_keyword] = STATE(6073),
    [sym_throws] = STATE(7377),
    [aux_sym_protocol_composition_type_repeat1] = STATE(722),
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(2874),
    [anon_sym_async] = ACTIONS(2874),
    [anon_sym_lazy] = ACTIONS(2874),
    [anon_sym_package] = ACTIONS(2874),
    [anon_sym_COMMA] = ACTIONS(2874),
    [anon_sym_LPAREN] = ACTIONS(2874),
    [anon_sym_LBRACK] = ACTIONS(2874),
    [anon_sym_DOT] = ACTIONS(2868),
    [anon_sym_QMARK] = ACTIONS(2876),
    [anon_sym_QMARK2] = ACTIONS(2874),
    [anon_sym_AMP] = ACTIONS(2872),
    [aux_sym_custom_operator_token1] = ACTIONS(2874),
    [anon_sym_LT] = ACTIONS(2876),
    [anon_sym_GT] = ACTIONS(2876),
    [anon_sym_LBRACE] = ACTIONS(2874),
    [anon_sym_CARET_LBRACE] = ACTIONS(2874),
    [anon_sym_RBRACE] = ACTIONS(2874),
    [anon_sym_case] = ACTIONS(2874),
    [anon_sym_PLUS_EQ] = ACTIONS(2874),
    [anon_sym_DASH_EQ] = ACTIONS(2874),
    [anon_sym_STAR_EQ] = ACTIONS(2874),
    [anon_sym_SLASH_EQ] = ACTIONS(2874),
    [anon_sym_PERCENT_EQ] = ACTIONS(2874),
    [anon_sym_BANG_EQ] = ACTIONS(2876),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2874),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2874),
    [anon_sym_LT_EQ] = ACTIONS(2874),
    [anon_sym_GT_EQ] = ACTIONS(2874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2874),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2874),
    [anon_sym_is] = ACTIONS(2874),
    [anon_sym_PLUS] = ACTIONS(2876),
    [anon_sym_DASH] = ACTIONS(2876),
    [anon_sym_STAR] = ACTIONS(2876),
    [anon_sym_SLASH] = ACTIONS(2876),
    [anon_sym_PERCENT] = ACTIONS(2876),
    [anon_sym_PLUS_PLUS] = ACTIONS(2874),
    [anon_sym_DASH_DASH] = ACTIONS(2874),
    [anon_sym_PIPE] = ACTIONS(2874),
    [anon_sym_CARET] = ACTIONS(2876),
    [anon_sym_LT_LT] = ACTIONS(2874),
    [anon_sym_GT_GT] = ACTIONS(2874),
    [anon_sym_import] = ACTIONS(2874),
    [anon_sym_typealias] = ACTIONS(2874),
    [anon_sym_struct] = ACTIONS(2874),
    [anon_sym_class] = ACTIONS(2874),
    [anon_sym_enum] = ACTIONS(2874),
    [anon_sym_protocol] = ACTIONS(2874),
    [anon_sym_let] = ACTIONS(2874),
    [anon_sym_var] = ACTIONS(2874),
    [anon_sym_func] = ACTIONS(2874),
    [anon_sym_extension] = ACTIONS(2874),
    [anon_sym_indirect] = ACTIONS(2874),
    [anon_sym_BANG2] = ACTIONS(2876),
    [anon_sym_SEMI] = ACTIONS(2874),
    [anon_sym_init] = ACTIONS(2874),
    [anon_sym_deinit] = ACTIONS(2874),
    [anon_sym_subscript] = ACTIONS(2874),
    [anon_sym_prefix] = ACTIONS(2874),
    [anon_sym_infix] = ACTIONS(2874),
    [anon_sym_postfix] = ACTIONS(2874),
    [anon_sym_precedencegroup] = ACTIONS(2874),
    [anon_sym_associatedtype] = ACTIONS(2874),
    [anon_sym_AT] = ACTIONS(2876),
    [anon_sym_override] = ACTIONS(2874),
    [anon_sym_convenience] = ACTIONS(2874),
    [anon_sym_required] = ACTIONS(2874),
    [anon_sym_nonisolated] = ACTIONS(2874),
    [anon_sym_public] = ACTIONS(2874),
    [anon_sym_private] = ACTIONS(2874),
    [anon_sym_internal] = ACTIONS(2874),
    [anon_sym_fileprivate] = ACTIONS(2874),
    [anon_sym_open] = ACTIONS(2874),
    [anon_sym_mutating] = ACTIONS(2874),
    [anon_sym_nonmutating] = ACTIONS(2874),
    [anon_sym_static] = ACTIONS(2874),
    [anon_sym_dynamic] = ACTIONS(2874),
    [anon_sym_optional] = ACTIONS(2874),
    [anon_sym_distributed] = ACTIONS(2874),
    [anon_sym_final] = ACTIONS(2874),
    [anon_sym_inout] = ACTIONS(2874),
    [anon_sym_ATescaping] = ACTIONS(2874),
    [anon_sym_ATautoclosure] = ACTIONS(2874),
    [anon_sym_weak] = ACTIONS(2874),
    [anon_sym_unowned] = ACTIONS(2876),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2874),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2874),
    [anon_sym_borrowing] = ACTIONS(2874),
    [anon_sym_consuming] = ACTIONS(2874),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2846),
    [sym__dot_custom] = ACTIONS(2874),
    [sym__conjunction_operator_custom] = ACTIONS(2874),
    [sym__disjunction_operator_custom] = ACTIONS(2874),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2874),
    [sym__eq_custom] = ACTIONS(2874),
    [sym__eq_eq_custom] = ACTIONS(2874),
    [sym__plus_then_ws] = ACTIONS(2874),
    [sym__minus_then_ws] = ACTIONS(2874),
    [sym__bang_custom] = ACTIONS(2874),
    [sym__throws_keyword] = ACTIONS(2848),
    [sym__rethrows_keyword] = ACTIONS(2848),
    [sym__as_custom] = ACTIONS(2874),
    [sym__as_quest_custom] = ACTIONS(2874),
    [sym__as_bang_custom] = ACTIONS(2874),
    [sym__async_keyword_custom] = ACTIONS(2850),
    [sym__custom_operator] = ACTIONS(2874),
  },
  [691] = {
    [sym__arrow_operator] = STATE(3842),
    [sym__async_keyword] = STATE(6073),
    [sym_throws] = STATE(7377),
    [aux_sym_protocol_composition_type_repeat1] = STATE(722),
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(2878),
    [anon_sym_async] = ACTIONS(2878),
    [anon_sym_lazy] = ACTIONS(2878),
    [anon_sym_package] = ACTIONS(2878),
    [anon_sym_COMMA] = ACTIONS(2878),
    [anon_sym_LPAREN] = ACTIONS(2878),
    [anon_sym_LBRACK] = ACTIONS(2878),
    [anon_sym_DOT] = ACTIONS(2880),
    [anon_sym_QMARK] = ACTIONS(2880),
    [anon_sym_QMARK2] = ACTIONS(2878),
    [anon_sym_AMP] = ACTIONS(2878),
    [aux_sym_custom_operator_token1] = ACTIONS(2878),
    [anon_sym_LT] = ACTIONS(2880),
    [anon_sym_GT] = ACTIONS(2880),
    [anon_sym_LBRACE] = ACTIONS(2878),
    [anon_sym_CARET_LBRACE] = ACTIONS(2878),
    [anon_sym_RBRACE] = ACTIONS(2878),
    [anon_sym_case] = ACTIONS(2878),
    [anon_sym_PLUS_EQ] = ACTIONS(2878),
    [anon_sym_DASH_EQ] = ACTIONS(2878),
    [anon_sym_STAR_EQ] = ACTIONS(2878),
    [anon_sym_SLASH_EQ] = ACTIONS(2878),
    [anon_sym_PERCENT_EQ] = ACTIONS(2878),
    [anon_sym_BANG_EQ] = ACTIONS(2880),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2878),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2878),
    [anon_sym_LT_EQ] = ACTIONS(2878),
    [anon_sym_GT_EQ] = ACTIONS(2878),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2878),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2878),
    [anon_sym_is] = ACTIONS(2878),
    [anon_sym_PLUS] = ACTIONS(2880),
    [anon_sym_DASH] = ACTIONS(2880),
    [anon_sym_STAR] = ACTIONS(2880),
    [anon_sym_SLASH] = ACTIONS(2880),
    [anon_sym_PERCENT] = ACTIONS(2880),
    [anon_sym_PLUS_PLUS] = ACTIONS(2878),
    [anon_sym_DASH_DASH] = ACTIONS(2878),
    [anon_sym_PIPE] = ACTIONS(2878),
    [anon_sym_CARET] = ACTIONS(2880),
    [anon_sym_LT_LT] = ACTIONS(2878),
    [anon_sym_GT_GT] = ACTIONS(2878),
    [anon_sym_import] = ACTIONS(2878),
    [anon_sym_typealias] = ACTIONS(2878),
    [anon_sym_struct] = ACTIONS(2878),
    [anon_sym_class] = ACTIONS(2878),
    [anon_sym_enum] = ACTIONS(2878),
    [anon_sym_protocol] = ACTIONS(2878),
    [anon_sym_let] = ACTIONS(2878),
    [anon_sym_var] = ACTIONS(2878),
    [anon_sym_func] = ACTIONS(2878),
    [anon_sym_extension] = ACTIONS(2878),
    [anon_sym_indirect] = ACTIONS(2878),
    [anon_sym_BANG2] = ACTIONS(2880),
    [anon_sym_SEMI] = ACTIONS(2878),
    [anon_sym_init] = ACTIONS(2878),
    [anon_sym_deinit] = ACTIONS(2878),
    [anon_sym_subscript] = ACTIONS(2878),
    [anon_sym_prefix] = ACTIONS(2878),
    [anon_sym_infix] = ACTIONS(2878),
    [anon_sym_postfix] = ACTIONS(2878),
    [anon_sym_precedencegroup] = ACTIONS(2878),
    [anon_sym_associatedtype] = ACTIONS(2878),
    [anon_sym_AT] = ACTIONS(2880),
    [anon_sym_override] = ACTIONS(2878),
    [anon_sym_convenience] = ACTIONS(2878),
    [anon_sym_required] = ACTIONS(2878),
    [anon_sym_nonisolated] = ACTIONS(2878),
    [anon_sym_public] = ACTIONS(2878),
    [anon_sym_private] = ACTIONS(2878),
    [anon_sym_internal] = ACTIONS(2878),
    [anon_sym_fileprivate] = ACTIONS(2878),
    [anon_sym_open] = ACTIONS(2878),
    [anon_sym_mutating] = ACTIONS(2878),
    [anon_sym_nonmutating] = ACTIONS(2878),
    [anon_sym_static] = ACTIONS(2878),
    [anon_sym_dynamic] = ACTIONS(2878),
    [anon_sym_optional] = ACTIONS(2878),
    [anon_sym_distributed] = ACTIONS(2878),
    [anon_sym_final] = ACTIONS(2878),
    [anon_sym_inout] = ACTIONS(2878),
    [anon_sym_ATescaping] = ACTIONS(2878),
    [anon_sym_ATautoclosure] = ACTIONS(2878),
    [anon_sym_weak] = ACTIONS(2878),
    [anon_sym_unowned] = ACTIONS(2880),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2878),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2878),
    [anon_sym_borrowing] = ACTIONS(2878),
    [anon_sym_consuming] = ACTIONS(2878),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2878),
    [sym__dot_custom] = ACTIONS(2878),
    [sym__conjunction_operator_custom] = ACTIONS(2878),
    [sym__disjunction_operator_custom] = ACTIONS(2878),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2878),
    [sym__eq_custom] = ACTIONS(2878),
    [sym__eq_eq_custom] = ACTIONS(2878),
    [sym__plus_then_ws] = ACTIONS(2878),
    [sym__minus_then_ws] = ACTIONS(2878),
    [sym__bang_custom] = ACTIONS(2878),
    [sym__throws_keyword] = ACTIONS(2878),
    [sym__rethrows_keyword] = ACTIONS(2878),
    [sym__as_custom] = ACTIONS(2878),
    [sym__as_quest_custom] = ACTIONS(2878),
    [sym__as_bang_custom] = ACTIONS(2878),
    [sym__async_keyword_custom] = ACTIONS(2878),
    [sym__custom_operator] = ACTIONS(2878),
  },
  [692] = {
    [sym_type_arguments] = STATE(710),
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(2882),
    [anon_sym_async] = ACTIONS(2882),
    [anon_sym_lazy] = ACTIONS(2882),
    [anon_sym_package] = ACTIONS(2882),
    [anon_sym_RPAREN] = ACTIONS(2882),
    [anon_sym_COMMA] = ACTIONS(2882),
    [anon_sym_COLON] = ACTIONS(2882),
    [anon_sym_LPAREN] = ACTIONS(2882),
    [anon_sym_LBRACK] = ACTIONS(2882),
    [anon_sym_RBRACK] = ACTIONS(2882),
    [anon_sym_DOT] = ACTIONS(2884),
    [anon_sym_QMARK] = ACTIONS(2884),
    [anon_sym_QMARK2] = ACTIONS(2882),
    [anon_sym_AMP] = ACTIONS(2882),
    [aux_sym_custom_operator_token1] = ACTIONS(2882),
    [anon_sym_LT] = ACTIONS(2886),
    [anon_sym_GT] = ACTIONS(2884),
    [anon_sym_LBRACE] = ACTIONS(2882),
    [anon_sym_CARET_LBRACE] = ACTIONS(2882),
    [anon_sym_RBRACE] = ACTIONS(2882),
    [anon_sym_case] = ACTIONS(2882),
    [anon_sym_PLUS_EQ] = ACTIONS(2882),
    [anon_sym_DASH_EQ] = ACTIONS(2882),
    [anon_sym_STAR_EQ] = ACTIONS(2882),
    [anon_sym_SLASH_EQ] = ACTIONS(2882),
    [anon_sym_PERCENT_EQ] = ACTIONS(2882),
    [anon_sym_BANG_EQ] = ACTIONS(2884),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2882),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2882),
    [anon_sym_LT_EQ] = ACTIONS(2882),
    [anon_sym_GT_EQ] = ACTIONS(2882),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2882),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2882),
    [anon_sym_is] = ACTIONS(2882),
    [anon_sym_PLUS] = ACTIONS(2884),
    [anon_sym_DASH] = ACTIONS(2884),
    [anon_sym_STAR] = ACTIONS(2884),
    [anon_sym_SLASH] = ACTIONS(2884),
    [anon_sym_PERCENT] = ACTIONS(2884),
    [anon_sym_PLUS_PLUS] = ACTIONS(2882),
    [anon_sym_DASH_DASH] = ACTIONS(2882),
    [anon_sym_PIPE] = ACTIONS(2882),
    [anon_sym_CARET] = ACTIONS(2884),
    [anon_sym_LT_LT] = ACTIONS(2882),
    [anon_sym_GT_GT] = ACTIONS(2882),
    [anon_sym_import] = ACTIONS(2882),
    [anon_sym_typealias] = ACTIONS(2882),
    [anon_sym_struct] = ACTIONS(2882),
    [anon_sym_class] = ACTIONS(2882),
    [anon_sym_enum] = ACTIONS(2882),
    [anon_sym_protocol] = ACTIONS(2882),
    [anon_sym_let] = ACTIONS(2882),
    [anon_sym_var] = ACTIONS(2882),
    [anon_sym_func] = ACTIONS(2882),
    [anon_sym_extension] = ACTIONS(2882),
    [anon_sym_indirect] = ACTIONS(2882),
    [anon_sym_BANG2] = ACTIONS(2884),
    [anon_sym_SEMI] = ACTIONS(2882),
    [anon_sym_init] = ACTIONS(2882),
    [anon_sym_deinit] = ACTIONS(2882),
    [anon_sym_subscript] = ACTIONS(2882),
    [anon_sym_prefix] = ACTIONS(2882),
    [anon_sym_infix] = ACTIONS(2882),
    [anon_sym_postfix] = ACTIONS(2882),
    [anon_sym_precedencegroup] = ACTIONS(2882),
    [anon_sym_associatedtype] = ACTIONS(2882),
    [anon_sym_AT] = ACTIONS(2884),
    [anon_sym_override] = ACTIONS(2882),
    [anon_sym_convenience] = ACTIONS(2882),
    [anon_sym_required] = ACTIONS(2882),
    [anon_sym_nonisolated] = ACTIONS(2882),
    [anon_sym_public] = ACTIONS(2882),
    [anon_sym_private] = ACTIONS(2882),
    [anon_sym_internal] = ACTIONS(2882),
    [anon_sym_fileprivate] = ACTIONS(2882),
    [anon_sym_open] = ACTIONS(2882),
    [anon_sym_mutating] = ACTIONS(2882),
    [anon_sym_nonmutating] = ACTIONS(2882),
    [anon_sym_static] = ACTIONS(2882),
    [anon_sym_dynamic] = ACTIONS(2882),
    [anon_sym_optional] = ACTIONS(2882),
    [anon_sym_distributed] = ACTIONS(2882),
    [anon_sym_final] = ACTIONS(2882),
    [anon_sym_inout] = ACTIONS(2882),
    [anon_sym_ATescaping] = ACTIONS(2882),
    [anon_sym_ATautoclosure] = ACTIONS(2882),
    [anon_sym_weak] = ACTIONS(2882),
    [anon_sym_unowned] = ACTIONS(2884),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2882),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2882),
    [anon_sym_borrowing] = ACTIONS(2882),
    [anon_sym_consuming] = ACTIONS(2882),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2882),
    [sym__dot_custom] = ACTIONS(2882),
    [sym__conjunction_operator_custom] = ACTIONS(2882),
    [sym__disjunction_operator_custom] = ACTIONS(2882),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2882),
    [sym__eq_custom] = ACTIONS(2882),
    [sym__eq_eq_custom] = ACTIONS(2882),
    [sym__plus_then_ws] = ACTIONS(2882),
    [sym__minus_then_ws] = ACTIONS(2882),
    [sym__bang_custom] = ACTIONS(2882),
    [sym__throws_keyword] = ACTIONS(2882),
    [sym__rethrows_keyword] = ACTIONS(2882),
    [sym__as_custom] = ACTIONS(2882),
    [sym__as_quest_custom] = ACTIONS(2882),
    [sym__as_bang_custom] = ACTIONS(2882),
    [sym__async_keyword_custom] = ACTIONS(2882),
    [sym__custom_operator] = ACTIONS(2882),
  },
  [693] = {
    [sym__arrow_operator] = STATE(3842),
    [sym__async_keyword] = STATE(6073),
    [sym_throws] = STATE(7377),
    [aux_sym_protocol_composition_type_repeat1] = STATE(722),
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(2888),
    [anon_sym_async] = ACTIONS(2888),
    [anon_sym_lazy] = ACTIONS(2888),
    [anon_sym_package] = ACTIONS(2888),
    [anon_sym_COMMA] = ACTIONS(2888),
    [anon_sym_LPAREN] = ACTIONS(2888),
    [anon_sym_LBRACK] = ACTIONS(2888),
    [anon_sym_DOT] = ACTIONS(2868),
    [anon_sym_QMARK] = ACTIONS(2890),
    [anon_sym_QMARK2] = ACTIONS(2888),
    [anon_sym_AMP] = ACTIONS(2872),
    [aux_sym_custom_operator_token1] = ACTIONS(2888),
    [anon_sym_LT] = ACTIONS(2890),
    [anon_sym_GT] = ACTIONS(2890),
    [anon_sym_LBRACE] = ACTIONS(2888),
    [anon_sym_CARET_LBRACE] = ACTIONS(2888),
    [anon_sym_RBRACE] = ACTIONS(2888),
    [anon_sym_case] = ACTIONS(2888),
    [anon_sym_PLUS_EQ] = ACTIONS(2888),
    [anon_sym_DASH_EQ] = ACTIONS(2888),
    [anon_sym_STAR_EQ] = ACTIONS(2888),
    [anon_sym_SLASH_EQ] = ACTIONS(2888),
    [anon_sym_PERCENT_EQ] = ACTIONS(2888),
    [anon_sym_BANG_EQ] = ACTIONS(2890),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2888),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2888),
    [anon_sym_LT_EQ] = ACTIONS(2888),
    [anon_sym_GT_EQ] = ACTIONS(2888),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2888),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2888),
    [anon_sym_is] = ACTIONS(2888),
    [anon_sym_PLUS] = ACTIONS(2890),
    [anon_sym_DASH] = ACTIONS(2890),
    [anon_sym_STAR] = ACTIONS(2890),
    [anon_sym_SLASH] = ACTIONS(2890),
    [anon_sym_PERCENT] = ACTIONS(2890),
    [anon_sym_PLUS_PLUS] = ACTIONS(2888),
    [anon_sym_DASH_DASH] = ACTIONS(2888),
    [anon_sym_PIPE] = ACTIONS(2888),
    [anon_sym_CARET] = ACTIONS(2890),
    [anon_sym_LT_LT] = ACTIONS(2888),
    [anon_sym_GT_GT] = ACTIONS(2888),
    [anon_sym_import] = ACTIONS(2888),
    [anon_sym_typealias] = ACTIONS(2888),
    [anon_sym_struct] = ACTIONS(2888),
    [anon_sym_class] = ACTIONS(2888),
    [anon_sym_enum] = ACTIONS(2888),
    [anon_sym_protocol] = ACTIONS(2888),
    [anon_sym_let] = ACTIONS(2888),
    [anon_sym_var] = ACTIONS(2888),
    [anon_sym_func] = ACTIONS(2888),
    [anon_sym_extension] = ACTIONS(2888),
    [anon_sym_indirect] = ACTIONS(2888),
    [anon_sym_BANG2] = ACTIONS(2890),
    [anon_sym_SEMI] = ACTIONS(2888),
    [anon_sym_init] = ACTIONS(2888),
    [anon_sym_deinit] = ACTIONS(2888),
    [anon_sym_subscript] = ACTIONS(2888),
    [anon_sym_prefix] = ACTIONS(2888),
    [anon_sym_infix] = ACTIONS(2888),
    [anon_sym_postfix] = ACTIONS(2888),
    [anon_sym_precedencegroup] = ACTIONS(2888),
    [anon_sym_associatedtype] = ACTIONS(2888),
    [anon_sym_AT] = ACTIONS(2890),
    [anon_sym_override] = ACTIONS(2888),
    [anon_sym_convenience] = ACTIONS(2888),
    [anon_sym_required] = ACTIONS(2888),
    [anon_sym_nonisolated] = ACTIONS(2888),
    [anon_sym_public] = ACTIONS(2888),
    [anon_sym_private] = ACTIONS(2888),
    [anon_sym_internal] = ACTIONS(2888),
    [anon_sym_fileprivate] = ACTIONS(2888),
    [anon_sym_open] = ACTIONS(2888),
    [anon_sym_mutating] = ACTIONS(2888),
    [anon_sym_nonmutating] = ACTIONS(2888),
    [anon_sym_static] = ACTIONS(2888),
    [anon_sym_dynamic] = ACTIONS(2888),
    [anon_sym_optional] = ACTIONS(2888),
    [anon_sym_distributed] = ACTIONS(2888),
    [anon_sym_final] = ACTIONS(2888),
    [anon_sym_inout] = ACTIONS(2888),
    [anon_sym_ATescaping] = ACTIONS(2888),
    [anon_sym_ATautoclosure] = ACTIONS(2888),
    [anon_sym_weak] = ACTIONS(2888),
    [anon_sym_unowned] = ACTIONS(2890),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2888),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2888),
    [anon_sym_borrowing] = ACTIONS(2888),
    [anon_sym_consuming] = ACTIONS(2888),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2846),
    [sym__dot_custom] = ACTIONS(2888),
    [sym__conjunction_operator_custom] = ACTIONS(2888),
    [sym__disjunction_operator_custom] = ACTIONS(2888),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2888),
    [sym__eq_custom] = ACTIONS(2888),
    [sym__eq_eq_custom] = ACTIONS(2888),
    [sym__plus_then_ws] = ACTIONS(2888),
    [sym__minus_then_ws] = ACTIONS(2888),
    [sym__bang_custom] = ACTIONS(2888),
    [sym__throws_keyword] = ACTIONS(2848),
    [sym__rethrows_keyword] = ACTIONS(2848),
    [sym__as_custom] = ACTIONS(2888),
    [sym__as_quest_custom] = ACTIONS(2888),
    [sym__as_bang_custom] = ACTIONS(2888),
    [sym__async_keyword_custom] = ACTIONS(2850),
    [sym__custom_operator] = ACTIONS(2888),
  },
  [694] = {
    [sym__arrow_operator] = STATE(3842),
    [sym__async_keyword] = STATE(6073),
    [sym_throws] = STATE(7377),
    [aux_sym_protocol_composition_type_repeat1] = STATE(722),
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(2892),
    [anon_sym_async] = ACTIONS(2892),
    [anon_sym_lazy] = ACTIONS(2892),
    [anon_sym_package] = ACTIONS(2892),
    [anon_sym_COMMA] = ACTIONS(2892),
    [anon_sym_LPAREN] = ACTIONS(2892),
    [anon_sym_LBRACK] = ACTIONS(2892),
    [anon_sym_DOT] = ACTIONS(2868),
    [anon_sym_QMARK] = ACTIONS(2894),
    [anon_sym_QMARK2] = ACTIONS(2892),
    [anon_sym_AMP] = ACTIONS(2872),
    [aux_sym_custom_operator_token1] = ACTIONS(2892),
    [anon_sym_LT] = ACTIONS(2894),
    [anon_sym_GT] = ACTIONS(2894),
    [anon_sym_LBRACE] = ACTIONS(2892),
    [anon_sym_CARET_LBRACE] = ACTIONS(2892),
    [anon_sym_RBRACE] = ACTIONS(2892),
    [anon_sym_case] = ACTIONS(2892),
    [anon_sym_PLUS_EQ] = ACTIONS(2892),
    [anon_sym_DASH_EQ] = ACTIONS(2892),
    [anon_sym_STAR_EQ] = ACTIONS(2892),
    [anon_sym_SLASH_EQ] = ACTIONS(2892),
    [anon_sym_PERCENT_EQ] = ACTIONS(2892),
    [anon_sym_BANG_EQ] = ACTIONS(2894),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2892),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2892),
    [anon_sym_LT_EQ] = ACTIONS(2892),
    [anon_sym_GT_EQ] = ACTIONS(2892),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2892),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2892),
    [anon_sym_is] = ACTIONS(2892),
    [anon_sym_PLUS] = ACTIONS(2894),
    [anon_sym_DASH] = ACTIONS(2894),
    [anon_sym_STAR] = ACTIONS(2894),
    [anon_sym_SLASH] = ACTIONS(2894),
    [anon_sym_PERCENT] = ACTIONS(2894),
    [anon_sym_PLUS_PLUS] = ACTIONS(2892),
    [anon_sym_DASH_DASH] = ACTIONS(2892),
    [anon_sym_PIPE] = ACTIONS(2892),
    [anon_sym_CARET] = ACTIONS(2894),
    [anon_sym_LT_LT] = ACTIONS(2892),
    [anon_sym_GT_GT] = ACTIONS(2892),
    [anon_sym_import] = ACTIONS(2892),
    [anon_sym_typealias] = ACTIONS(2892),
    [anon_sym_struct] = ACTIONS(2892),
    [anon_sym_class] = ACTIONS(2892),
    [anon_sym_enum] = ACTIONS(2892),
    [anon_sym_protocol] = ACTIONS(2892),
    [anon_sym_let] = ACTIONS(2892),
    [anon_sym_var] = ACTIONS(2892),
    [anon_sym_func] = ACTIONS(2892),
    [anon_sym_extension] = ACTIONS(2892),
    [anon_sym_indirect] = ACTIONS(2892),
    [anon_sym_BANG2] = ACTIONS(2894),
    [anon_sym_SEMI] = ACTIONS(2892),
    [anon_sym_init] = ACTIONS(2892),
    [anon_sym_deinit] = ACTIONS(2892),
    [anon_sym_subscript] = ACTIONS(2892),
    [anon_sym_prefix] = ACTIONS(2892),
    [anon_sym_infix] = ACTIONS(2892),
    [anon_sym_postfix] = ACTIONS(2892),
    [anon_sym_precedencegroup] = ACTIONS(2892),
    [anon_sym_associatedtype] = ACTIONS(2892),
    [anon_sym_AT] = ACTIONS(2894),
    [anon_sym_override] = ACTIONS(2892),
    [anon_sym_convenience] = ACTIONS(2892),
    [anon_sym_required] = ACTIONS(2892),
    [anon_sym_nonisolated] = ACTIONS(2892),
    [anon_sym_public] = ACTIONS(2892),
    [anon_sym_private] = ACTIONS(2892),
    [anon_sym_internal] = ACTIONS(2892),
    [anon_sym_fileprivate] = ACTIONS(2892),
    [anon_sym_open] = ACTIONS(2892),
    [anon_sym_mutating] = ACTIONS(2892),
    [anon_sym_nonmutating] = ACTIONS(2892),
    [anon_sym_static] = ACTIONS(2892),
    [anon_sym_dynamic] = ACTIONS(2892),
    [anon_sym_optional] = ACTIONS(2892),
    [anon_sym_distributed] = ACTIONS(2892),
    [anon_sym_final] = ACTIONS(2892),
    [anon_sym_inout] = ACTIONS(2892),
    [anon_sym_ATescaping] = ACTIONS(2892),
    [anon_sym_ATautoclosure] = ACTIONS(2892),
    [anon_sym_weak] = ACTIONS(2892),
    [anon_sym_unowned] = ACTIONS(2894),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2892),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2892),
    [anon_sym_borrowing] = ACTIONS(2892),
    [anon_sym_consuming] = ACTIONS(2892),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2846),
    [sym__dot_custom] = ACTIONS(2892),
    [sym__conjunction_operator_custom] = ACTIONS(2892),
    [sym__disjunction_operator_custom] = ACTIONS(2892),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2892),
    [sym__eq_custom] = ACTIONS(2892),
    [sym__eq_eq_custom] = ACTIONS(2892),
    [sym__plus_then_ws] = ACTIONS(2892),
    [sym__minus_then_ws] = ACTIONS(2892),
    [sym__bang_custom] = ACTIONS(2892),
    [sym__throws_keyword] = ACTIONS(2848),
    [sym__rethrows_keyword] = ACTIONS(2848),
    [sym__as_custom] = ACTIONS(2892),
    [sym__as_quest_custom] = ACTIONS(2892),
    [sym__as_bang_custom] = ACTIONS(2892),
    [sym__async_keyword_custom] = ACTIONS(2850),
    [sym__custom_operator] = ACTIONS(2892),
  },
  [695] = {
    [sym__arrow_operator] = STATE(3842),
    [sym__async_keyword] = STATE(6073),
    [sym_throws] = STATE(7377),
    [aux_sym_protocol_composition_type_repeat1] = STATE(722),
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(2896),
    [anon_sym_async] = ACTIONS(2896),
    [anon_sym_lazy] = ACTIONS(2896),
    [anon_sym_package] = ACTIONS(2896),
    [anon_sym_COMMA] = ACTIONS(2896),
    [anon_sym_LPAREN] = ACTIONS(2896),
    [anon_sym_LBRACK] = ACTIONS(2896),
    [anon_sym_DOT] = ACTIONS(2868),
    [anon_sym_QMARK] = ACTIONS(2898),
    [anon_sym_QMARK2] = ACTIONS(2896),
    [anon_sym_AMP] = ACTIONS(2872),
    [aux_sym_custom_operator_token1] = ACTIONS(2896),
    [anon_sym_LT] = ACTIONS(2898),
    [anon_sym_GT] = ACTIONS(2898),
    [anon_sym_LBRACE] = ACTIONS(2896),
    [anon_sym_CARET_LBRACE] = ACTIONS(2896),
    [anon_sym_RBRACE] = ACTIONS(2896),
    [anon_sym_case] = ACTIONS(2896),
    [anon_sym_PLUS_EQ] = ACTIONS(2896),
    [anon_sym_DASH_EQ] = ACTIONS(2896),
    [anon_sym_STAR_EQ] = ACTIONS(2896),
    [anon_sym_SLASH_EQ] = ACTIONS(2896),
    [anon_sym_PERCENT_EQ] = ACTIONS(2896),
    [anon_sym_BANG_EQ] = ACTIONS(2898),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2896),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2896),
    [anon_sym_LT_EQ] = ACTIONS(2896),
    [anon_sym_GT_EQ] = ACTIONS(2896),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2896),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2896),
    [anon_sym_is] = ACTIONS(2896),
    [anon_sym_PLUS] = ACTIONS(2898),
    [anon_sym_DASH] = ACTIONS(2898),
    [anon_sym_STAR] = ACTIONS(2898),
    [anon_sym_SLASH] = ACTIONS(2898),
    [anon_sym_PERCENT] = ACTIONS(2898),
    [anon_sym_PLUS_PLUS] = ACTIONS(2896),
    [anon_sym_DASH_DASH] = ACTIONS(2896),
    [anon_sym_PIPE] = ACTIONS(2896),
    [anon_sym_CARET] = ACTIONS(2898),
    [anon_sym_LT_LT] = ACTIONS(2896),
    [anon_sym_GT_GT] = ACTIONS(2896),
    [anon_sym_import] = ACTIONS(2896),
    [anon_sym_typealias] = ACTIONS(2896),
    [anon_sym_struct] = ACTIONS(2896),
    [anon_sym_class] = ACTIONS(2896),
    [anon_sym_enum] = ACTIONS(2896),
    [anon_sym_protocol] = ACTIONS(2896),
    [anon_sym_let] = ACTIONS(2896),
    [anon_sym_var] = ACTIONS(2896),
    [anon_sym_func] = ACTIONS(2896),
    [anon_sym_extension] = ACTIONS(2896),
    [anon_sym_indirect] = ACTIONS(2896),
    [anon_sym_BANG2] = ACTIONS(2898),
    [anon_sym_SEMI] = ACTIONS(2896),
    [anon_sym_init] = ACTIONS(2896),
    [anon_sym_deinit] = ACTIONS(2896),
    [anon_sym_subscript] = ACTIONS(2896),
    [anon_sym_prefix] = ACTIONS(2896),
    [anon_sym_infix] = ACTIONS(2896),
    [anon_sym_postfix] = ACTIONS(2896),
    [anon_sym_precedencegroup] = ACTIONS(2896),
    [anon_sym_associatedtype] = ACTIONS(2896),
    [anon_sym_AT] = ACTIONS(2898),
    [anon_sym_override] = ACTIONS(2896),
    [anon_sym_convenience] = ACTIONS(2896),
    [anon_sym_required] = ACTIONS(2896),
    [anon_sym_nonisolated] = ACTIONS(2896),
    [anon_sym_public] = ACTIONS(2896),
    [anon_sym_private] = ACTIONS(2896),
    [anon_sym_internal] = ACTIONS(2896),
    [anon_sym_fileprivate] = ACTIONS(2896),
    [anon_sym_open] = ACTIONS(2896),
    [anon_sym_mutating] = ACTIONS(2896),
    [anon_sym_nonmutating] = ACTIONS(2896),
    [anon_sym_static] = ACTIONS(2896),
    [anon_sym_dynamic] = ACTIONS(2896),
    [anon_sym_optional] = ACTIONS(2896),
    [anon_sym_distributed] = ACTIONS(2896),
    [anon_sym_final] = ACTIONS(2896),
    [anon_sym_inout] = ACTIONS(2896),
    [anon_sym_ATescaping] = ACTIONS(2896),
    [anon_sym_ATautoclosure] = ACTIONS(2896),
    [anon_sym_weak] = ACTIONS(2896),
    [anon_sym_unowned] = ACTIONS(2898),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2896),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2896),
    [anon_sym_borrowing] = ACTIONS(2896),
    [anon_sym_consuming] = ACTIONS(2896),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2846),
    [sym__dot_custom] = ACTIONS(2896),
    [sym__conjunction_operator_custom] = ACTIONS(2896),
    [sym__disjunction_operator_custom] = ACTIONS(2896),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2896),
    [sym__eq_custom] = ACTIONS(2896),
    [sym__eq_eq_custom] = ACTIONS(2896),
    [sym__plus_then_ws] = ACTIONS(2896),
    [sym__minus_then_ws] = ACTIONS(2896),
    [sym__bang_custom] = ACTIONS(2896),
    [sym__throws_keyword] = ACTIONS(2848),
    [sym__rethrows_keyword] = ACTIONS(2848),
    [sym__as_custom] = ACTIONS(2896),
    [sym__as_quest_custom] = ACTIONS(2896),
    [sym__as_bang_custom] = ACTIONS(2896),
    [sym__async_keyword_custom] = ACTIONS(2850),
    [sym__custom_operator] = ACTIONS(2896),
  },
  [696] = {
    [sym__arrow_operator] = STATE(3842),
    [sym__async_keyword] = STATE(6073),
    [sym_throws] = STATE(7377),
    [aux_sym_protocol_composition_type_repeat1] = STATE(722),
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(2900),
    [anon_sym_async] = ACTIONS(2900),
    [anon_sym_lazy] = ACTIONS(2900),
    [anon_sym_package] = ACTIONS(2900),
    [anon_sym_COMMA] = ACTIONS(2900),
    [anon_sym_LPAREN] = ACTIONS(2900),
    [anon_sym_LBRACK] = ACTIONS(2900),
    [anon_sym_DOT] = ACTIONS(2902),
    [anon_sym_QMARK] = ACTIONS(2902),
    [anon_sym_QMARK2] = ACTIONS(2900),
    [anon_sym_AMP] = ACTIONS(2900),
    [aux_sym_custom_operator_token1] = ACTIONS(2900),
    [anon_sym_LT] = ACTIONS(2902),
    [anon_sym_GT] = ACTIONS(2902),
    [anon_sym_LBRACE] = ACTIONS(2900),
    [anon_sym_CARET_LBRACE] = ACTIONS(2900),
    [anon_sym_RBRACE] = ACTIONS(2900),
    [anon_sym_case] = ACTIONS(2900),
    [anon_sym_PLUS_EQ] = ACTIONS(2900),
    [anon_sym_DASH_EQ] = ACTIONS(2900),
    [anon_sym_STAR_EQ] = ACTIONS(2900),
    [anon_sym_SLASH_EQ] = ACTIONS(2900),
    [anon_sym_PERCENT_EQ] = ACTIONS(2900),
    [anon_sym_BANG_EQ] = ACTIONS(2902),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2900),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2900),
    [anon_sym_LT_EQ] = ACTIONS(2900),
    [anon_sym_GT_EQ] = ACTIONS(2900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2900),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2900),
    [anon_sym_is] = ACTIONS(2900),
    [anon_sym_PLUS] = ACTIONS(2902),
    [anon_sym_DASH] = ACTIONS(2902),
    [anon_sym_STAR] = ACTIONS(2902),
    [anon_sym_SLASH] = ACTIONS(2902),
    [anon_sym_PERCENT] = ACTIONS(2902),
    [anon_sym_PLUS_PLUS] = ACTIONS(2900),
    [anon_sym_DASH_DASH] = ACTIONS(2900),
    [anon_sym_PIPE] = ACTIONS(2900),
    [anon_sym_CARET] = ACTIONS(2902),
    [anon_sym_LT_LT] = ACTIONS(2900),
    [anon_sym_GT_GT] = ACTIONS(2900),
    [anon_sym_import] = ACTIONS(2900),
    [anon_sym_typealias] = ACTIONS(2900),
    [anon_sym_struct] = ACTIONS(2900),
    [anon_sym_class] = ACTIONS(2900),
    [anon_sym_enum] = ACTIONS(2900),
    [anon_sym_protocol] = ACTIONS(2900),
    [anon_sym_let] = ACTIONS(2900),
    [anon_sym_var] = ACTIONS(2900),
    [anon_sym_func] = ACTIONS(2900),
    [anon_sym_extension] = ACTIONS(2900),
    [anon_sym_indirect] = ACTIONS(2900),
    [anon_sym_BANG2] = ACTIONS(2902),
    [anon_sym_SEMI] = ACTIONS(2900),
    [anon_sym_init] = ACTIONS(2900),
    [anon_sym_deinit] = ACTIONS(2900),
    [anon_sym_subscript] = ACTIONS(2900),
    [anon_sym_prefix] = ACTIONS(2900),
    [anon_sym_infix] = ACTIONS(2900),
    [anon_sym_postfix] = ACTIONS(2900),
    [anon_sym_precedencegroup] = ACTIONS(2900),
    [anon_sym_associatedtype] = ACTIONS(2900),
    [anon_sym_AT] = ACTIONS(2902),
    [anon_sym_override] = ACTIONS(2900),
    [anon_sym_convenience] = ACTIONS(2900),
    [anon_sym_required] = ACTIONS(2900),
    [anon_sym_nonisolated] = ACTIONS(2900),
    [anon_sym_public] = ACTIONS(2900),
    [anon_sym_private] = ACTIONS(2900),
    [anon_sym_internal] = ACTIONS(2900),
    [anon_sym_fileprivate] = ACTIONS(2900),
    [anon_sym_open] = ACTIONS(2900),
    [anon_sym_mutating] = ACTIONS(2900),
    [anon_sym_nonmutating] = ACTIONS(2900),
    [anon_sym_static] = ACTIONS(2900),
    [anon_sym_dynamic] = ACTIONS(2900),
    [anon_sym_optional] = ACTIONS(2900),
    [anon_sym_distributed] = ACTIONS(2900),
    [anon_sym_final] = ACTIONS(2900),
    [anon_sym_inout] = ACTIONS(2900),
    [anon_sym_ATescaping] = ACTIONS(2900),
    [anon_sym_ATautoclosure] = ACTIONS(2900),
    [anon_sym_weak] = ACTIONS(2900),
    [anon_sym_unowned] = ACTIONS(2902),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2900),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2900),
    [anon_sym_borrowing] = ACTIONS(2900),
    [anon_sym_consuming] = ACTIONS(2900),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2900),
    [sym__dot_custom] = ACTIONS(2900),
    [sym__conjunction_operator_custom] = ACTIONS(2900),
    [sym__disjunction_operator_custom] = ACTIONS(2900),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2900),
    [sym__eq_custom] = ACTIONS(2900),
    [sym__eq_eq_custom] = ACTIONS(2900),
    [sym__plus_then_ws] = ACTIONS(2900),
    [sym__minus_then_ws] = ACTIONS(2900),
    [sym__bang_custom] = ACTIONS(2900),
    [sym__throws_keyword] = ACTIONS(2900),
    [sym__rethrows_keyword] = ACTIONS(2900),
    [sym__as_custom] = ACTIONS(2900),
    [sym__as_quest_custom] = ACTIONS(2900),
    [sym__as_bang_custom] = ACTIONS(2900),
    [sym__async_keyword_custom] = ACTIONS(2900),
    [sym__custom_operator] = ACTIONS(2900),
  },
  [697] = {
    [sym__key_path_postfixes] = STATE(704),
    [sym_bang] = STATE(704),
    [aux_sym__key_path_component_repeat1] = STATE(704),
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(2904),
    [anon_sym_async] = ACTIONS(2904),
    [anon_sym_lazy] = ACTIONS(2904),
    [anon_sym_package] = ACTIONS(2904),
    [anon_sym_RPAREN] = ACTIONS(2904),
    [anon_sym_COMMA] = ACTIONS(2904),
    [anon_sym_COLON] = ACTIONS(2904),
    [anon_sym_LPAREN] = ACTIONS(2904),
    [anon_sym_LBRACK] = ACTIONS(2904),
    [anon_sym_RBRACK] = ACTIONS(2904),
    [anon_sym_DOT] = ACTIONS(2906),
    [anon_sym_QMARK] = ACTIONS(2906),
    [anon_sym_QMARK2] = ACTIONS(2904),
    [anon_sym_AMP] = ACTIONS(2904),
    [aux_sym_custom_operator_token1] = ACTIONS(2904),
    [anon_sym_LT] = ACTIONS(2906),
    [anon_sym_GT] = ACTIONS(2906),
    [anon_sym_LBRACE] = ACTIONS(2904),
    [anon_sym_CARET_LBRACE] = ACTIONS(2904),
    [anon_sym_RBRACE] = ACTIONS(2904),
    [anon_sym_self] = ACTIONS(2908),
    [anon_sym_case] = ACTIONS(2904),
    [anon_sym_PLUS_EQ] = ACTIONS(2904),
    [anon_sym_DASH_EQ] = ACTIONS(2904),
    [anon_sym_STAR_EQ] = ACTIONS(2904),
    [anon_sym_SLASH_EQ] = ACTIONS(2904),
    [anon_sym_PERCENT_EQ] = ACTIONS(2904),
    [anon_sym_BANG_EQ] = ACTIONS(2906),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2904),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2904),
    [anon_sym_LT_EQ] = ACTIONS(2904),
    [anon_sym_GT_EQ] = ACTIONS(2904),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2904),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2904),
    [anon_sym_is] = ACTIONS(2904),
    [anon_sym_PLUS] = ACTIONS(2906),
    [anon_sym_DASH] = ACTIONS(2906),
    [anon_sym_STAR] = ACTIONS(2906),
    [anon_sym_SLASH] = ACTIONS(2906),
    [anon_sym_PERCENT] = ACTIONS(2906),
    [anon_sym_PLUS_PLUS] = ACTIONS(2904),
    [anon_sym_DASH_DASH] = ACTIONS(2904),
    [anon_sym_PIPE] = ACTIONS(2904),
    [anon_sym_CARET] = ACTIONS(2906),
    [anon_sym_LT_LT] = ACTIONS(2904),
    [anon_sym_GT_GT] = ACTIONS(2904),
    [anon_sym_import] = ACTIONS(2904),
    [anon_sym_typealias] = ACTIONS(2904),
    [anon_sym_struct] = ACTIONS(2904),
    [anon_sym_class] = ACTIONS(2904),
    [anon_sym_enum] = ACTIONS(2904),
    [anon_sym_protocol] = ACTIONS(2904),
    [anon_sym_let] = ACTIONS(2904),
    [anon_sym_var] = ACTIONS(2904),
    [anon_sym_func] = ACTIONS(2904),
    [anon_sym_extension] = ACTIONS(2904),
    [anon_sym_indirect] = ACTIONS(2904),
    [anon_sym_BANG2] = ACTIONS(2906),
    [anon_sym_SEMI] = ACTIONS(2904),
    [anon_sym_init] = ACTIONS(2904),
    [anon_sym_deinit] = ACTIONS(2904),
    [anon_sym_subscript] = ACTIONS(2904),
    [anon_sym_prefix] = ACTIONS(2904),
    [anon_sym_infix] = ACTIONS(2904),
    [anon_sym_postfix] = ACTIONS(2904),
    [anon_sym_precedencegroup] = ACTIONS(2904),
    [anon_sym_associatedtype] = ACTIONS(2904),
    [anon_sym_AT] = ACTIONS(2906),
    [anon_sym_override] = ACTIONS(2904),
    [anon_sym_convenience] = ACTIONS(2904),
    [anon_sym_required] = ACTIONS(2904),
    [anon_sym_nonisolated] = ACTIONS(2904),
    [anon_sym_public] = ACTIONS(2904),
    [anon_sym_private] = ACTIONS(2904),
    [anon_sym_internal] = ACTIONS(2904),
    [anon_sym_fileprivate] = ACTIONS(2904),
    [anon_sym_open] = ACTIONS(2904),
    [anon_sym_mutating] = ACTIONS(2904),
    [anon_sym_nonmutating] = ACTIONS(2904),
    [anon_sym_static] = ACTIONS(2904),
    [anon_sym_dynamic] = ACTIONS(2904),
    [anon_sym_optional] = ACTIONS(2904),
    [anon_sym_distributed] = ACTIONS(2904),
    [anon_sym_final] = ACTIONS(2904),
    [anon_sym_inout] = ACTIONS(2904),
    [anon_sym_ATescaping] = ACTIONS(2904),
    [anon_sym_ATautoclosure] = ACTIONS(2904),
    [anon_sym_weak] = ACTIONS(2904),
    [anon_sym_unowned] = ACTIONS(2906),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2904),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2904),
    [anon_sym_borrowing] = ACTIONS(2904),
    [anon_sym_consuming] = ACTIONS(2904),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2904),
    [sym__conjunction_operator_custom] = ACTIONS(2904),
    [sym__disjunction_operator_custom] = ACTIONS(2904),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2904),
    [sym__eq_custom] = ACTIONS(2904),
    [sym__eq_eq_custom] = ACTIONS(2904),
    [sym__plus_then_ws] = ACTIONS(2904),
    [sym__minus_then_ws] = ACTIONS(2904),
    [sym__bang_custom] = ACTIONS(2904),
    [sym__as_custom] = ACTIONS(2904),
    [sym__as_quest_custom] = ACTIONS(2904),
    [sym__as_bang_custom] = ACTIONS(2904),
    [sym__custom_operator] = ACTIONS(2904),
  },
  [698] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(2910),
    [anon_sym_async] = ACTIONS(2910),
    [anon_sym_lazy] = ACTIONS(2910),
    [anon_sym_package] = ACTIONS(2910),
    [anon_sym_RPAREN] = ACTIONS(2910),
    [anon_sym_COMMA] = ACTIONS(2910),
    [anon_sym_COLON] = ACTIONS(2910),
    [anon_sym_LPAREN] = ACTIONS(2910),
    [anon_sym_LBRACK] = ACTIONS(2910),
    [anon_sym_RBRACK] = ACTIONS(2910),
    [anon_sym_DOT] = ACTIONS(2912),
    [anon_sym_QMARK] = ACTIONS(2912),
    [anon_sym_QMARK2] = ACTIONS(2910),
    [anon_sym_AMP] = ACTIONS(2910),
    [aux_sym_custom_operator_token1] = ACTIONS(2910),
    [anon_sym_LT] = ACTIONS(2912),
    [anon_sym_GT] = ACTIONS(2912),
    [anon_sym_LBRACE] = ACTIONS(2910),
    [anon_sym_CARET_LBRACE] = ACTIONS(2910),
    [anon_sym_RBRACE] = ACTIONS(2910),
    [anon_sym_case] = ACTIONS(2910),
    [anon_sym_PLUS_EQ] = ACTIONS(2910),
    [anon_sym_DASH_EQ] = ACTIONS(2910),
    [anon_sym_STAR_EQ] = ACTIONS(2910),
    [anon_sym_SLASH_EQ] = ACTIONS(2910),
    [anon_sym_PERCENT_EQ] = ACTIONS(2910),
    [anon_sym_BANG_EQ] = ACTIONS(2912),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2910),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2910),
    [anon_sym_LT_EQ] = ACTIONS(2910),
    [anon_sym_GT_EQ] = ACTIONS(2910),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2910),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2910),
    [anon_sym_is] = ACTIONS(2910),
    [anon_sym_PLUS] = ACTIONS(2912),
    [anon_sym_DASH] = ACTIONS(2912),
    [anon_sym_STAR] = ACTIONS(2912),
    [anon_sym_SLASH] = ACTIONS(2912),
    [anon_sym_PERCENT] = ACTIONS(2912),
    [anon_sym_PLUS_PLUS] = ACTIONS(2910),
    [anon_sym_DASH_DASH] = ACTIONS(2910),
    [anon_sym_PIPE] = ACTIONS(2910),
    [anon_sym_CARET] = ACTIONS(2912),
    [anon_sym_LT_LT] = ACTIONS(2910),
    [anon_sym_GT_GT] = ACTIONS(2910),
    [anon_sym_import] = ACTIONS(2910),
    [anon_sym_typealias] = ACTIONS(2910),
    [anon_sym_struct] = ACTIONS(2910),
    [anon_sym_class] = ACTIONS(2910),
    [anon_sym_enum] = ACTIONS(2910),
    [anon_sym_protocol] = ACTIONS(2910),
    [anon_sym_let] = ACTIONS(2910),
    [anon_sym_var] = ACTIONS(2910),
    [anon_sym_func] = ACTIONS(2910),
    [anon_sym_extension] = ACTIONS(2910),
    [anon_sym_indirect] = ACTIONS(2910),
    [anon_sym_BANG2] = ACTIONS(2912),
    [anon_sym_SEMI] = ACTIONS(2910),
    [anon_sym_init] = ACTIONS(2910),
    [anon_sym_deinit] = ACTIONS(2910),
    [anon_sym_subscript] = ACTIONS(2910),
    [anon_sym_prefix] = ACTIONS(2910),
    [anon_sym_infix] = ACTIONS(2910),
    [anon_sym_postfix] = ACTIONS(2910),
    [anon_sym_precedencegroup] = ACTIONS(2910),
    [anon_sym_associatedtype] = ACTIONS(2910),
    [anon_sym_AT] = ACTIONS(2912),
    [anon_sym_override] = ACTIONS(2910),
    [anon_sym_convenience] = ACTIONS(2910),
    [anon_sym_required] = ACTIONS(2910),
    [anon_sym_nonisolated] = ACTIONS(2910),
    [anon_sym_public] = ACTIONS(2910),
    [anon_sym_private] = ACTIONS(2910),
    [anon_sym_internal] = ACTIONS(2910),
    [anon_sym_fileprivate] = ACTIONS(2910),
    [anon_sym_open] = ACTIONS(2910),
    [anon_sym_mutating] = ACTIONS(2910),
    [anon_sym_nonmutating] = ACTIONS(2910),
    [anon_sym_static] = ACTIONS(2910),
    [anon_sym_dynamic] = ACTIONS(2910),
    [anon_sym_optional] = ACTIONS(2910),
    [anon_sym_distributed] = ACTIONS(2910),
    [anon_sym_final] = ACTIONS(2910),
    [anon_sym_inout] = ACTIONS(2910),
    [anon_sym_ATescaping] = ACTIONS(2910),
    [anon_sym_ATautoclosure] = ACTIONS(2910),
    [anon_sym_weak] = ACTIONS(2910),
    [anon_sym_unowned] = ACTIONS(2912),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2910),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2910),
    [anon_sym_borrowing] = ACTIONS(2910),
    [anon_sym_consuming] = ACTIONS(2910),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2910),
    [sym__dot_custom] = ACTIONS(2910),
    [sym__conjunction_operator_custom] = ACTIONS(2910),
    [sym__disjunction_operator_custom] = ACTIONS(2910),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2910),
    [sym__eq_custom] = ACTIONS(2910),
    [sym__eq_eq_custom] = ACTIONS(2910),
    [sym__plus_then_ws] = ACTIONS(2910),
    [sym__minus_then_ws] = ACTIONS(2910),
    [sym__bang_custom] = ACTIONS(2910),
    [sym__throws_keyword] = ACTIONS(2910),
    [sym__rethrows_keyword] = ACTIONS(2910),
    [sym__as_custom] = ACTIONS(2910),
    [sym__as_quest_custom] = ACTIONS(2910),
    [sym__as_bang_custom] = ACTIONS(2910),
    [sym__async_keyword_custom] = ACTIONS(2910),
    [sym__custom_operator] = ACTIONS(2910),
  },
  [699] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(2914),
    [anon_sym_async] = ACTIONS(2914),
    [anon_sym_lazy] = ACTIONS(2914),
    [anon_sym_package] = ACTIONS(2914),
    [anon_sym_RPAREN] = ACTIONS(2914),
    [anon_sym_COMMA] = ACTIONS(2914),
    [anon_sym_COLON] = ACTIONS(2914),
    [anon_sym_LPAREN] = ACTIONS(2914),
    [anon_sym_LBRACK] = ACTIONS(2914),
    [anon_sym_RBRACK] = ACTIONS(2914),
    [anon_sym_DOT] = ACTIONS(2916),
    [anon_sym_QMARK] = ACTIONS(2916),
    [anon_sym_QMARK2] = ACTIONS(2914),
    [anon_sym_AMP] = ACTIONS(2914),
    [aux_sym_custom_operator_token1] = ACTIONS(2914),
    [anon_sym_LT] = ACTIONS(2916),
    [anon_sym_GT] = ACTIONS(2916),
    [anon_sym_LBRACE] = ACTIONS(2914),
    [anon_sym_CARET_LBRACE] = ACTIONS(2914),
    [anon_sym_RBRACE] = ACTIONS(2914),
    [anon_sym_case] = ACTIONS(2914),
    [anon_sym_PLUS_EQ] = ACTIONS(2914),
    [anon_sym_DASH_EQ] = ACTIONS(2914),
    [anon_sym_STAR_EQ] = ACTIONS(2914),
    [anon_sym_SLASH_EQ] = ACTIONS(2914),
    [anon_sym_PERCENT_EQ] = ACTIONS(2914),
    [anon_sym_BANG_EQ] = ACTIONS(2916),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2914),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2914),
    [anon_sym_LT_EQ] = ACTIONS(2914),
    [anon_sym_GT_EQ] = ACTIONS(2914),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2914),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2914),
    [anon_sym_is] = ACTIONS(2914),
    [anon_sym_PLUS] = ACTIONS(2916),
    [anon_sym_DASH] = ACTIONS(2916),
    [anon_sym_STAR] = ACTIONS(2916),
    [anon_sym_SLASH] = ACTIONS(2916),
    [anon_sym_PERCENT] = ACTIONS(2916),
    [anon_sym_PLUS_PLUS] = ACTIONS(2914),
    [anon_sym_DASH_DASH] = ACTIONS(2914),
    [anon_sym_PIPE] = ACTIONS(2914),
    [anon_sym_CARET] = ACTIONS(2916),
    [anon_sym_LT_LT] = ACTIONS(2914),
    [anon_sym_GT_GT] = ACTIONS(2914),
    [anon_sym_import] = ACTIONS(2914),
    [anon_sym_typealias] = ACTIONS(2914),
    [anon_sym_struct] = ACTIONS(2914),
    [anon_sym_class] = ACTIONS(2914),
    [anon_sym_enum] = ACTIONS(2914),
    [anon_sym_protocol] = ACTIONS(2914),
    [anon_sym_let] = ACTIONS(2914),
    [anon_sym_var] = ACTIONS(2914),
    [anon_sym_func] = ACTIONS(2914),
    [anon_sym_extension] = ACTIONS(2914),
    [anon_sym_indirect] = ACTIONS(2914),
    [anon_sym_BANG2] = ACTIONS(2916),
    [anon_sym_SEMI] = ACTIONS(2914),
    [anon_sym_init] = ACTIONS(2914),
    [anon_sym_deinit] = ACTIONS(2914),
    [anon_sym_subscript] = ACTIONS(2914),
    [anon_sym_prefix] = ACTIONS(2914),
    [anon_sym_infix] = ACTIONS(2914),
    [anon_sym_postfix] = ACTIONS(2914),
    [anon_sym_precedencegroup] = ACTIONS(2914),
    [anon_sym_associatedtype] = ACTIONS(2914),
    [anon_sym_AT] = ACTIONS(2916),
    [anon_sym_override] = ACTIONS(2914),
    [anon_sym_convenience] = ACTIONS(2914),
    [anon_sym_required] = ACTIONS(2914),
    [anon_sym_nonisolated] = ACTIONS(2914),
    [anon_sym_public] = ACTIONS(2914),
    [anon_sym_private] = ACTIONS(2914),
    [anon_sym_internal] = ACTIONS(2914),
    [anon_sym_fileprivate] = ACTIONS(2914),
    [anon_sym_open] = ACTIONS(2914),
    [anon_sym_mutating] = ACTIONS(2914),
    [anon_sym_nonmutating] = ACTIONS(2914),
    [anon_sym_static] = ACTIONS(2914),
    [anon_sym_dynamic] = ACTIONS(2914),
    [anon_sym_optional] = ACTIONS(2914),
    [anon_sym_distributed] = ACTIONS(2914),
    [anon_sym_final] = ACTIONS(2914),
    [anon_sym_inout] = ACTIONS(2914),
    [anon_sym_ATescaping] = ACTIONS(2914),
    [anon_sym_ATautoclosure] = ACTIONS(2914),
    [anon_sym_weak] = ACTIONS(2914),
    [anon_sym_unowned] = ACTIONS(2916),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2914),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2914),
    [anon_sym_borrowing] = ACTIONS(2914),
    [anon_sym_consuming] = ACTIONS(2914),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2914),
    [sym__dot_custom] = ACTIONS(2914),
    [sym__conjunction_operator_custom] = ACTIONS(2914),
    [sym__disjunction_operator_custom] = ACTIONS(2914),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2914),
    [sym__eq_custom] = ACTIONS(2914),
    [sym__eq_eq_custom] = ACTIONS(2914),
    [sym__plus_then_ws] = ACTIONS(2914),
    [sym__minus_then_ws] = ACTIONS(2914),
    [sym__bang_custom] = ACTIONS(2914),
    [sym__throws_keyword] = ACTIONS(2914),
    [sym__rethrows_keyword] = ACTIONS(2914),
    [sym__as_custom] = ACTIONS(2914),
    [sym__as_quest_custom] = ACTIONS(2914),
    [sym__as_bang_custom] = ACTIONS(2914),
    [sym__async_keyword_custom] = ACTIONS(2914),
    [sym__custom_operator] = ACTIONS(2914),
  },
  [700] = {
    [sym__key_path_postfixes] = STATE(697),
    [sym_bang] = STATE(697),
    [aux_sym__key_path_component_repeat1] = STATE(697),
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(2918),
    [anon_sym_async] = ACTIONS(2918),
    [anon_sym_lazy] = ACTIONS(2918),
    [anon_sym_package] = ACTIONS(2918),
    [anon_sym_RPAREN] = ACTIONS(2918),
    [anon_sym_COMMA] = ACTIONS(2918),
    [anon_sym_COLON] = ACTIONS(2918),
    [anon_sym_LPAREN] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(2918),
    [anon_sym_RBRACK] = ACTIONS(2918),
    [anon_sym_DOT] = ACTIONS(2920),
    [anon_sym_QMARK] = ACTIONS(2920),
    [anon_sym_QMARK2] = ACTIONS(2918),
    [anon_sym_AMP] = ACTIONS(2918),
    [aux_sym_custom_operator_token1] = ACTIONS(2918),
    [anon_sym_LT] = ACTIONS(2920),
    [anon_sym_GT] = ACTIONS(2920),
    [anon_sym_LBRACE] = ACTIONS(2918),
    [anon_sym_CARET_LBRACE] = ACTIONS(2918),
    [anon_sym_RBRACE] = ACTIONS(2918),
    [anon_sym_self] = ACTIONS(2922),
    [anon_sym_case] = ACTIONS(2918),
    [anon_sym_PLUS_EQ] = ACTIONS(2918),
    [anon_sym_DASH_EQ] = ACTIONS(2918),
    [anon_sym_STAR_EQ] = ACTIONS(2918),
    [anon_sym_SLASH_EQ] = ACTIONS(2918),
    [anon_sym_PERCENT_EQ] = ACTIONS(2918),
    [anon_sym_BANG_EQ] = ACTIONS(2920),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2918),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2918),
    [anon_sym_LT_EQ] = ACTIONS(2918),
    [anon_sym_GT_EQ] = ACTIONS(2918),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2918),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2918),
    [anon_sym_is] = ACTIONS(2918),
    [anon_sym_PLUS] = ACTIONS(2920),
    [anon_sym_DASH] = ACTIONS(2920),
    [anon_sym_STAR] = ACTIONS(2920),
    [anon_sym_SLASH] = ACTIONS(2920),
    [anon_sym_PERCENT] = ACTIONS(2920),
    [anon_sym_PLUS_PLUS] = ACTIONS(2918),
    [anon_sym_DASH_DASH] = ACTIONS(2918),
    [anon_sym_PIPE] = ACTIONS(2918),
    [anon_sym_CARET] = ACTIONS(2920),
    [anon_sym_LT_LT] = ACTIONS(2918),
    [anon_sym_GT_GT] = ACTIONS(2918),
    [anon_sym_import] = ACTIONS(2918),
    [anon_sym_typealias] = ACTIONS(2918),
    [anon_sym_struct] = ACTIONS(2918),
    [anon_sym_class] = ACTIONS(2918),
    [anon_sym_enum] = ACTIONS(2918),
    [anon_sym_protocol] = ACTIONS(2918),
    [anon_sym_let] = ACTIONS(2918),
    [anon_sym_var] = ACTIONS(2918),
    [anon_sym_func] = ACTIONS(2918),
    [anon_sym_extension] = ACTIONS(2918),
    [anon_sym_indirect] = ACTIONS(2918),
    [anon_sym_BANG2] = ACTIONS(2920),
    [anon_sym_SEMI] = ACTIONS(2918),
    [anon_sym_init] = ACTIONS(2918),
    [anon_sym_deinit] = ACTIONS(2918),
    [anon_sym_subscript] = ACTIONS(2918),
    [anon_sym_prefix] = ACTIONS(2918),
    [anon_sym_infix] = ACTIONS(2918),
    [anon_sym_postfix] = ACTIONS(2918),
    [anon_sym_precedencegroup] = ACTIONS(2918),
    [anon_sym_associatedtype] = ACTIONS(2918),
    [anon_sym_AT] = ACTIONS(2920),
    [anon_sym_override] = ACTIONS(2918),
    [anon_sym_convenience] = ACTIONS(2918),
    [anon_sym_required] = ACTIONS(2918),
    [anon_sym_nonisolated] = ACTIONS(2918),
    [anon_sym_public] = ACTIONS(2918),
    [anon_sym_private] = ACTIONS(2918),
    [anon_sym_internal] = ACTIONS(2918),
    [anon_sym_fileprivate] = ACTIONS(2918),
    [anon_sym_open] = ACTIONS(2918),
    [anon_sym_mutating] = ACTIONS(2918),
    [anon_sym_nonmutating] = ACTIONS(2918),
    [anon_sym_static] = ACTIONS(2918),
    [anon_sym_dynamic] = ACTIONS(2918),
    [anon_sym_optional] = ACTIONS(2918),
    [anon_sym_distributed] = ACTIONS(2918),
    [anon_sym_final] = ACTIONS(2918),
    [anon_sym_inout] = ACTIONS(2918),
    [anon_sym_ATescaping] = ACTIONS(2918),
    [anon_sym_ATautoclosure] = ACTIONS(2918),
    [anon_sym_weak] = ACTIONS(2918),
    [anon_sym_unowned] = ACTIONS(2920),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2918),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2918),
    [anon_sym_borrowing] = ACTIONS(2918),
    [anon_sym_consuming] = ACTIONS(2918),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2918),
    [sym__conjunction_operator_custom] = ACTIONS(2918),
    [sym__disjunction_operator_custom] = ACTIONS(2918),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2918),
    [sym__eq_custom] = ACTIONS(2918),
    [sym__eq_eq_custom] = ACTIONS(2918),
    [sym__plus_then_ws] = ACTIONS(2918),
    [sym__minus_then_ws] = ACTIONS(2918),
    [sym__bang_custom] = ACTIONS(2918),
    [sym__as_custom] = ACTIONS(2918),
    [sym__as_quest_custom] = ACTIONS(2918),
    [sym__as_bang_custom] = ACTIONS(2918),
    [sym__custom_operator] = ACTIONS(2918),
  },
  [701] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(2924),
    [anon_sym_async] = ACTIONS(2924),
    [anon_sym_lazy] = ACTIONS(2924),
    [anon_sym_package] = ACTIONS(2924),
    [anon_sym_RPAREN] = ACTIONS(2924),
    [anon_sym_COMMA] = ACTIONS(2924),
    [anon_sym_COLON] = ACTIONS(2924),
    [anon_sym_LPAREN] = ACTIONS(2924),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_RBRACK] = ACTIONS(2924),
    [anon_sym_DOT] = ACTIONS(2926),
    [anon_sym_QMARK] = ACTIONS(2926),
    [anon_sym_QMARK2] = ACTIONS(2924),
    [anon_sym_AMP] = ACTIONS(2924),
    [aux_sym_custom_operator_token1] = ACTIONS(2924),
    [anon_sym_LT] = ACTIONS(2926),
    [anon_sym_GT] = ACTIONS(2926),
    [anon_sym_LBRACE] = ACTIONS(2924),
    [anon_sym_CARET_LBRACE] = ACTIONS(2924),
    [anon_sym_RBRACE] = ACTIONS(2924),
    [anon_sym_case] = ACTIONS(2924),
    [anon_sym_PLUS_EQ] = ACTIONS(2924),
    [anon_sym_DASH_EQ] = ACTIONS(2924),
    [anon_sym_STAR_EQ] = ACTIONS(2924),
    [anon_sym_SLASH_EQ] = ACTIONS(2924),
    [anon_sym_PERCENT_EQ] = ACTIONS(2924),
    [anon_sym_BANG_EQ] = ACTIONS(2926),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2924),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2924),
    [anon_sym_LT_EQ] = ACTIONS(2924),
    [anon_sym_GT_EQ] = ACTIONS(2924),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2924),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2924),
    [anon_sym_is] = ACTIONS(2924),
    [anon_sym_PLUS] = ACTIONS(2926),
    [anon_sym_DASH] = ACTIONS(2926),
    [anon_sym_STAR] = ACTIONS(2926),
    [anon_sym_SLASH] = ACTIONS(2926),
    [anon_sym_PERCENT] = ACTIONS(2926),
    [anon_sym_PLUS_PLUS] = ACTIONS(2924),
    [anon_sym_DASH_DASH] = ACTIONS(2924),
    [anon_sym_PIPE] = ACTIONS(2924),
    [anon_sym_CARET] = ACTIONS(2926),
    [anon_sym_LT_LT] = ACTIONS(2924),
    [anon_sym_GT_GT] = ACTIONS(2924),
    [anon_sym_import] = ACTIONS(2924),
    [anon_sym_typealias] = ACTIONS(2924),
    [anon_sym_struct] = ACTIONS(2924),
    [anon_sym_class] = ACTIONS(2924),
    [anon_sym_enum] = ACTIONS(2924),
    [anon_sym_protocol] = ACTIONS(2924),
    [anon_sym_let] = ACTIONS(2924),
    [anon_sym_var] = ACTIONS(2924),
    [anon_sym_func] = ACTIONS(2924),
    [anon_sym_extension] = ACTIONS(2924),
    [anon_sym_indirect] = ACTIONS(2924),
    [anon_sym_BANG2] = ACTIONS(2926),
    [anon_sym_SEMI] = ACTIONS(2924),
    [anon_sym_init] = ACTIONS(2924),
    [anon_sym_deinit] = ACTIONS(2924),
    [anon_sym_subscript] = ACTIONS(2924),
    [anon_sym_prefix] = ACTIONS(2924),
    [anon_sym_infix] = ACTIONS(2924),
    [anon_sym_postfix] = ACTIONS(2924),
    [anon_sym_precedencegroup] = ACTIONS(2924),
    [anon_sym_associatedtype] = ACTIONS(2924),
    [anon_sym_AT] = ACTIONS(2926),
    [anon_sym_override] = ACTIONS(2924),
    [anon_sym_convenience] = ACTIONS(2924),
    [anon_sym_required] = ACTIONS(2924),
    [anon_sym_nonisolated] = ACTIONS(2924),
    [anon_sym_public] = ACTIONS(2924),
    [anon_sym_private] = ACTIONS(2924),
    [anon_sym_internal] = ACTIONS(2924),
    [anon_sym_fileprivate] = ACTIONS(2924),
    [anon_sym_open] = ACTIONS(2924),
    [anon_sym_mutating] = ACTIONS(2924),
    [anon_sym_nonmutating] = ACTIONS(2924),
    [anon_sym_static] = ACTIONS(2924),
    [anon_sym_dynamic] = ACTIONS(2924),
    [anon_sym_optional] = ACTIONS(2924),
    [anon_sym_distributed] = ACTIONS(2924),
    [anon_sym_final] = ACTIONS(2924),
    [anon_sym_inout] = ACTIONS(2924),
    [anon_sym_ATescaping] = ACTIONS(2924),
    [anon_sym_ATautoclosure] = ACTIONS(2924),
    [anon_sym_weak] = ACTIONS(2924),
    [anon_sym_unowned] = ACTIONS(2926),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2924),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2924),
    [anon_sym_borrowing] = ACTIONS(2924),
    [anon_sym_consuming] = ACTIONS(2924),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2924),
    [sym__dot_custom] = ACTIONS(2924),
    [sym__conjunction_operator_custom] = ACTIONS(2924),
    [sym__disjunction_operator_custom] = ACTIONS(2924),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2924),
    [sym__eq_custom] = ACTIONS(2924),
    [sym__eq_eq_custom] = ACTIONS(2924),
    [sym__plus_then_ws] = ACTIONS(2924),
    [sym__minus_then_ws] = ACTIONS(2924),
    [sym__bang_custom] = ACTIONS(2924),
    [sym__throws_keyword] = ACTIONS(2924),
    [sym__rethrows_keyword] = ACTIONS(2924),
    [sym__as_custom] = ACTIONS(2924),
    [sym__as_quest_custom] = ACTIONS(2924),
    [sym__as_bang_custom] = ACTIONS(2924),
    [sym__async_keyword_custom] = ACTIONS(2924),
    [sym__custom_operator] = ACTIONS(2924),
  },
  [702] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(2928),
    [anon_sym_async] = ACTIONS(2928),
    [anon_sym_lazy] = ACTIONS(2928),
    [anon_sym_package] = ACTIONS(2928),
    [anon_sym_RPAREN] = ACTIONS(2928),
    [anon_sym_COMMA] = ACTIONS(2928),
    [anon_sym_COLON] = ACTIONS(2928),
    [anon_sym_LPAREN] = ACTIONS(2928),
    [anon_sym_LBRACK] = ACTIONS(2928),
    [anon_sym_RBRACK] = ACTIONS(2928),
    [anon_sym_DOT] = ACTIONS(2930),
    [anon_sym_QMARK] = ACTIONS(2930),
    [anon_sym_QMARK2] = ACTIONS(2928),
    [anon_sym_AMP] = ACTIONS(2928),
    [aux_sym_custom_operator_token1] = ACTIONS(2928),
    [anon_sym_LT] = ACTIONS(2930),
    [anon_sym_GT] = ACTIONS(2930),
    [anon_sym_LBRACE] = ACTIONS(2928),
    [anon_sym_CARET_LBRACE] = ACTIONS(2928),
    [anon_sym_RBRACE] = ACTIONS(2928),
    [anon_sym_case] = ACTIONS(2928),
    [anon_sym_PLUS_EQ] = ACTIONS(2928),
    [anon_sym_DASH_EQ] = ACTIONS(2928),
    [anon_sym_STAR_EQ] = ACTIONS(2928),
    [anon_sym_SLASH_EQ] = ACTIONS(2928),
    [anon_sym_PERCENT_EQ] = ACTIONS(2928),
    [anon_sym_BANG_EQ] = ACTIONS(2930),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2928),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2928),
    [anon_sym_LT_EQ] = ACTIONS(2928),
    [anon_sym_GT_EQ] = ACTIONS(2928),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2928),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2928),
    [anon_sym_is] = ACTIONS(2928),
    [anon_sym_PLUS] = ACTIONS(2930),
    [anon_sym_DASH] = ACTIONS(2930),
    [anon_sym_STAR] = ACTIONS(2930),
    [anon_sym_SLASH] = ACTIONS(2930),
    [anon_sym_PERCENT] = ACTIONS(2930),
    [anon_sym_PLUS_PLUS] = ACTIONS(2928),
    [anon_sym_DASH_DASH] = ACTIONS(2928),
    [anon_sym_PIPE] = ACTIONS(2928),
    [anon_sym_CARET] = ACTIONS(2930),
    [anon_sym_LT_LT] = ACTIONS(2928),
    [anon_sym_GT_GT] = ACTIONS(2928),
    [anon_sym_import] = ACTIONS(2928),
    [anon_sym_typealias] = ACTIONS(2928),
    [anon_sym_struct] = ACTIONS(2928),
    [anon_sym_class] = ACTIONS(2928),
    [anon_sym_enum] = ACTIONS(2928),
    [anon_sym_protocol] = ACTIONS(2928),
    [anon_sym_let] = ACTIONS(2928),
    [anon_sym_var] = ACTIONS(2928),
    [anon_sym_func] = ACTIONS(2928),
    [anon_sym_extension] = ACTIONS(2928),
    [anon_sym_indirect] = ACTIONS(2928),
    [anon_sym_BANG2] = ACTIONS(2930),
    [anon_sym_SEMI] = ACTIONS(2928),
    [anon_sym_init] = ACTIONS(2928),
    [anon_sym_deinit] = ACTIONS(2928),
    [anon_sym_subscript] = ACTIONS(2928),
    [anon_sym_prefix] = ACTIONS(2928),
    [anon_sym_infix] = ACTIONS(2928),
    [anon_sym_postfix] = ACTIONS(2928),
    [anon_sym_precedencegroup] = ACTIONS(2928),
    [anon_sym_associatedtype] = ACTIONS(2928),
    [anon_sym_AT] = ACTIONS(2930),
    [anon_sym_override] = ACTIONS(2928),
    [anon_sym_convenience] = ACTIONS(2928),
    [anon_sym_required] = ACTIONS(2928),
    [anon_sym_nonisolated] = ACTIONS(2928),
    [anon_sym_public] = ACTIONS(2928),
    [anon_sym_private] = ACTIONS(2928),
    [anon_sym_internal] = ACTIONS(2928),
    [anon_sym_fileprivate] = ACTIONS(2928),
    [anon_sym_open] = ACTIONS(2928),
    [anon_sym_mutating] = ACTIONS(2928),
    [anon_sym_nonmutating] = ACTIONS(2928),
    [anon_sym_static] = ACTIONS(2928),
    [anon_sym_dynamic] = ACTIONS(2928),
    [anon_sym_optional] = ACTIONS(2928),
    [anon_sym_distributed] = ACTIONS(2928),
    [anon_sym_final] = ACTIONS(2928),
    [anon_sym_inout] = ACTIONS(2928),
    [anon_sym_ATescaping] = ACTIONS(2928),
    [anon_sym_ATautoclosure] = ACTIONS(2928),
    [anon_sym_weak] = ACTIONS(2928),
    [anon_sym_unowned] = ACTIONS(2930),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2928),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2928),
    [anon_sym_borrowing] = ACTIONS(2928),
    [anon_sym_consuming] = ACTIONS(2928),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2928),
    [sym__dot_custom] = ACTIONS(2928),
    [sym__conjunction_operator_custom] = ACTIONS(2928),
    [sym__disjunction_operator_custom] = ACTIONS(2928),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2928),
    [sym__eq_custom] = ACTIONS(2928),
    [sym__eq_eq_custom] = ACTIONS(2928),
    [sym__plus_then_ws] = ACTIONS(2928),
    [sym__minus_then_ws] = ACTIONS(2928),
    [sym__bang_custom] = ACTIONS(2928),
    [sym__throws_keyword] = ACTIONS(2928),
    [sym__rethrows_keyword] = ACTIONS(2928),
    [sym__as_custom] = ACTIONS(2928),
    [sym__as_quest_custom] = ACTIONS(2928),
    [sym__as_bang_custom] = ACTIONS(2928),
    [sym__async_keyword_custom] = ACTIONS(2928),
    [sym__custom_operator] = ACTIONS(2928),
  },
  [703] = {
    [sym__key_path_postfixes] = STATE(704),
    [sym_bang] = STATE(704),
    [aux_sym__key_path_component_repeat1] = STATE(704),
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(2918),
    [anon_sym_async] = ACTIONS(2918),
    [anon_sym_lazy] = ACTIONS(2918),
    [anon_sym_package] = ACTIONS(2918),
    [anon_sym_RPAREN] = ACTIONS(2918),
    [anon_sym_COMMA] = ACTIONS(2918),
    [anon_sym_COLON] = ACTIONS(2918),
    [anon_sym_LPAREN] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(2918),
    [anon_sym_RBRACK] = ACTIONS(2918),
    [anon_sym_DOT] = ACTIONS(2920),
    [anon_sym_QMARK] = ACTIONS(2920),
    [anon_sym_QMARK2] = ACTIONS(2918),
    [anon_sym_AMP] = ACTIONS(2918),
    [aux_sym_custom_operator_token1] = ACTIONS(2918),
    [anon_sym_LT] = ACTIONS(2920),
    [anon_sym_GT] = ACTIONS(2920),
    [anon_sym_LBRACE] = ACTIONS(2918),
    [anon_sym_CARET_LBRACE] = ACTIONS(2918),
    [anon_sym_RBRACE] = ACTIONS(2918),
    [anon_sym_self] = ACTIONS(2908),
    [anon_sym_case] = ACTIONS(2918),
    [anon_sym_PLUS_EQ] = ACTIONS(2918),
    [anon_sym_DASH_EQ] = ACTIONS(2918),
    [anon_sym_STAR_EQ] = ACTIONS(2918),
    [anon_sym_SLASH_EQ] = ACTIONS(2918),
    [anon_sym_PERCENT_EQ] = ACTIONS(2918),
    [anon_sym_BANG_EQ] = ACTIONS(2920),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2918),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2918),
    [anon_sym_LT_EQ] = ACTIONS(2918),
    [anon_sym_GT_EQ] = ACTIONS(2918),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2918),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2918),
    [anon_sym_is] = ACTIONS(2918),
    [anon_sym_PLUS] = ACTIONS(2920),
    [anon_sym_DASH] = ACTIONS(2920),
    [anon_sym_STAR] = ACTIONS(2920),
    [anon_sym_SLASH] = ACTIONS(2920),
    [anon_sym_PERCENT] = ACTIONS(2920),
    [anon_sym_PLUS_PLUS] = ACTIONS(2918),
    [anon_sym_DASH_DASH] = ACTIONS(2918),
    [anon_sym_PIPE] = ACTIONS(2918),
    [anon_sym_CARET] = ACTIONS(2920),
    [anon_sym_LT_LT] = ACTIONS(2918),
    [anon_sym_GT_GT] = ACTIONS(2918),
    [anon_sym_import] = ACTIONS(2918),
    [anon_sym_typealias] = ACTIONS(2918),
    [anon_sym_struct] = ACTIONS(2918),
    [anon_sym_class] = ACTIONS(2918),
    [anon_sym_enum] = ACTIONS(2918),
    [anon_sym_protocol] = ACTIONS(2918),
    [anon_sym_let] = ACTIONS(2918),
    [anon_sym_var] = ACTIONS(2918),
    [anon_sym_func] = ACTIONS(2918),
    [anon_sym_extension] = ACTIONS(2918),
    [anon_sym_indirect] = ACTIONS(2918),
    [anon_sym_BANG2] = ACTIONS(2920),
    [anon_sym_SEMI] = ACTIONS(2918),
    [anon_sym_init] = ACTIONS(2918),
    [anon_sym_deinit] = ACTIONS(2918),
    [anon_sym_subscript] = ACTIONS(2918),
    [anon_sym_prefix] = ACTIONS(2918),
    [anon_sym_infix] = ACTIONS(2918),
    [anon_sym_postfix] = ACTIONS(2918),
    [anon_sym_precedencegroup] = ACTIONS(2918),
    [anon_sym_associatedtype] = ACTIONS(2918),
    [anon_sym_AT] = ACTIONS(2920),
    [anon_sym_override] = ACTIONS(2918),
    [anon_sym_convenience] = ACTIONS(2918),
    [anon_sym_required] = ACTIONS(2918),
    [anon_sym_nonisolated] = ACTIONS(2918),
    [anon_sym_public] = ACTIONS(2918),
    [anon_sym_private] = ACTIONS(2918),
    [anon_sym_internal] = ACTIONS(2918),
    [anon_sym_fileprivate] = ACTIONS(2918),
    [anon_sym_open] = ACTIONS(2918),
    [anon_sym_mutating] = ACTIONS(2918),
    [anon_sym_nonmutating] = ACTIONS(2918),
    [anon_sym_static] = ACTIONS(2918),
    [anon_sym_dynamic] = ACTIONS(2918),
    [anon_sym_optional] = ACTIONS(2918),
    [anon_sym_distributed] = ACTIONS(2918),
    [anon_sym_final] = ACTIONS(2918),
    [anon_sym_inout] = ACTIONS(2918),
    [anon_sym_ATescaping] = ACTIONS(2918),
    [anon_sym_ATautoclosure] = ACTIONS(2918),
    [anon_sym_weak] = ACTIONS(2918),
    [anon_sym_unowned] = ACTIONS(2920),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2918),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2918),
    [anon_sym_borrowing] = ACTIONS(2918),
    [anon_sym_consuming] = ACTIONS(2918),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2918),
    [sym__conjunction_operator_custom] = ACTIONS(2918),
    [sym__disjunction_operator_custom] = ACTIONS(2918),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2918),
    [sym__eq_custom] = ACTIONS(2918),
    [sym__eq_eq_custom] = ACTIONS(2918),
    [sym__plus_then_ws] = ACTIONS(2918),
    [sym__minus_then_ws] = ACTIONS(2918),
    [sym__bang_custom] = ACTIONS(2918),
    [sym__as_custom] = ACTIONS(2918),
    [sym__as_quest_custom] = ACTIONS(2918),
    [sym__as_bang_custom] = ACTIONS(2918),
    [sym__custom_operator] = ACTIONS(2918),
  },
  [704] = {
    [sym__key_path_postfixes] = STATE(704),
    [sym_bang] = STATE(704),
    [aux_sym__key_path_component_repeat1] = STATE(704),
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(2932),
    [anon_sym_async] = ACTIONS(2932),
    [anon_sym_lazy] = ACTIONS(2932),
    [anon_sym_package] = ACTIONS(2932),
    [anon_sym_RPAREN] = ACTIONS(2932),
    [anon_sym_COMMA] = ACTIONS(2932),
    [anon_sym_COLON] = ACTIONS(2932),
    [anon_sym_LPAREN] = ACTIONS(2932),
    [anon_sym_LBRACK] = ACTIONS(2934),
    [anon_sym_RBRACK] = ACTIONS(2932),
    [anon_sym_DOT] = ACTIONS(2937),
    [anon_sym_QMARK] = ACTIONS(2939),
    [anon_sym_QMARK2] = ACTIONS(2932),
    [anon_sym_AMP] = ACTIONS(2932),
    [aux_sym_custom_operator_token1] = ACTIONS(2932),
    [anon_sym_LT] = ACTIONS(2937),
    [anon_sym_GT] = ACTIONS(2937),
    [anon_sym_LBRACE] = ACTIONS(2932),
    [anon_sym_CARET_LBRACE] = ACTIONS(2932),
    [anon_sym_RBRACE] = ACTIONS(2932),
    [anon_sym_self] = ACTIONS(2942),
    [anon_sym_case] = ACTIONS(2932),
    [anon_sym_PLUS_EQ] = ACTIONS(2932),
    [anon_sym_DASH_EQ] = ACTIONS(2932),
    [anon_sym_STAR_EQ] = ACTIONS(2932),
    [anon_sym_SLASH_EQ] = ACTIONS(2932),
    [anon_sym_PERCENT_EQ] = ACTIONS(2932),
    [anon_sym_BANG_EQ] = ACTIONS(2937),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2932),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2932),
    [anon_sym_LT_EQ] = ACTIONS(2932),
    [anon_sym_GT_EQ] = ACTIONS(2932),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2932),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2932),
    [anon_sym_is] = ACTIONS(2932),
    [anon_sym_PLUS] = ACTIONS(2937),
    [anon_sym_DASH] = ACTIONS(2937),
    [anon_sym_STAR] = ACTIONS(2937),
    [anon_sym_SLASH] = ACTIONS(2937),
    [anon_sym_PERCENT] = ACTIONS(2937),
    [anon_sym_PLUS_PLUS] = ACTIONS(2932),
    [anon_sym_DASH_DASH] = ACTIONS(2932),
    [anon_sym_PIPE] = ACTIONS(2932),
    [anon_sym_CARET] = ACTIONS(2937),
    [anon_sym_LT_LT] = ACTIONS(2932),
    [anon_sym_GT_GT] = ACTIONS(2932),
    [anon_sym_import] = ACTIONS(2932),
    [anon_sym_typealias] = ACTIONS(2932),
    [anon_sym_struct] = ACTIONS(2932),
    [anon_sym_class] = ACTIONS(2932),
    [anon_sym_enum] = ACTIONS(2932),
    [anon_sym_protocol] = ACTIONS(2932),
    [anon_sym_let] = ACTIONS(2932),
    [anon_sym_var] = ACTIONS(2932),
    [anon_sym_func] = ACTIONS(2932),
    [anon_sym_extension] = ACTIONS(2932),
    [anon_sym_indirect] = ACTIONS(2932),
    [anon_sym_BANG2] = ACTIONS(2945),
    [anon_sym_SEMI] = ACTIONS(2932),
    [anon_sym_init] = ACTIONS(2932),
    [anon_sym_deinit] = ACTIONS(2932),
    [anon_sym_subscript] = ACTIONS(2932),
    [anon_sym_prefix] = ACTIONS(2932),
    [anon_sym_infix] = ACTIONS(2932),
    [anon_sym_postfix] = ACTIONS(2932),
    [anon_sym_precedencegroup] = ACTIONS(2932),
    [anon_sym_associatedtype] = ACTIONS(2932),
    [anon_sym_AT] = ACTIONS(2937),
    [anon_sym_override] = ACTIONS(2932),
    [anon_sym_convenience] = ACTIONS(2932),
    [anon_sym_required] = ACTIONS(2932),
    [anon_sym_nonisolated] = ACTIONS(2932),
    [anon_sym_public] = ACTIONS(2932),
    [anon_sym_private] = ACTIONS(2932),
    [anon_sym_internal] = ACTIONS(2932),
    [anon_sym_fileprivate] = ACTIONS(2932),
    [anon_sym_open] = ACTIONS(2932),
    [anon_sym_mutating] = ACTIONS(2932),
    [anon_sym_nonmutating] = ACTIONS(2932),
    [anon_sym_static] = ACTIONS(2932),
    [anon_sym_dynamic] = ACTIONS(2932),
    [anon_sym_optional] = ACTIONS(2932),
    [anon_sym_distributed] = ACTIONS(2932),
    [anon_sym_final] = ACTIONS(2932),
    [anon_sym_inout] = ACTIONS(2932),
    [anon_sym_ATescaping] = ACTIONS(2932),
    [anon_sym_ATautoclosure] = ACTIONS(2932),
    [anon_sym_weak] = ACTIONS(2932),
    [anon_sym_unowned] = ACTIONS(2937),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2932),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2932),
    [anon_sym_borrowing] = ACTIONS(2932),
    [anon_sym_consuming] = ACTIONS(2932),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2932),
    [sym__conjunction_operator_custom] = ACTIONS(2932),
    [sym__disjunction_operator_custom] = ACTIONS(2932),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2932),
    [sym__eq_custom] = ACTIONS(2932),
    [sym__eq_eq_custom] = ACTIONS(2932),
    [sym__plus_then_ws] = ACTIONS(2932),
    [sym__minus_then_ws] = ACTIONS(2932),
    [sym__bang_custom] = ACTIONS(2948),
    [sym__as_custom] = ACTIONS(2932),
    [sym__as_quest_custom] = ACTIONS(2932),
    [sym__as_bang_custom] = ACTIONS(2932),
    [sym__custom_operator] = ACTIONS(2932),
  },
  [705] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(2951),
    [anon_sym_async] = ACTIONS(2951),
    [anon_sym_lazy] = ACTIONS(2951),
    [anon_sym_package] = ACTIONS(2951),
    [anon_sym_RPAREN] = ACTIONS(2951),
    [anon_sym_COMMA] = ACTIONS(2951),
    [anon_sym_COLON] = ACTIONS(2951),
    [anon_sym_LPAREN] = ACTIONS(2951),
    [anon_sym_LBRACK] = ACTIONS(2951),
    [anon_sym_RBRACK] = ACTIONS(2951),
    [anon_sym_DOT] = ACTIONS(2953),
    [anon_sym_QMARK] = ACTIONS(2953),
    [anon_sym_QMARK2] = ACTIONS(2951),
    [anon_sym_AMP] = ACTIONS(2951),
    [aux_sym_custom_operator_token1] = ACTIONS(2951),
    [anon_sym_LT] = ACTIONS(2953),
    [anon_sym_GT] = ACTIONS(2953),
    [anon_sym_LBRACE] = ACTIONS(2951),
    [anon_sym_CARET_LBRACE] = ACTIONS(2951),
    [anon_sym_RBRACE] = ACTIONS(2951),
    [anon_sym_case] = ACTIONS(2951),
    [anon_sym_PLUS_EQ] = ACTIONS(2951),
    [anon_sym_DASH_EQ] = ACTIONS(2951),
    [anon_sym_STAR_EQ] = ACTIONS(2951),
    [anon_sym_SLASH_EQ] = ACTIONS(2951),
    [anon_sym_PERCENT_EQ] = ACTIONS(2951),
    [anon_sym_BANG_EQ] = ACTIONS(2953),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2951),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2951),
    [anon_sym_LT_EQ] = ACTIONS(2951),
    [anon_sym_GT_EQ] = ACTIONS(2951),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2951),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2951),
    [anon_sym_is] = ACTIONS(2951),
    [anon_sym_PLUS] = ACTIONS(2953),
    [anon_sym_DASH] = ACTIONS(2953),
    [anon_sym_STAR] = ACTIONS(2953),
    [anon_sym_SLASH] = ACTIONS(2953),
    [anon_sym_PERCENT] = ACTIONS(2953),
    [anon_sym_PLUS_PLUS] = ACTIONS(2951),
    [anon_sym_DASH_DASH] = ACTIONS(2951),
    [anon_sym_PIPE] = ACTIONS(2951),
    [anon_sym_CARET] = ACTIONS(2953),
    [anon_sym_LT_LT] = ACTIONS(2951),
    [anon_sym_GT_GT] = ACTIONS(2951),
    [anon_sym_import] = ACTIONS(2951),
    [anon_sym_typealias] = ACTIONS(2951),
    [anon_sym_struct] = ACTIONS(2951),
    [anon_sym_class] = ACTIONS(2951),
    [anon_sym_enum] = ACTIONS(2951),
    [anon_sym_protocol] = ACTIONS(2951),
    [anon_sym_let] = ACTIONS(2951),
    [anon_sym_var] = ACTIONS(2951),
    [anon_sym_func] = ACTIONS(2951),
    [anon_sym_extension] = ACTIONS(2951),
    [anon_sym_indirect] = ACTIONS(2951),
    [anon_sym_BANG2] = ACTIONS(2953),
    [anon_sym_SEMI] = ACTIONS(2951),
    [anon_sym_init] = ACTIONS(2951),
    [anon_sym_deinit] = ACTIONS(2951),
    [anon_sym_subscript] = ACTIONS(2951),
    [anon_sym_prefix] = ACTIONS(2951),
    [anon_sym_infix] = ACTIONS(2951),
    [anon_sym_postfix] = ACTIONS(2951),
    [anon_sym_precedencegroup] = ACTIONS(2951),
    [anon_sym_associatedtype] = ACTIONS(2951),
    [anon_sym_AT] = ACTIONS(2953),
    [anon_sym_override] = ACTIONS(2951),
    [anon_sym_convenience] = ACTIONS(2951),
    [anon_sym_required] = ACTIONS(2951),
    [anon_sym_nonisolated] = ACTIONS(2951),
    [anon_sym_public] = ACTIONS(2951),
    [anon_sym_private] = ACTIONS(2951),
    [anon_sym_internal] = ACTIONS(2951),
    [anon_sym_fileprivate] = ACTIONS(2951),
    [anon_sym_open] = ACTIONS(2951),
    [anon_sym_mutating] = ACTIONS(2951),
    [anon_sym_nonmutating] = ACTIONS(2951),
    [anon_sym_static] = ACTIONS(2951),
    [anon_sym_dynamic] = ACTIONS(2951),
    [anon_sym_optional] = ACTIONS(2951),
    [anon_sym_distributed] = ACTIONS(2951),
    [anon_sym_final] = ACTIONS(2951),
    [anon_sym_inout] = ACTIONS(2951),
    [anon_sym_ATescaping] = ACTIONS(2951),
    [anon_sym_ATautoclosure] = ACTIONS(2951),
    [anon_sym_weak] = ACTIONS(2951),
    [anon_sym_unowned] = ACTIONS(2953),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2951),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2951),
    [anon_sym_borrowing] = ACTIONS(2951),
    [anon_sym_consuming] = ACTIONS(2951),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2951),
    [sym__dot_custom] = ACTIONS(2951),
    [sym__conjunction_operator_custom] = ACTIONS(2951),
    [sym__disjunction_operator_custom] = ACTIONS(2951),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2951),
    [sym__eq_custom] = ACTIONS(2951),
    [sym__eq_eq_custom] = ACTIONS(2951),
    [sym__plus_then_ws] = ACTIONS(2951),
    [sym__minus_then_ws] = ACTIONS(2951),
    [sym__bang_custom] = ACTIONS(2951),
    [sym__throws_keyword] = ACTIONS(2951),
    [sym__rethrows_keyword] = ACTIONS(2951),
    [sym__as_custom] = ACTIONS(2951),
    [sym__as_quest_custom] = ACTIONS(2951),
    [sym__as_bang_custom] = ACTIONS(2951),
    [sym__async_keyword_custom] = ACTIONS(2951),
    [sym__custom_operator] = ACTIONS(2951),
  },
  [706] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(2955),
    [anon_sym_async] = ACTIONS(2955),
    [anon_sym_lazy] = ACTIONS(2955),
    [anon_sym_package] = ACTIONS(2955),
    [anon_sym_RPAREN] = ACTIONS(2955),
    [anon_sym_COMMA] = ACTIONS(2955),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_LPAREN] = ACTIONS(2955),
    [anon_sym_LBRACK] = ACTIONS(2955),
    [anon_sym_RBRACK] = ACTIONS(2955),
    [anon_sym_DOT] = ACTIONS(2957),
    [anon_sym_QMARK] = ACTIONS(2957),
    [anon_sym_QMARK2] = ACTIONS(2955),
    [anon_sym_AMP] = ACTIONS(2955),
    [aux_sym_custom_operator_token1] = ACTIONS(2955),
    [anon_sym_LT] = ACTIONS(2957),
    [anon_sym_GT] = ACTIONS(2957),
    [anon_sym_LBRACE] = ACTIONS(2955),
    [anon_sym_CARET_LBRACE] = ACTIONS(2955),
    [anon_sym_RBRACE] = ACTIONS(2955),
    [anon_sym_case] = ACTIONS(2955),
    [anon_sym_PLUS_EQ] = ACTIONS(2955),
    [anon_sym_DASH_EQ] = ACTIONS(2955),
    [anon_sym_STAR_EQ] = ACTIONS(2955),
    [anon_sym_SLASH_EQ] = ACTIONS(2955),
    [anon_sym_PERCENT_EQ] = ACTIONS(2955),
    [anon_sym_BANG_EQ] = ACTIONS(2957),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2955),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2955),
    [anon_sym_LT_EQ] = ACTIONS(2955),
    [anon_sym_GT_EQ] = ACTIONS(2955),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2955),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2955),
    [anon_sym_is] = ACTIONS(2955),
    [anon_sym_PLUS] = ACTIONS(2957),
    [anon_sym_DASH] = ACTIONS(2957),
    [anon_sym_STAR] = ACTIONS(2957),
    [anon_sym_SLASH] = ACTIONS(2957),
    [anon_sym_PERCENT] = ACTIONS(2957),
    [anon_sym_PLUS_PLUS] = ACTIONS(2955),
    [anon_sym_DASH_DASH] = ACTIONS(2955),
    [anon_sym_PIPE] = ACTIONS(2955),
    [anon_sym_CARET] = ACTIONS(2957),
    [anon_sym_LT_LT] = ACTIONS(2955),
    [anon_sym_GT_GT] = ACTIONS(2955),
    [anon_sym_import] = ACTIONS(2955),
    [anon_sym_typealias] = ACTIONS(2955),
    [anon_sym_struct] = ACTIONS(2955),
    [anon_sym_class] = ACTIONS(2955),
    [anon_sym_enum] = ACTIONS(2955),
    [anon_sym_protocol] = ACTIONS(2955),
    [anon_sym_let] = ACTIONS(2955),
    [anon_sym_var] = ACTIONS(2955),
    [anon_sym_func] = ACTIONS(2955),
    [anon_sym_extension] = ACTIONS(2955),
    [anon_sym_indirect] = ACTIONS(2955),
    [anon_sym_BANG2] = ACTIONS(2957),
    [anon_sym_SEMI] = ACTIONS(2955),
    [anon_sym_init] = ACTIONS(2955),
    [anon_sym_deinit] = ACTIONS(2955),
    [anon_sym_subscript] = ACTIONS(2955),
    [anon_sym_prefix] = ACTIONS(2955),
    [anon_sym_infix] = ACTIONS(2955),
    [anon_sym_postfix] = ACTIONS(2955),
    [anon_sym_precedencegroup] = ACTIONS(2955),
    [anon_sym_associatedtype] = ACTIONS(2955),
    [anon_sym_AT] = ACTIONS(2957),
    [anon_sym_override] = ACTIONS(2955),
    [anon_sym_convenience] = ACTIONS(2955),
    [anon_sym_required] = ACTIONS(2955),
    [anon_sym_nonisolated] = ACTIONS(2955),
    [anon_sym_public] = ACTIONS(2955),
    [anon_sym_private] = ACTIONS(2955),
    [anon_sym_internal] = ACTIONS(2955),
    [anon_sym_fileprivate] = ACTIONS(2955),
    [anon_sym_open] = ACTIONS(2955),
    [anon_sym_mutating] = ACTIONS(2955),
    [anon_sym_nonmutating] = ACTIONS(2955),
    [anon_sym_static] = ACTIONS(2955),
    [anon_sym_dynamic] = ACTIONS(2955),
    [anon_sym_optional] = ACTIONS(2955),
    [anon_sym_distributed] = ACTIONS(2955),
    [anon_sym_final] = ACTIONS(2955),
    [anon_sym_inout] = ACTIONS(2955),
    [anon_sym_ATescaping] = ACTIONS(2955),
    [anon_sym_ATautoclosure] = ACTIONS(2955),
    [anon_sym_weak] = ACTIONS(2955),
    [anon_sym_unowned] = ACTIONS(2957),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2955),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2955),
    [anon_sym_borrowing] = ACTIONS(2955),
    [anon_sym_consuming] = ACTIONS(2955),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2955),
    [sym__dot_custom] = ACTIONS(2955),
    [sym__conjunction_operator_custom] = ACTIONS(2955),
    [sym__disjunction_operator_custom] = ACTIONS(2955),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2955),
    [sym__eq_custom] = ACTIONS(2955),
    [sym__eq_eq_custom] = ACTIONS(2955),
    [sym__plus_then_ws] = ACTIONS(2955),
    [sym__minus_then_ws] = ACTIONS(2955),
    [sym__bang_custom] = ACTIONS(2955),
    [sym__throws_keyword] = ACTIONS(2955),
    [sym__rethrows_keyword] = ACTIONS(2955),
    [sym__as_custom] = ACTIONS(2955),
    [sym__as_quest_custom] = ACTIONS(2955),
    [sym__as_bang_custom] = ACTIONS(2955),
    [sym__async_keyword_custom] = ACTIONS(2955),
    [sym__custom_operator] = ACTIONS(2955),
  },
  [707] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(2959),
    [anon_sym_async] = ACTIONS(2959),
    [anon_sym_lazy] = ACTIONS(2959),
    [anon_sym_package] = ACTIONS(2959),
    [anon_sym_RPAREN] = ACTIONS(2959),
    [anon_sym_COMMA] = ACTIONS(2959),
    [anon_sym_COLON] = ACTIONS(2959),
    [anon_sym_LPAREN] = ACTIONS(2959),
    [anon_sym_LBRACK] = ACTIONS(2959),
    [anon_sym_RBRACK] = ACTIONS(2959),
    [anon_sym_DOT] = ACTIONS(2961),
    [anon_sym_QMARK] = ACTIONS(2961),
    [anon_sym_QMARK2] = ACTIONS(2959),
    [anon_sym_AMP] = ACTIONS(2959),
    [aux_sym_custom_operator_token1] = ACTIONS(2959),
    [anon_sym_LT] = ACTIONS(2961),
    [anon_sym_GT] = ACTIONS(2961),
    [anon_sym_LBRACE] = ACTIONS(2959),
    [anon_sym_CARET_LBRACE] = ACTIONS(2959),
    [anon_sym_RBRACE] = ACTIONS(2959),
    [anon_sym_case] = ACTIONS(2959),
    [anon_sym_PLUS_EQ] = ACTIONS(2959),
    [anon_sym_DASH_EQ] = ACTIONS(2959),
    [anon_sym_STAR_EQ] = ACTIONS(2959),
    [anon_sym_SLASH_EQ] = ACTIONS(2959),
    [anon_sym_PERCENT_EQ] = ACTIONS(2959),
    [anon_sym_BANG_EQ] = ACTIONS(2961),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2959),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2959),
    [anon_sym_LT_EQ] = ACTIONS(2959),
    [anon_sym_GT_EQ] = ACTIONS(2959),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2959),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2959),
    [anon_sym_is] = ACTIONS(2959),
    [anon_sym_PLUS] = ACTIONS(2961),
    [anon_sym_DASH] = ACTIONS(2961),
    [anon_sym_STAR] = ACTIONS(2961),
    [anon_sym_SLASH] = ACTIONS(2961),
    [anon_sym_PERCENT] = ACTIONS(2961),
    [anon_sym_PLUS_PLUS] = ACTIONS(2959),
    [anon_sym_DASH_DASH] = ACTIONS(2959),
    [anon_sym_PIPE] = ACTIONS(2959),
    [anon_sym_CARET] = ACTIONS(2961),
    [anon_sym_LT_LT] = ACTIONS(2959),
    [anon_sym_GT_GT] = ACTIONS(2959),
    [anon_sym_import] = ACTIONS(2959),
    [anon_sym_typealias] = ACTIONS(2959),
    [anon_sym_struct] = ACTIONS(2959),
    [anon_sym_class] = ACTIONS(2959),
    [anon_sym_enum] = ACTIONS(2959),
    [anon_sym_protocol] = ACTIONS(2959),
    [anon_sym_let] = ACTIONS(2959),
    [anon_sym_var] = ACTIONS(2959),
    [anon_sym_func] = ACTIONS(2959),
    [anon_sym_extension] = ACTIONS(2959),
    [anon_sym_indirect] = ACTIONS(2959),
    [anon_sym_BANG2] = ACTIONS(2961),
    [anon_sym_SEMI] = ACTIONS(2959),
    [anon_sym_init] = ACTIONS(2959),
    [anon_sym_deinit] = ACTIONS(2959),
    [anon_sym_subscript] = ACTIONS(2959),
    [anon_sym_prefix] = ACTIONS(2959),
    [anon_sym_infix] = ACTIONS(2959),
    [anon_sym_postfix] = ACTIONS(2959),
    [anon_sym_precedencegroup] = ACTIONS(2959),
    [anon_sym_associatedtype] = ACTIONS(2959),
    [anon_sym_AT] = ACTIONS(2961),
    [anon_sym_override] = ACTIONS(2959),
    [anon_sym_convenience] = ACTIONS(2959),
    [anon_sym_required] = ACTIONS(2959),
    [anon_sym_nonisolated] = ACTIONS(2959),
    [anon_sym_public] = ACTIONS(2959),
    [anon_sym_private] = ACTIONS(2959),
    [anon_sym_internal] = ACTIONS(2959),
    [anon_sym_fileprivate] = ACTIONS(2959),
    [anon_sym_open] = ACTIONS(2959),
    [anon_sym_mutating] = ACTIONS(2959),
    [anon_sym_nonmutating] = ACTIONS(2959),
    [anon_sym_static] = ACTIONS(2959),
    [anon_sym_dynamic] = ACTIONS(2959),
    [anon_sym_optional] = ACTIONS(2959),
    [anon_sym_distributed] = ACTIONS(2959),
    [anon_sym_final] = ACTIONS(2959),
    [anon_sym_inout] = ACTIONS(2959),
    [anon_sym_ATescaping] = ACTIONS(2959),
    [anon_sym_ATautoclosure] = ACTIONS(2959),
    [anon_sym_weak] = ACTIONS(2959),
    [anon_sym_unowned] = ACTIONS(2961),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2959),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2959),
    [anon_sym_borrowing] = ACTIONS(2959),
    [anon_sym_consuming] = ACTIONS(2959),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2959),
    [sym__dot_custom] = ACTIONS(2959),
    [sym__conjunction_operator_custom] = ACTIONS(2959),
    [sym__disjunction_operator_custom] = ACTIONS(2959),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2959),
    [sym__eq_custom] = ACTIONS(2959),
    [sym__eq_eq_custom] = ACTIONS(2959),
    [sym__plus_then_ws] = ACTIONS(2959),
    [sym__minus_then_ws] = ACTIONS(2959),
    [sym__bang_custom] = ACTIONS(2959),
    [sym__throws_keyword] = ACTIONS(2959),
    [sym__rethrows_keyword] = ACTIONS(2959),
    [sym__as_custom] = ACTIONS(2959),
    [sym__as_quest_custom] = ACTIONS(2959),
    [sym__as_bang_custom] = ACTIONS(2959),
    [sym__async_keyword_custom] = ACTIONS(2959),
    [sym__custom_operator] = ACTIONS(2959),
  },
  [708] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(2963),
    [anon_sym_async] = ACTIONS(2963),
    [anon_sym_lazy] = ACTIONS(2963),
    [anon_sym_package] = ACTIONS(2963),
    [anon_sym_RPAREN] = ACTIONS(2963),
    [anon_sym_COMMA] = ACTIONS(2963),
    [anon_sym_COLON] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(2963),
    [anon_sym_LBRACK] = ACTIONS(2963),
    [anon_sym_RBRACK] = ACTIONS(2963),
    [anon_sym_DOT] = ACTIONS(2965),
    [anon_sym_QMARK] = ACTIONS(2965),
    [anon_sym_QMARK2] = ACTIONS(2963),
    [anon_sym_AMP] = ACTIONS(2963),
    [aux_sym_custom_operator_token1] = ACTIONS(2963),
    [anon_sym_LT] = ACTIONS(2965),
    [anon_sym_GT] = ACTIONS(2965),
    [anon_sym_LBRACE] = ACTIONS(2963),
    [anon_sym_CARET_LBRACE] = ACTIONS(2963),
    [anon_sym_RBRACE] = ACTIONS(2963),
    [anon_sym_case] = ACTIONS(2963),
    [anon_sym_PLUS_EQ] = ACTIONS(2963),
    [anon_sym_DASH_EQ] = ACTIONS(2963),
    [anon_sym_STAR_EQ] = ACTIONS(2963),
    [anon_sym_SLASH_EQ] = ACTIONS(2963),
    [anon_sym_PERCENT_EQ] = ACTIONS(2963),
    [anon_sym_BANG_EQ] = ACTIONS(2965),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2963),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2963),
    [anon_sym_LT_EQ] = ACTIONS(2963),
    [anon_sym_GT_EQ] = ACTIONS(2963),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2963),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2963),
    [anon_sym_is] = ACTIONS(2963),
    [anon_sym_PLUS] = ACTIONS(2965),
    [anon_sym_DASH] = ACTIONS(2965),
    [anon_sym_STAR] = ACTIONS(2965),
    [anon_sym_SLASH] = ACTIONS(2965),
    [anon_sym_PERCENT] = ACTIONS(2965),
    [anon_sym_PLUS_PLUS] = ACTIONS(2963),
    [anon_sym_DASH_DASH] = ACTIONS(2963),
    [anon_sym_PIPE] = ACTIONS(2963),
    [anon_sym_CARET] = ACTIONS(2965),
    [anon_sym_LT_LT] = ACTIONS(2963),
    [anon_sym_GT_GT] = ACTIONS(2963),
    [anon_sym_import] = ACTIONS(2963),
    [anon_sym_typealias] = ACTIONS(2963),
    [anon_sym_struct] = ACTIONS(2963),
    [anon_sym_class] = ACTIONS(2963),
    [anon_sym_enum] = ACTIONS(2963),
    [anon_sym_protocol] = ACTIONS(2963),
    [anon_sym_let] = ACTIONS(2963),
    [anon_sym_var] = ACTIONS(2963),
    [anon_sym_func] = ACTIONS(2963),
    [anon_sym_extension] = ACTIONS(2963),
    [anon_sym_indirect] = ACTIONS(2963),
    [anon_sym_BANG2] = ACTIONS(2965),
    [anon_sym_SEMI] = ACTIONS(2963),
    [anon_sym_init] = ACTIONS(2963),
    [anon_sym_deinit] = ACTIONS(2963),
    [anon_sym_subscript] = ACTIONS(2963),
    [anon_sym_prefix] = ACTIONS(2963),
    [anon_sym_infix] = ACTIONS(2963),
    [anon_sym_postfix] = ACTIONS(2963),
    [anon_sym_precedencegroup] = ACTIONS(2963),
    [anon_sym_associatedtype] = ACTIONS(2963),
    [anon_sym_AT] = ACTIONS(2965),
    [anon_sym_override] = ACTIONS(2963),
    [anon_sym_convenience] = ACTIONS(2963),
    [anon_sym_required] = ACTIONS(2963),
    [anon_sym_nonisolated] = ACTIONS(2963),
    [anon_sym_public] = ACTIONS(2963),
    [anon_sym_private] = ACTIONS(2963),
    [anon_sym_internal] = ACTIONS(2963),
    [anon_sym_fileprivate] = ACTIONS(2963),
    [anon_sym_open] = ACTIONS(2963),
    [anon_sym_mutating] = ACTIONS(2963),
    [anon_sym_nonmutating] = ACTIONS(2963),
    [anon_sym_static] = ACTIONS(2963),
    [anon_sym_dynamic] = ACTIONS(2963),
    [anon_sym_optional] = ACTIONS(2963),
    [anon_sym_distributed] = ACTIONS(2963),
    [anon_sym_final] = ACTIONS(2963),
    [anon_sym_inout] = ACTIONS(2963),
    [anon_sym_ATescaping] = ACTIONS(2963),
    [anon_sym_ATautoclosure] = ACTIONS(2963),
    [anon_sym_weak] = ACTIONS(2963),
    [anon_sym_unowned] = ACTIONS(2965),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2963),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2963),
    [anon_sym_borrowing] = ACTIONS(2963),
    [anon_sym_consuming] = ACTIONS(2963),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2963),
    [sym__dot_custom] = ACTIONS(2963),
    [sym__conjunction_operator_custom] = ACTIONS(2963),
    [sym__disjunction_operator_custom] = ACTIONS(2963),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2963),
    [sym__eq_custom] = ACTIONS(2963),
    [sym__eq_eq_custom] = ACTIONS(2963),
    [sym__plus_then_ws] = ACTIONS(2963),
    [sym__minus_then_ws] = ACTIONS(2963),
    [sym__bang_custom] = ACTIONS(2963),
    [sym__throws_keyword] = ACTIONS(2963),
    [sym__rethrows_keyword] = ACTIONS(2963),
    [sym__as_custom] = ACTIONS(2963),
    [sym__as_quest_custom] = ACTIONS(2963),
    [sym__as_bang_custom] = ACTIONS(2963),
    [sym__async_keyword_custom] = ACTIONS(2963),
    [sym__custom_operator] = ACTIONS(2963),
  },
  [709] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(2967),
    [anon_sym_async] = ACTIONS(2967),
    [anon_sym_lazy] = ACTIONS(2967),
    [anon_sym_package] = ACTIONS(2967),
    [anon_sym_RPAREN] = ACTIONS(2967),
    [anon_sym_COMMA] = ACTIONS(2967),
    [anon_sym_COLON] = ACTIONS(2967),
    [anon_sym_LPAREN] = ACTIONS(2967),
    [anon_sym_LBRACK] = ACTIONS(2967),
    [anon_sym_RBRACK] = ACTIONS(2967),
    [anon_sym_DOT] = ACTIONS(2969),
    [anon_sym_QMARK] = ACTIONS(2969),
    [anon_sym_QMARK2] = ACTIONS(2967),
    [anon_sym_AMP] = ACTIONS(2967),
    [aux_sym_custom_operator_token1] = ACTIONS(2967),
    [anon_sym_LT] = ACTIONS(2969),
    [anon_sym_GT] = ACTIONS(2969),
    [anon_sym_LBRACE] = ACTIONS(2967),
    [anon_sym_CARET_LBRACE] = ACTIONS(2967),
    [anon_sym_RBRACE] = ACTIONS(2967),
    [anon_sym_case] = ACTIONS(2967),
    [anon_sym_PLUS_EQ] = ACTIONS(2967),
    [anon_sym_DASH_EQ] = ACTIONS(2967),
    [anon_sym_STAR_EQ] = ACTIONS(2967),
    [anon_sym_SLASH_EQ] = ACTIONS(2967),
    [anon_sym_PERCENT_EQ] = ACTIONS(2967),
    [anon_sym_BANG_EQ] = ACTIONS(2969),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2967),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2967),
    [anon_sym_LT_EQ] = ACTIONS(2967),
    [anon_sym_GT_EQ] = ACTIONS(2967),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2967),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2967),
    [anon_sym_is] = ACTIONS(2967),
    [anon_sym_PLUS] = ACTIONS(2969),
    [anon_sym_DASH] = ACTIONS(2969),
    [anon_sym_STAR] = ACTIONS(2969),
    [anon_sym_SLASH] = ACTIONS(2969),
    [anon_sym_PERCENT] = ACTIONS(2969),
    [anon_sym_PLUS_PLUS] = ACTIONS(2967),
    [anon_sym_DASH_DASH] = ACTIONS(2967),
    [anon_sym_PIPE] = ACTIONS(2967),
    [anon_sym_CARET] = ACTIONS(2969),
    [anon_sym_LT_LT] = ACTIONS(2967),
    [anon_sym_GT_GT] = ACTIONS(2967),
    [anon_sym_import] = ACTIONS(2967),
    [anon_sym_typealias] = ACTIONS(2967),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_class] = ACTIONS(2967),
    [anon_sym_enum] = ACTIONS(2967),
    [anon_sym_protocol] = ACTIONS(2967),
    [anon_sym_let] = ACTIONS(2967),
    [anon_sym_var] = ACTIONS(2967),
    [anon_sym_func] = ACTIONS(2967),
    [anon_sym_extension] = ACTIONS(2967),
    [anon_sym_indirect] = ACTIONS(2967),
    [anon_sym_BANG2] = ACTIONS(2969),
    [anon_sym_SEMI] = ACTIONS(2967),
    [anon_sym_init] = ACTIONS(2967),
    [anon_sym_deinit] = ACTIONS(2967),
    [anon_sym_subscript] = ACTIONS(2967),
    [anon_sym_prefix] = ACTIONS(2967),
    [anon_sym_infix] = ACTIONS(2967),
    [anon_sym_postfix] = ACTIONS(2967),
    [anon_sym_precedencegroup] = ACTIONS(2967),
    [anon_sym_associatedtype] = ACTIONS(2967),
    [anon_sym_AT] = ACTIONS(2969),
    [anon_sym_override] = ACTIONS(2967),
    [anon_sym_convenience] = ACTIONS(2967),
    [anon_sym_required] = ACTIONS(2967),
    [anon_sym_nonisolated] = ACTIONS(2967),
    [anon_sym_public] = ACTIONS(2967),
    [anon_sym_private] = ACTIONS(2967),
    [anon_sym_internal] = ACTIONS(2967),
    [anon_sym_fileprivate] = ACTIONS(2967),
    [anon_sym_open] = ACTIONS(2967),
    [anon_sym_mutating] = ACTIONS(2967),
    [anon_sym_nonmutating] = ACTIONS(2967),
    [anon_sym_static] = ACTIONS(2967),
    [anon_sym_dynamic] = ACTIONS(2967),
    [anon_sym_optional] = ACTIONS(2967),
    [anon_sym_distributed] = ACTIONS(2967),
    [anon_sym_final] = ACTIONS(2967),
    [anon_sym_inout] = ACTIONS(2967),
    [anon_sym_ATescaping] = ACTIONS(2967),
    [anon_sym_ATautoclosure] = ACTIONS(2967),
    [anon_sym_weak] = ACTIONS(2967),
    [anon_sym_unowned] = ACTIONS(2969),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2967),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2967),
    [anon_sym_borrowing] = ACTIONS(2967),
    [anon_sym_consuming] = ACTIONS(2967),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2967),
    [sym__dot_custom] = ACTIONS(2967),
    [sym__conjunction_operator_custom] = ACTIONS(2967),
    [sym__disjunction_operator_custom] = ACTIONS(2967),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2967),
    [sym__eq_custom] = ACTIONS(2967),
    [sym__eq_eq_custom] = ACTIONS(2967),
    [sym__plus_then_ws] = ACTIONS(2967),
    [sym__minus_then_ws] = ACTIONS(2967),
    [sym__bang_custom] = ACTIONS(2967),
    [sym__throws_keyword] = ACTIONS(2967),
    [sym__rethrows_keyword] = ACTIONS(2967),
    [sym__as_custom] = ACTIONS(2967),
    [sym__as_quest_custom] = ACTIONS(2967),
    [sym__as_bang_custom] = ACTIONS(2967),
    [sym__async_keyword_custom] = ACTIONS(2967),
    [sym__custom_operator] = ACTIONS(2967),
  },
  [710] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(2971),
    [anon_sym_async] = ACTIONS(2971),
    [anon_sym_lazy] = ACTIONS(2971),
    [anon_sym_package] = ACTIONS(2971),
    [anon_sym_RPAREN] = ACTIONS(2971),
    [anon_sym_COMMA] = ACTIONS(2971),
    [anon_sym_COLON] = ACTIONS(2971),
    [anon_sym_LPAREN] = ACTIONS(2971),
    [anon_sym_LBRACK] = ACTIONS(2971),
    [anon_sym_RBRACK] = ACTIONS(2971),
    [anon_sym_DOT] = ACTIONS(2973),
    [anon_sym_QMARK] = ACTIONS(2973),
    [anon_sym_QMARK2] = ACTIONS(2971),
    [anon_sym_AMP] = ACTIONS(2971),
    [aux_sym_custom_operator_token1] = ACTIONS(2971),
    [anon_sym_LT] = ACTIONS(2973),
    [anon_sym_GT] = ACTIONS(2973),
    [anon_sym_LBRACE] = ACTIONS(2971),
    [anon_sym_CARET_LBRACE] = ACTIONS(2971),
    [anon_sym_RBRACE] = ACTIONS(2971),
    [anon_sym_case] = ACTIONS(2971),
    [anon_sym_PLUS_EQ] = ACTIONS(2971),
    [anon_sym_DASH_EQ] = ACTIONS(2971),
    [anon_sym_STAR_EQ] = ACTIONS(2971),
    [anon_sym_SLASH_EQ] = ACTIONS(2971),
    [anon_sym_PERCENT_EQ] = ACTIONS(2971),
    [anon_sym_BANG_EQ] = ACTIONS(2973),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2971),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2971),
    [anon_sym_LT_EQ] = ACTIONS(2971),
    [anon_sym_GT_EQ] = ACTIONS(2971),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2971),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2971),
    [anon_sym_is] = ACTIONS(2971),
    [anon_sym_PLUS] = ACTIONS(2973),
    [anon_sym_DASH] = ACTIONS(2973),
    [anon_sym_STAR] = ACTIONS(2973),
    [anon_sym_SLASH] = ACTIONS(2973),
    [anon_sym_PERCENT] = ACTIONS(2973),
    [anon_sym_PLUS_PLUS] = ACTIONS(2971),
    [anon_sym_DASH_DASH] = ACTIONS(2971),
    [anon_sym_PIPE] = ACTIONS(2971),
    [anon_sym_CARET] = ACTIONS(2973),
    [anon_sym_LT_LT] = ACTIONS(2971),
    [anon_sym_GT_GT] = ACTIONS(2971),
    [anon_sym_import] = ACTIONS(2971),
    [anon_sym_typealias] = ACTIONS(2971),
    [anon_sym_struct] = ACTIONS(2971),
    [anon_sym_class] = ACTIONS(2971),
    [anon_sym_enum] = ACTIONS(2971),
    [anon_sym_protocol] = ACTIONS(2971),
    [anon_sym_let] = ACTIONS(2971),
    [anon_sym_var] = ACTIONS(2971),
    [anon_sym_func] = ACTIONS(2971),
    [anon_sym_extension] = ACTIONS(2971),
    [anon_sym_indirect] = ACTIONS(2971),
    [anon_sym_BANG2] = ACTIONS(2973),
    [anon_sym_SEMI] = ACTIONS(2971),
    [anon_sym_init] = ACTIONS(2971),
    [anon_sym_deinit] = ACTIONS(2971),
    [anon_sym_subscript] = ACTIONS(2971),
    [anon_sym_prefix] = ACTIONS(2971),
    [anon_sym_infix] = ACTIONS(2971),
    [anon_sym_postfix] = ACTIONS(2971),
    [anon_sym_precedencegroup] = ACTIONS(2971),
    [anon_sym_associatedtype] = ACTIONS(2971),
    [anon_sym_AT] = ACTIONS(2973),
    [anon_sym_override] = ACTIONS(2971),
    [anon_sym_convenience] = ACTIONS(2971),
    [anon_sym_required] = ACTIONS(2971),
    [anon_sym_nonisolated] = ACTIONS(2971),
    [anon_sym_public] = ACTIONS(2971),
    [anon_sym_private] = ACTIONS(2971),
    [anon_sym_internal] = ACTIONS(2971),
    [anon_sym_fileprivate] = ACTIONS(2971),
    [anon_sym_open] = ACTIONS(2971),
    [anon_sym_mutating] = ACTIONS(2971),
    [anon_sym_nonmutating] = ACTIONS(2971),
    [anon_sym_static] = ACTIONS(2971),
    [anon_sym_dynamic] = ACTIONS(2971),
    [anon_sym_optional] = ACTIONS(2971),
    [anon_sym_distributed] = ACTIONS(2971),
    [anon_sym_final] = ACTIONS(2971),
    [anon_sym_inout] = ACTIONS(2971),
    [anon_sym_ATescaping] = ACTIONS(2971),
    [anon_sym_ATautoclosure] = ACTIONS(2971),
    [anon_sym_weak] = ACTIONS(2971),
    [anon_sym_unowned] = ACTIONS(2973),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2971),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2971),
    [anon_sym_borrowing] = ACTIONS(2971),
    [anon_sym_consuming] = ACTIONS(2971),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2971),
    [sym__dot_custom] = ACTIONS(2971),
    [sym__conjunction_operator_custom] = ACTIONS(2971),
    [sym__disjunction_operator_custom] = ACTIONS(2971),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2971),
    [sym__eq_custom] = ACTIONS(2971),
    [sym__eq_eq_custom] = ACTIONS(2971),
    [sym__plus_then_ws] = ACTIONS(2971),
    [sym__minus_then_ws] = ACTIONS(2971),
    [sym__bang_custom] = ACTIONS(2971),
    [sym__throws_keyword] = ACTIONS(2971),
    [sym__rethrows_keyword] = ACTIONS(2971),
    [sym__as_custom] = ACTIONS(2971),
    [sym__as_quest_custom] = ACTIONS(2971),
    [sym__as_bang_custom] = ACTIONS(2971),
    [sym__async_keyword_custom] = ACTIONS(2971),
    [sym__custom_operator] = ACTIONS(2971),
  },
  [711] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(2975),
    [anon_sym_async] = ACTIONS(2975),
    [anon_sym_lazy] = ACTIONS(2975),
    [anon_sym_package] = ACTIONS(2975),
    [anon_sym_RPAREN] = ACTIONS(2975),
    [anon_sym_COMMA] = ACTIONS(2975),
    [anon_sym_COLON] = ACTIONS(2975),
    [anon_sym_LPAREN] = ACTIONS(2975),
    [anon_sym_LBRACK] = ACTIONS(2975),
    [anon_sym_RBRACK] = ACTIONS(2975),
    [anon_sym_DOT] = ACTIONS(2977),
    [anon_sym_QMARK] = ACTIONS(2977),
    [anon_sym_QMARK2] = ACTIONS(2975),
    [anon_sym_AMP] = ACTIONS(2975),
    [aux_sym_custom_operator_token1] = ACTIONS(2975),
    [anon_sym_LT] = ACTIONS(2977),
    [anon_sym_GT] = ACTIONS(2977),
    [anon_sym_LBRACE] = ACTIONS(2975),
    [anon_sym_CARET_LBRACE] = ACTIONS(2975),
    [anon_sym_RBRACE] = ACTIONS(2975),
    [anon_sym_case] = ACTIONS(2975),
    [anon_sym_PLUS_EQ] = ACTIONS(2975),
    [anon_sym_DASH_EQ] = ACTIONS(2975),
    [anon_sym_STAR_EQ] = ACTIONS(2975),
    [anon_sym_SLASH_EQ] = ACTIONS(2975),
    [anon_sym_PERCENT_EQ] = ACTIONS(2975),
    [anon_sym_BANG_EQ] = ACTIONS(2977),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2975),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(2975),
    [anon_sym_GT_EQ] = ACTIONS(2975),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2975),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2975),
    [anon_sym_is] = ACTIONS(2975),
    [anon_sym_PLUS] = ACTIONS(2977),
    [anon_sym_DASH] = ACTIONS(2977),
    [anon_sym_STAR] = ACTIONS(2977),
    [anon_sym_SLASH] = ACTIONS(2977),
    [anon_sym_PERCENT] = ACTIONS(2977),
    [anon_sym_PLUS_PLUS] = ACTIONS(2975),
    [anon_sym_DASH_DASH] = ACTIONS(2975),
    [anon_sym_PIPE] = ACTIONS(2975),
    [anon_sym_CARET] = ACTIONS(2977),
    [anon_sym_LT_LT] = ACTIONS(2975),
    [anon_sym_GT_GT] = ACTIONS(2975),
    [anon_sym_import] = ACTIONS(2975),
    [anon_sym_typealias] = ACTIONS(2975),
    [anon_sym_struct] = ACTIONS(2975),
    [anon_sym_class] = ACTIONS(2975),
    [anon_sym_enum] = ACTIONS(2975),
    [anon_sym_protocol] = ACTIONS(2975),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_var] = ACTIONS(2975),
    [anon_sym_func] = ACTIONS(2975),
    [anon_sym_extension] = ACTIONS(2975),
    [anon_sym_indirect] = ACTIONS(2975),
    [anon_sym_BANG2] = ACTIONS(2977),
    [anon_sym_SEMI] = ACTIONS(2975),
    [anon_sym_init] = ACTIONS(2975),
    [anon_sym_deinit] = ACTIONS(2975),
    [anon_sym_subscript] = ACTIONS(2975),
    [anon_sym_prefix] = ACTIONS(2975),
    [anon_sym_infix] = ACTIONS(2975),
    [anon_sym_postfix] = ACTIONS(2975),
    [anon_sym_precedencegroup] = ACTIONS(2975),
    [anon_sym_associatedtype] = ACTIONS(2975),
    [anon_sym_AT] = ACTIONS(2977),
    [anon_sym_override] = ACTIONS(2975),
    [anon_sym_convenience] = ACTIONS(2975),
    [anon_sym_required] = ACTIONS(2975),
    [anon_sym_nonisolated] = ACTIONS(2975),
    [anon_sym_public] = ACTIONS(2975),
    [anon_sym_private] = ACTIONS(2975),
    [anon_sym_internal] = ACTIONS(2975),
    [anon_sym_fileprivate] = ACTIONS(2975),
    [anon_sym_open] = ACTIONS(2975),
    [anon_sym_mutating] = ACTIONS(2975),
    [anon_sym_nonmutating] = ACTIONS(2975),
    [anon_sym_static] = ACTIONS(2975),
    [anon_sym_dynamic] = ACTIONS(2975),
    [anon_sym_optional] = ACTIONS(2975),
    [anon_sym_distributed] = ACTIONS(2975),
    [anon_sym_final] = ACTIONS(2975),
    [anon_sym_inout] = ACTIONS(2975),
    [anon_sym_ATescaping] = ACTIONS(2975),
    [anon_sym_ATautoclosure] = ACTIONS(2975),
    [anon_sym_weak] = ACTIONS(2975),
    [anon_sym_unowned] = ACTIONS(2977),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2975),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2975),
    [anon_sym_borrowing] = ACTIONS(2975),
    [anon_sym_consuming] = ACTIONS(2975),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2975),
    [sym__dot_custom] = ACTIONS(2975),
    [sym__conjunction_operator_custom] = ACTIONS(2975),
    [sym__disjunction_operator_custom] = ACTIONS(2975),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2975),
    [sym__eq_custom] = ACTIONS(2975),
    [sym__eq_eq_custom] = ACTIONS(2975),
    [sym__plus_then_ws] = ACTIONS(2975),
    [sym__minus_then_ws] = ACTIONS(2975),
    [sym__bang_custom] = ACTIONS(2975),
    [sym__throws_keyword] = ACTIONS(2975),
    [sym__rethrows_keyword] = ACTIONS(2975),
    [sym__as_custom] = ACTIONS(2975),
    [sym__as_quest_custom] = ACTIONS(2975),
    [sym__as_bang_custom] = ACTIONS(2975),
    [sym__async_keyword_custom] = ACTIONS(2975),
    [sym__custom_operator] = ACTIONS(2975),
  },
  [712] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(2979),
    [anon_sym_async] = ACTIONS(2979),
    [anon_sym_lazy] = ACTIONS(2979),
    [anon_sym_package] = ACTIONS(2979),
    [anon_sym_RPAREN] = ACTIONS(2979),
    [anon_sym_COMMA] = ACTIONS(2979),
    [anon_sym_COLON] = ACTIONS(2979),
    [anon_sym_LPAREN] = ACTIONS(2979),
    [anon_sym_LBRACK] = ACTIONS(2979),
    [anon_sym_RBRACK] = ACTIONS(2979),
    [anon_sym_DOT] = ACTIONS(2981),
    [anon_sym_QMARK] = ACTIONS(2981),
    [anon_sym_QMARK2] = ACTIONS(2979),
    [anon_sym_AMP] = ACTIONS(2979),
    [aux_sym_custom_operator_token1] = ACTIONS(2979),
    [anon_sym_LT] = ACTIONS(2981),
    [anon_sym_GT] = ACTIONS(2981),
    [anon_sym_LBRACE] = ACTIONS(2979),
    [anon_sym_CARET_LBRACE] = ACTIONS(2979),
    [anon_sym_RBRACE] = ACTIONS(2979),
    [anon_sym_case] = ACTIONS(2979),
    [anon_sym_PLUS_EQ] = ACTIONS(2979),
    [anon_sym_DASH_EQ] = ACTIONS(2979),
    [anon_sym_STAR_EQ] = ACTIONS(2979),
    [anon_sym_SLASH_EQ] = ACTIONS(2979),
    [anon_sym_PERCENT_EQ] = ACTIONS(2979),
    [anon_sym_BANG_EQ] = ACTIONS(2981),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2979),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2979),
    [anon_sym_LT_EQ] = ACTIONS(2979),
    [anon_sym_GT_EQ] = ACTIONS(2979),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2979),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2979),
    [anon_sym_is] = ACTIONS(2979),
    [anon_sym_PLUS] = ACTIONS(2981),
    [anon_sym_DASH] = ACTIONS(2981),
    [anon_sym_STAR] = ACTIONS(2981),
    [anon_sym_SLASH] = ACTIONS(2981),
    [anon_sym_PERCENT] = ACTIONS(2981),
    [anon_sym_PLUS_PLUS] = ACTIONS(2979),
    [anon_sym_DASH_DASH] = ACTIONS(2979),
    [anon_sym_PIPE] = ACTIONS(2979),
    [anon_sym_CARET] = ACTIONS(2981),
    [anon_sym_LT_LT] = ACTIONS(2979),
    [anon_sym_GT_GT] = ACTIONS(2979),
    [anon_sym_import] = ACTIONS(2979),
    [anon_sym_typealias] = ACTIONS(2979),
    [anon_sym_struct] = ACTIONS(2979),
    [anon_sym_class] = ACTIONS(2979),
    [anon_sym_enum] = ACTIONS(2979),
    [anon_sym_protocol] = ACTIONS(2979),
    [anon_sym_let] = ACTIONS(2979),
    [anon_sym_var] = ACTIONS(2979),
    [anon_sym_func] = ACTIONS(2979),
    [anon_sym_extension] = ACTIONS(2979),
    [anon_sym_indirect] = ACTIONS(2979),
    [anon_sym_BANG2] = ACTIONS(2981),
    [anon_sym_SEMI] = ACTIONS(2979),
    [anon_sym_init] = ACTIONS(2979),
    [anon_sym_deinit] = ACTIONS(2979),
    [anon_sym_subscript] = ACTIONS(2979),
    [anon_sym_prefix] = ACTIONS(2979),
    [anon_sym_infix] = ACTIONS(2979),
    [anon_sym_postfix] = ACTIONS(2979),
    [anon_sym_precedencegroup] = ACTIONS(2979),
    [anon_sym_associatedtype] = ACTIONS(2979),
    [anon_sym_AT] = ACTIONS(2981),
    [anon_sym_override] = ACTIONS(2979),
    [anon_sym_convenience] = ACTIONS(2979),
    [anon_sym_required] = ACTIONS(2979),
    [anon_sym_nonisolated] = ACTIONS(2979),
    [anon_sym_public] = ACTIONS(2979),
    [anon_sym_private] = ACTIONS(2979),
    [anon_sym_internal] = ACTIONS(2979),
    [anon_sym_fileprivate] = ACTIONS(2979),
    [anon_sym_open] = ACTIONS(2979),
    [anon_sym_mutating] = ACTIONS(2979),
    [anon_sym_nonmutating] = ACTIONS(2979),
    [anon_sym_static] = ACTIONS(2979),
    [anon_sym_dynamic] = ACTIONS(2979),
    [anon_sym_optional] = ACTIONS(2979),
    [anon_sym_distributed] = ACTIONS(2979),
    [anon_sym_final] = ACTIONS(2979),
    [anon_sym_inout] = ACTIONS(2979),
    [anon_sym_ATescaping] = ACTIONS(2979),
    [anon_sym_ATautoclosure] = ACTIONS(2979),
    [anon_sym_weak] = ACTIONS(2979),
    [anon_sym_unowned] = ACTIONS(2981),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2979),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2979),
    [anon_sym_borrowing] = ACTIONS(2979),
    [anon_sym_consuming] = ACTIONS(2979),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2979),
    [sym__dot_custom] = ACTIONS(2979),
    [sym__conjunction_operator_custom] = ACTIONS(2979),
    [sym__disjunction_operator_custom] = ACTIONS(2979),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2979),
    [sym__eq_custom] = ACTIONS(2979),
    [sym__eq_eq_custom] = ACTIONS(2979),
    [sym__plus_then_ws] = ACTIONS(2979),
    [sym__minus_then_ws] = ACTIONS(2979),
    [sym__bang_custom] = ACTIONS(2979),
    [sym__throws_keyword] = ACTIONS(2979),
    [sym__rethrows_keyword] = ACTIONS(2979),
    [sym__as_custom] = ACTIONS(2979),
    [sym__as_quest_custom] = ACTIONS(2979),
    [sym__as_bang_custom] = ACTIONS(2979),
    [sym__async_keyword_custom] = ACTIONS(2979),
    [sym__custom_operator] = ACTIONS(2979),
  },
  [713] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(2983),
    [anon_sym_async] = ACTIONS(2983),
    [anon_sym_lazy] = ACTIONS(2983),
    [anon_sym_package] = ACTIONS(2983),
    [anon_sym_RPAREN] = ACTIONS(2983),
    [anon_sym_COMMA] = ACTIONS(2983),
    [anon_sym_COLON] = ACTIONS(2983),
    [anon_sym_LPAREN] = ACTIONS(2983),
    [anon_sym_LBRACK] = ACTIONS(2983),
    [anon_sym_RBRACK] = ACTIONS(2983),
    [anon_sym_DOT] = ACTIONS(2985),
    [anon_sym_QMARK] = ACTIONS(2985),
    [anon_sym_QMARK2] = ACTIONS(2983),
    [anon_sym_AMP] = ACTIONS(2983),
    [aux_sym_custom_operator_token1] = ACTIONS(2983),
    [anon_sym_LT] = ACTIONS(2985),
    [anon_sym_GT] = ACTIONS(2985),
    [anon_sym_LBRACE] = ACTIONS(2983),
    [anon_sym_CARET_LBRACE] = ACTIONS(2983),
    [anon_sym_RBRACE] = ACTIONS(2983),
    [anon_sym_case] = ACTIONS(2983),
    [anon_sym_PLUS_EQ] = ACTIONS(2983),
    [anon_sym_DASH_EQ] = ACTIONS(2983),
    [anon_sym_STAR_EQ] = ACTIONS(2983),
    [anon_sym_SLASH_EQ] = ACTIONS(2983),
    [anon_sym_PERCENT_EQ] = ACTIONS(2983),
    [anon_sym_BANG_EQ] = ACTIONS(2985),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2983),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2983),
    [anon_sym_LT_EQ] = ACTIONS(2983),
    [anon_sym_GT_EQ] = ACTIONS(2983),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2983),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2983),
    [anon_sym_is] = ACTIONS(2983),
    [anon_sym_PLUS] = ACTIONS(2985),
    [anon_sym_DASH] = ACTIONS(2985),
    [anon_sym_STAR] = ACTIONS(2985),
    [anon_sym_SLASH] = ACTIONS(2985),
    [anon_sym_PERCENT] = ACTIONS(2985),
    [anon_sym_PLUS_PLUS] = ACTIONS(2983),
    [anon_sym_DASH_DASH] = ACTIONS(2983),
    [anon_sym_PIPE] = ACTIONS(2983),
    [anon_sym_CARET] = ACTIONS(2985),
    [anon_sym_LT_LT] = ACTIONS(2983),
    [anon_sym_GT_GT] = ACTIONS(2983),
    [anon_sym_import] = ACTIONS(2983),
    [anon_sym_typealias] = ACTIONS(2983),
    [anon_sym_struct] = ACTIONS(2983),
    [anon_sym_class] = ACTIONS(2983),
    [anon_sym_enum] = ACTIONS(2983),
    [anon_sym_protocol] = ACTIONS(2983),
    [anon_sym_let] = ACTIONS(2983),
    [anon_sym_var] = ACTIONS(2983),
    [anon_sym_func] = ACTIONS(2983),
    [anon_sym_extension] = ACTIONS(2983),
    [anon_sym_indirect] = ACTIONS(2983),
    [anon_sym_BANG2] = ACTIONS(2985),
    [anon_sym_SEMI] = ACTIONS(2983),
    [anon_sym_init] = ACTIONS(2983),
    [anon_sym_deinit] = ACTIONS(2983),
    [anon_sym_subscript] = ACTIONS(2983),
    [anon_sym_prefix] = ACTIONS(2983),
    [anon_sym_infix] = ACTIONS(2983),
    [anon_sym_postfix] = ACTIONS(2983),
    [anon_sym_precedencegroup] = ACTIONS(2983),
    [anon_sym_associatedtype] = ACTIONS(2983),
    [anon_sym_AT] = ACTIONS(2985),
    [anon_sym_override] = ACTIONS(2983),
    [anon_sym_convenience] = ACTIONS(2983),
    [anon_sym_required] = ACTIONS(2983),
    [anon_sym_nonisolated] = ACTIONS(2983),
    [anon_sym_public] = ACTIONS(2983),
    [anon_sym_private] = ACTIONS(2983),
    [anon_sym_internal] = ACTIONS(2983),
    [anon_sym_fileprivate] = ACTIONS(2983),
    [anon_sym_open] = ACTIONS(2983),
    [anon_sym_mutating] = ACTIONS(2983),
    [anon_sym_nonmutating] = ACTIONS(2983),
    [anon_sym_static] = ACTIONS(2983),
    [anon_sym_dynamic] = ACTIONS(2983),
    [anon_sym_optional] = ACTIONS(2983),
    [anon_sym_distributed] = ACTIONS(2983),
    [anon_sym_final] = ACTIONS(2983),
    [anon_sym_inout] = ACTIONS(2983),
    [anon_sym_ATescaping] = ACTIONS(2983),
    [anon_sym_ATautoclosure] = ACTIONS(2983),
    [anon_sym_weak] = ACTIONS(2983),
    [anon_sym_unowned] = ACTIONS(2985),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2983),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2983),
    [anon_sym_borrowing] = ACTIONS(2983),
    [anon_sym_consuming] = ACTIONS(2983),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2983),
    [sym__dot_custom] = ACTIONS(2983),
    [sym__conjunction_operator_custom] = ACTIONS(2983),
    [sym__disjunction_operator_custom] = ACTIONS(2983),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2983),
    [sym__eq_custom] = ACTIONS(2983),
    [sym__eq_eq_custom] = ACTIONS(2983),
    [sym__plus_then_ws] = ACTIONS(2983),
    [sym__minus_then_ws] = ACTIONS(2983),
    [sym__bang_custom] = ACTIONS(2983),
    [sym__throws_keyword] = ACTIONS(2983),
    [sym__rethrows_keyword] = ACTIONS(2983),
    [sym__as_custom] = ACTIONS(2983),
    [sym__as_quest_custom] = ACTIONS(2983),
    [sym__as_bang_custom] = ACTIONS(2983),
    [sym__async_keyword_custom] = ACTIONS(2983),
    [sym__custom_operator] = ACTIONS(2983),
  },
  [714] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(2987),
    [anon_sym_async] = ACTIONS(2987),
    [anon_sym_lazy] = ACTIONS(2987),
    [anon_sym_package] = ACTIONS(2987),
    [anon_sym_RPAREN] = ACTIONS(2987),
    [anon_sym_COMMA] = ACTIONS(2987),
    [anon_sym_COLON] = ACTIONS(2987),
    [anon_sym_LPAREN] = ACTIONS(2987),
    [anon_sym_LBRACK] = ACTIONS(2987),
    [anon_sym_RBRACK] = ACTIONS(2987),
    [anon_sym_DOT] = ACTIONS(2989),
    [anon_sym_QMARK] = ACTIONS(2989),
    [anon_sym_QMARK2] = ACTIONS(2987),
    [anon_sym_AMP] = ACTIONS(2987),
    [aux_sym_custom_operator_token1] = ACTIONS(2987),
    [anon_sym_LT] = ACTIONS(2989),
    [anon_sym_GT] = ACTIONS(2989),
    [anon_sym_LBRACE] = ACTIONS(2987),
    [anon_sym_CARET_LBRACE] = ACTIONS(2987),
    [anon_sym_RBRACE] = ACTIONS(2987),
    [anon_sym_case] = ACTIONS(2987),
    [anon_sym_PLUS_EQ] = ACTIONS(2987),
    [anon_sym_DASH_EQ] = ACTIONS(2987),
    [anon_sym_STAR_EQ] = ACTIONS(2987),
    [anon_sym_SLASH_EQ] = ACTIONS(2987),
    [anon_sym_PERCENT_EQ] = ACTIONS(2987),
    [anon_sym_BANG_EQ] = ACTIONS(2989),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2987),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2987),
    [anon_sym_LT_EQ] = ACTIONS(2987),
    [anon_sym_GT_EQ] = ACTIONS(2987),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2987),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2987),
    [anon_sym_is] = ACTIONS(2987),
    [anon_sym_PLUS] = ACTIONS(2989),
    [anon_sym_DASH] = ACTIONS(2989),
    [anon_sym_STAR] = ACTIONS(2989),
    [anon_sym_SLASH] = ACTIONS(2989),
    [anon_sym_PERCENT] = ACTIONS(2989),
    [anon_sym_PLUS_PLUS] = ACTIONS(2987),
    [anon_sym_DASH_DASH] = ACTIONS(2987),
    [anon_sym_PIPE] = ACTIONS(2987),
    [anon_sym_CARET] = ACTIONS(2989),
    [anon_sym_LT_LT] = ACTIONS(2987),
    [anon_sym_GT_GT] = ACTIONS(2987),
    [anon_sym_import] = ACTIONS(2987),
    [anon_sym_typealias] = ACTIONS(2987),
    [anon_sym_struct] = ACTIONS(2987),
    [anon_sym_class] = ACTIONS(2987),
    [anon_sym_enum] = ACTIONS(2987),
    [anon_sym_protocol] = ACTIONS(2987),
    [anon_sym_let] = ACTIONS(2987),
    [anon_sym_var] = ACTIONS(2987),
    [anon_sym_func] = ACTIONS(2987),
    [anon_sym_extension] = ACTIONS(2987),
    [anon_sym_indirect] = ACTIONS(2987),
    [anon_sym_BANG2] = ACTIONS(2989),
    [anon_sym_SEMI] = ACTIONS(2987),
    [anon_sym_init] = ACTIONS(2987),
    [anon_sym_deinit] = ACTIONS(2987),
    [anon_sym_subscript] = ACTIONS(2987),
    [anon_sym_prefix] = ACTIONS(2987),
    [anon_sym_infix] = ACTIONS(2987),
    [anon_sym_postfix] = ACTIONS(2987),
    [anon_sym_precedencegroup] = ACTIONS(2987),
    [anon_sym_associatedtype] = ACTIONS(2987),
    [anon_sym_AT] = ACTIONS(2989),
    [anon_sym_override] = ACTIONS(2987),
    [anon_sym_convenience] = ACTIONS(2987),
    [anon_sym_required] = ACTIONS(2987),
    [anon_sym_nonisolated] = ACTIONS(2987),
    [anon_sym_public] = ACTIONS(2987),
    [anon_sym_private] = ACTIONS(2987),
    [anon_sym_internal] = ACTIONS(2987),
    [anon_sym_fileprivate] = ACTIONS(2987),
    [anon_sym_open] = ACTIONS(2987),
    [anon_sym_mutating] = ACTIONS(2987),
    [anon_sym_nonmutating] = ACTIONS(2987),
    [anon_sym_static] = ACTIONS(2987),
    [anon_sym_dynamic] = ACTIONS(2987),
    [anon_sym_optional] = ACTIONS(2987),
    [anon_sym_distributed] = ACTIONS(2987),
    [anon_sym_final] = ACTIONS(2987),
    [anon_sym_inout] = ACTIONS(2987),
    [anon_sym_ATescaping] = ACTIONS(2987),
    [anon_sym_ATautoclosure] = ACTIONS(2987),
    [anon_sym_weak] = ACTIONS(2987),
    [anon_sym_unowned] = ACTIONS(2989),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2987),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2987),
    [anon_sym_borrowing] = ACTIONS(2987),
    [anon_sym_consuming] = ACTIONS(2987),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2987),
    [sym__dot_custom] = ACTIONS(2987),
    [sym__conjunction_operator_custom] = ACTIONS(2987),
    [sym__disjunction_operator_custom] = ACTIONS(2987),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2987),
    [sym__eq_custom] = ACTIONS(2987),
    [sym__eq_eq_custom] = ACTIONS(2987),
    [sym__plus_then_ws] = ACTIONS(2987),
    [sym__minus_then_ws] = ACTIONS(2987),
    [sym__bang_custom] = ACTIONS(2987),
    [sym__throws_keyword] = ACTIONS(2987),
    [sym__rethrows_keyword] = ACTIONS(2987),
    [sym__as_custom] = ACTIONS(2987),
    [sym__as_quest_custom] = ACTIONS(2987),
    [sym__as_bang_custom] = ACTIONS(2987),
    [sym__async_keyword_custom] = ACTIONS(2987),
    [sym__custom_operator] = ACTIONS(2987),
  },
  [715] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(2798),
    [anon_sym_async] = ACTIONS(2798),
    [anon_sym_lazy] = ACTIONS(2798),
    [anon_sym_package] = ACTIONS(2798),
    [anon_sym_RPAREN] = ACTIONS(2798),
    [anon_sym_COMMA] = ACTIONS(2798),
    [anon_sym_COLON] = ACTIONS(2798),
    [anon_sym_LPAREN] = ACTIONS(2798),
    [anon_sym_LBRACK] = ACTIONS(2798),
    [anon_sym_RBRACK] = ACTIONS(2798),
    [anon_sym_DOT] = ACTIONS(2800),
    [anon_sym_QMARK] = ACTIONS(2800),
    [anon_sym_QMARK2] = ACTIONS(2798),
    [anon_sym_AMP] = ACTIONS(2798),
    [aux_sym_custom_operator_token1] = ACTIONS(2798),
    [anon_sym_LT] = ACTIONS(2800),
    [anon_sym_GT] = ACTIONS(2800),
    [anon_sym_LBRACE] = ACTIONS(2798),
    [anon_sym_CARET_LBRACE] = ACTIONS(2798),
    [anon_sym_RBRACE] = ACTIONS(2798),
    [anon_sym_case] = ACTIONS(2798),
    [anon_sym_PLUS_EQ] = ACTIONS(2798),
    [anon_sym_DASH_EQ] = ACTIONS(2798),
    [anon_sym_STAR_EQ] = ACTIONS(2798),
    [anon_sym_SLASH_EQ] = ACTIONS(2798),
    [anon_sym_PERCENT_EQ] = ACTIONS(2798),
    [anon_sym_BANG_EQ] = ACTIONS(2800),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2798),
    [anon_sym_LT_EQ] = ACTIONS(2798),
    [anon_sym_GT_EQ] = ACTIONS(2798),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2798),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2798),
    [anon_sym_is] = ACTIONS(2798),
    [anon_sym_PLUS] = ACTIONS(2800),
    [anon_sym_DASH] = ACTIONS(2800),
    [anon_sym_STAR] = ACTIONS(2800),
    [anon_sym_SLASH] = ACTIONS(2800),
    [anon_sym_PERCENT] = ACTIONS(2800),
    [anon_sym_PLUS_PLUS] = ACTIONS(2798),
    [anon_sym_DASH_DASH] = ACTIONS(2798),
    [anon_sym_PIPE] = ACTIONS(2798),
    [anon_sym_CARET] = ACTIONS(2800),
    [anon_sym_LT_LT] = ACTIONS(2798),
    [anon_sym_GT_GT] = ACTIONS(2798),
    [anon_sym_import] = ACTIONS(2798),
    [anon_sym_typealias] = ACTIONS(2798),
    [anon_sym_struct] = ACTIONS(2798),
    [anon_sym_class] = ACTIONS(2798),
    [anon_sym_enum] = ACTIONS(2798),
    [anon_sym_protocol] = ACTIONS(2798),
    [anon_sym_let] = ACTIONS(2798),
    [anon_sym_var] = ACTIONS(2798),
    [anon_sym_func] = ACTIONS(2798),
    [anon_sym_extension] = ACTIONS(2798),
    [anon_sym_indirect] = ACTIONS(2798),
    [anon_sym_BANG2] = ACTIONS(2800),
    [anon_sym_SEMI] = ACTIONS(2798),
    [anon_sym_init] = ACTIONS(2798),
    [anon_sym_deinit] = ACTIONS(2798),
    [anon_sym_subscript] = ACTIONS(2798),
    [anon_sym_prefix] = ACTIONS(2798),
    [anon_sym_infix] = ACTIONS(2798),
    [anon_sym_postfix] = ACTIONS(2798),
    [anon_sym_precedencegroup] = ACTIONS(2798),
    [anon_sym_associatedtype] = ACTIONS(2798),
    [anon_sym_AT] = ACTIONS(2800),
    [anon_sym_override] = ACTIONS(2798),
    [anon_sym_convenience] = ACTIONS(2798),
    [anon_sym_required] = ACTIONS(2798),
    [anon_sym_nonisolated] = ACTIONS(2798),
    [anon_sym_public] = ACTIONS(2798),
    [anon_sym_private] = ACTIONS(2798),
    [anon_sym_internal] = ACTIONS(2798),
    [anon_sym_fileprivate] = ACTIONS(2798),
    [anon_sym_open] = ACTIONS(2798),
    [anon_sym_mutating] = ACTIONS(2798),
    [anon_sym_nonmutating] = ACTIONS(2798),
    [anon_sym_static] = ACTIONS(2798),
    [anon_sym_dynamic] = ACTIONS(2798),
    [anon_sym_optional] = ACTIONS(2798),
    [anon_sym_distributed] = ACTIONS(2798),
    [anon_sym_final] = ACTIONS(2798),
    [anon_sym_inout] = ACTIONS(2798),
    [anon_sym_ATescaping] = ACTIONS(2798),
    [anon_sym_ATautoclosure] = ACTIONS(2798),
    [anon_sym_weak] = ACTIONS(2798),
    [anon_sym_unowned] = ACTIONS(2800),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2798),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2798),
    [anon_sym_borrowing] = ACTIONS(2798),
    [anon_sym_consuming] = ACTIONS(2798),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2798),
    [sym__dot_custom] = ACTIONS(2798),
    [sym__conjunction_operator_custom] = ACTIONS(2798),
    [sym__disjunction_operator_custom] = ACTIONS(2798),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2798),
    [sym__eq_custom] = ACTIONS(2798),
    [sym__eq_eq_custom] = ACTIONS(2798),
    [sym__plus_then_ws] = ACTIONS(2798),
    [sym__minus_then_ws] = ACTIONS(2798),
    [sym__bang_custom] = ACTIONS(2798),
    [sym__throws_keyword] = ACTIONS(2798),
    [sym__rethrows_keyword] = ACTIONS(2798),
    [sym__as_custom] = ACTIONS(2798),
    [sym__as_quest_custom] = ACTIONS(2798),
    [sym__as_bang_custom] = ACTIONS(2798),
    [sym__async_keyword_custom] = ACTIONS(2798),
    [sym__custom_operator] = ACTIONS(2798),
  },
  [716] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(2991),
    [anon_sym_async] = ACTIONS(2991),
    [anon_sym_lazy] = ACTIONS(2991),
    [anon_sym_package] = ACTIONS(2991),
    [anon_sym_RPAREN] = ACTIONS(2991),
    [anon_sym_COMMA] = ACTIONS(2991),
    [anon_sym_COLON] = ACTIONS(2991),
    [anon_sym_LPAREN] = ACTIONS(2991),
    [anon_sym_LBRACK] = ACTIONS(2991),
    [anon_sym_RBRACK] = ACTIONS(2991),
    [anon_sym_DOT] = ACTIONS(2993),
    [anon_sym_QMARK] = ACTIONS(2993),
    [anon_sym_QMARK2] = ACTIONS(2991),
    [anon_sym_AMP] = ACTIONS(2991),
    [aux_sym_custom_operator_token1] = ACTIONS(2991),
    [anon_sym_LT] = ACTIONS(2993),
    [anon_sym_GT] = ACTIONS(2993),
    [anon_sym_LBRACE] = ACTIONS(2991),
    [anon_sym_CARET_LBRACE] = ACTIONS(2991),
    [anon_sym_RBRACE] = ACTIONS(2991),
    [anon_sym_case] = ACTIONS(2991),
    [anon_sym_PLUS_EQ] = ACTIONS(2991),
    [anon_sym_DASH_EQ] = ACTIONS(2991),
    [anon_sym_STAR_EQ] = ACTIONS(2991),
    [anon_sym_SLASH_EQ] = ACTIONS(2991),
    [anon_sym_PERCENT_EQ] = ACTIONS(2991),
    [anon_sym_BANG_EQ] = ACTIONS(2993),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2991),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2991),
    [anon_sym_LT_EQ] = ACTIONS(2991),
    [anon_sym_GT_EQ] = ACTIONS(2991),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2991),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2991),
    [anon_sym_is] = ACTIONS(2991),
    [anon_sym_PLUS] = ACTIONS(2993),
    [anon_sym_DASH] = ACTIONS(2993),
    [anon_sym_STAR] = ACTIONS(2993),
    [anon_sym_SLASH] = ACTIONS(2993),
    [anon_sym_PERCENT] = ACTIONS(2993),
    [anon_sym_PLUS_PLUS] = ACTIONS(2991),
    [anon_sym_DASH_DASH] = ACTIONS(2991),
    [anon_sym_PIPE] = ACTIONS(2991),
    [anon_sym_CARET] = ACTIONS(2993),
    [anon_sym_LT_LT] = ACTIONS(2991),
    [anon_sym_GT_GT] = ACTIONS(2991),
    [anon_sym_import] = ACTIONS(2991),
    [anon_sym_typealias] = ACTIONS(2991),
    [anon_sym_struct] = ACTIONS(2991),
    [anon_sym_class] = ACTIONS(2991),
    [anon_sym_enum] = ACTIONS(2991),
    [anon_sym_protocol] = ACTIONS(2991),
    [anon_sym_let] = ACTIONS(2991),
    [anon_sym_var] = ACTIONS(2991),
    [anon_sym_func] = ACTIONS(2991),
    [anon_sym_extension] = ACTIONS(2991),
    [anon_sym_indirect] = ACTIONS(2991),
    [anon_sym_BANG2] = ACTIONS(2993),
    [anon_sym_SEMI] = ACTIONS(2991),
    [anon_sym_init] = ACTIONS(2991),
    [anon_sym_deinit] = ACTIONS(2991),
    [anon_sym_subscript] = ACTIONS(2991),
    [anon_sym_prefix] = ACTIONS(2991),
    [anon_sym_infix] = ACTIONS(2991),
    [anon_sym_postfix] = ACTIONS(2991),
    [anon_sym_precedencegroup] = ACTIONS(2991),
    [anon_sym_associatedtype] = ACTIONS(2991),
    [anon_sym_AT] = ACTIONS(2993),
    [anon_sym_override] = ACTIONS(2991),
    [anon_sym_convenience] = ACTIONS(2991),
    [anon_sym_required] = ACTIONS(2991),
    [anon_sym_nonisolated] = ACTIONS(2991),
    [anon_sym_public] = ACTIONS(2991),
    [anon_sym_private] = ACTIONS(2991),
    [anon_sym_internal] = ACTIONS(2991),
    [anon_sym_fileprivate] = ACTIONS(2991),
    [anon_sym_open] = ACTIONS(2991),
    [anon_sym_mutating] = ACTIONS(2991),
    [anon_sym_nonmutating] = ACTIONS(2991),
    [anon_sym_static] = ACTIONS(2991),
    [anon_sym_dynamic] = ACTIONS(2991),
    [anon_sym_optional] = ACTIONS(2991),
    [anon_sym_distributed] = ACTIONS(2991),
    [anon_sym_final] = ACTIONS(2991),
    [anon_sym_inout] = ACTIONS(2991),
    [anon_sym_ATescaping] = ACTIONS(2991),
    [anon_sym_ATautoclosure] = ACTIONS(2991),
    [anon_sym_weak] = ACTIONS(2991),
    [anon_sym_unowned] = ACTIONS(2993),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2991),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2991),
    [anon_sym_borrowing] = ACTIONS(2991),
    [anon_sym_consuming] = ACTIONS(2991),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2991),
    [sym__dot_custom] = ACTIONS(2991),
    [sym__conjunction_operator_custom] = ACTIONS(2991),
    [sym__disjunction_operator_custom] = ACTIONS(2991),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2991),
    [sym__eq_custom] = ACTIONS(2991),
    [sym__eq_eq_custom] = ACTIONS(2991),
    [sym__plus_then_ws] = ACTIONS(2991),
    [sym__minus_then_ws] = ACTIONS(2991),
    [sym__bang_custom] = ACTIONS(2991),
    [sym__throws_keyword] = ACTIONS(2991),
    [sym__rethrows_keyword] = ACTIONS(2991),
    [sym__as_custom] = ACTIONS(2991),
    [sym__as_quest_custom] = ACTIONS(2991),
    [sym__as_bang_custom] = ACTIONS(2991),
    [sym__async_keyword_custom] = ACTIONS(2991),
    [sym__custom_operator] = ACTIONS(2991),
  },
  [717] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(2995),
    [anon_sym_async] = ACTIONS(2995),
    [anon_sym_lazy] = ACTIONS(2995),
    [anon_sym_package] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(2995),
    [anon_sym_COMMA] = ACTIONS(2995),
    [anon_sym_COLON] = ACTIONS(2995),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_LBRACK] = ACTIONS(2995),
    [anon_sym_RBRACK] = ACTIONS(2995),
    [anon_sym_DOT] = ACTIONS(2997),
    [anon_sym_QMARK] = ACTIONS(2997),
    [anon_sym_QMARK2] = ACTIONS(2995),
    [anon_sym_AMP] = ACTIONS(2995),
    [aux_sym_custom_operator_token1] = ACTIONS(2995),
    [anon_sym_LT] = ACTIONS(2997),
    [anon_sym_GT] = ACTIONS(2997),
    [anon_sym_LBRACE] = ACTIONS(2995),
    [anon_sym_CARET_LBRACE] = ACTIONS(2995),
    [anon_sym_RBRACE] = ACTIONS(2995),
    [anon_sym_case] = ACTIONS(2995),
    [anon_sym_PLUS_EQ] = ACTIONS(2995),
    [anon_sym_DASH_EQ] = ACTIONS(2995),
    [anon_sym_STAR_EQ] = ACTIONS(2995),
    [anon_sym_SLASH_EQ] = ACTIONS(2995),
    [anon_sym_PERCENT_EQ] = ACTIONS(2995),
    [anon_sym_BANG_EQ] = ACTIONS(2997),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2995),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2995),
    [anon_sym_LT_EQ] = ACTIONS(2995),
    [anon_sym_GT_EQ] = ACTIONS(2995),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2995),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2995),
    [anon_sym_is] = ACTIONS(2995),
    [anon_sym_PLUS] = ACTIONS(2997),
    [anon_sym_DASH] = ACTIONS(2997),
    [anon_sym_STAR] = ACTIONS(2997),
    [anon_sym_SLASH] = ACTIONS(2997),
    [anon_sym_PERCENT] = ACTIONS(2997),
    [anon_sym_PLUS_PLUS] = ACTIONS(2995),
    [anon_sym_DASH_DASH] = ACTIONS(2995),
    [anon_sym_PIPE] = ACTIONS(2995),
    [anon_sym_CARET] = ACTIONS(2997),
    [anon_sym_LT_LT] = ACTIONS(2995),
    [anon_sym_GT_GT] = ACTIONS(2995),
    [anon_sym_import] = ACTIONS(2995),
    [anon_sym_typealias] = ACTIONS(2995),
    [anon_sym_struct] = ACTIONS(2995),
    [anon_sym_class] = ACTIONS(2995),
    [anon_sym_enum] = ACTIONS(2995),
    [anon_sym_protocol] = ACTIONS(2995),
    [anon_sym_let] = ACTIONS(2995),
    [anon_sym_var] = ACTIONS(2995),
    [anon_sym_func] = ACTIONS(2995),
    [anon_sym_extension] = ACTIONS(2995),
    [anon_sym_indirect] = ACTIONS(2995),
    [anon_sym_BANG2] = ACTIONS(2997),
    [anon_sym_SEMI] = ACTIONS(2995),
    [anon_sym_init] = ACTIONS(2995),
    [anon_sym_deinit] = ACTIONS(2995),
    [anon_sym_subscript] = ACTIONS(2995),
    [anon_sym_prefix] = ACTIONS(2995),
    [anon_sym_infix] = ACTIONS(2995),
    [anon_sym_postfix] = ACTIONS(2995),
    [anon_sym_precedencegroup] = ACTIONS(2995),
    [anon_sym_associatedtype] = ACTIONS(2995),
    [anon_sym_AT] = ACTIONS(2997),
    [anon_sym_override] = ACTIONS(2995),
    [anon_sym_convenience] = ACTIONS(2995),
    [anon_sym_required] = ACTIONS(2995),
    [anon_sym_nonisolated] = ACTIONS(2995),
    [anon_sym_public] = ACTIONS(2995),
    [anon_sym_private] = ACTIONS(2995),
    [anon_sym_internal] = ACTIONS(2995),
    [anon_sym_fileprivate] = ACTIONS(2995),
    [anon_sym_open] = ACTIONS(2995),
    [anon_sym_mutating] = ACTIONS(2995),
    [anon_sym_nonmutating] = ACTIONS(2995),
    [anon_sym_static] = ACTIONS(2995),
    [anon_sym_dynamic] = ACTIONS(2995),
    [anon_sym_optional] = ACTIONS(2995),
    [anon_sym_distributed] = ACTIONS(2995),
    [anon_sym_final] = ACTIONS(2995),
    [anon_sym_inout] = ACTIONS(2995),
    [anon_sym_ATescaping] = ACTIONS(2995),
    [anon_sym_ATautoclosure] = ACTIONS(2995),
    [anon_sym_weak] = ACTIONS(2995),
    [anon_sym_unowned] = ACTIONS(2997),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2995),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2995),
    [anon_sym_borrowing] = ACTIONS(2995),
    [anon_sym_consuming] = ACTIONS(2995),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2995),
    [sym__dot_custom] = ACTIONS(2995),
    [sym__conjunction_operator_custom] = ACTIONS(2995),
    [sym__disjunction_operator_custom] = ACTIONS(2995),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2995),
    [sym__eq_custom] = ACTIONS(2995),
    [sym__eq_eq_custom] = ACTIONS(2995),
    [sym__plus_then_ws] = ACTIONS(2995),
    [sym__minus_then_ws] = ACTIONS(2995),
    [sym__bang_custom] = ACTIONS(2995),
    [sym__throws_keyword] = ACTIONS(2995),
    [sym__rethrows_keyword] = ACTIONS(2995),
    [sym__as_custom] = ACTIONS(2995),
    [sym__as_quest_custom] = ACTIONS(2995),
    [sym__as_bang_custom] = ACTIONS(2995),
    [sym__async_keyword_custom] = ACTIONS(2995),
    [sym__custom_operator] = ACTIONS(2995),
  },
  [718] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(637),
    [aux_sym_simple_identifier_token2] = ACTIONS(631),
    [aux_sym_simple_identifier_token3] = ACTIONS(631),
    [aux_sym_simple_identifier_token4] = ACTIONS(631),
    [anon_sym_actor] = ACTIONS(2999),
    [anon_sym_async] = ACTIONS(2999),
    [anon_sym_each] = ACTIONS(637),
    [anon_sym_lazy] = ACTIONS(2999),
    [anon_sym_repeat] = ACTIONS(637),
    [anon_sym_package] = ACTIONS(2999),
    [anon_sym_COMMA] = ACTIONS(631),
    [anon_sym_COLON] = ACTIONS(631),
    [anon_sym_LPAREN] = ACTIONS(631),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_QMARK] = ACTIONS(637),
    [anon_sym_QMARK2] = ACTIONS(631),
    [anon_sym_AMP] = ACTIONS(631),
    [aux_sym_custom_operator_token1] = ACTIONS(631),
    [anon_sym_LT] = ACTIONS(637),
    [anon_sym_GT] = ACTIONS(637),
    [anon_sym_LBRACE] = ACTIONS(631),
    [anon_sym_CARET_LBRACE] = ACTIONS(631),
    [anon_sym_RBRACE] = ACTIONS(631),
    [anon_sym_in] = ACTIONS(637),
    [anon_sym_PLUS_EQ] = ACTIONS(631),
    [anon_sym_DASH_EQ] = ACTIONS(631),
    [anon_sym_STAR_EQ] = ACTIONS(631),
    [anon_sym_SLASH_EQ] = ACTIONS(631),
    [anon_sym_PERCENT_EQ] = ACTIONS(631),
    [anon_sym_BANG_EQ] = ACTIONS(637),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(631),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(631),
    [anon_sym_LT_EQ] = ACTIONS(631),
    [anon_sym_GT_EQ] = ACTIONS(631),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(631),
    [anon_sym_DOT_DOT_LT] = ACTIONS(631),
    [anon_sym_is] = ACTIONS(637),
    [anon_sym_PLUS] = ACTIONS(637),
    [anon_sym_DASH] = ACTIONS(637),
    [anon_sym_STAR] = ACTIONS(637),
    [anon_sym_SLASH] = ACTIONS(637),
    [anon_sym_PERCENT] = ACTIONS(637),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PIPE] = ACTIONS(631),
    [anon_sym_CARET] = ACTIONS(637),
    [anon_sym_LT_LT] = ACTIONS(631),
    [anon_sym_GT_GT] = ACTIONS(631),
    [anon_sym_typealias] = ACTIONS(3002),
    [anon_sym_struct] = ACTIONS(3002),
    [anon_sym_class] = ACTIONS(3002),
    [anon_sym_enum] = ACTIONS(3002),
    [anon_sym_let] = ACTIONS(3002),
    [anon_sym_var] = ACTIONS(3002),
    [anon_sym_func] = ACTIONS(3002),
    [anon_sym_willSet] = ACTIONS(3002),
    [anon_sym_didSet] = ACTIONS(3002),
    [anon_sym_extension] = ACTIONS(3002),
    [anon_sym_indirect] = ACTIONS(3002),
    [anon_sym_BANG2] = ACTIONS(637),
    [anon_sym_prefix] = ACTIONS(3002),
    [anon_sym_infix] = ACTIONS(3002),
    [anon_sym_postfix] = ACTIONS(3002),
    [anon_sym_AT] = ACTIONS(3002),
    [anon_sym_override] = ACTIONS(3002),
    [anon_sym_convenience] = ACTIONS(3002),
    [anon_sym_required] = ACTIONS(3002),
    [anon_sym_nonisolated] = ACTIONS(3002),
    [anon_sym_public] = ACTIONS(3002),
    [anon_sym_private] = ACTIONS(3002),
    [anon_sym_internal] = ACTIONS(3002),
    [anon_sym_fileprivate] = ACTIONS(3002),
    [anon_sym_open] = ACTIONS(3002),
    [anon_sym_mutating] = ACTIONS(3002),
    [anon_sym_nonmutating] = ACTIONS(3002),
    [anon_sym_static] = ACTIONS(3002),
    [anon_sym_dynamic] = ACTIONS(3002),
    [anon_sym_optional] = ACTIONS(3002),
    [anon_sym_distributed] = ACTIONS(3002),
    [anon_sym_final] = ACTIONS(3002),
    [anon_sym_inout] = ACTIONS(3002),
    [anon_sym_ATescaping] = ACTIONS(3004),
    [anon_sym_ATautoclosure] = ACTIONS(3004),
    [anon_sym_weak] = ACTIONS(3002),
    [anon_sym_unowned] = ACTIONS(3002),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3004),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3004),
    [anon_sym_borrowing] = ACTIONS(2999),
    [anon_sym_consuming] = ACTIONS(2999),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(631),
    [sym__explicit_semi] = ACTIONS(631),
    [sym__arrow_operator_custom] = ACTIONS(631),
    [sym__dot_custom] = ACTIONS(631),
    [sym__conjunction_operator_custom] = ACTIONS(631),
    [sym__disjunction_operator_custom] = ACTIONS(631),
    [sym__nil_coalescing_operator_custom] = ACTIONS(631),
    [sym__eq_custom] = ACTIONS(631),
    [sym__eq_eq_custom] = ACTIONS(631),
    [sym__plus_then_ws] = ACTIONS(631),
    [sym__minus_then_ws] = ACTIONS(631),
    [sym__bang_custom] = ACTIONS(631),
    [sym__throws_keyword] = ACTIONS(631),
    [sym__rethrows_keyword] = ACTIONS(631),
    [sym__as_custom] = ACTIONS(631),
    [sym__as_quest_custom] = ACTIONS(631),
    [sym__as_bang_custom] = ACTIONS(631),
    [sym__async_keyword_custom] = ACTIONS(631),
    [sym__custom_operator] = ACTIONS(631),
  },
  [719] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(637),
    [aux_sym_simple_identifier_token2] = ACTIONS(631),
    [aux_sym_simple_identifier_token3] = ACTIONS(631),
    [aux_sym_simple_identifier_token4] = ACTIONS(631),
    [anon_sym_actor] = ACTIONS(2999),
    [anon_sym_async] = ACTIONS(2999),
    [anon_sym_each] = ACTIONS(637),
    [anon_sym_lazy] = ACTIONS(2999),
    [anon_sym_repeat] = ACTIONS(637),
    [anon_sym_package] = ACTIONS(2999),
    [anon_sym_COMMA] = ACTIONS(631),
    [anon_sym_COLON] = ACTIONS(631),
    [anon_sym_LPAREN] = ACTIONS(631),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_QMARK] = ACTIONS(637),
    [anon_sym_QMARK2] = ACTIONS(631),
    [anon_sym_AMP] = ACTIONS(631),
    [aux_sym_custom_operator_token1] = ACTIONS(631),
    [anon_sym_LT] = ACTIONS(637),
    [anon_sym_GT] = ACTIONS(637),
    [anon_sym_LBRACE] = ACTIONS(631),
    [anon_sym_CARET_LBRACE] = ACTIONS(631),
    [anon_sym_RBRACE] = ACTIONS(631),
    [anon_sym_in] = ACTIONS(637),
    [anon_sym_case] = ACTIONS(3002),
    [anon_sym_PLUS_EQ] = ACTIONS(631),
    [anon_sym_DASH_EQ] = ACTIONS(631),
    [anon_sym_STAR_EQ] = ACTIONS(631),
    [anon_sym_SLASH_EQ] = ACTIONS(631),
    [anon_sym_PERCENT_EQ] = ACTIONS(631),
    [anon_sym_BANG_EQ] = ACTIONS(637),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(631),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(631),
    [anon_sym_LT_EQ] = ACTIONS(631),
    [anon_sym_GT_EQ] = ACTIONS(631),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(631),
    [anon_sym_DOT_DOT_LT] = ACTIONS(631),
    [anon_sym_is] = ACTIONS(637),
    [anon_sym_PLUS] = ACTIONS(637),
    [anon_sym_DASH] = ACTIONS(637),
    [anon_sym_STAR] = ACTIONS(637),
    [anon_sym_SLASH] = ACTIONS(637),
    [anon_sym_PERCENT] = ACTIONS(637),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PIPE] = ACTIONS(631),
    [anon_sym_CARET] = ACTIONS(637),
    [anon_sym_LT_LT] = ACTIONS(631),
    [anon_sym_GT_GT] = ACTIONS(631),
    [anon_sym_typealias] = ACTIONS(3002),
    [anon_sym_struct] = ACTIONS(3002),
    [anon_sym_class] = ACTIONS(3002),
    [anon_sym_enum] = ACTIONS(3002),
    [anon_sym_let] = ACTIONS(3002),
    [anon_sym_var] = ACTIONS(3002),
    [anon_sym_func] = ACTIONS(3002),
    [anon_sym_extension] = ACTIONS(3002),
    [anon_sym_indirect] = ACTIONS(3002),
    [anon_sym_BANG2] = ACTIONS(637),
    [anon_sym_prefix] = ACTIONS(3002),
    [anon_sym_infix] = ACTIONS(3002),
    [anon_sym_postfix] = ACTIONS(3002),
    [anon_sym_AT] = ACTIONS(3002),
    [anon_sym_override] = ACTIONS(3002),
    [anon_sym_convenience] = ACTIONS(3002),
    [anon_sym_required] = ACTIONS(3002),
    [anon_sym_nonisolated] = ACTIONS(3002),
    [anon_sym_public] = ACTIONS(3002),
    [anon_sym_private] = ACTIONS(3002),
    [anon_sym_internal] = ACTIONS(3002),
    [anon_sym_fileprivate] = ACTIONS(3002),
    [anon_sym_open] = ACTIONS(3002),
    [anon_sym_mutating] = ACTIONS(3002),
    [anon_sym_nonmutating] = ACTIONS(3002),
    [anon_sym_static] = ACTIONS(3002),
    [anon_sym_dynamic] = ACTIONS(3002),
    [anon_sym_optional] = ACTIONS(3002),
    [anon_sym_distributed] = ACTIONS(3002),
    [anon_sym_final] = ACTIONS(3002),
    [anon_sym_inout] = ACTIONS(3002),
    [anon_sym_ATescaping] = ACTIONS(3004),
    [anon_sym_ATautoclosure] = ACTIONS(3004),
    [anon_sym_weak] = ACTIONS(3002),
    [anon_sym_unowned] = ACTIONS(3002),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3004),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3004),
    [anon_sym_borrowing] = ACTIONS(2999),
    [anon_sym_consuming] = ACTIONS(2999),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(631),
    [sym__explicit_semi] = ACTIONS(631),
    [sym__arrow_operator_custom] = ACTIONS(631),
    [sym__dot_custom] = ACTIONS(631),
    [sym__conjunction_operator_custom] = ACTIONS(631),
    [sym__disjunction_operator_custom] = ACTIONS(631),
    [sym__nil_coalescing_operator_custom] = ACTIONS(631),
    [sym__eq_custom] = ACTIONS(631),
    [sym__eq_eq_custom] = ACTIONS(631),
    [sym__plus_then_ws] = ACTIONS(631),
    [sym__minus_then_ws] = ACTIONS(631),
    [sym__bang_custom] = ACTIONS(631),
    [sym__throws_keyword] = ACTIONS(631),
    [sym__rethrows_keyword] = ACTIONS(631),
    [sym_default_keyword] = ACTIONS(3004),
    [sym__as_custom] = ACTIONS(631),
    [sym__as_quest_custom] = ACTIONS(631),
    [sym__as_bang_custom] = ACTIONS(631),
    [sym__async_keyword_custom] = ACTIONS(631),
    [sym__custom_operator] = ACTIONS(631),
  },
  [720] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(3006),
    [aux_sym_simple_identifier_token2] = ACTIONS(3008),
    [aux_sym_simple_identifier_token3] = ACTIONS(3008),
    [aux_sym_simple_identifier_token4] = ACTIONS(3008),
    [anon_sym_actor] = ACTIONS(3006),
    [anon_sym_async] = ACTIONS(3006),
    [anon_sym_each] = ACTIONS(3006),
    [anon_sym_lazy] = ACTIONS(3006),
    [anon_sym_repeat] = ACTIONS(3006),
    [anon_sym_package] = ACTIONS(3006),
    [anon_sym_COMMA] = ACTIONS(3008),
    [anon_sym_LPAREN] = ACTIONS(3008),
    [anon_sym_LBRACK] = ACTIONS(3008),
    [anon_sym_QMARK] = ACTIONS(3006),
    [anon_sym_QMARK2] = ACTIONS(3008),
    [anon_sym_AMP] = ACTIONS(3008),
    [aux_sym_custom_operator_token1] = ACTIONS(3008),
    [anon_sym_LT] = ACTIONS(3006),
    [anon_sym_GT] = ACTIONS(3006),
    [anon_sym_LBRACE] = ACTIONS(3008),
    [anon_sym_CARET_LBRACE] = ACTIONS(3008),
    [anon_sym_RBRACE] = ACTIONS(3008),
    [anon_sym_case] = ACTIONS(3006),
    [anon_sym_PLUS_EQ] = ACTIONS(3008),
    [anon_sym_DASH_EQ] = ACTIONS(3008),
    [anon_sym_STAR_EQ] = ACTIONS(3008),
    [anon_sym_SLASH_EQ] = ACTIONS(3008),
    [anon_sym_PERCENT_EQ] = ACTIONS(3008),
    [anon_sym_BANG_EQ] = ACTIONS(3006),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3008),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3008),
    [anon_sym_LT_EQ] = ACTIONS(3008),
    [anon_sym_GT_EQ] = ACTIONS(3008),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3008),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3008),
    [anon_sym_is] = ACTIONS(3006),
    [anon_sym_PLUS] = ACTIONS(3006),
    [anon_sym_DASH] = ACTIONS(3006),
    [anon_sym_STAR] = ACTIONS(3006),
    [anon_sym_SLASH] = ACTIONS(3006),
    [anon_sym_PERCENT] = ACTIONS(3006),
    [anon_sym_PLUS_PLUS] = ACTIONS(3008),
    [anon_sym_DASH_DASH] = ACTIONS(3008),
    [anon_sym_PIPE] = ACTIONS(3008),
    [anon_sym_CARET] = ACTIONS(3006),
    [anon_sym_LT_LT] = ACTIONS(3008),
    [anon_sym_GT_GT] = ACTIONS(3008),
    [anon_sym_import] = ACTIONS(3006),
    [anon_sym_typealias] = ACTIONS(3006),
    [anon_sym_struct] = ACTIONS(3006),
    [anon_sym_class] = ACTIONS(3006),
    [anon_sym_enum] = ACTIONS(3006),
    [anon_sym_protocol] = ACTIONS(3006),
    [anon_sym_let] = ACTIONS(3006),
    [anon_sym_var] = ACTIONS(3006),
    [anon_sym_func] = ACTIONS(3006),
    [anon_sym_extension] = ACTIONS(3006),
    [anon_sym_indirect] = ACTIONS(3006),
    [anon_sym_BANG2] = ACTIONS(3006),
    [anon_sym_SEMI] = ACTIONS(3008),
    [anon_sym_init] = ACTIONS(3006),
    [anon_sym_deinit] = ACTIONS(3006),
    [anon_sym_subscript] = ACTIONS(3006),
    [anon_sym_prefix] = ACTIONS(3006),
    [anon_sym_infix] = ACTIONS(3006),
    [anon_sym_postfix] = ACTIONS(3006),
    [anon_sym_precedencegroup] = ACTIONS(3006),
    [anon_sym_associatedtype] = ACTIONS(3006),
    [anon_sym_AT] = ACTIONS(3006),
    [anon_sym_override] = ACTIONS(3006),
    [anon_sym_convenience] = ACTIONS(3006),
    [anon_sym_required] = ACTIONS(3006),
    [anon_sym_nonisolated] = ACTIONS(3006),
    [anon_sym_public] = ACTIONS(3006),
    [anon_sym_private] = ACTIONS(3006),
    [anon_sym_internal] = ACTIONS(3006),
    [anon_sym_fileprivate] = ACTIONS(3006),
    [anon_sym_open] = ACTIONS(3006),
    [anon_sym_mutating] = ACTIONS(3006),
    [anon_sym_nonmutating] = ACTIONS(3006),
    [anon_sym_static] = ACTIONS(3006),
    [anon_sym_dynamic] = ACTIONS(3006),
    [anon_sym_optional] = ACTIONS(3006),
    [anon_sym_distributed] = ACTIONS(3006),
    [anon_sym_final] = ACTIONS(3006),
    [anon_sym_inout] = ACTIONS(3006),
    [anon_sym_ATescaping] = ACTIONS(3008),
    [anon_sym_ATautoclosure] = ACTIONS(3008),
    [anon_sym_weak] = ACTIONS(3006),
    [anon_sym_unowned] = ACTIONS(3006),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3008),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3008),
    [anon_sym_borrowing] = ACTIONS(3006),
    [anon_sym_consuming] = ACTIONS(3006),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3008),
    [sym__conjunction_operator_custom] = ACTIONS(3008),
    [sym__disjunction_operator_custom] = ACTIONS(3008),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3008),
    [sym__eq_custom] = ACTIONS(3008),
    [sym__eq_eq_custom] = ACTIONS(3008),
    [sym__plus_then_ws] = ACTIONS(3008),
    [sym__minus_then_ws] = ACTIONS(3008),
    [sym__bang_custom] = ACTIONS(3008),
    [sym__as_custom] = ACTIONS(3008),
    [sym__as_quest_custom] = ACTIONS(3008),
    [sym__as_bang_custom] = ACTIONS(3008),
    [sym__custom_operator] = ACTIONS(3008),
  },
  [721] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(3010),
    [aux_sym_simple_identifier_token2] = ACTIONS(3012),
    [aux_sym_simple_identifier_token3] = ACTIONS(3012),
    [aux_sym_simple_identifier_token4] = ACTIONS(3012),
    [anon_sym_actor] = ACTIONS(3010),
    [anon_sym_async] = ACTIONS(3010),
    [anon_sym_each] = ACTIONS(3010),
    [anon_sym_lazy] = ACTIONS(3010),
    [anon_sym_repeat] = ACTIONS(3010),
    [anon_sym_package] = ACTIONS(3010),
    [anon_sym_COMMA] = ACTIONS(3012),
    [anon_sym_LPAREN] = ACTIONS(3012),
    [anon_sym_LBRACK] = ACTIONS(3012),
    [anon_sym_QMARK] = ACTIONS(3010),
    [anon_sym_QMARK2] = ACTIONS(3012),
    [anon_sym_AMP] = ACTIONS(3012),
    [aux_sym_custom_operator_token1] = ACTIONS(3012),
    [anon_sym_LT] = ACTIONS(3010),
    [anon_sym_GT] = ACTIONS(3010),
    [anon_sym_LBRACE] = ACTIONS(3012),
    [anon_sym_CARET_LBRACE] = ACTIONS(3012),
    [anon_sym_RBRACE] = ACTIONS(3012),
    [anon_sym_case] = ACTIONS(3010),
    [anon_sym_PLUS_EQ] = ACTIONS(3012),
    [anon_sym_DASH_EQ] = ACTIONS(3012),
    [anon_sym_STAR_EQ] = ACTIONS(3012),
    [anon_sym_SLASH_EQ] = ACTIONS(3012),
    [anon_sym_PERCENT_EQ] = ACTIONS(3012),
    [anon_sym_BANG_EQ] = ACTIONS(3010),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3012),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3012),
    [anon_sym_LT_EQ] = ACTIONS(3012),
    [anon_sym_GT_EQ] = ACTIONS(3012),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3012),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3012),
    [anon_sym_is] = ACTIONS(3010),
    [anon_sym_PLUS] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3010),
    [anon_sym_STAR] = ACTIONS(3010),
    [anon_sym_SLASH] = ACTIONS(3010),
    [anon_sym_PERCENT] = ACTIONS(3010),
    [anon_sym_PLUS_PLUS] = ACTIONS(3012),
    [anon_sym_DASH_DASH] = ACTIONS(3012),
    [anon_sym_PIPE] = ACTIONS(3012),
    [anon_sym_CARET] = ACTIONS(3010),
    [anon_sym_LT_LT] = ACTIONS(3012),
    [anon_sym_GT_GT] = ACTIONS(3012),
    [anon_sym_import] = ACTIONS(3010),
    [anon_sym_typealias] = ACTIONS(3010),
    [anon_sym_struct] = ACTIONS(3010),
    [anon_sym_class] = ACTIONS(3010),
    [anon_sym_enum] = ACTIONS(3010),
    [anon_sym_protocol] = ACTIONS(3010),
    [anon_sym_let] = ACTIONS(3010),
    [anon_sym_var] = ACTIONS(3010),
    [anon_sym_func] = ACTIONS(3010),
    [anon_sym_extension] = ACTIONS(3010),
    [anon_sym_indirect] = ACTIONS(3010),
    [anon_sym_BANG2] = ACTIONS(3010),
    [anon_sym_SEMI] = ACTIONS(3012),
    [anon_sym_init] = ACTIONS(3010),
    [anon_sym_deinit] = ACTIONS(3010),
    [anon_sym_subscript] = ACTIONS(3010),
    [anon_sym_prefix] = ACTIONS(3010),
    [anon_sym_infix] = ACTIONS(3010),
    [anon_sym_postfix] = ACTIONS(3010),
    [anon_sym_precedencegroup] = ACTIONS(3010),
    [anon_sym_associatedtype] = ACTIONS(3010),
    [anon_sym_AT] = ACTIONS(3010),
    [anon_sym_override] = ACTIONS(3010),
    [anon_sym_convenience] = ACTIONS(3010),
    [anon_sym_required] = ACTIONS(3010),
    [anon_sym_nonisolated] = ACTIONS(3010),
    [anon_sym_public] = ACTIONS(3010),
    [anon_sym_private] = ACTIONS(3010),
    [anon_sym_internal] = ACTIONS(3010),
    [anon_sym_fileprivate] = ACTIONS(3010),
    [anon_sym_open] = ACTIONS(3010),
    [anon_sym_mutating] = ACTIONS(3010),
    [anon_sym_nonmutating] = ACTIONS(3010),
    [anon_sym_static] = ACTIONS(3010),
    [anon_sym_dynamic] = ACTIONS(3010),
    [anon_sym_optional] = ACTIONS(3010),
    [anon_sym_distributed] = ACTIONS(3010),
    [anon_sym_final] = ACTIONS(3010),
    [anon_sym_inout] = ACTIONS(3010),
    [anon_sym_ATescaping] = ACTIONS(3012),
    [anon_sym_ATautoclosure] = ACTIONS(3012),
    [anon_sym_weak] = ACTIONS(3010),
    [anon_sym_unowned] = ACTIONS(3010),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3012),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3012),
    [anon_sym_borrowing] = ACTIONS(3010),
    [anon_sym_consuming] = ACTIONS(3010),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3012),
    [sym__conjunction_operator_custom] = ACTIONS(3012),
    [sym__disjunction_operator_custom] = ACTIONS(3012),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3012),
    [sym__eq_custom] = ACTIONS(3012),
    [sym__eq_eq_custom] = ACTIONS(3012),
    [sym__plus_then_ws] = ACTIONS(3012),
    [sym__minus_then_ws] = ACTIONS(3012),
    [sym__bang_custom] = ACTIONS(3012),
    [sym__as_custom] = ACTIONS(3012),
    [sym__as_quest_custom] = ACTIONS(3012),
    [sym__as_bang_custom] = ACTIONS(3012),
    [sym__custom_operator] = ACTIONS(3012),
  },
  [722] = {
    [aux_sym_protocol_composition_type_repeat1] = STATE(724),
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(3014),
    [anon_sym_async] = ACTIONS(3014),
    [anon_sym_lazy] = ACTIONS(3014),
    [anon_sym_package] = ACTIONS(3014),
    [anon_sym_COMMA] = ACTIONS(3014),
    [anon_sym_LPAREN] = ACTIONS(3014),
    [anon_sym_LBRACK] = ACTIONS(3014),
    [anon_sym_DOT] = ACTIONS(3016),
    [anon_sym_QMARK] = ACTIONS(3016),
    [anon_sym_QMARK2] = ACTIONS(3014),
    [anon_sym_AMP] = ACTIONS(3014),
    [aux_sym_custom_operator_token1] = ACTIONS(3014),
    [anon_sym_LT] = ACTIONS(3016),
    [anon_sym_GT] = ACTIONS(3016),
    [anon_sym_LBRACE] = ACTIONS(3014),
    [anon_sym_CARET_LBRACE] = ACTIONS(3014),
    [anon_sym_RBRACE] = ACTIONS(3014),
    [anon_sym_case] = ACTIONS(3014),
    [anon_sym_PLUS_EQ] = ACTIONS(3014),
    [anon_sym_DASH_EQ] = ACTIONS(3014),
    [anon_sym_STAR_EQ] = ACTIONS(3014),
    [anon_sym_SLASH_EQ] = ACTIONS(3014),
    [anon_sym_PERCENT_EQ] = ACTIONS(3014),
    [anon_sym_BANG_EQ] = ACTIONS(3016),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3014),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3014),
    [anon_sym_LT_EQ] = ACTIONS(3014),
    [anon_sym_GT_EQ] = ACTIONS(3014),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3014),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3014),
    [anon_sym_is] = ACTIONS(3014),
    [anon_sym_PLUS] = ACTIONS(3016),
    [anon_sym_DASH] = ACTIONS(3016),
    [anon_sym_STAR] = ACTIONS(3016),
    [anon_sym_SLASH] = ACTIONS(3016),
    [anon_sym_PERCENT] = ACTIONS(3016),
    [anon_sym_PLUS_PLUS] = ACTIONS(3014),
    [anon_sym_DASH_DASH] = ACTIONS(3014),
    [anon_sym_PIPE] = ACTIONS(3014),
    [anon_sym_CARET] = ACTIONS(3016),
    [anon_sym_LT_LT] = ACTIONS(3014),
    [anon_sym_GT_GT] = ACTIONS(3014),
    [anon_sym_import] = ACTIONS(3014),
    [anon_sym_typealias] = ACTIONS(3014),
    [anon_sym_struct] = ACTIONS(3014),
    [anon_sym_class] = ACTIONS(3014),
    [anon_sym_enum] = ACTIONS(3014),
    [anon_sym_protocol] = ACTIONS(3014),
    [anon_sym_let] = ACTIONS(3014),
    [anon_sym_var] = ACTIONS(3014),
    [anon_sym_func] = ACTIONS(3014),
    [anon_sym_extension] = ACTIONS(3014),
    [anon_sym_indirect] = ACTIONS(3014),
    [anon_sym_BANG2] = ACTIONS(3016),
    [anon_sym_SEMI] = ACTIONS(3014),
    [anon_sym_init] = ACTIONS(3014),
    [anon_sym_deinit] = ACTIONS(3014),
    [anon_sym_subscript] = ACTIONS(3014),
    [anon_sym_prefix] = ACTIONS(3014),
    [anon_sym_infix] = ACTIONS(3014),
    [anon_sym_postfix] = ACTIONS(3014),
    [anon_sym_precedencegroup] = ACTIONS(3014),
    [anon_sym_associatedtype] = ACTIONS(3014),
    [anon_sym_AT] = ACTIONS(3016),
    [anon_sym_override] = ACTIONS(3014),
    [anon_sym_convenience] = ACTIONS(3014),
    [anon_sym_required] = ACTIONS(3014),
    [anon_sym_nonisolated] = ACTIONS(3014),
    [anon_sym_public] = ACTIONS(3014),
    [anon_sym_private] = ACTIONS(3014),
    [anon_sym_internal] = ACTIONS(3014),
    [anon_sym_fileprivate] = ACTIONS(3014),
    [anon_sym_open] = ACTIONS(3014),
    [anon_sym_mutating] = ACTIONS(3014),
    [anon_sym_nonmutating] = ACTIONS(3014),
    [anon_sym_static] = ACTIONS(3014),
    [anon_sym_dynamic] = ACTIONS(3014),
    [anon_sym_optional] = ACTIONS(3014),
    [anon_sym_distributed] = ACTIONS(3014),
    [anon_sym_final] = ACTIONS(3014),
    [anon_sym_inout] = ACTIONS(3014),
    [anon_sym_ATescaping] = ACTIONS(3014),
    [anon_sym_ATautoclosure] = ACTIONS(3014),
    [anon_sym_weak] = ACTIONS(3014),
    [anon_sym_unowned] = ACTIONS(3016),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3014),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3014),
    [anon_sym_borrowing] = ACTIONS(3014),
    [anon_sym_consuming] = ACTIONS(3014),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(3014),
    [sym__dot_custom] = ACTIONS(3014),
    [sym__conjunction_operator_custom] = ACTIONS(3014),
    [sym__disjunction_operator_custom] = ACTIONS(3014),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3014),
    [sym__eq_custom] = ACTIONS(3014),
    [sym__eq_eq_custom] = ACTIONS(3014),
    [sym__plus_then_ws] = ACTIONS(3014),
    [sym__minus_then_ws] = ACTIONS(3014),
    [sym__bang_custom] = ACTIONS(3014),
    [sym__throws_keyword] = ACTIONS(3014),
    [sym__rethrows_keyword] = ACTIONS(3014),
    [sym__as_custom] = ACTIONS(3014),
    [sym__as_quest_custom] = ACTIONS(3014),
    [sym__as_bang_custom] = ACTIONS(3014),
    [sym__async_keyword_custom] = ACTIONS(3014),
    [sym__custom_operator] = ACTIONS(3014),
  },
  [723] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(3018),
    [aux_sym_simple_identifier_token2] = ACTIONS(3020),
    [aux_sym_simple_identifier_token3] = ACTIONS(3020),
    [aux_sym_simple_identifier_token4] = ACTIONS(3020),
    [anon_sym_actor] = ACTIONS(3022),
    [anon_sym_async] = ACTIONS(3022),
    [anon_sym_each] = ACTIONS(3018),
    [anon_sym_lazy] = ACTIONS(3022),
    [anon_sym_repeat] = ACTIONS(3018),
    [anon_sym_package] = ACTIONS(3022),
    [anon_sym_COMMA] = ACTIONS(3024),
    [anon_sym_LPAREN] = ACTIONS(3024),
    [anon_sym_LBRACK] = ACTIONS(3024),
    [anon_sym_QMARK] = ACTIONS(3022),
    [anon_sym_QMARK2] = ACTIONS(3024),
    [anon_sym_AMP] = ACTIONS(3024),
    [aux_sym_custom_operator_token1] = ACTIONS(3024),
    [anon_sym_LT] = ACTIONS(3022),
    [anon_sym_GT] = ACTIONS(3022),
    [anon_sym_LBRACE] = ACTIONS(3024),
    [anon_sym_CARET_LBRACE] = ACTIONS(3024),
    [anon_sym_RBRACE] = ACTIONS(3024),
    [anon_sym_case] = ACTIONS(3022),
    [anon_sym_PLUS_EQ] = ACTIONS(3024),
    [anon_sym_DASH_EQ] = ACTIONS(3024),
    [anon_sym_STAR_EQ] = ACTIONS(3024),
    [anon_sym_SLASH_EQ] = ACTIONS(3024),
    [anon_sym_PERCENT_EQ] = ACTIONS(3024),
    [anon_sym_BANG_EQ] = ACTIONS(3022),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3024),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3024),
    [anon_sym_LT_EQ] = ACTIONS(3024),
    [anon_sym_GT_EQ] = ACTIONS(3024),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3024),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3024),
    [anon_sym_is] = ACTIONS(3022),
    [anon_sym_PLUS] = ACTIONS(3022),
    [anon_sym_DASH] = ACTIONS(3022),
    [anon_sym_STAR] = ACTIONS(3022),
    [anon_sym_SLASH] = ACTIONS(3022),
    [anon_sym_PERCENT] = ACTIONS(3022),
    [anon_sym_PLUS_PLUS] = ACTIONS(3024),
    [anon_sym_DASH_DASH] = ACTIONS(3024),
    [anon_sym_PIPE] = ACTIONS(3024),
    [anon_sym_CARET] = ACTIONS(3022),
    [anon_sym_LT_LT] = ACTIONS(3024),
    [anon_sym_GT_GT] = ACTIONS(3024),
    [anon_sym_import] = ACTIONS(3022),
    [anon_sym_typealias] = ACTIONS(3022),
    [anon_sym_struct] = ACTIONS(3022),
    [anon_sym_class] = ACTIONS(3022),
    [anon_sym_enum] = ACTIONS(3022),
    [anon_sym_protocol] = ACTIONS(3022),
    [anon_sym_let] = ACTIONS(3022),
    [anon_sym_var] = ACTIONS(3022),
    [anon_sym_func] = ACTIONS(3022),
    [anon_sym_extension] = ACTIONS(3022),
    [anon_sym_indirect] = ACTIONS(3022),
    [anon_sym_BANG2] = ACTIONS(3022),
    [anon_sym_SEMI] = ACTIONS(3024),
    [anon_sym_init] = ACTIONS(3022),
    [anon_sym_deinit] = ACTIONS(3022),
    [anon_sym_subscript] = ACTIONS(3022),
    [anon_sym_prefix] = ACTIONS(3022),
    [anon_sym_infix] = ACTIONS(3022),
    [anon_sym_postfix] = ACTIONS(3022),
    [anon_sym_precedencegroup] = ACTIONS(3022),
    [anon_sym_associatedtype] = ACTIONS(3022),
    [anon_sym_AT] = ACTIONS(3022),
    [anon_sym_override] = ACTIONS(3022),
    [anon_sym_convenience] = ACTIONS(3022),
    [anon_sym_required] = ACTIONS(3022),
    [anon_sym_nonisolated] = ACTIONS(3022),
    [anon_sym_public] = ACTIONS(3022),
    [anon_sym_private] = ACTIONS(3022),
    [anon_sym_internal] = ACTIONS(3022),
    [anon_sym_fileprivate] = ACTIONS(3022),
    [anon_sym_open] = ACTIONS(3022),
    [anon_sym_mutating] = ACTIONS(3022),
    [anon_sym_nonmutating] = ACTIONS(3022),
    [anon_sym_static] = ACTIONS(3022),
    [anon_sym_dynamic] = ACTIONS(3022),
    [anon_sym_optional] = ACTIONS(3022),
    [anon_sym_distributed] = ACTIONS(3022),
    [anon_sym_final] = ACTIONS(3022),
    [anon_sym_inout] = ACTIONS(3022),
    [anon_sym_ATescaping] = ACTIONS(3024),
    [anon_sym_ATautoclosure] = ACTIONS(3024),
    [anon_sym_weak] = ACTIONS(3022),
    [anon_sym_unowned] = ACTIONS(3022),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3024),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3024),
    [anon_sym_borrowing] = ACTIONS(3022),
    [anon_sym_consuming] = ACTIONS(3022),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3024),
    [sym__conjunction_operator_custom] = ACTIONS(3024),
    [sym__disjunction_operator_custom] = ACTIONS(3024),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3024),
    [sym__eq_custom] = ACTIONS(3024),
    [sym__eq_eq_custom] = ACTIONS(3024),
    [sym__plus_then_ws] = ACTIONS(3024),
    [sym__minus_then_ws] = ACTIONS(3024),
    [sym__bang_custom] = ACTIONS(3024),
    [sym__as_custom] = ACTIONS(3024),
    [sym__as_quest_custom] = ACTIONS(3024),
    [sym__as_bang_custom] = ACTIONS(3024),
    [sym__custom_operator] = ACTIONS(3024),
  },
  [724] = {
    [aux_sym_protocol_composition_type_repeat1] = STATE(724),
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(2892),
    [anon_sym_async] = ACTIONS(2892),
    [anon_sym_lazy] = ACTIONS(2892),
    [anon_sym_package] = ACTIONS(2892),
    [anon_sym_COMMA] = ACTIONS(2892),
    [anon_sym_LPAREN] = ACTIONS(2892),
    [anon_sym_LBRACK] = ACTIONS(2892),
    [anon_sym_DOT] = ACTIONS(2894),
    [anon_sym_QMARK] = ACTIONS(2894),
    [anon_sym_QMARK2] = ACTIONS(2892),
    [anon_sym_AMP] = ACTIONS(3026),
    [aux_sym_custom_operator_token1] = ACTIONS(2892),
    [anon_sym_LT] = ACTIONS(2894),
    [anon_sym_GT] = ACTIONS(2894),
    [anon_sym_LBRACE] = ACTIONS(2892),
    [anon_sym_CARET_LBRACE] = ACTIONS(2892),
    [anon_sym_RBRACE] = ACTIONS(2892),
    [anon_sym_case] = ACTIONS(2892),
    [anon_sym_PLUS_EQ] = ACTIONS(2892),
    [anon_sym_DASH_EQ] = ACTIONS(2892),
    [anon_sym_STAR_EQ] = ACTIONS(2892),
    [anon_sym_SLASH_EQ] = ACTIONS(2892),
    [anon_sym_PERCENT_EQ] = ACTIONS(2892),
    [anon_sym_BANG_EQ] = ACTIONS(2894),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2892),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2892),
    [anon_sym_LT_EQ] = ACTIONS(2892),
    [anon_sym_GT_EQ] = ACTIONS(2892),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2892),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2892),
    [anon_sym_is] = ACTIONS(2892),
    [anon_sym_PLUS] = ACTIONS(2894),
    [anon_sym_DASH] = ACTIONS(2894),
    [anon_sym_STAR] = ACTIONS(2894),
    [anon_sym_SLASH] = ACTIONS(2894),
    [anon_sym_PERCENT] = ACTIONS(2894),
    [anon_sym_PLUS_PLUS] = ACTIONS(2892),
    [anon_sym_DASH_DASH] = ACTIONS(2892),
    [anon_sym_PIPE] = ACTIONS(2892),
    [anon_sym_CARET] = ACTIONS(2894),
    [anon_sym_LT_LT] = ACTIONS(2892),
    [anon_sym_GT_GT] = ACTIONS(2892),
    [anon_sym_import] = ACTIONS(2892),
    [anon_sym_typealias] = ACTIONS(2892),
    [anon_sym_struct] = ACTIONS(2892),
    [anon_sym_class] = ACTIONS(2892),
    [anon_sym_enum] = ACTIONS(2892),
    [anon_sym_protocol] = ACTIONS(2892),
    [anon_sym_let] = ACTIONS(2892),
    [anon_sym_var] = ACTIONS(2892),
    [anon_sym_func] = ACTIONS(2892),
    [anon_sym_extension] = ACTIONS(2892),
    [anon_sym_indirect] = ACTIONS(2892),
    [anon_sym_BANG2] = ACTIONS(2894),
    [anon_sym_SEMI] = ACTIONS(2892),
    [anon_sym_init] = ACTIONS(2892),
    [anon_sym_deinit] = ACTIONS(2892),
    [anon_sym_subscript] = ACTIONS(2892),
    [anon_sym_prefix] = ACTIONS(2892),
    [anon_sym_infix] = ACTIONS(2892),
    [anon_sym_postfix] = ACTIONS(2892),
    [anon_sym_precedencegroup] = ACTIONS(2892),
    [anon_sym_associatedtype] = ACTIONS(2892),
    [anon_sym_AT] = ACTIONS(2894),
    [anon_sym_override] = ACTIONS(2892),
    [anon_sym_convenience] = ACTIONS(2892),
    [anon_sym_required] = ACTIONS(2892),
    [anon_sym_nonisolated] = ACTIONS(2892),
    [anon_sym_public] = ACTIONS(2892),
    [anon_sym_private] = ACTIONS(2892),
    [anon_sym_internal] = ACTIONS(2892),
    [anon_sym_fileprivate] = ACTIONS(2892),
    [anon_sym_open] = ACTIONS(2892),
    [anon_sym_mutating] = ACTIONS(2892),
    [anon_sym_nonmutating] = ACTIONS(2892),
    [anon_sym_static] = ACTIONS(2892),
    [anon_sym_dynamic] = ACTIONS(2892),
    [anon_sym_optional] = ACTIONS(2892),
    [anon_sym_distributed] = ACTIONS(2892),
    [anon_sym_final] = ACTIONS(2892),
    [anon_sym_inout] = ACTIONS(2892),
    [anon_sym_ATescaping] = ACTIONS(2892),
    [anon_sym_ATautoclosure] = ACTIONS(2892),
    [anon_sym_weak] = ACTIONS(2892),
    [anon_sym_unowned] = ACTIONS(2894),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2892),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2892),
    [anon_sym_borrowing] = ACTIONS(2892),
    [anon_sym_consuming] = ACTIONS(2892),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2892),
    [sym__dot_custom] = ACTIONS(2892),
    [sym__conjunction_operator_custom] = ACTIONS(2892),
    [sym__disjunction_operator_custom] = ACTIONS(2892),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2892),
    [sym__eq_custom] = ACTIONS(2892),
    [sym__eq_eq_custom] = ACTIONS(2892),
    [sym__plus_then_ws] = ACTIONS(2892),
    [sym__minus_then_ws] = ACTIONS(2892),
    [sym__bang_custom] = ACTIONS(2892),
    [sym__throws_keyword] = ACTIONS(2892),
    [sym__rethrows_keyword] = ACTIONS(2892),
    [sym__as_custom] = ACTIONS(2892),
    [sym__as_quest_custom] = ACTIONS(2892),
    [sym__as_bang_custom] = ACTIONS(2892),
    [sym__async_keyword_custom] = ACTIONS(2892),
    [sym__custom_operator] = ACTIONS(2892),
  },
  [725] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(3018),
    [aux_sym_simple_identifier_token2] = ACTIONS(3020),
    [aux_sym_simple_identifier_token3] = ACTIONS(3020),
    [aux_sym_simple_identifier_token4] = ACTIONS(3020),
    [anon_sym_actor] = ACTIONS(3018),
    [anon_sym_async] = ACTIONS(3018),
    [anon_sym_each] = ACTIONS(3018),
    [anon_sym_lazy] = ACTIONS(3018),
    [anon_sym_repeat] = ACTIONS(3018),
    [anon_sym_package] = ACTIONS(3018),
    [anon_sym_COMMA] = ACTIONS(3020),
    [anon_sym_LPAREN] = ACTIONS(3020),
    [anon_sym_LBRACK] = ACTIONS(3020),
    [anon_sym_QMARK] = ACTIONS(3018),
    [anon_sym_QMARK2] = ACTIONS(3020),
    [anon_sym_AMP] = ACTIONS(3020),
    [aux_sym_custom_operator_token1] = ACTIONS(3020),
    [anon_sym_LT] = ACTIONS(3018),
    [anon_sym_GT] = ACTIONS(3018),
    [anon_sym_LBRACE] = ACTIONS(3020),
    [anon_sym_CARET_LBRACE] = ACTIONS(3020),
    [anon_sym_RBRACE] = ACTIONS(3020),
    [anon_sym_case] = ACTIONS(3018),
    [anon_sym_PLUS_EQ] = ACTIONS(3020),
    [anon_sym_DASH_EQ] = ACTIONS(3020),
    [anon_sym_STAR_EQ] = ACTIONS(3020),
    [anon_sym_SLASH_EQ] = ACTIONS(3020),
    [anon_sym_PERCENT_EQ] = ACTIONS(3020),
    [anon_sym_BANG_EQ] = ACTIONS(3018),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3020),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3020),
    [anon_sym_LT_EQ] = ACTIONS(3020),
    [anon_sym_GT_EQ] = ACTIONS(3020),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3020),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3020),
    [anon_sym_is] = ACTIONS(3018),
    [anon_sym_PLUS] = ACTIONS(3018),
    [anon_sym_DASH] = ACTIONS(3018),
    [anon_sym_STAR] = ACTIONS(3018),
    [anon_sym_SLASH] = ACTIONS(3018),
    [anon_sym_PERCENT] = ACTIONS(3018),
    [anon_sym_PLUS_PLUS] = ACTIONS(3020),
    [anon_sym_DASH_DASH] = ACTIONS(3020),
    [anon_sym_PIPE] = ACTIONS(3020),
    [anon_sym_CARET] = ACTIONS(3018),
    [anon_sym_LT_LT] = ACTIONS(3020),
    [anon_sym_GT_GT] = ACTIONS(3020),
    [anon_sym_import] = ACTIONS(3018),
    [anon_sym_typealias] = ACTIONS(3018),
    [anon_sym_struct] = ACTIONS(3018),
    [anon_sym_class] = ACTIONS(3018),
    [anon_sym_enum] = ACTIONS(3018),
    [anon_sym_protocol] = ACTIONS(3018),
    [anon_sym_let] = ACTIONS(3018),
    [anon_sym_var] = ACTIONS(3018),
    [anon_sym_func] = ACTIONS(3018),
    [anon_sym_extension] = ACTIONS(3018),
    [anon_sym_indirect] = ACTIONS(3018),
    [anon_sym_BANG2] = ACTIONS(3018),
    [anon_sym_SEMI] = ACTIONS(3020),
    [anon_sym_init] = ACTIONS(3018),
    [anon_sym_deinit] = ACTIONS(3018),
    [anon_sym_subscript] = ACTIONS(3018),
    [anon_sym_prefix] = ACTIONS(3018),
    [anon_sym_infix] = ACTIONS(3018),
    [anon_sym_postfix] = ACTIONS(3018),
    [anon_sym_precedencegroup] = ACTIONS(3018),
    [anon_sym_associatedtype] = ACTIONS(3018),
    [anon_sym_AT] = ACTIONS(3018),
    [anon_sym_override] = ACTIONS(3018),
    [anon_sym_convenience] = ACTIONS(3018),
    [anon_sym_required] = ACTIONS(3018),
    [anon_sym_nonisolated] = ACTIONS(3018),
    [anon_sym_public] = ACTIONS(3018),
    [anon_sym_private] = ACTIONS(3018),
    [anon_sym_internal] = ACTIONS(3018),
    [anon_sym_fileprivate] = ACTIONS(3018),
    [anon_sym_open] = ACTIONS(3018),
    [anon_sym_mutating] = ACTIONS(3018),
    [anon_sym_nonmutating] = ACTIONS(3018),
    [anon_sym_static] = ACTIONS(3018),
    [anon_sym_dynamic] = ACTIONS(3018),
    [anon_sym_optional] = ACTIONS(3018),
    [anon_sym_distributed] = ACTIONS(3018),
    [anon_sym_final] = ACTIONS(3018),
    [anon_sym_inout] = ACTIONS(3018),
    [anon_sym_ATescaping] = ACTIONS(3020),
    [anon_sym_ATautoclosure] = ACTIONS(3020),
    [anon_sym_weak] = ACTIONS(3018),
    [anon_sym_unowned] = ACTIONS(3018),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3020),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3020),
    [anon_sym_borrowing] = ACTIONS(3018),
    [anon_sym_consuming] = ACTIONS(3018),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3020),
    [sym__conjunction_operator_custom] = ACTIONS(3020),
    [sym__disjunction_operator_custom] = ACTIONS(3020),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3020),
    [sym__eq_custom] = ACTIONS(3020),
    [sym__eq_eq_custom] = ACTIONS(3020),
    [sym__plus_then_ws] = ACTIONS(3020),
    [sym__minus_then_ws] = ACTIONS(3020),
    [sym__bang_custom] = ACTIONS(3020),
    [sym__as_custom] = ACTIONS(3020),
    [sym__as_quest_custom] = ACTIONS(3020),
    [sym__as_bang_custom] = ACTIONS(3020),
    [sym__custom_operator] = ACTIONS(3020),
  },
  [726] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(3029),
    [aux_sym_simple_identifier_token2] = ACTIONS(3031),
    [aux_sym_simple_identifier_token3] = ACTIONS(3031),
    [aux_sym_simple_identifier_token4] = ACTIONS(3031),
    [anon_sym_actor] = ACTIONS(3029),
    [anon_sym_async] = ACTIONS(3029),
    [anon_sym_each] = ACTIONS(3029),
    [anon_sym_lazy] = ACTIONS(3029),
    [anon_sym_repeat] = ACTIONS(3029),
    [anon_sym_package] = ACTIONS(3029),
    [anon_sym_COMMA] = ACTIONS(3031),
    [anon_sym_LPAREN] = ACTIONS(3031),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_QMARK] = ACTIONS(3029),
    [anon_sym_QMARK2] = ACTIONS(3031),
    [anon_sym_AMP] = ACTIONS(3031),
    [aux_sym_custom_operator_token1] = ACTIONS(3031),
    [anon_sym_LT] = ACTIONS(3029),
    [anon_sym_GT] = ACTIONS(3029),
    [anon_sym_LBRACE] = ACTIONS(3031),
    [anon_sym_CARET_LBRACE] = ACTIONS(3031),
    [anon_sym_RBRACE] = ACTIONS(3031),
    [anon_sym_case] = ACTIONS(3029),
    [anon_sym_PLUS_EQ] = ACTIONS(3031),
    [anon_sym_DASH_EQ] = ACTIONS(3031),
    [anon_sym_STAR_EQ] = ACTIONS(3031),
    [anon_sym_SLASH_EQ] = ACTIONS(3031),
    [anon_sym_PERCENT_EQ] = ACTIONS(3031),
    [anon_sym_BANG_EQ] = ACTIONS(3029),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3031),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3031),
    [anon_sym_LT_EQ] = ACTIONS(3031),
    [anon_sym_GT_EQ] = ACTIONS(3031),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3031),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3031),
    [anon_sym_is] = ACTIONS(3029),
    [anon_sym_PLUS] = ACTIONS(3029),
    [anon_sym_DASH] = ACTIONS(3029),
    [anon_sym_STAR] = ACTIONS(3029),
    [anon_sym_SLASH] = ACTIONS(3029),
    [anon_sym_PERCENT] = ACTIONS(3029),
    [anon_sym_PLUS_PLUS] = ACTIONS(3031),
    [anon_sym_DASH_DASH] = ACTIONS(3031),
    [anon_sym_PIPE] = ACTIONS(3031),
    [anon_sym_CARET] = ACTIONS(3029),
    [anon_sym_LT_LT] = ACTIONS(3031),
    [anon_sym_GT_GT] = ACTIONS(3031),
    [anon_sym_import] = ACTIONS(3029),
    [anon_sym_typealias] = ACTIONS(3029),
    [anon_sym_struct] = ACTIONS(3029),
    [anon_sym_class] = ACTIONS(3029),
    [anon_sym_enum] = ACTIONS(3029),
    [anon_sym_protocol] = ACTIONS(3029),
    [anon_sym_let] = ACTIONS(3029),
    [anon_sym_var] = ACTIONS(3029),
    [anon_sym_func] = ACTIONS(3029),
    [anon_sym_extension] = ACTIONS(3029),
    [anon_sym_indirect] = ACTIONS(3029),
    [anon_sym_BANG2] = ACTIONS(3029),
    [anon_sym_SEMI] = ACTIONS(3031),
    [anon_sym_init] = ACTIONS(3029),
    [anon_sym_deinit] = ACTIONS(3029),
    [anon_sym_subscript] = ACTIONS(3029),
    [anon_sym_prefix] = ACTIONS(3029),
    [anon_sym_infix] = ACTIONS(3029),
    [anon_sym_postfix] = ACTIONS(3029),
    [anon_sym_precedencegroup] = ACTIONS(3029),
    [anon_sym_associatedtype] = ACTIONS(3029),
    [anon_sym_AT] = ACTIONS(3029),
    [anon_sym_override] = ACTIONS(3029),
    [anon_sym_convenience] = ACTIONS(3029),
    [anon_sym_required] = ACTIONS(3029),
    [anon_sym_nonisolated] = ACTIONS(3029),
    [anon_sym_public] = ACTIONS(3029),
    [anon_sym_private] = ACTIONS(3029),
    [anon_sym_internal] = ACTIONS(3029),
    [anon_sym_fileprivate] = ACTIONS(3029),
    [anon_sym_open] = ACTIONS(3029),
    [anon_sym_mutating] = ACTIONS(3029),
    [anon_sym_nonmutating] = ACTIONS(3029),
    [anon_sym_static] = ACTIONS(3029),
    [anon_sym_dynamic] = ACTIONS(3029),
    [anon_sym_optional] = ACTIONS(3029),
    [anon_sym_distributed] = ACTIONS(3029),
    [anon_sym_final] = ACTIONS(3029),
    [anon_sym_inout] = ACTIONS(3029),
    [anon_sym_ATescaping] = ACTIONS(3031),
    [anon_sym_ATautoclosure] = ACTIONS(3031),
    [anon_sym_weak] = ACTIONS(3029),
    [anon_sym_unowned] = ACTIONS(3029),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3031),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3031),
    [anon_sym_borrowing] = ACTIONS(3029),
    [anon_sym_consuming] = ACTIONS(3029),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3031),
    [sym__conjunction_operator_custom] = ACTIONS(3031),
    [sym__disjunction_operator_custom] = ACTIONS(3031),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3031),
    [sym__eq_custom] = ACTIONS(3031),
    [sym__eq_eq_custom] = ACTIONS(3031),
    [sym__plus_then_ws] = ACTIONS(3031),
    [sym__minus_then_ws] = ACTIONS(3031),
    [sym__bang_custom] = ACTIONS(3031),
    [sym__as_custom] = ACTIONS(3031),
    [sym__as_quest_custom] = ACTIONS(3031),
    [sym__as_bang_custom] = ACTIONS(3031),
    [sym__custom_operator] = ACTIONS(3031),
  },
  [727] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(3033),
    [aux_sym_simple_identifier_token2] = ACTIONS(3035),
    [aux_sym_simple_identifier_token3] = ACTIONS(3035),
    [aux_sym_simple_identifier_token4] = ACTIONS(3035),
    [anon_sym_actor] = ACTIONS(3033),
    [anon_sym_async] = ACTIONS(3033),
    [anon_sym_each] = ACTIONS(3033),
    [anon_sym_lazy] = ACTIONS(3033),
    [anon_sym_repeat] = ACTIONS(3033),
    [anon_sym_package] = ACTIONS(3033),
    [anon_sym_COMMA] = ACTIONS(3035),
    [anon_sym_LPAREN] = ACTIONS(3035),
    [anon_sym_LBRACK] = ACTIONS(3035),
    [anon_sym_QMARK] = ACTIONS(3033),
    [anon_sym_QMARK2] = ACTIONS(3035),
    [anon_sym_AMP] = ACTIONS(3035),
    [aux_sym_custom_operator_token1] = ACTIONS(3035),
    [anon_sym_LT] = ACTIONS(3033),
    [anon_sym_GT] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_CARET_LBRACE] = ACTIONS(3035),
    [anon_sym_RBRACE] = ACTIONS(3035),
    [anon_sym_case] = ACTIONS(3033),
    [anon_sym_PLUS_EQ] = ACTIONS(3035),
    [anon_sym_DASH_EQ] = ACTIONS(3035),
    [anon_sym_STAR_EQ] = ACTIONS(3035),
    [anon_sym_SLASH_EQ] = ACTIONS(3035),
    [anon_sym_PERCENT_EQ] = ACTIONS(3035),
    [anon_sym_BANG_EQ] = ACTIONS(3033),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3035),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3035),
    [anon_sym_LT_EQ] = ACTIONS(3035),
    [anon_sym_GT_EQ] = ACTIONS(3035),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3035),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3035),
    [anon_sym_is] = ACTIONS(3033),
    [anon_sym_PLUS] = ACTIONS(3033),
    [anon_sym_DASH] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3033),
    [anon_sym_SLASH] = ACTIONS(3033),
    [anon_sym_PERCENT] = ACTIONS(3033),
    [anon_sym_PLUS_PLUS] = ACTIONS(3035),
    [anon_sym_DASH_DASH] = ACTIONS(3035),
    [anon_sym_PIPE] = ACTIONS(3035),
    [anon_sym_CARET] = ACTIONS(3033),
    [anon_sym_LT_LT] = ACTIONS(3035),
    [anon_sym_GT_GT] = ACTIONS(3035),
    [anon_sym_import] = ACTIONS(3033),
    [anon_sym_typealias] = ACTIONS(3033),
    [anon_sym_struct] = ACTIONS(3033),
    [anon_sym_class] = ACTIONS(3033),
    [anon_sym_enum] = ACTIONS(3033),
    [anon_sym_protocol] = ACTIONS(3033),
    [anon_sym_let] = ACTIONS(3033),
    [anon_sym_var] = ACTIONS(3033),
    [anon_sym_func] = ACTIONS(3033),
    [anon_sym_extension] = ACTIONS(3033),
    [anon_sym_indirect] = ACTIONS(3033),
    [anon_sym_BANG2] = ACTIONS(3033),
    [anon_sym_SEMI] = ACTIONS(3035),
    [anon_sym_init] = ACTIONS(3033),
    [anon_sym_deinit] = ACTIONS(3033),
    [anon_sym_subscript] = ACTIONS(3033),
    [anon_sym_prefix] = ACTIONS(3033),
    [anon_sym_infix] = ACTIONS(3033),
    [anon_sym_postfix] = ACTIONS(3033),
    [anon_sym_precedencegroup] = ACTIONS(3033),
    [anon_sym_associatedtype] = ACTIONS(3033),
    [anon_sym_AT] = ACTIONS(3033),
    [anon_sym_override] = ACTIONS(3033),
    [anon_sym_convenience] = ACTIONS(3033),
    [anon_sym_required] = ACTIONS(3033),
    [anon_sym_nonisolated] = ACTIONS(3033),
    [anon_sym_public] = ACTIONS(3033),
    [anon_sym_private] = ACTIONS(3033),
    [anon_sym_internal] = ACTIONS(3033),
    [anon_sym_fileprivate] = ACTIONS(3033),
    [anon_sym_open] = ACTIONS(3033),
    [anon_sym_mutating] = ACTIONS(3033),
    [anon_sym_nonmutating] = ACTIONS(3033),
    [anon_sym_static] = ACTIONS(3033),
    [anon_sym_dynamic] = ACTIONS(3033),
    [anon_sym_optional] = ACTIONS(3033),
    [anon_sym_distributed] = ACTIONS(3033),
    [anon_sym_final] = ACTIONS(3033),
    [anon_sym_inout] = ACTIONS(3033),
    [anon_sym_ATescaping] = ACTIONS(3035),
    [anon_sym_ATautoclosure] = ACTIONS(3035),
    [anon_sym_weak] = ACTIONS(3033),
    [anon_sym_unowned] = ACTIONS(3033),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3035),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3035),
    [anon_sym_borrowing] = ACTIONS(3033),
    [anon_sym_consuming] = ACTIONS(3033),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3035),
    [sym__conjunction_operator_custom] = ACTIONS(3035),
    [sym__disjunction_operator_custom] = ACTIONS(3035),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3035),
    [sym__eq_custom] = ACTIONS(3035),
    [sym__eq_eq_custom] = ACTIONS(3035),
    [sym__plus_then_ws] = ACTIONS(3035),
    [sym__minus_then_ws] = ACTIONS(3035),
    [sym__bang_custom] = ACTIONS(3035),
    [sym__as_custom] = ACTIONS(3035),
    [sym__as_quest_custom] = ACTIONS(3035),
    [sym__as_bang_custom] = ACTIONS(3035),
    [sym__custom_operator] = ACTIONS(3035),
  },
  [728] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(2928),
    [anon_sym_async] = ACTIONS(2928),
    [anon_sym_lazy] = ACTIONS(2928),
    [anon_sym_package] = ACTIONS(2928),
    [anon_sym_RPAREN] = ACTIONS(2928),
    [anon_sym_COMMA] = ACTIONS(2928),
    [anon_sym_COLON] = ACTIONS(2928),
    [anon_sym_LPAREN] = ACTIONS(2928),
    [anon_sym_LBRACK] = ACTIONS(2928),
    [anon_sym_RBRACK] = ACTIONS(2928),
    [anon_sym_DOT] = ACTIONS(2930),
    [anon_sym_QMARK] = ACTIONS(2930),
    [anon_sym_QMARK2] = ACTIONS(2928),
    [anon_sym_AMP] = ACTIONS(2928),
    [aux_sym_custom_operator_token1] = ACTIONS(2928),
    [anon_sym_LT] = ACTIONS(2930),
    [anon_sym_GT] = ACTIONS(2930),
    [anon_sym_LBRACE] = ACTIONS(2928),
    [anon_sym_CARET_LBRACE] = ACTIONS(2928),
    [anon_sym_RBRACE] = ACTIONS(2928),
    [anon_sym_self] = ACTIONS(2928),
    [anon_sym_case] = ACTIONS(2928),
    [anon_sym_PLUS_EQ] = ACTIONS(2928),
    [anon_sym_DASH_EQ] = ACTIONS(2928),
    [anon_sym_STAR_EQ] = ACTIONS(2928),
    [anon_sym_SLASH_EQ] = ACTIONS(2928),
    [anon_sym_PERCENT_EQ] = ACTIONS(2928),
    [anon_sym_BANG_EQ] = ACTIONS(2930),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2928),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2928),
    [anon_sym_LT_EQ] = ACTIONS(2928),
    [anon_sym_GT_EQ] = ACTIONS(2928),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2928),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2928),
    [anon_sym_is] = ACTIONS(2928),
    [anon_sym_PLUS] = ACTIONS(2930),
    [anon_sym_DASH] = ACTIONS(2930),
    [anon_sym_STAR] = ACTIONS(2930),
    [anon_sym_SLASH] = ACTIONS(2930),
    [anon_sym_PERCENT] = ACTIONS(2930),
    [anon_sym_PLUS_PLUS] = ACTIONS(2928),
    [anon_sym_DASH_DASH] = ACTIONS(2928),
    [anon_sym_PIPE] = ACTIONS(2928),
    [anon_sym_CARET] = ACTIONS(2930),
    [anon_sym_LT_LT] = ACTIONS(2928),
    [anon_sym_GT_GT] = ACTIONS(2928),
    [anon_sym_import] = ACTIONS(2928),
    [anon_sym_typealias] = ACTIONS(2928),
    [anon_sym_struct] = ACTIONS(2928),
    [anon_sym_class] = ACTIONS(2928),
    [anon_sym_enum] = ACTIONS(2928),
    [anon_sym_protocol] = ACTIONS(2928),
    [anon_sym_let] = ACTIONS(2928),
    [anon_sym_var] = ACTIONS(2928),
    [anon_sym_func] = ACTIONS(2928),
    [anon_sym_extension] = ACTIONS(2928),
    [anon_sym_indirect] = ACTIONS(2928),
    [anon_sym_BANG2] = ACTIONS(2930),
    [anon_sym_SEMI] = ACTIONS(2928),
    [anon_sym_init] = ACTIONS(2928),
    [anon_sym_deinit] = ACTIONS(2928),
    [anon_sym_subscript] = ACTIONS(2928),
    [anon_sym_prefix] = ACTIONS(2928),
    [anon_sym_infix] = ACTIONS(2928),
    [anon_sym_postfix] = ACTIONS(2928),
    [anon_sym_precedencegroup] = ACTIONS(2928),
    [anon_sym_associatedtype] = ACTIONS(2928),
    [anon_sym_AT] = ACTIONS(2930),
    [anon_sym_override] = ACTIONS(2928),
    [anon_sym_convenience] = ACTIONS(2928),
    [anon_sym_required] = ACTIONS(2928),
    [anon_sym_nonisolated] = ACTIONS(2928),
    [anon_sym_public] = ACTIONS(2928),
    [anon_sym_private] = ACTIONS(2928),
    [anon_sym_internal] = ACTIONS(2928),
    [anon_sym_fileprivate] = ACTIONS(2928),
    [anon_sym_open] = ACTIONS(2928),
    [anon_sym_mutating] = ACTIONS(2928),
    [anon_sym_nonmutating] = ACTIONS(2928),
    [anon_sym_static] = ACTIONS(2928),
    [anon_sym_dynamic] = ACTIONS(2928),
    [anon_sym_optional] = ACTIONS(2928),
    [anon_sym_distributed] = ACTIONS(2928),
    [anon_sym_final] = ACTIONS(2928),
    [anon_sym_inout] = ACTIONS(2928),
    [anon_sym_ATescaping] = ACTIONS(2928),
    [anon_sym_ATautoclosure] = ACTIONS(2928),
    [anon_sym_weak] = ACTIONS(2928),
    [anon_sym_unowned] = ACTIONS(2930),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2928),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2928),
    [anon_sym_borrowing] = ACTIONS(2928),
    [anon_sym_consuming] = ACTIONS(2928),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2928),
    [sym__conjunction_operator_custom] = ACTIONS(2928),
    [sym__disjunction_operator_custom] = ACTIONS(2928),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2928),
    [sym__eq_custom] = ACTIONS(2928),
    [sym__eq_eq_custom] = ACTIONS(2928),
    [sym__plus_then_ws] = ACTIONS(2928),
    [sym__minus_then_ws] = ACTIONS(2928),
    [sym__bang_custom] = ACTIONS(2928),
    [sym__as_custom] = ACTIONS(2928),
    [sym__as_quest_custom] = ACTIONS(2928),
    [sym__as_bang_custom] = ACTIONS(2928),
    [sym__custom_operator] = ACTIONS(2928),
  },
  [729] = {
    [aux_sym_key_path_expression_repeat1] = STATE(735),
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(3037),
    [anon_sym_async] = ACTIONS(3037),
    [anon_sym_lazy] = ACTIONS(3037),
    [anon_sym_package] = ACTIONS(3037),
    [anon_sym_RPAREN] = ACTIONS(3037),
    [anon_sym_COMMA] = ACTIONS(3037),
    [anon_sym_COLON] = ACTIONS(3037),
    [anon_sym_LPAREN] = ACTIONS(3037),
    [anon_sym_LBRACK] = ACTIONS(3037),
    [anon_sym_RBRACK] = ACTIONS(3037),
    [anon_sym_DOT] = ACTIONS(2742),
    [anon_sym_QMARK] = ACTIONS(3039),
    [anon_sym_QMARK2] = ACTIONS(3037),
    [anon_sym_AMP] = ACTIONS(3037),
    [aux_sym_custom_operator_token1] = ACTIONS(3037),
    [anon_sym_LT] = ACTIONS(3039),
    [anon_sym_GT] = ACTIONS(3039),
    [anon_sym_LBRACE] = ACTIONS(3037),
    [anon_sym_CARET_LBRACE] = ACTIONS(3037),
    [anon_sym_RBRACE] = ACTIONS(3037),
    [anon_sym_case] = ACTIONS(3037),
    [anon_sym_PLUS_EQ] = ACTIONS(3037),
    [anon_sym_DASH_EQ] = ACTIONS(3037),
    [anon_sym_STAR_EQ] = ACTIONS(3037),
    [anon_sym_SLASH_EQ] = ACTIONS(3037),
    [anon_sym_PERCENT_EQ] = ACTIONS(3037),
    [anon_sym_BANG_EQ] = ACTIONS(3039),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3037),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3037),
    [anon_sym_LT_EQ] = ACTIONS(3037),
    [anon_sym_GT_EQ] = ACTIONS(3037),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3037),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3037),
    [anon_sym_is] = ACTIONS(3037),
    [anon_sym_PLUS] = ACTIONS(3039),
    [anon_sym_DASH] = ACTIONS(3039),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_SLASH] = ACTIONS(3039),
    [anon_sym_PERCENT] = ACTIONS(3039),
    [anon_sym_PLUS_PLUS] = ACTIONS(3037),
    [anon_sym_DASH_DASH] = ACTIONS(3037),
    [anon_sym_PIPE] = ACTIONS(3037),
    [anon_sym_CARET] = ACTIONS(3039),
    [anon_sym_LT_LT] = ACTIONS(3037),
    [anon_sym_GT_GT] = ACTIONS(3037),
    [anon_sym_import] = ACTIONS(3037),
    [anon_sym_typealias] = ACTIONS(3037),
    [anon_sym_struct] = ACTIONS(3037),
    [anon_sym_class] = ACTIONS(3037),
    [anon_sym_enum] = ACTIONS(3037),
    [anon_sym_protocol] = ACTIONS(3037),
    [anon_sym_let] = ACTIONS(3037),
    [anon_sym_var] = ACTIONS(3037),
    [anon_sym_func] = ACTIONS(3037),
    [anon_sym_extension] = ACTIONS(3037),
    [anon_sym_indirect] = ACTIONS(3037),
    [anon_sym_BANG2] = ACTIONS(3039),
    [anon_sym_SEMI] = ACTIONS(3037),
    [anon_sym_init] = ACTIONS(3037),
    [anon_sym_deinit] = ACTIONS(3037),
    [anon_sym_subscript] = ACTIONS(3037),
    [anon_sym_prefix] = ACTIONS(3037),
    [anon_sym_infix] = ACTIONS(3037),
    [anon_sym_postfix] = ACTIONS(3037),
    [anon_sym_precedencegroup] = ACTIONS(3037),
    [anon_sym_associatedtype] = ACTIONS(3037),
    [anon_sym_AT] = ACTIONS(3039),
    [anon_sym_override] = ACTIONS(3037),
    [anon_sym_convenience] = ACTIONS(3037),
    [anon_sym_required] = ACTIONS(3037),
    [anon_sym_nonisolated] = ACTIONS(3037),
    [anon_sym_public] = ACTIONS(3037),
    [anon_sym_private] = ACTIONS(3037),
    [anon_sym_internal] = ACTIONS(3037),
    [anon_sym_fileprivate] = ACTIONS(3037),
    [anon_sym_open] = ACTIONS(3037),
    [anon_sym_mutating] = ACTIONS(3037),
    [anon_sym_nonmutating] = ACTIONS(3037),
    [anon_sym_static] = ACTIONS(3037),
    [anon_sym_dynamic] = ACTIONS(3037),
    [anon_sym_optional] = ACTIONS(3037),
    [anon_sym_distributed] = ACTIONS(3037),
    [anon_sym_final] = ACTIONS(3037),
    [anon_sym_inout] = ACTIONS(3037),
    [anon_sym_ATescaping] = ACTIONS(3037),
    [anon_sym_ATautoclosure] = ACTIONS(3037),
    [anon_sym_weak] = ACTIONS(3037),
    [anon_sym_unowned] = ACTIONS(3039),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3037),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3037),
    [anon_sym_borrowing] = ACTIONS(3037),
    [anon_sym_consuming] = ACTIONS(3037),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3037),
    [sym__conjunction_operator_custom] = ACTIONS(3037),
    [sym__disjunction_operator_custom] = ACTIONS(3037),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3037),
    [sym__eq_custom] = ACTIONS(3037),
    [sym__eq_eq_custom] = ACTIONS(3037),
    [sym__plus_then_ws] = ACTIONS(3037),
    [sym__minus_then_ws] = ACTIONS(3037),
    [sym__bang_custom] = ACTIONS(3037),
    [sym__as_custom] = ACTIONS(3037),
    [sym__as_quest_custom] = ACTIONS(3037),
    [sym__as_bang_custom] = ACTIONS(3037),
    [sym__custom_operator] = ACTIONS(3037),
  },
  [730] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(3041),
    [anon_sym_async] = ACTIONS(3041),
    [anon_sym_lazy] = ACTIONS(3041),
    [anon_sym_package] = ACTIONS(3041),
    [anon_sym_RPAREN] = ACTIONS(3041),
    [anon_sym_COMMA] = ACTIONS(3041),
    [anon_sym_COLON] = ACTIONS(3041),
    [anon_sym_LPAREN] = ACTIONS(3041),
    [anon_sym_LBRACK] = ACTIONS(3041),
    [anon_sym_RBRACK] = ACTIONS(3041),
    [anon_sym_DOT] = ACTIONS(3043),
    [anon_sym_QMARK] = ACTIONS(3043),
    [anon_sym_QMARK2] = ACTIONS(3041),
    [anon_sym_AMP] = ACTIONS(3041),
    [aux_sym_custom_operator_token1] = ACTIONS(3041),
    [anon_sym_LT] = ACTIONS(3043),
    [anon_sym_GT] = ACTIONS(3043),
    [anon_sym_LBRACE] = ACTIONS(3041),
    [anon_sym_CARET_LBRACE] = ACTIONS(3041),
    [anon_sym_RBRACE] = ACTIONS(3041),
    [anon_sym_self] = ACTIONS(3041),
    [anon_sym_case] = ACTIONS(3041),
    [anon_sym_PLUS_EQ] = ACTIONS(3041),
    [anon_sym_DASH_EQ] = ACTIONS(3041),
    [anon_sym_STAR_EQ] = ACTIONS(3041),
    [anon_sym_SLASH_EQ] = ACTIONS(3041),
    [anon_sym_PERCENT_EQ] = ACTIONS(3041),
    [anon_sym_BANG_EQ] = ACTIONS(3043),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3041),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3041),
    [anon_sym_LT_EQ] = ACTIONS(3041),
    [anon_sym_GT_EQ] = ACTIONS(3041),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3041),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3041),
    [anon_sym_is] = ACTIONS(3041),
    [anon_sym_PLUS] = ACTIONS(3043),
    [anon_sym_DASH] = ACTIONS(3043),
    [anon_sym_STAR] = ACTIONS(3043),
    [anon_sym_SLASH] = ACTIONS(3043),
    [anon_sym_PERCENT] = ACTIONS(3043),
    [anon_sym_PLUS_PLUS] = ACTIONS(3041),
    [anon_sym_DASH_DASH] = ACTIONS(3041),
    [anon_sym_PIPE] = ACTIONS(3041),
    [anon_sym_CARET] = ACTIONS(3043),
    [anon_sym_LT_LT] = ACTIONS(3041),
    [anon_sym_GT_GT] = ACTIONS(3041),
    [anon_sym_import] = ACTIONS(3041),
    [anon_sym_typealias] = ACTIONS(3041),
    [anon_sym_struct] = ACTIONS(3041),
    [anon_sym_class] = ACTIONS(3041),
    [anon_sym_enum] = ACTIONS(3041),
    [anon_sym_protocol] = ACTIONS(3041),
    [anon_sym_let] = ACTIONS(3041),
    [anon_sym_var] = ACTIONS(3041),
    [anon_sym_func] = ACTIONS(3041),
    [anon_sym_extension] = ACTIONS(3041),
    [anon_sym_indirect] = ACTIONS(3041),
    [anon_sym_BANG2] = ACTIONS(3043),
    [anon_sym_SEMI] = ACTIONS(3041),
    [anon_sym_init] = ACTIONS(3041),
    [anon_sym_deinit] = ACTIONS(3041),
    [anon_sym_subscript] = ACTIONS(3041),
    [anon_sym_prefix] = ACTIONS(3041),
    [anon_sym_infix] = ACTIONS(3041),
    [anon_sym_postfix] = ACTIONS(3041),
    [anon_sym_precedencegroup] = ACTIONS(3041),
    [anon_sym_associatedtype] = ACTIONS(3041),
    [anon_sym_AT] = ACTIONS(3043),
    [anon_sym_override] = ACTIONS(3041),
    [anon_sym_convenience] = ACTIONS(3041),
    [anon_sym_required] = ACTIONS(3041),
    [anon_sym_nonisolated] = ACTIONS(3041),
    [anon_sym_public] = ACTIONS(3041),
    [anon_sym_private] = ACTIONS(3041),
    [anon_sym_internal] = ACTIONS(3041),
    [anon_sym_fileprivate] = ACTIONS(3041),
    [anon_sym_open] = ACTIONS(3041),
    [anon_sym_mutating] = ACTIONS(3041),
    [anon_sym_nonmutating] = ACTIONS(3041),
    [anon_sym_static] = ACTIONS(3041),
    [anon_sym_dynamic] = ACTIONS(3041),
    [anon_sym_optional] = ACTIONS(3041),
    [anon_sym_distributed] = ACTIONS(3041),
    [anon_sym_final] = ACTIONS(3041),
    [anon_sym_inout] = ACTIONS(3041),
    [anon_sym_ATescaping] = ACTIONS(3041),
    [anon_sym_ATautoclosure] = ACTIONS(3041),
    [anon_sym_weak] = ACTIONS(3041),
    [anon_sym_unowned] = ACTIONS(3043),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3041),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3041),
    [anon_sym_borrowing] = ACTIONS(3041),
    [anon_sym_consuming] = ACTIONS(3041),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3041),
    [sym__conjunction_operator_custom] = ACTIONS(3041),
    [sym__disjunction_operator_custom] = ACTIONS(3041),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3041),
    [sym__eq_custom] = ACTIONS(3041),
    [sym__eq_eq_custom] = ACTIONS(3041),
    [sym__plus_then_ws] = ACTIONS(3041),
    [sym__minus_then_ws] = ACTIONS(3041),
    [sym__bang_custom] = ACTIONS(3041),
    [sym__as_custom] = ACTIONS(3041),
    [sym__as_quest_custom] = ACTIONS(3041),
    [sym__as_bang_custom] = ACTIONS(3041),
    [sym__custom_operator] = ACTIONS(3041),
  },
  [731] = {
    [aux_sym_key_path_expression_repeat1] = STATE(733),
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(3037),
    [anon_sym_async] = ACTIONS(3037),
    [anon_sym_lazy] = ACTIONS(3037),
    [anon_sym_package] = ACTIONS(3037),
    [anon_sym_RPAREN] = ACTIONS(3037),
    [anon_sym_COMMA] = ACTIONS(3037),
    [anon_sym_COLON] = ACTIONS(3037),
    [anon_sym_LPAREN] = ACTIONS(3037),
    [anon_sym_LBRACK] = ACTIONS(3037),
    [anon_sym_RBRACK] = ACTIONS(3037),
    [anon_sym_DOT] = ACTIONS(2742),
    [anon_sym_QMARK] = ACTIONS(3039),
    [anon_sym_QMARK2] = ACTIONS(3037),
    [anon_sym_AMP] = ACTIONS(3037),
    [aux_sym_custom_operator_token1] = ACTIONS(3037),
    [anon_sym_LT] = ACTIONS(3039),
    [anon_sym_GT] = ACTIONS(3039),
    [anon_sym_LBRACE] = ACTIONS(3037),
    [anon_sym_CARET_LBRACE] = ACTIONS(3037),
    [anon_sym_RBRACE] = ACTIONS(3037),
    [anon_sym_case] = ACTIONS(3037),
    [anon_sym_PLUS_EQ] = ACTIONS(3037),
    [anon_sym_DASH_EQ] = ACTIONS(3037),
    [anon_sym_STAR_EQ] = ACTIONS(3037),
    [anon_sym_SLASH_EQ] = ACTIONS(3037),
    [anon_sym_PERCENT_EQ] = ACTIONS(3037),
    [anon_sym_BANG_EQ] = ACTIONS(3039),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3037),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3037),
    [anon_sym_LT_EQ] = ACTIONS(3037),
    [anon_sym_GT_EQ] = ACTIONS(3037),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3037),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3037),
    [anon_sym_is] = ACTIONS(3037),
    [anon_sym_PLUS] = ACTIONS(3039),
    [anon_sym_DASH] = ACTIONS(3039),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_SLASH] = ACTIONS(3039),
    [anon_sym_PERCENT] = ACTIONS(3039),
    [anon_sym_PLUS_PLUS] = ACTIONS(3037),
    [anon_sym_DASH_DASH] = ACTIONS(3037),
    [anon_sym_PIPE] = ACTIONS(3037),
    [anon_sym_CARET] = ACTIONS(3039),
    [anon_sym_LT_LT] = ACTIONS(3037),
    [anon_sym_GT_GT] = ACTIONS(3037),
    [anon_sym_import] = ACTIONS(3037),
    [anon_sym_typealias] = ACTIONS(3037),
    [anon_sym_struct] = ACTIONS(3037),
    [anon_sym_class] = ACTIONS(3037),
    [anon_sym_enum] = ACTIONS(3037),
    [anon_sym_protocol] = ACTIONS(3037),
    [anon_sym_let] = ACTIONS(3037),
    [anon_sym_var] = ACTIONS(3037),
    [anon_sym_func] = ACTIONS(3037),
    [anon_sym_extension] = ACTIONS(3037),
    [anon_sym_indirect] = ACTIONS(3037),
    [anon_sym_BANG2] = ACTIONS(3039),
    [anon_sym_SEMI] = ACTIONS(3037),
    [anon_sym_init] = ACTIONS(3037),
    [anon_sym_deinit] = ACTIONS(3037),
    [anon_sym_subscript] = ACTIONS(3037),
    [anon_sym_prefix] = ACTIONS(3037),
    [anon_sym_infix] = ACTIONS(3037),
    [anon_sym_postfix] = ACTIONS(3037),
    [anon_sym_precedencegroup] = ACTIONS(3037),
    [anon_sym_associatedtype] = ACTIONS(3037),
    [anon_sym_AT] = ACTIONS(3039),
    [anon_sym_override] = ACTIONS(3037),
    [anon_sym_convenience] = ACTIONS(3037),
    [anon_sym_required] = ACTIONS(3037),
    [anon_sym_nonisolated] = ACTIONS(3037),
    [anon_sym_public] = ACTIONS(3037),
    [anon_sym_private] = ACTIONS(3037),
    [anon_sym_internal] = ACTIONS(3037),
    [anon_sym_fileprivate] = ACTIONS(3037),
    [anon_sym_open] = ACTIONS(3037),
    [anon_sym_mutating] = ACTIONS(3037),
    [anon_sym_nonmutating] = ACTIONS(3037),
    [anon_sym_static] = ACTIONS(3037),
    [anon_sym_dynamic] = ACTIONS(3037),
    [anon_sym_optional] = ACTIONS(3037),
    [anon_sym_distributed] = ACTIONS(3037),
    [anon_sym_final] = ACTIONS(3037),
    [anon_sym_inout] = ACTIONS(3037),
    [anon_sym_ATescaping] = ACTIONS(3037),
    [anon_sym_ATautoclosure] = ACTIONS(3037),
    [anon_sym_weak] = ACTIONS(3037),
    [anon_sym_unowned] = ACTIONS(3039),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3037),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3037),
    [anon_sym_borrowing] = ACTIONS(3037),
    [anon_sym_consuming] = ACTIONS(3037),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3037),
    [sym__conjunction_operator_custom] = ACTIONS(3037),
    [sym__disjunction_operator_custom] = ACTIONS(3037),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3037),
    [sym__eq_custom] = ACTIONS(3037),
    [sym__eq_eq_custom] = ACTIONS(3037),
    [sym__plus_then_ws] = ACTIONS(3037),
    [sym__minus_then_ws] = ACTIONS(3037),
    [sym__bang_custom] = ACTIONS(3037),
    [sym__as_custom] = ACTIONS(3037),
    [sym__as_quest_custom] = ACTIONS(3037),
    [sym__as_bang_custom] = ACTIONS(3037),
    [sym__custom_operator] = ACTIONS(3037),
  },
  [732] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(3045),
    [anon_sym_async] = ACTIONS(3045),
    [anon_sym_lazy] = ACTIONS(3045),
    [anon_sym_package] = ACTIONS(3045),
    [anon_sym_RPAREN] = ACTIONS(3045),
    [anon_sym_COMMA] = ACTIONS(3045),
    [anon_sym_COLON] = ACTIONS(3045),
    [anon_sym_LPAREN] = ACTIONS(3045),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [anon_sym_RBRACK] = ACTIONS(3045),
    [anon_sym_DOT] = ACTIONS(3047),
    [anon_sym_QMARK] = ACTIONS(3047),
    [anon_sym_QMARK2] = ACTIONS(3045),
    [anon_sym_AMP] = ACTIONS(3045),
    [aux_sym_custom_operator_token1] = ACTIONS(3045),
    [anon_sym_LT] = ACTIONS(3047),
    [anon_sym_GT] = ACTIONS(3047),
    [anon_sym_LBRACE] = ACTIONS(3045),
    [anon_sym_CARET_LBRACE] = ACTIONS(3045),
    [anon_sym_RBRACE] = ACTIONS(3045),
    [anon_sym_self] = ACTIONS(3045),
    [anon_sym_case] = ACTIONS(3045),
    [anon_sym_PLUS_EQ] = ACTIONS(3045),
    [anon_sym_DASH_EQ] = ACTIONS(3045),
    [anon_sym_STAR_EQ] = ACTIONS(3045),
    [anon_sym_SLASH_EQ] = ACTIONS(3045),
    [anon_sym_PERCENT_EQ] = ACTIONS(3045),
    [anon_sym_BANG_EQ] = ACTIONS(3047),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3045),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3045),
    [anon_sym_LT_EQ] = ACTIONS(3045),
    [anon_sym_GT_EQ] = ACTIONS(3045),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3045),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3045),
    [anon_sym_is] = ACTIONS(3045),
    [anon_sym_PLUS] = ACTIONS(3047),
    [anon_sym_DASH] = ACTIONS(3047),
    [anon_sym_STAR] = ACTIONS(3047),
    [anon_sym_SLASH] = ACTIONS(3047),
    [anon_sym_PERCENT] = ACTIONS(3047),
    [anon_sym_PLUS_PLUS] = ACTIONS(3045),
    [anon_sym_DASH_DASH] = ACTIONS(3045),
    [anon_sym_PIPE] = ACTIONS(3045),
    [anon_sym_CARET] = ACTIONS(3047),
    [anon_sym_LT_LT] = ACTIONS(3045),
    [anon_sym_GT_GT] = ACTIONS(3045),
    [anon_sym_import] = ACTIONS(3045),
    [anon_sym_typealias] = ACTIONS(3045),
    [anon_sym_struct] = ACTIONS(3045),
    [anon_sym_class] = ACTIONS(3045),
    [anon_sym_enum] = ACTIONS(3045),
    [anon_sym_protocol] = ACTIONS(3045),
    [anon_sym_let] = ACTIONS(3045),
    [anon_sym_var] = ACTIONS(3045),
    [anon_sym_func] = ACTIONS(3045),
    [anon_sym_extension] = ACTIONS(3045),
    [anon_sym_indirect] = ACTIONS(3045),
    [anon_sym_BANG2] = ACTIONS(3047),
    [anon_sym_SEMI] = ACTIONS(3045),
    [anon_sym_init] = ACTIONS(3045),
    [anon_sym_deinit] = ACTIONS(3045),
    [anon_sym_subscript] = ACTIONS(3045),
    [anon_sym_prefix] = ACTIONS(3045),
    [anon_sym_infix] = ACTIONS(3045),
    [anon_sym_postfix] = ACTIONS(3045),
    [anon_sym_precedencegroup] = ACTIONS(3045),
    [anon_sym_associatedtype] = ACTIONS(3045),
    [anon_sym_AT] = ACTIONS(3047),
    [anon_sym_override] = ACTIONS(3045),
    [anon_sym_convenience] = ACTIONS(3045),
    [anon_sym_required] = ACTIONS(3045),
    [anon_sym_nonisolated] = ACTIONS(3045),
    [anon_sym_public] = ACTIONS(3045),
    [anon_sym_private] = ACTIONS(3045),
    [anon_sym_internal] = ACTIONS(3045),
    [anon_sym_fileprivate] = ACTIONS(3045),
    [anon_sym_open] = ACTIONS(3045),
    [anon_sym_mutating] = ACTIONS(3045),
    [anon_sym_nonmutating] = ACTIONS(3045),
    [anon_sym_static] = ACTIONS(3045),
    [anon_sym_dynamic] = ACTIONS(3045),
    [anon_sym_optional] = ACTIONS(3045),
    [anon_sym_distributed] = ACTIONS(3045),
    [anon_sym_final] = ACTIONS(3045),
    [anon_sym_inout] = ACTIONS(3045),
    [anon_sym_ATescaping] = ACTIONS(3045),
    [anon_sym_ATautoclosure] = ACTIONS(3045),
    [anon_sym_weak] = ACTIONS(3045),
    [anon_sym_unowned] = ACTIONS(3047),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3045),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3045),
    [anon_sym_borrowing] = ACTIONS(3045),
    [anon_sym_consuming] = ACTIONS(3045),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3045),
    [sym__conjunction_operator_custom] = ACTIONS(3045),
    [sym__disjunction_operator_custom] = ACTIONS(3045),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3045),
    [sym__eq_custom] = ACTIONS(3045),
    [sym__eq_eq_custom] = ACTIONS(3045),
    [sym__plus_then_ws] = ACTIONS(3045),
    [sym__minus_then_ws] = ACTIONS(3045),
    [sym__bang_custom] = ACTIONS(3045),
    [sym__as_custom] = ACTIONS(3045),
    [sym__as_quest_custom] = ACTIONS(3045),
    [sym__as_bang_custom] = ACTIONS(3045),
    [sym__custom_operator] = ACTIONS(3045),
  },
  [733] = {
    [aux_sym_key_path_expression_repeat1] = STATE(735),
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(3049),
    [anon_sym_async] = ACTIONS(3049),
    [anon_sym_lazy] = ACTIONS(3049),
    [anon_sym_package] = ACTIONS(3049),
    [anon_sym_RPAREN] = ACTIONS(3049),
    [anon_sym_COMMA] = ACTIONS(3049),
    [anon_sym_COLON] = ACTIONS(3049),
    [anon_sym_LPAREN] = ACTIONS(3049),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_RBRACK] = ACTIONS(3049),
    [anon_sym_DOT] = ACTIONS(2742),
    [anon_sym_QMARK] = ACTIONS(3051),
    [anon_sym_QMARK2] = ACTIONS(3049),
    [anon_sym_AMP] = ACTIONS(3049),
    [aux_sym_custom_operator_token1] = ACTIONS(3049),
    [anon_sym_LT] = ACTIONS(3051),
    [anon_sym_GT] = ACTIONS(3051),
    [anon_sym_LBRACE] = ACTIONS(3049),
    [anon_sym_CARET_LBRACE] = ACTIONS(3049),
    [anon_sym_RBRACE] = ACTIONS(3049),
    [anon_sym_case] = ACTIONS(3049),
    [anon_sym_PLUS_EQ] = ACTIONS(3049),
    [anon_sym_DASH_EQ] = ACTIONS(3049),
    [anon_sym_STAR_EQ] = ACTIONS(3049),
    [anon_sym_SLASH_EQ] = ACTIONS(3049),
    [anon_sym_PERCENT_EQ] = ACTIONS(3049),
    [anon_sym_BANG_EQ] = ACTIONS(3051),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3049),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3049),
    [anon_sym_LT_EQ] = ACTIONS(3049),
    [anon_sym_GT_EQ] = ACTIONS(3049),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3049),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3049),
    [anon_sym_is] = ACTIONS(3049),
    [anon_sym_PLUS] = ACTIONS(3051),
    [anon_sym_DASH] = ACTIONS(3051),
    [anon_sym_STAR] = ACTIONS(3051),
    [anon_sym_SLASH] = ACTIONS(3051),
    [anon_sym_PERCENT] = ACTIONS(3051),
    [anon_sym_PLUS_PLUS] = ACTIONS(3049),
    [anon_sym_DASH_DASH] = ACTIONS(3049),
    [anon_sym_PIPE] = ACTIONS(3049),
    [anon_sym_CARET] = ACTIONS(3051),
    [anon_sym_LT_LT] = ACTIONS(3049),
    [anon_sym_GT_GT] = ACTIONS(3049),
    [anon_sym_import] = ACTIONS(3049),
    [anon_sym_typealias] = ACTIONS(3049),
    [anon_sym_struct] = ACTIONS(3049),
    [anon_sym_class] = ACTIONS(3049),
    [anon_sym_enum] = ACTIONS(3049),
    [anon_sym_protocol] = ACTIONS(3049),
    [anon_sym_let] = ACTIONS(3049),
    [anon_sym_var] = ACTIONS(3049),
    [anon_sym_func] = ACTIONS(3049),
    [anon_sym_extension] = ACTIONS(3049),
    [anon_sym_indirect] = ACTIONS(3049),
    [anon_sym_BANG2] = ACTIONS(3051),
    [anon_sym_SEMI] = ACTIONS(3049),
    [anon_sym_init] = ACTIONS(3049),
    [anon_sym_deinit] = ACTIONS(3049),
    [anon_sym_subscript] = ACTIONS(3049),
    [anon_sym_prefix] = ACTIONS(3049),
    [anon_sym_infix] = ACTIONS(3049),
    [anon_sym_postfix] = ACTIONS(3049),
    [anon_sym_precedencegroup] = ACTIONS(3049),
    [anon_sym_associatedtype] = ACTIONS(3049),
    [anon_sym_AT] = ACTIONS(3051),
    [anon_sym_override] = ACTIONS(3049),
    [anon_sym_convenience] = ACTIONS(3049),
    [anon_sym_required] = ACTIONS(3049),
    [anon_sym_nonisolated] = ACTIONS(3049),
    [anon_sym_public] = ACTIONS(3049),
    [anon_sym_private] = ACTIONS(3049),
    [anon_sym_internal] = ACTIONS(3049),
    [anon_sym_fileprivate] = ACTIONS(3049),
    [anon_sym_open] = ACTIONS(3049),
    [anon_sym_mutating] = ACTIONS(3049),
    [anon_sym_nonmutating] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(3049),
    [anon_sym_dynamic] = ACTIONS(3049),
    [anon_sym_optional] = ACTIONS(3049),
    [anon_sym_distributed] = ACTIONS(3049),
    [anon_sym_final] = ACTIONS(3049),
    [anon_sym_inout] = ACTIONS(3049),
    [anon_sym_ATescaping] = ACTIONS(3049),
    [anon_sym_ATautoclosure] = ACTIONS(3049),
    [anon_sym_weak] = ACTIONS(3049),
    [anon_sym_unowned] = ACTIONS(3051),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3049),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3049),
    [anon_sym_borrowing] = ACTIONS(3049),
    [anon_sym_consuming] = ACTIONS(3049),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3049),
    [sym__conjunction_operator_custom] = ACTIONS(3049),
    [sym__disjunction_operator_custom] = ACTIONS(3049),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3049),
    [sym__eq_custom] = ACTIONS(3049),
    [sym__eq_eq_custom] = ACTIONS(3049),
    [sym__plus_then_ws] = ACTIONS(3049),
    [sym__minus_then_ws] = ACTIONS(3049),
    [sym__bang_custom] = ACTIONS(3049),
    [sym__as_custom] = ACTIONS(3049),
    [sym__as_quest_custom] = ACTIONS(3049),
    [sym__as_bang_custom] = ACTIONS(3049),
    [sym__custom_operator] = ACTIONS(3049),
  },
  [734] = {
    [sym_type_arguments] = STATE(744),
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(2882),
    [anon_sym_async] = ACTIONS(2882),
    [anon_sym_lazy] = ACTIONS(2882),
    [anon_sym_package] = ACTIONS(2882),
    [anon_sym_RPAREN] = ACTIONS(2882),
    [anon_sym_COMMA] = ACTIONS(2882),
    [anon_sym_COLON] = ACTIONS(2882),
    [anon_sym_LPAREN] = ACTIONS(2882),
    [anon_sym_LBRACK] = ACTIONS(2882),
    [anon_sym_RBRACK] = ACTIONS(2882),
    [anon_sym_DOT] = ACTIONS(2884),
    [anon_sym_QMARK] = ACTIONS(2884),
    [anon_sym_QMARK2] = ACTIONS(2882),
    [anon_sym_AMP] = ACTIONS(2882),
    [aux_sym_custom_operator_token1] = ACTIONS(2882),
    [anon_sym_LT] = ACTIONS(3053),
    [anon_sym_GT] = ACTIONS(2884),
    [anon_sym_LBRACE] = ACTIONS(2882),
    [anon_sym_CARET_LBRACE] = ACTIONS(2882),
    [anon_sym_RBRACE] = ACTIONS(2882),
    [anon_sym_case] = ACTIONS(2882),
    [anon_sym_PLUS_EQ] = ACTIONS(2882),
    [anon_sym_DASH_EQ] = ACTIONS(2882),
    [anon_sym_STAR_EQ] = ACTIONS(2882),
    [anon_sym_SLASH_EQ] = ACTIONS(2882),
    [anon_sym_PERCENT_EQ] = ACTIONS(2882),
    [anon_sym_BANG_EQ] = ACTIONS(2884),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2882),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2882),
    [anon_sym_LT_EQ] = ACTIONS(2882),
    [anon_sym_GT_EQ] = ACTIONS(2882),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2882),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2882),
    [anon_sym_is] = ACTIONS(2882),
    [anon_sym_PLUS] = ACTIONS(2884),
    [anon_sym_DASH] = ACTIONS(2884),
    [anon_sym_STAR] = ACTIONS(2884),
    [anon_sym_SLASH] = ACTIONS(2884),
    [anon_sym_PERCENT] = ACTIONS(2884),
    [anon_sym_PLUS_PLUS] = ACTIONS(2882),
    [anon_sym_DASH_DASH] = ACTIONS(2882),
    [anon_sym_PIPE] = ACTIONS(2882),
    [anon_sym_CARET] = ACTIONS(2884),
    [anon_sym_LT_LT] = ACTIONS(2882),
    [anon_sym_GT_GT] = ACTIONS(2882),
    [anon_sym_import] = ACTIONS(2882),
    [anon_sym_typealias] = ACTIONS(2882),
    [anon_sym_struct] = ACTIONS(2882),
    [anon_sym_class] = ACTIONS(2882),
    [anon_sym_enum] = ACTIONS(2882),
    [anon_sym_protocol] = ACTIONS(2882),
    [anon_sym_let] = ACTIONS(2882),
    [anon_sym_var] = ACTIONS(2882),
    [anon_sym_func] = ACTIONS(2882),
    [anon_sym_extension] = ACTIONS(2882),
    [anon_sym_indirect] = ACTIONS(2882),
    [anon_sym_BANG2] = ACTIONS(2884),
    [anon_sym_SEMI] = ACTIONS(2882),
    [anon_sym_init] = ACTIONS(2882),
    [anon_sym_deinit] = ACTIONS(2882),
    [anon_sym_subscript] = ACTIONS(2882),
    [anon_sym_prefix] = ACTIONS(2882),
    [anon_sym_infix] = ACTIONS(2882),
    [anon_sym_postfix] = ACTIONS(2882),
    [anon_sym_precedencegroup] = ACTIONS(2882),
    [anon_sym_associatedtype] = ACTIONS(2882),
    [anon_sym_AT] = ACTIONS(2884),
    [anon_sym_override] = ACTIONS(2882),
    [anon_sym_convenience] = ACTIONS(2882),
    [anon_sym_required] = ACTIONS(2882),
    [anon_sym_nonisolated] = ACTIONS(2882),
    [anon_sym_public] = ACTIONS(2882),
    [anon_sym_private] = ACTIONS(2882),
    [anon_sym_internal] = ACTIONS(2882),
    [anon_sym_fileprivate] = ACTIONS(2882),
    [anon_sym_open] = ACTIONS(2882),
    [anon_sym_mutating] = ACTIONS(2882),
    [anon_sym_nonmutating] = ACTIONS(2882),
    [anon_sym_static] = ACTIONS(2882),
    [anon_sym_dynamic] = ACTIONS(2882),
    [anon_sym_optional] = ACTIONS(2882),
    [anon_sym_distributed] = ACTIONS(2882),
    [anon_sym_final] = ACTIONS(2882),
    [anon_sym_inout] = ACTIONS(2882),
    [anon_sym_ATescaping] = ACTIONS(2882),
    [anon_sym_ATautoclosure] = ACTIONS(2882),
    [anon_sym_weak] = ACTIONS(2882),
    [anon_sym_unowned] = ACTIONS(2884),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2882),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2882),
    [anon_sym_borrowing] = ACTIONS(2882),
    [anon_sym_consuming] = ACTIONS(2882),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2882),
    [sym__conjunction_operator_custom] = ACTIONS(2882),
    [sym__disjunction_operator_custom] = ACTIONS(2882),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2882),
    [sym__eq_custom] = ACTIONS(2882),
    [sym__eq_eq_custom] = ACTIONS(2882),
    [sym__plus_then_ws] = ACTIONS(2882),
    [sym__minus_then_ws] = ACTIONS(2882),
    [sym__bang_custom] = ACTIONS(2882),
    [sym__as_custom] = ACTIONS(2882),
    [sym__as_quest_custom] = ACTIONS(2882),
    [sym__as_bang_custom] = ACTIONS(2882),
    [sym__custom_operator] = ACTIONS(2882),
  },
  [735] = {
    [aux_sym_key_path_expression_repeat1] = STATE(735),
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(3055),
    [anon_sym_async] = ACTIONS(3055),
    [anon_sym_lazy] = ACTIONS(3055),
    [anon_sym_package] = ACTIONS(3055),
    [anon_sym_RPAREN] = ACTIONS(3055),
    [anon_sym_COMMA] = ACTIONS(3055),
    [anon_sym_COLON] = ACTIONS(3055),
    [anon_sym_LPAREN] = ACTIONS(3055),
    [anon_sym_LBRACK] = ACTIONS(3055),
    [anon_sym_RBRACK] = ACTIONS(3055),
    [anon_sym_DOT] = ACTIONS(3057),
    [anon_sym_QMARK] = ACTIONS(3060),
    [anon_sym_QMARK2] = ACTIONS(3055),
    [anon_sym_AMP] = ACTIONS(3055),
    [aux_sym_custom_operator_token1] = ACTIONS(3055),
    [anon_sym_LT] = ACTIONS(3060),
    [anon_sym_GT] = ACTIONS(3060),
    [anon_sym_LBRACE] = ACTIONS(3055),
    [anon_sym_CARET_LBRACE] = ACTIONS(3055),
    [anon_sym_RBRACE] = ACTIONS(3055),
    [anon_sym_case] = ACTIONS(3055),
    [anon_sym_PLUS_EQ] = ACTIONS(3055),
    [anon_sym_DASH_EQ] = ACTIONS(3055),
    [anon_sym_STAR_EQ] = ACTIONS(3055),
    [anon_sym_SLASH_EQ] = ACTIONS(3055),
    [anon_sym_PERCENT_EQ] = ACTIONS(3055),
    [anon_sym_BANG_EQ] = ACTIONS(3060),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3055),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3055),
    [anon_sym_LT_EQ] = ACTIONS(3055),
    [anon_sym_GT_EQ] = ACTIONS(3055),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3055),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3055),
    [anon_sym_is] = ACTIONS(3055),
    [anon_sym_PLUS] = ACTIONS(3060),
    [anon_sym_DASH] = ACTIONS(3060),
    [anon_sym_STAR] = ACTIONS(3060),
    [anon_sym_SLASH] = ACTIONS(3060),
    [anon_sym_PERCENT] = ACTIONS(3060),
    [anon_sym_PLUS_PLUS] = ACTIONS(3055),
    [anon_sym_DASH_DASH] = ACTIONS(3055),
    [anon_sym_PIPE] = ACTIONS(3055),
    [anon_sym_CARET] = ACTIONS(3060),
    [anon_sym_LT_LT] = ACTIONS(3055),
    [anon_sym_GT_GT] = ACTIONS(3055),
    [anon_sym_import] = ACTIONS(3055),
    [anon_sym_typealias] = ACTIONS(3055),
    [anon_sym_struct] = ACTIONS(3055),
    [anon_sym_class] = ACTIONS(3055),
    [anon_sym_enum] = ACTIONS(3055),
    [anon_sym_protocol] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_var] = ACTIONS(3055),
    [anon_sym_func] = ACTIONS(3055),
    [anon_sym_extension] = ACTIONS(3055),
    [anon_sym_indirect] = ACTIONS(3055),
    [anon_sym_BANG2] = ACTIONS(3060),
    [anon_sym_SEMI] = ACTIONS(3055),
    [anon_sym_init] = ACTIONS(3055),
    [anon_sym_deinit] = ACTIONS(3055),
    [anon_sym_subscript] = ACTIONS(3055),
    [anon_sym_prefix] = ACTIONS(3055),
    [anon_sym_infix] = ACTIONS(3055),
    [anon_sym_postfix] = ACTIONS(3055),
    [anon_sym_precedencegroup] = ACTIONS(3055),
    [anon_sym_associatedtype] = ACTIONS(3055),
    [anon_sym_AT] = ACTIONS(3060),
    [anon_sym_override] = ACTIONS(3055),
    [anon_sym_convenience] = ACTIONS(3055),
    [anon_sym_required] = ACTIONS(3055),
    [anon_sym_nonisolated] = ACTIONS(3055),
    [anon_sym_public] = ACTIONS(3055),
    [anon_sym_private] = ACTIONS(3055),
    [anon_sym_internal] = ACTIONS(3055),
    [anon_sym_fileprivate] = ACTIONS(3055),
    [anon_sym_open] = ACTIONS(3055),
    [anon_sym_mutating] = ACTIONS(3055),
    [anon_sym_nonmutating] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(3055),
    [anon_sym_dynamic] = ACTIONS(3055),
    [anon_sym_optional] = ACTIONS(3055),
    [anon_sym_distributed] = ACTIONS(3055),
    [anon_sym_final] = ACTIONS(3055),
    [anon_sym_inout] = ACTIONS(3055),
    [anon_sym_ATescaping] = ACTIONS(3055),
    [anon_sym_ATautoclosure] = ACTIONS(3055),
    [anon_sym_weak] = ACTIONS(3055),
    [anon_sym_unowned] = ACTIONS(3060),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3055),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3055),
    [anon_sym_borrowing] = ACTIONS(3055),
    [anon_sym_consuming] = ACTIONS(3055),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3055),
    [sym__conjunction_operator_custom] = ACTIONS(3055),
    [sym__disjunction_operator_custom] = ACTIONS(3055),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3055),
    [sym__eq_custom] = ACTIONS(3055),
    [sym__eq_eq_custom] = ACTIONS(3055),
    [sym__plus_then_ws] = ACTIONS(3055),
    [sym__minus_then_ws] = ACTIONS(3055),
    [sym__bang_custom] = ACTIONS(3055),
    [sym__as_custom] = ACTIONS(3055),
    [sym__as_quest_custom] = ACTIONS(3055),
    [sym__as_bang_custom] = ACTIONS(3055),
    [sym__custom_operator] = ACTIONS(3055),
  },
  [736] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(3062),
    [anon_sym_async] = ACTIONS(3062),
    [anon_sym_lazy] = ACTIONS(3062),
    [anon_sym_package] = ACTIONS(3062),
    [anon_sym_RPAREN] = ACTIONS(3062),
    [anon_sym_COMMA] = ACTIONS(3062),
    [anon_sym_COLON] = ACTIONS(3062),
    [anon_sym_LPAREN] = ACTIONS(3062),
    [anon_sym_LBRACK] = ACTIONS(3062),
    [anon_sym_RBRACK] = ACTIONS(3062),
    [anon_sym_DOT] = ACTIONS(3064),
    [anon_sym_QMARK] = ACTIONS(3064),
    [anon_sym_QMARK2] = ACTIONS(3062),
    [anon_sym_AMP] = ACTIONS(3062),
    [aux_sym_custom_operator_token1] = ACTIONS(3062),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_GT] = ACTIONS(3064),
    [anon_sym_LBRACE] = ACTIONS(3062),
    [anon_sym_CARET_LBRACE] = ACTIONS(3062),
    [anon_sym_RBRACE] = ACTIONS(3062),
    [anon_sym_self] = ACTIONS(3062),
    [anon_sym_case] = ACTIONS(3062),
    [anon_sym_PLUS_EQ] = ACTIONS(3062),
    [anon_sym_DASH_EQ] = ACTIONS(3062),
    [anon_sym_STAR_EQ] = ACTIONS(3062),
    [anon_sym_SLASH_EQ] = ACTIONS(3062),
    [anon_sym_PERCENT_EQ] = ACTIONS(3062),
    [anon_sym_BANG_EQ] = ACTIONS(3064),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3062),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3062),
    [anon_sym_LT_EQ] = ACTIONS(3062),
    [anon_sym_GT_EQ] = ACTIONS(3062),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3062),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3062),
    [anon_sym_is] = ACTIONS(3062),
    [anon_sym_PLUS] = ACTIONS(3064),
    [anon_sym_DASH] = ACTIONS(3064),
    [anon_sym_STAR] = ACTIONS(3064),
    [anon_sym_SLASH] = ACTIONS(3064),
    [anon_sym_PERCENT] = ACTIONS(3064),
    [anon_sym_PLUS_PLUS] = ACTIONS(3062),
    [anon_sym_DASH_DASH] = ACTIONS(3062),
    [anon_sym_PIPE] = ACTIONS(3062),
    [anon_sym_CARET] = ACTIONS(3064),
    [anon_sym_LT_LT] = ACTIONS(3062),
    [anon_sym_GT_GT] = ACTIONS(3062),
    [anon_sym_import] = ACTIONS(3062),
    [anon_sym_typealias] = ACTIONS(3062),
    [anon_sym_struct] = ACTIONS(3062),
    [anon_sym_class] = ACTIONS(3062),
    [anon_sym_enum] = ACTIONS(3062),
    [anon_sym_protocol] = ACTIONS(3062),
    [anon_sym_let] = ACTIONS(3062),
    [anon_sym_var] = ACTIONS(3062),
    [anon_sym_func] = ACTIONS(3062),
    [anon_sym_extension] = ACTIONS(3062),
    [anon_sym_indirect] = ACTIONS(3062),
    [anon_sym_BANG2] = ACTIONS(3064),
    [anon_sym_SEMI] = ACTIONS(3062),
    [anon_sym_init] = ACTIONS(3062),
    [anon_sym_deinit] = ACTIONS(3062),
    [anon_sym_subscript] = ACTIONS(3062),
    [anon_sym_prefix] = ACTIONS(3062),
    [anon_sym_infix] = ACTIONS(3062),
    [anon_sym_postfix] = ACTIONS(3062),
    [anon_sym_precedencegroup] = ACTIONS(3062),
    [anon_sym_associatedtype] = ACTIONS(3062),
    [anon_sym_AT] = ACTIONS(3064),
    [anon_sym_override] = ACTIONS(3062),
    [anon_sym_convenience] = ACTIONS(3062),
    [anon_sym_required] = ACTIONS(3062),
    [anon_sym_nonisolated] = ACTIONS(3062),
    [anon_sym_public] = ACTIONS(3062),
    [anon_sym_private] = ACTIONS(3062),
    [anon_sym_internal] = ACTIONS(3062),
    [anon_sym_fileprivate] = ACTIONS(3062),
    [anon_sym_open] = ACTIONS(3062),
    [anon_sym_mutating] = ACTIONS(3062),
    [anon_sym_nonmutating] = ACTIONS(3062),
    [anon_sym_static] = ACTIONS(3062),
    [anon_sym_dynamic] = ACTIONS(3062),
    [anon_sym_optional] = ACTIONS(3062),
    [anon_sym_distributed] = ACTIONS(3062),
    [anon_sym_final] = ACTIONS(3062),
    [anon_sym_inout] = ACTIONS(3062),
    [anon_sym_ATescaping] = ACTIONS(3062),
    [anon_sym_ATautoclosure] = ACTIONS(3062),
    [anon_sym_weak] = ACTIONS(3062),
    [anon_sym_unowned] = ACTIONS(3064),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3062),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3062),
    [anon_sym_borrowing] = ACTIONS(3062),
    [anon_sym_consuming] = ACTIONS(3062),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3062),
    [sym__conjunction_operator_custom] = ACTIONS(3062),
    [sym__disjunction_operator_custom] = ACTIONS(3062),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3062),
    [sym__eq_custom] = ACTIONS(3062),
    [sym__eq_eq_custom] = ACTIONS(3062),
    [sym__plus_then_ws] = ACTIONS(3062),
    [sym__minus_then_ws] = ACTIONS(3062),
    [sym__bang_custom] = ACTIONS(3062),
    [sym__as_custom] = ACTIONS(3062),
    [sym__as_quest_custom] = ACTIONS(3062),
    [sym__as_bang_custom] = ACTIONS(3062),
    [sym__custom_operator] = ACTIONS(3062),
  },
  [737] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(2471),
    [anon_sym_async] = ACTIONS(2471),
    [anon_sym_lazy] = ACTIONS(2471),
    [anon_sym_package] = ACTIONS(2471),
    [anon_sym_RPAREN] = ACTIONS(2471),
    [anon_sym_COMMA] = ACTIONS(2471),
    [anon_sym_COLON] = ACTIONS(2471),
    [anon_sym_LPAREN] = ACTIONS(2471),
    [anon_sym_LBRACK] = ACTIONS(2471),
    [anon_sym_RBRACK] = ACTIONS(2471),
    [anon_sym_DOT] = ACTIONS(2469),
    [anon_sym_QMARK] = ACTIONS(2469),
    [anon_sym_QMARK2] = ACTIONS(2471),
    [anon_sym_AMP] = ACTIONS(2471),
    [aux_sym_custom_operator_token1] = ACTIONS(2471),
    [anon_sym_LT] = ACTIONS(2469),
    [anon_sym_GT] = ACTIONS(2469),
    [anon_sym_LBRACE] = ACTIONS(2471),
    [anon_sym_CARET_LBRACE] = ACTIONS(2471),
    [anon_sym_RBRACE] = ACTIONS(2471),
    [anon_sym_self] = ACTIONS(2471),
    [anon_sym_case] = ACTIONS(2471),
    [anon_sym_PLUS_EQ] = ACTIONS(2471),
    [anon_sym_DASH_EQ] = ACTIONS(2471),
    [anon_sym_STAR_EQ] = ACTIONS(2471),
    [anon_sym_SLASH_EQ] = ACTIONS(2471),
    [anon_sym_PERCENT_EQ] = ACTIONS(2471),
    [anon_sym_BANG_EQ] = ACTIONS(2469),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2471),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2471),
    [anon_sym_LT_EQ] = ACTIONS(2471),
    [anon_sym_GT_EQ] = ACTIONS(2471),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2471),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2471),
    [anon_sym_is] = ACTIONS(2471),
    [anon_sym_PLUS] = ACTIONS(2469),
    [anon_sym_DASH] = ACTIONS(2469),
    [anon_sym_STAR] = ACTIONS(2469),
    [anon_sym_SLASH] = ACTIONS(2469),
    [anon_sym_PERCENT] = ACTIONS(2469),
    [anon_sym_PLUS_PLUS] = ACTIONS(2471),
    [anon_sym_DASH_DASH] = ACTIONS(2471),
    [anon_sym_PIPE] = ACTIONS(2471),
    [anon_sym_CARET] = ACTIONS(2469),
    [anon_sym_LT_LT] = ACTIONS(2471),
    [anon_sym_GT_GT] = ACTIONS(2471),
    [anon_sym_import] = ACTIONS(2471),
    [anon_sym_typealias] = ACTIONS(2471),
    [anon_sym_struct] = ACTIONS(2471),
    [anon_sym_class] = ACTIONS(2471),
    [anon_sym_enum] = ACTIONS(2471),
    [anon_sym_protocol] = ACTIONS(2471),
    [anon_sym_let] = ACTIONS(2471),
    [anon_sym_var] = ACTIONS(2471),
    [anon_sym_func] = ACTIONS(2471),
    [anon_sym_extension] = ACTIONS(2471),
    [anon_sym_indirect] = ACTIONS(2471),
    [anon_sym_BANG2] = ACTIONS(2469),
    [anon_sym_SEMI] = ACTIONS(2471),
    [anon_sym_init] = ACTIONS(2471),
    [anon_sym_deinit] = ACTIONS(2471),
    [anon_sym_subscript] = ACTIONS(2471),
    [anon_sym_prefix] = ACTIONS(2471),
    [anon_sym_infix] = ACTIONS(2471),
    [anon_sym_postfix] = ACTIONS(2471),
    [anon_sym_precedencegroup] = ACTIONS(2471),
    [anon_sym_associatedtype] = ACTIONS(2471),
    [anon_sym_AT] = ACTIONS(2469),
    [anon_sym_override] = ACTIONS(2471),
    [anon_sym_convenience] = ACTIONS(2471),
    [anon_sym_required] = ACTIONS(2471),
    [anon_sym_nonisolated] = ACTIONS(2471),
    [anon_sym_public] = ACTIONS(2471),
    [anon_sym_private] = ACTIONS(2471),
    [anon_sym_internal] = ACTIONS(2471),
    [anon_sym_fileprivate] = ACTIONS(2471),
    [anon_sym_open] = ACTIONS(2471),
    [anon_sym_mutating] = ACTIONS(2471),
    [anon_sym_nonmutating] = ACTIONS(2471),
    [anon_sym_static] = ACTIONS(2471),
    [anon_sym_dynamic] = ACTIONS(2471),
    [anon_sym_optional] = ACTIONS(2471),
    [anon_sym_distributed] = ACTIONS(2471),
    [anon_sym_final] = ACTIONS(2471),
    [anon_sym_inout] = ACTIONS(2471),
    [anon_sym_ATescaping] = ACTIONS(2471),
    [anon_sym_ATautoclosure] = ACTIONS(2471),
    [anon_sym_weak] = ACTIONS(2471),
    [anon_sym_unowned] = ACTIONS(2469),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2471),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2471),
    [anon_sym_borrowing] = ACTIONS(2471),
    [anon_sym_consuming] = ACTIONS(2471),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2471),
    [sym__conjunction_operator_custom] = ACTIONS(2471),
    [sym__disjunction_operator_custom] = ACTIONS(2471),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2471),
    [sym__eq_custom] = ACTIONS(2471),
    [sym__eq_eq_custom] = ACTIONS(2471),
    [sym__plus_then_ws] = ACTIONS(2471),
    [sym__minus_then_ws] = ACTIONS(2471),
    [sym__bang_custom] = ACTIONS(2471),
    [sym__as_custom] = ACTIONS(2471),
    [sym__as_quest_custom] = ACTIONS(2471),
    [sym__as_bang_custom] = ACTIONS(2471),
    [sym__custom_operator] = ACTIONS(2471),
  },
  [738] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(2910),
    [anon_sym_async] = ACTIONS(2910),
    [anon_sym_lazy] = ACTIONS(2910),
    [anon_sym_package] = ACTIONS(2910),
    [anon_sym_RPAREN] = ACTIONS(2910),
    [anon_sym_COMMA] = ACTIONS(2910),
    [anon_sym_COLON] = ACTIONS(2910),
    [anon_sym_LPAREN] = ACTIONS(2910),
    [anon_sym_LBRACK] = ACTIONS(2910),
    [anon_sym_RBRACK] = ACTIONS(2910),
    [anon_sym_DOT] = ACTIONS(2912),
    [anon_sym_QMARK] = ACTIONS(2912),
    [anon_sym_QMARK2] = ACTIONS(2910),
    [anon_sym_AMP] = ACTIONS(2910),
    [aux_sym_custom_operator_token1] = ACTIONS(2910),
    [anon_sym_LT] = ACTIONS(2912),
    [anon_sym_GT] = ACTIONS(2912),
    [anon_sym_LBRACE] = ACTIONS(2910),
    [anon_sym_CARET_LBRACE] = ACTIONS(2910),
    [anon_sym_RBRACE] = ACTIONS(2910),
    [anon_sym_case] = ACTIONS(2910),
    [anon_sym_PLUS_EQ] = ACTIONS(2910),
    [anon_sym_DASH_EQ] = ACTIONS(2910),
    [anon_sym_STAR_EQ] = ACTIONS(2910),
    [anon_sym_SLASH_EQ] = ACTIONS(2910),
    [anon_sym_PERCENT_EQ] = ACTIONS(2910),
    [anon_sym_BANG_EQ] = ACTIONS(2912),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2910),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2910),
    [anon_sym_LT_EQ] = ACTIONS(2910),
    [anon_sym_GT_EQ] = ACTIONS(2910),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2910),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2910),
    [anon_sym_is] = ACTIONS(2910),
    [anon_sym_PLUS] = ACTIONS(2912),
    [anon_sym_DASH] = ACTIONS(2912),
    [anon_sym_STAR] = ACTIONS(2912),
    [anon_sym_SLASH] = ACTIONS(2912),
    [anon_sym_PERCENT] = ACTIONS(2912),
    [anon_sym_PLUS_PLUS] = ACTIONS(2910),
    [anon_sym_DASH_DASH] = ACTIONS(2910),
    [anon_sym_PIPE] = ACTIONS(2910),
    [anon_sym_CARET] = ACTIONS(2912),
    [anon_sym_LT_LT] = ACTIONS(2910),
    [anon_sym_GT_GT] = ACTIONS(2910),
    [anon_sym_import] = ACTIONS(2910),
    [anon_sym_typealias] = ACTIONS(2910),
    [anon_sym_struct] = ACTIONS(2910),
    [anon_sym_class] = ACTIONS(2910),
    [anon_sym_enum] = ACTIONS(2910),
    [anon_sym_protocol] = ACTIONS(2910),
    [anon_sym_let] = ACTIONS(2910),
    [anon_sym_var] = ACTIONS(2910),
    [anon_sym_func] = ACTIONS(2910),
    [anon_sym_extension] = ACTIONS(2910),
    [anon_sym_indirect] = ACTIONS(2910),
    [anon_sym_BANG2] = ACTIONS(2912),
    [anon_sym_SEMI] = ACTIONS(2910),
    [anon_sym_init] = ACTIONS(2910),
    [anon_sym_deinit] = ACTIONS(2910),
    [anon_sym_subscript] = ACTIONS(2910),
    [anon_sym_prefix] = ACTIONS(2910),
    [anon_sym_infix] = ACTIONS(2910),
    [anon_sym_postfix] = ACTIONS(2910),
    [anon_sym_precedencegroup] = ACTIONS(2910),
    [anon_sym_associatedtype] = ACTIONS(2910),
    [anon_sym_AT] = ACTIONS(2912),
    [anon_sym_override] = ACTIONS(2910),
    [anon_sym_convenience] = ACTIONS(2910),
    [anon_sym_required] = ACTIONS(2910),
    [anon_sym_nonisolated] = ACTIONS(2910),
    [anon_sym_public] = ACTIONS(2910),
    [anon_sym_private] = ACTIONS(2910),
    [anon_sym_internal] = ACTIONS(2910),
    [anon_sym_fileprivate] = ACTIONS(2910),
    [anon_sym_open] = ACTIONS(2910),
    [anon_sym_mutating] = ACTIONS(2910),
    [anon_sym_nonmutating] = ACTIONS(2910),
    [anon_sym_static] = ACTIONS(2910),
    [anon_sym_dynamic] = ACTIONS(2910),
    [anon_sym_optional] = ACTIONS(2910),
    [anon_sym_distributed] = ACTIONS(2910),
    [anon_sym_final] = ACTIONS(2910),
    [anon_sym_inout] = ACTIONS(2910),
    [anon_sym_ATescaping] = ACTIONS(2910),
    [anon_sym_ATautoclosure] = ACTIONS(2910),
    [anon_sym_weak] = ACTIONS(2910),
    [anon_sym_unowned] = ACTIONS(2912),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2910),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2910),
    [anon_sym_borrowing] = ACTIONS(2910),
    [anon_sym_consuming] = ACTIONS(2910),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2910),
    [sym__conjunction_operator_custom] = ACTIONS(2910),
    [sym__disjunction_operator_custom] = ACTIONS(2910),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2910),
    [sym__eq_custom] = ACTIONS(2910),
    [sym__eq_eq_custom] = ACTIONS(2910),
    [sym__plus_then_ws] = ACTIONS(2910),
    [sym__minus_then_ws] = ACTIONS(2910),
    [sym__bang_custom] = ACTIONS(2910),
    [sym__as_custom] = ACTIONS(2910),
    [sym__as_quest_custom] = ACTIONS(2910),
    [sym__as_bang_custom] = ACTIONS(2910),
    [sym__custom_operator] = ACTIONS(2910),
  },
  [739] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(3066),
    [anon_sym_async] = ACTIONS(3066),
    [anon_sym_lazy] = ACTIONS(3066),
    [anon_sym_package] = ACTIONS(3066),
    [anon_sym_RPAREN] = ACTIONS(3066),
    [anon_sym_COMMA] = ACTIONS(3066),
    [anon_sym_COLON] = ACTIONS(3066),
    [anon_sym_LPAREN] = ACTIONS(3066),
    [anon_sym_LBRACK] = ACTIONS(3066),
    [anon_sym_RBRACK] = ACTIONS(3066),
    [anon_sym_QMARK] = ACTIONS(3068),
    [anon_sym_QMARK2] = ACTIONS(3066),
    [anon_sym_AMP] = ACTIONS(3066),
    [aux_sym_custom_operator_token1] = ACTIONS(3066),
    [anon_sym_LT] = ACTIONS(3068),
    [anon_sym_GT] = ACTIONS(3068),
    [anon_sym_LBRACE] = ACTIONS(3066),
    [anon_sym_CARET_LBRACE] = ACTIONS(3066),
    [anon_sym_RBRACE] = ACTIONS(3066),
    [anon_sym_case] = ACTIONS(3066),
    [anon_sym_PLUS_EQ] = ACTIONS(3066),
    [anon_sym_DASH_EQ] = ACTIONS(3066),
    [anon_sym_STAR_EQ] = ACTIONS(3066),
    [anon_sym_SLASH_EQ] = ACTIONS(3066),
    [anon_sym_PERCENT_EQ] = ACTIONS(3066),
    [anon_sym_BANG_EQ] = ACTIONS(3068),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3066),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3066),
    [anon_sym_LT_EQ] = ACTIONS(3066),
    [anon_sym_GT_EQ] = ACTIONS(3066),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3066),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3066),
    [anon_sym_is] = ACTIONS(3066),
    [anon_sym_PLUS] = ACTIONS(3068),
    [anon_sym_DASH] = ACTIONS(3068),
    [anon_sym_STAR] = ACTIONS(3068),
    [anon_sym_SLASH] = ACTIONS(3068),
    [anon_sym_PERCENT] = ACTIONS(3068),
    [anon_sym_PLUS_PLUS] = ACTIONS(3066),
    [anon_sym_DASH_DASH] = ACTIONS(3066),
    [anon_sym_PIPE] = ACTIONS(3066),
    [anon_sym_CARET] = ACTIONS(3068),
    [anon_sym_LT_LT] = ACTIONS(3066),
    [anon_sym_GT_GT] = ACTIONS(3066),
    [anon_sym_import] = ACTIONS(3066),
    [anon_sym_typealias] = ACTIONS(3066),
    [anon_sym_struct] = ACTIONS(3066),
    [anon_sym_class] = ACTIONS(3066),
    [anon_sym_enum] = ACTIONS(3066),
    [anon_sym_protocol] = ACTIONS(3066),
    [anon_sym_let] = ACTIONS(3066),
    [anon_sym_var] = ACTIONS(3066),
    [anon_sym_func] = ACTIONS(3066),
    [anon_sym_extension] = ACTIONS(3066),
    [anon_sym_indirect] = ACTIONS(3066),
    [anon_sym_BANG2] = ACTIONS(3068),
    [anon_sym_SEMI] = ACTIONS(3066),
    [anon_sym_init] = ACTIONS(3066),
    [anon_sym_deinit] = ACTIONS(3066),
    [anon_sym_subscript] = ACTIONS(3066),
    [anon_sym_prefix] = ACTIONS(3066),
    [anon_sym_infix] = ACTIONS(3066),
    [anon_sym_postfix] = ACTIONS(3066),
    [anon_sym_precedencegroup] = ACTIONS(3066),
    [anon_sym_associatedtype] = ACTIONS(3066),
    [anon_sym_AT] = ACTIONS(3068),
    [anon_sym_override] = ACTIONS(3066),
    [anon_sym_convenience] = ACTIONS(3066),
    [anon_sym_required] = ACTIONS(3066),
    [anon_sym_nonisolated] = ACTIONS(3066),
    [anon_sym_public] = ACTIONS(3066),
    [anon_sym_private] = ACTIONS(3066),
    [anon_sym_internal] = ACTIONS(3066),
    [anon_sym_fileprivate] = ACTIONS(3066),
    [anon_sym_open] = ACTIONS(3066),
    [anon_sym_mutating] = ACTIONS(3066),
    [anon_sym_nonmutating] = ACTIONS(3066),
    [anon_sym_static] = ACTIONS(3066),
    [anon_sym_dynamic] = ACTIONS(3066),
    [anon_sym_optional] = ACTIONS(3066),
    [anon_sym_distributed] = ACTIONS(3066),
    [anon_sym_final] = ACTIONS(3066),
    [anon_sym_inout] = ACTIONS(3066),
    [anon_sym_ATescaping] = ACTIONS(3066),
    [anon_sym_ATautoclosure] = ACTIONS(3066),
    [anon_sym_weak] = ACTIONS(3066),
    [anon_sym_unowned] = ACTIONS(3068),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3066),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3066),
    [anon_sym_borrowing] = ACTIONS(3066),
    [anon_sym_consuming] = ACTIONS(3066),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3066),
    [sym__conjunction_operator_custom] = ACTIONS(3066),
    [sym__disjunction_operator_custom] = ACTIONS(3066),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3066),
    [sym__eq_custom] = ACTIONS(3066),
    [sym__eq_eq_custom] = ACTIONS(3066),
    [sym__plus_then_ws] = ACTIONS(3066),
    [sym__minus_then_ws] = ACTIONS(3066),
    [sym__bang_custom] = ACTIONS(3066),
    [sym_else] = ACTIONS(3070),
    [sym__as_custom] = ACTIONS(3066),
    [sym__as_quest_custom] = ACTIONS(3066),
    [sym__as_bang_custom] = ACTIONS(3066),
    [sym__custom_operator] = ACTIONS(3066),
  },
  [740] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(2924),
    [anon_sym_async] = ACTIONS(2924),
    [anon_sym_lazy] = ACTIONS(2924),
    [anon_sym_package] = ACTIONS(2924),
    [anon_sym_RPAREN] = ACTIONS(2924),
    [anon_sym_COMMA] = ACTIONS(2924),
    [anon_sym_COLON] = ACTIONS(2924),
    [anon_sym_LPAREN] = ACTIONS(2924),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_RBRACK] = ACTIONS(2924),
    [anon_sym_DOT] = ACTIONS(2926),
    [anon_sym_QMARK] = ACTIONS(2926),
    [anon_sym_QMARK2] = ACTIONS(2924),
    [anon_sym_AMP] = ACTIONS(2924),
    [aux_sym_custom_operator_token1] = ACTIONS(2924),
    [anon_sym_LT] = ACTIONS(2926),
    [anon_sym_GT] = ACTIONS(2926),
    [anon_sym_LBRACE] = ACTIONS(2924),
    [anon_sym_CARET_LBRACE] = ACTIONS(2924),
    [anon_sym_RBRACE] = ACTIONS(2924),
    [anon_sym_case] = ACTIONS(2924),
    [anon_sym_PLUS_EQ] = ACTIONS(2924),
    [anon_sym_DASH_EQ] = ACTIONS(2924),
    [anon_sym_STAR_EQ] = ACTIONS(2924),
    [anon_sym_SLASH_EQ] = ACTIONS(2924),
    [anon_sym_PERCENT_EQ] = ACTIONS(2924),
    [anon_sym_BANG_EQ] = ACTIONS(2926),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2924),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2924),
    [anon_sym_LT_EQ] = ACTIONS(2924),
    [anon_sym_GT_EQ] = ACTIONS(2924),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2924),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2924),
    [anon_sym_is] = ACTIONS(2924),
    [anon_sym_PLUS] = ACTIONS(2926),
    [anon_sym_DASH] = ACTIONS(2926),
    [anon_sym_STAR] = ACTIONS(2926),
    [anon_sym_SLASH] = ACTIONS(2926),
    [anon_sym_PERCENT] = ACTIONS(2926),
    [anon_sym_PLUS_PLUS] = ACTIONS(2924),
    [anon_sym_DASH_DASH] = ACTIONS(2924),
    [anon_sym_PIPE] = ACTIONS(2924),
    [anon_sym_CARET] = ACTIONS(2926),
    [anon_sym_LT_LT] = ACTIONS(2924),
    [anon_sym_GT_GT] = ACTIONS(2924),
    [anon_sym_import] = ACTIONS(2924),
    [anon_sym_typealias] = ACTIONS(2924),
    [anon_sym_struct] = ACTIONS(2924),
    [anon_sym_class] = ACTIONS(2924),
    [anon_sym_enum] = ACTIONS(2924),
    [anon_sym_protocol] = ACTIONS(2924),
    [anon_sym_let] = ACTIONS(2924),
    [anon_sym_var] = ACTIONS(2924),
    [anon_sym_func] = ACTIONS(2924),
    [anon_sym_extension] = ACTIONS(2924),
    [anon_sym_indirect] = ACTIONS(2924),
    [anon_sym_BANG2] = ACTIONS(2926),
    [anon_sym_SEMI] = ACTIONS(2924),
    [anon_sym_init] = ACTIONS(2924),
    [anon_sym_deinit] = ACTIONS(2924),
    [anon_sym_subscript] = ACTIONS(2924),
    [anon_sym_prefix] = ACTIONS(2924),
    [anon_sym_infix] = ACTIONS(2924),
    [anon_sym_postfix] = ACTIONS(2924),
    [anon_sym_precedencegroup] = ACTIONS(2924),
    [anon_sym_associatedtype] = ACTIONS(2924),
    [anon_sym_AT] = ACTIONS(2926),
    [anon_sym_override] = ACTIONS(2924),
    [anon_sym_convenience] = ACTIONS(2924),
    [anon_sym_required] = ACTIONS(2924),
    [anon_sym_nonisolated] = ACTIONS(2924),
    [anon_sym_public] = ACTIONS(2924),
    [anon_sym_private] = ACTIONS(2924),
    [anon_sym_internal] = ACTIONS(2924),
    [anon_sym_fileprivate] = ACTIONS(2924),
    [anon_sym_open] = ACTIONS(2924),
    [anon_sym_mutating] = ACTIONS(2924),
    [anon_sym_nonmutating] = ACTIONS(2924),
    [anon_sym_static] = ACTIONS(2924),
    [anon_sym_dynamic] = ACTIONS(2924),
    [anon_sym_optional] = ACTIONS(2924),
    [anon_sym_distributed] = ACTIONS(2924),
    [anon_sym_final] = ACTIONS(2924),
    [anon_sym_inout] = ACTIONS(2924),
    [anon_sym_ATescaping] = ACTIONS(2924),
    [anon_sym_ATautoclosure] = ACTIONS(2924),
    [anon_sym_weak] = ACTIONS(2924),
    [anon_sym_unowned] = ACTIONS(2926),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2924),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2924),
    [anon_sym_borrowing] = ACTIONS(2924),
    [anon_sym_consuming] = ACTIONS(2924),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2924),
    [sym__conjunction_operator_custom] = ACTIONS(2924),
    [sym__disjunction_operator_custom] = ACTIONS(2924),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2924),
    [sym__eq_custom] = ACTIONS(2924),
    [sym__eq_eq_custom] = ACTIONS(2924),
    [sym__plus_then_ws] = ACTIONS(2924),
    [sym__minus_then_ws] = ACTIONS(2924),
    [sym__bang_custom] = ACTIONS(2924),
    [sym__as_custom] = ACTIONS(2924),
    [sym__as_quest_custom] = ACTIONS(2924),
    [sym__as_bang_custom] = ACTIONS(2924),
    [sym__custom_operator] = ACTIONS(2924),
  },
  [741] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(2963),
    [anon_sym_async] = ACTIONS(2963),
    [anon_sym_lazy] = ACTIONS(2963),
    [anon_sym_package] = ACTIONS(2963),
    [anon_sym_RPAREN] = ACTIONS(2963),
    [anon_sym_COMMA] = ACTIONS(2963),
    [anon_sym_COLON] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(2963),
    [anon_sym_LBRACK] = ACTIONS(2963),
    [anon_sym_RBRACK] = ACTIONS(2963),
    [anon_sym_DOT] = ACTIONS(2965),
    [anon_sym_QMARK] = ACTIONS(2965),
    [anon_sym_QMARK2] = ACTIONS(2963),
    [anon_sym_AMP] = ACTIONS(2963),
    [aux_sym_custom_operator_token1] = ACTIONS(2963),
    [anon_sym_LT] = ACTIONS(2965),
    [anon_sym_GT] = ACTIONS(2965),
    [anon_sym_LBRACE] = ACTIONS(2963),
    [anon_sym_CARET_LBRACE] = ACTIONS(2963),
    [anon_sym_RBRACE] = ACTIONS(2963),
    [anon_sym_case] = ACTIONS(2963),
    [anon_sym_PLUS_EQ] = ACTIONS(2963),
    [anon_sym_DASH_EQ] = ACTIONS(2963),
    [anon_sym_STAR_EQ] = ACTIONS(2963),
    [anon_sym_SLASH_EQ] = ACTIONS(2963),
    [anon_sym_PERCENT_EQ] = ACTIONS(2963),
    [anon_sym_BANG_EQ] = ACTIONS(2965),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2963),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2963),
    [anon_sym_LT_EQ] = ACTIONS(2963),
    [anon_sym_GT_EQ] = ACTIONS(2963),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2963),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2963),
    [anon_sym_is] = ACTIONS(2963),
    [anon_sym_PLUS] = ACTIONS(2965),
    [anon_sym_DASH] = ACTIONS(2965),
    [anon_sym_STAR] = ACTIONS(2965),
    [anon_sym_SLASH] = ACTIONS(2965),
    [anon_sym_PERCENT] = ACTIONS(2965),
    [anon_sym_PLUS_PLUS] = ACTIONS(2963),
    [anon_sym_DASH_DASH] = ACTIONS(2963),
    [anon_sym_PIPE] = ACTIONS(2963),
    [anon_sym_CARET] = ACTIONS(2965),
    [anon_sym_LT_LT] = ACTIONS(2963),
    [anon_sym_GT_GT] = ACTIONS(2963),
    [anon_sym_import] = ACTIONS(2963),
    [anon_sym_typealias] = ACTIONS(2963),
    [anon_sym_struct] = ACTIONS(2963),
    [anon_sym_class] = ACTIONS(2963),
    [anon_sym_enum] = ACTIONS(2963),
    [anon_sym_protocol] = ACTIONS(2963),
    [anon_sym_let] = ACTIONS(2963),
    [anon_sym_var] = ACTIONS(2963),
    [anon_sym_func] = ACTIONS(2963),
    [anon_sym_extension] = ACTIONS(2963),
    [anon_sym_indirect] = ACTIONS(2963),
    [anon_sym_BANG2] = ACTIONS(2965),
    [anon_sym_SEMI] = ACTIONS(2963),
    [anon_sym_init] = ACTIONS(2963),
    [anon_sym_deinit] = ACTIONS(2963),
    [anon_sym_subscript] = ACTIONS(2963),
    [anon_sym_prefix] = ACTIONS(2963),
    [anon_sym_infix] = ACTIONS(2963),
    [anon_sym_postfix] = ACTIONS(2963),
    [anon_sym_precedencegroup] = ACTIONS(2963),
    [anon_sym_associatedtype] = ACTIONS(2963),
    [anon_sym_AT] = ACTIONS(2965),
    [anon_sym_override] = ACTIONS(2963),
    [anon_sym_convenience] = ACTIONS(2963),
    [anon_sym_required] = ACTIONS(2963),
    [anon_sym_nonisolated] = ACTIONS(2963),
    [anon_sym_public] = ACTIONS(2963),
    [anon_sym_private] = ACTIONS(2963),
    [anon_sym_internal] = ACTIONS(2963),
    [anon_sym_fileprivate] = ACTIONS(2963),
    [anon_sym_open] = ACTIONS(2963),
    [anon_sym_mutating] = ACTIONS(2963),
    [anon_sym_nonmutating] = ACTIONS(2963),
    [anon_sym_static] = ACTIONS(2963),
    [anon_sym_dynamic] = ACTIONS(2963),
    [anon_sym_optional] = ACTIONS(2963),
    [anon_sym_distributed] = ACTIONS(2963),
    [anon_sym_final] = ACTIONS(2963),
    [anon_sym_inout] = ACTIONS(2963),
    [anon_sym_ATescaping] = ACTIONS(2963),
    [anon_sym_ATautoclosure] = ACTIONS(2963),
    [anon_sym_weak] = ACTIONS(2963),
    [anon_sym_unowned] = ACTIONS(2965),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2963),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2963),
    [anon_sym_borrowing] = ACTIONS(2963),
    [anon_sym_consuming] = ACTIONS(2963),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2963),
    [sym__conjunction_operator_custom] = ACTIONS(2963),
    [sym__disjunction_operator_custom] = ACTIONS(2963),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2963),
    [sym__eq_custom] = ACTIONS(2963),
    [sym__eq_eq_custom] = ACTIONS(2963),
    [sym__plus_then_ws] = ACTIONS(2963),
    [sym__minus_then_ws] = ACTIONS(2963),
    [sym__bang_custom] = ACTIONS(2963),
    [sym__as_custom] = ACTIONS(2963),
    [sym__as_quest_custom] = ACTIONS(2963),
    [sym__as_bang_custom] = ACTIONS(2963),
    [sym__custom_operator] = ACTIONS(2963),
  },
  [742] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(3072),
    [anon_sym_async] = ACTIONS(3072),
    [anon_sym_lazy] = ACTIONS(3072),
    [anon_sym_package] = ACTIONS(3072),
    [anon_sym_RPAREN] = ACTIONS(3072),
    [anon_sym_COMMA] = ACTIONS(3072),
    [anon_sym_COLON] = ACTIONS(3072),
    [anon_sym_LPAREN] = ACTIONS(3072),
    [anon_sym_LBRACK] = ACTIONS(3072),
    [anon_sym_RBRACK] = ACTIONS(3072),
    [anon_sym_QMARK] = ACTIONS(3074),
    [anon_sym_QMARK2] = ACTIONS(3072),
    [anon_sym_AMP] = ACTIONS(3072),
    [aux_sym_custom_operator_token1] = ACTIONS(3072),
    [anon_sym_LT] = ACTIONS(3074),
    [anon_sym_GT] = ACTIONS(3074),
    [anon_sym_LBRACE] = ACTIONS(3072),
    [anon_sym_CARET_LBRACE] = ACTIONS(3072),
    [anon_sym_RBRACE] = ACTIONS(3072),
    [anon_sym_case] = ACTIONS(3072),
    [anon_sym_PLUS_EQ] = ACTIONS(3072),
    [anon_sym_DASH_EQ] = ACTIONS(3072),
    [anon_sym_STAR_EQ] = ACTIONS(3072),
    [anon_sym_SLASH_EQ] = ACTIONS(3072),
    [anon_sym_PERCENT_EQ] = ACTIONS(3072),
    [anon_sym_BANG_EQ] = ACTIONS(3074),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3072),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3072),
    [anon_sym_LT_EQ] = ACTIONS(3072),
    [anon_sym_GT_EQ] = ACTIONS(3072),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3072),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3072),
    [anon_sym_is] = ACTIONS(3072),
    [anon_sym_PLUS] = ACTIONS(3074),
    [anon_sym_DASH] = ACTIONS(3074),
    [anon_sym_STAR] = ACTIONS(3074),
    [anon_sym_SLASH] = ACTIONS(3074),
    [anon_sym_PERCENT] = ACTIONS(3074),
    [anon_sym_PLUS_PLUS] = ACTIONS(3072),
    [anon_sym_DASH_DASH] = ACTIONS(3072),
    [anon_sym_PIPE] = ACTIONS(3072),
    [anon_sym_CARET] = ACTIONS(3074),
    [anon_sym_LT_LT] = ACTIONS(3072),
    [anon_sym_GT_GT] = ACTIONS(3072),
    [anon_sym_import] = ACTIONS(3072),
    [anon_sym_typealias] = ACTIONS(3072),
    [anon_sym_struct] = ACTIONS(3072),
    [anon_sym_class] = ACTIONS(3072),
    [anon_sym_enum] = ACTIONS(3072),
    [anon_sym_protocol] = ACTIONS(3072),
    [anon_sym_let] = ACTIONS(3072),
    [anon_sym_var] = ACTIONS(3072),
    [anon_sym_func] = ACTIONS(3072),
    [anon_sym_extension] = ACTIONS(3072),
    [anon_sym_indirect] = ACTIONS(3072),
    [anon_sym_BANG2] = ACTIONS(3074),
    [anon_sym_SEMI] = ACTIONS(3072),
    [anon_sym_init] = ACTIONS(3072),
    [anon_sym_deinit] = ACTIONS(3072),
    [anon_sym_subscript] = ACTIONS(3072),
    [anon_sym_prefix] = ACTIONS(3072),
    [anon_sym_infix] = ACTIONS(3072),
    [anon_sym_postfix] = ACTIONS(3072),
    [anon_sym_precedencegroup] = ACTIONS(3072),
    [anon_sym_associatedtype] = ACTIONS(3072),
    [anon_sym_AT] = ACTIONS(3074),
    [anon_sym_override] = ACTIONS(3072),
    [anon_sym_convenience] = ACTIONS(3072),
    [anon_sym_required] = ACTIONS(3072),
    [anon_sym_nonisolated] = ACTIONS(3072),
    [anon_sym_public] = ACTIONS(3072),
    [anon_sym_private] = ACTIONS(3072),
    [anon_sym_internal] = ACTIONS(3072),
    [anon_sym_fileprivate] = ACTIONS(3072),
    [anon_sym_open] = ACTIONS(3072),
    [anon_sym_mutating] = ACTIONS(3072),
    [anon_sym_nonmutating] = ACTIONS(3072),
    [anon_sym_static] = ACTIONS(3072),
    [anon_sym_dynamic] = ACTIONS(3072),
    [anon_sym_optional] = ACTIONS(3072),
    [anon_sym_distributed] = ACTIONS(3072),
    [anon_sym_final] = ACTIONS(3072),
    [anon_sym_inout] = ACTIONS(3072),
    [anon_sym_ATescaping] = ACTIONS(3072),
    [anon_sym_ATautoclosure] = ACTIONS(3072),
    [anon_sym_weak] = ACTIONS(3072),
    [anon_sym_unowned] = ACTIONS(3074),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3072),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3072),
    [anon_sym_borrowing] = ACTIONS(3072),
    [anon_sym_consuming] = ACTIONS(3072),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3072),
    [sym__conjunction_operator_custom] = ACTIONS(3072),
    [sym__disjunction_operator_custom] = ACTIONS(3072),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3072),
    [sym__eq_custom] = ACTIONS(3072),
    [sym__eq_eq_custom] = ACTIONS(3072),
    [sym__plus_then_ws] = ACTIONS(3072),
    [sym__minus_then_ws] = ACTIONS(3072),
    [sym__bang_custom] = ACTIONS(3072),
    [sym_else] = ACTIONS(3072),
    [sym__as_custom] = ACTIONS(3072),
    [sym__as_quest_custom] = ACTIONS(3072),
    [sym__as_bang_custom] = ACTIONS(3072),
    [sym__custom_operator] = ACTIONS(3072),
  },
  [743] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(3055),
    [anon_sym_async] = ACTIONS(3055),
    [anon_sym_lazy] = ACTIONS(3055),
    [anon_sym_package] = ACTIONS(3055),
    [anon_sym_RPAREN] = ACTIONS(3055),
    [anon_sym_COMMA] = ACTIONS(3055),
    [anon_sym_COLON] = ACTIONS(3055),
    [anon_sym_LPAREN] = ACTIONS(3055),
    [anon_sym_LBRACK] = ACTIONS(3055),
    [anon_sym_RBRACK] = ACTIONS(3055),
    [anon_sym_DOT] = ACTIONS(3060),
    [anon_sym_QMARK] = ACTIONS(3060),
    [anon_sym_QMARK2] = ACTIONS(3055),
    [anon_sym_AMP] = ACTIONS(3055),
    [aux_sym_custom_operator_token1] = ACTIONS(3055),
    [anon_sym_LT] = ACTIONS(3060),
    [anon_sym_GT] = ACTIONS(3060),
    [anon_sym_LBRACE] = ACTIONS(3055),
    [anon_sym_CARET_LBRACE] = ACTIONS(3055),
    [anon_sym_RBRACE] = ACTIONS(3055),
    [anon_sym_case] = ACTIONS(3055),
    [anon_sym_PLUS_EQ] = ACTIONS(3055),
    [anon_sym_DASH_EQ] = ACTIONS(3055),
    [anon_sym_STAR_EQ] = ACTIONS(3055),
    [anon_sym_SLASH_EQ] = ACTIONS(3055),
    [anon_sym_PERCENT_EQ] = ACTIONS(3055),
    [anon_sym_BANG_EQ] = ACTIONS(3060),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3055),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3055),
    [anon_sym_LT_EQ] = ACTIONS(3055),
    [anon_sym_GT_EQ] = ACTIONS(3055),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3055),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3055),
    [anon_sym_is] = ACTIONS(3055),
    [anon_sym_PLUS] = ACTIONS(3060),
    [anon_sym_DASH] = ACTIONS(3060),
    [anon_sym_STAR] = ACTIONS(3060),
    [anon_sym_SLASH] = ACTIONS(3060),
    [anon_sym_PERCENT] = ACTIONS(3060),
    [anon_sym_PLUS_PLUS] = ACTIONS(3055),
    [anon_sym_DASH_DASH] = ACTIONS(3055),
    [anon_sym_PIPE] = ACTIONS(3055),
    [anon_sym_CARET] = ACTIONS(3060),
    [anon_sym_LT_LT] = ACTIONS(3055),
    [anon_sym_GT_GT] = ACTIONS(3055),
    [anon_sym_import] = ACTIONS(3055),
    [anon_sym_typealias] = ACTIONS(3055),
    [anon_sym_struct] = ACTIONS(3055),
    [anon_sym_class] = ACTIONS(3055),
    [anon_sym_enum] = ACTIONS(3055),
    [anon_sym_protocol] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_var] = ACTIONS(3055),
    [anon_sym_func] = ACTIONS(3055),
    [anon_sym_extension] = ACTIONS(3055),
    [anon_sym_indirect] = ACTIONS(3055),
    [anon_sym_BANG2] = ACTIONS(3060),
    [anon_sym_SEMI] = ACTIONS(3055),
    [anon_sym_init] = ACTIONS(3055),
    [anon_sym_deinit] = ACTIONS(3055),
    [anon_sym_subscript] = ACTIONS(3055),
    [anon_sym_prefix] = ACTIONS(3055),
    [anon_sym_infix] = ACTIONS(3055),
    [anon_sym_postfix] = ACTIONS(3055),
    [anon_sym_precedencegroup] = ACTIONS(3055),
    [anon_sym_associatedtype] = ACTIONS(3055),
    [anon_sym_AT] = ACTIONS(3060),
    [anon_sym_override] = ACTIONS(3055),
    [anon_sym_convenience] = ACTIONS(3055),
    [anon_sym_required] = ACTIONS(3055),
    [anon_sym_nonisolated] = ACTIONS(3055),
    [anon_sym_public] = ACTIONS(3055),
    [anon_sym_private] = ACTIONS(3055),
    [anon_sym_internal] = ACTIONS(3055),
    [anon_sym_fileprivate] = ACTIONS(3055),
    [anon_sym_open] = ACTIONS(3055),
    [anon_sym_mutating] = ACTIONS(3055),
    [anon_sym_nonmutating] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(3055),
    [anon_sym_dynamic] = ACTIONS(3055),
    [anon_sym_optional] = ACTIONS(3055),
    [anon_sym_distributed] = ACTIONS(3055),
    [anon_sym_final] = ACTIONS(3055),
    [anon_sym_inout] = ACTIONS(3055),
    [anon_sym_ATescaping] = ACTIONS(3055),
    [anon_sym_ATautoclosure] = ACTIONS(3055),
    [anon_sym_weak] = ACTIONS(3055),
    [anon_sym_unowned] = ACTIONS(3060),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3055),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3055),
    [anon_sym_borrowing] = ACTIONS(3055),
    [anon_sym_consuming] = ACTIONS(3055),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3055),
    [sym__conjunction_operator_custom] = ACTIONS(3055),
    [sym__disjunction_operator_custom] = ACTIONS(3055),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3055),
    [sym__eq_custom] = ACTIONS(3055),
    [sym__eq_eq_custom] = ACTIONS(3055),
    [sym__plus_then_ws] = ACTIONS(3055),
    [sym__minus_then_ws] = ACTIONS(3055),
    [sym__bang_custom] = ACTIONS(3055),
    [sym__as_custom] = ACTIONS(3055),
    [sym__as_quest_custom] = ACTIONS(3055),
    [sym__as_bang_custom] = ACTIONS(3055),
    [sym__custom_operator] = ACTIONS(3055),
  },
  [744] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(2971),
    [anon_sym_async] = ACTIONS(2971),
    [anon_sym_lazy] = ACTIONS(2971),
    [anon_sym_package] = ACTIONS(2971),
    [anon_sym_RPAREN] = ACTIONS(2971),
    [anon_sym_COMMA] = ACTIONS(2971),
    [anon_sym_COLON] = ACTIONS(2971),
    [anon_sym_LPAREN] = ACTIONS(2971),
    [anon_sym_LBRACK] = ACTIONS(2971),
    [anon_sym_RBRACK] = ACTIONS(2971),
    [anon_sym_DOT] = ACTIONS(2973),
    [anon_sym_QMARK] = ACTIONS(2973),
    [anon_sym_QMARK2] = ACTIONS(2971),
    [anon_sym_AMP] = ACTIONS(2971),
    [aux_sym_custom_operator_token1] = ACTIONS(2971),
    [anon_sym_LT] = ACTIONS(2973),
    [anon_sym_GT] = ACTIONS(2973),
    [anon_sym_LBRACE] = ACTIONS(2971),
    [anon_sym_CARET_LBRACE] = ACTIONS(2971),
    [anon_sym_RBRACE] = ACTIONS(2971),
    [anon_sym_case] = ACTIONS(2971),
    [anon_sym_PLUS_EQ] = ACTIONS(2971),
    [anon_sym_DASH_EQ] = ACTIONS(2971),
    [anon_sym_STAR_EQ] = ACTIONS(2971),
    [anon_sym_SLASH_EQ] = ACTIONS(2971),
    [anon_sym_PERCENT_EQ] = ACTIONS(2971),
    [anon_sym_BANG_EQ] = ACTIONS(2973),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2971),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2971),
    [anon_sym_LT_EQ] = ACTIONS(2971),
    [anon_sym_GT_EQ] = ACTIONS(2971),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2971),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2971),
    [anon_sym_is] = ACTIONS(2971),
    [anon_sym_PLUS] = ACTIONS(2973),
    [anon_sym_DASH] = ACTIONS(2973),
    [anon_sym_STAR] = ACTIONS(2973),
    [anon_sym_SLASH] = ACTIONS(2973),
    [anon_sym_PERCENT] = ACTIONS(2973),
    [anon_sym_PLUS_PLUS] = ACTIONS(2971),
    [anon_sym_DASH_DASH] = ACTIONS(2971),
    [anon_sym_PIPE] = ACTIONS(2971),
    [anon_sym_CARET] = ACTIONS(2973),
    [anon_sym_LT_LT] = ACTIONS(2971),
    [anon_sym_GT_GT] = ACTIONS(2971),
    [anon_sym_import] = ACTIONS(2971),
    [anon_sym_typealias] = ACTIONS(2971),
    [anon_sym_struct] = ACTIONS(2971),
    [anon_sym_class] = ACTIONS(2971),
    [anon_sym_enum] = ACTIONS(2971),
    [anon_sym_protocol] = ACTIONS(2971),
    [anon_sym_let] = ACTIONS(2971),
    [anon_sym_var] = ACTIONS(2971),
    [anon_sym_func] = ACTIONS(2971),
    [anon_sym_extension] = ACTIONS(2971),
    [anon_sym_indirect] = ACTIONS(2971),
    [anon_sym_BANG2] = ACTIONS(2973),
    [anon_sym_SEMI] = ACTIONS(2971),
    [anon_sym_init] = ACTIONS(2971),
    [anon_sym_deinit] = ACTIONS(2971),
    [anon_sym_subscript] = ACTIONS(2971),
    [anon_sym_prefix] = ACTIONS(2971),
    [anon_sym_infix] = ACTIONS(2971),
    [anon_sym_postfix] = ACTIONS(2971),
    [anon_sym_precedencegroup] = ACTIONS(2971),
    [anon_sym_associatedtype] = ACTIONS(2971),
    [anon_sym_AT] = ACTIONS(2973),
    [anon_sym_override] = ACTIONS(2971),
    [anon_sym_convenience] = ACTIONS(2971),
    [anon_sym_required] = ACTIONS(2971),
    [anon_sym_nonisolated] = ACTIONS(2971),
    [anon_sym_public] = ACTIONS(2971),
    [anon_sym_private] = ACTIONS(2971),
    [anon_sym_internal] = ACTIONS(2971),
    [anon_sym_fileprivate] = ACTIONS(2971),
    [anon_sym_open] = ACTIONS(2971),
    [anon_sym_mutating] = ACTIONS(2971),
    [anon_sym_nonmutating] = ACTIONS(2971),
    [anon_sym_static] = ACTIONS(2971),
    [anon_sym_dynamic] = ACTIONS(2971),
    [anon_sym_optional] = ACTIONS(2971),
    [anon_sym_distributed] = ACTIONS(2971),
    [anon_sym_final] = ACTIONS(2971),
    [anon_sym_inout] = ACTIONS(2971),
    [anon_sym_ATescaping] = ACTIONS(2971),
    [anon_sym_ATautoclosure] = ACTIONS(2971),
    [anon_sym_weak] = ACTIONS(2971),
    [anon_sym_unowned] = ACTIONS(2973),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2971),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2971),
    [anon_sym_borrowing] = ACTIONS(2971),
    [anon_sym_consuming] = ACTIONS(2971),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2971),
    [sym__conjunction_operator_custom] = ACTIONS(2971),
    [sym__disjunction_operator_custom] = ACTIONS(2971),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2971),
    [sym__eq_custom] = ACTIONS(2971),
    [sym__eq_eq_custom] = ACTIONS(2971),
    [sym__plus_then_ws] = ACTIONS(2971),
    [sym__minus_then_ws] = ACTIONS(2971),
    [sym__bang_custom] = ACTIONS(2971),
    [sym__as_custom] = ACTIONS(2971),
    [sym__as_quest_custom] = ACTIONS(2971),
    [sym__as_bang_custom] = ACTIONS(2971),
    [sym__custom_operator] = ACTIONS(2971),
  },
  [745] = {
    [sym_type_arguments] = STATE(1829),
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(3076),
    [anon_sym_async] = ACTIONS(3076),
    [anon_sym_lazy] = ACTIONS(3076),
    [anon_sym_package] = ACTIONS(3076),
    [anon_sym_RPAREN] = ACTIONS(3076),
    [anon_sym_COMMA] = ACTIONS(3076),
    [anon_sym_COLON] = ACTIONS(3076),
    [anon_sym_LPAREN] = ACTIONS(3078),
    [anon_sym_LBRACK] = ACTIONS(3076),
    [anon_sym_RBRACK] = ACTIONS(3076),
    [anon_sym_QMARK] = ACTIONS(3081),
    [anon_sym_QMARK2] = ACTIONS(3076),
    [anon_sym_AMP] = ACTIONS(3076),
    [aux_sym_custom_operator_token1] = ACTIONS(3076),
    [anon_sym_LT] = ACTIONS(3083),
    [anon_sym_GT] = ACTIONS(3081),
    [anon_sym_LBRACE] = ACTIONS(3078),
    [anon_sym_CARET_LBRACE] = ACTIONS(3078),
    [anon_sym_RBRACE] = ACTIONS(3076),
    [anon_sym_case] = ACTIONS(3076),
    [anon_sym_PLUS_EQ] = ACTIONS(3076),
    [anon_sym_DASH_EQ] = ACTIONS(3076),
    [anon_sym_STAR_EQ] = ACTIONS(3076),
    [anon_sym_SLASH_EQ] = ACTIONS(3076),
    [anon_sym_PERCENT_EQ] = ACTIONS(3076),
    [anon_sym_BANG_EQ] = ACTIONS(3081),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3076),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3076),
    [anon_sym_LT_EQ] = ACTIONS(3076),
    [anon_sym_GT_EQ] = ACTIONS(3076),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3076),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3076),
    [anon_sym_is] = ACTIONS(3076),
    [anon_sym_PLUS] = ACTIONS(3081),
    [anon_sym_DASH] = ACTIONS(3081),
    [anon_sym_STAR] = ACTIONS(3081),
    [anon_sym_SLASH] = ACTIONS(3081),
    [anon_sym_PERCENT] = ACTIONS(3081),
    [anon_sym_PLUS_PLUS] = ACTIONS(3076),
    [anon_sym_DASH_DASH] = ACTIONS(3076),
    [anon_sym_PIPE] = ACTIONS(3076),
    [anon_sym_CARET] = ACTIONS(3081),
    [anon_sym_LT_LT] = ACTIONS(3076),
    [anon_sym_GT_GT] = ACTIONS(3076),
    [anon_sym_import] = ACTIONS(3076),
    [anon_sym_typealias] = ACTIONS(3076),
    [anon_sym_struct] = ACTIONS(3076),
    [anon_sym_class] = ACTIONS(3076),
    [anon_sym_enum] = ACTIONS(3076),
    [anon_sym_protocol] = ACTIONS(3076),
    [anon_sym_let] = ACTIONS(3076),
    [anon_sym_var] = ACTIONS(3076),
    [anon_sym_func] = ACTIONS(3076),
    [anon_sym_extension] = ACTIONS(3076),
    [anon_sym_indirect] = ACTIONS(3076),
    [anon_sym_BANG2] = ACTIONS(3081),
    [anon_sym_SEMI] = ACTIONS(3076),
    [anon_sym_init] = ACTIONS(3076),
    [anon_sym_deinit] = ACTIONS(3076),
    [anon_sym_subscript] = ACTIONS(3076),
    [anon_sym_prefix] = ACTIONS(3076),
    [anon_sym_infix] = ACTIONS(3076),
    [anon_sym_postfix] = ACTIONS(3076),
    [anon_sym_precedencegroup] = ACTIONS(3076),
    [anon_sym_associatedtype] = ACTIONS(3076),
    [anon_sym_AT] = ACTIONS(3081),
    [anon_sym_override] = ACTIONS(3076),
    [anon_sym_convenience] = ACTIONS(3076),
    [anon_sym_required] = ACTIONS(3076),
    [anon_sym_nonisolated] = ACTIONS(3076),
    [anon_sym_public] = ACTIONS(3076),
    [anon_sym_private] = ACTIONS(3076),
    [anon_sym_internal] = ACTIONS(3076),
    [anon_sym_fileprivate] = ACTIONS(3076),
    [anon_sym_open] = ACTIONS(3076),
    [anon_sym_mutating] = ACTIONS(3076),
    [anon_sym_nonmutating] = ACTIONS(3076),
    [anon_sym_static] = ACTIONS(3076),
    [anon_sym_dynamic] = ACTIONS(3076),
    [anon_sym_optional] = ACTIONS(3076),
    [anon_sym_distributed] = ACTIONS(3076),
    [anon_sym_final] = ACTIONS(3076),
    [anon_sym_inout] = ACTIONS(3076),
    [anon_sym_ATescaping] = ACTIONS(3076),
    [anon_sym_ATautoclosure] = ACTIONS(3076),
    [anon_sym_weak] = ACTIONS(3076),
    [anon_sym_unowned] = ACTIONS(3081),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3076),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3076),
    [anon_sym_borrowing] = ACTIONS(3076),
    [anon_sym_consuming] = ACTIONS(3076),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3078),
    [sym__conjunction_operator_custom] = ACTIONS(3076),
    [sym__disjunction_operator_custom] = ACTIONS(3076),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3076),
    [sym__eq_custom] = ACTIONS(3076),
    [sym__eq_eq_custom] = ACTIONS(3076),
    [sym__plus_then_ws] = ACTIONS(3076),
    [sym__minus_then_ws] = ACTIONS(3076),
    [sym__bang_custom] = ACTIONS(3076),
    [sym__as_custom] = ACTIONS(3076),
    [sym__as_quest_custom] = ACTIONS(3076),
    [sym__as_bang_custom] = ACTIONS(3076),
    [sym__custom_operator] = ACTIONS(3076),
  },
  [746] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(2955),
    [anon_sym_async] = ACTIONS(2955),
    [anon_sym_lazy] = ACTIONS(2955),
    [anon_sym_package] = ACTIONS(2955),
    [anon_sym_RPAREN] = ACTIONS(2955),
    [anon_sym_COMMA] = ACTIONS(2955),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_LPAREN] = ACTIONS(2955),
    [anon_sym_LBRACK] = ACTIONS(2955),
    [anon_sym_RBRACK] = ACTIONS(2955),
    [anon_sym_DOT] = ACTIONS(2957),
    [anon_sym_QMARK] = ACTIONS(2957),
    [anon_sym_QMARK2] = ACTIONS(2955),
    [anon_sym_AMP] = ACTIONS(2955),
    [aux_sym_custom_operator_token1] = ACTIONS(2955),
    [anon_sym_LT] = ACTIONS(2957),
    [anon_sym_GT] = ACTIONS(2957),
    [anon_sym_LBRACE] = ACTIONS(2955),
    [anon_sym_CARET_LBRACE] = ACTIONS(2955),
    [anon_sym_RBRACE] = ACTIONS(2955),
    [anon_sym_case] = ACTIONS(2955),
    [anon_sym_PLUS_EQ] = ACTIONS(2955),
    [anon_sym_DASH_EQ] = ACTIONS(2955),
    [anon_sym_STAR_EQ] = ACTIONS(2955),
    [anon_sym_SLASH_EQ] = ACTIONS(2955),
    [anon_sym_PERCENT_EQ] = ACTIONS(2955),
    [anon_sym_BANG_EQ] = ACTIONS(2957),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2955),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2955),
    [anon_sym_LT_EQ] = ACTIONS(2955),
    [anon_sym_GT_EQ] = ACTIONS(2955),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2955),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2955),
    [anon_sym_is] = ACTIONS(2955),
    [anon_sym_PLUS] = ACTIONS(2957),
    [anon_sym_DASH] = ACTIONS(2957),
    [anon_sym_STAR] = ACTIONS(2957),
    [anon_sym_SLASH] = ACTIONS(2957),
    [anon_sym_PERCENT] = ACTIONS(2957),
    [anon_sym_PLUS_PLUS] = ACTIONS(2955),
    [anon_sym_DASH_DASH] = ACTIONS(2955),
    [anon_sym_PIPE] = ACTIONS(2955),
    [anon_sym_CARET] = ACTIONS(2957),
    [anon_sym_LT_LT] = ACTIONS(2955),
    [anon_sym_GT_GT] = ACTIONS(2955),
    [anon_sym_import] = ACTIONS(2955),
    [anon_sym_typealias] = ACTIONS(2955),
    [anon_sym_struct] = ACTIONS(2955),
    [anon_sym_class] = ACTIONS(2955),
    [anon_sym_enum] = ACTIONS(2955),
    [anon_sym_protocol] = ACTIONS(2955),
    [anon_sym_let] = ACTIONS(2955),
    [anon_sym_var] = ACTIONS(2955),
    [anon_sym_func] = ACTIONS(2955),
    [anon_sym_extension] = ACTIONS(2955),
    [anon_sym_indirect] = ACTIONS(2955),
    [anon_sym_BANG2] = ACTIONS(2957),
    [anon_sym_SEMI] = ACTIONS(2955),
    [anon_sym_init] = ACTIONS(2955),
    [anon_sym_deinit] = ACTIONS(2955),
    [anon_sym_subscript] = ACTIONS(2955),
    [anon_sym_prefix] = ACTIONS(2955),
    [anon_sym_infix] = ACTIONS(2955),
    [anon_sym_postfix] = ACTIONS(2955),
    [anon_sym_precedencegroup] = ACTIONS(2955),
    [anon_sym_associatedtype] = ACTIONS(2955),
    [anon_sym_AT] = ACTIONS(2957),
    [anon_sym_override] = ACTIONS(2955),
    [anon_sym_convenience] = ACTIONS(2955),
    [anon_sym_required] = ACTIONS(2955),
    [anon_sym_nonisolated] = ACTIONS(2955),
    [anon_sym_public] = ACTIONS(2955),
    [anon_sym_private] = ACTIONS(2955),
    [anon_sym_internal] = ACTIONS(2955),
    [anon_sym_fileprivate] = ACTIONS(2955),
    [anon_sym_open] = ACTIONS(2955),
    [anon_sym_mutating] = ACTIONS(2955),
    [anon_sym_nonmutating] = ACTIONS(2955),
    [anon_sym_static] = ACTIONS(2955),
    [anon_sym_dynamic] = ACTIONS(2955),
    [anon_sym_optional] = ACTIONS(2955),
    [anon_sym_distributed] = ACTIONS(2955),
    [anon_sym_final] = ACTIONS(2955),
    [anon_sym_inout] = ACTIONS(2955),
    [anon_sym_ATescaping] = ACTIONS(2955),
    [anon_sym_ATautoclosure] = ACTIONS(2955),
    [anon_sym_weak] = ACTIONS(2955),
    [anon_sym_unowned] = ACTIONS(2957),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2955),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2955),
    [anon_sym_borrowing] = ACTIONS(2955),
    [anon_sym_consuming] = ACTIONS(2955),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2955),
    [sym__conjunction_operator_custom] = ACTIONS(2955),
    [sym__disjunction_operator_custom] = ACTIONS(2955),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2955),
    [sym__eq_custom] = ACTIONS(2955),
    [sym__eq_eq_custom] = ACTIONS(2955),
    [sym__plus_then_ws] = ACTIONS(2955),
    [sym__minus_then_ws] = ACTIONS(2955),
    [sym__bang_custom] = ACTIONS(2955),
    [sym__as_custom] = ACTIONS(2955),
    [sym__as_quest_custom] = ACTIONS(2955),
    [sym__as_bang_custom] = ACTIONS(2955),
    [sym__custom_operator] = ACTIONS(2955),
  },
  [747] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(3086),
    [anon_sym_async] = ACTIONS(3086),
    [anon_sym_lazy] = ACTIONS(3086),
    [anon_sym_package] = ACTIONS(3086),
    [anon_sym_RPAREN] = ACTIONS(3086),
    [anon_sym_COMMA] = ACTIONS(3086),
    [anon_sym_COLON] = ACTIONS(3086),
    [anon_sym_LPAREN] = ACTIONS(3086),
    [anon_sym_LBRACK] = ACTIONS(3086),
    [anon_sym_RBRACK] = ACTIONS(3086),
    [anon_sym_QMARK] = ACTIONS(3088),
    [anon_sym_QMARK2] = ACTIONS(3086),
    [anon_sym_AMP] = ACTIONS(3086),
    [aux_sym_custom_operator_token1] = ACTIONS(3086),
    [anon_sym_LT] = ACTIONS(3088),
    [anon_sym_GT] = ACTIONS(3088),
    [anon_sym_LBRACE] = ACTIONS(3086),
    [anon_sym_CARET_LBRACE] = ACTIONS(3086),
    [anon_sym_RBRACE] = ACTIONS(3086),
    [anon_sym_case] = ACTIONS(3086),
    [anon_sym_PLUS_EQ] = ACTIONS(3086),
    [anon_sym_DASH_EQ] = ACTIONS(3086),
    [anon_sym_STAR_EQ] = ACTIONS(3086),
    [anon_sym_SLASH_EQ] = ACTIONS(3086),
    [anon_sym_PERCENT_EQ] = ACTIONS(3086),
    [anon_sym_BANG_EQ] = ACTIONS(3088),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3086),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3086),
    [anon_sym_LT_EQ] = ACTIONS(3086),
    [anon_sym_GT_EQ] = ACTIONS(3086),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3086),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3086),
    [anon_sym_is] = ACTIONS(3086),
    [anon_sym_PLUS] = ACTIONS(3088),
    [anon_sym_DASH] = ACTIONS(3088),
    [anon_sym_STAR] = ACTIONS(3088),
    [anon_sym_SLASH] = ACTIONS(3088),
    [anon_sym_PERCENT] = ACTIONS(3088),
    [anon_sym_PLUS_PLUS] = ACTIONS(3086),
    [anon_sym_DASH_DASH] = ACTIONS(3086),
    [anon_sym_PIPE] = ACTIONS(3086),
    [anon_sym_CARET] = ACTIONS(3088),
    [anon_sym_LT_LT] = ACTIONS(3086),
    [anon_sym_GT_GT] = ACTIONS(3086),
    [anon_sym_import] = ACTIONS(3086),
    [anon_sym_typealias] = ACTIONS(3086),
    [anon_sym_struct] = ACTIONS(3086),
    [anon_sym_class] = ACTIONS(3086),
    [anon_sym_enum] = ACTIONS(3086),
    [anon_sym_protocol] = ACTIONS(3086),
    [anon_sym_let] = ACTIONS(3086),
    [anon_sym_var] = ACTIONS(3086),
    [anon_sym_func] = ACTIONS(3086),
    [anon_sym_extension] = ACTIONS(3086),
    [anon_sym_indirect] = ACTIONS(3086),
    [anon_sym_BANG2] = ACTIONS(3088),
    [anon_sym_SEMI] = ACTIONS(3086),
    [anon_sym_init] = ACTIONS(3086),
    [anon_sym_deinit] = ACTIONS(3086),
    [anon_sym_subscript] = ACTIONS(3086),
    [anon_sym_prefix] = ACTIONS(3086),
    [anon_sym_infix] = ACTIONS(3086),
    [anon_sym_postfix] = ACTIONS(3086),
    [anon_sym_precedencegroup] = ACTIONS(3086),
    [anon_sym_associatedtype] = ACTIONS(3086),
    [anon_sym_AT] = ACTIONS(3088),
    [anon_sym_override] = ACTIONS(3086),
    [anon_sym_convenience] = ACTIONS(3086),
    [anon_sym_required] = ACTIONS(3086),
    [anon_sym_nonisolated] = ACTIONS(3086),
    [anon_sym_public] = ACTIONS(3086),
    [anon_sym_private] = ACTIONS(3086),
    [anon_sym_internal] = ACTIONS(3086),
    [anon_sym_fileprivate] = ACTIONS(3086),
    [anon_sym_open] = ACTIONS(3086),
    [anon_sym_mutating] = ACTIONS(3086),
    [anon_sym_nonmutating] = ACTIONS(3086),
    [anon_sym_static] = ACTIONS(3086),
    [anon_sym_dynamic] = ACTIONS(3086),
    [anon_sym_optional] = ACTIONS(3086),
    [anon_sym_distributed] = ACTIONS(3086),
    [anon_sym_final] = ACTIONS(3086),
    [anon_sym_inout] = ACTIONS(3086),
    [anon_sym_ATescaping] = ACTIONS(3086),
    [anon_sym_ATautoclosure] = ACTIONS(3086),
    [anon_sym_weak] = ACTIONS(3086),
    [anon_sym_unowned] = ACTIONS(3088),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3086),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3086),
    [anon_sym_borrowing] = ACTIONS(3086),
    [anon_sym_consuming] = ACTIONS(3086),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3086),
    [sym__conjunction_operator_custom] = ACTIONS(3086),
    [sym__disjunction_operator_custom] = ACTIONS(3086),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3086),
    [sym__eq_custom] = ACTIONS(3086),
    [sym__eq_eq_custom] = ACTIONS(3086),
    [sym__plus_then_ws] = ACTIONS(3086),
    [sym__minus_then_ws] = ACTIONS(3086),
    [sym__bang_custom] = ACTIONS(3086),
    [sym_else] = ACTIONS(3086),
    [sym__as_custom] = ACTIONS(3086),
    [sym__as_quest_custom] = ACTIONS(3086),
    [sym__as_bang_custom] = ACTIONS(3086),
    [sym__custom_operator] = ACTIONS(3086),
  },
  [748] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(3090),
    [anon_sym_async] = ACTIONS(3090),
    [anon_sym_lazy] = ACTIONS(3090),
    [anon_sym_package] = ACTIONS(3090),
    [anon_sym_RPAREN] = ACTIONS(3090),
    [anon_sym_COMMA] = ACTIONS(3090),
    [anon_sym_COLON] = ACTIONS(3090),
    [anon_sym_LPAREN] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_RBRACK] = ACTIONS(3090),
    [anon_sym_QMARK] = ACTIONS(3092),
    [anon_sym_QMARK2] = ACTIONS(3090),
    [anon_sym_AMP] = ACTIONS(3090),
    [aux_sym_custom_operator_token1] = ACTIONS(3090),
    [anon_sym_LT] = ACTIONS(3092),
    [anon_sym_GT] = ACTIONS(3092),
    [anon_sym_LBRACE] = ACTIONS(3090),
    [anon_sym_CARET_LBRACE] = ACTIONS(3090),
    [anon_sym_RBRACE] = ACTIONS(3090),
    [anon_sym_case] = ACTIONS(3090),
    [anon_sym_PLUS_EQ] = ACTIONS(3090),
    [anon_sym_DASH_EQ] = ACTIONS(3090),
    [anon_sym_STAR_EQ] = ACTIONS(3090),
    [anon_sym_SLASH_EQ] = ACTIONS(3090),
    [anon_sym_PERCENT_EQ] = ACTIONS(3090),
    [anon_sym_BANG_EQ] = ACTIONS(3092),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3090),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3090),
    [anon_sym_LT_EQ] = ACTIONS(3090),
    [anon_sym_GT_EQ] = ACTIONS(3090),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3090),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3090),
    [anon_sym_is] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3092),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_SLASH] = ACTIONS(3092),
    [anon_sym_PERCENT] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3090),
    [anon_sym_PIPE] = ACTIONS(3090),
    [anon_sym_CARET] = ACTIONS(3092),
    [anon_sym_LT_LT] = ACTIONS(3090),
    [anon_sym_GT_GT] = ACTIONS(3090),
    [anon_sym_import] = ACTIONS(3090),
    [anon_sym_typealias] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_protocol] = ACTIONS(3090),
    [anon_sym_let] = ACTIONS(3090),
    [anon_sym_var] = ACTIONS(3090),
    [anon_sym_func] = ACTIONS(3090),
    [anon_sym_extension] = ACTIONS(3090),
    [anon_sym_indirect] = ACTIONS(3090),
    [anon_sym_BANG2] = ACTIONS(3092),
    [anon_sym_SEMI] = ACTIONS(3090),
    [anon_sym_init] = ACTIONS(3090),
    [anon_sym_deinit] = ACTIONS(3090),
    [anon_sym_subscript] = ACTIONS(3090),
    [anon_sym_prefix] = ACTIONS(3090),
    [anon_sym_infix] = ACTIONS(3090),
    [anon_sym_postfix] = ACTIONS(3090),
    [anon_sym_precedencegroup] = ACTIONS(3090),
    [anon_sym_associatedtype] = ACTIONS(3090),
    [anon_sym_AT] = ACTIONS(3092),
    [anon_sym_override] = ACTIONS(3090),
    [anon_sym_convenience] = ACTIONS(3090),
    [anon_sym_required] = ACTIONS(3090),
    [anon_sym_nonisolated] = ACTIONS(3090),
    [anon_sym_public] = ACTIONS(3090),
    [anon_sym_private] = ACTIONS(3090),
    [anon_sym_internal] = ACTIONS(3090),
    [anon_sym_fileprivate] = ACTIONS(3090),
    [anon_sym_open] = ACTIONS(3090),
    [anon_sym_mutating] = ACTIONS(3090),
    [anon_sym_nonmutating] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_dynamic] = ACTIONS(3090),
    [anon_sym_optional] = ACTIONS(3090),
    [anon_sym_distributed] = ACTIONS(3090),
    [anon_sym_final] = ACTIONS(3090),
    [anon_sym_inout] = ACTIONS(3090),
    [anon_sym_ATescaping] = ACTIONS(3090),
    [anon_sym_ATautoclosure] = ACTIONS(3090),
    [anon_sym_weak] = ACTIONS(3090),
    [anon_sym_unowned] = ACTIONS(3092),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3090),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3090),
    [anon_sym_borrowing] = ACTIONS(3090),
    [anon_sym_consuming] = ACTIONS(3090),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3090),
    [sym__conjunction_operator_custom] = ACTIONS(3090),
    [sym__disjunction_operator_custom] = ACTIONS(3090),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3090),
    [sym__eq_custom] = ACTIONS(3090),
    [sym__eq_eq_custom] = ACTIONS(3090),
    [sym__plus_then_ws] = ACTIONS(3090),
    [sym__minus_then_ws] = ACTIONS(3090),
    [sym__bang_custom] = ACTIONS(3090),
    [sym_else] = ACTIONS(3094),
    [sym__as_custom] = ACTIONS(3090),
    [sym__as_quest_custom] = ACTIONS(3090),
    [sym__as_bang_custom] = ACTIONS(3090),
    [sym__custom_operator] = ACTIONS(3090),
  },
  [749] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(3096),
    [anon_sym_async] = ACTIONS(3096),
    [anon_sym_lazy] = ACTIONS(3096),
    [anon_sym_package] = ACTIONS(3096),
    [anon_sym_RPAREN] = ACTIONS(3096),
    [anon_sym_COMMA] = ACTIONS(3096),
    [anon_sym_COLON] = ACTIONS(3096),
    [anon_sym_LPAREN] = ACTIONS(3096),
    [anon_sym_LBRACK] = ACTIONS(3096),
    [anon_sym_RBRACK] = ACTIONS(3096),
    [anon_sym_QMARK] = ACTIONS(3098),
    [anon_sym_QMARK2] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3096),
    [aux_sym_custom_operator_token1] = ACTIONS(3096),
    [anon_sym_LT] = ACTIONS(3098),
    [anon_sym_GT] = ACTIONS(3098),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_CARET_LBRACE] = ACTIONS(3096),
    [anon_sym_RBRACE] = ACTIONS(3096),
    [anon_sym_case] = ACTIONS(3096),
    [anon_sym_PLUS_EQ] = ACTIONS(3096),
    [anon_sym_DASH_EQ] = ACTIONS(3096),
    [anon_sym_STAR_EQ] = ACTIONS(3096),
    [anon_sym_SLASH_EQ] = ACTIONS(3096),
    [anon_sym_PERCENT_EQ] = ACTIONS(3096),
    [anon_sym_BANG_EQ] = ACTIONS(3098),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3096),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3096),
    [anon_sym_LT_EQ] = ACTIONS(3096),
    [anon_sym_GT_EQ] = ACTIONS(3096),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3096),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3096),
    [anon_sym_is] = ACTIONS(3096),
    [anon_sym_PLUS] = ACTIONS(3098),
    [anon_sym_DASH] = ACTIONS(3098),
    [anon_sym_STAR] = ACTIONS(3098),
    [anon_sym_SLASH] = ACTIONS(3098),
    [anon_sym_PERCENT] = ACTIONS(3098),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PIPE] = ACTIONS(3096),
    [anon_sym_CARET] = ACTIONS(3098),
    [anon_sym_LT_LT] = ACTIONS(3096),
    [anon_sym_GT_GT] = ACTIONS(3096),
    [anon_sym_import] = ACTIONS(3096),
    [anon_sym_typealias] = ACTIONS(3096),
    [anon_sym_struct] = ACTIONS(3096),
    [anon_sym_class] = ACTIONS(3096),
    [anon_sym_enum] = ACTIONS(3096),
    [anon_sym_protocol] = ACTIONS(3096),
    [anon_sym_let] = ACTIONS(3096),
    [anon_sym_var] = ACTIONS(3096),
    [anon_sym_func] = ACTIONS(3096),
    [anon_sym_extension] = ACTIONS(3096),
    [anon_sym_indirect] = ACTIONS(3096),
    [anon_sym_BANG2] = ACTIONS(3098),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym_init] = ACTIONS(3096),
    [anon_sym_deinit] = ACTIONS(3096),
    [anon_sym_subscript] = ACTIONS(3096),
    [anon_sym_prefix] = ACTIONS(3096),
    [anon_sym_infix] = ACTIONS(3096),
    [anon_sym_postfix] = ACTIONS(3096),
    [anon_sym_precedencegroup] = ACTIONS(3096),
    [anon_sym_associatedtype] = ACTIONS(3096),
    [anon_sym_AT] = ACTIONS(3098),
    [anon_sym_override] = ACTIONS(3096),
    [anon_sym_convenience] = ACTIONS(3096),
    [anon_sym_required] = ACTIONS(3096),
    [anon_sym_nonisolated] = ACTIONS(3096),
    [anon_sym_public] = ACTIONS(3096),
    [anon_sym_private] = ACTIONS(3096),
    [anon_sym_internal] = ACTIONS(3096),
    [anon_sym_fileprivate] = ACTIONS(3096),
    [anon_sym_open] = ACTIONS(3096),
    [anon_sym_mutating] = ACTIONS(3096),
    [anon_sym_nonmutating] = ACTIONS(3096),
    [anon_sym_static] = ACTIONS(3096),
    [anon_sym_dynamic] = ACTIONS(3096),
    [anon_sym_optional] = ACTIONS(3096),
    [anon_sym_distributed] = ACTIONS(3096),
    [anon_sym_final] = ACTIONS(3096),
    [anon_sym_inout] = ACTIONS(3096),
    [anon_sym_ATescaping] = ACTIONS(3096),
    [anon_sym_ATautoclosure] = ACTIONS(3096),
    [anon_sym_weak] = ACTIONS(3096),
    [anon_sym_unowned] = ACTIONS(3098),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3096),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3096),
    [anon_sym_borrowing] = ACTIONS(3096),
    [anon_sym_consuming] = ACTIONS(3096),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3096),
    [sym__conjunction_operator_custom] = ACTIONS(3096),
    [sym__disjunction_operator_custom] = ACTIONS(3096),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3096),
    [sym__eq_custom] = ACTIONS(3096),
    [sym__eq_eq_custom] = ACTIONS(3096),
    [sym__plus_then_ws] = ACTIONS(3096),
    [sym__minus_then_ws] = ACTIONS(3096),
    [sym__bang_custom] = ACTIONS(3096),
    [sym__as_custom] = ACTIONS(3096),
    [sym__as_quest_custom] = ACTIONS(3096),
    [sym__as_bang_custom] = ACTIONS(3096),
    [sym__custom_operator] = ACTIONS(3096),
  },
  [750] = {
    [sym_simple_identifier] = STATE(1003),
    [sym__contextual_simple_identifier] = STATE(1015),
    [sym__simple_user_type] = STATE(1010),
    [sym_array_type] = STATE(1010),
    [sym_dictionary_type] = STATE(1010),
    [sym__parameter_ownership_modifier] = STATE(1015),
    [aux_sym_key_path_expression_repeat1] = STATE(1014),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(673),
    [aux_sym_simple_identifier_token2] = ACTIONS(675),
    [aux_sym_simple_identifier_token3] = ACTIONS(675),
    [aux_sym_simple_identifier_token4] = ACTIONS(675),
    [anon_sym_actor] = ACTIONS(673),
    [anon_sym_async] = ACTIONS(673),
    [anon_sym_each] = ACTIONS(673),
    [anon_sym_lazy] = ACTIONS(673),
    [anon_sym_repeat] = ACTIONS(673),
    [anon_sym_package] = ACTIONS(673),
    [anon_sym_COMMA] = ACTIONS(2738),
    [anon_sym_LPAREN] = ACTIONS(2738),
    [anon_sym_LBRACK] = ACTIONS(3100),
    [anon_sym_DOT] = ACTIONS(3102),
    [anon_sym_QMARK] = ACTIONS(2744),
    [anon_sym_QMARK2] = ACTIONS(2738),
    [anon_sym_AMP] = ACTIONS(2738),
    [aux_sym_custom_operator_token1] = ACTIONS(2738),
    [anon_sym_LT] = ACTIONS(2744),
    [anon_sym_GT] = ACTIONS(2744),
    [anon_sym_LBRACE] = ACTIONS(2738),
    [anon_sym_CARET_LBRACE] = ACTIONS(2738),
    [anon_sym_RBRACE] = ACTIONS(2738),
    [anon_sym_case] = ACTIONS(2744),
    [anon_sym_fallthrough] = ACTIONS(2744),
    [anon_sym_PLUS_EQ] = ACTIONS(2738),
    [anon_sym_DASH_EQ] = ACTIONS(2738),
    [anon_sym_STAR_EQ] = ACTIONS(2738),
    [anon_sym_SLASH_EQ] = ACTIONS(2738),
    [anon_sym_PERCENT_EQ] = ACTIONS(2738),
    [anon_sym_BANG_EQ] = ACTIONS(2744),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2738),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2738),
    [anon_sym_LT_EQ] = ACTIONS(2738),
    [anon_sym_GT_EQ] = ACTIONS(2738),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2738),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2738),
    [anon_sym_is] = ACTIONS(2744),
    [anon_sym_PLUS] = ACTIONS(2744),
    [anon_sym_DASH] = ACTIONS(2744),
    [anon_sym_STAR] = ACTIONS(2744),
    [anon_sym_SLASH] = ACTIONS(2744),
    [anon_sym_PERCENT] = ACTIONS(2744),
    [anon_sym_PLUS_PLUS] = ACTIONS(2738),
    [anon_sym_DASH_DASH] = ACTIONS(2738),
    [anon_sym_PIPE] = ACTIONS(2738),
    [anon_sym_CARET] = ACTIONS(2744),
    [anon_sym_LT_LT] = ACTIONS(2738),
    [anon_sym_GT_GT] = ACTIONS(2738),
    [anon_sym_class] = ACTIONS(2744),
    [anon_sym_BANG2] = ACTIONS(2744),
    [anon_sym_prefix] = ACTIONS(2744),
    [anon_sym_infix] = ACTIONS(2744),
    [anon_sym_postfix] = ACTIONS(2744),
    [anon_sym_AT] = ACTIONS(2744),
    [anon_sym_override] = ACTIONS(2744),
    [anon_sym_convenience] = ACTIONS(2744),
    [anon_sym_required] = ACTIONS(2744),
    [anon_sym_nonisolated] = ACTIONS(2744),
    [anon_sym_public] = ACTIONS(2744),
    [anon_sym_private] = ACTIONS(2744),
    [anon_sym_internal] = ACTIONS(2744),
    [anon_sym_fileprivate] = ACTIONS(2744),
    [anon_sym_open] = ACTIONS(2744),
    [anon_sym_mutating] = ACTIONS(2744),
    [anon_sym_nonmutating] = ACTIONS(2744),
    [anon_sym_static] = ACTIONS(2744),
    [anon_sym_dynamic] = ACTIONS(2744),
    [anon_sym_optional] = ACTIONS(2744),
    [anon_sym_distributed] = ACTIONS(2744),
    [anon_sym_final] = ACTIONS(2744),
    [anon_sym_inout] = ACTIONS(2744),
    [anon_sym_ATescaping] = ACTIONS(2738),
    [anon_sym_ATautoclosure] = ACTIONS(2738),
    [anon_sym_weak] = ACTIONS(2744),
    [anon_sym_unowned] = ACTIONS(2744),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2738),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2738),
    [anon_sym_borrowing] = ACTIONS(673),
    [anon_sym_consuming] = ACTIONS(673),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2738),
    [sym__explicit_semi] = ACTIONS(2738),
    [sym__dot_custom] = ACTIONS(2738),
    [sym__conjunction_operator_custom] = ACTIONS(2738),
    [sym__disjunction_operator_custom] = ACTIONS(2738),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2738),
    [sym__eq_custom] = ACTIONS(2738),
    [sym__eq_eq_custom] = ACTIONS(2738),
    [sym__plus_then_ws] = ACTIONS(2738),
    [sym__minus_then_ws] = ACTIONS(2738),
    [sym__bang_custom] = ACTIONS(2738),
    [sym_default_keyword] = ACTIONS(2738),
    [sym_where_keyword] = ACTIONS(2738),
    [sym__as_custom] = ACTIONS(2738),
    [sym__as_quest_custom] = ACTIONS(2738),
    [sym__as_bang_custom] = ACTIONS(2738),
    [sym__custom_operator] = ACTIONS(2738),
  },
  [751] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(3104),
    [anon_sym_async] = ACTIONS(3104),
    [anon_sym_lazy] = ACTIONS(3104),
    [anon_sym_package] = ACTIONS(3104),
    [anon_sym_RPAREN] = ACTIONS(3104),
    [anon_sym_COMMA] = ACTIONS(3104),
    [anon_sym_COLON] = ACTIONS(3104),
    [anon_sym_LPAREN] = ACTIONS(3104),
    [anon_sym_LBRACK] = ACTIONS(3104),
    [anon_sym_RBRACK] = ACTIONS(3104),
    [anon_sym_QMARK] = ACTIONS(3106),
    [anon_sym_QMARK2] = ACTIONS(3104),
    [anon_sym_AMP] = ACTIONS(3104),
    [aux_sym_custom_operator_token1] = ACTIONS(3104),
    [anon_sym_LT] = ACTIONS(3106),
    [anon_sym_GT] = ACTIONS(3106),
    [anon_sym_LBRACE] = ACTIONS(3104),
    [anon_sym_CARET_LBRACE] = ACTIONS(3104),
    [anon_sym_RBRACE] = ACTIONS(3104),
    [anon_sym_case] = ACTIONS(3104),
    [anon_sym_PLUS_EQ] = ACTIONS(3104),
    [anon_sym_DASH_EQ] = ACTIONS(3104),
    [anon_sym_STAR_EQ] = ACTIONS(3104),
    [anon_sym_SLASH_EQ] = ACTIONS(3104),
    [anon_sym_PERCENT_EQ] = ACTIONS(3104),
    [anon_sym_BANG_EQ] = ACTIONS(3106),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3104),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3104),
    [anon_sym_LT_EQ] = ACTIONS(3104),
    [anon_sym_GT_EQ] = ACTIONS(3104),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3104),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3104),
    [anon_sym_is] = ACTIONS(3104),
    [anon_sym_PLUS] = ACTIONS(3106),
    [anon_sym_DASH] = ACTIONS(3106),
    [anon_sym_STAR] = ACTIONS(3106),
    [anon_sym_SLASH] = ACTIONS(3106),
    [anon_sym_PERCENT] = ACTIONS(3106),
    [anon_sym_PLUS_PLUS] = ACTIONS(3104),
    [anon_sym_DASH_DASH] = ACTIONS(3104),
    [anon_sym_PIPE] = ACTIONS(3104),
    [anon_sym_CARET] = ACTIONS(3106),
    [anon_sym_LT_LT] = ACTIONS(3104),
    [anon_sym_GT_GT] = ACTIONS(3104),
    [anon_sym_import] = ACTIONS(3104),
    [anon_sym_typealias] = ACTIONS(3104),
    [anon_sym_struct] = ACTIONS(3104),
    [anon_sym_class] = ACTIONS(3104),
    [anon_sym_enum] = ACTIONS(3104),
    [anon_sym_protocol] = ACTIONS(3104),
    [anon_sym_let] = ACTIONS(3104),
    [anon_sym_var] = ACTIONS(3104),
    [anon_sym_func] = ACTIONS(3104),
    [anon_sym_extension] = ACTIONS(3104),
    [anon_sym_indirect] = ACTIONS(3104),
    [anon_sym_BANG2] = ACTIONS(3106),
    [anon_sym_SEMI] = ACTIONS(3104),
    [anon_sym_init] = ACTIONS(3104),
    [anon_sym_deinit] = ACTIONS(3104),
    [anon_sym_subscript] = ACTIONS(3104),
    [anon_sym_prefix] = ACTIONS(3104),
    [anon_sym_infix] = ACTIONS(3104),
    [anon_sym_postfix] = ACTIONS(3104),
    [anon_sym_precedencegroup] = ACTIONS(3104),
    [anon_sym_associatedtype] = ACTIONS(3104),
    [anon_sym_AT] = ACTIONS(3106),
    [anon_sym_override] = ACTIONS(3104),
    [anon_sym_convenience] = ACTIONS(3104),
    [anon_sym_required] = ACTIONS(3104),
    [anon_sym_nonisolated] = ACTIONS(3104),
    [anon_sym_public] = ACTIONS(3104),
    [anon_sym_private] = ACTIONS(3104),
    [anon_sym_internal] = ACTIONS(3104),
    [anon_sym_fileprivate] = ACTIONS(3104),
    [anon_sym_open] = ACTIONS(3104),
    [anon_sym_mutating] = ACTIONS(3104),
    [anon_sym_nonmutating] = ACTIONS(3104),
    [anon_sym_static] = ACTIONS(3104),
    [anon_sym_dynamic] = ACTIONS(3104),
    [anon_sym_optional] = ACTIONS(3104),
    [anon_sym_distributed] = ACTIONS(3104),
    [anon_sym_final] = ACTIONS(3104),
    [anon_sym_inout] = ACTIONS(3104),
    [anon_sym_ATescaping] = ACTIONS(3104),
    [anon_sym_ATautoclosure] = ACTIONS(3104),
    [anon_sym_weak] = ACTIONS(3104),
    [anon_sym_unowned] = ACTIONS(3106),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3104),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3104),
    [anon_sym_borrowing] = ACTIONS(3104),
    [anon_sym_consuming] = ACTIONS(3104),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3104),
    [sym__conjunction_operator_custom] = ACTIONS(3104),
    [sym__disjunction_operator_custom] = ACTIONS(3104),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3104),
    [sym__eq_custom] = ACTIONS(3104),
    [sym__eq_eq_custom] = ACTIONS(3104),
    [sym__plus_then_ws] = ACTIONS(3104),
    [sym__minus_then_ws] = ACTIONS(3104),
    [sym__bang_custom] = ACTIONS(3104),
    [sym__as_custom] = ACTIONS(3104),
    [sym__as_quest_custom] = ACTIONS(3104),
    [sym__as_bang_custom] = ACTIONS(3104),
    [sym__custom_operator] = ACTIONS(3104),
  },
  [752] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(3108),
    [anon_sym_async] = ACTIONS(3108),
    [anon_sym_lazy] = ACTIONS(3108),
    [anon_sym_package] = ACTIONS(3108),
    [anon_sym_RPAREN] = ACTIONS(3108),
    [anon_sym_COMMA] = ACTIONS(3108),
    [anon_sym_COLON] = ACTIONS(3108),
    [anon_sym_LPAREN] = ACTIONS(3108),
    [anon_sym_LBRACK] = ACTIONS(3108),
    [anon_sym_RBRACK] = ACTIONS(3108),
    [anon_sym_QMARK] = ACTIONS(3110),
    [anon_sym_QMARK2] = ACTIONS(3108),
    [anon_sym_AMP] = ACTIONS(3108),
    [aux_sym_custom_operator_token1] = ACTIONS(3108),
    [anon_sym_LT] = ACTIONS(3110),
    [anon_sym_GT] = ACTIONS(3110),
    [anon_sym_LBRACE] = ACTIONS(3108),
    [anon_sym_CARET_LBRACE] = ACTIONS(3108),
    [anon_sym_RBRACE] = ACTIONS(3108),
    [anon_sym_case] = ACTIONS(3108),
    [anon_sym_PLUS_EQ] = ACTIONS(3108),
    [anon_sym_DASH_EQ] = ACTIONS(3108),
    [anon_sym_STAR_EQ] = ACTIONS(3108),
    [anon_sym_SLASH_EQ] = ACTIONS(3108),
    [anon_sym_PERCENT_EQ] = ACTIONS(3108),
    [anon_sym_BANG_EQ] = ACTIONS(3110),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3108),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3108),
    [anon_sym_LT_EQ] = ACTIONS(3108),
    [anon_sym_GT_EQ] = ACTIONS(3108),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3108),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3108),
    [anon_sym_is] = ACTIONS(3108),
    [anon_sym_PLUS] = ACTIONS(3110),
    [anon_sym_DASH] = ACTIONS(3110),
    [anon_sym_STAR] = ACTIONS(3110),
    [anon_sym_SLASH] = ACTIONS(3110),
    [anon_sym_PERCENT] = ACTIONS(3110),
    [anon_sym_PLUS_PLUS] = ACTIONS(3108),
    [anon_sym_DASH_DASH] = ACTIONS(3108),
    [anon_sym_PIPE] = ACTIONS(3108),
    [anon_sym_CARET] = ACTIONS(3110),
    [anon_sym_LT_LT] = ACTIONS(3108),
    [anon_sym_GT_GT] = ACTIONS(3108),
    [anon_sym_import] = ACTIONS(3108),
    [anon_sym_typealias] = ACTIONS(3108),
    [anon_sym_struct] = ACTIONS(3108),
    [anon_sym_class] = ACTIONS(3108),
    [anon_sym_enum] = ACTIONS(3108),
    [anon_sym_protocol] = ACTIONS(3108),
    [anon_sym_let] = ACTIONS(3108),
    [anon_sym_var] = ACTIONS(3108),
    [anon_sym_func] = ACTIONS(3108),
    [anon_sym_extension] = ACTIONS(3108),
    [anon_sym_indirect] = ACTIONS(3108),
    [anon_sym_BANG2] = ACTIONS(3110),
    [anon_sym_SEMI] = ACTIONS(3108),
    [anon_sym_init] = ACTIONS(3108),
    [anon_sym_deinit] = ACTIONS(3108),
    [anon_sym_subscript] = ACTIONS(3108),
    [anon_sym_prefix] = ACTIONS(3108),
    [anon_sym_infix] = ACTIONS(3108),
    [anon_sym_postfix] = ACTIONS(3108),
    [anon_sym_precedencegroup] = ACTIONS(3108),
    [anon_sym_associatedtype] = ACTIONS(3108),
    [anon_sym_AT] = ACTIONS(3110),
    [anon_sym_override] = ACTIONS(3108),
    [anon_sym_convenience] = ACTIONS(3108),
    [anon_sym_required] = ACTIONS(3108),
    [anon_sym_nonisolated] = ACTIONS(3108),
    [anon_sym_public] = ACTIONS(3108),
    [anon_sym_private] = ACTIONS(3108),
    [anon_sym_internal] = ACTIONS(3108),
    [anon_sym_fileprivate] = ACTIONS(3108),
    [anon_sym_open] = ACTIONS(3108),
    [anon_sym_mutating] = ACTIONS(3108),
    [anon_sym_nonmutating] = ACTIONS(3108),
    [anon_sym_static] = ACTIONS(3108),
    [anon_sym_dynamic] = ACTIONS(3108),
    [anon_sym_optional] = ACTIONS(3108),
    [anon_sym_distributed] = ACTIONS(3108),
    [anon_sym_final] = ACTIONS(3108),
    [anon_sym_inout] = ACTIONS(3108),
    [anon_sym_ATescaping] = ACTIONS(3108),
    [anon_sym_ATautoclosure] = ACTIONS(3108),
    [anon_sym_weak] = ACTIONS(3108),
    [anon_sym_unowned] = ACTIONS(3110),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3108),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3108),
    [anon_sym_borrowing] = ACTIONS(3108),
    [anon_sym_consuming] = ACTIONS(3108),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3108),
    [sym__conjunction_operator_custom] = ACTIONS(3108),
    [sym__disjunction_operator_custom] = ACTIONS(3108),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3108),
    [sym__eq_custom] = ACTIONS(3108),
    [sym__eq_eq_custom] = ACTIONS(3108),
    [sym__plus_then_ws] = ACTIONS(3108),
    [sym__minus_then_ws] = ACTIONS(3108),
    [sym__bang_custom] = ACTIONS(3108),
    [sym__as_custom] = ACTIONS(3108),
    [sym__as_quest_custom] = ACTIONS(3108),
    [sym__as_bang_custom] = ACTIONS(3108),
    [sym__custom_operator] = ACTIONS(3108),
  },
  [753] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(3112),
    [anon_sym_async] = ACTIONS(3112),
    [anon_sym_lazy] = ACTIONS(3112),
    [anon_sym_package] = ACTIONS(3112),
    [anon_sym_RPAREN] = ACTIONS(3112),
    [anon_sym_COMMA] = ACTIONS(3112),
    [anon_sym_COLON] = ACTIONS(3112),
    [anon_sym_LPAREN] = ACTIONS(3112),
    [anon_sym_LBRACK] = ACTIONS(3112),
    [anon_sym_RBRACK] = ACTIONS(3112),
    [anon_sym_QMARK] = ACTIONS(3114),
    [anon_sym_QMARK2] = ACTIONS(3112),
    [anon_sym_AMP] = ACTIONS(3112),
    [aux_sym_custom_operator_token1] = ACTIONS(3112),
    [anon_sym_LT] = ACTIONS(3114),
    [anon_sym_GT] = ACTIONS(3114),
    [anon_sym_LBRACE] = ACTIONS(3112),
    [anon_sym_CARET_LBRACE] = ACTIONS(3112),
    [anon_sym_RBRACE] = ACTIONS(3112),
    [anon_sym_case] = ACTIONS(3112),
    [anon_sym_PLUS_EQ] = ACTIONS(3112),
    [anon_sym_DASH_EQ] = ACTIONS(3112),
    [anon_sym_STAR_EQ] = ACTIONS(3112),
    [anon_sym_SLASH_EQ] = ACTIONS(3112),
    [anon_sym_PERCENT_EQ] = ACTIONS(3112),
    [anon_sym_BANG_EQ] = ACTIONS(3114),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3112),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3112),
    [anon_sym_LT_EQ] = ACTIONS(3112),
    [anon_sym_GT_EQ] = ACTIONS(3112),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3112),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3112),
    [anon_sym_is] = ACTIONS(3112),
    [anon_sym_PLUS] = ACTIONS(3114),
    [anon_sym_DASH] = ACTIONS(3114),
    [anon_sym_STAR] = ACTIONS(3114),
    [anon_sym_SLASH] = ACTIONS(3114),
    [anon_sym_PERCENT] = ACTIONS(3114),
    [anon_sym_PLUS_PLUS] = ACTIONS(3112),
    [anon_sym_DASH_DASH] = ACTIONS(3112),
    [anon_sym_PIPE] = ACTIONS(3112),
    [anon_sym_CARET] = ACTIONS(3114),
    [anon_sym_LT_LT] = ACTIONS(3112),
    [anon_sym_GT_GT] = ACTIONS(3112),
    [anon_sym_import] = ACTIONS(3112),
    [anon_sym_typealias] = ACTIONS(3112),
    [anon_sym_struct] = ACTIONS(3112),
    [anon_sym_class] = ACTIONS(3112),
    [anon_sym_enum] = ACTIONS(3112),
    [anon_sym_protocol] = ACTIONS(3112),
    [anon_sym_let] = ACTIONS(3112),
    [anon_sym_var] = ACTIONS(3112),
    [anon_sym_func] = ACTIONS(3112),
    [anon_sym_extension] = ACTIONS(3112),
    [anon_sym_indirect] = ACTIONS(3112),
    [anon_sym_BANG2] = ACTIONS(3114),
    [anon_sym_SEMI] = ACTIONS(3112),
    [anon_sym_init] = ACTIONS(3112),
    [anon_sym_deinit] = ACTIONS(3112),
    [anon_sym_subscript] = ACTIONS(3112),
    [anon_sym_prefix] = ACTIONS(3112),
    [anon_sym_infix] = ACTIONS(3112),
    [anon_sym_postfix] = ACTIONS(3112),
    [anon_sym_precedencegroup] = ACTIONS(3112),
    [anon_sym_associatedtype] = ACTIONS(3112),
    [anon_sym_AT] = ACTIONS(3114),
    [anon_sym_override] = ACTIONS(3112),
    [anon_sym_convenience] = ACTIONS(3112),
    [anon_sym_required] = ACTIONS(3112),
    [anon_sym_nonisolated] = ACTIONS(3112),
    [anon_sym_public] = ACTIONS(3112),
    [anon_sym_private] = ACTIONS(3112),
    [anon_sym_internal] = ACTIONS(3112),
    [anon_sym_fileprivate] = ACTIONS(3112),
    [anon_sym_open] = ACTIONS(3112),
    [anon_sym_mutating] = ACTIONS(3112),
    [anon_sym_nonmutating] = ACTIONS(3112),
    [anon_sym_static] = ACTIONS(3112),
    [anon_sym_dynamic] = ACTIONS(3112),
    [anon_sym_optional] = ACTIONS(3112),
    [anon_sym_distributed] = ACTIONS(3112),
    [anon_sym_final] = ACTIONS(3112),
    [anon_sym_inout] = ACTIONS(3112),
    [anon_sym_ATescaping] = ACTIONS(3112),
    [anon_sym_ATautoclosure] = ACTIONS(3112),
    [anon_sym_weak] = ACTIONS(3112),
    [anon_sym_unowned] = ACTIONS(3114),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3112),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3112),
    [anon_sym_borrowing] = ACTIONS(3112),
    [anon_sym_consuming] = ACTIONS(3112),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3112),
    [sym__conjunction_operator_custom] = ACTIONS(3112),
    [sym__disjunction_operator_custom] = ACTIONS(3112),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3112),
    [sym__eq_custom] = ACTIONS(3112),
    [sym__eq_eq_custom] = ACTIONS(3112),
    [sym__plus_then_ws] = ACTIONS(3112),
    [sym__minus_then_ws] = ACTIONS(3112),
    [sym__bang_custom] = ACTIONS(3112),
    [sym__as_custom] = ACTIONS(3112),
    [sym__as_quest_custom] = ACTIONS(3112),
    [sym__as_bang_custom] = ACTIONS(3112),
    [sym__custom_operator] = ACTIONS(3112),
  },
  [754] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(3116),
    [anon_sym_async] = ACTIONS(3116),
    [anon_sym_lazy] = ACTIONS(3116),
    [anon_sym_package] = ACTIONS(3116),
    [anon_sym_RPAREN] = ACTIONS(3116),
    [anon_sym_COMMA] = ACTIONS(3116),
    [anon_sym_COLON] = ACTIONS(3116),
    [anon_sym_LPAREN] = ACTIONS(3116),
    [anon_sym_LBRACK] = ACTIONS(3116),
    [anon_sym_RBRACK] = ACTIONS(3116),
    [anon_sym_QMARK] = ACTIONS(3118),
    [anon_sym_QMARK2] = ACTIONS(3116),
    [anon_sym_AMP] = ACTIONS(3116),
    [aux_sym_custom_operator_token1] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_GT] = ACTIONS(3118),
    [anon_sym_LBRACE] = ACTIONS(3116),
    [anon_sym_CARET_LBRACE] = ACTIONS(3116),
    [anon_sym_RBRACE] = ACTIONS(3116),
    [anon_sym_case] = ACTIONS(3116),
    [anon_sym_PLUS_EQ] = ACTIONS(3116),
    [anon_sym_DASH_EQ] = ACTIONS(3116),
    [anon_sym_STAR_EQ] = ACTIONS(3116),
    [anon_sym_SLASH_EQ] = ACTIONS(3116),
    [anon_sym_PERCENT_EQ] = ACTIONS(3116),
    [anon_sym_BANG_EQ] = ACTIONS(3118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3116),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3116),
    [anon_sym_LT_EQ] = ACTIONS(3116),
    [anon_sym_GT_EQ] = ACTIONS(3116),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3116),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3116),
    [anon_sym_is] = ACTIONS(3116),
    [anon_sym_PLUS] = ACTIONS(3118),
    [anon_sym_DASH] = ACTIONS(3118),
    [anon_sym_STAR] = ACTIONS(3118),
    [anon_sym_SLASH] = ACTIONS(3118),
    [anon_sym_PERCENT] = ACTIONS(3118),
    [anon_sym_PLUS_PLUS] = ACTIONS(3116),
    [anon_sym_DASH_DASH] = ACTIONS(3116),
    [anon_sym_PIPE] = ACTIONS(3116),
    [anon_sym_CARET] = ACTIONS(3118),
    [anon_sym_LT_LT] = ACTIONS(3116),
    [anon_sym_GT_GT] = ACTIONS(3116),
    [anon_sym_import] = ACTIONS(3116),
    [anon_sym_typealias] = ACTIONS(3116),
    [anon_sym_struct] = ACTIONS(3116),
    [anon_sym_class] = ACTIONS(3116),
    [anon_sym_enum] = ACTIONS(3116),
    [anon_sym_protocol] = ACTIONS(3116),
    [anon_sym_let] = ACTIONS(3116),
    [anon_sym_var] = ACTIONS(3116),
    [anon_sym_func] = ACTIONS(3116),
    [anon_sym_extension] = ACTIONS(3116),
    [anon_sym_indirect] = ACTIONS(3116),
    [anon_sym_BANG2] = ACTIONS(3118),
    [anon_sym_SEMI] = ACTIONS(3116),
    [anon_sym_init] = ACTIONS(3116),
    [anon_sym_deinit] = ACTIONS(3116),
    [anon_sym_subscript] = ACTIONS(3116),
    [anon_sym_prefix] = ACTIONS(3116),
    [anon_sym_infix] = ACTIONS(3116),
    [anon_sym_postfix] = ACTIONS(3116),
    [anon_sym_precedencegroup] = ACTIONS(3116),
    [anon_sym_associatedtype] = ACTIONS(3116),
    [anon_sym_AT] = ACTIONS(3118),
    [anon_sym_override] = ACTIONS(3116),
    [anon_sym_convenience] = ACTIONS(3116),
    [anon_sym_required] = ACTIONS(3116),
    [anon_sym_nonisolated] = ACTIONS(3116),
    [anon_sym_public] = ACTIONS(3116),
    [anon_sym_private] = ACTIONS(3116),
    [anon_sym_internal] = ACTIONS(3116),
    [anon_sym_fileprivate] = ACTIONS(3116),
    [anon_sym_open] = ACTIONS(3116),
    [anon_sym_mutating] = ACTIONS(3116),
    [anon_sym_nonmutating] = ACTIONS(3116),
    [anon_sym_static] = ACTIONS(3116),
    [anon_sym_dynamic] = ACTIONS(3116),
    [anon_sym_optional] = ACTIONS(3116),
    [anon_sym_distributed] = ACTIONS(3116),
    [anon_sym_final] = ACTIONS(3116),
    [anon_sym_inout] = ACTIONS(3116),
    [anon_sym_ATescaping] = ACTIONS(3116),
    [anon_sym_ATautoclosure] = ACTIONS(3116),
    [anon_sym_weak] = ACTIONS(3116),
    [anon_sym_unowned] = ACTIONS(3118),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3116),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3116),
    [anon_sym_borrowing] = ACTIONS(3116),
    [anon_sym_consuming] = ACTIONS(3116),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3116),
    [sym__conjunction_operator_custom] = ACTIONS(3116),
    [sym__disjunction_operator_custom] = ACTIONS(3116),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3116),
    [sym__eq_custom] = ACTIONS(3116),
    [sym__eq_eq_custom] = ACTIONS(3116),
    [sym__plus_then_ws] = ACTIONS(3116),
    [sym__minus_then_ws] = ACTIONS(3116),
    [sym__bang_custom] = ACTIONS(3116),
    [sym__as_custom] = ACTIONS(3116),
    [sym__as_quest_custom] = ACTIONS(3116),
    [sym__as_bang_custom] = ACTIONS(3116),
    [sym__custom_operator] = ACTIONS(3116),
  },
  [755] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(3120),
    [anon_sym_async] = ACTIONS(3120),
    [anon_sym_lazy] = ACTIONS(3120),
    [anon_sym_package] = ACTIONS(3120),
    [anon_sym_RPAREN] = ACTIONS(3120),
    [anon_sym_COMMA] = ACTIONS(3120),
    [anon_sym_COLON] = ACTIONS(3120),
    [anon_sym_LPAREN] = ACTIONS(3120),
    [anon_sym_LBRACK] = ACTIONS(3120),
    [anon_sym_RBRACK] = ACTIONS(3120),
    [anon_sym_QMARK] = ACTIONS(3122),
    [anon_sym_QMARK2] = ACTIONS(3120),
    [anon_sym_AMP] = ACTIONS(3120),
    [aux_sym_custom_operator_token1] = ACTIONS(3120),
    [anon_sym_LT] = ACTIONS(3122),
    [anon_sym_GT] = ACTIONS(3122),
    [anon_sym_LBRACE] = ACTIONS(3120),
    [anon_sym_CARET_LBRACE] = ACTIONS(3120),
    [anon_sym_RBRACE] = ACTIONS(3120),
    [anon_sym_case] = ACTIONS(3120),
    [anon_sym_PLUS_EQ] = ACTIONS(3120),
    [anon_sym_DASH_EQ] = ACTIONS(3120),
    [anon_sym_STAR_EQ] = ACTIONS(3120),
    [anon_sym_SLASH_EQ] = ACTIONS(3120),
    [anon_sym_PERCENT_EQ] = ACTIONS(3120),
    [anon_sym_BANG_EQ] = ACTIONS(3122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3120),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3120),
    [anon_sym_LT_EQ] = ACTIONS(3120),
    [anon_sym_GT_EQ] = ACTIONS(3120),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3120),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3120),
    [anon_sym_is] = ACTIONS(3120),
    [anon_sym_PLUS] = ACTIONS(3122),
    [anon_sym_DASH] = ACTIONS(3122),
    [anon_sym_STAR] = ACTIONS(3122),
    [anon_sym_SLASH] = ACTIONS(3122),
    [anon_sym_PERCENT] = ACTIONS(3122),
    [anon_sym_PLUS_PLUS] = ACTIONS(3120),
    [anon_sym_DASH_DASH] = ACTIONS(3120),
    [anon_sym_PIPE] = ACTIONS(3120),
    [anon_sym_CARET] = ACTIONS(3122),
    [anon_sym_LT_LT] = ACTIONS(3120),
    [anon_sym_GT_GT] = ACTIONS(3120),
    [anon_sym_import] = ACTIONS(3120),
    [anon_sym_typealias] = ACTIONS(3120),
    [anon_sym_struct] = ACTIONS(3120),
    [anon_sym_class] = ACTIONS(3120),
    [anon_sym_enum] = ACTIONS(3120),
    [anon_sym_protocol] = ACTIONS(3120),
    [anon_sym_let] = ACTIONS(3120),
    [anon_sym_var] = ACTIONS(3120),
    [anon_sym_func] = ACTIONS(3120),
    [anon_sym_extension] = ACTIONS(3120),
    [anon_sym_indirect] = ACTIONS(3120),
    [anon_sym_BANG2] = ACTIONS(3122),
    [anon_sym_SEMI] = ACTIONS(3120),
    [anon_sym_init] = ACTIONS(3120),
    [anon_sym_deinit] = ACTIONS(3120),
    [anon_sym_subscript] = ACTIONS(3120),
    [anon_sym_prefix] = ACTIONS(3120),
    [anon_sym_infix] = ACTIONS(3120),
    [anon_sym_postfix] = ACTIONS(3120),
    [anon_sym_precedencegroup] = ACTIONS(3120),
    [anon_sym_associatedtype] = ACTIONS(3120),
    [anon_sym_AT] = ACTIONS(3122),
    [anon_sym_override] = ACTIONS(3120),
    [anon_sym_convenience] = ACTIONS(3120),
    [anon_sym_required] = ACTIONS(3120),
    [anon_sym_nonisolated] = ACTIONS(3120),
    [anon_sym_public] = ACTIONS(3120),
    [anon_sym_private] = ACTIONS(3120),
    [anon_sym_internal] = ACTIONS(3120),
    [anon_sym_fileprivate] = ACTIONS(3120),
    [anon_sym_open] = ACTIONS(3120),
    [anon_sym_mutating] = ACTIONS(3120),
    [anon_sym_nonmutating] = ACTIONS(3120),
    [anon_sym_static] = ACTIONS(3120),
    [anon_sym_dynamic] = ACTIONS(3120),
    [anon_sym_optional] = ACTIONS(3120),
    [anon_sym_distributed] = ACTIONS(3120),
    [anon_sym_final] = ACTIONS(3120),
    [anon_sym_inout] = ACTIONS(3120),
    [anon_sym_ATescaping] = ACTIONS(3120),
    [anon_sym_ATautoclosure] = ACTIONS(3120),
    [anon_sym_weak] = ACTIONS(3120),
    [anon_sym_unowned] = ACTIONS(3122),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3120),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3120),
    [anon_sym_borrowing] = ACTIONS(3120),
    [anon_sym_consuming] = ACTIONS(3120),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3120),
    [sym__conjunction_operator_custom] = ACTIONS(3120),
    [sym__disjunction_operator_custom] = ACTIONS(3120),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3120),
    [sym__eq_custom] = ACTIONS(3120),
    [sym__eq_eq_custom] = ACTIONS(3120),
    [sym__plus_then_ws] = ACTIONS(3120),
    [sym__minus_then_ws] = ACTIONS(3120),
    [sym__bang_custom] = ACTIONS(3120),
    [sym__as_custom] = ACTIONS(3120),
    [sym__as_quest_custom] = ACTIONS(3120),
    [sym__as_bang_custom] = ACTIONS(3120),
    [sym__custom_operator] = ACTIONS(3120),
  },
  [756] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(3124),
    [anon_sym_async] = ACTIONS(3124),
    [anon_sym_lazy] = ACTIONS(3124),
    [anon_sym_package] = ACTIONS(3124),
    [anon_sym_RPAREN] = ACTIONS(3124),
    [anon_sym_COMMA] = ACTIONS(3124),
    [anon_sym_COLON] = ACTIONS(3124),
    [anon_sym_LPAREN] = ACTIONS(3124),
    [anon_sym_LBRACK] = ACTIONS(3124),
    [anon_sym_RBRACK] = ACTIONS(3124),
    [anon_sym_QMARK] = ACTIONS(3126),
    [anon_sym_QMARK2] = ACTIONS(3124),
    [anon_sym_AMP] = ACTIONS(3124),
    [aux_sym_custom_operator_token1] = ACTIONS(3124),
    [anon_sym_LT] = ACTIONS(3126),
    [anon_sym_GT] = ACTIONS(3126),
    [anon_sym_LBRACE] = ACTIONS(3124),
    [anon_sym_CARET_LBRACE] = ACTIONS(3124),
    [anon_sym_RBRACE] = ACTIONS(3124),
    [anon_sym_case] = ACTIONS(3124),
    [anon_sym_PLUS_EQ] = ACTIONS(3124),
    [anon_sym_DASH_EQ] = ACTIONS(3124),
    [anon_sym_STAR_EQ] = ACTIONS(3124),
    [anon_sym_SLASH_EQ] = ACTIONS(3124),
    [anon_sym_PERCENT_EQ] = ACTIONS(3124),
    [anon_sym_BANG_EQ] = ACTIONS(3126),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3124),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3124),
    [anon_sym_LT_EQ] = ACTIONS(3124),
    [anon_sym_GT_EQ] = ACTIONS(3124),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3124),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3124),
    [anon_sym_is] = ACTIONS(3124),
    [anon_sym_PLUS] = ACTIONS(3126),
    [anon_sym_DASH] = ACTIONS(3126),
    [anon_sym_STAR] = ACTIONS(3126),
    [anon_sym_SLASH] = ACTIONS(3126),
    [anon_sym_PERCENT] = ACTIONS(3126),
    [anon_sym_PLUS_PLUS] = ACTIONS(3124),
    [anon_sym_DASH_DASH] = ACTIONS(3124),
    [anon_sym_PIPE] = ACTIONS(3124),
    [anon_sym_CARET] = ACTIONS(3126),
    [anon_sym_LT_LT] = ACTIONS(3124),
    [anon_sym_GT_GT] = ACTIONS(3124),
    [anon_sym_import] = ACTIONS(3124),
    [anon_sym_typealias] = ACTIONS(3124),
    [anon_sym_struct] = ACTIONS(3124),
    [anon_sym_class] = ACTIONS(3124),
    [anon_sym_enum] = ACTIONS(3124),
    [anon_sym_protocol] = ACTIONS(3124),
    [anon_sym_let] = ACTIONS(3124),
    [anon_sym_var] = ACTIONS(3124),
    [anon_sym_func] = ACTIONS(3124),
    [anon_sym_extension] = ACTIONS(3124),
    [anon_sym_indirect] = ACTIONS(3124),
    [anon_sym_BANG2] = ACTIONS(3126),
    [anon_sym_SEMI] = ACTIONS(3124),
    [anon_sym_init] = ACTIONS(3124),
    [anon_sym_deinit] = ACTIONS(3124),
    [anon_sym_subscript] = ACTIONS(3124),
    [anon_sym_prefix] = ACTIONS(3124),
    [anon_sym_infix] = ACTIONS(3124),
    [anon_sym_postfix] = ACTIONS(3124),
    [anon_sym_precedencegroup] = ACTIONS(3124),
    [anon_sym_associatedtype] = ACTIONS(3124),
    [anon_sym_AT] = ACTIONS(3126),
    [anon_sym_override] = ACTIONS(3124),
    [anon_sym_convenience] = ACTIONS(3124),
    [anon_sym_required] = ACTIONS(3124),
    [anon_sym_nonisolated] = ACTIONS(3124),
    [anon_sym_public] = ACTIONS(3124),
    [anon_sym_private] = ACTIONS(3124),
    [anon_sym_internal] = ACTIONS(3124),
    [anon_sym_fileprivate] = ACTIONS(3124),
    [anon_sym_open] = ACTIONS(3124),
    [anon_sym_mutating] = ACTIONS(3124),
    [anon_sym_nonmutating] = ACTIONS(3124),
    [anon_sym_static] = ACTIONS(3124),
    [anon_sym_dynamic] = ACTIONS(3124),
    [anon_sym_optional] = ACTIONS(3124),
    [anon_sym_distributed] = ACTIONS(3124),
    [anon_sym_final] = ACTIONS(3124),
    [anon_sym_inout] = ACTIONS(3124),
    [anon_sym_ATescaping] = ACTIONS(3124),
    [anon_sym_ATautoclosure] = ACTIONS(3124),
    [anon_sym_weak] = ACTIONS(3124),
    [anon_sym_unowned] = ACTIONS(3126),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3124),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3124),
    [anon_sym_borrowing] = ACTIONS(3124),
    [anon_sym_consuming] = ACTIONS(3124),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3124),
    [sym__conjunction_operator_custom] = ACTIONS(3124),
    [sym__disjunction_operator_custom] = ACTIONS(3124),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3124),
    [sym__eq_custom] = ACTIONS(3124),
    [sym__eq_eq_custom] = ACTIONS(3124),
    [sym__plus_then_ws] = ACTIONS(3124),
    [sym__minus_then_ws] = ACTIONS(3124),
    [sym__bang_custom] = ACTIONS(3124),
    [sym__as_custom] = ACTIONS(3124),
    [sym__as_quest_custom] = ACTIONS(3124),
    [sym__as_bang_custom] = ACTIONS(3124),
    [sym__custom_operator] = ACTIONS(3124),
  },
  [757] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(3128),
    [anon_sym_async] = ACTIONS(3128),
    [anon_sym_lazy] = ACTIONS(3128),
    [anon_sym_package] = ACTIONS(3128),
    [anon_sym_RPAREN] = ACTIONS(3128),
    [anon_sym_COMMA] = ACTIONS(3128),
    [anon_sym_COLON] = ACTIONS(3128),
    [anon_sym_LPAREN] = ACTIONS(3128),
    [anon_sym_LBRACK] = ACTIONS(3128),
    [anon_sym_RBRACK] = ACTIONS(3128),
    [anon_sym_QMARK] = ACTIONS(3130),
    [anon_sym_QMARK2] = ACTIONS(3128),
    [anon_sym_AMP] = ACTIONS(3128),
    [aux_sym_custom_operator_token1] = ACTIONS(3128),
    [anon_sym_LT] = ACTIONS(3130),
    [anon_sym_GT] = ACTIONS(3130),
    [anon_sym_LBRACE] = ACTIONS(3128),
    [anon_sym_CARET_LBRACE] = ACTIONS(3128),
    [anon_sym_RBRACE] = ACTIONS(3128),
    [anon_sym_case] = ACTIONS(3128),
    [anon_sym_PLUS_EQ] = ACTIONS(3128),
    [anon_sym_DASH_EQ] = ACTIONS(3128),
    [anon_sym_STAR_EQ] = ACTIONS(3128),
    [anon_sym_SLASH_EQ] = ACTIONS(3128),
    [anon_sym_PERCENT_EQ] = ACTIONS(3128),
    [anon_sym_BANG_EQ] = ACTIONS(3130),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3128),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3128),
    [anon_sym_LT_EQ] = ACTIONS(3128),
    [anon_sym_GT_EQ] = ACTIONS(3128),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3128),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3128),
    [anon_sym_is] = ACTIONS(3128),
    [anon_sym_PLUS] = ACTIONS(3130),
    [anon_sym_DASH] = ACTIONS(3130),
    [anon_sym_STAR] = ACTIONS(3130),
    [anon_sym_SLASH] = ACTIONS(3130),
    [anon_sym_PERCENT] = ACTIONS(3130),
    [anon_sym_PLUS_PLUS] = ACTIONS(3128),
    [anon_sym_DASH_DASH] = ACTIONS(3128),
    [anon_sym_PIPE] = ACTIONS(3128),
    [anon_sym_CARET] = ACTIONS(3130),
    [anon_sym_LT_LT] = ACTIONS(3128),
    [anon_sym_GT_GT] = ACTIONS(3128),
    [anon_sym_import] = ACTIONS(3128),
    [anon_sym_typealias] = ACTIONS(3128),
    [anon_sym_struct] = ACTIONS(3128),
    [anon_sym_class] = ACTIONS(3128),
    [anon_sym_enum] = ACTIONS(3128),
    [anon_sym_protocol] = ACTIONS(3128),
    [anon_sym_let] = ACTIONS(3128),
    [anon_sym_var] = ACTIONS(3128),
    [anon_sym_func] = ACTIONS(3128),
    [anon_sym_extension] = ACTIONS(3128),
    [anon_sym_indirect] = ACTIONS(3128),
    [anon_sym_BANG2] = ACTIONS(3130),
    [anon_sym_SEMI] = ACTIONS(3128),
    [anon_sym_init] = ACTIONS(3128),
    [anon_sym_deinit] = ACTIONS(3128),
    [anon_sym_subscript] = ACTIONS(3128),
    [anon_sym_prefix] = ACTIONS(3128),
    [anon_sym_infix] = ACTIONS(3128),
    [anon_sym_postfix] = ACTIONS(3128),
    [anon_sym_precedencegroup] = ACTIONS(3128),
    [anon_sym_associatedtype] = ACTIONS(3128),
    [anon_sym_AT] = ACTIONS(3130),
    [anon_sym_override] = ACTIONS(3128),
    [anon_sym_convenience] = ACTIONS(3128),
    [anon_sym_required] = ACTIONS(3128),
    [anon_sym_nonisolated] = ACTIONS(3128),
    [anon_sym_public] = ACTIONS(3128),
    [anon_sym_private] = ACTIONS(3128),
    [anon_sym_internal] = ACTIONS(3128),
    [anon_sym_fileprivate] = ACTIONS(3128),
    [anon_sym_open] = ACTIONS(3128),
    [anon_sym_mutating] = ACTIONS(3128),
    [anon_sym_nonmutating] = ACTIONS(3128),
    [anon_sym_static] = ACTIONS(3128),
    [anon_sym_dynamic] = ACTIONS(3128),
    [anon_sym_optional] = ACTIONS(3128),
    [anon_sym_distributed] = ACTIONS(3128),
    [anon_sym_final] = ACTIONS(3128),
    [anon_sym_inout] = ACTIONS(3128),
    [anon_sym_ATescaping] = ACTIONS(3128),
    [anon_sym_ATautoclosure] = ACTIONS(3128),
    [anon_sym_weak] = ACTIONS(3128),
    [anon_sym_unowned] = ACTIONS(3130),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3128),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3128),
    [anon_sym_borrowing] = ACTIONS(3128),
    [anon_sym_consuming] = ACTIONS(3128),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3128),
    [sym__conjunction_operator_custom] = ACTIONS(3128),
    [sym__disjunction_operator_custom] = ACTIONS(3128),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3128),
    [sym__eq_custom] = ACTIONS(3128),
    [sym__eq_eq_custom] = ACTIONS(3128),
    [sym__plus_then_ws] = ACTIONS(3128),
    [sym__minus_then_ws] = ACTIONS(3128),
    [sym__bang_custom] = ACTIONS(3128),
    [sym__as_custom] = ACTIONS(3128),
    [sym__as_quest_custom] = ACTIONS(3128),
    [sym__as_bang_custom] = ACTIONS(3128),
    [sym__custom_operator] = ACTIONS(3128),
  },
  [758] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(3132),
    [anon_sym_async] = ACTIONS(3132),
    [anon_sym_lazy] = ACTIONS(3132),
    [anon_sym_package] = ACTIONS(3132),
    [anon_sym_RPAREN] = ACTIONS(3132),
    [anon_sym_COMMA] = ACTIONS(3132),
    [anon_sym_COLON] = ACTIONS(3132),
    [anon_sym_LPAREN] = ACTIONS(3132),
    [anon_sym_LBRACK] = ACTIONS(3132),
    [anon_sym_RBRACK] = ACTIONS(3132),
    [anon_sym_QMARK] = ACTIONS(3134),
    [anon_sym_QMARK2] = ACTIONS(3132),
    [anon_sym_AMP] = ACTIONS(3132),
    [aux_sym_custom_operator_token1] = ACTIONS(3132),
    [anon_sym_LT] = ACTIONS(3134),
    [anon_sym_GT] = ACTIONS(3134),
    [anon_sym_LBRACE] = ACTIONS(3132),
    [anon_sym_CARET_LBRACE] = ACTIONS(3132),
    [anon_sym_RBRACE] = ACTIONS(3132),
    [anon_sym_case] = ACTIONS(3132),
    [anon_sym_PLUS_EQ] = ACTIONS(3132),
    [anon_sym_DASH_EQ] = ACTIONS(3132),
    [anon_sym_STAR_EQ] = ACTIONS(3132),
    [anon_sym_SLASH_EQ] = ACTIONS(3132),
    [anon_sym_PERCENT_EQ] = ACTIONS(3132),
    [anon_sym_BANG_EQ] = ACTIONS(3134),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3132),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3132),
    [anon_sym_LT_EQ] = ACTIONS(3132),
    [anon_sym_GT_EQ] = ACTIONS(3132),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3132),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3132),
    [anon_sym_is] = ACTIONS(3132),
    [anon_sym_PLUS] = ACTIONS(3134),
    [anon_sym_DASH] = ACTIONS(3134),
    [anon_sym_STAR] = ACTIONS(3134),
    [anon_sym_SLASH] = ACTIONS(3134),
    [anon_sym_PERCENT] = ACTIONS(3134),
    [anon_sym_PLUS_PLUS] = ACTIONS(3132),
    [anon_sym_DASH_DASH] = ACTIONS(3132),
    [anon_sym_PIPE] = ACTIONS(3132),
    [anon_sym_CARET] = ACTIONS(3134),
    [anon_sym_LT_LT] = ACTIONS(3132),
    [anon_sym_GT_GT] = ACTIONS(3132),
    [anon_sym_import] = ACTIONS(3132),
    [anon_sym_typealias] = ACTIONS(3132),
    [anon_sym_struct] = ACTIONS(3132),
    [anon_sym_class] = ACTIONS(3132),
    [anon_sym_enum] = ACTIONS(3132),
    [anon_sym_protocol] = ACTIONS(3132),
    [anon_sym_let] = ACTIONS(3132),
    [anon_sym_var] = ACTIONS(3132),
    [anon_sym_func] = ACTIONS(3132),
    [anon_sym_extension] = ACTIONS(3132),
    [anon_sym_indirect] = ACTIONS(3132),
    [anon_sym_BANG2] = ACTIONS(3134),
    [anon_sym_SEMI] = ACTIONS(3132),
    [anon_sym_init] = ACTIONS(3132),
    [anon_sym_deinit] = ACTIONS(3132),
    [anon_sym_subscript] = ACTIONS(3132),
    [anon_sym_prefix] = ACTIONS(3132),
    [anon_sym_infix] = ACTIONS(3132),
    [anon_sym_postfix] = ACTIONS(3132),
    [anon_sym_precedencegroup] = ACTIONS(3132),
    [anon_sym_associatedtype] = ACTIONS(3132),
    [anon_sym_AT] = ACTIONS(3134),
    [anon_sym_override] = ACTIONS(3132),
    [anon_sym_convenience] = ACTIONS(3132),
    [anon_sym_required] = ACTIONS(3132),
    [anon_sym_nonisolated] = ACTIONS(3132),
    [anon_sym_public] = ACTIONS(3132),
    [anon_sym_private] = ACTIONS(3132),
    [anon_sym_internal] = ACTIONS(3132),
    [anon_sym_fileprivate] = ACTIONS(3132),
    [anon_sym_open] = ACTIONS(3132),
    [anon_sym_mutating] = ACTIONS(3132),
    [anon_sym_nonmutating] = ACTIONS(3132),
    [anon_sym_static] = ACTIONS(3132),
    [anon_sym_dynamic] = ACTIONS(3132),
    [anon_sym_optional] = ACTIONS(3132),
    [anon_sym_distributed] = ACTIONS(3132),
    [anon_sym_final] = ACTIONS(3132),
    [anon_sym_inout] = ACTIONS(3132),
    [anon_sym_ATescaping] = ACTIONS(3132),
    [anon_sym_ATautoclosure] = ACTIONS(3132),
    [anon_sym_weak] = ACTIONS(3132),
    [anon_sym_unowned] = ACTIONS(3134),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3132),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3132),
    [anon_sym_borrowing] = ACTIONS(3132),
    [anon_sym_consuming] = ACTIONS(3132),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3132),
    [sym__conjunction_operator_custom] = ACTIONS(3132),
    [sym__disjunction_operator_custom] = ACTIONS(3132),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3132),
    [sym__eq_custom] = ACTIONS(3132),
    [sym__eq_eq_custom] = ACTIONS(3132),
    [sym__plus_then_ws] = ACTIONS(3132),
    [sym__minus_then_ws] = ACTIONS(3132),
    [sym__bang_custom] = ACTIONS(3132),
    [sym__as_custom] = ACTIONS(3132),
    [sym__as_quest_custom] = ACTIONS(3132),
    [sym__as_bang_custom] = ACTIONS(3132),
    [sym__custom_operator] = ACTIONS(3132),
  },
  [759] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(3136),
    [anon_sym_async] = ACTIONS(3136),
    [anon_sym_lazy] = ACTIONS(3136),
    [anon_sym_package] = ACTIONS(3136),
    [anon_sym_RPAREN] = ACTIONS(3136),
    [anon_sym_COMMA] = ACTIONS(3136),
    [anon_sym_COLON] = ACTIONS(3136),
    [anon_sym_LPAREN] = ACTIONS(3136),
    [anon_sym_LBRACK] = ACTIONS(3136),
    [anon_sym_RBRACK] = ACTIONS(3136),
    [anon_sym_QMARK] = ACTIONS(3138),
    [anon_sym_QMARK2] = ACTIONS(3136),
    [anon_sym_AMP] = ACTIONS(3136),
    [aux_sym_custom_operator_token1] = ACTIONS(3136),
    [anon_sym_LT] = ACTIONS(3138),
    [anon_sym_GT] = ACTIONS(3138),
    [anon_sym_LBRACE] = ACTIONS(3136),
    [anon_sym_CARET_LBRACE] = ACTIONS(3136),
    [anon_sym_RBRACE] = ACTIONS(3136),
    [anon_sym_case] = ACTIONS(3136),
    [anon_sym_PLUS_EQ] = ACTIONS(3136),
    [anon_sym_DASH_EQ] = ACTIONS(3136),
    [anon_sym_STAR_EQ] = ACTIONS(3136),
    [anon_sym_SLASH_EQ] = ACTIONS(3136),
    [anon_sym_PERCENT_EQ] = ACTIONS(3136),
    [anon_sym_BANG_EQ] = ACTIONS(3138),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3136),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3136),
    [anon_sym_LT_EQ] = ACTIONS(3136),
    [anon_sym_GT_EQ] = ACTIONS(3136),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3136),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3136),
    [anon_sym_is] = ACTIONS(3136),
    [anon_sym_PLUS] = ACTIONS(3138),
    [anon_sym_DASH] = ACTIONS(3138),
    [anon_sym_STAR] = ACTIONS(3138),
    [anon_sym_SLASH] = ACTIONS(3138),
    [anon_sym_PERCENT] = ACTIONS(3138),
    [anon_sym_PLUS_PLUS] = ACTIONS(3136),
    [anon_sym_DASH_DASH] = ACTIONS(3136),
    [anon_sym_PIPE] = ACTIONS(3136),
    [anon_sym_CARET] = ACTIONS(3138),
    [anon_sym_LT_LT] = ACTIONS(3136),
    [anon_sym_GT_GT] = ACTIONS(3136),
    [anon_sym_import] = ACTIONS(3136),
    [anon_sym_typealias] = ACTIONS(3136),
    [anon_sym_struct] = ACTIONS(3136),
    [anon_sym_class] = ACTIONS(3136),
    [anon_sym_enum] = ACTIONS(3136),
    [anon_sym_protocol] = ACTIONS(3136),
    [anon_sym_let] = ACTIONS(3136),
    [anon_sym_var] = ACTIONS(3136),
    [anon_sym_func] = ACTIONS(3136),
    [anon_sym_extension] = ACTIONS(3136),
    [anon_sym_indirect] = ACTIONS(3136),
    [anon_sym_BANG2] = ACTIONS(3138),
    [anon_sym_SEMI] = ACTIONS(3136),
    [anon_sym_init] = ACTIONS(3136),
    [anon_sym_deinit] = ACTIONS(3136),
    [anon_sym_subscript] = ACTIONS(3136),
    [anon_sym_prefix] = ACTIONS(3136),
    [anon_sym_infix] = ACTIONS(3136),
    [anon_sym_postfix] = ACTIONS(3136),
    [anon_sym_precedencegroup] = ACTIONS(3136),
    [anon_sym_associatedtype] = ACTIONS(3136),
    [anon_sym_AT] = ACTIONS(3138),
    [anon_sym_override] = ACTIONS(3136),
    [anon_sym_convenience] = ACTIONS(3136),
    [anon_sym_required] = ACTIONS(3136),
    [anon_sym_nonisolated] = ACTIONS(3136),
    [anon_sym_public] = ACTIONS(3136),
    [anon_sym_private] = ACTIONS(3136),
    [anon_sym_internal] = ACTIONS(3136),
    [anon_sym_fileprivate] = ACTIONS(3136),
    [anon_sym_open] = ACTIONS(3136),
    [anon_sym_mutating] = ACTIONS(3136),
    [anon_sym_nonmutating] = ACTIONS(3136),
    [anon_sym_static] = ACTIONS(3136),
    [anon_sym_dynamic] = ACTIONS(3136),
    [anon_sym_optional] = ACTIONS(3136),
    [anon_sym_distributed] = ACTIONS(3136),
    [anon_sym_final] = ACTIONS(3136),
    [anon_sym_inout] = ACTIONS(3136),
    [anon_sym_ATescaping] = ACTIONS(3136),
    [anon_sym_ATautoclosure] = ACTIONS(3136),
    [anon_sym_weak] = ACTIONS(3136),
    [anon_sym_unowned] = ACTIONS(3138),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3136),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3136),
    [anon_sym_borrowing] = ACTIONS(3136),
    [anon_sym_consuming] = ACTIONS(3136),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3136),
    [sym__conjunction_operator_custom] = ACTIONS(3136),
    [sym__disjunction_operator_custom] = ACTIONS(3136),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3136),
    [sym__eq_custom] = ACTIONS(3136),
    [sym__eq_eq_custom] = ACTIONS(3136),
    [sym__plus_then_ws] = ACTIONS(3136),
    [sym__minus_then_ws] = ACTIONS(3136),
    [sym__bang_custom] = ACTIONS(3136),
    [sym__as_custom] = ACTIONS(3136),
    [sym__as_quest_custom] = ACTIONS(3136),
    [sym__as_bang_custom] = ACTIONS(3136),
    [sym__custom_operator] = ACTIONS(3136),
  },
  [760] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(3140),
    [anon_sym_async] = ACTIONS(3140),
    [anon_sym_lazy] = ACTIONS(3140),
    [anon_sym_package] = ACTIONS(3140),
    [anon_sym_RPAREN] = ACTIONS(3140),
    [anon_sym_COMMA] = ACTIONS(3140),
    [anon_sym_COLON] = ACTIONS(3140),
    [anon_sym_LPAREN] = ACTIONS(3140),
    [anon_sym_LBRACK] = ACTIONS(3140),
    [anon_sym_RBRACK] = ACTIONS(3140),
    [anon_sym_QMARK] = ACTIONS(3142),
    [anon_sym_QMARK2] = ACTIONS(3140),
    [anon_sym_AMP] = ACTIONS(3140),
    [aux_sym_custom_operator_token1] = ACTIONS(3140),
    [anon_sym_LT] = ACTIONS(3142),
    [anon_sym_GT] = ACTIONS(3142),
    [anon_sym_LBRACE] = ACTIONS(3140),
    [anon_sym_CARET_LBRACE] = ACTIONS(3140),
    [anon_sym_RBRACE] = ACTIONS(3140),
    [anon_sym_case] = ACTIONS(3140),
    [anon_sym_PLUS_EQ] = ACTIONS(3140),
    [anon_sym_DASH_EQ] = ACTIONS(3140),
    [anon_sym_STAR_EQ] = ACTIONS(3140),
    [anon_sym_SLASH_EQ] = ACTIONS(3140),
    [anon_sym_PERCENT_EQ] = ACTIONS(3140),
    [anon_sym_BANG_EQ] = ACTIONS(3142),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3140),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3140),
    [anon_sym_LT_EQ] = ACTIONS(3140),
    [anon_sym_GT_EQ] = ACTIONS(3140),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3140),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3140),
    [anon_sym_is] = ACTIONS(3140),
    [anon_sym_PLUS] = ACTIONS(3142),
    [anon_sym_DASH] = ACTIONS(3142),
    [anon_sym_STAR] = ACTIONS(3142),
    [anon_sym_SLASH] = ACTIONS(3142),
    [anon_sym_PERCENT] = ACTIONS(3142),
    [anon_sym_PLUS_PLUS] = ACTIONS(3140),
    [anon_sym_DASH_DASH] = ACTIONS(3140),
    [anon_sym_PIPE] = ACTIONS(3140),
    [anon_sym_CARET] = ACTIONS(3142),
    [anon_sym_LT_LT] = ACTIONS(3140),
    [anon_sym_GT_GT] = ACTIONS(3140),
    [anon_sym_import] = ACTIONS(3140),
    [anon_sym_typealias] = ACTIONS(3140),
    [anon_sym_struct] = ACTIONS(3140),
    [anon_sym_class] = ACTIONS(3140),
    [anon_sym_enum] = ACTIONS(3140),
    [anon_sym_protocol] = ACTIONS(3140),
    [anon_sym_let] = ACTIONS(3140),
    [anon_sym_var] = ACTIONS(3140),
    [anon_sym_func] = ACTIONS(3140),
    [anon_sym_extension] = ACTIONS(3140),
    [anon_sym_indirect] = ACTIONS(3140),
    [anon_sym_BANG2] = ACTIONS(3142),
    [anon_sym_SEMI] = ACTIONS(3140),
    [anon_sym_init] = ACTIONS(3140),
    [anon_sym_deinit] = ACTIONS(3140),
    [anon_sym_subscript] = ACTIONS(3140),
    [anon_sym_prefix] = ACTIONS(3140),
    [anon_sym_infix] = ACTIONS(3140),
    [anon_sym_postfix] = ACTIONS(3140),
    [anon_sym_precedencegroup] = ACTIONS(3140),
    [anon_sym_associatedtype] = ACTIONS(3140),
    [anon_sym_AT] = ACTIONS(3142),
    [anon_sym_override] = ACTIONS(3140),
    [anon_sym_convenience] = ACTIONS(3140),
    [anon_sym_required] = ACTIONS(3140),
    [anon_sym_nonisolated] = ACTIONS(3140),
    [anon_sym_public] = ACTIONS(3140),
    [anon_sym_private] = ACTIONS(3140),
    [anon_sym_internal] = ACTIONS(3140),
    [anon_sym_fileprivate] = ACTIONS(3140),
    [anon_sym_open] = ACTIONS(3140),
    [anon_sym_mutating] = ACTIONS(3140),
    [anon_sym_nonmutating] = ACTIONS(3140),
    [anon_sym_static] = ACTIONS(3140),
    [anon_sym_dynamic] = ACTIONS(3140),
    [anon_sym_optional] = ACTIONS(3140),
    [anon_sym_distributed] = ACTIONS(3140),
    [anon_sym_final] = ACTIONS(3140),
    [anon_sym_inout] = ACTIONS(3140),
    [anon_sym_ATescaping] = ACTIONS(3140),
    [anon_sym_ATautoclosure] = ACTIONS(3140),
    [anon_sym_weak] = ACTIONS(3140),
    [anon_sym_unowned] = ACTIONS(3142),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3140),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3140),
    [anon_sym_borrowing] = ACTIONS(3140),
    [anon_sym_consuming] = ACTIONS(3140),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3140),
    [sym__conjunction_operator_custom] = ACTIONS(3140),
    [sym__disjunction_operator_custom] = ACTIONS(3140),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3140),
    [sym__eq_custom] = ACTIONS(3140),
    [sym__eq_eq_custom] = ACTIONS(3140),
    [sym__plus_then_ws] = ACTIONS(3140),
    [sym__minus_then_ws] = ACTIONS(3140),
    [sym__bang_custom] = ACTIONS(3140),
    [sym__as_custom] = ACTIONS(3140),
    [sym__as_quest_custom] = ACTIONS(3140),
    [sym__as_bang_custom] = ACTIONS(3140),
    [sym__custom_operator] = ACTIONS(3140),
  },
  [761] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(3144),
    [anon_sym_async] = ACTIONS(3144),
    [anon_sym_lazy] = ACTIONS(3144),
    [anon_sym_package] = ACTIONS(3144),
    [anon_sym_RPAREN] = ACTIONS(3144),
    [anon_sym_COMMA] = ACTIONS(3144),
    [anon_sym_COLON] = ACTIONS(3144),
    [anon_sym_LPAREN] = ACTIONS(3144),
    [anon_sym_LBRACK] = ACTIONS(3144),
    [anon_sym_RBRACK] = ACTIONS(3144),
    [anon_sym_QMARK] = ACTIONS(3146),
    [anon_sym_QMARK2] = ACTIONS(3144),
    [anon_sym_AMP] = ACTIONS(3144),
    [aux_sym_custom_operator_token1] = ACTIONS(3144),
    [anon_sym_LT] = ACTIONS(3146),
    [anon_sym_GT] = ACTIONS(3146),
    [anon_sym_LBRACE] = ACTIONS(3144),
    [anon_sym_CARET_LBRACE] = ACTIONS(3144),
    [anon_sym_RBRACE] = ACTIONS(3144),
    [anon_sym_case] = ACTIONS(3144),
    [anon_sym_PLUS_EQ] = ACTIONS(3144),
    [anon_sym_DASH_EQ] = ACTIONS(3144),
    [anon_sym_STAR_EQ] = ACTIONS(3144),
    [anon_sym_SLASH_EQ] = ACTIONS(3144),
    [anon_sym_PERCENT_EQ] = ACTIONS(3144),
    [anon_sym_BANG_EQ] = ACTIONS(3146),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3144),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3144),
    [anon_sym_LT_EQ] = ACTIONS(3144),
    [anon_sym_GT_EQ] = ACTIONS(3144),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3144),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3144),
    [anon_sym_is] = ACTIONS(3144),
    [anon_sym_PLUS] = ACTIONS(3146),
    [anon_sym_DASH] = ACTIONS(3146),
    [anon_sym_STAR] = ACTIONS(3146),
    [anon_sym_SLASH] = ACTIONS(3146),
    [anon_sym_PERCENT] = ACTIONS(3146),
    [anon_sym_PLUS_PLUS] = ACTIONS(3144),
    [anon_sym_DASH_DASH] = ACTIONS(3144),
    [anon_sym_PIPE] = ACTIONS(3144),
    [anon_sym_CARET] = ACTIONS(3146),
    [anon_sym_LT_LT] = ACTIONS(3144),
    [anon_sym_GT_GT] = ACTIONS(3144),
    [anon_sym_import] = ACTIONS(3144),
    [anon_sym_typealias] = ACTIONS(3144),
    [anon_sym_struct] = ACTIONS(3144),
    [anon_sym_class] = ACTIONS(3144),
    [anon_sym_enum] = ACTIONS(3144),
    [anon_sym_protocol] = ACTIONS(3144),
    [anon_sym_let] = ACTIONS(3144),
    [anon_sym_var] = ACTIONS(3144),
    [anon_sym_func] = ACTIONS(3144),
    [anon_sym_extension] = ACTIONS(3144),
    [anon_sym_indirect] = ACTIONS(3144),
    [anon_sym_BANG2] = ACTIONS(3146),
    [anon_sym_SEMI] = ACTIONS(3144),
    [anon_sym_init] = ACTIONS(3144),
    [anon_sym_deinit] = ACTIONS(3144),
    [anon_sym_subscript] = ACTIONS(3144),
    [anon_sym_prefix] = ACTIONS(3144),
    [anon_sym_infix] = ACTIONS(3144),
    [anon_sym_postfix] = ACTIONS(3144),
    [anon_sym_precedencegroup] = ACTIONS(3144),
    [anon_sym_associatedtype] = ACTIONS(3144),
    [anon_sym_AT] = ACTIONS(3146),
    [anon_sym_override] = ACTIONS(3144),
    [anon_sym_convenience] = ACTIONS(3144),
    [anon_sym_required] = ACTIONS(3144),
    [anon_sym_nonisolated] = ACTIONS(3144),
    [anon_sym_public] = ACTIONS(3144),
    [anon_sym_private] = ACTIONS(3144),
    [anon_sym_internal] = ACTIONS(3144),
    [anon_sym_fileprivate] = ACTIONS(3144),
    [anon_sym_open] = ACTIONS(3144),
    [anon_sym_mutating] = ACTIONS(3144),
    [anon_sym_nonmutating] = ACTIONS(3144),
    [anon_sym_static] = ACTIONS(3144),
    [anon_sym_dynamic] = ACTIONS(3144),
    [anon_sym_optional] = ACTIONS(3144),
    [anon_sym_distributed] = ACTIONS(3144),
    [anon_sym_final] = ACTIONS(3144),
    [anon_sym_inout] = ACTIONS(3144),
    [anon_sym_ATescaping] = ACTIONS(3144),
    [anon_sym_ATautoclosure] = ACTIONS(3144),
    [anon_sym_weak] = ACTIONS(3144),
    [anon_sym_unowned] = ACTIONS(3146),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3144),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3144),
    [anon_sym_borrowing] = ACTIONS(3144),
    [anon_sym_consuming] = ACTIONS(3144),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3144),
    [sym__conjunction_operator_custom] = ACTIONS(3144),
    [sym__disjunction_operator_custom] = ACTIONS(3144),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3144),
    [sym__eq_custom] = ACTIONS(3144),
    [sym__eq_eq_custom] = ACTIONS(3144),
    [sym__plus_then_ws] = ACTIONS(3144),
    [sym__minus_then_ws] = ACTIONS(3144),
    [sym__bang_custom] = ACTIONS(3144),
    [sym__as_custom] = ACTIONS(3144),
    [sym__as_quest_custom] = ACTIONS(3144),
    [sym__as_bang_custom] = ACTIONS(3144),
    [sym__custom_operator] = ACTIONS(3144),
  },
  [762] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(3148),
    [anon_sym_async] = ACTIONS(3148),
    [anon_sym_lazy] = ACTIONS(3148),
    [anon_sym_package] = ACTIONS(3148),
    [anon_sym_RPAREN] = ACTIONS(3148),
    [anon_sym_COMMA] = ACTIONS(3148),
    [anon_sym_COLON] = ACTIONS(3148),
    [anon_sym_LPAREN] = ACTIONS(3148),
    [anon_sym_LBRACK] = ACTIONS(3148),
    [anon_sym_RBRACK] = ACTIONS(3148),
    [anon_sym_QMARK] = ACTIONS(3150),
    [anon_sym_QMARK2] = ACTIONS(3148),
    [anon_sym_AMP] = ACTIONS(3148),
    [aux_sym_custom_operator_token1] = ACTIONS(3148),
    [anon_sym_LT] = ACTIONS(3150),
    [anon_sym_GT] = ACTIONS(3150),
    [anon_sym_LBRACE] = ACTIONS(3148),
    [anon_sym_CARET_LBRACE] = ACTIONS(3148),
    [anon_sym_RBRACE] = ACTIONS(3148),
    [anon_sym_case] = ACTIONS(3148),
    [anon_sym_PLUS_EQ] = ACTIONS(3148),
    [anon_sym_DASH_EQ] = ACTIONS(3148),
    [anon_sym_STAR_EQ] = ACTIONS(3148),
    [anon_sym_SLASH_EQ] = ACTIONS(3148),
    [anon_sym_PERCENT_EQ] = ACTIONS(3148),
    [anon_sym_BANG_EQ] = ACTIONS(3150),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3148),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3148),
    [anon_sym_LT_EQ] = ACTIONS(3148),
    [anon_sym_GT_EQ] = ACTIONS(3148),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3148),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3148),
    [anon_sym_is] = ACTIONS(3148),
    [anon_sym_PLUS] = ACTIONS(3150),
    [anon_sym_DASH] = ACTIONS(3150),
    [anon_sym_STAR] = ACTIONS(3150),
    [anon_sym_SLASH] = ACTIONS(3150),
    [anon_sym_PERCENT] = ACTIONS(3150),
    [anon_sym_PLUS_PLUS] = ACTIONS(3148),
    [anon_sym_DASH_DASH] = ACTIONS(3148),
    [anon_sym_PIPE] = ACTIONS(3148),
    [anon_sym_CARET] = ACTIONS(3150),
    [anon_sym_LT_LT] = ACTIONS(3148),
    [anon_sym_GT_GT] = ACTIONS(3148),
    [anon_sym_import] = ACTIONS(3148),
    [anon_sym_typealias] = ACTIONS(3148),
    [anon_sym_struct] = ACTIONS(3148),
    [anon_sym_class] = ACTIONS(3148),
    [anon_sym_enum] = ACTIONS(3148),
    [anon_sym_protocol] = ACTIONS(3148),
    [anon_sym_let] = ACTIONS(3148),
    [anon_sym_var] = ACTIONS(3148),
    [anon_sym_func] = ACTIONS(3148),
    [anon_sym_extension] = ACTIONS(3148),
    [anon_sym_indirect] = ACTIONS(3148),
    [anon_sym_BANG2] = ACTIONS(3150),
    [anon_sym_SEMI] = ACTIONS(3148),
    [anon_sym_init] = ACTIONS(3148),
    [anon_sym_deinit] = ACTIONS(3148),
    [anon_sym_subscript] = ACTIONS(3148),
    [anon_sym_prefix] = ACTIONS(3148),
    [anon_sym_infix] = ACTIONS(3148),
    [anon_sym_postfix] = ACTIONS(3148),
    [anon_sym_precedencegroup] = ACTIONS(3148),
    [anon_sym_associatedtype] = ACTIONS(3148),
    [anon_sym_AT] = ACTIONS(3150),
    [anon_sym_override] = ACTIONS(3148),
    [anon_sym_convenience] = ACTIONS(3148),
    [anon_sym_required] = ACTIONS(3148),
    [anon_sym_nonisolated] = ACTIONS(3148),
    [anon_sym_public] = ACTIONS(3148),
    [anon_sym_private] = ACTIONS(3148),
    [anon_sym_internal] = ACTIONS(3148),
    [anon_sym_fileprivate] = ACTIONS(3148),
    [anon_sym_open] = ACTIONS(3148),
    [anon_sym_mutating] = ACTIONS(3148),
    [anon_sym_nonmutating] = ACTIONS(3148),
    [anon_sym_static] = ACTIONS(3148),
    [anon_sym_dynamic] = ACTIONS(3148),
    [anon_sym_optional] = ACTIONS(3148),
    [anon_sym_distributed] = ACTIONS(3148),
    [anon_sym_final] = ACTIONS(3148),
    [anon_sym_inout] = ACTIONS(3148),
    [anon_sym_ATescaping] = ACTIONS(3148),
    [anon_sym_ATautoclosure] = ACTIONS(3148),
    [anon_sym_weak] = ACTIONS(3148),
    [anon_sym_unowned] = ACTIONS(3150),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3148),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3148),
    [anon_sym_borrowing] = ACTIONS(3148),
    [anon_sym_consuming] = ACTIONS(3148),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3148),
    [sym__conjunction_operator_custom] = ACTIONS(3148),
    [sym__disjunction_operator_custom] = ACTIONS(3148),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3148),
    [sym__eq_custom] = ACTIONS(3148),
    [sym__eq_eq_custom] = ACTIONS(3148),
    [sym__plus_then_ws] = ACTIONS(3148),
    [sym__minus_then_ws] = ACTIONS(3148),
    [sym__bang_custom] = ACTIONS(3148),
    [sym__as_custom] = ACTIONS(3148),
    [sym__as_quest_custom] = ACTIONS(3148),
    [sym__as_bang_custom] = ACTIONS(3148),
    [sym__custom_operator] = ACTIONS(3148),
  },
  [763] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(3152),
    [anon_sym_async] = ACTIONS(3152),
    [anon_sym_lazy] = ACTIONS(3152),
    [anon_sym_package] = ACTIONS(3152),
    [anon_sym_RPAREN] = ACTIONS(3152),
    [anon_sym_COMMA] = ACTIONS(3152),
    [anon_sym_COLON] = ACTIONS(3152),
    [anon_sym_LPAREN] = ACTIONS(3152),
    [anon_sym_LBRACK] = ACTIONS(3152),
    [anon_sym_RBRACK] = ACTIONS(3152),
    [anon_sym_QMARK] = ACTIONS(3154),
    [anon_sym_QMARK2] = ACTIONS(3152),
    [anon_sym_AMP] = ACTIONS(3152),
    [aux_sym_custom_operator_token1] = ACTIONS(3152),
    [anon_sym_LT] = ACTIONS(3154),
    [anon_sym_GT] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(3152),
    [anon_sym_CARET_LBRACE] = ACTIONS(3152),
    [anon_sym_RBRACE] = ACTIONS(3152),
    [anon_sym_case] = ACTIONS(3152),
    [anon_sym_PLUS_EQ] = ACTIONS(3152),
    [anon_sym_DASH_EQ] = ACTIONS(3152),
    [anon_sym_STAR_EQ] = ACTIONS(3152),
    [anon_sym_SLASH_EQ] = ACTIONS(3152),
    [anon_sym_PERCENT_EQ] = ACTIONS(3152),
    [anon_sym_BANG_EQ] = ACTIONS(3154),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3152),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3152),
    [anon_sym_LT_EQ] = ACTIONS(3152),
    [anon_sym_GT_EQ] = ACTIONS(3152),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3152),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3152),
    [anon_sym_is] = ACTIONS(3152),
    [anon_sym_PLUS] = ACTIONS(3154),
    [anon_sym_DASH] = ACTIONS(3154),
    [anon_sym_STAR] = ACTIONS(3154),
    [anon_sym_SLASH] = ACTIONS(3154),
    [anon_sym_PERCENT] = ACTIONS(3154),
    [anon_sym_PLUS_PLUS] = ACTIONS(3152),
    [anon_sym_DASH_DASH] = ACTIONS(3152),
    [anon_sym_PIPE] = ACTIONS(3152),
    [anon_sym_CARET] = ACTIONS(3154),
    [anon_sym_LT_LT] = ACTIONS(3152),
    [anon_sym_GT_GT] = ACTIONS(3152),
    [anon_sym_import] = ACTIONS(3152),
    [anon_sym_typealias] = ACTIONS(3152),
    [anon_sym_struct] = ACTIONS(3152),
    [anon_sym_class] = ACTIONS(3152),
    [anon_sym_enum] = ACTIONS(3152),
    [anon_sym_protocol] = ACTIONS(3152),
    [anon_sym_let] = ACTIONS(3152),
    [anon_sym_var] = ACTIONS(3152),
    [anon_sym_func] = ACTIONS(3152),
    [anon_sym_extension] = ACTIONS(3152),
    [anon_sym_indirect] = ACTIONS(3152),
    [anon_sym_BANG2] = ACTIONS(3154),
    [anon_sym_SEMI] = ACTIONS(3152),
    [anon_sym_init] = ACTIONS(3152),
    [anon_sym_deinit] = ACTIONS(3152),
    [anon_sym_subscript] = ACTIONS(3152),
    [anon_sym_prefix] = ACTIONS(3152),
    [anon_sym_infix] = ACTIONS(3152),
    [anon_sym_postfix] = ACTIONS(3152),
    [anon_sym_precedencegroup] = ACTIONS(3152),
    [anon_sym_associatedtype] = ACTIONS(3152),
    [anon_sym_AT] = ACTIONS(3154),
    [anon_sym_override] = ACTIONS(3152),
    [anon_sym_convenience] = ACTIONS(3152),
    [anon_sym_required] = ACTIONS(3152),
    [anon_sym_nonisolated] = ACTIONS(3152),
    [anon_sym_public] = ACTIONS(3152),
    [anon_sym_private] = ACTIONS(3152),
    [anon_sym_internal] = ACTIONS(3152),
    [anon_sym_fileprivate] = ACTIONS(3152),
    [anon_sym_open] = ACTIONS(3152),
    [anon_sym_mutating] = ACTIONS(3152),
    [anon_sym_nonmutating] = ACTIONS(3152),
    [anon_sym_static] = ACTIONS(3152),
    [anon_sym_dynamic] = ACTIONS(3152),
    [anon_sym_optional] = ACTIONS(3152),
    [anon_sym_distributed] = ACTIONS(3152),
    [anon_sym_final] = ACTIONS(3152),
    [anon_sym_inout] = ACTIONS(3152),
    [anon_sym_ATescaping] = ACTIONS(3152),
    [anon_sym_ATautoclosure] = ACTIONS(3152),
    [anon_sym_weak] = ACTIONS(3152),
    [anon_sym_unowned] = ACTIONS(3154),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3152),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3152),
    [anon_sym_borrowing] = ACTIONS(3152),
    [anon_sym_consuming] = ACTIONS(3152),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3152),
    [sym__conjunction_operator_custom] = ACTIONS(3152),
    [sym__disjunction_operator_custom] = ACTIONS(3152),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3152),
    [sym__eq_custom] = ACTIONS(3152),
    [sym__eq_eq_custom] = ACTIONS(3152),
    [sym__plus_then_ws] = ACTIONS(3152),
    [sym__minus_then_ws] = ACTIONS(3152),
    [sym__bang_custom] = ACTIONS(3152),
    [sym__as_custom] = ACTIONS(3152),
    [sym__as_quest_custom] = ACTIONS(3152),
    [sym__as_bang_custom] = ACTIONS(3152),
    [sym__custom_operator] = ACTIONS(3152),
  },
  [764] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(3156),
    [anon_sym_async] = ACTIONS(3156),
    [anon_sym_lazy] = ACTIONS(3156),
    [anon_sym_package] = ACTIONS(3156),
    [anon_sym_RPAREN] = ACTIONS(3156),
    [anon_sym_COMMA] = ACTIONS(3156),
    [anon_sym_COLON] = ACTIONS(3156),
    [anon_sym_LPAREN] = ACTIONS(3156),
    [anon_sym_LBRACK] = ACTIONS(3156),
    [anon_sym_RBRACK] = ACTIONS(3156),
    [anon_sym_QMARK] = ACTIONS(3158),
    [anon_sym_QMARK2] = ACTIONS(3156),
    [anon_sym_AMP] = ACTIONS(3156),
    [aux_sym_custom_operator_token1] = ACTIONS(3156),
    [anon_sym_LT] = ACTIONS(3158),
    [anon_sym_GT] = ACTIONS(3158),
    [anon_sym_LBRACE] = ACTIONS(3156),
    [anon_sym_CARET_LBRACE] = ACTIONS(3156),
    [anon_sym_RBRACE] = ACTIONS(3156),
    [anon_sym_case] = ACTIONS(3156),
    [anon_sym_PLUS_EQ] = ACTIONS(3156),
    [anon_sym_DASH_EQ] = ACTIONS(3156),
    [anon_sym_STAR_EQ] = ACTIONS(3156),
    [anon_sym_SLASH_EQ] = ACTIONS(3156),
    [anon_sym_PERCENT_EQ] = ACTIONS(3156),
    [anon_sym_BANG_EQ] = ACTIONS(3158),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3156),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3156),
    [anon_sym_LT_EQ] = ACTIONS(3156),
    [anon_sym_GT_EQ] = ACTIONS(3156),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3156),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3156),
    [anon_sym_is] = ACTIONS(3156),
    [anon_sym_PLUS] = ACTIONS(3158),
    [anon_sym_DASH] = ACTIONS(3158),
    [anon_sym_STAR] = ACTIONS(3158),
    [anon_sym_SLASH] = ACTIONS(3158),
    [anon_sym_PERCENT] = ACTIONS(3158),
    [anon_sym_PLUS_PLUS] = ACTIONS(3156),
    [anon_sym_DASH_DASH] = ACTIONS(3156),
    [anon_sym_PIPE] = ACTIONS(3156),
    [anon_sym_CARET] = ACTIONS(3158),
    [anon_sym_LT_LT] = ACTIONS(3156),
    [anon_sym_GT_GT] = ACTIONS(3156),
    [anon_sym_import] = ACTIONS(3156),
    [anon_sym_typealias] = ACTIONS(3156),
    [anon_sym_struct] = ACTIONS(3156),
    [anon_sym_class] = ACTIONS(3156),
    [anon_sym_enum] = ACTIONS(3156),
    [anon_sym_protocol] = ACTIONS(3156),
    [anon_sym_let] = ACTIONS(3156),
    [anon_sym_var] = ACTIONS(3156),
    [anon_sym_func] = ACTIONS(3156),
    [anon_sym_extension] = ACTIONS(3156),
    [anon_sym_indirect] = ACTIONS(3156),
    [anon_sym_BANG2] = ACTIONS(3158),
    [anon_sym_SEMI] = ACTIONS(3156),
    [anon_sym_init] = ACTIONS(3156),
    [anon_sym_deinit] = ACTIONS(3156),
    [anon_sym_subscript] = ACTIONS(3156),
    [anon_sym_prefix] = ACTIONS(3156),
    [anon_sym_infix] = ACTIONS(3156),
    [anon_sym_postfix] = ACTIONS(3156),
    [anon_sym_precedencegroup] = ACTIONS(3156),
    [anon_sym_associatedtype] = ACTIONS(3156),
    [anon_sym_AT] = ACTIONS(3158),
    [anon_sym_override] = ACTIONS(3156),
    [anon_sym_convenience] = ACTIONS(3156),
    [anon_sym_required] = ACTIONS(3156),
    [anon_sym_nonisolated] = ACTIONS(3156),
    [anon_sym_public] = ACTIONS(3156),
    [anon_sym_private] = ACTIONS(3156),
    [anon_sym_internal] = ACTIONS(3156),
    [anon_sym_fileprivate] = ACTIONS(3156),
    [anon_sym_open] = ACTIONS(3156),
    [anon_sym_mutating] = ACTIONS(3156),
    [anon_sym_nonmutating] = ACTIONS(3156),
    [anon_sym_static] = ACTIONS(3156),
    [anon_sym_dynamic] = ACTIONS(3156),
    [anon_sym_optional] = ACTIONS(3156),
    [anon_sym_distributed] = ACTIONS(3156),
    [anon_sym_final] = ACTIONS(3156),
    [anon_sym_inout] = ACTIONS(3156),
    [anon_sym_ATescaping] = ACTIONS(3156),
    [anon_sym_ATautoclosure] = ACTIONS(3156),
    [anon_sym_weak] = ACTIONS(3156),
    [anon_sym_unowned] = ACTIONS(3158),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3156),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3156),
    [anon_sym_borrowing] = ACTIONS(3156),
    [anon_sym_consuming] = ACTIONS(3156),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3156),
    [sym__conjunction_operator_custom] = ACTIONS(3156),
    [sym__disjunction_operator_custom] = ACTIONS(3156),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3156),
    [sym__eq_custom] = ACTIONS(3156),
    [sym__eq_eq_custom] = ACTIONS(3156),
    [sym__plus_then_ws] = ACTIONS(3156),
    [sym__minus_then_ws] = ACTIONS(3156),
    [sym__bang_custom] = ACTIONS(3156),
    [sym__as_custom] = ACTIONS(3156),
    [sym__as_quest_custom] = ACTIONS(3156),
    [sym__as_bang_custom] = ACTIONS(3156),
    [sym__custom_operator] = ACTIONS(3156),
  },
  [765] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(3160),
    [anon_sym_async] = ACTIONS(3160),
    [anon_sym_lazy] = ACTIONS(3160),
    [anon_sym_package] = ACTIONS(3160),
    [anon_sym_RPAREN] = ACTIONS(3160),
    [anon_sym_COMMA] = ACTIONS(3160),
    [anon_sym_COLON] = ACTIONS(3160),
    [anon_sym_LPAREN] = ACTIONS(3160),
    [anon_sym_LBRACK] = ACTIONS(3160),
    [anon_sym_RBRACK] = ACTIONS(3160),
    [anon_sym_QMARK] = ACTIONS(3162),
    [anon_sym_QMARK2] = ACTIONS(3160),
    [anon_sym_AMP] = ACTIONS(3160),
    [aux_sym_custom_operator_token1] = ACTIONS(3160),
    [anon_sym_LT] = ACTIONS(3162),
    [anon_sym_GT] = ACTIONS(3162),
    [anon_sym_LBRACE] = ACTIONS(3160),
    [anon_sym_CARET_LBRACE] = ACTIONS(3160),
    [anon_sym_RBRACE] = ACTIONS(3160),
    [anon_sym_case] = ACTIONS(3160),
    [anon_sym_PLUS_EQ] = ACTIONS(3160),
    [anon_sym_DASH_EQ] = ACTIONS(3160),
    [anon_sym_STAR_EQ] = ACTIONS(3160),
    [anon_sym_SLASH_EQ] = ACTIONS(3160),
    [anon_sym_PERCENT_EQ] = ACTIONS(3160),
    [anon_sym_BANG_EQ] = ACTIONS(3162),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3160),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3160),
    [anon_sym_LT_EQ] = ACTIONS(3160),
    [anon_sym_GT_EQ] = ACTIONS(3160),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3160),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3160),
    [anon_sym_is] = ACTIONS(3160),
    [anon_sym_PLUS] = ACTIONS(3162),
    [anon_sym_DASH] = ACTIONS(3162),
    [anon_sym_STAR] = ACTIONS(3162),
    [anon_sym_SLASH] = ACTIONS(3162),
    [anon_sym_PERCENT] = ACTIONS(3162),
    [anon_sym_PLUS_PLUS] = ACTIONS(3160),
    [anon_sym_DASH_DASH] = ACTIONS(3160),
    [anon_sym_PIPE] = ACTIONS(3160),
    [anon_sym_CARET] = ACTIONS(3162),
    [anon_sym_LT_LT] = ACTIONS(3160),
    [anon_sym_GT_GT] = ACTIONS(3160),
    [anon_sym_import] = ACTIONS(3160),
    [anon_sym_typealias] = ACTIONS(3160),
    [anon_sym_struct] = ACTIONS(3160),
    [anon_sym_class] = ACTIONS(3160),
    [anon_sym_enum] = ACTIONS(3160),
    [anon_sym_protocol] = ACTIONS(3160),
    [anon_sym_let] = ACTIONS(3160),
    [anon_sym_var] = ACTIONS(3160),
    [anon_sym_func] = ACTIONS(3160),
    [anon_sym_extension] = ACTIONS(3160),
    [anon_sym_indirect] = ACTIONS(3160),
    [anon_sym_BANG2] = ACTIONS(3162),
    [anon_sym_SEMI] = ACTIONS(3160),
    [anon_sym_init] = ACTIONS(3160),
    [anon_sym_deinit] = ACTIONS(3160),
    [anon_sym_subscript] = ACTIONS(3160),
    [anon_sym_prefix] = ACTIONS(3160),
    [anon_sym_infix] = ACTIONS(3160),
    [anon_sym_postfix] = ACTIONS(3160),
    [anon_sym_precedencegroup] = ACTIONS(3160),
    [anon_sym_associatedtype] = ACTIONS(3160),
    [anon_sym_AT] = ACTIONS(3162),
    [anon_sym_override] = ACTIONS(3160),
    [anon_sym_convenience] = ACTIONS(3160),
    [anon_sym_required] = ACTIONS(3160),
    [anon_sym_nonisolated] = ACTIONS(3160),
    [anon_sym_public] = ACTIONS(3160),
    [anon_sym_private] = ACTIONS(3160),
    [anon_sym_internal] = ACTIONS(3160),
    [anon_sym_fileprivate] = ACTIONS(3160),
    [anon_sym_open] = ACTIONS(3160),
    [anon_sym_mutating] = ACTIONS(3160),
    [anon_sym_nonmutating] = ACTIONS(3160),
    [anon_sym_static] = ACTIONS(3160),
    [anon_sym_dynamic] = ACTIONS(3160),
    [anon_sym_optional] = ACTIONS(3160),
    [anon_sym_distributed] = ACTIONS(3160),
    [anon_sym_final] = ACTIONS(3160),
    [anon_sym_inout] = ACTIONS(3160),
    [anon_sym_ATescaping] = ACTIONS(3160),
    [anon_sym_ATautoclosure] = ACTIONS(3160),
    [anon_sym_weak] = ACTIONS(3160),
    [anon_sym_unowned] = ACTIONS(3162),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3160),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3160),
    [anon_sym_borrowing] = ACTIONS(3160),
    [anon_sym_consuming] = ACTIONS(3160),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3160),
    [sym__conjunction_operator_custom] = ACTIONS(3160),
    [sym__disjunction_operator_custom] = ACTIONS(3160),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3160),
    [sym__eq_custom] = ACTIONS(3160),
    [sym__eq_eq_custom] = ACTIONS(3160),
    [sym__plus_then_ws] = ACTIONS(3160),
    [sym__minus_then_ws] = ACTIONS(3160),
    [sym__bang_custom] = ACTIONS(3160),
    [sym__as_custom] = ACTIONS(3160),
    [sym__as_quest_custom] = ACTIONS(3160),
    [sym__as_bang_custom] = ACTIONS(3160),
    [sym__custom_operator] = ACTIONS(3160),
  },
  [766] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(3164),
    [anon_sym_async] = ACTIONS(3164),
    [anon_sym_lazy] = ACTIONS(3164),
    [anon_sym_package] = ACTIONS(3164),
    [anon_sym_RPAREN] = ACTIONS(3164),
    [anon_sym_COMMA] = ACTIONS(3164),
    [anon_sym_COLON] = ACTIONS(3164),
    [anon_sym_LPAREN] = ACTIONS(3164),
    [anon_sym_LBRACK] = ACTIONS(3164),
    [anon_sym_RBRACK] = ACTIONS(3164),
    [anon_sym_QMARK] = ACTIONS(3166),
    [anon_sym_QMARK2] = ACTIONS(3164),
    [anon_sym_AMP] = ACTIONS(3164),
    [aux_sym_custom_operator_token1] = ACTIONS(3164),
    [anon_sym_LT] = ACTIONS(3166),
    [anon_sym_GT] = ACTIONS(3166),
    [anon_sym_LBRACE] = ACTIONS(3164),
    [anon_sym_CARET_LBRACE] = ACTIONS(3164),
    [anon_sym_RBRACE] = ACTIONS(3164),
    [anon_sym_case] = ACTIONS(3164),
    [anon_sym_PLUS_EQ] = ACTIONS(3164),
    [anon_sym_DASH_EQ] = ACTIONS(3164),
    [anon_sym_STAR_EQ] = ACTIONS(3164),
    [anon_sym_SLASH_EQ] = ACTIONS(3164),
    [anon_sym_PERCENT_EQ] = ACTIONS(3164),
    [anon_sym_BANG_EQ] = ACTIONS(3166),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3164),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3164),
    [anon_sym_LT_EQ] = ACTIONS(3164),
    [anon_sym_GT_EQ] = ACTIONS(3164),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3164),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3164),
    [anon_sym_is] = ACTIONS(3164),
    [anon_sym_PLUS] = ACTIONS(3166),
    [anon_sym_DASH] = ACTIONS(3166),
    [anon_sym_STAR] = ACTIONS(3166),
    [anon_sym_SLASH] = ACTIONS(3166),
    [anon_sym_PERCENT] = ACTIONS(3166),
    [anon_sym_PLUS_PLUS] = ACTIONS(3164),
    [anon_sym_DASH_DASH] = ACTIONS(3164),
    [anon_sym_PIPE] = ACTIONS(3164),
    [anon_sym_CARET] = ACTIONS(3166),
    [anon_sym_LT_LT] = ACTIONS(3164),
    [anon_sym_GT_GT] = ACTIONS(3164),
    [anon_sym_import] = ACTIONS(3164),
    [anon_sym_typealias] = ACTIONS(3164),
    [anon_sym_struct] = ACTIONS(3164),
    [anon_sym_class] = ACTIONS(3164),
    [anon_sym_enum] = ACTIONS(3164),
    [anon_sym_protocol] = ACTIONS(3164),
    [anon_sym_let] = ACTIONS(3164),
    [anon_sym_var] = ACTIONS(3164),
    [anon_sym_func] = ACTIONS(3164),
    [anon_sym_extension] = ACTIONS(3164),
    [anon_sym_indirect] = ACTIONS(3164),
    [anon_sym_BANG2] = ACTIONS(3166),
    [anon_sym_SEMI] = ACTIONS(3164),
    [anon_sym_init] = ACTIONS(3164),
    [anon_sym_deinit] = ACTIONS(3164),
    [anon_sym_subscript] = ACTIONS(3164),
    [anon_sym_prefix] = ACTIONS(3164),
    [anon_sym_infix] = ACTIONS(3164),
    [anon_sym_postfix] = ACTIONS(3164),
    [anon_sym_precedencegroup] = ACTIONS(3164),
    [anon_sym_associatedtype] = ACTIONS(3164),
    [anon_sym_AT] = ACTIONS(3166),
    [anon_sym_override] = ACTIONS(3164),
    [anon_sym_convenience] = ACTIONS(3164),
    [anon_sym_required] = ACTIONS(3164),
    [anon_sym_nonisolated] = ACTIONS(3164),
    [anon_sym_public] = ACTIONS(3164),
    [anon_sym_private] = ACTIONS(3164),
    [anon_sym_internal] = ACTIONS(3164),
    [anon_sym_fileprivate] = ACTIONS(3164),
    [anon_sym_open] = ACTIONS(3164),
    [anon_sym_mutating] = ACTIONS(3164),
    [anon_sym_nonmutating] = ACTIONS(3164),
    [anon_sym_static] = ACTIONS(3164),
    [anon_sym_dynamic] = ACTIONS(3164),
    [anon_sym_optional] = ACTIONS(3164),
    [anon_sym_distributed] = ACTIONS(3164),
    [anon_sym_final] = ACTIONS(3164),
    [anon_sym_inout] = ACTIONS(3164),
    [anon_sym_ATescaping] = ACTIONS(3164),
    [anon_sym_ATautoclosure] = ACTIONS(3164),
    [anon_sym_weak] = ACTIONS(3164),
    [anon_sym_unowned] = ACTIONS(3166),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3164),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3164),
    [anon_sym_borrowing] = ACTIONS(3164),
    [anon_sym_consuming] = ACTIONS(3164),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3164),
    [sym__conjunction_operator_custom] = ACTIONS(3164),
    [sym__disjunction_operator_custom] = ACTIONS(3164),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3164),
    [sym__eq_custom] = ACTIONS(3164),
    [sym__eq_eq_custom] = ACTIONS(3164),
    [sym__plus_then_ws] = ACTIONS(3164),
    [sym__minus_then_ws] = ACTIONS(3164),
    [sym__bang_custom] = ACTIONS(3164),
    [sym__as_custom] = ACTIONS(3164),
    [sym__as_quest_custom] = ACTIONS(3164),
    [sym__as_bang_custom] = ACTIONS(3164),
    [sym__custom_operator] = ACTIONS(3164),
  },
  [767] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(3168),
    [anon_sym_async] = ACTIONS(3168),
    [anon_sym_lazy] = ACTIONS(3168),
    [anon_sym_package] = ACTIONS(3168),
    [anon_sym_RPAREN] = ACTIONS(3168),
    [anon_sym_COMMA] = ACTIONS(3168),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_LPAREN] = ACTIONS(3168),
    [anon_sym_LBRACK] = ACTIONS(3168),
    [anon_sym_RBRACK] = ACTIONS(3168),
    [anon_sym_QMARK] = ACTIONS(3170),
    [anon_sym_QMARK2] = ACTIONS(3168),
    [anon_sym_AMP] = ACTIONS(3168),
    [aux_sym_custom_operator_token1] = ACTIONS(3168),
    [anon_sym_LT] = ACTIONS(3170),
    [anon_sym_GT] = ACTIONS(3170),
    [anon_sym_LBRACE] = ACTIONS(3168),
    [anon_sym_CARET_LBRACE] = ACTIONS(3168),
    [anon_sym_RBRACE] = ACTIONS(3168),
    [anon_sym_case] = ACTIONS(3168),
    [anon_sym_PLUS_EQ] = ACTIONS(3168),
    [anon_sym_DASH_EQ] = ACTIONS(3168),
    [anon_sym_STAR_EQ] = ACTIONS(3168),
    [anon_sym_SLASH_EQ] = ACTIONS(3168),
    [anon_sym_PERCENT_EQ] = ACTIONS(3168),
    [anon_sym_BANG_EQ] = ACTIONS(3170),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3168),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3168),
    [anon_sym_LT_EQ] = ACTIONS(3168),
    [anon_sym_GT_EQ] = ACTIONS(3168),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3168),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3168),
    [anon_sym_is] = ACTIONS(3168),
    [anon_sym_PLUS] = ACTIONS(3170),
    [anon_sym_DASH] = ACTIONS(3170),
    [anon_sym_STAR] = ACTIONS(3170),
    [anon_sym_SLASH] = ACTIONS(3170),
    [anon_sym_PERCENT] = ACTIONS(3170),
    [anon_sym_PLUS_PLUS] = ACTIONS(3168),
    [anon_sym_DASH_DASH] = ACTIONS(3168),
    [anon_sym_PIPE] = ACTIONS(3168),
    [anon_sym_CARET] = ACTIONS(3170),
    [anon_sym_LT_LT] = ACTIONS(3168),
    [anon_sym_GT_GT] = ACTIONS(3168),
    [anon_sym_import] = ACTIONS(3168),
    [anon_sym_typealias] = ACTIONS(3168),
    [anon_sym_struct] = ACTIONS(3168),
    [anon_sym_class] = ACTIONS(3168),
    [anon_sym_enum] = ACTIONS(3168),
    [anon_sym_protocol] = ACTIONS(3168),
    [anon_sym_let] = ACTIONS(3168),
    [anon_sym_var] = ACTIONS(3168),
    [anon_sym_func] = ACTIONS(3168),
    [anon_sym_extension] = ACTIONS(3168),
    [anon_sym_indirect] = ACTIONS(3168),
    [anon_sym_BANG2] = ACTIONS(3170),
    [anon_sym_SEMI] = ACTIONS(3168),
    [anon_sym_init] = ACTIONS(3168),
    [anon_sym_deinit] = ACTIONS(3168),
    [anon_sym_subscript] = ACTIONS(3168),
    [anon_sym_prefix] = ACTIONS(3168),
    [anon_sym_infix] = ACTIONS(3168),
    [anon_sym_postfix] = ACTIONS(3168),
    [anon_sym_precedencegroup] = ACTIONS(3168),
    [anon_sym_associatedtype] = ACTIONS(3168),
    [anon_sym_AT] = ACTIONS(3170),
    [anon_sym_override] = ACTIONS(3168),
    [anon_sym_convenience] = ACTIONS(3168),
    [anon_sym_required] = ACTIONS(3168),
    [anon_sym_nonisolated] = ACTIONS(3168),
    [anon_sym_public] = ACTIONS(3168),
    [anon_sym_private] = ACTIONS(3168),
    [anon_sym_internal] = ACTIONS(3168),
    [anon_sym_fileprivate] = ACTIONS(3168),
    [anon_sym_open] = ACTIONS(3168),
    [anon_sym_mutating] = ACTIONS(3168),
    [anon_sym_nonmutating] = ACTIONS(3168),
    [anon_sym_static] = ACTIONS(3168),
    [anon_sym_dynamic] = ACTIONS(3168),
    [anon_sym_optional] = ACTIONS(3168),
    [anon_sym_distributed] = ACTIONS(3168),
    [anon_sym_final] = ACTIONS(3168),
    [anon_sym_inout] = ACTIONS(3168),
    [anon_sym_ATescaping] = ACTIONS(3168),
    [anon_sym_ATautoclosure] = ACTIONS(3168),
    [anon_sym_weak] = ACTIONS(3168),
    [anon_sym_unowned] = ACTIONS(3170),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3168),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3168),
    [anon_sym_borrowing] = ACTIONS(3168),
    [anon_sym_consuming] = ACTIONS(3168),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3168),
    [sym__conjunction_operator_custom] = ACTIONS(3168),
    [sym__disjunction_operator_custom] = ACTIONS(3168),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3168),
    [sym__eq_custom] = ACTIONS(3168),
    [sym__eq_eq_custom] = ACTIONS(3168),
    [sym__plus_then_ws] = ACTIONS(3168),
    [sym__minus_then_ws] = ACTIONS(3168),
    [sym__bang_custom] = ACTIONS(3168),
    [sym__as_custom] = ACTIONS(3168),
    [sym__as_quest_custom] = ACTIONS(3168),
    [sym__as_bang_custom] = ACTIONS(3168),
    [sym__custom_operator] = ACTIONS(3168),
  },
  [768] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(3008),
    [anon_sym_async] = ACTIONS(3008),
    [anon_sym_lazy] = ACTIONS(3008),
    [anon_sym_package] = ACTIONS(3008),
    [anon_sym_RPAREN] = ACTIONS(3008),
    [anon_sym_COMMA] = ACTIONS(3008),
    [anon_sym_COLON] = ACTIONS(3008),
    [anon_sym_LPAREN] = ACTIONS(3008),
    [anon_sym_LBRACK] = ACTIONS(3008),
    [anon_sym_RBRACK] = ACTIONS(3008),
    [anon_sym_QMARK] = ACTIONS(3006),
    [anon_sym_QMARK2] = ACTIONS(3008),
    [anon_sym_AMP] = ACTIONS(3008),
    [aux_sym_custom_operator_token1] = ACTIONS(3008),
    [anon_sym_LT] = ACTIONS(3006),
    [anon_sym_GT] = ACTIONS(3006),
    [anon_sym_LBRACE] = ACTIONS(3008),
    [anon_sym_CARET_LBRACE] = ACTIONS(3008),
    [anon_sym_RBRACE] = ACTIONS(3008),
    [anon_sym_case] = ACTIONS(3008),
    [anon_sym_PLUS_EQ] = ACTIONS(3008),
    [anon_sym_DASH_EQ] = ACTIONS(3008),
    [anon_sym_STAR_EQ] = ACTIONS(3008),
    [anon_sym_SLASH_EQ] = ACTIONS(3008),
    [anon_sym_PERCENT_EQ] = ACTIONS(3008),
    [anon_sym_BANG_EQ] = ACTIONS(3006),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3008),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3008),
    [anon_sym_LT_EQ] = ACTIONS(3008),
    [anon_sym_GT_EQ] = ACTIONS(3008),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3008),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3008),
    [anon_sym_is] = ACTIONS(3008),
    [anon_sym_PLUS] = ACTIONS(3006),
    [anon_sym_DASH] = ACTIONS(3006),
    [anon_sym_STAR] = ACTIONS(3006),
    [anon_sym_SLASH] = ACTIONS(3006),
    [anon_sym_PERCENT] = ACTIONS(3006),
    [anon_sym_PLUS_PLUS] = ACTIONS(3008),
    [anon_sym_DASH_DASH] = ACTIONS(3008),
    [anon_sym_PIPE] = ACTIONS(3008),
    [anon_sym_CARET] = ACTIONS(3006),
    [anon_sym_LT_LT] = ACTIONS(3008),
    [anon_sym_GT_GT] = ACTIONS(3008),
    [anon_sym_import] = ACTIONS(3008),
    [anon_sym_typealias] = ACTIONS(3008),
    [anon_sym_struct] = ACTIONS(3008),
    [anon_sym_class] = ACTIONS(3008),
    [anon_sym_enum] = ACTIONS(3008),
    [anon_sym_protocol] = ACTIONS(3008),
    [anon_sym_let] = ACTIONS(3008),
    [anon_sym_var] = ACTIONS(3008),
    [anon_sym_func] = ACTIONS(3008),
    [anon_sym_extension] = ACTIONS(3008),
    [anon_sym_indirect] = ACTIONS(3008),
    [anon_sym_BANG2] = ACTIONS(3006),
    [anon_sym_SEMI] = ACTIONS(3008),
    [anon_sym_init] = ACTIONS(3008),
    [anon_sym_deinit] = ACTIONS(3008),
    [anon_sym_subscript] = ACTIONS(3008),
    [anon_sym_prefix] = ACTIONS(3008),
    [anon_sym_infix] = ACTIONS(3008),
    [anon_sym_postfix] = ACTIONS(3008),
    [anon_sym_precedencegroup] = ACTIONS(3008),
    [anon_sym_associatedtype] = ACTIONS(3008),
    [anon_sym_AT] = ACTIONS(3006),
    [anon_sym_override] = ACTIONS(3008),
    [anon_sym_convenience] = ACTIONS(3008),
    [anon_sym_required] = ACTIONS(3008),
    [anon_sym_nonisolated] = ACTIONS(3008),
    [anon_sym_public] = ACTIONS(3008),
    [anon_sym_private] = ACTIONS(3008),
    [anon_sym_internal] = ACTIONS(3008),
    [anon_sym_fileprivate] = ACTIONS(3008),
    [anon_sym_open] = ACTIONS(3008),
    [anon_sym_mutating] = ACTIONS(3008),
    [anon_sym_nonmutating] = ACTIONS(3008),
    [anon_sym_static] = ACTIONS(3008),
    [anon_sym_dynamic] = ACTIONS(3008),
    [anon_sym_optional] = ACTIONS(3008),
    [anon_sym_distributed] = ACTIONS(3008),
    [anon_sym_final] = ACTIONS(3008),
    [anon_sym_inout] = ACTIONS(3008),
    [anon_sym_ATescaping] = ACTIONS(3008),
    [anon_sym_ATautoclosure] = ACTIONS(3008),
    [anon_sym_weak] = ACTIONS(3008),
    [anon_sym_unowned] = ACTIONS(3006),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3008),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3008),
    [anon_sym_borrowing] = ACTIONS(3008),
    [anon_sym_consuming] = ACTIONS(3008),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3008),
    [sym__conjunction_operator_custom] = ACTIONS(3008),
    [sym__disjunction_operator_custom] = ACTIONS(3008),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3008),
    [sym__eq_custom] = ACTIONS(3008),
    [sym__eq_eq_custom] = ACTIONS(3008),
    [sym__plus_then_ws] = ACTIONS(3008),
    [sym__minus_then_ws] = ACTIONS(3008),
    [sym__bang_custom] = ACTIONS(3008),
    [sym__as_custom] = ACTIONS(3008),
    [sym__as_quest_custom] = ACTIONS(3008),
    [sym__as_bang_custom] = ACTIONS(3008),
    [sym__custom_operator] = ACTIONS(3008),
  },
  [769] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(3172),
    [anon_sym_async] = ACTIONS(3172),
    [anon_sym_lazy] = ACTIONS(3172),
    [anon_sym_package] = ACTIONS(3172),
    [anon_sym_RPAREN] = ACTIONS(3172),
    [anon_sym_COMMA] = ACTIONS(3172),
    [anon_sym_COLON] = ACTIONS(3172),
    [anon_sym_LPAREN] = ACTIONS(3172),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_RBRACK] = ACTIONS(3172),
    [anon_sym_QMARK] = ACTIONS(3174),
    [anon_sym_QMARK2] = ACTIONS(3172),
    [anon_sym_AMP] = ACTIONS(3172),
    [aux_sym_custom_operator_token1] = ACTIONS(3172),
    [anon_sym_LT] = ACTIONS(3174),
    [anon_sym_GT] = ACTIONS(3174),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_CARET_LBRACE] = ACTIONS(3172),
    [anon_sym_RBRACE] = ACTIONS(3172),
    [anon_sym_case] = ACTIONS(3172),
    [anon_sym_PLUS_EQ] = ACTIONS(3172),
    [anon_sym_DASH_EQ] = ACTIONS(3172),
    [anon_sym_STAR_EQ] = ACTIONS(3172),
    [anon_sym_SLASH_EQ] = ACTIONS(3172),
    [anon_sym_PERCENT_EQ] = ACTIONS(3172),
    [anon_sym_BANG_EQ] = ACTIONS(3174),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3172),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3172),
    [anon_sym_LT_EQ] = ACTIONS(3172),
    [anon_sym_GT_EQ] = ACTIONS(3172),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3172),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3172),
    [anon_sym_is] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3174),
    [anon_sym_DASH] = ACTIONS(3174),
    [anon_sym_STAR] = ACTIONS(3174),
    [anon_sym_SLASH] = ACTIONS(3174),
    [anon_sym_PERCENT] = ACTIONS(3174),
    [anon_sym_PLUS_PLUS] = ACTIONS(3172),
    [anon_sym_DASH_DASH] = ACTIONS(3172),
    [anon_sym_PIPE] = ACTIONS(3172),
    [anon_sym_CARET] = ACTIONS(3174),
    [anon_sym_LT_LT] = ACTIONS(3172),
    [anon_sym_GT_GT] = ACTIONS(3172),
    [anon_sym_import] = ACTIONS(3172),
    [anon_sym_typealias] = ACTIONS(3172),
    [anon_sym_struct] = ACTIONS(3172),
    [anon_sym_class] = ACTIONS(3172),
    [anon_sym_enum] = ACTIONS(3172),
    [anon_sym_protocol] = ACTIONS(3172),
    [anon_sym_let] = ACTIONS(3172),
    [anon_sym_var] = ACTIONS(3172),
    [anon_sym_func] = ACTIONS(3172),
    [anon_sym_extension] = ACTIONS(3172),
    [anon_sym_indirect] = ACTIONS(3172),
    [anon_sym_BANG2] = ACTIONS(3174),
    [anon_sym_SEMI] = ACTIONS(3172),
    [anon_sym_init] = ACTIONS(3172),
    [anon_sym_deinit] = ACTIONS(3172),
    [anon_sym_subscript] = ACTIONS(3172),
    [anon_sym_prefix] = ACTIONS(3172),
    [anon_sym_infix] = ACTIONS(3172),
    [anon_sym_postfix] = ACTIONS(3172),
    [anon_sym_precedencegroup] = ACTIONS(3172),
    [anon_sym_associatedtype] = ACTIONS(3172),
    [anon_sym_AT] = ACTIONS(3174),
    [anon_sym_override] = ACTIONS(3172),
    [anon_sym_convenience] = ACTIONS(3172),
    [anon_sym_required] = ACTIONS(3172),
    [anon_sym_nonisolated] = ACTIONS(3172),
    [anon_sym_public] = ACTIONS(3172),
    [anon_sym_private] = ACTIONS(3172),
    [anon_sym_internal] = ACTIONS(3172),
    [anon_sym_fileprivate] = ACTIONS(3172),
    [anon_sym_open] = ACTIONS(3172),
    [anon_sym_mutating] = ACTIONS(3172),
    [anon_sym_nonmutating] = ACTIONS(3172),
    [anon_sym_static] = ACTIONS(3172),
    [anon_sym_dynamic] = ACTIONS(3172),
    [anon_sym_optional] = ACTIONS(3172),
    [anon_sym_distributed] = ACTIONS(3172),
    [anon_sym_final] = ACTIONS(3172),
    [anon_sym_inout] = ACTIONS(3172),
    [anon_sym_ATescaping] = ACTIONS(3172),
    [anon_sym_ATautoclosure] = ACTIONS(3172),
    [anon_sym_weak] = ACTIONS(3172),
    [anon_sym_unowned] = ACTIONS(3174),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3172),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3172),
    [anon_sym_borrowing] = ACTIONS(3172),
    [anon_sym_consuming] = ACTIONS(3172),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3172),
    [sym__conjunction_operator_custom] = ACTIONS(3172),
    [sym__disjunction_operator_custom] = ACTIONS(3172),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3172),
    [sym__eq_custom] = ACTIONS(3172),
    [sym__eq_eq_custom] = ACTIONS(3172),
    [sym__plus_then_ws] = ACTIONS(3172),
    [sym__minus_then_ws] = ACTIONS(3172),
    [sym__bang_custom] = ACTIONS(3172),
    [sym__as_custom] = ACTIONS(3172),
    [sym__as_quest_custom] = ACTIONS(3172),
    [sym__as_bang_custom] = ACTIONS(3172),
    [sym__custom_operator] = ACTIONS(3172),
  },
  [770] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(425),
    [anon_sym_async] = ACTIONS(425),
    [anon_sym_lazy] = ACTIONS(425),
    [anon_sym_package] = ACTIONS(425),
    [anon_sym_RPAREN] = ACTIONS(425),
    [anon_sym_COMMA] = ACTIONS(425),
    [anon_sym_COLON] = ACTIONS(425),
    [anon_sym_LPAREN] = ACTIONS(425),
    [anon_sym_LBRACK] = ACTIONS(425),
    [anon_sym_RBRACK] = ACTIONS(425),
    [anon_sym_QMARK] = ACTIONS(407),
    [anon_sym_QMARK2] = ACTIONS(425),
    [anon_sym_AMP] = ACTIONS(425),
    [aux_sym_custom_operator_token1] = ACTIONS(425),
    [anon_sym_LT] = ACTIONS(407),
    [anon_sym_GT] = ACTIONS(407),
    [anon_sym_LBRACE] = ACTIONS(425),
    [anon_sym_CARET_LBRACE] = ACTIONS(425),
    [anon_sym_RBRACE] = ACTIONS(425),
    [anon_sym_case] = ACTIONS(425),
    [anon_sym_PLUS_EQ] = ACTIONS(425),
    [anon_sym_DASH_EQ] = ACTIONS(425),
    [anon_sym_STAR_EQ] = ACTIONS(425),
    [anon_sym_SLASH_EQ] = ACTIONS(425),
    [anon_sym_PERCENT_EQ] = ACTIONS(425),
    [anon_sym_BANG_EQ] = ACTIONS(407),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(425),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(425),
    [anon_sym_LT_EQ] = ACTIONS(425),
    [anon_sym_GT_EQ] = ACTIONS(425),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(425),
    [anon_sym_DOT_DOT_LT] = ACTIONS(425),
    [anon_sym_is] = ACTIONS(425),
    [anon_sym_PLUS] = ACTIONS(407),
    [anon_sym_DASH] = ACTIONS(407),
    [anon_sym_STAR] = ACTIONS(407),
    [anon_sym_SLASH] = ACTIONS(407),
    [anon_sym_PERCENT] = ACTIONS(407),
    [anon_sym_PLUS_PLUS] = ACTIONS(425),
    [anon_sym_DASH_DASH] = ACTIONS(425),
    [anon_sym_PIPE] = ACTIONS(425),
    [anon_sym_CARET] = ACTIONS(407),
    [anon_sym_LT_LT] = ACTIONS(425),
    [anon_sym_GT_GT] = ACTIONS(425),
    [anon_sym_import] = ACTIONS(425),
    [anon_sym_typealias] = ACTIONS(425),
    [anon_sym_struct] = ACTIONS(425),
    [anon_sym_class] = ACTIONS(425),
    [anon_sym_enum] = ACTIONS(425),
    [anon_sym_protocol] = ACTIONS(425),
    [anon_sym_let] = ACTIONS(425),
    [anon_sym_var] = ACTIONS(425),
    [anon_sym_func] = ACTIONS(425),
    [anon_sym_extension] = ACTIONS(425),
    [anon_sym_indirect] = ACTIONS(425),
    [anon_sym_BANG2] = ACTIONS(407),
    [anon_sym_SEMI] = ACTIONS(425),
    [anon_sym_init] = ACTIONS(425),
    [anon_sym_deinit] = ACTIONS(425),
    [anon_sym_subscript] = ACTIONS(425),
    [anon_sym_prefix] = ACTIONS(425),
    [anon_sym_infix] = ACTIONS(425),
    [anon_sym_postfix] = ACTIONS(425),
    [anon_sym_precedencegroup] = ACTIONS(425),
    [anon_sym_associatedtype] = ACTIONS(425),
    [anon_sym_AT] = ACTIONS(407),
    [anon_sym_override] = ACTIONS(425),
    [anon_sym_convenience] = ACTIONS(425),
    [anon_sym_required] = ACTIONS(425),
    [anon_sym_nonisolated] = ACTIONS(425),
    [anon_sym_public] = ACTIONS(425),
    [anon_sym_private] = ACTIONS(425),
    [anon_sym_internal] = ACTIONS(425),
    [anon_sym_fileprivate] = ACTIONS(425),
    [anon_sym_open] = ACTIONS(425),
    [anon_sym_mutating] = ACTIONS(425),
    [anon_sym_nonmutating] = ACTIONS(425),
    [anon_sym_static] = ACTIONS(425),
    [anon_sym_dynamic] = ACTIONS(425),
    [anon_sym_optional] = ACTIONS(425),
    [anon_sym_distributed] = ACTIONS(425),
    [anon_sym_final] = ACTIONS(425),
    [anon_sym_inout] = ACTIONS(425),
    [anon_sym_ATescaping] = ACTIONS(425),
    [anon_sym_ATautoclosure] = ACTIONS(425),
    [anon_sym_weak] = ACTIONS(425),
    [anon_sym_unowned] = ACTIONS(407),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(425),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(425),
    [anon_sym_borrowing] = ACTIONS(425),
    [anon_sym_consuming] = ACTIONS(425),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(425),
    [sym__conjunction_operator_custom] = ACTIONS(425),
    [sym__disjunction_operator_custom] = ACTIONS(425),
    [sym__nil_coalescing_operator_custom] = ACTIONS(425),
    [sym__eq_custom] = ACTIONS(425),
    [sym__eq_eq_custom] = ACTIONS(425),
    [sym__plus_then_ws] = ACTIONS(425),
    [sym__minus_then_ws] = ACTIONS(425),
    [sym__bang_custom] = ACTIONS(425),
    [sym__as_custom] = ACTIONS(425),
    [sym__as_quest_custom] = ACTIONS(425),
    [sym__as_bang_custom] = ACTIONS(425),
    [sym__custom_operator] = ACTIONS(425),
  },
  [771] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(3176),
    [anon_sym_async] = ACTIONS(3176),
    [anon_sym_lazy] = ACTIONS(3176),
    [anon_sym_package] = ACTIONS(3176),
    [anon_sym_RPAREN] = ACTIONS(3176),
    [anon_sym_COMMA] = ACTIONS(3176),
    [anon_sym_COLON] = ACTIONS(3176),
    [anon_sym_LPAREN] = ACTIONS(3176),
    [anon_sym_LBRACK] = ACTIONS(3176),
    [anon_sym_RBRACK] = ACTIONS(3176),
    [anon_sym_QMARK] = ACTIONS(3178),
    [anon_sym_QMARK2] = ACTIONS(3176),
    [anon_sym_AMP] = ACTIONS(3176),
    [aux_sym_custom_operator_token1] = ACTIONS(3176),
    [anon_sym_LT] = ACTIONS(3178),
    [anon_sym_GT] = ACTIONS(3178),
    [anon_sym_LBRACE] = ACTIONS(3176),
    [anon_sym_CARET_LBRACE] = ACTIONS(3176),
    [anon_sym_RBRACE] = ACTIONS(3176),
    [anon_sym_case] = ACTIONS(3176),
    [anon_sym_PLUS_EQ] = ACTIONS(3176),
    [anon_sym_DASH_EQ] = ACTIONS(3176),
    [anon_sym_STAR_EQ] = ACTIONS(3176),
    [anon_sym_SLASH_EQ] = ACTIONS(3176),
    [anon_sym_PERCENT_EQ] = ACTIONS(3176),
    [anon_sym_BANG_EQ] = ACTIONS(3178),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3176),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3176),
    [anon_sym_LT_EQ] = ACTIONS(3176),
    [anon_sym_GT_EQ] = ACTIONS(3176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3176),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3176),
    [anon_sym_is] = ACTIONS(3176),
    [anon_sym_PLUS] = ACTIONS(3178),
    [anon_sym_DASH] = ACTIONS(3178),
    [anon_sym_STAR] = ACTIONS(3178),
    [anon_sym_SLASH] = ACTIONS(3178),
    [anon_sym_PERCENT] = ACTIONS(3178),
    [anon_sym_PLUS_PLUS] = ACTIONS(3176),
    [anon_sym_DASH_DASH] = ACTIONS(3176),
    [anon_sym_PIPE] = ACTIONS(3176),
    [anon_sym_CARET] = ACTIONS(3178),
    [anon_sym_LT_LT] = ACTIONS(3176),
    [anon_sym_GT_GT] = ACTIONS(3176),
    [anon_sym_import] = ACTIONS(3176),
    [anon_sym_typealias] = ACTIONS(3176),
    [anon_sym_struct] = ACTIONS(3176),
    [anon_sym_class] = ACTIONS(3176),
    [anon_sym_enum] = ACTIONS(3176),
    [anon_sym_protocol] = ACTIONS(3176),
    [anon_sym_let] = ACTIONS(3176),
    [anon_sym_var] = ACTIONS(3176),
    [anon_sym_func] = ACTIONS(3176),
    [anon_sym_extension] = ACTIONS(3176),
    [anon_sym_indirect] = ACTIONS(3176),
    [anon_sym_BANG2] = ACTIONS(3178),
    [anon_sym_SEMI] = ACTIONS(3176),
    [anon_sym_init] = ACTIONS(3176),
    [anon_sym_deinit] = ACTIONS(3176),
    [anon_sym_subscript] = ACTIONS(3176),
    [anon_sym_prefix] = ACTIONS(3176),
    [anon_sym_infix] = ACTIONS(3176),
    [anon_sym_postfix] = ACTIONS(3176),
    [anon_sym_precedencegroup] = ACTIONS(3176),
    [anon_sym_associatedtype] = ACTIONS(3176),
    [anon_sym_AT] = ACTIONS(3178),
    [anon_sym_override] = ACTIONS(3176),
    [anon_sym_convenience] = ACTIONS(3176),
    [anon_sym_required] = ACTIONS(3176),
    [anon_sym_nonisolated] = ACTIONS(3176),
    [anon_sym_public] = ACTIONS(3176),
    [anon_sym_private] = ACTIONS(3176),
    [anon_sym_internal] = ACTIONS(3176),
    [anon_sym_fileprivate] = ACTIONS(3176),
    [anon_sym_open] = ACTIONS(3176),
    [anon_sym_mutating] = ACTIONS(3176),
    [anon_sym_nonmutating] = ACTIONS(3176),
    [anon_sym_static] = ACTIONS(3176),
    [anon_sym_dynamic] = ACTIONS(3176),
    [anon_sym_optional] = ACTIONS(3176),
    [anon_sym_distributed] = ACTIONS(3176),
    [anon_sym_final] = ACTIONS(3176),
    [anon_sym_inout] = ACTIONS(3176),
    [anon_sym_ATescaping] = ACTIONS(3176),
    [anon_sym_ATautoclosure] = ACTIONS(3176),
    [anon_sym_weak] = ACTIONS(3176),
    [anon_sym_unowned] = ACTIONS(3178),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3176),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3176),
    [anon_sym_borrowing] = ACTIONS(3176),
    [anon_sym_consuming] = ACTIONS(3176),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3176),
    [sym__conjunction_operator_custom] = ACTIONS(3176),
    [sym__disjunction_operator_custom] = ACTIONS(3176),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3176),
    [sym__eq_custom] = ACTIONS(3176),
    [sym__eq_eq_custom] = ACTIONS(3176),
    [sym__plus_then_ws] = ACTIONS(3176),
    [sym__minus_then_ws] = ACTIONS(3176),
    [sym__bang_custom] = ACTIONS(3176),
    [sym__as_custom] = ACTIONS(3176),
    [sym__as_quest_custom] = ACTIONS(3176),
    [sym__as_bang_custom] = ACTIONS(3176),
    [sym__custom_operator] = ACTIONS(3176),
  },
  [772] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(3180),
    [anon_sym_async] = ACTIONS(3180),
    [anon_sym_lazy] = ACTIONS(3180),
    [anon_sym_package] = ACTIONS(3180),
    [anon_sym_RPAREN] = ACTIONS(3180),
    [anon_sym_COMMA] = ACTIONS(3180),
    [anon_sym_COLON] = ACTIONS(3180),
    [anon_sym_LPAREN] = ACTIONS(3180),
    [anon_sym_LBRACK] = ACTIONS(3180),
    [anon_sym_RBRACK] = ACTIONS(3180),
    [anon_sym_QMARK] = ACTIONS(3182),
    [anon_sym_QMARK2] = ACTIONS(3180),
    [anon_sym_AMP] = ACTIONS(3180),
    [aux_sym_custom_operator_token1] = ACTIONS(3180),
    [anon_sym_LT] = ACTIONS(3182),
    [anon_sym_GT] = ACTIONS(3182),
    [anon_sym_LBRACE] = ACTIONS(3180),
    [anon_sym_CARET_LBRACE] = ACTIONS(3180),
    [anon_sym_RBRACE] = ACTIONS(3180),
    [anon_sym_case] = ACTIONS(3180),
    [anon_sym_PLUS_EQ] = ACTIONS(3180),
    [anon_sym_DASH_EQ] = ACTIONS(3180),
    [anon_sym_STAR_EQ] = ACTIONS(3180),
    [anon_sym_SLASH_EQ] = ACTIONS(3180),
    [anon_sym_PERCENT_EQ] = ACTIONS(3180),
    [anon_sym_BANG_EQ] = ACTIONS(3182),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3180),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3180),
    [anon_sym_LT_EQ] = ACTIONS(3180),
    [anon_sym_GT_EQ] = ACTIONS(3180),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3180),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3180),
    [anon_sym_is] = ACTIONS(3180),
    [anon_sym_PLUS] = ACTIONS(3182),
    [anon_sym_DASH] = ACTIONS(3182),
    [anon_sym_STAR] = ACTIONS(3182),
    [anon_sym_SLASH] = ACTIONS(3182),
    [anon_sym_PERCENT] = ACTIONS(3182),
    [anon_sym_PLUS_PLUS] = ACTIONS(3180),
    [anon_sym_DASH_DASH] = ACTIONS(3180),
    [anon_sym_PIPE] = ACTIONS(3180),
    [anon_sym_CARET] = ACTIONS(3182),
    [anon_sym_LT_LT] = ACTIONS(3180),
    [anon_sym_GT_GT] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3180),
    [anon_sym_typealias] = ACTIONS(3180),
    [anon_sym_struct] = ACTIONS(3180),
    [anon_sym_class] = ACTIONS(3180),
    [anon_sym_enum] = ACTIONS(3180),
    [anon_sym_protocol] = ACTIONS(3180),
    [anon_sym_let] = ACTIONS(3180),
    [anon_sym_var] = ACTIONS(3180),
    [anon_sym_func] = ACTIONS(3180),
    [anon_sym_extension] = ACTIONS(3180),
    [anon_sym_indirect] = ACTIONS(3180),
    [anon_sym_BANG2] = ACTIONS(3182),
    [anon_sym_SEMI] = ACTIONS(3180),
    [anon_sym_init] = ACTIONS(3180),
    [anon_sym_deinit] = ACTIONS(3180),
    [anon_sym_subscript] = ACTIONS(3180),
    [anon_sym_prefix] = ACTIONS(3180),
    [anon_sym_infix] = ACTIONS(3180),
    [anon_sym_postfix] = ACTIONS(3180),
    [anon_sym_precedencegroup] = ACTIONS(3180),
    [anon_sym_associatedtype] = ACTIONS(3180),
    [anon_sym_AT] = ACTIONS(3182),
    [anon_sym_override] = ACTIONS(3180),
    [anon_sym_convenience] = ACTIONS(3180),
    [anon_sym_required] = ACTIONS(3180),
    [anon_sym_nonisolated] = ACTIONS(3180),
    [anon_sym_public] = ACTIONS(3180),
    [anon_sym_private] = ACTIONS(3180),
    [anon_sym_internal] = ACTIONS(3180),
    [anon_sym_fileprivate] = ACTIONS(3180),
    [anon_sym_open] = ACTIONS(3180),
    [anon_sym_mutating] = ACTIONS(3180),
    [anon_sym_nonmutating] = ACTIONS(3180),
    [anon_sym_static] = ACTIONS(3180),
    [anon_sym_dynamic] = ACTIONS(3180),
    [anon_sym_optional] = ACTIONS(3180),
    [anon_sym_distributed] = ACTIONS(3180),
    [anon_sym_final] = ACTIONS(3180),
    [anon_sym_inout] = ACTIONS(3180),
    [anon_sym_ATescaping] = ACTIONS(3180),
    [anon_sym_ATautoclosure] = ACTIONS(3180),
    [anon_sym_weak] = ACTIONS(3180),
    [anon_sym_unowned] = ACTIONS(3182),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3180),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3180),
    [anon_sym_borrowing] = ACTIONS(3180),
    [anon_sym_consuming] = ACTIONS(3180),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3180),
    [sym__conjunction_operator_custom] = ACTIONS(3180),
    [sym__disjunction_operator_custom] = ACTIONS(3180),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3180),
    [sym__eq_custom] = ACTIONS(3180),
    [sym__eq_eq_custom] = ACTIONS(3180),
    [sym__plus_then_ws] = ACTIONS(3180),
    [sym__minus_then_ws] = ACTIONS(3180),
    [sym__bang_custom] = ACTIONS(3180),
    [sym__as_custom] = ACTIONS(3180),
    [sym__as_quest_custom] = ACTIONS(3180),
    [sym__as_bang_custom] = ACTIONS(3180),
    [sym__custom_operator] = ACTIONS(3180),
  },
  [773] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(3184),
    [anon_sym_async] = ACTIONS(3184),
    [anon_sym_lazy] = ACTIONS(3184),
    [anon_sym_package] = ACTIONS(3184),
    [anon_sym_RPAREN] = ACTIONS(3184),
    [anon_sym_COMMA] = ACTIONS(3184),
    [anon_sym_COLON] = ACTIONS(3184),
    [anon_sym_LPAREN] = ACTIONS(3184),
    [anon_sym_LBRACK] = ACTIONS(3184),
    [anon_sym_RBRACK] = ACTIONS(3184),
    [anon_sym_QMARK] = ACTIONS(3186),
    [anon_sym_QMARK2] = ACTIONS(3184),
    [anon_sym_AMP] = ACTIONS(3184),
    [aux_sym_custom_operator_token1] = ACTIONS(3184),
    [anon_sym_LT] = ACTIONS(3186),
    [anon_sym_GT] = ACTIONS(3186),
    [anon_sym_LBRACE] = ACTIONS(3184),
    [anon_sym_CARET_LBRACE] = ACTIONS(3184),
    [anon_sym_RBRACE] = ACTIONS(3184),
    [anon_sym_case] = ACTIONS(3184),
    [anon_sym_PLUS_EQ] = ACTIONS(3184),
    [anon_sym_DASH_EQ] = ACTIONS(3184),
    [anon_sym_STAR_EQ] = ACTIONS(3184),
    [anon_sym_SLASH_EQ] = ACTIONS(3184),
    [anon_sym_PERCENT_EQ] = ACTIONS(3184),
    [anon_sym_BANG_EQ] = ACTIONS(3186),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3184),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3184),
    [anon_sym_LT_EQ] = ACTIONS(3184),
    [anon_sym_GT_EQ] = ACTIONS(3184),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3184),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3184),
    [anon_sym_is] = ACTIONS(3184),
    [anon_sym_PLUS] = ACTIONS(3186),
    [anon_sym_DASH] = ACTIONS(3186),
    [anon_sym_STAR] = ACTIONS(3186),
    [anon_sym_SLASH] = ACTIONS(3186),
    [anon_sym_PERCENT] = ACTIONS(3186),
    [anon_sym_PLUS_PLUS] = ACTIONS(3184),
    [anon_sym_DASH_DASH] = ACTIONS(3184),
    [anon_sym_PIPE] = ACTIONS(3184),
    [anon_sym_CARET] = ACTIONS(3186),
    [anon_sym_LT_LT] = ACTIONS(3184),
    [anon_sym_GT_GT] = ACTIONS(3184),
    [anon_sym_import] = ACTIONS(3184),
    [anon_sym_typealias] = ACTIONS(3184),
    [anon_sym_struct] = ACTIONS(3184),
    [anon_sym_class] = ACTIONS(3184),
    [anon_sym_enum] = ACTIONS(3184),
    [anon_sym_protocol] = ACTIONS(3184),
    [anon_sym_let] = ACTIONS(3184),
    [anon_sym_var] = ACTIONS(3184),
    [anon_sym_func] = ACTIONS(3184),
    [anon_sym_extension] = ACTIONS(3184),
    [anon_sym_indirect] = ACTIONS(3184),
    [anon_sym_BANG2] = ACTIONS(3186),
    [anon_sym_SEMI] = ACTIONS(3184),
    [anon_sym_init] = ACTIONS(3184),
    [anon_sym_deinit] = ACTIONS(3184),
    [anon_sym_subscript] = ACTIONS(3184),
    [anon_sym_prefix] = ACTIONS(3184),
    [anon_sym_infix] = ACTIONS(3184),
    [anon_sym_postfix] = ACTIONS(3184),
    [anon_sym_precedencegroup] = ACTIONS(3184),
    [anon_sym_associatedtype] = ACTIONS(3184),
    [anon_sym_AT] = ACTIONS(3186),
    [anon_sym_override] = ACTIONS(3184),
    [anon_sym_convenience] = ACTIONS(3184),
    [anon_sym_required] = ACTIONS(3184),
    [anon_sym_nonisolated] = ACTIONS(3184),
    [anon_sym_public] = ACTIONS(3184),
    [anon_sym_private] = ACTIONS(3184),
    [anon_sym_internal] = ACTIONS(3184),
    [anon_sym_fileprivate] = ACTIONS(3184),
    [anon_sym_open] = ACTIONS(3184),
    [anon_sym_mutating] = ACTIONS(3184),
    [anon_sym_nonmutating] = ACTIONS(3184),
    [anon_sym_static] = ACTIONS(3184),
    [anon_sym_dynamic] = ACTIONS(3184),
    [anon_sym_optional] = ACTIONS(3184),
    [anon_sym_distributed] = ACTIONS(3184),
    [anon_sym_final] = ACTIONS(3184),
    [anon_sym_inout] = ACTIONS(3184),
    [anon_sym_ATescaping] = ACTIONS(3184),
    [anon_sym_ATautoclosure] = ACTIONS(3184),
    [anon_sym_weak] = ACTIONS(3184),
    [anon_sym_unowned] = ACTIONS(3186),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3184),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3184),
    [anon_sym_borrowing] = ACTIONS(3184),
    [anon_sym_consuming] = ACTIONS(3184),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3184),
    [sym__conjunction_operator_custom] = ACTIONS(3184),
    [sym__disjunction_operator_custom] = ACTIONS(3184),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3184),
    [sym__eq_custom] = ACTIONS(3184),
    [sym__eq_eq_custom] = ACTIONS(3184),
    [sym__plus_then_ws] = ACTIONS(3184),
    [sym__minus_then_ws] = ACTIONS(3184),
    [sym__bang_custom] = ACTIONS(3184),
    [sym__as_custom] = ACTIONS(3184),
    [sym__as_quest_custom] = ACTIONS(3184),
    [sym__as_bang_custom] = ACTIONS(3184),
    [sym__custom_operator] = ACTIONS(3184),
  },
  [774] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(3188),
    [anon_sym_async] = ACTIONS(3188),
    [anon_sym_lazy] = ACTIONS(3188),
    [anon_sym_package] = ACTIONS(3188),
    [anon_sym_RPAREN] = ACTIONS(3188),
    [anon_sym_COMMA] = ACTIONS(3188),
    [anon_sym_COLON] = ACTIONS(3188),
    [anon_sym_LPAREN] = ACTIONS(3188),
    [anon_sym_LBRACK] = ACTIONS(3188),
    [anon_sym_RBRACK] = ACTIONS(3188),
    [anon_sym_QMARK] = ACTIONS(3190),
    [anon_sym_QMARK2] = ACTIONS(3188),
    [anon_sym_AMP] = ACTIONS(3188),
    [aux_sym_custom_operator_token1] = ACTIONS(3188),
    [anon_sym_LT] = ACTIONS(3190),
    [anon_sym_GT] = ACTIONS(3190),
    [anon_sym_LBRACE] = ACTIONS(3188),
    [anon_sym_CARET_LBRACE] = ACTIONS(3188),
    [anon_sym_RBRACE] = ACTIONS(3188),
    [anon_sym_case] = ACTIONS(3188),
    [anon_sym_PLUS_EQ] = ACTIONS(3188),
    [anon_sym_DASH_EQ] = ACTIONS(3188),
    [anon_sym_STAR_EQ] = ACTIONS(3188),
    [anon_sym_SLASH_EQ] = ACTIONS(3188),
    [anon_sym_PERCENT_EQ] = ACTIONS(3188),
    [anon_sym_BANG_EQ] = ACTIONS(3190),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3188),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3188),
    [anon_sym_LT_EQ] = ACTIONS(3188),
    [anon_sym_GT_EQ] = ACTIONS(3188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3188),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3188),
    [anon_sym_is] = ACTIONS(3188),
    [anon_sym_PLUS] = ACTIONS(3190),
    [anon_sym_DASH] = ACTIONS(3190),
    [anon_sym_STAR] = ACTIONS(3190),
    [anon_sym_SLASH] = ACTIONS(3190),
    [anon_sym_PERCENT] = ACTIONS(3190),
    [anon_sym_PLUS_PLUS] = ACTIONS(3188),
    [anon_sym_DASH_DASH] = ACTIONS(3188),
    [anon_sym_PIPE] = ACTIONS(3188),
    [anon_sym_CARET] = ACTIONS(3190),
    [anon_sym_LT_LT] = ACTIONS(3188),
    [anon_sym_GT_GT] = ACTIONS(3188),
    [anon_sym_import] = ACTIONS(3188),
    [anon_sym_typealias] = ACTIONS(3188),
    [anon_sym_struct] = ACTIONS(3188),
    [anon_sym_class] = ACTIONS(3188),
    [anon_sym_enum] = ACTIONS(3188),
    [anon_sym_protocol] = ACTIONS(3188),
    [anon_sym_let] = ACTIONS(3188),
    [anon_sym_var] = ACTIONS(3188),
    [anon_sym_func] = ACTIONS(3188),
    [anon_sym_extension] = ACTIONS(3188),
    [anon_sym_indirect] = ACTIONS(3188),
    [anon_sym_BANG2] = ACTIONS(3190),
    [anon_sym_SEMI] = ACTIONS(3188),
    [anon_sym_init] = ACTIONS(3188),
    [anon_sym_deinit] = ACTIONS(3188),
    [anon_sym_subscript] = ACTIONS(3188),
    [anon_sym_prefix] = ACTIONS(3188),
    [anon_sym_infix] = ACTIONS(3188),
    [anon_sym_postfix] = ACTIONS(3188),
    [anon_sym_precedencegroup] = ACTIONS(3188),
    [anon_sym_associatedtype] = ACTIONS(3188),
    [anon_sym_AT] = ACTIONS(3190),
    [anon_sym_override] = ACTIONS(3188),
    [anon_sym_convenience] = ACTIONS(3188),
    [anon_sym_required] = ACTIONS(3188),
    [anon_sym_nonisolated] = ACTIONS(3188),
    [anon_sym_public] = ACTIONS(3188),
    [anon_sym_private] = ACTIONS(3188),
    [anon_sym_internal] = ACTIONS(3188),
    [anon_sym_fileprivate] = ACTIONS(3188),
    [anon_sym_open] = ACTIONS(3188),
    [anon_sym_mutating] = ACTIONS(3188),
    [anon_sym_nonmutating] = ACTIONS(3188),
    [anon_sym_static] = ACTIONS(3188),
    [anon_sym_dynamic] = ACTIONS(3188),
    [anon_sym_optional] = ACTIONS(3188),
    [anon_sym_distributed] = ACTIONS(3188),
    [anon_sym_final] = ACTIONS(3188),
    [anon_sym_inout] = ACTIONS(3188),
    [anon_sym_ATescaping] = ACTIONS(3188),
    [anon_sym_ATautoclosure] = ACTIONS(3188),
    [anon_sym_weak] = ACTIONS(3188),
    [anon_sym_unowned] = ACTIONS(3190),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3188),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3188),
    [anon_sym_borrowing] = ACTIONS(3188),
    [anon_sym_consuming] = ACTIONS(3188),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3188),
    [sym__conjunction_operator_custom] = ACTIONS(3188),
    [sym__disjunction_operator_custom] = ACTIONS(3188),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3188),
    [sym__eq_custom] = ACTIONS(3188),
    [sym__eq_eq_custom] = ACTIONS(3188),
    [sym__plus_then_ws] = ACTIONS(3188),
    [sym__minus_then_ws] = ACTIONS(3188),
    [sym__bang_custom] = ACTIONS(3188),
    [sym__as_custom] = ACTIONS(3188),
    [sym__as_quest_custom] = ACTIONS(3188),
    [sym__as_bang_custom] = ACTIONS(3188),
    [sym__custom_operator] = ACTIONS(3188),
  },
  [775] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(3192),
    [anon_sym_async] = ACTIONS(3192),
    [anon_sym_lazy] = ACTIONS(3192),
    [anon_sym_package] = ACTIONS(3192),
    [anon_sym_RPAREN] = ACTIONS(3192),
    [anon_sym_COMMA] = ACTIONS(3192),
    [anon_sym_COLON] = ACTIONS(3192),
    [anon_sym_LPAREN] = ACTIONS(3192),
    [anon_sym_LBRACK] = ACTIONS(3192),
    [anon_sym_RBRACK] = ACTIONS(3192),
    [anon_sym_QMARK] = ACTIONS(3194),
    [anon_sym_QMARK2] = ACTIONS(3192),
    [anon_sym_AMP] = ACTIONS(3192),
    [aux_sym_custom_operator_token1] = ACTIONS(3192),
    [anon_sym_LT] = ACTIONS(3194),
    [anon_sym_GT] = ACTIONS(3194),
    [anon_sym_LBRACE] = ACTIONS(3192),
    [anon_sym_CARET_LBRACE] = ACTIONS(3192),
    [anon_sym_RBRACE] = ACTIONS(3192),
    [anon_sym_case] = ACTIONS(3192),
    [anon_sym_PLUS_EQ] = ACTIONS(3192),
    [anon_sym_DASH_EQ] = ACTIONS(3192),
    [anon_sym_STAR_EQ] = ACTIONS(3192),
    [anon_sym_SLASH_EQ] = ACTIONS(3192),
    [anon_sym_PERCENT_EQ] = ACTIONS(3192),
    [anon_sym_BANG_EQ] = ACTIONS(3194),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3192),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3192),
    [anon_sym_LT_EQ] = ACTIONS(3192),
    [anon_sym_GT_EQ] = ACTIONS(3192),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3192),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3192),
    [anon_sym_is] = ACTIONS(3192),
    [anon_sym_PLUS] = ACTIONS(3194),
    [anon_sym_DASH] = ACTIONS(3194),
    [anon_sym_STAR] = ACTIONS(3194),
    [anon_sym_SLASH] = ACTIONS(3194),
    [anon_sym_PERCENT] = ACTIONS(3194),
    [anon_sym_PLUS_PLUS] = ACTIONS(3192),
    [anon_sym_DASH_DASH] = ACTIONS(3192),
    [anon_sym_PIPE] = ACTIONS(3192),
    [anon_sym_CARET] = ACTIONS(3194),
    [anon_sym_LT_LT] = ACTIONS(3192),
    [anon_sym_GT_GT] = ACTIONS(3192),
    [anon_sym_import] = ACTIONS(3192),
    [anon_sym_typealias] = ACTIONS(3192),
    [anon_sym_struct] = ACTIONS(3192),
    [anon_sym_class] = ACTIONS(3192),
    [anon_sym_enum] = ACTIONS(3192),
    [anon_sym_protocol] = ACTIONS(3192),
    [anon_sym_let] = ACTIONS(3192),
    [anon_sym_var] = ACTIONS(3192),
    [anon_sym_func] = ACTIONS(3192),
    [anon_sym_extension] = ACTIONS(3192),
    [anon_sym_indirect] = ACTIONS(3192),
    [anon_sym_BANG2] = ACTIONS(3194),
    [anon_sym_SEMI] = ACTIONS(3192),
    [anon_sym_init] = ACTIONS(3192),
    [anon_sym_deinit] = ACTIONS(3192),
    [anon_sym_subscript] = ACTIONS(3192),
    [anon_sym_prefix] = ACTIONS(3192),
    [anon_sym_infix] = ACTIONS(3192),
    [anon_sym_postfix] = ACTIONS(3192),
    [anon_sym_precedencegroup] = ACTIONS(3192),
    [anon_sym_associatedtype] = ACTIONS(3192),
    [anon_sym_AT] = ACTIONS(3194),
    [anon_sym_override] = ACTIONS(3192),
    [anon_sym_convenience] = ACTIONS(3192),
    [anon_sym_required] = ACTIONS(3192),
    [anon_sym_nonisolated] = ACTIONS(3192),
    [anon_sym_public] = ACTIONS(3192),
    [anon_sym_private] = ACTIONS(3192),
    [anon_sym_internal] = ACTIONS(3192),
    [anon_sym_fileprivate] = ACTIONS(3192),
    [anon_sym_open] = ACTIONS(3192),
    [anon_sym_mutating] = ACTIONS(3192),
    [anon_sym_nonmutating] = ACTIONS(3192),
    [anon_sym_static] = ACTIONS(3192),
    [anon_sym_dynamic] = ACTIONS(3192),
    [anon_sym_optional] = ACTIONS(3192),
    [anon_sym_distributed] = ACTIONS(3192),
    [anon_sym_final] = ACTIONS(3192),
    [anon_sym_inout] = ACTIONS(3192),
    [anon_sym_ATescaping] = ACTIONS(3192),
    [anon_sym_ATautoclosure] = ACTIONS(3192),
    [anon_sym_weak] = ACTIONS(3192),
    [anon_sym_unowned] = ACTIONS(3194),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3192),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3192),
    [anon_sym_borrowing] = ACTIONS(3192),
    [anon_sym_consuming] = ACTIONS(3192),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3192),
    [sym__conjunction_operator_custom] = ACTIONS(3192),
    [sym__disjunction_operator_custom] = ACTIONS(3192),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3192),
    [sym__eq_custom] = ACTIONS(3192),
    [sym__eq_eq_custom] = ACTIONS(3192),
    [sym__plus_then_ws] = ACTIONS(3192),
    [sym__minus_then_ws] = ACTIONS(3192),
    [sym__bang_custom] = ACTIONS(3192),
    [sym__as_custom] = ACTIONS(3192),
    [sym__as_quest_custom] = ACTIONS(3192),
    [sym__as_bang_custom] = ACTIONS(3192),
    [sym__custom_operator] = ACTIONS(3192),
  },
  [776] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(3196),
    [anon_sym_async] = ACTIONS(3196),
    [anon_sym_lazy] = ACTIONS(3196),
    [anon_sym_package] = ACTIONS(3196),
    [anon_sym_RPAREN] = ACTIONS(3196),
    [anon_sym_COMMA] = ACTIONS(3196),
    [anon_sym_COLON] = ACTIONS(3196),
    [anon_sym_LPAREN] = ACTIONS(3196),
    [anon_sym_LBRACK] = ACTIONS(3196),
    [anon_sym_RBRACK] = ACTIONS(3196),
    [anon_sym_QMARK] = ACTIONS(3198),
    [anon_sym_QMARK2] = ACTIONS(3196),
    [anon_sym_AMP] = ACTIONS(3196),
    [aux_sym_custom_operator_token1] = ACTIONS(3196),
    [anon_sym_LT] = ACTIONS(3198),
    [anon_sym_GT] = ACTIONS(3198),
    [anon_sym_LBRACE] = ACTIONS(3196),
    [anon_sym_CARET_LBRACE] = ACTIONS(3196),
    [anon_sym_RBRACE] = ACTIONS(3196),
    [anon_sym_case] = ACTIONS(3196),
    [anon_sym_PLUS_EQ] = ACTIONS(3196),
    [anon_sym_DASH_EQ] = ACTIONS(3196),
    [anon_sym_STAR_EQ] = ACTIONS(3196),
    [anon_sym_SLASH_EQ] = ACTIONS(3196),
    [anon_sym_PERCENT_EQ] = ACTIONS(3196),
    [anon_sym_BANG_EQ] = ACTIONS(3198),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3196),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3196),
    [anon_sym_LT_EQ] = ACTIONS(3196),
    [anon_sym_GT_EQ] = ACTIONS(3196),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3196),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3196),
    [anon_sym_is] = ACTIONS(3196),
    [anon_sym_PLUS] = ACTIONS(3198),
    [anon_sym_DASH] = ACTIONS(3198),
    [anon_sym_STAR] = ACTIONS(3198),
    [anon_sym_SLASH] = ACTIONS(3198),
    [anon_sym_PERCENT] = ACTIONS(3198),
    [anon_sym_PLUS_PLUS] = ACTIONS(3196),
    [anon_sym_DASH_DASH] = ACTIONS(3196),
    [anon_sym_PIPE] = ACTIONS(3196),
    [anon_sym_CARET] = ACTIONS(3198),
    [anon_sym_LT_LT] = ACTIONS(3196),
    [anon_sym_GT_GT] = ACTIONS(3196),
    [anon_sym_import] = ACTIONS(3196),
    [anon_sym_typealias] = ACTIONS(3196),
    [anon_sym_struct] = ACTIONS(3196),
    [anon_sym_class] = ACTIONS(3196),
    [anon_sym_enum] = ACTIONS(3196),
    [anon_sym_protocol] = ACTIONS(3196),
    [anon_sym_let] = ACTIONS(3196),
    [anon_sym_var] = ACTIONS(3196),
    [anon_sym_func] = ACTIONS(3196),
    [anon_sym_extension] = ACTIONS(3196),
    [anon_sym_indirect] = ACTIONS(3196),
    [anon_sym_BANG2] = ACTIONS(3198),
    [anon_sym_SEMI] = ACTIONS(3196),
    [anon_sym_init] = ACTIONS(3196),
    [anon_sym_deinit] = ACTIONS(3196),
    [anon_sym_subscript] = ACTIONS(3196),
    [anon_sym_prefix] = ACTIONS(3196),
    [anon_sym_infix] = ACTIONS(3196),
    [anon_sym_postfix] = ACTIONS(3196),
    [anon_sym_precedencegroup] = ACTIONS(3196),
    [anon_sym_associatedtype] = ACTIONS(3196),
    [anon_sym_AT] = ACTIONS(3198),
    [anon_sym_override] = ACTIONS(3196),
    [anon_sym_convenience] = ACTIONS(3196),
    [anon_sym_required] = ACTIONS(3196),
    [anon_sym_nonisolated] = ACTIONS(3196),
    [anon_sym_public] = ACTIONS(3196),
    [anon_sym_private] = ACTIONS(3196),
    [anon_sym_internal] = ACTIONS(3196),
    [anon_sym_fileprivate] = ACTIONS(3196),
    [anon_sym_open] = ACTIONS(3196),
    [anon_sym_mutating] = ACTIONS(3196),
    [anon_sym_nonmutating] = ACTIONS(3196),
    [anon_sym_static] = ACTIONS(3196),
    [anon_sym_dynamic] = ACTIONS(3196),
    [anon_sym_optional] = ACTIONS(3196),
    [anon_sym_distributed] = ACTIONS(3196),
    [anon_sym_final] = ACTIONS(3196),
    [anon_sym_inout] = ACTIONS(3196),
    [anon_sym_ATescaping] = ACTIONS(3196),
    [anon_sym_ATautoclosure] = ACTIONS(3196),
    [anon_sym_weak] = ACTIONS(3196),
    [anon_sym_unowned] = ACTIONS(3198),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3196),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3196),
    [anon_sym_borrowing] = ACTIONS(3196),
    [anon_sym_consuming] = ACTIONS(3196),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3196),
    [sym__conjunction_operator_custom] = ACTIONS(3196),
    [sym__disjunction_operator_custom] = ACTIONS(3196),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3196),
    [sym__eq_custom] = ACTIONS(3196),
    [sym__eq_eq_custom] = ACTIONS(3196),
    [sym__plus_then_ws] = ACTIONS(3196),
    [sym__minus_then_ws] = ACTIONS(3196),
    [sym__bang_custom] = ACTIONS(3196),
    [sym__as_custom] = ACTIONS(3196),
    [sym__as_quest_custom] = ACTIONS(3196),
    [sym__as_bang_custom] = ACTIONS(3196),
    [sym__custom_operator] = ACTIONS(3196),
  },
  [777] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(3200),
    [anon_sym_async] = ACTIONS(3200),
    [anon_sym_lazy] = ACTIONS(3200),
    [anon_sym_package] = ACTIONS(3200),
    [anon_sym_RPAREN] = ACTIONS(3200),
    [anon_sym_COMMA] = ACTIONS(3200),
    [anon_sym_COLON] = ACTIONS(3200),
    [anon_sym_LPAREN] = ACTIONS(3200),
    [anon_sym_LBRACK] = ACTIONS(3200),
    [anon_sym_RBRACK] = ACTIONS(3200),
    [anon_sym_QMARK] = ACTIONS(3202),
    [anon_sym_QMARK2] = ACTIONS(3200),
    [anon_sym_AMP] = ACTIONS(3200),
    [aux_sym_custom_operator_token1] = ACTIONS(3200),
    [anon_sym_LT] = ACTIONS(3202),
    [anon_sym_GT] = ACTIONS(3202),
    [anon_sym_LBRACE] = ACTIONS(3200),
    [anon_sym_CARET_LBRACE] = ACTIONS(3200),
    [anon_sym_RBRACE] = ACTIONS(3200),
    [anon_sym_case] = ACTIONS(3200),
    [anon_sym_PLUS_EQ] = ACTIONS(3200),
    [anon_sym_DASH_EQ] = ACTIONS(3200),
    [anon_sym_STAR_EQ] = ACTIONS(3200),
    [anon_sym_SLASH_EQ] = ACTIONS(3200),
    [anon_sym_PERCENT_EQ] = ACTIONS(3200),
    [anon_sym_BANG_EQ] = ACTIONS(3202),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3200),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3200),
    [anon_sym_LT_EQ] = ACTIONS(3200),
    [anon_sym_GT_EQ] = ACTIONS(3200),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3200),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3200),
    [anon_sym_is] = ACTIONS(3200),
    [anon_sym_PLUS] = ACTIONS(3202),
    [anon_sym_DASH] = ACTIONS(3202),
    [anon_sym_STAR] = ACTIONS(3202),
    [anon_sym_SLASH] = ACTIONS(3202),
    [anon_sym_PERCENT] = ACTIONS(3202),
    [anon_sym_PLUS_PLUS] = ACTIONS(3200),
    [anon_sym_DASH_DASH] = ACTIONS(3200),
    [anon_sym_PIPE] = ACTIONS(3200),
    [anon_sym_CARET] = ACTIONS(3202),
    [anon_sym_LT_LT] = ACTIONS(3200),
    [anon_sym_GT_GT] = ACTIONS(3200),
    [anon_sym_import] = ACTIONS(3200),
    [anon_sym_typealias] = ACTIONS(3200),
    [anon_sym_struct] = ACTIONS(3200),
    [anon_sym_class] = ACTIONS(3200),
    [anon_sym_enum] = ACTIONS(3200),
    [anon_sym_protocol] = ACTIONS(3200),
    [anon_sym_let] = ACTIONS(3200),
    [anon_sym_var] = ACTIONS(3200),
    [anon_sym_func] = ACTIONS(3200),
    [anon_sym_extension] = ACTIONS(3200),
    [anon_sym_indirect] = ACTIONS(3200),
    [anon_sym_BANG2] = ACTIONS(3202),
    [anon_sym_SEMI] = ACTIONS(3200),
    [anon_sym_init] = ACTIONS(3200),
    [anon_sym_deinit] = ACTIONS(3200),
    [anon_sym_subscript] = ACTIONS(3200),
    [anon_sym_prefix] = ACTIONS(3200),
    [anon_sym_infix] = ACTIONS(3200),
    [anon_sym_postfix] = ACTIONS(3200),
    [anon_sym_precedencegroup] = ACTIONS(3200),
    [anon_sym_associatedtype] = ACTIONS(3200),
    [anon_sym_AT] = ACTIONS(3202),
    [anon_sym_override] = ACTIONS(3200),
    [anon_sym_convenience] = ACTIONS(3200),
    [anon_sym_required] = ACTIONS(3200),
    [anon_sym_nonisolated] = ACTIONS(3200),
    [anon_sym_public] = ACTIONS(3200),
    [anon_sym_private] = ACTIONS(3200),
    [anon_sym_internal] = ACTIONS(3200),
    [anon_sym_fileprivate] = ACTIONS(3200),
    [anon_sym_open] = ACTIONS(3200),
    [anon_sym_mutating] = ACTIONS(3200),
    [anon_sym_nonmutating] = ACTIONS(3200),
    [anon_sym_static] = ACTIONS(3200),
    [anon_sym_dynamic] = ACTIONS(3200),
    [anon_sym_optional] = ACTIONS(3200),
    [anon_sym_distributed] = ACTIONS(3200),
    [anon_sym_final] = ACTIONS(3200),
    [anon_sym_inout] = ACTIONS(3200),
    [anon_sym_ATescaping] = ACTIONS(3200),
    [anon_sym_ATautoclosure] = ACTIONS(3200),
    [anon_sym_weak] = ACTIONS(3200),
    [anon_sym_unowned] = ACTIONS(3202),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3200),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3200),
    [anon_sym_borrowing] = ACTIONS(3200),
    [anon_sym_consuming] = ACTIONS(3200),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3200),
    [sym__conjunction_operator_custom] = ACTIONS(3200),
    [sym__disjunction_operator_custom] = ACTIONS(3200),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3200),
    [sym__eq_custom] = ACTIONS(3200),
    [sym__eq_eq_custom] = ACTIONS(3200),
    [sym__plus_then_ws] = ACTIONS(3200),
    [sym__minus_then_ws] = ACTIONS(3200),
    [sym__bang_custom] = ACTIONS(3200),
    [sym__as_custom] = ACTIONS(3200),
    [sym__as_quest_custom] = ACTIONS(3200),
    [sym__as_bang_custom] = ACTIONS(3200),
    [sym__custom_operator] = ACTIONS(3200),
  },
  [778] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(3204),
    [anon_sym_async] = ACTIONS(3204),
    [anon_sym_lazy] = ACTIONS(3204),
    [anon_sym_package] = ACTIONS(3204),
    [anon_sym_RPAREN] = ACTIONS(3204),
    [anon_sym_COMMA] = ACTIONS(3204),
    [anon_sym_COLON] = ACTIONS(3204),
    [anon_sym_LPAREN] = ACTIONS(3204),
    [anon_sym_LBRACK] = ACTIONS(3204),
    [anon_sym_RBRACK] = ACTIONS(3204),
    [anon_sym_QMARK] = ACTIONS(3206),
    [anon_sym_QMARK2] = ACTIONS(3204),
    [anon_sym_AMP] = ACTIONS(3204),
    [aux_sym_custom_operator_token1] = ACTIONS(3204),
    [anon_sym_LT] = ACTIONS(3206),
    [anon_sym_GT] = ACTIONS(3206),
    [anon_sym_LBRACE] = ACTIONS(3204),
    [anon_sym_CARET_LBRACE] = ACTIONS(3204),
    [anon_sym_RBRACE] = ACTIONS(3204),
    [anon_sym_case] = ACTIONS(3204),
    [anon_sym_PLUS_EQ] = ACTIONS(3204),
    [anon_sym_DASH_EQ] = ACTIONS(3204),
    [anon_sym_STAR_EQ] = ACTIONS(3204),
    [anon_sym_SLASH_EQ] = ACTIONS(3204),
    [anon_sym_PERCENT_EQ] = ACTIONS(3204),
    [anon_sym_BANG_EQ] = ACTIONS(3206),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3204),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3204),
    [anon_sym_LT_EQ] = ACTIONS(3204),
    [anon_sym_GT_EQ] = ACTIONS(3204),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3204),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3204),
    [anon_sym_is] = ACTIONS(3204),
    [anon_sym_PLUS] = ACTIONS(3206),
    [anon_sym_DASH] = ACTIONS(3206),
    [anon_sym_STAR] = ACTIONS(3206),
    [anon_sym_SLASH] = ACTIONS(3206),
    [anon_sym_PERCENT] = ACTIONS(3206),
    [anon_sym_PLUS_PLUS] = ACTIONS(3204),
    [anon_sym_DASH_DASH] = ACTIONS(3204),
    [anon_sym_PIPE] = ACTIONS(3204),
    [anon_sym_CARET] = ACTIONS(3206),
    [anon_sym_LT_LT] = ACTIONS(3204),
    [anon_sym_GT_GT] = ACTIONS(3204),
    [anon_sym_import] = ACTIONS(3204),
    [anon_sym_typealias] = ACTIONS(3204),
    [anon_sym_struct] = ACTIONS(3204),
    [anon_sym_class] = ACTIONS(3204),
    [anon_sym_enum] = ACTIONS(3204),
    [anon_sym_protocol] = ACTIONS(3204),
    [anon_sym_let] = ACTIONS(3204),
    [anon_sym_var] = ACTIONS(3204),
    [anon_sym_func] = ACTIONS(3204),
    [anon_sym_extension] = ACTIONS(3204),
    [anon_sym_indirect] = ACTIONS(3204),
    [anon_sym_BANG2] = ACTIONS(3206),
    [anon_sym_SEMI] = ACTIONS(3204),
    [anon_sym_init] = ACTIONS(3204),
    [anon_sym_deinit] = ACTIONS(3204),
    [anon_sym_subscript] = ACTIONS(3204),
    [anon_sym_prefix] = ACTIONS(3204),
    [anon_sym_infix] = ACTIONS(3204),
    [anon_sym_postfix] = ACTIONS(3204),
    [anon_sym_precedencegroup] = ACTIONS(3204),
    [anon_sym_associatedtype] = ACTIONS(3204),
    [anon_sym_AT] = ACTIONS(3206),
    [anon_sym_override] = ACTIONS(3204),
    [anon_sym_convenience] = ACTIONS(3204),
    [anon_sym_required] = ACTIONS(3204),
    [anon_sym_nonisolated] = ACTIONS(3204),
    [anon_sym_public] = ACTIONS(3204),
    [anon_sym_private] = ACTIONS(3204),
    [anon_sym_internal] = ACTIONS(3204),
    [anon_sym_fileprivate] = ACTIONS(3204),
    [anon_sym_open] = ACTIONS(3204),
    [anon_sym_mutating] = ACTIONS(3204),
    [anon_sym_nonmutating] = ACTIONS(3204),
    [anon_sym_static] = ACTIONS(3204),
    [anon_sym_dynamic] = ACTIONS(3204),
    [anon_sym_optional] = ACTIONS(3204),
    [anon_sym_distributed] = ACTIONS(3204),
    [anon_sym_final] = ACTIONS(3204),
    [anon_sym_inout] = ACTIONS(3204),
    [anon_sym_ATescaping] = ACTIONS(3204),
    [anon_sym_ATautoclosure] = ACTIONS(3204),
    [anon_sym_weak] = ACTIONS(3204),
    [anon_sym_unowned] = ACTIONS(3206),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3204),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3204),
    [anon_sym_borrowing] = ACTIONS(3204),
    [anon_sym_consuming] = ACTIONS(3204),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3204),
    [sym__conjunction_operator_custom] = ACTIONS(3204),
    [sym__disjunction_operator_custom] = ACTIONS(3204),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3204),
    [sym__eq_custom] = ACTIONS(3204),
    [sym__eq_eq_custom] = ACTIONS(3204),
    [sym__plus_then_ws] = ACTIONS(3204),
    [sym__minus_then_ws] = ACTIONS(3204),
    [sym__bang_custom] = ACTIONS(3204),
    [sym__as_custom] = ACTIONS(3204),
    [sym__as_quest_custom] = ACTIONS(3204),
    [sym__as_bang_custom] = ACTIONS(3204),
    [sym__custom_operator] = ACTIONS(3204),
  },
  [779] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(3086),
    [anon_sym_async] = ACTIONS(3086),
    [anon_sym_lazy] = ACTIONS(3086),
    [anon_sym_package] = ACTIONS(3086),
    [anon_sym_RPAREN] = ACTIONS(3086),
    [anon_sym_COMMA] = ACTIONS(3086),
    [anon_sym_COLON] = ACTIONS(3086),
    [anon_sym_LPAREN] = ACTIONS(3086),
    [anon_sym_LBRACK] = ACTIONS(3086),
    [anon_sym_RBRACK] = ACTIONS(3086),
    [anon_sym_QMARK] = ACTIONS(3088),
    [anon_sym_QMARK2] = ACTIONS(3086),
    [anon_sym_AMP] = ACTIONS(3086),
    [aux_sym_custom_operator_token1] = ACTIONS(3086),
    [anon_sym_LT] = ACTIONS(3088),
    [anon_sym_GT] = ACTIONS(3088),
    [anon_sym_LBRACE] = ACTIONS(3086),
    [anon_sym_CARET_LBRACE] = ACTIONS(3086),
    [anon_sym_RBRACE] = ACTIONS(3086),
    [anon_sym_case] = ACTIONS(3086),
    [anon_sym_PLUS_EQ] = ACTIONS(3086),
    [anon_sym_DASH_EQ] = ACTIONS(3086),
    [anon_sym_STAR_EQ] = ACTIONS(3086),
    [anon_sym_SLASH_EQ] = ACTIONS(3086),
    [anon_sym_PERCENT_EQ] = ACTIONS(3086),
    [anon_sym_BANG_EQ] = ACTIONS(3088),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3086),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3086),
    [anon_sym_LT_EQ] = ACTIONS(3086),
    [anon_sym_GT_EQ] = ACTIONS(3086),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3086),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3086),
    [anon_sym_is] = ACTIONS(3086),
    [anon_sym_PLUS] = ACTIONS(3088),
    [anon_sym_DASH] = ACTIONS(3088),
    [anon_sym_STAR] = ACTIONS(3088),
    [anon_sym_SLASH] = ACTIONS(3088),
    [anon_sym_PERCENT] = ACTIONS(3088),
    [anon_sym_PLUS_PLUS] = ACTIONS(3086),
    [anon_sym_DASH_DASH] = ACTIONS(3086),
    [anon_sym_PIPE] = ACTIONS(3086),
    [anon_sym_CARET] = ACTIONS(3088),
    [anon_sym_LT_LT] = ACTIONS(3086),
    [anon_sym_GT_GT] = ACTIONS(3086),
    [anon_sym_import] = ACTIONS(3086),
    [anon_sym_typealias] = ACTIONS(3086),
    [anon_sym_struct] = ACTIONS(3086),
    [anon_sym_class] = ACTIONS(3086),
    [anon_sym_enum] = ACTIONS(3086),
    [anon_sym_protocol] = ACTIONS(3086),
    [anon_sym_let] = ACTIONS(3086),
    [anon_sym_var] = ACTIONS(3086),
    [anon_sym_func] = ACTIONS(3086),
    [anon_sym_extension] = ACTIONS(3086),
    [anon_sym_indirect] = ACTIONS(3086),
    [anon_sym_BANG2] = ACTIONS(3088),
    [anon_sym_SEMI] = ACTIONS(3086),
    [anon_sym_init] = ACTIONS(3086),
    [anon_sym_deinit] = ACTIONS(3086),
    [anon_sym_subscript] = ACTIONS(3086),
    [anon_sym_prefix] = ACTIONS(3086),
    [anon_sym_infix] = ACTIONS(3086),
    [anon_sym_postfix] = ACTIONS(3086),
    [anon_sym_precedencegroup] = ACTIONS(3086),
    [anon_sym_associatedtype] = ACTIONS(3086),
    [anon_sym_AT] = ACTIONS(3088),
    [anon_sym_override] = ACTIONS(3086),
    [anon_sym_convenience] = ACTIONS(3086),
    [anon_sym_required] = ACTIONS(3086),
    [anon_sym_nonisolated] = ACTIONS(3086),
    [anon_sym_public] = ACTIONS(3086),
    [anon_sym_private] = ACTIONS(3086),
    [anon_sym_internal] = ACTIONS(3086),
    [anon_sym_fileprivate] = ACTIONS(3086),
    [anon_sym_open] = ACTIONS(3086),
    [anon_sym_mutating] = ACTIONS(3086),
    [anon_sym_nonmutating] = ACTIONS(3086),
    [anon_sym_static] = ACTIONS(3086),
    [anon_sym_dynamic] = ACTIONS(3086),
    [anon_sym_optional] = ACTIONS(3086),
    [anon_sym_distributed] = ACTIONS(3086),
    [anon_sym_final] = ACTIONS(3086),
    [anon_sym_inout] = ACTIONS(3086),
    [anon_sym_ATescaping] = ACTIONS(3086),
    [anon_sym_ATautoclosure] = ACTIONS(3086),
    [anon_sym_weak] = ACTIONS(3086),
    [anon_sym_unowned] = ACTIONS(3088),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3086),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3086),
    [anon_sym_borrowing] = ACTIONS(3086),
    [anon_sym_consuming] = ACTIONS(3086),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3086),
    [sym__conjunction_operator_custom] = ACTIONS(3086),
    [sym__disjunction_operator_custom] = ACTIONS(3086),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3086),
    [sym__eq_custom] = ACTIONS(3086),
    [sym__eq_eq_custom] = ACTIONS(3086),
    [sym__plus_then_ws] = ACTIONS(3086),
    [sym__minus_then_ws] = ACTIONS(3086),
    [sym__bang_custom] = ACTIONS(3086),
    [sym__as_custom] = ACTIONS(3086),
    [sym__as_quest_custom] = ACTIONS(3086),
    [sym__as_bang_custom] = ACTIONS(3086),
    [sym__custom_operator] = ACTIONS(3086),
  },
  [780] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(3208),
    [anon_sym_async] = ACTIONS(3208),
    [anon_sym_lazy] = ACTIONS(3208),
    [anon_sym_package] = ACTIONS(3208),
    [anon_sym_RPAREN] = ACTIONS(3208),
    [anon_sym_COMMA] = ACTIONS(3208),
    [anon_sym_COLON] = ACTIONS(3208),
    [anon_sym_LPAREN] = ACTIONS(3208),
    [anon_sym_LBRACK] = ACTIONS(3208),
    [anon_sym_RBRACK] = ACTIONS(3208),
    [anon_sym_QMARK] = ACTIONS(3211),
    [anon_sym_QMARK2] = ACTIONS(3208),
    [anon_sym_AMP] = ACTIONS(3208),
    [aux_sym_custom_operator_token1] = ACTIONS(3208),
    [anon_sym_LT] = ACTIONS(3211),
    [anon_sym_GT] = ACTIONS(3211),
    [anon_sym_LBRACE] = ACTIONS(3208),
    [anon_sym_CARET_LBRACE] = ACTIONS(3208),
    [anon_sym_RBRACE] = ACTIONS(3208),
    [anon_sym_case] = ACTIONS(3208),
    [anon_sym_PLUS_EQ] = ACTIONS(3208),
    [anon_sym_DASH_EQ] = ACTIONS(3208),
    [anon_sym_STAR_EQ] = ACTIONS(3208),
    [anon_sym_SLASH_EQ] = ACTIONS(3208),
    [anon_sym_PERCENT_EQ] = ACTIONS(3208),
    [anon_sym_BANG_EQ] = ACTIONS(3211),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3208),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3208),
    [anon_sym_LT_EQ] = ACTIONS(3208),
    [anon_sym_GT_EQ] = ACTIONS(3208),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3208),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3208),
    [anon_sym_is] = ACTIONS(3208),
    [anon_sym_PLUS] = ACTIONS(3211),
    [anon_sym_DASH] = ACTIONS(3211),
    [anon_sym_STAR] = ACTIONS(3211),
    [anon_sym_SLASH] = ACTIONS(3211),
    [anon_sym_PERCENT] = ACTIONS(3211),
    [anon_sym_PLUS_PLUS] = ACTIONS(3208),
    [anon_sym_DASH_DASH] = ACTIONS(3208),
    [anon_sym_PIPE] = ACTIONS(3208),
    [anon_sym_CARET] = ACTIONS(3211),
    [anon_sym_LT_LT] = ACTIONS(3208),
    [anon_sym_GT_GT] = ACTIONS(3208),
    [anon_sym_import] = ACTIONS(3208),
    [anon_sym_typealias] = ACTIONS(3208),
    [anon_sym_struct] = ACTIONS(3208),
    [anon_sym_class] = ACTIONS(3208),
    [anon_sym_enum] = ACTIONS(3208),
    [anon_sym_protocol] = ACTIONS(3208),
    [anon_sym_let] = ACTIONS(3208),
    [anon_sym_var] = ACTIONS(3208),
    [anon_sym_func] = ACTIONS(3208),
    [anon_sym_extension] = ACTIONS(3208),
    [anon_sym_indirect] = ACTIONS(3208),
    [anon_sym_BANG2] = ACTIONS(3211),
    [anon_sym_SEMI] = ACTIONS(3208),
    [anon_sym_init] = ACTIONS(3208),
    [anon_sym_deinit] = ACTIONS(3208),
    [anon_sym_subscript] = ACTIONS(3208),
    [anon_sym_prefix] = ACTIONS(3208),
    [anon_sym_infix] = ACTIONS(3208),
    [anon_sym_postfix] = ACTIONS(3208),
    [anon_sym_precedencegroup] = ACTIONS(3208),
    [anon_sym_associatedtype] = ACTIONS(3208),
    [anon_sym_AT] = ACTIONS(3211),
    [anon_sym_override] = ACTIONS(3208),
    [anon_sym_convenience] = ACTIONS(3208),
    [anon_sym_required] = ACTIONS(3208),
    [anon_sym_nonisolated] = ACTIONS(3208),
    [anon_sym_public] = ACTIONS(3208),
    [anon_sym_private] = ACTIONS(3208),
    [anon_sym_internal] = ACTIONS(3208),
    [anon_sym_fileprivate] = ACTIONS(3208),
    [anon_sym_open] = ACTIONS(3208),
    [anon_sym_mutating] = ACTIONS(3208),
    [anon_sym_nonmutating] = ACTIONS(3208),
    [anon_sym_static] = ACTIONS(3208),
    [anon_sym_dynamic] = ACTIONS(3208),
    [anon_sym_optional] = ACTIONS(3208),
    [anon_sym_distributed] = ACTIONS(3208),
    [anon_sym_final] = ACTIONS(3208),
    [anon_sym_inout] = ACTIONS(3208),
    [anon_sym_ATescaping] = ACTIONS(3208),
    [anon_sym_ATautoclosure] = ACTIONS(3208),
    [anon_sym_weak] = ACTIONS(3208),
    [anon_sym_unowned] = ACTIONS(3211),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3208),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3208),
    [anon_sym_borrowing] = ACTIONS(3208),
    [anon_sym_consuming] = ACTIONS(3208),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3208),
    [sym__conjunction_operator_custom] = ACTIONS(3208),
    [sym__disjunction_operator_custom] = ACTIONS(3208),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3208),
    [sym__eq_custom] = ACTIONS(3208),
    [sym__eq_eq_custom] = ACTIONS(3208),
    [sym__plus_then_ws] = ACTIONS(3208),
    [sym__minus_then_ws] = ACTIONS(3208),
    [sym__bang_custom] = ACTIONS(3208),
    [sym__as_custom] = ACTIONS(3208),
    [sym__as_quest_custom] = ACTIONS(3208),
    [sym__as_bang_custom] = ACTIONS(3208),
    [sym__custom_operator] = ACTIONS(3208),
  },
  [781] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(2995),
    [anon_sym_async] = ACTIONS(2995),
    [anon_sym_lazy] = ACTIONS(2995),
    [anon_sym_package] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(2995),
    [anon_sym_COMMA] = ACTIONS(2995),
    [anon_sym_COLON] = ACTIONS(2995),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_LBRACK] = ACTIONS(2995),
    [anon_sym_RBRACK] = ACTIONS(2995),
    [anon_sym_QMARK] = ACTIONS(2997),
    [anon_sym_QMARK2] = ACTIONS(2995),
    [anon_sym_AMP] = ACTIONS(2995),
    [aux_sym_custom_operator_token1] = ACTIONS(2995),
    [anon_sym_LT] = ACTIONS(2997),
    [anon_sym_GT] = ACTIONS(2997),
    [anon_sym_LBRACE] = ACTIONS(2995),
    [anon_sym_CARET_LBRACE] = ACTIONS(2995),
    [anon_sym_RBRACE] = ACTIONS(2995),
    [anon_sym_case] = ACTIONS(2995),
    [anon_sym_PLUS_EQ] = ACTIONS(2995),
    [anon_sym_DASH_EQ] = ACTIONS(2995),
    [anon_sym_STAR_EQ] = ACTIONS(2995),
    [anon_sym_SLASH_EQ] = ACTIONS(2995),
    [anon_sym_PERCENT_EQ] = ACTIONS(2995),
    [anon_sym_BANG_EQ] = ACTIONS(2997),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2995),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2995),
    [anon_sym_LT_EQ] = ACTIONS(2995),
    [anon_sym_GT_EQ] = ACTIONS(2995),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2995),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2995),
    [anon_sym_is] = ACTIONS(2995),
    [anon_sym_PLUS] = ACTIONS(2997),
    [anon_sym_DASH] = ACTIONS(2997),
    [anon_sym_STAR] = ACTIONS(2997),
    [anon_sym_SLASH] = ACTIONS(2997),
    [anon_sym_PERCENT] = ACTIONS(2997),
    [anon_sym_PLUS_PLUS] = ACTIONS(2995),
    [anon_sym_DASH_DASH] = ACTIONS(2995),
    [anon_sym_PIPE] = ACTIONS(2995),
    [anon_sym_CARET] = ACTIONS(2997),
    [anon_sym_LT_LT] = ACTIONS(2995),
    [anon_sym_GT_GT] = ACTIONS(2995),
    [anon_sym_import] = ACTIONS(2995),
    [anon_sym_typealias] = ACTIONS(2995),
    [anon_sym_struct] = ACTIONS(2995),
    [anon_sym_class] = ACTIONS(2995),
    [anon_sym_enum] = ACTIONS(2995),
    [anon_sym_protocol] = ACTIONS(2995),
    [anon_sym_let] = ACTIONS(2995),
    [anon_sym_var] = ACTIONS(2995),
    [anon_sym_func] = ACTIONS(2995),
    [anon_sym_extension] = ACTIONS(2995),
    [anon_sym_indirect] = ACTIONS(2995),
    [anon_sym_BANG2] = ACTIONS(2997),
    [anon_sym_SEMI] = ACTIONS(2995),
    [anon_sym_init] = ACTIONS(2995),
    [anon_sym_deinit] = ACTIONS(2995),
    [anon_sym_subscript] = ACTIONS(2995),
    [anon_sym_prefix] = ACTIONS(2995),
    [anon_sym_infix] = ACTIONS(2995),
    [anon_sym_postfix] = ACTIONS(2995),
    [anon_sym_precedencegroup] = ACTIONS(2995),
    [anon_sym_associatedtype] = ACTIONS(2995),
    [anon_sym_AT] = ACTIONS(2997),
    [anon_sym_override] = ACTIONS(2995),
    [anon_sym_convenience] = ACTIONS(2995),
    [anon_sym_required] = ACTIONS(2995),
    [anon_sym_nonisolated] = ACTIONS(2995),
    [anon_sym_public] = ACTIONS(2995),
    [anon_sym_private] = ACTIONS(2995),
    [anon_sym_internal] = ACTIONS(2995),
    [anon_sym_fileprivate] = ACTIONS(2995),
    [anon_sym_open] = ACTIONS(2995),
    [anon_sym_mutating] = ACTIONS(2995),
    [anon_sym_nonmutating] = ACTIONS(2995),
    [anon_sym_static] = ACTIONS(2995),
    [anon_sym_dynamic] = ACTIONS(2995),
    [anon_sym_optional] = ACTIONS(2995),
    [anon_sym_distributed] = ACTIONS(2995),
    [anon_sym_final] = ACTIONS(2995),
    [anon_sym_inout] = ACTIONS(2995),
    [anon_sym_ATescaping] = ACTIONS(2995),
    [anon_sym_ATautoclosure] = ACTIONS(2995),
    [anon_sym_weak] = ACTIONS(2995),
    [anon_sym_unowned] = ACTIONS(2997),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2995),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2995),
    [anon_sym_borrowing] = ACTIONS(2995),
    [anon_sym_consuming] = ACTIONS(2995),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2995),
    [sym__conjunction_operator_custom] = ACTIONS(2995),
    [sym__disjunction_operator_custom] = ACTIONS(2995),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2995),
    [sym__eq_custom] = ACTIONS(2995),
    [sym__eq_eq_custom] = ACTIONS(2995),
    [sym__plus_then_ws] = ACTIONS(2995),
    [sym__minus_then_ws] = ACTIONS(2995),
    [sym__bang_custom] = ACTIONS(2995),
    [sym__as_custom] = ACTIONS(2995),
    [sym__as_quest_custom] = ACTIONS(2995),
    [sym__as_bang_custom] = ACTIONS(2995),
    [sym__custom_operator] = ACTIONS(2995),
  },
  [782] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(3214),
    [anon_sym_async] = ACTIONS(3214),
    [anon_sym_lazy] = ACTIONS(3214),
    [anon_sym_package] = ACTIONS(3214),
    [anon_sym_RPAREN] = ACTIONS(3214),
    [anon_sym_COMMA] = ACTIONS(3214),
    [anon_sym_COLON] = ACTIONS(3214),
    [anon_sym_LPAREN] = ACTIONS(3214),
    [anon_sym_LBRACK] = ACTIONS(3214),
    [anon_sym_RBRACK] = ACTIONS(3214),
    [anon_sym_QMARK] = ACTIONS(3216),
    [anon_sym_QMARK2] = ACTIONS(3214),
    [anon_sym_AMP] = ACTIONS(3214),
    [aux_sym_custom_operator_token1] = ACTIONS(3214),
    [anon_sym_LT] = ACTIONS(3216),
    [anon_sym_GT] = ACTIONS(3216),
    [anon_sym_LBRACE] = ACTIONS(3214),
    [anon_sym_CARET_LBRACE] = ACTIONS(3214),
    [anon_sym_RBRACE] = ACTIONS(3214),
    [anon_sym_case] = ACTIONS(3214),
    [anon_sym_PLUS_EQ] = ACTIONS(3214),
    [anon_sym_DASH_EQ] = ACTIONS(3214),
    [anon_sym_STAR_EQ] = ACTIONS(3214),
    [anon_sym_SLASH_EQ] = ACTIONS(3214),
    [anon_sym_PERCENT_EQ] = ACTIONS(3214),
    [anon_sym_BANG_EQ] = ACTIONS(3216),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3214),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3214),
    [anon_sym_LT_EQ] = ACTIONS(3214),
    [anon_sym_GT_EQ] = ACTIONS(3214),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3214),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3214),
    [anon_sym_is] = ACTIONS(3214),
    [anon_sym_PLUS] = ACTIONS(3216),
    [anon_sym_DASH] = ACTIONS(3216),
    [anon_sym_STAR] = ACTIONS(3216),
    [anon_sym_SLASH] = ACTIONS(3216),
    [anon_sym_PERCENT] = ACTIONS(3216),
    [anon_sym_PLUS_PLUS] = ACTIONS(3214),
    [anon_sym_DASH_DASH] = ACTIONS(3214),
    [anon_sym_PIPE] = ACTIONS(3214),
    [anon_sym_CARET] = ACTIONS(3216),
    [anon_sym_LT_LT] = ACTIONS(3214),
    [anon_sym_GT_GT] = ACTIONS(3214),
    [anon_sym_import] = ACTIONS(3214),
    [anon_sym_typealias] = ACTIONS(3214),
    [anon_sym_struct] = ACTIONS(3214),
    [anon_sym_class] = ACTIONS(3214),
    [anon_sym_enum] = ACTIONS(3214),
    [anon_sym_protocol] = ACTIONS(3214),
    [anon_sym_let] = ACTIONS(3214),
    [anon_sym_var] = ACTIONS(3214),
    [anon_sym_func] = ACTIONS(3214),
    [anon_sym_extension] = ACTIONS(3214),
    [anon_sym_indirect] = ACTIONS(3214),
    [anon_sym_BANG2] = ACTIONS(3216),
    [anon_sym_SEMI] = ACTIONS(3214),
    [anon_sym_init] = ACTIONS(3214),
    [anon_sym_deinit] = ACTIONS(3214),
    [anon_sym_subscript] = ACTIONS(3214),
    [anon_sym_prefix] = ACTIONS(3214),
    [anon_sym_infix] = ACTIONS(3214),
    [anon_sym_postfix] = ACTIONS(3214),
    [anon_sym_precedencegroup] = ACTIONS(3214),
    [anon_sym_associatedtype] = ACTIONS(3214),
    [anon_sym_AT] = ACTIONS(3216),
    [anon_sym_override] = ACTIONS(3214),
    [anon_sym_convenience] = ACTIONS(3214),
    [anon_sym_required] = ACTIONS(3214),
    [anon_sym_nonisolated] = ACTIONS(3214),
    [anon_sym_public] = ACTIONS(3214),
    [anon_sym_private] = ACTIONS(3214),
    [anon_sym_internal] = ACTIONS(3214),
    [anon_sym_fileprivate] = ACTIONS(3214),
    [anon_sym_open] = ACTIONS(3214),
    [anon_sym_mutating] = ACTIONS(3214),
    [anon_sym_nonmutating] = ACTIONS(3214),
    [anon_sym_static] = ACTIONS(3214),
    [anon_sym_dynamic] = ACTIONS(3214),
    [anon_sym_optional] = ACTIONS(3214),
    [anon_sym_distributed] = ACTIONS(3214),
    [anon_sym_final] = ACTIONS(3214),
    [anon_sym_inout] = ACTIONS(3214),
    [anon_sym_ATescaping] = ACTIONS(3214),
    [anon_sym_ATautoclosure] = ACTIONS(3214),
    [anon_sym_weak] = ACTIONS(3214),
    [anon_sym_unowned] = ACTIONS(3216),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3214),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3214),
    [anon_sym_borrowing] = ACTIONS(3214),
    [anon_sym_consuming] = ACTIONS(3214),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3214),
    [sym__conjunction_operator_custom] = ACTIONS(3214),
    [sym__disjunction_operator_custom] = ACTIONS(3214),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3214),
    [sym__eq_custom] = ACTIONS(3214),
    [sym__eq_eq_custom] = ACTIONS(3214),
    [sym__plus_then_ws] = ACTIONS(3214),
    [sym__minus_then_ws] = ACTIONS(3214),
    [sym__bang_custom] = ACTIONS(3214),
    [sym__as_custom] = ACTIONS(3214),
    [sym__as_quest_custom] = ACTIONS(3214),
    [sym__as_bang_custom] = ACTIONS(3214),
    [sym__custom_operator] = ACTIONS(3214),
  },
  [783] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(3218),
    [anon_sym_async] = ACTIONS(3218),
    [anon_sym_lazy] = ACTIONS(3218),
    [anon_sym_package] = ACTIONS(3218),
    [anon_sym_RPAREN] = ACTIONS(3218),
    [anon_sym_COMMA] = ACTIONS(3218),
    [anon_sym_COLON] = ACTIONS(3218),
    [anon_sym_LPAREN] = ACTIONS(3218),
    [anon_sym_LBRACK] = ACTIONS(3218),
    [anon_sym_RBRACK] = ACTIONS(3218),
    [anon_sym_QMARK] = ACTIONS(3220),
    [anon_sym_QMARK2] = ACTIONS(3218),
    [anon_sym_AMP] = ACTIONS(3218),
    [aux_sym_custom_operator_token1] = ACTIONS(3218),
    [anon_sym_LT] = ACTIONS(3220),
    [anon_sym_GT] = ACTIONS(3220),
    [anon_sym_LBRACE] = ACTIONS(3218),
    [anon_sym_CARET_LBRACE] = ACTIONS(3218),
    [anon_sym_RBRACE] = ACTIONS(3218),
    [anon_sym_case] = ACTIONS(3218),
    [anon_sym_PLUS_EQ] = ACTIONS(3218),
    [anon_sym_DASH_EQ] = ACTIONS(3218),
    [anon_sym_STAR_EQ] = ACTIONS(3218),
    [anon_sym_SLASH_EQ] = ACTIONS(3218),
    [anon_sym_PERCENT_EQ] = ACTIONS(3218),
    [anon_sym_BANG_EQ] = ACTIONS(3220),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3218),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3218),
    [anon_sym_LT_EQ] = ACTIONS(3218),
    [anon_sym_GT_EQ] = ACTIONS(3218),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3218),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3218),
    [anon_sym_is] = ACTIONS(3218),
    [anon_sym_PLUS] = ACTIONS(3220),
    [anon_sym_DASH] = ACTIONS(3220),
    [anon_sym_STAR] = ACTIONS(3220),
    [anon_sym_SLASH] = ACTIONS(3220),
    [anon_sym_PERCENT] = ACTIONS(3220),
    [anon_sym_PLUS_PLUS] = ACTIONS(3218),
    [anon_sym_DASH_DASH] = ACTIONS(3218),
    [anon_sym_PIPE] = ACTIONS(3218),
    [anon_sym_CARET] = ACTIONS(3220),
    [anon_sym_LT_LT] = ACTIONS(3218),
    [anon_sym_GT_GT] = ACTIONS(3218),
    [anon_sym_import] = ACTIONS(3218),
    [anon_sym_typealias] = ACTIONS(3218),
    [anon_sym_struct] = ACTIONS(3218),
    [anon_sym_class] = ACTIONS(3218),
    [anon_sym_enum] = ACTIONS(3218),
    [anon_sym_protocol] = ACTIONS(3218),
    [anon_sym_let] = ACTIONS(3218),
    [anon_sym_var] = ACTIONS(3218),
    [anon_sym_func] = ACTIONS(3218),
    [anon_sym_extension] = ACTIONS(3218),
    [anon_sym_indirect] = ACTIONS(3218),
    [anon_sym_BANG2] = ACTIONS(3220),
    [anon_sym_SEMI] = ACTIONS(3218),
    [anon_sym_init] = ACTIONS(3218),
    [anon_sym_deinit] = ACTIONS(3218),
    [anon_sym_subscript] = ACTIONS(3218),
    [anon_sym_prefix] = ACTIONS(3218),
    [anon_sym_infix] = ACTIONS(3218),
    [anon_sym_postfix] = ACTIONS(3218),
    [anon_sym_precedencegroup] = ACTIONS(3218),
    [anon_sym_associatedtype] = ACTIONS(3218),
    [anon_sym_AT] = ACTIONS(3220),
    [anon_sym_override] = ACTIONS(3218),
    [anon_sym_convenience] = ACTIONS(3218),
    [anon_sym_required] = ACTIONS(3218),
    [anon_sym_nonisolated] = ACTIONS(3218),
    [anon_sym_public] = ACTIONS(3218),
    [anon_sym_private] = ACTIONS(3218),
    [anon_sym_internal] = ACTIONS(3218),
    [anon_sym_fileprivate] = ACTIONS(3218),
    [anon_sym_open] = ACTIONS(3218),
    [anon_sym_mutating] = ACTIONS(3218),
    [anon_sym_nonmutating] = ACTIONS(3218),
    [anon_sym_static] = ACTIONS(3218),
    [anon_sym_dynamic] = ACTIONS(3218),
    [anon_sym_optional] = ACTIONS(3218),
    [anon_sym_distributed] = ACTIONS(3218),
    [anon_sym_final] = ACTIONS(3218),
    [anon_sym_inout] = ACTIONS(3218),
    [anon_sym_ATescaping] = ACTIONS(3218),
    [anon_sym_ATautoclosure] = ACTIONS(3218),
    [anon_sym_weak] = ACTIONS(3218),
    [anon_sym_unowned] = ACTIONS(3220),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3218),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3218),
    [anon_sym_borrowing] = ACTIONS(3218),
    [anon_sym_consuming] = ACTIONS(3218),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3218),
    [sym__conjunction_operator_custom] = ACTIONS(3218),
    [sym__disjunction_operator_custom] = ACTIONS(3218),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3218),
    [sym__eq_custom] = ACTIONS(3218),
    [sym__eq_eq_custom] = ACTIONS(3218),
    [sym__plus_then_ws] = ACTIONS(3218),
    [sym__minus_then_ws] = ACTIONS(3218),
    [sym__bang_custom] = ACTIONS(3218),
    [sym__as_custom] = ACTIONS(3218),
    [sym__as_quest_custom] = ACTIONS(3218),
    [sym__as_bang_custom] = ACTIONS(3218),
    [sym__custom_operator] = ACTIONS(3218),
  },
  [784] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(3222),
    [anon_sym_async] = ACTIONS(3222),
    [anon_sym_lazy] = ACTIONS(3222),
    [anon_sym_package] = ACTIONS(3222),
    [anon_sym_RPAREN] = ACTIONS(3222),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_LPAREN] = ACTIONS(3222),
    [anon_sym_LBRACK] = ACTIONS(3222),
    [anon_sym_RBRACK] = ACTIONS(3222),
    [anon_sym_QMARK] = ACTIONS(3224),
    [anon_sym_QMARK2] = ACTIONS(3222),
    [anon_sym_AMP] = ACTIONS(3222),
    [aux_sym_custom_operator_token1] = ACTIONS(3222),
    [anon_sym_LT] = ACTIONS(3224),
    [anon_sym_GT] = ACTIONS(3224),
    [anon_sym_LBRACE] = ACTIONS(3222),
    [anon_sym_CARET_LBRACE] = ACTIONS(3222),
    [anon_sym_RBRACE] = ACTIONS(3222),
    [anon_sym_case] = ACTIONS(3222),
    [anon_sym_PLUS_EQ] = ACTIONS(3222),
    [anon_sym_DASH_EQ] = ACTIONS(3222),
    [anon_sym_STAR_EQ] = ACTIONS(3222),
    [anon_sym_SLASH_EQ] = ACTIONS(3222),
    [anon_sym_PERCENT_EQ] = ACTIONS(3222),
    [anon_sym_BANG_EQ] = ACTIONS(3224),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3222),
    [anon_sym_LT_EQ] = ACTIONS(3222),
    [anon_sym_GT_EQ] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3222),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3222),
    [anon_sym_is] = ACTIONS(3222),
    [anon_sym_PLUS] = ACTIONS(3224),
    [anon_sym_DASH] = ACTIONS(3224),
    [anon_sym_STAR] = ACTIONS(3224),
    [anon_sym_SLASH] = ACTIONS(3224),
    [anon_sym_PERCENT] = ACTIONS(3224),
    [anon_sym_PLUS_PLUS] = ACTIONS(3222),
    [anon_sym_DASH_DASH] = ACTIONS(3222),
    [anon_sym_PIPE] = ACTIONS(3222),
    [anon_sym_CARET] = ACTIONS(3224),
    [anon_sym_LT_LT] = ACTIONS(3222),
    [anon_sym_GT_GT] = ACTIONS(3222),
    [anon_sym_import] = ACTIONS(3222),
    [anon_sym_typealias] = ACTIONS(3222),
    [anon_sym_struct] = ACTIONS(3222),
    [anon_sym_class] = ACTIONS(3222),
    [anon_sym_enum] = ACTIONS(3222),
    [anon_sym_protocol] = ACTIONS(3222),
    [anon_sym_let] = ACTIONS(3222),
    [anon_sym_var] = ACTIONS(3222),
    [anon_sym_func] = ACTIONS(3222),
    [anon_sym_extension] = ACTIONS(3222),
    [anon_sym_indirect] = ACTIONS(3222),
    [anon_sym_BANG2] = ACTIONS(3224),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_init] = ACTIONS(3222),
    [anon_sym_deinit] = ACTIONS(3222),
    [anon_sym_subscript] = ACTIONS(3222),
    [anon_sym_prefix] = ACTIONS(3222),
    [anon_sym_infix] = ACTIONS(3222),
    [anon_sym_postfix] = ACTIONS(3222),
    [anon_sym_precedencegroup] = ACTIONS(3222),
    [anon_sym_associatedtype] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(3224),
    [anon_sym_override] = ACTIONS(3222),
    [anon_sym_convenience] = ACTIONS(3222),
    [anon_sym_required] = ACTIONS(3222),
    [anon_sym_nonisolated] = ACTIONS(3222),
    [anon_sym_public] = ACTIONS(3222),
    [anon_sym_private] = ACTIONS(3222),
    [anon_sym_internal] = ACTIONS(3222),
    [anon_sym_fileprivate] = ACTIONS(3222),
    [anon_sym_open] = ACTIONS(3222),
    [anon_sym_mutating] = ACTIONS(3222),
    [anon_sym_nonmutating] = ACTIONS(3222),
    [anon_sym_static] = ACTIONS(3222),
    [anon_sym_dynamic] = ACTIONS(3222),
    [anon_sym_optional] = ACTIONS(3222),
    [anon_sym_distributed] = ACTIONS(3222),
    [anon_sym_final] = ACTIONS(3222),
    [anon_sym_inout] = ACTIONS(3222),
    [anon_sym_ATescaping] = ACTIONS(3222),
    [anon_sym_ATautoclosure] = ACTIONS(3222),
    [anon_sym_weak] = ACTIONS(3222),
    [anon_sym_unowned] = ACTIONS(3224),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3222),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3222),
    [anon_sym_borrowing] = ACTIONS(3222),
    [anon_sym_consuming] = ACTIONS(3222),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3222),
    [sym__conjunction_operator_custom] = ACTIONS(3222),
    [sym__disjunction_operator_custom] = ACTIONS(3222),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3222),
    [sym__eq_custom] = ACTIONS(3222),
    [sym__eq_eq_custom] = ACTIONS(3222),
    [sym__plus_then_ws] = ACTIONS(3222),
    [sym__minus_then_ws] = ACTIONS(3222),
    [sym__bang_custom] = ACTIONS(3222),
    [sym__as_custom] = ACTIONS(3222),
    [sym__as_quest_custom] = ACTIONS(3222),
    [sym__as_bang_custom] = ACTIONS(3222),
    [sym__custom_operator] = ACTIONS(3222),
  },
  [785] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(3072),
    [anon_sym_async] = ACTIONS(3072),
    [anon_sym_lazy] = ACTIONS(3072),
    [anon_sym_package] = ACTIONS(3072),
    [anon_sym_RPAREN] = ACTIONS(3072),
    [anon_sym_COMMA] = ACTIONS(3072),
    [anon_sym_COLON] = ACTIONS(3072),
    [anon_sym_LPAREN] = ACTIONS(3072),
    [anon_sym_LBRACK] = ACTIONS(3072),
    [anon_sym_RBRACK] = ACTIONS(3072),
    [anon_sym_QMARK] = ACTIONS(3074),
    [anon_sym_QMARK2] = ACTIONS(3072),
    [anon_sym_AMP] = ACTIONS(3072),
    [aux_sym_custom_operator_token1] = ACTIONS(3072),
    [anon_sym_LT] = ACTIONS(3074),
    [anon_sym_GT] = ACTIONS(3074),
    [anon_sym_LBRACE] = ACTIONS(3072),
    [anon_sym_CARET_LBRACE] = ACTIONS(3072),
    [anon_sym_RBRACE] = ACTIONS(3072),
    [anon_sym_case] = ACTIONS(3072),
    [anon_sym_PLUS_EQ] = ACTIONS(3072),
    [anon_sym_DASH_EQ] = ACTIONS(3072),
    [anon_sym_STAR_EQ] = ACTIONS(3072),
    [anon_sym_SLASH_EQ] = ACTIONS(3072),
    [anon_sym_PERCENT_EQ] = ACTIONS(3072),
    [anon_sym_BANG_EQ] = ACTIONS(3074),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3072),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3072),
    [anon_sym_LT_EQ] = ACTIONS(3072),
    [anon_sym_GT_EQ] = ACTIONS(3072),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3072),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3072),
    [anon_sym_is] = ACTIONS(3072),
    [anon_sym_PLUS] = ACTIONS(3074),
    [anon_sym_DASH] = ACTIONS(3074),
    [anon_sym_STAR] = ACTIONS(3074),
    [anon_sym_SLASH] = ACTIONS(3074),
    [anon_sym_PERCENT] = ACTIONS(3074),
    [anon_sym_PLUS_PLUS] = ACTIONS(3072),
    [anon_sym_DASH_DASH] = ACTIONS(3072),
    [anon_sym_PIPE] = ACTIONS(3072),
    [anon_sym_CARET] = ACTIONS(3074),
    [anon_sym_LT_LT] = ACTIONS(3072),
    [anon_sym_GT_GT] = ACTIONS(3072),
    [anon_sym_import] = ACTIONS(3072),
    [anon_sym_typealias] = ACTIONS(3072),
    [anon_sym_struct] = ACTIONS(3072),
    [anon_sym_class] = ACTIONS(3072),
    [anon_sym_enum] = ACTIONS(3072),
    [anon_sym_protocol] = ACTIONS(3072),
    [anon_sym_let] = ACTIONS(3072),
    [anon_sym_var] = ACTIONS(3072),
    [anon_sym_func] = ACTIONS(3072),
    [anon_sym_extension] = ACTIONS(3072),
    [anon_sym_indirect] = ACTIONS(3072),
    [anon_sym_BANG2] = ACTIONS(3074),
    [anon_sym_SEMI] = ACTIONS(3072),
    [anon_sym_init] = ACTIONS(3072),
    [anon_sym_deinit] = ACTIONS(3072),
    [anon_sym_subscript] = ACTIONS(3072),
    [anon_sym_prefix] = ACTIONS(3072),
    [anon_sym_infix] = ACTIONS(3072),
    [anon_sym_postfix] = ACTIONS(3072),
    [anon_sym_precedencegroup] = ACTIONS(3072),
    [anon_sym_associatedtype] = ACTIONS(3072),
    [anon_sym_AT] = ACTIONS(3074),
    [anon_sym_override] = ACTIONS(3072),
    [anon_sym_convenience] = ACTIONS(3072),
    [anon_sym_required] = ACTIONS(3072),
    [anon_sym_nonisolated] = ACTIONS(3072),
    [anon_sym_public] = ACTIONS(3072),
    [anon_sym_private] = ACTIONS(3072),
    [anon_sym_internal] = ACTIONS(3072),
    [anon_sym_fileprivate] = ACTIONS(3072),
    [anon_sym_open] = ACTIONS(3072),
    [anon_sym_mutating] = ACTIONS(3072),
    [anon_sym_nonmutating] = ACTIONS(3072),
    [anon_sym_static] = ACTIONS(3072),
    [anon_sym_dynamic] = ACTIONS(3072),
    [anon_sym_optional] = ACTIONS(3072),
    [anon_sym_distributed] = ACTIONS(3072),
    [anon_sym_final] = ACTIONS(3072),
    [anon_sym_inout] = ACTIONS(3072),
    [anon_sym_ATescaping] = ACTIONS(3072),
    [anon_sym_ATautoclosure] = ACTIONS(3072),
    [anon_sym_weak] = ACTIONS(3072),
    [anon_sym_unowned] = ACTIONS(3074),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3072),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3072),
    [anon_sym_borrowing] = ACTIONS(3072),
    [anon_sym_consuming] = ACTIONS(3072),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3072),
    [sym__conjunction_operator_custom] = ACTIONS(3072),
    [sym__disjunction_operator_custom] = ACTIONS(3072),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3072),
    [sym__eq_custom] = ACTIONS(3072),
    [sym__eq_eq_custom] = ACTIONS(3072),
    [sym__plus_then_ws] = ACTIONS(3072),
    [sym__minus_then_ws] = ACTIONS(3072),
    [sym__bang_custom] = ACTIONS(3072),
    [sym__as_custom] = ACTIONS(3072),
    [sym__as_quest_custom] = ACTIONS(3072),
    [sym__as_bang_custom] = ACTIONS(3072),
    [sym__custom_operator] = ACTIONS(3072),
  },
  [786] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(3226),
    [anon_sym_async] = ACTIONS(3226),
    [anon_sym_lazy] = ACTIONS(3226),
    [anon_sym_package] = ACTIONS(3226),
    [anon_sym_RPAREN] = ACTIONS(3226),
    [anon_sym_COMMA] = ACTIONS(3226),
    [anon_sym_COLON] = ACTIONS(3226),
    [anon_sym_LPAREN] = ACTIONS(3226),
    [anon_sym_LBRACK] = ACTIONS(3226),
    [anon_sym_RBRACK] = ACTIONS(3226),
    [anon_sym_QMARK] = ACTIONS(3228),
    [anon_sym_QMARK2] = ACTIONS(3226),
    [anon_sym_AMP] = ACTIONS(3226),
    [aux_sym_custom_operator_token1] = ACTIONS(3226),
    [anon_sym_LT] = ACTIONS(3228),
    [anon_sym_GT] = ACTIONS(3228),
    [anon_sym_LBRACE] = ACTIONS(3226),
    [anon_sym_CARET_LBRACE] = ACTIONS(3226),
    [anon_sym_RBRACE] = ACTIONS(3226),
    [anon_sym_case] = ACTIONS(3226),
    [anon_sym_PLUS_EQ] = ACTIONS(3226),
    [anon_sym_DASH_EQ] = ACTIONS(3226),
    [anon_sym_STAR_EQ] = ACTIONS(3226),
    [anon_sym_SLASH_EQ] = ACTIONS(3226),
    [anon_sym_PERCENT_EQ] = ACTIONS(3226),
    [anon_sym_BANG_EQ] = ACTIONS(3228),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3226),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3226),
    [anon_sym_LT_EQ] = ACTIONS(3226),
    [anon_sym_GT_EQ] = ACTIONS(3226),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3226),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3226),
    [anon_sym_is] = ACTIONS(3226),
    [anon_sym_PLUS] = ACTIONS(3228),
    [anon_sym_DASH] = ACTIONS(3228),
    [anon_sym_STAR] = ACTIONS(3228),
    [anon_sym_SLASH] = ACTIONS(3228),
    [anon_sym_PERCENT] = ACTIONS(3228),
    [anon_sym_PLUS_PLUS] = ACTIONS(3226),
    [anon_sym_DASH_DASH] = ACTIONS(3226),
    [anon_sym_PIPE] = ACTIONS(3226),
    [anon_sym_CARET] = ACTIONS(3228),
    [anon_sym_LT_LT] = ACTIONS(3226),
    [anon_sym_GT_GT] = ACTIONS(3226),
    [anon_sym_import] = ACTIONS(3226),
    [anon_sym_typealias] = ACTIONS(3226),
    [anon_sym_struct] = ACTIONS(3226),
    [anon_sym_class] = ACTIONS(3226),
    [anon_sym_enum] = ACTIONS(3226),
    [anon_sym_protocol] = ACTIONS(3226),
    [anon_sym_let] = ACTIONS(3226),
    [anon_sym_var] = ACTIONS(3226),
    [anon_sym_func] = ACTIONS(3226),
    [anon_sym_extension] = ACTIONS(3226),
    [anon_sym_indirect] = ACTIONS(3226),
    [anon_sym_BANG2] = ACTIONS(3228),
    [anon_sym_SEMI] = ACTIONS(3226),
    [anon_sym_init] = ACTIONS(3226),
    [anon_sym_deinit] = ACTIONS(3226),
    [anon_sym_subscript] = ACTIONS(3226),
    [anon_sym_prefix] = ACTIONS(3226),
    [anon_sym_infix] = ACTIONS(3226),
    [anon_sym_postfix] = ACTIONS(3226),
    [anon_sym_precedencegroup] = ACTIONS(3226),
    [anon_sym_associatedtype] = ACTIONS(3226),
    [anon_sym_AT] = ACTIONS(3228),
    [anon_sym_override] = ACTIONS(3226),
    [anon_sym_convenience] = ACTIONS(3226),
    [anon_sym_required] = ACTIONS(3226),
    [anon_sym_nonisolated] = ACTIONS(3226),
    [anon_sym_public] = ACTIONS(3226),
    [anon_sym_private] = ACTIONS(3226),
    [anon_sym_internal] = ACTIONS(3226),
    [anon_sym_fileprivate] = ACTIONS(3226),
    [anon_sym_open] = ACTIONS(3226),
    [anon_sym_mutating] = ACTIONS(3226),
    [anon_sym_nonmutating] = ACTIONS(3226),
    [anon_sym_static] = ACTIONS(3226),
    [anon_sym_dynamic] = ACTIONS(3226),
    [anon_sym_optional] = ACTIONS(3226),
    [anon_sym_distributed] = ACTIONS(3226),
    [anon_sym_final] = ACTIONS(3226),
    [anon_sym_inout] = ACTIONS(3226),
    [anon_sym_ATescaping] = ACTIONS(3226),
    [anon_sym_ATautoclosure] = ACTIONS(3226),
    [anon_sym_weak] = ACTIONS(3226),
    [anon_sym_unowned] = ACTIONS(3228),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3226),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3226),
    [anon_sym_borrowing] = ACTIONS(3226),
    [anon_sym_consuming] = ACTIONS(3226),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3226),
    [sym__conjunction_operator_custom] = ACTIONS(3226),
    [sym__disjunction_operator_custom] = ACTIONS(3226),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3226),
    [sym__eq_custom] = ACTIONS(3226),
    [sym__eq_eq_custom] = ACTIONS(3226),
    [sym__plus_then_ws] = ACTIONS(3226),
    [sym__minus_then_ws] = ACTIONS(3226),
    [sym__bang_custom] = ACTIONS(3226),
    [sym__as_custom] = ACTIONS(3226),
    [sym__as_quest_custom] = ACTIONS(3226),
    [sym__as_bang_custom] = ACTIONS(3226),
    [sym__custom_operator] = ACTIONS(3226),
  },
  [787] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(3230),
    [anon_sym_async] = ACTIONS(3230),
    [anon_sym_lazy] = ACTIONS(3230),
    [anon_sym_package] = ACTIONS(3230),
    [anon_sym_RPAREN] = ACTIONS(3230),
    [anon_sym_COMMA] = ACTIONS(3230),
    [anon_sym_COLON] = ACTIONS(3230),
    [anon_sym_LPAREN] = ACTIONS(3230),
    [anon_sym_LBRACK] = ACTIONS(3230),
    [anon_sym_RBRACK] = ACTIONS(3230),
    [anon_sym_QMARK] = ACTIONS(3232),
    [anon_sym_QMARK2] = ACTIONS(3230),
    [anon_sym_AMP] = ACTIONS(3230),
    [aux_sym_custom_operator_token1] = ACTIONS(3230),
    [anon_sym_LT] = ACTIONS(3232),
    [anon_sym_GT] = ACTIONS(3232),
    [anon_sym_LBRACE] = ACTIONS(3230),
    [anon_sym_CARET_LBRACE] = ACTIONS(3230),
    [anon_sym_RBRACE] = ACTIONS(3230),
    [anon_sym_case] = ACTIONS(3230),
    [anon_sym_PLUS_EQ] = ACTIONS(3230),
    [anon_sym_DASH_EQ] = ACTIONS(3230),
    [anon_sym_STAR_EQ] = ACTIONS(3230),
    [anon_sym_SLASH_EQ] = ACTIONS(3230),
    [anon_sym_PERCENT_EQ] = ACTIONS(3230),
    [anon_sym_BANG_EQ] = ACTIONS(3232),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3230),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3230),
    [anon_sym_LT_EQ] = ACTIONS(3230),
    [anon_sym_GT_EQ] = ACTIONS(3230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3230),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3230),
    [anon_sym_is] = ACTIONS(3230),
    [anon_sym_PLUS] = ACTIONS(3232),
    [anon_sym_DASH] = ACTIONS(3232),
    [anon_sym_STAR] = ACTIONS(3232),
    [anon_sym_SLASH] = ACTIONS(3232),
    [anon_sym_PERCENT] = ACTIONS(3232),
    [anon_sym_PLUS_PLUS] = ACTIONS(3230),
    [anon_sym_DASH_DASH] = ACTIONS(3230),
    [anon_sym_PIPE] = ACTIONS(3230),
    [anon_sym_CARET] = ACTIONS(3232),
    [anon_sym_LT_LT] = ACTIONS(3230),
    [anon_sym_GT_GT] = ACTIONS(3230),
    [anon_sym_import] = ACTIONS(3230),
    [anon_sym_typealias] = ACTIONS(3230),
    [anon_sym_struct] = ACTIONS(3230),
    [anon_sym_class] = ACTIONS(3230),
    [anon_sym_enum] = ACTIONS(3230),
    [anon_sym_protocol] = ACTIONS(3230),
    [anon_sym_let] = ACTIONS(3230),
    [anon_sym_var] = ACTIONS(3230),
    [anon_sym_func] = ACTIONS(3230),
    [anon_sym_extension] = ACTIONS(3230),
    [anon_sym_indirect] = ACTIONS(3230),
    [anon_sym_BANG2] = ACTIONS(3232),
    [anon_sym_SEMI] = ACTIONS(3230),
    [anon_sym_init] = ACTIONS(3230),
    [anon_sym_deinit] = ACTIONS(3230),
    [anon_sym_subscript] = ACTIONS(3230),
    [anon_sym_prefix] = ACTIONS(3230),
    [anon_sym_infix] = ACTIONS(3230),
    [anon_sym_postfix] = ACTIONS(3230),
    [anon_sym_precedencegroup] = ACTIONS(3230),
    [anon_sym_associatedtype] = ACTIONS(3230),
    [anon_sym_AT] = ACTIONS(3232),
    [anon_sym_override] = ACTIONS(3230),
    [anon_sym_convenience] = ACTIONS(3230),
    [anon_sym_required] = ACTIONS(3230),
    [anon_sym_nonisolated] = ACTIONS(3230),
    [anon_sym_public] = ACTIONS(3230),
    [anon_sym_private] = ACTIONS(3230),
    [anon_sym_internal] = ACTIONS(3230),
    [anon_sym_fileprivate] = ACTIONS(3230),
    [anon_sym_open] = ACTIONS(3230),
    [anon_sym_mutating] = ACTIONS(3230),
    [anon_sym_nonmutating] = ACTIONS(3230),
    [anon_sym_static] = ACTIONS(3230),
    [anon_sym_dynamic] = ACTIONS(3230),
    [anon_sym_optional] = ACTIONS(3230),
    [anon_sym_distributed] = ACTIONS(3230),
    [anon_sym_final] = ACTIONS(3230),
    [anon_sym_inout] = ACTIONS(3230),
    [anon_sym_ATescaping] = ACTIONS(3230),
    [anon_sym_ATautoclosure] = ACTIONS(3230),
    [anon_sym_weak] = ACTIONS(3230),
    [anon_sym_unowned] = ACTIONS(3232),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3230),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3230),
    [anon_sym_borrowing] = ACTIONS(3230),
    [anon_sym_consuming] = ACTIONS(3230),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3230),
    [sym__conjunction_operator_custom] = ACTIONS(3230),
    [sym__disjunction_operator_custom] = ACTIONS(3230),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3230),
    [sym__eq_custom] = ACTIONS(3230),
    [sym__eq_eq_custom] = ACTIONS(3230),
    [sym__plus_then_ws] = ACTIONS(3230),
    [sym__minus_then_ws] = ACTIONS(3230),
    [sym__bang_custom] = ACTIONS(3230),
    [sym__as_custom] = ACTIONS(3230),
    [sym__as_quest_custom] = ACTIONS(3230),
    [sym__as_bang_custom] = ACTIONS(3230),
    [sym__custom_operator] = ACTIONS(3230),
  },
  [788] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(3234),
    [anon_sym_async] = ACTIONS(3234),
    [anon_sym_lazy] = ACTIONS(3234),
    [anon_sym_package] = ACTIONS(3234),
    [anon_sym_RPAREN] = ACTIONS(3234),
    [anon_sym_COMMA] = ACTIONS(3234),
    [anon_sym_COLON] = ACTIONS(3234),
    [anon_sym_LPAREN] = ACTIONS(3234),
    [anon_sym_LBRACK] = ACTIONS(3234),
    [anon_sym_RBRACK] = ACTIONS(3234),
    [anon_sym_QMARK] = ACTIONS(3236),
    [anon_sym_QMARK2] = ACTIONS(3234),
    [anon_sym_AMP] = ACTIONS(3234),
    [aux_sym_custom_operator_token1] = ACTIONS(3234),
    [anon_sym_LT] = ACTIONS(3236),
    [anon_sym_GT] = ACTIONS(3236),
    [anon_sym_LBRACE] = ACTIONS(3234),
    [anon_sym_CARET_LBRACE] = ACTIONS(3234),
    [anon_sym_RBRACE] = ACTIONS(3234),
    [anon_sym_case] = ACTIONS(3234),
    [anon_sym_PLUS_EQ] = ACTIONS(3234),
    [anon_sym_DASH_EQ] = ACTIONS(3234),
    [anon_sym_STAR_EQ] = ACTIONS(3234),
    [anon_sym_SLASH_EQ] = ACTIONS(3234),
    [anon_sym_PERCENT_EQ] = ACTIONS(3234),
    [anon_sym_BANG_EQ] = ACTIONS(3236),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3234),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3234),
    [anon_sym_LT_EQ] = ACTIONS(3234),
    [anon_sym_GT_EQ] = ACTIONS(3234),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3234),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3234),
    [anon_sym_is] = ACTIONS(3234),
    [anon_sym_PLUS] = ACTIONS(3236),
    [anon_sym_DASH] = ACTIONS(3236),
    [anon_sym_STAR] = ACTIONS(3236),
    [anon_sym_SLASH] = ACTIONS(3236),
    [anon_sym_PERCENT] = ACTIONS(3236),
    [anon_sym_PLUS_PLUS] = ACTIONS(3234),
    [anon_sym_DASH_DASH] = ACTIONS(3234),
    [anon_sym_PIPE] = ACTIONS(3234),
    [anon_sym_CARET] = ACTIONS(3236),
    [anon_sym_LT_LT] = ACTIONS(3234),
    [anon_sym_GT_GT] = ACTIONS(3234),
    [anon_sym_import] = ACTIONS(3234),
    [anon_sym_typealias] = ACTIONS(3234),
    [anon_sym_struct] = ACTIONS(3234),
    [anon_sym_class] = ACTIONS(3234),
    [anon_sym_enum] = ACTIONS(3234),
    [anon_sym_protocol] = ACTIONS(3234),
    [anon_sym_let] = ACTIONS(3234),
    [anon_sym_var] = ACTIONS(3234),
    [anon_sym_func] = ACTIONS(3234),
    [anon_sym_extension] = ACTIONS(3234),
    [anon_sym_indirect] = ACTIONS(3234),
    [anon_sym_BANG2] = ACTIONS(3236),
    [anon_sym_SEMI] = ACTIONS(3234),
    [anon_sym_init] = ACTIONS(3234),
    [anon_sym_deinit] = ACTIONS(3234),
    [anon_sym_subscript] = ACTIONS(3234),
    [anon_sym_prefix] = ACTIONS(3234),
    [anon_sym_infix] = ACTIONS(3234),
    [anon_sym_postfix] = ACTIONS(3234),
    [anon_sym_precedencegroup] = ACTIONS(3234),
    [anon_sym_associatedtype] = ACTIONS(3234),
    [anon_sym_AT] = ACTIONS(3236),
    [anon_sym_override] = ACTIONS(3234),
    [anon_sym_convenience] = ACTIONS(3234),
    [anon_sym_required] = ACTIONS(3234),
    [anon_sym_nonisolated] = ACTIONS(3234),
    [anon_sym_public] = ACTIONS(3234),
    [anon_sym_private] = ACTIONS(3234),
    [anon_sym_internal] = ACTIONS(3234),
    [anon_sym_fileprivate] = ACTIONS(3234),
    [anon_sym_open] = ACTIONS(3234),
    [anon_sym_mutating] = ACTIONS(3234),
    [anon_sym_nonmutating] = ACTIONS(3234),
    [anon_sym_static] = ACTIONS(3234),
    [anon_sym_dynamic] = ACTIONS(3234),
    [anon_sym_optional] = ACTIONS(3234),
    [anon_sym_distributed] = ACTIONS(3234),
    [anon_sym_final] = ACTIONS(3234),
    [anon_sym_inout] = ACTIONS(3234),
    [anon_sym_ATescaping] = ACTIONS(3234),
    [anon_sym_ATautoclosure] = ACTIONS(3234),
    [anon_sym_weak] = ACTIONS(3234),
    [anon_sym_unowned] = ACTIONS(3236),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3234),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3234),
    [anon_sym_borrowing] = ACTIONS(3234),
    [anon_sym_consuming] = ACTIONS(3234),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3234),
    [sym__conjunction_operator_custom] = ACTIONS(3234),
    [sym__disjunction_operator_custom] = ACTIONS(3234),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3234),
    [sym__eq_custom] = ACTIONS(3234),
    [sym__eq_eq_custom] = ACTIONS(3234),
    [sym__plus_then_ws] = ACTIONS(3234),
    [sym__minus_then_ws] = ACTIONS(3234),
    [sym__bang_custom] = ACTIONS(3234),
    [sym__as_custom] = ACTIONS(3234),
    [sym__as_quest_custom] = ACTIONS(3234),
    [sym__as_bang_custom] = ACTIONS(3234),
    [sym__custom_operator] = ACTIONS(3234),
  },
  [789] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(3238),
    [anon_sym_async] = ACTIONS(3238),
    [anon_sym_lazy] = ACTIONS(3238),
    [anon_sym_package] = ACTIONS(3238),
    [anon_sym_RPAREN] = ACTIONS(3238),
    [anon_sym_COMMA] = ACTIONS(3238),
    [anon_sym_COLON] = ACTIONS(3238),
    [anon_sym_LPAREN] = ACTIONS(3238),
    [anon_sym_LBRACK] = ACTIONS(3238),
    [anon_sym_RBRACK] = ACTIONS(3238),
    [anon_sym_QMARK] = ACTIONS(3241),
    [anon_sym_QMARK2] = ACTIONS(3238),
    [anon_sym_AMP] = ACTIONS(3238),
    [aux_sym_custom_operator_token1] = ACTIONS(3238),
    [anon_sym_LT] = ACTIONS(3241),
    [anon_sym_GT] = ACTIONS(3241),
    [anon_sym_LBRACE] = ACTIONS(3238),
    [anon_sym_CARET_LBRACE] = ACTIONS(3238),
    [anon_sym_RBRACE] = ACTIONS(3238),
    [anon_sym_case] = ACTIONS(3238),
    [anon_sym_PLUS_EQ] = ACTIONS(3238),
    [anon_sym_DASH_EQ] = ACTIONS(3238),
    [anon_sym_STAR_EQ] = ACTIONS(3238),
    [anon_sym_SLASH_EQ] = ACTIONS(3238),
    [anon_sym_PERCENT_EQ] = ACTIONS(3238),
    [anon_sym_BANG_EQ] = ACTIONS(3241),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3238),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3238),
    [anon_sym_LT_EQ] = ACTIONS(3238),
    [anon_sym_GT_EQ] = ACTIONS(3238),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3238),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3238),
    [anon_sym_is] = ACTIONS(3238),
    [anon_sym_PLUS] = ACTIONS(3241),
    [anon_sym_DASH] = ACTIONS(3241),
    [anon_sym_STAR] = ACTIONS(3241),
    [anon_sym_SLASH] = ACTIONS(3241),
    [anon_sym_PERCENT] = ACTIONS(3241),
    [anon_sym_PLUS_PLUS] = ACTIONS(3238),
    [anon_sym_DASH_DASH] = ACTIONS(3238),
    [anon_sym_PIPE] = ACTIONS(3238),
    [anon_sym_CARET] = ACTIONS(3241),
    [anon_sym_LT_LT] = ACTIONS(3238),
    [anon_sym_GT_GT] = ACTIONS(3238),
    [anon_sym_import] = ACTIONS(3238),
    [anon_sym_typealias] = ACTIONS(3238),
    [anon_sym_struct] = ACTIONS(3238),
    [anon_sym_class] = ACTIONS(3238),
    [anon_sym_enum] = ACTIONS(3238),
    [anon_sym_protocol] = ACTIONS(3238),
    [anon_sym_let] = ACTIONS(3238),
    [anon_sym_var] = ACTIONS(3238),
    [anon_sym_func] = ACTIONS(3238),
    [anon_sym_extension] = ACTIONS(3238),
    [anon_sym_indirect] = ACTIONS(3238),
    [anon_sym_BANG2] = ACTIONS(3241),
    [anon_sym_SEMI] = ACTIONS(3238),
    [anon_sym_init] = ACTIONS(3238),
    [anon_sym_deinit] = ACTIONS(3238),
    [anon_sym_subscript] = ACTIONS(3238),
    [anon_sym_prefix] = ACTIONS(3238),
    [anon_sym_infix] = ACTIONS(3238),
    [anon_sym_postfix] = ACTIONS(3238),
    [anon_sym_precedencegroup] = ACTIONS(3238),
    [anon_sym_associatedtype] = ACTIONS(3238),
    [anon_sym_AT] = ACTIONS(3241),
    [anon_sym_override] = ACTIONS(3238),
    [anon_sym_convenience] = ACTIONS(3238),
    [anon_sym_required] = ACTIONS(3238),
    [anon_sym_nonisolated] = ACTIONS(3238),
    [anon_sym_public] = ACTIONS(3238),
    [anon_sym_private] = ACTIONS(3238),
    [anon_sym_internal] = ACTIONS(3238),
    [anon_sym_fileprivate] = ACTIONS(3238),
    [anon_sym_open] = ACTIONS(3238),
    [anon_sym_mutating] = ACTIONS(3238),
    [anon_sym_nonmutating] = ACTIONS(3238),
    [anon_sym_static] = ACTIONS(3238),
    [anon_sym_dynamic] = ACTIONS(3238),
    [anon_sym_optional] = ACTIONS(3238),
    [anon_sym_distributed] = ACTIONS(3238),
    [anon_sym_final] = ACTIONS(3238),
    [anon_sym_inout] = ACTIONS(3238),
    [anon_sym_ATescaping] = ACTIONS(3238),
    [anon_sym_ATautoclosure] = ACTIONS(3238),
    [anon_sym_weak] = ACTIONS(3238),
    [anon_sym_unowned] = ACTIONS(3241),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3238),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3238),
    [anon_sym_borrowing] = ACTIONS(3238),
    [anon_sym_consuming] = ACTIONS(3238),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3238),
    [sym__conjunction_operator_custom] = ACTIONS(3238),
    [sym__disjunction_operator_custom] = ACTIONS(3238),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3238),
    [sym__eq_custom] = ACTIONS(3238),
    [sym__eq_eq_custom] = ACTIONS(3238),
    [sym__plus_then_ws] = ACTIONS(3238),
    [sym__minus_then_ws] = ACTIONS(3238),
    [sym__bang_custom] = ACTIONS(3238),
    [sym__as_custom] = ACTIONS(3238),
    [sym__as_quest_custom] = ACTIONS(3238),
    [sym__as_bang_custom] = ACTIONS(3238),
    [sym__custom_operator] = ACTIONS(3238),
  },
  [790] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(3244),
    [anon_sym_async] = ACTIONS(3244),
    [anon_sym_lazy] = ACTIONS(3244),
    [anon_sym_package] = ACTIONS(3244),
    [anon_sym_RPAREN] = ACTIONS(3244),
    [anon_sym_COMMA] = ACTIONS(3244),
    [anon_sym_COLON] = ACTIONS(3244),
    [anon_sym_LPAREN] = ACTIONS(3244),
    [anon_sym_LBRACK] = ACTIONS(3244),
    [anon_sym_RBRACK] = ACTIONS(3244),
    [anon_sym_QMARK] = ACTIONS(3246),
    [anon_sym_QMARK2] = ACTIONS(3244),
    [anon_sym_AMP] = ACTIONS(3244),
    [aux_sym_custom_operator_token1] = ACTIONS(3244),
    [anon_sym_LT] = ACTIONS(3246),
    [anon_sym_GT] = ACTIONS(3246),
    [anon_sym_LBRACE] = ACTIONS(3244),
    [anon_sym_CARET_LBRACE] = ACTIONS(3244),
    [anon_sym_RBRACE] = ACTIONS(3244),
    [anon_sym_case] = ACTIONS(3244),
    [anon_sym_PLUS_EQ] = ACTIONS(3244),
    [anon_sym_DASH_EQ] = ACTIONS(3244),
    [anon_sym_STAR_EQ] = ACTIONS(3244),
    [anon_sym_SLASH_EQ] = ACTIONS(3244),
    [anon_sym_PERCENT_EQ] = ACTIONS(3244),
    [anon_sym_BANG_EQ] = ACTIONS(3246),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3244),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3244),
    [anon_sym_LT_EQ] = ACTIONS(3244),
    [anon_sym_GT_EQ] = ACTIONS(3244),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3244),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3244),
    [anon_sym_is] = ACTIONS(3244),
    [anon_sym_PLUS] = ACTIONS(3246),
    [anon_sym_DASH] = ACTIONS(3246),
    [anon_sym_STAR] = ACTIONS(3246),
    [anon_sym_SLASH] = ACTIONS(3246),
    [anon_sym_PERCENT] = ACTIONS(3246),
    [anon_sym_PLUS_PLUS] = ACTIONS(3244),
    [anon_sym_DASH_DASH] = ACTIONS(3244),
    [anon_sym_PIPE] = ACTIONS(3244),
    [anon_sym_CARET] = ACTIONS(3246),
    [anon_sym_LT_LT] = ACTIONS(3244),
    [anon_sym_GT_GT] = ACTIONS(3244),
    [anon_sym_import] = ACTIONS(3244),
    [anon_sym_typealias] = ACTIONS(3244),
    [anon_sym_struct] = ACTIONS(3244),
    [anon_sym_class] = ACTIONS(3244),
    [anon_sym_enum] = ACTIONS(3244),
    [anon_sym_protocol] = ACTIONS(3244),
    [anon_sym_let] = ACTIONS(3244),
    [anon_sym_var] = ACTIONS(3244),
    [anon_sym_func] = ACTIONS(3244),
    [anon_sym_extension] = ACTIONS(3244),
    [anon_sym_indirect] = ACTIONS(3244),
    [anon_sym_BANG2] = ACTIONS(3246),
    [anon_sym_SEMI] = ACTIONS(3244),
    [anon_sym_init] = ACTIONS(3244),
    [anon_sym_deinit] = ACTIONS(3244),
    [anon_sym_subscript] = ACTIONS(3244),
    [anon_sym_prefix] = ACTIONS(3244),
    [anon_sym_infix] = ACTIONS(3244),
    [anon_sym_postfix] = ACTIONS(3244),
    [anon_sym_precedencegroup] = ACTIONS(3244),
    [anon_sym_associatedtype] = ACTIONS(3244),
    [anon_sym_AT] = ACTIONS(3246),
    [anon_sym_override] = ACTIONS(3244),
    [anon_sym_convenience] = ACTIONS(3244),
    [anon_sym_required] = ACTIONS(3244),
    [anon_sym_nonisolated] = ACTIONS(3244),
    [anon_sym_public] = ACTIONS(3244),
    [anon_sym_private] = ACTIONS(3244),
    [anon_sym_internal] = ACTIONS(3244),
    [anon_sym_fileprivate] = ACTIONS(3244),
    [anon_sym_open] = ACTIONS(3244),
    [anon_sym_mutating] = ACTIONS(3244),
    [anon_sym_nonmutating] = ACTIONS(3244),
    [anon_sym_static] = ACTIONS(3244),
    [anon_sym_dynamic] = ACTIONS(3244),
    [anon_sym_optional] = ACTIONS(3244),
    [anon_sym_distributed] = ACTIONS(3244),
    [anon_sym_final] = ACTIONS(3244),
    [anon_sym_inout] = ACTIONS(3244),
    [anon_sym_ATescaping] = ACTIONS(3244),
    [anon_sym_ATautoclosure] = ACTIONS(3244),
    [anon_sym_weak] = ACTIONS(3244),
    [anon_sym_unowned] = ACTIONS(3246),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3244),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3244),
    [anon_sym_borrowing] = ACTIONS(3244),
    [anon_sym_consuming] = ACTIONS(3244),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3244),
    [sym__conjunction_operator_custom] = ACTIONS(3244),
    [sym__disjunction_operator_custom] = ACTIONS(3244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3244),
    [sym__eq_custom] = ACTIONS(3244),
    [sym__eq_eq_custom] = ACTIONS(3244),
    [sym__plus_then_ws] = ACTIONS(3244),
    [sym__minus_then_ws] = ACTIONS(3244),
    [sym__bang_custom] = ACTIONS(3244),
    [sym__as_custom] = ACTIONS(3244),
    [sym__as_quest_custom] = ACTIONS(3244),
    [sym__as_bang_custom] = ACTIONS(3244),
    [sym__custom_operator] = ACTIONS(3244),
  },
  [791] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(3248),
    [anon_sym_async] = ACTIONS(3248),
    [anon_sym_lazy] = ACTIONS(3248),
    [anon_sym_package] = ACTIONS(3248),
    [anon_sym_RPAREN] = ACTIONS(3248),
    [anon_sym_COMMA] = ACTIONS(3248),
    [anon_sym_COLON] = ACTIONS(3248),
    [anon_sym_LPAREN] = ACTIONS(3248),
    [anon_sym_LBRACK] = ACTIONS(3248),
    [anon_sym_RBRACK] = ACTIONS(3248),
    [anon_sym_QMARK] = ACTIONS(3250),
    [anon_sym_QMARK2] = ACTIONS(3248),
    [anon_sym_AMP] = ACTIONS(3248),
    [aux_sym_custom_operator_token1] = ACTIONS(3248),
    [anon_sym_LT] = ACTIONS(3250),
    [anon_sym_GT] = ACTIONS(3250),
    [anon_sym_LBRACE] = ACTIONS(3248),
    [anon_sym_CARET_LBRACE] = ACTIONS(3248),
    [anon_sym_RBRACE] = ACTIONS(3248),
    [anon_sym_case] = ACTIONS(3248),
    [anon_sym_PLUS_EQ] = ACTIONS(3248),
    [anon_sym_DASH_EQ] = ACTIONS(3248),
    [anon_sym_STAR_EQ] = ACTIONS(3248),
    [anon_sym_SLASH_EQ] = ACTIONS(3248),
    [anon_sym_PERCENT_EQ] = ACTIONS(3248),
    [anon_sym_BANG_EQ] = ACTIONS(3250),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3248),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3248),
    [anon_sym_LT_EQ] = ACTIONS(3248),
    [anon_sym_GT_EQ] = ACTIONS(3248),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3248),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3248),
    [anon_sym_is] = ACTIONS(3248),
    [anon_sym_PLUS] = ACTIONS(3250),
    [anon_sym_DASH] = ACTIONS(3250),
    [anon_sym_STAR] = ACTIONS(3250),
    [anon_sym_SLASH] = ACTIONS(3250),
    [anon_sym_PERCENT] = ACTIONS(3250),
    [anon_sym_PLUS_PLUS] = ACTIONS(3248),
    [anon_sym_DASH_DASH] = ACTIONS(3248),
    [anon_sym_PIPE] = ACTIONS(3248),
    [anon_sym_CARET] = ACTIONS(3250),
    [anon_sym_LT_LT] = ACTIONS(3248),
    [anon_sym_GT_GT] = ACTIONS(3248),
    [anon_sym_import] = ACTIONS(3248),
    [anon_sym_typealias] = ACTIONS(3248),
    [anon_sym_struct] = ACTIONS(3248),
    [anon_sym_class] = ACTIONS(3248),
    [anon_sym_enum] = ACTIONS(3248),
    [anon_sym_protocol] = ACTIONS(3248),
    [anon_sym_let] = ACTIONS(3248),
    [anon_sym_var] = ACTIONS(3248),
    [anon_sym_func] = ACTIONS(3248),
    [anon_sym_extension] = ACTIONS(3248),
    [anon_sym_indirect] = ACTIONS(3248),
    [anon_sym_BANG2] = ACTIONS(3250),
    [anon_sym_SEMI] = ACTIONS(3248),
    [anon_sym_init] = ACTIONS(3248),
    [anon_sym_deinit] = ACTIONS(3248),
    [anon_sym_subscript] = ACTIONS(3248),
    [anon_sym_prefix] = ACTIONS(3248),
    [anon_sym_infix] = ACTIONS(3248),
    [anon_sym_postfix] = ACTIONS(3248),
    [anon_sym_precedencegroup] = ACTIONS(3248),
    [anon_sym_associatedtype] = ACTIONS(3248),
    [anon_sym_AT] = ACTIONS(3250),
    [anon_sym_override] = ACTIONS(3248),
    [anon_sym_convenience] = ACTIONS(3248),
    [anon_sym_required] = ACTIONS(3248),
    [anon_sym_nonisolated] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3248),
    [anon_sym_private] = ACTIONS(3248),
    [anon_sym_internal] = ACTIONS(3248),
    [anon_sym_fileprivate] = ACTIONS(3248),
    [anon_sym_open] = ACTIONS(3248),
    [anon_sym_mutating] = ACTIONS(3248),
    [anon_sym_nonmutating] = ACTIONS(3248),
    [anon_sym_static] = ACTIONS(3248),
    [anon_sym_dynamic] = ACTIONS(3248),
    [anon_sym_optional] = ACTIONS(3248),
    [anon_sym_distributed] = ACTIONS(3248),
    [anon_sym_final] = ACTIONS(3248),
    [anon_sym_inout] = ACTIONS(3248),
    [anon_sym_ATescaping] = ACTIONS(3248),
    [anon_sym_ATautoclosure] = ACTIONS(3248),
    [anon_sym_weak] = ACTIONS(3248),
    [anon_sym_unowned] = ACTIONS(3250),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3248),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3248),
    [anon_sym_borrowing] = ACTIONS(3248),
    [anon_sym_consuming] = ACTIONS(3248),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3248),
    [sym__conjunction_operator_custom] = ACTIONS(3248),
    [sym__disjunction_operator_custom] = ACTIONS(3248),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3248),
    [sym__eq_custom] = ACTIONS(3248),
    [sym__eq_eq_custom] = ACTIONS(3248),
    [sym__plus_then_ws] = ACTIONS(3248),
    [sym__minus_then_ws] = ACTIONS(3248),
    [sym__bang_custom] = ACTIONS(3248),
    [sym__as_custom] = ACTIONS(3248),
    [sym__as_quest_custom] = ACTIONS(3248),
    [sym__as_bang_custom] = ACTIONS(3248),
    [sym__custom_operator] = ACTIONS(3248),
  },
  [792] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(2572),
    [anon_sym_async] = ACTIONS(2572),
    [anon_sym_lazy] = ACTIONS(2572),
    [anon_sym_package] = ACTIONS(2572),
    [anon_sym_RPAREN] = ACTIONS(2572),
    [anon_sym_COMMA] = ACTIONS(2572),
    [anon_sym_COLON] = ACTIONS(2572),
    [anon_sym_LPAREN] = ACTIONS(2572),
    [anon_sym_LBRACK] = ACTIONS(2572),
    [anon_sym_RBRACK] = ACTIONS(2572),
    [anon_sym_QMARK] = ACTIONS(2574),
    [anon_sym_QMARK2] = ACTIONS(2572),
    [anon_sym_AMP] = ACTIONS(2572),
    [aux_sym_custom_operator_token1] = ACTIONS(2572),
    [anon_sym_LT] = ACTIONS(2574),
    [anon_sym_GT] = ACTIONS(2574),
    [anon_sym_LBRACE] = ACTIONS(2572),
    [anon_sym_CARET_LBRACE] = ACTIONS(2572),
    [anon_sym_RBRACE] = ACTIONS(2572),
    [anon_sym_case] = ACTIONS(2572),
    [anon_sym_PLUS_EQ] = ACTIONS(2572),
    [anon_sym_DASH_EQ] = ACTIONS(2572),
    [anon_sym_STAR_EQ] = ACTIONS(2572),
    [anon_sym_SLASH_EQ] = ACTIONS(2572),
    [anon_sym_PERCENT_EQ] = ACTIONS(2572),
    [anon_sym_BANG_EQ] = ACTIONS(2574),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2572),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2572),
    [anon_sym_LT_EQ] = ACTIONS(2572),
    [anon_sym_GT_EQ] = ACTIONS(2572),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2572),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2572),
    [anon_sym_is] = ACTIONS(2572),
    [anon_sym_PLUS] = ACTIONS(2574),
    [anon_sym_DASH] = ACTIONS(2574),
    [anon_sym_STAR] = ACTIONS(2574),
    [anon_sym_SLASH] = ACTIONS(2574),
    [anon_sym_PERCENT] = ACTIONS(2574),
    [anon_sym_PLUS_PLUS] = ACTIONS(2572),
    [anon_sym_DASH_DASH] = ACTIONS(2572),
    [anon_sym_PIPE] = ACTIONS(2572),
    [anon_sym_CARET] = ACTIONS(2574),
    [anon_sym_LT_LT] = ACTIONS(2572),
    [anon_sym_GT_GT] = ACTIONS(2572),
    [anon_sym_import] = ACTIONS(2572),
    [anon_sym_typealias] = ACTIONS(2572),
    [anon_sym_struct] = ACTIONS(2572),
    [anon_sym_class] = ACTIONS(2572),
    [anon_sym_enum] = ACTIONS(2572),
    [anon_sym_protocol] = ACTIONS(2572),
    [anon_sym_let] = ACTIONS(2572),
    [anon_sym_var] = ACTIONS(2572),
    [anon_sym_func] = ACTIONS(2572),
    [anon_sym_extension] = ACTIONS(2572),
    [anon_sym_indirect] = ACTIONS(2572),
    [anon_sym_BANG2] = ACTIONS(2574),
    [anon_sym_SEMI] = ACTIONS(2572),
    [anon_sym_init] = ACTIONS(2572),
    [anon_sym_deinit] = ACTIONS(2572),
    [anon_sym_subscript] = ACTIONS(2572),
    [anon_sym_prefix] = ACTIONS(2572),
    [anon_sym_infix] = ACTIONS(2572),
    [anon_sym_postfix] = ACTIONS(2572),
    [anon_sym_precedencegroup] = ACTIONS(2572),
    [anon_sym_associatedtype] = ACTIONS(2572),
    [anon_sym_AT] = ACTIONS(2574),
    [anon_sym_override] = ACTIONS(2572),
    [anon_sym_convenience] = ACTIONS(2572),
    [anon_sym_required] = ACTIONS(2572),
    [anon_sym_nonisolated] = ACTIONS(2572),
    [anon_sym_public] = ACTIONS(2572),
    [anon_sym_private] = ACTIONS(2572),
    [anon_sym_internal] = ACTIONS(2572),
    [anon_sym_fileprivate] = ACTIONS(2572),
    [anon_sym_open] = ACTIONS(2572),
    [anon_sym_mutating] = ACTIONS(2572),
    [anon_sym_nonmutating] = ACTIONS(2572),
    [anon_sym_static] = ACTIONS(2572),
    [anon_sym_dynamic] = ACTIONS(2572),
    [anon_sym_optional] = ACTIONS(2572),
    [anon_sym_distributed] = ACTIONS(2572),
    [anon_sym_final] = ACTIONS(2572),
    [anon_sym_inout] = ACTIONS(2572),
    [anon_sym_ATescaping] = ACTIONS(2572),
    [anon_sym_ATautoclosure] = ACTIONS(2572),
    [anon_sym_weak] = ACTIONS(2572),
    [anon_sym_unowned] = ACTIONS(2574),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2572),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2572),
    [anon_sym_borrowing] = ACTIONS(2572),
    [anon_sym_consuming] = ACTIONS(2572),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2572),
    [sym__conjunction_operator_custom] = ACTIONS(2572),
    [sym__disjunction_operator_custom] = ACTIONS(2572),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2572),
    [sym__eq_custom] = ACTIONS(2572),
    [sym__eq_eq_custom] = ACTIONS(2572),
    [sym__plus_then_ws] = ACTIONS(2572),
    [sym__minus_then_ws] = ACTIONS(2572),
    [sym__bang_custom] = ACTIONS(2572),
    [sym__as_custom] = ACTIONS(2572),
    [sym__as_quest_custom] = ACTIONS(2572),
    [sym__as_bang_custom] = ACTIONS(2572),
    [sym__custom_operator] = ACTIONS(2572),
  },
  [793] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(3252),
    [anon_sym_async] = ACTIONS(3252),
    [anon_sym_lazy] = ACTIONS(3252),
    [anon_sym_package] = ACTIONS(3252),
    [anon_sym_RPAREN] = ACTIONS(3252),
    [anon_sym_COMMA] = ACTIONS(3252),
    [anon_sym_COLON] = ACTIONS(3252),
    [anon_sym_LPAREN] = ACTIONS(3252),
    [anon_sym_LBRACK] = ACTIONS(3252),
    [anon_sym_RBRACK] = ACTIONS(3252),
    [anon_sym_QMARK] = ACTIONS(3254),
    [anon_sym_QMARK2] = ACTIONS(3252),
    [anon_sym_AMP] = ACTIONS(3252),
    [aux_sym_custom_operator_token1] = ACTIONS(3252),
    [anon_sym_LT] = ACTIONS(3254),
    [anon_sym_GT] = ACTIONS(3254),
    [anon_sym_LBRACE] = ACTIONS(3252),
    [anon_sym_CARET_LBRACE] = ACTIONS(3252),
    [anon_sym_RBRACE] = ACTIONS(3252),
    [anon_sym_case] = ACTIONS(3252),
    [anon_sym_PLUS_EQ] = ACTIONS(3252),
    [anon_sym_DASH_EQ] = ACTIONS(3252),
    [anon_sym_STAR_EQ] = ACTIONS(3252),
    [anon_sym_SLASH_EQ] = ACTIONS(3252),
    [anon_sym_PERCENT_EQ] = ACTIONS(3252),
    [anon_sym_BANG_EQ] = ACTIONS(3254),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3252),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3252),
    [anon_sym_LT_EQ] = ACTIONS(3252),
    [anon_sym_GT_EQ] = ACTIONS(3252),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3252),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3252),
    [anon_sym_is] = ACTIONS(3252),
    [anon_sym_PLUS] = ACTIONS(3254),
    [anon_sym_DASH] = ACTIONS(3254),
    [anon_sym_STAR] = ACTIONS(3254),
    [anon_sym_SLASH] = ACTIONS(3254),
    [anon_sym_PERCENT] = ACTIONS(3254),
    [anon_sym_PLUS_PLUS] = ACTIONS(3252),
    [anon_sym_DASH_DASH] = ACTIONS(3252),
    [anon_sym_PIPE] = ACTIONS(3252),
    [anon_sym_CARET] = ACTIONS(3254),
    [anon_sym_LT_LT] = ACTIONS(3252),
    [anon_sym_GT_GT] = ACTIONS(3252),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_typealias] = ACTIONS(3252),
    [anon_sym_struct] = ACTIONS(3252),
    [anon_sym_class] = ACTIONS(3252),
    [anon_sym_enum] = ACTIONS(3252),
    [anon_sym_protocol] = ACTIONS(3252),
    [anon_sym_let] = ACTIONS(3252),
    [anon_sym_var] = ACTIONS(3252),
    [anon_sym_func] = ACTIONS(3252),
    [anon_sym_extension] = ACTIONS(3252),
    [anon_sym_indirect] = ACTIONS(3252),
    [anon_sym_BANG2] = ACTIONS(3254),
    [anon_sym_SEMI] = ACTIONS(3252),
    [anon_sym_init] = ACTIONS(3252),
    [anon_sym_deinit] = ACTIONS(3252),
    [anon_sym_subscript] = ACTIONS(3252),
    [anon_sym_prefix] = ACTIONS(3252),
    [anon_sym_infix] = ACTIONS(3252),
    [anon_sym_postfix] = ACTIONS(3252),
    [anon_sym_precedencegroup] = ACTIONS(3252),
    [anon_sym_associatedtype] = ACTIONS(3252),
    [anon_sym_AT] = ACTIONS(3254),
    [anon_sym_override] = ACTIONS(3252),
    [anon_sym_convenience] = ACTIONS(3252),
    [anon_sym_required] = ACTIONS(3252),
    [anon_sym_nonisolated] = ACTIONS(3252),
    [anon_sym_public] = ACTIONS(3252),
    [anon_sym_private] = ACTIONS(3252),
    [anon_sym_internal] = ACTIONS(3252),
    [anon_sym_fileprivate] = ACTIONS(3252),
    [anon_sym_open] = ACTIONS(3252),
    [anon_sym_mutating] = ACTIONS(3252),
    [anon_sym_nonmutating] = ACTIONS(3252),
    [anon_sym_static] = ACTIONS(3252),
    [anon_sym_dynamic] = ACTIONS(3252),
    [anon_sym_optional] = ACTIONS(3252),
    [anon_sym_distributed] = ACTIONS(3252),
    [anon_sym_final] = ACTIONS(3252),
    [anon_sym_inout] = ACTIONS(3252),
    [anon_sym_ATescaping] = ACTIONS(3252),
    [anon_sym_ATautoclosure] = ACTIONS(3252),
    [anon_sym_weak] = ACTIONS(3252),
    [anon_sym_unowned] = ACTIONS(3254),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3252),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3252),
    [anon_sym_borrowing] = ACTIONS(3252),
    [anon_sym_consuming] = ACTIONS(3252),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3252),
    [sym__conjunction_operator_custom] = ACTIONS(3252),
    [sym__disjunction_operator_custom] = ACTIONS(3252),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3252),
    [sym__eq_custom] = ACTIONS(3252),
    [sym__eq_eq_custom] = ACTIONS(3252),
    [sym__plus_then_ws] = ACTIONS(3252),
    [sym__minus_then_ws] = ACTIONS(3252),
    [sym__bang_custom] = ACTIONS(3252),
    [sym__as_custom] = ACTIONS(3252),
    [sym__as_quest_custom] = ACTIONS(3252),
    [sym__as_bang_custom] = ACTIONS(3252),
    [sym__custom_operator] = ACTIONS(3252),
  },
  [794] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(3256),
    [anon_sym_async] = ACTIONS(3256),
    [anon_sym_lazy] = ACTIONS(3256),
    [anon_sym_package] = ACTIONS(3256),
    [anon_sym_RPAREN] = ACTIONS(3256),
    [anon_sym_COMMA] = ACTIONS(3256),
    [anon_sym_COLON] = ACTIONS(3256),
    [anon_sym_LPAREN] = ACTIONS(3256),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_RBRACK] = ACTIONS(3256),
    [anon_sym_QMARK] = ACTIONS(3258),
    [anon_sym_QMARK2] = ACTIONS(3256),
    [anon_sym_AMP] = ACTIONS(3256),
    [aux_sym_custom_operator_token1] = ACTIONS(3256),
    [anon_sym_LT] = ACTIONS(3258),
    [anon_sym_GT] = ACTIONS(3258),
    [anon_sym_LBRACE] = ACTIONS(3256),
    [anon_sym_CARET_LBRACE] = ACTIONS(3256),
    [anon_sym_RBRACE] = ACTIONS(3256),
    [anon_sym_case] = ACTIONS(3256),
    [anon_sym_PLUS_EQ] = ACTIONS(3256),
    [anon_sym_DASH_EQ] = ACTIONS(3256),
    [anon_sym_STAR_EQ] = ACTIONS(3256),
    [anon_sym_SLASH_EQ] = ACTIONS(3256),
    [anon_sym_PERCENT_EQ] = ACTIONS(3256),
    [anon_sym_BANG_EQ] = ACTIONS(3258),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3256),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3256),
    [anon_sym_LT_EQ] = ACTIONS(3256),
    [anon_sym_GT_EQ] = ACTIONS(3256),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3256),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3256),
    [anon_sym_is] = ACTIONS(3256),
    [anon_sym_PLUS] = ACTIONS(3258),
    [anon_sym_DASH] = ACTIONS(3258),
    [anon_sym_STAR] = ACTIONS(3258),
    [anon_sym_SLASH] = ACTIONS(3258),
    [anon_sym_PERCENT] = ACTIONS(3258),
    [anon_sym_PLUS_PLUS] = ACTIONS(3256),
    [anon_sym_DASH_DASH] = ACTIONS(3256),
    [anon_sym_PIPE] = ACTIONS(3256),
    [anon_sym_CARET] = ACTIONS(3258),
    [anon_sym_LT_LT] = ACTIONS(3256),
    [anon_sym_GT_GT] = ACTIONS(3256),
    [anon_sym_import] = ACTIONS(3256),
    [anon_sym_typealias] = ACTIONS(3256),
    [anon_sym_struct] = ACTIONS(3256),
    [anon_sym_class] = ACTIONS(3256),
    [anon_sym_enum] = ACTIONS(3256),
    [anon_sym_protocol] = ACTIONS(3256),
    [anon_sym_let] = ACTIONS(3256),
    [anon_sym_var] = ACTIONS(3256),
    [anon_sym_func] = ACTIONS(3256),
    [anon_sym_extension] = ACTIONS(3256),
    [anon_sym_indirect] = ACTIONS(3256),
    [anon_sym_BANG2] = ACTIONS(3258),
    [anon_sym_SEMI] = ACTIONS(3256),
    [anon_sym_init] = ACTIONS(3256),
    [anon_sym_deinit] = ACTIONS(3256),
    [anon_sym_subscript] = ACTIONS(3256),
    [anon_sym_prefix] = ACTIONS(3256),
    [anon_sym_infix] = ACTIONS(3256),
    [anon_sym_postfix] = ACTIONS(3256),
    [anon_sym_precedencegroup] = ACTIONS(3256),
    [anon_sym_associatedtype] = ACTIONS(3256),
    [anon_sym_AT] = ACTIONS(3258),
    [anon_sym_override] = ACTIONS(3256),
    [anon_sym_convenience] = ACTIONS(3256),
    [anon_sym_required] = ACTIONS(3256),
    [anon_sym_nonisolated] = ACTIONS(3256),
    [anon_sym_public] = ACTIONS(3256),
    [anon_sym_private] = ACTIONS(3256),
    [anon_sym_internal] = ACTIONS(3256),
    [anon_sym_fileprivate] = ACTIONS(3256),
    [anon_sym_open] = ACTIONS(3256),
    [anon_sym_mutating] = ACTIONS(3256),
    [anon_sym_nonmutating] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(3256),
    [anon_sym_dynamic] = ACTIONS(3256),
    [anon_sym_optional] = ACTIONS(3256),
    [anon_sym_distributed] = ACTIONS(3256),
    [anon_sym_final] = ACTIONS(3256),
    [anon_sym_inout] = ACTIONS(3256),
    [anon_sym_ATescaping] = ACTIONS(3256),
    [anon_sym_ATautoclosure] = ACTIONS(3256),
    [anon_sym_weak] = ACTIONS(3256),
    [anon_sym_unowned] = ACTIONS(3258),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3256),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3256),
    [anon_sym_borrowing] = ACTIONS(3256),
    [anon_sym_consuming] = ACTIONS(3256),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3256),
    [sym__conjunction_operator_custom] = ACTIONS(3256),
    [sym__disjunction_operator_custom] = ACTIONS(3256),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3256),
    [sym__eq_custom] = ACTIONS(3256),
    [sym__eq_eq_custom] = ACTIONS(3256),
    [sym__plus_then_ws] = ACTIONS(3256),
    [sym__minus_then_ws] = ACTIONS(3256),
    [sym__bang_custom] = ACTIONS(3256),
    [sym__as_custom] = ACTIONS(3256),
    [sym__as_quest_custom] = ACTIONS(3256),
    [sym__as_bang_custom] = ACTIONS(3256),
    [sym__custom_operator] = ACTIONS(3256),
  },
  [795] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(3031),
    [anon_sym_async] = ACTIONS(3031),
    [anon_sym_lazy] = ACTIONS(3031),
    [anon_sym_package] = ACTIONS(3031),
    [anon_sym_RPAREN] = ACTIONS(3031),
    [anon_sym_COMMA] = ACTIONS(3031),
    [anon_sym_COLON] = ACTIONS(3031),
    [anon_sym_LPAREN] = ACTIONS(3031),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_RBRACK] = ACTIONS(3031),
    [anon_sym_QMARK] = ACTIONS(3029),
    [anon_sym_QMARK2] = ACTIONS(3031),
    [anon_sym_AMP] = ACTIONS(3031),
    [aux_sym_custom_operator_token1] = ACTIONS(3031),
    [anon_sym_LT] = ACTIONS(3029),
    [anon_sym_GT] = ACTIONS(3029),
    [anon_sym_LBRACE] = ACTIONS(3031),
    [anon_sym_CARET_LBRACE] = ACTIONS(3031),
    [anon_sym_RBRACE] = ACTIONS(3031),
    [anon_sym_case] = ACTIONS(3031),
    [anon_sym_PLUS_EQ] = ACTIONS(3031),
    [anon_sym_DASH_EQ] = ACTIONS(3031),
    [anon_sym_STAR_EQ] = ACTIONS(3031),
    [anon_sym_SLASH_EQ] = ACTIONS(3031),
    [anon_sym_PERCENT_EQ] = ACTIONS(3031),
    [anon_sym_BANG_EQ] = ACTIONS(3029),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3031),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3031),
    [anon_sym_LT_EQ] = ACTIONS(3031),
    [anon_sym_GT_EQ] = ACTIONS(3031),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3031),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3031),
    [anon_sym_is] = ACTIONS(3031),
    [anon_sym_PLUS] = ACTIONS(3029),
    [anon_sym_DASH] = ACTIONS(3029),
    [anon_sym_STAR] = ACTIONS(3029),
    [anon_sym_SLASH] = ACTIONS(3029),
    [anon_sym_PERCENT] = ACTIONS(3029),
    [anon_sym_PLUS_PLUS] = ACTIONS(3031),
    [anon_sym_DASH_DASH] = ACTIONS(3031),
    [anon_sym_PIPE] = ACTIONS(3031),
    [anon_sym_CARET] = ACTIONS(3029),
    [anon_sym_LT_LT] = ACTIONS(3031),
    [anon_sym_GT_GT] = ACTIONS(3031),
    [anon_sym_import] = ACTIONS(3031),
    [anon_sym_typealias] = ACTIONS(3031),
    [anon_sym_struct] = ACTIONS(3031),
    [anon_sym_class] = ACTIONS(3031),
    [anon_sym_enum] = ACTIONS(3031),
    [anon_sym_protocol] = ACTIONS(3031),
    [anon_sym_let] = ACTIONS(3031),
    [anon_sym_var] = ACTIONS(3031),
    [anon_sym_func] = ACTIONS(3031),
    [anon_sym_extension] = ACTIONS(3031),
    [anon_sym_indirect] = ACTIONS(3031),
    [anon_sym_BANG2] = ACTIONS(3029),
    [anon_sym_SEMI] = ACTIONS(3031),
    [anon_sym_init] = ACTIONS(3031),
    [anon_sym_deinit] = ACTIONS(3031),
    [anon_sym_subscript] = ACTIONS(3031),
    [anon_sym_prefix] = ACTIONS(3031),
    [anon_sym_infix] = ACTIONS(3031),
    [anon_sym_postfix] = ACTIONS(3031),
    [anon_sym_precedencegroup] = ACTIONS(3031),
    [anon_sym_associatedtype] = ACTIONS(3031),
    [anon_sym_AT] = ACTIONS(3029),
    [anon_sym_override] = ACTIONS(3031),
    [anon_sym_convenience] = ACTIONS(3031),
    [anon_sym_required] = ACTIONS(3031),
    [anon_sym_nonisolated] = ACTIONS(3031),
    [anon_sym_public] = ACTIONS(3031),
    [anon_sym_private] = ACTIONS(3031),
    [anon_sym_internal] = ACTIONS(3031),
    [anon_sym_fileprivate] = ACTIONS(3031),
    [anon_sym_open] = ACTIONS(3031),
    [anon_sym_mutating] = ACTIONS(3031),
    [anon_sym_nonmutating] = ACTIONS(3031),
    [anon_sym_static] = ACTIONS(3031),
    [anon_sym_dynamic] = ACTIONS(3031),
    [anon_sym_optional] = ACTIONS(3031),
    [anon_sym_distributed] = ACTIONS(3031),
    [anon_sym_final] = ACTIONS(3031),
    [anon_sym_inout] = ACTIONS(3031),
    [anon_sym_ATescaping] = ACTIONS(3031),
    [anon_sym_ATautoclosure] = ACTIONS(3031),
    [anon_sym_weak] = ACTIONS(3031),
    [anon_sym_unowned] = ACTIONS(3029),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3031),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3031),
    [anon_sym_borrowing] = ACTIONS(3031),
    [anon_sym_consuming] = ACTIONS(3031),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3031),
    [sym__conjunction_operator_custom] = ACTIONS(3031),
    [sym__disjunction_operator_custom] = ACTIONS(3031),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3031),
    [sym__eq_custom] = ACTIONS(3031),
    [sym__eq_eq_custom] = ACTIONS(3031),
    [sym__plus_then_ws] = ACTIONS(3031),
    [sym__minus_then_ws] = ACTIONS(3031),
    [sym__bang_custom] = ACTIONS(3031),
    [sym__as_custom] = ACTIONS(3031),
    [sym__as_quest_custom] = ACTIONS(3031),
    [sym__as_bang_custom] = ACTIONS(3031),
    [sym__custom_operator] = ACTIONS(3031),
  },
  [796] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(3260),
    [anon_sym_async] = ACTIONS(3260),
    [anon_sym_lazy] = ACTIONS(3260),
    [anon_sym_package] = ACTIONS(3260),
    [anon_sym_RPAREN] = ACTIONS(3260),
    [anon_sym_COMMA] = ACTIONS(3260),
    [anon_sym_COLON] = ACTIONS(3260),
    [anon_sym_LPAREN] = ACTIONS(3260),
    [anon_sym_LBRACK] = ACTIONS(3260),
    [anon_sym_RBRACK] = ACTIONS(3260),
    [anon_sym_QMARK] = ACTIONS(3263),
    [anon_sym_QMARK2] = ACTIONS(3260),
    [anon_sym_AMP] = ACTIONS(3260),
    [aux_sym_custom_operator_token1] = ACTIONS(3260),
    [anon_sym_LT] = ACTIONS(3263),
    [anon_sym_GT] = ACTIONS(3263),
    [anon_sym_LBRACE] = ACTIONS(3260),
    [anon_sym_CARET_LBRACE] = ACTIONS(3260),
    [anon_sym_RBRACE] = ACTIONS(3260),
    [anon_sym_case] = ACTIONS(3260),
    [anon_sym_PLUS_EQ] = ACTIONS(3260),
    [anon_sym_DASH_EQ] = ACTIONS(3260),
    [anon_sym_STAR_EQ] = ACTIONS(3260),
    [anon_sym_SLASH_EQ] = ACTIONS(3260),
    [anon_sym_PERCENT_EQ] = ACTIONS(3260),
    [anon_sym_BANG_EQ] = ACTIONS(3263),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3260),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3260),
    [anon_sym_LT_EQ] = ACTIONS(3260),
    [anon_sym_GT_EQ] = ACTIONS(3260),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3260),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3260),
    [anon_sym_is] = ACTIONS(3260),
    [anon_sym_PLUS] = ACTIONS(3263),
    [anon_sym_DASH] = ACTIONS(3263),
    [anon_sym_STAR] = ACTIONS(3263),
    [anon_sym_SLASH] = ACTIONS(3263),
    [anon_sym_PERCENT] = ACTIONS(3263),
    [anon_sym_PLUS_PLUS] = ACTIONS(3260),
    [anon_sym_DASH_DASH] = ACTIONS(3260),
    [anon_sym_PIPE] = ACTIONS(3260),
    [anon_sym_CARET] = ACTIONS(3263),
    [anon_sym_LT_LT] = ACTIONS(3260),
    [anon_sym_GT_GT] = ACTIONS(3260),
    [anon_sym_import] = ACTIONS(3260),
    [anon_sym_typealias] = ACTIONS(3260),
    [anon_sym_struct] = ACTIONS(3260),
    [anon_sym_class] = ACTIONS(3260),
    [anon_sym_enum] = ACTIONS(3260),
    [anon_sym_protocol] = ACTIONS(3260),
    [anon_sym_let] = ACTIONS(3260),
    [anon_sym_var] = ACTIONS(3260),
    [anon_sym_func] = ACTIONS(3260),
    [anon_sym_extension] = ACTIONS(3260),
    [anon_sym_indirect] = ACTIONS(3260),
    [anon_sym_BANG2] = ACTIONS(3263),
    [anon_sym_SEMI] = ACTIONS(3260),
    [anon_sym_init] = ACTIONS(3260),
    [anon_sym_deinit] = ACTIONS(3260),
    [anon_sym_subscript] = ACTIONS(3260),
    [anon_sym_prefix] = ACTIONS(3260),
    [anon_sym_infix] = ACTIONS(3260),
    [anon_sym_postfix] = ACTIONS(3260),
    [anon_sym_precedencegroup] = ACTIONS(3260),
    [anon_sym_associatedtype] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(3263),
    [anon_sym_override] = ACTIONS(3260),
    [anon_sym_convenience] = ACTIONS(3260),
    [anon_sym_required] = ACTIONS(3260),
    [anon_sym_nonisolated] = ACTIONS(3260),
    [anon_sym_public] = ACTIONS(3260),
    [anon_sym_private] = ACTIONS(3260),
    [anon_sym_internal] = ACTIONS(3260),
    [anon_sym_fileprivate] = ACTIONS(3260),
    [anon_sym_open] = ACTIONS(3260),
    [anon_sym_mutating] = ACTIONS(3260),
    [anon_sym_nonmutating] = ACTIONS(3260),
    [anon_sym_static] = ACTIONS(3260),
    [anon_sym_dynamic] = ACTIONS(3260),
    [anon_sym_optional] = ACTIONS(3260),
    [anon_sym_distributed] = ACTIONS(3260),
    [anon_sym_final] = ACTIONS(3260),
    [anon_sym_inout] = ACTIONS(3260),
    [anon_sym_ATescaping] = ACTIONS(3260),
    [anon_sym_ATautoclosure] = ACTIONS(3260),
    [anon_sym_weak] = ACTIONS(3260),
    [anon_sym_unowned] = ACTIONS(3263),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3260),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3260),
    [anon_sym_borrowing] = ACTIONS(3260),
    [anon_sym_consuming] = ACTIONS(3260),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3260),
    [sym__conjunction_operator_custom] = ACTIONS(3260),
    [sym__disjunction_operator_custom] = ACTIONS(3260),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3260),
    [sym__eq_custom] = ACTIONS(3260),
    [sym__eq_eq_custom] = ACTIONS(3260),
    [sym__plus_then_ws] = ACTIONS(3260),
    [sym__minus_then_ws] = ACTIONS(3260),
    [sym__bang_custom] = ACTIONS(3260),
    [sym__as_custom] = ACTIONS(3260),
    [sym__as_quest_custom] = ACTIONS(3260),
    [sym__as_bang_custom] = ACTIONS(3260),
    [sym__custom_operator] = ACTIONS(3260),
  },
  [797] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(3266),
    [anon_sym_async] = ACTIONS(3266),
    [anon_sym_lazy] = ACTIONS(3266),
    [anon_sym_package] = ACTIONS(3266),
    [anon_sym_RPAREN] = ACTIONS(3266),
    [anon_sym_COMMA] = ACTIONS(3266),
    [anon_sym_COLON] = ACTIONS(3266),
    [anon_sym_LPAREN] = ACTIONS(3266),
    [anon_sym_LBRACK] = ACTIONS(3266),
    [anon_sym_RBRACK] = ACTIONS(3266),
    [anon_sym_QMARK] = ACTIONS(3268),
    [anon_sym_QMARK2] = ACTIONS(3266),
    [anon_sym_AMP] = ACTIONS(3266),
    [aux_sym_custom_operator_token1] = ACTIONS(3266),
    [anon_sym_LT] = ACTIONS(3268),
    [anon_sym_GT] = ACTIONS(3268),
    [anon_sym_LBRACE] = ACTIONS(3266),
    [anon_sym_CARET_LBRACE] = ACTIONS(3266),
    [anon_sym_RBRACE] = ACTIONS(3266),
    [anon_sym_case] = ACTIONS(3266),
    [anon_sym_PLUS_EQ] = ACTIONS(3266),
    [anon_sym_DASH_EQ] = ACTIONS(3266),
    [anon_sym_STAR_EQ] = ACTIONS(3266),
    [anon_sym_SLASH_EQ] = ACTIONS(3266),
    [anon_sym_PERCENT_EQ] = ACTIONS(3266),
    [anon_sym_BANG_EQ] = ACTIONS(3268),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3266),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3266),
    [anon_sym_LT_EQ] = ACTIONS(3266),
    [anon_sym_GT_EQ] = ACTIONS(3266),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3266),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3266),
    [anon_sym_is] = ACTIONS(3266),
    [anon_sym_PLUS] = ACTIONS(3268),
    [anon_sym_DASH] = ACTIONS(3268),
    [anon_sym_STAR] = ACTIONS(3268),
    [anon_sym_SLASH] = ACTIONS(3268),
    [anon_sym_PERCENT] = ACTIONS(3268),
    [anon_sym_PLUS_PLUS] = ACTIONS(3266),
    [anon_sym_DASH_DASH] = ACTIONS(3266),
    [anon_sym_PIPE] = ACTIONS(3266),
    [anon_sym_CARET] = ACTIONS(3268),
    [anon_sym_LT_LT] = ACTIONS(3266),
    [anon_sym_GT_GT] = ACTIONS(3266),
    [anon_sym_import] = ACTIONS(3266),
    [anon_sym_typealias] = ACTIONS(3266),
    [anon_sym_struct] = ACTIONS(3266),
    [anon_sym_class] = ACTIONS(3266),
    [anon_sym_enum] = ACTIONS(3266),
    [anon_sym_protocol] = ACTIONS(3266),
    [anon_sym_let] = ACTIONS(3266),
    [anon_sym_var] = ACTIONS(3266),
    [anon_sym_func] = ACTIONS(3266),
    [anon_sym_extension] = ACTIONS(3266),
    [anon_sym_indirect] = ACTIONS(3266),
    [anon_sym_BANG2] = ACTIONS(3268),
    [anon_sym_SEMI] = ACTIONS(3266),
    [anon_sym_init] = ACTIONS(3266),
    [anon_sym_deinit] = ACTIONS(3266),
    [anon_sym_subscript] = ACTIONS(3266),
    [anon_sym_prefix] = ACTIONS(3266),
    [anon_sym_infix] = ACTIONS(3266),
    [anon_sym_postfix] = ACTIONS(3266),
    [anon_sym_precedencegroup] = ACTIONS(3266),
    [anon_sym_associatedtype] = ACTIONS(3266),
    [anon_sym_AT] = ACTIONS(3268),
    [anon_sym_override] = ACTIONS(3266),
    [anon_sym_convenience] = ACTIONS(3266),
    [anon_sym_required] = ACTIONS(3266),
    [anon_sym_nonisolated] = ACTIONS(3266),
    [anon_sym_public] = ACTIONS(3266),
    [anon_sym_private] = ACTIONS(3266),
    [anon_sym_internal] = ACTIONS(3266),
    [anon_sym_fileprivate] = ACTIONS(3266),
    [anon_sym_open] = ACTIONS(3266),
    [anon_sym_mutating] = ACTIONS(3266),
    [anon_sym_nonmutating] = ACTIONS(3266),
    [anon_sym_static] = ACTIONS(3266),
    [anon_sym_dynamic] = ACTIONS(3266),
    [anon_sym_optional] = ACTIONS(3266),
    [anon_sym_distributed] = ACTIONS(3266),
    [anon_sym_final] = ACTIONS(3266),
    [anon_sym_inout] = ACTIONS(3266),
    [anon_sym_ATescaping] = ACTIONS(3266),
    [anon_sym_ATautoclosure] = ACTIONS(3266),
    [anon_sym_weak] = ACTIONS(3266),
    [anon_sym_unowned] = ACTIONS(3268),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3266),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3266),
    [anon_sym_borrowing] = ACTIONS(3266),
    [anon_sym_consuming] = ACTIONS(3266),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3266),
    [sym__conjunction_operator_custom] = ACTIONS(3266),
    [sym__disjunction_operator_custom] = ACTIONS(3266),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3266),
    [sym__eq_custom] = ACTIONS(3266),
    [sym__eq_eq_custom] = ACTIONS(3266),
    [sym__plus_then_ws] = ACTIONS(3266),
    [sym__minus_then_ws] = ACTIONS(3266),
    [sym__bang_custom] = ACTIONS(3266),
    [sym__as_custom] = ACTIONS(3266),
    [sym__as_quest_custom] = ACTIONS(3266),
    [sym__as_bang_custom] = ACTIONS(3266),
    [sym__custom_operator] = ACTIONS(3266),
  },
  [798] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(3270),
    [anon_sym_async] = ACTIONS(3270),
    [anon_sym_lazy] = ACTIONS(3270),
    [anon_sym_package] = ACTIONS(3270),
    [anon_sym_RPAREN] = ACTIONS(3270),
    [anon_sym_COMMA] = ACTIONS(3270),
    [anon_sym_COLON] = ACTIONS(3270),
    [anon_sym_LPAREN] = ACTIONS(3270),
    [anon_sym_LBRACK] = ACTIONS(3270),
    [anon_sym_RBRACK] = ACTIONS(3270),
    [anon_sym_QMARK] = ACTIONS(3272),
    [anon_sym_QMARK2] = ACTIONS(3270),
    [anon_sym_AMP] = ACTIONS(3270),
    [aux_sym_custom_operator_token1] = ACTIONS(3270),
    [anon_sym_LT] = ACTIONS(3272),
    [anon_sym_GT] = ACTIONS(3272),
    [anon_sym_LBRACE] = ACTIONS(3270),
    [anon_sym_CARET_LBRACE] = ACTIONS(3270),
    [anon_sym_RBRACE] = ACTIONS(3270),
    [anon_sym_case] = ACTIONS(3270),
    [anon_sym_PLUS_EQ] = ACTIONS(3270),
    [anon_sym_DASH_EQ] = ACTIONS(3270),
    [anon_sym_STAR_EQ] = ACTIONS(3270),
    [anon_sym_SLASH_EQ] = ACTIONS(3270),
    [anon_sym_PERCENT_EQ] = ACTIONS(3270),
    [anon_sym_BANG_EQ] = ACTIONS(3272),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3270),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3270),
    [anon_sym_LT_EQ] = ACTIONS(3270),
    [anon_sym_GT_EQ] = ACTIONS(3270),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3270),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3270),
    [anon_sym_is] = ACTIONS(3270),
    [anon_sym_PLUS] = ACTIONS(3272),
    [anon_sym_DASH] = ACTIONS(3272),
    [anon_sym_STAR] = ACTIONS(3272),
    [anon_sym_SLASH] = ACTIONS(3272),
    [anon_sym_PERCENT] = ACTIONS(3272),
    [anon_sym_PLUS_PLUS] = ACTIONS(3270),
    [anon_sym_DASH_DASH] = ACTIONS(3270),
    [anon_sym_PIPE] = ACTIONS(3270),
    [anon_sym_CARET] = ACTIONS(3272),
    [anon_sym_LT_LT] = ACTIONS(3270),
    [anon_sym_GT_GT] = ACTIONS(3270),
    [anon_sym_import] = ACTIONS(3270),
    [anon_sym_typealias] = ACTIONS(3270),
    [anon_sym_struct] = ACTIONS(3270),
    [anon_sym_class] = ACTIONS(3270),
    [anon_sym_enum] = ACTIONS(3270),
    [anon_sym_protocol] = ACTIONS(3270),
    [anon_sym_let] = ACTIONS(3270),
    [anon_sym_var] = ACTIONS(3270),
    [anon_sym_func] = ACTIONS(3270),
    [anon_sym_extension] = ACTIONS(3270),
    [anon_sym_indirect] = ACTIONS(3270),
    [anon_sym_BANG2] = ACTIONS(3272),
    [anon_sym_SEMI] = ACTIONS(3270),
    [anon_sym_init] = ACTIONS(3270),
    [anon_sym_deinit] = ACTIONS(3270),
    [anon_sym_subscript] = ACTIONS(3270),
    [anon_sym_prefix] = ACTIONS(3270),
    [anon_sym_infix] = ACTIONS(3270),
    [anon_sym_postfix] = ACTIONS(3270),
    [anon_sym_precedencegroup] = ACTIONS(3270),
    [anon_sym_associatedtype] = ACTIONS(3270),
    [anon_sym_AT] = ACTIONS(3272),
    [anon_sym_override] = ACTIONS(3270),
    [anon_sym_convenience] = ACTIONS(3270),
    [anon_sym_required] = ACTIONS(3270),
    [anon_sym_nonisolated] = ACTIONS(3270),
    [anon_sym_public] = ACTIONS(3270),
    [anon_sym_private] = ACTIONS(3270),
    [anon_sym_internal] = ACTIONS(3270),
    [anon_sym_fileprivate] = ACTIONS(3270),
    [anon_sym_open] = ACTIONS(3270),
    [anon_sym_mutating] = ACTIONS(3270),
    [anon_sym_nonmutating] = ACTIONS(3270),
    [anon_sym_static] = ACTIONS(3270),
    [anon_sym_dynamic] = ACTIONS(3270),
    [anon_sym_optional] = ACTIONS(3270),
    [anon_sym_distributed] = ACTIONS(3270),
    [anon_sym_final] = ACTIONS(3270),
    [anon_sym_inout] = ACTIONS(3270),
    [anon_sym_ATescaping] = ACTIONS(3270),
    [anon_sym_ATautoclosure] = ACTIONS(3270),
    [anon_sym_weak] = ACTIONS(3270),
    [anon_sym_unowned] = ACTIONS(3272),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3270),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3270),
    [anon_sym_borrowing] = ACTIONS(3270),
    [anon_sym_consuming] = ACTIONS(3270),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3270),
    [sym__conjunction_operator_custom] = ACTIONS(3270),
    [sym__disjunction_operator_custom] = ACTIONS(3270),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3270),
    [sym__eq_custom] = ACTIONS(3270),
    [sym__eq_eq_custom] = ACTIONS(3270),
    [sym__plus_then_ws] = ACTIONS(3270),
    [sym__minus_then_ws] = ACTIONS(3270),
    [sym__bang_custom] = ACTIONS(3270),
    [sym__as_custom] = ACTIONS(3270),
    [sym__as_quest_custom] = ACTIONS(3270),
    [sym__as_bang_custom] = ACTIONS(3270),
    [sym__custom_operator] = ACTIONS(3270),
  },
  [799] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(3274),
    [anon_sym_async] = ACTIONS(3274),
    [anon_sym_lazy] = ACTIONS(3274),
    [anon_sym_package] = ACTIONS(3274),
    [anon_sym_RPAREN] = ACTIONS(3274),
    [anon_sym_COMMA] = ACTIONS(3274),
    [anon_sym_COLON] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(3274),
    [anon_sym_LBRACK] = ACTIONS(3274),
    [anon_sym_RBRACK] = ACTIONS(3274),
    [anon_sym_QMARK] = ACTIONS(3276),
    [anon_sym_QMARK2] = ACTIONS(3274),
    [anon_sym_AMP] = ACTIONS(3274),
    [aux_sym_custom_operator_token1] = ACTIONS(3274),
    [anon_sym_LT] = ACTIONS(3276),
    [anon_sym_GT] = ACTIONS(3276),
    [anon_sym_LBRACE] = ACTIONS(3274),
    [anon_sym_CARET_LBRACE] = ACTIONS(3274),
    [anon_sym_RBRACE] = ACTIONS(3274),
    [anon_sym_case] = ACTIONS(3274),
    [anon_sym_PLUS_EQ] = ACTIONS(3274),
    [anon_sym_DASH_EQ] = ACTIONS(3274),
    [anon_sym_STAR_EQ] = ACTIONS(3274),
    [anon_sym_SLASH_EQ] = ACTIONS(3274),
    [anon_sym_PERCENT_EQ] = ACTIONS(3274),
    [anon_sym_BANG_EQ] = ACTIONS(3276),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3274),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3274),
    [anon_sym_LT_EQ] = ACTIONS(3274),
    [anon_sym_GT_EQ] = ACTIONS(3274),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3274),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3274),
    [anon_sym_is] = ACTIONS(3274),
    [anon_sym_PLUS] = ACTIONS(3276),
    [anon_sym_DASH] = ACTIONS(3276),
    [anon_sym_STAR] = ACTIONS(3276),
    [anon_sym_SLASH] = ACTIONS(3276),
    [anon_sym_PERCENT] = ACTIONS(3276),
    [anon_sym_PLUS_PLUS] = ACTIONS(3274),
    [anon_sym_DASH_DASH] = ACTIONS(3274),
    [anon_sym_PIPE] = ACTIONS(3274),
    [anon_sym_CARET] = ACTIONS(3276),
    [anon_sym_LT_LT] = ACTIONS(3274),
    [anon_sym_GT_GT] = ACTIONS(3274),
    [anon_sym_import] = ACTIONS(3274),
    [anon_sym_typealias] = ACTIONS(3274),
    [anon_sym_struct] = ACTIONS(3274),
    [anon_sym_class] = ACTIONS(3274),
    [anon_sym_enum] = ACTIONS(3274),
    [anon_sym_protocol] = ACTIONS(3274),
    [anon_sym_let] = ACTIONS(3274),
    [anon_sym_var] = ACTIONS(3274),
    [anon_sym_func] = ACTIONS(3274),
    [anon_sym_extension] = ACTIONS(3274),
    [anon_sym_indirect] = ACTIONS(3274),
    [anon_sym_BANG2] = ACTIONS(3276),
    [anon_sym_SEMI] = ACTIONS(3274),
    [anon_sym_init] = ACTIONS(3274),
    [anon_sym_deinit] = ACTIONS(3274),
    [anon_sym_subscript] = ACTIONS(3274),
    [anon_sym_prefix] = ACTIONS(3274),
    [anon_sym_infix] = ACTIONS(3274),
    [anon_sym_postfix] = ACTIONS(3274),
    [anon_sym_precedencegroup] = ACTIONS(3274),
    [anon_sym_associatedtype] = ACTIONS(3274),
    [anon_sym_AT] = ACTIONS(3276),
    [anon_sym_override] = ACTIONS(3274),
    [anon_sym_convenience] = ACTIONS(3274),
    [anon_sym_required] = ACTIONS(3274),
    [anon_sym_nonisolated] = ACTIONS(3274),
    [anon_sym_public] = ACTIONS(3274),
    [anon_sym_private] = ACTIONS(3274),
    [anon_sym_internal] = ACTIONS(3274),
    [anon_sym_fileprivate] = ACTIONS(3274),
    [anon_sym_open] = ACTIONS(3274),
    [anon_sym_mutating] = ACTIONS(3274),
    [anon_sym_nonmutating] = ACTIONS(3274),
    [anon_sym_static] = ACTIONS(3274),
    [anon_sym_dynamic] = ACTIONS(3274),
    [anon_sym_optional] = ACTIONS(3274),
    [anon_sym_distributed] = ACTIONS(3274),
    [anon_sym_final] = ACTIONS(3274),
    [anon_sym_inout] = ACTIONS(3274),
    [anon_sym_ATescaping] = ACTIONS(3274),
    [anon_sym_ATautoclosure] = ACTIONS(3274),
    [anon_sym_weak] = ACTIONS(3274),
    [anon_sym_unowned] = ACTIONS(3276),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3274),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3274),
    [anon_sym_borrowing] = ACTIONS(3274),
    [anon_sym_consuming] = ACTIONS(3274),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3274),
    [sym__conjunction_operator_custom] = ACTIONS(3274),
    [sym__disjunction_operator_custom] = ACTIONS(3274),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3274),
    [sym__eq_custom] = ACTIONS(3274),
    [sym__eq_eq_custom] = ACTIONS(3274),
    [sym__plus_then_ws] = ACTIONS(3274),
    [sym__minus_then_ws] = ACTIONS(3274),
    [sym__bang_custom] = ACTIONS(3274),
    [sym__as_custom] = ACTIONS(3274),
    [sym__as_quest_custom] = ACTIONS(3274),
    [sym__as_bang_custom] = ACTIONS(3274),
    [sym__custom_operator] = ACTIONS(3274),
  },
  [800] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(3278),
    [anon_sym_async] = ACTIONS(3278),
    [anon_sym_lazy] = ACTIONS(3278),
    [anon_sym_package] = ACTIONS(3278),
    [anon_sym_RPAREN] = ACTIONS(3278),
    [anon_sym_COMMA] = ACTIONS(3278),
    [anon_sym_COLON] = ACTIONS(3278),
    [anon_sym_LPAREN] = ACTIONS(3278),
    [anon_sym_LBRACK] = ACTIONS(3278),
    [anon_sym_RBRACK] = ACTIONS(3278),
    [anon_sym_QMARK] = ACTIONS(3280),
    [anon_sym_QMARK2] = ACTIONS(3278),
    [anon_sym_AMP] = ACTIONS(3278),
    [aux_sym_custom_operator_token1] = ACTIONS(3278),
    [anon_sym_LT] = ACTIONS(3280),
    [anon_sym_GT] = ACTIONS(3280),
    [anon_sym_LBRACE] = ACTIONS(3278),
    [anon_sym_CARET_LBRACE] = ACTIONS(3278),
    [anon_sym_RBRACE] = ACTIONS(3278),
    [anon_sym_case] = ACTIONS(3278),
    [anon_sym_PLUS_EQ] = ACTIONS(3278),
    [anon_sym_DASH_EQ] = ACTIONS(3278),
    [anon_sym_STAR_EQ] = ACTIONS(3278),
    [anon_sym_SLASH_EQ] = ACTIONS(3278),
    [anon_sym_PERCENT_EQ] = ACTIONS(3278),
    [anon_sym_BANG_EQ] = ACTIONS(3280),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3278),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3278),
    [anon_sym_LT_EQ] = ACTIONS(3278),
    [anon_sym_GT_EQ] = ACTIONS(3278),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3278),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3278),
    [anon_sym_is] = ACTIONS(3278),
    [anon_sym_PLUS] = ACTIONS(3280),
    [anon_sym_DASH] = ACTIONS(3280),
    [anon_sym_STAR] = ACTIONS(3280),
    [anon_sym_SLASH] = ACTIONS(3280),
    [anon_sym_PERCENT] = ACTIONS(3280),
    [anon_sym_PLUS_PLUS] = ACTIONS(3278),
    [anon_sym_DASH_DASH] = ACTIONS(3278),
    [anon_sym_PIPE] = ACTIONS(3278),
    [anon_sym_CARET] = ACTIONS(3280),
    [anon_sym_LT_LT] = ACTIONS(3278),
    [anon_sym_GT_GT] = ACTIONS(3278),
    [anon_sym_import] = ACTIONS(3278),
    [anon_sym_typealias] = ACTIONS(3278),
    [anon_sym_struct] = ACTIONS(3278),
    [anon_sym_class] = ACTIONS(3278),
    [anon_sym_enum] = ACTIONS(3278),
    [anon_sym_protocol] = ACTIONS(3278),
    [anon_sym_let] = ACTIONS(3278),
    [anon_sym_var] = ACTIONS(3278),
    [anon_sym_func] = ACTIONS(3278),
    [anon_sym_extension] = ACTIONS(3278),
    [anon_sym_indirect] = ACTIONS(3278),
    [anon_sym_BANG2] = ACTIONS(3280),
    [anon_sym_SEMI] = ACTIONS(3278),
    [anon_sym_init] = ACTIONS(3278),
    [anon_sym_deinit] = ACTIONS(3278),
    [anon_sym_subscript] = ACTIONS(3278),
    [anon_sym_prefix] = ACTIONS(3278),
    [anon_sym_infix] = ACTIONS(3278),
    [anon_sym_postfix] = ACTIONS(3278),
    [anon_sym_precedencegroup] = ACTIONS(3278),
    [anon_sym_associatedtype] = ACTIONS(3278),
    [anon_sym_AT] = ACTIONS(3280),
    [anon_sym_override] = ACTIONS(3278),
    [anon_sym_convenience] = ACTIONS(3278),
    [anon_sym_required] = ACTIONS(3278),
    [anon_sym_nonisolated] = ACTIONS(3278),
    [anon_sym_public] = ACTIONS(3278),
    [anon_sym_private] = ACTIONS(3278),
    [anon_sym_internal] = ACTIONS(3278),
    [anon_sym_fileprivate] = ACTIONS(3278),
    [anon_sym_open] = ACTIONS(3278),
    [anon_sym_mutating] = ACTIONS(3278),
    [anon_sym_nonmutating] = ACTIONS(3278),
    [anon_sym_static] = ACTIONS(3278),
    [anon_sym_dynamic] = ACTIONS(3278),
    [anon_sym_optional] = ACTIONS(3278),
    [anon_sym_distributed] = ACTIONS(3278),
    [anon_sym_final] = ACTIONS(3278),
    [anon_sym_inout] = ACTIONS(3278),
    [anon_sym_ATescaping] = ACTIONS(3278),
    [anon_sym_ATautoclosure] = ACTIONS(3278),
    [anon_sym_weak] = ACTIONS(3278),
    [anon_sym_unowned] = ACTIONS(3280),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3278),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3278),
    [anon_sym_borrowing] = ACTIONS(3278),
    [anon_sym_consuming] = ACTIONS(3278),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3278),
    [sym__conjunction_operator_custom] = ACTIONS(3278),
    [sym__disjunction_operator_custom] = ACTIONS(3278),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3278),
    [sym__eq_custom] = ACTIONS(3278),
    [sym__eq_eq_custom] = ACTIONS(3278),
    [sym__plus_then_ws] = ACTIONS(3278),
    [sym__minus_then_ws] = ACTIONS(3278),
    [sym__bang_custom] = ACTIONS(3278),
    [sym__as_custom] = ACTIONS(3278),
    [sym__as_quest_custom] = ACTIONS(3278),
    [sym__as_bang_custom] = ACTIONS(3278),
    [sym__custom_operator] = ACTIONS(3278),
  },
  [801] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(3282),
    [anon_sym_async] = ACTIONS(3282),
    [anon_sym_lazy] = ACTIONS(3282),
    [anon_sym_package] = ACTIONS(3282),
    [anon_sym_RPAREN] = ACTIONS(3282),
    [anon_sym_COMMA] = ACTIONS(3282),
    [anon_sym_COLON] = ACTIONS(3282),
    [anon_sym_LPAREN] = ACTIONS(3282),
    [anon_sym_LBRACK] = ACTIONS(3282),
    [anon_sym_RBRACK] = ACTIONS(3282),
    [anon_sym_QMARK] = ACTIONS(3285),
    [anon_sym_QMARK2] = ACTIONS(3282),
    [anon_sym_AMP] = ACTIONS(3282),
    [aux_sym_custom_operator_token1] = ACTIONS(3282),
    [anon_sym_LT] = ACTIONS(3285),
    [anon_sym_GT] = ACTIONS(3285),
    [anon_sym_LBRACE] = ACTIONS(3282),
    [anon_sym_CARET_LBRACE] = ACTIONS(3282),
    [anon_sym_RBRACE] = ACTIONS(3282),
    [anon_sym_case] = ACTIONS(3282),
    [anon_sym_PLUS_EQ] = ACTIONS(3282),
    [anon_sym_DASH_EQ] = ACTIONS(3282),
    [anon_sym_STAR_EQ] = ACTIONS(3282),
    [anon_sym_SLASH_EQ] = ACTIONS(3282),
    [anon_sym_PERCENT_EQ] = ACTIONS(3282),
    [anon_sym_BANG_EQ] = ACTIONS(3285),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3282),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3282),
    [anon_sym_LT_EQ] = ACTIONS(3282),
    [anon_sym_GT_EQ] = ACTIONS(3282),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3282),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3282),
    [anon_sym_is] = ACTIONS(3282),
    [anon_sym_PLUS] = ACTIONS(3285),
    [anon_sym_DASH] = ACTIONS(3285),
    [anon_sym_STAR] = ACTIONS(3285),
    [anon_sym_SLASH] = ACTIONS(3285),
    [anon_sym_PERCENT] = ACTIONS(3285),
    [anon_sym_PLUS_PLUS] = ACTIONS(3282),
    [anon_sym_DASH_DASH] = ACTIONS(3282),
    [anon_sym_PIPE] = ACTIONS(3282),
    [anon_sym_CARET] = ACTIONS(3285),
    [anon_sym_LT_LT] = ACTIONS(3282),
    [anon_sym_GT_GT] = ACTIONS(3282),
    [anon_sym_import] = ACTIONS(3282),
    [anon_sym_typealias] = ACTIONS(3282),
    [anon_sym_struct] = ACTIONS(3282),
    [anon_sym_class] = ACTIONS(3282),
    [anon_sym_enum] = ACTIONS(3282),
    [anon_sym_protocol] = ACTIONS(3282),
    [anon_sym_let] = ACTIONS(3282),
    [anon_sym_var] = ACTIONS(3282),
    [anon_sym_func] = ACTIONS(3282),
    [anon_sym_extension] = ACTIONS(3282),
    [anon_sym_indirect] = ACTIONS(3282),
    [anon_sym_BANG2] = ACTIONS(3285),
    [anon_sym_SEMI] = ACTIONS(3282),
    [anon_sym_init] = ACTIONS(3282),
    [anon_sym_deinit] = ACTIONS(3282),
    [anon_sym_subscript] = ACTIONS(3282),
    [anon_sym_prefix] = ACTIONS(3282),
    [anon_sym_infix] = ACTIONS(3282),
    [anon_sym_postfix] = ACTIONS(3282),
    [anon_sym_precedencegroup] = ACTIONS(3282),
    [anon_sym_associatedtype] = ACTIONS(3282),
    [anon_sym_AT] = ACTIONS(3285),
    [anon_sym_override] = ACTIONS(3282),
    [anon_sym_convenience] = ACTIONS(3282),
    [anon_sym_required] = ACTIONS(3282),
    [anon_sym_nonisolated] = ACTIONS(3282),
    [anon_sym_public] = ACTIONS(3282),
    [anon_sym_private] = ACTIONS(3282),
    [anon_sym_internal] = ACTIONS(3282),
    [anon_sym_fileprivate] = ACTIONS(3282),
    [anon_sym_open] = ACTIONS(3282),
    [anon_sym_mutating] = ACTIONS(3282),
    [anon_sym_nonmutating] = ACTIONS(3282),
    [anon_sym_static] = ACTIONS(3282),
    [anon_sym_dynamic] = ACTIONS(3282),
    [anon_sym_optional] = ACTIONS(3282),
    [anon_sym_distributed] = ACTIONS(3282),
    [anon_sym_final] = ACTIONS(3282),
    [anon_sym_inout] = ACTIONS(3282),
    [anon_sym_ATescaping] = ACTIONS(3282),
    [anon_sym_ATautoclosure] = ACTIONS(3282),
    [anon_sym_weak] = ACTIONS(3282),
    [anon_sym_unowned] = ACTIONS(3285),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3282),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3282),
    [anon_sym_borrowing] = ACTIONS(3282),
    [anon_sym_consuming] = ACTIONS(3282),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3282),
    [sym__conjunction_operator_custom] = ACTIONS(3282),
    [sym__disjunction_operator_custom] = ACTIONS(3282),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3282),
    [sym__eq_custom] = ACTIONS(3282),
    [sym__eq_eq_custom] = ACTIONS(3282),
    [sym__plus_then_ws] = ACTIONS(3282),
    [sym__minus_then_ws] = ACTIONS(3282),
    [sym__bang_custom] = ACTIONS(3282),
    [sym__as_custom] = ACTIONS(3282),
    [sym__as_quest_custom] = ACTIONS(3282),
    [sym__as_bang_custom] = ACTIONS(3282),
    [sym__custom_operator] = ACTIONS(3282),
  },
  [802] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(3288),
    [anon_sym_async] = ACTIONS(3288),
    [anon_sym_lazy] = ACTIONS(3288),
    [anon_sym_package] = ACTIONS(3288),
    [anon_sym_RPAREN] = ACTIONS(3288),
    [anon_sym_COMMA] = ACTIONS(3288),
    [anon_sym_COLON] = ACTIONS(3288),
    [anon_sym_LPAREN] = ACTIONS(3288),
    [anon_sym_LBRACK] = ACTIONS(3288),
    [anon_sym_RBRACK] = ACTIONS(3288),
    [anon_sym_QMARK] = ACTIONS(3290),
    [anon_sym_QMARK2] = ACTIONS(3288),
    [anon_sym_AMP] = ACTIONS(3288),
    [aux_sym_custom_operator_token1] = ACTIONS(3288),
    [anon_sym_LT] = ACTIONS(3290),
    [anon_sym_GT] = ACTIONS(3290),
    [anon_sym_LBRACE] = ACTIONS(3288),
    [anon_sym_CARET_LBRACE] = ACTIONS(3288),
    [anon_sym_RBRACE] = ACTIONS(3288),
    [anon_sym_case] = ACTIONS(3288),
    [anon_sym_PLUS_EQ] = ACTIONS(3288),
    [anon_sym_DASH_EQ] = ACTIONS(3288),
    [anon_sym_STAR_EQ] = ACTIONS(3288),
    [anon_sym_SLASH_EQ] = ACTIONS(3288),
    [anon_sym_PERCENT_EQ] = ACTIONS(3288),
    [anon_sym_BANG_EQ] = ACTIONS(3290),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3288),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3288),
    [anon_sym_LT_EQ] = ACTIONS(3288),
    [anon_sym_GT_EQ] = ACTIONS(3288),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3288),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3288),
    [anon_sym_is] = ACTIONS(3288),
    [anon_sym_PLUS] = ACTIONS(3290),
    [anon_sym_DASH] = ACTIONS(3290),
    [anon_sym_STAR] = ACTIONS(3290),
    [anon_sym_SLASH] = ACTIONS(3290),
    [anon_sym_PERCENT] = ACTIONS(3290),
    [anon_sym_PLUS_PLUS] = ACTIONS(3288),
    [anon_sym_DASH_DASH] = ACTIONS(3288),
    [anon_sym_PIPE] = ACTIONS(3288),
    [anon_sym_CARET] = ACTIONS(3290),
    [anon_sym_LT_LT] = ACTIONS(3288),
    [anon_sym_GT_GT] = ACTIONS(3288),
    [anon_sym_import] = ACTIONS(3288),
    [anon_sym_typealias] = ACTIONS(3288),
    [anon_sym_struct] = ACTIONS(3288),
    [anon_sym_class] = ACTIONS(3288),
    [anon_sym_enum] = ACTIONS(3288),
    [anon_sym_protocol] = ACTIONS(3288),
    [anon_sym_let] = ACTIONS(3288),
    [anon_sym_var] = ACTIONS(3288),
    [anon_sym_func] = ACTIONS(3288),
    [anon_sym_extension] = ACTIONS(3288),
    [anon_sym_indirect] = ACTIONS(3288),
    [anon_sym_BANG2] = ACTIONS(3290),
    [anon_sym_SEMI] = ACTIONS(3288),
    [anon_sym_init] = ACTIONS(3288),
    [anon_sym_deinit] = ACTIONS(3288),
    [anon_sym_subscript] = ACTIONS(3288),
    [anon_sym_prefix] = ACTIONS(3288),
    [anon_sym_infix] = ACTIONS(3288),
    [anon_sym_postfix] = ACTIONS(3288),
    [anon_sym_precedencegroup] = ACTIONS(3288),
    [anon_sym_associatedtype] = ACTIONS(3288),
    [anon_sym_AT] = ACTIONS(3290),
    [anon_sym_override] = ACTIONS(3288),
    [anon_sym_convenience] = ACTIONS(3288),
    [anon_sym_required] = ACTIONS(3288),
    [anon_sym_nonisolated] = ACTIONS(3288),
    [anon_sym_public] = ACTIONS(3288),
    [anon_sym_private] = ACTIONS(3288),
    [anon_sym_internal] = ACTIONS(3288),
    [anon_sym_fileprivate] = ACTIONS(3288),
    [anon_sym_open] = ACTIONS(3288),
    [anon_sym_mutating] = ACTIONS(3288),
    [anon_sym_nonmutating] = ACTIONS(3288),
    [anon_sym_static] = ACTIONS(3288),
    [anon_sym_dynamic] = ACTIONS(3288),
    [anon_sym_optional] = ACTIONS(3288),
    [anon_sym_distributed] = ACTIONS(3288),
    [anon_sym_final] = ACTIONS(3288),
    [anon_sym_inout] = ACTIONS(3288),
    [anon_sym_ATescaping] = ACTIONS(3288),
    [anon_sym_ATautoclosure] = ACTIONS(3288),
    [anon_sym_weak] = ACTIONS(3288),
    [anon_sym_unowned] = ACTIONS(3290),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3288),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3288),
    [anon_sym_borrowing] = ACTIONS(3288),
    [anon_sym_consuming] = ACTIONS(3288),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3288),
    [sym__conjunction_operator_custom] = ACTIONS(3288),
    [sym__disjunction_operator_custom] = ACTIONS(3288),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3288),
    [sym__eq_custom] = ACTIONS(3288),
    [sym__eq_eq_custom] = ACTIONS(3288),
    [sym__plus_then_ws] = ACTIONS(3288),
    [sym__minus_then_ws] = ACTIONS(3288),
    [sym__bang_custom] = ACTIONS(3288),
    [sym__as_custom] = ACTIONS(3288),
    [sym__as_quest_custom] = ACTIONS(3288),
    [sym__as_bang_custom] = ACTIONS(3288),
    [sym__custom_operator] = ACTIONS(3288),
  },
  [803] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(3292),
    [anon_sym_async] = ACTIONS(3292),
    [anon_sym_lazy] = ACTIONS(3292),
    [anon_sym_package] = ACTIONS(3292),
    [anon_sym_RPAREN] = ACTIONS(3292),
    [anon_sym_COMMA] = ACTIONS(3292),
    [anon_sym_COLON] = ACTIONS(3292),
    [anon_sym_LPAREN] = ACTIONS(3292),
    [anon_sym_LBRACK] = ACTIONS(3292),
    [anon_sym_RBRACK] = ACTIONS(3292),
    [anon_sym_QMARK] = ACTIONS(3294),
    [anon_sym_QMARK2] = ACTIONS(3292),
    [anon_sym_AMP] = ACTIONS(3292),
    [aux_sym_custom_operator_token1] = ACTIONS(3292),
    [anon_sym_LT] = ACTIONS(3294),
    [anon_sym_GT] = ACTIONS(3294),
    [anon_sym_LBRACE] = ACTIONS(3292),
    [anon_sym_CARET_LBRACE] = ACTIONS(3292),
    [anon_sym_RBRACE] = ACTIONS(3292),
    [anon_sym_case] = ACTIONS(3292),
    [anon_sym_PLUS_EQ] = ACTIONS(3292),
    [anon_sym_DASH_EQ] = ACTIONS(3292),
    [anon_sym_STAR_EQ] = ACTIONS(3292),
    [anon_sym_SLASH_EQ] = ACTIONS(3292),
    [anon_sym_PERCENT_EQ] = ACTIONS(3292),
    [anon_sym_BANG_EQ] = ACTIONS(3294),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3292),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3292),
    [anon_sym_LT_EQ] = ACTIONS(3292),
    [anon_sym_GT_EQ] = ACTIONS(3292),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3292),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3292),
    [anon_sym_is] = ACTIONS(3292),
    [anon_sym_PLUS] = ACTIONS(3294),
    [anon_sym_DASH] = ACTIONS(3294),
    [anon_sym_STAR] = ACTIONS(3294),
    [anon_sym_SLASH] = ACTIONS(3294),
    [anon_sym_PERCENT] = ACTIONS(3294),
    [anon_sym_PLUS_PLUS] = ACTIONS(3292),
    [anon_sym_DASH_DASH] = ACTIONS(3292),
    [anon_sym_PIPE] = ACTIONS(3292),
    [anon_sym_CARET] = ACTIONS(3294),
    [anon_sym_LT_LT] = ACTIONS(3292),
    [anon_sym_GT_GT] = ACTIONS(3292),
    [anon_sym_import] = ACTIONS(3292),
    [anon_sym_typealias] = ACTIONS(3292),
    [anon_sym_struct] = ACTIONS(3292),
    [anon_sym_class] = ACTIONS(3292),
    [anon_sym_enum] = ACTIONS(3292),
    [anon_sym_protocol] = ACTIONS(3292),
    [anon_sym_let] = ACTIONS(3292),
    [anon_sym_var] = ACTIONS(3292),
    [anon_sym_func] = ACTIONS(3292),
    [anon_sym_extension] = ACTIONS(3292),
    [anon_sym_indirect] = ACTIONS(3292),
    [anon_sym_BANG2] = ACTIONS(3294),
    [anon_sym_SEMI] = ACTIONS(3292),
    [anon_sym_init] = ACTIONS(3292),
    [anon_sym_deinit] = ACTIONS(3292),
    [anon_sym_subscript] = ACTIONS(3292),
    [anon_sym_prefix] = ACTIONS(3292),
    [anon_sym_infix] = ACTIONS(3292),
    [anon_sym_postfix] = ACTIONS(3292),
    [anon_sym_precedencegroup] = ACTIONS(3292),
    [anon_sym_associatedtype] = ACTIONS(3292),
    [anon_sym_AT] = ACTIONS(3294),
    [anon_sym_override] = ACTIONS(3292),
    [anon_sym_convenience] = ACTIONS(3292),
    [anon_sym_required] = ACTIONS(3292),
    [anon_sym_nonisolated] = ACTIONS(3292),
    [anon_sym_public] = ACTIONS(3292),
    [anon_sym_private] = ACTIONS(3292),
    [anon_sym_internal] = ACTIONS(3292),
    [anon_sym_fileprivate] = ACTIONS(3292),
    [anon_sym_open] = ACTIONS(3292),
    [anon_sym_mutating] = ACTIONS(3292),
    [anon_sym_nonmutating] = ACTIONS(3292),
    [anon_sym_static] = ACTIONS(3292),
    [anon_sym_dynamic] = ACTIONS(3292),
    [anon_sym_optional] = ACTIONS(3292),
    [anon_sym_distributed] = ACTIONS(3292),
    [anon_sym_final] = ACTIONS(3292),
    [anon_sym_inout] = ACTIONS(3292),
    [anon_sym_ATescaping] = ACTIONS(3292),
    [anon_sym_ATautoclosure] = ACTIONS(3292),
    [anon_sym_weak] = ACTIONS(3292),
    [anon_sym_unowned] = ACTIONS(3294),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3292),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3292),
    [anon_sym_borrowing] = ACTIONS(3292),
    [anon_sym_consuming] = ACTIONS(3292),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3292),
    [sym__conjunction_operator_custom] = ACTIONS(3292),
    [sym__disjunction_operator_custom] = ACTIONS(3292),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3292),
    [sym__eq_custom] = ACTIONS(3292),
    [sym__eq_eq_custom] = ACTIONS(3292),
    [sym__plus_then_ws] = ACTIONS(3292),
    [sym__minus_then_ws] = ACTIONS(3292),
    [sym__bang_custom] = ACTIONS(3292),
    [sym__as_custom] = ACTIONS(3292),
    [sym__as_quest_custom] = ACTIONS(3292),
    [sym__as_bang_custom] = ACTIONS(3292),
    [sym__custom_operator] = ACTIONS(3292),
  },
  [804] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(3296),
    [anon_sym_async] = ACTIONS(3296),
    [anon_sym_lazy] = ACTIONS(3296),
    [anon_sym_package] = ACTIONS(3296),
    [anon_sym_RPAREN] = ACTIONS(3296),
    [anon_sym_COMMA] = ACTIONS(3296),
    [anon_sym_COLON] = ACTIONS(3296),
    [anon_sym_LPAREN] = ACTIONS(3296),
    [anon_sym_LBRACK] = ACTIONS(3296),
    [anon_sym_RBRACK] = ACTIONS(3296),
    [anon_sym_QMARK] = ACTIONS(3298),
    [anon_sym_QMARK2] = ACTIONS(3296),
    [anon_sym_AMP] = ACTIONS(3296),
    [aux_sym_custom_operator_token1] = ACTIONS(3296),
    [anon_sym_LT] = ACTIONS(3298),
    [anon_sym_GT] = ACTIONS(3298),
    [anon_sym_LBRACE] = ACTIONS(3296),
    [anon_sym_CARET_LBRACE] = ACTIONS(3296),
    [anon_sym_RBRACE] = ACTIONS(3296),
    [anon_sym_case] = ACTIONS(3296),
    [anon_sym_PLUS_EQ] = ACTIONS(3296),
    [anon_sym_DASH_EQ] = ACTIONS(3296),
    [anon_sym_STAR_EQ] = ACTIONS(3296),
    [anon_sym_SLASH_EQ] = ACTIONS(3296),
    [anon_sym_PERCENT_EQ] = ACTIONS(3296),
    [anon_sym_BANG_EQ] = ACTIONS(3298),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3296),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3296),
    [anon_sym_LT_EQ] = ACTIONS(3296),
    [anon_sym_GT_EQ] = ACTIONS(3296),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3296),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3296),
    [anon_sym_is] = ACTIONS(3296),
    [anon_sym_PLUS] = ACTIONS(3298),
    [anon_sym_DASH] = ACTIONS(3298),
    [anon_sym_STAR] = ACTIONS(3298),
    [anon_sym_SLASH] = ACTIONS(3298),
    [anon_sym_PERCENT] = ACTIONS(3298),
    [anon_sym_PLUS_PLUS] = ACTIONS(3296),
    [anon_sym_DASH_DASH] = ACTIONS(3296),
    [anon_sym_PIPE] = ACTIONS(3296),
    [anon_sym_CARET] = ACTIONS(3298),
    [anon_sym_LT_LT] = ACTIONS(3296),
    [anon_sym_GT_GT] = ACTIONS(3296),
    [anon_sym_import] = ACTIONS(3296),
    [anon_sym_typealias] = ACTIONS(3296),
    [anon_sym_struct] = ACTIONS(3296),
    [anon_sym_class] = ACTIONS(3296),
    [anon_sym_enum] = ACTIONS(3296),
    [anon_sym_protocol] = ACTIONS(3296),
    [anon_sym_let] = ACTIONS(3296),
    [anon_sym_var] = ACTIONS(3296),
    [anon_sym_func] = ACTIONS(3296),
    [anon_sym_extension] = ACTIONS(3296),
    [anon_sym_indirect] = ACTIONS(3296),
    [anon_sym_BANG2] = ACTIONS(3298),
    [anon_sym_SEMI] = ACTIONS(3296),
    [anon_sym_init] = ACTIONS(3296),
    [anon_sym_deinit] = ACTIONS(3296),
    [anon_sym_subscript] = ACTIONS(3296),
    [anon_sym_prefix] = ACTIONS(3296),
    [anon_sym_infix] = ACTIONS(3296),
    [anon_sym_postfix] = ACTIONS(3296),
    [anon_sym_precedencegroup] = ACTIONS(3296),
    [anon_sym_associatedtype] = ACTIONS(3296),
    [anon_sym_AT] = ACTIONS(3298),
    [anon_sym_override] = ACTIONS(3296),
    [anon_sym_convenience] = ACTIONS(3296),
    [anon_sym_required] = ACTIONS(3296),
    [anon_sym_nonisolated] = ACTIONS(3296),
    [anon_sym_public] = ACTIONS(3296),
    [anon_sym_private] = ACTIONS(3296),
    [anon_sym_internal] = ACTIONS(3296),
    [anon_sym_fileprivate] = ACTIONS(3296),
    [anon_sym_open] = ACTIONS(3296),
    [anon_sym_mutating] = ACTIONS(3296),
    [anon_sym_nonmutating] = ACTIONS(3296),
    [anon_sym_static] = ACTIONS(3296),
    [anon_sym_dynamic] = ACTIONS(3296),
    [anon_sym_optional] = ACTIONS(3296),
    [anon_sym_distributed] = ACTIONS(3296),
    [anon_sym_final] = ACTIONS(3296),
    [anon_sym_inout] = ACTIONS(3296),
    [anon_sym_ATescaping] = ACTIONS(3296),
    [anon_sym_ATautoclosure] = ACTIONS(3296),
    [anon_sym_weak] = ACTIONS(3296),
    [anon_sym_unowned] = ACTIONS(3298),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3296),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3296),
    [anon_sym_borrowing] = ACTIONS(3296),
    [anon_sym_consuming] = ACTIONS(3296),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3296),
    [sym__conjunction_operator_custom] = ACTIONS(3296),
    [sym__disjunction_operator_custom] = ACTIONS(3296),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3296),
    [sym__eq_custom] = ACTIONS(3296),
    [sym__eq_eq_custom] = ACTIONS(3296),
    [sym__plus_then_ws] = ACTIONS(3296),
    [sym__minus_then_ws] = ACTIONS(3296),
    [sym__bang_custom] = ACTIONS(3296),
    [sym__as_custom] = ACTIONS(3296),
    [sym__as_quest_custom] = ACTIONS(3296),
    [sym__as_bang_custom] = ACTIONS(3296),
    [sym__custom_operator] = ACTIONS(3296),
  },
  [805] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(3300),
    [anon_sym_async] = ACTIONS(3300),
    [anon_sym_lazy] = ACTIONS(3300),
    [anon_sym_package] = ACTIONS(3300),
    [anon_sym_RPAREN] = ACTIONS(3300),
    [anon_sym_COMMA] = ACTIONS(3300),
    [anon_sym_COLON] = ACTIONS(3300),
    [anon_sym_LPAREN] = ACTIONS(3300),
    [anon_sym_LBRACK] = ACTIONS(3300),
    [anon_sym_RBRACK] = ACTIONS(3300),
    [anon_sym_QMARK] = ACTIONS(3302),
    [anon_sym_QMARK2] = ACTIONS(3300),
    [anon_sym_AMP] = ACTIONS(3300),
    [aux_sym_custom_operator_token1] = ACTIONS(3300),
    [anon_sym_LT] = ACTIONS(3302),
    [anon_sym_GT] = ACTIONS(3302),
    [anon_sym_LBRACE] = ACTIONS(3300),
    [anon_sym_CARET_LBRACE] = ACTIONS(3300),
    [anon_sym_RBRACE] = ACTIONS(3300),
    [anon_sym_case] = ACTIONS(3300),
    [anon_sym_PLUS_EQ] = ACTIONS(3300),
    [anon_sym_DASH_EQ] = ACTIONS(3300),
    [anon_sym_STAR_EQ] = ACTIONS(3300),
    [anon_sym_SLASH_EQ] = ACTIONS(3300),
    [anon_sym_PERCENT_EQ] = ACTIONS(3300),
    [anon_sym_BANG_EQ] = ACTIONS(3302),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3300),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3300),
    [anon_sym_LT_EQ] = ACTIONS(3300),
    [anon_sym_GT_EQ] = ACTIONS(3300),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3300),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3300),
    [anon_sym_is] = ACTIONS(3300),
    [anon_sym_PLUS] = ACTIONS(3302),
    [anon_sym_DASH] = ACTIONS(3302),
    [anon_sym_STAR] = ACTIONS(3302),
    [anon_sym_SLASH] = ACTIONS(3302),
    [anon_sym_PERCENT] = ACTIONS(3302),
    [anon_sym_PLUS_PLUS] = ACTIONS(3300),
    [anon_sym_DASH_DASH] = ACTIONS(3300),
    [anon_sym_PIPE] = ACTIONS(3300),
    [anon_sym_CARET] = ACTIONS(3302),
    [anon_sym_LT_LT] = ACTIONS(3300),
    [anon_sym_GT_GT] = ACTIONS(3300),
    [anon_sym_import] = ACTIONS(3300),
    [anon_sym_typealias] = ACTIONS(3300),
    [anon_sym_struct] = ACTIONS(3300),
    [anon_sym_class] = ACTIONS(3300),
    [anon_sym_enum] = ACTIONS(3300),
    [anon_sym_protocol] = ACTIONS(3300),
    [anon_sym_let] = ACTIONS(3300),
    [anon_sym_var] = ACTIONS(3300),
    [anon_sym_func] = ACTIONS(3300),
    [anon_sym_extension] = ACTIONS(3300),
    [anon_sym_indirect] = ACTIONS(3300),
    [anon_sym_BANG2] = ACTIONS(3302),
    [anon_sym_SEMI] = ACTIONS(3300),
    [anon_sym_init] = ACTIONS(3300),
    [anon_sym_deinit] = ACTIONS(3300),
    [anon_sym_subscript] = ACTIONS(3300),
    [anon_sym_prefix] = ACTIONS(3300),
    [anon_sym_infix] = ACTIONS(3300),
    [anon_sym_postfix] = ACTIONS(3300),
    [anon_sym_precedencegroup] = ACTIONS(3300),
    [anon_sym_associatedtype] = ACTIONS(3300),
    [anon_sym_AT] = ACTIONS(3302),
    [anon_sym_override] = ACTIONS(3300),
    [anon_sym_convenience] = ACTIONS(3300),
    [anon_sym_required] = ACTIONS(3300),
    [anon_sym_nonisolated] = ACTIONS(3300),
    [anon_sym_public] = ACTIONS(3300),
    [anon_sym_private] = ACTIONS(3300),
    [anon_sym_internal] = ACTIONS(3300),
    [anon_sym_fileprivate] = ACTIONS(3300),
    [anon_sym_open] = ACTIONS(3300),
    [anon_sym_mutating] = ACTIONS(3300),
    [anon_sym_nonmutating] = ACTIONS(3300),
    [anon_sym_static] = ACTIONS(3300),
    [anon_sym_dynamic] = ACTIONS(3300),
    [anon_sym_optional] = ACTIONS(3300),
    [anon_sym_distributed] = ACTIONS(3300),
    [anon_sym_final] = ACTIONS(3300),
    [anon_sym_inout] = ACTIONS(3300),
    [anon_sym_ATescaping] = ACTIONS(3300),
    [anon_sym_ATautoclosure] = ACTIONS(3300),
    [anon_sym_weak] = ACTIONS(3300),
    [anon_sym_unowned] = ACTIONS(3302),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3300),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3300),
    [anon_sym_borrowing] = ACTIONS(3300),
    [anon_sym_consuming] = ACTIONS(3300),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3300),
    [sym__conjunction_operator_custom] = ACTIONS(3300),
    [sym__disjunction_operator_custom] = ACTIONS(3300),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3300),
    [sym__eq_custom] = ACTIONS(3300),
    [sym__eq_eq_custom] = ACTIONS(3300),
    [sym__plus_then_ws] = ACTIONS(3300),
    [sym__minus_then_ws] = ACTIONS(3300),
    [sym__bang_custom] = ACTIONS(3300),
    [sym__as_custom] = ACTIONS(3300),
    [sym__as_quest_custom] = ACTIONS(3300),
    [sym__as_bang_custom] = ACTIONS(3300),
    [sym__custom_operator] = ACTIONS(3300),
  },
  [806] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(3304),
    [anon_sym_async] = ACTIONS(3304),
    [anon_sym_lazy] = ACTIONS(3304),
    [anon_sym_package] = ACTIONS(3304),
    [anon_sym_RPAREN] = ACTIONS(3304),
    [anon_sym_COMMA] = ACTIONS(3304),
    [anon_sym_COLON] = ACTIONS(3304),
    [anon_sym_LPAREN] = ACTIONS(3304),
    [anon_sym_LBRACK] = ACTIONS(3304),
    [anon_sym_RBRACK] = ACTIONS(3304),
    [anon_sym_QMARK] = ACTIONS(3306),
    [anon_sym_QMARK2] = ACTIONS(3304),
    [anon_sym_AMP] = ACTIONS(3304),
    [aux_sym_custom_operator_token1] = ACTIONS(3304),
    [anon_sym_LT] = ACTIONS(3306),
    [anon_sym_GT] = ACTIONS(3306),
    [anon_sym_LBRACE] = ACTIONS(3304),
    [anon_sym_CARET_LBRACE] = ACTIONS(3304),
    [anon_sym_RBRACE] = ACTIONS(3304),
    [anon_sym_case] = ACTIONS(3304),
    [anon_sym_PLUS_EQ] = ACTIONS(3304),
    [anon_sym_DASH_EQ] = ACTIONS(3304),
    [anon_sym_STAR_EQ] = ACTIONS(3304),
    [anon_sym_SLASH_EQ] = ACTIONS(3304),
    [anon_sym_PERCENT_EQ] = ACTIONS(3304),
    [anon_sym_BANG_EQ] = ACTIONS(3306),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3304),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3304),
    [anon_sym_LT_EQ] = ACTIONS(3304),
    [anon_sym_GT_EQ] = ACTIONS(3304),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3304),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3304),
    [anon_sym_is] = ACTIONS(3304),
    [anon_sym_PLUS] = ACTIONS(3306),
    [anon_sym_DASH] = ACTIONS(3306),
    [anon_sym_STAR] = ACTIONS(3306),
    [anon_sym_SLASH] = ACTIONS(3306),
    [anon_sym_PERCENT] = ACTIONS(3306),
    [anon_sym_PLUS_PLUS] = ACTIONS(3304),
    [anon_sym_DASH_DASH] = ACTIONS(3304),
    [anon_sym_PIPE] = ACTIONS(3304),
    [anon_sym_CARET] = ACTIONS(3306),
    [anon_sym_LT_LT] = ACTIONS(3304),
    [anon_sym_GT_GT] = ACTIONS(3304),
    [anon_sym_import] = ACTIONS(3304),
    [anon_sym_typealias] = ACTIONS(3304),
    [anon_sym_struct] = ACTIONS(3304),
    [anon_sym_class] = ACTIONS(3304),
    [anon_sym_enum] = ACTIONS(3304),
    [anon_sym_protocol] = ACTIONS(3304),
    [anon_sym_let] = ACTIONS(3304),
    [anon_sym_var] = ACTIONS(3304),
    [anon_sym_func] = ACTIONS(3304),
    [anon_sym_extension] = ACTIONS(3304),
    [anon_sym_indirect] = ACTIONS(3304),
    [anon_sym_BANG2] = ACTIONS(3306),
    [anon_sym_SEMI] = ACTIONS(3304),
    [anon_sym_init] = ACTIONS(3304),
    [anon_sym_deinit] = ACTIONS(3304),
    [anon_sym_subscript] = ACTIONS(3304),
    [anon_sym_prefix] = ACTIONS(3304),
    [anon_sym_infix] = ACTIONS(3304),
    [anon_sym_postfix] = ACTIONS(3304),
    [anon_sym_precedencegroup] = ACTIONS(3304),
    [anon_sym_associatedtype] = ACTIONS(3304),
    [anon_sym_AT] = ACTIONS(3306),
    [anon_sym_override] = ACTIONS(3304),
    [anon_sym_convenience] = ACTIONS(3304),
    [anon_sym_required] = ACTIONS(3304),
    [anon_sym_nonisolated] = ACTIONS(3304),
    [anon_sym_public] = ACTIONS(3304),
    [anon_sym_private] = ACTIONS(3304),
    [anon_sym_internal] = ACTIONS(3304),
    [anon_sym_fileprivate] = ACTIONS(3304),
    [anon_sym_open] = ACTIONS(3304),
    [anon_sym_mutating] = ACTIONS(3304),
    [anon_sym_nonmutating] = ACTIONS(3304),
    [anon_sym_static] = ACTIONS(3304),
    [anon_sym_dynamic] = ACTIONS(3304),
    [anon_sym_optional] = ACTIONS(3304),
    [anon_sym_distributed] = ACTIONS(3304),
    [anon_sym_final] = ACTIONS(3304),
    [anon_sym_inout] = ACTIONS(3304),
    [anon_sym_ATescaping] = ACTIONS(3304),
    [anon_sym_ATautoclosure] = ACTIONS(3304),
    [anon_sym_weak] = ACTIONS(3304),
    [anon_sym_unowned] = ACTIONS(3306),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3304),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3304),
    [anon_sym_borrowing] = ACTIONS(3304),
    [anon_sym_consuming] = ACTIONS(3304),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3304),
    [sym__conjunction_operator_custom] = ACTIONS(3304),
    [sym__disjunction_operator_custom] = ACTIONS(3304),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3304),
    [sym__eq_custom] = ACTIONS(3304),
    [sym__eq_eq_custom] = ACTIONS(3304),
    [sym__plus_then_ws] = ACTIONS(3304),
    [sym__minus_then_ws] = ACTIONS(3304),
    [sym__bang_custom] = ACTIONS(3304),
    [sym__as_custom] = ACTIONS(3304),
    [sym__as_quest_custom] = ACTIONS(3304),
    [sym__as_bang_custom] = ACTIONS(3304),
    [sym__custom_operator] = ACTIONS(3304),
  },
  [807] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(3308),
    [anon_sym_async] = ACTIONS(3308),
    [anon_sym_lazy] = ACTIONS(3308),
    [anon_sym_package] = ACTIONS(3308),
    [anon_sym_RPAREN] = ACTIONS(3308),
    [anon_sym_COMMA] = ACTIONS(3308),
    [anon_sym_COLON] = ACTIONS(3308),
    [anon_sym_LPAREN] = ACTIONS(3308),
    [anon_sym_LBRACK] = ACTIONS(3308),
    [anon_sym_RBRACK] = ACTIONS(3308),
    [anon_sym_QMARK] = ACTIONS(3310),
    [anon_sym_QMARK2] = ACTIONS(3308),
    [anon_sym_AMP] = ACTIONS(3308),
    [aux_sym_custom_operator_token1] = ACTIONS(3308),
    [anon_sym_LT] = ACTIONS(3310),
    [anon_sym_GT] = ACTIONS(3310),
    [anon_sym_LBRACE] = ACTIONS(3308),
    [anon_sym_CARET_LBRACE] = ACTIONS(3308),
    [anon_sym_RBRACE] = ACTIONS(3308),
    [anon_sym_case] = ACTIONS(3308),
    [anon_sym_PLUS_EQ] = ACTIONS(3308),
    [anon_sym_DASH_EQ] = ACTIONS(3308),
    [anon_sym_STAR_EQ] = ACTIONS(3308),
    [anon_sym_SLASH_EQ] = ACTIONS(3308),
    [anon_sym_PERCENT_EQ] = ACTIONS(3308),
    [anon_sym_BANG_EQ] = ACTIONS(3310),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3308),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3308),
    [anon_sym_LT_EQ] = ACTIONS(3308),
    [anon_sym_GT_EQ] = ACTIONS(3308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3308),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3308),
    [anon_sym_is] = ACTIONS(3308),
    [anon_sym_PLUS] = ACTIONS(3310),
    [anon_sym_DASH] = ACTIONS(3310),
    [anon_sym_STAR] = ACTIONS(3310),
    [anon_sym_SLASH] = ACTIONS(3310),
    [anon_sym_PERCENT] = ACTIONS(3310),
    [anon_sym_PLUS_PLUS] = ACTIONS(3308),
    [anon_sym_DASH_DASH] = ACTIONS(3308),
    [anon_sym_PIPE] = ACTIONS(3308),
    [anon_sym_CARET] = ACTIONS(3310),
    [anon_sym_LT_LT] = ACTIONS(3308),
    [anon_sym_GT_GT] = ACTIONS(3308),
    [anon_sym_import] = ACTIONS(3308),
    [anon_sym_typealias] = ACTIONS(3308),
    [anon_sym_struct] = ACTIONS(3308),
    [anon_sym_class] = ACTIONS(3308),
    [anon_sym_enum] = ACTIONS(3308),
    [anon_sym_protocol] = ACTIONS(3308),
    [anon_sym_let] = ACTIONS(3308),
    [anon_sym_var] = ACTIONS(3308),
    [anon_sym_func] = ACTIONS(3308),
    [anon_sym_extension] = ACTIONS(3308),
    [anon_sym_indirect] = ACTIONS(3308),
    [anon_sym_BANG2] = ACTIONS(3310),
    [anon_sym_SEMI] = ACTIONS(3308),
    [anon_sym_init] = ACTIONS(3308),
    [anon_sym_deinit] = ACTIONS(3308),
    [anon_sym_subscript] = ACTIONS(3308),
    [anon_sym_prefix] = ACTIONS(3308),
    [anon_sym_infix] = ACTIONS(3308),
    [anon_sym_postfix] = ACTIONS(3308),
    [anon_sym_precedencegroup] = ACTIONS(3308),
    [anon_sym_associatedtype] = ACTIONS(3308),
    [anon_sym_AT] = ACTIONS(3310),
    [anon_sym_override] = ACTIONS(3308),
    [anon_sym_convenience] = ACTIONS(3308),
    [anon_sym_required] = ACTIONS(3308),
    [anon_sym_nonisolated] = ACTIONS(3308),
    [anon_sym_public] = ACTIONS(3308),
    [anon_sym_private] = ACTIONS(3308),
    [anon_sym_internal] = ACTIONS(3308),
    [anon_sym_fileprivate] = ACTIONS(3308),
    [anon_sym_open] = ACTIONS(3308),
    [anon_sym_mutating] = ACTIONS(3308),
    [anon_sym_nonmutating] = ACTIONS(3308),
    [anon_sym_static] = ACTIONS(3308),
    [anon_sym_dynamic] = ACTIONS(3308),
    [anon_sym_optional] = ACTIONS(3308),
    [anon_sym_distributed] = ACTIONS(3308),
    [anon_sym_final] = ACTIONS(3308),
    [anon_sym_inout] = ACTIONS(3308),
    [anon_sym_ATescaping] = ACTIONS(3308),
    [anon_sym_ATautoclosure] = ACTIONS(3308),
    [anon_sym_weak] = ACTIONS(3308),
    [anon_sym_unowned] = ACTIONS(3310),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3308),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3308),
    [anon_sym_borrowing] = ACTIONS(3308),
    [anon_sym_consuming] = ACTIONS(3308),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3308),
    [sym__conjunction_operator_custom] = ACTIONS(3308),
    [sym__disjunction_operator_custom] = ACTIONS(3308),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3308),
    [sym__eq_custom] = ACTIONS(3308),
    [sym__eq_eq_custom] = ACTIONS(3308),
    [sym__plus_then_ws] = ACTIONS(3308),
    [sym__minus_then_ws] = ACTIONS(3308),
    [sym__bang_custom] = ACTIONS(3308),
    [sym__as_custom] = ACTIONS(3308),
    [sym__as_quest_custom] = ACTIONS(3308),
    [sym__as_bang_custom] = ACTIONS(3308),
    [sym__custom_operator] = ACTIONS(3308),
  },
  [808] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(3312),
    [anon_sym_async] = ACTIONS(3312),
    [anon_sym_lazy] = ACTIONS(3312),
    [anon_sym_package] = ACTIONS(3312),
    [anon_sym_RPAREN] = ACTIONS(3312),
    [anon_sym_COMMA] = ACTIONS(3312),
    [anon_sym_COLON] = ACTIONS(3312),
    [anon_sym_LPAREN] = ACTIONS(3312),
    [anon_sym_LBRACK] = ACTIONS(3312),
    [anon_sym_RBRACK] = ACTIONS(3312),
    [anon_sym_QMARK] = ACTIONS(3314),
    [anon_sym_QMARK2] = ACTIONS(3312),
    [anon_sym_AMP] = ACTIONS(3312),
    [aux_sym_custom_operator_token1] = ACTIONS(3312),
    [anon_sym_LT] = ACTIONS(3314),
    [anon_sym_GT] = ACTIONS(3314),
    [anon_sym_LBRACE] = ACTIONS(3312),
    [anon_sym_CARET_LBRACE] = ACTIONS(3312),
    [anon_sym_RBRACE] = ACTIONS(3312),
    [anon_sym_case] = ACTIONS(3312),
    [anon_sym_PLUS_EQ] = ACTIONS(3312),
    [anon_sym_DASH_EQ] = ACTIONS(3312),
    [anon_sym_STAR_EQ] = ACTIONS(3312),
    [anon_sym_SLASH_EQ] = ACTIONS(3312),
    [anon_sym_PERCENT_EQ] = ACTIONS(3312),
    [anon_sym_BANG_EQ] = ACTIONS(3314),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3312),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3312),
    [anon_sym_LT_EQ] = ACTIONS(3312),
    [anon_sym_GT_EQ] = ACTIONS(3312),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3312),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3312),
    [anon_sym_is] = ACTIONS(3312),
    [anon_sym_PLUS] = ACTIONS(3314),
    [anon_sym_DASH] = ACTIONS(3314),
    [anon_sym_STAR] = ACTIONS(3314),
    [anon_sym_SLASH] = ACTIONS(3314),
    [anon_sym_PERCENT] = ACTIONS(3314),
    [anon_sym_PLUS_PLUS] = ACTIONS(3312),
    [anon_sym_DASH_DASH] = ACTIONS(3312),
    [anon_sym_PIPE] = ACTIONS(3312),
    [anon_sym_CARET] = ACTIONS(3314),
    [anon_sym_LT_LT] = ACTIONS(3312),
    [anon_sym_GT_GT] = ACTIONS(3312),
    [anon_sym_import] = ACTIONS(3312),
    [anon_sym_typealias] = ACTIONS(3312),
    [anon_sym_struct] = ACTIONS(3312),
    [anon_sym_class] = ACTIONS(3312),
    [anon_sym_enum] = ACTIONS(3312),
    [anon_sym_protocol] = ACTIONS(3312),
    [anon_sym_let] = ACTIONS(3312),
    [anon_sym_var] = ACTIONS(3312),
    [anon_sym_func] = ACTIONS(3312),
    [anon_sym_extension] = ACTIONS(3312),
    [anon_sym_indirect] = ACTIONS(3312),
    [anon_sym_BANG2] = ACTIONS(3314),
    [anon_sym_SEMI] = ACTIONS(3312),
    [anon_sym_init] = ACTIONS(3312),
    [anon_sym_deinit] = ACTIONS(3312),
    [anon_sym_subscript] = ACTIONS(3312),
    [anon_sym_prefix] = ACTIONS(3312),
    [anon_sym_infix] = ACTIONS(3312),
    [anon_sym_postfix] = ACTIONS(3312),
    [anon_sym_precedencegroup] = ACTIONS(3312),
    [anon_sym_associatedtype] = ACTIONS(3312),
    [anon_sym_AT] = ACTIONS(3314),
    [anon_sym_override] = ACTIONS(3312),
    [anon_sym_convenience] = ACTIONS(3312),
    [anon_sym_required] = ACTIONS(3312),
    [anon_sym_nonisolated] = ACTIONS(3312),
    [anon_sym_public] = ACTIONS(3312),
    [anon_sym_private] = ACTIONS(3312),
    [anon_sym_internal] = ACTIONS(3312),
    [anon_sym_fileprivate] = ACTIONS(3312),
    [anon_sym_open] = ACTIONS(3312),
    [anon_sym_mutating] = ACTIONS(3312),
    [anon_sym_nonmutating] = ACTIONS(3312),
    [anon_sym_static] = ACTIONS(3312),
    [anon_sym_dynamic] = ACTIONS(3312),
    [anon_sym_optional] = ACTIONS(3312),
    [anon_sym_distributed] = ACTIONS(3312),
    [anon_sym_final] = ACTIONS(3312),
    [anon_sym_inout] = ACTIONS(3312),
    [anon_sym_ATescaping] = ACTIONS(3312),
    [anon_sym_ATautoclosure] = ACTIONS(3312),
    [anon_sym_weak] = ACTIONS(3312),
    [anon_sym_unowned] = ACTIONS(3314),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3312),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3312),
    [anon_sym_borrowing] = ACTIONS(3312),
    [anon_sym_consuming] = ACTIONS(3312),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3312),
    [sym__conjunction_operator_custom] = ACTIONS(3312),
    [sym__disjunction_operator_custom] = ACTIONS(3312),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3312),
    [sym__eq_custom] = ACTIONS(3312),
    [sym__eq_eq_custom] = ACTIONS(3312),
    [sym__plus_then_ws] = ACTIONS(3312),
    [sym__minus_then_ws] = ACTIONS(3312),
    [sym__bang_custom] = ACTIONS(3312),
    [sym__as_custom] = ACTIONS(3312),
    [sym__as_quest_custom] = ACTIONS(3312),
    [sym__as_bang_custom] = ACTIONS(3312),
    [sym__custom_operator] = ACTIONS(3312),
  },
  [809] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(3316),
    [anon_sym_async] = ACTIONS(3316),
    [anon_sym_lazy] = ACTIONS(3316),
    [anon_sym_package] = ACTIONS(3316),
    [anon_sym_RPAREN] = ACTIONS(3316),
    [anon_sym_COMMA] = ACTIONS(3316),
    [anon_sym_COLON] = ACTIONS(3316),
    [anon_sym_LPAREN] = ACTIONS(3316),
    [anon_sym_LBRACK] = ACTIONS(3316),
    [anon_sym_RBRACK] = ACTIONS(3316),
    [anon_sym_QMARK] = ACTIONS(3318),
    [anon_sym_QMARK2] = ACTIONS(3316),
    [anon_sym_AMP] = ACTIONS(3316),
    [aux_sym_custom_operator_token1] = ACTIONS(3316),
    [anon_sym_LT] = ACTIONS(3318),
    [anon_sym_GT] = ACTIONS(3318),
    [anon_sym_LBRACE] = ACTIONS(3316),
    [anon_sym_CARET_LBRACE] = ACTIONS(3316),
    [anon_sym_RBRACE] = ACTIONS(3316),
    [anon_sym_case] = ACTIONS(3316),
    [anon_sym_PLUS_EQ] = ACTIONS(3316),
    [anon_sym_DASH_EQ] = ACTIONS(3316),
    [anon_sym_STAR_EQ] = ACTIONS(3316),
    [anon_sym_SLASH_EQ] = ACTIONS(3316),
    [anon_sym_PERCENT_EQ] = ACTIONS(3316),
    [anon_sym_BANG_EQ] = ACTIONS(3318),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3316),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3316),
    [anon_sym_LT_EQ] = ACTIONS(3316),
    [anon_sym_GT_EQ] = ACTIONS(3316),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3316),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3316),
    [anon_sym_is] = ACTIONS(3316),
    [anon_sym_PLUS] = ACTIONS(3318),
    [anon_sym_DASH] = ACTIONS(3318),
    [anon_sym_STAR] = ACTIONS(3318),
    [anon_sym_SLASH] = ACTIONS(3318),
    [anon_sym_PERCENT] = ACTIONS(3318),
    [anon_sym_PLUS_PLUS] = ACTIONS(3316),
    [anon_sym_DASH_DASH] = ACTIONS(3316),
    [anon_sym_PIPE] = ACTIONS(3316),
    [anon_sym_CARET] = ACTIONS(3318),
    [anon_sym_LT_LT] = ACTIONS(3316),
    [anon_sym_GT_GT] = ACTIONS(3316),
    [anon_sym_import] = ACTIONS(3316),
    [anon_sym_typealias] = ACTIONS(3316),
    [anon_sym_struct] = ACTIONS(3316),
    [anon_sym_class] = ACTIONS(3316),
    [anon_sym_enum] = ACTIONS(3316),
    [anon_sym_protocol] = ACTIONS(3316),
    [anon_sym_let] = ACTIONS(3316),
    [anon_sym_var] = ACTIONS(3316),
    [anon_sym_func] = ACTIONS(3316),
    [anon_sym_extension] = ACTIONS(3316),
    [anon_sym_indirect] = ACTIONS(3316),
    [anon_sym_BANG2] = ACTIONS(3318),
    [anon_sym_SEMI] = ACTIONS(3316),
    [anon_sym_init] = ACTIONS(3316),
    [anon_sym_deinit] = ACTIONS(3316),
    [anon_sym_subscript] = ACTIONS(3316),
    [anon_sym_prefix] = ACTIONS(3316),
    [anon_sym_infix] = ACTIONS(3316),
    [anon_sym_postfix] = ACTIONS(3316),
    [anon_sym_precedencegroup] = ACTIONS(3316),
    [anon_sym_associatedtype] = ACTIONS(3316),
    [anon_sym_AT] = ACTIONS(3318),
    [anon_sym_override] = ACTIONS(3316),
    [anon_sym_convenience] = ACTIONS(3316),
    [anon_sym_required] = ACTIONS(3316),
    [anon_sym_nonisolated] = ACTIONS(3316),
    [anon_sym_public] = ACTIONS(3316),
    [anon_sym_private] = ACTIONS(3316),
    [anon_sym_internal] = ACTIONS(3316),
    [anon_sym_fileprivate] = ACTIONS(3316),
    [anon_sym_open] = ACTIONS(3316),
    [anon_sym_mutating] = ACTIONS(3316),
    [anon_sym_nonmutating] = ACTIONS(3316),
    [anon_sym_static] = ACTIONS(3316),
    [anon_sym_dynamic] = ACTIONS(3316),
    [anon_sym_optional] = ACTIONS(3316),
    [anon_sym_distributed] = ACTIONS(3316),
    [anon_sym_final] = ACTIONS(3316),
    [anon_sym_inout] = ACTIONS(3316),
    [anon_sym_ATescaping] = ACTIONS(3316),
    [anon_sym_ATautoclosure] = ACTIONS(3316),
    [anon_sym_weak] = ACTIONS(3316),
    [anon_sym_unowned] = ACTIONS(3318),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3316),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3316),
    [anon_sym_borrowing] = ACTIONS(3316),
    [anon_sym_consuming] = ACTIONS(3316),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3316),
    [sym__conjunction_operator_custom] = ACTIONS(3316),
    [sym__disjunction_operator_custom] = ACTIONS(3316),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3316),
    [sym__eq_custom] = ACTIONS(3316),
    [sym__eq_eq_custom] = ACTIONS(3316),
    [sym__plus_then_ws] = ACTIONS(3316),
    [sym__minus_then_ws] = ACTIONS(3316),
    [sym__bang_custom] = ACTIONS(3316),
    [sym__as_custom] = ACTIONS(3316),
    [sym__as_quest_custom] = ACTIONS(3316),
    [sym__as_bang_custom] = ACTIONS(3316),
    [sym__custom_operator] = ACTIONS(3316),
  },
  [810] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(3320),
    [anon_sym_async] = ACTIONS(3320),
    [anon_sym_lazy] = ACTIONS(3320),
    [anon_sym_package] = ACTIONS(3320),
    [anon_sym_RPAREN] = ACTIONS(3320),
    [anon_sym_COMMA] = ACTIONS(3320),
    [anon_sym_COLON] = ACTIONS(3320),
    [anon_sym_LPAREN] = ACTIONS(3320),
    [anon_sym_LBRACK] = ACTIONS(3320),
    [anon_sym_RBRACK] = ACTIONS(3320),
    [anon_sym_QMARK] = ACTIONS(3322),
    [anon_sym_QMARK2] = ACTIONS(3320),
    [anon_sym_AMP] = ACTIONS(3320),
    [aux_sym_custom_operator_token1] = ACTIONS(3320),
    [anon_sym_LT] = ACTIONS(3322),
    [anon_sym_GT] = ACTIONS(3322),
    [anon_sym_LBRACE] = ACTIONS(3320),
    [anon_sym_CARET_LBRACE] = ACTIONS(3320),
    [anon_sym_RBRACE] = ACTIONS(3320),
    [anon_sym_case] = ACTIONS(3320),
    [anon_sym_PLUS_EQ] = ACTIONS(3320),
    [anon_sym_DASH_EQ] = ACTIONS(3320),
    [anon_sym_STAR_EQ] = ACTIONS(3320),
    [anon_sym_SLASH_EQ] = ACTIONS(3320),
    [anon_sym_PERCENT_EQ] = ACTIONS(3320),
    [anon_sym_BANG_EQ] = ACTIONS(3322),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3320),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3320),
    [anon_sym_LT_EQ] = ACTIONS(3320),
    [anon_sym_GT_EQ] = ACTIONS(3320),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3320),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3320),
    [anon_sym_is] = ACTIONS(3320),
    [anon_sym_PLUS] = ACTIONS(3322),
    [anon_sym_DASH] = ACTIONS(3322),
    [anon_sym_STAR] = ACTIONS(3322),
    [anon_sym_SLASH] = ACTIONS(3322),
    [anon_sym_PERCENT] = ACTIONS(3322),
    [anon_sym_PLUS_PLUS] = ACTIONS(3320),
    [anon_sym_DASH_DASH] = ACTIONS(3320),
    [anon_sym_PIPE] = ACTIONS(3320),
    [anon_sym_CARET] = ACTIONS(3322),
    [anon_sym_LT_LT] = ACTIONS(3320),
    [anon_sym_GT_GT] = ACTIONS(3320),
    [anon_sym_import] = ACTIONS(3320),
    [anon_sym_typealias] = ACTIONS(3320),
    [anon_sym_struct] = ACTIONS(3320),
    [anon_sym_class] = ACTIONS(3320),
    [anon_sym_enum] = ACTIONS(3320),
    [anon_sym_protocol] = ACTIONS(3320),
    [anon_sym_let] = ACTIONS(3320),
    [anon_sym_var] = ACTIONS(3320),
    [anon_sym_func] = ACTIONS(3320),
    [anon_sym_extension] = ACTIONS(3320),
    [anon_sym_indirect] = ACTIONS(3320),
    [anon_sym_BANG2] = ACTIONS(3322),
    [anon_sym_SEMI] = ACTIONS(3320),
    [anon_sym_init] = ACTIONS(3320),
    [anon_sym_deinit] = ACTIONS(3320),
    [anon_sym_subscript] = ACTIONS(3320),
    [anon_sym_prefix] = ACTIONS(3320),
    [anon_sym_infix] = ACTIONS(3320),
    [anon_sym_postfix] = ACTIONS(3320),
    [anon_sym_precedencegroup] = ACTIONS(3320),
    [anon_sym_associatedtype] = ACTIONS(3320),
    [anon_sym_AT] = ACTIONS(3322),
    [anon_sym_override] = ACTIONS(3320),
    [anon_sym_convenience] = ACTIONS(3320),
    [anon_sym_required] = ACTIONS(3320),
    [anon_sym_nonisolated] = ACTIONS(3320),
    [anon_sym_public] = ACTIONS(3320),
    [anon_sym_private] = ACTIONS(3320),
    [anon_sym_internal] = ACTIONS(3320),
    [anon_sym_fileprivate] = ACTIONS(3320),
    [anon_sym_open] = ACTIONS(3320),
    [anon_sym_mutating] = ACTIONS(3320),
    [anon_sym_nonmutating] = ACTIONS(3320),
    [anon_sym_static] = ACTIONS(3320),
    [anon_sym_dynamic] = ACTIONS(3320),
    [anon_sym_optional] = ACTIONS(3320),
    [anon_sym_distributed] = ACTIONS(3320),
    [anon_sym_final] = ACTIONS(3320),
    [anon_sym_inout] = ACTIONS(3320),
    [anon_sym_ATescaping] = ACTIONS(3320),
    [anon_sym_ATautoclosure] = ACTIONS(3320),
    [anon_sym_weak] = ACTIONS(3320),
    [anon_sym_unowned] = ACTIONS(3322),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3320),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3320),
    [anon_sym_borrowing] = ACTIONS(3320),
    [anon_sym_consuming] = ACTIONS(3320),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3320),
    [sym__conjunction_operator_custom] = ACTIONS(3320),
    [sym__disjunction_operator_custom] = ACTIONS(3320),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3320),
    [sym__eq_custom] = ACTIONS(3320),
    [sym__eq_eq_custom] = ACTIONS(3320),
    [sym__plus_then_ws] = ACTIONS(3320),
    [sym__minus_then_ws] = ACTIONS(3320),
    [sym__bang_custom] = ACTIONS(3320),
    [sym__as_custom] = ACTIONS(3320),
    [sym__as_quest_custom] = ACTIONS(3320),
    [sym__as_bang_custom] = ACTIONS(3320),
    [sym__custom_operator] = ACTIONS(3320),
  },
  [811] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(3324),
    [anon_sym_async] = ACTIONS(3324),
    [anon_sym_lazy] = ACTIONS(3324),
    [anon_sym_package] = ACTIONS(3324),
    [anon_sym_RPAREN] = ACTIONS(3324),
    [anon_sym_COMMA] = ACTIONS(3324),
    [anon_sym_COLON] = ACTIONS(3324),
    [anon_sym_LPAREN] = ACTIONS(3324),
    [anon_sym_LBRACK] = ACTIONS(3324),
    [anon_sym_RBRACK] = ACTIONS(3324),
    [anon_sym_QMARK] = ACTIONS(3326),
    [anon_sym_QMARK2] = ACTIONS(3324),
    [anon_sym_AMP] = ACTIONS(3324),
    [aux_sym_custom_operator_token1] = ACTIONS(3324),
    [anon_sym_LT] = ACTIONS(3326),
    [anon_sym_GT] = ACTIONS(3326),
    [anon_sym_LBRACE] = ACTIONS(3324),
    [anon_sym_CARET_LBRACE] = ACTIONS(3324),
    [anon_sym_RBRACE] = ACTIONS(3324),
    [anon_sym_case] = ACTIONS(3324),
    [anon_sym_PLUS_EQ] = ACTIONS(3324),
    [anon_sym_DASH_EQ] = ACTIONS(3324),
    [anon_sym_STAR_EQ] = ACTIONS(3324),
    [anon_sym_SLASH_EQ] = ACTIONS(3324),
    [anon_sym_PERCENT_EQ] = ACTIONS(3324),
    [anon_sym_BANG_EQ] = ACTIONS(3326),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3324),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3324),
    [anon_sym_LT_EQ] = ACTIONS(3324),
    [anon_sym_GT_EQ] = ACTIONS(3324),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3324),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3324),
    [anon_sym_is] = ACTIONS(3324),
    [anon_sym_PLUS] = ACTIONS(3326),
    [anon_sym_DASH] = ACTIONS(3326),
    [anon_sym_STAR] = ACTIONS(3326),
    [anon_sym_SLASH] = ACTIONS(3326),
    [anon_sym_PERCENT] = ACTIONS(3326),
    [anon_sym_PLUS_PLUS] = ACTIONS(3324),
    [anon_sym_DASH_DASH] = ACTIONS(3324),
    [anon_sym_PIPE] = ACTIONS(3324),
    [anon_sym_CARET] = ACTIONS(3326),
    [anon_sym_LT_LT] = ACTIONS(3324),
    [anon_sym_GT_GT] = ACTIONS(3324),
    [anon_sym_import] = ACTIONS(3324),
    [anon_sym_typealias] = ACTIONS(3324),
    [anon_sym_struct] = ACTIONS(3324),
    [anon_sym_class] = ACTIONS(3324),
    [anon_sym_enum] = ACTIONS(3324),
    [anon_sym_protocol] = ACTIONS(3324),
    [anon_sym_let] = ACTIONS(3324),
    [anon_sym_var] = ACTIONS(3324),
    [anon_sym_func] = ACTIONS(3324),
    [anon_sym_extension] = ACTIONS(3324),
    [anon_sym_indirect] = ACTIONS(3324),
    [anon_sym_BANG2] = ACTIONS(3326),
    [anon_sym_SEMI] = ACTIONS(3324),
    [anon_sym_init] = ACTIONS(3324),
    [anon_sym_deinit] = ACTIONS(3324),
    [anon_sym_subscript] = ACTIONS(3324),
    [anon_sym_prefix] = ACTIONS(3324),
    [anon_sym_infix] = ACTIONS(3324),
    [anon_sym_postfix] = ACTIONS(3324),
    [anon_sym_precedencegroup] = ACTIONS(3324),
    [anon_sym_associatedtype] = ACTIONS(3324),
    [anon_sym_AT] = ACTIONS(3326),
    [anon_sym_override] = ACTIONS(3324),
    [anon_sym_convenience] = ACTIONS(3324),
    [anon_sym_required] = ACTIONS(3324),
    [anon_sym_nonisolated] = ACTIONS(3324),
    [anon_sym_public] = ACTIONS(3324),
    [anon_sym_private] = ACTIONS(3324),
    [anon_sym_internal] = ACTIONS(3324),
    [anon_sym_fileprivate] = ACTIONS(3324),
    [anon_sym_open] = ACTIONS(3324),
    [anon_sym_mutating] = ACTIONS(3324),
    [anon_sym_nonmutating] = ACTIONS(3324),
    [anon_sym_static] = ACTIONS(3324),
    [anon_sym_dynamic] = ACTIONS(3324),
    [anon_sym_optional] = ACTIONS(3324),
    [anon_sym_distributed] = ACTIONS(3324),
    [anon_sym_final] = ACTIONS(3324),
    [anon_sym_inout] = ACTIONS(3324),
    [anon_sym_ATescaping] = ACTIONS(3324),
    [anon_sym_ATautoclosure] = ACTIONS(3324),
    [anon_sym_weak] = ACTIONS(3324),
    [anon_sym_unowned] = ACTIONS(3326),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3324),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3324),
    [anon_sym_borrowing] = ACTIONS(3324),
    [anon_sym_consuming] = ACTIONS(3324),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3324),
    [sym__conjunction_operator_custom] = ACTIONS(3324),
    [sym__disjunction_operator_custom] = ACTIONS(3324),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3324),
    [sym__eq_custom] = ACTIONS(3324),
    [sym__eq_eq_custom] = ACTIONS(3324),
    [sym__plus_then_ws] = ACTIONS(3324),
    [sym__minus_then_ws] = ACTIONS(3324),
    [sym__bang_custom] = ACTIONS(3324),
    [sym__as_custom] = ACTIONS(3324),
    [sym__as_quest_custom] = ACTIONS(3324),
    [sym__as_bang_custom] = ACTIONS(3324),
    [sym__custom_operator] = ACTIONS(3324),
  },
  [812] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(3328),
    [anon_sym_async] = ACTIONS(3328),
    [anon_sym_lazy] = ACTIONS(3328),
    [anon_sym_package] = ACTIONS(3328),
    [anon_sym_RPAREN] = ACTIONS(3328),
    [anon_sym_COMMA] = ACTIONS(3328),
    [anon_sym_COLON] = ACTIONS(3328),
    [anon_sym_LPAREN] = ACTIONS(3328),
    [anon_sym_LBRACK] = ACTIONS(3328),
    [anon_sym_RBRACK] = ACTIONS(3328),
    [anon_sym_QMARK] = ACTIONS(3330),
    [anon_sym_QMARK2] = ACTIONS(3328),
    [anon_sym_AMP] = ACTIONS(3328),
    [aux_sym_custom_operator_token1] = ACTIONS(3328),
    [anon_sym_LT] = ACTIONS(3330),
    [anon_sym_GT] = ACTIONS(3330),
    [anon_sym_LBRACE] = ACTIONS(3328),
    [anon_sym_CARET_LBRACE] = ACTIONS(3328),
    [anon_sym_RBRACE] = ACTIONS(3328),
    [anon_sym_case] = ACTIONS(3328),
    [anon_sym_PLUS_EQ] = ACTIONS(3328),
    [anon_sym_DASH_EQ] = ACTIONS(3328),
    [anon_sym_STAR_EQ] = ACTIONS(3328),
    [anon_sym_SLASH_EQ] = ACTIONS(3328),
    [anon_sym_PERCENT_EQ] = ACTIONS(3328),
    [anon_sym_BANG_EQ] = ACTIONS(3330),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3328),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3328),
    [anon_sym_LT_EQ] = ACTIONS(3328),
    [anon_sym_GT_EQ] = ACTIONS(3328),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3328),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3328),
    [anon_sym_is] = ACTIONS(3328),
    [anon_sym_PLUS] = ACTIONS(3330),
    [anon_sym_DASH] = ACTIONS(3330),
    [anon_sym_STAR] = ACTIONS(3330),
    [anon_sym_SLASH] = ACTIONS(3330),
    [anon_sym_PERCENT] = ACTIONS(3330),
    [anon_sym_PLUS_PLUS] = ACTIONS(3328),
    [anon_sym_DASH_DASH] = ACTIONS(3328),
    [anon_sym_PIPE] = ACTIONS(3328),
    [anon_sym_CARET] = ACTIONS(3330),
    [anon_sym_LT_LT] = ACTIONS(3328),
    [anon_sym_GT_GT] = ACTIONS(3328),
    [anon_sym_import] = ACTIONS(3328),
    [anon_sym_typealias] = ACTIONS(3328),
    [anon_sym_struct] = ACTIONS(3328),
    [anon_sym_class] = ACTIONS(3328),
    [anon_sym_enum] = ACTIONS(3328),
    [anon_sym_protocol] = ACTIONS(3328),
    [anon_sym_let] = ACTIONS(3328),
    [anon_sym_var] = ACTIONS(3328),
    [anon_sym_func] = ACTIONS(3328),
    [anon_sym_extension] = ACTIONS(3328),
    [anon_sym_indirect] = ACTIONS(3328),
    [anon_sym_BANG2] = ACTIONS(3330),
    [anon_sym_SEMI] = ACTIONS(3328),
    [anon_sym_init] = ACTIONS(3328),
    [anon_sym_deinit] = ACTIONS(3328),
    [anon_sym_subscript] = ACTIONS(3328),
    [anon_sym_prefix] = ACTIONS(3328),
    [anon_sym_infix] = ACTIONS(3328),
    [anon_sym_postfix] = ACTIONS(3328),
    [anon_sym_precedencegroup] = ACTIONS(3328),
    [anon_sym_associatedtype] = ACTIONS(3328),
    [anon_sym_AT] = ACTIONS(3330),
    [anon_sym_override] = ACTIONS(3328),
    [anon_sym_convenience] = ACTIONS(3328),
    [anon_sym_required] = ACTIONS(3328),
    [anon_sym_nonisolated] = ACTIONS(3328),
    [anon_sym_public] = ACTIONS(3328),
    [anon_sym_private] = ACTIONS(3328),
    [anon_sym_internal] = ACTIONS(3328),
    [anon_sym_fileprivate] = ACTIONS(3328),
    [anon_sym_open] = ACTIONS(3328),
    [anon_sym_mutating] = ACTIONS(3328),
    [anon_sym_nonmutating] = ACTIONS(3328),
    [anon_sym_static] = ACTIONS(3328),
    [anon_sym_dynamic] = ACTIONS(3328),
    [anon_sym_optional] = ACTIONS(3328),
    [anon_sym_distributed] = ACTIONS(3328),
    [anon_sym_final] = ACTIONS(3328),
    [anon_sym_inout] = ACTIONS(3328),
    [anon_sym_ATescaping] = ACTIONS(3328),
    [anon_sym_ATautoclosure] = ACTIONS(3328),
    [anon_sym_weak] = ACTIONS(3328),
    [anon_sym_unowned] = ACTIONS(3330),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3328),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3328),
    [anon_sym_borrowing] = ACTIONS(3328),
    [anon_sym_consuming] = ACTIONS(3328),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3328),
    [sym__conjunction_operator_custom] = ACTIONS(3328),
    [sym__disjunction_operator_custom] = ACTIONS(3328),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3328),
    [sym__eq_custom] = ACTIONS(3328),
    [sym__eq_eq_custom] = ACTIONS(3328),
    [sym__plus_then_ws] = ACTIONS(3328),
    [sym__minus_then_ws] = ACTIONS(3328),
    [sym__bang_custom] = ACTIONS(3328),
    [sym__as_custom] = ACTIONS(3328),
    [sym__as_quest_custom] = ACTIONS(3328),
    [sym__as_bang_custom] = ACTIONS(3328),
    [sym__custom_operator] = ACTIONS(3328),
  },
  [813] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(3332),
    [anon_sym_async] = ACTIONS(3332),
    [anon_sym_lazy] = ACTIONS(3332),
    [anon_sym_package] = ACTIONS(3332),
    [anon_sym_RPAREN] = ACTIONS(3332),
    [anon_sym_COMMA] = ACTIONS(3332),
    [anon_sym_COLON] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(3332),
    [anon_sym_LBRACK] = ACTIONS(3332),
    [anon_sym_RBRACK] = ACTIONS(3332),
    [anon_sym_QMARK] = ACTIONS(3334),
    [anon_sym_QMARK2] = ACTIONS(3332),
    [anon_sym_AMP] = ACTIONS(3332),
    [aux_sym_custom_operator_token1] = ACTIONS(3332),
    [anon_sym_LT] = ACTIONS(3334),
    [anon_sym_GT] = ACTIONS(3334),
    [anon_sym_LBRACE] = ACTIONS(3332),
    [anon_sym_CARET_LBRACE] = ACTIONS(3332),
    [anon_sym_RBRACE] = ACTIONS(3332),
    [anon_sym_case] = ACTIONS(3332),
    [anon_sym_PLUS_EQ] = ACTIONS(3332),
    [anon_sym_DASH_EQ] = ACTIONS(3332),
    [anon_sym_STAR_EQ] = ACTIONS(3332),
    [anon_sym_SLASH_EQ] = ACTIONS(3332),
    [anon_sym_PERCENT_EQ] = ACTIONS(3332),
    [anon_sym_BANG_EQ] = ACTIONS(3334),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3332),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3332),
    [anon_sym_LT_EQ] = ACTIONS(3332),
    [anon_sym_GT_EQ] = ACTIONS(3332),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3332),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3332),
    [anon_sym_is] = ACTIONS(3332),
    [anon_sym_PLUS] = ACTIONS(3334),
    [anon_sym_DASH] = ACTIONS(3334),
    [anon_sym_STAR] = ACTIONS(3334),
    [anon_sym_SLASH] = ACTIONS(3334),
    [anon_sym_PERCENT] = ACTIONS(3334),
    [anon_sym_PLUS_PLUS] = ACTIONS(3332),
    [anon_sym_DASH_DASH] = ACTIONS(3332),
    [anon_sym_PIPE] = ACTIONS(3332),
    [anon_sym_CARET] = ACTIONS(3334),
    [anon_sym_LT_LT] = ACTIONS(3332),
    [anon_sym_GT_GT] = ACTIONS(3332),
    [anon_sym_import] = ACTIONS(3332),
    [anon_sym_typealias] = ACTIONS(3332),
    [anon_sym_struct] = ACTIONS(3332),
    [anon_sym_class] = ACTIONS(3332),
    [anon_sym_enum] = ACTIONS(3332),
    [anon_sym_protocol] = ACTIONS(3332),
    [anon_sym_let] = ACTIONS(3332),
    [anon_sym_var] = ACTIONS(3332),
    [anon_sym_func] = ACTIONS(3332),
    [anon_sym_extension] = ACTIONS(3332),
    [anon_sym_indirect] = ACTIONS(3332),
    [anon_sym_BANG2] = ACTIONS(3334),
    [anon_sym_SEMI] = ACTIONS(3332),
    [anon_sym_init] = ACTIONS(3332),
    [anon_sym_deinit] = ACTIONS(3332),
    [anon_sym_subscript] = ACTIONS(3332),
    [anon_sym_prefix] = ACTIONS(3332),
    [anon_sym_infix] = ACTIONS(3332),
    [anon_sym_postfix] = ACTIONS(3332),
    [anon_sym_precedencegroup] = ACTIONS(3332),
    [anon_sym_associatedtype] = ACTIONS(3332),
    [anon_sym_AT] = ACTIONS(3334),
    [anon_sym_override] = ACTIONS(3332),
    [anon_sym_convenience] = ACTIONS(3332),
    [anon_sym_required] = ACTIONS(3332),
    [anon_sym_nonisolated] = ACTIONS(3332),
    [anon_sym_public] = ACTIONS(3332),
    [anon_sym_private] = ACTIONS(3332),
    [anon_sym_internal] = ACTIONS(3332),
    [anon_sym_fileprivate] = ACTIONS(3332),
    [anon_sym_open] = ACTIONS(3332),
    [anon_sym_mutating] = ACTIONS(3332),
    [anon_sym_nonmutating] = ACTIONS(3332),
    [anon_sym_static] = ACTIONS(3332),
    [anon_sym_dynamic] = ACTIONS(3332),
    [anon_sym_optional] = ACTIONS(3332),
    [anon_sym_distributed] = ACTIONS(3332),
    [anon_sym_final] = ACTIONS(3332),
    [anon_sym_inout] = ACTIONS(3332),
    [anon_sym_ATescaping] = ACTIONS(3332),
    [anon_sym_ATautoclosure] = ACTIONS(3332),
    [anon_sym_weak] = ACTIONS(3332),
    [anon_sym_unowned] = ACTIONS(3334),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3332),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3332),
    [anon_sym_borrowing] = ACTIONS(3332),
    [anon_sym_consuming] = ACTIONS(3332),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3332),
    [sym__conjunction_operator_custom] = ACTIONS(3332),
    [sym__disjunction_operator_custom] = ACTIONS(3332),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3332),
    [sym__eq_custom] = ACTIONS(3332),
    [sym__eq_eq_custom] = ACTIONS(3332),
    [sym__plus_then_ws] = ACTIONS(3332),
    [sym__minus_then_ws] = ACTIONS(3332),
    [sym__bang_custom] = ACTIONS(3332),
    [sym__as_custom] = ACTIONS(3332),
    [sym__as_quest_custom] = ACTIONS(3332),
    [sym__as_bang_custom] = ACTIONS(3332),
    [sym__custom_operator] = ACTIONS(3332),
  },
  [814] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_lazy] = ACTIONS(3336),
    [anon_sym_package] = ACTIONS(3336),
    [anon_sym_RPAREN] = ACTIONS(3336),
    [anon_sym_COMMA] = ACTIONS(3336),
    [anon_sym_COLON] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_RBRACK] = ACTIONS(3336),
    [anon_sym_QMARK] = ACTIONS(3338),
    [anon_sym_QMARK2] = ACTIONS(3336),
    [anon_sym_AMP] = ACTIONS(3336),
    [aux_sym_custom_operator_token1] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3338),
    [anon_sym_GT] = ACTIONS(3338),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_CARET_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_case] = ACTIONS(3336),
    [anon_sym_PLUS_EQ] = ACTIONS(3336),
    [anon_sym_DASH_EQ] = ACTIONS(3336),
    [anon_sym_STAR_EQ] = ACTIONS(3336),
    [anon_sym_SLASH_EQ] = ACTIONS(3336),
    [anon_sym_PERCENT_EQ] = ACTIONS(3336),
    [anon_sym_BANG_EQ] = ACTIONS(3338),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3336),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3336),
    [anon_sym_LT_EQ] = ACTIONS(3336),
    [anon_sym_GT_EQ] = ACTIONS(3336),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3336),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3336),
    [anon_sym_is] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3338),
    [anon_sym_DASH] = ACTIONS(3338),
    [anon_sym_STAR] = ACTIONS(3338),
    [anon_sym_SLASH] = ACTIONS(3338),
    [anon_sym_PERCENT] = ACTIONS(3338),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [anon_sym_PIPE] = ACTIONS(3336),
    [anon_sym_CARET] = ACTIONS(3338),
    [anon_sym_LT_LT] = ACTIONS(3336),
    [anon_sym_GT_GT] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_typealias] = ACTIONS(3336),
    [anon_sym_struct] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [anon_sym_protocol] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_func] = ACTIONS(3336),
    [anon_sym_extension] = ACTIONS(3336),
    [anon_sym_indirect] = ACTIONS(3336),
    [anon_sym_BANG2] = ACTIONS(3338),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_init] = ACTIONS(3336),
    [anon_sym_deinit] = ACTIONS(3336),
    [anon_sym_subscript] = ACTIONS(3336),
    [anon_sym_prefix] = ACTIONS(3336),
    [anon_sym_infix] = ACTIONS(3336),
    [anon_sym_postfix] = ACTIONS(3336),
    [anon_sym_precedencegroup] = ACTIONS(3336),
    [anon_sym_associatedtype] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3338),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_convenience] = ACTIONS(3336),
    [anon_sym_required] = ACTIONS(3336),
    [anon_sym_nonisolated] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_internal] = ACTIONS(3336),
    [anon_sym_fileprivate] = ACTIONS(3336),
    [anon_sym_open] = ACTIONS(3336),
    [anon_sym_mutating] = ACTIONS(3336),
    [anon_sym_nonmutating] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_dynamic] = ACTIONS(3336),
    [anon_sym_optional] = ACTIONS(3336),
    [anon_sym_distributed] = ACTIONS(3336),
    [anon_sym_final] = ACTIONS(3336),
    [anon_sym_inout] = ACTIONS(3336),
    [anon_sym_ATescaping] = ACTIONS(3336),
    [anon_sym_ATautoclosure] = ACTIONS(3336),
    [anon_sym_weak] = ACTIONS(3336),
    [anon_sym_unowned] = ACTIONS(3338),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3336),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3336),
    [anon_sym_borrowing] = ACTIONS(3336),
    [anon_sym_consuming] = ACTIONS(3336),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3336),
    [sym__conjunction_operator_custom] = ACTIONS(3336),
    [sym__disjunction_operator_custom] = ACTIONS(3336),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3336),
    [sym__eq_custom] = ACTIONS(3336),
    [sym__eq_eq_custom] = ACTIONS(3336),
    [sym__plus_then_ws] = ACTIONS(3336),
    [sym__minus_then_ws] = ACTIONS(3336),
    [sym__bang_custom] = ACTIONS(3336),
    [sym__as_custom] = ACTIONS(3336),
    [sym__as_quest_custom] = ACTIONS(3336),
    [sym__as_bang_custom] = ACTIONS(3336),
    [sym__custom_operator] = ACTIONS(3336),
  },
  [815] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(3340),
    [anon_sym_async] = ACTIONS(3340),
    [anon_sym_lazy] = ACTIONS(3340),
    [anon_sym_package] = ACTIONS(3340),
    [anon_sym_RPAREN] = ACTIONS(3340),
    [anon_sym_COMMA] = ACTIONS(3340),
    [anon_sym_COLON] = ACTIONS(3340),
    [anon_sym_LPAREN] = ACTIONS(3340),
    [anon_sym_LBRACK] = ACTIONS(3340),
    [anon_sym_RBRACK] = ACTIONS(3340),
    [anon_sym_QMARK] = ACTIONS(3342),
    [anon_sym_QMARK2] = ACTIONS(3340),
    [anon_sym_AMP] = ACTIONS(3340),
    [aux_sym_custom_operator_token1] = ACTIONS(3340),
    [anon_sym_LT] = ACTIONS(3342),
    [anon_sym_GT] = ACTIONS(3342),
    [anon_sym_LBRACE] = ACTIONS(3340),
    [anon_sym_CARET_LBRACE] = ACTIONS(3340),
    [anon_sym_RBRACE] = ACTIONS(3340),
    [anon_sym_case] = ACTIONS(3340),
    [anon_sym_PLUS_EQ] = ACTIONS(3340),
    [anon_sym_DASH_EQ] = ACTIONS(3340),
    [anon_sym_STAR_EQ] = ACTIONS(3340),
    [anon_sym_SLASH_EQ] = ACTIONS(3340),
    [anon_sym_PERCENT_EQ] = ACTIONS(3340),
    [anon_sym_BANG_EQ] = ACTIONS(3342),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3340),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3340),
    [anon_sym_LT_EQ] = ACTIONS(3340),
    [anon_sym_GT_EQ] = ACTIONS(3340),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3340),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3340),
    [anon_sym_is] = ACTIONS(3340),
    [anon_sym_PLUS] = ACTIONS(3342),
    [anon_sym_DASH] = ACTIONS(3342),
    [anon_sym_STAR] = ACTIONS(3342),
    [anon_sym_SLASH] = ACTIONS(3342),
    [anon_sym_PERCENT] = ACTIONS(3342),
    [anon_sym_PLUS_PLUS] = ACTIONS(3340),
    [anon_sym_DASH_DASH] = ACTIONS(3340),
    [anon_sym_PIPE] = ACTIONS(3340),
    [anon_sym_CARET] = ACTIONS(3342),
    [anon_sym_LT_LT] = ACTIONS(3340),
    [anon_sym_GT_GT] = ACTIONS(3340),
    [anon_sym_import] = ACTIONS(3340),
    [anon_sym_typealias] = ACTIONS(3340),
    [anon_sym_struct] = ACTIONS(3340),
    [anon_sym_class] = ACTIONS(3340),
    [anon_sym_enum] = ACTIONS(3340),
    [anon_sym_protocol] = ACTIONS(3340),
    [anon_sym_let] = ACTIONS(3340),
    [anon_sym_var] = ACTIONS(3340),
    [anon_sym_func] = ACTIONS(3340),
    [anon_sym_extension] = ACTIONS(3340),
    [anon_sym_indirect] = ACTIONS(3340),
    [anon_sym_BANG2] = ACTIONS(3342),
    [anon_sym_SEMI] = ACTIONS(3340),
    [anon_sym_init] = ACTIONS(3340),
    [anon_sym_deinit] = ACTIONS(3340),
    [anon_sym_subscript] = ACTIONS(3340),
    [anon_sym_prefix] = ACTIONS(3340),
    [anon_sym_infix] = ACTIONS(3340),
    [anon_sym_postfix] = ACTIONS(3340),
    [anon_sym_precedencegroup] = ACTIONS(3340),
    [anon_sym_associatedtype] = ACTIONS(3340),
    [anon_sym_AT] = ACTIONS(3342),
    [anon_sym_override] = ACTIONS(3340),
    [anon_sym_convenience] = ACTIONS(3340),
    [anon_sym_required] = ACTIONS(3340),
    [anon_sym_nonisolated] = ACTIONS(3340),
    [anon_sym_public] = ACTIONS(3340),
    [anon_sym_private] = ACTIONS(3340),
    [anon_sym_internal] = ACTIONS(3340),
    [anon_sym_fileprivate] = ACTIONS(3340),
    [anon_sym_open] = ACTIONS(3340),
    [anon_sym_mutating] = ACTIONS(3340),
    [anon_sym_nonmutating] = ACTIONS(3340),
    [anon_sym_static] = ACTIONS(3340),
    [anon_sym_dynamic] = ACTIONS(3340),
    [anon_sym_optional] = ACTIONS(3340),
    [anon_sym_distributed] = ACTIONS(3340),
    [anon_sym_final] = ACTIONS(3340),
    [anon_sym_inout] = ACTIONS(3340),
    [anon_sym_ATescaping] = ACTIONS(3340),
    [anon_sym_ATautoclosure] = ACTIONS(3340),
    [anon_sym_weak] = ACTIONS(3340),
    [anon_sym_unowned] = ACTIONS(3342),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3340),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3340),
    [anon_sym_borrowing] = ACTIONS(3340),
    [anon_sym_consuming] = ACTIONS(3340),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3340),
    [sym__conjunction_operator_custom] = ACTIONS(3340),
    [sym__disjunction_operator_custom] = ACTIONS(3340),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3340),
    [sym__eq_custom] = ACTIONS(3340),
    [sym__eq_eq_custom] = ACTIONS(3340),
    [sym__plus_then_ws] = ACTIONS(3340),
    [sym__minus_then_ws] = ACTIONS(3340),
    [sym__bang_custom] = ACTIONS(3340),
    [sym__as_custom] = ACTIONS(3340),
    [sym__as_quest_custom] = ACTIONS(3340),
    [sym__as_bang_custom] = ACTIONS(3340),
    [sym__custom_operator] = ACTIONS(3340),
  },
  [816] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(3344),
    [anon_sym_async] = ACTIONS(3344),
    [anon_sym_lazy] = ACTIONS(3344),
    [anon_sym_package] = ACTIONS(3344),
    [anon_sym_RPAREN] = ACTIONS(3344),
    [anon_sym_COMMA] = ACTIONS(3344),
    [anon_sym_COLON] = ACTIONS(3344),
    [anon_sym_LPAREN] = ACTIONS(3344),
    [anon_sym_LBRACK] = ACTIONS(3344),
    [anon_sym_RBRACK] = ACTIONS(3344),
    [anon_sym_QMARK] = ACTIONS(3346),
    [anon_sym_QMARK2] = ACTIONS(3344),
    [anon_sym_AMP] = ACTIONS(3344),
    [aux_sym_custom_operator_token1] = ACTIONS(3344),
    [anon_sym_LT] = ACTIONS(3346),
    [anon_sym_GT] = ACTIONS(3346),
    [anon_sym_LBRACE] = ACTIONS(3344),
    [anon_sym_CARET_LBRACE] = ACTIONS(3344),
    [anon_sym_RBRACE] = ACTIONS(3344),
    [anon_sym_case] = ACTIONS(3344),
    [anon_sym_PLUS_EQ] = ACTIONS(3344),
    [anon_sym_DASH_EQ] = ACTIONS(3344),
    [anon_sym_STAR_EQ] = ACTIONS(3344),
    [anon_sym_SLASH_EQ] = ACTIONS(3344),
    [anon_sym_PERCENT_EQ] = ACTIONS(3344),
    [anon_sym_BANG_EQ] = ACTIONS(3346),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3344),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3344),
    [anon_sym_LT_EQ] = ACTIONS(3344),
    [anon_sym_GT_EQ] = ACTIONS(3344),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3344),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3344),
    [anon_sym_is] = ACTIONS(3344),
    [anon_sym_PLUS] = ACTIONS(3346),
    [anon_sym_DASH] = ACTIONS(3346),
    [anon_sym_STAR] = ACTIONS(3346),
    [anon_sym_SLASH] = ACTIONS(3346),
    [anon_sym_PERCENT] = ACTIONS(3346),
    [anon_sym_PLUS_PLUS] = ACTIONS(3344),
    [anon_sym_DASH_DASH] = ACTIONS(3344),
    [anon_sym_PIPE] = ACTIONS(3344),
    [anon_sym_CARET] = ACTIONS(3346),
    [anon_sym_LT_LT] = ACTIONS(3344),
    [anon_sym_GT_GT] = ACTIONS(3344),
    [anon_sym_import] = ACTIONS(3344),
    [anon_sym_typealias] = ACTIONS(3344),
    [anon_sym_struct] = ACTIONS(3344),
    [anon_sym_class] = ACTIONS(3344),
    [anon_sym_enum] = ACTIONS(3344),
    [anon_sym_protocol] = ACTIONS(3344),
    [anon_sym_let] = ACTIONS(3344),
    [anon_sym_var] = ACTIONS(3344),
    [anon_sym_func] = ACTIONS(3344),
    [anon_sym_extension] = ACTIONS(3344),
    [anon_sym_indirect] = ACTIONS(3344),
    [anon_sym_BANG2] = ACTIONS(3346),
    [anon_sym_SEMI] = ACTIONS(3344),
    [anon_sym_init] = ACTIONS(3344),
    [anon_sym_deinit] = ACTIONS(3344),
    [anon_sym_subscript] = ACTIONS(3344),
    [anon_sym_prefix] = ACTIONS(3344),
    [anon_sym_infix] = ACTIONS(3344),
    [anon_sym_postfix] = ACTIONS(3344),
    [anon_sym_precedencegroup] = ACTIONS(3344),
    [anon_sym_associatedtype] = ACTIONS(3344),
    [anon_sym_AT] = ACTIONS(3346),
    [anon_sym_override] = ACTIONS(3344),
    [anon_sym_convenience] = ACTIONS(3344),
    [anon_sym_required] = ACTIONS(3344),
    [anon_sym_nonisolated] = ACTIONS(3344),
    [anon_sym_public] = ACTIONS(3344),
    [anon_sym_private] = ACTIONS(3344),
    [anon_sym_internal] = ACTIONS(3344),
    [anon_sym_fileprivate] = ACTIONS(3344),
    [anon_sym_open] = ACTIONS(3344),
    [anon_sym_mutating] = ACTIONS(3344),
    [anon_sym_nonmutating] = ACTIONS(3344),
    [anon_sym_static] = ACTIONS(3344),
    [anon_sym_dynamic] = ACTIONS(3344),
    [anon_sym_optional] = ACTIONS(3344),
    [anon_sym_distributed] = ACTIONS(3344),
    [anon_sym_final] = ACTIONS(3344),
    [anon_sym_inout] = ACTIONS(3344),
    [anon_sym_ATescaping] = ACTIONS(3344),
    [anon_sym_ATautoclosure] = ACTIONS(3344),
    [anon_sym_weak] = ACTIONS(3344),
    [anon_sym_unowned] = ACTIONS(3346),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3344),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3344),
    [anon_sym_borrowing] = ACTIONS(3344),
    [anon_sym_consuming] = ACTIONS(3344),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3344),
    [sym__conjunction_operator_custom] = ACTIONS(3344),
    [sym__disjunction_operator_custom] = ACTIONS(3344),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3344),
    [sym__eq_custom] = ACTIONS(3344),
    [sym__eq_eq_custom] = ACTIONS(3344),
    [sym__plus_then_ws] = ACTIONS(3344),
    [sym__minus_then_ws] = ACTIONS(3344),
    [sym__bang_custom] = ACTIONS(3344),
    [sym__as_custom] = ACTIONS(3344),
    [sym__as_quest_custom] = ACTIONS(3344),
    [sym__as_bang_custom] = ACTIONS(3344),
    [sym__custom_operator] = ACTIONS(3344),
  },
  [817] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(3348),
    [anon_sym_async] = ACTIONS(3348),
    [anon_sym_lazy] = ACTIONS(3348),
    [anon_sym_package] = ACTIONS(3348),
    [anon_sym_RPAREN] = ACTIONS(3348),
    [anon_sym_COMMA] = ACTIONS(3348),
    [anon_sym_COLON] = ACTIONS(3348),
    [anon_sym_LPAREN] = ACTIONS(3348),
    [anon_sym_LBRACK] = ACTIONS(3348),
    [anon_sym_RBRACK] = ACTIONS(3348),
    [anon_sym_QMARK] = ACTIONS(3350),
    [anon_sym_QMARK2] = ACTIONS(3348),
    [anon_sym_AMP] = ACTIONS(3348),
    [aux_sym_custom_operator_token1] = ACTIONS(3348),
    [anon_sym_LT] = ACTIONS(3350),
    [anon_sym_GT] = ACTIONS(3350),
    [anon_sym_LBRACE] = ACTIONS(3348),
    [anon_sym_CARET_LBRACE] = ACTIONS(3348),
    [anon_sym_RBRACE] = ACTIONS(3348),
    [anon_sym_case] = ACTIONS(3348),
    [anon_sym_PLUS_EQ] = ACTIONS(3348),
    [anon_sym_DASH_EQ] = ACTIONS(3348),
    [anon_sym_STAR_EQ] = ACTIONS(3348),
    [anon_sym_SLASH_EQ] = ACTIONS(3348),
    [anon_sym_PERCENT_EQ] = ACTIONS(3348),
    [anon_sym_BANG_EQ] = ACTIONS(3350),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3348),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3348),
    [anon_sym_LT_EQ] = ACTIONS(3348),
    [anon_sym_GT_EQ] = ACTIONS(3348),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3348),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3348),
    [anon_sym_is] = ACTIONS(3348),
    [anon_sym_PLUS] = ACTIONS(3350),
    [anon_sym_DASH] = ACTIONS(3350),
    [anon_sym_STAR] = ACTIONS(3350),
    [anon_sym_SLASH] = ACTIONS(3350),
    [anon_sym_PERCENT] = ACTIONS(3350),
    [anon_sym_PLUS_PLUS] = ACTIONS(3348),
    [anon_sym_DASH_DASH] = ACTIONS(3348),
    [anon_sym_PIPE] = ACTIONS(3348),
    [anon_sym_CARET] = ACTIONS(3350),
    [anon_sym_LT_LT] = ACTIONS(3348),
    [anon_sym_GT_GT] = ACTIONS(3348),
    [anon_sym_import] = ACTIONS(3348),
    [anon_sym_typealias] = ACTIONS(3348),
    [anon_sym_struct] = ACTIONS(3348),
    [anon_sym_class] = ACTIONS(3348),
    [anon_sym_enum] = ACTIONS(3348),
    [anon_sym_protocol] = ACTIONS(3348),
    [anon_sym_let] = ACTIONS(3348),
    [anon_sym_var] = ACTIONS(3348),
    [anon_sym_func] = ACTIONS(3348),
    [anon_sym_extension] = ACTIONS(3348),
    [anon_sym_indirect] = ACTIONS(3348),
    [anon_sym_BANG2] = ACTIONS(3350),
    [anon_sym_SEMI] = ACTIONS(3348),
    [anon_sym_init] = ACTIONS(3348),
    [anon_sym_deinit] = ACTIONS(3348),
    [anon_sym_subscript] = ACTIONS(3348),
    [anon_sym_prefix] = ACTIONS(3348),
    [anon_sym_infix] = ACTIONS(3348),
    [anon_sym_postfix] = ACTIONS(3348),
    [anon_sym_precedencegroup] = ACTIONS(3348),
    [anon_sym_associatedtype] = ACTIONS(3348),
    [anon_sym_AT] = ACTIONS(3350),
    [anon_sym_override] = ACTIONS(3348),
    [anon_sym_convenience] = ACTIONS(3348),
    [anon_sym_required] = ACTIONS(3348),
    [anon_sym_nonisolated] = ACTIONS(3348),
    [anon_sym_public] = ACTIONS(3348),
    [anon_sym_private] = ACTIONS(3348),
    [anon_sym_internal] = ACTIONS(3348),
    [anon_sym_fileprivate] = ACTIONS(3348),
    [anon_sym_open] = ACTIONS(3348),
    [anon_sym_mutating] = ACTIONS(3348),
    [anon_sym_nonmutating] = ACTIONS(3348),
    [anon_sym_static] = ACTIONS(3348),
    [anon_sym_dynamic] = ACTIONS(3348),
    [anon_sym_optional] = ACTIONS(3348),
    [anon_sym_distributed] = ACTIONS(3348),
    [anon_sym_final] = ACTIONS(3348),
    [anon_sym_inout] = ACTIONS(3348),
    [anon_sym_ATescaping] = ACTIONS(3348),
    [anon_sym_ATautoclosure] = ACTIONS(3348),
    [anon_sym_weak] = ACTIONS(3348),
    [anon_sym_unowned] = ACTIONS(3350),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3348),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3348),
    [anon_sym_borrowing] = ACTIONS(3348),
    [anon_sym_consuming] = ACTIONS(3348),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3348),
    [sym__conjunction_operator_custom] = ACTIONS(3348),
    [sym__disjunction_operator_custom] = ACTIONS(3348),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3348),
    [sym__eq_custom] = ACTIONS(3348),
    [sym__eq_eq_custom] = ACTIONS(3348),
    [sym__plus_then_ws] = ACTIONS(3348),
    [sym__minus_then_ws] = ACTIONS(3348),
    [sym__bang_custom] = ACTIONS(3348),
    [sym__as_custom] = ACTIONS(3348),
    [sym__as_quest_custom] = ACTIONS(3348),
    [sym__as_bang_custom] = ACTIONS(3348),
    [sym__custom_operator] = ACTIONS(3348),
  },
  [818] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(3020),
    [anon_sym_async] = ACTIONS(3020),
    [anon_sym_lazy] = ACTIONS(3020),
    [anon_sym_package] = ACTIONS(3020),
    [anon_sym_RPAREN] = ACTIONS(3020),
    [anon_sym_COMMA] = ACTIONS(3020),
    [anon_sym_COLON] = ACTIONS(3020),
    [anon_sym_LPAREN] = ACTIONS(3020),
    [anon_sym_LBRACK] = ACTIONS(3020),
    [anon_sym_RBRACK] = ACTIONS(3020),
    [anon_sym_QMARK] = ACTIONS(3018),
    [anon_sym_QMARK2] = ACTIONS(3020),
    [anon_sym_AMP] = ACTIONS(3020),
    [aux_sym_custom_operator_token1] = ACTIONS(3020),
    [anon_sym_LT] = ACTIONS(3018),
    [anon_sym_GT] = ACTIONS(3018),
    [anon_sym_LBRACE] = ACTIONS(3020),
    [anon_sym_CARET_LBRACE] = ACTIONS(3020),
    [anon_sym_RBRACE] = ACTIONS(3020),
    [anon_sym_case] = ACTIONS(3020),
    [anon_sym_PLUS_EQ] = ACTIONS(3020),
    [anon_sym_DASH_EQ] = ACTIONS(3020),
    [anon_sym_STAR_EQ] = ACTIONS(3020),
    [anon_sym_SLASH_EQ] = ACTIONS(3020),
    [anon_sym_PERCENT_EQ] = ACTIONS(3020),
    [anon_sym_BANG_EQ] = ACTIONS(3018),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3020),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3020),
    [anon_sym_LT_EQ] = ACTIONS(3020),
    [anon_sym_GT_EQ] = ACTIONS(3020),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3020),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3020),
    [anon_sym_is] = ACTIONS(3020),
    [anon_sym_PLUS] = ACTIONS(3018),
    [anon_sym_DASH] = ACTIONS(3018),
    [anon_sym_STAR] = ACTIONS(3018),
    [anon_sym_SLASH] = ACTIONS(3018),
    [anon_sym_PERCENT] = ACTIONS(3018),
    [anon_sym_PLUS_PLUS] = ACTIONS(3020),
    [anon_sym_DASH_DASH] = ACTIONS(3020),
    [anon_sym_PIPE] = ACTIONS(3020),
    [anon_sym_CARET] = ACTIONS(3018),
    [anon_sym_LT_LT] = ACTIONS(3020),
    [anon_sym_GT_GT] = ACTIONS(3020),
    [anon_sym_import] = ACTIONS(3020),
    [anon_sym_typealias] = ACTIONS(3020),
    [anon_sym_struct] = ACTIONS(3020),
    [anon_sym_class] = ACTIONS(3020),
    [anon_sym_enum] = ACTIONS(3020),
    [anon_sym_protocol] = ACTIONS(3020),
    [anon_sym_let] = ACTIONS(3020),
    [anon_sym_var] = ACTIONS(3020),
    [anon_sym_func] = ACTIONS(3020),
    [anon_sym_extension] = ACTIONS(3020),
    [anon_sym_indirect] = ACTIONS(3020),
    [anon_sym_BANG2] = ACTIONS(3018),
    [anon_sym_SEMI] = ACTIONS(3020),
    [anon_sym_init] = ACTIONS(3020),
    [anon_sym_deinit] = ACTIONS(3020),
    [anon_sym_subscript] = ACTIONS(3020),
    [anon_sym_prefix] = ACTIONS(3020),
    [anon_sym_infix] = ACTIONS(3020),
    [anon_sym_postfix] = ACTIONS(3020),
    [anon_sym_precedencegroup] = ACTIONS(3020),
    [anon_sym_associatedtype] = ACTIONS(3020),
    [anon_sym_AT] = ACTIONS(3018),
    [anon_sym_override] = ACTIONS(3020),
    [anon_sym_convenience] = ACTIONS(3020),
    [anon_sym_required] = ACTIONS(3020),
    [anon_sym_nonisolated] = ACTIONS(3020),
    [anon_sym_public] = ACTIONS(3020),
    [anon_sym_private] = ACTIONS(3020),
    [anon_sym_internal] = ACTIONS(3020),
    [anon_sym_fileprivate] = ACTIONS(3020),
    [anon_sym_open] = ACTIONS(3020),
    [anon_sym_mutating] = ACTIONS(3020),
    [anon_sym_nonmutating] = ACTIONS(3020),
    [anon_sym_static] = ACTIONS(3020),
    [anon_sym_dynamic] = ACTIONS(3020),
    [anon_sym_optional] = ACTIONS(3020),
    [anon_sym_distributed] = ACTIONS(3020),
    [anon_sym_final] = ACTIONS(3020),
    [anon_sym_inout] = ACTIONS(3020),
    [anon_sym_ATescaping] = ACTIONS(3020),
    [anon_sym_ATautoclosure] = ACTIONS(3020),
    [anon_sym_weak] = ACTIONS(3020),
    [anon_sym_unowned] = ACTIONS(3018),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3020),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3020),
    [anon_sym_borrowing] = ACTIONS(3020),
    [anon_sym_consuming] = ACTIONS(3020),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3020),
    [sym__conjunction_operator_custom] = ACTIONS(3020),
    [sym__disjunction_operator_custom] = ACTIONS(3020),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3020),
    [sym__eq_custom] = ACTIONS(3020),
    [sym__eq_eq_custom] = ACTIONS(3020),
    [sym__plus_then_ws] = ACTIONS(3020),
    [sym__minus_then_ws] = ACTIONS(3020),
    [sym__bang_custom] = ACTIONS(3020),
    [sym__as_custom] = ACTIONS(3020),
    [sym__as_quest_custom] = ACTIONS(3020),
    [sym__as_bang_custom] = ACTIONS(3020),
    [sym__custom_operator] = ACTIONS(3020),
  },
  [819] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(3352),
    [anon_sym_async] = ACTIONS(3352),
    [anon_sym_lazy] = ACTIONS(3352),
    [anon_sym_package] = ACTIONS(3352),
    [anon_sym_RPAREN] = ACTIONS(3352),
    [anon_sym_COMMA] = ACTIONS(3352),
    [anon_sym_COLON] = ACTIONS(3352),
    [anon_sym_LPAREN] = ACTIONS(3352),
    [anon_sym_LBRACK] = ACTIONS(3352),
    [anon_sym_RBRACK] = ACTIONS(3352),
    [anon_sym_QMARK] = ACTIONS(3354),
    [anon_sym_QMARK2] = ACTIONS(3352),
    [anon_sym_AMP] = ACTIONS(3352),
    [aux_sym_custom_operator_token1] = ACTIONS(3352),
    [anon_sym_LT] = ACTIONS(3354),
    [anon_sym_GT] = ACTIONS(3354),
    [anon_sym_LBRACE] = ACTIONS(3352),
    [anon_sym_CARET_LBRACE] = ACTIONS(3352),
    [anon_sym_RBRACE] = ACTIONS(3352),
    [anon_sym_case] = ACTIONS(3352),
    [anon_sym_PLUS_EQ] = ACTIONS(3352),
    [anon_sym_DASH_EQ] = ACTIONS(3352),
    [anon_sym_STAR_EQ] = ACTIONS(3352),
    [anon_sym_SLASH_EQ] = ACTIONS(3352),
    [anon_sym_PERCENT_EQ] = ACTIONS(3352),
    [anon_sym_BANG_EQ] = ACTIONS(3354),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3352),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3352),
    [anon_sym_LT_EQ] = ACTIONS(3352),
    [anon_sym_GT_EQ] = ACTIONS(3352),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3352),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3352),
    [anon_sym_is] = ACTIONS(3352),
    [anon_sym_PLUS] = ACTIONS(3354),
    [anon_sym_DASH] = ACTIONS(3354),
    [anon_sym_STAR] = ACTIONS(3354),
    [anon_sym_SLASH] = ACTIONS(3354),
    [anon_sym_PERCENT] = ACTIONS(3354),
    [anon_sym_PLUS_PLUS] = ACTIONS(3352),
    [anon_sym_DASH_DASH] = ACTIONS(3352),
    [anon_sym_PIPE] = ACTIONS(3352),
    [anon_sym_CARET] = ACTIONS(3354),
    [anon_sym_LT_LT] = ACTIONS(3352),
    [anon_sym_GT_GT] = ACTIONS(3352),
    [anon_sym_import] = ACTIONS(3352),
    [anon_sym_typealias] = ACTIONS(3352),
    [anon_sym_struct] = ACTIONS(3352),
    [anon_sym_class] = ACTIONS(3352),
    [anon_sym_enum] = ACTIONS(3352),
    [anon_sym_protocol] = ACTIONS(3352),
    [anon_sym_let] = ACTIONS(3352),
    [anon_sym_var] = ACTIONS(3352),
    [anon_sym_func] = ACTIONS(3352),
    [anon_sym_extension] = ACTIONS(3352),
    [anon_sym_indirect] = ACTIONS(3352),
    [anon_sym_BANG2] = ACTIONS(3354),
    [anon_sym_SEMI] = ACTIONS(3352),
    [anon_sym_init] = ACTIONS(3352),
    [anon_sym_deinit] = ACTIONS(3352),
    [anon_sym_subscript] = ACTIONS(3352),
    [anon_sym_prefix] = ACTIONS(3352),
    [anon_sym_infix] = ACTIONS(3352),
    [anon_sym_postfix] = ACTIONS(3352),
    [anon_sym_precedencegroup] = ACTIONS(3352),
    [anon_sym_associatedtype] = ACTIONS(3352),
    [anon_sym_AT] = ACTIONS(3354),
    [anon_sym_override] = ACTIONS(3352),
    [anon_sym_convenience] = ACTIONS(3352),
    [anon_sym_required] = ACTIONS(3352),
    [anon_sym_nonisolated] = ACTIONS(3352),
    [anon_sym_public] = ACTIONS(3352),
    [anon_sym_private] = ACTIONS(3352),
    [anon_sym_internal] = ACTIONS(3352),
    [anon_sym_fileprivate] = ACTIONS(3352),
    [anon_sym_open] = ACTIONS(3352),
    [anon_sym_mutating] = ACTIONS(3352),
    [anon_sym_nonmutating] = ACTIONS(3352),
    [anon_sym_static] = ACTIONS(3352),
    [anon_sym_dynamic] = ACTIONS(3352),
    [anon_sym_optional] = ACTIONS(3352),
    [anon_sym_distributed] = ACTIONS(3352),
    [anon_sym_final] = ACTIONS(3352),
    [anon_sym_inout] = ACTIONS(3352),
    [anon_sym_ATescaping] = ACTIONS(3352),
    [anon_sym_ATautoclosure] = ACTIONS(3352),
    [anon_sym_weak] = ACTIONS(3352),
    [anon_sym_unowned] = ACTIONS(3354),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3352),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3352),
    [anon_sym_borrowing] = ACTIONS(3352),
    [anon_sym_consuming] = ACTIONS(3352),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3352),
    [sym__conjunction_operator_custom] = ACTIONS(3352),
    [sym__disjunction_operator_custom] = ACTIONS(3352),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3352),
    [sym__eq_custom] = ACTIONS(3352),
    [sym__eq_eq_custom] = ACTIONS(3352),
    [sym__plus_then_ws] = ACTIONS(3352),
    [sym__minus_then_ws] = ACTIONS(3352),
    [sym__bang_custom] = ACTIONS(3352),
    [sym__as_custom] = ACTIONS(3352),
    [sym__as_quest_custom] = ACTIONS(3352),
    [sym__as_bang_custom] = ACTIONS(3352),
    [sym__custom_operator] = ACTIONS(3352),
  },
  [820] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(3035),
    [anon_sym_async] = ACTIONS(3035),
    [anon_sym_lazy] = ACTIONS(3035),
    [anon_sym_package] = ACTIONS(3035),
    [anon_sym_RPAREN] = ACTIONS(3035),
    [anon_sym_COMMA] = ACTIONS(3035),
    [anon_sym_COLON] = ACTIONS(3035),
    [anon_sym_LPAREN] = ACTIONS(3035),
    [anon_sym_LBRACK] = ACTIONS(3035),
    [anon_sym_RBRACK] = ACTIONS(3035),
    [anon_sym_QMARK] = ACTIONS(3033),
    [anon_sym_QMARK2] = ACTIONS(3035),
    [anon_sym_AMP] = ACTIONS(3035),
    [aux_sym_custom_operator_token1] = ACTIONS(3035),
    [anon_sym_LT] = ACTIONS(3033),
    [anon_sym_GT] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_CARET_LBRACE] = ACTIONS(3035),
    [anon_sym_RBRACE] = ACTIONS(3035),
    [anon_sym_case] = ACTIONS(3035),
    [anon_sym_PLUS_EQ] = ACTIONS(3035),
    [anon_sym_DASH_EQ] = ACTIONS(3035),
    [anon_sym_STAR_EQ] = ACTIONS(3035),
    [anon_sym_SLASH_EQ] = ACTIONS(3035),
    [anon_sym_PERCENT_EQ] = ACTIONS(3035),
    [anon_sym_BANG_EQ] = ACTIONS(3033),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3035),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3035),
    [anon_sym_LT_EQ] = ACTIONS(3035),
    [anon_sym_GT_EQ] = ACTIONS(3035),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3035),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3035),
    [anon_sym_is] = ACTIONS(3035),
    [anon_sym_PLUS] = ACTIONS(3033),
    [anon_sym_DASH] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3033),
    [anon_sym_SLASH] = ACTIONS(3033),
    [anon_sym_PERCENT] = ACTIONS(3033),
    [anon_sym_PLUS_PLUS] = ACTIONS(3035),
    [anon_sym_DASH_DASH] = ACTIONS(3035),
    [anon_sym_PIPE] = ACTIONS(3035),
    [anon_sym_CARET] = ACTIONS(3033),
    [anon_sym_LT_LT] = ACTIONS(3035),
    [anon_sym_GT_GT] = ACTIONS(3035),
    [anon_sym_import] = ACTIONS(3035),
    [anon_sym_typealias] = ACTIONS(3035),
    [anon_sym_struct] = ACTIONS(3035),
    [anon_sym_class] = ACTIONS(3035),
    [anon_sym_enum] = ACTIONS(3035),
    [anon_sym_protocol] = ACTIONS(3035),
    [anon_sym_let] = ACTIONS(3035),
    [anon_sym_var] = ACTIONS(3035),
    [anon_sym_func] = ACTIONS(3035),
    [anon_sym_extension] = ACTIONS(3035),
    [anon_sym_indirect] = ACTIONS(3035),
    [anon_sym_BANG2] = ACTIONS(3033),
    [anon_sym_SEMI] = ACTIONS(3035),
    [anon_sym_init] = ACTIONS(3035),
    [anon_sym_deinit] = ACTIONS(3035),
    [anon_sym_subscript] = ACTIONS(3035),
    [anon_sym_prefix] = ACTIONS(3035),
    [anon_sym_infix] = ACTIONS(3035),
    [anon_sym_postfix] = ACTIONS(3035),
    [anon_sym_precedencegroup] = ACTIONS(3035),
    [anon_sym_associatedtype] = ACTIONS(3035),
    [anon_sym_AT] = ACTIONS(3033),
    [anon_sym_override] = ACTIONS(3035),
    [anon_sym_convenience] = ACTIONS(3035),
    [anon_sym_required] = ACTIONS(3035),
    [anon_sym_nonisolated] = ACTIONS(3035),
    [anon_sym_public] = ACTIONS(3035),
    [anon_sym_private] = ACTIONS(3035),
    [anon_sym_internal] = ACTIONS(3035),
    [anon_sym_fileprivate] = ACTIONS(3035),
    [anon_sym_open] = ACTIONS(3035),
    [anon_sym_mutating] = ACTIONS(3035),
    [anon_sym_nonmutating] = ACTIONS(3035),
    [anon_sym_static] = ACTIONS(3035),
    [anon_sym_dynamic] = ACTIONS(3035),
    [anon_sym_optional] = ACTIONS(3035),
    [anon_sym_distributed] = ACTIONS(3035),
    [anon_sym_final] = ACTIONS(3035),
    [anon_sym_inout] = ACTIONS(3035),
    [anon_sym_ATescaping] = ACTIONS(3035),
    [anon_sym_ATautoclosure] = ACTIONS(3035),
    [anon_sym_weak] = ACTIONS(3035),
    [anon_sym_unowned] = ACTIONS(3033),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3035),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3035),
    [anon_sym_borrowing] = ACTIONS(3035),
    [anon_sym_consuming] = ACTIONS(3035),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3035),
    [sym__conjunction_operator_custom] = ACTIONS(3035),
    [sym__disjunction_operator_custom] = ACTIONS(3035),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3035),
    [sym__eq_custom] = ACTIONS(3035),
    [sym__eq_eq_custom] = ACTIONS(3035),
    [sym__plus_then_ws] = ACTIONS(3035),
    [sym__minus_then_ws] = ACTIONS(3035),
    [sym__bang_custom] = ACTIONS(3035),
    [sym__as_custom] = ACTIONS(3035),
    [sym__as_quest_custom] = ACTIONS(3035),
    [sym__as_bang_custom] = ACTIONS(3035),
    [sym__custom_operator] = ACTIONS(3035),
  },
  [821] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(3356),
    [anon_sym_async] = ACTIONS(3356),
    [anon_sym_lazy] = ACTIONS(3356),
    [anon_sym_package] = ACTIONS(3356),
    [anon_sym_RPAREN] = ACTIONS(3356),
    [anon_sym_COMMA] = ACTIONS(3356),
    [anon_sym_COLON] = ACTIONS(3356),
    [anon_sym_LPAREN] = ACTIONS(3356),
    [anon_sym_LBRACK] = ACTIONS(3356),
    [anon_sym_RBRACK] = ACTIONS(3356),
    [anon_sym_QMARK] = ACTIONS(3358),
    [anon_sym_QMARK2] = ACTIONS(3356),
    [anon_sym_AMP] = ACTIONS(3356),
    [aux_sym_custom_operator_token1] = ACTIONS(3356),
    [anon_sym_LT] = ACTIONS(3358),
    [anon_sym_GT] = ACTIONS(3358),
    [anon_sym_LBRACE] = ACTIONS(3356),
    [anon_sym_CARET_LBRACE] = ACTIONS(3356),
    [anon_sym_RBRACE] = ACTIONS(3356),
    [anon_sym_case] = ACTIONS(3356),
    [anon_sym_PLUS_EQ] = ACTIONS(3356),
    [anon_sym_DASH_EQ] = ACTIONS(3356),
    [anon_sym_STAR_EQ] = ACTIONS(3356),
    [anon_sym_SLASH_EQ] = ACTIONS(3356),
    [anon_sym_PERCENT_EQ] = ACTIONS(3356),
    [anon_sym_BANG_EQ] = ACTIONS(3358),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3356),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3356),
    [anon_sym_LT_EQ] = ACTIONS(3356),
    [anon_sym_GT_EQ] = ACTIONS(3356),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3356),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3356),
    [anon_sym_is] = ACTIONS(3356),
    [anon_sym_PLUS] = ACTIONS(3358),
    [anon_sym_DASH] = ACTIONS(3358),
    [anon_sym_STAR] = ACTIONS(3358),
    [anon_sym_SLASH] = ACTIONS(3358),
    [anon_sym_PERCENT] = ACTIONS(3358),
    [anon_sym_PLUS_PLUS] = ACTIONS(3356),
    [anon_sym_DASH_DASH] = ACTIONS(3356),
    [anon_sym_PIPE] = ACTIONS(3356),
    [anon_sym_CARET] = ACTIONS(3358),
    [anon_sym_LT_LT] = ACTIONS(3356),
    [anon_sym_GT_GT] = ACTIONS(3356),
    [anon_sym_import] = ACTIONS(3356),
    [anon_sym_typealias] = ACTIONS(3356),
    [anon_sym_struct] = ACTIONS(3356),
    [anon_sym_class] = ACTIONS(3356),
    [anon_sym_enum] = ACTIONS(3356),
    [anon_sym_protocol] = ACTIONS(3356),
    [anon_sym_let] = ACTIONS(3356),
    [anon_sym_var] = ACTIONS(3356),
    [anon_sym_func] = ACTIONS(3356),
    [anon_sym_extension] = ACTIONS(3356),
    [anon_sym_indirect] = ACTIONS(3356),
    [anon_sym_BANG2] = ACTIONS(3358),
    [anon_sym_SEMI] = ACTIONS(3356),
    [anon_sym_init] = ACTIONS(3356),
    [anon_sym_deinit] = ACTIONS(3356),
    [anon_sym_subscript] = ACTIONS(3356),
    [anon_sym_prefix] = ACTIONS(3356),
    [anon_sym_infix] = ACTIONS(3356),
    [anon_sym_postfix] = ACTIONS(3356),
    [anon_sym_precedencegroup] = ACTIONS(3356),
    [anon_sym_associatedtype] = ACTIONS(3356),
    [anon_sym_AT] = ACTIONS(3358),
    [anon_sym_override] = ACTIONS(3356),
    [anon_sym_convenience] = ACTIONS(3356),
    [anon_sym_required] = ACTIONS(3356),
    [anon_sym_nonisolated] = ACTIONS(3356),
    [anon_sym_public] = ACTIONS(3356),
    [anon_sym_private] = ACTIONS(3356),
    [anon_sym_internal] = ACTIONS(3356),
    [anon_sym_fileprivate] = ACTIONS(3356),
    [anon_sym_open] = ACTIONS(3356),
    [anon_sym_mutating] = ACTIONS(3356),
    [anon_sym_nonmutating] = ACTIONS(3356),
    [anon_sym_static] = ACTIONS(3356),
    [anon_sym_dynamic] = ACTIONS(3356),
    [anon_sym_optional] = ACTIONS(3356),
    [anon_sym_distributed] = ACTIONS(3356),
    [anon_sym_final] = ACTIONS(3356),
    [anon_sym_inout] = ACTIONS(3356),
    [anon_sym_ATescaping] = ACTIONS(3356),
    [anon_sym_ATautoclosure] = ACTIONS(3356),
    [anon_sym_weak] = ACTIONS(3356),
    [anon_sym_unowned] = ACTIONS(3358),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3356),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3356),
    [anon_sym_borrowing] = ACTIONS(3356),
    [anon_sym_consuming] = ACTIONS(3356),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3356),
    [sym__conjunction_operator_custom] = ACTIONS(3356),
    [sym__disjunction_operator_custom] = ACTIONS(3356),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3356),
    [sym__eq_custom] = ACTIONS(3356),
    [sym__eq_eq_custom] = ACTIONS(3356),
    [sym__plus_then_ws] = ACTIONS(3356),
    [sym__minus_then_ws] = ACTIONS(3356),
    [sym__bang_custom] = ACTIONS(3356),
    [sym__as_custom] = ACTIONS(3356),
    [sym__as_quest_custom] = ACTIONS(3356),
    [sym__as_bang_custom] = ACTIONS(3356),
    [sym__custom_operator] = ACTIONS(3356),
  },
  [822] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(3360),
    [anon_sym_async] = ACTIONS(3360),
    [anon_sym_lazy] = ACTIONS(3360),
    [anon_sym_package] = ACTIONS(3360),
    [anon_sym_RPAREN] = ACTIONS(3360),
    [anon_sym_COMMA] = ACTIONS(3360),
    [anon_sym_COLON] = ACTIONS(3360),
    [anon_sym_LPAREN] = ACTIONS(3360),
    [anon_sym_LBRACK] = ACTIONS(3360),
    [anon_sym_RBRACK] = ACTIONS(3360),
    [anon_sym_QMARK] = ACTIONS(3362),
    [anon_sym_QMARK2] = ACTIONS(3360),
    [anon_sym_AMP] = ACTIONS(3360),
    [aux_sym_custom_operator_token1] = ACTIONS(3360),
    [anon_sym_LT] = ACTIONS(3362),
    [anon_sym_GT] = ACTIONS(3362),
    [anon_sym_LBRACE] = ACTIONS(3360),
    [anon_sym_CARET_LBRACE] = ACTIONS(3360),
    [anon_sym_RBRACE] = ACTIONS(3360),
    [anon_sym_case] = ACTIONS(3360),
    [anon_sym_PLUS_EQ] = ACTIONS(3360),
    [anon_sym_DASH_EQ] = ACTIONS(3360),
    [anon_sym_STAR_EQ] = ACTIONS(3360),
    [anon_sym_SLASH_EQ] = ACTIONS(3360),
    [anon_sym_PERCENT_EQ] = ACTIONS(3360),
    [anon_sym_BANG_EQ] = ACTIONS(3362),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3360),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3360),
    [anon_sym_LT_EQ] = ACTIONS(3360),
    [anon_sym_GT_EQ] = ACTIONS(3360),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3360),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3360),
    [anon_sym_is] = ACTIONS(3360),
    [anon_sym_PLUS] = ACTIONS(3362),
    [anon_sym_DASH] = ACTIONS(3362),
    [anon_sym_STAR] = ACTIONS(3362),
    [anon_sym_SLASH] = ACTIONS(3362),
    [anon_sym_PERCENT] = ACTIONS(3362),
    [anon_sym_PLUS_PLUS] = ACTIONS(3360),
    [anon_sym_DASH_DASH] = ACTIONS(3360),
    [anon_sym_PIPE] = ACTIONS(3360),
    [anon_sym_CARET] = ACTIONS(3362),
    [anon_sym_LT_LT] = ACTIONS(3360),
    [anon_sym_GT_GT] = ACTIONS(3360),
    [anon_sym_import] = ACTIONS(3360),
    [anon_sym_typealias] = ACTIONS(3360),
    [anon_sym_struct] = ACTIONS(3360),
    [anon_sym_class] = ACTIONS(3360),
    [anon_sym_enum] = ACTIONS(3360),
    [anon_sym_protocol] = ACTIONS(3360),
    [anon_sym_let] = ACTIONS(3360),
    [anon_sym_var] = ACTIONS(3360),
    [anon_sym_func] = ACTIONS(3360),
    [anon_sym_extension] = ACTIONS(3360),
    [anon_sym_indirect] = ACTIONS(3360),
    [anon_sym_BANG2] = ACTIONS(3362),
    [anon_sym_SEMI] = ACTIONS(3360),
    [anon_sym_init] = ACTIONS(3360),
    [anon_sym_deinit] = ACTIONS(3360),
    [anon_sym_subscript] = ACTIONS(3360),
    [anon_sym_prefix] = ACTIONS(3360),
    [anon_sym_infix] = ACTIONS(3360),
    [anon_sym_postfix] = ACTIONS(3360),
    [anon_sym_precedencegroup] = ACTIONS(3360),
    [anon_sym_associatedtype] = ACTIONS(3360),
    [anon_sym_AT] = ACTIONS(3362),
    [anon_sym_override] = ACTIONS(3360),
    [anon_sym_convenience] = ACTIONS(3360),
    [anon_sym_required] = ACTIONS(3360),
    [anon_sym_nonisolated] = ACTIONS(3360),
    [anon_sym_public] = ACTIONS(3360),
    [anon_sym_private] = ACTIONS(3360),
    [anon_sym_internal] = ACTIONS(3360),
    [anon_sym_fileprivate] = ACTIONS(3360),
    [anon_sym_open] = ACTIONS(3360),
    [anon_sym_mutating] = ACTIONS(3360),
    [anon_sym_nonmutating] = ACTIONS(3360),
    [anon_sym_static] = ACTIONS(3360),
    [anon_sym_dynamic] = ACTIONS(3360),
    [anon_sym_optional] = ACTIONS(3360),
    [anon_sym_distributed] = ACTIONS(3360),
    [anon_sym_final] = ACTIONS(3360),
    [anon_sym_inout] = ACTIONS(3360),
    [anon_sym_ATescaping] = ACTIONS(3360),
    [anon_sym_ATautoclosure] = ACTIONS(3360),
    [anon_sym_weak] = ACTIONS(3360),
    [anon_sym_unowned] = ACTIONS(3362),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3360),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3360),
    [anon_sym_borrowing] = ACTIONS(3360),
    [anon_sym_consuming] = ACTIONS(3360),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3360),
    [sym__conjunction_operator_custom] = ACTIONS(3360),
    [sym__disjunction_operator_custom] = ACTIONS(3360),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3360),
    [sym__eq_custom] = ACTIONS(3360),
    [sym__eq_eq_custom] = ACTIONS(3360),
    [sym__plus_then_ws] = ACTIONS(3360),
    [sym__minus_then_ws] = ACTIONS(3360),
    [sym__bang_custom] = ACTIONS(3360),
    [sym__as_custom] = ACTIONS(3360),
    [sym__as_quest_custom] = ACTIONS(3360),
    [sym__as_bang_custom] = ACTIONS(3360),
    [sym__custom_operator] = ACTIONS(3360),
  },
  [823] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(3364),
    [anon_sym_async] = ACTIONS(3364),
    [anon_sym_lazy] = ACTIONS(3364),
    [anon_sym_package] = ACTIONS(3364),
    [anon_sym_RPAREN] = ACTIONS(3364),
    [anon_sym_COMMA] = ACTIONS(3364),
    [anon_sym_COLON] = ACTIONS(3364),
    [anon_sym_LPAREN] = ACTIONS(3364),
    [anon_sym_LBRACK] = ACTIONS(3364),
    [anon_sym_RBRACK] = ACTIONS(3364),
    [anon_sym_QMARK] = ACTIONS(3366),
    [anon_sym_QMARK2] = ACTIONS(3364),
    [anon_sym_AMP] = ACTIONS(3364),
    [aux_sym_custom_operator_token1] = ACTIONS(3364),
    [anon_sym_LT] = ACTIONS(3366),
    [anon_sym_GT] = ACTIONS(3366),
    [anon_sym_LBRACE] = ACTIONS(3364),
    [anon_sym_CARET_LBRACE] = ACTIONS(3364),
    [anon_sym_RBRACE] = ACTIONS(3364),
    [anon_sym_case] = ACTIONS(3364),
    [anon_sym_PLUS_EQ] = ACTIONS(3364),
    [anon_sym_DASH_EQ] = ACTIONS(3364),
    [anon_sym_STAR_EQ] = ACTIONS(3364),
    [anon_sym_SLASH_EQ] = ACTIONS(3364),
    [anon_sym_PERCENT_EQ] = ACTIONS(3364),
    [anon_sym_BANG_EQ] = ACTIONS(3366),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3364),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3364),
    [anon_sym_LT_EQ] = ACTIONS(3364),
    [anon_sym_GT_EQ] = ACTIONS(3364),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3364),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3364),
    [anon_sym_is] = ACTIONS(3364),
    [anon_sym_PLUS] = ACTIONS(3366),
    [anon_sym_DASH] = ACTIONS(3366),
    [anon_sym_STAR] = ACTIONS(3366),
    [anon_sym_SLASH] = ACTIONS(3366),
    [anon_sym_PERCENT] = ACTIONS(3366),
    [anon_sym_PLUS_PLUS] = ACTIONS(3364),
    [anon_sym_DASH_DASH] = ACTIONS(3364),
    [anon_sym_PIPE] = ACTIONS(3364),
    [anon_sym_CARET] = ACTIONS(3366),
    [anon_sym_LT_LT] = ACTIONS(3364),
    [anon_sym_GT_GT] = ACTIONS(3364),
    [anon_sym_import] = ACTIONS(3364),
    [anon_sym_typealias] = ACTIONS(3364),
    [anon_sym_struct] = ACTIONS(3364),
    [anon_sym_class] = ACTIONS(3364),
    [anon_sym_enum] = ACTIONS(3364),
    [anon_sym_protocol] = ACTIONS(3364),
    [anon_sym_let] = ACTIONS(3364),
    [anon_sym_var] = ACTIONS(3364),
    [anon_sym_func] = ACTIONS(3364),
    [anon_sym_extension] = ACTIONS(3364),
    [anon_sym_indirect] = ACTIONS(3364),
    [anon_sym_BANG2] = ACTIONS(3366),
    [anon_sym_SEMI] = ACTIONS(3364),
    [anon_sym_init] = ACTIONS(3364),
    [anon_sym_deinit] = ACTIONS(3364),
    [anon_sym_subscript] = ACTIONS(3364),
    [anon_sym_prefix] = ACTIONS(3364),
    [anon_sym_infix] = ACTIONS(3364),
    [anon_sym_postfix] = ACTIONS(3364),
    [anon_sym_precedencegroup] = ACTIONS(3364),
    [anon_sym_associatedtype] = ACTIONS(3364),
    [anon_sym_AT] = ACTIONS(3366),
    [anon_sym_override] = ACTIONS(3364),
    [anon_sym_convenience] = ACTIONS(3364),
    [anon_sym_required] = ACTIONS(3364),
    [anon_sym_nonisolated] = ACTIONS(3364),
    [anon_sym_public] = ACTIONS(3364),
    [anon_sym_private] = ACTIONS(3364),
    [anon_sym_internal] = ACTIONS(3364),
    [anon_sym_fileprivate] = ACTIONS(3364),
    [anon_sym_open] = ACTIONS(3364),
    [anon_sym_mutating] = ACTIONS(3364),
    [anon_sym_nonmutating] = ACTIONS(3364),
    [anon_sym_static] = ACTIONS(3364),
    [anon_sym_dynamic] = ACTIONS(3364),
    [anon_sym_optional] = ACTIONS(3364),
    [anon_sym_distributed] = ACTIONS(3364),
    [anon_sym_final] = ACTIONS(3364),
    [anon_sym_inout] = ACTIONS(3364),
    [anon_sym_ATescaping] = ACTIONS(3364),
    [anon_sym_ATautoclosure] = ACTIONS(3364),
    [anon_sym_weak] = ACTIONS(3364),
    [anon_sym_unowned] = ACTIONS(3366),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3364),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3364),
    [anon_sym_borrowing] = ACTIONS(3364),
    [anon_sym_consuming] = ACTIONS(3364),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3364),
    [sym__conjunction_operator_custom] = ACTIONS(3364),
    [sym__disjunction_operator_custom] = ACTIONS(3364),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3364),
    [sym__eq_custom] = ACTIONS(3364),
    [sym__eq_eq_custom] = ACTIONS(3364),
    [sym__plus_then_ws] = ACTIONS(3364),
    [sym__minus_then_ws] = ACTIONS(3364),
    [sym__bang_custom] = ACTIONS(3364),
    [sym__as_custom] = ACTIONS(3364),
    [sym__as_quest_custom] = ACTIONS(3364),
    [sym__as_bang_custom] = ACTIONS(3364),
    [sym__custom_operator] = ACTIONS(3364),
  },
  [824] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(3368),
    [anon_sym_async] = ACTIONS(3368),
    [anon_sym_lazy] = ACTIONS(3368),
    [anon_sym_package] = ACTIONS(3368),
    [anon_sym_RPAREN] = ACTIONS(3368),
    [anon_sym_COMMA] = ACTIONS(3368),
    [anon_sym_COLON] = ACTIONS(3368),
    [anon_sym_LPAREN] = ACTIONS(3368),
    [anon_sym_LBRACK] = ACTIONS(3368),
    [anon_sym_RBRACK] = ACTIONS(3368),
    [anon_sym_QMARK] = ACTIONS(3370),
    [anon_sym_QMARK2] = ACTIONS(3368),
    [anon_sym_AMP] = ACTIONS(3368),
    [aux_sym_custom_operator_token1] = ACTIONS(3368),
    [anon_sym_LT] = ACTIONS(3370),
    [anon_sym_GT] = ACTIONS(3370),
    [anon_sym_LBRACE] = ACTIONS(3368),
    [anon_sym_CARET_LBRACE] = ACTIONS(3368),
    [anon_sym_RBRACE] = ACTIONS(3368),
    [anon_sym_case] = ACTIONS(3368),
    [anon_sym_PLUS_EQ] = ACTIONS(3368),
    [anon_sym_DASH_EQ] = ACTIONS(3368),
    [anon_sym_STAR_EQ] = ACTIONS(3368),
    [anon_sym_SLASH_EQ] = ACTIONS(3368),
    [anon_sym_PERCENT_EQ] = ACTIONS(3368),
    [anon_sym_BANG_EQ] = ACTIONS(3370),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3368),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3368),
    [anon_sym_LT_EQ] = ACTIONS(3368),
    [anon_sym_GT_EQ] = ACTIONS(3368),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3368),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3368),
    [anon_sym_is] = ACTIONS(3368),
    [anon_sym_PLUS] = ACTIONS(3370),
    [anon_sym_DASH] = ACTIONS(3370),
    [anon_sym_STAR] = ACTIONS(3370),
    [anon_sym_SLASH] = ACTIONS(3370),
    [anon_sym_PERCENT] = ACTIONS(3370),
    [anon_sym_PLUS_PLUS] = ACTIONS(3368),
    [anon_sym_DASH_DASH] = ACTIONS(3368),
    [anon_sym_PIPE] = ACTIONS(3368),
    [anon_sym_CARET] = ACTIONS(3370),
    [anon_sym_LT_LT] = ACTIONS(3368),
    [anon_sym_GT_GT] = ACTIONS(3368),
    [anon_sym_import] = ACTIONS(3368),
    [anon_sym_typealias] = ACTIONS(3368),
    [anon_sym_struct] = ACTIONS(3368),
    [anon_sym_class] = ACTIONS(3368),
    [anon_sym_enum] = ACTIONS(3368),
    [anon_sym_protocol] = ACTIONS(3368),
    [anon_sym_let] = ACTIONS(3368),
    [anon_sym_var] = ACTIONS(3368),
    [anon_sym_func] = ACTIONS(3368),
    [anon_sym_extension] = ACTIONS(3368),
    [anon_sym_indirect] = ACTIONS(3368),
    [anon_sym_BANG2] = ACTIONS(3370),
    [anon_sym_SEMI] = ACTIONS(3368),
    [anon_sym_init] = ACTIONS(3368),
    [anon_sym_deinit] = ACTIONS(3368),
    [anon_sym_subscript] = ACTIONS(3368),
    [anon_sym_prefix] = ACTIONS(3368),
    [anon_sym_infix] = ACTIONS(3368),
    [anon_sym_postfix] = ACTIONS(3368),
    [anon_sym_precedencegroup] = ACTIONS(3368),
    [anon_sym_associatedtype] = ACTIONS(3368),
    [anon_sym_AT] = ACTIONS(3370),
    [anon_sym_override] = ACTIONS(3368),
    [anon_sym_convenience] = ACTIONS(3368),
    [anon_sym_required] = ACTIONS(3368),
    [anon_sym_nonisolated] = ACTIONS(3368),
    [anon_sym_public] = ACTIONS(3368),
    [anon_sym_private] = ACTIONS(3368),
    [anon_sym_internal] = ACTIONS(3368),
    [anon_sym_fileprivate] = ACTIONS(3368),
    [anon_sym_open] = ACTIONS(3368),
    [anon_sym_mutating] = ACTIONS(3368),
    [anon_sym_nonmutating] = ACTIONS(3368),
    [anon_sym_static] = ACTIONS(3368),
    [anon_sym_dynamic] = ACTIONS(3368),
    [anon_sym_optional] = ACTIONS(3368),
    [anon_sym_distributed] = ACTIONS(3368),
    [anon_sym_final] = ACTIONS(3368),
    [anon_sym_inout] = ACTIONS(3368),
    [anon_sym_ATescaping] = ACTIONS(3368),
    [anon_sym_ATautoclosure] = ACTIONS(3368),
    [anon_sym_weak] = ACTIONS(3368),
    [anon_sym_unowned] = ACTIONS(3370),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3368),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3368),
    [anon_sym_borrowing] = ACTIONS(3368),
    [anon_sym_consuming] = ACTIONS(3368),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3368),
    [sym__conjunction_operator_custom] = ACTIONS(3368),
    [sym__disjunction_operator_custom] = ACTIONS(3368),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3368),
    [sym__eq_custom] = ACTIONS(3368),
    [sym__eq_eq_custom] = ACTIONS(3368),
    [sym__plus_then_ws] = ACTIONS(3368),
    [sym__minus_then_ws] = ACTIONS(3368),
    [sym__bang_custom] = ACTIONS(3368),
    [sym__as_custom] = ACTIONS(3368),
    [sym__as_quest_custom] = ACTIONS(3368),
    [sym__as_bang_custom] = ACTIONS(3368),
    [sym__custom_operator] = ACTIONS(3368),
  },
  [825] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(3372),
    [anon_sym_async] = ACTIONS(3372),
    [anon_sym_lazy] = ACTIONS(3372),
    [anon_sym_package] = ACTIONS(3372),
    [anon_sym_RPAREN] = ACTIONS(3372),
    [anon_sym_COMMA] = ACTIONS(3372),
    [anon_sym_COLON] = ACTIONS(3372),
    [anon_sym_LPAREN] = ACTIONS(3372),
    [anon_sym_LBRACK] = ACTIONS(3372),
    [anon_sym_RBRACK] = ACTIONS(3372),
    [anon_sym_QMARK] = ACTIONS(3374),
    [anon_sym_QMARK2] = ACTIONS(3372),
    [anon_sym_AMP] = ACTIONS(3372),
    [aux_sym_custom_operator_token1] = ACTIONS(3372),
    [anon_sym_LT] = ACTIONS(3374),
    [anon_sym_GT] = ACTIONS(3374),
    [anon_sym_LBRACE] = ACTIONS(3372),
    [anon_sym_CARET_LBRACE] = ACTIONS(3372),
    [anon_sym_RBRACE] = ACTIONS(3372),
    [anon_sym_case] = ACTIONS(3372),
    [anon_sym_PLUS_EQ] = ACTIONS(3372),
    [anon_sym_DASH_EQ] = ACTIONS(3372),
    [anon_sym_STAR_EQ] = ACTIONS(3372),
    [anon_sym_SLASH_EQ] = ACTIONS(3372),
    [anon_sym_PERCENT_EQ] = ACTIONS(3372),
    [anon_sym_BANG_EQ] = ACTIONS(3374),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3372),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3372),
    [anon_sym_LT_EQ] = ACTIONS(3372),
    [anon_sym_GT_EQ] = ACTIONS(3372),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3372),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3372),
    [anon_sym_is] = ACTIONS(3372),
    [anon_sym_PLUS] = ACTIONS(3374),
    [anon_sym_DASH] = ACTIONS(3374),
    [anon_sym_STAR] = ACTIONS(3374),
    [anon_sym_SLASH] = ACTIONS(3374),
    [anon_sym_PERCENT] = ACTIONS(3374),
    [anon_sym_PLUS_PLUS] = ACTIONS(3372),
    [anon_sym_DASH_DASH] = ACTIONS(3372),
    [anon_sym_PIPE] = ACTIONS(3372),
    [anon_sym_CARET] = ACTIONS(3374),
    [anon_sym_LT_LT] = ACTIONS(3372),
    [anon_sym_GT_GT] = ACTIONS(3372),
    [anon_sym_import] = ACTIONS(3372),
    [anon_sym_typealias] = ACTIONS(3372),
    [anon_sym_struct] = ACTIONS(3372),
    [anon_sym_class] = ACTIONS(3372),
    [anon_sym_enum] = ACTIONS(3372),
    [anon_sym_protocol] = ACTIONS(3372),
    [anon_sym_let] = ACTIONS(3372),
    [anon_sym_var] = ACTIONS(3372),
    [anon_sym_func] = ACTIONS(3372),
    [anon_sym_extension] = ACTIONS(3372),
    [anon_sym_indirect] = ACTIONS(3372),
    [anon_sym_BANG2] = ACTIONS(3374),
    [anon_sym_SEMI] = ACTIONS(3372),
    [anon_sym_init] = ACTIONS(3372),
    [anon_sym_deinit] = ACTIONS(3372),
    [anon_sym_subscript] = ACTIONS(3372),
    [anon_sym_prefix] = ACTIONS(3372),
    [anon_sym_infix] = ACTIONS(3372),
    [anon_sym_postfix] = ACTIONS(3372),
    [anon_sym_precedencegroup] = ACTIONS(3372),
    [anon_sym_associatedtype] = ACTIONS(3372),
    [anon_sym_AT] = ACTIONS(3374),
    [anon_sym_override] = ACTIONS(3372),
    [anon_sym_convenience] = ACTIONS(3372),
    [anon_sym_required] = ACTIONS(3372),
    [anon_sym_nonisolated] = ACTIONS(3372),
    [anon_sym_public] = ACTIONS(3372),
    [anon_sym_private] = ACTIONS(3372),
    [anon_sym_internal] = ACTIONS(3372),
    [anon_sym_fileprivate] = ACTIONS(3372),
    [anon_sym_open] = ACTIONS(3372),
    [anon_sym_mutating] = ACTIONS(3372),
    [anon_sym_nonmutating] = ACTIONS(3372),
    [anon_sym_static] = ACTIONS(3372),
    [anon_sym_dynamic] = ACTIONS(3372),
    [anon_sym_optional] = ACTIONS(3372),
    [anon_sym_distributed] = ACTIONS(3372),
    [anon_sym_final] = ACTIONS(3372),
    [anon_sym_inout] = ACTIONS(3372),
    [anon_sym_ATescaping] = ACTIONS(3372),
    [anon_sym_ATautoclosure] = ACTIONS(3372),
    [anon_sym_weak] = ACTIONS(3372),
    [anon_sym_unowned] = ACTIONS(3374),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3372),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3372),
    [anon_sym_borrowing] = ACTIONS(3372),
    [anon_sym_consuming] = ACTIONS(3372),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3372),
    [sym__conjunction_operator_custom] = ACTIONS(3372),
    [sym__disjunction_operator_custom] = ACTIONS(3372),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3372),
    [sym__eq_custom] = ACTIONS(3372),
    [sym__eq_eq_custom] = ACTIONS(3372),
    [sym__plus_then_ws] = ACTIONS(3372),
    [sym__minus_then_ws] = ACTIONS(3372),
    [sym__bang_custom] = ACTIONS(3372),
    [sym__as_custom] = ACTIONS(3372),
    [sym__as_quest_custom] = ACTIONS(3372),
    [sym__as_bang_custom] = ACTIONS(3372),
    [sym__custom_operator] = ACTIONS(3372),
  },
  [826] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(3376),
    [anon_sym_async] = ACTIONS(3376),
    [anon_sym_lazy] = ACTIONS(3376),
    [anon_sym_package] = ACTIONS(3376),
    [anon_sym_RPAREN] = ACTIONS(3376),
    [anon_sym_COMMA] = ACTIONS(3376),
    [anon_sym_COLON] = ACTIONS(3376),
    [anon_sym_LPAREN] = ACTIONS(3376),
    [anon_sym_LBRACK] = ACTIONS(3376),
    [anon_sym_RBRACK] = ACTIONS(3376),
    [anon_sym_QMARK] = ACTIONS(3378),
    [anon_sym_QMARK2] = ACTIONS(3376),
    [anon_sym_AMP] = ACTIONS(3376),
    [aux_sym_custom_operator_token1] = ACTIONS(3376),
    [anon_sym_LT] = ACTIONS(3378),
    [anon_sym_GT] = ACTIONS(3378),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_CARET_LBRACE] = ACTIONS(3376),
    [anon_sym_RBRACE] = ACTIONS(3376),
    [anon_sym_case] = ACTIONS(3376),
    [anon_sym_PLUS_EQ] = ACTIONS(3376),
    [anon_sym_DASH_EQ] = ACTIONS(3376),
    [anon_sym_STAR_EQ] = ACTIONS(3376),
    [anon_sym_SLASH_EQ] = ACTIONS(3376),
    [anon_sym_PERCENT_EQ] = ACTIONS(3376),
    [anon_sym_BANG_EQ] = ACTIONS(3378),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3376),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3376),
    [anon_sym_LT_EQ] = ACTIONS(3376),
    [anon_sym_GT_EQ] = ACTIONS(3376),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3376),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3376),
    [anon_sym_is] = ACTIONS(3376),
    [anon_sym_PLUS] = ACTIONS(3378),
    [anon_sym_DASH] = ACTIONS(3378),
    [anon_sym_STAR] = ACTIONS(3378),
    [anon_sym_SLASH] = ACTIONS(3378),
    [anon_sym_PERCENT] = ACTIONS(3378),
    [anon_sym_PLUS_PLUS] = ACTIONS(3376),
    [anon_sym_DASH_DASH] = ACTIONS(3376),
    [anon_sym_PIPE] = ACTIONS(3376),
    [anon_sym_CARET] = ACTIONS(3378),
    [anon_sym_LT_LT] = ACTIONS(3376),
    [anon_sym_GT_GT] = ACTIONS(3376),
    [anon_sym_import] = ACTIONS(3376),
    [anon_sym_typealias] = ACTIONS(3376),
    [anon_sym_struct] = ACTIONS(3376),
    [anon_sym_class] = ACTIONS(3376),
    [anon_sym_enum] = ACTIONS(3376),
    [anon_sym_protocol] = ACTIONS(3376),
    [anon_sym_let] = ACTIONS(3376),
    [anon_sym_var] = ACTIONS(3376),
    [anon_sym_func] = ACTIONS(3376),
    [anon_sym_extension] = ACTIONS(3376),
    [anon_sym_indirect] = ACTIONS(3376),
    [anon_sym_BANG2] = ACTIONS(3378),
    [anon_sym_SEMI] = ACTIONS(3376),
    [anon_sym_init] = ACTIONS(3376),
    [anon_sym_deinit] = ACTIONS(3376),
    [anon_sym_subscript] = ACTIONS(3376),
    [anon_sym_prefix] = ACTIONS(3376),
    [anon_sym_infix] = ACTIONS(3376),
    [anon_sym_postfix] = ACTIONS(3376),
    [anon_sym_precedencegroup] = ACTIONS(3376),
    [anon_sym_associatedtype] = ACTIONS(3376),
    [anon_sym_AT] = ACTIONS(3378),
    [anon_sym_override] = ACTIONS(3376),
    [anon_sym_convenience] = ACTIONS(3376),
    [anon_sym_required] = ACTIONS(3376),
    [anon_sym_nonisolated] = ACTIONS(3376),
    [anon_sym_public] = ACTIONS(3376),
    [anon_sym_private] = ACTIONS(3376),
    [anon_sym_internal] = ACTIONS(3376),
    [anon_sym_fileprivate] = ACTIONS(3376),
    [anon_sym_open] = ACTIONS(3376),
    [anon_sym_mutating] = ACTIONS(3376),
    [anon_sym_nonmutating] = ACTIONS(3376),
    [anon_sym_static] = ACTIONS(3376),
    [anon_sym_dynamic] = ACTIONS(3376),
    [anon_sym_optional] = ACTIONS(3376),
    [anon_sym_distributed] = ACTIONS(3376),
    [anon_sym_final] = ACTIONS(3376),
    [anon_sym_inout] = ACTIONS(3376),
    [anon_sym_ATescaping] = ACTIONS(3376),
    [anon_sym_ATautoclosure] = ACTIONS(3376),
    [anon_sym_weak] = ACTIONS(3376),
    [anon_sym_unowned] = ACTIONS(3378),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3376),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3376),
    [anon_sym_borrowing] = ACTIONS(3376),
    [anon_sym_consuming] = ACTIONS(3376),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3376),
    [sym__conjunction_operator_custom] = ACTIONS(3376),
    [sym__disjunction_operator_custom] = ACTIONS(3376),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3376),
    [sym__eq_custom] = ACTIONS(3376),
    [sym__eq_eq_custom] = ACTIONS(3376),
    [sym__plus_then_ws] = ACTIONS(3376),
    [sym__minus_then_ws] = ACTIONS(3376),
    [sym__bang_custom] = ACTIONS(3376),
    [sym__as_custom] = ACTIONS(3376),
    [sym__as_quest_custom] = ACTIONS(3376),
    [sym__as_bang_custom] = ACTIONS(3376),
    [sym__custom_operator] = ACTIONS(3376),
  },
  [827] = {
    [sym__fn_call_lambda_arguments] = STATE(776),
    [sym_lambda_literal] = STATE(683),
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(3380),
    [anon_sym_async] = ACTIONS(3380),
    [anon_sym_lazy] = ACTIONS(3380),
    [anon_sym_package] = ACTIONS(3380),
    [anon_sym_COMMA] = ACTIONS(3380),
    [anon_sym_LPAREN] = ACTIONS(3380),
    [anon_sym_LBRACK] = ACTIONS(3380),
    [anon_sym_QMARK] = ACTIONS(3382),
    [anon_sym_QMARK2] = ACTIONS(3380),
    [anon_sym_AMP] = ACTIONS(3380),
    [aux_sym_custom_operator_token1] = ACTIONS(3380),
    [anon_sym_LT] = ACTIONS(3382),
    [anon_sym_GT] = ACTIONS(3382),
    [anon_sym_LBRACE] = ACTIONS(3384),
    [anon_sym_CARET_LBRACE] = ACTIONS(3384),
    [anon_sym_RBRACE] = ACTIONS(3380),
    [anon_sym_case] = ACTIONS(3380),
    [anon_sym_PLUS_EQ] = ACTIONS(3380),
    [anon_sym_DASH_EQ] = ACTIONS(3380),
    [anon_sym_STAR_EQ] = ACTIONS(3380),
    [anon_sym_SLASH_EQ] = ACTIONS(3380),
    [anon_sym_PERCENT_EQ] = ACTIONS(3380),
    [anon_sym_BANG_EQ] = ACTIONS(3382),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3380),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3380),
    [anon_sym_LT_EQ] = ACTIONS(3380),
    [anon_sym_GT_EQ] = ACTIONS(3380),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3380),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3380),
    [anon_sym_is] = ACTIONS(3380),
    [anon_sym_PLUS] = ACTIONS(3382),
    [anon_sym_DASH] = ACTIONS(3382),
    [anon_sym_STAR] = ACTIONS(3382),
    [anon_sym_SLASH] = ACTIONS(3382),
    [anon_sym_PERCENT] = ACTIONS(3382),
    [anon_sym_PLUS_PLUS] = ACTIONS(3380),
    [anon_sym_DASH_DASH] = ACTIONS(3380),
    [anon_sym_PIPE] = ACTIONS(3380),
    [anon_sym_CARET] = ACTIONS(3382),
    [anon_sym_LT_LT] = ACTIONS(3380),
    [anon_sym_GT_GT] = ACTIONS(3380),
    [anon_sym_import] = ACTIONS(3380),
    [anon_sym_typealias] = ACTIONS(3380),
    [anon_sym_struct] = ACTIONS(3380),
    [anon_sym_class] = ACTIONS(3380),
    [anon_sym_enum] = ACTIONS(3380),
    [anon_sym_protocol] = ACTIONS(3380),
    [anon_sym_let] = ACTIONS(3380),
    [anon_sym_var] = ACTIONS(3380),
    [anon_sym_func] = ACTIONS(3380),
    [anon_sym_extension] = ACTIONS(3380),
    [anon_sym_indirect] = ACTIONS(3380),
    [anon_sym_BANG2] = ACTIONS(3382),
    [anon_sym_SEMI] = ACTIONS(3380),
    [anon_sym_init] = ACTIONS(3380),
    [anon_sym_deinit] = ACTIONS(3380),
    [anon_sym_subscript] = ACTIONS(3380),
    [anon_sym_prefix] = ACTIONS(3380),
    [anon_sym_infix] = ACTIONS(3380),
    [anon_sym_postfix] = ACTIONS(3380),
    [anon_sym_precedencegroup] = ACTIONS(3380),
    [anon_sym_associatedtype] = ACTIONS(3380),
    [anon_sym_AT] = ACTIONS(3382),
    [anon_sym_override] = ACTIONS(3380),
    [anon_sym_convenience] = ACTIONS(3380),
    [anon_sym_required] = ACTIONS(3380),
    [anon_sym_nonisolated] = ACTIONS(3380),
    [anon_sym_public] = ACTIONS(3380),
    [anon_sym_private] = ACTIONS(3380),
    [anon_sym_internal] = ACTIONS(3380),
    [anon_sym_fileprivate] = ACTIONS(3380),
    [anon_sym_open] = ACTIONS(3380),
    [anon_sym_mutating] = ACTIONS(3380),
    [anon_sym_nonmutating] = ACTIONS(3380),
    [anon_sym_static] = ACTIONS(3380),
    [anon_sym_dynamic] = ACTIONS(3380),
    [anon_sym_optional] = ACTIONS(3380),
    [anon_sym_distributed] = ACTIONS(3380),
    [anon_sym_final] = ACTIONS(3380),
    [anon_sym_inout] = ACTIONS(3380),
    [anon_sym_ATescaping] = ACTIONS(3380),
    [anon_sym_ATautoclosure] = ACTIONS(3380),
    [anon_sym_weak] = ACTIONS(3380),
    [anon_sym_unowned] = ACTIONS(3382),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3380),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3380),
    [anon_sym_borrowing] = ACTIONS(3380),
    [anon_sym_consuming] = ACTIONS(3380),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3380),
    [sym__conjunction_operator_custom] = ACTIONS(3380),
    [sym__disjunction_operator_custom] = ACTIONS(3380),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3380),
    [sym__eq_custom] = ACTIONS(3380),
    [sym__eq_eq_custom] = ACTIONS(3380),
    [sym__plus_then_ws] = ACTIONS(3380),
    [sym__minus_then_ws] = ACTIONS(3380),
    [sym__bang_custom] = ACTIONS(3380),
    [sym__as_custom] = ACTIONS(3380),
    [sym__as_quest_custom] = ACTIONS(3380),
    [sym__as_bang_custom] = ACTIONS(3380),
    [sym__custom_operator] = ACTIONS(3380),
  },
  [828] = {
    [sym__fn_call_lambda_arguments] = STATE(767),
    [sym_lambda_literal] = STATE(683),
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(3387),
    [anon_sym_async] = ACTIONS(3387),
    [anon_sym_lazy] = ACTIONS(3387),
    [anon_sym_package] = ACTIONS(3387),
    [anon_sym_COMMA] = ACTIONS(3387),
    [anon_sym_LPAREN] = ACTIONS(3387),
    [anon_sym_LBRACK] = ACTIONS(3387),
    [anon_sym_QMARK] = ACTIONS(3390),
    [anon_sym_QMARK2] = ACTIONS(3387),
    [anon_sym_AMP] = ACTIONS(3387),
    [aux_sym_custom_operator_token1] = ACTIONS(3387),
    [anon_sym_LT] = ACTIONS(3390),
    [anon_sym_GT] = ACTIONS(3390),
    [anon_sym_LBRACE] = ACTIONS(3393),
    [anon_sym_CARET_LBRACE] = ACTIONS(3393),
    [anon_sym_RBRACE] = ACTIONS(3387),
    [anon_sym_case] = ACTIONS(3387),
    [anon_sym_PLUS_EQ] = ACTIONS(3387),
    [anon_sym_DASH_EQ] = ACTIONS(3387),
    [anon_sym_STAR_EQ] = ACTIONS(3387),
    [anon_sym_SLASH_EQ] = ACTIONS(3387),
    [anon_sym_PERCENT_EQ] = ACTIONS(3387),
    [anon_sym_BANG_EQ] = ACTIONS(3390),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3387),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3387),
    [anon_sym_LT_EQ] = ACTIONS(3387),
    [anon_sym_GT_EQ] = ACTIONS(3387),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3387),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3387),
    [anon_sym_is] = ACTIONS(3387),
    [anon_sym_PLUS] = ACTIONS(3390),
    [anon_sym_DASH] = ACTIONS(3390),
    [anon_sym_STAR] = ACTIONS(3390),
    [anon_sym_SLASH] = ACTIONS(3390),
    [anon_sym_PERCENT] = ACTIONS(3390),
    [anon_sym_PLUS_PLUS] = ACTIONS(3387),
    [anon_sym_DASH_DASH] = ACTIONS(3387),
    [anon_sym_PIPE] = ACTIONS(3387),
    [anon_sym_CARET] = ACTIONS(3390),
    [anon_sym_LT_LT] = ACTIONS(3387),
    [anon_sym_GT_GT] = ACTIONS(3387),
    [anon_sym_import] = ACTIONS(3387),
    [anon_sym_typealias] = ACTIONS(3387),
    [anon_sym_struct] = ACTIONS(3387),
    [anon_sym_class] = ACTIONS(3387),
    [anon_sym_enum] = ACTIONS(3387),
    [anon_sym_protocol] = ACTIONS(3387),
    [anon_sym_let] = ACTIONS(3387),
    [anon_sym_var] = ACTIONS(3387),
    [anon_sym_func] = ACTIONS(3387),
    [anon_sym_extension] = ACTIONS(3387),
    [anon_sym_indirect] = ACTIONS(3387),
    [anon_sym_BANG2] = ACTIONS(3390),
    [anon_sym_SEMI] = ACTIONS(3387),
    [anon_sym_init] = ACTIONS(3387),
    [anon_sym_deinit] = ACTIONS(3387),
    [anon_sym_subscript] = ACTIONS(3387),
    [anon_sym_prefix] = ACTIONS(3387),
    [anon_sym_infix] = ACTIONS(3387),
    [anon_sym_postfix] = ACTIONS(3387),
    [anon_sym_precedencegroup] = ACTIONS(3387),
    [anon_sym_associatedtype] = ACTIONS(3387),
    [anon_sym_AT] = ACTIONS(3390),
    [anon_sym_override] = ACTIONS(3387),
    [anon_sym_convenience] = ACTIONS(3387),
    [anon_sym_required] = ACTIONS(3387),
    [anon_sym_nonisolated] = ACTIONS(3387),
    [anon_sym_public] = ACTIONS(3387),
    [anon_sym_private] = ACTIONS(3387),
    [anon_sym_internal] = ACTIONS(3387),
    [anon_sym_fileprivate] = ACTIONS(3387),
    [anon_sym_open] = ACTIONS(3387),
    [anon_sym_mutating] = ACTIONS(3387),
    [anon_sym_nonmutating] = ACTIONS(3387),
    [anon_sym_static] = ACTIONS(3387),
    [anon_sym_dynamic] = ACTIONS(3387),
    [anon_sym_optional] = ACTIONS(3387),
    [anon_sym_distributed] = ACTIONS(3387),
    [anon_sym_final] = ACTIONS(3387),
    [anon_sym_inout] = ACTIONS(3387),
    [anon_sym_ATescaping] = ACTIONS(3387),
    [anon_sym_ATautoclosure] = ACTIONS(3387),
    [anon_sym_weak] = ACTIONS(3387),
    [anon_sym_unowned] = ACTIONS(3390),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3387),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3387),
    [anon_sym_borrowing] = ACTIONS(3387),
    [anon_sym_consuming] = ACTIONS(3387),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3387),
    [sym__conjunction_operator_custom] = ACTIONS(3387),
    [sym__disjunction_operator_custom] = ACTIONS(3387),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3387),
    [sym__eq_custom] = ACTIONS(3387),
    [sym__eq_eq_custom] = ACTIONS(3387),
    [sym__plus_then_ws] = ACTIONS(3387),
    [sym__minus_then_ws] = ACTIONS(3387),
    [sym__bang_custom] = ACTIONS(3387),
    [sym__as_custom] = ACTIONS(3387),
    [sym__as_quest_custom] = ACTIONS(3387),
    [sym__as_bang_custom] = ACTIONS(3387),
    [sym__custom_operator] = ACTIONS(3387),
  },
  [829] = {
    [sym__fn_call_lambda_arguments] = STATE(767),
    [sym_lambda_literal] = STATE(683),
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(3397),
    [anon_sym_async] = ACTIONS(3397),
    [anon_sym_lazy] = ACTIONS(3397),
    [anon_sym_package] = ACTIONS(3397),
    [anon_sym_COMMA] = ACTIONS(3397),
    [anon_sym_LPAREN] = ACTIONS(3397),
    [anon_sym_LBRACK] = ACTIONS(3397),
    [anon_sym_QMARK] = ACTIONS(3399),
    [anon_sym_QMARK2] = ACTIONS(3397),
    [anon_sym_AMP] = ACTIONS(3397),
    [aux_sym_custom_operator_token1] = ACTIONS(3397),
    [anon_sym_LT] = ACTIONS(3399),
    [anon_sym_GT] = ACTIONS(3399),
    [anon_sym_LBRACE] = ACTIONS(3401),
    [anon_sym_CARET_LBRACE] = ACTIONS(3401),
    [anon_sym_RBRACE] = ACTIONS(3397),
    [anon_sym_case] = ACTIONS(3397),
    [anon_sym_PLUS_EQ] = ACTIONS(3397),
    [anon_sym_DASH_EQ] = ACTIONS(3397),
    [anon_sym_STAR_EQ] = ACTIONS(3397),
    [anon_sym_SLASH_EQ] = ACTIONS(3397),
    [anon_sym_PERCENT_EQ] = ACTIONS(3397),
    [anon_sym_BANG_EQ] = ACTIONS(3399),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3397),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3397),
    [anon_sym_LT_EQ] = ACTIONS(3397),
    [anon_sym_GT_EQ] = ACTIONS(3397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3397),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3397),
    [anon_sym_is] = ACTIONS(3397),
    [anon_sym_PLUS] = ACTIONS(3399),
    [anon_sym_DASH] = ACTIONS(3399),
    [anon_sym_STAR] = ACTIONS(3399),
    [anon_sym_SLASH] = ACTIONS(3399),
    [anon_sym_PERCENT] = ACTIONS(3399),
    [anon_sym_PLUS_PLUS] = ACTIONS(3397),
    [anon_sym_DASH_DASH] = ACTIONS(3397),
    [anon_sym_PIPE] = ACTIONS(3397),
    [anon_sym_CARET] = ACTIONS(3399),
    [anon_sym_LT_LT] = ACTIONS(3397),
    [anon_sym_GT_GT] = ACTIONS(3397),
    [anon_sym_import] = ACTIONS(3397),
    [anon_sym_typealias] = ACTIONS(3397),
    [anon_sym_struct] = ACTIONS(3397),
    [anon_sym_class] = ACTIONS(3397),
    [anon_sym_enum] = ACTIONS(3397),
    [anon_sym_protocol] = ACTIONS(3397),
    [anon_sym_let] = ACTIONS(3397),
    [anon_sym_var] = ACTIONS(3397),
    [anon_sym_func] = ACTIONS(3397),
    [anon_sym_extension] = ACTIONS(3397),
    [anon_sym_indirect] = ACTIONS(3397),
    [anon_sym_BANG2] = ACTIONS(3399),
    [anon_sym_SEMI] = ACTIONS(3397),
    [anon_sym_init] = ACTIONS(3397),
    [anon_sym_deinit] = ACTIONS(3397),
    [anon_sym_subscript] = ACTIONS(3397),
    [anon_sym_prefix] = ACTIONS(3397),
    [anon_sym_infix] = ACTIONS(3397),
    [anon_sym_postfix] = ACTIONS(3397),
    [anon_sym_precedencegroup] = ACTIONS(3397),
    [anon_sym_associatedtype] = ACTIONS(3397),
    [anon_sym_AT] = ACTIONS(3399),
    [anon_sym_override] = ACTIONS(3397),
    [anon_sym_convenience] = ACTIONS(3397),
    [anon_sym_required] = ACTIONS(3397),
    [anon_sym_nonisolated] = ACTIONS(3397),
    [anon_sym_public] = ACTIONS(3397),
    [anon_sym_private] = ACTIONS(3397),
    [anon_sym_internal] = ACTIONS(3397),
    [anon_sym_fileprivate] = ACTIONS(3397),
    [anon_sym_open] = ACTIONS(3397),
    [anon_sym_mutating] = ACTIONS(3397),
    [anon_sym_nonmutating] = ACTIONS(3397),
    [anon_sym_static] = ACTIONS(3397),
    [anon_sym_dynamic] = ACTIONS(3397),
    [anon_sym_optional] = ACTIONS(3397),
    [anon_sym_distributed] = ACTIONS(3397),
    [anon_sym_final] = ACTIONS(3397),
    [anon_sym_inout] = ACTIONS(3397),
    [anon_sym_ATescaping] = ACTIONS(3397),
    [anon_sym_ATautoclosure] = ACTIONS(3397),
    [anon_sym_weak] = ACTIONS(3397),
    [anon_sym_unowned] = ACTIONS(3399),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3397),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3397),
    [anon_sym_borrowing] = ACTIONS(3397),
    [anon_sym_consuming] = ACTIONS(3397),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3397),
    [sym__conjunction_operator_custom] = ACTIONS(3397),
    [sym__disjunction_operator_custom] = ACTIONS(3397),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3397),
    [sym__eq_custom] = ACTIONS(3397),
    [sym__eq_eq_custom] = ACTIONS(3397),
    [sym__plus_then_ws] = ACTIONS(3397),
    [sym__minus_then_ws] = ACTIONS(3397),
    [sym__bang_custom] = ACTIONS(3397),
    [sym__as_custom] = ACTIONS(3397),
    [sym__as_quest_custom] = ACTIONS(3397),
    [sym__as_bang_custom] = ACTIONS(3397),
    [sym__custom_operator] = ACTIONS(3397),
  },
  [830] = {
    [sym_simple_identifier] = STATE(1034),
    [sym__contextual_simple_identifier] = STATE(1051),
    [sym__simple_user_type] = STATE(1038),
    [sym_array_type] = STATE(1038),
    [sym_dictionary_type] = STATE(1038),
    [sym__parameter_ownership_modifier] = STATE(1051),
    [aux_sym_key_path_expression_repeat1] = STATE(1037),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(291),
    [aux_sym_simple_identifier_token2] = ACTIONS(293),
    [aux_sym_simple_identifier_token3] = ACTIONS(293),
    [aux_sym_simple_identifier_token4] = ACTIONS(293),
    [anon_sym_actor] = ACTIONS(291),
    [anon_sym_async] = ACTIONS(291),
    [anon_sym_each] = ACTIONS(291),
    [anon_sym_lazy] = ACTIONS(291),
    [anon_sym_repeat] = ACTIONS(291),
    [anon_sym_package] = ACTIONS(291),
    [anon_sym_COMMA] = ACTIONS(2738),
    [anon_sym_LPAREN] = ACTIONS(2738),
    [anon_sym_LBRACK] = ACTIONS(3404),
    [anon_sym_DOT] = ACTIONS(3406),
    [anon_sym_QMARK] = ACTIONS(2744),
    [anon_sym_QMARK2] = ACTIONS(2738),
    [anon_sym_AMP] = ACTIONS(2738),
    [aux_sym_custom_operator_token1] = ACTIONS(2738),
    [anon_sym_LT] = ACTIONS(2744),
    [anon_sym_GT] = ACTIONS(2744),
    [anon_sym_LBRACE] = ACTIONS(2738),
    [anon_sym_CARET_LBRACE] = ACTIONS(2738),
    [anon_sym_RBRACE] = ACTIONS(2738),
    [anon_sym_case] = ACTIONS(2744),
    [anon_sym_fallthrough] = ACTIONS(2744),
    [anon_sym_PLUS_EQ] = ACTIONS(2738),
    [anon_sym_DASH_EQ] = ACTIONS(2738),
    [anon_sym_STAR_EQ] = ACTIONS(2738),
    [anon_sym_SLASH_EQ] = ACTIONS(2738),
    [anon_sym_PERCENT_EQ] = ACTIONS(2738),
    [anon_sym_BANG_EQ] = ACTIONS(2744),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2738),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2738),
    [anon_sym_LT_EQ] = ACTIONS(2738),
    [anon_sym_GT_EQ] = ACTIONS(2738),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2738),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2738),
    [anon_sym_is] = ACTIONS(2744),
    [anon_sym_PLUS] = ACTIONS(2744),
    [anon_sym_DASH] = ACTIONS(2744),
    [anon_sym_STAR] = ACTIONS(2744),
    [anon_sym_SLASH] = ACTIONS(2744),
    [anon_sym_PERCENT] = ACTIONS(2744),
    [anon_sym_PLUS_PLUS] = ACTIONS(2738),
    [anon_sym_DASH_DASH] = ACTIONS(2738),
    [anon_sym_PIPE] = ACTIONS(2738),
    [anon_sym_CARET] = ACTIONS(2744),
    [anon_sym_LT_LT] = ACTIONS(2738),
    [anon_sym_GT_GT] = ACTIONS(2738),
    [anon_sym_class] = ACTIONS(2744),
    [anon_sym_BANG2] = ACTIONS(2744),
    [anon_sym_prefix] = ACTIONS(2744),
    [anon_sym_infix] = ACTIONS(2744),
    [anon_sym_postfix] = ACTIONS(2744),
    [anon_sym_AT] = ACTIONS(2744),
    [anon_sym_override] = ACTIONS(2744),
    [anon_sym_convenience] = ACTIONS(2744),
    [anon_sym_required] = ACTIONS(2744),
    [anon_sym_nonisolated] = ACTIONS(2744),
    [anon_sym_public] = ACTIONS(2744),
    [anon_sym_private] = ACTIONS(2744),
    [anon_sym_internal] = ACTIONS(2744),
    [anon_sym_fileprivate] = ACTIONS(2744),
    [anon_sym_open] = ACTIONS(2744),
    [anon_sym_mutating] = ACTIONS(2744),
    [anon_sym_nonmutating] = ACTIONS(2744),
    [anon_sym_static] = ACTIONS(2744),
    [anon_sym_dynamic] = ACTIONS(2744),
    [anon_sym_optional] = ACTIONS(2744),
    [anon_sym_distributed] = ACTIONS(2744),
    [anon_sym_final] = ACTIONS(2744),
    [anon_sym_inout] = ACTIONS(2744),
    [anon_sym_ATescaping] = ACTIONS(2738),
    [anon_sym_ATautoclosure] = ACTIONS(2738),
    [anon_sym_weak] = ACTIONS(2744),
    [anon_sym_unowned] = ACTIONS(2744),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2738),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2738),
    [anon_sym_borrowing] = ACTIONS(291),
    [anon_sym_consuming] = ACTIONS(291),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2738),
    [sym__explicit_semi] = ACTIONS(2738),
    [sym__dot_custom] = ACTIONS(2738),
    [sym__conjunction_operator_custom] = ACTIONS(2738),
    [sym__disjunction_operator_custom] = ACTIONS(2738),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2738),
    [sym__eq_custom] = ACTIONS(2738),
    [sym__eq_eq_custom] = ACTIONS(2738),
    [sym__plus_then_ws] = ACTIONS(2738),
    [sym__minus_then_ws] = ACTIONS(2738),
    [sym__bang_custom] = ACTIONS(2738),
    [sym_default_keyword] = ACTIONS(2738),
    [sym__as_custom] = ACTIONS(2738),
    [sym__as_quest_custom] = ACTIONS(2738),
    [sym__as_bang_custom] = ACTIONS(2738),
    [sym__custom_operator] = ACTIONS(2738),
  },
  [831] = {
    [ts_builtin_sym_end] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(3408),
    [anon_sym_async] = ACTIONS(3408),
    [anon_sym_lazy] = ACTIONS(3408),
    [anon_sym_package] = ACTIONS(3408),
    [anon_sym_LPAREN] = ACTIONS(631),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_QMARK] = ACTIONS(637),
    [anon_sym_QMARK2] = ACTIONS(631),
    [anon_sym_AMP] = ACTIONS(631),
    [aux_sym_custom_operator_token1] = ACTIONS(631),
    [anon_sym_LT] = ACTIONS(637),
    [anon_sym_GT] = ACTIONS(637),
    [anon_sym_LBRACE] = ACTIONS(631),
    [anon_sym_CARET_LBRACE] = ACTIONS(631),
    [anon_sym_RBRACE] = ACTIONS(631),
    [anon_sym_PLUS_EQ] = ACTIONS(631),
    [anon_sym_DASH_EQ] = ACTIONS(631),
    [anon_sym_STAR_EQ] = ACTIONS(631),
    [anon_sym_SLASH_EQ] = ACTIONS(631),
    [anon_sym_PERCENT_EQ] = ACTIONS(631),
    [anon_sym_BANG_EQ] = ACTIONS(637),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(631),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(631),
    [anon_sym_LT_EQ] = ACTIONS(631),
    [anon_sym_GT_EQ] = ACTIONS(631),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(631),
    [anon_sym_DOT_DOT_LT] = ACTIONS(631),
    [anon_sym_is] = ACTIONS(631),
    [anon_sym_PLUS] = ACTIONS(637),
    [anon_sym_DASH] = ACTIONS(637),
    [anon_sym_STAR] = ACTIONS(637),
    [anon_sym_SLASH] = ACTIONS(637),
    [anon_sym_PERCENT] = ACTIONS(637),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PIPE] = ACTIONS(631),
    [anon_sym_CARET] = ACTIONS(637),
    [anon_sym_LT_LT] = ACTIONS(631),
    [anon_sym_GT_GT] = ACTIONS(631),
    [anon_sym_import] = ACTIONS(3408),
    [anon_sym_typealias] = ACTIONS(3408),
    [anon_sym_struct] = ACTIONS(3408),
    [anon_sym_class] = ACTIONS(3408),
    [anon_sym_enum] = ACTIONS(3408),
    [anon_sym_protocol] = ACTIONS(3408),
    [anon_sym_let] = ACTIONS(3408),
    [anon_sym_var] = ACTIONS(3408),
    [anon_sym_func] = ACTIONS(3408),
    [anon_sym_willSet] = ACTIONS(3408),
    [anon_sym_didSet] = ACTIONS(3408),
    [anon_sym_macro] = ACTIONS(3408),
    [anon_sym_extension] = ACTIONS(3408),
    [anon_sym_indirect] = ACTIONS(3408),
    [anon_sym_BANG2] = ACTIONS(637),
    [anon_sym_init] = ACTIONS(3408),
    [anon_sym_prefix] = ACTIONS(3408),
    [anon_sym_infix] = ACTIONS(3408),
    [anon_sym_postfix] = ACTIONS(3408),
    [anon_sym_associatedtype] = ACTIONS(3408),
    [anon_sym_AT] = ACTIONS(3410),
    [anon_sym_override] = ACTIONS(3408),
    [anon_sym_convenience] = ACTIONS(3408),
    [anon_sym_required] = ACTIONS(3408),
    [anon_sym_nonisolated] = ACTIONS(3408),
    [anon_sym_public] = ACTIONS(3408),
    [anon_sym_private] = ACTIONS(3408),
    [anon_sym_internal] = ACTIONS(3408),
    [anon_sym_fileprivate] = ACTIONS(3408),
    [anon_sym_open] = ACTIONS(3408),
    [anon_sym_mutating] = ACTIONS(3408),
    [anon_sym_nonmutating] = ACTIONS(3408),
    [anon_sym_static] = ACTIONS(3408),
    [anon_sym_dynamic] = ACTIONS(3408),
    [anon_sym_optional] = ACTIONS(3408),
    [anon_sym_distributed] = ACTIONS(3408),
    [anon_sym_final] = ACTIONS(3408),
    [anon_sym_inout] = ACTIONS(3408),
    [anon_sym_ATescaping] = ACTIONS(3408),
    [anon_sym_ATautoclosure] = ACTIONS(3408),
    [anon_sym_weak] = ACTIONS(3408),
    [anon_sym_unowned] = ACTIONS(3410),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3408),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3408),
    [anon_sym_borrowing] = ACTIONS(3408),
    [anon_sym_consuming] = ACTIONS(3408),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(631),
    [sym__explicit_semi] = ACTIONS(631),
    [sym__dot_custom] = ACTIONS(631),
    [sym__conjunction_operator_custom] = ACTIONS(631),
    [sym__disjunction_operator_custom] = ACTIONS(631),
    [sym__nil_coalescing_operator_custom] = ACTIONS(631),
    [sym__eq_custom] = ACTIONS(631),
    [sym__eq_eq_custom] = ACTIONS(631),
    [sym__plus_then_ws] = ACTIONS(631),
    [sym__minus_then_ws] = ACTIONS(631),
    [sym__bang_custom] = ACTIONS(631),
    [sym__as_custom] = ACTIONS(631),
    [sym__as_quest_custom] = ACTIONS(631),
    [sym__as_bang_custom] = ACTIONS(631),
    [sym__custom_operator] = ACTIONS(631),
  },
  [832] = {
    [ts_builtin_sym_end] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(3412),
    [anon_sym_async] = ACTIONS(3412),
    [anon_sym_lazy] = ACTIONS(3412),
    [anon_sym_package] = ACTIONS(3412),
    [anon_sym_LPAREN] = ACTIONS(3414),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_QMARK] = ACTIONS(637),
    [anon_sym_QMARK2] = ACTIONS(631),
    [anon_sym_AMP] = ACTIONS(631),
    [aux_sym_custom_operator_token1] = ACTIONS(631),
    [anon_sym_LT] = ACTIONS(637),
    [anon_sym_GT] = ACTIONS(637),
    [anon_sym_LBRACE] = ACTIONS(631),
    [anon_sym_CARET_LBRACE] = ACTIONS(631),
    [anon_sym_RBRACE] = ACTIONS(631),
    [anon_sym_PLUS_EQ] = ACTIONS(631),
    [anon_sym_DASH_EQ] = ACTIONS(631),
    [anon_sym_STAR_EQ] = ACTIONS(631),
    [anon_sym_SLASH_EQ] = ACTIONS(631),
    [anon_sym_PERCENT_EQ] = ACTIONS(631),
    [anon_sym_BANG_EQ] = ACTIONS(637),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(631),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(631),
    [anon_sym_LT_EQ] = ACTIONS(631),
    [anon_sym_GT_EQ] = ACTIONS(631),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(631),
    [anon_sym_DOT_DOT_LT] = ACTIONS(631),
    [anon_sym_is] = ACTIONS(631),
    [anon_sym_PLUS] = ACTIONS(637),
    [anon_sym_DASH] = ACTIONS(637),
    [anon_sym_STAR] = ACTIONS(637),
    [anon_sym_SLASH] = ACTIONS(637),
    [anon_sym_PERCENT] = ACTIONS(637),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PIPE] = ACTIONS(631),
    [anon_sym_CARET] = ACTIONS(637),
    [anon_sym_LT_LT] = ACTIONS(631),
    [anon_sym_GT_GT] = ACTIONS(631),
    [anon_sym_import] = ACTIONS(3412),
    [anon_sym_typealias] = ACTIONS(3412),
    [anon_sym_struct] = ACTIONS(3412),
    [anon_sym_class] = ACTIONS(3412),
    [anon_sym_enum] = ACTIONS(3412),
    [anon_sym_protocol] = ACTIONS(3412),
    [anon_sym_let] = ACTIONS(3412),
    [anon_sym_var] = ACTIONS(3412),
    [anon_sym_func] = ACTIONS(3412),
    [anon_sym_willSet] = ACTIONS(3412),
    [anon_sym_didSet] = ACTIONS(3412),
    [anon_sym_macro] = ACTIONS(3412),
    [anon_sym_extension] = ACTIONS(3412),
    [anon_sym_indirect] = ACTIONS(3412),
    [anon_sym_BANG2] = ACTIONS(637),
    [anon_sym_init] = ACTIONS(3412),
    [anon_sym_prefix] = ACTIONS(3412),
    [anon_sym_infix] = ACTIONS(3412),
    [anon_sym_postfix] = ACTIONS(3412),
    [anon_sym_associatedtype] = ACTIONS(3412),
    [anon_sym_AT] = ACTIONS(3417),
    [anon_sym_override] = ACTIONS(3412),
    [anon_sym_convenience] = ACTIONS(3412),
    [anon_sym_required] = ACTIONS(3412),
    [anon_sym_nonisolated] = ACTIONS(3412),
    [anon_sym_public] = ACTIONS(3412),
    [anon_sym_private] = ACTIONS(3412),
    [anon_sym_internal] = ACTIONS(3412),
    [anon_sym_fileprivate] = ACTIONS(3412),
    [anon_sym_open] = ACTIONS(3412),
    [anon_sym_mutating] = ACTIONS(3412),
    [anon_sym_nonmutating] = ACTIONS(3412),
    [anon_sym_static] = ACTIONS(3412),
    [anon_sym_dynamic] = ACTIONS(3412),
    [anon_sym_optional] = ACTIONS(3412),
    [anon_sym_distributed] = ACTIONS(3412),
    [anon_sym_final] = ACTIONS(3412),
    [anon_sym_inout] = ACTIONS(3412),
    [anon_sym_ATescaping] = ACTIONS(3412),
    [anon_sym_ATautoclosure] = ACTIONS(3412),
    [anon_sym_weak] = ACTIONS(3412),
    [anon_sym_unowned] = ACTIONS(3417),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3412),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3412),
    [anon_sym_borrowing] = ACTIONS(3412),
    [anon_sym_consuming] = ACTIONS(3412),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(631),
    [sym__explicit_semi] = ACTIONS(631),
    [sym__dot_custom] = ACTIONS(631),
    [sym__conjunction_operator_custom] = ACTIONS(631),
    [sym__disjunction_operator_custom] = ACTIONS(631),
    [sym__nil_coalescing_operator_custom] = ACTIONS(631),
    [sym__eq_custom] = ACTIONS(631),
    [sym__eq_eq_custom] = ACTIONS(631),
    [sym__plus_then_ws] = ACTIONS(631),
    [sym__minus_then_ws] = ACTIONS(631),
    [sym__bang_custom] = ACTIONS(631),
    [sym__as_custom] = ACTIONS(631),
    [sym__as_quest_custom] = ACTIONS(631),
    [sym__as_bang_custom] = ACTIONS(631),
    [sym__custom_operator] = ACTIONS(631),
  },
  [833] = {
    [ts_builtin_sym_end] = ACTIONS(2455),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2425),
    [aux_sym_simple_identifier_token2] = ACTIONS(2427),
    [aux_sym_simple_identifier_token3] = ACTIONS(2427),
    [aux_sym_simple_identifier_token4] = ACTIONS(2427),
    [anon_sym_actor] = ACTIONS(2425),
    [anon_sym_async] = ACTIONS(2425),
    [anon_sym_each] = ACTIONS(2425),
    [anon_sym_lazy] = ACTIONS(2425),
    [anon_sym_repeat] = ACTIONS(2425),
    [anon_sym_package] = ACTIONS(2425),
    [anon_sym_nil] = ACTIONS(2425),
    [sym_real_literal] = ACTIONS(2427),
    [sym_integer_literal] = ACTIONS(2425),
    [sym_hex_literal] = ACTIONS(2427),
    [sym_oct_literal] = ACTIONS(2427),
    [sym_bin_literal] = ACTIONS(2427),
    [anon_sym_true] = ACTIONS(2425),
    [anon_sym_false] = ACTIONS(2425),
    [anon_sym_DQUOTE] = ACTIONS(2425),
    [anon_sym_BSLASH] = ACTIONS(2427),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2427),
    [anon_sym_COMMA] = ACTIONS(2455),
    [sym__extended_regex_literal] = ACTIONS(2427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(2427),
    [sym__oneline_regex_literal] = ACTIONS(2425),
    [anon_sym_LPAREN] = ACTIONS(2427),
    [anon_sym_LBRACK] = ACTIONS(2427),
    [anon_sym_QMARK] = ACTIONS(2457),
    [anon_sym_QMARK2] = ACTIONS(2455),
    [anon_sym_AMP] = ACTIONS(2427),
    [anon_sym_if] = ACTIONS(2425),
    [anon_sym_switch] = ACTIONS(2425),
    [anon_sym_POUNDselector] = ACTIONS(2427),
    [aux_sym_custom_operator_token1] = ACTIONS(2427),
    [anon_sym_LT] = ACTIONS(2425),
    [anon_sym_GT] = ACTIONS(2425),
    [anon_sym_await] = ACTIONS(2425),
    [anon_sym_POUNDfile] = ACTIONS(2425),
    [anon_sym_POUNDfileID] = ACTIONS(2427),
    [anon_sym_POUNDfilePath] = ACTIONS(2427),
    [anon_sym_POUNDline] = ACTIONS(2427),
    [anon_sym_POUNDcolumn] = ACTIONS(2427),
    [anon_sym_POUNDfunction] = ACTIONS(2427),
    [anon_sym_POUNDdsohandle] = ACTIONS(2427),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(2427),
    [anon_sym_POUNDfileLiteral] = ACTIONS(2427),
    [anon_sym_POUNDimageLiteral] = ACTIONS(2427),
    [anon_sym_LBRACE] = ACTIONS(2427),
    [anon_sym_CARET_LBRACE] = ACTIONS(2427),
    [anon_sym_RBRACE] = ACTIONS(2455),
    [anon_sym_self] = ACTIONS(2425),
    [anon_sym_super] = ACTIONS(2425),
    [anon_sym_POUNDkeyPath] = ACTIONS(2427),
    [anon_sym_try] = ACTIONS(2425),
    [anon_sym_PLUS_EQ] = ACTIONS(2427),
    [anon_sym_DASH_EQ] = ACTIONS(2427),
    [anon_sym_STAR_EQ] = ACTIONS(2427),
    [anon_sym_SLASH_EQ] = ACTIONS(2427),
    [anon_sym_PERCENT_EQ] = ACTIONS(2427),
    [anon_sym_BANG_EQ] = ACTIONS(2425),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2427),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2427),
    [anon_sym_LT_EQ] = ACTIONS(2427),
    [anon_sym_GT_EQ] = ACTIONS(2427),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2427),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2427),
    [anon_sym_is] = ACTIONS(2457),
    [anon_sym_PLUS] = ACTIONS(2425),
    [anon_sym_DASH] = ACTIONS(2425),
    [anon_sym_STAR] = ACTIONS(2425),
    [anon_sym_SLASH] = ACTIONS(2425),
    [anon_sym_PERCENT] = ACTIONS(2425),
    [anon_sym_PLUS_PLUS] = ACTIONS(2427),
    [anon_sym_DASH_DASH] = ACTIONS(2427),
    [anon_sym_TILDE] = ACTIONS(2427),
    [anon_sym_PIPE] = ACTIONS(2427),
    [anon_sym_CARET] = ACTIONS(2425),
    [anon_sym_LT_LT] = ACTIONS(2427),
    [anon_sym_GT_GT] = ACTIONS(2427),
    [anon_sym_BANG2] = ACTIONS(2425),
    [anon_sym_borrowing] = ACTIONS(2425),
    [anon_sym_consuming] = ACTIONS(2425),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(2427),
    [sym_raw_str_end_part] = ACTIONS(2427),
    [sym__implicit_semi] = ACTIONS(2455),
    [sym__explicit_semi] = ACTIONS(2455),
    [sym__dot_custom] = ACTIONS(2427),
    [sym__conjunction_operator_custom] = ACTIONS(2455),
    [sym__disjunction_operator_custom] = ACTIONS(2455),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2455),
    [sym__eq_custom] = ACTIONS(2427),
    [sym__eq_eq_custom] = ACTIONS(2427),
    [sym__plus_then_ws] = ACTIONS(2427),
    [sym__minus_then_ws] = ACTIONS(2427),
    [sym__bang_custom] = ACTIONS(2427),
    [sym_where_keyword] = ACTIONS(2455),
    [sym__as_custom] = ACTIONS(2455),
    [sym__as_quest_custom] = ACTIONS(2455),
    [sym__as_bang_custom] = ACTIONS(2455),
    [sym__custom_operator] = ACTIONS(2427),
  },
  [834] = {
    [ts_builtin_sym_end] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(3004),
    [anon_sym_async] = ACTIONS(3004),
    [anon_sym_lazy] = ACTIONS(3004),
    [anon_sym_package] = ACTIONS(3004),
    [anon_sym_LPAREN] = ACTIONS(631),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_QMARK] = ACTIONS(637),
    [anon_sym_QMARK2] = ACTIONS(631),
    [anon_sym_AMP] = ACTIONS(631),
    [aux_sym_custom_operator_token1] = ACTIONS(631),
    [anon_sym_LT] = ACTIONS(637),
    [anon_sym_GT] = ACTIONS(637),
    [anon_sym_LBRACE] = ACTIONS(631),
    [anon_sym_CARET_LBRACE] = ACTIONS(631),
    [anon_sym_RBRACE] = ACTIONS(631),
    [anon_sym_PLUS_EQ] = ACTIONS(631),
    [anon_sym_DASH_EQ] = ACTIONS(631),
    [anon_sym_STAR_EQ] = ACTIONS(631),
    [anon_sym_SLASH_EQ] = ACTIONS(631),
    [anon_sym_PERCENT_EQ] = ACTIONS(631),
    [anon_sym_BANG_EQ] = ACTIONS(637),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(631),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(631),
    [anon_sym_LT_EQ] = ACTIONS(631),
    [anon_sym_GT_EQ] = ACTIONS(631),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(631),
    [anon_sym_DOT_DOT_LT] = ACTIONS(631),
    [anon_sym_is] = ACTIONS(631),
    [anon_sym_PLUS] = ACTIONS(637),
    [anon_sym_DASH] = ACTIONS(637),
    [anon_sym_STAR] = ACTIONS(637),
    [anon_sym_SLASH] = ACTIONS(637),
    [anon_sym_PERCENT] = ACTIONS(637),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PIPE] = ACTIONS(631),
    [anon_sym_CARET] = ACTIONS(637),
    [anon_sym_LT_LT] = ACTIONS(631),
    [anon_sym_GT_GT] = ACTIONS(631),
    [anon_sym_import] = ACTIONS(3004),
    [anon_sym_typealias] = ACTIONS(3004),
    [anon_sym_struct] = ACTIONS(3004),
    [anon_sym_class] = ACTIONS(3004),
    [anon_sym_enum] = ACTIONS(3004),
    [anon_sym_protocol] = ACTIONS(3004),
    [anon_sym_let] = ACTIONS(3004),
    [anon_sym_var] = ACTIONS(3004),
    [anon_sym_func] = ACTIONS(3004),
    [anon_sym_willSet] = ACTIONS(3004),
    [anon_sym_didSet] = ACTIONS(3004),
    [anon_sym_macro] = ACTIONS(3004),
    [anon_sym_extension] = ACTIONS(3004),
    [anon_sym_indirect] = ACTIONS(3004),
    [anon_sym_BANG2] = ACTIONS(637),
    [anon_sym_init] = ACTIONS(3004),
    [anon_sym_prefix] = ACTIONS(3004),
    [anon_sym_infix] = ACTIONS(3004),
    [anon_sym_postfix] = ACTIONS(3004),
    [anon_sym_associatedtype] = ACTIONS(3004),
    [anon_sym_AT] = ACTIONS(3002),
    [anon_sym_override] = ACTIONS(3004),
    [anon_sym_convenience] = ACTIONS(3004),
    [anon_sym_required] = ACTIONS(3004),
    [anon_sym_nonisolated] = ACTIONS(3004),
    [anon_sym_public] = ACTIONS(3004),
    [anon_sym_private] = ACTIONS(3004),
    [anon_sym_internal] = ACTIONS(3004),
    [anon_sym_fileprivate] = ACTIONS(3004),
    [anon_sym_open] = ACTIONS(3004),
    [anon_sym_mutating] = ACTIONS(3004),
    [anon_sym_nonmutating] = ACTIONS(3004),
    [anon_sym_static] = ACTIONS(3004),
    [anon_sym_dynamic] = ACTIONS(3004),
    [anon_sym_optional] = ACTIONS(3004),
    [anon_sym_distributed] = ACTIONS(3004),
    [anon_sym_final] = ACTIONS(3004),
    [anon_sym_inout] = ACTIONS(3004),
    [anon_sym_ATescaping] = ACTIONS(3004),
    [anon_sym_ATautoclosure] = ACTIONS(3004),
    [anon_sym_weak] = ACTIONS(3004),
    [anon_sym_unowned] = ACTIONS(3002),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3004),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3004),
    [anon_sym_borrowing] = ACTIONS(3004),
    [anon_sym_consuming] = ACTIONS(3004),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(631),
    [sym__explicit_semi] = ACTIONS(631),
    [sym__dot_custom] = ACTIONS(631),
    [sym__conjunction_operator_custom] = ACTIONS(631),
    [sym__disjunction_operator_custom] = ACTIONS(631),
    [sym__nil_coalescing_operator_custom] = ACTIONS(631),
    [sym__eq_custom] = ACTIONS(631),
    [sym__eq_eq_custom] = ACTIONS(631),
    [sym__plus_then_ws] = ACTIONS(631),
    [sym__minus_then_ws] = ACTIONS(631),
    [sym__bang_custom] = ACTIONS(631),
    [sym__as_custom] = ACTIONS(631),
    [sym__as_quest_custom] = ACTIONS(631),
    [sym__as_bang_custom] = ACTIONS(631),
    [sym__custom_operator] = ACTIONS(631),
  },
  [835] = {
    [ts_builtin_sym_end] = ACTIONS(2462),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2437),
    [aux_sym_simple_identifier_token2] = ACTIONS(2439),
    [aux_sym_simple_identifier_token3] = ACTIONS(2439),
    [aux_sym_simple_identifier_token4] = ACTIONS(2439),
    [anon_sym_actor] = ACTIONS(2437),
    [anon_sym_async] = ACTIONS(2437),
    [anon_sym_each] = ACTIONS(2437),
    [anon_sym_lazy] = ACTIONS(2437),
    [anon_sym_repeat] = ACTIONS(2437),
    [anon_sym_package] = ACTIONS(2437),
    [anon_sym_nil] = ACTIONS(2437),
    [sym_real_literal] = ACTIONS(2439),
    [sym_integer_literal] = ACTIONS(2437),
    [sym_hex_literal] = ACTIONS(2439),
    [sym_oct_literal] = ACTIONS(2439),
    [sym_bin_literal] = ACTIONS(2439),
    [anon_sym_true] = ACTIONS(2437),
    [anon_sym_false] = ACTIONS(2437),
    [anon_sym_DQUOTE] = ACTIONS(2437),
    [anon_sym_BSLASH] = ACTIONS(2439),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2439),
    [anon_sym_COMMA] = ACTIONS(2462),
    [sym__extended_regex_literal] = ACTIONS(2439),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(2439),
    [sym__oneline_regex_literal] = ACTIONS(2437),
    [anon_sym_LPAREN] = ACTIONS(2464),
    [anon_sym_LBRACK] = ACTIONS(2464),
    [anon_sym_QMARK] = ACTIONS(2467),
    [anon_sym_QMARK2] = ACTIONS(2462),
    [anon_sym_AMP] = ACTIONS(2464),
    [anon_sym_if] = ACTIONS(2437),
    [anon_sym_switch] = ACTIONS(2437),
    [anon_sym_POUNDselector] = ACTIONS(2439),
    [aux_sym_custom_operator_token1] = ACTIONS(2464),
    [anon_sym_LT] = ACTIONS(2459),
    [anon_sym_GT] = ACTIONS(2459),
    [anon_sym_await] = ACTIONS(2437),
    [anon_sym_POUNDfile] = ACTIONS(2437),
    [anon_sym_POUNDfileID] = ACTIONS(2439),
    [anon_sym_POUNDfilePath] = ACTIONS(2439),
    [anon_sym_POUNDline] = ACTIONS(2439),
    [anon_sym_POUNDcolumn] = ACTIONS(2439),
    [anon_sym_POUNDfunction] = ACTIONS(2439),
    [anon_sym_POUNDdsohandle] = ACTIONS(2439),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(2439),
    [anon_sym_POUNDfileLiteral] = ACTIONS(2439),
    [anon_sym_POUNDimageLiteral] = ACTIONS(2439),
    [anon_sym_LBRACE] = ACTIONS(2464),
    [anon_sym_CARET_LBRACE] = ACTIONS(2464),
    [anon_sym_RBRACE] = ACTIONS(2462),
    [anon_sym_self] = ACTIONS(2437),
    [anon_sym_super] = ACTIONS(2437),
    [anon_sym_POUNDkeyPath] = ACTIONS(2439),
    [anon_sym_try] = ACTIONS(2437),
    [anon_sym_PLUS_EQ] = ACTIONS(2464),
    [anon_sym_DASH_EQ] = ACTIONS(2464),
    [anon_sym_STAR_EQ] = ACTIONS(2464),
    [anon_sym_SLASH_EQ] = ACTIONS(2464),
    [anon_sym_PERCENT_EQ] = ACTIONS(2464),
    [anon_sym_BANG_EQ] = ACTIONS(2459),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2464),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2464),
    [anon_sym_LT_EQ] = ACTIONS(2464),
    [anon_sym_GT_EQ] = ACTIONS(2464),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2464),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2464),
    [anon_sym_is] = ACTIONS(2467),
    [anon_sym_PLUS] = ACTIONS(2459),
    [anon_sym_DASH] = ACTIONS(2459),
    [anon_sym_STAR] = ACTIONS(2459),
    [anon_sym_SLASH] = ACTIONS(2459),
    [anon_sym_PERCENT] = ACTIONS(2459),
    [anon_sym_PLUS_PLUS] = ACTIONS(2464),
    [anon_sym_DASH_DASH] = ACTIONS(2464),
    [anon_sym_TILDE] = ACTIONS(2439),
    [anon_sym_PIPE] = ACTIONS(2464),
    [anon_sym_CARET] = ACTIONS(2459),
    [anon_sym_LT_LT] = ACTIONS(2464),
    [anon_sym_GT_GT] = ACTIONS(2464),
    [anon_sym_BANG2] = ACTIONS(2459),
    [anon_sym_borrowing] = ACTIONS(2437),
    [anon_sym_consuming] = ACTIONS(2437),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(2439),
    [sym_raw_str_end_part] = ACTIONS(2439),
    [sym__implicit_semi] = ACTIONS(2462),
    [sym__explicit_semi] = ACTIONS(2462),
    [sym__dot_custom] = ACTIONS(2464),
    [sym__conjunction_operator_custom] = ACTIONS(2462),
    [sym__disjunction_operator_custom] = ACTIONS(2462),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2462),
    [sym__eq_custom] = ACTIONS(2464),
    [sym__eq_eq_custom] = ACTIONS(2464),
    [sym__plus_then_ws] = ACTIONS(2464),
    [sym__minus_then_ws] = ACTIONS(2464),
    [sym__bang_custom] = ACTIONS(2464),
    [sym_where_keyword] = ACTIONS(2462),
    [sym__as_custom] = ACTIONS(2462),
    [sym__as_quest_custom] = ACTIONS(2462),
    [sym__as_bang_custom] = ACTIONS(2462),
    [sym__custom_operator] = ACTIONS(2464),
  },
  [836] = {
    [ts_builtin_sym_end] = ACTIONS(2435),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2433),
    [aux_sym_simple_identifier_token2] = ACTIONS(2435),
    [aux_sym_simple_identifier_token3] = ACTIONS(2435),
    [aux_sym_simple_identifier_token4] = ACTIONS(2435),
    [anon_sym_actor] = ACTIONS(2433),
    [anon_sym_async] = ACTIONS(2433),
    [anon_sym_each] = ACTIONS(2433),
    [anon_sym_lazy] = ACTIONS(2433),
    [anon_sym_repeat] = ACTIONS(2433),
    [anon_sym_package] = ACTIONS(2433),
    [anon_sym_nil] = ACTIONS(2433),
    [sym_real_literal] = ACTIONS(2435),
    [sym_integer_literal] = ACTIONS(2433),
    [sym_hex_literal] = ACTIONS(2435),
    [sym_oct_literal] = ACTIONS(2435),
    [sym_bin_literal] = ACTIONS(2435),
    [anon_sym_true] = ACTIONS(2433),
    [anon_sym_false] = ACTIONS(2433),
    [anon_sym_DQUOTE] = ACTIONS(2433),
    [anon_sym_BSLASH] = ACTIONS(2435),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2435),
    [anon_sym_COMMA] = ACTIONS(2435),
    [sym__extended_regex_literal] = ACTIONS(2435),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(2435),
    [sym__oneline_regex_literal] = ACTIONS(2433),
    [anon_sym_LPAREN] = ACTIONS(2435),
    [anon_sym_LBRACK] = ACTIONS(2435),
    [anon_sym_QMARK] = ACTIONS(2433),
    [anon_sym_QMARK2] = ACTIONS(2435),
    [anon_sym_AMP] = ACTIONS(2435),
    [anon_sym_if] = ACTIONS(2433),
    [anon_sym_switch] = ACTIONS(2433),
    [anon_sym_POUNDselector] = ACTIONS(2435),
    [aux_sym_custom_operator_token1] = ACTIONS(2435),
    [anon_sym_LT] = ACTIONS(2433),
    [anon_sym_GT] = ACTIONS(2433),
    [anon_sym_await] = ACTIONS(2433),
    [anon_sym_POUNDfile] = ACTIONS(2433),
    [anon_sym_POUNDfileID] = ACTIONS(2435),
    [anon_sym_POUNDfilePath] = ACTIONS(2435),
    [anon_sym_POUNDline] = ACTIONS(2435),
    [anon_sym_POUNDcolumn] = ACTIONS(2435),
    [anon_sym_POUNDfunction] = ACTIONS(2435),
    [anon_sym_POUNDdsohandle] = ACTIONS(2435),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(2435),
    [anon_sym_POUNDfileLiteral] = ACTIONS(2435),
    [anon_sym_POUNDimageLiteral] = ACTIONS(2435),
    [anon_sym_LBRACE] = ACTIONS(2435),
    [anon_sym_CARET_LBRACE] = ACTIONS(2435),
    [anon_sym_RBRACE] = ACTIONS(2435),
    [anon_sym_self] = ACTIONS(2433),
    [anon_sym_super] = ACTIONS(2433),
    [anon_sym_POUNDkeyPath] = ACTIONS(2435),
    [anon_sym_try] = ACTIONS(2433),
    [anon_sym_PLUS_EQ] = ACTIONS(2435),
    [anon_sym_DASH_EQ] = ACTIONS(2435),
    [anon_sym_STAR_EQ] = ACTIONS(2435),
    [anon_sym_SLASH_EQ] = ACTIONS(2435),
    [anon_sym_PERCENT_EQ] = ACTIONS(2435),
    [anon_sym_BANG_EQ] = ACTIONS(2433),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2435),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2435),
    [anon_sym_LT_EQ] = ACTIONS(2435),
    [anon_sym_GT_EQ] = ACTIONS(2435),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2435),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2435),
    [anon_sym_is] = ACTIONS(2433),
    [anon_sym_PLUS] = ACTIONS(2433),
    [anon_sym_DASH] = ACTIONS(2433),
    [anon_sym_STAR] = ACTIONS(2433),
    [anon_sym_SLASH] = ACTIONS(2433),
    [anon_sym_PERCENT] = ACTIONS(2433),
    [anon_sym_PLUS_PLUS] = ACTIONS(2435),
    [anon_sym_DASH_DASH] = ACTIONS(2435),
    [anon_sym_TILDE] = ACTIONS(2435),
    [anon_sym_PIPE] = ACTIONS(2435),
    [anon_sym_CARET] = ACTIONS(2433),
    [anon_sym_LT_LT] = ACTIONS(2435),
    [anon_sym_GT_GT] = ACTIONS(2435),
    [anon_sym_BANG2] = ACTIONS(2433),
    [anon_sym_borrowing] = ACTIONS(2433),
    [anon_sym_consuming] = ACTIONS(2433),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(2435),
    [sym_raw_str_end_part] = ACTIONS(2435),
    [sym__implicit_semi] = ACTIONS(2435),
    [sym__explicit_semi] = ACTIONS(2435),
    [sym__dot_custom] = ACTIONS(2435),
    [sym__conjunction_operator_custom] = ACTIONS(2435),
    [sym__disjunction_operator_custom] = ACTIONS(2435),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2435),
    [sym__eq_custom] = ACTIONS(2435),
    [sym__eq_eq_custom] = ACTIONS(2435),
    [sym__plus_then_ws] = ACTIONS(2435),
    [sym__minus_then_ws] = ACTIONS(2435),
    [sym__bang_custom] = ACTIONS(2435),
    [sym_where_keyword] = ACTIONS(2435),
    [sym__as_custom] = ACTIONS(2435),
    [sym__as_quest_custom] = ACTIONS(2435),
    [sym__as_bang_custom] = ACTIONS(2435),
    [sym__custom_operator] = ACTIONS(2435),
  },
  [837] = {
    [ts_builtin_sym_end] = ACTIONS(2429),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2425),
    [aux_sym_simple_identifier_token2] = ACTIONS(2427),
    [aux_sym_simple_identifier_token3] = ACTIONS(2427),
    [aux_sym_simple_identifier_token4] = ACTIONS(2427),
    [anon_sym_actor] = ACTIONS(2425),
    [anon_sym_async] = ACTIONS(2425),
    [anon_sym_each] = ACTIONS(2425),
    [anon_sym_lazy] = ACTIONS(2425),
    [anon_sym_repeat] = ACTIONS(2425),
    [anon_sym_package] = ACTIONS(2425),
    [anon_sym_nil] = ACTIONS(2425),
    [sym_real_literal] = ACTIONS(2427),
    [sym_integer_literal] = ACTIONS(2425),
    [sym_hex_literal] = ACTIONS(2427),
    [sym_oct_literal] = ACTIONS(2427),
    [sym_bin_literal] = ACTIONS(2427),
    [anon_sym_true] = ACTIONS(2425),
    [anon_sym_false] = ACTIONS(2425),
    [anon_sym_DQUOTE] = ACTIONS(2425),
    [anon_sym_BSLASH] = ACTIONS(2427),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2427),
    [anon_sym_COMMA] = ACTIONS(2429),
    [sym__extended_regex_literal] = ACTIONS(2427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(2427),
    [sym__oneline_regex_literal] = ACTIONS(2425),
    [anon_sym_LPAREN] = ACTIONS(2427),
    [anon_sym_LBRACK] = ACTIONS(2427),
    [anon_sym_QMARK] = ACTIONS(2431),
    [anon_sym_QMARK2] = ACTIONS(2429),
    [anon_sym_AMP] = ACTIONS(2427),
    [anon_sym_if] = ACTIONS(2425),
    [anon_sym_switch] = ACTIONS(2425),
    [anon_sym_POUNDselector] = ACTIONS(2427),
    [aux_sym_custom_operator_token1] = ACTIONS(2427),
    [anon_sym_LT] = ACTIONS(2425),
    [anon_sym_GT] = ACTIONS(2425),
    [anon_sym_await] = ACTIONS(2425),
    [anon_sym_POUNDfile] = ACTIONS(2425),
    [anon_sym_POUNDfileID] = ACTIONS(2427),
    [anon_sym_POUNDfilePath] = ACTIONS(2427),
    [anon_sym_POUNDline] = ACTIONS(2427),
    [anon_sym_POUNDcolumn] = ACTIONS(2427),
    [anon_sym_POUNDfunction] = ACTIONS(2427),
    [anon_sym_POUNDdsohandle] = ACTIONS(2427),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(2427),
    [anon_sym_POUNDfileLiteral] = ACTIONS(2427),
    [anon_sym_POUNDimageLiteral] = ACTIONS(2427),
    [anon_sym_LBRACE] = ACTIONS(2427),
    [anon_sym_CARET_LBRACE] = ACTIONS(2427),
    [anon_sym_RBRACE] = ACTIONS(2429),
    [anon_sym_self] = ACTIONS(2425),
    [anon_sym_super] = ACTIONS(2425),
    [anon_sym_POUNDkeyPath] = ACTIONS(2427),
    [anon_sym_try] = ACTIONS(2425),
    [anon_sym_PLUS_EQ] = ACTIONS(2427),
    [anon_sym_DASH_EQ] = ACTIONS(2427),
    [anon_sym_STAR_EQ] = ACTIONS(2427),
    [anon_sym_SLASH_EQ] = ACTIONS(2427),
    [anon_sym_PERCENT_EQ] = ACTIONS(2427),
    [anon_sym_BANG_EQ] = ACTIONS(2425),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2427),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2427),
    [anon_sym_LT_EQ] = ACTIONS(2427),
    [anon_sym_GT_EQ] = ACTIONS(2427),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2427),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2427),
    [anon_sym_is] = ACTIONS(2431),
    [anon_sym_PLUS] = ACTIONS(2425),
    [anon_sym_DASH] = ACTIONS(2425),
    [anon_sym_STAR] = ACTIONS(2425),
    [anon_sym_SLASH] = ACTIONS(2425),
    [anon_sym_PERCENT] = ACTIONS(2425),
    [anon_sym_PLUS_PLUS] = ACTIONS(2427),
    [anon_sym_DASH_DASH] = ACTIONS(2427),
    [anon_sym_TILDE] = ACTIONS(2427),
    [anon_sym_PIPE] = ACTIONS(2427),
    [anon_sym_CARET] = ACTIONS(2425),
    [anon_sym_LT_LT] = ACTIONS(2427),
    [anon_sym_GT_GT] = ACTIONS(2427),
    [anon_sym_BANG2] = ACTIONS(2425),
    [anon_sym_borrowing] = ACTIONS(2425),
    [anon_sym_consuming] = ACTIONS(2425),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(2427),
    [sym_raw_str_end_part] = ACTIONS(2427),
    [sym__implicit_semi] = ACTIONS(2429),
    [sym__explicit_semi] = ACTIONS(2429),
    [sym__dot_custom] = ACTIONS(2427),
    [sym__conjunction_operator_custom] = ACTIONS(2429),
    [sym__disjunction_operator_custom] = ACTIONS(2429),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2429),
    [sym__eq_custom] = ACTIONS(2427),
    [sym__eq_eq_custom] = ACTIONS(2427),
    [sym__plus_then_ws] = ACTIONS(2427),
    [sym__minus_then_ws] = ACTIONS(2427),
    [sym__bang_custom] = ACTIONS(2427),
    [sym_where_keyword] = ACTIONS(2429),
    [sym__as_custom] = ACTIONS(2429),
    [sym__as_quest_custom] = ACTIONS(2429),
    [sym__as_bang_custom] = ACTIONS(2429),
    [sym__custom_operator] = ACTIONS(2427),
  },
  [838] = {
    [ts_builtin_sym_end] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2437),
    [aux_sym_simple_identifier_token2] = ACTIONS(2439),
    [aux_sym_simple_identifier_token3] = ACTIONS(2439),
    [aux_sym_simple_identifier_token4] = ACTIONS(2439),
    [anon_sym_actor] = ACTIONS(2437),
    [anon_sym_async] = ACTIONS(2437),
    [anon_sym_each] = ACTIONS(2437),
    [anon_sym_lazy] = ACTIONS(2437),
    [anon_sym_repeat] = ACTIONS(2437),
    [anon_sym_package] = ACTIONS(2437),
    [anon_sym_nil] = ACTIONS(2437),
    [sym_real_literal] = ACTIONS(2439),
    [sym_integer_literal] = ACTIONS(2437),
    [sym_hex_literal] = ACTIONS(2439),
    [sym_oct_literal] = ACTIONS(2439),
    [sym_bin_literal] = ACTIONS(2439),
    [anon_sym_true] = ACTIONS(2437),
    [anon_sym_false] = ACTIONS(2437),
    [anon_sym_DQUOTE] = ACTIONS(2437),
    [anon_sym_BSLASH] = ACTIONS(2439),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2439),
    [anon_sym_COMMA] = ACTIONS(2444),
    [sym__extended_regex_literal] = ACTIONS(2439),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(2439),
    [sym__oneline_regex_literal] = ACTIONS(2437),
    [anon_sym_LPAREN] = ACTIONS(2446),
    [anon_sym_LBRACK] = ACTIONS(2446),
    [anon_sym_QMARK] = ACTIONS(2449),
    [anon_sym_QMARK2] = ACTIONS(2444),
    [anon_sym_AMP] = ACTIONS(2446),
    [anon_sym_if] = ACTIONS(2437),
    [anon_sym_switch] = ACTIONS(2437),
    [anon_sym_POUNDselector] = ACTIONS(2439),
    [aux_sym_custom_operator_token1] = ACTIONS(2446),
    [anon_sym_LT] = ACTIONS(2441),
    [anon_sym_GT] = ACTIONS(2441),
    [anon_sym_await] = ACTIONS(2437),
    [anon_sym_POUNDfile] = ACTIONS(2437),
    [anon_sym_POUNDfileID] = ACTIONS(2439),
    [anon_sym_POUNDfilePath] = ACTIONS(2439),
    [anon_sym_POUNDline] = ACTIONS(2439),
    [anon_sym_POUNDcolumn] = ACTIONS(2439),
    [anon_sym_POUNDfunction] = ACTIONS(2439),
    [anon_sym_POUNDdsohandle] = ACTIONS(2439),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(2439),
    [anon_sym_POUNDfileLiteral] = ACTIONS(2439),
    [anon_sym_POUNDimageLiteral] = ACTIONS(2439),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_CARET_LBRACE] = ACTIONS(2446),
    [anon_sym_RBRACE] = ACTIONS(2444),
    [anon_sym_self] = ACTIONS(2437),
    [anon_sym_super] = ACTIONS(2437),
    [anon_sym_POUNDkeyPath] = ACTIONS(2439),
    [anon_sym_try] = ACTIONS(2437),
    [anon_sym_PLUS_EQ] = ACTIONS(2446),
    [anon_sym_DASH_EQ] = ACTIONS(2446),
    [anon_sym_STAR_EQ] = ACTIONS(2446),
    [anon_sym_SLASH_EQ] = ACTIONS(2446),
    [anon_sym_PERCENT_EQ] = ACTIONS(2446),
    [anon_sym_BANG_EQ] = ACTIONS(2441),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2446),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2446),
    [anon_sym_LT_EQ] = ACTIONS(2446),
    [anon_sym_GT_EQ] = ACTIONS(2446),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2446),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2446),
    [anon_sym_is] = ACTIONS(2449),
    [anon_sym_PLUS] = ACTIONS(2441),
    [anon_sym_DASH] = ACTIONS(2441),
    [anon_sym_STAR] = ACTIONS(2441),
    [anon_sym_SLASH] = ACTIONS(2441),
    [anon_sym_PERCENT] = ACTIONS(2441),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2439),
    [anon_sym_PIPE] = ACTIONS(2446),
    [anon_sym_CARET] = ACTIONS(2441),
    [anon_sym_LT_LT] = ACTIONS(2446),
    [anon_sym_GT_GT] = ACTIONS(2446),
    [anon_sym_BANG2] = ACTIONS(2441),
    [anon_sym_borrowing] = ACTIONS(2437),
    [anon_sym_consuming] = ACTIONS(2437),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(2439),
    [sym_raw_str_end_part] = ACTIONS(2439),
    [sym__implicit_semi] = ACTIONS(2444),
    [sym__explicit_semi] = ACTIONS(2444),
    [sym__dot_custom] = ACTIONS(2446),
    [sym__conjunction_operator_custom] = ACTIONS(2444),
    [sym__disjunction_operator_custom] = ACTIONS(2444),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2444),
    [sym__eq_custom] = ACTIONS(2446),
    [sym__eq_eq_custom] = ACTIONS(2446),
    [sym__plus_then_ws] = ACTIONS(2446),
    [sym__minus_then_ws] = ACTIONS(2446),
    [sym__bang_custom] = ACTIONS(2446),
    [sym_where_keyword] = ACTIONS(2444),
    [sym__as_custom] = ACTIONS(2444),
    [sym__as_quest_custom] = ACTIONS(2444),
    [sym__as_bang_custom] = ACTIONS(2444),
    [sym__custom_operator] = ACTIONS(2446),
  },
  [839] = {
    [ts_builtin_sym_end] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2469),
    [aux_sym_simple_identifier_token2] = ACTIONS(2471),
    [aux_sym_simple_identifier_token3] = ACTIONS(2471),
    [aux_sym_simple_identifier_token4] = ACTIONS(2471),
    [anon_sym_actor] = ACTIONS(2469),
    [anon_sym_async] = ACTIONS(2469),
    [anon_sym_each] = ACTIONS(2469),
    [anon_sym_lazy] = ACTIONS(2469),
    [anon_sym_repeat] = ACTIONS(2469),
    [anon_sym_package] = ACTIONS(2469),
    [anon_sym_nil] = ACTIONS(2469),
    [sym_real_literal] = ACTIONS(2471),
    [sym_integer_literal] = ACTIONS(2469),
    [sym_hex_literal] = ACTIONS(2471),
    [sym_oct_literal] = ACTIONS(2471),
    [sym_bin_literal] = ACTIONS(2471),
    [anon_sym_true] = ACTIONS(2469),
    [anon_sym_false] = ACTIONS(2469),
    [anon_sym_DQUOTE] = ACTIONS(2469),
    [anon_sym_BSLASH] = ACTIONS(2471),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2471),
    [anon_sym_COMMA] = ACTIONS(2471),
    [sym__extended_regex_literal] = ACTIONS(2471),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(2471),
    [sym__oneline_regex_literal] = ACTIONS(2469),
    [anon_sym_LPAREN] = ACTIONS(2471),
    [anon_sym_LBRACK] = ACTIONS(2471),
    [anon_sym_QMARK] = ACTIONS(2469),
    [anon_sym_QMARK2] = ACTIONS(2471),
    [anon_sym_AMP] = ACTIONS(2471),
    [anon_sym_if] = ACTIONS(2469),
    [anon_sym_switch] = ACTIONS(2469),
    [anon_sym_POUNDselector] = ACTIONS(2471),
    [aux_sym_custom_operator_token1] = ACTIONS(2471),
    [anon_sym_LT] = ACTIONS(2469),
    [anon_sym_GT] = ACTIONS(2469),
    [anon_sym_await] = ACTIONS(2469),
    [anon_sym_POUNDfile] = ACTIONS(2469),
    [anon_sym_POUNDfileID] = ACTIONS(2471),
    [anon_sym_POUNDfilePath] = ACTIONS(2471),
    [anon_sym_POUNDline] = ACTIONS(2471),
    [anon_sym_POUNDcolumn] = ACTIONS(2471),
    [anon_sym_POUNDfunction] = ACTIONS(2471),
    [anon_sym_POUNDdsohandle] = ACTIONS(2471),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(2471),
    [anon_sym_POUNDfileLiteral] = ACTIONS(2471),
    [anon_sym_POUNDimageLiteral] = ACTIONS(2471),
    [anon_sym_LBRACE] = ACTIONS(2471),
    [anon_sym_CARET_LBRACE] = ACTIONS(2471),
    [anon_sym_RBRACE] = ACTIONS(2471),
    [anon_sym_self] = ACTIONS(2469),
    [anon_sym_super] = ACTIONS(2469),
    [anon_sym_POUNDkeyPath] = ACTIONS(2471),
    [anon_sym_try] = ACTIONS(2469),
    [anon_sym_PLUS_EQ] = ACTIONS(2471),
    [anon_sym_DASH_EQ] = ACTIONS(2471),
    [anon_sym_STAR_EQ] = ACTIONS(2471),
    [anon_sym_SLASH_EQ] = ACTIONS(2471),
    [anon_sym_PERCENT_EQ] = ACTIONS(2471),
    [anon_sym_BANG_EQ] = ACTIONS(2469),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2471),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2471),
    [anon_sym_LT_EQ] = ACTIONS(2471),
    [anon_sym_GT_EQ] = ACTIONS(2471),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2471),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2471),
    [anon_sym_is] = ACTIONS(2469),
    [anon_sym_PLUS] = ACTIONS(2469),
    [anon_sym_DASH] = ACTIONS(2469),
    [anon_sym_STAR] = ACTIONS(2469),
    [anon_sym_SLASH] = ACTIONS(2469),
    [anon_sym_PERCENT] = ACTIONS(2469),
    [anon_sym_PLUS_PLUS] = ACTIONS(2471),
    [anon_sym_DASH_DASH] = ACTIONS(2471),
    [anon_sym_TILDE] = ACTIONS(2471),
    [anon_sym_PIPE] = ACTIONS(2471),
    [anon_sym_CARET] = ACTIONS(2469),
    [anon_sym_LT_LT] = ACTIONS(2471),
    [anon_sym_GT_GT] = ACTIONS(2471),
    [anon_sym_BANG2] = ACTIONS(2469),
    [anon_sym_borrowing] = ACTIONS(2469),
    [anon_sym_consuming] = ACTIONS(2469),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(2471),
    [sym_raw_str_end_part] = ACTIONS(2471),
    [sym__implicit_semi] = ACTIONS(2471),
    [sym__explicit_semi] = ACTIONS(2471),
    [sym__dot_custom] = ACTIONS(2471),
    [sym__conjunction_operator_custom] = ACTIONS(2471),
    [sym__disjunction_operator_custom] = ACTIONS(2471),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2471),
    [sym__eq_custom] = ACTIONS(2471),
    [sym__eq_eq_custom] = ACTIONS(2471),
    [sym__plus_then_ws] = ACTIONS(2471),
    [sym__minus_then_ws] = ACTIONS(2471),
    [sym__bang_custom] = ACTIONS(2471),
    [sym_where_keyword] = ACTIONS(2471),
    [sym__as_custom] = ACTIONS(2471),
    [sym__as_quest_custom] = ACTIONS(2471),
    [sym__as_bang_custom] = ACTIONS(2471),
    [sym__custom_operator] = ACTIONS(2471),
  },
  [840] = {
    [ts_builtin_sym_end] = ACTIONS(2453),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2451),
    [aux_sym_simple_identifier_token2] = ACTIONS(2453),
    [aux_sym_simple_identifier_token3] = ACTIONS(2453),
    [aux_sym_simple_identifier_token4] = ACTIONS(2453),
    [anon_sym_actor] = ACTIONS(2451),
    [anon_sym_async] = ACTIONS(2451),
    [anon_sym_each] = ACTIONS(2451),
    [anon_sym_lazy] = ACTIONS(2451),
    [anon_sym_repeat] = ACTIONS(2451),
    [anon_sym_package] = ACTIONS(2451),
    [anon_sym_nil] = ACTIONS(2451),
    [sym_real_literal] = ACTIONS(2453),
    [sym_integer_literal] = ACTIONS(2451),
    [sym_hex_literal] = ACTIONS(2453),
    [sym_oct_literal] = ACTIONS(2453),
    [sym_bin_literal] = ACTIONS(2453),
    [anon_sym_true] = ACTIONS(2451),
    [anon_sym_false] = ACTIONS(2451),
    [anon_sym_DQUOTE] = ACTIONS(2451),
    [anon_sym_BSLASH] = ACTIONS(2453),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2453),
    [anon_sym_COMMA] = ACTIONS(2453),
    [sym__extended_regex_literal] = ACTIONS(2453),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(2453),
    [sym__oneline_regex_literal] = ACTIONS(2451),
    [anon_sym_LPAREN] = ACTIONS(2453),
    [anon_sym_LBRACK] = ACTIONS(2453),
    [anon_sym_QMARK] = ACTIONS(2451),
    [anon_sym_QMARK2] = ACTIONS(2453),
    [anon_sym_AMP] = ACTIONS(2453),
    [anon_sym_if] = ACTIONS(2451),
    [anon_sym_switch] = ACTIONS(2451),
    [anon_sym_POUNDselector] = ACTIONS(2453),
    [aux_sym_custom_operator_token1] = ACTIONS(2453),
    [anon_sym_LT] = ACTIONS(2451),
    [anon_sym_GT] = ACTIONS(2451),
    [anon_sym_await] = ACTIONS(2451),
    [anon_sym_POUNDfile] = ACTIONS(2451),
    [anon_sym_POUNDfileID] = ACTIONS(2453),
    [anon_sym_POUNDfilePath] = ACTIONS(2453),
    [anon_sym_POUNDline] = ACTIONS(2453),
    [anon_sym_POUNDcolumn] = ACTIONS(2453),
    [anon_sym_POUNDfunction] = ACTIONS(2453),
    [anon_sym_POUNDdsohandle] = ACTIONS(2453),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(2453),
    [anon_sym_POUNDfileLiteral] = ACTIONS(2453),
    [anon_sym_POUNDimageLiteral] = ACTIONS(2453),
    [anon_sym_LBRACE] = ACTIONS(2453),
    [anon_sym_CARET_LBRACE] = ACTIONS(2453),
    [anon_sym_RBRACE] = ACTIONS(2453),
    [anon_sym_self] = ACTIONS(2451),
    [anon_sym_super] = ACTIONS(2451),
    [anon_sym_POUNDkeyPath] = ACTIONS(2453),
    [anon_sym_try] = ACTIONS(2451),
    [anon_sym_PLUS_EQ] = ACTIONS(2453),
    [anon_sym_DASH_EQ] = ACTIONS(2453),
    [anon_sym_STAR_EQ] = ACTIONS(2453),
    [anon_sym_SLASH_EQ] = ACTIONS(2453),
    [anon_sym_PERCENT_EQ] = ACTIONS(2453),
    [anon_sym_BANG_EQ] = ACTIONS(2451),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2453),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2453),
    [anon_sym_LT_EQ] = ACTIONS(2453),
    [anon_sym_GT_EQ] = ACTIONS(2453),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2453),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2453),
    [anon_sym_is] = ACTIONS(2451),
    [anon_sym_PLUS] = ACTIONS(2451),
    [anon_sym_DASH] = ACTIONS(2451),
    [anon_sym_STAR] = ACTIONS(2451),
    [anon_sym_SLASH] = ACTIONS(2451),
    [anon_sym_PERCENT] = ACTIONS(2451),
    [anon_sym_PLUS_PLUS] = ACTIONS(2453),
    [anon_sym_DASH_DASH] = ACTIONS(2453),
    [anon_sym_TILDE] = ACTIONS(2453),
    [anon_sym_PIPE] = ACTIONS(2453),
    [anon_sym_CARET] = ACTIONS(2451),
    [anon_sym_LT_LT] = ACTIONS(2453),
    [anon_sym_GT_GT] = ACTIONS(2453),
    [anon_sym_BANG2] = ACTIONS(2451),
    [anon_sym_borrowing] = ACTIONS(2451),
    [anon_sym_consuming] = ACTIONS(2451),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(2453),
    [sym_raw_str_end_part] = ACTIONS(2453),
    [sym__implicit_semi] = ACTIONS(2453),
    [sym__explicit_semi] = ACTIONS(2453),
    [sym__dot_custom] = ACTIONS(2453),
    [sym__conjunction_operator_custom] = ACTIONS(2453),
    [sym__disjunction_operator_custom] = ACTIONS(2453),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2453),
    [sym__eq_custom] = ACTIONS(2453),
    [sym__eq_eq_custom] = ACTIONS(2453),
    [sym__plus_then_ws] = ACTIONS(2453),
    [sym__minus_then_ws] = ACTIONS(2453),
    [sym__bang_custom] = ACTIONS(2453),
    [sym_where_keyword] = ACTIONS(2453),
    [sym__as_custom] = ACTIONS(2453),
    [sym__as_quest_custom] = ACTIONS(2453),
    [sym__as_bang_custom] = ACTIONS(2453),
    [sym__custom_operator] = ACTIONS(2453),
  },
  [841] = {
    [ts_builtin_sym_end] = ACTIONS(2453),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2451),
    [aux_sym_simple_identifier_token2] = ACTIONS(2453),
    [aux_sym_simple_identifier_token3] = ACTIONS(2453),
    [aux_sym_simple_identifier_token4] = ACTIONS(2453),
    [anon_sym_actor] = ACTIONS(2451),
    [anon_sym_async] = ACTIONS(2451),
    [anon_sym_each] = ACTIONS(2451),
    [anon_sym_lazy] = ACTIONS(2451),
    [anon_sym_repeat] = ACTIONS(2451),
    [anon_sym_package] = ACTIONS(2451),
    [anon_sym_nil] = ACTIONS(2451),
    [sym_real_literal] = ACTIONS(2453),
    [sym_integer_literal] = ACTIONS(2451),
    [sym_hex_literal] = ACTIONS(2453),
    [sym_oct_literal] = ACTIONS(2453),
    [sym_bin_literal] = ACTIONS(2453),
    [anon_sym_true] = ACTIONS(2451),
    [anon_sym_false] = ACTIONS(2451),
    [anon_sym_DQUOTE] = ACTIONS(2451),
    [anon_sym_BSLASH] = ACTIONS(2453),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2453),
    [anon_sym_COMMA] = ACTIONS(2453),
    [sym__extended_regex_literal] = ACTIONS(2453),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(2453),
    [sym__oneline_regex_literal] = ACTIONS(2451),
    [anon_sym_LPAREN] = ACTIONS(2453),
    [anon_sym_LBRACK] = ACTIONS(2453),
    [anon_sym_QMARK] = ACTIONS(2451),
    [anon_sym_QMARK2] = ACTIONS(2453),
    [anon_sym_AMP] = ACTIONS(2453),
    [anon_sym_if] = ACTIONS(2451),
    [anon_sym_switch] = ACTIONS(2451),
    [anon_sym_POUNDselector] = ACTIONS(2453),
    [aux_sym_custom_operator_token1] = ACTIONS(2453),
    [anon_sym_LT] = ACTIONS(2451),
    [anon_sym_GT] = ACTIONS(2451),
    [anon_sym_await] = ACTIONS(2451),
    [anon_sym_POUNDfile] = ACTIONS(2451),
    [anon_sym_POUNDfileID] = ACTIONS(2453),
    [anon_sym_POUNDfilePath] = ACTIONS(2453),
    [anon_sym_POUNDline] = ACTIONS(2453),
    [anon_sym_POUNDcolumn] = ACTIONS(2453),
    [anon_sym_POUNDfunction] = ACTIONS(2453),
    [anon_sym_POUNDdsohandle] = ACTIONS(2453),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(2453),
    [anon_sym_POUNDfileLiteral] = ACTIONS(2453),
    [anon_sym_POUNDimageLiteral] = ACTIONS(2453),
    [anon_sym_LBRACE] = ACTIONS(2453),
    [anon_sym_CARET_LBRACE] = ACTIONS(2453),
    [anon_sym_RBRACE] = ACTIONS(2453),
    [anon_sym_self] = ACTIONS(2451),
    [anon_sym_super] = ACTIONS(2451),
    [anon_sym_POUNDkeyPath] = ACTIONS(2453),
    [anon_sym_try] = ACTIONS(2451),
    [anon_sym_PLUS_EQ] = ACTIONS(2453),
    [anon_sym_DASH_EQ] = ACTIONS(2453),
    [anon_sym_STAR_EQ] = ACTIONS(2453),
    [anon_sym_SLASH_EQ] = ACTIONS(2453),
    [anon_sym_PERCENT_EQ] = ACTIONS(2453),
    [anon_sym_BANG_EQ] = ACTIONS(2451),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2453),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2453),
    [anon_sym_LT_EQ] = ACTIONS(2453),
    [anon_sym_GT_EQ] = ACTIONS(2453),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2453),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2453),
    [anon_sym_is] = ACTIONS(2451),
    [anon_sym_PLUS] = ACTIONS(2451),
    [anon_sym_DASH] = ACTIONS(2451),
    [anon_sym_STAR] = ACTIONS(2451),
    [anon_sym_SLASH] = ACTIONS(2451),
    [anon_sym_PERCENT] = ACTIONS(2451),
    [anon_sym_PLUS_PLUS] = ACTIONS(2453),
    [anon_sym_DASH_DASH] = ACTIONS(2453),
    [anon_sym_TILDE] = ACTIONS(2453),
    [anon_sym_PIPE] = ACTIONS(2453),
    [anon_sym_CARET] = ACTIONS(2451),
    [anon_sym_LT_LT] = ACTIONS(2453),
    [anon_sym_GT_GT] = ACTIONS(2453),
    [anon_sym_BANG2] = ACTIONS(2451),
    [anon_sym_borrowing] = ACTIONS(2451),
    [anon_sym_consuming] = ACTIONS(2451),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(2453),
    [sym_raw_str_end_part] = ACTIONS(2453),
    [sym__implicit_semi] = ACTIONS(2453),
    [sym__explicit_semi] = ACTIONS(2453),
    [sym__dot_custom] = ACTIONS(2453),
    [sym__conjunction_operator_custom] = ACTIONS(2453),
    [sym__disjunction_operator_custom] = ACTIONS(2453),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2453),
    [sym__eq_custom] = ACTIONS(2453),
    [sym__eq_eq_custom] = ACTIONS(2453),
    [sym__plus_then_ws] = ACTIONS(2453),
    [sym__minus_then_ws] = ACTIONS(2453),
    [sym__bang_custom] = ACTIONS(2453),
    [sym__as_custom] = ACTIONS(2453),
    [sym__as_quest_custom] = ACTIONS(2453),
    [sym__as_bang_custom] = ACTIONS(2453),
    [sym__custom_operator] = ACTIONS(2453),
  },
  [842] = {
    [ts_builtin_sym_end] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2469),
    [aux_sym_simple_identifier_token2] = ACTIONS(2471),
    [aux_sym_simple_identifier_token3] = ACTIONS(2471),
    [aux_sym_simple_identifier_token4] = ACTIONS(2471),
    [anon_sym_actor] = ACTIONS(2469),
    [anon_sym_async] = ACTIONS(2469),
    [anon_sym_each] = ACTIONS(2469),
    [anon_sym_lazy] = ACTIONS(2469),
    [anon_sym_repeat] = ACTIONS(2469),
    [anon_sym_package] = ACTIONS(2469),
    [anon_sym_nil] = ACTIONS(2469),
    [sym_real_literal] = ACTIONS(2471),
    [sym_integer_literal] = ACTIONS(2469),
    [sym_hex_literal] = ACTIONS(2471),
    [sym_oct_literal] = ACTIONS(2471),
    [sym_bin_literal] = ACTIONS(2471),
    [anon_sym_true] = ACTIONS(2469),
    [anon_sym_false] = ACTIONS(2469),
    [anon_sym_DQUOTE] = ACTIONS(2469),
    [anon_sym_BSLASH] = ACTIONS(2471),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2471),
    [anon_sym_COMMA] = ACTIONS(2471),
    [sym__extended_regex_literal] = ACTIONS(2471),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(2471),
    [sym__oneline_regex_literal] = ACTIONS(2469),
    [anon_sym_LPAREN] = ACTIONS(2471),
    [anon_sym_LBRACK] = ACTIONS(2471),
    [anon_sym_QMARK] = ACTIONS(2469),
    [anon_sym_QMARK2] = ACTIONS(2471),
    [anon_sym_AMP] = ACTIONS(2471),
    [anon_sym_if] = ACTIONS(2469),
    [anon_sym_switch] = ACTIONS(2469),
    [anon_sym_POUNDselector] = ACTIONS(2471),
    [aux_sym_custom_operator_token1] = ACTIONS(2471),
    [anon_sym_LT] = ACTIONS(2469),
    [anon_sym_GT] = ACTIONS(2469),
    [anon_sym_await] = ACTIONS(2469),
    [anon_sym_POUNDfile] = ACTIONS(2469),
    [anon_sym_POUNDfileID] = ACTIONS(2471),
    [anon_sym_POUNDfilePath] = ACTIONS(2471),
    [anon_sym_POUNDline] = ACTIONS(2471),
    [anon_sym_POUNDcolumn] = ACTIONS(2471),
    [anon_sym_POUNDfunction] = ACTIONS(2471),
    [anon_sym_POUNDdsohandle] = ACTIONS(2471),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(2471),
    [anon_sym_POUNDfileLiteral] = ACTIONS(2471),
    [anon_sym_POUNDimageLiteral] = ACTIONS(2471),
    [anon_sym_LBRACE] = ACTIONS(2471),
    [anon_sym_CARET_LBRACE] = ACTIONS(2471),
    [anon_sym_RBRACE] = ACTIONS(2471),
    [anon_sym_self] = ACTIONS(2469),
    [anon_sym_super] = ACTIONS(2469),
    [anon_sym_POUNDkeyPath] = ACTIONS(2471),
    [anon_sym_try] = ACTIONS(2469),
    [anon_sym_PLUS_EQ] = ACTIONS(2471),
    [anon_sym_DASH_EQ] = ACTIONS(2471),
    [anon_sym_STAR_EQ] = ACTIONS(2471),
    [anon_sym_SLASH_EQ] = ACTIONS(2471),
    [anon_sym_PERCENT_EQ] = ACTIONS(2471),
    [anon_sym_BANG_EQ] = ACTIONS(2469),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2471),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2471),
    [anon_sym_LT_EQ] = ACTIONS(2471),
    [anon_sym_GT_EQ] = ACTIONS(2471),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2471),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2471),
    [anon_sym_is] = ACTIONS(2469),
    [anon_sym_PLUS] = ACTIONS(2469),
    [anon_sym_DASH] = ACTIONS(2469),
    [anon_sym_STAR] = ACTIONS(2469),
    [anon_sym_SLASH] = ACTIONS(2469),
    [anon_sym_PERCENT] = ACTIONS(2469),
    [anon_sym_PLUS_PLUS] = ACTIONS(2471),
    [anon_sym_DASH_DASH] = ACTIONS(2471),
    [anon_sym_TILDE] = ACTIONS(2471),
    [anon_sym_PIPE] = ACTIONS(2471),
    [anon_sym_CARET] = ACTIONS(2469),
    [anon_sym_LT_LT] = ACTIONS(2471),
    [anon_sym_GT_GT] = ACTIONS(2471),
    [anon_sym_BANG2] = ACTIONS(2469),
    [anon_sym_borrowing] = ACTIONS(2469),
    [anon_sym_consuming] = ACTIONS(2469),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(2471),
    [sym_raw_str_end_part] = ACTIONS(2471),
    [sym__implicit_semi] = ACTIONS(2471),
    [sym__explicit_semi] = ACTIONS(2471),
    [sym__dot_custom] = ACTIONS(2471),
    [sym__conjunction_operator_custom] = ACTIONS(2471),
    [sym__disjunction_operator_custom] = ACTIONS(2471),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2471),
    [sym__eq_custom] = ACTIONS(2471),
    [sym__eq_eq_custom] = ACTIONS(2471),
    [sym__plus_then_ws] = ACTIONS(2471),
    [sym__minus_then_ws] = ACTIONS(2471),
    [sym__bang_custom] = ACTIONS(2471),
    [sym__as_custom] = ACTIONS(2471),
    [sym__as_quest_custom] = ACTIONS(2471),
    [sym__as_bang_custom] = ACTIONS(2471),
    [sym__custom_operator] = ACTIONS(2471),
  },
  [843] = {
    [ts_builtin_sym_end] = ACTIONS(2435),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2433),
    [aux_sym_simple_identifier_token2] = ACTIONS(2435),
    [aux_sym_simple_identifier_token3] = ACTIONS(2435),
    [aux_sym_simple_identifier_token4] = ACTIONS(2435),
    [anon_sym_actor] = ACTIONS(2433),
    [anon_sym_async] = ACTIONS(2433),
    [anon_sym_each] = ACTIONS(2433),
    [anon_sym_lazy] = ACTIONS(2433),
    [anon_sym_repeat] = ACTIONS(2433),
    [anon_sym_package] = ACTIONS(2433),
    [anon_sym_nil] = ACTIONS(2433),
    [sym_real_literal] = ACTIONS(2435),
    [sym_integer_literal] = ACTIONS(2433),
    [sym_hex_literal] = ACTIONS(2435),
    [sym_oct_literal] = ACTIONS(2435),
    [sym_bin_literal] = ACTIONS(2435),
    [anon_sym_true] = ACTIONS(2433),
    [anon_sym_false] = ACTIONS(2433),
    [anon_sym_DQUOTE] = ACTIONS(2433),
    [anon_sym_BSLASH] = ACTIONS(2435),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2435),
    [anon_sym_COMMA] = ACTIONS(2435),
    [sym__extended_regex_literal] = ACTIONS(2435),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(2435),
    [sym__oneline_regex_literal] = ACTIONS(2433),
    [anon_sym_LPAREN] = ACTIONS(2435),
    [anon_sym_LBRACK] = ACTIONS(2435),
    [anon_sym_QMARK] = ACTIONS(2433),
    [anon_sym_QMARK2] = ACTIONS(2435),
    [anon_sym_AMP] = ACTIONS(2435),
    [anon_sym_if] = ACTIONS(2433),
    [anon_sym_switch] = ACTIONS(2433),
    [anon_sym_POUNDselector] = ACTIONS(2435),
    [aux_sym_custom_operator_token1] = ACTIONS(2435),
    [anon_sym_LT] = ACTIONS(2433),
    [anon_sym_GT] = ACTIONS(2433),
    [anon_sym_await] = ACTIONS(2433),
    [anon_sym_POUNDfile] = ACTIONS(2433),
    [anon_sym_POUNDfileID] = ACTIONS(2435),
    [anon_sym_POUNDfilePath] = ACTIONS(2435),
    [anon_sym_POUNDline] = ACTIONS(2435),
    [anon_sym_POUNDcolumn] = ACTIONS(2435),
    [anon_sym_POUNDfunction] = ACTIONS(2435),
    [anon_sym_POUNDdsohandle] = ACTIONS(2435),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(2435),
    [anon_sym_POUNDfileLiteral] = ACTIONS(2435),
    [anon_sym_POUNDimageLiteral] = ACTIONS(2435),
    [anon_sym_LBRACE] = ACTIONS(2435),
    [anon_sym_CARET_LBRACE] = ACTIONS(2435),
    [anon_sym_RBRACE] = ACTIONS(2435),
    [anon_sym_self] = ACTIONS(2433),
    [anon_sym_super] = ACTIONS(2433),
    [anon_sym_POUNDkeyPath] = ACTIONS(2435),
    [anon_sym_try] = ACTIONS(2433),
    [anon_sym_PLUS_EQ] = ACTIONS(2435),
    [anon_sym_DASH_EQ] = ACTIONS(2435),
    [anon_sym_STAR_EQ] = ACTIONS(2435),
    [anon_sym_SLASH_EQ] = ACTIONS(2435),
    [anon_sym_PERCENT_EQ] = ACTIONS(2435),
    [anon_sym_BANG_EQ] = ACTIONS(2433),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2435),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2435),
    [anon_sym_LT_EQ] = ACTIONS(2435),
    [anon_sym_GT_EQ] = ACTIONS(2435),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2435),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2435),
    [anon_sym_is] = ACTIONS(2433),
    [anon_sym_PLUS] = ACTIONS(2433),
    [anon_sym_DASH] = ACTIONS(2433),
    [anon_sym_STAR] = ACTIONS(2433),
    [anon_sym_SLASH] = ACTIONS(2433),
    [anon_sym_PERCENT] = ACTIONS(2433),
    [anon_sym_PLUS_PLUS] = ACTIONS(2435),
    [anon_sym_DASH_DASH] = ACTIONS(2435),
    [anon_sym_TILDE] = ACTIONS(2435),
    [anon_sym_PIPE] = ACTIONS(2435),
    [anon_sym_CARET] = ACTIONS(2433),
    [anon_sym_LT_LT] = ACTIONS(2435),
    [anon_sym_GT_GT] = ACTIONS(2435),
    [anon_sym_BANG2] = ACTIONS(2433),
    [anon_sym_borrowing] = ACTIONS(2433),
    [anon_sym_consuming] = ACTIONS(2433),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(2435),
    [sym_raw_str_end_part] = ACTIONS(2435),
    [sym__implicit_semi] = ACTIONS(2435),
    [sym__explicit_semi] = ACTIONS(2435),
    [sym__dot_custom] = ACTIONS(2435),
    [sym__conjunction_operator_custom] = ACTIONS(2435),
    [sym__disjunction_operator_custom] = ACTIONS(2435),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2435),
    [sym__eq_custom] = ACTIONS(2435),
    [sym__eq_eq_custom] = ACTIONS(2435),
    [sym__plus_then_ws] = ACTIONS(2435),
    [sym__minus_then_ws] = ACTIONS(2435),
    [sym__bang_custom] = ACTIONS(2435),
    [sym__as_custom] = ACTIONS(2435),
    [sym__as_quest_custom] = ACTIONS(2435),
    [sym__as_bang_custom] = ACTIONS(2435),
    [sym__custom_operator] = ACTIONS(2435),
  },
  [844] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(637),
    [aux_sym_simple_identifier_token2] = ACTIONS(631),
    [aux_sym_simple_identifier_token3] = ACTIONS(631),
    [aux_sym_simple_identifier_token4] = ACTIONS(631),
    [anon_sym_actor] = ACTIONS(637),
    [anon_sym_async] = ACTIONS(637),
    [anon_sym_each] = ACTIONS(637),
    [anon_sym_lazy] = ACTIONS(3419),
    [anon_sym_repeat] = ACTIONS(637),
    [anon_sym_package] = ACTIONS(3419),
    [anon_sym_COMMA] = ACTIONS(631),
    [anon_sym_COLON] = ACTIONS(631),
    [anon_sym_LPAREN] = ACTIONS(631),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_QMARK] = ACTIONS(637),
    [anon_sym_QMARK2] = ACTIONS(631),
    [anon_sym_AMP] = ACTIONS(631),
    [aux_sym_custom_operator_token1] = ACTIONS(631),
    [anon_sym_LT] = ACTIONS(637),
    [anon_sym_GT] = ACTIONS(637),
    [anon_sym_LBRACE] = ACTIONS(631),
    [anon_sym_CARET_LBRACE] = ACTIONS(631),
    [anon_sym_RBRACE] = ACTIONS(631),
    [anon_sym_in] = ACTIONS(637),
    [anon_sym_case] = ACTIONS(3410),
    [anon_sym_PLUS_EQ] = ACTIONS(631),
    [anon_sym_DASH_EQ] = ACTIONS(631),
    [anon_sym_STAR_EQ] = ACTIONS(631),
    [anon_sym_SLASH_EQ] = ACTIONS(631),
    [anon_sym_PERCENT_EQ] = ACTIONS(631),
    [anon_sym_BANG_EQ] = ACTIONS(637),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(631),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(631),
    [anon_sym_LT_EQ] = ACTIONS(631),
    [anon_sym_GT_EQ] = ACTIONS(631),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(631),
    [anon_sym_DOT_DOT_LT] = ACTIONS(631),
    [anon_sym_is] = ACTIONS(637),
    [anon_sym_PLUS] = ACTIONS(637),
    [anon_sym_DASH] = ACTIONS(637),
    [anon_sym_STAR] = ACTIONS(637),
    [anon_sym_SLASH] = ACTIONS(637),
    [anon_sym_PERCENT] = ACTIONS(637),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PIPE] = ACTIONS(631),
    [anon_sym_CARET] = ACTIONS(637),
    [anon_sym_LT_LT] = ACTIONS(631),
    [anon_sym_GT_GT] = ACTIONS(631),
    [anon_sym_class] = ACTIONS(3410),
    [anon_sym_BANG2] = ACTIONS(637),
    [anon_sym_prefix] = ACTIONS(3410),
    [anon_sym_infix] = ACTIONS(3410),
    [anon_sym_postfix] = ACTIONS(3410),
    [anon_sym_AT] = ACTIONS(3410),
    [anon_sym_override] = ACTIONS(3410),
    [anon_sym_convenience] = ACTIONS(3410),
    [anon_sym_required] = ACTIONS(3410),
    [anon_sym_nonisolated] = ACTIONS(3410),
    [anon_sym_public] = ACTIONS(3410),
    [anon_sym_private] = ACTIONS(3410),
    [anon_sym_internal] = ACTIONS(3410),
    [anon_sym_fileprivate] = ACTIONS(3410),
    [anon_sym_open] = ACTIONS(3410),
    [anon_sym_mutating] = ACTIONS(3410),
    [anon_sym_nonmutating] = ACTIONS(3410),
    [anon_sym_static] = ACTIONS(3410),
    [anon_sym_dynamic] = ACTIONS(3410),
    [anon_sym_optional] = ACTIONS(3410),
    [anon_sym_distributed] = ACTIONS(3410),
    [anon_sym_final] = ACTIONS(3410),
    [anon_sym_inout] = ACTIONS(3410),
    [anon_sym_ATescaping] = ACTIONS(3408),
    [anon_sym_ATautoclosure] = ACTIONS(3408),
    [anon_sym_weak] = ACTIONS(3410),
    [anon_sym_unowned] = ACTIONS(3410),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3408),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3408),
    [anon_sym_borrowing] = ACTIONS(3419),
    [anon_sym_consuming] = ACTIONS(3419),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(631),
    [sym__explicit_semi] = ACTIONS(631),
    [sym__arrow_operator_custom] = ACTIONS(631),
    [sym__dot_custom] = ACTIONS(631),
    [sym__conjunction_operator_custom] = ACTIONS(631),
    [sym__disjunction_operator_custom] = ACTIONS(631),
    [sym__nil_coalescing_operator_custom] = ACTIONS(631),
    [sym__eq_custom] = ACTIONS(631),
    [sym__eq_eq_custom] = ACTIONS(631),
    [sym__plus_then_ws] = ACTIONS(631),
    [sym__minus_then_ws] = ACTIONS(631),
    [sym__bang_custom] = ACTIONS(631),
    [sym__throws_keyword] = ACTIONS(631),
    [sym__rethrows_keyword] = ACTIONS(631),
    [sym_default_keyword] = ACTIONS(3408),
    [sym__as_custom] = ACTIONS(631),
    [sym__as_quest_custom] = ACTIONS(631),
    [sym__as_bang_custom] = ACTIONS(631),
    [sym__async_keyword_custom] = ACTIONS(631),
    [sym__custom_operator] = ACTIONS(631),
  },
  [845] = {
    [ts_builtin_sym_end] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2437),
    [aux_sym_simple_identifier_token2] = ACTIONS(2439),
    [aux_sym_simple_identifier_token3] = ACTIONS(2439),
    [aux_sym_simple_identifier_token4] = ACTIONS(2439),
    [anon_sym_actor] = ACTIONS(2437),
    [anon_sym_async] = ACTIONS(2437),
    [anon_sym_each] = ACTIONS(2437),
    [anon_sym_lazy] = ACTIONS(2437),
    [anon_sym_repeat] = ACTIONS(2437),
    [anon_sym_package] = ACTIONS(2437),
    [anon_sym_nil] = ACTIONS(2437),
    [sym_real_literal] = ACTIONS(2439),
    [sym_integer_literal] = ACTIONS(2437),
    [sym_hex_literal] = ACTIONS(2439),
    [sym_oct_literal] = ACTIONS(2439),
    [sym_bin_literal] = ACTIONS(2439),
    [anon_sym_true] = ACTIONS(2437),
    [anon_sym_false] = ACTIONS(2437),
    [anon_sym_DQUOTE] = ACTIONS(2437),
    [anon_sym_BSLASH] = ACTIONS(2439),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2439),
    [anon_sym_COMMA] = ACTIONS(2444),
    [sym__extended_regex_literal] = ACTIONS(2439),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(2439),
    [sym__oneline_regex_literal] = ACTIONS(2437),
    [anon_sym_LPAREN] = ACTIONS(2446),
    [anon_sym_LBRACK] = ACTIONS(2446),
    [anon_sym_QMARK] = ACTIONS(2449),
    [anon_sym_QMARK2] = ACTIONS(2444),
    [anon_sym_AMP] = ACTIONS(2446),
    [anon_sym_if] = ACTIONS(2437),
    [anon_sym_switch] = ACTIONS(2437),
    [anon_sym_POUNDselector] = ACTIONS(2439),
    [aux_sym_custom_operator_token1] = ACTIONS(2446),
    [anon_sym_LT] = ACTIONS(2441),
    [anon_sym_GT] = ACTIONS(2441),
    [anon_sym_await] = ACTIONS(2437),
    [anon_sym_POUNDfile] = ACTIONS(2437),
    [anon_sym_POUNDfileID] = ACTIONS(2439),
    [anon_sym_POUNDfilePath] = ACTIONS(2439),
    [anon_sym_POUNDline] = ACTIONS(2439),
    [anon_sym_POUNDcolumn] = ACTIONS(2439),
    [anon_sym_POUNDfunction] = ACTIONS(2439),
    [anon_sym_POUNDdsohandle] = ACTIONS(2439),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(2439),
    [anon_sym_POUNDfileLiteral] = ACTIONS(2439),
    [anon_sym_POUNDimageLiteral] = ACTIONS(2439),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_CARET_LBRACE] = ACTIONS(2446),
    [anon_sym_RBRACE] = ACTIONS(2444),
    [anon_sym_self] = ACTIONS(2437),
    [anon_sym_super] = ACTIONS(2437),
    [anon_sym_POUNDkeyPath] = ACTIONS(2439),
    [anon_sym_try] = ACTIONS(2437),
    [anon_sym_PLUS_EQ] = ACTIONS(2446),
    [anon_sym_DASH_EQ] = ACTIONS(2446),
    [anon_sym_STAR_EQ] = ACTIONS(2446),
    [anon_sym_SLASH_EQ] = ACTIONS(2446),
    [anon_sym_PERCENT_EQ] = ACTIONS(2446),
    [anon_sym_BANG_EQ] = ACTIONS(2441),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2446),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2446),
    [anon_sym_LT_EQ] = ACTIONS(2446),
    [anon_sym_GT_EQ] = ACTIONS(2446),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2446),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2446),
    [anon_sym_is] = ACTIONS(2449),
    [anon_sym_PLUS] = ACTIONS(2441),
    [anon_sym_DASH] = ACTIONS(2441),
    [anon_sym_STAR] = ACTIONS(2441),
    [anon_sym_SLASH] = ACTIONS(2441),
    [anon_sym_PERCENT] = ACTIONS(2441),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2439),
    [anon_sym_PIPE] = ACTIONS(2446),
    [anon_sym_CARET] = ACTIONS(2441),
    [anon_sym_LT_LT] = ACTIONS(2446),
    [anon_sym_GT_GT] = ACTIONS(2446),
    [anon_sym_BANG2] = ACTIONS(2441),
    [anon_sym_borrowing] = ACTIONS(2437),
    [anon_sym_consuming] = ACTIONS(2437),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(2439),
    [sym_raw_str_end_part] = ACTIONS(2439),
    [sym__implicit_semi] = ACTIONS(2444),
    [sym__explicit_semi] = ACTIONS(2444),
    [sym__dot_custom] = ACTIONS(2446),
    [sym__conjunction_operator_custom] = ACTIONS(2444),
    [sym__disjunction_operator_custom] = ACTIONS(2444),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2444),
    [sym__eq_custom] = ACTIONS(2446),
    [sym__eq_eq_custom] = ACTIONS(2446),
    [sym__plus_then_ws] = ACTIONS(2446),
    [sym__minus_then_ws] = ACTIONS(2446),
    [sym__bang_custom] = ACTIONS(2446),
    [sym__as_custom] = ACTIONS(2444),
    [sym__as_quest_custom] = ACTIONS(2444),
    [sym__as_bang_custom] = ACTIONS(2444),
    [sym__custom_operator] = ACTIONS(2446),
  },
  [846] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(637),
    [aux_sym_simple_identifier_token2] = ACTIONS(631),
    [aux_sym_simple_identifier_token3] = ACTIONS(631),
    [aux_sym_simple_identifier_token4] = ACTIONS(631),
    [anon_sym_actor] = ACTIONS(637),
    [anon_sym_async] = ACTIONS(637),
    [anon_sym_each] = ACTIONS(637),
    [anon_sym_lazy] = ACTIONS(3422),
    [anon_sym_repeat] = ACTIONS(637),
    [anon_sym_package] = ACTIONS(3422),
    [anon_sym_COMMA] = ACTIONS(631),
    [anon_sym_COLON] = ACTIONS(631),
    [anon_sym_LPAREN] = ACTIONS(3414),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_QMARK] = ACTIONS(637),
    [anon_sym_QMARK2] = ACTIONS(631),
    [anon_sym_AMP] = ACTIONS(631),
    [aux_sym_custom_operator_token1] = ACTIONS(631),
    [anon_sym_LT] = ACTIONS(637),
    [anon_sym_GT] = ACTIONS(637),
    [anon_sym_LBRACE] = ACTIONS(631),
    [anon_sym_CARET_LBRACE] = ACTIONS(631),
    [anon_sym_RBRACE] = ACTIONS(631),
    [anon_sym_in] = ACTIONS(637),
    [anon_sym_PLUS_EQ] = ACTIONS(631),
    [anon_sym_DASH_EQ] = ACTIONS(631),
    [anon_sym_STAR_EQ] = ACTIONS(631),
    [anon_sym_SLASH_EQ] = ACTIONS(631),
    [anon_sym_PERCENT_EQ] = ACTIONS(631),
    [anon_sym_BANG_EQ] = ACTIONS(637),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(631),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(631),
    [anon_sym_LT_EQ] = ACTIONS(631),
    [anon_sym_GT_EQ] = ACTIONS(631),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(631),
    [anon_sym_DOT_DOT_LT] = ACTIONS(631),
    [anon_sym_is] = ACTIONS(637),
    [anon_sym_PLUS] = ACTIONS(637),
    [anon_sym_DASH] = ACTIONS(637),
    [anon_sym_STAR] = ACTIONS(637),
    [anon_sym_SLASH] = ACTIONS(637),
    [anon_sym_PERCENT] = ACTIONS(637),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PIPE] = ACTIONS(631),
    [anon_sym_CARET] = ACTIONS(637),
    [anon_sym_LT_LT] = ACTIONS(631),
    [anon_sym_GT_GT] = ACTIONS(631),
    [anon_sym_class] = ACTIONS(3417),
    [anon_sym_willSet] = ACTIONS(3417),
    [anon_sym_didSet] = ACTIONS(3417),
    [anon_sym_BANG2] = ACTIONS(637),
    [anon_sym_prefix] = ACTIONS(3417),
    [anon_sym_infix] = ACTIONS(3417),
    [anon_sym_postfix] = ACTIONS(3417),
    [anon_sym_AT] = ACTIONS(3417),
    [anon_sym_override] = ACTIONS(3417),
    [anon_sym_convenience] = ACTIONS(3417),
    [anon_sym_required] = ACTIONS(3417),
    [anon_sym_nonisolated] = ACTIONS(3417),
    [anon_sym_public] = ACTIONS(3417),
    [anon_sym_private] = ACTIONS(3417),
    [anon_sym_internal] = ACTIONS(3417),
    [anon_sym_fileprivate] = ACTIONS(3417),
    [anon_sym_open] = ACTIONS(3417),
    [anon_sym_mutating] = ACTIONS(3417),
    [anon_sym_nonmutating] = ACTIONS(3417),
    [anon_sym_static] = ACTIONS(3417),
    [anon_sym_dynamic] = ACTIONS(3417),
    [anon_sym_optional] = ACTIONS(3417),
    [anon_sym_distributed] = ACTIONS(3417),
    [anon_sym_final] = ACTIONS(3417),
    [anon_sym_inout] = ACTIONS(3417),
    [anon_sym_ATescaping] = ACTIONS(3412),
    [anon_sym_ATautoclosure] = ACTIONS(3412),
    [anon_sym_weak] = ACTIONS(3417),
    [anon_sym_unowned] = ACTIONS(3417),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3412),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3412),
    [anon_sym_borrowing] = ACTIONS(3422),
    [anon_sym_consuming] = ACTIONS(3422),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(631),
    [sym__explicit_semi] = ACTIONS(631),
    [sym__arrow_operator_custom] = ACTIONS(631),
    [sym__dot_custom] = ACTIONS(631),
    [sym__conjunction_operator_custom] = ACTIONS(631),
    [sym__disjunction_operator_custom] = ACTIONS(631),
    [sym__nil_coalescing_operator_custom] = ACTIONS(631),
    [sym__eq_custom] = ACTIONS(631),
    [sym__eq_eq_custom] = ACTIONS(631),
    [sym__plus_then_ws] = ACTIONS(631),
    [sym__minus_then_ws] = ACTIONS(631),
    [sym__bang_custom] = ACTIONS(631),
    [sym__throws_keyword] = ACTIONS(631),
    [sym__rethrows_keyword] = ACTIONS(631),
    [sym__as_custom] = ACTIONS(631),
    [sym__as_quest_custom] = ACTIONS(631),
    [sym__as_bang_custom] = ACTIONS(631),
    [sym__async_keyword_custom] = ACTIONS(631),
    [sym__custom_operator] = ACTIONS(631),
  },
  [847] = {
    [sym_simple_identifier] = STATE(7643),
    [sym__contextual_simple_identifier] = STATE(4320),
    [sym__parameter_ownership_modifier] = STATE(4320),
    [aux_sym__fn_call_lambda_arguments_repeat1] = STATE(851),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2812),
    [aux_sym_simple_identifier_token2] = ACTIONS(2814),
    [aux_sym_simple_identifier_token3] = ACTIONS(2814),
    [aux_sym_simple_identifier_token4] = ACTIONS(2814),
    [anon_sym_actor] = ACTIONS(2812),
    [anon_sym_async] = ACTIONS(2812),
    [anon_sym_each] = ACTIONS(2812),
    [anon_sym_lazy] = ACTIONS(2823),
    [anon_sym_repeat] = ACTIONS(2812),
    [anon_sym_package] = ACTIONS(2823),
    [anon_sym_COMMA] = ACTIONS(2826),
    [anon_sym_LPAREN] = ACTIONS(2826),
    [anon_sym_LBRACK] = ACTIONS(2826),
    [anon_sym_QMARK] = ACTIONS(2828),
    [anon_sym_QMARK2] = ACTIONS(2826),
    [anon_sym_AMP] = ACTIONS(2826),
    [aux_sym_custom_operator_token1] = ACTIONS(2826),
    [anon_sym_LT] = ACTIONS(2828),
    [anon_sym_GT] = ACTIONS(2828),
    [anon_sym_LBRACE] = ACTIONS(2826),
    [anon_sym_CARET_LBRACE] = ACTIONS(2826),
    [anon_sym_RBRACE] = ACTIONS(2826),
    [anon_sym_case] = ACTIONS(2828),
    [anon_sym_fallthrough] = ACTIONS(2828),
    [anon_sym_PLUS_EQ] = ACTIONS(2826),
    [anon_sym_DASH_EQ] = ACTIONS(2826),
    [anon_sym_STAR_EQ] = ACTIONS(2826),
    [anon_sym_SLASH_EQ] = ACTIONS(2826),
    [anon_sym_PERCENT_EQ] = ACTIONS(2826),
    [anon_sym_BANG_EQ] = ACTIONS(2828),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2826),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2826),
    [anon_sym_LT_EQ] = ACTIONS(2826),
    [anon_sym_GT_EQ] = ACTIONS(2826),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2826),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2826),
    [anon_sym_is] = ACTIONS(2828),
    [anon_sym_PLUS] = ACTIONS(2828),
    [anon_sym_DASH] = ACTIONS(2828),
    [anon_sym_STAR] = ACTIONS(2828),
    [anon_sym_SLASH] = ACTIONS(2828),
    [anon_sym_PERCENT] = ACTIONS(2828),
    [anon_sym_PLUS_PLUS] = ACTIONS(2826),
    [anon_sym_DASH_DASH] = ACTIONS(2826),
    [anon_sym_PIPE] = ACTIONS(2826),
    [anon_sym_CARET] = ACTIONS(2828),
    [anon_sym_LT_LT] = ACTIONS(2826),
    [anon_sym_GT_GT] = ACTIONS(2826),
    [anon_sym_class] = ACTIONS(2828),
    [anon_sym_BANG2] = ACTIONS(2828),
    [anon_sym_prefix] = ACTIONS(2828),
    [anon_sym_infix] = ACTIONS(2828),
    [anon_sym_postfix] = ACTIONS(2828),
    [anon_sym_AT] = ACTIONS(2828),
    [anon_sym_override] = ACTIONS(2828),
    [anon_sym_convenience] = ACTIONS(2828),
    [anon_sym_required] = ACTIONS(2828),
    [anon_sym_nonisolated] = ACTIONS(2828),
    [anon_sym_public] = ACTIONS(2828),
    [anon_sym_private] = ACTIONS(2828),
    [anon_sym_internal] = ACTIONS(2828),
    [anon_sym_fileprivate] = ACTIONS(2828),
    [anon_sym_open] = ACTIONS(2828),
    [anon_sym_mutating] = ACTIONS(2828),
    [anon_sym_nonmutating] = ACTIONS(2828),
    [anon_sym_static] = ACTIONS(2828),
    [anon_sym_dynamic] = ACTIONS(2828),
    [anon_sym_optional] = ACTIONS(2828),
    [anon_sym_distributed] = ACTIONS(2828),
    [anon_sym_final] = ACTIONS(2828),
    [anon_sym_inout] = ACTIONS(2828),
    [anon_sym_ATescaping] = ACTIONS(2826),
    [anon_sym_ATautoclosure] = ACTIONS(2826),
    [anon_sym_weak] = ACTIONS(2828),
    [anon_sym_unowned] = ACTIONS(2828),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2826),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2826),
    [anon_sym_borrowing] = ACTIONS(2823),
    [anon_sym_consuming] = ACTIONS(2823),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2826),
    [sym__explicit_semi] = ACTIONS(2826),
    [sym__dot_custom] = ACTIONS(2826),
    [sym__conjunction_operator_custom] = ACTIONS(2826),
    [sym__disjunction_operator_custom] = ACTIONS(2826),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2826),
    [sym__eq_custom] = ACTIONS(2826),
    [sym__eq_eq_custom] = ACTIONS(2826),
    [sym__plus_then_ws] = ACTIONS(2826),
    [sym__minus_then_ws] = ACTIONS(2826),
    [sym__bang_custom] = ACTIONS(2826),
    [sym_default_keyword] = ACTIONS(2826),
    [sym_where_keyword] = ACTIONS(2826),
    [sym__as_custom] = ACTIONS(2826),
    [sym__as_quest_custom] = ACTIONS(2826),
    [sym__as_bang_custom] = ACTIONS(2826),
    [sym__custom_operator] = ACTIONS(2826),
  },
  [848] = {
    [ts_builtin_sym_end] = ACTIONS(2455),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2425),
    [aux_sym_simple_identifier_token2] = ACTIONS(2427),
    [aux_sym_simple_identifier_token3] = ACTIONS(2427),
    [aux_sym_simple_identifier_token4] = ACTIONS(2427),
    [anon_sym_actor] = ACTIONS(2425),
    [anon_sym_async] = ACTIONS(2425),
    [anon_sym_each] = ACTIONS(2425),
    [anon_sym_lazy] = ACTIONS(2425),
    [anon_sym_repeat] = ACTIONS(2425),
    [anon_sym_package] = ACTIONS(2425),
    [anon_sym_nil] = ACTIONS(2425),
    [sym_real_literal] = ACTIONS(2427),
    [sym_integer_literal] = ACTIONS(2425),
    [sym_hex_literal] = ACTIONS(2427),
    [sym_oct_literal] = ACTIONS(2427),
    [sym_bin_literal] = ACTIONS(2427),
    [anon_sym_true] = ACTIONS(2425),
    [anon_sym_false] = ACTIONS(2425),
    [anon_sym_DQUOTE] = ACTIONS(2425),
    [anon_sym_BSLASH] = ACTIONS(2427),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2427),
    [anon_sym_COMMA] = ACTIONS(2455),
    [sym__extended_regex_literal] = ACTIONS(2427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(2427),
    [sym__oneline_regex_literal] = ACTIONS(2425),
    [anon_sym_LPAREN] = ACTIONS(2427),
    [anon_sym_LBRACK] = ACTIONS(2427),
    [anon_sym_QMARK] = ACTIONS(2457),
    [anon_sym_QMARK2] = ACTIONS(2455),
    [anon_sym_AMP] = ACTIONS(2427),
    [anon_sym_if] = ACTIONS(2425),
    [anon_sym_switch] = ACTIONS(2425),
    [anon_sym_POUNDselector] = ACTIONS(2427),
    [aux_sym_custom_operator_token1] = ACTIONS(2427),
    [anon_sym_LT] = ACTIONS(2425),
    [anon_sym_GT] = ACTIONS(2425),
    [anon_sym_await] = ACTIONS(2425),
    [anon_sym_POUNDfile] = ACTIONS(2425),
    [anon_sym_POUNDfileID] = ACTIONS(2427),
    [anon_sym_POUNDfilePath] = ACTIONS(2427),
    [anon_sym_POUNDline] = ACTIONS(2427),
    [anon_sym_POUNDcolumn] = ACTIONS(2427),
    [anon_sym_POUNDfunction] = ACTIONS(2427),
    [anon_sym_POUNDdsohandle] = ACTIONS(2427),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(2427),
    [anon_sym_POUNDfileLiteral] = ACTIONS(2427),
    [anon_sym_POUNDimageLiteral] = ACTIONS(2427),
    [anon_sym_LBRACE] = ACTIONS(2427),
    [anon_sym_CARET_LBRACE] = ACTIONS(2427),
    [anon_sym_RBRACE] = ACTIONS(2455),
    [anon_sym_self] = ACTIONS(2425),
    [anon_sym_super] = ACTIONS(2425),
    [anon_sym_POUNDkeyPath] = ACTIONS(2427),
    [anon_sym_try] = ACTIONS(2425),
    [anon_sym_PLUS_EQ] = ACTIONS(2427),
    [anon_sym_DASH_EQ] = ACTIONS(2427),
    [anon_sym_STAR_EQ] = ACTIONS(2427),
    [anon_sym_SLASH_EQ] = ACTIONS(2427),
    [anon_sym_PERCENT_EQ] = ACTIONS(2427),
    [anon_sym_BANG_EQ] = ACTIONS(2425),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2427),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2427),
    [anon_sym_LT_EQ] = ACTIONS(2427),
    [anon_sym_GT_EQ] = ACTIONS(2427),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2427),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2427),
    [anon_sym_is] = ACTIONS(2457),
    [anon_sym_PLUS] = ACTIONS(2425),
    [anon_sym_DASH] = ACTIONS(2425),
    [anon_sym_STAR] = ACTIONS(2425),
    [anon_sym_SLASH] = ACTIONS(2425),
    [anon_sym_PERCENT] = ACTIONS(2425),
    [anon_sym_PLUS_PLUS] = ACTIONS(2427),
    [anon_sym_DASH_DASH] = ACTIONS(2427),
    [anon_sym_TILDE] = ACTIONS(2427),
    [anon_sym_PIPE] = ACTIONS(2427),
    [anon_sym_CARET] = ACTIONS(2425),
    [anon_sym_LT_LT] = ACTIONS(2427),
    [anon_sym_GT_GT] = ACTIONS(2427),
    [anon_sym_BANG2] = ACTIONS(2425),
    [anon_sym_borrowing] = ACTIONS(2425),
    [anon_sym_consuming] = ACTIONS(2425),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(2427),
    [sym_raw_str_end_part] = ACTIONS(2427),
    [sym__implicit_semi] = ACTIONS(2455),
    [sym__explicit_semi] = ACTIONS(2455),
    [sym__dot_custom] = ACTIONS(2427),
    [sym__conjunction_operator_custom] = ACTIONS(2455),
    [sym__disjunction_operator_custom] = ACTIONS(2455),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2455),
    [sym__eq_custom] = ACTIONS(2427),
    [sym__eq_eq_custom] = ACTIONS(2427),
    [sym__plus_then_ws] = ACTIONS(2427),
    [sym__minus_then_ws] = ACTIONS(2427),
    [sym__bang_custom] = ACTIONS(2427),
    [sym__as_custom] = ACTIONS(2455),
    [sym__as_quest_custom] = ACTIONS(2455),
    [sym__as_bang_custom] = ACTIONS(2455),
    [sym__custom_operator] = ACTIONS(2427),
  },
  [849] = {
    [sym_simple_identifier] = STATE(7643),
    [sym__contextual_simple_identifier] = STATE(4320),
    [sym__parameter_ownership_modifier] = STATE(4320),
    [aux_sym__fn_call_lambda_arguments_repeat1] = STATE(849),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2830),
    [aux_sym_simple_identifier_token2] = ACTIONS(2833),
    [aux_sym_simple_identifier_token3] = ACTIONS(2833),
    [aux_sym_simple_identifier_token4] = ACTIONS(2833),
    [anon_sym_actor] = ACTIONS(2830),
    [anon_sym_async] = ACTIONS(2830),
    [anon_sym_each] = ACTIONS(2830),
    [anon_sym_lazy] = ACTIONS(2830),
    [anon_sym_repeat] = ACTIONS(2830),
    [anon_sym_package] = ACTIONS(2830),
    [anon_sym_COMMA] = ACTIONS(2836),
    [anon_sym_LPAREN] = ACTIONS(2836),
    [anon_sym_LBRACK] = ACTIONS(2836),
    [anon_sym_QMARK] = ACTIONS(2838),
    [anon_sym_QMARK2] = ACTIONS(2836),
    [anon_sym_AMP] = ACTIONS(2836),
    [aux_sym_custom_operator_token1] = ACTIONS(2836),
    [anon_sym_LT] = ACTIONS(2838),
    [anon_sym_GT] = ACTIONS(2838),
    [anon_sym_LBRACE] = ACTIONS(2836),
    [anon_sym_CARET_LBRACE] = ACTIONS(2836),
    [anon_sym_RBRACE] = ACTIONS(2836),
    [anon_sym_case] = ACTIONS(2838),
    [anon_sym_fallthrough] = ACTIONS(2838),
    [anon_sym_PLUS_EQ] = ACTIONS(2836),
    [anon_sym_DASH_EQ] = ACTIONS(2836),
    [anon_sym_STAR_EQ] = ACTIONS(2836),
    [anon_sym_SLASH_EQ] = ACTIONS(2836),
    [anon_sym_PERCENT_EQ] = ACTIONS(2836),
    [anon_sym_BANG_EQ] = ACTIONS(2838),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2836),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2836),
    [anon_sym_LT_EQ] = ACTIONS(2836),
    [anon_sym_GT_EQ] = ACTIONS(2836),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2836),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2836),
    [anon_sym_is] = ACTIONS(2838),
    [anon_sym_PLUS] = ACTIONS(2838),
    [anon_sym_DASH] = ACTIONS(2838),
    [anon_sym_STAR] = ACTIONS(2838),
    [anon_sym_SLASH] = ACTIONS(2838),
    [anon_sym_PERCENT] = ACTIONS(2838),
    [anon_sym_PLUS_PLUS] = ACTIONS(2836),
    [anon_sym_DASH_DASH] = ACTIONS(2836),
    [anon_sym_PIPE] = ACTIONS(2836),
    [anon_sym_CARET] = ACTIONS(2838),
    [anon_sym_LT_LT] = ACTIONS(2836),
    [anon_sym_GT_GT] = ACTIONS(2836),
    [anon_sym_class] = ACTIONS(2838),
    [anon_sym_BANG2] = ACTIONS(2838),
    [anon_sym_prefix] = ACTIONS(2838),
    [anon_sym_infix] = ACTIONS(2838),
    [anon_sym_postfix] = ACTIONS(2838),
    [anon_sym_AT] = ACTIONS(2838),
    [anon_sym_override] = ACTIONS(2838),
    [anon_sym_convenience] = ACTIONS(2838),
    [anon_sym_required] = ACTIONS(2838),
    [anon_sym_nonisolated] = ACTIONS(2838),
    [anon_sym_public] = ACTIONS(2838),
    [anon_sym_private] = ACTIONS(2838),
    [anon_sym_internal] = ACTIONS(2838),
    [anon_sym_fileprivate] = ACTIONS(2838),
    [anon_sym_open] = ACTIONS(2838),
    [anon_sym_mutating] = ACTIONS(2838),
    [anon_sym_nonmutating] = ACTIONS(2838),
    [anon_sym_static] = ACTIONS(2838),
    [anon_sym_dynamic] = ACTIONS(2838),
    [anon_sym_optional] = ACTIONS(2838),
    [anon_sym_distributed] = ACTIONS(2838),
    [anon_sym_final] = ACTIONS(2838),
    [anon_sym_inout] = ACTIONS(2838),
    [anon_sym_ATescaping] = ACTIONS(2836),
    [anon_sym_ATautoclosure] = ACTIONS(2836),
    [anon_sym_weak] = ACTIONS(2838),
    [anon_sym_unowned] = ACTIONS(2838),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2836),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2836),
    [anon_sym_borrowing] = ACTIONS(2830),
    [anon_sym_consuming] = ACTIONS(2830),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2836),
    [sym__explicit_semi] = ACTIONS(2836),
    [sym__dot_custom] = ACTIONS(2836),
    [sym__conjunction_operator_custom] = ACTIONS(2836),
    [sym__disjunction_operator_custom] = ACTIONS(2836),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2836),
    [sym__eq_custom] = ACTIONS(2836),
    [sym__eq_eq_custom] = ACTIONS(2836),
    [sym__plus_then_ws] = ACTIONS(2836),
    [sym__minus_then_ws] = ACTIONS(2836),
    [sym__bang_custom] = ACTIONS(2836),
    [sym_default_keyword] = ACTIONS(2836),
    [sym_where_keyword] = ACTIONS(2836),
    [sym__as_custom] = ACTIONS(2836),
    [sym__as_quest_custom] = ACTIONS(2836),
    [sym__as_bang_custom] = ACTIONS(2836),
    [sym__custom_operator] = ACTIONS(2836),
  },
  [850] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(637),
    [aux_sym_simple_identifier_token2] = ACTIONS(631),
    [aux_sym_simple_identifier_token3] = ACTIONS(631),
    [aux_sym_simple_identifier_token4] = ACTIONS(631),
    [anon_sym_actor] = ACTIONS(637),
    [anon_sym_async] = ACTIONS(637),
    [anon_sym_each] = ACTIONS(637),
    [anon_sym_lazy] = ACTIONS(3422),
    [anon_sym_repeat] = ACTIONS(637),
    [anon_sym_package] = ACTIONS(3422),
    [anon_sym_COMMA] = ACTIONS(631),
    [anon_sym_COLON] = ACTIONS(631),
    [anon_sym_LPAREN] = ACTIONS(3425),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_QMARK] = ACTIONS(637),
    [anon_sym_QMARK2] = ACTIONS(631),
    [anon_sym_AMP] = ACTIONS(631),
    [aux_sym_custom_operator_token1] = ACTIONS(631),
    [anon_sym_LT] = ACTIONS(637),
    [anon_sym_GT] = ACTIONS(637),
    [anon_sym_LBRACE] = ACTIONS(631),
    [anon_sym_CARET_LBRACE] = ACTIONS(631),
    [anon_sym_RBRACE] = ACTIONS(631),
    [anon_sym_in] = ACTIONS(637),
    [anon_sym_case] = ACTIONS(3417),
    [anon_sym_PLUS_EQ] = ACTIONS(631),
    [anon_sym_DASH_EQ] = ACTIONS(631),
    [anon_sym_STAR_EQ] = ACTIONS(631),
    [anon_sym_SLASH_EQ] = ACTIONS(631),
    [anon_sym_PERCENT_EQ] = ACTIONS(631),
    [anon_sym_BANG_EQ] = ACTIONS(637),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(631),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(631),
    [anon_sym_LT_EQ] = ACTIONS(631),
    [anon_sym_GT_EQ] = ACTIONS(631),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(631),
    [anon_sym_DOT_DOT_LT] = ACTIONS(631),
    [anon_sym_is] = ACTIONS(637),
    [anon_sym_PLUS] = ACTIONS(637),
    [anon_sym_DASH] = ACTIONS(637),
    [anon_sym_STAR] = ACTIONS(637),
    [anon_sym_SLASH] = ACTIONS(637),
    [anon_sym_PERCENT] = ACTIONS(637),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PIPE] = ACTIONS(631),
    [anon_sym_CARET] = ACTIONS(637),
    [anon_sym_LT_LT] = ACTIONS(631),
    [anon_sym_GT_GT] = ACTIONS(631),
    [anon_sym_class] = ACTIONS(3417),
    [anon_sym_BANG2] = ACTIONS(637),
    [anon_sym_prefix] = ACTIONS(3417),
    [anon_sym_infix] = ACTIONS(3417),
    [anon_sym_postfix] = ACTIONS(3417),
    [anon_sym_AT] = ACTIONS(3417),
    [anon_sym_override] = ACTIONS(3417),
    [anon_sym_convenience] = ACTIONS(3417),
    [anon_sym_required] = ACTIONS(3417),
    [anon_sym_nonisolated] = ACTIONS(3417),
    [anon_sym_public] = ACTIONS(3417),
    [anon_sym_private] = ACTIONS(3417),
    [anon_sym_internal] = ACTIONS(3417),
    [anon_sym_fileprivate] = ACTIONS(3417),
    [anon_sym_open] = ACTIONS(3417),
    [anon_sym_mutating] = ACTIONS(3417),
    [anon_sym_nonmutating] = ACTIONS(3417),
    [anon_sym_static] = ACTIONS(3417),
    [anon_sym_dynamic] = ACTIONS(3417),
    [anon_sym_optional] = ACTIONS(3417),
    [anon_sym_distributed] = ACTIONS(3417),
    [anon_sym_final] = ACTIONS(3417),
    [anon_sym_inout] = ACTIONS(3417),
    [anon_sym_ATescaping] = ACTIONS(3412),
    [anon_sym_ATautoclosure] = ACTIONS(3412),
    [anon_sym_weak] = ACTIONS(3417),
    [anon_sym_unowned] = ACTIONS(3417),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3412),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3412),
    [anon_sym_borrowing] = ACTIONS(3422),
    [anon_sym_consuming] = ACTIONS(3422),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(631),
    [sym__explicit_semi] = ACTIONS(631),
    [sym__arrow_operator_custom] = ACTIONS(631),
    [sym__dot_custom] = ACTIONS(631),
    [sym__conjunction_operator_custom] = ACTIONS(631),
    [sym__disjunction_operator_custom] = ACTIONS(631),
    [sym__nil_coalescing_operator_custom] = ACTIONS(631),
    [sym__eq_custom] = ACTIONS(631),
    [sym__eq_eq_custom] = ACTIONS(631),
    [sym__plus_then_ws] = ACTIONS(631),
    [sym__minus_then_ws] = ACTIONS(631),
    [sym__bang_custom] = ACTIONS(631),
    [sym__throws_keyword] = ACTIONS(631),
    [sym__rethrows_keyword] = ACTIONS(631),
    [sym_default_keyword] = ACTIONS(3412),
    [sym__as_custom] = ACTIONS(631),
    [sym__as_quest_custom] = ACTIONS(631),
    [sym__as_bang_custom] = ACTIONS(631),
    [sym__async_keyword_custom] = ACTIONS(631),
    [sym__custom_operator] = ACTIONS(631),
  },
  [851] = {
    [sym_simple_identifier] = STATE(7643),
    [sym__contextual_simple_identifier] = STATE(4320),
    [sym__parameter_ownership_modifier] = STATE(4320),
    [aux_sym__fn_call_lambda_arguments_repeat1] = STATE(849),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2812),
    [aux_sym_simple_identifier_token2] = ACTIONS(2814),
    [aux_sym_simple_identifier_token3] = ACTIONS(2814),
    [aux_sym_simple_identifier_token4] = ACTIONS(2814),
    [anon_sym_actor] = ACTIONS(2812),
    [anon_sym_async] = ACTIONS(2812),
    [anon_sym_each] = ACTIONS(2812),
    [anon_sym_lazy] = ACTIONS(2816),
    [anon_sym_repeat] = ACTIONS(2812),
    [anon_sym_package] = ACTIONS(2816),
    [anon_sym_COMMA] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(2819),
    [anon_sym_LBRACK] = ACTIONS(2819),
    [anon_sym_QMARK] = ACTIONS(2821),
    [anon_sym_QMARK2] = ACTIONS(2819),
    [anon_sym_AMP] = ACTIONS(2819),
    [aux_sym_custom_operator_token1] = ACTIONS(2819),
    [anon_sym_LT] = ACTIONS(2821),
    [anon_sym_GT] = ACTIONS(2821),
    [anon_sym_LBRACE] = ACTIONS(2819),
    [anon_sym_CARET_LBRACE] = ACTIONS(2819),
    [anon_sym_RBRACE] = ACTIONS(2819),
    [anon_sym_case] = ACTIONS(2821),
    [anon_sym_fallthrough] = ACTIONS(2821),
    [anon_sym_PLUS_EQ] = ACTIONS(2819),
    [anon_sym_DASH_EQ] = ACTIONS(2819),
    [anon_sym_STAR_EQ] = ACTIONS(2819),
    [anon_sym_SLASH_EQ] = ACTIONS(2819),
    [anon_sym_PERCENT_EQ] = ACTIONS(2819),
    [anon_sym_BANG_EQ] = ACTIONS(2821),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2819),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2819),
    [anon_sym_LT_EQ] = ACTIONS(2819),
    [anon_sym_GT_EQ] = ACTIONS(2819),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2819),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2819),
    [anon_sym_is] = ACTIONS(2821),
    [anon_sym_PLUS] = ACTIONS(2821),
    [anon_sym_DASH] = ACTIONS(2821),
    [anon_sym_STAR] = ACTIONS(2821),
    [anon_sym_SLASH] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(2821),
    [anon_sym_PLUS_PLUS] = ACTIONS(2819),
    [anon_sym_DASH_DASH] = ACTIONS(2819),
    [anon_sym_PIPE] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_LT_LT] = ACTIONS(2819),
    [anon_sym_GT_GT] = ACTIONS(2819),
    [anon_sym_class] = ACTIONS(2821),
    [anon_sym_BANG2] = ACTIONS(2821),
    [anon_sym_prefix] = ACTIONS(2821),
    [anon_sym_infix] = ACTIONS(2821),
    [anon_sym_postfix] = ACTIONS(2821),
    [anon_sym_AT] = ACTIONS(2821),
    [anon_sym_override] = ACTIONS(2821),
    [anon_sym_convenience] = ACTIONS(2821),
    [anon_sym_required] = ACTIONS(2821),
    [anon_sym_nonisolated] = ACTIONS(2821),
    [anon_sym_public] = ACTIONS(2821),
    [anon_sym_private] = ACTIONS(2821),
    [anon_sym_internal] = ACTIONS(2821),
    [anon_sym_fileprivate] = ACTIONS(2821),
    [anon_sym_open] = ACTIONS(2821),
    [anon_sym_mutating] = ACTIONS(2821),
    [anon_sym_nonmutating] = ACTIONS(2821),
    [anon_sym_static] = ACTIONS(2821),
    [anon_sym_dynamic] = ACTIONS(2821),
    [anon_sym_optional] = ACTIONS(2821),
    [anon_sym_distributed] = ACTIONS(2821),
    [anon_sym_final] = ACTIONS(2821),
    [anon_sym_inout] = ACTIONS(2821),
    [anon_sym_ATescaping] = ACTIONS(2819),
    [anon_sym_ATautoclosure] = ACTIONS(2819),
    [anon_sym_weak] = ACTIONS(2821),
    [anon_sym_unowned] = ACTIONS(2821),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2819),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2819),
    [anon_sym_borrowing] = ACTIONS(2816),
    [anon_sym_consuming] = ACTIONS(2816),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2819),
    [sym__explicit_semi] = ACTIONS(2819),
    [sym__dot_custom] = ACTIONS(2819),
    [sym__conjunction_operator_custom] = ACTIONS(2819),
    [sym__disjunction_operator_custom] = ACTIONS(2819),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2819),
    [sym__eq_custom] = ACTIONS(2819),
    [sym__eq_eq_custom] = ACTIONS(2819),
    [sym__plus_then_ws] = ACTIONS(2819),
    [sym__minus_then_ws] = ACTIONS(2819),
    [sym__bang_custom] = ACTIONS(2819),
    [sym_default_keyword] = ACTIONS(2819),
    [sym_where_keyword] = ACTIONS(2819),
    [sym__as_custom] = ACTIONS(2819),
    [sym__as_quest_custom] = ACTIONS(2819),
    [sym__as_bang_custom] = ACTIONS(2819),
    [sym__custom_operator] = ACTIONS(2819),
  },
  [852] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(637),
    [aux_sym_simple_identifier_token2] = ACTIONS(631),
    [aux_sym_simple_identifier_token3] = ACTIONS(631),
    [aux_sym_simple_identifier_token4] = ACTIONS(631),
    [anon_sym_actor] = ACTIONS(637),
    [anon_sym_async] = ACTIONS(637),
    [anon_sym_each] = ACTIONS(637),
    [anon_sym_lazy] = ACTIONS(3419),
    [anon_sym_repeat] = ACTIONS(637),
    [anon_sym_package] = ACTIONS(3419),
    [anon_sym_COMMA] = ACTIONS(631),
    [anon_sym_COLON] = ACTIONS(631),
    [anon_sym_LPAREN] = ACTIONS(631),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_QMARK] = ACTIONS(637),
    [anon_sym_QMARK2] = ACTIONS(631),
    [anon_sym_AMP] = ACTIONS(631),
    [aux_sym_custom_operator_token1] = ACTIONS(631),
    [anon_sym_LT] = ACTIONS(637),
    [anon_sym_GT] = ACTIONS(637),
    [anon_sym_LBRACE] = ACTIONS(631),
    [anon_sym_CARET_LBRACE] = ACTIONS(631),
    [anon_sym_RBRACE] = ACTIONS(631),
    [anon_sym_in] = ACTIONS(637),
    [anon_sym_PLUS_EQ] = ACTIONS(631),
    [anon_sym_DASH_EQ] = ACTIONS(631),
    [anon_sym_STAR_EQ] = ACTIONS(631),
    [anon_sym_SLASH_EQ] = ACTIONS(631),
    [anon_sym_PERCENT_EQ] = ACTIONS(631),
    [anon_sym_BANG_EQ] = ACTIONS(637),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(631),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(631),
    [anon_sym_LT_EQ] = ACTIONS(631),
    [anon_sym_GT_EQ] = ACTIONS(631),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(631),
    [anon_sym_DOT_DOT_LT] = ACTIONS(631),
    [anon_sym_is] = ACTIONS(637),
    [anon_sym_PLUS] = ACTIONS(637),
    [anon_sym_DASH] = ACTIONS(637),
    [anon_sym_STAR] = ACTIONS(637),
    [anon_sym_SLASH] = ACTIONS(637),
    [anon_sym_PERCENT] = ACTIONS(637),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PIPE] = ACTIONS(631),
    [anon_sym_CARET] = ACTIONS(637),
    [anon_sym_LT_LT] = ACTIONS(631),
    [anon_sym_GT_GT] = ACTIONS(631),
    [anon_sym_class] = ACTIONS(3410),
    [anon_sym_willSet] = ACTIONS(3410),
    [anon_sym_didSet] = ACTIONS(3410),
    [anon_sym_BANG2] = ACTIONS(637),
    [anon_sym_prefix] = ACTIONS(3410),
    [anon_sym_infix] = ACTIONS(3410),
    [anon_sym_postfix] = ACTIONS(3410),
    [anon_sym_AT] = ACTIONS(3410),
    [anon_sym_override] = ACTIONS(3410),
    [anon_sym_convenience] = ACTIONS(3410),
    [anon_sym_required] = ACTIONS(3410),
    [anon_sym_nonisolated] = ACTIONS(3410),
    [anon_sym_public] = ACTIONS(3410),
    [anon_sym_private] = ACTIONS(3410),
    [anon_sym_internal] = ACTIONS(3410),
    [anon_sym_fileprivate] = ACTIONS(3410),
    [anon_sym_open] = ACTIONS(3410),
    [anon_sym_mutating] = ACTIONS(3410),
    [anon_sym_nonmutating] = ACTIONS(3410),
    [anon_sym_static] = ACTIONS(3410),
    [anon_sym_dynamic] = ACTIONS(3410),
    [anon_sym_optional] = ACTIONS(3410),
    [anon_sym_distributed] = ACTIONS(3410),
    [anon_sym_final] = ACTIONS(3410),
    [anon_sym_inout] = ACTIONS(3410),
    [anon_sym_ATescaping] = ACTIONS(3408),
    [anon_sym_ATautoclosure] = ACTIONS(3408),
    [anon_sym_weak] = ACTIONS(3410),
    [anon_sym_unowned] = ACTIONS(3410),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3408),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3408),
    [anon_sym_borrowing] = ACTIONS(3419),
    [anon_sym_consuming] = ACTIONS(3419),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(631),
    [sym__explicit_semi] = ACTIONS(631),
    [sym__arrow_operator_custom] = ACTIONS(631),
    [sym__dot_custom] = ACTIONS(631),
    [sym__conjunction_operator_custom] = ACTIONS(631),
    [sym__disjunction_operator_custom] = ACTIONS(631),
    [sym__nil_coalescing_operator_custom] = ACTIONS(631),
    [sym__eq_custom] = ACTIONS(631),
    [sym__eq_eq_custom] = ACTIONS(631),
    [sym__plus_then_ws] = ACTIONS(631),
    [sym__minus_then_ws] = ACTIONS(631),
    [sym__bang_custom] = ACTIONS(631),
    [sym__throws_keyword] = ACTIONS(631),
    [sym__rethrows_keyword] = ACTIONS(631),
    [sym__as_custom] = ACTIONS(631),
    [sym__as_quest_custom] = ACTIONS(631),
    [sym__as_bang_custom] = ACTIONS(631),
    [sym__async_keyword_custom] = ACTIONS(631),
    [sym__custom_operator] = ACTIONS(631),
  },
  [853] = {
    [ts_builtin_sym_end] = ACTIONS(2462),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2437),
    [aux_sym_simple_identifier_token2] = ACTIONS(2439),
    [aux_sym_simple_identifier_token3] = ACTIONS(2439),
    [aux_sym_simple_identifier_token4] = ACTIONS(2439),
    [anon_sym_actor] = ACTIONS(2437),
    [anon_sym_async] = ACTIONS(2437),
    [anon_sym_each] = ACTIONS(2437),
    [anon_sym_lazy] = ACTIONS(2437),
    [anon_sym_repeat] = ACTIONS(2437),
    [anon_sym_package] = ACTIONS(2437),
    [anon_sym_nil] = ACTIONS(2437),
    [sym_real_literal] = ACTIONS(2439),
    [sym_integer_literal] = ACTIONS(2437),
    [sym_hex_literal] = ACTIONS(2439),
    [sym_oct_literal] = ACTIONS(2439),
    [sym_bin_literal] = ACTIONS(2439),
    [anon_sym_true] = ACTIONS(2437),
    [anon_sym_false] = ACTIONS(2437),
    [anon_sym_DQUOTE] = ACTIONS(2437),
    [anon_sym_BSLASH] = ACTIONS(2439),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2439),
    [anon_sym_COMMA] = ACTIONS(2462),
    [sym__extended_regex_literal] = ACTIONS(2439),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(2439),
    [sym__oneline_regex_literal] = ACTIONS(2437),
    [anon_sym_LPAREN] = ACTIONS(2464),
    [anon_sym_LBRACK] = ACTIONS(2464),
    [anon_sym_QMARK] = ACTIONS(2467),
    [anon_sym_QMARK2] = ACTIONS(2462),
    [anon_sym_AMP] = ACTIONS(2464),
    [anon_sym_if] = ACTIONS(2437),
    [anon_sym_switch] = ACTIONS(2437),
    [anon_sym_POUNDselector] = ACTIONS(2439),
    [aux_sym_custom_operator_token1] = ACTIONS(2464),
    [anon_sym_LT] = ACTIONS(2459),
    [anon_sym_GT] = ACTIONS(2459),
    [anon_sym_await] = ACTIONS(2437),
    [anon_sym_POUNDfile] = ACTIONS(2437),
    [anon_sym_POUNDfileID] = ACTIONS(2439),
    [anon_sym_POUNDfilePath] = ACTIONS(2439),
    [anon_sym_POUNDline] = ACTIONS(2439),
    [anon_sym_POUNDcolumn] = ACTIONS(2439),
    [anon_sym_POUNDfunction] = ACTIONS(2439),
    [anon_sym_POUNDdsohandle] = ACTIONS(2439),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(2439),
    [anon_sym_POUNDfileLiteral] = ACTIONS(2439),
    [anon_sym_POUNDimageLiteral] = ACTIONS(2439),
    [anon_sym_LBRACE] = ACTIONS(2464),
    [anon_sym_CARET_LBRACE] = ACTIONS(2464),
    [anon_sym_RBRACE] = ACTIONS(2462),
    [anon_sym_self] = ACTIONS(2437),
    [anon_sym_super] = ACTIONS(2437),
    [anon_sym_POUNDkeyPath] = ACTIONS(2439),
    [anon_sym_try] = ACTIONS(2437),
    [anon_sym_PLUS_EQ] = ACTIONS(2464),
    [anon_sym_DASH_EQ] = ACTIONS(2464),
    [anon_sym_STAR_EQ] = ACTIONS(2464),
    [anon_sym_SLASH_EQ] = ACTIONS(2464),
    [anon_sym_PERCENT_EQ] = ACTIONS(2464),
    [anon_sym_BANG_EQ] = ACTIONS(2459),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2464),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2464),
    [anon_sym_LT_EQ] = ACTIONS(2464),
    [anon_sym_GT_EQ] = ACTIONS(2464),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2464),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2464),
    [anon_sym_is] = ACTIONS(2467),
    [anon_sym_PLUS] = ACTIONS(2459),
    [anon_sym_DASH] = ACTIONS(2459),
    [anon_sym_STAR] = ACTIONS(2459),
    [anon_sym_SLASH] = ACTIONS(2459),
    [anon_sym_PERCENT] = ACTIONS(2459),
    [anon_sym_PLUS_PLUS] = ACTIONS(2464),
    [anon_sym_DASH_DASH] = ACTIONS(2464),
    [anon_sym_TILDE] = ACTIONS(2439),
    [anon_sym_PIPE] = ACTIONS(2464),
    [anon_sym_CARET] = ACTIONS(2459),
    [anon_sym_LT_LT] = ACTIONS(2464),
    [anon_sym_GT_GT] = ACTIONS(2464),
    [anon_sym_BANG2] = ACTIONS(2459),
    [anon_sym_borrowing] = ACTIONS(2437),
    [anon_sym_consuming] = ACTIONS(2437),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(2439),
    [sym_raw_str_end_part] = ACTIONS(2439),
    [sym__implicit_semi] = ACTIONS(2462),
    [sym__explicit_semi] = ACTIONS(2462),
    [sym__dot_custom] = ACTIONS(2464),
    [sym__conjunction_operator_custom] = ACTIONS(2462),
    [sym__disjunction_operator_custom] = ACTIONS(2462),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2462),
    [sym__eq_custom] = ACTIONS(2464),
    [sym__eq_eq_custom] = ACTIONS(2464),
    [sym__plus_then_ws] = ACTIONS(2464),
    [sym__minus_then_ws] = ACTIONS(2464),
    [sym__bang_custom] = ACTIONS(2464),
    [sym__as_custom] = ACTIONS(2462),
    [sym__as_quest_custom] = ACTIONS(2462),
    [sym__as_bang_custom] = ACTIONS(2462),
    [sym__custom_operator] = ACTIONS(2464),
  },
  [854] = {
    [ts_builtin_sym_end] = ACTIONS(2429),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2425),
    [aux_sym_simple_identifier_token2] = ACTIONS(2427),
    [aux_sym_simple_identifier_token3] = ACTIONS(2427),
    [aux_sym_simple_identifier_token4] = ACTIONS(2427),
    [anon_sym_actor] = ACTIONS(2425),
    [anon_sym_async] = ACTIONS(2425),
    [anon_sym_each] = ACTIONS(2425),
    [anon_sym_lazy] = ACTIONS(2425),
    [anon_sym_repeat] = ACTIONS(2425),
    [anon_sym_package] = ACTIONS(2425),
    [anon_sym_nil] = ACTIONS(2425),
    [sym_real_literal] = ACTIONS(2427),
    [sym_integer_literal] = ACTIONS(2425),
    [sym_hex_literal] = ACTIONS(2427),
    [sym_oct_literal] = ACTIONS(2427),
    [sym_bin_literal] = ACTIONS(2427),
    [anon_sym_true] = ACTIONS(2425),
    [anon_sym_false] = ACTIONS(2425),
    [anon_sym_DQUOTE] = ACTIONS(2425),
    [anon_sym_BSLASH] = ACTIONS(2427),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2427),
    [anon_sym_COMMA] = ACTIONS(2429),
    [sym__extended_regex_literal] = ACTIONS(2427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(2427),
    [sym__oneline_regex_literal] = ACTIONS(2425),
    [anon_sym_LPAREN] = ACTIONS(2427),
    [anon_sym_LBRACK] = ACTIONS(2427),
    [anon_sym_QMARK] = ACTIONS(2431),
    [anon_sym_QMARK2] = ACTIONS(2429),
    [anon_sym_AMP] = ACTIONS(2427),
    [anon_sym_if] = ACTIONS(2425),
    [anon_sym_switch] = ACTIONS(2425),
    [anon_sym_POUNDselector] = ACTIONS(2427),
    [aux_sym_custom_operator_token1] = ACTIONS(2427),
    [anon_sym_LT] = ACTIONS(2425),
    [anon_sym_GT] = ACTIONS(2425),
    [anon_sym_await] = ACTIONS(2425),
    [anon_sym_POUNDfile] = ACTIONS(2425),
    [anon_sym_POUNDfileID] = ACTIONS(2427),
    [anon_sym_POUNDfilePath] = ACTIONS(2427),
    [anon_sym_POUNDline] = ACTIONS(2427),
    [anon_sym_POUNDcolumn] = ACTIONS(2427),
    [anon_sym_POUNDfunction] = ACTIONS(2427),
    [anon_sym_POUNDdsohandle] = ACTIONS(2427),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(2427),
    [anon_sym_POUNDfileLiteral] = ACTIONS(2427),
    [anon_sym_POUNDimageLiteral] = ACTIONS(2427),
    [anon_sym_LBRACE] = ACTIONS(2427),
    [anon_sym_CARET_LBRACE] = ACTIONS(2427),
    [anon_sym_RBRACE] = ACTIONS(2429),
    [anon_sym_self] = ACTIONS(2425),
    [anon_sym_super] = ACTIONS(2425),
    [anon_sym_POUNDkeyPath] = ACTIONS(2427),
    [anon_sym_try] = ACTIONS(2425),
    [anon_sym_PLUS_EQ] = ACTIONS(2427),
    [anon_sym_DASH_EQ] = ACTIONS(2427),
    [anon_sym_STAR_EQ] = ACTIONS(2427),
    [anon_sym_SLASH_EQ] = ACTIONS(2427),
    [anon_sym_PERCENT_EQ] = ACTIONS(2427),
    [anon_sym_BANG_EQ] = ACTIONS(2425),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2427),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2427),
    [anon_sym_LT_EQ] = ACTIONS(2427),
    [anon_sym_GT_EQ] = ACTIONS(2427),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2427),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2427),
    [anon_sym_is] = ACTIONS(2431),
    [anon_sym_PLUS] = ACTIONS(2425),
    [anon_sym_DASH] = ACTIONS(2425),
    [anon_sym_STAR] = ACTIONS(2425),
    [anon_sym_SLASH] = ACTIONS(2425),
    [anon_sym_PERCENT] = ACTIONS(2425),
    [anon_sym_PLUS_PLUS] = ACTIONS(2427),
    [anon_sym_DASH_DASH] = ACTIONS(2427),
    [anon_sym_TILDE] = ACTIONS(2427),
    [anon_sym_PIPE] = ACTIONS(2427),
    [anon_sym_CARET] = ACTIONS(2425),
    [anon_sym_LT_LT] = ACTIONS(2427),
    [anon_sym_GT_GT] = ACTIONS(2427),
    [anon_sym_BANG2] = ACTIONS(2425),
    [anon_sym_borrowing] = ACTIONS(2425),
    [anon_sym_consuming] = ACTIONS(2425),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(2427),
    [sym_raw_str_end_part] = ACTIONS(2427),
    [sym__implicit_semi] = ACTIONS(2429),
    [sym__explicit_semi] = ACTIONS(2429),
    [sym__dot_custom] = ACTIONS(2427),
    [sym__conjunction_operator_custom] = ACTIONS(2429),
    [sym__disjunction_operator_custom] = ACTIONS(2429),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2429),
    [sym__eq_custom] = ACTIONS(2427),
    [sym__eq_eq_custom] = ACTIONS(2427),
    [sym__plus_then_ws] = ACTIONS(2427),
    [sym__minus_then_ws] = ACTIONS(2427),
    [sym__bang_custom] = ACTIONS(2427),
    [sym__as_custom] = ACTIONS(2429),
    [sym__as_quest_custom] = ACTIONS(2429),
    [sym__as_bang_custom] = ACTIONS(2429),
    [sym__custom_operator] = ACTIONS(2427),
  },
  [855] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2469),
    [aux_sym_simple_identifier_token2] = ACTIONS(2471),
    [aux_sym_simple_identifier_token3] = ACTIONS(2471),
    [aux_sym_simple_identifier_token4] = ACTIONS(2471),
    [anon_sym_actor] = ACTIONS(2469),
    [anon_sym_async] = ACTIONS(2469),
    [anon_sym_each] = ACTIONS(2469),
    [anon_sym_lazy] = ACTIONS(2469),
    [anon_sym_repeat] = ACTIONS(2469),
    [anon_sym_package] = ACTIONS(2469),
    [anon_sym_nil] = ACTIONS(2469),
    [sym_real_literal] = ACTIONS(2471),
    [sym_integer_literal] = ACTIONS(2469),
    [sym_hex_literal] = ACTIONS(2471),
    [sym_oct_literal] = ACTIONS(2471),
    [sym_bin_literal] = ACTIONS(2471),
    [anon_sym_true] = ACTIONS(2469),
    [anon_sym_false] = ACTIONS(2469),
    [anon_sym_DQUOTE] = ACTIONS(2469),
    [anon_sym_BSLASH] = ACTIONS(2471),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2471),
    [anon_sym_RPAREN] = ACTIONS(2471),
    [anon_sym_COMMA] = ACTIONS(2471),
    [sym__extended_regex_literal] = ACTIONS(2471),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(2471),
    [sym__oneline_regex_literal] = ACTIONS(2469),
    [anon_sym_COLON] = ACTIONS(2471),
    [anon_sym_LPAREN] = ACTIONS(2471),
    [anon_sym_LBRACK] = ACTIONS(2471),
    [anon_sym_RBRACK] = ACTIONS(2471),
    [anon_sym_QMARK] = ACTIONS(2469),
    [anon_sym_QMARK2] = ACTIONS(2471),
    [anon_sym_AMP] = ACTIONS(2471),
    [anon_sym_if] = ACTIONS(2469),
    [anon_sym_switch] = ACTIONS(2469),
    [anon_sym_POUNDselector] = ACTIONS(2471),
    [aux_sym_custom_operator_token1] = ACTIONS(2471),
    [anon_sym_LT] = ACTIONS(2469),
    [anon_sym_GT] = ACTIONS(2469),
    [anon_sym_await] = ACTIONS(2469),
    [anon_sym_POUNDfile] = ACTIONS(2469),
    [anon_sym_POUNDfileID] = ACTIONS(2471),
    [anon_sym_POUNDfilePath] = ACTIONS(2471),
    [anon_sym_POUNDline] = ACTIONS(2471),
    [anon_sym_POUNDcolumn] = ACTIONS(2471),
    [anon_sym_POUNDfunction] = ACTIONS(2471),
    [anon_sym_POUNDdsohandle] = ACTIONS(2471),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(2471),
    [anon_sym_POUNDfileLiteral] = ACTIONS(2471),
    [anon_sym_POUNDimageLiteral] = ACTIONS(2471),
    [anon_sym_LBRACE] = ACTIONS(2471),
    [anon_sym_CARET_LBRACE] = ACTIONS(2471),
    [anon_sym_self] = ACTIONS(2469),
    [anon_sym_super] = ACTIONS(2469),
    [anon_sym_POUNDkeyPath] = ACTIONS(2471),
    [anon_sym_try] = ACTIONS(2469),
    [anon_sym_PLUS_EQ] = ACTIONS(2471),
    [anon_sym_DASH_EQ] = ACTIONS(2471),
    [anon_sym_STAR_EQ] = ACTIONS(2471),
    [anon_sym_SLASH_EQ] = ACTIONS(2471),
    [anon_sym_PERCENT_EQ] = ACTIONS(2471),
    [anon_sym_BANG_EQ] = ACTIONS(2469),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2471),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2471),
    [anon_sym_LT_EQ] = ACTIONS(2471),
    [anon_sym_GT_EQ] = ACTIONS(2471),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2471),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2471),
    [anon_sym_is] = ACTIONS(2469),
    [anon_sym_PLUS] = ACTIONS(2469),
    [anon_sym_DASH] = ACTIONS(2469),
    [anon_sym_STAR] = ACTIONS(2469),
    [anon_sym_SLASH] = ACTIONS(2469),
    [anon_sym_PERCENT] = ACTIONS(2469),
    [anon_sym_PLUS_PLUS] = ACTIONS(2471),
    [anon_sym_DASH_DASH] = ACTIONS(2471),
    [anon_sym_TILDE] = ACTIONS(2471),
    [anon_sym_PIPE] = ACTIONS(2471),
    [anon_sym_CARET] = ACTIONS(2469),
    [anon_sym_LT_LT] = ACTIONS(2471),
    [anon_sym_GT_GT] = ACTIONS(2471),
    [anon_sym_BANG2] = ACTIONS(2469),
    [anon_sym_borrowing] = ACTIONS(2469),
    [anon_sym_consuming] = ACTIONS(2469),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(2471),
    [sym_raw_str_end_part] = ACTIONS(2471),
    [sym__dot_custom] = ACTIONS(2471),
    [sym__conjunction_operator_custom] = ACTIONS(2471),
    [sym__disjunction_operator_custom] = ACTIONS(2471),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2471),
    [sym__eq_custom] = ACTIONS(2471),
    [sym__eq_eq_custom] = ACTIONS(2471),
    [sym__plus_then_ws] = ACTIONS(2471),
    [sym__minus_then_ws] = ACTIONS(2471),
    [sym__bang_custom] = ACTIONS(2471),
    [sym__as_custom] = ACTIONS(2471),
    [sym__as_quest_custom] = ACTIONS(2471),
    [sym__as_bang_custom] = ACTIONS(2471),
    [sym__custom_operator] = ACTIONS(2471),
  },
  [856] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2433),
    [aux_sym_simple_identifier_token2] = ACTIONS(2435),
    [aux_sym_simple_identifier_token3] = ACTIONS(2435),
    [aux_sym_simple_identifier_token4] = ACTIONS(2435),
    [anon_sym_actor] = ACTIONS(2433),
    [anon_sym_async] = ACTIONS(2433),
    [anon_sym_each] = ACTIONS(2433),
    [anon_sym_lazy] = ACTIONS(2433),
    [anon_sym_repeat] = ACTIONS(2433),
    [anon_sym_package] = ACTIONS(2433),
    [anon_sym_nil] = ACTIONS(2433),
    [sym_real_literal] = ACTIONS(2435),
    [sym_integer_literal] = ACTIONS(2433),
    [sym_hex_literal] = ACTIONS(2435),
    [sym_oct_literal] = ACTIONS(2435),
    [sym_bin_literal] = ACTIONS(2435),
    [anon_sym_true] = ACTIONS(2433),
    [anon_sym_false] = ACTIONS(2433),
    [anon_sym_DQUOTE] = ACTIONS(2433),
    [anon_sym_BSLASH] = ACTIONS(2435),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2435),
    [anon_sym_COMMA] = ACTIONS(2435),
    [sym__extended_regex_literal] = ACTIONS(2435),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(2435),
    [sym__oneline_regex_literal] = ACTIONS(2433),
    [anon_sym_LPAREN] = ACTIONS(2435),
    [anon_sym_LBRACK] = ACTIONS(2435),
    [anon_sym_QMARK] = ACTIONS(2433),
    [anon_sym_QMARK2] = ACTIONS(2435),
    [anon_sym_AMP] = ACTIONS(2435),
    [anon_sym_if] = ACTIONS(2433),
    [anon_sym_switch] = ACTIONS(2433),
    [anon_sym_POUNDselector] = ACTIONS(2435),
    [aux_sym_custom_operator_token1] = ACTIONS(2435),
    [anon_sym_LT] = ACTIONS(2433),
    [anon_sym_GT] = ACTIONS(2433),
    [anon_sym_await] = ACTIONS(2433),
    [anon_sym_POUNDfile] = ACTIONS(2433),
    [anon_sym_POUNDfileID] = ACTIONS(2435),
    [anon_sym_POUNDfilePath] = ACTIONS(2435),
    [anon_sym_POUNDline] = ACTIONS(2435),
    [anon_sym_POUNDcolumn] = ACTIONS(2435),
    [anon_sym_POUNDfunction] = ACTIONS(2435),
    [anon_sym_POUNDdsohandle] = ACTIONS(2435),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(2435),
    [anon_sym_POUNDfileLiteral] = ACTIONS(2435),
    [anon_sym_POUNDimageLiteral] = ACTIONS(2435),
    [anon_sym_LBRACE] = ACTIONS(2435),
    [anon_sym_CARET_LBRACE] = ACTIONS(2435),
    [anon_sym_RBRACE] = ACTIONS(2435),
    [anon_sym_self] = ACTIONS(2433),
    [anon_sym_super] = ACTIONS(2433),
    [anon_sym_POUNDkeyPath] = ACTIONS(2435),
    [anon_sym_try] = ACTIONS(2433),
    [anon_sym_PLUS_EQ] = ACTIONS(2435),
    [anon_sym_DASH_EQ] = ACTIONS(2435),
    [anon_sym_STAR_EQ] = ACTIONS(2435),
    [anon_sym_SLASH_EQ] = ACTIONS(2435),
    [anon_sym_PERCENT_EQ] = ACTIONS(2435),
    [anon_sym_BANG_EQ] = ACTIONS(2433),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2435),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2435),
    [anon_sym_LT_EQ] = ACTIONS(2435),
    [anon_sym_GT_EQ] = ACTIONS(2435),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2435),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2435),
    [anon_sym_is] = ACTIONS(2433),
    [anon_sym_PLUS] = ACTIONS(2433),
    [anon_sym_DASH] = ACTIONS(2433),
    [anon_sym_STAR] = ACTIONS(2433),
    [anon_sym_SLASH] = ACTIONS(2433),
    [anon_sym_PERCENT] = ACTIONS(2433),
    [anon_sym_PLUS_PLUS] = ACTIONS(2435),
    [anon_sym_DASH_DASH] = ACTIONS(2435),
    [anon_sym_TILDE] = ACTIONS(2435),
    [anon_sym_PIPE] = ACTIONS(2435),
    [anon_sym_CARET] = ACTIONS(2433),
    [anon_sym_LT_LT] = ACTIONS(2435),
    [anon_sym_GT_GT] = ACTIONS(2435),
    [anon_sym_BANG2] = ACTIONS(2433),
    [anon_sym_borrowing] = ACTIONS(2433),
    [anon_sym_consuming] = ACTIONS(2433),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(2435),
    [sym_raw_str_part] = ACTIONS(2435),
    [sym_raw_str_end_part] = ACTIONS(2435),
    [sym__implicit_semi] = ACTIONS(2435),
    [sym__explicit_semi] = ACTIONS(2435),
    [sym__dot_custom] = ACTIONS(2435),
    [sym__conjunction_operator_custom] = ACTIONS(2435),
    [sym__disjunction_operator_custom] = ACTIONS(2435),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2435),
    [sym__eq_custom] = ACTIONS(2435),
    [sym__eq_eq_custom] = ACTIONS(2435),
    [sym__plus_then_ws] = ACTIONS(2435),
    [sym__minus_then_ws] = ACTIONS(2435),
    [sym__bang_custom] = ACTIONS(2435),
    [sym__as_custom] = ACTIONS(2435),
    [sym__as_quest_custom] = ACTIONS(2435),
    [sym__as_bang_custom] = ACTIONS(2435),
    [sym__custom_operator] = ACTIONS(2435),
  },
  [857] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2425),
    [aux_sym_simple_identifier_token2] = ACTIONS(2427),
    [aux_sym_simple_identifier_token3] = ACTIONS(2427),
    [aux_sym_simple_identifier_token4] = ACTIONS(2427),
    [anon_sym_actor] = ACTIONS(2425),
    [anon_sym_async] = ACTIONS(2425),
    [anon_sym_each] = ACTIONS(2425),
    [anon_sym_lazy] = ACTIONS(2425),
    [anon_sym_repeat] = ACTIONS(2425),
    [anon_sym_package] = ACTIONS(2425),
    [anon_sym_nil] = ACTIONS(2425),
    [sym_real_literal] = ACTIONS(2427),
    [sym_integer_literal] = ACTIONS(2425),
    [sym_hex_literal] = ACTIONS(2427),
    [sym_oct_literal] = ACTIONS(2427),
    [sym_bin_literal] = ACTIONS(2427),
    [anon_sym_true] = ACTIONS(2425),
    [anon_sym_false] = ACTIONS(2425),
    [anon_sym_DQUOTE] = ACTIONS(2425),
    [anon_sym_BSLASH] = ACTIONS(2427),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2427),
    [anon_sym_COMMA] = ACTIONS(2455),
    [sym__extended_regex_literal] = ACTIONS(2427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(2427),
    [sym__oneline_regex_literal] = ACTIONS(2425),
    [anon_sym_LPAREN] = ACTIONS(2427),
    [anon_sym_LBRACK] = ACTIONS(2427),
    [anon_sym_QMARK] = ACTIONS(2457),
    [anon_sym_QMARK2] = ACTIONS(2455),
    [anon_sym_AMP] = ACTIONS(2427),
    [anon_sym_if] = ACTIONS(2425),
    [anon_sym_switch] = ACTIONS(2425),
    [anon_sym_POUNDselector] = ACTIONS(2427),
    [aux_sym_custom_operator_token1] = ACTIONS(2427),
    [anon_sym_LT] = ACTIONS(2425),
    [anon_sym_GT] = ACTIONS(2425),
    [anon_sym_await] = ACTIONS(2425),
    [anon_sym_POUNDfile] = ACTIONS(2425),
    [anon_sym_POUNDfileID] = ACTIONS(2427),
    [anon_sym_POUNDfilePath] = ACTIONS(2427),
    [anon_sym_POUNDline] = ACTIONS(2427),
    [anon_sym_POUNDcolumn] = ACTIONS(2427),
    [anon_sym_POUNDfunction] = ACTIONS(2427),
    [anon_sym_POUNDdsohandle] = ACTIONS(2427),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(2427),
    [anon_sym_POUNDfileLiteral] = ACTIONS(2427),
    [anon_sym_POUNDimageLiteral] = ACTIONS(2427),
    [anon_sym_LBRACE] = ACTIONS(2427),
    [anon_sym_CARET_LBRACE] = ACTIONS(2427),
    [anon_sym_RBRACE] = ACTIONS(2455),
    [anon_sym_self] = ACTIONS(2425),
    [anon_sym_super] = ACTIONS(2425),
    [anon_sym_POUNDkeyPath] = ACTIONS(2427),
    [anon_sym_try] = ACTIONS(2425),
    [anon_sym_PLUS_EQ] = ACTIONS(2427),
    [anon_sym_DASH_EQ] = ACTIONS(2427),
    [anon_sym_STAR_EQ] = ACTIONS(2427),
    [anon_sym_SLASH_EQ] = ACTIONS(2427),
    [anon_sym_PERCENT_EQ] = ACTIONS(2427),
    [anon_sym_BANG_EQ] = ACTIONS(2425),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2427),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2427),
    [anon_sym_LT_EQ] = ACTIONS(2427),
    [anon_sym_GT_EQ] = ACTIONS(2427),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2427),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2427),
    [anon_sym_is] = ACTIONS(2457),
    [anon_sym_PLUS] = ACTIONS(2425),
    [anon_sym_DASH] = ACTIONS(2425),
    [anon_sym_STAR] = ACTIONS(2425),
    [anon_sym_SLASH] = ACTIONS(2425),
    [anon_sym_PERCENT] = ACTIONS(2425),
    [anon_sym_PLUS_PLUS] = ACTIONS(2427),
    [anon_sym_DASH_DASH] = ACTIONS(2427),
    [anon_sym_TILDE] = ACTIONS(2427),
    [anon_sym_PIPE] = ACTIONS(2427),
    [anon_sym_CARET] = ACTIONS(2425),
    [anon_sym_LT_LT] = ACTIONS(2427),
    [anon_sym_GT_GT] = ACTIONS(2427),
    [anon_sym_BANG2] = ACTIONS(2425),
    [anon_sym_borrowing] = ACTIONS(2425),
    [anon_sym_consuming] = ACTIONS(2425),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(2455),
    [sym_raw_str_part] = ACTIONS(2427),
    [sym_raw_str_end_part] = ACTIONS(2427),
    [sym__implicit_semi] = ACTIONS(2455),
    [sym__explicit_semi] = ACTIONS(2455),
    [sym__dot_custom] = ACTIONS(2427),
    [sym__conjunction_operator_custom] = ACTIONS(2455),
    [sym__disjunction_operator_custom] = ACTIONS(2455),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2455),
    [sym__eq_custom] = ACTIONS(2427),
    [sym__eq_eq_custom] = ACTIONS(2427),
    [sym__plus_then_ws] = ACTIONS(2427),
    [sym__minus_then_ws] = ACTIONS(2427),
    [sym__bang_custom] = ACTIONS(2427),
    [sym__as_custom] = ACTIONS(2455),
    [sym__as_quest_custom] = ACTIONS(2455),
    [sym__as_bang_custom] = ACTIONS(2455),
    [sym__custom_operator] = ACTIONS(2427),
  },
  [858] = {
    [sym_simple_identifier] = STATE(7664),
    [sym__contextual_simple_identifier] = STATE(4320),
    [sym__parameter_ownership_modifier] = STATE(4320),
    [aux_sym__fn_call_lambda_arguments_repeat1] = STATE(863),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2812),
    [aux_sym_simple_identifier_token2] = ACTIONS(2814),
    [aux_sym_simple_identifier_token3] = ACTIONS(2814),
    [aux_sym_simple_identifier_token4] = ACTIONS(2814),
    [anon_sym_actor] = ACTIONS(2812),
    [anon_sym_async] = ACTIONS(2812),
    [anon_sym_each] = ACTIONS(2812),
    [anon_sym_lazy] = ACTIONS(2816),
    [anon_sym_repeat] = ACTIONS(2812),
    [anon_sym_package] = ACTIONS(2816),
    [anon_sym_COMMA] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(2819),
    [anon_sym_LBRACK] = ACTIONS(2819),
    [anon_sym_QMARK] = ACTIONS(2821),
    [anon_sym_QMARK2] = ACTIONS(2819),
    [anon_sym_AMP] = ACTIONS(2819),
    [aux_sym_custom_operator_token1] = ACTIONS(2819),
    [anon_sym_LT] = ACTIONS(2821),
    [anon_sym_GT] = ACTIONS(2821),
    [anon_sym_LBRACE] = ACTIONS(2819),
    [anon_sym_CARET_LBRACE] = ACTIONS(2819),
    [anon_sym_RBRACE] = ACTIONS(2819),
    [anon_sym_case] = ACTIONS(2821),
    [anon_sym_fallthrough] = ACTIONS(2821),
    [anon_sym_PLUS_EQ] = ACTIONS(2819),
    [anon_sym_DASH_EQ] = ACTIONS(2819),
    [anon_sym_STAR_EQ] = ACTIONS(2819),
    [anon_sym_SLASH_EQ] = ACTIONS(2819),
    [anon_sym_PERCENT_EQ] = ACTIONS(2819),
    [anon_sym_BANG_EQ] = ACTIONS(2821),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2819),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2819),
    [anon_sym_LT_EQ] = ACTIONS(2819),
    [anon_sym_GT_EQ] = ACTIONS(2819),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2819),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2819),
    [anon_sym_is] = ACTIONS(2821),
    [anon_sym_PLUS] = ACTIONS(2821),
    [anon_sym_DASH] = ACTIONS(2821),
    [anon_sym_STAR] = ACTIONS(2821),
    [anon_sym_SLASH] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(2821),
    [anon_sym_PLUS_PLUS] = ACTIONS(2819),
    [anon_sym_DASH_DASH] = ACTIONS(2819),
    [anon_sym_PIPE] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_LT_LT] = ACTIONS(2819),
    [anon_sym_GT_GT] = ACTIONS(2819),
    [anon_sym_class] = ACTIONS(2821),
    [anon_sym_BANG2] = ACTIONS(2821),
    [anon_sym_prefix] = ACTIONS(2821),
    [anon_sym_infix] = ACTIONS(2821),
    [anon_sym_postfix] = ACTIONS(2821),
    [anon_sym_AT] = ACTIONS(2821),
    [anon_sym_override] = ACTIONS(2821),
    [anon_sym_convenience] = ACTIONS(2821),
    [anon_sym_required] = ACTIONS(2821),
    [anon_sym_nonisolated] = ACTIONS(2821),
    [anon_sym_public] = ACTIONS(2821),
    [anon_sym_private] = ACTIONS(2821),
    [anon_sym_internal] = ACTIONS(2821),
    [anon_sym_fileprivate] = ACTIONS(2821),
    [anon_sym_open] = ACTIONS(2821),
    [anon_sym_mutating] = ACTIONS(2821),
    [anon_sym_nonmutating] = ACTIONS(2821),
    [anon_sym_static] = ACTIONS(2821),
    [anon_sym_dynamic] = ACTIONS(2821),
    [anon_sym_optional] = ACTIONS(2821),
    [anon_sym_distributed] = ACTIONS(2821),
    [anon_sym_final] = ACTIONS(2821),
    [anon_sym_inout] = ACTIONS(2821),
    [anon_sym_ATescaping] = ACTIONS(2819),
    [anon_sym_ATautoclosure] = ACTIONS(2819),
    [anon_sym_weak] = ACTIONS(2821),
    [anon_sym_unowned] = ACTIONS(2821),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2819),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2819),
    [anon_sym_borrowing] = ACTIONS(2816),
    [anon_sym_consuming] = ACTIONS(2816),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2819),
    [sym__explicit_semi] = ACTIONS(2819),
    [sym__dot_custom] = ACTIONS(2819),
    [sym__conjunction_operator_custom] = ACTIONS(2819),
    [sym__disjunction_operator_custom] = ACTIONS(2819),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2819),
    [sym__eq_custom] = ACTIONS(2819),
    [sym__eq_eq_custom] = ACTIONS(2819),
    [sym__plus_then_ws] = ACTIONS(2819),
    [sym__minus_then_ws] = ACTIONS(2819),
    [sym__bang_custom] = ACTIONS(2819),
    [sym_default_keyword] = ACTIONS(2819),
    [sym__as_custom] = ACTIONS(2819),
    [sym__as_quest_custom] = ACTIONS(2819),
    [sym__as_bang_custom] = ACTIONS(2819),
    [sym__custom_operator] = ACTIONS(2819),
  },
  [859] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2425),
    [aux_sym_simple_identifier_token2] = ACTIONS(2427),
    [aux_sym_simple_identifier_token3] = ACTIONS(2427),
    [aux_sym_simple_identifier_token4] = ACTIONS(2427),
    [anon_sym_actor] = ACTIONS(2425),
    [anon_sym_async] = ACTIONS(2425),
    [anon_sym_each] = ACTIONS(2425),
    [anon_sym_lazy] = ACTIONS(2425),
    [anon_sym_repeat] = ACTIONS(2425),
    [anon_sym_package] = ACTIONS(2425),
    [anon_sym_nil] = ACTIONS(2425),
    [sym_real_literal] = ACTIONS(2427),
    [sym_integer_literal] = ACTIONS(2425),
    [sym_hex_literal] = ACTIONS(2427),
    [sym_oct_literal] = ACTIONS(2427),
    [sym_bin_literal] = ACTIONS(2427),
    [anon_sym_true] = ACTIONS(2425),
    [anon_sym_false] = ACTIONS(2425),
    [anon_sym_DQUOTE] = ACTIONS(2425),
    [anon_sym_BSLASH] = ACTIONS(2427),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2427),
    [anon_sym_COMMA] = ACTIONS(2429),
    [sym__extended_regex_literal] = ACTIONS(2427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(2427),
    [sym__oneline_regex_literal] = ACTIONS(2425),
    [anon_sym_LPAREN] = ACTIONS(2427),
    [anon_sym_LBRACK] = ACTIONS(2427),
    [anon_sym_QMARK] = ACTIONS(2431),
    [anon_sym_QMARK2] = ACTIONS(2429),
    [anon_sym_AMP] = ACTIONS(2427),
    [anon_sym_if] = ACTIONS(2425),
    [anon_sym_switch] = ACTIONS(2425),
    [anon_sym_POUNDselector] = ACTIONS(2427),
    [aux_sym_custom_operator_token1] = ACTIONS(2427),
    [anon_sym_LT] = ACTIONS(2425),
    [anon_sym_GT] = ACTIONS(2425),
    [anon_sym_await] = ACTIONS(2425),
    [anon_sym_POUNDfile] = ACTIONS(2425),
    [anon_sym_POUNDfileID] = ACTIONS(2427),
    [anon_sym_POUNDfilePath] = ACTIONS(2427),
    [anon_sym_POUNDline] = ACTIONS(2427),
    [anon_sym_POUNDcolumn] = ACTIONS(2427),
    [anon_sym_POUNDfunction] = ACTIONS(2427),
    [anon_sym_POUNDdsohandle] = ACTIONS(2427),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(2427),
    [anon_sym_POUNDfileLiteral] = ACTIONS(2427),
    [anon_sym_POUNDimageLiteral] = ACTIONS(2427),
    [anon_sym_LBRACE] = ACTIONS(2427),
    [anon_sym_CARET_LBRACE] = ACTIONS(2427),
    [anon_sym_RBRACE] = ACTIONS(2429),
    [anon_sym_self] = ACTIONS(2425),
    [anon_sym_super] = ACTIONS(2425),
    [anon_sym_POUNDkeyPath] = ACTIONS(2427),
    [anon_sym_try] = ACTIONS(2425),
    [anon_sym_PLUS_EQ] = ACTIONS(2427),
    [anon_sym_DASH_EQ] = ACTIONS(2427),
    [anon_sym_STAR_EQ] = ACTIONS(2427),
    [anon_sym_SLASH_EQ] = ACTIONS(2427),
    [anon_sym_PERCENT_EQ] = ACTIONS(2427),
    [anon_sym_BANG_EQ] = ACTIONS(2425),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2427),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2427),
    [anon_sym_LT_EQ] = ACTIONS(2427),
    [anon_sym_GT_EQ] = ACTIONS(2427),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2427),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2427),
    [anon_sym_is] = ACTIONS(2431),
    [anon_sym_PLUS] = ACTIONS(2425),
    [anon_sym_DASH] = ACTIONS(2425),
    [anon_sym_STAR] = ACTIONS(2425),
    [anon_sym_SLASH] = ACTIONS(2425),
    [anon_sym_PERCENT] = ACTIONS(2425),
    [anon_sym_PLUS_PLUS] = ACTIONS(2427),
    [anon_sym_DASH_DASH] = ACTIONS(2427),
    [anon_sym_TILDE] = ACTIONS(2427),
    [anon_sym_PIPE] = ACTIONS(2427),
    [anon_sym_CARET] = ACTIONS(2425),
    [anon_sym_LT_LT] = ACTIONS(2427),
    [anon_sym_GT_GT] = ACTIONS(2427),
    [anon_sym_BANG2] = ACTIONS(2425),
    [anon_sym_borrowing] = ACTIONS(2425),
    [anon_sym_consuming] = ACTIONS(2425),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(2429),
    [sym_raw_str_part] = ACTIONS(2427),
    [sym_raw_str_end_part] = ACTIONS(2427),
    [sym__implicit_semi] = ACTIONS(2429),
    [sym__explicit_semi] = ACTIONS(2429),
    [sym__dot_custom] = ACTIONS(2427),
    [sym__conjunction_operator_custom] = ACTIONS(2429),
    [sym__disjunction_operator_custom] = ACTIONS(2429),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2429),
    [sym__eq_custom] = ACTIONS(2427),
    [sym__eq_eq_custom] = ACTIONS(2427),
    [sym__plus_then_ws] = ACTIONS(2427),
    [sym__minus_then_ws] = ACTIONS(2427),
    [sym__bang_custom] = ACTIONS(2427),
    [sym__as_custom] = ACTIONS(2429),
    [sym__as_quest_custom] = ACTIONS(2429),
    [sym__as_bang_custom] = ACTIONS(2429),
    [sym__custom_operator] = ACTIONS(2427),
  },
  [860] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2425),
    [aux_sym_simple_identifier_token2] = ACTIONS(2427),
    [aux_sym_simple_identifier_token3] = ACTIONS(2427),
    [aux_sym_simple_identifier_token4] = ACTIONS(2427),
    [anon_sym_actor] = ACTIONS(2425),
    [anon_sym_async] = ACTIONS(2425),
    [anon_sym_each] = ACTIONS(2425),
    [anon_sym_lazy] = ACTIONS(2425),
    [anon_sym_repeat] = ACTIONS(2425),
    [anon_sym_package] = ACTIONS(2425),
    [anon_sym_nil] = ACTIONS(2425),
    [sym_real_literal] = ACTIONS(2427),
    [sym_integer_literal] = ACTIONS(2425),
    [sym_hex_literal] = ACTIONS(2427),
    [sym_oct_literal] = ACTIONS(2427),
    [sym_bin_literal] = ACTIONS(2427),
    [anon_sym_true] = ACTIONS(2425),
    [anon_sym_false] = ACTIONS(2425),
    [anon_sym_DQUOTE] = ACTIONS(2425),
    [anon_sym_BSLASH] = ACTIONS(2427),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2427),
    [anon_sym_RPAREN] = ACTIONS(2429),
    [anon_sym_COMMA] = ACTIONS(2429),
    [sym__extended_regex_literal] = ACTIONS(2427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(2427),
    [sym__oneline_regex_literal] = ACTIONS(2425),
    [anon_sym_COLON] = ACTIONS(2429),
    [anon_sym_LPAREN] = ACTIONS(2427),
    [anon_sym_LBRACK] = ACTIONS(2427),
    [anon_sym_RBRACK] = ACTIONS(2429),
    [anon_sym_QMARK] = ACTIONS(2431),
    [anon_sym_QMARK2] = ACTIONS(2429),
    [anon_sym_AMP] = ACTIONS(2427),
    [anon_sym_if] = ACTIONS(2425),
    [anon_sym_switch] = ACTIONS(2425),
    [anon_sym_POUNDselector] = ACTIONS(2427),
    [aux_sym_custom_operator_token1] = ACTIONS(2427),
    [anon_sym_LT] = ACTIONS(2425),
    [anon_sym_GT] = ACTIONS(2425),
    [anon_sym_await] = ACTIONS(2425),
    [anon_sym_POUNDfile] = ACTIONS(2425),
    [anon_sym_POUNDfileID] = ACTIONS(2427),
    [anon_sym_POUNDfilePath] = ACTIONS(2427),
    [anon_sym_POUNDline] = ACTIONS(2427),
    [anon_sym_POUNDcolumn] = ACTIONS(2427),
    [anon_sym_POUNDfunction] = ACTIONS(2427),
    [anon_sym_POUNDdsohandle] = ACTIONS(2427),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(2427),
    [anon_sym_POUNDfileLiteral] = ACTIONS(2427),
    [anon_sym_POUNDimageLiteral] = ACTIONS(2427),
    [anon_sym_LBRACE] = ACTIONS(2427),
    [anon_sym_CARET_LBRACE] = ACTIONS(2427),
    [anon_sym_self] = ACTIONS(2425),
    [anon_sym_super] = ACTIONS(2425),
    [anon_sym_POUNDkeyPath] = ACTIONS(2427),
    [anon_sym_try] = ACTIONS(2425),
    [anon_sym_PLUS_EQ] = ACTIONS(2427),
    [anon_sym_DASH_EQ] = ACTIONS(2427),
    [anon_sym_STAR_EQ] = ACTIONS(2427),
    [anon_sym_SLASH_EQ] = ACTIONS(2427),
    [anon_sym_PERCENT_EQ] = ACTIONS(2427),
    [anon_sym_BANG_EQ] = ACTIONS(2425),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2427),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2427),
    [anon_sym_LT_EQ] = ACTIONS(2427),
    [anon_sym_GT_EQ] = ACTIONS(2427),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2427),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2427),
    [anon_sym_is] = ACTIONS(2431),
    [anon_sym_PLUS] = ACTIONS(2425),
    [anon_sym_DASH] = ACTIONS(2425),
    [anon_sym_STAR] = ACTIONS(2425),
    [anon_sym_SLASH] = ACTIONS(2425),
    [anon_sym_PERCENT] = ACTIONS(2425),
    [anon_sym_PLUS_PLUS] = ACTIONS(2427),
    [anon_sym_DASH_DASH] = ACTIONS(2427),
    [anon_sym_TILDE] = ACTIONS(2427),
    [anon_sym_PIPE] = ACTIONS(2427),
    [anon_sym_CARET] = ACTIONS(2425),
    [anon_sym_LT_LT] = ACTIONS(2427),
    [anon_sym_GT_GT] = ACTIONS(2427),
    [anon_sym_BANG2] = ACTIONS(2425),
    [anon_sym_borrowing] = ACTIONS(2425),
    [anon_sym_consuming] = ACTIONS(2425),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(2427),
    [sym_raw_str_end_part] = ACTIONS(2427),
    [sym__dot_custom] = ACTIONS(2427),
    [sym__conjunction_operator_custom] = ACTIONS(2429),
    [sym__disjunction_operator_custom] = ACTIONS(2429),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2429),
    [sym__eq_custom] = ACTIONS(2427),
    [sym__eq_eq_custom] = ACTIONS(2427),
    [sym__plus_then_ws] = ACTIONS(2427),
    [sym__minus_then_ws] = ACTIONS(2427),
    [sym__bang_custom] = ACTIONS(2427),
    [sym__as_custom] = ACTIONS(2429),
    [sym__as_quest_custom] = ACTIONS(2429),
    [sym__as_bang_custom] = ACTIONS(2429),
    [sym__custom_operator] = ACTIONS(2427),
  },
  [861] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2433),
    [aux_sym_simple_identifier_token2] = ACTIONS(2435),
    [aux_sym_simple_identifier_token3] = ACTIONS(2435),
    [aux_sym_simple_identifier_token4] = ACTIONS(2435),
    [anon_sym_actor] = ACTIONS(2433),
    [anon_sym_async] = ACTIONS(2433),
    [anon_sym_each] = ACTIONS(2433),
    [anon_sym_lazy] = ACTIONS(2433),
    [anon_sym_repeat] = ACTIONS(2433),
    [anon_sym_package] = ACTIONS(2433),
    [anon_sym_nil] = ACTIONS(2433),
    [sym_real_literal] = ACTIONS(2435),
    [sym_integer_literal] = ACTIONS(2433),
    [sym_hex_literal] = ACTIONS(2435),
    [sym_oct_literal] = ACTIONS(2435),
    [sym_bin_literal] = ACTIONS(2435),
    [anon_sym_true] = ACTIONS(2433),
    [anon_sym_false] = ACTIONS(2433),
    [anon_sym_DQUOTE] = ACTIONS(2433),
    [anon_sym_BSLASH] = ACTIONS(2435),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2435),
    [anon_sym_RPAREN] = ACTIONS(2435),
    [anon_sym_COMMA] = ACTIONS(2435),
    [sym__extended_regex_literal] = ACTIONS(2435),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(2435),
    [sym__oneline_regex_literal] = ACTIONS(2433),
    [anon_sym_COLON] = ACTIONS(2435),
    [anon_sym_LPAREN] = ACTIONS(2435),
    [anon_sym_LBRACK] = ACTIONS(2435),
    [anon_sym_RBRACK] = ACTIONS(2435),
    [anon_sym_QMARK] = ACTIONS(2433),
    [anon_sym_QMARK2] = ACTIONS(2435),
    [anon_sym_AMP] = ACTIONS(2435),
    [anon_sym_if] = ACTIONS(2433),
    [anon_sym_switch] = ACTIONS(2433),
    [anon_sym_POUNDselector] = ACTIONS(2435),
    [aux_sym_custom_operator_token1] = ACTIONS(2435),
    [anon_sym_LT] = ACTIONS(2433),
    [anon_sym_GT] = ACTIONS(2433),
    [anon_sym_await] = ACTIONS(2433),
    [anon_sym_POUNDfile] = ACTIONS(2433),
    [anon_sym_POUNDfileID] = ACTIONS(2435),
    [anon_sym_POUNDfilePath] = ACTIONS(2435),
    [anon_sym_POUNDline] = ACTIONS(2435),
    [anon_sym_POUNDcolumn] = ACTIONS(2435),
    [anon_sym_POUNDfunction] = ACTIONS(2435),
    [anon_sym_POUNDdsohandle] = ACTIONS(2435),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(2435),
    [anon_sym_POUNDfileLiteral] = ACTIONS(2435),
    [anon_sym_POUNDimageLiteral] = ACTIONS(2435),
    [anon_sym_LBRACE] = ACTIONS(2435),
    [anon_sym_CARET_LBRACE] = ACTIONS(2435),
    [anon_sym_self] = ACTIONS(2433),
    [anon_sym_super] = ACTIONS(2433),
    [anon_sym_POUNDkeyPath] = ACTIONS(2435),
    [anon_sym_try] = ACTIONS(2433),
    [anon_sym_PLUS_EQ] = ACTIONS(2435),
    [anon_sym_DASH_EQ] = ACTIONS(2435),
    [anon_sym_STAR_EQ] = ACTIONS(2435),
    [anon_sym_SLASH_EQ] = ACTIONS(2435),
    [anon_sym_PERCENT_EQ] = ACTIONS(2435),
    [anon_sym_BANG_EQ] = ACTIONS(2433),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2435),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2435),
    [anon_sym_LT_EQ] = ACTIONS(2435),
    [anon_sym_GT_EQ] = ACTIONS(2435),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2435),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2435),
    [anon_sym_is] = ACTIONS(2433),
    [anon_sym_PLUS] = ACTIONS(2433),
    [anon_sym_DASH] = ACTIONS(2433),
    [anon_sym_STAR] = ACTIONS(2433),
    [anon_sym_SLASH] = ACTIONS(2433),
    [anon_sym_PERCENT] = ACTIONS(2433),
    [anon_sym_PLUS_PLUS] = ACTIONS(2435),
    [anon_sym_DASH_DASH] = ACTIONS(2435),
    [anon_sym_TILDE] = ACTIONS(2435),
    [anon_sym_PIPE] = ACTIONS(2435),
    [anon_sym_CARET] = ACTIONS(2433),
    [anon_sym_LT_LT] = ACTIONS(2435),
    [anon_sym_GT_GT] = ACTIONS(2435),
    [anon_sym_BANG2] = ACTIONS(2433),
    [anon_sym_borrowing] = ACTIONS(2433),
    [anon_sym_consuming] = ACTIONS(2433),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(2435),
    [sym_raw_str_end_part] = ACTIONS(2435),
    [sym__dot_custom] = ACTIONS(2435),
    [sym__conjunction_operator_custom] = ACTIONS(2435),
    [sym__disjunction_operator_custom] = ACTIONS(2435),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2435),
    [sym__eq_custom] = ACTIONS(2435),
    [sym__eq_eq_custom] = ACTIONS(2435),
    [sym__plus_then_ws] = ACTIONS(2435),
    [sym__minus_then_ws] = ACTIONS(2435),
    [sym__bang_custom] = ACTIONS(2435),
    [sym__as_custom] = ACTIONS(2435),
    [sym__as_quest_custom] = ACTIONS(2435),
    [sym__as_bang_custom] = ACTIONS(2435),
    [sym__custom_operator] = ACTIONS(2435),
  },
  [862] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2437),
    [aux_sym_simple_identifier_token2] = ACTIONS(2439),
    [aux_sym_simple_identifier_token3] = ACTIONS(2439),
    [aux_sym_simple_identifier_token4] = ACTIONS(2439),
    [anon_sym_actor] = ACTIONS(2437),
    [anon_sym_async] = ACTIONS(2437),
    [anon_sym_each] = ACTIONS(2437),
    [anon_sym_lazy] = ACTIONS(2437),
    [anon_sym_repeat] = ACTIONS(2437),
    [anon_sym_package] = ACTIONS(2437),
    [anon_sym_nil] = ACTIONS(2437),
    [sym_real_literal] = ACTIONS(2439),
    [sym_integer_literal] = ACTIONS(2437),
    [sym_hex_literal] = ACTIONS(2439),
    [sym_oct_literal] = ACTIONS(2439),
    [sym_bin_literal] = ACTIONS(2439),
    [anon_sym_true] = ACTIONS(2437),
    [anon_sym_false] = ACTIONS(2437),
    [anon_sym_DQUOTE] = ACTIONS(2437),
    [anon_sym_BSLASH] = ACTIONS(2439),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2439),
    [anon_sym_COMMA] = ACTIONS(2444),
    [sym__extended_regex_literal] = ACTIONS(2439),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(2439),
    [sym__oneline_regex_literal] = ACTIONS(2437),
    [anon_sym_LPAREN] = ACTIONS(2446),
    [anon_sym_LBRACK] = ACTIONS(2446),
    [anon_sym_QMARK] = ACTIONS(2449),
    [anon_sym_QMARK2] = ACTIONS(2444),
    [anon_sym_AMP] = ACTIONS(2446),
    [anon_sym_if] = ACTIONS(2437),
    [anon_sym_switch] = ACTIONS(2437),
    [anon_sym_POUNDselector] = ACTIONS(2439),
    [aux_sym_custom_operator_token1] = ACTIONS(2446),
    [anon_sym_LT] = ACTIONS(2441),
    [anon_sym_GT] = ACTIONS(2441),
    [anon_sym_await] = ACTIONS(2437),
    [anon_sym_POUNDfile] = ACTIONS(2437),
    [anon_sym_POUNDfileID] = ACTIONS(2439),
    [anon_sym_POUNDfilePath] = ACTIONS(2439),
    [anon_sym_POUNDline] = ACTIONS(2439),
    [anon_sym_POUNDcolumn] = ACTIONS(2439),
    [anon_sym_POUNDfunction] = ACTIONS(2439),
    [anon_sym_POUNDdsohandle] = ACTIONS(2439),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(2439),
    [anon_sym_POUNDfileLiteral] = ACTIONS(2439),
    [anon_sym_POUNDimageLiteral] = ACTIONS(2439),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_CARET_LBRACE] = ACTIONS(2446),
    [anon_sym_RBRACE] = ACTIONS(2444),
    [anon_sym_self] = ACTIONS(2437),
    [anon_sym_super] = ACTIONS(2437),
    [anon_sym_POUNDkeyPath] = ACTIONS(2439),
    [anon_sym_try] = ACTIONS(2437),
    [anon_sym_PLUS_EQ] = ACTIONS(2446),
    [anon_sym_DASH_EQ] = ACTIONS(2446),
    [anon_sym_STAR_EQ] = ACTIONS(2446),
    [anon_sym_SLASH_EQ] = ACTIONS(2446),
    [anon_sym_PERCENT_EQ] = ACTIONS(2446),
    [anon_sym_BANG_EQ] = ACTIONS(2441),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2446),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2446),
    [anon_sym_LT_EQ] = ACTIONS(2446),
    [anon_sym_GT_EQ] = ACTIONS(2446),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2446),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2446),
    [anon_sym_is] = ACTIONS(2449),
    [anon_sym_PLUS] = ACTIONS(2441),
    [anon_sym_DASH] = ACTIONS(2441),
    [anon_sym_STAR] = ACTIONS(2441),
    [anon_sym_SLASH] = ACTIONS(2441),
    [anon_sym_PERCENT] = ACTIONS(2441),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2439),
    [anon_sym_PIPE] = ACTIONS(2446),
    [anon_sym_CARET] = ACTIONS(2441),
    [anon_sym_LT_LT] = ACTIONS(2446),
    [anon_sym_GT_GT] = ACTIONS(2446),
    [anon_sym_BANG2] = ACTIONS(2441),
    [anon_sym_borrowing] = ACTIONS(2437),
    [anon_sym_consuming] = ACTIONS(2437),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(2444),
    [sym_raw_str_part] = ACTIONS(2439),
    [sym_raw_str_end_part] = ACTIONS(2439),
    [sym__implicit_semi] = ACTIONS(2444),
    [sym__explicit_semi] = ACTIONS(2444),
    [sym__dot_custom] = ACTIONS(2446),
    [sym__conjunction_operator_custom] = ACTIONS(2444),
    [sym__disjunction_operator_custom] = ACTIONS(2444),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2444),
    [sym__eq_custom] = ACTIONS(2446),
    [sym__eq_eq_custom] = ACTIONS(2446),
    [sym__plus_then_ws] = ACTIONS(2446),
    [sym__minus_then_ws] = ACTIONS(2446),
    [sym__bang_custom] = ACTIONS(2446),
    [sym__as_custom] = ACTIONS(2444),
    [sym__as_quest_custom] = ACTIONS(2444),
    [sym__as_bang_custom] = ACTIONS(2444),
    [sym__custom_operator] = ACTIONS(2446),
  },
  [863] = {
    [sym_simple_identifier] = STATE(7664),
    [sym__contextual_simple_identifier] = STATE(4320),
    [sym__parameter_ownership_modifier] = STATE(4320),
    [aux_sym__fn_call_lambda_arguments_repeat1] = STATE(863),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2830),
    [aux_sym_simple_identifier_token2] = ACTIONS(2833),
    [aux_sym_simple_identifier_token3] = ACTIONS(2833),
    [aux_sym_simple_identifier_token4] = ACTIONS(2833),
    [anon_sym_actor] = ACTIONS(2830),
    [anon_sym_async] = ACTIONS(2830),
    [anon_sym_each] = ACTIONS(2830),
    [anon_sym_lazy] = ACTIONS(2830),
    [anon_sym_repeat] = ACTIONS(2830),
    [anon_sym_package] = ACTIONS(2830),
    [anon_sym_COMMA] = ACTIONS(2836),
    [anon_sym_LPAREN] = ACTIONS(2836),
    [anon_sym_LBRACK] = ACTIONS(2836),
    [anon_sym_QMARK] = ACTIONS(2838),
    [anon_sym_QMARK2] = ACTIONS(2836),
    [anon_sym_AMP] = ACTIONS(2836),
    [aux_sym_custom_operator_token1] = ACTIONS(2836),
    [anon_sym_LT] = ACTIONS(2838),
    [anon_sym_GT] = ACTIONS(2838),
    [anon_sym_LBRACE] = ACTIONS(2836),
    [anon_sym_CARET_LBRACE] = ACTIONS(2836),
    [anon_sym_RBRACE] = ACTIONS(2836),
    [anon_sym_case] = ACTIONS(2838),
    [anon_sym_fallthrough] = ACTIONS(2838),
    [anon_sym_PLUS_EQ] = ACTIONS(2836),
    [anon_sym_DASH_EQ] = ACTIONS(2836),
    [anon_sym_STAR_EQ] = ACTIONS(2836),
    [anon_sym_SLASH_EQ] = ACTIONS(2836),
    [anon_sym_PERCENT_EQ] = ACTIONS(2836),
    [anon_sym_BANG_EQ] = ACTIONS(2838),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2836),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2836),
    [anon_sym_LT_EQ] = ACTIONS(2836),
    [anon_sym_GT_EQ] = ACTIONS(2836),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2836),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2836),
    [anon_sym_is] = ACTIONS(2838),
    [anon_sym_PLUS] = ACTIONS(2838),
    [anon_sym_DASH] = ACTIONS(2838),
    [anon_sym_STAR] = ACTIONS(2838),
    [anon_sym_SLASH] = ACTIONS(2838),
    [anon_sym_PERCENT] = ACTIONS(2838),
    [anon_sym_PLUS_PLUS] = ACTIONS(2836),
    [anon_sym_DASH_DASH] = ACTIONS(2836),
    [anon_sym_PIPE] = ACTIONS(2836),
    [anon_sym_CARET] = ACTIONS(2838),
    [anon_sym_LT_LT] = ACTIONS(2836),
    [anon_sym_GT_GT] = ACTIONS(2836),
    [anon_sym_class] = ACTIONS(2838),
    [anon_sym_BANG2] = ACTIONS(2838),
    [anon_sym_prefix] = ACTIONS(2838),
    [anon_sym_infix] = ACTIONS(2838),
    [anon_sym_postfix] = ACTIONS(2838),
    [anon_sym_AT] = ACTIONS(2838),
    [anon_sym_override] = ACTIONS(2838),
    [anon_sym_convenience] = ACTIONS(2838),
    [anon_sym_required] = ACTIONS(2838),
    [anon_sym_nonisolated] = ACTIONS(2838),
    [anon_sym_public] = ACTIONS(2838),
    [anon_sym_private] = ACTIONS(2838),
    [anon_sym_internal] = ACTIONS(2838),
    [anon_sym_fileprivate] = ACTIONS(2838),
    [anon_sym_open] = ACTIONS(2838),
    [anon_sym_mutating] = ACTIONS(2838),
    [anon_sym_nonmutating] = ACTIONS(2838),
    [anon_sym_static] = ACTIONS(2838),
    [anon_sym_dynamic] = ACTIONS(2838),
    [anon_sym_optional] = ACTIONS(2838),
    [anon_sym_distributed] = ACTIONS(2838),
    [anon_sym_final] = ACTIONS(2838),
    [anon_sym_inout] = ACTIONS(2838),
    [anon_sym_ATescaping] = ACTIONS(2836),
    [anon_sym_ATautoclosure] = ACTIONS(2836),
    [anon_sym_weak] = ACTIONS(2838),
    [anon_sym_unowned] = ACTIONS(2838),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2836),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2836),
    [anon_sym_borrowing] = ACTIONS(2830),
    [anon_sym_consuming] = ACTIONS(2830),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2836),
    [sym__explicit_semi] = ACTIONS(2836),
    [sym__dot_custom] = ACTIONS(2836),
    [sym__conjunction_operator_custom] = ACTIONS(2836),
    [sym__disjunction_operator_custom] = ACTIONS(2836),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2836),
    [sym__eq_custom] = ACTIONS(2836),
    [sym__eq_eq_custom] = ACTIONS(2836),
    [sym__plus_then_ws] = ACTIONS(2836),
    [sym__minus_then_ws] = ACTIONS(2836),
    [sym__bang_custom] = ACTIONS(2836),
    [sym_default_keyword] = ACTIONS(2836),
    [sym__as_custom] = ACTIONS(2836),
    [sym__as_quest_custom] = ACTIONS(2836),
    [sym__as_bang_custom] = ACTIONS(2836),
    [sym__custom_operator] = ACTIONS(2836),
  },
  [864] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2437),
    [aux_sym_simple_identifier_token2] = ACTIONS(2439),
    [aux_sym_simple_identifier_token3] = ACTIONS(2439),
    [aux_sym_simple_identifier_token4] = ACTIONS(2439),
    [anon_sym_actor] = ACTIONS(2437),
    [anon_sym_async] = ACTIONS(2437),
    [anon_sym_each] = ACTIONS(2437),
    [anon_sym_lazy] = ACTIONS(2437),
    [anon_sym_repeat] = ACTIONS(2437),
    [anon_sym_package] = ACTIONS(2437),
    [anon_sym_nil] = ACTIONS(2437),
    [sym_real_literal] = ACTIONS(2439),
    [sym_integer_literal] = ACTIONS(2437),
    [sym_hex_literal] = ACTIONS(2439),
    [sym_oct_literal] = ACTIONS(2439),
    [sym_bin_literal] = ACTIONS(2439),
    [anon_sym_true] = ACTIONS(2437),
    [anon_sym_false] = ACTIONS(2437),
    [anon_sym_DQUOTE] = ACTIONS(2437),
    [anon_sym_BSLASH] = ACTIONS(2439),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2439),
    [anon_sym_RPAREN] = ACTIONS(2462),
    [anon_sym_COMMA] = ACTIONS(2462),
    [sym__extended_regex_literal] = ACTIONS(2439),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(2439),
    [sym__oneline_regex_literal] = ACTIONS(2437),
    [anon_sym_COLON] = ACTIONS(2462),
    [anon_sym_LPAREN] = ACTIONS(2464),
    [anon_sym_LBRACK] = ACTIONS(2464),
    [anon_sym_RBRACK] = ACTIONS(2462),
    [anon_sym_QMARK] = ACTIONS(2467),
    [anon_sym_QMARK2] = ACTIONS(2462),
    [anon_sym_AMP] = ACTIONS(2464),
    [anon_sym_if] = ACTIONS(2437),
    [anon_sym_switch] = ACTIONS(2437),
    [anon_sym_POUNDselector] = ACTIONS(2439),
    [aux_sym_custom_operator_token1] = ACTIONS(2464),
    [anon_sym_LT] = ACTIONS(2459),
    [anon_sym_GT] = ACTIONS(2459),
    [anon_sym_await] = ACTIONS(2437),
    [anon_sym_POUNDfile] = ACTIONS(2437),
    [anon_sym_POUNDfileID] = ACTIONS(2439),
    [anon_sym_POUNDfilePath] = ACTIONS(2439),
    [anon_sym_POUNDline] = ACTIONS(2439),
    [anon_sym_POUNDcolumn] = ACTIONS(2439),
    [anon_sym_POUNDfunction] = ACTIONS(2439),
    [anon_sym_POUNDdsohandle] = ACTIONS(2439),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(2439),
    [anon_sym_POUNDfileLiteral] = ACTIONS(2439),
    [anon_sym_POUNDimageLiteral] = ACTIONS(2439),
    [anon_sym_LBRACE] = ACTIONS(2464),
    [anon_sym_CARET_LBRACE] = ACTIONS(2464),
    [anon_sym_self] = ACTIONS(2437),
    [anon_sym_super] = ACTIONS(2437),
    [anon_sym_POUNDkeyPath] = ACTIONS(2439),
    [anon_sym_try] = ACTIONS(2437),
    [anon_sym_PLUS_EQ] = ACTIONS(2464),
    [anon_sym_DASH_EQ] = ACTIONS(2464),
    [anon_sym_STAR_EQ] = ACTIONS(2464),
    [anon_sym_SLASH_EQ] = ACTIONS(2464),
    [anon_sym_PERCENT_EQ] = ACTIONS(2464),
    [anon_sym_BANG_EQ] = ACTIONS(2459),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2464),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2464),
    [anon_sym_LT_EQ] = ACTIONS(2464),
    [anon_sym_GT_EQ] = ACTIONS(2464),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2464),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2464),
    [anon_sym_is] = ACTIONS(2467),
    [anon_sym_PLUS] = ACTIONS(2459),
    [anon_sym_DASH] = ACTIONS(2459),
    [anon_sym_STAR] = ACTIONS(2459),
    [anon_sym_SLASH] = ACTIONS(2459),
    [anon_sym_PERCENT] = ACTIONS(2459),
    [anon_sym_PLUS_PLUS] = ACTIONS(2464),
    [anon_sym_DASH_DASH] = ACTIONS(2464),
    [anon_sym_TILDE] = ACTIONS(2439),
    [anon_sym_PIPE] = ACTIONS(2464),
    [anon_sym_CARET] = ACTIONS(2459),
    [anon_sym_LT_LT] = ACTIONS(2464),
    [anon_sym_GT_GT] = ACTIONS(2464),
    [anon_sym_BANG2] = ACTIONS(2459),
    [anon_sym_borrowing] = ACTIONS(2437),
    [anon_sym_consuming] = ACTIONS(2437),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(2439),
    [sym_raw_str_end_part] = ACTIONS(2439),
    [sym__dot_custom] = ACTIONS(2464),
    [sym__conjunction_operator_custom] = ACTIONS(2462),
    [sym__disjunction_operator_custom] = ACTIONS(2462),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2462),
    [sym__eq_custom] = ACTIONS(2464),
    [sym__eq_eq_custom] = ACTIONS(2464),
    [sym__plus_then_ws] = ACTIONS(2464),
    [sym__minus_then_ws] = ACTIONS(2464),
    [sym__bang_custom] = ACTIONS(2464),
    [sym__as_custom] = ACTIONS(2462),
    [sym__as_quest_custom] = ACTIONS(2462),
    [sym__as_bang_custom] = ACTIONS(2462),
    [sym__custom_operator] = ACTIONS(2464),
  },
  [865] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2437),
    [aux_sym_simple_identifier_token2] = ACTIONS(2439),
    [aux_sym_simple_identifier_token3] = ACTIONS(2439),
    [aux_sym_simple_identifier_token4] = ACTIONS(2439),
    [anon_sym_actor] = ACTIONS(2437),
    [anon_sym_async] = ACTIONS(2437),
    [anon_sym_each] = ACTIONS(2437),
    [anon_sym_lazy] = ACTIONS(2437),
    [anon_sym_repeat] = ACTIONS(2437),
    [anon_sym_package] = ACTIONS(2437),
    [anon_sym_nil] = ACTIONS(2437),
    [sym_real_literal] = ACTIONS(2439),
    [sym_integer_literal] = ACTIONS(2437),
    [sym_hex_literal] = ACTIONS(2439),
    [sym_oct_literal] = ACTIONS(2439),
    [sym_bin_literal] = ACTIONS(2439),
    [anon_sym_true] = ACTIONS(2437),
    [anon_sym_false] = ACTIONS(2437),
    [anon_sym_DQUOTE] = ACTIONS(2437),
    [anon_sym_BSLASH] = ACTIONS(2439),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2439),
    [anon_sym_COMMA] = ACTIONS(2462),
    [sym__extended_regex_literal] = ACTIONS(2439),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(2439),
    [sym__oneline_regex_literal] = ACTIONS(2437),
    [anon_sym_LPAREN] = ACTIONS(2464),
    [anon_sym_LBRACK] = ACTIONS(2464),
    [anon_sym_QMARK] = ACTIONS(2467),
    [anon_sym_QMARK2] = ACTIONS(2462),
    [anon_sym_AMP] = ACTIONS(2464),
    [anon_sym_if] = ACTIONS(2437),
    [anon_sym_switch] = ACTIONS(2437),
    [anon_sym_POUNDselector] = ACTIONS(2439),
    [aux_sym_custom_operator_token1] = ACTIONS(2464),
    [anon_sym_LT] = ACTIONS(2459),
    [anon_sym_GT] = ACTIONS(2459),
    [anon_sym_await] = ACTIONS(2437),
    [anon_sym_POUNDfile] = ACTIONS(2437),
    [anon_sym_POUNDfileID] = ACTIONS(2439),
    [anon_sym_POUNDfilePath] = ACTIONS(2439),
    [anon_sym_POUNDline] = ACTIONS(2439),
    [anon_sym_POUNDcolumn] = ACTIONS(2439),
    [anon_sym_POUNDfunction] = ACTIONS(2439),
    [anon_sym_POUNDdsohandle] = ACTIONS(2439),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(2439),
    [anon_sym_POUNDfileLiteral] = ACTIONS(2439),
    [anon_sym_POUNDimageLiteral] = ACTIONS(2439),
    [anon_sym_LBRACE] = ACTIONS(2464),
    [anon_sym_CARET_LBRACE] = ACTIONS(2464),
    [anon_sym_RBRACE] = ACTIONS(2462),
    [anon_sym_self] = ACTIONS(2437),
    [anon_sym_super] = ACTIONS(2437),
    [anon_sym_POUNDkeyPath] = ACTIONS(2439),
    [anon_sym_try] = ACTIONS(2437),
    [anon_sym_PLUS_EQ] = ACTIONS(2464),
    [anon_sym_DASH_EQ] = ACTIONS(2464),
    [anon_sym_STAR_EQ] = ACTIONS(2464),
    [anon_sym_SLASH_EQ] = ACTIONS(2464),
    [anon_sym_PERCENT_EQ] = ACTIONS(2464),
    [anon_sym_BANG_EQ] = ACTIONS(2459),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2464),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2464),
    [anon_sym_LT_EQ] = ACTIONS(2464),
    [anon_sym_GT_EQ] = ACTIONS(2464),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2464),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2464),
    [anon_sym_is] = ACTIONS(2467),
    [anon_sym_PLUS] = ACTIONS(2459),
    [anon_sym_DASH] = ACTIONS(2459),
    [anon_sym_STAR] = ACTIONS(2459),
    [anon_sym_SLASH] = ACTIONS(2459),
    [anon_sym_PERCENT] = ACTIONS(2459),
    [anon_sym_PLUS_PLUS] = ACTIONS(2464),
    [anon_sym_DASH_DASH] = ACTIONS(2464),
    [anon_sym_TILDE] = ACTIONS(2439),
    [anon_sym_PIPE] = ACTIONS(2464),
    [anon_sym_CARET] = ACTIONS(2459),
    [anon_sym_LT_LT] = ACTIONS(2464),
    [anon_sym_GT_GT] = ACTIONS(2464),
    [anon_sym_BANG2] = ACTIONS(2459),
    [anon_sym_borrowing] = ACTIONS(2437),
    [anon_sym_consuming] = ACTIONS(2437),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(2462),
    [sym_raw_str_part] = ACTIONS(2439),
    [sym_raw_str_end_part] = ACTIONS(2439),
    [sym__implicit_semi] = ACTIONS(2462),
    [sym__explicit_semi] = ACTIONS(2462),
    [sym__dot_custom] = ACTIONS(2464),
    [sym__conjunction_operator_custom] = ACTIONS(2462),
    [sym__disjunction_operator_custom] = ACTIONS(2462),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2462),
    [sym__eq_custom] = ACTIONS(2464),
    [sym__eq_eq_custom] = ACTIONS(2464),
    [sym__plus_then_ws] = ACTIONS(2464),
    [sym__minus_then_ws] = ACTIONS(2464),
    [sym__bang_custom] = ACTIONS(2464),
    [sym__as_custom] = ACTIONS(2462),
    [sym__as_quest_custom] = ACTIONS(2462),
    [sym__as_bang_custom] = ACTIONS(2462),
    [sym__custom_operator] = ACTIONS(2464),
  },
  [866] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2451),
    [aux_sym_simple_identifier_token2] = ACTIONS(2453),
    [aux_sym_simple_identifier_token3] = ACTIONS(2453),
    [aux_sym_simple_identifier_token4] = ACTIONS(2453),
    [anon_sym_actor] = ACTIONS(2451),
    [anon_sym_async] = ACTIONS(2451),
    [anon_sym_each] = ACTIONS(2451),
    [anon_sym_lazy] = ACTIONS(2451),
    [anon_sym_repeat] = ACTIONS(2451),
    [anon_sym_package] = ACTIONS(2451),
    [anon_sym_nil] = ACTIONS(2451),
    [sym_real_literal] = ACTIONS(2453),
    [sym_integer_literal] = ACTIONS(2451),
    [sym_hex_literal] = ACTIONS(2453),
    [sym_oct_literal] = ACTIONS(2453),
    [sym_bin_literal] = ACTIONS(2453),
    [anon_sym_true] = ACTIONS(2451),
    [anon_sym_false] = ACTIONS(2451),
    [anon_sym_DQUOTE] = ACTIONS(2451),
    [anon_sym_BSLASH] = ACTIONS(2453),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2453),
    [anon_sym_COMMA] = ACTIONS(2453),
    [sym__extended_regex_literal] = ACTIONS(2453),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(2453),
    [sym__oneline_regex_literal] = ACTIONS(2451),
    [anon_sym_LPAREN] = ACTIONS(2453),
    [anon_sym_LBRACK] = ACTIONS(2453),
    [anon_sym_QMARK] = ACTIONS(2451),
    [anon_sym_QMARK2] = ACTIONS(2453),
    [anon_sym_AMP] = ACTIONS(2453),
    [anon_sym_if] = ACTIONS(2451),
    [anon_sym_switch] = ACTIONS(2451),
    [anon_sym_POUNDselector] = ACTIONS(2453),
    [aux_sym_custom_operator_token1] = ACTIONS(2453),
    [anon_sym_LT] = ACTIONS(2451),
    [anon_sym_GT] = ACTIONS(2451),
    [anon_sym_await] = ACTIONS(2451),
    [anon_sym_POUNDfile] = ACTIONS(2451),
    [anon_sym_POUNDfileID] = ACTIONS(2453),
    [anon_sym_POUNDfilePath] = ACTIONS(2453),
    [anon_sym_POUNDline] = ACTIONS(2453),
    [anon_sym_POUNDcolumn] = ACTIONS(2453),
    [anon_sym_POUNDfunction] = ACTIONS(2453),
    [anon_sym_POUNDdsohandle] = ACTIONS(2453),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(2453),
    [anon_sym_POUNDfileLiteral] = ACTIONS(2453),
    [anon_sym_POUNDimageLiteral] = ACTIONS(2453),
    [anon_sym_LBRACE] = ACTIONS(2453),
    [anon_sym_CARET_LBRACE] = ACTIONS(2453),
    [anon_sym_RBRACE] = ACTIONS(2453),
    [anon_sym_self] = ACTIONS(2451),
    [anon_sym_super] = ACTIONS(2451),
    [anon_sym_POUNDkeyPath] = ACTIONS(2453),
    [anon_sym_try] = ACTIONS(2451),
    [anon_sym_PLUS_EQ] = ACTIONS(2453),
    [anon_sym_DASH_EQ] = ACTIONS(2453),
    [anon_sym_STAR_EQ] = ACTIONS(2453),
    [anon_sym_SLASH_EQ] = ACTIONS(2453),
    [anon_sym_PERCENT_EQ] = ACTIONS(2453),
    [anon_sym_BANG_EQ] = ACTIONS(2451),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2453),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2453),
    [anon_sym_LT_EQ] = ACTIONS(2453),
    [anon_sym_GT_EQ] = ACTIONS(2453),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2453),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2453),
    [anon_sym_is] = ACTIONS(2451),
    [anon_sym_PLUS] = ACTIONS(2451),
    [anon_sym_DASH] = ACTIONS(2451),
    [anon_sym_STAR] = ACTIONS(2451),
    [anon_sym_SLASH] = ACTIONS(2451),
    [anon_sym_PERCENT] = ACTIONS(2451),
    [anon_sym_PLUS_PLUS] = ACTIONS(2453),
    [anon_sym_DASH_DASH] = ACTIONS(2453),
    [anon_sym_TILDE] = ACTIONS(2453),
    [anon_sym_PIPE] = ACTIONS(2453),
    [anon_sym_CARET] = ACTIONS(2451),
    [anon_sym_LT_LT] = ACTIONS(2453),
    [anon_sym_GT_GT] = ACTIONS(2453),
    [anon_sym_BANG2] = ACTIONS(2451),
    [anon_sym_borrowing] = ACTIONS(2451),
    [anon_sym_consuming] = ACTIONS(2451),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(2453),
    [sym_raw_str_part] = ACTIONS(2453),
    [sym_raw_str_end_part] = ACTIONS(2453),
    [sym__implicit_semi] = ACTIONS(2453),
    [sym__explicit_semi] = ACTIONS(2453),
    [sym__dot_custom] = ACTIONS(2453),
    [sym__conjunction_operator_custom] = ACTIONS(2453),
    [sym__disjunction_operator_custom] = ACTIONS(2453),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2453),
    [sym__eq_custom] = ACTIONS(2453),
    [sym__eq_eq_custom] = ACTIONS(2453),
    [sym__plus_then_ws] = ACTIONS(2453),
    [sym__minus_then_ws] = ACTIONS(2453),
    [sym__bang_custom] = ACTIONS(2453),
    [sym__as_custom] = ACTIONS(2453),
    [sym__as_quest_custom] = ACTIONS(2453),
    [sym__as_bang_custom] = ACTIONS(2453),
    [sym__custom_operator] = ACTIONS(2453),
  },
  [867] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2437),
    [aux_sym_simple_identifier_token2] = ACTIONS(2439),
    [aux_sym_simple_identifier_token3] = ACTIONS(2439),
    [aux_sym_simple_identifier_token4] = ACTIONS(2439),
    [anon_sym_actor] = ACTIONS(2437),
    [anon_sym_async] = ACTIONS(2437),
    [anon_sym_each] = ACTIONS(2437),
    [anon_sym_lazy] = ACTIONS(2437),
    [anon_sym_repeat] = ACTIONS(2437),
    [anon_sym_package] = ACTIONS(2437),
    [anon_sym_nil] = ACTIONS(2437),
    [sym_real_literal] = ACTIONS(2439),
    [sym_integer_literal] = ACTIONS(2437),
    [sym_hex_literal] = ACTIONS(2439),
    [sym_oct_literal] = ACTIONS(2439),
    [sym_bin_literal] = ACTIONS(2439),
    [anon_sym_true] = ACTIONS(2437),
    [anon_sym_false] = ACTIONS(2437),
    [anon_sym_DQUOTE] = ACTIONS(2437),
    [anon_sym_BSLASH] = ACTIONS(2439),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2439),
    [anon_sym_RPAREN] = ACTIONS(2444),
    [anon_sym_COMMA] = ACTIONS(2444),
    [sym__extended_regex_literal] = ACTIONS(2439),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(2439),
    [sym__oneline_regex_literal] = ACTIONS(2437),
    [anon_sym_COLON] = ACTIONS(2444),
    [anon_sym_LPAREN] = ACTIONS(2446),
    [anon_sym_LBRACK] = ACTIONS(2446),
    [anon_sym_RBRACK] = ACTIONS(2444),
    [anon_sym_QMARK] = ACTIONS(2449),
    [anon_sym_QMARK2] = ACTIONS(2444),
    [anon_sym_AMP] = ACTIONS(2446),
    [anon_sym_if] = ACTIONS(2437),
    [anon_sym_switch] = ACTIONS(2437),
    [anon_sym_POUNDselector] = ACTIONS(2439),
    [aux_sym_custom_operator_token1] = ACTIONS(2446),
    [anon_sym_LT] = ACTIONS(2441),
    [anon_sym_GT] = ACTIONS(2441),
    [anon_sym_await] = ACTIONS(2437),
    [anon_sym_POUNDfile] = ACTIONS(2437),
    [anon_sym_POUNDfileID] = ACTIONS(2439),
    [anon_sym_POUNDfilePath] = ACTIONS(2439),
    [anon_sym_POUNDline] = ACTIONS(2439),
    [anon_sym_POUNDcolumn] = ACTIONS(2439),
    [anon_sym_POUNDfunction] = ACTIONS(2439),
    [anon_sym_POUNDdsohandle] = ACTIONS(2439),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(2439),
    [anon_sym_POUNDfileLiteral] = ACTIONS(2439),
    [anon_sym_POUNDimageLiteral] = ACTIONS(2439),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_CARET_LBRACE] = ACTIONS(2446),
    [anon_sym_self] = ACTIONS(2437),
    [anon_sym_super] = ACTIONS(2437),
    [anon_sym_POUNDkeyPath] = ACTIONS(2439),
    [anon_sym_try] = ACTIONS(2437),
    [anon_sym_PLUS_EQ] = ACTIONS(2446),
    [anon_sym_DASH_EQ] = ACTIONS(2446),
    [anon_sym_STAR_EQ] = ACTIONS(2446),
    [anon_sym_SLASH_EQ] = ACTIONS(2446),
    [anon_sym_PERCENT_EQ] = ACTIONS(2446),
    [anon_sym_BANG_EQ] = ACTIONS(2441),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2446),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2446),
    [anon_sym_LT_EQ] = ACTIONS(2446),
    [anon_sym_GT_EQ] = ACTIONS(2446),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2446),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2446),
    [anon_sym_is] = ACTIONS(2449),
    [anon_sym_PLUS] = ACTIONS(2441),
    [anon_sym_DASH] = ACTIONS(2441),
    [anon_sym_STAR] = ACTIONS(2441),
    [anon_sym_SLASH] = ACTIONS(2441),
    [anon_sym_PERCENT] = ACTIONS(2441),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2439),
    [anon_sym_PIPE] = ACTIONS(2446),
    [anon_sym_CARET] = ACTIONS(2441),
    [anon_sym_LT_LT] = ACTIONS(2446),
    [anon_sym_GT_GT] = ACTIONS(2446),
    [anon_sym_BANG2] = ACTIONS(2441),
    [anon_sym_borrowing] = ACTIONS(2437),
    [anon_sym_consuming] = ACTIONS(2437),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(2439),
    [sym_raw_str_end_part] = ACTIONS(2439),
    [sym__dot_custom] = ACTIONS(2446),
    [sym__conjunction_operator_custom] = ACTIONS(2444),
    [sym__disjunction_operator_custom] = ACTIONS(2444),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2444),
    [sym__eq_custom] = ACTIONS(2446),
    [sym__eq_eq_custom] = ACTIONS(2446),
    [sym__plus_then_ws] = ACTIONS(2446),
    [sym__minus_then_ws] = ACTIONS(2446),
    [sym__bang_custom] = ACTIONS(2446),
    [sym__as_custom] = ACTIONS(2444),
    [sym__as_quest_custom] = ACTIONS(2444),
    [sym__as_bang_custom] = ACTIONS(2444),
    [sym__custom_operator] = ACTIONS(2446),
  },
  [868] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2451),
    [aux_sym_simple_identifier_token2] = ACTIONS(2453),
    [aux_sym_simple_identifier_token3] = ACTIONS(2453),
    [aux_sym_simple_identifier_token4] = ACTIONS(2453),
    [anon_sym_actor] = ACTIONS(2451),
    [anon_sym_async] = ACTIONS(2451),
    [anon_sym_each] = ACTIONS(2451),
    [anon_sym_lazy] = ACTIONS(2451),
    [anon_sym_repeat] = ACTIONS(2451),
    [anon_sym_package] = ACTIONS(2451),
    [anon_sym_nil] = ACTIONS(2451),
    [sym_real_literal] = ACTIONS(2453),
    [sym_integer_literal] = ACTIONS(2451),
    [sym_hex_literal] = ACTIONS(2453),
    [sym_oct_literal] = ACTIONS(2453),
    [sym_bin_literal] = ACTIONS(2453),
    [anon_sym_true] = ACTIONS(2451),
    [anon_sym_false] = ACTIONS(2451),
    [anon_sym_DQUOTE] = ACTIONS(2451),
    [anon_sym_BSLASH] = ACTIONS(2453),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2453),
    [anon_sym_RPAREN] = ACTIONS(2453),
    [anon_sym_COMMA] = ACTIONS(2453),
    [sym__extended_regex_literal] = ACTIONS(2453),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(2453),
    [sym__oneline_regex_literal] = ACTIONS(2451),
    [anon_sym_COLON] = ACTIONS(2453),
    [anon_sym_LPAREN] = ACTIONS(2453),
    [anon_sym_LBRACK] = ACTIONS(2453),
    [anon_sym_RBRACK] = ACTIONS(2453),
    [anon_sym_QMARK] = ACTIONS(2451),
    [anon_sym_QMARK2] = ACTIONS(2453),
    [anon_sym_AMP] = ACTIONS(2453),
    [anon_sym_if] = ACTIONS(2451),
    [anon_sym_switch] = ACTIONS(2451),
    [anon_sym_POUNDselector] = ACTIONS(2453),
    [aux_sym_custom_operator_token1] = ACTIONS(2453),
    [anon_sym_LT] = ACTIONS(2451),
    [anon_sym_GT] = ACTIONS(2451),
    [anon_sym_await] = ACTIONS(2451),
    [anon_sym_POUNDfile] = ACTIONS(2451),
    [anon_sym_POUNDfileID] = ACTIONS(2453),
    [anon_sym_POUNDfilePath] = ACTIONS(2453),
    [anon_sym_POUNDline] = ACTIONS(2453),
    [anon_sym_POUNDcolumn] = ACTIONS(2453),
    [anon_sym_POUNDfunction] = ACTIONS(2453),
    [anon_sym_POUNDdsohandle] = ACTIONS(2453),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(2453),
    [anon_sym_POUNDfileLiteral] = ACTIONS(2453),
    [anon_sym_POUNDimageLiteral] = ACTIONS(2453),
    [anon_sym_LBRACE] = ACTIONS(2453),
    [anon_sym_CARET_LBRACE] = ACTIONS(2453),
    [anon_sym_self] = ACTIONS(2451),
    [anon_sym_super] = ACTIONS(2451),
    [anon_sym_POUNDkeyPath] = ACTIONS(2453),
    [anon_sym_try] = ACTIONS(2451),
    [anon_sym_PLUS_EQ] = ACTIONS(2453),
    [anon_sym_DASH_EQ] = ACTIONS(2453),
    [anon_sym_STAR_EQ] = ACTIONS(2453),
    [anon_sym_SLASH_EQ] = ACTIONS(2453),
    [anon_sym_PERCENT_EQ] = ACTIONS(2453),
    [anon_sym_BANG_EQ] = ACTIONS(2451),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2453),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2453),
    [anon_sym_LT_EQ] = ACTIONS(2453),
    [anon_sym_GT_EQ] = ACTIONS(2453),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2453),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2453),
    [anon_sym_is] = ACTIONS(2451),
    [anon_sym_PLUS] = ACTIONS(2451),
    [anon_sym_DASH] = ACTIONS(2451),
    [anon_sym_STAR] = ACTIONS(2451),
    [anon_sym_SLASH] = ACTIONS(2451),
    [anon_sym_PERCENT] = ACTIONS(2451),
    [anon_sym_PLUS_PLUS] = ACTIONS(2453),
    [anon_sym_DASH_DASH] = ACTIONS(2453),
    [anon_sym_TILDE] = ACTIONS(2453),
    [anon_sym_PIPE] = ACTIONS(2453),
    [anon_sym_CARET] = ACTIONS(2451),
    [anon_sym_LT_LT] = ACTIONS(2453),
    [anon_sym_GT_GT] = ACTIONS(2453),
    [anon_sym_BANG2] = ACTIONS(2451),
    [anon_sym_borrowing] = ACTIONS(2451),
    [anon_sym_consuming] = ACTIONS(2451),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(2453),
    [sym_raw_str_end_part] = ACTIONS(2453),
    [sym__dot_custom] = ACTIONS(2453),
    [sym__conjunction_operator_custom] = ACTIONS(2453),
    [sym__disjunction_operator_custom] = ACTIONS(2453),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2453),
    [sym__eq_custom] = ACTIONS(2453),
    [sym__eq_eq_custom] = ACTIONS(2453),
    [sym__plus_then_ws] = ACTIONS(2453),
    [sym__minus_then_ws] = ACTIONS(2453),
    [sym__bang_custom] = ACTIONS(2453),
    [sym__as_custom] = ACTIONS(2453),
    [sym__as_quest_custom] = ACTIONS(2453),
    [sym__as_bang_custom] = ACTIONS(2453),
    [sym__custom_operator] = ACTIONS(2453),
  },
  [869] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2469),
    [aux_sym_simple_identifier_token2] = ACTIONS(2471),
    [aux_sym_simple_identifier_token3] = ACTIONS(2471),
    [aux_sym_simple_identifier_token4] = ACTIONS(2471),
    [anon_sym_actor] = ACTIONS(2469),
    [anon_sym_async] = ACTIONS(2469),
    [anon_sym_each] = ACTIONS(2469),
    [anon_sym_lazy] = ACTIONS(2469),
    [anon_sym_repeat] = ACTIONS(2469),
    [anon_sym_package] = ACTIONS(2469),
    [anon_sym_nil] = ACTIONS(2469),
    [sym_real_literal] = ACTIONS(2471),
    [sym_integer_literal] = ACTIONS(2469),
    [sym_hex_literal] = ACTIONS(2471),
    [sym_oct_literal] = ACTIONS(2471),
    [sym_bin_literal] = ACTIONS(2471),
    [anon_sym_true] = ACTIONS(2469),
    [anon_sym_false] = ACTIONS(2469),
    [anon_sym_DQUOTE] = ACTIONS(2469),
    [anon_sym_BSLASH] = ACTIONS(2471),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2471),
    [anon_sym_COMMA] = ACTIONS(2471),
    [sym__extended_regex_literal] = ACTIONS(2471),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(2471),
    [sym__oneline_regex_literal] = ACTIONS(2469),
    [anon_sym_LPAREN] = ACTIONS(2471),
    [anon_sym_LBRACK] = ACTIONS(2471),
    [anon_sym_QMARK] = ACTIONS(2469),
    [anon_sym_QMARK2] = ACTIONS(2471),
    [anon_sym_AMP] = ACTIONS(2471),
    [anon_sym_if] = ACTIONS(2469),
    [anon_sym_switch] = ACTIONS(2469),
    [anon_sym_POUNDselector] = ACTIONS(2471),
    [aux_sym_custom_operator_token1] = ACTIONS(2471),
    [anon_sym_LT] = ACTIONS(2469),
    [anon_sym_GT] = ACTIONS(2469),
    [anon_sym_await] = ACTIONS(2469),
    [anon_sym_POUNDfile] = ACTIONS(2469),
    [anon_sym_POUNDfileID] = ACTIONS(2471),
    [anon_sym_POUNDfilePath] = ACTIONS(2471),
    [anon_sym_POUNDline] = ACTIONS(2471),
    [anon_sym_POUNDcolumn] = ACTIONS(2471),
    [anon_sym_POUNDfunction] = ACTIONS(2471),
    [anon_sym_POUNDdsohandle] = ACTIONS(2471),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(2471),
    [anon_sym_POUNDfileLiteral] = ACTIONS(2471),
    [anon_sym_POUNDimageLiteral] = ACTIONS(2471),
    [anon_sym_LBRACE] = ACTIONS(2471),
    [anon_sym_CARET_LBRACE] = ACTIONS(2471),
    [anon_sym_RBRACE] = ACTIONS(2471),
    [anon_sym_self] = ACTIONS(2469),
    [anon_sym_super] = ACTIONS(2469),
    [anon_sym_POUNDkeyPath] = ACTIONS(2471),
    [anon_sym_try] = ACTIONS(2469),
    [anon_sym_PLUS_EQ] = ACTIONS(2471),
    [anon_sym_DASH_EQ] = ACTIONS(2471),
    [anon_sym_STAR_EQ] = ACTIONS(2471),
    [anon_sym_SLASH_EQ] = ACTIONS(2471),
    [anon_sym_PERCENT_EQ] = ACTIONS(2471),
    [anon_sym_BANG_EQ] = ACTIONS(2469),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2471),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2471),
    [anon_sym_LT_EQ] = ACTIONS(2471),
    [anon_sym_GT_EQ] = ACTIONS(2471),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2471),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2471),
    [anon_sym_is] = ACTIONS(2469),
    [anon_sym_PLUS] = ACTIONS(2469),
    [anon_sym_DASH] = ACTIONS(2469),
    [anon_sym_STAR] = ACTIONS(2469),
    [anon_sym_SLASH] = ACTIONS(2469),
    [anon_sym_PERCENT] = ACTIONS(2469),
    [anon_sym_PLUS_PLUS] = ACTIONS(2471),
    [anon_sym_DASH_DASH] = ACTIONS(2471),
    [anon_sym_TILDE] = ACTIONS(2471),
    [anon_sym_PIPE] = ACTIONS(2471),
    [anon_sym_CARET] = ACTIONS(2469),
    [anon_sym_LT_LT] = ACTIONS(2471),
    [anon_sym_GT_GT] = ACTIONS(2471),
    [anon_sym_BANG2] = ACTIONS(2469),
    [anon_sym_borrowing] = ACTIONS(2469),
    [anon_sym_consuming] = ACTIONS(2469),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(2471),
    [sym_raw_str_part] = ACTIONS(2471),
    [sym_raw_str_end_part] = ACTIONS(2471),
    [sym__implicit_semi] = ACTIONS(2471),
    [sym__explicit_semi] = ACTIONS(2471),
    [sym__dot_custom] = ACTIONS(2471),
    [sym__conjunction_operator_custom] = ACTIONS(2471),
    [sym__disjunction_operator_custom] = ACTIONS(2471),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2471),
    [sym__eq_custom] = ACTIONS(2471),
    [sym__eq_eq_custom] = ACTIONS(2471),
    [sym__plus_then_ws] = ACTIONS(2471),
    [sym__minus_then_ws] = ACTIONS(2471),
    [sym__bang_custom] = ACTIONS(2471),
    [sym__as_custom] = ACTIONS(2471),
    [sym__as_quest_custom] = ACTIONS(2471),
    [sym__as_bang_custom] = ACTIONS(2471),
    [sym__custom_operator] = ACTIONS(2471),
  },
  [870] = {
    [sym_simple_identifier] = STATE(7664),
    [sym__contextual_simple_identifier] = STATE(4320),
    [sym__parameter_ownership_modifier] = STATE(4320),
    [aux_sym__fn_call_lambda_arguments_repeat1] = STATE(858),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2812),
    [aux_sym_simple_identifier_token2] = ACTIONS(2814),
    [aux_sym_simple_identifier_token3] = ACTIONS(2814),
    [aux_sym_simple_identifier_token4] = ACTIONS(2814),
    [anon_sym_actor] = ACTIONS(2812),
    [anon_sym_async] = ACTIONS(2812),
    [anon_sym_each] = ACTIONS(2812),
    [anon_sym_lazy] = ACTIONS(2823),
    [anon_sym_repeat] = ACTIONS(2812),
    [anon_sym_package] = ACTIONS(2823),
    [anon_sym_COMMA] = ACTIONS(2826),
    [anon_sym_LPAREN] = ACTIONS(2826),
    [anon_sym_LBRACK] = ACTIONS(2826),
    [anon_sym_QMARK] = ACTIONS(2828),
    [anon_sym_QMARK2] = ACTIONS(2826),
    [anon_sym_AMP] = ACTIONS(2826),
    [aux_sym_custom_operator_token1] = ACTIONS(2826),
    [anon_sym_LT] = ACTIONS(2828),
    [anon_sym_GT] = ACTIONS(2828),
    [anon_sym_LBRACE] = ACTIONS(2826),
    [anon_sym_CARET_LBRACE] = ACTIONS(2826),
    [anon_sym_RBRACE] = ACTIONS(2826),
    [anon_sym_case] = ACTIONS(2828),
    [anon_sym_fallthrough] = ACTIONS(2828),
    [anon_sym_PLUS_EQ] = ACTIONS(2826),
    [anon_sym_DASH_EQ] = ACTIONS(2826),
    [anon_sym_STAR_EQ] = ACTIONS(2826),
    [anon_sym_SLASH_EQ] = ACTIONS(2826),
    [anon_sym_PERCENT_EQ] = ACTIONS(2826),
    [anon_sym_BANG_EQ] = ACTIONS(2828),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2826),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2826),
    [anon_sym_LT_EQ] = ACTIONS(2826),
    [anon_sym_GT_EQ] = ACTIONS(2826),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2826),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2826),
    [anon_sym_is] = ACTIONS(2828),
    [anon_sym_PLUS] = ACTIONS(2828),
    [anon_sym_DASH] = ACTIONS(2828),
    [anon_sym_STAR] = ACTIONS(2828),
    [anon_sym_SLASH] = ACTIONS(2828),
    [anon_sym_PERCENT] = ACTIONS(2828),
    [anon_sym_PLUS_PLUS] = ACTIONS(2826),
    [anon_sym_DASH_DASH] = ACTIONS(2826),
    [anon_sym_PIPE] = ACTIONS(2826),
    [anon_sym_CARET] = ACTIONS(2828),
    [anon_sym_LT_LT] = ACTIONS(2826),
    [anon_sym_GT_GT] = ACTIONS(2826),
    [anon_sym_class] = ACTIONS(2828),
    [anon_sym_BANG2] = ACTIONS(2828),
    [anon_sym_prefix] = ACTIONS(2828),
    [anon_sym_infix] = ACTIONS(2828),
    [anon_sym_postfix] = ACTIONS(2828),
    [anon_sym_AT] = ACTIONS(2828),
    [anon_sym_override] = ACTIONS(2828),
    [anon_sym_convenience] = ACTIONS(2828),
    [anon_sym_required] = ACTIONS(2828),
    [anon_sym_nonisolated] = ACTIONS(2828),
    [anon_sym_public] = ACTIONS(2828),
    [anon_sym_private] = ACTIONS(2828),
    [anon_sym_internal] = ACTIONS(2828),
    [anon_sym_fileprivate] = ACTIONS(2828),
    [anon_sym_open] = ACTIONS(2828),
    [anon_sym_mutating] = ACTIONS(2828),
    [anon_sym_nonmutating] = ACTIONS(2828),
    [anon_sym_static] = ACTIONS(2828),
    [anon_sym_dynamic] = ACTIONS(2828),
    [anon_sym_optional] = ACTIONS(2828),
    [anon_sym_distributed] = ACTIONS(2828),
    [anon_sym_final] = ACTIONS(2828),
    [anon_sym_inout] = ACTIONS(2828),
    [anon_sym_ATescaping] = ACTIONS(2826),
    [anon_sym_ATautoclosure] = ACTIONS(2826),
    [anon_sym_weak] = ACTIONS(2828),
    [anon_sym_unowned] = ACTIONS(2828),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2826),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2826),
    [anon_sym_borrowing] = ACTIONS(2823),
    [anon_sym_consuming] = ACTIONS(2823),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2826),
    [sym__explicit_semi] = ACTIONS(2826),
    [sym__dot_custom] = ACTIONS(2826),
    [sym__conjunction_operator_custom] = ACTIONS(2826),
    [sym__disjunction_operator_custom] = ACTIONS(2826),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2826),
    [sym__eq_custom] = ACTIONS(2826),
    [sym__eq_eq_custom] = ACTIONS(2826),
    [sym__plus_then_ws] = ACTIONS(2826),
    [sym__minus_then_ws] = ACTIONS(2826),
    [sym__bang_custom] = ACTIONS(2826),
    [sym_default_keyword] = ACTIONS(2826),
    [sym__as_custom] = ACTIONS(2826),
    [sym__as_quest_custom] = ACTIONS(2826),
    [sym__as_bang_custom] = ACTIONS(2826),
    [sym__custom_operator] = ACTIONS(2826),
  },
  [871] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2425),
    [aux_sym_simple_identifier_token2] = ACTIONS(2427),
    [aux_sym_simple_identifier_token3] = ACTIONS(2427),
    [aux_sym_simple_identifier_token4] = ACTIONS(2427),
    [anon_sym_actor] = ACTIONS(2425),
    [anon_sym_async] = ACTIONS(2425),
    [anon_sym_each] = ACTIONS(2425),
    [anon_sym_lazy] = ACTIONS(2425),
    [anon_sym_repeat] = ACTIONS(2425),
    [anon_sym_package] = ACTIONS(2425),
    [anon_sym_nil] = ACTIONS(2425),
    [sym_real_literal] = ACTIONS(2427),
    [sym_integer_literal] = ACTIONS(2425),
    [sym_hex_literal] = ACTIONS(2427),
    [sym_oct_literal] = ACTIONS(2427),
    [sym_bin_literal] = ACTIONS(2427),
    [anon_sym_true] = ACTIONS(2425),
    [anon_sym_false] = ACTIONS(2425),
    [anon_sym_DQUOTE] = ACTIONS(2425),
    [anon_sym_BSLASH] = ACTIONS(2427),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2427),
    [anon_sym_RPAREN] = ACTIONS(2455),
    [anon_sym_COMMA] = ACTIONS(2455),
    [sym__extended_regex_literal] = ACTIONS(2427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(2427),
    [sym__oneline_regex_literal] = ACTIONS(2425),
    [anon_sym_COLON] = ACTIONS(2455),
    [anon_sym_LPAREN] = ACTIONS(2427),
    [anon_sym_LBRACK] = ACTIONS(2427),
    [anon_sym_RBRACK] = ACTIONS(2455),
    [anon_sym_QMARK] = ACTIONS(2457),
    [anon_sym_QMARK2] = ACTIONS(2455),
    [anon_sym_AMP] = ACTIONS(2427),
    [anon_sym_if] = ACTIONS(2425),
    [anon_sym_switch] = ACTIONS(2425),
    [anon_sym_POUNDselector] = ACTIONS(2427),
    [aux_sym_custom_operator_token1] = ACTIONS(2427),
    [anon_sym_LT] = ACTIONS(2425),
    [anon_sym_GT] = ACTIONS(2425),
    [anon_sym_await] = ACTIONS(2425),
    [anon_sym_POUNDfile] = ACTIONS(2425),
    [anon_sym_POUNDfileID] = ACTIONS(2427),
    [anon_sym_POUNDfilePath] = ACTIONS(2427),
    [anon_sym_POUNDline] = ACTIONS(2427),
    [anon_sym_POUNDcolumn] = ACTIONS(2427),
    [anon_sym_POUNDfunction] = ACTIONS(2427),
    [anon_sym_POUNDdsohandle] = ACTIONS(2427),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(2427),
    [anon_sym_POUNDfileLiteral] = ACTIONS(2427),
    [anon_sym_POUNDimageLiteral] = ACTIONS(2427),
    [anon_sym_LBRACE] = ACTIONS(2427),
    [anon_sym_CARET_LBRACE] = ACTIONS(2427),
    [anon_sym_self] = ACTIONS(2425),
    [anon_sym_super] = ACTIONS(2425),
    [anon_sym_POUNDkeyPath] = ACTIONS(2427),
    [anon_sym_try] = ACTIONS(2425),
    [anon_sym_PLUS_EQ] = ACTIONS(2427),
    [anon_sym_DASH_EQ] = ACTIONS(2427),
    [anon_sym_STAR_EQ] = ACTIONS(2427),
    [anon_sym_SLASH_EQ] = ACTIONS(2427),
    [anon_sym_PERCENT_EQ] = ACTIONS(2427),
    [anon_sym_BANG_EQ] = ACTIONS(2425),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2427),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2427),
    [anon_sym_LT_EQ] = ACTIONS(2427),
    [anon_sym_GT_EQ] = ACTIONS(2427),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2427),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2427),
    [anon_sym_is] = ACTIONS(2457),
    [anon_sym_PLUS] = ACTIONS(2425),
    [anon_sym_DASH] = ACTIONS(2425),
    [anon_sym_STAR] = ACTIONS(2425),
    [anon_sym_SLASH] = ACTIONS(2425),
    [anon_sym_PERCENT] = ACTIONS(2425),
    [anon_sym_PLUS_PLUS] = ACTIONS(2427),
    [anon_sym_DASH_DASH] = ACTIONS(2427),
    [anon_sym_TILDE] = ACTIONS(2427),
    [anon_sym_PIPE] = ACTIONS(2427),
    [anon_sym_CARET] = ACTIONS(2425),
    [anon_sym_LT_LT] = ACTIONS(2427),
    [anon_sym_GT_GT] = ACTIONS(2427),
    [anon_sym_BANG2] = ACTIONS(2425),
    [anon_sym_borrowing] = ACTIONS(2425),
    [anon_sym_consuming] = ACTIONS(2425),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(2427),
    [sym_raw_str_end_part] = ACTIONS(2427),
    [sym__dot_custom] = ACTIONS(2427),
    [sym__conjunction_operator_custom] = ACTIONS(2455),
    [sym__disjunction_operator_custom] = ACTIONS(2455),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2455),
    [sym__eq_custom] = ACTIONS(2427),
    [sym__eq_eq_custom] = ACTIONS(2427),
    [sym__plus_then_ws] = ACTIONS(2427),
    [sym__minus_then_ws] = ACTIONS(2427),
    [sym__bang_custom] = ACTIONS(2427),
    [sym__as_custom] = ACTIONS(2455),
    [sym__as_quest_custom] = ACTIONS(2455),
    [sym__as_bang_custom] = ACTIONS(2455),
    [sym__custom_operator] = ACTIONS(2427),
  },
  [872] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2425),
    [aux_sym_simple_identifier_token2] = ACTIONS(2427),
    [aux_sym_simple_identifier_token3] = ACTIONS(2427),
    [aux_sym_simple_identifier_token4] = ACTIONS(2427),
    [anon_sym_actor] = ACTIONS(2425),
    [anon_sym_async] = ACTIONS(2425),
    [anon_sym_each] = ACTIONS(2425),
    [anon_sym_lazy] = ACTIONS(2425),
    [anon_sym_repeat] = ACTIONS(2425),
    [anon_sym_package] = ACTIONS(2425),
    [anon_sym_nil] = ACTIONS(2425),
    [sym_real_literal] = ACTIONS(2427),
    [sym_integer_literal] = ACTIONS(2425),
    [sym_hex_literal] = ACTIONS(2427),
    [sym_oct_literal] = ACTIONS(2427),
    [sym_bin_literal] = ACTIONS(2427),
    [anon_sym_true] = ACTIONS(2425),
    [anon_sym_false] = ACTIONS(2425),
    [anon_sym_DQUOTE] = ACTIONS(2425),
    [anon_sym_BSLASH] = ACTIONS(2427),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2427),
    [anon_sym_COMMA] = ACTIONS(2455),
    [sym__extended_regex_literal] = ACTIONS(2427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(2427),
    [sym__oneline_regex_literal] = ACTIONS(2425),
    [anon_sym_COLON] = ACTIONS(2455),
    [anon_sym_LPAREN] = ACTIONS(2427),
    [anon_sym_LBRACK] = ACTIONS(2427),
    [anon_sym_QMARK] = ACTIONS(2457),
    [anon_sym_QMARK2] = ACTIONS(2455),
    [anon_sym_AMP] = ACTIONS(2427),
    [anon_sym_if] = ACTIONS(2425),
    [anon_sym_switch] = ACTIONS(2425),
    [anon_sym_POUNDselector] = ACTIONS(2427),
    [aux_sym_custom_operator_token1] = ACTIONS(2427),
    [anon_sym_LT] = ACTIONS(2425),
    [anon_sym_GT] = ACTIONS(2425),
    [anon_sym_await] = ACTIONS(2425),
    [anon_sym_POUNDfile] = ACTIONS(2425),
    [anon_sym_POUNDfileID] = ACTIONS(2427),
    [anon_sym_POUNDfilePath] = ACTIONS(2427),
    [anon_sym_POUNDline] = ACTIONS(2427),
    [anon_sym_POUNDcolumn] = ACTIONS(2427),
    [anon_sym_POUNDfunction] = ACTIONS(2427),
    [anon_sym_POUNDdsohandle] = ACTIONS(2427),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(2427),
    [anon_sym_POUNDfileLiteral] = ACTIONS(2427),
    [anon_sym_POUNDimageLiteral] = ACTIONS(2427),
    [anon_sym_LBRACE] = ACTIONS(2427),
    [anon_sym_CARET_LBRACE] = ACTIONS(2427),
    [anon_sym_self] = ACTIONS(2425),
    [anon_sym_super] = ACTIONS(2425),
    [anon_sym_POUNDkeyPath] = ACTIONS(2427),
    [anon_sym_try] = ACTIONS(2425),
    [anon_sym_PLUS_EQ] = ACTIONS(2427),
    [anon_sym_DASH_EQ] = ACTIONS(2427),
    [anon_sym_STAR_EQ] = ACTIONS(2427),
    [anon_sym_SLASH_EQ] = ACTIONS(2427),
    [anon_sym_PERCENT_EQ] = ACTIONS(2427),
    [anon_sym_BANG_EQ] = ACTIONS(2425),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2427),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2427),
    [anon_sym_LT_EQ] = ACTIONS(2427),
    [anon_sym_GT_EQ] = ACTIONS(2427),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2427),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2427),
    [anon_sym_is] = ACTIONS(2457),
    [anon_sym_PLUS] = ACTIONS(2425),
    [anon_sym_DASH] = ACTIONS(2425),
    [anon_sym_STAR] = ACTIONS(2425),
    [anon_sym_SLASH] = ACTIONS(2425),
    [anon_sym_PERCENT] = ACTIONS(2425),
    [anon_sym_PLUS_PLUS] = ACTIONS(2427),
    [anon_sym_DASH_DASH] = ACTIONS(2427),
    [anon_sym_TILDE] = ACTIONS(2427),
    [anon_sym_PIPE] = ACTIONS(2427),
    [anon_sym_CARET] = ACTIONS(2425),
    [anon_sym_LT_LT] = ACTIONS(2427),
    [anon_sym_GT_GT] = ACTIONS(2427),
    [anon_sym_BANG2] = ACTIONS(2425),
    [anon_sym_borrowing] = ACTIONS(2425),
    [anon_sym_consuming] = ACTIONS(2425),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(2427),
    [sym_raw_str_end_part] = ACTIONS(2427),
    [sym__dot_custom] = ACTIONS(2427),
    [sym__conjunction_operator_custom] = ACTIONS(2455),
    [sym__disjunction_operator_custom] = ACTIONS(2455),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2455),
    [sym__eq_custom] = ACTIONS(2427),
    [sym__eq_eq_custom] = ACTIONS(2427),
    [sym__plus_then_ws] = ACTIONS(2427),
    [sym__minus_then_ws] = ACTIONS(2427),
    [sym__bang_custom] = ACTIONS(2427),
    [sym_where_keyword] = ACTIONS(2455),
    [sym__as_custom] = ACTIONS(2455),
    [sym__as_quest_custom] = ACTIONS(2455),
    [sym__as_bang_custom] = ACTIONS(2455),
    [sym__custom_operator] = ACTIONS(2427),
  },
  [873] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2451),
    [aux_sym_simple_identifier_token2] = ACTIONS(2453),
    [aux_sym_simple_identifier_token3] = ACTIONS(2453),
    [aux_sym_simple_identifier_token4] = ACTIONS(2453),
    [anon_sym_actor] = ACTIONS(2451),
    [anon_sym_async] = ACTIONS(2451),
    [anon_sym_each] = ACTIONS(2451),
    [anon_sym_lazy] = ACTIONS(2451),
    [anon_sym_repeat] = ACTIONS(2451),
    [anon_sym_package] = ACTIONS(2451),
    [anon_sym_nil] = ACTIONS(2451),
    [sym_real_literal] = ACTIONS(2453),
    [sym_integer_literal] = ACTIONS(2451),
    [sym_hex_literal] = ACTIONS(2453),
    [sym_oct_literal] = ACTIONS(2453),
    [sym_bin_literal] = ACTIONS(2453),
    [anon_sym_true] = ACTIONS(2451),
    [anon_sym_false] = ACTIONS(2451),
    [anon_sym_DQUOTE] = ACTIONS(2451),
    [anon_sym_BSLASH] = ACTIONS(2453),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2453),
    [anon_sym_COMMA] = ACTIONS(2453),
    [sym__extended_regex_literal] = ACTIONS(2453),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(2453),
    [sym__oneline_regex_literal] = ACTIONS(2451),
    [anon_sym_COLON] = ACTIONS(2453),
    [anon_sym_LPAREN] = ACTIONS(2453),
    [anon_sym_LBRACK] = ACTIONS(2453),
    [anon_sym_QMARK] = ACTIONS(2451),
    [anon_sym_QMARK2] = ACTIONS(2453),
    [anon_sym_AMP] = ACTIONS(2453),
    [anon_sym_if] = ACTIONS(2451),
    [anon_sym_switch] = ACTIONS(2451),
    [anon_sym_POUNDselector] = ACTIONS(2453),
    [aux_sym_custom_operator_token1] = ACTIONS(2453),
    [anon_sym_LT] = ACTIONS(2451),
    [anon_sym_GT] = ACTIONS(2451),
    [anon_sym_await] = ACTIONS(2451),
    [anon_sym_POUNDfile] = ACTIONS(2451),
    [anon_sym_POUNDfileID] = ACTIONS(2453),
    [anon_sym_POUNDfilePath] = ACTIONS(2453),
    [anon_sym_POUNDline] = ACTIONS(2453),
    [anon_sym_POUNDcolumn] = ACTIONS(2453),
    [anon_sym_POUNDfunction] = ACTIONS(2453),
    [anon_sym_POUNDdsohandle] = ACTIONS(2453),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(2453),
    [anon_sym_POUNDfileLiteral] = ACTIONS(2453),
    [anon_sym_POUNDimageLiteral] = ACTIONS(2453),
    [anon_sym_LBRACE] = ACTIONS(2453),
    [anon_sym_CARET_LBRACE] = ACTIONS(2453),
    [anon_sym_self] = ACTIONS(2451),
    [anon_sym_super] = ACTIONS(2451),
    [anon_sym_POUNDkeyPath] = ACTIONS(2453),
    [anon_sym_try] = ACTIONS(2451),
    [anon_sym_PLUS_EQ] = ACTIONS(2453),
    [anon_sym_DASH_EQ] = ACTIONS(2453),
    [anon_sym_STAR_EQ] = ACTIONS(2453),
    [anon_sym_SLASH_EQ] = ACTIONS(2453),
    [anon_sym_PERCENT_EQ] = ACTIONS(2453),
    [anon_sym_BANG_EQ] = ACTIONS(2451),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2453),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2453),
    [anon_sym_LT_EQ] = ACTIONS(2453),
    [anon_sym_GT_EQ] = ACTIONS(2453),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2453),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2453),
    [anon_sym_is] = ACTIONS(2451),
    [anon_sym_PLUS] = ACTIONS(2451),
    [anon_sym_DASH] = ACTIONS(2451),
    [anon_sym_STAR] = ACTIONS(2451),
    [anon_sym_SLASH] = ACTIONS(2451),
    [anon_sym_PERCENT] = ACTIONS(2451),
    [anon_sym_PLUS_PLUS] = ACTIONS(2453),
    [anon_sym_DASH_DASH] = ACTIONS(2453),
    [anon_sym_TILDE] = ACTIONS(2453),
    [anon_sym_PIPE] = ACTIONS(2453),
    [anon_sym_CARET] = ACTIONS(2451),
    [anon_sym_LT_LT] = ACTIONS(2453),
    [anon_sym_GT_GT] = ACTIONS(2453),
    [anon_sym_BANG2] = ACTIONS(2451),
    [anon_sym_borrowing] = ACTIONS(2451),
    [anon_sym_consuming] = ACTIONS(2451),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(2453),
    [sym_raw_str_end_part] = ACTIONS(2453),
    [sym__dot_custom] = ACTIONS(2453),
    [sym__conjunction_operator_custom] = ACTIONS(2453),
    [sym__disjunction_operator_custom] = ACTIONS(2453),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2453),
    [sym__eq_custom] = ACTIONS(2453),
    [sym__eq_eq_custom] = ACTIONS(2453),
    [sym__plus_then_ws] = ACTIONS(2453),
    [sym__minus_then_ws] = ACTIONS(2453),
    [sym__bang_custom] = ACTIONS(2453),
    [sym_where_keyword] = ACTIONS(2453),
    [sym__as_custom] = ACTIONS(2453),
    [sym__as_quest_custom] = ACTIONS(2453),
    [sym__as_bang_custom] = ACTIONS(2453),
    [sym__custom_operator] = ACTIONS(2453),
  },
  [874] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2437),
    [aux_sym_simple_identifier_token2] = ACTIONS(2439),
    [aux_sym_simple_identifier_token3] = ACTIONS(2439),
    [aux_sym_simple_identifier_token4] = ACTIONS(2439),
    [anon_sym_actor] = ACTIONS(2437),
    [anon_sym_async] = ACTIONS(2437),
    [anon_sym_each] = ACTIONS(2437),
    [anon_sym_lazy] = ACTIONS(2437),
    [anon_sym_repeat] = ACTIONS(2437),
    [anon_sym_package] = ACTIONS(2437),
    [anon_sym_nil] = ACTIONS(2437),
    [sym_real_literal] = ACTIONS(2439),
    [sym_integer_literal] = ACTIONS(2437),
    [sym_hex_literal] = ACTIONS(2439),
    [sym_oct_literal] = ACTIONS(2439),
    [sym_bin_literal] = ACTIONS(2439),
    [anon_sym_true] = ACTIONS(2437),
    [anon_sym_false] = ACTIONS(2437),
    [anon_sym_DQUOTE] = ACTIONS(2437),
    [anon_sym_BSLASH] = ACTIONS(2439),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2439),
    [anon_sym_COMMA] = ACTIONS(2444),
    [sym__extended_regex_literal] = ACTIONS(2439),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(2439),
    [sym__oneline_regex_literal] = ACTIONS(2437),
    [anon_sym_LPAREN] = ACTIONS(2446),
    [anon_sym_LBRACK] = ACTIONS(2446),
    [anon_sym_QMARK] = ACTIONS(2449),
    [anon_sym_QMARK2] = ACTIONS(2444),
    [anon_sym_AMP] = ACTIONS(2446),
    [anon_sym_if] = ACTIONS(2437),
    [anon_sym_switch] = ACTIONS(2437),
    [anon_sym_POUNDselector] = ACTIONS(2439),
    [aux_sym_custom_operator_token1] = ACTIONS(2446),
    [anon_sym_LT] = ACTIONS(2441),
    [anon_sym_GT] = ACTIONS(2441),
    [anon_sym_await] = ACTIONS(2437),
    [anon_sym_POUNDfile] = ACTIONS(2437),
    [anon_sym_POUNDfileID] = ACTIONS(2439),
    [anon_sym_POUNDfilePath] = ACTIONS(2439),
    [anon_sym_POUNDline] = ACTIONS(2439),
    [anon_sym_POUNDcolumn] = ACTIONS(2439),
    [anon_sym_POUNDfunction] = ACTIONS(2439),
    [anon_sym_POUNDdsohandle] = ACTIONS(2439),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(2439),
    [anon_sym_POUNDfileLiteral] = ACTIONS(2439),
    [anon_sym_POUNDimageLiteral] = ACTIONS(2439),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_CARET_LBRACE] = ACTIONS(2446),
    [anon_sym_self] = ACTIONS(2437),
    [anon_sym_super] = ACTIONS(2437),
    [anon_sym_POUNDkeyPath] = ACTIONS(2439),
    [anon_sym_try] = ACTIONS(2437),
    [anon_sym_PLUS_EQ] = ACTIONS(2446),
    [anon_sym_DASH_EQ] = ACTIONS(2446),
    [anon_sym_STAR_EQ] = ACTIONS(2446),
    [anon_sym_SLASH_EQ] = ACTIONS(2446),
    [anon_sym_PERCENT_EQ] = ACTIONS(2446),
    [anon_sym_BANG_EQ] = ACTIONS(2441),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2446),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2446),
    [anon_sym_LT_EQ] = ACTIONS(2446),
    [anon_sym_GT_EQ] = ACTIONS(2446),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2446),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2446),
    [anon_sym_is] = ACTIONS(2449),
    [anon_sym_PLUS] = ACTIONS(2441),
    [anon_sym_DASH] = ACTIONS(2441),
    [anon_sym_STAR] = ACTIONS(2441),
    [anon_sym_SLASH] = ACTIONS(2441),
    [anon_sym_PERCENT] = ACTIONS(2441),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2439),
    [anon_sym_PIPE] = ACTIONS(2446),
    [anon_sym_CARET] = ACTIONS(2441),
    [anon_sym_LT_LT] = ACTIONS(2446),
    [anon_sym_GT_GT] = ACTIONS(2446),
    [anon_sym_BANG2] = ACTIONS(2441),
    [anon_sym_borrowing] = ACTIONS(2437),
    [anon_sym_consuming] = ACTIONS(2437),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(2439),
    [sym_raw_str_end_part] = ACTIONS(2439),
    [sym__dot_custom] = ACTIONS(2446),
    [sym__conjunction_operator_custom] = ACTIONS(2444),
    [sym__disjunction_operator_custom] = ACTIONS(2444),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2444),
    [sym__eq_custom] = ACTIONS(2446),
    [sym__eq_eq_custom] = ACTIONS(2446),
    [sym__plus_then_ws] = ACTIONS(2446),
    [sym__minus_then_ws] = ACTIONS(2446),
    [sym__bang_custom] = ACTIONS(2446),
    [sym_where_keyword] = ACTIONS(2444),
    [sym_else] = ACTIONS(2444),
    [sym__as_custom] = ACTIONS(2444),
    [sym__as_quest_custom] = ACTIONS(2444),
    [sym__as_bang_custom] = ACTIONS(2444),
    [sym__custom_operator] = ACTIONS(2446),
  },
  [875] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2433),
    [aux_sym_simple_identifier_token2] = ACTIONS(2435),
    [aux_sym_simple_identifier_token3] = ACTIONS(2435),
    [aux_sym_simple_identifier_token4] = ACTIONS(2435),
    [anon_sym_actor] = ACTIONS(2433),
    [anon_sym_async] = ACTIONS(2433),
    [anon_sym_each] = ACTIONS(2433),
    [anon_sym_lazy] = ACTIONS(2433),
    [anon_sym_repeat] = ACTIONS(2433),
    [anon_sym_package] = ACTIONS(2433),
    [anon_sym_nil] = ACTIONS(2433),
    [sym_real_literal] = ACTIONS(2435),
    [sym_integer_literal] = ACTIONS(2433),
    [sym_hex_literal] = ACTIONS(2435),
    [sym_oct_literal] = ACTIONS(2435),
    [sym_bin_literal] = ACTIONS(2435),
    [anon_sym_true] = ACTIONS(2433),
    [anon_sym_false] = ACTIONS(2433),
    [anon_sym_DQUOTE] = ACTIONS(2433),
    [anon_sym_BSLASH] = ACTIONS(2435),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2435),
    [anon_sym_COMMA] = ACTIONS(2435),
    [sym__extended_regex_literal] = ACTIONS(2435),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(2435),
    [sym__oneline_regex_literal] = ACTIONS(2433),
    [anon_sym_COLON] = ACTIONS(2435),
    [anon_sym_LPAREN] = ACTIONS(2435),
    [anon_sym_LBRACK] = ACTIONS(2435),
    [anon_sym_QMARK] = ACTIONS(2433),
    [anon_sym_QMARK2] = ACTIONS(2435),
    [anon_sym_AMP] = ACTIONS(2435),
    [anon_sym_if] = ACTIONS(2433),
    [anon_sym_switch] = ACTIONS(2433),
    [anon_sym_POUNDselector] = ACTIONS(2435),
    [aux_sym_custom_operator_token1] = ACTIONS(2435),
    [anon_sym_LT] = ACTIONS(2433),
    [anon_sym_GT] = ACTIONS(2433),
    [anon_sym_await] = ACTIONS(2433),
    [anon_sym_POUNDfile] = ACTIONS(2433),
    [anon_sym_POUNDfileID] = ACTIONS(2435),
    [anon_sym_POUNDfilePath] = ACTIONS(2435),
    [anon_sym_POUNDline] = ACTIONS(2435),
    [anon_sym_POUNDcolumn] = ACTIONS(2435),
    [anon_sym_POUNDfunction] = ACTIONS(2435),
    [anon_sym_POUNDdsohandle] = ACTIONS(2435),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(2435),
    [anon_sym_POUNDfileLiteral] = ACTIONS(2435),
    [anon_sym_POUNDimageLiteral] = ACTIONS(2435),
    [anon_sym_LBRACE] = ACTIONS(2435),
    [anon_sym_CARET_LBRACE] = ACTIONS(2435),
    [anon_sym_self] = ACTIONS(2433),
    [anon_sym_super] = ACTIONS(2433),
    [anon_sym_POUNDkeyPath] = ACTIONS(2435),
    [anon_sym_try] = ACTIONS(2433),
    [anon_sym_PLUS_EQ] = ACTIONS(2435),
    [anon_sym_DASH_EQ] = ACTIONS(2435),
    [anon_sym_STAR_EQ] = ACTIONS(2435),
    [anon_sym_SLASH_EQ] = ACTIONS(2435),
    [anon_sym_PERCENT_EQ] = ACTIONS(2435),
    [anon_sym_BANG_EQ] = ACTIONS(2433),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2435),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2435),
    [anon_sym_LT_EQ] = ACTIONS(2435),
    [anon_sym_GT_EQ] = ACTIONS(2435),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2435),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2435),
    [anon_sym_is] = ACTIONS(2433),
    [anon_sym_PLUS] = ACTIONS(2433),
    [anon_sym_DASH] = ACTIONS(2433),
    [anon_sym_STAR] = ACTIONS(2433),
    [anon_sym_SLASH] = ACTIONS(2433),
    [anon_sym_PERCENT] = ACTIONS(2433),
    [anon_sym_PLUS_PLUS] = ACTIONS(2435),
    [anon_sym_DASH_DASH] = ACTIONS(2435),
    [anon_sym_TILDE] = ACTIONS(2435),
    [anon_sym_PIPE] = ACTIONS(2435),
    [anon_sym_CARET] = ACTIONS(2433),
    [anon_sym_LT_LT] = ACTIONS(2435),
    [anon_sym_GT_GT] = ACTIONS(2435),
    [anon_sym_BANG2] = ACTIONS(2433),
    [anon_sym_borrowing] = ACTIONS(2433),
    [anon_sym_consuming] = ACTIONS(2433),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(2435),
    [sym_raw_str_end_part] = ACTIONS(2435),
    [sym__dot_custom] = ACTIONS(2435),
    [sym__conjunction_operator_custom] = ACTIONS(2435),
    [sym__disjunction_operator_custom] = ACTIONS(2435),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2435),
    [sym__eq_custom] = ACTIONS(2435),
    [sym__eq_eq_custom] = ACTIONS(2435),
    [sym__plus_then_ws] = ACTIONS(2435),
    [sym__minus_then_ws] = ACTIONS(2435),
    [sym__bang_custom] = ACTIONS(2435),
    [sym_where_keyword] = ACTIONS(2435),
    [sym__as_custom] = ACTIONS(2435),
    [sym__as_quest_custom] = ACTIONS(2435),
    [sym__as_bang_custom] = ACTIONS(2435),
    [sym__custom_operator] = ACTIONS(2435),
  },
  [876] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2469),
    [aux_sym_simple_identifier_token2] = ACTIONS(2471),
    [aux_sym_simple_identifier_token3] = ACTIONS(2471),
    [aux_sym_simple_identifier_token4] = ACTIONS(2471),
    [anon_sym_actor] = ACTIONS(2469),
    [anon_sym_async] = ACTIONS(2469),
    [anon_sym_each] = ACTIONS(2469),
    [anon_sym_lazy] = ACTIONS(2469),
    [anon_sym_repeat] = ACTIONS(2469),
    [anon_sym_package] = ACTIONS(2469),
    [anon_sym_nil] = ACTIONS(2469),
    [sym_real_literal] = ACTIONS(2471),
    [sym_integer_literal] = ACTIONS(2469),
    [sym_hex_literal] = ACTIONS(2471),
    [sym_oct_literal] = ACTIONS(2471),
    [sym_bin_literal] = ACTIONS(2471),
    [anon_sym_true] = ACTIONS(2469),
    [anon_sym_false] = ACTIONS(2469),
    [anon_sym_DQUOTE] = ACTIONS(2469),
    [anon_sym_BSLASH] = ACTIONS(2471),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2471),
    [anon_sym_COMMA] = ACTIONS(2471),
    [sym__extended_regex_literal] = ACTIONS(2471),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(2471),
    [sym__oneline_regex_literal] = ACTIONS(2469),
    [anon_sym_LPAREN] = ACTIONS(2471),
    [anon_sym_LBRACK] = ACTIONS(2471),
    [anon_sym_QMARK] = ACTIONS(2469),
    [anon_sym_QMARK2] = ACTIONS(2471),
    [anon_sym_AMP] = ACTIONS(2471),
    [anon_sym_if] = ACTIONS(2469),
    [anon_sym_switch] = ACTIONS(2469),
    [anon_sym_POUNDselector] = ACTIONS(2471),
    [aux_sym_custom_operator_token1] = ACTIONS(2471),
    [anon_sym_LT] = ACTIONS(2469),
    [anon_sym_GT] = ACTIONS(2469),
    [anon_sym_await] = ACTIONS(2469),
    [anon_sym_POUNDfile] = ACTIONS(2469),
    [anon_sym_POUNDfileID] = ACTIONS(2471),
    [anon_sym_POUNDfilePath] = ACTIONS(2471),
    [anon_sym_POUNDline] = ACTIONS(2471),
    [anon_sym_POUNDcolumn] = ACTIONS(2471),
    [anon_sym_POUNDfunction] = ACTIONS(2471),
    [anon_sym_POUNDdsohandle] = ACTIONS(2471),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(2471),
    [anon_sym_POUNDfileLiteral] = ACTIONS(2471),
    [anon_sym_POUNDimageLiteral] = ACTIONS(2471),
    [anon_sym_LBRACE] = ACTIONS(2471),
    [anon_sym_CARET_LBRACE] = ACTIONS(2471),
    [anon_sym_self] = ACTIONS(2469),
    [anon_sym_super] = ACTIONS(2469),
    [anon_sym_POUNDkeyPath] = ACTIONS(2471),
    [anon_sym_try] = ACTIONS(2469),
    [anon_sym_PLUS_EQ] = ACTIONS(2471),
    [anon_sym_DASH_EQ] = ACTIONS(2471),
    [anon_sym_STAR_EQ] = ACTIONS(2471),
    [anon_sym_SLASH_EQ] = ACTIONS(2471),
    [anon_sym_PERCENT_EQ] = ACTIONS(2471),
    [anon_sym_BANG_EQ] = ACTIONS(2469),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2471),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2471),
    [anon_sym_LT_EQ] = ACTIONS(2471),
    [anon_sym_GT_EQ] = ACTIONS(2471),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2471),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2471),
    [anon_sym_is] = ACTIONS(2469),
    [anon_sym_PLUS] = ACTIONS(2469),
    [anon_sym_DASH] = ACTIONS(2469),
    [anon_sym_STAR] = ACTIONS(2469),
    [anon_sym_SLASH] = ACTIONS(2469),
    [anon_sym_PERCENT] = ACTIONS(2469),
    [anon_sym_PLUS_PLUS] = ACTIONS(2471),
    [anon_sym_DASH_DASH] = ACTIONS(2471),
    [anon_sym_TILDE] = ACTIONS(2471),
    [anon_sym_PIPE] = ACTIONS(2471),
    [anon_sym_CARET] = ACTIONS(2469),
    [anon_sym_LT_LT] = ACTIONS(2471),
    [anon_sym_GT_GT] = ACTIONS(2471),
    [anon_sym_BANG2] = ACTIONS(2469),
    [anon_sym_borrowing] = ACTIONS(2469),
    [anon_sym_consuming] = ACTIONS(2469),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(2471),
    [sym_raw_str_end_part] = ACTIONS(2471),
    [sym__dot_custom] = ACTIONS(2471),
    [sym__conjunction_operator_custom] = ACTIONS(2471),
    [sym__disjunction_operator_custom] = ACTIONS(2471),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2471),
    [sym__eq_custom] = ACTIONS(2471),
    [sym__eq_eq_custom] = ACTIONS(2471),
    [sym__plus_then_ws] = ACTIONS(2471),
    [sym__minus_then_ws] = ACTIONS(2471),
    [sym__bang_custom] = ACTIONS(2471),
    [sym_where_keyword] = ACTIONS(2471),
    [sym_else] = ACTIONS(2471),
    [sym__as_custom] = ACTIONS(2471),
    [sym__as_quest_custom] = ACTIONS(2471),
    [sym__as_bang_custom] = ACTIONS(2471),
    [sym__custom_operator] = ACTIONS(2471),
  },
  [877] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2425),
    [aux_sym_simple_identifier_token2] = ACTIONS(2427),
    [aux_sym_simple_identifier_token3] = ACTIONS(2427),
    [aux_sym_simple_identifier_token4] = ACTIONS(2427),
    [anon_sym_actor] = ACTIONS(2425),
    [anon_sym_async] = ACTIONS(2425),
    [anon_sym_each] = ACTIONS(2425),
    [anon_sym_lazy] = ACTIONS(2425),
    [anon_sym_repeat] = ACTIONS(2425),
    [anon_sym_package] = ACTIONS(2425),
    [anon_sym_nil] = ACTIONS(2425),
    [sym_real_literal] = ACTIONS(2427),
    [sym_integer_literal] = ACTIONS(2425),
    [sym_hex_literal] = ACTIONS(2427),
    [sym_oct_literal] = ACTIONS(2427),
    [sym_bin_literal] = ACTIONS(2427),
    [anon_sym_true] = ACTIONS(2425),
    [anon_sym_false] = ACTIONS(2425),
    [anon_sym_DQUOTE] = ACTIONS(2425),
    [anon_sym_BSLASH] = ACTIONS(2427),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2427),
    [anon_sym_COMMA] = ACTIONS(2429),
    [sym__extended_regex_literal] = ACTIONS(2427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(2427),
    [sym__oneline_regex_literal] = ACTIONS(2425),
    [anon_sym_LPAREN] = ACTIONS(2427),
    [anon_sym_LBRACK] = ACTIONS(2427),
    [anon_sym_QMARK] = ACTIONS(2431),
    [anon_sym_QMARK2] = ACTIONS(2429),
    [anon_sym_AMP] = ACTIONS(2427),
    [anon_sym_if] = ACTIONS(2425),
    [anon_sym_switch] = ACTIONS(2425),
    [anon_sym_POUNDselector] = ACTIONS(2427),
    [aux_sym_custom_operator_token1] = ACTIONS(2427),
    [anon_sym_LT] = ACTIONS(2425),
    [anon_sym_GT] = ACTIONS(2425),
    [anon_sym_await] = ACTIONS(2425),
    [anon_sym_POUNDfile] = ACTIONS(2425),
    [anon_sym_POUNDfileID] = ACTIONS(2427),
    [anon_sym_POUNDfilePath] = ACTIONS(2427),
    [anon_sym_POUNDline] = ACTIONS(2427),
    [anon_sym_POUNDcolumn] = ACTIONS(2427),
    [anon_sym_POUNDfunction] = ACTIONS(2427),
    [anon_sym_POUNDdsohandle] = ACTIONS(2427),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(2427),
    [anon_sym_POUNDfileLiteral] = ACTIONS(2427),
    [anon_sym_POUNDimageLiteral] = ACTIONS(2427),
    [anon_sym_LBRACE] = ACTIONS(2427),
    [anon_sym_CARET_LBRACE] = ACTIONS(2427),
    [anon_sym_self] = ACTIONS(2425),
    [anon_sym_super] = ACTIONS(2425),
    [anon_sym_POUNDkeyPath] = ACTIONS(2427),
    [anon_sym_try] = ACTIONS(2425),
    [anon_sym_PLUS_EQ] = ACTIONS(2427),
    [anon_sym_DASH_EQ] = ACTIONS(2427),
    [anon_sym_STAR_EQ] = ACTIONS(2427),
    [anon_sym_SLASH_EQ] = ACTIONS(2427),
    [anon_sym_PERCENT_EQ] = ACTIONS(2427),
    [anon_sym_BANG_EQ] = ACTIONS(2425),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2427),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2427),
    [anon_sym_LT_EQ] = ACTIONS(2427),
    [anon_sym_GT_EQ] = ACTIONS(2427),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2427),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2427),
    [anon_sym_is] = ACTIONS(2431),
    [anon_sym_PLUS] = ACTIONS(2425),
    [anon_sym_DASH] = ACTIONS(2425),
    [anon_sym_STAR] = ACTIONS(2425),
    [anon_sym_SLASH] = ACTIONS(2425),
    [anon_sym_PERCENT] = ACTIONS(2425),
    [anon_sym_PLUS_PLUS] = ACTIONS(2427),
    [anon_sym_DASH_DASH] = ACTIONS(2427),
    [anon_sym_TILDE] = ACTIONS(2427),
    [anon_sym_PIPE] = ACTIONS(2427),
    [anon_sym_CARET] = ACTIONS(2425),
    [anon_sym_LT_LT] = ACTIONS(2427),
    [anon_sym_GT_GT] = ACTIONS(2427),
    [anon_sym_BANG2] = ACTIONS(2425),
    [anon_sym_borrowing] = ACTIONS(2425),
    [anon_sym_consuming] = ACTIONS(2425),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(2427),
    [sym_raw_str_end_part] = ACTIONS(2427),
    [sym__dot_custom] = ACTIONS(2427),
    [sym__conjunction_operator_custom] = ACTIONS(2429),
    [sym__disjunction_operator_custom] = ACTIONS(2429),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2429),
    [sym__eq_custom] = ACTIONS(2427),
    [sym__eq_eq_custom] = ACTIONS(2427),
    [sym__plus_then_ws] = ACTIONS(2427),
    [sym__minus_then_ws] = ACTIONS(2427),
    [sym__bang_custom] = ACTIONS(2427),
    [sym_where_keyword] = ACTIONS(2429),
    [sym_else] = ACTIONS(2429),
    [sym__as_custom] = ACTIONS(2429),
    [sym__as_quest_custom] = ACTIONS(2429),
    [sym__as_bang_custom] = ACTIONS(2429),
    [sym__custom_operator] = ACTIONS(2427),
  },
  [878] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2437),
    [aux_sym_simple_identifier_token2] = ACTIONS(2439),
    [aux_sym_simple_identifier_token3] = ACTIONS(2439),
    [aux_sym_simple_identifier_token4] = ACTIONS(2439),
    [anon_sym_actor] = ACTIONS(2437),
    [anon_sym_async] = ACTIONS(2437),
    [anon_sym_each] = ACTIONS(2437),
    [anon_sym_lazy] = ACTIONS(2437),
    [anon_sym_repeat] = ACTIONS(2437),
    [anon_sym_package] = ACTIONS(2437),
    [anon_sym_nil] = ACTIONS(2437),
    [sym_real_literal] = ACTIONS(2439),
    [sym_integer_literal] = ACTIONS(2437),
    [sym_hex_literal] = ACTIONS(2439),
    [sym_oct_literal] = ACTIONS(2439),
    [sym_bin_literal] = ACTIONS(2439),
    [anon_sym_true] = ACTIONS(2437),
    [anon_sym_false] = ACTIONS(2437),
    [anon_sym_DQUOTE] = ACTIONS(2437),
    [anon_sym_BSLASH] = ACTIONS(2439),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2439),
    [anon_sym_COMMA] = ACTIONS(2462),
    [sym__extended_regex_literal] = ACTIONS(2439),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(2439),
    [sym__oneline_regex_literal] = ACTIONS(2437),
    [anon_sym_COLON] = ACTIONS(2462),
    [anon_sym_LPAREN] = ACTIONS(2464),
    [anon_sym_LBRACK] = ACTIONS(2464),
    [anon_sym_QMARK] = ACTIONS(2467),
    [anon_sym_QMARK2] = ACTIONS(2462),
    [anon_sym_AMP] = ACTIONS(2464),
    [anon_sym_if] = ACTIONS(2437),
    [anon_sym_switch] = ACTIONS(2437),
    [anon_sym_POUNDselector] = ACTIONS(2439),
    [aux_sym_custom_operator_token1] = ACTIONS(2464),
    [anon_sym_LT] = ACTIONS(2459),
    [anon_sym_GT] = ACTIONS(2459),
    [anon_sym_await] = ACTIONS(2437),
    [anon_sym_POUNDfile] = ACTIONS(2437),
    [anon_sym_POUNDfileID] = ACTIONS(2439),
    [anon_sym_POUNDfilePath] = ACTIONS(2439),
    [anon_sym_POUNDline] = ACTIONS(2439),
    [anon_sym_POUNDcolumn] = ACTIONS(2439),
    [anon_sym_POUNDfunction] = ACTIONS(2439),
    [anon_sym_POUNDdsohandle] = ACTIONS(2439),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(2439),
    [anon_sym_POUNDfileLiteral] = ACTIONS(2439),
    [anon_sym_POUNDimageLiteral] = ACTIONS(2439),
    [anon_sym_LBRACE] = ACTIONS(2464),
    [anon_sym_CARET_LBRACE] = ACTIONS(2464),
    [anon_sym_self] = ACTIONS(2437),
    [anon_sym_super] = ACTIONS(2437),
    [anon_sym_POUNDkeyPath] = ACTIONS(2439),
    [anon_sym_try] = ACTIONS(2437),
    [anon_sym_PLUS_EQ] = ACTIONS(2464),
    [anon_sym_DASH_EQ] = ACTIONS(2464),
    [anon_sym_STAR_EQ] = ACTIONS(2464),
    [anon_sym_SLASH_EQ] = ACTIONS(2464),
    [anon_sym_PERCENT_EQ] = ACTIONS(2464),
    [anon_sym_BANG_EQ] = ACTIONS(2459),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2464),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2464),
    [anon_sym_LT_EQ] = ACTIONS(2464),
    [anon_sym_GT_EQ] = ACTIONS(2464),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2464),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2464),
    [anon_sym_is] = ACTIONS(2467),
    [anon_sym_PLUS] = ACTIONS(2459),
    [anon_sym_DASH] = ACTIONS(2459),
    [anon_sym_STAR] = ACTIONS(2459),
    [anon_sym_SLASH] = ACTIONS(2459),
    [anon_sym_PERCENT] = ACTIONS(2459),
    [anon_sym_PLUS_PLUS] = ACTIONS(2464),
    [anon_sym_DASH_DASH] = ACTIONS(2464),
    [anon_sym_TILDE] = ACTIONS(2439),
    [anon_sym_PIPE] = ACTIONS(2464),
    [anon_sym_CARET] = ACTIONS(2459),
    [anon_sym_LT_LT] = ACTIONS(2464),
    [anon_sym_GT_GT] = ACTIONS(2464),
    [anon_sym_BANG2] = ACTIONS(2459),
    [anon_sym_borrowing] = ACTIONS(2437),
    [anon_sym_consuming] = ACTIONS(2437),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(2439),
    [sym_raw_str_end_part] = ACTIONS(2439),
    [sym__dot_custom] = ACTIONS(2464),
    [sym__conjunction_operator_custom] = ACTIONS(2462),
    [sym__disjunction_operator_custom] = ACTIONS(2462),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2462),
    [sym__eq_custom] = ACTIONS(2464),
    [sym__eq_eq_custom] = ACTIONS(2464),
    [sym__plus_then_ws] = ACTIONS(2464),
    [sym__minus_then_ws] = ACTIONS(2464),
    [sym__bang_custom] = ACTIONS(2464),
    [sym_where_keyword] = ACTIONS(2462),
    [sym__as_custom] = ACTIONS(2462),
    [sym__as_quest_custom] = ACTIONS(2462),
    [sym__as_bang_custom] = ACTIONS(2462),
    [sym__custom_operator] = ACTIONS(2464),
  },
  [879] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2451),
    [aux_sym_simple_identifier_token2] = ACTIONS(2453),
    [aux_sym_simple_identifier_token3] = ACTIONS(2453),
    [aux_sym_simple_identifier_token4] = ACTIONS(2453),
    [anon_sym_actor] = ACTIONS(2451),
    [anon_sym_async] = ACTIONS(2451),
    [anon_sym_each] = ACTIONS(2451),
    [anon_sym_lazy] = ACTIONS(2451),
    [anon_sym_repeat] = ACTIONS(2451),
    [anon_sym_package] = ACTIONS(2451),
    [anon_sym_nil] = ACTIONS(2451),
    [sym_real_literal] = ACTIONS(2453),
    [sym_integer_literal] = ACTIONS(2451),
    [sym_hex_literal] = ACTIONS(2453),
    [sym_oct_literal] = ACTIONS(2453),
    [sym_bin_literal] = ACTIONS(2453),
    [anon_sym_true] = ACTIONS(2451),
    [anon_sym_false] = ACTIONS(2451),
    [anon_sym_DQUOTE] = ACTIONS(2451),
    [anon_sym_BSLASH] = ACTIONS(2453),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2453),
    [anon_sym_COMMA] = ACTIONS(2453),
    [sym__extended_regex_literal] = ACTIONS(2453),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(2453),
    [sym__oneline_regex_literal] = ACTIONS(2451),
    [anon_sym_LPAREN] = ACTIONS(2453),
    [anon_sym_LBRACK] = ACTIONS(2453),
    [anon_sym_QMARK] = ACTIONS(2451),
    [anon_sym_QMARK2] = ACTIONS(2453),
    [anon_sym_AMP] = ACTIONS(2453),
    [anon_sym_if] = ACTIONS(2451),
    [anon_sym_switch] = ACTIONS(2451),
    [anon_sym_POUNDselector] = ACTIONS(2453),
    [aux_sym_custom_operator_token1] = ACTIONS(2453),
    [anon_sym_LT] = ACTIONS(2451),
    [anon_sym_GT] = ACTIONS(2451),
    [anon_sym_await] = ACTIONS(2451),
    [anon_sym_POUNDfile] = ACTIONS(2451),
    [anon_sym_POUNDfileID] = ACTIONS(2453),
    [anon_sym_POUNDfilePath] = ACTIONS(2453),
    [anon_sym_POUNDline] = ACTIONS(2453),
    [anon_sym_POUNDcolumn] = ACTIONS(2453),
    [anon_sym_POUNDfunction] = ACTIONS(2453),
    [anon_sym_POUNDdsohandle] = ACTIONS(2453),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(2453),
    [anon_sym_POUNDfileLiteral] = ACTIONS(2453),
    [anon_sym_POUNDimageLiteral] = ACTIONS(2453),
    [anon_sym_LBRACE] = ACTIONS(2453),
    [anon_sym_CARET_LBRACE] = ACTIONS(2453),
    [anon_sym_self] = ACTIONS(2451),
    [anon_sym_super] = ACTIONS(2451),
    [anon_sym_POUNDkeyPath] = ACTIONS(2453),
    [anon_sym_try] = ACTIONS(2451),
    [anon_sym_PLUS_EQ] = ACTIONS(2453),
    [anon_sym_DASH_EQ] = ACTIONS(2453),
    [anon_sym_STAR_EQ] = ACTIONS(2453),
    [anon_sym_SLASH_EQ] = ACTIONS(2453),
    [anon_sym_PERCENT_EQ] = ACTIONS(2453),
    [anon_sym_BANG_EQ] = ACTIONS(2451),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2453),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2453),
    [anon_sym_LT_EQ] = ACTIONS(2453),
    [anon_sym_GT_EQ] = ACTIONS(2453),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2453),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2453),
    [anon_sym_is] = ACTIONS(2451),
    [anon_sym_PLUS] = ACTIONS(2451),
    [anon_sym_DASH] = ACTIONS(2451),
    [anon_sym_STAR] = ACTIONS(2451),
    [anon_sym_SLASH] = ACTIONS(2451),
    [anon_sym_PERCENT] = ACTIONS(2451),
    [anon_sym_PLUS_PLUS] = ACTIONS(2453),
    [anon_sym_DASH_DASH] = ACTIONS(2453),
    [anon_sym_TILDE] = ACTIONS(2453),
    [anon_sym_PIPE] = ACTIONS(2453),
    [anon_sym_CARET] = ACTIONS(2451),
    [anon_sym_LT_LT] = ACTIONS(2453),
    [anon_sym_GT_GT] = ACTIONS(2453),
    [anon_sym_BANG2] = ACTIONS(2451),
    [anon_sym_borrowing] = ACTIONS(2451),
    [anon_sym_consuming] = ACTIONS(2451),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(2453),
    [sym_raw_str_end_part] = ACTIONS(2453),
    [sym__dot_custom] = ACTIONS(2453),
    [sym__conjunction_operator_custom] = ACTIONS(2453),
    [sym__disjunction_operator_custom] = ACTIONS(2453),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2453),
    [sym__eq_custom] = ACTIONS(2453),
    [sym__eq_eq_custom] = ACTIONS(2453),
    [sym__plus_then_ws] = ACTIONS(2453),
    [sym__minus_then_ws] = ACTIONS(2453),
    [sym__bang_custom] = ACTIONS(2453),
    [sym_where_keyword] = ACTIONS(2453),
    [sym_else] = ACTIONS(2453),
    [sym__as_custom] = ACTIONS(2453),
    [sym__as_quest_custom] = ACTIONS(2453),
    [sym__as_bang_custom] = ACTIONS(2453),
    [sym__custom_operator] = ACTIONS(2453),
  },
  [880] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2425),
    [aux_sym_simple_identifier_token2] = ACTIONS(2427),
    [aux_sym_simple_identifier_token3] = ACTIONS(2427),
    [aux_sym_simple_identifier_token4] = ACTIONS(2427),
    [anon_sym_actor] = ACTIONS(2425),
    [anon_sym_async] = ACTIONS(2425),
    [anon_sym_each] = ACTIONS(2425),
    [anon_sym_lazy] = ACTIONS(2425),
    [anon_sym_repeat] = ACTIONS(2425),
    [anon_sym_package] = ACTIONS(2425),
    [anon_sym_nil] = ACTIONS(2425),
    [sym_real_literal] = ACTIONS(2427),
    [sym_integer_literal] = ACTIONS(2425),
    [sym_hex_literal] = ACTIONS(2427),
    [sym_oct_literal] = ACTIONS(2427),
    [sym_bin_literal] = ACTIONS(2427),
    [anon_sym_true] = ACTIONS(2425),
    [anon_sym_false] = ACTIONS(2425),
    [anon_sym_DQUOTE] = ACTIONS(2425),
    [anon_sym_BSLASH] = ACTIONS(2427),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2427),
    [anon_sym_COMMA] = ACTIONS(2455),
    [sym__extended_regex_literal] = ACTIONS(2427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(2427),
    [sym__oneline_regex_literal] = ACTIONS(2425),
    [anon_sym_LPAREN] = ACTIONS(2427),
    [anon_sym_LBRACK] = ACTIONS(2427),
    [anon_sym_QMARK] = ACTIONS(2457),
    [anon_sym_QMARK2] = ACTIONS(2455),
    [anon_sym_AMP] = ACTIONS(2427),
    [anon_sym_if] = ACTIONS(2425),
    [anon_sym_switch] = ACTIONS(2425),
    [anon_sym_POUNDselector] = ACTIONS(2427),
    [aux_sym_custom_operator_token1] = ACTIONS(2427),
    [anon_sym_LT] = ACTIONS(2425),
    [anon_sym_GT] = ACTIONS(2425),
    [anon_sym_await] = ACTIONS(2425),
    [anon_sym_POUNDfile] = ACTIONS(2425),
    [anon_sym_POUNDfileID] = ACTIONS(2427),
    [anon_sym_POUNDfilePath] = ACTIONS(2427),
    [anon_sym_POUNDline] = ACTIONS(2427),
    [anon_sym_POUNDcolumn] = ACTIONS(2427),
    [anon_sym_POUNDfunction] = ACTIONS(2427),
    [anon_sym_POUNDdsohandle] = ACTIONS(2427),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(2427),
    [anon_sym_POUNDfileLiteral] = ACTIONS(2427),
    [anon_sym_POUNDimageLiteral] = ACTIONS(2427),
    [anon_sym_LBRACE] = ACTIONS(2427),
    [anon_sym_CARET_LBRACE] = ACTIONS(2427),
    [anon_sym_self] = ACTIONS(2425),
    [anon_sym_super] = ACTIONS(2425),
    [anon_sym_POUNDkeyPath] = ACTIONS(2427),
    [anon_sym_try] = ACTIONS(2425),
    [anon_sym_PLUS_EQ] = ACTIONS(2427),
    [anon_sym_DASH_EQ] = ACTIONS(2427),
    [anon_sym_STAR_EQ] = ACTIONS(2427),
    [anon_sym_SLASH_EQ] = ACTIONS(2427),
    [anon_sym_PERCENT_EQ] = ACTIONS(2427),
    [anon_sym_BANG_EQ] = ACTIONS(2425),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2427),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2427),
    [anon_sym_LT_EQ] = ACTIONS(2427),
    [anon_sym_GT_EQ] = ACTIONS(2427),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2427),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2427),
    [anon_sym_is] = ACTIONS(2457),
    [anon_sym_PLUS] = ACTIONS(2425),
    [anon_sym_DASH] = ACTIONS(2425),
    [anon_sym_STAR] = ACTIONS(2425),
    [anon_sym_SLASH] = ACTIONS(2425),
    [anon_sym_PERCENT] = ACTIONS(2425),
    [anon_sym_PLUS_PLUS] = ACTIONS(2427),
    [anon_sym_DASH_DASH] = ACTIONS(2427),
    [anon_sym_TILDE] = ACTIONS(2427),
    [anon_sym_PIPE] = ACTIONS(2427),
    [anon_sym_CARET] = ACTIONS(2425),
    [anon_sym_LT_LT] = ACTIONS(2427),
    [anon_sym_GT_GT] = ACTIONS(2427),
    [anon_sym_BANG2] = ACTIONS(2425),
    [anon_sym_borrowing] = ACTIONS(2425),
    [anon_sym_consuming] = ACTIONS(2425),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(2427),
    [sym_raw_str_end_part] = ACTIONS(2427),
    [sym__dot_custom] = ACTIONS(2427),
    [sym__conjunction_operator_custom] = ACTIONS(2455),
    [sym__disjunction_operator_custom] = ACTIONS(2455),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2455),
    [sym__eq_custom] = ACTIONS(2427),
    [sym__eq_eq_custom] = ACTIONS(2427),
    [sym__plus_then_ws] = ACTIONS(2427),
    [sym__minus_then_ws] = ACTIONS(2427),
    [sym__bang_custom] = ACTIONS(2427),
    [sym_where_keyword] = ACTIONS(2455),
    [sym_else] = ACTIONS(2455),
    [sym__as_custom] = ACTIONS(2455),
    [sym__as_quest_custom] = ACTIONS(2455),
    [sym__as_bang_custom] = ACTIONS(2455),
    [sym__custom_operator] = ACTIONS(2427),
  },
  [881] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2437),
    [aux_sym_simple_identifier_token2] = ACTIONS(2439),
    [aux_sym_simple_identifier_token3] = ACTIONS(2439),
    [aux_sym_simple_identifier_token4] = ACTIONS(2439),
    [anon_sym_actor] = ACTIONS(2437),
    [anon_sym_async] = ACTIONS(2437),
    [anon_sym_each] = ACTIONS(2437),
    [anon_sym_lazy] = ACTIONS(2437),
    [anon_sym_repeat] = ACTIONS(2437),
    [anon_sym_package] = ACTIONS(2437),
    [anon_sym_nil] = ACTIONS(2437),
    [sym_real_literal] = ACTIONS(2439),
    [sym_integer_literal] = ACTIONS(2437),
    [sym_hex_literal] = ACTIONS(2439),
    [sym_oct_literal] = ACTIONS(2439),
    [sym_bin_literal] = ACTIONS(2439),
    [anon_sym_true] = ACTIONS(2437),
    [anon_sym_false] = ACTIONS(2437),
    [anon_sym_DQUOTE] = ACTIONS(2437),
    [anon_sym_BSLASH] = ACTIONS(2439),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2439),
    [anon_sym_COMMA] = ACTIONS(2444),
    [sym__extended_regex_literal] = ACTIONS(2439),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(2439),
    [sym__oneline_regex_literal] = ACTIONS(2437),
    [anon_sym_COLON] = ACTIONS(2444),
    [anon_sym_LPAREN] = ACTIONS(2446),
    [anon_sym_LBRACK] = ACTIONS(2446),
    [anon_sym_QMARK] = ACTIONS(2449),
    [anon_sym_QMARK2] = ACTIONS(2444),
    [anon_sym_AMP] = ACTIONS(2446),
    [anon_sym_if] = ACTIONS(2437),
    [anon_sym_switch] = ACTIONS(2437),
    [anon_sym_POUNDselector] = ACTIONS(2439),
    [aux_sym_custom_operator_token1] = ACTIONS(2446),
    [anon_sym_LT] = ACTIONS(2441),
    [anon_sym_GT] = ACTIONS(2441),
    [anon_sym_await] = ACTIONS(2437),
    [anon_sym_POUNDfile] = ACTIONS(2437),
    [anon_sym_POUNDfileID] = ACTIONS(2439),
    [anon_sym_POUNDfilePath] = ACTIONS(2439),
    [anon_sym_POUNDline] = ACTIONS(2439),
    [anon_sym_POUNDcolumn] = ACTIONS(2439),
    [anon_sym_POUNDfunction] = ACTIONS(2439),
    [anon_sym_POUNDdsohandle] = ACTIONS(2439),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(2439),
    [anon_sym_POUNDfileLiteral] = ACTIONS(2439),
    [anon_sym_POUNDimageLiteral] = ACTIONS(2439),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_CARET_LBRACE] = ACTIONS(2446),
    [anon_sym_self] = ACTIONS(2437),
    [anon_sym_super] = ACTIONS(2437),
    [anon_sym_POUNDkeyPath] = ACTIONS(2439),
    [anon_sym_try] = ACTIONS(2437),
    [anon_sym_PLUS_EQ] = ACTIONS(2446),
    [anon_sym_DASH_EQ] = ACTIONS(2446),
    [anon_sym_STAR_EQ] = ACTIONS(2446),
    [anon_sym_SLASH_EQ] = ACTIONS(2446),
    [anon_sym_PERCENT_EQ] = ACTIONS(2446),
    [anon_sym_BANG_EQ] = ACTIONS(2441),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2446),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2446),
    [anon_sym_LT_EQ] = ACTIONS(2446),
    [anon_sym_GT_EQ] = ACTIONS(2446),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2446),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2446),
    [anon_sym_is] = ACTIONS(2449),
    [anon_sym_PLUS] = ACTIONS(2441),
    [anon_sym_DASH] = ACTIONS(2441),
    [anon_sym_STAR] = ACTIONS(2441),
    [anon_sym_SLASH] = ACTIONS(2441),
    [anon_sym_PERCENT] = ACTIONS(2441),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2439),
    [anon_sym_PIPE] = ACTIONS(2446),
    [anon_sym_CARET] = ACTIONS(2441),
    [anon_sym_LT_LT] = ACTIONS(2446),
    [anon_sym_GT_GT] = ACTIONS(2446),
    [anon_sym_BANG2] = ACTIONS(2441),
    [anon_sym_borrowing] = ACTIONS(2437),
    [anon_sym_consuming] = ACTIONS(2437),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(2439),
    [sym_raw_str_end_part] = ACTIONS(2439),
    [sym__dot_custom] = ACTIONS(2446),
    [sym__conjunction_operator_custom] = ACTIONS(2444),
    [sym__disjunction_operator_custom] = ACTIONS(2444),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2444),
    [sym__eq_custom] = ACTIONS(2446),
    [sym__eq_eq_custom] = ACTIONS(2446),
    [sym__plus_then_ws] = ACTIONS(2446),
    [sym__minus_then_ws] = ACTIONS(2446),
    [sym__bang_custom] = ACTIONS(2446),
    [sym_where_keyword] = ACTIONS(2444),
    [sym__as_custom] = ACTIONS(2444),
    [sym__as_quest_custom] = ACTIONS(2444),
    [sym__as_bang_custom] = ACTIONS(2444),
    [sym__custom_operator] = ACTIONS(2446),
  },
  [882] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2469),
    [aux_sym_simple_identifier_token2] = ACTIONS(2471),
    [aux_sym_simple_identifier_token3] = ACTIONS(2471),
    [aux_sym_simple_identifier_token4] = ACTIONS(2471),
    [anon_sym_actor] = ACTIONS(2469),
    [anon_sym_async] = ACTIONS(2469),
    [anon_sym_each] = ACTIONS(2469),
    [anon_sym_lazy] = ACTIONS(2469),
    [anon_sym_repeat] = ACTIONS(2469),
    [anon_sym_package] = ACTIONS(2469),
    [anon_sym_nil] = ACTIONS(2469),
    [sym_real_literal] = ACTIONS(2471),
    [sym_integer_literal] = ACTIONS(2469),
    [sym_hex_literal] = ACTIONS(2471),
    [sym_oct_literal] = ACTIONS(2471),
    [sym_bin_literal] = ACTIONS(2471),
    [anon_sym_true] = ACTIONS(2469),
    [anon_sym_false] = ACTIONS(2469),
    [anon_sym_DQUOTE] = ACTIONS(2469),
    [anon_sym_BSLASH] = ACTIONS(2471),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2471),
    [anon_sym_COMMA] = ACTIONS(2471),
    [sym__extended_regex_literal] = ACTIONS(2471),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(2471),
    [sym__oneline_regex_literal] = ACTIONS(2469),
    [anon_sym_COLON] = ACTIONS(2471),
    [anon_sym_LPAREN] = ACTIONS(2471),
    [anon_sym_LBRACK] = ACTIONS(2471),
    [anon_sym_QMARK] = ACTIONS(2469),
    [anon_sym_QMARK2] = ACTIONS(2471),
    [anon_sym_AMP] = ACTIONS(2471),
    [anon_sym_if] = ACTIONS(2469),
    [anon_sym_switch] = ACTIONS(2469),
    [anon_sym_POUNDselector] = ACTIONS(2471),
    [aux_sym_custom_operator_token1] = ACTIONS(2471),
    [anon_sym_LT] = ACTIONS(2469),
    [anon_sym_GT] = ACTIONS(2469),
    [anon_sym_await] = ACTIONS(2469),
    [anon_sym_POUNDfile] = ACTIONS(2469),
    [anon_sym_POUNDfileID] = ACTIONS(2471),
    [anon_sym_POUNDfilePath] = ACTIONS(2471),
    [anon_sym_POUNDline] = ACTIONS(2471),
    [anon_sym_POUNDcolumn] = ACTIONS(2471),
    [anon_sym_POUNDfunction] = ACTIONS(2471),
    [anon_sym_POUNDdsohandle] = ACTIONS(2471),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(2471),
    [anon_sym_POUNDfileLiteral] = ACTIONS(2471),
    [anon_sym_POUNDimageLiteral] = ACTIONS(2471),
    [anon_sym_LBRACE] = ACTIONS(2471),
    [anon_sym_CARET_LBRACE] = ACTIONS(2471),
    [anon_sym_self] = ACTIONS(2469),
    [anon_sym_super] = ACTIONS(2469),
    [anon_sym_POUNDkeyPath] = ACTIONS(2471),
    [anon_sym_try] = ACTIONS(2469),
    [anon_sym_PLUS_EQ] = ACTIONS(2471),
    [anon_sym_DASH_EQ] = ACTIONS(2471),
    [anon_sym_STAR_EQ] = ACTIONS(2471),
    [anon_sym_SLASH_EQ] = ACTIONS(2471),
    [anon_sym_PERCENT_EQ] = ACTIONS(2471),
    [anon_sym_BANG_EQ] = ACTIONS(2469),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2471),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2471),
    [anon_sym_LT_EQ] = ACTIONS(2471),
    [anon_sym_GT_EQ] = ACTIONS(2471),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2471),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2471),
    [anon_sym_is] = ACTIONS(2469),
    [anon_sym_PLUS] = ACTIONS(2469),
    [anon_sym_DASH] = ACTIONS(2469),
    [anon_sym_STAR] = ACTIONS(2469),
    [anon_sym_SLASH] = ACTIONS(2469),
    [anon_sym_PERCENT] = ACTIONS(2469),
    [anon_sym_PLUS_PLUS] = ACTIONS(2471),
    [anon_sym_DASH_DASH] = ACTIONS(2471),
    [anon_sym_TILDE] = ACTIONS(2471),
    [anon_sym_PIPE] = ACTIONS(2471),
    [anon_sym_CARET] = ACTIONS(2469),
    [anon_sym_LT_LT] = ACTIONS(2471),
    [anon_sym_GT_GT] = ACTIONS(2471),
    [anon_sym_BANG2] = ACTIONS(2469),
    [anon_sym_borrowing] = ACTIONS(2469),
    [anon_sym_consuming] = ACTIONS(2469),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(2471),
    [sym_raw_str_end_part] = ACTIONS(2471),
    [sym__dot_custom] = ACTIONS(2471),
    [sym__conjunction_operator_custom] = ACTIONS(2471),
    [sym__disjunction_operator_custom] = ACTIONS(2471),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2471),
    [sym__eq_custom] = ACTIONS(2471),
    [sym__eq_eq_custom] = ACTIONS(2471),
    [sym__plus_then_ws] = ACTIONS(2471),
    [sym__minus_then_ws] = ACTIONS(2471),
    [sym__bang_custom] = ACTIONS(2471),
    [sym_where_keyword] = ACTIONS(2471),
    [sym__as_custom] = ACTIONS(2471),
    [sym__as_quest_custom] = ACTIONS(2471),
    [sym__as_bang_custom] = ACTIONS(2471),
    [sym__custom_operator] = ACTIONS(2471),
  },
  [883] = {
    [sym__immediate_quest] = STATE(922),
    [sym__arrow_operator] = STATE(3819),
    [sym__async_keyword] = STATE(6046),
    [sym_throws] = STATE(7352),
    [aux_sym_optional_type_repeat1] = STATE(922),
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(2840),
    [anon_sym_package] = ACTIONS(2840),
    [anon_sym_COMMA] = ACTIONS(2840),
    [anon_sym_LPAREN] = ACTIONS(2840),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_DOT] = ACTIONS(2842),
    [anon_sym_QMARK] = ACTIONS(2842),
    [anon_sym_QMARK2] = ACTIONS(3428),
    [anon_sym_AMP] = ACTIONS(2840),
    [aux_sym_custom_operator_token1] = ACTIONS(2840),
    [anon_sym_LT] = ACTIONS(2842),
    [anon_sym_GT] = ACTIONS(2842),
    [anon_sym_LBRACE] = ACTIONS(2840),
    [anon_sym_CARET_LBRACE] = ACTIONS(2840),
    [anon_sym_RBRACE] = ACTIONS(2840),
    [anon_sym_case] = ACTIONS(2840),
    [anon_sym_fallthrough] = ACTIONS(2840),
    [anon_sym_PLUS_EQ] = ACTIONS(2840),
    [anon_sym_DASH_EQ] = ACTIONS(2840),
    [anon_sym_STAR_EQ] = ACTIONS(2840),
    [anon_sym_SLASH_EQ] = ACTIONS(2840),
    [anon_sym_PERCENT_EQ] = ACTIONS(2840),
    [anon_sym_BANG_EQ] = ACTIONS(2842),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2840),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2840),
    [anon_sym_LT_EQ] = ACTIONS(2840),
    [anon_sym_GT_EQ] = ACTIONS(2840),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2840),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2840),
    [anon_sym_is] = ACTIONS(2840),
    [anon_sym_PLUS] = ACTIONS(2842),
    [anon_sym_DASH] = ACTIONS(2842),
    [anon_sym_STAR] = ACTIONS(2842),
    [anon_sym_SLASH] = ACTIONS(2842),
    [anon_sym_PERCENT] = ACTIONS(2842),
    [anon_sym_PLUS_PLUS] = ACTIONS(2840),
    [anon_sym_DASH_DASH] = ACTIONS(2840),
    [anon_sym_PIPE] = ACTIONS(2840),
    [anon_sym_CARET] = ACTIONS(2842),
    [anon_sym_LT_LT] = ACTIONS(2840),
    [anon_sym_GT_GT] = ACTIONS(2840),
    [anon_sym_class] = ACTIONS(2840),
    [anon_sym_BANG2] = ACTIONS(2842),
    [anon_sym_prefix] = ACTIONS(2840),
    [anon_sym_infix] = ACTIONS(2840),
    [anon_sym_postfix] = ACTIONS(2840),
    [anon_sym_AT] = ACTIONS(2842),
    [anon_sym_override] = ACTIONS(2840),
    [anon_sym_convenience] = ACTIONS(2840),
    [anon_sym_required] = ACTIONS(2840),
    [anon_sym_nonisolated] = ACTIONS(2840),
    [anon_sym_public] = ACTIONS(2840),
    [anon_sym_private] = ACTIONS(2840),
    [anon_sym_internal] = ACTIONS(2840),
    [anon_sym_fileprivate] = ACTIONS(2840),
    [anon_sym_open] = ACTIONS(2840),
    [anon_sym_mutating] = ACTIONS(2840),
    [anon_sym_nonmutating] = ACTIONS(2840),
    [anon_sym_static] = ACTIONS(2840),
    [anon_sym_dynamic] = ACTIONS(2840),
    [anon_sym_optional] = ACTIONS(2840),
    [anon_sym_distributed] = ACTIONS(2840),
    [anon_sym_final] = ACTIONS(2840),
    [anon_sym_inout] = ACTIONS(2840),
    [anon_sym_ATescaping] = ACTIONS(2840),
    [anon_sym_ATautoclosure] = ACTIONS(2840),
    [anon_sym_weak] = ACTIONS(2840),
    [anon_sym_unowned] = ACTIONS(2842),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2840),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2840),
    [anon_sym_borrowing] = ACTIONS(2840),
    [anon_sym_consuming] = ACTIONS(2840),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2840),
    [sym__explicit_semi] = ACTIONS(2840),
    [sym__arrow_operator_custom] = ACTIONS(3430),
    [sym__dot_custom] = ACTIONS(2840),
    [sym__conjunction_operator_custom] = ACTIONS(2840),
    [sym__disjunction_operator_custom] = ACTIONS(2840),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2840),
    [sym__eq_custom] = ACTIONS(2840),
    [sym__eq_eq_custom] = ACTIONS(2840),
    [sym__plus_then_ws] = ACTIONS(2840),
    [sym__minus_then_ws] = ACTIONS(2840),
    [sym__bang_custom] = ACTIONS(2840),
    [sym__throws_keyword] = ACTIONS(2848),
    [sym__rethrows_keyword] = ACTIONS(2848),
    [sym_default_keyword] = ACTIONS(2840),
    [sym_where_keyword] = ACTIONS(2840),
    [sym__as_custom] = ACTIONS(2840),
    [sym__as_quest_custom] = ACTIONS(2840),
    [sym__as_bang_custom] = ACTIONS(2840),
    [sym__async_keyword_custom] = ACTIONS(3432),
    [sym__custom_operator] = ACTIONS(2840),
  },
  [884] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2425),
    [aux_sym_simple_identifier_token2] = ACTIONS(2427),
    [aux_sym_simple_identifier_token3] = ACTIONS(2427),
    [aux_sym_simple_identifier_token4] = ACTIONS(2427),
    [anon_sym_actor] = ACTIONS(2425),
    [anon_sym_async] = ACTIONS(2425),
    [anon_sym_each] = ACTIONS(2425),
    [anon_sym_lazy] = ACTIONS(2425),
    [anon_sym_repeat] = ACTIONS(2425),
    [anon_sym_package] = ACTIONS(2425),
    [anon_sym_nil] = ACTIONS(2425),
    [sym_real_literal] = ACTIONS(2427),
    [sym_integer_literal] = ACTIONS(2425),
    [sym_hex_literal] = ACTIONS(2427),
    [sym_oct_literal] = ACTIONS(2427),
    [sym_bin_literal] = ACTIONS(2427),
    [anon_sym_true] = ACTIONS(2425),
    [anon_sym_false] = ACTIONS(2425),
    [anon_sym_DQUOTE] = ACTIONS(2425),
    [anon_sym_BSLASH] = ACTIONS(2427),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2427),
    [anon_sym_COMMA] = ACTIONS(2429),
    [sym__extended_regex_literal] = ACTIONS(2427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(2427),
    [sym__oneline_regex_literal] = ACTIONS(2425),
    [anon_sym_COLON] = ACTIONS(2429),
    [anon_sym_LPAREN] = ACTIONS(2427),
    [anon_sym_LBRACK] = ACTIONS(2427),
    [anon_sym_QMARK] = ACTIONS(2431),
    [anon_sym_QMARK2] = ACTIONS(2429),
    [anon_sym_AMP] = ACTIONS(2427),
    [anon_sym_if] = ACTIONS(2425),
    [anon_sym_switch] = ACTIONS(2425),
    [anon_sym_POUNDselector] = ACTIONS(2427),
    [aux_sym_custom_operator_token1] = ACTIONS(2427),
    [anon_sym_LT] = ACTIONS(2425),
    [anon_sym_GT] = ACTIONS(2425),
    [anon_sym_await] = ACTIONS(2425),
    [anon_sym_POUNDfile] = ACTIONS(2425),
    [anon_sym_POUNDfileID] = ACTIONS(2427),
    [anon_sym_POUNDfilePath] = ACTIONS(2427),
    [anon_sym_POUNDline] = ACTIONS(2427),
    [anon_sym_POUNDcolumn] = ACTIONS(2427),
    [anon_sym_POUNDfunction] = ACTIONS(2427),
    [anon_sym_POUNDdsohandle] = ACTIONS(2427),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(2427),
    [anon_sym_POUNDfileLiteral] = ACTIONS(2427),
    [anon_sym_POUNDimageLiteral] = ACTIONS(2427),
    [anon_sym_LBRACE] = ACTIONS(2427),
    [anon_sym_CARET_LBRACE] = ACTIONS(2427),
    [anon_sym_self] = ACTIONS(2425),
    [anon_sym_super] = ACTIONS(2425),
    [anon_sym_POUNDkeyPath] = ACTIONS(2427),
    [anon_sym_try] = ACTIONS(2425),
    [anon_sym_PLUS_EQ] = ACTIONS(2427),
    [anon_sym_DASH_EQ] = ACTIONS(2427),
    [anon_sym_STAR_EQ] = ACTIONS(2427),
    [anon_sym_SLASH_EQ] = ACTIONS(2427),
    [anon_sym_PERCENT_EQ] = ACTIONS(2427),
    [anon_sym_BANG_EQ] = ACTIONS(2425),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2427),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2427),
    [anon_sym_LT_EQ] = ACTIONS(2427),
    [anon_sym_GT_EQ] = ACTIONS(2427),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2427),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2427),
    [anon_sym_is] = ACTIONS(2431),
    [anon_sym_PLUS] = ACTIONS(2425),
    [anon_sym_DASH] = ACTIONS(2425),
    [anon_sym_STAR] = ACTIONS(2425),
    [anon_sym_SLASH] = ACTIONS(2425),
    [anon_sym_PERCENT] = ACTIONS(2425),
    [anon_sym_PLUS_PLUS] = ACTIONS(2427),
    [anon_sym_DASH_DASH] = ACTIONS(2427),
    [anon_sym_TILDE] = ACTIONS(2427),
    [anon_sym_PIPE] = ACTIONS(2427),
    [anon_sym_CARET] = ACTIONS(2425),
    [anon_sym_LT_LT] = ACTIONS(2427),
    [anon_sym_GT_GT] = ACTIONS(2427),
    [anon_sym_BANG2] = ACTIONS(2425),
    [anon_sym_borrowing] = ACTIONS(2425),
    [anon_sym_consuming] = ACTIONS(2425),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(2427),
    [sym_raw_str_end_part] = ACTIONS(2427),
    [sym__dot_custom] = ACTIONS(2427),
    [sym__conjunction_operator_custom] = ACTIONS(2429),
    [sym__disjunction_operator_custom] = ACTIONS(2429),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2429),
    [sym__eq_custom] = ACTIONS(2427),
    [sym__eq_eq_custom] = ACTIONS(2427),
    [sym__plus_then_ws] = ACTIONS(2427),
    [sym__minus_then_ws] = ACTIONS(2427),
    [sym__bang_custom] = ACTIONS(2427),
    [sym_where_keyword] = ACTIONS(2429),
    [sym__as_custom] = ACTIONS(2429),
    [sym__as_quest_custom] = ACTIONS(2429),
    [sym__as_bang_custom] = ACTIONS(2429),
    [sym__custom_operator] = ACTIONS(2427),
  },
  [885] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2437),
    [aux_sym_simple_identifier_token2] = ACTIONS(2439),
    [aux_sym_simple_identifier_token3] = ACTIONS(2439),
    [aux_sym_simple_identifier_token4] = ACTIONS(2439),
    [anon_sym_actor] = ACTIONS(2437),
    [anon_sym_async] = ACTIONS(2437),
    [anon_sym_each] = ACTIONS(2437),
    [anon_sym_lazy] = ACTIONS(2437),
    [anon_sym_repeat] = ACTIONS(2437),
    [anon_sym_package] = ACTIONS(2437),
    [anon_sym_nil] = ACTIONS(2437),
    [sym_real_literal] = ACTIONS(2439),
    [sym_integer_literal] = ACTIONS(2437),
    [sym_hex_literal] = ACTIONS(2439),
    [sym_oct_literal] = ACTIONS(2439),
    [sym_bin_literal] = ACTIONS(2439),
    [anon_sym_true] = ACTIONS(2437),
    [anon_sym_false] = ACTIONS(2437),
    [anon_sym_DQUOTE] = ACTIONS(2437),
    [anon_sym_BSLASH] = ACTIONS(2439),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2439),
    [anon_sym_COMMA] = ACTIONS(2462),
    [sym__extended_regex_literal] = ACTIONS(2439),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(2439),
    [sym__oneline_regex_literal] = ACTIONS(2437),
    [anon_sym_LPAREN] = ACTIONS(2464),
    [anon_sym_LBRACK] = ACTIONS(2464),
    [anon_sym_QMARK] = ACTIONS(2467),
    [anon_sym_QMARK2] = ACTIONS(2462),
    [anon_sym_AMP] = ACTIONS(2464),
    [anon_sym_if] = ACTIONS(2437),
    [anon_sym_switch] = ACTIONS(2437),
    [anon_sym_POUNDselector] = ACTIONS(2439),
    [aux_sym_custom_operator_token1] = ACTIONS(2464),
    [anon_sym_LT] = ACTIONS(2459),
    [anon_sym_GT] = ACTIONS(2459),
    [anon_sym_await] = ACTIONS(2437),
    [anon_sym_POUNDfile] = ACTIONS(2437),
    [anon_sym_POUNDfileID] = ACTIONS(2439),
    [anon_sym_POUNDfilePath] = ACTIONS(2439),
    [anon_sym_POUNDline] = ACTIONS(2439),
    [anon_sym_POUNDcolumn] = ACTIONS(2439),
    [anon_sym_POUNDfunction] = ACTIONS(2439),
    [anon_sym_POUNDdsohandle] = ACTIONS(2439),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(2439),
    [anon_sym_POUNDfileLiteral] = ACTIONS(2439),
    [anon_sym_POUNDimageLiteral] = ACTIONS(2439),
    [anon_sym_LBRACE] = ACTIONS(2464),
    [anon_sym_CARET_LBRACE] = ACTIONS(2464),
    [anon_sym_self] = ACTIONS(2437),
    [anon_sym_super] = ACTIONS(2437),
    [anon_sym_POUNDkeyPath] = ACTIONS(2439),
    [anon_sym_try] = ACTIONS(2437),
    [anon_sym_PLUS_EQ] = ACTIONS(2464),
    [anon_sym_DASH_EQ] = ACTIONS(2464),
    [anon_sym_STAR_EQ] = ACTIONS(2464),
    [anon_sym_SLASH_EQ] = ACTIONS(2464),
    [anon_sym_PERCENT_EQ] = ACTIONS(2464),
    [anon_sym_BANG_EQ] = ACTIONS(2459),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2464),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2464),
    [anon_sym_LT_EQ] = ACTIONS(2464),
    [anon_sym_GT_EQ] = ACTIONS(2464),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2464),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2464),
    [anon_sym_is] = ACTIONS(2467),
    [anon_sym_PLUS] = ACTIONS(2459),
    [anon_sym_DASH] = ACTIONS(2459),
    [anon_sym_STAR] = ACTIONS(2459),
    [anon_sym_SLASH] = ACTIONS(2459),
    [anon_sym_PERCENT] = ACTIONS(2459),
    [anon_sym_PLUS_PLUS] = ACTIONS(2464),
    [anon_sym_DASH_DASH] = ACTIONS(2464),
    [anon_sym_TILDE] = ACTIONS(2439),
    [anon_sym_PIPE] = ACTIONS(2464),
    [anon_sym_CARET] = ACTIONS(2459),
    [anon_sym_LT_LT] = ACTIONS(2464),
    [anon_sym_GT_GT] = ACTIONS(2464),
    [anon_sym_BANG2] = ACTIONS(2459),
    [anon_sym_borrowing] = ACTIONS(2437),
    [anon_sym_consuming] = ACTIONS(2437),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(2439),
    [sym_raw_str_end_part] = ACTIONS(2439),
    [sym__dot_custom] = ACTIONS(2464),
    [sym__conjunction_operator_custom] = ACTIONS(2462),
    [sym__disjunction_operator_custom] = ACTIONS(2462),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2462),
    [sym__eq_custom] = ACTIONS(2464),
    [sym__eq_eq_custom] = ACTIONS(2464),
    [sym__plus_then_ws] = ACTIONS(2464),
    [sym__minus_then_ws] = ACTIONS(2464),
    [sym__bang_custom] = ACTIONS(2464),
    [sym_where_keyword] = ACTIONS(2462),
    [sym_else] = ACTIONS(2462),
    [sym__as_custom] = ACTIONS(2462),
    [sym__as_quest_custom] = ACTIONS(2462),
    [sym__as_bang_custom] = ACTIONS(2462),
    [sym__custom_operator] = ACTIONS(2464),
  },
  [886] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2433),
    [aux_sym_simple_identifier_token2] = ACTIONS(2435),
    [aux_sym_simple_identifier_token3] = ACTIONS(2435),
    [aux_sym_simple_identifier_token4] = ACTIONS(2435),
    [anon_sym_actor] = ACTIONS(2433),
    [anon_sym_async] = ACTIONS(2433),
    [anon_sym_each] = ACTIONS(2433),
    [anon_sym_lazy] = ACTIONS(2433),
    [anon_sym_repeat] = ACTIONS(2433),
    [anon_sym_package] = ACTIONS(2433),
    [anon_sym_nil] = ACTIONS(2433),
    [sym_real_literal] = ACTIONS(2435),
    [sym_integer_literal] = ACTIONS(2433),
    [sym_hex_literal] = ACTIONS(2435),
    [sym_oct_literal] = ACTIONS(2435),
    [sym_bin_literal] = ACTIONS(2435),
    [anon_sym_true] = ACTIONS(2433),
    [anon_sym_false] = ACTIONS(2433),
    [anon_sym_DQUOTE] = ACTIONS(2433),
    [anon_sym_BSLASH] = ACTIONS(2435),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2435),
    [anon_sym_COMMA] = ACTIONS(2435),
    [sym__extended_regex_literal] = ACTIONS(2435),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(2435),
    [sym__oneline_regex_literal] = ACTIONS(2433),
    [anon_sym_LPAREN] = ACTIONS(2435),
    [anon_sym_LBRACK] = ACTIONS(2435),
    [anon_sym_QMARK] = ACTIONS(2433),
    [anon_sym_QMARK2] = ACTIONS(2435),
    [anon_sym_AMP] = ACTIONS(2435),
    [anon_sym_if] = ACTIONS(2433),
    [anon_sym_switch] = ACTIONS(2433),
    [anon_sym_POUNDselector] = ACTIONS(2435),
    [aux_sym_custom_operator_token1] = ACTIONS(2435),
    [anon_sym_LT] = ACTIONS(2433),
    [anon_sym_GT] = ACTIONS(2433),
    [anon_sym_await] = ACTIONS(2433),
    [anon_sym_POUNDfile] = ACTIONS(2433),
    [anon_sym_POUNDfileID] = ACTIONS(2435),
    [anon_sym_POUNDfilePath] = ACTIONS(2435),
    [anon_sym_POUNDline] = ACTIONS(2435),
    [anon_sym_POUNDcolumn] = ACTIONS(2435),
    [anon_sym_POUNDfunction] = ACTIONS(2435),
    [anon_sym_POUNDdsohandle] = ACTIONS(2435),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(2435),
    [anon_sym_POUNDfileLiteral] = ACTIONS(2435),
    [anon_sym_POUNDimageLiteral] = ACTIONS(2435),
    [anon_sym_LBRACE] = ACTIONS(2435),
    [anon_sym_CARET_LBRACE] = ACTIONS(2435),
    [anon_sym_self] = ACTIONS(2433),
    [anon_sym_super] = ACTIONS(2433),
    [anon_sym_POUNDkeyPath] = ACTIONS(2435),
    [anon_sym_try] = ACTIONS(2433),
    [anon_sym_PLUS_EQ] = ACTIONS(2435),
    [anon_sym_DASH_EQ] = ACTIONS(2435),
    [anon_sym_STAR_EQ] = ACTIONS(2435),
    [anon_sym_SLASH_EQ] = ACTIONS(2435),
    [anon_sym_PERCENT_EQ] = ACTIONS(2435),
    [anon_sym_BANG_EQ] = ACTIONS(2433),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2435),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2435),
    [anon_sym_LT_EQ] = ACTIONS(2435),
    [anon_sym_GT_EQ] = ACTIONS(2435),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2435),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2435),
    [anon_sym_is] = ACTIONS(2433),
    [anon_sym_PLUS] = ACTIONS(2433),
    [anon_sym_DASH] = ACTIONS(2433),
    [anon_sym_STAR] = ACTIONS(2433),
    [anon_sym_SLASH] = ACTIONS(2433),
    [anon_sym_PERCENT] = ACTIONS(2433),
    [anon_sym_PLUS_PLUS] = ACTIONS(2435),
    [anon_sym_DASH_DASH] = ACTIONS(2435),
    [anon_sym_TILDE] = ACTIONS(2435),
    [anon_sym_PIPE] = ACTIONS(2435),
    [anon_sym_CARET] = ACTIONS(2433),
    [anon_sym_LT_LT] = ACTIONS(2435),
    [anon_sym_GT_GT] = ACTIONS(2435),
    [anon_sym_BANG2] = ACTIONS(2433),
    [anon_sym_borrowing] = ACTIONS(2433),
    [anon_sym_consuming] = ACTIONS(2433),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(2435),
    [sym_raw_str_end_part] = ACTIONS(2435),
    [sym__dot_custom] = ACTIONS(2435),
    [sym__conjunction_operator_custom] = ACTIONS(2435),
    [sym__disjunction_operator_custom] = ACTIONS(2435),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2435),
    [sym__eq_custom] = ACTIONS(2435),
    [sym__eq_eq_custom] = ACTIONS(2435),
    [sym__plus_then_ws] = ACTIONS(2435),
    [sym__minus_then_ws] = ACTIONS(2435),
    [sym__bang_custom] = ACTIONS(2435),
    [sym_where_keyword] = ACTIONS(2435),
    [sym_else] = ACTIONS(2435),
    [sym__as_custom] = ACTIONS(2435),
    [sym__as_quest_custom] = ACTIONS(2435),
    [sym__as_bang_custom] = ACTIONS(2435),
    [sym__custom_operator] = ACTIONS(2435),
  },
  [887] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2433),
    [aux_sym_simple_identifier_token2] = ACTIONS(2435),
    [aux_sym_simple_identifier_token3] = ACTIONS(2435),
    [aux_sym_simple_identifier_token4] = ACTIONS(2435),
    [anon_sym_actor] = ACTIONS(2433),
    [anon_sym_async] = ACTIONS(2433),
    [anon_sym_each] = ACTIONS(2433),
    [anon_sym_lazy] = ACTIONS(2433),
    [anon_sym_repeat] = ACTIONS(2433),
    [anon_sym_package] = ACTIONS(2433),
    [anon_sym_nil] = ACTIONS(2433),
    [sym_real_literal] = ACTIONS(2435),
    [sym_integer_literal] = ACTIONS(2433),
    [sym_hex_literal] = ACTIONS(2435),
    [sym_oct_literal] = ACTIONS(2435),
    [sym_bin_literal] = ACTIONS(2435),
    [anon_sym_true] = ACTIONS(2433),
    [anon_sym_false] = ACTIONS(2433),
    [anon_sym_DQUOTE] = ACTIONS(2433),
    [anon_sym_BSLASH] = ACTIONS(2435),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2435),
    [anon_sym_COMMA] = ACTIONS(2435),
    [sym__extended_regex_literal] = ACTIONS(2435),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(2435),
    [sym__oneline_regex_literal] = ACTIONS(2433),
    [anon_sym_LPAREN] = ACTIONS(2435),
    [anon_sym_LBRACK] = ACTIONS(2435),
    [anon_sym_QMARK] = ACTIONS(2433),
    [anon_sym_QMARK2] = ACTIONS(2435),
    [anon_sym_AMP] = ACTIONS(2435),
    [anon_sym_if] = ACTIONS(2433),
    [anon_sym_switch] = ACTIONS(2433),
    [anon_sym_POUNDselector] = ACTIONS(2435),
    [aux_sym_custom_operator_token1] = ACTIONS(2435),
    [anon_sym_LT] = ACTIONS(2433),
    [anon_sym_GT] = ACTIONS(2433),
    [anon_sym_await] = ACTIONS(2433),
    [anon_sym_POUNDfile] = ACTIONS(2433),
    [anon_sym_POUNDfileID] = ACTIONS(2435),
    [anon_sym_POUNDfilePath] = ACTIONS(2435),
    [anon_sym_POUNDline] = ACTIONS(2435),
    [anon_sym_POUNDcolumn] = ACTIONS(2435),
    [anon_sym_POUNDfunction] = ACTIONS(2435),
    [anon_sym_POUNDdsohandle] = ACTIONS(2435),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(2435),
    [anon_sym_POUNDfileLiteral] = ACTIONS(2435),
    [anon_sym_POUNDimageLiteral] = ACTIONS(2435),
    [anon_sym_LBRACE] = ACTIONS(2435),
    [anon_sym_CARET_LBRACE] = ACTIONS(2435),
    [anon_sym_self] = ACTIONS(2433),
    [anon_sym_super] = ACTIONS(2433),
    [anon_sym_POUNDkeyPath] = ACTIONS(2435),
    [anon_sym_try] = ACTIONS(2433),
    [anon_sym_PLUS_EQ] = ACTIONS(2435),
    [anon_sym_DASH_EQ] = ACTIONS(2435),
    [anon_sym_STAR_EQ] = ACTIONS(2435),
    [anon_sym_SLASH_EQ] = ACTIONS(2435),
    [anon_sym_PERCENT_EQ] = ACTIONS(2435),
    [anon_sym_BANG_EQ] = ACTIONS(2433),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2435),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2435),
    [anon_sym_LT_EQ] = ACTIONS(2435),
    [anon_sym_GT_EQ] = ACTIONS(2435),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2435),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2435),
    [anon_sym_is] = ACTIONS(2433),
    [anon_sym_PLUS] = ACTIONS(2433),
    [anon_sym_DASH] = ACTIONS(2433),
    [anon_sym_STAR] = ACTIONS(2433),
    [anon_sym_SLASH] = ACTIONS(2433),
    [anon_sym_PERCENT] = ACTIONS(2433),
    [anon_sym_PLUS_PLUS] = ACTIONS(2435),
    [anon_sym_DASH_DASH] = ACTIONS(2435),
    [anon_sym_TILDE] = ACTIONS(2435),
    [anon_sym_PIPE] = ACTIONS(2435),
    [anon_sym_CARET] = ACTIONS(2433),
    [anon_sym_LT_LT] = ACTIONS(2435),
    [anon_sym_GT_GT] = ACTIONS(2435),
    [anon_sym_BANG2] = ACTIONS(2433),
    [anon_sym_borrowing] = ACTIONS(2433),
    [anon_sym_consuming] = ACTIONS(2433),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(2435),
    [sym_raw_str_end_part] = ACTIONS(2435),
    [sym__dot_custom] = ACTIONS(2435),
    [sym__conjunction_operator_custom] = ACTIONS(2435),
    [sym__disjunction_operator_custom] = ACTIONS(2435),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2435),
    [sym__eq_custom] = ACTIONS(2435),
    [sym__eq_eq_custom] = ACTIONS(2435),
    [sym__plus_then_ws] = ACTIONS(2435),
    [sym__minus_then_ws] = ACTIONS(2435),
    [sym__bang_custom] = ACTIONS(2435),
    [sym_else] = ACTIONS(2435),
    [sym__as_custom] = ACTIONS(2435),
    [sym__as_quest_custom] = ACTIONS(2435),
    [sym__as_bang_custom] = ACTIONS(2435),
    [sym__custom_operator] = ACTIONS(2435),
  },
  [888] = {
    [sym__arrow_operator] = STATE(3819),
    [sym__async_keyword] = STATE(6046),
    [sym_throws] = STATE(7352),
    [aux_sym_protocol_composition_type_repeat1] = STATE(938),
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(2866),
    [anon_sym_package] = ACTIONS(2866),
    [anon_sym_COMMA] = ACTIONS(2866),
    [anon_sym_LPAREN] = ACTIONS(2866),
    [anon_sym_LBRACK] = ACTIONS(2866),
    [anon_sym_DOT] = ACTIONS(3434),
    [anon_sym_QMARK] = ACTIONS(2870),
    [anon_sym_QMARK2] = ACTIONS(2866),
    [anon_sym_AMP] = ACTIONS(3436),
    [aux_sym_custom_operator_token1] = ACTIONS(2866),
    [anon_sym_LT] = ACTIONS(2870),
    [anon_sym_GT] = ACTIONS(2870),
    [anon_sym_LBRACE] = ACTIONS(2866),
    [anon_sym_CARET_LBRACE] = ACTIONS(2866),
    [anon_sym_RBRACE] = ACTIONS(2866),
    [anon_sym_case] = ACTIONS(2866),
    [anon_sym_fallthrough] = ACTIONS(2866),
    [anon_sym_PLUS_EQ] = ACTIONS(2866),
    [anon_sym_DASH_EQ] = ACTIONS(2866),
    [anon_sym_STAR_EQ] = ACTIONS(2866),
    [anon_sym_SLASH_EQ] = ACTIONS(2866),
    [anon_sym_PERCENT_EQ] = ACTIONS(2866),
    [anon_sym_BANG_EQ] = ACTIONS(2870),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2866),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2866),
    [anon_sym_LT_EQ] = ACTIONS(2866),
    [anon_sym_GT_EQ] = ACTIONS(2866),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2866),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2866),
    [anon_sym_is] = ACTIONS(2866),
    [anon_sym_PLUS] = ACTIONS(2870),
    [anon_sym_DASH] = ACTIONS(2870),
    [anon_sym_STAR] = ACTIONS(2870),
    [anon_sym_SLASH] = ACTIONS(2870),
    [anon_sym_PERCENT] = ACTIONS(2870),
    [anon_sym_PLUS_PLUS] = ACTIONS(2866),
    [anon_sym_DASH_DASH] = ACTIONS(2866),
    [anon_sym_PIPE] = ACTIONS(2866),
    [anon_sym_CARET] = ACTIONS(2870),
    [anon_sym_LT_LT] = ACTIONS(2866),
    [anon_sym_GT_GT] = ACTIONS(2866),
    [anon_sym_class] = ACTIONS(2866),
    [anon_sym_BANG2] = ACTIONS(2870),
    [anon_sym_prefix] = ACTIONS(2866),
    [anon_sym_infix] = ACTIONS(2866),
    [anon_sym_postfix] = ACTIONS(2866),
    [anon_sym_AT] = ACTIONS(2870),
    [anon_sym_override] = ACTIONS(2866),
    [anon_sym_convenience] = ACTIONS(2866),
    [anon_sym_required] = ACTIONS(2866),
    [anon_sym_nonisolated] = ACTIONS(2866),
    [anon_sym_public] = ACTIONS(2866),
    [anon_sym_private] = ACTIONS(2866),
    [anon_sym_internal] = ACTIONS(2866),
    [anon_sym_fileprivate] = ACTIONS(2866),
    [anon_sym_open] = ACTIONS(2866),
    [anon_sym_mutating] = ACTIONS(2866),
    [anon_sym_nonmutating] = ACTIONS(2866),
    [anon_sym_static] = ACTIONS(2866),
    [anon_sym_dynamic] = ACTIONS(2866),
    [anon_sym_optional] = ACTIONS(2866),
    [anon_sym_distributed] = ACTIONS(2866),
    [anon_sym_final] = ACTIONS(2866),
    [anon_sym_inout] = ACTIONS(2866),
    [anon_sym_ATescaping] = ACTIONS(2866),
    [anon_sym_ATautoclosure] = ACTIONS(2866),
    [anon_sym_weak] = ACTIONS(2866),
    [anon_sym_unowned] = ACTIONS(2870),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2866),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2866),
    [anon_sym_borrowing] = ACTIONS(2866),
    [anon_sym_consuming] = ACTIONS(2866),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2866),
    [sym__explicit_semi] = ACTIONS(2866),
    [sym__arrow_operator_custom] = ACTIONS(3430),
    [sym__dot_custom] = ACTIONS(2866),
    [sym__conjunction_operator_custom] = ACTIONS(2866),
    [sym__disjunction_operator_custom] = ACTIONS(2866),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2866),
    [sym__eq_custom] = ACTIONS(2866),
    [sym__eq_eq_custom] = ACTIONS(2866),
    [sym__plus_then_ws] = ACTIONS(2866),
    [sym__minus_then_ws] = ACTIONS(2866),
    [sym__bang_custom] = ACTIONS(2866),
    [sym__throws_keyword] = ACTIONS(2848),
    [sym__rethrows_keyword] = ACTIONS(2848),
    [sym_default_keyword] = ACTIONS(2866),
    [sym_where_keyword] = ACTIONS(2866),
    [sym__as_custom] = ACTIONS(2866),
    [sym__as_quest_custom] = ACTIONS(2866),
    [sym__as_bang_custom] = ACTIONS(2866),
    [sym__async_keyword_custom] = ACTIONS(3432),
    [sym__custom_operator] = ACTIONS(2866),
  },
  [889] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2425),
    [aux_sym_simple_identifier_token2] = ACTIONS(2427),
    [aux_sym_simple_identifier_token3] = ACTIONS(2427),
    [aux_sym_simple_identifier_token4] = ACTIONS(2427),
    [anon_sym_actor] = ACTIONS(2425),
    [anon_sym_async] = ACTIONS(2425),
    [anon_sym_each] = ACTIONS(2425),
    [anon_sym_lazy] = ACTIONS(2425),
    [anon_sym_repeat] = ACTIONS(2425),
    [anon_sym_package] = ACTIONS(2425),
    [anon_sym_nil] = ACTIONS(2425),
    [sym_real_literal] = ACTIONS(2427),
    [sym_integer_literal] = ACTIONS(2425),
    [sym_hex_literal] = ACTIONS(2427),
    [sym_oct_literal] = ACTIONS(2427),
    [sym_bin_literal] = ACTIONS(2427),
    [anon_sym_true] = ACTIONS(2425),
    [anon_sym_false] = ACTIONS(2425),
    [anon_sym_DQUOTE] = ACTIONS(2425),
    [anon_sym_BSLASH] = ACTIONS(2427),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2427),
    [anon_sym_COMMA] = ACTIONS(2455),
    [sym__extended_regex_literal] = ACTIONS(2427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(2427),
    [sym__oneline_regex_literal] = ACTIONS(2425),
    [anon_sym_LPAREN] = ACTIONS(2427),
    [anon_sym_LBRACK] = ACTIONS(2427),
    [anon_sym_QMARK] = ACTIONS(2457),
    [anon_sym_QMARK2] = ACTIONS(2455),
    [anon_sym_AMP] = ACTIONS(2427),
    [anon_sym_if] = ACTIONS(2425),
    [anon_sym_switch] = ACTIONS(2425),
    [anon_sym_POUNDselector] = ACTIONS(2427),
    [aux_sym_custom_operator_token1] = ACTIONS(2427),
    [anon_sym_LT] = ACTIONS(2425),
    [anon_sym_GT] = ACTIONS(2425),
    [anon_sym_await] = ACTIONS(2425),
    [anon_sym_POUNDfile] = ACTIONS(2425),
    [anon_sym_POUNDfileID] = ACTIONS(2427),
    [anon_sym_POUNDfilePath] = ACTIONS(2427),
    [anon_sym_POUNDline] = ACTIONS(2427),
    [anon_sym_POUNDcolumn] = ACTIONS(2427),
    [anon_sym_POUNDfunction] = ACTIONS(2427),
    [anon_sym_POUNDdsohandle] = ACTIONS(2427),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(2427),
    [anon_sym_POUNDfileLiteral] = ACTIONS(2427),
    [anon_sym_POUNDimageLiteral] = ACTIONS(2427),
    [anon_sym_LBRACE] = ACTIONS(2427),
    [anon_sym_CARET_LBRACE] = ACTIONS(2427),
    [anon_sym_self] = ACTIONS(2425),
    [anon_sym_super] = ACTIONS(2425),
    [anon_sym_POUNDkeyPath] = ACTIONS(2427),
    [anon_sym_try] = ACTIONS(2425),
    [anon_sym_PLUS_EQ] = ACTIONS(2427),
    [anon_sym_DASH_EQ] = ACTIONS(2427),
    [anon_sym_STAR_EQ] = ACTIONS(2427),
    [anon_sym_SLASH_EQ] = ACTIONS(2427),
    [anon_sym_PERCENT_EQ] = ACTIONS(2427),
    [anon_sym_BANG_EQ] = ACTIONS(2425),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2427),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2427),
    [anon_sym_LT_EQ] = ACTIONS(2427),
    [anon_sym_GT_EQ] = ACTIONS(2427),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2427),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2427),
    [anon_sym_is] = ACTIONS(2457),
    [anon_sym_PLUS] = ACTIONS(2425),
    [anon_sym_DASH] = ACTIONS(2425),
    [anon_sym_STAR] = ACTIONS(2425),
    [anon_sym_SLASH] = ACTIONS(2425),
    [anon_sym_PERCENT] = ACTIONS(2425),
    [anon_sym_PLUS_PLUS] = ACTIONS(2427),
    [anon_sym_DASH_DASH] = ACTIONS(2427),
    [anon_sym_TILDE] = ACTIONS(2427),
    [anon_sym_PIPE] = ACTIONS(2427),
    [anon_sym_CARET] = ACTIONS(2425),
    [anon_sym_LT_LT] = ACTIONS(2427),
    [anon_sym_GT_GT] = ACTIONS(2427),
    [anon_sym_BANG2] = ACTIONS(2425),
    [anon_sym_borrowing] = ACTIONS(2425),
    [anon_sym_consuming] = ACTIONS(2425),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(2427),
    [sym_raw_str_end_part] = ACTIONS(2427),
    [sym__dot_custom] = ACTIONS(2427),
    [sym__conjunction_operator_custom] = ACTIONS(2455),
    [sym__disjunction_operator_custom] = ACTIONS(2455),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2455),
    [sym__eq_custom] = ACTIONS(2427),
    [sym__eq_eq_custom] = ACTIONS(2427),
    [sym__plus_then_ws] = ACTIONS(2427),
    [sym__minus_then_ws] = ACTIONS(2427),
    [sym__bang_custom] = ACTIONS(2427),
    [sym_else] = ACTIONS(2455),
    [sym__as_custom] = ACTIONS(2455),
    [sym__as_quest_custom] = ACTIONS(2455),
    [sym__as_bang_custom] = ACTIONS(2455),
    [sym__custom_operator] = ACTIONS(2427),
  },
  [890] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2469),
    [aux_sym_simple_identifier_token2] = ACTIONS(2471),
    [aux_sym_simple_identifier_token3] = ACTIONS(2471),
    [aux_sym_simple_identifier_token4] = ACTIONS(2471),
    [anon_sym_actor] = ACTIONS(2469),
    [anon_sym_async] = ACTIONS(2469),
    [anon_sym_each] = ACTIONS(2469),
    [anon_sym_lazy] = ACTIONS(2469),
    [anon_sym_repeat] = ACTIONS(2469),
    [anon_sym_package] = ACTIONS(2469),
    [anon_sym_nil] = ACTIONS(2469),
    [sym_real_literal] = ACTIONS(2471),
    [sym_integer_literal] = ACTIONS(2469),
    [sym_hex_literal] = ACTIONS(2471),
    [sym_oct_literal] = ACTIONS(2471),
    [sym_bin_literal] = ACTIONS(2471),
    [anon_sym_true] = ACTIONS(2469),
    [anon_sym_false] = ACTIONS(2469),
    [anon_sym_DQUOTE] = ACTIONS(2469),
    [anon_sym_BSLASH] = ACTIONS(2471),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2471),
    [anon_sym_COMMA] = ACTIONS(2471),
    [sym__extended_regex_literal] = ACTIONS(2471),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(2471),
    [sym__oneline_regex_literal] = ACTIONS(2469),
    [anon_sym_LPAREN] = ACTIONS(2471),
    [anon_sym_LBRACK] = ACTIONS(2471),
    [anon_sym_QMARK] = ACTIONS(2469),
    [anon_sym_QMARK2] = ACTIONS(2471),
    [anon_sym_AMP] = ACTIONS(2471),
    [anon_sym_if] = ACTIONS(2469),
    [anon_sym_switch] = ACTIONS(2469),
    [anon_sym_POUNDselector] = ACTIONS(2471),
    [aux_sym_custom_operator_token1] = ACTIONS(2471),
    [anon_sym_LT] = ACTIONS(2469),
    [anon_sym_GT] = ACTIONS(2469),
    [anon_sym_await] = ACTIONS(2469),
    [anon_sym_POUNDfile] = ACTIONS(2469),
    [anon_sym_POUNDfileID] = ACTIONS(2471),
    [anon_sym_POUNDfilePath] = ACTIONS(2471),
    [anon_sym_POUNDline] = ACTIONS(2471),
    [anon_sym_POUNDcolumn] = ACTIONS(2471),
    [anon_sym_POUNDfunction] = ACTIONS(2471),
    [anon_sym_POUNDdsohandle] = ACTIONS(2471),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(2471),
    [anon_sym_POUNDfileLiteral] = ACTIONS(2471),
    [anon_sym_POUNDimageLiteral] = ACTIONS(2471),
    [anon_sym_LBRACE] = ACTIONS(2471),
    [anon_sym_CARET_LBRACE] = ACTIONS(2471),
    [anon_sym_self] = ACTIONS(2469),
    [anon_sym_super] = ACTIONS(2469),
    [anon_sym_POUNDkeyPath] = ACTIONS(2471),
    [anon_sym_try] = ACTIONS(2469),
    [anon_sym_PLUS_EQ] = ACTIONS(2471),
    [anon_sym_DASH_EQ] = ACTIONS(2471),
    [anon_sym_STAR_EQ] = ACTIONS(2471),
    [anon_sym_SLASH_EQ] = ACTIONS(2471),
    [anon_sym_PERCENT_EQ] = ACTIONS(2471),
    [anon_sym_BANG_EQ] = ACTIONS(2469),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2471),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2471),
    [anon_sym_LT_EQ] = ACTIONS(2471),
    [anon_sym_GT_EQ] = ACTIONS(2471),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2471),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2471),
    [anon_sym_is] = ACTIONS(2469),
    [anon_sym_PLUS] = ACTIONS(2469),
    [anon_sym_DASH] = ACTIONS(2469),
    [anon_sym_STAR] = ACTIONS(2469),
    [anon_sym_SLASH] = ACTIONS(2469),
    [anon_sym_PERCENT] = ACTIONS(2469),
    [anon_sym_PLUS_PLUS] = ACTIONS(2471),
    [anon_sym_DASH_DASH] = ACTIONS(2471),
    [anon_sym_TILDE] = ACTIONS(2471),
    [anon_sym_PIPE] = ACTIONS(2471),
    [anon_sym_CARET] = ACTIONS(2469),
    [anon_sym_LT_LT] = ACTIONS(2471),
    [anon_sym_GT_GT] = ACTIONS(2471),
    [anon_sym_BANG2] = ACTIONS(2469),
    [anon_sym_borrowing] = ACTIONS(2469),
    [anon_sym_consuming] = ACTIONS(2469),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(2471),
    [sym_raw_str_end_part] = ACTIONS(2471),
    [sym__dot_custom] = ACTIONS(2471),
    [sym__conjunction_operator_custom] = ACTIONS(2471),
    [sym__disjunction_operator_custom] = ACTIONS(2471),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2471),
    [sym__eq_custom] = ACTIONS(2471),
    [sym__eq_eq_custom] = ACTIONS(2471),
    [sym__plus_then_ws] = ACTIONS(2471),
    [sym__minus_then_ws] = ACTIONS(2471),
    [sym__bang_custom] = ACTIONS(2471),
    [sym_else] = ACTIONS(2471),
    [sym__as_custom] = ACTIONS(2471),
    [sym__as_quest_custom] = ACTIONS(2471),
    [sym__as_bang_custom] = ACTIONS(2471),
    [sym__custom_operator] = ACTIONS(2471),
  },
  [891] = {
    [sym__arrow_operator] = STATE(3819),
    [sym__async_keyword] = STATE(6046),
    [sym_throws] = STATE(7352),
    [aux_sym_protocol_composition_type_repeat1] = STATE(938),
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(2896),
    [anon_sym_package] = ACTIONS(2896),
    [anon_sym_COMMA] = ACTIONS(2896),
    [anon_sym_LPAREN] = ACTIONS(2896),
    [anon_sym_LBRACK] = ACTIONS(2896),
    [anon_sym_DOT] = ACTIONS(3434),
    [anon_sym_QMARK] = ACTIONS(2898),
    [anon_sym_QMARK2] = ACTIONS(2896),
    [anon_sym_AMP] = ACTIONS(3436),
    [aux_sym_custom_operator_token1] = ACTIONS(2896),
    [anon_sym_LT] = ACTIONS(2898),
    [anon_sym_GT] = ACTIONS(2898),
    [anon_sym_LBRACE] = ACTIONS(2896),
    [anon_sym_CARET_LBRACE] = ACTIONS(2896),
    [anon_sym_RBRACE] = ACTIONS(2896),
    [anon_sym_case] = ACTIONS(2896),
    [anon_sym_fallthrough] = ACTIONS(2896),
    [anon_sym_PLUS_EQ] = ACTIONS(2896),
    [anon_sym_DASH_EQ] = ACTIONS(2896),
    [anon_sym_STAR_EQ] = ACTIONS(2896),
    [anon_sym_SLASH_EQ] = ACTIONS(2896),
    [anon_sym_PERCENT_EQ] = ACTIONS(2896),
    [anon_sym_BANG_EQ] = ACTIONS(2898),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2896),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2896),
    [anon_sym_LT_EQ] = ACTIONS(2896),
    [anon_sym_GT_EQ] = ACTIONS(2896),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2896),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2896),
    [anon_sym_is] = ACTIONS(2896),
    [anon_sym_PLUS] = ACTIONS(2898),
    [anon_sym_DASH] = ACTIONS(2898),
    [anon_sym_STAR] = ACTIONS(2898),
    [anon_sym_SLASH] = ACTIONS(2898),
    [anon_sym_PERCENT] = ACTIONS(2898),
    [anon_sym_PLUS_PLUS] = ACTIONS(2896),
    [anon_sym_DASH_DASH] = ACTIONS(2896),
    [anon_sym_PIPE] = ACTIONS(2896),
    [anon_sym_CARET] = ACTIONS(2898),
    [anon_sym_LT_LT] = ACTIONS(2896),
    [anon_sym_GT_GT] = ACTIONS(2896),
    [anon_sym_class] = ACTIONS(2896),
    [anon_sym_BANG2] = ACTIONS(2898),
    [anon_sym_prefix] = ACTIONS(2896),
    [anon_sym_infix] = ACTIONS(2896),
    [anon_sym_postfix] = ACTIONS(2896),
    [anon_sym_AT] = ACTIONS(2898),
    [anon_sym_override] = ACTIONS(2896),
    [anon_sym_convenience] = ACTIONS(2896),
    [anon_sym_required] = ACTIONS(2896),
    [anon_sym_nonisolated] = ACTIONS(2896),
    [anon_sym_public] = ACTIONS(2896),
    [anon_sym_private] = ACTIONS(2896),
    [anon_sym_internal] = ACTIONS(2896),
    [anon_sym_fileprivate] = ACTIONS(2896),
    [anon_sym_open] = ACTIONS(2896),
    [anon_sym_mutating] = ACTIONS(2896),
    [anon_sym_nonmutating] = ACTIONS(2896),
    [anon_sym_static] = ACTIONS(2896),
    [anon_sym_dynamic] = ACTIONS(2896),
    [anon_sym_optional] = ACTIONS(2896),
    [anon_sym_distributed] = ACTIONS(2896),
    [anon_sym_final] = ACTIONS(2896),
    [anon_sym_inout] = ACTIONS(2896),
    [anon_sym_ATescaping] = ACTIONS(2896),
    [anon_sym_ATautoclosure] = ACTIONS(2896),
    [anon_sym_weak] = ACTIONS(2896),
    [anon_sym_unowned] = ACTIONS(2898),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2896),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2896),
    [anon_sym_borrowing] = ACTIONS(2896),
    [anon_sym_consuming] = ACTIONS(2896),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2896),
    [sym__explicit_semi] = ACTIONS(2896),
    [sym__arrow_operator_custom] = ACTIONS(3430),
    [sym__dot_custom] = ACTIONS(2896),
    [sym__conjunction_operator_custom] = ACTIONS(2896),
    [sym__disjunction_operator_custom] = ACTIONS(2896),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2896),
    [sym__eq_custom] = ACTIONS(2896),
    [sym__eq_eq_custom] = ACTIONS(2896),
    [sym__plus_then_ws] = ACTIONS(2896),
    [sym__minus_then_ws] = ACTIONS(2896),
    [sym__bang_custom] = ACTIONS(2896),
    [sym__throws_keyword] = ACTIONS(2848),
    [sym__rethrows_keyword] = ACTIONS(2848),
    [sym_default_keyword] = ACTIONS(2896),
    [sym_where_keyword] = ACTIONS(2896),
    [sym__as_custom] = ACTIONS(2896),
    [sym__as_quest_custom] = ACTIONS(2896),
    [sym__as_bang_custom] = ACTIONS(2896),
    [sym__async_keyword_custom] = ACTIONS(3432),
    [sym__custom_operator] = ACTIONS(2896),
  },
  [892] = {
    [sym__arrow_operator] = STATE(3819),
    [sym__async_keyword] = STATE(6046),
    [sym_throws] = STATE(7352),
    [aux_sym_protocol_composition_type_repeat1] = STATE(938),
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(2878),
    [anon_sym_package] = ACTIONS(2878),
    [anon_sym_COMMA] = ACTIONS(2878),
    [anon_sym_LPAREN] = ACTIONS(2878),
    [anon_sym_LBRACK] = ACTIONS(2878),
    [anon_sym_DOT] = ACTIONS(2880),
    [anon_sym_QMARK] = ACTIONS(2880),
    [anon_sym_QMARK2] = ACTIONS(2878),
    [anon_sym_AMP] = ACTIONS(2878),
    [aux_sym_custom_operator_token1] = ACTIONS(2878),
    [anon_sym_LT] = ACTIONS(2880),
    [anon_sym_GT] = ACTIONS(2880),
    [anon_sym_LBRACE] = ACTIONS(2878),
    [anon_sym_CARET_LBRACE] = ACTIONS(2878),
    [anon_sym_RBRACE] = ACTIONS(2878),
    [anon_sym_case] = ACTIONS(2878),
    [anon_sym_fallthrough] = ACTIONS(2878),
    [anon_sym_PLUS_EQ] = ACTIONS(2878),
    [anon_sym_DASH_EQ] = ACTIONS(2878),
    [anon_sym_STAR_EQ] = ACTIONS(2878),
    [anon_sym_SLASH_EQ] = ACTIONS(2878),
    [anon_sym_PERCENT_EQ] = ACTIONS(2878),
    [anon_sym_BANG_EQ] = ACTIONS(2880),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2878),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2878),
    [anon_sym_LT_EQ] = ACTIONS(2878),
    [anon_sym_GT_EQ] = ACTIONS(2878),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2878),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2878),
    [anon_sym_is] = ACTIONS(2878),
    [anon_sym_PLUS] = ACTIONS(2880),
    [anon_sym_DASH] = ACTIONS(2880),
    [anon_sym_STAR] = ACTIONS(2880),
    [anon_sym_SLASH] = ACTIONS(2880),
    [anon_sym_PERCENT] = ACTIONS(2880),
    [anon_sym_PLUS_PLUS] = ACTIONS(2878),
    [anon_sym_DASH_DASH] = ACTIONS(2878),
    [anon_sym_PIPE] = ACTIONS(2878),
    [anon_sym_CARET] = ACTIONS(2880),
    [anon_sym_LT_LT] = ACTIONS(2878),
    [anon_sym_GT_GT] = ACTIONS(2878),
    [anon_sym_class] = ACTIONS(2878),
    [anon_sym_BANG2] = ACTIONS(2880),
    [anon_sym_prefix] = ACTIONS(2878),
    [anon_sym_infix] = ACTIONS(2878),
    [anon_sym_postfix] = ACTIONS(2878),
    [anon_sym_AT] = ACTIONS(2880),
    [anon_sym_override] = ACTIONS(2878),
    [anon_sym_convenience] = ACTIONS(2878),
    [anon_sym_required] = ACTIONS(2878),
    [anon_sym_nonisolated] = ACTIONS(2878),
    [anon_sym_public] = ACTIONS(2878),
    [anon_sym_private] = ACTIONS(2878),
    [anon_sym_internal] = ACTIONS(2878),
    [anon_sym_fileprivate] = ACTIONS(2878),
    [anon_sym_open] = ACTIONS(2878),
    [anon_sym_mutating] = ACTIONS(2878),
    [anon_sym_nonmutating] = ACTIONS(2878),
    [anon_sym_static] = ACTIONS(2878),
    [anon_sym_dynamic] = ACTIONS(2878),
    [anon_sym_optional] = ACTIONS(2878),
    [anon_sym_distributed] = ACTIONS(2878),
    [anon_sym_final] = ACTIONS(2878),
    [anon_sym_inout] = ACTIONS(2878),
    [anon_sym_ATescaping] = ACTIONS(2878),
    [anon_sym_ATautoclosure] = ACTIONS(2878),
    [anon_sym_weak] = ACTIONS(2878),
    [anon_sym_unowned] = ACTIONS(2880),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2878),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2878),
    [anon_sym_borrowing] = ACTIONS(2878),
    [anon_sym_consuming] = ACTIONS(2878),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2878),
    [sym__explicit_semi] = ACTIONS(2878),
    [sym__arrow_operator_custom] = ACTIONS(2878),
    [sym__dot_custom] = ACTIONS(2878),
    [sym__conjunction_operator_custom] = ACTIONS(2878),
    [sym__disjunction_operator_custom] = ACTIONS(2878),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2878),
    [sym__eq_custom] = ACTIONS(2878),
    [sym__eq_eq_custom] = ACTIONS(2878),
    [sym__plus_then_ws] = ACTIONS(2878),
    [sym__minus_then_ws] = ACTIONS(2878),
    [sym__bang_custom] = ACTIONS(2878),
    [sym__throws_keyword] = ACTIONS(2878),
    [sym__rethrows_keyword] = ACTIONS(2878),
    [sym_default_keyword] = ACTIONS(2878),
    [sym_where_keyword] = ACTIONS(2878),
    [sym__as_custom] = ACTIONS(2878),
    [sym__as_quest_custom] = ACTIONS(2878),
    [sym__as_bang_custom] = ACTIONS(2878),
    [sym__async_keyword_custom] = ACTIONS(2878),
    [sym__custom_operator] = ACTIONS(2878),
  },
  [893] = {
    [sym__arrow_operator] = STATE(3819),
    [sym__async_keyword] = STATE(6046),
    [sym_throws] = STATE(7352),
    [aux_sym_protocol_composition_type_repeat1] = STATE(938),
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(2892),
    [anon_sym_package] = ACTIONS(2892),
    [anon_sym_COMMA] = ACTIONS(2892),
    [anon_sym_LPAREN] = ACTIONS(2892),
    [anon_sym_LBRACK] = ACTIONS(2892),
    [anon_sym_DOT] = ACTIONS(3434),
    [anon_sym_QMARK] = ACTIONS(2894),
    [anon_sym_QMARK2] = ACTIONS(2892),
    [anon_sym_AMP] = ACTIONS(3436),
    [aux_sym_custom_operator_token1] = ACTIONS(2892),
    [anon_sym_LT] = ACTIONS(2894),
    [anon_sym_GT] = ACTIONS(2894),
    [anon_sym_LBRACE] = ACTIONS(2892),
    [anon_sym_CARET_LBRACE] = ACTIONS(2892),
    [anon_sym_RBRACE] = ACTIONS(2892),
    [anon_sym_case] = ACTIONS(2892),
    [anon_sym_fallthrough] = ACTIONS(2892),
    [anon_sym_PLUS_EQ] = ACTIONS(2892),
    [anon_sym_DASH_EQ] = ACTIONS(2892),
    [anon_sym_STAR_EQ] = ACTIONS(2892),
    [anon_sym_SLASH_EQ] = ACTIONS(2892),
    [anon_sym_PERCENT_EQ] = ACTIONS(2892),
    [anon_sym_BANG_EQ] = ACTIONS(2894),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2892),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2892),
    [anon_sym_LT_EQ] = ACTIONS(2892),
    [anon_sym_GT_EQ] = ACTIONS(2892),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2892),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2892),
    [anon_sym_is] = ACTIONS(2892),
    [anon_sym_PLUS] = ACTIONS(2894),
    [anon_sym_DASH] = ACTIONS(2894),
    [anon_sym_STAR] = ACTIONS(2894),
    [anon_sym_SLASH] = ACTIONS(2894),
    [anon_sym_PERCENT] = ACTIONS(2894),
    [anon_sym_PLUS_PLUS] = ACTIONS(2892),
    [anon_sym_DASH_DASH] = ACTIONS(2892),
    [anon_sym_PIPE] = ACTIONS(2892),
    [anon_sym_CARET] = ACTIONS(2894),
    [anon_sym_LT_LT] = ACTIONS(2892),
    [anon_sym_GT_GT] = ACTIONS(2892),
    [anon_sym_class] = ACTIONS(2892),
    [anon_sym_BANG2] = ACTIONS(2894),
    [anon_sym_prefix] = ACTIONS(2892),
    [anon_sym_infix] = ACTIONS(2892),
    [anon_sym_postfix] = ACTIONS(2892),
    [anon_sym_AT] = ACTIONS(2894),
    [anon_sym_override] = ACTIONS(2892),
    [anon_sym_convenience] = ACTIONS(2892),
    [anon_sym_required] = ACTIONS(2892),
    [anon_sym_nonisolated] = ACTIONS(2892),
    [anon_sym_public] = ACTIONS(2892),
    [anon_sym_private] = ACTIONS(2892),
    [anon_sym_internal] = ACTIONS(2892),
    [anon_sym_fileprivate] = ACTIONS(2892),
    [anon_sym_open] = ACTIONS(2892),
    [anon_sym_mutating] = ACTIONS(2892),
    [anon_sym_nonmutating] = ACTIONS(2892),
    [anon_sym_static] = ACTIONS(2892),
    [anon_sym_dynamic] = ACTIONS(2892),
    [anon_sym_optional] = ACTIONS(2892),
    [anon_sym_distributed] = ACTIONS(2892),
    [anon_sym_final] = ACTIONS(2892),
    [anon_sym_inout] = ACTIONS(2892),
    [anon_sym_ATescaping] = ACTIONS(2892),
    [anon_sym_ATautoclosure] = ACTIONS(2892),
    [anon_sym_weak] = ACTIONS(2892),
    [anon_sym_unowned] = ACTIONS(2894),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2892),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2892),
    [anon_sym_borrowing] = ACTIONS(2892),
    [anon_sym_consuming] = ACTIONS(2892),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2892),
    [sym__explicit_semi] = ACTIONS(2892),
    [sym__arrow_operator_custom] = ACTIONS(3430),
    [sym__dot_custom] = ACTIONS(2892),
    [sym__conjunction_operator_custom] = ACTIONS(2892),
    [sym__disjunction_operator_custom] = ACTIONS(2892),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2892),
    [sym__eq_custom] = ACTIONS(2892),
    [sym__eq_eq_custom] = ACTIONS(2892),
    [sym__plus_then_ws] = ACTIONS(2892),
    [sym__minus_then_ws] = ACTIONS(2892),
    [sym__bang_custom] = ACTIONS(2892),
    [sym__throws_keyword] = ACTIONS(2848),
    [sym__rethrows_keyword] = ACTIONS(2848),
    [sym_default_keyword] = ACTIONS(2892),
    [sym_where_keyword] = ACTIONS(2892),
    [sym__as_custom] = ACTIONS(2892),
    [sym__as_quest_custom] = ACTIONS(2892),
    [sym__as_bang_custom] = ACTIONS(2892),
    [sym__async_keyword_custom] = ACTIONS(3432),
    [sym__custom_operator] = ACTIONS(2892),
  },
  [894] = {
    [sym__immediate_quest] = STATE(937),
    [sym__arrow_operator] = STATE(3850),
    [sym__async_keyword] = STATE(6090),
    [sym_throws] = STATE(7430),
    [aux_sym_optional_type_repeat1] = STATE(937),
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(2840),
    [anon_sym_package] = ACTIONS(2840),
    [anon_sym_COMMA] = ACTIONS(2840),
    [anon_sym_LPAREN] = ACTIONS(2840),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_DOT] = ACTIONS(2842),
    [anon_sym_QMARK] = ACTIONS(2842),
    [anon_sym_QMARK2] = ACTIONS(3438),
    [anon_sym_AMP] = ACTIONS(2840),
    [aux_sym_custom_operator_token1] = ACTIONS(2840),
    [anon_sym_LT] = ACTIONS(2842),
    [anon_sym_GT] = ACTIONS(2842),
    [anon_sym_LBRACE] = ACTIONS(2840),
    [anon_sym_CARET_LBRACE] = ACTIONS(2840),
    [anon_sym_RBRACE] = ACTIONS(2840),
    [anon_sym_case] = ACTIONS(2840),
    [anon_sym_fallthrough] = ACTIONS(2840),
    [anon_sym_PLUS_EQ] = ACTIONS(2840),
    [anon_sym_DASH_EQ] = ACTIONS(2840),
    [anon_sym_STAR_EQ] = ACTIONS(2840),
    [anon_sym_SLASH_EQ] = ACTIONS(2840),
    [anon_sym_PERCENT_EQ] = ACTIONS(2840),
    [anon_sym_BANG_EQ] = ACTIONS(2842),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2840),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2840),
    [anon_sym_LT_EQ] = ACTIONS(2840),
    [anon_sym_GT_EQ] = ACTIONS(2840),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2840),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2840),
    [anon_sym_is] = ACTIONS(2840),
    [anon_sym_PLUS] = ACTIONS(2842),
    [anon_sym_DASH] = ACTIONS(2842),
    [anon_sym_STAR] = ACTIONS(2842),
    [anon_sym_SLASH] = ACTIONS(2842),
    [anon_sym_PERCENT] = ACTIONS(2842),
    [anon_sym_PLUS_PLUS] = ACTIONS(2840),
    [anon_sym_DASH_DASH] = ACTIONS(2840),
    [anon_sym_PIPE] = ACTIONS(2840),
    [anon_sym_CARET] = ACTIONS(2842),
    [anon_sym_LT_LT] = ACTIONS(2840),
    [anon_sym_GT_GT] = ACTIONS(2840),
    [anon_sym_class] = ACTIONS(2840),
    [anon_sym_BANG2] = ACTIONS(2842),
    [anon_sym_prefix] = ACTIONS(2840),
    [anon_sym_infix] = ACTIONS(2840),
    [anon_sym_postfix] = ACTIONS(2840),
    [anon_sym_AT] = ACTIONS(2842),
    [anon_sym_override] = ACTIONS(2840),
    [anon_sym_convenience] = ACTIONS(2840),
    [anon_sym_required] = ACTIONS(2840),
    [anon_sym_nonisolated] = ACTIONS(2840),
    [anon_sym_public] = ACTIONS(2840),
    [anon_sym_private] = ACTIONS(2840),
    [anon_sym_internal] = ACTIONS(2840),
    [anon_sym_fileprivate] = ACTIONS(2840),
    [anon_sym_open] = ACTIONS(2840),
    [anon_sym_mutating] = ACTIONS(2840),
    [anon_sym_nonmutating] = ACTIONS(2840),
    [anon_sym_static] = ACTIONS(2840),
    [anon_sym_dynamic] = ACTIONS(2840),
    [anon_sym_optional] = ACTIONS(2840),
    [anon_sym_distributed] = ACTIONS(2840),
    [anon_sym_final] = ACTIONS(2840),
    [anon_sym_inout] = ACTIONS(2840),
    [anon_sym_ATescaping] = ACTIONS(2840),
    [anon_sym_ATautoclosure] = ACTIONS(2840),
    [anon_sym_weak] = ACTIONS(2840),
    [anon_sym_unowned] = ACTIONS(2842),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2840),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2840),
    [anon_sym_borrowing] = ACTIONS(2840),
    [anon_sym_consuming] = ACTIONS(2840),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2840),
    [sym__explicit_semi] = ACTIONS(2840),
    [sym__arrow_operator_custom] = ACTIONS(3440),
    [sym__dot_custom] = ACTIONS(2840),
    [sym__conjunction_operator_custom] = ACTIONS(2840),
    [sym__disjunction_operator_custom] = ACTIONS(2840),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2840),
    [sym__eq_custom] = ACTIONS(2840),
    [sym__eq_eq_custom] = ACTIONS(2840),
    [sym__plus_then_ws] = ACTIONS(2840),
    [sym__minus_then_ws] = ACTIONS(2840),
    [sym__bang_custom] = ACTIONS(2840),
    [sym__throws_keyword] = ACTIONS(2848),
    [sym__rethrows_keyword] = ACTIONS(2848),
    [sym_default_keyword] = ACTIONS(2840),
    [sym__as_custom] = ACTIONS(2840),
    [sym__as_quest_custom] = ACTIONS(2840),
    [sym__as_bang_custom] = ACTIONS(2840),
    [sym__async_keyword_custom] = ACTIONS(3442),
    [sym__custom_operator] = ACTIONS(2840),
  },
  [895] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2451),
    [aux_sym_simple_identifier_token2] = ACTIONS(2453),
    [aux_sym_simple_identifier_token3] = ACTIONS(2453),
    [aux_sym_simple_identifier_token4] = ACTIONS(2453),
    [anon_sym_actor] = ACTIONS(2451),
    [anon_sym_async] = ACTIONS(2451),
    [anon_sym_each] = ACTIONS(2451),
    [anon_sym_lazy] = ACTIONS(2451),
    [anon_sym_repeat] = ACTIONS(2451),
    [anon_sym_package] = ACTIONS(2451),
    [anon_sym_nil] = ACTIONS(2451),
    [sym_real_literal] = ACTIONS(2453),
    [sym_integer_literal] = ACTIONS(2451),
    [sym_hex_literal] = ACTIONS(2453),
    [sym_oct_literal] = ACTIONS(2453),
    [sym_bin_literal] = ACTIONS(2453),
    [anon_sym_true] = ACTIONS(2451),
    [anon_sym_false] = ACTIONS(2451),
    [anon_sym_DQUOTE] = ACTIONS(2451),
    [anon_sym_BSLASH] = ACTIONS(2453),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2453),
    [anon_sym_COMMA] = ACTIONS(2453),
    [sym__extended_regex_literal] = ACTIONS(2453),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(2453),
    [sym__oneline_regex_literal] = ACTIONS(2451),
    [anon_sym_LPAREN] = ACTIONS(2453),
    [anon_sym_LBRACK] = ACTIONS(2453),
    [anon_sym_QMARK] = ACTIONS(2451),
    [anon_sym_QMARK2] = ACTIONS(2453),
    [anon_sym_AMP] = ACTIONS(2453),
    [anon_sym_if] = ACTIONS(2451),
    [anon_sym_switch] = ACTIONS(2451),
    [anon_sym_POUNDselector] = ACTIONS(2453),
    [aux_sym_custom_operator_token1] = ACTIONS(2453),
    [anon_sym_LT] = ACTIONS(2451),
    [anon_sym_GT] = ACTIONS(2451),
    [anon_sym_await] = ACTIONS(2451),
    [anon_sym_POUNDfile] = ACTIONS(2451),
    [anon_sym_POUNDfileID] = ACTIONS(2453),
    [anon_sym_POUNDfilePath] = ACTIONS(2453),
    [anon_sym_POUNDline] = ACTIONS(2453),
    [anon_sym_POUNDcolumn] = ACTIONS(2453),
    [anon_sym_POUNDfunction] = ACTIONS(2453),
    [anon_sym_POUNDdsohandle] = ACTIONS(2453),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(2453),
    [anon_sym_POUNDfileLiteral] = ACTIONS(2453),
    [anon_sym_POUNDimageLiteral] = ACTIONS(2453),
    [anon_sym_LBRACE] = ACTIONS(2453),
    [anon_sym_CARET_LBRACE] = ACTIONS(2453),
    [anon_sym_self] = ACTIONS(2451),
    [anon_sym_super] = ACTIONS(2451),
    [anon_sym_POUNDkeyPath] = ACTIONS(2453),
    [anon_sym_try] = ACTIONS(2451),
    [anon_sym_PLUS_EQ] = ACTIONS(2453),
    [anon_sym_DASH_EQ] = ACTIONS(2453),
    [anon_sym_STAR_EQ] = ACTIONS(2453),
    [anon_sym_SLASH_EQ] = ACTIONS(2453),
    [anon_sym_PERCENT_EQ] = ACTIONS(2453),
    [anon_sym_BANG_EQ] = ACTIONS(2451),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2453),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2453),
    [anon_sym_LT_EQ] = ACTIONS(2453),
    [anon_sym_GT_EQ] = ACTIONS(2453),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2453),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2453),
    [anon_sym_is] = ACTIONS(2451),
    [anon_sym_PLUS] = ACTIONS(2451),
    [anon_sym_DASH] = ACTIONS(2451),
    [anon_sym_STAR] = ACTIONS(2451),
    [anon_sym_SLASH] = ACTIONS(2451),
    [anon_sym_PERCENT] = ACTIONS(2451),
    [anon_sym_PLUS_PLUS] = ACTIONS(2453),
    [anon_sym_DASH_DASH] = ACTIONS(2453),
    [anon_sym_TILDE] = ACTIONS(2453),
    [anon_sym_PIPE] = ACTIONS(2453),
    [anon_sym_CARET] = ACTIONS(2451),
    [anon_sym_LT_LT] = ACTIONS(2453),
    [anon_sym_GT_GT] = ACTIONS(2453),
    [anon_sym_BANG2] = ACTIONS(2451),
    [anon_sym_borrowing] = ACTIONS(2451),
    [anon_sym_consuming] = ACTIONS(2451),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(2453),
    [sym_raw_str_end_part] = ACTIONS(2453),
    [sym__dot_custom] = ACTIONS(2453),
    [sym__conjunction_operator_custom] = ACTIONS(2453),
    [sym__disjunction_operator_custom] = ACTIONS(2453),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2453),
    [sym__eq_custom] = ACTIONS(2453),
    [sym__eq_eq_custom] = ACTIONS(2453),
    [sym__plus_then_ws] = ACTIONS(2453),
    [sym__minus_then_ws] = ACTIONS(2453),
    [sym__bang_custom] = ACTIONS(2453),
    [sym_else] = ACTIONS(2453),
    [sym__as_custom] = ACTIONS(2453),
    [sym__as_quest_custom] = ACTIONS(2453),
    [sym__as_bang_custom] = ACTIONS(2453),
    [sym__custom_operator] = ACTIONS(2453),
  },
  [896] = {
    [sym__arrow_operator] = STATE(3819),
    [sym__async_keyword] = STATE(6046),
    [sym_throws] = STATE(7352),
    [aux_sym_protocol_composition_type_repeat1] = STATE(938),
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(2888),
    [anon_sym_package] = ACTIONS(2888),
    [anon_sym_COMMA] = ACTIONS(2888),
    [anon_sym_LPAREN] = ACTIONS(2888),
    [anon_sym_LBRACK] = ACTIONS(2888),
    [anon_sym_DOT] = ACTIONS(3434),
    [anon_sym_QMARK] = ACTIONS(2890),
    [anon_sym_QMARK2] = ACTIONS(2888),
    [anon_sym_AMP] = ACTIONS(3436),
    [aux_sym_custom_operator_token1] = ACTIONS(2888),
    [anon_sym_LT] = ACTIONS(2890),
    [anon_sym_GT] = ACTIONS(2890),
    [anon_sym_LBRACE] = ACTIONS(2888),
    [anon_sym_CARET_LBRACE] = ACTIONS(2888),
    [anon_sym_RBRACE] = ACTIONS(2888),
    [anon_sym_case] = ACTIONS(2888),
    [anon_sym_fallthrough] = ACTIONS(2888),
    [anon_sym_PLUS_EQ] = ACTIONS(2888),
    [anon_sym_DASH_EQ] = ACTIONS(2888),
    [anon_sym_STAR_EQ] = ACTIONS(2888),
    [anon_sym_SLASH_EQ] = ACTIONS(2888),
    [anon_sym_PERCENT_EQ] = ACTIONS(2888),
    [anon_sym_BANG_EQ] = ACTIONS(2890),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2888),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2888),
    [anon_sym_LT_EQ] = ACTIONS(2888),
    [anon_sym_GT_EQ] = ACTIONS(2888),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2888),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2888),
    [anon_sym_is] = ACTIONS(2888),
    [anon_sym_PLUS] = ACTIONS(2890),
    [anon_sym_DASH] = ACTIONS(2890),
    [anon_sym_STAR] = ACTIONS(2890),
    [anon_sym_SLASH] = ACTIONS(2890),
    [anon_sym_PERCENT] = ACTIONS(2890),
    [anon_sym_PLUS_PLUS] = ACTIONS(2888),
    [anon_sym_DASH_DASH] = ACTIONS(2888),
    [anon_sym_PIPE] = ACTIONS(2888),
    [anon_sym_CARET] = ACTIONS(2890),
    [anon_sym_LT_LT] = ACTIONS(2888),
    [anon_sym_GT_GT] = ACTIONS(2888),
    [anon_sym_class] = ACTIONS(2888),
    [anon_sym_BANG2] = ACTIONS(2890),
    [anon_sym_prefix] = ACTIONS(2888),
    [anon_sym_infix] = ACTIONS(2888),
    [anon_sym_postfix] = ACTIONS(2888),
    [anon_sym_AT] = ACTIONS(2890),
    [anon_sym_override] = ACTIONS(2888),
    [anon_sym_convenience] = ACTIONS(2888),
    [anon_sym_required] = ACTIONS(2888),
    [anon_sym_nonisolated] = ACTIONS(2888),
    [anon_sym_public] = ACTIONS(2888),
    [anon_sym_private] = ACTIONS(2888),
    [anon_sym_internal] = ACTIONS(2888),
    [anon_sym_fileprivate] = ACTIONS(2888),
    [anon_sym_open] = ACTIONS(2888),
    [anon_sym_mutating] = ACTIONS(2888),
    [anon_sym_nonmutating] = ACTIONS(2888),
    [anon_sym_static] = ACTIONS(2888),
    [anon_sym_dynamic] = ACTIONS(2888),
    [anon_sym_optional] = ACTIONS(2888),
    [anon_sym_distributed] = ACTIONS(2888),
    [anon_sym_final] = ACTIONS(2888),
    [anon_sym_inout] = ACTIONS(2888),
    [anon_sym_ATescaping] = ACTIONS(2888),
    [anon_sym_ATautoclosure] = ACTIONS(2888),
    [anon_sym_weak] = ACTIONS(2888),
    [anon_sym_unowned] = ACTIONS(2890),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2888),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2888),
    [anon_sym_borrowing] = ACTIONS(2888),
    [anon_sym_consuming] = ACTIONS(2888),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2888),
    [sym__explicit_semi] = ACTIONS(2888),
    [sym__arrow_operator_custom] = ACTIONS(3430),
    [sym__dot_custom] = ACTIONS(2888),
    [sym__conjunction_operator_custom] = ACTIONS(2888),
    [sym__disjunction_operator_custom] = ACTIONS(2888),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2888),
    [sym__eq_custom] = ACTIONS(2888),
    [sym__eq_eq_custom] = ACTIONS(2888),
    [sym__plus_then_ws] = ACTIONS(2888),
    [sym__minus_then_ws] = ACTIONS(2888),
    [sym__bang_custom] = ACTIONS(2888),
    [sym__throws_keyword] = ACTIONS(2848),
    [sym__rethrows_keyword] = ACTIONS(2848),
    [sym_default_keyword] = ACTIONS(2888),
    [sym_where_keyword] = ACTIONS(2888),
    [sym__as_custom] = ACTIONS(2888),
    [sym__as_quest_custom] = ACTIONS(2888),
    [sym__as_bang_custom] = ACTIONS(2888),
    [sym__async_keyword_custom] = ACTIONS(3432),
    [sym__custom_operator] = ACTIONS(2888),
  },
  [897] = {
    [sym__arrow_operator] = STATE(3819),
    [sym__async_keyword] = STATE(6046),
    [sym_throws] = STATE(7352),
    [aux_sym_protocol_composition_type_repeat1] = STATE(938),
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(2900),
    [anon_sym_package] = ACTIONS(2900),
    [anon_sym_COMMA] = ACTIONS(2900),
    [anon_sym_LPAREN] = ACTIONS(2900),
    [anon_sym_LBRACK] = ACTIONS(2900),
    [anon_sym_DOT] = ACTIONS(2902),
    [anon_sym_QMARK] = ACTIONS(2902),
    [anon_sym_QMARK2] = ACTIONS(2900),
    [anon_sym_AMP] = ACTIONS(2900),
    [aux_sym_custom_operator_token1] = ACTIONS(2900),
    [anon_sym_LT] = ACTIONS(2902),
    [anon_sym_GT] = ACTIONS(2902),
    [anon_sym_LBRACE] = ACTIONS(2900),
    [anon_sym_CARET_LBRACE] = ACTIONS(2900),
    [anon_sym_RBRACE] = ACTIONS(2900),
    [anon_sym_case] = ACTIONS(2900),
    [anon_sym_fallthrough] = ACTIONS(2900),
    [anon_sym_PLUS_EQ] = ACTIONS(2900),
    [anon_sym_DASH_EQ] = ACTIONS(2900),
    [anon_sym_STAR_EQ] = ACTIONS(2900),
    [anon_sym_SLASH_EQ] = ACTIONS(2900),
    [anon_sym_PERCENT_EQ] = ACTIONS(2900),
    [anon_sym_BANG_EQ] = ACTIONS(2902),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2900),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2900),
    [anon_sym_LT_EQ] = ACTIONS(2900),
    [anon_sym_GT_EQ] = ACTIONS(2900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2900),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2900),
    [anon_sym_is] = ACTIONS(2900),
    [anon_sym_PLUS] = ACTIONS(2902),
    [anon_sym_DASH] = ACTIONS(2902),
    [anon_sym_STAR] = ACTIONS(2902),
    [anon_sym_SLASH] = ACTIONS(2902),
    [anon_sym_PERCENT] = ACTIONS(2902),
    [anon_sym_PLUS_PLUS] = ACTIONS(2900),
    [anon_sym_DASH_DASH] = ACTIONS(2900),
    [anon_sym_PIPE] = ACTIONS(2900),
    [anon_sym_CARET] = ACTIONS(2902),
    [anon_sym_LT_LT] = ACTIONS(2900),
    [anon_sym_GT_GT] = ACTIONS(2900),
    [anon_sym_class] = ACTIONS(2900),
    [anon_sym_BANG2] = ACTIONS(2902),
    [anon_sym_prefix] = ACTIONS(2900),
    [anon_sym_infix] = ACTIONS(2900),
    [anon_sym_postfix] = ACTIONS(2900),
    [anon_sym_AT] = ACTIONS(2902),
    [anon_sym_override] = ACTIONS(2900),
    [anon_sym_convenience] = ACTIONS(2900),
    [anon_sym_required] = ACTIONS(2900),
    [anon_sym_nonisolated] = ACTIONS(2900),
    [anon_sym_public] = ACTIONS(2900),
    [anon_sym_private] = ACTIONS(2900),
    [anon_sym_internal] = ACTIONS(2900),
    [anon_sym_fileprivate] = ACTIONS(2900),
    [anon_sym_open] = ACTIONS(2900),
    [anon_sym_mutating] = ACTIONS(2900),
    [anon_sym_nonmutating] = ACTIONS(2900),
    [anon_sym_static] = ACTIONS(2900),
    [anon_sym_dynamic] = ACTIONS(2900),
    [anon_sym_optional] = ACTIONS(2900),
    [anon_sym_distributed] = ACTIONS(2900),
    [anon_sym_final] = ACTIONS(2900),
    [anon_sym_inout] = ACTIONS(2900),
    [anon_sym_ATescaping] = ACTIONS(2900),
    [anon_sym_ATautoclosure] = ACTIONS(2900),
    [anon_sym_weak] = ACTIONS(2900),
    [anon_sym_unowned] = ACTIONS(2902),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2900),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2900),
    [anon_sym_borrowing] = ACTIONS(2900),
    [anon_sym_consuming] = ACTIONS(2900),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2900),
    [sym__explicit_semi] = ACTIONS(2900),
    [sym__arrow_operator_custom] = ACTIONS(2900),
    [sym__dot_custom] = ACTIONS(2900),
    [sym__conjunction_operator_custom] = ACTIONS(2900),
    [sym__disjunction_operator_custom] = ACTIONS(2900),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2900),
    [sym__eq_custom] = ACTIONS(2900),
    [sym__eq_eq_custom] = ACTIONS(2900),
    [sym__plus_then_ws] = ACTIONS(2900),
    [sym__minus_then_ws] = ACTIONS(2900),
    [sym__bang_custom] = ACTIONS(2900),
    [sym__throws_keyword] = ACTIONS(2900),
    [sym__rethrows_keyword] = ACTIONS(2900),
    [sym_default_keyword] = ACTIONS(2900),
    [sym_where_keyword] = ACTIONS(2900),
    [sym__as_custom] = ACTIONS(2900),
    [sym__as_quest_custom] = ACTIONS(2900),
    [sym__as_bang_custom] = ACTIONS(2900),
    [sym__async_keyword_custom] = ACTIONS(2900),
    [sym__custom_operator] = ACTIONS(2900),
  },
  [898] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2437),
    [aux_sym_simple_identifier_token2] = ACTIONS(2439),
    [aux_sym_simple_identifier_token3] = ACTIONS(2439),
    [aux_sym_simple_identifier_token4] = ACTIONS(2439),
    [anon_sym_actor] = ACTIONS(2437),
    [anon_sym_async] = ACTIONS(2437),
    [anon_sym_each] = ACTIONS(2437),
    [anon_sym_lazy] = ACTIONS(2437),
    [anon_sym_repeat] = ACTIONS(2437),
    [anon_sym_package] = ACTIONS(2437),
    [anon_sym_nil] = ACTIONS(2437),
    [sym_real_literal] = ACTIONS(2439),
    [sym_integer_literal] = ACTIONS(2437),
    [sym_hex_literal] = ACTIONS(2439),
    [sym_oct_literal] = ACTIONS(2439),
    [sym_bin_literal] = ACTIONS(2439),
    [anon_sym_true] = ACTIONS(2437),
    [anon_sym_false] = ACTIONS(2437),
    [anon_sym_DQUOTE] = ACTIONS(2437),
    [anon_sym_BSLASH] = ACTIONS(2439),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2439),
    [anon_sym_COMMA] = ACTIONS(2444),
    [sym__extended_regex_literal] = ACTIONS(2439),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(2439),
    [sym__oneline_regex_literal] = ACTIONS(2437),
    [anon_sym_LPAREN] = ACTIONS(2446),
    [anon_sym_LBRACK] = ACTIONS(2446),
    [anon_sym_QMARK] = ACTIONS(2449),
    [anon_sym_QMARK2] = ACTIONS(2444),
    [anon_sym_AMP] = ACTIONS(2446),
    [anon_sym_if] = ACTIONS(2437),
    [anon_sym_switch] = ACTIONS(2437),
    [anon_sym_POUNDselector] = ACTIONS(2439),
    [aux_sym_custom_operator_token1] = ACTIONS(2446),
    [anon_sym_LT] = ACTIONS(2441),
    [anon_sym_GT] = ACTIONS(2441),
    [anon_sym_await] = ACTIONS(2437),
    [anon_sym_POUNDfile] = ACTIONS(2437),
    [anon_sym_POUNDfileID] = ACTIONS(2439),
    [anon_sym_POUNDfilePath] = ACTIONS(2439),
    [anon_sym_POUNDline] = ACTIONS(2439),
    [anon_sym_POUNDcolumn] = ACTIONS(2439),
    [anon_sym_POUNDfunction] = ACTIONS(2439),
    [anon_sym_POUNDdsohandle] = ACTIONS(2439),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(2439),
    [anon_sym_POUNDfileLiteral] = ACTIONS(2439),
    [anon_sym_POUNDimageLiteral] = ACTIONS(2439),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_CARET_LBRACE] = ACTIONS(2446),
    [anon_sym_self] = ACTIONS(2437),
    [anon_sym_super] = ACTIONS(2437),
    [anon_sym_POUNDkeyPath] = ACTIONS(2439),
    [anon_sym_try] = ACTIONS(2437),
    [anon_sym_PLUS_EQ] = ACTIONS(2446),
    [anon_sym_DASH_EQ] = ACTIONS(2446),
    [anon_sym_STAR_EQ] = ACTIONS(2446),
    [anon_sym_SLASH_EQ] = ACTIONS(2446),
    [anon_sym_PERCENT_EQ] = ACTIONS(2446),
    [anon_sym_BANG_EQ] = ACTIONS(2441),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2446),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2446),
    [anon_sym_LT_EQ] = ACTIONS(2446),
    [anon_sym_GT_EQ] = ACTIONS(2446),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2446),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2446),
    [anon_sym_is] = ACTIONS(2449),
    [anon_sym_PLUS] = ACTIONS(2441),
    [anon_sym_DASH] = ACTIONS(2441),
    [anon_sym_STAR] = ACTIONS(2441),
    [anon_sym_SLASH] = ACTIONS(2441),
    [anon_sym_PERCENT] = ACTIONS(2441),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2439),
    [anon_sym_PIPE] = ACTIONS(2446),
    [anon_sym_CARET] = ACTIONS(2441),
    [anon_sym_LT_LT] = ACTIONS(2446),
    [anon_sym_GT_GT] = ACTIONS(2446),
    [anon_sym_BANG2] = ACTIONS(2441),
    [anon_sym_borrowing] = ACTIONS(2437),
    [anon_sym_consuming] = ACTIONS(2437),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(2439),
    [sym_raw_str_end_part] = ACTIONS(2439),
    [sym__dot_custom] = ACTIONS(2446),
    [sym__conjunction_operator_custom] = ACTIONS(2444),
    [sym__disjunction_operator_custom] = ACTIONS(2444),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2444),
    [sym__eq_custom] = ACTIONS(2446),
    [sym__eq_eq_custom] = ACTIONS(2446),
    [sym__plus_then_ws] = ACTIONS(2446),
    [sym__minus_then_ws] = ACTIONS(2446),
    [sym__bang_custom] = ACTIONS(2446),
    [sym_else] = ACTIONS(2444),
    [sym__as_custom] = ACTIONS(2444),
    [sym__as_quest_custom] = ACTIONS(2444),
    [sym__as_bang_custom] = ACTIONS(2444),
    [sym__custom_operator] = ACTIONS(2446),
  },
  [899] = {
    [sym_simple_identifier] = STATE(5625),
    [sym__contextual_simple_identifier] = STATE(5797),
    [sym__parameter_ownership_modifier] = STATE(5797),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(3444),
    [aux_sym_simple_identifier_token2] = ACTIONS(3446),
    [aux_sym_simple_identifier_token3] = ACTIONS(3446),
    [aux_sym_simple_identifier_token4] = ACTIONS(3446),
    [anon_sym_actor] = ACTIONS(3444),
    [anon_sym_async] = ACTIONS(3444),
    [anon_sym_each] = ACTIONS(3444),
    [anon_sym_lazy] = ACTIONS(3448),
    [anon_sym_repeat] = ACTIONS(3444),
    [anon_sym_package] = ACTIONS(3448),
    [anon_sym_LPAREN] = ACTIONS(631),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_QMARK] = ACTIONS(637),
    [anon_sym_QMARK2] = ACTIONS(631),
    [anon_sym_AMP] = ACTIONS(631),
    [aux_sym_custom_operator_token1] = ACTIONS(631),
    [anon_sym_LT] = ACTIONS(637),
    [anon_sym_GT] = ACTIONS(637),
    [anon_sym_LBRACE] = ACTIONS(631),
    [anon_sym_CARET_LBRACE] = ACTIONS(631),
    [anon_sym_RBRACE] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(637),
    [anon_sym_fallthrough] = ACTIONS(637),
    [anon_sym_PLUS_EQ] = ACTIONS(631),
    [anon_sym_DASH_EQ] = ACTIONS(631),
    [anon_sym_STAR_EQ] = ACTIONS(631),
    [anon_sym_SLASH_EQ] = ACTIONS(631),
    [anon_sym_PERCENT_EQ] = ACTIONS(631),
    [anon_sym_BANG_EQ] = ACTIONS(637),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(631),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(631),
    [anon_sym_LT_EQ] = ACTIONS(631),
    [anon_sym_GT_EQ] = ACTIONS(631),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(631),
    [anon_sym_DOT_DOT_LT] = ACTIONS(631),
    [anon_sym_is] = ACTIONS(637),
    [anon_sym_PLUS] = ACTIONS(637),
    [anon_sym_DASH] = ACTIONS(637),
    [anon_sym_STAR] = ACTIONS(637),
    [anon_sym_SLASH] = ACTIONS(637),
    [anon_sym_PERCENT] = ACTIONS(637),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PIPE] = ACTIONS(631),
    [anon_sym_CARET] = ACTIONS(637),
    [anon_sym_LT_LT] = ACTIONS(631),
    [anon_sym_GT_GT] = ACTIONS(631),
    [anon_sym_class] = ACTIONS(637),
    [anon_sym_BANG2] = ACTIONS(637),
    [anon_sym_prefix] = ACTIONS(637),
    [anon_sym_infix] = ACTIONS(637),
    [anon_sym_postfix] = ACTIONS(637),
    [anon_sym_AT] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_convenience] = ACTIONS(637),
    [anon_sym_required] = ACTIONS(637),
    [anon_sym_nonisolated] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_internal] = ACTIONS(637),
    [anon_sym_fileprivate] = ACTIONS(637),
    [anon_sym_open] = ACTIONS(637),
    [anon_sym_mutating] = ACTIONS(637),
    [anon_sym_nonmutating] = ACTIONS(637),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_dynamic] = ACTIONS(637),
    [anon_sym_optional] = ACTIONS(637),
    [anon_sym_distributed] = ACTIONS(637),
    [anon_sym_final] = ACTIONS(637),
    [anon_sym_inout] = ACTIONS(637),
    [anon_sym_ATescaping] = ACTIONS(631),
    [anon_sym_ATautoclosure] = ACTIONS(631),
    [anon_sym_weak] = ACTIONS(637),
    [anon_sym_unowned] = ACTIONS(637),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(631),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(631),
    [anon_sym_borrowing] = ACTIONS(3448),
    [anon_sym_consuming] = ACTIONS(3448),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(631),
    [sym__explicit_semi] = ACTIONS(631),
    [sym__dot_custom] = ACTIONS(631),
    [sym__conjunction_operator_custom] = ACTIONS(631),
    [sym__disjunction_operator_custom] = ACTIONS(631),
    [sym__nil_coalescing_operator_custom] = ACTIONS(631),
    [sym__eq_custom] = ACTIONS(631),
    [sym__eq_eq_custom] = ACTIONS(631),
    [sym__plus_then_ws] = ACTIONS(631),
    [sym__minus_then_ws] = ACTIONS(631),
    [sym__bang_custom] = ACTIONS(631),
    [sym_default_keyword] = ACTIONS(631),
    [sym__as_custom] = ACTIONS(631),
    [sym__as_quest_custom] = ACTIONS(631),
    [sym__as_bang_custom] = ACTIONS(631),
    [sym__custom_operator] = ACTIONS(631),
  },
  [900] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2425),
    [aux_sym_simple_identifier_token2] = ACTIONS(2427),
    [aux_sym_simple_identifier_token3] = ACTIONS(2427),
    [aux_sym_simple_identifier_token4] = ACTIONS(2427),
    [anon_sym_actor] = ACTIONS(2425),
    [anon_sym_async] = ACTIONS(2425),
    [anon_sym_each] = ACTIONS(2425),
    [anon_sym_lazy] = ACTIONS(2425),
    [anon_sym_repeat] = ACTIONS(2425),
    [anon_sym_package] = ACTIONS(2425),
    [anon_sym_nil] = ACTIONS(2425),
    [sym_real_literal] = ACTIONS(2427),
    [sym_integer_literal] = ACTIONS(2425),
    [sym_hex_literal] = ACTIONS(2427),
    [sym_oct_literal] = ACTIONS(2427),
    [sym_bin_literal] = ACTIONS(2427),
    [anon_sym_true] = ACTIONS(2425),
    [anon_sym_false] = ACTIONS(2425),
    [anon_sym_DQUOTE] = ACTIONS(2425),
    [anon_sym_BSLASH] = ACTIONS(2427),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2427),
    [anon_sym_COMMA] = ACTIONS(2429),
    [sym__extended_regex_literal] = ACTIONS(2427),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(2427),
    [sym__oneline_regex_literal] = ACTIONS(2425),
    [anon_sym_LPAREN] = ACTIONS(2427),
    [anon_sym_LBRACK] = ACTIONS(2427),
    [anon_sym_QMARK] = ACTIONS(2431),
    [anon_sym_QMARK2] = ACTIONS(2429),
    [anon_sym_AMP] = ACTIONS(2427),
    [anon_sym_if] = ACTIONS(2425),
    [anon_sym_switch] = ACTIONS(2425),
    [anon_sym_POUNDselector] = ACTIONS(2427),
    [aux_sym_custom_operator_token1] = ACTIONS(2427),
    [anon_sym_LT] = ACTIONS(2425),
    [anon_sym_GT] = ACTIONS(2425),
    [anon_sym_await] = ACTIONS(2425),
    [anon_sym_POUNDfile] = ACTIONS(2425),
    [anon_sym_POUNDfileID] = ACTIONS(2427),
    [anon_sym_POUNDfilePath] = ACTIONS(2427),
    [anon_sym_POUNDline] = ACTIONS(2427),
    [anon_sym_POUNDcolumn] = ACTIONS(2427),
    [anon_sym_POUNDfunction] = ACTIONS(2427),
    [anon_sym_POUNDdsohandle] = ACTIONS(2427),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(2427),
    [anon_sym_POUNDfileLiteral] = ACTIONS(2427),
    [anon_sym_POUNDimageLiteral] = ACTIONS(2427),
    [anon_sym_LBRACE] = ACTIONS(2427),
    [anon_sym_CARET_LBRACE] = ACTIONS(2427),
    [anon_sym_self] = ACTIONS(2425),
    [anon_sym_super] = ACTIONS(2425),
    [anon_sym_POUNDkeyPath] = ACTIONS(2427),
    [anon_sym_try] = ACTIONS(2425),
    [anon_sym_PLUS_EQ] = ACTIONS(2427),
    [anon_sym_DASH_EQ] = ACTIONS(2427),
    [anon_sym_STAR_EQ] = ACTIONS(2427),
    [anon_sym_SLASH_EQ] = ACTIONS(2427),
    [anon_sym_PERCENT_EQ] = ACTIONS(2427),
    [anon_sym_BANG_EQ] = ACTIONS(2425),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2427),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2427),
    [anon_sym_LT_EQ] = ACTIONS(2427),
    [anon_sym_GT_EQ] = ACTIONS(2427),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2427),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2427),
    [anon_sym_is] = ACTIONS(2431),
    [anon_sym_PLUS] = ACTIONS(2425),
    [anon_sym_DASH] = ACTIONS(2425),
    [anon_sym_STAR] = ACTIONS(2425),
    [anon_sym_SLASH] = ACTIONS(2425),
    [anon_sym_PERCENT] = ACTIONS(2425),
    [anon_sym_PLUS_PLUS] = ACTIONS(2427),
    [anon_sym_DASH_DASH] = ACTIONS(2427),
    [anon_sym_TILDE] = ACTIONS(2427),
    [anon_sym_PIPE] = ACTIONS(2427),
    [anon_sym_CARET] = ACTIONS(2425),
    [anon_sym_LT_LT] = ACTIONS(2427),
    [anon_sym_GT_GT] = ACTIONS(2427),
    [anon_sym_BANG2] = ACTIONS(2425),
    [anon_sym_borrowing] = ACTIONS(2425),
    [anon_sym_consuming] = ACTIONS(2425),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(2427),
    [sym_raw_str_end_part] = ACTIONS(2427),
    [sym__dot_custom] = ACTIONS(2427),
    [sym__conjunction_operator_custom] = ACTIONS(2429),
    [sym__disjunction_operator_custom] = ACTIONS(2429),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2429),
    [sym__eq_custom] = ACTIONS(2427),
    [sym__eq_eq_custom] = ACTIONS(2427),
    [sym__plus_then_ws] = ACTIONS(2427),
    [sym__minus_then_ws] = ACTIONS(2427),
    [sym__bang_custom] = ACTIONS(2427),
    [sym_else] = ACTIONS(2429),
    [sym__as_custom] = ACTIONS(2429),
    [sym__as_quest_custom] = ACTIONS(2429),
    [sym__as_bang_custom] = ACTIONS(2429),
    [sym__custom_operator] = ACTIONS(2427),
  },
  [901] = {
    [sym__arrow_operator] = STATE(3819),
    [sym__async_keyword] = STATE(6046),
    [sym_throws] = STATE(7352),
    [aux_sym_protocol_composition_type_repeat1] = STATE(938),
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(2874),
    [anon_sym_package] = ACTIONS(2874),
    [anon_sym_COMMA] = ACTIONS(2874),
    [anon_sym_LPAREN] = ACTIONS(2874),
    [anon_sym_LBRACK] = ACTIONS(2874),
    [anon_sym_DOT] = ACTIONS(3434),
    [anon_sym_QMARK] = ACTIONS(2876),
    [anon_sym_QMARK2] = ACTIONS(2874),
    [anon_sym_AMP] = ACTIONS(3436),
    [aux_sym_custom_operator_token1] = ACTIONS(2874),
    [anon_sym_LT] = ACTIONS(2876),
    [anon_sym_GT] = ACTIONS(2876),
    [anon_sym_LBRACE] = ACTIONS(2874),
    [anon_sym_CARET_LBRACE] = ACTIONS(2874),
    [anon_sym_RBRACE] = ACTIONS(2874),
    [anon_sym_case] = ACTIONS(2874),
    [anon_sym_fallthrough] = ACTIONS(2874),
    [anon_sym_PLUS_EQ] = ACTIONS(2874),
    [anon_sym_DASH_EQ] = ACTIONS(2874),
    [anon_sym_STAR_EQ] = ACTIONS(2874),
    [anon_sym_SLASH_EQ] = ACTIONS(2874),
    [anon_sym_PERCENT_EQ] = ACTIONS(2874),
    [anon_sym_BANG_EQ] = ACTIONS(2876),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2874),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2874),
    [anon_sym_LT_EQ] = ACTIONS(2874),
    [anon_sym_GT_EQ] = ACTIONS(2874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2874),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2874),
    [anon_sym_is] = ACTIONS(2874),
    [anon_sym_PLUS] = ACTIONS(2876),
    [anon_sym_DASH] = ACTIONS(2876),
    [anon_sym_STAR] = ACTIONS(2876),
    [anon_sym_SLASH] = ACTIONS(2876),
    [anon_sym_PERCENT] = ACTIONS(2876),
    [anon_sym_PLUS_PLUS] = ACTIONS(2874),
    [anon_sym_DASH_DASH] = ACTIONS(2874),
    [anon_sym_PIPE] = ACTIONS(2874),
    [anon_sym_CARET] = ACTIONS(2876),
    [anon_sym_LT_LT] = ACTIONS(2874),
    [anon_sym_GT_GT] = ACTIONS(2874),
    [anon_sym_class] = ACTIONS(2874),
    [anon_sym_BANG2] = ACTIONS(2876),
    [anon_sym_prefix] = ACTIONS(2874),
    [anon_sym_infix] = ACTIONS(2874),
    [anon_sym_postfix] = ACTIONS(2874),
    [anon_sym_AT] = ACTIONS(2876),
    [anon_sym_override] = ACTIONS(2874),
    [anon_sym_convenience] = ACTIONS(2874),
    [anon_sym_required] = ACTIONS(2874),
    [anon_sym_nonisolated] = ACTIONS(2874),
    [anon_sym_public] = ACTIONS(2874),
    [anon_sym_private] = ACTIONS(2874),
    [anon_sym_internal] = ACTIONS(2874),
    [anon_sym_fileprivate] = ACTIONS(2874),
    [anon_sym_open] = ACTIONS(2874),
    [anon_sym_mutating] = ACTIONS(2874),
    [anon_sym_nonmutating] = ACTIONS(2874),
    [anon_sym_static] = ACTIONS(2874),
    [anon_sym_dynamic] = ACTIONS(2874),
    [anon_sym_optional] = ACTIONS(2874),
    [anon_sym_distributed] = ACTIONS(2874),
    [anon_sym_final] = ACTIONS(2874),
    [anon_sym_inout] = ACTIONS(2874),
    [anon_sym_ATescaping] = ACTIONS(2874),
    [anon_sym_ATautoclosure] = ACTIONS(2874),
    [anon_sym_weak] = ACTIONS(2874),
    [anon_sym_unowned] = ACTIONS(2876),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2874),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2874),
    [anon_sym_borrowing] = ACTIONS(2874),
    [anon_sym_consuming] = ACTIONS(2874),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2874),
    [sym__explicit_semi] = ACTIONS(2874),
    [sym__arrow_operator_custom] = ACTIONS(3430),
    [sym__dot_custom] = ACTIONS(2874),
    [sym__conjunction_operator_custom] = ACTIONS(2874),
    [sym__disjunction_operator_custom] = ACTIONS(2874),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2874),
    [sym__eq_custom] = ACTIONS(2874),
    [sym__eq_eq_custom] = ACTIONS(2874),
    [sym__plus_then_ws] = ACTIONS(2874),
    [sym__minus_then_ws] = ACTIONS(2874),
    [sym__bang_custom] = ACTIONS(2874),
    [sym__throws_keyword] = ACTIONS(2848),
    [sym__rethrows_keyword] = ACTIONS(2848),
    [sym_default_keyword] = ACTIONS(2874),
    [sym_where_keyword] = ACTIONS(2874),
    [sym__as_custom] = ACTIONS(2874),
    [sym__as_quest_custom] = ACTIONS(2874),
    [sym__as_bang_custom] = ACTIONS(2874),
    [sym__async_keyword_custom] = ACTIONS(3432),
    [sym__custom_operator] = ACTIONS(2874),
  },
  [902] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2437),
    [aux_sym_simple_identifier_token2] = ACTIONS(2439),
    [aux_sym_simple_identifier_token3] = ACTIONS(2439),
    [aux_sym_simple_identifier_token4] = ACTIONS(2439),
    [anon_sym_actor] = ACTIONS(2437),
    [anon_sym_async] = ACTIONS(2437),
    [anon_sym_each] = ACTIONS(2437),
    [anon_sym_lazy] = ACTIONS(2437),
    [anon_sym_repeat] = ACTIONS(2437),
    [anon_sym_package] = ACTIONS(2437),
    [anon_sym_nil] = ACTIONS(2437),
    [sym_real_literal] = ACTIONS(2439),
    [sym_integer_literal] = ACTIONS(2437),
    [sym_hex_literal] = ACTIONS(2439),
    [sym_oct_literal] = ACTIONS(2439),
    [sym_bin_literal] = ACTIONS(2439),
    [anon_sym_true] = ACTIONS(2437),
    [anon_sym_false] = ACTIONS(2437),
    [anon_sym_DQUOTE] = ACTIONS(2437),
    [anon_sym_BSLASH] = ACTIONS(2439),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2439),
    [anon_sym_COMMA] = ACTIONS(2462),
    [sym__extended_regex_literal] = ACTIONS(2439),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(2439),
    [sym__oneline_regex_literal] = ACTIONS(2437),
    [anon_sym_LPAREN] = ACTIONS(2464),
    [anon_sym_LBRACK] = ACTIONS(2464),
    [anon_sym_QMARK] = ACTIONS(2467),
    [anon_sym_QMARK2] = ACTIONS(2462),
    [anon_sym_AMP] = ACTIONS(2464),
    [anon_sym_if] = ACTIONS(2437),
    [anon_sym_switch] = ACTIONS(2437),
    [anon_sym_POUNDselector] = ACTIONS(2439),
    [aux_sym_custom_operator_token1] = ACTIONS(2464),
    [anon_sym_LT] = ACTIONS(2459),
    [anon_sym_GT] = ACTIONS(2459),
    [anon_sym_await] = ACTIONS(2437),
    [anon_sym_POUNDfile] = ACTIONS(2437),
    [anon_sym_POUNDfileID] = ACTIONS(2439),
    [anon_sym_POUNDfilePath] = ACTIONS(2439),
    [anon_sym_POUNDline] = ACTIONS(2439),
    [anon_sym_POUNDcolumn] = ACTIONS(2439),
    [anon_sym_POUNDfunction] = ACTIONS(2439),
    [anon_sym_POUNDdsohandle] = ACTIONS(2439),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(2439),
    [anon_sym_POUNDfileLiteral] = ACTIONS(2439),
    [anon_sym_POUNDimageLiteral] = ACTIONS(2439),
    [anon_sym_LBRACE] = ACTIONS(2464),
    [anon_sym_CARET_LBRACE] = ACTIONS(2464),
    [anon_sym_self] = ACTIONS(2437),
    [anon_sym_super] = ACTIONS(2437),
    [anon_sym_POUNDkeyPath] = ACTIONS(2439),
    [anon_sym_try] = ACTIONS(2437),
    [anon_sym_PLUS_EQ] = ACTIONS(2464),
    [anon_sym_DASH_EQ] = ACTIONS(2464),
    [anon_sym_STAR_EQ] = ACTIONS(2464),
    [anon_sym_SLASH_EQ] = ACTIONS(2464),
    [anon_sym_PERCENT_EQ] = ACTIONS(2464),
    [anon_sym_BANG_EQ] = ACTIONS(2459),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2464),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2464),
    [anon_sym_LT_EQ] = ACTIONS(2464),
    [anon_sym_GT_EQ] = ACTIONS(2464),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2464),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2464),
    [anon_sym_is] = ACTIONS(2467),
    [anon_sym_PLUS] = ACTIONS(2459),
    [anon_sym_DASH] = ACTIONS(2459),
    [anon_sym_STAR] = ACTIONS(2459),
    [anon_sym_SLASH] = ACTIONS(2459),
    [anon_sym_PERCENT] = ACTIONS(2459),
    [anon_sym_PLUS_PLUS] = ACTIONS(2464),
    [anon_sym_DASH_DASH] = ACTIONS(2464),
    [anon_sym_TILDE] = ACTIONS(2439),
    [anon_sym_PIPE] = ACTIONS(2464),
    [anon_sym_CARET] = ACTIONS(2459),
    [anon_sym_LT_LT] = ACTIONS(2464),
    [anon_sym_GT_GT] = ACTIONS(2464),
    [anon_sym_BANG2] = ACTIONS(2459),
    [anon_sym_borrowing] = ACTIONS(2437),
    [anon_sym_consuming] = ACTIONS(2437),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(2439),
    [sym_raw_str_end_part] = ACTIONS(2439),
    [sym__dot_custom] = ACTIONS(2464),
    [sym__conjunction_operator_custom] = ACTIONS(2462),
    [sym__disjunction_operator_custom] = ACTIONS(2462),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2462),
    [sym__eq_custom] = ACTIONS(2464),
    [sym__eq_eq_custom] = ACTIONS(2464),
    [sym__plus_then_ws] = ACTIONS(2464),
    [sym__minus_then_ws] = ACTIONS(2464),
    [sym__bang_custom] = ACTIONS(2464),
    [sym_else] = ACTIONS(2462),
    [sym__as_custom] = ACTIONS(2462),
    [sym__as_quest_custom] = ACTIONS(2462),
    [sym__as_bang_custom] = ACTIONS(2462),
    [sym__custom_operator] = ACTIONS(2464),
  },
  [903] = {
    [sym__arrow_operator] = STATE(3850),
    [sym__async_keyword] = STATE(6090),
    [sym_throws] = STATE(7430),
    [aux_sym_protocol_composition_type_repeat1] = STATE(951),
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(2900),
    [anon_sym_package] = ACTIONS(2900),
    [anon_sym_COMMA] = ACTIONS(2900),
    [anon_sym_LPAREN] = ACTIONS(2900),
    [anon_sym_LBRACK] = ACTIONS(2900),
    [anon_sym_DOT] = ACTIONS(2902),
    [anon_sym_QMARK] = ACTIONS(2902),
    [anon_sym_QMARK2] = ACTIONS(2900),
    [anon_sym_AMP] = ACTIONS(2900),
    [aux_sym_custom_operator_token1] = ACTIONS(2900),
    [anon_sym_LT] = ACTIONS(2902),
    [anon_sym_GT] = ACTIONS(2902),
    [anon_sym_LBRACE] = ACTIONS(2900),
    [anon_sym_CARET_LBRACE] = ACTIONS(2900),
    [anon_sym_RBRACE] = ACTIONS(2900),
    [anon_sym_case] = ACTIONS(2900),
    [anon_sym_fallthrough] = ACTIONS(2900),
    [anon_sym_PLUS_EQ] = ACTIONS(2900),
    [anon_sym_DASH_EQ] = ACTIONS(2900),
    [anon_sym_STAR_EQ] = ACTIONS(2900),
    [anon_sym_SLASH_EQ] = ACTIONS(2900),
    [anon_sym_PERCENT_EQ] = ACTIONS(2900),
    [anon_sym_BANG_EQ] = ACTIONS(2902),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2900),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2900),
    [anon_sym_LT_EQ] = ACTIONS(2900),
    [anon_sym_GT_EQ] = ACTIONS(2900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2900),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2900),
    [anon_sym_is] = ACTIONS(2900),
    [anon_sym_PLUS] = ACTIONS(2902),
    [anon_sym_DASH] = ACTIONS(2902),
    [anon_sym_STAR] = ACTIONS(2902),
    [anon_sym_SLASH] = ACTIONS(2902),
    [anon_sym_PERCENT] = ACTIONS(2902),
    [anon_sym_PLUS_PLUS] = ACTIONS(2900),
    [anon_sym_DASH_DASH] = ACTIONS(2900),
    [anon_sym_PIPE] = ACTIONS(2900),
    [anon_sym_CARET] = ACTIONS(2902),
    [anon_sym_LT_LT] = ACTIONS(2900),
    [anon_sym_GT_GT] = ACTIONS(2900),
    [anon_sym_class] = ACTIONS(2900),
    [anon_sym_BANG2] = ACTIONS(2902),
    [anon_sym_prefix] = ACTIONS(2900),
    [anon_sym_infix] = ACTIONS(2900),
    [anon_sym_postfix] = ACTIONS(2900),
    [anon_sym_AT] = ACTIONS(2902),
    [anon_sym_override] = ACTIONS(2900),
    [anon_sym_convenience] = ACTIONS(2900),
    [anon_sym_required] = ACTIONS(2900),
    [anon_sym_nonisolated] = ACTIONS(2900),
    [anon_sym_public] = ACTIONS(2900),
    [anon_sym_private] = ACTIONS(2900),
    [anon_sym_internal] = ACTIONS(2900),
    [anon_sym_fileprivate] = ACTIONS(2900),
    [anon_sym_open] = ACTIONS(2900),
    [anon_sym_mutating] = ACTIONS(2900),
    [anon_sym_nonmutating] = ACTIONS(2900),
    [anon_sym_static] = ACTIONS(2900),
    [anon_sym_dynamic] = ACTIONS(2900),
    [anon_sym_optional] = ACTIONS(2900),
    [anon_sym_distributed] = ACTIONS(2900),
    [anon_sym_final] = ACTIONS(2900),
    [anon_sym_inout] = ACTIONS(2900),
    [anon_sym_ATescaping] = ACTIONS(2900),
    [anon_sym_ATautoclosure] = ACTIONS(2900),
    [anon_sym_weak] = ACTIONS(2900),
    [anon_sym_unowned] = ACTIONS(2902),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2900),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2900),
    [anon_sym_borrowing] = ACTIONS(2900),
    [anon_sym_consuming] = ACTIONS(2900),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2900),
    [sym__explicit_semi] = ACTIONS(2900),
    [sym__arrow_operator_custom] = ACTIONS(2900),
    [sym__dot_custom] = ACTIONS(2900),
    [sym__conjunction_operator_custom] = ACTIONS(2900),
    [sym__disjunction_operator_custom] = ACTIONS(2900),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2900),
    [sym__eq_custom] = ACTIONS(2900),
    [sym__eq_eq_custom] = ACTIONS(2900),
    [sym__plus_then_ws] = ACTIONS(2900),
    [sym__minus_then_ws] = ACTIONS(2900),
    [sym__bang_custom] = ACTIONS(2900),
    [sym__throws_keyword] = ACTIONS(2900),
    [sym__rethrows_keyword] = ACTIONS(2900),
    [sym_default_keyword] = ACTIONS(2900),
    [sym__as_custom] = ACTIONS(2900),
    [sym__as_quest_custom] = ACTIONS(2900),
    [sym__as_bang_custom] = ACTIONS(2900),
    [sym__async_keyword_custom] = ACTIONS(2900),
    [sym__custom_operator] = ACTIONS(2900),
  },
  [904] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(3018),
    [aux_sym_simple_identifier_token2] = ACTIONS(3020),
    [aux_sym_simple_identifier_token3] = ACTIONS(3020),
    [aux_sym_simple_identifier_token4] = ACTIONS(3020),
    [anon_sym_actor] = ACTIONS(3018),
    [anon_sym_async] = ACTIONS(3018),
    [anon_sym_each] = ACTIONS(3018),
    [anon_sym_lazy] = ACTIONS(3018),
    [anon_sym_repeat] = ACTIONS(3018),
    [anon_sym_package] = ACTIONS(3018),
    [anon_sym_COMMA] = ACTIONS(3020),
    [anon_sym_LPAREN] = ACTIONS(3020),
    [anon_sym_LBRACK] = ACTIONS(3020),
    [anon_sym_QMARK] = ACTIONS(3018),
    [anon_sym_QMARK2] = ACTIONS(3020),
    [anon_sym_AMP] = ACTIONS(3020),
    [aux_sym_custom_operator_token1] = ACTIONS(3020),
    [anon_sym_LT] = ACTIONS(3018),
    [anon_sym_GT] = ACTIONS(3018),
    [anon_sym_LBRACE] = ACTIONS(3020),
    [anon_sym_CARET_LBRACE] = ACTIONS(3020),
    [anon_sym_RBRACE] = ACTIONS(3020),
    [anon_sym_case] = ACTIONS(3018),
    [anon_sym_fallthrough] = ACTIONS(3018),
    [anon_sym_PLUS_EQ] = ACTIONS(3020),
    [anon_sym_DASH_EQ] = ACTIONS(3020),
    [anon_sym_STAR_EQ] = ACTIONS(3020),
    [anon_sym_SLASH_EQ] = ACTIONS(3020),
    [anon_sym_PERCENT_EQ] = ACTIONS(3020),
    [anon_sym_BANG_EQ] = ACTIONS(3018),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3020),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3020),
    [anon_sym_LT_EQ] = ACTIONS(3020),
    [anon_sym_GT_EQ] = ACTIONS(3020),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3020),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3020),
    [anon_sym_is] = ACTIONS(3018),
    [anon_sym_PLUS] = ACTIONS(3018),
    [anon_sym_DASH] = ACTIONS(3018),
    [anon_sym_STAR] = ACTIONS(3018),
    [anon_sym_SLASH] = ACTIONS(3018),
    [anon_sym_PERCENT] = ACTIONS(3018),
    [anon_sym_PLUS_PLUS] = ACTIONS(3020),
    [anon_sym_DASH_DASH] = ACTIONS(3020),
    [anon_sym_PIPE] = ACTIONS(3020),
    [anon_sym_CARET] = ACTIONS(3018),
    [anon_sym_LT_LT] = ACTIONS(3020),
    [anon_sym_GT_GT] = ACTIONS(3020),
    [anon_sym_class] = ACTIONS(3018),
    [anon_sym_BANG2] = ACTIONS(3018),
    [anon_sym_prefix] = ACTIONS(3018),
    [anon_sym_infix] = ACTIONS(3018),
    [anon_sym_postfix] = ACTIONS(3018),
    [anon_sym_AT] = ACTIONS(3018),
    [anon_sym_override] = ACTIONS(3018),
    [anon_sym_convenience] = ACTIONS(3018),
    [anon_sym_required] = ACTIONS(3018),
    [anon_sym_nonisolated] = ACTIONS(3018),
    [anon_sym_public] = ACTIONS(3018),
    [anon_sym_private] = ACTIONS(3018),
    [anon_sym_internal] = ACTIONS(3018),
    [anon_sym_fileprivate] = ACTIONS(3018),
    [anon_sym_open] = ACTIONS(3018),
    [anon_sym_mutating] = ACTIONS(3018),
    [anon_sym_nonmutating] = ACTIONS(3018),
    [anon_sym_static] = ACTIONS(3018),
    [anon_sym_dynamic] = ACTIONS(3018),
    [anon_sym_optional] = ACTIONS(3018),
    [anon_sym_distributed] = ACTIONS(3018),
    [anon_sym_final] = ACTIONS(3018),
    [anon_sym_inout] = ACTIONS(3018),
    [anon_sym_ATescaping] = ACTIONS(3020),
    [anon_sym_ATautoclosure] = ACTIONS(3020),
    [anon_sym_weak] = ACTIONS(3018),
    [anon_sym_unowned] = ACTIONS(3018),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3020),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3020),
    [anon_sym_borrowing] = ACTIONS(3018),
    [anon_sym_consuming] = ACTIONS(3018),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3020),
    [sym__explicit_semi] = ACTIONS(3020),
    [sym__dot_custom] = ACTIONS(3020),
    [sym__conjunction_operator_custom] = ACTIONS(3020),
    [sym__disjunction_operator_custom] = ACTIONS(3020),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3020),
    [sym__eq_custom] = ACTIONS(3020),
    [sym__eq_eq_custom] = ACTIONS(3020),
    [sym__plus_then_ws] = ACTIONS(3020),
    [sym__minus_then_ws] = ACTIONS(3020),
    [sym__bang_custom] = ACTIONS(3020),
    [sym_default_keyword] = ACTIONS(3020),
    [sym_where_keyword] = ACTIONS(3020),
    [sym__as_custom] = ACTIONS(3020),
    [sym__as_quest_custom] = ACTIONS(3020),
    [sym__as_bang_custom] = ACTIONS(3020),
    [sym__custom_operator] = ACTIONS(3020),
  },
  [905] = {
    [sym__arrow_operator] = STATE(3850),
    [sym__async_keyword] = STATE(6090),
    [sym_throws] = STATE(7430),
    [aux_sym_protocol_composition_type_repeat1] = STATE(951),
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(2892),
    [anon_sym_package] = ACTIONS(2892),
    [anon_sym_COMMA] = ACTIONS(2892),
    [anon_sym_LPAREN] = ACTIONS(2892),
    [anon_sym_LBRACK] = ACTIONS(2892),
    [anon_sym_DOT] = ACTIONS(3451),
    [anon_sym_QMARK] = ACTIONS(2894),
    [anon_sym_QMARK2] = ACTIONS(2892),
    [anon_sym_AMP] = ACTIONS(3453),
    [aux_sym_custom_operator_token1] = ACTIONS(2892),
    [anon_sym_LT] = ACTIONS(2894),
    [anon_sym_GT] = ACTIONS(2894),
    [anon_sym_LBRACE] = ACTIONS(2892),
    [anon_sym_CARET_LBRACE] = ACTIONS(2892),
    [anon_sym_RBRACE] = ACTIONS(2892),
    [anon_sym_case] = ACTIONS(2892),
    [anon_sym_fallthrough] = ACTIONS(2892),
    [anon_sym_PLUS_EQ] = ACTIONS(2892),
    [anon_sym_DASH_EQ] = ACTIONS(2892),
    [anon_sym_STAR_EQ] = ACTIONS(2892),
    [anon_sym_SLASH_EQ] = ACTIONS(2892),
    [anon_sym_PERCENT_EQ] = ACTIONS(2892),
    [anon_sym_BANG_EQ] = ACTIONS(2894),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2892),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2892),
    [anon_sym_LT_EQ] = ACTIONS(2892),
    [anon_sym_GT_EQ] = ACTIONS(2892),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2892),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2892),
    [anon_sym_is] = ACTIONS(2892),
    [anon_sym_PLUS] = ACTIONS(2894),
    [anon_sym_DASH] = ACTIONS(2894),
    [anon_sym_STAR] = ACTIONS(2894),
    [anon_sym_SLASH] = ACTIONS(2894),
    [anon_sym_PERCENT] = ACTIONS(2894),
    [anon_sym_PLUS_PLUS] = ACTIONS(2892),
    [anon_sym_DASH_DASH] = ACTIONS(2892),
    [anon_sym_PIPE] = ACTIONS(2892),
    [anon_sym_CARET] = ACTIONS(2894),
    [anon_sym_LT_LT] = ACTIONS(2892),
    [anon_sym_GT_GT] = ACTIONS(2892),
    [anon_sym_class] = ACTIONS(2892),
    [anon_sym_BANG2] = ACTIONS(2894),
    [anon_sym_prefix] = ACTIONS(2892),
    [anon_sym_infix] = ACTIONS(2892),
    [anon_sym_postfix] = ACTIONS(2892),
    [anon_sym_AT] = ACTIONS(2894),
    [anon_sym_override] = ACTIONS(2892),
    [anon_sym_convenience] = ACTIONS(2892),
    [anon_sym_required] = ACTIONS(2892),
    [anon_sym_nonisolated] = ACTIONS(2892),
    [anon_sym_public] = ACTIONS(2892),
    [anon_sym_private] = ACTIONS(2892),
    [anon_sym_internal] = ACTIONS(2892),
    [anon_sym_fileprivate] = ACTIONS(2892),
    [anon_sym_open] = ACTIONS(2892),
    [anon_sym_mutating] = ACTIONS(2892),
    [anon_sym_nonmutating] = ACTIONS(2892),
    [anon_sym_static] = ACTIONS(2892),
    [anon_sym_dynamic] = ACTIONS(2892),
    [anon_sym_optional] = ACTIONS(2892),
    [anon_sym_distributed] = ACTIONS(2892),
    [anon_sym_final] = ACTIONS(2892),
    [anon_sym_inout] = ACTIONS(2892),
    [anon_sym_ATescaping] = ACTIONS(2892),
    [anon_sym_ATautoclosure] = ACTIONS(2892),
    [anon_sym_weak] = ACTIONS(2892),
    [anon_sym_unowned] = ACTIONS(2894),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2892),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2892),
    [anon_sym_borrowing] = ACTIONS(2892),
    [anon_sym_consuming] = ACTIONS(2892),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2892),
    [sym__explicit_semi] = ACTIONS(2892),
    [sym__arrow_operator_custom] = ACTIONS(3440),
    [sym__dot_custom] = ACTIONS(2892),
    [sym__conjunction_operator_custom] = ACTIONS(2892),
    [sym__disjunction_operator_custom] = ACTIONS(2892),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2892),
    [sym__eq_custom] = ACTIONS(2892),
    [sym__eq_eq_custom] = ACTIONS(2892),
    [sym__plus_then_ws] = ACTIONS(2892),
    [sym__minus_then_ws] = ACTIONS(2892),
    [sym__bang_custom] = ACTIONS(2892),
    [sym__throws_keyword] = ACTIONS(2848),
    [sym__rethrows_keyword] = ACTIONS(2848),
    [sym_default_keyword] = ACTIONS(2892),
    [sym__as_custom] = ACTIONS(2892),
    [sym__as_quest_custom] = ACTIONS(2892),
    [sym__as_bang_custom] = ACTIONS(2892),
    [sym__async_keyword_custom] = ACTIONS(3442),
    [sym__custom_operator] = ACTIONS(2892),
  },
  [906] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(3006),
    [aux_sym_simple_identifier_token2] = ACTIONS(3008),
    [aux_sym_simple_identifier_token3] = ACTIONS(3008),
    [aux_sym_simple_identifier_token4] = ACTIONS(3008),
    [anon_sym_actor] = ACTIONS(3006),
    [anon_sym_async] = ACTIONS(3006),
    [anon_sym_each] = ACTIONS(3006),
    [anon_sym_lazy] = ACTIONS(3006),
    [anon_sym_repeat] = ACTIONS(3006),
    [anon_sym_package] = ACTIONS(3006),
    [anon_sym_COMMA] = ACTIONS(3008),
    [anon_sym_LPAREN] = ACTIONS(3008),
    [anon_sym_LBRACK] = ACTIONS(3008),
    [anon_sym_QMARK] = ACTIONS(3006),
    [anon_sym_QMARK2] = ACTIONS(3008),
    [anon_sym_AMP] = ACTIONS(3008),
    [aux_sym_custom_operator_token1] = ACTIONS(3008),
    [anon_sym_LT] = ACTIONS(3006),
    [anon_sym_GT] = ACTIONS(3006),
    [anon_sym_LBRACE] = ACTIONS(3008),
    [anon_sym_CARET_LBRACE] = ACTIONS(3008),
    [anon_sym_RBRACE] = ACTIONS(3008),
    [anon_sym_case] = ACTIONS(3006),
    [anon_sym_fallthrough] = ACTIONS(3006),
    [anon_sym_PLUS_EQ] = ACTIONS(3008),
    [anon_sym_DASH_EQ] = ACTIONS(3008),
    [anon_sym_STAR_EQ] = ACTIONS(3008),
    [anon_sym_SLASH_EQ] = ACTIONS(3008),
    [anon_sym_PERCENT_EQ] = ACTIONS(3008),
    [anon_sym_BANG_EQ] = ACTIONS(3006),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3008),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3008),
    [anon_sym_LT_EQ] = ACTIONS(3008),
    [anon_sym_GT_EQ] = ACTIONS(3008),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3008),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3008),
    [anon_sym_is] = ACTIONS(3006),
    [anon_sym_PLUS] = ACTIONS(3006),
    [anon_sym_DASH] = ACTIONS(3006),
    [anon_sym_STAR] = ACTIONS(3006),
    [anon_sym_SLASH] = ACTIONS(3006),
    [anon_sym_PERCENT] = ACTIONS(3006),
    [anon_sym_PLUS_PLUS] = ACTIONS(3008),
    [anon_sym_DASH_DASH] = ACTIONS(3008),
    [anon_sym_PIPE] = ACTIONS(3008),
    [anon_sym_CARET] = ACTIONS(3006),
    [anon_sym_LT_LT] = ACTIONS(3008),
    [anon_sym_GT_GT] = ACTIONS(3008),
    [anon_sym_class] = ACTIONS(3006),
    [anon_sym_BANG2] = ACTIONS(3006),
    [anon_sym_prefix] = ACTIONS(3006),
    [anon_sym_infix] = ACTIONS(3006),
    [anon_sym_postfix] = ACTIONS(3006),
    [anon_sym_AT] = ACTIONS(3006),
    [anon_sym_override] = ACTIONS(3006),
    [anon_sym_convenience] = ACTIONS(3006),
    [anon_sym_required] = ACTIONS(3006),
    [anon_sym_nonisolated] = ACTIONS(3006),
    [anon_sym_public] = ACTIONS(3006),
    [anon_sym_private] = ACTIONS(3006),
    [anon_sym_internal] = ACTIONS(3006),
    [anon_sym_fileprivate] = ACTIONS(3006),
    [anon_sym_open] = ACTIONS(3006),
    [anon_sym_mutating] = ACTIONS(3006),
    [anon_sym_nonmutating] = ACTIONS(3006),
    [anon_sym_static] = ACTIONS(3006),
    [anon_sym_dynamic] = ACTIONS(3006),
    [anon_sym_optional] = ACTIONS(3006),
    [anon_sym_distributed] = ACTIONS(3006),
    [anon_sym_final] = ACTIONS(3006),
    [anon_sym_inout] = ACTIONS(3006),
    [anon_sym_ATescaping] = ACTIONS(3008),
    [anon_sym_ATautoclosure] = ACTIONS(3008),
    [anon_sym_weak] = ACTIONS(3006),
    [anon_sym_unowned] = ACTIONS(3006),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3008),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3008),
    [anon_sym_borrowing] = ACTIONS(3006),
    [anon_sym_consuming] = ACTIONS(3006),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3008),
    [sym__explicit_semi] = ACTIONS(3008),
    [sym__dot_custom] = ACTIONS(3008),
    [sym__conjunction_operator_custom] = ACTIONS(3008),
    [sym__disjunction_operator_custom] = ACTIONS(3008),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3008),
    [sym__eq_custom] = ACTIONS(3008),
    [sym__eq_eq_custom] = ACTIONS(3008),
    [sym__plus_then_ws] = ACTIONS(3008),
    [sym__minus_then_ws] = ACTIONS(3008),
    [sym__bang_custom] = ACTIONS(3008),
    [sym_default_keyword] = ACTIONS(3008),
    [sym_where_keyword] = ACTIONS(3008),
    [sym__as_custom] = ACTIONS(3008),
    [sym__as_quest_custom] = ACTIONS(3008),
    [sym__as_bang_custom] = ACTIONS(3008),
    [sym__custom_operator] = ACTIONS(3008),
  },
  [907] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(3029),
    [aux_sym_simple_identifier_token2] = ACTIONS(3031),
    [aux_sym_simple_identifier_token3] = ACTIONS(3031),
    [aux_sym_simple_identifier_token4] = ACTIONS(3031),
    [anon_sym_actor] = ACTIONS(3029),
    [anon_sym_async] = ACTIONS(3029),
    [anon_sym_each] = ACTIONS(3029),
    [anon_sym_lazy] = ACTIONS(3029),
    [anon_sym_repeat] = ACTIONS(3029),
    [anon_sym_package] = ACTIONS(3029),
    [anon_sym_COMMA] = ACTIONS(3031),
    [anon_sym_LPAREN] = ACTIONS(3031),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_QMARK] = ACTIONS(3029),
    [anon_sym_QMARK2] = ACTIONS(3031),
    [anon_sym_AMP] = ACTIONS(3031),
    [aux_sym_custom_operator_token1] = ACTIONS(3031),
    [anon_sym_LT] = ACTIONS(3029),
    [anon_sym_GT] = ACTIONS(3029),
    [anon_sym_LBRACE] = ACTIONS(3031),
    [anon_sym_CARET_LBRACE] = ACTIONS(3031),
    [anon_sym_RBRACE] = ACTIONS(3031),
    [anon_sym_case] = ACTIONS(3029),
    [anon_sym_fallthrough] = ACTIONS(3029),
    [anon_sym_PLUS_EQ] = ACTIONS(3031),
    [anon_sym_DASH_EQ] = ACTIONS(3031),
    [anon_sym_STAR_EQ] = ACTIONS(3031),
    [anon_sym_SLASH_EQ] = ACTIONS(3031),
    [anon_sym_PERCENT_EQ] = ACTIONS(3031),
    [anon_sym_BANG_EQ] = ACTIONS(3029),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3031),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3031),
    [anon_sym_LT_EQ] = ACTIONS(3031),
    [anon_sym_GT_EQ] = ACTIONS(3031),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3031),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3031),
    [anon_sym_is] = ACTIONS(3029),
    [anon_sym_PLUS] = ACTIONS(3029),
    [anon_sym_DASH] = ACTIONS(3029),
    [anon_sym_STAR] = ACTIONS(3029),
    [anon_sym_SLASH] = ACTIONS(3029),
    [anon_sym_PERCENT] = ACTIONS(3029),
    [anon_sym_PLUS_PLUS] = ACTIONS(3031),
    [anon_sym_DASH_DASH] = ACTIONS(3031),
    [anon_sym_PIPE] = ACTIONS(3031),
    [anon_sym_CARET] = ACTIONS(3029),
    [anon_sym_LT_LT] = ACTIONS(3031),
    [anon_sym_GT_GT] = ACTIONS(3031),
    [anon_sym_class] = ACTIONS(3029),
    [anon_sym_BANG2] = ACTIONS(3029),
    [anon_sym_prefix] = ACTIONS(3029),
    [anon_sym_infix] = ACTIONS(3029),
    [anon_sym_postfix] = ACTIONS(3029),
    [anon_sym_AT] = ACTIONS(3029),
    [anon_sym_override] = ACTIONS(3029),
    [anon_sym_convenience] = ACTIONS(3029),
    [anon_sym_required] = ACTIONS(3029),
    [anon_sym_nonisolated] = ACTIONS(3029),
    [anon_sym_public] = ACTIONS(3029),
    [anon_sym_private] = ACTIONS(3029),
    [anon_sym_internal] = ACTIONS(3029),
    [anon_sym_fileprivate] = ACTIONS(3029),
    [anon_sym_open] = ACTIONS(3029),
    [anon_sym_mutating] = ACTIONS(3029),
    [anon_sym_nonmutating] = ACTIONS(3029),
    [anon_sym_static] = ACTIONS(3029),
    [anon_sym_dynamic] = ACTIONS(3029),
    [anon_sym_optional] = ACTIONS(3029),
    [anon_sym_distributed] = ACTIONS(3029),
    [anon_sym_final] = ACTIONS(3029),
    [anon_sym_inout] = ACTIONS(3029),
    [anon_sym_ATescaping] = ACTIONS(3031),
    [anon_sym_ATautoclosure] = ACTIONS(3031),
    [anon_sym_weak] = ACTIONS(3029),
    [anon_sym_unowned] = ACTIONS(3029),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3031),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3031),
    [anon_sym_borrowing] = ACTIONS(3029),
    [anon_sym_consuming] = ACTIONS(3029),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3031),
    [sym__explicit_semi] = ACTIONS(3031),
    [sym__dot_custom] = ACTIONS(3031),
    [sym__conjunction_operator_custom] = ACTIONS(3031),
    [sym__disjunction_operator_custom] = ACTIONS(3031),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3031),
    [sym__eq_custom] = ACTIONS(3031),
    [sym__eq_eq_custom] = ACTIONS(3031),
    [sym__plus_then_ws] = ACTIONS(3031),
    [sym__minus_then_ws] = ACTIONS(3031),
    [sym__bang_custom] = ACTIONS(3031),
    [sym_default_keyword] = ACTIONS(3031),
    [sym_where_keyword] = ACTIONS(3031),
    [sym__as_custom] = ACTIONS(3031),
    [sym__as_quest_custom] = ACTIONS(3031),
    [sym__as_bang_custom] = ACTIONS(3031),
    [sym__custom_operator] = ACTIONS(3031),
  },
  [908] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(3018),
    [aux_sym_simple_identifier_token2] = ACTIONS(3020),
    [aux_sym_simple_identifier_token3] = ACTIONS(3020),
    [aux_sym_simple_identifier_token4] = ACTIONS(3020),
    [anon_sym_actor] = ACTIONS(3018),
    [anon_sym_async] = ACTIONS(3018),
    [anon_sym_each] = ACTIONS(3018),
    [anon_sym_lazy] = ACTIONS(3022),
    [anon_sym_repeat] = ACTIONS(3018),
    [anon_sym_package] = ACTIONS(3022),
    [anon_sym_COMMA] = ACTIONS(3024),
    [anon_sym_LPAREN] = ACTIONS(3024),
    [anon_sym_LBRACK] = ACTIONS(3024),
    [anon_sym_QMARK] = ACTIONS(3022),
    [anon_sym_QMARK2] = ACTIONS(3024),
    [anon_sym_AMP] = ACTIONS(3024),
    [aux_sym_custom_operator_token1] = ACTIONS(3024),
    [anon_sym_LT] = ACTIONS(3022),
    [anon_sym_GT] = ACTIONS(3022),
    [anon_sym_LBRACE] = ACTIONS(3024),
    [anon_sym_CARET_LBRACE] = ACTIONS(3024),
    [anon_sym_RBRACE] = ACTIONS(3024),
    [anon_sym_case] = ACTIONS(3022),
    [anon_sym_fallthrough] = ACTIONS(3022),
    [anon_sym_PLUS_EQ] = ACTIONS(3024),
    [anon_sym_DASH_EQ] = ACTIONS(3024),
    [anon_sym_STAR_EQ] = ACTIONS(3024),
    [anon_sym_SLASH_EQ] = ACTIONS(3024),
    [anon_sym_PERCENT_EQ] = ACTIONS(3024),
    [anon_sym_BANG_EQ] = ACTIONS(3022),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3024),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3024),
    [anon_sym_LT_EQ] = ACTIONS(3024),
    [anon_sym_GT_EQ] = ACTIONS(3024),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3024),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3024),
    [anon_sym_is] = ACTIONS(3022),
    [anon_sym_PLUS] = ACTIONS(3022),
    [anon_sym_DASH] = ACTIONS(3022),
    [anon_sym_STAR] = ACTIONS(3022),
    [anon_sym_SLASH] = ACTIONS(3022),
    [anon_sym_PERCENT] = ACTIONS(3022),
    [anon_sym_PLUS_PLUS] = ACTIONS(3024),
    [anon_sym_DASH_DASH] = ACTIONS(3024),
    [anon_sym_PIPE] = ACTIONS(3024),
    [anon_sym_CARET] = ACTIONS(3022),
    [anon_sym_LT_LT] = ACTIONS(3024),
    [anon_sym_GT_GT] = ACTIONS(3024),
    [anon_sym_class] = ACTIONS(3022),
    [anon_sym_BANG2] = ACTIONS(3022),
    [anon_sym_prefix] = ACTIONS(3022),
    [anon_sym_infix] = ACTIONS(3022),
    [anon_sym_postfix] = ACTIONS(3022),
    [anon_sym_AT] = ACTIONS(3022),
    [anon_sym_override] = ACTIONS(3022),
    [anon_sym_convenience] = ACTIONS(3022),
    [anon_sym_required] = ACTIONS(3022),
    [anon_sym_nonisolated] = ACTIONS(3022),
    [anon_sym_public] = ACTIONS(3022),
    [anon_sym_private] = ACTIONS(3022),
    [anon_sym_internal] = ACTIONS(3022),
    [anon_sym_fileprivate] = ACTIONS(3022),
    [anon_sym_open] = ACTIONS(3022),
    [anon_sym_mutating] = ACTIONS(3022),
    [anon_sym_nonmutating] = ACTIONS(3022),
    [anon_sym_static] = ACTIONS(3022),
    [anon_sym_dynamic] = ACTIONS(3022),
    [anon_sym_optional] = ACTIONS(3022),
    [anon_sym_distributed] = ACTIONS(3022),
    [anon_sym_final] = ACTIONS(3022),
    [anon_sym_inout] = ACTIONS(3022),
    [anon_sym_ATescaping] = ACTIONS(3024),
    [anon_sym_ATautoclosure] = ACTIONS(3024),
    [anon_sym_weak] = ACTIONS(3022),
    [anon_sym_unowned] = ACTIONS(3022),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3024),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3024),
    [anon_sym_borrowing] = ACTIONS(3022),
    [anon_sym_consuming] = ACTIONS(3022),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3024),
    [sym__explicit_semi] = ACTIONS(3024),
    [sym__dot_custom] = ACTIONS(3024),
    [sym__conjunction_operator_custom] = ACTIONS(3024),
    [sym__disjunction_operator_custom] = ACTIONS(3024),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3024),
    [sym__eq_custom] = ACTIONS(3024),
    [sym__eq_eq_custom] = ACTIONS(3024),
    [sym__plus_then_ws] = ACTIONS(3024),
    [sym__minus_then_ws] = ACTIONS(3024),
    [sym__bang_custom] = ACTIONS(3024),
    [sym_default_keyword] = ACTIONS(3024),
    [sym_where_keyword] = ACTIONS(3024),
    [sym__as_custom] = ACTIONS(3024),
    [sym__as_quest_custom] = ACTIONS(3024),
    [sym__as_bang_custom] = ACTIONS(3024),
    [sym__custom_operator] = ACTIONS(3024),
  },
  [909] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(3033),
    [aux_sym_simple_identifier_token2] = ACTIONS(3035),
    [aux_sym_simple_identifier_token3] = ACTIONS(3035),
    [aux_sym_simple_identifier_token4] = ACTIONS(3035),
    [anon_sym_actor] = ACTIONS(3033),
    [anon_sym_async] = ACTIONS(3033),
    [anon_sym_each] = ACTIONS(3033),
    [anon_sym_lazy] = ACTIONS(3033),
    [anon_sym_repeat] = ACTIONS(3033),
    [anon_sym_package] = ACTIONS(3033),
    [anon_sym_COMMA] = ACTIONS(3035),
    [anon_sym_LPAREN] = ACTIONS(3035),
    [anon_sym_LBRACK] = ACTIONS(3035),
    [anon_sym_QMARK] = ACTIONS(3033),
    [anon_sym_QMARK2] = ACTIONS(3035),
    [anon_sym_AMP] = ACTIONS(3035),
    [aux_sym_custom_operator_token1] = ACTIONS(3035),
    [anon_sym_LT] = ACTIONS(3033),
    [anon_sym_GT] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_CARET_LBRACE] = ACTIONS(3035),
    [anon_sym_RBRACE] = ACTIONS(3035),
    [anon_sym_case] = ACTIONS(3033),
    [anon_sym_fallthrough] = ACTIONS(3033),
    [anon_sym_PLUS_EQ] = ACTIONS(3035),
    [anon_sym_DASH_EQ] = ACTIONS(3035),
    [anon_sym_STAR_EQ] = ACTIONS(3035),
    [anon_sym_SLASH_EQ] = ACTIONS(3035),
    [anon_sym_PERCENT_EQ] = ACTIONS(3035),
    [anon_sym_BANG_EQ] = ACTIONS(3033),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3035),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3035),
    [anon_sym_LT_EQ] = ACTIONS(3035),
    [anon_sym_GT_EQ] = ACTIONS(3035),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3035),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3035),
    [anon_sym_is] = ACTIONS(3033),
    [anon_sym_PLUS] = ACTIONS(3033),
    [anon_sym_DASH] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3033),
    [anon_sym_SLASH] = ACTIONS(3033),
    [anon_sym_PERCENT] = ACTIONS(3033),
    [anon_sym_PLUS_PLUS] = ACTIONS(3035),
    [anon_sym_DASH_DASH] = ACTIONS(3035),
    [anon_sym_PIPE] = ACTIONS(3035),
    [anon_sym_CARET] = ACTIONS(3033),
    [anon_sym_LT_LT] = ACTIONS(3035),
    [anon_sym_GT_GT] = ACTIONS(3035),
    [anon_sym_class] = ACTIONS(3033),
    [anon_sym_BANG2] = ACTIONS(3033),
    [anon_sym_prefix] = ACTIONS(3033),
    [anon_sym_infix] = ACTIONS(3033),
    [anon_sym_postfix] = ACTIONS(3033),
    [anon_sym_AT] = ACTIONS(3033),
    [anon_sym_override] = ACTIONS(3033),
    [anon_sym_convenience] = ACTIONS(3033),
    [anon_sym_required] = ACTIONS(3033),
    [anon_sym_nonisolated] = ACTIONS(3033),
    [anon_sym_public] = ACTIONS(3033),
    [anon_sym_private] = ACTIONS(3033),
    [anon_sym_internal] = ACTIONS(3033),
    [anon_sym_fileprivate] = ACTIONS(3033),
    [anon_sym_open] = ACTIONS(3033),
    [anon_sym_mutating] = ACTIONS(3033),
    [anon_sym_nonmutating] = ACTIONS(3033),
    [anon_sym_static] = ACTIONS(3033),
    [anon_sym_dynamic] = ACTIONS(3033),
    [anon_sym_optional] = ACTIONS(3033),
    [anon_sym_distributed] = ACTIONS(3033),
    [anon_sym_final] = ACTIONS(3033),
    [anon_sym_inout] = ACTIONS(3033),
    [anon_sym_ATescaping] = ACTIONS(3035),
    [anon_sym_ATautoclosure] = ACTIONS(3035),
    [anon_sym_weak] = ACTIONS(3033),
    [anon_sym_unowned] = ACTIONS(3033),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3035),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3035),
    [anon_sym_borrowing] = ACTIONS(3033),
    [anon_sym_consuming] = ACTIONS(3033),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3035),
    [sym__explicit_semi] = ACTIONS(3035),
    [sym__dot_custom] = ACTIONS(3035),
    [sym__conjunction_operator_custom] = ACTIONS(3035),
    [sym__disjunction_operator_custom] = ACTIONS(3035),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3035),
    [sym__eq_custom] = ACTIONS(3035),
    [sym__eq_eq_custom] = ACTIONS(3035),
    [sym__plus_then_ws] = ACTIONS(3035),
    [sym__minus_then_ws] = ACTIONS(3035),
    [sym__bang_custom] = ACTIONS(3035),
    [sym_default_keyword] = ACTIONS(3035),
    [sym_where_keyword] = ACTIONS(3035),
    [sym__as_custom] = ACTIONS(3035),
    [sym__as_quest_custom] = ACTIONS(3035),
    [sym__as_bang_custom] = ACTIONS(3035),
    [sym__custom_operator] = ACTIONS(3035),
  },
  [910] = {
    [sym__arrow_operator] = STATE(3850),
    [sym__async_keyword] = STATE(6090),
    [sym_throws] = STATE(7430),
    [aux_sym_protocol_composition_type_repeat1] = STATE(951),
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(2888),
    [anon_sym_package] = ACTIONS(2888),
    [anon_sym_COMMA] = ACTIONS(2888),
    [anon_sym_LPAREN] = ACTIONS(2888),
    [anon_sym_LBRACK] = ACTIONS(2888),
    [anon_sym_DOT] = ACTIONS(3451),
    [anon_sym_QMARK] = ACTIONS(2890),
    [anon_sym_QMARK2] = ACTIONS(2888),
    [anon_sym_AMP] = ACTIONS(3453),
    [aux_sym_custom_operator_token1] = ACTIONS(2888),
    [anon_sym_LT] = ACTIONS(2890),
    [anon_sym_GT] = ACTIONS(2890),
    [anon_sym_LBRACE] = ACTIONS(2888),
    [anon_sym_CARET_LBRACE] = ACTIONS(2888),
    [anon_sym_RBRACE] = ACTIONS(2888),
    [anon_sym_case] = ACTIONS(2888),
    [anon_sym_fallthrough] = ACTIONS(2888),
    [anon_sym_PLUS_EQ] = ACTIONS(2888),
    [anon_sym_DASH_EQ] = ACTIONS(2888),
    [anon_sym_STAR_EQ] = ACTIONS(2888),
    [anon_sym_SLASH_EQ] = ACTIONS(2888),
    [anon_sym_PERCENT_EQ] = ACTIONS(2888),
    [anon_sym_BANG_EQ] = ACTIONS(2890),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2888),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2888),
    [anon_sym_LT_EQ] = ACTIONS(2888),
    [anon_sym_GT_EQ] = ACTIONS(2888),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2888),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2888),
    [anon_sym_is] = ACTIONS(2888),
    [anon_sym_PLUS] = ACTIONS(2890),
    [anon_sym_DASH] = ACTIONS(2890),
    [anon_sym_STAR] = ACTIONS(2890),
    [anon_sym_SLASH] = ACTIONS(2890),
    [anon_sym_PERCENT] = ACTIONS(2890),
    [anon_sym_PLUS_PLUS] = ACTIONS(2888),
    [anon_sym_DASH_DASH] = ACTIONS(2888),
    [anon_sym_PIPE] = ACTIONS(2888),
    [anon_sym_CARET] = ACTIONS(2890),
    [anon_sym_LT_LT] = ACTIONS(2888),
    [anon_sym_GT_GT] = ACTIONS(2888),
    [anon_sym_class] = ACTIONS(2888),
    [anon_sym_BANG2] = ACTIONS(2890),
    [anon_sym_prefix] = ACTIONS(2888),
    [anon_sym_infix] = ACTIONS(2888),
    [anon_sym_postfix] = ACTIONS(2888),
    [anon_sym_AT] = ACTIONS(2890),
    [anon_sym_override] = ACTIONS(2888),
    [anon_sym_convenience] = ACTIONS(2888),
    [anon_sym_required] = ACTIONS(2888),
    [anon_sym_nonisolated] = ACTIONS(2888),
    [anon_sym_public] = ACTIONS(2888),
    [anon_sym_private] = ACTIONS(2888),
    [anon_sym_internal] = ACTIONS(2888),
    [anon_sym_fileprivate] = ACTIONS(2888),
    [anon_sym_open] = ACTIONS(2888),
    [anon_sym_mutating] = ACTIONS(2888),
    [anon_sym_nonmutating] = ACTIONS(2888),
    [anon_sym_static] = ACTIONS(2888),
    [anon_sym_dynamic] = ACTIONS(2888),
    [anon_sym_optional] = ACTIONS(2888),
    [anon_sym_distributed] = ACTIONS(2888),
    [anon_sym_final] = ACTIONS(2888),
    [anon_sym_inout] = ACTIONS(2888),
    [anon_sym_ATescaping] = ACTIONS(2888),
    [anon_sym_ATautoclosure] = ACTIONS(2888),
    [anon_sym_weak] = ACTIONS(2888),
    [anon_sym_unowned] = ACTIONS(2890),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2888),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2888),
    [anon_sym_borrowing] = ACTIONS(2888),
    [anon_sym_consuming] = ACTIONS(2888),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2888),
    [sym__explicit_semi] = ACTIONS(2888),
    [sym__arrow_operator_custom] = ACTIONS(3440),
    [sym__dot_custom] = ACTIONS(2888),
    [sym__conjunction_operator_custom] = ACTIONS(2888),
    [sym__disjunction_operator_custom] = ACTIONS(2888),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2888),
    [sym__eq_custom] = ACTIONS(2888),
    [sym__eq_eq_custom] = ACTIONS(2888),
    [sym__plus_then_ws] = ACTIONS(2888),
    [sym__minus_then_ws] = ACTIONS(2888),
    [sym__bang_custom] = ACTIONS(2888),
    [sym__throws_keyword] = ACTIONS(2848),
    [sym__rethrows_keyword] = ACTIONS(2848),
    [sym_default_keyword] = ACTIONS(2888),
    [sym__as_custom] = ACTIONS(2888),
    [sym__as_quest_custom] = ACTIONS(2888),
    [sym__as_bang_custom] = ACTIONS(2888),
    [sym__async_keyword_custom] = ACTIONS(3442),
    [sym__custom_operator] = ACTIONS(2888),
  },
  [911] = {
    [sym__arrow_operator] = STATE(3850),
    [sym__async_keyword] = STATE(6090),
    [sym_throws] = STATE(7430),
    [aux_sym_protocol_composition_type_repeat1] = STATE(951),
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(2896),
    [anon_sym_package] = ACTIONS(2896),
    [anon_sym_COMMA] = ACTIONS(2896),
    [anon_sym_LPAREN] = ACTIONS(2896),
    [anon_sym_LBRACK] = ACTIONS(2896),
    [anon_sym_DOT] = ACTIONS(3451),
    [anon_sym_QMARK] = ACTIONS(2898),
    [anon_sym_QMARK2] = ACTIONS(2896),
    [anon_sym_AMP] = ACTIONS(3453),
    [aux_sym_custom_operator_token1] = ACTIONS(2896),
    [anon_sym_LT] = ACTIONS(2898),
    [anon_sym_GT] = ACTIONS(2898),
    [anon_sym_LBRACE] = ACTIONS(2896),
    [anon_sym_CARET_LBRACE] = ACTIONS(2896),
    [anon_sym_RBRACE] = ACTIONS(2896),
    [anon_sym_case] = ACTIONS(2896),
    [anon_sym_fallthrough] = ACTIONS(2896),
    [anon_sym_PLUS_EQ] = ACTIONS(2896),
    [anon_sym_DASH_EQ] = ACTIONS(2896),
    [anon_sym_STAR_EQ] = ACTIONS(2896),
    [anon_sym_SLASH_EQ] = ACTIONS(2896),
    [anon_sym_PERCENT_EQ] = ACTIONS(2896),
    [anon_sym_BANG_EQ] = ACTIONS(2898),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2896),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2896),
    [anon_sym_LT_EQ] = ACTIONS(2896),
    [anon_sym_GT_EQ] = ACTIONS(2896),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2896),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2896),
    [anon_sym_is] = ACTIONS(2896),
    [anon_sym_PLUS] = ACTIONS(2898),
    [anon_sym_DASH] = ACTIONS(2898),
    [anon_sym_STAR] = ACTIONS(2898),
    [anon_sym_SLASH] = ACTIONS(2898),
    [anon_sym_PERCENT] = ACTIONS(2898),
    [anon_sym_PLUS_PLUS] = ACTIONS(2896),
    [anon_sym_DASH_DASH] = ACTIONS(2896),
    [anon_sym_PIPE] = ACTIONS(2896),
    [anon_sym_CARET] = ACTIONS(2898),
    [anon_sym_LT_LT] = ACTIONS(2896),
    [anon_sym_GT_GT] = ACTIONS(2896),
    [anon_sym_class] = ACTIONS(2896),
    [anon_sym_BANG2] = ACTIONS(2898),
    [anon_sym_prefix] = ACTIONS(2896),
    [anon_sym_infix] = ACTIONS(2896),
    [anon_sym_postfix] = ACTIONS(2896),
    [anon_sym_AT] = ACTIONS(2898),
    [anon_sym_override] = ACTIONS(2896),
    [anon_sym_convenience] = ACTIONS(2896),
    [anon_sym_required] = ACTIONS(2896),
    [anon_sym_nonisolated] = ACTIONS(2896),
    [anon_sym_public] = ACTIONS(2896),
    [anon_sym_private] = ACTIONS(2896),
    [anon_sym_internal] = ACTIONS(2896),
    [anon_sym_fileprivate] = ACTIONS(2896),
    [anon_sym_open] = ACTIONS(2896),
    [anon_sym_mutating] = ACTIONS(2896),
    [anon_sym_nonmutating] = ACTIONS(2896),
    [anon_sym_static] = ACTIONS(2896),
    [anon_sym_dynamic] = ACTIONS(2896),
    [anon_sym_optional] = ACTIONS(2896),
    [anon_sym_distributed] = ACTIONS(2896),
    [anon_sym_final] = ACTIONS(2896),
    [anon_sym_inout] = ACTIONS(2896),
    [anon_sym_ATescaping] = ACTIONS(2896),
    [anon_sym_ATautoclosure] = ACTIONS(2896),
    [anon_sym_weak] = ACTIONS(2896),
    [anon_sym_unowned] = ACTIONS(2898),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2896),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2896),
    [anon_sym_borrowing] = ACTIONS(2896),
    [anon_sym_consuming] = ACTIONS(2896),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2896),
    [sym__explicit_semi] = ACTIONS(2896),
    [sym__arrow_operator_custom] = ACTIONS(3440),
    [sym__dot_custom] = ACTIONS(2896),
    [sym__conjunction_operator_custom] = ACTIONS(2896),
    [sym__disjunction_operator_custom] = ACTIONS(2896),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2896),
    [sym__eq_custom] = ACTIONS(2896),
    [sym__eq_eq_custom] = ACTIONS(2896),
    [sym__plus_then_ws] = ACTIONS(2896),
    [sym__minus_then_ws] = ACTIONS(2896),
    [sym__bang_custom] = ACTIONS(2896),
    [sym__throws_keyword] = ACTIONS(2848),
    [sym__rethrows_keyword] = ACTIONS(2848),
    [sym_default_keyword] = ACTIONS(2896),
    [sym__as_custom] = ACTIONS(2896),
    [sym__as_quest_custom] = ACTIONS(2896),
    [sym__as_bang_custom] = ACTIONS(2896),
    [sym__async_keyword_custom] = ACTIONS(3442),
    [sym__custom_operator] = ACTIONS(2896),
  },
  [912] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(3004),
    [anon_sym_async] = ACTIONS(3004),
    [anon_sym_lazy] = ACTIONS(3455),
    [anon_sym_package] = ACTIONS(631),
    [anon_sym_LPAREN] = ACTIONS(631),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_QMARK] = ACTIONS(637),
    [anon_sym_QMARK2] = ACTIONS(631),
    [anon_sym_AMP] = ACTIONS(631),
    [aux_sym_custom_operator_token1] = ACTIONS(631),
    [anon_sym_LT] = ACTIONS(637),
    [anon_sym_GT] = ACTIONS(637),
    [anon_sym_LBRACE] = ACTIONS(631),
    [anon_sym_CARET_LBRACE] = ACTIONS(631),
    [anon_sym_RBRACE] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(631),
    [anon_sym_fallthrough] = ACTIONS(631),
    [anon_sym_PLUS_EQ] = ACTIONS(631),
    [anon_sym_DASH_EQ] = ACTIONS(631),
    [anon_sym_STAR_EQ] = ACTIONS(631),
    [anon_sym_SLASH_EQ] = ACTIONS(631),
    [anon_sym_PERCENT_EQ] = ACTIONS(631),
    [anon_sym_BANG_EQ] = ACTIONS(637),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(631),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(631),
    [anon_sym_LT_EQ] = ACTIONS(631),
    [anon_sym_GT_EQ] = ACTIONS(631),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(631),
    [anon_sym_DOT_DOT_LT] = ACTIONS(631),
    [anon_sym_is] = ACTIONS(631),
    [anon_sym_PLUS] = ACTIONS(637),
    [anon_sym_DASH] = ACTIONS(637),
    [anon_sym_STAR] = ACTIONS(637),
    [anon_sym_SLASH] = ACTIONS(637),
    [anon_sym_PERCENT] = ACTIONS(637),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PIPE] = ACTIONS(631),
    [anon_sym_CARET] = ACTIONS(637),
    [anon_sym_LT_LT] = ACTIONS(631),
    [anon_sym_GT_GT] = ACTIONS(631),
    [anon_sym_typealias] = ACTIONS(3004),
    [anon_sym_struct] = ACTIONS(3004),
    [anon_sym_class] = ACTIONS(3455),
    [anon_sym_enum] = ACTIONS(3004),
    [anon_sym_let] = ACTIONS(3004),
    [anon_sym_var] = ACTIONS(3004),
    [anon_sym_func] = ACTIONS(3004),
    [anon_sym_extension] = ACTIONS(3004),
    [anon_sym_indirect] = ACTIONS(3004),
    [anon_sym_BANG2] = ACTIONS(637),
    [anon_sym_prefix] = ACTIONS(631),
    [anon_sym_infix] = ACTIONS(631),
    [anon_sym_postfix] = ACTIONS(631),
    [anon_sym_AT] = ACTIONS(2999),
    [anon_sym_override] = ACTIONS(631),
    [anon_sym_convenience] = ACTIONS(631),
    [anon_sym_required] = ACTIONS(631),
    [anon_sym_nonisolated] = ACTIONS(631),
    [anon_sym_public] = ACTIONS(631),
    [anon_sym_private] = ACTIONS(631),
    [anon_sym_internal] = ACTIONS(631),
    [anon_sym_fileprivate] = ACTIONS(631),
    [anon_sym_open] = ACTIONS(631),
    [anon_sym_mutating] = ACTIONS(631),
    [anon_sym_nonmutating] = ACTIONS(631),
    [anon_sym_static] = ACTIONS(631),
    [anon_sym_dynamic] = ACTIONS(631),
    [anon_sym_optional] = ACTIONS(631),
    [anon_sym_distributed] = ACTIONS(631),
    [anon_sym_final] = ACTIONS(3455),
    [anon_sym_inout] = ACTIONS(631),
    [anon_sym_ATescaping] = ACTIONS(631),
    [anon_sym_ATautoclosure] = ACTIONS(631),
    [anon_sym_weak] = ACTIONS(3455),
    [anon_sym_unowned] = ACTIONS(2999),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3455),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3455),
    [anon_sym_borrowing] = ACTIONS(631),
    [anon_sym_consuming] = ACTIONS(631),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(631),
    [sym__explicit_semi] = ACTIONS(631),
    [sym__dot_custom] = ACTIONS(631),
    [sym__conjunction_operator_custom] = ACTIONS(631),
    [sym__disjunction_operator_custom] = ACTIONS(631),
    [sym__nil_coalescing_operator_custom] = ACTIONS(631),
    [sym__eq_custom] = ACTIONS(631),
    [sym__eq_eq_custom] = ACTIONS(631),
    [sym__plus_then_ws] = ACTIONS(631),
    [sym__minus_then_ws] = ACTIONS(631),
    [sym__bang_custom] = ACTIONS(631),
    [sym_default_keyword] = ACTIONS(631),
    [sym__as_custom] = ACTIONS(631),
    [sym__as_quest_custom] = ACTIONS(631),
    [sym__as_bang_custom] = ACTIONS(631),
    [sym__custom_operator] = ACTIONS(631),
  },
  [913] = {
    [sym__arrow_operator] = STATE(3850),
    [sym__async_keyword] = STATE(6090),
    [sym_throws] = STATE(7430),
    [aux_sym_protocol_composition_type_repeat1] = STATE(951),
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(2878),
    [anon_sym_package] = ACTIONS(2878),
    [anon_sym_COMMA] = ACTIONS(2878),
    [anon_sym_LPAREN] = ACTIONS(2878),
    [anon_sym_LBRACK] = ACTIONS(2878),
    [anon_sym_DOT] = ACTIONS(2880),
    [anon_sym_QMARK] = ACTIONS(2880),
    [anon_sym_QMARK2] = ACTIONS(2878),
    [anon_sym_AMP] = ACTIONS(2878),
    [aux_sym_custom_operator_token1] = ACTIONS(2878),
    [anon_sym_LT] = ACTIONS(2880),
    [anon_sym_GT] = ACTIONS(2880),
    [anon_sym_LBRACE] = ACTIONS(2878),
    [anon_sym_CARET_LBRACE] = ACTIONS(2878),
    [anon_sym_RBRACE] = ACTIONS(2878),
    [anon_sym_case] = ACTIONS(2878),
    [anon_sym_fallthrough] = ACTIONS(2878),
    [anon_sym_PLUS_EQ] = ACTIONS(2878),
    [anon_sym_DASH_EQ] = ACTIONS(2878),
    [anon_sym_STAR_EQ] = ACTIONS(2878),
    [anon_sym_SLASH_EQ] = ACTIONS(2878),
    [anon_sym_PERCENT_EQ] = ACTIONS(2878),
    [anon_sym_BANG_EQ] = ACTIONS(2880),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2878),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2878),
    [anon_sym_LT_EQ] = ACTIONS(2878),
    [anon_sym_GT_EQ] = ACTIONS(2878),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2878),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2878),
    [anon_sym_is] = ACTIONS(2878),
    [anon_sym_PLUS] = ACTIONS(2880),
    [anon_sym_DASH] = ACTIONS(2880),
    [anon_sym_STAR] = ACTIONS(2880),
    [anon_sym_SLASH] = ACTIONS(2880),
    [anon_sym_PERCENT] = ACTIONS(2880),
    [anon_sym_PLUS_PLUS] = ACTIONS(2878),
    [anon_sym_DASH_DASH] = ACTIONS(2878),
    [anon_sym_PIPE] = ACTIONS(2878),
    [anon_sym_CARET] = ACTIONS(2880),
    [anon_sym_LT_LT] = ACTIONS(2878),
    [anon_sym_GT_GT] = ACTIONS(2878),
    [anon_sym_class] = ACTIONS(2878),
    [anon_sym_BANG2] = ACTIONS(2880),
    [anon_sym_prefix] = ACTIONS(2878),
    [anon_sym_infix] = ACTIONS(2878),
    [anon_sym_postfix] = ACTIONS(2878),
    [anon_sym_AT] = ACTIONS(2880),
    [anon_sym_override] = ACTIONS(2878),
    [anon_sym_convenience] = ACTIONS(2878),
    [anon_sym_required] = ACTIONS(2878),
    [anon_sym_nonisolated] = ACTIONS(2878),
    [anon_sym_public] = ACTIONS(2878),
    [anon_sym_private] = ACTIONS(2878),
    [anon_sym_internal] = ACTIONS(2878),
    [anon_sym_fileprivate] = ACTIONS(2878),
    [anon_sym_open] = ACTIONS(2878),
    [anon_sym_mutating] = ACTIONS(2878),
    [anon_sym_nonmutating] = ACTIONS(2878),
    [anon_sym_static] = ACTIONS(2878),
    [anon_sym_dynamic] = ACTIONS(2878),
    [anon_sym_optional] = ACTIONS(2878),
    [anon_sym_distributed] = ACTIONS(2878),
    [anon_sym_final] = ACTIONS(2878),
    [anon_sym_inout] = ACTIONS(2878),
    [anon_sym_ATescaping] = ACTIONS(2878),
    [anon_sym_ATautoclosure] = ACTIONS(2878),
    [anon_sym_weak] = ACTIONS(2878),
    [anon_sym_unowned] = ACTIONS(2880),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2878),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2878),
    [anon_sym_borrowing] = ACTIONS(2878),
    [anon_sym_consuming] = ACTIONS(2878),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2878),
    [sym__explicit_semi] = ACTIONS(2878),
    [sym__arrow_operator_custom] = ACTIONS(2878),
    [sym__dot_custom] = ACTIONS(2878),
    [sym__conjunction_operator_custom] = ACTIONS(2878),
    [sym__disjunction_operator_custom] = ACTIONS(2878),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2878),
    [sym__eq_custom] = ACTIONS(2878),
    [sym__eq_eq_custom] = ACTIONS(2878),
    [sym__plus_then_ws] = ACTIONS(2878),
    [sym__minus_then_ws] = ACTIONS(2878),
    [sym__bang_custom] = ACTIONS(2878),
    [sym__throws_keyword] = ACTIONS(2878),
    [sym__rethrows_keyword] = ACTIONS(2878),
    [sym_default_keyword] = ACTIONS(2878),
    [sym__as_custom] = ACTIONS(2878),
    [sym__as_quest_custom] = ACTIONS(2878),
    [sym__as_bang_custom] = ACTIONS(2878),
    [sym__async_keyword_custom] = ACTIONS(2878),
    [sym__custom_operator] = ACTIONS(2878),
  },
  [914] = {
    [sym__arrow_operator] = STATE(3850),
    [sym__async_keyword] = STATE(6090),
    [sym_throws] = STATE(7430),
    [aux_sym_protocol_composition_type_repeat1] = STATE(951),
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(2874),
    [anon_sym_package] = ACTIONS(2874),
    [anon_sym_COMMA] = ACTIONS(2874),
    [anon_sym_LPAREN] = ACTIONS(2874),
    [anon_sym_LBRACK] = ACTIONS(2874),
    [anon_sym_DOT] = ACTIONS(3451),
    [anon_sym_QMARK] = ACTIONS(2876),
    [anon_sym_QMARK2] = ACTIONS(2874),
    [anon_sym_AMP] = ACTIONS(3453),
    [aux_sym_custom_operator_token1] = ACTIONS(2874),
    [anon_sym_LT] = ACTIONS(2876),
    [anon_sym_GT] = ACTIONS(2876),
    [anon_sym_LBRACE] = ACTIONS(2874),
    [anon_sym_CARET_LBRACE] = ACTIONS(2874),
    [anon_sym_RBRACE] = ACTIONS(2874),
    [anon_sym_case] = ACTIONS(2874),
    [anon_sym_fallthrough] = ACTIONS(2874),
    [anon_sym_PLUS_EQ] = ACTIONS(2874),
    [anon_sym_DASH_EQ] = ACTIONS(2874),
    [anon_sym_STAR_EQ] = ACTIONS(2874),
    [anon_sym_SLASH_EQ] = ACTIONS(2874),
    [anon_sym_PERCENT_EQ] = ACTIONS(2874),
    [anon_sym_BANG_EQ] = ACTIONS(2876),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2874),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2874),
    [anon_sym_LT_EQ] = ACTIONS(2874),
    [anon_sym_GT_EQ] = ACTIONS(2874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2874),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2874),
    [anon_sym_is] = ACTIONS(2874),
    [anon_sym_PLUS] = ACTIONS(2876),
    [anon_sym_DASH] = ACTIONS(2876),
    [anon_sym_STAR] = ACTIONS(2876),
    [anon_sym_SLASH] = ACTIONS(2876),
    [anon_sym_PERCENT] = ACTIONS(2876),
    [anon_sym_PLUS_PLUS] = ACTIONS(2874),
    [anon_sym_DASH_DASH] = ACTIONS(2874),
    [anon_sym_PIPE] = ACTIONS(2874),
    [anon_sym_CARET] = ACTIONS(2876),
    [anon_sym_LT_LT] = ACTIONS(2874),
    [anon_sym_GT_GT] = ACTIONS(2874),
    [anon_sym_class] = ACTIONS(2874),
    [anon_sym_BANG2] = ACTIONS(2876),
    [anon_sym_prefix] = ACTIONS(2874),
    [anon_sym_infix] = ACTIONS(2874),
    [anon_sym_postfix] = ACTIONS(2874),
    [anon_sym_AT] = ACTIONS(2876),
    [anon_sym_override] = ACTIONS(2874),
    [anon_sym_convenience] = ACTIONS(2874),
    [anon_sym_required] = ACTIONS(2874),
    [anon_sym_nonisolated] = ACTIONS(2874),
    [anon_sym_public] = ACTIONS(2874),
    [anon_sym_private] = ACTIONS(2874),
    [anon_sym_internal] = ACTIONS(2874),
    [anon_sym_fileprivate] = ACTIONS(2874),
    [anon_sym_open] = ACTIONS(2874),
    [anon_sym_mutating] = ACTIONS(2874),
    [anon_sym_nonmutating] = ACTIONS(2874),
    [anon_sym_static] = ACTIONS(2874),
    [anon_sym_dynamic] = ACTIONS(2874),
    [anon_sym_optional] = ACTIONS(2874),
    [anon_sym_distributed] = ACTIONS(2874),
    [anon_sym_final] = ACTIONS(2874),
    [anon_sym_inout] = ACTIONS(2874),
    [anon_sym_ATescaping] = ACTIONS(2874),
    [anon_sym_ATautoclosure] = ACTIONS(2874),
    [anon_sym_weak] = ACTIONS(2874),
    [anon_sym_unowned] = ACTIONS(2876),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2874),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2874),
    [anon_sym_borrowing] = ACTIONS(2874),
    [anon_sym_consuming] = ACTIONS(2874),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2874),
    [sym__explicit_semi] = ACTIONS(2874),
    [sym__arrow_operator_custom] = ACTIONS(3440),
    [sym__dot_custom] = ACTIONS(2874),
    [sym__conjunction_operator_custom] = ACTIONS(2874),
    [sym__disjunction_operator_custom] = ACTIONS(2874),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2874),
    [sym__eq_custom] = ACTIONS(2874),
    [sym__eq_eq_custom] = ACTIONS(2874),
    [sym__plus_then_ws] = ACTIONS(2874),
    [sym__minus_then_ws] = ACTIONS(2874),
    [sym__bang_custom] = ACTIONS(2874),
    [sym__throws_keyword] = ACTIONS(2848),
    [sym__rethrows_keyword] = ACTIONS(2848),
    [sym_default_keyword] = ACTIONS(2874),
    [sym__as_custom] = ACTIONS(2874),
    [sym__as_quest_custom] = ACTIONS(2874),
    [sym__as_bang_custom] = ACTIONS(2874),
    [sym__async_keyword_custom] = ACTIONS(3442),
    [sym__custom_operator] = ACTIONS(2874),
  },
  [915] = {
    [sym__arrow_operator] = STATE(3850),
    [sym__async_keyword] = STATE(6090),
    [sym_throws] = STATE(7430),
    [aux_sym_protocol_composition_type_repeat1] = STATE(951),
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(2866),
    [anon_sym_package] = ACTIONS(2866),
    [anon_sym_COMMA] = ACTIONS(2866),
    [anon_sym_LPAREN] = ACTIONS(2866),
    [anon_sym_LBRACK] = ACTIONS(2866),
    [anon_sym_DOT] = ACTIONS(3451),
    [anon_sym_QMARK] = ACTIONS(2870),
    [anon_sym_QMARK2] = ACTIONS(2866),
    [anon_sym_AMP] = ACTIONS(3453),
    [aux_sym_custom_operator_token1] = ACTIONS(2866),
    [anon_sym_LT] = ACTIONS(2870),
    [anon_sym_GT] = ACTIONS(2870),
    [anon_sym_LBRACE] = ACTIONS(2866),
    [anon_sym_CARET_LBRACE] = ACTIONS(2866),
    [anon_sym_RBRACE] = ACTIONS(2866),
    [anon_sym_case] = ACTIONS(2866),
    [anon_sym_fallthrough] = ACTIONS(2866),
    [anon_sym_PLUS_EQ] = ACTIONS(2866),
    [anon_sym_DASH_EQ] = ACTIONS(2866),
    [anon_sym_STAR_EQ] = ACTIONS(2866),
    [anon_sym_SLASH_EQ] = ACTIONS(2866),
    [anon_sym_PERCENT_EQ] = ACTIONS(2866),
    [anon_sym_BANG_EQ] = ACTIONS(2870),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2866),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2866),
    [anon_sym_LT_EQ] = ACTIONS(2866),
    [anon_sym_GT_EQ] = ACTIONS(2866),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2866),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2866),
    [anon_sym_is] = ACTIONS(2866),
    [anon_sym_PLUS] = ACTIONS(2870),
    [anon_sym_DASH] = ACTIONS(2870),
    [anon_sym_STAR] = ACTIONS(2870),
    [anon_sym_SLASH] = ACTIONS(2870),
    [anon_sym_PERCENT] = ACTIONS(2870),
    [anon_sym_PLUS_PLUS] = ACTIONS(2866),
    [anon_sym_DASH_DASH] = ACTIONS(2866),
    [anon_sym_PIPE] = ACTIONS(2866),
    [anon_sym_CARET] = ACTIONS(2870),
    [anon_sym_LT_LT] = ACTIONS(2866),
    [anon_sym_GT_GT] = ACTIONS(2866),
    [anon_sym_class] = ACTIONS(2866),
    [anon_sym_BANG2] = ACTIONS(2870),
    [anon_sym_prefix] = ACTIONS(2866),
    [anon_sym_infix] = ACTIONS(2866),
    [anon_sym_postfix] = ACTIONS(2866),
    [anon_sym_AT] = ACTIONS(2870),
    [anon_sym_override] = ACTIONS(2866),
    [anon_sym_convenience] = ACTIONS(2866),
    [anon_sym_required] = ACTIONS(2866),
    [anon_sym_nonisolated] = ACTIONS(2866),
    [anon_sym_public] = ACTIONS(2866),
    [anon_sym_private] = ACTIONS(2866),
    [anon_sym_internal] = ACTIONS(2866),
    [anon_sym_fileprivate] = ACTIONS(2866),
    [anon_sym_open] = ACTIONS(2866),
    [anon_sym_mutating] = ACTIONS(2866),
    [anon_sym_nonmutating] = ACTIONS(2866),
    [anon_sym_static] = ACTIONS(2866),
    [anon_sym_dynamic] = ACTIONS(2866),
    [anon_sym_optional] = ACTIONS(2866),
    [anon_sym_distributed] = ACTIONS(2866),
    [anon_sym_final] = ACTIONS(2866),
    [anon_sym_inout] = ACTIONS(2866),
    [anon_sym_ATescaping] = ACTIONS(2866),
    [anon_sym_ATautoclosure] = ACTIONS(2866),
    [anon_sym_weak] = ACTIONS(2866),
    [anon_sym_unowned] = ACTIONS(2870),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2866),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2866),
    [anon_sym_borrowing] = ACTIONS(2866),
    [anon_sym_consuming] = ACTIONS(2866),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2866),
    [sym__explicit_semi] = ACTIONS(2866),
    [sym__arrow_operator_custom] = ACTIONS(3440),
    [sym__dot_custom] = ACTIONS(2866),
    [sym__conjunction_operator_custom] = ACTIONS(2866),
    [sym__disjunction_operator_custom] = ACTIONS(2866),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2866),
    [sym__eq_custom] = ACTIONS(2866),
    [sym__eq_eq_custom] = ACTIONS(2866),
    [sym__plus_then_ws] = ACTIONS(2866),
    [sym__minus_then_ws] = ACTIONS(2866),
    [sym__bang_custom] = ACTIONS(2866),
    [sym__throws_keyword] = ACTIONS(2848),
    [sym__rethrows_keyword] = ACTIONS(2848),
    [sym_default_keyword] = ACTIONS(2866),
    [sym__as_custom] = ACTIONS(2866),
    [sym__as_quest_custom] = ACTIONS(2866),
    [sym__as_bang_custom] = ACTIONS(2866),
    [sym__async_keyword_custom] = ACTIONS(3442),
    [sym__custom_operator] = ACTIONS(2866),
  },
  [916] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(3010),
    [aux_sym_simple_identifier_token2] = ACTIONS(3012),
    [aux_sym_simple_identifier_token3] = ACTIONS(3012),
    [aux_sym_simple_identifier_token4] = ACTIONS(3012),
    [anon_sym_actor] = ACTIONS(3010),
    [anon_sym_async] = ACTIONS(3010),
    [anon_sym_each] = ACTIONS(3010),
    [anon_sym_lazy] = ACTIONS(3010),
    [anon_sym_repeat] = ACTIONS(3010),
    [anon_sym_package] = ACTIONS(3010),
    [anon_sym_COMMA] = ACTIONS(3012),
    [anon_sym_LPAREN] = ACTIONS(3012),
    [anon_sym_LBRACK] = ACTIONS(3012),
    [anon_sym_QMARK] = ACTIONS(3010),
    [anon_sym_QMARK2] = ACTIONS(3012),
    [anon_sym_AMP] = ACTIONS(3012),
    [aux_sym_custom_operator_token1] = ACTIONS(3012),
    [anon_sym_LT] = ACTIONS(3010),
    [anon_sym_GT] = ACTIONS(3010),
    [anon_sym_LBRACE] = ACTIONS(3012),
    [anon_sym_CARET_LBRACE] = ACTIONS(3012),
    [anon_sym_RBRACE] = ACTIONS(3012),
    [anon_sym_case] = ACTIONS(3010),
    [anon_sym_fallthrough] = ACTIONS(3010),
    [anon_sym_PLUS_EQ] = ACTIONS(3012),
    [anon_sym_DASH_EQ] = ACTIONS(3012),
    [anon_sym_STAR_EQ] = ACTIONS(3012),
    [anon_sym_SLASH_EQ] = ACTIONS(3012),
    [anon_sym_PERCENT_EQ] = ACTIONS(3012),
    [anon_sym_BANG_EQ] = ACTIONS(3010),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3012),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3012),
    [anon_sym_LT_EQ] = ACTIONS(3012),
    [anon_sym_GT_EQ] = ACTIONS(3012),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3012),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3012),
    [anon_sym_is] = ACTIONS(3010),
    [anon_sym_PLUS] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3010),
    [anon_sym_STAR] = ACTIONS(3010),
    [anon_sym_SLASH] = ACTIONS(3010),
    [anon_sym_PERCENT] = ACTIONS(3010),
    [anon_sym_PLUS_PLUS] = ACTIONS(3012),
    [anon_sym_DASH_DASH] = ACTIONS(3012),
    [anon_sym_PIPE] = ACTIONS(3012),
    [anon_sym_CARET] = ACTIONS(3010),
    [anon_sym_LT_LT] = ACTIONS(3012),
    [anon_sym_GT_GT] = ACTIONS(3012),
    [anon_sym_class] = ACTIONS(3010),
    [anon_sym_BANG2] = ACTIONS(3010),
    [anon_sym_prefix] = ACTIONS(3010),
    [anon_sym_infix] = ACTIONS(3010),
    [anon_sym_postfix] = ACTIONS(3010),
    [anon_sym_AT] = ACTIONS(3010),
    [anon_sym_override] = ACTIONS(3010),
    [anon_sym_convenience] = ACTIONS(3010),
    [anon_sym_required] = ACTIONS(3010),
    [anon_sym_nonisolated] = ACTIONS(3010),
    [anon_sym_public] = ACTIONS(3010),
    [anon_sym_private] = ACTIONS(3010),
    [anon_sym_internal] = ACTIONS(3010),
    [anon_sym_fileprivate] = ACTIONS(3010),
    [anon_sym_open] = ACTIONS(3010),
    [anon_sym_mutating] = ACTIONS(3010),
    [anon_sym_nonmutating] = ACTIONS(3010),
    [anon_sym_static] = ACTIONS(3010),
    [anon_sym_dynamic] = ACTIONS(3010),
    [anon_sym_optional] = ACTIONS(3010),
    [anon_sym_distributed] = ACTIONS(3010),
    [anon_sym_final] = ACTIONS(3010),
    [anon_sym_inout] = ACTIONS(3010),
    [anon_sym_ATescaping] = ACTIONS(3012),
    [anon_sym_ATautoclosure] = ACTIONS(3012),
    [anon_sym_weak] = ACTIONS(3010),
    [anon_sym_unowned] = ACTIONS(3010),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3012),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3012),
    [anon_sym_borrowing] = ACTIONS(3010),
    [anon_sym_consuming] = ACTIONS(3010),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3012),
    [sym__explicit_semi] = ACTIONS(3012),
    [sym__dot_custom] = ACTIONS(3012),
    [sym__conjunction_operator_custom] = ACTIONS(3012),
    [sym__disjunction_operator_custom] = ACTIONS(3012),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3012),
    [sym__eq_custom] = ACTIONS(3012),
    [sym__eq_eq_custom] = ACTIONS(3012),
    [sym__plus_then_ws] = ACTIONS(3012),
    [sym__minus_then_ws] = ACTIONS(3012),
    [sym__bang_custom] = ACTIONS(3012),
    [sym_default_keyword] = ACTIONS(3012),
    [sym_where_keyword] = ACTIONS(3012),
    [sym__as_custom] = ACTIONS(3012),
    [sym__as_quest_custom] = ACTIONS(3012),
    [sym__as_bang_custom] = ACTIONS(3012),
    [sym__custom_operator] = ACTIONS(3012),
  },
  [917] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(3033),
    [aux_sym_simple_identifier_token2] = ACTIONS(3035),
    [aux_sym_simple_identifier_token3] = ACTIONS(3035),
    [aux_sym_simple_identifier_token4] = ACTIONS(3035),
    [anon_sym_actor] = ACTIONS(3033),
    [anon_sym_async] = ACTIONS(3033),
    [anon_sym_each] = ACTIONS(3033),
    [anon_sym_lazy] = ACTIONS(3033),
    [anon_sym_repeat] = ACTIONS(3033),
    [anon_sym_package] = ACTIONS(3033),
    [anon_sym_COMMA] = ACTIONS(3035),
    [anon_sym_LPAREN] = ACTIONS(3035),
    [anon_sym_LBRACK] = ACTIONS(3035),
    [anon_sym_QMARK] = ACTIONS(3033),
    [anon_sym_QMARK2] = ACTIONS(3035),
    [anon_sym_AMP] = ACTIONS(3035),
    [aux_sym_custom_operator_token1] = ACTIONS(3035),
    [anon_sym_LT] = ACTIONS(3033),
    [anon_sym_GT] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_CARET_LBRACE] = ACTIONS(3035),
    [anon_sym_RBRACE] = ACTIONS(3035),
    [anon_sym_case] = ACTIONS(3033),
    [anon_sym_fallthrough] = ACTIONS(3033),
    [anon_sym_PLUS_EQ] = ACTIONS(3035),
    [anon_sym_DASH_EQ] = ACTIONS(3035),
    [anon_sym_STAR_EQ] = ACTIONS(3035),
    [anon_sym_SLASH_EQ] = ACTIONS(3035),
    [anon_sym_PERCENT_EQ] = ACTIONS(3035),
    [anon_sym_BANG_EQ] = ACTIONS(3033),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3035),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3035),
    [anon_sym_LT_EQ] = ACTIONS(3035),
    [anon_sym_GT_EQ] = ACTIONS(3035),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3035),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3035),
    [anon_sym_is] = ACTIONS(3033),
    [anon_sym_PLUS] = ACTIONS(3033),
    [anon_sym_DASH] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3033),
    [anon_sym_SLASH] = ACTIONS(3033),
    [anon_sym_PERCENT] = ACTIONS(3033),
    [anon_sym_PLUS_PLUS] = ACTIONS(3035),
    [anon_sym_DASH_DASH] = ACTIONS(3035),
    [anon_sym_PIPE] = ACTIONS(3035),
    [anon_sym_CARET] = ACTIONS(3033),
    [anon_sym_LT_LT] = ACTIONS(3035),
    [anon_sym_GT_GT] = ACTIONS(3035),
    [anon_sym_class] = ACTIONS(3033),
    [anon_sym_BANG2] = ACTIONS(3033),
    [anon_sym_prefix] = ACTIONS(3033),
    [anon_sym_infix] = ACTIONS(3033),
    [anon_sym_postfix] = ACTIONS(3033),
    [anon_sym_AT] = ACTIONS(3033),
    [anon_sym_override] = ACTIONS(3033),
    [anon_sym_convenience] = ACTIONS(3033),
    [anon_sym_required] = ACTIONS(3033),
    [anon_sym_nonisolated] = ACTIONS(3033),
    [anon_sym_public] = ACTIONS(3033),
    [anon_sym_private] = ACTIONS(3033),
    [anon_sym_internal] = ACTIONS(3033),
    [anon_sym_fileprivate] = ACTIONS(3033),
    [anon_sym_open] = ACTIONS(3033),
    [anon_sym_mutating] = ACTIONS(3033),
    [anon_sym_nonmutating] = ACTIONS(3033),
    [anon_sym_static] = ACTIONS(3033),
    [anon_sym_dynamic] = ACTIONS(3033),
    [anon_sym_optional] = ACTIONS(3033),
    [anon_sym_distributed] = ACTIONS(3033),
    [anon_sym_final] = ACTIONS(3033),
    [anon_sym_inout] = ACTIONS(3033),
    [anon_sym_ATescaping] = ACTIONS(3035),
    [anon_sym_ATautoclosure] = ACTIONS(3035),
    [anon_sym_weak] = ACTIONS(3033),
    [anon_sym_unowned] = ACTIONS(3033),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3035),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3035),
    [anon_sym_borrowing] = ACTIONS(3033),
    [anon_sym_consuming] = ACTIONS(3033),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3035),
    [sym__explicit_semi] = ACTIONS(3035),
    [sym__dot_custom] = ACTIONS(3035),
    [sym__conjunction_operator_custom] = ACTIONS(3035),
    [sym__disjunction_operator_custom] = ACTIONS(3035),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3035),
    [sym__eq_custom] = ACTIONS(3035),
    [sym__eq_eq_custom] = ACTIONS(3035),
    [sym__plus_then_ws] = ACTIONS(3035),
    [sym__minus_then_ws] = ACTIONS(3035),
    [sym__bang_custom] = ACTIONS(3035),
    [sym_default_keyword] = ACTIONS(3035),
    [sym__as_custom] = ACTIONS(3035),
    [sym__as_quest_custom] = ACTIONS(3035),
    [sym__as_bang_custom] = ACTIONS(3035),
    [sym__custom_operator] = ACTIONS(3035),
  },
  [918] = {
    [sym__dot] = STATE(4583),
    [aux_sym_user_type_repeat1] = STATE(926),
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(2852),
    [anon_sym_package] = ACTIONS(2852),
    [anon_sym_COMMA] = ACTIONS(2852),
    [anon_sym_LPAREN] = ACTIONS(2852),
    [anon_sym_LBRACK] = ACTIONS(2852),
    [anon_sym_DOT] = ACTIONS(2854),
    [anon_sym_QMARK] = ACTIONS(2854),
    [anon_sym_QMARK2] = ACTIONS(2852),
    [anon_sym_AMP] = ACTIONS(2852),
    [aux_sym_custom_operator_token1] = ACTIONS(2852),
    [anon_sym_LT] = ACTIONS(2854),
    [anon_sym_GT] = ACTIONS(2854),
    [anon_sym_LBRACE] = ACTIONS(2852),
    [anon_sym_CARET_LBRACE] = ACTIONS(2852),
    [anon_sym_RBRACE] = ACTIONS(2852),
    [anon_sym_case] = ACTIONS(2852),
    [anon_sym_fallthrough] = ACTIONS(2852),
    [anon_sym_PLUS_EQ] = ACTIONS(2852),
    [anon_sym_DASH_EQ] = ACTIONS(2852),
    [anon_sym_STAR_EQ] = ACTIONS(2852),
    [anon_sym_SLASH_EQ] = ACTIONS(2852),
    [anon_sym_PERCENT_EQ] = ACTIONS(2852),
    [anon_sym_BANG_EQ] = ACTIONS(2854),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2852),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2852),
    [anon_sym_LT_EQ] = ACTIONS(2852),
    [anon_sym_GT_EQ] = ACTIONS(2852),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2852),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2852),
    [anon_sym_is] = ACTIONS(2852),
    [anon_sym_PLUS] = ACTIONS(2854),
    [anon_sym_DASH] = ACTIONS(2854),
    [anon_sym_STAR] = ACTIONS(2854),
    [anon_sym_SLASH] = ACTIONS(2854),
    [anon_sym_PERCENT] = ACTIONS(2854),
    [anon_sym_PLUS_PLUS] = ACTIONS(2852),
    [anon_sym_DASH_DASH] = ACTIONS(2852),
    [anon_sym_PIPE] = ACTIONS(2852),
    [anon_sym_CARET] = ACTIONS(2854),
    [anon_sym_LT_LT] = ACTIONS(2852),
    [anon_sym_GT_GT] = ACTIONS(2852),
    [anon_sym_class] = ACTIONS(2852),
    [anon_sym_BANG2] = ACTIONS(2854),
    [anon_sym_prefix] = ACTIONS(2852),
    [anon_sym_infix] = ACTIONS(2852),
    [anon_sym_postfix] = ACTIONS(2852),
    [anon_sym_AT] = ACTIONS(2854),
    [anon_sym_override] = ACTIONS(2852),
    [anon_sym_convenience] = ACTIONS(2852),
    [anon_sym_required] = ACTIONS(2852),
    [anon_sym_nonisolated] = ACTIONS(2852),
    [anon_sym_public] = ACTIONS(2852),
    [anon_sym_private] = ACTIONS(2852),
    [anon_sym_internal] = ACTIONS(2852),
    [anon_sym_fileprivate] = ACTIONS(2852),
    [anon_sym_open] = ACTIONS(2852),
    [anon_sym_mutating] = ACTIONS(2852),
    [anon_sym_nonmutating] = ACTIONS(2852),
    [anon_sym_static] = ACTIONS(2852),
    [anon_sym_dynamic] = ACTIONS(2852),
    [anon_sym_optional] = ACTIONS(2852),
    [anon_sym_distributed] = ACTIONS(2852),
    [anon_sym_final] = ACTIONS(2852),
    [anon_sym_inout] = ACTIONS(2852),
    [anon_sym_ATescaping] = ACTIONS(2852),
    [anon_sym_ATautoclosure] = ACTIONS(2852),
    [anon_sym_weak] = ACTIONS(2852),
    [anon_sym_unowned] = ACTIONS(2854),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2852),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2852),
    [anon_sym_borrowing] = ACTIONS(2852),
    [anon_sym_consuming] = ACTIONS(2852),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2852),
    [sym__explicit_semi] = ACTIONS(2852),
    [sym__arrow_operator_custom] = ACTIONS(2852),
    [sym__dot_custom] = ACTIONS(3458),
    [sym__conjunction_operator_custom] = ACTIONS(2852),
    [sym__disjunction_operator_custom] = ACTIONS(2852),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2852),
    [sym__eq_custom] = ACTIONS(2852),
    [sym__eq_eq_custom] = ACTIONS(2852),
    [sym__plus_then_ws] = ACTIONS(2852),
    [sym__minus_then_ws] = ACTIONS(2852),
    [sym__bang_custom] = ACTIONS(2852),
    [sym__throws_keyword] = ACTIONS(2852),
    [sym__rethrows_keyword] = ACTIONS(2852),
    [sym_default_keyword] = ACTIONS(2852),
    [sym_where_keyword] = ACTIONS(2852),
    [sym__as_custom] = ACTIONS(2852),
    [sym__as_quest_custom] = ACTIONS(2852),
    [sym__as_bang_custom] = ACTIONS(2852),
    [sym__async_keyword_custom] = ACTIONS(2852),
    [sym__custom_operator] = ACTIONS(2852),
  },
  [919] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(3018),
    [aux_sym_simple_identifier_token2] = ACTIONS(3020),
    [aux_sym_simple_identifier_token3] = ACTIONS(3020),
    [aux_sym_simple_identifier_token4] = ACTIONS(3020),
    [anon_sym_actor] = ACTIONS(3018),
    [anon_sym_async] = ACTIONS(3018),
    [anon_sym_each] = ACTIONS(3018),
    [anon_sym_lazy] = ACTIONS(3018),
    [anon_sym_repeat] = ACTIONS(3018),
    [anon_sym_package] = ACTIONS(3018),
    [anon_sym_COMMA] = ACTIONS(3020),
    [anon_sym_LPAREN] = ACTIONS(3020),
    [anon_sym_LBRACK] = ACTIONS(3020),
    [anon_sym_QMARK] = ACTIONS(3018),
    [anon_sym_QMARK2] = ACTIONS(3020),
    [anon_sym_AMP] = ACTIONS(3020),
    [aux_sym_custom_operator_token1] = ACTIONS(3020),
    [anon_sym_LT] = ACTIONS(3018),
    [anon_sym_GT] = ACTIONS(3018),
    [anon_sym_LBRACE] = ACTIONS(3020),
    [anon_sym_CARET_LBRACE] = ACTIONS(3020),
    [anon_sym_RBRACE] = ACTIONS(3020),
    [anon_sym_case] = ACTIONS(3018),
    [anon_sym_fallthrough] = ACTIONS(3018),
    [anon_sym_PLUS_EQ] = ACTIONS(3020),
    [anon_sym_DASH_EQ] = ACTIONS(3020),
    [anon_sym_STAR_EQ] = ACTIONS(3020),
    [anon_sym_SLASH_EQ] = ACTIONS(3020),
    [anon_sym_PERCENT_EQ] = ACTIONS(3020),
    [anon_sym_BANG_EQ] = ACTIONS(3018),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3020),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3020),
    [anon_sym_LT_EQ] = ACTIONS(3020),
    [anon_sym_GT_EQ] = ACTIONS(3020),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3020),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3020),
    [anon_sym_is] = ACTIONS(3018),
    [anon_sym_PLUS] = ACTIONS(3018),
    [anon_sym_DASH] = ACTIONS(3018),
    [anon_sym_STAR] = ACTIONS(3018),
    [anon_sym_SLASH] = ACTIONS(3018),
    [anon_sym_PERCENT] = ACTIONS(3018),
    [anon_sym_PLUS_PLUS] = ACTIONS(3020),
    [anon_sym_DASH_DASH] = ACTIONS(3020),
    [anon_sym_PIPE] = ACTIONS(3020),
    [anon_sym_CARET] = ACTIONS(3018),
    [anon_sym_LT_LT] = ACTIONS(3020),
    [anon_sym_GT_GT] = ACTIONS(3020),
    [anon_sym_class] = ACTIONS(3018),
    [anon_sym_BANG2] = ACTIONS(3018),
    [anon_sym_prefix] = ACTIONS(3018),
    [anon_sym_infix] = ACTIONS(3018),
    [anon_sym_postfix] = ACTIONS(3018),
    [anon_sym_AT] = ACTIONS(3018),
    [anon_sym_override] = ACTIONS(3018),
    [anon_sym_convenience] = ACTIONS(3018),
    [anon_sym_required] = ACTIONS(3018),
    [anon_sym_nonisolated] = ACTIONS(3018),
    [anon_sym_public] = ACTIONS(3018),
    [anon_sym_private] = ACTIONS(3018),
    [anon_sym_internal] = ACTIONS(3018),
    [anon_sym_fileprivate] = ACTIONS(3018),
    [anon_sym_open] = ACTIONS(3018),
    [anon_sym_mutating] = ACTIONS(3018),
    [anon_sym_nonmutating] = ACTIONS(3018),
    [anon_sym_static] = ACTIONS(3018),
    [anon_sym_dynamic] = ACTIONS(3018),
    [anon_sym_optional] = ACTIONS(3018),
    [anon_sym_distributed] = ACTIONS(3018),
    [anon_sym_final] = ACTIONS(3018),
    [anon_sym_inout] = ACTIONS(3018),
    [anon_sym_ATescaping] = ACTIONS(3020),
    [anon_sym_ATautoclosure] = ACTIONS(3020),
    [anon_sym_weak] = ACTIONS(3018),
    [anon_sym_unowned] = ACTIONS(3018),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3020),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3020),
    [anon_sym_borrowing] = ACTIONS(3018),
    [anon_sym_consuming] = ACTIONS(3018),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3020),
    [sym__explicit_semi] = ACTIONS(3020),
    [sym__dot_custom] = ACTIONS(3020),
    [sym__conjunction_operator_custom] = ACTIONS(3020),
    [sym__disjunction_operator_custom] = ACTIONS(3020),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3020),
    [sym__eq_custom] = ACTIONS(3020),
    [sym__eq_eq_custom] = ACTIONS(3020),
    [sym__plus_then_ws] = ACTIONS(3020),
    [sym__minus_then_ws] = ACTIONS(3020),
    [sym__bang_custom] = ACTIONS(3020),
    [sym_default_keyword] = ACTIONS(3020),
    [sym__as_custom] = ACTIONS(3020),
    [sym__as_quest_custom] = ACTIONS(3020),
    [sym__as_bang_custom] = ACTIONS(3020),
    [sym__custom_operator] = ACTIONS(3020),
  },
  [920] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(3018),
    [aux_sym_simple_identifier_token2] = ACTIONS(3020),
    [aux_sym_simple_identifier_token3] = ACTIONS(3020),
    [aux_sym_simple_identifier_token4] = ACTIONS(3020),
    [anon_sym_actor] = ACTIONS(3018),
    [anon_sym_async] = ACTIONS(3018),
    [anon_sym_each] = ACTIONS(3018),
    [anon_sym_lazy] = ACTIONS(3022),
    [anon_sym_repeat] = ACTIONS(3018),
    [anon_sym_package] = ACTIONS(3022),
    [anon_sym_COMMA] = ACTIONS(3024),
    [anon_sym_LPAREN] = ACTIONS(3024),
    [anon_sym_LBRACK] = ACTIONS(3024),
    [anon_sym_QMARK] = ACTIONS(3022),
    [anon_sym_QMARK2] = ACTIONS(3024),
    [anon_sym_AMP] = ACTIONS(3024),
    [aux_sym_custom_operator_token1] = ACTIONS(3024),
    [anon_sym_LT] = ACTIONS(3022),
    [anon_sym_GT] = ACTIONS(3022),
    [anon_sym_LBRACE] = ACTIONS(3024),
    [anon_sym_CARET_LBRACE] = ACTIONS(3024),
    [anon_sym_RBRACE] = ACTIONS(3024),
    [anon_sym_case] = ACTIONS(3022),
    [anon_sym_fallthrough] = ACTIONS(3022),
    [anon_sym_PLUS_EQ] = ACTIONS(3024),
    [anon_sym_DASH_EQ] = ACTIONS(3024),
    [anon_sym_STAR_EQ] = ACTIONS(3024),
    [anon_sym_SLASH_EQ] = ACTIONS(3024),
    [anon_sym_PERCENT_EQ] = ACTIONS(3024),
    [anon_sym_BANG_EQ] = ACTIONS(3022),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3024),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3024),
    [anon_sym_LT_EQ] = ACTIONS(3024),
    [anon_sym_GT_EQ] = ACTIONS(3024),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3024),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3024),
    [anon_sym_is] = ACTIONS(3022),
    [anon_sym_PLUS] = ACTIONS(3022),
    [anon_sym_DASH] = ACTIONS(3022),
    [anon_sym_STAR] = ACTIONS(3022),
    [anon_sym_SLASH] = ACTIONS(3022),
    [anon_sym_PERCENT] = ACTIONS(3022),
    [anon_sym_PLUS_PLUS] = ACTIONS(3024),
    [anon_sym_DASH_DASH] = ACTIONS(3024),
    [anon_sym_PIPE] = ACTIONS(3024),
    [anon_sym_CARET] = ACTIONS(3022),
    [anon_sym_LT_LT] = ACTIONS(3024),
    [anon_sym_GT_GT] = ACTIONS(3024),
    [anon_sym_class] = ACTIONS(3022),
    [anon_sym_BANG2] = ACTIONS(3022),
    [anon_sym_prefix] = ACTIONS(3022),
    [anon_sym_infix] = ACTIONS(3022),
    [anon_sym_postfix] = ACTIONS(3022),
    [anon_sym_AT] = ACTIONS(3022),
    [anon_sym_override] = ACTIONS(3022),
    [anon_sym_convenience] = ACTIONS(3022),
    [anon_sym_required] = ACTIONS(3022),
    [anon_sym_nonisolated] = ACTIONS(3022),
    [anon_sym_public] = ACTIONS(3022),
    [anon_sym_private] = ACTIONS(3022),
    [anon_sym_internal] = ACTIONS(3022),
    [anon_sym_fileprivate] = ACTIONS(3022),
    [anon_sym_open] = ACTIONS(3022),
    [anon_sym_mutating] = ACTIONS(3022),
    [anon_sym_nonmutating] = ACTIONS(3022),
    [anon_sym_static] = ACTIONS(3022),
    [anon_sym_dynamic] = ACTIONS(3022),
    [anon_sym_optional] = ACTIONS(3022),
    [anon_sym_distributed] = ACTIONS(3022),
    [anon_sym_final] = ACTIONS(3022),
    [anon_sym_inout] = ACTIONS(3022),
    [anon_sym_ATescaping] = ACTIONS(3024),
    [anon_sym_ATautoclosure] = ACTIONS(3024),
    [anon_sym_weak] = ACTIONS(3022),
    [anon_sym_unowned] = ACTIONS(3022),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3024),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3024),
    [anon_sym_borrowing] = ACTIONS(3022),
    [anon_sym_consuming] = ACTIONS(3022),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3024),
    [sym__explicit_semi] = ACTIONS(3024),
    [sym__dot_custom] = ACTIONS(3024),
    [sym__conjunction_operator_custom] = ACTIONS(3024),
    [sym__disjunction_operator_custom] = ACTIONS(3024),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3024),
    [sym__eq_custom] = ACTIONS(3024),
    [sym__eq_eq_custom] = ACTIONS(3024),
    [sym__plus_then_ws] = ACTIONS(3024),
    [sym__minus_then_ws] = ACTIONS(3024),
    [sym__bang_custom] = ACTIONS(3024),
    [sym_default_keyword] = ACTIONS(3024),
    [sym__as_custom] = ACTIONS(3024),
    [sym__as_quest_custom] = ACTIONS(3024),
    [sym__as_bang_custom] = ACTIONS(3024),
    [sym__custom_operator] = ACTIONS(3024),
  },
  [921] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(3010),
    [aux_sym_simple_identifier_token2] = ACTIONS(3012),
    [aux_sym_simple_identifier_token3] = ACTIONS(3012),
    [aux_sym_simple_identifier_token4] = ACTIONS(3012),
    [anon_sym_actor] = ACTIONS(3010),
    [anon_sym_async] = ACTIONS(3010),
    [anon_sym_each] = ACTIONS(3010),
    [anon_sym_lazy] = ACTIONS(3010),
    [anon_sym_repeat] = ACTIONS(3010),
    [anon_sym_package] = ACTIONS(3010),
    [anon_sym_COMMA] = ACTIONS(3012),
    [anon_sym_LPAREN] = ACTIONS(3012),
    [anon_sym_LBRACK] = ACTIONS(3012),
    [anon_sym_QMARK] = ACTIONS(3010),
    [anon_sym_QMARK2] = ACTIONS(3012),
    [anon_sym_AMP] = ACTIONS(3012),
    [aux_sym_custom_operator_token1] = ACTIONS(3012),
    [anon_sym_LT] = ACTIONS(3010),
    [anon_sym_GT] = ACTIONS(3010),
    [anon_sym_LBRACE] = ACTIONS(3012),
    [anon_sym_CARET_LBRACE] = ACTIONS(3012),
    [anon_sym_RBRACE] = ACTIONS(3012),
    [anon_sym_case] = ACTIONS(3010),
    [anon_sym_fallthrough] = ACTIONS(3010),
    [anon_sym_PLUS_EQ] = ACTIONS(3012),
    [anon_sym_DASH_EQ] = ACTIONS(3012),
    [anon_sym_STAR_EQ] = ACTIONS(3012),
    [anon_sym_SLASH_EQ] = ACTIONS(3012),
    [anon_sym_PERCENT_EQ] = ACTIONS(3012),
    [anon_sym_BANG_EQ] = ACTIONS(3010),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3012),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3012),
    [anon_sym_LT_EQ] = ACTIONS(3012),
    [anon_sym_GT_EQ] = ACTIONS(3012),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3012),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3012),
    [anon_sym_is] = ACTIONS(3010),
    [anon_sym_PLUS] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3010),
    [anon_sym_STAR] = ACTIONS(3010),
    [anon_sym_SLASH] = ACTIONS(3010),
    [anon_sym_PERCENT] = ACTIONS(3010),
    [anon_sym_PLUS_PLUS] = ACTIONS(3012),
    [anon_sym_DASH_DASH] = ACTIONS(3012),
    [anon_sym_PIPE] = ACTIONS(3012),
    [anon_sym_CARET] = ACTIONS(3010),
    [anon_sym_LT_LT] = ACTIONS(3012),
    [anon_sym_GT_GT] = ACTIONS(3012),
    [anon_sym_class] = ACTIONS(3010),
    [anon_sym_BANG2] = ACTIONS(3010),
    [anon_sym_prefix] = ACTIONS(3010),
    [anon_sym_infix] = ACTIONS(3010),
    [anon_sym_postfix] = ACTIONS(3010),
    [anon_sym_AT] = ACTIONS(3010),
    [anon_sym_override] = ACTIONS(3010),
    [anon_sym_convenience] = ACTIONS(3010),
    [anon_sym_required] = ACTIONS(3010),
    [anon_sym_nonisolated] = ACTIONS(3010),
    [anon_sym_public] = ACTIONS(3010),
    [anon_sym_private] = ACTIONS(3010),
    [anon_sym_internal] = ACTIONS(3010),
    [anon_sym_fileprivate] = ACTIONS(3010),
    [anon_sym_open] = ACTIONS(3010),
    [anon_sym_mutating] = ACTIONS(3010),
    [anon_sym_nonmutating] = ACTIONS(3010),
    [anon_sym_static] = ACTIONS(3010),
    [anon_sym_dynamic] = ACTIONS(3010),
    [anon_sym_optional] = ACTIONS(3010),
    [anon_sym_distributed] = ACTIONS(3010),
    [anon_sym_final] = ACTIONS(3010),
    [anon_sym_inout] = ACTIONS(3010),
    [anon_sym_ATescaping] = ACTIONS(3012),
    [anon_sym_ATautoclosure] = ACTIONS(3012),
    [anon_sym_weak] = ACTIONS(3010),
    [anon_sym_unowned] = ACTIONS(3010),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3012),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3012),
    [anon_sym_borrowing] = ACTIONS(3010),
    [anon_sym_consuming] = ACTIONS(3010),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3012),
    [sym__explicit_semi] = ACTIONS(3012),
    [sym__dot_custom] = ACTIONS(3012),
    [sym__conjunction_operator_custom] = ACTIONS(3012),
    [sym__disjunction_operator_custom] = ACTIONS(3012),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3012),
    [sym__eq_custom] = ACTIONS(3012),
    [sym__eq_eq_custom] = ACTIONS(3012),
    [sym__plus_then_ws] = ACTIONS(3012),
    [sym__minus_then_ws] = ACTIONS(3012),
    [sym__bang_custom] = ACTIONS(3012),
    [sym_default_keyword] = ACTIONS(3012),
    [sym__as_custom] = ACTIONS(3012),
    [sym__as_quest_custom] = ACTIONS(3012),
    [sym__as_bang_custom] = ACTIONS(3012),
    [sym__custom_operator] = ACTIONS(3012),
  },
  [922] = {
    [sym__immediate_quest] = STATE(924),
    [aux_sym_optional_type_repeat1] = STATE(924),
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(2794),
    [anon_sym_package] = ACTIONS(2794),
    [anon_sym_COMMA] = ACTIONS(2794),
    [anon_sym_LPAREN] = ACTIONS(2794),
    [anon_sym_LBRACK] = ACTIONS(2794),
    [anon_sym_DOT] = ACTIONS(2796),
    [anon_sym_QMARK] = ACTIONS(2796),
    [anon_sym_QMARK2] = ACTIONS(2794),
    [anon_sym_AMP] = ACTIONS(2794),
    [aux_sym_custom_operator_token1] = ACTIONS(2794),
    [anon_sym_LT] = ACTIONS(2796),
    [anon_sym_GT] = ACTIONS(2796),
    [anon_sym_LBRACE] = ACTIONS(2794),
    [anon_sym_CARET_LBRACE] = ACTIONS(2794),
    [anon_sym_RBRACE] = ACTIONS(2794),
    [anon_sym_case] = ACTIONS(2794),
    [anon_sym_fallthrough] = ACTIONS(2794),
    [anon_sym_PLUS_EQ] = ACTIONS(2794),
    [anon_sym_DASH_EQ] = ACTIONS(2794),
    [anon_sym_STAR_EQ] = ACTIONS(2794),
    [anon_sym_SLASH_EQ] = ACTIONS(2794),
    [anon_sym_PERCENT_EQ] = ACTIONS(2794),
    [anon_sym_BANG_EQ] = ACTIONS(2796),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2794),
    [anon_sym_LT_EQ] = ACTIONS(2794),
    [anon_sym_GT_EQ] = ACTIONS(2794),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2794),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2794),
    [anon_sym_is] = ACTIONS(2794),
    [anon_sym_PLUS] = ACTIONS(2796),
    [anon_sym_DASH] = ACTIONS(2796),
    [anon_sym_STAR] = ACTIONS(2796),
    [anon_sym_SLASH] = ACTIONS(2796),
    [anon_sym_PERCENT] = ACTIONS(2796),
    [anon_sym_PLUS_PLUS] = ACTIONS(2794),
    [anon_sym_DASH_DASH] = ACTIONS(2794),
    [anon_sym_PIPE] = ACTIONS(2794),
    [anon_sym_CARET] = ACTIONS(2796),
    [anon_sym_LT_LT] = ACTIONS(2794),
    [anon_sym_GT_GT] = ACTIONS(2794),
    [anon_sym_class] = ACTIONS(2794),
    [anon_sym_BANG2] = ACTIONS(2796),
    [anon_sym_prefix] = ACTIONS(2794),
    [anon_sym_infix] = ACTIONS(2794),
    [anon_sym_postfix] = ACTIONS(2794),
    [anon_sym_AT] = ACTIONS(2796),
    [anon_sym_override] = ACTIONS(2794),
    [anon_sym_convenience] = ACTIONS(2794),
    [anon_sym_required] = ACTIONS(2794),
    [anon_sym_nonisolated] = ACTIONS(2794),
    [anon_sym_public] = ACTIONS(2794),
    [anon_sym_private] = ACTIONS(2794),
    [anon_sym_internal] = ACTIONS(2794),
    [anon_sym_fileprivate] = ACTIONS(2794),
    [anon_sym_open] = ACTIONS(2794),
    [anon_sym_mutating] = ACTIONS(2794),
    [anon_sym_nonmutating] = ACTIONS(2794),
    [anon_sym_static] = ACTIONS(2794),
    [anon_sym_dynamic] = ACTIONS(2794),
    [anon_sym_optional] = ACTIONS(2794),
    [anon_sym_distributed] = ACTIONS(2794),
    [anon_sym_final] = ACTIONS(2794),
    [anon_sym_inout] = ACTIONS(2794),
    [anon_sym_ATescaping] = ACTIONS(2794),
    [anon_sym_ATautoclosure] = ACTIONS(2794),
    [anon_sym_weak] = ACTIONS(2794),
    [anon_sym_unowned] = ACTIONS(2796),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2794),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2794),
    [anon_sym_borrowing] = ACTIONS(2794),
    [anon_sym_consuming] = ACTIONS(2794),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2794),
    [sym__explicit_semi] = ACTIONS(2794),
    [sym__arrow_operator_custom] = ACTIONS(2794),
    [sym__dot_custom] = ACTIONS(2794),
    [sym__conjunction_operator_custom] = ACTIONS(2794),
    [sym__disjunction_operator_custom] = ACTIONS(2794),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2794),
    [sym__eq_custom] = ACTIONS(2794),
    [sym__eq_eq_custom] = ACTIONS(2794),
    [sym__plus_then_ws] = ACTIONS(2794),
    [sym__minus_then_ws] = ACTIONS(2794),
    [sym__bang_custom] = ACTIONS(2794),
    [sym__throws_keyword] = ACTIONS(2794),
    [sym__rethrows_keyword] = ACTIONS(2794),
    [sym_default_keyword] = ACTIONS(2794),
    [sym_where_keyword] = ACTIONS(2794),
    [sym__as_custom] = ACTIONS(2794),
    [sym__as_quest_custom] = ACTIONS(2794),
    [sym__as_bang_custom] = ACTIONS(2794),
    [sym__async_keyword_custom] = ACTIONS(2794),
    [sym__custom_operator] = ACTIONS(2794),
  },
  [923] = {
    [sym__dot] = STATE(4583),
    [aux_sym_user_type_repeat1] = STATE(918),
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(2805),
    [anon_sym_package] = ACTIONS(2805),
    [anon_sym_COMMA] = ACTIONS(2805),
    [anon_sym_LPAREN] = ACTIONS(2805),
    [anon_sym_LBRACK] = ACTIONS(2805),
    [anon_sym_DOT] = ACTIONS(2807),
    [anon_sym_QMARK] = ACTIONS(2807),
    [anon_sym_QMARK2] = ACTIONS(2805),
    [anon_sym_AMP] = ACTIONS(2805),
    [aux_sym_custom_operator_token1] = ACTIONS(2805),
    [anon_sym_LT] = ACTIONS(2807),
    [anon_sym_GT] = ACTIONS(2807),
    [anon_sym_LBRACE] = ACTIONS(2805),
    [anon_sym_CARET_LBRACE] = ACTIONS(2805),
    [anon_sym_RBRACE] = ACTIONS(2805),
    [anon_sym_case] = ACTIONS(2805),
    [anon_sym_fallthrough] = ACTIONS(2805),
    [anon_sym_PLUS_EQ] = ACTIONS(2805),
    [anon_sym_DASH_EQ] = ACTIONS(2805),
    [anon_sym_STAR_EQ] = ACTIONS(2805),
    [anon_sym_SLASH_EQ] = ACTIONS(2805),
    [anon_sym_PERCENT_EQ] = ACTIONS(2805),
    [anon_sym_BANG_EQ] = ACTIONS(2807),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2805),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2805),
    [anon_sym_LT_EQ] = ACTIONS(2805),
    [anon_sym_GT_EQ] = ACTIONS(2805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2805),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2805),
    [anon_sym_is] = ACTIONS(2805),
    [anon_sym_PLUS] = ACTIONS(2807),
    [anon_sym_DASH] = ACTIONS(2807),
    [anon_sym_STAR] = ACTIONS(2807),
    [anon_sym_SLASH] = ACTIONS(2807),
    [anon_sym_PERCENT] = ACTIONS(2807),
    [anon_sym_PLUS_PLUS] = ACTIONS(2805),
    [anon_sym_DASH_DASH] = ACTIONS(2805),
    [anon_sym_PIPE] = ACTIONS(2805),
    [anon_sym_CARET] = ACTIONS(2807),
    [anon_sym_LT_LT] = ACTIONS(2805),
    [anon_sym_GT_GT] = ACTIONS(2805),
    [anon_sym_class] = ACTIONS(2805),
    [anon_sym_BANG2] = ACTIONS(2807),
    [anon_sym_prefix] = ACTIONS(2805),
    [anon_sym_infix] = ACTIONS(2805),
    [anon_sym_postfix] = ACTIONS(2805),
    [anon_sym_AT] = ACTIONS(2807),
    [anon_sym_override] = ACTIONS(2805),
    [anon_sym_convenience] = ACTIONS(2805),
    [anon_sym_required] = ACTIONS(2805),
    [anon_sym_nonisolated] = ACTIONS(2805),
    [anon_sym_public] = ACTIONS(2805),
    [anon_sym_private] = ACTIONS(2805),
    [anon_sym_internal] = ACTIONS(2805),
    [anon_sym_fileprivate] = ACTIONS(2805),
    [anon_sym_open] = ACTIONS(2805),
    [anon_sym_mutating] = ACTIONS(2805),
    [anon_sym_nonmutating] = ACTIONS(2805),
    [anon_sym_static] = ACTIONS(2805),
    [anon_sym_dynamic] = ACTIONS(2805),
    [anon_sym_optional] = ACTIONS(2805),
    [anon_sym_distributed] = ACTIONS(2805),
    [anon_sym_final] = ACTIONS(2805),
    [anon_sym_inout] = ACTIONS(2805),
    [anon_sym_ATescaping] = ACTIONS(2805),
    [anon_sym_ATautoclosure] = ACTIONS(2805),
    [anon_sym_weak] = ACTIONS(2805),
    [anon_sym_unowned] = ACTIONS(2807),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2805),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2805),
    [anon_sym_borrowing] = ACTIONS(2805),
    [anon_sym_consuming] = ACTIONS(2805),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2805),
    [sym__explicit_semi] = ACTIONS(2805),
    [sym__arrow_operator_custom] = ACTIONS(2805),
    [sym__dot_custom] = ACTIONS(3461),
    [sym__conjunction_operator_custom] = ACTIONS(2805),
    [sym__disjunction_operator_custom] = ACTIONS(2805),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2805),
    [sym__eq_custom] = ACTIONS(2805),
    [sym__eq_eq_custom] = ACTIONS(2805),
    [sym__plus_then_ws] = ACTIONS(2805),
    [sym__minus_then_ws] = ACTIONS(2805),
    [sym__bang_custom] = ACTIONS(2805),
    [sym__throws_keyword] = ACTIONS(2805),
    [sym__rethrows_keyword] = ACTIONS(2805),
    [sym_default_keyword] = ACTIONS(2805),
    [sym_where_keyword] = ACTIONS(2805),
    [sym__as_custom] = ACTIONS(2805),
    [sym__as_quest_custom] = ACTIONS(2805),
    [sym__as_bang_custom] = ACTIONS(2805),
    [sym__async_keyword_custom] = ACTIONS(2805),
    [sym__custom_operator] = ACTIONS(2805),
  },
  [924] = {
    [sym__immediate_quest] = STATE(924),
    [aux_sym_optional_type_repeat1] = STATE(924),
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(2859),
    [anon_sym_package] = ACTIONS(2859),
    [anon_sym_COMMA] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(2859),
    [anon_sym_LBRACK] = ACTIONS(2859),
    [anon_sym_DOT] = ACTIONS(2861),
    [anon_sym_QMARK] = ACTIONS(2861),
    [anon_sym_QMARK2] = ACTIONS(3464),
    [anon_sym_AMP] = ACTIONS(2859),
    [aux_sym_custom_operator_token1] = ACTIONS(2859),
    [anon_sym_LT] = ACTIONS(2861),
    [anon_sym_GT] = ACTIONS(2861),
    [anon_sym_LBRACE] = ACTIONS(2859),
    [anon_sym_CARET_LBRACE] = ACTIONS(2859),
    [anon_sym_RBRACE] = ACTIONS(2859),
    [anon_sym_case] = ACTIONS(2859),
    [anon_sym_fallthrough] = ACTIONS(2859),
    [anon_sym_PLUS_EQ] = ACTIONS(2859),
    [anon_sym_DASH_EQ] = ACTIONS(2859),
    [anon_sym_STAR_EQ] = ACTIONS(2859),
    [anon_sym_SLASH_EQ] = ACTIONS(2859),
    [anon_sym_PERCENT_EQ] = ACTIONS(2859),
    [anon_sym_BANG_EQ] = ACTIONS(2861),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2859),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2859),
    [anon_sym_LT_EQ] = ACTIONS(2859),
    [anon_sym_GT_EQ] = ACTIONS(2859),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2859),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2859),
    [anon_sym_is] = ACTIONS(2859),
    [anon_sym_PLUS] = ACTIONS(2861),
    [anon_sym_DASH] = ACTIONS(2861),
    [anon_sym_STAR] = ACTIONS(2861),
    [anon_sym_SLASH] = ACTIONS(2861),
    [anon_sym_PERCENT] = ACTIONS(2861),
    [anon_sym_PLUS_PLUS] = ACTIONS(2859),
    [anon_sym_DASH_DASH] = ACTIONS(2859),
    [anon_sym_PIPE] = ACTIONS(2859),
    [anon_sym_CARET] = ACTIONS(2861),
    [anon_sym_LT_LT] = ACTIONS(2859),
    [anon_sym_GT_GT] = ACTIONS(2859),
    [anon_sym_class] = ACTIONS(2859),
    [anon_sym_BANG2] = ACTIONS(2861),
    [anon_sym_prefix] = ACTIONS(2859),
    [anon_sym_infix] = ACTIONS(2859),
    [anon_sym_postfix] = ACTIONS(2859),
    [anon_sym_AT] = ACTIONS(2861),
    [anon_sym_override] = ACTIONS(2859),
    [anon_sym_convenience] = ACTIONS(2859),
    [anon_sym_required] = ACTIONS(2859),
    [anon_sym_nonisolated] = ACTIONS(2859),
    [anon_sym_public] = ACTIONS(2859),
    [anon_sym_private] = ACTIONS(2859),
    [anon_sym_internal] = ACTIONS(2859),
    [anon_sym_fileprivate] = ACTIONS(2859),
    [anon_sym_open] = ACTIONS(2859),
    [anon_sym_mutating] = ACTIONS(2859),
    [anon_sym_nonmutating] = ACTIONS(2859),
    [anon_sym_static] = ACTIONS(2859),
    [anon_sym_dynamic] = ACTIONS(2859),
    [anon_sym_optional] = ACTIONS(2859),
    [anon_sym_distributed] = ACTIONS(2859),
    [anon_sym_final] = ACTIONS(2859),
    [anon_sym_inout] = ACTIONS(2859),
    [anon_sym_ATescaping] = ACTIONS(2859),
    [anon_sym_ATautoclosure] = ACTIONS(2859),
    [anon_sym_weak] = ACTIONS(2859),
    [anon_sym_unowned] = ACTIONS(2861),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2859),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2859),
    [anon_sym_borrowing] = ACTIONS(2859),
    [anon_sym_consuming] = ACTIONS(2859),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2859),
    [sym__explicit_semi] = ACTIONS(2859),
    [sym__arrow_operator_custom] = ACTIONS(2859),
    [sym__dot_custom] = ACTIONS(2859),
    [sym__conjunction_operator_custom] = ACTIONS(2859),
    [sym__disjunction_operator_custom] = ACTIONS(2859),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2859),
    [sym__eq_custom] = ACTIONS(2859),
    [sym__eq_eq_custom] = ACTIONS(2859),
    [sym__plus_then_ws] = ACTIONS(2859),
    [sym__minus_then_ws] = ACTIONS(2859),
    [sym__bang_custom] = ACTIONS(2859),
    [sym__throws_keyword] = ACTIONS(2859),
    [sym__rethrows_keyword] = ACTIONS(2859),
    [sym_default_keyword] = ACTIONS(2859),
    [sym_where_keyword] = ACTIONS(2859),
    [sym__as_custom] = ACTIONS(2859),
    [sym__as_quest_custom] = ACTIONS(2859),
    [sym__as_bang_custom] = ACTIONS(2859),
    [sym__async_keyword_custom] = ACTIONS(2859),
    [sym__custom_operator] = ACTIONS(2859),
  },
  [925] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(3029),
    [aux_sym_simple_identifier_token2] = ACTIONS(3031),
    [aux_sym_simple_identifier_token3] = ACTIONS(3031),
    [aux_sym_simple_identifier_token4] = ACTIONS(3031),
    [anon_sym_actor] = ACTIONS(3029),
    [anon_sym_async] = ACTIONS(3029),
    [anon_sym_each] = ACTIONS(3029),
    [anon_sym_lazy] = ACTIONS(3029),
    [anon_sym_repeat] = ACTIONS(3029),
    [anon_sym_package] = ACTIONS(3029),
    [anon_sym_COMMA] = ACTIONS(3031),
    [anon_sym_LPAREN] = ACTIONS(3031),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_QMARK] = ACTIONS(3029),
    [anon_sym_QMARK2] = ACTIONS(3031),
    [anon_sym_AMP] = ACTIONS(3031),
    [aux_sym_custom_operator_token1] = ACTIONS(3031),
    [anon_sym_LT] = ACTIONS(3029),
    [anon_sym_GT] = ACTIONS(3029),
    [anon_sym_LBRACE] = ACTIONS(3031),
    [anon_sym_CARET_LBRACE] = ACTIONS(3031),
    [anon_sym_RBRACE] = ACTIONS(3031),
    [anon_sym_case] = ACTIONS(3029),
    [anon_sym_fallthrough] = ACTIONS(3029),
    [anon_sym_PLUS_EQ] = ACTIONS(3031),
    [anon_sym_DASH_EQ] = ACTIONS(3031),
    [anon_sym_STAR_EQ] = ACTIONS(3031),
    [anon_sym_SLASH_EQ] = ACTIONS(3031),
    [anon_sym_PERCENT_EQ] = ACTIONS(3031),
    [anon_sym_BANG_EQ] = ACTIONS(3029),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3031),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3031),
    [anon_sym_LT_EQ] = ACTIONS(3031),
    [anon_sym_GT_EQ] = ACTIONS(3031),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3031),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3031),
    [anon_sym_is] = ACTIONS(3029),
    [anon_sym_PLUS] = ACTIONS(3029),
    [anon_sym_DASH] = ACTIONS(3029),
    [anon_sym_STAR] = ACTIONS(3029),
    [anon_sym_SLASH] = ACTIONS(3029),
    [anon_sym_PERCENT] = ACTIONS(3029),
    [anon_sym_PLUS_PLUS] = ACTIONS(3031),
    [anon_sym_DASH_DASH] = ACTIONS(3031),
    [anon_sym_PIPE] = ACTIONS(3031),
    [anon_sym_CARET] = ACTIONS(3029),
    [anon_sym_LT_LT] = ACTIONS(3031),
    [anon_sym_GT_GT] = ACTIONS(3031),
    [anon_sym_class] = ACTIONS(3029),
    [anon_sym_BANG2] = ACTIONS(3029),
    [anon_sym_prefix] = ACTIONS(3029),
    [anon_sym_infix] = ACTIONS(3029),
    [anon_sym_postfix] = ACTIONS(3029),
    [anon_sym_AT] = ACTIONS(3029),
    [anon_sym_override] = ACTIONS(3029),
    [anon_sym_convenience] = ACTIONS(3029),
    [anon_sym_required] = ACTIONS(3029),
    [anon_sym_nonisolated] = ACTIONS(3029),
    [anon_sym_public] = ACTIONS(3029),
    [anon_sym_private] = ACTIONS(3029),
    [anon_sym_internal] = ACTIONS(3029),
    [anon_sym_fileprivate] = ACTIONS(3029),
    [anon_sym_open] = ACTIONS(3029),
    [anon_sym_mutating] = ACTIONS(3029),
    [anon_sym_nonmutating] = ACTIONS(3029),
    [anon_sym_static] = ACTIONS(3029),
    [anon_sym_dynamic] = ACTIONS(3029),
    [anon_sym_optional] = ACTIONS(3029),
    [anon_sym_distributed] = ACTIONS(3029),
    [anon_sym_final] = ACTIONS(3029),
    [anon_sym_inout] = ACTIONS(3029),
    [anon_sym_ATescaping] = ACTIONS(3031),
    [anon_sym_ATautoclosure] = ACTIONS(3031),
    [anon_sym_weak] = ACTIONS(3029),
    [anon_sym_unowned] = ACTIONS(3029),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3031),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3031),
    [anon_sym_borrowing] = ACTIONS(3029),
    [anon_sym_consuming] = ACTIONS(3029),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3031),
    [sym__explicit_semi] = ACTIONS(3031),
    [sym__dot_custom] = ACTIONS(3031),
    [sym__conjunction_operator_custom] = ACTIONS(3031),
    [sym__disjunction_operator_custom] = ACTIONS(3031),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3031),
    [sym__eq_custom] = ACTIONS(3031),
    [sym__eq_eq_custom] = ACTIONS(3031),
    [sym__plus_then_ws] = ACTIONS(3031),
    [sym__minus_then_ws] = ACTIONS(3031),
    [sym__bang_custom] = ACTIONS(3031),
    [sym_default_keyword] = ACTIONS(3031),
    [sym__as_custom] = ACTIONS(3031),
    [sym__as_quest_custom] = ACTIONS(3031),
    [sym__as_bang_custom] = ACTIONS(3031),
    [sym__custom_operator] = ACTIONS(3031),
  },
  [926] = {
    [sym__dot] = STATE(4583),
    [aux_sym_user_type_repeat1] = STATE(926),
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(2798),
    [anon_sym_package] = ACTIONS(2798),
    [anon_sym_COMMA] = ACTIONS(2798),
    [anon_sym_LPAREN] = ACTIONS(2798),
    [anon_sym_LBRACK] = ACTIONS(2798),
    [anon_sym_DOT] = ACTIONS(2800),
    [anon_sym_QMARK] = ACTIONS(2800),
    [anon_sym_QMARK2] = ACTIONS(2798),
    [anon_sym_AMP] = ACTIONS(2798),
    [aux_sym_custom_operator_token1] = ACTIONS(2798),
    [anon_sym_LT] = ACTIONS(2800),
    [anon_sym_GT] = ACTIONS(2800),
    [anon_sym_LBRACE] = ACTIONS(2798),
    [anon_sym_CARET_LBRACE] = ACTIONS(2798),
    [anon_sym_RBRACE] = ACTIONS(2798),
    [anon_sym_case] = ACTIONS(2798),
    [anon_sym_fallthrough] = ACTIONS(2798),
    [anon_sym_PLUS_EQ] = ACTIONS(2798),
    [anon_sym_DASH_EQ] = ACTIONS(2798),
    [anon_sym_STAR_EQ] = ACTIONS(2798),
    [anon_sym_SLASH_EQ] = ACTIONS(2798),
    [anon_sym_PERCENT_EQ] = ACTIONS(2798),
    [anon_sym_BANG_EQ] = ACTIONS(2800),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2798),
    [anon_sym_LT_EQ] = ACTIONS(2798),
    [anon_sym_GT_EQ] = ACTIONS(2798),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2798),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2798),
    [anon_sym_is] = ACTIONS(2798),
    [anon_sym_PLUS] = ACTIONS(2800),
    [anon_sym_DASH] = ACTIONS(2800),
    [anon_sym_STAR] = ACTIONS(2800),
    [anon_sym_SLASH] = ACTIONS(2800),
    [anon_sym_PERCENT] = ACTIONS(2800),
    [anon_sym_PLUS_PLUS] = ACTIONS(2798),
    [anon_sym_DASH_DASH] = ACTIONS(2798),
    [anon_sym_PIPE] = ACTIONS(2798),
    [anon_sym_CARET] = ACTIONS(2800),
    [anon_sym_LT_LT] = ACTIONS(2798),
    [anon_sym_GT_GT] = ACTIONS(2798),
    [anon_sym_class] = ACTIONS(2798),
    [anon_sym_BANG2] = ACTIONS(2800),
    [anon_sym_prefix] = ACTIONS(2798),
    [anon_sym_infix] = ACTIONS(2798),
    [anon_sym_postfix] = ACTIONS(2798),
    [anon_sym_AT] = ACTIONS(2800),
    [anon_sym_override] = ACTIONS(2798),
    [anon_sym_convenience] = ACTIONS(2798),
    [anon_sym_required] = ACTIONS(2798),
    [anon_sym_nonisolated] = ACTIONS(2798),
    [anon_sym_public] = ACTIONS(2798),
    [anon_sym_private] = ACTIONS(2798),
    [anon_sym_internal] = ACTIONS(2798),
    [anon_sym_fileprivate] = ACTIONS(2798),
    [anon_sym_open] = ACTIONS(2798),
    [anon_sym_mutating] = ACTIONS(2798),
    [anon_sym_nonmutating] = ACTIONS(2798),
    [anon_sym_static] = ACTIONS(2798),
    [anon_sym_dynamic] = ACTIONS(2798),
    [anon_sym_optional] = ACTIONS(2798),
    [anon_sym_distributed] = ACTIONS(2798),
    [anon_sym_final] = ACTIONS(2798),
    [anon_sym_inout] = ACTIONS(2798),
    [anon_sym_ATescaping] = ACTIONS(2798),
    [anon_sym_ATautoclosure] = ACTIONS(2798),
    [anon_sym_weak] = ACTIONS(2798),
    [anon_sym_unowned] = ACTIONS(2800),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2798),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2798),
    [anon_sym_borrowing] = ACTIONS(2798),
    [anon_sym_consuming] = ACTIONS(2798),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2798),
    [sym__explicit_semi] = ACTIONS(2798),
    [sym__arrow_operator_custom] = ACTIONS(2798),
    [sym__dot_custom] = ACTIONS(3467),
    [sym__conjunction_operator_custom] = ACTIONS(2798),
    [sym__disjunction_operator_custom] = ACTIONS(2798),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2798),
    [sym__eq_custom] = ACTIONS(2798),
    [sym__eq_eq_custom] = ACTIONS(2798),
    [sym__plus_then_ws] = ACTIONS(2798),
    [sym__minus_then_ws] = ACTIONS(2798),
    [sym__bang_custom] = ACTIONS(2798),
    [sym__throws_keyword] = ACTIONS(2798),
    [sym__rethrows_keyword] = ACTIONS(2798),
    [sym_default_keyword] = ACTIONS(2798),
    [sym_where_keyword] = ACTIONS(2798),
    [sym__as_custom] = ACTIONS(2798),
    [sym__as_quest_custom] = ACTIONS(2798),
    [sym__as_bang_custom] = ACTIONS(2798),
    [sym__async_keyword_custom] = ACTIONS(2798),
    [sym__custom_operator] = ACTIONS(2798),
  },
  [927] = {
    [sym__immediate_quest] = STATE(922),
    [aux_sym_optional_type_repeat1] = STATE(922),
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(2840),
    [anon_sym_package] = ACTIONS(2840),
    [anon_sym_COMMA] = ACTIONS(2840),
    [anon_sym_LPAREN] = ACTIONS(2840),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_DOT] = ACTIONS(2842),
    [anon_sym_QMARK] = ACTIONS(2842),
    [anon_sym_QMARK2] = ACTIONS(3428),
    [anon_sym_AMP] = ACTIONS(2840),
    [aux_sym_custom_operator_token1] = ACTIONS(2840),
    [anon_sym_LT] = ACTIONS(2842),
    [anon_sym_GT] = ACTIONS(2842),
    [anon_sym_LBRACE] = ACTIONS(2840),
    [anon_sym_CARET_LBRACE] = ACTIONS(2840),
    [anon_sym_RBRACE] = ACTIONS(2840),
    [anon_sym_case] = ACTIONS(2840),
    [anon_sym_fallthrough] = ACTIONS(2840),
    [anon_sym_PLUS_EQ] = ACTIONS(2840),
    [anon_sym_DASH_EQ] = ACTIONS(2840),
    [anon_sym_STAR_EQ] = ACTIONS(2840),
    [anon_sym_SLASH_EQ] = ACTIONS(2840),
    [anon_sym_PERCENT_EQ] = ACTIONS(2840),
    [anon_sym_BANG_EQ] = ACTIONS(2842),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2840),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2840),
    [anon_sym_LT_EQ] = ACTIONS(2840),
    [anon_sym_GT_EQ] = ACTIONS(2840),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2840),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2840),
    [anon_sym_is] = ACTIONS(2840),
    [anon_sym_PLUS] = ACTIONS(2842),
    [anon_sym_DASH] = ACTIONS(2842),
    [anon_sym_STAR] = ACTIONS(2842),
    [anon_sym_SLASH] = ACTIONS(2842),
    [anon_sym_PERCENT] = ACTIONS(2842),
    [anon_sym_PLUS_PLUS] = ACTIONS(2840),
    [anon_sym_DASH_DASH] = ACTIONS(2840),
    [anon_sym_PIPE] = ACTIONS(2840),
    [anon_sym_CARET] = ACTIONS(2842),
    [anon_sym_LT_LT] = ACTIONS(2840),
    [anon_sym_GT_GT] = ACTIONS(2840),
    [anon_sym_class] = ACTIONS(2840),
    [anon_sym_BANG2] = ACTIONS(2842),
    [anon_sym_prefix] = ACTIONS(2840),
    [anon_sym_infix] = ACTIONS(2840),
    [anon_sym_postfix] = ACTIONS(2840),
    [anon_sym_AT] = ACTIONS(2842),
    [anon_sym_override] = ACTIONS(2840),
    [anon_sym_convenience] = ACTIONS(2840),
    [anon_sym_required] = ACTIONS(2840),
    [anon_sym_nonisolated] = ACTIONS(2840),
    [anon_sym_public] = ACTIONS(2840),
    [anon_sym_private] = ACTIONS(2840),
    [anon_sym_internal] = ACTIONS(2840),
    [anon_sym_fileprivate] = ACTIONS(2840),
    [anon_sym_open] = ACTIONS(2840),
    [anon_sym_mutating] = ACTIONS(2840),
    [anon_sym_nonmutating] = ACTIONS(2840),
    [anon_sym_static] = ACTIONS(2840),
    [anon_sym_dynamic] = ACTIONS(2840),
    [anon_sym_optional] = ACTIONS(2840),
    [anon_sym_distributed] = ACTIONS(2840),
    [anon_sym_final] = ACTIONS(2840),
    [anon_sym_inout] = ACTIONS(2840),
    [anon_sym_ATescaping] = ACTIONS(2840),
    [anon_sym_ATautoclosure] = ACTIONS(2840),
    [anon_sym_weak] = ACTIONS(2840),
    [anon_sym_unowned] = ACTIONS(2842),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2840),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2840),
    [anon_sym_borrowing] = ACTIONS(2840),
    [anon_sym_consuming] = ACTIONS(2840),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2840),
    [sym__explicit_semi] = ACTIONS(2840),
    [sym__arrow_operator_custom] = ACTIONS(2840),
    [sym__dot_custom] = ACTIONS(2840),
    [sym__conjunction_operator_custom] = ACTIONS(2840),
    [sym__disjunction_operator_custom] = ACTIONS(2840),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2840),
    [sym__eq_custom] = ACTIONS(2840),
    [sym__eq_eq_custom] = ACTIONS(2840),
    [sym__plus_then_ws] = ACTIONS(2840),
    [sym__minus_then_ws] = ACTIONS(2840),
    [sym__bang_custom] = ACTIONS(2840),
    [sym__throws_keyword] = ACTIONS(2840),
    [sym__rethrows_keyword] = ACTIONS(2840),
    [sym_default_keyword] = ACTIONS(2840),
    [sym_where_keyword] = ACTIONS(2840),
    [sym__as_custom] = ACTIONS(2840),
    [sym__as_quest_custom] = ACTIONS(2840),
    [sym__as_bang_custom] = ACTIONS(2840),
    [sym__async_keyword_custom] = ACTIONS(2840),
    [sym__custom_operator] = ACTIONS(2840),
  },
  [928] = {
    [sym_simple_identifier] = STATE(1489),
    [sym__contextual_simple_identifier] = STATE(1514),
    [sym__unannotated_type] = STATE(1492),
    [sym_user_type] = STATE(1504),
    [sym__simple_user_type] = STATE(1490),
    [sym_tuple_type] = STATE(1478),
    [sym_function_type] = STATE(1492),
    [sym_array_type] = STATE(1504),
    [sym_dictionary_type] = STATE(1504),
    [sym_optional_type] = STATE(1492),
    [sym_metatype] = STATE(1492),
    [sym_opaque_type] = STATE(1492),
    [sym_existential_type] = STATE(1492),
    [sym_type_parameter_pack] = STATE(1492),
    [sym_type_pack_expansion] = STATE(1492),
    [sym_protocol_composition_type] = STATE(1492),
    [sym__parenthesized_type] = STATE(1561),
    [sym__parameter_ownership_modifier] = STATE(1514),
    [sym_comment] = ACTIONS(5),
    [aux_sym_simple_identifier_token1] = ACTIONS(3470),
    [aux_sym_simple_identifier_token2] = ACTIONS(3472),
    [aux_sym_simple_identifier_token3] = ACTIONS(3472),
    [aux_sym_simple_identifier_token4] = ACTIONS(3472),
    [anon_sym_actor] = ACTIONS(3474),
    [anon_sym_async] = ACTIONS(3474),
    [anon_sym_each] = ACTIONS(3477),
    [anon_sym_lazy] = ACTIONS(3474),
    [anon_sym_repeat] = ACTIONS(3479),
    [anon_sym_package] = ACTIONS(3474),
    [anon_sym_COMMA] = ACTIONS(631),
    [anon_sym_COLON] = ACTIONS(631),
    [anon_sym_LPAREN] = ACTIONS(3481),
    [anon_sym_LBRACK] = ACTIONS(3483),
    [anon_sym_DOT] = ACTIONS(631),
    [anon_sym_QMARK] = ACTIONS(637),
    [anon_sym_QMARK2] = ACTIONS(631),
    [anon_sym_some] = ACTIONS(3485),
    [anon_sym_any] = ACTIONS(3487),
    [anon_sym_AMP] = ACTIONS(631),
    [anon_sym_LT] = ACTIONS(631),
    [anon_sym_LBRACE] = ACTIONS(631),
    [anon_sym_RBRACE] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(637),
    [anon_sym_import] = ACTIONS(637),
    [anon_sym_typealias] = ACTIONS(637),
    [anon_sym_struct] = ACTIONS(637),
    [anon_sym_class] = ACTIONS(637),
    [anon_sym_enum] = ACTIONS(637),
    [anon_sym_protocol] = ACTIONS(637),
    [anon_sym_let] = ACTIONS(637),
    [anon_sym_var] = ACTIONS(637),
    [anon_sym_func] = ACTIONS(637),
    [anon_sym_extension] = ACTIONS(637),
    [anon_sym_indirect] = ACTIONS(637),
    [anon_sym_init] = ACTIONS(637),
    [anon_sym_deinit] = ACTIONS(637),
    [anon_sym_subscript] = ACTIONS(637),
    [anon_sym_prefix] = ACTIONS(637),
    [anon_sym_infix] = ACTIONS(637),
    [anon_sym_postfix] = ACTIONS(637),
    [anon_sym_precedencegroup] = ACTIONS(637),
    [anon_sym_associatedtype] = ACTIONS(637),
    [anon_sym_AT] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_convenience] = ACTIONS(637),
    [anon_sym_required] = ACTIONS(637),
    [anon_sym_nonisolated] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_internal] = ACTIONS(637),
    [anon_sym_fileprivate] = ACTIONS(637),
    [anon_sym_open] = ACTIONS(637),
    [anon_sym_mutating] = ACTIONS(637),
    [anon_sym_nonmutating] = ACTIONS(637),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_dynamic] = ACTIONS(637),
    [anon_sym_optional] = ACTIONS(637),
    [anon_sym_distributed] = ACTIONS(637),
    [anon_sym_final] = ACTIONS(637),
    [anon_sym_inout] = ACTIONS(637),
    [anon_sym_ATescaping] = ACTIONS(631),
    [anon_sym_ATautoclosure] = ACTIONS(631),
    [anon_sym_weak] = ACTIONS(637),
    [anon_sym_unowned] = ACTIONS(637),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(631),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(631),
    [anon_sym_borrowing] = ACTIONS(3474),
    [anon_sym_consuming] = ACTIONS(3474),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(631),
    [sym__dot_custom] = ACTIONS(631),
    [sym__eq_custom] = ACTIONS(631),
    [sym__throws_keyword] = ACTIONS(631),
    [sym__rethrows_keyword] = ACTIONS(631),
    [sym_where_keyword] = ACTIONS(631),
    [sym__as_custom] = ACTIONS(631),
    [sym__async_keyword_custom] = ACTIONS(631),
  },
  [929] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(3006),
    [aux_sym_simple_identifier_token2] = ACTIONS(3008),
    [aux_sym_simple_identifier_token3] = ACTIONS(3008),
    [aux_sym_simple_identifier_token4] = ACTIONS(3008),
    [anon_sym_actor] = ACTIONS(3006),
    [anon_sym_async] = ACTIONS(3006),
    [anon_sym_each] = ACTIONS(3006),
    [anon_sym_lazy] = ACTIONS(3006),
    [anon_sym_repeat] = ACTIONS(3006),
    [anon_sym_package] = ACTIONS(3006),
    [anon_sym_COMMA] = ACTIONS(3008),
    [anon_sym_LPAREN] = ACTIONS(3008),
    [anon_sym_LBRACK] = ACTIONS(3008),
    [anon_sym_QMARK] = ACTIONS(3006),
    [anon_sym_QMARK2] = ACTIONS(3008),
    [anon_sym_AMP] = ACTIONS(3008),
    [aux_sym_custom_operator_token1] = ACTIONS(3008),
    [anon_sym_LT] = ACTIONS(3006),
    [anon_sym_GT] = ACTIONS(3006),
    [anon_sym_LBRACE] = ACTIONS(3008),
    [anon_sym_CARET_LBRACE] = ACTIONS(3008),
    [anon_sym_RBRACE] = ACTIONS(3008),
    [anon_sym_case] = ACTIONS(3006),
    [anon_sym_fallthrough] = ACTIONS(3006),
    [anon_sym_PLUS_EQ] = ACTIONS(3008),
    [anon_sym_DASH_EQ] = ACTIONS(3008),
    [anon_sym_STAR_EQ] = ACTIONS(3008),
    [anon_sym_SLASH_EQ] = ACTIONS(3008),
    [anon_sym_PERCENT_EQ] = ACTIONS(3008),
    [anon_sym_BANG_EQ] = ACTIONS(3006),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3008),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3008),
    [anon_sym_LT_EQ] = ACTIONS(3008),
    [anon_sym_GT_EQ] = ACTIONS(3008),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3008),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3008),
    [anon_sym_is] = ACTIONS(3006),
    [anon_sym_PLUS] = ACTIONS(3006),
    [anon_sym_DASH] = ACTIONS(3006),
    [anon_sym_STAR] = ACTIONS(3006),
    [anon_sym_SLASH] = ACTIONS(3006),
    [anon_sym_PERCENT] = ACTIONS(3006),
    [anon_sym_PLUS_PLUS] = ACTIONS(3008),
    [anon_sym_DASH_DASH] = ACTIONS(3008),
    [anon_sym_PIPE] = ACTIONS(3008),
    [anon_sym_CARET] = ACTIONS(3006),
    [anon_sym_LT_LT] = ACTIONS(3008),
    [anon_sym_GT_GT] = ACTIONS(3008),
    [anon_sym_class] = ACTIONS(3006),
    [anon_sym_BANG2] = ACTIONS(3006),
    [anon_sym_prefix] = ACTIONS(3006),
    [anon_sym_infix] = ACTIONS(3006),
    [anon_sym_postfix] = ACTIONS(3006),
    [anon_sym_AT] = ACTIONS(3006),
    [anon_sym_override] = ACTIONS(3006),
    [anon_sym_convenience] = ACTIONS(3006),
    [anon_sym_required] = ACTIONS(3006),
    [anon_sym_nonisolated] = ACTIONS(3006),
    [anon_sym_public] = ACTIONS(3006),
    [anon_sym_private] = ACTIONS(3006),
    [anon_sym_internal] = ACTIONS(3006),
    [anon_sym_fileprivate] = ACTIONS(3006),
    [anon_sym_open] = ACTIONS(3006),
    [anon_sym_mutating] = ACTIONS(3006),
    [anon_sym_nonmutating] = ACTIONS(3006),
    [anon_sym_static] = ACTIONS(3006),
    [anon_sym_dynamic] = ACTIONS(3006),
    [anon_sym_optional] = ACTIONS(3006),
    [anon_sym_distributed] = ACTIONS(3006),
    [anon_sym_final] = ACTIONS(3006),
    [anon_sym_inout] = ACTIONS(3006),
    [anon_sym_ATescaping] = ACTIONS(3008),
    [anon_sym_ATautoclosure] = ACTIONS(3008),
    [anon_sym_weak] = ACTIONS(3006),
    [anon_sym_unowned] = ACTIONS(3006),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3008),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3008),
    [anon_sym_borrowing] = ACTIONS(3006),
    [anon_sym_consuming] = ACTIONS(3006),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3008),
    [sym__explicit_semi] = ACTIONS(3008),
    [sym__dot_custom] = ACTIONS(3008),
    [sym__conjunction_operator_custom] = ACTIONS(3008),
    [sym__disjunction_operator_custom] = ACTIONS(3008),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3008),
    [sym__eq_custom] = ACTIONS(3008),
    [sym__eq_eq_custom] = ACTIONS(3008),
    [sym__plus_then_ws] = ACTIONS(3008),
    [sym__minus_then_ws] = ACTIONS(3008),
    [sym__bang_custom] = ACTIONS(3008),
    [sym_default_keyword] = ACTIONS(3008),
    [sym__as_custom] = ACTIONS(3008),
    [sym__as_quest_custom] = ACTIONS(3008),
    [sym__as_bang_custom] = ACTIONS(3008),
    [sym__custom_operator] = ACTIONS(3008),
  },
  [930] = {
    [sym_simple_identifier] = STATE(1489),
    [sym__contextual_simple_identifier] = STATE(1514),
    [sym__unannotated_type] = STATE(1501),
    [sym_user_type] = STATE(1504),
    [sym__simple_user_type] = STATE(1490),
    [sym_tuple_type] = STATE(1478),
    [sym_function_type] = STATE(1501),
    [sym_array_type] = STATE(1504),
    [sym_dictionary_type] = STATE(1504),
    [sym_optional_type] = STATE(1501),
    [sym_metatype] = STATE(1501),
    [sym_opaque_type] = STATE(1501),
    [sym_existential_type] = STATE(1501),
    [sym_type_parameter_pack] = STATE(1501),
    [sym_type_pack_expansion] = STATE(1501),
    [sym_protocol_composition_type] = STATE(1501),
    [sym__parenthesized_type] = STATE(1561),
    [sym__parameter_ownership_modifier] = STATE(1514),
    [sym_comment] = ACTIONS(5),
    [aux_sym_simple_identifier_token1] = ACTIONS(3470),
    [aux_sym_simple_identifier_token2] = ACTIONS(3472),
    [aux_sym_simple_identifier_token3] = ACTIONS(3472),
    [aux_sym_simple_identifier_token4] = ACTIONS(3472),
    [anon_sym_actor] = ACTIONS(3474),
    [anon_sym_async] = ACTIONS(3474),
    [anon_sym_each] = ACTIONS(3477),
    [anon_sym_lazy] = ACTIONS(3474),
    [anon_sym_repeat] = ACTIONS(3479),
    [anon_sym_package] = ACTIONS(3474),
    [anon_sym_COMMA] = ACTIONS(631),
    [anon_sym_COLON] = ACTIONS(631),
    [anon_sym_LPAREN] = ACTIONS(3481),
    [anon_sym_LBRACK] = ACTIONS(3483),
    [anon_sym_DOT] = ACTIONS(631),
    [anon_sym_QMARK] = ACTIONS(637),
    [anon_sym_QMARK2] = ACTIONS(631),
    [anon_sym_some] = ACTIONS(3485),
    [anon_sym_any] = ACTIONS(3487),
    [anon_sym_AMP] = ACTIONS(631),
    [anon_sym_LT] = ACTIONS(631),
    [anon_sym_LBRACE] = ACTIONS(631),
    [anon_sym_RBRACE] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(637),
    [anon_sym_import] = ACTIONS(637),
    [anon_sym_typealias] = ACTIONS(637),
    [anon_sym_struct] = ACTIONS(637),
    [anon_sym_class] = ACTIONS(637),
    [anon_sym_enum] = ACTIONS(637),
    [anon_sym_protocol] = ACTIONS(637),
    [anon_sym_let] = ACTIONS(637),
    [anon_sym_var] = ACTIONS(637),
    [anon_sym_func] = ACTIONS(637),
    [anon_sym_extension] = ACTIONS(637),
    [anon_sym_indirect] = ACTIONS(637),
    [anon_sym_init] = ACTIONS(637),
    [anon_sym_deinit] = ACTIONS(637),
    [anon_sym_subscript] = ACTIONS(637),
    [anon_sym_prefix] = ACTIONS(637),
    [anon_sym_infix] = ACTIONS(637),
    [anon_sym_postfix] = ACTIONS(637),
    [anon_sym_precedencegroup] = ACTIONS(637),
    [anon_sym_associatedtype] = ACTIONS(637),
    [anon_sym_AT] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_convenience] = ACTIONS(637),
    [anon_sym_required] = ACTIONS(637),
    [anon_sym_nonisolated] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_internal] = ACTIONS(637),
    [anon_sym_fileprivate] = ACTIONS(637),
    [anon_sym_open] = ACTIONS(637),
    [anon_sym_mutating] = ACTIONS(637),
    [anon_sym_nonmutating] = ACTIONS(637),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_dynamic] = ACTIONS(637),
    [anon_sym_optional] = ACTIONS(637),
    [anon_sym_distributed] = ACTIONS(637),
    [anon_sym_final] = ACTIONS(637),
    [anon_sym_inout] = ACTIONS(637),
    [anon_sym_ATescaping] = ACTIONS(631),
    [anon_sym_ATautoclosure] = ACTIONS(631),
    [anon_sym_weak] = ACTIONS(637),
    [anon_sym_unowned] = ACTIONS(637),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(631),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(631),
    [anon_sym_borrowing] = ACTIONS(3474),
    [anon_sym_consuming] = ACTIONS(3474),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(631),
    [sym__dot_custom] = ACTIONS(631),
    [sym__eq_custom] = ACTIONS(631),
    [sym__throws_keyword] = ACTIONS(631),
    [sym__rethrows_keyword] = ACTIONS(631),
    [sym_where_keyword] = ACTIONS(631),
    [sym__as_custom] = ACTIONS(631),
    [sym__async_keyword_custom] = ACTIONS(631),
  },
  [931] = {
    [aux_sym_protocol_composition_type_repeat1] = STATE(931),
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(2892),
    [anon_sym_package] = ACTIONS(2892),
    [anon_sym_COMMA] = ACTIONS(2892),
    [anon_sym_LPAREN] = ACTIONS(2892),
    [anon_sym_LBRACK] = ACTIONS(2892),
    [anon_sym_DOT] = ACTIONS(2894),
    [anon_sym_QMARK] = ACTIONS(2894),
    [anon_sym_QMARK2] = ACTIONS(2892),
    [anon_sym_AMP] = ACTIONS(3489),
    [aux_sym_custom_operator_token1] = ACTIONS(2892),
    [anon_sym_LT] = ACTIONS(2894),
    [anon_sym_GT] = ACTIONS(2894),
    [anon_sym_LBRACE] = ACTIONS(2892),
    [anon_sym_CARET_LBRACE] = ACTIONS(2892),
    [anon_sym_RBRACE] = ACTIONS(2892),
    [anon_sym_case] = ACTIONS(2892),
    [anon_sym_fallthrough] = ACTIONS(2892),
    [anon_sym_PLUS_EQ] = ACTIONS(2892),
    [anon_sym_DASH_EQ] = ACTIONS(2892),
    [anon_sym_STAR_EQ] = ACTIONS(2892),
    [anon_sym_SLASH_EQ] = ACTIONS(2892),
    [anon_sym_PERCENT_EQ] = ACTIONS(2892),
    [anon_sym_BANG_EQ] = ACTIONS(2894),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2892),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2892),
    [anon_sym_LT_EQ] = ACTIONS(2892),
    [anon_sym_GT_EQ] = ACTIONS(2892),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2892),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2892),
    [anon_sym_is] = ACTIONS(2892),
    [anon_sym_PLUS] = ACTIONS(2894),
    [anon_sym_DASH] = ACTIONS(2894),
    [anon_sym_STAR] = ACTIONS(2894),
    [anon_sym_SLASH] = ACTIONS(2894),
    [anon_sym_PERCENT] = ACTIONS(2894),
    [anon_sym_PLUS_PLUS] = ACTIONS(2892),
    [anon_sym_DASH_DASH] = ACTIONS(2892),
    [anon_sym_PIPE] = ACTIONS(2892),
    [anon_sym_CARET] = ACTIONS(2894),
    [anon_sym_LT_LT] = ACTIONS(2892),
    [anon_sym_GT_GT] = ACTIONS(2892),
    [anon_sym_class] = ACTIONS(2892),
    [anon_sym_BANG2] = ACTIONS(2894),
    [anon_sym_prefix] = ACTIONS(2892),
    [anon_sym_infix] = ACTIONS(2892),
    [anon_sym_postfix] = ACTIONS(2892),
    [anon_sym_AT] = ACTIONS(2894),
    [anon_sym_override] = ACTIONS(2892),
    [anon_sym_convenience] = ACTIONS(2892),
    [anon_sym_required] = ACTIONS(2892),
    [anon_sym_nonisolated] = ACTIONS(2892),
    [anon_sym_public] = ACTIONS(2892),
    [anon_sym_private] = ACTIONS(2892),
    [anon_sym_internal] = ACTIONS(2892),
    [anon_sym_fileprivate] = ACTIONS(2892),
    [anon_sym_open] = ACTIONS(2892),
    [anon_sym_mutating] = ACTIONS(2892),
    [anon_sym_nonmutating] = ACTIONS(2892),
    [anon_sym_static] = ACTIONS(2892),
    [anon_sym_dynamic] = ACTIONS(2892),
    [anon_sym_optional] = ACTIONS(2892),
    [anon_sym_distributed] = ACTIONS(2892),
    [anon_sym_final] = ACTIONS(2892),
    [anon_sym_inout] = ACTIONS(2892),
    [anon_sym_ATescaping] = ACTIONS(2892),
    [anon_sym_ATautoclosure] = ACTIONS(2892),
    [anon_sym_weak] = ACTIONS(2892),
    [anon_sym_unowned] = ACTIONS(2894),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2892),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2892),
    [anon_sym_borrowing] = ACTIONS(2892),
    [anon_sym_consuming] = ACTIONS(2892),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2892),
    [sym__explicit_semi] = ACTIONS(2892),
    [sym__arrow_operator_custom] = ACTIONS(2892),
    [sym__dot_custom] = ACTIONS(2892),
    [sym__conjunction_operator_custom] = ACTIONS(2892),
    [sym__disjunction_operator_custom] = ACTIONS(2892),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2892),
    [sym__eq_custom] = ACTIONS(2892),
    [sym__eq_eq_custom] = ACTIONS(2892),
    [sym__plus_then_ws] = ACTIONS(2892),
    [sym__minus_then_ws] = ACTIONS(2892),
    [sym__bang_custom] = ACTIONS(2892),
    [sym__throws_keyword] = ACTIONS(2892),
    [sym__rethrows_keyword] = ACTIONS(2892),
    [sym_default_keyword] = ACTIONS(2892),
    [sym_where_keyword] = ACTIONS(2892),
    [sym__as_custom] = ACTIONS(2892),
    [sym__as_quest_custom] = ACTIONS(2892),
    [sym__as_bang_custom] = ACTIONS(2892),
    [sym__async_keyword_custom] = ACTIONS(2892),
    [sym__custom_operator] = ACTIONS(2892),
  },
  [932] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(3018),
    [aux_sym_simple_identifier_token2] = ACTIONS(3020),
    [aux_sym_simple_identifier_token3] = ACTIONS(3020),
    [aux_sym_simple_identifier_token4] = ACTIONS(3020),
    [anon_sym_actor] = ACTIONS(3018),
    [anon_sym_async] = ACTIONS(3018),
    [anon_sym_each] = ACTIONS(3018),
    [anon_sym_lazy] = ACTIONS(3022),
    [anon_sym_repeat] = ACTIONS(3018),
    [anon_sym_package] = ACTIONS(3022),
    [anon_sym_LPAREN] = ACTIONS(3020),
    [anon_sym_LBRACK] = ACTIONS(3020),
    [anon_sym_QMARK] = ACTIONS(3018),
    [anon_sym_QMARK2] = ACTIONS(3020),
    [anon_sym_AMP] = ACTIONS(3020),
    [aux_sym_custom_operator_token1] = ACTIONS(3020),
    [anon_sym_LT] = ACTIONS(3018),
    [anon_sym_GT] = ACTIONS(3018),
    [anon_sym_LBRACE] = ACTIONS(3020),
    [anon_sym_CARET_LBRACE] = ACTIONS(3020),
    [anon_sym_RBRACE] = ACTIONS(3024),
    [anon_sym_case] = ACTIONS(3022),
    [anon_sym_fallthrough] = ACTIONS(3022),
    [anon_sym_PLUS_EQ] = ACTIONS(3020),
    [anon_sym_DASH_EQ] = ACTIONS(3020),
    [anon_sym_STAR_EQ] = ACTIONS(3020),
    [anon_sym_SLASH_EQ] = ACTIONS(3020),
    [anon_sym_PERCENT_EQ] = ACTIONS(3020),
    [anon_sym_BANG_EQ] = ACTIONS(3018),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3020),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3020),
    [anon_sym_LT_EQ] = ACTIONS(3020),
    [anon_sym_GT_EQ] = ACTIONS(3020),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3020),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3020),
    [anon_sym_is] = ACTIONS(3018),
    [anon_sym_PLUS] = ACTIONS(3018),
    [anon_sym_DASH] = ACTIONS(3018),
    [anon_sym_STAR] = ACTIONS(3018),
    [anon_sym_SLASH] = ACTIONS(3018),
    [anon_sym_PERCENT] = ACTIONS(3018),
    [anon_sym_PLUS_PLUS] = ACTIONS(3020),
    [anon_sym_DASH_DASH] = ACTIONS(3020),
    [anon_sym_PIPE] = ACTIONS(3020),
    [anon_sym_CARET] = ACTIONS(3018),
    [anon_sym_LT_LT] = ACTIONS(3020),
    [anon_sym_GT_GT] = ACTIONS(3020),
    [anon_sym_class] = ACTIONS(3022),
    [anon_sym_BANG2] = ACTIONS(3018),
    [anon_sym_prefix] = ACTIONS(3022),
    [anon_sym_infix] = ACTIONS(3022),
    [anon_sym_postfix] = ACTIONS(3022),
    [anon_sym_AT] = ACTIONS(3022),
    [anon_sym_override] = ACTIONS(3022),
    [anon_sym_convenience] = ACTIONS(3022),
    [anon_sym_required] = ACTIONS(3022),
    [anon_sym_nonisolated] = ACTIONS(3022),
    [anon_sym_public] = ACTIONS(3022),
    [anon_sym_private] = ACTIONS(3022),
    [anon_sym_internal] = ACTIONS(3022),
    [anon_sym_fileprivate] = ACTIONS(3022),
    [anon_sym_open] = ACTIONS(3022),
    [anon_sym_mutating] = ACTIONS(3022),
    [anon_sym_nonmutating] = ACTIONS(3022),
    [anon_sym_static] = ACTIONS(3022),
    [anon_sym_dynamic] = ACTIONS(3022),
    [anon_sym_optional] = ACTIONS(3022),
    [anon_sym_distributed] = ACTIONS(3022),
    [anon_sym_final] = ACTIONS(3022),
    [anon_sym_inout] = ACTIONS(3022),
    [anon_sym_ATescaping] = ACTIONS(3024),
    [anon_sym_ATautoclosure] = ACTIONS(3024),
    [anon_sym_weak] = ACTIONS(3022),
    [anon_sym_unowned] = ACTIONS(3022),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3024),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3024),
    [anon_sym_borrowing] = ACTIONS(3022),
    [anon_sym_consuming] = ACTIONS(3022),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3024),
    [sym__explicit_semi] = ACTIONS(3024),
    [sym__dot_custom] = ACTIONS(3020),
    [sym__conjunction_operator_custom] = ACTIONS(3020),
    [sym__disjunction_operator_custom] = ACTIONS(3020),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3020),
    [sym__eq_custom] = ACTIONS(3020),
    [sym__eq_eq_custom] = ACTIONS(3020),
    [sym__plus_then_ws] = ACTIONS(3020),
    [sym__minus_then_ws] = ACTIONS(3020),
    [sym__bang_custom] = ACTIONS(3020),
    [sym_default_keyword] = ACTIONS(3024),
    [sym__as_custom] = ACTIONS(3020),
    [sym__as_quest_custom] = ACTIONS(3020),
    [sym__as_bang_custom] = ACTIONS(3020),
    [sym__custom_operator] = ACTIONS(3020),
  },
  [933] = {
    [sym__immediate_quest] = STATE(933),
    [aux_sym_optional_type_repeat1] = STATE(933),
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(2859),
    [anon_sym_package] = ACTIONS(2859),
    [anon_sym_COMMA] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(2859),
    [anon_sym_LBRACK] = ACTIONS(2859),
    [anon_sym_DOT] = ACTIONS(2861),
    [anon_sym_QMARK] = ACTIONS(2861),
    [anon_sym_QMARK2] = ACTIONS(3492),
    [anon_sym_AMP] = ACTIONS(2859),
    [aux_sym_custom_operator_token1] = ACTIONS(2859),
    [anon_sym_LT] = ACTIONS(2861),
    [anon_sym_GT] = ACTIONS(2861),
    [anon_sym_LBRACE] = ACTIONS(2859),
    [anon_sym_CARET_LBRACE] = ACTIONS(2859),
    [anon_sym_RBRACE] = ACTIONS(2859),
    [anon_sym_case] = ACTIONS(2859),
    [anon_sym_fallthrough] = ACTIONS(2859),
    [anon_sym_PLUS_EQ] = ACTIONS(2859),
    [anon_sym_DASH_EQ] = ACTIONS(2859),
    [anon_sym_STAR_EQ] = ACTIONS(2859),
    [anon_sym_SLASH_EQ] = ACTIONS(2859),
    [anon_sym_PERCENT_EQ] = ACTIONS(2859),
    [anon_sym_BANG_EQ] = ACTIONS(2861),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2859),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2859),
    [anon_sym_LT_EQ] = ACTIONS(2859),
    [anon_sym_GT_EQ] = ACTIONS(2859),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2859),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2859),
    [anon_sym_is] = ACTIONS(2859),
    [anon_sym_PLUS] = ACTIONS(2861),
    [anon_sym_DASH] = ACTIONS(2861),
    [anon_sym_STAR] = ACTIONS(2861),
    [anon_sym_SLASH] = ACTIONS(2861),
    [anon_sym_PERCENT] = ACTIONS(2861),
    [anon_sym_PLUS_PLUS] = ACTIONS(2859),
    [anon_sym_DASH_DASH] = ACTIONS(2859),
    [anon_sym_PIPE] = ACTIONS(2859),
    [anon_sym_CARET] = ACTIONS(2861),
    [anon_sym_LT_LT] = ACTIONS(2859),
    [anon_sym_GT_GT] = ACTIONS(2859),
    [anon_sym_class] = ACTIONS(2859),
    [anon_sym_BANG2] = ACTIONS(2861),
    [anon_sym_prefix] = ACTIONS(2859),
    [anon_sym_infix] = ACTIONS(2859),
    [anon_sym_postfix] = ACTIONS(2859),
    [anon_sym_AT] = ACTIONS(2861),
    [anon_sym_override] = ACTIONS(2859),
    [anon_sym_convenience] = ACTIONS(2859),
    [anon_sym_required] = ACTIONS(2859),
    [anon_sym_nonisolated] = ACTIONS(2859),
    [anon_sym_public] = ACTIONS(2859),
    [anon_sym_private] = ACTIONS(2859),
    [anon_sym_internal] = ACTIONS(2859),
    [anon_sym_fileprivate] = ACTIONS(2859),
    [anon_sym_open] = ACTIONS(2859),
    [anon_sym_mutating] = ACTIONS(2859),
    [anon_sym_nonmutating] = ACTIONS(2859),
    [anon_sym_static] = ACTIONS(2859),
    [anon_sym_dynamic] = ACTIONS(2859),
    [anon_sym_optional] = ACTIONS(2859),
    [anon_sym_distributed] = ACTIONS(2859),
    [anon_sym_final] = ACTIONS(2859),
    [anon_sym_inout] = ACTIONS(2859),
    [anon_sym_ATescaping] = ACTIONS(2859),
    [anon_sym_ATautoclosure] = ACTIONS(2859),
    [anon_sym_weak] = ACTIONS(2859),
    [anon_sym_unowned] = ACTIONS(2861),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2859),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2859),
    [anon_sym_borrowing] = ACTIONS(2859),
    [anon_sym_consuming] = ACTIONS(2859),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2859),
    [sym__explicit_semi] = ACTIONS(2859),
    [sym__arrow_operator_custom] = ACTIONS(2859),
    [sym__dot_custom] = ACTIONS(2859),
    [sym__conjunction_operator_custom] = ACTIONS(2859),
    [sym__disjunction_operator_custom] = ACTIONS(2859),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2859),
    [sym__eq_custom] = ACTIONS(2859),
    [sym__eq_eq_custom] = ACTIONS(2859),
    [sym__plus_then_ws] = ACTIONS(2859),
    [sym__minus_then_ws] = ACTIONS(2859),
    [sym__bang_custom] = ACTIONS(2859),
    [sym__throws_keyword] = ACTIONS(2859),
    [sym__rethrows_keyword] = ACTIONS(2859),
    [sym_default_keyword] = ACTIONS(2859),
    [sym__as_custom] = ACTIONS(2859),
    [sym__as_quest_custom] = ACTIONS(2859),
    [sym__as_bang_custom] = ACTIONS(2859),
    [sym__async_keyword_custom] = ACTIONS(2859),
    [sym__custom_operator] = ACTIONS(2859),
  },
  [934] = {
    [sym__dot] = STATE(4605),
    [aux_sym_user_type_repeat1] = STATE(939),
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(2805),
    [anon_sym_package] = ACTIONS(2805),
    [anon_sym_COMMA] = ACTIONS(2805),
    [anon_sym_LPAREN] = ACTIONS(2805),
    [anon_sym_LBRACK] = ACTIONS(2805),
    [anon_sym_DOT] = ACTIONS(2807),
    [anon_sym_QMARK] = ACTIONS(2807),
    [anon_sym_QMARK2] = ACTIONS(2805),
    [anon_sym_AMP] = ACTIONS(2805),
    [aux_sym_custom_operator_token1] = ACTIONS(2805),
    [anon_sym_LT] = ACTIONS(2807),
    [anon_sym_GT] = ACTIONS(2807),
    [anon_sym_LBRACE] = ACTIONS(2805),
    [anon_sym_CARET_LBRACE] = ACTIONS(2805),
    [anon_sym_RBRACE] = ACTIONS(2805),
    [anon_sym_case] = ACTIONS(2805),
    [anon_sym_fallthrough] = ACTIONS(2805),
    [anon_sym_PLUS_EQ] = ACTIONS(2805),
    [anon_sym_DASH_EQ] = ACTIONS(2805),
    [anon_sym_STAR_EQ] = ACTIONS(2805),
    [anon_sym_SLASH_EQ] = ACTIONS(2805),
    [anon_sym_PERCENT_EQ] = ACTIONS(2805),
    [anon_sym_BANG_EQ] = ACTIONS(2807),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2805),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2805),
    [anon_sym_LT_EQ] = ACTIONS(2805),
    [anon_sym_GT_EQ] = ACTIONS(2805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2805),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2805),
    [anon_sym_is] = ACTIONS(2805),
    [anon_sym_PLUS] = ACTIONS(2807),
    [anon_sym_DASH] = ACTIONS(2807),
    [anon_sym_STAR] = ACTIONS(2807),
    [anon_sym_SLASH] = ACTIONS(2807),
    [anon_sym_PERCENT] = ACTIONS(2807),
    [anon_sym_PLUS_PLUS] = ACTIONS(2805),
    [anon_sym_DASH_DASH] = ACTIONS(2805),
    [anon_sym_PIPE] = ACTIONS(2805),
    [anon_sym_CARET] = ACTIONS(2807),
    [anon_sym_LT_LT] = ACTIONS(2805),
    [anon_sym_GT_GT] = ACTIONS(2805),
    [anon_sym_class] = ACTIONS(2805),
    [anon_sym_BANG2] = ACTIONS(2807),
    [anon_sym_prefix] = ACTIONS(2805),
    [anon_sym_infix] = ACTIONS(2805),
    [anon_sym_postfix] = ACTIONS(2805),
    [anon_sym_AT] = ACTIONS(2807),
    [anon_sym_override] = ACTIONS(2805),
    [anon_sym_convenience] = ACTIONS(2805),
    [anon_sym_required] = ACTIONS(2805),
    [anon_sym_nonisolated] = ACTIONS(2805),
    [anon_sym_public] = ACTIONS(2805),
    [anon_sym_private] = ACTIONS(2805),
    [anon_sym_internal] = ACTIONS(2805),
    [anon_sym_fileprivate] = ACTIONS(2805),
    [anon_sym_open] = ACTIONS(2805),
    [anon_sym_mutating] = ACTIONS(2805),
    [anon_sym_nonmutating] = ACTIONS(2805),
    [anon_sym_static] = ACTIONS(2805),
    [anon_sym_dynamic] = ACTIONS(2805),
    [anon_sym_optional] = ACTIONS(2805),
    [anon_sym_distributed] = ACTIONS(2805),
    [anon_sym_final] = ACTIONS(2805),
    [anon_sym_inout] = ACTIONS(2805),
    [anon_sym_ATescaping] = ACTIONS(2805),
    [anon_sym_ATautoclosure] = ACTIONS(2805),
    [anon_sym_weak] = ACTIONS(2805),
    [anon_sym_unowned] = ACTIONS(2807),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2805),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2805),
    [anon_sym_borrowing] = ACTIONS(2805),
    [anon_sym_consuming] = ACTIONS(2805),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2805),
    [sym__explicit_semi] = ACTIONS(2805),
    [sym__arrow_operator_custom] = ACTIONS(2805),
    [sym__dot_custom] = ACTIONS(3495),
    [sym__conjunction_operator_custom] = ACTIONS(2805),
    [sym__disjunction_operator_custom] = ACTIONS(2805),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2805),
    [sym__eq_custom] = ACTIONS(2805),
    [sym__eq_eq_custom] = ACTIONS(2805),
    [sym__plus_then_ws] = ACTIONS(2805),
    [sym__minus_then_ws] = ACTIONS(2805),
    [sym__bang_custom] = ACTIONS(2805),
    [sym__throws_keyword] = ACTIONS(2805),
    [sym__rethrows_keyword] = ACTIONS(2805),
    [sym_default_keyword] = ACTIONS(2805),
    [sym__as_custom] = ACTIONS(2805),
    [sym__as_quest_custom] = ACTIONS(2805),
    [sym__as_bang_custom] = ACTIONS(2805),
    [sym__async_keyword_custom] = ACTIONS(2805),
    [sym__custom_operator] = ACTIONS(2805),
  },
  [935] = {
    [sym__immediate_quest] = STATE(937),
    [aux_sym_optional_type_repeat1] = STATE(937),
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(2840),
    [anon_sym_package] = ACTIONS(2840),
    [anon_sym_COMMA] = ACTIONS(2840),
    [anon_sym_LPAREN] = ACTIONS(2840),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_DOT] = ACTIONS(2842),
    [anon_sym_QMARK] = ACTIONS(2842),
    [anon_sym_QMARK2] = ACTIONS(3438),
    [anon_sym_AMP] = ACTIONS(2840),
    [aux_sym_custom_operator_token1] = ACTIONS(2840),
    [anon_sym_LT] = ACTIONS(2842),
    [anon_sym_GT] = ACTIONS(2842),
    [anon_sym_LBRACE] = ACTIONS(2840),
    [anon_sym_CARET_LBRACE] = ACTIONS(2840),
    [anon_sym_RBRACE] = ACTIONS(2840),
    [anon_sym_case] = ACTIONS(2840),
    [anon_sym_fallthrough] = ACTIONS(2840),
    [anon_sym_PLUS_EQ] = ACTIONS(2840),
    [anon_sym_DASH_EQ] = ACTIONS(2840),
    [anon_sym_STAR_EQ] = ACTIONS(2840),
    [anon_sym_SLASH_EQ] = ACTIONS(2840),
    [anon_sym_PERCENT_EQ] = ACTIONS(2840),
    [anon_sym_BANG_EQ] = ACTIONS(2842),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2840),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2840),
    [anon_sym_LT_EQ] = ACTIONS(2840),
    [anon_sym_GT_EQ] = ACTIONS(2840),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2840),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2840),
    [anon_sym_is] = ACTIONS(2840),
    [anon_sym_PLUS] = ACTIONS(2842),
    [anon_sym_DASH] = ACTIONS(2842),
    [anon_sym_STAR] = ACTIONS(2842),
    [anon_sym_SLASH] = ACTIONS(2842),
    [anon_sym_PERCENT] = ACTIONS(2842),
    [anon_sym_PLUS_PLUS] = ACTIONS(2840),
    [anon_sym_DASH_DASH] = ACTIONS(2840),
    [anon_sym_PIPE] = ACTIONS(2840),
    [anon_sym_CARET] = ACTIONS(2842),
    [anon_sym_LT_LT] = ACTIONS(2840),
    [anon_sym_GT_GT] = ACTIONS(2840),
    [anon_sym_class] = ACTIONS(2840),
    [anon_sym_BANG2] = ACTIONS(2842),
    [anon_sym_prefix] = ACTIONS(2840),
    [anon_sym_infix] = ACTIONS(2840),
    [anon_sym_postfix] = ACTIONS(2840),
    [anon_sym_AT] = ACTIONS(2842),
    [anon_sym_override] = ACTIONS(2840),
    [anon_sym_convenience] = ACTIONS(2840),
    [anon_sym_required] = ACTIONS(2840),
    [anon_sym_nonisolated] = ACTIONS(2840),
    [anon_sym_public] = ACTIONS(2840),
    [anon_sym_private] = ACTIONS(2840),
    [anon_sym_internal] = ACTIONS(2840),
    [anon_sym_fileprivate] = ACTIONS(2840),
    [anon_sym_open] = ACTIONS(2840),
    [anon_sym_mutating] = ACTIONS(2840),
    [anon_sym_nonmutating] = ACTIONS(2840),
    [anon_sym_static] = ACTIONS(2840),
    [anon_sym_dynamic] = ACTIONS(2840),
    [anon_sym_optional] = ACTIONS(2840),
    [anon_sym_distributed] = ACTIONS(2840),
    [anon_sym_final] = ACTIONS(2840),
    [anon_sym_inout] = ACTIONS(2840),
    [anon_sym_ATescaping] = ACTIONS(2840),
    [anon_sym_ATautoclosure] = ACTIONS(2840),
    [anon_sym_weak] = ACTIONS(2840),
    [anon_sym_unowned] = ACTIONS(2842),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2840),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2840),
    [anon_sym_borrowing] = ACTIONS(2840),
    [anon_sym_consuming] = ACTIONS(2840),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2840),
    [sym__explicit_semi] = ACTIONS(2840),
    [sym__arrow_operator_custom] = ACTIONS(2840),
    [sym__dot_custom] = ACTIONS(2840),
    [sym__conjunction_operator_custom] = ACTIONS(2840),
    [sym__disjunction_operator_custom] = ACTIONS(2840),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2840),
    [sym__eq_custom] = ACTIONS(2840),
    [sym__eq_eq_custom] = ACTIONS(2840),
    [sym__plus_then_ws] = ACTIONS(2840),
    [sym__minus_then_ws] = ACTIONS(2840),
    [sym__bang_custom] = ACTIONS(2840),
    [sym__throws_keyword] = ACTIONS(2840),
    [sym__rethrows_keyword] = ACTIONS(2840),
    [sym_default_keyword] = ACTIONS(2840),
    [sym__as_custom] = ACTIONS(2840),
    [sym__as_quest_custom] = ACTIONS(2840),
    [sym__as_bang_custom] = ACTIONS(2840),
    [sym__async_keyword_custom] = ACTIONS(2840),
    [sym__custom_operator] = ACTIONS(2840),
  },
  [936] = {
    [sym_type_arguments] = STATE(964),
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(2882),
    [anon_sym_package] = ACTIONS(2882),
    [anon_sym_COMMA] = ACTIONS(2882),
    [anon_sym_LPAREN] = ACTIONS(2882),
    [anon_sym_LBRACK] = ACTIONS(2882),
    [anon_sym_DOT] = ACTIONS(2884),
    [anon_sym_QMARK] = ACTIONS(2884),
    [anon_sym_QMARK2] = ACTIONS(2882),
    [anon_sym_AMP] = ACTIONS(2882),
    [aux_sym_custom_operator_token1] = ACTIONS(2882),
    [anon_sym_LT] = ACTIONS(3498),
    [anon_sym_GT] = ACTIONS(2884),
    [anon_sym_LBRACE] = ACTIONS(2882),
    [anon_sym_CARET_LBRACE] = ACTIONS(2882),
    [anon_sym_RBRACE] = ACTIONS(2882),
    [anon_sym_case] = ACTIONS(2882),
    [anon_sym_fallthrough] = ACTIONS(2882),
    [anon_sym_PLUS_EQ] = ACTIONS(2882),
    [anon_sym_DASH_EQ] = ACTIONS(2882),
    [anon_sym_STAR_EQ] = ACTIONS(2882),
    [anon_sym_SLASH_EQ] = ACTIONS(2882),
    [anon_sym_PERCENT_EQ] = ACTIONS(2882),
    [anon_sym_BANG_EQ] = ACTIONS(2884),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2882),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2882),
    [anon_sym_LT_EQ] = ACTIONS(2882),
    [anon_sym_GT_EQ] = ACTIONS(2882),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2882),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2882),
    [anon_sym_is] = ACTIONS(2882),
    [anon_sym_PLUS] = ACTIONS(2884),
    [anon_sym_DASH] = ACTIONS(2884),
    [anon_sym_STAR] = ACTIONS(2884),
    [anon_sym_SLASH] = ACTIONS(2884),
    [anon_sym_PERCENT] = ACTIONS(2884),
    [anon_sym_PLUS_PLUS] = ACTIONS(2882),
    [anon_sym_DASH_DASH] = ACTIONS(2882),
    [anon_sym_PIPE] = ACTIONS(2882),
    [anon_sym_CARET] = ACTIONS(2884),
    [anon_sym_LT_LT] = ACTIONS(2882),
    [anon_sym_GT_GT] = ACTIONS(2882),
    [anon_sym_class] = ACTIONS(2882),
    [anon_sym_BANG2] = ACTIONS(2884),
    [anon_sym_prefix] = ACTIONS(2882),
    [anon_sym_infix] = ACTIONS(2882),
    [anon_sym_postfix] = ACTIONS(2882),
    [anon_sym_AT] = ACTIONS(2884),
    [anon_sym_override] = ACTIONS(2882),
    [anon_sym_convenience] = ACTIONS(2882),
    [anon_sym_required] = ACTIONS(2882),
    [anon_sym_nonisolated] = ACTIONS(2882),
    [anon_sym_public] = ACTIONS(2882),
    [anon_sym_private] = ACTIONS(2882),
    [anon_sym_internal] = ACTIONS(2882),
    [anon_sym_fileprivate] = ACTIONS(2882),
    [anon_sym_open] = ACTIONS(2882),
    [anon_sym_mutating] = ACTIONS(2882),
    [anon_sym_nonmutating] = ACTIONS(2882),
    [anon_sym_static] = ACTIONS(2882),
    [anon_sym_dynamic] = ACTIONS(2882),
    [anon_sym_optional] = ACTIONS(2882),
    [anon_sym_distributed] = ACTIONS(2882),
    [anon_sym_final] = ACTIONS(2882),
    [anon_sym_inout] = ACTIONS(2882),
    [anon_sym_ATescaping] = ACTIONS(2882),
    [anon_sym_ATautoclosure] = ACTIONS(2882),
    [anon_sym_weak] = ACTIONS(2882),
    [anon_sym_unowned] = ACTIONS(2884),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2882),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2882),
    [anon_sym_borrowing] = ACTIONS(2882),
    [anon_sym_consuming] = ACTIONS(2882),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2882),
    [sym__explicit_semi] = ACTIONS(2882),
    [sym__arrow_operator_custom] = ACTIONS(2882),
    [sym__dot_custom] = ACTIONS(2882),
    [sym__conjunction_operator_custom] = ACTIONS(2882),
    [sym__disjunction_operator_custom] = ACTIONS(2882),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2882),
    [sym__eq_custom] = ACTIONS(2882),
    [sym__eq_eq_custom] = ACTIONS(2882),
    [sym__plus_then_ws] = ACTIONS(2882),
    [sym__minus_then_ws] = ACTIONS(2882),
    [sym__bang_custom] = ACTIONS(2882),
    [sym__throws_keyword] = ACTIONS(2882),
    [sym__rethrows_keyword] = ACTIONS(2882),
    [sym_default_keyword] = ACTIONS(2882),
    [sym_where_keyword] = ACTIONS(2882),
    [sym__as_custom] = ACTIONS(2882),
    [sym__as_quest_custom] = ACTIONS(2882),
    [sym__as_bang_custom] = ACTIONS(2882),
    [sym__async_keyword_custom] = ACTIONS(2882),
    [sym__custom_operator] = ACTIONS(2882),
  },
  [937] = {
    [sym__immediate_quest] = STATE(933),
    [aux_sym_optional_type_repeat1] = STATE(933),
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(2794),
    [anon_sym_package] = ACTIONS(2794),
    [anon_sym_COMMA] = ACTIONS(2794),
    [anon_sym_LPAREN] = ACTIONS(2794),
    [anon_sym_LBRACK] = ACTIONS(2794),
    [anon_sym_DOT] = ACTIONS(2796),
    [anon_sym_QMARK] = ACTIONS(2796),
    [anon_sym_QMARK2] = ACTIONS(2794),
    [anon_sym_AMP] = ACTIONS(2794),
    [aux_sym_custom_operator_token1] = ACTIONS(2794),
    [anon_sym_LT] = ACTIONS(2796),
    [anon_sym_GT] = ACTIONS(2796),
    [anon_sym_LBRACE] = ACTIONS(2794),
    [anon_sym_CARET_LBRACE] = ACTIONS(2794),
    [anon_sym_RBRACE] = ACTIONS(2794),
    [anon_sym_case] = ACTIONS(2794),
    [anon_sym_fallthrough] = ACTIONS(2794),
    [anon_sym_PLUS_EQ] = ACTIONS(2794),
    [anon_sym_DASH_EQ] = ACTIONS(2794),
    [anon_sym_STAR_EQ] = ACTIONS(2794),
    [anon_sym_SLASH_EQ] = ACTIONS(2794),
    [anon_sym_PERCENT_EQ] = ACTIONS(2794),
    [anon_sym_BANG_EQ] = ACTIONS(2796),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2794),
    [anon_sym_LT_EQ] = ACTIONS(2794),
    [anon_sym_GT_EQ] = ACTIONS(2794),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2794),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2794),
    [anon_sym_is] = ACTIONS(2794),
    [anon_sym_PLUS] = ACTIONS(2796),
    [anon_sym_DASH] = ACTIONS(2796),
    [anon_sym_STAR] = ACTIONS(2796),
    [anon_sym_SLASH] = ACTIONS(2796),
    [anon_sym_PERCENT] = ACTIONS(2796),
    [anon_sym_PLUS_PLUS] = ACTIONS(2794),
    [anon_sym_DASH_DASH] = ACTIONS(2794),
    [anon_sym_PIPE] = ACTIONS(2794),
    [anon_sym_CARET] = ACTIONS(2796),
    [anon_sym_LT_LT] = ACTIONS(2794),
    [anon_sym_GT_GT] = ACTIONS(2794),
    [anon_sym_class] = ACTIONS(2794),
    [anon_sym_BANG2] = ACTIONS(2796),
    [anon_sym_prefix] = ACTIONS(2794),
    [anon_sym_infix] = ACTIONS(2794),
    [anon_sym_postfix] = ACTIONS(2794),
    [anon_sym_AT] = ACTIONS(2796),
    [anon_sym_override] = ACTIONS(2794),
    [anon_sym_convenience] = ACTIONS(2794),
    [anon_sym_required] = ACTIONS(2794),
    [anon_sym_nonisolated] = ACTIONS(2794),
    [anon_sym_public] = ACTIONS(2794),
    [anon_sym_private] = ACTIONS(2794),
    [anon_sym_internal] = ACTIONS(2794),
    [anon_sym_fileprivate] = ACTIONS(2794),
    [anon_sym_open] = ACTIONS(2794),
    [anon_sym_mutating] = ACTIONS(2794),
    [anon_sym_nonmutating] = ACTIONS(2794),
    [anon_sym_static] = ACTIONS(2794),
    [anon_sym_dynamic] = ACTIONS(2794),
    [anon_sym_optional] = ACTIONS(2794),
    [anon_sym_distributed] = ACTIONS(2794),
    [anon_sym_final] = ACTIONS(2794),
    [anon_sym_inout] = ACTIONS(2794),
    [anon_sym_ATescaping] = ACTIONS(2794),
    [anon_sym_ATautoclosure] = ACTIONS(2794),
    [anon_sym_weak] = ACTIONS(2794),
    [anon_sym_unowned] = ACTIONS(2796),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2794),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2794),
    [anon_sym_borrowing] = ACTIONS(2794),
    [anon_sym_consuming] = ACTIONS(2794),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2794),
    [sym__explicit_semi] = ACTIONS(2794),
    [sym__arrow_operator_custom] = ACTIONS(2794),
    [sym__dot_custom] = ACTIONS(2794),
    [sym__conjunction_operator_custom] = ACTIONS(2794),
    [sym__disjunction_operator_custom] = ACTIONS(2794),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2794),
    [sym__eq_custom] = ACTIONS(2794),
    [sym__eq_eq_custom] = ACTIONS(2794),
    [sym__plus_then_ws] = ACTIONS(2794),
    [sym__minus_then_ws] = ACTIONS(2794),
    [sym__bang_custom] = ACTIONS(2794),
    [sym__throws_keyword] = ACTIONS(2794),
    [sym__rethrows_keyword] = ACTIONS(2794),
    [sym_default_keyword] = ACTIONS(2794),
    [sym__as_custom] = ACTIONS(2794),
    [sym__as_quest_custom] = ACTIONS(2794),
    [sym__as_bang_custom] = ACTIONS(2794),
    [sym__async_keyword_custom] = ACTIONS(2794),
    [sym__custom_operator] = ACTIONS(2794),
  },
  [938] = {
    [aux_sym_protocol_composition_type_repeat1] = STATE(931),
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3014),
    [anon_sym_package] = ACTIONS(3014),
    [anon_sym_COMMA] = ACTIONS(3014),
    [anon_sym_LPAREN] = ACTIONS(3014),
    [anon_sym_LBRACK] = ACTIONS(3014),
    [anon_sym_DOT] = ACTIONS(3016),
    [anon_sym_QMARK] = ACTIONS(3016),
    [anon_sym_QMARK2] = ACTIONS(3014),
    [anon_sym_AMP] = ACTIONS(3014),
    [aux_sym_custom_operator_token1] = ACTIONS(3014),
    [anon_sym_LT] = ACTIONS(3016),
    [anon_sym_GT] = ACTIONS(3016),
    [anon_sym_LBRACE] = ACTIONS(3014),
    [anon_sym_CARET_LBRACE] = ACTIONS(3014),
    [anon_sym_RBRACE] = ACTIONS(3014),
    [anon_sym_case] = ACTIONS(3014),
    [anon_sym_fallthrough] = ACTIONS(3014),
    [anon_sym_PLUS_EQ] = ACTIONS(3014),
    [anon_sym_DASH_EQ] = ACTIONS(3014),
    [anon_sym_STAR_EQ] = ACTIONS(3014),
    [anon_sym_SLASH_EQ] = ACTIONS(3014),
    [anon_sym_PERCENT_EQ] = ACTIONS(3014),
    [anon_sym_BANG_EQ] = ACTIONS(3016),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3014),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3014),
    [anon_sym_LT_EQ] = ACTIONS(3014),
    [anon_sym_GT_EQ] = ACTIONS(3014),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3014),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3014),
    [anon_sym_is] = ACTIONS(3014),
    [anon_sym_PLUS] = ACTIONS(3016),
    [anon_sym_DASH] = ACTIONS(3016),
    [anon_sym_STAR] = ACTIONS(3016),
    [anon_sym_SLASH] = ACTIONS(3016),
    [anon_sym_PERCENT] = ACTIONS(3016),
    [anon_sym_PLUS_PLUS] = ACTIONS(3014),
    [anon_sym_DASH_DASH] = ACTIONS(3014),
    [anon_sym_PIPE] = ACTIONS(3014),
    [anon_sym_CARET] = ACTIONS(3016),
    [anon_sym_LT_LT] = ACTIONS(3014),
    [anon_sym_GT_GT] = ACTIONS(3014),
    [anon_sym_class] = ACTIONS(3014),
    [anon_sym_BANG2] = ACTIONS(3016),
    [anon_sym_prefix] = ACTIONS(3014),
    [anon_sym_infix] = ACTIONS(3014),
    [anon_sym_postfix] = ACTIONS(3014),
    [anon_sym_AT] = ACTIONS(3016),
    [anon_sym_override] = ACTIONS(3014),
    [anon_sym_convenience] = ACTIONS(3014),
    [anon_sym_required] = ACTIONS(3014),
    [anon_sym_nonisolated] = ACTIONS(3014),
    [anon_sym_public] = ACTIONS(3014),
    [anon_sym_private] = ACTIONS(3014),
    [anon_sym_internal] = ACTIONS(3014),
    [anon_sym_fileprivate] = ACTIONS(3014),
    [anon_sym_open] = ACTIONS(3014),
    [anon_sym_mutating] = ACTIONS(3014),
    [anon_sym_nonmutating] = ACTIONS(3014),
    [anon_sym_static] = ACTIONS(3014),
    [anon_sym_dynamic] = ACTIONS(3014),
    [anon_sym_optional] = ACTIONS(3014),
    [anon_sym_distributed] = ACTIONS(3014),
    [anon_sym_final] = ACTIONS(3014),
    [anon_sym_inout] = ACTIONS(3014),
    [anon_sym_ATescaping] = ACTIONS(3014),
    [anon_sym_ATautoclosure] = ACTIONS(3014),
    [anon_sym_weak] = ACTIONS(3014),
    [anon_sym_unowned] = ACTIONS(3016),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3014),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3014),
    [anon_sym_borrowing] = ACTIONS(3014),
    [anon_sym_consuming] = ACTIONS(3014),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3014),
    [sym__explicit_semi] = ACTIONS(3014),
    [sym__arrow_operator_custom] = ACTIONS(3014),
    [sym__dot_custom] = ACTIONS(3014),
    [sym__conjunction_operator_custom] = ACTIONS(3014),
    [sym__disjunction_operator_custom] = ACTIONS(3014),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3014),
    [sym__eq_custom] = ACTIONS(3014),
    [sym__eq_eq_custom] = ACTIONS(3014),
    [sym__plus_then_ws] = ACTIONS(3014),
    [sym__minus_then_ws] = ACTIONS(3014),
    [sym__bang_custom] = ACTIONS(3014),
    [sym__throws_keyword] = ACTIONS(3014),
    [sym__rethrows_keyword] = ACTIONS(3014),
    [sym_default_keyword] = ACTIONS(3014),
    [sym_where_keyword] = ACTIONS(3014),
    [sym__as_custom] = ACTIONS(3014),
    [sym__as_quest_custom] = ACTIONS(3014),
    [sym__as_bang_custom] = ACTIONS(3014),
    [sym__async_keyword_custom] = ACTIONS(3014),
    [sym__custom_operator] = ACTIONS(3014),
  },
  [939] = {
    [sym__dot] = STATE(4605),
    [aux_sym_user_type_repeat1] = STATE(940),
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(2852),
    [anon_sym_package] = ACTIONS(2852),
    [anon_sym_COMMA] = ACTIONS(2852),
    [anon_sym_LPAREN] = ACTIONS(2852),
    [anon_sym_LBRACK] = ACTIONS(2852),
    [anon_sym_DOT] = ACTIONS(2854),
    [anon_sym_QMARK] = ACTIONS(2854),
    [anon_sym_QMARK2] = ACTIONS(2852),
    [anon_sym_AMP] = ACTIONS(2852),
    [aux_sym_custom_operator_token1] = ACTIONS(2852),
    [anon_sym_LT] = ACTIONS(2854),
    [anon_sym_GT] = ACTIONS(2854),
    [anon_sym_LBRACE] = ACTIONS(2852),
    [anon_sym_CARET_LBRACE] = ACTIONS(2852),
    [anon_sym_RBRACE] = ACTIONS(2852),
    [anon_sym_case] = ACTIONS(2852),
    [anon_sym_fallthrough] = ACTIONS(2852),
    [anon_sym_PLUS_EQ] = ACTIONS(2852),
    [anon_sym_DASH_EQ] = ACTIONS(2852),
    [anon_sym_STAR_EQ] = ACTIONS(2852),
    [anon_sym_SLASH_EQ] = ACTIONS(2852),
    [anon_sym_PERCENT_EQ] = ACTIONS(2852),
    [anon_sym_BANG_EQ] = ACTIONS(2854),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2852),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2852),
    [anon_sym_LT_EQ] = ACTIONS(2852),
    [anon_sym_GT_EQ] = ACTIONS(2852),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2852),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2852),
    [anon_sym_is] = ACTIONS(2852),
    [anon_sym_PLUS] = ACTIONS(2854),
    [anon_sym_DASH] = ACTIONS(2854),
    [anon_sym_STAR] = ACTIONS(2854),
    [anon_sym_SLASH] = ACTIONS(2854),
    [anon_sym_PERCENT] = ACTIONS(2854),
    [anon_sym_PLUS_PLUS] = ACTIONS(2852),
    [anon_sym_DASH_DASH] = ACTIONS(2852),
    [anon_sym_PIPE] = ACTIONS(2852),
    [anon_sym_CARET] = ACTIONS(2854),
    [anon_sym_LT_LT] = ACTIONS(2852),
    [anon_sym_GT_GT] = ACTIONS(2852),
    [anon_sym_class] = ACTIONS(2852),
    [anon_sym_BANG2] = ACTIONS(2854),
    [anon_sym_prefix] = ACTIONS(2852),
    [anon_sym_infix] = ACTIONS(2852),
    [anon_sym_postfix] = ACTIONS(2852),
    [anon_sym_AT] = ACTIONS(2854),
    [anon_sym_override] = ACTIONS(2852),
    [anon_sym_convenience] = ACTIONS(2852),
    [anon_sym_required] = ACTIONS(2852),
    [anon_sym_nonisolated] = ACTIONS(2852),
    [anon_sym_public] = ACTIONS(2852),
    [anon_sym_private] = ACTIONS(2852),
    [anon_sym_internal] = ACTIONS(2852),
    [anon_sym_fileprivate] = ACTIONS(2852),
    [anon_sym_open] = ACTIONS(2852),
    [anon_sym_mutating] = ACTIONS(2852),
    [anon_sym_nonmutating] = ACTIONS(2852),
    [anon_sym_static] = ACTIONS(2852),
    [anon_sym_dynamic] = ACTIONS(2852),
    [anon_sym_optional] = ACTIONS(2852),
    [anon_sym_distributed] = ACTIONS(2852),
    [anon_sym_final] = ACTIONS(2852),
    [anon_sym_inout] = ACTIONS(2852),
    [anon_sym_ATescaping] = ACTIONS(2852),
    [anon_sym_ATautoclosure] = ACTIONS(2852),
    [anon_sym_weak] = ACTIONS(2852),
    [anon_sym_unowned] = ACTIONS(2854),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2852),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2852),
    [anon_sym_borrowing] = ACTIONS(2852),
    [anon_sym_consuming] = ACTIONS(2852),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2852),
    [sym__explicit_semi] = ACTIONS(2852),
    [sym__arrow_operator_custom] = ACTIONS(2852),
    [sym__dot_custom] = ACTIONS(3500),
    [sym__conjunction_operator_custom] = ACTIONS(2852),
    [sym__disjunction_operator_custom] = ACTIONS(2852),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2852),
    [sym__eq_custom] = ACTIONS(2852),
    [sym__eq_eq_custom] = ACTIONS(2852),
    [sym__plus_then_ws] = ACTIONS(2852),
    [sym__minus_then_ws] = ACTIONS(2852),
    [sym__bang_custom] = ACTIONS(2852),
    [sym__throws_keyword] = ACTIONS(2852),
    [sym__rethrows_keyword] = ACTIONS(2852),
    [sym_default_keyword] = ACTIONS(2852),
    [sym__as_custom] = ACTIONS(2852),
    [sym__as_quest_custom] = ACTIONS(2852),
    [sym__as_bang_custom] = ACTIONS(2852),
    [sym__async_keyword_custom] = ACTIONS(2852),
    [sym__custom_operator] = ACTIONS(2852),
  },
  [940] = {
    [sym__dot] = STATE(4605),
    [aux_sym_user_type_repeat1] = STATE(940),
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(2798),
    [anon_sym_package] = ACTIONS(2798),
    [anon_sym_COMMA] = ACTIONS(2798),
    [anon_sym_LPAREN] = ACTIONS(2798),
    [anon_sym_LBRACK] = ACTIONS(2798),
    [anon_sym_DOT] = ACTIONS(2800),
    [anon_sym_QMARK] = ACTIONS(2800),
    [anon_sym_QMARK2] = ACTIONS(2798),
    [anon_sym_AMP] = ACTIONS(2798),
    [aux_sym_custom_operator_token1] = ACTIONS(2798),
    [anon_sym_LT] = ACTIONS(2800),
    [anon_sym_GT] = ACTIONS(2800),
    [anon_sym_LBRACE] = ACTIONS(2798),
    [anon_sym_CARET_LBRACE] = ACTIONS(2798),
    [anon_sym_RBRACE] = ACTIONS(2798),
    [anon_sym_case] = ACTIONS(2798),
    [anon_sym_fallthrough] = ACTIONS(2798),
    [anon_sym_PLUS_EQ] = ACTIONS(2798),
    [anon_sym_DASH_EQ] = ACTIONS(2798),
    [anon_sym_STAR_EQ] = ACTIONS(2798),
    [anon_sym_SLASH_EQ] = ACTIONS(2798),
    [anon_sym_PERCENT_EQ] = ACTIONS(2798),
    [anon_sym_BANG_EQ] = ACTIONS(2800),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2798),
    [anon_sym_LT_EQ] = ACTIONS(2798),
    [anon_sym_GT_EQ] = ACTIONS(2798),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2798),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2798),
    [anon_sym_is] = ACTIONS(2798),
    [anon_sym_PLUS] = ACTIONS(2800),
    [anon_sym_DASH] = ACTIONS(2800),
    [anon_sym_STAR] = ACTIONS(2800),
    [anon_sym_SLASH] = ACTIONS(2800),
    [anon_sym_PERCENT] = ACTIONS(2800),
    [anon_sym_PLUS_PLUS] = ACTIONS(2798),
    [anon_sym_DASH_DASH] = ACTIONS(2798),
    [anon_sym_PIPE] = ACTIONS(2798),
    [anon_sym_CARET] = ACTIONS(2800),
    [anon_sym_LT_LT] = ACTIONS(2798),
    [anon_sym_GT_GT] = ACTIONS(2798),
    [anon_sym_class] = ACTIONS(2798),
    [anon_sym_BANG2] = ACTIONS(2800),
    [anon_sym_prefix] = ACTIONS(2798),
    [anon_sym_infix] = ACTIONS(2798),
    [anon_sym_postfix] = ACTIONS(2798),
    [anon_sym_AT] = ACTIONS(2800),
    [anon_sym_override] = ACTIONS(2798),
    [anon_sym_convenience] = ACTIONS(2798),
    [anon_sym_required] = ACTIONS(2798),
    [anon_sym_nonisolated] = ACTIONS(2798),
    [anon_sym_public] = ACTIONS(2798),
    [anon_sym_private] = ACTIONS(2798),
    [anon_sym_internal] = ACTIONS(2798),
    [anon_sym_fileprivate] = ACTIONS(2798),
    [anon_sym_open] = ACTIONS(2798),
    [anon_sym_mutating] = ACTIONS(2798),
    [anon_sym_nonmutating] = ACTIONS(2798),
    [anon_sym_static] = ACTIONS(2798),
    [anon_sym_dynamic] = ACTIONS(2798),
    [anon_sym_optional] = ACTIONS(2798),
    [anon_sym_distributed] = ACTIONS(2798),
    [anon_sym_final] = ACTIONS(2798),
    [anon_sym_inout] = ACTIONS(2798),
    [anon_sym_ATescaping] = ACTIONS(2798),
    [anon_sym_ATautoclosure] = ACTIONS(2798),
    [anon_sym_weak] = ACTIONS(2798),
    [anon_sym_unowned] = ACTIONS(2800),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2798),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2798),
    [anon_sym_borrowing] = ACTIONS(2798),
    [anon_sym_consuming] = ACTIONS(2798),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2798),
    [sym__explicit_semi] = ACTIONS(2798),
    [sym__arrow_operator_custom] = ACTIONS(2798),
    [sym__dot_custom] = ACTIONS(3503),
    [sym__conjunction_operator_custom] = ACTIONS(2798),
    [sym__disjunction_operator_custom] = ACTIONS(2798),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2798),
    [sym__eq_custom] = ACTIONS(2798),
    [sym__eq_eq_custom] = ACTIONS(2798),
    [sym__plus_then_ws] = ACTIONS(2798),
    [sym__minus_then_ws] = ACTIONS(2798),
    [sym__bang_custom] = ACTIONS(2798),
    [sym__throws_keyword] = ACTIONS(2798),
    [sym__rethrows_keyword] = ACTIONS(2798),
    [sym_default_keyword] = ACTIONS(2798),
    [sym__as_custom] = ACTIONS(2798),
    [sym__as_quest_custom] = ACTIONS(2798),
    [sym__as_bang_custom] = ACTIONS(2798),
    [sym__async_keyword_custom] = ACTIONS(2798),
    [sym__custom_operator] = ACTIONS(2798),
  },
  [941] = {
    [sym_type_arguments] = STATE(980),
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(2882),
    [anon_sym_package] = ACTIONS(2882),
    [anon_sym_COMMA] = ACTIONS(2882),
    [anon_sym_LPAREN] = ACTIONS(2882),
    [anon_sym_LBRACK] = ACTIONS(2882),
    [anon_sym_DOT] = ACTIONS(2884),
    [anon_sym_QMARK] = ACTIONS(2884),
    [anon_sym_QMARK2] = ACTIONS(2882),
    [anon_sym_AMP] = ACTIONS(2882),
    [aux_sym_custom_operator_token1] = ACTIONS(2882),
    [anon_sym_LT] = ACTIONS(3506),
    [anon_sym_GT] = ACTIONS(2884),
    [anon_sym_LBRACE] = ACTIONS(2882),
    [anon_sym_CARET_LBRACE] = ACTIONS(2882),
    [anon_sym_RBRACE] = ACTIONS(2882),
    [anon_sym_case] = ACTIONS(2882),
    [anon_sym_fallthrough] = ACTIONS(2882),
    [anon_sym_PLUS_EQ] = ACTIONS(2882),
    [anon_sym_DASH_EQ] = ACTIONS(2882),
    [anon_sym_STAR_EQ] = ACTIONS(2882),
    [anon_sym_SLASH_EQ] = ACTIONS(2882),
    [anon_sym_PERCENT_EQ] = ACTIONS(2882),
    [anon_sym_BANG_EQ] = ACTIONS(2884),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2882),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2882),
    [anon_sym_LT_EQ] = ACTIONS(2882),
    [anon_sym_GT_EQ] = ACTIONS(2882),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2882),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2882),
    [anon_sym_is] = ACTIONS(2882),
    [anon_sym_PLUS] = ACTIONS(2884),
    [anon_sym_DASH] = ACTIONS(2884),
    [anon_sym_STAR] = ACTIONS(2884),
    [anon_sym_SLASH] = ACTIONS(2884),
    [anon_sym_PERCENT] = ACTIONS(2884),
    [anon_sym_PLUS_PLUS] = ACTIONS(2882),
    [anon_sym_DASH_DASH] = ACTIONS(2882),
    [anon_sym_PIPE] = ACTIONS(2882),
    [anon_sym_CARET] = ACTIONS(2884),
    [anon_sym_LT_LT] = ACTIONS(2882),
    [anon_sym_GT_GT] = ACTIONS(2882),
    [anon_sym_class] = ACTIONS(2882),
    [anon_sym_BANG2] = ACTIONS(2884),
    [anon_sym_prefix] = ACTIONS(2882),
    [anon_sym_infix] = ACTIONS(2882),
    [anon_sym_postfix] = ACTIONS(2882),
    [anon_sym_AT] = ACTIONS(2884),
    [anon_sym_override] = ACTIONS(2882),
    [anon_sym_convenience] = ACTIONS(2882),
    [anon_sym_required] = ACTIONS(2882),
    [anon_sym_nonisolated] = ACTIONS(2882),
    [anon_sym_public] = ACTIONS(2882),
    [anon_sym_private] = ACTIONS(2882),
    [anon_sym_internal] = ACTIONS(2882),
    [anon_sym_fileprivate] = ACTIONS(2882),
    [anon_sym_open] = ACTIONS(2882),
    [anon_sym_mutating] = ACTIONS(2882),
    [anon_sym_nonmutating] = ACTIONS(2882),
    [anon_sym_static] = ACTIONS(2882),
    [anon_sym_dynamic] = ACTIONS(2882),
    [anon_sym_optional] = ACTIONS(2882),
    [anon_sym_distributed] = ACTIONS(2882),
    [anon_sym_final] = ACTIONS(2882),
    [anon_sym_inout] = ACTIONS(2882),
    [anon_sym_ATescaping] = ACTIONS(2882),
    [anon_sym_ATautoclosure] = ACTIONS(2882),
    [anon_sym_weak] = ACTIONS(2882),
    [anon_sym_unowned] = ACTIONS(2884),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2882),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2882),
    [anon_sym_borrowing] = ACTIONS(2882),
    [anon_sym_consuming] = ACTIONS(2882),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2882),
    [sym__explicit_semi] = ACTIONS(2882),
    [sym__arrow_operator_custom] = ACTIONS(2882),
    [sym__dot_custom] = ACTIONS(2882),
    [sym__conjunction_operator_custom] = ACTIONS(2882),
    [sym__disjunction_operator_custom] = ACTIONS(2882),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2882),
    [sym__eq_custom] = ACTIONS(2882),
    [sym__eq_eq_custom] = ACTIONS(2882),
    [sym__plus_then_ws] = ACTIONS(2882),
    [sym__minus_then_ws] = ACTIONS(2882),
    [sym__bang_custom] = ACTIONS(2882),
    [sym__throws_keyword] = ACTIONS(2882),
    [sym__rethrows_keyword] = ACTIONS(2882),
    [sym_default_keyword] = ACTIONS(2882),
    [sym__as_custom] = ACTIONS(2882),
    [sym__as_quest_custom] = ACTIONS(2882),
    [sym__as_bang_custom] = ACTIONS(2882),
    [sym__async_keyword_custom] = ACTIONS(2882),
    [sym__custom_operator] = ACTIONS(2882),
  },
  [942] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(2951),
    [anon_sym_package] = ACTIONS(2951),
    [anon_sym_COMMA] = ACTIONS(2951),
    [anon_sym_LPAREN] = ACTIONS(2951),
    [anon_sym_LBRACK] = ACTIONS(2951),
    [anon_sym_DOT] = ACTIONS(2953),
    [anon_sym_QMARK] = ACTIONS(2953),
    [anon_sym_QMARK2] = ACTIONS(2951),
    [anon_sym_AMP] = ACTIONS(2951),
    [aux_sym_custom_operator_token1] = ACTIONS(2951),
    [anon_sym_LT] = ACTIONS(2953),
    [anon_sym_GT] = ACTIONS(2953),
    [anon_sym_LBRACE] = ACTIONS(2951),
    [anon_sym_CARET_LBRACE] = ACTIONS(2951),
    [anon_sym_RBRACE] = ACTIONS(2951),
    [anon_sym_case] = ACTIONS(2951),
    [anon_sym_fallthrough] = ACTIONS(2951),
    [anon_sym_PLUS_EQ] = ACTIONS(2951),
    [anon_sym_DASH_EQ] = ACTIONS(2951),
    [anon_sym_STAR_EQ] = ACTIONS(2951),
    [anon_sym_SLASH_EQ] = ACTIONS(2951),
    [anon_sym_PERCENT_EQ] = ACTIONS(2951),
    [anon_sym_BANG_EQ] = ACTIONS(2953),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2951),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2951),
    [anon_sym_LT_EQ] = ACTIONS(2951),
    [anon_sym_GT_EQ] = ACTIONS(2951),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2951),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2951),
    [anon_sym_is] = ACTIONS(2951),
    [anon_sym_PLUS] = ACTIONS(2953),
    [anon_sym_DASH] = ACTIONS(2953),
    [anon_sym_STAR] = ACTIONS(2953),
    [anon_sym_SLASH] = ACTIONS(2953),
    [anon_sym_PERCENT] = ACTIONS(2953),
    [anon_sym_PLUS_PLUS] = ACTIONS(2951),
    [anon_sym_DASH_DASH] = ACTIONS(2951),
    [anon_sym_PIPE] = ACTIONS(2951),
    [anon_sym_CARET] = ACTIONS(2953),
    [anon_sym_LT_LT] = ACTIONS(2951),
    [anon_sym_GT_GT] = ACTIONS(2951),
    [anon_sym_class] = ACTIONS(2951),
    [anon_sym_BANG2] = ACTIONS(2953),
    [anon_sym_prefix] = ACTIONS(2951),
    [anon_sym_infix] = ACTIONS(2951),
    [anon_sym_postfix] = ACTIONS(2951),
    [anon_sym_AT] = ACTIONS(2953),
    [anon_sym_override] = ACTIONS(2951),
    [anon_sym_convenience] = ACTIONS(2951),
    [anon_sym_required] = ACTIONS(2951),
    [anon_sym_nonisolated] = ACTIONS(2951),
    [anon_sym_public] = ACTIONS(2951),
    [anon_sym_private] = ACTIONS(2951),
    [anon_sym_internal] = ACTIONS(2951),
    [anon_sym_fileprivate] = ACTIONS(2951),
    [anon_sym_open] = ACTIONS(2951),
    [anon_sym_mutating] = ACTIONS(2951),
    [anon_sym_nonmutating] = ACTIONS(2951),
    [anon_sym_static] = ACTIONS(2951),
    [anon_sym_dynamic] = ACTIONS(2951),
    [anon_sym_optional] = ACTIONS(2951),
    [anon_sym_distributed] = ACTIONS(2951),
    [anon_sym_final] = ACTIONS(2951),
    [anon_sym_inout] = ACTIONS(2951),
    [anon_sym_ATescaping] = ACTIONS(2951),
    [anon_sym_ATautoclosure] = ACTIONS(2951),
    [anon_sym_weak] = ACTIONS(2951),
    [anon_sym_unowned] = ACTIONS(2953),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2951),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2951),
    [anon_sym_borrowing] = ACTIONS(2951),
    [anon_sym_consuming] = ACTIONS(2951),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2951),
    [sym__explicit_semi] = ACTIONS(2951),
    [sym__arrow_operator_custom] = ACTIONS(2951),
    [sym__dot_custom] = ACTIONS(2951),
    [sym__conjunction_operator_custom] = ACTIONS(2951),
    [sym__disjunction_operator_custom] = ACTIONS(2951),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2951),
    [sym__eq_custom] = ACTIONS(2951),
    [sym__eq_eq_custom] = ACTIONS(2951),
    [sym__plus_then_ws] = ACTIONS(2951),
    [sym__minus_then_ws] = ACTIONS(2951),
    [sym__bang_custom] = ACTIONS(2951),
    [sym__throws_keyword] = ACTIONS(2951),
    [sym__rethrows_keyword] = ACTIONS(2951),
    [sym_default_keyword] = ACTIONS(2951),
    [sym_where_keyword] = ACTIONS(2951),
    [sym__as_custom] = ACTIONS(2951),
    [sym__as_quest_custom] = ACTIONS(2951),
    [sym__as_bang_custom] = ACTIONS(2951),
    [sym__async_keyword_custom] = ACTIONS(2951),
    [sym__custom_operator] = ACTIONS(2951),
  },
  [943] = {
    [sym__key_path_postfixes] = STATE(947),
    [sym_bang] = STATE(947),
    [aux_sym__key_path_component_repeat1] = STATE(947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(2918),
    [anon_sym_package] = ACTIONS(2918),
    [anon_sym_COMMA] = ACTIONS(2918),
    [anon_sym_LPAREN] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(2918),
    [anon_sym_DOT] = ACTIONS(2920),
    [anon_sym_QMARK] = ACTIONS(2920),
    [anon_sym_QMARK2] = ACTIONS(2918),
    [anon_sym_AMP] = ACTIONS(2918),
    [aux_sym_custom_operator_token1] = ACTIONS(2918),
    [anon_sym_LT] = ACTIONS(2920),
    [anon_sym_GT] = ACTIONS(2920),
    [anon_sym_LBRACE] = ACTIONS(2918),
    [anon_sym_CARET_LBRACE] = ACTIONS(2918),
    [anon_sym_RBRACE] = ACTIONS(2918),
    [anon_sym_self] = ACTIONS(3508),
    [anon_sym_case] = ACTIONS(2918),
    [anon_sym_fallthrough] = ACTIONS(2918),
    [anon_sym_PLUS_EQ] = ACTIONS(2918),
    [anon_sym_DASH_EQ] = ACTIONS(2918),
    [anon_sym_STAR_EQ] = ACTIONS(2918),
    [anon_sym_SLASH_EQ] = ACTIONS(2918),
    [anon_sym_PERCENT_EQ] = ACTIONS(2918),
    [anon_sym_BANG_EQ] = ACTIONS(2920),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2918),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2918),
    [anon_sym_LT_EQ] = ACTIONS(2918),
    [anon_sym_GT_EQ] = ACTIONS(2918),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2918),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2918),
    [anon_sym_is] = ACTIONS(2918),
    [anon_sym_PLUS] = ACTIONS(2920),
    [anon_sym_DASH] = ACTIONS(2920),
    [anon_sym_STAR] = ACTIONS(2920),
    [anon_sym_SLASH] = ACTIONS(2920),
    [anon_sym_PERCENT] = ACTIONS(2920),
    [anon_sym_PLUS_PLUS] = ACTIONS(2918),
    [anon_sym_DASH_DASH] = ACTIONS(2918),
    [anon_sym_PIPE] = ACTIONS(2918),
    [anon_sym_CARET] = ACTIONS(2920),
    [anon_sym_LT_LT] = ACTIONS(2918),
    [anon_sym_GT_GT] = ACTIONS(2918),
    [anon_sym_class] = ACTIONS(2918),
    [anon_sym_BANG2] = ACTIONS(2920),
    [anon_sym_prefix] = ACTIONS(2918),
    [anon_sym_infix] = ACTIONS(2918),
    [anon_sym_postfix] = ACTIONS(2918),
    [anon_sym_AT] = ACTIONS(2920),
    [anon_sym_override] = ACTIONS(2918),
    [anon_sym_convenience] = ACTIONS(2918),
    [anon_sym_required] = ACTIONS(2918),
    [anon_sym_nonisolated] = ACTIONS(2918),
    [anon_sym_public] = ACTIONS(2918),
    [anon_sym_private] = ACTIONS(2918),
    [anon_sym_internal] = ACTIONS(2918),
    [anon_sym_fileprivate] = ACTIONS(2918),
    [anon_sym_open] = ACTIONS(2918),
    [anon_sym_mutating] = ACTIONS(2918),
    [anon_sym_nonmutating] = ACTIONS(2918),
    [anon_sym_static] = ACTIONS(2918),
    [anon_sym_dynamic] = ACTIONS(2918),
    [anon_sym_optional] = ACTIONS(2918),
    [anon_sym_distributed] = ACTIONS(2918),
    [anon_sym_final] = ACTIONS(2918),
    [anon_sym_inout] = ACTIONS(2918),
    [anon_sym_ATescaping] = ACTIONS(2918),
    [anon_sym_ATautoclosure] = ACTIONS(2918),
    [anon_sym_weak] = ACTIONS(2918),
    [anon_sym_unowned] = ACTIONS(2920),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2918),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2918),
    [anon_sym_borrowing] = ACTIONS(2918),
    [anon_sym_consuming] = ACTIONS(2918),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2918),
    [sym__explicit_semi] = ACTIONS(2918),
    [sym__dot_custom] = ACTIONS(2918),
    [sym__conjunction_operator_custom] = ACTIONS(2918),
    [sym__disjunction_operator_custom] = ACTIONS(2918),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2918),
    [sym__eq_custom] = ACTIONS(2918),
    [sym__eq_eq_custom] = ACTIONS(2918),
    [sym__plus_then_ws] = ACTIONS(2918),
    [sym__minus_then_ws] = ACTIONS(2918),
    [sym__bang_custom] = ACTIONS(2918),
    [sym_default_keyword] = ACTIONS(2918),
    [sym_where_keyword] = ACTIONS(2918),
    [sym__as_custom] = ACTIONS(2918),
    [sym__as_quest_custom] = ACTIONS(2918),
    [sym__as_bang_custom] = ACTIONS(2918),
    [sym__custom_operator] = ACTIONS(2918),
  },
  [944] = {
    [sym_simple_identifier] = STATE(1524),
    [sym__contextual_simple_identifier] = STATE(1582),
    [sym__unannotated_type] = STATE(1526),
    [sym_user_type] = STATE(1559),
    [sym__simple_user_type] = STATE(1527),
    [sym_tuple_type] = STATE(1496),
    [sym_function_type] = STATE(1526),
    [sym_array_type] = STATE(1559),
    [sym_dictionary_type] = STATE(1559),
    [sym_optional_type] = STATE(1526),
    [sym_metatype] = STATE(1526),
    [sym_opaque_type] = STATE(1526),
    [sym_existential_type] = STATE(1526),
    [sym_type_parameter_pack] = STATE(1526),
    [sym_type_pack_expansion] = STATE(1526),
    [sym_protocol_composition_type] = STATE(1526),
    [sym__parenthesized_type] = STATE(1650),
    [sym__parameter_ownership_modifier] = STATE(1582),
    [sym_comment] = ACTIONS(5),
    [aux_sym_simple_identifier_token1] = ACTIONS(3510),
    [aux_sym_simple_identifier_token2] = ACTIONS(3512),
    [aux_sym_simple_identifier_token3] = ACTIONS(3512),
    [aux_sym_simple_identifier_token4] = ACTIONS(3512),
    [anon_sym_actor] = ACTIONS(3514),
    [anon_sym_async] = ACTIONS(3514),
    [anon_sym_each] = ACTIONS(3517),
    [anon_sym_lazy] = ACTIONS(3514),
    [anon_sym_repeat] = ACTIONS(3519),
    [anon_sym_package] = ACTIONS(3514),
    [anon_sym_COMMA] = ACTIONS(631),
    [anon_sym_BANG] = ACTIONS(631),
    [anon_sym_LPAREN] = ACTIONS(3521),
    [anon_sym_LBRACK] = ACTIONS(3523),
    [anon_sym_DOT] = ACTIONS(631),
    [anon_sym_QMARK2] = ACTIONS(631),
    [anon_sym_some] = ACTIONS(3525),
    [anon_sym_any] = ACTIONS(3527),
    [anon_sym_AMP] = ACTIONS(631),
    [anon_sym_LT] = ACTIONS(631),
    [anon_sym_LBRACE] = ACTIONS(631),
    [anon_sym_RBRACE] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(637),
    [anon_sym_import] = ACTIONS(637),
    [anon_sym_typealias] = ACTIONS(637),
    [anon_sym_struct] = ACTIONS(637),
    [anon_sym_class] = ACTIONS(637),
    [anon_sym_enum] = ACTIONS(637),
    [anon_sym_protocol] = ACTIONS(637),
    [anon_sym_let] = ACTIONS(637),
    [anon_sym_var] = ACTIONS(637),
    [anon_sym_func] = ACTIONS(637),
    [anon_sym_extension] = ACTIONS(637),
    [anon_sym_indirect] = ACTIONS(637),
    [anon_sym_init] = ACTIONS(637),
    [anon_sym_deinit] = ACTIONS(637),
    [anon_sym_subscript] = ACTIONS(637),
    [anon_sym_prefix] = ACTIONS(637),
    [anon_sym_infix] = ACTIONS(637),
    [anon_sym_postfix] = ACTIONS(637),
    [anon_sym_precedencegroup] = ACTIONS(637),
    [anon_sym_associatedtype] = ACTIONS(637),
    [anon_sym_AT] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_convenience] = ACTIONS(637),
    [anon_sym_required] = ACTIONS(637),
    [anon_sym_nonisolated] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_internal] = ACTIONS(637),
    [anon_sym_fileprivate] = ACTIONS(637),
    [anon_sym_open] = ACTIONS(637),
    [anon_sym_mutating] = ACTIONS(637),
    [anon_sym_nonmutating] = ACTIONS(637),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_dynamic] = ACTIONS(637),
    [anon_sym_optional] = ACTIONS(637),
    [anon_sym_distributed] = ACTIONS(637),
    [anon_sym_final] = ACTIONS(637),
    [anon_sym_inout] = ACTIONS(637),
    [anon_sym_ATescaping] = ACTIONS(631),
    [anon_sym_ATautoclosure] = ACTIONS(631),
    [anon_sym_weak] = ACTIONS(637),
    [anon_sym_unowned] = ACTIONS(637),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(631),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(631),
    [anon_sym_borrowing] = ACTIONS(3514),
    [anon_sym_consuming] = ACTIONS(3514),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(631),
    [sym__dot_custom] = ACTIONS(631),
    [sym__eq_custom] = ACTIONS(631),
    [sym__throws_keyword] = ACTIONS(631),
    [sym__rethrows_keyword] = ACTIONS(631),
    [sym_where_keyword] = ACTIONS(631),
    [sym__async_keyword_custom] = ACTIONS(631),
  },
  [945] = {
    [sym_simple_identifier] = STATE(1524),
    [sym__contextual_simple_identifier] = STATE(1582),
    [sym__unannotated_type] = STATE(1535),
    [sym_user_type] = STATE(1559),
    [sym__simple_user_type] = STATE(1527),
    [sym_tuple_type] = STATE(1496),
    [sym_function_type] = STATE(1535),
    [sym_array_type] = STATE(1559),
    [sym_dictionary_type] = STATE(1559),
    [sym_optional_type] = STATE(1535),
    [sym_metatype] = STATE(1535),
    [sym_opaque_type] = STATE(1535),
    [sym_existential_type] = STATE(1535),
    [sym_type_parameter_pack] = STATE(1535),
    [sym_type_pack_expansion] = STATE(1535),
    [sym_protocol_composition_type] = STATE(1535),
    [sym__parenthesized_type] = STATE(1650),
    [sym__parameter_ownership_modifier] = STATE(1582),
    [sym_comment] = ACTIONS(5),
    [aux_sym_simple_identifier_token1] = ACTIONS(3510),
    [aux_sym_simple_identifier_token2] = ACTIONS(3512),
    [aux_sym_simple_identifier_token3] = ACTIONS(3512),
    [aux_sym_simple_identifier_token4] = ACTIONS(3512),
    [anon_sym_actor] = ACTIONS(3514),
    [anon_sym_async] = ACTIONS(3514),
    [anon_sym_each] = ACTIONS(3517),
    [anon_sym_lazy] = ACTIONS(3514),
    [anon_sym_repeat] = ACTIONS(3519),
    [anon_sym_package] = ACTIONS(3514),
    [anon_sym_COMMA] = ACTIONS(631),
    [anon_sym_BANG] = ACTIONS(631),
    [anon_sym_LPAREN] = ACTIONS(3521),
    [anon_sym_LBRACK] = ACTIONS(3523),
    [anon_sym_DOT] = ACTIONS(631),
    [anon_sym_QMARK2] = ACTIONS(631),
    [anon_sym_some] = ACTIONS(3525),
    [anon_sym_any] = ACTIONS(3527),
    [anon_sym_AMP] = ACTIONS(631),
    [anon_sym_LT] = ACTIONS(631),
    [anon_sym_LBRACE] = ACTIONS(631),
    [anon_sym_RBRACE] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(637),
    [anon_sym_import] = ACTIONS(637),
    [anon_sym_typealias] = ACTIONS(637),
    [anon_sym_struct] = ACTIONS(637),
    [anon_sym_class] = ACTIONS(637),
    [anon_sym_enum] = ACTIONS(637),
    [anon_sym_protocol] = ACTIONS(637),
    [anon_sym_let] = ACTIONS(637),
    [anon_sym_var] = ACTIONS(637),
    [anon_sym_func] = ACTIONS(637),
    [anon_sym_extension] = ACTIONS(637),
    [anon_sym_indirect] = ACTIONS(637),
    [anon_sym_init] = ACTIONS(637),
    [anon_sym_deinit] = ACTIONS(637),
    [anon_sym_subscript] = ACTIONS(637),
    [anon_sym_prefix] = ACTIONS(637),
    [anon_sym_infix] = ACTIONS(637),
    [anon_sym_postfix] = ACTIONS(637),
    [anon_sym_precedencegroup] = ACTIONS(637),
    [anon_sym_associatedtype] = ACTIONS(637),
    [anon_sym_AT] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_convenience] = ACTIONS(637),
    [anon_sym_required] = ACTIONS(637),
    [anon_sym_nonisolated] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_internal] = ACTIONS(637),
    [anon_sym_fileprivate] = ACTIONS(637),
    [anon_sym_open] = ACTIONS(637),
    [anon_sym_mutating] = ACTIONS(637),
    [anon_sym_nonmutating] = ACTIONS(637),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_dynamic] = ACTIONS(637),
    [anon_sym_optional] = ACTIONS(637),
    [anon_sym_distributed] = ACTIONS(637),
    [anon_sym_final] = ACTIONS(637),
    [anon_sym_inout] = ACTIONS(637),
    [anon_sym_ATescaping] = ACTIONS(631),
    [anon_sym_ATautoclosure] = ACTIONS(631),
    [anon_sym_weak] = ACTIONS(637),
    [anon_sym_unowned] = ACTIONS(637),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(631),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(631),
    [anon_sym_borrowing] = ACTIONS(3514),
    [anon_sym_consuming] = ACTIONS(3514),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(631),
    [sym__dot_custom] = ACTIONS(631),
    [sym__eq_custom] = ACTIONS(631),
    [sym__throws_keyword] = ACTIONS(631),
    [sym__rethrows_keyword] = ACTIONS(631),
    [sym_where_keyword] = ACTIONS(631),
    [sym__async_keyword_custom] = ACTIONS(631),
  },
  [946] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(2798),
    [anon_sym_package] = ACTIONS(2798),
    [anon_sym_COMMA] = ACTIONS(2798),
    [anon_sym_LPAREN] = ACTIONS(2798),
    [anon_sym_LBRACK] = ACTIONS(2798),
    [anon_sym_DOT] = ACTIONS(2800),
    [anon_sym_QMARK] = ACTIONS(2800),
    [anon_sym_QMARK2] = ACTIONS(2798),
    [anon_sym_AMP] = ACTIONS(2798),
    [aux_sym_custom_operator_token1] = ACTIONS(2798),
    [anon_sym_LT] = ACTIONS(2800),
    [anon_sym_GT] = ACTIONS(2800),
    [anon_sym_LBRACE] = ACTIONS(2798),
    [anon_sym_CARET_LBRACE] = ACTIONS(2798),
    [anon_sym_RBRACE] = ACTIONS(2798),
    [anon_sym_case] = ACTIONS(2798),
    [anon_sym_fallthrough] = ACTIONS(2798),
    [anon_sym_PLUS_EQ] = ACTIONS(2798),
    [anon_sym_DASH_EQ] = ACTIONS(2798),
    [anon_sym_STAR_EQ] = ACTIONS(2798),
    [anon_sym_SLASH_EQ] = ACTIONS(2798),
    [anon_sym_PERCENT_EQ] = ACTIONS(2798),
    [anon_sym_BANG_EQ] = ACTIONS(2800),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2798),
    [anon_sym_LT_EQ] = ACTIONS(2798),
    [anon_sym_GT_EQ] = ACTIONS(2798),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2798),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2798),
    [anon_sym_is] = ACTIONS(2798),
    [anon_sym_PLUS] = ACTIONS(2800),
    [anon_sym_DASH] = ACTIONS(2800),
    [anon_sym_STAR] = ACTIONS(2800),
    [anon_sym_SLASH] = ACTIONS(2800),
    [anon_sym_PERCENT] = ACTIONS(2800),
    [anon_sym_PLUS_PLUS] = ACTIONS(2798),
    [anon_sym_DASH_DASH] = ACTIONS(2798),
    [anon_sym_PIPE] = ACTIONS(2798),
    [anon_sym_CARET] = ACTIONS(2800),
    [anon_sym_LT_LT] = ACTIONS(2798),
    [anon_sym_GT_GT] = ACTIONS(2798),
    [anon_sym_class] = ACTIONS(2798),
    [anon_sym_BANG2] = ACTIONS(2800),
    [anon_sym_prefix] = ACTIONS(2798),
    [anon_sym_infix] = ACTIONS(2798),
    [anon_sym_postfix] = ACTIONS(2798),
    [anon_sym_AT] = ACTIONS(2800),
    [anon_sym_override] = ACTIONS(2798),
    [anon_sym_convenience] = ACTIONS(2798),
    [anon_sym_required] = ACTIONS(2798),
    [anon_sym_nonisolated] = ACTIONS(2798),
    [anon_sym_public] = ACTIONS(2798),
    [anon_sym_private] = ACTIONS(2798),
    [anon_sym_internal] = ACTIONS(2798),
    [anon_sym_fileprivate] = ACTIONS(2798),
    [anon_sym_open] = ACTIONS(2798),
    [anon_sym_mutating] = ACTIONS(2798),
    [anon_sym_nonmutating] = ACTIONS(2798),
    [anon_sym_static] = ACTIONS(2798),
    [anon_sym_dynamic] = ACTIONS(2798),
    [anon_sym_optional] = ACTIONS(2798),
    [anon_sym_distributed] = ACTIONS(2798),
    [anon_sym_final] = ACTIONS(2798),
    [anon_sym_inout] = ACTIONS(2798),
    [anon_sym_ATescaping] = ACTIONS(2798),
    [anon_sym_ATautoclosure] = ACTIONS(2798),
    [anon_sym_weak] = ACTIONS(2798),
    [anon_sym_unowned] = ACTIONS(2800),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2798),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2798),
    [anon_sym_borrowing] = ACTIONS(2798),
    [anon_sym_consuming] = ACTIONS(2798),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2798),
    [sym__explicit_semi] = ACTIONS(2798),
    [sym__arrow_operator_custom] = ACTIONS(2798),
    [sym__dot_custom] = ACTIONS(2798),
    [sym__conjunction_operator_custom] = ACTIONS(2798),
    [sym__disjunction_operator_custom] = ACTIONS(2798),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2798),
    [sym__eq_custom] = ACTIONS(2798),
    [sym__eq_eq_custom] = ACTIONS(2798),
    [sym__plus_then_ws] = ACTIONS(2798),
    [sym__minus_then_ws] = ACTIONS(2798),
    [sym__bang_custom] = ACTIONS(2798),
    [sym__throws_keyword] = ACTIONS(2798),
    [sym__rethrows_keyword] = ACTIONS(2798),
    [sym_default_keyword] = ACTIONS(2798),
    [sym_where_keyword] = ACTIONS(2798),
    [sym__as_custom] = ACTIONS(2798),
    [sym__as_quest_custom] = ACTIONS(2798),
    [sym__as_bang_custom] = ACTIONS(2798),
    [sym__async_keyword_custom] = ACTIONS(2798),
    [sym__custom_operator] = ACTIONS(2798),
  },
  [947] = {
    [sym__key_path_postfixes] = STATE(947),
    [sym_bang] = STATE(947),
    [aux_sym__key_path_component_repeat1] = STATE(947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(2932),
    [anon_sym_package] = ACTIONS(2932),
    [anon_sym_COMMA] = ACTIONS(2932),
    [anon_sym_LPAREN] = ACTIONS(2932),
    [anon_sym_LBRACK] = ACTIONS(3529),
    [anon_sym_DOT] = ACTIONS(2937),
    [anon_sym_QMARK] = ACTIONS(3532),
    [anon_sym_QMARK2] = ACTIONS(2932),
    [anon_sym_AMP] = ACTIONS(2932),
    [aux_sym_custom_operator_token1] = ACTIONS(2932),
    [anon_sym_LT] = ACTIONS(2937),
    [anon_sym_GT] = ACTIONS(2937),
    [anon_sym_LBRACE] = ACTIONS(2932),
    [anon_sym_CARET_LBRACE] = ACTIONS(2932),
    [anon_sym_RBRACE] = ACTIONS(2932),
    [anon_sym_self] = ACTIONS(3535),
    [anon_sym_case] = ACTIONS(2932),
    [anon_sym_fallthrough] = ACTIONS(2932),
    [anon_sym_PLUS_EQ] = ACTIONS(2932),
    [anon_sym_DASH_EQ] = ACTIONS(2932),
    [anon_sym_STAR_EQ] = ACTIONS(2932),
    [anon_sym_SLASH_EQ] = ACTIONS(2932),
    [anon_sym_PERCENT_EQ] = ACTIONS(2932),
    [anon_sym_BANG_EQ] = ACTIONS(2937),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2932),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2932),
    [anon_sym_LT_EQ] = ACTIONS(2932),
    [anon_sym_GT_EQ] = ACTIONS(2932),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2932),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2932),
    [anon_sym_is] = ACTIONS(2932),
    [anon_sym_PLUS] = ACTIONS(2937),
    [anon_sym_DASH] = ACTIONS(2937),
    [anon_sym_STAR] = ACTIONS(2937),
    [anon_sym_SLASH] = ACTIONS(2937),
    [anon_sym_PERCENT] = ACTIONS(2937),
    [anon_sym_PLUS_PLUS] = ACTIONS(2932),
    [anon_sym_DASH_DASH] = ACTIONS(2932),
    [anon_sym_PIPE] = ACTIONS(2932),
    [anon_sym_CARET] = ACTIONS(2937),
    [anon_sym_LT_LT] = ACTIONS(2932),
    [anon_sym_GT_GT] = ACTIONS(2932),
    [anon_sym_class] = ACTIONS(2932),
    [anon_sym_BANG2] = ACTIONS(3538),
    [anon_sym_prefix] = ACTIONS(2932),
    [anon_sym_infix] = ACTIONS(2932),
    [anon_sym_postfix] = ACTIONS(2932),
    [anon_sym_AT] = ACTIONS(2937),
    [anon_sym_override] = ACTIONS(2932),
    [anon_sym_convenience] = ACTIONS(2932),
    [anon_sym_required] = ACTIONS(2932),
    [anon_sym_nonisolated] = ACTIONS(2932),
    [anon_sym_public] = ACTIONS(2932),
    [anon_sym_private] = ACTIONS(2932),
    [anon_sym_internal] = ACTIONS(2932),
    [anon_sym_fileprivate] = ACTIONS(2932),
    [anon_sym_open] = ACTIONS(2932),
    [anon_sym_mutating] = ACTIONS(2932),
    [anon_sym_nonmutating] = ACTIONS(2932),
    [anon_sym_static] = ACTIONS(2932),
    [anon_sym_dynamic] = ACTIONS(2932),
    [anon_sym_optional] = ACTIONS(2932),
    [anon_sym_distributed] = ACTIONS(2932),
    [anon_sym_final] = ACTIONS(2932),
    [anon_sym_inout] = ACTIONS(2932),
    [anon_sym_ATescaping] = ACTIONS(2932),
    [anon_sym_ATautoclosure] = ACTIONS(2932),
    [anon_sym_weak] = ACTIONS(2932),
    [anon_sym_unowned] = ACTIONS(2937),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2932),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2932),
    [anon_sym_borrowing] = ACTIONS(2932),
    [anon_sym_consuming] = ACTIONS(2932),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2932),
    [sym__explicit_semi] = ACTIONS(2932),
    [sym__dot_custom] = ACTIONS(2932),
    [sym__conjunction_operator_custom] = ACTIONS(2932),
    [sym__disjunction_operator_custom] = ACTIONS(2932),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2932),
    [sym__eq_custom] = ACTIONS(2932),
    [sym__eq_eq_custom] = ACTIONS(2932),
    [sym__plus_then_ws] = ACTIONS(2932),
    [sym__minus_then_ws] = ACTIONS(2932),
    [sym__bang_custom] = ACTIONS(3541),
    [sym_default_keyword] = ACTIONS(2932),
    [sym_where_keyword] = ACTIONS(2932),
    [sym__as_custom] = ACTIONS(2932),
    [sym__as_quest_custom] = ACTIONS(2932),
    [sym__as_bang_custom] = ACTIONS(2932),
    [sym__custom_operator] = ACTIONS(2932),
  },
  [948] = {
    [sym__key_path_postfixes] = STATE(949),
    [sym_bang] = STATE(949),
    [aux_sym__key_path_component_repeat1] = STATE(949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(2918),
    [anon_sym_package] = ACTIONS(2918),
    [anon_sym_COMMA] = ACTIONS(2918),
    [anon_sym_LPAREN] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(2918),
    [anon_sym_DOT] = ACTIONS(2920),
    [anon_sym_QMARK] = ACTIONS(2920),
    [anon_sym_QMARK2] = ACTIONS(2918),
    [anon_sym_AMP] = ACTIONS(2918),
    [aux_sym_custom_operator_token1] = ACTIONS(2918),
    [anon_sym_LT] = ACTIONS(2920),
    [anon_sym_GT] = ACTIONS(2920),
    [anon_sym_LBRACE] = ACTIONS(2918),
    [anon_sym_CARET_LBRACE] = ACTIONS(2918),
    [anon_sym_RBRACE] = ACTIONS(2918),
    [anon_sym_self] = ACTIONS(3544),
    [anon_sym_case] = ACTIONS(2918),
    [anon_sym_fallthrough] = ACTIONS(2918),
    [anon_sym_PLUS_EQ] = ACTIONS(2918),
    [anon_sym_DASH_EQ] = ACTIONS(2918),
    [anon_sym_STAR_EQ] = ACTIONS(2918),
    [anon_sym_SLASH_EQ] = ACTIONS(2918),
    [anon_sym_PERCENT_EQ] = ACTIONS(2918),
    [anon_sym_BANG_EQ] = ACTIONS(2920),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2918),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2918),
    [anon_sym_LT_EQ] = ACTIONS(2918),
    [anon_sym_GT_EQ] = ACTIONS(2918),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2918),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2918),
    [anon_sym_is] = ACTIONS(2918),
    [anon_sym_PLUS] = ACTIONS(2920),
    [anon_sym_DASH] = ACTIONS(2920),
    [anon_sym_STAR] = ACTIONS(2920),
    [anon_sym_SLASH] = ACTIONS(2920),
    [anon_sym_PERCENT] = ACTIONS(2920),
    [anon_sym_PLUS_PLUS] = ACTIONS(2918),
    [anon_sym_DASH_DASH] = ACTIONS(2918),
    [anon_sym_PIPE] = ACTIONS(2918),
    [anon_sym_CARET] = ACTIONS(2920),
    [anon_sym_LT_LT] = ACTIONS(2918),
    [anon_sym_GT_GT] = ACTIONS(2918),
    [anon_sym_class] = ACTIONS(2918),
    [anon_sym_BANG2] = ACTIONS(2920),
    [anon_sym_prefix] = ACTIONS(2918),
    [anon_sym_infix] = ACTIONS(2918),
    [anon_sym_postfix] = ACTIONS(2918),
    [anon_sym_AT] = ACTIONS(2920),
    [anon_sym_override] = ACTIONS(2918),
    [anon_sym_convenience] = ACTIONS(2918),
    [anon_sym_required] = ACTIONS(2918),
    [anon_sym_nonisolated] = ACTIONS(2918),
    [anon_sym_public] = ACTIONS(2918),
    [anon_sym_private] = ACTIONS(2918),
    [anon_sym_internal] = ACTIONS(2918),
    [anon_sym_fileprivate] = ACTIONS(2918),
    [anon_sym_open] = ACTIONS(2918),
    [anon_sym_mutating] = ACTIONS(2918),
    [anon_sym_nonmutating] = ACTIONS(2918),
    [anon_sym_static] = ACTIONS(2918),
    [anon_sym_dynamic] = ACTIONS(2918),
    [anon_sym_optional] = ACTIONS(2918),
    [anon_sym_distributed] = ACTIONS(2918),
    [anon_sym_final] = ACTIONS(2918),
    [anon_sym_inout] = ACTIONS(2918),
    [anon_sym_ATescaping] = ACTIONS(2918),
    [anon_sym_ATautoclosure] = ACTIONS(2918),
    [anon_sym_weak] = ACTIONS(2918),
    [anon_sym_unowned] = ACTIONS(2920),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2918),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2918),
    [anon_sym_borrowing] = ACTIONS(2918),
    [anon_sym_consuming] = ACTIONS(2918),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2918),
    [sym__explicit_semi] = ACTIONS(2918),
    [sym__dot_custom] = ACTIONS(2918),
    [sym__conjunction_operator_custom] = ACTIONS(2918),
    [sym__disjunction_operator_custom] = ACTIONS(2918),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2918),
    [sym__eq_custom] = ACTIONS(2918),
    [sym__eq_eq_custom] = ACTIONS(2918),
    [sym__plus_then_ws] = ACTIONS(2918),
    [sym__minus_then_ws] = ACTIONS(2918),
    [sym__bang_custom] = ACTIONS(2918),
    [sym_default_keyword] = ACTIONS(2918),
    [sym_where_keyword] = ACTIONS(2918),
    [sym__as_custom] = ACTIONS(2918),
    [sym__as_quest_custom] = ACTIONS(2918),
    [sym__as_bang_custom] = ACTIONS(2918),
    [sym__custom_operator] = ACTIONS(2918),
  },
  [949] = {
    [sym__key_path_postfixes] = STATE(947),
    [sym_bang] = STATE(947),
    [aux_sym__key_path_component_repeat1] = STATE(947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(2904),
    [anon_sym_package] = ACTIONS(2904),
    [anon_sym_COMMA] = ACTIONS(2904),
    [anon_sym_LPAREN] = ACTIONS(2904),
    [anon_sym_LBRACK] = ACTIONS(2904),
    [anon_sym_DOT] = ACTIONS(2906),
    [anon_sym_QMARK] = ACTIONS(2906),
    [anon_sym_QMARK2] = ACTIONS(2904),
    [anon_sym_AMP] = ACTIONS(2904),
    [aux_sym_custom_operator_token1] = ACTIONS(2904),
    [anon_sym_LT] = ACTIONS(2906),
    [anon_sym_GT] = ACTIONS(2906),
    [anon_sym_LBRACE] = ACTIONS(2904),
    [anon_sym_CARET_LBRACE] = ACTIONS(2904),
    [anon_sym_RBRACE] = ACTIONS(2904),
    [anon_sym_self] = ACTIONS(3508),
    [anon_sym_case] = ACTIONS(2904),
    [anon_sym_fallthrough] = ACTIONS(2904),
    [anon_sym_PLUS_EQ] = ACTIONS(2904),
    [anon_sym_DASH_EQ] = ACTIONS(2904),
    [anon_sym_STAR_EQ] = ACTIONS(2904),
    [anon_sym_SLASH_EQ] = ACTIONS(2904),
    [anon_sym_PERCENT_EQ] = ACTIONS(2904),
    [anon_sym_BANG_EQ] = ACTIONS(2906),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2904),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2904),
    [anon_sym_LT_EQ] = ACTIONS(2904),
    [anon_sym_GT_EQ] = ACTIONS(2904),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2904),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2904),
    [anon_sym_is] = ACTIONS(2904),
    [anon_sym_PLUS] = ACTIONS(2906),
    [anon_sym_DASH] = ACTIONS(2906),
    [anon_sym_STAR] = ACTIONS(2906),
    [anon_sym_SLASH] = ACTIONS(2906),
    [anon_sym_PERCENT] = ACTIONS(2906),
    [anon_sym_PLUS_PLUS] = ACTIONS(2904),
    [anon_sym_DASH_DASH] = ACTIONS(2904),
    [anon_sym_PIPE] = ACTIONS(2904),
    [anon_sym_CARET] = ACTIONS(2906),
    [anon_sym_LT_LT] = ACTIONS(2904),
    [anon_sym_GT_GT] = ACTIONS(2904),
    [anon_sym_class] = ACTIONS(2904),
    [anon_sym_BANG2] = ACTIONS(2906),
    [anon_sym_prefix] = ACTIONS(2904),
    [anon_sym_infix] = ACTIONS(2904),
    [anon_sym_postfix] = ACTIONS(2904),
    [anon_sym_AT] = ACTIONS(2906),
    [anon_sym_override] = ACTIONS(2904),
    [anon_sym_convenience] = ACTIONS(2904),
    [anon_sym_required] = ACTIONS(2904),
    [anon_sym_nonisolated] = ACTIONS(2904),
    [anon_sym_public] = ACTIONS(2904),
    [anon_sym_private] = ACTIONS(2904),
    [anon_sym_internal] = ACTIONS(2904),
    [anon_sym_fileprivate] = ACTIONS(2904),
    [anon_sym_open] = ACTIONS(2904),
    [anon_sym_mutating] = ACTIONS(2904),
    [anon_sym_nonmutating] = ACTIONS(2904),
    [anon_sym_static] = ACTIONS(2904),
    [anon_sym_dynamic] = ACTIONS(2904),
    [anon_sym_optional] = ACTIONS(2904),
    [anon_sym_distributed] = ACTIONS(2904),
    [anon_sym_final] = ACTIONS(2904),
    [anon_sym_inout] = ACTIONS(2904),
    [anon_sym_ATescaping] = ACTIONS(2904),
    [anon_sym_ATautoclosure] = ACTIONS(2904),
    [anon_sym_weak] = ACTIONS(2904),
    [anon_sym_unowned] = ACTIONS(2906),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2904),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2904),
    [anon_sym_borrowing] = ACTIONS(2904),
    [anon_sym_consuming] = ACTIONS(2904),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2904),
    [sym__explicit_semi] = ACTIONS(2904),
    [sym__dot_custom] = ACTIONS(2904),
    [sym__conjunction_operator_custom] = ACTIONS(2904),
    [sym__disjunction_operator_custom] = ACTIONS(2904),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2904),
    [sym__eq_custom] = ACTIONS(2904),
    [sym__eq_eq_custom] = ACTIONS(2904),
    [sym__plus_then_ws] = ACTIONS(2904),
    [sym__minus_then_ws] = ACTIONS(2904),
    [sym__bang_custom] = ACTIONS(2904),
    [sym_default_keyword] = ACTIONS(2904),
    [sym_where_keyword] = ACTIONS(2904),
    [sym__as_custom] = ACTIONS(2904),
    [sym__as_quest_custom] = ACTIONS(2904),
    [sym__as_bang_custom] = ACTIONS(2904),
    [sym__custom_operator] = ACTIONS(2904),
  },
  [950] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(2995),
    [anon_sym_package] = ACTIONS(2995),
    [anon_sym_COMMA] = ACTIONS(2995),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_LBRACK] = ACTIONS(2995),
    [anon_sym_DOT] = ACTIONS(2997),
    [anon_sym_QMARK] = ACTIONS(2997),
    [anon_sym_QMARK2] = ACTIONS(2995),
    [anon_sym_AMP] = ACTIONS(2995),
    [aux_sym_custom_operator_token1] = ACTIONS(2995),
    [anon_sym_LT] = ACTIONS(2997),
    [anon_sym_GT] = ACTIONS(2997),
    [anon_sym_LBRACE] = ACTIONS(2995),
    [anon_sym_CARET_LBRACE] = ACTIONS(2995),
    [anon_sym_RBRACE] = ACTIONS(2995),
    [anon_sym_case] = ACTIONS(2995),
    [anon_sym_fallthrough] = ACTIONS(2995),
    [anon_sym_PLUS_EQ] = ACTIONS(2995),
    [anon_sym_DASH_EQ] = ACTIONS(2995),
    [anon_sym_STAR_EQ] = ACTIONS(2995),
    [anon_sym_SLASH_EQ] = ACTIONS(2995),
    [anon_sym_PERCENT_EQ] = ACTIONS(2995),
    [anon_sym_BANG_EQ] = ACTIONS(2997),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2995),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2995),
    [anon_sym_LT_EQ] = ACTIONS(2995),
    [anon_sym_GT_EQ] = ACTIONS(2995),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2995),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2995),
    [anon_sym_is] = ACTIONS(2995),
    [anon_sym_PLUS] = ACTIONS(2997),
    [anon_sym_DASH] = ACTIONS(2997),
    [anon_sym_STAR] = ACTIONS(2997),
    [anon_sym_SLASH] = ACTIONS(2997),
    [anon_sym_PERCENT] = ACTIONS(2997),
    [anon_sym_PLUS_PLUS] = ACTIONS(2995),
    [anon_sym_DASH_DASH] = ACTIONS(2995),
    [anon_sym_PIPE] = ACTIONS(2995),
    [anon_sym_CARET] = ACTIONS(2997),
    [anon_sym_LT_LT] = ACTIONS(2995),
    [anon_sym_GT_GT] = ACTIONS(2995),
    [anon_sym_class] = ACTIONS(2995),
    [anon_sym_BANG2] = ACTIONS(2997),
    [anon_sym_prefix] = ACTIONS(2995),
    [anon_sym_infix] = ACTIONS(2995),
    [anon_sym_postfix] = ACTIONS(2995),
    [anon_sym_AT] = ACTIONS(2997),
    [anon_sym_override] = ACTIONS(2995),
    [anon_sym_convenience] = ACTIONS(2995),
    [anon_sym_required] = ACTIONS(2995),
    [anon_sym_nonisolated] = ACTIONS(2995),
    [anon_sym_public] = ACTIONS(2995),
    [anon_sym_private] = ACTIONS(2995),
    [anon_sym_internal] = ACTIONS(2995),
    [anon_sym_fileprivate] = ACTIONS(2995),
    [anon_sym_open] = ACTIONS(2995),
    [anon_sym_mutating] = ACTIONS(2995),
    [anon_sym_nonmutating] = ACTIONS(2995),
    [anon_sym_static] = ACTIONS(2995),
    [anon_sym_dynamic] = ACTIONS(2995),
    [anon_sym_optional] = ACTIONS(2995),
    [anon_sym_distributed] = ACTIONS(2995),
    [anon_sym_final] = ACTIONS(2995),
    [anon_sym_inout] = ACTIONS(2995),
    [anon_sym_ATescaping] = ACTIONS(2995),
    [anon_sym_ATautoclosure] = ACTIONS(2995),
    [anon_sym_weak] = ACTIONS(2995),
    [anon_sym_unowned] = ACTIONS(2997),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2995),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2995),
    [anon_sym_borrowing] = ACTIONS(2995),
    [anon_sym_consuming] = ACTIONS(2995),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2995),
    [sym__explicit_semi] = ACTIONS(2995),
    [sym__arrow_operator_custom] = ACTIONS(2995),
    [sym__dot_custom] = ACTIONS(2995),
    [sym__conjunction_operator_custom] = ACTIONS(2995),
    [sym__disjunction_operator_custom] = ACTIONS(2995),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2995),
    [sym__eq_custom] = ACTIONS(2995),
    [sym__eq_eq_custom] = ACTIONS(2995),
    [sym__plus_then_ws] = ACTIONS(2995),
    [sym__minus_then_ws] = ACTIONS(2995),
    [sym__bang_custom] = ACTIONS(2995),
    [sym__throws_keyword] = ACTIONS(2995),
    [sym__rethrows_keyword] = ACTIONS(2995),
    [sym_default_keyword] = ACTIONS(2995),
    [sym_where_keyword] = ACTIONS(2995),
    [sym__as_custom] = ACTIONS(2995),
    [sym__as_quest_custom] = ACTIONS(2995),
    [sym__as_bang_custom] = ACTIONS(2995),
    [sym__async_keyword_custom] = ACTIONS(2995),
    [sym__custom_operator] = ACTIONS(2995),
  },
  [951] = {
    [aux_sym_protocol_composition_type_repeat1] = STATE(963),
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3014),
    [anon_sym_package] = ACTIONS(3014),
    [anon_sym_COMMA] = ACTIONS(3014),
    [anon_sym_LPAREN] = ACTIONS(3014),
    [anon_sym_LBRACK] = ACTIONS(3014),
    [anon_sym_DOT] = ACTIONS(3016),
    [anon_sym_QMARK] = ACTIONS(3016),
    [anon_sym_QMARK2] = ACTIONS(3014),
    [anon_sym_AMP] = ACTIONS(3014),
    [aux_sym_custom_operator_token1] = ACTIONS(3014),
    [anon_sym_LT] = ACTIONS(3016),
    [anon_sym_GT] = ACTIONS(3016),
    [anon_sym_LBRACE] = ACTIONS(3014),
    [anon_sym_CARET_LBRACE] = ACTIONS(3014),
    [anon_sym_RBRACE] = ACTIONS(3014),
    [anon_sym_case] = ACTIONS(3014),
    [anon_sym_fallthrough] = ACTIONS(3014),
    [anon_sym_PLUS_EQ] = ACTIONS(3014),
    [anon_sym_DASH_EQ] = ACTIONS(3014),
    [anon_sym_STAR_EQ] = ACTIONS(3014),
    [anon_sym_SLASH_EQ] = ACTIONS(3014),
    [anon_sym_PERCENT_EQ] = ACTIONS(3014),
    [anon_sym_BANG_EQ] = ACTIONS(3016),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3014),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3014),
    [anon_sym_LT_EQ] = ACTIONS(3014),
    [anon_sym_GT_EQ] = ACTIONS(3014),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3014),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3014),
    [anon_sym_is] = ACTIONS(3014),
    [anon_sym_PLUS] = ACTIONS(3016),
    [anon_sym_DASH] = ACTIONS(3016),
    [anon_sym_STAR] = ACTIONS(3016),
    [anon_sym_SLASH] = ACTIONS(3016),
    [anon_sym_PERCENT] = ACTIONS(3016),
    [anon_sym_PLUS_PLUS] = ACTIONS(3014),
    [anon_sym_DASH_DASH] = ACTIONS(3014),
    [anon_sym_PIPE] = ACTIONS(3014),
    [anon_sym_CARET] = ACTIONS(3016),
    [anon_sym_LT_LT] = ACTIONS(3014),
    [anon_sym_GT_GT] = ACTIONS(3014),
    [anon_sym_class] = ACTIONS(3014),
    [anon_sym_BANG2] = ACTIONS(3016),
    [anon_sym_prefix] = ACTIONS(3014),
    [anon_sym_infix] = ACTIONS(3014),
    [anon_sym_postfix] = ACTIONS(3014),
    [anon_sym_AT] = ACTIONS(3016),
    [anon_sym_override] = ACTIONS(3014),
    [anon_sym_convenience] = ACTIONS(3014),
    [anon_sym_required] = ACTIONS(3014),
    [anon_sym_nonisolated] = ACTIONS(3014),
    [anon_sym_public] = ACTIONS(3014),
    [anon_sym_private] = ACTIONS(3014),
    [anon_sym_internal] = ACTIONS(3014),
    [anon_sym_fileprivate] = ACTIONS(3014),
    [anon_sym_open] = ACTIONS(3014),
    [anon_sym_mutating] = ACTIONS(3014),
    [anon_sym_nonmutating] = ACTIONS(3014),
    [anon_sym_static] = ACTIONS(3014),
    [anon_sym_dynamic] = ACTIONS(3014),
    [anon_sym_optional] = ACTIONS(3014),
    [anon_sym_distributed] = ACTIONS(3014),
    [anon_sym_final] = ACTIONS(3014),
    [anon_sym_inout] = ACTIONS(3014),
    [anon_sym_ATescaping] = ACTIONS(3014),
    [anon_sym_ATautoclosure] = ACTIONS(3014),
    [anon_sym_weak] = ACTIONS(3014),
    [anon_sym_unowned] = ACTIONS(3016),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3014),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3014),
    [anon_sym_borrowing] = ACTIONS(3014),
    [anon_sym_consuming] = ACTIONS(3014),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3014),
    [sym__explicit_semi] = ACTIONS(3014),
    [sym__arrow_operator_custom] = ACTIONS(3014),
    [sym__dot_custom] = ACTIONS(3014),
    [sym__conjunction_operator_custom] = ACTIONS(3014),
    [sym__disjunction_operator_custom] = ACTIONS(3014),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3014),
    [sym__eq_custom] = ACTIONS(3014),
    [sym__eq_eq_custom] = ACTIONS(3014),
    [sym__plus_then_ws] = ACTIONS(3014),
    [sym__minus_then_ws] = ACTIONS(3014),
    [sym__bang_custom] = ACTIONS(3014),
    [sym__throws_keyword] = ACTIONS(3014),
    [sym__rethrows_keyword] = ACTIONS(3014),
    [sym_default_keyword] = ACTIONS(3014),
    [sym__as_custom] = ACTIONS(3014),
    [sym__as_quest_custom] = ACTIONS(3014),
    [sym__as_bang_custom] = ACTIONS(3014),
    [sym__async_keyword_custom] = ACTIONS(3014),
    [sym__custom_operator] = ACTIONS(3014),
  },
  [952] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(2991),
    [anon_sym_package] = ACTIONS(2991),
    [anon_sym_COMMA] = ACTIONS(2991),
    [anon_sym_LPAREN] = ACTIONS(2991),
    [anon_sym_LBRACK] = ACTIONS(2991),
    [anon_sym_DOT] = ACTIONS(2993),
    [anon_sym_QMARK] = ACTIONS(2993),
    [anon_sym_QMARK2] = ACTIONS(2991),
    [anon_sym_AMP] = ACTIONS(2991),
    [aux_sym_custom_operator_token1] = ACTIONS(2991),
    [anon_sym_LT] = ACTIONS(2993),
    [anon_sym_GT] = ACTIONS(2993),
    [anon_sym_LBRACE] = ACTIONS(2991),
    [anon_sym_CARET_LBRACE] = ACTIONS(2991),
    [anon_sym_RBRACE] = ACTIONS(2991),
    [anon_sym_case] = ACTIONS(2991),
    [anon_sym_fallthrough] = ACTIONS(2991),
    [anon_sym_PLUS_EQ] = ACTIONS(2991),
    [anon_sym_DASH_EQ] = ACTIONS(2991),
    [anon_sym_STAR_EQ] = ACTIONS(2991),
    [anon_sym_SLASH_EQ] = ACTIONS(2991),
    [anon_sym_PERCENT_EQ] = ACTIONS(2991),
    [anon_sym_BANG_EQ] = ACTIONS(2993),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2991),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2991),
    [anon_sym_LT_EQ] = ACTIONS(2991),
    [anon_sym_GT_EQ] = ACTIONS(2991),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2991),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2991),
    [anon_sym_is] = ACTIONS(2991),
    [anon_sym_PLUS] = ACTIONS(2993),
    [anon_sym_DASH] = ACTIONS(2993),
    [anon_sym_STAR] = ACTIONS(2993),
    [anon_sym_SLASH] = ACTIONS(2993),
    [anon_sym_PERCENT] = ACTIONS(2993),
    [anon_sym_PLUS_PLUS] = ACTIONS(2991),
    [anon_sym_DASH_DASH] = ACTIONS(2991),
    [anon_sym_PIPE] = ACTIONS(2991),
    [anon_sym_CARET] = ACTIONS(2993),
    [anon_sym_LT_LT] = ACTIONS(2991),
    [anon_sym_GT_GT] = ACTIONS(2991),
    [anon_sym_class] = ACTIONS(2991),
    [anon_sym_BANG2] = ACTIONS(2993),
    [anon_sym_prefix] = ACTIONS(2991),
    [anon_sym_infix] = ACTIONS(2991),
    [anon_sym_postfix] = ACTIONS(2991),
    [anon_sym_AT] = ACTIONS(2993),
    [anon_sym_override] = ACTIONS(2991),
    [anon_sym_convenience] = ACTIONS(2991),
    [anon_sym_required] = ACTIONS(2991),
    [anon_sym_nonisolated] = ACTIONS(2991),
    [anon_sym_public] = ACTIONS(2991),
    [anon_sym_private] = ACTIONS(2991),
    [anon_sym_internal] = ACTIONS(2991),
    [anon_sym_fileprivate] = ACTIONS(2991),
    [anon_sym_open] = ACTIONS(2991),
    [anon_sym_mutating] = ACTIONS(2991),
    [anon_sym_nonmutating] = ACTIONS(2991),
    [anon_sym_static] = ACTIONS(2991),
    [anon_sym_dynamic] = ACTIONS(2991),
    [anon_sym_optional] = ACTIONS(2991),
    [anon_sym_distributed] = ACTIONS(2991),
    [anon_sym_final] = ACTIONS(2991),
    [anon_sym_inout] = ACTIONS(2991),
    [anon_sym_ATescaping] = ACTIONS(2991),
    [anon_sym_ATautoclosure] = ACTIONS(2991),
    [anon_sym_weak] = ACTIONS(2991),
    [anon_sym_unowned] = ACTIONS(2993),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2991),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2991),
    [anon_sym_borrowing] = ACTIONS(2991),
    [anon_sym_consuming] = ACTIONS(2991),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2991),
    [sym__explicit_semi] = ACTIONS(2991),
    [sym__arrow_operator_custom] = ACTIONS(2991),
    [sym__dot_custom] = ACTIONS(2991),
    [sym__conjunction_operator_custom] = ACTIONS(2991),
    [sym__disjunction_operator_custom] = ACTIONS(2991),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2991),
    [sym__eq_custom] = ACTIONS(2991),
    [sym__eq_eq_custom] = ACTIONS(2991),
    [sym__plus_then_ws] = ACTIONS(2991),
    [sym__minus_then_ws] = ACTIONS(2991),
    [sym__bang_custom] = ACTIONS(2991),
    [sym__throws_keyword] = ACTIONS(2991),
    [sym__rethrows_keyword] = ACTIONS(2991),
    [sym_default_keyword] = ACTIONS(2991),
    [sym_where_keyword] = ACTIONS(2991),
    [sym__as_custom] = ACTIONS(2991),
    [sym__as_quest_custom] = ACTIONS(2991),
    [sym__as_bang_custom] = ACTIONS(2991),
    [sym__async_keyword_custom] = ACTIONS(2991),
    [sym__custom_operator] = ACTIONS(2991),
  },
  [953] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(2983),
    [anon_sym_package] = ACTIONS(2983),
    [anon_sym_COMMA] = ACTIONS(2983),
    [anon_sym_LPAREN] = ACTIONS(2983),
    [anon_sym_LBRACK] = ACTIONS(2983),
    [anon_sym_DOT] = ACTIONS(2985),
    [anon_sym_QMARK] = ACTIONS(2985),
    [anon_sym_QMARK2] = ACTIONS(2983),
    [anon_sym_AMP] = ACTIONS(2983),
    [aux_sym_custom_operator_token1] = ACTIONS(2983),
    [anon_sym_LT] = ACTIONS(2985),
    [anon_sym_GT] = ACTIONS(2985),
    [anon_sym_LBRACE] = ACTIONS(2983),
    [anon_sym_CARET_LBRACE] = ACTIONS(2983),
    [anon_sym_RBRACE] = ACTIONS(2983),
    [anon_sym_case] = ACTIONS(2983),
    [anon_sym_fallthrough] = ACTIONS(2983),
    [anon_sym_PLUS_EQ] = ACTIONS(2983),
    [anon_sym_DASH_EQ] = ACTIONS(2983),
    [anon_sym_STAR_EQ] = ACTIONS(2983),
    [anon_sym_SLASH_EQ] = ACTIONS(2983),
    [anon_sym_PERCENT_EQ] = ACTIONS(2983),
    [anon_sym_BANG_EQ] = ACTIONS(2985),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2983),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2983),
    [anon_sym_LT_EQ] = ACTIONS(2983),
    [anon_sym_GT_EQ] = ACTIONS(2983),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2983),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2983),
    [anon_sym_is] = ACTIONS(2983),
    [anon_sym_PLUS] = ACTIONS(2985),
    [anon_sym_DASH] = ACTIONS(2985),
    [anon_sym_STAR] = ACTIONS(2985),
    [anon_sym_SLASH] = ACTIONS(2985),
    [anon_sym_PERCENT] = ACTIONS(2985),
    [anon_sym_PLUS_PLUS] = ACTIONS(2983),
    [anon_sym_DASH_DASH] = ACTIONS(2983),
    [anon_sym_PIPE] = ACTIONS(2983),
    [anon_sym_CARET] = ACTIONS(2985),
    [anon_sym_LT_LT] = ACTIONS(2983),
    [anon_sym_GT_GT] = ACTIONS(2983),
    [anon_sym_class] = ACTIONS(2983),
    [anon_sym_BANG2] = ACTIONS(2985),
    [anon_sym_prefix] = ACTIONS(2983),
    [anon_sym_infix] = ACTIONS(2983),
    [anon_sym_postfix] = ACTIONS(2983),
    [anon_sym_AT] = ACTIONS(2985),
    [anon_sym_override] = ACTIONS(2983),
    [anon_sym_convenience] = ACTIONS(2983),
    [anon_sym_required] = ACTIONS(2983),
    [anon_sym_nonisolated] = ACTIONS(2983),
    [anon_sym_public] = ACTIONS(2983),
    [anon_sym_private] = ACTIONS(2983),
    [anon_sym_internal] = ACTIONS(2983),
    [anon_sym_fileprivate] = ACTIONS(2983),
    [anon_sym_open] = ACTIONS(2983),
    [anon_sym_mutating] = ACTIONS(2983),
    [anon_sym_nonmutating] = ACTIONS(2983),
    [anon_sym_static] = ACTIONS(2983),
    [anon_sym_dynamic] = ACTIONS(2983),
    [anon_sym_optional] = ACTIONS(2983),
    [anon_sym_distributed] = ACTIONS(2983),
    [anon_sym_final] = ACTIONS(2983),
    [anon_sym_inout] = ACTIONS(2983),
    [anon_sym_ATescaping] = ACTIONS(2983),
    [anon_sym_ATautoclosure] = ACTIONS(2983),
    [anon_sym_weak] = ACTIONS(2983),
    [anon_sym_unowned] = ACTIONS(2985),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2983),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2983),
    [anon_sym_borrowing] = ACTIONS(2983),
    [anon_sym_consuming] = ACTIONS(2983),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2983),
    [sym__explicit_semi] = ACTIONS(2983),
    [sym__arrow_operator_custom] = ACTIONS(2983),
    [sym__dot_custom] = ACTIONS(2983),
    [sym__conjunction_operator_custom] = ACTIONS(2983),
    [sym__disjunction_operator_custom] = ACTIONS(2983),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2983),
    [sym__eq_custom] = ACTIONS(2983),
    [sym__eq_eq_custom] = ACTIONS(2983),
    [sym__plus_then_ws] = ACTIONS(2983),
    [sym__minus_then_ws] = ACTIONS(2983),
    [sym__bang_custom] = ACTIONS(2983),
    [sym__throws_keyword] = ACTIONS(2983),
    [sym__rethrows_keyword] = ACTIONS(2983),
    [sym_default_keyword] = ACTIONS(2983),
    [sym_where_keyword] = ACTIONS(2983),
    [sym__as_custom] = ACTIONS(2983),
    [sym__as_quest_custom] = ACTIONS(2983),
    [sym__as_bang_custom] = ACTIONS(2983),
    [sym__async_keyword_custom] = ACTIONS(2983),
    [sym__custom_operator] = ACTIONS(2983),
  },
  [954] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(2928),
    [anon_sym_package] = ACTIONS(2928),
    [anon_sym_COMMA] = ACTIONS(2928),
    [anon_sym_LPAREN] = ACTIONS(2928),
    [anon_sym_LBRACK] = ACTIONS(2928),
    [anon_sym_DOT] = ACTIONS(2930),
    [anon_sym_QMARK] = ACTIONS(2930),
    [anon_sym_QMARK2] = ACTIONS(2928),
    [anon_sym_AMP] = ACTIONS(2928),
    [aux_sym_custom_operator_token1] = ACTIONS(2928),
    [anon_sym_LT] = ACTIONS(2930),
    [anon_sym_GT] = ACTIONS(2930),
    [anon_sym_LBRACE] = ACTIONS(2928),
    [anon_sym_CARET_LBRACE] = ACTIONS(2928),
    [anon_sym_RBRACE] = ACTIONS(2928),
    [anon_sym_case] = ACTIONS(2928),
    [anon_sym_fallthrough] = ACTIONS(2928),
    [anon_sym_PLUS_EQ] = ACTIONS(2928),
    [anon_sym_DASH_EQ] = ACTIONS(2928),
    [anon_sym_STAR_EQ] = ACTIONS(2928),
    [anon_sym_SLASH_EQ] = ACTIONS(2928),
    [anon_sym_PERCENT_EQ] = ACTIONS(2928),
    [anon_sym_BANG_EQ] = ACTIONS(2930),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2928),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2928),
    [anon_sym_LT_EQ] = ACTIONS(2928),
    [anon_sym_GT_EQ] = ACTIONS(2928),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2928),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2928),
    [anon_sym_is] = ACTIONS(2928),
    [anon_sym_PLUS] = ACTIONS(2930),
    [anon_sym_DASH] = ACTIONS(2930),
    [anon_sym_STAR] = ACTIONS(2930),
    [anon_sym_SLASH] = ACTIONS(2930),
    [anon_sym_PERCENT] = ACTIONS(2930),
    [anon_sym_PLUS_PLUS] = ACTIONS(2928),
    [anon_sym_DASH_DASH] = ACTIONS(2928),
    [anon_sym_PIPE] = ACTIONS(2928),
    [anon_sym_CARET] = ACTIONS(2930),
    [anon_sym_LT_LT] = ACTIONS(2928),
    [anon_sym_GT_GT] = ACTIONS(2928),
    [anon_sym_class] = ACTIONS(2928),
    [anon_sym_BANG2] = ACTIONS(2930),
    [anon_sym_prefix] = ACTIONS(2928),
    [anon_sym_infix] = ACTIONS(2928),
    [anon_sym_postfix] = ACTIONS(2928),
    [anon_sym_AT] = ACTIONS(2930),
    [anon_sym_override] = ACTIONS(2928),
    [anon_sym_convenience] = ACTIONS(2928),
    [anon_sym_required] = ACTIONS(2928),
    [anon_sym_nonisolated] = ACTIONS(2928),
    [anon_sym_public] = ACTIONS(2928),
    [anon_sym_private] = ACTIONS(2928),
    [anon_sym_internal] = ACTIONS(2928),
    [anon_sym_fileprivate] = ACTIONS(2928),
    [anon_sym_open] = ACTIONS(2928),
    [anon_sym_mutating] = ACTIONS(2928),
    [anon_sym_nonmutating] = ACTIONS(2928),
    [anon_sym_static] = ACTIONS(2928),
    [anon_sym_dynamic] = ACTIONS(2928),
    [anon_sym_optional] = ACTIONS(2928),
    [anon_sym_distributed] = ACTIONS(2928),
    [anon_sym_final] = ACTIONS(2928),
    [anon_sym_inout] = ACTIONS(2928),
    [anon_sym_ATescaping] = ACTIONS(2928),
    [anon_sym_ATautoclosure] = ACTIONS(2928),
    [anon_sym_weak] = ACTIONS(2928),
    [anon_sym_unowned] = ACTIONS(2930),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2928),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2928),
    [anon_sym_borrowing] = ACTIONS(2928),
    [anon_sym_consuming] = ACTIONS(2928),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2928),
    [sym__explicit_semi] = ACTIONS(2928),
    [sym__arrow_operator_custom] = ACTIONS(2928),
    [sym__dot_custom] = ACTIONS(2928),
    [sym__conjunction_operator_custom] = ACTIONS(2928),
    [sym__disjunction_operator_custom] = ACTIONS(2928),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2928),
    [sym__eq_custom] = ACTIONS(2928),
    [sym__eq_eq_custom] = ACTIONS(2928),
    [sym__plus_then_ws] = ACTIONS(2928),
    [sym__minus_then_ws] = ACTIONS(2928),
    [sym__bang_custom] = ACTIONS(2928),
    [sym__throws_keyword] = ACTIONS(2928),
    [sym__rethrows_keyword] = ACTIONS(2928),
    [sym_default_keyword] = ACTIONS(2928),
    [sym_where_keyword] = ACTIONS(2928),
    [sym__as_custom] = ACTIONS(2928),
    [sym__as_quest_custom] = ACTIONS(2928),
    [sym__as_bang_custom] = ACTIONS(2928),
    [sym__async_keyword_custom] = ACTIONS(2928),
    [sym__custom_operator] = ACTIONS(2928),
  },
  [955] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(2979),
    [anon_sym_package] = ACTIONS(2979),
    [anon_sym_COMMA] = ACTIONS(2979),
    [anon_sym_LPAREN] = ACTIONS(2979),
    [anon_sym_LBRACK] = ACTIONS(2979),
    [anon_sym_DOT] = ACTIONS(2981),
    [anon_sym_QMARK] = ACTIONS(2981),
    [anon_sym_QMARK2] = ACTIONS(2979),
    [anon_sym_AMP] = ACTIONS(2979),
    [aux_sym_custom_operator_token1] = ACTIONS(2979),
    [anon_sym_LT] = ACTIONS(2981),
    [anon_sym_GT] = ACTIONS(2981),
    [anon_sym_LBRACE] = ACTIONS(2979),
    [anon_sym_CARET_LBRACE] = ACTIONS(2979),
    [anon_sym_RBRACE] = ACTIONS(2979),
    [anon_sym_case] = ACTIONS(2979),
    [anon_sym_fallthrough] = ACTIONS(2979),
    [anon_sym_PLUS_EQ] = ACTIONS(2979),
    [anon_sym_DASH_EQ] = ACTIONS(2979),
    [anon_sym_STAR_EQ] = ACTIONS(2979),
    [anon_sym_SLASH_EQ] = ACTIONS(2979),
    [anon_sym_PERCENT_EQ] = ACTIONS(2979),
    [anon_sym_BANG_EQ] = ACTIONS(2981),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2979),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2979),
    [anon_sym_LT_EQ] = ACTIONS(2979),
    [anon_sym_GT_EQ] = ACTIONS(2979),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2979),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2979),
    [anon_sym_is] = ACTIONS(2979),
    [anon_sym_PLUS] = ACTIONS(2981),
    [anon_sym_DASH] = ACTIONS(2981),
    [anon_sym_STAR] = ACTIONS(2981),
    [anon_sym_SLASH] = ACTIONS(2981),
    [anon_sym_PERCENT] = ACTIONS(2981),
    [anon_sym_PLUS_PLUS] = ACTIONS(2979),
    [anon_sym_DASH_DASH] = ACTIONS(2979),
    [anon_sym_PIPE] = ACTIONS(2979),
    [anon_sym_CARET] = ACTIONS(2981),
    [anon_sym_LT_LT] = ACTIONS(2979),
    [anon_sym_GT_GT] = ACTIONS(2979),
    [anon_sym_class] = ACTIONS(2979),
    [anon_sym_BANG2] = ACTIONS(2981),
    [anon_sym_prefix] = ACTIONS(2979),
    [anon_sym_infix] = ACTIONS(2979),
    [anon_sym_postfix] = ACTIONS(2979),
    [anon_sym_AT] = ACTIONS(2981),
    [anon_sym_override] = ACTIONS(2979),
    [anon_sym_convenience] = ACTIONS(2979),
    [anon_sym_required] = ACTIONS(2979),
    [anon_sym_nonisolated] = ACTIONS(2979),
    [anon_sym_public] = ACTIONS(2979),
    [anon_sym_private] = ACTIONS(2979),
    [anon_sym_internal] = ACTIONS(2979),
    [anon_sym_fileprivate] = ACTIONS(2979),
    [anon_sym_open] = ACTIONS(2979),
    [anon_sym_mutating] = ACTIONS(2979),
    [anon_sym_nonmutating] = ACTIONS(2979),
    [anon_sym_static] = ACTIONS(2979),
    [anon_sym_dynamic] = ACTIONS(2979),
    [anon_sym_optional] = ACTIONS(2979),
    [anon_sym_distributed] = ACTIONS(2979),
    [anon_sym_final] = ACTIONS(2979),
    [anon_sym_inout] = ACTIONS(2979),
    [anon_sym_ATescaping] = ACTIONS(2979),
    [anon_sym_ATautoclosure] = ACTIONS(2979),
    [anon_sym_weak] = ACTIONS(2979),
    [anon_sym_unowned] = ACTIONS(2981),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2979),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2979),
    [anon_sym_borrowing] = ACTIONS(2979),
    [anon_sym_consuming] = ACTIONS(2979),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2979),
    [sym__explicit_semi] = ACTIONS(2979),
    [sym__arrow_operator_custom] = ACTIONS(2979),
    [sym__dot_custom] = ACTIONS(2979),
    [sym__conjunction_operator_custom] = ACTIONS(2979),
    [sym__disjunction_operator_custom] = ACTIONS(2979),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2979),
    [sym__eq_custom] = ACTIONS(2979),
    [sym__eq_eq_custom] = ACTIONS(2979),
    [sym__plus_then_ws] = ACTIONS(2979),
    [sym__minus_then_ws] = ACTIONS(2979),
    [sym__bang_custom] = ACTIONS(2979),
    [sym__throws_keyword] = ACTIONS(2979),
    [sym__rethrows_keyword] = ACTIONS(2979),
    [sym_default_keyword] = ACTIONS(2979),
    [sym_where_keyword] = ACTIONS(2979),
    [sym__as_custom] = ACTIONS(2979),
    [sym__as_quest_custom] = ACTIONS(2979),
    [sym__as_bang_custom] = ACTIONS(2979),
    [sym__async_keyword_custom] = ACTIONS(2979),
    [sym__custom_operator] = ACTIONS(2979),
  },
  [956] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(2967),
    [anon_sym_package] = ACTIONS(2967),
    [anon_sym_COMMA] = ACTIONS(2967),
    [anon_sym_LPAREN] = ACTIONS(2967),
    [anon_sym_LBRACK] = ACTIONS(2967),
    [anon_sym_DOT] = ACTIONS(2969),
    [anon_sym_QMARK] = ACTIONS(2969),
    [anon_sym_QMARK2] = ACTIONS(2967),
    [anon_sym_AMP] = ACTIONS(2967),
    [aux_sym_custom_operator_token1] = ACTIONS(2967),
    [anon_sym_LT] = ACTIONS(2969),
    [anon_sym_GT] = ACTIONS(2969),
    [anon_sym_LBRACE] = ACTIONS(2967),
    [anon_sym_CARET_LBRACE] = ACTIONS(2967),
    [anon_sym_RBRACE] = ACTIONS(2967),
    [anon_sym_case] = ACTIONS(2967),
    [anon_sym_fallthrough] = ACTIONS(2967),
    [anon_sym_PLUS_EQ] = ACTIONS(2967),
    [anon_sym_DASH_EQ] = ACTIONS(2967),
    [anon_sym_STAR_EQ] = ACTIONS(2967),
    [anon_sym_SLASH_EQ] = ACTIONS(2967),
    [anon_sym_PERCENT_EQ] = ACTIONS(2967),
    [anon_sym_BANG_EQ] = ACTIONS(2969),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2967),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2967),
    [anon_sym_LT_EQ] = ACTIONS(2967),
    [anon_sym_GT_EQ] = ACTIONS(2967),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2967),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2967),
    [anon_sym_is] = ACTIONS(2967),
    [anon_sym_PLUS] = ACTIONS(2969),
    [anon_sym_DASH] = ACTIONS(2969),
    [anon_sym_STAR] = ACTIONS(2969),
    [anon_sym_SLASH] = ACTIONS(2969),
    [anon_sym_PERCENT] = ACTIONS(2969),
    [anon_sym_PLUS_PLUS] = ACTIONS(2967),
    [anon_sym_DASH_DASH] = ACTIONS(2967),
    [anon_sym_PIPE] = ACTIONS(2967),
    [anon_sym_CARET] = ACTIONS(2969),
    [anon_sym_LT_LT] = ACTIONS(2967),
    [anon_sym_GT_GT] = ACTIONS(2967),
    [anon_sym_class] = ACTIONS(2967),
    [anon_sym_BANG2] = ACTIONS(2969),
    [anon_sym_prefix] = ACTIONS(2967),
    [anon_sym_infix] = ACTIONS(2967),
    [anon_sym_postfix] = ACTIONS(2967),
    [anon_sym_AT] = ACTIONS(2969),
    [anon_sym_override] = ACTIONS(2967),
    [anon_sym_convenience] = ACTIONS(2967),
    [anon_sym_required] = ACTIONS(2967),
    [anon_sym_nonisolated] = ACTIONS(2967),
    [anon_sym_public] = ACTIONS(2967),
    [anon_sym_private] = ACTIONS(2967),
    [anon_sym_internal] = ACTIONS(2967),
    [anon_sym_fileprivate] = ACTIONS(2967),
    [anon_sym_open] = ACTIONS(2967),
    [anon_sym_mutating] = ACTIONS(2967),
    [anon_sym_nonmutating] = ACTIONS(2967),
    [anon_sym_static] = ACTIONS(2967),
    [anon_sym_dynamic] = ACTIONS(2967),
    [anon_sym_optional] = ACTIONS(2967),
    [anon_sym_distributed] = ACTIONS(2967),
    [anon_sym_final] = ACTIONS(2967),
    [anon_sym_inout] = ACTIONS(2967),
    [anon_sym_ATescaping] = ACTIONS(2967),
    [anon_sym_ATautoclosure] = ACTIONS(2967),
    [anon_sym_weak] = ACTIONS(2967),
    [anon_sym_unowned] = ACTIONS(2969),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2967),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2967),
    [anon_sym_borrowing] = ACTIONS(2967),
    [anon_sym_consuming] = ACTIONS(2967),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2967),
    [sym__explicit_semi] = ACTIONS(2967),
    [sym__arrow_operator_custom] = ACTIONS(2967),
    [sym__dot_custom] = ACTIONS(2967),
    [sym__conjunction_operator_custom] = ACTIONS(2967),
    [sym__disjunction_operator_custom] = ACTIONS(2967),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2967),
    [sym__eq_custom] = ACTIONS(2967),
    [sym__eq_eq_custom] = ACTIONS(2967),
    [sym__plus_then_ws] = ACTIONS(2967),
    [sym__minus_then_ws] = ACTIONS(2967),
    [sym__bang_custom] = ACTIONS(2967),
    [sym__throws_keyword] = ACTIONS(2967),
    [sym__rethrows_keyword] = ACTIONS(2967),
    [sym_default_keyword] = ACTIONS(2967),
    [sym_where_keyword] = ACTIONS(2967),
    [sym__as_custom] = ACTIONS(2967),
    [sym__as_quest_custom] = ACTIONS(2967),
    [sym__as_bang_custom] = ACTIONS(2967),
    [sym__async_keyword_custom] = ACTIONS(2967),
    [sym__custom_operator] = ACTIONS(2967),
  },
  [957] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(2959),
    [anon_sym_package] = ACTIONS(2959),
    [anon_sym_COMMA] = ACTIONS(2959),
    [anon_sym_LPAREN] = ACTIONS(2959),
    [anon_sym_LBRACK] = ACTIONS(2959),
    [anon_sym_DOT] = ACTIONS(2961),
    [anon_sym_QMARK] = ACTIONS(2961),
    [anon_sym_QMARK2] = ACTIONS(2959),
    [anon_sym_AMP] = ACTIONS(2959),
    [aux_sym_custom_operator_token1] = ACTIONS(2959),
    [anon_sym_LT] = ACTIONS(2961),
    [anon_sym_GT] = ACTIONS(2961),
    [anon_sym_LBRACE] = ACTIONS(2959),
    [anon_sym_CARET_LBRACE] = ACTIONS(2959),
    [anon_sym_RBRACE] = ACTIONS(2959),
    [anon_sym_case] = ACTIONS(2959),
    [anon_sym_fallthrough] = ACTIONS(2959),
    [anon_sym_PLUS_EQ] = ACTIONS(2959),
    [anon_sym_DASH_EQ] = ACTIONS(2959),
    [anon_sym_STAR_EQ] = ACTIONS(2959),
    [anon_sym_SLASH_EQ] = ACTIONS(2959),
    [anon_sym_PERCENT_EQ] = ACTIONS(2959),
    [anon_sym_BANG_EQ] = ACTIONS(2961),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2959),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2959),
    [anon_sym_LT_EQ] = ACTIONS(2959),
    [anon_sym_GT_EQ] = ACTIONS(2959),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2959),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2959),
    [anon_sym_is] = ACTIONS(2959),
    [anon_sym_PLUS] = ACTIONS(2961),
    [anon_sym_DASH] = ACTIONS(2961),
    [anon_sym_STAR] = ACTIONS(2961),
    [anon_sym_SLASH] = ACTIONS(2961),
    [anon_sym_PERCENT] = ACTIONS(2961),
    [anon_sym_PLUS_PLUS] = ACTIONS(2959),
    [anon_sym_DASH_DASH] = ACTIONS(2959),
    [anon_sym_PIPE] = ACTIONS(2959),
    [anon_sym_CARET] = ACTIONS(2961),
    [anon_sym_LT_LT] = ACTIONS(2959),
    [anon_sym_GT_GT] = ACTIONS(2959),
    [anon_sym_class] = ACTIONS(2959),
    [anon_sym_BANG2] = ACTIONS(2961),
    [anon_sym_prefix] = ACTIONS(2959),
    [anon_sym_infix] = ACTIONS(2959),
    [anon_sym_postfix] = ACTIONS(2959),
    [anon_sym_AT] = ACTIONS(2961),
    [anon_sym_override] = ACTIONS(2959),
    [anon_sym_convenience] = ACTIONS(2959),
    [anon_sym_required] = ACTIONS(2959),
    [anon_sym_nonisolated] = ACTIONS(2959),
    [anon_sym_public] = ACTIONS(2959),
    [anon_sym_private] = ACTIONS(2959),
    [anon_sym_internal] = ACTIONS(2959),
    [anon_sym_fileprivate] = ACTIONS(2959),
    [anon_sym_open] = ACTIONS(2959),
    [anon_sym_mutating] = ACTIONS(2959),
    [anon_sym_nonmutating] = ACTIONS(2959),
    [anon_sym_static] = ACTIONS(2959),
    [anon_sym_dynamic] = ACTIONS(2959),
    [anon_sym_optional] = ACTIONS(2959),
    [anon_sym_distributed] = ACTIONS(2959),
    [anon_sym_final] = ACTIONS(2959),
    [anon_sym_inout] = ACTIONS(2959),
    [anon_sym_ATescaping] = ACTIONS(2959),
    [anon_sym_ATautoclosure] = ACTIONS(2959),
    [anon_sym_weak] = ACTIONS(2959),
    [anon_sym_unowned] = ACTIONS(2961),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2959),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2959),
    [anon_sym_borrowing] = ACTIONS(2959),
    [anon_sym_consuming] = ACTIONS(2959),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2959),
    [sym__explicit_semi] = ACTIONS(2959),
    [sym__arrow_operator_custom] = ACTIONS(2959),
    [sym__dot_custom] = ACTIONS(2959),
    [sym__conjunction_operator_custom] = ACTIONS(2959),
    [sym__disjunction_operator_custom] = ACTIONS(2959),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2959),
    [sym__eq_custom] = ACTIONS(2959),
    [sym__eq_eq_custom] = ACTIONS(2959),
    [sym__plus_then_ws] = ACTIONS(2959),
    [sym__minus_then_ws] = ACTIONS(2959),
    [sym__bang_custom] = ACTIONS(2959),
    [sym__throws_keyword] = ACTIONS(2959),
    [sym__rethrows_keyword] = ACTIONS(2959),
    [sym_default_keyword] = ACTIONS(2959),
    [sym_where_keyword] = ACTIONS(2959),
    [sym__as_custom] = ACTIONS(2959),
    [sym__as_quest_custom] = ACTIONS(2959),
    [sym__as_bang_custom] = ACTIONS(2959),
    [sym__async_keyword_custom] = ACTIONS(2959),
    [sym__custom_operator] = ACTIONS(2959),
  },
  [958] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(2910),
    [anon_sym_package] = ACTIONS(2910),
    [anon_sym_COMMA] = ACTIONS(2910),
    [anon_sym_LPAREN] = ACTIONS(2910),
    [anon_sym_LBRACK] = ACTIONS(2910),
    [anon_sym_DOT] = ACTIONS(2912),
    [anon_sym_QMARK] = ACTIONS(2912),
    [anon_sym_QMARK2] = ACTIONS(2910),
    [anon_sym_AMP] = ACTIONS(2910),
    [aux_sym_custom_operator_token1] = ACTIONS(2910),
    [anon_sym_LT] = ACTIONS(2912),
    [anon_sym_GT] = ACTIONS(2912),
    [anon_sym_LBRACE] = ACTIONS(2910),
    [anon_sym_CARET_LBRACE] = ACTIONS(2910),
    [anon_sym_RBRACE] = ACTIONS(2910),
    [anon_sym_case] = ACTIONS(2910),
    [anon_sym_fallthrough] = ACTIONS(2910),
    [anon_sym_PLUS_EQ] = ACTIONS(2910),
    [anon_sym_DASH_EQ] = ACTIONS(2910),
    [anon_sym_STAR_EQ] = ACTIONS(2910),
    [anon_sym_SLASH_EQ] = ACTIONS(2910),
    [anon_sym_PERCENT_EQ] = ACTIONS(2910),
    [anon_sym_BANG_EQ] = ACTIONS(2912),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2910),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2910),
    [anon_sym_LT_EQ] = ACTIONS(2910),
    [anon_sym_GT_EQ] = ACTIONS(2910),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2910),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2910),
    [anon_sym_is] = ACTIONS(2910),
    [anon_sym_PLUS] = ACTIONS(2912),
    [anon_sym_DASH] = ACTIONS(2912),
    [anon_sym_STAR] = ACTIONS(2912),
    [anon_sym_SLASH] = ACTIONS(2912),
    [anon_sym_PERCENT] = ACTIONS(2912),
    [anon_sym_PLUS_PLUS] = ACTIONS(2910),
    [anon_sym_DASH_DASH] = ACTIONS(2910),
    [anon_sym_PIPE] = ACTIONS(2910),
    [anon_sym_CARET] = ACTIONS(2912),
    [anon_sym_LT_LT] = ACTIONS(2910),
    [anon_sym_GT_GT] = ACTIONS(2910),
    [anon_sym_class] = ACTIONS(2910),
    [anon_sym_BANG2] = ACTIONS(2912),
    [anon_sym_prefix] = ACTIONS(2910),
    [anon_sym_infix] = ACTIONS(2910),
    [anon_sym_postfix] = ACTIONS(2910),
    [anon_sym_AT] = ACTIONS(2912),
    [anon_sym_override] = ACTIONS(2910),
    [anon_sym_convenience] = ACTIONS(2910),
    [anon_sym_required] = ACTIONS(2910),
    [anon_sym_nonisolated] = ACTIONS(2910),
    [anon_sym_public] = ACTIONS(2910),
    [anon_sym_private] = ACTIONS(2910),
    [anon_sym_internal] = ACTIONS(2910),
    [anon_sym_fileprivate] = ACTIONS(2910),
    [anon_sym_open] = ACTIONS(2910),
    [anon_sym_mutating] = ACTIONS(2910),
    [anon_sym_nonmutating] = ACTIONS(2910),
    [anon_sym_static] = ACTIONS(2910),
    [anon_sym_dynamic] = ACTIONS(2910),
    [anon_sym_optional] = ACTIONS(2910),
    [anon_sym_distributed] = ACTIONS(2910),
    [anon_sym_final] = ACTIONS(2910),
    [anon_sym_inout] = ACTIONS(2910),
    [anon_sym_ATescaping] = ACTIONS(2910),
    [anon_sym_ATautoclosure] = ACTIONS(2910),
    [anon_sym_weak] = ACTIONS(2910),
    [anon_sym_unowned] = ACTIONS(2912),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2910),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2910),
    [anon_sym_borrowing] = ACTIONS(2910),
    [anon_sym_consuming] = ACTIONS(2910),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2910),
    [sym__explicit_semi] = ACTIONS(2910),
    [sym__arrow_operator_custom] = ACTIONS(2910),
    [sym__dot_custom] = ACTIONS(2910),
    [sym__conjunction_operator_custom] = ACTIONS(2910),
    [sym__disjunction_operator_custom] = ACTIONS(2910),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2910),
    [sym__eq_custom] = ACTIONS(2910),
    [sym__eq_eq_custom] = ACTIONS(2910),
    [sym__plus_then_ws] = ACTIONS(2910),
    [sym__minus_then_ws] = ACTIONS(2910),
    [sym__bang_custom] = ACTIONS(2910),
    [sym__throws_keyword] = ACTIONS(2910),
    [sym__rethrows_keyword] = ACTIONS(2910),
    [sym_default_keyword] = ACTIONS(2910),
    [sym_where_keyword] = ACTIONS(2910),
    [sym__as_custom] = ACTIONS(2910),
    [sym__as_quest_custom] = ACTIONS(2910),
    [sym__as_bang_custom] = ACTIONS(2910),
    [sym__async_keyword_custom] = ACTIONS(2910),
    [sym__custom_operator] = ACTIONS(2910),
  },
  [959] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(2914),
    [anon_sym_package] = ACTIONS(2914),
    [anon_sym_COMMA] = ACTIONS(2914),
    [anon_sym_LPAREN] = ACTIONS(2914),
    [anon_sym_LBRACK] = ACTIONS(2914),
    [anon_sym_DOT] = ACTIONS(2916),
    [anon_sym_QMARK] = ACTIONS(2916),
    [anon_sym_QMARK2] = ACTIONS(2914),
    [anon_sym_AMP] = ACTIONS(2914),
    [aux_sym_custom_operator_token1] = ACTIONS(2914),
    [anon_sym_LT] = ACTIONS(2916),
    [anon_sym_GT] = ACTIONS(2916),
    [anon_sym_LBRACE] = ACTIONS(2914),
    [anon_sym_CARET_LBRACE] = ACTIONS(2914),
    [anon_sym_RBRACE] = ACTIONS(2914),
    [anon_sym_case] = ACTIONS(2914),
    [anon_sym_fallthrough] = ACTIONS(2914),
    [anon_sym_PLUS_EQ] = ACTIONS(2914),
    [anon_sym_DASH_EQ] = ACTIONS(2914),
    [anon_sym_STAR_EQ] = ACTIONS(2914),
    [anon_sym_SLASH_EQ] = ACTIONS(2914),
    [anon_sym_PERCENT_EQ] = ACTIONS(2914),
    [anon_sym_BANG_EQ] = ACTIONS(2916),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2914),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2914),
    [anon_sym_LT_EQ] = ACTIONS(2914),
    [anon_sym_GT_EQ] = ACTIONS(2914),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2914),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2914),
    [anon_sym_is] = ACTIONS(2914),
    [anon_sym_PLUS] = ACTIONS(2916),
    [anon_sym_DASH] = ACTIONS(2916),
    [anon_sym_STAR] = ACTIONS(2916),
    [anon_sym_SLASH] = ACTIONS(2916),
    [anon_sym_PERCENT] = ACTIONS(2916),
    [anon_sym_PLUS_PLUS] = ACTIONS(2914),
    [anon_sym_DASH_DASH] = ACTIONS(2914),
    [anon_sym_PIPE] = ACTIONS(2914),
    [anon_sym_CARET] = ACTIONS(2916),
    [anon_sym_LT_LT] = ACTIONS(2914),
    [anon_sym_GT_GT] = ACTIONS(2914),
    [anon_sym_class] = ACTIONS(2914),
    [anon_sym_BANG2] = ACTIONS(2916),
    [anon_sym_prefix] = ACTIONS(2914),
    [anon_sym_infix] = ACTIONS(2914),
    [anon_sym_postfix] = ACTIONS(2914),
    [anon_sym_AT] = ACTIONS(2916),
    [anon_sym_override] = ACTIONS(2914),
    [anon_sym_convenience] = ACTIONS(2914),
    [anon_sym_required] = ACTIONS(2914),
    [anon_sym_nonisolated] = ACTIONS(2914),
    [anon_sym_public] = ACTIONS(2914),
    [anon_sym_private] = ACTIONS(2914),
    [anon_sym_internal] = ACTIONS(2914),
    [anon_sym_fileprivate] = ACTIONS(2914),
    [anon_sym_open] = ACTIONS(2914),
    [anon_sym_mutating] = ACTIONS(2914),
    [anon_sym_nonmutating] = ACTIONS(2914),
    [anon_sym_static] = ACTIONS(2914),
    [anon_sym_dynamic] = ACTIONS(2914),
    [anon_sym_optional] = ACTIONS(2914),
    [anon_sym_distributed] = ACTIONS(2914),
    [anon_sym_final] = ACTIONS(2914),
    [anon_sym_inout] = ACTIONS(2914),
    [anon_sym_ATescaping] = ACTIONS(2914),
    [anon_sym_ATautoclosure] = ACTIONS(2914),
    [anon_sym_weak] = ACTIONS(2914),
    [anon_sym_unowned] = ACTIONS(2916),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2914),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2914),
    [anon_sym_borrowing] = ACTIONS(2914),
    [anon_sym_consuming] = ACTIONS(2914),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2914),
    [sym__explicit_semi] = ACTIONS(2914),
    [sym__arrow_operator_custom] = ACTIONS(2914),
    [sym__dot_custom] = ACTIONS(2914),
    [sym__conjunction_operator_custom] = ACTIONS(2914),
    [sym__disjunction_operator_custom] = ACTIONS(2914),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2914),
    [sym__eq_custom] = ACTIONS(2914),
    [sym__eq_eq_custom] = ACTIONS(2914),
    [sym__plus_then_ws] = ACTIONS(2914),
    [sym__minus_then_ws] = ACTIONS(2914),
    [sym__bang_custom] = ACTIONS(2914),
    [sym__throws_keyword] = ACTIONS(2914),
    [sym__rethrows_keyword] = ACTIONS(2914),
    [sym_default_keyword] = ACTIONS(2914),
    [sym_where_keyword] = ACTIONS(2914),
    [sym__as_custom] = ACTIONS(2914),
    [sym__as_quest_custom] = ACTIONS(2914),
    [sym__as_bang_custom] = ACTIONS(2914),
    [sym__async_keyword_custom] = ACTIONS(2914),
    [sym__custom_operator] = ACTIONS(2914),
  },
  [960] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(2963),
    [anon_sym_package] = ACTIONS(2963),
    [anon_sym_COMMA] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(2963),
    [anon_sym_LBRACK] = ACTIONS(2963),
    [anon_sym_DOT] = ACTIONS(2965),
    [anon_sym_QMARK] = ACTIONS(2965),
    [anon_sym_QMARK2] = ACTIONS(2963),
    [anon_sym_AMP] = ACTIONS(2963),
    [aux_sym_custom_operator_token1] = ACTIONS(2963),
    [anon_sym_LT] = ACTIONS(2965),
    [anon_sym_GT] = ACTIONS(2965),
    [anon_sym_LBRACE] = ACTIONS(2963),
    [anon_sym_CARET_LBRACE] = ACTIONS(2963),
    [anon_sym_RBRACE] = ACTIONS(2963),
    [anon_sym_case] = ACTIONS(2963),
    [anon_sym_fallthrough] = ACTIONS(2963),
    [anon_sym_PLUS_EQ] = ACTIONS(2963),
    [anon_sym_DASH_EQ] = ACTIONS(2963),
    [anon_sym_STAR_EQ] = ACTIONS(2963),
    [anon_sym_SLASH_EQ] = ACTIONS(2963),
    [anon_sym_PERCENT_EQ] = ACTIONS(2963),
    [anon_sym_BANG_EQ] = ACTIONS(2965),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2963),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2963),
    [anon_sym_LT_EQ] = ACTIONS(2963),
    [anon_sym_GT_EQ] = ACTIONS(2963),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2963),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2963),
    [anon_sym_is] = ACTIONS(2963),
    [anon_sym_PLUS] = ACTIONS(2965),
    [anon_sym_DASH] = ACTIONS(2965),
    [anon_sym_STAR] = ACTIONS(2965),
    [anon_sym_SLASH] = ACTIONS(2965),
    [anon_sym_PERCENT] = ACTIONS(2965),
    [anon_sym_PLUS_PLUS] = ACTIONS(2963),
    [anon_sym_DASH_DASH] = ACTIONS(2963),
    [anon_sym_PIPE] = ACTIONS(2963),
    [anon_sym_CARET] = ACTIONS(2965),
    [anon_sym_LT_LT] = ACTIONS(2963),
    [anon_sym_GT_GT] = ACTIONS(2963),
    [anon_sym_class] = ACTIONS(2963),
    [anon_sym_BANG2] = ACTIONS(2965),
    [anon_sym_prefix] = ACTIONS(2963),
    [anon_sym_infix] = ACTIONS(2963),
    [anon_sym_postfix] = ACTIONS(2963),
    [anon_sym_AT] = ACTIONS(2965),
    [anon_sym_override] = ACTIONS(2963),
    [anon_sym_convenience] = ACTIONS(2963),
    [anon_sym_required] = ACTIONS(2963),
    [anon_sym_nonisolated] = ACTIONS(2963),
    [anon_sym_public] = ACTIONS(2963),
    [anon_sym_private] = ACTIONS(2963),
    [anon_sym_internal] = ACTIONS(2963),
    [anon_sym_fileprivate] = ACTIONS(2963),
    [anon_sym_open] = ACTIONS(2963),
    [anon_sym_mutating] = ACTIONS(2963),
    [anon_sym_nonmutating] = ACTIONS(2963),
    [anon_sym_static] = ACTIONS(2963),
    [anon_sym_dynamic] = ACTIONS(2963),
    [anon_sym_optional] = ACTIONS(2963),
    [anon_sym_distributed] = ACTIONS(2963),
    [anon_sym_final] = ACTIONS(2963),
    [anon_sym_inout] = ACTIONS(2963),
    [anon_sym_ATescaping] = ACTIONS(2963),
    [anon_sym_ATautoclosure] = ACTIONS(2963),
    [anon_sym_weak] = ACTIONS(2963),
    [anon_sym_unowned] = ACTIONS(2965),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2963),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2963),
    [anon_sym_borrowing] = ACTIONS(2963),
    [anon_sym_consuming] = ACTIONS(2963),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2963),
    [sym__explicit_semi] = ACTIONS(2963),
    [sym__arrow_operator_custom] = ACTIONS(2963),
    [sym__dot_custom] = ACTIONS(2963),
    [sym__conjunction_operator_custom] = ACTIONS(2963),
    [sym__disjunction_operator_custom] = ACTIONS(2963),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2963),
    [sym__eq_custom] = ACTIONS(2963),
    [sym__eq_eq_custom] = ACTIONS(2963),
    [sym__plus_then_ws] = ACTIONS(2963),
    [sym__minus_then_ws] = ACTIONS(2963),
    [sym__bang_custom] = ACTIONS(2963),
    [sym__throws_keyword] = ACTIONS(2963),
    [sym__rethrows_keyword] = ACTIONS(2963),
    [sym_default_keyword] = ACTIONS(2963),
    [sym_where_keyword] = ACTIONS(2963),
    [sym__as_custom] = ACTIONS(2963),
    [sym__as_quest_custom] = ACTIONS(2963),
    [sym__as_bang_custom] = ACTIONS(2963),
    [sym__async_keyword_custom] = ACTIONS(2963),
    [sym__custom_operator] = ACTIONS(2963),
  },
  [961] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(2924),
    [anon_sym_package] = ACTIONS(2924),
    [anon_sym_COMMA] = ACTIONS(2924),
    [anon_sym_LPAREN] = ACTIONS(2924),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_DOT] = ACTIONS(2926),
    [anon_sym_QMARK] = ACTIONS(2926),
    [anon_sym_QMARK2] = ACTIONS(2924),
    [anon_sym_AMP] = ACTIONS(2924),
    [aux_sym_custom_operator_token1] = ACTIONS(2924),
    [anon_sym_LT] = ACTIONS(2926),
    [anon_sym_GT] = ACTIONS(2926),
    [anon_sym_LBRACE] = ACTIONS(2924),
    [anon_sym_CARET_LBRACE] = ACTIONS(2924),
    [anon_sym_RBRACE] = ACTIONS(2924),
    [anon_sym_case] = ACTIONS(2924),
    [anon_sym_fallthrough] = ACTIONS(2924),
    [anon_sym_PLUS_EQ] = ACTIONS(2924),
    [anon_sym_DASH_EQ] = ACTIONS(2924),
    [anon_sym_STAR_EQ] = ACTIONS(2924),
    [anon_sym_SLASH_EQ] = ACTIONS(2924),
    [anon_sym_PERCENT_EQ] = ACTIONS(2924),
    [anon_sym_BANG_EQ] = ACTIONS(2926),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2924),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2924),
    [anon_sym_LT_EQ] = ACTIONS(2924),
    [anon_sym_GT_EQ] = ACTIONS(2924),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2924),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2924),
    [anon_sym_is] = ACTIONS(2924),
    [anon_sym_PLUS] = ACTIONS(2926),
    [anon_sym_DASH] = ACTIONS(2926),
    [anon_sym_STAR] = ACTIONS(2926),
    [anon_sym_SLASH] = ACTIONS(2926),
    [anon_sym_PERCENT] = ACTIONS(2926),
    [anon_sym_PLUS_PLUS] = ACTIONS(2924),
    [anon_sym_DASH_DASH] = ACTIONS(2924),
    [anon_sym_PIPE] = ACTIONS(2924),
    [anon_sym_CARET] = ACTIONS(2926),
    [anon_sym_LT_LT] = ACTIONS(2924),
    [anon_sym_GT_GT] = ACTIONS(2924),
    [anon_sym_class] = ACTIONS(2924),
    [anon_sym_BANG2] = ACTIONS(2926),
    [anon_sym_prefix] = ACTIONS(2924),
    [anon_sym_infix] = ACTIONS(2924),
    [anon_sym_postfix] = ACTIONS(2924),
    [anon_sym_AT] = ACTIONS(2926),
    [anon_sym_override] = ACTIONS(2924),
    [anon_sym_convenience] = ACTIONS(2924),
    [anon_sym_required] = ACTIONS(2924),
    [anon_sym_nonisolated] = ACTIONS(2924),
    [anon_sym_public] = ACTIONS(2924),
    [anon_sym_private] = ACTIONS(2924),
    [anon_sym_internal] = ACTIONS(2924),
    [anon_sym_fileprivate] = ACTIONS(2924),
    [anon_sym_open] = ACTIONS(2924),
    [anon_sym_mutating] = ACTIONS(2924),
    [anon_sym_nonmutating] = ACTIONS(2924),
    [anon_sym_static] = ACTIONS(2924),
    [anon_sym_dynamic] = ACTIONS(2924),
    [anon_sym_optional] = ACTIONS(2924),
    [anon_sym_distributed] = ACTIONS(2924),
    [anon_sym_final] = ACTIONS(2924),
    [anon_sym_inout] = ACTIONS(2924),
    [anon_sym_ATescaping] = ACTIONS(2924),
    [anon_sym_ATautoclosure] = ACTIONS(2924),
    [anon_sym_weak] = ACTIONS(2924),
    [anon_sym_unowned] = ACTIONS(2926),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2924),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2924),
    [anon_sym_borrowing] = ACTIONS(2924),
    [anon_sym_consuming] = ACTIONS(2924),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2924),
    [sym__explicit_semi] = ACTIONS(2924),
    [sym__arrow_operator_custom] = ACTIONS(2924),
    [sym__dot_custom] = ACTIONS(2924),
    [sym__conjunction_operator_custom] = ACTIONS(2924),
    [sym__disjunction_operator_custom] = ACTIONS(2924),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2924),
    [sym__eq_custom] = ACTIONS(2924),
    [sym__eq_eq_custom] = ACTIONS(2924),
    [sym__plus_then_ws] = ACTIONS(2924),
    [sym__minus_then_ws] = ACTIONS(2924),
    [sym__bang_custom] = ACTIONS(2924),
    [sym__throws_keyword] = ACTIONS(2924),
    [sym__rethrows_keyword] = ACTIONS(2924),
    [sym_default_keyword] = ACTIONS(2924),
    [sym_where_keyword] = ACTIONS(2924),
    [sym__as_custom] = ACTIONS(2924),
    [sym__as_quest_custom] = ACTIONS(2924),
    [sym__as_bang_custom] = ACTIONS(2924),
    [sym__async_keyword_custom] = ACTIONS(2924),
    [sym__custom_operator] = ACTIONS(2924),
  },
  [962] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(2987),
    [anon_sym_package] = ACTIONS(2987),
    [anon_sym_COMMA] = ACTIONS(2987),
    [anon_sym_LPAREN] = ACTIONS(2987),
    [anon_sym_LBRACK] = ACTIONS(2987),
    [anon_sym_DOT] = ACTIONS(2989),
    [anon_sym_QMARK] = ACTIONS(2989),
    [anon_sym_QMARK2] = ACTIONS(2987),
    [anon_sym_AMP] = ACTIONS(2987),
    [aux_sym_custom_operator_token1] = ACTIONS(2987),
    [anon_sym_LT] = ACTIONS(2989),
    [anon_sym_GT] = ACTIONS(2989),
    [anon_sym_LBRACE] = ACTIONS(2987),
    [anon_sym_CARET_LBRACE] = ACTIONS(2987),
    [anon_sym_RBRACE] = ACTIONS(2987),
    [anon_sym_case] = ACTIONS(2987),
    [anon_sym_fallthrough] = ACTIONS(2987),
    [anon_sym_PLUS_EQ] = ACTIONS(2987),
    [anon_sym_DASH_EQ] = ACTIONS(2987),
    [anon_sym_STAR_EQ] = ACTIONS(2987),
    [anon_sym_SLASH_EQ] = ACTIONS(2987),
    [anon_sym_PERCENT_EQ] = ACTIONS(2987),
    [anon_sym_BANG_EQ] = ACTIONS(2989),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2987),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2987),
    [anon_sym_LT_EQ] = ACTIONS(2987),
    [anon_sym_GT_EQ] = ACTIONS(2987),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2987),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2987),
    [anon_sym_is] = ACTIONS(2987),
    [anon_sym_PLUS] = ACTIONS(2989),
    [anon_sym_DASH] = ACTIONS(2989),
    [anon_sym_STAR] = ACTIONS(2989),
    [anon_sym_SLASH] = ACTIONS(2989),
    [anon_sym_PERCENT] = ACTIONS(2989),
    [anon_sym_PLUS_PLUS] = ACTIONS(2987),
    [anon_sym_DASH_DASH] = ACTIONS(2987),
    [anon_sym_PIPE] = ACTIONS(2987),
    [anon_sym_CARET] = ACTIONS(2989),
    [anon_sym_LT_LT] = ACTIONS(2987),
    [anon_sym_GT_GT] = ACTIONS(2987),
    [anon_sym_class] = ACTIONS(2987),
    [anon_sym_BANG2] = ACTIONS(2989),
    [anon_sym_prefix] = ACTIONS(2987),
    [anon_sym_infix] = ACTIONS(2987),
    [anon_sym_postfix] = ACTIONS(2987),
    [anon_sym_AT] = ACTIONS(2989),
    [anon_sym_override] = ACTIONS(2987),
    [anon_sym_convenience] = ACTIONS(2987),
    [anon_sym_required] = ACTIONS(2987),
    [anon_sym_nonisolated] = ACTIONS(2987),
    [anon_sym_public] = ACTIONS(2987),
    [anon_sym_private] = ACTIONS(2987),
    [anon_sym_internal] = ACTIONS(2987),
    [anon_sym_fileprivate] = ACTIONS(2987),
    [anon_sym_open] = ACTIONS(2987),
    [anon_sym_mutating] = ACTIONS(2987),
    [anon_sym_nonmutating] = ACTIONS(2987),
    [anon_sym_static] = ACTIONS(2987),
    [anon_sym_dynamic] = ACTIONS(2987),
    [anon_sym_optional] = ACTIONS(2987),
    [anon_sym_distributed] = ACTIONS(2987),
    [anon_sym_final] = ACTIONS(2987),
    [anon_sym_inout] = ACTIONS(2987),
    [anon_sym_ATescaping] = ACTIONS(2987),
    [anon_sym_ATautoclosure] = ACTIONS(2987),
    [anon_sym_weak] = ACTIONS(2987),
    [anon_sym_unowned] = ACTIONS(2989),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2987),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2987),
    [anon_sym_borrowing] = ACTIONS(2987),
    [anon_sym_consuming] = ACTIONS(2987),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2987),
    [sym__explicit_semi] = ACTIONS(2987),
    [sym__arrow_operator_custom] = ACTIONS(2987),
    [sym__dot_custom] = ACTIONS(2987),
    [sym__conjunction_operator_custom] = ACTIONS(2987),
    [sym__disjunction_operator_custom] = ACTIONS(2987),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2987),
    [sym__eq_custom] = ACTIONS(2987),
    [sym__eq_eq_custom] = ACTIONS(2987),
    [sym__plus_then_ws] = ACTIONS(2987),
    [sym__minus_then_ws] = ACTIONS(2987),
    [sym__bang_custom] = ACTIONS(2987),
    [sym__throws_keyword] = ACTIONS(2987),
    [sym__rethrows_keyword] = ACTIONS(2987),
    [sym_default_keyword] = ACTIONS(2987),
    [sym_where_keyword] = ACTIONS(2987),
    [sym__as_custom] = ACTIONS(2987),
    [sym__as_quest_custom] = ACTIONS(2987),
    [sym__as_bang_custom] = ACTIONS(2987),
    [sym__async_keyword_custom] = ACTIONS(2987),
    [sym__custom_operator] = ACTIONS(2987),
  },
  [963] = {
    [aux_sym_protocol_composition_type_repeat1] = STATE(963),
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(2892),
    [anon_sym_package] = ACTIONS(2892),
    [anon_sym_COMMA] = ACTIONS(2892),
    [anon_sym_LPAREN] = ACTIONS(2892),
    [anon_sym_LBRACK] = ACTIONS(2892),
    [anon_sym_DOT] = ACTIONS(2894),
    [anon_sym_QMARK] = ACTIONS(2894),
    [anon_sym_QMARK2] = ACTIONS(2892),
    [anon_sym_AMP] = ACTIONS(3546),
    [aux_sym_custom_operator_token1] = ACTIONS(2892),
    [anon_sym_LT] = ACTIONS(2894),
    [anon_sym_GT] = ACTIONS(2894),
    [anon_sym_LBRACE] = ACTIONS(2892),
    [anon_sym_CARET_LBRACE] = ACTIONS(2892),
    [anon_sym_RBRACE] = ACTIONS(2892),
    [anon_sym_case] = ACTIONS(2892),
    [anon_sym_fallthrough] = ACTIONS(2892),
    [anon_sym_PLUS_EQ] = ACTIONS(2892),
    [anon_sym_DASH_EQ] = ACTIONS(2892),
    [anon_sym_STAR_EQ] = ACTIONS(2892),
    [anon_sym_SLASH_EQ] = ACTIONS(2892),
    [anon_sym_PERCENT_EQ] = ACTIONS(2892),
    [anon_sym_BANG_EQ] = ACTIONS(2894),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2892),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2892),
    [anon_sym_LT_EQ] = ACTIONS(2892),
    [anon_sym_GT_EQ] = ACTIONS(2892),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2892),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2892),
    [anon_sym_is] = ACTIONS(2892),
    [anon_sym_PLUS] = ACTIONS(2894),
    [anon_sym_DASH] = ACTIONS(2894),
    [anon_sym_STAR] = ACTIONS(2894),
    [anon_sym_SLASH] = ACTIONS(2894),
    [anon_sym_PERCENT] = ACTIONS(2894),
    [anon_sym_PLUS_PLUS] = ACTIONS(2892),
    [anon_sym_DASH_DASH] = ACTIONS(2892),
    [anon_sym_PIPE] = ACTIONS(2892),
    [anon_sym_CARET] = ACTIONS(2894),
    [anon_sym_LT_LT] = ACTIONS(2892),
    [anon_sym_GT_GT] = ACTIONS(2892),
    [anon_sym_class] = ACTIONS(2892),
    [anon_sym_BANG2] = ACTIONS(2894),
    [anon_sym_prefix] = ACTIONS(2892),
    [anon_sym_infix] = ACTIONS(2892),
    [anon_sym_postfix] = ACTIONS(2892),
    [anon_sym_AT] = ACTIONS(2894),
    [anon_sym_override] = ACTIONS(2892),
    [anon_sym_convenience] = ACTIONS(2892),
    [anon_sym_required] = ACTIONS(2892),
    [anon_sym_nonisolated] = ACTIONS(2892),
    [anon_sym_public] = ACTIONS(2892),
    [anon_sym_private] = ACTIONS(2892),
    [anon_sym_internal] = ACTIONS(2892),
    [anon_sym_fileprivate] = ACTIONS(2892),
    [anon_sym_open] = ACTIONS(2892),
    [anon_sym_mutating] = ACTIONS(2892),
    [anon_sym_nonmutating] = ACTIONS(2892),
    [anon_sym_static] = ACTIONS(2892),
    [anon_sym_dynamic] = ACTIONS(2892),
    [anon_sym_optional] = ACTIONS(2892),
    [anon_sym_distributed] = ACTIONS(2892),
    [anon_sym_final] = ACTIONS(2892),
    [anon_sym_inout] = ACTIONS(2892),
    [anon_sym_ATescaping] = ACTIONS(2892),
    [anon_sym_ATautoclosure] = ACTIONS(2892),
    [anon_sym_weak] = ACTIONS(2892),
    [anon_sym_unowned] = ACTIONS(2894),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2892),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2892),
    [anon_sym_borrowing] = ACTIONS(2892),
    [anon_sym_consuming] = ACTIONS(2892),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2892),
    [sym__explicit_semi] = ACTIONS(2892),
    [sym__arrow_operator_custom] = ACTIONS(2892),
    [sym__dot_custom] = ACTIONS(2892),
    [sym__conjunction_operator_custom] = ACTIONS(2892),
    [sym__disjunction_operator_custom] = ACTIONS(2892),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2892),
    [sym__eq_custom] = ACTIONS(2892),
    [sym__eq_eq_custom] = ACTIONS(2892),
    [sym__plus_then_ws] = ACTIONS(2892),
    [sym__minus_then_ws] = ACTIONS(2892),
    [sym__bang_custom] = ACTIONS(2892),
    [sym__throws_keyword] = ACTIONS(2892),
    [sym__rethrows_keyword] = ACTIONS(2892),
    [sym_default_keyword] = ACTIONS(2892),
    [sym__as_custom] = ACTIONS(2892),
    [sym__as_quest_custom] = ACTIONS(2892),
    [sym__as_bang_custom] = ACTIONS(2892),
    [sym__async_keyword_custom] = ACTIONS(2892),
    [sym__custom_operator] = ACTIONS(2892),
  },
  [964] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(2971),
    [anon_sym_package] = ACTIONS(2971),
    [anon_sym_COMMA] = ACTIONS(2971),
    [anon_sym_LPAREN] = ACTIONS(2971),
    [anon_sym_LBRACK] = ACTIONS(2971),
    [anon_sym_DOT] = ACTIONS(2973),
    [anon_sym_QMARK] = ACTIONS(2973),
    [anon_sym_QMARK2] = ACTIONS(2971),
    [anon_sym_AMP] = ACTIONS(2971),
    [aux_sym_custom_operator_token1] = ACTIONS(2971),
    [anon_sym_LT] = ACTIONS(2973),
    [anon_sym_GT] = ACTIONS(2973),
    [anon_sym_LBRACE] = ACTIONS(2971),
    [anon_sym_CARET_LBRACE] = ACTIONS(2971),
    [anon_sym_RBRACE] = ACTIONS(2971),
    [anon_sym_case] = ACTIONS(2971),
    [anon_sym_fallthrough] = ACTIONS(2971),
    [anon_sym_PLUS_EQ] = ACTIONS(2971),
    [anon_sym_DASH_EQ] = ACTIONS(2971),
    [anon_sym_STAR_EQ] = ACTIONS(2971),
    [anon_sym_SLASH_EQ] = ACTIONS(2971),
    [anon_sym_PERCENT_EQ] = ACTIONS(2971),
    [anon_sym_BANG_EQ] = ACTIONS(2973),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2971),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2971),
    [anon_sym_LT_EQ] = ACTIONS(2971),
    [anon_sym_GT_EQ] = ACTIONS(2971),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2971),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2971),
    [anon_sym_is] = ACTIONS(2971),
    [anon_sym_PLUS] = ACTIONS(2973),
    [anon_sym_DASH] = ACTIONS(2973),
    [anon_sym_STAR] = ACTIONS(2973),
    [anon_sym_SLASH] = ACTIONS(2973),
    [anon_sym_PERCENT] = ACTIONS(2973),
    [anon_sym_PLUS_PLUS] = ACTIONS(2971),
    [anon_sym_DASH_DASH] = ACTIONS(2971),
    [anon_sym_PIPE] = ACTIONS(2971),
    [anon_sym_CARET] = ACTIONS(2973),
    [anon_sym_LT_LT] = ACTIONS(2971),
    [anon_sym_GT_GT] = ACTIONS(2971),
    [anon_sym_class] = ACTIONS(2971),
    [anon_sym_BANG2] = ACTIONS(2973),
    [anon_sym_prefix] = ACTIONS(2971),
    [anon_sym_infix] = ACTIONS(2971),
    [anon_sym_postfix] = ACTIONS(2971),
    [anon_sym_AT] = ACTIONS(2973),
    [anon_sym_override] = ACTIONS(2971),
    [anon_sym_convenience] = ACTIONS(2971),
    [anon_sym_required] = ACTIONS(2971),
    [anon_sym_nonisolated] = ACTIONS(2971),
    [anon_sym_public] = ACTIONS(2971),
    [anon_sym_private] = ACTIONS(2971),
    [anon_sym_internal] = ACTIONS(2971),
    [anon_sym_fileprivate] = ACTIONS(2971),
    [anon_sym_open] = ACTIONS(2971),
    [anon_sym_mutating] = ACTIONS(2971),
    [anon_sym_nonmutating] = ACTIONS(2971),
    [anon_sym_static] = ACTIONS(2971),
    [anon_sym_dynamic] = ACTIONS(2971),
    [anon_sym_optional] = ACTIONS(2971),
    [anon_sym_distributed] = ACTIONS(2971),
    [anon_sym_final] = ACTIONS(2971),
    [anon_sym_inout] = ACTIONS(2971),
    [anon_sym_ATescaping] = ACTIONS(2971),
    [anon_sym_ATautoclosure] = ACTIONS(2971),
    [anon_sym_weak] = ACTIONS(2971),
    [anon_sym_unowned] = ACTIONS(2973),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2971),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2971),
    [anon_sym_borrowing] = ACTIONS(2971),
    [anon_sym_consuming] = ACTIONS(2971),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2971),
    [sym__explicit_semi] = ACTIONS(2971),
    [sym__arrow_operator_custom] = ACTIONS(2971),
    [sym__dot_custom] = ACTIONS(2971),
    [sym__conjunction_operator_custom] = ACTIONS(2971),
    [sym__disjunction_operator_custom] = ACTIONS(2971),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2971),
    [sym__eq_custom] = ACTIONS(2971),
    [sym__eq_eq_custom] = ACTIONS(2971),
    [sym__plus_then_ws] = ACTIONS(2971),
    [sym__minus_then_ws] = ACTIONS(2971),
    [sym__bang_custom] = ACTIONS(2971),
    [sym__throws_keyword] = ACTIONS(2971),
    [sym__rethrows_keyword] = ACTIONS(2971),
    [sym_default_keyword] = ACTIONS(2971),
    [sym_where_keyword] = ACTIONS(2971),
    [sym__as_custom] = ACTIONS(2971),
    [sym__as_quest_custom] = ACTIONS(2971),
    [sym__as_bang_custom] = ACTIONS(2971),
    [sym__async_keyword_custom] = ACTIONS(2971),
    [sym__custom_operator] = ACTIONS(2971),
  },
  [965] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(2955),
    [anon_sym_package] = ACTIONS(2955),
    [anon_sym_COMMA] = ACTIONS(2955),
    [anon_sym_LPAREN] = ACTIONS(2955),
    [anon_sym_LBRACK] = ACTIONS(2955),
    [anon_sym_DOT] = ACTIONS(2957),
    [anon_sym_QMARK] = ACTIONS(2957),
    [anon_sym_QMARK2] = ACTIONS(2955),
    [anon_sym_AMP] = ACTIONS(2955),
    [aux_sym_custom_operator_token1] = ACTIONS(2955),
    [anon_sym_LT] = ACTIONS(2957),
    [anon_sym_GT] = ACTIONS(2957),
    [anon_sym_LBRACE] = ACTIONS(2955),
    [anon_sym_CARET_LBRACE] = ACTIONS(2955),
    [anon_sym_RBRACE] = ACTIONS(2955),
    [anon_sym_case] = ACTIONS(2955),
    [anon_sym_fallthrough] = ACTIONS(2955),
    [anon_sym_PLUS_EQ] = ACTIONS(2955),
    [anon_sym_DASH_EQ] = ACTIONS(2955),
    [anon_sym_STAR_EQ] = ACTIONS(2955),
    [anon_sym_SLASH_EQ] = ACTIONS(2955),
    [anon_sym_PERCENT_EQ] = ACTIONS(2955),
    [anon_sym_BANG_EQ] = ACTIONS(2957),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2955),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2955),
    [anon_sym_LT_EQ] = ACTIONS(2955),
    [anon_sym_GT_EQ] = ACTIONS(2955),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2955),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2955),
    [anon_sym_is] = ACTIONS(2955),
    [anon_sym_PLUS] = ACTIONS(2957),
    [anon_sym_DASH] = ACTIONS(2957),
    [anon_sym_STAR] = ACTIONS(2957),
    [anon_sym_SLASH] = ACTIONS(2957),
    [anon_sym_PERCENT] = ACTIONS(2957),
    [anon_sym_PLUS_PLUS] = ACTIONS(2955),
    [anon_sym_DASH_DASH] = ACTIONS(2955),
    [anon_sym_PIPE] = ACTIONS(2955),
    [anon_sym_CARET] = ACTIONS(2957),
    [anon_sym_LT_LT] = ACTIONS(2955),
    [anon_sym_GT_GT] = ACTIONS(2955),
    [anon_sym_class] = ACTIONS(2955),
    [anon_sym_BANG2] = ACTIONS(2957),
    [anon_sym_prefix] = ACTIONS(2955),
    [anon_sym_infix] = ACTIONS(2955),
    [anon_sym_postfix] = ACTIONS(2955),
    [anon_sym_AT] = ACTIONS(2957),
    [anon_sym_override] = ACTIONS(2955),
    [anon_sym_convenience] = ACTIONS(2955),
    [anon_sym_required] = ACTIONS(2955),
    [anon_sym_nonisolated] = ACTIONS(2955),
    [anon_sym_public] = ACTIONS(2955),
    [anon_sym_private] = ACTIONS(2955),
    [anon_sym_internal] = ACTIONS(2955),
    [anon_sym_fileprivate] = ACTIONS(2955),
    [anon_sym_open] = ACTIONS(2955),
    [anon_sym_mutating] = ACTIONS(2955),
    [anon_sym_nonmutating] = ACTIONS(2955),
    [anon_sym_static] = ACTIONS(2955),
    [anon_sym_dynamic] = ACTIONS(2955),
    [anon_sym_optional] = ACTIONS(2955),
    [anon_sym_distributed] = ACTIONS(2955),
    [anon_sym_final] = ACTIONS(2955),
    [anon_sym_inout] = ACTIONS(2955),
    [anon_sym_ATescaping] = ACTIONS(2955),
    [anon_sym_ATautoclosure] = ACTIONS(2955),
    [anon_sym_weak] = ACTIONS(2955),
    [anon_sym_unowned] = ACTIONS(2957),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2955),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2955),
    [anon_sym_borrowing] = ACTIONS(2955),
    [anon_sym_consuming] = ACTIONS(2955),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2955),
    [sym__explicit_semi] = ACTIONS(2955),
    [sym__arrow_operator_custom] = ACTIONS(2955),
    [sym__dot_custom] = ACTIONS(2955),
    [sym__conjunction_operator_custom] = ACTIONS(2955),
    [sym__disjunction_operator_custom] = ACTIONS(2955),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2955),
    [sym__eq_custom] = ACTIONS(2955),
    [sym__eq_eq_custom] = ACTIONS(2955),
    [sym__plus_then_ws] = ACTIONS(2955),
    [sym__minus_then_ws] = ACTIONS(2955),
    [sym__bang_custom] = ACTIONS(2955),
    [sym__throws_keyword] = ACTIONS(2955),
    [sym__rethrows_keyword] = ACTIONS(2955),
    [sym_default_keyword] = ACTIONS(2955),
    [sym_where_keyword] = ACTIONS(2955),
    [sym__as_custom] = ACTIONS(2955),
    [sym__as_quest_custom] = ACTIONS(2955),
    [sym__as_bang_custom] = ACTIONS(2955),
    [sym__async_keyword_custom] = ACTIONS(2955),
    [sym__custom_operator] = ACTIONS(2955),
  },
  [966] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(2975),
    [anon_sym_package] = ACTIONS(2975),
    [anon_sym_COMMA] = ACTIONS(2975),
    [anon_sym_LPAREN] = ACTIONS(2975),
    [anon_sym_LBRACK] = ACTIONS(2975),
    [anon_sym_DOT] = ACTIONS(2977),
    [anon_sym_QMARK] = ACTIONS(2977),
    [anon_sym_QMARK2] = ACTIONS(2975),
    [anon_sym_AMP] = ACTIONS(2975),
    [aux_sym_custom_operator_token1] = ACTIONS(2975),
    [anon_sym_LT] = ACTIONS(2977),
    [anon_sym_GT] = ACTIONS(2977),
    [anon_sym_LBRACE] = ACTIONS(2975),
    [anon_sym_CARET_LBRACE] = ACTIONS(2975),
    [anon_sym_RBRACE] = ACTIONS(2975),
    [anon_sym_case] = ACTIONS(2975),
    [anon_sym_fallthrough] = ACTIONS(2975),
    [anon_sym_PLUS_EQ] = ACTIONS(2975),
    [anon_sym_DASH_EQ] = ACTIONS(2975),
    [anon_sym_STAR_EQ] = ACTIONS(2975),
    [anon_sym_SLASH_EQ] = ACTIONS(2975),
    [anon_sym_PERCENT_EQ] = ACTIONS(2975),
    [anon_sym_BANG_EQ] = ACTIONS(2977),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2975),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(2975),
    [anon_sym_GT_EQ] = ACTIONS(2975),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2975),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2975),
    [anon_sym_is] = ACTIONS(2975),
    [anon_sym_PLUS] = ACTIONS(2977),
    [anon_sym_DASH] = ACTIONS(2977),
    [anon_sym_STAR] = ACTIONS(2977),
    [anon_sym_SLASH] = ACTIONS(2977),
    [anon_sym_PERCENT] = ACTIONS(2977),
    [anon_sym_PLUS_PLUS] = ACTIONS(2975),
    [anon_sym_DASH_DASH] = ACTIONS(2975),
    [anon_sym_PIPE] = ACTIONS(2975),
    [anon_sym_CARET] = ACTIONS(2977),
    [anon_sym_LT_LT] = ACTIONS(2975),
    [anon_sym_GT_GT] = ACTIONS(2975),
    [anon_sym_class] = ACTIONS(2975),
    [anon_sym_BANG2] = ACTIONS(2977),
    [anon_sym_prefix] = ACTIONS(2975),
    [anon_sym_infix] = ACTIONS(2975),
    [anon_sym_postfix] = ACTIONS(2975),
    [anon_sym_AT] = ACTIONS(2977),
    [anon_sym_override] = ACTIONS(2975),
    [anon_sym_convenience] = ACTIONS(2975),
    [anon_sym_required] = ACTIONS(2975),
    [anon_sym_nonisolated] = ACTIONS(2975),
    [anon_sym_public] = ACTIONS(2975),
    [anon_sym_private] = ACTIONS(2975),
    [anon_sym_internal] = ACTIONS(2975),
    [anon_sym_fileprivate] = ACTIONS(2975),
    [anon_sym_open] = ACTIONS(2975),
    [anon_sym_mutating] = ACTIONS(2975),
    [anon_sym_nonmutating] = ACTIONS(2975),
    [anon_sym_static] = ACTIONS(2975),
    [anon_sym_dynamic] = ACTIONS(2975),
    [anon_sym_optional] = ACTIONS(2975),
    [anon_sym_distributed] = ACTIONS(2975),
    [anon_sym_final] = ACTIONS(2975),
    [anon_sym_inout] = ACTIONS(2975),
    [anon_sym_ATescaping] = ACTIONS(2975),
    [anon_sym_ATautoclosure] = ACTIONS(2975),
    [anon_sym_weak] = ACTIONS(2975),
    [anon_sym_unowned] = ACTIONS(2977),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2975),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2975),
    [anon_sym_borrowing] = ACTIONS(2975),
    [anon_sym_consuming] = ACTIONS(2975),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2975),
    [sym__explicit_semi] = ACTIONS(2975),
    [sym__arrow_operator_custom] = ACTIONS(2975),
    [sym__dot_custom] = ACTIONS(2975),
    [sym__conjunction_operator_custom] = ACTIONS(2975),
    [sym__disjunction_operator_custom] = ACTIONS(2975),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2975),
    [sym__eq_custom] = ACTIONS(2975),
    [sym__eq_eq_custom] = ACTIONS(2975),
    [sym__plus_then_ws] = ACTIONS(2975),
    [sym__minus_then_ws] = ACTIONS(2975),
    [sym__bang_custom] = ACTIONS(2975),
    [sym__throws_keyword] = ACTIONS(2975),
    [sym__rethrows_keyword] = ACTIONS(2975),
    [sym_default_keyword] = ACTIONS(2975),
    [sym_where_keyword] = ACTIONS(2975),
    [sym__as_custom] = ACTIONS(2975),
    [sym__as_quest_custom] = ACTIONS(2975),
    [sym__as_bang_custom] = ACTIONS(2975),
    [sym__async_keyword_custom] = ACTIONS(2975),
    [sym__custom_operator] = ACTIONS(2975),
  },
  [967] = {
    [sym__key_path_postfixes] = STATE(967),
    [sym_bang] = STATE(967),
    [aux_sym__key_path_component_repeat1] = STATE(967),
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(2932),
    [anon_sym_package] = ACTIONS(2932),
    [anon_sym_COMMA] = ACTIONS(2932),
    [anon_sym_LPAREN] = ACTIONS(2932),
    [anon_sym_LBRACK] = ACTIONS(3549),
    [anon_sym_DOT] = ACTIONS(2937),
    [anon_sym_QMARK] = ACTIONS(3552),
    [anon_sym_QMARK2] = ACTIONS(2932),
    [anon_sym_AMP] = ACTIONS(2932),
    [aux_sym_custom_operator_token1] = ACTIONS(2932),
    [anon_sym_LT] = ACTIONS(2937),
    [anon_sym_GT] = ACTIONS(2937),
    [anon_sym_LBRACE] = ACTIONS(2932),
    [anon_sym_CARET_LBRACE] = ACTIONS(2932),
    [anon_sym_RBRACE] = ACTIONS(2932),
    [anon_sym_self] = ACTIONS(3555),
    [anon_sym_case] = ACTIONS(2932),
    [anon_sym_fallthrough] = ACTIONS(2932),
    [anon_sym_PLUS_EQ] = ACTIONS(2932),
    [anon_sym_DASH_EQ] = ACTIONS(2932),
    [anon_sym_STAR_EQ] = ACTIONS(2932),
    [anon_sym_SLASH_EQ] = ACTIONS(2932),
    [anon_sym_PERCENT_EQ] = ACTIONS(2932),
    [anon_sym_BANG_EQ] = ACTIONS(2937),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2932),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2932),
    [anon_sym_LT_EQ] = ACTIONS(2932),
    [anon_sym_GT_EQ] = ACTIONS(2932),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2932),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2932),
    [anon_sym_is] = ACTIONS(2932),
    [anon_sym_PLUS] = ACTIONS(2937),
    [anon_sym_DASH] = ACTIONS(2937),
    [anon_sym_STAR] = ACTIONS(2937),
    [anon_sym_SLASH] = ACTIONS(2937),
    [anon_sym_PERCENT] = ACTIONS(2937),
    [anon_sym_PLUS_PLUS] = ACTIONS(2932),
    [anon_sym_DASH_DASH] = ACTIONS(2932),
    [anon_sym_PIPE] = ACTIONS(2932),
    [anon_sym_CARET] = ACTIONS(2937),
    [anon_sym_LT_LT] = ACTIONS(2932),
    [anon_sym_GT_GT] = ACTIONS(2932),
    [anon_sym_class] = ACTIONS(2932),
    [anon_sym_BANG2] = ACTIONS(3558),
    [anon_sym_prefix] = ACTIONS(2932),
    [anon_sym_infix] = ACTIONS(2932),
    [anon_sym_postfix] = ACTIONS(2932),
    [anon_sym_AT] = ACTIONS(2937),
    [anon_sym_override] = ACTIONS(2932),
    [anon_sym_convenience] = ACTIONS(2932),
    [anon_sym_required] = ACTIONS(2932),
    [anon_sym_nonisolated] = ACTIONS(2932),
    [anon_sym_public] = ACTIONS(2932),
    [anon_sym_private] = ACTIONS(2932),
    [anon_sym_internal] = ACTIONS(2932),
    [anon_sym_fileprivate] = ACTIONS(2932),
    [anon_sym_open] = ACTIONS(2932),
    [anon_sym_mutating] = ACTIONS(2932),
    [anon_sym_nonmutating] = ACTIONS(2932),
    [anon_sym_static] = ACTIONS(2932),
    [anon_sym_dynamic] = ACTIONS(2932),
    [anon_sym_optional] = ACTIONS(2932),
    [anon_sym_distributed] = ACTIONS(2932),
    [anon_sym_final] = ACTIONS(2932),
    [anon_sym_inout] = ACTIONS(2932),
    [anon_sym_ATescaping] = ACTIONS(2932),
    [anon_sym_ATautoclosure] = ACTIONS(2932),
    [anon_sym_weak] = ACTIONS(2932),
    [anon_sym_unowned] = ACTIONS(2937),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2932),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2932),
    [anon_sym_borrowing] = ACTIONS(2932),
    [anon_sym_consuming] = ACTIONS(2932),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2932),
    [sym__explicit_semi] = ACTIONS(2932),
    [sym__dot_custom] = ACTIONS(2932),
    [sym__conjunction_operator_custom] = ACTIONS(2932),
    [sym__disjunction_operator_custom] = ACTIONS(2932),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2932),
    [sym__eq_custom] = ACTIONS(2932),
    [sym__eq_eq_custom] = ACTIONS(2932),
    [sym__plus_then_ws] = ACTIONS(2932),
    [sym__minus_then_ws] = ACTIONS(2932),
    [sym__bang_custom] = ACTIONS(3561),
    [sym_default_keyword] = ACTIONS(2932),
    [sym__as_custom] = ACTIONS(2932),
    [sym__as_quest_custom] = ACTIONS(2932),
    [sym__as_bang_custom] = ACTIONS(2932),
    [sym__custom_operator] = ACTIONS(2932),
  },
  [968] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(2924),
    [anon_sym_package] = ACTIONS(2924),
    [anon_sym_COMMA] = ACTIONS(2924),
    [anon_sym_LPAREN] = ACTIONS(2924),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_DOT] = ACTIONS(2926),
    [anon_sym_QMARK] = ACTIONS(2926),
    [anon_sym_QMARK2] = ACTIONS(2924),
    [anon_sym_AMP] = ACTIONS(2924),
    [aux_sym_custom_operator_token1] = ACTIONS(2924),
    [anon_sym_LT] = ACTIONS(2926),
    [anon_sym_GT] = ACTIONS(2926),
    [anon_sym_LBRACE] = ACTIONS(2924),
    [anon_sym_CARET_LBRACE] = ACTIONS(2924),
    [anon_sym_RBRACE] = ACTIONS(2924),
    [anon_sym_case] = ACTIONS(2924),
    [anon_sym_fallthrough] = ACTIONS(2924),
    [anon_sym_PLUS_EQ] = ACTIONS(2924),
    [anon_sym_DASH_EQ] = ACTIONS(2924),
    [anon_sym_STAR_EQ] = ACTIONS(2924),
    [anon_sym_SLASH_EQ] = ACTIONS(2924),
    [anon_sym_PERCENT_EQ] = ACTIONS(2924),
    [anon_sym_BANG_EQ] = ACTIONS(2926),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2924),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2924),
    [anon_sym_LT_EQ] = ACTIONS(2924),
    [anon_sym_GT_EQ] = ACTIONS(2924),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2924),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2924),
    [anon_sym_is] = ACTIONS(2924),
    [anon_sym_PLUS] = ACTIONS(2926),
    [anon_sym_DASH] = ACTIONS(2926),
    [anon_sym_STAR] = ACTIONS(2926),
    [anon_sym_SLASH] = ACTIONS(2926),
    [anon_sym_PERCENT] = ACTIONS(2926),
    [anon_sym_PLUS_PLUS] = ACTIONS(2924),
    [anon_sym_DASH_DASH] = ACTIONS(2924),
    [anon_sym_PIPE] = ACTIONS(2924),
    [anon_sym_CARET] = ACTIONS(2926),
    [anon_sym_LT_LT] = ACTIONS(2924),
    [anon_sym_GT_GT] = ACTIONS(2924),
    [anon_sym_class] = ACTIONS(2924),
    [anon_sym_BANG2] = ACTIONS(2926),
    [anon_sym_prefix] = ACTIONS(2924),
    [anon_sym_infix] = ACTIONS(2924),
    [anon_sym_postfix] = ACTIONS(2924),
    [anon_sym_AT] = ACTIONS(2926),
    [anon_sym_override] = ACTIONS(2924),
    [anon_sym_convenience] = ACTIONS(2924),
    [anon_sym_required] = ACTIONS(2924),
    [anon_sym_nonisolated] = ACTIONS(2924),
    [anon_sym_public] = ACTIONS(2924),
    [anon_sym_private] = ACTIONS(2924),
    [anon_sym_internal] = ACTIONS(2924),
    [anon_sym_fileprivate] = ACTIONS(2924),
    [anon_sym_open] = ACTIONS(2924),
    [anon_sym_mutating] = ACTIONS(2924),
    [anon_sym_nonmutating] = ACTIONS(2924),
    [anon_sym_static] = ACTIONS(2924),
    [anon_sym_dynamic] = ACTIONS(2924),
    [anon_sym_optional] = ACTIONS(2924),
    [anon_sym_distributed] = ACTIONS(2924),
    [anon_sym_final] = ACTIONS(2924),
    [anon_sym_inout] = ACTIONS(2924),
    [anon_sym_ATescaping] = ACTIONS(2924),
    [anon_sym_ATautoclosure] = ACTIONS(2924),
    [anon_sym_weak] = ACTIONS(2924),
    [anon_sym_unowned] = ACTIONS(2926),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2924),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2924),
    [anon_sym_borrowing] = ACTIONS(2924),
    [anon_sym_consuming] = ACTIONS(2924),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2924),
    [sym__explicit_semi] = ACTIONS(2924),
    [sym__arrow_operator_custom] = ACTIONS(2924),
    [sym__dot_custom] = ACTIONS(2924),
    [sym__conjunction_operator_custom] = ACTIONS(2924),
    [sym__disjunction_operator_custom] = ACTIONS(2924),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2924),
    [sym__eq_custom] = ACTIONS(2924),
    [sym__eq_eq_custom] = ACTIONS(2924),
    [sym__plus_then_ws] = ACTIONS(2924),
    [sym__minus_then_ws] = ACTIONS(2924),
    [sym__bang_custom] = ACTIONS(2924),
    [sym__throws_keyword] = ACTIONS(2924),
    [sym__rethrows_keyword] = ACTIONS(2924),
    [sym_default_keyword] = ACTIONS(2924),
    [sym__as_custom] = ACTIONS(2924),
    [sym__as_quest_custom] = ACTIONS(2924),
    [sym__as_bang_custom] = ACTIONS(2924),
    [sym__async_keyword_custom] = ACTIONS(2924),
    [sym__custom_operator] = ACTIONS(2924),
  },
  [969] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(2914),
    [anon_sym_package] = ACTIONS(2914),
    [anon_sym_COMMA] = ACTIONS(2914),
    [anon_sym_LPAREN] = ACTIONS(2914),
    [anon_sym_LBRACK] = ACTIONS(2914),
    [anon_sym_DOT] = ACTIONS(2916),
    [anon_sym_QMARK] = ACTIONS(2916),
    [anon_sym_QMARK2] = ACTIONS(2914),
    [anon_sym_AMP] = ACTIONS(2914),
    [aux_sym_custom_operator_token1] = ACTIONS(2914),
    [anon_sym_LT] = ACTIONS(2916),
    [anon_sym_GT] = ACTIONS(2916),
    [anon_sym_LBRACE] = ACTIONS(2914),
    [anon_sym_CARET_LBRACE] = ACTIONS(2914),
    [anon_sym_RBRACE] = ACTIONS(2914),
    [anon_sym_case] = ACTIONS(2914),
    [anon_sym_fallthrough] = ACTIONS(2914),
    [anon_sym_PLUS_EQ] = ACTIONS(2914),
    [anon_sym_DASH_EQ] = ACTIONS(2914),
    [anon_sym_STAR_EQ] = ACTIONS(2914),
    [anon_sym_SLASH_EQ] = ACTIONS(2914),
    [anon_sym_PERCENT_EQ] = ACTIONS(2914),
    [anon_sym_BANG_EQ] = ACTIONS(2916),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2914),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2914),
    [anon_sym_LT_EQ] = ACTIONS(2914),
    [anon_sym_GT_EQ] = ACTIONS(2914),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2914),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2914),
    [anon_sym_is] = ACTIONS(2914),
    [anon_sym_PLUS] = ACTIONS(2916),
    [anon_sym_DASH] = ACTIONS(2916),
    [anon_sym_STAR] = ACTIONS(2916),
    [anon_sym_SLASH] = ACTIONS(2916),
    [anon_sym_PERCENT] = ACTIONS(2916),
    [anon_sym_PLUS_PLUS] = ACTIONS(2914),
    [anon_sym_DASH_DASH] = ACTIONS(2914),
    [anon_sym_PIPE] = ACTIONS(2914),
    [anon_sym_CARET] = ACTIONS(2916),
    [anon_sym_LT_LT] = ACTIONS(2914),
    [anon_sym_GT_GT] = ACTIONS(2914),
    [anon_sym_class] = ACTIONS(2914),
    [anon_sym_BANG2] = ACTIONS(2916),
    [anon_sym_prefix] = ACTIONS(2914),
    [anon_sym_infix] = ACTIONS(2914),
    [anon_sym_postfix] = ACTIONS(2914),
    [anon_sym_AT] = ACTIONS(2916),
    [anon_sym_override] = ACTIONS(2914),
    [anon_sym_convenience] = ACTIONS(2914),
    [anon_sym_required] = ACTIONS(2914),
    [anon_sym_nonisolated] = ACTIONS(2914),
    [anon_sym_public] = ACTIONS(2914),
    [anon_sym_private] = ACTIONS(2914),
    [anon_sym_internal] = ACTIONS(2914),
    [anon_sym_fileprivate] = ACTIONS(2914),
    [anon_sym_open] = ACTIONS(2914),
    [anon_sym_mutating] = ACTIONS(2914),
    [anon_sym_nonmutating] = ACTIONS(2914),
    [anon_sym_static] = ACTIONS(2914),
    [anon_sym_dynamic] = ACTIONS(2914),
    [anon_sym_optional] = ACTIONS(2914),
    [anon_sym_distributed] = ACTIONS(2914),
    [anon_sym_final] = ACTIONS(2914),
    [anon_sym_inout] = ACTIONS(2914),
    [anon_sym_ATescaping] = ACTIONS(2914),
    [anon_sym_ATautoclosure] = ACTIONS(2914),
    [anon_sym_weak] = ACTIONS(2914),
    [anon_sym_unowned] = ACTIONS(2916),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2914),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2914),
    [anon_sym_borrowing] = ACTIONS(2914),
    [anon_sym_consuming] = ACTIONS(2914),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2914),
    [sym__explicit_semi] = ACTIONS(2914),
    [sym__arrow_operator_custom] = ACTIONS(2914),
    [sym__dot_custom] = ACTIONS(2914),
    [sym__conjunction_operator_custom] = ACTIONS(2914),
    [sym__disjunction_operator_custom] = ACTIONS(2914),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2914),
    [sym__eq_custom] = ACTIONS(2914),
    [sym__eq_eq_custom] = ACTIONS(2914),
    [sym__plus_then_ws] = ACTIONS(2914),
    [sym__minus_then_ws] = ACTIONS(2914),
    [sym__bang_custom] = ACTIONS(2914),
    [sym__throws_keyword] = ACTIONS(2914),
    [sym__rethrows_keyword] = ACTIONS(2914),
    [sym_default_keyword] = ACTIONS(2914),
    [sym__as_custom] = ACTIONS(2914),
    [sym__as_quest_custom] = ACTIONS(2914),
    [sym__as_bang_custom] = ACTIONS(2914),
    [sym__async_keyword_custom] = ACTIONS(2914),
    [sym__custom_operator] = ACTIONS(2914),
  },
  [970] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(2951),
    [anon_sym_package] = ACTIONS(2951),
    [anon_sym_COMMA] = ACTIONS(2951),
    [anon_sym_LPAREN] = ACTIONS(2951),
    [anon_sym_LBRACK] = ACTIONS(2951),
    [anon_sym_DOT] = ACTIONS(2953),
    [anon_sym_QMARK] = ACTIONS(2953),
    [anon_sym_QMARK2] = ACTIONS(2951),
    [anon_sym_AMP] = ACTIONS(2951),
    [aux_sym_custom_operator_token1] = ACTIONS(2951),
    [anon_sym_LT] = ACTIONS(2953),
    [anon_sym_GT] = ACTIONS(2953),
    [anon_sym_LBRACE] = ACTIONS(2951),
    [anon_sym_CARET_LBRACE] = ACTIONS(2951),
    [anon_sym_RBRACE] = ACTIONS(2951),
    [anon_sym_case] = ACTIONS(2951),
    [anon_sym_fallthrough] = ACTIONS(2951),
    [anon_sym_PLUS_EQ] = ACTIONS(2951),
    [anon_sym_DASH_EQ] = ACTIONS(2951),
    [anon_sym_STAR_EQ] = ACTIONS(2951),
    [anon_sym_SLASH_EQ] = ACTIONS(2951),
    [anon_sym_PERCENT_EQ] = ACTIONS(2951),
    [anon_sym_BANG_EQ] = ACTIONS(2953),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2951),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2951),
    [anon_sym_LT_EQ] = ACTIONS(2951),
    [anon_sym_GT_EQ] = ACTIONS(2951),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2951),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2951),
    [anon_sym_is] = ACTIONS(2951),
    [anon_sym_PLUS] = ACTIONS(2953),
    [anon_sym_DASH] = ACTIONS(2953),
    [anon_sym_STAR] = ACTIONS(2953),
    [anon_sym_SLASH] = ACTIONS(2953),
    [anon_sym_PERCENT] = ACTIONS(2953),
    [anon_sym_PLUS_PLUS] = ACTIONS(2951),
    [anon_sym_DASH_DASH] = ACTIONS(2951),
    [anon_sym_PIPE] = ACTIONS(2951),
    [anon_sym_CARET] = ACTIONS(2953),
    [anon_sym_LT_LT] = ACTIONS(2951),
    [anon_sym_GT_GT] = ACTIONS(2951),
    [anon_sym_class] = ACTIONS(2951),
    [anon_sym_BANG2] = ACTIONS(2953),
    [anon_sym_prefix] = ACTIONS(2951),
    [anon_sym_infix] = ACTIONS(2951),
    [anon_sym_postfix] = ACTIONS(2951),
    [anon_sym_AT] = ACTIONS(2953),
    [anon_sym_override] = ACTIONS(2951),
    [anon_sym_convenience] = ACTIONS(2951),
    [anon_sym_required] = ACTIONS(2951),
    [anon_sym_nonisolated] = ACTIONS(2951),
    [anon_sym_public] = ACTIONS(2951),
    [anon_sym_private] = ACTIONS(2951),
    [anon_sym_internal] = ACTIONS(2951),
    [anon_sym_fileprivate] = ACTIONS(2951),
    [anon_sym_open] = ACTIONS(2951),
    [anon_sym_mutating] = ACTIONS(2951),
    [anon_sym_nonmutating] = ACTIONS(2951),
    [anon_sym_static] = ACTIONS(2951),
    [anon_sym_dynamic] = ACTIONS(2951),
    [anon_sym_optional] = ACTIONS(2951),
    [anon_sym_distributed] = ACTIONS(2951),
    [anon_sym_final] = ACTIONS(2951),
    [anon_sym_inout] = ACTIONS(2951),
    [anon_sym_ATescaping] = ACTIONS(2951),
    [anon_sym_ATautoclosure] = ACTIONS(2951),
    [anon_sym_weak] = ACTIONS(2951),
    [anon_sym_unowned] = ACTIONS(2953),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2951),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2951),
    [anon_sym_borrowing] = ACTIONS(2951),
    [anon_sym_consuming] = ACTIONS(2951),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2951),
    [sym__explicit_semi] = ACTIONS(2951),
    [sym__arrow_operator_custom] = ACTIONS(2951),
    [sym__dot_custom] = ACTIONS(2951),
    [sym__conjunction_operator_custom] = ACTIONS(2951),
    [sym__disjunction_operator_custom] = ACTIONS(2951),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2951),
    [sym__eq_custom] = ACTIONS(2951),
    [sym__eq_eq_custom] = ACTIONS(2951),
    [sym__plus_then_ws] = ACTIONS(2951),
    [sym__minus_then_ws] = ACTIONS(2951),
    [sym__bang_custom] = ACTIONS(2951),
    [sym__throws_keyword] = ACTIONS(2951),
    [sym__rethrows_keyword] = ACTIONS(2951),
    [sym_default_keyword] = ACTIONS(2951),
    [sym__as_custom] = ACTIONS(2951),
    [sym__as_quest_custom] = ACTIONS(2951),
    [sym__as_bang_custom] = ACTIONS(2951),
    [sym__async_keyword_custom] = ACTIONS(2951),
    [sym__custom_operator] = ACTIONS(2951),
  },
  [971] = {
    [sym_simple_identifier] = STATE(1515),
    [sym__contextual_simple_identifier] = STATE(1508),
    [sym__unannotated_type] = STATE(1563),
    [sym_user_type] = STATE(1521),
    [sym__simple_user_type] = STATE(1579),
    [sym_tuple_type] = STATE(1517),
    [sym_function_type] = STATE(1563),
    [sym_array_type] = STATE(1521),
    [sym_dictionary_type] = STATE(1521),
    [sym_optional_type] = STATE(1563),
    [sym_metatype] = STATE(1563),
    [sym_opaque_type] = STATE(1563),
    [sym_existential_type] = STATE(1563),
    [sym_type_parameter_pack] = STATE(1563),
    [sym_type_pack_expansion] = STATE(1563),
    [sym_protocol_composition_type] = STATE(1563),
    [sym__parenthesized_type] = STATE(1608),
    [sym__parameter_ownership_modifier] = STATE(1508),
    [sym_comment] = ACTIONS(5),
    [aux_sym_simple_identifier_token1] = ACTIONS(3564),
    [aux_sym_simple_identifier_token2] = ACTIONS(3566),
    [aux_sym_simple_identifier_token3] = ACTIONS(3566),
    [aux_sym_simple_identifier_token4] = ACTIONS(3566),
    [anon_sym_actor] = ACTIONS(3568),
    [anon_sym_async] = ACTIONS(3568),
    [anon_sym_each] = ACTIONS(3571),
    [anon_sym_lazy] = ACTIONS(3568),
    [anon_sym_repeat] = ACTIONS(3573),
    [anon_sym_package] = ACTIONS(3568),
    [anon_sym_COMMA] = ACTIONS(631),
    [anon_sym_BANG] = ACTIONS(631),
    [anon_sym_LPAREN] = ACTIONS(3575),
    [anon_sym_LBRACK] = ACTIONS(3577),
    [anon_sym_DOT] = ACTIONS(631),
    [anon_sym_QMARK2] = ACTIONS(631),
    [anon_sym_some] = ACTIONS(3579),
    [anon_sym_any] = ACTIONS(3581),
    [anon_sym_AMP] = ACTIONS(631),
    [anon_sym_LT] = ACTIONS(631),
    [anon_sym_LBRACE] = ACTIONS(631),
    [anon_sym_RBRACE] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(637),
    [anon_sym_import] = ACTIONS(637),
    [anon_sym_typealias] = ACTIONS(637),
    [anon_sym_struct] = ACTIONS(637),
    [anon_sym_class] = ACTIONS(637),
    [anon_sym_enum] = ACTIONS(637),
    [anon_sym_protocol] = ACTIONS(637),
    [anon_sym_let] = ACTIONS(637),
    [anon_sym_var] = ACTIONS(637),
    [anon_sym_func] = ACTIONS(637),
    [anon_sym_extension] = ACTIONS(637),
    [anon_sym_indirect] = ACTIONS(637),
    [anon_sym_init] = ACTIONS(637),
    [anon_sym_deinit] = ACTIONS(637),
    [anon_sym_subscript] = ACTIONS(637),
    [anon_sym_prefix] = ACTIONS(637),
    [anon_sym_infix] = ACTIONS(637),
    [anon_sym_postfix] = ACTIONS(637),
    [anon_sym_precedencegroup] = ACTIONS(637),
    [anon_sym_associatedtype] = ACTIONS(637),
    [anon_sym_AT] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_convenience] = ACTIONS(637),
    [anon_sym_required] = ACTIONS(637),
    [anon_sym_nonisolated] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_internal] = ACTIONS(637),
    [anon_sym_fileprivate] = ACTIONS(637),
    [anon_sym_open] = ACTIONS(637),
    [anon_sym_mutating] = ACTIONS(637),
    [anon_sym_nonmutating] = ACTIONS(637),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_dynamic] = ACTIONS(637),
    [anon_sym_optional] = ACTIONS(637),
    [anon_sym_distributed] = ACTIONS(637),
    [anon_sym_final] = ACTIONS(637),
    [anon_sym_inout] = ACTIONS(637),
    [anon_sym_ATescaping] = ACTIONS(631),
    [anon_sym_ATautoclosure] = ACTIONS(631),
    [anon_sym_weak] = ACTIONS(637),
    [anon_sym_unowned] = ACTIONS(637),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(631),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(631),
    [anon_sym_borrowing] = ACTIONS(3568),
    [anon_sym_consuming] = ACTIONS(3568),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(631),
    [sym__dot_custom] = ACTIONS(631),
    [sym__eq_custom] = ACTIONS(631),
    [sym__throws_keyword] = ACTIONS(631),
    [sym__rethrows_keyword] = ACTIONS(631),
    [sym__async_keyword_custom] = ACTIONS(631),
  },
  [972] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(2991),
    [anon_sym_package] = ACTIONS(2991),
    [anon_sym_COMMA] = ACTIONS(2991),
    [anon_sym_LPAREN] = ACTIONS(2991),
    [anon_sym_LBRACK] = ACTIONS(2991),
    [anon_sym_DOT] = ACTIONS(2993),
    [anon_sym_QMARK] = ACTIONS(2993),
    [anon_sym_QMARK2] = ACTIONS(2991),
    [anon_sym_AMP] = ACTIONS(2991),
    [aux_sym_custom_operator_token1] = ACTIONS(2991),
    [anon_sym_LT] = ACTIONS(2993),
    [anon_sym_GT] = ACTIONS(2993),
    [anon_sym_LBRACE] = ACTIONS(2991),
    [anon_sym_CARET_LBRACE] = ACTIONS(2991),
    [anon_sym_RBRACE] = ACTIONS(2991),
    [anon_sym_case] = ACTIONS(2991),
    [anon_sym_fallthrough] = ACTIONS(2991),
    [anon_sym_PLUS_EQ] = ACTIONS(2991),
    [anon_sym_DASH_EQ] = ACTIONS(2991),
    [anon_sym_STAR_EQ] = ACTIONS(2991),
    [anon_sym_SLASH_EQ] = ACTIONS(2991),
    [anon_sym_PERCENT_EQ] = ACTIONS(2991),
    [anon_sym_BANG_EQ] = ACTIONS(2993),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2991),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2991),
    [anon_sym_LT_EQ] = ACTIONS(2991),
    [anon_sym_GT_EQ] = ACTIONS(2991),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2991),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2991),
    [anon_sym_is] = ACTIONS(2991),
    [anon_sym_PLUS] = ACTIONS(2993),
    [anon_sym_DASH] = ACTIONS(2993),
    [anon_sym_STAR] = ACTIONS(2993),
    [anon_sym_SLASH] = ACTIONS(2993),
    [anon_sym_PERCENT] = ACTIONS(2993),
    [anon_sym_PLUS_PLUS] = ACTIONS(2991),
    [anon_sym_DASH_DASH] = ACTIONS(2991),
    [anon_sym_PIPE] = ACTIONS(2991),
    [anon_sym_CARET] = ACTIONS(2993),
    [anon_sym_LT_LT] = ACTIONS(2991),
    [anon_sym_GT_GT] = ACTIONS(2991),
    [anon_sym_class] = ACTIONS(2991),
    [anon_sym_BANG2] = ACTIONS(2993),
    [anon_sym_prefix] = ACTIONS(2991),
    [anon_sym_infix] = ACTIONS(2991),
    [anon_sym_postfix] = ACTIONS(2991),
    [anon_sym_AT] = ACTIONS(2993),
    [anon_sym_override] = ACTIONS(2991),
    [anon_sym_convenience] = ACTIONS(2991),
    [anon_sym_required] = ACTIONS(2991),
    [anon_sym_nonisolated] = ACTIONS(2991),
    [anon_sym_public] = ACTIONS(2991),
    [anon_sym_private] = ACTIONS(2991),
    [anon_sym_internal] = ACTIONS(2991),
    [anon_sym_fileprivate] = ACTIONS(2991),
    [anon_sym_open] = ACTIONS(2991),
    [anon_sym_mutating] = ACTIONS(2991),
    [anon_sym_nonmutating] = ACTIONS(2991),
    [anon_sym_static] = ACTIONS(2991),
    [anon_sym_dynamic] = ACTIONS(2991),
    [anon_sym_optional] = ACTIONS(2991),
    [anon_sym_distributed] = ACTIONS(2991),
    [anon_sym_final] = ACTIONS(2991),
    [anon_sym_inout] = ACTIONS(2991),
    [anon_sym_ATescaping] = ACTIONS(2991),
    [anon_sym_ATautoclosure] = ACTIONS(2991),
    [anon_sym_weak] = ACTIONS(2991),
    [anon_sym_unowned] = ACTIONS(2993),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2991),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2991),
    [anon_sym_borrowing] = ACTIONS(2991),
    [anon_sym_consuming] = ACTIONS(2991),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2991),
    [sym__explicit_semi] = ACTIONS(2991),
    [sym__arrow_operator_custom] = ACTIONS(2991),
    [sym__dot_custom] = ACTIONS(2991),
    [sym__conjunction_operator_custom] = ACTIONS(2991),
    [sym__disjunction_operator_custom] = ACTIONS(2991),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2991),
    [sym__eq_custom] = ACTIONS(2991),
    [sym__eq_eq_custom] = ACTIONS(2991),
    [sym__plus_then_ws] = ACTIONS(2991),
    [sym__minus_then_ws] = ACTIONS(2991),
    [sym__bang_custom] = ACTIONS(2991),
    [sym__throws_keyword] = ACTIONS(2991),
    [sym__rethrows_keyword] = ACTIONS(2991),
    [sym_default_keyword] = ACTIONS(2991),
    [sym__as_custom] = ACTIONS(2991),
    [sym__as_quest_custom] = ACTIONS(2991),
    [sym__as_bang_custom] = ACTIONS(2991),
    [sym__async_keyword_custom] = ACTIONS(2991),
    [sym__custom_operator] = ACTIONS(2991),
  },
  [973] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(2979),
    [anon_sym_package] = ACTIONS(2979),
    [anon_sym_COMMA] = ACTIONS(2979),
    [anon_sym_LPAREN] = ACTIONS(2979),
    [anon_sym_LBRACK] = ACTIONS(2979),
    [anon_sym_DOT] = ACTIONS(2981),
    [anon_sym_QMARK] = ACTIONS(2981),
    [anon_sym_QMARK2] = ACTIONS(2979),
    [anon_sym_AMP] = ACTIONS(2979),
    [aux_sym_custom_operator_token1] = ACTIONS(2979),
    [anon_sym_LT] = ACTIONS(2981),
    [anon_sym_GT] = ACTIONS(2981),
    [anon_sym_LBRACE] = ACTIONS(2979),
    [anon_sym_CARET_LBRACE] = ACTIONS(2979),
    [anon_sym_RBRACE] = ACTIONS(2979),
    [anon_sym_case] = ACTIONS(2979),
    [anon_sym_fallthrough] = ACTIONS(2979),
    [anon_sym_PLUS_EQ] = ACTIONS(2979),
    [anon_sym_DASH_EQ] = ACTIONS(2979),
    [anon_sym_STAR_EQ] = ACTIONS(2979),
    [anon_sym_SLASH_EQ] = ACTIONS(2979),
    [anon_sym_PERCENT_EQ] = ACTIONS(2979),
    [anon_sym_BANG_EQ] = ACTIONS(2981),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2979),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2979),
    [anon_sym_LT_EQ] = ACTIONS(2979),
    [anon_sym_GT_EQ] = ACTIONS(2979),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2979),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2979),
    [anon_sym_is] = ACTIONS(2979),
    [anon_sym_PLUS] = ACTIONS(2981),
    [anon_sym_DASH] = ACTIONS(2981),
    [anon_sym_STAR] = ACTIONS(2981),
    [anon_sym_SLASH] = ACTIONS(2981),
    [anon_sym_PERCENT] = ACTIONS(2981),
    [anon_sym_PLUS_PLUS] = ACTIONS(2979),
    [anon_sym_DASH_DASH] = ACTIONS(2979),
    [anon_sym_PIPE] = ACTIONS(2979),
    [anon_sym_CARET] = ACTIONS(2981),
    [anon_sym_LT_LT] = ACTIONS(2979),
    [anon_sym_GT_GT] = ACTIONS(2979),
    [anon_sym_class] = ACTIONS(2979),
    [anon_sym_BANG2] = ACTIONS(2981),
    [anon_sym_prefix] = ACTIONS(2979),
    [anon_sym_infix] = ACTIONS(2979),
    [anon_sym_postfix] = ACTIONS(2979),
    [anon_sym_AT] = ACTIONS(2981),
    [anon_sym_override] = ACTIONS(2979),
    [anon_sym_convenience] = ACTIONS(2979),
    [anon_sym_required] = ACTIONS(2979),
    [anon_sym_nonisolated] = ACTIONS(2979),
    [anon_sym_public] = ACTIONS(2979),
    [anon_sym_private] = ACTIONS(2979),
    [anon_sym_internal] = ACTIONS(2979),
    [anon_sym_fileprivate] = ACTIONS(2979),
    [anon_sym_open] = ACTIONS(2979),
    [anon_sym_mutating] = ACTIONS(2979),
    [anon_sym_nonmutating] = ACTIONS(2979),
    [anon_sym_static] = ACTIONS(2979),
    [anon_sym_dynamic] = ACTIONS(2979),
    [anon_sym_optional] = ACTIONS(2979),
    [anon_sym_distributed] = ACTIONS(2979),
    [anon_sym_final] = ACTIONS(2979),
    [anon_sym_inout] = ACTIONS(2979),
    [anon_sym_ATescaping] = ACTIONS(2979),
    [anon_sym_ATautoclosure] = ACTIONS(2979),
    [anon_sym_weak] = ACTIONS(2979),
    [anon_sym_unowned] = ACTIONS(2981),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2979),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2979),
    [anon_sym_borrowing] = ACTIONS(2979),
    [anon_sym_consuming] = ACTIONS(2979),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2979),
    [sym__explicit_semi] = ACTIONS(2979),
    [sym__arrow_operator_custom] = ACTIONS(2979),
    [sym__dot_custom] = ACTIONS(2979),
    [sym__conjunction_operator_custom] = ACTIONS(2979),
    [sym__disjunction_operator_custom] = ACTIONS(2979),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2979),
    [sym__eq_custom] = ACTIONS(2979),
    [sym__eq_eq_custom] = ACTIONS(2979),
    [sym__plus_then_ws] = ACTIONS(2979),
    [sym__minus_then_ws] = ACTIONS(2979),
    [sym__bang_custom] = ACTIONS(2979),
    [sym__throws_keyword] = ACTIONS(2979),
    [sym__rethrows_keyword] = ACTIONS(2979),
    [sym_default_keyword] = ACTIONS(2979),
    [sym__as_custom] = ACTIONS(2979),
    [sym__as_quest_custom] = ACTIONS(2979),
    [sym__as_bang_custom] = ACTIONS(2979),
    [sym__async_keyword_custom] = ACTIONS(2979),
    [sym__custom_operator] = ACTIONS(2979),
  },
  [974] = {
    [sym__key_path_postfixes] = STATE(967),
    [sym_bang] = STATE(967),
    [aux_sym__key_path_component_repeat1] = STATE(967),
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(2918),
    [anon_sym_package] = ACTIONS(2918),
    [anon_sym_COMMA] = ACTIONS(2918),
    [anon_sym_LPAREN] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(2918),
    [anon_sym_DOT] = ACTIONS(2920),
    [anon_sym_QMARK] = ACTIONS(2920),
    [anon_sym_QMARK2] = ACTIONS(2918),
    [anon_sym_AMP] = ACTIONS(2918),
    [aux_sym_custom_operator_token1] = ACTIONS(2918),
    [anon_sym_LT] = ACTIONS(2920),
    [anon_sym_GT] = ACTIONS(2920),
    [anon_sym_LBRACE] = ACTIONS(2918),
    [anon_sym_CARET_LBRACE] = ACTIONS(2918),
    [anon_sym_RBRACE] = ACTIONS(2918),
    [anon_sym_self] = ACTIONS(3583),
    [anon_sym_case] = ACTIONS(2918),
    [anon_sym_fallthrough] = ACTIONS(2918),
    [anon_sym_PLUS_EQ] = ACTIONS(2918),
    [anon_sym_DASH_EQ] = ACTIONS(2918),
    [anon_sym_STAR_EQ] = ACTIONS(2918),
    [anon_sym_SLASH_EQ] = ACTIONS(2918),
    [anon_sym_PERCENT_EQ] = ACTIONS(2918),
    [anon_sym_BANG_EQ] = ACTIONS(2920),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2918),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2918),
    [anon_sym_LT_EQ] = ACTIONS(2918),
    [anon_sym_GT_EQ] = ACTIONS(2918),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2918),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2918),
    [anon_sym_is] = ACTIONS(2918),
    [anon_sym_PLUS] = ACTIONS(2920),
    [anon_sym_DASH] = ACTIONS(2920),
    [anon_sym_STAR] = ACTIONS(2920),
    [anon_sym_SLASH] = ACTIONS(2920),
    [anon_sym_PERCENT] = ACTIONS(2920),
    [anon_sym_PLUS_PLUS] = ACTIONS(2918),
    [anon_sym_DASH_DASH] = ACTIONS(2918),
    [anon_sym_PIPE] = ACTIONS(2918),
    [anon_sym_CARET] = ACTIONS(2920),
    [anon_sym_LT_LT] = ACTIONS(2918),
    [anon_sym_GT_GT] = ACTIONS(2918),
    [anon_sym_class] = ACTIONS(2918),
    [anon_sym_BANG2] = ACTIONS(2920),
    [anon_sym_prefix] = ACTIONS(2918),
    [anon_sym_infix] = ACTIONS(2918),
    [anon_sym_postfix] = ACTIONS(2918),
    [anon_sym_AT] = ACTIONS(2920),
    [anon_sym_override] = ACTIONS(2918),
    [anon_sym_convenience] = ACTIONS(2918),
    [anon_sym_required] = ACTIONS(2918),
    [anon_sym_nonisolated] = ACTIONS(2918),
    [anon_sym_public] = ACTIONS(2918),
    [anon_sym_private] = ACTIONS(2918),
    [anon_sym_internal] = ACTIONS(2918),
    [anon_sym_fileprivate] = ACTIONS(2918),
    [anon_sym_open] = ACTIONS(2918),
    [anon_sym_mutating] = ACTIONS(2918),
    [anon_sym_nonmutating] = ACTIONS(2918),
    [anon_sym_static] = ACTIONS(2918),
    [anon_sym_dynamic] = ACTIONS(2918),
    [anon_sym_optional] = ACTIONS(2918),
    [anon_sym_distributed] = ACTIONS(2918),
    [anon_sym_final] = ACTIONS(2918),
    [anon_sym_inout] = ACTIONS(2918),
    [anon_sym_ATescaping] = ACTIONS(2918),
    [anon_sym_ATautoclosure] = ACTIONS(2918),
    [anon_sym_weak] = ACTIONS(2918),
    [anon_sym_unowned] = ACTIONS(2920),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2918),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2918),
    [anon_sym_borrowing] = ACTIONS(2918),
    [anon_sym_consuming] = ACTIONS(2918),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2918),
    [sym__explicit_semi] = ACTIONS(2918),
    [sym__dot_custom] = ACTIONS(2918),
    [sym__conjunction_operator_custom] = ACTIONS(2918),
    [sym__disjunction_operator_custom] = ACTIONS(2918),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2918),
    [sym__eq_custom] = ACTIONS(2918),
    [sym__eq_eq_custom] = ACTIONS(2918),
    [sym__plus_then_ws] = ACTIONS(2918),
    [sym__minus_then_ws] = ACTIONS(2918),
    [sym__bang_custom] = ACTIONS(2918),
    [sym_default_keyword] = ACTIONS(2918),
    [sym__as_custom] = ACTIONS(2918),
    [sym__as_quest_custom] = ACTIONS(2918),
    [sym__as_bang_custom] = ACTIONS(2918),
    [sym__custom_operator] = ACTIONS(2918),
  },
  [975] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(2959),
    [anon_sym_package] = ACTIONS(2959),
    [anon_sym_COMMA] = ACTIONS(2959),
    [anon_sym_LPAREN] = ACTIONS(2959),
    [anon_sym_LBRACK] = ACTIONS(2959),
    [anon_sym_DOT] = ACTIONS(2961),
    [anon_sym_QMARK] = ACTIONS(2961),
    [anon_sym_QMARK2] = ACTIONS(2959),
    [anon_sym_AMP] = ACTIONS(2959),
    [aux_sym_custom_operator_token1] = ACTIONS(2959),
    [anon_sym_LT] = ACTIONS(2961),
    [anon_sym_GT] = ACTIONS(2961),
    [anon_sym_LBRACE] = ACTIONS(2959),
    [anon_sym_CARET_LBRACE] = ACTIONS(2959),
    [anon_sym_RBRACE] = ACTIONS(2959),
    [anon_sym_case] = ACTIONS(2959),
    [anon_sym_fallthrough] = ACTIONS(2959),
    [anon_sym_PLUS_EQ] = ACTIONS(2959),
    [anon_sym_DASH_EQ] = ACTIONS(2959),
    [anon_sym_STAR_EQ] = ACTIONS(2959),
    [anon_sym_SLASH_EQ] = ACTIONS(2959),
    [anon_sym_PERCENT_EQ] = ACTIONS(2959),
    [anon_sym_BANG_EQ] = ACTIONS(2961),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2959),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2959),
    [anon_sym_LT_EQ] = ACTIONS(2959),
    [anon_sym_GT_EQ] = ACTIONS(2959),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2959),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2959),
    [anon_sym_is] = ACTIONS(2959),
    [anon_sym_PLUS] = ACTIONS(2961),
    [anon_sym_DASH] = ACTIONS(2961),
    [anon_sym_STAR] = ACTIONS(2961),
    [anon_sym_SLASH] = ACTIONS(2961),
    [anon_sym_PERCENT] = ACTIONS(2961),
    [anon_sym_PLUS_PLUS] = ACTIONS(2959),
    [anon_sym_DASH_DASH] = ACTIONS(2959),
    [anon_sym_PIPE] = ACTIONS(2959),
    [anon_sym_CARET] = ACTIONS(2961),
    [anon_sym_LT_LT] = ACTIONS(2959),
    [anon_sym_GT_GT] = ACTIONS(2959),
    [anon_sym_class] = ACTIONS(2959),
    [anon_sym_BANG2] = ACTIONS(2961),
    [anon_sym_prefix] = ACTIONS(2959),
    [anon_sym_infix] = ACTIONS(2959),
    [anon_sym_postfix] = ACTIONS(2959),
    [anon_sym_AT] = ACTIONS(2961),
    [anon_sym_override] = ACTIONS(2959),
    [anon_sym_convenience] = ACTIONS(2959),
    [anon_sym_required] = ACTIONS(2959),
    [anon_sym_nonisolated] = ACTIONS(2959),
    [anon_sym_public] = ACTIONS(2959),
    [anon_sym_private] = ACTIONS(2959),
    [anon_sym_internal] = ACTIONS(2959),
    [anon_sym_fileprivate] = ACTIONS(2959),
    [anon_sym_open] = ACTIONS(2959),
    [anon_sym_mutating] = ACTIONS(2959),
    [anon_sym_nonmutating] = ACTIONS(2959),
    [anon_sym_static] = ACTIONS(2959),
    [anon_sym_dynamic] = ACTIONS(2959),
    [anon_sym_optional] = ACTIONS(2959),
    [anon_sym_distributed] = ACTIONS(2959),
    [anon_sym_final] = ACTIONS(2959),
    [anon_sym_inout] = ACTIONS(2959),
    [anon_sym_ATescaping] = ACTIONS(2959),
    [anon_sym_ATautoclosure] = ACTIONS(2959),
    [anon_sym_weak] = ACTIONS(2959),
    [anon_sym_unowned] = ACTIONS(2961),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2959),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2959),
    [anon_sym_borrowing] = ACTIONS(2959),
    [anon_sym_consuming] = ACTIONS(2959),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2959),
    [sym__explicit_semi] = ACTIONS(2959),
    [sym__arrow_operator_custom] = ACTIONS(2959),
    [sym__dot_custom] = ACTIONS(2959),
    [sym__conjunction_operator_custom] = ACTIONS(2959),
    [sym__disjunction_operator_custom] = ACTIONS(2959),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2959),
    [sym__eq_custom] = ACTIONS(2959),
    [sym__eq_eq_custom] = ACTIONS(2959),
    [sym__plus_then_ws] = ACTIONS(2959),
    [sym__minus_then_ws] = ACTIONS(2959),
    [sym__bang_custom] = ACTIONS(2959),
    [sym__throws_keyword] = ACTIONS(2959),
    [sym__rethrows_keyword] = ACTIONS(2959),
    [sym_default_keyword] = ACTIONS(2959),
    [sym__as_custom] = ACTIONS(2959),
    [sym__as_quest_custom] = ACTIONS(2959),
    [sym__as_bang_custom] = ACTIONS(2959),
    [sym__async_keyword_custom] = ACTIONS(2959),
    [sym__custom_operator] = ACTIONS(2959),
  },
  [976] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(2987),
    [anon_sym_package] = ACTIONS(2987),
    [anon_sym_COMMA] = ACTIONS(2987),
    [anon_sym_LPAREN] = ACTIONS(2987),
    [anon_sym_LBRACK] = ACTIONS(2987),
    [anon_sym_DOT] = ACTIONS(2989),
    [anon_sym_QMARK] = ACTIONS(2989),
    [anon_sym_QMARK2] = ACTIONS(2987),
    [anon_sym_AMP] = ACTIONS(2987),
    [aux_sym_custom_operator_token1] = ACTIONS(2987),
    [anon_sym_LT] = ACTIONS(2989),
    [anon_sym_GT] = ACTIONS(2989),
    [anon_sym_LBRACE] = ACTIONS(2987),
    [anon_sym_CARET_LBRACE] = ACTIONS(2987),
    [anon_sym_RBRACE] = ACTIONS(2987),
    [anon_sym_case] = ACTIONS(2987),
    [anon_sym_fallthrough] = ACTIONS(2987),
    [anon_sym_PLUS_EQ] = ACTIONS(2987),
    [anon_sym_DASH_EQ] = ACTIONS(2987),
    [anon_sym_STAR_EQ] = ACTIONS(2987),
    [anon_sym_SLASH_EQ] = ACTIONS(2987),
    [anon_sym_PERCENT_EQ] = ACTIONS(2987),
    [anon_sym_BANG_EQ] = ACTIONS(2989),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2987),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2987),
    [anon_sym_LT_EQ] = ACTIONS(2987),
    [anon_sym_GT_EQ] = ACTIONS(2987),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2987),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2987),
    [anon_sym_is] = ACTIONS(2987),
    [anon_sym_PLUS] = ACTIONS(2989),
    [anon_sym_DASH] = ACTIONS(2989),
    [anon_sym_STAR] = ACTIONS(2989),
    [anon_sym_SLASH] = ACTIONS(2989),
    [anon_sym_PERCENT] = ACTIONS(2989),
    [anon_sym_PLUS_PLUS] = ACTIONS(2987),
    [anon_sym_DASH_DASH] = ACTIONS(2987),
    [anon_sym_PIPE] = ACTIONS(2987),
    [anon_sym_CARET] = ACTIONS(2989),
    [anon_sym_LT_LT] = ACTIONS(2987),
    [anon_sym_GT_GT] = ACTIONS(2987),
    [anon_sym_class] = ACTIONS(2987),
    [anon_sym_BANG2] = ACTIONS(2989),
    [anon_sym_prefix] = ACTIONS(2987),
    [anon_sym_infix] = ACTIONS(2987),
    [anon_sym_postfix] = ACTIONS(2987),
    [anon_sym_AT] = ACTIONS(2989),
    [anon_sym_override] = ACTIONS(2987),
    [anon_sym_convenience] = ACTIONS(2987),
    [anon_sym_required] = ACTIONS(2987),
    [anon_sym_nonisolated] = ACTIONS(2987),
    [anon_sym_public] = ACTIONS(2987),
    [anon_sym_private] = ACTIONS(2987),
    [anon_sym_internal] = ACTIONS(2987),
    [anon_sym_fileprivate] = ACTIONS(2987),
    [anon_sym_open] = ACTIONS(2987),
    [anon_sym_mutating] = ACTIONS(2987),
    [anon_sym_nonmutating] = ACTIONS(2987),
    [anon_sym_static] = ACTIONS(2987),
    [anon_sym_dynamic] = ACTIONS(2987),
    [anon_sym_optional] = ACTIONS(2987),
    [anon_sym_distributed] = ACTIONS(2987),
    [anon_sym_final] = ACTIONS(2987),
    [anon_sym_inout] = ACTIONS(2987),
    [anon_sym_ATescaping] = ACTIONS(2987),
    [anon_sym_ATautoclosure] = ACTIONS(2987),
    [anon_sym_weak] = ACTIONS(2987),
    [anon_sym_unowned] = ACTIONS(2989),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2987),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2987),
    [anon_sym_borrowing] = ACTIONS(2987),
    [anon_sym_consuming] = ACTIONS(2987),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2987),
    [sym__explicit_semi] = ACTIONS(2987),
    [sym__arrow_operator_custom] = ACTIONS(2987),
    [sym__dot_custom] = ACTIONS(2987),
    [sym__conjunction_operator_custom] = ACTIONS(2987),
    [sym__disjunction_operator_custom] = ACTIONS(2987),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2987),
    [sym__eq_custom] = ACTIONS(2987),
    [sym__eq_eq_custom] = ACTIONS(2987),
    [sym__plus_then_ws] = ACTIONS(2987),
    [sym__minus_then_ws] = ACTIONS(2987),
    [sym__bang_custom] = ACTIONS(2987),
    [sym__throws_keyword] = ACTIONS(2987),
    [sym__rethrows_keyword] = ACTIONS(2987),
    [sym_default_keyword] = ACTIONS(2987),
    [sym__as_custom] = ACTIONS(2987),
    [sym__as_quest_custom] = ACTIONS(2987),
    [sym__as_bang_custom] = ACTIONS(2987),
    [sym__async_keyword_custom] = ACTIONS(2987),
    [sym__custom_operator] = ACTIONS(2987),
  },
  [977] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(2975),
    [anon_sym_package] = ACTIONS(2975),
    [anon_sym_COMMA] = ACTIONS(2975),
    [anon_sym_LPAREN] = ACTIONS(2975),
    [anon_sym_LBRACK] = ACTIONS(2975),
    [anon_sym_DOT] = ACTIONS(2977),
    [anon_sym_QMARK] = ACTIONS(2977),
    [anon_sym_QMARK2] = ACTIONS(2975),
    [anon_sym_AMP] = ACTIONS(2975),
    [aux_sym_custom_operator_token1] = ACTIONS(2975),
    [anon_sym_LT] = ACTIONS(2977),
    [anon_sym_GT] = ACTIONS(2977),
    [anon_sym_LBRACE] = ACTIONS(2975),
    [anon_sym_CARET_LBRACE] = ACTIONS(2975),
    [anon_sym_RBRACE] = ACTIONS(2975),
    [anon_sym_case] = ACTIONS(2975),
    [anon_sym_fallthrough] = ACTIONS(2975),
    [anon_sym_PLUS_EQ] = ACTIONS(2975),
    [anon_sym_DASH_EQ] = ACTIONS(2975),
    [anon_sym_STAR_EQ] = ACTIONS(2975),
    [anon_sym_SLASH_EQ] = ACTIONS(2975),
    [anon_sym_PERCENT_EQ] = ACTIONS(2975),
    [anon_sym_BANG_EQ] = ACTIONS(2977),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2975),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(2975),
    [anon_sym_GT_EQ] = ACTIONS(2975),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2975),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2975),
    [anon_sym_is] = ACTIONS(2975),
    [anon_sym_PLUS] = ACTIONS(2977),
    [anon_sym_DASH] = ACTIONS(2977),
    [anon_sym_STAR] = ACTIONS(2977),
    [anon_sym_SLASH] = ACTIONS(2977),
    [anon_sym_PERCENT] = ACTIONS(2977),
    [anon_sym_PLUS_PLUS] = ACTIONS(2975),
    [anon_sym_DASH_DASH] = ACTIONS(2975),
    [anon_sym_PIPE] = ACTIONS(2975),
    [anon_sym_CARET] = ACTIONS(2977),
    [anon_sym_LT_LT] = ACTIONS(2975),
    [anon_sym_GT_GT] = ACTIONS(2975),
    [anon_sym_class] = ACTIONS(2975),
    [anon_sym_BANG2] = ACTIONS(2977),
    [anon_sym_prefix] = ACTIONS(2975),
    [anon_sym_infix] = ACTIONS(2975),
    [anon_sym_postfix] = ACTIONS(2975),
    [anon_sym_AT] = ACTIONS(2977),
    [anon_sym_override] = ACTIONS(2975),
    [anon_sym_convenience] = ACTIONS(2975),
    [anon_sym_required] = ACTIONS(2975),
    [anon_sym_nonisolated] = ACTIONS(2975),
    [anon_sym_public] = ACTIONS(2975),
    [anon_sym_private] = ACTIONS(2975),
    [anon_sym_internal] = ACTIONS(2975),
    [anon_sym_fileprivate] = ACTIONS(2975),
    [anon_sym_open] = ACTIONS(2975),
    [anon_sym_mutating] = ACTIONS(2975),
    [anon_sym_nonmutating] = ACTIONS(2975),
    [anon_sym_static] = ACTIONS(2975),
    [anon_sym_dynamic] = ACTIONS(2975),
    [anon_sym_optional] = ACTIONS(2975),
    [anon_sym_distributed] = ACTIONS(2975),
    [anon_sym_final] = ACTIONS(2975),
    [anon_sym_inout] = ACTIONS(2975),
    [anon_sym_ATescaping] = ACTIONS(2975),
    [anon_sym_ATautoclosure] = ACTIONS(2975),
    [anon_sym_weak] = ACTIONS(2975),
    [anon_sym_unowned] = ACTIONS(2977),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2975),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2975),
    [anon_sym_borrowing] = ACTIONS(2975),
    [anon_sym_consuming] = ACTIONS(2975),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2975),
    [sym__explicit_semi] = ACTIONS(2975),
    [sym__arrow_operator_custom] = ACTIONS(2975),
    [sym__dot_custom] = ACTIONS(2975),
    [sym__conjunction_operator_custom] = ACTIONS(2975),
    [sym__disjunction_operator_custom] = ACTIONS(2975),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2975),
    [sym__eq_custom] = ACTIONS(2975),
    [sym__eq_eq_custom] = ACTIONS(2975),
    [sym__plus_then_ws] = ACTIONS(2975),
    [sym__minus_then_ws] = ACTIONS(2975),
    [sym__bang_custom] = ACTIONS(2975),
    [sym__throws_keyword] = ACTIONS(2975),
    [sym__rethrows_keyword] = ACTIONS(2975),
    [sym_default_keyword] = ACTIONS(2975),
    [sym__as_custom] = ACTIONS(2975),
    [sym__as_quest_custom] = ACTIONS(2975),
    [sym__as_bang_custom] = ACTIONS(2975),
    [sym__async_keyword_custom] = ACTIONS(2975),
    [sym__custom_operator] = ACTIONS(2975),
  },
  [978] = {
    [sym_simple_identifier] = STATE(1515),
    [sym__contextual_simple_identifier] = STATE(1508),
    [sym__unannotated_type] = STATE(1557),
    [sym_user_type] = STATE(1521),
    [sym__simple_user_type] = STATE(1579),
    [sym_tuple_type] = STATE(1517),
    [sym_function_type] = STATE(1557),
    [sym_array_type] = STATE(1521),
    [sym_dictionary_type] = STATE(1521),
    [sym_optional_type] = STATE(1557),
    [sym_metatype] = STATE(1557),
    [sym_opaque_type] = STATE(1557),
    [sym_existential_type] = STATE(1557),
    [sym_type_parameter_pack] = STATE(1557),
    [sym_type_pack_expansion] = STATE(1557),
    [sym_protocol_composition_type] = STATE(1557),
    [sym__parenthesized_type] = STATE(1608),
    [sym__parameter_ownership_modifier] = STATE(1508),
    [sym_comment] = ACTIONS(5),
    [aux_sym_simple_identifier_token1] = ACTIONS(3564),
    [aux_sym_simple_identifier_token2] = ACTIONS(3566),
    [aux_sym_simple_identifier_token3] = ACTIONS(3566),
    [aux_sym_simple_identifier_token4] = ACTIONS(3566),
    [anon_sym_actor] = ACTIONS(3568),
    [anon_sym_async] = ACTIONS(3568),
    [anon_sym_each] = ACTIONS(3571),
    [anon_sym_lazy] = ACTIONS(3568),
    [anon_sym_repeat] = ACTIONS(3573),
    [anon_sym_package] = ACTIONS(3568),
    [anon_sym_COMMA] = ACTIONS(631),
    [anon_sym_BANG] = ACTIONS(631),
    [anon_sym_LPAREN] = ACTIONS(3575),
    [anon_sym_LBRACK] = ACTIONS(3577),
    [anon_sym_DOT] = ACTIONS(631),
    [anon_sym_QMARK2] = ACTIONS(631),
    [anon_sym_some] = ACTIONS(3579),
    [anon_sym_any] = ACTIONS(3581),
    [anon_sym_AMP] = ACTIONS(631),
    [anon_sym_LT] = ACTIONS(631),
    [anon_sym_LBRACE] = ACTIONS(631),
    [anon_sym_RBRACE] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(637),
    [anon_sym_import] = ACTIONS(637),
    [anon_sym_typealias] = ACTIONS(637),
    [anon_sym_struct] = ACTIONS(637),
    [anon_sym_class] = ACTIONS(637),
    [anon_sym_enum] = ACTIONS(637),
    [anon_sym_protocol] = ACTIONS(637),
    [anon_sym_let] = ACTIONS(637),
    [anon_sym_var] = ACTIONS(637),
    [anon_sym_func] = ACTIONS(637),
    [anon_sym_extension] = ACTIONS(637),
    [anon_sym_indirect] = ACTIONS(637),
    [anon_sym_init] = ACTIONS(637),
    [anon_sym_deinit] = ACTIONS(637),
    [anon_sym_subscript] = ACTIONS(637),
    [anon_sym_prefix] = ACTIONS(637),
    [anon_sym_infix] = ACTIONS(637),
    [anon_sym_postfix] = ACTIONS(637),
    [anon_sym_precedencegroup] = ACTIONS(637),
    [anon_sym_associatedtype] = ACTIONS(637),
    [anon_sym_AT] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_convenience] = ACTIONS(637),
    [anon_sym_required] = ACTIONS(637),
    [anon_sym_nonisolated] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_internal] = ACTIONS(637),
    [anon_sym_fileprivate] = ACTIONS(637),
    [anon_sym_open] = ACTIONS(637),
    [anon_sym_mutating] = ACTIONS(637),
    [anon_sym_nonmutating] = ACTIONS(637),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_dynamic] = ACTIONS(637),
    [anon_sym_optional] = ACTIONS(637),
    [anon_sym_distributed] = ACTIONS(637),
    [anon_sym_final] = ACTIONS(637),
    [anon_sym_inout] = ACTIONS(637),
    [anon_sym_ATescaping] = ACTIONS(631),
    [anon_sym_ATautoclosure] = ACTIONS(631),
    [anon_sym_weak] = ACTIONS(637),
    [anon_sym_unowned] = ACTIONS(637),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(631),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(631),
    [anon_sym_borrowing] = ACTIONS(3568),
    [anon_sym_consuming] = ACTIONS(3568),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(631),
    [sym__dot_custom] = ACTIONS(631),
    [sym__eq_custom] = ACTIONS(631),
    [sym__throws_keyword] = ACTIONS(631),
    [sym__rethrows_keyword] = ACTIONS(631),
    [sym__async_keyword_custom] = ACTIONS(631),
  },
  [979] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(2798),
    [anon_sym_package] = ACTIONS(2798),
    [anon_sym_COMMA] = ACTIONS(2798),
    [anon_sym_LPAREN] = ACTIONS(2798),
    [anon_sym_LBRACK] = ACTIONS(2798),
    [anon_sym_DOT] = ACTIONS(2800),
    [anon_sym_QMARK] = ACTIONS(2800),
    [anon_sym_QMARK2] = ACTIONS(2798),
    [anon_sym_AMP] = ACTIONS(2798),
    [aux_sym_custom_operator_token1] = ACTIONS(2798),
    [anon_sym_LT] = ACTIONS(2800),
    [anon_sym_GT] = ACTIONS(2800),
    [anon_sym_LBRACE] = ACTIONS(2798),
    [anon_sym_CARET_LBRACE] = ACTIONS(2798),
    [anon_sym_RBRACE] = ACTIONS(2798),
    [anon_sym_case] = ACTIONS(2798),
    [anon_sym_fallthrough] = ACTIONS(2798),
    [anon_sym_PLUS_EQ] = ACTIONS(2798),
    [anon_sym_DASH_EQ] = ACTIONS(2798),
    [anon_sym_STAR_EQ] = ACTIONS(2798),
    [anon_sym_SLASH_EQ] = ACTIONS(2798),
    [anon_sym_PERCENT_EQ] = ACTIONS(2798),
    [anon_sym_BANG_EQ] = ACTIONS(2800),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2798),
    [anon_sym_LT_EQ] = ACTIONS(2798),
    [anon_sym_GT_EQ] = ACTIONS(2798),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2798),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2798),
    [anon_sym_is] = ACTIONS(2798),
    [anon_sym_PLUS] = ACTIONS(2800),
    [anon_sym_DASH] = ACTIONS(2800),
    [anon_sym_STAR] = ACTIONS(2800),
    [anon_sym_SLASH] = ACTIONS(2800),
    [anon_sym_PERCENT] = ACTIONS(2800),
    [anon_sym_PLUS_PLUS] = ACTIONS(2798),
    [anon_sym_DASH_DASH] = ACTIONS(2798),
    [anon_sym_PIPE] = ACTIONS(2798),
    [anon_sym_CARET] = ACTIONS(2800),
    [anon_sym_LT_LT] = ACTIONS(2798),
    [anon_sym_GT_GT] = ACTIONS(2798),
    [anon_sym_class] = ACTIONS(2798),
    [anon_sym_BANG2] = ACTIONS(2800),
    [anon_sym_prefix] = ACTIONS(2798),
    [anon_sym_infix] = ACTIONS(2798),
    [anon_sym_postfix] = ACTIONS(2798),
    [anon_sym_AT] = ACTIONS(2800),
    [anon_sym_override] = ACTIONS(2798),
    [anon_sym_convenience] = ACTIONS(2798),
    [anon_sym_required] = ACTIONS(2798),
    [anon_sym_nonisolated] = ACTIONS(2798),
    [anon_sym_public] = ACTIONS(2798),
    [anon_sym_private] = ACTIONS(2798),
    [anon_sym_internal] = ACTIONS(2798),
    [anon_sym_fileprivate] = ACTIONS(2798),
    [anon_sym_open] = ACTIONS(2798),
    [anon_sym_mutating] = ACTIONS(2798),
    [anon_sym_nonmutating] = ACTIONS(2798),
    [anon_sym_static] = ACTIONS(2798),
    [anon_sym_dynamic] = ACTIONS(2798),
    [anon_sym_optional] = ACTIONS(2798),
    [anon_sym_distributed] = ACTIONS(2798),
    [anon_sym_final] = ACTIONS(2798),
    [anon_sym_inout] = ACTIONS(2798),
    [anon_sym_ATescaping] = ACTIONS(2798),
    [anon_sym_ATautoclosure] = ACTIONS(2798),
    [anon_sym_weak] = ACTIONS(2798),
    [anon_sym_unowned] = ACTIONS(2800),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2798),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2798),
    [anon_sym_borrowing] = ACTIONS(2798),
    [anon_sym_consuming] = ACTIONS(2798),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2798),
    [sym__explicit_semi] = ACTIONS(2798),
    [sym__arrow_operator_custom] = ACTIONS(2798),
    [sym__dot_custom] = ACTIONS(2798),
    [sym__conjunction_operator_custom] = ACTIONS(2798),
    [sym__disjunction_operator_custom] = ACTIONS(2798),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2798),
    [sym__eq_custom] = ACTIONS(2798),
    [sym__eq_eq_custom] = ACTIONS(2798),
    [sym__plus_then_ws] = ACTIONS(2798),
    [sym__minus_then_ws] = ACTIONS(2798),
    [sym__bang_custom] = ACTIONS(2798),
    [sym__throws_keyword] = ACTIONS(2798),
    [sym__rethrows_keyword] = ACTIONS(2798),
    [sym_default_keyword] = ACTIONS(2798),
    [sym__as_custom] = ACTIONS(2798),
    [sym__as_quest_custom] = ACTIONS(2798),
    [sym__as_bang_custom] = ACTIONS(2798),
    [sym__async_keyword_custom] = ACTIONS(2798),
    [sym__custom_operator] = ACTIONS(2798),
  },
  [980] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(2971),
    [anon_sym_package] = ACTIONS(2971),
    [anon_sym_COMMA] = ACTIONS(2971),
    [anon_sym_LPAREN] = ACTIONS(2971),
    [anon_sym_LBRACK] = ACTIONS(2971),
    [anon_sym_DOT] = ACTIONS(2973),
    [anon_sym_QMARK] = ACTIONS(2973),
    [anon_sym_QMARK2] = ACTIONS(2971),
    [anon_sym_AMP] = ACTIONS(2971),
    [aux_sym_custom_operator_token1] = ACTIONS(2971),
    [anon_sym_LT] = ACTIONS(2973),
    [anon_sym_GT] = ACTIONS(2973),
    [anon_sym_LBRACE] = ACTIONS(2971),
    [anon_sym_CARET_LBRACE] = ACTIONS(2971),
    [anon_sym_RBRACE] = ACTIONS(2971),
    [anon_sym_case] = ACTIONS(2971),
    [anon_sym_fallthrough] = ACTIONS(2971),
    [anon_sym_PLUS_EQ] = ACTIONS(2971),
    [anon_sym_DASH_EQ] = ACTIONS(2971),
    [anon_sym_STAR_EQ] = ACTIONS(2971),
    [anon_sym_SLASH_EQ] = ACTIONS(2971),
    [anon_sym_PERCENT_EQ] = ACTIONS(2971),
    [anon_sym_BANG_EQ] = ACTIONS(2973),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2971),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2971),
    [anon_sym_LT_EQ] = ACTIONS(2971),
    [anon_sym_GT_EQ] = ACTIONS(2971),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2971),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2971),
    [anon_sym_is] = ACTIONS(2971),
    [anon_sym_PLUS] = ACTIONS(2973),
    [anon_sym_DASH] = ACTIONS(2973),
    [anon_sym_STAR] = ACTIONS(2973),
    [anon_sym_SLASH] = ACTIONS(2973),
    [anon_sym_PERCENT] = ACTIONS(2973),
    [anon_sym_PLUS_PLUS] = ACTIONS(2971),
    [anon_sym_DASH_DASH] = ACTIONS(2971),
    [anon_sym_PIPE] = ACTIONS(2971),
    [anon_sym_CARET] = ACTIONS(2973),
    [anon_sym_LT_LT] = ACTIONS(2971),
    [anon_sym_GT_GT] = ACTIONS(2971),
    [anon_sym_class] = ACTIONS(2971),
    [anon_sym_BANG2] = ACTIONS(2973),
    [anon_sym_prefix] = ACTIONS(2971),
    [anon_sym_infix] = ACTIONS(2971),
    [anon_sym_postfix] = ACTIONS(2971),
    [anon_sym_AT] = ACTIONS(2973),
    [anon_sym_override] = ACTIONS(2971),
    [anon_sym_convenience] = ACTIONS(2971),
    [anon_sym_required] = ACTIONS(2971),
    [anon_sym_nonisolated] = ACTIONS(2971),
    [anon_sym_public] = ACTIONS(2971),
    [anon_sym_private] = ACTIONS(2971),
    [anon_sym_internal] = ACTIONS(2971),
    [anon_sym_fileprivate] = ACTIONS(2971),
    [anon_sym_open] = ACTIONS(2971),
    [anon_sym_mutating] = ACTIONS(2971),
    [anon_sym_nonmutating] = ACTIONS(2971),
    [anon_sym_static] = ACTIONS(2971),
    [anon_sym_dynamic] = ACTIONS(2971),
    [anon_sym_optional] = ACTIONS(2971),
    [anon_sym_distributed] = ACTIONS(2971),
    [anon_sym_final] = ACTIONS(2971),
    [anon_sym_inout] = ACTIONS(2971),
    [anon_sym_ATescaping] = ACTIONS(2971),
    [anon_sym_ATautoclosure] = ACTIONS(2971),
    [anon_sym_weak] = ACTIONS(2971),
    [anon_sym_unowned] = ACTIONS(2973),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2971),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2971),
    [anon_sym_borrowing] = ACTIONS(2971),
    [anon_sym_consuming] = ACTIONS(2971),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2971),
    [sym__explicit_semi] = ACTIONS(2971),
    [sym__arrow_operator_custom] = ACTIONS(2971),
    [sym__dot_custom] = ACTIONS(2971),
    [sym__conjunction_operator_custom] = ACTIONS(2971),
    [sym__disjunction_operator_custom] = ACTIONS(2971),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2971),
    [sym__eq_custom] = ACTIONS(2971),
    [sym__eq_eq_custom] = ACTIONS(2971),
    [sym__plus_then_ws] = ACTIONS(2971),
    [sym__minus_then_ws] = ACTIONS(2971),
    [sym__bang_custom] = ACTIONS(2971),
    [sym__throws_keyword] = ACTIONS(2971),
    [sym__rethrows_keyword] = ACTIONS(2971),
    [sym_default_keyword] = ACTIONS(2971),
    [sym__as_custom] = ACTIONS(2971),
    [sym__as_quest_custom] = ACTIONS(2971),
    [sym__as_bang_custom] = ACTIONS(2971),
    [sym__async_keyword_custom] = ACTIONS(2971),
    [sym__custom_operator] = ACTIONS(2971),
  },
  [981] = {
    [sym__key_path_postfixes] = STATE(988),
    [sym_bang] = STATE(988),
    [aux_sym__key_path_component_repeat1] = STATE(988),
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(2918),
    [anon_sym_package] = ACTIONS(2918),
    [anon_sym_COMMA] = ACTIONS(2918),
    [anon_sym_LPAREN] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(2918),
    [anon_sym_DOT] = ACTIONS(2920),
    [anon_sym_QMARK] = ACTIONS(2920),
    [anon_sym_QMARK2] = ACTIONS(2918),
    [anon_sym_AMP] = ACTIONS(2918),
    [aux_sym_custom_operator_token1] = ACTIONS(2918),
    [anon_sym_LT] = ACTIONS(2920),
    [anon_sym_GT] = ACTIONS(2920),
    [anon_sym_LBRACE] = ACTIONS(2918),
    [anon_sym_CARET_LBRACE] = ACTIONS(2918),
    [anon_sym_RBRACE] = ACTIONS(2918),
    [anon_sym_self] = ACTIONS(3585),
    [anon_sym_case] = ACTIONS(2918),
    [anon_sym_fallthrough] = ACTIONS(2918),
    [anon_sym_PLUS_EQ] = ACTIONS(2918),
    [anon_sym_DASH_EQ] = ACTIONS(2918),
    [anon_sym_STAR_EQ] = ACTIONS(2918),
    [anon_sym_SLASH_EQ] = ACTIONS(2918),
    [anon_sym_PERCENT_EQ] = ACTIONS(2918),
    [anon_sym_BANG_EQ] = ACTIONS(2920),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2918),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2918),
    [anon_sym_LT_EQ] = ACTIONS(2918),
    [anon_sym_GT_EQ] = ACTIONS(2918),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2918),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2918),
    [anon_sym_is] = ACTIONS(2918),
    [anon_sym_PLUS] = ACTIONS(2920),
    [anon_sym_DASH] = ACTIONS(2920),
    [anon_sym_STAR] = ACTIONS(2920),
    [anon_sym_SLASH] = ACTIONS(2920),
    [anon_sym_PERCENT] = ACTIONS(2920),
    [anon_sym_PLUS_PLUS] = ACTIONS(2918),
    [anon_sym_DASH_DASH] = ACTIONS(2918),
    [anon_sym_PIPE] = ACTIONS(2918),
    [anon_sym_CARET] = ACTIONS(2920),
    [anon_sym_LT_LT] = ACTIONS(2918),
    [anon_sym_GT_GT] = ACTIONS(2918),
    [anon_sym_class] = ACTIONS(2918),
    [anon_sym_BANG2] = ACTIONS(2920),
    [anon_sym_prefix] = ACTIONS(2918),
    [anon_sym_infix] = ACTIONS(2918),
    [anon_sym_postfix] = ACTIONS(2918),
    [anon_sym_AT] = ACTIONS(2920),
    [anon_sym_override] = ACTIONS(2918),
    [anon_sym_convenience] = ACTIONS(2918),
    [anon_sym_required] = ACTIONS(2918),
    [anon_sym_nonisolated] = ACTIONS(2918),
    [anon_sym_public] = ACTIONS(2918),
    [anon_sym_private] = ACTIONS(2918),
    [anon_sym_internal] = ACTIONS(2918),
    [anon_sym_fileprivate] = ACTIONS(2918),
    [anon_sym_open] = ACTIONS(2918),
    [anon_sym_mutating] = ACTIONS(2918),
    [anon_sym_nonmutating] = ACTIONS(2918),
    [anon_sym_static] = ACTIONS(2918),
    [anon_sym_dynamic] = ACTIONS(2918),
    [anon_sym_optional] = ACTIONS(2918),
    [anon_sym_distributed] = ACTIONS(2918),
    [anon_sym_final] = ACTIONS(2918),
    [anon_sym_inout] = ACTIONS(2918),
    [anon_sym_ATescaping] = ACTIONS(2918),
    [anon_sym_ATautoclosure] = ACTIONS(2918),
    [anon_sym_weak] = ACTIONS(2918),
    [anon_sym_unowned] = ACTIONS(2920),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2918),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2918),
    [anon_sym_borrowing] = ACTIONS(2918),
    [anon_sym_consuming] = ACTIONS(2918),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2918),
    [sym__explicit_semi] = ACTIONS(2918),
    [sym__dot_custom] = ACTIONS(2918),
    [sym__conjunction_operator_custom] = ACTIONS(2918),
    [sym__disjunction_operator_custom] = ACTIONS(2918),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2918),
    [sym__eq_custom] = ACTIONS(2918),
    [sym__eq_eq_custom] = ACTIONS(2918),
    [sym__plus_then_ws] = ACTIONS(2918),
    [sym__minus_then_ws] = ACTIONS(2918),
    [sym__bang_custom] = ACTIONS(2918),
    [sym_default_keyword] = ACTIONS(2918),
    [sym__as_custom] = ACTIONS(2918),
    [sym__as_quest_custom] = ACTIONS(2918),
    [sym__as_bang_custom] = ACTIONS(2918),
    [sym__custom_operator] = ACTIONS(2918),
  },
  [982] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(2928),
    [anon_sym_package] = ACTIONS(2928),
    [anon_sym_COMMA] = ACTIONS(2928),
    [anon_sym_LPAREN] = ACTIONS(2928),
    [anon_sym_LBRACK] = ACTIONS(2928),
    [anon_sym_DOT] = ACTIONS(2930),
    [anon_sym_QMARK] = ACTIONS(2930),
    [anon_sym_QMARK2] = ACTIONS(2928),
    [anon_sym_AMP] = ACTIONS(2928),
    [aux_sym_custom_operator_token1] = ACTIONS(2928),
    [anon_sym_LT] = ACTIONS(2930),
    [anon_sym_GT] = ACTIONS(2930),
    [anon_sym_LBRACE] = ACTIONS(2928),
    [anon_sym_CARET_LBRACE] = ACTIONS(2928),
    [anon_sym_RBRACE] = ACTIONS(2928),
    [anon_sym_case] = ACTIONS(2928),
    [anon_sym_fallthrough] = ACTIONS(2928),
    [anon_sym_PLUS_EQ] = ACTIONS(2928),
    [anon_sym_DASH_EQ] = ACTIONS(2928),
    [anon_sym_STAR_EQ] = ACTIONS(2928),
    [anon_sym_SLASH_EQ] = ACTIONS(2928),
    [anon_sym_PERCENT_EQ] = ACTIONS(2928),
    [anon_sym_BANG_EQ] = ACTIONS(2930),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2928),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2928),
    [anon_sym_LT_EQ] = ACTIONS(2928),
    [anon_sym_GT_EQ] = ACTIONS(2928),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2928),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2928),
    [anon_sym_is] = ACTIONS(2928),
    [anon_sym_PLUS] = ACTIONS(2930),
    [anon_sym_DASH] = ACTIONS(2930),
    [anon_sym_STAR] = ACTIONS(2930),
    [anon_sym_SLASH] = ACTIONS(2930),
    [anon_sym_PERCENT] = ACTIONS(2930),
    [anon_sym_PLUS_PLUS] = ACTIONS(2928),
    [anon_sym_DASH_DASH] = ACTIONS(2928),
    [anon_sym_PIPE] = ACTIONS(2928),
    [anon_sym_CARET] = ACTIONS(2930),
    [anon_sym_LT_LT] = ACTIONS(2928),
    [anon_sym_GT_GT] = ACTIONS(2928),
    [anon_sym_class] = ACTIONS(2928),
    [anon_sym_BANG2] = ACTIONS(2930),
    [anon_sym_prefix] = ACTIONS(2928),
    [anon_sym_infix] = ACTIONS(2928),
    [anon_sym_postfix] = ACTIONS(2928),
    [anon_sym_AT] = ACTIONS(2930),
    [anon_sym_override] = ACTIONS(2928),
    [anon_sym_convenience] = ACTIONS(2928),
    [anon_sym_required] = ACTIONS(2928),
    [anon_sym_nonisolated] = ACTIONS(2928),
    [anon_sym_public] = ACTIONS(2928),
    [anon_sym_private] = ACTIONS(2928),
    [anon_sym_internal] = ACTIONS(2928),
    [anon_sym_fileprivate] = ACTIONS(2928),
    [anon_sym_open] = ACTIONS(2928),
    [anon_sym_mutating] = ACTIONS(2928),
    [anon_sym_nonmutating] = ACTIONS(2928),
    [anon_sym_static] = ACTIONS(2928),
    [anon_sym_dynamic] = ACTIONS(2928),
    [anon_sym_optional] = ACTIONS(2928),
    [anon_sym_distributed] = ACTIONS(2928),
    [anon_sym_final] = ACTIONS(2928),
    [anon_sym_inout] = ACTIONS(2928),
    [anon_sym_ATescaping] = ACTIONS(2928),
    [anon_sym_ATautoclosure] = ACTIONS(2928),
    [anon_sym_weak] = ACTIONS(2928),
    [anon_sym_unowned] = ACTIONS(2930),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2928),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2928),
    [anon_sym_borrowing] = ACTIONS(2928),
    [anon_sym_consuming] = ACTIONS(2928),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2928),
    [sym__explicit_semi] = ACTIONS(2928),
    [sym__arrow_operator_custom] = ACTIONS(2928),
    [sym__dot_custom] = ACTIONS(2928),
    [sym__conjunction_operator_custom] = ACTIONS(2928),
    [sym__disjunction_operator_custom] = ACTIONS(2928),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2928),
    [sym__eq_custom] = ACTIONS(2928),
    [sym__eq_eq_custom] = ACTIONS(2928),
    [sym__plus_then_ws] = ACTIONS(2928),
    [sym__minus_then_ws] = ACTIONS(2928),
    [sym__bang_custom] = ACTIONS(2928),
    [sym__throws_keyword] = ACTIONS(2928),
    [sym__rethrows_keyword] = ACTIONS(2928),
    [sym_default_keyword] = ACTIONS(2928),
    [sym__as_custom] = ACTIONS(2928),
    [sym__as_quest_custom] = ACTIONS(2928),
    [sym__as_bang_custom] = ACTIONS(2928),
    [sym__async_keyword_custom] = ACTIONS(2928),
    [sym__custom_operator] = ACTIONS(2928),
  },
  [983] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(2995),
    [anon_sym_package] = ACTIONS(2995),
    [anon_sym_COMMA] = ACTIONS(2995),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_LBRACK] = ACTIONS(2995),
    [anon_sym_DOT] = ACTIONS(2997),
    [anon_sym_QMARK] = ACTIONS(2997),
    [anon_sym_QMARK2] = ACTIONS(2995),
    [anon_sym_AMP] = ACTIONS(2995),
    [aux_sym_custom_operator_token1] = ACTIONS(2995),
    [anon_sym_LT] = ACTIONS(2997),
    [anon_sym_GT] = ACTIONS(2997),
    [anon_sym_LBRACE] = ACTIONS(2995),
    [anon_sym_CARET_LBRACE] = ACTIONS(2995),
    [anon_sym_RBRACE] = ACTIONS(2995),
    [anon_sym_case] = ACTIONS(2995),
    [anon_sym_fallthrough] = ACTIONS(2995),
    [anon_sym_PLUS_EQ] = ACTIONS(2995),
    [anon_sym_DASH_EQ] = ACTIONS(2995),
    [anon_sym_STAR_EQ] = ACTIONS(2995),
    [anon_sym_SLASH_EQ] = ACTIONS(2995),
    [anon_sym_PERCENT_EQ] = ACTIONS(2995),
    [anon_sym_BANG_EQ] = ACTIONS(2997),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2995),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2995),
    [anon_sym_LT_EQ] = ACTIONS(2995),
    [anon_sym_GT_EQ] = ACTIONS(2995),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2995),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2995),
    [anon_sym_is] = ACTIONS(2995),
    [anon_sym_PLUS] = ACTIONS(2997),
    [anon_sym_DASH] = ACTIONS(2997),
    [anon_sym_STAR] = ACTIONS(2997),
    [anon_sym_SLASH] = ACTIONS(2997),
    [anon_sym_PERCENT] = ACTIONS(2997),
    [anon_sym_PLUS_PLUS] = ACTIONS(2995),
    [anon_sym_DASH_DASH] = ACTIONS(2995),
    [anon_sym_PIPE] = ACTIONS(2995),
    [anon_sym_CARET] = ACTIONS(2997),
    [anon_sym_LT_LT] = ACTIONS(2995),
    [anon_sym_GT_GT] = ACTIONS(2995),
    [anon_sym_class] = ACTIONS(2995),
    [anon_sym_BANG2] = ACTIONS(2997),
    [anon_sym_prefix] = ACTIONS(2995),
    [anon_sym_infix] = ACTIONS(2995),
    [anon_sym_postfix] = ACTIONS(2995),
    [anon_sym_AT] = ACTIONS(2997),
    [anon_sym_override] = ACTIONS(2995),
    [anon_sym_convenience] = ACTIONS(2995),
    [anon_sym_required] = ACTIONS(2995),
    [anon_sym_nonisolated] = ACTIONS(2995),
    [anon_sym_public] = ACTIONS(2995),
    [anon_sym_private] = ACTIONS(2995),
    [anon_sym_internal] = ACTIONS(2995),
    [anon_sym_fileprivate] = ACTIONS(2995),
    [anon_sym_open] = ACTIONS(2995),
    [anon_sym_mutating] = ACTIONS(2995),
    [anon_sym_nonmutating] = ACTIONS(2995),
    [anon_sym_static] = ACTIONS(2995),
    [anon_sym_dynamic] = ACTIONS(2995),
    [anon_sym_optional] = ACTIONS(2995),
    [anon_sym_distributed] = ACTIONS(2995),
    [anon_sym_final] = ACTIONS(2995),
    [anon_sym_inout] = ACTIONS(2995),
    [anon_sym_ATescaping] = ACTIONS(2995),
    [anon_sym_ATautoclosure] = ACTIONS(2995),
    [anon_sym_weak] = ACTIONS(2995),
    [anon_sym_unowned] = ACTIONS(2997),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2995),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2995),
    [anon_sym_borrowing] = ACTIONS(2995),
    [anon_sym_consuming] = ACTIONS(2995),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2995),
    [sym__explicit_semi] = ACTIONS(2995),
    [sym__arrow_operator_custom] = ACTIONS(2995),
    [sym__dot_custom] = ACTIONS(2995),
    [sym__conjunction_operator_custom] = ACTIONS(2995),
    [sym__disjunction_operator_custom] = ACTIONS(2995),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2995),
    [sym__eq_custom] = ACTIONS(2995),
    [sym__eq_eq_custom] = ACTIONS(2995),
    [sym__plus_then_ws] = ACTIONS(2995),
    [sym__minus_then_ws] = ACTIONS(2995),
    [sym__bang_custom] = ACTIONS(2995),
    [sym__throws_keyword] = ACTIONS(2995),
    [sym__rethrows_keyword] = ACTIONS(2995),
    [sym_default_keyword] = ACTIONS(2995),
    [sym__as_custom] = ACTIONS(2995),
    [sym__as_quest_custom] = ACTIONS(2995),
    [sym__as_bang_custom] = ACTIONS(2995),
    [sym__async_keyword_custom] = ACTIONS(2995),
    [sym__custom_operator] = ACTIONS(2995),
  },
  [984] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(2963),
    [anon_sym_package] = ACTIONS(2963),
    [anon_sym_COMMA] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(2963),
    [anon_sym_LBRACK] = ACTIONS(2963),
    [anon_sym_DOT] = ACTIONS(2965),
    [anon_sym_QMARK] = ACTIONS(2965),
    [anon_sym_QMARK2] = ACTIONS(2963),
    [anon_sym_AMP] = ACTIONS(2963),
    [aux_sym_custom_operator_token1] = ACTIONS(2963),
    [anon_sym_LT] = ACTIONS(2965),
    [anon_sym_GT] = ACTIONS(2965),
    [anon_sym_LBRACE] = ACTIONS(2963),
    [anon_sym_CARET_LBRACE] = ACTIONS(2963),
    [anon_sym_RBRACE] = ACTIONS(2963),
    [anon_sym_case] = ACTIONS(2963),
    [anon_sym_fallthrough] = ACTIONS(2963),
    [anon_sym_PLUS_EQ] = ACTIONS(2963),
    [anon_sym_DASH_EQ] = ACTIONS(2963),
    [anon_sym_STAR_EQ] = ACTIONS(2963),
    [anon_sym_SLASH_EQ] = ACTIONS(2963),
    [anon_sym_PERCENT_EQ] = ACTIONS(2963),
    [anon_sym_BANG_EQ] = ACTIONS(2965),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2963),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2963),
    [anon_sym_LT_EQ] = ACTIONS(2963),
    [anon_sym_GT_EQ] = ACTIONS(2963),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2963),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2963),
    [anon_sym_is] = ACTIONS(2963),
    [anon_sym_PLUS] = ACTIONS(2965),
    [anon_sym_DASH] = ACTIONS(2965),
    [anon_sym_STAR] = ACTIONS(2965),
    [anon_sym_SLASH] = ACTIONS(2965),
    [anon_sym_PERCENT] = ACTIONS(2965),
    [anon_sym_PLUS_PLUS] = ACTIONS(2963),
    [anon_sym_DASH_DASH] = ACTIONS(2963),
    [anon_sym_PIPE] = ACTIONS(2963),
    [anon_sym_CARET] = ACTIONS(2965),
    [anon_sym_LT_LT] = ACTIONS(2963),
    [anon_sym_GT_GT] = ACTIONS(2963),
    [anon_sym_class] = ACTIONS(2963),
    [anon_sym_BANG2] = ACTIONS(2965),
    [anon_sym_prefix] = ACTIONS(2963),
    [anon_sym_infix] = ACTIONS(2963),
    [anon_sym_postfix] = ACTIONS(2963),
    [anon_sym_AT] = ACTIONS(2965),
    [anon_sym_override] = ACTIONS(2963),
    [anon_sym_convenience] = ACTIONS(2963),
    [anon_sym_required] = ACTIONS(2963),
    [anon_sym_nonisolated] = ACTIONS(2963),
    [anon_sym_public] = ACTIONS(2963),
    [anon_sym_private] = ACTIONS(2963),
    [anon_sym_internal] = ACTIONS(2963),
    [anon_sym_fileprivate] = ACTIONS(2963),
    [anon_sym_open] = ACTIONS(2963),
    [anon_sym_mutating] = ACTIONS(2963),
    [anon_sym_nonmutating] = ACTIONS(2963),
    [anon_sym_static] = ACTIONS(2963),
    [anon_sym_dynamic] = ACTIONS(2963),
    [anon_sym_optional] = ACTIONS(2963),
    [anon_sym_distributed] = ACTIONS(2963),
    [anon_sym_final] = ACTIONS(2963),
    [anon_sym_inout] = ACTIONS(2963),
    [anon_sym_ATescaping] = ACTIONS(2963),
    [anon_sym_ATautoclosure] = ACTIONS(2963),
    [anon_sym_weak] = ACTIONS(2963),
    [anon_sym_unowned] = ACTIONS(2965),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2963),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2963),
    [anon_sym_borrowing] = ACTIONS(2963),
    [anon_sym_consuming] = ACTIONS(2963),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2963),
    [sym__explicit_semi] = ACTIONS(2963),
    [sym__arrow_operator_custom] = ACTIONS(2963),
    [sym__dot_custom] = ACTIONS(2963),
    [sym__conjunction_operator_custom] = ACTIONS(2963),
    [sym__disjunction_operator_custom] = ACTIONS(2963),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2963),
    [sym__eq_custom] = ACTIONS(2963),
    [sym__eq_eq_custom] = ACTIONS(2963),
    [sym__plus_then_ws] = ACTIONS(2963),
    [sym__minus_then_ws] = ACTIONS(2963),
    [sym__bang_custom] = ACTIONS(2963),
    [sym__throws_keyword] = ACTIONS(2963),
    [sym__rethrows_keyword] = ACTIONS(2963),
    [sym_default_keyword] = ACTIONS(2963),
    [sym__as_custom] = ACTIONS(2963),
    [sym__as_quest_custom] = ACTIONS(2963),
    [sym__as_bang_custom] = ACTIONS(2963),
    [sym__async_keyword_custom] = ACTIONS(2963),
    [sym__custom_operator] = ACTIONS(2963),
  },
  [985] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(2955),
    [anon_sym_package] = ACTIONS(2955),
    [anon_sym_COMMA] = ACTIONS(2955),
    [anon_sym_LPAREN] = ACTIONS(2955),
    [anon_sym_LBRACK] = ACTIONS(2955),
    [anon_sym_DOT] = ACTIONS(2957),
    [anon_sym_QMARK] = ACTIONS(2957),
    [anon_sym_QMARK2] = ACTIONS(2955),
    [anon_sym_AMP] = ACTIONS(2955),
    [aux_sym_custom_operator_token1] = ACTIONS(2955),
    [anon_sym_LT] = ACTIONS(2957),
    [anon_sym_GT] = ACTIONS(2957),
    [anon_sym_LBRACE] = ACTIONS(2955),
    [anon_sym_CARET_LBRACE] = ACTIONS(2955),
    [anon_sym_RBRACE] = ACTIONS(2955),
    [anon_sym_case] = ACTIONS(2955),
    [anon_sym_fallthrough] = ACTIONS(2955),
    [anon_sym_PLUS_EQ] = ACTIONS(2955),
    [anon_sym_DASH_EQ] = ACTIONS(2955),
    [anon_sym_STAR_EQ] = ACTIONS(2955),
    [anon_sym_SLASH_EQ] = ACTIONS(2955),
    [anon_sym_PERCENT_EQ] = ACTIONS(2955),
    [anon_sym_BANG_EQ] = ACTIONS(2957),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2955),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2955),
    [anon_sym_LT_EQ] = ACTIONS(2955),
    [anon_sym_GT_EQ] = ACTIONS(2955),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2955),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2955),
    [anon_sym_is] = ACTIONS(2955),
    [anon_sym_PLUS] = ACTIONS(2957),
    [anon_sym_DASH] = ACTIONS(2957),
    [anon_sym_STAR] = ACTIONS(2957),
    [anon_sym_SLASH] = ACTIONS(2957),
    [anon_sym_PERCENT] = ACTIONS(2957),
    [anon_sym_PLUS_PLUS] = ACTIONS(2955),
    [anon_sym_DASH_DASH] = ACTIONS(2955),
    [anon_sym_PIPE] = ACTIONS(2955),
    [anon_sym_CARET] = ACTIONS(2957),
    [anon_sym_LT_LT] = ACTIONS(2955),
    [anon_sym_GT_GT] = ACTIONS(2955),
    [anon_sym_class] = ACTIONS(2955),
    [anon_sym_BANG2] = ACTIONS(2957),
    [anon_sym_prefix] = ACTIONS(2955),
    [anon_sym_infix] = ACTIONS(2955),
    [anon_sym_postfix] = ACTIONS(2955),
    [anon_sym_AT] = ACTIONS(2957),
    [anon_sym_override] = ACTIONS(2955),
    [anon_sym_convenience] = ACTIONS(2955),
    [anon_sym_required] = ACTIONS(2955),
    [anon_sym_nonisolated] = ACTIONS(2955),
    [anon_sym_public] = ACTIONS(2955),
    [anon_sym_private] = ACTIONS(2955),
    [anon_sym_internal] = ACTIONS(2955),
    [anon_sym_fileprivate] = ACTIONS(2955),
    [anon_sym_open] = ACTIONS(2955),
    [anon_sym_mutating] = ACTIONS(2955),
    [anon_sym_nonmutating] = ACTIONS(2955),
    [anon_sym_static] = ACTIONS(2955),
    [anon_sym_dynamic] = ACTIONS(2955),
    [anon_sym_optional] = ACTIONS(2955),
    [anon_sym_distributed] = ACTIONS(2955),
    [anon_sym_final] = ACTIONS(2955),
    [anon_sym_inout] = ACTIONS(2955),
    [anon_sym_ATescaping] = ACTIONS(2955),
    [anon_sym_ATautoclosure] = ACTIONS(2955),
    [anon_sym_weak] = ACTIONS(2955),
    [anon_sym_unowned] = ACTIONS(2957),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2955),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2955),
    [anon_sym_borrowing] = ACTIONS(2955),
    [anon_sym_consuming] = ACTIONS(2955),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2955),
    [sym__explicit_semi] = ACTIONS(2955),
    [sym__arrow_operator_custom] = ACTIONS(2955),
    [sym__dot_custom] = ACTIONS(2955),
    [sym__conjunction_operator_custom] = ACTIONS(2955),
    [sym__disjunction_operator_custom] = ACTIONS(2955),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2955),
    [sym__eq_custom] = ACTIONS(2955),
    [sym__eq_eq_custom] = ACTIONS(2955),
    [sym__plus_then_ws] = ACTIONS(2955),
    [sym__minus_then_ws] = ACTIONS(2955),
    [sym__bang_custom] = ACTIONS(2955),
    [sym__throws_keyword] = ACTIONS(2955),
    [sym__rethrows_keyword] = ACTIONS(2955),
    [sym_default_keyword] = ACTIONS(2955),
    [sym__as_custom] = ACTIONS(2955),
    [sym__as_quest_custom] = ACTIONS(2955),
    [sym__as_bang_custom] = ACTIONS(2955),
    [sym__async_keyword_custom] = ACTIONS(2955),
    [sym__custom_operator] = ACTIONS(2955),
  },
  [986] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(2910),
    [anon_sym_package] = ACTIONS(2910),
    [anon_sym_COMMA] = ACTIONS(2910),
    [anon_sym_LPAREN] = ACTIONS(2910),
    [anon_sym_LBRACK] = ACTIONS(2910),
    [anon_sym_DOT] = ACTIONS(2912),
    [anon_sym_QMARK] = ACTIONS(2912),
    [anon_sym_QMARK2] = ACTIONS(2910),
    [anon_sym_AMP] = ACTIONS(2910),
    [aux_sym_custom_operator_token1] = ACTIONS(2910),
    [anon_sym_LT] = ACTIONS(2912),
    [anon_sym_GT] = ACTIONS(2912),
    [anon_sym_LBRACE] = ACTIONS(2910),
    [anon_sym_CARET_LBRACE] = ACTIONS(2910),
    [anon_sym_RBRACE] = ACTIONS(2910),
    [anon_sym_case] = ACTIONS(2910),
    [anon_sym_fallthrough] = ACTIONS(2910),
    [anon_sym_PLUS_EQ] = ACTIONS(2910),
    [anon_sym_DASH_EQ] = ACTIONS(2910),
    [anon_sym_STAR_EQ] = ACTIONS(2910),
    [anon_sym_SLASH_EQ] = ACTIONS(2910),
    [anon_sym_PERCENT_EQ] = ACTIONS(2910),
    [anon_sym_BANG_EQ] = ACTIONS(2912),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2910),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2910),
    [anon_sym_LT_EQ] = ACTIONS(2910),
    [anon_sym_GT_EQ] = ACTIONS(2910),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2910),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2910),
    [anon_sym_is] = ACTIONS(2910),
    [anon_sym_PLUS] = ACTIONS(2912),
    [anon_sym_DASH] = ACTIONS(2912),
    [anon_sym_STAR] = ACTIONS(2912),
    [anon_sym_SLASH] = ACTIONS(2912),
    [anon_sym_PERCENT] = ACTIONS(2912),
    [anon_sym_PLUS_PLUS] = ACTIONS(2910),
    [anon_sym_DASH_DASH] = ACTIONS(2910),
    [anon_sym_PIPE] = ACTIONS(2910),
    [anon_sym_CARET] = ACTIONS(2912),
    [anon_sym_LT_LT] = ACTIONS(2910),
    [anon_sym_GT_GT] = ACTIONS(2910),
    [anon_sym_class] = ACTIONS(2910),
    [anon_sym_BANG2] = ACTIONS(2912),
    [anon_sym_prefix] = ACTIONS(2910),
    [anon_sym_infix] = ACTIONS(2910),
    [anon_sym_postfix] = ACTIONS(2910),
    [anon_sym_AT] = ACTIONS(2912),
    [anon_sym_override] = ACTIONS(2910),
    [anon_sym_convenience] = ACTIONS(2910),
    [anon_sym_required] = ACTIONS(2910),
    [anon_sym_nonisolated] = ACTIONS(2910),
    [anon_sym_public] = ACTIONS(2910),
    [anon_sym_private] = ACTIONS(2910),
    [anon_sym_internal] = ACTIONS(2910),
    [anon_sym_fileprivate] = ACTIONS(2910),
    [anon_sym_open] = ACTIONS(2910),
    [anon_sym_mutating] = ACTIONS(2910),
    [anon_sym_nonmutating] = ACTIONS(2910),
    [anon_sym_static] = ACTIONS(2910),
    [anon_sym_dynamic] = ACTIONS(2910),
    [anon_sym_optional] = ACTIONS(2910),
    [anon_sym_distributed] = ACTIONS(2910),
    [anon_sym_final] = ACTIONS(2910),
    [anon_sym_inout] = ACTIONS(2910),
    [anon_sym_ATescaping] = ACTIONS(2910),
    [anon_sym_ATautoclosure] = ACTIONS(2910),
    [anon_sym_weak] = ACTIONS(2910),
    [anon_sym_unowned] = ACTIONS(2912),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2910),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2910),
    [anon_sym_borrowing] = ACTIONS(2910),
    [anon_sym_consuming] = ACTIONS(2910),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2910),
    [sym__explicit_semi] = ACTIONS(2910),
    [sym__arrow_operator_custom] = ACTIONS(2910),
    [sym__dot_custom] = ACTIONS(2910),
    [sym__conjunction_operator_custom] = ACTIONS(2910),
    [sym__disjunction_operator_custom] = ACTIONS(2910),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2910),
    [sym__eq_custom] = ACTIONS(2910),
    [sym__eq_eq_custom] = ACTIONS(2910),
    [sym__plus_then_ws] = ACTIONS(2910),
    [sym__minus_then_ws] = ACTIONS(2910),
    [sym__bang_custom] = ACTIONS(2910),
    [sym__throws_keyword] = ACTIONS(2910),
    [sym__rethrows_keyword] = ACTIONS(2910),
    [sym_default_keyword] = ACTIONS(2910),
    [sym__as_custom] = ACTIONS(2910),
    [sym__as_quest_custom] = ACTIONS(2910),
    [sym__as_bang_custom] = ACTIONS(2910),
    [sym__async_keyword_custom] = ACTIONS(2910),
    [sym__custom_operator] = ACTIONS(2910),
  },
  [987] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(2983),
    [anon_sym_package] = ACTIONS(2983),
    [anon_sym_COMMA] = ACTIONS(2983),
    [anon_sym_LPAREN] = ACTIONS(2983),
    [anon_sym_LBRACK] = ACTIONS(2983),
    [anon_sym_DOT] = ACTIONS(2985),
    [anon_sym_QMARK] = ACTIONS(2985),
    [anon_sym_QMARK2] = ACTIONS(2983),
    [anon_sym_AMP] = ACTIONS(2983),
    [aux_sym_custom_operator_token1] = ACTIONS(2983),
    [anon_sym_LT] = ACTIONS(2985),
    [anon_sym_GT] = ACTIONS(2985),
    [anon_sym_LBRACE] = ACTIONS(2983),
    [anon_sym_CARET_LBRACE] = ACTIONS(2983),
    [anon_sym_RBRACE] = ACTIONS(2983),
    [anon_sym_case] = ACTIONS(2983),
    [anon_sym_fallthrough] = ACTIONS(2983),
    [anon_sym_PLUS_EQ] = ACTIONS(2983),
    [anon_sym_DASH_EQ] = ACTIONS(2983),
    [anon_sym_STAR_EQ] = ACTIONS(2983),
    [anon_sym_SLASH_EQ] = ACTIONS(2983),
    [anon_sym_PERCENT_EQ] = ACTIONS(2983),
    [anon_sym_BANG_EQ] = ACTIONS(2985),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2983),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2983),
    [anon_sym_LT_EQ] = ACTIONS(2983),
    [anon_sym_GT_EQ] = ACTIONS(2983),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2983),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2983),
    [anon_sym_is] = ACTIONS(2983),
    [anon_sym_PLUS] = ACTIONS(2985),
    [anon_sym_DASH] = ACTIONS(2985),
    [anon_sym_STAR] = ACTIONS(2985),
    [anon_sym_SLASH] = ACTIONS(2985),
    [anon_sym_PERCENT] = ACTIONS(2985),
    [anon_sym_PLUS_PLUS] = ACTIONS(2983),
    [anon_sym_DASH_DASH] = ACTIONS(2983),
    [anon_sym_PIPE] = ACTIONS(2983),
    [anon_sym_CARET] = ACTIONS(2985),
    [anon_sym_LT_LT] = ACTIONS(2983),
    [anon_sym_GT_GT] = ACTIONS(2983),
    [anon_sym_class] = ACTIONS(2983),
    [anon_sym_BANG2] = ACTIONS(2985),
    [anon_sym_prefix] = ACTIONS(2983),
    [anon_sym_infix] = ACTIONS(2983),
    [anon_sym_postfix] = ACTIONS(2983),
    [anon_sym_AT] = ACTIONS(2985),
    [anon_sym_override] = ACTIONS(2983),
    [anon_sym_convenience] = ACTIONS(2983),
    [anon_sym_required] = ACTIONS(2983),
    [anon_sym_nonisolated] = ACTIONS(2983),
    [anon_sym_public] = ACTIONS(2983),
    [anon_sym_private] = ACTIONS(2983),
    [anon_sym_internal] = ACTIONS(2983),
    [anon_sym_fileprivate] = ACTIONS(2983),
    [anon_sym_open] = ACTIONS(2983),
    [anon_sym_mutating] = ACTIONS(2983),
    [anon_sym_nonmutating] = ACTIONS(2983),
    [anon_sym_static] = ACTIONS(2983),
    [anon_sym_dynamic] = ACTIONS(2983),
    [anon_sym_optional] = ACTIONS(2983),
    [anon_sym_distributed] = ACTIONS(2983),
    [anon_sym_final] = ACTIONS(2983),
    [anon_sym_inout] = ACTIONS(2983),
    [anon_sym_ATescaping] = ACTIONS(2983),
    [anon_sym_ATautoclosure] = ACTIONS(2983),
    [anon_sym_weak] = ACTIONS(2983),
    [anon_sym_unowned] = ACTIONS(2985),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2983),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2983),
    [anon_sym_borrowing] = ACTIONS(2983),
    [anon_sym_consuming] = ACTIONS(2983),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2983),
    [sym__explicit_semi] = ACTIONS(2983),
    [sym__arrow_operator_custom] = ACTIONS(2983),
    [sym__dot_custom] = ACTIONS(2983),
    [sym__conjunction_operator_custom] = ACTIONS(2983),
    [sym__disjunction_operator_custom] = ACTIONS(2983),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2983),
    [sym__eq_custom] = ACTIONS(2983),
    [sym__eq_eq_custom] = ACTIONS(2983),
    [sym__plus_then_ws] = ACTIONS(2983),
    [sym__minus_then_ws] = ACTIONS(2983),
    [sym__bang_custom] = ACTIONS(2983),
    [sym__throws_keyword] = ACTIONS(2983),
    [sym__rethrows_keyword] = ACTIONS(2983),
    [sym_default_keyword] = ACTIONS(2983),
    [sym__as_custom] = ACTIONS(2983),
    [sym__as_quest_custom] = ACTIONS(2983),
    [sym__as_bang_custom] = ACTIONS(2983),
    [sym__async_keyword_custom] = ACTIONS(2983),
    [sym__custom_operator] = ACTIONS(2983),
  },
  [988] = {
    [sym__key_path_postfixes] = STATE(967),
    [sym_bang] = STATE(967),
    [aux_sym__key_path_component_repeat1] = STATE(967),
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(2904),
    [anon_sym_package] = ACTIONS(2904),
    [anon_sym_COMMA] = ACTIONS(2904),
    [anon_sym_LPAREN] = ACTIONS(2904),
    [anon_sym_LBRACK] = ACTIONS(2904),
    [anon_sym_DOT] = ACTIONS(2906),
    [anon_sym_QMARK] = ACTIONS(2906),
    [anon_sym_QMARK2] = ACTIONS(2904),
    [anon_sym_AMP] = ACTIONS(2904),
    [aux_sym_custom_operator_token1] = ACTIONS(2904),
    [anon_sym_LT] = ACTIONS(2906),
    [anon_sym_GT] = ACTIONS(2906),
    [anon_sym_LBRACE] = ACTIONS(2904),
    [anon_sym_CARET_LBRACE] = ACTIONS(2904),
    [anon_sym_RBRACE] = ACTIONS(2904),
    [anon_sym_self] = ACTIONS(3583),
    [anon_sym_case] = ACTIONS(2904),
    [anon_sym_fallthrough] = ACTIONS(2904),
    [anon_sym_PLUS_EQ] = ACTIONS(2904),
    [anon_sym_DASH_EQ] = ACTIONS(2904),
    [anon_sym_STAR_EQ] = ACTIONS(2904),
    [anon_sym_SLASH_EQ] = ACTIONS(2904),
    [anon_sym_PERCENT_EQ] = ACTIONS(2904),
    [anon_sym_BANG_EQ] = ACTIONS(2906),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2904),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2904),
    [anon_sym_LT_EQ] = ACTIONS(2904),
    [anon_sym_GT_EQ] = ACTIONS(2904),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2904),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2904),
    [anon_sym_is] = ACTIONS(2904),
    [anon_sym_PLUS] = ACTIONS(2906),
    [anon_sym_DASH] = ACTIONS(2906),
    [anon_sym_STAR] = ACTIONS(2906),
    [anon_sym_SLASH] = ACTIONS(2906),
    [anon_sym_PERCENT] = ACTIONS(2906),
    [anon_sym_PLUS_PLUS] = ACTIONS(2904),
    [anon_sym_DASH_DASH] = ACTIONS(2904),
    [anon_sym_PIPE] = ACTIONS(2904),
    [anon_sym_CARET] = ACTIONS(2906),
    [anon_sym_LT_LT] = ACTIONS(2904),
    [anon_sym_GT_GT] = ACTIONS(2904),
    [anon_sym_class] = ACTIONS(2904),
    [anon_sym_BANG2] = ACTIONS(2906),
    [anon_sym_prefix] = ACTIONS(2904),
    [anon_sym_infix] = ACTIONS(2904),
    [anon_sym_postfix] = ACTIONS(2904),
    [anon_sym_AT] = ACTIONS(2906),
    [anon_sym_override] = ACTIONS(2904),
    [anon_sym_convenience] = ACTIONS(2904),
    [anon_sym_required] = ACTIONS(2904),
    [anon_sym_nonisolated] = ACTIONS(2904),
    [anon_sym_public] = ACTIONS(2904),
    [anon_sym_private] = ACTIONS(2904),
    [anon_sym_internal] = ACTIONS(2904),
    [anon_sym_fileprivate] = ACTIONS(2904),
    [anon_sym_open] = ACTIONS(2904),
    [anon_sym_mutating] = ACTIONS(2904),
    [anon_sym_nonmutating] = ACTIONS(2904),
    [anon_sym_static] = ACTIONS(2904),
    [anon_sym_dynamic] = ACTIONS(2904),
    [anon_sym_optional] = ACTIONS(2904),
    [anon_sym_distributed] = ACTIONS(2904),
    [anon_sym_final] = ACTIONS(2904),
    [anon_sym_inout] = ACTIONS(2904),
    [anon_sym_ATescaping] = ACTIONS(2904),
    [anon_sym_ATautoclosure] = ACTIONS(2904),
    [anon_sym_weak] = ACTIONS(2904),
    [anon_sym_unowned] = ACTIONS(2906),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2904),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2904),
    [anon_sym_borrowing] = ACTIONS(2904),
    [anon_sym_consuming] = ACTIONS(2904),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2904),
    [sym__explicit_semi] = ACTIONS(2904),
    [sym__dot_custom] = ACTIONS(2904),
    [sym__conjunction_operator_custom] = ACTIONS(2904),
    [sym__disjunction_operator_custom] = ACTIONS(2904),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2904),
    [sym__eq_custom] = ACTIONS(2904),
    [sym__eq_eq_custom] = ACTIONS(2904),
    [sym__plus_then_ws] = ACTIONS(2904),
    [sym__minus_then_ws] = ACTIONS(2904),
    [sym__bang_custom] = ACTIONS(2904),
    [sym_default_keyword] = ACTIONS(2904),
    [sym__as_custom] = ACTIONS(2904),
    [sym__as_quest_custom] = ACTIONS(2904),
    [sym__as_bang_custom] = ACTIONS(2904),
    [sym__custom_operator] = ACTIONS(2904),
  },
  [989] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(2967),
    [anon_sym_package] = ACTIONS(2967),
    [anon_sym_COMMA] = ACTIONS(2967),
    [anon_sym_LPAREN] = ACTIONS(2967),
    [anon_sym_LBRACK] = ACTIONS(2967),
    [anon_sym_DOT] = ACTIONS(2969),
    [anon_sym_QMARK] = ACTIONS(2969),
    [anon_sym_QMARK2] = ACTIONS(2967),
    [anon_sym_AMP] = ACTIONS(2967),
    [aux_sym_custom_operator_token1] = ACTIONS(2967),
    [anon_sym_LT] = ACTIONS(2969),
    [anon_sym_GT] = ACTIONS(2969),
    [anon_sym_LBRACE] = ACTIONS(2967),
    [anon_sym_CARET_LBRACE] = ACTIONS(2967),
    [anon_sym_RBRACE] = ACTIONS(2967),
    [anon_sym_case] = ACTIONS(2967),
    [anon_sym_fallthrough] = ACTIONS(2967),
    [anon_sym_PLUS_EQ] = ACTIONS(2967),
    [anon_sym_DASH_EQ] = ACTIONS(2967),
    [anon_sym_STAR_EQ] = ACTIONS(2967),
    [anon_sym_SLASH_EQ] = ACTIONS(2967),
    [anon_sym_PERCENT_EQ] = ACTIONS(2967),
    [anon_sym_BANG_EQ] = ACTIONS(2969),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2967),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2967),
    [anon_sym_LT_EQ] = ACTIONS(2967),
    [anon_sym_GT_EQ] = ACTIONS(2967),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2967),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2967),
    [anon_sym_is] = ACTIONS(2967),
    [anon_sym_PLUS] = ACTIONS(2969),
    [anon_sym_DASH] = ACTIONS(2969),
    [anon_sym_STAR] = ACTIONS(2969),
    [anon_sym_SLASH] = ACTIONS(2969),
    [anon_sym_PERCENT] = ACTIONS(2969),
    [anon_sym_PLUS_PLUS] = ACTIONS(2967),
    [anon_sym_DASH_DASH] = ACTIONS(2967),
    [anon_sym_PIPE] = ACTIONS(2967),
    [anon_sym_CARET] = ACTIONS(2969),
    [anon_sym_LT_LT] = ACTIONS(2967),
    [anon_sym_GT_GT] = ACTIONS(2967),
    [anon_sym_class] = ACTIONS(2967),
    [anon_sym_BANG2] = ACTIONS(2969),
    [anon_sym_prefix] = ACTIONS(2967),
    [anon_sym_infix] = ACTIONS(2967),
    [anon_sym_postfix] = ACTIONS(2967),
    [anon_sym_AT] = ACTIONS(2969),
    [anon_sym_override] = ACTIONS(2967),
    [anon_sym_convenience] = ACTIONS(2967),
    [anon_sym_required] = ACTIONS(2967),
    [anon_sym_nonisolated] = ACTIONS(2967),
    [anon_sym_public] = ACTIONS(2967),
    [anon_sym_private] = ACTIONS(2967),
    [anon_sym_internal] = ACTIONS(2967),
    [anon_sym_fileprivate] = ACTIONS(2967),
    [anon_sym_open] = ACTIONS(2967),
    [anon_sym_mutating] = ACTIONS(2967),
    [anon_sym_nonmutating] = ACTIONS(2967),
    [anon_sym_static] = ACTIONS(2967),
    [anon_sym_dynamic] = ACTIONS(2967),
    [anon_sym_optional] = ACTIONS(2967),
    [anon_sym_distributed] = ACTIONS(2967),
    [anon_sym_final] = ACTIONS(2967),
    [anon_sym_inout] = ACTIONS(2967),
    [anon_sym_ATescaping] = ACTIONS(2967),
    [anon_sym_ATautoclosure] = ACTIONS(2967),
    [anon_sym_weak] = ACTIONS(2967),
    [anon_sym_unowned] = ACTIONS(2969),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2967),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2967),
    [anon_sym_borrowing] = ACTIONS(2967),
    [anon_sym_consuming] = ACTIONS(2967),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2967),
    [sym__explicit_semi] = ACTIONS(2967),
    [sym__arrow_operator_custom] = ACTIONS(2967),
    [sym__dot_custom] = ACTIONS(2967),
    [sym__conjunction_operator_custom] = ACTIONS(2967),
    [sym__disjunction_operator_custom] = ACTIONS(2967),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2967),
    [sym__eq_custom] = ACTIONS(2967),
    [sym__eq_eq_custom] = ACTIONS(2967),
    [sym__plus_then_ws] = ACTIONS(2967),
    [sym__minus_then_ws] = ACTIONS(2967),
    [sym__bang_custom] = ACTIONS(2967),
    [sym__throws_keyword] = ACTIONS(2967),
    [sym__rethrows_keyword] = ACTIONS(2967),
    [sym_default_keyword] = ACTIONS(2967),
    [sym__as_custom] = ACTIONS(2967),
    [sym__as_quest_custom] = ACTIONS(2967),
    [sym__as_bang_custom] = ACTIONS(2967),
    [sym__async_keyword_custom] = ACTIONS(2967),
    [sym__custom_operator] = ACTIONS(2967),
  },
  [990] = {
    [sym__type_level_declaration] = STATE(1001),
    [sym_import_declaration] = STATE(1001),
    [sym_property_declaration] = STATE(1001),
    [sym__modifierless_property_declaration] = STATE(2954),
    [sym_typealias_declaration] = STATE(1001),
    [sym__modifierless_typealias_declaration] = STATE(2967),
    [sym_function_declaration] = STATE(1001),
    [sym__bodyless_function_declaration] = STATE(7000),
    [sym__modifierless_function_declaration_no_body] = STATE(7642),
    [sym_class_declaration] = STATE(1001),
    [sym__modifierless_class_declaration] = STATE(2679),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__async_modifier] = STATE(6632),
    [sym_enum_entry] = STATE(1001),
    [sym_protocol_declaration] = STATE(1001),
    [sym_init_declaration] = STATE(1001),
    [sym_deinit_declaration] = STATE(1001),
    [sym_subscript_declaration] = STATE(1001),
    [sym_operator_declaration] = STATE(1001),
    [sym_precedence_group_declaration] = STATE(1001),
    [sym_associatedtype_declaration] = STATE(1001),
    [sym_attribute] = STATE(1553),
    [sym_value_binding_pattern] = STATE(3975),
    [sym__possibly_async_binding_pattern_kind] = STATE(3975),
    [sym_modifiers] = STATE(4224),
    [aux_sym__locally_permitted_modifiers] = STATE(1553),
    [sym__non_local_scope_modifier] = STATE(1553),
    [sym__locally_permitted_modifier] = STATE(1553),
    [sym_property_behavior_modifier] = STATE(1553),
    [sym_member_modifier] = STATE(1553),
    [sym_visibility_modifier] = STATE(1553),
    [sym_function_modifier] = STATE(1553),
    [sym_mutation_modifier] = STATE(1553),
    [sym_property_modifier] = STATE(1553),
    [sym_inheritance_modifier] = STATE(1553),
    [sym_parameter_modifier] = STATE(1553),
    [sym_ownership_modifier] = STATE(1553),
    [sym__parameter_ownership_modifier] = STATE(2572),
    [aux_sym_enum_class_body_repeat1] = STATE(1001),
    [aux_sym_modifiers_repeat1] = STATE(1553),
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(3587),
    [anon_sym_async] = ACTIONS(3589),
    [anon_sym_lazy] = ACTIONS(3591),
    [anon_sym_package] = ACTIONS(3593),
    [anon_sym_RBRACE] = ACTIONS(3595),
    [anon_sym_case] = ACTIONS(3597),
    [anon_sym_import] = ACTIONS(3599),
    [anon_sym_typealias] = ACTIONS(3601),
    [anon_sym_struct] = ACTIONS(3587),
    [anon_sym_class] = ACTIONS(3603),
    [anon_sym_enum] = ACTIONS(3605),
    [anon_sym_protocol] = ACTIONS(3607),
    [anon_sym_let] = ACTIONS(3609),
    [anon_sym_var] = ACTIONS(3609),
    [anon_sym_func] = ACTIONS(3611),
    [anon_sym_extension] = ACTIONS(3613),
    [anon_sym_indirect] = ACTIONS(3615),
    [anon_sym_init] = ACTIONS(3617),
    [anon_sym_deinit] = ACTIONS(3619),
    [anon_sym_subscript] = ACTIONS(3621),
    [anon_sym_prefix] = ACTIONS(3623),
    [anon_sym_infix] = ACTIONS(3623),
    [anon_sym_postfix] = ACTIONS(3623),
    [anon_sym_precedencegroup] = ACTIONS(3625),
    [anon_sym_associatedtype] = ACTIONS(3627),
    [anon_sym_AT] = ACTIONS(123),
    [anon_sym_override] = ACTIONS(3629),
    [anon_sym_convenience] = ACTIONS(3629),
    [anon_sym_required] = ACTIONS(3629),
    [anon_sym_nonisolated] = ACTIONS(3629),
    [anon_sym_public] = ACTIONS(3593),
    [anon_sym_private] = ACTIONS(3593),
    [anon_sym_internal] = ACTIONS(3593),
    [anon_sym_fileprivate] = ACTIONS(3593),
    [anon_sym_open] = ACTIONS(3593),
    [anon_sym_mutating] = ACTIONS(3631),
    [anon_sym_nonmutating] = ACTIONS(3631),
    [anon_sym_static] = ACTIONS(3633),
    [anon_sym_dynamic] = ACTIONS(3633),
    [anon_sym_optional] = ACTIONS(3633),
    [anon_sym_distributed] = ACTIONS(3633),
    [anon_sym_final] = ACTIONS(3635),
    [anon_sym_inout] = ACTIONS(137),
    [anon_sym_ATescaping] = ACTIONS(137),
    [anon_sym_ATautoclosure] = ACTIONS(137),
    [anon_sym_weak] = ACTIONS(141),
    [anon_sym_unowned] = ACTIONS(139),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(141),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(141),
    [anon_sym_borrowing] = ACTIONS(137),
    [anon_sym_consuming] = ACTIONS(137),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
  },
  [991] = {
    [sym__type_level_declaration] = STATE(1001),
    [sym_import_declaration] = STATE(1001),
    [sym_property_declaration] = STATE(1001),
    [sym__modifierless_property_declaration] = STATE(2954),
    [sym_typealias_declaration] = STATE(1001),
    [sym__modifierless_typealias_declaration] = STATE(2967),
    [sym_function_declaration] = STATE(1001),
    [sym__bodyless_function_declaration] = STATE(7000),
    [sym__modifierless_function_declaration_no_body] = STATE(7642),
    [sym_class_declaration] = STATE(1001),
    [sym__modifierless_class_declaration] = STATE(2679),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__async_modifier] = STATE(6632),
    [sym_enum_entry] = STATE(1001),
    [sym_protocol_declaration] = STATE(1001),
    [sym_init_declaration] = STATE(1001),
    [sym_deinit_declaration] = STATE(1001),
    [sym_subscript_declaration] = STATE(1001),
    [sym_operator_declaration] = STATE(1001),
    [sym_precedence_group_declaration] = STATE(1001),
    [sym_associatedtype_declaration] = STATE(1001),
    [sym_attribute] = STATE(1553),
    [sym_value_binding_pattern] = STATE(3975),
    [sym__possibly_async_binding_pattern_kind] = STATE(3975),
    [sym_modifiers] = STATE(4224),
    [aux_sym__locally_permitted_modifiers] = STATE(1553),
    [sym__non_local_scope_modifier] = STATE(1553),
    [sym__locally_permitted_modifier] = STATE(1553),
    [sym_property_behavior_modifier] = STATE(1553),
    [sym_member_modifier] = STATE(1553),
    [sym_visibility_modifier] = STATE(1553),
    [sym_function_modifier] = STATE(1553),
    [sym_mutation_modifier] = STATE(1553),
    [sym_property_modifier] = STATE(1553),
    [sym_inheritance_modifier] = STATE(1553),
    [sym_parameter_modifier] = STATE(1553),
    [sym_ownership_modifier] = STATE(1553),
    [sym__parameter_ownership_modifier] = STATE(2572),
    [aux_sym_enum_class_body_repeat1] = STATE(1001),
    [aux_sym_modifiers_repeat1] = STATE(1553),
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(3587),
    [anon_sym_async] = ACTIONS(3589),
    [anon_sym_lazy] = ACTIONS(3591),
    [anon_sym_package] = ACTIONS(3593),
    [anon_sym_RBRACE] = ACTIONS(3637),
    [anon_sym_case] = ACTIONS(3597),
    [anon_sym_import] = ACTIONS(3599),
    [anon_sym_typealias] = ACTIONS(3601),
    [anon_sym_struct] = ACTIONS(3587),
    [anon_sym_class] = ACTIONS(3603),
    [anon_sym_enum] = ACTIONS(3605),
    [anon_sym_protocol] = ACTIONS(3607),
    [anon_sym_let] = ACTIONS(3609),
    [anon_sym_var] = ACTIONS(3609),
    [anon_sym_func] = ACTIONS(3611),
    [anon_sym_extension] = ACTIONS(3613),
    [anon_sym_indirect] = ACTIONS(3615),
    [anon_sym_init] = ACTIONS(3617),
    [anon_sym_deinit] = ACTIONS(3619),
    [anon_sym_subscript] = ACTIONS(3621),
    [anon_sym_prefix] = ACTIONS(3623),
    [anon_sym_infix] = ACTIONS(3623),
    [anon_sym_postfix] = ACTIONS(3623),
    [anon_sym_precedencegroup] = ACTIONS(3625),
    [anon_sym_associatedtype] = ACTIONS(3627),
    [anon_sym_AT] = ACTIONS(123),
    [anon_sym_override] = ACTIONS(3629),
    [anon_sym_convenience] = ACTIONS(3629),
    [anon_sym_required] = ACTIONS(3629),
    [anon_sym_nonisolated] = ACTIONS(3629),
    [anon_sym_public] = ACTIONS(3593),
    [anon_sym_private] = ACTIONS(3593),
    [anon_sym_internal] = ACTIONS(3593),
    [anon_sym_fileprivate] = ACTIONS(3593),
    [anon_sym_open] = ACTIONS(3593),
    [anon_sym_mutating] = ACTIONS(3631),
    [anon_sym_nonmutating] = ACTIONS(3631),
    [anon_sym_static] = ACTIONS(3633),
    [anon_sym_dynamic] = ACTIONS(3633),
    [anon_sym_optional] = ACTIONS(3633),
    [anon_sym_distributed] = ACTIONS(3633),
    [anon_sym_final] = ACTIONS(3635),
    [anon_sym_inout] = ACTIONS(137),
    [anon_sym_ATescaping] = ACTIONS(137),
    [anon_sym_ATautoclosure] = ACTIONS(137),
    [anon_sym_weak] = ACTIONS(141),
    [anon_sym_unowned] = ACTIONS(139),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(141),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(141),
    [anon_sym_borrowing] = ACTIONS(137),
    [anon_sym_consuming] = ACTIONS(137),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
  },
  [992] = {
    [sym__type_level_declaration] = STATE(990),
    [sym_import_declaration] = STATE(990),
    [sym_property_declaration] = STATE(990),
    [sym__modifierless_property_declaration] = STATE(2954),
    [sym_typealias_declaration] = STATE(990),
    [sym__modifierless_typealias_declaration] = STATE(2967),
    [sym_function_declaration] = STATE(990),
    [sym__bodyless_function_declaration] = STATE(7000),
    [sym__modifierless_function_declaration_no_body] = STATE(7642),
    [sym_class_declaration] = STATE(990),
    [sym__modifierless_class_declaration] = STATE(2679),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__async_modifier] = STATE(6632),
    [sym_enum_entry] = STATE(990),
    [sym_protocol_declaration] = STATE(990),
    [sym_init_declaration] = STATE(990),
    [sym_deinit_declaration] = STATE(990),
    [sym_subscript_declaration] = STATE(990),
    [sym_operator_declaration] = STATE(990),
    [sym_precedence_group_declaration] = STATE(990),
    [sym_associatedtype_declaration] = STATE(990),
    [sym_attribute] = STATE(1553),
    [sym_value_binding_pattern] = STATE(3975),
    [sym__possibly_async_binding_pattern_kind] = STATE(3975),
    [sym_modifiers] = STATE(4224),
    [aux_sym__locally_permitted_modifiers] = STATE(1553),
    [sym__non_local_scope_modifier] = STATE(1553),
    [sym__locally_permitted_modifier] = STATE(1553),
    [sym_property_behavior_modifier] = STATE(1553),
    [sym_member_modifier] = STATE(1553),
    [sym_visibility_modifier] = STATE(1553),
    [sym_function_modifier] = STATE(1553),
    [sym_mutation_modifier] = STATE(1553),
    [sym_property_modifier] = STATE(1553),
    [sym_inheritance_modifier] = STATE(1553),
    [sym_parameter_modifier] = STATE(1553),
    [sym_ownership_modifier] = STATE(1553),
    [sym__parameter_ownership_modifier] = STATE(2572),
    [aux_sym_enum_class_body_repeat1] = STATE(990),
    [aux_sym_modifiers_repeat1] = STATE(1553),
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(3587),
    [anon_sym_async] = ACTIONS(3589),
    [anon_sym_lazy] = ACTIONS(3591),
    [anon_sym_package] = ACTIONS(3593),
    [anon_sym_RBRACE] = ACTIONS(3639),
    [anon_sym_case] = ACTIONS(3597),
    [anon_sym_import] = ACTIONS(3599),
    [anon_sym_typealias] = ACTIONS(3601),
    [anon_sym_struct] = ACTIONS(3587),
    [anon_sym_class] = ACTIONS(3603),
    [anon_sym_enum] = ACTIONS(3605),
    [anon_sym_protocol] = ACTIONS(3607),
    [anon_sym_let] = ACTIONS(3609),
    [anon_sym_var] = ACTIONS(3609),
    [anon_sym_func] = ACTIONS(3611),
    [anon_sym_extension] = ACTIONS(3613),
    [anon_sym_indirect] = ACTIONS(3615),
    [anon_sym_init] = ACTIONS(3617),
    [anon_sym_deinit] = ACTIONS(3619),
    [anon_sym_subscript] = ACTIONS(3621),
    [anon_sym_prefix] = ACTIONS(3623),
    [anon_sym_infix] = ACTIONS(3623),
    [anon_sym_postfix] = ACTIONS(3623),
    [anon_sym_precedencegroup] = ACTIONS(3625),
    [anon_sym_associatedtype] = ACTIONS(3627),
    [anon_sym_AT] = ACTIONS(123),
    [anon_sym_override] = ACTIONS(3629),
    [anon_sym_convenience] = ACTIONS(3629),
    [anon_sym_required] = ACTIONS(3629),
    [anon_sym_nonisolated] = ACTIONS(3629),
    [anon_sym_public] = ACTIONS(3593),
    [anon_sym_private] = ACTIONS(3593),
    [anon_sym_internal] = ACTIONS(3593),
    [anon_sym_fileprivate] = ACTIONS(3593),
    [anon_sym_open] = ACTIONS(3593),
    [anon_sym_mutating] = ACTIONS(3631),
    [anon_sym_nonmutating] = ACTIONS(3631),
    [anon_sym_static] = ACTIONS(3633),
    [anon_sym_dynamic] = ACTIONS(3633),
    [anon_sym_optional] = ACTIONS(3633),
    [anon_sym_distributed] = ACTIONS(3633),
    [anon_sym_final] = ACTIONS(3635),
    [anon_sym_inout] = ACTIONS(137),
    [anon_sym_ATescaping] = ACTIONS(137),
    [anon_sym_ATautoclosure] = ACTIONS(137),
    [anon_sym_weak] = ACTIONS(141),
    [anon_sym_unowned] = ACTIONS(139),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(141),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(141),
    [anon_sym_borrowing] = ACTIONS(137),
    [anon_sym_consuming] = ACTIONS(137),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
  },
  [993] = {
    [sym__type_level_declaration] = STATE(1001),
    [sym_import_declaration] = STATE(1001),
    [sym_property_declaration] = STATE(1001),
    [sym__modifierless_property_declaration] = STATE(2954),
    [sym_typealias_declaration] = STATE(1001),
    [sym__modifierless_typealias_declaration] = STATE(2967),
    [sym_function_declaration] = STATE(1001),
    [sym__bodyless_function_declaration] = STATE(7000),
    [sym__modifierless_function_declaration_no_body] = STATE(7642),
    [sym_class_declaration] = STATE(1001),
    [sym__modifierless_class_declaration] = STATE(2679),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__async_modifier] = STATE(6632),
    [sym_enum_entry] = STATE(1001),
    [sym_protocol_declaration] = STATE(1001),
    [sym_init_declaration] = STATE(1001),
    [sym_deinit_declaration] = STATE(1001),
    [sym_subscript_declaration] = STATE(1001),
    [sym_operator_declaration] = STATE(1001),
    [sym_precedence_group_declaration] = STATE(1001),
    [sym_associatedtype_declaration] = STATE(1001),
    [sym_attribute] = STATE(1553),
    [sym_value_binding_pattern] = STATE(3975),
    [sym__possibly_async_binding_pattern_kind] = STATE(3975),
    [sym_modifiers] = STATE(4224),
    [aux_sym__locally_permitted_modifiers] = STATE(1553),
    [sym__non_local_scope_modifier] = STATE(1553),
    [sym__locally_permitted_modifier] = STATE(1553),
    [sym_property_behavior_modifier] = STATE(1553),
    [sym_member_modifier] = STATE(1553),
    [sym_visibility_modifier] = STATE(1553),
    [sym_function_modifier] = STATE(1553),
    [sym_mutation_modifier] = STATE(1553),
    [sym_property_modifier] = STATE(1553),
    [sym_inheritance_modifier] = STATE(1553),
    [sym_parameter_modifier] = STATE(1553),
    [sym_ownership_modifier] = STATE(1553),
    [sym__parameter_ownership_modifier] = STATE(2572),
    [aux_sym_enum_class_body_repeat1] = STATE(1001),
    [aux_sym_modifiers_repeat1] = STATE(1553),
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(3587),
    [anon_sym_async] = ACTIONS(3589),
    [anon_sym_lazy] = ACTIONS(3591),
    [anon_sym_package] = ACTIONS(3593),
    [anon_sym_RBRACE] = ACTIONS(3641),
    [anon_sym_case] = ACTIONS(3597),
    [anon_sym_import] = ACTIONS(3599),
    [anon_sym_typealias] = ACTIONS(3601),
    [anon_sym_struct] = ACTIONS(3587),
    [anon_sym_class] = ACTIONS(3603),
    [anon_sym_enum] = ACTIONS(3605),
    [anon_sym_protocol] = ACTIONS(3607),
    [anon_sym_let] = ACTIONS(3609),
    [anon_sym_var] = ACTIONS(3609),
    [anon_sym_func] = ACTIONS(3611),
    [anon_sym_extension] = ACTIONS(3613),
    [anon_sym_indirect] = ACTIONS(3615),
    [anon_sym_init] = ACTIONS(3617),
    [anon_sym_deinit] = ACTIONS(3619),
    [anon_sym_subscript] = ACTIONS(3621),
    [anon_sym_prefix] = ACTIONS(3623),
    [anon_sym_infix] = ACTIONS(3623),
    [anon_sym_postfix] = ACTIONS(3623),
    [anon_sym_precedencegroup] = ACTIONS(3625),
    [anon_sym_associatedtype] = ACTIONS(3627),
    [anon_sym_AT] = ACTIONS(123),
    [anon_sym_override] = ACTIONS(3629),
    [anon_sym_convenience] = ACTIONS(3629),
    [anon_sym_required] = ACTIONS(3629),
    [anon_sym_nonisolated] = ACTIONS(3629),
    [anon_sym_public] = ACTIONS(3593),
    [anon_sym_private] = ACTIONS(3593),
    [anon_sym_internal] = ACTIONS(3593),
    [anon_sym_fileprivate] = ACTIONS(3593),
    [anon_sym_open] = ACTIONS(3593),
    [anon_sym_mutating] = ACTIONS(3631),
    [anon_sym_nonmutating] = ACTIONS(3631),
    [anon_sym_static] = ACTIONS(3633),
    [anon_sym_dynamic] = ACTIONS(3633),
    [anon_sym_optional] = ACTIONS(3633),
    [anon_sym_distributed] = ACTIONS(3633),
    [anon_sym_final] = ACTIONS(3635),
    [anon_sym_inout] = ACTIONS(137),
    [anon_sym_ATescaping] = ACTIONS(137),
    [anon_sym_ATautoclosure] = ACTIONS(137),
    [anon_sym_weak] = ACTIONS(141),
    [anon_sym_unowned] = ACTIONS(139),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(141),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(141),
    [anon_sym_borrowing] = ACTIONS(137),
    [anon_sym_consuming] = ACTIONS(137),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
  },
  [994] = {
    [sym__type_level_declaration] = STATE(997),
    [sym_import_declaration] = STATE(997),
    [sym_property_declaration] = STATE(997),
    [sym__modifierless_property_declaration] = STATE(2954),
    [sym_typealias_declaration] = STATE(997),
    [sym__modifierless_typealias_declaration] = STATE(2967),
    [sym_function_declaration] = STATE(997),
    [sym__bodyless_function_declaration] = STATE(7000),
    [sym__modifierless_function_declaration_no_body] = STATE(7642),
    [sym_class_declaration] = STATE(997),
    [sym__modifierless_class_declaration] = STATE(2679),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__async_modifier] = STATE(6632),
    [sym_enum_entry] = STATE(997),
    [sym_protocol_declaration] = STATE(997),
    [sym_init_declaration] = STATE(997),
    [sym_deinit_declaration] = STATE(997),
    [sym_subscript_declaration] = STATE(997),
    [sym_operator_declaration] = STATE(997),
    [sym_precedence_group_declaration] = STATE(997),
    [sym_associatedtype_declaration] = STATE(997),
    [sym_attribute] = STATE(1553),
    [sym_value_binding_pattern] = STATE(3975),
    [sym__possibly_async_binding_pattern_kind] = STATE(3975),
    [sym_modifiers] = STATE(4224),
    [aux_sym__locally_permitted_modifiers] = STATE(1553),
    [sym__non_local_scope_modifier] = STATE(1553),
    [sym__locally_permitted_modifier] = STATE(1553),
    [sym_property_behavior_modifier] = STATE(1553),
    [sym_member_modifier] = STATE(1553),
    [sym_visibility_modifier] = STATE(1553),
    [sym_function_modifier] = STATE(1553),
    [sym_mutation_modifier] = STATE(1553),
    [sym_property_modifier] = STATE(1553),
    [sym_inheritance_modifier] = STATE(1553),
    [sym_parameter_modifier] = STATE(1553),
    [sym_ownership_modifier] = STATE(1553),
    [sym__parameter_ownership_modifier] = STATE(2572),
    [aux_sym_enum_class_body_repeat1] = STATE(997),
    [aux_sym_modifiers_repeat1] = STATE(1553),
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(3587),
    [anon_sym_async] = ACTIONS(3589),
    [anon_sym_lazy] = ACTIONS(3591),
    [anon_sym_package] = ACTIONS(3593),
    [anon_sym_RBRACE] = ACTIONS(3643),
    [anon_sym_case] = ACTIONS(3597),
    [anon_sym_import] = ACTIONS(3599),
    [anon_sym_typealias] = ACTIONS(3601),
    [anon_sym_struct] = ACTIONS(3587),
    [anon_sym_class] = ACTIONS(3603),
    [anon_sym_enum] = ACTIONS(3605),
    [anon_sym_protocol] = ACTIONS(3607),
    [anon_sym_let] = ACTIONS(3609),
    [anon_sym_var] = ACTIONS(3609),
    [anon_sym_func] = ACTIONS(3611),
    [anon_sym_extension] = ACTIONS(3613),
    [anon_sym_indirect] = ACTIONS(3615),
    [anon_sym_init] = ACTIONS(3617),
    [anon_sym_deinit] = ACTIONS(3619),
    [anon_sym_subscript] = ACTIONS(3621),
    [anon_sym_prefix] = ACTIONS(3623),
    [anon_sym_infix] = ACTIONS(3623),
    [anon_sym_postfix] = ACTIONS(3623),
    [anon_sym_precedencegroup] = ACTIONS(3625),
    [anon_sym_associatedtype] = ACTIONS(3627),
    [anon_sym_AT] = ACTIONS(123),
    [anon_sym_override] = ACTIONS(3629),
    [anon_sym_convenience] = ACTIONS(3629),
    [anon_sym_required] = ACTIONS(3629),
    [anon_sym_nonisolated] = ACTIONS(3629),
    [anon_sym_public] = ACTIONS(3593),
    [anon_sym_private] = ACTIONS(3593),
    [anon_sym_internal] = ACTIONS(3593),
    [anon_sym_fileprivate] = ACTIONS(3593),
    [anon_sym_open] = ACTIONS(3593),
    [anon_sym_mutating] = ACTIONS(3631),
    [anon_sym_nonmutating] = ACTIONS(3631),
    [anon_sym_static] = ACTIONS(3633),
    [anon_sym_dynamic] = ACTIONS(3633),
    [anon_sym_optional] = ACTIONS(3633),
    [anon_sym_distributed] = ACTIONS(3633),
    [anon_sym_final] = ACTIONS(3635),
    [anon_sym_inout] = ACTIONS(137),
    [anon_sym_ATescaping] = ACTIONS(137),
    [anon_sym_ATautoclosure] = ACTIONS(137),
    [anon_sym_weak] = ACTIONS(141),
    [anon_sym_unowned] = ACTIONS(139),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(141),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(141),
    [anon_sym_borrowing] = ACTIONS(137),
    [anon_sym_consuming] = ACTIONS(137),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
  },
  [995] = {
    [sym_simple_identifier] = STATE(1620),
    [sym__contextual_simple_identifier] = STATE(1659),
    [sym__unannotated_type] = STATE(1584),
    [sym_user_type] = STATE(1652),
    [sym__simple_user_type] = STATE(1612),
    [sym_tuple_type] = STATE(1539),
    [sym_function_type] = STATE(1584),
    [sym_array_type] = STATE(1652),
    [sym_dictionary_type] = STATE(1652),
    [sym_optional_type] = STATE(1584),
    [sym_metatype] = STATE(1584),
    [sym_opaque_type] = STATE(1584),
    [sym_existential_type] = STATE(1584),
    [sym_type_parameter_pack] = STATE(1584),
    [sym_type_pack_expansion] = STATE(1584),
    [sym_protocol_composition_type] = STATE(1584),
    [sym__parenthesized_type] = STATE(1735),
    [sym__parameter_ownership_modifier] = STATE(1659),
    [sym_comment] = ACTIONS(5),
    [aux_sym_simple_identifier_token1] = ACTIONS(3645),
    [aux_sym_simple_identifier_token2] = ACTIONS(3647),
    [aux_sym_simple_identifier_token3] = ACTIONS(3647),
    [aux_sym_simple_identifier_token4] = ACTIONS(3647),
    [anon_sym_actor] = ACTIONS(3649),
    [anon_sym_async] = ACTIONS(3649),
    [anon_sym_each] = ACTIONS(3652),
    [anon_sym_lazy] = ACTIONS(3649),
    [anon_sym_repeat] = ACTIONS(3654),
    [anon_sym_package] = ACTIONS(3649),
    [anon_sym_COMMA] = ACTIONS(631),
    [anon_sym_BANG] = ACTIONS(631),
    [anon_sym_LPAREN] = ACTIONS(3656),
    [anon_sym_LBRACK] = ACTIONS(3658),
    [anon_sym_DOT] = ACTIONS(631),
    [anon_sym_QMARK2] = ACTIONS(631),
    [anon_sym_some] = ACTIONS(3660),
    [anon_sym_any] = ACTIONS(3662),
    [anon_sym_AMP] = ACTIONS(631),
    [anon_sym_LT] = ACTIONS(631),
    [anon_sym_LBRACE] = ACTIONS(631),
    [anon_sym_RBRACE] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(637),
    [anon_sym_import] = ACTIONS(637),
    [anon_sym_typealias] = ACTIONS(637),
    [anon_sym_struct] = ACTIONS(637),
    [anon_sym_class] = ACTIONS(637),
    [anon_sym_enum] = ACTIONS(637),
    [anon_sym_protocol] = ACTIONS(637),
    [anon_sym_let] = ACTIONS(637),
    [anon_sym_var] = ACTIONS(637),
    [anon_sym_func] = ACTIONS(637),
    [anon_sym_extension] = ACTIONS(637),
    [anon_sym_indirect] = ACTIONS(637),
    [anon_sym_init] = ACTIONS(637),
    [anon_sym_deinit] = ACTIONS(637),
    [anon_sym_subscript] = ACTIONS(637),
    [anon_sym_prefix] = ACTIONS(637),
    [anon_sym_infix] = ACTIONS(637),
    [anon_sym_postfix] = ACTIONS(637),
    [anon_sym_precedencegroup] = ACTIONS(637),
    [anon_sym_associatedtype] = ACTIONS(637),
    [anon_sym_AT] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_convenience] = ACTIONS(637),
    [anon_sym_required] = ACTIONS(637),
    [anon_sym_nonisolated] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_internal] = ACTIONS(637),
    [anon_sym_fileprivate] = ACTIONS(637),
    [anon_sym_open] = ACTIONS(637),
    [anon_sym_mutating] = ACTIONS(637),
    [anon_sym_nonmutating] = ACTIONS(637),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_dynamic] = ACTIONS(637),
    [anon_sym_optional] = ACTIONS(637),
    [anon_sym_distributed] = ACTIONS(637),
    [anon_sym_final] = ACTIONS(637),
    [anon_sym_inout] = ACTIONS(637),
    [anon_sym_ATescaping] = ACTIONS(631),
    [anon_sym_ATautoclosure] = ACTIONS(631),
    [anon_sym_weak] = ACTIONS(637),
    [anon_sym_unowned] = ACTIONS(637),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(631),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(631),
    [anon_sym_borrowing] = ACTIONS(3649),
    [anon_sym_consuming] = ACTIONS(3649),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(631),
    [sym__dot_custom] = ACTIONS(631),
    [sym__throws_keyword] = ACTIONS(631),
    [sym__rethrows_keyword] = ACTIONS(631),
    [sym__async_keyword_custom] = ACTIONS(631),
  },
  [996] = {
    [sym_simple_identifier] = STATE(1620),
    [sym__contextual_simple_identifier] = STATE(1659),
    [sym__unannotated_type] = STATE(1616),
    [sym_user_type] = STATE(1652),
    [sym__simple_user_type] = STATE(1612),
    [sym_tuple_type] = STATE(1539),
    [sym_function_type] = STATE(1616),
    [sym_array_type] = STATE(1652),
    [sym_dictionary_type] = STATE(1652),
    [sym_optional_type] = STATE(1616),
    [sym_metatype] = STATE(1616),
    [sym_opaque_type] = STATE(1616),
    [sym_existential_type] = STATE(1616),
    [sym_type_parameter_pack] = STATE(1616),
    [sym_type_pack_expansion] = STATE(1616),
    [sym_protocol_composition_type] = STATE(1616),
    [sym__parenthesized_type] = STATE(1735),
    [sym__parameter_ownership_modifier] = STATE(1659),
    [sym_comment] = ACTIONS(5),
    [aux_sym_simple_identifier_token1] = ACTIONS(3645),
    [aux_sym_simple_identifier_token2] = ACTIONS(3647),
    [aux_sym_simple_identifier_token3] = ACTIONS(3647),
    [aux_sym_simple_identifier_token4] = ACTIONS(3647),
    [anon_sym_actor] = ACTIONS(3649),
    [anon_sym_async] = ACTIONS(3649),
    [anon_sym_each] = ACTIONS(3652),
    [anon_sym_lazy] = ACTIONS(3649),
    [anon_sym_repeat] = ACTIONS(3654),
    [anon_sym_package] = ACTIONS(3649),
    [anon_sym_COMMA] = ACTIONS(631),
    [anon_sym_BANG] = ACTIONS(631),
    [anon_sym_LPAREN] = ACTIONS(3656),
    [anon_sym_LBRACK] = ACTIONS(3658),
    [anon_sym_DOT] = ACTIONS(631),
    [anon_sym_QMARK2] = ACTIONS(631),
    [anon_sym_some] = ACTIONS(3660),
    [anon_sym_any] = ACTIONS(3662),
    [anon_sym_AMP] = ACTIONS(631),
    [anon_sym_LT] = ACTIONS(631),
    [anon_sym_LBRACE] = ACTIONS(631),
    [anon_sym_RBRACE] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(637),
    [anon_sym_import] = ACTIONS(637),
    [anon_sym_typealias] = ACTIONS(637),
    [anon_sym_struct] = ACTIONS(637),
    [anon_sym_class] = ACTIONS(637),
    [anon_sym_enum] = ACTIONS(637),
    [anon_sym_protocol] = ACTIONS(637),
    [anon_sym_let] = ACTIONS(637),
    [anon_sym_var] = ACTIONS(637),
    [anon_sym_func] = ACTIONS(637),
    [anon_sym_extension] = ACTIONS(637),
    [anon_sym_indirect] = ACTIONS(637),
    [anon_sym_init] = ACTIONS(637),
    [anon_sym_deinit] = ACTIONS(637),
    [anon_sym_subscript] = ACTIONS(637),
    [anon_sym_prefix] = ACTIONS(637),
    [anon_sym_infix] = ACTIONS(637),
    [anon_sym_postfix] = ACTIONS(637),
    [anon_sym_precedencegroup] = ACTIONS(637),
    [anon_sym_associatedtype] = ACTIONS(637),
    [anon_sym_AT] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_convenience] = ACTIONS(637),
    [anon_sym_required] = ACTIONS(637),
    [anon_sym_nonisolated] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_internal] = ACTIONS(637),
    [anon_sym_fileprivate] = ACTIONS(637),
    [anon_sym_open] = ACTIONS(637),
    [anon_sym_mutating] = ACTIONS(637),
    [anon_sym_nonmutating] = ACTIONS(637),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_dynamic] = ACTIONS(637),
    [anon_sym_optional] = ACTIONS(637),
    [anon_sym_distributed] = ACTIONS(637),
    [anon_sym_final] = ACTIONS(637),
    [anon_sym_inout] = ACTIONS(637),
    [anon_sym_ATescaping] = ACTIONS(631),
    [anon_sym_ATautoclosure] = ACTIONS(631),
    [anon_sym_weak] = ACTIONS(637),
    [anon_sym_unowned] = ACTIONS(637),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(631),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(631),
    [anon_sym_borrowing] = ACTIONS(3649),
    [anon_sym_consuming] = ACTIONS(3649),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(631),
    [sym__dot_custom] = ACTIONS(631),
    [sym__throws_keyword] = ACTIONS(631),
    [sym__rethrows_keyword] = ACTIONS(631),
    [sym__async_keyword_custom] = ACTIONS(631),
  },
  [997] = {
    [sym__type_level_declaration] = STATE(1001),
    [sym_import_declaration] = STATE(1001),
    [sym_property_declaration] = STATE(1001),
    [sym__modifierless_property_declaration] = STATE(2954),
    [sym_typealias_declaration] = STATE(1001),
    [sym__modifierless_typealias_declaration] = STATE(2967),
    [sym_function_declaration] = STATE(1001),
    [sym__bodyless_function_declaration] = STATE(7000),
    [sym__modifierless_function_declaration_no_body] = STATE(7642),
    [sym_class_declaration] = STATE(1001),
    [sym__modifierless_class_declaration] = STATE(2679),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__async_modifier] = STATE(6632),
    [sym_enum_entry] = STATE(1001),
    [sym_protocol_declaration] = STATE(1001),
    [sym_init_declaration] = STATE(1001),
    [sym_deinit_declaration] = STATE(1001),
    [sym_subscript_declaration] = STATE(1001),
    [sym_operator_declaration] = STATE(1001),
    [sym_precedence_group_declaration] = STATE(1001),
    [sym_associatedtype_declaration] = STATE(1001),
    [sym_attribute] = STATE(1553),
    [sym_value_binding_pattern] = STATE(3975),
    [sym__possibly_async_binding_pattern_kind] = STATE(3975),
    [sym_modifiers] = STATE(4224),
    [aux_sym__locally_permitted_modifiers] = STATE(1553),
    [sym__non_local_scope_modifier] = STATE(1553),
    [sym__locally_permitted_modifier] = STATE(1553),
    [sym_property_behavior_modifier] = STATE(1553),
    [sym_member_modifier] = STATE(1553),
    [sym_visibility_modifier] = STATE(1553),
    [sym_function_modifier] = STATE(1553),
    [sym_mutation_modifier] = STATE(1553),
    [sym_property_modifier] = STATE(1553),
    [sym_inheritance_modifier] = STATE(1553),
    [sym_parameter_modifier] = STATE(1553),
    [sym_ownership_modifier] = STATE(1553),
    [sym__parameter_ownership_modifier] = STATE(2572),
    [aux_sym_enum_class_body_repeat1] = STATE(1001),
    [aux_sym_modifiers_repeat1] = STATE(1553),
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(3587),
    [anon_sym_async] = ACTIONS(3589),
    [anon_sym_lazy] = ACTIONS(3591),
    [anon_sym_package] = ACTIONS(3593),
    [anon_sym_RBRACE] = ACTIONS(3664),
    [anon_sym_case] = ACTIONS(3597),
    [anon_sym_import] = ACTIONS(3599),
    [anon_sym_typealias] = ACTIONS(3601),
    [anon_sym_struct] = ACTIONS(3587),
    [anon_sym_class] = ACTIONS(3603),
    [anon_sym_enum] = ACTIONS(3605),
    [anon_sym_protocol] = ACTIONS(3607),
    [anon_sym_let] = ACTIONS(3609),
    [anon_sym_var] = ACTIONS(3609),
    [anon_sym_func] = ACTIONS(3611),
    [anon_sym_extension] = ACTIONS(3613),
    [anon_sym_indirect] = ACTIONS(3615),
    [anon_sym_init] = ACTIONS(3617),
    [anon_sym_deinit] = ACTIONS(3619),
    [anon_sym_subscript] = ACTIONS(3621),
    [anon_sym_prefix] = ACTIONS(3623),
    [anon_sym_infix] = ACTIONS(3623),
    [anon_sym_postfix] = ACTIONS(3623),
    [anon_sym_precedencegroup] = ACTIONS(3625),
    [anon_sym_associatedtype] = ACTIONS(3627),
    [anon_sym_AT] = ACTIONS(123),
    [anon_sym_override] = ACTIONS(3629),
    [anon_sym_convenience] = ACTIONS(3629),
    [anon_sym_required] = ACTIONS(3629),
    [anon_sym_nonisolated] = ACTIONS(3629),
    [anon_sym_public] = ACTIONS(3593),
    [anon_sym_private] = ACTIONS(3593),
    [anon_sym_internal] = ACTIONS(3593),
    [anon_sym_fileprivate] = ACTIONS(3593),
    [anon_sym_open] = ACTIONS(3593),
    [anon_sym_mutating] = ACTIONS(3631),
    [anon_sym_nonmutating] = ACTIONS(3631),
    [anon_sym_static] = ACTIONS(3633),
    [anon_sym_dynamic] = ACTIONS(3633),
    [anon_sym_optional] = ACTIONS(3633),
    [anon_sym_distributed] = ACTIONS(3633),
    [anon_sym_final] = ACTIONS(3635),
    [anon_sym_inout] = ACTIONS(137),
    [anon_sym_ATescaping] = ACTIONS(137),
    [anon_sym_ATautoclosure] = ACTIONS(137),
    [anon_sym_weak] = ACTIONS(141),
    [anon_sym_unowned] = ACTIONS(139),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(141),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(141),
    [anon_sym_borrowing] = ACTIONS(137),
    [anon_sym_consuming] = ACTIONS(137),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
  },
  [998] = {
    [sym__type_level_declaration] = STATE(993),
    [sym_import_declaration] = STATE(993),
    [sym_property_declaration] = STATE(993),
    [sym__modifierless_property_declaration] = STATE(2954),
    [sym_typealias_declaration] = STATE(993),
    [sym__modifierless_typealias_declaration] = STATE(2967),
    [sym_function_declaration] = STATE(993),
    [sym__bodyless_function_declaration] = STATE(7000),
    [sym__modifierless_function_declaration_no_body] = STATE(7642),
    [sym_class_declaration] = STATE(993),
    [sym__modifierless_class_declaration] = STATE(2679),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__async_modifier] = STATE(6632),
    [sym_enum_entry] = STATE(993),
    [sym_protocol_declaration] = STATE(993),
    [sym_init_declaration] = STATE(993),
    [sym_deinit_declaration] = STATE(993),
    [sym_subscript_declaration] = STATE(993),
    [sym_operator_declaration] = STATE(993),
    [sym_precedence_group_declaration] = STATE(993),
    [sym_associatedtype_declaration] = STATE(993),
    [sym_attribute] = STATE(1553),
    [sym_value_binding_pattern] = STATE(3975),
    [sym__possibly_async_binding_pattern_kind] = STATE(3975),
    [sym_modifiers] = STATE(4224),
    [aux_sym__locally_permitted_modifiers] = STATE(1553),
    [sym__non_local_scope_modifier] = STATE(1553),
    [sym__locally_permitted_modifier] = STATE(1553),
    [sym_property_behavior_modifier] = STATE(1553),
    [sym_member_modifier] = STATE(1553),
    [sym_visibility_modifier] = STATE(1553),
    [sym_function_modifier] = STATE(1553),
    [sym_mutation_modifier] = STATE(1553),
    [sym_property_modifier] = STATE(1553),
    [sym_inheritance_modifier] = STATE(1553),
    [sym_parameter_modifier] = STATE(1553),
    [sym_ownership_modifier] = STATE(1553),
    [sym__parameter_ownership_modifier] = STATE(2572),
    [aux_sym_enum_class_body_repeat1] = STATE(993),
    [aux_sym_modifiers_repeat1] = STATE(1553),
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(3587),
    [anon_sym_async] = ACTIONS(3589),
    [anon_sym_lazy] = ACTIONS(3591),
    [anon_sym_package] = ACTIONS(3593),
    [anon_sym_RBRACE] = ACTIONS(3666),
    [anon_sym_case] = ACTIONS(3597),
    [anon_sym_import] = ACTIONS(3599),
    [anon_sym_typealias] = ACTIONS(3601),
    [anon_sym_struct] = ACTIONS(3587),
    [anon_sym_class] = ACTIONS(3603),
    [anon_sym_enum] = ACTIONS(3605),
    [anon_sym_protocol] = ACTIONS(3607),
    [anon_sym_let] = ACTIONS(3609),
    [anon_sym_var] = ACTIONS(3609),
    [anon_sym_func] = ACTIONS(3611),
    [anon_sym_extension] = ACTIONS(3613),
    [anon_sym_indirect] = ACTIONS(3615),
    [anon_sym_init] = ACTIONS(3617),
    [anon_sym_deinit] = ACTIONS(3619),
    [anon_sym_subscript] = ACTIONS(3621),
    [anon_sym_prefix] = ACTIONS(3623),
    [anon_sym_infix] = ACTIONS(3623),
    [anon_sym_postfix] = ACTIONS(3623),
    [anon_sym_precedencegroup] = ACTIONS(3625),
    [anon_sym_associatedtype] = ACTIONS(3627),
    [anon_sym_AT] = ACTIONS(123),
    [anon_sym_override] = ACTIONS(3629),
    [anon_sym_convenience] = ACTIONS(3629),
    [anon_sym_required] = ACTIONS(3629),
    [anon_sym_nonisolated] = ACTIONS(3629),
    [anon_sym_public] = ACTIONS(3593),
    [anon_sym_private] = ACTIONS(3593),
    [anon_sym_internal] = ACTIONS(3593),
    [anon_sym_fileprivate] = ACTIONS(3593),
    [anon_sym_open] = ACTIONS(3593),
    [anon_sym_mutating] = ACTIONS(3631),
    [anon_sym_nonmutating] = ACTIONS(3631),
    [anon_sym_static] = ACTIONS(3633),
    [anon_sym_dynamic] = ACTIONS(3633),
    [anon_sym_optional] = ACTIONS(3633),
    [anon_sym_distributed] = ACTIONS(3633),
    [anon_sym_final] = ACTIONS(3635),
    [anon_sym_inout] = ACTIONS(137),
    [anon_sym_ATescaping] = ACTIONS(137),
    [anon_sym_ATautoclosure] = ACTIONS(137),
    [anon_sym_weak] = ACTIONS(141),
    [anon_sym_unowned] = ACTIONS(139),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(141),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(141),
    [anon_sym_borrowing] = ACTIONS(137),
    [anon_sym_consuming] = ACTIONS(137),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
  },
  [999] = {
    [sym_simple_identifier] = STATE(1753),
    [sym__contextual_simple_identifier] = STATE(1782),
    [sym__unannotated_type] = STATE(1634),
    [sym_user_type] = STATE(1720),
    [sym__simple_user_type] = STATE(1723),
    [sym_tuple_type] = STATE(1604),
    [sym_function_type] = STATE(1634),
    [sym_array_type] = STATE(1720),
    [sym_dictionary_type] = STATE(1720),
    [sym_optional_type] = STATE(1634),
    [sym_metatype] = STATE(1634),
    [sym_opaque_type] = STATE(1634),
    [sym_existential_type] = STATE(1634),
    [sym_type_parameter_pack] = STATE(1634),
    [sym_type_pack_expansion] = STATE(1634),
    [sym_protocol_composition_type] = STATE(1634),
    [sym__parenthesized_type] = STATE(1811),
    [sym__parameter_ownership_modifier] = STATE(1782),
    [ts_builtin_sym_end] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(3668),
    [aux_sym_simple_identifier_token2] = ACTIONS(3670),
    [aux_sym_simple_identifier_token3] = ACTIONS(3670),
    [aux_sym_simple_identifier_token4] = ACTIONS(3670),
    [anon_sym_actor] = ACTIONS(3668),
    [anon_sym_async] = ACTIONS(3668),
    [anon_sym_each] = ACTIONS(3672),
    [anon_sym_lazy] = ACTIONS(3668),
    [anon_sym_repeat] = ACTIONS(3674),
    [anon_sym_package] = ACTIONS(3668),
    [anon_sym_COMMA] = ACTIONS(631),
    [anon_sym_LPAREN] = ACTIONS(3676),
    [anon_sym_LBRACK] = ACTIONS(3679),
    [anon_sym_DOT] = ACTIONS(637),
    [anon_sym_QMARK] = ACTIONS(637),
    [anon_sym_QMARK2] = ACTIONS(631),
    [anon_sym_some] = ACTIONS(3682),
    [anon_sym_any] = ACTIONS(3684),
    [anon_sym_AMP] = ACTIONS(631),
    [aux_sym_custom_operator_token1] = ACTIONS(631),
    [anon_sym_LT] = ACTIONS(637),
    [anon_sym_GT] = ACTIONS(637),
    [anon_sym_LBRACE] = ACTIONS(631),
    [anon_sym_CARET_LBRACE] = ACTIONS(631),
    [anon_sym_RBRACE] = ACTIONS(631),
    [anon_sym_PLUS_EQ] = ACTIONS(631),
    [anon_sym_DASH_EQ] = ACTIONS(631),
    [anon_sym_STAR_EQ] = ACTIONS(631),
    [anon_sym_SLASH_EQ] = ACTIONS(631),
    [anon_sym_PERCENT_EQ] = ACTIONS(631),
    [anon_sym_BANG_EQ] = ACTIONS(637),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(631),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(631),
    [anon_sym_LT_EQ] = ACTIONS(631),
    [anon_sym_GT_EQ] = ACTIONS(631),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(631),
    [anon_sym_DOT_DOT_LT] = ACTIONS(631),
    [anon_sym_is] = ACTIONS(637),
    [anon_sym_PLUS] = ACTIONS(637),
    [anon_sym_DASH] = ACTIONS(637),
    [anon_sym_STAR] = ACTIONS(637),
    [anon_sym_SLASH] = ACTIONS(637),
    [anon_sym_PERCENT] = ACTIONS(637),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PIPE] = ACTIONS(631),
    [anon_sym_CARET] = ACTIONS(637),
    [anon_sym_LT_LT] = ACTIONS(631),
    [anon_sym_GT_GT] = ACTIONS(631),
    [anon_sym_BANG2] = ACTIONS(637),
    [anon_sym_borrowing] = ACTIONS(3668),
    [anon_sym_consuming] = ACTIONS(3668),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(631),
    [sym__explicit_semi] = ACTIONS(631),
    [sym__arrow_operator_custom] = ACTIONS(631),
    [sym__dot_custom] = ACTIONS(631),
    [sym__conjunction_operator_custom] = ACTIONS(631),
    [sym__disjunction_operator_custom] = ACTIONS(631),
    [sym__nil_coalescing_operator_custom] = ACTIONS(631),
    [sym__eq_custom] = ACTIONS(631),
    [sym__eq_eq_custom] = ACTIONS(631),
    [sym__plus_then_ws] = ACTIONS(631),
    [sym__minus_then_ws] = ACTIONS(631),
    [sym__bang_custom] = ACTIONS(631),
    [sym__throws_keyword] = ACTIONS(631),
    [sym__rethrows_keyword] = ACTIONS(631),
    [sym_where_keyword] = ACTIONS(631),
    [sym__as_custom] = ACTIONS(631),
    [sym__as_quest_custom] = ACTIONS(631),
    [sym__as_bang_custom] = ACTIONS(631),
    [sym__async_keyword_custom] = ACTIONS(631),
    [sym__custom_operator] = ACTIONS(631),
  },
  [1000] = {
    [sym_simple_identifier] = STATE(1753),
    [sym__contextual_simple_identifier] = STATE(1782),
    [sym__unannotated_type] = STATE(1663),
    [sym_user_type] = STATE(1720),
    [sym__simple_user_type] = STATE(1723),
    [sym_tuple_type] = STATE(1604),
    [sym_function_type] = STATE(1663),
    [sym_array_type] = STATE(1720),
    [sym_dictionary_type] = STATE(1720),
    [sym_optional_type] = STATE(1663),
    [sym_metatype] = STATE(1663),
    [sym_opaque_type] = STATE(1663),
    [sym_existential_type] = STATE(1663),
    [sym_type_parameter_pack] = STATE(1663),
    [sym_type_pack_expansion] = STATE(1663),
    [sym_protocol_composition_type] = STATE(1663),
    [sym__parenthesized_type] = STATE(1811),
    [sym__parameter_ownership_modifier] = STATE(1782),
    [ts_builtin_sym_end] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(3668),
    [aux_sym_simple_identifier_token2] = ACTIONS(3670),
    [aux_sym_simple_identifier_token3] = ACTIONS(3670),
    [aux_sym_simple_identifier_token4] = ACTIONS(3670),
    [anon_sym_actor] = ACTIONS(3668),
    [anon_sym_async] = ACTIONS(3668),
    [anon_sym_each] = ACTIONS(3672),
    [anon_sym_lazy] = ACTIONS(3668),
    [anon_sym_repeat] = ACTIONS(3674),
    [anon_sym_package] = ACTIONS(3668),
    [anon_sym_COMMA] = ACTIONS(631),
    [anon_sym_LPAREN] = ACTIONS(3676),
    [anon_sym_LBRACK] = ACTIONS(3679),
    [anon_sym_DOT] = ACTIONS(637),
    [anon_sym_QMARK] = ACTIONS(637),
    [anon_sym_QMARK2] = ACTIONS(631),
    [anon_sym_some] = ACTIONS(3682),
    [anon_sym_any] = ACTIONS(3684),
    [anon_sym_AMP] = ACTIONS(631),
    [aux_sym_custom_operator_token1] = ACTIONS(631),
    [anon_sym_LT] = ACTIONS(637),
    [anon_sym_GT] = ACTIONS(637),
    [anon_sym_LBRACE] = ACTIONS(631),
    [anon_sym_CARET_LBRACE] = ACTIONS(631),
    [anon_sym_RBRACE] = ACTIONS(631),
    [anon_sym_PLUS_EQ] = ACTIONS(631),
    [anon_sym_DASH_EQ] = ACTIONS(631),
    [anon_sym_STAR_EQ] = ACTIONS(631),
    [anon_sym_SLASH_EQ] = ACTIONS(631),
    [anon_sym_PERCENT_EQ] = ACTIONS(631),
    [anon_sym_BANG_EQ] = ACTIONS(637),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(631),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(631),
    [anon_sym_LT_EQ] = ACTIONS(631),
    [anon_sym_GT_EQ] = ACTIONS(631),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(631),
    [anon_sym_DOT_DOT_LT] = ACTIONS(631),
    [anon_sym_is] = ACTIONS(637),
    [anon_sym_PLUS] = ACTIONS(637),
    [anon_sym_DASH] = ACTIONS(637),
    [anon_sym_STAR] = ACTIONS(637),
    [anon_sym_SLASH] = ACTIONS(637),
    [anon_sym_PERCENT] = ACTIONS(637),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PIPE] = ACTIONS(631),
    [anon_sym_CARET] = ACTIONS(637),
    [anon_sym_LT_LT] = ACTIONS(631),
    [anon_sym_GT_GT] = ACTIONS(631),
    [anon_sym_BANG2] = ACTIONS(637),
    [anon_sym_borrowing] = ACTIONS(3668),
    [anon_sym_consuming] = ACTIONS(3668),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(631),
    [sym__explicit_semi] = ACTIONS(631),
    [sym__arrow_operator_custom] = ACTIONS(631),
    [sym__dot_custom] = ACTIONS(631),
    [sym__conjunction_operator_custom] = ACTIONS(631),
    [sym__disjunction_operator_custom] = ACTIONS(631),
    [sym__nil_coalescing_operator_custom] = ACTIONS(631),
    [sym__eq_custom] = ACTIONS(631),
    [sym__eq_eq_custom] = ACTIONS(631),
    [sym__plus_then_ws] = ACTIONS(631),
    [sym__minus_then_ws] = ACTIONS(631),
    [sym__bang_custom] = ACTIONS(631),
    [sym__throws_keyword] = ACTIONS(631),
    [sym__rethrows_keyword] = ACTIONS(631),
    [sym_where_keyword] = ACTIONS(631),
    [sym__as_custom] = ACTIONS(631),
    [sym__as_quest_custom] = ACTIONS(631),
    [sym__as_bang_custom] = ACTIONS(631),
    [sym__async_keyword_custom] = ACTIONS(631),
    [sym__custom_operator] = ACTIONS(631),
  },
  [1001] = {
    [sym__type_level_declaration] = STATE(1001),
    [sym_import_declaration] = STATE(1001),
    [sym_property_declaration] = STATE(1001),
    [sym__modifierless_property_declaration] = STATE(2954),
    [sym_typealias_declaration] = STATE(1001),
    [sym__modifierless_typealias_declaration] = STATE(2967),
    [sym_function_declaration] = STATE(1001),
    [sym__bodyless_function_declaration] = STATE(7000),
    [sym__modifierless_function_declaration_no_body] = STATE(7642),
    [sym_class_declaration] = STATE(1001),
    [sym__modifierless_class_declaration] = STATE(2679),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__async_modifier] = STATE(6632),
    [sym_enum_entry] = STATE(1001),
    [sym_protocol_declaration] = STATE(1001),
    [sym_init_declaration] = STATE(1001),
    [sym_deinit_declaration] = STATE(1001),
    [sym_subscript_declaration] = STATE(1001),
    [sym_operator_declaration] = STATE(1001),
    [sym_precedence_group_declaration] = STATE(1001),
    [sym_associatedtype_declaration] = STATE(1001),
    [sym_attribute] = STATE(1553),
    [sym_value_binding_pattern] = STATE(3975),
    [sym__possibly_async_binding_pattern_kind] = STATE(3975),
    [sym_modifiers] = STATE(4224),
    [aux_sym__locally_permitted_modifiers] = STATE(1553),
    [sym__non_local_scope_modifier] = STATE(1553),
    [sym__locally_permitted_modifier] = STATE(1553),
    [sym_property_behavior_modifier] = STATE(1553),
    [sym_member_modifier] = STATE(1553),
    [sym_visibility_modifier] = STATE(1553),
    [sym_function_modifier] = STATE(1553),
    [sym_mutation_modifier] = STATE(1553),
    [sym_property_modifier] = STATE(1553),
    [sym_inheritance_modifier] = STATE(1553),
    [sym_parameter_modifier] = STATE(1553),
    [sym_ownership_modifier] = STATE(1553),
    [sym__parameter_ownership_modifier] = STATE(2572),
    [aux_sym_enum_class_body_repeat1] = STATE(1001),
    [aux_sym_modifiers_repeat1] = STATE(1553),
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(3686),
    [anon_sym_async] = ACTIONS(3689),
    [anon_sym_lazy] = ACTIONS(3692),
    [anon_sym_package] = ACTIONS(3695),
    [anon_sym_RBRACE] = ACTIONS(3698),
    [anon_sym_case] = ACTIONS(3700),
    [anon_sym_import] = ACTIONS(3703),
    [anon_sym_typealias] = ACTIONS(3706),
    [anon_sym_struct] = ACTIONS(3686),
    [anon_sym_class] = ACTIONS(3709),
    [anon_sym_enum] = ACTIONS(3712),
    [anon_sym_protocol] = ACTIONS(3715),
    [anon_sym_let] = ACTIONS(3718),
    [anon_sym_var] = ACTIONS(3718),
    [anon_sym_func] = ACTIONS(3721),
    [anon_sym_extension] = ACTIONS(3724),
    [anon_sym_indirect] = ACTIONS(3727),
    [anon_sym_init] = ACTIONS(3730),
    [anon_sym_deinit] = ACTIONS(3733),
    [anon_sym_subscript] = ACTIONS(3736),
    [anon_sym_prefix] = ACTIONS(3739),
    [anon_sym_infix] = ACTIONS(3739),
    [anon_sym_postfix] = ACTIONS(3739),
    [anon_sym_precedencegroup] = ACTIONS(3742),
    [anon_sym_associatedtype] = ACTIONS(3745),
    [anon_sym_AT] = ACTIONS(3748),
    [anon_sym_override] = ACTIONS(3751),
    [anon_sym_convenience] = ACTIONS(3751),
    [anon_sym_required] = ACTIONS(3751),
    [anon_sym_nonisolated] = ACTIONS(3751),
    [anon_sym_public] = ACTIONS(3695),
    [anon_sym_private] = ACTIONS(3695),
    [anon_sym_internal] = ACTIONS(3695),
    [anon_sym_fileprivate] = ACTIONS(3695),
    [anon_sym_open] = ACTIONS(3695),
    [anon_sym_mutating] = ACTIONS(3754),
    [anon_sym_nonmutating] = ACTIONS(3754),
    [anon_sym_static] = ACTIONS(3757),
    [anon_sym_dynamic] = ACTIONS(3757),
    [anon_sym_optional] = ACTIONS(3757),
    [anon_sym_distributed] = ACTIONS(3757),
    [anon_sym_final] = ACTIONS(3760),
    [anon_sym_inout] = ACTIONS(3763),
    [anon_sym_ATescaping] = ACTIONS(3763),
    [anon_sym_ATautoclosure] = ACTIONS(3763),
    [anon_sym_weak] = ACTIONS(3766),
    [anon_sym_unowned] = ACTIONS(3769),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3766),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3766),
    [anon_sym_borrowing] = ACTIONS(3763),
    [anon_sym_consuming] = ACTIONS(3763),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
  },
  [1002] = {
    [sym__type_level_declaration] = STATE(991),
    [sym_import_declaration] = STATE(991),
    [sym_property_declaration] = STATE(991),
    [sym__modifierless_property_declaration] = STATE(2954),
    [sym_typealias_declaration] = STATE(991),
    [sym__modifierless_typealias_declaration] = STATE(2967),
    [sym_function_declaration] = STATE(991),
    [sym__bodyless_function_declaration] = STATE(7000),
    [sym__modifierless_function_declaration_no_body] = STATE(7642),
    [sym_class_declaration] = STATE(991),
    [sym__modifierless_class_declaration] = STATE(2679),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__async_modifier] = STATE(6632),
    [sym_enum_entry] = STATE(991),
    [sym_protocol_declaration] = STATE(991),
    [sym_init_declaration] = STATE(991),
    [sym_deinit_declaration] = STATE(991),
    [sym_subscript_declaration] = STATE(991),
    [sym_operator_declaration] = STATE(991),
    [sym_precedence_group_declaration] = STATE(991),
    [sym_associatedtype_declaration] = STATE(991),
    [sym_attribute] = STATE(1553),
    [sym_value_binding_pattern] = STATE(3975),
    [sym__possibly_async_binding_pattern_kind] = STATE(3975),
    [sym_modifiers] = STATE(4224),
    [aux_sym__locally_permitted_modifiers] = STATE(1553),
    [sym__non_local_scope_modifier] = STATE(1553),
    [sym__locally_permitted_modifier] = STATE(1553),
    [sym_property_behavior_modifier] = STATE(1553),
    [sym_member_modifier] = STATE(1553),
    [sym_visibility_modifier] = STATE(1553),
    [sym_function_modifier] = STATE(1553),
    [sym_mutation_modifier] = STATE(1553),
    [sym_property_modifier] = STATE(1553),
    [sym_inheritance_modifier] = STATE(1553),
    [sym_parameter_modifier] = STATE(1553),
    [sym_ownership_modifier] = STATE(1553),
    [sym__parameter_ownership_modifier] = STATE(2572),
    [aux_sym_enum_class_body_repeat1] = STATE(991),
    [aux_sym_modifiers_repeat1] = STATE(1553),
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(3587),
    [anon_sym_async] = ACTIONS(3589),
    [anon_sym_lazy] = ACTIONS(3591),
    [anon_sym_package] = ACTIONS(3593),
    [anon_sym_RBRACE] = ACTIONS(3772),
    [anon_sym_case] = ACTIONS(3597),
    [anon_sym_import] = ACTIONS(3599),
    [anon_sym_typealias] = ACTIONS(3601),
    [anon_sym_struct] = ACTIONS(3587),
    [anon_sym_class] = ACTIONS(3603),
    [anon_sym_enum] = ACTIONS(3605),
    [anon_sym_protocol] = ACTIONS(3607),
    [anon_sym_let] = ACTIONS(3609),
    [anon_sym_var] = ACTIONS(3609),
    [anon_sym_func] = ACTIONS(3611),
    [anon_sym_extension] = ACTIONS(3613),
    [anon_sym_indirect] = ACTIONS(3615),
    [anon_sym_init] = ACTIONS(3617),
    [anon_sym_deinit] = ACTIONS(3619),
    [anon_sym_subscript] = ACTIONS(3621),
    [anon_sym_prefix] = ACTIONS(3623),
    [anon_sym_infix] = ACTIONS(3623),
    [anon_sym_postfix] = ACTIONS(3623),
    [anon_sym_precedencegroup] = ACTIONS(3625),
    [anon_sym_associatedtype] = ACTIONS(3627),
    [anon_sym_AT] = ACTIONS(123),
    [anon_sym_override] = ACTIONS(3629),
    [anon_sym_convenience] = ACTIONS(3629),
    [anon_sym_required] = ACTIONS(3629),
    [anon_sym_nonisolated] = ACTIONS(3629),
    [anon_sym_public] = ACTIONS(3593),
    [anon_sym_private] = ACTIONS(3593),
    [anon_sym_internal] = ACTIONS(3593),
    [anon_sym_fileprivate] = ACTIONS(3593),
    [anon_sym_open] = ACTIONS(3593),
    [anon_sym_mutating] = ACTIONS(3631),
    [anon_sym_nonmutating] = ACTIONS(3631),
    [anon_sym_static] = ACTIONS(3633),
    [anon_sym_dynamic] = ACTIONS(3633),
    [anon_sym_optional] = ACTIONS(3633),
    [anon_sym_distributed] = ACTIONS(3633),
    [anon_sym_final] = ACTIONS(3635),
    [anon_sym_inout] = ACTIONS(137),
    [anon_sym_ATescaping] = ACTIONS(137),
    [anon_sym_ATautoclosure] = ACTIONS(137),
    [anon_sym_weak] = ACTIONS(141),
    [anon_sym_unowned] = ACTIONS(139),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(141),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(141),
    [anon_sym_borrowing] = ACTIONS(137),
    [anon_sym_consuming] = ACTIONS(137),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
  },
  [1003] = {
    [sym_type_arguments] = STATE(1031),
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(2882),
    [anon_sym_package] = ACTIONS(2882),
    [anon_sym_COMMA] = ACTIONS(2882),
    [anon_sym_LPAREN] = ACTIONS(2882),
    [anon_sym_LBRACK] = ACTIONS(2882),
    [anon_sym_DOT] = ACTIONS(2884),
    [anon_sym_QMARK] = ACTIONS(2884),
    [anon_sym_QMARK2] = ACTIONS(2882),
    [anon_sym_AMP] = ACTIONS(2882),
    [aux_sym_custom_operator_token1] = ACTIONS(2882),
    [anon_sym_LT] = ACTIONS(3774),
    [anon_sym_GT] = ACTIONS(2884),
    [anon_sym_LBRACE] = ACTIONS(2882),
    [anon_sym_CARET_LBRACE] = ACTIONS(2882),
    [anon_sym_RBRACE] = ACTIONS(2882),
    [anon_sym_case] = ACTIONS(2882),
    [anon_sym_fallthrough] = ACTIONS(2882),
    [anon_sym_PLUS_EQ] = ACTIONS(2882),
    [anon_sym_DASH_EQ] = ACTIONS(2882),
    [anon_sym_STAR_EQ] = ACTIONS(2882),
    [anon_sym_SLASH_EQ] = ACTIONS(2882),
    [anon_sym_PERCENT_EQ] = ACTIONS(2882),
    [anon_sym_BANG_EQ] = ACTIONS(2884),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2882),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2882),
    [anon_sym_LT_EQ] = ACTIONS(2882),
    [anon_sym_GT_EQ] = ACTIONS(2882),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2882),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2882),
    [anon_sym_is] = ACTIONS(2882),
    [anon_sym_PLUS] = ACTIONS(2884),
    [anon_sym_DASH] = ACTIONS(2884),
    [anon_sym_STAR] = ACTIONS(2884),
    [anon_sym_SLASH] = ACTIONS(2884),
    [anon_sym_PERCENT] = ACTIONS(2884),
    [anon_sym_PLUS_PLUS] = ACTIONS(2882),
    [anon_sym_DASH_DASH] = ACTIONS(2882),
    [anon_sym_PIPE] = ACTIONS(2882),
    [anon_sym_CARET] = ACTIONS(2884),
    [anon_sym_LT_LT] = ACTIONS(2882),
    [anon_sym_GT_GT] = ACTIONS(2882),
    [anon_sym_class] = ACTIONS(2882),
    [anon_sym_BANG2] = ACTIONS(2884),
    [anon_sym_prefix] = ACTIONS(2882),
    [anon_sym_infix] = ACTIONS(2882),
    [anon_sym_postfix] = ACTIONS(2882),
    [anon_sym_AT] = ACTIONS(2884),
    [anon_sym_override] = ACTIONS(2882),
    [anon_sym_convenience] = ACTIONS(2882),
    [anon_sym_required] = ACTIONS(2882),
    [anon_sym_nonisolated] = ACTIONS(2882),
    [anon_sym_public] = ACTIONS(2882),
    [anon_sym_private] = ACTIONS(2882),
    [anon_sym_internal] = ACTIONS(2882),
    [anon_sym_fileprivate] = ACTIONS(2882),
    [anon_sym_open] = ACTIONS(2882),
    [anon_sym_mutating] = ACTIONS(2882),
    [anon_sym_nonmutating] = ACTIONS(2882),
    [anon_sym_static] = ACTIONS(2882),
    [anon_sym_dynamic] = ACTIONS(2882),
    [anon_sym_optional] = ACTIONS(2882),
    [anon_sym_distributed] = ACTIONS(2882),
    [anon_sym_final] = ACTIONS(2882),
    [anon_sym_inout] = ACTIONS(2882),
    [anon_sym_ATescaping] = ACTIONS(2882),
    [anon_sym_ATautoclosure] = ACTIONS(2882),
    [anon_sym_weak] = ACTIONS(2882),
    [anon_sym_unowned] = ACTIONS(2884),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2882),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2882),
    [anon_sym_borrowing] = ACTIONS(2882),
    [anon_sym_consuming] = ACTIONS(2882),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2882),
    [sym__explicit_semi] = ACTIONS(2882),
    [sym__dot_custom] = ACTIONS(2882),
    [sym__conjunction_operator_custom] = ACTIONS(2882),
    [sym__disjunction_operator_custom] = ACTIONS(2882),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2882),
    [sym__eq_custom] = ACTIONS(2882),
    [sym__eq_eq_custom] = ACTIONS(2882),
    [sym__plus_then_ws] = ACTIONS(2882),
    [sym__minus_then_ws] = ACTIONS(2882),
    [sym__bang_custom] = ACTIONS(2882),
    [sym_default_keyword] = ACTIONS(2882),
    [sym_where_keyword] = ACTIONS(2882),
    [sym__as_custom] = ACTIONS(2882),
    [sym__as_quest_custom] = ACTIONS(2882),
    [sym__as_bang_custom] = ACTIONS(2882),
    [sym__custom_operator] = ACTIONS(2882),
  },
  [1004] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(2471),
    [anon_sym_package] = ACTIONS(2471),
    [anon_sym_COMMA] = ACTIONS(2471),
    [anon_sym_LPAREN] = ACTIONS(2471),
    [anon_sym_LBRACK] = ACTIONS(2471),
    [anon_sym_DOT] = ACTIONS(2469),
    [anon_sym_QMARK] = ACTIONS(2469),
    [anon_sym_QMARK2] = ACTIONS(2471),
    [anon_sym_AMP] = ACTIONS(2471),
    [aux_sym_custom_operator_token1] = ACTIONS(2471),
    [anon_sym_LT] = ACTIONS(2469),
    [anon_sym_GT] = ACTIONS(2469),
    [anon_sym_LBRACE] = ACTIONS(2471),
    [anon_sym_CARET_LBRACE] = ACTIONS(2471),
    [anon_sym_RBRACE] = ACTIONS(2471),
    [anon_sym_self] = ACTIONS(2471),
    [anon_sym_case] = ACTIONS(2471),
    [anon_sym_fallthrough] = ACTIONS(2471),
    [anon_sym_PLUS_EQ] = ACTIONS(2471),
    [anon_sym_DASH_EQ] = ACTIONS(2471),
    [anon_sym_STAR_EQ] = ACTIONS(2471),
    [anon_sym_SLASH_EQ] = ACTIONS(2471),
    [anon_sym_PERCENT_EQ] = ACTIONS(2471),
    [anon_sym_BANG_EQ] = ACTIONS(2469),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2471),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2471),
    [anon_sym_LT_EQ] = ACTIONS(2471),
    [anon_sym_GT_EQ] = ACTIONS(2471),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2471),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2471),
    [anon_sym_is] = ACTIONS(2471),
    [anon_sym_PLUS] = ACTIONS(2469),
    [anon_sym_DASH] = ACTIONS(2469),
    [anon_sym_STAR] = ACTIONS(2469),
    [anon_sym_SLASH] = ACTIONS(2469),
    [anon_sym_PERCENT] = ACTIONS(2469),
    [anon_sym_PLUS_PLUS] = ACTIONS(2471),
    [anon_sym_DASH_DASH] = ACTIONS(2471),
    [anon_sym_PIPE] = ACTIONS(2471),
    [anon_sym_CARET] = ACTIONS(2469),
    [anon_sym_LT_LT] = ACTIONS(2471),
    [anon_sym_GT_GT] = ACTIONS(2471),
    [anon_sym_class] = ACTIONS(2471),
    [anon_sym_BANG2] = ACTIONS(2469),
    [anon_sym_prefix] = ACTIONS(2471),
    [anon_sym_infix] = ACTIONS(2471),
    [anon_sym_postfix] = ACTIONS(2471),
    [anon_sym_AT] = ACTIONS(2469),
    [anon_sym_override] = ACTIONS(2471),
    [anon_sym_convenience] = ACTIONS(2471),
    [anon_sym_required] = ACTIONS(2471),
    [anon_sym_nonisolated] = ACTIONS(2471),
    [anon_sym_public] = ACTIONS(2471),
    [anon_sym_private] = ACTIONS(2471),
    [anon_sym_internal] = ACTIONS(2471),
    [anon_sym_fileprivate] = ACTIONS(2471),
    [anon_sym_open] = ACTIONS(2471),
    [anon_sym_mutating] = ACTIONS(2471),
    [anon_sym_nonmutating] = ACTIONS(2471),
    [anon_sym_static] = ACTIONS(2471),
    [anon_sym_dynamic] = ACTIONS(2471),
    [anon_sym_optional] = ACTIONS(2471),
    [anon_sym_distributed] = ACTIONS(2471),
    [anon_sym_final] = ACTIONS(2471),
    [anon_sym_inout] = ACTIONS(2471),
    [anon_sym_ATescaping] = ACTIONS(2471),
    [anon_sym_ATautoclosure] = ACTIONS(2471),
    [anon_sym_weak] = ACTIONS(2471),
    [anon_sym_unowned] = ACTIONS(2469),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2471),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2471),
    [anon_sym_borrowing] = ACTIONS(2471),
    [anon_sym_consuming] = ACTIONS(2471),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2471),
    [sym__explicit_semi] = ACTIONS(2471),
    [sym__dot_custom] = ACTIONS(2471),
    [sym__conjunction_operator_custom] = ACTIONS(2471),
    [sym__disjunction_operator_custom] = ACTIONS(2471),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2471),
    [sym__eq_custom] = ACTIONS(2471),
    [sym__eq_eq_custom] = ACTIONS(2471),
    [sym__plus_then_ws] = ACTIONS(2471),
    [sym__minus_then_ws] = ACTIONS(2471),
    [sym__bang_custom] = ACTIONS(2471),
    [sym_default_keyword] = ACTIONS(2471),
    [sym_where_keyword] = ACTIONS(2471),
    [sym__as_custom] = ACTIONS(2471),
    [sym__as_quest_custom] = ACTIONS(2471),
    [sym__as_bang_custom] = ACTIONS(2471),
    [sym__custom_operator] = ACTIONS(2471),
  },
  [1005] = {
    [aux_sym_key_path_expression_repeat1] = STATE(1005),
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3055),
    [anon_sym_package] = ACTIONS(3055),
    [anon_sym_COMMA] = ACTIONS(3055),
    [anon_sym_LPAREN] = ACTIONS(3055),
    [anon_sym_LBRACK] = ACTIONS(3055),
    [anon_sym_DOT] = ACTIONS(3776),
    [anon_sym_QMARK] = ACTIONS(3060),
    [anon_sym_QMARK2] = ACTIONS(3055),
    [anon_sym_AMP] = ACTIONS(3055),
    [aux_sym_custom_operator_token1] = ACTIONS(3055),
    [anon_sym_LT] = ACTIONS(3060),
    [anon_sym_GT] = ACTIONS(3060),
    [anon_sym_LBRACE] = ACTIONS(3055),
    [anon_sym_CARET_LBRACE] = ACTIONS(3055),
    [anon_sym_RBRACE] = ACTIONS(3055),
    [anon_sym_case] = ACTIONS(3055),
    [anon_sym_fallthrough] = ACTIONS(3055),
    [anon_sym_PLUS_EQ] = ACTIONS(3055),
    [anon_sym_DASH_EQ] = ACTIONS(3055),
    [anon_sym_STAR_EQ] = ACTIONS(3055),
    [anon_sym_SLASH_EQ] = ACTIONS(3055),
    [anon_sym_PERCENT_EQ] = ACTIONS(3055),
    [anon_sym_BANG_EQ] = ACTIONS(3060),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3055),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3055),
    [anon_sym_LT_EQ] = ACTIONS(3055),
    [anon_sym_GT_EQ] = ACTIONS(3055),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3055),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3055),
    [anon_sym_is] = ACTIONS(3055),
    [anon_sym_PLUS] = ACTIONS(3060),
    [anon_sym_DASH] = ACTIONS(3060),
    [anon_sym_STAR] = ACTIONS(3060),
    [anon_sym_SLASH] = ACTIONS(3060),
    [anon_sym_PERCENT] = ACTIONS(3060),
    [anon_sym_PLUS_PLUS] = ACTIONS(3055),
    [anon_sym_DASH_DASH] = ACTIONS(3055),
    [anon_sym_PIPE] = ACTIONS(3055),
    [anon_sym_CARET] = ACTIONS(3060),
    [anon_sym_LT_LT] = ACTIONS(3055),
    [anon_sym_GT_GT] = ACTIONS(3055),
    [anon_sym_class] = ACTIONS(3055),
    [anon_sym_BANG2] = ACTIONS(3060),
    [anon_sym_prefix] = ACTIONS(3055),
    [anon_sym_infix] = ACTIONS(3055),
    [anon_sym_postfix] = ACTIONS(3055),
    [anon_sym_AT] = ACTIONS(3060),
    [anon_sym_override] = ACTIONS(3055),
    [anon_sym_convenience] = ACTIONS(3055),
    [anon_sym_required] = ACTIONS(3055),
    [anon_sym_nonisolated] = ACTIONS(3055),
    [anon_sym_public] = ACTIONS(3055),
    [anon_sym_private] = ACTIONS(3055),
    [anon_sym_internal] = ACTIONS(3055),
    [anon_sym_fileprivate] = ACTIONS(3055),
    [anon_sym_open] = ACTIONS(3055),
    [anon_sym_mutating] = ACTIONS(3055),
    [anon_sym_nonmutating] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(3055),
    [anon_sym_dynamic] = ACTIONS(3055),
    [anon_sym_optional] = ACTIONS(3055),
    [anon_sym_distributed] = ACTIONS(3055),
    [anon_sym_final] = ACTIONS(3055),
    [anon_sym_inout] = ACTIONS(3055),
    [anon_sym_ATescaping] = ACTIONS(3055),
    [anon_sym_ATautoclosure] = ACTIONS(3055),
    [anon_sym_weak] = ACTIONS(3055),
    [anon_sym_unowned] = ACTIONS(3060),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3055),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3055),
    [anon_sym_borrowing] = ACTIONS(3055),
    [anon_sym_consuming] = ACTIONS(3055),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3055),
    [sym__explicit_semi] = ACTIONS(3055),
    [sym__dot_custom] = ACTIONS(3055),
    [sym__conjunction_operator_custom] = ACTIONS(3055),
    [sym__disjunction_operator_custom] = ACTIONS(3055),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3055),
    [sym__eq_custom] = ACTIONS(3055),
    [sym__eq_eq_custom] = ACTIONS(3055),
    [sym__plus_then_ws] = ACTIONS(3055),
    [sym__minus_then_ws] = ACTIONS(3055),
    [sym__bang_custom] = ACTIONS(3055),
    [sym_default_keyword] = ACTIONS(3055),
    [sym_where_keyword] = ACTIONS(3055),
    [sym__as_custom] = ACTIONS(3055),
    [sym__as_quest_custom] = ACTIONS(3055),
    [sym__as_bang_custom] = ACTIONS(3055),
    [sym__custom_operator] = ACTIONS(3055),
  },
  [1006] = {
    [sym__fn_call_lambda_arguments] = STATE(1084),
    [sym_lambda_literal] = STATE(847),
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3380),
    [anon_sym_package] = ACTIONS(3380),
    [anon_sym_COMMA] = ACTIONS(3380),
    [anon_sym_LPAREN] = ACTIONS(3380),
    [anon_sym_LBRACK] = ACTIONS(3380),
    [anon_sym_QMARK] = ACTIONS(3382),
    [anon_sym_QMARK2] = ACTIONS(3380),
    [anon_sym_AMP] = ACTIONS(3380),
    [aux_sym_custom_operator_token1] = ACTIONS(3380),
    [anon_sym_LT] = ACTIONS(3382),
    [anon_sym_GT] = ACTIONS(3382),
    [anon_sym_LBRACE] = ACTIONS(3779),
    [anon_sym_CARET_LBRACE] = ACTIONS(3779),
    [anon_sym_RBRACE] = ACTIONS(3380),
    [anon_sym_case] = ACTIONS(3380),
    [anon_sym_fallthrough] = ACTIONS(3380),
    [anon_sym_PLUS_EQ] = ACTIONS(3380),
    [anon_sym_DASH_EQ] = ACTIONS(3380),
    [anon_sym_STAR_EQ] = ACTIONS(3380),
    [anon_sym_SLASH_EQ] = ACTIONS(3380),
    [anon_sym_PERCENT_EQ] = ACTIONS(3380),
    [anon_sym_BANG_EQ] = ACTIONS(3382),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3380),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3380),
    [anon_sym_LT_EQ] = ACTIONS(3380),
    [anon_sym_GT_EQ] = ACTIONS(3380),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3380),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3380),
    [anon_sym_is] = ACTIONS(3380),
    [anon_sym_PLUS] = ACTIONS(3382),
    [anon_sym_DASH] = ACTIONS(3382),
    [anon_sym_STAR] = ACTIONS(3382),
    [anon_sym_SLASH] = ACTIONS(3382),
    [anon_sym_PERCENT] = ACTIONS(3382),
    [anon_sym_PLUS_PLUS] = ACTIONS(3380),
    [anon_sym_DASH_DASH] = ACTIONS(3380),
    [anon_sym_PIPE] = ACTIONS(3380),
    [anon_sym_CARET] = ACTIONS(3382),
    [anon_sym_LT_LT] = ACTIONS(3380),
    [anon_sym_GT_GT] = ACTIONS(3380),
    [anon_sym_class] = ACTIONS(3380),
    [anon_sym_BANG2] = ACTIONS(3382),
    [anon_sym_prefix] = ACTIONS(3380),
    [anon_sym_infix] = ACTIONS(3380),
    [anon_sym_postfix] = ACTIONS(3380),
    [anon_sym_AT] = ACTIONS(3382),
    [anon_sym_override] = ACTIONS(3380),
    [anon_sym_convenience] = ACTIONS(3380),
    [anon_sym_required] = ACTIONS(3380),
    [anon_sym_nonisolated] = ACTIONS(3380),
    [anon_sym_public] = ACTIONS(3380),
    [anon_sym_private] = ACTIONS(3380),
    [anon_sym_internal] = ACTIONS(3380),
    [anon_sym_fileprivate] = ACTIONS(3380),
    [anon_sym_open] = ACTIONS(3380),
    [anon_sym_mutating] = ACTIONS(3380),
    [anon_sym_nonmutating] = ACTIONS(3380),
    [anon_sym_static] = ACTIONS(3380),
    [anon_sym_dynamic] = ACTIONS(3380),
    [anon_sym_optional] = ACTIONS(3380),
    [anon_sym_distributed] = ACTIONS(3380),
    [anon_sym_final] = ACTIONS(3380),
    [anon_sym_inout] = ACTIONS(3380),
    [anon_sym_ATescaping] = ACTIONS(3380),
    [anon_sym_ATautoclosure] = ACTIONS(3380),
    [anon_sym_weak] = ACTIONS(3380),
    [anon_sym_unowned] = ACTIONS(3382),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3380),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3380),
    [anon_sym_borrowing] = ACTIONS(3380),
    [anon_sym_consuming] = ACTIONS(3380),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3380),
    [sym__explicit_semi] = ACTIONS(3380),
    [sym__dot_custom] = ACTIONS(3380),
    [sym__conjunction_operator_custom] = ACTIONS(3380),
    [sym__disjunction_operator_custom] = ACTIONS(3380),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3380),
    [sym__eq_custom] = ACTIONS(3380),
    [sym__eq_eq_custom] = ACTIONS(3380),
    [sym__plus_then_ws] = ACTIONS(3380),
    [sym__minus_then_ws] = ACTIONS(3380),
    [sym__bang_custom] = ACTIONS(3380),
    [sym_default_keyword] = ACTIONS(3380),
    [sym_where_keyword] = ACTIONS(3380),
    [sym__as_custom] = ACTIONS(3380),
    [sym__as_quest_custom] = ACTIONS(3380),
    [sym__as_bang_custom] = ACTIONS(3380),
    [sym__custom_operator] = ACTIONS(3380),
  },
  [1007] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3045),
    [anon_sym_package] = ACTIONS(3045),
    [anon_sym_COMMA] = ACTIONS(3045),
    [anon_sym_LPAREN] = ACTIONS(3045),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [anon_sym_DOT] = ACTIONS(3047),
    [anon_sym_QMARK] = ACTIONS(3047),
    [anon_sym_QMARK2] = ACTIONS(3045),
    [anon_sym_AMP] = ACTIONS(3045),
    [aux_sym_custom_operator_token1] = ACTIONS(3045),
    [anon_sym_LT] = ACTIONS(3047),
    [anon_sym_GT] = ACTIONS(3047),
    [anon_sym_LBRACE] = ACTIONS(3045),
    [anon_sym_CARET_LBRACE] = ACTIONS(3045),
    [anon_sym_RBRACE] = ACTIONS(3045),
    [anon_sym_self] = ACTIONS(3045),
    [anon_sym_case] = ACTIONS(3045),
    [anon_sym_fallthrough] = ACTIONS(3045),
    [anon_sym_PLUS_EQ] = ACTIONS(3045),
    [anon_sym_DASH_EQ] = ACTIONS(3045),
    [anon_sym_STAR_EQ] = ACTIONS(3045),
    [anon_sym_SLASH_EQ] = ACTIONS(3045),
    [anon_sym_PERCENT_EQ] = ACTIONS(3045),
    [anon_sym_BANG_EQ] = ACTIONS(3047),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3045),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3045),
    [anon_sym_LT_EQ] = ACTIONS(3045),
    [anon_sym_GT_EQ] = ACTIONS(3045),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3045),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3045),
    [anon_sym_is] = ACTIONS(3045),
    [anon_sym_PLUS] = ACTIONS(3047),
    [anon_sym_DASH] = ACTIONS(3047),
    [anon_sym_STAR] = ACTIONS(3047),
    [anon_sym_SLASH] = ACTIONS(3047),
    [anon_sym_PERCENT] = ACTIONS(3047),
    [anon_sym_PLUS_PLUS] = ACTIONS(3045),
    [anon_sym_DASH_DASH] = ACTIONS(3045),
    [anon_sym_PIPE] = ACTIONS(3045),
    [anon_sym_CARET] = ACTIONS(3047),
    [anon_sym_LT_LT] = ACTIONS(3045),
    [anon_sym_GT_GT] = ACTIONS(3045),
    [anon_sym_class] = ACTIONS(3045),
    [anon_sym_BANG2] = ACTIONS(3047),
    [anon_sym_prefix] = ACTIONS(3045),
    [anon_sym_infix] = ACTIONS(3045),
    [anon_sym_postfix] = ACTIONS(3045),
    [anon_sym_AT] = ACTIONS(3047),
    [anon_sym_override] = ACTIONS(3045),
    [anon_sym_convenience] = ACTIONS(3045),
    [anon_sym_required] = ACTIONS(3045),
    [anon_sym_nonisolated] = ACTIONS(3045),
    [anon_sym_public] = ACTIONS(3045),
    [anon_sym_private] = ACTIONS(3045),
    [anon_sym_internal] = ACTIONS(3045),
    [anon_sym_fileprivate] = ACTIONS(3045),
    [anon_sym_open] = ACTIONS(3045),
    [anon_sym_mutating] = ACTIONS(3045),
    [anon_sym_nonmutating] = ACTIONS(3045),
    [anon_sym_static] = ACTIONS(3045),
    [anon_sym_dynamic] = ACTIONS(3045),
    [anon_sym_optional] = ACTIONS(3045),
    [anon_sym_distributed] = ACTIONS(3045),
    [anon_sym_final] = ACTIONS(3045),
    [anon_sym_inout] = ACTIONS(3045),
    [anon_sym_ATescaping] = ACTIONS(3045),
    [anon_sym_ATautoclosure] = ACTIONS(3045),
    [anon_sym_weak] = ACTIONS(3045),
    [anon_sym_unowned] = ACTIONS(3047),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3045),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3045),
    [anon_sym_borrowing] = ACTIONS(3045),
    [anon_sym_consuming] = ACTIONS(3045),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3045),
    [sym__explicit_semi] = ACTIONS(3045),
    [sym__dot_custom] = ACTIONS(3045),
    [sym__conjunction_operator_custom] = ACTIONS(3045),
    [sym__disjunction_operator_custom] = ACTIONS(3045),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3045),
    [sym__eq_custom] = ACTIONS(3045),
    [sym__eq_eq_custom] = ACTIONS(3045),
    [sym__plus_then_ws] = ACTIONS(3045),
    [sym__minus_then_ws] = ACTIONS(3045),
    [sym__bang_custom] = ACTIONS(3045),
    [sym_default_keyword] = ACTIONS(3045),
    [sym_where_keyword] = ACTIONS(3045),
    [sym__as_custom] = ACTIONS(3045),
    [sym__as_quest_custom] = ACTIONS(3045),
    [sym__as_bang_custom] = ACTIONS(3045),
    [sym__custom_operator] = ACTIONS(3045),
  },
  [1008] = {
    [sym__fn_call_lambda_arguments] = STATE(1091),
    [sym_lambda_literal] = STATE(847),
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3397),
    [anon_sym_package] = ACTIONS(3397),
    [anon_sym_COMMA] = ACTIONS(3397),
    [anon_sym_LPAREN] = ACTIONS(3397),
    [anon_sym_LBRACK] = ACTIONS(3397),
    [anon_sym_QMARK] = ACTIONS(3399),
    [anon_sym_QMARK2] = ACTIONS(3397),
    [anon_sym_AMP] = ACTIONS(3397),
    [aux_sym_custom_operator_token1] = ACTIONS(3397),
    [anon_sym_LT] = ACTIONS(3399),
    [anon_sym_GT] = ACTIONS(3399),
    [anon_sym_LBRACE] = ACTIONS(3782),
    [anon_sym_CARET_LBRACE] = ACTIONS(3782),
    [anon_sym_RBRACE] = ACTIONS(3397),
    [anon_sym_case] = ACTIONS(3397),
    [anon_sym_fallthrough] = ACTIONS(3397),
    [anon_sym_PLUS_EQ] = ACTIONS(3397),
    [anon_sym_DASH_EQ] = ACTIONS(3397),
    [anon_sym_STAR_EQ] = ACTIONS(3397),
    [anon_sym_SLASH_EQ] = ACTIONS(3397),
    [anon_sym_PERCENT_EQ] = ACTIONS(3397),
    [anon_sym_BANG_EQ] = ACTIONS(3399),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3397),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3397),
    [anon_sym_LT_EQ] = ACTIONS(3397),
    [anon_sym_GT_EQ] = ACTIONS(3397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3397),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3397),
    [anon_sym_is] = ACTIONS(3397),
    [anon_sym_PLUS] = ACTIONS(3399),
    [anon_sym_DASH] = ACTIONS(3399),
    [anon_sym_STAR] = ACTIONS(3399),
    [anon_sym_SLASH] = ACTIONS(3399),
    [anon_sym_PERCENT] = ACTIONS(3399),
    [anon_sym_PLUS_PLUS] = ACTIONS(3397),
    [anon_sym_DASH_DASH] = ACTIONS(3397),
    [anon_sym_PIPE] = ACTIONS(3397),
    [anon_sym_CARET] = ACTIONS(3399),
    [anon_sym_LT_LT] = ACTIONS(3397),
    [anon_sym_GT_GT] = ACTIONS(3397),
    [anon_sym_class] = ACTIONS(3397),
    [anon_sym_BANG2] = ACTIONS(3399),
    [anon_sym_prefix] = ACTIONS(3397),
    [anon_sym_infix] = ACTIONS(3397),
    [anon_sym_postfix] = ACTIONS(3397),
    [anon_sym_AT] = ACTIONS(3399),
    [anon_sym_override] = ACTIONS(3397),
    [anon_sym_convenience] = ACTIONS(3397),
    [anon_sym_required] = ACTIONS(3397),
    [anon_sym_nonisolated] = ACTIONS(3397),
    [anon_sym_public] = ACTIONS(3397),
    [anon_sym_private] = ACTIONS(3397),
    [anon_sym_internal] = ACTIONS(3397),
    [anon_sym_fileprivate] = ACTIONS(3397),
    [anon_sym_open] = ACTIONS(3397),
    [anon_sym_mutating] = ACTIONS(3397),
    [anon_sym_nonmutating] = ACTIONS(3397),
    [anon_sym_static] = ACTIONS(3397),
    [anon_sym_dynamic] = ACTIONS(3397),
    [anon_sym_optional] = ACTIONS(3397),
    [anon_sym_distributed] = ACTIONS(3397),
    [anon_sym_final] = ACTIONS(3397),
    [anon_sym_inout] = ACTIONS(3397),
    [anon_sym_ATescaping] = ACTIONS(3397),
    [anon_sym_ATautoclosure] = ACTIONS(3397),
    [anon_sym_weak] = ACTIONS(3397),
    [anon_sym_unowned] = ACTIONS(3399),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3397),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3397),
    [anon_sym_borrowing] = ACTIONS(3397),
    [anon_sym_consuming] = ACTIONS(3397),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3397),
    [sym__explicit_semi] = ACTIONS(3397),
    [sym__dot_custom] = ACTIONS(3397),
    [sym__conjunction_operator_custom] = ACTIONS(3397),
    [sym__disjunction_operator_custom] = ACTIONS(3397),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3397),
    [sym__eq_custom] = ACTIONS(3397),
    [sym__eq_eq_custom] = ACTIONS(3397),
    [sym__plus_then_ws] = ACTIONS(3397),
    [sym__minus_then_ws] = ACTIONS(3397),
    [sym__bang_custom] = ACTIONS(3397),
    [sym_default_keyword] = ACTIONS(3397),
    [sym_where_keyword] = ACTIONS(3397),
    [sym__as_custom] = ACTIONS(3397),
    [sym__as_quest_custom] = ACTIONS(3397),
    [sym__as_bang_custom] = ACTIONS(3397),
    [sym__custom_operator] = ACTIONS(3397),
  },
  [1009] = {
    [sym__fn_call_lambda_arguments] = STATE(1091),
    [sym_lambda_literal] = STATE(847),
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3387),
    [anon_sym_package] = ACTIONS(3387),
    [anon_sym_COMMA] = ACTIONS(3387),
    [anon_sym_LPAREN] = ACTIONS(3387),
    [anon_sym_LBRACK] = ACTIONS(3387),
    [anon_sym_QMARK] = ACTIONS(3390),
    [anon_sym_QMARK2] = ACTIONS(3387),
    [anon_sym_AMP] = ACTIONS(3387),
    [aux_sym_custom_operator_token1] = ACTIONS(3387),
    [anon_sym_LT] = ACTIONS(3390),
    [anon_sym_GT] = ACTIONS(3390),
    [anon_sym_LBRACE] = ACTIONS(3785),
    [anon_sym_CARET_LBRACE] = ACTIONS(3785),
    [anon_sym_RBRACE] = ACTIONS(3387),
    [anon_sym_case] = ACTIONS(3387),
    [anon_sym_fallthrough] = ACTIONS(3387),
    [anon_sym_PLUS_EQ] = ACTIONS(3387),
    [anon_sym_DASH_EQ] = ACTIONS(3387),
    [anon_sym_STAR_EQ] = ACTIONS(3387),
    [anon_sym_SLASH_EQ] = ACTIONS(3387),
    [anon_sym_PERCENT_EQ] = ACTIONS(3387),
    [anon_sym_BANG_EQ] = ACTIONS(3390),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3387),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3387),
    [anon_sym_LT_EQ] = ACTIONS(3387),
    [anon_sym_GT_EQ] = ACTIONS(3387),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3387),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3387),
    [anon_sym_is] = ACTIONS(3387),
    [anon_sym_PLUS] = ACTIONS(3390),
    [anon_sym_DASH] = ACTIONS(3390),
    [anon_sym_STAR] = ACTIONS(3390),
    [anon_sym_SLASH] = ACTIONS(3390),
    [anon_sym_PERCENT] = ACTIONS(3390),
    [anon_sym_PLUS_PLUS] = ACTIONS(3387),
    [anon_sym_DASH_DASH] = ACTIONS(3387),
    [anon_sym_PIPE] = ACTIONS(3387),
    [anon_sym_CARET] = ACTIONS(3390),
    [anon_sym_LT_LT] = ACTIONS(3387),
    [anon_sym_GT_GT] = ACTIONS(3387),
    [anon_sym_class] = ACTIONS(3387),
    [anon_sym_BANG2] = ACTIONS(3390),
    [anon_sym_prefix] = ACTIONS(3387),
    [anon_sym_infix] = ACTIONS(3387),
    [anon_sym_postfix] = ACTIONS(3387),
    [anon_sym_AT] = ACTIONS(3390),
    [anon_sym_override] = ACTIONS(3387),
    [anon_sym_convenience] = ACTIONS(3387),
    [anon_sym_required] = ACTIONS(3387),
    [anon_sym_nonisolated] = ACTIONS(3387),
    [anon_sym_public] = ACTIONS(3387),
    [anon_sym_private] = ACTIONS(3387),
    [anon_sym_internal] = ACTIONS(3387),
    [anon_sym_fileprivate] = ACTIONS(3387),
    [anon_sym_open] = ACTIONS(3387),
    [anon_sym_mutating] = ACTIONS(3387),
    [anon_sym_nonmutating] = ACTIONS(3387),
    [anon_sym_static] = ACTIONS(3387),
    [anon_sym_dynamic] = ACTIONS(3387),
    [anon_sym_optional] = ACTIONS(3387),
    [anon_sym_distributed] = ACTIONS(3387),
    [anon_sym_final] = ACTIONS(3387),
    [anon_sym_inout] = ACTIONS(3387),
    [anon_sym_ATescaping] = ACTIONS(3387),
    [anon_sym_ATautoclosure] = ACTIONS(3387),
    [anon_sym_weak] = ACTIONS(3387),
    [anon_sym_unowned] = ACTIONS(3390),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3387),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3387),
    [anon_sym_borrowing] = ACTIONS(3387),
    [anon_sym_consuming] = ACTIONS(3387),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3387),
    [sym__explicit_semi] = ACTIONS(3387),
    [sym__dot_custom] = ACTIONS(3387),
    [sym__conjunction_operator_custom] = ACTIONS(3387),
    [sym__disjunction_operator_custom] = ACTIONS(3387),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3387),
    [sym__eq_custom] = ACTIONS(3387),
    [sym__eq_eq_custom] = ACTIONS(3387),
    [sym__plus_then_ws] = ACTIONS(3387),
    [sym__minus_then_ws] = ACTIONS(3387),
    [sym__bang_custom] = ACTIONS(3387),
    [sym_default_keyword] = ACTIONS(3387),
    [sym_where_keyword] = ACTIONS(3387),
    [sym__as_custom] = ACTIONS(3387),
    [sym__as_quest_custom] = ACTIONS(3387),
    [sym__as_bang_custom] = ACTIONS(3387),
    [sym__custom_operator] = ACTIONS(3387),
  },
  [1010] = {
    [aux_sym_key_path_expression_repeat1] = STATE(1012),
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3037),
    [anon_sym_package] = ACTIONS(3037),
    [anon_sym_COMMA] = ACTIONS(3037),
    [anon_sym_LPAREN] = ACTIONS(3037),
    [anon_sym_LBRACK] = ACTIONS(3037),
    [anon_sym_DOT] = ACTIONS(3102),
    [anon_sym_QMARK] = ACTIONS(3039),
    [anon_sym_QMARK2] = ACTIONS(3037),
    [anon_sym_AMP] = ACTIONS(3037),
    [aux_sym_custom_operator_token1] = ACTIONS(3037),
    [anon_sym_LT] = ACTIONS(3039),
    [anon_sym_GT] = ACTIONS(3039),
    [anon_sym_LBRACE] = ACTIONS(3037),
    [anon_sym_CARET_LBRACE] = ACTIONS(3037),
    [anon_sym_RBRACE] = ACTIONS(3037),
    [anon_sym_case] = ACTIONS(3037),
    [anon_sym_fallthrough] = ACTIONS(3037),
    [anon_sym_PLUS_EQ] = ACTIONS(3037),
    [anon_sym_DASH_EQ] = ACTIONS(3037),
    [anon_sym_STAR_EQ] = ACTIONS(3037),
    [anon_sym_SLASH_EQ] = ACTIONS(3037),
    [anon_sym_PERCENT_EQ] = ACTIONS(3037),
    [anon_sym_BANG_EQ] = ACTIONS(3039),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3037),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3037),
    [anon_sym_LT_EQ] = ACTIONS(3037),
    [anon_sym_GT_EQ] = ACTIONS(3037),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3037),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3037),
    [anon_sym_is] = ACTIONS(3037),
    [anon_sym_PLUS] = ACTIONS(3039),
    [anon_sym_DASH] = ACTIONS(3039),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_SLASH] = ACTIONS(3039),
    [anon_sym_PERCENT] = ACTIONS(3039),
    [anon_sym_PLUS_PLUS] = ACTIONS(3037),
    [anon_sym_DASH_DASH] = ACTIONS(3037),
    [anon_sym_PIPE] = ACTIONS(3037),
    [anon_sym_CARET] = ACTIONS(3039),
    [anon_sym_LT_LT] = ACTIONS(3037),
    [anon_sym_GT_GT] = ACTIONS(3037),
    [anon_sym_class] = ACTIONS(3037),
    [anon_sym_BANG2] = ACTIONS(3039),
    [anon_sym_prefix] = ACTIONS(3037),
    [anon_sym_infix] = ACTIONS(3037),
    [anon_sym_postfix] = ACTIONS(3037),
    [anon_sym_AT] = ACTIONS(3039),
    [anon_sym_override] = ACTIONS(3037),
    [anon_sym_convenience] = ACTIONS(3037),
    [anon_sym_required] = ACTIONS(3037),
    [anon_sym_nonisolated] = ACTIONS(3037),
    [anon_sym_public] = ACTIONS(3037),
    [anon_sym_private] = ACTIONS(3037),
    [anon_sym_internal] = ACTIONS(3037),
    [anon_sym_fileprivate] = ACTIONS(3037),
    [anon_sym_open] = ACTIONS(3037),
    [anon_sym_mutating] = ACTIONS(3037),
    [anon_sym_nonmutating] = ACTIONS(3037),
    [anon_sym_static] = ACTIONS(3037),
    [anon_sym_dynamic] = ACTIONS(3037),
    [anon_sym_optional] = ACTIONS(3037),
    [anon_sym_distributed] = ACTIONS(3037),
    [anon_sym_final] = ACTIONS(3037),
    [anon_sym_inout] = ACTIONS(3037),
    [anon_sym_ATescaping] = ACTIONS(3037),
    [anon_sym_ATautoclosure] = ACTIONS(3037),
    [anon_sym_weak] = ACTIONS(3037),
    [anon_sym_unowned] = ACTIONS(3039),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3037),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3037),
    [anon_sym_borrowing] = ACTIONS(3037),
    [anon_sym_consuming] = ACTIONS(3037),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3037),
    [sym__explicit_semi] = ACTIONS(3037),
    [sym__dot_custom] = ACTIONS(3037),
    [sym__conjunction_operator_custom] = ACTIONS(3037),
    [sym__disjunction_operator_custom] = ACTIONS(3037),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3037),
    [sym__eq_custom] = ACTIONS(3037),
    [sym__eq_eq_custom] = ACTIONS(3037),
    [sym__plus_then_ws] = ACTIONS(3037),
    [sym__minus_then_ws] = ACTIONS(3037),
    [sym__bang_custom] = ACTIONS(3037),
    [sym_default_keyword] = ACTIONS(3037),
    [sym_where_keyword] = ACTIONS(3037),
    [sym__as_custom] = ACTIONS(3037),
    [sym__as_quest_custom] = ACTIONS(3037),
    [sym__as_bang_custom] = ACTIONS(3037),
    [sym__custom_operator] = ACTIONS(3037),
  },
  [1011] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3041),
    [anon_sym_package] = ACTIONS(3041),
    [anon_sym_COMMA] = ACTIONS(3041),
    [anon_sym_LPAREN] = ACTIONS(3041),
    [anon_sym_LBRACK] = ACTIONS(3041),
    [anon_sym_DOT] = ACTIONS(3043),
    [anon_sym_QMARK] = ACTIONS(3043),
    [anon_sym_QMARK2] = ACTIONS(3041),
    [anon_sym_AMP] = ACTIONS(3041),
    [aux_sym_custom_operator_token1] = ACTIONS(3041),
    [anon_sym_LT] = ACTIONS(3043),
    [anon_sym_GT] = ACTIONS(3043),
    [anon_sym_LBRACE] = ACTIONS(3041),
    [anon_sym_CARET_LBRACE] = ACTIONS(3041),
    [anon_sym_RBRACE] = ACTIONS(3041),
    [anon_sym_self] = ACTIONS(3041),
    [anon_sym_case] = ACTIONS(3041),
    [anon_sym_fallthrough] = ACTIONS(3041),
    [anon_sym_PLUS_EQ] = ACTIONS(3041),
    [anon_sym_DASH_EQ] = ACTIONS(3041),
    [anon_sym_STAR_EQ] = ACTIONS(3041),
    [anon_sym_SLASH_EQ] = ACTIONS(3041),
    [anon_sym_PERCENT_EQ] = ACTIONS(3041),
    [anon_sym_BANG_EQ] = ACTIONS(3043),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3041),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3041),
    [anon_sym_LT_EQ] = ACTIONS(3041),
    [anon_sym_GT_EQ] = ACTIONS(3041),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3041),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3041),
    [anon_sym_is] = ACTIONS(3041),
    [anon_sym_PLUS] = ACTIONS(3043),
    [anon_sym_DASH] = ACTIONS(3043),
    [anon_sym_STAR] = ACTIONS(3043),
    [anon_sym_SLASH] = ACTIONS(3043),
    [anon_sym_PERCENT] = ACTIONS(3043),
    [anon_sym_PLUS_PLUS] = ACTIONS(3041),
    [anon_sym_DASH_DASH] = ACTIONS(3041),
    [anon_sym_PIPE] = ACTIONS(3041),
    [anon_sym_CARET] = ACTIONS(3043),
    [anon_sym_LT_LT] = ACTIONS(3041),
    [anon_sym_GT_GT] = ACTIONS(3041),
    [anon_sym_class] = ACTIONS(3041),
    [anon_sym_BANG2] = ACTIONS(3043),
    [anon_sym_prefix] = ACTIONS(3041),
    [anon_sym_infix] = ACTIONS(3041),
    [anon_sym_postfix] = ACTIONS(3041),
    [anon_sym_AT] = ACTIONS(3043),
    [anon_sym_override] = ACTIONS(3041),
    [anon_sym_convenience] = ACTIONS(3041),
    [anon_sym_required] = ACTIONS(3041),
    [anon_sym_nonisolated] = ACTIONS(3041),
    [anon_sym_public] = ACTIONS(3041),
    [anon_sym_private] = ACTIONS(3041),
    [anon_sym_internal] = ACTIONS(3041),
    [anon_sym_fileprivate] = ACTIONS(3041),
    [anon_sym_open] = ACTIONS(3041),
    [anon_sym_mutating] = ACTIONS(3041),
    [anon_sym_nonmutating] = ACTIONS(3041),
    [anon_sym_static] = ACTIONS(3041),
    [anon_sym_dynamic] = ACTIONS(3041),
    [anon_sym_optional] = ACTIONS(3041),
    [anon_sym_distributed] = ACTIONS(3041),
    [anon_sym_final] = ACTIONS(3041),
    [anon_sym_inout] = ACTIONS(3041),
    [anon_sym_ATescaping] = ACTIONS(3041),
    [anon_sym_ATautoclosure] = ACTIONS(3041),
    [anon_sym_weak] = ACTIONS(3041),
    [anon_sym_unowned] = ACTIONS(3043),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3041),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3041),
    [anon_sym_borrowing] = ACTIONS(3041),
    [anon_sym_consuming] = ACTIONS(3041),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3041),
    [sym__explicit_semi] = ACTIONS(3041),
    [sym__dot_custom] = ACTIONS(3041),
    [sym__conjunction_operator_custom] = ACTIONS(3041),
    [sym__disjunction_operator_custom] = ACTIONS(3041),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3041),
    [sym__eq_custom] = ACTIONS(3041),
    [sym__eq_eq_custom] = ACTIONS(3041),
    [sym__plus_then_ws] = ACTIONS(3041),
    [sym__minus_then_ws] = ACTIONS(3041),
    [sym__bang_custom] = ACTIONS(3041),
    [sym_default_keyword] = ACTIONS(3041),
    [sym_where_keyword] = ACTIONS(3041),
    [sym__as_custom] = ACTIONS(3041),
    [sym__as_quest_custom] = ACTIONS(3041),
    [sym__as_bang_custom] = ACTIONS(3041),
    [sym__custom_operator] = ACTIONS(3041),
  },
  [1012] = {
    [aux_sym_key_path_expression_repeat1] = STATE(1005),
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3049),
    [anon_sym_package] = ACTIONS(3049),
    [anon_sym_COMMA] = ACTIONS(3049),
    [anon_sym_LPAREN] = ACTIONS(3049),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_DOT] = ACTIONS(3102),
    [anon_sym_QMARK] = ACTIONS(3051),
    [anon_sym_QMARK2] = ACTIONS(3049),
    [anon_sym_AMP] = ACTIONS(3049),
    [aux_sym_custom_operator_token1] = ACTIONS(3049),
    [anon_sym_LT] = ACTIONS(3051),
    [anon_sym_GT] = ACTIONS(3051),
    [anon_sym_LBRACE] = ACTIONS(3049),
    [anon_sym_CARET_LBRACE] = ACTIONS(3049),
    [anon_sym_RBRACE] = ACTIONS(3049),
    [anon_sym_case] = ACTIONS(3049),
    [anon_sym_fallthrough] = ACTIONS(3049),
    [anon_sym_PLUS_EQ] = ACTIONS(3049),
    [anon_sym_DASH_EQ] = ACTIONS(3049),
    [anon_sym_STAR_EQ] = ACTIONS(3049),
    [anon_sym_SLASH_EQ] = ACTIONS(3049),
    [anon_sym_PERCENT_EQ] = ACTIONS(3049),
    [anon_sym_BANG_EQ] = ACTIONS(3051),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3049),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3049),
    [anon_sym_LT_EQ] = ACTIONS(3049),
    [anon_sym_GT_EQ] = ACTIONS(3049),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3049),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3049),
    [anon_sym_is] = ACTIONS(3049),
    [anon_sym_PLUS] = ACTIONS(3051),
    [anon_sym_DASH] = ACTIONS(3051),
    [anon_sym_STAR] = ACTIONS(3051),
    [anon_sym_SLASH] = ACTIONS(3051),
    [anon_sym_PERCENT] = ACTIONS(3051),
    [anon_sym_PLUS_PLUS] = ACTIONS(3049),
    [anon_sym_DASH_DASH] = ACTIONS(3049),
    [anon_sym_PIPE] = ACTIONS(3049),
    [anon_sym_CARET] = ACTIONS(3051),
    [anon_sym_LT_LT] = ACTIONS(3049),
    [anon_sym_GT_GT] = ACTIONS(3049),
    [anon_sym_class] = ACTIONS(3049),
    [anon_sym_BANG2] = ACTIONS(3051),
    [anon_sym_prefix] = ACTIONS(3049),
    [anon_sym_infix] = ACTIONS(3049),
    [anon_sym_postfix] = ACTIONS(3049),
    [anon_sym_AT] = ACTIONS(3051),
    [anon_sym_override] = ACTIONS(3049),
    [anon_sym_convenience] = ACTIONS(3049),
    [anon_sym_required] = ACTIONS(3049),
    [anon_sym_nonisolated] = ACTIONS(3049),
    [anon_sym_public] = ACTIONS(3049),
    [anon_sym_private] = ACTIONS(3049),
    [anon_sym_internal] = ACTIONS(3049),
    [anon_sym_fileprivate] = ACTIONS(3049),
    [anon_sym_open] = ACTIONS(3049),
    [anon_sym_mutating] = ACTIONS(3049),
    [anon_sym_nonmutating] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(3049),
    [anon_sym_dynamic] = ACTIONS(3049),
    [anon_sym_optional] = ACTIONS(3049),
    [anon_sym_distributed] = ACTIONS(3049),
    [anon_sym_final] = ACTIONS(3049),
    [anon_sym_inout] = ACTIONS(3049),
    [anon_sym_ATescaping] = ACTIONS(3049),
    [anon_sym_ATautoclosure] = ACTIONS(3049),
    [anon_sym_weak] = ACTIONS(3049),
    [anon_sym_unowned] = ACTIONS(3051),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3049),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3049),
    [anon_sym_borrowing] = ACTIONS(3049),
    [anon_sym_consuming] = ACTIONS(3049),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3049),
    [sym__explicit_semi] = ACTIONS(3049),
    [sym__dot_custom] = ACTIONS(3049),
    [sym__conjunction_operator_custom] = ACTIONS(3049),
    [sym__disjunction_operator_custom] = ACTIONS(3049),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3049),
    [sym__eq_custom] = ACTIONS(3049),
    [sym__eq_eq_custom] = ACTIONS(3049),
    [sym__plus_then_ws] = ACTIONS(3049),
    [sym__minus_then_ws] = ACTIONS(3049),
    [sym__bang_custom] = ACTIONS(3049),
    [sym_default_keyword] = ACTIONS(3049),
    [sym_where_keyword] = ACTIONS(3049),
    [sym__as_custom] = ACTIONS(3049),
    [sym__as_quest_custom] = ACTIONS(3049),
    [sym__as_bang_custom] = ACTIONS(3049),
    [sym__custom_operator] = ACTIONS(3049),
  },
  [1013] = {
    [sym_simple_identifier] = STATE(1836),
    [sym__contextual_simple_identifier] = STATE(1866),
    [sym__unannotated_type] = STATE(1688),
    [sym_user_type] = STATE(1768),
    [sym__simple_user_type] = STATE(1771),
    [sym_tuple_type] = STATE(1671),
    [sym_function_type] = STATE(1688),
    [sym_array_type] = STATE(1768),
    [sym_dictionary_type] = STATE(1768),
    [sym_optional_type] = STATE(1688),
    [sym_metatype] = STATE(1688),
    [sym_opaque_type] = STATE(1688),
    [sym_existential_type] = STATE(1688),
    [sym_type_parameter_pack] = STATE(1688),
    [sym_type_pack_expansion] = STATE(1688),
    [sym_protocol_composition_type] = STATE(1688),
    [sym__parenthesized_type] = STATE(1879),
    [sym__parameter_ownership_modifier] = STATE(1866),
    [ts_builtin_sym_end] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(3789),
    [aux_sym_simple_identifier_token2] = ACTIONS(3791),
    [aux_sym_simple_identifier_token3] = ACTIONS(3791),
    [aux_sym_simple_identifier_token4] = ACTIONS(3791),
    [anon_sym_actor] = ACTIONS(3789),
    [anon_sym_async] = ACTIONS(3789),
    [anon_sym_each] = ACTIONS(3793),
    [anon_sym_lazy] = ACTIONS(3789),
    [anon_sym_repeat] = ACTIONS(3795),
    [anon_sym_package] = ACTIONS(3789),
    [anon_sym_COMMA] = ACTIONS(631),
    [anon_sym_LPAREN] = ACTIONS(3797),
    [anon_sym_LBRACK] = ACTIONS(3800),
    [anon_sym_DOT] = ACTIONS(637),
    [anon_sym_QMARK] = ACTIONS(637),
    [anon_sym_QMARK2] = ACTIONS(631),
    [anon_sym_some] = ACTIONS(3803),
    [anon_sym_any] = ACTIONS(3805),
    [anon_sym_AMP] = ACTIONS(631),
    [aux_sym_custom_operator_token1] = ACTIONS(631),
    [anon_sym_LT] = ACTIONS(637),
    [anon_sym_GT] = ACTIONS(637),
    [anon_sym_LBRACE] = ACTIONS(631),
    [anon_sym_CARET_LBRACE] = ACTIONS(631),
    [anon_sym_RBRACE] = ACTIONS(631),
    [anon_sym_PLUS_EQ] = ACTIONS(631),
    [anon_sym_DASH_EQ] = ACTIONS(631),
    [anon_sym_STAR_EQ] = ACTIONS(631),
    [anon_sym_SLASH_EQ] = ACTIONS(631),
    [anon_sym_PERCENT_EQ] = ACTIONS(631),
    [anon_sym_BANG_EQ] = ACTIONS(637),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(631),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(631),
    [anon_sym_LT_EQ] = ACTIONS(631),
    [anon_sym_GT_EQ] = ACTIONS(631),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(631),
    [anon_sym_DOT_DOT_LT] = ACTIONS(631),
    [anon_sym_is] = ACTIONS(637),
    [anon_sym_PLUS] = ACTIONS(637),
    [anon_sym_DASH] = ACTIONS(637),
    [anon_sym_STAR] = ACTIONS(637),
    [anon_sym_SLASH] = ACTIONS(637),
    [anon_sym_PERCENT] = ACTIONS(637),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PIPE] = ACTIONS(631),
    [anon_sym_CARET] = ACTIONS(637),
    [anon_sym_LT_LT] = ACTIONS(631),
    [anon_sym_GT_GT] = ACTIONS(631),
    [anon_sym_BANG2] = ACTIONS(637),
    [anon_sym_borrowing] = ACTIONS(3789),
    [anon_sym_consuming] = ACTIONS(3789),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(631),
    [sym__explicit_semi] = ACTIONS(631),
    [sym__arrow_operator_custom] = ACTIONS(631),
    [sym__dot_custom] = ACTIONS(631),
    [sym__conjunction_operator_custom] = ACTIONS(631),
    [sym__disjunction_operator_custom] = ACTIONS(631),
    [sym__nil_coalescing_operator_custom] = ACTIONS(631),
    [sym__eq_custom] = ACTIONS(631),
    [sym__eq_eq_custom] = ACTIONS(631),
    [sym__plus_then_ws] = ACTIONS(631),
    [sym__minus_then_ws] = ACTIONS(631),
    [sym__bang_custom] = ACTIONS(631),
    [sym__throws_keyword] = ACTIONS(631),
    [sym__rethrows_keyword] = ACTIONS(631),
    [sym__as_custom] = ACTIONS(631),
    [sym__as_quest_custom] = ACTIONS(631),
    [sym__as_bang_custom] = ACTIONS(631),
    [sym__async_keyword_custom] = ACTIONS(631),
    [sym__custom_operator] = ACTIONS(631),
  },
  [1014] = {
    [aux_sym_key_path_expression_repeat1] = STATE(1005),
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3037),
    [anon_sym_package] = ACTIONS(3037),
    [anon_sym_COMMA] = ACTIONS(3037),
    [anon_sym_LPAREN] = ACTIONS(3037),
    [anon_sym_LBRACK] = ACTIONS(3037),
    [anon_sym_DOT] = ACTIONS(3102),
    [anon_sym_QMARK] = ACTIONS(3039),
    [anon_sym_QMARK2] = ACTIONS(3037),
    [anon_sym_AMP] = ACTIONS(3037),
    [aux_sym_custom_operator_token1] = ACTIONS(3037),
    [anon_sym_LT] = ACTIONS(3039),
    [anon_sym_GT] = ACTIONS(3039),
    [anon_sym_LBRACE] = ACTIONS(3037),
    [anon_sym_CARET_LBRACE] = ACTIONS(3037),
    [anon_sym_RBRACE] = ACTIONS(3037),
    [anon_sym_case] = ACTIONS(3037),
    [anon_sym_fallthrough] = ACTIONS(3037),
    [anon_sym_PLUS_EQ] = ACTIONS(3037),
    [anon_sym_DASH_EQ] = ACTIONS(3037),
    [anon_sym_STAR_EQ] = ACTIONS(3037),
    [anon_sym_SLASH_EQ] = ACTIONS(3037),
    [anon_sym_PERCENT_EQ] = ACTIONS(3037),
    [anon_sym_BANG_EQ] = ACTIONS(3039),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3037),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3037),
    [anon_sym_LT_EQ] = ACTIONS(3037),
    [anon_sym_GT_EQ] = ACTIONS(3037),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3037),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3037),
    [anon_sym_is] = ACTIONS(3037),
    [anon_sym_PLUS] = ACTIONS(3039),
    [anon_sym_DASH] = ACTIONS(3039),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_SLASH] = ACTIONS(3039),
    [anon_sym_PERCENT] = ACTIONS(3039),
    [anon_sym_PLUS_PLUS] = ACTIONS(3037),
    [anon_sym_DASH_DASH] = ACTIONS(3037),
    [anon_sym_PIPE] = ACTIONS(3037),
    [anon_sym_CARET] = ACTIONS(3039),
    [anon_sym_LT_LT] = ACTIONS(3037),
    [anon_sym_GT_GT] = ACTIONS(3037),
    [anon_sym_class] = ACTIONS(3037),
    [anon_sym_BANG2] = ACTIONS(3039),
    [anon_sym_prefix] = ACTIONS(3037),
    [anon_sym_infix] = ACTIONS(3037),
    [anon_sym_postfix] = ACTIONS(3037),
    [anon_sym_AT] = ACTIONS(3039),
    [anon_sym_override] = ACTIONS(3037),
    [anon_sym_convenience] = ACTIONS(3037),
    [anon_sym_required] = ACTIONS(3037),
    [anon_sym_nonisolated] = ACTIONS(3037),
    [anon_sym_public] = ACTIONS(3037),
    [anon_sym_private] = ACTIONS(3037),
    [anon_sym_internal] = ACTIONS(3037),
    [anon_sym_fileprivate] = ACTIONS(3037),
    [anon_sym_open] = ACTIONS(3037),
    [anon_sym_mutating] = ACTIONS(3037),
    [anon_sym_nonmutating] = ACTIONS(3037),
    [anon_sym_static] = ACTIONS(3037),
    [anon_sym_dynamic] = ACTIONS(3037),
    [anon_sym_optional] = ACTIONS(3037),
    [anon_sym_distributed] = ACTIONS(3037),
    [anon_sym_final] = ACTIONS(3037),
    [anon_sym_inout] = ACTIONS(3037),
    [anon_sym_ATescaping] = ACTIONS(3037),
    [anon_sym_ATautoclosure] = ACTIONS(3037),
    [anon_sym_weak] = ACTIONS(3037),
    [anon_sym_unowned] = ACTIONS(3039),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3037),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3037),
    [anon_sym_borrowing] = ACTIONS(3037),
    [anon_sym_consuming] = ACTIONS(3037),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3037),
    [sym__explicit_semi] = ACTIONS(3037),
    [sym__dot_custom] = ACTIONS(3037),
    [sym__conjunction_operator_custom] = ACTIONS(3037),
    [sym__disjunction_operator_custom] = ACTIONS(3037),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3037),
    [sym__eq_custom] = ACTIONS(3037),
    [sym__eq_eq_custom] = ACTIONS(3037),
    [sym__plus_then_ws] = ACTIONS(3037),
    [sym__minus_then_ws] = ACTIONS(3037),
    [sym__bang_custom] = ACTIONS(3037),
    [sym_default_keyword] = ACTIONS(3037),
    [sym_where_keyword] = ACTIONS(3037),
    [sym__as_custom] = ACTIONS(3037),
    [sym__as_quest_custom] = ACTIONS(3037),
    [sym__as_bang_custom] = ACTIONS(3037),
    [sym__custom_operator] = ACTIONS(3037),
  },
  [1015] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(2928),
    [anon_sym_package] = ACTIONS(2928),
    [anon_sym_COMMA] = ACTIONS(2928),
    [anon_sym_LPAREN] = ACTIONS(2928),
    [anon_sym_LBRACK] = ACTIONS(2928),
    [anon_sym_DOT] = ACTIONS(2930),
    [anon_sym_QMARK] = ACTIONS(2930),
    [anon_sym_QMARK2] = ACTIONS(2928),
    [anon_sym_AMP] = ACTIONS(2928),
    [aux_sym_custom_operator_token1] = ACTIONS(2928),
    [anon_sym_LT] = ACTIONS(2930),
    [anon_sym_GT] = ACTIONS(2930),
    [anon_sym_LBRACE] = ACTIONS(2928),
    [anon_sym_CARET_LBRACE] = ACTIONS(2928),
    [anon_sym_RBRACE] = ACTIONS(2928),
    [anon_sym_self] = ACTIONS(2928),
    [anon_sym_case] = ACTIONS(2928),
    [anon_sym_fallthrough] = ACTIONS(2928),
    [anon_sym_PLUS_EQ] = ACTIONS(2928),
    [anon_sym_DASH_EQ] = ACTIONS(2928),
    [anon_sym_STAR_EQ] = ACTIONS(2928),
    [anon_sym_SLASH_EQ] = ACTIONS(2928),
    [anon_sym_PERCENT_EQ] = ACTIONS(2928),
    [anon_sym_BANG_EQ] = ACTIONS(2930),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2928),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2928),
    [anon_sym_LT_EQ] = ACTIONS(2928),
    [anon_sym_GT_EQ] = ACTIONS(2928),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2928),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2928),
    [anon_sym_is] = ACTIONS(2928),
    [anon_sym_PLUS] = ACTIONS(2930),
    [anon_sym_DASH] = ACTIONS(2930),
    [anon_sym_STAR] = ACTIONS(2930),
    [anon_sym_SLASH] = ACTIONS(2930),
    [anon_sym_PERCENT] = ACTIONS(2930),
    [anon_sym_PLUS_PLUS] = ACTIONS(2928),
    [anon_sym_DASH_DASH] = ACTIONS(2928),
    [anon_sym_PIPE] = ACTIONS(2928),
    [anon_sym_CARET] = ACTIONS(2930),
    [anon_sym_LT_LT] = ACTIONS(2928),
    [anon_sym_GT_GT] = ACTIONS(2928),
    [anon_sym_class] = ACTIONS(2928),
    [anon_sym_BANG2] = ACTIONS(2930),
    [anon_sym_prefix] = ACTIONS(2928),
    [anon_sym_infix] = ACTIONS(2928),
    [anon_sym_postfix] = ACTIONS(2928),
    [anon_sym_AT] = ACTIONS(2930),
    [anon_sym_override] = ACTIONS(2928),
    [anon_sym_convenience] = ACTIONS(2928),
    [anon_sym_required] = ACTIONS(2928),
    [anon_sym_nonisolated] = ACTIONS(2928),
    [anon_sym_public] = ACTIONS(2928),
    [anon_sym_private] = ACTIONS(2928),
    [anon_sym_internal] = ACTIONS(2928),
    [anon_sym_fileprivate] = ACTIONS(2928),
    [anon_sym_open] = ACTIONS(2928),
    [anon_sym_mutating] = ACTIONS(2928),
    [anon_sym_nonmutating] = ACTIONS(2928),
    [anon_sym_static] = ACTIONS(2928),
    [anon_sym_dynamic] = ACTIONS(2928),
    [anon_sym_optional] = ACTIONS(2928),
    [anon_sym_distributed] = ACTIONS(2928),
    [anon_sym_final] = ACTIONS(2928),
    [anon_sym_inout] = ACTIONS(2928),
    [anon_sym_ATescaping] = ACTIONS(2928),
    [anon_sym_ATautoclosure] = ACTIONS(2928),
    [anon_sym_weak] = ACTIONS(2928),
    [anon_sym_unowned] = ACTIONS(2930),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2928),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2928),
    [anon_sym_borrowing] = ACTIONS(2928),
    [anon_sym_consuming] = ACTIONS(2928),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2928),
    [sym__explicit_semi] = ACTIONS(2928),
    [sym__dot_custom] = ACTIONS(2928),
    [sym__conjunction_operator_custom] = ACTIONS(2928),
    [sym__disjunction_operator_custom] = ACTIONS(2928),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2928),
    [sym__eq_custom] = ACTIONS(2928),
    [sym__eq_eq_custom] = ACTIONS(2928),
    [sym__plus_then_ws] = ACTIONS(2928),
    [sym__minus_then_ws] = ACTIONS(2928),
    [sym__bang_custom] = ACTIONS(2928),
    [sym_default_keyword] = ACTIONS(2928),
    [sym_where_keyword] = ACTIONS(2928),
    [sym__as_custom] = ACTIONS(2928),
    [sym__as_quest_custom] = ACTIONS(2928),
    [sym__as_bang_custom] = ACTIONS(2928),
    [sym__custom_operator] = ACTIONS(2928),
  },
  [1016] = {
    [sym_simple_identifier] = STATE(1836),
    [sym__contextual_simple_identifier] = STATE(1866),
    [sym__unannotated_type] = STATE(1698),
    [sym_user_type] = STATE(1768),
    [sym__simple_user_type] = STATE(1771),
    [sym_tuple_type] = STATE(1671),
    [sym_function_type] = STATE(1698),
    [sym_array_type] = STATE(1768),
    [sym_dictionary_type] = STATE(1768),
    [sym_optional_type] = STATE(1698),
    [sym_metatype] = STATE(1698),
    [sym_opaque_type] = STATE(1698),
    [sym_existential_type] = STATE(1698),
    [sym_type_parameter_pack] = STATE(1698),
    [sym_type_pack_expansion] = STATE(1698),
    [sym_protocol_composition_type] = STATE(1698),
    [sym__parenthesized_type] = STATE(1879),
    [sym__parameter_ownership_modifier] = STATE(1866),
    [ts_builtin_sym_end] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(3789),
    [aux_sym_simple_identifier_token2] = ACTIONS(3791),
    [aux_sym_simple_identifier_token3] = ACTIONS(3791),
    [aux_sym_simple_identifier_token4] = ACTIONS(3791),
    [anon_sym_actor] = ACTIONS(3789),
    [anon_sym_async] = ACTIONS(3789),
    [anon_sym_each] = ACTIONS(3793),
    [anon_sym_lazy] = ACTIONS(3789),
    [anon_sym_repeat] = ACTIONS(3795),
    [anon_sym_package] = ACTIONS(3789),
    [anon_sym_COMMA] = ACTIONS(631),
    [anon_sym_LPAREN] = ACTIONS(3797),
    [anon_sym_LBRACK] = ACTIONS(3800),
    [anon_sym_DOT] = ACTIONS(637),
    [anon_sym_QMARK] = ACTIONS(637),
    [anon_sym_QMARK2] = ACTIONS(631),
    [anon_sym_some] = ACTIONS(3803),
    [anon_sym_any] = ACTIONS(3805),
    [anon_sym_AMP] = ACTIONS(631),
    [aux_sym_custom_operator_token1] = ACTIONS(631),
    [anon_sym_LT] = ACTIONS(637),
    [anon_sym_GT] = ACTIONS(637),
    [anon_sym_LBRACE] = ACTIONS(631),
    [anon_sym_CARET_LBRACE] = ACTIONS(631),
    [anon_sym_RBRACE] = ACTIONS(631),
    [anon_sym_PLUS_EQ] = ACTIONS(631),
    [anon_sym_DASH_EQ] = ACTIONS(631),
    [anon_sym_STAR_EQ] = ACTIONS(631),
    [anon_sym_SLASH_EQ] = ACTIONS(631),
    [anon_sym_PERCENT_EQ] = ACTIONS(631),
    [anon_sym_BANG_EQ] = ACTIONS(637),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(631),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(631),
    [anon_sym_LT_EQ] = ACTIONS(631),
    [anon_sym_GT_EQ] = ACTIONS(631),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(631),
    [anon_sym_DOT_DOT_LT] = ACTIONS(631),
    [anon_sym_is] = ACTIONS(637),
    [anon_sym_PLUS] = ACTIONS(637),
    [anon_sym_DASH] = ACTIONS(637),
    [anon_sym_STAR] = ACTIONS(637),
    [anon_sym_SLASH] = ACTIONS(637),
    [anon_sym_PERCENT] = ACTIONS(637),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PIPE] = ACTIONS(631),
    [anon_sym_CARET] = ACTIONS(637),
    [anon_sym_LT_LT] = ACTIONS(631),
    [anon_sym_GT_GT] = ACTIONS(631),
    [anon_sym_BANG2] = ACTIONS(637),
    [anon_sym_borrowing] = ACTIONS(3789),
    [anon_sym_consuming] = ACTIONS(3789),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(631),
    [sym__explicit_semi] = ACTIONS(631),
    [sym__arrow_operator_custom] = ACTIONS(631),
    [sym__dot_custom] = ACTIONS(631),
    [sym__conjunction_operator_custom] = ACTIONS(631),
    [sym__disjunction_operator_custom] = ACTIONS(631),
    [sym__nil_coalescing_operator_custom] = ACTIONS(631),
    [sym__eq_custom] = ACTIONS(631),
    [sym__eq_eq_custom] = ACTIONS(631),
    [sym__plus_then_ws] = ACTIONS(631),
    [sym__minus_then_ws] = ACTIONS(631),
    [sym__bang_custom] = ACTIONS(631),
    [sym__throws_keyword] = ACTIONS(631),
    [sym__rethrows_keyword] = ACTIONS(631),
    [sym__as_custom] = ACTIONS(631),
    [sym__as_quest_custom] = ACTIONS(631),
    [sym__as_bang_custom] = ACTIONS(631),
    [sym__async_keyword_custom] = ACTIONS(631),
    [sym__custom_operator] = ACTIONS(631),
  },
  [1017] = {
    [sym__try_operator_type] = STATE(1245),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(3807),
    [aux_sym_simple_identifier_token2] = ACTIONS(3809),
    [aux_sym_simple_identifier_token3] = ACTIONS(3809),
    [aux_sym_simple_identifier_token4] = ACTIONS(3809),
    [anon_sym_actor] = ACTIONS(3807),
    [anon_sym_async] = ACTIONS(3807),
    [anon_sym_each] = ACTIONS(3807),
    [anon_sym_lazy] = ACTIONS(3807),
    [anon_sym_repeat] = ACTIONS(3807),
    [anon_sym_package] = ACTIONS(3807),
    [anon_sym_nil] = ACTIONS(3807),
    [sym_real_literal] = ACTIONS(3809),
    [sym_integer_literal] = ACTIONS(3807),
    [sym_hex_literal] = ACTIONS(3809),
    [sym_oct_literal] = ACTIONS(3809),
    [sym_bin_literal] = ACTIONS(3809),
    [anon_sym_true] = ACTIONS(3807),
    [anon_sym_false] = ACTIONS(3807),
    [anon_sym_DQUOTE] = ACTIONS(3807),
    [anon_sym_BSLASH] = ACTIONS(3809),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3809),
    [sym__extended_regex_literal] = ACTIONS(3809),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(3809),
    [sym__oneline_regex_literal] = ACTIONS(3807),
    [anon_sym_BANG] = ACTIONS(3811),
    [anon_sym_LPAREN] = ACTIONS(3809),
    [anon_sym_LBRACK] = ACTIONS(3809),
    [anon_sym_QMARK2] = ACTIONS(3813),
    [anon_sym_AMP] = ACTIONS(3809),
    [anon_sym_if] = ACTIONS(3807),
    [anon_sym_switch] = ACTIONS(3807),
    [anon_sym_POUNDselector] = ACTIONS(3809),
    [aux_sym_custom_operator_token1] = ACTIONS(3809),
    [anon_sym_LT] = ACTIONS(3807),
    [anon_sym_GT] = ACTIONS(3807),
    [anon_sym_await] = ACTIONS(3807),
    [anon_sym_POUNDfile] = ACTIONS(3807),
    [anon_sym_POUNDfileID] = ACTIONS(3809),
    [anon_sym_POUNDfilePath] = ACTIONS(3809),
    [anon_sym_POUNDline] = ACTIONS(3809),
    [anon_sym_POUNDcolumn] = ACTIONS(3809),
    [anon_sym_POUNDfunction] = ACTIONS(3809),
    [anon_sym_POUNDdsohandle] = ACTIONS(3809),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(3809),
    [anon_sym_POUNDfileLiteral] = ACTIONS(3809),
    [anon_sym_POUNDimageLiteral] = ACTIONS(3809),
    [anon_sym_LBRACE] = ACTIONS(3809),
    [anon_sym_CARET_LBRACE] = ACTIONS(3809),
    [anon_sym_self] = ACTIONS(3807),
    [anon_sym_super] = ACTIONS(3807),
    [anon_sym_POUNDkeyPath] = ACTIONS(3809),
    [anon_sym_try] = ACTIONS(3807),
    [anon_sym_PLUS_EQ] = ACTIONS(3809),
    [anon_sym_DASH_EQ] = ACTIONS(3809),
    [anon_sym_STAR_EQ] = ACTIONS(3809),
    [anon_sym_SLASH_EQ] = ACTIONS(3809),
    [anon_sym_PERCENT_EQ] = ACTIONS(3809),
    [anon_sym_BANG_EQ] = ACTIONS(3807),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3809),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3809),
    [anon_sym_LT_EQ] = ACTIONS(3809),
    [anon_sym_GT_EQ] = ACTIONS(3809),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3809),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3809),
    [anon_sym_PLUS] = ACTIONS(3807),
    [anon_sym_DASH] = ACTIONS(3807),
    [anon_sym_STAR] = ACTIONS(3807),
    [anon_sym_SLASH] = ACTIONS(3807),
    [anon_sym_PERCENT] = ACTIONS(3807),
    [anon_sym_PLUS_PLUS] = ACTIONS(3809),
    [anon_sym_DASH_DASH] = ACTIONS(3809),
    [anon_sym_TILDE] = ACTIONS(3809),
    [anon_sym_PIPE] = ACTIONS(3809),
    [anon_sym_CARET] = ACTIONS(3807),
    [anon_sym_LT_LT] = ACTIONS(3809),
    [anon_sym_GT_GT] = ACTIONS(3809),
    [anon_sym_BANG2] = ACTIONS(3807),
    [anon_sym_borrowing] = ACTIONS(3807),
    [anon_sym_consuming] = ACTIONS(3807),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(3809),
    [sym_raw_str_end_part] = ACTIONS(3809),
    [sym__dot_custom] = ACTIONS(3809),
    [sym__eq_custom] = ACTIONS(3809),
    [sym__eq_eq_custom] = ACTIONS(3809),
    [sym__plus_then_ws] = ACTIONS(3809),
    [sym__minus_then_ws] = ACTIONS(3809),
    [sym__bang_custom] = ACTIONS(3809),
    [sym__custom_operator] = ACTIONS(3809),
    [sym__fake_try_bang] = ACTIONS(3813),
  },
  [1018] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3062),
    [anon_sym_package] = ACTIONS(3062),
    [anon_sym_COMMA] = ACTIONS(3062),
    [anon_sym_LPAREN] = ACTIONS(3062),
    [anon_sym_LBRACK] = ACTIONS(3062),
    [anon_sym_DOT] = ACTIONS(3064),
    [anon_sym_QMARK] = ACTIONS(3064),
    [anon_sym_QMARK2] = ACTIONS(3062),
    [anon_sym_AMP] = ACTIONS(3062),
    [aux_sym_custom_operator_token1] = ACTIONS(3062),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_GT] = ACTIONS(3064),
    [anon_sym_LBRACE] = ACTIONS(3062),
    [anon_sym_CARET_LBRACE] = ACTIONS(3062),
    [anon_sym_RBRACE] = ACTIONS(3062),
    [anon_sym_self] = ACTIONS(3062),
    [anon_sym_case] = ACTIONS(3062),
    [anon_sym_fallthrough] = ACTIONS(3062),
    [anon_sym_PLUS_EQ] = ACTIONS(3062),
    [anon_sym_DASH_EQ] = ACTIONS(3062),
    [anon_sym_STAR_EQ] = ACTIONS(3062),
    [anon_sym_SLASH_EQ] = ACTIONS(3062),
    [anon_sym_PERCENT_EQ] = ACTIONS(3062),
    [anon_sym_BANG_EQ] = ACTIONS(3064),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3062),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3062),
    [anon_sym_LT_EQ] = ACTIONS(3062),
    [anon_sym_GT_EQ] = ACTIONS(3062),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3062),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3062),
    [anon_sym_is] = ACTIONS(3062),
    [anon_sym_PLUS] = ACTIONS(3064),
    [anon_sym_DASH] = ACTIONS(3064),
    [anon_sym_STAR] = ACTIONS(3064),
    [anon_sym_SLASH] = ACTIONS(3064),
    [anon_sym_PERCENT] = ACTIONS(3064),
    [anon_sym_PLUS_PLUS] = ACTIONS(3062),
    [anon_sym_DASH_DASH] = ACTIONS(3062),
    [anon_sym_PIPE] = ACTIONS(3062),
    [anon_sym_CARET] = ACTIONS(3064),
    [anon_sym_LT_LT] = ACTIONS(3062),
    [anon_sym_GT_GT] = ACTIONS(3062),
    [anon_sym_class] = ACTIONS(3062),
    [anon_sym_BANG2] = ACTIONS(3064),
    [anon_sym_prefix] = ACTIONS(3062),
    [anon_sym_infix] = ACTIONS(3062),
    [anon_sym_postfix] = ACTIONS(3062),
    [anon_sym_AT] = ACTIONS(3064),
    [anon_sym_override] = ACTIONS(3062),
    [anon_sym_convenience] = ACTIONS(3062),
    [anon_sym_required] = ACTIONS(3062),
    [anon_sym_nonisolated] = ACTIONS(3062),
    [anon_sym_public] = ACTIONS(3062),
    [anon_sym_private] = ACTIONS(3062),
    [anon_sym_internal] = ACTIONS(3062),
    [anon_sym_fileprivate] = ACTIONS(3062),
    [anon_sym_open] = ACTIONS(3062),
    [anon_sym_mutating] = ACTIONS(3062),
    [anon_sym_nonmutating] = ACTIONS(3062),
    [anon_sym_static] = ACTIONS(3062),
    [anon_sym_dynamic] = ACTIONS(3062),
    [anon_sym_optional] = ACTIONS(3062),
    [anon_sym_distributed] = ACTIONS(3062),
    [anon_sym_final] = ACTIONS(3062),
    [anon_sym_inout] = ACTIONS(3062),
    [anon_sym_ATescaping] = ACTIONS(3062),
    [anon_sym_ATautoclosure] = ACTIONS(3062),
    [anon_sym_weak] = ACTIONS(3062),
    [anon_sym_unowned] = ACTIONS(3064),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3062),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3062),
    [anon_sym_borrowing] = ACTIONS(3062),
    [anon_sym_consuming] = ACTIONS(3062),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3062),
    [sym__explicit_semi] = ACTIONS(3062),
    [sym__dot_custom] = ACTIONS(3062),
    [sym__conjunction_operator_custom] = ACTIONS(3062),
    [sym__disjunction_operator_custom] = ACTIONS(3062),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3062),
    [sym__eq_custom] = ACTIONS(3062),
    [sym__eq_eq_custom] = ACTIONS(3062),
    [sym__plus_then_ws] = ACTIONS(3062),
    [sym__minus_then_ws] = ACTIONS(3062),
    [sym__bang_custom] = ACTIONS(3062),
    [sym_default_keyword] = ACTIONS(3062),
    [sym_where_keyword] = ACTIONS(3062),
    [sym__as_custom] = ACTIONS(3062),
    [sym__as_quest_custom] = ACTIONS(3062),
    [sym__as_bang_custom] = ACTIONS(3062),
    [sym__custom_operator] = ACTIONS(3062),
  },
  [1019] = {
    [aux_sym_key_path_expression_repeat1] = STATE(1055),
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3049),
    [anon_sym_package] = ACTIONS(3049),
    [anon_sym_COMMA] = ACTIONS(3049),
    [anon_sym_LPAREN] = ACTIONS(3049),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_DOT] = ACTIONS(3406),
    [anon_sym_QMARK] = ACTIONS(3051),
    [anon_sym_QMARK2] = ACTIONS(3049),
    [anon_sym_AMP] = ACTIONS(3049),
    [aux_sym_custom_operator_token1] = ACTIONS(3049),
    [anon_sym_LT] = ACTIONS(3051),
    [anon_sym_GT] = ACTIONS(3051),
    [anon_sym_LBRACE] = ACTIONS(3049),
    [anon_sym_CARET_LBRACE] = ACTIONS(3049),
    [anon_sym_RBRACE] = ACTIONS(3049),
    [anon_sym_case] = ACTIONS(3049),
    [anon_sym_fallthrough] = ACTIONS(3049),
    [anon_sym_PLUS_EQ] = ACTIONS(3049),
    [anon_sym_DASH_EQ] = ACTIONS(3049),
    [anon_sym_STAR_EQ] = ACTIONS(3049),
    [anon_sym_SLASH_EQ] = ACTIONS(3049),
    [anon_sym_PERCENT_EQ] = ACTIONS(3049),
    [anon_sym_BANG_EQ] = ACTIONS(3051),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3049),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3049),
    [anon_sym_LT_EQ] = ACTIONS(3049),
    [anon_sym_GT_EQ] = ACTIONS(3049),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3049),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3049),
    [anon_sym_is] = ACTIONS(3049),
    [anon_sym_PLUS] = ACTIONS(3051),
    [anon_sym_DASH] = ACTIONS(3051),
    [anon_sym_STAR] = ACTIONS(3051),
    [anon_sym_SLASH] = ACTIONS(3051),
    [anon_sym_PERCENT] = ACTIONS(3051),
    [anon_sym_PLUS_PLUS] = ACTIONS(3049),
    [anon_sym_DASH_DASH] = ACTIONS(3049),
    [anon_sym_PIPE] = ACTIONS(3049),
    [anon_sym_CARET] = ACTIONS(3051),
    [anon_sym_LT_LT] = ACTIONS(3049),
    [anon_sym_GT_GT] = ACTIONS(3049),
    [anon_sym_class] = ACTIONS(3049),
    [anon_sym_BANG2] = ACTIONS(3051),
    [anon_sym_prefix] = ACTIONS(3049),
    [anon_sym_infix] = ACTIONS(3049),
    [anon_sym_postfix] = ACTIONS(3049),
    [anon_sym_AT] = ACTIONS(3051),
    [anon_sym_override] = ACTIONS(3049),
    [anon_sym_convenience] = ACTIONS(3049),
    [anon_sym_required] = ACTIONS(3049),
    [anon_sym_nonisolated] = ACTIONS(3049),
    [anon_sym_public] = ACTIONS(3049),
    [anon_sym_private] = ACTIONS(3049),
    [anon_sym_internal] = ACTIONS(3049),
    [anon_sym_fileprivate] = ACTIONS(3049),
    [anon_sym_open] = ACTIONS(3049),
    [anon_sym_mutating] = ACTIONS(3049),
    [anon_sym_nonmutating] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(3049),
    [anon_sym_dynamic] = ACTIONS(3049),
    [anon_sym_optional] = ACTIONS(3049),
    [anon_sym_distributed] = ACTIONS(3049),
    [anon_sym_final] = ACTIONS(3049),
    [anon_sym_inout] = ACTIONS(3049),
    [anon_sym_ATescaping] = ACTIONS(3049),
    [anon_sym_ATautoclosure] = ACTIONS(3049),
    [anon_sym_weak] = ACTIONS(3049),
    [anon_sym_unowned] = ACTIONS(3051),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3049),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3049),
    [anon_sym_borrowing] = ACTIONS(3049),
    [anon_sym_consuming] = ACTIONS(3049),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3049),
    [sym__explicit_semi] = ACTIONS(3049),
    [sym__dot_custom] = ACTIONS(3049),
    [sym__conjunction_operator_custom] = ACTIONS(3049),
    [sym__disjunction_operator_custom] = ACTIONS(3049),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3049),
    [sym__eq_custom] = ACTIONS(3049),
    [sym__eq_eq_custom] = ACTIONS(3049),
    [sym__plus_then_ws] = ACTIONS(3049),
    [sym__minus_then_ws] = ACTIONS(3049),
    [sym__bang_custom] = ACTIONS(3049),
    [sym_default_keyword] = ACTIONS(3049),
    [sym__as_custom] = ACTIONS(3049),
    [sym__as_quest_custom] = ACTIONS(3049),
    [sym__as_bang_custom] = ACTIONS(3049),
    [sym__custom_operator] = ACTIONS(3049),
  },
  [1020] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3066),
    [anon_sym_package] = ACTIONS(3066),
    [anon_sym_COMMA] = ACTIONS(3066),
    [anon_sym_LPAREN] = ACTIONS(3066),
    [anon_sym_LBRACK] = ACTIONS(3066),
    [anon_sym_QMARK] = ACTIONS(3068),
    [anon_sym_QMARK2] = ACTIONS(3066),
    [anon_sym_AMP] = ACTIONS(3066),
    [aux_sym_custom_operator_token1] = ACTIONS(3066),
    [anon_sym_LT] = ACTIONS(3068),
    [anon_sym_GT] = ACTIONS(3068),
    [anon_sym_LBRACE] = ACTIONS(3066),
    [anon_sym_CARET_LBRACE] = ACTIONS(3066),
    [anon_sym_RBRACE] = ACTIONS(3066),
    [anon_sym_case] = ACTIONS(3066),
    [anon_sym_fallthrough] = ACTIONS(3066),
    [anon_sym_PLUS_EQ] = ACTIONS(3066),
    [anon_sym_DASH_EQ] = ACTIONS(3066),
    [anon_sym_STAR_EQ] = ACTIONS(3066),
    [anon_sym_SLASH_EQ] = ACTIONS(3066),
    [anon_sym_PERCENT_EQ] = ACTIONS(3066),
    [anon_sym_BANG_EQ] = ACTIONS(3068),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3066),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3066),
    [anon_sym_LT_EQ] = ACTIONS(3066),
    [anon_sym_GT_EQ] = ACTIONS(3066),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3066),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3066),
    [anon_sym_is] = ACTIONS(3066),
    [anon_sym_PLUS] = ACTIONS(3068),
    [anon_sym_DASH] = ACTIONS(3068),
    [anon_sym_STAR] = ACTIONS(3068),
    [anon_sym_SLASH] = ACTIONS(3068),
    [anon_sym_PERCENT] = ACTIONS(3068),
    [anon_sym_PLUS_PLUS] = ACTIONS(3066),
    [anon_sym_DASH_DASH] = ACTIONS(3066),
    [anon_sym_PIPE] = ACTIONS(3066),
    [anon_sym_CARET] = ACTIONS(3068),
    [anon_sym_LT_LT] = ACTIONS(3066),
    [anon_sym_GT_GT] = ACTIONS(3066),
    [anon_sym_class] = ACTIONS(3066),
    [anon_sym_BANG2] = ACTIONS(3068),
    [anon_sym_prefix] = ACTIONS(3066),
    [anon_sym_infix] = ACTIONS(3066),
    [anon_sym_postfix] = ACTIONS(3066),
    [anon_sym_AT] = ACTIONS(3068),
    [anon_sym_override] = ACTIONS(3066),
    [anon_sym_convenience] = ACTIONS(3066),
    [anon_sym_required] = ACTIONS(3066),
    [anon_sym_nonisolated] = ACTIONS(3066),
    [anon_sym_public] = ACTIONS(3066),
    [anon_sym_private] = ACTIONS(3066),
    [anon_sym_internal] = ACTIONS(3066),
    [anon_sym_fileprivate] = ACTIONS(3066),
    [anon_sym_open] = ACTIONS(3066),
    [anon_sym_mutating] = ACTIONS(3066),
    [anon_sym_nonmutating] = ACTIONS(3066),
    [anon_sym_static] = ACTIONS(3066),
    [anon_sym_dynamic] = ACTIONS(3066),
    [anon_sym_optional] = ACTIONS(3066),
    [anon_sym_distributed] = ACTIONS(3066),
    [anon_sym_final] = ACTIONS(3066),
    [anon_sym_inout] = ACTIONS(3066),
    [anon_sym_ATescaping] = ACTIONS(3066),
    [anon_sym_ATautoclosure] = ACTIONS(3066),
    [anon_sym_weak] = ACTIONS(3066),
    [anon_sym_unowned] = ACTIONS(3068),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3066),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3066),
    [anon_sym_borrowing] = ACTIONS(3066),
    [anon_sym_consuming] = ACTIONS(3066),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3066),
    [sym__explicit_semi] = ACTIONS(3066),
    [sym__dot_custom] = ACTIONS(3066),
    [sym__conjunction_operator_custom] = ACTIONS(3066),
    [sym__disjunction_operator_custom] = ACTIONS(3066),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3066),
    [sym__eq_custom] = ACTIONS(3066),
    [sym__eq_eq_custom] = ACTIONS(3066),
    [sym__plus_then_ws] = ACTIONS(3066),
    [sym__minus_then_ws] = ACTIONS(3066),
    [sym__bang_custom] = ACTIONS(3066),
    [sym_default_keyword] = ACTIONS(3066),
    [sym_where_keyword] = ACTIONS(3066),
    [sym_else] = ACTIONS(3815),
    [sym__as_custom] = ACTIONS(3066),
    [sym__as_quest_custom] = ACTIONS(3066),
    [sym__as_bang_custom] = ACTIONS(3066),
    [sym__custom_operator] = ACTIONS(3066),
  },
  [1021] = {
    [sym__type_level_declaration] = STATE(5789),
    [sym_import_declaration] = STATE(5789),
    [sym_property_declaration] = STATE(5789),
    [sym__modifierless_property_declaration] = STATE(7093),
    [sym_typealias_declaration] = STATE(5789),
    [sym__modifierless_typealias_declaration] = STATE(6964),
    [sym_function_declaration] = STATE(5789),
    [sym__bodyless_function_declaration] = STATE(6758),
    [sym__modifierless_function_declaration_no_body] = STATE(7642),
    [sym_class_declaration] = STATE(5789),
    [sym__modifierless_class_declaration] = STATE(7177),
    [sym__class_member_declarations] = STATE(7682),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__async_modifier] = STATE(6632),
    [sym_protocol_declaration] = STATE(5789),
    [sym_init_declaration] = STATE(5789),
    [sym_deinit_declaration] = STATE(5789),
    [sym_subscript_declaration] = STATE(5789),
    [sym_operator_declaration] = STATE(5789),
    [sym_precedence_group_declaration] = STATE(5789),
    [sym_associatedtype_declaration] = STATE(5789),
    [sym_attribute] = STATE(1553),
    [sym_value_binding_pattern] = STATE(3972),
    [sym__possibly_async_binding_pattern_kind] = STATE(3972),
    [sym_modifiers] = STATE(4232),
    [aux_sym__locally_permitted_modifiers] = STATE(1553),
    [sym__non_local_scope_modifier] = STATE(1553),
    [sym__locally_permitted_modifier] = STATE(1553),
    [sym_property_behavior_modifier] = STATE(1553),
    [sym_member_modifier] = STATE(1553),
    [sym_visibility_modifier] = STATE(1553),
    [sym_function_modifier] = STATE(1553),
    [sym_mutation_modifier] = STATE(1553),
    [sym_property_modifier] = STATE(1553),
    [sym_inheritance_modifier] = STATE(1553),
    [sym_parameter_modifier] = STATE(1553),
    [sym_ownership_modifier] = STATE(1553),
    [sym__parameter_ownership_modifier] = STATE(2572),
    [aux_sym_modifiers_repeat1] = STATE(1553),
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(3817),
    [anon_sym_async] = ACTIONS(3589),
    [anon_sym_lazy] = ACTIONS(3591),
    [anon_sym_package] = ACTIONS(3593),
    [anon_sym_RBRACE] = ACTIONS(3819),
    [anon_sym_import] = ACTIONS(3821),
    [anon_sym_typealias] = ACTIONS(3823),
    [anon_sym_struct] = ACTIONS(3817),
    [anon_sym_class] = ACTIONS(3825),
    [anon_sym_enum] = ACTIONS(3827),
    [anon_sym_protocol] = ACTIONS(3829),
    [anon_sym_let] = ACTIONS(3609),
    [anon_sym_var] = ACTIONS(3609),
    [anon_sym_func] = ACTIONS(3611),
    [anon_sym_extension] = ACTIONS(3831),
    [anon_sym_indirect] = ACTIONS(3833),
    [anon_sym_init] = ACTIONS(3835),
    [anon_sym_deinit] = ACTIONS(3837),
    [anon_sym_subscript] = ACTIONS(3839),
    [anon_sym_prefix] = ACTIONS(3841),
    [anon_sym_infix] = ACTIONS(3841),
    [anon_sym_postfix] = ACTIONS(3841),
    [anon_sym_precedencegroup] = ACTIONS(3843),
    [anon_sym_associatedtype] = ACTIONS(3845),
    [anon_sym_AT] = ACTIONS(123),
    [anon_sym_override] = ACTIONS(3629),
    [anon_sym_convenience] = ACTIONS(3629),
    [anon_sym_required] = ACTIONS(3629),
    [anon_sym_nonisolated] = ACTIONS(3629),
    [anon_sym_public] = ACTIONS(3593),
    [anon_sym_private] = ACTIONS(3593),
    [anon_sym_internal] = ACTIONS(3593),
    [anon_sym_fileprivate] = ACTIONS(3593),
    [anon_sym_open] = ACTIONS(3593),
    [anon_sym_mutating] = ACTIONS(3631),
    [anon_sym_nonmutating] = ACTIONS(3631),
    [anon_sym_static] = ACTIONS(3633),
    [anon_sym_dynamic] = ACTIONS(3633),
    [anon_sym_optional] = ACTIONS(3633),
    [anon_sym_distributed] = ACTIONS(3633),
    [anon_sym_final] = ACTIONS(3635),
    [anon_sym_inout] = ACTIONS(137),
    [anon_sym_ATescaping] = ACTIONS(137),
    [anon_sym_ATautoclosure] = ACTIONS(137),
    [anon_sym_weak] = ACTIONS(141),
    [anon_sym_unowned] = ACTIONS(139),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(141),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(141),
    [anon_sym_borrowing] = ACTIONS(137),
    [anon_sym_consuming] = ACTIONS(137),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
  },
  [1022] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3062),
    [anon_sym_package] = ACTIONS(3062),
    [anon_sym_COMMA] = ACTIONS(3062),
    [anon_sym_LPAREN] = ACTIONS(3062),
    [anon_sym_LBRACK] = ACTIONS(3062),
    [anon_sym_DOT] = ACTIONS(3064),
    [anon_sym_QMARK] = ACTIONS(3064),
    [anon_sym_QMARK2] = ACTIONS(3062),
    [anon_sym_AMP] = ACTIONS(3062),
    [aux_sym_custom_operator_token1] = ACTIONS(3062),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_GT] = ACTIONS(3064),
    [anon_sym_LBRACE] = ACTIONS(3062),
    [anon_sym_CARET_LBRACE] = ACTIONS(3062),
    [anon_sym_RBRACE] = ACTIONS(3062),
    [anon_sym_self] = ACTIONS(3062),
    [anon_sym_case] = ACTIONS(3062),
    [anon_sym_fallthrough] = ACTIONS(3062),
    [anon_sym_PLUS_EQ] = ACTIONS(3062),
    [anon_sym_DASH_EQ] = ACTIONS(3062),
    [anon_sym_STAR_EQ] = ACTIONS(3062),
    [anon_sym_SLASH_EQ] = ACTIONS(3062),
    [anon_sym_PERCENT_EQ] = ACTIONS(3062),
    [anon_sym_BANG_EQ] = ACTIONS(3064),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3062),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3062),
    [anon_sym_LT_EQ] = ACTIONS(3062),
    [anon_sym_GT_EQ] = ACTIONS(3062),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3062),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3062),
    [anon_sym_is] = ACTIONS(3062),
    [anon_sym_PLUS] = ACTIONS(3064),
    [anon_sym_DASH] = ACTIONS(3064),
    [anon_sym_STAR] = ACTIONS(3064),
    [anon_sym_SLASH] = ACTIONS(3064),
    [anon_sym_PERCENT] = ACTIONS(3064),
    [anon_sym_PLUS_PLUS] = ACTIONS(3062),
    [anon_sym_DASH_DASH] = ACTIONS(3062),
    [anon_sym_PIPE] = ACTIONS(3062),
    [anon_sym_CARET] = ACTIONS(3064),
    [anon_sym_LT_LT] = ACTIONS(3062),
    [anon_sym_GT_GT] = ACTIONS(3062),
    [anon_sym_class] = ACTIONS(3062),
    [anon_sym_BANG2] = ACTIONS(3064),
    [anon_sym_prefix] = ACTIONS(3062),
    [anon_sym_infix] = ACTIONS(3062),
    [anon_sym_postfix] = ACTIONS(3062),
    [anon_sym_AT] = ACTIONS(3064),
    [anon_sym_override] = ACTIONS(3062),
    [anon_sym_convenience] = ACTIONS(3062),
    [anon_sym_required] = ACTIONS(3062),
    [anon_sym_nonisolated] = ACTIONS(3062),
    [anon_sym_public] = ACTIONS(3062),
    [anon_sym_private] = ACTIONS(3062),
    [anon_sym_internal] = ACTIONS(3062),
    [anon_sym_fileprivate] = ACTIONS(3062),
    [anon_sym_open] = ACTIONS(3062),
    [anon_sym_mutating] = ACTIONS(3062),
    [anon_sym_nonmutating] = ACTIONS(3062),
    [anon_sym_static] = ACTIONS(3062),
    [anon_sym_dynamic] = ACTIONS(3062),
    [anon_sym_optional] = ACTIONS(3062),
    [anon_sym_distributed] = ACTIONS(3062),
    [anon_sym_final] = ACTIONS(3062),
    [anon_sym_inout] = ACTIONS(3062),
    [anon_sym_ATescaping] = ACTIONS(3062),
    [anon_sym_ATautoclosure] = ACTIONS(3062),
    [anon_sym_weak] = ACTIONS(3062),
    [anon_sym_unowned] = ACTIONS(3064),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3062),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3062),
    [anon_sym_borrowing] = ACTIONS(3062),
    [anon_sym_consuming] = ACTIONS(3062),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3062),
    [sym__explicit_semi] = ACTIONS(3062),
    [sym__dot_custom] = ACTIONS(3062),
    [sym__conjunction_operator_custom] = ACTIONS(3062),
    [sym__disjunction_operator_custom] = ACTIONS(3062),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3062),
    [sym__eq_custom] = ACTIONS(3062),
    [sym__eq_eq_custom] = ACTIONS(3062),
    [sym__plus_then_ws] = ACTIONS(3062),
    [sym__minus_then_ws] = ACTIONS(3062),
    [sym__bang_custom] = ACTIONS(3062),
    [sym_default_keyword] = ACTIONS(3062),
    [sym__as_custom] = ACTIONS(3062),
    [sym__as_quest_custom] = ACTIONS(3062),
    [sym__as_bang_custom] = ACTIONS(3062),
    [sym__custom_operator] = ACTIONS(3062),
  },
  [1023] = {
    [sym_simple_identifier] = STATE(5533),
    [sym__contextual_simple_identifier] = STATE(5627),
    [sym__parameter_ownership_modifier] = STATE(5627),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(3847),
    [aux_sym_simple_identifier_token2] = ACTIONS(3849),
    [aux_sym_simple_identifier_token3] = ACTIONS(3849),
    [aux_sym_simple_identifier_token4] = ACTIONS(3849),
    [anon_sym_actor] = ACTIONS(3847),
    [anon_sym_async] = ACTIONS(3847),
    [anon_sym_each] = ACTIONS(3847),
    [anon_sym_lazy] = ACTIONS(3847),
    [anon_sym_repeat] = ACTIONS(3847),
    [anon_sym_package] = ACTIONS(3847),
    [anon_sym_nil] = ACTIONS(2437),
    [sym_real_literal] = ACTIONS(2439),
    [sym_integer_literal] = ACTIONS(2437),
    [sym_hex_literal] = ACTIONS(2439),
    [sym_oct_literal] = ACTIONS(2439),
    [sym_bin_literal] = ACTIONS(2439),
    [anon_sym_true] = ACTIONS(2437),
    [anon_sym_false] = ACTIONS(2437),
    [anon_sym_DQUOTE] = ACTIONS(2437),
    [anon_sym_BSLASH] = ACTIONS(2439),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2439),
    [sym__extended_regex_literal] = ACTIONS(2439),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(2439),
    [sym__oneline_regex_literal] = ACTIONS(2437),
    [anon_sym_LPAREN] = ACTIONS(2439),
    [anon_sym_LBRACK] = ACTIONS(2439),
    [anon_sym_AMP] = ACTIONS(2439),
    [anon_sym_if] = ACTIONS(2437),
    [anon_sym_switch] = ACTIONS(2437),
    [anon_sym_POUNDselector] = ACTIONS(2439),
    [aux_sym_custom_operator_token1] = ACTIONS(2439),
    [anon_sym_LT] = ACTIONS(2437),
    [anon_sym_GT] = ACTIONS(2437),
    [anon_sym_await] = ACTIONS(2437),
    [anon_sym_POUNDfile] = ACTIONS(2437),
    [anon_sym_POUNDfileID] = ACTIONS(2439),
    [anon_sym_POUNDfilePath] = ACTIONS(2439),
    [anon_sym_POUNDline] = ACTIONS(2439),
    [anon_sym_POUNDcolumn] = ACTIONS(2439),
    [anon_sym_POUNDfunction] = ACTIONS(2439),
    [anon_sym_POUNDdsohandle] = ACTIONS(2439),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(2439),
    [anon_sym_POUNDfileLiteral] = ACTIONS(2439),
    [anon_sym_POUNDimageLiteral] = ACTIONS(2439),
    [anon_sym_LBRACE] = ACTIONS(2439),
    [anon_sym_CARET_LBRACE] = ACTIONS(2439),
    [anon_sym_self] = ACTIONS(2437),
    [anon_sym_super] = ACTIONS(2437),
    [anon_sym_POUNDkeyPath] = ACTIONS(2439),
    [anon_sym_try] = ACTIONS(2437),
    [anon_sym_PLUS_EQ] = ACTIONS(2439),
    [anon_sym_DASH_EQ] = ACTIONS(2439),
    [anon_sym_STAR_EQ] = ACTIONS(2439),
    [anon_sym_SLASH_EQ] = ACTIONS(2439),
    [anon_sym_PERCENT_EQ] = ACTIONS(2439),
    [anon_sym_BANG_EQ] = ACTIONS(2437),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2439),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2439),
    [anon_sym_LT_EQ] = ACTIONS(2439),
    [anon_sym_GT_EQ] = ACTIONS(2439),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2439),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2439),
    [anon_sym_PLUS] = ACTIONS(2437),
    [anon_sym_DASH] = ACTIONS(2437),
    [anon_sym_STAR] = ACTIONS(2437),
    [anon_sym_SLASH] = ACTIONS(2437),
    [anon_sym_PERCENT] = ACTIONS(2437),
    [anon_sym_PLUS_PLUS] = ACTIONS(2439),
    [anon_sym_DASH_DASH] = ACTIONS(2439),
    [anon_sym_TILDE] = ACTIONS(2439),
    [anon_sym_PIPE] = ACTIONS(2439),
    [anon_sym_CARET] = ACTIONS(2437),
    [anon_sym_LT_LT] = ACTIONS(2439),
    [anon_sym_GT_GT] = ACTIONS(2439),
    [anon_sym_BANG2] = ACTIONS(2437),
    [anon_sym_borrowing] = ACTIONS(3847),
    [anon_sym_consuming] = ACTIONS(3847),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(2439),
    [sym_raw_str_end_part] = ACTIONS(2439),
    [sym__dot_custom] = ACTIONS(2439),
    [sym__eq_custom] = ACTIONS(2439),
    [sym__eq_eq_custom] = ACTIONS(2439),
    [sym__plus_then_ws] = ACTIONS(2439),
    [sym__minus_then_ws] = ACTIONS(2439),
    [sym__bang_custom] = ACTIONS(2439),
    [sym__custom_operator] = ACTIONS(2439),
  },
  [1024] = {
    [sym__dot] = STATE(4720),
    [aux_sym_user_type_repeat1] = STATE(1024),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2800),
    [aux_sym_simple_identifier_token2] = ACTIONS(2798),
    [aux_sym_simple_identifier_token3] = ACTIONS(2798),
    [aux_sym_simple_identifier_token4] = ACTIONS(2798),
    [anon_sym_actor] = ACTIONS(2800),
    [anon_sym_async] = ACTIONS(2800),
    [anon_sym_each] = ACTIONS(2800),
    [anon_sym_lazy] = ACTIONS(2800),
    [anon_sym_repeat] = ACTIONS(2800),
    [anon_sym_package] = ACTIONS(2800),
    [anon_sym_nil] = ACTIONS(2800),
    [sym_real_literal] = ACTIONS(2798),
    [sym_integer_literal] = ACTIONS(2800),
    [sym_hex_literal] = ACTIONS(2798),
    [sym_oct_literal] = ACTIONS(2798),
    [sym_bin_literal] = ACTIONS(2798),
    [anon_sym_true] = ACTIONS(2800),
    [anon_sym_false] = ACTIONS(2800),
    [anon_sym_DQUOTE] = ACTIONS(2800),
    [anon_sym_BSLASH] = ACTIONS(2798),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2798),
    [sym__extended_regex_literal] = ACTIONS(2798),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(2798),
    [sym__oneline_regex_literal] = ACTIONS(2800),
    [anon_sym_LPAREN] = ACTIONS(2798),
    [anon_sym_LBRACK] = ACTIONS(2798),
    [anon_sym_AMP] = ACTIONS(2798),
    [anon_sym_if] = ACTIONS(2800),
    [anon_sym_switch] = ACTIONS(2800),
    [anon_sym_POUNDselector] = ACTIONS(2798),
    [aux_sym_custom_operator_token1] = ACTIONS(2798),
    [anon_sym_LT] = ACTIONS(2800),
    [anon_sym_GT] = ACTIONS(2800),
    [anon_sym_await] = ACTIONS(2800),
    [anon_sym_POUNDfile] = ACTIONS(2800),
    [anon_sym_POUNDfileID] = ACTIONS(2798),
    [anon_sym_POUNDfilePath] = ACTIONS(2798),
    [anon_sym_POUNDline] = ACTIONS(2798),
    [anon_sym_POUNDcolumn] = ACTIONS(2798),
    [anon_sym_POUNDfunction] = ACTIONS(2798),
    [anon_sym_POUNDdsohandle] = ACTIONS(2798),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(2798),
    [anon_sym_POUNDfileLiteral] = ACTIONS(2798),
    [anon_sym_POUNDimageLiteral] = ACTIONS(2798),
    [anon_sym_LBRACE] = ACTIONS(2798),
    [anon_sym_CARET_LBRACE] = ACTIONS(2798),
    [anon_sym_self] = ACTIONS(2800),
    [anon_sym_super] = ACTIONS(2800),
    [anon_sym_POUNDkeyPath] = ACTIONS(2798),
    [anon_sym_try] = ACTIONS(2800),
    [anon_sym_PLUS_EQ] = ACTIONS(2798),
    [anon_sym_DASH_EQ] = ACTIONS(2798),
    [anon_sym_STAR_EQ] = ACTIONS(2798),
    [anon_sym_SLASH_EQ] = ACTIONS(2798),
    [anon_sym_PERCENT_EQ] = ACTIONS(2798),
    [anon_sym_BANG_EQ] = ACTIONS(2800),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2798),
    [anon_sym_LT_EQ] = ACTIONS(2798),
    [anon_sym_GT_EQ] = ACTIONS(2798),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2798),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2798),
    [anon_sym_PLUS] = ACTIONS(2800),
    [anon_sym_DASH] = ACTIONS(2800),
    [anon_sym_STAR] = ACTIONS(2800),
    [anon_sym_SLASH] = ACTIONS(2800),
    [anon_sym_PERCENT] = ACTIONS(2800),
    [anon_sym_PLUS_PLUS] = ACTIONS(2798),
    [anon_sym_DASH_DASH] = ACTIONS(2798),
    [anon_sym_TILDE] = ACTIONS(2798),
    [anon_sym_PIPE] = ACTIONS(2798),
    [anon_sym_CARET] = ACTIONS(2800),
    [anon_sym_LT_LT] = ACTIONS(2798),
    [anon_sym_GT_GT] = ACTIONS(2798),
    [anon_sym_BANG2] = ACTIONS(2800),
    [anon_sym_AT] = ACTIONS(2798),
    [anon_sym_borrowing] = ACTIONS(2800),
    [anon_sym_consuming] = ACTIONS(2800),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(2798),
    [sym_raw_str_end_part] = ACTIONS(2798),
    [sym__dot_custom] = ACTIONS(3851),
    [sym__eq_custom] = ACTIONS(2798),
    [sym__eq_eq_custom] = ACTIONS(2798),
    [sym__plus_then_ws] = ACTIONS(2798),
    [sym__minus_then_ws] = ACTIONS(2798),
    [sym__bang_custom] = ACTIONS(2798),
    [sym__custom_operator] = ACTIONS(2798),
  },
  [1025] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3041),
    [anon_sym_package] = ACTIONS(3041),
    [anon_sym_COMMA] = ACTIONS(3041),
    [anon_sym_LPAREN] = ACTIONS(3041),
    [anon_sym_LBRACK] = ACTIONS(3041),
    [anon_sym_DOT] = ACTIONS(3043),
    [anon_sym_QMARK] = ACTIONS(3043),
    [anon_sym_QMARK2] = ACTIONS(3041),
    [anon_sym_AMP] = ACTIONS(3041),
    [aux_sym_custom_operator_token1] = ACTIONS(3041),
    [anon_sym_LT] = ACTIONS(3043),
    [anon_sym_GT] = ACTIONS(3043),
    [anon_sym_LBRACE] = ACTIONS(3041),
    [anon_sym_CARET_LBRACE] = ACTIONS(3041),
    [anon_sym_RBRACE] = ACTIONS(3041),
    [anon_sym_self] = ACTIONS(3041),
    [anon_sym_case] = ACTIONS(3041),
    [anon_sym_fallthrough] = ACTIONS(3041),
    [anon_sym_PLUS_EQ] = ACTIONS(3041),
    [anon_sym_DASH_EQ] = ACTIONS(3041),
    [anon_sym_STAR_EQ] = ACTIONS(3041),
    [anon_sym_SLASH_EQ] = ACTIONS(3041),
    [anon_sym_PERCENT_EQ] = ACTIONS(3041),
    [anon_sym_BANG_EQ] = ACTIONS(3043),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3041),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3041),
    [anon_sym_LT_EQ] = ACTIONS(3041),
    [anon_sym_GT_EQ] = ACTIONS(3041),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3041),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3041),
    [anon_sym_is] = ACTIONS(3041),
    [anon_sym_PLUS] = ACTIONS(3043),
    [anon_sym_DASH] = ACTIONS(3043),
    [anon_sym_STAR] = ACTIONS(3043),
    [anon_sym_SLASH] = ACTIONS(3043),
    [anon_sym_PERCENT] = ACTIONS(3043),
    [anon_sym_PLUS_PLUS] = ACTIONS(3041),
    [anon_sym_DASH_DASH] = ACTIONS(3041),
    [anon_sym_PIPE] = ACTIONS(3041),
    [anon_sym_CARET] = ACTIONS(3043),
    [anon_sym_LT_LT] = ACTIONS(3041),
    [anon_sym_GT_GT] = ACTIONS(3041),
    [anon_sym_class] = ACTIONS(3041),
    [anon_sym_BANG2] = ACTIONS(3043),
    [anon_sym_prefix] = ACTIONS(3041),
    [anon_sym_infix] = ACTIONS(3041),
    [anon_sym_postfix] = ACTIONS(3041),
    [anon_sym_AT] = ACTIONS(3043),
    [anon_sym_override] = ACTIONS(3041),
    [anon_sym_convenience] = ACTIONS(3041),
    [anon_sym_required] = ACTIONS(3041),
    [anon_sym_nonisolated] = ACTIONS(3041),
    [anon_sym_public] = ACTIONS(3041),
    [anon_sym_private] = ACTIONS(3041),
    [anon_sym_internal] = ACTIONS(3041),
    [anon_sym_fileprivate] = ACTIONS(3041),
    [anon_sym_open] = ACTIONS(3041),
    [anon_sym_mutating] = ACTIONS(3041),
    [anon_sym_nonmutating] = ACTIONS(3041),
    [anon_sym_static] = ACTIONS(3041),
    [anon_sym_dynamic] = ACTIONS(3041),
    [anon_sym_optional] = ACTIONS(3041),
    [anon_sym_distributed] = ACTIONS(3041),
    [anon_sym_final] = ACTIONS(3041),
    [anon_sym_inout] = ACTIONS(3041),
    [anon_sym_ATescaping] = ACTIONS(3041),
    [anon_sym_ATautoclosure] = ACTIONS(3041),
    [anon_sym_weak] = ACTIONS(3041),
    [anon_sym_unowned] = ACTIONS(3043),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3041),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3041),
    [anon_sym_borrowing] = ACTIONS(3041),
    [anon_sym_consuming] = ACTIONS(3041),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3041),
    [sym__explicit_semi] = ACTIONS(3041),
    [sym__dot_custom] = ACTIONS(3041),
    [sym__conjunction_operator_custom] = ACTIONS(3041),
    [sym__disjunction_operator_custom] = ACTIONS(3041),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3041),
    [sym__eq_custom] = ACTIONS(3041),
    [sym__eq_eq_custom] = ACTIONS(3041),
    [sym__plus_then_ws] = ACTIONS(3041),
    [sym__minus_then_ws] = ACTIONS(3041),
    [sym__bang_custom] = ACTIONS(3041),
    [sym_default_keyword] = ACTIONS(3041),
    [sym__as_custom] = ACTIONS(3041),
    [sym__as_quest_custom] = ACTIONS(3041),
    [sym__as_bang_custom] = ACTIONS(3041),
    [sym__custom_operator] = ACTIONS(3041),
  },
  [1026] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3090),
    [anon_sym_package] = ACTIONS(3090),
    [anon_sym_COMMA] = ACTIONS(3090),
    [anon_sym_LPAREN] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_QMARK] = ACTIONS(3092),
    [anon_sym_QMARK2] = ACTIONS(3090),
    [anon_sym_AMP] = ACTIONS(3090),
    [aux_sym_custom_operator_token1] = ACTIONS(3090),
    [anon_sym_LT] = ACTIONS(3092),
    [anon_sym_GT] = ACTIONS(3092),
    [anon_sym_LBRACE] = ACTIONS(3090),
    [anon_sym_CARET_LBRACE] = ACTIONS(3090),
    [anon_sym_RBRACE] = ACTIONS(3090),
    [anon_sym_case] = ACTIONS(3090),
    [anon_sym_fallthrough] = ACTIONS(3090),
    [anon_sym_PLUS_EQ] = ACTIONS(3090),
    [anon_sym_DASH_EQ] = ACTIONS(3090),
    [anon_sym_STAR_EQ] = ACTIONS(3090),
    [anon_sym_SLASH_EQ] = ACTIONS(3090),
    [anon_sym_PERCENT_EQ] = ACTIONS(3090),
    [anon_sym_BANG_EQ] = ACTIONS(3092),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3090),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3090),
    [anon_sym_LT_EQ] = ACTIONS(3090),
    [anon_sym_GT_EQ] = ACTIONS(3090),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3090),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3090),
    [anon_sym_is] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3092),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_SLASH] = ACTIONS(3092),
    [anon_sym_PERCENT] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3090),
    [anon_sym_PIPE] = ACTIONS(3090),
    [anon_sym_CARET] = ACTIONS(3092),
    [anon_sym_LT_LT] = ACTIONS(3090),
    [anon_sym_GT_GT] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_BANG2] = ACTIONS(3092),
    [anon_sym_prefix] = ACTIONS(3090),
    [anon_sym_infix] = ACTIONS(3090),
    [anon_sym_postfix] = ACTIONS(3090),
    [anon_sym_AT] = ACTIONS(3092),
    [anon_sym_override] = ACTIONS(3090),
    [anon_sym_convenience] = ACTIONS(3090),
    [anon_sym_required] = ACTIONS(3090),
    [anon_sym_nonisolated] = ACTIONS(3090),
    [anon_sym_public] = ACTIONS(3090),
    [anon_sym_private] = ACTIONS(3090),
    [anon_sym_internal] = ACTIONS(3090),
    [anon_sym_fileprivate] = ACTIONS(3090),
    [anon_sym_open] = ACTIONS(3090),
    [anon_sym_mutating] = ACTIONS(3090),
    [anon_sym_nonmutating] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_dynamic] = ACTIONS(3090),
    [anon_sym_optional] = ACTIONS(3090),
    [anon_sym_distributed] = ACTIONS(3090),
    [anon_sym_final] = ACTIONS(3090),
    [anon_sym_inout] = ACTIONS(3090),
    [anon_sym_ATescaping] = ACTIONS(3090),
    [anon_sym_ATautoclosure] = ACTIONS(3090),
    [anon_sym_weak] = ACTIONS(3090),
    [anon_sym_unowned] = ACTIONS(3092),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3090),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3090),
    [anon_sym_borrowing] = ACTIONS(3090),
    [anon_sym_consuming] = ACTIONS(3090),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3090),
    [sym__explicit_semi] = ACTIONS(3090),
    [sym__dot_custom] = ACTIONS(3090),
    [sym__conjunction_operator_custom] = ACTIONS(3090),
    [sym__disjunction_operator_custom] = ACTIONS(3090),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3090),
    [sym__eq_custom] = ACTIONS(3090),
    [sym__eq_eq_custom] = ACTIONS(3090),
    [sym__plus_then_ws] = ACTIONS(3090),
    [sym__minus_then_ws] = ACTIONS(3090),
    [sym__bang_custom] = ACTIONS(3090),
    [sym_default_keyword] = ACTIONS(3090),
    [sym_where_keyword] = ACTIONS(3090),
    [sym_else] = ACTIONS(3854),
    [sym__as_custom] = ACTIONS(3090),
    [sym__as_quest_custom] = ACTIONS(3090),
    [sym__as_bang_custom] = ACTIONS(3090),
    [sym__custom_operator] = ACTIONS(3090),
  },
  [1027] = {
    [sym__type_level_declaration] = STATE(5789),
    [sym_import_declaration] = STATE(5789),
    [sym_property_declaration] = STATE(5789),
    [sym__modifierless_property_declaration] = STATE(7093),
    [sym_typealias_declaration] = STATE(5789),
    [sym__modifierless_typealias_declaration] = STATE(6964),
    [sym_function_declaration] = STATE(5789),
    [sym__bodyless_function_declaration] = STATE(6758),
    [sym__modifierless_function_declaration_no_body] = STATE(7642),
    [sym_class_declaration] = STATE(5789),
    [sym__modifierless_class_declaration] = STATE(7177),
    [sym__class_member_declarations] = STATE(7916),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__async_modifier] = STATE(6632),
    [sym_protocol_declaration] = STATE(5789),
    [sym_init_declaration] = STATE(5789),
    [sym_deinit_declaration] = STATE(5789),
    [sym_subscript_declaration] = STATE(5789),
    [sym_operator_declaration] = STATE(5789),
    [sym_precedence_group_declaration] = STATE(5789),
    [sym_associatedtype_declaration] = STATE(5789),
    [sym_attribute] = STATE(1553),
    [sym_value_binding_pattern] = STATE(3972),
    [sym__possibly_async_binding_pattern_kind] = STATE(3972),
    [sym_modifiers] = STATE(4232),
    [aux_sym__locally_permitted_modifiers] = STATE(1553),
    [sym__non_local_scope_modifier] = STATE(1553),
    [sym__locally_permitted_modifier] = STATE(1553),
    [sym_property_behavior_modifier] = STATE(1553),
    [sym_member_modifier] = STATE(1553),
    [sym_visibility_modifier] = STATE(1553),
    [sym_function_modifier] = STATE(1553),
    [sym_mutation_modifier] = STATE(1553),
    [sym_property_modifier] = STATE(1553),
    [sym_inheritance_modifier] = STATE(1553),
    [sym_parameter_modifier] = STATE(1553),
    [sym_ownership_modifier] = STATE(1553),
    [sym__parameter_ownership_modifier] = STATE(2572),
    [aux_sym_modifiers_repeat1] = STATE(1553),
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(3817),
    [anon_sym_async] = ACTIONS(3589),
    [anon_sym_lazy] = ACTIONS(3591),
    [anon_sym_package] = ACTIONS(3593),
    [anon_sym_RBRACE] = ACTIONS(3856),
    [anon_sym_import] = ACTIONS(3821),
    [anon_sym_typealias] = ACTIONS(3823),
    [anon_sym_struct] = ACTIONS(3817),
    [anon_sym_class] = ACTIONS(3825),
    [anon_sym_enum] = ACTIONS(3827),
    [anon_sym_protocol] = ACTIONS(3829),
    [anon_sym_let] = ACTIONS(3609),
    [anon_sym_var] = ACTIONS(3609),
    [anon_sym_func] = ACTIONS(3611),
    [anon_sym_extension] = ACTIONS(3831),
    [anon_sym_indirect] = ACTIONS(3833),
    [anon_sym_init] = ACTIONS(3835),
    [anon_sym_deinit] = ACTIONS(3837),
    [anon_sym_subscript] = ACTIONS(3839),
    [anon_sym_prefix] = ACTIONS(3841),
    [anon_sym_infix] = ACTIONS(3841),
    [anon_sym_postfix] = ACTIONS(3841),
    [anon_sym_precedencegroup] = ACTIONS(3843),
    [anon_sym_associatedtype] = ACTIONS(3845),
    [anon_sym_AT] = ACTIONS(123),
    [anon_sym_override] = ACTIONS(3629),
    [anon_sym_convenience] = ACTIONS(3629),
    [anon_sym_required] = ACTIONS(3629),
    [anon_sym_nonisolated] = ACTIONS(3629),
    [anon_sym_public] = ACTIONS(3593),
    [anon_sym_private] = ACTIONS(3593),
    [anon_sym_internal] = ACTIONS(3593),
    [anon_sym_fileprivate] = ACTIONS(3593),
    [anon_sym_open] = ACTIONS(3593),
    [anon_sym_mutating] = ACTIONS(3631),
    [anon_sym_nonmutating] = ACTIONS(3631),
    [anon_sym_static] = ACTIONS(3633),
    [anon_sym_dynamic] = ACTIONS(3633),
    [anon_sym_optional] = ACTIONS(3633),
    [anon_sym_distributed] = ACTIONS(3633),
    [anon_sym_final] = ACTIONS(3635),
    [anon_sym_inout] = ACTIONS(137),
    [anon_sym_ATescaping] = ACTIONS(137),
    [anon_sym_ATautoclosure] = ACTIONS(137),
    [anon_sym_weak] = ACTIONS(141),
    [anon_sym_unowned] = ACTIONS(139),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(141),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(141),
    [anon_sym_borrowing] = ACTIONS(137),
    [anon_sym_consuming] = ACTIONS(137),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
  },
  [1028] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(2963),
    [anon_sym_package] = ACTIONS(2963),
    [anon_sym_COMMA] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(2963),
    [anon_sym_LBRACK] = ACTIONS(2963),
    [anon_sym_DOT] = ACTIONS(2965),
    [anon_sym_QMARK] = ACTIONS(2965),
    [anon_sym_QMARK2] = ACTIONS(2963),
    [anon_sym_AMP] = ACTIONS(2963),
    [aux_sym_custom_operator_token1] = ACTIONS(2963),
    [anon_sym_LT] = ACTIONS(2965),
    [anon_sym_GT] = ACTIONS(2965),
    [anon_sym_LBRACE] = ACTIONS(2963),
    [anon_sym_CARET_LBRACE] = ACTIONS(2963),
    [anon_sym_RBRACE] = ACTIONS(2963),
    [anon_sym_case] = ACTIONS(2963),
    [anon_sym_fallthrough] = ACTIONS(2963),
    [anon_sym_PLUS_EQ] = ACTIONS(2963),
    [anon_sym_DASH_EQ] = ACTIONS(2963),
    [anon_sym_STAR_EQ] = ACTIONS(2963),
    [anon_sym_SLASH_EQ] = ACTIONS(2963),
    [anon_sym_PERCENT_EQ] = ACTIONS(2963),
    [anon_sym_BANG_EQ] = ACTIONS(2965),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2963),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2963),
    [anon_sym_LT_EQ] = ACTIONS(2963),
    [anon_sym_GT_EQ] = ACTIONS(2963),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2963),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2963),
    [anon_sym_is] = ACTIONS(2963),
    [anon_sym_PLUS] = ACTIONS(2965),
    [anon_sym_DASH] = ACTIONS(2965),
    [anon_sym_STAR] = ACTIONS(2965),
    [anon_sym_SLASH] = ACTIONS(2965),
    [anon_sym_PERCENT] = ACTIONS(2965),
    [anon_sym_PLUS_PLUS] = ACTIONS(2963),
    [anon_sym_DASH_DASH] = ACTIONS(2963),
    [anon_sym_PIPE] = ACTIONS(2963),
    [anon_sym_CARET] = ACTIONS(2965),
    [anon_sym_LT_LT] = ACTIONS(2963),
    [anon_sym_GT_GT] = ACTIONS(2963),
    [anon_sym_class] = ACTIONS(2963),
    [anon_sym_BANG2] = ACTIONS(2965),
    [anon_sym_prefix] = ACTIONS(2963),
    [anon_sym_infix] = ACTIONS(2963),
    [anon_sym_postfix] = ACTIONS(2963),
    [anon_sym_AT] = ACTIONS(2965),
    [anon_sym_override] = ACTIONS(2963),
    [anon_sym_convenience] = ACTIONS(2963),
    [anon_sym_required] = ACTIONS(2963),
    [anon_sym_nonisolated] = ACTIONS(2963),
    [anon_sym_public] = ACTIONS(2963),
    [anon_sym_private] = ACTIONS(2963),
    [anon_sym_internal] = ACTIONS(2963),
    [anon_sym_fileprivate] = ACTIONS(2963),
    [anon_sym_open] = ACTIONS(2963),
    [anon_sym_mutating] = ACTIONS(2963),
    [anon_sym_nonmutating] = ACTIONS(2963),
    [anon_sym_static] = ACTIONS(2963),
    [anon_sym_dynamic] = ACTIONS(2963),
    [anon_sym_optional] = ACTIONS(2963),
    [anon_sym_distributed] = ACTIONS(2963),
    [anon_sym_final] = ACTIONS(2963),
    [anon_sym_inout] = ACTIONS(2963),
    [anon_sym_ATescaping] = ACTIONS(2963),
    [anon_sym_ATautoclosure] = ACTIONS(2963),
    [anon_sym_weak] = ACTIONS(2963),
    [anon_sym_unowned] = ACTIONS(2965),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2963),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2963),
    [anon_sym_borrowing] = ACTIONS(2963),
    [anon_sym_consuming] = ACTIONS(2963),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2963),
    [sym__explicit_semi] = ACTIONS(2963),
    [sym__dot_custom] = ACTIONS(2963),
    [sym__conjunction_operator_custom] = ACTIONS(2963),
    [sym__disjunction_operator_custom] = ACTIONS(2963),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2963),
    [sym__eq_custom] = ACTIONS(2963),
    [sym__eq_eq_custom] = ACTIONS(2963),
    [sym__plus_then_ws] = ACTIONS(2963),
    [sym__minus_then_ws] = ACTIONS(2963),
    [sym__bang_custom] = ACTIONS(2963),
    [sym_default_keyword] = ACTIONS(2963),
    [sym_where_keyword] = ACTIONS(2963),
    [sym__as_custom] = ACTIONS(2963),
    [sym__as_quest_custom] = ACTIONS(2963),
    [sym__as_bang_custom] = ACTIONS(2963),
    [sym__custom_operator] = ACTIONS(2963),
  },
  [1029] = {
    [sym__fn_call_lambda_arguments] = STATE(1169),
    [sym_lambda_literal] = STATE(870),
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3397),
    [anon_sym_package] = ACTIONS(3397),
    [anon_sym_COMMA] = ACTIONS(3397),
    [anon_sym_LPAREN] = ACTIONS(3397),
    [anon_sym_LBRACK] = ACTIONS(3397),
    [anon_sym_QMARK] = ACTIONS(3399),
    [anon_sym_QMARK2] = ACTIONS(3397),
    [anon_sym_AMP] = ACTIONS(3397),
    [aux_sym_custom_operator_token1] = ACTIONS(3397),
    [anon_sym_LT] = ACTIONS(3399),
    [anon_sym_GT] = ACTIONS(3399),
    [anon_sym_LBRACE] = ACTIONS(3858),
    [anon_sym_CARET_LBRACE] = ACTIONS(3858),
    [anon_sym_RBRACE] = ACTIONS(3397),
    [anon_sym_case] = ACTIONS(3397),
    [anon_sym_fallthrough] = ACTIONS(3397),
    [anon_sym_PLUS_EQ] = ACTIONS(3397),
    [anon_sym_DASH_EQ] = ACTIONS(3397),
    [anon_sym_STAR_EQ] = ACTIONS(3397),
    [anon_sym_SLASH_EQ] = ACTIONS(3397),
    [anon_sym_PERCENT_EQ] = ACTIONS(3397),
    [anon_sym_BANG_EQ] = ACTIONS(3399),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3397),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3397),
    [anon_sym_LT_EQ] = ACTIONS(3397),
    [anon_sym_GT_EQ] = ACTIONS(3397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3397),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3397),
    [anon_sym_is] = ACTIONS(3397),
    [anon_sym_PLUS] = ACTIONS(3399),
    [anon_sym_DASH] = ACTIONS(3399),
    [anon_sym_STAR] = ACTIONS(3399),
    [anon_sym_SLASH] = ACTIONS(3399),
    [anon_sym_PERCENT] = ACTIONS(3399),
    [anon_sym_PLUS_PLUS] = ACTIONS(3397),
    [anon_sym_DASH_DASH] = ACTIONS(3397),
    [anon_sym_PIPE] = ACTIONS(3397),
    [anon_sym_CARET] = ACTIONS(3399),
    [anon_sym_LT_LT] = ACTIONS(3397),
    [anon_sym_GT_GT] = ACTIONS(3397),
    [anon_sym_class] = ACTIONS(3397),
    [anon_sym_BANG2] = ACTIONS(3399),
    [anon_sym_prefix] = ACTIONS(3397),
    [anon_sym_infix] = ACTIONS(3397),
    [anon_sym_postfix] = ACTIONS(3397),
    [anon_sym_AT] = ACTIONS(3399),
    [anon_sym_override] = ACTIONS(3397),
    [anon_sym_convenience] = ACTIONS(3397),
    [anon_sym_required] = ACTIONS(3397),
    [anon_sym_nonisolated] = ACTIONS(3397),
    [anon_sym_public] = ACTIONS(3397),
    [anon_sym_private] = ACTIONS(3397),
    [anon_sym_internal] = ACTIONS(3397),
    [anon_sym_fileprivate] = ACTIONS(3397),
    [anon_sym_open] = ACTIONS(3397),
    [anon_sym_mutating] = ACTIONS(3397),
    [anon_sym_nonmutating] = ACTIONS(3397),
    [anon_sym_static] = ACTIONS(3397),
    [anon_sym_dynamic] = ACTIONS(3397),
    [anon_sym_optional] = ACTIONS(3397),
    [anon_sym_distributed] = ACTIONS(3397),
    [anon_sym_final] = ACTIONS(3397),
    [anon_sym_inout] = ACTIONS(3397),
    [anon_sym_ATescaping] = ACTIONS(3397),
    [anon_sym_ATautoclosure] = ACTIONS(3397),
    [anon_sym_weak] = ACTIONS(3397),
    [anon_sym_unowned] = ACTIONS(3399),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3397),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3397),
    [anon_sym_borrowing] = ACTIONS(3397),
    [anon_sym_consuming] = ACTIONS(3397),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3397),
    [sym__explicit_semi] = ACTIONS(3397),
    [sym__dot_custom] = ACTIONS(3397),
    [sym__conjunction_operator_custom] = ACTIONS(3397),
    [sym__disjunction_operator_custom] = ACTIONS(3397),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3397),
    [sym__eq_custom] = ACTIONS(3397),
    [sym__eq_eq_custom] = ACTIONS(3397),
    [sym__plus_then_ws] = ACTIONS(3397),
    [sym__minus_then_ws] = ACTIONS(3397),
    [sym__bang_custom] = ACTIONS(3397),
    [sym_default_keyword] = ACTIONS(3397),
    [sym__as_custom] = ACTIONS(3397),
    [sym__as_quest_custom] = ACTIONS(3397),
    [sym__as_bang_custom] = ACTIONS(3397),
    [sym__custom_operator] = ACTIONS(3397),
  },
  [1030] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(2924),
    [anon_sym_package] = ACTIONS(2924),
    [anon_sym_COMMA] = ACTIONS(2924),
    [anon_sym_LPAREN] = ACTIONS(2924),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_DOT] = ACTIONS(2926),
    [anon_sym_QMARK] = ACTIONS(2926),
    [anon_sym_QMARK2] = ACTIONS(2924),
    [anon_sym_AMP] = ACTIONS(2924),
    [aux_sym_custom_operator_token1] = ACTIONS(2924),
    [anon_sym_LT] = ACTIONS(2926),
    [anon_sym_GT] = ACTIONS(2926),
    [anon_sym_LBRACE] = ACTIONS(2924),
    [anon_sym_CARET_LBRACE] = ACTIONS(2924),
    [anon_sym_RBRACE] = ACTIONS(2924),
    [anon_sym_case] = ACTIONS(2924),
    [anon_sym_fallthrough] = ACTIONS(2924),
    [anon_sym_PLUS_EQ] = ACTIONS(2924),
    [anon_sym_DASH_EQ] = ACTIONS(2924),
    [anon_sym_STAR_EQ] = ACTIONS(2924),
    [anon_sym_SLASH_EQ] = ACTIONS(2924),
    [anon_sym_PERCENT_EQ] = ACTIONS(2924),
    [anon_sym_BANG_EQ] = ACTIONS(2926),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2924),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2924),
    [anon_sym_LT_EQ] = ACTIONS(2924),
    [anon_sym_GT_EQ] = ACTIONS(2924),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2924),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2924),
    [anon_sym_is] = ACTIONS(2924),
    [anon_sym_PLUS] = ACTIONS(2926),
    [anon_sym_DASH] = ACTIONS(2926),
    [anon_sym_STAR] = ACTIONS(2926),
    [anon_sym_SLASH] = ACTIONS(2926),
    [anon_sym_PERCENT] = ACTIONS(2926),
    [anon_sym_PLUS_PLUS] = ACTIONS(2924),
    [anon_sym_DASH_DASH] = ACTIONS(2924),
    [anon_sym_PIPE] = ACTIONS(2924),
    [anon_sym_CARET] = ACTIONS(2926),
    [anon_sym_LT_LT] = ACTIONS(2924),
    [anon_sym_GT_GT] = ACTIONS(2924),
    [anon_sym_class] = ACTIONS(2924),
    [anon_sym_BANG2] = ACTIONS(2926),
    [anon_sym_prefix] = ACTIONS(2924),
    [anon_sym_infix] = ACTIONS(2924),
    [anon_sym_postfix] = ACTIONS(2924),
    [anon_sym_AT] = ACTIONS(2926),
    [anon_sym_override] = ACTIONS(2924),
    [anon_sym_convenience] = ACTIONS(2924),
    [anon_sym_required] = ACTIONS(2924),
    [anon_sym_nonisolated] = ACTIONS(2924),
    [anon_sym_public] = ACTIONS(2924),
    [anon_sym_private] = ACTIONS(2924),
    [anon_sym_internal] = ACTIONS(2924),
    [anon_sym_fileprivate] = ACTIONS(2924),
    [anon_sym_open] = ACTIONS(2924),
    [anon_sym_mutating] = ACTIONS(2924),
    [anon_sym_nonmutating] = ACTIONS(2924),
    [anon_sym_static] = ACTIONS(2924),
    [anon_sym_dynamic] = ACTIONS(2924),
    [anon_sym_optional] = ACTIONS(2924),
    [anon_sym_distributed] = ACTIONS(2924),
    [anon_sym_final] = ACTIONS(2924),
    [anon_sym_inout] = ACTIONS(2924),
    [anon_sym_ATescaping] = ACTIONS(2924),
    [anon_sym_ATautoclosure] = ACTIONS(2924),
    [anon_sym_weak] = ACTIONS(2924),
    [anon_sym_unowned] = ACTIONS(2926),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2924),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2924),
    [anon_sym_borrowing] = ACTIONS(2924),
    [anon_sym_consuming] = ACTIONS(2924),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2924),
    [sym__explicit_semi] = ACTIONS(2924),
    [sym__dot_custom] = ACTIONS(2924),
    [sym__conjunction_operator_custom] = ACTIONS(2924),
    [sym__disjunction_operator_custom] = ACTIONS(2924),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2924),
    [sym__eq_custom] = ACTIONS(2924),
    [sym__eq_eq_custom] = ACTIONS(2924),
    [sym__plus_then_ws] = ACTIONS(2924),
    [sym__minus_then_ws] = ACTIONS(2924),
    [sym__bang_custom] = ACTIONS(2924),
    [sym_default_keyword] = ACTIONS(2924),
    [sym_where_keyword] = ACTIONS(2924),
    [sym__as_custom] = ACTIONS(2924),
    [sym__as_quest_custom] = ACTIONS(2924),
    [sym__as_bang_custom] = ACTIONS(2924),
    [sym__custom_operator] = ACTIONS(2924),
  },
  [1031] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(2971),
    [anon_sym_package] = ACTIONS(2971),
    [anon_sym_COMMA] = ACTIONS(2971),
    [anon_sym_LPAREN] = ACTIONS(2971),
    [anon_sym_LBRACK] = ACTIONS(2971),
    [anon_sym_DOT] = ACTIONS(2973),
    [anon_sym_QMARK] = ACTIONS(2973),
    [anon_sym_QMARK2] = ACTIONS(2971),
    [anon_sym_AMP] = ACTIONS(2971),
    [aux_sym_custom_operator_token1] = ACTIONS(2971),
    [anon_sym_LT] = ACTIONS(2973),
    [anon_sym_GT] = ACTIONS(2973),
    [anon_sym_LBRACE] = ACTIONS(2971),
    [anon_sym_CARET_LBRACE] = ACTIONS(2971),
    [anon_sym_RBRACE] = ACTIONS(2971),
    [anon_sym_case] = ACTIONS(2971),
    [anon_sym_fallthrough] = ACTIONS(2971),
    [anon_sym_PLUS_EQ] = ACTIONS(2971),
    [anon_sym_DASH_EQ] = ACTIONS(2971),
    [anon_sym_STAR_EQ] = ACTIONS(2971),
    [anon_sym_SLASH_EQ] = ACTIONS(2971),
    [anon_sym_PERCENT_EQ] = ACTIONS(2971),
    [anon_sym_BANG_EQ] = ACTIONS(2973),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2971),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2971),
    [anon_sym_LT_EQ] = ACTIONS(2971),
    [anon_sym_GT_EQ] = ACTIONS(2971),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2971),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2971),
    [anon_sym_is] = ACTIONS(2971),
    [anon_sym_PLUS] = ACTIONS(2973),
    [anon_sym_DASH] = ACTIONS(2973),
    [anon_sym_STAR] = ACTIONS(2973),
    [anon_sym_SLASH] = ACTIONS(2973),
    [anon_sym_PERCENT] = ACTIONS(2973),
    [anon_sym_PLUS_PLUS] = ACTIONS(2971),
    [anon_sym_DASH_DASH] = ACTIONS(2971),
    [anon_sym_PIPE] = ACTIONS(2971),
    [anon_sym_CARET] = ACTIONS(2973),
    [anon_sym_LT_LT] = ACTIONS(2971),
    [anon_sym_GT_GT] = ACTIONS(2971),
    [anon_sym_class] = ACTIONS(2971),
    [anon_sym_BANG2] = ACTIONS(2973),
    [anon_sym_prefix] = ACTIONS(2971),
    [anon_sym_infix] = ACTIONS(2971),
    [anon_sym_postfix] = ACTIONS(2971),
    [anon_sym_AT] = ACTIONS(2973),
    [anon_sym_override] = ACTIONS(2971),
    [anon_sym_convenience] = ACTIONS(2971),
    [anon_sym_required] = ACTIONS(2971),
    [anon_sym_nonisolated] = ACTIONS(2971),
    [anon_sym_public] = ACTIONS(2971),
    [anon_sym_private] = ACTIONS(2971),
    [anon_sym_internal] = ACTIONS(2971),
    [anon_sym_fileprivate] = ACTIONS(2971),
    [anon_sym_open] = ACTIONS(2971),
    [anon_sym_mutating] = ACTIONS(2971),
    [anon_sym_nonmutating] = ACTIONS(2971),
    [anon_sym_static] = ACTIONS(2971),
    [anon_sym_dynamic] = ACTIONS(2971),
    [anon_sym_optional] = ACTIONS(2971),
    [anon_sym_distributed] = ACTIONS(2971),
    [anon_sym_final] = ACTIONS(2971),
    [anon_sym_inout] = ACTIONS(2971),
    [anon_sym_ATescaping] = ACTIONS(2971),
    [anon_sym_ATautoclosure] = ACTIONS(2971),
    [anon_sym_weak] = ACTIONS(2971),
    [anon_sym_unowned] = ACTIONS(2973),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2971),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2971),
    [anon_sym_borrowing] = ACTIONS(2971),
    [anon_sym_consuming] = ACTIONS(2971),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2971),
    [sym__explicit_semi] = ACTIONS(2971),
    [sym__dot_custom] = ACTIONS(2971),
    [sym__conjunction_operator_custom] = ACTIONS(2971),
    [sym__disjunction_operator_custom] = ACTIONS(2971),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2971),
    [sym__eq_custom] = ACTIONS(2971),
    [sym__eq_eq_custom] = ACTIONS(2971),
    [sym__plus_then_ws] = ACTIONS(2971),
    [sym__minus_then_ws] = ACTIONS(2971),
    [sym__bang_custom] = ACTIONS(2971),
    [sym_default_keyword] = ACTIONS(2971),
    [sym_where_keyword] = ACTIONS(2971),
    [sym__as_custom] = ACTIONS(2971),
    [sym__as_quest_custom] = ACTIONS(2971),
    [sym__as_bang_custom] = ACTIONS(2971),
    [sym__custom_operator] = ACTIONS(2971),
  },
  [1032] = {
    [sym__fn_call_lambda_arguments] = STATE(1193),
    [sym_lambda_literal] = STATE(870),
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3380),
    [anon_sym_package] = ACTIONS(3380),
    [anon_sym_COMMA] = ACTIONS(3380),
    [anon_sym_LPAREN] = ACTIONS(3380),
    [anon_sym_LBRACK] = ACTIONS(3380),
    [anon_sym_QMARK] = ACTIONS(3382),
    [anon_sym_QMARK2] = ACTIONS(3380),
    [anon_sym_AMP] = ACTIONS(3380),
    [aux_sym_custom_operator_token1] = ACTIONS(3380),
    [anon_sym_LT] = ACTIONS(3382),
    [anon_sym_GT] = ACTIONS(3382),
    [anon_sym_LBRACE] = ACTIONS(3861),
    [anon_sym_CARET_LBRACE] = ACTIONS(3861),
    [anon_sym_RBRACE] = ACTIONS(3380),
    [anon_sym_case] = ACTIONS(3380),
    [anon_sym_fallthrough] = ACTIONS(3380),
    [anon_sym_PLUS_EQ] = ACTIONS(3380),
    [anon_sym_DASH_EQ] = ACTIONS(3380),
    [anon_sym_STAR_EQ] = ACTIONS(3380),
    [anon_sym_SLASH_EQ] = ACTIONS(3380),
    [anon_sym_PERCENT_EQ] = ACTIONS(3380),
    [anon_sym_BANG_EQ] = ACTIONS(3382),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3380),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3380),
    [anon_sym_LT_EQ] = ACTIONS(3380),
    [anon_sym_GT_EQ] = ACTIONS(3380),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3380),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3380),
    [anon_sym_is] = ACTIONS(3380),
    [anon_sym_PLUS] = ACTIONS(3382),
    [anon_sym_DASH] = ACTIONS(3382),
    [anon_sym_STAR] = ACTIONS(3382),
    [anon_sym_SLASH] = ACTIONS(3382),
    [anon_sym_PERCENT] = ACTIONS(3382),
    [anon_sym_PLUS_PLUS] = ACTIONS(3380),
    [anon_sym_DASH_DASH] = ACTIONS(3380),
    [anon_sym_PIPE] = ACTIONS(3380),
    [anon_sym_CARET] = ACTIONS(3382),
    [anon_sym_LT_LT] = ACTIONS(3380),
    [anon_sym_GT_GT] = ACTIONS(3380),
    [anon_sym_class] = ACTIONS(3380),
    [anon_sym_BANG2] = ACTIONS(3382),
    [anon_sym_prefix] = ACTIONS(3380),
    [anon_sym_infix] = ACTIONS(3380),
    [anon_sym_postfix] = ACTIONS(3380),
    [anon_sym_AT] = ACTIONS(3382),
    [anon_sym_override] = ACTIONS(3380),
    [anon_sym_convenience] = ACTIONS(3380),
    [anon_sym_required] = ACTIONS(3380),
    [anon_sym_nonisolated] = ACTIONS(3380),
    [anon_sym_public] = ACTIONS(3380),
    [anon_sym_private] = ACTIONS(3380),
    [anon_sym_internal] = ACTIONS(3380),
    [anon_sym_fileprivate] = ACTIONS(3380),
    [anon_sym_open] = ACTIONS(3380),
    [anon_sym_mutating] = ACTIONS(3380),
    [anon_sym_nonmutating] = ACTIONS(3380),
    [anon_sym_static] = ACTIONS(3380),
    [anon_sym_dynamic] = ACTIONS(3380),
    [anon_sym_optional] = ACTIONS(3380),
    [anon_sym_distributed] = ACTIONS(3380),
    [anon_sym_final] = ACTIONS(3380),
    [anon_sym_inout] = ACTIONS(3380),
    [anon_sym_ATescaping] = ACTIONS(3380),
    [anon_sym_ATautoclosure] = ACTIONS(3380),
    [anon_sym_weak] = ACTIONS(3380),
    [anon_sym_unowned] = ACTIONS(3382),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3380),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3380),
    [anon_sym_borrowing] = ACTIONS(3380),
    [anon_sym_consuming] = ACTIONS(3380),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3380),
    [sym__explicit_semi] = ACTIONS(3380),
    [sym__dot_custom] = ACTIONS(3380),
    [sym__conjunction_operator_custom] = ACTIONS(3380),
    [sym__disjunction_operator_custom] = ACTIONS(3380),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3380),
    [sym__eq_custom] = ACTIONS(3380),
    [sym__eq_eq_custom] = ACTIONS(3380),
    [sym__plus_then_ws] = ACTIONS(3380),
    [sym__minus_then_ws] = ACTIONS(3380),
    [sym__bang_custom] = ACTIONS(3380),
    [sym_default_keyword] = ACTIONS(3380),
    [sym__as_custom] = ACTIONS(3380),
    [sym__as_quest_custom] = ACTIONS(3380),
    [sym__as_bang_custom] = ACTIONS(3380),
    [sym__custom_operator] = ACTIONS(3380),
  },
  [1033] = {
    [sym_simple_identifier] = STATE(5482),
    [sym__contextual_simple_identifier] = STATE(5628),
    [sym__parameter_ownership_modifier] = STATE(5628),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(3864),
    [aux_sym_simple_identifier_token2] = ACTIONS(3866),
    [aux_sym_simple_identifier_token3] = ACTIONS(3866),
    [aux_sym_simple_identifier_token4] = ACTIONS(3866),
    [anon_sym_actor] = ACTIONS(3864),
    [anon_sym_async] = ACTIONS(3864),
    [anon_sym_each] = ACTIONS(3864),
    [anon_sym_lazy] = ACTIONS(3864),
    [anon_sym_repeat] = ACTIONS(3864),
    [anon_sym_package] = ACTIONS(3864),
    [anon_sym_nil] = ACTIONS(2437),
    [sym_real_literal] = ACTIONS(2439),
    [sym_integer_literal] = ACTIONS(2437),
    [sym_hex_literal] = ACTIONS(2439),
    [sym_oct_literal] = ACTIONS(2439),
    [sym_bin_literal] = ACTIONS(2439),
    [anon_sym_true] = ACTIONS(2437),
    [anon_sym_false] = ACTIONS(2437),
    [anon_sym_DQUOTE] = ACTIONS(2437),
    [anon_sym_BSLASH] = ACTIONS(2439),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2439),
    [sym__extended_regex_literal] = ACTIONS(2439),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(2439),
    [sym__oneline_regex_literal] = ACTIONS(2437),
    [anon_sym_LPAREN] = ACTIONS(2439),
    [anon_sym_LBRACK] = ACTIONS(2439),
    [anon_sym_AMP] = ACTIONS(2439),
    [anon_sym_if] = ACTIONS(2437),
    [anon_sym_switch] = ACTIONS(2437),
    [anon_sym_POUNDselector] = ACTIONS(2439),
    [aux_sym_custom_operator_token1] = ACTIONS(2439),
    [anon_sym_LT] = ACTIONS(2437),
    [anon_sym_GT] = ACTIONS(2437),
    [anon_sym_await] = ACTIONS(2437),
    [anon_sym_POUNDfile] = ACTIONS(2437),
    [anon_sym_POUNDfileID] = ACTIONS(2439),
    [anon_sym_POUNDfilePath] = ACTIONS(2439),
    [anon_sym_POUNDline] = ACTIONS(2439),
    [anon_sym_POUNDcolumn] = ACTIONS(2439),
    [anon_sym_POUNDfunction] = ACTIONS(2439),
    [anon_sym_POUNDdsohandle] = ACTIONS(2439),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(2439),
    [anon_sym_POUNDfileLiteral] = ACTIONS(2439),
    [anon_sym_POUNDimageLiteral] = ACTIONS(2439),
    [anon_sym_LBRACE] = ACTIONS(2439),
    [anon_sym_CARET_LBRACE] = ACTIONS(2439),
    [anon_sym_self] = ACTIONS(2437),
    [anon_sym_super] = ACTIONS(2437),
    [anon_sym_POUNDkeyPath] = ACTIONS(2439),
    [anon_sym_try] = ACTIONS(2437),
    [anon_sym_PLUS_EQ] = ACTIONS(2439),
    [anon_sym_DASH_EQ] = ACTIONS(2439),
    [anon_sym_STAR_EQ] = ACTIONS(2439),
    [anon_sym_SLASH_EQ] = ACTIONS(2439),
    [anon_sym_PERCENT_EQ] = ACTIONS(2439),
    [anon_sym_BANG_EQ] = ACTIONS(2437),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2439),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2439),
    [anon_sym_LT_EQ] = ACTIONS(2439),
    [anon_sym_GT_EQ] = ACTIONS(2439),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2439),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2439),
    [anon_sym_PLUS] = ACTIONS(2437),
    [anon_sym_DASH] = ACTIONS(2437),
    [anon_sym_STAR] = ACTIONS(2437),
    [anon_sym_SLASH] = ACTIONS(2437),
    [anon_sym_PERCENT] = ACTIONS(2437),
    [anon_sym_PLUS_PLUS] = ACTIONS(2439),
    [anon_sym_DASH_DASH] = ACTIONS(2439),
    [anon_sym_TILDE] = ACTIONS(2439),
    [anon_sym_PIPE] = ACTIONS(2439),
    [anon_sym_CARET] = ACTIONS(2437),
    [anon_sym_LT_LT] = ACTIONS(2439),
    [anon_sym_GT_GT] = ACTIONS(2439),
    [anon_sym_BANG2] = ACTIONS(2437),
    [anon_sym_borrowing] = ACTIONS(3864),
    [anon_sym_consuming] = ACTIONS(3864),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(2439),
    [sym_raw_str_end_part] = ACTIONS(2439),
    [sym__dot_custom] = ACTIONS(2439),
    [sym__eq_custom] = ACTIONS(2439),
    [sym__eq_eq_custom] = ACTIONS(2439),
    [sym__plus_then_ws] = ACTIONS(2439),
    [sym__minus_then_ws] = ACTIONS(2439),
    [sym__bang_custom] = ACTIONS(2439),
    [sym__custom_operator] = ACTIONS(2439),
  },
  [1034] = {
    [sym_type_arguments] = STATE(1112),
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(2882),
    [anon_sym_package] = ACTIONS(2882),
    [anon_sym_COMMA] = ACTIONS(2882),
    [anon_sym_LPAREN] = ACTIONS(2882),
    [anon_sym_LBRACK] = ACTIONS(2882),
    [anon_sym_DOT] = ACTIONS(2884),
    [anon_sym_QMARK] = ACTIONS(2884),
    [anon_sym_QMARK2] = ACTIONS(2882),
    [anon_sym_AMP] = ACTIONS(2882),
    [aux_sym_custom_operator_token1] = ACTIONS(2882),
    [anon_sym_LT] = ACTIONS(3868),
    [anon_sym_GT] = ACTIONS(2884),
    [anon_sym_LBRACE] = ACTIONS(2882),
    [anon_sym_CARET_LBRACE] = ACTIONS(2882),
    [anon_sym_RBRACE] = ACTIONS(2882),
    [anon_sym_case] = ACTIONS(2882),
    [anon_sym_fallthrough] = ACTIONS(2882),
    [anon_sym_PLUS_EQ] = ACTIONS(2882),
    [anon_sym_DASH_EQ] = ACTIONS(2882),
    [anon_sym_STAR_EQ] = ACTIONS(2882),
    [anon_sym_SLASH_EQ] = ACTIONS(2882),
    [anon_sym_PERCENT_EQ] = ACTIONS(2882),
    [anon_sym_BANG_EQ] = ACTIONS(2884),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2882),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2882),
    [anon_sym_LT_EQ] = ACTIONS(2882),
    [anon_sym_GT_EQ] = ACTIONS(2882),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2882),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2882),
    [anon_sym_is] = ACTIONS(2882),
    [anon_sym_PLUS] = ACTIONS(2884),
    [anon_sym_DASH] = ACTIONS(2884),
    [anon_sym_STAR] = ACTIONS(2884),
    [anon_sym_SLASH] = ACTIONS(2884),
    [anon_sym_PERCENT] = ACTIONS(2884),
    [anon_sym_PLUS_PLUS] = ACTIONS(2882),
    [anon_sym_DASH_DASH] = ACTIONS(2882),
    [anon_sym_PIPE] = ACTIONS(2882),
    [anon_sym_CARET] = ACTIONS(2884),
    [anon_sym_LT_LT] = ACTIONS(2882),
    [anon_sym_GT_GT] = ACTIONS(2882),
    [anon_sym_class] = ACTIONS(2882),
    [anon_sym_BANG2] = ACTIONS(2884),
    [anon_sym_prefix] = ACTIONS(2882),
    [anon_sym_infix] = ACTIONS(2882),
    [anon_sym_postfix] = ACTIONS(2882),
    [anon_sym_AT] = ACTIONS(2884),
    [anon_sym_override] = ACTIONS(2882),
    [anon_sym_convenience] = ACTIONS(2882),
    [anon_sym_required] = ACTIONS(2882),
    [anon_sym_nonisolated] = ACTIONS(2882),
    [anon_sym_public] = ACTIONS(2882),
    [anon_sym_private] = ACTIONS(2882),
    [anon_sym_internal] = ACTIONS(2882),
    [anon_sym_fileprivate] = ACTIONS(2882),
    [anon_sym_open] = ACTIONS(2882),
    [anon_sym_mutating] = ACTIONS(2882),
    [anon_sym_nonmutating] = ACTIONS(2882),
    [anon_sym_static] = ACTIONS(2882),
    [anon_sym_dynamic] = ACTIONS(2882),
    [anon_sym_optional] = ACTIONS(2882),
    [anon_sym_distributed] = ACTIONS(2882),
    [anon_sym_final] = ACTIONS(2882),
    [anon_sym_inout] = ACTIONS(2882),
    [anon_sym_ATescaping] = ACTIONS(2882),
    [anon_sym_ATautoclosure] = ACTIONS(2882),
    [anon_sym_weak] = ACTIONS(2882),
    [anon_sym_unowned] = ACTIONS(2884),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2882),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2882),
    [anon_sym_borrowing] = ACTIONS(2882),
    [anon_sym_consuming] = ACTIONS(2882),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2882),
    [sym__explicit_semi] = ACTIONS(2882),
    [sym__dot_custom] = ACTIONS(2882),
    [sym__conjunction_operator_custom] = ACTIONS(2882),
    [sym__disjunction_operator_custom] = ACTIONS(2882),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2882),
    [sym__eq_custom] = ACTIONS(2882),
    [sym__eq_eq_custom] = ACTIONS(2882),
    [sym__plus_then_ws] = ACTIONS(2882),
    [sym__minus_then_ws] = ACTIONS(2882),
    [sym__bang_custom] = ACTIONS(2882),
    [sym_default_keyword] = ACTIONS(2882),
    [sym__as_custom] = ACTIONS(2882),
    [sym__as_quest_custom] = ACTIONS(2882),
    [sym__as_bang_custom] = ACTIONS(2882),
    [sym__custom_operator] = ACTIONS(2882),
  },
  [1035] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(2955),
    [anon_sym_package] = ACTIONS(2955),
    [anon_sym_COMMA] = ACTIONS(2955),
    [anon_sym_LPAREN] = ACTIONS(2955),
    [anon_sym_LBRACK] = ACTIONS(2955),
    [anon_sym_DOT] = ACTIONS(2957),
    [anon_sym_QMARK] = ACTIONS(2957),
    [anon_sym_QMARK2] = ACTIONS(2955),
    [anon_sym_AMP] = ACTIONS(2955),
    [aux_sym_custom_operator_token1] = ACTIONS(2955),
    [anon_sym_LT] = ACTIONS(2957),
    [anon_sym_GT] = ACTIONS(2957),
    [anon_sym_LBRACE] = ACTIONS(2955),
    [anon_sym_CARET_LBRACE] = ACTIONS(2955),
    [anon_sym_RBRACE] = ACTIONS(2955),
    [anon_sym_case] = ACTIONS(2955),
    [anon_sym_fallthrough] = ACTIONS(2955),
    [anon_sym_PLUS_EQ] = ACTIONS(2955),
    [anon_sym_DASH_EQ] = ACTIONS(2955),
    [anon_sym_STAR_EQ] = ACTIONS(2955),
    [anon_sym_SLASH_EQ] = ACTIONS(2955),
    [anon_sym_PERCENT_EQ] = ACTIONS(2955),
    [anon_sym_BANG_EQ] = ACTIONS(2957),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2955),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2955),
    [anon_sym_LT_EQ] = ACTIONS(2955),
    [anon_sym_GT_EQ] = ACTIONS(2955),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2955),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2955),
    [anon_sym_is] = ACTIONS(2955),
    [anon_sym_PLUS] = ACTIONS(2957),
    [anon_sym_DASH] = ACTIONS(2957),
    [anon_sym_STAR] = ACTIONS(2957),
    [anon_sym_SLASH] = ACTIONS(2957),
    [anon_sym_PERCENT] = ACTIONS(2957),
    [anon_sym_PLUS_PLUS] = ACTIONS(2955),
    [anon_sym_DASH_DASH] = ACTIONS(2955),
    [anon_sym_PIPE] = ACTIONS(2955),
    [anon_sym_CARET] = ACTIONS(2957),
    [anon_sym_LT_LT] = ACTIONS(2955),
    [anon_sym_GT_GT] = ACTIONS(2955),
    [anon_sym_class] = ACTIONS(2955),
    [anon_sym_BANG2] = ACTIONS(2957),
    [anon_sym_prefix] = ACTIONS(2955),
    [anon_sym_infix] = ACTIONS(2955),
    [anon_sym_postfix] = ACTIONS(2955),
    [anon_sym_AT] = ACTIONS(2957),
    [anon_sym_override] = ACTIONS(2955),
    [anon_sym_convenience] = ACTIONS(2955),
    [anon_sym_required] = ACTIONS(2955),
    [anon_sym_nonisolated] = ACTIONS(2955),
    [anon_sym_public] = ACTIONS(2955),
    [anon_sym_private] = ACTIONS(2955),
    [anon_sym_internal] = ACTIONS(2955),
    [anon_sym_fileprivate] = ACTIONS(2955),
    [anon_sym_open] = ACTIONS(2955),
    [anon_sym_mutating] = ACTIONS(2955),
    [anon_sym_nonmutating] = ACTIONS(2955),
    [anon_sym_static] = ACTIONS(2955),
    [anon_sym_dynamic] = ACTIONS(2955),
    [anon_sym_optional] = ACTIONS(2955),
    [anon_sym_distributed] = ACTIONS(2955),
    [anon_sym_final] = ACTIONS(2955),
    [anon_sym_inout] = ACTIONS(2955),
    [anon_sym_ATescaping] = ACTIONS(2955),
    [anon_sym_ATautoclosure] = ACTIONS(2955),
    [anon_sym_weak] = ACTIONS(2955),
    [anon_sym_unowned] = ACTIONS(2957),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2955),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2955),
    [anon_sym_borrowing] = ACTIONS(2955),
    [anon_sym_consuming] = ACTIONS(2955),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2955),
    [sym__explicit_semi] = ACTIONS(2955),
    [sym__dot_custom] = ACTIONS(2955),
    [sym__conjunction_operator_custom] = ACTIONS(2955),
    [sym__disjunction_operator_custom] = ACTIONS(2955),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2955),
    [sym__eq_custom] = ACTIONS(2955),
    [sym__eq_eq_custom] = ACTIONS(2955),
    [sym__plus_then_ws] = ACTIONS(2955),
    [sym__minus_then_ws] = ACTIONS(2955),
    [sym__bang_custom] = ACTIONS(2955),
    [sym_default_keyword] = ACTIONS(2955),
    [sym_where_keyword] = ACTIONS(2955),
    [sym__as_custom] = ACTIONS(2955),
    [sym__as_quest_custom] = ACTIONS(2955),
    [sym__as_bang_custom] = ACTIONS(2955),
    [sym__custom_operator] = ACTIONS(2955),
  },
  [1036] = {
    [sym_attribute] = STATE(1052),
    [aux_sym__lambda_type_declaration_repeat1] = STATE(1052),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(3870),
    [aux_sym_simple_identifier_token2] = ACTIONS(3872),
    [aux_sym_simple_identifier_token3] = ACTIONS(3872),
    [aux_sym_simple_identifier_token4] = ACTIONS(3872),
    [anon_sym_actor] = ACTIONS(3870),
    [anon_sym_async] = ACTIONS(3870),
    [anon_sym_each] = ACTIONS(3870),
    [anon_sym_lazy] = ACTIONS(3870),
    [anon_sym_repeat] = ACTIONS(3870),
    [anon_sym_package] = ACTIONS(3870),
    [anon_sym_nil] = ACTIONS(3870),
    [sym_real_literal] = ACTIONS(3872),
    [sym_integer_literal] = ACTIONS(3870),
    [sym_hex_literal] = ACTIONS(3872),
    [sym_oct_literal] = ACTIONS(3872),
    [sym_bin_literal] = ACTIONS(3872),
    [anon_sym_true] = ACTIONS(3870),
    [anon_sym_false] = ACTIONS(3870),
    [anon_sym_DQUOTE] = ACTIONS(3870),
    [anon_sym_BSLASH] = ACTIONS(3872),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3872),
    [sym__extended_regex_literal] = ACTIONS(3872),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(3872),
    [sym__oneline_regex_literal] = ACTIONS(3870),
    [anon_sym_LPAREN] = ACTIONS(3872),
    [anon_sym_LBRACK] = ACTIONS(3872),
    [anon_sym_AMP] = ACTIONS(3872),
    [anon_sym_if] = ACTIONS(3870),
    [anon_sym_switch] = ACTIONS(3870),
    [anon_sym_POUNDselector] = ACTIONS(3872),
    [aux_sym_custom_operator_token1] = ACTIONS(3872),
    [anon_sym_LT] = ACTIONS(3870),
    [anon_sym_GT] = ACTIONS(3870),
    [anon_sym_await] = ACTIONS(3870),
    [anon_sym_POUNDfile] = ACTIONS(3870),
    [anon_sym_POUNDfileID] = ACTIONS(3872),
    [anon_sym_POUNDfilePath] = ACTIONS(3872),
    [anon_sym_POUNDline] = ACTIONS(3872),
    [anon_sym_POUNDcolumn] = ACTIONS(3872),
    [anon_sym_POUNDfunction] = ACTIONS(3872),
    [anon_sym_POUNDdsohandle] = ACTIONS(3872),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(3872),
    [anon_sym_POUNDfileLiteral] = ACTIONS(3872),
    [anon_sym_POUNDimageLiteral] = ACTIONS(3872),
    [anon_sym_LBRACE] = ACTIONS(3872),
    [anon_sym_CARET_LBRACE] = ACTIONS(3872),
    [anon_sym_self] = ACTIONS(3870),
    [anon_sym_super] = ACTIONS(3870),
    [anon_sym_POUNDkeyPath] = ACTIONS(3872),
    [anon_sym_try] = ACTIONS(3870),
    [anon_sym_PLUS_EQ] = ACTIONS(3872),
    [anon_sym_DASH_EQ] = ACTIONS(3872),
    [anon_sym_STAR_EQ] = ACTIONS(3872),
    [anon_sym_SLASH_EQ] = ACTIONS(3872),
    [anon_sym_PERCENT_EQ] = ACTIONS(3872),
    [anon_sym_BANG_EQ] = ACTIONS(3870),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3872),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3872),
    [anon_sym_LT_EQ] = ACTIONS(3872),
    [anon_sym_GT_EQ] = ACTIONS(3872),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3872),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3872),
    [anon_sym_PLUS] = ACTIONS(3870),
    [anon_sym_DASH] = ACTIONS(3870),
    [anon_sym_STAR] = ACTIONS(3870),
    [anon_sym_SLASH] = ACTIONS(3870),
    [anon_sym_PERCENT] = ACTIONS(3870),
    [anon_sym_PLUS_PLUS] = ACTIONS(3872),
    [anon_sym_DASH_DASH] = ACTIONS(3872),
    [anon_sym_TILDE] = ACTIONS(3872),
    [anon_sym_PIPE] = ACTIONS(3872),
    [anon_sym_CARET] = ACTIONS(3870),
    [anon_sym_LT_LT] = ACTIONS(3872),
    [anon_sym_GT_GT] = ACTIONS(3872),
    [anon_sym_BANG2] = ACTIONS(3870),
    [anon_sym_AT] = ACTIONS(1409),
    [anon_sym_borrowing] = ACTIONS(3870),
    [anon_sym_consuming] = ACTIONS(3870),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(3872),
    [sym_raw_str_end_part] = ACTIONS(3872),
    [sym__dot_custom] = ACTIONS(3872),
    [sym__eq_custom] = ACTIONS(3872),
    [sym__eq_eq_custom] = ACTIONS(3872),
    [sym__plus_then_ws] = ACTIONS(3872),
    [sym__minus_then_ws] = ACTIONS(3872),
    [sym__bang_custom] = ACTIONS(3872),
    [sym__custom_operator] = ACTIONS(3872),
  },
  [1037] = {
    [aux_sym_key_path_expression_repeat1] = STATE(1055),
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3037),
    [anon_sym_package] = ACTIONS(3037),
    [anon_sym_COMMA] = ACTIONS(3037),
    [anon_sym_LPAREN] = ACTIONS(3037),
    [anon_sym_LBRACK] = ACTIONS(3037),
    [anon_sym_DOT] = ACTIONS(3406),
    [anon_sym_QMARK] = ACTIONS(3039),
    [anon_sym_QMARK2] = ACTIONS(3037),
    [anon_sym_AMP] = ACTIONS(3037),
    [aux_sym_custom_operator_token1] = ACTIONS(3037),
    [anon_sym_LT] = ACTIONS(3039),
    [anon_sym_GT] = ACTIONS(3039),
    [anon_sym_LBRACE] = ACTIONS(3037),
    [anon_sym_CARET_LBRACE] = ACTIONS(3037),
    [anon_sym_RBRACE] = ACTIONS(3037),
    [anon_sym_case] = ACTIONS(3037),
    [anon_sym_fallthrough] = ACTIONS(3037),
    [anon_sym_PLUS_EQ] = ACTIONS(3037),
    [anon_sym_DASH_EQ] = ACTIONS(3037),
    [anon_sym_STAR_EQ] = ACTIONS(3037),
    [anon_sym_SLASH_EQ] = ACTIONS(3037),
    [anon_sym_PERCENT_EQ] = ACTIONS(3037),
    [anon_sym_BANG_EQ] = ACTIONS(3039),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3037),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3037),
    [anon_sym_LT_EQ] = ACTIONS(3037),
    [anon_sym_GT_EQ] = ACTIONS(3037),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3037),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3037),
    [anon_sym_is] = ACTIONS(3037),
    [anon_sym_PLUS] = ACTIONS(3039),
    [anon_sym_DASH] = ACTIONS(3039),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_SLASH] = ACTIONS(3039),
    [anon_sym_PERCENT] = ACTIONS(3039),
    [anon_sym_PLUS_PLUS] = ACTIONS(3037),
    [anon_sym_DASH_DASH] = ACTIONS(3037),
    [anon_sym_PIPE] = ACTIONS(3037),
    [anon_sym_CARET] = ACTIONS(3039),
    [anon_sym_LT_LT] = ACTIONS(3037),
    [anon_sym_GT_GT] = ACTIONS(3037),
    [anon_sym_class] = ACTIONS(3037),
    [anon_sym_BANG2] = ACTIONS(3039),
    [anon_sym_prefix] = ACTIONS(3037),
    [anon_sym_infix] = ACTIONS(3037),
    [anon_sym_postfix] = ACTIONS(3037),
    [anon_sym_AT] = ACTIONS(3039),
    [anon_sym_override] = ACTIONS(3037),
    [anon_sym_convenience] = ACTIONS(3037),
    [anon_sym_required] = ACTIONS(3037),
    [anon_sym_nonisolated] = ACTIONS(3037),
    [anon_sym_public] = ACTIONS(3037),
    [anon_sym_private] = ACTIONS(3037),
    [anon_sym_internal] = ACTIONS(3037),
    [anon_sym_fileprivate] = ACTIONS(3037),
    [anon_sym_open] = ACTIONS(3037),
    [anon_sym_mutating] = ACTIONS(3037),
    [anon_sym_nonmutating] = ACTIONS(3037),
    [anon_sym_static] = ACTIONS(3037),
    [anon_sym_dynamic] = ACTIONS(3037),
    [anon_sym_optional] = ACTIONS(3037),
    [anon_sym_distributed] = ACTIONS(3037),
    [anon_sym_final] = ACTIONS(3037),
    [anon_sym_inout] = ACTIONS(3037),
    [anon_sym_ATescaping] = ACTIONS(3037),
    [anon_sym_ATautoclosure] = ACTIONS(3037),
    [anon_sym_weak] = ACTIONS(3037),
    [anon_sym_unowned] = ACTIONS(3039),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3037),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3037),
    [anon_sym_borrowing] = ACTIONS(3037),
    [anon_sym_consuming] = ACTIONS(3037),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3037),
    [sym__explicit_semi] = ACTIONS(3037),
    [sym__dot_custom] = ACTIONS(3037),
    [sym__conjunction_operator_custom] = ACTIONS(3037),
    [sym__disjunction_operator_custom] = ACTIONS(3037),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3037),
    [sym__eq_custom] = ACTIONS(3037),
    [sym__eq_eq_custom] = ACTIONS(3037),
    [sym__plus_then_ws] = ACTIONS(3037),
    [sym__minus_then_ws] = ACTIONS(3037),
    [sym__bang_custom] = ACTIONS(3037),
    [sym_default_keyword] = ACTIONS(3037),
    [sym__as_custom] = ACTIONS(3037),
    [sym__as_quest_custom] = ACTIONS(3037),
    [sym__as_bang_custom] = ACTIONS(3037),
    [sym__custom_operator] = ACTIONS(3037),
  },
  [1038] = {
    [aux_sym_key_path_expression_repeat1] = STATE(1019),
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3037),
    [anon_sym_package] = ACTIONS(3037),
    [anon_sym_COMMA] = ACTIONS(3037),
    [anon_sym_LPAREN] = ACTIONS(3037),
    [anon_sym_LBRACK] = ACTIONS(3037),
    [anon_sym_DOT] = ACTIONS(3406),
    [anon_sym_QMARK] = ACTIONS(3039),
    [anon_sym_QMARK2] = ACTIONS(3037),
    [anon_sym_AMP] = ACTIONS(3037),
    [aux_sym_custom_operator_token1] = ACTIONS(3037),
    [anon_sym_LT] = ACTIONS(3039),
    [anon_sym_GT] = ACTIONS(3039),
    [anon_sym_LBRACE] = ACTIONS(3037),
    [anon_sym_CARET_LBRACE] = ACTIONS(3037),
    [anon_sym_RBRACE] = ACTIONS(3037),
    [anon_sym_case] = ACTIONS(3037),
    [anon_sym_fallthrough] = ACTIONS(3037),
    [anon_sym_PLUS_EQ] = ACTIONS(3037),
    [anon_sym_DASH_EQ] = ACTIONS(3037),
    [anon_sym_STAR_EQ] = ACTIONS(3037),
    [anon_sym_SLASH_EQ] = ACTIONS(3037),
    [anon_sym_PERCENT_EQ] = ACTIONS(3037),
    [anon_sym_BANG_EQ] = ACTIONS(3039),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3037),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3037),
    [anon_sym_LT_EQ] = ACTIONS(3037),
    [anon_sym_GT_EQ] = ACTIONS(3037),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3037),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3037),
    [anon_sym_is] = ACTIONS(3037),
    [anon_sym_PLUS] = ACTIONS(3039),
    [anon_sym_DASH] = ACTIONS(3039),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_SLASH] = ACTIONS(3039),
    [anon_sym_PERCENT] = ACTIONS(3039),
    [anon_sym_PLUS_PLUS] = ACTIONS(3037),
    [anon_sym_DASH_DASH] = ACTIONS(3037),
    [anon_sym_PIPE] = ACTIONS(3037),
    [anon_sym_CARET] = ACTIONS(3039),
    [anon_sym_LT_LT] = ACTIONS(3037),
    [anon_sym_GT_GT] = ACTIONS(3037),
    [anon_sym_class] = ACTIONS(3037),
    [anon_sym_BANG2] = ACTIONS(3039),
    [anon_sym_prefix] = ACTIONS(3037),
    [anon_sym_infix] = ACTIONS(3037),
    [anon_sym_postfix] = ACTIONS(3037),
    [anon_sym_AT] = ACTIONS(3039),
    [anon_sym_override] = ACTIONS(3037),
    [anon_sym_convenience] = ACTIONS(3037),
    [anon_sym_required] = ACTIONS(3037),
    [anon_sym_nonisolated] = ACTIONS(3037),
    [anon_sym_public] = ACTIONS(3037),
    [anon_sym_private] = ACTIONS(3037),
    [anon_sym_internal] = ACTIONS(3037),
    [anon_sym_fileprivate] = ACTIONS(3037),
    [anon_sym_open] = ACTIONS(3037),
    [anon_sym_mutating] = ACTIONS(3037),
    [anon_sym_nonmutating] = ACTIONS(3037),
    [anon_sym_static] = ACTIONS(3037),
    [anon_sym_dynamic] = ACTIONS(3037),
    [anon_sym_optional] = ACTIONS(3037),
    [anon_sym_distributed] = ACTIONS(3037),
    [anon_sym_final] = ACTIONS(3037),
    [anon_sym_inout] = ACTIONS(3037),
    [anon_sym_ATescaping] = ACTIONS(3037),
    [anon_sym_ATautoclosure] = ACTIONS(3037),
    [anon_sym_weak] = ACTIONS(3037),
    [anon_sym_unowned] = ACTIONS(3039),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3037),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3037),
    [anon_sym_borrowing] = ACTIONS(3037),
    [anon_sym_consuming] = ACTIONS(3037),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3037),
    [sym__explicit_semi] = ACTIONS(3037),
    [sym__dot_custom] = ACTIONS(3037),
    [sym__conjunction_operator_custom] = ACTIONS(3037),
    [sym__disjunction_operator_custom] = ACTIONS(3037),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3037),
    [sym__eq_custom] = ACTIONS(3037),
    [sym__eq_eq_custom] = ACTIONS(3037),
    [sym__plus_then_ws] = ACTIONS(3037),
    [sym__minus_then_ws] = ACTIONS(3037),
    [sym__bang_custom] = ACTIONS(3037),
    [sym_default_keyword] = ACTIONS(3037),
    [sym__as_custom] = ACTIONS(3037),
    [sym__as_quest_custom] = ACTIONS(3037),
    [sym__as_bang_custom] = ACTIONS(3037),
    [sym__custom_operator] = ACTIONS(3037),
  },
  [1039] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(2910),
    [anon_sym_package] = ACTIONS(2910),
    [anon_sym_COMMA] = ACTIONS(2910),
    [anon_sym_LPAREN] = ACTIONS(2910),
    [anon_sym_LBRACK] = ACTIONS(2910),
    [anon_sym_DOT] = ACTIONS(2912),
    [anon_sym_QMARK] = ACTIONS(2912),
    [anon_sym_QMARK2] = ACTIONS(2910),
    [anon_sym_AMP] = ACTIONS(2910),
    [aux_sym_custom_operator_token1] = ACTIONS(2910),
    [anon_sym_LT] = ACTIONS(2912),
    [anon_sym_GT] = ACTIONS(2912),
    [anon_sym_LBRACE] = ACTIONS(2910),
    [anon_sym_CARET_LBRACE] = ACTIONS(2910),
    [anon_sym_RBRACE] = ACTIONS(2910),
    [anon_sym_case] = ACTIONS(2910),
    [anon_sym_fallthrough] = ACTIONS(2910),
    [anon_sym_PLUS_EQ] = ACTIONS(2910),
    [anon_sym_DASH_EQ] = ACTIONS(2910),
    [anon_sym_STAR_EQ] = ACTIONS(2910),
    [anon_sym_SLASH_EQ] = ACTIONS(2910),
    [anon_sym_PERCENT_EQ] = ACTIONS(2910),
    [anon_sym_BANG_EQ] = ACTIONS(2912),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2910),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2910),
    [anon_sym_LT_EQ] = ACTIONS(2910),
    [anon_sym_GT_EQ] = ACTIONS(2910),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2910),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2910),
    [anon_sym_is] = ACTIONS(2910),
    [anon_sym_PLUS] = ACTIONS(2912),
    [anon_sym_DASH] = ACTIONS(2912),
    [anon_sym_STAR] = ACTIONS(2912),
    [anon_sym_SLASH] = ACTIONS(2912),
    [anon_sym_PERCENT] = ACTIONS(2912),
    [anon_sym_PLUS_PLUS] = ACTIONS(2910),
    [anon_sym_DASH_DASH] = ACTIONS(2910),
    [anon_sym_PIPE] = ACTIONS(2910),
    [anon_sym_CARET] = ACTIONS(2912),
    [anon_sym_LT_LT] = ACTIONS(2910),
    [anon_sym_GT_GT] = ACTIONS(2910),
    [anon_sym_class] = ACTIONS(2910),
    [anon_sym_BANG2] = ACTIONS(2912),
    [anon_sym_prefix] = ACTIONS(2910),
    [anon_sym_infix] = ACTIONS(2910),
    [anon_sym_postfix] = ACTIONS(2910),
    [anon_sym_AT] = ACTIONS(2912),
    [anon_sym_override] = ACTIONS(2910),
    [anon_sym_convenience] = ACTIONS(2910),
    [anon_sym_required] = ACTIONS(2910),
    [anon_sym_nonisolated] = ACTIONS(2910),
    [anon_sym_public] = ACTIONS(2910),
    [anon_sym_private] = ACTIONS(2910),
    [anon_sym_internal] = ACTIONS(2910),
    [anon_sym_fileprivate] = ACTIONS(2910),
    [anon_sym_open] = ACTIONS(2910),
    [anon_sym_mutating] = ACTIONS(2910),
    [anon_sym_nonmutating] = ACTIONS(2910),
    [anon_sym_static] = ACTIONS(2910),
    [anon_sym_dynamic] = ACTIONS(2910),
    [anon_sym_optional] = ACTIONS(2910),
    [anon_sym_distributed] = ACTIONS(2910),
    [anon_sym_final] = ACTIONS(2910),
    [anon_sym_inout] = ACTIONS(2910),
    [anon_sym_ATescaping] = ACTIONS(2910),
    [anon_sym_ATautoclosure] = ACTIONS(2910),
    [anon_sym_weak] = ACTIONS(2910),
    [anon_sym_unowned] = ACTIONS(2912),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2910),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2910),
    [anon_sym_borrowing] = ACTIONS(2910),
    [anon_sym_consuming] = ACTIONS(2910),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2910),
    [sym__explicit_semi] = ACTIONS(2910),
    [sym__dot_custom] = ACTIONS(2910),
    [sym__conjunction_operator_custom] = ACTIONS(2910),
    [sym__disjunction_operator_custom] = ACTIONS(2910),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2910),
    [sym__eq_custom] = ACTIONS(2910),
    [sym__eq_eq_custom] = ACTIONS(2910),
    [sym__plus_then_ws] = ACTIONS(2910),
    [sym__minus_then_ws] = ACTIONS(2910),
    [sym__bang_custom] = ACTIONS(2910),
    [sym_default_keyword] = ACTIONS(2910),
    [sym_where_keyword] = ACTIONS(2910),
    [sym__as_custom] = ACTIONS(2910),
    [sym__as_quest_custom] = ACTIONS(2910),
    [sym__as_bang_custom] = ACTIONS(2910),
    [sym__custom_operator] = ACTIONS(2910),
  },
  [1040] = {
    [sym_type_arguments] = STATE(1829),
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3076),
    [anon_sym_package] = ACTIONS(3076),
    [anon_sym_COMMA] = ACTIONS(3076),
    [anon_sym_LPAREN] = ACTIONS(3078),
    [anon_sym_LBRACK] = ACTIONS(3076),
    [anon_sym_QMARK] = ACTIONS(3081),
    [anon_sym_QMARK2] = ACTIONS(3076),
    [anon_sym_AMP] = ACTIONS(3076),
    [aux_sym_custom_operator_token1] = ACTIONS(3076),
    [anon_sym_LT] = ACTIONS(3083),
    [anon_sym_GT] = ACTIONS(3081),
    [anon_sym_LBRACE] = ACTIONS(3078),
    [anon_sym_CARET_LBRACE] = ACTIONS(3078),
    [anon_sym_RBRACE] = ACTIONS(3076),
    [anon_sym_case] = ACTIONS(3076),
    [anon_sym_fallthrough] = ACTIONS(3076),
    [anon_sym_PLUS_EQ] = ACTIONS(3076),
    [anon_sym_DASH_EQ] = ACTIONS(3076),
    [anon_sym_STAR_EQ] = ACTIONS(3076),
    [anon_sym_SLASH_EQ] = ACTIONS(3076),
    [anon_sym_PERCENT_EQ] = ACTIONS(3076),
    [anon_sym_BANG_EQ] = ACTIONS(3081),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3076),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3076),
    [anon_sym_LT_EQ] = ACTIONS(3076),
    [anon_sym_GT_EQ] = ACTIONS(3076),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3076),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3076),
    [anon_sym_is] = ACTIONS(3076),
    [anon_sym_PLUS] = ACTIONS(3081),
    [anon_sym_DASH] = ACTIONS(3081),
    [anon_sym_STAR] = ACTIONS(3081),
    [anon_sym_SLASH] = ACTIONS(3081),
    [anon_sym_PERCENT] = ACTIONS(3081),
    [anon_sym_PLUS_PLUS] = ACTIONS(3076),
    [anon_sym_DASH_DASH] = ACTIONS(3076),
    [anon_sym_PIPE] = ACTIONS(3076),
    [anon_sym_CARET] = ACTIONS(3081),
    [anon_sym_LT_LT] = ACTIONS(3076),
    [anon_sym_GT_GT] = ACTIONS(3076),
    [anon_sym_class] = ACTIONS(3076),
    [anon_sym_BANG2] = ACTIONS(3081),
    [anon_sym_prefix] = ACTIONS(3076),
    [anon_sym_infix] = ACTIONS(3076),
    [anon_sym_postfix] = ACTIONS(3076),
    [anon_sym_AT] = ACTIONS(3081),
    [anon_sym_override] = ACTIONS(3076),
    [anon_sym_convenience] = ACTIONS(3076),
    [anon_sym_required] = ACTIONS(3076),
    [anon_sym_nonisolated] = ACTIONS(3076),
    [anon_sym_public] = ACTIONS(3076),
    [anon_sym_private] = ACTIONS(3076),
    [anon_sym_internal] = ACTIONS(3076),
    [anon_sym_fileprivate] = ACTIONS(3076),
    [anon_sym_open] = ACTIONS(3076),
    [anon_sym_mutating] = ACTIONS(3076),
    [anon_sym_nonmutating] = ACTIONS(3076),
    [anon_sym_static] = ACTIONS(3076),
    [anon_sym_dynamic] = ACTIONS(3076),
    [anon_sym_optional] = ACTIONS(3076),
    [anon_sym_distributed] = ACTIONS(3076),
    [anon_sym_final] = ACTIONS(3076),
    [anon_sym_inout] = ACTIONS(3076),
    [anon_sym_ATescaping] = ACTIONS(3076),
    [anon_sym_ATautoclosure] = ACTIONS(3076),
    [anon_sym_weak] = ACTIONS(3076),
    [anon_sym_unowned] = ACTIONS(3081),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3076),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3076),
    [anon_sym_borrowing] = ACTIONS(3076),
    [anon_sym_consuming] = ACTIONS(3076),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3076),
    [sym__explicit_semi] = ACTIONS(3076),
    [sym__dot_custom] = ACTIONS(3078),
    [sym__conjunction_operator_custom] = ACTIONS(3076),
    [sym__disjunction_operator_custom] = ACTIONS(3076),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3076),
    [sym__eq_custom] = ACTIONS(3076),
    [sym__eq_eq_custom] = ACTIONS(3076),
    [sym__plus_then_ws] = ACTIONS(3076),
    [sym__minus_then_ws] = ACTIONS(3076),
    [sym__bang_custom] = ACTIONS(3076),
    [sym_default_keyword] = ACTIONS(3076),
    [sym_where_keyword] = ACTIONS(3076),
    [sym__as_custom] = ACTIONS(3076),
    [sym__as_quest_custom] = ACTIONS(3076),
    [sym__as_bang_custom] = ACTIONS(3076),
    [sym__custom_operator] = ACTIONS(3076),
  },
  [1041] = {
    [sym__dot] = STATE(4720),
    [aux_sym_user_type_repeat1] = STATE(1053),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2807),
    [aux_sym_simple_identifier_token2] = ACTIONS(2805),
    [aux_sym_simple_identifier_token3] = ACTIONS(2805),
    [aux_sym_simple_identifier_token4] = ACTIONS(2805),
    [anon_sym_actor] = ACTIONS(2807),
    [anon_sym_async] = ACTIONS(2807),
    [anon_sym_each] = ACTIONS(2807),
    [anon_sym_lazy] = ACTIONS(2807),
    [anon_sym_repeat] = ACTIONS(2807),
    [anon_sym_package] = ACTIONS(2807),
    [anon_sym_nil] = ACTIONS(2807),
    [sym_real_literal] = ACTIONS(2805),
    [sym_integer_literal] = ACTIONS(2807),
    [sym_hex_literal] = ACTIONS(2805),
    [sym_oct_literal] = ACTIONS(2805),
    [sym_bin_literal] = ACTIONS(2805),
    [anon_sym_true] = ACTIONS(2807),
    [anon_sym_false] = ACTIONS(2807),
    [anon_sym_DQUOTE] = ACTIONS(2807),
    [anon_sym_BSLASH] = ACTIONS(2805),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2805),
    [sym__extended_regex_literal] = ACTIONS(2805),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(2805),
    [sym__oneline_regex_literal] = ACTIONS(2807),
    [anon_sym_LPAREN] = ACTIONS(2805),
    [anon_sym_LBRACK] = ACTIONS(2805),
    [anon_sym_AMP] = ACTIONS(2805),
    [anon_sym_if] = ACTIONS(2807),
    [anon_sym_switch] = ACTIONS(2807),
    [anon_sym_POUNDselector] = ACTIONS(2805),
    [aux_sym_custom_operator_token1] = ACTIONS(2805),
    [anon_sym_LT] = ACTIONS(2807),
    [anon_sym_GT] = ACTIONS(2807),
    [anon_sym_await] = ACTIONS(2807),
    [anon_sym_POUNDfile] = ACTIONS(2807),
    [anon_sym_POUNDfileID] = ACTIONS(2805),
    [anon_sym_POUNDfilePath] = ACTIONS(2805),
    [anon_sym_POUNDline] = ACTIONS(2805),
    [anon_sym_POUNDcolumn] = ACTIONS(2805),
    [anon_sym_POUNDfunction] = ACTIONS(2805),
    [anon_sym_POUNDdsohandle] = ACTIONS(2805),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(2805),
    [anon_sym_POUNDfileLiteral] = ACTIONS(2805),
    [anon_sym_POUNDimageLiteral] = ACTIONS(2805),
    [anon_sym_LBRACE] = ACTIONS(2805),
    [anon_sym_CARET_LBRACE] = ACTIONS(2805),
    [anon_sym_self] = ACTIONS(2807),
    [anon_sym_super] = ACTIONS(2807),
    [anon_sym_POUNDkeyPath] = ACTIONS(2805),
    [anon_sym_try] = ACTIONS(2807),
    [anon_sym_PLUS_EQ] = ACTIONS(2805),
    [anon_sym_DASH_EQ] = ACTIONS(2805),
    [anon_sym_STAR_EQ] = ACTIONS(2805),
    [anon_sym_SLASH_EQ] = ACTIONS(2805),
    [anon_sym_PERCENT_EQ] = ACTIONS(2805),
    [anon_sym_BANG_EQ] = ACTIONS(2807),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2805),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2805),
    [anon_sym_LT_EQ] = ACTIONS(2805),
    [anon_sym_GT_EQ] = ACTIONS(2805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2805),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2805),
    [anon_sym_PLUS] = ACTIONS(2807),
    [anon_sym_DASH] = ACTIONS(2807),
    [anon_sym_STAR] = ACTIONS(2807),
    [anon_sym_SLASH] = ACTIONS(2807),
    [anon_sym_PERCENT] = ACTIONS(2807),
    [anon_sym_PLUS_PLUS] = ACTIONS(2805),
    [anon_sym_DASH_DASH] = ACTIONS(2805),
    [anon_sym_TILDE] = ACTIONS(2805),
    [anon_sym_PIPE] = ACTIONS(2805),
    [anon_sym_CARET] = ACTIONS(2807),
    [anon_sym_LT_LT] = ACTIONS(2805),
    [anon_sym_GT_GT] = ACTIONS(2805),
    [anon_sym_BANG2] = ACTIONS(2807),
    [anon_sym_AT] = ACTIONS(2805),
    [anon_sym_borrowing] = ACTIONS(2807),
    [anon_sym_consuming] = ACTIONS(2807),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(2805),
    [sym_raw_str_end_part] = ACTIONS(2805),
    [sym__dot_custom] = ACTIONS(3874),
    [sym__eq_custom] = ACTIONS(2805),
    [sym__eq_eq_custom] = ACTIONS(2805),
    [sym__plus_then_ws] = ACTIONS(2805),
    [sym__minus_then_ws] = ACTIONS(2805),
    [sym__bang_custom] = ACTIONS(2805),
    [sym__custom_operator] = ACTIONS(2805),
  },
  [1042] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(631),
    [anon_sym_package] = ACTIONS(631),
    [anon_sym_COMMA] = ACTIONS(631),
    [anon_sym_LPAREN] = ACTIONS(631),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_QMARK] = ACTIONS(637),
    [anon_sym_QMARK2] = ACTIONS(631),
    [anon_sym_AMP] = ACTIONS(631),
    [aux_sym_custom_operator_token1] = ACTIONS(631),
    [anon_sym_LT] = ACTIONS(637),
    [anon_sym_GT] = ACTIONS(637),
    [anon_sym_LBRACE] = ACTIONS(631),
    [anon_sym_CARET_LBRACE] = ACTIONS(631),
    [anon_sym_RBRACE] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(631),
    [anon_sym_fallthrough] = ACTIONS(631),
    [anon_sym_PLUS_EQ] = ACTIONS(631),
    [anon_sym_DASH_EQ] = ACTIONS(631),
    [anon_sym_STAR_EQ] = ACTIONS(631),
    [anon_sym_SLASH_EQ] = ACTIONS(631),
    [anon_sym_PERCENT_EQ] = ACTIONS(631),
    [anon_sym_BANG_EQ] = ACTIONS(637),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(631),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(631),
    [anon_sym_LT_EQ] = ACTIONS(631),
    [anon_sym_GT_EQ] = ACTIONS(631),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(631),
    [anon_sym_DOT_DOT_LT] = ACTIONS(631),
    [anon_sym_is] = ACTIONS(631),
    [anon_sym_PLUS] = ACTIONS(637),
    [anon_sym_DASH] = ACTIONS(637),
    [anon_sym_STAR] = ACTIONS(637),
    [anon_sym_SLASH] = ACTIONS(637),
    [anon_sym_PERCENT] = ACTIONS(637),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PIPE] = ACTIONS(631),
    [anon_sym_CARET] = ACTIONS(637),
    [anon_sym_LT_LT] = ACTIONS(631),
    [anon_sym_GT_GT] = ACTIONS(631),
    [anon_sym_class] = ACTIONS(631),
    [anon_sym_let] = ACTIONS(3877),
    [anon_sym_var] = ACTIONS(3877),
    [anon_sym_BANG2] = ACTIONS(637),
    [anon_sym_prefix] = ACTIONS(631),
    [anon_sym_infix] = ACTIONS(631),
    [anon_sym_postfix] = ACTIONS(631),
    [anon_sym_AT] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(631),
    [anon_sym_convenience] = ACTIONS(631),
    [anon_sym_required] = ACTIONS(631),
    [anon_sym_nonisolated] = ACTIONS(631),
    [anon_sym_public] = ACTIONS(631),
    [anon_sym_private] = ACTIONS(631),
    [anon_sym_internal] = ACTIONS(631),
    [anon_sym_fileprivate] = ACTIONS(631),
    [anon_sym_open] = ACTIONS(631),
    [anon_sym_mutating] = ACTIONS(631),
    [anon_sym_nonmutating] = ACTIONS(631),
    [anon_sym_static] = ACTIONS(631),
    [anon_sym_dynamic] = ACTIONS(631),
    [anon_sym_optional] = ACTIONS(631),
    [anon_sym_distributed] = ACTIONS(631),
    [anon_sym_final] = ACTIONS(631),
    [anon_sym_inout] = ACTIONS(631),
    [anon_sym_ATescaping] = ACTIONS(631),
    [anon_sym_ATautoclosure] = ACTIONS(631),
    [anon_sym_weak] = ACTIONS(631),
    [anon_sym_unowned] = ACTIONS(637),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(631),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(631),
    [anon_sym_borrowing] = ACTIONS(631),
    [anon_sym_consuming] = ACTIONS(631),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(631),
    [sym__explicit_semi] = ACTIONS(631),
    [sym__dot_custom] = ACTIONS(631),
    [sym__conjunction_operator_custom] = ACTIONS(631),
    [sym__disjunction_operator_custom] = ACTIONS(631),
    [sym__nil_coalescing_operator_custom] = ACTIONS(631),
    [sym__eq_custom] = ACTIONS(631),
    [sym__eq_eq_custom] = ACTIONS(631),
    [sym__plus_then_ws] = ACTIONS(631),
    [sym__minus_then_ws] = ACTIONS(631),
    [sym__bang_custom] = ACTIONS(631),
    [sym_default_keyword] = ACTIONS(631),
    [sym__as_custom] = ACTIONS(631),
    [sym__as_quest_custom] = ACTIONS(631),
    [sym__as_bang_custom] = ACTIONS(631),
    [sym__custom_operator] = ACTIONS(631),
  },
  [1043] = {
    [sym_simple_identifier] = STATE(692),
    [sym__contextual_simple_identifier] = STATE(702),
    [sym__unannotated_type] = STATE(1722),
    [sym_user_type] = STATE(685),
    [sym__simple_user_type] = STATE(681),
    [sym_tuple_type] = STATE(1693),
    [sym_function_type] = STATE(1722),
    [sym_array_type] = STATE(685),
    [sym_dictionary_type] = STATE(685),
    [sym_optional_type] = STATE(1722),
    [sym_metatype] = STATE(1722),
    [sym_opaque_type] = STATE(1722),
    [sym_existential_type] = STATE(1722),
    [sym_type_parameter_pack] = STATE(1722),
    [sym_type_pack_expansion] = STATE(1722),
    [sym_protocol_composition_type] = STATE(1722),
    [sym__parenthesized_type] = STATE(713),
    [sym__parameter_ownership_modifier] = STATE(702),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(767),
    [aux_sym_simple_identifier_token2] = ACTIONS(769),
    [aux_sym_simple_identifier_token3] = ACTIONS(769),
    [aux_sym_simple_identifier_token4] = ACTIONS(769),
    [anon_sym_actor] = ACTIONS(767),
    [anon_sym_async] = ACTIONS(767),
    [anon_sym_each] = ACTIONS(3879),
    [anon_sym_lazy] = ACTIONS(767),
    [anon_sym_repeat] = ACTIONS(3881),
    [anon_sym_package] = ACTIONS(767),
    [anon_sym_RPAREN] = ACTIONS(631),
    [anon_sym_COMMA] = ACTIONS(631),
    [anon_sym_COLON] = ACTIONS(631),
    [anon_sym_LPAREN] = ACTIONS(2484),
    [anon_sym_LBRACK] = ACTIONS(2487),
    [anon_sym_RBRACK] = ACTIONS(631),
    [anon_sym_DOT] = ACTIONS(637),
    [anon_sym_QMARK] = ACTIONS(637),
    [anon_sym_QMARK2] = ACTIONS(631),
    [anon_sym_some] = ACTIONS(3883),
    [anon_sym_any] = ACTIONS(3885),
    [anon_sym_AMP] = ACTIONS(631),
    [aux_sym_custom_operator_token1] = ACTIONS(631),
    [anon_sym_LT] = ACTIONS(637),
    [anon_sym_GT] = ACTIONS(637),
    [anon_sym_LBRACE] = ACTIONS(631),
    [anon_sym_CARET_LBRACE] = ACTIONS(631),
    [anon_sym_PLUS_EQ] = ACTIONS(631),
    [anon_sym_DASH_EQ] = ACTIONS(631),
    [anon_sym_STAR_EQ] = ACTIONS(631),
    [anon_sym_SLASH_EQ] = ACTIONS(631),
    [anon_sym_PERCENT_EQ] = ACTIONS(631),
    [anon_sym_BANG_EQ] = ACTIONS(637),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(631),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(631),
    [anon_sym_LT_EQ] = ACTIONS(631),
    [anon_sym_GT_EQ] = ACTIONS(631),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(631),
    [anon_sym_DOT_DOT_LT] = ACTIONS(631),
    [anon_sym_is] = ACTIONS(637),
    [anon_sym_PLUS] = ACTIONS(637),
    [anon_sym_DASH] = ACTIONS(637),
    [anon_sym_STAR] = ACTIONS(637),
    [anon_sym_SLASH] = ACTIONS(637),
    [anon_sym_PERCENT] = ACTIONS(637),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PIPE] = ACTIONS(631),
    [anon_sym_CARET] = ACTIONS(637),
    [anon_sym_LT_LT] = ACTIONS(631),
    [anon_sym_GT_GT] = ACTIONS(631),
    [anon_sym_BANG2] = ACTIONS(637),
    [anon_sym_borrowing] = ACTIONS(767),
    [anon_sym_consuming] = ACTIONS(767),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(631),
    [sym__dot_custom] = ACTIONS(631),
    [sym__conjunction_operator_custom] = ACTIONS(631),
    [sym__disjunction_operator_custom] = ACTIONS(631),
    [sym__nil_coalescing_operator_custom] = ACTIONS(631),
    [sym__eq_custom] = ACTIONS(631),
    [sym__eq_eq_custom] = ACTIONS(631),
    [sym__plus_then_ws] = ACTIONS(631),
    [sym__minus_then_ws] = ACTIONS(631),
    [sym__bang_custom] = ACTIONS(631),
    [sym__throws_keyword] = ACTIONS(631),
    [sym__rethrows_keyword] = ACTIONS(631),
    [sym__as_custom] = ACTIONS(631),
    [sym__as_quest_custom] = ACTIONS(631),
    [sym__as_bang_custom] = ACTIONS(631),
    [sym__async_keyword_custom] = ACTIONS(631),
    [sym__custom_operator] = ACTIONS(631),
  },
  [1044] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3055),
    [anon_sym_package] = ACTIONS(3055),
    [anon_sym_COMMA] = ACTIONS(3055),
    [anon_sym_LPAREN] = ACTIONS(3055),
    [anon_sym_LBRACK] = ACTIONS(3055),
    [anon_sym_DOT] = ACTIONS(3060),
    [anon_sym_QMARK] = ACTIONS(3060),
    [anon_sym_QMARK2] = ACTIONS(3055),
    [anon_sym_AMP] = ACTIONS(3055),
    [aux_sym_custom_operator_token1] = ACTIONS(3055),
    [anon_sym_LT] = ACTIONS(3060),
    [anon_sym_GT] = ACTIONS(3060),
    [anon_sym_LBRACE] = ACTIONS(3055),
    [anon_sym_CARET_LBRACE] = ACTIONS(3055),
    [anon_sym_RBRACE] = ACTIONS(3055),
    [anon_sym_case] = ACTIONS(3055),
    [anon_sym_fallthrough] = ACTIONS(3055),
    [anon_sym_PLUS_EQ] = ACTIONS(3055),
    [anon_sym_DASH_EQ] = ACTIONS(3055),
    [anon_sym_STAR_EQ] = ACTIONS(3055),
    [anon_sym_SLASH_EQ] = ACTIONS(3055),
    [anon_sym_PERCENT_EQ] = ACTIONS(3055),
    [anon_sym_BANG_EQ] = ACTIONS(3060),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3055),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3055),
    [anon_sym_LT_EQ] = ACTIONS(3055),
    [anon_sym_GT_EQ] = ACTIONS(3055),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3055),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3055),
    [anon_sym_is] = ACTIONS(3055),
    [anon_sym_PLUS] = ACTIONS(3060),
    [anon_sym_DASH] = ACTIONS(3060),
    [anon_sym_STAR] = ACTIONS(3060),
    [anon_sym_SLASH] = ACTIONS(3060),
    [anon_sym_PERCENT] = ACTIONS(3060),
    [anon_sym_PLUS_PLUS] = ACTIONS(3055),
    [anon_sym_DASH_DASH] = ACTIONS(3055),
    [anon_sym_PIPE] = ACTIONS(3055),
    [anon_sym_CARET] = ACTIONS(3060),
    [anon_sym_LT_LT] = ACTIONS(3055),
    [anon_sym_GT_GT] = ACTIONS(3055),
    [anon_sym_class] = ACTIONS(3055),
    [anon_sym_BANG2] = ACTIONS(3060),
    [anon_sym_prefix] = ACTIONS(3055),
    [anon_sym_infix] = ACTIONS(3055),
    [anon_sym_postfix] = ACTIONS(3055),
    [anon_sym_AT] = ACTIONS(3060),
    [anon_sym_override] = ACTIONS(3055),
    [anon_sym_convenience] = ACTIONS(3055),
    [anon_sym_required] = ACTIONS(3055),
    [anon_sym_nonisolated] = ACTIONS(3055),
    [anon_sym_public] = ACTIONS(3055),
    [anon_sym_private] = ACTIONS(3055),
    [anon_sym_internal] = ACTIONS(3055),
    [anon_sym_fileprivate] = ACTIONS(3055),
    [anon_sym_open] = ACTIONS(3055),
    [anon_sym_mutating] = ACTIONS(3055),
    [anon_sym_nonmutating] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(3055),
    [anon_sym_dynamic] = ACTIONS(3055),
    [anon_sym_optional] = ACTIONS(3055),
    [anon_sym_distributed] = ACTIONS(3055),
    [anon_sym_final] = ACTIONS(3055),
    [anon_sym_inout] = ACTIONS(3055),
    [anon_sym_ATescaping] = ACTIONS(3055),
    [anon_sym_ATautoclosure] = ACTIONS(3055),
    [anon_sym_weak] = ACTIONS(3055),
    [anon_sym_unowned] = ACTIONS(3060),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3055),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3055),
    [anon_sym_borrowing] = ACTIONS(3055),
    [anon_sym_consuming] = ACTIONS(3055),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3055),
    [sym__explicit_semi] = ACTIONS(3055),
    [sym__dot_custom] = ACTIONS(3055),
    [sym__conjunction_operator_custom] = ACTIONS(3055),
    [sym__disjunction_operator_custom] = ACTIONS(3055),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3055),
    [sym__eq_custom] = ACTIONS(3055),
    [sym__eq_eq_custom] = ACTIONS(3055),
    [sym__plus_then_ws] = ACTIONS(3055),
    [sym__minus_then_ws] = ACTIONS(3055),
    [sym__bang_custom] = ACTIONS(3055),
    [sym_default_keyword] = ACTIONS(3055),
    [sym_where_keyword] = ACTIONS(3055),
    [sym__as_custom] = ACTIONS(3055),
    [sym__as_quest_custom] = ACTIONS(3055),
    [sym__as_bang_custom] = ACTIONS(3055),
    [sym__custom_operator] = ACTIONS(3055),
  },
  [1045] = {
    [sym__fn_call_lambda_arguments] = STATE(1169),
    [sym_lambda_literal] = STATE(870),
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3387),
    [anon_sym_package] = ACTIONS(3387),
    [anon_sym_COMMA] = ACTIONS(3387),
    [anon_sym_LPAREN] = ACTIONS(3387),
    [anon_sym_LBRACK] = ACTIONS(3387),
    [anon_sym_QMARK] = ACTIONS(3390),
    [anon_sym_QMARK2] = ACTIONS(3387),
    [anon_sym_AMP] = ACTIONS(3387),
    [aux_sym_custom_operator_token1] = ACTIONS(3387),
    [anon_sym_LT] = ACTIONS(3390),
    [anon_sym_GT] = ACTIONS(3390),
    [anon_sym_LBRACE] = ACTIONS(3887),
    [anon_sym_CARET_LBRACE] = ACTIONS(3887),
    [anon_sym_RBRACE] = ACTIONS(3387),
    [anon_sym_case] = ACTIONS(3387),
    [anon_sym_fallthrough] = ACTIONS(3387),
    [anon_sym_PLUS_EQ] = ACTIONS(3387),
    [anon_sym_DASH_EQ] = ACTIONS(3387),
    [anon_sym_STAR_EQ] = ACTIONS(3387),
    [anon_sym_SLASH_EQ] = ACTIONS(3387),
    [anon_sym_PERCENT_EQ] = ACTIONS(3387),
    [anon_sym_BANG_EQ] = ACTIONS(3390),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3387),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3387),
    [anon_sym_LT_EQ] = ACTIONS(3387),
    [anon_sym_GT_EQ] = ACTIONS(3387),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3387),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3387),
    [anon_sym_is] = ACTIONS(3387),
    [anon_sym_PLUS] = ACTIONS(3390),
    [anon_sym_DASH] = ACTIONS(3390),
    [anon_sym_STAR] = ACTIONS(3390),
    [anon_sym_SLASH] = ACTIONS(3390),
    [anon_sym_PERCENT] = ACTIONS(3390),
    [anon_sym_PLUS_PLUS] = ACTIONS(3387),
    [anon_sym_DASH_DASH] = ACTIONS(3387),
    [anon_sym_PIPE] = ACTIONS(3387),
    [anon_sym_CARET] = ACTIONS(3390),
    [anon_sym_LT_LT] = ACTIONS(3387),
    [anon_sym_GT_GT] = ACTIONS(3387),
    [anon_sym_class] = ACTIONS(3387),
    [anon_sym_BANG2] = ACTIONS(3390),
    [anon_sym_prefix] = ACTIONS(3387),
    [anon_sym_infix] = ACTIONS(3387),
    [anon_sym_postfix] = ACTIONS(3387),
    [anon_sym_AT] = ACTIONS(3390),
    [anon_sym_override] = ACTIONS(3387),
    [anon_sym_convenience] = ACTIONS(3387),
    [anon_sym_required] = ACTIONS(3387),
    [anon_sym_nonisolated] = ACTIONS(3387),
    [anon_sym_public] = ACTIONS(3387),
    [anon_sym_private] = ACTIONS(3387),
    [anon_sym_internal] = ACTIONS(3387),
    [anon_sym_fileprivate] = ACTIONS(3387),
    [anon_sym_open] = ACTIONS(3387),
    [anon_sym_mutating] = ACTIONS(3387),
    [anon_sym_nonmutating] = ACTIONS(3387),
    [anon_sym_static] = ACTIONS(3387),
    [anon_sym_dynamic] = ACTIONS(3387),
    [anon_sym_optional] = ACTIONS(3387),
    [anon_sym_distributed] = ACTIONS(3387),
    [anon_sym_final] = ACTIONS(3387),
    [anon_sym_inout] = ACTIONS(3387),
    [anon_sym_ATescaping] = ACTIONS(3387),
    [anon_sym_ATautoclosure] = ACTIONS(3387),
    [anon_sym_weak] = ACTIONS(3387),
    [anon_sym_unowned] = ACTIONS(3390),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3387),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3387),
    [anon_sym_borrowing] = ACTIONS(3387),
    [anon_sym_consuming] = ACTIONS(3387),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3387),
    [sym__explicit_semi] = ACTIONS(3387),
    [sym__dot_custom] = ACTIONS(3387),
    [sym__conjunction_operator_custom] = ACTIONS(3387),
    [sym__disjunction_operator_custom] = ACTIONS(3387),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3387),
    [sym__eq_custom] = ACTIONS(3387),
    [sym__eq_eq_custom] = ACTIONS(3387),
    [sym__plus_then_ws] = ACTIONS(3387),
    [sym__minus_then_ws] = ACTIONS(3387),
    [sym__bang_custom] = ACTIONS(3387),
    [sym_default_keyword] = ACTIONS(3387),
    [sym__as_custom] = ACTIONS(3387),
    [sym__as_quest_custom] = ACTIONS(3387),
    [sym__as_bang_custom] = ACTIONS(3387),
    [sym__custom_operator] = ACTIONS(3387),
  },
  [1046] = {
    [sym_simple_identifier] = STATE(692),
    [sym__contextual_simple_identifier] = STATE(702),
    [sym__unannotated_type] = STATE(1730),
    [sym_user_type] = STATE(685),
    [sym__simple_user_type] = STATE(681),
    [sym_tuple_type] = STATE(1693),
    [sym_function_type] = STATE(1730),
    [sym_array_type] = STATE(685),
    [sym_dictionary_type] = STATE(685),
    [sym_optional_type] = STATE(1730),
    [sym_metatype] = STATE(1730),
    [sym_opaque_type] = STATE(1730),
    [sym_existential_type] = STATE(1730),
    [sym_type_parameter_pack] = STATE(1730),
    [sym_type_pack_expansion] = STATE(1730),
    [sym_protocol_composition_type] = STATE(1730),
    [sym__parenthesized_type] = STATE(713),
    [sym__parameter_ownership_modifier] = STATE(702),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(767),
    [aux_sym_simple_identifier_token2] = ACTIONS(769),
    [aux_sym_simple_identifier_token3] = ACTIONS(769),
    [aux_sym_simple_identifier_token4] = ACTIONS(769),
    [anon_sym_actor] = ACTIONS(767),
    [anon_sym_async] = ACTIONS(767),
    [anon_sym_each] = ACTIONS(3879),
    [anon_sym_lazy] = ACTIONS(767),
    [anon_sym_repeat] = ACTIONS(3881),
    [anon_sym_package] = ACTIONS(767),
    [anon_sym_RPAREN] = ACTIONS(631),
    [anon_sym_COMMA] = ACTIONS(631),
    [anon_sym_COLON] = ACTIONS(631),
    [anon_sym_LPAREN] = ACTIONS(2484),
    [anon_sym_LBRACK] = ACTIONS(2487),
    [anon_sym_RBRACK] = ACTIONS(631),
    [anon_sym_DOT] = ACTIONS(637),
    [anon_sym_QMARK] = ACTIONS(637),
    [anon_sym_QMARK2] = ACTIONS(631),
    [anon_sym_some] = ACTIONS(3883),
    [anon_sym_any] = ACTIONS(3885),
    [anon_sym_AMP] = ACTIONS(631),
    [aux_sym_custom_operator_token1] = ACTIONS(631),
    [anon_sym_LT] = ACTIONS(637),
    [anon_sym_GT] = ACTIONS(637),
    [anon_sym_LBRACE] = ACTIONS(631),
    [anon_sym_CARET_LBRACE] = ACTIONS(631),
    [anon_sym_PLUS_EQ] = ACTIONS(631),
    [anon_sym_DASH_EQ] = ACTIONS(631),
    [anon_sym_STAR_EQ] = ACTIONS(631),
    [anon_sym_SLASH_EQ] = ACTIONS(631),
    [anon_sym_PERCENT_EQ] = ACTIONS(631),
    [anon_sym_BANG_EQ] = ACTIONS(637),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(631),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(631),
    [anon_sym_LT_EQ] = ACTIONS(631),
    [anon_sym_GT_EQ] = ACTIONS(631),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(631),
    [anon_sym_DOT_DOT_LT] = ACTIONS(631),
    [anon_sym_is] = ACTIONS(637),
    [anon_sym_PLUS] = ACTIONS(637),
    [anon_sym_DASH] = ACTIONS(637),
    [anon_sym_STAR] = ACTIONS(637),
    [anon_sym_SLASH] = ACTIONS(637),
    [anon_sym_PERCENT] = ACTIONS(637),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PIPE] = ACTIONS(631),
    [anon_sym_CARET] = ACTIONS(637),
    [anon_sym_LT_LT] = ACTIONS(631),
    [anon_sym_GT_GT] = ACTIONS(631),
    [anon_sym_BANG2] = ACTIONS(637),
    [anon_sym_borrowing] = ACTIONS(767),
    [anon_sym_consuming] = ACTIONS(767),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(631),
    [sym__dot_custom] = ACTIONS(631),
    [sym__conjunction_operator_custom] = ACTIONS(631),
    [sym__disjunction_operator_custom] = ACTIONS(631),
    [sym__nil_coalescing_operator_custom] = ACTIONS(631),
    [sym__eq_custom] = ACTIONS(631),
    [sym__eq_eq_custom] = ACTIONS(631),
    [sym__plus_then_ws] = ACTIONS(631),
    [sym__minus_then_ws] = ACTIONS(631),
    [sym__bang_custom] = ACTIONS(631),
    [sym__throws_keyword] = ACTIONS(631),
    [sym__rethrows_keyword] = ACTIONS(631),
    [sym__as_custom] = ACTIONS(631),
    [sym__as_quest_custom] = ACTIONS(631),
    [sym__as_bang_custom] = ACTIONS(631),
    [sym__async_keyword_custom] = ACTIONS(631),
    [sym__custom_operator] = ACTIONS(631),
  },
  [1047] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3086),
    [anon_sym_package] = ACTIONS(3086),
    [anon_sym_COMMA] = ACTIONS(3086),
    [anon_sym_LPAREN] = ACTIONS(3086),
    [anon_sym_LBRACK] = ACTIONS(3086),
    [anon_sym_QMARK] = ACTIONS(3088),
    [anon_sym_QMARK2] = ACTIONS(3086),
    [anon_sym_AMP] = ACTIONS(3086),
    [aux_sym_custom_operator_token1] = ACTIONS(3086),
    [anon_sym_LT] = ACTIONS(3088),
    [anon_sym_GT] = ACTIONS(3088),
    [anon_sym_LBRACE] = ACTIONS(3086),
    [anon_sym_CARET_LBRACE] = ACTIONS(3086),
    [anon_sym_RBRACE] = ACTIONS(3086),
    [anon_sym_case] = ACTIONS(3086),
    [anon_sym_fallthrough] = ACTIONS(3086),
    [anon_sym_PLUS_EQ] = ACTIONS(3086),
    [anon_sym_DASH_EQ] = ACTIONS(3086),
    [anon_sym_STAR_EQ] = ACTIONS(3086),
    [anon_sym_SLASH_EQ] = ACTIONS(3086),
    [anon_sym_PERCENT_EQ] = ACTIONS(3086),
    [anon_sym_BANG_EQ] = ACTIONS(3088),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3086),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3086),
    [anon_sym_LT_EQ] = ACTIONS(3086),
    [anon_sym_GT_EQ] = ACTIONS(3086),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3086),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3086),
    [anon_sym_is] = ACTIONS(3086),
    [anon_sym_PLUS] = ACTIONS(3088),
    [anon_sym_DASH] = ACTIONS(3088),
    [anon_sym_STAR] = ACTIONS(3088),
    [anon_sym_SLASH] = ACTIONS(3088),
    [anon_sym_PERCENT] = ACTIONS(3088),
    [anon_sym_PLUS_PLUS] = ACTIONS(3086),
    [anon_sym_DASH_DASH] = ACTIONS(3086),
    [anon_sym_PIPE] = ACTIONS(3086),
    [anon_sym_CARET] = ACTIONS(3088),
    [anon_sym_LT_LT] = ACTIONS(3086),
    [anon_sym_GT_GT] = ACTIONS(3086),
    [anon_sym_class] = ACTIONS(3086),
    [anon_sym_BANG2] = ACTIONS(3088),
    [anon_sym_prefix] = ACTIONS(3086),
    [anon_sym_infix] = ACTIONS(3086),
    [anon_sym_postfix] = ACTIONS(3086),
    [anon_sym_AT] = ACTIONS(3088),
    [anon_sym_override] = ACTIONS(3086),
    [anon_sym_convenience] = ACTIONS(3086),
    [anon_sym_required] = ACTIONS(3086),
    [anon_sym_nonisolated] = ACTIONS(3086),
    [anon_sym_public] = ACTIONS(3086),
    [anon_sym_private] = ACTIONS(3086),
    [anon_sym_internal] = ACTIONS(3086),
    [anon_sym_fileprivate] = ACTIONS(3086),
    [anon_sym_open] = ACTIONS(3086),
    [anon_sym_mutating] = ACTIONS(3086),
    [anon_sym_nonmutating] = ACTIONS(3086),
    [anon_sym_static] = ACTIONS(3086),
    [anon_sym_dynamic] = ACTIONS(3086),
    [anon_sym_optional] = ACTIONS(3086),
    [anon_sym_distributed] = ACTIONS(3086),
    [anon_sym_final] = ACTIONS(3086),
    [anon_sym_inout] = ACTIONS(3086),
    [anon_sym_ATescaping] = ACTIONS(3086),
    [anon_sym_ATautoclosure] = ACTIONS(3086),
    [anon_sym_weak] = ACTIONS(3086),
    [anon_sym_unowned] = ACTIONS(3088),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3086),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3086),
    [anon_sym_borrowing] = ACTIONS(3086),
    [anon_sym_consuming] = ACTIONS(3086),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3086),
    [sym__explicit_semi] = ACTIONS(3086),
    [sym__dot_custom] = ACTIONS(3086),
    [sym__conjunction_operator_custom] = ACTIONS(3086),
    [sym__disjunction_operator_custom] = ACTIONS(3086),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3086),
    [sym__eq_custom] = ACTIONS(3086),
    [sym__eq_eq_custom] = ACTIONS(3086),
    [sym__plus_then_ws] = ACTIONS(3086),
    [sym__minus_then_ws] = ACTIONS(3086),
    [sym__bang_custom] = ACTIONS(3086),
    [sym_default_keyword] = ACTIONS(3086),
    [sym_where_keyword] = ACTIONS(3086),
    [sym_else] = ACTIONS(3086),
    [sym__as_custom] = ACTIONS(3086),
    [sym__as_quest_custom] = ACTIONS(3086),
    [sym__as_bang_custom] = ACTIONS(3086),
    [sym__custom_operator] = ACTIONS(3086),
  },
  [1048] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(2471),
    [anon_sym_package] = ACTIONS(2471),
    [anon_sym_COMMA] = ACTIONS(2471),
    [anon_sym_LPAREN] = ACTIONS(2471),
    [anon_sym_LBRACK] = ACTIONS(2471),
    [anon_sym_DOT] = ACTIONS(2469),
    [anon_sym_QMARK] = ACTIONS(2469),
    [anon_sym_QMARK2] = ACTIONS(2471),
    [anon_sym_AMP] = ACTIONS(2471),
    [aux_sym_custom_operator_token1] = ACTIONS(2471),
    [anon_sym_LT] = ACTIONS(2469),
    [anon_sym_GT] = ACTIONS(2469),
    [anon_sym_LBRACE] = ACTIONS(2471),
    [anon_sym_CARET_LBRACE] = ACTIONS(2471),
    [anon_sym_RBRACE] = ACTIONS(2471),
    [anon_sym_self] = ACTIONS(2471),
    [anon_sym_case] = ACTIONS(2471),
    [anon_sym_fallthrough] = ACTIONS(2471),
    [anon_sym_PLUS_EQ] = ACTIONS(2471),
    [anon_sym_DASH_EQ] = ACTIONS(2471),
    [anon_sym_STAR_EQ] = ACTIONS(2471),
    [anon_sym_SLASH_EQ] = ACTIONS(2471),
    [anon_sym_PERCENT_EQ] = ACTIONS(2471),
    [anon_sym_BANG_EQ] = ACTIONS(2469),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2471),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2471),
    [anon_sym_LT_EQ] = ACTIONS(2471),
    [anon_sym_GT_EQ] = ACTIONS(2471),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2471),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2471),
    [anon_sym_is] = ACTIONS(2471),
    [anon_sym_PLUS] = ACTIONS(2469),
    [anon_sym_DASH] = ACTIONS(2469),
    [anon_sym_STAR] = ACTIONS(2469),
    [anon_sym_SLASH] = ACTIONS(2469),
    [anon_sym_PERCENT] = ACTIONS(2469),
    [anon_sym_PLUS_PLUS] = ACTIONS(2471),
    [anon_sym_DASH_DASH] = ACTIONS(2471),
    [anon_sym_PIPE] = ACTIONS(2471),
    [anon_sym_CARET] = ACTIONS(2469),
    [anon_sym_LT_LT] = ACTIONS(2471),
    [anon_sym_GT_GT] = ACTIONS(2471),
    [anon_sym_class] = ACTIONS(2471),
    [anon_sym_BANG2] = ACTIONS(2469),
    [anon_sym_prefix] = ACTIONS(2471),
    [anon_sym_infix] = ACTIONS(2471),
    [anon_sym_postfix] = ACTIONS(2471),
    [anon_sym_AT] = ACTIONS(2469),
    [anon_sym_override] = ACTIONS(2471),
    [anon_sym_convenience] = ACTIONS(2471),
    [anon_sym_required] = ACTIONS(2471),
    [anon_sym_nonisolated] = ACTIONS(2471),
    [anon_sym_public] = ACTIONS(2471),
    [anon_sym_private] = ACTIONS(2471),
    [anon_sym_internal] = ACTIONS(2471),
    [anon_sym_fileprivate] = ACTIONS(2471),
    [anon_sym_open] = ACTIONS(2471),
    [anon_sym_mutating] = ACTIONS(2471),
    [anon_sym_nonmutating] = ACTIONS(2471),
    [anon_sym_static] = ACTIONS(2471),
    [anon_sym_dynamic] = ACTIONS(2471),
    [anon_sym_optional] = ACTIONS(2471),
    [anon_sym_distributed] = ACTIONS(2471),
    [anon_sym_final] = ACTIONS(2471),
    [anon_sym_inout] = ACTIONS(2471),
    [anon_sym_ATescaping] = ACTIONS(2471),
    [anon_sym_ATautoclosure] = ACTIONS(2471),
    [anon_sym_weak] = ACTIONS(2471),
    [anon_sym_unowned] = ACTIONS(2469),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2471),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2471),
    [anon_sym_borrowing] = ACTIONS(2471),
    [anon_sym_consuming] = ACTIONS(2471),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2471),
    [sym__explicit_semi] = ACTIONS(2471),
    [sym__dot_custom] = ACTIONS(2471),
    [sym__conjunction_operator_custom] = ACTIONS(2471),
    [sym__disjunction_operator_custom] = ACTIONS(2471),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2471),
    [sym__eq_custom] = ACTIONS(2471),
    [sym__eq_eq_custom] = ACTIONS(2471),
    [sym__plus_then_ws] = ACTIONS(2471),
    [sym__minus_then_ws] = ACTIONS(2471),
    [sym__bang_custom] = ACTIONS(2471),
    [sym_default_keyword] = ACTIONS(2471),
    [sym__as_custom] = ACTIONS(2471),
    [sym__as_quest_custom] = ACTIONS(2471),
    [sym__as_bang_custom] = ACTIONS(2471),
    [sym__custom_operator] = ACTIONS(2471),
  },
  [1049] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3072),
    [anon_sym_package] = ACTIONS(3072),
    [anon_sym_COMMA] = ACTIONS(3072),
    [anon_sym_LPAREN] = ACTIONS(3072),
    [anon_sym_LBRACK] = ACTIONS(3072),
    [anon_sym_QMARK] = ACTIONS(3074),
    [anon_sym_QMARK2] = ACTIONS(3072),
    [anon_sym_AMP] = ACTIONS(3072),
    [aux_sym_custom_operator_token1] = ACTIONS(3072),
    [anon_sym_LT] = ACTIONS(3074),
    [anon_sym_GT] = ACTIONS(3074),
    [anon_sym_LBRACE] = ACTIONS(3072),
    [anon_sym_CARET_LBRACE] = ACTIONS(3072),
    [anon_sym_RBRACE] = ACTIONS(3072),
    [anon_sym_case] = ACTIONS(3072),
    [anon_sym_fallthrough] = ACTIONS(3072),
    [anon_sym_PLUS_EQ] = ACTIONS(3072),
    [anon_sym_DASH_EQ] = ACTIONS(3072),
    [anon_sym_STAR_EQ] = ACTIONS(3072),
    [anon_sym_SLASH_EQ] = ACTIONS(3072),
    [anon_sym_PERCENT_EQ] = ACTIONS(3072),
    [anon_sym_BANG_EQ] = ACTIONS(3074),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3072),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3072),
    [anon_sym_LT_EQ] = ACTIONS(3072),
    [anon_sym_GT_EQ] = ACTIONS(3072),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3072),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3072),
    [anon_sym_is] = ACTIONS(3072),
    [anon_sym_PLUS] = ACTIONS(3074),
    [anon_sym_DASH] = ACTIONS(3074),
    [anon_sym_STAR] = ACTIONS(3074),
    [anon_sym_SLASH] = ACTIONS(3074),
    [anon_sym_PERCENT] = ACTIONS(3074),
    [anon_sym_PLUS_PLUS] = ACTIONS(3072),
    [anon_sym_DASH_DASH] = ACTIONS(3072),
    [anon_sym_PIPE] = ACTIONS(3072),
    [anon_sym_CARET] = ACTIONS(3074),
    [anon_sym_LT_LT] = ACTIONS(3072),
    [anon_sym_GT_GT] = ACTIONS(3072),
    [anon_sym_class] = ACTIONS(3072),
    [anon_sym_BANG2] = ACTIONS(3074),
    [anon_sym_prefix] = ACTIONS(3072),
    [anon_sym_infix] = ACTIONS(3072),
    [anon_sym_postfix] = ACTIONS(3072),
    [anon_sym_AT] = ACTIONS(3074),
    [anon_sym_override] = ACTIONS(3072),
    [anon_sym_convenience] = ACTIONS(3072),
    [anon_sym_required] = ACTIONS(3072),
    [anon_sym_nonisolated] = ACTIONS(3072),
    [anon_sym_public] = ACTIONS(3072),
    [anon_sym_private] = ACTIONS(3072),
    [anon_sym_internal] = ACTIONS(3072),
    [anon_sym_fileprivate] = ACTIONS(3072),
    [anon_sym_open] = ACTIONS(3072),
    [anon_sym_mutating] = ACTIONS(3072),
    [anon_sym_nonmutating] = ACTIONS(3072),
    [anon_sym_static] = ACTIONS(3072),
    [anon_sym_dynamic] = ACTIONS(3072),
    [anon_sym_optional] = ACTIONS(3072),
    [anon_sym_distributed] = ACTIONS(3072),
    [anon_sym_final] = ACTIONS(3072),
    [anon_sym_inout] = ACTIONS(3072),
    [anon_sym_ATescaping] = ACTIONS(3072),
    [anon_sym_ATautoclosure] = ACTIONS(3072),
    [anon_sym_weak] = ACTIONS(3072),
    [anon_sym_unowned] = ACTIONS(3074),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3072),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3072),
    [anon_sym_borrowing] = ACTIONS(3072),
    [anon_sym_consuming] = ACTIONS(3072),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3072),
    [sym__explicit_semi] = ACTIONS(3072),
    [sym__dot_custom] = ACTIONS(3072),
    [sym__conjunction_operator_custom] = ACTIONS(3072),
    [sym__disjunction_operator_custom] = ACTIONS(3072),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3072),
    [sym__eq_custom] = ACTIONS(3072),
    [sym__eq_eq_custom] = ACTIONS(3072),
    [sym__plus_then_ws] = ACTIONS(3072),
    [sym__minus_then_ws] = ACTIONS(3072),
    [sym__bang_custom] = ACTIONS(3072),
    [sym_default_keyword] = ACTIONS(3072),
    [sym_where_keyword] = ACTIONS(3072),
    [sym_else] = ACTIONS(3072),
    [sym__as_custom] = ACTIONS(3072),
    [sym__as_quest_custom] = ACTIONS(3072),
    [sym__as_bang_custom] = ACTIONS(3072),
    [sym__custom_operator] = ACTIONS(3072),
  },
  [1050] = {
    [sym_simple_identifier] = STATE(1859),
    [sym__contextual_simple_identifier] = STATE(1917),
    [sym__unannotated_type] = STATE(1706),
    [sym_user_type] = STATE(1821),
    [sym__simple_user_type] = STATE(1834),
    [sym_tuple_type] = STATE(1701),
    [sym_function_type] = STATE(1706),
    [sym_array_type] = STATE(1821),
    [sym_dictionary_type] = STATE(1821),
    [sym_optional_type] = STATE(1706),
    [sym_metatype] = STATE(1706),
    [sym_opaque_type] = STATE(1706),
    [sym_existential_type] = STATE(1706),
    [sym_type_parameter_pack] = STATE(1706),
    [sym_type_pack_expansion] = STATE(1706),
    [sym_protocol_composition_type] = STATE(1706),
    [sym__parenthesized_type] = STATE(1936),
    [sym__parameter_ownership_modifier] = STATE(1917),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(3891),
    [aux_sym_simple_identifier_token2] = ACTIONS(3893),
    [aux_sym_simple_identifier_token3] = ACTIONS(3893),
    [aux_sym_simple_identifier_token4] = ACTIONS(3893),
    [anon_sym_actor] = ACTIONS(3891),
    [anon_sym_async] = ACTIONS(3891),
    [anon_sym_each] = ACTIONS(3895),
    [anon_sym_lazy] = ACTIONS(3891),
    [anon_sym_repeat] = ACTIONS(3897),
    [anon_sym_package] = ACTIONS(3891),
    [anon_sym_COMMA] = ACTIONS(631),
    [anon_sym_LPAREN] = ACTIONS(3899),
    [anon_sym_LBRACK] = ACTIONS(3902),
    [anon_sym_DOT] = ACTIONS(637),
    [anon_sym_QMARK] = ACTIONS(637),
    [anon_sym_QMARK2] = ACTIONS(631),
    [anon_sym_some] = ACTIONS(3905),
    [anon_sym_any] = ACTIONS(3907),
    [anon_sym_AMP] = ACTIONS(631),
    [aux_sym_custom_operator_token1] = ACTIONS(631),
    [anon_sym_LT] = ACTIONS(637),
    [anon_sym_GT] = ACTIONS(637),
    [anon_sym_LBRACE] = ACTIONS(631),
    [anon_sym_CARET_LBRACE] = ACTIONS(631),
    [anon_sym_RBRACE] = ACTIONS(631),
    [anon_sym_PLUS_EQ] = ACTIONS(631),
    [anon_sym_DASH_EQ] = ACTIONS(631),
    [anon_sym_STAR_EQ] = ACTIONS(631),
    [anon_sym_SLASH_EQ] = ACTIONS(631),
    [anon_sym_PERCENT_EQ] = ACTIONS(631),
    [anon_sym_BANG_EQ] = ACTIONS(637),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(631),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(631),
    [anon_sym_LT_EQ] = ACTIONS(631),
    [anon_sym_GT_EQ] = ACTIONS(631),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(631),
    [anon_sym_DOT_DOT_LT] = ACTIONS(631),
    [anon_sym_is] = ACTIONS(637),
    [anon_sym_PLUS] = ACTIONS(637),
    [anon_sym_DASH] = ACTIONS(637),
    [anon_sym_STAR] = ACTIONS(637),
    [anon_sym_SLASH] = ACTIONS(637),
    [anon_sym_PERCENT] = ACTIONS(637),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PIPE] = ACTIONS(631),
    [anon_sym_CARET] = ACTIONS(637),
    [anon_sym_LT_LT] = ACTIONS(631),
    [anon_sym_GT_GT] = ACTIONS(631),
    [anon_sym_BANG2] = ACTIONS(637),
    [anon_sym_borrowing] = ACTIONS(3891),
    [anon_sym_consuming] = ACTIONS(3891),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(631),
    [sym__implicit_semi] = ACTIONS(631),
    [sym__explicit_semi] = ACTIONS(631),
    [sym__arrow_operator_custom] = ACTIONS(631),
    [sym__dot_custom] = ACTIONS(631),
    [sym__conjunction_operator_custom] = ACTIONS(631),
    [sym__disjunction_operator_custom] = ACTIONS(631),
    [sym__nil_coalescing_operator_custom] = ACTIONS(631),
    [sym__eq_custom] = ACTIONS(631),
    [sym__eq_eq_custom] = ACTIONS(631),
    [sym__plus_then_ws] = ACTIONS(631),
    [sym__minus_then_ws] = ACTIONS(631),
    [sym__bang_custom] = ACTIONS(631),
    [sym__throws_keyword] = ACTIONS(631),
    [sym__rethrows_keyword] = ACTIONS(631),
    [sym__as_custom] = ACTIONS(631),
    [sym__as_quest_custom] = ACTIONS(631),
    [sym__as_bang_custom] = ACTIONS(631),
    [sym__async_keyword_custom] = ACTIONS(631),
    [sym__custom_operator] = ACTIONS(631),
  },
  [1051] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(2928),
    [anon_sym_package] = ACTIONS(2928),
    [anon_sym_COMMA] = ACTIONS(2928),
    [anon_sym_LPAREN] = ACTIONS(2928),
    [anon_sym_LBRACK] = ACTIONS(2928),
    [anon_sym_DOT] = ACTIONS(2930),
    [anon_sym_QMARK] = ACTIONS(2930),
    [anon_sym_QMARK2] = ACTIONS(2928),
    [anon_sym_AMP] = ACTIONS(2928),
    [aux_sym_custom_operator_token1] = ACTIONS(2928),
    [anon_sym_LT] = ACTIONS(2930),
    [anon_sym_GT] = ACTIONS(2930),
    [anon_sym_LBRACE] = ACTIONS(2928),
    [anon_sym_CARET_LBRACE] = ACTIONS(2928),
    [anon_sym_RBRACE] = ACTIONS(2928),
    [anon_sym_self] = ACTIONS(2928),
    [anon_sym_case] = ACTIONS(2928),
    [anon_sym_fallthrough] = ACTIONS(2928),
    [anon_sym_PLUS_EQ] = ACTIONS(2928),
    [anon_sym_DASH_EQ] = ACTIONS(2928),
    [anon_sym_STAR_EQ] = ACTIONS(2928),
    [anon_sym_SLASH_EQ] = ACTIONS(2928),
    [anon_sym_PERCENT_EQ] = ACTIONS(2928),
    [anon_sym_BANG_EQ] = ACTIONS(2930),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2928),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2928),
    [anon_sym_LT_EQ] = ACTIONS(2928),
    [anon_sym_GT_EQ] = ACTIONS(2928),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2928),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2928),
    [anon_sym_is] = ACTIONS(2928),
    [anon_sym_PLUS] = ACTIONS(2930),
    [anon_sym_DASH] = ACTIONS(2930),
    [anon_sym_STAR] = ACTIONS(2930),
    [anon_sym_SLASH] = ACTIONS(2930),
    [anon_sym_PERCENT] = ACTIONS(2930),
    [anon_sym_PLUS_PLUS] = ACTIONS(2928),
    [anon_sym_DASH_DASH] = ACTIONS(2928),
    [anon_sym_PIPE] = ACTIONS(2928),
    [anon_sym_CARET] = ACTIONS(2930),
    [anon_sym_LT_LT] = ACTIONS(2928),
    [anon_sym_GT_GT] = ACTIONS(2928),
    [anon_sym_class] = ACTIONS(2928),
    [anon_sym_BANG2] = ACTIONS(2930),
    [anon_sym_prefix] = ACTIONS(2928),
    [anon_sym_infix] = ACTIONS(2928),
    [anon_sym_postfix] = ACTIONS(2928),
    [anon_sym_AT] = ACTIONS(2930),
    [anon_sym_override] = ACTIONS(2928),
    [anon_sym_convenience] = ACTIONS(2928),
    [anon_sym_required] = ACTIONS(2928),
    [anon_sym_nonisolated] = ACTIONS(2928),
    [anon_sym_public] = ACTIONS(2928),
    [anon_sym_private] = ACTIONS(2928),
    [anon_sym_internal] = ACTIONS(2928),
    [anon_sym_fileprivate] = ACTIONS(2928),
    [anon_sym_open] = ACTIONS(2928),
    [anon_sym_mutating] = ACTIONS(2928),
    [anon_sym_nonmutating] = ACTIONS(2928),
    [anon_sym_static] = ACTIONS(2928),
    [anon_sym_dynamic] = ACTIONS(2928),
    [anon_sym_optional] = ACTIONS(2928),
    [anon_sym_distributed] = ACTIONS(2928),
    [anon_sym_final] = ACTIONS(2928),
    [anon_sym_inout] = ACTIONS(2928),
    [anon_sym_ATescaping] = ACTIONS(2928),
    [anon_sym_ATautoclosure] = ACTIONS(2928),
    [anon_sym_weak] = ACTIONS(2928),
    [anon_sym_unowned] = ACTIONS(2930),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2928),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2928),
    [anon_sym_borrowing] = ACTIONS(2928),
    [anon_sym_consuming] = ACTIONS(2928),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2928),
    [sym__explicit_semi] = ACTIONS(2928),
    [sym__dot_custom] = ACTIONS(2928),
    [sym__conjunction_operator_custom] = ACTIONS(2928),
    [sym__disjunction_operator_custom] = ACTIONS(2928),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2928),
    [sym__eq_custom] = ACTIONS(2928),
    [sym__eq_eq_custom] = ACTIONS(2928),
    [sym__plus_then_ws] = ACTIONS(2928),
    [sym__minus_then_ws] = ACTIONS(2928),
    [sym__bang_custom] = ACTIONS(2928),
    [sym_default_keyword] = ACTIONS(2928),
    [sym__as_custom] = ACTIONS(2928),
    [sym__as_quest_custom] = ACTIONS(2928),
    [sym__as_bang_custom] = ACTIONS(2928),
    [sym__custom_operator] = ACTIONS(2928),
  },
  [1052] = {
    [sym_attribute] = STATE(1052),
    [aux_sym__lambda_type_declaration_repeat1] = STATE(1052),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(3909),
    [aux_sym_simple_identifier_token2] = ACTIONS(3911),
    [aux_sym_simple_identifier_token3] = ACTIONS(3911),
    [aux_sym_simple_identifier_token4] = ACTIONS(3911),
    [anon_sym_actor] = ACTIONS(3909),
    [anon_sym_async] = ACTIONS(3909),
    [anon_sym_each] = ACTIONS(3909),
    [anon_sym_lazy] = ACTIONS(3909),
    [anon_sym_repeat] = ACTIONS(3909),
    [anon_sym_package] = ACTIONS(3909),
    [anon_sym_nil] = ACTIONS(3909),
    [sym_real_literal] = ACTIONS(3911),
    [sym_integer_literal] = ACTIONS(3909),
    [sym_hex_literal] = ACTIONS(3911),
    [sym_oct_literal] = ACTIONS(3911),
    [sym_bin_literal] = ACTIONS(3911),
    [anon_sym_true] = ACTIONS(3909),
    [anon_sym_false] = ACTIONS(3909),
    [anon_sym_DQUOTE] = ACTIONS(3909),
    [anon_sym_BSLASH] = ACTIONS(3911),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3911),
    [sym__extended_regex_literal] = ACTIONS(3911),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(3911),
    [sym__oneline_regex_literal] = ACTIONS(3909),
    [anon_sym_LPAREN] = ACTIONS(3911),
    [anon_sym_LBRACK] = ACTIONS(3911),
    [anon_sym_AMP] = ACTIONS(3911),
    [anon_sym_if] = ACTIONS(3909),
    [anon_sym_switch] = ACTIONS(3909),
    [anon_sym_POUNDselector] = ACTIONS(3911),
    [aux_sym_custom_operator_token1] = ACTIONS(3911),
    [anon_sym_LT] = ACTIONS(3909),
    [anon_sym_GT] = ACTIONS(3909),
    [anon_sym_await] = ACTIONS(3909),
    [anon_sym_POUNDfile] = ACTIONS(3909),
    [anon_sym_POUNDfileID] = ACTIONS(3911),
    [anon_sym_POUNDfilePath] = ACTIONS(3911),
    [anon_sym_POUNDline] = ACTIONS(3911),
    [anon_sym_POUNDcolumn] = ACTIONS(3911),
    [anon_sym_POUNDfunction] = ACTIONS(3911),
    [anon_sym_POUNDdsohandle] = ACTIONS(3911),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(3911),
    [anon_sym_POUNDfileLiteral] = ACTIONS(3911),
    [anon_sym_POUNDimageLiteral] = ACTIONS(3911),
    [anon_sym_LBRACE] = ACTIONS(3911),
    [anon_sym_CARET_LBRACE] = ACTIONS(3911),
    [anon_sym_self] = ACTIONS(3909),
    [anon_sym_super] = ACTIONS(3909),
    [anon_sym_POUNDkeyPath] = ACTIONS(3911),
    [anon_sym_try] = ACTIONS(3909),
    [anon_sym_PLUS_EQ] = ACTIONS(3911),
    [anon_sym_DASH_EQ] = ACTIONS(3911),
    [anon_sym_STAR_EQ] = ACTIONS(3911),
    [anon_sym_SLASH_EQ] = ACTIONS(3911),
    [anon_sym_PERCENT_EQ] = ACTIONS(3911),
    [anon_sym_BANG_EQ] = ACTIONS(3909),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3911),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3911),
    [anon_sym_LT_EQ] = ACTIONS(3911),
    [anon_sym_GT_EQ] = ACTIONS(3911),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3911),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3911),
    [anon_sym_PLUS] = ACTIONS(3909),
    [anon_sym_DASH] = ACTIONS(3909),
    [anon_sym_STAR] = ACTIONS(3909),
    [anon_sym_SLASH] = ACTIONS(3909),
    [anon_sym_PERCENT] = ACTIONS(3909),
    [anon_sym_PLUS_PLUS] = ACTIONS(3911),
    [anon_sym_DASH_DASH] = ACTIONS(3911),
    [anon_sym_TILDE] = ACTIONS(3911),
    [anon_sym_PIPE] = ACTIONS(3911),
    [anon_sym_CARET] = ACTIONS(3909),
    [anon_sym_LT_LT] = ACTIONS(3911),
    [anon_sym_GT_GT] = ACTIONS(3911),
    [anon_sym_BANG2] = ACTIONS(3909),
    [anon_sym_AT] = ACTIONS(3913),
    [anon_sym_borrowing] = ACTIONS(3909),
    [anon_sym_consuming] = ACTIONS(3909),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(3911),
    [sym_raw_str_end_part] = ACTIONS(3911),
    [sym__dot_custom] = ACTIONS(3911),
    [sym__eq_custom] = ACTIONS(3911),
    [sym__eq_eq_custom] = ACTIONS(3911),
    [sym__plus_then_ws] = ACTIONS(3911),
    [sym__minus_then_ws] = ACTIONS(3911),
    [sym__bang_custom] = ACTIONS(3911),
    [sym__custom_operator] = ACTIONS(3911),
  },
  [1053] = {
    [sym__dot] = STATE(4720),
    [aux_sym_user_type_repeat1] = STATE(1024),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2854),
    [aux_sym_simple_identifier_token2] = ACTIONS(2852),
    [aux_sym_simple_identifier_token3] = ACTIONS(2852),
    [aux_sym_simple_identifier_token4] = ACTIONS(2852),
    [anon_sym_actor] = ACTIONS(2854),
    [anon_sym_async] = ACTIONS(2854),
    [anon_sym_each] = ACTIONS(2854),
    [anon_sym_lazy] = ACTIONS(2854),
    [anon_sym_repeat] = ACTIONS(2854),
    [anon_sym_package] = ACTIONS(2854),
    [anon_sym_nil] = ACTIONS(2854),
    [sym_real_literal] = ACTIONS(2852),
    [sym_integer_literal] = ACTIONS(2854),
    [sym_hex_literal] = ACTIONS(2852),
    [sym_oct_literal] = ACTIONS(2852),
    [sym_bin_literal] = ACTIONS(2852),
    [anon_sym_true] = ACTIONS(2854),
    [anon_sym_false] = ACTIONS(2854),
    [anon_sym_DQUOTE] = ACTIONS(2854),
    [anon_sym_BSLASH] = ACTIONS(2852),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2852),
    [sym__extended_regex_literal] = ACTIONS(2852),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(2852),
    [sym__oneline_regex_literal] = ACTIONS(2854),
    [anon_sym_LPAREN] = ACTIONS(2852),
    [anon_sym_LBRACK] = ACTIONS(2852),
    [anon_sym_AMP] = ACTIONS(2852),
    [anon_sym_if] = ACTIONS(2854),
    [anon_sym_switch] = ACTIONS(2854),
    [anon_sym_POUNDselector] = ACTIONS(2852),
    [aux_sym_custom_operator_token1] = ACTIONS(2852),
    [anon_sym_LT] = ACTIONS(2854),
    [anon_sym_GT] = ACTIONS(2854),
    [anon_sym_await] = ACTIONS(2854),
    [anon_sym_POUNDfile] = ACTIONS(2854),
    [anon_sym_POUNDfileID] = ACTIONS(2852),
    [anon_sym_POUNDfilePath] = ACTIONS(2852),
    [anon_sym_POUNDline] = ACTIONS(2852),
    [anon_sym_POUNDcolumn] = ACTIONS(2852),
    [anon_sym_POUNDfunction] = ACTIONS(2852),
    [anon_sym_POUNDdsohandle] = ACTIONS(2852),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(2852),
    [anon_sym_POUNDfileLiteral] = ACTIONS(2852),
    [anon_sym_POUNDimageLiteral] = ACTIONS(2852),
    [anon_sym_LBRACE] = ACTIONS(2852),
    [anon_sym_CARET_LBRACE] = ACTIONS(2852),
    [anon_sym_self] = ACTIONS(2854),
    [anon_sym_super] = ACTIONS(2854),
    [anon_sym_POUNDkeyPath] = ACTIONS(2852),
    [anon_sym_try] = ACTIONS(2854),
    [anon_sym_PLUS_EQ] = ACTIONS(2852),
    [anon_sym_DASH_EQ] = ACTIONS(2852),
    [anon_sym_STAR_EQ] = ACTIONS(2852),
    [anon_sym_SLASH_EQ] = ACTIONS(2852),
    [anon_sym_PERCENT_EQ] = ACTIONS(2852),
    [anon_sym_BANG_EQ] = ACTIONS(2854),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2852),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2852),
    [anon_sym_LT_EQ] = ACTIONS(2852),
    [anon_sym_GT_EQ] = ACTIONS(2852),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2852),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2852),
    [anon_sym_PLUS] = ACTIONS(2854),
    [anon_sym_DASH] = ACTIONS(2854),
    [anon_sym_STAR] = ACTIONS(2854),
    [anon_sym_SLASH] = ACTIONS(2854),
    [anon_sym_PERCENT] = ACTIONS(2854),
    [anon_sym_PLUS_PLUS] = ACTIONS(2852),
    [anon_sym_DASH_DASH] = ACTIONS(2852),
    [anon_sym_TILDE] = ACTIONS(2852),
    [anon_sym_PIPE] = ACTIONS(2852),
    [anon_sym_CARET] = ACTIONS(2854),
    [anon_sym_LT_LT] = ACTIONS(2852),
    [anon_sym_GT_GT] = ACTIONS(2852),
    [anon_sym_BANG2] = ACTIONS(2854),
    [anon_sym_AT] = ACTIONS(2852),
    [anon_sym_borrowing] = ACTIONS(2854),
    [anon_sym_consuming] = ACTIONS(2854),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(2852),
    [sym_raw_str_end_part] = ACTIONS(2852),
    [sym__dot_custom] = ACTIONS(3916),
    [sym__eq_custom] = ACTIONS(2852),
    [sym__eq_eq_custom] = ACTIONS(2852),
    [sym__plus_then_ws] = ACTIONS(2852),
    [sym__minus_then_ws] = ACTIONS(2852),
    [sym__bang_custom] = ACTIONS(2852),
    [sym__custom_operator] = ACTIONS(2852),
  },
  [1054] = {
    [sym__type_level_declaration] = STATE(5789),
    [sym_import_declaration] = STATE(5789),
    [sym_property_declaration] = STATE(5789),
    [sym__modifierless_property_declaration] = STATE(7093),
    [sym_typealias_declaration] = STATE(5789),
    [sym__modifierless_typealias_declaration] = STATE(6964),
    [sym_function_declaration] = STATE(5789),
    [sym__bodyless_function_declaration] = STATE(6758),
    [sym__modifierless_function_declaration_no_body] = STATE(7642),
    [sym_class_declaration] = STATE(5789),
    [sym__modifierless_class_declaration] = STATE(7177),
    [sym__class_member_declarations] = STATE(7662),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__async_modifier] = STATE(6632),
    [sym_protocol_declaration] = STATE(5789),
    [sym_init_declaration] = STATE(5789),
    [sym_deinit_declaration] = STATE(5789),
    [sym_subscript_declaration] = STATE(5789),
    [sym_operator_declaration] = STATE(5789),
    [sym_precedence_group_declaration] = STATE(5789),
    [sym_associatedtype_declaration] = STATE(5789),
    [sym_attribute] = STATE(1553),
    [sym_value_binding_pattern] = STATE(3972),
    [sym__possibly_async_binding_pattern_kind] = STATE(3972),
    [sym_modifiers] = STATE(4232),
    [aux_sym__locally_permitted_modifiers] = STATE(1553),
    [sym__non_local_scope_modifier] = STATE(1553),
    [sym__locally_permitted_modifier] = STATE(1553),
    [sym_property_behavior_modifier] = STATE(1553),
    [sym_member_modifier] = STATE(1553),
    [sym_visibility_modifier] = STATE(1553),
    [sym_function_modifier] = STATE(1553),
    [sym_mutation_modifier] = STATE(1553),
    [sym_property_modifier] = STATE(1553),
    [sym_inheritance_modifier] = STATE(1553),
    [sym_parameter_modifier] = STATE(1553),
    [sym_ownership_modifier] = STATE(1553),
    [sym__parameter_ownership_modifier] = STATE(2572),
    [aux_sym_modifiers_repeat1] = STATE(1553),
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(3817),
    [anon_sym_async] = ACTIONS(3589),
    [anon_sym_lazy] = ACTIONS(3591),
    [anon_sym_package] = ACTIONS(3593),
    [anon_sym_RBRACE] = ACTIONS(3919),
    [anon_sym_import] = ACTIONS(3821),
    [anon_sym_typealias] = ACTIONS(3823),
    [anon_sym_struct] = ACTIONS(3817),
    [anon_sym_class] = ACTIONS(3825),
    [anon_sym_enum] = ACTIONS(3827),
    [anon_sym_protocol] = ACTIONS(3829),
    [anon_sym_let] = ACTIONS(3609),
    [anon_sym_var] = ACTIONS(3609),
    [anon_sym_func] = ACTIONS(3611),
    [anon_sym_extension] = ACTIONS(3831),
    [anon_sym_indirect] = ACTIONS(3833),
    [anon_sym_init] = ACTIONS(3835),
    [anon_sym_deinit] = ACTIONS(3837),
    [anon_sym_subscript] = ACTIONS(3839),
    [anon_sym_prefix] = ACTIONS(3841),
    [anon_sym_infix] = ACTIONS(3841),
    [anon_sym_postfix] = ACTIONS(3841),
    [anon_sym_precedencegroup] = ACTIONS(3843),
    [anon_sym_associatedtype] = ACTIONS(3845),
    [anon_sym_AT] = ACTIONS(123),
    [anon_sym_override] = ACTIONS(3629),
    [anon_sym_convenience] = ACTIONS(3629),
    [anon_sym_required] = ACTIONS(3629),
    [anon_sym_nonisolated] = ACTIONS(3629),
    [anon_sym_public] = ACTIONS(3593),
    [anon_sym_private] = ACTIONS(3593),
    [anon_sym_internal] = ACTIONS(3593),
    [anon_sym_fileprivate] = ACTIONS(3593),
    [anon_sym_open] = ACTIONS(3593),
    [anon_sym_mutating] = ACTIONS(3631),
    [anon_sym_nonmutating] = ACTIONS(3631),
    [anon_sym_static] = ACTIONS(3633),
    [anon_sym_dynamic] = ACTIONS(3633),
    [anon_sym_optional] = ACTIONS(3633),
    [anon_sym_distributed] = ACTIONS(3633),
    [anon_sym_final] = ACTIONS(3635),
    [anon_sym_inout] = ACTIONS(137),
    [anon_sym_ATescaping] = ACTIONS(137),
    [anon_sym_ATautoclosure] = ACTIONS(137),
    [anon_sym_weak] = ACTIONS(141),
    [anon_sym_unowned] = ACTIONS(139),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(141),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(141),
    [anon_sym_borrowing] = ACTIONS(137),
    [anon_sym_consuming] = ACTIONS(137),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
  },
  [1055] = {
    [aux_sym_key_path_expression_repeat1] = STATE(1055),
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3055),
    [anon_sym_package] = ACTIONS(3055),
    [anon_sym_COMMA] = ACTIONS(3055),
    [anon_sym_LPAREN] = ACTIONS(3055),
    [anon_sym_LBRACK] = ACTIONS(3055),
    [anon_sym_DOT] = ACTIONS(3921),
    [anon_sym_QMARK] = ACTIONS(3060),
    [anon_sym_QMARK2] = ACTIONS(3055),
    [anon_sym_AMP] = ACTIONS(3055),
    [aux_sym_custom_operator_token1] = ACTIONS(3055),
    [anon_sym_LT] = ACTIONS(3060),
    [anon_sym_GT] = ACTIONS(3060),
    [anon_sym_LBRACE] = ACTIONS(3055),
    [anon_sym_CARET_LBRACE] = ACTIONS(3055),
    [anon_sym_RBRACE] = ACTIONS(3055),
    [anon_sym_case] = ACTIONS(3055),
    [anon_sym_fallthrough] = ACTIONS(3055),
    [anon_sym_PLUS_EQ] = ACTIONS(3055),
    [anon_sym_DASH_EQ] = ACTIONS(3055),
    [anon_sym_STAR_EQ] = ACTIONS(3055),
    [anon_sym_SLASH_EQ] = ACTIONS(3055),
    [anon_sym_PERCENT_EQ] = ACTIONS(3055),
    [anon_sym_BANG_EQ] = ACTIONS(3060),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3055),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3055),
    [anon_sym_LT_EQ] = ACTIONS(3055),
    [anon_sym_GT_EQ] = ACTIONS(3055),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3055),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3055),
    [anon_sym_is] = ACTIONS(3055),
    [anon_sym_PLUS] = ACTIONS(3060),
    [anon_sym_DASH] = ACTIONS(3060),
    [anon_sym_STAR] = ACTIONS(3060),
    [anon_sym_SLASH] = ACTIONS(3060),
    [anon_sym_PERCENT] = ACTIONS(3060),
    [anon_sym_PLUS_PLUS] = ACTIONS(3055),
    [anon_sym_DASH_DASH] = ACTIONS(3055),
    [anon_sym_PIPE] = ACTIONS(3055),
    [anon_sym_CARET] = ACTIONS(3060),
    [anon_sym_LT_LT] = ACTIONS(3055),
    [anon_sym_GT_GT] = ACTIONS(3055),
    [anon_sym_class] = ACTIONS(3055),
    [anon_sym_BANG2] = ACTIONS(3060),
    [anon_sym_prefix] = ACTIONS(3055),
    [anon_sym_infix] = ACTIONS(3055),
    [anon_sym_postfix] = ACTIONS(3055),
    [anon_sym_AT] = ACTIONS(3060),
    [anon_sym_override] = ACTIONS(3055),
    [anon_sym_convenience] = ACTIONS(3055),
    [anon_sym_required] = ACTIONS(3055),
    [anon_sym_nonisolated] = ACTIONS(3055),
    [anon_sym_public] = ACTIONS(3055),
    [anon_sym_private] = ACTIONS(3055),
    [anon_sym_internal] = ACTIONS(3055),
    [anon_sym_fileprivate] = ACTIONS(3055),
    [anon_sym_open] = ACTIONS(3055),
    [anon_sym_mutating] = ACTIONS(3055),
    [anon_sym_nonmutating] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(3055),
    [anon_sym_dynamic] = ACTIONS(3055),
    [anon_sym_optional] = ACTIONS(3055),
    [anon_sym_distributed] = ACTIONS(3055),
    [anon_sym_final] = ACTIONS(3055),
    [anon_sym_inout] = ACTIONS(3055),
    [anon_sym_ATescaping] = ACTIONS(3055),
    [anon_sym_ATautoclosure] = ACTIONS(3055),
    [anon_sym_weak] = ACTIONS(3055),
    [anon_sym_unowned] = ACTIONS(3060),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3055),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3055),
    [anon_sym_borrowing] = ACTIONS(3055),
    [anon_sym_consuming] = ACTIONS(3055),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3055),
    [sym__explicit_semi] = ACTIONS(3055),
    [sym__dot_custom] = ACTIONS(3055),
    [sym__conjunction_operator_custom] = ACTIONS(3055),
    [sym__disjunction_operator_custom] = ACTIONS(3055),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3055),
    [sym__eq_custom] = ACTIONS(3055),
    [sym__eq_eq_custom] = ACTIONS(3055),
    [sym__plus_then_ws] = ACTIONS(3055),
    [sym__minus_then_ws] = ACTIONS(3055),
    [sym__bang_custom] = ACTIONS(3055),
    [sym_default_keyword] = ACTIONS(3055),
    [sym__as_custom] = ACTIONS(3055),
    [sym__as_quest_custom] = ACTIONS(3055),
    [sym__as_bang_custom] = ACTIONS(3055),
    [sym__custom_operator] = ACTIONS(3055),
  },
  [1056] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3045),
    [anon_sym_package] = ACTIONS(3045),
    [anon_sym_COMMA] = ACTIONS(3045),
    [anon_sym_LPAREN] = ACTIONS(3045),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [anon_sym_DOT] = ACTIONS(3047),
    [anon_sym_QMARK] = ACTIONS(3047),
    [anon_sym_QMARK2] = ACTIONS(3045),
    [anon_sym_AMP] = ACTIONS(3045),
    [aux_sym_custom_operator_token1] = ACTIONS(3045),
    [anon_sym_LT] = ACTIONS(3047),
    [anon_sym_GT] = ACTIONS(3047),
    [anon_sym_LBRACE] = ACTIONS(3045),
    [anon_sym_CARET_LBRACE] = ACTIONS(3045),
    [anon_sym_RBRACE] = ACTIONS(3045),
    [anon_sym_self] = ACTIONS(3045),
    [anon_sym_case] = ACTIONS(3045),
    [anon_sym_fallthrough] = ACTIONS(3045),
    [anon_sym_PLUS_EQ] = ACTIONS(3045),
    [anon_sym_DASH_EQ] = ACTIONS(3045),
    [anon_sym_STAR_EQ] = ACTIONS(3045),
    [anon_sym_SLASH_EQ] = ACTIONS(3045),
    [anon_sym_PERCENT_EQ] = ACTIONS(3045),
    [anon_sym_BANG_EQ] = ACTIONS(3047),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3045),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3045),
    [anon_sym_LT_EQ] = ACTIONS(3045),
    [anon_sym_GT_EQ] = ACTIONS(3045),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3045),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3045),
    [anon_sym_is] = ACTIONS(3045),
    [anon_sym_PLUS] = ACTIONS(3047),
    [anon_sym_DASH] = ACTIONS(3047),
    [anon_sym_STAR] = ACTIONS(3047),
    [anon_sym_SLASH] = ACTIONS(3047),
    [anon_sym_PERCENT] = ACTIONS(3047),
    [anon_sym_PLUS_PLUS] = ACTIONS(3045),
    [anon_sym_DASH_DASH] = ACTIONS(3045),
    [anon_sym_PIPE] = ACTIONS(3045),
    [anon_sym_CARET] = ACTIONS(3047),
    [anon_sym_LT_LT] = ACTIONS(3045),
    [anon_sym_GT_GT] = ACTIONS(3045),
    [anon_sym_class] = ACTIONS(3045),
    [anon_sym_BANG2] = ACTIONS(3047),
    [anon_sym_prefix] = ACTIONS(3045),
    [anon_sym_infix] = ACTIONS(3045),
    [anon_sym_postfix] = ACTIONS(3045),
    [anon_sym_AT] = ACTIONS(3047),
    [anon_sym_override] = ACTIONS(3045),
    [anon_sym_convenience] = ACTIONS(3045),
    [anon_sym_required] = ACTIONS(3045),
    [anon_sym_nonisolated] = ACTIONS(3045),
    [anon_sym_public] = ACTIONS(3045),
    [anon_sym_private] = ACTIONS(3045),
    [anon_sym_internal] = ACTIONS(3045),
    [anon_sym_fileprivate] = ACTIONS(3045),
    [anon_sym_open] = ACTIONS(3045),
    [anon_sym_mutating] = ACTIONS(3045),
    [anon_sym_nonmutating] = ACTIONS(3045),
    [anon_sym_static] = ACTIONS(3045),
    [anon_sym_dynamic] = ACTIONS(3045),
    [anon_sym_optional] = ACTIONS(3045),
    [anon_sym_distributed] = ACTIONS(3045),
    [anon_sym_final] = ACTIONS(3045),
    [anon_sym_inout] = ACTIONS(3045),
    [anon_sym_ATescaping] = ACTIONS(3045),
    [anon_sym_ATautoclosure] = ACTIONS(3045),
    [anon_sym_weak] = ACTIONS(3045),
    [anon_sym_unowned] = ACTIONS(3047),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3045),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3045),
    [anon_sym_borrowing] = ACTIONS(3045),
    [anon_sym_consuming] = ACTIONS(3045),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3045),
    [sym__explicit_semi] = ACTIONS(3045),
    [sym__dot_custom] = ACTIONS(3045),
    [sym__conjunction_operator_custom] = ACTIONS(3045),
    [sym__disjunction_operator_custom] = ACTIONS(3045),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3045),
    [sym__eq_custom] = ACTIONS(3045),
    [sym__eq_eq_custom] = ACTIONS(3045),
    [sym__plus_then_ws] = ACTIONS(3045),
    [sym__minus_then_ws] = ACTIONS(3045),
    [sym__bang_custom] = ACTIONS(3045),
    [sym_default_keyword] = ACTIONS(3045),
    [sym__as_custom] = ACTIONS(3045),
    [sym__as_quest_custom] = ACTIONS(3045),
    [sym__as_bang_custom] = ACTIONS(3045),
    [sym__custom_operator] = ACTIONS(3045),
  },
  [1057] = {
    [sym_simple_identifier] = STATE(1859),
    [sym__contextual_simple_identifier] = STATE(1917),
    [sym__unannotated_type] = STATE(1710),
    [sym_user_type] = STATE(1821),
    [sym__simple_user_type] = STATE(1834),
    [sym_tuple_type] = STATE(1701),
    [sym_function_type] = STATE(1710),
    [sym_array_type] = STATE(1821),
    [sym_dictionary_type] = STATE(1821),
    [sym_optional_type] = STATE(1710),
    [sym_metatype] = STATE(1710),
    [sym_opaque_type] = STATE(1710),
    [sym_existential_type] = STATE(1710),
    [sym_type_parameter_pack] = STATE(1710),
    [sym_type_pack_expansion] = STATE(1710),
    [sym_protocol_composition_type] = STATE(1710),
    [sym__parenthesized_type] = STATE(1936),
    [sym__parameter_ownership_modifier] = STATE(1917),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(3891),
    [aux_sym_simple_identifier_token2] = ACTIONS(3893),
    [aux_sym_simple_identifier_token3] = ACTIONS(3893),
    [aux_sym_simple_identifier_token4] = ACTIONS(3893),
    [anon_sym_actor] = ACTIONS(3891),
    [anon_sym_async] = ACTIONS(3891),
    [anon_sym_each] = ACTIONS(3895),
    [anon_sym_lazy] = ACTIONS(3891),
    [anon_sym_repeat] = ACTIONS(3897),
    [anon_sym_package] = ACTIONS(3891),
    [anon_sym_COMMA] = ACTIONS(631),
    [anon_sym_LPAREN] = ACTIONS(3899),
    [anon_sym_LBRACK] = ACTIONS(3902),
    [anon_sym_DOT] = ACTIONS(637),
    [anon_sym_QMARK] = ACTIONS(637),
    [anon_sym_QMARK2] = ACTIONS(631),
    [anon_sym_some] = ACTIONS(3905),
    [anon_sym_any] = ACTIONS(3907),
    [anon_sym_AMP] = ACTIONS(631),
    [aux_sym_custom_operator_token1] = ACTIONS(631),
    [anon_sym_LT] = ACTIONS(637),
    [anon_sym_GT] = ACTIONS(637),
    [anon_sym_LBRACE] = ACTIONS(631),
    [anon_sym_CARET_LBRACE] = ACTIONS(631),
    [anon_sym_RBRACE] = ACTIONS(631),
    [anon_sym_PLUS_EQ] = ACTIONS(631),
    [anon_sym_DASH_EQ] = ACTIONS(631),
    [anon_sym_STAR_EQ] = ACTIONS(631),
    [anon_sym_SLASH_EQ] = ACTIONS(631),
    [anon_sym_PERCENT_EQ] = ACTIONS(631),
    [anon_sym_BANG_EQ] = ACTIONS(637),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(631),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(631),
    [anon_sym_LT_EQ] = ACTIONS(631),
    [anon_sym_GT_EQ] = ACTIONS(631),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(631),
    [anon_sym_DOT_DOT_LT] = ACTIONS(631),
    [anon_sym_is] = ACTIONS(637),
    [anon_sym_PLUS] = ACTIONS(637),
    [anon_sym_DASH] = ACTIONS(637),
    [anon_sym_STAR] = ACTIONS(637),
    [anon_sym_SLASH] = ACTIONS(637),
    [anon_sym_PERCENT] = ACTIONS(637),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PIPE] = ACTIONS(631),
    [anon_sym_CARET] = ACTIONS(637),
    [anon_sym_LT_LT] = ACTIONS(631),
    [anon_sym_GT_GT] = ACTIONS(631),
    [anon_sym_BANG2] = ACTIONS(637),
    [anon_sym_borrowing] = ACTIONS(3891),
    [anon_sym_consuming] = ACTIONS(3891),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(631),
    [sym__implicit_semi] = ACTIONS(631),
    [sym__explicit_semi] = ACTIONS(631),
    [sym__arrow_operator_custom] = ACTIONS(631),
    [sym__dot_custom] = ACTIONS(631),
    [sym__conjunction_operator_custom] = ACTIONS(631),
    [sym__disjunction_operator_custom] = ACTIONS(631),
    [sym__nil_coalescing_operator_custom] = ACTIONS(631),
    [sym__eq_custom] = ACTIONS(631),
    [sym__eq_eq_custom] = ACTIONS(631),
    [sym__plus_then_ws] = ACTIONS(631),
    [sym__minus_then_ws] = ACTIONS(631),
    [sym__bang_custom] = ACTIONS(631),
    [sym__throws_keyword] = ACTIONS(631),
    [sym__rethrows_keyword] = ACTIONS(631),
    [sym__as_custom] = ACTIONS(631),
    [sym__as_quest_custom] = ACTIONS(631),
    [sym__as_bang_custom] = ACTIONS(631),
    [sym__async_keyword_custom] = ACTIONS(631),
    [sym__custom_operator] = ACTIONS(631),
  },
  [1058] = {
    [sym__type_level_declaration] = STATE(5789),
    [sym_import_declaration] = STATE(5789),
    [sym_property_declaration] = STATE(5789),
    [sym__modifierless_property_declaration] = STATE(7093),
    [sym_typealias_declaration] = STATE(5789),
    [sym__modifierless_typealias_declaration] = STATE(6964),
    [sym_function_declaration] = STATE(5789),
    [sym__bodyless_function_declaration] = STATE(6758),
    [sym__modifierless_function_declaration_no_body] = STATE(7642),
    [sym_class_declaration] = STATE(5789),
    [sym__modifierless_class_declaration] = STATE(7177),
    [sym__class_member_declarations] = STATE(7771),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__async_modifier] = STATE(6632),
    [sym_protocol_declaration] = STATE(5789),
    [sym_init_declaration] = STATE(5789),
    [sym_deinit_declaration] = STATE(5789),
    [sym_subscript_declaration] = STATE(5789),
    [sym_operator_declaration] = STATE(5789),
    [sym_precedence_group_declaration] = STATE(5789),
    [sym_associatedtype_declaration] = STATE(5789),
    [sym_attribute] = STATE(1553),
    [sym_value_binding_pattern] = STATE(3972),
    [sym__possibly_async_binding_pattern_kind] = STATE(3972),
    [sym_modifiers] = STATE(4232),
    [aux_sym__locally_permitted_modifiers] = STATE(1553),
    [sym__non_local_scope_modifier] = STATE(1553),
    [sym__locally_permitted_modifier] = STATE(1553),
    [sym_property_behavior_modifier] = STATE(1553),
    [sym_member_modifier] = STATE(1553),
    [sym_visibility_modifier] = STATE(1553),
    [sym_function_modifier] = STATE(1553),
    [sym_mutation_modifier] = STATE(1553),
    [sym_property_modifier] = STATE(1553),
    [sym_inheritance_modifier] = STATE(1553),
    [sym_parameter_modifier] = STATE(1553),
    [sym_ownership_modifier] = STATE(1553),
    [sym__parameter_ownership_modifier] = STATE(2572),
    [aux_sym_modifiers_repeat1] = STATE(1553),
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(3817),
    [anon_sym_async] = ACTIONS(3589),
    [anon_sym_lazy] = ACTIONS(3591),
    [anon_sym_package] = ACTIONS(3593),
    [anon_sym_RBRACE] = ACTIONS(3924),
    [anon_sym_import] = ACTIONS(3821),
    [anon_sym_typealias] = ACTIONS(3823),
    [anon_sym_struct] = ACTIONS(3817),
    [anon_sym_class] = ACTIONS(3825),
    [anon_sym_enum] = ACTIONS(3827),
    [anon_sym_protocol] = ACTIONS(3829),
    [anon_sym_let] = ACTIONS(3609),
    [anon_sym_var] = ACTIONS(3609),
    [anon_sym_func] = ACTIONS(3611),
    [anon_sym_extension] = ACTIONS(3831),
    [anon_sym_indirect] = ACTIONS(3833),
    [anon_sym_init] = ACTIONS(3835),
    [anon_sym_deinit] = ACTIONS(3837),
    [anon_sym_subscript] = ACTIONS(3839),
    [anon_sym_prefix] = ACTIONS(3841),
    [anon_sym_infix] = ACTIONS(3841),
    [anon_sym_postfix] = ACTIONS(3841),
    [anon_sym_precedencegroup] = ACTIONS(3843),
    [anon_sym_associatedtype] = ACTIONS(3845),
    [anon_sym_AT] = ACTIONS(123),
    [anon_sym_override] = ACTIONS(3629),
    [anon_sym_convenience] = ACTIONS(3629),
    [anon_sym_required] = ACTIONS(3629),
    [anon_sym_nonisolated] = ACTIONS(3629),
    [anon_sym_public] = ACTIONS(3593),
    [anon_sym_private] = ACTIONS(3593),
    [anon_sym_internal] = ACTIONS(3593),
    [anon_sym_fileprivate] = ACTIONS(3593),
    [anon_sym_open] = ACTIONS(3593),
    [anon_sym_mutating] = ACTIONS(3631),
    [anon_sym_nonmutating] = ACTIONS(3631),
    [anon_sym_static] = ACTIONS(3633),
    [anon_sym_dynamic] = ACTIONS(3633),
    [anon_sym_optional] = ACTIONS(3633),
    [anon_sym_distributed] = ACTIONS(3633),
    [anon_sym_final] = ACTIONS(3635),
    [anon_sym_inout] = ACTIONS(137),
    [anon_sym_ATescaping] = ACTIONS(137),
    [anon_sym_ATautoclosure] = ACTIONS(137),
    [anon_sym_weak] = ACTIONS(141),
    [anon_sym_unowned] = ACTIONS(139),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(141),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(141),
    [anon_sym_borrowing] = ACTIONS(137),
    [anon_sym_consuming] = ACTIONS(137),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
  },
  [1059] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3180),
    [anon_sym_package] = ACTIONS(3180),
    [anon_sym_COMMA] = ACTIONS(3180),
    [anon_sym_LPAREN] = ACTIONS(3180),
    [anon_sym_LBRACK] = ACTIONS(3180),
    [anon_sym_QMARK] = ACTIONS(3182),
    [anon_sym_QMARK2] = ACTIONS(3180),
    [anon_sym_AMP] = ACTIONS(3180),
    [aux_sym_custom_operator_token1] = ACTIONS(3180),
    [anon_sym_LT] = ACTIONS(3182),
    [anon_sym_GT] = ACTIONS(3182),
    [anon_sym_LBRACE] = ACTIONS(3180),
    [anon_sym_CARET_LBRACE] = ACTIONS(3180),
    [anon_sym_RBRACE] = ACTIONS(3180),
    [anon_sym_case] = ACTIONS(3180),
    [anon_sym_fallthrough] = ACTIONS(3180),
    [anon_sym_PLUS_EQ] = ACTIONS(3180),
    [anon_sym_DASH_EQ] = ACTIONS(3180),
    [anon_sym_STAR_EQ] = ACTIONS(3180),
    [anon_sym_SLASH_EQ] = ACTIONS(3180),
    [anon_sym_PERCENT_EQ] = ACTIONS(3180),
    [anon_sym_BANG_EQ] = ACTIONS(3182),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3180),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3180),
    [anon_sym_LT_EQ] = ACTIONS(3180),
    [anon_sym_GT_EQ] = ACTIONS(3180),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3180),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3180),
    [anon_sym_is] = ACTIONS(3180),
    [anon_sym_PLUS] = ACTIONS(3182),
    [anon_sym_DASH] = ACTIONS(3182),
    [anon_sym_STAR] = ACTIONS(3182),
    [anon_sym_SLASH] = ACTIONS(3182),
    [anon_sym_PERCENT] = ACTIONS(3182),
    [anon_sym_PLUS_PLUS] = ACTIONS(3180),
    [anon_sym_DASH_DASH] = ACTIONS(3180),
    [anon_sym_PIPE] = ACTIONS(3180),
    [anon_sym_CARET] = ACTIONS(3182),
    [anon_sym_LT_LT] = ACTIONS(3180),
    [anon_sym_GT_GT] = ACTIONS(3180),
    [anon_sym_class] = ACTIONS(3180),
    [anon_sym_BANG2] = ACTIONS(3182),
    [anon_sym_prefix] = ACTIONS(3180),
    [anon_sym_infix] = ACTIONS(3180),
    [anon_sym_postfix] = ACTIONS(3180),
    [anon_sym_AT] = ACTIONS(3182),
    [anon_sym_override] = ACTIONS(3180),
    [anon_sym_convenience] = ACTIONS(3180),
    [anon_sym_required] = ACTIONS(3180),
    [anon_sym_nonisolated] = ACTIONS(3180),
    [anon_sym_public] = ACTIONS(3180),
    [anon_sym_private] = ACTIONS(3180),
    [anon_sym_internal] = ACTIONS(3180),
    [anon_sym_fileprivate] = ACTIONS(3180),
    [anon_sym_open] = ACTIONS(3180),
    [anon_sym_mutating] = ACTIONS(3180),
    [anon_sym_nonmutating] = ACTIONS(3180),
    [anon_sym_static] = ACTIONS(3180),
    [anon_sym_dynamic] = ACTIONS(3180),
    [anon_sym_optional] = ACTIONS(3180),
    [anon_sym_distributed] = ACTIONS(3180),
    [anon_sym_final] = ACTIONS(3180),
    [anon_sym_inout] = ACTIONS(3180),
    [anon_sym_ATescaping] = ACTIONS(3180),
    [anon_sym_ATautoclosure] = ACTIONS(3180),
    [anon_sym_weak] = ACTIONS(3180),
    [anon_sym_unowned] = ACTIONS(3182),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3180),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3180),
    [anon_sym_borrowing] = ACTIONS(3180),
    [anon_sym_consuming] = ACTIONS(3180),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3180),
    [sym__explicit_semi] = ACTIONS(3180),
    [sym__dot_custom] = ACTIONS(3180),
    [sym__conjunction_operator_custom] = ACTIONS(3180),
    [sym__disjunction_operator_custom] = ACTIONS(3180),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3180),
    [sym__eq_custom] = ACTIONS(3180),
    [sym__eq_eq_custom] = ACTIONS(3180),
    [sym__plus_then_ws] = ACTIONS(3180),
    [sym__minus_then_ws] = ACTIONS(3180),
    [sym__bang_custom] = ACTIONS(3180),
    [sym_default_keyword] = ACTIONS(3180),
    [sym_where_keyword] = ACTIONS(3180),
    [sym__as_custom] = ACTIONS(3180),
    [sym__as_quest_custom] = ACTIONS(3180),
    [sym__as_bang_custom] = ACTIONS(3180),
    [sym__custom_operator] = ACTIONS(3180),
  },
  [1060] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3066),
    [anon_sym_package] = ACTIONS(3066),
    [anon_sym_COMMA] = ACTIONS(3066),
    [anon_sym_LPAREN] = ACTIONS(3066),
    [anon_sym_LBRACK] = ACTIONS(3066),
    [anon_sym_QMARK] = ACTIONS(3068),
    [anon_sym_QMARK2] = ACTIONS(3066),
    [anon_sym_AMP] = ACTIONS(3066),
    [aux_sym_custom_operator_token1] = ACTIONS(3066),
    [anon_sym_LT] = ACTIONS(3068),
    [anon_sym_GT] = ACTIONS(3068),
    [anon_sym_LBRACE] = ACTIONS(3066),
    [anon_sym_CARET_LBRACE] = ACTIONS(3066),
    [anon_sym_RBRACE] = ACTIONS(3066),
    [anon_sym_case] = ACTIONS(3066),
    [anon_sym_fallthrough] = ACTIONS(3066),
    [anon_sym_PLUS_EQ] = ACTIONS(3066),
    [anon_sym_DASH_EQ] = ACTIONS(3066),
    [anon_sym_STAR_EQ] = ACTIONS(3066),
    [anon_sym_SLASH_EQ] = ACTIONS(3066),
    [anon_sym_PERCENT_EQ] = ACTIONS(3066),
    [anon_sym_BANG_EQ] = ACTIONS(3068),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3066),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3066),
    [anon_sym_LT_EQ] = ACTIONS(3066),
    [anon_sym_GT_EQ] = ACTIONS(3066),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3066),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3066),
    [anon_sym_is] = ACTIONS(3066),
    [anon_sym_PLUS] = ACTIONS(3068),
    [anon_sym_DASH] = ACTIONS(3068),
    [anon_sym_STAR] = ACTIONS(3068),
    [anon_sym_SLASH] = ACTIONS(3068),
    [anon_sym_PERCENT] = ACTIONS(3068),
    [anon_sym_PLUS_PLUS] = ACTIONS(3066),
    [anon_sym_DASH_DASH] = ACTIONS(3066),
    [anon_sym_PIPE] = ACTIONS(3066),
    [anon_sym_CARET] = ACTIONS(3068),
    [anon_sym_LT_LT] = ACTIONS(3066),
    [anon_sym_GT_GT] = ACTIONS(3066),
    [anon_sym_class] = ACTIONS(3066),
    [anon_sym_BANG2] = ACTIONS(3068),
    [anon_sym_prefix] = ACTIONS(3066),
    [anon_sym_infix] = ACTIONS(3066),
    [anon_sym_postfix] = ACTIONS(3066),
    [anon_sym_AT] = ACTIONS(3068),
    [anon_sym_override] = ACTIONS(3066),
    [anon_sym_convenience] = ACTIONS(3066),
    [anon_sym_required] = ACTIONS(3066),
    [anon_sym_nonisolated] = ACTIONS(3066),
    [anon_sym_public] = ACTIONS(3066),
    [anon_sym_private] = ACTIONS(3066),
    [anon_sym_internal] = ACTIONS(3066),
    [anon_sym_fileprivate] = ACTIONS(3066),
    [anon_sym_open] = ACTIONS(3066),
    [anon_sym_mutating] = ACTIONS(3066),
    [anon_sym_nonmutating] = ACTIONS(3066),
    [anon_sym_static] = ACTIONS(3066),
    [anon_sym_dynamic] = ACTIONS(3066),
    [anon_sym_optional] = ACTIONS(3066),
    [anon_sym_distributed] = ACTIONS(3066),
    [anon_sym_final] = ACTIONS(3066),
    [anon_sym_inout] = ACTIONS(3066),
    [anon_sym_ATescaping] = ACTIONS(3066),
    [anon_sym_ATautoclosure] = ACTIONS(3066),
    [anon_sym_weak] = ACTIONS(3066),
    [anon_sym_unowned] = ACTIONS(3068),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3066),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3066),
    [anon_sym_borrowing] = ACTIONS(3066),
    [anon_sym_consuming] = ACTIONS(3066),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3066),
    [sym__explicit_semi] = ACTIONS(3066),
    [sym__dot_custom] = ACTIONS(3066),
    [sym__conjunction_operator_custom] = ACTIONS(3066),
    [sym__disjunction_operator_custom] = ACTIONS(3066),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3066),
    [sym__eq_custom] = ACTIONS(3066),
    [sym__eq_eq_custom] = ACTIONS(3066),
    [sym__plus_then_ws] = ACTIONS(3066),
    [sym__minus_then_ws] = ACTIONS(3066),
    [sym__bang_custom] = ACTIONS(3066),
    [sym_default_keyword] = ACTIONS(3066),
    [sym_else] = ACTIONS(3926),
    [sym__as_custom] = ACTIONS(3066),
    [sym__as_quest_custom] = ACTIONS(3066),
    [sym__as_bang_custom] = ACTIONS(3066),
    [sym__custom_operator] = ACTIONS(3066),
  },
  [1061] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3148),
    [anon_sym_package] = ACTIONS(3148),
    [anon_sym_COMMA] = ACTIONS(3148),
    [anon_sym_LPAREN] = ACTIONS(3148),
    [anon_sym_LBRACK] = ACTIONS(3148),
    [anon_sym_QMARK] = ACTIONS(3150),
    [anon_sym_QMARK2] = ACTIONS(3148),
    [anon_sym_AMP] = ACTIONS(3148),
    [aux_sym_custom_operator_token1] = ACTIONS(3148),
    [anon_sym_LT] = ACTIONS(3150),
    [anon_sym_GT] = ACTIONS(3150),
    [anon_sym_LBRACE] = ACTIONS(3148),
    [anon_sym_CARET_LBRACE] = ACTIONS(3148),
    [anon_sym_RBRACE] = ACTIONS(3148),
    [anon_sym_case] = ACTIONS(3148),
    [anon_sym_fallthrough] = ACTIONS(3148),
    [anon_sym_PLUS_EQ] = ACTIONS(3148),
    [anon_sym_DASH_EQ] = ACTIONS(3148),
    [anon_sym_STAR_EQ] = ACTIONS(3148),
    [anon_sym_SLASH_EQ] = ACTIONS(3148),
    [anon_sym_PERCENT_EQ] = ACTIONS(3148),
    [anon_sym_BANG_EQ] = ACTIONS(3150),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3148),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3148),
    [anon_sym_LT_EQ] = ACTIONS(3148),
    [anon_sym_GT_EQ] = ACTIONS(3148),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3148),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3148),
    [anon_sym_is] = ACTIONS(3148),
    [anon_sym_PLUS] = ACTIONS(3150),
    [anon_sym_DASH] = ACTIONS(3150),
    [anon_sym_STAR] = ACTIONS(3150),
    [anon_sym_SLASH] = ACTIONS(3150),
    [anon_sym_PERCENT] = ACTIONS(3150),
    [anon_sym_PLUS_PLUS] = ACTIONS(3148),
    [anon_sym_DASH_DASH] = ACTIONS(3148),
    [anon_sym_PIPE] = ACTIONS(3148),
    [anon_sym_CARET] = ACTIONS(3150),
    [anon_sym_LT_LT] = ACTIONS(3148),
    [anon_sym_GT_GT] = ACTIONS(3148),
    [anon_sym_class] = ACTIONS(3148),
    [anon_sym_BANG2] = ACTIONS(3150),
    [anon_sym_prefix] = ACTIONS(3148),
    [anon_sym_infix] = ACTIONS(3148),
    [anon_sym_postfix] = ACTIONS(3148),
    [anon_sym_AT] = ACTIONS(3150),
    [anon_sym_override] = ACTIONS(3148),
    [anon_sym_convenience] = ACTIONS(3148),
    [anon_sym_required] = ACTIONS(3148),
    [anon_sym_nonisolated] = ACTIONS(3148),
    [anon_sym_public] = ACTIONS(3148),
    [anon_sym_private] = ACTIONS(3148),
    [anon_sym_internal] = ACTIONS(3148),
    [anon_sym_fileprivate] = ACTIONS(3148),
    [anon_sym_open] = ACTIONS(3148),
    [anon_sym_mutating] = ACTIONS(3148),
    [anon_sym_nonmutating] = ACTIONS(3148),
    [anon_sym_static] = ACTIONS(3148),
    [anon_sym_dynamic] = ACTIONS(3148),
    [anon_sym_optional] = ACTIONS(3148),
    [anon_sym_distributed] = ACTIONS(3148),
    [anon_sym_final] = ACTIONS(3148),
    [anon_sym_inout] = ACTIONS(3148),
    [anon_sym_ATescaping] = ACTIONS(3148),
    [anon_sym_ATautoclosure] = ACTIONS(3148),
    [anon_sym_weak] = ACTIONS(3148),
    [anon_sym_unowned] = ACTIONS(3150),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3148),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3148),
    [anon_sym_borrowing] = ACTIONS(3148),
    [anon_sym_consuming] = ACTIONS(3148),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3148),
    [sym__explicit_semi] = ACTIONS(3148),
    [sym__dot_custom] = ACTIONS(3148),
    [sym__conjunction_operator_custom] = ACTIONS(3148),
    [sym__disjunction_operator_custom] = ACTIONS(3148),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3148),
    [sym__eq_custom] = ACTIONS(3148),
    [sym__eq_eq_custom] = ACTIONS(3148),
    [sym__plus_then_ws] = ACTIONS(3148),
    [sym__minus_then_ws] = ACTIONS(3148),
    [sym__bang_custom] = ACTIONS(3148),
    [sym_default_keyword] = ACTIONS(3148),
    [sym_where_keyword] = ACTIONS(3148),
    [sym__as_custom] = ACTIONS(3148),
    [sym__as_quest_custom] = ACTIONS(3148),
    [sym__as_bang_custom] = ACTIONS(3148),
    [sym__custom_operator] = ACTIONS(3148),
  },
  [1062] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3222),
    [anon_sym_package] = ACTIONS(3222),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_LPAREN] = ACTIONS(3222),
    [anon_sym_LBRACK] = ACTIONS(3222),
    [anon_sym_QMARK] = ACTIONS(3224),
    [anon_sym_QMARK2] = ACTIONS(3222),
    [anon_sym_AMP] = ACTIONS(3222),
    [aux_sym_custom_operator_token1] = ACTIONS(3222),
    [anon_sym_LT] = ACTIONS(3224),
    [anon_sym_GT] = ACTIONS(3224),
    [anon_sym_LBRACE] = ACTIONS(3222),
    [anon_sym_CARET_LBRACE] = ACTIONS(3222),
    [anon_sym_RBRACE] = ACTIONS(3222),
    [anon_sym_case] = ACTIONS(3222),
    [anon_sym_fallthrough] = ACTIONS(3222),
    [anon_sym_PLUS_EQ] = ACTIONS(3222),
    [anon_sym_DASH_EQ] = ACTIONS(3222),
    [anon_sym_STAR_EQ] = ACTIONS(3222),
    [anon_sym_SLASH_EQ] = ACTIONS(3222),
    [anon_sym_PERCENT_EQ] = ACTIONS(3222),
    [anon_sym_BANG_EQ] = ACTIONS(3224),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3222),
    [anon_sym_LT_EQ] = ACTIONS(3222),
    [anon_sym_GT_EQ] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3222),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3222),
    [anon_sym_is] = ACTIONS(3222),
    [anon_sym_PLUS] = ACTIONS(3224),
    [anon_sym_DASH] = ACTIONS(3224),
    [anon_sym_STAR] = ACTIONS(3224),
    [anon_sym_SLASH] = ACTIONS(3224),
    [anon_sym_PERCENT] = ACTIONS(3224),
    [anon_sym_PLUS_PLUS] = ACTIONS(3222),
    [anon_sym_DASH_DASH] = ACTIONS(3222),
    [anon_sym_PIPE] = ACTIONS(3222),
    [anon_sym_CARET] = ACTIONS(3224),
    [anon_sym_LT_LT] = ACTIONS(3222),
    [anon_sym_GT_GT] = ACTIONS(3222),
    [anon_sym_class] = ACTIONS(3222),
    [anon_sym_BANG2] = ACTIONS(3224),
    [anon_sym_prefix] = ACTIONS(3222),
    [anon_sym_infix] = ACTIONS(3222),
    [anon_sym_postfix] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(3224),
    [anon_sym_override] = ACTIONS(3222),
    [anon_sym_convenience] = ACTIONS(3222),
    [anon_sym_required] = ACTIONS(3222),
    [anon_sym_nonisolated] = ACTIONS(3222),
    [anon_sym_public] = ACTIONS(3222),
    [anon_sym_private] = ACTIONS(3222),
    [anon_sym_internal] = ACTIONS(3222),
    [anon_sym_fileprivate] = ACTIONS(3222),
    [anon_sym_open] = ACTIONS(3222),
    [anon_sym_mutating] = ACTIONS(3222),
    [anon_sym_nonmutating] = ACTIONS(3222),
    [anon_sym_static] = ACTIONS(3222),
    [anon_sym_dynamic] = ACTIONS(3222),
    [anon_sym_optional] = ACTIONS(3222),
    [anon_sym_distributed] = ACTIONS(3222),
    [anon_sym_final] = ACTIONS(3222),
    [anon_sym_inout] = ACTIONS(3222),
    [anon_sym_ATescaping] = ACTIONS(3222),
    [anon_sym_ATautoclosure] = ACTIONS(3222),
    [anon_sym_weak] = ACTIONS(3222),
    [anon_sym_unowned] = ACTIONS(3224),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3222),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3222),
    [anon_sym_borrowing] = ACTIONS(3222),
    [anon_sym_consuming] = ACTIONS(3222),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3222),
    [sym__explicit_semi] = ACTIONS(3222),
    [sym__dot_custom] = ACTIONS(3222),
    [sym__conjunction_operator_custom] = ACTIONS(3222),
    [sym__disjunction_operator_custom] = ACTIONS(3222),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3222),
    [sym__eq_custom] = ACTIONS(3222),
    [sym__eq_eq_custom] = ACTIONS(3222),
    [sym__plus_then_ws] = ACTIONS(3222),
    [sym__minus_then_ws] = ACTIONS(3222),
    [sym__bang_custom] = ACTIONS(3222),
    [sym_default_keyword] = ACTIONS(3222),
    [sym_where_keyword] = ACTIONS(3222),
    [sym__as_custom] = ACTIONS(3222),
    [sym__as_quest_custom] = ACTIONS(3222),
    [sym__as_bang_custom] = ACTIONS(3222),
    [sym__custom_operator] = ACTIONS(3222),
  },
  [1063] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3312),
    [anon_sym_package] = ACTIONS(3312),
    [anon_sym_COMMA] = ACTIONS(3312),
    [anon_sym_LPAREN] = ACTIONS(3312),
    [anon_sym_LBRACK] = ACTIONS(3312),
    [anon_sym_QMARK] = ACTIONS(3314),
    [anon_sym_QMARK2] = ACTIONS(3312),
    [anon_sym_AMP] = ACTIONS(3312),
    [aux_sym_custom_operator_token1] = ACTIONS(3312),
    [anon_sym_LT] = ACTIONS(3314),
    [anon_sym_GT] = ACTIONS(3314),
    [anon_sym_LBRACE] = ACTIONS(3312),
    [anon_sym_CARET_LBRACE] = ACTIONS(3312),
    [anon_sym_RBRACE] = ACTIONS(3312),
    [anon_sym_case] = ACTIONS(3312),
    [anon_sym_fallthrough] = ACTIONS(3312),
    [anon_sym_PLUS_EQ] = ACTIONS(3312),
    [anon_sym_DASH_EQ] = ACTIONS(3312),
    [anon_sym_STAR_EQ] = ACTIONS(3312),
    [anon_sym_SLASH_EQ] = ACTIONS(3312),
    [anon_sym_PERCENT_EQ] = ACTIONS(3312),
    [anon_sym_BANG_EQ] = ACTIONS(3314),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3312),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3312),
    [anon_sym_LT_EQ] = ACTIONS(3312),
    [anon_sym_GT_EQ] = ACTIONS(3312),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3312),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3312),
    [anon_sym_is] = ACTIONS(3312),
    [anon_sym_PLUS] = ACTIONS(3314),
    [anon_sym_DASH] = ACTIONS(3314),
    [anon_sym_STAR] = ACTIONS(3314),
    [anon_sym_SLASH] = ACTIONS(3314),
    [anon_sym_PERCENT] = ACTIONS(3314),
    [anon_sym_PLUS_PLUS] = ACTIONS(3312),
    [anon_sym_DASH_DASH] = ACTIONS(3312),
    [anon_sym_PIPE] = ACTIONS(3312),
    [anon_sym_CARET] = ACTIONS(3314),
    [anon_sym_LT_LT] = ACTIONS(3312),
    [anon_sym_GT_GT] = ACTIONS(3312),
    [anon_sym_class] = ACTIONS(3312),
    [anon_sym_BANG2] = ACTIONS(3314),
    [anon_sym_prefix] = ACTIONS(3312),
    [anon_sym_infix] = ACTIONS(3312),
    [anon_sym_postfix] = ACTIONS(3312),
    [anon_sym_AT] = ACTIONS(3314),
    [anon_sym_override] = ACTIONS(3312),
    [anon_sym_convenience] = ACTIONS(3312),
    [anon_sym_required] = ACTIONS(3312),
    [anon_sym_nonisolated] = ACTIONS(3312),
    [anon_sym_public] = ACTIONS(3312),
    [anon_sym_private] = ACTIONS(3312),
    [anon_sym_internal] = ACTIONS(3312),
    [anon_sym_fileprivate] = ACTIONS(3312),
    [anon_sym_open] = ACTIONS(3312),
    [anon_sym_mutating] = ACTIONS(3312),
    [anon_sym_nonmutating] = ACTIONS(3312),
    [anon_sym_static] = ACTIONS(3312),
    [anon_sym_dynamic] = ACTIONS(3312),
    [anon_sym_optional] = ACTIONS(3312),
    [anon_sym_distributed] = ACTIONS(3312),
    [anon_sym_final] = ACTIONS(3312),
    [anon_sym_inout] = ACTIONS(3312),
    [anon_sym_ATescaping] = ACTIONS(3312),
    [anon_sym_ATautoclosure] = ACTIONS(3312),
    [anon_sym_weak] = ACTIONS(3312),
    [anon_sym_unowned] = ACTIONS(3314),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3312),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3312),
    [anon_sym_borrowing] = ACTIONS(3312),
    [anon_sym_consuming] = ACTIONS(3312),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3312),
    [sym__explicit_semi] = ACTIONS(3312),
    [sym__dot_custom] = ACTIONS(3312),
    [sym__conjunction_operator_custom] = ACTIONS(3312),
    [sym__disjunction_operator_custom] = ACTIONS(3312),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3312),
    [sym__eq_custom] = ACTIONS(3312),
    [sym__eq_eq_custom] = ACTIONS(3312),
    [sym__plus_then_ws] = ACTIONS(3312),
    [sym__minus_then_ws] = ACTIONS(3312),
    [sym__bang_custom] = ACTIONS(3312),
    [sym_default_keyword] = ACTIONS(3312),
    [sym_where_keyword] = ACTIONS(3312),
    [sym__as_custom] = ACTIONS(3312),
    [sym__as_quest_custom] = ACTIONS(3312),
    [sym__as_bang_custom] = ACTIONS(3312),
    [sym__custom_operator] = ACTIONS(3312),
  },
  [1064] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3248),
    [anon_sym_package] = ACTIONS(3248),
    [anon_sym_COMMA] = ACTIONS(3248),
    [anon_sym_LPAREN] = ACTIONS(3248),
    [anon_sym_LBRACK] = ACTIONS(3248),
    [anon_sym_QMARK] = ACTIONS(3250),
    [anon_sym_QMARK2] = ACTIONS(3248),
    [anon_sym_AMP] = ACTIONS(3248),
    [aux_sym_custom_operator_token1] = ACTIONS(3248),
    [anon_sym_LT] = ACTIONS(3250),
    [anon_sym_GT] = ACTIONS(3250),
    [anon_sym_LBRACE] = ACTIONS(3248),
    [anon_sym_CARET_LBRACE] = ACTIONS(3248),
    [anon_sym_RBRACE] = ACTIONS(3248),
    [anon_sym_case] = ACTIONS(3248),
    [anon_sym_fallthrough] = ACTIONS(3248),
    [anon_sym_PLUS_EQ] = ACTIONS(3248),
    [anon_sym_DASH_EQ] = ACTIONS(3248),
    [anon_sym_STAR_EQ] = ACTIONS(3248),
    [anon_sym_SLASH_EQ] = ACTIONS(3248),
    [anon_sym_PERCENT_EQ] = ACTIONS(3248),
    [anon_sym_BANG_EQ] = ACTIONS(3250),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3248),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3248),
    [anon_sym_LT_EQ] = ACTIONS(3248),
    [anon_sym_GT_EQ] = ACTIONS(3248),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3248),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3248),
    [anon_sym_is] = ACTIONS(3248),
    [anon_sym_PLUS] = ACTIONS(3250),
    [anon_sym_DASH] = ACTIONS(3250),
    [anon_sym_STAR] = ACTIONS(3250),
    [anon_sym_SLASH] = ACTIONS(3250),
    [anon_sym_PERCENT] = ACTIONS(3250),
    [anon_sym_PLUS_PLUS] = ACTIONS(3248),
    [anon_sym_DASH_DASH] = ACTIONS(3248),
    [anon_sym_PIPE] = ACTIONS(3248),
    [anon_sym_CARET] = ACTIONS(3250),
    [anon_sym_LT_LT] = ACTIONS(3248),
    [anon_sym_GT_GT] = ACTIONS(3248),
    [anon_sym_class] = ACTIONS(3248),
    [anon_sym_BANG2] = ACTIONS(3250),
    [anon_sym_prefix] = ACTIONS(3248),
    [anon_sym_infix] = ACTIONS(3248),
    [anon_sym_postfix] = ACTIONS(3248),
    [anon_sym_AT] = ACTIONS(3250),
    [anon_sym_override] = ACTIONS(3248),
    [anon_sym_convenience] = ACTIONS(3248),
    [anon_sym_required] = ACTIONS(3248),
    [anon_sym_nonisolated] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3248),
    [anon_sym_private] = ACTIONS(3248),
    [anon_sym_internal] = ACTIONS(3248),
    [anon_sym_fileprivate] = ACTIONS(3248),
    [anon_sym_open] = ACTIONS(3248),
    [anon_sym_mutating] = ACTIONS(3248),
    [anon_sym_nonmutating] = ACTIONS(3248),
    [anon_sym_static] = ACTIONS(3248),
    [anon_sym_dynamic] = ACTIONS(3248),
    [anon_sym_optional] = ACTIONS(3248),
    [anon_sym_distributed] = ACTIONS(3248),
    [anon_sym_final] = ACTIONS(3248),
    [anon_sym_inout] = ACTIONS(3248),
    [anon_sym_ATescaping] = ACTIONS(3248),
    [anon_sym_ATautoclosure] = ACTIONS(3248),
    [anon_sym_weak] = ACTIONS(3248),
    [anon_sym_unowned] = ACTIONS(3250),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3248),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3248),
    [anon_sym_borrowing] = ACTIONS(3248),
    [anon_sym_consuming] = ACTIONS(3248),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3248),
    [sym__explicit_semi] = ACTIONS(3248),
    [sym__dot_custom] = ACTIONS(3248),
    [sym__conjunction_operator_custom] = ACTIONS(3248),
    [sym__disjunction_operator_custom] = ACTIONS(3248),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3248),
    [sym__eq_custom] = ACTIONS(3248),
    [sym__eq_eq_custom] = ACTIONS(3248),
    [sym__plus_then_ws] = ACTIONS(3248),
    [sym__minus_then_ws] = ACTIONS(3248),
    [sym__bang_custom] = ACTIONS(3248),
    [sym_default_keyword] = ACTIONS(3248),
    [sym_where_keyword] = ACTIONS(3248),
    [sym__as_custom] = ACTIONS(3248),
    [sym__as_quest_custom] = ACTIONS(3248),
    [sym__as_bang_custom] = ACTIONS(3248),
    [sym__custom_operator] = ACTIONS(3248),
  },
  [1065] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3368),
    [anon_sym_package] = ACTIONS(3368),
    [anon_sym_COMMA] = ACTIONS(3368),
    [anon_sym_LPAREN] = ACTIONS(3368),
    [anon_sym_LBRACK] = ACTIONS(3368),
    [anon_sym_QMARK] = ACTIONS(3370),
    [anon_sym_QMARK2] = ACTIONS(3368),
    [anon_sym_AMP] = ACTIONS(3368),
    [aux_sym_custom_operator_token1] = ACTIONS(3368),
    [anon_sym_LT] = ACTIONS(3370),
    [anon_sym_GT] = ACTIONS(3370),
    [anon_sym_LBRACE] = ACTIONS(3368),
    [anon_sym_CARET_LBRACE] = ACTIONS(3368),
    [anon_sym_RBRACE] = ACTIONS(3368),
    [anon_sym_case] = ACTIONS(3368),
    [anon_sym_fallthrough] = ACTIONS(3368),
    [anon_sym_PLUS_EQ] = ACTIONS(3368),
    [anon_sym_DASH_EQ] = ACTIONS(3368),
    [anon_sym_STAR_EQ] = ACTIONS(3368),
    [anon_sym_SLASH_EQ] = ACTIONS(3368),
    [anon_sym_PERCENT_EQ] = ACTIONS(3368),
    [anon_sym_BANG_EQ] = ACTIONS(3370),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3368),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3368),
    [anon_sym_LT_EQ] = ACTIONS(3368),
    [anon_sym_GT_EQ] = ACTIONS(3368),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3368),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3368),
    [anon_sym_is] = ACTIONS(3368),
    [anon_sym_PLUS] = ACTIONS(3370),
    [anon_sym_DASH] = ACTIONS(3370),
    [anon_sym_STAR] = ACTIONS(3370),
    [anon_sym_SLASH] = ACTIONS(3370),
    [anon_sym_PERCENT] = ACTIONS(3370),
    [anon_sym_PLUS_PLUS] = ACTIONS(3368),
    [anon_sym_DASH_DASH] = ACTIONS(3368),
    [anon_sym_PIPE] = ACTIONS(3368),
    [anon_sym_CARET] = ACTIONS(3370),
    [anon_sym_LT_LT] = ACTIONS(3368),
    [anon_sym_GT_GT] = ACTIONS(3368),
    [anon_sym_class] = ACTIONS(3368),
    [anon_sym_BANG2] = ACTIONS(3370),
    [anon_sym_prefix] = ACTIONS(3368),
    [anon_sym_infix] = ACTIONS(3368),
    [anon_sym_postfix] = ACTIONS(3368),
    [anon_sym_AT] = ACTIONS(3370),
    [anon_sym_override] = ACTIONS(3368),
    [anon_sym_convenience] = ACTIONS(3368),
    [anon_sym_required] = ACTIONS(3368),
    [anon_sym_nonisolated] = ACTIONS(3368),
    [anon_sym_public] = ACTIONS(3368),
    [anon_sym_private] = ACTIONS(3368),
    [anon_sym_internal] = ACTIONS(3368),
    [anon_sym_fileprivate] = ACTIONS(3368),
    [anon_sym_open] = ACTIONS(3368),
    [anon_sym_mutating] = ACTIONS(3368),
    [anon_sym_nonmutating] = ACTIONS(3368),
    [anon_sym_static] = ACTIONS(3368),
    [anon_sym_dynamic] = ACTIONS(3368),
    [anon_sym_optional] = ACTIONS(3368),
    [anon_sym_distributed] = ACTIONS(3368),
    [anon_sym_final] = ACTIONS(3368),
    [anon_sym_inout] = ACTIONS(3368),
    [anon_sym_ATescaping] = ACTIONS(3368),
    [anon_sym_ATautoclosure] = ACTIONS(3368),
    [anon_sym_weak] = ACTIONS(3368),
    [anon_sym_unowned] = ACTIONS(3370),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3368),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3368),
    [anon_sym_borrowing] = ACTIONS(3368),
    [anon_sym_consuming] = ACTIONS(3368),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3368),
    [sym__explicit_semi] = ACTIONS(3368),
    [sym__dot_custom] = ACTIONS(3368),
    [sym__conjunction_operator_custom] = ACTIONS(3368),
    [sym__disjunction_operator_custom] = ACTIONS(3368),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3368),
    [sym__eq_custom] = ACTIONS(3368),
    [sym__eq_eq_custom] = ACTIONS(3368),
    [sym__plus_then_ws] = ACTIONS(3368),
    [sym__minus_then_ws] = ACTIONS(3368),
    [sym__bang_custom] = ACTIONS(3368),
    [sym_default_keyword] = ACTIONS(3368),
    [sym_where_keyword] = ACTIONS(3368),
    [sym__as_custom] = ACTIONS(3368),
    [sym__as_quest_custom] = ACTIONS(3368),
    [sym__as_bang_custom] = ACTIONS(3368),
    [sym__custom_operator] = ACTIONS(3368),
  },
  [1066] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3270),
    [anon_sym_package] = ACTIONS(3270),
    [anon_sym_COMMA] = ACTIONS(3270),
    [anon_sym_LPAREN] = ACTIONS(3270),
    [anon_sym_LBRACK] = ACTIONS(3270),
    [anon_sym_QMARK] = ACTIONS(3272),
    [anon_sym_QMARK2] = ACTIONS(3270),
    [anon_sym_AMP] = ACTIONS(3270),
    [aux_sym_custom_operator_token1] = ACTIONS(3270),
    [anon_sym_LT] = ACTIONS(3272),
    [anon_sym_GT] = ACTIONS(3272),
    [anon_sym_LBRACE] = ACTIONS(3270),
    [anon_sym_CARET_LBRACE] = ACTIONS(3270),
    [anon_sym_RBRACE] = ACTIONS(3270),
    [anon_sym_case] = ACTIONS(3270),
    [anon_sym_fallthrough] = ACTIONS(3270),
    [anon_sym_PLUS_EQ] = ACTIONS(3270),
    [anon_sym_DASH_EQ] = ACTIONS(3270),
    [anon_sym_STAR_EQ] = ACTIONS(3270),
    [anon_sym_SLASH_EQ] = ACTIONS(3270),
    [anon_sym_PERCENT_EQ] = ACTIONS(3270),
    [anon_sym_BANG_EQ] = ACTIONS(3272),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3270),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3270),
    [anon_sym_LT_EQ] = ACTIONS(3270),
    [anon_sym_GT_EQ] = ACTIONS(3270),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3270),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3270),
    [anon_sym_is] = ACTIONS(3270),
    [anon_sym_PLUS] = ACTIONS(3272),
    [anon_sym_DASH] = ACTIONS(3272),
    [anon_sym_STAR] = ACTIONS(3272),
    [anon_sym_SLASH] = ACTIONS(3272),
    [anon_sym_PERCENT] = ACTIONS(3272),
    [anon_sym_PLUS_PLUS] = ACTIONS(3270),
    [anon_sym_DASH_DASH] = ACTIONS(3270),
    [anon_sym_PIPE] = ACTIONS(3270),
    [anon_sym_CARET] = ACTIONS(3272),
    [anon_sym_LT_LT] = ACTIONS(3270),
    [anon_sym_GT_GT] = ACTIONS(3270),
    [anon_sym_class] = ACTIONS(3270),
    [anon_sym_BANG2] = ACTIONS(3272),
    [anon_sym_prefix] = ACTIONS(3270),
    [anon_sym_infix] = ACTIONS(3270),
    [anon_sym_postfix] = ACTIONS(3270),
    [anon_sym_AT] = ACTIONS(3272),
    [anon_sym_override] = ACTIONS(3270),
    [anon_sym_convenience] = ACTIONS(3270),
    [anon_sym_required] = ACTIONS(3270),
    [anon_sym_nonisolated] = ACTIONS(3270),
    [anon_sym_public] = ACTIONS(3270),
    [anon_sym_private] = ACTIONS(3270),
    [anon_sym_internal] = ACTIONS(3270),
    [anon_sym_fileprivate] = ACTIONS(3270),
    [anon_sym_open] = ACTIONS(3270),
    [anon_sym_mutating] = ACTIONS(3270),
    [anon_sym_nonmutating] = ACTIONS(3270),
    [anon_sym_static] = ACTIONS(3270),
    [anon_sym_dynamic] = ACTIONS(3270),
    [anon_sym_optional] = ACTIONS(3270),
    [anon_sym_distributed] = ACTIONS(3270),
    [anon_sym_final] = ACTIONS(3270),
    [anon_sym_inout] = ACTIONS(3270),
    [anon_sym_ATescaping] = ACTIONS(3270),
    [anon_sym_ATautoclosure] = ACTIONS(3270),
    [anon_sym_weak] = ACTIONS(3270),
    [anon_sym_unowned] = ACTIONS(3272),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3270),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3270),
    [anon_sym_borrowing] = ACTIONS(3270),
    [anon_sym_consuming] = ACTIONS(3270),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3270),
    [sym__explicit_semi] = ACTIONS(3270),
    [sym__dot_custom] = ACTIONS(3270),
    [sym__conjunction_operator_custom] = ACTIONS(3270),
    [sym__disjunction_operator_custom] = ACTIONS(3270),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3270),
    [sym__eq_custom] = ACTIONS(3270),
    [sym__eq_eq_custom] = ACTIONS(3270),
    [sym__plus_then_ws] = ACTIONS(3270),
    [sym__minus_then_ws] = ACTIONS(3270),
    [sym__bang_custom] = ACTIONS(3270),
    [sym_default_keyword] = ACTIONS(3270),
    [sym_where_keyword] = ACTIONS(3270),
    [sym__as_custom] = ACTIONS(3270),
    [sym__as_quest_custom] = ACTIONS(3270),
    [sym__as_bang_custom] = ACTIONS(3270),
    [sym__custom_operator] = ACTIONS(3270),
  },
  [1067] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3164),
    [anon_sym_package] = ACTIONS(3164),
    [anon_sym_COMMA] = ACTIONS(3164),
    [anon_sym_LPAREN] = ACTIONS(3164),
    [anon_sym_LBRACK] = ACTIONS(3164),
    [anon_sym_QMARK] = ACTIONS(3166),
    [anon_sym_QMARK2] = ACTIONS(3164),
    [anon_sym_AMP] = ACTIONS(3164),
    [aux_sym_custom_operator_token1] = ACTIONS(3164),
    [anon_sym_LT] = ACTIONS(3166),
    [anon_sym_GT] = ACTIONS(3166),
    [anon_sym_LBRACE] = ACTIONS(3164),
    [anon_sym_CARET_LBRACE] = ACTIONS(3164),
    [anon_sym_RBRACE] = ACTIONS(3164),
    [anon_sym_case] = ACTIONS(3164),
    [anon_sym_fallthrough] = ACTIONS(3164),
    [anon_sym_PLUS_EQ] = ACTIONS(3164),
    [anon_sym_DASH_EQ] = ACTIONS(3164),
    [anon_sym_STAR_EQ] = ACTIONS(3164),
    [anon_sym_SLASH_EQ] = ACTIONS(3164),
    [anon_sym_PERCENT_EQ] = ACTIONS(3164),
    [anon_sym_BANG_EQ] = ACTIONS(3166),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3164),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3164),
    [anon_sym_LT_EQ] = ACTIONS(3164),
    [anon_sym_GT_EQ] = ACTIONS(3164),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3164),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3164),
    [anon_sym_is] = ACTIONS(3164),
    [anon_sym_PLUS] = ACTIONS(3166),
    [anon_sym_DASH] = ACTIONS(3166),
    [anon_sym_STAR] = ACTIONS(3166),
    [anon_sym_SLASH] = ACTIONS(3166),
    [anon_sym_PERCENT] = ACTIONS(3166),
    [anon_sym_PLUS_PLUS] = ACTIONS(3164),
    [anon_sym_DASH_DASH] = ACTIONS(3164),
    [anon_sym_PIPE] = ACTIONS(3164),
    [anon_sym_CARET] = ACTIONS(3166),
    [anon_sym_LT_LT] = ACTIONS(3164),
    [anon_sym_GT_GT] = ACTIONS(3164),
    [anon_sym_class] = ACTIONS(3164),
    [anon_sym_BANG2] = ACTIONS(3166),
    [anon_sym_prefix] = ACTIONS(3164),
    [anon_sym_infix] = ACTIONS(3164),
    [anon_sym_postfix] = ACTIONS(3164),
    [anon_sym_AT] = ACTIONS(3166),
    [anon_sym_override] = ACTIONS(3164),
    [anon_sym_convenience] = ACTIONS(3164),
    [anon_sym_required] = ACTIONS(3164),
    [anon_sym_nonisolated] = ACTIONS(3164),
    [anon_sym_public] = ACTIONS(3164),
    [anon_sym_private] = ACTIONS(3164),
    [anon_sym_internal] = ACTIONS(3164),
    [anon_sym_fileprivate] = ACTIONS(3164),
    [anon_sym_open] = ACTIONS(3164),
    [anon_sym_mutating] = ACTIONS(3164),
    [anon_sym_nonmutating] = ACTIONS(3164),
    [anon_sym_static] = ACTIONS(3164),
    [anon_sym_dynamic] = ACTIONS(3164),
    [anon_sym_optional] = ACTIONS(3164),
    [anon_sym_distributed] = ACTIONS(3164),
    [anon_sym_final] = ACTIONS(3164),
    [anon_sym_inout] = ACTIONS(3164),
    [anon_sym_ATescaping] = ACTIONS(3164),
    [anon_sym_ATautoclosure] = ACTIONS(3164),
    [anon_sym_weak] = ACTIONS(3164),
    [anon_sym_unowned] = ACTIONS(3166),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3164),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3164),
    [anon_sym_borrowing] = ACTIONS(3164),
    [anon_sym_consuming] = ACTIONS(3164),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3164),
    [sym__explicit_semi] = ACTIONS(3164),
    [sym__dot_custom] = ACTIONS(3164),
    [sym__conjunction_operator_custom] = ACTIONS(3164),
    [sym__disjunction_operator_custom] = ACTIONS(3164),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3164),
    [sym__eq_custom] = ACTIONS(3164),
    [sym__eq_eq_custom] = ACTIONS(3164),
    [sym__plus_then_ws] = ACTIONS(3164),
    [sym__minus_then_ws] = ACTIONS(3164),
    [sym__bang_custom] = ACTIONS(3164),
    [sym_default_keyword] = ACTIONS(3164),
    [sym_where_keyword] = ACTIONS(3164),
    [sym__as_custom] = ACTIONS(3164),
    [sym__as_quest_custom] = ACTIONS(3164),
    [sym__as_bang_custom] = ACTIONS(3164),
    [sym__custom_operator] = ACTIONS(3164),
  },
  [1068] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3008),
    [anon_sym_package] = ACTIONS(3008),
    [anon_sym_COMMA] = ACTIONS(3008),
    [anon_sym_LPAREN] = ACTIONS(3008),
    [anon_sym_LBRACK] = ACTIONS(3008),
    [anon_sym_QMARK] = ACTIONS(3006),
    [anon_sym_QMARK2] = ACTIONS(3008),
    [anon_sym_AMP] = ACTIONS(3008),
    [aux_sym_custom_operator_token1] = ACTIONS(3008),
    [anon_sym_LT] = ACTIONS(3006),
    [anon_sym_GT] = ACTIONS(3006),
    [anon_sym_LBRACE] = ACTIONS(3008),
    [anon_sym_CARET_LBRACE] = ACTIONS(3008),
    [anon_sym_RBRACE] = ACTIONS(3008),
    [anon_sym_case] = ACTIONS(3008),
    [anon_sym_fallthrough] = ACTIONS(3008),
    [anon_sym_PLUS_EQ] = ACTIONS(3008),
    [anon_sym_DASH_EQ] = ACTIONS(3008),
    [anon_sym_STAR_EQ] = ACTIONS(3008),
    [anon_sym_SLASH_EQ] = ACTIONS(3008),
    [anon_sym_PERCENT_EQ] = ACTIONS(3008),
    [anon_sym_BANG_EQ] = ACTIONS(3006),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3008),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3008),
    [anon_sym_LT_EQ] = ACTIONS(3008),
    [anon_sym_GT_EQ] = ACTIONS(3008),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3008),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3008),
    [anon_sym_is] = ACTIONS(3008),
    [anon_sym_PLUS] = ACTIONS(3006),
    [anon_sym_DASH] = ACTIONS(3006),
    [anon_sym_STAR] = ACTIONS(3006),
    [anon_sym_SLASH] = ACTIONS(3006),
    [anon_sym_PERCENT] = ACTIONS(3006),
    [anon_sym_PLUS_PLUS] = ACTIONS(3008),
    [anon_sym_DASH_DASH] = ACTIONS(3008),
    [anon_sym_PIPE] = ACTIONS(3008),
    [anon_sym_CARET] = ACTIONS(3006),
    [anon_sym_LT_LT] = ACTIONS(3008),
    [anon_sym_GT_GT] = ACTIONS(3008),
    [anon_sym_class] = ACTIONS(3008),
    [anon_sym_BANG2] = ACTIONS(3006),
    [anon_sym_prefix] = ACTIONS(3008),
    [anon_sym_infix] = ACTIONS(3008),
    [anon_sym_postfix] = ACTIONS(3008),
    [anon_sym_AT] = ACTIONS(3006),
    [anon_sym_override] = ACTIONS(3008),
    [anon_sym_convenience] = ACTIONS(3008),
    [anon_sym_required] = ACTIONS(3008),
    [anon_sym_nonisolated] = ACTIONS(3008),
    [anon_sym_public] = ACTIONS(3008),
    [anon_sym_private] = ACTIONS(3008),
    [anon_sym_internal] = ACTIONS(3008),
    [anon_sym_fileprivate] = ACTIONS(3008),
    [anon_sym_open] = ACTIONS(3008),
    [anon_sym_mutating] = ACTIONS(3008),
    [anon_sym_nonmutating] = ACTIONS(3008),
    [anon_sym_static] = ACTIONS(3008),
    [anon_sym_dynamic] = ACTIONS(3008),
    [anon_sym_optional] = ACTIONS(3008),
    [anon_sym_distributed] = ACTIONS(3008),
    [anon_sym_final] = ACTIONS(3008),
    [anon_sym_inout] = ACTIONS(3008),
    [anon_sym_ATescaping] = ACTIONS(3008),
    [anon_sym_ATautoclosure] = ACTIONS(3008),
    [anon_sym_weak] = ACTIONS(3008),
    [anon_sym_unowned] = ACTIONS(3006),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3008),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3008),
    [anon_sym_borrowing] = ACTIONS(3008),
    [anon_sym_consuming] = ACTIONS(3008),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3008),
    [sym__explicit_semi] = ACTIONS(3008),
    [sym__dot_custom] = ACTIONS(3008),
    [sym__conjunction_operator_custom] = ACTIONS(3008),
    [sym__disjunction_operator_custom] = ACTIONS(3008),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3008),
    [sym__eq_custom] = ACTIONS(3008),
    [sym__eq_eq_custom] = ACTIONS(3008),
    [sym__plus_then_ws] = ACTIONS(3008),
    [sym__minus_then_ws] = ACTIONS(3008),
    [sym__bang_custom] = ACTIONS(3008),
    [sym_default_keyword] = ACTIONS(3008),
    [sym_where_keyword] = ACTIONS(3008),
    [sym__as_custom] = ACTIONS(3008),
    [sym__as_quest_custom] = ACTIONS(3008),
    [sym__as_bang_custom] = ACTIONS(3008),
    [sym__custom_operator] = ACTIONS(3008),
  },
  [1069] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3340),
    [anon_sym_package] = ACTIONS(3340),
    [anon_sym_COMMA] = ACTIONS(3340),
    [anon_sym_LPAREN] = ACTIONS(3340),
    [anon_sym_LBRACK] = ACTIONS(3340),
    [anon_sym_QMARK] = ACTIONS(3342),
    [anon_sym_QMARK2] = ACTIONS(3340),
    [anon_sym_AMP] = ACTIONS(3340),
    [aux_sym_custom_operator_token1] = ACTIONS(3340),
    [anon_sym_LT] = ACTIONS(3342),
    [anon_sym_GT] = ACTIONS(3342),
    [anon_sym_LBRACE] = ACTIONS(3340),
    [anon_sym_CARET_LBRACE] = ACTIONS(3340),
    [anon_sym_RBRACE] = ACTIONS(3340),
    [anon_sym_case] = ACTIONS(3340),
    [anon_sym_fallthrough] = ACTIONS(3340),
    [anon_sym_PLUS_EQ] = ACTIONS(3340),
    [anon_sym_DASH_EQ] = ACTIONS(3340),
    [anon_sym_STAR_EQ] = ACTIONS(3340),
    [anon_sym_SLASH_EQ] = ACTIONS(3340),
    [anon_sym_PERCENT_EQ] = ACTIONS(3340),
    [anon_sym_BANG_EQ] = ACTIONS(3342),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3340),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3340),
    [anon_sym_LT_EQ] = ACTIONS(3340),
    [anon_sym_GT_EQ] = ACTIONS(3340),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3340),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3340),
    [anon_sym_is] = ACTIONS(3340),
    [anon_sym_PLUS] = ACTIONS(3342),
    [anon_sym_DASH] = ACTIONS(3342),
    [anon_sym_STAR] = ACTIONS(3342),
    [anon_sym_SLASH] = ACTIONS(3342),
    [anon_sym_PERCENT] = ACTIONS(3342),
    [anon_sym_PLUS_PLUS] = ACTIONS(3340),
    [anon_sym_DASH_DASH] = ACTIONS(3340),
    [anon_sym_PIPE] = ACTIONS(3340),
    [anon_sym_CARET] = ACTIONS(3342),
    [anon_sym_LT_LT] = ACTIONS(3340),
    [anon_sym_GT_GT] = ACTIONS(3340),
    [anon_sym_class] = ACTIONS(3340),
    [anon_sym_BANG2] = ACTIONS(3342),
    [anon_sym_prefix] = ACTIONS(3340),
    [anon_sym_infix] = ACTIONS(3340),
    [anon_sym_postfix] = ACTIONS(3340),
    [anon_sym_AT] = ACTIONS(3342),
    [anon_sym_override] = ACTIONS(3340),
    [anon_sym_convenience] = ACTIONS(3340),
    [anon_sym_required] = ACTIONS(3340),
    [anon_sym_nonisolated] = ACTIONS(3340),
    [anon_sym_public] = ACTIONS(3340),
    [anon_sym_private] = ACTIONS(3340),
    [anon_sym_internal] = ACTIONS(3340),
    [anon_sym_fileprivate] = ACTIONS(3340),
    [anon_sym_open] = ACTIONS(3340),
    [anon_sym_mutating] = ACTIONS(3340),
    [anon_sym_nonmutating] = ACTIONS(3340),
    [anon_sym_static] = ACTIONS(3340),
    [anon_sym_dynamic] = ACTIONS(3340),
    [anon_sym_optional] = ACTIONS(3340),
    [anon_sym_distributed] = ACTIONS(3340),
    [anon_sym_final] = ACTIONS(3340),
    [anon_sym_inout] = ACTIONS(3340),
    [anon_sym_ATescaping] = ACTIONS(3340),
    [anon_sym_ATautoclosure] = ACTIONS(3340),
    [anon_sym_weak] = ACTIONS(3340),
    [anon_sym_unowned] = ACTIONS(3342),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3340),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3340),
    [anon_sym_borrowing] = ACTIONS(3340),
    [anon_sym_consuming] = ACTIONS(3340),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3340),
    [sym__explicit_semi] = ACTIONS(3340),
    [sym__dot_custom] = ACTIONS(3340),
    [sym__conjunction_operator_custom] = ACTIONS(3340),
    [sym__disjunction_operator_custom] = ACTIONS(3340),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3340),
    [sym__eq_custom] = ACTIONS(3340),
    [sym__eq_eq_custom] = ACTIONS(3340),
    [sym__plus_then_ws] = ACTIONS(3340),
    [sym__minus_then_ws] = ACTIONS(3340),
    [sym__bang_custom] = ACTIONS(3340),
    [sym_default_keyword] = ACTIONS(3340),
    [sym_where_keyword] = ACTIONS(3340),
    [sym__as_custom] = ACTIONS(3340),
    [sym__as_quest_custom] = ACTIONS(3340),
    [sym__as_bang_custom] = ACTIONS(3340),
    [sym__custom_operator] = ACTIONS(3340),
  },
  [1070] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3176),
    [anon_sym_package] = ACTIONS(3176),
    [anon_sym_COMMA] = ACTIONS(3176),
    [anon_sym_LPAREN] = ACTIONS(3176),
    [anon_sym_LBRACK] = ACTIONS(3176),
    [anon_sym_QMARK] = ACTIONS(3178),
    [anon_sym_QMARK2] = ACTIONS(3176),
    [anon_sym_AMP] = ACTIONS(3176),
    [aux_sym_custom_operator_token1] = ACTIONS(3176),
    [anon_sym_LT] = ACTIONS(3178),
    [anon_sym_GT] = ACTIONS(3178),
    [anon_sym_LBRACE] = ACTIONS(3176),
    [anon_sym_CARET_LBRACE] = ACTIONS(3176),
    [anon_sym_RBRACE] = ACTIONS(3176),
    [anon_sym_case] = ACTIONS(3176),
    [anon_sym_fallthrough] = ACTIONS(3176),
    [anon_sym_PLUS_EQ] = ACTIONS(3176),
    [anon_sym_DASH_EQ] = ACTIONS(3176),
    [anon_sym_STAR_EQ] = ACTIONS(3176),
    [anon_sym_SLASH_EQ] = ACTIONS(3176),
    [anon_sym_PERCENT_EQ] = ACTIONS(3176),
    [anon_sym_BANG_EQ] = ACTIONS(3178),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3176),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3176),
    [anon_sym_LT_EQ] = ACTIONS(3176),
    [anon_sym_GT_EQ] = ACTIONS(3176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3176),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3176),
    [anon_sym_is] = ACTIONS(3176),
    [anon_sym_PLUS] = ACTIONS(3178),
    [anon_sym_DASH] = ACTIONS(3178),
    [anon_sym_STAR] = ACTIONS(3178),
    [anon_sym_SLASH] = ACTIONS(3178),
    [anon_sym_PERCENT] = ACTIONS(3178),
    [anon_sym_PLUS_PLUS] = ACTIONS(3176),
    [anon_sym_DASH_DASH] = ACTIONS(3176),
    [anon_sym_PIPE] = ACTIONS(3176),
    [anon_sym_CARET] = ACTIONS(3178),
    [anon_sym_LT_LT] = ACTIONS(3176),
    [anon_sym_GT_GT] = ACTIONS(3176),
    [anon_sym_class] = ACTIONS(3176),
    [anon_sym_BANG2] = ACTIONS(3178),
    [anon_sym_prefix] = ACTIONS(3176),
    [anon_sym_infix] = ACTIONS(3176),
    [anon_sym_postfix] = ACTIONS(3176),
    [anon_sym_AT] = ACTIONS(3178),
    [anon_sym_override] = ACTIONS(3176),
    [anon_sym_convenience] = ACTIONS(3176),
    [anon_sym_required] = ACTIONS(3176),
    [anon_sym_nonisolated] = ACTIONS(3176),
    [anon_sym_public] = ACTIONS(3176),
    [anon_sym_private] = ACTIONS(3176),
    [anon_sym_internal] = ACTIONS(3176),
    [anon_sym_fileprivate] = ACTIONS(3176),
    [anon_sym_open] = ACTIONS(3176),
    [anon_sym_mutating] = ACTIONS(3176),
    [anon_sym_nonmutating] = ACTIONS(3176),
    [anon_sym_static] = ACTIONS(3176),
    [anon_sym_dynamic] = ACTIONS(3176),
    [anon_sym_optional] = ACTIONS(3176),
    [anon_sym_distributed] = ACTIONS(3176),
    [anon_sym_final] = ACTIONS(3176),
    [anon_sym_inout] = ACTIONS(3176),
    [anon_sym_ATescaping] = ACTIONS(3176),
    [anon_sym_ATautoclosure] = ACTIONS(3176),
    [anon_sym_weak] = ACTIONS(3176),
    [anon_sym_unowned] = ACTIONS(3178),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3176),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3176),
    [anon_sym_borrowing] = ACTIONS(3176),
    [anon_sym_consuming] = ACTIONS(3176),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3176),
    [sym__explicit_semi] = ACTIONS(3176),
    [sym__dot_custom] = ACTIONS(3176),
    [sym__conjunction_operator_custom] = ACTIONS(3176),
    [sym__disjunction_operator_custom] = ACTIONS(3176),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3176),
    [sym__eq_custom] = ACTIONS(3176),
    [sym__eq_eq_custom] = ACTIONS(3176),
    [sym__plus_then_ws] = ACTIONS(3176),
    [sym__minus_then_ws] = ACTIONS(3176),
    [sym__bang_custom] = ACTIONS(3176),
    [sym_default_keyword] = ACTIONS(3176),
    [sym_where_keyword] = ACTIONS(3176),
    [sym__as_custom] = ACTIONS(3176),
    [sym__as_quest_custom] = ACTIONS(3176),
    [sym__as_bang_custom] = ACTIONS(3176),
    [sym__custom_operator] = ACTIONS(3176),
  },
  [1071] = {
    [sym_simple_identifier] = STATE(1898),
    [sym__contextual_simple_identifier] = STATE(1991),
    [sym__unannotated_type] = STATE(1757),
    [sym_user_type] = STATE(1854),
    [sym__simple_user_type] = STATE(1871),
    [sym_tuple_type] = STATE(1736),
    [sym_function_type] = STATE(1757),
    [sym_array_type] = STATE(1854),
    [sym_dictionary_type] = STATE(1854),
    [sym_optional_type] = STATE(1757),
    [sym_metatype] = STATE(1757),
    [sym_opaque_type] = STATE(1757),
    [sym_existential_type] = STATE(1757),
    [sym_type_parameter_pack] = STATE(1757),
    [sym_type_pack_expansion] = STATE(1757),
    [sym_protocol_composition_type] = STATE(1757),
    [sym__parenthesized_type] = STATE(1979),
    [sym__parameter_ownership_modifier] = STATE(1991),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(3928),
    [aux_sym_simple_identifier_token2] = ACTIONS(3930),
    [aux_sym_simple_identifier_token3] = ACTIONS(3930),
    [aux_sym_simple_identifier_token4] = ACTIONS(3930),
    [anon_sym_actor] = ACTIONS(3928),
    [anon_sym_async] = ACTIONS(3928),
    [anon_sym_each] = ACTIONS(3932),
    [anon_sym_lazy] = ACTIONS(3928),
    [anon_sym_repeat] = ACTIONS(3934),
    [anon_sym_package] = ACTIONS(3928),
    [anon_sym_COMMA] = ACTIONS(631),
    [anon_sym_LPAREN] = ACTIONS(3936),
    [anon_sym_LBRACK] = ACTIONS(3939),
    [anon_sym_DOT] = ACTIONS(637),
    [anon_sym_QMARK] = ACTIONS(637),
    [anon_sym_QMARK2] = ACTIONS(631),
    [anon_sym_some] = ACTIONS(3942),
    [anon_sym_any] = ACTIONS(3944),
    [anon_sym_AMP] = ACTIONS(631),
    [aux_sym_custom_operator_token1] = ACTIONS(631),
    [anon_sym_LT] = ACTIONS(637),
    [anon_sym_GT] = ACTIONS(637),
    [anon_sym_LBRACE] = ACTIONS(631),
    [anon_sym_CARET_LBRACE] = ACTIONS(631),
    [anon_sym_PLUS_EQ] = ACTIONS(631),
    [anon_sym_DASH_EQ] = ACTIONS(631),
    [anon_sym_STAR_EQ] = ACTIONS(631),
    [anon_sym_SLASH_EQ] = ACTIONS(631),
    [anon_sym_PERCENT_EQ] = ACTIONS(631),
    [anon_sym_BANG_EQ] = ACTIONS(637),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(631),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(631),
    [anon_sym_LT_EQ] = ACTIONS(631),
    [anon_sym_GT_EQ] = ACTIONS(631),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(631),
    [anon_sym_DOT_DOT_LT] = ACTIONS(631),
    [anon_sym_is] = ACTIONS(637),
    [anon_sym_PLUS] = ACTIONS(637),
    [anon_sym_DASH] = ACTIONS(637),
    [anon_sym_STAR] = ACTIONS(637),
    [anon_sym_SLASH] = ACTIONS(637),
    [anon_sym_PERCENT] = ACTIONS(637),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PIPE] = ACTIONS(631),
    [anon_sym_CARET] = ACTIONS(637),
    [anon_sym_LT_LT] = ACTIONS(631),
    [anon_sym_GT_GT] = ACTIONS(631),
    [anon_sym_BANG2] = ACTIONS(637),
    [anon_sym_borrowing] = ACTIONS(3928),
    [anon_sym_consuming] = ACTIONS(3928),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(631),
    [sym__dot_custom] = ACTIONS(631),
    [sym__conjunction_operator_custom] = ACTIONS(631),
    [sym__disjunction_operator_custom] = ACTIONS(631),
    [sym__nil_coalescing_operator_custom] = ACTIONS(631),
    [sym__eq_custom] = ACTIONS(631),
    [sym__eq_eq_custom] = ACTIONS(631),
    [sym__plus_then_ws] = ACTIONS(631),
    [sym__minus_then_ws] = ACTIONS(631),
    [sym__bang_custom] = ACTIONS(631),
    [sym__throws_keyword] = ACTIONS(631),
    [sym__rethrows_keyword] = ACTIONS(631),
    [sym_where_keyword] = ACTIONS(631),
    [sym_else] = ACTIONS(631),
    [sym__as_custom] = ACTIONS(631),
    [sym__as_quest_custom] = ACTIONS(631),
    [sym__as_bang_custom] = ACTIONS(631),
    [sym__async_keyword_custom] = ACTIONS(631),
    [sym__custom_operator] = ACTIONS(631),
  },
  [1072] = {
    [sym_simple_identifier] = STATE(1898),
    [sym__contextual_simple_identifier] = STATE(1991),
    [sym__unannotated_type] = STATE(1760),
    [sym_user_type] = STATE(1854),
    [sym__simple_user_type] = STATE(1871),
    [sym_tuple_type] = STATE(1736),
    [sym_function_type] = STATE(1760),
    [sym_array_type] = STATE(1854),
    [sym_dictionary_type] = STATE(1854),
    [sym_optional_type] = STATE(1760),
    [sym_metatype] = STATE(1760),
    [sym_opaque_type] = STATE(1760),
    [sym_existential_type] = STATE(1760),
    [sym_type_parameter_pack] = STATE(1760),
    [sym_type_pack_expansion] = STATE(1760),
    [sym_protocol_composition_type] = STATE(1760),
    [sym__parenthesized_type] = STATE(1979),
    [sym__parameter_ownership_modifier] = STATE(1991),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(3928),
    [aux_sym_simple_identifier_token2] = ACTIONS(3930),
    [aux_sym_simple_identifier_token3] = ACTIONS(3930),
    [aux_sym_simple_identifier_token4] = ACTIONS(3930),
    [anon_sym_actor] = ACTIONS(3928),
    [anon_sym_async] = ACTIONS(3928),
    [anon_sym_each] = ACTIONS(3932),
    [anon_sym_lazy] = ACTIONS(3928),
    [anon_sym_repeat] = ACTIONS(3934),
    [anon_sym_package] = ACTIONS(3928),
    [anon_sym_COMMA] = ACTIONS(631),
    [anon_sym_LPAREN] = ACTIONS(3936),
    [anon_sym_LBRACK] = ACTIONS(3939),
    [anon_sym_DOT] = ACTIONS(637),
    [anon_sym_QMARK] = ACTIONS(637),
    [anon_sym_QMARK2] = ACTIONS(631),
    [anon_sym_some] = ACTIONS(3942),
    [anon_sym_any] = ACTIONS(3944),
    [anon_sym_AMP] = ACTIONS(631),
    [aux_sym_custom_operator_token1] = ACTIONS(631),
    [anon_sym_LT] = ACTIONS(637),
    [anon_sym_GT] = ACTIONS(637),
    [anon_sym_LBRACE] = ACTIONS(631),
    [anon_sym_CARET_LBRACE] = ACTIONS(631),
    [anon_sym_PLUS_EQ] = ACTIONS(631),
    [anon_sym_DASH_EQ] = ACTIONS(631),
    [anon_sym_STAR_EQ] = ACTIONS(631),
    [anon_sym_SLASH_EQ] = ACTIONS(631),
    [anon_sym_PERCENT_EQ] = ACTIONS(631),
    [anon_sym_BANG_EQ] = ACTIONS(637),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(631),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(631),
    [anon_sym_LT_EQ] = ACTIONS(631),
    [anon_sym_GT_EQ] = ACTIONS(631),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(631),
    [anon_sym_DOT_DOT_LT] = ACTIONS(631),
    [anon_sym_is] = ACTIONS(637),
    [anon_sym_PLUS] = ACTIONS(637),
    [anon_sym_DASH] = ACTIONS(637),
    [anon_sym_STAR] = ACTIONS(637),
    [anon_sym_SLASH] = ACTIONS(637),
    [anon_sym_PERCENT] = ACTIONS(637),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PIPE] = ACTIONS(631),
    [anon_sym_CARET] = ACTIONS(637),
    [anon_sym_LT_LT] = ACTIONS(631),
    [anon_sym_GT_GT] = ACTIONS(631),
    [anon_sym_BANG2] = ACTIONS(637),
    [anon_sym_borrowing] = ACTIONS(3928),
    [anon_sym_consuming] = ACTIONS(3928),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(631),
    [sym__dot_custom] = ACTIONS(631),
    [sym__conjunction_operator_custom] = ACTIONS(631),
    [sym__disjunction_operator_custom] = ACTIONS(631),
    [sym__nil_coalescing_operator_custom] = ACTIONS(631),
    [sym__eq_custom] = ACTIONS(631),
    [sym__eq_eq_custom] = ACTIONS(631),
    [sym__plus_then_ws] = ACTIONS(631),
    [sym__minus_then_ws] = ACTIONS(631),
    [sym__bang_custom] = ACTIONS(631),
    [sym__throws_keyword] = ACTIONS(631),
    [sym__rethrows_keyword] = ACTIONS(631),
    [sym_where_keyword] = ACTIONS(631),
    [sym_else] = ACTIONS(631),
    [sym__as_custom] = ACTIONS(631),
    [sym__as_quest_custom] = ACTIONS(631),
    [sym__as_bang_custom] = ACTIONS(631),
    [sym__async_keyword_custom] = ACTIONS(631),
    [sym__custom_operator] = ACTIONS(631),
  },
  [1073] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3336),
    [anon_sym_package] = ACTIONS(3336),
    [anon_sym_COMMA] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_QMARK] = ACTIONS(3338),
    [anon_sym_QMARK2] = ACTIONS(3336),
    [anon_sym_AMP] = ACTIONS(3336),
    [aux_sym_custom_operator_token1] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3338),
    [anon_sym_GT] = ACTIONS(3338),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_CARET_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_case] = ACTIONS(3336),
    [anon_sym_fallthrough] = ACTIONS(3336),
    [anon_sym_PLUS_EQ] = ACTIONS(3336),
    [anon_sym_DASH_EQ] = ACTIONS(3336),
    [anon_sym_STAR_EQ] = ACTIONS(3336),
    [anon_sym_SLASH_EQ] = ACTIONS(3336),
    [anon_sym_PERCENT_EQ] = ACTIONS(3336),
    [anon_sym_BANG_EQ] = ACTIONS(3338),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3336),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3336),
    [anon_sym_LT_EQ] = ACTIONS(3336),
    [anon_sym_GT_EQ] = ACTIONS(3336),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3336),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3336),
    [anon_sym_is] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3338),
    [anon_sym_DASH] = ACTIONS(3338),
    [anon_sym_STAR] = ACTIONS(3338),
    [anon_sym_SLASH] = ACTIONS(3338),
    [anon_sym_PERCENT] = ACTIONS(3338),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [anon_sym_PIPE] = ACTIONS(3336),
    [anon_sym_CARET] = ACTIONS(3338),
    [anon_sym_LT_LT] = ACTIONS(3336),
    [anon_sym_GT_GT] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_BANG2] = ACTIONS(3338),
    [anon_sym_prefix] = ACTIONS(3336),
    [anon_sym_infix] = ACTIONS(3336),
    [anon_sym_postfix] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3338),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_convenience] = ACTIONS(3336),
    [anon_sym_required] = ACTIONS(3336),
    [anon_sym_nonisolated] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_internal] = ACTIONS(3336),
    [anon_sym_fileprivate] = ACTIONS(3336),
    [anon_sym_open] = ACTIONS(3336),
    [anon_sym_mutating] = ACTIONS(3336),
    [anon_sym_nonmutating] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_dynamic] = ACTIONS(3336),
    [anon_sym_optional] = ACTIONS(3336),
    [anon_sym_distributed] = ACTIONS(3336),
    [anon_sym_final] = ACTIONS(3336),
    [anon_sym_inout] = ACTIONS(3336),
    [anon_sym_ATescaping] = ACTIONS(3336),
    [anon_sym_ATautoclosure] = ACTIONS(3336),
    [anon_sym_weak] = ACTIONS(3336),
    [anon_sym_unowned] = ACTIONS(3338),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3336),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3336),
    [anon_sym_borrowing] = ACTIONS(3336),
    [anon_sym_consuming] = ACTIONS(3336),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3336),
    [sym__explicit_semi] = ACTIONS(3336),
    [sym__dot_custom] = ACTIONS(3336),
    [sym__conjunction_operator_custom] = ACTIONS(3336),
    [sym__disjunction_operator_custom] = ACTIONS(3336),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3336),
    [sym__eq_custom] = ACTIONS(3336),
    [sym__eq_eq_custom] = ACTIONS(3336),
    [sym__plus_then_ws] = ACTIONS(3336),
    [sym__minus_then_ws] = ACTIONS(3336),
    [sym__bang_custom] = ACTIONS(3336),
    [sym_default_keyword] = ACTIONS(3336),
    [sym_where_keyword] = ACTIONS(3336),
    [sym__as_custom] = ACTIONS(3336),
    [sym__as_quest_custom] = ACTIONS(3336),
    [sym__as_bang_custom] = ACTIONS(3336),
    [sym__custom_operator] = ACTIONS(3336),
  },
  [1074] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3031),
    [anon_sym_package] = ACTIONS(3031),
    [anon_sym_COMMA] = ACTIONS(3031),
    [anon_sym_LPAREN] = ACTIONS(3031),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_QMARK] = ACTIONS(3029),
    [anon_sym_QMARK2] = ACTIONS(3031),
    [anon_sym_AMP] = ACTIONS(3031),
    [aux_sym_custom_operator_token1] = ACTIONS(3031),
    [anon_sym_LT] = ACTIONS(3029),
    [anon_sym_GT] = ACTIONS(3029),
    [anon_sym_LBRACE] = ACTIONS(3031),
    [anon_sym_CARET_LBRACE] = ACTIONS(3031),
    [anon_sym_RBRACE] = ACTIONS(3031),
    [anon_sym_case] = ACTIONS(3031),
    [anon_sym_fallthrough] = ACTIONS(3031),
    [anon_sym_PLUS_EQ] = ACTIONS(3031),
    [anon_sym_DASH_EQ] = ACTIONS(3031),
    [anon_sym_STAR_EQ] = ACTIONS(3031),
    [anon_sym_SLASH_EQ] = ACTIONS(3031),
    [anon_sym_PERCENT_EQ] = ACTIONS(3031),
    [anon_sym_BANG_EQ] = ACTIONS(3029),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3031),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3031),
    [anon_sym_LT_EQ] = ACTIONS(3031),
    [anon_sym_GT_EQ] = ACTIONS(3031),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3031),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3031),
    [anon_sym_is] = ACTIONS(3031),
    [anon_sym_PLUS] = ACTIONS(3029),
    [anon_sym_DASH] = ACTIONS(3029),
    [anon_sym_STAR] = ACTIONS(3029),
    [anon_sym_SLASH] = ACTIONS(3029),
    [anon_sym_PERCENT] = ACTIONS(3029),
    [anon_sym_PLUS_PLUS] = ACTIONS(3031),
    [anon_sym_DASH_DASH] = ACTIONS(3031),
    [anon_sym_PIPE] = ACTIONS(3031),
    [anon_sym_CARET] = ACTIONS(3029),
    [anon_sym_LT_LT] = ACTIONS(3031),
    [anon_sym_GT_GT] = ACTIONS(3031),
    [anon_sym_class] = ACTIONS(3031),
    [anon_sym_BANG2] = ACTIONS(3029),
    [anon_sym_prefix] = ACTIONS(3031),
    [anon_sym_infix] = ACTIONS(3031),
    [anon_sym_postfix] = ACTIONS(3031),
    [anon_sym_AT] = ACTIONS(3029),
    [anon_sym_override] = ACTIONS(3031),
    [anon_sym_convenience] = ACTIONS(3031),
    [anon_sym_required] = ACTIONS(3031),
    [anon_sym_nonisolated] = ACTIONS(3031),
    [anon_sym_public] = ACTIONS(3031),
    [anon_sym_private] = ACTIONS(3031),
    [anon_sym_internal] = ACTIONS(3031),
    [anon_sym_fileprivate] = ACTIONS(3031),
    [anon_sym_open] = ACTIONS(3031),
    [anon_sym_mutating] = ACTIONS(3031),
    [anon_sym_nonmutating] = ACTIONS(3031),
    [anon_sym_static] = ACTIONS(3031),
    [anon_sym_dynamic] = ACTIONS(3031),
    [anon_sym_optional] = ACTIONS(3031),
    [anon_sym_distributed] = ACTIONS(3031),
    [anon_sym_final] = ACTIONS(3031),
    [anon_sym_inout] = ACTIONS(3031),
    [anon_sym_ATescaping] = ACTIONS(3031),
    [anon_sym_ATautoclosure] = ACTIONS(3031),
    [anon_sym_weak] = ACTIONS(3031),
    [anon_sym_unowned] = ACTIONS(3029),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3031),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3031),
    [anon_sym_borrowing] = ACTIONS(3031),
    [anon_sym_consuming] = ACTIONS(3031),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3031),
    [sym__explicit_semi] = ACTIONS(3031),
    [sym__dot_custom] = ACTIONS(3031),
    [sym__conjunction_operator_custom] = ACTIONS(3031),
    [sym__disjunction_operator_custom] = ACTIONS(3031),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3031),
    [sym__eq_custom] = ACTIONS(3031),
    [sym__eq_eq_custom] = ACTIONS(3031),
    [sym__plus_then_ws] = ACTIONS(3031),
    [sym__minus_then_ws] = ACTIONS(3031),
    [sym__bang_custom] = ACTIONS(3031),
    [sym_default_keyword] = ACTIONS(3031),
    [sym_where_keyword] = ACTIONS(3031),
    [sym__as_custom] = ACTIONS(3031),
    [sym__as_quest_custom] = ACTIONS(3031),
    [sym__as_bang_custom] = ACTIONS(3031),
    [sym__custom_operator] = ACTIONS(3031),
  },
  [1075] = {
    [aux_sym_repeat_while_statement_repeat1] = STATE(6492),
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3020),
    [anon_sym_package] = ACTIONS(3020),
    [anon_sym_LPAREN] = ACTIONS(3020),
    [anon_sym_LBRACK] = ACTIONS(3020),
    [anon_sym_QMARK] = ACTIONS(3018),
    [anon_sym_QMARK2] = ACTIONS(3020),
    [anon_sym_AMP] = ACTIONS(3020),
    [aux_sym_custom_operator_token1] = ACTIONS(3020),
    [anon_sym_LT] = ACTIONS(3018),
    [anon_sym_GT] = ACTIONS(3018),
    [anon_sym_LBRACE] = ACTIONS(3020),
    [anon_sym_CARET_LBRACE] = ACTIONS(3020),
    [anon_sym_RBRACE] = ACTIONS(3020),
    [anon_sym_case] = ACTIONS(3020),
    [anon_sym_fallthrough] = ACTIONS(3020),
    [anon_sym_PLUS_EQ] = ACTIONS(3020),
    [anon_sym_DASH_EQ] = ACTIONS(3020),
    [anon_sym_STAR_EQ] = ACTIONS(3020),
    [anon_sym_SLASH_EQ] = ACTIONS(3020),
    [anon_sym_PERCENT_EQ] = ACTIONS(3020),
    [anon_sym_BANG_EQ] = ACTIONS(3018),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3020),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3020),
    [anon_sym_LT_EQ] = ACTIONS(3020),
    [anon_sym_GT_EQ] = ACTIONS(3020),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3020),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3020),
    [anon_sym_is] = ACTIONS(3020),
    [anon_sym_PLUS] = ACTIONS(3018),
    [anon_sym_DASH] = ACTIONS(3018),
    [anon_sym_STAR] = ACTIONS(3018),
    [anon_sym_SLASH] = ACTIONS(3018),
    [anon_sym_PERCENT] = ACTIONS(3018),
    [anon_sym_PLUS_PLUS] = ACTIONS(3020),
    [anon_sym_DASH_DASH] = ACTIONS(3020),
    [anon_sym_PIPE] = ACTIONS(3020),
    [anon_sym_CARET] = ACTIONS(3018),
    [anon_sym_LT_LT] = ACTIONS(3020),
    [anon_sym_GT_GT] = ACTIONS(3020),
    [anon_sym_while] = ACTIONS(3946),
    [anon_sym_class] = ACTIONS(3020),
    [anon_sym_BANG2] = ACTIONS(3018),
    [anon_sym_prefix] = ACTIONS(3020),
    [anon_sym_infix] = ACTIONS(3020),
    [anon_sym_postfix] = ACTIONS(3020),
    [anon_sym_AT] = ACTIONS(3018),
    [anon_sym_override] = ACTIONS(3020),
    [anon_sym_convenience] = ACTIONS(3020),
    [anon_sym_required] = ACTIONS(3020),
    [anon_sym_nonisolated] = ACTIONS(3020),
    [anon_sym_public] = ACTIONS(3020),
    [anon_sym_private] = ACTIONS(3020),
    [anon_sym_internal] = ACTIONS(3020),
    [anon_sym_fileprivate] = ACTIONS(3020),
    [anon_sym_open] = ACTIONS(3020),
    [anon_sym_mutating] = ACTIONS(3020),
    [anon_sym_nonmutating] = ACTIONS(3020),
    [anon_sym_static] = ACTIONS(3020),
    [anon_sym_dynamic] = ACTIONS(3020),
    [anon_sym_optional] = ACTIONS(3020),
    [anon_sym_distributed] = ACTIONS(3020),
    [anon_sym_final] = ACTIONS(3020),
    [anon_sym_inout] = ACTIONS(3020),
    [anon_sym_ATescaping] = ACTIONS(3020),
    [anon_sym_ATautoclosure] = ACTIONS(3020),
    [anon_sym_weak] = ACTIONS(3020),
    [anon_sym_unowned] = ACTIONS(3018),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3020),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3020),
    [anon_sym_borrowing] = ACTIONS(3020),
    [anon_sym_consuming] = ACTIONS(3020),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3948),
    [sym__explicit_semi] = ACTIONS(3020),
    [sym__dot_custom] = ACTIONS(3020),
    [sym__conjunction_operator_custom] = ACTIONS(3020),
    [sym__disjunction_operator_custom] = ACTIONS(3020),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3020),
    [sym__eq_custom] = ACTIONS(3020),
    [sym__eq_eq_custom] = ACTIONS(3020),
    [sym__plus_then_ws] = ACTIONS(3020),
    [sym__minus_then_ws] = ACTIONS(3020),
    [sym__bang_custom] = ACTIONS(3020),
    [sym_default_keyword] = ACTIONS(3020),
    [sym__as_custom] = ACTIONS(3020),
    [sym__as_quest_custom] = ACTIONS(3020),
    [sym__as_bang_custom] = ACTIONS(3020),
    [sym__custom_operator] = ACTIONS(3020),
  },
  [1076] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3035),
    [anon_sym_package] = ACTIONS(3035),
    [anon_sym_COMMA] = ACTIONS(3035),
    [anon_sym_LPAREN] = ACTIONS(3035),
    [anon_sym_LBRACK] = ACTIONS(3035),
    [anon_sym_QMARK] = ACTIONS(3033),
    [anon_sym_QMARK2] = ACTIONS(3035),
    [anon_sym_AMP] = ACTIONS(3035),
    [aux_sym_custom_operator_token1] = ACTIONS(3035),
    [anon_sym_LT] = ACTIONS(3033),
    [anon_sym_GT] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_CARET_LBRACE] = ACTIONS(3035),
    [anon_sym_RBRACE] = ACTIONS(3035),
    [anon_sym_case] = ACTIONS(3035),
    [anon_sym_fallthrough] = ACTIONS(3035),
    [anon_sym_PLUS_EQ] = ACTIONS(3035),
    [anon_sym_DASH_EQ] = ACTIONS(3035),
    [anon_sym_STAR_EQ] = ACTIONS(3035),
    [anon_sym_SLASH_EQ] = ACTIONS(3035),
    [anon_sym_PERCENT_EQ] = ACTIONS(3035),
    [anon_sym_BANG_EQ] = ACTIONS(3033),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3035),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3035),
    [anon_sym_LT_EQ] = ACTIONS(3035),
    [anon_sym_GT_EQ] = ACTIONS(3035),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3035),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3035),
    [anon_sym_is] = ACTIONS(3035),
    [anon_sym_PLUS] = ACTIONS(3033),
    [anon_sym_DASH] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3033),
    [anon_sym_SLASH] = ACTIONS(3033),
    [anon_sym_PERCENT] = ACTIONS(3033),
    [anon_sym_PLUS_PLUS] = ACTIONS(3035),
    [anon_sym_DASH_DASH] = ACTIONS(3035),
    [anon_sym_PIPE] = ACTIONS(3035),
    [anon_sym_CARET] = ACTIONS(3033),
    [anon_sym_LT_LT] = ACTIONS(3035),
    [anon_sym_GT_GT] = ACTIONS(3035),
    [anon_sym_class] = ACTIONS(3035),
    [anon_sym_BANG2] = ACTIONS(3033),
    [anon_sym_prefix] = ACTIONS(3035),
    [anon_sym_infix] = ACTIONS(3035),
    [anon_sym_postfix] = ACTIONS(3035),
    [anon_sym_AT] = ACTIONS(3033),
    [anon_sym_override] = ACTIONS(3035),
    [anon_sym_convenience] = ACTIONS(3035),
    [anon_sym_required] = ACTIONS(3035),
    [anon_sym_nonisolated] = ACTIONS(3035),
    [anon_sym_public] = ACTIONS(3035),
    [anon_sym_private] = ACTIONS(3035),
    [anon_sym_internal] = ACTIONS(3035),
    [anon_sym_fileprivate] = ACTIONS(3035),
    [anon_sym_open] = ACTIONS(3035),
    [anon_sym_mutating] = ACTIONS(3035),
    [anon_sym_nonmutating] = ACTIONS(3035),
    [anon_sym_static] = ACTIONS(3035),
    [anon_sym_dynamic] = ACTIONS(3035),
    [anon_sym_optional] = ACTIONS(3035),
    [anon_sym_distributed] = ACTIONS(3035),
    [anon_sym_final] = ACTIONS(3035),
    [anon_sym_inout] = ACTIONS(3035),
    [anon_sym_ATescaping] = ACTIONS(3035),
    [anon_sym_ATautoclosure] = ACTIONS(3035),
    [anon_sym_weak] = ACTIONS(3035),
    [anon_sym_unowned] = ACTIONS(3033),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3035),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3035),
    [anon_sym_borrowing] = ACTIONS(3035),
    [anon_sym_consuming] = ACTIONS(3035),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3035),
    [sym__explicit_semi] = ACTIONS(3035),
    [sym__dot_custom] = ACTIONS(3035),
    [sym__conjunction_operator_custom] = ACTIONS(3035),
    [sym__disjunction_operator_custom] = ACTIONS(3035),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3035),
    [sym__eq_custom] = ACTIONS(3035),
    [sym__eq_eq_custom] = ACTIONS(3035),
    [sym__plus_then_ws] = ACTIONS(3035),
    [sym__minus_then_ws] = ACTIONS(3035),
    [sym__bang_custom] = ACTIONS(3035),
    [sym_default_keyword] = ACTIONS(3035),
    [sym_where_keyword] = ACTIONS(3035),
    [sym__as_custom] = ACTIONS(3035),
    [sym__as_quest_custom] = ACTIONS(3035),
    [sym__as_bang_custom] = ACTIONS(3035),
    [sym__custom_operator] = ACTIONS(3035),
  },
  [1077] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3316),
    [anon_sym_package] = ACTIONS(3316),
    [anon_sym_COMMA] = ACTIONS(3316),
    [anon_sym_LPAREN] = ACTIONS(3316),
    [anon_sym_LBRACK] = ACTIONS(3316),
    [anon_sym_QMARK] = ACTIONS(3318),
    [anon_sym_QMARK2] = ACTIONS(3316),
    [anon_sym_AMP] = ACTIONS(3316),
    [aux_sym_custom_operator_token1] = ACTIONS(3316),
    [anon_sym_LT] = ACTIONS(3318),
    [anon_sym_GT] = ACTIONS(3318),
    [anon_sym_LBRACE] = ACTIONS(3316),
    [anon_sym_CARET_LBRACE] = ACTIONS(3316),
    [anon_sym_RBRACE] = ACTIONS(3316),
    [anon_sym_case] = ACTIONS(3316),
    [anon_sym_fallthrough] = ACTIONS(3316),
    [anon_sym_PLUS_EQ] = ACTIONS(3316),
    [anon_sym_DASH_EQ] = ACTIONS(3316),
    [anon_sym_STAR_EQ] = ACTIONS(3316),
    [anon_sym_SLASH_EQ] = ACTIONS(3316),
    [anon_sym_PERCENT_EQ] = ACTIONS(3316),
    [anon_sym_BANG_EQ] = ACTIONS(3318),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3316),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3316),
    [anon_sym_LT_EQ] = ACTIONS(3316),
    [anon_sym_GT_EQ] = ACTIONS(3316),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3316),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3316),
    [anon_sym_is] = ACTIONS(3316),
    [anon_sym_PLUS] = ACTIONS(3318),
    [anon_sym_DASH] = ACTIONS(3318),
    [anon_sym_STAR] = ACTIONS(3318),
    [anon_sym_SLASH] = ACTIONS(3318),
    [anon_sym_PERCENT] = ACTIONS(3318),
    [anon_sym_PLUS_PLUS] = ACTIONS(3316),
    [anon_sym_DASH_DASH] = ACTIONS(3316),
    [anon_sym_PIPE] = ACTIONS(3316),
    [anon_sym_CARET] = ACTIONS(3318),
    [anon_sym_LT_LT] = ACTIONS(3316),
    [anon_sym_GT_GT] = ACTIONS(3316),
    [anon_sym_class] = ACTIONS(3316),
    [anon_sym_BANG2] = ACTIONS(3318),
    [anon_sym_prefix] = ACTIONS(3316),
    [anon_sym_infix] = ACTIONS(3316),
    [anon_sym_postfix] = ACTIONS(3316),
    [anon_sym_AT] = ACTIONS(3318),
    [anon_sym_override] = ACTIONS(3316),
    [anon_sym_convenience] = ACTIONS(3316),
    [anon_sym_required] = ACTIONS(3316),
    [anon_sym_nonisolated] = ACTIONS(3316),
    [anon_sym_public] = ACTIONS(3316),
    [anon_sym_private] = ACTIONS(3316),
    [anon_sym_internal] = ACTIONS(3316),
    [anon_sym_fileprivate] = ACTIONS(3316),
    [anon_sym_open] = ACTIONS(3316),
    [anon_sym_mutating] = ACTIONS(3316),
    [anon_sym_nonmutating] = ACTIONS(3316),
    [anon_sym_static] = ACTIONS(3316),
    [anon_sym_dynamic] = ACTIONS(3316),
    [anon_sym_optional] = ACTIONS(3316),
    [anon_sym_distributed] = ACTIONS(3316),
    [anon_sym_final] = ACTIONS(3316),
    [anon_sym_inout] = ACTIONS(3316),
    [anon_sym_ATescaping] = ACTIONS(3316),
    [anon_sym_ATautoclosure] = ACTIONS(3316),
    [anon_sym_weak] = ACTIONS(3316),
    [anon_sym_unowned] = ACTIONS(3318),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3316),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3316),
    [anon_sym_borrowing] = ACTIONS(3316),
    [anon_sym_consuming] = ACTIONS(3316),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3316),
    [sym__explicit_semi] = ACTIONS(3316),
    [sym__dot_custom] = ACTIONS(3316),
    [sym__conjunction_operator_custom] = ACTIONS(3316),
    [sym__disjunction_operator_custom] = ACTIONS(3316),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3316),
    [sym__eq_custom] = ACTIONS(3316),
    [sym__eq_eq_custom] = ACTIONS(3316),
    [sym__plus_then_ws] = ACTIONS(3316),
    [sym__minus_then_ws] = ACTIONS(3316),
    [sym__bang_custom] = ACTIONS(3316),
    [sym_default_keyword] = ACTIONS(3316),
    [sym_where_keyword] = ACTIONS(3316),
    [sym__as_custom] = ACTIONS(3316),
    [sym__as_quest_custom] = ACTIONS(3316),
    [sym__as_bang_custom] = ACTIONS(3316),
    [sym__custom_operator] = ACTIONS(3316),
  },
  [1078] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3376),
    [anon_sym_package] = ACTIONS(3376),
    [anon_sym_COMMA] = ACTIONS(3376),
    [anon_sym_LPAREN] = ACTIONS(3376),
    [anon_sym_LBRACK] = ACTIONS(3376),
    [anon_sym_QMARK] = ACTIONS(3378),
    [anon_sym_QMARK2] = ACTIONS(3376),
    [anon_sym_AMP] = ACTIONS(3376),
    [aux_sym_custom_operator_token1] = ACTIONS(3376),
    [anon_sym_LT] = ACTIONS(3378),
    [anon_sym_GT] = ACTIONS(3378),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_CARET_LBRACE] = ACTIONS(3376),
    [anon_sym_RBRACE] = ACTIONS(3376),
    [anon_sym_case] = ACTIONS(3376),
    [anon_sym_fallthrough] = ACTIONS(3376),
    [anon_sym_PLUS_EQ] = ACTIONS(3376),
    [anon_sym_DASH_EQ] = ACTIONS(3376),
    [anon_sym_STAR_EQ] = ACTIONS(3376),
    [anon_sym_SLASH_EQ] = ACTIONS(3376),
    [anon_sym_PERCENT_EQ] = ACTIONS(3376),
    [anon_sym_BANG_EQ] = ACTIONS(3378),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3376),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3376),
    [anon_sym_LT_EQ] = ACTIONS(3376),
    [anon_sym_GT_EQ] = ACTIONS(3376),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3376),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3376),
    [anon_sym_is] = ACTIONS(3376),
    [anon_sym_PLUS] = ACTIONS(3378),
    [anon_sym_DASH] = ACTIONS(3378),
    [anon_sym_STAR] = ACTIONS(3378),
    [anon_sym_SLASH] = ACTIONS(3378),
    [anon_sym_PERCENT] = ACTIONS(3378),
    [anon_sym_PLUS_PLUS] = ACTIONS(3376),
    [anon_sym_DASH_DASH] = ACTIONS(3376),
    [anon_sym_PIPE] = ACTIONS(3376),
    [anon_sym_CARET] = ACTIONS(3378),
    [anon_sym_LT_LT] = ACTIONS(3376),
    [anon_sym_GT_GT] = ACTIONS(3376),
    [anon_sym_class] = ACTIONS(3376),
    [anon_sym_BANG2] = ACTIONS(3378),
    [anon_sym_prefix] = ACTIONS(3376),
    [anon_sym_infix] = ACTIONS(3376),
    [anon_sym_postfix] = ACTIONS(3376),
    [anon_sym_AT] = ACTIONS(3378),
    [anon_sym_override] = ACTIONS(3376),
    [anon_sym_convenience] = ACTIONS(3376),
    [anon_sym_required] = ACTIONS(3376),
    [anon_sym_nonisolated] = ACTIONS(3376),
    [anon_sym_public] = ACTIONS(3376),
    [anon_sym_private] = ACTIONS(3376),
    [anon_sym_internal] = ACTIONS(3376),
    [anon_sym_fileprivate] = ACTIONS(3376),
    [anon_sym_open] = ACTIONS(3376),
    [anon_sym_mutating] = ACTIONS(3376),
    [anon_sym_nonmutating] = ACTIONS(3376),
    [anon_sym_static] = ACTIONS(3376),
    [anon_sym_dynamic] = ACTIONS(3376),
    [anon_sym_optional] = ACTIONS(3376),
    [anon_sym_distributed] = ACTIONS(3376),
    [anon_sym_final] = ACTIONS(3376),
    [anon_sym_inout] = ACTIONS(3376),
    [anon_sym_ATescaping] = ACTIONS(3376),
    [anon_sym_ATautoclosure] = ACTIONS(3376),
    [anon_sym_weak] = ACTIONS(3376),
    [anon_sym_unowned] = ACTIONS(3378),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3376),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3376),
    [anon_sym_borrowing] = ACTIONS(3376),
    [anon_sym_consuming] = ACTIONS(3376),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3376),
    [sym__explicit_semi] = ACTIONS(3376),
    [sym__dot_custom] = ACTIONS(3376),
    [sym__conjunction_operator_custom] = ACTIONS(3376),
    [sym__disjunction_operator_custom] = ACTIONS(3376),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3376),
    [sym__eq_custom] = ACTIONS(3376),
    [sym__eq_eq_custom] = ACTIONS(3376),
    [sym__plus_then_ws] = ACTIONS(3376),
    [sym__minus_then_ws] = ACTIONS(3376),
    [sym__bang_custom] = ACTIONS(3376),
    [sym_default_keyword] = ACTIONS(3376),
    [sym_where_keyword] = ACTIONS(3376),
    [sym__as_custom] = ACTIONS(3376),
    [sym__as_quest_custom] = ACTIONS(3376),
    [sym__as_bang_custom] = ACTIONS(3376),
    [sym__custom_operator] = ACTIONS(3376),
  },
  [1079] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3020),
    [anon_sym_package] = ACTIONS(3020),
    [anon_sym_COMMA] = ACTIONS(3020),
    [anon_sym_LPAREN] = ACTIONS(3020),
    [anon_sym_LBRACK] = ACTIONS(3020),
    [anon_sym_QMARK] = ACTIONS(3018),
    [anon_sym_QMARK2] = ACTIONS(3020),
    [anon_sym_AMP] = ACTIONS(3020),
    [aux_sym_custom_operator_token1] = ACTIONS(3020),
    [anon_sym_LT] = ACTIONS(3018),
    [anon_sym_GT] = ACTIONS(3018),
    [anon_sym_LBRACE] = ACTIONS(3020),
    [anon_sym_CARET_LBRACE] = ACTIONS(3020),
    [anon_sym_RBRACE] = ACTIONS(3020),
    [anon_sym_case] = ACTIONS(3020),
    [anon_sym_fallthrough] = ACTIONS(3020),
    [anon_sym_PLUS_EQ] = ACTIONS(3020),
    [anon_sym_DASH_EQ] = ACTIONS(3020),
    [anon_sym_STAR_EQ] = ACTIONS(3020),
    [anon_sym_SLASH_EQ] = ACTIONS(3020),
    [anon_sym_PERCENT_EQ] = ACTIONS(3020),
    [anon_sym_BANG_EQ] = ACTIONS(3018),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3020),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3020),
    [anon_sym_LT_EQ] = ACTIONS(3020),
    [anon_sym_GT_EQ] = ACTIONS(3020),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3020),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3020),
    [anon_sym_is] = ACTIONS(3020),
    [anon_sym_PLUS] = ACTIONS(3018),
    [anon_sym_DASH] = ACTIONS(3018),
    [anon_sym_STAR] = ACTIONS(3018),
    [anon_sym_SLASH] = ACTIONS(3018),
    [anon_sym_PERCENT] = ACTIONS(3018),
    [anon_sym_PLUS_PLUS] = ACTIONS(3020),
    [anon_sym_DASH_DASH] = ACTIONS(3020),
    [anon_sym_PIPE] = ACTIONS(3020),
    [anon_sym_CARET] = ACTIONS(3018),
    [anon_sym_LT_LT] = ACTIONS(3020),
    [anon_sym_GT_GT] = ACTIONS(3020),
    [anon_sym_class] = ACTIONS(3020),
    [anon_sym_BANG2] = ACTIONS(3018),
    [anon_sym_prefix] = ACTIONS(3020),
    [anon_sym_infix] = ACTIONS(3020),
    [anon_sym_postfix] = ACTIONS(3020),
    [anon_sym_AT] = ACTIONS(3018),
    [anon_sym_override] = ACTIONS(3020),
    [anon_sym_convenience] = ACTIONS(3020),
    [anon_sym_required] = ACTIONS(3020),
    [anon_sym_nonisolated] = ACTIONS(3020),
    [anon_sym_public] = ACTIONS(3020),
    [anon_sym_private] = ACTIONS(3020),
    [anon_sym_internal] = ACTIONS(3020),
    [anon_sym_fileprivate] = ACTIONS(3020),
    [anon_sym_open] = ACTIONS(3020),
    [anon_sym_mutating] = ACTIONS(3020),
    [anon_sym_nonmutating] = ACTIONS(3020),
    [anon_sym_static] = ACTIONS(3020),
    [anon_sym_dynamic] = ACTIONS(3020),
    [anon_sym_optional] = ACTIONS(3020),
    [anon_sym_distributed] = ACTIONS(3020),
    [anon_sym_final] = ACTIONS(3020),
    [anon_sym_inout] = ACTIONS(3020),
    [anon_sym_ATescaping] = ACTIONS(3020),
    [anon_sym_ATautoclosure] = ACTIONS(3020),
    [anon_sym_weak] = ACTIONS(3020),
    [anon_sym_unowned] = ACTIONS(3018),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3020),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3020),
    [anon_sym_borrowing] = ACTIONS(3020),
    [anon_sym_consuming] = ACTIONS(3020),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3020),
    [sym__explicit_semi] = ACTIONS(3020),
    [sym__dot_custom] = ACTIONS(3020),
    [sym__conjunction_operator_custom] = ACTIONS(3020),
    [sym__disjunction_operator_custom] = ACTIONS(3020),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3020),
    [sym__eq_custom] = ACTIONS(3020),
    [sym__eq_eq_custom] = ACTIONS(3020),
    [sym__plus_then_ws] = ACTIONS(3020),
    [sym__minus_then_ws] = ACTIONS(3020),
    [sym__bang_custom] = ACTIONS(3020),
    [sym_default_keyword] = ACTIONS(3020),
    [sym_where_keyword] = ACTIONS(3020),
    [sym__as_custom] = ACTIONS(3020),
    [sym__as_quest_custom] = ACTIONS(3020),
    [sym__as_bang_custom] = ACTIONS(3020),
    [sym__custom_operator] = ACTIONS(3020),
  },
  [1080] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3086),
    [anon_sym_package] = ACTIONS(3086),
    [anon_sym_COMMA] = ACTIONS(3086),
    [anon_sym_LPAREN] = ACTIONS(3086),
    [anon_sym_LBRACK] = ACTIONS(3086),
    [anon_sym_QMARK] = ACTIONS(3088),
    [anon_sym_QMARK2] = ACTIONS(3086),
    [anon_sym_AMP] = ACTIONS(3086),
    [aux_sym_custom_operator_token1] = ACTIONS(3086),
    [anon_sym_LT] = ACTIONS(3088),
    [anon_sym_GT] = ACTIONS(3088),
    [anon_sym_LBRACE] = ACTIONS(3086),
    [anon_sym_CARET_LBRACE] = ACTIONS(3086),
    [anon_sym_RBRACE] = ACTIONS(3086),
    [anon_sym_case] = ACTIONS(3086),
    [anon_sym_fallthrough] = ACTIONS(3086),
    [anon_sym_PLUS_EQ] = ACTIONS(3086),
    [anon_sym_DASH_EQ] = ACTIONS(3086),
    [anon_sym_STAR_EQ] = ACTIONS(3086),
    [anon_sym_SLASH_EQ] = ACTIONS(3086),
    [anon_sym_PERCENT_EQ] = ACTIONS(3086),
    [anon_sym_BANG_EQ] = ACTIONS(3088),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3086),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3086),
    [anon_sym_LT_EQ] = ACTIONS(3086),
    [anon_sym_GT_EQ] = ACTIONS(3086),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3086),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3086),
    [anon_sym_is] = ACTIONS(3086),
    [anon_sym_PLUS] = ACTIONS(3088),
    [anon_sym_DASH] = ACTIONS(3088),
    [anon_sym_STAR] = ACTIONS(3088),
    [anon_sym_SLASH] = ACTIONS(3088),
    [anon_sym_PERCENT] = ACTIONS(3088),
    [anon_sym_PLUS_PLUS] = ACTIONS(3086),
    [anon_sym_DASH_DASH] = ACTIONS(3086),
    [anon_sym_PIPE] = ACTIONS(3086),
    [anon_sym_CARET] = ACTIONS(3088),
    [anon_sym_LT_LT] = ACTIONS(3086),
    [anon_sym_GT_GT] = ACTIONS(3086),
    [anon_sym_class] = ACTIONS(3086),
    [anon_sym_BANG2] = ACTIONS(3088),
    [anon_sym_prefix] = ACTIONS(3086),
    [anon_sym_infix] = ACTIONS(3086),
    [anon_sym_postfix] = ACTIONS(3086),
    [anon_sym_AT] = ACTIONS(3088),
    [anon_sym_override] = ACTIONS(3086),
    [anon_sym_convenience] = ACTIONS(3086),
    [anon_sym_required] = ACTIONS(3086),
    [anon_sym_nonisolated] = ACTIONS(3086),
    [anon_sym_public] = ACTIONS(3086),
    [anon_sym_private] = ACTIONS(3086),
    [anon_sym_internal] = ACTIONS(3086),
    [anon_sym_fileprivate] = ACTIONS(3086),
    [anon_sym_open] = ACTIONS(3086),
    [anon_sym_mutating] = ACTIONS(3086),
    [anon_sym_nonmutating] = ACTIONS(3086),
    [anon_sym_static] = ACTIONS(3086),
    [anon_sym_dynamic] = ACTIONS(3086),
    [anon_sym_optional] = ACTIONS(3086),
    [anon_sym_distributed] = ACTIONS(3086),
    [anon_sym_final] = ACTIONS(3086),
    [anon_sym_inout] = ACTIONS(3086),
    [anon_sym_ATescaping] = ACTIONS(3086),
    [anon_sym_ATautoclosure] = ACTIONS(3086),
    [anon_sym_weak] = ACTIONS(3086),
    [anon_sym_unowned] = ACTIONS(3088),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3086),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3086),
    [anon_sym_borrowing] = ACTIONS(3086),
    [anon_sym_consuming] = ACTIONS(3086),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3086),
    [sym__explicit_semi] = ACTIONS(3086),
    [sym__dot_custom] = ACTIONS(3086),
    [sym__conjunction_operator_custom] = ACTIONS(3086),
    [sym__disjunction_operator_custom] = ACTIONS(3086),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3086),
    [sym__eq_custom] = ACTIONS(3086),
    [sym__eq_eq_custom] = ACTIONS(3086),
    [sym__plus_then_ws] = ACTIONS(3086),
    [sym__minus_then_ws] = ACTIONS(3086),
    [sym__bang_custom] = ACTIONS(3086),
    [sym_default_keyword] = ACTIONS(3086),
    [sym_where_keyword] = ACTIONS(3086),
    [sym__as_custom] = ACTIONS(3086),
    [sym__as_quest_custom] = ACTIONS(3086),
    [sym__as_bang_custom] = ACTIONS(3086),
    [sym__custom_operator] = ACTIONS(3086),
  },
  [1081] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3090),
    [anon_sym_package] = ACTIONS(3090),
    [anon_sym_COMMA] = ACTIONS(3090),
    [anon_sym_LPAREN] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_QMARK] = ACTIONS(3092),
    [anon_sym_QMARK2] = ACTIONS(3090),
    [anon_sym_AMP] = ACTIONS(3090),
    [aux_sym_custom_operator_token1] = ACTIONS(3090),
    [anon_sym_LT] = ACTIONS(3092),
    [anon_sym_GT] = ACTIONS(3092),
    [anon_sym_LBRACE] = ACTIONS(3090),
    [anon_sym_CARET_LBRACE] = ACTIONS(3090),
    [anon_sym_RBRACE] = ACTIONS(3090),
    [anon_sym_case] = ACTIONS(3090),
    [anon_sym_fallthrough] = ACTIONS(3090),
    [anon_sym_PLUS_EQ] = ACTIONS(3090),
    [anon_sym_DASH_EQ] = ACTIONS(3090),
    [anon_sym_STAR_EQ] = ACTIONS(3090),
    [anon_sym_SLASH_EQ] = ACTIONS(3090),
    [anon_sym_PERCENT_EQ] = ACTIONS(3090),
    [anon_sym_BANG_EQ] = ACTIONS(3092),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3090),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3090),
    [anon_sym_LT_EQ] = ACTIONS(3090),
    [anon_sym_GT_EQ] = ACTIONS(3090),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3090),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3090),
    [anon_sym_is] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3092),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_SLASH] = ACTIONS(3092),
    [anon_sym_PERCENT] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3090),
    [anon_sym_PIPE] = ACTIONS(3090),
    [anon_sym_CARET] = ACTIONS(3092),
    [anon_sym_LT_LT] = ACTIONS(3090),
    [anon_sym_GT_GT] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_BANG2] = ACTIONS(3092),
    [anon_sym_prefix] = ACTIONS(3090),
    [anon_sym_infix] = ACTIONS(3090),
    [anon_sym_postfix] = ACTIONS(3090),
    [anon_sym_AT] = ACTIONS(3092),
    [anon_sym_override] = ACTIONS(3090),
    [anon_sym_convenience] = ACTIONS(3090),
    [anon_sym_required] = ACTIONS(3090),
    [anon_sym_nonisolated] = ACTIONS(3090),
    [anon_sym_public] = ACTIONS(3090),
    [anon_sym_private] = ACTIONS(3090),
    [anon_sym_internal] = ACTIONS(3090),
    [anon_sym_fileprivate] = ACTIONS(3090),
    [anon_sym_open] = ACTIONS(3090),
    [anon_sym_mutating] = ACTIONS(3090),
    [anon_sym_nonmutating] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_dynamic] = ACTIONS(3090),
    [anon_sym_optional] = ACTIONS(3090),
    [anon_sym_distributed] = ACTIONS(3090),
    [anon_sym_final] = ACTIONS(3090),
    [anon_sym_inout] = ACTIONS(3090),
    [anon_sym_ATescaping] = ACTIONS(3090),
    [anon_sym_ATautoclosure] = ACTIONS(3090),
    [anon_sym_weak] = ACTIONS(3090),
    [anon_sym_unowned] = ACTIONS(3092),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3090),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3090),
    [anon_sym_borrowing] = ACTIONS(3090),
    [anon_sym_consuming] = ACTIONS(3090),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3090),
    [sym__explicit_semi] = ACTIONS(3090),
    [sym__dot_custom] = ACTIONS(3090),
    [sym__conjunction_operator_custom] = ACTIONS(3090),
    [sym__disjunction_operator_custom] = ACTIONS(3090),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3090),
    [sym__eq_custom] = ACTIONS(3090),
    [sym__eq_eq_custom] = ACTIONS(3090),
    [sym__plus_then_ws] = ACTIONS(3090),
    [sym__minus_then_ws] = ACTIONS(3090),
    [sym__bang_custom] = ACTIONS(3090),
    [sym_default_keyword] = ACTIONS(3090),
    [sym_else] = ACTIONS(3950),
    [sym__as_custom] = ACTIONS(3090),
    [sym__as_quest_custom] = ACTIONS(3090),
    [sym__as_bang_custom] = ACTIONS(3090),
    [sym__custom_operator] = ACTIONS(3090),
  },
  [1082] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3214),
    [anon_sym_package] = ACTIONS(3214),
    [anon_sym_COMMA] = ACTIONS(3214),
    [anon_sym_LPAREN] = ACTIONS(3214),
    [anon_sym_LBRACK] = ACTIONS(3214),
    [anon_sym_QMARK] = ACTIONS(3216),
    [anon_sym_QMARK2] = ACTIONS(3214),
    [anon_sym_AMP] = ACTIONS(3214),
    [aux_sym_custom_operator_token1] = ACTIONS(3214),
    [anon_sym_LT] = ACTIONS(3216),
    [anon_sym_GT] = ACTIONS(3216),
    [anon_sym_LBRACE] = ACTIONS(3214),
    [anon_sym_CARET_LBRACE] = ACTIONS(3214),
    [anon_sym_RBRACE] = ACTIONS(3214),
    [anon_sym_case] = ACTIONS(3214),
    [anon_sym_fallthrough] = ACTIONS(3214),
    [anon_sym_PLUS_EQ] = ACTIONS(3214),
    [anon_sym_DASH_EQ] = ACTIONS(3214),
    [anon_sym_STAR_EQ] = ACTIONS(3214),
    [anon_sym_SLASH_EQ] = ACTIONS(3214),
    [anon_sym_PERCENT_EQ] = ACTIONS(3214),
    [anon_sym_BANG_EQ] = ACTIONS(3216),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3214),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3214),
    [anon_sym_LT_EQ] = ACTIONS(3214),
    [anon_sym_GT_EQ] = ACTIONS(3214),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3214),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3214),
    [anon_sym_is] = ACTIONS(3214),
    [anon_sym_PLUS] = ACTIONS(3216),
    [anon_sym_DASH] = ACTIONS(3216),
    [anon_sym_STAR] = ACTIONS(3216),
    [anon_sym_SLASH] = ACTIONS(3216),
    [anon_sym_PERCENT] = ACTIONS(3216),
    [anon_sym_PLUS_PLUS] = ACTIONS(3214),
    [anon_sym_DASH_DASH] = ACTIONS(3214),
    [anon_sym_PIPE] = ACTIONS(3214),
    [anon_sym_CARET] = ACTIONS(3216),
    [anon_sym_LT_LT] = ACTIONS(3214),
    [anon_sym_GT_GT] = ACTIONS(3214),
    [anon_sym_class] = ACTIONS(3214),
    [anon_sym_BANG2] = ACTIONS(3216),
    [anon_sym_prefix] = ACTIONS(3214),
    [anon_sym_infix] = ACTIONS(3214),
    [anon_sym_postfix] = ACTIONS(3214),
    [anon_sym_AT] = ACTIONS(3216),
    [anon_sym_override] = ACTIONS(3214),
    [anon_sym_convenience] = ACTIONS(3214),
    [anon_sym_required] = ACTIONS(3214),
    [anon_sym_nonisolated] = ACTIONS(3214),
    [anon_sym_public] = ACTIONS(3214),
    [anon_sym_private] = ACTIONS(3214),
    [anon_sym_internal] = ACTIONS(3214),
    [anon_sym_fileprivate] = ACTIONS(3214),
    [anon_sym_open] = ACTIONS(3214),
    [anon_sym_mutating] = ACTIONS(3214),
    [anon_sym_nonmutating] = ACTIONS(3214),
    [anon_sym_static] = ACTIONS(3214),
    [anon_sym_dynamic] = ACTIONS(3214),
    [anon_sym_optional] = ACTIONS(3214),
    [anon_sym_distributed] = ACTIONS(3214),
    [anon_sym_final] = ACTIONS(3214),
    [anon_sym_inout] = ACTIONS(3214),
    [anon_sym_ATescaping] = ACTIONS(3214),
    [anon_sym_ATautoclosure] = ACTIONS(3214),
    [anon_sym_weak] = ACTIONS(3214),
    [anon_sym_unowned] = ACTIONS(3216),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3214),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3214),
    [anon_sym_borrowing] = ACTIONS(3214),
    [anon_sym_consuming] = ACTIONS(3214),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3214),
    [sym__explicit_semi] = ACTIONS(3214),
    [sym__dot_custom] = ACTIONS(3214),
    [sym__conjunction_operator_custom] = ACTIONS(3214),
    [sym__disjunction_operator_custom] = ACTIONS(3214),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3214),
    [sym__eq_custom] = ACTIONS(3214),
    [sym__eq_eq_custom] = ACTIONS(3214),
    [sym__plus_then_ws] = ACTIONS(3214),
    [sym__minus_then_ws] = ACTIONS(3214),
    [sym__bang_custom] = ACTIONS(3214),
    [sym_default_keyword] = ACTIONS(3214),
    [sym_where_keyword] = ACTIONS(3214),
    [sym__as_custom] = ACTIONS(3214),
    [sym__as_quest_custom] = ACTIONS(3214),
    [sym__as_bang_custom] = ACTIONS(3214),
    [sym__custom_operator] = ACTIONS(3214),
  },
  [1083] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3266),
    [anon_sym_package] = ACTIONS(3266),
    [anon_sym_COMMA] = ACTIONS(3266),
    [anon_sym_LPAREN] = ACTIONS(3266),
    [anon_sym_LBRACK] = ACTIONS(3266),
    [anon_sym_QMARK] = ACTIONS(3268),
    [anon_sym_QMARK2] = ACTIONS(3266),
    [anon_sym_AMP] = ACTIONS(3266),
    [aux_sym_custom_operator_token1] = ACTIONS(3266),
    [anon_sym_LT] = ACTIONS(3268),
    [anon_sym_GT] = ACTIONS(3268),
    [anon_sym_LBRACE] = ACTIONS(3266),
    [anon_sym_CARET_LBRACE] = ACTIONS(3266),
    [anon_sym_RBRACE] = ACTIONS(3266),
    [anon_sym_case] = ACTIONS(3266),
    [anon_sym_fallthrough] = ACTIONS(3266),
    [anon_sym_PLUS_EQ] = ACTIONS(3266),
    [anon_sym_DASH_EQ] = ACTIONS(3266),
    [anon_sym_STAR_EQ] = ACTIONS(3266),
    [anon_sym_SLASH_EQ] = ACTIONS(3266),
    [anon_sym_PERCENT_EQ] = ACTIONS(3266),
    [anon_sym_BANG_EQ] = ACTIONS(3268),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3266),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3266),
    [anon_sym_LT_EQ] = ACTIONS(3266),
    [anon_sym_GT_EQ] = ACTIONS(3266),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3266),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3266),
    [anon_sym_is] = ACTIONS(3266),
    [anon_sym_PLUS] = ACTIONS(3268),
    [anon_sym_DASH] = ACTIONS(3268),
    [anon_sym_STAR] = ACTIONS(3268),
    [anon_sym_SLASH] = ACTIONS(3268),
    [anon_sym_PERCENT] = ACTIONS(3268),
    [anon_sym_PLUS_PLUS] = ACTIONS(3266),
    [anon_sym_DASH_DASH] = ACTIONS(3266),
    [anon_sym_PIPE] = ACTIONS(3266),
    [anon_sym_CARET] = ACTIONS(3268),
    [anon_sym_LT_LT] = ACTIONS(3266),
    [anon_sym_GT_GT] = ACTIONS(3266),
    [anon_sym_class] = ACTIONS(3266),
    [anon_sym_BANG2] = ACTIONS(3268),
    [anon_sym_prefix] = ACTIONS(3266),
    [anon_sym_infix] = ACTIONS(3266),
    [anon_sym_postfix] = ACTIONS(3266),
    [anon_sym_AT] = ACTIONS(3268),
    [anon_sym_override] = ACTIONS(3266),
    [anon_sym_convenience] = ACTIONS(3266),
    [anon_sym_required] = ACTIONS(3266),
    [anon_sym_nonisolated] = ACTIONS(3266),
    [anon_sym_public] = ACTIONS(3266),
    [anon_sym_private] = ACTIONS(3266),
    [anon_sym_internal] = ACTIONS(3266),
    [anon_sym_fileprivate] = ACTIONS(3266),
    [anon_sym_open] = ACTIONS(3266),
    [anon_sym_mutating] = ACTIONS(3266),
    [anon_sym_nonmutating] = ACTIONS(3266),
    [anon_sym_static] = ACTIONS(3266),
    [anon_sym_dynamic] = ACTIONS(3266),
    [anon_sym_optional] = ACTIONS(3266),
    [anon_sym_distributed] = ACTIONS(3266),
    [anon_sym_final] = ACTIONS(3266),
    [anon_sym_inout] = ACTIONS(3266),
    [anon_sym_ATescaping] = ACTIONS(3266),
    [anon_sym_ATautoclosure] = ACTIONS(3266),
    [anon_sym_weak] = ACTIONS(3266),
    [anon_sym_unowned] = ACTIONS(3268),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3266),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3266),
    [anon_sym_borrowing] = ACTIONS(3266),
    [anon_sym_consuming] = ACTIONS(3266),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3266),
    [sym__explicit_semi] = ACTIONS(3266),
    [sym__dot_custom] = ACTIONS(3266),
    [sym__conjunction_operator_custom] = ACTIONS(3266),
    [sym__disjunction_operator_custom] = ACTIONS(3266),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3266),
    [sym__eq_custom] = ACTIONS(3266),
    [sym__eq_eq_custom] = ACTIONS(3266),
    [sym__plus_then_ws] = ACTIONS(3266),
    [sym__minus_then_ws] = ACTIONS(3266),
    [sym__bang_custom] = ACTIONS(3266),
    [sym_default_keyword] = ACTIONS(3266),
    [sym_where_keyword] = ACTIONS(3266),
    [sym__as_custom] = ACTIONS(3266),
    [sym__as_quest_custom] = ACTIONS(3266),
    [sym__as_bang_custom] = ACTIONS(3266),
    [sym__custom_operator] = ACTIONS(3266),
  },
  [1084] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3196),
    [anon_sym_package] = ACTIONS(3196),
    [anon_sym_COMMA] = ACTIONS(3196),
    [anon_sym_LPAREN] = ACTIONS(3196),
    [anon_sym_LBRACK] = ACTIONS(3196),
    [anon_sym_QMARK] = ACTIONS(3198),
    [anon_sym_QMARK2] = ACTIONS(3196),
    [anon_sym_AMP] = ACTIONS(3196),
    [aux_sym_custom_operator_token1] = ACTIONS(3196),
    [anon_sym_LT] = ACTIONS(3198),
    [anon_sym_GT] = ACTIONS(3198),
    [anon_sym_LBRACE] = ACTIONS(3196),
    [anon_sym_CARET_LBRACE] = ACTIONS(3196),
    [anon_sym_RBRACE] = ACTIONS(3196),
    [anon_sym_case] = ACTIONS(3196),
    [anon_sym_fallthrough] = ACTIONS(3196),
    [anon_sym_PLUS_EQ] = ACTIONS(3196),
    [anon_sym_DASH_EQ] = ACTIONS(3196),
    [anon_sym_STAR_EQ] = ACTIONS(3196),
    [anon_sym_SLASH_EQ] = ACTIONS(3196),
    [anon_sym_PERCENT_EQ] = ACTIONS(3196),
    [anon_sym_BANG_EQ] = ACTIONS(3198),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3196),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3196),
    [anon_sym_LT_EQ] = ACTIONS(3196),
    [anon_sym_GT_EQ] = ACTIONS(3196),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3196),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3196),
    [anon_sym_is] = ACTIONS(3196),
    [anon_sym_PLUS] = ACTIONS(3198),
    [anon_sym_DASH] = ACTIONS(3198),
    [anon_sym_STAR] = ACTIONS(3198),
    [anon_sym_SLASH] = ACTIONS(3198),
    [anon_sym_PERCENT] = ACTIONS(3198),
    [anon_sym_PLUS_PLUS] = ACTIONS(3196),
    [anon_sym_DASH_DASH] = ACTIONS(3196),
    [anon_sym_PIPE] = ACTIONS(3196),
    [anon_sym_CARET] = ACTIONS(3198),
    [anon_sym_LT_LT] = ACTIONS(3196),
    [anon_sym_GT_GT] = ACTIONS(3196),
    [anon_sym_class] = ACTIONS(3196),
    [anon_sym_BANG2] = ACTIONS(3198),
    [anon_sym_prefix] = ACTIONS(3196),
    [anon_sym_infix] = ACTIONS(3196),
    [anon_sym_postfix] = ACTIONS(3196),
    [anon_sym_AT] = ACTIONS(3198),
    [anon_sym_override] = ACTIONS(3196),
    [anon_sym_convenience] = ACTIONS(3196),
    [anon_sym_required] = ACTIONS(3196),
    [anon_sym_nonisolated] = ACTIONS(3196),
    [anon_sym_public] = ACTIONS(3196),
    [anon_sym_private] = ACTIONS(3196),
    [anon_sym_internal] = ACTIONS(3196),
    [anon_sym_fileprivate] = ACTIONS(3196),
    [anon_sym_open] = ACTIONS(3196),
    [anon_sym_mutating] = ACTIONS(3196),
    [anon_sym_nonmutating] = ACTIONS(3196),
    [anon_sym_static] = ACTIONS(3196),
    [anon_sym_dynamic] = ACTIONS(3196),
    [anon_sym_optional] = ACTIONS(3196),
    [anon_sym_distributed] = ACTIONS(3196),
    [anon_sym_final] = ACTIONS(3196),
    [anon_sym_inout] = ACTIONS(3196),
    [anon_sym_ATescaping] = ACTIONS(3196),
    [anon_sym_ATautoclosure] = ACTIONS(3196),
    [anon_sym_weak] = ACTIONS(3196),
    [anon_sym_unowned] = ACTIONS(3198),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3196),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3196),
    [anon_sym_borrowing] = ACTIONS(3196),
    [anon_sym_consuming] = ACTIONS(3196),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3196),
    [sym__explicit_semi] = ACTIONS(3196),
    [sym__dot_custom] = ACTIONS(3196),
    [sym__conjunction_operator_custom] = ACTIONS(3196),
    [sym__disjunction_operator_custom] = ACTIONS(3196),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3196),
    [sym__eq_custom] = ACTIONS(3196),
    [sym__eq_eq_custom] = ACTIONS(3196),
    [sym__plus_then_ws] = ACTIONS(3196),
    [sym__minus_then_ws] = ACTIONS(3196),
    [sym__bang_custom] = ACTIONS(3196),
    [sym_default_keyword] = ACTIONS(3196),
    [sym_where_keyword] = ACTIONS(3196),
    [sym__as_custom] = ACTIONS(3196),
    [sym__as_quest_custom] = ACTIONS(3196),
    [sym__as_bang_custom] = ACTIONS(3196),
    [sym__custom_operator] = ACTIONS(3196),
  },
  [1085] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3188),
    [anon_sym_package] = ACTIONS(3188),
    [anon_sym_COMMA] = ACTIONS(3188),
    [anon_sym_LPAREN] = ACTIONS(3188),
    [anon_sym_LBRACK] = ACTIONS(3188),
    [anon_sym_QMARK] = ACTIONS(3190),
    [anon_sym_QMARK2] = ACTIONS(3188),
    [anon_sym_AMP] = ACTIONS(3188),
    [aux_sym_custom_operator_token1] = ACTIONS(3188),
    [anon_sym_LT] = ACTIONS(3190),
    [anon_sym_GT] = ACTIONS(3190),
    [anon_sym_LBRACE] = ACTIONS(3188),
    [anon_sym_CARET_LBRACE] = ACTIONS(3188),
    [anon_sym_RBRACE] = ACTIONS(3188),
    [anon_sym_case] = ACTIONS(3188),
    [anon_sym_fallthrough] = ACTIONS(3188),
    [anon_sym_PLUS_EQ] = ACTIONS(3188),
    [anon_sym_DASH_EQ] = ACTIONS(3188),
    [anon_sym_STAR_EQ] = ACTIONS(3188),
    [anon_sym_SLASH_EQ] = ACTIONS(3188),
    [anon_sym_PERCENT_EQ] = ACTIONS(3188),
    [anon_sym_BANG_EQ] = ACTIONS(3190),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3188),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3188),
    [anon_sym_LT_EQ] = ACTIONS(3188),
    [anon_sym_GT_EQ] = ACTIONS(3188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3188),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3188),
    [anon_sym_is] = ACTIONS(3188),
    [anon_sym_PLUS] = ACTIONS(3190),
    [anon_sym_DASH] = ACTIONS(3190),
    [anon_sym_STAR] = ACTIONS(3190),
    [anon_sym_SLASH] = ACTIONS(3190),
    [anon_sym_PERCENT] = ACTIONS(3190),
    [anon_sym_PLUS_PLUS] = ACTIONS(3188),
    [anon_sym_DASH_DASH] = ACTIONS(3188),
    [anon_sym_PIPE] = ACTIONS(3188),
    [anon_sym_CARET] = ACTIONS(3190),
    [anon_sym_LT_LT] = ACTIONS(3188),
    [anon_sym_GT_GT] = ACTIONS(3188),
    [anon_sym_class] = ACTIONS(3188),
    [anon_sym_BANG2] = ACTIONS(3190),
    [anon_sym_prefix] = ACTIONS(3188),
    [anon_sym_infix] = ACTIONS(3188),
    [anon_sym_postfix] = ACTIONS(3188),
    [anon_sym_AT] = ACTIONS(3190),
    [anon_sym_override] = ACTIONS(3188),
    [anon_sym_convenience] = ACTIONS(3188),
    [anon_sym_required] = ACTIONS(3188),
    [anon_sym_nonisolated] = ACTIONS(3188),
    [anon_sym_public] = ACTIONS(3188),
    [anon_sym_private] = ACTIONS(3188),
    [anon_sym_internal] = ACTIONS(3188),
    [anon_sym_fileprivate] = ACTIONS(3188),
    [anon_sym_open] = ACTIONS(3188),
    [anon_sym_mutating] = ACTIONS(3188),
    [anon_sym_nonmutating] = ACTIONS(3188),
    [anon_sym_static] = ACTIONS(3188),
    [anon_sym_dynamic] = ACTIONS(3188),
    [anon_sym_optional] = ACTIONS(3188),
    [anon_sym_distributed] = ACTIONS(3188),
    [anon_sym_final] = ACTIONS(3188),
    [anon_sym_inout] = ACTIONS(3188),
    [anon_sym_ATescaping] = ACTIONS(3188),
    [anon_sym_ATautoclosure] = ACTIONS(3188),
    [anon_sym_weak] = ACTIONS(3188),
    [anon_sym_unowned] = ACTIONS(3190),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3188),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3188),
    [anon_sym_borrowing] = ACTIONS(3188),
    [anon_sym_consuming] = ACTIONS(3188),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3188),
    [sym__explicit_semi] = ACTIONS(3188),
    [sym__dot_custom] = ACTIONS(3188),
    [sym__conjunction_operator_custom] = ACTIONS(3188),
    [sym__disjunction_operator_custom] = ACTIONS(3188),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3188),
    [sym__eq_custom] = ACTIONS(3188),
    [sym__eq_eq_custom] = ACTIONS(3188),
    [sym__plus_then_ws] = ACTIONS(3188),
    [sym__minus_then_ws] = ACTIONS(3188),
    [sym__bang_custom] = ACTIONS(3188),
    [sym_default_keyword] = ACTIONS(3188),
    [sym_where_keyword] = ACTIONS(3188),
    [sym__as_custom] = ACTIONS(3188),
    [sym__as_quest_custom] = ACTIONS(3188),
    [sym__as_bang_custom] = ACTIONS(3188),
    [sym__custom_operator] = ACTIONS(3188),
  },
  [1086] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(2963),
    [anon_sym_package] = ACTIONS(2963),
    [anon_sym_COMMA] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(2963),
    [anon_sym_LBRACK] = ACTIONS(2963),
    [anon_sym_DOT] = ACTIONS(2965),
    [anon_sym_QMARK] = ACTIONS(2965),
    [anon_sym_QMARK2] = ACTIONS(2963),
    [anon_sym_AMP] = ACTIONS(2963),
    [aux_sym_custom_operator_token1] = ACTIONS(2963),
    [anon_sym_LT] = ACTIONS(2965),
    [anon_sym_GT] = ACTIONS(2965),
    [anon_sym_LBRACE] = ACTIONS(2963),
    [anon_sym_CARET_LBRACE] = ACTIONS(2963),
    [anon_sym_RBRACE] = ACTIONS(2963),
    [anon_sym_case] = ACTIONS(2963),
    [anon_sym_fallthrough] = ACTIONS(2963),
    [anon_sym_PLUS_EQ] = ACTIONS(2963),
    [anon_sym_DASH_EQ] = ACTIONS(2963),
    [anon_sym_STAR_EQ] = ACTIONS(2963),
    [anon_sym_SLASH_EQ] = ACTIONS(2963),
    [anon_sym_PERCENT_EQ] = ACTIONS(2963),
    [anon_sym_BANG_EQ] = ACTIONS(2965),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2963),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2963),
    [anon_sym_LT_EQ] = ACTIONS(2963),
    [anon_sym_GT_EQ] = ACTIONS(2963),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2963),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2963),
    [anon_sym_is] = ACTIONS(2963),
    [anon_sym_PLUS] = ACTIONS(2965),
    [anon_sym_DASH] = ACTIONS(2965),
    [anon_sym_STAR] = ACTIONS(2965),
    [anon_sym_SLASH] = ACTIONS(2965),
    [anon_sym_PERCENT] = ACTIONS(2965),
    [anon_sym_PLUS_PLUS] = ACTIONS(2963),
    [anon_sym_DASH_DASH] = ACTIONS(2963),
    [anon_sym_PIPE] = ACTIONS(2963),
    [anon_sym_CARET] = ACTIONS(2965),
    [anon_sym_LT_LT] = ACTIONS(2963),
    [anon_sym_GT_GT] = ACTIONS(2963),
    [anon_sym_class] = ACTIONS(2963),
    [anon_sym_BANG2] = ACTIONS(2965),
    [anon_sym_prefix] = ACTIONS(2963),
    [anon_sym_infix] = ACTIONS(2963),
    [anon_sym_postfix] = ACTIONS(2963),
    [anon_sym_AT] = ACTIONS(2965),
    [anon_sym_override] = ACTIONS(2963),
    [anon_sym_convenience] = ACTIONS(2963),
    [anon_sym_required] = ACTIONS(2963),
    [anon_sym_nonisolated] = ACTIONS(2963),
    [anon_sym_public] = ACTIONS(2963),
    [anon_sym_private] = ACTIONS(2963),
    [anon_sym_internal] = ACTIONS(2963),
    [anon_sym_fileprivate] = ACTIONS(2963),
    [anon_sym_open] = ACTIONS(2963),
    [anon_sym_mutating] = ACTIONS(2963),
    [anon_sym_nonmutating] = ACTIONS(2963),
    [anon_sym_static] = ACTIONS(2963),
    [anon_sym_dynamic] = ACTIONS(2963),
    [anon_sym_optional] = ACTIONS(2963),
    [anon_sym_distributed] = ACTIONS(2963),
    [anon_sym_final] = ACTIONS(2963),
    [anon_sym_inout] = ACTIONS(2963),
    [anon_sym_ATescaping] = ACTIONS(2963),
    [anon_sym_ATautoclosure] = ACTIONS(2963),
    [anon_sym_weak] = ACTIONS(2963),
    [anon_sym_unowned] = ACTIONS(2965),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2963),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2963),
    [anon_sym_borrowing] = ACTIONS(2963),
    [anon_sym_consuming] = ACTIONS(2963),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2963),
    [sym__explicit_semi] = ACTIONS(2963),
    [sym__dot_custom] = ACTIONS(2963),
    [sym__conjunction_operator_custom] = ACTIONS(2963),
    [sym__disjunction_operator_custom] = ACTIONS(2963),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2963),
    [sym__eq_custom] = ACTIONS(2963),
    [sym__eq_eq_custom] = ACTIONS(2963),
    [sym__plus_then_ws] = ACTIONS(2963),
    [sym__minus_then_ws] = ACTIONS(2963),
    [sym__bang_custom] = ACTIONS(2963),
    [sym_default_keyword] = ACTIONS(2963),
    [sym__as_custom] = ACTIONS(2963),
    [sym__as_quest_custom] = ACTIONS(2963),
    [sym__as_bang_custom] = ACTIONS(2963),
    [sym__custom_operator] = ACTIONS(2963),
  },
  [1087] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(2995),
    [anon_sym_package] = ACTIONS(2995),
    [anon_sym_COMMA] = ACTIONS(2995),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_LBRACK] = ACTIONS(2995),
    [anon_sym_QMARK] = ACTIONS(2997),
    [anon_sym_QMARK2] = ACTIONS(2995),
    [anon_sym_AMP] = ACTIONS(2995),
    [aux_sym_custom_operator_token1] = ACTIONS(2995),
    [anon_sym_LT] = ACTIONS(2997),
    [anon_sym_GT] = ACTIONS(2997),
    [anon_sym_LBRACE] = ACTIONS(2995),
    [anon_sym_CARET_LBRACE] = ACTIONS(2995),
    [anon_sym_RBRACE] = ACTIONS(2995),
    [anon_sym_case] = ACTIONS(2995),
    [anon_sym_fallthrough] = ACTIONS(2995),
    [anon_sym_PLUS_EQ] = ACTIONS(2995),
    [anon_sym_DASH_EQ] = ACTIONS(2995),
    [anon_sym_STAR_EQ] = ACTIONS(2995),
    [anon_sym_SLASH_EQ] = ACTIONS(2995),
    [anon_sym_PERCENT_EQ] = ACTIONS(2995),
    [anon_sym_BANG_EQ] = ACTIONS(2997),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2995),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2995),
    [anon_sym_LT_EQ] = ACTIONS(2995),
    [anon_sym_GT_EQ] = ACTIONS(2995),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2995),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2995),
    [anon_sym_is] = ACTIONS(2995),
    [anon_sym_PLUS] = ACTIONS(2997),
    [anon_sym_DASH] = ACTIONS(2997),
    [anon_sym_STAR] = ACTIONS(2997),
    [anon_sym_SLASH] = ACTIONS(2997),
    [anon_sym_PERCENT] = ACTIONS(2997),
    [anon_sym_PLUS_PLUS] = ACTIONS(2995),
    [anon_sym_DASH_DASH] = ACTIONS(2995),
    [anon_sym_PIPE] = ACTIONS(2995),
    [anon_sym_CARET] = ACTIONS(2997),
    [anon_sym_LT_LT] = ACTIONS(2995),
    [anon_sym_GT_GT] = ACTIONS(2995),
    [anon_sym_class] = ACTIONS(2995),
    [anon_sym_BANG2] = ACTIONS(2997),
    [anon_sym_prefix] = ACTIONS(2995),
    [anon_sym_infix] = ACTIONS(2995),
    [anon_sym_postfix] = ACTIONS(2995),
    [anon_sym_AT] = ACTIONS(2997),
    [anon_sym_override] = ACTIONS(2995),
    [anon_sym_convenience] = ACTIONS(2995),
    [anon_sym_required] = ACTIONS(2995),
    [anon_sym_nonisolated] = ACTIONS(2995),
    [anon_sym_public] = ACTIONS(2995),
    [anon_sym_private] = ACTIONS(2995),
    [anon_sym_internal] = ACTIONS(2995),
    [anon_sym_fileprivate] = ACTIONS(2995),
    [anon_sym_open] = ACTIONS(2995),
    [anon_sym_mutating] = ACTIONS(2995),
    [anon_sym_nonmutating] = ACTIONS(2995),
    [anon_sym_static] = ACTIONS(2995),
    [anon_sym_dynamic] = ACTIONS(2995),
    [anon_sym_optional] = ACTIONS(2995),
    [anon_sym_distributed] = ACTIONS(2995),
    [anon_sym_final] = ACTIONS(2995),
    [anon_sym_inout] = ACTIONS(2995),
    [anon_sym_ATescaping] = ACTIONS(2995),
    [anon_sym_ATautoclosure] = ACTIONS(2995),
    [anon_sym_weak] = ACTIONS(2995),
    [anon_sym_unowned] = ACTIONS(2997),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2995),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2995),
    [anon_sym_borrowing] = ACTIONS(2995),
    [anon_sym_consuming] = ACTIONS(2995),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2995),
    [sym__explicit_semi] = ACTIONS(2995),
    [sym__dot_custom] = ACTIONS(2995),
    [sym__conjunction_operator_custom] = ACTIONS(2995),
    [sym__disjunction_operator_custom] = ACTIONS(2995),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2995),
    [sym__eq_custom] = ACTIONS(2995),
    [sym__eq_eq_custom] = ACTIONS(2995),
    [sym__plus_then_ws] = ACTIONS(2995),
    [sym__minus_then_ws] = ACTIONS(2995),
    [sym__bang_custom] = ACTIONS(2995),
    [sym_default_keyword] = ACTIONS(2995),
    [sym_where_keyword] = ACTIONS(2995),
    [sym__as_custom] = ACTIONS(2995),
    [sym__as_quest_custom] = ACTIONS(2995),
    [sym__as_bang_custom] = ACTIONS(2995),
    [sym__custom_operator] = ACTIONS(2995),
  },
  [1088] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3160),
    [anon_sym_package] = ACTIONS(3160),
    [anon_sym_COMMA] = ACTIONS(3160),
    [anon_sym_LPAREN] = ACTIONS(3160),
    [anon_sym_LBRACK] = ACTIONS(3160),
    [anon_sym_QMARK] = ACTIONS(3162),
    [anon_sym_QMARK2] = ACTIONS(3160),
    [anon_sym_AMP] = ACTIONS(3160),
    [aux_sym_custom_operator_token1] = ACTIONS(3160),
    [anon_sym_LT] = ACTIONS(3162),
    [anon_sym_GT] = ACTIONS(3162),
    [anon_sym_LBRACE] = ACTIONS(3160),
    [anon_sym_CARET_LBRACE] = ACTIONS(3160),
    [anon_sym_RBRACE] = ACTIONS(3160),
    [anon_sym_case] = ACTIONS(3160),
    [anon_sym_fallthrough] = ACTIONS(3160),
    [anon_sym_PLUS_EQ] = ACTIONS(3160),
    [anon_sym_DASH_EQ] = ACTIONS(3160),
    [anon_sym_STAR_EQ] = ACTIONS(3160),
    [anon_sym_SLASH_EQ] = ACTIONS(3160),
    [anon_sym_PERCENT_EQ] = ACTIONS(3160),
    [anon_sym_BANG_EQ] = ACTIONS(3162),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3160),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3160),
    [anon_sym_LT_EQ] = ACTIONS(3160),
    [anon_sym_GT_EQ] = ACTIONS(3160),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3160),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3160),
    [anon_sym_is] = ACTIONS(3160),
    [anon_sym_PLUS] = ACTIONS(3162),
    [anon_sym_DASH] = ACTIONS(3162),
    [anon_sym_STAR] = ACTIONS(3162),
    [anon_sym_SLASH] = ACTIONS(3162),
    [anon_sym_PERCENT] = ACTIONS(3162),
    [anon_sym_PLUS_PLUS] = ACTIONS(3160),
    [anon_sym_DASH_DASH] = ACTIONS(3160),
    [anon_sym_PIPE] = ACTIONS(3160),
    [anon_sym_CARET] = ACTIONS(3162),
    [anon_sym_LT_LT] = ACTIONS(3160),
    [anon_sym_GT_GT] = ACTIONS(3160),
    [anon_sym_class] = ACTIONS(3160),
    [anon_sym_BANG2] = ACTIONS(3162),
    [anon_sym_prefix] = ACTIONS(3160),
    [anon_sym_infix] = ACTIONS(3160),
    [anon_sym_postfix] = ACTIONS(3160),
    [anon_sym_AT] = ACTIONS(3162),
    [anon_sym_override] = ACTIONS(3160),
    [anon_sym_convenience] = ACTIONS(3160),
    [anon_sym_required] = ACTIONS(3160),
    [anon_sym_nonisolated] = ACTIONS(3160),
    [anon_sym_public] = ACTIONS(3160),
    [anon_sym_private] = ACTIONS(3160),
    [anon_sym_internal] = ACTIONS(3160),
    [anon_sym_fileprivate] = ACTIONS(3160),
    [anon_sym_open] = ACTIONS(3160),
    [anon_sym_mutating] = ACTIONS(3160),
    [anon_sym_nonmutating] = ACTIONS(3160),
    [anon_sym_static] = ACTIONS(3160),
    [anon_sym_dynamic] = ACTIONS(3160),
    [anon_sym_optional] = ACTIONS(3160),
    [anon_sym_distributed] = ACTIONS(3160),
    [anon_sym_final] = ACTIONS(3160),
    [anon_sym_inout] = ACTIONS(3160),
    [anon_sym_ATescaping] = ACTIONS(3160),
    [anon_sym_ATautoclosure] = ACTIONS(3160),
    [anon_sym_weak] = ACTIONS(3160),
    [anon_sym_unowned] = ACTIONS(3162),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3160),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3160),
    [anon_sym_borrowing] = ACTIONS(3160),
    [anon_sym_consuming] = ACTIONS(3160),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3160),
    [sym__explicit_semi] = ACTIONS(3160),
    [sym__dot_custom] = ACTIONS(3160),
    [sym__conjunction_operator_custom] = ACTIONS(3160),
    [sym__disjunction_operator_custom] = ACTIONS(3160),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3160),
    [sym__eq_custom] = ACTIONS(3160),
    [sym__eq_eq_custom] = ACTIONS(3160),
    [sym__plus_then_ws] = ACTIONS(3160),
    [sym__minus_then_ws] = ACTIONS(3160),
    [sym__bang_custom] = ACTIONS(3160),
    [sym_default_keyword] = ACTIONS(3160),
    [sym_where_keyword] = ACTIONS(3160),
    [sym__as_custom] = ACTIONS(3160),
    [sym__as_quest_custom] = ACTIONS(3160),
    [sym__as_bang_custom] = ACTIONS(3160),
    [sym__custom_operator] = ACTIONS(3160),
  },
  [1089] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(2924),
    [anon_sym_package] = ACTIONS(2924),
    [anon_sym_COMMA] = ACTIONS(2924),
    [anon_sym_LPAREN] = ACTIONS(2924),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_DOT] = ACTIONS(2926),
    [anon_sym_QMARK] = ACTIONS(2926),
    [anon_sym_QMARK2] = ACTIONS(2924),
    [anon_sym_AMP] = ACTIONS(2924),
    [aux_sym_custom_operator_token1] = ACTIONS(2924),
    [anon_sym_LT] = ACTIONS(2926),
    [anon_sym_GT] = ACTIONS(2926),
    [anon_sym_LBRACE] = ACTIONS(2924),
    [anon_sym_CARET_LBRACE] = ACTIONS(2924),
    [anon_sym_RBRACE] = ACTIONS(2924),
    [anon_sym_case] = ACTIONS(2924),
    [anon_sym_fallthrough] = ACTIONS(2924),
    [anon_sym_PLUS_EQ] = ACTIONS(2924),
    [anon_sym_DASH_EQ] = ACTIONS(2924),
    [anon_sym_STAR_EQ] = ACTIONS(2924),
    [anon_sym_SLASH_EQ] = ACTIONS(2924),
    [anon_sym_PERCENT_EQ] = ACTIONS(2924),
    [anon_sym_BANG_EQ] = ACTIONS(2926),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2924),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2924),
    [anon_sym_LT_EQ] = ACTIONS(2924),
    [anon_sym_GT_EQ] = ACTIONS(2924),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2924),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2924),
    [anon_sym_is] = ACTIONS(2924),
    [anon_sym_PLUS] = ACTIONS(2926),
    [anon_sym_DASH] = ACTIONS(2926),
    [anon_sym_STAR] = ACTIONS(2926),
    [anon_sym_SLASH] = ACTIONS(2926),
    [anon_sym_PERCENT] = ACTIONS(2926),
    [anon_sym_PLUS_PLUS] = ACTIONS(2924),
    [anon_sym_DASH_DASH] = ACTIONS(2924),
    [anon_sym_PIPE] = ACTIONS(2924),
    [anon_sym_CARET] = ACTIONS(2926),
    [anon_sym_LT_LT] = ACTIONS(2924),
    [anon_sym_GT_GT] = ACTIONS(2924),
    [anon_sym_class] = ACTIONS(2924),
    [anon_sym_BANG2] = ACTIONS(2926),
    [anon_sym_prefix] = ACTIONS(2924),
    [anon_sym_infix] = ACTIONS(2924),
    [anon_sym_postfix] = ACTIONS(2924),
    [anon_sym_AT] = ACTIONS(2926),
    [anon_sym_override] = ACTIONS(2924),
    [anon_sym_convenience] = ACTIONS(2924),
    [anon_sym_required] = ACTIONS(2924),
    [anon_sym_nonisolated] = ACTIONS(2924),
    [anon_sym_public] = ACTIONS(2924),
    [anon_sym_private] = ACTIONS(2924),
    [anon_sym_internal] = ACTIONS(2924),
    [anon_sym_fileprivate] = ACTIONS(2924),
    [anon_sym_open] = ACTIONS(2924),
    [anon_sym_mutating] = ACTIONS(2924),
    [anon_sym_nonmutating] = ACTIONS(2924),
    [anon_sym_static] = ACTIONS(2924),
    [anon_sym_dynamic] = ACTIONS(2924),
    [anon_sym_optional] = ACTIONS(2924),
    [anon_sym_distributed] = ACTIONS(2924),
    [anon_sym_final] = ACTIONS(2924),
    [anon_sym_inout] = ACTIONS(2924),
    [anon_sym_ATescaping] = ACTIONS(2924),
    [anon_sym_ATautoclosure] = ACTIONS(2924),
    [anon_sym_weak] = ACTIONS(2924),
    [anon_sym_unowned] = ACTIONS(2926),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2924),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2924),
    [anon_sym_borrowing] = ACTIONS(2924),
    [anon_sym_consuming] = ACTIONS(2924),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2924),
    [sym__explicit_semi] = ACTIONS(2924),
    [sym__dot_custom] = ACTIONS(2924),
    [sym__conjunction_operator_custom] = ACTIONS(2924),
    [sym__disjunction_operator_custom] = ACTIONS(2924),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2924),
    [sym__eq_custom] = ACTIONS(2924),
    [sym__eq_eq_custom] = ACTIONS(2924),
    [sym__plus_then_ws] = ACTIONS(2924),
    [sym__minus_then_ws] = ACTIONS(2924),
    [sym__bang_custom] = ACTIONS(2924),
    [sym_default_keyword] = ACTIONS(2924),
    [sym__as_custom] = ACTIONS(2924),
    [sym__as_quest_custom] = ACTIONS(2924),
    [sym__as_bang_custom] = ACTIONS(2924),
    [sym__custom_operator] = ACTIONS(2924),
  },
  [1090] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3204),
    [anon_sym_package] = ACTIONS(3204),
    [anon_sym_COMMA] = ACTIONS(3204),
    [anon_sym_LPAREN] = ACTIONS(3204),
    [anon_sym_LBRACK] = ACTIONS(3204),
    [anon_sym_QMARK] = ACTIONS(3206),
    [anon_sym_QMARK2] = ACTIONS(3204),
    [anon_sym_AMP] = ACTIONS(3204),
    [aux_sym_custom_operator_token1] = ACTIONS(3204),
    [anon_sym_LT] = ACTIONS(3206),
    [anon_sym_GT] = ACTIONS(3206),
    [anon_sym_LBRACE] = ACTIONS(3204),
    [anon_sym_CARET_LBRACE] = ACTIONS(3204),
    [anon_sym_RBRACE] = ACTIONS(3204),
    [anon_sym_case] = ACTIONS(3204),
    [anon_sym_fallthrough] = ACTIONS(3204),
    [anon_sym_PLUS_EQ] = ACTIONS(3204),
    [anon_sym_DASH_EQ] = ACTIONS(3204),
    [anon_sym_STAR_EQ] = ACTIONS(3204),
    [anon_sym_SLASH_EQ] = ACTIONS(3204),
    [anon_sym_PERCENT_EQ] = ACTIONS(3204),
    [anon_sym_BANG_EQ] = ACTIONS(3206),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3204),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3204),
    [anon_sym_LT_EQ] = ACTIONS(3204),
    [anon_sym_GT_EQ] = ACTIONS(3204),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3204),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3204),
    [anon_sym_is] = ACTIONS(3204),
    [anon_sym_PLUS] = ACTIONS(3206),
    [anon_sym_DASH] = ACTIONS(3206),
    [anon_sym_STAR] = ACTIONS(3206),
    [anon_sym_SLASH] = ACTIONS(3206),
    [anon_sym_PERCENT] = ACTIONS(3206),
    [anon_sym_PLUS_PLUS] = ACTIONS(3204),
    [anon_sym_DASH_DASH] = ACTIONS(3204),
    [anon_sym_PIPE] = ACTIONS(3204),
    [anon_sym_CARET] = ACTIONS(3206),
    [anon_sym_LT_LT] = ACTIONS(3204),
    [anon_sym_GT_GT] = ACTIONS(3204),
    [anon_sym_class] = ACTIONS(3204),
    [anon_sym_BANG2] = ACTIONS(3206),
    [anon_sym_prefix] = ACTIONS(3204),
    [anon_sym_infix] = ACTIONS(3204),
    [anon_sym_postfix] = ACTIONS(3204),
    [anon_sym_AT] = ACTIONS(3206),
    [anon_sym_override] = ACTIONS(3204),
    [anon_sym_convenience] = ACTIONS(3204),
    [anon_sym_required] = ACTIONS(3204),
    [anon_sym_nonisolated] = ACTIONS(3204),
    [anon_sym_public] = ACTIONS(3204),
    [anon_sym_private] = ACTIONS(3204),
    [anon_sym_internal] = ACTIONS(3204),
    [anon_sym_fileprivate] = ACTIONS(3204),
    [anon_sym_open] = ACTIONS(3204),
    [anon_sym_mutating] = ACTIONS(3204),
    [anon_sym_nonmutating] = ACTIONS(3204),
    [anon_sym_static] = ACTIONS(3204),
    [anon_sym_dynamic] = ACTIONS(3204),
    [anon_sym_optional] = ACTIONS(3204),
    [anon_sym_distributed] = ACTIONS(3204),
    [anon_sym_final] = ACTIONS(3204),
    [anon_sym_inout] = ACTIONS(3204),
    [anon_sym_ATescaping] = ACTIONS(3204),
    [anon_sym_ATautoclosure] = ACTIONS(3204),
    [anon_sym_weak] = ACTIONS(3204),
    [anon_sym_unowned] = ACTIONS(3206),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3204),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3204),
    [anon_sym_borrowing] = ACTIONS(3204),
    [anon_sym_consuming] = ACTIONS(3204),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3204),
    [sym__explicit_semi] = ACTIONS(3204),
    [sym__dot_custom] = ACTIONS(3204),
    [sym__conjunction_operator_custom] = ACTIONS(3204),
    [sym__disjunction_operator_custom] = ACTIONS(3204),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3204),
    [sym__eq_custom] = ACTIONS(3204),
    [sym__eq_eq_custom] = ACTIONS(3204),
    [sym__plus_then_ws] = ACTIONS(3204),
    [sym__minus_then_ws] = ACTIONS(3204),
    [sym__bang_custom] = ACTIONS(3204),
    [sym_default_keyword] = ACTIONS(3204),
    [sym_where_keyword] = ACTIONS(3204),
    [sym__as_custom] = ACTIONS(3204),
    [sym__as_quest_custom] = ACTIONS(3204),
    [sym__as_bang_custom] = ACTIONS(3204),
    [sym__custom_operator] = ACTIONS(3204),
  },
  [1091] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3168),
    [anon_sym_package] = ACTIONS(3168),
    [anon_sym_COMMA] = ACTIONS(3168),
    [anon_sym_LPAREN] = ACTIONS(3168),
    [anon_sym_LBRACK] = ACTIONS(3168),
    [anon_sym_QMARK] = ACTIONS(3170),
    [anon_sym_QMARK2] = ACTIONS(3168),
    [anon_sym_AMP] = ACTIONS(3168),
    [aux_sym_custom_operator_token1] = ACTIONS(3168),
    [anon_sym_LT] = ACTIONS(3170),
    [anon_sym_GT] = ACTIONS(3170),
    [anon_sym_LBRACE] = ACTIONS(3168),
    [anon_sym_CARET_LBRACE] = ACTIONS(3168),
    [anon_sym_RBRACE] = ACTIONS(3168),
    [anon_sym_case] = ACTIONS(3168),
    [anon_sym_fallthrough] = ACTIONS(3168),
    [anon_sym_PLUS_EQ] = ACTIONS(3168),
    [anon_sym_DASH_EQ] = ACTIONS(3168),
    [anon_sym_STAR_EQ] = ACTIONS(3168),
    [anon_sym_SLASH_EQ] = ACTIONS(3168),
    [anon_sym_PERCENT_EQ] = ACTIONS(3168),
    [anon_sym_BANG_EQ] = ACTIONS(3170),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3168),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3168),
    [anon_sym_LT_EQ] = ACTIONS(3168),
    [anon_sym_GT_EQ] = ACTIONS(3168),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3168),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3168),
    [anon_sym_is] = ACTIONS(3168),
    [anon_sym_PLUS] = ACTIONS(3170),
    [anon_sym_DASH] = ACTIONS(3170),
    [anon_sym_STAR] = ACTIONS(3170),
    [anon_sym_SLASH] = ACTIONS(3170),
    [anon_sym_PERCENT] = ACTIONS(3170),
    [anon_sym_PLUS_PLUS] = ACTIONS(3168),
    [anon_sym_DASH_DASH] = ACTIONS(3168),
    [anon_sym_PIPE] = ACTIONS(3168),
    [anon_sym_CARET] = ACTIONS(3170),
    [anon_sym_LT_LT] = ACTIONS(3168),
    [anon_sym_GT_GT] = ACTIONS(3168),
    [anon_sym_class] = ACTIONS(3168),
    [anon_sym_BANG2] = ACTIONS(3170),
    [anon_sym_prefix] = ACTIONS(3168),
    [anon_sym_infix] = ACTIONS(3168),
    [anon_sym_postfix] = ACTIONS(3168),
    [anon_sym_AT] = ACTIONS(3170),
    [anon_sym_override] = ACTIONS(3168),
    [anon_sym_convenience] = ACTIONS(3168),
    [anon_sym_required] = ACTIONS(3168),
    [anon_sym_nonisolated] = ACTIONS(3168),
    [anon_sym_public] = ACTIONS(3168),
    [anon_sym_private] = ACTIONS(3168),
    [anon_sym_internal] = ACTIONS(3168),
    [anon_sym_fileprivate] = ACTIONS(3168),
    [anon_sym_open] = ACTIONS(3168),
    [anon_sym_mutating] = ACTIONS(3168),
    [anon_sym_nonmutating] = ACTIONS(3168),
    [anon_sym_static] = ACTIONS(3168),
    [anon_sym_dynamic] = ACTIONS(3168),
    [anon_sym_optional] = ACTIONS(3168),
    [anon_sym_distributed] = ACTIONS(3168),
    [anon_sym_final] = ACTIONS(3168),
    [anon_sym_inout] = ACTIONS(3168),
    [anon_sym_ATescaping] = ACTIONS(3168),
    [anon_sym_ATautoclosure] = ACTIONS(3168),
    [anon_sym_weak] = ACTIONS(3168),
    [anon_sym_unowned] = ACTIONS(3170),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3168),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3168),
    [anon_sym_borrowing] = ACTIONS(3168),
    [anon_sym_consuming] = ACTIONS(3168),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3168),
    [sym__explicit_semi] = ACTIONS(3168),
    [sym__dot_custom] = ACTIONS(3168),
    [sym__conjunction_operator_custom] = ACTIONS(3168),
    [sym__disjunction_operator_custom] = ACTIONS(3168),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3168),
    [sym__eq_custom] = ACTIONS(3168),
    [sym__eq_eq_custom] = ACTIONS(3168),
    [sym__plus_then_ws] = ACTIONS(3168),
    [sym__minus_then_ws] = ACTIONS(3168),
    [sym__bang_custom] = ACTIONS(3168),
    [sym_default_keyword] = ACTIONS(3168),
    [sym_where_keyword] = ACTIONS(3168),
    [sym__as_custom] = ACTIONS(3168),
    [sym__as_quest_custom] = ACTIONS(3168),
    [sym__as_bang_custom] = ACTIONS(3168),
    [sym__custom_operator] = ACTIONS(3168),
  },
  [1092] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3296),
    [anon_sym_package] = ACTIONS(3296),
    [anon_sym_COMMA] = ACTIONS(3296),
    [anon_sym_LPAREN] = ACTIONS(3296),
    [anon_sym_LBRACK] = ACTIONS(3296),
    [anon_sym_QMARK] = ACTIONS(3298),
    [anon_sym_QMARK2] = ACTIONS(3296),
    [anon_sym_AMP] = ACTIONS(3296),
    [aux_sym_custom_operator_token1] = ACTIONS(3296),
    [anon_sym_LT] = ACTIONS(3298),
    [anon_sym_GT] = ACTIONS(3298),
    [anon_sym_LBRACE] = ACTIONS(3296),
    [anon_sym_CARET_LBRACE] = ACTIONS(3296),
    [anon_sym_RBRACE] = ACTIONS(3296),
    [anon_sym_case] = ACTIONS(3296),
    [anon_sym_fallthrough] = ACTIONS(3296),
    [anon_sym_PLUS_EQ] = ACTIONS(3296),
    [anon_sym_DASH_EQ] = ACTIONS(3296),
    [anon_sym_STAR_EQ] = ACTIONS(3296),
    [anon_sym_SLASH_EQ] = ACTIONS(3296),
    [anon_sym_PERCENT_EQ] = ACTIONS(3296),
    [anon_sym_BANG_EQ] = ACTIONS(3298),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3296),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3296),
    [anon_sym_LT_EQ] = ACTIONS(3296),
    [anon_sym_GT_EQ] = ACTIONS(3296),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3296),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3296),
    [anon_sym_is] = ACTIONS(3296),
    [anon_sym_PLUS] = ACTIONS(3298),
    [anon_sym_DASH] = ACTIONS(3298),
    [anon_sym_STAR] = ACTIONS(3298),
    [anon_sym_SLASH] = ACTIONS(3298),
    [anon_sym_PERCENT] = ACTIONS(3298),
    [anon_sym_PLUS_PLUS] = ACTIONS(3296),
    [anon_sym_DASH_DASH] = ACTIONS(3296),
    [anon_sym_PIPE] = ACTIONS(3296),
    [anon_sym_CARET] = ACTIONS(3298),
    [anon_sym_LT_LT] = ACTIONS(3296),
    [anon_sym_GT_GT] = ACTIONS(3296),
    [anon_sym_class] = ACTIONS(3296),
    [anon_sym_BANG2] = ACTIONS(3298),
    [anon_sym_prefix] = ACTIONS(3296),
    [anon_sym_infix] = ACTIONS(3296),
    [anon_sym_postfix] = ACTIONS(3296),
    [anon_sym_AT] = ACTIONS(3298),
    [anon_sym_override] = ACTIONS(3296),
    [anon_sym_convenience] = ACTIONS(3296),
    [anon_sym_required] = ACTIONS(3296),
    [anon_sym_nonisolated] = ACTIONS(3296),
    [anon_sym_public] = ACTIONS(3296),
    [anon_sym_private] = ACTIONS(3296),
    [anon_sym_internal] = ACTIONS(3296),
    [anon_sym_fileprivate] = ACTIONS(3296),
    [anon_sym_open] = ACTIONS(3296),
    [anon_sym_mutating] = ACTIONS(3296),
    [anon_sym_nonmutating] = ACTIONS(3296),
    [anon_sym_static] = ACTIONS(3296),
    [anon_sym_dynamic] = ACTIONS(3296),
    [anon_sym_optional] = ACTIONS(3296),
    [anon_sym_distributed] = ACTIONS(3296),
    [anon_sym_final] = ACTIONS(3296),
    [anon_sym_inout] = ACTIONS(3296),
    [anon_sym_ATescaping] = ACTIONS(3296),
    [anon_sym_ATautoclosure] = ACTIONS(3296),
    [anon_sym_weak] = ACTIONS(3296),
    [anon_sym_unowned] = ACTIONS(3298),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3296),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3296),
    [anon_sym_borrowing] = ACTIONS(3296),
    [anon_sym_consuming] = ACTIONS(3296),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3296),
    [sym__explicit_semi] = ACTIONS(3296),
    [sym__dot_custom] = ACTIONS(3296),
    [sym__conjunction_operator_custom] = ACTIONS(3296),
    [sym__disjunction_operator_custom] = ACTIONS(3296),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3296),
    [sym__eq_custom] = ACTIONS(3296),
    [sym__eq_eq_custom] = ACTIONS(3296),
    [sym__plus_then_ws] = ACTIONS(3296),
    [sym__minus_then_ws] = ACTIONS(3296),
    [sym__bang_custom] = ACTIONS(3296),
    [sym_default_keyword] = ACTIONS(3296),
    [sym_where_keyword] = ACTIONS(3296),
    [sym__as_custom] = ACTIONS(3296),
    [sym__as_quest_custom] = ACTIONS(3296),
    [sym__as_bang_custom] = ACTIONS(3296),
    [sym__custom_operator] = ACTIONS(3296),
  },
  [1093] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3218),
    [anon_sym_package] = ACTIONS(3218),
    [anon_sym_COMMA] = ACTIONS(3218),
    [anon_sym_LPAREN] = ACTIONS(3218),
    [anon_sym_LBRACK] = ACTIONS(3218),
    [anon_sym_QMARK] = ACTIONS(3220),
    [anon_sym_QMARK2] = ACTIONS(3218),
    [anon_sym_AMP] = ACTIONS(3218),
    [aux_sym_custom_operator_token1] = ACTIONS(3218),
    [anon_sym_LT] = ACTIONS(3220),
    [anon_sym_GT] = ACTIONS(3220),
    [anon_sym_LBRACE] = ACTIONS(3218),
    [anon_sym_CARET_LBRACE] = ACTIONS(3218),
    [anon_sym_RBRACE] = ACTIONS(3218),
    [anon_sym_case] = ACTIONS(3218),
    [anon_sym_fallthrough] = ACTIONS(3218),
    [anon_sym_PLUS_EQ] = ACTIONS(3218),
    [anon_sym_DASH_EQ] = ACTIONS(3218),
    [anon_sym_STAR_EQ] = ACTIONS(3218),
    [anon_sym_SLASH_EQ] = ACTIONS(3218),
    [anon_sym_PERCENT_EQ] = ACTIONS(3218),
    [anon_sym_BANG_EQ] = ACTIONS(3220),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3218),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3218),
    [anon_sym_LT_EQ] = ACTIONS(3218),
    [anon_sym_GT_EQ] = ACTIONS(3218),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3218),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3218),
    [anon_sym_is] = ACTIONS(3218),
    [anon_sym_PLUS] = ACTIONS(3220),
    [anon_sym_DASH] = ACTIONS(3220),
    [anon_sym_STAR] = ACTIONS(3220),
    [anon_sym_SLASH] = ACTIONS(3220),
    [anon_sym_PERCENT] = ACTIONS(3220),
    [anon_sym_PLUS_PLUS] = ACTIONS(3218),
    [anon_sym_DASH_DASH] = ACTIONS(3218),
    [anon_sym_PIPE] = ACTIONS(3218),
    [anon_sym_CARET] = ACTIONS(3220),
    [anon_sym_LT_LT] = ACTIONS(3218),
    [anon_sym_GT_GT] = ACTIONS(3218),
    [anon_sym_class] = ACTIONS(3218),
    [anon_sym_BANG2] = ACTIONS(3220),
    [anon_sym_prefix] = ACTIONS(3218),
    [anon_sym_infix] = ACTIONS(3218),
    [anon_sym_postfix] = ACTIONS(3218),
    [anon_sym_AT] = ACTIONS(3220),
    [anon_sym_override] = ACTIONS(3218),
    [anon_sym_convenience] = ACTIONS(3218),
    [anon_sym_required] = ACTIONS(3218),
    [anon_sym_nonisolated] = ACTIONS(3218),
    [anon_sym_public] = ACTIONS(3218),
    [anon_sym_private] = ACTIONS(3218),
    [anon_sym_internal] = ACTIONS(3218),
    [anon_sym_fileprivate] = ACTIONS(3218),
    [anon_sym_open] = ACTIONS(3218),
    [anon_sym_mutating] = ACTIONS(3218),
    [anon_sym_nonmutating] = ACTIONS(3218),
    [anon_sym_static] = ACTIONS(3218),
    [anon_sym_dynamic] = ACTIONS(3218),
    [anon_sym_optional] = ACTIONS(3218),
    [anon_sym_distributed] = ACTIONS(3218),
    [anon_sym_final] = ACTIONS(3218),
    [anon_sym_inout] = ACTIONS(3218),
    [anon_sym_ATescaping] = ACTIONS(3218),
    [anon_sym_ATautoclosure] = ACTIONS(3218),
    [anon_sym_weak] = ACTIONS(3218),
    [anon_sym_unowned] = ACTIONS(3220),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3218),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3218),
    [anon_sym_borrowing] = ACTIONS(3218),
    [anon_sym_consuming] = ACTIONS(3218),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3218),
    [sym__explicit_semi] = ACTIONS(3218),
    [sym__dot_custom] = ACTIONS(3218),
    [sym__conjunction_operator_custom] = ACTIONS(3218),
    [sym__disjunction_operator_custom] = ACTIONS(3218),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3218),
    [sym__eq_custom] = ACTIONS(3218),
    [sym__eq_eq_custom] = ACTIONS(3218),
    [sym__plus_then_ws] = ACTIONS(3218),
    [sym__minus_then_ws] = ACTIONS(3218),
    [sym__bang_custom] = ACTIONS(3218),
    [sym_default_keyword] = ACTIONS(3218),
    [sym_where_keyword] = ACTIONS(3218),
    [sym__as_custom] = ACTIONS(3218),
    [sym__as_quest_custom] = ACTIONS(3218),
    [sym__as_bang_custom] = ACTIONS(3218),
    [sym__custom_operator] = ACTIONS(3218),
  },
  [1094] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3244),
    [anon_sym_package] = ACTIONS(3244),
    [anon_sym_COMMA] = ACTIONS(3244),
    [anon_sym_LPAREN] = ACTIONS(3244),
    [anon_sym_LBRACK] = ACTIONS(3244),
    [anon_sym_QMARK] = ACTIONS(3246),
    [anon_sym_QMARK2] = ACTIONS(3244),
    [anon_sym_AMP] = ACTIONS(3244),
    [aux_sym_custom_operator_token1] = ACTIONS(3244),
    [anon_sym_LT] = ACTIONS(3246),
    [anon_sym_GT] = ACTIONS(3246),
    [anon_sym_LBRACE] = ACTIONS(3244),
    [anon_sym_CARET_LBRACE] = ACTIONS(3244),
    [anon_sym_RBRACE] = ACTIONS(3244),
    [anon_sym_case] = ACTIONS(3244),
    [anon_sym_fallthrough] = ACTIONS(3244),
    [anon_sym_PLUS_EQ] = ACTIONS(3244),
    [anon_sym_DASH_EQ] = ACTIONS(3244),
    [anon_sym_STAR_EQ] = ACTIONS(3244),
    [anon_sym_SLASH_EQ] = ACTIONS(3244),
    [anon_sym_PERCENT_EQ] = ACTIONS(3244),
    [anon_sym_BANG_EQ] = ACTIONS(3246),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3244),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3244),
    [anon_sym_LT_EQ] = ACTIONS(3244),
    [anon_sym_GT_EQ] = ACTIONS(3244),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3244),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3244),
    [anon_sym_is] = ACTIONS(3244),
    [anon_sym_PLUS] = ACTIONS(3246),
    [anon_sym_DASH] = ACTIONS(3246),
    [anon_sym_STAR] = ACTIONS(3246),
    [anon_sym_SLASH] = ACTIONS(3246),
    [anon_sym_PERCENT] = ACTIONS(3246),
    [anon_sym_PLUS_PLUS] = ACTIONS(3244),
    [anon_sym_DASH_DASH] = ACTIONS(3244),
    [anon_sym_PIPE] = ACTIONS(3244),
    [anon_sym_CARET] = ACTIONS(3246),
    [anon_sym_LT_LT] = ACTIONS(3244),
    [anon_sym_GT_GT] = ACTIONS(3244),
    [anon_sym_class] = ACTIONS(3244),
    [anon_sym_BANG2] = ACTIONS(3246),
    [anon_sym_prefix] = ACTIONS(3244),
    [anon_sym_infix] = ACTIONS(3244),
    [anon_sym_postfix] = ACTIONS(3244),
    [anon_sym_AT] = ACTIONS(3246),
    [anon_sym_override] = ACTIONS(3244),
    [anon_sym_convenience] = ACTIONS(3244),
    [anon_sym_required] = ACTIONS(3244),
    [anon_sym_nonisolated] = ACTIONS(3244),
    [anon_sym_public] = ACTIONS(3244),
    [anon_sym_private] = ACTIONS(3244),
    [anon_sym_internal] = ACTIONS(3244),
    [anon_sym_fileprivate] = ACTIONS(3244),
    [anon_sym_open] = ACTIONS(3244),
    [anon_sym_mutating] = ACTIONS(3244),
    [anon_sym_nonmutating] = ACTIONS(3244),
    [anon_sym_static] = ACTIONS(3244),
    [anon_sym_dynamic] = ACTIONS(3244),
    [anon_sym_optional] = ACTIONS(3244),
    [anon_sym_distributed] = ACTIONS(3244),
    [anon_sym_final] = ACTIONS(3244),
    [anon_sym_inout] = ACTIONS(3244),
    [anon_sym_ATescaping] = ACTIONS(3244),
    [anon_sym_ATautoclosure] = ACTIONS(3244),
    [anon_sym_weak] = ACTIONS(3244),
    [anon_sym_unowned] = ACTIONS(3246),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3244),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3244),
    [anon_sym_borrowing] = ACTIONS(3244),
    [anon_sym_consuming] = ACTIONS(3244),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3244),
    [sym__explicit_semi] = ACTIONS(3244),
    [sym__dot_custom] = ACTIONS(3244),
    [sym__conjunction_operator_custom] = ACTIONS(3244),
    [sym__disjunction_operator_custom] = ACTIONS(3244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3244),
    [sym__eq_custom] = ACTIONS(3244),
    [sym__eq_eq_custom] = ACTIONS(3244),
    [sym__plus_then_ws] = ACTIONS(3244),
    [sym__minus_then_ws] = ACTIONS(3244),
    [sym__bang_custom] = ACTIONS(3244),
    [sym_default_keyword] = ACTIONS(3244),
    [sym_where_keyword] = ACTIONS(3244),
    [sym__as_custom] = ACTIONS(3244),
    [sym__as_quest_custom] = ACTIONS(3244),
    [sym__as_bang_custom] = ACTIONS(3244),
    [sym__custom_operator] = ACTIONS(3244),
  },
  [1095] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3156),
    [anon_sym_package] = ACTIONS(3156),
    [anon_sym_COMMA] = ACTIONS(3156),
    [anon_sym_LPAREN] = ACTIONS(3156),
    [anon_sym_LBRACK] = ACTIONS(3156),
    [anon_sym_QMARK] = ACTIONS(3158),
    [anon_sym_QMARK2] = ACTIONS(3156),
    [anon_sym_AMP] = ACTIONS(3156),
    [aux_sym_custom_operator_token1] = ACTIONS(3156),
    [anon_sym_LT] = ACTIONS(3158),
    [anon_sym_GT] = ACTIONS(3158),
    [anon_sym_LBRACE] = ACTIONS(3156),
    [anon_sym_CARET_LBRACE] = ACTIONS(3156),
    [anon_sym_RBRACE] = ACTIONS(3156),
    [anon_sym_case] = ACTIONS(3156),
    [anon_sym_fallthrough] = ACTIONS(3156),
    [anon_sym_PLUS_EQ] = ACTIONS(3156),
    [anon_sym_DASH_EQ] = ACTIONS(3156),
    [anon_sym_STAR_EQ] = ACTIONS(3156),
    [anon_sym_SLASH_EQ] = ACTIONS(3156),
    [anon_sym_PERCENT_EQ] = ACTIONS(3156),
    [anon_sym_BANG_EQ] = ACTIONS(3158),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3156),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3156),
    [anon_sym_LT_EQ] = ACTIONS(3156),
    [anon_sym_GT_EQ] = ACTIONS(3156),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3156),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3156),
    [anon_sym_is] = ACTIONS(3156),
    [anon_sym_PLUS] = ACTIONS(3158),
    [anon_sym_DASH] = ACTIONS(3158),
    [anon_sym_STAR] = ACTIONS(3158),
    [anon_sym_SLASH] = ACTIONS(3158),
    [anon_sym_PERCENT] = ACTIONS(3158),
    [anon_sym_PLUS_PLUS] = ACTIONS(3156),
    [anon_sym_DASH_DASH] = ACTIONS(3156),
    [anon_sym_PIPE] = ACTIONS(3156),
    [anon_sym_CARET] = ACTIONS(3158),
    [anon_sym_LT_LT] = ACTIONS(3156),
    [anon_sym_GT_GT] = ACTIONS(3156),
    [anon_sym_class] = ACTIONS(3156),
    [anon_sym_BANG2] = ACTIONS(3158),
    [anon_sym_prefix] = ACTIONS(3156),
    [anon_sym_infix] = ACTIONS(3156),
    [anon_sym_postfix] = ACTIONS(3156),
    [anon_sym_AT] = ACTIONS(3158),
    [anon_sym_override] = ACTIONS(3156),
    [anon_sym_convenience] = ACTIONS(3156),
    [anon_sym_required] = ACTIONS(3156),
    [anon_sym_nonisolated] = ACTIONS(3156),
    [anon_sym_public] = ACTIONS(3156),
    [anon_sym_private] = ACTIONS(3156),
    [anon_sym_internal] = ACTIONS(3156),
    [anon_sym_fileprivate] = ACTIONS(3156),
    [anon_sym_open] = ACTIONS(3156),
    [anon_sym_mutating] = ACTIONS(3156),
    [anon_sym_nonmutating] = ACTIONS(3156),
    [anon_sym_static] = ACTIONS(3156),
    [anon_sym_dynamic] = ACTIONS(3156),
    [anon_sym_optional] = ACTIONS(3156),
    [anon_sym_distributed] = ACTIONS(3156),
    [anon_sym_final] = ACTIONS(3156),
    [anon_sym_inout] = ACTIONS(3156),
    [anon_sym_ATescaping] = ACTIONS(3156),
    [anon_sym_ATautoclosure] = ACTIONS(3156),
    [anon_sym_weak] = ACTIONS(3156),
    [anon_sym_unowned] = ACTIONS(3158),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3156),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3156),
    [anon_sym_borrowing] = ACTIONS(3156),
    [anon_sym_consuming] = ACTIONS(3156),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3156),
    [sym__explicit_semi] = ACTIONS(3156),
    [sym__dot_custom] = ACTIONS(3156),
    [sym__conjunction_operator_custom] = ACTIONS(3156),
    [sym__disjunction_operator_custom] = ACTIONS(3156),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3156),
    [sym__eq_custom] = ACTIONS(3156),
    [sym__eq_eq_custom] = ACTIONS(3156),
    [sym__plus_then_ws] = ACTIONS(3156),
    [sym__minus_then_ws] = ACTIONS(3156),
    [sym__bang_custom] = ACTIONS(3156),
    [sym_default_keyword] = ACTIONS(3156),
    [sym_where_keyword] = ACTIONS(3156),
    [sym__as_custom] = ACTIONS(3156),
    [sym__as_quest_custom] = ACTIONS(3156),
    [sym__as_bang_custom] = ACTIONS(3156),
    [sym__custom_operator] = ACTIONS(3156),
  },
  [1096] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3324),
    [anon_sym_package] = ACTIONS(3324),
    [anon_sym_COMMA] = ACTIONS(3324),
    [anon_sym_LPAREN] = ACTIONS(3324),
    [anon_sym_LBRACK] = ACTIONS(3324),
    [anon_sym_QMARK] = ACTIONS(3326),
    [anon_sym_QMARK2] = ACTIONS(3324),
    [anon_sym_AMP] = ACTIONS(3324),
    [aux_sym_custom_operator_token1] = ACTIONS(3324),
    [anon_sym_LT] = ACTIONS(3326),
    [anon_sym_GT] = ACTIONS(3326),
    [anon_sym_LBRACE] = ACTIONS(3324),
    [anon_sym_CARET_LBRACE] = ACTIONS(3324),
    [anon_sym_RBRACE] = ACTIONS(3324),
    [anon_sym_case] = ACTIONS(3324),
    [anon_sym_fallthrough] = ACTIONS(3324),
    [anon_sym_PLUS_EQ] = ACTIONS(3324),
    [anon_sym_DASH_EQ] = ACTIONS(3324),
    [anon_sym_STAR_EQ] = ACTIONS(3324),
    [anon_sym_SLASH_EQ] = ACTIONS(3324),
    [anon_sym_PERCENT_EQ] = ACTIONS(3324),
    [anon_sym_BANG_EQ] = ACTIONS(3326),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3324),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3324),
    [anon_sym_LT_EQ] = ACTIONS(3324),
    [anon_sym_GT_EQ] = ACTIONS(3324),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3324),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3324),
    [anon_sym_is] = ACTIONS(3324),
    [anon_sym_PLUS] = ACTIONS(3326),
    [anon_sym_DASH] = ACTIONS(3326),
    [anon_sym_STAR] = ACTIONS(3326),
    [anon_sym_SLASH] = ACTIONS(3326),
    [anon_sym_PERCENT] = ACTIONS(3326),
    [anon_sym_PLUS_PLUS] = ACTIONS(3324),
    [anon_sym_DASH_DASH] = ACTIONS(3324),
    [anon_sym_PIPE] = ACTIONS(3324),
    [anon_sym_CARET] = ACTIONS(3326),
    [anon_sym_LT_LT] = ACTIONS(3324),
    [anon_sym_GT_GT] = ACTIONS(3324),
    [anon_sym_class] = ACTIONS(3324),
    [anon_sym_BANG2] = ACTIONS(3326),
    [anon_sym_prefix] = ACTIONS(3324),
    [anon_sym_infix] = ACTIONS(3324),
    [anon_sym_postfix] = ACTIONS(3324),
    [anon_sym_AT] = ACTIONS(3326),
    [anon_sym_override] = ACTIONS(3324),
    [anon_sym_convenience] = ACTIONS(3324),
    [anon_sym_required] = ACTIONS(3324),
    [anon_sym_nonisolated] = ACTIONS(3324),
    [anon_sym_public] = ACTIONS(3324),
    [anon_sym_private] = ACTIONS(3324),
    [anon_sym_internal] = ACTIONS(3324),
    [anon_sym_fileprivate] = ACTIONS(3324),
    [anon_sym_open] = ACTIONS(3324),
    [anon_sym_mutating] = ACTIONS(3324),
    [anon_sym_nonmutating] = ACTIONS(3324),
    [anon_sym_static] = ACTIONS(3324),
    [anon_sym_dynamic] = ACTIONS(3324),
    [anon_sym_optional] = ACTIONS(3324),
    [anon_sym_distributed] = ACTIONS(3324),
    [anon_sym_final] = ACTIONS(3324),
    [anon_sym_inout] = ACTIONS(3324),
    [anon_sym_ATescaping] = ACTIONS(3324),
    [anon_sym_ATautoclosure] = ACTIONS(3324),
    [anon_sym_weak] = ACTIONS(3324),
    [anon_sym_unowned] = ACTIONS(3326),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3324),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3324),
    [anon_sym_borrowing] = ACTIONS(3324),
    [anon_sym_consuming] = ACTIONS(3324),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3324),
    [sym__explicit_semi] = ACTIONS(3324),
    [sym__dot_custom] = ACTIONS(3324),
    [sym__conjunction_operator_custom] = ACTIONS(3324),
    [sym__disjunction_operator_custom] = ACTIONS(3324),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3324),
    [sym__eq_custom] = ACTIONS(3324),
    [sym__eq_eq_custom] = ACTIONS(3324),
    [sym__plus_then_ws] = ACTIONS(3324),
    [sym__minus_then_ws] = ACTIONS(3324),
    [sym__bang_custom] = ACTIONS(3324),
    [sym_default_keyword] = ACTIONS(3324),
    [sym_where_keyword] = ACTIONS(3324),
    [sym__as_custom] = ACTIONS(3324),
    [sym__as_quest_custom] = ACTIONS(3324),
    [sym__as_bang_custom] = ACTIONS(3324),
    [sym__custom_operator] = ACTIONS(3324),
  },
  [1097] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3096),
    [anon_sym_package] = ACTIONS(3096),
    [anon_sym_COMMA] = ACTIONS(3096),
    [anon_sym_LPAREN] = ACTIONS(3096),
    [anon_sym_LBRACK] = ACTIONS(3096),
    [anon_sym_QMARK] = ACTIONS(3098),
    [anon_sym_QMARK2] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3096),
    [aux_sym_custom_operator_token1] = ACTIONS(3096),
    [anon_sym_LT] = ACTIONS(3098),
    [anon_sym_GT] = ACTIONS(3098),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_CARET_LBRACE] = ACTIONS(3096),
    [anon_sym_RBRACE] = ACTIONS(3096),
    [anon_sym_case] = ACTIONS(3096),
    [anon_sym_fallthrough] = ACTIONS(3096),
    [anon_sym_PLUS_EQ] = ACTIONS(3096),
    [anon_sym_DASH_EQ] = ACTIONS(3096),
    [anon_sym_STAR_EQ] = ACTIONS(3096),
    [anon_sym_SLASH_EQ] = ACTIONS(3096),
    [anon_sym_PERCENT_EQ] = ACTIONS(3096),
    [anon_sym_BANG_EQ] = ACTIONS(3098),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3096),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3096),
    [anon_sym_LT_EQ] = ACTIONS(3096),
    [anon_sym_GT_EQ] = ACTIONS(3096),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3096),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3096),
    [anon_sym_is] = ACTIONS(3096),
    [anon_sym_PLUS] = ACTIONS(3098),
    [anon_sym_DASH] = ACTIONS(3098),
    [anon_sym_STAR] = ACTIONS(3098),
    [anon_sym_SLASH] = ACTIONS(3098),
    [anon_sym_PERCENT] = ACTIONS(3098),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PIPE] = ACTIONS(3096),
    [anon_sym_CARET] = ACTIONS(3098),
    [anon_sym_LT_LT] = ACTIONS(3096),
    [anon_sym_GT_GT] = ACTIONS(3096),
    [anon_sym_class] = ACTIONS(3096),
    [anon_sym_BANG2] = ACTIONS(3098),
    [anon_sym_prefix] = ACTIONS(3096),
    [anon_sym_infix] = ACTIONS(3096),
    [anon_sym_postfix] = ACTIONS(3096),
    [anon_sym_AT] = ACTIONS(3098),
    [anon_sym_override] = ACTIONS(3096),
    [anon_sym_convenience] = ACTIONS(3096),
    [anon_sym_required] = ACTIONS(3096),
    [anon_sym_nonisolated] = ACTIONS(3096),
    [anon_sym_public] = ACTIONS(3096),
    [anon_sym_private] = ACTIONS(3096),
    [anon_sym_internal] = ACTIONS(3096),
    [anon_sym_fileprivate] = ACTIONS(3096),
    [anon_sym_open] = ACTIONS(3096),
    [anon_sym_mutating] = ACTIONS(3096),
    [anon_sym_nonmutating] = ACTIONS(3096),
    [anon_sym_static] = ACTIONS(3096),
    [anon_sym_dynamic] = ACTIONS(3096),
    [anon_sym_optional] = ACTIONS(3096),
    [anon_sym_distributed] = ACTIONS(3096),
    [anon_sym_final] = ACTIONS(3096),
    [anon_sym_inout] = ACTIONS(3096),
    [anon_sym_ATescaping] = ACTIONS(3096),
    [anon_sym_ATautoclosure] = ACTIONS(3096),
    [anon_sym_weak] = ACTIONS(3096),
    [anon_sym_unowned] = ACTIONS(3098),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3096),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3096),
    [anon_sym_borrowing] = ACTIONS(3096),
    [anon_sym_consuming] = ACTIONS(3096),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3096),
    [sym__explicit_semi] = ACTIONS(3096),
    [sym__dot_custom] = ACTIONS(3096),
    [sym__conjunction_operator_custom] = ACTIONS(3096),
    [sym__disjunction_operator_custom] = ACTIONS(3096),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3096),
    [sym__eq_custom] = ACTIONS(3096),
    [sym__eq_eq_custom] = ACTIONS(3096),
    [sym__plus_then_ws] = ACTIONS(3096),
    [sym__minus_then_ws] = ACTIONS(3096),
    [sym__bang_custom] = ACTIONS(3096),
    [sym_default_keyword] = ACTIONS(3096),
    [sym_where_keyword] = ACTIONS(3096),
    [sym__as_custom] = ACTIONS(3096),
    [sym__as_quest_custom] = ACTIONS(3096),
    [sym__as_bang_custom] = ACTIONS(3096),
    [sym__custom_operator] = ACTIONS(3096),
  },
  [1098] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(425),
    [anon_sym_package] = ACTIONS(425),
    [anon_sym_COMMA] = ACTIONS(425),
    [anon_sym_LPAREN] = ACTIONS(425),
    [anon_sym_LBRACK] = ACTIONS(425),
    [anon_sym_QMARK] = ACTIONS(407),
    [anon_sym_QMARK2] = ACTIONS(425),
    [anon_sym_AMP] = ACTIONS(425),
    [aux_sym_custom_operator_token1] = ACTIONS(425),
    [anon_sym_LT] = ACTIONS(407),
    [anon_sym_GT] = ACTIONS(407),
    [anon_sym_LBRACE] = ACTIONS(425),
    [anon_sym_CARET_LBRACE] = ACTIONS(425),
    [anon_sym_RBRACE] = ACTIONS(425),
    [anon_sym_case] = ACTIONS(425),
    [anon_sym_fallthrough] = ACTIONS(425),
    [anon_sym_PLUS_EQ] = ACTIONS(425),
    [anon_sym_DASH_EQ] = ACTIONS(425),
    [anon_sym_STAR_EQ] = ACTIONS(425),
    [anon_sym_SLASH_EQ] = ACTIONS(425),
    [anon_sym_PERCENT_EQ] = ACTIONS(425),
    [anon_sym_BANG_EQ] = ACTIONS(407),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(425),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(425),
    [anon_sym_LT_EQ] = ACTIONS(425),
    [anon_sym_GT_EQ] = ACTIONS(425),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(425),
    [anon_sym_DOT_DOT_LT] = ACTIONS(425),
    [anon_sym_is] = ACTIONS(425),
    [anon_sym_PLUS] = ACTIONS(407),
    [anon_sym_DASH] = ACTIONS(407),
    [anon_sym_STAR] = ACTIONS(407),
    [anon_sym_SLASH] = ACTIONS(407),
    [anon_sym_PERCENT] = ACTIONS(407),
    [anon_sym_PLUS_PLUS] = ACTIONS(425),
    [anon_sym_DASH_DASH] = ACTIONS(425),
    [anon_sym_PIPE] = ACTIONS(425),
    [anon_sym_CARET] = ACTIONS(407),
    [anon_sym_LT_LT] = ACTIONS(425),
    [anon_sym_GT_GT] = ACTIONS(425),
    [anon_sym_class] = ACTIONS(425),
    [anon_sym_BANG2] = ACTIONS(407),
    [anon_sym_prefix] = ACTIONS(425),
    [anon_sym_infix] = ACTIONS(425),
    [anon_sym_postfix] = ACTIONS(425),
    [anon_sym_AT] = ACTIONS(407),
    [anon_sym_override] = ACTIONS(425),
    [anon_sym_convenience] = ACTIONS(425),
    [anon_sym_required] = ACTIONS(425),
    [anon_sym_nonisolated] = ACTIONS(425),
    [anon_sym_public] = ACTIONS(425),
    [anon_sym_private] = ACTIONS(425),
    [anon_sym_internal] = ACTIONS(425),
    [anon_sym_fileprivate] = ACTIONS(425),
    [anon_sym_open] = ACTIONS(425),
    [anon_sym_mutating] = ACTIONS(425),
    [anon_sym_nonmutating] = ACTIONS(425),
    [anon_sym_static] = ACTIONS(425),
    [anon_sym_dynamic] = ACTIONS(425),
    [anon_sym_optional] = ACTIONS(425),
    [anon_sym_distributed] = ACTIONS(425),
    [anon_sym_final] = ACTIONS(425),
    [anon_sym_inout] = ACTIONS(425),
    [anon_sym_ATescaping] = ACTIONS(425),
    [anon_sym_ATautoclosure] = ACTIONS(425),
    [anon_sym_weak] = ACTIONS(425),
    [anon_sym_unowned] = ACTIONS(407),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(425),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(425),
    [anon_sym_borrowing] = ACTIONS(425),
    [anon_sym_consuming] = ACTIONS(425),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(425),
    [sym__explicit_semi] = ACTIONS(425),
    [sym__dot_custom] = ACTIONS(425),
    [sym__conjunction_operator_custom] = ACTIONS(425),
    [sym__disjunction_operator_custom] = ACTIONS(425),
    [sym__nil_coalescing_operator_custom] = ACTIONS(425),
    [sym__eq_custom] = ACTIONS(425),
    [sym__eq_eq_custom] = ACTIONS(425),
    [sym__plus_then_ws] = ACTIONS(425),
    [sym__minus_then_ws] = ACTIONS(425),
    [sym__bang_custom] = ACTIONS(425),
    [sym_default_keyword] = ACTIONS(425),
    [sym_where_keyword] = ACTIONS(425),
    [sym__as_custom] = ACTIONS(425),
    [sym__as_quest_custom] = ACTIONS(425),
    [sym__as_bang_custom] = ACTIONS(425),
    [sym__custom_operator] = ACTIONS(425),
  },
  [1099] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3144),
    [anon_sym_package] = ACTIONS(3144),
    [anon_sym_COMMA] = ACTIONS(3144),
    [anon_sym_LPAREN] = ACTIONS(3144),
    [anon_sym_LBRACK] = ACTIONS(3144),
    [anon_sym_QMARK] = ACTIONS(3146),
    [anon_sym_QMARK2] = ACTIONS(3144),
    [anon_sym_AMP] = ACTIONS(3144),
    [aux_sym_custom_operator_token1] = ACTIONS(3144),
    [anon_sym_LT] = ACTIONS(3146),
    [anon_sym_GT] = ACTIONS(3146),
    [anon_sym_LBRACE] = ACTIONS(3144),
    [anon_sym_CARET_LBRACE] = ACTIONS(3144),
    [anon_sym_RBRACE] = ACTIONS(3144),
    [anon_sym_case] = ACTIONS(3144),
    [anon_sym_fallthrough] = ACTIONS(3144),
    [anon_sym_PLUS_EQ] = ACTIONS(3144),
    [anon_sym_DASH_EQ] = ACTIONS(3144),
    [anon_sym_STAR_EQ] = ACTIONS(3144),
    [anon_sym_SLASH_EQ] = ACTIONS(3144),
    [anon_sym_PERCENT_EQ] = ACTIONS(3144),
    [anon_sym_BANG_EQ] = ACTIONS(3146),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3144),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3144),
    [anon_sym_LT_EQ] = ACTIONS(3144),
    [anon_sym_GT_EQ] = ACTIONS(3144),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3144),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3144),
    [anon_sym_is] = ACTIONS(3144),
    [anon_sym_PLUS] = ACTIONS(3146),
    [anon_sym_DASH] = ACTIONS(3146),
    [anon_sym_STAR] = ACTIONS(3146),
    [anon_sym_SLASH] = ACTIONS(3146),
    [anon_sym_PERCENT] = ACTIONS(3146),
    [anon_sym_PLUS_PLUS] = ACTIONS(3144),
    [anon_sym_DASH_DASH] = ACTIONS(3144),
    [anon_sym_PIPE] = ACTIONS(3144),
    [anon_sym_CARET] = ACTIONS(3146),
    [anon_sym_LT_LT] = ACTIONS(3144),
    [anon_sym_GT_GT] = ACTIONS(3144),
    [anon_sym_class] = ACTIONS(3144),
    [anon_sym_BANG2] = ACTIONS(3146),
    [anon_sym_prefix] = ACTIONS(3144),
    [anon_sym_infix] = ACTIONS(3144),
    [anon_sym_postfix] = ACTIONS(3144),
    [anon_sym_AT] = ACTIONS(3146),
    [anon_sym_override] = ACTIONS(3144),
    [anon_sym_convenience] = ACTIONS(3144),
    [anon_sym_required] = ACTIONS(3144),
    [anon_sym_nonisolated] = ACTIONS(3144),
    [anon_sym_public] = ACTIONS(3144),
    [anon_sym_private] = ACTIONS(3144),
    [anon_sym_internal] = ACTIONS(3144),
    [anon_sym_fileprivate] = ACTIONS(3144),
    [anon_sym_open] = ACTIONS(3144),
    [anon_sym_mutating] = ACTIONS(3144),
    [anon_sym_nonmutating] = ACTIONS(3144),
    [anon_sym_static] = ACTIONS(3144),
    [anon_sym_dynamic] = ACTIONS(3144),
    [anon_sym_optional] = ACTIONS(3144),
    [anon_sym_distributed] = ACTIONS(3144),
    [anon_sym_final] = ACTIONS(3144),
    [anon_sym_inout] = ACTIONS(3144),
    [anon_sym_ATescaping] = ACTIONS(3144),
    [anon_sym_ATautoclosure] = ACTIONS(3144),
    [anon_sym_weak] = ACTIONS(3144),
    [anon_sym_unowned] = ACTIONS(3146),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3144),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3144),
    [anon_sym_borrowing] = ACTIONS(3144),
    [anon_sym_consuming] = ACTIONS(3144),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3144),
    [sym__explicit_semi] = ACTIONS(3144),
    [sym__dot_custom] = ACTIONS(3144),
    [sym__conjunction_operator_custom] = ACTIONS(3144),
    [sym__disjunction_operator_custom] = ACTIONS(3144),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3144),
    [sym__eq_custom] = ACTIONS(3144),
    [sym__eq_eq_custom] = ACTIONS(3144),
    [sym__plus_then_ws] = ACTIONS(3144),
    [sym__minus_then_ws] = ACTIONS(3144),
    [sym__bang_custom] = ACTIONS(3144),
    [sym_default_keyword] = ACTIONS(3144),
    [sym_where_keyword] = ACTIONS(3144),
    [sym__as_custom] = ACTIONS(3144),
    [sym__as_quest_custom] = ACTIONS(3144),
    [sym__as_bang_custom] = ACTIONS(3144),
    [sym__custom_operator] = ACTIONS(3144),
  },
  [1100] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3072),
    [anon_sym_package] = ACTIONS(3072),
    [anon_sym_COMMA] = ACTIONS(3072),
    [anon_sym_LPAREN] = ACTIONS(3072),
    [anon_sym_LBRACK] = ACTIONS(3072),
    [anon_sym_QMARK] = ACTIONS(3074),
    [anon_sym_QMARK2] = ACTIONS(3072),
    [anon_sym_AMP] = ACTIONS(3072),
    [aux_sym_custom_operator_token1] = ACTIONS(3072),
    [anon_sym_LT] = ACTIONS(3074),
    [anon_sym_GT] = ACTIONS(3074),
    [anon_sym_LBRACE] = ACTIONS(3072),
    [anon_sym_CARET_LBRACE] = ACTIONS(3072),
    [anon_sym_RBRACE] = ACTIONS(3072),
    [anon_sym_case] = ACTIONS(3072),
    [anon_sym_fallthrough] = ACTIONS(3072),
    [anon_sym_PLUS_EQ] = ACTIONS(3072),
    [anon_sym_DASH_EQ] = ACTIONS(3072),
    [anon_sym_STAR_EQ] = ACTIONS(3072),
    [anon_sym_SLASH_EQ] = ACTIONS(3072),
    [anon_sym_PERCENT_EQ] = ACTIONS(3072),
    [anon_sym_BANG_EQ] = ACTIONS(3074),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3072),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3072),
    [anon_sym_LT_EQ] = ACTIONS(3072),
    [anon_sym_GT_EQ] = ACTIONS(3072),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3072),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3072),
    [anon_sym_is] = ACTIONS(3072),
    [anon_sym_PLUS] = ACTIONS(3074),
    [anon_sym_DASH] = ACTIONS(3074),
    [anon_sym_STAR] = ACTIONS(3074),
    [anon_sym_SLASH] = ACTIONS(3074),
    [anon_sym_PERCENT] = ACTIONS(3074),
    [anon_sym_PLUS_PLUS] = ACTIONS(3072),
    [anon_sym_DASH_DASH] = ACTIONS(3072),
    [anon_sym_PIPE] = ACTIONS(3072),
    [anon_sym_CARET] = ACTIONS(3074),
    [anon_sym_LT_LT] = ACTIONS(3072),
    [anon_sym_GT_GT] = ACTIONS(3072),
    [anon_sym_class] = ACTIONS(3072),
    [anon_sym_BANG2] = ACTIONS(3074),
    [anon_sym_prefix] = ACTIONS(3072),
    [anon_sym_infix] = ACTIONS(3072),
    [anon_sym_postfix] = ACTIONS(3072),
    [anon_sym_AT] = ACTIONS(3074),
    [anon_sym_override] = ACTIONS(3072),
    [anon_sym_convenience] = ACTIONS(3072),
    [anon_sym_required] = ACTIONS(3072),
    [anon_sym_nonisolated] = ACTIONS(3072),
    [anon_sym_public] = ACTIONS(3072),
    [anon_sym_private] = ACTIONS(3072),
    [anon_sym_internal] = ACTIONS(3072),
    [anon_sym_fileprivate] = ACTIONS(3072),
    [anon_sym_open] = ACTIONS(3072),
    [anon_sym_mutating] = ACTIONS(3072),
    [anon_sym_nonmutating] = ACTIONS(3072),
    [anon_sym_static] = ACTIONS(3072),
    [anon_sym_dynamic] = ACTIONS(3072),
    [anon_sym_optional] = ACTIONS(3072),
    [anon_sym_distributed] = ACTIONS(3072),
    [anon_sym_final] = ACTIONS(3072),
    [anon_sym_inout] = ACTIONS(3072),
    [anon_sym_ATescaping] = ACTIONS(3072),
    [anon_sym_ATautoclosure] = ACTIONS(3072),
    [anon_sym_weak] = ACTIONS(3072),
    [anon_sym_unowned] = ACTIONS(3074),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3072),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3072),
    [anon_sym_borrowing] = ACTIONS(3072),
    [anon_sym_consuming] = ACTIONS(3072),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3072),
    [sym__explicit_semi] = ACTIONS(3072),
    [sym__dot_custom] = ACTIONS(3072),
    [sym__conjunction_operator_custom] = ACTIONS(3072),
    [sym__disjunction_operator_custom] = ACTIONS(3072),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3072),
    [sym__eq_custom] = ACTIONS(3072),
    [sym__eq_eq_custom] = ACTIONS(3072),
    [sym__plus_then_ws] = ACTIONS(3072),
    [sym__minus_then_ws] = ACTIONS(3072),
    [sym__bang_custom] = ACTIONS(3072),
    [sym_default_keyword] = ACTIONS(3072),
    [sym_else] = ACTIONS(3072),
    [sym__as_custom] = ACTIONS(3072),
    [sym__as_quest_custom] = ACTIONS(3072),
    [sym__as_bang_custom] = ACTIONS(3072),
    [sym__custom_operator] = ACTIONS(3072),
  },
  [1101] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3140),
    [anon_sym_package] = ACTIONS(3140),
    [anon_sym_COMMA] = ACTIONS(3140),
    [anon_sym_LPAREN] = ACTIONS(3140),
    [anon_sym_LBRACK] = ACTIONS(3140),
    [anon_sym_QMARK] = ACTIONS(3142),
    [anon_sym_QMARK2] = ACTIONS(3140),
    [anon_sym_AMP] = ACTIONS(3140),
    [aux_sym_custom_operator_token1] = ACTIONS(3140),
    [anon_sym_LT] = ACTIONS(3142),
    [anon_sym_GT] = ACTIONS(3142),
    [anon_sym_LBRACE] = ACTIONS(3140),
    [anon_sym_CARET_LBRACE] = ACTIONS(3140),
    [anon_sym_RBRACE] = ACTIONS(3140),
    [anon_sym_case] = ACTIONS(3140),
    [anon_sym_fallthrough] = ACTIONS(3140),
    [anon_sym_PLUS_EQ] = ACTIONS(3140),
    [anon_sym_DASH_EQ] = ACTIONS(3140),
    [anon_sym_STAR_EQ] = ACTIONS(3140),
    [anon_sym_SLASH_EQ] = ACTIONS(3140),
    [anon_sym_PERCENT_EQ] = ACTIONS(3140),
    [anon_sym_BANG_EQ] = ACTIONS(3142),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3140),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3140),
    [anon_sym_LT_EQ] = ACTIONS(3140),
    [anon_sym_GT_EQ] = ACTIONS(3140),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3140),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3140),
    [anon_sym_is] = ACTIONS(3140),
    [anon_sym_PLUS] = ACTIONS(3142),
    [anon_sym_DASH] = ACTIONS(3142),
    [anon_sym_STAR] = ACTIONS(3142),
    [anon_sym_SLASH] = ACTIONS(3142),
    [anon_sym_PERCENT] = ACTIONS(3142),
    [anon_sym_PLUS_PLUS] = ACTIONS(3140),
    [anon_sym_DASH_DASH] = ACTIONS(3140),
    [anon_sym_PIPE] = ACTIONS(3140),
    [anon_sym_CARET] = ACTIONS(3142),
    [anon_sym_LT_LT] = ACTIONS(3140),
    [anon_sym_GT_GT] = ACTIONS(3140),
    [anon_sym_class] = ACTIONS(3140),
    [anon_sym_BANG2] = ACTIONS(3142),
    [anon_sym_prefix] = ACTIONS(3140),
    [anon_sym_infix] = ACTIONS(3140),
    [anon_sym_postfix] = ACTIONS(3140),
    [anon_sym_AT] = ACTIONS(3142),
    [anon_sym_override] = ACTIONS(3140),
    [anon_sym_convenience] = ACTIONS(3140),
    [anon_sym_required] = ACTIONS(3140),
    [anon_sym_nonisolated] = ACTIONS(3140),
    [anon_sym_public] = ACTIONS(3140),
    [anon_sym_private] = ACTIONS(3140),
    [anon_sym_internal] = ACTIONS(3140),
    [anon_sym_fileprivate] = ACTIONS(3140),
    [anon_sym_open] = ACTIONS(3140),
    [anon_sym_mutating] = ACTIONS(3140),
    [anon_sym_nonmutating] = ACTIONS(3140),
    [anon_sym_static] = ACTIONS(3140),
    [anon_sym_dynamic] = ACTIONS(3140),
    [anon_sym_optional] = ACTIONS(3140),
    [anon_sym_distributed] = ACTIONS(3140),
    [anon_sym_final] = ACTIONS(3140),
    [anon_sym_inout] = ACTIONS(3140),
    [anon_sym_ATescaping] = ACTIONS(3140),
    [anon_sym_ATautoclosure] = ACTIONS(3140),
    [anon_sym_weak] = ACTIONS(3140),
    [anon_sym_unowned] = ACTIONS(3142),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3140),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3140),
    [anon_sym_borrowing] = ACTIONS(3140),
    [anon_sym_consuming] = ACTIONS(3140),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3140),
    [sym__explicit_semi] = ACTIONS(3140),
    [sym__dot_custom] = ACTIONS(3140),
    [sym__conjunction_operator_custom] = ACTIONS(3140),
    [sym__disjunction_operator_custom] = ACTIONS(3140),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3140),
    [sym__eq_custom] = ACTIONS(3140),
    [sym__eq_eq_custom] = ACTIONS(3140),
    [sym__plus_then_ws] = ACTIONS(3140),
    [sym__minus_then_ws] = ACTIONS(3140),
    [sym__bang_custom] = ACTIONS(3140),
    [sym_default_keyword] = ACTIONS(3140),
    [sym_where_keyword] = ACTIONS(3140),
    [sym__as_custom] = ACTIONS(3140),
    [sym__as_quest_custom] = ACTIONS(3140),
    [sym__as_bang_custom] = ACTIONS(3140),
    [sym__custom_operator] = ACTIONS(3140),
  },
  [1102] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3304),
    [anon_sym_package] = ACTIONS(3304),
    [anon_sym_COMMA] = ACTIONS(3304),
    [anon_sym_LPAREN] = ACTIONS(3304),
    [anon_sym_LBRACK] = ACTIONS(3304),
    [anon_sym_QMARK] = ACTIONS(3306),
    [anon_sym_QMARK2] = ACTIONS(3304),
    [anon_sym_AMP] = ACTIONS(3304),
    [aux_sym_custom_operator_token1] = ACTIONS(3304),
    [anon_sym_LT] = ACTIONS(3306),
    [anon_sym_GT] = ACTIONS(3306),
    [anon_sym_LBRACE] = ACTIONS(3304),
    [anon_sym_CARET_LBRACE] = ACTIONS(3304),
    [anon_sym_RBRACE] = ACTIONS(3304),
    [anon_sym_case] = ACTIONS(3304),
    [anon_sym_fallthrough] = ACTIONS(3304),
    [anon_sym_PLUS_EQ] = ACTIONS(3304),
    [anon_sym_DASH_EQ] = ACTIONS(3304),
    [anon_sym_STAR_EQ] = ACTIONS(3304),
    [anon_sym_SLASH_EQ] = ACTIONS(3304),
    [anon_sym_PERCENT_EQ] = ACTIONS(3304),
    [anon_sym_BANG_EQ] = ACTIONS(3306),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3304),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3304),
    [anon_sym_LT_EQ] = ACTIONS(3304),
    [anon_sym_GT_EQ] = ACTIONS(3304),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3304),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3304),
    [anon_sym_is] = ACTIONS(3304),
    [anon_sym_PLUS] = ACTIONS(3306),
    [anon_sym_DASH] = ACTIONS(3306),
    [anon_sym_STAR] = ACTIONS(3306),
    [anon_sym_SLASH] = ACTIONS(3306),
    [anon_sym_PERCENT] = ACTIONS(3306),
    [anon_sym_PLUS_PLUS] = ACTIONS(3304),
    [anon_sym_DASH_DASH] = ACTIONS(3304),
    [anon_sym_PIPE] = ACTIONS(3304),
    [anon_sym_CARET] = ACTIONS(3306),
    [anon_sym_LT_LT] = ACTIONS(3304),
    [anon_sym_GT_GT] = ACTIONS(3304),
    [anon_sym_class] = ACTIONS(3304),
    [anon_sym_BANG2] = ACTIONS(3306),
    [anon_sym_prefix] = ACTIONS(3304),
    [anon_sym_infix] = ACTIONS(3304),
    [anon_sym_postfix] = ACTIONS(3304),
    [anon_sym_AT] = ACTIONS(3306),
    [anon_sym_override] = ACTIONS(3304),
    [anon_sym_convenience] = ACTIONS(3304),
    [anon_sym_required] = ACTIONS(3304),
    [anon_sym_nonisolated] = ACTIONS(3304),
    [anon_sym_public] = ACTIONS(3304),
    [anon_sym_private] = ACTIONS(3304),
    [anon_sym_internal] = ACTIONS(3304),
    [anon_sym_fileprivate] = ACTIONS(3304),
    [anon_sym_open] = ACTIONS(3304),
    [anon_sym_mutating] = ACTIONS(3304),
    [anon_sym_nonmutating] = ACTIONS(3304),
    [anon_sym_static] = ACTIONS(3304),
    [anon_sym_dynamic] = ACTIONS(3304),
    [anon_sym_optional] = ACTIONS(3304),
    [anon_sym_distributed] = ACTIONS(3304),
    [anon_sym_final] = ACTIONS(3304),
    [anon_sym_inout] = ACTIONS(3304),
    [anon_sym_ATescaping] = ACTIONS(3304),
    [anon_sym_ATautoclosure] = ACTIONS(3304),
    [anon_sym_weak] = ACTIONS(3304),
    [anon_sym_unowned] = ACTIONS(3306),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3304),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3304),
    [anon_sym_borrowing] = ACTIONS(3304),
    [anon_sym_consuming] = ACTIONS(3304),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3304),
    [sym__explicit_semi] = ACTIONS(3304),
    [sym__dot_custom] = ACTIONS(3304),
    [sym__conjunction_operator_custom] = ACTIONS(3304),
    [sym__disjunction_operator_custom] = ACTIONS(3304),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3304),
    [sym__eq_custom] = ACTIONS(3304),
    [sym__eq_eq_custom] = ACTIONS(3304),
    [sym__plus_then_ws] = ACTIONS(3304),
    [sym__minus_then_ws] = ACTIONS(3304),
    [sym__bang_custom] = ACTIONS(3304),
    [sym_default_keyword] = ACTIONS(3304),
    [sym_where_keyword] = ACTIONS(3304),
    [sym__as_custom] = ACTIONS(3304),
    [sym__as_quest_custom] = ACTIONS(3304),
    [sym__as_bang_custom] = ACTIONS(3304),
    [sym__custom_operator] = ACTIONS(3304),
  },
  [1103] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3278),
    [anon_sym_package] = ACTIONS(3278),
    [anon_sym_COMMA] = ACTIONS(3278),
    [anon_sym_LPAREN] = ACTIONS(3278),
    [anon_sym_LBRACK] = ACTIONS(3278),
    [anon_sym_QMARK] = ACTIONS(3280),
    [anon_sym_QMARK2] = ACTIONS(3278),
    [anon_sym_AMP] = ACTIONS(3278),
    [aux_sym_custom_operator_token1] = ACTIONS(3278),
    [anon_sym_LT] = ACTIONS(3280),
    [anon_sym_GT] = ACTIONS(3280),
    [anon_sym_LBRACE] = ACTIONS(3278),
    [anon_sym_CARET_LBRACE] = ACTIONS(3278),
    [anon_sym_RBRACE] = ACTIONS(3278),
    [anon_sym_case] = ACTIONS(3278),
    [anon_sym_fallthrough] = ACTIONS(3278),
    [anon_sym_PLUS_EQ] = ACTIONS(3278),
    [anon_sym_DASH_EQ] = ACTIONS(3278),
    [anon_sym_STAR_EQ] = ACTIONS(3278),
    [anon_sym_SLASH_EQ] = ACTIONS(3278),
    [anon_sym_PERCENT_EQ] = ACTIONS(3278),
    [anon_sym_BANG_EQ] = ACTIONS(3280),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3278),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3278),
    [anon_sym_LT_EQ] = ACTIONS(3278),
    [anon_sym_GT_EQ] = ACTIONS(3278),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3278),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3278),
    [anon_sym_is] = ACTIONS(3278),
    [anon_sym_PLUS] = ACTIONS(3280),
    [anon_sym_DASH] = ACTIONS(3280),
    [anon_sym_STAR] = ACTIONS(3280),
    [anon_sym_SLASH] = ACTIONS(3280),
    [anon_sym_PERCENT] = ACTIONS(3280),
    [anon_sym_PLUS_PLUS] = ACTIONS(3278),
    [anon_sym_DASH_DASH] = ACTIONS(3278),
    [anon_sym_PIPE] = ACTIONS(3278),
    [anon_sym_CARET] = ACTIONS(3280),
    [anon_sym_LT_LT] = ACTIONS(3278),
    [anon_sym_GT_GT] = ACTIONS(3278),
    [anon_sym_class] = ACTIONS(3278),
    [anon_sym_BANG2] = ACTIONS(3280),
    [anon_sym_prefix] = ACTIONS(3278),
    [anon_sym_infix] = ACTIONS(3278),
    [anon_sym_postfix] = ACTIONS(3278),
    [anon_sym_AT] = ACTIONS(3280),
    [anon_sym_override] = ACTIONS(3278),
    [anon_sym_convenience] = ACTIONS(3278),
    [anon_sym_required] = ACTIONS(3278),
    [anon_sym_nonisolated] = ACTIONS(3278),
    [anon_sym_public] = ACTIONS(3278),
    [anon_sym_private] = ACTIONS(3278),
    [anon_sym_internal] = ACTIONS(3278),
    [anon_sym_fileprivate] = ACTIONS(3278),
    [anon_sym_open] = ACTIONS(3278),
    [anon_sym_mutating] = ACTIONS(3278),
    [anon_sym_nonmutating] = ACTIONS(3278),
    [anon_sym_static] = ACTIONS(3278),
    [anon_sym_dynamic] = ACTIONS(3278),
    [anon_sym_optional] = ACTIONS(3278),
    [anon_sym_distributed] = ACTIONS(3278),
    [anon_sym_final] = ACTIONS(3278),
    [anon_sym_inout] = ACTIONS(3278),
    [anon_sym_ATescaping] = ACTIONS(3278),
    [anon_sym_ATautoclosure] = ACTIONS(3278),
    [anon_sym_weak] = ACTIONS(3278),
    [anon_sym_unowned] = ACTIONS(3280),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3278),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3278),
    [anon_sym_borrowing] = ACTIONS(3278),
    [anon_sym_consuming] = ACTIONS(3278),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3278),
    [sym__explicit_semi] = ACTIONS(3278),
    [sym__dot_custom] = ACTIONS(3278),
    [sym__conjunction_operator_custom] = ACTIONS(3278),
    [sym__disjunction_operator_custom] = ACTIONS(3278),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3278),
    [sym__eq_custom] = ACTIONS(3278),
    [sym__eq_eq_custom] = ACTIONS(3278),
    [sym__plus_then_ws] = ACTIONS(3278),
    [sym__minus_then_ws] = ACTIONS(3278),
    [sym__bang_custom] = ACTIONS(3278),
    [sym_default_keyword] = ACTIONS(3278),
    [sym_where_keyword] = ACTIONS(3278),
    [sym__as_custom] = ACTIONS(3278),
    [sym__as_quest_custom] = ACTIONS(3278),
    [sym__as_bang_custom] = ACTIONS(3278),
    [sym__custom_operator] = ACTIONS(3278),
  },
  [1104] = {
    [sym_type_arguments] = STATE(1206),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2884),
    [aux_sym_simple_identifier_token2] = ACTIONS(2882),
    [aux_sym_simple_identifier_token3] = ACTIONS(2882),
    [aux_sym_simple_identifier_token4] = ACTIONS(2882),
    [anon_sym_actor] = ACTIONS(2884),
    [anon_sym_async] = ACTIONS(2884),
    [anon_sym_each] = ACTIONS(2884),
    [anon_sym_lazy] = ACTIONS(2884),
    [anon_sym_repeat] = ACTIONS(2884),
    [anon_sym_package] = ACTIONS(2884),
    [anon_sym_nil] = ACTIONS(2884),
    [sym_real_literal] = ACTIONS(2882),
    [sym_integer_literal] = ACTIONS(2884),
    [sym_hex_literal] = ACTIONS(2882),
    [sym_oct_literal] = ACTIONS(2882),
    [sym_bin_literal] = ACTIONS(2882),
    [anon_sym_true] = ACTIONS(2884),
    [anon_sym_false] = ACTIONS(2884),
    [anon_sym_DQUOTE] = ACTIONS(2884),
    [anon_sym_BSLASH] = ACTIONS(2882),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2882),
    [sym__extended_regex_literal] = ACTIONS(2882),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(2882),
    [sym__oneline_regex_literal] = ACTIONS(2884),
    [anon_sym_LPAREN] = ACTIONS(2882),
    [anon_sym_LBRACK] = ACTIONS(2882),
    [anon_sym_AMP] = ACTIONS(2882),
    [anon_sym_if] = ACTIONS(2884),
    [anon_sym_switch] = ACTIONS(2884),
    [anon_sym_POUNDselector] = ACTIONS(2882),
    [aux_sym_custom_operator_token1] = ACTIONS(2882),
    [anon_sym_LT] = ACTIONS(3952),
    [anon_sym_GT] = ACTIONS(2884),
    [anon_sym_await] = ACTIONS(2884),
    [anon_sym_POUNDfile] = ACTIONS(2884),
    [anon_sym_POUNDfileID] = ACTIONS(2882),
    [anon_sym_POUNDfilePath] = ACTIONS(2882),
    [anon_sym_POUNDline] = ACTIONS(2882),
    [anon_sym_POUNDcolumn] = ACTIONS(2882),
    [anon_sym_POUNDfunction] = ACTIONS(2882),
    [anon_sym_POUNDdsohandle] = ACTIONS(2882),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(2882),
    [anon_sym_POUNDfileLiteral] = ACTIONS(2882),
    [anon_sym_POUNDimageLiteral] = ACTIONS(2882),
    [anon_sym_LBRACE] = ACTIONS(2882),
    [anon_sym_CARET_LBRACE] = ACTIONS(2882),
    [anon_sym_self] = ACTIONS(2884),
    [anon_sym_super] = ACTIONS(2884),
    [anon_sym_POUNDkeyPath] = ACTIONS(2882),
    [anon_sym_try] = ACTIONS(2884),
    [anon_sym_PLUS_EQ] = ACTIONS(2882),
    [anon_sym_DASH_EQ] = ACTIONS(2882),
    [anon_sym_STAR_EQ] = ACTIONS(2882),
    [anon_sym_SLASH_EQ] = ACTIONS(2882),
    [anon_sym_PERCENT_EQ] = ACTIONS(2882),
    [anon_sym_BANG_EQ] = ACTIONS(2884),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2882),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2882),
    [anon_sym_LT_EQ] = ACTIONS(2882),
    [anon_sym_GT_EQ] = ACTIONS(2882),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2882),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2882),
    [anon_sym_PLUS] = ACTIONS(2884),
    [anon_sym_DASH] = ACTIONS(2884),
    [anon_sym_STAR] = ACTIONS(2884),
    [anon_sym_SLASH] = ACTIONS(2884),
    [anon_sym_PERCENT] = ACTIONS(2884),
    [anon_sym_PLUS_PLUS] = ACTIONS(2882),
    [anon_sym_DASH_DASH] = ACTIONS(2882),
    [anon_sym_TILDE] = ACTIONS(2882),
    [anon_sym_PIPE] = ACTIONS(2882),
    [anon_sym_CARET] = ACTIONS(2884),
    [anon_sym_LT_LT] = ACTIONS(2882),
    [anon_sym_GT_GT] = ACTIONS(2882),
    [anon_sym_BANG2] = ACTIONS(2884),
    [anon_sym_AT] = ACTIONS(2882),
    [anon_sym_borrowing] = ACTIONS(2884),
    [anon_sym_consuming] = ACTIONS(2884),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(2882),
    [sym_raw_str_end_part] = ACTIONS(2882),
    [sym__dot_custom] = ACTIONS(2882),
    [sym__eq_custom] = ACTIONS(2882),
    [sym__eq_eq_custom] = ACTIONS(2882),
    [sym__plus_then_ws] = ACTIONS(2882),
    [sym__minus_then_ws] = ACTIONS(2882),
    [sym__bang_custom] = ACTIONS(2882),
    [sym__custom_operator] = ACTIONS(2882),
  },
  [1105] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3308),
    [anon_sym_package] = ACTIONS(3308),
    [anon_sym_COMMA] = ACTIONS(3308),
    [anon_sym_LPAREN] = ACTIONS(3308),
    [anon_sym_LBRACK] = ACTIONS(3308),
    [anon_sym_QMARK] = ACTIONS(3310),
    [anon_sym_QMARK2] = ACTIONS(3308),
    [anon_sym_AMP] = ACTIONS(3308),
    [aux_sym_custom_operator_token1] = ACTIONS(3308),
    [anon_sym_LT] = ACTIONS(3310),
    [anon_sym_GT] = ACTIONS(3310),
    [anon_sym_LBRACE] = ACTIONS(3308),
    [anon_sym_CARET_LBRACE] = ACTIONS(3308),
    [anon_sym_RBRACE] = ACTIONS(3308),
    [anon_sym_case] = ACTIONS(3308),
    [anon_sym_fallthrough] = ACTIONS(3308),
    [anon_sym_PLUS_EQ] = ACTIONS(3308),
    [anon_sym_DASH_EQ] = ACTIONS(3308),
    [anon_sym_STAR_EQ] = ACTIONS(3308),
    [anon_sym_SLASH_EQ] = ACTIONS(3308),
    [anon_sym_PERCENT_EQ] = ACTIONS(3308),
    [anon_sym_BANG_EQ] = ACTIONS(3310),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3308),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3308),
    [anon_sym_LT_EQ] = ACTIONS(3308),
    [anon_sym_GT_EQ] = ACTIONS(3308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3308),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3308),
    [anon_sym_is] = ACTIONS(3308),
    [anon_sym_PLUS] = ACTIONS(3310),
    [anon_sym_DASH] = ACTIONS(3310),
    [anon_sym_STAR] = ACTIONS(3310),
    [anon_sym_SLASH] = ACTIONS(3310),
    [anon_sym_PERCENT] = ACTIONS(3310),
    [anon_sym_PLUS_PLUS] = ACTIONS(3308),
    [anon_sym_DASH_DASH] = ACTIONS(3308),
    [anon_sym_PIPE] = ACTIONS(3308),
    [anon_sym_CARET] = ACTIONS(3310),
    [anon_sym_LT_LT] = ACTIONS(3308),
    [anon_sym_GT_GT] = ACTIONS(3308),
    [anon_sym_class] = ACTIONS(3308),
    [anon_sym_BANG2] = ACTIONS(3310),
    [anon_sym_prefix] = ACTIONS(3308),
    [anon_sym_infix] = ACTIONS(3308),
    [anon_sym_postfix] = ACTIONS(3308),
    [anon_sym_AT] = ACTIONS(3310),
    [anon_sym_override] = ACTIONS(3308),
    [anon_sym_convenience] = ACTIONS(3308),
    [anon_sym_required] = ACTIONS(3308),
    [anon_sym_nonisolated] = ACTIONS(3308),
    [anon_sym_public] = ACTIONS(3308),
    [anon_sym_private] = ACTIONS(3308),
    [anon_sym_internal] = ACTIONS(3308),
    [anon_sym_fileprivate] = ACTIONS(3308),
    [anon_sym_open] = ACTIONS(3308),
    [anon_sym_mutating] = ACTIONS(3308),
    [anon_sym_nonmutating] = ACTIONS(3308),
    [anon_sym_static] = ACTIONS(3308),
    [anon_sym_dynamic] = ACTIONS(3308),
    [anon_sym_optional] = ACTIONS(3308),
    [anon_sym_distributed] = ACTIONS(3308),
    [anon_sym_final] = ACTIONS(3308),
    [anon_sym_inout] = ACTIONS(3308),
    [anon_sym_ATescaping] = ACTIONS(3308),
    [anon_sym_ATautoclosure] = ACTIONS(3308),
    [anon_sym_weak] = ACTIONS(3308),
    [anon_sym_unowned] = ACTIONS(3310),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3308),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3308),
    [anon_sym_borrowing] = ACTIONS(3308),
    [anon_sym_consuming] = ACTIONS(3308),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3308),
    [sym__explicit_semi] = ACTIONS(3308),
    [sym__dot_custom] = ACTIONS(3308),
    [sym__conjunction_operator_custom] = ACTIONS(3308),
    [sym__disjunction_operator_custom] = ACTIONS(3308),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3308),
    [sym__eq_custom] = ACTIONS(3308),
    [sym__eq_eq_custom] = ACTIONS(3308),
    [sym__plus_then_ws] = ACTIONS(3308),
    [sym__minus_then_ws] = ACTIONS(3308),
    [sym__bang_custom] = ACTIONS(3308),
    [sym_default_keyword] = ACTIONS(3308),
    [sym_where_keyword] = ACTIONS(3308),
    [sym__as_custom] = ACTIONS(3308),
    [sym__as_quest_custom] = ACTIONS(3308),
    [sym__as_bang_custom] = ACTIONS(3308),
    [sym__custom_operator] = ACTIONS(3308),
  },
  [1106] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3136),
    [anon_sym_package] = ACTIONS(3136),
    [anon_sym_COMMA] = ACTIONS(3136),
    [anon_sym_LPAREN] = ACTIONS(3136),
    [anon_sym_LBRACK] = ACTIONS(3136),
    [anon_sym_QMARK] = ACTIONS(3138),
    [anon_sym_QMARK2] = ACTIONS(3136),
    [anon_sym_AMP] = ACTIONS(3136),
    [aux_sym_custom_operator_token1] = ACTIONS(3136),
    [anon_sym_LT] = ACTIONS(3138),
    [anon_sym_GT] = ACTIONS(3138),
    [anon_sym_LBRACE] = ACTIONS(3136),
    [anon_sym_CARET_LBRACE] = ACTIONS(3136),
    [anon_sym_RBRACE] = ACTIONS(3136),
    [anon_sym_case] = ACTIONS(3136),
    [anon_sym_fallthrough] = ACTIONS(3136),
    [anon_sym_PLUS_EQ] = ACTIONS(3136),
    [anon_sym_DASH_EQ] = ACTIONS(3136),
    [anon_sym_STAR_EQ] = ACTIONS(3136),
    [anon_sym_SLASH_EQ] = ACTIONS(3136),
    [anon_sym_PERCENT_EQ] = ACTIONS(3136),
    [anon_sym_BANG_EQ] = ACTIONS(3138),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3136),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3136),
    [anon_sym_LT_EQ] = ACTIONS(3136),
    [anon_sym_GT_EQ] = ACTIONS(3136),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3136),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3136),
    [anon_sym_is] = ACTIONS(3136),
    [anon_sym_PLUS] = ACTIONS(3138),
    [anon_sym_DASH] = ACTIONS(3138),
    [anon_sym_STAR] = ACTIONS(3138),
    [anon_sym_SLASH] = ACTIONS(3138),
    [anon_sym_PERCENT] = ACTIONS(3138),
    [anon_sym_PLUS_PLUS] = ACTIONS(3136),
    [anon_sym_DASH_DASH] = ACTIONS(3136),
    [anon_sym_PIPE] = ACTIONS(3136),
    [anon_sym_CARET] = ACTIONS(3138),
    [anon_sym_LT_LT] = ACTIONS(3136),
    [anon_sym_GT_GT] = ACTIONS(3136),
    [anon_sym_class] = ACTIONS(3136),
    [anon_sym_BANG2] = ACTIONS(3138),
    [anon_sym_prefix] = ACTIONS(3136),
    [anon_sym_infix] = ACTIONS(3136),
    [anon_sym_postfix] = ACTIONS(3136),
    [anon_sym_AT] = ACTIONS(3138),
    [anon_sym_override] = ACTIONS(3136),
    [anon_sym_convenience] = ACTIONS(3136),
    [anon_sym_required] = ACTIONS(3136),
    [anon_sym_nonisolated] = ACTIONS(3136),
    [anon_sym_public] = ACTIONS(3136),
    [anon_sym_private] = ACTIONS(3136),
    [anon_sym_internal] = ACTIONS(3136),
    [anon_sym_fileprivate] = ACTIONS(3136),
    [anon_sym_open] = ACTIONS(3136),
    [anon_sym_mutating] = ACTIONS(3136),
    [anon_sym_nonmutating] = ACTIONS(3136),
    [anon_sym_static] = ACTIONS(3136),
    [anon_sym_dynamic] = ACTIONS(3136),
    [anon_sym_optional] = ACTIONS(3136),
    [anon_sym_distributed] = ACTIONS(3136),
    [anon_sym_final] = ACTIONS(3136),
    [anon_sym_inout] = ACTIONS(3136),
    [anon_sym_ATescaping] = ACTIONS(3136),
    [anon_sym_ATautoclosure] = ACTIONS(3136),
    [anon_sym_weak] = ACTIONS(3136),
    [anon_sym_unowned] = ACTIONS(3138),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3136),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3136),
    [anon_sym_borrowing] = ACTIONS(3136),
    [anon_sym_consuming] = ACTIONS(3136),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3136),
    [sym__explicit_semi] = ACTIONS(3136),
    [sym__dot_custom] = ACTIONS(3136),
    [sym__conjunction_operator_custom] = ACTIONS(3136),
    [sym__disjunction_operator_custom] = ACTIONS(3136),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3136),
    [sym__eq_custom] = ACTIONS(3136),
    [sym__eq_eq_custom] = ACTIONS(3136),
    [sym__plus_then_ws] = ACTIONS(3136),
    [sym__minus_then_ws] = ACTIONS(3136),
    [sym__bang_custom] = ACTIONS(3136),
    [sym_default_keyword] = ACTIONS(3136),
    [sym_where_keyword] = ACTIONS(3136),
    [sym__as_custom] = ACTIONS(3136),
    [sym__as_quest_custom] = ACTIONS(3136),
    [sym__as_bang_custom] = ACTIONS(3136),
    [sym__custom_operator] = ACTIONS(3136),
  },
  [1107] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3132),
    [anon_sym_package] = ACTIONS(3132),
    [anon_sym_COMMA] = ACTIONS(3132),
    [anon_sym_LPAREN] = ACTIONS(3132),
    [anon_sym_LBRACK] = ACTIONS(3132),
    [anon_sym_QMARK] = ACTIONS(3134),
    [anon_sym_QMARK2] = ACTIONS(3132),
    [anon_sym_AMP] = ACTIONS(3132),
    [aux_sym_custom_operator_token1] = ACTIONS(3132),
    [anon_sym_LT] = ACTIONS(3134),
    [anon_sym_GT] = ACTIONS(3134),
    [anon_sym_LBRACE] = ACTIONS(3132),
    [anon_sym_CARET_LBRACE] = ACTIONS(3132),
    [anon_sym_RBRACE] = ACTIONS(3132),
    [anon_sym_case] = ACTIONS(3132),
    [anon_sym_fallthrough] = ACTIONS(3132),
    [anon_sym_PLUS_EQ] = ACTIONS(3132),
    [anon_sym_DASH_EQ] = ACTIONS(3132),
    [anon_sym_STAR_EQ] = ACTIONS(3132),
    [anon_sym_SLASH_EQ] = ACTIONS(3132),
    [anon_sym_PERCENT_EQ] = ACTIONS(3132),
    [anon_sym_BANG_EQ] = ACTIONS(3134),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3132),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3132),
    [anon_sym_LT_EQ] = ACTIONS(3132),
    [anon_sym_GT_EQ] = ACTIONS(3132),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3132),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3132),
    [anon_sym_is] = ACTIONS(3132),
    [anon_sym_PLUS] = ACTIONS(3134),
    [anon_sym_DASH] = ACTIONS(3134),
    [anon_sym_STAR] = ACTIONS(3134),
    [anon_sym_SLASH] = ACTIONS(3134),
    [anon_sym_PERCENT] = ACTIONS(3134),
    [anon_sym_PLUS_PLUS] = ACTIONS(3132),
    [anon_sym_DASH_DASH] = ACTIONS(3132),
    [anon_sym_PIPE] = ACTIONS(3132),
    [anon_sym_CARET] = ACTIONS(3134),
    [anon_sym_LT_LT] = ACTIONS(3132),
    [anon_sym_GT_GT] = ACTIONS(3132),
    [anon_sym_class] = ACTIONS(3132),
    [anon_sym_BANG2] = ACTIONS(3134),
    [anon_sym_prefix] = ACTIONS(3132),
    [anon_sym_infix] = ACTIONS(3132),
    [anon_sym_postfix] = ACTIONS(3132),
    [anon_sym_AT] = ACTIONS(3134),
    [anon_sym_override] = ACTIONS(3132),
    [anon_sym_convenience] = ACTIONS(3132),
    [anon_sym_required] = ACTIONS(3132),
    [anon_sym_nonisolated] = ACTIONS(3132),
    [anon_sym_public] = ACTIONS(3132),
    [anon_sym_private] = ACTIONS(3132),
    [anon_sym_internal] = ACTIONS(3132),
    [anon_sym_fileprivate] = ACTIONS(3132),
    [anon_sym_open] = ACTIONS(3132),
    [anon_sym_mutating] = ACTIONS(3132),
    [anon_sym_nonmutating] = ACTIONS(3132),
    [anon_sym_static] = ACTIONS(3132),
    [anon_sym_dynamic] = ACTIONS(3132),
    [anon_sym_optional] = ACTIONS(3132),
    [anon_sym_distributed] = ACTIONS(3132),
    [anon_sym_final] = ACTIONS(3132),
    [anon_sym_inout] = ACTIONS(3132),
    [anon_sym_ATescaping] = ACTIONS(3132),
    [anon_sym_ATautoclosure] = ACTIONS(3132),
    [anon_sym_weak] = ACTIONS(3132),
    [anon_sym_unowned] = ACTIONS(3134),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3132),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3132),
    [anon_sym_borrowing] = ACTIONS(3132),
    [anon_sym_consuming] = ACTIONS(3132),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3132),
    [sym__explicit_semi] = ACTIONS(3132),
    [sym__dot_custom] = ACTIONS(3132),
    [sym__conjunction_operator_custom] = ACTIONS(3132),
    [sym__disjunction_operator_custom] = ACTIONS(3132),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3132),
    [sym__eq_custom] = ACTIONS(3132),
    [sym__eq_eq_custom] = ACTIONS(3132),
    [sym__plus_then_ws] = ACTIONS(3132),
    [sym__minus_then_ws] = ACTIONS(3132),
    [sym__bang_custom] = ACTIONS(3132),
    [sym_default_keyword] = ACTIONS(3132),
    [sym_where_keyword] = ACTIONS(3132),
    [sym__as_custom] = ACTIONS(3132),
    [sym__as_quest_custom] = ACTIONS(3132),
    [sym__as_bang_custom] = ACTIONS(3132),
    [sym__custom_operator] = ACTIONS(3132),
  },
  [1108] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3252),
    [anon_sym_package] = ACTIONS(3252),
    [anon_sym_COMMA] = ACTIONS(3252),
    [anon_sym_LPAREN] = ACTIONS(3252),
    [anon_sym_LBRACK] = ACTIONS(3252),
    [anon_sym_QMARK] = ACTIONS(3254),
    [anon_sym_QMARK2] = ACTIONS(3252),
    [anon_sym_AMP] = ACTIONS(3252),
    [aux_sym_custom_operator_token1] = ACTIONS(3252),
    [anon_sym_LT] = ACTIONS(3254),
    [anon_sym_GT] = ACTIONS(3254),
    [anon_sym_LBRACE] = ACTIONS(3252),
    [anon_sym_CARET_LBRACE] = ACTIONS(3252),
    [anon_sym_RBRACE] = ACTIONS(3252),
    [anon_sym_case] = ACTIONS(3252),
    [anon_sym_fallthrough] = ACTIONS(3252),
    [anon_sym_PLUS_EQ] = ACTIONS(3252),
    [anon_sym_DASH_EQ] = ACTIONS(3252),
    [anon_sym_STAR_EQ] = ACTIONS(3252),
    [anon_sym_SLASH_EQ] = ACTIONS(3252),
    [anon_sym_PERCENT_EQ] = ACTIONS(3252),
    [anon_sym_BANG_EQ] = ACTIONS(3254),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3252),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3252),
    [anon_sym_LT_EQ] = ACTIONS(3252),
    [anon_sym_GT_EQ] = ACTIONS(3252),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3252),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3252),
    [anon_sym_is] = ACTIONS(3252),
    [anon_sym_PLUS] = ACTIONS(3254),
    [anon_sym_DASH] = ACTIONS(3254),
    [anon_sym_STAR] = ACTIONS(3254),
    [anon_sym_SLASH] = ACTIONS(3254),
    [anon_sym_PERCENT] = ACTIONS(3254),
    [anon_sym_PLUS_PLUS] = ACTIONS(3252),
    [anon_sym_DASH_DASH] = ACTIONS(3252),
    [anon_sym_PIPE] = ACTIONS(3252),
    [anon_sym_CARET] = ACTIONS(3254),
    [anon_sym_LT_LT] = ACTIONS(3252),
    [anon_sym_GT_GT] = ACTIONS(3252),
    [anon_sym_class] = ACTIONS(3252),
    [anon_sym_BANG2] = ACTIONS(3254),
    [anon_sym_prefix] = ACTIONS(3252),
    [anon_sym_infix] = ACTIONS(3252),
    [anon_sym_postfix] = ACTIONS(3252),
    [anon_sym_AT] = ACTIONS(3254),
    [anon_sym_override] = ACTIONS(3252),
    [anon_sym_convenience] = ACTIONS(3252),
    [anon_sym_required] = ACTIONS(3252),
    [anon_sym_nonisolated] = ACTIONS(3252),
    [anon_sym_public] = ACTIONS(3252),
    [anon_sym_private] = ACTIONS(3252),
    [anon_sym_internal] = ACTIONS(3252),
    [anon_sym_fileprivate] = ACTIONS(3252),
    [anon_sym_open] = ACTIONS(3252),
    [anon_sym_mutating] = ACTIONS(3252),
    [anon_sym_nonmutating] = ACTIONS(3252),
    [anon_sym_static] = ACTIONS(3252),
    [anon_sym_dynamic] = ACTIONS(3252),
    [anon_sym_optional] = ACTIONS(3252),
    [anon_sym_distributed] = ACTIONS(3252),
    [anon_sym_final] = ACTIONS(3252),
    [anon_sym_inout] = ACTIONS(3252),
    [anon_sym_ATescaping] = ACTIONS(3252),
    [anon_sym_ATautoclosure] = ACTIONS(3252),
    [anon_sym_weak] = ACTIONS(3252),
    [anon_sym_unowned] = ACTIONS(3254),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3252),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3252),
    [anon_sym_borrowing] = ACTIONS(3252),
    [anon_sym_consuming] = ACTIONS(3252),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3252),
    [sym__explicit_semi] = ACTIONS(3252),
    [sym__dot_custom] = ACTIONS(3252),
    [sym__conjunction_operator_custom] = ACTIONS(3252),
    [sym__disjunction_operator_custom] = ACTIONS(3252),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3252),
    [sym__eq_custom] = ACTIONS(3252),
    [sym__eq_eq_custom] = ACTIONS(3252),
    [sym__plus_then_ws] = ACTIONS(3252),
    [sym__minus_then_ws] = ACTIONS(3252),
    [sym__bang_custom] = ACTIONS(3252),
    [sym_default_keyword] = ACTIONS(3252),
    [sym_where_keyword] = ACTIONS(3252),
    [sym__as_custom] = ACTIONS(3252),
    [sym__as_quest_custom] = ACTIONS(3252),
    [sym__as_bang_custom] = ACTIONS(3252),
    [sym__custom_operator] = ACTIONS(3252),
  },
  [1109] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3086),
    [anon_sym_package] = ACTIONS(3086),
    [anon_sym_COMMA] = ACTIONS(3086),
    [anon_sym_LPAREN] = ACTIONS(3086),
    [anon_sym_LBRACK] = ACTIONS(3086),
    [anon_sym_QMARK] = ACTIONS(3088),
    [anon_sym_QMARK2] = ACTIONS(3086),
    [anon_sym_AMP] = ACTIONS(3086),
    [aux_sym_custom_operator_token1] = ACTIONS(3086),
    [anon_sym_LT] = ACTIONS(3088),
    [anon_sym_GT] = ACTIONS(3088),
    [anon_sym_LBRACE] = ACTIONS(3086),
    [anon_sym_CARET_LBRACE] = ACTIONS(3086),
    [anon_sym_RBRACE] = ACTIONS(3086),
    [anon_sym_case] = ACTIONS(3086),
    [anon_sym_fallthrough] = ACTIONS(3086),
    [anon_sym_PLUS_EQ] = ACTIONS(3086),
    [anon_sym_DASH_EQ] = ACTIONS(3086),
    [anon_sym_STAR_EQ] = ACTIONS(3086),
    [anon_sym_SLASH_EQ] = ACTIONS(3086),
    [anon_sym_PERCENT_EQ] = ACTIONS(3086),
    [anon_sym_BANG_EQ] = ACTIONS(3088),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3086),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3086),
    [anon_sym_LT_EQ] = ACTIONS(3086),
    [anon_sym_GT_EQ] = ACTIONS(3086),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3086),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3086),
    [anon_sym_is] = ACTIONS(3086),
    [anon_sym_PLUS] = ACTIONS(3088),
    [anon_sym_DASH] = ACTIONS(3088),
    [anon_sym_STAR] = ACTIONS(3088),
    [anon_sym_SLASH] = ACTIONS(3088),
    [anon_sym_PERCENT] = ACTIONS(3088),
    [anon_sym_PLUS_PLUS] = ACTIONS(3086),
    [anon_sym_DASH_DASH] = ACTIONS(3086),
    [anon_sym_PIPE] = ACTIONS(3086),
    [anon_sym_CARET] = ACTIONS(3088),
    [anon_sym_LT_LT] = ACTIONS(3086),
    [anon_sym_GT_GT] = ACTIONS(3086),
    [anon_sym_class] = ACTIONS(3086),
    [anon_sym_BANG2] = ACTIONS(3088),
    [anon_sym_prefix] = ACTIONS(3086),
    [anon_sym_infix] = ACTIONS(3086),
    [anon_sym_postfix] = ACTIONS(3086),
    [anon_sym_AT] = ACTIONS(3088),
    [anon_sym_override] = ACTIONS(3086),
    [anon_sym_convenience] = ACTIONS(3086),
    [anon_sym_required] = ACTIONS(3086),
    [anon_sym_nonisolated] = ACTIONS(3086),
    [anon_sym_public] = ACTIONS(3086),
    [anon_sym_private] = ACTIONS(3086),
    [anon_sym_internal] = ACTIONS(3086),
    [anon_sym_fileprivate] = ACTIONS(3086),
    [anon_sym_open] = ACTIONS(3086),
    [anon_sym_mutating] = ACTIONS(3086),
    [anon_sym_nonmutating] = ACTIONS(3086),
    [anon_sym_static] = ACTIONS(3086),
    [anon_sym_dynamic] = ACTIONS(3086),
    [anon_sym_optional] = ACTIONS(3086),
    [anon_sym_distributed] = ACTIONS(3086),
    [anon_sym_final] = ACTIONS(3086),
    [anon_sym_inout] = ACTIONS(3086),
    [anon_sym_ATescaping] = ACTIONS(3086),
    [anon_sym_ATautoclosure] = ACTIONS(3086),
    [anon_sym_weak] = ACTIONS(3086),
    [anon_sym_unowned] = ACTIONS(3088),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3086),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3086),
    [anon_sym_borrowing] = ACTIONS(3086),
    [anon_sym_consuming] = ACTIONS(3086),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3086),
    [sym__explicit_semi] = ACTIONS(3086),
    [sym__dot_custom] = ACTIONS(3086),
    [sym__conjunction_operator_custom] = ACTIONS(3086),
    [sym__disjunction_operator_custom] = ACTIONS(3086),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3086),
    [sym__eq_custom] = ACTIONS(3086),
    [sym__eq_eq_custom] = ACTIONS(3086),
    [sym__plus_then_ws] = ACTIONS(3086),
    [sym__minus_then_ws] = ACTIONS(3086),
    [sym__bang_custom] = ACTIONS(3086),
    [sym_default_keyword] = ACTIONS(3086),
    [sym_else] = ACTIONS(3086),
    [sym__as_custom] = ACTIONS(3086),
    [sym__as_quest_custom] = ACTIONS(3086),
    [sym__as_bang_custom] = ACTIONS(3086),
    [sym__custom_operator] = ACTIONS(3086),
  },
  [1110] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3108),
    [anon_sym_package] = ACTIONS(3108),
    [anon_sym_COMMA] = ACTIONS(3108),
    [anon_sym_LPAREN] = ACTIONS(3108),
    [anon_sym_LBRACK] = ACTIONS(3108),
    [anon_sym_QMARK] = ACTIONS(3110),
    [anon_sym_QMARK2] = ACTIONS(3108),
    [anon_sym_AMP] = ACTIONS(3108),
    [aux_sym_custom_operator_token1] = ACTIONS(3108),
    [anon_sym_LT] = ACTIONS(3110),
    [anon_sym_GT] = ACTIONS(3110),
    [anon_sym_LBRACE] = ACTIONS(3108),
    [anon_sym_CARET_LBRACE] = ACTIONS(3108),
    [anon_sym_RBRACE] = ACTIONS(3108),
    [anon_sym_case] = ACTIONS(3108),
    [anon_sym_fallthrough] = ACTIONS(3108),
    [anon_sym_PLUS_EQ] = ACTIONS(3108),
    [anon_sym_DASH_EQ] = ACTIONS(3108),
    [anon_sym_STAR_EQ] = ACTIONS(3108),
    [anon_sym_SLASH_EQ] = ACTIONS(3108),
    [anon_sym_PERCENT_EQ] = ACTIONS(3108),
    [anon_sym_BANG_EQ] = ACTIONS(3110),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3108),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3108),
    [anon_sym_LT_EQ] = ACTIONS(3108),
    [anon_sym_GT_EQ] = ACTIONS(3108),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3108),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3108),
    [anon_sym_is] = ACTIONS(3108),
    [anon_sym_PLUS] = ACTIONS(3110),
    [anon_sym_DASH] = ACTIONS(3110),
    [anon_sym_STAR] = ACTIONS(3110),
    [anon_sym_SLASH] = ACTIONS(3110),
    [anon_sym_PERCENT] = ACTIONS(3110),
    [anon_sym_PLUS_PLUS] = ACTIONS(3108),
    [anon_sym_DASH_DASH] = ACTIONS(3108),
    [anon_sym_PIPE] = ACTIONS(3108),
    [anon_sym_CARET] = ACTIONS(3110),
    [anon_sym_LT_LT] = ACTIONS(3108),
    [anon_sym_GT_GT] = ACTIONS(3108),
    [anon_sym_class] = ACTIONS(3108),
    [anon_sym_BANG2] = ACTIONS(3110),
    [anon_sym_prefix] = ACTIONS(3108),
    [anon_sym_infix] = ACTIONS(3108),
    [anon_sym_postfix] = ACTIONS(3108),
    [anon_sym_AT] = ACTIONS(3110),
    [anon_sym_override] = ACTIONS(3108),
    [anon_sym_convenience] = ACTIONS(3108),
    [anon_sym_required] = ACTIONS(3108),
    [anon_sym_nonisolated] = ACTIONS(3108),
    [anon_sym_public] = ACTIONS(3108),
    [anon_sym_private] = ACTIONS(3108),
    [anon_sym_internal] = ACTIONS(3108),
    [anon_sym_fileprivate] = ACTIONS(3108),
    [anon_sym_open] = ACTIONS(3108),
    [anon_sym_mutating] = ACTIONS(3108),
    [anon_sym_nonmutating] = ACTIONS(3108),
    [anon_sym_static] = ACTIONS(3108),
    [anon_sym_dynamic] = ACTIONS(3108),
    [anon_sym_optional] = ACTIONS(3108),
    [anon_sym_distributed] = ACTIONS(3108),
    [anon_sym_final] = ACTIONS(3108),
    [anon_sym_inout] = ACTIONS(3108),
    [anon_sym_ATescaping] = ACTIONS(3108),
    [anon_sym_ATautoclosure] = ACTIONS(3108),
    [anon_sym_weak] = ACTIONS(3108),
    [anon_sym_unowned] = ACTIONS(3110),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3108),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3108),
    [anon_sym_borrowing] = ACTIONS(3108),
    [anon_sym_consuming] = ACTIONS(3108),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3108),
    [sym__explicit_semi] = ACTIONS(3108),
    [sym__dot_custom] = ACTIONS(3108),
    [sym__conjunction_operator_custom] = ACTIONS(3108),
    [sym__disjunction_operator_custom] = ACTIONS(3108),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3108),
    [sym__eq_custom] = ACTIONS(3108),
    [sym__eq_eq_custom] = ACTIONS(3108),
    [sym__plus_then_ws] = ACTIONS(3108),
    [sym__minus_then_ws] = ACTIONS(3108),
    [sym__bang_custom] = ACTIONS(3108),
    [sym_default_keyword] = ACTIONS(3108),
    [sym_where_keyword] = ACTIONS(3108),
    [sym__as_custom] = ACTIONS(3108),
    [sym__as_quest_custom] = ACTIONS(3108),
    [sym__as_bang_custom] = ACTIONS(3108),
    [sym__custom_operator] = ACTIONS(3108),
  },
  [1111] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3288),
    [anon_sym_package] = ACTIONS(3288),
    [anon_sym_COMMA] = ACTIONS(3288),
    [anon_sym_LPAREN] = ACTIONS(3288),
    [anon_sym_LBRACK] = ACTIONS(3288),
    [anon_sym_QMARK] = ACTIONS(3290),
    [anon_sym_QMARK2] = ACTIONS(3288),
    [anon_sym_AMP] = ACTIONS(3288),
    [aux_sym_custom_operator_token1] = ACTIONS(3288),
    [anon_sym_LT] = ACTIONS(3290),
    [anon_sym_GT] = ACTIONS(3290),
    [anon_sym_LBRACE] = ACTIONS(3288),
    [anon_sym_CARET_LBRACE] = ACTIONS(3288),
    [anon_sym_RBRACE] = ACTIONS(3288),
    [anon_sym_case] = ACTIONS(3288),
    [anon_sym_fallthrough] = ACTIONS(3288),
    [anon_sym_PLUS_EQ] = ACTIONS(3288),
    [anon_sym_DASH_EQ] = ACTIONS(3288),
    [anon_sym_STAR_EQ] = ACTIONS(3288),
    [anon_sym_SLASH_EQ] = ACTIONS(3288),
    [anon_sym_PERCENT_EQ] = ACTIONS(3288),
    [anon_sym_BANG_EQ] = ACTIONS(3290),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3288),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3288),
    [anon_sym_LT_EQ] = ACTIONS(3288),
    [anon_sym_GT_EQ] = ACTIONS(3288),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3288),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3288),
    [anon_sym_is] = ACTIONS(3288),
    [anon_sym_PLUS] = ACTIONS(3290),
    [anon_sym_DASH] = ACTIONS(3290),
    [anon_sym_STAR] = ACTIONS(3290),
    [anon_sym_SLASH] = ACTIONS(3290),
    [anon_sym_PERCENT] = ACTIONS(3290),
    [anon_sym_PLUS_PLUS] = ACTIONS(3288),
    [anon_sym_DASH_DASH] = ACTIONS(3288),
    [anon_sym_PIPE] = ACTIONS(3288),
    [anon_sym_CARET] = ACTIONS(3290),
    [anon_sym_LT_LT] = ACTIONS(3288),
    [anon_sym_GT_GT] = ACTIONS(3288),
    [anon_sym_class] = ACTIONS(3288),
    [anon_sym_BANG2] = ACTIONS(3290),
    [anon_sym_prefix] = ACTIONS(3288),
    [anon_sym_infix] = ACTIONS(3288),
    [anon_sym_postfix] = ACTIONS(3288),
    [anon_sym_AT] = ACTIONS(3290),
    [anon_sym_override] = ACTIONS(3288),
    [anon_sym_convenience] = ACTIONS(3288),
    [anon_sym_required] = ACTIONS(3288),
    [anon_sym_nonisolated] = ACTIONS(3288),
    [anon_sym_public] = ACTIONS(3288),
    [anon_sym_private] = ACTIONS(3288),
    [anon_sym_internal] = ACTIONS(3288),
    [anon_sym_fileprivate] = ACTIONS(3288),
    [anon_sym_open] = ACTIONS(3288),
    [anon_sym_mutating] = ACTIONS(3288),
    [anon_sym_nonmutating] = ACTIONS(3288),
    [anon_sym_static] = ACTIONS(3288),
    [anon_sym_dynamic] = ACTIONS(3288),
    [anon_sym_optional] = ACTIONS(3288),
    [anon_sym_distributed] = ACTIONS(3288),
    [anon_sym_final] = ACTIONS(3288),
    [anon_sym_inout] = ACTIONS(3288),
    [anon_sym_ATescaping] = ACTIONS(3288),
    [anon_sym_ATautoclosure] = ACTIONS(3288),
    [anon_sym_weak] = ACTIONS(3288),
    [anon_sym_unowned] = ACTIONS(3290),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3288),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3288),
    [anon_sym_borrowing] = ACTIONS(3288),
    [anon_sym_consuming] = ACTIONS(3288),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3288),
    [sym__explicit_semi] = ACTIONS(3288),
    [sym__dot_custom] = ACTIONS(3288),
    [sym__conjunction_operator_custom] = ACTIONS(3288),
    [sym__disjunction_operator_custom] = ACTIONS(3288),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3288),
    [sym__eq_custom] = ACTIONS(3288),
    [sym__eq_eq_custom] = ACTIONS(3288),
    [sym__plus_then_ws] = ACTIONS(3288),
    [sym__minus_then_ws] = ACTIONS(3288),
    [sym__bang_custom] = ACTIONS(3288),
    [sym_default_keyword] = ACTIONS(3288),
    [sym_where_keyword] = ACTIONS(3288),
    [sym__as_custom] = ACTIONS(3288),
    [sym__as_quest_custom] = ACTIONS(3288),
    [sym__as_bang_custom] = ACTIONS(3288),
    [sym__custom_operator] = ACTIONS(3288),
  },
  [1112] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(2971),
    [anon_sym_package] = ACTIONS(2971),
    [anon_sym_COMMA] = ACTIONS(2971),
    [anon_sym_LPAREN] = ACTIONS(2971),
    [anon_sym_LBRACK] = ACTIONS(2971),
    [anon_sym_DOT] = ACTIONS(2973),
    [anon_sym_QMARK] = ACTIONS(2973),
    [anon_sym_QMARK2] = ACTIONS(2971),
    [anon_sym_AMP] = ACTIONS(2971),
    [aux_sym_custom_operator_token1] = ACTIONS(2971),
    [anon_sym_LT] = ACTIONS(2973),
    [anon_sym_GT] = ACTIONS(2973),
    [anon_sym_LBRACE] = ACTIONS(2971),
    [anon_sym_CARET_LBRACE] = ACTIONS(2971),
    [anon_sym_RBRACE] = ACTIONS(2971),
    [anon_sym_case] = ACTIONS(2971),
    [anon_sym_fallthrough] = ACTIONS(2971),
    [anon_sym_PLUS_EQ] = ACTIONS(2971),
    [anon_sym_DASH_EQ] = ACTIONS(2971),
    [anon_sym_STAR_EQ] = ACTIONS(2971),
    [anon_sym_SLASH_EQ] = ACTIONS(2971),
    [anon_sym_PERCENT_EQ] = ACTIONS(2971),
    [anon_sym_BANG_EQ] = ACTIONS(2973),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2971),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2971),
    [anon_sym_LT_EQ] = ACTIONS(2971),
    [anon_sym_GT_EQ] = ACTIONS(2971),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2971),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2971),
    [anon_sym_is] = ACTIONS(2971),
    [anon_sym_PLUS] = ACTIONS(2973),
    [anon_sym_DASH] = ACTIONS(2973),
    [anon_sym_STAR] = ACTIONS(2973),
    [anon_sym_SLASH] = ACTIONS(2973),
    [anon_sym_PERCENT] = ACTIONS(2973),
    [anon_sym_PLUS_PLUS] = ACTIONS(2971),
    [anon_sym_DASH_DASH] = ACTIONS(2971),
    [anon_sym_PIPE] = ACTIONS(2971),
    [anon_sym_CARET] = ACTIONS(2973),
    [anon_sym_LT_LT] = ACTIONS(2971),
    [anon_sym_GT_GT] = ACTIONS(2971),
    [anon_sym_class] = ACTIONS(2971),
    [anon_sym_BANG2] = ACTIONS(2973),
    [anon_sym_prefix] = ACTIONS(2971),
    [anon_sym_infix] = ACTIONS(2971),
    [anon_sym_postfix] = ACTIONS(2971),
    [anon_sym_AT] = ACTIONS(2973),
    [anon_sym_override] = ACTIONS(2971),
    [anon_sym_convenience] = ACTIONS(2971),
    [anon_sym_required] = ACTIONS(2971),
    [anon_sym_nonisolated] = ACTIONS(2971),
    [anon_sym_public] = ACTIONS(2971),
    [anon_sym_private] = ACTIONS(2971),
    [anon_sym_internal] = ACTIONS(2971),
    [anon_sym_fileprivate] = ACTIONS(2971),
    [anon_sym_open] = ACTIONS(2971),
    [anon_sym_mutating] = ACTIONS(2971),
    [anon_sym_nonmutating] = ACTIONS(2971),
    [anon_sym_static] = ACTIONS(2971),
    [anon_sym_dynamic] = ACTIONS(2971),
    [anon_sym_optional] = ACTIONS(2971),
    [anon_sym_distributed] = ACTIONS(2971),
    [anon_sym_final] = ACTIONS(2971),
    [anon_sym_inout] = ACTIONS(2971),
    [anon_sym_ATescaping] = ACTIONS(2971),
    [anon_sym_ATautoclosure] = ACTIONS(2971),
    [anon_sym_weak] = ACTIONS(2971),
    [anon_sym_unowned] = ACTIONS(2973),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2971),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2971),
    [anon_sym_borrowing] = ACTIONS(2971),
    [anon_sym_consuming] = ACTIONS(2971),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2971),
    [sym__explicit_semi] = ACTIONS(2971),
    [sym__dot_custom] = ACTIONS(2971),
    [sym__conjunction_operator_custom] = ACTIONS(2971),
    [sym__disjunction_operator_custom] = ACTIONS(2971),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2971),
    [sym__eq_custom] = ACTIONS(2971),
    [sym__eq_eq_custom] = ACTIONS(2971),
    [sym__plus_then_ws] = ACTIONS(2971),
    [sym__minus_then_ws] = ACTIONS(2971),
    [sym__bang_custom] = ACTIONS(2971),
    [sym_default_keyword] = ACTIONS(2971),
    [sym__as_custom] = ACTIONS(2971),
    [sym__as_quest_custom] = ACTIONS(2971),
    [sym__as_bang_custom] = ACTIONS(2971),
    [sym__custom_operator] = ACTIONS(2971),
  },
  [1113] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3208),
    [anon_sym_package] = ACTIONS(3208),
    [anon_sym_COMMA] = ACTIONS(3208),
    [anon_sym_LPAREN] = ACTIONS(3208),
    [anon_sym_LBRACK] = ACTIONS(3208),
    [anon_sym_QMARK] = ACTIONS(3211),
    [anon_sym_QMARK2] = ACTIONS(3208),
    [anon_sym_AMP] = ACTIONS(3208),
    [aux_sym_custom_operator_token1] = ACTIONS(3208),
    [anon_sym_LT] = ACTIONS(3211),
    [anon_sym_GT] = ACTIONS(3211),
    [anon_sym_LBRACE] = ACTIONS(3208),
    [anon_sym_CARET_LBRACE] = ACTIONS(3208),
    [anon_sym_RBRACE] = ACTIONS(3208),
    [anon_sym_case] = ACTIONS(3208),
    [anon_sym_fallthrough] = ACTIONS(3208),
    [anon_sym_PLUS_EQ] = ACTIONS(3208),
    [anon_sym_DASH_EQ] = ACTIONS(3208),
    [anon_sym_STAR_EQ] = ACTIONS(3208),
    [anon_sym_SLASH_EQ] = ACTIONS(3208),
    [anon_sym_PERCENT_EQ] = ACTIONS(3208),
    [anon_sym_BANG_EQ] = ACTIONS(3211),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3208),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3208),
    [anon_sym_LT_EQ] = ACTIONS(3208),
    [anon_sym_GT_EQ] = ACTIONS(3208),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3208),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3208),
    [anon_sym_is] = ACTIONS(3208),
    [anon_sym_PLUS] = ACTIONS(3211),
    [anon_sym_DASH] = ACTIONS(3211),
    [anon_sym_STAR] = ACTIONS(3211),
    [anon_sym_SLASH] = ACTIONS(3211),
    [anon_sym_PERCENT] = ACTIONS(3211),
    [anon_sym_PLUS_PLUS] = ACTIONS(3208),
    [anon_sym_DASH_DASH] = ACTIONS(3208),
    [anon_sym_PIPE] = ACTIONS(3208),
    [anon_sym_CARET] = ACTIONS(3211),
    [anon_sym_LT_LT] = ACTIONS(3208),
    [anon_sym_GT_GT] = ACTIONS(3208),
    [anon_sym_class] = ACTIONS(3208),
    [anon_sym_BANG2] = ACTIONS(3211),
    [anon_sym_prefix] = ACTIONS(3208),
    [anon_sym_infix] = ACTIONS(3208),
    [anon_sym_postfix] = ACTIONS(3208),
    [anon_sym_AT] = ACTIONS(3211),
    [anon_sym_override] = ACTIONS(3208),
    [anon_sym_convenience] = ACTIONS(3208),
    [anon_sym_required] = ACTIONS(3208),
    [anon_sym_nonisolated] = ACTIONS(3208),
    [anon_sym_public] = ACTIONS(3208),
    [anon_sym_private] = ACTIONS(3208),
    [anon_sym_internal] = ACTIONS(3208),
    [anon_sym_fileprivate] = ACTIONS(3208),
    [anon_sym_open] = ACTIONS(3208),
    [anon_sym_mutating] = ACTIONS(3208),
    [anon_sym_nonmutating] = ACTIONS(3208),
    [anon_sym_static] = ACTIONS(3208),
    [anon_sym_dynamic] = ACTIONS(3208),
    [anon_sym_optional] = ACTIONS(3208),
    [anon_sym_distributed] = ACTIONS(3208),
    [anon_sym_final] = ACTIONS(3208),
    [anon_sym_inout] = ACTIONS(3208),
    [anon_sym_ATescaping] = ACTIONS(3208),
    [anon_sym_ATautoclosure] = ACTIONS(3208),
    [anon_sym_weak] = ACTIONS(3208),
    [anon_sym_unowned] = ACTIONS(3211),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3208),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3208),
    [anon_sym_borrowing] = ACTIONS(3208),
    [anon_sym_consuming] = ACTIONS(3208),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3208),
    [sym__explicit_semi] = ACTIONS(3208),
    [sym__dot_custom] = ACTIONS(3208),
    [sym__conjunction_operator_custom] = ACTIONS(3208),
    [sym__disjunction_operator_custom] = ACTIONS(3208),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3208),
    [sym__eq_custom] = ACTIONS(3208),
    [sym__eq_eq_custom] = ACTIONS(3208),
    [sym__plus_then_ws] = ACTIONS(3208),
    [sym__minus_then_ws] = ACTIONS(3208),
    [sym__bang_custom] = ACTIONS(3208),
    [sym_default_keyword] = ACTIONS(3208),
    [sym_where_keyword] = ACTIONS(3208),
    [sym__as_custom] = ACTIONS(3208),
    [sym__as_quest_custom] = ACTIONS(3208),
    [sym__as_bang_custom] = ACTIONS(3208),
    [sym__custom_operator] = ACTIONS(3208),
  },
  [1114] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3292),
    [anon_sym_package] = ACTIONS(3292),
    [anon_sym_COMMA] = ACTIONS(3292),
    [anon_sym_LPAREN] = ACTIONS(3292),
    [anon_sym_LBRACK] = ACTIONS(3292),
    [anon_sym_QMARK] = ACTIONS(3294),
    [anon_sym_QMARK2] = ACTIONS(3292),
    [anon_sym_AMP] = ACTIONS(3292),
    [aux_sym_custom_operator_token1] = ACTIONS(3292),
    [anon_sym_LT] = ACTIONS(3294),
    [anon_sym_GT] = ACTIONS(3294),
    [anon_sym_LBRACE] = ACTIONS(3292),
    [anon_sym_CARET_LBRACE] = ACTIONS(3292),
    [anon_sym_RBRACE] = ACTIONS(3292),
    [anon_sym_case] = ACTIONS(3292),
    [anon_sym_fallthrough] = ACTIONS(3292),
    [anon_sym_PLUS_EQ] = ACTIONS(3292),
    [anon_sym_DASH_EQ] = ACTIONS(3292),
    [anon_sym_STAR_EQ] = ACTIONS(3292),
    [anon_sym_SLASH_EQ] = ACTIONS(3292),
    [anon_sym_PERCENT_EQ] = ACTIONS(3292),
    [anon_sym_BANG_EQ] = ACTIONS(3294),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3292),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3292),
    [anon_sym_LT_EQ] = ACTIONS(3292),
    [anon_sym_GT_EQ] = ACTIONS(3292),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3292),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3292),
    [anon_sym_is] = ACTIONS(3292),
    [anon_sym_PLUS] = ACTIONS(3294),
    [anon_sym_DASH] = ACTIONS(3294),
    [anon_sym_STAR] = ACTIONS(3294),
    [anon_sym_SLASH] = ACTIONS(3294),
    [anon_sym_PERCENT] = ACTIONS(3294),
    [anon_sym_PLUS_PLUS] = ACTIONS(3292),
    [anon_sym_DASH_DASH] = ACTIONS(3292),
    [anon_sym_PIPE] = ACTIONS(3292),
    [anon_sym_CARET] = ACTIONS(3294),
    [anon_sym_LT_LT] = ACTIONS(3292),
    [anon_sym_GT_GT] = ACTIONS(3292),
    [anon_sym_class] = ACTIONS(3292),
    [anon_sym_BANG2] = ACTIONS(3294),
    [anon_sym_prefix] = ACTIONS(3292),
    [anon_sym_infix] = ACTIONS(3292),
    [anon_sym_postfix] = ACTIONS(3292),
    [anon_sym_AT] = ACTIONS(3294),
    [anon_sym_override] = ACTIONS(3292),
    [anon_sym_convenience] = ACTIONS(3292),
    [anon_sym_required] = ACTIONS(3292),
    [anon_sym_nonisolated] = ACTIONS(3292),
    [anon_sym_public] = ACTIONS(3292),
    [anon_sym_private] = ACTIONS(3292),
    [anon_sym_internal] = ACTIONS(3292),
    [anon_sym_fileprivate] = ACTIONS(3292),
    [anon_sym_open] = ACTIONS(3292),
    [anon_sym_mutating] = ACTIONS(3292),
    [anon_sym_nonmutating] = ACTIONS(3292),
    [anon_sym_static] = ACTIONS(3292),
    [anon_sym_dynamic] = ACTIONS(3292),
    [anon_sym_optional] = ACTIONS(3292),
    [anon_sym_distributed] = ACTIONS(3292),
    [anon_sym_final] = ACTIONS(3292),
    [anon_sym_inout] = ACTIONS(3292),
    [anon_sym_ATescaping] = ACTIONS(3292),
    [anon_sym_ATautoclosure] = ACTIONS(3292),
    [anon_sym_weak] = ACTIONS(3292),
    [anon_sym_unowned] = ACTIONS(3294),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3292),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3292),
    [anon_sym_borrowing] = ACTIONS(3292),
    [anon_sym_consuming] = ACTIONS(3292),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3292),
    [sym__explicit_semi] = ACTIONS(3292),
    [sym__dot_custom] = ACTIONS(3292),
    [sym__conjunction_operator_custom] = ACTIONS(3292),
    [sym__disjunction_operator_custom] = ACTIONS(3292),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3292),
    [sym__eq_custom] = ACTIONS(3292),
    [sym__eq_eq_custom] = ACTIONS(3292),
    [sym__plus_then_ws] = ACTIONS(3292),
    [sym__minus_then_ws] = ACTIONS(3292),
    [sym__bang_custom] = ACTIONS(3292),
    [sym_default_keyword] = ACTIONS(3292),
    [sym_where_keyword] = ACTIONS(3292),
    [sym__as_custom] = ACTIONS(3292),
    [sym__as_quest_custom] = ACTIONS(3292),
    [sym__as_bang_custom] = ACTIONS(3292),
    [sym__custom_operator] = ACTIONS(3292),
  },
  [1115] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3230),
    [anon_sym_package] = ACTIONS(3230),
    [anon_sym_COMMA] = ACTIONS(3230),
    [anon_sym_LPAREN] = ACTIONS(3230),
    [anon_sym_LBRACK] = ACTIONS(3230),
    [anon_sym_QMARK] = ACTIONS(3232),
    [anon_sym_QMARK2] = ACTIONS(3230),
    [anon_sym_AMP] = ACTIONS(3230),
    [aux_sym_custom_operator_token1] = ACTIONS(3230),
    [anon_sym_LT] = ACTIONS(3232),
    [anon_sym_GT] = ACTIONS(3232),
    [anon_sym_LBRACE] = ACTIONS(3230),
    [anon_sym_CARET_LBRACE] = ACTIONS(3230),
    [anon_sym_RBRACE] = ACTIONS(3230),
    [anon_sym_case] = ACTIONS(3230),
    [anon_sym_fallthrough] = ACTIONS(3230),
    [anon_sym_PLUS_EQ] = ACTIONS(3230),
    [anon_sym_DASH_EQ] = ACTIONS(3230),
    [anon_sym_STAR_EQ] = ACTIONS(3230),
    [anon_sym_SLASH_EQ] = ACTIONS(3230),
    [anon_sym_PERCENT_EQ] = ACTIONS(3230),
    [anon_sym_BANG_EQ] = ACTIONS(3232),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3230),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3230),
    [anon_sym_LT_EQ] = ACTIONS(3230),
    [anon_sym_GT_EQ] = ACTIONS(3230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3230),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3230),
    [anon_sym_is] = ACTIONS(3230),
    [anon_sym_PLUS] = ACTIONS(3232),
    [anon_sym_DASH] = ACTIONS(3232),
    [anon_sym_STAR] = ACTIONS(3232),
    [anon_sym_SLASH] = ACTIONS(3232),
    [anon_sym_PERCENT] = ACTIONS(3232),
    [anon_sym_PLUS_PLUS] = ACTIONS(3230),
    [anon_sym_DASH_DASH] = ACTIONS(3230),
    [anon_sym_PIPE] = ACTIONS(3230),
    [anon_sym_CARET] = ACTIONS(3232),
    [anon_sym_LT_LT] = ACTIONS(3230),
    [anon_sym_GT_GT] = ACTIONS(3230),
    [anon_sym_class] = ACTIONS(3230),
    [anon_sym_BANG2] = ACTIONS(3232),
    [anon_sym_prefix] = ACTIONS(3230),
    [anon_sym_infix] = ACTIONS(3230),
    [anon_sym_postfix] = ACTIONS(3230),
    [anon_sym_AT] = ACTIONS(3232),
    [anon_sym_override] = ACTIONS(3230),
    [anon_sym_convenience] = ACTIONS(3230),
    [anon_sym_required] = ACTIONS(3230),
    [anon_sym_nonisolated] = ACTIONS(3230),
    [anon_sym_public] = ACTIONS(3230),
    [anon_sym_private] = ACTIONS(3230),
    [anon_sym_internal] = ACTIONS(3230),
    [anon_sym_fileprivate] = ACTIONS(3230),
    [anon_sym_open] = ACTIONS(3230),
    [anon_sym_mutating] = ACTIONS(3230),
    [anon_sym_nonmutating] = ACTIONS(3230),
    [anon_sym_static] = ACTIONS(3230),
    [anon_sym_dynamic] = ACTIONS(3230),
    [anon_sym_optional] = ACTIONS(3230),
    [anon_sym_distributed] = ACTIONS(3230),
    [anon_sym_final] = ACTIONS(3230),
    [anon_sym_inout] = ACTIONS(3230),
    [anon_sym_ATescaping] = ACTIONS(3230),
    [anon_sym_ATautoclosure] = ACTIONS(3230),
    [anon_sym_weak] = ACTIONS(3230),
    [anon_sym_unowned] = ACTIONS(3232),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3230),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3230),
    [anon_sym_borrowing] = ACTIONS(3230),
    [anon_sym_consuming] = ACTIONS(3230),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3230),
    [sym__explicit_semi] = ACTIONS(3230),
    [sym__dot_custom] = ACTIONS(3230),
    [sym__conjunction_operator_custom] = ACTIONS(3230),
    [sym__disjunction_operator_custom] = ACTIONS(3230),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3230),
    [sym__eq_custom] = ACTIONS(3230),
    [sym__eq_eq_custom] = ACTIONS(3230),
    [sym__plus_then_ws] = ACTIONS(3230),
    [sym__minus_then_ws] = ACTIONS(3230),
    [sym__bang_custom] = ACTIONS(3230),
    [sym_default_keyword] = ACTIONS(3230),
    [sym_where_keyword] = ACTIONS(3230),
    [sym__as_custom] = ACTIONS(3230),
    [sym__as_quest_custom] = ACTIONS(3230),
    [sym__as_bang_custom] = ACTIONS(3230),
    [sym__custom_operator] = ACTIONS(3230),
  },
  [1116] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3055),
    [anon_sym_package] = ACTIONS(3055),
    [anon_sym_COMMA] = ACTIONS(3055),
    [anon_sym_LPAREN] = ACTIONS(3055),
    [anon_sym_LBRACK] = ACTIONS(3055),
    [anon_sym_DOT] = ACTIONS(3060),
    [anon_sym_QMARK] = ACTIONS(3060),
    [anon_sym_QMARK2] = ACTIONS(3055),
    [anon_sym_AMP] = ACTIONS(3055),
    [aux_sym_custom_operator_token1] = ACTIONS(3055),
    [anon_sym_LT] = ACTIONS(3060),
    [anon_sym_GT] = ACTIONS(3060),
    [anon_sym_LBRACE] = ACTIONS(3055),
    [anon_sym_CARET_LBRACE] = ACTIONS(3055),
    [anon_sym_RBRACE] = ACTIONS(3055),
    [anon_sym_case] = ACTIONS(3055),
    [anon_sym_fallthrough] = ACTIONS(3055),
    [anon_sym_PLUS_EQ] = ACTIONS(3055),
    [anon_sym_DASH_EQ] = ACTIONS(3055),
    [anon_sym_STAR_EQ] = ACTIONS(3055),
    [anon_sym_SLASH_EQ] = ACTIONS(3055),
    [anon_sym_PERCENT_EQ] = ACTIONS(3055),
    [anon_sym_BANG_EQ] = ACTIONS(3060),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3055),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3055),
    [anon_sym_LT_EQ] = ACTIONS(3055),
    [anon_sym_GT_EQ] = ACTIONS(3055),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3055),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3055),
    [anon_sym_is] = ACTIONS(3055),
    [anon_sym_PLUS] = ACTIONS(3060),
    [anon_sym_DASH] = ACTIONS(3060),
    [anon_sym_STAR] = ACTIONS(3060),
    [anon_sym_SLASH] = ACTIONS(3060),
    [anon_sym_PERCENT] = ACTIONS(3060),
    [anon_sym_PLUS_PLUS] = ACTIONS(3055),
    [anon_sym_DASH_DASH] = ACTIONS(3055),
    [anon_sym_PIPE] = ACTIONS(3055),
    [anon_sym_CARET] = ACTIONS(3060),
    [anon_sym_LT_LT] = ACTIONS(3055),
    [anon_sym_GT_GT] = ACTIONS(3055),
    [anon_sym_class] = ACTIONS(3055),
    [anon_sym_BANG2] = ACTIONS(3060),
    [anon_sym_prefix] = ACTIONS(3055),
    [anon_sym_infix] = ACTIONS(3055),
    [anon_sym_postfix] = ACTIONS(3055),
    [anon_sym_AT] = ACTIONS(3060),
    [anon_sym_override] = ACTIONS(3055),
    [anon_sym_convenience] = ACTIONS(3055),
    [anon_sym_required] = ACTIONS(3055),
    [anon_sym_nonisolated] = ACTIONS(3055),
    [anon_sym_public] = ACTIONS(3055),
    [anon_sym_private] = ACTIONS(3055),
    [anon_sym_internal] = ACTIONS(3055),
    [anon_sym_fileprivate] = ACTIONS(3055),
    [anon_sym_open] = ACTIONS(3055),
    [anon_sym_mutating] = ACTIONS(3055),
    [anon_sym_nonmutating] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(3055),
    [anon_sym_dynamic] = ACTIONS(3055),
    [anon_sym_optional] = ACTIONS(3055),
    [anon_sym_distributed] = ACTIONS(3055),
    [anon_sym_final] = ACTIONS(3055),
    [anon_sym_inout] = ACTIONS(3055),
    [anon_sym_ATescaping] = ACTIONS(3055),
    [anon_sym_ATautoclosure] = ACTIONS(3055),
    [anon_sym_weak] = ACTIONS(3055),
    [anon_sym_unowned] = ACTIONS(3060),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3055),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3055),
    [anon_sym_borrowing] = ACTIONS(3055),
    [anon_sym_consuming] = ACTIONS(3055),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3055),
    [sym__explicit_semi] = ACTIONS(3055),
    [sym__dot_custom] = ACTIONS(3055),
    [sym__conjunction_operator_custom] = ACTIONS(3055),
    [sym__disjunction_operator_custom] = ACTIONS(3055),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3055),
    [sym__eq_custom] = ACTIONS(3055),
    [sym__eq_eq_custom] = ACTIONS(3055),
    [sym__plus_then_ws] = ACTIONS(3055),
    [sym__minus_then_ws] = ACTIONS(3055),
    [sym__bang_custom] = ACTIONS(3055),
    [sym_default_keyword] = ACTIONS(3055),
    [sym__as_custom] = ACTIONS(3055),
    [sym__as_quest_custom] = ACTIONS(3055),
    [sym__as_bang_custom] = ACTIONS(3055),
    [sym__custom_operator] = ACTIONS(3055),
  },
  [1117] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3128),
    [anon_sym_package] = ACTIONS(3128),
    [anon_sym_COMMA] = ACTIONS(3128),
    [anon_sym_LPAREN] = ACTIONS(3128),
    [anon_sym_LBRACK] = ACTIONS(3128),
    [anon_sym_QMARK] = ACTIONS(3130),
    [anon_sym_QMARK2] = ACTIONS(3128),
    [anon_sym_AMP] = ACTIONS(3128),
    [aux_sym_custom_operator_token1] = ACTIONS(3128),
    [anon_sym_LT] = ACTIONS(3130),
    [anon_sym_GT] = ACTIONS(3130),
    [anon_sym_LBRACE] = ACTIONS(3128),
    [anon_sym_CARET_LBRACE] = ACTIONS(3128),
    [anon_sym_RBRACE] = ACTIONS(3128),
    [anon_sym_case] = ACTIONS(3128),
    [anon_sym_fallthrough] = ACTIONS(3128),
    [anon_sym_PLUS_EQ] = ACTIONS(3128),
    [anon_sym_DASH_EQ] = ACTIONS(3128),
    [anon_sym_STAR_EQ] = ACTIONS(3128),
    [anon_sym_SLASH_EQ] = ACTIONS(3128),
    [anon_sym_PERCENT_EQ] = ACTIONS(3128),
    [anon_sym_BANG_EQ] = ACTIONS(3130),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3128),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3128),
    [anon_sym_LT_EQ] = ACTIONS(3128),
    [anon_sym_GT_EQ] = ACTIONS(3128),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3128),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3128),
    [anon_sym_is] = ACTIONS(3128),
    [anon_sym_PLUS] = ACTIONS(3130),
    [anon_sym_DASH] = ACTIONS(3130),
    [anon_sym_STAR] = ACTIONS(3130),
    [anon_sym_SLASH] = ACTIONS(3130),
    [anon_sym_PERCENT] = ACTIONS(3130),
    [anon_sym_PLUS_PLUS] = ACTIONS(3128),
    [anon_sym_DASH_DASH] = ACTIONS(3128),
    [anon_sym_PIPE] = ACTIONS(3128),
    [anon_sym_CARET] = ACTIONS(3130),
    [anon_sym_LT_LT] = ACTIONS(3128),
    [anon_sym_GT_GT] = ACTIONS(3128),
    [anon_sym_class] = ACTIONS(3128),
    [anon_sym_BANG2] = ACTIONS(3130),
    [anon_sym_prefix] = ACTIONS(3128),
    [anon_sym_infix] = ACTIONS(3128),
    [anon_sym_postfix] = ACTIONS(3128),
    [anon_sym_AT] = ACTIONS(3130),
    [anon_sym_override] = ACTIONS(3128),
    [anon_sym_convenience] = ACTIONS(3128),
    [anon_sym_required] = ACTIONS(3128),
    [anon_sym_nonisolated] = ACTIONS(3128),
    [anon_sym_public] = ACTIONS(3128),
    [anon_sym_private] = ACTIONS(3128),
    [anon_sym_internal] = ACTIONS(3128),
    [anon_sym_fileprivate] = ACTIONS(3128),
    [anon_sym_open] = ACTIONS(3128),
    [anon_sym_mutating] = ACTIONS(3128),
    [anon_sym_nonmutating] = ACTIONS(3128),
    [anon_sym_static] = ACTIONS(3128),
    [anon_sym_dynamic] = ACTIONS(3128),
    [anon_sym_optional] = ACTIONS(3128),
    [anon_sym_distributed] = ACTIONS(3128),
    [anon_sym_final] = ACTIONS(3128),
    [anon_sym_inout] = ACTIONS(3128),
    [anon_sym_ATescaping] = ACTIONS(3128),
    [anon_sym_ATautoclosure] = ACTIONS(3128),
    [anon_sym_weak] = ACTIONS(3128),
    [anon_sym_unowned] = ACTIONS(3130),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3128),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3128),
    [anon_sym_borrowing] = ACTIONS(3128),
    [anon_sym_consuming] = ACTIONS(3128),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3128),
    [sym__explicit_semi] = ACTIONS(3128),
    [sym__dot_custom] = ACTIONS(3128),
    [sym__conjunction_operator_custom] = ACTIONS(3128),
    [sym__disjunction_operator_custom] = ACTIONS(3128),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3128),
    [sym__eq_custom] = ACTIONS(3128),
    [sym__eq_eq_custom] = ACTIONS(3128),
    [sym__plus_then_ws] = ACTIONS(3128),
    [sym__minus_then_ws] = ACTIONS(3128),
    [sym__bang_custom] = ACTIONS(3128),
    [sym_default_keyword] = ACTIONS(3128),
    [sym_where_keyword] = ACTIONS(3128),
    [sym__as_custom] = ACTIONS(3128),
    [sym__as_quest_custom] = ACTIONS(3128),
    [sym__as_bang_custom] = ACTIONS(3128),
    [sym__custom_operator] = ACTIONS(3128),
  },
  [1118] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3124),
    [anon_sym_package] = ACTIONS(3124),
    [anon_sym_COMMA] = ACTIONS(3124),
    [anon_sym_LPAREN] = ACTIONS(3124),
    [anon_sym_LBRACK] = ACTIONS(3124),
    [anon_sym_QMARK] = ACTIONS(3126),
    [anon_sym_QMARK2] = ACTIONS(3124),
    [anon_sym_AMP] = ACTIONS(3124),
    [aux_sym_custom_operator_token1] = ACTIONS(3124),
    [anon_sym_LT] = ACTIONS(3126),
    [anon_sym_GT] = ACTIONS(3126),
    [anon_sym_LBRACE] = ACTIONS(3124),
    [anon_sym_CARET_LBRACE] = ACTIONS(3124),
    [anon_sym_RBRACE] = ACTIONS(3124),
    [anon_sym_case] = ACTIONS(3124),
    [anon_sym_fallthrough] = ACTIONS(3124),
    [anon_sym_PLUS_EQ] = ACTIONS(3124),
    [anon_sym_DASH_EQ] = ACTIONS(3124),
    [anon_sym_STAR_EQ] = ACTIONS(3124),
    [anon_sym_SLASH_EQ] = ACTIONS(3124),
    [anon_sym_PERCENT_EQ] = ACTIONS(3124),
    [anon_sym_BANG_EQ] = ACTIONS(3126),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3124),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3124),
    [anon_sym_LT_EQ] = ACTIONS(3124),
    [anon_sym_GT_EQ] = ACTIONS(3124),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3124),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3124),
    [anon_sym_is] = ACTIONS(3124),
    [anon_sym_PLUS] = ACTIONS(3126),
    [anon_sym_DASH] = ACTIONS(3126),
    [anon_sym_STAR] = ACTIONS(3126),
    [anon_sym_SLASH] = ACTIONS(3126),
    [anon_sym_PERCENT] = ACTIONS(3126),
    [anon_sym_PLUS_PLUS] = ACTIONS(3124),
    [anon_sym_DASH_DASH] = ACTIONS(3124),
    [anon_sym_PIPE] = ACTIONS(3124),
    [anon_sym_CARET] = ACTIONS(3126),
    [anon_sym_LT_LT] = ACTIONS(3124),
    [anon_sym_GT_GT] = ACTIONS(3124),
    [anon_sym_class] = ACTIONS(3124),
    [anon_sym_BANG2] = ACTIONS(3126),
    [anon_sym_prefix] = ACTIONS(3124),
    [anon_sym_infix] = ACTIONS(3124),
    [anon_sym_postfix] = ACTIONS(3124),
    [anon_sym_AT] = ACTIONS(3126),
    [anon_sym_override] = ACTIONS(3124),
    [anon_sym_convenience] = ACTIONS(3124),
    [anon_sym_required] = ACTIONS(3124),
    [anon_sym_nonisolated] = ACTIONS(3124),
    [anon_sym_public] = ACTIONS(3124),
    [anon_sym_private] = ACTIONS(3124),
    [anon_sym_internal] = ACTIONS(3124),
    [anon_sym_fileprivate] = ACTIONS(3124),
    [anon_sym_open] = ACTIONS(3124),
    [anon_sym_mutating] = ACTIONS(3124),
    [anon_sym_nonmutating] = ACTIONS(3124),
    [anon_sym_static] = ACTIONS(3124),
    [anon_sym_dynamic] = ACTIONS(3124),
    [anon_sym_optional] = ACTIONS(3124),
    [anon_sym_distributed] = ACTIONS(3124),
    [anon_sym_final] = ACTIONS(3124),
    [anon_sym_inout] = ACTIONS(3124),
    [anon_sym_ATescaping] = ACTIONS(3124),
    [anon_sym_ATautoclosure] = ACTIONS(3124),
    [anon_sym_weak] = ACTIONS(3124),
    [anon_sym_unowned] = ACTIONS(3126),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3124),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3124),
    [anon_sym_borrowing] = ACTIONS(3124),
    [anon_sym_consuming] = ACTIONS(3124),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3124),
    [sym__explicit_semi] = ACTIONS(3124),
    [sym__dot_custom] = ACTIONS(3124),
    [sym__conjunction_operator_custom] = ACTIONS(3124),
    [sym__disjunction_operator_custom] = ACTIONS(3124),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3124),
    [sym__eq_custom] = ACTIONS(3124),
    [sym__eq_eq_custom] = ACTIONS(3124),
    [sym__plus_then_ws] = ACTIONS(3124),
    [sym__minus_then_ws] = ACTIONS(3124),
    [sym__bang_custom] = ACTIONS(3124),
    [sym_default_keyword] = ACTIONS(3124),
    [sym_where_keyword] = ACTIONS(3124),
    [sym__as_custom] = ACTIONS(3124),
    [sym__as_quest_custom] = ACTIONS(3124),
    [sym__as_bang_custom] = ACTIONS(3124),
    [sym__custom_operator] = ACTIONS(3124),
  },
  [1119] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3238),
    [anon_sym_package] = ACTIONS(3238),
    [anon_sym_COMMA] = ACTIONS(3238),
    [anon_sym_LPAREN] = ACTIONS(3238),
    [anon_sym_LBRACK] = ACTIONS(3238),
    [anon_sym_QMARK] = ACTIONS(3241),
    [anon_sym_QMARK2] = ACTIONS(3238),
    [anon_sym_AMP] = ACTIONS(3238),
    [aux_sym_custom_operator_token1] = ACTIONS(3238),
    [anon_sym_LT] = ACTIONS(3241),
    [anon_sym_GT] = ACTIONS(3241),
    [anon_sym_LBRACE] = ACTIONS(3238),
    [anon_sym_CARET_LBRACE] = ACTIONS(3238),
    [anon_sym_RBRACE] = ACTIONS(3238),
    [anon_sym_case] = ACTIONS(3238),
    [anon_sym_fallthrough] = ACTIONS(3238),
    [anon_sym_PLUS_EQ] = ACTIONS(3238),
    [anon_sym_DASH_EQ] = ACTIONS(3238),
    [anon_sym_STAR_EQ] = ACTIONS(3238),
    [anon_sym_SLASH_EQ] = ACTIONS(3238),
    [anon_sym_PERCENT_EQ] = ACTIONS(3238),
    [anon_sym_BANG_EQ] = ACTIONS(3241),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3238),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3238),
    [anon_sym_LT_EQ] = ACTIONS(3238),
    [anon_sym_GT_EQ] = ACTIONS(3238),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3238),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3238),
    [anon_sym_is] = ACTIONS(3238),
    [anon_sym_PLUS] = ACTIONS(3241),
    [anon_sym_DASH] = ACTIONS(3241),
    [anon_sym_STAR] = ACTIONS(3241),
    [anon_sym_SLASH] = ACTIONS(3241),
    [anon_sym_PERCENT] = ACTIONS(3241),
    [anon_sym_PLUS_PLUS] = ACTIONS(3238),
    [anon_sym_DASH_DASH] = ACTIONS(3238),
    [anon_sym_PIPE] = ACTIONS(3238),
    [anon_sym_CARET] = ACTIONS(3241),
    [anon_sym_LT_LT] = ACTIONS(3238),
    [anon_sym_GT_GT] = ACTIONS(3238),
    [anon_sym_class] = ACTIONS(3238),
    [anon_sym_BANG2] = ACTIONS(3241),
    [anon_sym_prefix] = ACTIONS(3238),
    [anon_sym_infix] = ACTIONS(3238),
    [anon_sym_postfix] = ACTIONS(3238),
    [anon_sym_AT] = ACTIONS(3241),
    [anon_sym_override] = ACTIONS(3238),
    [anon_sym_convenience] = ACTIONS(3238),
    [anon_sym_required] = ACTIONS(3238),
    [anon_sym_nonisolated] = ACTIONS(3238),
    [anon_sym_public] = ACTIONS(3238),
    [anon_sym_private] = ACTIONS(3238),
    [anon_sym_internal] = ACTIONS(3238),
    [anon_sym_fileprivate] = ACTIONS(3238),
    [anon_sym_open] = ACTIONS(3238),
    [anon_sym_mutating] = ACTIONS(3238),
    [anon_sym_nonmutating] = ACTIONS(3238),
    [anon_sym_static] = ACTIONS(3238),
    [anon_sym_dynamic] = ACTIONS(3238),
    [anon_sym_optional] = ACTIONS(3238),
    [anon_sym_distributed] = ACTIONS(3238),
    [anon_sym_final] = ACTIONS(3238),
    [anon_sym_inout] = ACTIONS(3238),
    [anon_sym_ATescaping] = ACTIONS(3238),
    [anon_sym_ATautoclosure] = ACTIONS(3238),
    [anon_sym_weak] = ACTIONS(3238),
    [anon_sym_unowned] = ACTIONS(3241),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3238),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3238),
    [anon_sym_borrowing] = ACTIONS(3238),
    [anon_sym_consuming] = ACTIONS(3238),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3238),
    [sym__explicit_semi] = ACTIONS(3238),
    [sym__dot_custom] = ACTIONS(3238),
    [sym__conjunction_operator_custom] = ACTIONS(3238),
    [sym__disjunction_operator_custom] = ACTIONS(3238),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3238),
    [sym__eq_custom] = ACTIONS(3238),
    [sym__eq_eq_custom] = ACTIONS(3238),
    [sym__plus_then_ws] = ACTIONS(3238),
    [sym__minus_then_ws] = ACTIONS(3238),
    [sym__bang_custom] = ACTIONS(3238),
    [sym_default_keyword] = ACTIONS(3238),
    [sym_where_keyword] = ACTIONS(3238),
    [sym__as_custom] = ACTIONS(3238),
    [sym__as_quest_custom] = ACTIONS(3238),
    [sym__as_bang_custom] = ACTIONS(3238),
    [sym__custom_operator] = ACTIONS(3238),
  },
  [1120] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3320),
    [anon_sym_package] = ACTIONS(3320),
    [anon_sym_COMMA] = ACTIONS(3320),
    [anon_sym_LPAREN] = ACTIONS(3320),
    [anon_sym_LBRACK] = ACTIONS(3320),
    [anon_sym_QMARK] = ACTIONS(3322),
    [anon_sym_QMARK2] = ACTIONS(3320),
    [anon_sym_AMP] = ACTIONS(3320),
    [aux_sym_custom_operator_token1] = ACTIONS(3320),
    [anon_sym_LT] = ACTIONS(3322),
    [anon_sym_GT] = ACTIONS(3322),
    [anon_sym_LBRACE] = ACTIONS(3320),
    [anon_sym_CARET_LBRACE] = ACTIONS(3320),
    [anon_sym_RBRACE] = ACTIONS(3320),
    [anon_sym_case] = ACTIONS(3320),
    [anon_sym_fallthrough] = ACTIONS(3320),
    [anon_sym_PLUS_EQ] = ACTIONS(3320),
    [anon_sym_DASH_EQ] = ACTIONS(3320),
    [anon_sym_STAR_EQ] = ACTIONS(3320),
    [anon_sym_SLASH_EQ] = ACTIONS(3320),
    [anon_sym_PERCENT_EQ] = ACTIONS(3320),
    [anon_sym_BANG_EQ] = ACTIONS(3322),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3320),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3320),
    [anon_sym_LT_EQ] = ACTIONS(3320),
    [anon_sym_GT_EQ] = ACTIONS(3320),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3320),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3320),
    [anon_sym_is] = ACTIONS(3320),
    [anon_sym_PLUS] = ACTIONS(3322),
    [anon_sym_DASH] = ACTIONS(3322),
    [anon_sym_STAR] = ACTIONS(3322),
    [anon_sym_SLASH] = ACTIONS(3322),
    [anon_sym_PERCENT] = ACTIONS(3322),
    [anon_sym_PLUS_PLUS] = ACTIONS(3320),
    [anon_sym_DASH_DASH] = ACTIONS(3320),
    [anon_sym_PIPE] = ACTIONS(3320),
    [anon_sym_CARET] = ACTIONS(3322),
    [anon_sym_LT_LT] = ACTIONS(3320),
    [anon_sym_GT_GT] = ACTIONS(3320),
    [anon_sym_class] = ACTIONS(3320),
    [anon_sym_BANG2] = ACTIONS(3322),
    [anon_sym_prefix] = ACTIONS(3320),
    [anon_sym_infix] = ACTIONS(3320),
    [anon_sym_postfix] = ACTIONS(3320),
    [anon_sym_AT] = ACTIONS(3322),
    [anon_sym_override] = ACTIONS(3320),
    [anon_sym_convenience] = ACTIONS(3320),
    [anon_sym_required] = ACTIONS(3320),
    [anon_sym_nonisolated] = ACTIONS(3320),
    [anon_sym_public] = ACTIONS(3320),
    [anon_sym_private] = ACTIONS(3320),
    [anon_sym_internal] = ACTIONS(3320),
    [anon_sym_fileprivate] = ACTIONS(3320),
    [anon_sym_open] = ACTIONS(3320),
    [anon_sym_mutating] = ACTIONS(3320),
    [anon_sym_nonmutating] = ACTIONS(3320),
    [anon_sym_static] = ACTIONS(3320),
    [anon_sym_dynamic] = ACTIONS(3320),
    [anon_sym_optional] = ACTIONS(3320),
    [anon_sym_distributed] = ACTIONS(3320),
    [anon_sym_final] = ACTIONS(3320),
    [anon_sym_inout] = ACTIONS(3320),
    [anon_sym_ATescaping] = ACTIONS(3320),
    [anon_sym_ATautoclosure] = ACTIONS(3320),
    [anon_sym_weak] = ACTIONS(3320),
    [anon_sym_unowned] = ACTIONS(3322),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3320),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3320),
    [anon_sym_borrowing] = ACTIONS(3320),
    [anon_sym_consuming] = ACTIONS(3320),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3320),
    [sym__explicit_semi] = ACTIONS(3320),
    [sym__dot_custom] = ACTIONS(3320),
    [sym__conjunction_operator_custom] = ACTIONS(3320),
    [sym__disjunction_operator_custom] = ACTIONS(3320),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3320),
    [sym__eq_custom] = ACTIONS(3320),
    [sym__eq_eq_custom] = ACTIONS(3320),
    [sym__plus_then_ws] = ACTIONS(3320),
    [sym__minus_then_ws] = ACTIONS(3320),
    [sym__bang_custom] = ACTIONS(3320),
    [sym_default_keyword] = ACTIONS(3320),
    [sym_where_keyword] = ACTIONS(3320),
    [sym__as_custom] = ACTIONS(3320),
    [sym__as_quest_custom] = ACTIONS(3320),
    [sym__as_bang_custom] = ACTIONS(3320),
    [sym__custom_operator] = ACTIONS(3320),
  },
  [1121] = {
    [aux_sym_repeat_while_statement_repeat1] = STATE(6701),
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3031),
    [anon_sym_package] = ACTIONS(3031),
    [anon_sym_LPAREN] = ACTIONS(3031),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_QMARK] = ACTIONS(3029),
    [anon_sym_QMARK2] = ACTIONS(3031),
    [anon_sym_AMP] = ACTIONS(3031),
    [aux_sym_custom_operator_token1] = ACTIONS(3031),
    [anon_sym_LT] = ACTIONS(3029),
    [anon_sym_GT] = ACTIONS(3029),
    [anon_sym_LBRACE] = ACTIONS(3031),
    [anon_sym_CARET_LBRACE] = ACTIONS(3031),
    [anon_sym_RBRACE] = ACTIONS(3031),
    [anon_sym_case] = ACTIONS(3031),
    [anon_sym_fallthrough] = ACTIONS(3031),
    [anon_sym_PLUS_EQ] = ACTIONS(3031),
    [anon_sym_DASH_EQ] = ACTIONS(3031),
    [anon_sym_STAR_EQ] = ACTIONS(3031),
    [anon_sym_SLASH_EQ] = ACTIONS(3031),
    [anon_sym_PERCENT_EQ] = ACTIONS(3031),
    [anon_sym_BANG_EQ] = ACTIONS(3029),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3031),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3031),
    [anon_sym_LT_EQ] = ACTIONS(3031),
    [anon_sym_GT_EQ] = ACTIONS(3031),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3031),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3031),
    [anon_sym_is] = ACTIONS(3031),
    [anon_sym_PLUS] = ACTIONS(3029),
    [anon_sym_DASH] = ACTIONS(3029),
    [anon_sym_STAR] = ACTIONS(3029),
    [anon_sym_SLASH] = ACTIONS(3029),
    [anon_sym_PERCENT] = ACTIONS(3029),
    [anon_sym_PLUS_PLUS] = ACTIONS(3031),
    [anon_sym_DASH_DASH] = ACTIONS(3031),
    [anon_sym_PIPE] = ACTIONS(3031),
    [anon_sym_CARET] = ACTIONS(3029),
    [anon_sym_LT_LT] = ACTIONS(3031),
    [anon_sym_GT_GT] = ACTIONS(3031),
    [anon_sym_while] = ACTIONS(3954),
    [anon_sym_class] = ACTIONS(3031),
    [anon_sym_BANG2] = ACTIONS(3029),
    [anon_sym_prefix] = ACTIONS(3031),
    [anon_sym_infix] = ACTIONS(3031),
    [anon_sym_postfix] = ACTIONS(3031),
    [anon_sym_AT] = ACTIONS(3029),
    [anon_sym_override] = ACTIONS(3031),
    [anon_sym_convenience] = ACTIONS(3031),
    [anon_sym_required] = ACTIONS(3031),
    [anon_sym_nonisolated] = ACTIONS(3031),
    [anon_sym_public] = ACTIONS(3031),
    [anon_sym_private] = ACTIONS(3031),
    [anon_sym_internal] = ACTIONS(3031),
    [anon_sym_fileprivate] = ACTIONS(3031),
    [anon_sym_open] = ACTIONS(3031),
    [anon_sym_mutating] = ACTIONS(3031),
    [anon_sym_nonmutating] = ACTIONS(3031),
    [anon_sym_static] = ACTIONS(3031),
    [anon_sym_dynamic] = ACTIONS(3031),
    [anon_sym_optional] = ACTIONS(3031),
    [anon_sym_distributed] = ACTIONS(3031),
    [anon_sym_final] = ACTIONS(3031),
    [anon_sym_inout] = ACTIONS(3031),
    [anon_sym_ATescaping] = ACTIONS(3031),
    [anon_sym_ATautoclosure] = ACTIONS(3031),
    [anon_sym_weak] = ACTIONS(3031),
    [anon_sym_unowned] = ACTIONS(3029),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3031),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3031),
    [anon_sym_borrowing] = ACTIONS(3031),
    [anon_sym_consuming] = ACTIONS(3031),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3956),
    [sym__explicit_semi] = ACTIONS(3031),
    [sym__dot_custom] = ACTIONS(3031),
    [sym__conjunction_operator_custom] = ACTIONS(3031),
    [sym__disjunction_operator_custom] = ACTIONS(3031),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3031),
    [sym__eq_custom] = ACTIONS(3031),
    [sym__eq_eq_custom] = ACTIONS(3031),
    [sym__plus_then_ws] = ACTIONS(3031),
    [sym__minus_then_ws] = ACTIONS(3031),
    [sym__bang_custom] = ACTIONS(3031),
    [sym_default_keyword] = ACTIONS(3031),
    [sym__as_custom] = ACTIONS(3031),
    [sym__as_quest_custom] = ACTIONS(3031),
    [sym__as_bang_custom] = ACTIONS(3031),
    [sym__custom_operator] = ACTIONS(3031),
  },
  [1122] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3332),
    [anon_sym_package] = ACTIONS(3332),
    [anon_sym_COMMA] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(3332),
    [anon_sym_LBRACK] = ACTIONS(3332),
    [anon_sym_QMARK] = ACTIONS(3334),
    [anon_sym_QMARK2] = ACTIONS(3332),
    [anon_sym_AMP] = ACTIONS(3332),
    [aux_sym_custom_operator_token1] = ACTIONS(3332),
    [anon_sym_LT] = ACTIONS(3334),
    [anon_sym_GT] = ACTIONS(3334),
    [anon_sym_LBRACE] = ACTIONS(3332),
    [anon_sym_CARET_LBRACE] = ACTIONS(3332),
    [anon_sym_RBRACE] = ACTIONS(3332),
    [anon_sym_case] = ACTIONS(3332),
    [anon_sym_fallthrough] = ACTIONS(3332),
    [anon_sym_PLUS_EQ] = ACTIONS(3332),
    [anon_sym_DASH_EQ] = ACTIONS(3332),
    [anon_sym_STAR_EQ] = ACTIONS(3332),
    [anon_sym_SLASH_EQ] = ACTIONS(3332),
    [anon_sym_PERCENT_EQ] = ACTIONS(3332),
    [anon_sym_BANG_EQ] = ACTIONS(3334),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3332),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3332),
    [anon_sym_LT_EQ] = ACTIONS(3332),
    [anon_sym_GT_EQ] = ACTIONS(3332),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3332),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3332),
    [anon_sym_is] = ACTIONS(3332),
    [anon_sym_PLUS] = ACTIONS(3334),
    [anon_sym_DASH] = ACTIONS(3334),
    [anon_sym_STAR] = ACTIONS(3334),
    [anon_sym_SLASH] = ACTIONS(3334),
    [anon_sym_PERCENT] = ACTIONS(3334),
    [anon_sym_PLUS_PLUS] = ACTIONS(3332),
    [anon_sym_DASH_DASH] = ACTIONS(3332),
    [anon_sym_PIPE] = ACTIONS(3332),
    [anon_sym_CARET] = ACTIONS(3334),
    [anon_sym_LT_LT] = ACTIONS(3332),
    [anon_sym_GT_GT] = ACTIONS(3332),
    [anon_sym_class] = ACTIONS(3332),
    [anon_sym_BANG2] = ACTIONS(3334),
    [anon_sym_prefix] = ACTIONS(3332),
    [anon_sym_infix] = ACTIONS(3332),
    [anon_sym_postfix] = ACTIONS(3332),
    [anon_sym_AT] = ACTIONS(3334),
    [anon_sym_override] = ACTIONS(3332),
    [anon_sym_convenience] = ACTIONS(3332),
    [anon_sym_required] = ACTIONS(3332),
    [anon_sym_nonisolated] = ACTIONS(3332),
    [anon_sym_public] = ACTIONS(3332),
    [anon_sym_private] = ACTIONS(3332),
    [anon_sym_internal] = ACTIONS(3332),
    [anon_sym_fileprivate] = ACTIONS(3332),
    [anon_sym_open] = ACTIONS(3332),
    [anon_sym_mutating] = ACTIONS(3332),
    [anon_sym_nonmutating] = ACTIONS(3332),
    [anon_sym_static] = ACTIONS(3332),
    [anon_sym_dynamic] = ACTIONS(3332),
    [anon_sym_optional] = ACTIONS(3332),
    [anon_sym_distributed] = ACTIONS(3332),
    [anon_sym_final] = ACTIONS(3332),
    [anon_sym_inout] = ACTIONS(3332),
    [anon_sym_ATescaping] = ACTIONS(3332),
    [anon_sym_ATautoclosure] = ACTIONS(3332),
    [anon_sym_weak] = ACTIONS(3332),
    [anon_sym_unowned] = ACTIONS(3334),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3332),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3332),
    [anon_sym_borrowing] = ACTIONS(3332),
    [anon_sym_consuming] = ACTIONS(3332),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3332),
    [sym__explicit_semi] = ACTIONS(3332),
    [sym__dot_custom] = ACTIONS(3332),
    [sym__conjunction_operator_custom] = ACTIONS(3332),
    [sym__disjunction_operator_custom] = ACTIONS(3332),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3332),
    [sym__eq_custom] = ACTIONS(3332),
    [sym__eq_eq_custom] = ACTIONS(3332),
    [sym__plus_then_ws] = ACTIONS(3332),
    [sym__minus_then_ws] = ACTIONS(3332),
    [sym__bang_custom] = ACTIONS(3332),
    [sym_default_keyword] = ACTIONS(3332),
    [sym_where_keyword] = ACTIONS(3332),
    [sym__as_custom] = ACTIONS(3332),
    [sym__as_quest_custom] = ACTIONS(3332),
    [sym__as_bang_custom] = ACTIONS(3332),
    [sym__custom_operator] = ACTIONS(3332),
  },
  [1123] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3226),
    [anon_sym_package] = ACTIONS(3226),
    [anon_sym_COMMA] = ACTIONS(3226),
    [anon_sym_LPAREN] = ACTIONS(3226),
    [anon_sym_LBRACK] = ACTIONS(3226),
    [anon_sym_QMARK] = ACTIONS(3228),
    [anon_sym_QMARK2] = ACTIONS(3226),
    [anon_sym_AMP] = ACTIONS(3226),
    [aux_sym_custom_operator_token1] = ACTIONS(3226),
    [anon_sym_LT] = ACTIONS(3228),
    [anon_sym_GT] = ACTIONS(3228),
    [anon_sym_LBRACE] = ACTIONS(3226),
    [anon_sym_CARET_LBRACE] = ACTIONS(3226),
    [anon_sym_RBRACE] = ACTIONS(3226),
    [anon_sym_case] = ACTIONS(3226),
    [anon_sym_fallthrough] = ACTIONS(3226),
    [anon_sym_PLUS_EQ] = ACTIONS(3226),
    [anon_sym_DASH_EQ] = ACTIONS(3226),
    [anon_sym_STAR_EQ] = ACTIONS(3226),
    [anon_sym_SLASH_EQ] = ACTIONS(3226),
    [anon_sym_PERCENT_EQ] = ACTIONS(3226),
    [anon_sym_BANG_EQ] = ACTIONS(3228),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3226),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3226),
    [anon_sym_LT_EQ] = ACTIONS(3226),
    [anon_sym_GT_EQ] = ACTIONS(3226),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3226),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3226),
    [anon_sym_is] = ACTIONS(3226),
    [anon_sym_PLUS] = ACTIONS(3228),
    [anon_sym_DASH] = ACTIONS(3228),
    [anon_sym_STAR] = ACTIONS(3228),
    [anon_sym_SLASH] = ACTIONS(3228),
    [anon_sym_PERCENT] = ACTIONS(3228),
    [anon_sym_PLUS_PLUS] = ACTIONS(3226),
    [anon_sym_DASH_DASH] = ACTIONS(3226),
    [anon_sym_PIPE] = ACTIONS(3226),
    [anon_sym_CARET] = ACTIONS(3228),
    [anon_sym_LT_LT] = ACTIONS(3226),
    [anon_sym_GT_GT] = ACTIONS(3226),
    [anon_sym_class] = ACTIONS(3226),
    [anon_sym_BANG2] = ACTIONS(3228),
    [anon_sym_prefix] = ACTIONS(3226),
    [anon_sym_infix] = ACTIONS(3226),
    [anon_sym_postfix] = ACTIONS(3226),
    [anon_sym_AT] = ACTIONS(3228),
    [anon_sym_override] = ACTIONS(3226),
    [anon_sym_convenience] = ACTIONS(3226),
    [anon_sym_required] = ACTIONS(3226),
    [anon_sym_nonisolated] = ACTIONS(3226),
    [anon_sym_public] = ACTIONS(3226),
    [anon_sym_private] = ACTIONS(3226),
    [anon_sym_internal] = ACTIONS(3226),
    [anon_sym_fileprivate] = ACTIONS(3226),
    [anon_sym_open] = ACTIONS(3226),
    [anon_sym_mutating] = ACTIONS(3226),
    [anon_sym_nonmutating] = ACTIONS(3226),
    [anon_sym_static] = ACTIONS(3226),
    [anon_sym_dynamic] = ACTIONS(3226),
    [anon_sym_optional] = ACTIONS(3226),
    [anon_sym_distributed] = ACTIONS(3226),
    [anon_sym_final] = ACTIONS(3226),
    [anon_sym_inout] = ACTIONS(3226),
    [anon_sym_ATescaping] = ACTIONS(3226),
    [anon_sym_ATautoclosure] = ACTIONS(3226),
    [anon_sym_weak] = ACTIONS(3226),
    [anon_sym_unowned] = ACTIONS(3228),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3226),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3226),
    [anon_sym_borrowing] = ACTIONS(3226),
    [anon_sym_consuming] = ACTIONS(3226),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3226),
    [sym__explicit_semi] = ACTIONS(3226),
    [sym__dot_custom] = ACTIONS(3226),
    [sym__conjunction_operator_custom] = ACTIONS(3226),
    [sym__disjunction_operator_custom] = ACTIONS(3226),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3226),
    [sym__eq_custom] = ACTIONS(3226),
    [sym__eq_eq_custom] = ACTIONS(3226),
    [sym__plus_then_ws] = ACTIONS(3226),
    [sym__minus_then_ws] = ACTIONS(3226),
    [sym__bang_custom] = ACTIONS(3226),
    [sym_default_keyword] = ACTIONS(3226),
    [sym_where_keyword] = ACTIONS(3226),
    [sym__as_custom] = ACTIONS(3226),
    [sym__as_quest_custom] = ACTIONS(3226),
    [sym__as_bang_custom] = ACTIONS(3226),
    [sym__custom_operator] = ACTIONS(3226),
  },
  [1124] = {
    [sym__type_level_declaration] = STATE(7207),
    [sym_import_declaration] = STATE(7207),
    [sym_property_declaration] = STATE(7207),
    [sym__modifierless_property_declaration] = STATE(7093),
    [sym_typealias_declaration] = STATE(7207),
    [sym__modifierless_typealias_declaration] = STATE(6964),
    [sym_function_declaration] = STATE(7207),
    [sym__bodyless_function_declaration] = STATE(6758),
    [sym__modifierless_function_declaration_no_body] = STATE(7642),
    [sym_class_declaration] = STATE(7207),
    [sym__modifierless_class_declaration] = STATE(7177),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__async_modifier] = STATE(6632),
    [sym_protocol_declaration] = STATE(7207),
    [sym_init_declaration] = STATE(7207),
    [sym_deinit_declaration] = STATE(7207),
    [sym_subscript_declaration] = STATE(7207),
    [sym_operator_declaration] = STATE(7207),
    [sym_precedence_group_declaration] = STATE(7207),
    [sym_associatedtype_declaration] = STATE(7207),
    [sym_attribute] = STATE(1553),
    [sym_value_binding_pattern] = STATE(3972),
    [sym__possibly_async_binding_pattern_kind] = STATE(3972),
    [sym_modifiers] = STATE(4232),
    [aux_sym__locally_permitted_modifiers] = STATE(1553),
    [sym__non_local_scope_modifier] = STATE(1553),
    [sym__locally_permitted_modifier] = STATE(1553),
    [sym_property_behavior_modifier] = STATE(1553),
    [sym_member_modifier] = STATE(1553),
    [sym_visibility_modifier] = STATE(1553),
    [sym_function_modifier] = STATE(1553),
    [sym_mutation_modifier] = STATE(1553),
    [sym_property_modifier] = STATE(1553),
    [sym_inheritance_modifier] = STATE(1553),
    [sym_parameter_modifier] = STATE(1553),
    [sym_ownership_modifier] = STATE(1553),
    [sym__parameter_ownership_modifier] = STATE(2572),
    [aux_sym_modifiers_repeat1] = STATE(1553),
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(3817),
    [anon_sym_async] = ACTIONS(3589),
    [anon_sym_lazy] = ACTIONS(3591),
    [anon_sym_package] = ACTIONS(3593),
    [anon_sym_RBRACE] = ACTIONS(3958),
    [anon_sym_import] = ACTIONS(3821),
    [anon_sym_typealias] = ACTIONS(3823),
    [anon_sym_struct] = ACTIONS(3817),
    [anon_sym_class] = ACTIONS(3825),
    [anon_sym_enum] = ACTIONS(3827),
    [anon_sym_protocol] = ACTIONS(3829),
    [anon_sym_let] = ACTIONS(3609),
    [anon_sym_var] = ACTIONS(3609),
    [anon_sym_func] = ACTIONS(3611),
    [anon_sym_extension] = ACTIONS(3831),
    [anon_sym_indirect] = ACTIONS(3833),
    [anon_sym_init] = ACTIONS(3835),
    [anon_sym_deinit] = ACTIONS(3837),
    [anon_sym_subscript] = ACTIONS(3839),
    [anon_sym_prefix] = ACTIONS(3841),
    [anon_sym_infix] = ACTIONS(3841),
    [anon_sym_postfix] = ACTIONS(3841),
    [anon_sym_precedencegroup] = ACTIONS(3843),
    [anon_sym_associatedtype] = ACTIONS(3845),
    [anon_sym_AT] = ACTIONS(123),
    [anon_sym_override] = ACTIONS(3629),
    [anon_sym_convenience] = ACTIONS(3629),
    [anon_sym_required] = ACTIONS(3629),
    [anon_sym_nonisolated] = ACTIONS(3629),
    [anon_sym_public] = ACTIONS(3593),
    [anon_sym_private] = ACTIONS(3593),
    [anon_sym_internal] = ACTIONS(3593),
    [anon_sym_fileprivate] = ACTIONS(3593),
    [anon_sym_open] = ACTIONS(3593),
    [anon_sym_mutating] = ACTIONS(3631),
    [anon_sym_nonmutating] = ACTIONS(3631),
    [anon_sym_static] = ACTIONS(3633),
    [anon_sym_dynamic] = ACTIONS(3633),
    [anon_sym_optional] = ACTIONS(3633),
    [anon_sym_distributed] = ACTIONS(3633),
    [anon_sym_final] = ACTIONS(3635),
    [anon_sym_inout] = ACTIONS(137),
    [anon_sym_ATescaping] = ACTIONS(137),
    [anon_sym_ATautoclosure] = ACTIONS(137),
    [anon_sym_weak] = ACTIONS(141),
    [anon_sym_unowned] = ACTIONS(139),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(141),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(141),
    [anon_sym_borrowing] = ACTIONS(137),
    [anon_sym_consuming] = ACTIONS(137),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
  },
  [1125] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3116),
    [anon_sym_package] = ACTIONS(3116),
    [anon_sym_COMMA] = ACTIONS(3116),
    [anon_sym_LPAREN] = ACTIONS(3116),
    [anon_sym_LBRACK] = ACTIONS(3116),
    [anon_sym_QMARK] = ACTIONS(3118),
    [anon_sym_QMARK2] = ACTIONS(3116),
    [anon_sym_AMP] = ACTIONS(3116),
    [aux_sym_custom_operator_token1] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_GT] = ACTIONS(3118),
    [anon_sym_LBRACE] = ACTIONS(3116),
    [anon_sym_CARET_LBRACE] = ACTIONS(3116),
    [anon_sym_RBRACE] = ACTIONS(3116),
    [anon_sym_case] = ACTIONS(3116),
    [anon_sym_fallthrough] = ACTIONS(3116),
    [anon_sym_PLUS_EQ] = ACTIONS(3116),
    [anon_sym_DASH_EQ] = ACTIONS(3116),
    [anon_sym_STAR_EQ] = ACTIONS(3116),
    [anon_sym_SLASH_EQ] = ACTIONS(3116),
    [anon_sym_PERCENT_EQ] = ACTIONS(3116),
    [anon_sym_BANG_EQ] = ACTIONS(3118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3116),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3116),
    [anon_sym_LT_EQ] = ACTIONS(3116),
    [anon_sym_GT_EQ] = ACTIONS(3116),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3116),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3116),
    [anon_sym_is] = ACTIONS(3116),
    [anon_sym_PLUS] = ACTIONS(3118),
    [anon_sym_DASH] = ACTIONS(3118),
    [anon_sym_STAR] = ACTIONS(3118),
    [anon_sym_SLASH] = ACTIONS(3118),
    [anon_sym_PERCENT] = ACTIONS(3118),
    [anon_sym_PLUS_PLUS] = ACTIONS(3116),
    [anon_sym_DASH_DASH] = ACTIONS(3116),
    [anon_sym_PIPE] = ACTIONS(3116),
    [anon_sym_CARET] = ACTIONS(3118),
    [anon_sym_LT_LT] = ACTIONS(3116),
    [anon_sym_GT_GT] = ACTIONS(3116),
    [anon_sym_class] = ACTIONS(3116),
    [anon_sym_BANG2] = ACTIONS(3118),
    [anon_sym_prefix] = ACTIONS(3116),
    [anon_sym_infix] = ACTIONS(3116),
    [anon_sym_postfix] = ACTIONS(3116),
    [anon_sym_AT] = ACTIONS(3118),
    [anon_sym_override] = ACTIONS(3116),
    [anon_sym_convenience] = ACTIONS(3116),
    [anon_sym_required] = ACTIONS(3116),
    [anon_sym_nonisolated] = ACTIONS(3116),
    [anon_sym_public] = ACTIONS(3116),
    [anon_sym_private] = ACTIONS(3116),
    [anon_sym_internal] = ACTIONS(3116),
    [anon_sym_fileprivate] = ACTIONS(3116),
    [anon_sym_open] = ACTIONS(3116),
    [anon_sym_mutating] = ACTIONS(3116),
    [anon_sym_nonmutating] = ACTIONS(3116),
    [anon_sym_static] = ACTIONS(3116),
    [anon_sym_dynamic] = ACTIONS(3116),
    [anon_sym_optional] = ACTIONS(3116),
    [anon_sym_distributed] = ACTIONS(3116),
    [anon_sym_final] = ACTIONS(3116),
    [anon_sym_inout] = ACTIONS(3116),
    [anon_sym_ATescaping] = ACTIONS(3116),
    [anon_sym_ATautoclosure] = ACTIONS(3116),
    [anon_sym_weak] = ACTIONS(3116),
    [anon_sym_unowned] = ACTIONS(3118),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3116),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3116),
    [anon_sym_borrowing] = ACTIONS(3116),
    [anon_sym_consuming] = ACTIONS(3116),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3116),
    [sym__explicit_semi] = ACTIONS(3116),
    [sym__dot_custom] = ACTIONS(3116),
    [sym__conjunction_operator_custom] = ACTIONS(3116),
    [sym__disjunction_operator_custom] = ACTIONS(3116),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3116),
    [sym__eq_custom] = ACTIONS(3116),
    [sym__eq_eq_custom] = ACTIONS(3116),
    [sym__plus_then_ws] = ACTIONS(3116),
    [sym__minus_then_ws] = ACTIONS(3116),
    [sym__bang_custom] = ACTIONS(3116),
    [sym_default_keyword] = ACTIONS(3116),
    [sym_where_keyword] = ACTIONS(3116),
    [sym__as_custom] = ACTIONS(3116),
    [sym__as_quest_custom] = ACTIONS(3116),
    [sym__as_bang_custom] = ACTIONS(3116),
    [sym__custom_operator] = ACTIONS(3116),
  },
  [1126] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3120),
    [anon_sym_package] = ACTIONS(3120),
    [anon_sym_COMMA] = ACTIONS(3120),
    [anon_sym_LPAREN] = ACTIONS(3120),
    [anon_sym_LBRACK] = ACTIONS(3120),
    [anon_sym_QMARK] = ACTIONS(3122),
    [anon_sym_QMARK2] = ACTIONS(3120),
    [anon_sym_AMP] = ACTIONS(3120),
    [aux_sym_custom_operator_token1] = ACTIONS(3120),
    [anon_sym_LT] = ACTIONS(3122),
    [anon_sym_GT] = ACTIONS(3122),
    [anon_sym_LBRACE] = ACTIONS(3120),
    [anon_sym_CARET_LBRACE] = ACTIONS(3120),
    [anon_sym_RBRACE] = ACTIONS(3120),
    [anon_sym_case] = ACTIONS(3120),
    [anon_sym_fallthrough] = ACTIONS(3120),
    [anon_sym_PLUS_EQ] = ACTIONS(3120),
    [anon_sym_DASH_EQ] = ACTIONS(3120),
    [anon_sym_STAR_EQ] = ACTIONS(3120),
    [anon_sym_SLASH_EQ] = ACTIONS(3120),
    [anon_sym_PERCENT_EQ] = ACTIONS(3120),
    [anon_sym_BANG_EQ] = ACTIONS(3122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3120),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3120),
    [anon_sym_LT_EQ] = ACTIONS(3120),
    [anon_sym_GT_EQ] = ACTIONS(3120),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3120),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3120),
    [anon_sym_is] = ACTIONS(3120),
    [anon_sym_PLUS] = ACTIONS(3122),
    [anon_sym_DASH] = ACTIONS(3122),
    [anon_sym_STAR] = ACTIONS(3122),
    [anon_sym_SLASH] = ACTIONS(3122),
    [anon_sym_PERCENT] = ACTIONS(3122),
    [anon_sym_PLUS_PLUS] = ACTIONS(3120),
    [anon_sym_DASH_DASH] = ACTIONS(3120),
    [anon_sym_PIPE] = ACTIONS(3120),
    [anon_sym_CARET] = ACTIONS(3122),
    [anon_sym_LT_LT] = ACTIONS(3120),
    [anon_sym_GT_GT] = ACTIONS(3120),
    [anon_sym_class] = ACTIONS(3120),
    [anon_sym_BANG2] = ACTIONS(3122),
    [anon_sym_prefix] = ACTIONS(3120),
    [anon_sym_infix] = ACTIONS(3120),
    [anon_sym_postfix] = ACTIONS(3120),
    [anon_sym_AT] = ACTIONS(3122),
    [anon_sym_override] = ACTIONS(3120),
    [anon_sym_convenience] = ACTIONS(3120),
    [anon_sym_required] = ACTIONS(3120),
    [anon_sym_nonisolated] = ACTIONS(3120),
    [anon_sym_public] = ACTIONS(3120),
    [anon_sym_private] = ACTIONS(3120),
    [anon_sym_internal] = ACTIONS(3120),
    [anon_sym_fileprivate] = ACTIONS(3120),
    [anon_sym_open] = ACTIONS(3120),
    [anon_sym_mutating] = ACTIONS(3120),
    [anon_sym_nonmutating] = ACTIONS(3120),
    [anon_sym_static] = ACTIONS(3120),
    [anon_sym_dynamic] = ACTIONS(3120),
    [anon_sym_optional] = ACTIONS(3120),
    [anon_sym_distributed] = ACTIONS(3120),
    [anon_sym_final] = ACTIONS(3120),
    [anon_sym_inout] = ACTIONS(3120),
    [anon_sym_ATescaping] = ACTIONS(3120),
    [anon_sym_ATautoclosure] = ACTIONS(3120),
    [anon_sym_weak] = ACTIONS(3120),
    [anon_sym_unowned] = ACTIONS(3122),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3120),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3120),
    [anon_sym_borrowing] = ACTIONS(3120),
    [anon_sym_consuming] = ACTIONS(3120),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3120),
    [sym__explicit_semi] = ACTIONS(3120),
    [sym__dot_custom] = ACTIONS(3120),
    [sym__conjunction_operator_custom] = ACTIONS(3120),
    [sym__disjunction_operator_custom] = ACTIONS(3120),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3120),
    [sym__eq_custom] = ACTIONS(3120),
    [sym__eq_eq_custom] = ACTIONS(3120),
    [sym__plus_then_ws] = ACTIONS(3120),
    [sym__minus_then_ws] = ACTIONS(3120),
    [sym__bang_custom] = ACTIONS(3120),
    [sym_default_keyword] = ACTIONS(3120),
    [sym_where_keyword] = ACTIONS(3120),
    [sym__as_custom] = ACTIONS(3120),
    [sym__as_quest_custom] = ACTIONS(3120),
    [sym__as_bang_custom] = ACTIONS(3120),
    [sym__custom_operator] = ACTIONS(3120),
  },
  [1127] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3348),
    [anon_sym_package] = ACTIONS(3348),
    [anon_sym_COMMA] = ACTIONS(3348),
    [anon_sym_LPAREN] = ACTIONS(3348),
    [anon_sym_LBRACK] = ACTIONS(3348),
    [anon_sym_QMARK] = ACTIONS(3350),
    [anon_sym_QMARK2] = ACTIONS(3348),
    [anon_sym_AMP] = ACTIONS(3348),
    [aux_sym_custom_operator_token1] = ACTIONS(3348),
    [anon_sym_LT] = ACTIONS(3350),
    [anon_sym_GT] = ACTIONS(3350),
    [anon_sym_LBRACE] = ACTIONS(3348),
    [anon_sym_CARET_LBRACE] = ACTIONS(3348),
    [anon_sym_RBRACE] = ACTIONS(3348),
    [anon_sym_case] = ACTIONS(3348),
    [anon_sym_fallthrough] = ACTIONS(3348),
    [anon_sym_PLUS_EQ] = ACTIONS(3348),
    [anon_sym_DASH_EQ] = ACTIONS(3348),
    [anon_sym_STAR_EQ] = ACTIONS(3348),
    [anon_sym_SLASH_EQ] = ACTIONS(3348),
    [anon_sym_PERCENT_EQ] = ACTIONS(3348),
    [anon_sym_BANG_EQ] = ACTIONS(3350),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3348),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3348),
    [anon_sym_LT_EQ] = ACTIONS(3348),
    [anon_sym_GT_EQ] = ACTIONS(3348),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3348),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3348),
    [anon_sym_is] = ACTIONS(3348),
    [anon_sym_PLUS] = ACTIONS(3350),
    [anon_sym_DASH] = ACTIONS(3350),
    [anon_sym_STAR] = ACTIONS(3350),
    [anon_sym_SLASH] = ACTIONS(3350),
    [anon_sym_PERCENT] = ACTIONS(3350),
    [anon_sym_PLUS_PLUS] = ACTIONS(3348),
    [anon_sym_DASH_DASH] = ACTIONS(3348),
    [anon_sym_PIPE] = ACTIONS(3348),
    [anon_sym_CARET] = ACTIONS(3350),
    [anon_sym_LT_LT] = ACTIONS(3348),
    [anon_sym_GT_GT] = ACTIONS(3348),
    [anon_sym_class] = ACTIONS(3348),
    [anon_sym_BANG2] = ACTIONS(3350),
    [anon_sym_prefix] = ACTIONS(3348),
    [anon_sym_infix] = ACTIONS(3348),
    [anon_sym_postfix] = ACTIONS(3348),
    [anon_sym_AT] = ACTIONS(3350),
    [anon_sym_override] = ACTIONS(3348),
    [anon_sym_convenience] = ACTIONS(3348),
    [anon_sym_required] = ACTIONS(3348),
    [anon_sym_nonisolated] = ACTIONS(3348),
    [anon_sym_public] = ACTIONS(3348),
    [anon_sym_private] = ACTIONS(3348),
    [anon_sym_internal] = ACTIONS(3348),
    [anon_sym_fileprivate] = ACTIONS(3348),
    [anon_sym_open] = ACTIONS(3348),
    [anon_sym_mutating] = ACTIONS(3348),
    [anon_sym_nonmutating] = ACTIONS(3348),
    [anon_sym_static] = ACTIONS(3348),
    [anon_sym_dynamic] = ACTIONS(3348),
    [anon_sym_optional] = ACTIONS(3348),
    [anon_sym_distributed] = ACTIONS(3348),
    [anon_sym_final] = ACTIONS(3348),
    [anon_sym_inout] = ACTIONS(3348),
    [anon_sym_ATescaping] = ACTIONS(3348),
    [anon_sym_ATautoclosure] = ACTIONS(3348),
    [anon_sym_weak] = ACTIONS(3348),
    [anon_sym_unowned] = ACTIONS(3350),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3348),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3348),
    [anon_sym_borrowing] = ACTIONS(3348),
    [anon_sym_consuming] = ACTIONS(3348),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3348),
    [sym__explicit_semi] = ACTIONS(3348),
    [sym__dot_custom] = ACTIONS(3348),
    [sym__conjunction_operator_custom] = ACTIONS(3348),
    [sym__disjunction_operator_custom] = ACTIONS(3348),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3348),
    [sym__eq_custom] = ACTIONS(3348),
    [sym__eq_eq_custom] = ACTIONS(3348),
    [sym__plus_then_ws] = ACTIONS(3348),
    [sym__minus_then_ws] = ACTIONS(3348),
    [sym__bang_custom] = ACTIONS(3348),
    [sym_default_keyword] = ACTIONS(3348),
    [sym_where_keyword] = ACTIONS(3348),
    [sym__as_custom] = ACTIONS(3348),
    [sym__as_quest_custom] = ACTIONS(3348),
    [sym__as_bang_custom] = ACTIONS(3348),
    [sym__custom_operator] = ACTIONS(3348),
  },
  [1128] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3372),
    [anon_sym_package] = ACTIONS(3372),
    [anon_sym_COMMA] = ACTIONS(3372),
    [anon_sym_LPAREN] = ACTIONS(3372),
    [anon_sym_LBRACK] = ACTIONS(3372),
    [anon_sym_QMARK] = ACTIONS(3374),
    [anon_sym_QMARK2] = ACTIONS(3372),
    [anon_sym_AMP] = ACTIONS(3372),
    [aux_sym_custom_operator_token1] = ACTIONS(3372),
    [anon_sym_LT] = ACTIONS(3374),
    [anon_sym_GT] = ACTIONS(3374),
    [anon_sym_LBRACE] = ACTIONS(3372),
    [anon_sym_CARET_LBRACE] = ACTIONS(3372),
    [anon_sym_RBRACE] = ACTIONS(3372),
    [anon_sym_case] = ACTIONS(3372),
    [anon_sym_fallthrough] = ACTIONS(3372),
    [anon_sym_PLUS_EQ] = ACTIONS(3372),
    [anon_sym_DASH_EQ] = ACTIONS(3372),
    [anon_sym_STAR_EQ] = ACTIONS(3372),
    [anon_sym_SLASH_EQ] = ACTIONS(3372),
    [anon_sym_PERCENT_EQ] = ACTIONS(3372),
    [anon_sym_BANG_EQ] = ACTIONS(3374),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3372),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3372),
    [anon_sym_LT_EQ] = ACTIONS(3372),
    [anon_sym_GT_EQ] = ACTIONS(3372),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3372),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3372),
    [anon_sym_is] = ACTIONS(3372),
    [anon_sym_PLUS] = ACTIONS(3374),
    [anon_sym_DASH] = ACTIONS(3374),
    [anon_sym_STAR] = ACTIONS(3374),
    [anon_sym_SLASH] = ACTIONS(3374),
    [anon_sym_PERCENT] = ACTIONS(3374),
    [anon_sym_PLUS_PLUS] = ACTIONS(3372),
    [anon_sym_DASH_DASH] = ACTIONS(3372),
    [anon_sym_PIPE] = ACTIONS(3372),
    [anon_sym_CARET] = ACTIONS(3374),
    [anon_sym_LT_LT] = ACTIONS(3372),
    [anon_sym_GT_GT] = ACTIONS(3372),
    [anon_sym_class] = ACTIONS(3372),
    [anon_sym_BANG2] = ACTIONS(3374),
    [anon_sym_prefix] = ACTIONS(3372),
    [anon_sym_infix] = ACTIONS(3372),
    [anon_sym_postfix] = ACTIONS(3372),
    [anon_sym_AT] = ACTIONS(3374),
    [anon_sym_override] = ACTIONS(3372),
    [anon_sym_convenience] = ACTIONS(3372),
    [anon_sym_required] = ACTIONS(3372),
    [anon_sym_nonisolated] = ACTIONS(3372),
    [anon_sym_public] = ACTIONS(3372),
    [anon_sym_private] = ACTIONS(3372),
    [anon_sym_internal] = ACTIONS(3372),
    [anon_sym_fileprivate] = ACTIONS(3372),
    [anon_sym_open] = ACTIONS(3372),
    [anon_sym_mutating] = ACTIONS(3372),
    [anon_sym_nonmutating] = ACTIONS(3372),
    [anon_sym_static] = ACTIONS(3372),
    [anon_sym_dynamic] = ACTIONS(3372),
    [anon_sym_optional] = ACTIONS(3372),
    [anon_sym_distributed] = ACTIONS(3372),
    [anon_sym_final] = ACTIONS(3372),
    [anon_sym_inout] = ACTIONS(3372),
    [anon_sym_ATescaping] = ACTIONS(3372),
    [anon_sym_ATautoclosure] = ACTIONS(3372),
    [anon_sym_weak] = ACTIONS(3372),
    [anon_sym_unowned] = ACTIONS(3374),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3372),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3372),
    [anon_sym_borrowing] = ACTIONS(3372),
    [anon_sym_consuming] = ACTIONS(3372),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3372),
    [sym__explicit_semi] = ACTIONS(3372),
    [sym__dot_custom] = ACTIONS(3372),
    [sym__conjunction_operator_custom] = ACTIONS(3372),
    [sym__disjunction_operator_custom] = ACTIONS(3372),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3372),
    [sym__eq_custom] = ACTIONS(3372),
    [sym__eq_eq_custom] = ACTIONS(3372),
    [sym__plus_then_ws] = ACTIONS(3372),
    [sym__minus_then_ws] = ACTIONS(3372),
    [sym__bang_custom] = ACTIONS(3372),
    [sym_default_keyword] = ACTIONS(3372),
    [sym_where_keyword] = ACTIONS(3372),
    [sym__as_custom] = ACTIONS(3372),
    [sym__as_quest_custom] = ACTIONS(3372),
    [sym__as_bang_custom] = ACTIONS(3372),
    [sym__custom_operator] = ACTIONS(3372),
  },
  [1129] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3300),
    [anon_sym_package] = ACTIONS(3300),
    [anon_sym_COMMA] = ACTIONS(3300),
    [anon_sym_LPAREN] = ACTIONS(3300),
    [anon_sym_LBRACK] = ACTIONS(3300),
    [anon_sym_QMARK] = ACTIONS(3302),
    [anon_sym_QMARK2] = ACTIONS(3300),
    [anon_sym_AMP] = ACTIONS(3300),
    [aux_sym_custom_operator_token1] = ACTIONS(3300),
    [anon_sym_LT] = ACTIONS(3302),
    [anon_sym_GT] = ACTIONS(3302),
    [anon_sym_LBRACE] = ACTIONS(3300),
    [anon_sym_CARET_LBRACE] = ACTIONS(3300),
    [anon_sym_RBRACE] = ACTIONS(3300),
    [anon_sym_case] = ACTIONS(3300),
    [anon_sym_fallthrough] = ACTIONS(3300),
    [anon_sym_PLUS_EQ] = ACTIONS(3300),
    [anon_sym_DASH_EQ] = ACTIONS(3300),
    [anon_sym_STAR_EQ] = ACTIONS(3300),
    [anon_sym_SLASH_EQ] = ACTIONS(3300),
    [anon_sym_PERCENT_EQ] = ACTIONS(3300),
    [anon_sym_BANG_EQ] = ACTIONS(3302),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3300),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3300),
    [anon_sym_LT_EQ] = ACTIONS(3300),
    [anon_sym_GT_EQ] = ACTIONS(3300),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3300),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3300),
    [anon_sym_is] = ACTIONS(3300),
    [anon_sym_PLUS] = ACTIONS(3302),
    [anon_sym_DASH] = ACTIONS(3302),
    [anon_sym_STAR] = ACTIONS(3302),
    [anon_sym_SLASH] = ACTIONS(3302),
    [anon_sym_PERCENT] = ACTIONS(3302),
    [anon_sym_PLUS_PLUS] = ACTIONS(3300),
    [anon_sym_DASH_DASH] = ACTIONS(3300),
    [anon_sym_PIPE] = ACTIONS(3300),
    [anon_sym_CARET] = ACTIONS(3302),
    [anon_sym_LT_LT] = ACTIONS(3300),
    [anon_sym_GT_GT] = ACTIONS(3300),
    [anon_sym_class] = ACTIONS(3300),
    [anon_sym_BANG2] = ACTIONS(3302),
    [anon_sym_prefix] = ACTIONS(3300),
    [anon_sym_infix] = ACTIONS(3300),
    [anon_sym_postfix] = ACTIONS(3300),
    [anon_sym_AT] = ACTIONS(3302),
    [anon_sym_override] = ACTIONS(3300),
    [anon_sym_convenience] = ACTIONS(3300),
    [anon_sym_required] = ACTIONS(3300),
    [anon_sym_nonisolated] = ACTIONS(3300),
    [anon_sym_public] = ACTIONS(3300),
    [anon_sym_private] = ACTIONS(3300),
    [anon_sym_internal] = ACTIONS(3300),
    [anon_sym_fileprivate] = ACTIONS(3300),
    [anon_sym_open] = ACTIONS(3300),
    [anon_sym_mutating] = ACTIONS(3300),
    [anon_sym_nonmutating] = ACTIONS(3300),
    [anon_sym_static] = ACTIONS(3300),
    [anon_sym_dynamic] = ACTIONS(3300),
    [anon_sym_optional] = ACTIONS(3300),
    [anon_sym_distributed] = ACTIONS(3300),
    [anon_sym_final] = ACTIONS(3300),
    [anon_sym_inout] = ACTIONS(3300),
    [anon_sym_ATescaping] = ACTIONS(3300),
    [anon_sym_ATautoclosure] = ACTIONS(3300),
    [anon_sym_weak] = ACTIONS(3300),
    [anon_sym_unowned] = ACTIONS(3302),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3300),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3300),
    [anon_sym_borrowing] = ACTIONS(3300),
    [anon_sym_consuming] = ACTIONS(3300),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3300),
    [sym__explicit_semi] = ACTIONS(3300),
    [sym__dot_custom] = ACTIONS(3300),
    [sym__conjunction_operator_custom] = ACTIONS(3300),
    [sym__disjunction_operator_custom] = ACTIONS(3300),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3300),
    [sym__eq_custom] = ACTIONS(3300),
    [sym__eq_eq_custom] = ACTIONS(3300),
    [sym__plus_then_ws] = ACTIONS(3300),
    [sym__minus_then_ws] = ACTIONS(3300),
    [sym__bang_custom] = ACTIONS(3300),
    [sym_default_keyword] = ACTIONS(3300),
    [sym_where_keyword] = ACTIONS(3300),
    [sym__as_custom] = ACTIONS(3300),
    [sym__as_quest_custom] = ACTIONS(3300),
    [sym__as_bang_custom] = ACTIONS(3300),
    [sym__custom_operator] = ACTIONS(3300),
  },
  [1130] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(2572),
    [anon_sym_package] = ACTIONS(2572),
    [anon_sym_COMMA] = ACTIONS(2572),
    [anon_sym_LPAREN] = ACTIONS(2572),
    [anon_sym_LBRACK] = ACTIONS(2572),
    [anon_sym_QMARK] = ACTIONS(2574),
    [anon_sym_QMARK2] = ACTIONS(2572),
    [anon_sym_AMP] = ACTIONS(2572),
    [aux_sym_custom_operator_token1] = ACTIONS(2572),
    [anon_sym_LT] = ACTIONS(2574),
    [anon_sym_GT] = ACTIONS(2574),
    [anon_sym_LBRACE] = ACTIONS(2572),
    [anon_sym_CARET_LBRACE] = ACTIONS(2572),
    [anon_sym_RBRACE] = ACTIONS(2572),
    [anon_sym_case] = ACTIONS(2572),
    [anon_sym_fallthrough] = ACTIONS(2572),
    [anon_sym_PLUS_EQ] = ACTIONS(2572),
    [anon_sym_DASH_EQ] = ACTIONS(2572),
    [anon_sym_STAR_EQ] = ACTIONS(2572),
    [anon_sym_SLASH_EQ] = ACTIONS(2572),
    [anon_sym_PERCENT_EQ] = ACTIONS(2572),
    [anon_sym_BANG_EQ] = ACTIONS(2574),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2572),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2572),
    [anon_sym_LT_EQ] = ACTIONS(2572),
    [anon_sym_GT_EQ] = ACTIONS(2572),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2572),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2572),
    [anon_sym_is] = ACTIONS(2572),
    [anon_sym_PLUS] = ACTIONS(2574),
    [anon_sym_DASH] = ACTIONS(2574),
    [anon_sym_STAR] = ACTIONS(2574),
    [anon_sym_SLASH] = ACTIONS(2574),
    [anon_sym_PERCENT] = ACTIONS(2574),
    [anon_sym_PLUS_PLUS] = ACTIONS(2572),
    [anon_sym_DASH_DASH] = ACTIONS(2572),
    [anon_sym_PIPE] = ACTIONS(2572),
    [anon_sym_CARET] = ACTIONS(2574),
    [anon_sym_LT_LT] = ACTIONS(2572),
    [anon_sym_GT_GT] = ACTIONS(2572),
    [anon_sym_class] = ACTIONS(2572),
    [anon_sym_BANG2] = ACTIONS(2574),
    [anon_sym_prefix] = ACTIONS(2572),
    [anon_sym_infix] = ACTIONS(2572),
    [anon_sym_postfix] = ACTIONS(2572),
    [anon_sym_AT] = ACTIONS(2574),
    [anon_sym_override] = ACTIONS(2572),
    [anon_sym_convenience] = ACTIONS(2572),
    [anon_sym_required] = ACTIONS(2572),
    [anon_sym_nonisolated] = ACTIONS(2572),
    [anon_sym_public] = ACTIONS(2572),
    [anon_sym_private] = ACTIONS(2572),
    [anon_sym_internal] = ACTIONS(2572),
    [anon_sym_fileprivate] = ACTIONS(2572),
    [anon_sym_open] = ACTIONS(2572),
    [anon_sym_mutating] = ACTIONS(2572),
    [anon_sym_nonmutating] = ACTIONS(2572),
    [anon_sym_static] = ACTIONS(2572),
    [anon_sym_dynamic] = ACTIONS(2572),
    [anon_sym_optional] = ACTIONS(2572),
    [anon_sym_distributed] = ACTIONS(2572),
    [anon_sym_final] = ACTIONS(2572),
    [anon_sym_inout] = ACTIONS(2572),
    [anon_sym_ATescaping] = ACTIONS(2572),
    [anon_sym_ATautoclosure] = ACTIONS(2572),
    [anon_sym_weak] = ACTIONS(2572),
    [anon_sym_unowned] = ACTIONS(2574),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2572),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2572),
    [anon_sym_borrowing] = ACTIONS(2572),
    [anon_sym_consuming] = ACTIONS(2572),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2572),
    [sym__explicit_semi] = ACTIONS(2572),
    [sym__dot_custom] = ACTIONS(2572),
    [sym__conjunction_operator_custom] = ACTIONS(2572),
    [sym__disjunction_operator_custom] = ACTIONS(2572),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2572),
    [sym__eq_custom] = ACTIONS(2572),
    [sym__eq_eq_custom] = ACTIONS(2572),
    [sym__plus_then_ws] = ACTIONS(2572),
    [sym__minus_then_ws] = ACTIONS(2572),
    [sym__bang_custom] = ACTIONS(2572),
    [sym_default_keyword] = ACTIONS(2572),
    [sym_where_keyword] = ACTIONS(2572),
    [sym__as_custom] = ACTIONS(2572),
    [sym__as_quest_custom] = ACTIONS(2572),
    [sym__as_bang_custom] = ACTIONS(2572),
    [sym__custom_operator] = ACTIONS(2572),
  },
  [1131] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3260),
    [anon_sym_package] = ACTIONS(3260),
    [anon_sym_COMMA] = ACTIONS(3260),
    [anon_sym_LPAREN] = ACTIONS(3260),
    [anon_sym_LBRACK] = ACTIONS(3260),
    [anon_sym_QMARK] = ACTIONS(3263),
    [anon_sym_QMARK2] = ACTIONS(3260),
    [anon_sym_AMP] = ACTIONS(3260),
    [aux_sym_custom_operator_token1] = ACTIONS(3260),
    [anon_sym_LT] = ACTIONS(3263),
    [anon_sym_GT] = ACTIONS(3263),
    [anon_sym_LBRACE] = ACTIONS(3260),
    [anon_sym_CARET_LBRACE] = ACTIONS(3260),
    [anon_sym_RBRACE] = ACTIONS(3260),
    [anon_sym_case] = ACTIONS(3260),
    [anon_sym_fallthrough] = ACTIONS(3260),
    [anon_sym_PLUS_EQ] = ACTIONS(3260),
    [anon_sym_DASH_EQ] = ACTIONS(3260),
    [anon_sym_STAR_EQ] = ACTIONS(3260),
    [anon_sym_SLASH_EQ] = ACTIONS(3260),
    [anon_sym_PERCENT_EQ] = ACTIONS(3260),
    [anon_sym_BANG_EQ] = ACTIONS(3263),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3260),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3260),
    [anon_sym_LT_EQ] = ACTIONS(3260),
    [anon_sym_GT_EQ] = ACTIONS(3260),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3260),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3260),
    [anon_sym_is] = ACTIONS(3260),
    [anon_sym_PLUS] = ACTIONS(3263),
    [anon_sym_DASH] = ACTIONS(3263),
    [anon_sym_STAR] = ACTIONS(3263),
    [anon_sym_SLASH] = ACTIONS(3263),
    [anon_sym_PERCENT] = ACTIONS(3263),
    [anon_sym_PLUS_PLUS] = ACTIONS(3260),
    [anon_sym_DASH_DASH] = ACTIONS(3260),
    [anon_sym_PIPE] = ACTIONS(3260),
    [anon_sym_CARET] = ACTIONS(3263),
    [anon_sym_LT_LT] = ACTIONS(3260),
    [anon_sym_GT_GT] = ACTIONS(3260),
    [anon_sym_class] = ACTIONS(3260),
    [anon_sym_BANG2] = ACTIONS(3263),
    [anon_sym_prefix] = ACTIONS(3260),
    [anon_sym_infix] = ACTIONS(3260),
    [anon_sym_postfix] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(3263),
    [anon_sym_override] = ACTIONS(3260),
    [anon_sym_convenience] = ACTIONS(3260),
    [anon_sym_required] = ACTIONS(3260),
    [anon_sym_nonisolated] = ACTIONS(3260),
    [anon_sym_public] = ACTIONS(3260),
    [anon_sym_private] = ACTIONS(3260),
    [anon_sym_internal] = ACTIONS(3260),
    [anon_sym_fileprivate] = ACTIONS(3260),
    [anon_sym_open] = ACTIONS(3260),
    [anon_sym_mutating] = ACTIONS(3260),
    [anon_sym_nonmutating] = ACTIONS(3260),
    [anon_sym_static] = ACTIONS(3260),
    [anon_sym_dynamic] = ACTIONS(3260),
    [anon_sym_optional] = ACTIONS(3260),
    [anon_sym_distributed] = ACTIONS(3260),
    [anon_sym_final] = ACTIONS(3260),
    [anon_sym_inout] = ACTIONS(3260),
    [anon_sym_ATescaping] = ACTIONS(3260),
    [anon_sym_ATautoclosure] = ACTIONS(3260),
    [anon_sym_weak] = ACTIONS(3260),
    [anon_sym_unowned] = ACTIONS(3263),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3260),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3260),
    [anon_sym_borrowing] = ACTIONS(3260),
    [anon_sym_consuming] = ACTIONS(3260),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3260),
    [sym__explicit_semi] = ACTIONS(3260),
    [sym__dot_custom] = ACTIONS(3260),
    [sym__conjunction_operator_custom] = ACTIONS(3260),
    [sym__disjunction_operator_custom] = ACTIONS(3260),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3260),
    [sym__eq_custom] = ACTIONS(3260),
    [sym__eq_eq_custom] = ACTIONS(3260),
    [sym__plus_then_ws] = ACTIONS(3260),
    [sym__minus_then_ws] = ACTIONS(3260),
    [sym__bang_custom] = ACTIONS(3260),
    [sym_default_keyword] = ACTIONS(3260),
    [sym_where_keyword] = ACTIONS(3260),
    [sym__as_custom] = ACTIONS(3260),
    [sym__as_quest_custom] = ACTIONS(3260),
    [sym__as_bang_custom] = ACTIONS(3260),
    [sym__custom_operator] = ACTIONS(3260),
  },
  [1132] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(2910),
    [anon_sym_package] = ACTIONS(2910),
    [anon_sym_COMMA] = ACTIONS(2910),
    [anon_sym_LPAREN] = ACTIONS(2910),
    [anon_sym_LBRACK] = ACTIONS(2910),
    [anon_sym_DOT] = ACTIONS(2912),
    [anon_sym_QMARK] = ACTIONS(2912),
    [anon_sym_QMARK2] = ACTIONS(2910),
    [anon_sym_AMP] = ACTIONS(2910),
    [aux_sym_custom_operator_token1] = ACTIONS(2910),
    [anon_sym_LT] = ACTIONS(2912),
    [anon_sym_GT] = ACTIONS(2912),
    [anon_sym_LBRACE] = ACTIONS(2910),
    [anon_sym_CARET_LBRACE] = ACTIONS(2910),
    [anon_sym_RBRACE] = ACTIONS(2910),
    [anon_sym_case] = ACTIONS(2910),
    [anon_sym_fallthrough] = ACTIONS(2910),
    [anon_sym_PLUS_EQ] = ACTIONS(2910),
    [anon_sym_DASH_EQ] = ACTIONS(2910),
    [anon_sym_STAR_EQ] = ACTIONS(2910),
    [anon_sym_SLASH_EQ] = ACTIONS(2910),
    [anon_sym_PERCENT_EQ] = ACTIONS(2910),
    [anon_sym_BANG_EQ] = ACTIONS(2912),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2910),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2910),
    [anon_sym_LT_EQ] = ACTIONS(2910),
    [anon_sym_GT_EQ] = ACTIONS(2910),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2910),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2910),
    [anon_sym_is] = ACTIONS(2910),
    [anon_sym_PLUS] = ACTIONS(2912),
    [anon_sym_DASH] = ACTIONS(2912),
    [anon_sym_STAR] = ACTIONS(2912),
    [anon_sym_SLASH] = ACTIONS(2912),
    [anon_sym_PERCENT] = ACTIONS(2912),
    [anon_sym_PLUS_PLUS] = ACTIONS(2910),
    [anon_sym_DASH_DASH] = ACTIONS(2910),
    [anon_sym_PIPE] = ACTIONS(2910),
    [anon_sym_CARET] = ACTIONS(2912),
    [anon_sym_LT_LT] = ACTIONS(2910),
    [anon_sym_GT_GT] = ACTIONS(2910),
    [anon_sym_class] = ACTIONS(2910),
    [anon_sym_BANG2] = ACTIONS(2912),
    [anon_sym_prefix] = ACTIONS(2910),
    [anon_sym_infix] = ACTIONS(2910),
    [anon_sym_postfix] = ACTIONS(2910),
    [anon_sym_AT] = ACTIONS(2912),
    [anon_sym_override] = ACTIONS(2910),
    [anon_sym_convenience] = ACTIONS(2910),
    [anon_sym_required] = ACTIONS(2910),
    [anon_sym_nonisolated] = ACTIONS(2910),
    [anon_sym_public] = ACTIONS(2910),
    [anon_sym_private] = ACTIONS(2910),
    [anon_sym_internal] = ACTIONS(2910),
    [anon_sym_fileprivate] = ACTIONS(2910),
    [anon_sym_open] = ACTIONS(2910),
    [anon_sym_mutating] = ACTIONS(2910),
    [anon_sym_nonmutating] = ACTIONS(2910),
    [anon_sym_static] = ACTIONS(2910),
    [anon_sym_dynamic] = ACTIONS(2910),
    [anon_sym_optional] = ACTIONS(2910),
    [anon_sym_distributed] = ACTIONS(2910),
    [anon_sym_final] = ACTIONS(2910),
    [anon_sym_inout] = ACTIONS(2910),
    [anon_sym_ATescaping] = ACTIONS(2910),
    [anon_sym_ATautoclosure] = ACTIONS(2910),
    [anon_sym_weak] = ACTIONS(2910),
    [anon_sym_unowned] = ACTIONS(2912),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2910),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2910),
    [anon_sym_borrowing] = ACTIONS(2910),
    [anon_sym_consuming] = ACTIONS(2910),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2910),
    [sym__explicit_semi] = ACTIONS(2910),
    [sym__dot_custom] = ACTIONS(2910),
    [sym__conjunction_operator_custom] = ACTIONS(2910),
    [sym__disjunction_operator_custom] = ACTIONS(2910),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2910),
    [sym__eq_custom] = ACTIONS(2910),
    [sym__eq_eq_custom] = ACTIONS(2910),
    [sym__plus_then_ws] = ACTIONS(2910),
    [sym__minus_then_ws] = ACTIONS(2910),
    [sym__bang_custom] = ACTIONS(2910),
    [sym_default_keyword] = ACTIONS(2910),
    [sym__as_custom] = ACTIONS(2910),
    [sym__as_quest_custom] = ACTIONS(2910),
    [sym__as_bang_custom] = ACTIONS(2910),
    [sym__custom_operator] = ACTIONS(2910),
  },
  [1133] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3282),
    [anon_sym_package] = ACTIONS(3282),
    [anon_sym_COMMA] = ACTIONS(3282),
    [anon_sym_LPAREN] = ACTIONS(3282),
    [anon_sym_LBRACK] = ACTIONS(3282),
    [anon_sym_QMARK] = ACTIONS(3285),
    [anon_sym_QMARK2] = ACTIONS(3282),
    [anon_sym_AMP] = ACTIONS(3282),
    [aux_sym_custom_operator_token1] = ACTIONS(3282),
    [anon_sym_LT] = ACTIONS(3285),
    [anon_sym_GT] = ACTIONS(3285),
    [anon_sym_LBRACE] = ACTIONS(3282),
    [anon_sym_CARET_LBRACE] = ACTIONS(3282),
    [anon_sym_RBRACE] = ACTIONS(3282),
    [anon_sym_case] = ACTIONS(3282),
    [anon_sym_fallthrough] = ACTIONS(3282),
    [anon_sym_PLUS_EQ] = ACTIONS(3282),
    [anon_sym_DASH_EQ] = ACTIONS(3282),
    [anon_sym_STAR_EQ] = ACTIONS(3282),
    [anon_sym_SLASH_EQ] = ACTIONS(3282),
    [anon_sym_PERCENT_EQ] = ACTIONS(3282),
    [anon_sym_BANG_EQ] = ACTIONS(3285),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3282),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3282),
    [anon_sym_LT_EQ] = ACTIONS(3282),
    [anon_sym_GT_EQ] = ACTIONS(3282),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3282),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3282),
    [anon_sym_is] = ACTIONS(3282),
    [anon_sym_PLUS] = ACTIONS(3285),
    [anon_sym_DASH] = ACTIONS(3285),
    [anon_sym_STAR] = ACTIONS(3285),
    [anon_sym_SLASH] = ACTIONS(3285),
    [anon_sym_PERCENT] = ACTIONS(3285),
    [anon_sym_PLUS_PLUS] = ACTIONS(3282),
    [anon_sym_DASH_DASH] = ACTIONS(3282),
    [anon_sym_PIPE] = ACTIONS(3282),
    [anon_sym_CARET] = ACTIONS(3285),
    [anon_sym_LT_LT] = ACTIONS(3282),
    [anon_sym_GT_GT] = ACTIONS(3282),
    [anon_sym_class] = ACTIONS(3282),
    [anon_sym_BANG2] = ACTIONS(3285),
    [anon_sym_prefix] = ACTIONS(3282),
    [anon_sym_infix] = ACTIONS(3282),
    [anon_sym_postfix] = ACTIONS(3282),
    [anon_sym_AT] = ACTIONS(3285),
    [anon_sym_override] = ACTIONS(3282),
    [anon_sym_convenience] = ACTIONS(3282),
    [anon_sym_required] = ACTIONS(3282),
    [anon_sym_nonisolated] = ACTIONS(3282),
    [anon_sym_public] = ACTIONS(3282),
    [anon_sym_private] = ACTIONS(3282),
    [anon_sym_internal] = ACTIONS(3282),
    [anon_sym_fileprivate] = ACTIONS(3282),
    [anon_sym_open] = ACTIONS(3282),
    [anon_sym_mutating] = ACTIONS(3282),
    [anon_sym_nonmutating] = ACTIONS(3282),
    [anon_sym_static] = ACTIONS(3282),
    [anon_sym_dynamic] = ACTIONS(3282),
    [anon_sym_optional] = ACTIONS(3282),
    [anon_sym_distributed] = ACTIONS(3282),
    [anon_sym_final] = ACTIONS(3282),
    [anon_sym_inout] = ACTIONS(3282),
    [anon_sym_ATescaping] = ACTIONS(3282),
    [anon_sym_ATautoclosure] = ACTIONS(3282),
    [anon_sym_weak] = ACTIONS(3282),
    [anon_sym_unowned] = ACTIONS(3285),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3282),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3282),
    [anon_sym_borrowing] = ACTIONS(3282),
    [anon_sym_consuming] = ACTIONS(3282),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3282),
    [sym__explicit_semi] = ACTIONS(3282),
    [sym__dot_custom] = ACTIONS(3282),
    [sym__conjunction_operator_custom] = ACTIONS(3282),
    [sym__disjunction_operator_custom] = ACTIONS(3282),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3282),
    [sym__eq_custom] = ACTIONS(3282),
    [sym__eq_eq_custom] = ACTIONS(3282),
    [sym__plus_then_ws] = ACTIONS(3282),
    [sym__minus_then_ws] = ACTIONS(3282),
    [sym__bang_custom] = ACTIONS(3282),
    [sym_default_keyword] = ACTIONS(3282),
    [sym_where_keyword] = ACTIONS(3282),
    [sym__as_custom] = ACTIONS(3282),
    [sym__as_quest_custom] = ACTIONS(3282),
    [sym__as_bang_custom] = ACTIONS(3282),
    [sym__custom_operator] = ACTIONS(3282),
  },
  [1134] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3104),
    [anon_sym_package] = ACTIONS(3104),
    [anon_sym_COMMA] = ACTIONS(3104),
    [anon_sym_LPAREN] = ACTIONS(3104),
    [anon_sym_LBRACK] = ACTIONS(3104),
    [anon_sym_QMARK] = ACTIONS(3106),
    [anon_sym_QMARK2] = ACTIONS(3104),
    [anon_sym_AMP] = ACTIONS(3104),
    [aux_sym_custom_operator_token1] = ACTIONS(3104),
    [anon_sym_LT] = ACTIONS(3106),
    [anon_sym_GT] = ACTIONS(3106),
    [anon_sym_LBRACE] = ACTIONS(3104),
    [anon_sym_CARET_LBRACE] = ACTIONS(3104),
    [anon_sym_RBRACE] = ACTIONS(3104),
    [anon_sym_case] = ACTIONS(3104),
    [anon_sym_fallthrough] = ACTIONS(3104),
    [anon_sym_PLUS_EQ] = ACTIONS(3104),
    [anon_sym_DASH_EQ] = ACTIONS(3104),
    [anon_sym_STAR_EQ] = ACTIONS(3104),
    [anon_sym_SLASH_EQ] = ACTIONS(3104),
    [anon_sym_PERCENT_EQ] = ACTIONS(3104),
    [anon_sym_BANG_EQ] = ACTIONS(3106),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3104),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3104),
    [anon_sym_LT_EQ] = ACTIONS(3104),
    [anon_sym_GT_EQ] = ACTIONS(3104),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3104),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3104),
    [anon_sym_is] = ACTIONS(3104),
    [anon_sym_PLUS] = ACTIONS(3106),
    [anon_sym_DASH] = ACTIONS(3106),
    [anon_sym_STAR] = ACTIONS(3106),
    [anon_sym_SLASH] = ACTIONS(3106),
    [anon_sym_PERCENT] = ACTIONS(3106),
    [anon_sym_PLUS_PLUS] = ACTIONS(3104),
    [anon_sym_DASH_DASH] = ACTIONS(3104),
    [anon_sym_PIPE] = ACTIONS(3104),
    [anon_sym_CARET] = ACTIONS(3106),
    [anon_sym_LT_LT] = ACTIONS(3104),
    [anon_sym_GT_GT] = ACTIONS(3104),
    [anon_sym_class] = ACTIONS(3104),
    [anon_sym_BANG2] = ACTIONS(3106),
    [anon_sym_prefix] = ACTIONS(3104),
    [anon_sym_infix] = ACTIONS(3104),
    [anon_sym_postfix] = ACTIONS(3104),
    [anon_sym_AT] = ACTIONS(3106),
    [anon_sym_override] = ACTIONS(3104),
    [anon_sym_convenience] = ACTIONS(3104),
    [anon_sym_required] = ACTIONS(3104),
    [anon_sym_nonisolated] = ACTIONS(3104),
    [anon_sym_public] = ACTIONS(3104),
    [anon_sym_private] = ACTIONS(3104),
    [anon_sym_internal] = ACTIONS(3104),
    [anon_sym_fileprivate] = ACTIONS(3104),
    [anon_sym_open] = ACTIONS(3104),
    [anon_sym_mutating] = ACTIONS(3104),
    [anon_sym_nonmutating] = ACTIONS(3104),
    [anon_sym_static] = ACTIONS(3104),
    [anon_sym_dynamic] = ACTIONS(3104),
    [anon_sym_optional] = ACTIONS(3104),
    [anon_sym_distributed] = ACTIONS(3104),
    [anon_sym_final] = ACTIONS(3104),
    [anon_sym_inout] = ACTIONS(3104),
    [anon_sym_ATescaping] = ACTIONS(3104),
    [anon_sym_ATautoclosure] = ACTIONS(3104),
    [anon_sym_weak] = ACTIONS(3104),
    [anon_sym_unowned] = ACTIONS(3106),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3104),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3104),
    [anon_sym_borrowing] = ACTIONS(3104),
    [anon_sym_consuming] = ACTIONS(3104),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3104),
    [sym__explicit_semi] = ACTIONS(3104),
    [sym__dot_custom] = ACTIONS(3104),
    [sym__conjunction_operator_custom] = ACTIONS(3104),
    [sym__disjunction_operator_custom] = ACTIONS(3104),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3104),
    [sym__eq_custom] = ACTIONS(3104),
    [sym__eq_eq_custom] = ACTIONS(3104),
    [sym__plus_then_ws] = ACTIONS(3104),
    [sym__minus_then_ws] = ACTIONS(3104),
    [sym__bang_custom] = ACTIONS(3104),
    [sym_default_keyword] = ACTIONS(3104),
    [sym_where_keyword] = ACTIONS(3104),
    [sym__as_custom] = ACTIONS(3104),
    [sym__as_quest_custom] = ACTIONS(3104),
    [sym__as_bang_custom] = ACTIONS(3104),
    [sym__custom_operator] = ACTIONS(3104),
  },
  [1135] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3072),
    [anon_sym_package] = ACTIONS(3072),
    [anon_sym_COMMA] = ACTIONS(3072),
    [anon_sym_LPAREN] = ACTIONS(3072),
    [anon_sym_LBRACK] = ACTIONS(3072),
    [anon_sym_QMARK] = ACTIONS(3074),
    [anon_sym_QMARK2] = ACTIONS(3072),
    [anon_sym_AMP] = ACTIONS(3072),
    [aux_sym_custom_operator_token1] = ACTIONS(3072),
    [anon_sym_LT] = ACTIONS(3074),
    [anon_sym_GT] = ACTIONS(3074),
    [anon_sym_LBRACE] = ACTIONS(3072),
    [anon_sym_CARET_LBRACE] = ACTIONS(3072),
    [anon_sym_RBRACE] = ACTIONS(3072),
    [anon_sym_case] = ACTIONS(3072),
    [anon_sym_fallthrough] = ACTIONS(3072),
    [anon_sym_PLUS_EQ] = ACTIONS(3072),
    [anon_sym_DASH_EQ] = ACTIONS(3072),
    [anon_sym_STAR_EQ] = ACTIONS(3072),
    [anon_sym_SLASH_EQ] = ACTIONS(3072),
    [anon_sym_PERCENT_EQ] = ACTIONS(3072),
    [anon_sym_BANG_EQ] = ACTIONS(3074),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3072),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3072),
    [anon_sym_LT_EQ] = ACTIONS(3072),
    [anon_sym_GT_EQ] = ACTIONS(3072),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3072),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3072),
    [anon_sym_is] = ACTIONS(3072),
    [anon_sym_PLUS] = ACTIONS(3074),
    [anon_sym_DASH] = ACTIONS(3074),
    [anon_sym_STAR] = ACTIONS(3074),
    [anon_sym_SLASH] = ACTIONS(3074),
    [anon_sym_PERCENT] = ACTIONS(3074),
    [anon_sym_PLUS_PLUS] = ACTIONS(3072),
    [anon_sym_DASH_DASH] = ACTIONS(3072),
    [anon_sym_PIPE] = ACTIONS(3072),
    [anon_sym_CARET] = ACTIONS(3074),
    [anon_sym_LT_LT] = ACTIONS(3072),
    [anon_sym_GT_GT] = ACTIONS(3072),
    [anon_sym_class] = ACTIONS(3072),
    [anon_sym_BANG2] = ACTIONS(3074),
    [anon_sym_prefix] = ACTIONS(3072),
    [anon_sym_infix] = ACTIONS(3072),
    [anon_sym_postfix] = ACTIONS(3072),
    [anon_sym_AT] = ACTIONS(3074),
    [anon_sym_override] = ACTIONS(3072),
    [anon_sym_convenience] = ACTIONS(3072),
    [anon_sym_required] = ACTIONS(3072),
    [anon_sym_nonisolated] = ACTIONS(3072),
    [anon_sym_public] = ACTIONS(3072),
    [anon_sym_private] = ACTIONS(3072),
    [anon_sym_internal] = ACTIONS(3072),
    [anon_sym_fileprivate] = ACTIONS(3072),
    [anon_sym_open] = ACTIONS(3072),
    [anon_sym_mutating] = ACTIONS(3072),
    [anon_sym_nonmutating] = ACTIONS(3072),
    [anon_sym_static] = ACTIONS(3072),
    [anon_sym_dynamic] = ACTIONS(3072),
    [anon_sym_optional] = ACTIONS(3072),
    [anon_sym_distributed] = ACTIONS(3072),
    [anon_sym_final] = ACTIONS(3072),
    [anon_sym_inout] = ACTIONS(3072),
    [anon_sym_ATescaping] = ACTIONS(3072),
    [anon_sym_ATautoclosure] = ACTIONS(3072),
    [anon_sym_weak] = ACTIONS(3072),
    [anon_sym_unowned] = ACTIONS(3074),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3072),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3072),
    [anon_sym_borrowing] = ACTIONS(3072),
    [anon_sym_consuming] = ACTIONS(3072),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3072),
    [sym__explicit_semi] = ACTIONS(3072),
    [sym__dot_custom] = ACTIONS(3072),
    [sym__conjunction_operator_custom] = ACTIONS(3072),
    [sym__disjunction_operator_custom] = ACTIONS(3072),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3072),
    [sym__eq_custom] = ACTIONS(3072),
    [sym__eq_eq_custom] = ACTIONS(3072),
    [sym__plus_then_ws] = ACTIONS(3072),
    [sym__minus_then_ws] = ACTIONS(3072),
    [sym__bang_custom] = ACTIONS(3072),
    [sym_default_keyword] = ACTIONS(3072),
    [sym_where_keyword] = ACTIONS(3072),
    [sym__as_custom] = ACTIONS(3072),
    [sym__as_quest_custom] = ACTIONS(3072),
    [sym__as_bang_custom] = ACTIONS(3072),
    [sym__custom_operator] = ACTIONS(3072),
  },
  [1136] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3192),
    [anon_sym_package] = ACTIONS(3192),
    [anon_sym_COMMA] = ACTIONS(3192),
    [anon_sym_LPAREN] = ACTIONS(3192),
    [anon_sym_LBRACK] = ACTIONS(3192),
    [anon_sym_QMARK] = ACTIONS(3194),
    [anon_sym_QMARK2] = ACTIONS(3192),
    [anon_sym_AMP] = ACTIONS(3192),
    [aux_sym_custom_operator_token1] = ACTIONS(3192),
    [anon_sym_LT] = ACTIONS(3194),
    [anon_sym_GT] = ACTIONS(3194),
    [anon_sym_LBRACE] = ACTIONS(3192),
    [anon_sym_CARET_LBRACE] = ACTIONS(3192),
    [anon_sym_RBRACE] = ACTIONS(3192),
    [anon_sym_case] = ACTIONS(3192),
    [anon_sym_fallthrough] = ACTIONS(3192),
    [anon_sym_PLUS_EQ] = ACTIONS(3192),
    [anon_sym_DASH_EQ] = ACTIONS(3192),
    [anon_sym_STAR_EQ] = ACTIONS(3192),
    [anon_sym_SLASH_EQ] = ACTIONS(3192),
    [anon_sym_PERCENT_EQ] = ACTIONS(3192),
    [anon_sym_BANG_EQ] = ACTIONS(3194),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3192),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3192),
    [anon_sym_LT_EQ] = ACTIONS(3192),
    [anon_sym_GT_EQ] = ACTIONS(3192),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3192),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3192),
    [anon_sym_is] = ACTIONS(3192),
    [anon_sym_PLUS] = ACTIONS(3194),
    [anon_sym_DASH] = ACTIONS(3194),
    [anon_sym_STAR] = ACTIONS(3194),
    [anon_sym_SLASH] = ACTIONS(3194),
    [anon_sym_PERCENT] = ACTIONS(3194),
    [anon_sym_PLUS_PLUS] = ACTIONS(3192),
    [anon_sym_DASH_DASH] = ACTIONS(3192),
    [anon_sym_PIPE] = ACTIONS(3192),
    [anon_sym_CARET] = ACTIONS(3194),
    [anon_sym_LT_LT] = ACTIONS(3192),
    [anon_sym_GT_GT] = ACTIONS(3192),
    [anon_sym_class] = ACTIONS(3192),
    [anon_sym_BANG2] = ACTIONS(3194),
    [anon_sym_prefix] = ACTIONS(3192),
    [anon_sym_infix] = ACTIONS(3192),
    [anon_sym_postfix] = ACTIONS(3192),
    [anon_sym_AT] = ACTIONS(3194),
    [anon_sym_override] = ACTIONS(3192),
    [anon_sym_convenience] = ACTIONS(3192),
    [anon_sym_required] = ACTIONS(3192),
    [anon_sym_nonisolated] = ACTIONS(3192),
    [anon_sym_public] = ACTIONS(3192),
    [anon_sym_private] = ACTIONS(3192),
    [anon_sym_internal] = ACTIONS(3192),
    [anon_sym_fileprivate] = ACTIONS(3192),
    [anon_sym_open] = ACTIONS(3192),
    [anon_sym_mutating] = ACTIONS(3192),
    [anon_sym_nonmutating] = ACTIONS(3192),
    [anon_sym_static] = ACTIONS(3192),
    [anon_sym_dynamic] = ACTIONS(3192),
    [anon_sym_optional] = ACTIONS(3192),
    [anon_sym_distributed] = ACTIONS(3192),
    [anon_sym_final] = ACTIONS(3192),
    [anon_sym_inout] = ACTIONS(3192),
    [anon_sym_ATescaping] = ACTIONS(3192),
    [anon_sym_ATautoclosure] = ACTIONS(3192),
    [anon_sym_weak] = ACTIONS(3192),
    [anon_sym_unowned] = ACTIONS(3194),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3192),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3192),
    [anon_sym_borrowing] = ACTIONS(3192),
    [anon_sym_consuming] = ACTIONS(3192),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3192),
    [sym__explicit_semi] = ACTIONS(3192),
    [sym__dot_custom] = ACTIONS(3192),
    [sym__conjunction_operator_custom] = ACTIONS(3192),
    [sym__disjunction_operator_custom] = ACTIONS(3192),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3192),
    [sym__eq_custom] = ACTIONS(3192),
    [sym__eq_eq_custom] = ACTIONS(3192),
    [sym__plus_then_ws] = ACTIONS(3192),
    [sym__minus_then_ws] = ACTIONS(3192),
    [sym__bang_custom] = ACTIONS(3192),
    [sym_default_keyword] = ACTIONS(3192),
    [sym_where_keyword] = ACTIONS(3192),
    [sym__as_custom] = ACTIONS(3192),
    [sym__as_quest_custom] = ACTIONS(3192),
    [sym__as_bang_custom] = ACTIONS(3192),
    [sym__custom_operator] = ACTIONS(3192),
  },
  [1137] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3360),
    [anon_sym_package] = ACTIONS(3360),
    [anon_sym_COMMA] = ACTIONS(3360),
    [anon_sym_LPAREN] = ACTIONS(3360),
    [anon_sym_LBRACK] = ACTIONS(3360),
    [anon_sym_QMARK] = ACTIONS(3362),
    [anon_sym_QMARK2] = ACTIONS(3360),
    [anon_sym_AMP] = ACTIONS(3360),
    [aux_sym_custom_operator_token1] = ACTIONS(3360),
    [anon_sym_LT] = ACTIONS(3362),
    [anon_sym_GT] = ACTIONS(3362),
    [anon_sym_LBRACE] = ACTIONS(3360),
    [anon_sym_CARET_LBRACE] = ACTIONS(3360),
    [anon_sym_RBRACE] = ACTIONS(3360),
    [anon_sym_case] = ACTIONS(3360),
    [anon_sym_fallthrough] = ACTIONS(3360),
    [anon_sym_PLUS_EQ] = ACTIONS(3360),
    [anon_sym_DASH_EQ] = ACTIONS(3360),
    [anon_sym_STAR_EQ] = ACTIONS(3360),
    [anon_sym_SLASH_EQ] = ACTIONS(3360),
    [anon_sym_PERCENT_EQ] = ACTIONS(3360),
    [anon_sym_BANG_EQ] = ACTIONS(3362),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3360),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3360),
    [anon_sym_LT_EQ] = ACTIONS(3360),
    [anon_sym_GT_EQ] = ACTIONS(3360),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3360),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3360),
    [anon_sym_is] = ACTIONS(3360),
    [anon_sym_PLUS] = ACTIONS(3362),
    [anon_sym_DASH] = ACTIONS(3362),
    [anon_sym_STAR] = ACTIONS(3362),
    [anon_sym_SLASH] = ACTIONS(3362),
    [anon_sym_PERCENT] = ACTIONS(3362),
    [anon_sym_PLUS_PLUS] = ACTIONS(3360),
    [anon_sym_DASH_DASH] = ACTIONS(3360),
    [anon_sym_PIPE] = ACTIONS(3360),
    [anon_sym_CARET] = ACTIONS(3362),
    [anon_sym_LT_LT] = ACTIONS(3360),
    [anon_sym_GT_GT] = ACTIONS(3360),
    [anon_sym_class] = ACTIONS(3360),
    [anon_sym_BANG2] = ACTIONS(3362),
    [anon_sym_prefix] = ACTIONS(3360),
    [anon_sym_infix] = ACTIONS(3360),
    [anon_sym_postfix] = ACTIONS(3360),
    [anon_sym_AT] = ACTIONS(3362),
    [anon_sym_override] = ACTIONS(3360),
    [anon_sym_convenience] = ACTIONS(3360),
    [anon_sym_required] = ACTIONS(3360),
    [anon_sym_nonisolated] = ACTIONS(3360),
    [anon_sym_public] = ACTIONS(3360),
    [anon_sym_private] = ACTIONS(3360),
    [anon_sym_internal] = ACTIONS(3360),
    [anon_sym_fileprivate] = ACTIONS(3360),
    [anon_sym_open] = ACTIONS(3360),
    [anon_sym_mutating] = ACTIONS(3360),
    [anon_sym_nonmutating] = ACTIONS(3360),
    [anon_sym_static] = ACTIONS(3360),
    [anon_sym_dynamic] = ACTIONS(3360),
    [anon_sym_optional] = ACTIONS(3360),
    [anon_sym_distributed] = ACTIONS(3360),
    [anon_sym_final] = ACTIONS(3360),
    [anon_sym_inout] = ACTIONS(3360),
    [anon_sym_ATescaping] = ACTIONS(3360),
    [anon_sym_ATautoclosure] = ACTIONS(3360),
    [anon_sym_weak] = ACTIONS(3360),
    [anon_sym_unowned] = ACTIONS(3362),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3360),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3360),
    [anon_sym_borrowing] = ACTIONS(3360),
    [anon_sym_consuming] = ACTIONS(3360),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3360),
    [sym__explicit_semi] = ACTIONS(3360),
    [sym__dot_custom] = ACTIONS(3360),
    [sym__conjunction_operator_custom] = ACTIONS(3360),
    [sym__disjunction_operator_custom] = ACTIONS(3360),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3360),
    [sym__eq_custom] = ACTIONS(3360),
    [sym__eq_eq_custom] = ACTIONS(3360),
    [sym__plus_then_ws] = ACTIONS(3360),
    [sym__minus_then_ws] = ACTIONS(3360),
    [sym__bang_custom] = ACTIONS(3360),
    [sym_default_keyword] = ACTIONS(3360),
    [sym_where_keyword] = ACTIONS(3360),
    [sym__as_custom] = ACTIONS(3360),
    [sym__as_quest_custom] = ACTIONS(3360),
    [sym__as_bang_custom] = ACTIONS(3360),
    [sym__custom_operator] = ACTIONS(3360),
  },
  [1138] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(2955),
    [anon_sym_package] = ACTIONS(2955),
    [anon_sym_COMMA] = ACTIONS(2955),
    [anon_sym_LPAREN] = ACTIONS(2955),
    [anon_sym_LBRACK] = ACTIONS(2955),
    [anon_sym_DOT] = ACTIONS(2957),
    [anon_sym_QMARK] = ACTIONS(2957),
    [anon_sym_QMARK2] = ACTIONS(2955),
    [anon_sym_AMP] = ACTIONS(2955),
    [aux_sym_custom_operator_token1] = ACTIONS(2955),
    [anon_sym_LT] = ACTIONS(2957),
    [anon_sym_GT] = ACTIONS(2957),
    [anon_sym_LBRACE] = ACTIONS(2955),
    [anon_sym_CARET_LBRACE] = ACTIONS(2955),
    [anon_sym_RBRACE] = ACTIONS(2955),
    [anon_sym_case] = ACTIONS(2955),
    [anon_sym_fallthrough] = ACTIONS(2955),
    [anon_sym_PLUS_EQ] = ACTIONS(2955),
    [anon_sym_DASH_EQ] = ACTIONS(2955),
    [anon_sym_STAR_EQ] = ACTIONS(2955),
    [anon_sym_SLASH_EQ] = ACTIONS(2955),
    [anon_sym_PERCENT_EQ] = ACTIONS(2955),
    [anon_sym_BANG_EQ] = ACTIONS(2957),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2955),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2955),
    [anon_sym_LT_EQ] = ACTIONS(2955),
    [anon_sym_GT_EQ] = ACTIONS(2955),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2955),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2955),
    [anon_sym_is] = ACTIONS(2955),
    [anon_sym_PLUS] = ACTIONS(2957),
    [anon_sym_DASH] = ACTIONS(2957),
    [anon_sym_STAR] = ACTIONS(2957),
    [anon_sym_SLASH] = ACTIONS(2957),
    [anon_sym_PERCENT] = ACTIONS(2957),
    [anon_sym_PLUS_PLUS] = ACTIONS(2955),
    [anon_sym_DASH_DASH] = ACTIONS(2955),
    [anon_sym_PIPE] = ACTIONS(2955),
    [anon_sym_CARET] = ACTIONS(2957),
    [anon_sym_LT_LT] = ACTIONS(2955),
    [anon_sym_GT_GT] = ACTIONS(2955),
    [anon_sym_class] = ACTIONS(2955),
    [anon_sym_BANG2] = ACTIONS(2957),
    [anon_sym_prefix] = ACTIONS(2955),
    [anon_sym_infix] = ACTIONS(2955),
    [anon_sym_postfix] = ACTIONS(2955),
    [anon_sym_AT] = ACTIONS(2957),
    [anon_sym_override] = ACTIONS(2955),
    [anon_sym_convenience] = ACTIONS(2955),
    [anon_sym_required] = ACTIONS(2955),
    [anon_sym_nonisolated] = ACTIONS(2955),
    [anon_sym_public] = ACTIONS(2955),
    [anon_sym_private] = ACTIONS(2955),
    [anon_sym_internal] = ACTIONS(2955),
    [anon_sym_fileprivate] = ACTIONS(2955),
    [anon_sym_open] = ACTIONS(2955),
    [anon_sym_mutating] = ACTIONS(2955),
    [anon_sym_nonmutating] = ACTIONS(2955),
    [anon_sym_static] = ACTIONS(2955),
    [anon_sym_dynamic] = ACTIONS(2955),
    [anon_sym_optional] = ACTIONS(2955),
    [anon_sym_distributed] = ACTIONS(2955),
    [anon_sym_final] = ACTIONS(2955),
    [anon_sym_inout] = ACTIONS(2955),
    [anon_sym_ATescaping] = ACTIONS(2955),
    [anon_sym_ATautoclosure] = ACTIONS(2955),
    [anon_sym_weak] = ACTIONS(2955),
    [anon_sym_unowned] = ACTIONS(2957),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2955),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2955),
    [anon_sym_borrowing] = ACTIONS(2955),
    [anon_sym_consuming] = ACTIONS(2955),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2955),
    [sym__explicit_semi] = ACTIONS(2955),
    [sym__dot_custom] = ACTIONS(2955),
    [sym__conjunction_operator_custom] = ACTIONS(2955),
    [sym__disjunction_operator_custom] = ACTIONS(2955),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2955),
    [sym__eq_custom] = ACTIONS(2955),
    [sym__eq_eq_custom] = ACTIONS(2955),
    [sym__plus_then_ws] = ACTIONS(2955),
    [sym__minus_then_ws] = ACTIONS(2955),
    [sym__bang_custom] = ACTIONS(2955),
    [sym_default_keyword] = ACTIONS(2955),
    [sym__as_custom] = ACTIONS(2955),
    [sym__as_quest_custom] = ACTIONS(2955),
    [sym__as_bang_custom] = ACTIONS(2955),
    [sym__custom_operator] = ACTIONS(2955),
  },
  [1139] = {
    [sym__type_level_declaration] = STATE(7207),
    [sym_import_declaration] = STATE(7207),
    [sym_property_declaration] = STATE(7207),
    [sym__modifierless_property_declaration] = STATE(7093),
    [sym_typealias_declaration] = STATE(7207),
    [sym__modifierless_typealias_declaration] = STATE(6964),
    [sym_function_declaration] = STATE(7207),
    [sym__bodyless_function_declaration] = STATE(6758),
    [sym__modifierless_function_declaration_no_body] = STATE(7642),
    [sym_class_declaration] = STATE(7207),
    [sym__modifierless_class_declaration] = STATE(7177),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__async_modifier] = STATE(6632),
    [sym_protocol_declaration] = STATE(7207),
    [sym_init_declaration] = STATE(7207),
    [sym_deinit_declaration] = STATE(7207),
    [sym_subscript_declaration] = STATE(7207),
    [sym_operator_declaration] = STATE(7207),
    [sym_precedence_group_declaration] = STATE(7207),
    [sym_associatedtype_declaration] = STATE(7207),
    [sym_attribute] = STATE(1553),
    [sym_value_binding_pattern] = STATE(3972),
    [sym__possibly_async_binding_pattern_kind] = STATE(3972),
    [sym_modifiers] = STATE(4232),
    [aux_sym__locally_permitted_modifiers] = STATE(1553),
    [sym__non_local_scope_modifier] = STATE(1553),
    [sym__locally_permitted_modifier] = STATE(1553),
    [sym_property_behavior_modifier] = STATE(1553),
    [sym_member_modifier] = STATE(1553),
    [sym_visibility_modifier] = STATE(1553),
    [sym_function_modifier] = STATE(1553),
    [sym_mutation_modifier] = STATE(1553),
    [sym_property_modifier] = STATE(1553),
    [sym_inheritance_modifier] = STATE(1553),
    [sym_parameter_modifier] = STATE(1553),
    [sym_ownership_modifier] = STATE(1553),
    [sym__parameter_ownership_modifier] = STATE(2572),
    [aux_sym_modifiers_repeat1] = STATE(1553),
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(3817),
    [anon_sym_async] = ACTIONS(3589),
    [anon_sym_lazy] = ACTIONS(3591),
    [anon_sym_package] = ACTIONS(3593),
    [anon_sym_RBRACE] = ACTIONS(3960),
    [anon_sym_import] = ACTIONS(3821),
    [anon_sym_typealias] = ACTIONS(3823),
    [anon_sym_struct] = ACTIONS(3817),
    [anon_sym_class] = ACTIONS(3825),
    [anon_sym_enum] = ACTIONS(3827),
    [anon_sym_protocol] = ACTIONS(3829),
    [anon_sym_let] = ACTIONS(3609),
    [anon_sym_var] = ACTIONS(3609),
    [anon_sym_func] = ACTIONS(3611),
    [anon_sym_extension] = ACTIONS(3831),
    [anon_sym_indirect] = ACTIONS(3833),
    [anon_sym_init] = ACTIONS(3835),
    [anon_sym_deinit] = ACTIONS(3837),
    [anon_sym_subscript] = ACTIONS(3839),
    [anon_sym_prefix] = ACTIONS(3841),
    [anon_sym_infix] = ACTIONS(3841),
    [anon_sym_postfix] = ACTIONS(3841),
    [anon_sym_precedencegroup] = ACTIONS(3843),
    [anon_sym_associatedtype] = ACTIONS(3845),
    [anon_sym_AT] = ACTIONS(123),
    [anon_sym_override] = ACTIONS(3629),
    [anon_sym_convenience] = ACTIONS(3629),
    [anon_sym_required] = ACTIONS(3629),
    [anon_sym_nonisolated] = ACTIONS(3629),
    [anon_sym_public] = ACTIONS(3593),
    [anon_sym_private] = ACTIONS(3593),
    [anon_sym_internal] = ACTIONS(3593),
    [anon_sym_fileprivate] = ACTIONS(3593),
    [anon_sym_open] = ACTIONS(3593),
    [anon_sym_mutating] = ACTIONS(3631),
    [anon_sym_nonmutating] = ACTIONS(3631),
    [anon_sym_static] = ACTIONS(3633),
    [anon_sym_dynamic] = ACTIONS(3633),
    [anon_sym_optional] = ACTIONS(3633),
    [anon_sym_distributed] = ACTIONS(3633),
    [anon_sym_final] = ACTIONS(3635),
    [anon_sym_inout] = ACTIONS(137),
    [anon_sym_ATescaping] = ACTIONS(137),
    [anon_sym_ATautoclosure] = ACTIONS(137),
    [anon_sym_weak] = ACTIONS(141),
    [anon_sym_unowned] = ACTIONS(139),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(141),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(141),
    [anon_sym_borrowing] = ACTIONS(137),
    [anon_sym_consuming] = ACTIONS(137),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
  },
  [1140] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3328),
    [anon_sym_package] = ACTIONS(3328),
    [anon_sym_COMMA] = ACTIONS(3328),
    [anon_sym_LPAREN] = ACTIONS(3328),
    [anon_sym_LBRACK] = ACTIONS(3328),
    [anon_sym_QMARK] = ACTIONS(3330),
    [anon_sym_QMARK2] = ACTIONS(3328),
    [anon_sym_AMP] = ACTIONS(3328),
    [aux_sym_custom_operator_token1] = ACTIONS(3328),
    [anon_sym_LT] = ACTIONS(3330),
    [anon_sym_GT] = ACTIONS(3330),
    [anon_sym_LBRACE] = ACTIONS(3328),
    [anon_sym_CARET_LBRACE] = ACTIONS(3328),
    [anon_sym_RBRACE] = ACTIONS(3328),
    [anon_sym_case] = ACTIONS(3328),
    [anon_sym_fallthrough] = ACTIONS(3328),
    [anon_sym_PLUS_EQ] = ACTIONS(3328),
    [anon_sym_DASH_EQ] = ACTIONS(3328),
    [anon_sym_STAR_EQ] = ACTIONS(3328),
    [anon_sym_SLASH_EQ] = ACTIONS(3328),
    [anon_sym_PERCENT_EQ] = ACTIONS(3328),
    [anon_sym_BANG_EQ] = ACTIONS(3330),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3328),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3328),
    [anon_sym_LT_EQ] = ACTIONS(3328),
    [anon_sym_GT_EQ] = ACTIONS(3328),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3328),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3328),
    [anon_sym_is] = ACTIONS(3328),
    [anon_sym_PLUS] = ACTIONS(3330),
    [anon_sym_DASH] = ACTIONS(3330),
    [anon_sym_STAR] = ACTIONS(3330),
    [anon_sym_SLASH] = ACTIONS(3330),
    [anon_sym_PERCENT] = ACTIONS(3330),
    [anon_sym_PLUS_PLUS] = ACTIONS(3328),
    [anon_sym_DASH_DASH] = ACTIONS(3328),
    [anon_sym_PIPE] = ACTIONS(3328),
    [anon_sym_CARET] = ACTIONS(3330),
    [anon_sym_LT_LT] = ACTIONS(3328),
    [anon_sym_GT_GT] = ACTIONS(3328),
    [anon_sym_class] = ACTIONS(3328),
    [anon_sym_BANG2] = ACTIONS(3330),
    [anon_sym_prefix] = ACTIONS(3328),
    [anon_sym_infix] = ACTIONS(3328),
    [anon_sym_postfix] = ACTIONS(3328),
    [anon_sym_AT] = ACTIONS(3330),
    [anon_sym_override] = ACTIONS(3328),
    [anon_sym_convenience] = ACTIONS(3328),
    [anon_sym_required] = ACTIONS(3328),
    [anon_sym_nonisolated] = ACTIONS(3328),
    [anon_sym_public] = ACTIONS(3328),
    [anon_sym_private] = ACTIONS(3328),
    [anon_sym_internal] = ACTIONS(3328),
    [anon_sym_fileprivate] = ACTIONS(3328),
    [anon_sym_open] = ACTIONS(3328),
    [anon_sym_mutating] = ACTIONS(3328),
    [anon_sym_nonmutating] = ACTIONS(3328),
    [anon_sym_static] = ACTIONS(3328),
    [anon_sym_dynamic] = ACTIONS(3328),
    [anon_sym_optional] = ACTIONS(3328),
    [anon_sym_distributed] = ACTIONS(3328),
    [anon_sym_final] = ACTIONS(3328),
    [anon_sym_inout] = ACTIONS(3328),
    [anon_sym_ATescaping] = ACTIONS(3328),
    [anon_sym_ATautoclosure] = ACTIONS(3328),
    [anon_sym_weak] = ACTIONS(3328),
    [anon_sym_unowned] = ACTIONS(3330),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3328),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3328),
    [anon_sym_borrowing] = ACTIONS(3328),
    [anon_sym_consuming] = ACTIONS(3328),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3328),
    [sym__explicit_semi] = ACTIONS(3328),
    [sym__dot_custom] = ACTIONS(3328),
    [sym__conjunction_operator_custom] = ACTIONS(3328),
    [sym__disjunction_operator_custom] = ACTIONS(3328),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3328),
    [sym__eq_custom] = ACTIONS(3328),
    [sym__eq_eq_custom] = ACTIONS(3328),
    [sym__plus_then_ws] = ACTIONS(3328),
    [sym__minus_then_ws] = ACTIONS(3328),
    [sym__bang_custom] = ACTIONS(3328),
    [sym_default_keyword] = ACTIONS(3328),
    [sym_where_keyword] = ACTIONS(3328),
    [sym__as_custom] = ACTIONS(3328),
    [sym__as_quest_custom] = ACTIONS(3328),
    [sym__as_bang_custom] = ACTIONS(3328),
    [sym__custom_operator] = ACTIONS(3328),
  },
  [1141] = {
    [sym_type_arguments] = STATE(1829),
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3076),
    [anon_sym_package] = ACTIONS(3076),
    [anon_sym_COMMA] = ACTIONS(3076),
    [anon_sym_LPAREN] = ACTIONS(3078),
    [anon_sym_LBRACK] = ACTIONS(3076),
    [anon_sym_QMARK] = ACTIONS(3081),
    [anon_sym_QMARK2] = ACTIONS(3076),
    [anon_sym_AMP] = ACTIONS(3076),
    [aux_sym_custom_operator_token1] = ACTIONS(3076),
    [anon_sym_LT] = ACTIONS(3083),
    [anon_sym_GT] = ACTIONS(3081),
    [anon_sym_LBRACE] = ACTIONS(3078),
    [anon_sym_CARET_LBRACE] = ACTIONS(3078),
    [anon_sym_RBRACE] = ACTIONS(3076),
    [anon_sym_case] = ACTIONS(3076),
    [anon_sym_fallthrough] = ACTIONS(3076),
    [anon_sym_PLUS_EQ] = ACTIONS(3076),
    [anon_sym_DASH_EQ] = ACTIONS(3076),
    [anon_sym_STAR_EQ] = ACTIONS(3076),
    [anon_sym_SLASH_EQ] = ACTIONS(3076),
    [anon_sym_PERCENT_EQ] = ACTIONS(3076),
    [anon_sym_BANG_EQ] = ACTIONS(3081),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3076),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3076),
    [anon_sym_LT_EQ] = ACTIONS(3076),
    [anon_sym_GT_EQ] = ACTIONS(3076),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3076),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3076),
    [anon_sym_is] = ACTIONS(3076),
    [anon_sym_PLUS] = ACTIONS(3081),
    [anon_sym_DASH] = ACTIONS(3081),
    [anon_sym_STAR] = ACTIONS(3081),
    [anon_sym_SLASH] = ACTIONS(3081),
    [anon_sym_PERCENT] = ACTIONS(3081),
    [anon_sym_PLUS_PLUS] = ACTIONS(3076),
    [anon_sym_DASH_DASH] = ACTIONS(3076),
    [anon_sym_PIPE] = ACTIONS(3076),
    [anon_sym_CARET] = ACTIONS(3081),
    [anon_sym_LT_LT] = ACTIONS(3076),
    [anon_sym_GT_GT] = ACTIONS(3076),
    [anon_sym_class] = ACTIONS(3076),
    [anon_sym_BANG2] = ACTIONS(3081),
    [anon_sym_prefix] = ACTIONS(3076),
    [anon_sym_infix] = ACTIONS(3076),
    [anon_sym_postfix] = ACTIONS(3076),
    [anon_sym_AT] = ACTIONS(3081),
    [anon_sym_override] = ACTIONS(3076),
    [anon_sym_convenience] = ACTIONS(3076),
    [anon_sym_required] = ACTIONS(3076),
    [anon_sym_nonisolated] = ACTIONS(3076),
    [anon_sym_public] = ACTIONS(3076),
    [anon_sym_private] = ACTIONS(3076),
    [anon_sym_internal] = ACTIONS(3076),
    [anon_sym_fileprivate] = ACTIONS(3076),
    [anon_sym_open] = ACTIONS(3076),
    [anon_sym_mutating] = ACTIONS(3076),
    [anon_sym_nonmutating] = ACTIONS(3076),
    [anon_sym_static] = ACTIONS(3076),
    [anon_sym_dynamic] = ACTIONS(3076),
    [anon_sym_optional] = ACTIONS(3076),
    [anon_sym_distributed] = ACTIONS(3076),
    [anon_sym_final] = ACTIONS(3076),
    [anon_sym_inout] = ACTIONS(3076),
    [anon_sym_ATescaping] = ACTIONS(3076),
    [anon_sym_ATautoclosure] = ACTIONS(3076),
    [anon_sym_weak] = ACTIONS(3076),
    [anon_sym_unowned] = ACTIONS(3081),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3076),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3076),
    [anon_sym_borrowing] = ACTIONS(3076),
    [anon_sym_consuming] = ACTIONS(3076),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3076),
    [sym__explicit_semi] = ACTIONS(3076),
    [sym__dot_custom] = ACTIONS(3078),
    [sym__conjunction_operator_custom] = ACTIONS(3076),
    [sym__disjunction_operator_custom] = ACTIONS(3076),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3076),
    [sym__eq_custom] = ACTIONS(3076),
    [sym__eq_eq_custom] = ACTIONS(3076),
    [sym__plus_then_ws] = ACTIONS(3076),
    [sym__minus_then_ws] = ACTIONS(3076),
    [sym__bang_custom] = ACTIONS(3076),
    [sym_default_keyword] = ACTIONS(3076),
    [sym__as_custom] = ACTIONS(3076),
    [sym__as_quest_custom] = ACTIONS(3076),
    [sym__as_bang_custom] = ACTIONS(3076),
    [sym__custom_operator] = ACTIONS(3076),
  },
  [1142] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3112),
    [anon_sym_package] = ACTIONS(3112),
    [anon_sym_COMMA] = ACTIONS(3112),
    [anon_sym_LPAREN] = ACTIONS(3112),
    [anon_sym_LBRACK] = ACTIONS(3112),
    [anon_sym_QMARK] = ACTIONS(3114),
    [anon_sym_QMARK2] = ACTIONS(3112),
    [anon_sym_AMP] = ACTIONS(3112),
    [aux_sym_custom_operator_token1] = ACTIONS(3112),
    [anon_sym_LT] = ACTIONS(3114),
    [anon_sym_GT] = ACTIONS(3114),
    [anon_sym_LBRACE] = ACTIONS(3112),
    [anon_sym_CARET_LBRACE] = ACTIONS(3112),
    [anon_sym_RBRACE] = ACTIONS(3112),
    [anon_sym_case] = ACTIONS(3112),
    [anon_sym_fallthrough] = ACTIONS(3112),
    [anon_sym_PLUS_EQ] = ACTIONS(3112),
    [anon_sym_DASH_EQ] = ACTIONS(3112),
    [anon_sym_STAR_EQ] = ACTIONS(3112),
    [anon_sym_SLASH_EQ] = ACTIONS(3112),
    [anon_sym_PERCENT_EQ] = ACTIONS(3112),
    [anon_sym_BANG_EQ] = ACTIONS(3114),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3112),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3112),
    [anon_sym_LT_EQ] = ACTIONS(3112),
    [anon_sym_GT_EQ] = ACTIONS(3112),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3112),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3112),
    [anon_sym_is] = ACTIONS(3112),
    [anon_sym_PLUS] = ACTIONS(3114),
    [anon_sym_DASH] = ACTIONS(3114),
    [anon_sym_STAR] = ACTIONS(3114),
    [anon_sym_SLASH] = ACTIONS(3114),
    [anon_sym_PERCENT] = ACTIONS(3114),
    [anon_sym_PLUS_PLUS] = ACTIONS(3112),
    [anon_sym_DASH_DASH] = ACTIONS(3112),
    [anon_sym_PIPE] = ACTIONS(3112),
    [anon_sym_CARET] = ACTIONS(3114),
    [anon_sym_LT_LT] = ACTIONS(3112),
    [anon_sym_GT_GT] = ACTIONS(3112),
    [anon_sym_class] = ACTIONS(3112),
    [anon_sym_BANG2] = ACTIONS(3114),
    [anon_sym_prefix] = ACTIONS(3112),
    [anon_sym_infix] = ACTIONS(3112),
    [anon_sym_postfix] = ACTIONS(3112),
    [anon_sym_AT] = ACTIONS(3114),
    [anon_sym_override] = ACTIONS(3112),
    [anon_sym_convenience] = ACTIONS(3112),
    [anon_sym_required] = ACTIONS(3112),
    [anon_sym_nonisolated] = ACTIONS(3112),
    [anon_sym_public] = ACTIONS(3112),
    [anon_sym_private] = ACTIONS(3112),
    [anon_sym_internal] = ACTIONS(3112),
    [anon_sym_fileprivate] = ACTIONS(3112),
    [anon_sym_open] = ACTIONS(3112),
    [anon_sym_mutating] = ACTIONS(3112),
    [anon_sym_nonmutating] = ACTIONS(3112),
    [anon_sym_static] = ACTIONS(3112),
    [anon_sym_dynamic] = ACTIONS(3112),
    [anon_sym_optional] = ACTIONS(3112),
    [anon_sym_distributed] = ACTIONS(3112),
    [anon_sym_final] = ACTIONS(3112),
    [anon_sym_inout] = ACTIONS(3112),
    [anon_sym_ATescaping] = ACTIONS(3112),
    [anon_sym_ATautoclosure] = ACTIONS(3112),
    [anon_sym_weak] = ACTIONS(3112),
    [anon_sym_unowned] = ACTIONS(3114),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3112),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3112),
    [anon_sym_borrowing] = ACTIONS(3112),
    [anon_sym_consuming] = ACTIONS(3112),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3112),
    [sym__explicit_semi] = ACTIONS(3112),
    [sym__dot_custom] = ACTIONS(3112),
    [sym__conjunction_operator_custom] = ACTIONS(3112),
    [sym__disjunction_operator_custom] = ACTIONS(3112),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3112),
    [sym__eq_custom] = ACTIONS(3112),
    [sym__eq_eq_custom] = ACTIONS(3112),
    [sym__plus_then_ws] = ACTIONS(3112),
    [sym__minus_then_ws] = ACTIONS(3112),
    [sym__bang_custom] = ACTIONS(3112),
    [sym_default_keyword] = ACTIONS(3112),
    [sym_where_keyword] = ACTIONS(3112),
    [sym__as_custom] = ACTIONS(3112),
    [sym__as_quest_custom] = ACTIONS(3112),
    [sym__as_bang_custom] = ACTIONS(3112),
    [sym__custom_operator] = ACTIONS(3112),
  },
  [1143] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3172),
    [anon_sym_package] = ACTIONS(3172),
    [anon_sym_COMMA] = ACTIONS(3172),
    [anon_sym_LPAREN] = ACTIONS(3172),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_QMARK] = ACTIONS(3174),
    [anon_sym_QMARK2] = ACTIONS(3172),
    [anon_sym_AMP] = ACTIONS(3172),
    [aux_sym_custom_operator_token1] = ACTIONS(3172),
    [anon_sym_LT] = ACTIONS(3174),
    [anon_sym_GT] = ACTIONS(3174),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_CARET_LBRACE] = ACTIONS(3172),
    [anon_sym_RBRACE] = ACTIONS(3172),
    [anon_sym_case] = ACTIONS(3172),
    [anon_sym_fallthrough] = ACTIONS(3172),
    [anon_sym_PLUS_EQ] = ACTIONS(3172),
    [anon_sym_DASH_EQ] = ACTIONS(3172),
    [anon_sym_STAR_EQ] = ACTIONS(3172),
    [anon_sym_SLASH_EQ] = ACTIONS(3172),
    [anon_sym_PERCENT_EQ] = ACTIONS(3172),
    [anon_sym_BANG_EQ] = ACTIONS(3174),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3172),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3172),
    [anon_sym_LT_EQ] = ACTIONS(3172),
    [anon_sym_GT_EQ] = ACTIONS(3172),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3172),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3172),
    [anon_sym_is] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3174),
    [anon_sym_DASH] = ACTIONS(3174),
    [anon_sym_STAR] = ACTIONS(3174),
    [anon_sym_SLASH] = ACTIONS(3174),
    [anon_sym_PERCENT] = ACTIONS(3174),
    [anon_sym_PLUS_PLUS] = ACTIONS(3172),
    [anon_sym_DASH_DASH] = ACTIONS(3172),
    [anon_sym_PIPE] = ACTIONS(3172),
    [anon_sym_CARET] = ACTIONS(3174),
    [anon_sym_LT_LT] = ACTIONS(3172),
    [anon_sym_GT_GT] = ACTIONS(3172),
    [anon_sym_class] = ACTIONS(3172),
    [anon_sym_BANG2] = ACTIONS(3174),
    [anon_sym_prefix] = ACTIONS(3172),
    [anon_sym_infix] = ACTIONS(3172),
    [anon_sym_postfix] = ACTIONS(3172),
    [anon_sym_AT] = ACTIONS(3174),
    [anon_sym_override] = ACTIONS(3172),
    [anon_sym_convenience] = ACTIONS(3172),
    [anon_sym_required] = ACTIONS(3172),
    [anon_sym_nonisolated] = ACTIONS(3172),
    [anon_sym_public] = ACTIONS(3172),
    [anon_sym_private] = ACTIONS(3172),
    [anon_sym_internal] = ACTIONS(3172),
    [anon_sym_fileprivate] = ACTIONS(3172),
    [anon_sym_open] = ACTIONS(3172),
    [anon_sym_mutating] = ACTIONS(3172),
    [anon_sym_nonmutating] = ACTIONS(3172),
    [anon_sym_static] = ACTIONS(3172),
    [anon_sym_dynamic] = ACTIONS(3172),
    [anon_sym_optional] = ACTIONS(3172),
    [anon_sym_distributed] = ACTIONS(3172),
    [anon_sym_final] = ACTIONS(3172),
    [anon_sym_inout] = ACTIONS(3172),
    [anon_sym_ATescaping] = ACTIONS(3172),
    [anon_sym_ATautoclosure] = ACTIONS(3172),
    [anon_sym_weak] = ACTIONS(3172),
    [anon_sym_unowned] = ACTIONS(3174),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3172),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3172),
    [anon_sym_borrowing] = ACTIONS(3172),
    [anon_sym_consuming] = ACTIONS(3172),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3172),
    [sym__explicit_semi] = ACTIONS(3172),
    [sym__dot_custom] = ACTIONS(3172),
    [sym__conjunction_operator_custom] = ACTIONS(3172),
    [sym__disjunction_operator_custom] = ACTIONS(3172),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3172),
    [sym__eq_custom] = ACTIONS(3172),
    [sym__eq_eq_custom] = ACTIONS(3172),
    [sym__plus_then_ws] = ACTIONS(3172),
    [sym__minus_then_ws] = ACTIONS(3172),
    [sym__bang_custom] = ACTIONS(3172),
    [sym_default_keyword] = ACTIONS(3172),
    [sym_where_keyword] = ACTIONS(3172),
    [sym__as_custom] = ACTIONS(3172),
    [sym__as_quest_custom] = ACTIONS(3172),
    [sym__as_bang_custom] = ACTIONS(3172),
    [sym__custom_operator] = ACTIONS(3172),
  },
  [1144] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3200),
    [anon_sym_package] = ACTIONS(3200),
    [anon_sym_COMMA] = ACTIONS(3200),
    [anon_sym_LPAREN] = ACTIONS(3200),
    [anon_sym_LBRACK] = ACTIONS(3200),
    [anon_sym_QMARK] = ACTIONS(3202),
    [anon_sym_QMARK2] = ACTIONS(3200),
    [anon_sym_AMP] = ACTIONS(3200),
    [aux_sym_custom_operator_token1] = ACTIONS(3200),
    [anon_sym_LT] = ACTIONS(3202),
    [anon_sym_GT] = ACTIONS(3202),
    [anon_sym_LBRACE] = ACTIONS(3200),
    [anon_sym_CARET_LBRACE] = ACTIONS(3200),
    [anon_sym_RBRACE] = ACTIONS(3200),
    [anon_sym_case] = ACTIONS(3200),
    [anon_sym_fallthrough] = ACTIONS(3200),
    [anon_sym_PLUS_EQ] = ACTIONS(3200),
    [anon_sym_DASH_EQ] = ACTIONS(3200),
    [anon_sym_STAR_EQ] = ACTIONS(3200),
    [anon_sym_SLASH_EQ] = ACTIONS(3200),
    [anon_sym_PERCENT_EQ] = ACTIONS(3200),
    [anon_sym_BANG_EQ] = ACTIONS(3202),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3200),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3200),
    [anon_sym_LT_EQ] = ACTIONS(3200),
    [anon_sym_GT_EQ] = ACTIONS(3200),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3200),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3200),
    [anon_sym_is] = ACTIONS(3200),
    [anon_sym_PLUS] = ACTIONS(3202),
    [anon_sym_DASH] = ACTIONS(3202),
    [anon_sym_STAR] = ACTIONS(3202),
    [anon_sym_SLASH] = ACTIONS(3202),
    [anon_sym_PERCENT] = ACTIONS(3202),
    [anon_sym_PLUS_PLUS] = ACTIONS(3200),
    [anon_sym_DASH_DASH] = ACTIONS(3200),
    [anon_sym_PIPE] = ACTIONS(3200),
    [anon_sym_CARET] = ACTIONS(3202),
    [anon_sym_LT_LT] = ACTIONS(3200),
    [anon_sym_GT_GT] = ACTIONS(3200),
    [anon_sym_class] = ACTIONS(3200),
    [anon_sym_BANG2] = ACTIONS(3202),
    [anon_sym_prefix] = ACTIONS(3200),
    [anon_sym_infix] = ACTIONS(3200),
    [anon_sym_postfix] = ACTIONS(3200),
    [anon_sym_AT] = ACTIONS(3202),
    [anon_sym_override] = ACTIONS(3200),
    [anon_sym_convenience] = ACTIONS(3200),
    [anon_sym_required] = ACTIONS(3200),
    [anon_sym_nonisolated] = ACTIONS(3200),
    [anon_sym_public] = ACTIONS(3200),
    [anon_sym_private] = ACTIONS(3200),
    [anon_sym_internal] = ACTIONS(3200),
    [anon_sym_fileprivate] = ACTIONS(3200),
    [anon_sym_open] = ACTIONS(3200),
    [anon_sym_mutating] = ACTIONS(3200),
    [anon_sym_nonmutating] = ACTIONS(3200),
    [anon_sym_static] = ACTIONS(3200),
    [anon_sym_dynamic] = ACTIONS(3200),
    [anon_sym_optional] = ACTIONS(3200),
    [anon_sym_distributed] = ACTIONS(3200),
    [anon_sym_final] = ACTIONS(3200),
    [anon_sym_inout] = ACTIONS(3200),
    [anon_sym_ATescaping] = ACTIONS(3200),
    [anon_sym_ATautoclosure] = ACTIONS(3200),
    [anon_sym_weak] = ACTIONS(3200),
    [anon_sym_unowned] = ACTIONS(3202),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3200),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3200),
    [anon_sym_borrowing] = ACTIONS(3200),
    [anon_sym_consuming] = ACTIONS(3200),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3200),
    [sym__explicit_semi] = ACTIONS(3200),
    [sym__dot_custom] = ACTIONS(3200),
    [sym__conjunction_operator_custom] = ACTIONS(3200),
    [sym__disjunction_operator_custom] = ACTIONS(3200),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3200),
    [sym__eq_custom] = ACTIONS(3200),
    [sym__eq_eq_custom] = ACTIONS(3200),
    [sym__plus_then_ws] = ACTIONS(3200),
    [sym__minus_then_ws] = ACTIONS(3200),
    [sym__bang_custom] = ACTIONS(3200),
    [sym_default_keyword] = ACTIONS(3200),
    [sym_where_keyword] = ACTIONS(3200),
    [sym__as_custom] = ACTIONS(3200),
    [sym__as_quest_custom] = ACTIONS(3200),
    [sym__as_bang_custom] = ACTIONS(3200),
    [sym__custom_operator] = ACTIONS(3200),
  },
  [1145] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3274),
    [anon_sym_package] = ACTIONS(3274),
    [anon_sym_COMMA] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(3274),
    [anon_sym_LBRACK] = ACTIONS(3274),
    [anon_sym_QMARK] = ACTIONS(3276),
    [anon_sym_QMARK2] = ACTIONS(3274),
    [anon_sym_AMP] = ACTIONS(3274),
    [aux_sym_custom_operator_token1] = ACTIONS(3274),
    [anon_sym_LT] = ACTIONS(3276),
    [anon_sym_GT] = ACTIONS(3276),
    [anon_sym_LBRACE] = ACTIONS(3274),
    [anon_sym_CARET_LBRACE] = ACTIONS(3274),
    [anon_sym_RBRACE] = ACTIONS(3274),
    [anon_sym_case] = ACTIONS(3274),
    [anon_sym_fallthrough] = ACTIONS(3274),
    [anon_sym_PLUS_EQ] = ACTIONS(3274),
    [anon_sym_DASH_EQ] = ACTIONS(3274),
    [anon_sym_STAR_EQ] = ACTIONS(3274),
    [anon_sym_SLASH_EQ] = ACTIONS(3274),
    [anon_sym_PERCENT_EQ] = ACTIONS(3274),
    [anon_sym_BANG_EQ] = ACTIONS(3276),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3274),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3274),
    [anon_sym_LT_EQ] = ACTIONS(3274),
    [anon_sym_GT_EQ] = ACTIONS(3274),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3274),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3274),
    [anon_sym_is] = ACTIONS(3274),
    [anon_sym_PLUS] = ACTIONS(3276),
    [anon_sym_DASH] = ACTIONS(3276),
    [anon_sym_STAR] = ACTIONS(3276),
    [anon_sym_SLASH] = ACTIONS(3276),
    [anon_sym_PERCENT] = ACTIONS(3276),
    [anon_sym_PLUS_PLUS] = ACTIONS(3274),
    [anon_sym_DASH_DASH] = ACTIONS(3274),
    [anon_sym_PIPE] = ACTIONS(3274),
    [anon_sym_CARET] = ACTIONS(3276),
    [anon_sym_LT_LT] = ACTIONS(3274),
    [anon_sym_GT_GT] = ACTIONS(3274),
    [anon_sym_class] = ACTIONS(3274),
    [anon_sym_BANG2] = ACTIONS(3276),
    [anon_sym_prefix] = ACTIONS(3274),
    [anon_sym_infix] = ACTIONS(3274),
    [anon_sym_postfix] = ACTIONS(3274),
    [anon_sym_AT] = ACTIONS(3276),
    [anon_sym_override] = ACTIONS(3274),
    [anon_sym_convenience] = ACTIONS(3274),
    [anon_sym_required] = ACTIONS(3274),
    [anon_sym_nonisolated] = ACTIONS(3274),
    [anon_sym_public] = ACTIONS(3274),
    [anon_sym_private] = ACTIONS(3274),
    [anon_sym_internal] = ACTIONS(3274),
    [anon_sym_fileprivate] = ACTIONS(3274),
    [anon_sym_open] = ACTIONS(3274),
    [anon_sym_mutating] = ACTIONS(3274),
    [anon_sym_nonmutating] = ACTIONS(3274),
    [anon_sym_static] = ACTIONS(3274),
    [anon_sym_dynamic] = ACTIONS(3274),
    [anon_sym_optional] = ACTIONS(3274),
    [anon_sym_distributed] = ACTIONS(3274),
    [anon_sym_final] = ACTIONS(3274),
    [anon_sym_inout] = ACTIONS(3274),
    [anon_sym_ATescaping] = ACTIONS(3274),
    [anon_sym_ATautoclosure] = ACTIONS(3274),
    [anon_sym_weak] = ACTIONS(3274),
    [anon_sym_unowned] = ACTIONS(3276),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3274),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3274),
    [anon_sym_borrowing] = ACTIONS(3274),
    [anon_sym_consuming] = ACTIONS(3274),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3274),
    [sym__explicit_semi] = ACTIONS(3274),
    [sym__dot_custom] = ACTIONS(3274),
    [sym__conjunction_operator_custom] = ACTIONS(3274),
    [sym__disjunction_operator_custom] = ACTIONS(3274),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3274),
    [sym__eq_custom] = ACTIONS(3274),
    [sym__eq_eq_custom] = ACTIONS(3274),
    [sym__plus_then_ws] = ACTIONS(3274),
    [sym__minus_then_ws] = ACTIONS(3274),
    [sym__bang_custom] = ACTIONS(3274),
    [sym_default_keyword] = ACTIONS(3274),
    [sym_where_keyword] = ACTIONS(3274),
    [sym__as_custom] = ACTIONS(3274),
    [sym__as_quest_custom] = ACTIONS(3274),
    [sym__as_bang_custom] = ACTIONS(3274),
    [sym__custom_operator] = ACTIONS(3274),
  },
  [1146] = {
    [sym_simple_identifier] = STATE(1910),
    [sym__contextual_simple_identifier] = STATE(2018),
    [sym__unannotated_type] = STATE(1756),
    [sym_user_type] = STATE(1882),
    [sym__simple_user_type] = STATE(1875),
    [sym_tuple_type] = STATE(1725),
    [sym_function_type] = STATE(1756),
    [sym_array_type] = STATE(1882),
    [sym_dictionary_type] = STATE(1882),
    [sym_optional_type] = STATE(1756),
    [sym_metatype] = STATE(1756),
    [sym_opaque_type] = STATE(1756),
    [sym_existential_type] = STATE(1756),
    [sym_type_parameter_pack] = STATE(1756),
    [sym_type_pack_expansion] = STATE(1756),
    [sym_protocol_composition_type] = STATE(1756),
    [sym__parenthesized_type] = STATE(2031),
    [sym__parameter_ownership_modifier] = STATE(2018),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(3962),
    [aux_sym_simple_identifier_token2] = ACTIONS(3964),
    [aux_sym_simple_identifier_token3] = ACTIONS(3964),
    [aux_sym_simple_identifier_token4] = ACTIONS(3964),
    [anon_sym_actor] = ACTIONS(3962),
    [anon_sym_async] = ACTIONS(3962),
    [anon_sym_each] = ACTIONS(3966),
    [anon_sym_lazy] = ACTIONS(3962),
    [anon_sym_repeat] = ACTIONS(3968),
    [anon_sym_package] = ACTIONS(3962),
    [anon_sym_COMMA] = ACTIONS(631),
    [anon_sym_COLON] = ACTIONS(631),
    [anon_sym_LPAREN] = ACTIONS(3970),
    [anon_sym_LBRACK] = ACTIONS(3973),
    [anon_sym_DOT] = ACTIONS(637),
    [anon_sym_QMARK] = ACTIONS(637),
    [anon_sym_QMARK2] = ACTIONS(631),
    [anon_sym_some] = ACTIONS(3976),
    [anon_sym_any] = ACTIONS(3978),
    [anon_sym_AMP] = ACTIONS(631),
    [aux_sym_custom_operator_token1] = ACTIONS(631),
    [anon_sym_LT] = ACTIONS(637),
    [anon_sym_GT] = ACTIONS(637),
    [anon_sym_LBRACE] = ACTIONS(631),
    [anon_sym_CARET_LBRACE] = ACTIONS(631),
    [anon_sym_PLUS_EQ] = ACTIONS(631),
    [anon_sym_DASH_EQ] = ACTIONS(631),
    [anon_sym_STAR_EQ] = ACTIONS(631),
    [anon_sym_SLASH_EQ] = ACTIONS(631),
    [anon_sym_PERCENT_EQ] = ACTIONS(631),
    [anon_sym_BANG_EQ] = ACTIONS(637),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(631),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(631),
    [anon_sym_LT_EQ] = ACTIONS(631),
    [anon_sym_GT_EQ] = ACTIONS(631),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(631),
    [anon_sym_DOT_DOT_LT] = ACTIONS(631),
    [anon_sym_is] = ACTIONS(637),
    [anon_sym_PLUS] = ACTIONS(637),
    [anon_sym_DASH] = ACTIONS(637),
    [anon_sym_STAR] = ACTIONS(637),
    [anon_sym_SLASH] = ACTIONS(637),
    [anon_sym_PERCENT] = ACTIONS(637),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PIPE] = ACTIONS(631),
    [anon_sym_CARET] = ACTIONS(637),
    [anon_sym_LT_LT] = ACTIONS(631),
    [anon_sym_GT_GT] = ACTIONS(631),
    [anon_sym_BANG2] = ACTIONS(637),
    [anon_sym_borrowing] = ACTIONS(3962),
    [anon_sym_consuming] = ACTIONS(3962),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(631),
    [sym__dot_custom] = ACTIONS(631),
    [sym__conjunction_operator_custom] = ACTIONS(631),
    [sym__disjunction_operator_custom] = ACTIONS(631),
    [sym__nil_coalescing_operator_custom] = ACTIONS(631),
    [sym__eq_custom] = ACTIONS(631),
    [sym__eq_eq_custom] = ACTIONS(631),
    [sym__plus_then_ws] = ACTIONS(631),
    [sym__minus_then_ws] = ACTIONS(631),
    [sym__bang_custom] = ACTIONS(631),
    [sym__throws_keyword] = ACTIONS(631),
    [sym__rethrows_keyword] = ACTIONS(631),
    [sym_where_keyword] = ACTIONS(631),
    [sym__as_custom] = ACTIONS(631),
    [sym__as_quest_custom] = ACTIONS(631),
    [sym__as_bang_custom] = ACTIONS(631),
    [sym__async_keyword_custom] = ACTIONS(631),
    [sym__custom_operator] = ACTIONS(631),
  },
  [1147] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3352),
    [anon_sym_package] = ACTIONS(3352),
    [anon_sym_COMMA] = ACTIONS(3352),
    [anon_sym_LPAREN] = ACTIONS(3352),
    [anon_sym_LBRACK] = ACTIONS(3352),
    [anon_sym_QMARK] = ACTIONS(3354),
    [anon_sym_QMARK2] = ACTIONS(3352),
    [anon_sym_AMP] = ACTIONS(3352),
    [aux_sym_custom_operator_token1] = ACTIONS(3352),
    [anon_sym_LT] = ACTIONS(3354),
    [anon_sym_GT] = ACTIONS(3354),
    [anon_sym_LBRACE] = ACTIONS(3352),
    [anon_sym_CARET_LBRACE] = ACTIONS(3352),
    [anon_sym_RBRACE] = ACTIONS(3352),
    [anon_sym_case] = ACTIONS(3352),
    [anon_sym_fallthrough] = ACTIONS(3352),
    [anon_sym_PLUS_EQ] = ACTIONS(3352),
    [anon_sym_DASH_EQ] = ACTIONS(3352),
    [anon_sym_STAR_EQ] = ACTIONS(3352),
    [anon_sym_SLASH_EQ] = ACTIONS(3352),
    [anon_sym_PERCENT_EQ] = ACTIONS(3352),
    [anon_sym_BANG_EQ] = ACTIONS(3354),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3352),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3352),
    [anon_sym_LT_EQ] = ACTIONS(3352),
    [anon_sym_GT_EQ] = ACTIONS(3352),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3352),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3352),
    [anon_sym_is] = ACTIONS(3352),
    [anon_sym_PLUS] = ACTIONS(3354),
    [anon_sym_DASH] = ACTIONS(3354),
    [anon_sym_STAR] = ACTIONS(3354),
    [anon_sym_SLASH] = ACTIONS(3354),
    [anon_sym_PERCENT] = ACTIONS(3354),
    [anon_sym_PLUS_PLUS] = ACTIONS(3352),
    [anon_sym_DASH_DASH] = ACTIONS(3352),
    [anon_sym_PIPE] = ACTIONS(3352),
    [anon_sym_CARET] = ACTIONS(3354),
    [anon_sym_LT_LT] = ACTIONS(3352),
    [anon_sym_GT_GT] = ACTIONS(3352),
    [anon_sym_class] = ACTIONS(3352),
    [anon_sym_BANG2] = ACTIONS(3354),
    [anon_sym_prefix] = ACTIONS(3352),
    [anon_sym_infix] = ACTIONS(3352),
    [anon_sym_postfix] = ACTIONS(3352),
    [anon_sym_AT] = ACTIONS(3354),
    [anon_sym_override] = ACTIONS(3352),
    [anon_sym_convenience] = ACTIONS(3352),
    [anon_sym_required] = ACTIONS(3352),
    [anon_sym_nonisolated] = ACTIONS(3352),
    [anon_sym_public] = ACTIONS(3352),
    [anon_sym_private] = ACTIONS(3352),
    [anon_sym_internal] = ACTIONS(3352),
    [anon_sym_fileprivate] = ACTIONS(3352),
    [anon_sym_open] = ACTIONS(3352),
    [anon_sym_mutating] = ACTIONS(3352),
    [anon_sym_nonmutating] = ACTIONS(3352),
    [anon_sym_static] = ACTIONS(3352),
    [anon_sym_dynamic] = ACTIONS(3352),
    [anon_sym_optional] = ACTIONS(3352),
    [anon_sym_distributed] = ACTIONS(3352),
    [anon_sym_final] = ACTIONS(3352),
    [anon_sym_inout] = ACTIONS(3352),
    [anon_sym_ATescaping] = ACTIONS(3352),
    [anon_sym_ATautoclosure] = ACTIONS(3352),
    [anon_sym_weak] = ACTIONS(3352),
    [anon_sym_unowned] = ACTIONS(3354),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3352),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3352),
    [anon_sym_borrowing] = ACTIONS(3352),
    [anon_sym_consuming] = ACTIONS(3352),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3352),
    [sym__explicit_semi] = ACTIONS(3352),
    [sym__dot_custom] = ACTIONS(3352),
    [sym__conjunction_operator_custom] = ACTIONS(3352),
    [sym__disjunction_operator_custom] = ACTIONS(3352),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3352),
    [sym__eq_custom] = ACTIONS(3352),
    [sym__eq_eq_custom] = ACTIONS(3352),
    [sym__plus_then_ws] = ACTIONS(3352),
    [sym__minus_then_ws] = ACTIONS(3352),
    [sym__bang_custom] = ACTIONS(3352),
    [sym_default_keyword] = ACTIONS(3352),
    [sym_where_keyword] = ACTIONS(3352),
    [sym__as_custom] = ACTIONS(3352),
    [sym__as_quest_custom] = ACTIONS(3352),
    [sym__as_bang_custom] = ACTIONS(3352),
    [sym__custom_operator] = ACTIONS(3352),
  },
  [1148] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3356),
    [anon_sym_package] = ACTIONS(3356),
    [anon_sym_COMMA] = ACTIONS(3356),
    [anon_sym_LPAREN] = ACTIONS(3356),
    [anon_sym_LBRACK] = ACTIONS(3356),
    [anon_sym_QMARK] = ACTIONS(3358),
    [anon_sym_QMARK2] = ACTIONS(3356),
    [anon_sym_AMP] = ACTIONS(3356),
    [aux_sym_custom_operator_token1] = ACTIONS(3356),
    [anon_sym_LT] = ACTIONS(3358),
    [anon_sym_GT] = ACTIONS(3358),
    [anon_sym_LBRACE] = ACTIONS(3356),
    [anon_sym_CARET_LBRACE] = ACTIONS(3356),
    [anon_sym_RBRACE] = ACTIONS(3356),
    [anon_sym_case] = ACTIONS(3356),
    [anon_sym_fallthrough] = ACTIONS(3356),
    [anon_sym_PLUS_EQ] = ACTIONS(3356),
    [anon_sym_DASH_EQ] = ACTIONS(3356),
    [anon_sym_STAR_EQ] = ACTIONS(3356),
    [anon_sym_SLASH_EQ] = ACTIONS(3356),
    [anon_sym_PERCENT_EQ] = ACTIONS(3356),
    [anon_sym_BANG_EQ] = ACTIONS(3358),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3356),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3356),
    [anon_sym_LT_EQ] = ACTIONS(3356),
    [anon_sym_GT_EQ] = ACTIONS(3356),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3356),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3356),
    [anon_sym_is] = ACTIONS(3356),
    [anon_sym_PLUS] = ACTIONS(3358),
    [anon_sym_DASH] = ACTIONS(3358),
    [anon_sym_STAR] = ACTIONS(3358),
    [anon_sym_SLASH] = ACTIONS(3358),
    [anon_sym_PERCENT] = ACTIONS(3358),
    [anon_sym_PLUS_PLUS] = ACTIONS(3356),
    [anon_sym_DASH_DASH] = ACTIONS(3356),
    [anon_sym_PIPE] = ACTIONS(3356),
    [anon_sym_CARET] = ACTIONS(3358),
    [anon_sym_LT_LT] = ACTIONS(3356),
    [anon_sym_GT_GT] = ACTIONS(3356),
    [anon_sym_class] = ACTIONS(3356),
    [anon_sym_BANG2] = ACTIONS(3358),
    [anon_sym_prefix] = ACTIONS(3356),
    [anon_sym_infix] = ACTIONS(3356),
    [anon_sym_postfix] = ACTIONS(3356),
    [anon_sym_AT] = ACTIONS(3358),
    [anon_sym_override] = ACTIONS(3356),
    [anon_sym_convenience] = ACTIONS(3356),
    [anon_sym_required] = ACTIONS(3356),
    [anon_sym_nonisolated] = ACTIONS(3356),
    [anon_sym_public] = ACTIONS(3356),
    [anon_sym_private] = ACTIONS(3356),
    [anon_sym_internal] = ACTIONS(3356),
    [anon_sym_fileprivate] = ACTIONS(3356),
    [anon_sym_open] = ACTIONS(3356),
    [anon_sym_mutating] = ACTIONS(3356),
    [anon_sym_nonmutating] = ACTIONS(3356),
    [anon_sym_static] = ACTIONS(3356),
    [anon_sym_dynamic] = ACTIONS(3356),
    [anon_sym_optional] = ACTIONS(3356),
    [anon_sym_distributed] = ACTIONS(3356),
    [anon_sym_final] = ACTIONS(3356),
    [anon_sym_inout] = ACTIONS(3356),
    [anon_sym_ATescaping] = ACTIONS(3356),
    [anon_sym_ATautoclosure] = ACTIONS(3356),
    [anon_sym_weak] = ACTIONS(3356),
    [anon_sym_unowned] = ACTIONS(3358),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3356),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3356),
    [anon_sym_borrowing] = ACTIONS(3356),
    [anon_sym_consuming] = ACTIONS(3356),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3356),
    [sym__explicit_semi] = ACTIONS(3356),
    [sym__dot_custom] = ACTIONS(3356),
    [sym__conjunction_operator_custom] = ACTIONS(3356),
    [sym__disjunction_operator_custom] = ACTIONS(3356),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3356),
    [sym__eq_custom] = ACTIONS(3356),
    [sym__eq_eq_custom] = ACTIONS(3356),
    [sym__plus_then_ws] = ACTIONS(3356),
    [sym__minus_then_ws] = ACTIONS(3356),
    [sym__bang_custom] = ACTIONS(3356),
    [sym_default_keyword] = ACTIONS(3356),
    [sym_where_keyword] = ACTIONS(3356),
    [sym__as_custom] = ACTIONS(3356),
    [sym__as_quest_custom] = ACTIONS(3356),
    [sym__as_bang_custom] = ACTIONS(3356),
    [sym__custom_operator] = ACTIONS(3356),
  },
  [1149] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3256),
    [anon_sym_package] = ACTIONS(3256),
    [anon_sym_COMMA] = ACTIONS(3256),
    [anon_sym_LPAREN] = ACTIONS(3256),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_QMARK] = ACTIONS(3258),
    [anon_sym_QMARK2] = ACTIONS(3256),
    [anon_sym_AMP] = ACTIONS(3256),
    [aux_sym_custom_operator_token1] = ACTIONS(3256),
    [anon_sym_LT] = ACTIONS(3258),
    [anon_sym_GT] = ACTIONS(3258),
    [anon_sym_LBRACE] = ACTIONS(3256),
    [anon_sym_CARET_LBRACE] = ACTIONS(3256),
    [anon_sym_RBRACE] = ACTIONS(3256),
    [anon_sym_case] = ACTIONS(3256),
    [anon_sym_fallthrough] = ACTIONS(3256),
    [anon_sym_PLUS_EQ] = ACTIONS(3256),
    [anon_sym_DASH_EQ] = ACTIONS(3256),
    [anon_sym_STAR_EQ] = ACTIONS(3256),
    [anon_sym_SLASH_EQ] = ACTIONS(3256),
    [anon_sym_PERCENT_EQ] = ACTIONS(3256),
    [anon_sym_BANG_EQ] = ACTIONS(3258),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3256),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3256),
    [anon_sym_LT_EQ] = ACTIONS(3256),
    [anon_sym_GT_EQ] = ACTIONS(3256),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3256),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3256),
    [anon_sym_is] = ACTIONS(3256),
    [anon_sym_PLUS] = ACTIONS(3258),
    [anon_sym_DASH] = ACTIONS(3258),
    [anon_sym_STAR] = ACTIONS(3258),
    [anon_sym_SLASH] = ACTIONS(3258),
    [anon_sym_PERCENT] = ACTIONS(3258),
    [anon_sym_PLUS_PLUS] = ACTIONS(3256),
    [anon_sym_DASH_DASH] = ACTIONS(3256),
    [anon_sym_PIPE] = ACTIONS(3256),
    [anon_sym_CARET] = ACTIONS(3258),
    [anon_sym_LT_LT] = ACTIONS(3256),
    [anon_sym_GT_GT] = ACTIONS(3256),
    [anon_sym_class] = ACTIONS(3256),
    [anon_sym_BANG2] = ACTIONS(3258),
    [anon_sym_prefix] = ACTIONS(3256),
    [anon_sym_infix] = ACTIONS(3256),
    [anon_sym_postfix] = ACTIONS(3256),
    [anon_sym_AT] = ACTIONS(3258),
    [anon_sym_override] = ACTIONS(3256),
    [anon_sym_convenience] = ACTIONS(3256),
    [anon_sym_required] = ACTIONS(3256),
    [anon_sym_nonisolated] = ACTIONS(3256),
    [anon_sym_public] = ACTIONS(3256),
    [anon_sym_private] = ACTIONS(3256),
    [anon_sym_internal] = ACTIONS(3256),
    [anon_sym_fileprivate] = ACTIONS(3256),
    [anon_sym_open] = ACTIONS(3256),
    [anon_sym_mutating] = ACTIONS(3256),
    [anon_sym_nonmutating] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(3256),
    [anon_sym_dynamic] = ACTIONS(3256),
    [anon_sym_optional] = ACTIONS(3256),
    [anon_sym_distributed] = ACTIONS(3256),
    [anon_sym_final] = ACTIONS(3256),
    [anon_sym_inout] = ACTIONS(3256),
    [anon_sym_ATescaping] = ACTIONS(3256),
    [anon_sym_ATautoclosure] = ACTIONS(3256),
    [anon_sym_weak] = ACTIONS(3256),
    [anon_sym_unowned] = ACTIONS(3258),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3256),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3256),
    [anon_sym_borrowing] = ACTIONS(3256),
    [anon_sym_consuming] = ACTIONS(3256),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3256),
    [sym__explicit_semi] = ACTIONS(3256),
    [sym__dot_custom] = ACTIONS(3256),
    [sym__conjunction_operator_custom] = ACTIONS(3256),
    [sym__disjunction_operator_custom] = ACTIONS(3256),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3256),
    [sym__eq_custom] = ACTIONS(3256),
    [sym__eq_eq_custom] = ACTIONS(3256),
    [sym__plus_then_ws] = ACTIONS(3256),
    [sym__minus_then_ws] = ACTIONS(3256),
    [sym__bang_custom] = ACTIONS(3256),
    [sym_default_keyword] = ACTIONS(3256),
    [sym_where_keyword] = ACTIONS(3256),
    [sym__as_custom] = ACTIONS(3256),
    [sym__as_quest_custom] = ACTIONS(3256),
    [sym__as_bang_custom] = ACTIONS(3256),
    [sym__custom_operator] = ACTIONS(3256),
  },
  [1150] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3344),
    [anon_sym_package] = ACTIONS(3344),
    [anon_sym_COMMA] = ACTIONS(3344),
    [anon_sym_LPAREN] = ACTIONS(3344),
    [anon_sym_LBRACK] = ACTIONS(3344),
    [anon_sym_QMARK] = ACTIONS(3346),
    [anon_sym_QMARK2] = ACTIONS(3344),
    [anon_sym_AMP] = ACTIONS(3344),
    [aux_sym_custom_operator_token1] = ACTIONS(3344),
    [anon_sym_LT] = ACTIONS(3346),
    [anon_sym_GT] = ACTIONS(3346),
    [anon_sym_LBRACE] = ACTIONS(3344),
    [anon_sym_CARET_LBRACE] = ACTIONS(3344),
    [anon_sym_RBRACE] = ACTIONS(3344),
    [anon_sym_case] = ACTIONS(3344),
    [anon_sym_fallthrough] = ACTIONS(3344),
    [anon_sym_PLUS_EQ] = ACTIONS(3344),
    [anon_sym_DASH_EQ] = ACTIONS(3344),
    [anon_sym_STAR_EQ] = ACTIONS(3344),
    [anon_sym_SLASH_EQ] = ACTIONS(3344),
    [anon_sym_PERCENT_EQ] = ACTIONS(3344),
    [anon_sym_BANG_EQ] = ACTIONS(3346),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3344),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3344),
    [anon_sym_LT_EQ] = ACTIONS(3344),
    [anon_sym_GT_EQ] = ACTIONS(3344),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3344),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3344),
    [anon_sym_is] = ACTIONS(3344),
    [anon_sym_PLUS] = ACTIONS(3346),
    [anon_sym_DASH] = ACTIONS(3346),
    [anon_sym_STAR] = ACTIONS(3346),
    [anon_sym_SLASH] = ACTIONS(3346),
    [anon_sym_PERCENT] = ACTIONS(3346),
    [anon_sym_PLUS_PLUS] = ACTIONS(3344),
    [anon_sym_DASH_DASH] = ACTIONS(3344),
    [anon_sym_PIPE] = ACTIONS(3344),
    [anon_sym_CARET] = ACTIONS(3346),
    [anon_sym_LT_LT] = ACTIONS(3344),
    [anon_sym_GT_GT] = ACTIONS(3344),
    [anon_sym_class] = ACTIONS(3344),
    [anon_sym_BANG2] = ACTIONS(3346),
    [anon_sym_prefix] = ACTIONS(3344),
    [anon_sym_infix] = ACTIONS(3344),
    [anon_sym_postfix] = ACTIONS(3344),
    [anon_sym_AT] = ACTIONS(3346),
    [anon_sym_override] = ACTIONS(3344),
    [anon_sym_convenience] = ACTIONS(3344),
    [anon_sym_required] = ACTIONS(3344),
    [anon_sym_nonisolated] = ACTIONS(3344),
    [anon_sym_public] = ACTIONS(3344),
    [anon_sym_private] = ACTIONS(3344),
    [anon_sym_internal] = ACTIONS(3344),
    [anon_sym_fileprivate] = ACTIONS(3344),
    [anon_sym_open] = ACTIONS(3344),
    [anon_sym_mutating] = ACTIONS(3344),
    [anon_sym_nonmutating] = ACTIONS(3344),
    [anon_sym_static] = ACTIONS(3344),
    [anon_sym_dynamic] = ACTIONS(3344),
    [anon_sym_optional] = ACTIONS(3344),
    [anon_sym_distributed] = ACTIONS(3344),
    [anon_sym_final] = ACTIONS(3344),
    [anon_sym_inout] = ACTIONS(3344),
    [anon_sym_ATescaping] = ACTIONS(3344),
    [anon_sym_ATautoclosure] = ACTIONS(3344),
    [anon_sym_weak] = ACTIONS(3344),
    [anon_sym_unowned] = ACTIONS(3346),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3344),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3344),
    [anon_sym_borrowing] = ACTIONS(3344),
    [anon_sym_consuming] = ACTIONS(3344),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3344),
    [sym__explicit_semi] = ACTIONS(3344),
    [sym__dot_custom] = ACTIONS(3344),
    [sym__conjunction_operator_custom] = ACTIONS(3344),
    [sym__disjunction_operator_custom] = ACTIONS(3344),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3344),
    [sym__eq_custom] = ACTIONS(3344),
    [sym__eq_eq_custom] = ACTIONS(3344),
    [sym__plus_then_ws] = ACTIONS(3344),
    [sym__minus_then_ws] = ACTIONS(3344),
    [sym__bang_custom] = ACTIONS(3344),
    [sym_default_keyword] = ACTIONS(3344),
    [sym_where_keyword] = ACTIONS(3344),
    [sym__as_custom] = ACTIONS(3344),
    [sym__as_quest_custom] = ACTIONS(3344),
    [sym__as_bang_custom] = ACTIONS(3344),
    [sym__custom_operator] = ACTIONS(3344),
  },
  [1151] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3234),
    [anon_sym_package] = ACTIONS(3234),
    [anon_sym_COMMA] = ACTIONS(3234),
    [anon_sym_LPAREN] = ACTIONS(3234),
    [anon_sym_LBRACK] = ACTIONS(3234),
    [anon_sym_QMARK] = ACTIONS(3236),
    [anon_sym_QMARK2] = ACTIONS(3234),
    [anon_sym_AMP] = ACTIONS(3234),
    [aux_sym_custom_operator_token1] = ACTIONS(3234),
    [anon_sym_LT] = ACTIONS(3236),
    [anon_sym_GT] = ACTIONS(3236),
    [anon_sym_LBRACE] = ACTIONS(3234),
    [anon_sym_CARET_LBRACE] = ACTIONS(3234),
    [anon_sym_RBRACE] = ACTIONS(3234),
    [anon_sym_case] = ACTIONS(3234),
    [anon_sym_fallthrough] = ACTIONS(3234),
    [anon_sym_PLUS_EQ] = ACTIONS(3234),
    [anon_sym_DASH_EQ] = ACTIONS(3234),
    [anon_sym_STAR_EQ] = ACTIONS(3234),
    [anon_sym_SLASH_EQ] = ACTIONS(3234),
    [anon_sym_PERCENT_EQ] = ACTIONS(3234),
    [anon_sym_BANG_EQ] = ACTIONS(3236),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3234),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3234),
    [anon_sym_LT_EQ] = ACTIONS(3234),
    [anon_sym_GT_EQ] = ACTIONS(3234),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3234),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3234),
    [anon_sym_is] = ACTIONS(3234),
    [anon_sym_PLUS] = ACTIONS(3236),
    [anon_sym_DASH] = ACTIONS(3236),
    [anon_sym_STAR] = ACTIONS(3236),
    [anon_sym_SLASH] = ACTIONS(3236),
    [anon_sym_PERCENT] = ACTIONS(3236),
    [anon_sym_PLUS_PLUS] = ACTIONS(3234),
    [anon_sym_DASH_DASH] = ACTIONS(3234),
    [anon_sym_PIPE] = ACTIONS(3234),
    [anon_sym_CARET] = ACTIONS(3236),
    [anon_sym_LT_LT] = ACTIONS(3234),
    [anon_sym_GT_GT] = ACTIONS(3234),
    [anon_sym_class] = ACTIONS(3234),
    [anon_sym_BANG2] = ACTIONS(3236),
    [anon_sym_prefix] = ACTIONS(3234),
    [anon_sym_infix] = ACTIONS(3234),
    [anon_sym_postfix] = ACTIONS(3234),
    [anon_sym_AT] = ACTIONS(3236),
    [anon_sym_override] = ACTIONS(3234),
    [anon_sym_convenience] = ACTIONS(3234),
    [anon_sym_required] = ACTIONS(3234),
    [anon_sym_nonisolated] = ACTIONS(3234),
    [anon_sym_public] = ACTIONS(3234),
    [anon_sym_private] = ACTIONS(3234),
    [anon_sym_internal] = ACTIONS(3234),
    [anon_sym_fileprivate] = ACTIONS(3234),
    [anon_sym_open] = ACTIONS(3234),
    [anon_sym_mutating] = ACTIONS(3234),
    [anon_sym_nonmutating] = ACTIONS(3234),
    [anon_sym_static] = ACTIONS(3234),
    [anon_sym_dynamic] = ACTIONS(3234),
    [anon_sym_optional] = ACTIONS(3234),
    [anon_sym_distributed] = ACTIONS(3234),
    [anon_sym_final] = ACTIONS(3234),
    [anon_sym_inout] = ACTIONS(3234),
    [anon_sym_ATescaping] = ACTIONS(3234),
    [anon_sym_ATautoclosure] = ACTIONS(3234),
    [anon_sym_weak] = ACTIONS(3234),
    [anon_sym_unowned] = ACTIONS(3236),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3234),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3234),
    [anon_sym_borrowing] = ACTIONS(3234),
    [anon_sym_consuming] = ACTIONS(3234),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3234),
    [sym__explicit_semi] = ACTIONS(3234),
    [sym__dot_custom] = ACTIONS(3234),
    [sym__conjunction_operator_custom] = ACTIONS(3234),
    [sym__disjunction_operator_custom] = ACTIONS(3234),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3234),
    [sym__eq_custom] = ACTIONS(3234),
    [sym__eq_eq_custom] = ACTIONS(3234),
    [sym__plus_then_ws] = ACTIONS(3234),
    [sym__minus_then_ws] = ACTIONS(3234),
    [sym__bang_custom] = ACTIONS(3234),
    [sym_default_keyword] = ACTIONS(3234),
    [sym_where_keyword] = ACTIONS(3234),
    [sym__as_custom] = ACTIONS(3234),
    [sym__as_quest_custom] = ACTIONS(3234),
    [sym__as_bang_custom] = ACTIONS(3234),
    [sym__custom_operator] = ACTIONS(3234),
  },
  [1152] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3184),
    [anon_sym_package] = ACTIONS(3184),
    [anon_sym_COMMA] = ACTIONS(3184),
    [anon_sym_LPAREN] = ACTIONS(3184),
    [anon_sym_LBRACK] = ACTIONS(3184),
    [anon_sym_QMARK] = ACTIONS(3186),
    [anon_sym_QMARK2] = ACTIONS(3184),
    [anon_sym_AMP] = ACTIONS(3184),
    [aux_sym_custom_operator_token1] = ACTIONS(3184),
    [anon_sym_LT] = ACTIONS(3186),
    [anon_sym_GT] = ACTIONS(3186),
    [anon_sym_LBRACE] = ACTIONS(3184),
    [anon_sym_CARET_LBRACE] = ACTIONS(3184),
    [anon_sym_RBRACE] = ACTIONS(3184),
    [anon_sym_case] = ACTIONS(3184),
    [anon_sym_fallthrough] = ACTIONS(3184),
    [anon_sym_PLUS_EQ] = ACTIONS(3184),
    [anon_sym_DASH_EQ] = ACTIONS(3184),
    [anon_sym_STAR_EQ] = ACTIONS(3184),
    [anon_sym_SLASH_EQ] = ACTIONS(3184),
    [anon_sym_PERCENT_EQ] = ACTIONS(3184),
    [anon_sym_BANG_EQ] = ACTIONS(3186),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3184),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3184),
    [anon_sym_LT_EQ] = ACTIONS(3184),
    [anon_sym_GT_EQ] = ACTIONS(3184),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3184),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3184),
    [anon_sym_is] = ACTIONS(3184),
    [anon_sym_PLUS] = ACTIONS(3186),
    [anon_sym_DASH] = ACTIONS(3186),
    [anon_sym_STAR] = ACTIONS(3186),
    [anon_sym_SLASH] = ACTIONS(3186),
    [anon_sym_PERCENT] = ACTIONS(3186),
    [anon_sym_PLUS_PLUS] = ACTIONS(3184),
    [anon_sym_DASH_DASH] = ACTIONS(3184),
    [anon_sym_PIPE] = ACTIONS(3184),
    [anon_sym_CARET] = ACTIONS(3186),
    [anon_sym_LT_LT] = ACTIONS(3184),
    [anon_sym_GT_GT] = ACTIONS(3184),
    [anon_sym_class] = ACTIONS(3184),
    [anon_sym_BANG2] = ACTIONS(3186),
    [anon_sym_prefix] = ACTIONS(3184),
    [anon_sym_infix] = ACTIONS(3184),
    [anon_sym_postfix] = ACTIONS(3184),
    [anon_sym_AT] = ACTIONS(3186),
    [anon_sym_override] = ACTIONS(3184),
    [anon_sym_convenience] = ACTIONS(3184),
    [anon_sym_required] = ACTIONS(3184),
    [anon_sym_nonisolated] = ACTIONS(3184),
    [anon_sym_public] = ACTIONS(3184),
    [anon_sym_private] = ACTIONS(3184),
    [anon_sym_internal] = ACTIONS(3184),
    [anon_sym_fileprivate] = ACTIONS(3184),
    [anon_sym_open] = ACTIONS(3184),
    [anon_sym_mutating] = ACTIONS(3184),
    [anon_sym_nonmutating] = ACTIONS(3184),
    [anon_sym_static] = ACTIONS(3184),
    [anon_sym_dynamic] = ACTIONS(3184),
    [anon_sym_optional] = ACTIONS(3184),
    [anon_sym_distributed] = ACTIONS(3184),
    [anon_sym_final] = ACTIONS(3184),
    [anon_sym_inout] = ACTIONS(3184),
    [anon_sym_ATescaping] = ACTIONS(3184),
    [anon_sym_ATautoclosure] = ACTIONS(3184),
    [anon_sym_weak] = ACTIONS(3184),
    [anon_sym_unowned] = ACTIONS(3186),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3184),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3184),
    [anon_sym_borrowing] = ACTIONS(3184),
    [anon_sym_consuming] = ACTIONS(3184),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3184),
    [sym__explicit_semi] = ACTIONS(3184),
    [sym__dot_custom] = ACTIONS(3184),
    [sym__conjunction_operator_custom] = ACTIONS(3184),
    [sym__disjunction_operator_custom] = ACTIONS(3184),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3184),
    [sym__eq_custom] = ACTIONS(3184),
    [sym__eq_eq_custom] = ACTIONS(3184),
    [sym__plus_then_ws] = ACTIONS(3184),
    [sym__minus_then_ws] = ACTIONS(3184),
    [sym__bang_custom] = ACTIONS(3184),
    [sym_default_keyword] = ACTIONS(3184),
    [sym_where_keyword] = ACTIONS(3184),
    [sym__as_custom] = ACTIONS(3184),
    [sym__as_quest_custom] = ACTIONS(3184),
    [sym__as_bang_custom] = ACTIONS(3184),
    [sym__custom_operator] = ACTIONS(3184),
  },
  [1153] = {
    [sym_simple_identifier] = STATE(1910),
    [sym__contextual_simple_identifier] = STATE(2018),
    [sym__unannotated_type] = STATE(1762),
    [sym_user_type] = STATE(1882),
    [sym__simple_user_type] = STATE(1875),
    [sym_tuple_type] = STATE(1725),
    [sym_function_type] = STATE(1762),
    [sym_array_type] = STATE(1882),
    [sym_dictionary_type] = STATE(1882),
    [sym_optional_type] = STATE(1762),
    [sym_metatype] = STATE(1762),
    [sym_opaque_type] = STATE(1762),
    [sym_existential_type] = STATE(1762),
    [sym_type_parameter_pack] = STATE(1762),
    [sym_type_pack_expansion] = STATE(1762),
    [sym_protocol_composition_type] = STATE(1762),
    [sym__parenthesized_type] = STATE(2031),
    [sym__parameter_ownership_modifier] = STATE(2018),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(3962),
    [aux_sym_simple_identifier_token2] = ACTIONS(3964),
    [aux_sym_simple_identifier_token3] = ACTIONS(3964),
    [aux_sym_simple_identifier_token4] = ACTIONS(3964),
    [anon_sym_actor] = ACTIONS(3962),
    [anon_sym_async] = ACTIONS(3962),
    [anon_sym_each] = ACTIONS(3966),
    [anon_sym_lazy] = ACTIONS(3962),
    [anon_sym_repeat] = ACTIONS(3968),
    [anon_sym_package] = ACTIONS(3962),
    [anon_sym_COMMA] = ACTIONS(631),
    [anon_sym_COLON] = ACTIONS(631),
    [anon_sym_LPAREN] = ACTIONS(3970),
    [anon_sym_LBRACK] = ACTIONS(3973),
    [anon_sym_DOT] = ACTIONS(637),
    [anon_sym_QMARK] = ACTIONS(637),
    [anon_sym_QMARK2] = ACTIONS(631),
    [anon_sym_some] = ACTIONS(3976),
    [anon_sym_any] = ACTIONS(3978),
    [anon_sym_AMP] = ACTIONS(631),
    [aux_sym_custom_operator_token1] = ACTIONS(631),
    [anon_sym_LT] = ACTIONS(637),
    [anon_sym_GT] = ACTIONS(637),
    [anon_sym_LBRACE] = ACTIONS(631),
    [anon_sym_CARET_LBRACE] = ACTIONS(631),
    [anon_sym_PLUS_EQ] = ACTIONS(631),
    [anon_sym_DASH_EQ] = ACTIONS(631),
    [anon_sym_STAR_EQ] = ACTIONS(631),
    [anon_sym_SLASH_EQ] = ACTIONS(631),
    [anon_sym_PERCENT_EQ] = ACTIONS(631),
    [anon_sym_BANG_EQ] = ACTIONS(637),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(631),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(631),
    [anon_sym_LT_EQ] = ACTIONS(631),
    [anon_sym_GT_EQ] = ACTIONS(631),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(631),
    [anon_sym_DOT_DOT_LT] = ACTIONS(631),
    [anon_sym_is] = ACTIONS(637),
    [anon_sym_PLUS] = ACTIONS(637),
    [anon_sym_DASH] = ACTIONS(637),
    [anon_sym_STAR] = ACTIONS(637),
    [anon_sym_SLASH] = ACTIONS(637),
    [anon_sym_PERCENT] = ACTIONS(637),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PIPE] = ACTIONS(631),
    [anon_sym_CARET] = ACTIONS(637),
    [anon_sym_LT_LT] = ACTIONS(631),
    [anon_sym_GT_GT] = ACTIONS(631),
    [anon_sym_BANG2] = ACTIONS(637),
    [anon_sym_borrowing] = ACTIONS(3962),
    [anon_sym_consuming] = ACTIONS(3962),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(631),
    [sym__dot_custom] = ACTIONS(631),
    [sym__conjunction_operator_custom] = ACTIONS(631),
    [sym__disjunction_operator_custom] = ACTIONS(631),
    [sym__nil_coalescing_operator_custom] = ACTIONS(631),
    [sym__eq_custom] = ACTIONS(631),
    [sym__eq_eq_custom] = ACTIONS(631),
    [sym__plus_then_ws] = ACTIONS(631),
    [sym__minus_then_ws] = ACTIONS(631),
    [sym__bang_custom] = ACTIONS(631),
    [sym__throws_keyword] = ACTIONS(631),
    [sym__rethrows_keyword] = ACTIONS(631),
    [sym_where_keyword] = ACTIONS(631),
    [sym__as_custom] = ACTIONS(631),
    [sym__as_quest_custom] = ACTIONS(631),
    [sym__as_bang_custom] = ACTIONS(631),
    [sym__async_keyword_custom] = ACTIONS(631),
    [sym__custom_operator] = ACTIONS(631),
  },
  [1154] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3152),
    [anon_sym_package] = ACTIONS(3152),
    [anon_sym_COMMA] = ACTIONS(3152),
    [anon_sym_LPAREN] = ACTIONS(3152),
    [anon_sym_LBRACK] = ACTIONS(3152),
    [anon_sym_QMARK] = ACTIONS(3154),
    [anon_sym_QMARK2] = ACTIONS(3152),
    [anon_sym_AMP] = ACTIONS(3152),
    [aux_sym_custom_operator_token1] = ACTIONS(3152),
    [anon_sym_LT] = ACTIONS(3154),
    [anon_sym_GT] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(3152),
    [anon_sym_CARET_LBRACE] = ACTIONS(3152),
    [anon_sym_RBRACE] = ACTIONS(3152),
    [anon_sym_case] = ACTIONS(3152),
    [anon_sym_fallthrough] = ACTIONS(3152),
    [anon_sym_PLUS_EQ] = ACTIONS(3152),
    [anon_sym_DASH_EQ] = ACTIONS(3152),
    [anon_sym_STAR_EQ] = ACTIONS(3152),
    [anon_sym_SLASH_EQ] = ACTIONS(3152),
    [anon_sym_PERCENT_EQ] = ACTIONS(3152),
    [anon_sym_BANG_EQ] = ACTIONS(3154),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3152),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3152),
    [anon_sym_LT_EQ] = ACTIONS(3152),
    [anon_sym_GT_EQ] = ACTIONS(3152),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3152),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3152),
    [anon_sym_is] = ACTIONS(3152),
    [anon_sym_PLUS] = ACTIONS(3154),
    [anon_sym_DASH] = ACTIONS(3154),
    [anon_sym_STAR] = ACTIONS(3154),
    [anon_sym_SLASH] = ACTIONS(3154),
    [anon_sym_PERCENT] = ACTIONS(3154),
    [anon_sym_PLUS_PLUS] = ACTIONS(3152),
    [anon_sym_DASH_DASH] = ACTIONS(3152),
    [anon_sym_PIPE] = ACTIONS(3152),
    [anon_sym_CARET] = ACTIONS(3154),
    [anon_sym_LT_LT] = ACTIONS(3152),
    [anon_sym_GT_GT] = ACTIONS(3152),
    [anon_sym_class] = ACTIONS(3152),
    [anon_sym_BANG2] = ACTIONS(3154),
    [anon_sym_prefix] = ACTIONS(3152),
    [anon_sym_infix] = ACTIONS(3152),
    [anon_sym_postfix] = ACTIONS(3152),
    [anon_sym_AT] = ACTIONS(3154),
    [anon_sym_override] = ACTIONS(3152),
    [anon_sym_convenience] = ACTIONS(3152),
    [anon_sym_required] = ACTIONS(3152),
    [anon_sym_nonisolated] = ACTIONS(3152),
    [anon_sym_public] = ACTIONS(3152),
    [anon_sym_private] = ACTIONS(3152),
    [anon_sym_internal] = ACTIONS(3152),
    [anon_sym_fileprivate] = ACTIONS(3152),
    [anon_sym_open] = ACTIONS(3152),
    [anon_sym_mutating] = ACTIONS(3152),
    [anon_sym_nonmutating] = ACTIONS(3152),
    [anon_sym_static] = ACTIONS(3152),
    [anon_sym_dynamic] = ACTIONS(3152),
    [anon_sym_optional] = ACTIONS(3152),
    [anon_sym_distributed] = ACTIONS(3152),
    [anon_sym_final] = ACTIONS(3152),
    [anon_sym_inout] = ACTIONS(3152),
    [anon_sym_ATescaping] = ACTIONS(3152),
    [anon_sym_ATautoclosure] = ACTIONS(3152),
    [anon_sym_weak] = ACTIONS(3152),
    [anon_sym_unowned] = ACTIONS(3154),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3152),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3152),
    [anon_sym_borrowing] = ACTIONS(3152),
    [anon_sym_consuming] = ACTIONS(3152),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3152),
    [sym__explicit_semi] = ACTIONS(3152),
    [sym__dot_custom] = ACTIONS(3152),
    [sym__conjunction_operator_custom] = ACTIONS(3152),
    [sym__disjunction_operator_custom] = ACTIONS(3152),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3152),
    [sym__eq_custom] = ACTIONS(3152),
    [sym__eq_eq_custom] = ACTIONS(3152),
    [sym__plus_then_ws] = ACTIONS(3152),
    [sym__minus_then_ws] = ACTIONS(3152),
    [sym__bang_custom] = ACTIONS(3152),
    [sym_default_keyword] = ACTIONS(3152),
    [sym_where_keyword] = ACTIONS(3152),
    [sym__as_custom] = ACTIONS(3152),
    [sym__as_quest_custom] = ACTIONS(3152),
    [sym__as_bang_custom] = ACTIONS(3152),
    [sym__custom_operator] = ACTIONS(3152),
  },
  [1155] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3364),
    [anon_sym_package] = ACTIONS(3364),
    [anon_sym_COMMA] = ACTIONS(3364),
    [anon_sym_LPAREN] = ACTIONS(3364),
    [anon_sym_LBRACK] = ACTIONS(3364),
    [anon_sym_QMARK] = ACTIONS(3366),
    [anon_sym_QMARK2] = ACTIONS(3364),
    [anon_sym_AMP] = ACTIONS(3364),
    [aux_sym_custom_operator_token1] = ACTIONS(3364),
    [anon_sym_LT] = ACTIONS(3366),
    [anon_sym_GT] = ACTIONS(3366),
    [anon_sym_LBRACE] = ACTIONS(3364),
    [anon_sym_CARET_LBRACE] = ACTIONS(3364),
    [anon_sym_RBRACE] = ACTIONS(3364),
    [anon_sym_case] = ACTIONS(3364),
    [anon_sym_fallthrough] = ACTIONS(3364),
    [anon_sym_PLUS_EQ] = ACTIONS(3364),
    [anon_sym_DASH_EQ] = ACTIONS(3364),
    [anon_sym_STAR_EQ] = ACTIONS(3364),
    [anon_sym_SLASH_EQ] = ACTIONS(3364),
    [anon_sym_PERCENT_EQ] = ACTIONS(3364),
    [anon_sym_BANG_EQ] = ACTIONS(3366),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3364),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3364),
    [anon_sym_LT_EQ] = ACTIONS(3364),
    [anon_sym_GT_EQ] = ACTIONS(3364),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3364),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3364),
    [anon_sym_is] = ACTIONS(3364),
    [anon_sym_PLUS] = ACTIONS(3366),
    [anon_sym_DASH] = ACTIONS(3366),
    [anon_sym_STAR] = ACTIONS(3366),
    [anon_sym_SLASH] = ACTIONS(3366),
    [anon_sym_PERCENT] = ACTIONS(3366),
    [anon_sym_PLUS_PLUS] = ACTIONS(3364),
    [anon_sym_DASH_DASH] = ACTIONS(3364),
    [anon_sym_PIPE] = ACTIONS(3364),
    [anon_sym_CARET] = ACTIONS(3366),
    [anon_sym_LT_LT] = ACTIONS(3364),
    [anon_sym_GT_GT] = ACTIONS(3364),
    [anon_sym_class] = ACTIONS(3364),
    [anon_sym_BANG2] = ACTIONS(3366),
    [anon_sym_prefix] = ACTIONS(3364),
    [anon_sym_infix] = ACTIONS(3364),
    [anon_sym_postfix] = ACTIONS(3364),
    [anon_sym_AT] = ACTIONS(3366),
    [anon_sym_override] = ACTIONS(3364),
    [anon_sym_convenience] = ACTIONS(3364),
    [anon_sym_required] = ACTIONS(3364),
    [anon_sym_nonisolated] = ACTIONS(3364),
    [anon_sym_public] = ACTIONS(3364),
    [anon_sym_private] = ACTIONS(3364),
    [anon_sym_internal] = ACTIONS(3364),
    [anon_sym_fileprivate] = ACTIONS(3364),
    [anon_sym_open] = ACTIONS(3364),
    [anon_sym_mutating] = ACTIONS(3364),
    [anon_sym_nonmutating] = ACTIONS(3364),
    [anon_sym_static] = ACTIONS(3364),
    [anon_sym_dynamic] = ACTIONS(3364),
    [anon_sym_optional] = ACTIONS(3364),
    [anon_sym_distributed] = ACTIONS(3364),
    [anon_sym_final] = ACTIONS(3364),
    [anon_sym_inout] = ACTIONS(3364),
    [anon_sym_ATescaping] = ACTIONS(3364),
    [anon_sym_ATautoclosure] = ACTIONS(3364),
    [anon_sym_weak] = ACTIONS(3364),
    [anon_sym_unowned] = ACTIONS(3366),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3364),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3364),
    [anon_sym_borrowing] = ACTIONS(3364),
    [anon_sym_consuming] = ACTIONS(3364),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3364),
    [sym__explicit_semi] = ACTIONS(3364),
    [sym__dot_custom] = ACTIONS(3364),
    [sym__conjunction_operator_custom] = ACTIONS(3364),
    [sym__disjunction_operator_custom] = ACTIONS(3364),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3364),
    [sym__eq_custom] = ACTIONS(3364),
    [sym__eq_eq_custom] = ACTIONS(3364),
    [sym__plus_then_ws] = ACTIONS(3364),
    [sym__minus_then_ws] = ACTIONS(3364),
    [sym__bang_custom] = ACTIONS(3364),
    [sym_default_keyword] = ACTIONS(3364),
    [sym_where_keyword] = ACTIONS(3364),
    [sym__as_custom] = ACTIONS(3364),
    [sym__as_quest_custom] = ACTIONS(3364),
    [sym__as_bang_custom] = ACTIONS(3364),
    [sym__custom_operator] = ACTIONS(3364),
  },
  [1156] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3344),
    [anon_sym_package] = ACTIONS(3344),
    [anon_sym_COMMA] = ACTIONS(3344),
    [anon_sym_LPAREN] = ACTIONS(3344),
    [anon_sym_LBRACK] = ACTIONS(3344),
    [anon_sym_QMARK] = ACTIONS(3346),
    [anon_sym_QMARK2] = ACTIONS(3344),
    [anon_sym_AMP] = ACTIONS(3344),
    [aux_sym_custom_operator_token1] = ACTIONS(3344),
    [anon_sym_LT] = ACTIONS(3346),
    [anon_sym_GT] = ACTIONS(3346),
    [anon_sym_LBRACE] = ACTIONS(3344),
    [anon_sym_CARET_LBRACE] = ACTIONS(3344),
    [anon_sym_RBRACE] = ACTIONS(3344),
    [anon_sym_case] = ACTIONS(3344),
    [anon_sym_fallthrough] = ACTIONS(3344),
    [anon_sym_PLUS_EQ] = ACTIONS(3344),
    [anon_sym_DASH_EQ] = ACTIONS(3344),
    [anon_sym_STAR_EQ] = ACTIONS(3344),
    [anon_sym_SLASH_EQ] = ACTIONS(3344),
    [anon_sym_PERCENT_EQ] = ACTIONS(3344),
    [anon_sym_BANG_EQ] = ACTIONS(3346),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3344),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3344),
    [anon_sym_LT_EQ] = ACTIONS(3344),
    [anon_sym_GT_EQ] = ACTIONS(3344),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3344),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3344),
    [anon_sym_is] = ACTIONS(3344),
    [anon_sym_PLUS] = ACTIONS(3346),
    [anon_sym_DASH] = ACTIONS(3346),
    [anon_sym_STAR] = ACTIONS(3346),
    [anon_sym_SLASH] = ACTIONS(3346),
    [anon_sym_PERCENT] = ACTIONS(3346),
    [anon_sym_PLUS_PLUS] = ACTIONS(3344),
    [anon_sym_DASH_DASH] = ACTIONS(3344),
    [anon_sym_PIPE] = ACTIONS(3344),
    [anon_sym_CARET] = ACTIONS(3346),
    [anon_sym_LT_LT] = ACTIONS(3344),
    [anon_sym_GT_GT] = ACTIONS(3344),
    [anon_sym_class] = ACTIONS(3344),
    [anon_sym_BANG2] = ACTIONS(3346),
    [anon_sym_prefix] = ACTIONS(3344),
    [anon_sym_infix] = ACTIONS(3344),
    [anon_sym_postfix] = ACTIONS(3344),
    [anon_sym_AT] = ACTIONS(3346),
    [anon_sym_override] = ACTIONS(3344),
    [anon_sym_convenience] = ACTIONS(3344),
    [anon_sym_required] = ACTIONS(3344),
    [anon_sym_nonisolated] = ACTIONS(3344),
    [anon_sym_public] = ACTIONS(3344),
    [anon_sym_private] = ACTIONS(3344),
    [anon_sym_internal] = ACTIONS(3344),
    [anon_sym_fileprivate] = ACTIONS(3344),
    [anon_sym_open] = ACTIONS(3344),
    [anon_sym_mutating] = ACTIONS(3344),
    [anon_sym_nonmutating] = ACTIONS(3344),
    [anon_sym_static] = ACTIONS(3344),
    [anon_sym_dynamic] = ACTIONS(3344),
    [anon_sym_optional] = ACTIONS(3344),
    [anon_sym_distributed] = ACTIONS(3344),
    [anon_sym_final] = ACTIONS(3344),
    [anon_sym_inout] = ACTIONS(3344),
    [anon_sym_ATescaping] = ACTIONS(3344),
    [anon_sym_ATautoclosure] = ACTIONS(3344),
    [anon_sym_weak] = ACTIONS(3344),
    [anon_sym_unowned] = ACTIONS(3346),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3344),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3344),
    [anon_sym_borrowing] = ACTIONS(3344),
    [anon_sym_consuming] = ACTIONS(3344),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3344),
    [sym__explicit_semi] = ACTIONS(3344),
    [sym__dot_custom] = ACTIONS(3344),
    [sym__conjunction_operator_custom] = ACTIONS(3344),
    [sym__disjunction_operator_custom] = ACTIONS(3344),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3344),
    [sym__eq_custom] = ACTIONS(3344),
    [sym__eq_eq_custom] = ACTIONS(3344),
    [sym__plus_then_ws] = ACTIONS(3344),
    [sym__minus_then_ws] = ACTIONS(3344),
    [sym__bang_custom] = ACTIONS(3344),
    [sym_default_keyword] = ACTIONS(3344),
    [sym__as_custom] = ACTIONS(3344),
    [sym__as_quest_custom] = ACTIONS(3344),
    [sym__as_bang_custom] = ACTIONS(3344),
    [sym__custom_operator] = ACTIONS(3344),
  },
  [1157] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3274),
    [anon_sym_package] = ACTIONS(3274),
    [anon_sym_COMMA] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(3274),
    [anon_sym_LBRACK] = ACTIONS(3274),
    [anon_sym_QMARK] = ACTIONS(3276),
    [anon_sym_QMARK2] = ACTIONS(3274),
    [anon_sym_AMP] = ACTIONS(3274),
    [aux_sym_custom_operator_token1] = ACTIONS(3274),
    [anon_sym_LT] = ACTIONS(3276),
    [anon_sym_GT] = ACTIONS(3276),
    [anon_sym_LBRACE] = ACTIONS(3274),
    [anon_sym_CARET_LBRACE] = ACTIONS(3274),
    [anon_sym_RBRACE] = ACTIONS(3274),
    [anon_sym_case] = ACTIONS(3274),
    [anon_sym_fallthrough] = ACTIONS(3274),
    [anon_sym_PLUS_EQ] = ACTIONS(3274),
    [anon_sym_DASH_EQ] = ACTIONS(3274),
    [anon_sym_STAR_EQ] = ACTIONS(3274),
    [anon_sym_SLASH_EQ] = ACTIONS(3274),
    [anon_sym_PERCENT_EQ] = ACTIONS(3274),
    [anon_sym_BANG_EQ] = ACTIONS(3276),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3274),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3274),
    [anon_sym_LT_EQ] = ACTIONS(3274),
    [anon_sym_GT_EQ] = ACTIONS(3274),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3274),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3274),
    [anon_sym_is] = ACTIONS(3274),
    [anon_sym_PLUS] = ACTIONS(3276),
    [anon_sym_DASH] = ACTIONS(3276),
    [anon_sym_STAR] = ACTIONS(3276),
    [anon_sym_SLASH] = ACTIONS(3276),
    [anon_sym_PERCENT] = ACTIONS(3276),
    [anon_sym_PLUS_PLUS] = ACTIONS(3274),
    [anon_sym_DASH_DASH] = ACTIONS(3274),
    [anon_sym_PIPE] = ACTIONS(3274),
    [anon_sym_CARET] = ACTIONS(3276),
    [anon_sym_LT_LT] = ACTIONS(3274),
    [anon_sym_GT_GT] = ACTIONS(3274),
    [anon_sym_class] = ACTIONS(3274),
    [anon_sym_BANG2] = ACTIONS(3276),
    [anon_sym_prefix] = ACTIONS(3274),
    [anon_sym_infix] = ACTIONS(3274),
    [anon_sym_postfix] = ACTIONS(3274),
    [anon_sym_AT] = ACTIONS(3276),
    [anon_sym_override] = ACTIONS(3274),
    [anon_sym_convenience] = ACTIONS(3274),
    [anon_sym_required] = ACTIONS(3274),
    [anon_sym_nonisolated] = ACTIONS(3274),
    [anon_sym_public] = ACTIONS(3274),
    [anon_sym_private] = ACTIONS(3274),
    [anon_sym_internal] = ACTIONS(3274),
    [anon_sym_fileprivate] = ACTIONS(3274),
    [anon_sym_open] = ACTIONS(3274),
    [anon_sym_mutating] = ACTIONS(3274),
    [anon_sym_nonmutating] = ACTIONS(3274),
    [anon_sym_static] = ACTIONS(3274),
    [anon_sym_dynamic] = ACTIONS(3274),
    [anon_sym_optional] = ACTIONS(3274),
    [anon_sym_distributed] = ACTIONS(3274),
    [anon_sym_final] = ACTIONS(3274),
    [anon_sym_inout] = ACTIONS(3274),
    [anon_sym_ATescaping] = ACTIONS(3274),
    [anon_sym_ATautoclosure] = ACTIONS(3274),
    [anon_sym_weak] = ACTIONS(3274),
    [anon_sym_unowned] = ACTIONS(3276),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3274),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3274),
    [anon_sym_borrowing] = ACTIONS(3274),
    [anon_sym_consuming] = ACTIONS(3274),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3274),
    [sym__explicit_semi] = ACTIONS(3274),
    [sym__dot_custom] = ACTIONS(3274),
    [sym__conjunction_operator_custom] = ACTIONS(3274),
    [sym__disjunction_operator_custom] = ACTIONS(3274),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3274),
    [sym__eq_custom] = ACTIONS(3274),
    [sym__eq_eq_custom] = ACTIONS(3274),
    [sym__plus_then_ws] = ACTIONS(3274),
    [sym__minus_then_ws] = ACTIONS(3274),
    [sym__bang_custom] = ACTIONS(3274),
    [sym_default_keyword] = ACTIONS(3274),
    [sym__as_custom] = ACTIONS(3274),
    [sym__as_quest_custom] = ACTIONS(3274),
    [sym__as_bang_custom] = ACTIONS(3274),
    [sym__custom_operator] = ACTIONS(3274),
  },
  [1158] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3140),
    [anon_sym_package] = ACTIONS(3140),
    [anon_sym_COMMA] = ACTIONS(3140),
    [anon_sym_LPAREN] = ACTIONS(3140),
    [anon_sym_LBRACK] = ACTIONS(3140),
    [anon_sym_QMARK] = ACTIONS(3142),
    [anon_sym_QMARK2] = ACTIONS(3140),
    [anon_sym_AMP] = ACTIONS(3140),
    [aux_sym_custom_operator_token1] = ACTIONS(3140),
    [anon_sym_LT] = ACTIONS(3142),
    [anon_sym_GT] = ACTIONS(3142),
    [anon_sym_LBRACE] = ACTIONS(3140),
    [anon_sym_CARET_LBRACE] = ACTIONS(3140),
    [anon_sym_RBRACE] = ACTIONS(3140),
    [anon_sym_case] = ACTIONS(3140),
    [anon_sym_fallthrough] = ACTIONS(3140),
    [anon_sym_PLUS_EQ] = ACTIONS(3140),
    [anon_sym_DASH_EQ] = ACTIONS(3140),
    [anon_sym_STAR_EQ] = ACTIONS(3140),
    [anon_sym_SLASH_EQ] = ACTIONS(3140),
    [anon_sym_PERCENT_EQ] = ACTIONS(3140),
    [anon_sym_BANG_EQ] = ACTIONS(3142),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3140),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3140),
    [anon_sym_LT_EQ] = ACTIONS(3140),
    [anon_sym_GT_EQ] = ACTIONS(3140),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3140),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3140),
    [anon_sym_is] = ACTIONS(3140),
    [anon_sym_PLUS] = ACTIONS(3142),
    [anon_sym_DASH] = ACTIONS(3142),
    [anon_sym_STAR] = ACTIONS(3142),
    [anon_sym_SLASH] = ACTIONS(3142),
    [anon_sym_PERCENT] = ACTIONS(3142),
    [anon_sym_PLUS_PLUS] = ACTIONS(3140),
    [anon_sym_DASH_DASH] = ACTIONS(3140),
    [anon_sym_PIPE] = ACTIONS(3140),
    [anon_sym_CARET] = ACTIONS(3142),
    [anon_sym_LT_LT] = ACTIONS(3140),
    [anon_sym_GT_GT] = ACTIONS(3140),
    [anon_sym_class] = ACTIONS(3140),
    [anon_sym_BANG2] = ACTIONS(3142),
    [anon_sym_prefix] = ACTIONS(3140),
    [anon_sym_infix] = ACTIONS(3140),
    [anon_sym_postfix] = ACTIONS(3140),
    [anon_sym_AT] = ACTIONS(3142),
    [anon_sym_override] = ACTIONS(3140),
    [anon_sym_convenience] = ACTIONS(3140),
    [anon_sym_required] = ACTIONS(3140),
    [anon_sym_nonisolated] = ACTIONS(3140),
    [anon_sym_public] = ACTIONS(3140),
    [anon_sym_private] = ACTIONS(3140),
    [anon_sym_internal] = ACTIONS(3140),
    [anon_sym_fileprivate] = ACTIONS(3140),
    [anon_sym_open] = ACTIONS(3140),
    [anon_sym_mutating] = ACTIONS(3140),
    [anon_sym_nonmutating] = ACTIONS(3140),
    [anon_sym_static] = ACTIONS(3140),
    [anon_sym_dynamic] = ACTIONS(3140),
    [anon_sym_optional] = ACTIONS(3140),
    [anon_sym_distributed] = ACTIONS(3140),
    [anon_sym_final] = ACTIONS(3140),
    [anon_sym_inout] = ACTIONS(3140),
    [anon_sym_ATescaping] = ACTIONS(3140),
    [anon_sym_ATautoclosure] = ACTIONS(3140),
    [anon_sym_weak] = ACTIONS(3140),
    [anon_sym_unowned] = ACTIONS(3142),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3140),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3140),
    [anon_sym_borrowing] = ACTIONS(3140),
    [anon_sym_consuming] = ACTIONS(3140),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3140),
    [sym__explicit_semi] = ACTIONS(3140),
    [sym__dot_custom] = ACTIONS(3140),
    [sym__conjunction_operator_custom] = ACTIONS(3140),
    [sym__disjunction_operator_custom] = ACTIONS(3140),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3140),
    [sym__eq_custom] = ACTIONS(3140),
    [sym__eq_eq_custom] = ACTIONS(3140),
    [sym__plus_then_ws] = ACTIONS(3140),
    [sym__minus_then_ws] = ACTIONS(3140),
    [sym__bang_custom] = ACTIONS(3140),
    [sym_default_keyword] = ACTIONS(3140),
    [sym__as_custom] = ACTIONS(3140),
    [sym__as_quest_custom] = ACTIONS(3140),
    [sym__as_bang_custom] = ACTIONS(3140),
    [sym__custom_operator] = ACTIONS(3140),
  },
  [1159] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(2995),
    [anon_sym_package] = ACTIONS(2995),
    [anon_sym_COMMA] = ACTIONS(2995),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_LBRACK] = ACTIONS(2995),
    [anon_sym_QMARK] = ACTIONS(2997),
    [anon_sym_QMARK2] = ACTIONS(2995),
    [anon_sym_AMP] = ACTIONS(2995),
    [aux_sym_custom_operator_token1] = ACTIONS(2995),
    [anon_sym_LT] = ACTIONS(2997),
    [anon_sym_GT] = ACTIONS(2997),
    [anon_sym_LBRACE] = ACTIONS(2995),
    [anon_sym_CARET_LBRACE] = ACTIONS(2995),
    [anon_sym_RBRACE] = ACTIONS(2995),
    [anon_sym_case] = ACTIONS(2995),
    [anon_sym_fallthrough] = ACTIONS(2995),
    [anon_sym_PLUS_EQ] = ACTIONS(2995),
    [anon_sym_DASH_EQ] = ACTIONS(2995),
    [anon_sym_STAR_EQ] = ACTIONS(2995),
    [anon_sym_SLASH_EQ] = ACTIONS(2995),
    [anon_sym_PERCENT_EQ] = ACTIONS(2995),
    [anon_sym_BANG_EQ] = ACTIONS(2997),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2995),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2995),
    [anon_sym_LT_EQ] = ACTIONS(2995),
    [anon_sym_GT_EQ] = ACTIONS(2995),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2995),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2995),
    [anon_sym_is] = ACTIONS(2995),
    [anon_sym_PLUS] = ACTIONS(2997),
    [anon_sym_DASH] = ACTIONS(2997),
    [anon_sym_STAR] = ACTIONS(2997),
    [anon_sym_SLASH] = ACTIONS(2997),
    [anon_sym_PERCENT] = ACTIONS(2997),
    [anon_sym_PLUS_PLUS] = ACTIONS(2995),
    [anon_sym_DASH_DASH] = ACTIONS(2995),
    [anon_sym_PIPE] = ACTIONS(2995),
    [anon_sym_CARET] = ACTIONS(2997),
    [anon_sym_LT_LT] = ACTIONS(2995),
    [anon_sym_GT_GT] = ACTIONS(2995),
    [anon_sym_class] = ACTIONS(2995),
    [anon_sym_BANG2] = ACTIONS(2997),
    [anon_sym_prefix] = ACTIONS(2995),
    [anon_sym_infix] = ACTIONS(2995),
    [anon_sym_postfix] = ACTIONS(2995),
    [anon_sym_AT] = ACTIONS(2997),
    [anon_sym_override] = ACTIONS(2995),
    [anon_sym_convenience] = ACTIONS(2995),
    [anon_sym_required] = ACTIONS(2995),
    [anon_sym_nonisolated] = ACTIONS(2995),
    [anon_sym_public] = ACTIONS(2995),
    [anon_sym_private] = ACTIONS(2995),
    [anon_sym_internal] = ACTIONS(2995),
    [anon_sym_fileprivate] = ACTIONS(2995),
    [anon_sym_open] = ACTIONS(2995),
    [anon_sym_mutating] = ACTIONS(2995),
    [anon_sym_nonmutating] = ACTIONS(2995),
    [anon_sym_static] = ACTIONS(2995),
    [anon_sym_dynamic] = ACTIONS(2995),
    [anon_sym_optional] = ACTIONS(2995),
    [anon_sym_distributed] = ACTIONS(2995),
    [anon_sym_final] = ACTIONS(2995),
    [anon_sym_inout] = ACTIONS(2995),
    [anon_sym_ATescaping] = ACTIONS(2995),
    [anon_sym_ATautoclosure] = ACTIONS(2995),
    [anon_sym_weak] = ACTIONS(2995),
    [anon_sym_unowned] = ACTIONS(2997),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2995),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2995),
    [anon_sym_borrowing] = ACTIONS(2995),
    [anon_sym_consuming] = ACTIONS(2995),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2995),
    [sym__explicit_semi] = ACTIONS(2995),
    [sym__dot_custom] = ACTIONS(2995),
    [sym__conjunction_operator_custom] = ACTIONS(2995),
    [sym__disjunction_operator_custom] = ACTIONS(2995),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2995),
    [sym__eq_custom] = ACTIONS(2995),
    [sym__eq_eq_custom] = ACTIONS(2995),
    [sym__plus_then_ws] = ACTIONS(2995),
    [sym__minus_then_ws] = ACTIONS(2995),
    [sym__bang_custom] = ACTIONS(2995),
    [sym_default_keyword] = ACTIONS(2995),
    [sym__as_custom] = ACTIONS(2995),
    [sym__as_quest_custom] = ACTIONS(2995),
    [sym__as_bang_custom] = ACTIONS(2995),
    [sym__custom_operator] = ACTIONS(2995),
  },
  [1160] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3144),
    [anon_sym_package] = ACTIONS(3144),
    [anon_sym_COMMA] = ACTIONS(3144),
    [anon_sym_LPAREN] = ACTIONS(3144),
    [anon_sym_LBRACK] = ACTIONS(3144),
    [anon_sym_QMARK] = ACTIONS(3146),
    [anon_sym_QMARK2] = ACTIONS(3144),
    [anon_sym_AMP] = ACTIONS(3144),
    [aux_sym_custom_operator_token1] = ACTIONS(3144),
    [anon_sym_LT] = ACTIONS(3146),
    [anon_sym_GT] = ACTIONS(3146),
    [anon_sym_LBRACE] = ACTIONS(3144),
    [anon_sym_CARET_LBRACE] = ACTIONS(3144),
    [anon_sym_RBRACE] = ACTIONS(3144),
    [anon_sym_case] = ACTIONS(3144),
    [anon_sym_fallthrough] = ACTIONS(3144),
    [anon_sym_PLUS_EQ] = ACTIONS(3144),
    [anon_sym_DASH_EQ] = ACTIONS(3144),
    [anon_sym_STAR_EQ] = ACTIONS(3144),
    [anon_sym_SLASH_EQ] = ACTIONS(3144),
    [anon_sym_PERCENT_EQ] = ACTIONS(3144),
    [anon_sym_BANG_EQ] = ACTIONS(3146),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3144),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3144),
    [anon_sym_LT_EQ] = ACTIONS(3144),
    [anon_sym_GT_EQ] = ACTIONS(3144),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3144),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3144),
    [anon_sym_is] = ACTIONS(3144),
    [anon_sym_PLUS] = ACTIONS(3146),
    [anon_sym_DASH] = ACTIONS(3146),
    [anon_sym_STAR] = ACTIONS(3146),
    [anon_sym_SLASH] = ACTIONS(3146),
    [anon_sym_PERCENT] = ACTIONS(3146),
    [anon_sym_PLUS_PLUS] = ACTIONS(3144),
    [anon_sym_DASH_DASH] = ACTIONS(3144),
    [anon_sym_PIPE] = ACTIONS(3144),
    [anon_sym_CARET] = ACTIONS(3146),
    [anon_sym_LT_LT] = ACTIONS(3144),
    [anon_sym_GT_GT] = ACTIONS(3144),
    [anon_sym_class] = ACTIONS(3144),
    [anon_sym_BANG2] = ACTIONS(3146),
    [anon_sym_prefix] = ACTIONS(3144),
    [anon_sym_infix] = ACTIONS(3144),
    [anon_sym_postfix] = ACTIONS(3144),
    [anon_sym_AT] = ACTIONS(3146),
    [anon_sym_override] = ACTIONS(3144),
    [anon_sym_convenience] = ACTIONS(3144),
    [anon_sym_required] = ACTIONS(3144),
    [anon_sym_nonisolated] = ACTIONS(3144),
    [anon_sym_public] = ACTIONS(3144),
    [anon_sym_private] = ACTIONS(3144),
    [anon_sym_internal] = ACTIONS(3144),
    [anon_sym_fileprivate] = ACTIONS(3144),
    [anon_sym_open] = ACTIONS(3144),
    [anon_sym_mutating] = ACTIONS(3144),
    [anon_sym_nonmutating] = ACTIONS(3144),
    [anon_sym_static] = ACTIONS(3144),
    [anon_sym_dynamic] = ACTIONS(3144),
    [anon_sym_optional] = ACTIONS(3144),
    [anon_sym_distributed] = ACTIONS(3144),
    [anon_sym_final] = ACTIONS(3144),
    [anon_sym_inout] = ACTIONS(3144),
    [anon_sym_ATescaping] = ACTIONS(3144),
    [anon_sym_ATautoclosure] = ACTIONS(3144),
    [anon_sym_weak] = ACTIONS(3144),
    [anon_sym_unowned] = ACTIONS(3146),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3144),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3144),
    [anon_sym_borrowing] = ACTIONS(3144),
    [anon_sym_consuming] = ACTIONS(3144),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3144),
    [sym__explicit_semi] = ACTIONS(3144),
    [sym__dot_custom] = ACTIONS(3144),
    [sym__conjunction_operator_custom] = ACTIONS(3144),
    [sym__disjunction_operator_custom] = ACTIONS(3144),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3144),
    [sym__eq_custom] = ACTIONS(3144),
    [sym__eq_eq_custom] = ACTIONS(3144),
    [sym__plus_then_ws] = ACTIONS(3144),
    [sym__minus_then_ws] = ACTIONS(3144),
    [sym__bang_custom] = ACTIONS(3144),
    [sym_default_keyword] = ACTIONS(3144),
    [sym__as_custom] = ACTIONS(3144),
    [sym__as_quest_custom] = ACTIONS(3144),
    [sym__as_bang_custom] = ACTIONS(3144),
    [sym__custom_operator] = ACTIONS(3144),
  },
  [1161] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3096),
    [anon_sym_package] = ACTIONS(3096),
    [anon_sym_COMMA] = ACTIONS(3096),
    [anon_sym_LPAREN] = ACTIONS(3096),
    [anon_sym_LBRACK] = ACTIONS(3096),
    [anon_sym_QMARK] = ACTIONS(3098),
    [anon_sym_QMARK2] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3096),
    [aux_sym_custom_operator_token1] = ACTIONS(3096),
    [anon_sym_LT] = ACTIONS(3098),
    [anon_sym_GT] = ACTIONS(3098),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_CARET_LBRACE] = ACTIONS(3096),
    [anon_sym_RBRACE] = ACTIONS(3096),
    [anon_sym_case] = ACTIONS(3096),
    [anon_sym_fallthrough] = ACTIONS(3096),
    [anon_sym_PLUS_EQ] = ACTIONS(3096),
    [anon_sym_DASH_EQ] = ACTIONS(3096),
    [anon_sym_STAR_EQ] = ACTIONS(3096),
    [anon_sym_SLASH_EQ] = ACTIONS(3096),
    [anon_sym_PERCENT_EQ] = ACTIONS(3096),
    [anon_sym_BANG_EQ] = ACTIONS(3098),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3096),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3096),
    [anon_sym_LT_EQ] = ACTIONS(3096),
    [anon_sym_GT_EQ] = ACTIONS(3096),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3096),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3096),
    [anon_sym_is] = ACTIONS(3096),
    [anon_sym_PLUS] = ACTIONS(3098),
    [anon_sym_DASH] = ACTIONS(3098),
    [anon_sym_STAR] = ACTIONS(3098),
    [anon_sym_SLASH] = ACTIONS(3098),
    [anon_sym_PERCENT] = ACTIONS(3098),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PIPE] = ACTIONS(3096),
    [anon_sym_CARET] = ACTIONS(3098),
    [anon_sym_LT_LT] = ACTIONS(3096),
    [anon_sym_GT_GT] = ACTIONS(3096),
    [anon_sym_class] = ACTIONS(3096),
    [anon_sym_BANG2] = ACTIONS(3098),
    [anon_sym_prefix] = ACTIONS(3096),
    [anon_sym_infix] = ACTIONS(3096),
    [anon_sym_postfix] = ACTIONS(3096),
    [anon_sym_AT] = ACTIONS(3098),
    [anon_sym_override] = ACTIONS(3096),
    [anon_sym_convenience] = ACTIONS(3096),
    [anon_sym_required] = ACTIONS(3096),
    [anon_sym_nonisolated] = ACTIONS(3096),
    [anon_sym_public] = ACTIONS(3096),
    [anon_sym_private] = ACTIONS(3096),
    [anon_sym_internal] = ACTIONS(3096),
    [anon_sym_fileprivate] = ACTIONS(3096),
    [anon_sym_open] = ACTIONS(3096),
    [anon_sym_mutating] = ACTIONS(3096),
    [anon_sym_nonmutating] = ACTIONS(3096),
    [anon_sym_static] = ACTIONS(3096),
    [anon_sym_dynamic] = ACTIONS(3096),
    [anon_sym_optional] = ACTIONS(3096),
    [anon_sym_distributed] = ACTIONS(3096),
    [anon_sym_final] = ACTIONS(3096),
    [anon_sym_inout] = ACTIONS(3096),
    [anon_sym_ATescaping] = ACTIONS(3096),
    [anon_sym_ATautoclosure] = ACTIONS(3096),
    [anon_sym_weak] = ACTIONS(3096),
    [anon_sym_unowned] = ACTIONS(3098),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3096),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3096),
    [anon_sym_borrowing] = ACTIONS(3096),
    [anon_sym_consuming] = ACTIONS(3096),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3096),
    [sym__explicit_semi] = ACTIONS(3096),
    [sym__dot_custom] = ACTIONS(3096),
    [sym__conjunction_operator_custom] = ACTIONS(3096),
    [sym__disjunction_operator_custom] = ACTIONS(3096),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3096),
    [sym__eq_custom] = ACTIONS(3096),
    [sym__eq_eq_custom] = ACTIONS(3096),
    [sym__plus_then_ws] = ACTIONS(3096),
    [sym__minus_then_ws] = ACTIONS(3096),
    [sym__bang_custom] = ACTIONS(3096),
    [sym_default_keyword] = ACTIONS(3096),
    [sym__as_custom] = ACTIONS(3096),
    [sym__as_quest_custom] = ACTIONS(3096),
    [sym__as_bang_custom] = ACTIONS(3096),
    [sym__custom_operator] = ACTIONS(3096),
  },
  [1162] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3328),
    [anon_sym_package] = ACTIONS(3328),
    [anon_sym_COMMA] = ACTIONS(3328),
    [anon_sym_LPAREN] = ACTIONS(3328),
    [anon_sym_LBRACK] = ACTIONS(3328),
    [anon_sym_QMARK] = ACTIONS(3330),
    [anon_sym_QMARK2] = ACTIONS(3328),
    [anon_sym_AMP] = ACTIONS(3328),
    [aux_sym_custom_operator_token1] = ACTIONS(3328),
    [anon_sym_LT] = ACTIONS(3330),
    [anon_sym_GT] = ACTIONS(3330),
    [anon_sym_LBRACE] = ACTIONS(3328),
    [anon_sym_CARET_LBRACE] = ACTIONS(3328),
    [anon_sym_RBRACE] = ACTIONS(3328),
    [anon_sym_case] = ACTIONS(3328),
    [anon_sym_fallthrough] = ACTIONS(3328),
    [anon_sym_PLUS_EQ] = ACTIONS(3328),
    [anon_sym_DASH_EQ] = ACTIONS(3328),
    [anon_sym_STAR_EQ] = ACTIONS(3328),
    [anon_sym_SLASH_EQ] = ACTIONS(3328),
    [anon_sym_PERCENT_EQ] = ACTIONS(3328),
    [anon_sym_BANG_EQ] = ACTIONS(3330),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3328),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3328),
    [anon_sym_LT_EQ] = ACTIONS(3328),
    [anon_sym_GT_EQ] = ACTIONS(3328),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3328),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3328),
    [anon_sym_is] = ACTIONS(3328),
    [anon_sym_PLUS] = ACTIONS(3330),
    [anon_sym_DASH] = ACTIONS(3330),
    [anon_sym_STAR] = ACTIONS(3330),
    [anon_sym_SLASH] = ACTIONS(3330),
    [anon_sym_PERCENT] = ACTIONS(3330),
    [anon_sym_PLUS_PLUS] = ACTIONS(3328),
    [anon_sym_DASH_DASH] = ACTIONS(3328),
    [anon_sym_PIPE] = ACTIONS(3328),
    [anon_sym_CARET] = ACTIONS(3330),
    [anon_sym_LT_LT] = ACTIONS(3328),
    [anon_sym_GT_GT] = ACTIONS(3328),
    [anon_sym_class] = ACTIONS(3328),
    [anon_sym_BANG2] = ACTIONS(3330),
    [anon_sym_prefix] = ACTIONS(3328),
    [anon_sym_infix] = ACTIONS(3328),
    [anon_sym_postfix] = ACTIONS(3328),
    [anon_sym_AT] = ACTIONS(3330),
    [anon_sym_override] = ACTIONS(3328),
    [anon_sym_convenience] = ACTIONS(3328),
    [anon_sym_required] = ACTIONS(3328),
    [anon_sym_nonisolated] = ACTIONS(3328),
    [anon_sym_public] = ACTIONS(3328),
    [anon_sym_private] = ACTIONS(3328),
    [anon_sym_internal] = ACTIONS(3328),
    [anon_sym_fileprivate] = ACTIONS(3328),
    [anon_sym_open] = ACTIONS(3328),
    [anon_sym_mutating] = ACTIONS(3328),
    [anon_sym_nonmutating] = ACTIONS(3328),
    [anon_sym_static] = ACTIONS(3328),
    [anon_sym_dynamic] = ACTIONS(3328),
    [anon_sym_optional] = ACTIONS(3328),
    [anon_sym_distributed] = ACTIONS(3328),
    [anon_sym_final] = ACTIONS(3328),
    [anon_sym_inout] = ACTIONS(3328),
    [anon_sym_ATescaping] = ACTIONS(3328),
    [anon_sym_ATautoclosure] = ACTIONS(3328),
    [anon_sym_weak] = ACTIONS(3328),
    [anon_sym_unowned] = ACTIONS(3330),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3328),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3328),
    [anon_sym_borrowing] = ACTIONS(3328),
    [anon_sym_consuming] = ACTIONS(3328),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3328),
    [sym__explicit_semi] = ACTIONS(3328),
    [sym__dot_custom] = ACTIONS(3328),
    [sym__conjunction_operator_custom] = ACTIONS(3328),
    [sym__disjunction_operator_custom] = ACTIONS(3328),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3328),
    [sym__eq_custom] = ACTIONS(3328),
    [sym__eq_eq_custom] = ACTIONS(3328),
    [sym__plus_then_ws] = ACTIONS(3328),
    [sym__minus_then_ws] = ACTIONS(3328),
    [sym__bang_custom] = ACTIONS(3328),
    [sym_default_keyword] = ACTIONS(3328),
    [sym__as_custom] = ACTIONS(3328),
    [sym__as_quest_custom] = ACTIONS(3328),
    [sym__as_bang_custom] = ACTIONS(3328),
    [sym__custom_operator] = ACTIONS(3328),
  },
  [1163] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3120),
    [anon_sym_package] = ACTIONS(3120),
    [anon_sym_COMMA] = ACTIONS(3120),
    [anon_sym_LPAREN] = ACTIONS(3120),
    [anon_sym_LBRACK] = ACTIONS(3120),
    [anon_sym_QMARK] = ACTIONS(3122),
    [anon_sym_QMARK2] = ACTIONS(3120),
    [anon_sym_AMP] = ACTIONS(3120),
    [aux_sym_custom_operator_token1] = ACTIONS(3120),
    [anon_sym_LT] = ACTIONS(3122),
    [anon_sym_GT] = ACTIONS(3122),
    [anon_sym_LBRACE] = ACTIONS(3120),
    [anon_sym_CARET_LBRACE] = ACTIONS(3120),
    [anon_sym_RBRACE] = ACTIONS(3120),
    [anon_sym_case] = ACTIONS(3120),
    [anon_sym_fallthrough] = ACTIONS(3120),
    [anon_sym_PLUS_EQ] = ACTIONS(3120),
    [anon_sym_DASH_EQ] = ACTIONS(3120),
    [anon_sym_STAR_EQ] = ACTIONS(3120),
    [anon_sym_SLASH_EQ] = ACTIONS(3120),
    [anon_sym_PERCENT_EQ] = ACTIONS(3120),
    [anon_sym_BANG_EQ] = ACTIONS(3122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3120),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3120),
    [anon_sym_LT_EQ] = ACTIONS(3120),
    [anon_sym_GT_EQ] = ACTIONS(3120),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3120),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3120),
    [anon_sym_is] = ACTIONS(3120),
    [anon_sym_PLUS] = ACTIONS(3122),
    [anon_sym_DASH] = ACTIONS(3122),
    [anon_sym_STAR] = ACTIONS(3122),
    [anon_sym_SLASH] = ACTIONS(3122),
    [anon_sym_PERCENT] = ACTIONS(3122),
    [anon_sym_PLUS_PLUS] = ACTIONS(3120),
    [anon_sym_DASH_DASH] = ACTIONS(3120),
    [anon_sym_PIPE] = ACTIONS(3120),
    [anon_sym_CARET] = ACTIONS(3122),
    [anon_sym_LT_LT] = ACTIONS(3120),
    [anon_sym_GT_GT] = ACTIONS(3120),
    [anon_sym_class] = ACTIONS(3120),
    [anon_sym_BANG2] = ACTIONS(3122),
    [anon_sym_prefix] = ACTIONS(3120),
    [anon_sym_infix] = ACTIONS(3120),
    [anon_sym_postfix] = ACTIONS(3120),
    [anon_sym_AT] = ACTIONS(3122),
    [anon_sym_override] = ACTIONS(3120),
    [anon_sym_convenience] = ACTIONS(3120),
    [anon_sym_required] = ACTIONS(3120),
    [anon_sym_nonisolated] = ACTIONS(3120),
    [anon_sym_public] = ACTIONS(3120),
    [anon_sym_private] = ACTIONS(3120),
    [anon_sym_internal] = ACTIONS(3120),
    [anon_sym_fileprivate] = ACTIONS(3120),
    [anon_sym_open] = ACTIONS(3120),
    [anon_sym_mutating] = ACTIONS(3120),
    [anon_sym_nonmutating] = ACTIONS(3120),
    [anon_sym_static] = ACTIONS(3120),
    [anon_sym_dynamic] = ACTIONS(3120),
    [anon_sym_optional] = ACTIONS(3120),
    [anon_sym_distributed] = ACTIONS(3120),
    [anon_sym_final] = ACTIONS(3120),
    [anon_sym_inout] = ACTIONS(3120),
    [anon_sym_ATescaping] = ACTIONS(3120),
    [anon_sym_ATautoclosure] = ACTIONS(3120),
    [anon_sym_weak] = ACTIONS(3120),
    [anon_sym_unowned] = ACTIONS(3122),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3120),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3120),
    [anon_sym_borrowing] = ACTIONS(3120),
    [anon_sym_consuming] = ACTIONS(3120),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3120),
    [sym__explicit_semi] = ACTIONS(3120),
    [sym__dot_custom] = ACTIONS(3120),
    [sym__conjunction_operator_custom] = ACTIONS(3120),
    [sym__disjunction_operator_custom] = ACTIONS(3120),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3120),
    [sym__eq_custom] = ACTIONS(3120),
    [sym__eq_eq_custom] = ACTIONS(3120),
    [sym__plus_then_ws] = ACTIONS(3120),
    [sym__minus_then_ws] = ACTIONS(3120),
    [sym__bang_custom] = ACTIONS(3120),
    [sym_default_keyword] = ACTIONS(3120),
    [sym__as_custom] = ACTIONS(3120),
    [sym__as_quest_custom] = ACTIONS(3120),
    [sym__as_bang_custom] = ACTIONS(3120),
    [sym__custom_operator] = ACTIONS(3120),
  },
  [1164] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3352),
    [anon_sym_package] = ACTIONS(3352),
    [anon_sym_COMMA] = ACTIONS(3352),
    [anon_sym_LPAREN] = ACTIONS(3352),
    [anon_sym_LBRACK] = ACTIONS(3352),
    [anon_sym_QMARK] = ACTIONS(3354),
    [anon_sym_QMARK2] = ACTIONS(3352),
    [anon_sym_AMP] = ACTIONS(3352),
    [aux_sym_custom_operator_token1] = ACTIONS(3352),
    [anon_sym_LT] = ACTIONS(3354),
    [anon_sym_GT] = ACTIONS(3354),
    [anon_sym_LBRACE] = ACTIONS(3352),
    [anon_sym_CARET_LBRACE] = ACTIONS(3352),
    [anon_sym_RBRACE] = ACTIONS(3352),
    [anon_sym_case] = ACTIONS(3352),
    [anon_sym_fallthrough] = ACTIONS(3352),
    [anon_sym_PLUS_EQ] = ACTIONS(3352),
    [anon_sym_DASH_EQ] = ACTIONS(3352),
    [anon_sym_STAR_EQ] = ACTIONS(3352),
    [anon_sym_SLASH_EQ] = ACTIONS(3352),
    [anon_sym_PERCENT_EQ] = ACTIONS(3352),
    [anon_sym_BANG_EQ] = ACTIONS(3354),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3352),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3352),
    [anon_sym_LT_EQ] = ACTIONS(3352),
    [anon_sym_GT_EQ] = ACTIONS(3352),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3352),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3352),
    [anon_sym_is] = ACTIONS(3352),
    [anon_sym_PLUS] = ACTIONS(3354),
    [anon_sym_DASH] = ACTIONS(3354),
    [anon_sym_STAR] = ACTIONS(3354),
    [anon_sym_SLASH] = ACTIONS(3354),
    [anon_sym_PERCENT] = ACTIONS(3354),
    [anon_sym_PLUS_PLUS] = ACTIONS(3352),
    [anon_sym_DASH_DASH] = ACTIONS(3352),
    [anon_sym_PIPE] = ACTIONS(3352),
    [anon_sym_CARET] = ACTIONS(3354),
    [anon_sym_LT_LT] = ACTIONS(3352),
    [anon_sym_GT_GT] = ACTIONS(3352),
    [anon_sym_class] = ACTIONS(3352),
    [anon_sym_BANG2] = ACTIONS(3354),
    [anon_sym_prefix] = ACTIONS(3352),
    [anon_sym_infix] = ACTIONS(3352),
    [anon_sym_postfix] = ACTIONS(3352),
    [anon_sym_AT] = ACTIONS(3354),
    [anon_sym_override] = ACTIONS(3352),
    [anon_sym_convenience] = ACTIONS(3352),
    [anon_sym_required] = ACTIONS(3352),
    [anon_sym_nonisolated] = ACTIONS(3352),
    [anon_sym_public] = ACTIONS(3352),
    [anon_sym_private] = ACTIONS(3352),
    [anon_sym_internal] = ACTIONS(3352),
    [anon_sym_fileprivate] = ACTIONS(3352),
    [anon_sym_open] = ACTIONS(3352),
    [anon_sym_mutating] = ACTIONS(3352),
    [anon_sym_nonmutating] = ACTIONS(3352),
    [anon_sym_static] = ACTIONS(3352),
    [anon_sym_dynamic] = ACTIONS(3352),
    [anon_sym_optional] = ACTIONS(3352),
    [anon_sym_distributed] = ACTIONS(3352),
    [anon_sym_final] = ACTIONS(3352),
    [anon_sym_inout] = ACTIONS(3352),
    [anon_sym_ATescaping] = ACTIONS(3352),
    [anon_sym_ATautoclosure] = ACTIONS(3352),
    [anon_sym_weak] = ACTIONS(3352),
    [anon_sym_unowned] = ACTIONS(3354),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3352),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3352),
    [anon_sym_borrowing] = ACTIONS(3352),
    [anon_sym_consuming] = ACTIONS(3352),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3352),
    [sym__explicit_semi] = ACTIONS(3352),
    [sym__dot_custom] = ACTIONS(3352),
    [sym__conjunction_operator_custom] = ACTIONS(3352),
    [sym__disjunction_operator_custom] = ACTIONS(3352),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3352),
    [sym__eq_custom] = ACTIONS(3352),
    [sym__eq_eq_custom] = ACTIONS(3352),
    [sym__plus_then_ws] = ACTIONS(3352),
    [sym__minus_then_ws] = ACTIONS(3352),
    [sym__bang_custom] = ACTIONS(3352),
    [sym_default_keyword] = ACTIONS(3352),
    [sym__as_custom] = ACTIONS(3352),
    [sym__as_quest_custom] = ACTIONS(3352),
    [sym__as_bang_custom] = ACTIONS(3352),
    [sym__custom_operator] = ACTIONS(3352),
  },
  [1165] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3360),
    [anon_sym_package] = ACTIONS(3360),
    [anon_sym_COMMA] = ACTIONS(3360),
    [anon_sym_LPAREN] = ACTIONS(3360),
    [anon_sym_LBRACK] = ACTIONS(3360),
    [anon_sym_QMARK] = ACTIONS(3362),
    [anon_sym_QMARK2] = ACTIONS(3360),
    [anon_sym_AMP] = ACTIONS(3360),
    [aux_sym_custom_operator_token1] = ACTIONS(3360),
    [anon_sym_LT] = ACTIONS(3362),
    [anon_sym_GT] = ACTIONS(3362),
    [anon_sym_LBRACE] = ACTIONS(3360),
    [anon_sym_CARET_LBRACE] = ACTIONS(3360),
    [anon_sym_RBRACE] = ACTIONS(3360),
    [anon_sym_case] = ACTIONS(3360),
    [anon_sym_fallthrough] = ACTIONS(3360),
    [anon_sym_PLUS_EQ] = ACTIONS(3360),
    [anon_sym_DASH_EQ] = ACTIONS(3360),
    [anon_sym_STAR_EQ] = ACTIONS(3360),
    [anon_sym_SLASH_EQ] = ACTIONS(3360),
    [anon_sym_PERCENT_EQ] = ACTIONS(3360),
    [anon_sym_BANG_EQ] = ACTIONS(3362),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3360),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3360),
    [anon_sym_LT_EQ] = ACTIONS(3360),
    [anon_sym_GT_EQ] = ACTIONS(3360),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3360),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3360),
    [anon_sym_is] = ACTIONS(3360),
    [anon_sym_PLUS] = ACTIONS(3362),
    [anon_sym_DASH] = ACTIONS(3362),
    [anon_sym_STAR] = ACTIONS(3362),
    [anon_sym_SLASH] = ACTIONS(3362),
    [anon_sym_PERCENT] = ACTIONS(3362),
    [anon_sym_PLUS_PLUS] = ACTIONS(3360),
    [anon_sym_DASH_DASH] = ACTIONS(3360),
    [anon_sym_PIPE] = ACTIONS(3360),
    [anon_sym_CARET] = ACTIONS(3362),
    [anon_sym_LT_LT] = ACTIONS(3360),
    [anon_sym_GT_GT] = ACTIONS(3360),
    [anon_sym_class] = ACTIONS(3360),
    [anon_sym_BANG2] = ACTIONS(3362),
    [anon_sym_prefix] = ACTIONS(3360),
    [anon_sym_infix] = ACTIONS(3360),
    [anon_sym_postfix] = ACTIONS(3360),
    [anon_sym_AT] = ACTIONS(3362),
    [anon_sym_override] = ACTIONS(3360),
    [anon_sym_convenience] = ACTIONS(3360),
    [anon_sym_required] = ACTIONS(3360),
    [anon_sym_nonisolated] = ACTIONS(3360),
    [anon_sym_public] = ACTIONS(3360),
    [anon_sym_private] = ACTIONS(3360),
    [anon_sym_internal] = ACTIONS(3360),
    [anon_sym_fileprivate] = ACTIONS(3360),
    [anon_sym_open] = ACTIONS(3360),
    [anon_sym_mutating] = ACTIONS(3360),
    [anon_sym_nonmutating] = ACTIONS(3360),
    [anon_sym_static] = ACTIONS(3360),
    [anon_sym_dynamic] = ACTIONS(3360),
    [anon_sym_optional] = ACTIONS(3360),
    [anon_sym_distributed] = ACTIONS(3360),
    [anon_sym_final] = ACTIONS(3360),
    [anon_sym_inout] = ACTIONS(3360),
    [anon_sym_ATescaping] = ACTIONS(3360),
    [anon_sym_ATautoclosure] = ACTIONS(3360),
    [anon_sym_weak] = ACTIONS(3360),
    [anon_sym_unowned] = ACTIONS(3362),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3360),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3360),
    [anon_sym_borrowing] = ACTIONS(3360),
    [anon_sym_consuming] = ACTIONS(3360),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3360),
    [sym__explicit_semi] = ACTIONS(3360),
    [sym__dot_custom] = ACTIONS(3360),
    [sym__conjunction_operator_custom] = ACTIONS(3360),
    [sym__disjunction_operator_custom] = ACTIONS(3360),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3360),
    [sym__eq_custom] = ACTIONS(3360),
    [sym__eq_eq_custom] = ACTIONS(3360),
    [sym__plus_then_ws] = ACTIONS(3360),
    [sym__minus_then_ws] = ACTIONS(3360),
    [sym__bang_custom] = ACTIONS(3360),
    [sym_default_keyword] = ACTIONS(3360),
    [sym__as_custom] = ACTIONS(3360),
    [sym__as_quest_custom] = ACTIONS(3360),
    [sym__as_bang_custom] = ACTIONS(3360),
    [sym__custom_operator] = ACTIONS(3360),
  },
  [1166] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3172),
    [anon_sym_package] = ACTIONS(3172),
    [anon_sym_COMMA] = ACTIONS(3172),
    [anon_sym_LPAREN] = ACTIONS(3172),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_QMARK] = ACTIONS(3174),
    [anon_sym_QMARK2] = ACTIONS(3172),
    [anon_sym_AMP] = ACTIONS(3172),
    [aux_sym_custom_operator_token1] = ACTIONS(3172),
    [anon_sym_LT] = ACTIONS(3174),
    [anon_sym_GT] = ACTIONS(3174),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_CARET_LBRACE] = ACTIONS(3172),
    [anon_sym_RBRACE] = ACTIONS(3172),
    [anon_sym_case] = ACTIONS(3172),
    [anon_sym_fallthrough] = ACTIONS(3172),
    [anon_sym_PLUS_EQ] = ACTIONS(3172),
    [anon_sym_DASH_EQ] = ACTIONS(3172),
    [anon_sym_STAR_EQ] = ACTIONS(3172),
    [anon_sym_SLASH_EQ] = ACTIONS(3172),
    [anon_sym_PERCENT_EQ] = ACTIONS(3172),
    [anon_sym_BANG_EQ] = ACTIONS(3174),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3172),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3172),
    [anon_sym_LT_EQ] = ACTIONS(3172),
    [anon_sym_GT_EQ] = ACTIONS(3172),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3172),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3172),
    [anon_sym_is] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3174),
    [anon_sym_DASH] = ACTIONS(3174),
    [anon_sym_STAR] = ACTIONS(3174),
    [anon_sym_SLASH] = ACTIONS(3174),
    [anon_sym_PERCENT] = ACTIONS(3174),
    [anon_sym_PLUS_PLUS] = ACTIONS(3172),
    [anon_sym_DASH_DASH] = ACTIONS(3172),
    [anon_sym_PIPE] = ACTIONS(3172),
    [anon_sym_CARET] = ACTIONS(3174),
    [anon_sym_LT_LT] = ACTIONS(3172),
    [anon_sym_GT_GT] = ACTIONS(3172),
    [anon_sym_class] = ACTIONS(3172),
    [anon_sym_BANG2] = ACTIONS(3174),
    [anon_sym_prefix] = ACTIONS(3172),
    [anon_sym_infix] = ACTIONS(3172),
    [anon_sym_postfix] = ACTIONS(3172),
    [anon_sym_AT] = ACTIONS(3174),
    [anon_sym_override] = ACTIONS(3172),
    [anon_sym_convenience] = ACTIONS(3172),
    [anon_sym_required] = ACTIONS(3172),
    [anon_sym_nonisolated] = ACTIONS(3172),
    [anon_sym_public] = ACTIONS(3172),
    [anon_sym_private] = ACTIONS(3172),
    [anon_sym_internal] = ACTIONS(3172),
    [anon_sym_fileprivate] = ACTIONS(3172),
    [anon_sym_open] = ACTIONS(3172),
    [anon_sym_mutating] = ACTIONS(3172),
    [anon_sym_nonmutating] = ACTIONS(3172),
    [anon_sym_static] = ACTIONS(3172),
    [anon_sym_dynamic] = ACTIONS(3172),
    [anon_sym_optional] = ACTIONS(3172),
    [anon_sym_distributed] = ACTIONS(3172),
    [anon_sym_final] = ACTIONS(3172),
    [anon_sym_inout] = ACTIONS(3172),
    [anon_sym_ATescaping] = ACTIONS(3172),
    [anon_sym_ATautoclosure] = ACTIONS(3172),
    [anon_sym_weak] = ACTIONS(3172),
    [anon_sym_unowned] = ACTIONS(3174),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3172),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3172),
    [anon_sym_borrowing] = ACTIONS(3172),
    [anon_sym_consuming] = ACTIONS(3172),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3172),
    [sym__explicit_semi] = ACTIONS(3172),
    [sym__dot_custom] = ACTIONS(3172),
    [sym__conjunction_operator_custom] = ACTIONS(3172),
    [sym__disjunction_operator_custom] = ACTIONS(3172),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3172),
    [sym__eq_custom] = ACTIONS(3172),
    [sym__eq_eq_custom] = ACTIONS(3172),
    [sym__plus_then_ws] = ACTIONS(3172),
    [sym__minus_then_ws] = ACTIONS(3172),
    [sym__bang_custom] = ACTIONS(3172),
    [sym_default_keyword] = ACTIONS(3172),
    [sym__as_custom] = ACTIONS(3172),
    [sym__as_quest_custom] = ACTIONS(3172),
    [sym__as_bang_custom] = ACTIONS(3172),
    [sym__custom_operator] = ACTIONS(3172),
  },
  [1167] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3156),
    [anon_sym_package] = ACTIONS(3156),
    [anon_sym_COMMA] = ACTIONS(3156),
    [anon_sym_LPAREN] = ACTIONS(3156),
    [anon_sym_LBRACK] = ACTIONS(3156),
    [anon_sym_QMARK] = ACTIONS(3158),
    [anon_sym_QMARK2] = ACTIONS(3156),
    [anon_sym_AMP] = ACTIONS(3156),
    [aux_sym_custom_operator_token1] = ACTIONS(3156),
    [anon_sym_LT] = ACTIONS(3158),
    [anon_sym_GT] = ACTIONS(3158),
    [anon_sym_LBRACE] = ACTIONS(3156),
    [anon_sym_CARET_LBRACE] = ACTIONS(3156),
    [anon_sym_RBRACE] = ACTIONS(3156),
    [anon_sym_case] = ACTIONS(3156),
    [anon_sym_fallthrough] = ACTIONS(3156),
    [anon_sym_PLUS_EQ] = ACTIONS(3156),
    [anon_sym_DASH_EQ] = ACTIONS(3156),
    [anon_sym_STAR_EQ] = ACTIONS(3156),
    [anon_sym_SLASH_EQ] = ACTIONS(3156),
    [anon_sym_PERCENT_EQ] = ACTIONS(3156),
    [anon_sym_BANG_EQ] = ACTIONS(3158),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3156),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3156),
    [anon_sym_LT_EQ] = ACTIONS(3156),
    [anon_sym_GT_EQ] = ACTIONS(3156),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3156),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3156),
    [anon_sym_is] = ACTIONS(3156),
    [anon_sym_PLUS] = ACTIONS(3158),
    [anon_sym_DASH] = ACTIONS(3158),
    [anon_sym_STAR] = ACTIONS(3158),
    [anon_sym_SLASH] = ACTIONS(3158),
    [anon_sym_PERCENT] = ACTIONS(3158),
    [anon_sym_PLUS_PLUS] = ACTIONS(3156),
    [anon_sym_DASH_DASH] = ACTIONS(3156),
    [anon_sym_PIPE] = ACTIONS(3156),
    [anon_sym_CARET] = ACTIONS(3158),
    [anon_sym_LT_LT] = ACTIONS(3156),
    [anon_sym_GT_GT] = ACTIONS(3156),
    [anon_sym_class] = ACTIONS(3156),
    [anon_sym_BANG2] = ACTIONS(3158),
    [anon_sym_prefix] = ACTIONS(3156),
    [anon_sym_infix] = ACTIONS(3156),
    [anon_sym_postfix] = ACTIONS(3156),
    [anon_sym_AT] = ACTIONS(3158),
    [anon_sym_override] = ACTIONS(3156),
    [anon_sym_convenience] = ACTIONS(3156),
    [anon_sym_required] = ACTIONS(3156),
    [anon_sym_nonisolated] = ACTIONS(3156),
    [anon_sym_public] = ACTIONS(3156),
    [anon_sym_private] = ACTIONS(3156),
    [anon_sym_internal] = ACTIONS(3156),
    [anon_sym_fileprivate] = ACTIONS(3156),
    [anon_sym_open] = ACTIONS(3156),
    [anon_sym_mutating] = ACTIONS(3156),
    [anon_sym_nonmutating] = ACTIONS(3156),
    [anon_sym_static] = ACTIONS(3156),
    [anon_sym_dynamic] = ACTIONS(3156),
    [anon_sym_optional] = ACTIONS(3156),
    [anon_sym_distributed] = ACTIONS(3156),
    [anon_sym_final] = ACTIONS(3156),
    [anon_sym_inout] = ACTIONS(3156),
    [anon_sym_ATescaping] = ACTIONS(3156),
    [anon_sym_ATautoclosure] = ACTIONS(3156),
    [anon_sym_weak] = ACTIONS(3156),
    [anon_sym_unowned] = ACTIONS(3158),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3156),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3156),
    [anon_sym_borrowing] = ACTIONS(3156),
    [anon_sym_consuming] = ACTIONS(3156),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3156),
    [sym__explicit_semi] = ACTIONS(3156),
    [sym__dot_custom] = ACTIONS(3156),
    [sym__conjunction_operator_custom] = ACTIONS(3156),
    [sym__disjunction_operator_custom] = ACTIONS(3156),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3156),
    [sym__eq_custom] = ACTIONS(3156),
    [sym__eq_eq_custom] = ACTIONS(3156),
    [sym__plus_then_ws] = ACTIONS(3156),
    [sym__minus_then_ws] = ACTIONS(3156),
    [sym__bang_custom] = ACTIONS(3156),
    [sym_default_keyword] = ACTIONS(3156),
    [sym__as_custom] = ACTIONS(3156),
    [sym__as_quest_custom] = ACTIONS(3156),
    [sym__as_bang_custom] = ACTIONS(3156),
    [sym__custom_operator] = ACTIONS(3156),
  },
  [1168] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3035),
    [anon_sym_package] = ACTIONS(3035),
    [anon_sym_COMMA] = ACTIONS(3035),
    [anon_sym_LPAREN] = ACTIONS(3035),
    [anon_sym_LBRACK] = ACTIONS(3035),
    [anon_sym_QMARK] = ACTIONS(3033),
    [anon_sym_QMARK2] = ACTIONS(3035),
    [anon_sym_AMP] = ACTIONS(3035),
    [aux_sym_custom_operator_token1] = ACTIONS(3035),
    [anon_sym_LT] = ACTIONS(3033),
    [anon_sym_GT] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_CARET_LBRACE] = ACTIONS(3035),
    [anon_sym_RBRACE] = ACTIONS(3035),
    [anon_sym_case] = ACTIONS(3035),
    [anon_sym_fallthrough] = ACTIONS(3035),
    [anon_sym_PLUS_EQ] = ACTIONS(3035),
    [anon_sym_DASH_EQ] = ACTIONS(3035),
    [anon_sym_STAR_EQ] = ACTIONS(3035),
    [anon_sym_SLASH_EQ] = ACTIONS(3035),
    [anon_sym_PERCENT_EQ] = ACTIONS(3035),
    [anon_sym_BANG_EQ] = ACTIONS(3033),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3035),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3035),
    [anon_sym_LT_EQ] = ACTIONS(3035),
    [anon_sym_GT_EQ] = ACTIONS(3035),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3035),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3035),
    [anon_sym_is] = ACTIONS(3035),
    [anon_sym_PLUS] = ACTIONS(3033),
    [anon_sym_DASH] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3033),
    [anon_sym_SLASH] = ACTIONS(3033),
    [anon_sym_PERCENT] = ACTIONS(3033),
    [anon_sym_PLUS_PLUS] = ACTIONS(3035),
    [anon_sym_DASH_DASH] = ACTIONS(3035),
    [anon_sym_PIPE] = ACTIONS(3035),
    [anon_sym_CARET] = ACTIONS(3033),
    [anon_sym_LT_LT] = ACTIONS(3035),
    [anon_sym_GT_GT] = ACTIONS(3035),
    [anon_sym_class] = ACTIONS(3035),
    [anon_sym_BANG2] = ACTIONS(3033),
    [anon_sym_prefix] = ACTIONS(3035),
    [anon_sym_infix] = ACTIONS(3035),
    [anon_sym_postfix] = ACTIONS(3035),
    [anon_sym_AT] = ACTIONS(3033),
    [anon_sym_override] = ACTIONS(3035),
    [anon_sym_convenience] = ACTIONS(3035),
    [anon_sym_required] = ACTIONS(3035),
    [anon_sym_nonisolated] = ACTIONS(3035),
    [anon_sym_public] = ACTIONS(3035),
    [anon_sym_private] = ACTIONS(3035),
    [anon_sym_internal] = ACTIONS(3035),
    [anon_sym_fileprivate] = ACTIONS(3035),
    [anon_sym_open] = ACTIONS(3035),
    [anon_sym_mutating] = ACTIONS(3035),
    [anon_sym_nonmutating] = ACTIONS(3035),
    [anon_sym_static] = ACTIONS(3035),
    [anon_sym_dynamic] = ACTIONS(3035),
    [anon_sym_optional] = ACTIONS(3035),
    [anon_sym_distributed] = ACTIONS(3035),
    [anon_sym_final] = ACTIONS(3035),
    [anon_sym_inout] = ACTIONS(3035),
    [anon_sym_ATescaping] = ACTIONS(3035),
    [anon_sym_ATautoclosure] = ACTIONS(3035),
    [anon_sym_weak] = ACTIONS(3035),
    [anon_sym_unowned] = ACTIONS(3033),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3035),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3035),
    [anon_sym_borrowing] = ACTIONS(3035),
    [anon_sym_consuming] = ACTIONS(3035),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3035),
    [sym__explicit_semi] = ACTIONS(3035),
    [sym__dot_custom] = ACTIONS(3035),
    [sym__conjunction_operator_custom] = ACTIONS(3035),
    [sym__disjunction_operator_custom] = ACTIONS(3035),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3035),
    [sym__eq_custom] = ACTIONS(3035),
    [sym__eq_eq_custom] = ACTIONS(3035),
    [sym__plus_then_ws] = ACTIONS(3035),
    [sym__minus_then_ws] = ACTIONS(3035),
    [sym__bang_custom] = ACTIONS(3035),
    [sym_default_keyword] = ACTIONS(3035),
    [sym__as_custom] = ACTIONS(3035),
    [sym__as_quest_custom] = ACTIONS(3035),
    [sym__as_bang_custom] = ACTIONS(3035),
    [sym__custom_operator] = ACTIONS(3035),
  },
  [1169] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3168),
    [anon_sym_package] = ACTIONS(3168),
    [anon_sym_COMMA] = ACTIONS(3168),
    [anon_sym_LPAREN] = ACTIONS(3168),
    [anon_sym_LBRACK] = ACTIONS(3168),
    [anon_sym_QMARK] = ACTIONS(3170),
    [anon_sym_QMARK2] = ACTIONS(3168),
    [anon_sym_AMP] = ACTIONS(3168),
    [aux_sym_custom_operator_token1] = ACTIONS(3168),
    [anon_sym_LT] = ACTIONS(3170),
    [anon_sym_GT] = ACTIONS(3170),
    [anon_sym_LBRACE] = ACTIONS(3168),
    [anon_sym_CARET_LBRACE] = ACTIONS(3168),
    [anon_sym_RBRACE] = ACTIONS(3168),
    [anon_sym_case] = ACTIONS(3168),
    [anon_sym_fallthrough] = ACTIONS(3168),
    [anon_sym_PLUS_EQ] = ACTIONS(3168),
    [anon_sym_DASH_EQ] = ACTIONS(3168),
    [anon_sym_STAR_EQ] = ACTIONS(3168),
    [anon_sym_SLASH_EQ] = ACTIONS(3168),
    [anon_sym_PERCENT_EQ] = ACTIONS(3168),
    [anon_sym_BANG_EQ] = ACTIONS(3170),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3168),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3168),
    [anon_sym_LT_EQ] = ACTIONS(3168),
    [anon_sym_GT_EQ] = ACTIONS(3168),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3168),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3168),
    [anon_sym_is] = ACTIONS(3168),
    [anon_sym_PLUS] = ACTIONS(3170),
    [anon_sym_DASH] = ACTIONS(3170),
    [anon_sym_STAR] = ACTIONS(3170),
    [anon_sym_SLASH] = ACTIONS(3170),
    [anon_sym_PERCENT] = ACTIONS(3170),
    [anon_sym_PLUS_PLUS] = ACTIONS(3168),
    [anon_sym_DASH_DASH] = ACTIONS(3168),
    [anon_sym_PIPE] = ACTIONS(3168),
    [anon_sym_CARET] = ACTIONS(3170),
    [anon_sym_LT_LT] = ACTIONS(3168),
    [anon_sym_GT_GT] = ACTIONS(3168),
    [anon_sym_class] = ACTIONS(3168),
    [anon_sym_BANG2] = ACTIONS(3170),
    [anon_sym_prefix] = ACTIONS(3168),
    [anon_sym_infix] = ACTIONS(3168),
    [anon_sym_postfix] = ACTIONS(3168),
    [anon_sym_AT] = ACTIONS(3170),
    [anon_sym_override] = ACTIONS(3168),
    [anon_sym_convenience] = ACTIONS(3168),
    [anon_sym_required] = ACTIONS(3168),
    [anon_sym_nonisolated] = ACTIONS(3168),
    [anon_sym_public] = ACTIONS(3168),
    [anon_sym_private] = ACTIONS(3168),
    [anon_sym_internal] = ACTIONS(3168),
    [anon_sym_fileprivate] = ACTIONS(3168),
    [anon_sym_open] = ACTIONS(3168),
    [anon_sym_mutating] = ACTIONS(3168),
    [anon_sym_nonmutating] = ACTIONS(3168),
    [anon_sym_static] = ACTIONS(3168),
    [anon_sym_dynamic] = ACTIONS(3168),
    [anon_sym_optional] = ACTIONS(3168),
    [anon_sym_distributed] = ACTIONS(3168),
    [anon_sym_final] = ACTIONS(3168),
    [anon_sym_inout] = ACTIONS(3168),
    [anon_sym_ATescaping] = ACTIONS(3168),
    [anon_sym_ATautoclosure] = ACTIONS(3168),
    [anon_sym_weak] = ACTIONS(3168),
    [anon_sym_unowned] = ACTIONS(3170),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3168),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3168),
    [anon_sym_borrowing] = ACTIONS(3168),
    [anon_sym_consuming] = ACTIONS(3168),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3168),
    [sym__explicit_semi] = ACTIONS(3168),
    [sym__dot_custom] = ACTIONS(3168),
    [sym__conjunction_operator_custom] = ACTIONS(3168),
    [sym__disjunction_operator_custom] = ACTIONS(3168),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3168),
    [sym__eq_custom] = ACTIONS(3168),
    [sym__eq_eq_custom] = ACTIONS(3168),
    [sym__plus_then_ws] = ACTIONS(3168),
    [sym__minus_then_ws] = ACTIONS(3168),
    [sym__bang_custom] = ACTIONS(3168),
    [sym_default_keyword] = ACTIONS(3168),
    [sym__as_custom] = ACTIONS(3168),
    [sym__as_quest_custom] = ACTIONS(3168),
    [sym__as_bang_custom] = ACTIONS(3168),
    [sym__custom_operator] = ACTIONS(3168),
  },
  [1170] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3180),
    [anon_sym_package] = ACTIONS(3180),
    [anon_sym_COMMA] = ACTIONS(3180),
    [anon_sym_LPAREN] = ACTIONS(3180),
    [anon_sym_LBRACK] = ACTIONS(3180),
    [anon_sym_QMARK] = ACTIONS(3182),
    [anon_sym_QMARK2] = ACTIONS(3180),
    [anon_sym_AMP] = ACTIONS(3180),
    [aux_sym_custom_operator_token1] = ACTIONS(3180),
    [anon_sym_LT] = ACTIONS(3182),
    [anon_sym_GT] = ACTIONS(3182),
    [anon_sym_LBRACE] = ACTIONS(3180),
    [anon_sym_CARET_LBRACE] = ACTIONS(3180),
    [anon_sym_RBRACE] = ACTIONS(3180),
    [anon_sym_case] = ACTIONS(3180),
    [anon_sym_fallthrough] = ACTIONS(3180),
    [anon_sym_PLUS_EQ] = ACTIONS(3180),
    [anon_sym_DASH_EQ] = ACTIONS(3180),
    [anon_sym_STAR_EQ] = ACTIONS(3180),
    [anon_sym_SLASH_EQ] = ACTIONS(3180),
    [anon_sym_PERCENT_EQ] = ACTIONS(3180),
    [anon_sym_BANG_EQ] = ACTIONS(3182),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3180),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3180),
    [anon_sym_LT_EQ] = ACTIONS(3180),
    [anon_sym_GT_EQ] = ACTIONS(3180),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3180),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3180),
    [anon_sym_is] = ACTIONS(3180),
    [anon_sym_PLUS] = ACTIONS(3182),
    [anon_sym_DASH] = ACTIONS(3182),
    [anon_sym_STAR] = ACTIONS(3182),
    [anon_sym_SLASH] = ACTIONS(3182),
    [anon_sym_PERCENT] = ACTIONS(3182),
    [anon_sym_PLUS_PLUS] = ACTIONS(3180),
    [anon_sym_DASH_DASH] = ACTIONS(3180),
    [anon_sym_PIPE] = ACTIONS(3180),
    [anon_sym_CARET] = ACTIONS(3182),
    [anon_sym_LT_LT] = ACTIONS(3180),
    [anon_sym_GT_GT] = ACTIONS(3180),
    [anon_sym_class] = ACTIONS(3180),
    [anon_sym_BANG2] = ACTIONS(3182),
    [anon_sym_prefix] = ACTIONS(3180),
    [anon_sym_infix] = ACTIONS(3180),
    [anon_sym_postfix] = ACTIONS(3180),
    [anon_sym_AT] = ACTIONS(3182),
    [anon_sym_override] = ACTIONS(3180),
    [anon_sym_convenience] = ACTIONS(3180),
    [anon_sym_required] = ACTIONS(3180),
    [anon_sym_nonisolated] = ACTIONS(3180),
    [anon_sym_public] = ACTIONS(3180),
    [anon_sym_private] = ACTIONS(3180),
    [anon_sym_internal] = ACTIONS(3180),
    [anon_sym_fileprivate] = ACTIONS(3180),
    [anon_sym_open] = ACTIONS(3180),
    [anon_sym_mutating] = ACTIONS(3180),
    [anon_sym_nonmutating] = ACTIONS(3180),
    [anon_sym_static] = ACTIONS(3180),
    [anon_sym_dynamic] = ACTIONS(3180),
    [anon_sym_optional] = ACTIONS(3180),
    [anon_sym_distributed] = ACTIONS(3180),
    [anon_sym_final] = ACTIONS(3180),
    [anon_sym_inout] = ACTIONS(3180),
    [anon_sym_ATescaping] = ACTIONS(3180),
    [anon_sym_ATautoclosure] = ACTIONS(3180),
    [anon_sym_weak] = ACTIONS(3180),
    [anon_sym_unowned] = ACTIONS(3182),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3180),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3180),
    [anon_sym_borrowing] = ACTIONS(3180),
    [anon_sym_consuming] = ACTIONS(3180),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3180),
    [sym__explicit_semi] = ACTIONS(3180),
    [sym__dot_custom] = ACTIONS(3180),
    [sym__conjunction_operator_custom] = ACTIONS(3180),
    [sym__disjunction_operator_custom] = ACTIONS(3180),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3180),
    [sym__eq_custom] = ACTIONS(3180),
    [sym__eq_eq_custom] = ACTIONS(3180),
    [sym__plus_then_ws] = ACTIONS(3180),
    [sym__minus_then_ws] = ACTIONS(3180),
    [sym__bang_custom] = ACTIONS(3180),
    [sym_default_keyword] = ACTIONS(3180),
    [sym__as_custom] = ACTIONS(3180),
    [sym__as_quest_custom] = ACTIONS(3180),
    [sym__as_bang_custom] = ACTIONS(3180),
    [sym__custom_operator] = ACTIONS(3180),
  },
  [1171] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3308),
    [anon_sym_package] = ACTIONS(3308),
    [anon_sym_COMMA] = ACTIONS(3308),
    [anon_sym_LPAREN] = ACTIONS(3308),
    [anon_sym_LBRACK] = ACTIONS(3308),
    [anon_sym_QMARK] = ACTIONS(3310),
    [anon_sym_QMARK2] = ACTIONS(3308),
    [anon_sym_AMP] = ACTIONS(3308),
    [aux_sym_custom_operator_token1] = ACTIONS(3308),
    [anon_sym_LT] = ACTIONS(3310),
    [anon_sym_GT] = ACTIONS(3310),
    [anon_sym_LBRACE] = ACTIONS(3308),
    [anon_sym_CARET_LBRACE] = ACTIONS(3308),
    [anon_sym_RBRACE] = ACTIONS(3308),
    [anon_sym_case] = ACTIONS(3308),
    [anon_sym_fallthrough] = ACTIONS(3308),
    [anon_sym_PLUS_EQ] = ACTIONS(3308),
    [anon_sym_DASH_EQ] = ACTIONS(3308),
    [anon_sym_STAR_EQ] = ACTIONS(3308),
    [anon_sym_SLASH_EQ] = ACTIONS(3308),
    [anon_sym_PERCENT_EQ] = ACTIONS(3308),
    [anon_sym_BANG_EQ] = ACTIONS(3310),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3308),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3308),
    [anon_sym_LT_EQ] = ACTIONS(3308),
    [anon_sym_GT_EQ] = ACTIONS(3308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3308),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3308),
    [anon_sym_is] = ACTIONS(3308),
    [anon_sym_PLUS] = ACTIONS(3310),
    [anon_sym_DASH] = ACTIONS(3310),
    [anon_sym_STAR] = ACTIONS(3310),
    [anon_sym_SLASH] = ACTIONS(3310),
    [anon_sym_PERCENT] = ACTIONS(3310),
    [anon_sym_PLUS_PLUS] = ACTIONS(3308),
    [anon_sym_DASH_DASH] = ACTIONS(3308),
    [anon_sym_PIPE] = ACTIONS(3308),
    [anon_sym_CARET] = ACTIONS(3310),
    [anon_sym_LT_LT] = ACTIONS(3308),
    [anon_sym_GT_GT] = ACTIONS(3308),
    [anon_sym_class] = ACTIONS(3308),
    [anon_sym_BANG2] = ACTIONS(3310),
    [anon_sym_prefix] = ACTIONS(3308),
    [anon_sym_infix] = ACTIONS(3308),
    [anon_sym_postfix] = ACTIONS(3308),
    [anon_sym_AT] = ACTIONS(3310),
    [anon_sym_override] = ACTIONS(3308),
    [anon_sym_convenience] = ACTIONS(3308),
    [anon_sym_required] = ACTIONS(3308),
    [anon_sym_nonisolated] = ACTIONS(3308),
    [anon_sym_public] = ACTIONS(3308),
    [anon_sym_private] = ACTIONS(3308),
    [anon_sym_internal] = ACTIONS(3308),
    [anon_sym_fileprivate] = ACTIONS(3308),
    [anon_sym_open] = ACTIONS(3308),
    [anon_sym_mutating] = ACTIONS(3308),
    [anon_sym_nonmutating] = ACTIONS(3308),
    [anon_sym_static] = ACTIONS(3308),
    [anon_sym_dynamic] = ACTIONS(3308),
    [anon_sym_optional] = ACTIONS(3308),
    [anon_sym_distributed] = ACTIONS(3308),
    [anon_sym_final] = ACTIONS(3308),
    [anon_sym_inout] = ACTIONS(3308),
    [anon_sym_ATescaping] = ACTIONS(3308),
    [anon_sym_ATautoclosure] = ACTIONS(3308),
    [anon_sym_weak] = ACTIONS(3308),
    [anon_sym_unowned] = ACTIONS(3310),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3308),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3308),
    [anon_sym_borrowing] = ACTIONS(3308),
    [anon_sym_consuming] = ACTIONS(3308),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3308),
    [sym__explicit_semi] = ACTIONS(3308),
    [sym__dot_custom] = ACTIONS(3308),
    [sym__conjunction_operator_custom] = ACTIONS(3308),
    [sym__disjunction_operator_custom] = ACTIONS(3308),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3308),
    [sym__eq_custom] = ACTIONS(3308),
    [sym__eq_eq_custom] = ACTIONS(3308),
    [sym__plus_then_ws] = ACTIONS(3308),
    [sym__minus_then_ws] = ACTIONS(3308),
    [sym__bang_custom] = ACTIONS(3308),
    [sym_default_keyword] = ACTIONS(3308),
    [sym__as_custom] = ACTIONS(3308),
    [sym__as_quest_custom] = ACTIONS(3308),
    [sym__as_bang_custom] = ACTIONS(3308),
    [sym__custom_operator] = ACTIONS(3308),
  },
  [1172] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3356),
    [anon_sym_package] = ACTIONS(3356),
    [anon_sym_COMMA] = ACTIONS(3356),
    [anon_sym_LPAREN] = ACTIONS(3356),
    [anon_sym_LBRACK] = ACTIONS(3356),
    [anon_sym_QMARK] = ACTIONS(3358),
    [anon_sym_QMARK2] = ACTIONS(3356),
    [anon_sym_AMP] = ACTIONS(3356),
    [aux_sym_custom_operator_token1] = ACTIONS(3356),
    [anon_sym_LT] = ACTIONS(3358),
    [anon_sym_GT] = ACTIONS(3358),
    [anon_sym_LBRACE] = ACTIONS(3356),
    [anon_sym_CARET_LBRACE] = ACTIONS(3356),
    [anon_sym_RBRACE] = ACTIONS(3356),
    [anon_sym_case] = ACTIONS(3356),
    [anon_sym_fallthrough] = ACTIONS(3356),
    [anon_sym_PLUS_EQ] = ACTIONS(3356),
    [anon_sym_DASH_EQ] = ACTIONS(3356),
    [anon_sym_STAR_EQ] = ACTIONS(3356),
    [anon_sym_SLASH_EQ] = ACTIONS(3356),
    [anon_sym_PERCENT_EQ] = ACTIONS(3356),
    [anon_sym_BANG_EQ] = ACTIONS(3358),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3356),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3356),
    [anon_sym_LT_EQ] = ACTIONS(3356),
    [anon_sym_GT_EQ] = ACTIONS(3356),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3356),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3356),
    [anon_sym_is] = ACTIONS(3356),
    [anon_sym_PLUS] = ACTIONS(3358),
    [anon_sym_DASH] = ACTIONS(3358),
    [anon_sym_STAR] = ACTIONS(3358),
    [anon_sym_SLASH] = ACTIONS(3358),
    [anon_sym_PERCENT] = ACTIONS(3358),
    [anon_sym_PLUS_PLUS] = ACTIONS(3356),
    [anon_sym_DASH_DASH] = ACTIONS(3356),
    [anon_sym_PIPE] = ACTIONS(3356),
    [anon_sym_CARET] = ACTIONS(3358),
    [anon_sym_LT_LT] = ACTIONS(3356),
    [anon_sym_GT_GT] = ACTIONS(3356),
    [anon_sym_class] = ACTIONS(3356),
    [anon_sym_BANG2] = ACTIONS(3358),
    [anon_sym_prefix] = ACTIONS(3356),
    [anon_sym_infix] = ACTIONS(3356),
    [anon_sym_postfix] = ACTIONS(3356),
    [anon_sym_AT] = ACTIONS(3358),
    [anon_sym_override] = ACTIONS(3356),
    [anon_sym_convenience] = ACTIONS(3356),
    [anon_sym_required] = ACTIONS(3356),
    [anon_sym_nonisolated] = ACTIONS(3356),
    [anon_sym_public] = ACTIONS(3356),
    [anon_sym_private] = ACTIONS(3356),
    [anon_sym_internal] = ACTIONS(3356),
    [anon_sym_fileprivate] = ACTIONS(3356),
    [anon_sym_open] = ACTIONS(3356),
    [anon_sym_mutating] = ACTIONS(3356),
    [anon_sym_nonmutating] = ACTIONS(3356),
    [anon_sym_static] = ACTIONS(3356),
    [anon_sym_dynamic] = ACTIONS(3356),
    [anon_sym_optional] = ACTIONS(3356),
    [anon_sym_distributed] = ACTIONS(3356),
    [anon_sym_final] = ACTIONS(3356),
    [anon_sym_inout] = ACTIONS(3356),
    [anon_sym_ATescaping] = ACTIONS(3356),
    [anon_sym_ATautoclosure] = ACTIONS(3356),
    [anon_sym_weak] = ACTIONS(3356),
    [anon_sym_unowned] = ACTIONS(3358),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3356),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3356),
    [anon_sym_borrowing] = ACTIONS(3356),
    [anon_sym_consuming] = ACTIONS(3356),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3356),
    [sym__explicit_semi] = ACTIONS(3356),
    [sym__dot_custom] = ACTIONS(3356),
    [sym__conjunction_operator_custom] = ACTIONS(3356),
    [sym__disjunction_operator_custom] = ACTIONS(3356),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3356),
    [sym__eq_custom] = ACTIONS(3356),
    [sym__eq_eq_custom] = ACTIONS(3356),
    [sym__plus_then_ws] = ACTIONS(3356),
    [sym__minus_then_ws] = ACTIONS(3356),
    [sym__bang_custom] = ACTIONS(3356),
    [sym_default_keyword] = ACTIONS(3356),
    [sym__as_custom] = ACTIONS(3356),
    [sym__as_quest_custom] = ACTIONS(3356),
    [sym__as_bang_custom] = ACTIONS(3356),
    [sym__custom_operator] = ACTIONS(3356),
  },
  [1173] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3278),
    [anon_sym_package] = ACTIONS(3278),
    [anon_sym_COMMA] = ACTIONS(3278),
    [anon_sym_LPAREN] = ACTIONS(3278),
    [anon_sym_LBRACK] = ACTIONS(3278),
    [anon_sym_QMARK] = ACTIONS(3280),
    [anon_sym_QMARK2] = ACTIONS(3278),
    [anon_sym_AMP] = ACTIONS(3278),
    [aux_sym_custom_operator_token1] = ACTIONS(3278),
    [anon_sym_LT] = ACTIONS(3280),
    [anon_sym_GT] = ACTIONS(3280),
    [anon_sym_LBRACE] = ACTIONS(3278),
    [anon_sym_CARET_LBRACE] = ACTIONS(3278),
    [anon_sym_RBRACE] = ACTIONS(3278),
    [anon_sym_case] = ACTIONS(3278),
    [anon_sym_fallthrough] = ACTIONS(3278),
    [anon_sym_PLUS_EQ] = ACTIONS(3278),
    [anon_sym_DASH_EQ] = ACTIONS(3278),
    [anon_sym_STAR_EQ] = ACTIONS(3278),
    [anon_sym_SLASH_EQ] = ACTIONS(3278),
    [anon_sym_PERCENT_EQ] = ACTIONS(3278),
    [anon_sym_BANG_EQ] = ACTIONS(3280),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3278),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3278),
    [anon_sym_LT_EQ] = ACTIONS(3278),
    [anon_sym_GT_EQ] = ACTIONS(3278),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3278),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3278),
    [anon_sym_is] = ACTIONS(3278),
    [anon_sym_PLUS] = ACTIONS(3280),
    [anon_sym_DASH] = ACTIONS(3280),
    [anon_sym_STAR] = ACTIONS(3280),
    [anon_sym_SLASH] = ACTIONS(3280),
    [anon_sym_PERCENT] = ACTIONS(3280),
    [anon_sym_PLUS_PLUS] = ACTIONS(3278),
    [anon_sym_DASH_DASH] = ACTIONS(3278),
    [anon_sym_PIPE] = ACTIONS(3278),
    [anon_sym_CARET] = ACTIONS(3280),
    [anon_sym_LT_LT] = ACTIONS(3278),
    [anon_sym_GT_GT] = ACTIONS(3278),
    [anon_sym_class] = ACTIONS(3278),
    [anon_sym_BANG2] = ACTIONS(3280),
    [anon_sym_prefix] = ACTIONS(3278),
    [anon_sym_infix] = ACTIONS(3278),
    [anon_sym_postfix] = ACTIONS(3278),
    [anon_sym_AT] = ACTIONS(3280),
    [anon_sym_override] = ACTIONS(3278),
    [anon_sym_convenience] = ACTIONS(3278),
    [anon_sym_required] = ACTIONS(3278),
    [anon_sym_nonisolated] = ACTIONS(3278),
    [anon_sym_public] = ACTIONS(3278),
    [anon_sym_private] = ACTIONS(3278),
    [anon_sym_internal] = ACTIONS(3278),
    [anon_sym_fileprivate] = ACTIONS(3278),
    [anon_sym_open] = ACTIONS(3278),
    [anon_sym_mutating] = ACTIONS(3278),
    [anon_sym_nonmutating] = ACTIONS(3278),
    [anon_sym_static] = ACTIONS(3278),
    [anon_sym_dynamic] = ACTIONS(3278),
    [anon_sym_optional] = ACTIONS(3278),
    [anon_sym_distributed] = ACTIONS(3278),
    [anon_sym_final] = ACTIONS(3278),
    [anon_sym_inout] = ACTIONS(3278),
    [anon_sym_ATescaping] = ACTIONS(3278),
    [anon_sym_ATautoclosure] = ACTIONS(3278),
    [anon_sym_weak] = ACTIONS(3278),
    [anon_sym_unowned] = ACTIONS(3280),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3278),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3278),
    [anon_sym_borrowing] = ACTIONS(3278),
    [anon_sym_consuming] = ACTIONS(3278),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3278),
    [sym__explicit_semi] = ACTIONS(3278),
    [sym__dot_custom] = ACTIONS(3278),
    [sym__conjunction_operator_custom] = ACTIONS(3278),
    [sym__disjunction_operator_custom] = ACTIONS(3278),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3278),
    [sym__eq_custom] = ACTIONS(3278),
    [sym__eq_eq_custom] = ACTIONS(3278),
    [sym__plus_then_ws] = ACTIONS(3278),
    [sym__minus_then_ws] = ACTIONS(3278),
    [sym__bang_custom] = ACTIONS(3278),
    [sym_default_keyword] = ACTIONS(3278),
    [sym__as_custom] = ACTIONS(3278),
    [sym__as_quest_custom] = ACTIONS(3278),
    [sym__as_bang_custom] = ACTIONS(3278),
    [sym__custom_operator] = ACTIONS(3278),
  },
  [1174] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3031),
    [anon_sym_package] = ACTIONS(3031),
    [anon_sym_COMMA] = ACTIONS(3031),
    [anon_sym_LPAREN] = ACTIONS(3031),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_QMARK] = ACTIONS(3029),
    [anon_sym_QMARK2] = ACTIONS(3031),
    [anon_sym_AMP] = ACTIONS(3031),
    [aux_sym_custom_operator_token1] = ACTIONS(3031),
    [anon_sym_LT] = ACTIONS(3029),
    [anon_sym_GT] = ACTIONS(3029),
    [anon_sym_LBRACE] = ACTIONS(3031),
    [anon_sym_CARET_LBRACE] = ACTIONS(3031),
    [anon_sym_RBRACE] = ACTIONS(3031),
    [anon_sym_case] = ACTIONS(3031),
    [anon_sym_fallthrough] = ACTIONS(3031),
    [anon_sym_PLUS_EQ] = ACTIONS(3031),
    [anon_sym_DASH_EQ] = ACTIONS(3031),
    [anon_sym_STAR_EQ] = ACTIONS(3031),
    [anon_sym_SLASH_EQ] = ACTIONS(3031),
    [anon_sym_PERCENT_EQ] = ACTIONS(3031),
    [anon_sym_BANG_EQ] = ACTIONS(3029),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3031),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3031),
    [anon_sym_LT_EQ] = ACTIONS(3031),
    [anon_sym_GT_EQ] = ACTIONS(3031),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3031),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3031),
    [anon_sym_is] = ACTIONS(3031),
    [anon_sym_PLUS] = ACTIONS(3029),
    [anon_sym_DASH] = ACTIONS(3029),
    [anon_sym_STAR] = ACTIONS(3029),
    [anon_sym_SLASH] = ACTIONS(3029),
    [anon_sym_PERCENT] = ACTIONS(3029),
    [anon_sym_PLUS_PLUS] = ACTIONS(3031),
    [anon_sym_DASH_DASH] = ACTIONS(3031),
    [anon_sym_PIPE] = ACTIONS(3031),
    [anon_sym_CARET] = ACTIONS(3029),
    [anon_sym_LT_LT] = ACTIONS(3031),
    [anon_sym_GT_GT] = ACTIONS(3031),
    [anon_sym_class] = ACTIONS(3031),
    [anon_sym_BANG2] = ACTIONS(3029),
    [anon_sym_prefix] = ACTIONS(3031),
    [anon_sym_infix] = ACTIONS(3031),
    [anon_sym_postfix] = ACTIONS(3031),
    [anon_sym_AT] = ACTIONS(3029),
    [anon_sym_override] = ACTIONS(3031),
    [anon_sym_convenience] = ACTIONS(3031),
    [anon_sym_required] = ACTIONS(3031),
    [anon_sym_nonisolated] = ACTIONS(3031),
    [anon_sym_public] = ACTIONS(3031),
    [anon_sym_private] = ACTIONS(3031),
    [anon_sym_internal] = ACTIONS(3031),
    [anon_sym_fileprivate] = ACTIONS(3031),
    [anon_sym_open] = ACTIONS(3031),
    [anon_sym_mutating] = ACTIONS(3031),
    [anon_sym_nonmutating] = ACTIONS(3031),
    [anon_sym_static] = ACTIONS(3031),
    [anon_sym_dynamic] = ACTIONS(3031),
    [anon_sym_optional] = ACTIONS(3031),
    [anon_sym_distributed] = ACTIONS(3031),
    [anon_sym_final] = ACTIONS(3031),
    [anon_sym_inout] = ACTIONS(3031),
    [anon_sym_ATescaping] = ACTIONS(3031),
    [anon_sym_ATautoclosure] = ACTIONS(3031),
    [anon_sym_weak] = ACTIONS(3031),
    [anon_sym_unowned] = ACTIONS(3029),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3031),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3031),
    [anon_sym_borrowing] = ACTIONS(3031),
    [anon_sym_consuming] = ACTIONS(3031),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3031),
    [sym__explicit_semi] = ACTIONS(3031),
    [sym__dot_custom] = ACTIONS(3031),
    [sym__conjunction_operator_custom] = ACTIONS(3031),
    [sym__disjunction_operator_custom] = ACTIONS(3031),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3031),
    [sym__eq_custom] = ACTIONS(3031),
    [sym__eq_eq_custom] = ACTIONS(3031),
    [sym__plus_then_ws] = ACTIONS(3031),
    [sym__minus_then_ws] = ACTIONS(3031),
    [sym__bang_custom] = ACTIONS(3031),
    [sym_default_keyword] = ACTIONS(3031),
    [sym__as_custom] = ACTIONS(3031),
    [sym__as_quest_custom] = ACTIONS(3031),
    [sym__as_bang_custom] = ACTIONS(3031),
    [sym__custom_operator] = ACTIONS(3031),
  },
  [1175] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3188),
    [anon_sym_package] = ACTIONS(3188),
    [anon_sym_COMMA] = ACTIONS(3188),
    [anon_sym_LPAREN] = ACTIONS(3188),
    [anon_sym_LBRACK] = ACTIONS(3188),
    [anon_sym_QMARK] = ACTIONS(3190),
    [anon_sym_QMARK2] = ACTIONS(3188),
    [anon_sym_AMP] = ACTIONS(3188),
    [aux_sym_custom_operator_token1] = ACTIONS(3188),
    [anon_sym_LT] = ACTIONS(3190),
    [anon_sym_GT] = ACTIONS(3190),
    [anon_sym_LBRACE] = ACTIONS(3188),
    [anon_sym_CARET_LBRACE] = ACTIONS(3188),
    [anon_sym_RBRACE] = ACTIONS(3188),
    [anon_sym_case] = ACTIONS(3188),
    [anon_sym_fallthrough] = ACTIONS(3188),
    [anon_sym_PLUS_EQ] = ACTIONS(3188),
    [anon_sym_DASH_EQ] = ACTIONS(3188),
    [anon_sym_STAR_EQ] = ACTIONS(3188),
    [anon_sym_SLASH_EQ] = ACTIONS(3188),
    [anon_sym_PERCENT_EQ] = ACTIONS(3188),
    [anon_sym_BANG_EQ] = ACTIONS(3190),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3188),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3188),
    [anon_sym_LT_EQ] = ACTIONS(3188),
    [anon_sym_GT_EQ] = ACTIONS(3188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3188),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3188),
    [anon_sym_is] = ACTIONS(3188),
    [anon_sym_PLUS] = ACTIONS(3190),
    [anon_sym_DASH] = ACTIONS(3190),
    [anon_sym_STAR] = ACTIONS(3190),
    [anon_sym_SLASH] = ACTIONS(3190),
    [anon_sym_PERCENT] = ACTIONS(3190),
    [anon_sym_PLUS_PLUS] = ACTIONS(3188),
    [anon_sym_DASH_DASH] = ACTIONS(3188),
    [anon_sym_PIPE] = ACTIONS(3188),
    [anon_sym_CARET] = ACTIONS(3190),
    [anon_sym_LT_LT] = ACTIONS(3188),
    [anon_sym_GT_GT] = ACTIONS(3188),
    [anon_sym_class] = ACTIONS(3188),
    [anon_sym_BANG2] = ACTIONS(3190),
    [anon_sym_prefix] = ACTIONS(3188),
    [anon_sym_infix] = ACTIONS(3188),
    [anon_sym_postfix] = ACTIONS(3188),
    [anon_sym_AT] = ACTIONS(3190),
    [anon_sym_override] = ACTIONS(3188),
    [anon_sym_convenience] = ACTIONS(3188),
    [anon_sym_required] = ACTIONS(3188),
    [anon_sym_nonisolated] = ACTIONS(3188),
    [anon_sym_public] = ACTIONS(3188),
    [anon_sym_private] = ACTIONS(3188),
    [anon_sym_internal] = ACTIONS(3188),
    [anon_sym_fileprivate] = ACTIONS(3188),
    [anon_sym_open] = ACTIONS(3188),
    [anon_sym_mutating] = ACTIONS(3188),
    [anon_sym_nonmutating] = ACTIONS(3188),
    [anon_sym_static] = ACTIONS(3188),
    [anon_sym_dynamic] = ACTIONS(3188),
    [anon_sym_optional] = ACTIONS(3188),
    [anon_sym_distributed] = ACTIONS(3188),
    [anon_sym_final] = ACTIONS(3188),
    [anon_sym_inout] = ACTIONS(3188),
    [anon_sym_ATescaping] = ACTIONS(3188),
    [anon_sym_ATautoclosure] = ACTIONS(3188),
    [anon_sym_weak] = ACTIONS(3188),
    [anon_sym_unowned] = ACTIONS(3190),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3188),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3188),
    [anon_sym_borrowing] = ACTIONS(3188),
    [anon_sym_consuming] = ACTIONS(3188),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3188),
    [sym__explicit_semi] = ACTIONS(3188),
    [sym__dot_custom] = ACTIONS(3188),
    [sym__conjunction_operator_custom] = ACTIONS(3188),
    [sym__disjunction_operator_custom] = ACTIONS(3188),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3188),
    [sym__eq_custom] = ACTIONS(3188),
    [sym__eq_eq_custom] = ACTIONS(3188),
    [sym__plus_then_ws] = ACTIONS(3188),
    [sym__minus_then_ws] = ACTIONS(3188),
    [sym__bang_custom] = ACTIONS(3188),
    [sym_default_keyword] = ACTIONS(3188),
    [sym__as_custom] = ACTIONS(3188),
    [sym__as_quest_custom] = ACTIONS(3188),
    [sym__as_bang_custom] = ACTIONS(3188),
    [sym__custom_operator] = ACTIONS(3188),
  },
  [1176] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3008),
    [anon_sym_package] = ACTIONS(3008),
    [anon_sym_COMMA] = ACTIONS(3008),
    [anon_sym_LPAREN] = ACTIONS(3008),
    [anon_sym_LBRACK] = ACTIONS(3008),
    [anon_sym_QMARK] = ACTIONS(3006),
    [anon_sym_QMARK2] = ACTIONS(3008),
    [anon_sym_AMP] = ACTIONS(3008),
    [aux_sym_custom_operator_token1] = ACTIONS(3008),
    [anon_sym_LT] = ACTIONS(3006),
    [anon_sym_GT] = ACTIONS(3006),
    [anon_sym_LBRACE] = ACTIONS(3008),
    [anon_sym_CARET_LBRACE] = ACTIONS(3008),
    [anon_sym_RBRACE] = ACTIONS(3008),
    [anon_sym_case] = ACTIONS(3008),
    [anon_sym_fallthrough] = ACTIONS(3008),
    [anon_sym_PLUS_EQ] = ACTIONS(3008),
    [anon_sym_DASH_EQ] = ACTIONS(3008),
    [anon_sym_STAR_EQ] = ACTIONS(3008),
    [anon_sym_SLASH_EQ] = ACTIONS(3008),
    [anon_sym_PERCENT_EQ] = ACTIONS(3008),
    [anon_sym_BANG_EQ] = ACTIONS(3006),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3008),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3008),
    [anon_sym_LT_EQ] = ACTIONS(3008),
    [anon_sym_GT_EQ] = ACTIONS(3008),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3008),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3008),
    [anon_sym_is] = ACTIONS(3008),
    [anon_sym_PLUS] = ACTIONS(3006),
    [anon_sym_DASH] = ACTIONS(3006),
    [anon_sym_STAR] = ACTIONS(3006),
    [anon_sym_SLASH] = ACTIONS(3006),
    [anon_sym_PERCENT] = ACTIONS(3006),
    [anon_sym_PLUS_PLUS] = ACTIONS(3008),
    [anon_sym_DASH_DASH] = ACTIONS(3008),
    [anon_sym_PIPE] = ACTIONS(3008),
    [anon_sym_CARET] = ACTIONS(3006),
    [anon_sym_LT_LT] = ACTIONS(3008),
    [anon_sym_GT_GT] = ACTIONS(3008),
    [anon_sym_class] = ACTIONS(3008),
    [anon_sym_BANG2] = ACTIONS(3006),
    [anon_sym_prefix] = ACTIONS(3008),
    [anon_sym_infix] = ACTIONS(3008),
    [anon_sym_postfix] = ACTIONS(3008),
    [anon_sym_AT] = ACTIONS(3006),
    [anon_sym_override] = ACTIONS(3008),
    [anon_sym_convenience] = ACTIONS(3008),
    [anon_sym_required] = ACTIONS(3008),
    [anon_sym_nonisolated] = ACTIONS(3008),
    [anon_sym_public] = ACTIONS(3008),
    [anon_sym_private] = ACTIONS(3008),
    [anon_sym_internal] = ACTIONS(3008),
    [anon_sym_fileprivate] = ACTIONS(3008),
    [anon_sym_open] = ACTIONS(3008),
    [anon_sym_mutating] = ACTIONS(3008),
    [anon_sym_nonmutating] = ACTIONS(3008),
    [anon_sym_static] = ACTIONS(3008),
    [anon_sym_dynamic] = ACTIONS(3008),
    [anon_sym_optional] = ACTIONS(3008),
    [anon_sym_distributed] = ACTIONS(3008),
    [anon_sym_final] = ACTIONS(3008),
    [anon_sym_inout] = ACTIONS(3008),
    [anon_sym_ATescaping] = ACTIONS(3008),
    [anon_sym_ATautoclosure] = ACTIONS(3008),
    [anon_sym_weak] = ACTIONS(3008),
    [anon_sym_unowned] = ACTIONS(3006),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3008),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3008),
    [anon_sym_borrowing] = ACTIONS(3008),
    [anon_sym_consuming] = ACTIONS(3008),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3008),
    [sym__explicit_semi] = ACTIONS(3008),
    [sym__dot_custom] = ACTIONS(3008),
    [sym__conjunction_operator_custom] = ACTIONS(3008),
    [sym__disjunction_operator_custom] = ACTIONS(3008),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3008),
    [sym__eq_custom] = ACTIONS(3008),
    [sym__eq_eq_custom] = ACTIONS(3008),
    [sym__plus_then_ws] = ACTIONS(3008),
    [sym__minus_then_ws] = ACTIONS(3008),
    [sym__bang_custom] = ACTIONS(3008),
    [sym_default_keyword] = ACTIONS(3008),
    [sym__as_custom] = ACTIONS(3008),
    [sym__as_quest_custom] = ACTIONS(3008),
    [sym__as_bang_custom] = ACTIONS(3008),
    [sym__custom_operator] = ACTIONS(3008),
  },
  [1177] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3260),
    [anon_sym_package] = ACTIONS(3260),
    [anon_sym_COMMA] = ACTIONS(3260),
    [anon_sym_LPAREN] = ACTIONS(3260),
    [anon_sym_LBRACK] = ACTIONS(3260),
    [anon_sym_QMARK] = ACTIONS(3263),
    [anon_sym_QMARK2] = ACTIONS(3260),
    [anon_sym_AMP] = ACTIONS(3260),
    [aux_sym_custom_operator_token1] = ACTIONS(3260),
    [anon_sym_LT] = ACTIONS(3263),
    [anon_sym_GT] = ACTIONS(3263),
    [anon_sym_LBRACE] = ACTIONS(3260),
    [anon_sym_CARET_LBRACE] = ACTIONS(3260),
    [anon_sym_RBRACE] = ACTIONS(3260),
    [anon_sym_case] = ACTIONS(3260),
    [anon_sym_fallthrough] = ACTIONS(3260),
    [anon_sym_PLUS_EQ] = ACTIONS(3260),
    [anon_sym_DASH_EQ] = ACTIONS(3260),
    [anon_sym_STAR_EQ] = ACTIONS(3260),
    [anon_sym_SLASH_EQ] = ACTIONS(3260),
    [anon_sym_PERCENT_EQ] = ACTIONS(3260),
    [anon_sym_BANG_EQ] = ACTIONS(3263),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3260),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3260),
    [anon_sym_LT_EQ] = ACTIONS(3260),
    [anon_sym_GT_EQ] = ACTIONS(3260),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3260),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3260),
    [anon_sym_is] = ACTIONS(3260),
    [anon_sym_PLUS] = ACTIONS(3263),
    [anon_sym_DASH] = ACTIONS(3263),
    [anon_sym_STAR] = ACTIONS(3263),
    [anon_sym_SLASH] = ACTIONS(3263),
    [anon_sym_PERCENT] = ACTIONS(3263),
    [anon_sym_PLUS_PLUS] = ACTIONS(3260),
    [anon_sym_DASH_DASH] = ACTIONS(3260),
    [anon_sym_PIPE] = ACTIONS(3260),
    [anon_sym_CARET] = ACTIONS(3263),
    [anon_sym_LT_LT] = ACTIONS(3260),
    [anon_sym_GT_GT] = ACTIONS(3260),
    [anon_sym_class] = ACTIONS(3260),
    [anon_sym_BANG2] = ACTIONS(3263),
    [anon_sym_prefix] = ACTIONS(3260),
    [anon_sym_infix] = ACTIONS(3260),
    [anon_sym_postfix] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(3263),
    [anon_sym_override] = ACTIONS(3260),
    [anon_sym_convenience] = ACTIONS(3260),
    [anon_sym_required] = ACTIONS(3260),
    [anon_sym_nonisolated] = ACTIONS(3260),
    [anon_sym_public] = ACTIONS(3260),
    [anon_sym_private] = ACTIONS(3260),
    [anon_sym_internal] = ACTIONS(3260),
    [anon_sym_fileprivate] = ACTIONS(3260),
    [anon_sym_open] = ACTIONS(3260),
    [anon_sym_mutating] = ACTIONS(3260),
    [anon_sym_nonmutating] = ACTIONS(3260),
    [anon_sym_static] = ACTIONS(3260),
    [anon_sym_dynamic] = ACTIONS(3260),
    [anon_sym_optional] = ACTIONS(3260),
    [anon_sym_distributed] = ACTIONS(3260),
    [anon_sym_final] = ACTIONS(3260),
    [anon_sym_inout] = ACTIONS(3260),
    [anon_sym_ATescaping] = ACTIONS(3260),
    [anon_sym_ATautoclosure] = ACTIONS(3260),
    [anon_sym_weak] = ACTIONS(3260),
    [anon_sym_unowned] = ACTIONS(3263),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3260),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3260),
    [anon_sym_borrowing] = ACTIONS(3260),
    [anon_sym_consuming] = ACTIONS(3260),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3260),
    [sym__explicit_semi] = ACTIONS(3260),
    [sym__dot_custom] = ACTIONS(3260),
    [sym__conjunction_operator_custom] = ACTIONS(3260),
    [sym__disjunction_operator_custom] = ACTIONS(3260),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3260),
    [sym__eq_custom] = ACTIONS(3260),
    [sym__eq_eq_custom] = ACTIONS(3260),
    [sym__plus_then_ws] = ACTIONS(3260),
    [sym__minus_then_ws] = ACTIONS(3260),
    [sym__bang_custom] = ACTIONS(3260),
    [sym_default_keyword] = ACTIONS(3260),
    [sym__as_custom] = ACTIONS(3260),
    [sym__as_quest_custom] = ACTIONS(3260),
    [sym__as_bang_custom] = ACTIONS(3260),
    [sym__custom_operator] = ACTIONS(3260),
  },
  [1178] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3336),
    [anon_sym_package] = ACTIONS(3336),
    [anon_sym_COMMA] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_QMARK] = ACTIONS(3338),
    [anon_sym_QMARK2] = ACTIONS(3336),
    [anon_sym_AMP] = ACTIONS(3336),
    [aux_sym_custom_operator_token1] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3338),
    [anon_sym_GT] = ACTIONS(3338),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_CARET_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_case] = ACTIONS(3336),
    [anon_sym_fallthrough] = ACTIONS(3336),
    [anon_sym_PLUS_EQ] = ACTIONS(3336),
    [anon_sym_DASH_EQ] = ACTIONS(3336),
    [anon_sym_STAR_EQ] = ACTIONS(3336),
    [anon_sym_SLASH_EQ] = ACTIONS(3336),
    [anon_sym_PERCENT_EQ] = ACTIONS(3336),
    [anon_sym_BANG_EQ] = ACTIONS(3338),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3336),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3336),
    [anon_sym_LT_EQ] = ACTIONS(3336),
    [anon_sym_GT_EQ] = ACTIONS(3336),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3336),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3336),
    [anon_sym_is] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3338),
    [anon_sym_DASH] = ACTIONS(3338),
    [anon_sym_STAR] = ACTIONS(3338),
    [anon_sym_SLASH] = ACTIONS(3338),
    [anon_sym_PERCENT] = ACTIONS(3338),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [anon_sym_PIPE] = ACTIONS(3336),
    [anon_sym_CARET] = ACTIONS(3338),
    [anon_sym_LT_LT] = ACTIONS(3336),
    [anon_sym_GT_GT] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_BANG2] = ACTIONS(3338),
    [anon_sym_prefix] = ACTIONS(3336),
    [anon_sym_infix] = ACTIONS(3336),
    [anon_sym_postfix] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3338),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_convenience] = ACTIONS(3336),
    [anon_sym_required] = ACTIONS(3336),
    [anon_sym_nonisolated] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_internal] = ACTIONS(3336),
    [anon_sym_fileprivate] = ACTIONS(3336),
    [anon_sym_open] = ACTIONS(3336),
    [anon_sym_mutating] = ACTIONS(3336),
    [anon_sym_nonmutating] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_dynamic] = ACTIONS(3336),
    [anon_sym_optional] = ACTIONS(3336),
    [anon_sym_distributed] = ACTIONS(3336),
    [anon_sym_final] = ACTIONS(3336),
    [anon_sym_inout] = ACTIONS(3336),
    [anon_sym_ATescaping] = ACTIONS(3336),
    [anon_sym_ATautoclosure] = ACTIONS(3336),
    [anon_sym_weak] = ACTIONS(3336),
    [anon_sym_unowned] = ACTIONS(3338),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3336),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3336),
    [anon_sym_borrowing] = ACTIONS(3336),
    [anon_sym_consuming] = ACTIONS(3336),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3336),
    [sym__explicit_semi] = ACTIONS(3336),
    [sym__dot_custom] = ACTIONS(3336),
    [sym__conjunction_operator_custom] = ACTIONS(3336),
    [sym__disjunction_operator_custom] = ACTIONS(3336),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3336),
    [sym__eq_custom] = ACTIONS(3336),
    [sym__eq_eq_custom] = ACTIONS(3336),
    [sym__plus_then_ws] = ACTIONS(3336),
    [sym__minus_then_ws] = ACTIONS(3336),
    [sym__bang_custom] = ACTIONS(3336),
    [sym_default_keyword] = ACTIONS(3336),
    [sym__as_custom] = ACTIONS(3336),
    [sym__as_quest_custom] = ACTIONS(3336),
    [sym__as_bang_custom] = ACTIONS(3336),
    [sym__custom_operator] = ACTIONS(3336),
  },
  [1179] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3128),
    [anon_sym_package] = ACTIONS(3128),
    [anon_sym_COMMA] = ACTIONS(3128),
    [anon_sym_LPAREN] = ACTIONS(3128),
    [anon_sym_LBRACK] = ACTIONS(3128),
    [anon_sym_QMARK] = ACTIONS(3130),
    [anon_sym_QMARK2] = ACTIONS(3128),
    [anon_sym_AMP] = ACTIONS(3128),
    [aux_sym_custom_operator_token1] = ACTIONS(3128),
    [anon_sym_LT] = ACTIONS(3130),
    [anon_sym_GT] = ACTIONS(3130),
    [anon_sym_LBRACE] = ACTIONS(3128),
    [anon_sym_CARET_LBRACE] = ACTIONS(3128),
    [anon_sym_RBRACE] = ACTIONS(3128),
    [anon_sym_case] = ACTIONS(3128),
    [anon_sym_fallthrough] = ACTIONS(3128),
    [anon_sym_PLUS_EQ] = ACTIONS(3128),
    [anon_sym_DASH_EQ] = ACTIONS(3128),
    [anon_sym_STAR_EQ] = ACTIONS(3128),
    [anon_sym_SLASH_EQ] = ACTIONS(3128),
    [anon_sym_PERCENT_EQ] = ACTIONS(3128),
    [anon_sym_BANG_EQ] = ACTIONS(3130),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3128),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3128),
    [anon_sym_LT_EQ] = ACTIONS(3128),
    [anon_sym_GT_EQ] = ACTIONS(3128),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3128),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3128),
    [anon_sym_is] = ACTIONS(3128),
    [anon_sym_PLUS] = ACTIONS(3130),
    [anon_sym_DASH] = ACTIONS(3130),
    [anon_sym_STAR] = ACTIONS(3130),
    [anon_sym_SLASH] = ACTIONS(3130),
    [anon_sym_PERCENT] = ACTIONS(3130),
    [anon_sym_PLUS_PLUS] = ACTIONS(3128),
    [anon_sym_DASH_DASH] = ACTIONS(3128),
    [anon_sym_PIPE] = ACTIONS(3128),
    [anon_sym_CARET] = ACTIONS(3130),
    [anon_sym_LT_LT] = ACTIONS(3128),
    [anon_sym_GT_GT] = ACTIONS(3128),
    [anon_sym_class] = ACTIONS(3128),
    [anon_sym_BANG2] = ACTIONS(3130),
    [anon_sym_prefix] = ACTIONS(3128),
    [anon_sym_infix] = ACTIONS(3128),
    [anon_sym_postfix] = ACTIONS(3128),
    [anon_sym_AT] = ACTIONS(3130),
    [anon_sym_override] = ACTIONS(3128),
    [anon_sym_convenience] = ACTIONS(3128),
    [anon_sym_required] = ACTIONS(3128),
    [anon_sym_nonisolated] = ACTIONS(3128),
    [anon_sym_public] = ACTIONS(3128),
    [anon_sym_private] = ACTIONS(3128),
    [anon_sym_internal] = ACTIONS(3128),
    [anon_sym_fileprivate] = ACTIONS(3128),
    [anon_sym_open] = ACTIONS(3128),
    [anon_sym_mutating] = ACTIONS(3128),
    [anon_sym_nonmutating] = ACTIONS(3128),
    [anon_sym_static] = ACTIONS(3128),
    [anon_sym_dynamic] = ACTIONS(3128),
    [anon_sym_optional] = ACTIONS(3128),
    [anon_sym_distributed] = ACTIONS(3128),
    [anon_sym_final] = ACTIONS(3128),
    [anon_sym_inout] = ACTIONS(3128),
    [anon_sym_ATescaping] = ACTIONS(3128),
    [anon_sym_ATautoclosure] = ACTIONS(3128),
    [anon_sym_weak] = ACTIONS(3128),
    [anon_sym_unowned] = ACTIONS(3130),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3128),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3128),
    [anon_sym_borrowing] = ACTIONS(3128),
    [anon_sym_consuming] = ACTIONS(3128),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3128),
    [sym__explicit_semi] = ACTIONS(3128),
    [sym__dot_custom] = ACTIONS(3128),
    [sym__conjunction_operator_custom] = ACTIONS(3128),
    [sym__disjunction_operator_custom] = ACTIONS(3128),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3128),
    [sym__eq_custom] = ACTIONS(3128),
    [sym__eq_eq_custom] = ACTIONS(3128),
    [sym__plus_then_ws] = ACTIONS(3128),
    [sym__minus_then_ws] = ACTIONS(3128),
    [sym__bang_custom] = ACTIONS(3128),
    [sym_default_keyword] = ACTIONS(3128),
    [sym__as_custom] = ACTIONS(3128),
    [sym__as_quest_custom] = ACTIONS(3128),
    [sym__as_bang_custom] = ACTIONS(3128),
    [sym__custom_operator] = ACTIONS(3128),
  },
  [1180] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3368),
    [anon_sym_package] = ACTIONS(3368),
    [anon_sym_COMMA] = ACTIONS(3368),
    [anon_sym_LPAREN] = ACTIONS(3368),
    [anon_sym_LBRACK] = ACTIONS(3368),
    [anon_sym_QMARK] = ACTIONS(3370),
    [anon_sym_QMARK2] = ACTIONS(3368),
    [anon_sym_AMP] = ACTIONS(3368),
    [aux_sym_custom_operator_token1] = ACTIONS(3368),
    [anon_sym_LT] = ACTIONS(3370),
    [anon_sym_GT] = ACTIONS(3370),
    [anon_sym_LBRACE] = ACTIONS(3368),
    [anon_sym_CARET_LBRACE] = ACTIONS(3368),
    [anon_sym_RBRACE] = ACTIONS(3368),
    [anon_sym_case] = ACTIONS(3368),
    [anon_sym_fallthrough] = ACTIONS(3368),
    [anon_sym_PLUS_EQ] = ACTIONS(3368),
    [anon_sym_DASH_EQ] = ACTIONS(3368),
    [anon_sym_STAR_EQ] = ACTIONS(3368),
    [anon_sym_SLASH_EQ] = ACTIONS(3368),
    [anon_sym_PERCENT_EQ] = ACTIONS(3368),
    [anon_sym_BANG_EQ] = ACTIONS(3370),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3368),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3368),
    [anon_sym_LT_EQ] = ACTIONS(3368),
    [anon_sym_GT_EQ] = ACTIONS(3368),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3368),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3368),
    [anon_sym_is] = ACTIONS(3368),
    [anon_sym_PLUS] = ACTIONS(3370),
    [anon_sym_DASH] = ACTIONS(3370),
    [anon_sym_STAR] = ACTIONS(3370),
    [anon_sym_SLASH] = ACTIONS(3370),
    [anon_sym_PERCENT] = ACTIONS(3370),
    [anon_sym_PLUS_PLUS] = ACTIONS(3368),
    [anon_sym_DASH_DASH] = ACTIONS(3368),
    [anon_sym_PIPE] = ACTIONS(3368),
    [anon_sym_CARET] = ACTIONS(3370),
    [anon_sym_LT_LT] = ACTIONS(3368),
    [anon_sym_GT_GT] = ACTIONS(3368),
    [anon_sym_class] = ACTIONS(3368),
    [anon_sym_BANG2] = ACTIONS(3370),
    [anon_sym_prefix] = ACTIONS(3368),
    [anon_sym_infix] = ACTIONS(3368),
    [anon_sym_postfix] = ACTIONS(3368),
    [anon_sym_AT] = ACTIONS(3370),
    [anon_sym_override] = ACTIONS(3368),
    [anon_sym_convenience] = ACTIONS(3368),
    [anon_sym_required] = ACTIONS(3368),
    [anon_sym_nonisolated] = ACTIONS(3368),
    [anon_sym_public] = ACTIONS(3368),
    [anon_sym_private] = ACTIONS(3368),
    [anon_sym_internal] = ACTIONS(3368),
    [anon_sym_fileprivate] = ACTIONS(3368),
    [anon_sym_open] = ACTIONS(3368),
    [anon_sym_mutating] = ACTIONS(3368),
    [anon_sym_nonmutating] = ACTIONS(3368),
    [anon_sym_static] = ACTIONS(3368),
    [anon_sym_dynamic] = ACTIONS(3368),
    [anon_sym_optional] = ACTIONS(3368),
    [anon_sym_distributed] = ACTIONS(3368),
    [anon_sym_final] = ACTIONS(3368),
    [anon_sym_inout] = ACTIONS(3368),
    [anon_sym_ATescaping] = ACTIONS(3368),
    [anon_sym_ATautoclosure] = ACTIONS(3368),
    [anon_sym_weak] = ACTIONS(3368),
    [anon_sym_unowned] = ACTIONS(3370),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3368),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3368),
    [anon_sym_borrowing] = ACTIONS(3368),
    [anon_sym_consuming] = ACTIONS(3368),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3368),
    [sym__explicit_semi] = ACTIONS(3368),
    [sym__dot_custom] = ACTIONS(3368),
    [sym__conjunction_operator_custom] = ACTIONS(3368),
    [sym__disjunction_operator_custom] = ACTIONS(3368),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3368),
    [sym__eq_custom] = ACTIONS(3368),
    [sym__eq_eq_custom] = ACTIONS(3368),
    [sym__plus_then_ws] = ACTIONS(3368),
    [sym__minus_then_ws] = ACTIONS(3368),
    [sym__bang_custom] = ACTIONS(3368),
    [sym_default_keyword] = ACTIONS(3368),
    [sym__as_custom] = ACTIONS(3368),
    [sym__as_quest_custom] = ACTIONS(3368),
    [sym__as_bang_custom] = ACTIONS(3368),
    [sym__custom_operator] = ACTIONS(3368),
  },
  [1181] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3148),
    [anon_sym_package] = ACTIONS(3148),
    [anon_sym_COMMA] = ACTIONS(3148),
    [anon_sym_LPAREN] = ACTIONS(3148),
    [anon_sym_LBRACK] = ACTIONS(3148),
    [anon_sym_QMARK] = ACTIONS(3150),
    [anon_sym_QMARK2] = ACTIONS(3148),
    [anon_sym_AMP] = ACTIONS(3148),
    [aux_sym_custom_operator_token1] = ACTIONS(3148),
    [anon_sym_LT] = ACTIONS(3150),
    [anon_sym_GT] = ACTIONS(3150),
    [anon_sym_LBRACE] = ACTIONS(3148),
    [anon_sym_CARET_LBRACE] = ACTIONS(3148),
    [anon_sym_RBRACE] = ACTIONS(3148),
    [anon_sym_case] = ACTIONS(3148),
    [anon_sym_fallthrough] = ACTIONS(3148),
    [anon_sym_PLUS_EQ] = ACTIONS(3148),
    [anon_sym_DASH_EQ] = ACTIONS(3148),
    [anon_sym_STAR_EQ] = ACTIONS(3148),
    [anon_sym_SLASH_EQ] = ACTIONS(3148),
    [anon_sym_PERCENT_EQ] = ACTIONS(3148),
    [anon_sym_BANG_EQ] = ACTIONS(3150),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3148),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3148),
    [anon_sym_LT_EQ] = ACTIONS(3148),
    [anon_sym_GT_EQ] = ACTIONS(3148),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3148),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3148),
    [anon_sym_is] = ACTIONS(3148),
    [anon_sym_PLUS] = ACTIONS(3150),
    [anon_sym_DASH] = ACTIONS(3150),
    [anon_sym_STAR] = ACTIONS(3150),
    [anon_sym_SLASH] = ACTIONS(3150),
    [anon_sym_PERCENT] = ACTIONS(3150),
    [anon_sym_PLUS_PLUS] = ACTIONS(3148),
    [anon_sym_DASH_DASH] = ACTIONS(3148),
    [anon_sym_PIPE] = ACTIONS(3148),
    [anon_sym_CARET] = ACTIONS(3150),
    [anon_sym_LT_LT] = ACTIONS(3148),
    [anon_sym_GT_GT] = ACTIONS(3148),
    [anon_sym_class] = ACTIONS(3148),
    [anon_sym_BANG2] = ACTIONS(3150),
    [anon_sym_prefix] = ACTIONS(3148),
    [anon_sym_infix] = ACTIONS(3148),
    [anon_sym_postfix] = ACTIONS(3148),
    [anon_sym_AT] = ACTIONS(3150),
    [anon_sym_override] = ACTIONS(3148),
    [anon_sym_convenience] = ACTIONS(3148),
    [anon_sym_required] = ACTIONS(3148),
    [anon_sym_nonisolated] = ACTIONS(3148),
    [anon_sym_public] = ACTIONS(3148),
    [anon_sym_private] = ACTIONS(3148),
    [anon_sym_internal] = ACTIONS(3148),
    [anon_sym_fileprivate] = ACTIONS(3148),
    [anon_sym_open] = ACTIONS(3148),
    [anon_sym_mutating] = ACTIONS(3148),
    [anon_sym_nonmutating] = ACTIONS(3148),
    [anon_sym_static] = ACTIONS(3148),
    [anon_sym_dynamic] = ACTIONS(3148),
    [anon_sym_optional] = ACTIONS(3148),
    [anon_sym_distributed] = ACTIONS(3148),
    [anon_sym_final] = ACTIONS(3148),
    [anon_sym_inout] = ACTIONS(3148),
    [anon_sym_ATescaping] = ACTIONS(3148),
    [anon_sym_ATautoclosure] = ACTIONS(3148),
    [anon_sym_weak] = ACTIONS(3148),
    [anon_sym_unowned] = ACTIONS(3150),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3148),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3148),
    [anon_sym_borrowing] = ACTIONS(3148),
    [anon_sym_consuming] = ACTIONS(3148),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3148),
    [sym__explicit_semi] = ACTIONS(3148),
    [sym__dot_custom] = ACTIONS(3148),
    [sym__conjunction_operator_custom] = ACTIONS(3148),
    [sym__disjunction_operator_custom] = ACTIONS(3148),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3148),
    [sym__eq_custom] = ACTIONS(3148),
    [sym__eq_eq_custom] = ACTIONS(3148),
    [sym__plus_then_ws] = ACTIONS(3148),
    [sym__minus_then_ws] = ACTIONS(3148),
    [sym__bang_custom] = ACTIONS(3148),
    [sym_default_keyword] = ACTIONS(3148),
    [sym__as_custom] = ACTIONS(3148),
    [sym__as_quest_custom] = ACTIONS(3148),
    [sym__as_bang_custom] = ACTIONS(3148),
    [sym__custom_operator] = ACTIONS(3148),
  },
  [1182] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(2572),
    [anon_sym_package] = ACTIONS(2572),
    [anon_sym_COMMA] = ACTIONS(2572),
    [anon_sym_LPAREN] = ACTIONS(2572),
    [anon_sym_LBRACK] = ACTIONS(2572),
    [anon_sym_QMARK] = ACTIONS(2574),
    [anon_sym_QMARK2] = ACTIONS(2572),
    [anon_sym_AMP] = ACTIONS(2572),
    [aux_sym_custom_operator_token1] = ACTIONS(2572),
    [anon_sym_LT] = ACTIONS(2574),
    [anon_sym_GT] = ACTIONS(2574),
    [anon_sym_LBRACE] = ACTIONS(2572),
    [anon_sym_CARET_LBRACE] = ACTIONS(2572),
    [anon_sym_RBRACE] = ACTIONS(2572),
    [anon_sym_case] = ACTIONS(2572),
    [anon_sym_fallthrough] = ACTIONS(2572),
    [anon_sym_PLUS_EQ] = ACTIONS(2572),
    [anon_sym_DASH_EQ] = ACTIONS(2572),
    [anon_sym_STAR_EQ] = ACTIONS(2572),
    [anon_sym_SLASH_EQ] = ACTIONS(2572),
    [anon_sym_PERCENT_EQ] = ACTIONS(2572),
    [anon_sym_BANG_EQ] = ACTIONS(2574),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2572),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2572),
    [anon_sym_LT_EQ] = ACTIONS(2572),
    [anon_sym_GT_EQ] = ACTIONS(2572),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2572),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2572),
    [anon_sym_is] = ACTIONS(2572),
    [anon_sym_PLUS] = ACTIONS(2574),
    [anon_sym_DASH] = ACTIONS(2574),
    [anon_sym_STAR] = ACTIONS(2574),
    [anon_sym_SLASH] = ACTIONS(2574),
    [anon_sym_PERCENT] = ACTIONS(2574),
    [anon_sym_PLUS_PLUS] = ACTIONS(2572),
    [anon_sym_DASH_DASH] = ACTIONS(2572),
    [anon_sym_PIPE] = ACTIONS(2572),
    [anon_sym_CARET] = ACTIONS(2574),
    [anon_sym_LT_LT] = ACTIONS(2572),
    [anon_sym_GT_GT] = ACTIONS(2572),
    [anon_sym_class] = ACTIONS(2572),
    [anon_sym_BANG2] = ACTIONS(2574),
    [anon_sym_prefix] = ACTIONS(2572),
    [anon_sym_infix] = ACTIONS(2572),
    [anon_sym_postfix] = ACTIONS(2572),
    [anon_sym_AT] = ACTIONS(2574),
    [anon_sym_override] = ACTIONS(2572),
    [anon_sym_convenience] = ACTIONS(2572),
    [anon_sym_required] = ACTIONS(2572),
    [anon_sym_nonisolated] = ACTIONS(2572),
    [anon_sym_public] = ACTIONS(2572),
    [anon_sym_private] = ACTIONS(2572),
    [anon_sym_internal] = ACTIONS(2572),
    [anon_sym_fileprivate] = ACTIONS(2572),
    [anon_sym_open] = ACTIONS(2572),
    [anon_sym_mutating] = ACTIONS(2572),
    [anon_sym_nonmutating] = ACTIONS(2572),
    [anon_sym_static] = ACTIONS(2572),
    [anon_sym_dynamic] = ACTIONS(2572),
    [anon_sym_optional] = ACTIONS(2572),
    [anon_sym_distributed] = ACTIONS(2572),
    [anon_sym_final] = ACTIONS(2572),
    [anon_sym_inout] = ACTIONS(2572),
    [anon_sym_ATescaping] = ACTIONS(2572),
    [anon_sym_ATautoclosure] = ACTIONS(2572),
    [anon_sym_weak] = ACTIONS(2572),
    [anon_sym_unowned] = ACTIONS(2574),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2572),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2572),
    [anon_sym_borrowing] = ACTIONS(2572),
    [anon_sym_consuming] = ACTIONS(2572),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2572),
    [sym__explicit_semi] = ACTIONS(2572),
    [sym__dot_custom] = ACTIONS(2572),
    [sym__conjunction_operator_custom] = ACTIONS(2572),
    [sym__disjunction_operator_custom] = ACTIONS(2572),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2572),
    [sym__eq_custom] = ACTIONS(2572),
    [sym__eq_eq_custom] = ACTIONS(2572),
    [sym__plus_then_ws] = ACTIONS(2572),
    [sym__minus_then_ws] = ACTIONS(2572),
    [sym__bang_custom] = ACTIONS(2572),
    [sym_default_keyword] = ACTIONS(2572),
    [sym__as_custom] = ACTIONS(2572),
    [sym__as_quest_custom] = ACTIONS(2572),
    [sym__as_bang_custom] = ACTIONS(2572),
    [sym__custom_operator] = ACTIONS(2572),
  },
  [1183] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3252),
    [anon_sym_package] = ACTIONS(3252),
    [anon_sym_COMMA] = ACTIONS(3252),
    [anon_sym_LPAREN] = ACTIONS(3252),
    [anon_sym_LBRACK] = ACTIONS(3252),
    [anon_sym_QMARK] = ACTIONS(3254),
    [anon_sym_QMARK2] = ACTIONS(3252),
    [anon_sym_AMP] = ACTIONS(3252),
    [aux_sym_custom_operator_token1] = ACTIONS(3252),
    [anon_sym_LT] = ACTIONS(3254),
    [anon_sym_GT] = ACTIONS(3254),
    [anon_sym_LBRACE] = ACTIONS(3252),
    [anon_sym_CARET_LBRACE] = ACTIONS(3252),
    [anon_sym_RBRACE] = ACTIONS(3252),
    [anon_sym_case] = ACTIONS(3252),
    [anon_sym_fallthrough] = ACTIONS(3252),
    [anon_sym_PLUS_EQ] = ACTIONS(3252),
    [anon_sym_DASH_EQ] = ACTIONS(3252),
    [anon_sym_STAR_EQ] = ACTIONS(3252),
    [anon_sym_SLASH_EQ] = ACTIONS(3252),
    [anon_sym_PERCENT_EQ] = ACTIONS(3252),
    [anon_sym_BANG_EQ] = ACTIONS(3254),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3252),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3252),
    [anon_sym_LT_EQ] = ACTIONS(3252),
    [anon_sym_GT_EQ] = ACTIONS(3252),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3252),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3252),
    [anon_sym_is] = ACTIONS(3252),
    [anon_sym_PLUS] = ACTIONS(3254),
    [anon_sym_DASH] = ACTIONS(3254),
    [anon_sym_STAR] = ACTIONS(3254),
    [anon_sym_SLASH] = ACTIONS(3254),
    [anon_sym_PERCENT] = ACTIONS(3254),
    [anon_sym_PLUS_PLUS] = ACTIONS(3252),
    [anon_sym_DASH_DASH] = ACTIONS(3252),
    [anon_sym_PIPE] = ACTIONS(3252),
    [anon_sym_CARET] = ACTIONS(3254),
    [anon_sym_LT_LT] = ACTIONS(3252),
    [anon_sym_GT_GT] = ACTIONS(3252),
    [anon_sym_class] = ACTIONS(3252),
    [anon_sym_BANG2] = ACTIONS(3254),
    [anon_sym_prefix] = ACTIONS(3252),
    [anon_sym_infix] = ACTIONS(3252),
    [anon_sym_postfix] = ACTIONS(3252),
    [anon_sym_AT] = ACTIONS(3254),
    [anon_sym_override] = ACTIONS(3252),
    [anon_sym_convenience] = ACTIONS(3252),
    [anon_sym_required] = ACTIONS(3252),
    [anon_sym_nonisolated] = ACTIONS(3252),
    [anon_sym_public] = ACTIONS(3252),
    [anon_sym_private] = ACTIONS(3252),
    [anon_sym_internal] = ACTIONS(3252),
    [anon_sym_fileprivate] = ACTIONS(3252),
    [anon_sym_open] = ACTIONS(3252),
    [anon_sym_mutating] = ACTIONS(3252),
    [anon_sym_nonmutating] = ACTIONS(3252),
    [anon_sym_static] = ACTIONS(3252),
    [anon_sym_dynamic] = ACTIONS(3252),
    [anon_sym_optional] = ACTIONS(3252),
    [anon_sym_distributed] = ACTIONS(3252),
    [anon_sym_final] = ACTIONS(3252),
    [anon_sym_inout] = ACTIONS(3252),
    [anon_sym_ATescaping] = ACTIONS(3252),
    [anon_sym_ATautoclosure] = ACTIONS(3252),
    [anon_sym_weak] = ACTIONS(3252),
    [anon_sym_unowned] = ACTIONS(3254),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3252),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3252),
    [anon_sym_borrowing] = ACTIONS(3252),
    [anon_sym_consuming] = ACTIONS(3252),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3252),
    [sym__explicit_semi] = ACTIONS(3252),
    [sym__dot_custom] = ACTIONS(3252),
    [sym__conjunction_operator_custom] = ACTIONS(3252),
    [sym__disjunction_operator_custom] = ACTIONS(3252),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3252),
    [sym__eq_custom] = ACTIONS(3252),
    [sym__eq_eq_custom] = ACTIONS(3252),
    [sym__plus_then_ws] = ACTIONS(3252),
    [sym__minus_then_ws] = ACTIONS(3252),
    [sym__bang_custom] = ACTIONS(3252),
    [sym_default_keyword] = ACTIONS(3252),
    [sym__as_custom] = ACTIONS(3252),
    [sym__as_quest_custom] = ACTIONS(3252),
    [sym__as_bang_custom] = ACTIONS(3252),
    [sym__custom_operator] = ACTIONS(3252),
  },
  [1184] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3020),
    [anon_sym_package] = ACTIONS(3020),
    [anon_sym_COMMA] = ACTIONS(3020),
    [anon_sym_LPAREN] = ACTIONS(3020),
    [anon_sym_LBRACK] = ACTIONS(3020),
    [anon_sym_QMARK] = ACTIONS(3018),
    [anon_sym_QMARK2] = ACTIONS(3020),
    [anon_sym_AMP] = ACTIONS(3020),
    [aux_sym_custom_operator_token1] = ACTIONS(3020),
    [anon_sym_LT] = ACTIONS(3018),
    [anon_sym_GT] = ACTIONS(3018),
    [anon_sym_LBRACE] = ACTIONS(3020),
    [anon_sym_CARET_LBRACE] = ACTIONS(3020),
    [anon_sym_RBRACE] = ACTIONS(3020),
    [anon_sym_case] = ACTIONS(3020),
    [anon_sym_fallthrough] = ACTIONS(3020),
    [anon_sym_PLUS_EQ] = ACTIONS(3020),
    [anon_sym_DASH_EQ] = ACTIONS(3020),
    [anon_sym_STAR_EQ] = ACTIONS(3020),
    [anon_sym_SLASH_EQ] = ACTIONS(3020),
    [anon_sym_PERCENT_EQ] = ACTIONS(3020),
    [anon_sym_BANG_EQ] = ACTIONS(3018),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3020),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3020),
    [anon_sym_LT_EQ] = ACTIONS(3020),
    [anon_sym_GT_EQ] = ACTIONS(3020),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3020),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3020),
    [anon_sym_is] = ACTIONS(3020),
    [anon_sym_PLUS] = ACTIONS(3018),
    [anon_sym_DASH] = ACTIONS(3018),
    [anon_sym_STAR] = ACTIONS(3018),
    [anon_sym_SLASH] = ACTIONS(3018),
    [anon_sym_PERCENT] = ACTIONS(3018),
    [anon_sym_PLUS_PLUS] = ACTIONS(3020),
    [anon_sym_DASH_DASH] = ACTIONS(3020),
    [anon_sym_PIPE] = ACTIONS(3020),
    [anon_sym_CARET] = ACTIONS(3018),
    [anon_sym_LT_LT] = ACTIONS(3020),
    [anon_sym_GT_GT] = ACTIONS(3020),
    [anon_sym_class] = ACTIONS(3020),
    [anon_sym_BANG2] = ACTIONS(3018),
    [anon_sym_prefix] = ACTIONS(3020),
    [anon_sym_infix] = ACTIONS(3020),
    [anon_sym_postfix] = ACTIONS(3020),
    [anon_sym_AT] = ACTIONS(3018),
    [anon_sym_override] = ACTIONS(3020),
    [anon_sym_convenience] = ACTIONS(3020),
    [anon_sym_required] = ACTIONS(3020),
    [anon_sym_nonisolated] = ACTIONS(3020),
    [anon_sym_public] = ACTIONS(3020),
    [anon_sym_private] = ACTIONS(3020),
    [anon_sym_internal] = ACTIONS(3020),
    [anon_sym_fileprivate] = ACTIONS(3020),
    [anon_sym_open] = ACTIONS(3020),
    [anon_sym_mutating] = ACTIONS(3020),
    [anon_sym_nonmutating] = ACTIONS(3020),
    [anon_sym_static] = ACTIONS(3020),
    [anon_sym_dynamic] = ACTIONS(3020),
    [anon_sym_optional] = ACTIONS(3020),
    [anon_sym_distributed] = ACTIONS(3020),
    [anon_sym_final] = ACTIONS(3020),
    [anon_sym_inout] = ACTIONS(3020),
    [anon_sym_ATescaping] = ACTIONS(3020),
    [anon_sym_ATautoclosure] = ACTIONS(3020),
    [anon_sym_weak] = ACTIONS(3020),
    [anon_sym_unowned] = ACTIONS(3018),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3020),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3020),
    [anon_sym_borrowing] = ACTIONS(3020),
    [anon_sym_consuming] = ACTIONS(3020),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3020),
    [sym__explicit_semi] = ACTIONS(3020),
    [sym__dot_custom] = ACTIONS(3020),
    [sym__conjunction_operator_custom] = ACTIONS(3020),
    [sym__disjunction_operator_custom] = ACTIONS(3020),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3020),
    [sym__eq_custom] = ACTIONS(3020),
    [sym__eq_eq_custom] = ACTIONS(3020),
    [sym__plus_then_ws] = ACTIONS(3020),
    [sym__minus_then_ws] = ACTIONS(3020),
    [sym__bang_custom] = ACTIONS(3020),
    [sym_default_keyword] = ACTIONS(3020),
    [sym__as_custom] = ACTIONS(3020),
    [sym__as_quest_custom] = ACTIONS(3020),
    [sym__as_bang_custom] = ACTIONS(3020),
    [sym__custom_operator] = ACTIONS(3020),
  },
  [1185] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3124),
    [anon_sym_package] = ACTIONS(3124),
    [anon_sym_COMMA] = ACTIONS(3124),
    [anon_sym_LPAREN] = ACTIONS(3124),
    [anon_sym_LBRACK] = ACTIONS(3124),
    [anon_sym_QMARK] = ACTIONS(3126),
    [anon_sym_QMARK2] = ACTIONS(3124),
    [anon_sym_AMP] = ACTIONS(3124),
    [aux_sym_custom_operator_token1] = ACTIONS(3124),
    [anon_sym_LT] = ACTIONS(3126),
    [anon_sym_GT] = ACTIONS(3126),
    [anon_sym_LBRACE] = ACTIONS(3124),
    [anon_sym_CARET_LBRACE] = ACTIONS(3124),
    [anon_sym_RBRACE] = ACTIONS(3124),
    [anon_sym_case] = ACTIONS(3124),
    [anon_sym_fallthrough] = ACTIONS(3124),
    [anon_sym_PLUS_EQ] = ACTIONS(3124),
    [anon_sym_DASH_EQ] = ACTIONS(3124),
    [anon_sym_STAR_EQ] = ACTIONS(3124),
    [anon_sym_SLASH_EQ] = ACTIONS(3124),
    [anon_sym_PERCENT_EQ] = ACTIONS(3124),
    [anon_sym_BANG_EQ] = ACTIONS(3126),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3124),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3124),
    [anon_sym_LT_EQ] = ACTIONS(3124),
    [anon_sym_GT_EQ] = ACTIONS(3124),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3124),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3124),
    [anon_sym_is] = ACTIONS(3124),
    [anon_sym_PLUS] = ACTIONS(3126),
    [anon_sym_DASH] = ACTIONS(3126),
    [anon_sym_STAR] = ACTIONS(3126),
    [anon_sym_SLASH] = ACTIONS(3126),
    [anon_sym_PERCENT] = ACTIONS(3126),
    [anon_sym_PLUS_PLUS] = ACTIONS(3124),
    [anon_sym_DASH_DASH] = ACTIONS(3124),
    [anon_sym_PIPE] = ACTIONS(3124),
    [anon_sym_CARET] = ACTIONS(3126),
    [anon_sym_LT_LT] = ACTIONS(3124),
    [anon_sym_GT_GT] = ACTIONS(3124),
    [anon_sym_class] = ACTIONS(3124),
    [anon_sym_BANG2] = ACTIONS(3126),
    [anon_sym_prefix] = ACTIONS(3124),
    [anon_sym_infix] = ACTIONS(3124),
    [anon_sym_postfix] = ACTIONS(3124),
    [anon_sym_AT] = ACTIONS(3126),
    [anon_sym_override] = ACTIONS(3124),
    [anon_sym_convenience] = ACTIONS(3124),
    [anon_sym_required] = ACTIONS(3124),
    [anon_sym_nonisolated] = ACTIONS(3124),
    [anon_sym_public] = ACTIONS(3124),
    [anon_sym_private] = ACTIONS(3124),
    [anon_sym_internal] = ACTIONS(3124),
    [anon_sym_fileprivate] = ACTIONS(3124),
    [anon_sym_open] = ACTIONS(3124),
    [anon_sym_mutating] = ACTIONS(3124),
    [anon_sym_nonmutating] = ACTIONS(3124),
    [anon_sym_static] = ACTIONS(3124),
    [anon_sym_dynamic] = ACTIONS(3124),
    [anon_sym_optional] = ACTIONS(3124),
    [anon_sym_distributed] = ACTIONS(3124),
    [anon_sym_final] = ACTIONS(3124),
    [anon_sym_inout] = ACTIONS(3124),
    [anon_sym_ATescaping] = ACTIONS(3124),
    [anon_sym_ATautoclosure] = ACTIONS(3124),
    [anon_sym_weak] = ACTIONS(3124),
    [anon_sym_unowned] = ACTIONS(3126),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3124),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3124),
    [anon_sym_borrowing] = ACTIONS(3124),
    [anon_sym_consuming] = ACTIONS(3124),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3124),
    [sym__explicit_semi] = ACTIONS(3124),
    [sym__dot_custom] = ACTIONS(3124),
    [sym__conjunction_operator_custom] = ACTIONS(3124),
    [sym__disjunction_operator_custom] = ACTIONS(3124),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3124),
    [sym__eq_custom] = ACTIONS(3124),
    [sym__eq_eq_custom] = ACTIONS(3124),
    [sym__plus_then_ws] = ACTIONS(3124),
    [sym__minus_then_ws] = ACTIONS(3124),
    [sym__bang_custom] = ACTIONS(3124),
    [sym_default_keyword] = ACTIONS(3124),
    [sym__as_custom] = ACTIONS(3124),
    [sym__as_quest_custom] = ACTIONS(3124),
    [sym__as_bang_custom] = ACTIONS(3124),
    [sym__custom_operator] = ACTIONS(3124),
  },
  [1186] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3292),
    [anon_sym_package] = ACTIONS(3292),
    [anon_sym_COMMA] = ACTIONS(3292),
    [anon_sym_LPAREN] = ACTIONS(3292),
    [anon_sym_LBRACK] = ACTIONS(3292),
    [anon_sym_QMARK] = ACTIONS(3294),
    [anon_sym_QMARK2] = ACTIONS(3292),
    [anon_sym_AMP] = ACTIONS(3292),
    [aux_sym_custom_operator_token1] = ACTIONS(3292),
    [anon_sym_LT] = ACTIONS(3294),
    [anon_sym_GT] = ACTIONS(3294),
    [anon_sym_LBRACE] = ACTIONS(3292),
    [anon_sym_CARET_LBRACE] = ACTIONS(3292),
    [anon_sym_RBRACE] = ACTIONS(3292),
    [anon_sym_case] = ACTIONS(3292),
    [anon_sym_fallthrough] = ACTIONS(3292),
    [anon_sym_PLUS_EQ] = ACTIONS(3292),
    [anon_sym_DASH_EQ] = ACTIONS(3292),
    [anon_sym_STAR_EQ] = ACTIONS(3292),
    [anon_sym_SLASH_EQ] = ACTIONS(3292),
    [anon_sym_PERCENT_EQ] = ACTIONS(3292),
    [anon_sym_BANG_EQ] = ACTIONS(3294),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3292),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3292),
    [anon_sym_LT_EQ] = ACTIONS(3292),
    [anon_sym_GT_EQ] = ACTIONS(3292),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3292),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3292),
    [anon_sym_is] = ACTIONS(3292),
    [anon_sym_PLUS] = ACTIONS(3294),
    [anon_sym_DASH] = ACTIONS(3294),
    [anon_sym_STAR] = ACTIONS(3294),
    [anon_sym_SLASH] = ACTIONS(3294),
    [anon_sym_PERCENT] = ACTIONS(3294),
    [anon_sym_PLUS_PLUS] = ACTIONS(3292),
    [anon_sym_DASH_DASH] = ACTIONS(3292),
    [anon_sym_PIPE] = ACTIONS(3292),
    [anon_sym_CARET] = ACTIONS(3294),
    [anon_sym_LT_LT] = ACTIONS(3292),
    [anon_sym_GT_GT] = ACTIONS(3292),
    [anon_sym_class] = ACTIONS(3292),
    [anon_sym_BANG2] = ACTIONS(3294),
    [anon_sym_prefix] = ACTIONS(3292),
    [anon_sym_infix] = ACTIONS(3292),
    [anon_sym_postfix] = ACTIONS(3292),
    [anon_sym_AT] = ACTIONS(3294),
    [anon_sym_override] = ACTIONS(3292),
    [anon_sym_convenience] = ACTIONS(3292),
    [anon_sym_required] = ACTIONS(3292),
    [anon_sym_nonisolated] = ACTIONS(3292),
    [anon_sym_public] = ACTIONS(3292),
    [anon_sym_private] = ACTIONS(3292),
    [anon_sym_internal] = ACTIONS(3292),
    [anon_sym_fileprivate] = ACTIONS(3292),
    [anon_sym_open] = ACTIONS(3292),
    [anon_sym_mutating] = ACTIONS(3292),
    [anon_sym_nonmutating] = ACTIONS(3292),
    [anon_sym_static] = ACTIONS(3292),
    [anon_sym_dynamic] = ACTIONS(3292),
    [anon_sym_optional] = ACTIONS(3292),
    [anon_sym_distributed] = ACTIONS(3292),
    [anon_sym_final] = ACTIONS(3292),
    [anon_sym_inout] = ACTIONS(3292),
    [anon_sym_ATescaping] = ACTIONS(3292),
    [anon_sym_ATautoclosure] = ACTIONS(3292),
    [anon_sym_weak] = ACTIONS(3292),
    [anon_sym_unowned] = ACTIONS(3294),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3292),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3292),
    [anon_sym_borrowing] = ACTIONS(3292),
    [anon_sym_consuming] = ACTIONS(3292),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3292),
    [sym__explicit_semi] = ACTIONS(3292),
    [sym__dot_custom] = ACTIONS(3292),
    [sym__conjunction_operator_custom] = ACTIONS(3292),
    [sym__disjunction_operator_custom] = ACTIONS(3292),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3292),
    [sym__eq_custom] = ACTIONS(3292),
    [sym__eq_eq_custom] = ACTIONS(3292),
    [sym__plus_then_ws] = ACTIONS(3292),
    [sym__minus_then_ws] = ACTIONS(3292),
    [sym__bang_custom] = ACTIONS(3292),
    [sym_default_keyword] = ACTIONS(3292),
    [sym__as_custom] = ACTIONS(3292),
    [sym__as_quest_custom] = ACTIONS(3292),
    [sym__as_bang_custom] = ACTIONS(3292),
    [sym__custom_operator] = ACTIONS(3292),
  },
  [1187] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3244),
    [anon_sym_package] = ACTIONS(3244),
    [anon_sym_COMMA] = ACTIONS(3244),
    [anon_sym_LPAREN] = ACTIONS(3244),
    [anon_sym_LBRACK] = ACTIONS(3244),
    [anon_sym_QMARK] = ACTIONS(3246),
    [anon_sym_QMARK2] = ACTIONS(3244),
    [anon_sym_AMP] = ACTIONS(3244),
    [aux_sym_custom_operator_token1] = ACTIONS(3244),
    [anon_sym_LT] = ACTIONS(3246),
    [anon_sym_GT] = ACTIONS(3246),
    [anon_sym_LBRACE] = ACTIONS(3244),
    [anon_sym_CARET_LBRACE] = ACTIONS(3244),
    [anon_sym_RBRACE] = ACTIONS(3244),
    [anon_sym_case] = ACTIONS(3244),
    [anon_sym_fallthrough] = ACTIONS(3244),
    [anon_sym_PLUS_EQ] = ACTIONS(3244),
    [anon_sym_DASH_EQ] = ACTIONS(3244),
    [anon_sym_STAR_EQ] = ACTIONS(3244),
    [anon_sym_SLASH_EQ] = ACTIONS(3244),
    [anon_sym_PERCENT_EQ] = ACTIONS(3244),
    [anon_sym_BANG_EQ] = ACTIONS(3246),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3244),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3244),
    [anon_sym_LT_EQ] = ACTIONS(3244),
    [anon_sym_GT_EQ] = ACTIONS(3244),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3244),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3244),
    [anon_sym_is] = ACTIONS(3244),
    [anon_sym_PLUS] = ACTIONS(3246),
    [anon_sym_DASH] = ACTIONS(3246),
    [anon_sym_STAR] = ACTIONS(3246),
    [anon_sym_SLASH] = ACTIONS(3246),
    [anon_sym_PERCENT] = ACTIONS(3246),
    [anon_sym_PLUS_PLUS] = ACTIONS(3244),
    [anon_sym_DASH_DASH] = ACTIONS(3244),
    [anon_sym_PIPE] = ACTIONS(3244),
    [anon_sym_CARET] = ACTIONS(3246),
    [anon_sym_LT_LT] = ACTIONS(3244),
    [anon_sym_GT_GT] = ACTIONS(3244),
    [anon_sym_class] = ACTIONS(3244),
    [anon_sym_BANG2] = ACTIONS(3246),
    [anon_sym_prefix] = ACTIONS(3244),
    [anon_sym_infix] = ACTIONS(3244),
    [anon_sym_postfix] = ACTIONS(3244),
    [anon_sym_AT] = ACTIONS(3246),
    [anon_sym_override] = ACTIONS(3244),
    [anon_sym_convenience] = ACTIONS(3244),
    [anon_sym_required] = ACTIONS(3244),
    [anon_sym_nonisolated] = ACTIONS(3244),
    [anon_sym_public] = ACTIONS(3244),
    [anon_sym_private] = ACTIONS(3244),
    [anon_sym_internal] = ACTIONS(3244),
    [anon_sym_fileprivate] = ACTIONS(3244),
    [anon_sym_open] = ACTIONS(3244),
    [anon_sym_mutating] = ACTIONS(3244),
    [anon_sym_nonmutating] = ACTIONS(3244),
    [anon_sym_static] = ACTIONS(3244),
    [anon_sym_dynamic] = ACTIONS(3244),
    [anon_sym_optional] = ACTIONS(3244),
    [anon_sym_distributed] = ACTIONS(3244),
    [anon_sym_final] = ACTIONS(3244),
    [anon_sym_inout] = ACTIONS(3244),
    [anon_sym_ATescaping] = ACTIONS(3244),
    [anon_sym_ATautoclosure] = ACTIONS(3244),
    [anon_sym_weak] = ACTIONS(3244),
    [anon_sym_unowned] = ACTIONS(3246),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3244),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3244),
    [anon_sym_borrowing] = ACTIONS(3244),
    [anon_sym_consuming] = ACTIONS(3244),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3244),
    [sym__explicit_semi] = ACTIONS(3244),
    [sym__dot_custom] = ACTIONS(3244),
    [sym__conjunction_operator_custom] = ACTIONS(3244),
    [sym__disjunction_operator_custom] = ACTIONS(3244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3244),
    [sym__eq_custom] = ACTIONS(3244),
    [sym__eq_eq_custom] = ACTIONS(3244),
    [sym__plus_then_ws] = ACTIONS(3244),
    [sym__minus_then_ws] = ACTIONS(3244),
    [sym__bang_custom] = ACTIONS(3244),
    [sym_default_keyword] = ACTIONS(3244),
    [sym__as_custom] = ACTIONS(3244),
    [sym__as_quest_custom] = ACTIONS(3244),
    [sym__as_bang_custom] = ACTIONS(3244),
    [sym__custom_operator] = ACTIONS(3244),
  },
  [1188] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3164),
    [anon_sym_package] = ACTIONS(3164),
    [anon_sym_COMMA] = ACTIONS(3164),
    [anon_sym_LPAREN] = ACTIONS(3164),
    [anon_sym_LBRACK] = ACTIONS(3164),
    [anon_sym_QMARK] = ACTIONS(3166),
    [anon_sym_QMARK2] = ACTIONS(3164),
    [anon_sym_AMP] = ACTIONS(3164),
    [aux_sym_custom_operator_token1] = ACTIONS(3164),
    [anon_sym_LT] = ACTIONS(3166),
    [anon_sym_GT] = ACTIONS(3166),
    [anon_sym_LBRACE] = ACTIONS(3164),
    [anon_sym_CARET_LBRACE] = ACTIONS(3164),
    [anon_sym_RBRACE] = ACTIONS(3164),
    [anon_sym_case] = ACTIONS(3164),
    [anon_sym_fallthrough] = ACTIONS(3164),
    [anon_sym_PLUS_EQ] = ACTIONS(3164),
    [anon_sym_DASH_EQ] = ACTIONS(3164),
    [anon_sym_STAR_EQ] = ACTIONS(3164),
    [anon_sym_SLASH_EQ] = ACTIONS(3164),
    [anon_sym_PERCENT_EQ] = ACTIONS(3164),
    [anon_sym_BANG_EQ] = ACTIONS(3166),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3164),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3164),
    [anon_sym_LT_EQ] = ACTIONS(3164),
    [anon_sym_GT_EQ] = ACTIONS(3164),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3164),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3164),
    [anon_sym_is] = ACTIONS(3164),
    [anon_sym_PLUS] = ACTIONS(3166),
    [anon_sym_DASH] = ACTIONS(3166),
    [anon_sym_STAR] = ACTIONS(3166),
    [anon_sym_SLASH] = ACTIONS(3166),
    [anon_sym_PERCENT] = ACTIONS(3166),
    [anon_sym_PLUS_PLUS] = ACTIONS(3164),
    [anon_sym_DASH_DASH] = ACTIONS(3164),
    [anon_sym_PIPE] = ACTIONS(3164),
    [anon_sym_CARET] = ACTIONS(3166),
    [anon_sym_LT_LT] = ACTIONS(3164),
    [anon_sym_GT_GT] = ACTIONS(3164),
    [anon_sym_class] = ACTIONS(3164),
    [anon_sym_BANG2] = ACTIONS(3166),
    [anon_sym_prefix] = ACTIONS(3164),
    [anon_sym_infix] = ACTIONS(3164),
    [anon_sym_postfix] = ACTIONS(3164),
    [anon_sym_AT] = ACTIONS(3166),
    [anon_sym_override] = ACTIONS(3164),
    [anon_sym_convenience] = ACTIONS(3164),
    [anon_sym_required] = ACTIONS(3164),
    [anon_sym_nonisolated] = ACTIONS(3164),
    [anon_sym_public] = ACTIONS(3164),
    [anon_sym_private] = ACTIONS(3164),
    [anon_sym_internal] = ACTIONS(3164),
    [anon_sym_fileprivate] = ACTIONS(3164),
    [anon_sym_open] = ACTIONS(3164),
    [anon_sym_mutating] = ACTIONS(3164),
    [anon_sym_nonmutating] = ACTIONS(3164),
    [anon_sym_static] = ACTIONS(3164),
    [anon_sym_dynamic] = ACTIONS(3164),
    [anon_sym_optional] = ACTIONS(3164),
    [anon_sym_distributed] = ACTIONS(3164),
    [anon_sym_final] = ACTIONS(3164),
    [anon_sym_inout] = ACTIONS(3164),
    [anon_sym_ATescaping] = ACTIONS(3164),
    [anon_sym_ATautoclosure] = ACTIONS(3164),
    [anon_sym_weak] = ACTIONS(3164),
    [anon_sym_unowned] = ACTIONS(3166),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3164),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3164),
    [anon_sym_borrowing] = ACTIONS(3164),
    [anon_sym_consuming] = ACTIONS(3164),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3164),
    [sym__explicit_semi] = ACTIONS(3164),
    [sym__dot_custom] = ACTIONS(3164),
    [sym__conjunction_operator_custom] = ACTIONS(3164),
    [sym__disjunction_operator_custom] = ACTIONS(3164),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3164),
    [sym__eq_custom] = ACTIONS(3164),
    [sym__eq_eq_custom] = ACTIONS(3164),
    [sym__plus_then_ws] = ACTIONS(3164),
    [sym__minus_then_ws] = ACTIONS(3164),
    [sym__bang_custom] = ACTIONS(3164),
    [sym_default_keyword] = ACTIONS(3164),
    [sym__as_custom] = ACTIONS(3164),
    [sym__as_quest_custom] = ACTIONS(3164),
    [sym__as_bang_custom] = ACTIONS(3164),
    [sym__custom_operator] = ACTIONS(3164),
  },
  [1189] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3160),
    [anon_sym_package] = ACTIONS(3160),
    [anon_sym_COMMA] = ACTIONS(3160),
    [anon_sym_LPAREN] = ACTIONS(3160),
    [anon_sym_LBRACK] = ACTIONS(3160),
    [anon_sym_QMARK] = ACTIONS(3162),
    [anon_sym_QMARK2] = ACTIONS(3160),
    [anon_sym_AMP] = ACTIONS(3160),
    [aux_sym_custom_operator_token1] = ACTIONS(3160),
    [anon_sym_LT] = ACTIONS(3162),
    [anon_sym_GT] = ACTIONS(3162),
    [anon_sym_LBRACE] = ACTIONS(3160),
    [anon_sym_CARET_LBRACE] = ACTIONS(3160),
    [anon_sym_RBRACE] = ACTIONS(3160),
    [anon_sym_case] = ACTIONS(3160),
    [anon_sym_fallthrough] = ACTIONS(3160),
    [anon_sym_PLUS_EQ] = ACTIONS(3160),
    [anon_sym_DASH_EQ] = ACTIONS(3160),
    [anon_sym_STAR_EQ] = ACTIONS(3160),
    [anon_sym_SLASH_EQ] = ACTIONS(3160),
    [anon_sym_PERCENT_EQ] = ACTIONS(3160),
    [anon_sym_BANG_EQ] = ACTIONS(3162),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3160),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3160),
    [anon_sym_LT_EQ] = ACTIONS(3160),
    [anon_sym_GT_EQ] = ACTIONS(3160),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3160),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3160),
    [anon_sym_is] = ACTIONS(3160),
    [anon_sym_PLUS] = ACTIONS(3162),
    [anon_sym_DASH] = ACTIONS(3162),
    [anon_sym_STAR] = ACTIONS(3162),
    [anon_sym_SLASH] = ACTIONS(3162),
    [anon_sym_PERCENT] = ACTIONS(3162),
    [anon_sym_PLUS_PLUS] = ACTIONS(3160),
    [anon_sym_DASH_DASH] = ACTIONS(3160),
    [anon_sym_PIPE] = ACTIONS(3160),
    [anon_sym_CARET] = ACTIONS(3162),
    [anon_sym_LT_LT] = ACTIONS(3160),
    [anon_sym_GT_GT] = ACTIONS(3160),
    [anon_sym_class] = ACTIONS(3160),
    [anon_sym_BANG2] = ACTIONS(3162),
    [anon_sym_prefix] = ACTIONS(3160),
    [anon_sym_infix] = ACTIONS(3160),
    [anon_sym_postfix] = ACTIONS(3160),
    [anon_sym_AT] = ACTIONS(3162),
    [anon_sym_override] = ACTIONS(3160),
    [anon_sym_convenience] = ACTIONS(3160),
    [anon_sym_required] = ACTIONS(3160),
    [anon_sym_nonisolated] = ACTIONS(3160),
    [anon_sym_public] = ACTIONS(3160),
    [anon_sym_private] = ACTIONS(3160),
    [anon_sym_internal] = ACTIONS(3160),
    [anon_sym_fileprivate] = ACTIONS(3160),
    [anon_sym_open] = ACTIONS(3160),
    [anon_sym_mutating] = ACTIONS(3160),
    [anon_sym_nonmutating] = ACTIONS(3160),
    [anon_sym_static] = ACTIONS(3160),
    [anon_sym_dynamic] = ACTIONS(3160),
    [anon_sym_optional] = ACTIONS(3160),
    [anon_sym_distributed] = ACTIONS(3160),
    [anon_sym_final] = ACTIONS(3160),
    [anon_sym_inout] = ACTIONS(3160),
    [anon_sym_ATescaping] = ACTIONS(3160),
    [anon_sym_ATautoclosure] = ACTIONS(3160),
    [anon_sym_weak] = ACTIONS(3160),
    [anon_sym_unowned] = ACTIONS(3162),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3160),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3160),
    [anon_sym_borrowing] = ACTIONS(3160),
    [anon_sym_consuming] = ACTIONS(3160),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3160),
    [sym__explicit_semi] = ACTIONS(3160),
    [sym__dot_custom] = ACTIONS(3160),
    [sym__conjunction_operator_custom] = ACTIONS(3160),
    [sym__disjunction_operator_custom] = ACTIONS(3160),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3160),
    [sym__eq_custom] = ACTIONS(3160),
    [sym__eq_eq_custom] = ACTIONS(3160),
    [sym__plus_then_ws] = ACTIONS(3160),
    [sym__minus_then_ws] = ACTIONS(3160),
    [sym__bang_custom] = ACTIONS(3160),
    [sym_default_keyword] = ACTIONS(3160),
    [sym__as_custom] = ACTIONS(3160),
    [sym__as_quest_custom] = ACTIONS(3160),
    [sym__as_bang_custom] = ACTIONS(3160),
    [sym__custom_operator] = ACTIONS(3160),
  },
  [1190] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3152),
    [anon_sym_package] = ACTIONS(3152),
    [anon_sym_COMMA] = ACTIONS(3152),
    [anon_sym_LPAREN] = ACTIONS(3152),
    [anon_sym_LBRACK] = ACTIONS(3152),
    [anon_sym_QMARK] = ACTIONS(3154),
    [anon_sym_QMARK2] = ACTIONS(3152),
    [anon_sym_AMP] = ACTIONS(3152),
    [aux_sym_custom_operator_token1] = ACTIONS(3152),
    [anon_sym_LT] = ACTIONS(3154),
    [anon_sym_GT] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(3152),
    [anon_sym_CARET_LBRACE] = ACTIONS(3152),
    [anon_sym_RBRACE] = ACTIONS(3152),
    [anon_sym_case] = ACTIONS(3152),
    [anon_sym_fallthrough] = ACTIONS(3152),
    [anon_sym_PLUS_EQ] = ACTIONS(3152),
    [anon_sym_DASH_EQ] = ACTIONS(3152),
    [anon_sym_STAR_EQ] = ACTIONS(3152),
    [anon_sym_SLASH_EQ] = ACTIONS(3152),
    [anon_sym_PERCENT_EQ] = ACTIONS(3152),
    [anon_sym_BANG_EQ] = ACTIONS(3154),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3152),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3152),
    [anon_sym_LT_EQ] = ACTIONS(3152),
    [anon_sym_GT_EQ] = ACTIONS(3152),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3152),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3152),
    [anon_sym_is] = ACTIONS(3152),
    [anon_sym_PLUS] = ACTIONS(3154),
    [anon_sym_DASH] = ACTIONS(3154),
    [anon_sym_STAR] = ACTIONS(3154),
    [anon_sym_SLASH] = ACTIONS(3154),
    [anon_sym_PERCENT] = ACTIONS(3154),
    [anon_sym_PLUS_PLUS] = ACTIONS(3152),
    [anon_sym_DASH_DASH] = ACTIONS(3152),
    [anon_sym_PIPE] = ACTIONS(3152),
    [anon_sym_CARET] = ACTIONS(3154),
    [anon_sym_LT_LT] = ACTIONS(3152),
    [anon_sym_GT_GT] = ACTIONS(3152),
    [anon_sym_class] = ACTIONS(3152),
    [anon_sym_BANG2] = ACTIONS(3154),
    [anon_sym_prefix] = ACTIONS(3152),
    [anon_sym_infix] = ACTIONS(3152),
    [anon_sym_postfix] = ACTIONS(3152),
    [anon_sym_AT] = ACTIONS(3154),
    [anon_sym_override] = ACTIONS(3152),
    [anon_sym_convenience] = ACTIONS(3152),
    [anon_sym_required] = ACTIONS(3152),
    [anon_sym_nonisolated] = ACTIONS(3152),
    [anon_sym_public] = ACTIONS(3152),
    [anon_sym_private] = ACTIONS(3152),
    [anon_sym_internal] = ACTIONS(3152),
    [anon_sym_fileprivate] = ACTIONS(3152),
    [anon_sym_open] = ACTIONS(3152),
    [anon_sym_mutating] = ACTIONS(3152),
    [anon_sym_nonmutating] = ACTIONS(3152),
    [anon_sym_static] = ACTIONS(3152),
    [anon_sym_dynamic] = ACTIONS(3152),
    [anon_sym_optional] = ACTIONS(3152),
    [anon_sym_distributed] = ACTIONS(3152),
    [anon_sym_final] = ACTIONS(3152),
    [anon_sym_inout] = ACTIONS(3152),
    [anon_sym_ATescaping] = ACTIONS(3152),
    [anon_sym_ATautoclosure] = ACTIONS(3152),
    [anon_sym_weak] = ACTIONS(3152),
    [anon_sym_unowned] = ACTIONS(3154),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3152),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3152),
    [anon_sym_borrowing] = ACTIONS(3152),
    [anon_sym_consuming] = ACTIONS(3152),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3152),
    [sym__explicit_semi] = ACTIONS(3152),
    [sym__dot_custom] = ACTIONS(3152),
    [sym__conjunction_operator_custom] = ACTIONS(3152),
    [sym__disjunction_operator_custom] = ACTIONS(3152),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3152),
    [sym__eq_custom] = ACTIONS(3152),
    [sym__eq_eq_custom] = ACTIONS(3152),
    [sym__plus_then_ws] = ACTIONS(3152),
    [sym__minus_then_ws] = ACTIONS(3152),
    [sym__bang_custom] = ACTIONS(3152),
    [sym_default_keyword] = ACTIONS(3152),
    [sym__as_custom] = ACTIONS(3152),
    [sym__as_quest_custom] = ACTIONS(3152),
    [sym__as_bang_custom] = ACTIONS(3152),
    [sym__custom_operator] = ACTIONS(3152),
  },
  [1191] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2926),
    [aux_sym_simple_identifier_token2] = ACTIONS(2924),
    [aux_sym_simple_identifier_token3] = ACTIONS(2924),
    [aux_sym_simple_identifier_token4] = ACTIONS(2924),
    [anon_sym_actor] = ACTIONS(2926),
    [anon_sym_async] = ACTIONS(2926),
    [anon_sym_each] = ACTIONS(2926),
    [anon_sym_lazy] = ACTIONS(2926),
    [anon_sym_repeat] = ACTIONS(2926),
    [anon_sym_package] = ACTIONS(2926),
    [anon_sym_nil] = ACTIONS(2926),
    [sym_real_literal] = ACTIONS(2924),
    [sym_integer_literal] = ACTIONS(2926),
    [sym_hex_literal] = ACTIONS(2924),
    [sym_oct_literal] = ACTIONS(2924),
    [sym_bin_literal] = ACTIONS(2924),
    [anon_sym_true] = ACTIONS(2926),
    [anon_sym_false] = ACTIONS(2926),
    [anon_sym_DQUOTE] = ACTIONS(2926),
    [anon_sym_BSLASH] = ACTIONS(2924),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2924),
    [sym__extended_regex_literal] = ACTIONS(2924),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(2924),
    [sym__oneline_regex_literal] = ACTIONS(2926),
    [anon_sym_LPAREN] = ACTIONS(2924),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_AMP] = ACTIONS(2924),
    [anon_sym_if] = ACTIONS(2926),
    [anon_sym_switch] = ACTIONS(2926),
    [anon_sym_POUNDselector] = ACTIONS(2924),
    [aux_sym_custom_operator_token1] = ACTIONS(2924),
    [anon_sym_LT] = ACTIONS(2926),
    [anon_sym_GT] = ACTIONS(2926),
    [anon_sym_await] = ACTIONS(2926),
    [anon_sym_POUNDfile] = ACTIONS(2926),
    [anon_sym_POUNDfileID] = ACTIONS(2924),
    [anon_sym_POUNDfilePath] = ACTIONS(2924),
    [anon_sym_POUNDline] = ACTIONS(2924),
    [anon_sym_POUNDcolumn] = ACTIONS(2924),
    [anon_sym_POUNDfunction] = ACTIONS(2924),
    [anon_sym_POUNDdsohandle] = ACTIONS(2924),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(2924),
    [anon_sym_POUNDfileLiteral] = ACTIONS(2924),
    [anon_sym_POUNDimageLiteral] = ACTIONS(2924),
    [anon_sym_LBRACE] = ACTIONS(2924),
    [anon_sym_CARET_LBRACE] = ACTIONS(2924),
    [anon_sym_self] = ACTIONS(2926),
    [anon_sym_super] = ACTIONS(2926),
    [anon_sym_POUNDkeyPath] = ACTIONS(2924),
    [anon_sym_try] = ACTIONS(2926),
    [anon_sym_PLUS_EQ] = ACTIONS(2924),
    [anon_sym_DASH_EQ] = ACTIONS(2924),
    [anon_sym_STAR_EQ] = ACTIONS(2924),
    [anon_sym_SLASH_EQ] = ACTIONS(2924),
    [anon_sym_PERCENT_EQ] = ACTIONS(2924),
    [anon_sym_BANG_EQ] = ACTIONS(2926),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2924),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2924),
    [anon_sym_LT_EQ] = ACTIONS(2924),
    [anon_sym_GT_EQ] = ACTIONS(2924),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2924),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2924),
    [anon_sym_PLUS] = ACTIONS(2926),
    [anon_sym_DASH] = ACTIONS(2926),
    [anon_sym_STAR] = ACTIONS(2926),
    [anon_sym_SLASH] = ACTIONS(2926),
    [anon_sym_PERCENT] = ACTIONS(2926),
    [anon_sym_PLUS_PLUS] = ACTIONS(2924),
    [anon_sym_DASH_DASH] = ACTIONS(2924),
    [anon_sym_TILDE] = ACTIONS(2924),
    [anon_sym_PIPE] = ACTIONS(2924),
    [anon_sym_CARET] = ACTIONS(2926),
    [anon_sym_LT_LT] = ACTIONS(2924),
    [anon_sym_GT_GT] = ACTIONS(2924),
    [anon_sym_BANG2] = ACTIONS(2926),
    [anon_sym_AT] = ACTIONS(2924),
    [anon_sym_borrowing] = ACTIONS(2926),
    [anon_sym_consuming] = ACTIONS(2926),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(2924),
    [sym_raw_str_end_part] = ACTIONS(2924),
    [sym__dot_custom] = ACTIONS(2924),
    [sym__eq_custom] = ACTIONS(2924),
    [sym__eq_eq_custom] = ACTIONS(2924),
    [sym__plus_then_ws] = ACTIONS(2924),
    [sym__minus_then_ws] = ACTIONS(2924),
    [sym__bang_custom] = ACTIONS(2924),
    [sym__custom_operator] = ACTIONS(2924),
  },
  [1192] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2800),
    [aux_sym_simple_identifier_token2] = ACTIONS(2798),
    [aux_sym_simple_identifier_token3] = ACTIONS(2798),
    [aux_sym_simple_identifier_token4] = ACTIONS(2798),
    [anon_sym_actor] = ACTIONS(2800),
    [anon_sym_async] = ACTIONS(2800),
    [anon_sym_each] = ACTIONS(2800),
    [anon_sym_lazy] = ACTIONS(2800),
    [anon_sym_repeat] = ACTIONS(2800),
    [anon_sym_package] = ACTIONS(2800),
    [anon_sym_nil] = ACTIONS(2800),
    [sym_real_literal] = ACTIONS(2798),
    [sym_integer_literal] = ACTIONS(2800),
    [sym_hex_literal] = ACTIONS(2798),
    [sym_oct_literal] = ACTIONS(2798),
    [sym_bin_literal] = ACTIONS(2798),
    [anon_sym_true] = ACTIONS(2800),
    [anon_sym_false] = ACTIONS(2800),
    [anon_sym_DQUOTE] = ACTIONS(2800),
    [anon_sym_BSLASH] = ACTIONS(2798),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2798),
    [sym__extended_regex_literal] = ACTIONS(2798),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(2798),
    [sym__oneline_regex_literal] = ACTIONS(2800),
    [anon_sym_LPAREN] = ACTIONS(2798),
    [anon_sym_LBRACK] = ACTIONS(2798),
    [anon_sym_AMP] = ACTIONS(2798),
    [anon_sym_if] = ACTIONS(2800),
    [anon_sym_switch] = ACTIONS(2800),
    [anon_sym_POUNDselector] = ACTIONS(2798),
    [aux_sym_custom_operator_token1] = ACTIONS(2798),
    [anon_sym_LT] = ACTIONS(2800),
    [anon_sym_GT] = ACTIONS(2800),
    [anon_sym_await] = ACTIONS(2800),
    [anon_sym_POUNDfile] = ACTIONS(2800),
    [anon_sym_POUNDfileID] = ACTIONS(2798),
    [anon_sym_POUNDfilePath] = ACTIONS(2798),
    [anon_sym_POUNDline] = ACTIONS(2798),
    [anon_sym_POUNDcolumn] = ACTIONS(2798),
    [anon_sym_POUNDfunction] = ACTIONS(2798),
    [anon_sym_POUNDdsohandle] = ACTIONS(2798),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(2798),
    [anon_sym_POUNDfileLiteral] = ACTIONS(2798),
    [anon_sym_POUNDimageLiteral] = ACTIONS(2798),
    [anon_sym_LBRACE] = ACTIONS(2798),
    [anon_sym_CARET_LBRACE] = ACTIONS(2798),
    [anon_sym_self] = ACTIONS(2800),
    [anon_sym_super] = ACTIONS(2800),
    [anon_sym_POUNDkeyPath] = ACTIONS(2798),
    [anon_sym_try] = ACTIONS(2800),
    [anon_sym_PLUS_EQ] = ACTIONS(2798),
    [anon_sym_DASH_EQ] = ACTIONS(2798),
    [anon_sym_STAR_EQ] = ACTIONS(2798),
    [anon_sym_SLASH_EQ] = ACTIONS(2798),
    [anon_sym_PERCENT_EQ] = ACTIONS(2798),
    [anon_sym_BANG_EQ] = ACTIONS(2800),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2798),
    [anon_sym_LT_EQ] = ACTIONS(2798),
    [anon_sym_GT_EQ] = ACTIONS(2798),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2798),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2798),
    [anon_sym_PLUS] = ACTIONS(2800),
    [anon_sym_DASH] = ACTIONS(2800),
    [anon_sym_STAR] = ACTIONS(2800),
    [anon_sym_SLASH] = ACTIONS(2800),
    [anon_sym_PERCENT] = ACTIONS(2800),
    [anon_sym_PLUS_PLUS] = ACTIONS(2798),
    [anon_sym_DASH_DASH] = ACTIONS(2798),
    [anon_sym_TILDE] = ACTIONS(2798),
    [anon_sym_PIPE] = ACTIONS(2798),
    [anon_sym_CARET] = ACTIONS(2800),
    [anon_sym_LT_LT] = ACTIONS(2798),
    [anon_sym_GT_GT] = ACTIONS(2798),
    [anon_sym_BANG2] = ACTIONS(2800),
    [anon_sym_AT] = ACTIONS(2798),
    [anon_sym_borrowing] = ACTIONS(2800),
    [anon_sym_consuming] = ACTIONS(2800),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(2798),
    [sym_raw_str_end_part] = ACTIONS(2798),
    [sym__dot_custom] = ACTIONS(2798),
    [sym__eq_custom] = ACTIONS(2798),
    [sym__eq_eq_custom] = ACTIONS(2798),
    [sym__plus_then_ws] = ACTIONS(2798),
    [sym__minus_then_ws] = ACTIONS(2798),
    [sym__bang_custom] = ACTIONS(2798),
    [sym__custom_operator] = ACTIONS(2798),
  },
  [1193] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3196),
    [anon_sym_package] = ACTIONS(3196),
    [anon_sym_COMMA] = ACTIONS(3196),
    [anon_sym_LPAREN] = ACTIONS(3196),
    [anon_sym_LBRACK] = ACTIONS(3196),
    [anon_sym_QMARK] = ACTIONS(3198),
    [anon_sym_QMARK2] = ACTIONS(3196),
    [anon_sym_AMP] = ACTIONS(3196),
    [aux_sym_custom_operator_token1] = ACTIONS(3196),
    [anon_sym_LT] = ACTIONS(3198),
    [anon_sym_GT] = ACTIONS(3198),
    [anon_sym_LBRACE] = ACTIONS(3196),
    [anon_sym_CARET_LBRACE] = ACTIONS(3196),
    [anon_sym_RBRACE] = ACTIONS(3196),
    [anon_sym_case] = ACTIONS(3196),
    [anon_sym_fallthrough] = ACTIONS(3196),
    [anon_sym_PLUS_EQ] = ACTIONS(3196),
    [anon_sym_DASH_EQ] = ACTIONS(3196),
    [anon_sym_STAR_EQ] = ACTIONS(3196),
    [anon_sym_SLASH_EQ] = ACTIONS(3196),
    [anon_sym_PERCENT_EQ] = ACTIONS(3196),
    [anon_sym_BANG_EQ] = ACTIONS(3198),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3196),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3196),
    [anon_sym_LT_EQ] = ACTIONS(3196),
    [anon_sym_GT_EQ] = ACTIONS(3196),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3196),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3196),
    [anon_sym_is] = ACTIONS(3196),
    [anon_sym_PLUS] = ACTIONS(3198),
    [anon_sym_DASH] = ACTIONS(3198),
    [anon_sym_STAR] = ACTIONS(3198),
    [anon_sym_SLASH] = ACTIONS(3198),
    [anon_sym_PERCENT] = ACTIONS(3198),
    [anon_sym_PLUS_PLUS] = ACTIONS(3196),
    [anon_sym_DASH_DASH] = ACTIONS(3196),
    [anon_sym_PIPE] = ACTIONS(3196),
    [anon_sym_CARET] = ACTIONS(3198),
    [anon_sym_LT_LT] = ACTIONS(3196),
    [anon_sym_GT_GT] = ACTIONS(3196),
    [anon_sym_class] = ACTIONS(3196),
    [anon_sym_BANG2] = ACTIONS(3198),
    [anon_sym_prefix] = ACTIONS(3196),
    [anon_sym_infix] = ACTIONS(3196),
    [anon_sym_postfix] = ACTIONS(3196),
    [anon_sym_AT] = ACTIONS(3198),
    [anon_sym_override] = ACTIONS(3196),
    [anon_sym_convenience] = ACTIONS(3196),
    [anon_sym_required] = ACTIONS(3196),
    [anon_sym_nonisolated] = ACTIONS(3196),
    [anon_sym_public] = ACTIONS(3196),
    [anon_sym_private] = ACTIONS(3196),
    [anon_sym_internal] = ACTIONS(3196),
    [anon_sym_fileprivate] = ACTIONS(3196),
    [anon_sym_open] = ACTIONS(3196),
    [anon_sym_mutating] = ACTIONS(3196),
    [anon_sym_nonmutating] = ACTIONS(3196),
    [anon_sym_static] = ACTIONS(3196),
    [anon_sym_dynamic] = ACTIONS(3196),
    [anon_sym_optional] = ACTIONS(3196),
    [anon_sym_distributed] = ACTIONS(3196),
    [anon_sym_final] = ACTIONS(3196),
    [anon_sym_inout] = ACTIONS(3196),
    [anon_sym_ATescaping] = ACTIONS(3196),
    [anon_sym_ATautoclosure] = ACTIONS(3196),
    [anon_sym_weak] = ACTIONS(3196),
    [anon_sym_unowned] = ACTIONS(3198),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3196),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3196),
    [anon_sym_borrowing] = ACTIONS(3196),
    [anon_sym_consuming] = ACTIONS(3196),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3196),
    [sym__explicit_semi] = ACTIONS(3196),
    [sym__dot_custom] = ACTIONS(3196),
    [sym__conjunction_operator_custom] = ACTIONS(3196),
    [sym__disjunction_operator_custom] = ACTIONS(3196),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3196),
    [sym__eq_custom] = ACTIONS(3196),
    [sym__eq_eq_custom] = ACTIONS(3196),
    [sym__plus_then_ws] = ACTIONS(3196),
    [sym__minus_then_ws] = ACTIONS(3196),
    [sym__bang_custom] = ACTIONS(3196),
    [sym_default_keyword] = ACTIONS(3196),
    [sym__as_custom] = ACTIONS(3196),
    [sym__as_quest_custom] = ACTIONS(3196),
    [sym__as_bang_custom] = ACTIONS(3196),
    [sym__custom_operator] = ACTIONS(3196),
  },
  [1194] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3238),
    [anon_sym_package] = ACTIONS(3238),
    [anon_sym_COMMA] = ACTIONS(3238),
    [anon_sym_LPAREN] = ACTIONS(3238),
    [anon_sym_LBRACK] = ACTIONS(3238),
    [anon_sym_QMARK] = ACTIONS(3241),
    [anon_sym_QMARK2] = ACTIONS(3238),
    [anon_sym_AMP] = ACTIONS(3238),
    [aux_sym_custom_operator_token1] = ACTIONS(3238),
    [anon_sym_LT] = ACTIONS(3241),
    [anon_sym_GT] = ACTIONS(3241),
    [anon_sym_LBRACE] = ACTIONS(3238),
    [anon_sym_CARET_LBRACE] = ACTIONS(3238),
    [anon_sym_RBRACE] = ACTIONS(3238),
    [anon_sym_case] = ACTIONS(3238),
    [anon_sym_fallthrough] = ACTIONS(3238),
    [anon_sym_PLUS_EQ] = ACTIONS(3238),
    [anon_sym_DASH_EQ] = ACTIONS(3238),
    [anon_sym_STAR_EQ] = ACTIONS(3238),
    [anon_sym_SLASH_EQ] = ACTIONS(3238),
    [anon_sym_PERCENT_EQ] = ACTIONS(3238),
    [anon_sym_BANG_EQ] = ACTIONS(3241),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3238),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3238),
    [anon_sym_LT_EQ] = ACTIONS(3238),
    [anon_sym_GT_EQ] = ACTIONS(3238),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3238),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3238),
    [anon_sym_is] = ACTIONS(3238),
    [anon_sym_PLUS] = ACTIONS(3241),
    [anon_sym_DASH] = ACTIONS(3241),
    [anon_sym_STAR] = ACTIONS(3241),
    [anon_sym_SLASH] = ACTIONS(3241),
    [anon_sym_PERCENT] = ACTIONS(3241),
    [anon_sym_PLUS_PLUS] = ACTIONS(3238),
    [anon_sym_DASH_DASH] = ACTIONS(3238),
    [anon_sym_PIPE] = ACTIONS(3238),
    [anon_sym_CARET] = ACTIONS(3241),
    [anon_sym_LT_LT] = ACTIONS(3238),
    [anon_sym_GT_GT] = ACTIONS(3238),
    [anon_sym_class] = ACTIONS(3238),
    [anon_sym_BANG2] = ACTIONS(3241),
    [anon_sym_prefix] = ACTIONS(3238),
    [anon_sym_infix] = ACTIONS(3238),
    [anon_sym_postfix] = ACTIONS(3238),
    [anon_sym_AT] = ACTIONS(3241),
    [anon_sym_override] = ACTIONS(3238),
    [anon_sym_convenience] = ACTIONS(3238),
    [anon_sym_required] = ACTIONS(3238),
    [anon_sym_nonisolated] = ACTIONS(3238),
    [anon_sym_public] = ACTIONS(3238),
    [anon_sym_private] = ACTIONS(3238),
    [anon_sym_internal] = ACTIONS(3238),
    [anon_sym_fileprivate] = ACTIONS(3238),
    [anon_sym_open] = ACTIONS(3238),
    [anon_sym_mutating] = ACTIONS(3238),
    [anon_sym_nonmutating] = ACTIONS(3238),
    [anon_sym_static] = ACTIONS(3238),
    [anon_sym_dynamic] = ACTIONS(3238),
    [anon_sym_optional] = ACTIONS(3238),
    [anon_sym_distributed] = ACTIONS(3238),
    [anon_sym_final] = ACTIONS(3238),
    [anon_sym_inout] = ACTIONS(3238),
    [anon_sym_ATescaping] = ACTIONS(3238),
    [anon_sym_ATautoclosure] = ACTIONS(3238),
    [anon_sym_weak] = ACTIONS(3238),
    [anon_sym_unowned] = ACTIONS(3241),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3238),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3238),
    [anon_sym_borrowing] = ACTIONS(3238),
    [anon_sym_consuming] = ACTIONS(3238),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3238),
    [sym__explicit_semi] = ACTIONS(3238),
    [sym__dot_custom] = ACTIONS(3238),
    [sym__conjunction_operator_custom] = ACTIONS(3238),
    [sym__disjunction_operator_custom] = ACTIONS(3238),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3238),
    [sym__eq_custom] = ACTIONS(3238),
    [sym__eq_eq_custom] = ACTIONS(3238),
    [sym__plus_then_ws] = ACTIONS(3238),
    [sym__minus_then_ws] = ACTIONS(3238),
    [sym__bang_custom] = ACTIONS(3238),
    [sym_default_keyword] = ACTIONS(3238),
    [sym__as_custom] = ACTIONS(3238),
    [sym__as_quest_custom] = ACTIONS(3238),
    [sym__as_bang_custom] = ACTIONS(3238),
    [sym__custom_operator] = ACTIONS(3238),
  },
  [1195] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3214),
    [anon_sym_package] = ACTIONS(3214),
    [anon_sym_COMMA] = ACTIONS(3214),
    [anon_sym_LPAREN] = ACTIONS(3214),
    [anon_sym_LBRACK] = ACTIONS(3214),
    [anon_sym_QMARK] = ACTIONS(3216),
    [anon_sym_QMARK2] = ACTIONS(3214),
    [anon_sym_AMP] = ACTIONS(3214),
    [aux_sym_custom_operator_token1] = ACTIONS(3214),
    [anon_sym_LT] = ACTIONS(3216),
    [anon_sym_GT] = ACTIONS(3216),
    [anon_sym_LBRACE] = ACTIONS(3214),
    [anon_sym_CARET_LBRACE] = ACTIONS(3214),
    [anon_sym_RBRACE] = ACTIONS(3214),
    [anon_sym_case] = ACTIONS(3214),
    [anon_sym_fallthrough] = ACTIONS(3214),
    [anon_sym_PLUS_EQ] = ACTIONS(3214),
    [anon_sym_DASH_EQ] = ACTIONS(3214),
    [anon_sym_STAR_EQ] = ACTIONS(3214),
    [anon_sym_SLASH_EQ] = ACTIONS(3214),
    [anon_sym_PERCENT_EQ] = ACTIONS(3214),
    [anon_sym_BANG_EQ] = ACTIONS(3216),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3214),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3214),
    [anon_sym_LT_EQ] = ACTIONS(3214),
    [anon_sym_GT_EQ] = ACTIONS(3214),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3214),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3214),
    [anon_sym_is] = ACTIONS(3214),
    [anon_sym_PLUS] = ACTIONS(3216),
    [anon_sym_DASH] = ACTIONS(3216),
    [anon_sym_STAR] = ACTIONS(3216),
    [anon_sym_SLASH] = ACTIONS(3216),
    [anon_sym_PERCENT] = ACTIONS(3216),
    [anon_sym_PLUS_PLUS] = ACTIONS(3214),
    [anon_sym_DASH_DASH] = ACTIONS(3214),
    [anon_sym_PIPE] = ACTIONS(3214),
    [anon_sym_CARET] = ACTIONS(3216),
    [anon_sym_LT_LT] = ACTIONS(3214),
    [anon_sym_GT_GT] = ACTIONS(3214),
    [anon_sym_class] = ACTIONS(3214),
    [anon_sym_BANG2] = ACTIONS(3216),
    [anon_sym_prefix] = ACTIONS(3214),
    [anon_sym_infix] = ACTIONS(3214),
    [anon_sym_postfix] = ACTIONS(3214),
    [anon_sym_AT] = ACTIONS(3216),
    [anon_sym_override] = ACTIONS(3214),
    [anon_sym_convenience] = ACTIONS(3214),
    [anon_sym_required] = ACTIONS(3214),
    [anon_sym_nonisolated] = ACTIONS(3214),
    [anon_sym_public] = ACTIONS(3214),
    [anon_sym_private] = ACTIONS(3214),
    [anon_sym_internal] = ACTIONS(3214),
    [anon_sym_fileprivate] = ACTIONS(3214),
    [anon_sym_open] = ACTIONS(3214),
    [anon_sym_mutating] = ACTIONS(3214),
    [anon_sym_nonmutating] = ACTIONS(3214),
    [anon_sym_static] = ACTIONS(3214),
    [anon_sym_dynamic] = ACTIONS(3214),
    [anon_sym_optional] = ACTIONS(3214),
    [anon_sym_distributed] = ACTIONS(3214),
    [anon_sym_final] = ACTIONS(3214),
    [anon_sym_inout] = ACTIONS(3214),
    [anon_sym_ATescaping] = ACTIONS(3214),
    [anon_sym_ATautoclosure] = ACTIONS(3214),
    [anon_sym_weak] = ACTIONS(3214),
    [anon_sym_unowned] = ACTIONS(3216),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3214),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3214),
    [anon_sym_borrowing] = ACTIONS(3214),
    [anon_sym_consuming] = ACTIONS(3214),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3214),
    [sym__explicit_semi] = ACTIONS(3214),
    [sym__dot_custom] = ACTIONS(3214),
    [sym__conjunction_operator_custom] = ACTIONS(3214),
    [sym__disjunction_operator_custom] = ACTIONS(3214),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3214),
    [sym__eq_custom] = ACTIONS(3214),
    [sym__eq_eq_custom] = ACTIONS(3214),
    [sym__plus_then_ws] = ACTIONS(3214),
    [sym__minus_then_ws] = ACTIONS(3214),
    [sym__bang_custom] = ACTIONS(3214),
    [sym_default_keyword] = ACTIONS(3214),
    [sym__as_custom] = ACTIONS(3214),
    [sym__as_quest_custom] = ACTIONS(3214),
    [sym__as_bang_custom] = ACTIONS(3214),
    [sym__custom_operator] = ACTIONS(3214),
  },
  [1196] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3376),
    [anon_sym_package] = ACTIONS(3376),
    [anon_sym_COMMA] = ACTIONS(3376),
    [anon_sym_LPAREN] = ACTIONS(3376),
    [anon_sym_LBRACK] = ACTIONS(3376),
    [anon_sym_QMARK] = ACTIONS(3378),
    [anon_sym_QMARK2] = ACTIONS(3376),
    [anon_sym_AMP] = ACTIONS(3376),
    [aux_sym_custom_operator_token1] = ACTIONS(3376),
    [anon_sym_LT] = ACTIONS(3378),
    [anon_sym_GT] = ACTIONS(3378),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_CARET_LBRACE] = ACTIONS(3376),
    [anon_sym_RBRACE] = ACTIONS(3376),
    [anon_sym_case] = ACTIONS(3376),
    [anon_sym_fallthrough] = ACTIONS(3376),
    [anon_sym_PLUS_EQ] = ACTIONS(3376),
    [anon_sym_DASH_EQ] = ACTIONS(3376),
    [anon_sym_STAR_EQ] = ACTIONS(3376),
    [anon_sym_SLASH_EQ] = ACTIONS(3376),
    [anon_sym_PERCENT_EQ] = ACTIONS(3376),
    [anon_sym_BANG_EQ] = ACTIONS(3378),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3376),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3376),
    [anon_sym_LT_EQ] = ACTIONS(3376),
    [anon_sym_GT_EQ] = ACTIONS(3376),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3376),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3376),
    [anon_sym_is] = ACTIONS(3376),
    [anon_sym_PLUS] = ACTIONS(3378),
    [anon_sym_DASH] = ACTIONS(3378),
    [anon_sym_STAR] = ACTIONS(3378),
    [anon_sym_SLASH] = ACTIONS(3378),
    [anon_sym_PERCENT] = ACTIONS(3378),
    [anon_sym_PLUS_PLUS] = ACTIONS(3376),
    [anon_sym_DASH_DASH] = ACTIONS(3376),
    [anon_sym_PIPE] = ACTIONS(3376),
    [anon_sym_CARET] = ACTIONS(3378),
    [anon_sym_LT_LT] = ACTIONS(3376),
    [anon_sym_GT_GT] = ACTIONS(3376),
    [anon_sym_class] = ACTIONS(3376),
    [anon_sym_BANG2] = ACTIONS(3378),
    [anon_sym_prefix] = ACTIONS(3376),
    [anon_sym_infix] = ACTIONS(3376),
    [anon_sym_postfix] = ACTIONS(3376),
    [anon_sym_AT] = ACTIONS(3378),
    [anon_sym_override] = ACTIONS(3376),
    [anon_sym_convenience] = ACTIONS(3376),
    [anon_sym_required] = ACTIONS(3376),
    [anon_sym_nonisolated] = ACTIONS(3376),
    [anon_sym_public] = ACTIONS(3376),
    [anon_sym_private] = ACTIONS(3376),
    [anon_sym_internal] = ACTIONS(3376),
    [anon_sym_fileprivate] = ACTIONS(3376),
    [anon_sym_open] = ACTIONS(3376),
    [anon_sym_mutating] = ACTIONS(3376),
    [anon_sym_nonmutating] = ACTIONS(3376),
    [anon_sym_static] = ACTIONS(3376),
    [anon_sym_dynamic] = ACTIONS(3376),
    [anon_sym_optional] = ACTIONS(3376),
    [anon_sym_distributed] = ACTIONS(3376),
    [anon_sym_final] = ACTIONS(3376),
    [anon_sym_inout] = ACTIONS(3376),
    [anon_sym_ATescaping] = ACTIONS(3376),
    [anon_sym_ATautoclosure] = ACTIONS(3376),
    [anon_sym_weak] = ACTIONS(3376),
    [anon_sym_unowned] = ACTIONS(3378),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3376),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3376),
    [anon_sym_borrowing] = ACTIONS(3376),
    [anon_sym_consuming] = ACTIONS(3376),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3376),
    [sym__explicit_semi] = ACTIONS(3376),
    [sym__dot_custom] = ACTIONS(3376),
    [sym__conjunction_operator_custom] = ACTIONS(3376),
    [sym__disjunction_operator_custom] = ACTIONS(3376),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3376),
    [sym__eq_custom] = ACTIONS(3376),
    [sym__eq_eq_custom] = ACTIONS(3376),
    [sym__plus_then_ws] = ACTIONS(3376),
    [sym__minus_then_ws] = ACTIONS(3376),
    [sym__bang_custom] = ACTIONS(3376),
    [sym_default_keyword] = ACTIONS(3376),
    [sym__as_custom] = ACTIONS(3376),
    [sym__as_quest_custom] = ACTIONS(3376),
    [sym__as_bang_custom] = ACTIONS(3376),
    [sym__custom_operator] = ACTIONS(3376),
  },
  [1197] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2965),
    [aux_sym_simple_identifier_token2] = ACTIONS(2963),
    [aux_sym_simple_identifier_token3] = ACTIONS(2963),
    [aux_sym_simple_identifier_token4] = ACTIONS(2963),
    [anon_sym_actor] = ACTIONS(2965),
    [anon_sym_async] = ACTIONS(2965),
    [anon_sym_each] = ACTIONS(2965),
    [anon_sym_lazy] = ACTIONS(2965),
    [anon_sym_repeat] = ACTIONS(2965),
    [anon_sym_package] = ACTIONS(2965),
    [anon_sym_nil] = ACTIONS(2965),
    [sym_real_literal] = ACTIONS(2963),
    [sym_integer_literal] = ACTIONS(2965),
    [sym_hex_literal] = ACTIONS(2963),
    [sym_oct_literal] = ACTIONS(2963),
    [sym_bin_literal] = ACTIONS(2963),
    [anon_sym_true] = ACTIONS(2965),
    [anon_sym_false] = ACTIONS(2965),
    [anon_sym_DQUOTE] = ACTIONS(2965),
    [anon_sym_BSLASH] = ACTIONS(2963),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2963),
    [sym__extended_regex_literal] = ACTIONS(2963),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(2963),
    [sym__oneline_regex_literal] = ACTIONS(2965),
    [anon_sym_LPAREN] = ACTIONS(2963),
    [anon_sym_LBRACK] = ACTIONS(2963),
    [anon_sym_AMP] = ACTIONS(2963),
    [anon_sym_if] = ACTIONS(2965),
    [anon_sym_switch] = ACTIONS(2965),
    [anon_sym_POUNDselector] = ACTIONS(2963),
    [aux_sym_custom_operator_token1] = ACTIONS(2963),
    [anon_sym_LT] = ACTIONS(2965),
    [anon_sym_GT] = ACTIONS(2965),
    [anon_sym_await] = ACTIONS(2965),
    [anon_sym_POUNDfile] = ACTIONS(2965),
    [anon_sym_POUNDfileID] = ACTIONS(2963),
    [anon_sym_POUNDfilePath] = ACTIONS(2963),
    [anon_sym_POUNDline] = ACTIONS(2963),
    [anon_sym_POUNDcolumn] = ACTIONS(2963),
    [anon_sym_POUNDfunction] = ACTIONS(2963),
    [anon_sym_POUNDdsohandle] = ACTIONS(2963),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(2963),
    [anon_sym_POUNDfileLiteral] = ACTIONS(2963),
    [anon_sym_POUNDimageLiteral] = ACTIONS(2963),
    [anon_sym_LBRACE] = ACTIONS(2963),
    [anon_sym_CARET_LBRACE] = ACTIONS(2963),
    [anon_sym_self] = ACTIONS(2965),
    [anon_sym_super] = ACTIONS(2965),
    [anon_sym_POUNDkeyPath] = ACTIONS(2963),
    [anon_sym_try] = ACTIONS(2965),
    [anon_sym_PLUS_EQ] = ACTIONS(2963),
    [anon_sym_DASH_EQ] = ACTIONS(2963),
    [anon_sym_STAR_EQ] = ACTIONS(2963),
    [anon_sym_SLASH_EQ] = ACTIONS(2963),
    [anon_sym_PERCENT_EQ] = ACTIONS(2963),
    [anon_sym_BANG_EQ] = ACTIONS(2965),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2963),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2963),
    [anon_sym_LT_EQ] = ACTIONS(2963),
    [anon_sym_GT_EQ] = ACTIONS(2963),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2963),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2963),
    [anon_sym_PLUS] = ACTIONS(2965),
    [anon_sym_DASH] = ACTIONS(2965),
    [anon_sym_STAR] = ACTIONS(2965),
    [anon_sym_SLASH] = ACTIONS(2965),
    [anon_sym_PERCENT] = ACTIONS(2965),
    [anon_sym_PLUS_PLUS] = ACTIONS(2963),
    [anon_sym_DASH_DASH] = ACTIONS(2963),
    [anon_sym_TILDE] = ACTIONS(2963),
    [anon_sym_PIPE] = ACTIONS(2963),
    [anon_sym_CARET] = ACTIONS(2965),
    [anon_sym_LT_LT] = ACTIONS(2963),
    [anon_sym_GT_GT] = ACTIONS(2963),
    [anon_sym_BANG2] = ACTIONS(2965),
    [anon_sym_AT] = ACTIONS(2963),
    [anon_sym_borrowing] = ACTIONS(2965),
    [anon_sym_consuming] = ACTIONS(2965),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(2963),
    [sym_raw_str_end_part] = ACTIONS(2963),
    [sym__dot_custom] = ACTIONS(2963),
    [sym__eq_custom] = ACTIONS(2963),
    [sym__eq_eq_custom] = ACTIONS(2963),
    [sym__plus_then_ws] = ACTIONS(2963),
    [sym__minus_then_ws] = ACTIONS(2963),
    [sym__bang_custom] = ACTIONS(2963),
    [sym__custom_operator] = ACTIONS(2963),
  },
  [1198] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3288),
    [anon_sym_package] = ACTIONS(3288),
    [anon_sym_COMMA] = ACTIONS(3288),
    [anon_sym_LPAREN] = ACTIONS(3288),
    [anon_sym_LBRACK] = ACTIONS(3288),
    [anon_sym_QMARK] = ACTIONS(3290),
    [anon_sym_QMARK2] = ACTIONS(3288),
    [anon_sym_AMP] = ACTIONS(3288),
    [aux_sym_custom_operator_token1] = ACTIONS(3288),
    [anon_sym_LT] = ACTIONS(3290),
    [anon_sym_GT] = ACTIONS(3290),
    [anon_sym_LBRACE] = ACTIONS(3288),
    [anon_sym_CARET_LBRACE] = ACTIONS(3288),
    [anon_sym_RBRACE] = ACTIONS(3288),
    [anon_sym_case] = ACTIONS(3288),
    [anon_sym_fallthrough] = ACTIONS(3288),
    [anon_sym_PLUS_EQ] = ACTIONS(3288),
    [anon_sym_DASH_EQ] = ACTIONS(3288),
    [anon_sym_STAR_EQ] = ACTIONS(3288),
    [anon_sym_SLASH_EQ] = ACTIONS(3288),
    [anon_sym_PERCENT_EQ] = ACTIONS(3288),
    [anon_sym_BANG_EQ] = ACTIONS(3290),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3288),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3288),
    [anon_sym_LT_EQ] = ACTIONS(3288),
    [anon_sym_GT_EQ] = ACTIONS(3288),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3288),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3288),
    [anon_sym_is] = ACTIONS(3288),
    [anon_sym_PLUS] = ACTIONS(3290),
    [anon_sym_DASH] = ACTIONS(3290),
    [anon_sym_STAR] = ACTIONS(3290),
    [anon_sym_SLASH] = ACTIONS(3290),
    [anon_sym_PERCENT] = ACTIONS(3290),
    [anon_sym_PLUS_PLUS] = ACTIONS(3288),
    [anon_sym_DASH_DASH] = ACTIONS(3288),
    [anon_sym_PIPE] = ACTIONS(3288),
    [anon_sym_CARET] = ACTIONS(3290),
    [anon_sym_LT_LT] = ACTIONS(3288),
    [anon_sym_GT_GT] = ACTIONS(3288),
    [anon_sym_class] = ACTIONS(3288),
    [anon_sym_BANG2] = ACTIONS(3290),
    [anon_sym_prefix] = ACTIONS(3288),
    [anon_sym_infix] = ACTIONS(3288),
    [anon_sym_postfix] = ACTIONS(3288),
    [anon_sym_AT] = ACTIONS(3290),
    [anon_sym_override] = ACTIONS(3288),
    [anon_sym_convenience] = ACTIONS(3288),
    [anon_sym_required] = ACTIONS(3288),
    [anon_sym_nonisolated] = ACTIONS(3288),
    [anon_sym_public] = ACTIONS(3288),
    [anon_sym_private] = ACTIONS(3288),
    [anon_sym_internal] = ACTIONS(3288),
    [anon_sym_fileprivate] = ACTIONS(3288),
    [anon_sym_open] = ACTIONS(3288),
    [anon_sym_mutating] = ACTIONS(3288),
    [anon_sym_nonmutating] = ACTIONS(3288),
    [anon_sym_static] = ACTIONS(3288),
    [anon_sym_dynamic] = ACTIONS(3288),
    [anon_sym_optional] = ACTIONS(3288),
    [anon_sym_distributed] = ACTIONS(3288),
    [anon_sym_final] = ACTIONS(3288),
    [anon_sym_inout] = ACTIONS(3288),
    [anon_sym_ATescaping] = ACTIONS(3288),
    [anon_sym_ATautoclosure] = ACTIONS(3288),
    [anon_sym_weak] = ACTIONS(3288),
    [anon_sym_unowned] = ACTIONS(3290),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3288),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3288),
    [anon_sym_borrowing] = ACTIONS(3288),
    [anon_sym_consuming] = ACTIONS(3288),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3288),
    [sym__explicit_semi] = ACTIONS(3288),
    [sym__dot_custom] = ACTIONS(3288),
    [sym__conjunction_operator_custom] = ACTIONS(3288),
    [sym__disjunction_operator_custom] = ACTIONS(3288),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3288),
    [sym__eq_custom] = ACTIONS(3288),
    [sym__eq_eq_custom] = ACTIONS(3288),
    [sym__plus_then_ws] = ACTIONS(3288),
    [sym__minus_then_ws] = ACTIONS(3288),
    [sym__bang_custom] = ACTIONS(3288),
    [sym_default_keyword] = ACTIONS(3288),
    [sym__as_custom] = ACTIONS(3288),
    [sym__as_quest_custom] = ACTIONS(3288),
    [sym__as_bang_custom] = ACTIONS(3288),
    [sym__custom_operator] = ACTIONS(3288),
  },
  [1199] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3340),
    [anon_sym_package] = ACTIONS(3340),
    [anon_sym_COMMA] = ACTIONS(3340),
    [anon_sym_LPAREN] = ACTIONS(3340),
    [anon_sym_LBRACK] = ACTIONS(3340),
    [anon_sym_QMARK] = ACTIONS(3342),
    [anon_sym_QMARK2] = ACTIONS(3340),
    [anon_sym_AMP] = ACTIONS(3340),
    [aux_sym_custom_operator_token1] = ACTIONS(3340),
    [anon_sym_LT] = ACTIONS(3342),
    [anon_sym_GT] = ACTIONS(3342),
    [anon_sym_LBRACE] = ACTIONS(3340),
    [anon_sym_CARET_LBRACE] = ACTIONS(3340),
    [anon_sym_RBRACE] = ACTIONS(3340),
    [anon_sym_case] = ACTIONS(3340),
    [anon_sym_fallthrough] = ACTIONS(3340),
    [anon_sym_PLUS_EQ] = ACTIONS(3340),
    [anon_sym_DASH_EQ] = ACTIONS(3340),
    [anon_sym_STAR_EQ] = ACTIONS(3340),
    [anon_sym_SLASH_EQ] = ACTIONS(3340),
    [anon_sym_PERCENT_EQ] = ACTIONS(3340),
    [anon_sym_BANG_EQ] = ACTIONS(3342),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3340),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3340),
    [anon_sym_LT_EQ] = ACTIONS(3340),
    [anon_sym_GT_EQ] = ACTIONS(3340),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3340),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3340),
    [anon_sym_is] = ACTIONS(3340),
    [anon_sym_PLUS] = ACTIONS(3342),
    [anon_sym_DASH] = ACTIONS(3342),
    [anon_sym_STAR] = ACTIONS(3342),
    [anon_sym_SLASH] = ACTIONS(3342),
    [anon_sym_PERCENT] = ACTIONS(3342),
    [anon_sym_PLUS_PLUS] = ACTIONS(3340),
    [anon_sym_DASH_DASH] = ACTIONS(3340),
    [anon_sym_PIPE] = ACTIONS(3340),
    [anon_sym_CARET] = ACTIONS(3342),
    [anon_sym_LT_LT] = ACTIONS(3340),
    [anon_sym_GT_GT] = ACTIONS(3340),
    [anon_sym_class] = ACTIONS(3340),
    [anon_sym_BANG2] = ACTIONS(3342),
    [anon_sym_prefix] = ACTIONS(3340),
    [anon_sym_infix] = ACTIONS(3340),
    [anon_sym_postfix] = ACTIONS(3340),
    [anon_sym_AT] = ACTIONS(3342),
    [anon_sym_override] = ACTIONS(3340),
    [anon_sym_convenience] = ACTIONS(3340),
    [anon_sym_required] = ACTIONS(3340),
    [anon_sym_nonisolated] = ACTIONS(3340),
    [anon_sym_public] = ACTIONS(3340),
    [anon_sym_private] = ACTIONS(3340),
    [anon_sym_internal] = ACTIONS(3340),
    [anon_sym_fileprivate] = ACTIONS(3340),
    [anon_sym_open] = ACTIONS(3340),
    [anon_sym_mutating] = ACTIONS(3340),
    [anon_sym_nonmutating] = ACTIONS(3340),
    [anon_sym_static] = ACTIONS(3340),
    [anon_sym_dynamic] = ACTIONS(3340),
    [anon_sym_optional] = ACTIONS(3340),
    [anon_sym_distributed] = ACTIONS(3340),
    [anon_sym_final] = ACTIONS(3340),
    [anon_sym_inout] = ACTIONS(3340),
    [anon_sym_ATescaping] = ACTIONS(3340),
    [anon_sym_ATautoclosure] = ACTIONS(3340),
    [anon_sym_weak] = ACTIONS(3340),
    [anon_sym_unowned] = ACTIONS(3342),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3340),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3340),
    [anon_sym_borrowing] = ACTIONS(3340),
    [anon_sym_consuming] = ACTIONS(3340),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3340),
    [sym__explicit_semi] = ACTIONS(3340),
    [sym__dot_custom] = ACTIONS(3340),
    [sym__conjunction_operator_custom] = ACTIONS(3340),
    [sym__disjunction_operator_custom] = ACTIONS(3340),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3340),
    [sym__eq_custom] = ACTIONS(3340),
    [sym__eq_eq_custom] = ACTIONS(3340),
    [sym__plus_then_ws] = ACTIONS(3340),
    [sym__minus_then_ws] = ACTIONS(3340),
    [sym__bang_custom] = ACTIONS(3340),
    [sym_default_keyword] = ACTIONS(3340),
    [sym__as_custom] = ACTIONS(3340),
    [sym__as_quest_custom] = ACTIONS(3340),
    [sym__as_bang_custom] = ACTIONS(3340),
    [sym__custom_operator] = ACTIONS(3340),
  },
  [1200] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3316),
    [anon_sym_package] = ACTIONS(3316),
    [anon_sym_COMMA] = ACTIONS(3316),
    [anon_sym_LPAREN] = ACTIONS(3316),
    [anon_sym_LBRACK] = ACTIONS(3316),
    [anon_sym_QMARK] = ACTIONS(3318),
    [anon_sym_QMARK2] = ACTIONS(3316),
    [anon_sym_AMP] = ACTIONS(3316),
    [aux_sym_custom_operator_token1] = ACTIONS(3316),
    [anon_sym_LT] = ACTIONS(3318),
    [anon_sym_GT] = ACTIONS(3318),
    [anon_sym_LBRACE] = ACTIONS(3316),
    [anon_sym_CARET_LBRACE] = ACTIONS(3316),
    [anon_sym_RBRACE] = ACTIONS(3316),
    [anon_sym_case] = ACTIONS(3316),
    [anon_sym_fallthrough] = ACTIONS(3316),
    [anon_sym_PLUS_EQ] = ACTIONS(3316),
    [anon_sym_DASH_EQ] = ACTIONS(3316),
    [anon_sym_STAR_EQ] = ACTIONS(3316),
    [anon_sym_SLASH_EQ] = ACTIONS(3316),
    [anon_sym_PERCENT_EQ] = ACTIONS(3316),
    [anon_sym_BANG_EQ] = ACTIONS(3318),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3316),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3316),
    [anon_sym_LT_EQ] = ACTIONS(3316),
    [anon_sym_GT_EQ] = ACTIONS(3316),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3316),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3316),
    [anon_sym_is] = ACTIONS(3316),
    [anon_sym_PLUS] = ACTIONS(3318),
    [anon_sym_DASH] = ACTIONS(3318),
    [anon_sym_STAR] = ACTIONS(3318),
    [anon_sym_SLASH] = ACTIONS(3318),
    [anon_sym_PERCENT] = ACTIONS(3318),
    [anon_sym_PLUS_PLUS] = ACTIONS(3316),
    [anon_sym_DASH_DASH] = ACTIONS(3316),
    [anon_sym_PIPE] = ACTIONS(3316),
    [anon_sym_CARET] = ACTIONS(3318),
    [anon_sym_LT_LT] = ACTIONS(3316),
    [anon_sym_GT_GT] = ACTIONS(3316),
    [anon_sym_class] = ACTIONS(3316),
    [anon_sym_BANG2] = ACTIONS(3318),
    [anon_sym_prefix] = ACTIONS(3316),
    [anon_sym_infix] = ACTIONS(3316),
    [anon_sym_postfix] = ACTIONS(3316),
    [anon_sym_AT] = ACTIONS(3318),
    [anon_sym_override] = ACTIONS(3316),
    [anon_sym_convenience] = ACTIONS(3316),
    [anon_sym_required] = ACTIONS(3316),
    [anon_sym_nonisolated] = ACTIONS(3316),
    [anon_sym_public] = ACTIONS(3316),
    [anon_sym_private] = ACTIONS(3316),
    [anon_sym_internal] = ACTIONS(3316),
    [anon_sym_fileprivate] = ACTIONS(3316),
    [anon_sym_open] = ACTIONS(3316),
    [anon_sym_mutating] = ACTIONS(3316),
    [anon_sym_nonmutating] = ACTIONS(3316),
    [anon_sym_static] = ACTIONS(3316),
    [anon_sym_dynamic] = ACTIONS(3316),
    [anon_sym_optional] = ACTIONS(3316),
    [anon_sym_distributed] = ACTIONS(3316),
    [anon_sym_final] = ACTIONS(3316),
    [anon_sym_inout] = ACTIONS(3316),
    [anon_sym_ATescaping] = ACTIONS(3316),
    [anon_sym_ATautoclosure] = ACTIONS(3316),
    [anon_sym_weak] = ACTIONS(3316),
    [anon_sym_unowned] = ACTIONS(3318),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3316),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3316),
    [anon_sym_borrowing] = ACTIONS(3316),
    [anon_sym_consuming] = ACTIONS(3316),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3316),
    [sym__explicit_semi] = ACTIONS(3316),
    [sym__dot_custom] = ACTIONS(3316),
    [sym__conjunction_operator_custom] = ACTIONS(3316),
    [sym__disjunction_operator_custom] = ACTIONS(3316),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3316),
    [sym__eq_custom] = ACTIONS(3316),
    [sym__eq_eq_custom] = ACTIONS(3316),
    [sym__plus_then_ws] = ACTIONS(3316),
    [sym__minus_then_ws] = ACTIONS(3316),
    [sym__bang_custom] = ACTIONS(3316),
    [sym_default_keyword] = ACTIONS(3316),
    [sym__as_custom] = ACTIONS(3316),
    [sym__as_quest_custom] = ACTIONS(3316),
    [sym__as_bang_custom] = ACTIONS(3316),
    [sym__custom_operator] = ACTIONS(3316),
  },
  [1201] = {
    [sym__type_level_declaration] = STATE(7207),
    [sym_import_declaration] = STATE(7207),
    [sym_property_declaration] = STATE(7207),
    [sym__modifierless_property_declaration] = STATE(7093),
    [sym_typealias_declaration] = STATE(7207),
    [sym__modifierless_typealias_declaration] = STATE(6964),
    [sym_function_declaration] = STATE(7207),
    [sym__bodyless_function_declaration] = STATE(6758),
    [sym__modifierless_function_declaration_no_body] = STATE(7642),
    [sym_class_declaration] = STATE(7207),
    [sym__modifierless_class_declaration] = STATE(7177),
    [sym__non_constructor_function_decl] = STATE(6344),
    [sym__async_modifier] = STATE(6632),
    [sym_protocol_declaration] = STATE(7207),
    [sym_init_declaration] = STATE(7207),
    [sym_deinit_declaration] = STATE(7207),
    [sym_subscript_declaration] = STATE(7207),
    [sym_operator_declaration] = STATE(7207),
    [sym_precedence_group_declaration] = STATE(7207),
    [sym_associatedtype_declaration] = STATE(7207),
    [sym_attribute] = STATE(1553),
    [sym_value_binding_pattern] = STATE(3972),
    [sym__possibly_async_binding_pattern_kind] = STATE(3972),
    [sym_modifiers] = STATE(4232),
    [aux_sym__locally_permitted_modifiers] = STATE(1553),
    [sym__non_local_scope_modifier] = STATE(1553),
    [sym__locally_permitted_modifier] = STATE(1553),
    [sym_property_behavior_modifier] = STATE(1553),
    [sym_member_modifier] = STATE(1553),
    [sym_visibility_modifier] = STATE(1553),
    [sym_function_modifier] = STATE(1553),
    [sym_mutation_modifier] = STATE(1553),
    [sym_property_modifier] = STATE(1553),
    [sym_inheritance_modifier] = STATE(1553),
    [sym_parameter_modifier] = STATE(1553),
    [sym_ownership_modifier] = STATE(1553),
    [sym__parameter_ownership_modifier] = STATE(2572),
    [aux_sym_modifiers_repeat1] = STATE(1553),
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(3817),
    [anon_sym_async] = ACTIONS(3589),
    [anon_sym_lazy] = ACTIONS(3591),
    [anon_sym_package] = ACTIONS(3593),
    [anon_sym_import] = ACTIONS(3821),
    [anon_sym_typealias] = ACTIONS(3823),
    [anon_sym_struct] = ACTIONS(3817),
    [anon_sym_class] = ACTIONS(3825),
    [anon_sym_enum] = ACTIONS(3827),
    [anon_sym_protocol] = ACTIONS(3829),
    [anon_sym_let] = ACTIONS(3609),
    [anon_sym_var] = ACTIONS(3609),
    [anon_sym_func] = ACTIONS(3611),
    [anon_sym_extension] = ACTIONS(3831),
    [anon_sym_indirect] = ACTIONS(3833),
    [anon_sym_init] = ACTIONS(3835),
    [anon_sym_deinit] = ACTIONS(3837),
    [anon_sym_subscript] = ACTIONS(3839),
    [anon_sym_prefix] = ACTIONS(3841),
    [anon_sym_infix] = ACTIONS(3841),
    [anon_sym_postfix] = ACTIONS(3841),
    [anon_sym_precedencegroup] = ACTIONS(3843),
    [anon_sym_associatedtype] = ACTIONS(3845),
    [anon_sym_AT] = ACTIONS(123),
    [anon_sym_override] = ACTIONS(3629),
    [anon_sym_convenience] = ACTIONS(3629),
    [anon_sym_required] = ACTIONS(3629),
    [anon_sym_nonisolated] = ACTIONS(3629),
    [anon_sym_public] = ACTIONS(3593),
    [anon_sym_private] = ACTIONS(3593),
    [anon_sym_internal] = ACTIONS(3593),
    [anon_sym_fileprivate] = ACTIONS(3593),
    [anon_sym_open] = ACTIONS(3593),
    [anon_sym_mutating] = ACTIONS(3631),
    [anon_sym_nonmutating] = ACTIONS(3631),
    [anon_sym_static] = ACTIONS(3633),
    [anon_sym_dynamic] = ACTIONS(3633),
    [anon_sym_optional] = ACTIONS(3633),
    [anon_sym_distributed] = ACTIONS(3633),
    [anon_sym_final] = ACTIONS(3635),
    [anon_sym_inout] = ACTIONS(137),
    [anon_sym_ATescaping] = ACTIONS(137),
    [anon_sym_ATautoclosure] = ACTIONS(137),
    [anon_sym_weak] = ACTIONS(141),
    [anon_sym_unowned] = ACTIONS(139),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(141),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(141),
    [anon_sym_borrowing] = ACTIONS(137),
    [anon_sym_consuming] = ACTIONS(137),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
  },
  [1202] = {
    [sym_simple_identifier] = STATE(1980),
    [sym__contextual_simple_identifier] = STATE(2092),
    [sym__unannotated_type] = STATE(1798),
    [sym_user_type] = STATE(1915),
    [sym__simple_user_type] = STATE(1909),
    [sym_tuple_type] = STATE(1750),
    [sym_function_type] = STATE(1798),
    [sym_array_type] = STATE(1915),
    [sym_dictionary_type] = STATE(1915),
    [sym_optional_type] = STATE(1798),
    [sym_metatype] = STATE(1798),
    [sym_opaque_type] = STATE(1798),
    [sym_existential_type] = STATE(1798),
    [sym_type_parameter_pack] = STATE(1798),
    [sym_type_pack_expansion] = STATE(1798),
    [sym_protocol_composition_type] = STATE(1798),
    [sym__parenthesized_type] = STATE(2097),
    [sym__parameter_ownership_modifier] = STATE(2092),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(3980),
    [aux_sym_simple_identifier_token2] = ACTIONS(3982),
    [aux_sym_simple_identifier_token3] = ACTIONS(3982),
    [aux_sym_simple_identifier_token4] = ACTIONS(3982),
    [anon_sym_actor] = ACTIONS(3980),
    [anon_sym_async] = ACTIONS(3980),
    [anon_sym_each] = ACTIONS(3984),
    [anon_sym_lazy] = ACTIONS(3980),
    [anon_sym_repeat] = ACTIONS(3986),
    [anon_sym_package] = ACTIONS(3980),
    [anon_sym_COMMA] = ACTIONS(631),
    [anon_sym_LPAREN] = ACTIONS(3988),
    [anon_sym_LBRACK] = ACTIONS(3991),
    [anon_sym_DOT] = ACTIONS(637),
    [anon_sym_QMARK] = ACTIONS(637),
    [anon_sym_QMARK2] = ACTIONS(631),
    [anon_sym_some] = ACTIONS(3994),
    [anon_sym_any] = ACTIONS(3996),
    [anon_sym_AMP] = ACTIONS(631),
    [aux_sym_custom_operator_token1] = ACTIONS(631),
    [anon_sym_LT] = ACTIONS(637),
    [anon_sym_GT] = ACTIONS(637),
    [anon_sym_LBRACE] = ACTIONS(631),
    [anon_sym_CARET_LBRACE] = ACTIONS(631),
    [anon_sym_PLUS_EQ] = ACTIONS(631),
    [anon_sym_DASH_EQ] = ACTIONS(631),
    [anon_sym_STAR_EQ] = ACTIONS(631),
    [anon_sym_SLASH_EQ] = ACTIONS(631),
    [anon_sym_PERCENT_EQ] = ACTIONS(631),
    [anon_sym_BANG_EQ] = ACTIONS(637),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(631),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(631),
    [anon_sym_LT_EQ] = ACTIONS(631),
    [anon_sym_GT_EQ] = ACTIONS(631),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(631),
    [anon_sym_DOT_DOT_LT] = ACTIONS(631),
    [anon_sym_is] = ACTIONS(637),
    [anon_sym_PLUS] = ACTIONS(637),
    [anon_sym_DASH] = ACTIONS(637),
    [anon_sym_STAR] = ACTIONS(637),
    [anon_sym_SLASH] = ACTIONS(637),
    [anon_sym_PERCENT] = ACTIONS(637),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PIPE] = ACTIONS(631),
    [anon_sym_CARET] = ACTIONS(637),
    [anon_sym_LT_LT] = ACTIONS(631),
    [anon_sym_GT_GT] = ACTIONS(631),
    [anon_sym_BANG2] = ACTIONS(637),
    [anon_sym_borrowing] = ACTIONS(3980),
    [anon_sym_consuming] = ACTIONS(3980),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(631),
    [sym__dot_custom] = ACTIONS(631),
    [sym__conjunction_operator_custom] = ACTIONS(631),
    [sym__disjunction_operator_custom] = ACTIONS(631),
    [sym__nil_coalescing_operator_custom] = ACTIONS(631),
    [sym__eq_custom] = ACTIONS(631),
    [sym__eq_eq_custom] = ACTIONS(631),
    [sym__plus_then_ws] = ACTIONS(631),
    [sym__minus_then_ws] = ACTIONS(631),
    [sym__bang_custom] = ACTIONS(631),
    [sym__throws_keyword] = ACTIONS(631),
    [sym__rethrows_keyword] = ACTIONS(631),
    [sym_else] = ACTIONS(631),
    [sym__as_custom] = ACTIONS(631),
    [sym__as_quest_custom] = ACTIONS(631),
    [sym__as_bang_custom] = ACTIONS(631),
    [sym__async_keyword_custom] = ACTIONS(631),
    [sym__custom_operator] = ACTIONS(631),
  },
  [1203] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3324),
    [anon_sym_package] = ACTIONS(3324),
    [anon_sym_COMMA] = ACTIONS(3324),
    [anon_sym_LPAREN] = ACTIONS(3324),
    [anon_sym_LBRACK] = ACTIONS(3324),
    [anon_sym_QMARK] = ACTIONS(3326),
    [anon_sym_QMARK2] = ACTIONS(3324),
    [anon_sym_AMP] = ACTIONS(3324),
    [aux_sym_custom_operator_token1] = ACTIONS(3324),
    [anon_sym_LT] = ACTIONS(3326),
    [anon_sym_GT] = ACTIONS(3326),
    [anon_sym_LBRACE] = ACTIONS(3324),
    [anon_sym_CARET_LBRACE] = ACTIONS(3324),
    [anon_sym_RBRACE] = ACTIONS(3324),
    [anon_sym_case] = ACTIONS(3324),
    [anon_sym_fallthrough] = ACTIONS(3324),
    [anon_sym_PLUS_EQ] = ACTIONS(3324),
    [anon_sym_DASH_EQ] = ACTIONS(3324),
    [anon_sym_STAR_EQ] = ACTIONS(3324),
    [anon_sym_SLASH_EQ] = ACTIONS(3324),
    [anon_sym_PERCENT_EQ] = ACTIONS(3324),
    [anon_sym_BANG_EQ] = ACTIONS(3326),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3324),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3324),
    [anon_sym_LT_EQ] = ACTIONS(3324),
    [anon_sym_GT_EQ] = ACTIONS(3324),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3324),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3324),
    [anon_sym_is] = ACTIONS(3324),
    [anon_sym_PLUS] = ACTIONS(3326),
    [anon_sym_DASH] = ACTIONS(3326),
    [anon_sym_STAR] = ACTIONS(3326),
    [anon_sym_SLASH] = ACTIONS(3326),
    [anon_sym_PERCENT] = ACTIONS(3326),
    [anon_sym_PLUS_PLUS] = ACTIONS(3324),
    [anon_sym_DASH_DASH] = ACTIONS(3324),
    [anon_sym_PIPE] = ACTIONS(3324),
    [anon_sym_CARET] = ACTIONS(3326),
    [anon_sym_LT_LT] = ACTIONS(3324),
    [anon_sym_GT_GT] = ACTIONS(3324),
    [anon_sym_class] = ACTIONS(3324),
    [anon_sym_BANG2] = ACTIONS(3326),
    [anon_sym_prefix] = ACTIONS(3324),
    [anon_sym_infix] = ACTIONS(3324),
    [anon_sym_postfix] = ACTIONS(3324),
    [anon_sym_AT] = ACTIONS(3326),
    [anon_sym_override] = ACTIONS(3324),
    [anon_sym_convenience] = ACTIONS(3324),
    [anon_sym_required] = ACTIONS(3324),
    [anon_sym_nonisolated] = ACTIONS(3324),
    [anon_sym_public] = ACTIONS(3324),
    [anon_sym_private] = ACTIONS(3324),
    [anon_sym_internal] = ACTIONS(3324),
    [anon_sym_fileprivate] = ACTIONS(3324),
    [anon_sym_open] = ACTIONS(3324),
    [anon_sym_mutating] = ACTIONS(3324),
    [anon_sym_nonmutating] = ACTIONS(3324),
    [anon_sym_static] = ACTIONS(3324),
    [anon_sym_dynamic] = ACTIONS(3324),
    [anon_sym_optional] = ACTIONS(3324),
    [anon_sym_distributed] = ACTIONS(3324),
    [anon_sym_final] = ACTIONS(3324),
    [anon_sym_inout] = ACTIONS(3324),
    [anon_sym_ATescaping] = ACTIONS(3324),
    [anon_sym_ATautoclosure] = ACTIONS(3324),
    [anon_sym_weak] = ACTIONS(3324),
    [anon_sym_unowned] = ACTIONS(3326),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3324),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3324),
    [anon_sym_borrowing] = ACTIONS(3324),
    [anon_sym_consuming] = ACTIONS(3324),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3324),
    [sym__explicit_semi] = ACTIONS(3324),
    [sym__dot_custom] = ACTIONS(3324),
    [sym__conjunction_operator_custom] = ACTIONS(3324),
    [sym__disjunction_operator_custom] = ACTIONS(3324),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3324),
    [sym__eq_custom] = ACTIONS(3324),
    [sym__eq_eq_custom] = ACTIONS(3324),
    [sym__plus_then_ws] = ACTIONS(3324),
    [sym__minus_then_ws] = ACTIONS(3324),
    [sym__bang_custom] = ACTIONS(3324),
    [sym_default_keyword] = ACTIONS(3324),
    [sym__as_custom] = ACTIONS(3324),
    [sym__as_quest_custom] = ACTIONS(3324),
    [sym__as_bang_custom] = ACTIONS(3324),
    [sym__custom_operator] = ACTIONS(3324),
  },
  [1204] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3218),
    [anon_sym_package] = ACTIONS(3218),
    [anon_sym_COMMA] = ACTIONS(3218),
    [anon_sym_LPAREN] = ACTIONS(3218),
    [anon_sym_LBRACK] = ACTIONS(3218),
    [anon_sym_QMARK] = ACTIONS(3220),
    [anon_sym_QMARK2] = ACTIONS(3218),
    [anon_sym_AMP] = ACTIONS(3218),
    [aux_sym_custom_operator_token1] = ACTIONS(3218),
    [anon_sym_LT] = ACTIONS(3220),
    [anon_sym_GT] = ACTIONS(3220),
    [anon_sym_LBRACE] = ACTIONS(3218),
    [anon_sym_CARET_LBRACE] = ACTIONS(3218),
    [anon_sym_RBRACE] = ACTIONS(3218),
    [anon_sym_case] = ACTIONS(3218),
    [anon_sym_fallthrough] = ACTIONS(3218),
    [anon_sym_PLUS_EQ] = ACTIONS(3218),
    [anon_sym_DASH_EQ] = ACTIONS(3218),
    [anon_sym_STAR_EQ] = ACTIONS(3218),
    [anon_sym_SLASH_EQ] = ACTIONS(3218),
    [anon_sym_PERCENT_EQ] = ACTIONS(3218),
    [anon_sym_BANG_EQ] = ACTIONS(3220),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3218),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3218),
    [anon_sym_LT_EQ] = ACTIONS(3218),
    [anon_sym_GT_EQ] = ACTIONS(3218),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3218),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3218),
    [anon_sym_is] = ACTIONS(3218),
    [anon_sym_PLUS] = ACTIONS(3220),
    [anon_sym_DASH] = ACTIONS(3220),
    [anon_sym_STAR] = ACTIONS(3220),
    [anon_sym_SLASH] = ACTIONS(3220),
    [anon_sym_PERCENT] = ACTIONS(3220),
    [anon_sym_PLUS_PLUS] = ACTIONS(3218),
    [anon_sym_DASH_DASH] = ACTIONS(3218),
    [anon_sym_PIPE] = ACTIONS(3218),
    [anon_sym_CARET] = ACTIONS(3220),
    [anon_sym_LT_LT] = ACTIONS(3218),
    [anon_sym_GT_GT] = ACTIONS(3218),
    [anon_sym_class] = ACTIONS(3218),
    [anon_sym_BANG2] = ACTIONS(3220),
    [anon_sym_prefix] = ACTIONS(3218),
    [anon_sym_infix] = ACTIONS(3218),
    [anon_sym_postfix] = ACTIONS(3218),
    [anon_sym_AT] = ACTIONS(3220),
    [anon_sym_override] = ACTIONS(3218),
    [anon_sym_convenience] = ACTIONS(3218),
    [anon_sym_required] = ACTIONS(3218),
    [anon_sym_nonisolated] = ACTIONS(3218),
    [anon_sym_public] = ACTIONS(3218),
    [anon_sym_private] = ACTIONS(3218),
    [anon_sym_internal] = ACTIONS(3218),
    [anon_sym_fileprivate] = ACTIONS(3218),
    [anon_sym_open] = ACTIONS(3218),
    [anon_sym_mutating] = ACTIONS(3218),
    [anon_sym_nonmutating] = ACTIONS(3218),
    [anon_sym_static] = ACTIONS(3218),
    [anon_sym_dynamic] = ACTIONS(3218),
    [anon_sym_optional] = ACTIONS(3218),
    [anon_sym_distributed] = ACTIONS(3218),
    [anon_sym_final] = ACTIONS(3218),
    [anon_sym_inout] = ACTIONS(3218),
    [anon_sym_ATescaping] = ACTIONS(3218),
    [anon_sym_ATautoclosure] = ACTIONS(3218),
    [anon_sym_weak] = ACTIONS(3218),
    [anon_sym_unowned] = ACTIONS(3220),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3218),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3218),
    [anon_sym_borrowing] = ACTIONS(3218),
    [anon_sym_consuming] = ACTIONS(3218),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3218),
    [sym__explicit_semi] = ACTIONS(3218),
    [sym__dot_custom] = ACTIONS(3218),
    [sym__conjunction_operator_custom] = ACTIONS(3218),
    [sym__disjunction_operator_custom] = ACTIONS(3218),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3218),
    [sym__eq_custom] = ACTIONS(3218),
    [sym__eq_eq_custom] = ACTIONS(3218),
    [sym__plus_then_ws] = ACTIONS(3218),
    [sym__minus_then_ws] = ACTIONS(3218),
    [sym__bang_custom] = ACTIONS(3218),
    [sym_default_keyword] = ACTIONS(3218),
    [sym__as_custom] = ACTIONS(3218),
    [sym__as_quest_custom] = ACTIONS(3218),
    [sym__as_bang_custom] = ACTIONS(3218),
    [sym__custom_operator] = ACTIONS(3218),
  },
  [1205] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3222),
    [anon_sym_package] = ACTIONS(3222),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_LPAREN] = ACTIONS(3222),
    [anon_sym_LBRACK] = ACTIONS(3222),
    [anon_sym_QMARK] = ACTIONS(3224),
    [anon_sym_QMARK2] = ACTIONS(3222),
    [anon_sym_AMP] = ACTIONS(3222),
    [aux_sym_custom_operator_token1] = ACTIONS(3222),
    [anon_sym_LT] = ACTIONS(3224),
    [anon_sym_GT] = ACTIONS(3224),
    [anon_sym_LBRACE] = ACTIONS(3222),
    [anon_sym_CARET_LBRACE] = ACTIONS(3222),
    [anon_sym_RBRACE] = ACTIONS(3222),
    [anon_sym_case] = ACTIONS(3222),
    [anon_sym_fallthrough] = ACTIONS(3222),
    [anon_sym_PLUS_EQ] = ACTIONS(3222),
    [anon_sym_DASH_EQ] = ACTIONS(3222),
    [anon_sym_STAR_EQ] = ACTIONS(3222),
    [anon_sym_SLASH_EQ] = ACTIONS(3222),
    [anon_sym_PERCENT_EQ] = ACTIONS(3222),
    [anon_sym_BANG_EQ] = ACTIONS(3224),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3222),
    [anon_sym_LT_EQ] = ACTIONS(3222),
    [anon_sym_GT_EQ] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3222),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3222),
    [anon_sym_is] = ACTIONS(3222),
    [anon_sym_PLUS] = ACTIONS(3224),
    [anon_sym_DASH] = ACTIONS(3224),
    [anon_sym_STAR] = ACTIONS(3224),
    [anon_sym_SLASH] = ACTIONS(3224),
    [anon_sym_PERCENT] = ACTIONS(3224),
    [anon_sym_PLUS_PLUS] = ACTIONS(3222),
    [anon_sym_DASH_DASH] = ACTIONS(3222),
    [anon_sym_PIPE] = ACTIONS(3222),
    [anon_sym_CARET] = ACTIONS(3224),
    [anon_sym_LT_LT] = ACTIONS(3222),
    [anon_sym_GT_GT] = ACTIONS(3222),
    [anon_sym_class] = ACTIONS(3222),
    [anon_sym_BANG2] = ACTIONS(3224),
    [anon_sym_prefix] = ACTIONS(3222),
    [anon_sym_infix] = ACTIONS(3222),
    [anon_sym_postfix] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(3224),
    [anon_sym_override] = ACTIONS(3222),
    [anon_sym_convenience] = ACTIONS(3222),
    [anon_sym_required] = ACTIONS(3222),
    [anon_sym_nonisolated] = ACTIONS(3222),
    [anon_sym_public] = ACTIONS(3222),
    [anon_sym_private] = ACTIONS(3222),
    [anon_sym_internal] = ACTIONS(3222),
    [anon_sym_fileprivate] = ACTIONS(3222),
    [anon_sym_open] = ACTIONS(3222),
    [anon_sym_mutating] = ACTIONS(3222),
    [anon_sym_nonmutating] = ACTIONS(3222),
    [anon_sym_static] = ACTIONS(3222),
    [anon_sym_dynamic] = ACTIONS(3222),
    [anon_sym_optional] = ACTIONS(3222),
    [anon_sym_distributed] = ACTIONS(3222),
    [anon_sym_final] = ACTIONS(3222),
    [anon_sym_inout] = ACTIONS(3222),
    [anon_sym_ATescaping] = ACTIONS(3222),
    [anon_sym_ATautoclosure] = ACTIONS(3222),
    [anon_sym_weak] = ACTIONS(3222),
    [anon_sym_unowned] = ACTIONS(3224),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3222),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3222),
    [anon_sym_borrowing] = ACTIONS(3222),
    [anon_sym_consuming] = ACTIONS(3222),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3222),
    [sym__explicit_semi] = ACTIONS(3222),
    [sym__dot_custom] = ACTIONS(3222),
    [sym__conjunction_operator_custom] = ACTIONS(3222),
    [sym__disjunction_operator_custom] = ACTIONS(3222),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3222),
    [sym__eq_custom] = ACTIONS(3222),
    [sym__eq_eq_custom] = ACTIONS(3222),
    [sym__plus_then_ws] = ACTIONS(3222),
    [sym__minus_then_ws] = ACTIONS(3222),
    [sym__bang_custom] = ACTIONS(3222),
    [sym_default_keyword] = ACTIONS(3222),
    [sym__as_custom] = ACTIONS(3222),
    [sym__as_quest_custom] = ACTIONS(3222),
    [sym__as_bang_custom] = ACTIONS(3222),
    [sym__custom_operator] = ACTIONS(3222),
  },
  [1206] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2973),
    [aux_sym_simple_identifier_token2] = ACTIONS(2971),
    [aux_sym_simple_identifier_token3] = ACTIONS(2971),
    [aux_sym_simple_identifier_token4] = ACTIONS(2971),
    [anon_sym_actor] = ACTIONS(2973),
    [anon_sym_async] = ACTIONS(2973),
    [anon_sym_each] = ACTIONS(2973),
    [anon_sym_lazy] = ACTIONS(2973),
    [anon_sym_repeat] = ACTIONS(2973),
    [anon_sym_package] = ACTIONS(2973),
    [anon_sym_nil] = ACTIONS(2973),
    [sym_real_literal] = ACTIONS(2971),
    [sym_integer_literal] = ACTIONS(2973),
    [sym_hex_literal] = ACTIONS(2971),
    [sym_oct_literal] = ACTIONS(2971),
    [sym_bin_literal] = ACTIONS(2971),
    [anon_sym_true] = ACTIONS(2973),
    [anon_sym_false] = ACTIONS(2973),
    [anon_sym_DQUOTE] = ACTIONS(2973),
    [anon_sym_BSLASH] = ACTIONS(2971),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2971),
    [sym__extended_regex_literal] = ACTIONS(2971),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(2971),
    [sym__oneline_regex_literal] = ACTIONS(2973),
    [anon_sym_LPAREN] = ACTIONS(2971),
    [anon_sym_LBRACK] = ACTIONS(2971),
    [anon_sym_AMP] = ACTIONS(2971),
    [anon_sym_if] = ACTIONS(2973),
    [anon_sym_switch] = ACTIONS(2973),
    [anon_sym_POUNDselector] = ACTIONS(2971),
    [aux_sym_custom_operator_token1] = ACTIONS(2971),
    [anon_sym_LT] = ACTIONS(2973),
    [anon_sym_GT] = ACTIONS(2973),
    [anon_sym_await] = ACTIONS(2973),
    [anon_sym_POUNDfile] = ACTIONS(2973),
    [anon_sym_POUNDfileID] = ACTIONS(2971),
    [anon_sym_POUNDfilePath] = ACTIONS(2971),
    [anon_sym_POUNDline] = ACTIONS(2971),
    [anon_sym_POUNDcolumn] = ACTIONS(2971),
    [anon_sym_POUNDfunction] = ACTIONS(2971),
    [anon_sym_POUNDdsohandle] = ACTIONS(2971),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(2971),
    [anon_sym_POUNDfileLiteral] = ACTIONS(2971),
    [anon_sym_POUNDimageLiteral] = ACTIONS(2971),
    [anon_sym_LBRACE] = ACTIONS(2971),
    [anon_sym_CARET_LBRACE] = ACTIONS(2971),
    [anon_sym_self] = ACTIONS(2973),
    [anon_sym_super] = ACTIONS(2973),
    [anon_sym_POUNDkeyPath] = ACTIONS(2971),
    [anon_sym_try] = ACTIONS(2973),
    [anon_sym_PLUS_EQ] = ACTIONS(2971),
    [anon_sym_DASH_EQ] = ACTIONS(2971),
    [anon_sym_STAR_EQ] = ACTIONS(2971),
    [anon_sym_SLASH_EQ] = ACTIONS(2971),
    [anon_sym_PERCENT_EQ] = ACTIONS(2971),
    [anon_sym_BANG_EQ] = ACTIONS(2973),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2971),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2971),
    [anon_sym_LT_EQ] = ACTIONS(2971),
    [anon_sym_GT_EQ] = ACTIONS(2971),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2971),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2971),
    [anon_sym_PLUS] = ACTIONS(2973),
    [anon_sym_DASH] = ACTIONS(2973),
    [anon_sym_STAR] = ACTIONS(2973),
    [anon_sym_SLASH] = ACTIONS(2973),
    [anon_sym_PERCENT] = ACTIONS(2973),
    [anon_sym_PLUS_PLUS] = ACTIONS(2971),
    [anon_sym_DASH_DASH] = ACTIONS(2971),
    [anon_sym_TILDE] = ACTIONS(2971),
    [anon_sym_PIPE] = ACTIONS(2971),
    [anon_sym_CARET] = ACTIONS(2973),
    [anon_sym_LT_LT] = ACTIONS(2971),
    [anon_sym_GT_GT] = ACTIONS(2971),
    [anon_sym_BANG2] = ACTIONS(2973),
    [anon_sym_AT] = ACTIONS(2971),
    [anon_sym_borrowing] = ACTIONS(2973),
    [anon_sym_consuming] = ACTIONS(2973),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(2971),
    [sym_raw_str_end_part] = ACTIONS(2971),
    [sym__dot_custom] = ACTIONS(2971),
    [sym__eq_custom] = ACTIONS(2971),
    [sym__eq_eq_custom] = ACTIONS(2971),
    [sym__plus_then_ws] = ACTIONS(2971),
    [sym__minus_then_ws] = ACTIONS(2971),
    [sym__bang_custom] = ACTIONS(2971),
    [sym__custom_operator] = ACTIONS(2971),
  },
  [1207] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3192),
    [anon_sym_package] = ACTIONS(3192),
    [anon_sym_COMMA] = ACTIONS(3192),
    [anon_sym_LPAREN] = ACTIONS(3192),
    [anon_sym_LBRACK] = ACTIONS(3192),
    [anon_sym_QMARK] = ACTIONS(3194),
    [anon_sym_QMARK2] = ACTIONS(3192),
    [anon_sym_AMP] = ACTIONS(3192),
    [aux_sym_custom_operator_token1] = ACTIONS(3192),
    [anon_sym_LT] = ACTIONS(3194),
    [anon_sym_GT] = ACTIONS(3194),
    [anon_sym_LBRACE] = ACTIONS(3192),
    [anon_sym_CARET_LBRACE] = ACTIONS(3192),
    [anon_sym_RBRACE] = ACTIONS(3192),
    [anon_sym_case] = ACTIONS(3192),
    [anon_sym_fallthrough] = ACTIONS(3192),
    [anon_sym_PLUS_EQ] = ACTIONS(3192),
    [anon_sym_DASH_EQ] = ACTIONS(3192),
    [anon_sym_STAR_EQ] = ACTIONS(3192),
    [anon_sym_SLASH_EQ] = ACTIONS(3192),
    [anon_sym_PERCENT_EQ] = ACTIONS(3192),
    [anon_sym_BANG_EQ] = ACTIONS(3194),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3192),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3192),
    [anon_sym_LT_EQ] = ACTIONS(3192),
    [anon_sym_GT_EQ] = ACTIONS(3192),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3192),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3192),
    [anon_sym_is] = ACTIONS(3192),
    [anon_sym_PLUS] = ACTIONS(3194),
    [anon_sym_DASH] = ACTIONS(3194),
    [anon_sym_STAR] = ACTIONS(3194),
    [anon_sym_SLASH] = ACTIONS(3194),
    [anon_sym_PERCENT] = ACTIONS(3194),
    [anon_sym_PLUS_PLUS] = ACTIONS(3192),
    [anon_sym_DASH_DASH] = ACTIONS(3192),
    [anon_sym_PIPE] = ACTIONS(3192),
    [anon_sym_CARET] = ACTIONS(3194),
    [anon_sym_LT_LT] = ACTIONS(3192),
    [anon_sym_GT_GT] = ACTIONS(3192),
    [anon_sym_class] = ACTIONS(3192),
    [anon_sym_BANG2] = ACTIONS(3194),
    [anon_sym_prefix] = ACTIONS(3192),
    [anon_sym_infix] = ACTIONS(3192),
    [anon_sym_postfix] = ACTIONS(3192),
    [anon_sym_AT] = ACTIONS(3194),
    [anon_sym_override] = ACTIONS(3192),
    [anon_sym_convenience] = ACTIONS(3192),
    [anon_sym_required] = ACTIONS(3192),
    [anon_sym_nonisolated] = ACTIONS(3192),
    [anon_sym_public] = ACTIONS(3192),
    [anon_sym_private] = ACTIONS(3192),
    [anon_sym_internal] = ACTIONS(3192),
    [anon_sym_fileprivate] = ACTIONS(3192),
    [anon_sym_open] = ACTIONS(3192),
    [anon_sym_mutating] = ACTIONS(3192),
    [anon_sym_nonmutating] = ACTIONS(3192),
    [anon_sym_static] = ACTIONS(3192),
    [anon_sym_dynamic] = ACTIONS(3192),
    [anon_sym_optional] = ACTIONS(3192),
    [anon_sym_distributed] = ACTIONS(3192),
    [anon_sym_final] = ACTIONS(3192),
    [anon_sym_inout] = ACTIONS(3192),
    [anon_sym_ATescaping] = ACTIONS(3192),
    [anon_sym_ATautoclosure] = ACTIONS(3192),
    [anon_sym_weak] = ACTIONS(3192),
    [anon_sym_unowned] = ACTIONS(3194),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3192),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3192),
    [anon_sym_borrowing] = ACTIONS(3192),
    [anon_sym_consuming] = ACTIONS(3192),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3192),
    [sym__explicit_semi] = ACTIONS(3192),
    [sym__dot_custom] = ACTIONS(3192),
    [sym__conjunction_operator_custom] = ACTIONS(3192),
    [sym__disjunction_operator_custom] = ACTIONS(3192),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3192),
    [sym__eq_custom] = ACTIONS(3192),
    [sym__eq_eq_custom] = ACTIONS(3192),
    [sym__plus_then_ws] = ACTIONS(3192),
    [sym__minus_then_ws] = ACTIONS(3192),
    [sym__bang_custom] = ACTIONS(3192),
    [sym_default_keyword] = ACTIONS(3192),
    [sym__as_custom] = ACTIONS(3192),
    [sym__as_quest_custom] = ACTIONS(3192),
    [sym__as_bang_custom] = ACTIONS(3192),
    [sym__custom_operator] = ACTIONS(3192),
  },
  [1208] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3208),
    [anon_sym_package] = ACTIONS(3208),
    [anon_sym_COMMA] = ACTIONS(3208),
    [anon_sym_LPAREN] = ACTIONS(3208),
    [anon_sym_LBRACK] = ACTIONS(3208),
    [anon_sym_QMARK] = ACTIONS(3211),
    [anon_sym_QMARK2] = ACTIONS(3208),
    [anon_sym_AMP] = ACTIONS(3208),
    [aux_sym_custom_operator_token1] = ACTIONS(3208),
    [anon_sym_LT] = ACTIONS(3211),
    [anon_sym_GT] = ACTIONS(3211),
    [anon_sym_LBRACE] = ACTIONS(3208),
    [anon_sym_CARET_LBRACE] = ACTIONS(3208),
    [anon_sym_RBRACE] = ACTIONS(3208),
    [anon_sym_case] = ACTIONS(3208),
    [anon_sym_fallthrough] = ACTIONS(3208),
    [anon_sym_PLUS_EQ] = ACTIONS(3208),
    [anon_sym_DASH_EQ] = ACTIONS(3208),
    [anon_sym_STAR_EQ] = ACTIONS(3208),
    [anon_sym_SLASH_EQ] = ACTIONS(3208),
    [anon_sym_PERCENT_EQ] = ACTIONS(3208),
    [anon_sym_BANG_EQ] = ACTIONS(3211),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3208),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3208),
    [anon_sym_LT_EQ] = ACTIONS(3208),
    [anon_sym_GT_EQ] = ACTIONS(3208),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3208),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3208),
    [anon_sym_is] = ACTIONS(3208),
    [anon_sym_PLUS] = ACTIONS(3211),
    [anon_sym_DASH] = ACTIONS(3211),
    [anon_sym_STAR] = ACTIONS(3211),
    [anon_sym_SLASH] = ACTIONS(3211),
    [anon_sym_PERCENT] = ACTIONS(3211),
    [anon_sym_PLUS_PLUS] = ACTIONS(3208),
    [anon_sym_DASH_DASH] = ACTIONS(3208),
    [anon_sym_PIPE] = ACTIONS(3208),
    [anon_sym_CARET] = ACTIONS(3211),
    [anon_sym_LT_LT] = ACTIONS(3208),
    [anon_sym_GT_GT] = ACTIONS(3208),
    [anon_sym_class] = ACTIONS(3208),
    [anon_sym_BANG2] = ACTIONS(3211),
    [anon_sym_prefix] = ACTIONS(3208),
    [anon_sym_infix] = ACTIONS(3208),
    [anon_sym_postfix] = ACTIONS(3208),
    [anon_sym_AT] = ACTIONS(3211),
    [anon_sym_override] = ACTIONS(3208),
    [anon_sym_convenience] = ACTIONS(3208),
    [anon_sym_required] = ACTIONS(3208),
    [anon_sym_nonisolated] = ACTIONS(3208),
    [anon_sym_public] = ACTIONS(3208),
    [anon_sym_private] = ACTIONS(3208),
    [anon_sym_internal] = ACTIONS(3208),
    [anon_sym_fileprivate] = ACTIONS(3208),
    [anon_sym_open] = ACTIONS(3208),
    [anon_sym_mutating] = ACTIONS(3208),
    [anon_sym_nonmutating] = ACTIONS(3208),
    [anon_sym_static] = ACTIONS(3208),
    [anon_sym_dynamic] = ACTIONS(3208),
    [anon_sym_optional] = ACTIONS(3208),
    [anon_sym_distributed] = ACTIONS(3208),
    [anon_sym_final] = ACTIONS(3208),
    [anon_sym_inout] = ACTIONS(3208),
    [anon_sym_ATescaping] = ACTIONS(3208),
    [anon_sym_ATautoclosure] = ACTIONS(3208),
    [anon_sym_weak] = ACTIONS(3208),
    [anon_sym_unowned] = ACTIONS(3211),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3208),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3208),
    [anon_sym_borrowing] = ACTIONS(3208),
    [anon_sym_consuming] = ACTIONS(3208),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3208),
    [sym__explicit_semi] = ACTIONS(3208),
    [sym__dot_custom] = ACTIONS(3208),
    [sym__conjunction_operator_custom] = ACTIONS(3208),
    [sym__disjunction_operator_custom] = ACTIONS(3208),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3208),
    [sym__eq_custom] = ACTIONS(3208),
    [sym__eq_eq_custom] = ACTIONS(3208),
    [sym__plus_then_ws] = ACTIONS(3208),
    [sym__minus_then_ws] = ACTIONS(3208),
    [sym__bang_custom] = ACTIONS(3208),
    [sym_default_keyword] = ACTIONS(3208),
    [sym__as_custom] = ACTIONS(3208),
    [sym__as_quest_custom] = ACTIONS(3208),
    [sym__as_bang_custom] = ACTIONS(3208),
    [sym__custom_operator] = ACTIONS(3208),
  },
  [1209] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3348),
    [anon_sym_package] = ACTIONS(3348),
    [anon_sym_COMMA] = ACTIONS(3348),
    [anon_sym_LPAREN] = ACTIONS(3348),
    [anon_sym_LBRACK] = ACTIONS(3348),
    [anon_sym_QMARK] = ACTIONS(3350),
    [anon_sym_QMARK2] = ACTIONS(3348),
    [anon_sym_AMP] = ACTIONS(3348),
    [aux_sym_custom_operator_token1] = ACTIONS(3348),
    [anon_sym_LT] = ACTIONS(3350),
    [anon_sym_GT] = ACTIONS(3350),
    [anon_sym_LBRACE] = ACTIONS(3348),
    [anon_sym_CARET_LBRACE] = ACTIONS(3348),
    [anon_sym_RBRACE] = ACTIONS(3348),
    [anon_sym_case] = ACTIONS(3348),
    [anon_sym_fallthrough] = ACTIONS(3348),
    [anon_sym_PLUS_EQ] = ACTIONS(3348),
    [anon_sym_DASH_EQ] = ACTIONS(3348),
    [anon_sym_STAR_EQ] = ACTIONS(3348),
    [anon_sym_SLASH_EQ] = ACTIONS(3348),
    [anon_sym_PERCENT_EQ] = ACTIONS(3348),
    [anon_sym_BANG_EQ] = ACTIONS(3350),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3348),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3348),
    [anon_sym_LT_EQ] = ACTIONS(3348),
    [anon_sym_GT_EQ] = ACTIONS(3348),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3348),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3348),
    [anon_sym_is] = ACTIONS(3348),
    [anon_sym_PLUS] = ACTIONS(3350),
    [anon_sym_DASH] = ACTIONS(3350),
    [anon_sym_STAR] = ACTIONS(3350),
    [anon_sym_SLASH] = ACTIONS(3350),
    [anon_sym_PERCENT] = ACTIONS(3350),
    [anon_sym_PLUS_PLUS] = ACTIONS(3348),
    [anon_sym_DASH_DASH] = ACTIONS(3348),
    [anon_sym_PIPE] = ACTIONS(3348),
    [anon_sym_CARET] = ACTIONS(3350),
    [anon_sym_LT_LT] = ACTIONS(3348),
    [anon_sym_GT_GT] = ACTIONS(3348),
    [anon_sym_class] = ACTIONS(3348),
    [anon_sym_BANG2] = ACTIONS(3350),
    [anon_sym_prefix] = ACTIONS(3348),
    [anon_sym_infix] = ACTIONS(3348),
    [anon_sym_postfix] = ACTIONS(3348),
    [anon_sym_AT] = ACTIONS(3350),
    [anon_sym_override] = ACTIONS(3348),
    [anon_sym_convenience] = ACTIONS(3348),
    [anon_sym_required] = ACTIONS(3348),
    [anon_sym_nonisolated] = ACTIONS(3348),
    [anon_sym_public] = ACTIONS(3348),
    [anon_sym_private] = ACTIONS(3348),
    [anon_sym_internal] = ACTIONS(3348),
    [anon_sym_fileprivate] = ACTIONS(3348),
    [anon_sym_open] = ACTIONS(3348),
    [anon_sym_mutating] = ACTIONS(3348),
    [anon_sym_nonmutating] = ACTIONS(3348),
    [anon_sym_static] = ACTIONS(3348),
    [anon_sym_dynamic] = ACTIONS(3348),
    [anon_sym_optional] = ACTIONS(3348),
    [anon_sym_distributed] = ACTIONS(3348),
    [anon_sym_final] = ACTIONS(3348),
    [anon_sym_inout] = ACTIONS(3348),
    [anon_sym_ATescaping] = ACTIONS(3348),
    [anon_sym_ATautoclosure] = ACTIONS(3348),
    [anon_sym_weak] = ACTIONS(3348),
    [anon_sym_unowned] = ACTIONS(3350),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3348),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3348),
    [anon_sym_borrowing] = ACTIONS(3348),
    [anon_sym_consuming] = ACTIONS(3348),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3348),
    [sym__explicit_semi] = ACTIONS(3348),
    [sym__dot_custom] = ACTIONS(3348),
    [sym__conjunction_operator_custom] = ACTIONS(3348),
    [sym__disjunction_operator_custom] = ACTIONS(3348),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3348),
    [sym__eq_custom] = ACTIONS(3348),
    [sym__eq_eq_custom] = ACTIONS(3348),
    [sym__plus_then_ws] = ACTIONS(3348),
    [sym__minus_then_ws] = ACTIONS(3348),
    [sym__bang_custom] = ACTIONS(3348),
    [sym_default_keyword] = ACTIONS(3348),
    [sym__as_custom] = ACTIONS(3348),
    [sym__as_quest_custom] = ACTIONS(3348),
    [sym__as_bang_custom] = ACTIONS(3348),
    [sym__custom_operator] = ACTIONS(3348),
  },
  [1210] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3364),
    [anon_sym_package] = ACTIONS(3364),
    [anon_sym_COMMA] = ACTIONS(3364),
    [anon_sym_LPAREN] = ACTIONS(3364),
    [anon_sym_LBRACK] = ACTIONS(3364),
    [anon_sym_QMARK] = ACTIONS(3366),
    [anon_sym_QMARK2] = ACTIONS(3364),
    [anon_sym_AMP] = ACTIONS(3364),
    [aux_sym_custom_operator_token1] = ACTIONS(3364),
    [anon_sym_LT] = ACTIONS(3366),
    [anon_sym_GT] = ACTIONS(3366),
    [anon_sym_LBRACE] = ACTIONS(3364),
    [anon_sym_CARET_LBRACE] = ACTIONS(3364),
    [anon_sym_RBRACE] = ACTIONS(3364),
    [anon_sym_case] = ACTIONS(3364),
    [anon_sym_fallthrough] = ACTIONS(3364),
    [anon_sym_PLUS_EQ] = ACTIONS(3364),
    [anon_sym_DASH_EQ] = ACTIONS(3364),
    [anon_sym_STAR_EQ] = ACTIONS(3364),
    [anon_sym_SLASH_EQ] = ACTIONS(3364),
    [anon_sym_PERCENT_EQ] = ACTIONS(3364),
    [anon_sym_BANG_EQ] = ACTIONS(3366),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3364),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3364),
    [anon_sym_LT_EQ] = ACTIONS(3364),
    [anon_sym_GT_EQ] = ACTIONS(3364),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3364),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3364),
    [anon_sym_is] = ACTIONS(3364),
    [anon_sym_PLUS] = ACTIONS(3366),
    [anon_sym_DASH] = ACTIONS(3366),
    [anon_sym_STAR] = ACTIONS(3366),
    [anon_sym_SLASH] = ACTIONS(3366),
    [anon_sym_PERCENT] = ACTIONS(3366),
    [anon_sym_PLUS_PLUS] = ACTIONS(3364),
    [anon_sym_DASH_DASH] = ACTIONS(3364),
    [anon_sym_PIPE] = ACTIONS(3364),
    [anon_sym_CARET] = ACTIONS(3366),
    [anon_sym_LT_LT] = ACTIONS(3364),
    [anon_sym_GT_GT] = ACTIONS(3364),
    [anon_sym_class] = ACTIONS(3364),
    [anon_sym_BANG2] = ACTIONS(3366),
    [anon_sym_prefix] = ACTIONS(3364),
    [anon_sym_infix] = ACTIONS(3364),
    [anon_sym_postfix] = ACTIONS(3364),
    [anon_sym_AT] = ACTIONS(3366),
    [anon_sym_override] = ACTIONS(3364),
    [anon_sym_convenience] = ACTIONS(3364),
    [anon_sym_required] = ACTIONS(3364),
    [anon_sym_nonisolated] = ACTIONS(3364),
    [anon_sym_public] = ACTIONS(3364),
    [anon_sym_private] = ACTIONS(3364),
    [anon_sym_internal] = ACTIONS(3364),
    [anon_sym_fileprivate] = ACTIONS(3364),
    [anon_sym_open] = ACTIONS(3364),
    [anon_sym_mutating] = ACTIONS(3364),
    [anon_sym_nonmutating] = ACTIONS(3364),
    [anon_sym_static] = ACTIONS(3364),
    [anon_sym_dynamic] = ACTIONS(3364),
    [anon_sym_optional] = ACTIONS(3364),
    [anon_sym_distributed] = ACTIONS(3364),
    [anon_sym_final] = ACTIONS(3364),
    [anon_sym_inout] = ACTIONS(3364),
    [anon_sym_ATescaping] = ACTIONS(3364),
    [anon_sym_ATautoclosure] = ACTIONS(3364),
    [anon_sym_weak] = ACTIONS(3364),
    [anon_sym_unowned] = ACTIONS(3366),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3364),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3364),
    [anon_sym_borrowing] = ACTIONS(3364),
    [anon_sym_consuming] = ACTIONS(3364),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3364),
    [sym__explicit_semi] = ACTIONS(3364),
    [sym__dot_custom] = ACTIONS(3364),
    [sym__conjunction_operator_custom] = ACTIONS(3364),
    [sym__disjunction_operator_custom] = ACTIONS(3364),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3364),
    [sym__eq_custom] = ACTIONS(3364),
    [sym__eq_eq_custom] = ACTIONS(3364),
    [sym__plus_then_ws] = ACTIONS(3364),
    [sym__minus_then_ws] = ACTIONS(3364),
    [sym__bang_custom] = ACTIONS(3364),
    [sym_default_keyword] = ACTIONS(3364),
    [sym__as_custom] = ACTIONS(3364),
    [sym__as_quest_custom] = ACTIONS(3364),
    [sym__as_bang_custom] = ACTIONS(3364),
    [sym__custom_operator] = ACTIONS(3364),
  },
  [1211] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3116),
    [anon_sym_package] = ACTIONS(3116),
    [anon_sym_COMMA] = ACTIONS(3116),
    [anon_sym_LPAREN] = ACTIONS(3116),
    [anon_sym_LBRACK] = ACTIONS(3116),
    [anon_sym_QMARK] = ACTIONS(3118),
    [anon_sym_QMARK2] = ACTIONS(3116),
    [anon_sym_AMP] = ACTIONS(3116),
    [aux_sym_custom_operator_token1] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_GT] = ACTIONS(3118),
    [anon_sym_LBRACE] = ACTIONS(3116),
    [anon_sym_CARET_LBRACE] = ACTIONS(3116),
    [anon_sym_RBRACE] = ACTIONS(3116),
    [anon_sym_case] = ACTIONS(3116),
    [anon_sym_fallthrough] = ACTIONS(3116),
    [anon_sym_PLUS_EQ] = ACTIONS(3116),
    [anon_sym_DASH_EQ] = ACTIONS(3116),
    [anon_sym_STAR_EQ] = ACTIONS(3116),
    [anon_sym_SLASH_EQ] = ACTIONS(3116),
    [anon_sym_PERCENT_EQ] = ACTIONS(3116),
    [anon_sym_BANG_EQ] = ACTIONS(3118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3116),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3116),
    [anon_sym_LT_EQ] = ACTIONS(3116),
    [anon_sym_GT_EQ] = ACTIONS(3116),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3116),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3116),
    [anon_sym_is] = ACTIONS(3116),
    [anon_sym_PLUS] = ACTIONS(3118),
    [anon_sym_DASH] = ACTIONS(3118),
    [anon_sym_STAR] = ACTIONS(3118),
    [anon_sym_SLASH] = ACTIONS(3118),
    [anon_sym_PERCENT] = ACTIONS(3118),
    [anon_sym_PLUS_PLUS] = ACTIONS(3116),
    [anon_sym_DASH_DASH] = ACTIONS(3116),
    [anon_sym_PIPE] = ACTIONS(3116),
    [anon_sym_CARET] = ACTIONS(3118),
    [anon_sym_LT_LT] = ACTIONS(3116),
    [anon_sym_GT_GT] = ACTIONS(3116),
    [anon_sym_class] = ACTIONS(3116),
    [anon_sym_BANG2] = ACTIONS(3118),
    [anon_sym_prefix] = ACTIONS(3116),
    [anon_sym_infix] = ACTIONS(3116),
    [anon_sym_postfix] = ACTIONS(3116),
    [anon_sym_AT] = ACTIONS(3118),
    [anon_sym_override] = ACTIONS(3116),
    [anon_sym_convenience] = ACTIONS(3116),
    [anon_sym_required] = ACTIONS(3116),
    [anon_sym_nonisolated] = ACTIONS(3116),
    [anon_sym_public] = ACTIONS(3116),
    [anon_sym_private] = ACTIONS(3116),
    [anon_sym_internal] = ACTIONS(3116),
    [anon_sym_fileprivate] = ACTIONS(3116),
    [anon_sym_open] = ACTIONS(3116),
    [anon_sym_mutating] = ACTIONS(3116),
    [anon_sym_nonmutating] = ACTIONS(3116),
    [anon_sym_static] = ACTIONS(3116),
    [anon_sym_dynamic] = ACTIONS(3116),
    [anon_sym_optional] = ACTIONS(3116),
    [anon_sym_distributed] = ACTIONS(3116),
    [anon_sym_final] = ACTIONS(3116),
    [anon_sym_inout] = ACTIONS(3116),
    [anon_sym_ATescaping] = ACTIONS(3116),
    [anon_sym_ATautoclosure] = ACTIONS(3116),
    [anon_sym_weak] = ACTIONS(3116),
    [anon_sym_unowned] = ACTIONS(3118),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3116),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3116),
    [anon_sym_borrowing] = ACTIONS(3116),
    [anon_sym_consuming] = ACTIONS(3116),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3116),
    [sym__explicit_semi] = ACTIONS(3116),
    [sym__dot_custom] = ACTIONS(3116),
    [sym__conjunction_operator_custom] = ACTIONS(3116),
    [sym__disjunction_operator_custom] = ACTIONS(3116),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3116),
    [sym__eq_custom] = ACTIONS(3116),
    [sym__eq_eq_custom] = ACTIONS(3116),
    [sym__plus_then_ws] = ACTIONS(3116),
    [sym__minus_then_ws] = ACTIONS(3116),
    [sym__bang_custom] = ACTIONS(3116),
    [sym_default_keyword] = ACTIONS(3116),
    [sym__as_custom] = ACTIONS(3116),
    [sym__as_quest_custom] = ACTIONS(3116),
    [sym__as_bang_custom] = ACTIONS(3116),
    [sym__custom_operator] = ACTIONS(3116),
  },
  [1212] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3320),
    [anon_sym_package] = ACTIONS(3320),
    [anon_sym_COMMA] = ACTIONS(3320),
    [anon_sym_LPAREN] = ACTIONS(3320),
    [anon_sym_LBRACK] = ACTIONS(3320),
    [anon_sym_QMARK] = ACTIONS(3322),
    [anon_sym_QMARK2] = ACTIONS(3320),
    [anon_sym_AMP] = ACTIONS(3320),
    [aux_sym_custom_operator_token1] = ACTIONS(3320),
    [anon_sym_LT] = ACTIONS(3322),
    [anon_sym_GT] = ACTIONS(3322),
    [anon_sym_LBRACE] = ACTIONS(3320),
    [anon_sym_CARET_LBRACE] = ACTIONS(3320),
    [anon_sym_RBRACE] = ACTIONS(3320),
    [anon_sym_case] = ACTIONS(3320),
    [anon_sym_fallthrough] = ACTIONS(3320),
    [anon_sym_PLUS_EQ] = ACTIONS(3320),
    [anon_sym_DASH_EQ] = ACTIONS(3320),
    [anon_sym_STAR_EQ] = ACTIONS(3320),
    [anon_sym_SLASH_EQ] = ACTIONS(3320),
    [anon_sym_PERCENT_EQ] = ACTIONS(3320),
    [anon_sym_BANG_EQ] = ACTIONS(3322),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3320),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3320),
    [anon_sym_LT_EQ] = ACTIONS(3320),
    [anon_sym_GT_EQ] = ACTIONS(3320),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3320),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3320),
    [anon_sym_is] = ACTIONS(3320),
    [anon_sym_PLUS] = ACTIONS(3322),
    [anon_sym_DASH] = ACTIONS(3322),
    [anon_sym_STAR] = ACTIONS(3322),
    [anon_sym_SLASH] = ACTIONS(3322),
    [anon_sym_PERCENT] = ACTIONS(3322),
    [anon_sym_PLUS_PLUS] = ACTIONS(3320),
    [anon_sym_DASH_DASH] = ACTIONS(3320),
    [anon_sym_PIPE] = ACTIONS(3320),
    [anon_sym_CARET] = ACTIONS(3322),
    [anon_sym_LT_LT] = ACTIONS(3320),
    [anon_sym_GT_GT] = ACTIONS(3320),
    [anon_sym_class] = ACTIONS(3320),
    [anon_sym_BANG2] = ACTIONS(3322),
    [anon_sym_prefix] = ACTIONS(3320),
    [anon_sym_infix] = ACTIONS(3320),
    [anon_sym_postfix] = ACTIONS(3320),
    [anon_sym_AT] = ACTIONS(3322),
    [anon_sym_override] = ACTIONS(3320),
    [anon_sym_convenience] = ACTIONS(3320),
    [anon_sym_required] = ACTIONS(3320),
    [anon_sym_nonisolated] = ACTIONS(3320),
    [anon_sym_public] = ACTIONS(3320),
    [anon_sym_private] = ACTIONS(3320),
    [anon_sym_internal] = ACTIONS(3320),
    [anon_sym_fileprivate] = ACTIONS(3320),
    [anon_sym_open] = ACTIONS(3320),
    [anon_sym_mutating] = ACTIONS(3320),
    [anon_sym_nonmutating] = ACTIONS(3320),
    [anon_sym_static] = ACTIONS(3320),
    [anon_sym_dynamic] = ACTIONS(3320),
    [anon_sym_optional] = ACTIONS(3320),
    [anon_sym_distributed] = ACTIONS(3320),
    [anon_sym_final] = ACTIONS(3320),
    [anon_sym_inout] = ACTIONS(3320),
    [anon_sym_ATescaping] = ACTIONS(3320),
    [anon_sym_ATautoclosure] = ACTIONS(3320),
    [anon_sym_weak] = ACTIONS(3320),
    [anon_sym_unowned] = ACTIONS(3322),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3320),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3320),
    [anon_sym_borrowing] = ACTIONS(3320),
    [anon_sym_consuming] = ACTIONS(3320),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3320),
    [sym__explicit_semi] = ACTIONS(3320),
    [sym__dot_custom] = ACTIONS(3320),
    [sym__conjunction_operator_custom] = ACTIONS(3320),
    [sym__disjunction_operator_custom] = ACTIONS(3320),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3320),
    [sym__eq_custom] = ACTIONS(3320),
    [sym__eq_eq_custom] = ACTIONS(3320),
    [sym__plus_then_ws] = ACTIONS(3320),
    [sym__minus_then_ws] = ACTIONS(3320),
    [sym__bang_custom] = ACTIONS(3320),
    [sym_default_keyword] = ACTIONS(3320),
    [sym__as_custom] = ACTIONS(3320),
    [sym__as_quest_custom] = ACTIONS(3320),
    [sym__as_bang_custom] = ACTIONS(3320),
    [sym__custom_operator] = ACTIONS(3320),
  },
  [1213] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3176),
    [anon_sym_package] = ACTIONS(3176),
    [anon_sym_COMMA] = ACTIONS(3176),
    [anon_sym_LPAREN] = ACTIONS(3176),
    [anon_sym_LBRACK] = ACTIONS(3176),
    [anon_sym_QMARK] = ACTIONS(3178),
    [anon_sym_QMARK2] = ACTIONS(3176),
    [anon_sym_AMP] = ACTIONS(3176),
    [aux_sym_custom_operator_token1] = ACTIONS(3176),
    [anon_sym_LT] = ACTIONS(3178),
    [anon_sym_GT] = ACTIONS(3178),
    [anon_sym_LBRACE] = ACTIONS(3176),
    [anon_sym_CARET_LBRACE] = ACTIONS(3176),
    [anon_sym_RBRACE] = ACTIONS(3176),
    [anon_sym_case] = ACTIONS(3176),
    [anon_sym_fallthrough] = ACTIONS(3176),
    [anon_sym_PLUS_EQ] = ACTIONS(3176),
    [anon_sym_DASH_EQ] = ACTIONS(3176),
    [anon_sym_STAR_EQ] = ACTIONS(3176),
    [anon_sym_SLASH_EQ] = ACTIONS(3176),
    [anon_sym_PERCENT_EQ] = ACTIONS(3176),
    [anon_sym_BANG_EQ] = ACTIONS(3178),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3176),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3176),
    [anon_sym_LT_EQ] = ACTIONS(3176),
    [anon_sym_GT_EQ] = ACTIONS(3176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3176),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3176),
    [anon_sym_is] = ACTIONS(3176),
    [anon_sym_PLUS] = ACTIONS(3178),
    [anon_sym_DASH] = ACTIONS(3178),
    [anon_sym_STAR] = ACTIONS(3178),
    [anon_sym_SLASH] = ACTIONS(3178),
    [anon_sym_PERCENT] = ACTIONS(3178),
    [anon_sym_PLUS_PLUS] = ACTIONS(3176),
    [anon_sym_DASH_DASH] = ACTIONS(3176),
    [anon_sym_PIPE] = ACTIONS(3176),
    [anon_sym_CARET] = ACTIONS(3178),
    [anon_sym_LT_LT] = ACTIONS(3176),
    [anon_sym_GT_GT] = ACTIONS(3176),
    [anon_sym_class] = ACTIONS(3176),
    [anon_sym_BANG2] = ACTIONS(3178),
    [anon_sym_prefix] = ACTIONS(3176),
    [anon_sym_infix] = ACTIONS(3176),
    [anon_sym_postfix] = ACTIONS(3176),
    [anon_sym_AT] = ACTIONS(3178),
    [anon_sym_override] = ACTIONS(3176),
    [anon_sym_convenience] = ACTIONS(3176),
    [anon_sym_required] = ACTIONS(3176),
    [anon_sym_nonisolated] = ACTIONS(3176),
    [anon_sym_public] = ACTIONS(3176),
    [anon_sym_private] = ACTIONS(3176),
    [anon_sym_internal] = ACTIONS(3176),
    [anon_sym_fileprivate] = ACTIONS(3176),
    [anon_sym_open] = ACTIONS(3176),
    [anon_sym_mutating] = ACTIONS(3176),
    [anon_sym_nonmutating] = ACTIONS(3176),
    [anon_sym_static] = ACTIONS(3176),
    [anon_sym_dynamic] = ACTIONS(3176),
    [anon_sym_optional] = ACTIONS(3176),
    [anon_sym_distributed] = ACTIONS(3176),
    [anon_sym_final] = ACTIONS(3176),
    [anon_sym_inout] = ACTIONS(3176),
    [anon_sym_ATescaping] = ACTIONS(3176),
    [anon_sym_ATautoclosure] = ACTIONS(3176),
    [anon_sym_weak] = ACTIONS(3176),
    [anon_sym_unowned] = ACTIONS(3178),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3176),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3176),
    [anon_sym_borrowing] = ACTIONS(3176),
    [anon_sym_consuming] = ACTIONS(3176),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3176),
    [sym__explicit_semi] = ACTIONS(3176),
    [sym__dot_custom] = ACTIONS(3176),
    [sym__conjunction_operator_custom] = ACTIONS(3176),
    [sym__disjunction_operator_custom] = ACTIONS(3176),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3176),
    [sym__eq_custom] = ACTIONS(3176),
    [sym__eq_eq_custom] = ACTIONS(3176),
    [sym__plus_then_ws] = ACTIONS(3176),
    [sym__minus_then_ws] = ACTIONS(3176),
    [sym__bang_custom] = ACTIONS(3176),
    [sym_default_keyword] = ACTIONS(3176),
    [sym__as_custom] = ACTIONS(3176),
    [sym__as_quest_custom] = ACTIONS(3176),
    [sym__as_bang_custom] = ACTIONS(3176),
    [sym__custom_operator] = ACTIONS(3176),
  },
  [1214] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3312),
    [anon_sym_package] = ACTIONS(3312),
    [anon_sym_COMMA] = ACTIONS(3312),
    [anon_sym_LPAREN] = ACTIONS(3312),
    [anon_sym_LBRACK] = ACTIONS(3312),
    [anon_sym_QMARK] = ACTIONS(3314),
    [anon_sym_QMARK2] = ACTIONS(3312),
    [anon_sym_AMP] = ACTIONS(3312),
    [aux_sym_custom_operator_token1] = ACTIONS(3312),
    [anon_sym_LT] = ACTIONS(3314),
    [anon_sym_GT] = ACTIONS(3314),
    [anon_sym_LBRACE] = ACTIONS(3312),
    [anon_sym_CARET_LBRACE] = ACTIONS(3312),
    [anon_sym_RBRACE] = ACTIONS(3312),
    [anon_sym_case] = ACTIONS(3312),
    [anon_sym_fallthrough] = ACTIONS(3312),
    [anon_sym_PLUS_EQ] = ACTIONS(3312),
    [anon_sym_DASH_EQ] = ACTIONS(3312),
    [anon_sym_STAR_EQ] = ACTIONS(3312),
    [anon_sym_SLASH_EQ] = ACTIONS(3312),
    [anon_sym_PERCENT_EQ] = ACTIONS(3312),
    [anon_sym_BANG_EQ] = ACTIONS(3314),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3312),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3312),
    [anon_sym_LT_EQ] = ACTIONS(3312),
    [anon_sym_GT_EQ] = ACTIONS(3312),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3312),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3312),
    [anon_sym_is] = ACTIONS(3312),
    [anon_sym_PLUS] = ACTIONS(3314),
    [anon_sym_DASH] = ACTIONS(3314),
    [anon_sym_STAR] = ACTIONS(3314),
    [anon_sym_SLASH] = ACTIONS(3314),
    [anon_sym_PERCENT] = ACTIONS(3314),
    [anon_sym_PLUS_PLUS] = ACTIONS(3312),
    [anon_sym_DASH_DASH] = ACTIONS(3312),
    [anon_sym_PIPE] = ACTIONS(3312),
    [anon_sym_CARET] = ACTIONS(3314),
    [anon_sym_LT_LT] = ACTIONS(3312),
    [anon_sym_GT_GT] = ACTIONS(3312),
    [anon_sym_class] = ACTIONS(3312),
    [anon_sym_BANG2] = ACTIONS(3314),
    [anon_sym_prefix] = ACTIONS(3312),
    [anon_sym_infix] = ACTIONS(3312),
    [anon_sym_postfix] = ACTIONS(3312),
    [anon_sym_AT] = ACTIONS(3314),
    [anon_sym_override] = ACTIONS(3312),
    [anon_sym_convenience] = ACTIONS(3312),
    [anon_sym_required] = ACTIONS(3312),
    [anon_sym_nonisolated] = ACTIONS(3312),
    [anon_sym_public] = ACTIONS(3312),
    [anon_sym_private] = ACTIONS(3312),
    [anon_sym_internal] = ACTIONS(3312),
    [anon_sym_fileprivate] = ACTIONS(3312),
    [anon_sym_open] = ACTIONS(3312),
    [anon_sym_mutating] = ACTIONS(3312),
    [anon_sym_nonmutating] = ACTIONS(3312),
    [anon_sym_static] = ACTIONS(3312),
    [anon_sym_dynamic] = ACTIONS(3312),
    [anon_sym_optional] = ACTIONS(3312),
    [anon_sym_distributed] = ACTIONS(3312),
    [anon_sym_final] = ACTIONS(3312),
    [anon_sym_inout] = ACTIONS(3312),
    [anon_sym_ATescaping] = ACTIONS(3312),
    [anon_sym_ATautoclosure] = ACTIONS(3312),
    [anon_sym_weak] = ACTIONS(3312),
    [anon_sym_unowned] = ACTIONS(3314),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3312),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3312),
    [anon_sym_borrowing] = ACTIONS(3312),
    [anon_sym_consuming] = ACTIONS(3312),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3312),
    [sym__explicit_semi] = ACTIONS(3312),
    [sym__dot_custom] = ACTIONS(3312),
    [sym__conjunction_operator_custom] = ACTIONS(3312),
    [sym__disjunction_operator_custom] = ACTIONS(3312),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3312),
    [sym__eq_custom] = ACTIONS(3312),
    [sym__eq_eq_custom] = ACTIONS(3312),
    [sym__plus_then_ws] = ACTIONS(3312),
    [sym__minus_then_ws] = ACTIONS(3312),
    [sym__bang_custom] = ACTIONS(3312),
    [sym_default_keyword] = ACTIONS(3312),
    [sym__as_custom] = ACTIONS(3312),
    [sym__as_quest_custom] = ACTIONS(3312),
    [sym__as_bang_custom] = ACTIONS(3312),
    [sym__custom_operator] = ACTIONS(3312),
  },
  [1215] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3104),
    [anon_sym_package] = ACTIONS(3104),
    [anon_sym_COMMA] = ACTIONS(3104),
    [anon_sym_LPAREN] = ACTIONS(3104),
    [anon_sym_LBRACK] = ACTIONS(3104),
    [anon_sym_QMARK] = ACTIONS(3106),
    [anon_sym_QMARK2] = ACTIONS(3104),
    [anon_sym_AMP] = ACTIONS(3104),
    [aux_sym_custom_operator_token1] = ACTIONS(3104),
    [anon_sym_LT] = ACTIONS(3106),
    [anon_sym_GT] = ACTIONS(3106),
    [anon_sym_LBRACE] = ACTIONS(3104),
    [anon_sym_CARET_LBRACE] = ACTIONS(3104),
    [anon_sym_RBRACE] = ACTIONS(3104),
    [anon_sym_case] = ACTIONS(3104),
    [anon_sym_fallthrough] = ACTIONS(3104),
    [anon_sym_PLUS_EQ] = ACTIONS(3104),
    [anon_sym_DASH_EQ] = ACTIONS(3104),
    [anon_sym_STAR_EQ] = ACTIONS(3104),
    [anon_sym_SLASH_EQ] = ACTIONS(3104),
    [anon_sym_PERCENT_EQ] = ACTIONS(3104),
    [anon_sym_BANG_EQ] = ACTIONS(3106),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3104),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3104),
    [anon_sym_LT_EQ] = ACTIONS(3104),
    [anon_sym_GT_EQ] = ACTIONS(3104),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3104),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3104),
    [anon_sym_is] = ACTIONS(3104),
    [anon_sym_PLUS] = ACTIONS(3106),
    [anon_sym_DASH] = ACTIONS(3106),
    [anon_sym_STAR] = ACTIONS(3106),
    [anon_sym_SLASH] = ACTIONS(3106),
    [anon_sym_PERCENT] = ACTIONS(3106),
    [anon_sym_PLUS_PLUS] = ACTIONS(3104),
    [anon_sym_DASH_DASH] = ACTIONS(3104),
    [anon_sym_PIPE] = ACTIONS(3104),
    [anon_sym_CARET] = ACTIONS(3106),
    [anon_sym_LT_LT] = ACTIONS(3104),
    [anon_sym_GT_GT] = ACTIONS(3104),
    [anon_sym_class] = ACTIONS(3104),
    [anon_sym_BANG2] = ACTIONS(3106),
    [anon_sym_prefix] = ACTIONS(3104),
    [anon_sym_infix] = ACTIONS(3104),
    [anon_sym_postfix] = ACTIONS(3104),
    [anon_sym_AT] = ACTIONS(3106),
    [anon_sym_override] = ACTIONS(3104),
    [anon_sym_convenience] = ACTIONS(3104),
    [anon_sym_required] = ACTIONS(3104),
    [anon_sym_nonisolated] = ACTIONS(3104),
    [anon_sym_public] = ACTIONS(3104),
    [anon_sym_private] = ACTIONS(3104),
    [anon_sym_internal] = ACTIONS(3104),
    [anon_sym_fileprivate] = ACTIONS(3104),
    [anon_sym_open] = ACTIONS(3104),
    [anon_sym_mutating] = ACTIONS(3104),
    [anon_sym_nonmutating] = ACTIONS(3104),
    [anon_sym_static] = ACTIONS(3104),
    [anon_sym_dynamic] = ACTIONS(3104),
    [anon_sym_optional] = ACTIONS(3104),
    [anon_sym_distributed] = ACTIONS(3104),
    [anon_sym_final] = ACTIONS(3104),
    [anon_sym_inout] = ACTIONS(3104),
    [anon_sym_ATescaping] = ACTIONS(3104),
    [anon_sym_ATautoclosure] = ACTIONS(3104),
    [anon_sym_weak] = ACTIONS(3104),
    [anon_sym_unowned] = ACTIONS(3106),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3104),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3104),
    [anon_sym_borrowing] = ACTIONS(3104),
    [anon_sym_consuming] = ACTIONS(3104),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3104),
    [sym__explicit_semi] = ACTIONS(3104),
    [sym__dot_custom] = ACTIONS(3104),
    [sym__conjunction_operator_custom] = ACTIONS(3104),
    [sym__disjunction_operator_custom] = ACTIONS(3104),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3104),
    [sym__eq_custom] = ACTIONS(3104),
    [sym__eq_eq_custom] = ACTIONS(3104),
    [sym__plus_then_ws] = ACTIONS(3104),
    [sym__minus_then_ws] = ACTIONS(3104),
    [sym__bang_custom] = ACTIONS(3104),
    [sym_default_keyword] = ACTIONS(3104),
    [sym__as_custom] = ACTIONS(3104),
    [sym__as_quest_custom] = ACTIONS(3104),
    [sym__as_bang_custom] = ACTIONS(3104),
    [sym__custom_operator] = ACTIONS(3104),
  },
  [1216] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3234),
    [anon_sym_package] = ACTIONS(3234),
    [anon_sym_COMMA] = ACTIONS(3234),
    [anon_sym_LPAREN] = ACTIONS(3234),
    [anon_sym_LBRACK] = ACTIONS(3234),
    [anon_sym_QMARK] = ACTIONS(3236),
    [anon_sym_QMARK2] = ACTIONS(3234),
    [anon_sym_AMP] = ACTIONS(3234),
    [aux_sym_custom_operator_token1] = ACTIONS(3234),
    [anon_sym_LT] = ACTIONS(3236),
    [anon_sym_GT] = ACTIONS(3236),
    [anon_sym_LBRACE] = ACTIONS(3234),
    [anon_sym_CARET_LBRACE] = ACTIONS(3234),
    [anon_sym_RBRACE] = ACTIONS(3234),
    [anon_sym_case] = ACTIONS(3234),
    [anon_sym_fallthrough] = ACTIONS(3234),
    [anon_sym_PLUS_EQ] = ACTIONS(3234),
    [anon_sym_DASH_EQ] = ACTIONS(3234),
    [anon_sym_STAR_EQ] = ACTIONS(3234),
    [anon_sym_SLASH_EQ] = ACTIONS(3234),
    [anon_sym_PERCENT_EQ] = ACTIONS(3234),
    [anon_sym_BANG_EQ] = ACTIONS(3236),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3234),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3234),
    [anon_sym_LT_EQ] = ACTIONS(3234),
    [anon_sym_GT_EQ] = ACTIONS(3234),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3234),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3234),
    [anon_sym_is] = ACTIONS(3234),
    [anon_sym_PLUS] = ACTIONS(3236),
    [anon_sym_DASH] = ACTIONS(3236),
    [anon_sym_STAR] = ACTIONS(3236),
    [anon_sym_SLASH] = ACTIONS(3236),
    [anon_sym_PERCENT] = ACTIONS(3236),
    [anon_sym_PLUS_PLUS] = ACTIONS(3234),
    [anon_sym_DASH_DASH] = ACTIONS(3234),
    [anon_sym_PIPE] = ACTIONS(3234),
    [anon_sym_CARET] = ACTIONS(3236),
    [anon_sym_LT_LT] = ACTIONS(3234),
    [anon_sym_GT_GT] = ACTIONS(3234),
    [anon_sym_class] = ACTIONS(3234),
    [anon_sym_BANG2] = ACTIONS(3236),
    [anon_sym_prefix] = ACTIONS(3234),
    [anon_sym_infix] = ACTIONS(3234),
    [anon_sym_postfix] = ACTIONS(3234),
    [anon_sym_AT] = ACTIONS(3236),
    [anon_sym_override] = ACTIONS(3234),
    [anon_sym_convenience] = ACTIONS(3234),
    [anon_sym_required] = ACTIONS(3234),
    [anon_sym_nonisolated] = ACTIONS(3234),
    [anon_sym_public] = ACTIONS(3234),
    [anon_sym_private] = ACTIONS(3234),
    [anon_sym_internal] = ACTIONS(3234),
    [anon_sym_fileprivate] = ACTIONS(3234),
    [anon_sym_open] = ACTIONS(3234),
    [anon_sym_mutating] = ACTIONS(3234),
    [anon_sym_nonmutating] = ACTIONS(3234),
    [anon_sym_static] = ACTIONS(3234),
    [anon_sym_dynamic] = ACTIONS(3234),
    [anon_sym_optional] = ACTIONS(3234),
    [anon_sym_distributed] = ACTIONS(3234),
    [anon_sym_final] = ACTIONS(3234),
    [anon_sym_inout] = ACTIONS(3234),
    [anon_sym_ATescaping] = ACTIONS(3234),
    [anon_sym_ATautoclosure] = ACTIONS(3234),
    [anon_sym_weak] = ACTIONS(3234),
    [anon_sym_unowned] = ACTIONS(3236),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3234),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3234),
    [anon_sym_borrowing] = ACTIONS(3234),
    [anon_sym_consuming] = ACTIONS(3234),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3234),
    [sym__explicit_semi] = ACTIONS(3234),
    [sym__dot_custom] = ACTIONS(3234),
    [sym__conjunction_operator_custom] = ACTIONS(3234),
    [sym__disjunction_operator_custom] = ACTIONS(3234),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3234),
    [sym__eq_custom] = ACTIONS(3234),
    [sym__eq_eq_custom] = ACTIONS(3234),
    [sym__plus_then_ws] = ACTIONS(3234),
    [sym__minus_then_ws] = ACTIONS(3234),
    [sym__bang_custom] = ACTIONS(3234),
    [sym_default_keyword] = ACTIONS(3234),
    [sym__as_custom] = ACTIONS(3234),
    [sym__as_quest_custom] = ACTIONS(3234),
    [sym__as_bang_custom] = ACTIONS(3234),
    [sym__custom_operator] = ACTIONS(3234),
  },
  [1217] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3256),
    [anon_sym_package] = ACTIONS(3256),
    [anon_sym_COMMA] = ACTIONS(3256),
    [anon_sym_LPAREN] = ACTIONS(3256),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_QMARK] = ACTIONS(3258),
    [anon_sym_QMARK2] = ACTIONS(3256),
    [anon_sym_AMP] = ACTIONS(3256),
    [aux_sym_custom_operator_token1] = ACTIONS(3256),
    [anon_sym_LT] = ACTIONS(3258),
    [anon_sym_GT] = ACTIONS(3258),
    [anon_sym_LBRACE] = ACTIONS(3256),
    [anon_sym_CARET_LBRACE] = ACTIONS(3256),
    [anon_sym_RBRACE] = ACTIONS(3256),
    [anon_sym_case] = ACTIONS(3256),
    [anon_sym_fallthrough] = ACTIONS(3256),
    [anon_sym_PLUS_EQ] = ACTIONS(3256),
    [anon_sym_DASH_EQ] = ACTIONS(3256),
    [anon_sym_STAR_EQ] = ACTIONS(3256),
    [anon_sym_SLASH_EQ] = ACTIONS(3256),
    [anon_sym_PERCENT_EQ] = ACTIONS(3256),
    [anon_sym_BANG_EQ] = ACTIONS(3258),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3256),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3256),
    [anon_sym_LT_EQ] = ACTIONS(3256),
    [anon_sym_GT_EQ] = ACTIONS(3256),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3256),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3256),
    [anon_sym_is] = ACTIONS(3256),
    [anon_sym_PLUS] = ACTIONS(3258),
    [anon_sym_DASH] = ACTIONS(3258),
    [anon_sym_STAR] = ACTIONS(3258),
    [anon_sym_SLASH] = ACTIONS(3258),
    [anon_sym_PERCENT] = ACTIONS(3258),
    [anon_sym_PLUS_PLUS] = ACTIONS(3256),
    [anon_sym_DASH_DASH] = ACTIONS(3256),
    [anon_sym_PIPE] = ACTIONS(3256),
    [anon_sym_CARET] = ACTIONS(3258),
    [anon_sym_LT_LT] = ACTIONS(3256),
    [anon_sym_GT_GT] = ACTIONS(3256),
    [anon_sym_class] = ACTIONS(3256),
    [anon_sym_BANG2] = ACTIONS(3258),
    [anon_sym_prefix] = ACTIONS(3256),
    [anon_sym_infix] = ACTIONS(3256),
    [anon_sym_postfix] = ACTIONS(3256),
    [anon_sym_AT] = ACTIONS(3258),
    [anon_sym_override] = ACTIONS(3256),
    [anon_sym_convenience] = ACTIONS(3256),
    [anon_sym_required] = ACTIONS(3256),
    [anon_sym_nonisolated] = ACTIONS(3256),
    [anon_sym_public] = ACTIONS(3256),
    [anon_sym_private] = ACTIONS(3256),
    [anon_sym_internal] = ACTIONS(3256),
    [anon_sym_fileprivate] = ACTIONS(3256),
    [anon_sym_open] = ACTIONS(3256),
    [anon_sym_mutating] = ACTIONS(3256),
    [anon_sym_nonmutating] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(3256),
    [anon_sym_dynamic] = ACTIONS(3256),
    [anon_sym_optional] = ACTIONS(3256),
    [anon_sym_distributed] = ACTIONS(3256),
    [anon_sym_final] = ACTIONS(3256),
    [anon_sym_inout] = ACTIONS(3256),
    [anon_sym_ATescaping] = ACTIONS(3256),
    [anon_sym_ATautoclosure] = ACTIONS(3256),
    [anon_sym_weak] = ACTIONS(3256),
    [anon_sym_unowned] = ACTIONS(3258),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3256),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3256),
    [anon_sym_borrowing] = ACTIONS(3256),
    [anon_sym_consuming] = ACTIONS(3256),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3256),
    [sym__explicit_semi] = ACTIONS(3256),
    [sym__dot_custom] = ACTIONS(3256),
    [sym__conjunction_operator_custom] = ACTIONS(3256),
    [sym__disjunction_operator_custom] = ACTIONS(3256),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3256),
    [sym__eq_custom] = ACTIONS(3256),
    [sym__eq_eq_custom] = ACTIONS(3256),
    [sym__plus_then_ws] = ACTIONS(3256),
    [sym__minus_then_ws] = ACTIONS(3256),
    [sym__bang_custom] = ACTIONS(3256),
    [sym_default_keyword] = ACTIONS(3256),
    [sym__as_custom] = ACTIONS(3256),
    [sym__as_quest_custom] = ACTIONS(3256),
    [sym__as_bang_custom] = ACTIONS(3256),
    [sym__custom_operator] = ACTIONS(3256),
  },
  [1218] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3332),
    [anon_sym_package] = ACTIONS(3332),
    [anon_sym_COMMA] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(3332),
    [anon_sym_LBRACK] = ACTIONS(3332),
    [anon_sym_QMARK] = ACTIONS(3334),
    [anon_sym_QMARK2] = ACTIONS(3332),
    [anon_sym_AMP] = ACTIONS(3332),
    [aux_sym_custom_operator_token1] = ACTIONS(3332),
    [anon_sym_LT] = ACTIONS(3334),
    [anon_sym_GT] = ACTIONS(3334),
    [anon_sym_LBRACE] = ACTIONS(3332),
    [anon_sym_CARET_LBRACE] = ACTIONS(3332),
    [anon_sym_RBRACE] = ACTIONS(3332),
    [anon_sym_case] = ACTIONS(3332),
    [anon_sym_fallthrough] = ACTIONS(3332),
    [anon_sym_PLUS_EQ] = ACTIONS(3332),
    [anon_sym_DASH_EQ] = ACTIONS(3332),
    [anon_sym_STAR_EQ] = ACTIONS(3332),
    [anon_sym_SLASH_EQ] = ACTIONS(3332),
    [anon_sym_PERCENT_EQ] = ACTIONS(3332),
    [anon_sym_BANG_EQ] = ACTIONS(3334),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3332),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3332),
    [anon_sym_LT_EQ] = ACTIONS(3332),
    [anon_sym_GT_EQ] = ACTIONS(3332),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3332),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3332),
    [anon_sym_is] = ACTIONS(3332),
    [anon_sym_PLUS] = ACTIONS(3334),
    [anon_sym_DASH] = ACTIONS(3334),
    [anon_sym_STAR] = ACTIONS(3334),
    [anon_sym_SLASH] = ACTIONS(3334),
    [anon_sym_PERCENT] = ACTIONS(3334),
    [anon_sym_PLUS_PLUS] = ACTIONS(3332),
    [anon_sym_DASH_DASH] = ACTIONS(3332),
    [anon_sym_PIPE] = ACTIONS(3332),
    [anon_sym_CARET] = ACTIONS(3334),
    [anon_sym_LT_LT] = ACTIONS(3332),
    [anon_sym_GT_GT] = ACTIONS(3332),
    [anon_sym_class] = ACTIONS(3332),
    [anon_sym_BANG2] = ACTIONS(3334),
    [anon_sym_prefix] = ACTIONS(3332),
    [anon_sym_infix] = ACTIONS(3332),
    [anon_sym_postfix] = ACTIONS(3332),
    [anon_sym_AT] = ACTIONS(3334),
    [anon_sym_override] = ACTIONS(3332),
    [anon_sym_convenience] = ACTIONS(3332),
    [anon_sym_required] = ACTIONS(3332),
    [anon_sym_nonisolated] = ACTIONS(3332),
    [anon_sym_public] = ACTIONS(3332),
    [anon_sym_private] = ACTIONS(3332),
    [anon_sym_internal] = ACTIONS(3332),
    [anon_sym_fileprivate] = ACTIONS(3332),
    [anon_sym_open] = ACTIONS(3332),
    [anon_sym_mutating] = ACTIONS(3332),
    [anon_sym_nonmutating] = ACTIONS(3332),
    [anon_sym_static] = ACTIONS(3332),
    [anon_sym_dynamic] = ACTIONS(3332),
    [anon_sym_optional] = ACTIONS(3332),
    [anon_sym_distributed] = ACTIONS(3332),
    [anon_sym_final] = ACTIONS(3332),
    [anon_sym_inout] = ACTIONS(3332),
    [anon_sym_ATescaping] = ACTIONS(3332),
    [anon_sym_ATautoclosure] = ACTIONS(3332),
    [anon_sym_weak] = ACTIONS(3332),
    [anon_sym_unowned] = ACTIONS(3334),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3332),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3332),
    [anon_sym_borrowing] = ACTIONS(3332),
    [anon_sym_consuming] = ACTIONS(3332),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3332),
    [sym__explicit_semi] = ACTIONS(3332),
    [sym__dot_custom] = ACTIONS(3332),
    [sym__conjunction_operator_custom] = ACTIONS(3332),
    [sym__disjunction_operator_custom] = ACTIONS(3332),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3332),
    [sym__eq_custom] = ACTIONS(3332),
    [sym__eq_eq_custom] = ACTIONS(3332),
    [sym__plus_then_ws] = ACTIONS(3332),
    [sym__minus_then_ws] = ACTIONS(3332),
    [sym__bang_custom] = ACTIONS(3332),
    [sym_default_keyword] = ACTIONS(3332),
    [sym__as_custom] = ACTIONS(3332),
    [sym__as_quest_custom] = ACTIONS(3332),
    [sym__as_bang_custom] = ACTIONS(3332),
    [sym__custom_operator] = ACTIONS(3332),
  },
  [1219] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3282),
    [anon_sym_package] = ACTIONS(3282),
    [anon_sym_COMMA] = ACTIONS(3282),
    [anon_sym_LPAREN] = ACTIONS(3282),
    [anon_sym_LBRACK] = ACTIONS(3282),
    [anon_sym_QMARK] = ACTIONS(3285),
    [anon_sym_QMARK2] = ACTIONS(3282),
    [anon_sym_AMP] = ACTIONS(3282),
    [aux_sym_custom_operator_token1] = ACTIONS(3282),
    [anon_sym_LT] = ACTIONS(3285),
    [anon_sym_GT] = ACTIONS(3285),
    [anon_sym_LBRACE] = ACTIONS(3282),
    [anon_sym_CARET_LBRACE] = ACTIONS(3282),
    [anon_sym_RBRACE] = ACTIONS(3282),
    [anon_sym_case] = ACTIONS(3282),
    [anon_sym_fallthrough] = ACTIONS(3282),
    [anon_sym_PLUS_EQ] = ACTIONS(3282),
    [anon_sym_DASH_EQ] = ACTIONS(3282),
    [anon_sym_STAR_EQ] = ACTIONS(3282),
    [anon_sym_SLASH_EQ] = ACTIONS(3282),
    [anon_sym_PERCENT_EQ] = ACTIONS(3282),
    [anon_sym_BANG_EQ] = ACTIONS(3285),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3282),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3282),
    [anon_sym_LT_EQ] = ACTIONS(3282),
    [anon_sym_GT_EQ] = ACTIONS(3282),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3282),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3282),
    [anon_sym_is] = ACTIONS(3282),
    [anon_sym_PLUS] = ACTIONS(3285),
    [anon_sym_DASH] = ACTIONS(3285),
    [anon_sym_STAR] = ACTIONS(3285),
    [anon_sym_SLASH] = ACTIONS(3285),
    [anon_sym_PERCENT] = ACTIONS(3285),
    [anon_sym_PLUS_PLUS] = ACTIONS(3282),
    [anon_sym_DASH_DASH] = ACTIONS(3282),
    [anon_sym_PIPE] = ACTIONS(3282),
    [anon_sym_CARET] = ACTIONS(3285),
    [anon_sym_LT_LT] = ACTIONS(3282),
    [anon_sym_GT_GT] = ACTIONS(3282),
    [anon_sym_class] = ACTIONS(3282),
    [anon_sym_BANG2] = ACTIONS(3285),
    [anon_sym_prefix] = ACTIONS(3282),
    [anon_sym_infix] = ACTIONS(3282),
    [anon_sym_postfix] = ACTIONS(3282),
    [anon_sym_AT] = ACTIONS(3285),
    [anon_sym_override] = ACTIONS(3282),
    [anon_sym_convenience] = ACTIONS(3282),
    [anon_sym_required] = ACTIONS(3282),
    [anon_sym_nonisolated] = ACTIONS(3282),
    [anon_sym_public] = ACTIONS(3282),
    [anon_sym_private] = ACTIONS(3282),
    [anon_sym_internal] = ACTIONS(3282),
    [anon_sym_fileprivate] = ACTIONS(3282),
    [anon_sym_open] = ACTIONS(3282),
    [anon_sym_mutating] = ACTIONS(3282),
    [anon_sym_nonmutating] = ACTIONS(3282),
    [anon_sym_static] = ACTIONS(3282),
    [anon_sym_dynamic] = ACTIONS(3282),
    [anon_sym_optional] = ACTIONS(3282),
    [anon_sym_distributed] = ACTIONS(3282),
    [anon_sym_final] = ACTIONS(3282),
    [anon_sym_inout] = ACTIONS(3282),
    [anon_sym_ATescaping] = ACTIONS(3282),
    [anon_sym_ATautoclosure] = ACTIONS(3282),
    [anon_sym_weak] = ACTIONS(3282),
    [anon_sym_unowned] = ACTIONS(3285),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3282),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3282),
    [anon_sym_borrowing] = ACTIONS(3282),
    [anon_sym_consuming] = ACTIONS(3282),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3282),
    [sym__explicit_semi] = ACTIONS(3282),
    [sym__dot_custom] = ACTIONS(3282),
    [sym__conjunction_operator_custom] = ACTIONS(3282),
    [sym__disjunction_operator_custom] = ACTIONS(3282),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3282),
    [sym__eq_custom] = ACTIONS(3282),
    [sym__eq_eq_custom] = ACTIONS(3282),
    [sym__plus_then_ws] = ACTIONS(3282),
    [sym__minus_then_ws] = ACTIONS(3282),
    [sym__bang_custom] = ACTIONS(3282),
    [sym_default_keyword] = ACTIONS(3282),
    [sym__as_custom] = ACTIONS(3282),
    [sym__as_quest_custom] = ACTIONS(3282),
    [sym__as_bang_custom] = ACTIONS(3282),
    [sym__custom_operator] = ACTIONS(3282),
  },
  [1220] = {
    [sym_simple_identifier] = STATE(1980),
    [sym__contextual_simple_identifier] = STATE(2092),
    [sym__unannotated_type] = STATE(1833),
    [sym_user_type] = STATE(1915),
    [sym__simple_user_type] = STATE(1909),
    [sym_tuple_type] = STATE(1750),
    [sym_function_type] = STATE(1833),
    [sym_array_type] = STATE(1915),
    [sym_dictionary_type] = STATE(1915),
    [sym_optional_type] = STATE(1833),
    [sym_metatype] = STATE(1833),
    [sym_opaque_type] = STATE(1833),
    [sym_existential_type] = STATE(1833),
    [sym_type_parameter_pack] = STATE(1833),
    [sym_type_pack_expansion] = STATE(1833),
    [sym_protocol_composition_type] = STATE(1833),
    [sym__parenthesized_type] = STATE(2097),
    [sym__parameter_ownership_modifier] = STATE(2092),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(3980),
    [aux_sym_simple_identifier_token2] = ACTIONS(3982),
    [aux_sym_simple_identifier_token3] = ACTIONS(3982),
    [aux_sym_simple_identifier_token4] = ACTIONS(3982),
    [anon_sym_actor] = ACTIONS(3980),
    [anon_sym_async] = ACTIONS(3980),
    [anon_sym_each] = ACTIONS(3984),
    [anon_sym_lazy] = ACTIONS(3980),
    [anon_sym_repeat] = ACTIONS(3986),
    [anon_sym_package] = ACTIONS(3980),
    [anon_sym_COMMA] = ACTIONS(631),
    [anon_sym_LPAREN] = ACTIONS(3988),
    [anon_sym_LBRACK] = ACTIONS(3991),
    [anon_sym_DOT] = ACTIONS(637),
    [anon_sym_QMARK] = ACTIONS(637),
    [anon_sym_QMARK2] = ACTIONS(631),
    [anon_sym_some] = ACTIONS(3994),
    [anon_sym_any] = ACTIONS(3996),
    [anon_sym_AMP] = ACTIONS(631),
    [aux_sym_custom_operator_token1] = ACTIONS(631),
    [anon_sym_LT] = ACTIONS(637),
    [anon_sym_GT] = ACTIONS(637),
    [anon_sym_LBRACE] = ACTIONS(631),
    [anon_sym_CARET_LBRACE] = ACTIONS(631),
    [anon_sym_PLUS_EQ] = ACTIONS(631),
    [anon_sym_DASH_EQ] = ACTIONS(631),
    [anon_sym_STAR_EQ] = ACTIONS(631),
    [anon_sym_SLASH_EQ] = ACTIONS(631),
    [anon_sym_PERCENT_EQ] = ACTIONS(631),
    [anon_sym_BANG_EQ] = ACTIONS(637),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(631),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(631),
    [anon_sym_LT_EQ] = ACTIONS(631),
    [anon_sym_GT_EQ] = ACTIONS(631),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(631),
    [anon_sym_DOT_DOT_LT] = ACTIONS(631),
    [anon_sym_is] = ACTIONS(637),
    [anon_sym_PLUS] = ACTIONS(637),
    [anon_sym_DASH] = ACTIONS(637),
    [anon_sym_STAR] = ACTIONS(637),
    [anon_sym_SLASH] = ACTIONS(637),
    [anon_sym_PERCENT] = ACTIONS(637),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PIPE] = ACTIONS(631),
    [anon_sym_CARET] = ACTIONS(637),
    [anon_sym_LT_LT] = ACTIONS(631),
    [anon_sym_GT_GT] = ACTIONS(631),
    [anon_sym_BANG2] = ACTIONS(637),
    [anon_sym_borrowing] = ACTIONS(3980),
    [anon_sym_consuming] = ACTIONS(3980),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(631),
    [sym__dot_custom] = ACTIONS(631),
    [sym__conjunction_operator_custom] = ACTIONS(631),
    [sym__disjunction_operator_custom] = ACTIONS(631),
    [sym__nil_coalescing_operator_custom] = ACTIONS(631),
    [sym__eq_custom] = ACTIONS(631),
    [sym__eq_eq_custom] = ACTIONS(631),
    [sym__plus_then_ws] = ACTIONS(631),
    [sym__minus_then_ws] = ACTIONS(631),
    [sym__bang_custom] = ACTIONS(631),
    [sym__throws_keyword] = ACTIONS(631),
    [sym__rethrows_keyword] = ACTIONS(631),
    [sym_else] = ACTIONS(631),
    [sym__as_custom] = ACTIONS(631),
    [sym__as_quest_custom] = ACTIONS(631),
    [sym__as_bang_custom] = ACTIONS(631),
    [sym__async_keyword_custom] = ACTIONS(631),
    [sym__custom_operator] = ACTIONS(631),
  },
  [1221] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(3998),
    [aux_sym_simple_identifier_token2] = ACTIONS(4000),
    [aux_sym_simple_identifier_token3] = ACTIONS(4000),
    [aux_sym_simple_identifier_token4] = ACTIONS(4000),
    [anon_sym_actor] = ACTIONS(3998),
    [anon_sym_async] = ACTIONS(3998),
    [anon_sym_each] = ACTIONS(3998),
    [anon_sym_lazy] = ACTIONS(3998),
    [anon_sym_repeat] = ACTIONS(3998),
    [anon_sym_package] = ACTIONS(3998),
    [anon_sym_nil] = ACTIONS(3998),
    [sym_real_literal] = ACTIONS(4000),
    [sym_integer_literal] = ACTIONS(3998),
    [sym_hex_literal] = ACTIONS(4000),
    [sym_oct_literal] = ACTIONS(4000),
    [sym_bin_literal] = ACTIONS(4000),
    [anon_sym_true] = ACTIONS(3998),
    [anon_sym_false] = ACTIONS(3998),
    [anon_sym_DQUOTE] = ACTIONS(3998),
    [anon_sym_BSLASH] = ACTIONS(4000),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4000),
    [sym__extended_regex_literal] = ACTIONS(4000),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(4000),
    [sym__oneline_regex_literal] = ACTIONS(3998),
    [anon_sym_LPAREN] = ACTIONS(4000),
    [anon_sym_LBRACK] = ACTIONS(4000),
    [anon_sym_AMP] = ACTIONS(4000),
    [anon_sym_if] = ACTIONS(3998),
    [anon_sym_switch] = ACTIONS(3998),
    [anon_sym_POUNDselector] = ACTIONS(4000),
    [aux_sym_custom_operator_token1] = ACTIONS(4000),
    [anon_sym_LT] = ACTIONS(3998),
    [anon_sym_GT] = ACTIONS(3998),
    [anon_sym_await] = ACTIONS(3998),
    [anon_sym_POUNDfile] = ACTIONS(3998),
    [anon_sym_POUNDfileID] = ACTIONS(4000),
    [anon_sym_POUNDfilePath] = ACTIONS(4000),
    [anon_sym_POUNDline] = ACTIONS(4000),
    [anon_sym_POUNDcolumn] = ACTIONS(4000),
    [anon_sym_POUNDfunction] = ACTIONS(4000),
    [anon_sym_POUNDdsohandle] = ACTIONS(4000),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(4000),
    [anon_sym_POUNDfileLiteral] = ACTIONS(4000),
    [anon_sym_POUNDimageLiteral] = ACTIONS(4000),
    [anon_sym_LBRACE] = ACTIONS(4000),
    [anon_sym_CARET_LBRACE] = ACTIONS(4000),
    [anon_sym_self] = ACTIONS(3998),
    [anon_sym_super] = ACTIONS(3998),
    [anon_sym_POUNDkeyPath] = ACTIONS(4000),
    [anon_sym_try] = ACTIONS(3998),
    [anon_sym_PLUS_EQ] = ACTIONS(4000),
    [anon_sym_DASH_EQ] = ACTIONS(4000),
    [anon_sym_STAR_EQ] = ACTIONS(4000),
    [anon_sym_SLASH_EQ] = ACTIONS(4000),
    [anon_sym_PERCENT_EQ] = ACTIONS(4000),
    [anon_sym_BANG_EQ] = ACTIONS(3998),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4000),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4000),
    [anon_sym_LT_EQ] = ACTIONS(4000),
    [anon_sym_GT_EQ] = ACTIONS(4000),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4000),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4000),
    [anon_sym_PLUS] = ACTIONS(3998),
    [anon_sym_DASH] = ACTIONS(3998),
    [anon_sym_STAR] = ACTIONS(3998),
    [anon_sym_SLASH] = ACTIONS(3998),
    [anon_sym_PERCENT] = ACTIONS(3998),
    [anon_sym_PLUS_PLUS] = ACTIONS(4000),
    [anon_sym_DASH_DASH] = ACTIONS(4000),
    [anon_sym_TILDE] = ACTIONS(4000),
    [anon_sym_PIPE] = ACTIONS(4000),
    [anon_sym_CARET] = ACTIONS(3998),
    [anon_sym_LT_LT] = ACTIONS(4000),
    [anon_sym_GT_GT] = ACTIONS(4000),
    [anon_sym_BANG2] = ACTIONS(3998),
    [anon_sym_AT] = ACTIONS(4000),
    [anon_sym_borrowing] = ACTIONS(3998),
    [anon_sym_consuming] = ACTIONS(3998),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(4000),
    [sym_raw_str_end_part] = ACTIONS(4000),
    [sym__dot_custom] = ACTIONS(4000),
    [sym__eq_custom] = ACTIONS(4000),
    [sym__eq_eq_custom] = ACTIONS(4000),
    [sym__plus_then_ws] = ACTIONS(4000),
    [sym__minus_then_ws] = ACTIONS(4000),
    [sym__bang_custom] = ACTIONS(4000),
    [sym__custom_operator] = ACTIONS(4000),
  },
  [1222] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(4002),
    [aux_sym_simple_identifier_token2] = ACTIONS(4004),
    [aux_sym_simple_identifier_token3] = ACTIONS(4004),
    [aux_sym_simple_identifier_token4] = ACTIONS(4004),
    [anon_sym_actor] = ACTIONS(4002),
    [anon_sym_async] = ACTIONS(4002),
    [anon_sym_each] = ACTIONS(4002),
    [anon_sym_lazy] = ACTIONS(4002),
    [anon_sym_repeat] = ACTIONS(4002),
    [anon_sym_package] = ACTIONS(4002),
    [anon_sym_nil] = ACTIONS(4002),
    [sym_real_literal] = ACTIONS(4004),
    [sym_integer_literal] = ACTIONS(4002),
    [sym_hex_literal] = ACTIONS(4004),
    [sym_oct_literal] = ACTIONS(4004),
    [sym_bin_literal] = ACTIONS(4004),
    [anon_sym_true] = ACTIONS(4002),
    [anon_sym_false] = ACTIONS(4002),
    [anon_sym_DQUOTE] = ACTIONS(4002),
    [anon_sym_BSLASH] = ACTIONS(4004),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4004),
    [sym__extended_regex_literal] = ACTIONS(4004),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(4004),
    [sym__oneline_regex_literal] = ACTIONS(4002),
    [anon_sym_LPAREN] = ACTIONS(4004),
    [anon_sym_LBRACK] = ACTIONS(4004),
    [anon_sym_AMP] = ACTIONS(4004),
    [anon_sym_if] = ACTIONS(4002),
    [anon_sym_switch] = ACTIONS(4002),
    [anon_sym_POUNDselector] = ACTIONS(4004),
    [aux_sym_custom_operator_token1] = ACTIONS(4004),
    [anon_sym_LT] = ACTIONS(4002),
    [anon_sym_GT] = ACTIONS(4002),
    [anon_sym_await] = ACTIONS(4002),
    [anon_sym_POUNDfile] = ACTIONS(4002),
    [anon_sym_POUNDfileID] = ACTIONS(4004),
    [anon_sym_POUNDfilePath] = ACTIONS(4004),
    [anon_sym_POUNDline] = ACTIONS(4004),
    [anon_sym_POUNDcolumn] = ACTIONS(4004),
    [anon_sym_POUNDfunction] = ACTIONS(4004),
    [anon_sym_POUNDdsohandle] = ACTIONS(4004),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(4004),
    [anon_sym_POUNDfileLiteral] = ACTIONS(4004),
    [anon_sym_POUNDimageLiteral] = ACTIONS(4004),
    [anon_sym_LBRACE] = ACTIONS(4004),
    [anon_sym_CARET_LBRACE] = ACTIONS(4004),
    [anon_sym_self] = ACTIONS(4002),
    [anon_sym_super] = ACTIONS(4002),
    [anon_sym_POUNDkeyPath] = ACTIONS(4004),
    [anon_sym_try] = ACTIONS(4002),
    [anon_sym_PLUS_EQ] = ACTIONS(4004),
    [anon_sym_DASH_EQ] = ACTIONS(4004),
    [anon_sym_STAR_EQ] = ACTIONS(4004),
    [anon_sym_SLASH_EQ] = ACTIONS(4004),
    [anon_sym_PERCENT_EQ] = ACTIONS(4004),
    [anon_sym_BANG_EQ] = ACTIONS(4002),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4004),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4004),
    [anon_sym_LT_EQ] = ACTIONS(4004),
    [anon_sym_GT_EQ] = ACTIONS(4004),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4004),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4004),
    [anon_sym_PLUS] = ACTIONS(4002),
    [anon_sym_DASH] = ACTIONS(4002),
    [anon_sym_STAR] = ACTIONS(4002),
    [anon_sym_SLASH] = ACTIONS(4002),
    [anon_sym_PERCENT] = ACTIONS(4002),
    [anon_sym_PLUS_PLUS] = ACTIONS(4004),
    [anon_sym_DASH_DASH] = ACTIONS(4004),
    [anon_sym_TILDE] = ACTIONS(4004),
    [anon_sym_PIPE] = ACTIONS(4004),
    [anon_sym_CARET] = ACTIONS(4002),
    [anon_sym_LT_LT] = ACTIONS(4004),
    [anon_sym_GT_GT] = ACTIONS(4004),
    [anon_sym_BANG2] = ACTIONS(4002),
    [anon_sym_AT] = ACTIONS(4004),
    [anon_sym_borrowing] = ACTIONS(4002),
    [anon_sym_consuming] = ACTIONS(4002),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(4004),
    [sym_raw_str_end_part] = ACTIONS(4004),
    [sym__dot_custom] = ACTIONS(4004),
    [sym__eq_custom] = ACTIONS(4004),
    [sym__eq_eq_custom] = ACTIONS(4004),
    [sym__plus_then_ws] = ACTIONS(4004),
    [sym__minus_then_ws] = ACTIONS(4004),
    [sym__bang_custom] = ACTIONS(4004),
    [sym__custom_operator] = ACTIONS(4004),
  },
  [1223] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3136),
    [anon_sym_package] = ACTIONS(3136),
    [anon_sym_COMMA] = ACTIONS(3136),
    [anon_sym_LPAREN] = ACTIONS(3136),
    [anon_sym_LBRACK] = ACTIONS(3136),
    [anon_sym_QMARK] = ACTIONS(3138),
    [anon_sym_QMARK2] = ACTIONS(3136),
    [anon_sym_AMP] = ACTIONS(3136),
    [aux_sym_custom_operator_token1] = ACTIONS(3136),
    [anon_sym_LT] = ACTIONS(3138),
    [anon_sym_GT] = ACTIONS(3138),
    [anon_sym_LBRACE] = ACTIONS(3136),
    [anon_sym_CARET_LBRACE] = ACTIONS(3136),
    [anon_sym_RBRACE] = ACTIONS(3136),
    [anon_sym_case] = ACTIONS(3136),
    [anon_sym_fallthrough] = ACTIONS(3136),
    [anon_sym_PLUS_EQ] = ACTIONS(3136),
    [anon_sym_DASH_EQ] = ACTIONS(3136),
    [anon_sym_STAR_EQ] = ACTIONS(3136),
    [anon_sym_SLASH_EQ] = ACTIONS(3136),
    [anon_sym_PERCENT_EQ] = ACTIONS(3136),
    [anon_sym_BANG_EQ] = ACTIONS(3138),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3136),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3136),
    [anon_sym_LT_EQ] = ACTIONS(3136),
    [anon_sym_GT_EQ] = ACTIONS(3136),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3136),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3136),
    [anon_sym_is] = ACTIONS(3136),
    [anon_sym_PLUS] = ACTIONS(3138),
    [anon_sym_DASH] = ACTIONS(3138),
    [anon_sym_STAR] = ACTIONS(3138),
    [anon_sym_SLASH] = ACTIONS(3138),
    [anon_sym_PERCENT] = ACTIONS(3138),
    [anon_sym_PLUS_PLUS] = ACTIONS(3136),
    [anon_sym_DASH_DASH] = ACTIONS(3136),
    [anon_sym_PIPE] = ACTIONS(3136),
    [anon_sym_CARET] = ACTIONS(3138),
    [anon_sym_LT_LT] = ACTIONS(3136),
    [anon_sym_GT_GT] = ACTIONS(3136),
    [anon_sym_class] = ACTIONS(3136),
    [anon_sym_BANG2] = ACTIONS(3138),
    [anon_sym_prefix] = ACTIONS(3136),
    [anon_sym_infix] = ACTIONS(3136),
    [anon_sym_postfix] = ACTIONS(3136),
    [anon_sym_AT] = ACTIONS(3138),
    [anon_sym_override] = ACTIONS(3136),
    [anon_sym_convenience] = ACTIONS(3136),
    [anon_sym_required] = ACTIONS(3136),
    [anon_sym_nonisolated] = ACTIONS(3136),
    [anon_sym_public] = ACTIONS(3136),
    [anon_sym_private] = ACTIONS(3136),
    [anon_sym_internal] = ACTIONS(3136),
    [anon_sym_fileprivate] = ACTIONS(3136),
    [anon_sym_open] = ACTIONS(3136),
    [anon_sym_mutating] = ACTIONS(3136),
    [anon_sym_nonmutating] = ACTIONS(3136),
    [anon_sym_static] = ACTIONS(3136),
    [anon_sym_dynamic] = ACTIONS(3136),
    [anon_sym_optional] = ACTIONS(3136),
    [anon_sym_distributed] = ACTIONS(3136),
    [anon_sym_final] = ACTIONS(3136),
    [anon_sym_inout] = ACTIONS(3136),
    [anon_sym_ATescaping] = ACTIONS(3136),
    [anon_sym_ATautoclosure] = ACTIONS(3136),
    [anon_sym_weak] = ACTIONS(3136),
    [anon_sym_unowned] = ACTIONS(3138),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3136),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3136),
    [anon_sym_borrowing] = ACTIONS(3136),
    [anon_sym_consuming] = ACTIONS(3136),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3136),
    [sym__explicit_semi] = ACTIONS(3136),
    [sym__dot_custom] = ACTIONS(3136),
    [sym__conjunction_operator_custom] = ACTIONS(3136),
    [sym__disjunction_operator_custom] = ACTIONS(3136),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3136),
    [sym__eq_custom] = ACTIONS(3136),
    [sym__eq_eq_custom] = ACTIONS(3136),
    [sym__plus_then_ws] = ACTIONS(3136),
    [sym__minus_then_ws] = ACTIONS(3136),
    [sym__bang_custom] = ACTIONS(3136),
    [sym_default_keyword] = ACTIONS(3136),
    [sym__as_custom] = ACTIONS(3136),
    [sym__as_quest_custom] = ACTIONS(3136),
    [sym__as_bang_custom] = ACTIONS(3136),
    [sym__custom_operator] = ACTIONS(3136),
  },
  [1224] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(425),
    [anon_sym_package] = ACTIONS(425),
    [anon_sym_COMMA] = ACTIONS(425),
    [anon_sym_LPAREN] = ACTIONS(425),
    [anon_sym_LBRACK] = ACTIONS(425),
    [anon_sym_QMARK] = ACTIONS(407),
    [anon_sym_QMARK2] = ACTIONS(425),
    [anon_sym_AMP] = ACTIONS(425),
    [aux_sym_custom_operator_token1] = ACTIONS(425),
    [anon_sym_LT] = ACTIONS(407),
    [anon_sym_GT] = ACTIONS(407),
    [anon_sym_LBRACE] = ACTIONS(425),
    [anon_sym_CARET_LBRACE] = ACTIONS(425),
    [anon_sym_RBRACE] = ACTIONS(425),
    [anon_sym_case] = ACTIONS(425),
    [anon_sym_fallthrough] = ACTIONS(425),
    [anon_sym_PLUS_EQ] = ACTIONS(425),
    [anon_sym_DASH_EQ] = ACTIONS(425),
    [anon_sym_STAR_EQ] = ACTIONS(425),
    [anon_sym_SLASH_EQ] = ACTIONS(425),
    [anon_sym_PERCENT_EQ] = ACTIONS(425),
    [anon_sym_BANG_EQ] = ACTIONS(407),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(425),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(425),
    [anon_sym_LT_EQ] = ACTIONS(425),
    [anon_sym_GT_EQ] = ACTIONS(425),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(425),
    [anon_sym_DOT_DOT_LT] = ACTIONS(425),
    [anon_sym_is] = ACTIONS(425),
    [anon_sym_PLUS] = ACTIONS(407),
    [anon_sym_DASH] = ACTIONS(407),
    [anon_sym_STAR] = ACTIONS(407),
    [anon_sym_SLASH] = ACTIONS(407),
    [anon_sym_PERCENT] = ACTIONS(407),
    [anon_sym_PLUS_PLUS] = ACTIONS(425),
    [anon_sym_DASH_DASH] = ACTIONS(425),
    [anon_sym_PIPE] = ACTIONS(425),
    [anon_sym_CARET] = ACTIONS(407),
    [anon_sym_LT_LT] = ACTIONS(425),
    [anon_sym_GT_GT] = ACTIONS(425),
    [anon_sym_class] = ACTIONS(425),
    [anon_sym_BANG2] = ACTIONS(407),
    [anon_sym_prefix] = ACTIONS(425),
    [anon_sym_infix] = ACTIONS(425),
    [anon_sym_postfix] = ACTIONS(425),
    [anon_sym_AT] = ACTIONS(407),
    [anon_sym_override] = ACTIONS(425),
    [anon_sym_convenience] = ACTIONS(425),
    [anon_sym_required] = ACTIONS(425),
    [anon_sym_nonisolated] = ACTIONS(425),
    [anon_sym_public] = ACTIONS(425),
    [anon_sym_private] = ACTIONS(425),
    [anon_sym_internal] = ACTIONS(425),
    [anon_sym_fileprivate] = ACTIONS(425),
    [anon_sym_open] = ACTIONS(425),
    [anon_sym_mutating] = ACTIONS(425),
    [anon_sym_nonmutating] = ACTIONS(425),
    [anon_sym_static] = ACTIONS(425),
    [anon_sym_dynamic] = ACTIONS(425),
    [anon_sym_optional] = ACTIONS(425),
    [anon_sym_distributed] = ACTIONS(425),
    [anon_sym_final] = ACTIONS(425),
    [anon_sym_inout] = ACTIONS(425),
    [anon_sym_ATescaping] = ACTIONS(425),
    [anon_sym_ATautoclosure] = ACTIONS(425),
    [anon_sym_weak] = ACTIONS(425),
    [anon_sym_unowned] = ACTIONS(407),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(425),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(425),
    [anon_sym_borrowing] = ACTIONS(425),
    [anon_sym_consuming] = ACTIONS(425),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(425),
    [sym__explicit_semi] = ACTIONS(425),
    [sym__dot_custom] = ACTIONS(425),
    [sym__conjunction_operator_custom] = ACTIONS(425),
    [sym__disjunction_operator_custom] = ACTIONS(425),
    [sym__nil_coalescing_operator_custom] = ACTIONS(425),
    [sym__eq_custom] = ACTIONS(425),
    [sym__eq_eq_custom] = ACTIONS(425),
    [sym__plus_then_ws] = ACTIONS(425),
    [sym__minus_then_ws] = ACTIONS(425),
    [sym__bang_custom] = ACTIONS(425),
    [sym_default_keyword] = ACTIONS(425),
    [sym__as_custom] = ACTIONS(425),
    [sym__as_quest_custom] = ACTIONS(425),
    [sym__as_bang_custom] = ACTIONS(425),
    [sym__custom_operator] = ACTIONS(425),
  },
  [1225] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3226),
    [anon_sym_package] = ACTIONS(3226),
    [anon_sym_COMMA] = ACTIONS(3226),
    [anon_sym_LPAREN] = ACTIONS(3226),
    [anon_sym_LBRACK] = ACTIONS(3226),
    [anon_sym_QMARK] = ACTIONS(3228),
    [anon_sym_QMARK2] = ACTIONS(3226),
    [anon_sym_AMP] = ACTIONS(3226),
    [aux_sym_custom_operator_token1] = ACTIONS(3226),
    [anon_sym_LT] = ACTIONS(3228),
    [anon_sym_GT] = ACTIONS(3228),
    [anon_sym_LBRACE] = ACTIONS(3226),
    [anon_sym_CARET_LBRACE] = ACTIONS(3226),
    [anon_sym_RBRACE] = ACTIONS(3226),
    [anon_sym_case] = ACTIONS(3226),
    [anon_sym_fallthrough] = ACTIONS(3226),
    [anon_sym_PLUS_EQ] = ACTIONS(3226),
    [anon_sym_DASH_EQ] = ACTIONS(3226),
    [anon_sym_STAR_EQ] = ACTIONS(3226),
    [anon_sym_SLASH_EQ] = ACTIONS(3226),
    [anon_sym_PERCENT_EQ] = ACTIONS(3226),
    [anon_sym_BANG_EQ] = ACTIONS(3228),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3226),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3226),
    [anon_sym_LT_EQ] = ACTIONS(3226),
    [anon_sym_GT_EQ] = ACTIONS(3226),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3226),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3226),
    [anon_sym_is] = ACTIONS(3226),
    [anon_sym_PLUS] = ACTIONS(3228),
    [anon_sym_DASH] = ACTIONS(3228),
    [anon_sym_STAR] = ACTIONS(3228),
    [anon_sym_SLASH] = ACTIONS(3228),
    [anon_sym_PERCENT] = ACTIONS(3228),
    [anon_sym_PLUS_PLUS] = ACTIONS(3226),
    [anon_sym_DASH_DASH] = ACTIONS(3226),
    [anon_sym_PIPE] = ACTIONS(3226),
    [anon_sym_CARET] = ACTIONS(3228),
    [anon_sym_LT_LT] = ACTIONS(3226),
    [anon_sym_GT_GT] = ACTIONS(3226),
    [anon_sym_class] = ACTIONS(3226),
    [anon_sym_BANG2] = ACTIONS(3228),
    [anon_sym_prefix] = ACTIONS(3226),
    [anon_sym_infix] = ACTIONS(3226),
    [anon_sym_postfix] = ACTIONS(3226),
    [anon_sym_AT] = ACTIONS(3228),
    [anon_sym_override] = ACTIONS(3226),
    [anon_sym_convenience] = ACTIONS(3226),
    [anon_sym_required] = ACTIONS(3226),
    [anon_sym_nonisolated] = ACTIONS(3226),
    [anon_sym_public] = ACTIONS(3226),
    [anon_sym_private] = ACTIONS(3226),
    [anon_sym_internal] = ACTIONS(3226),
    [anon_sym_fileprivate] = ACTIONS(3226),
    [anon_sym_open] = ACTIONS(3226),
    [anon_sym_mutating] = ACTIONS(3226),
    [anon_sym_nonmutating] = ACTIONS(3226),
    [anon_sym_static] = ACTIONS(3226),
    [anon_sym_dynamic] = ACTIONS(3226),
    [anon_sym_optional] = ACTIONS(3226),
    [anon_sym_distributed] = ACTIONS(3226),
    [anon_sym_final] = ACTIONS(3226),
    [anon_sym_inout] = ACTIONS(3226),
    [anon_sym_ATescaping] = ACTIONS(3226),
    [anon_sym_ATautoclosure] = ACTIONS(3226),
    [anon_sym_weak] = ACTIONS(3226),
    [anon_sym_unowned] = ACTIONS(3228),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3226),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3226),
    [anon_sym_borrowing] = ACTIONS(3226),
    [anon_sym_consuming] = ACTIONS(3226),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3226),
    [sym__explicit_semi] = ACTIONS(3226),
    [sym__dot_custom] = ACTIONS(3226),
    [sym__conjunction_operator_custom] = ACTIONS(3226),
    [sym__disjunction_operator_custom] = ACTIONS(3226),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3226),
    [sym__eq_custom] = ACTIONS(3226),
    [sym__eq_eq_custom] = ACTIONS(3226),
    [sym__plus_then_ws] = ACTIONS(3226),
    [sym__minus_then_ws] = ACTIONS(3226),
    [sym__bang_custom] = ACTIONS(3226),
    [sym_default_keyword] = ACTIONS(3226),
    [sym__as_custom] = ACTIONS(3226),
    [sym__as_quest_custom] = ACTIONS(3226),
    [sym__as_bang_custom] = ACTIONS(3226),
    [sym__custom_operator] = ACTIONS(3226),
  },
  [1226] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3372),
    [anon_sym_package] = ACTIONS(3372),
    [anon_sym_COMMA] = ACTIONS(3372),
    [anon_sym_LPAREN] = ACTIONS(3372),
    [anon_sym_LBRACK] = ACTIONS(3372),
    [anon_sym_QMARK] = ACTIONS(3374),
    [anon_sym_QMARK2] = ACTIONS(3372),
    [anon_sym_AMP] = ACTIONS(3372),
    [aux_sym_custom_operator_token1] = ACTIONS(3372),
    [anon_sym_LT] = ACTIONS(3374),
    [anon_sym_GT] = ACTIONS(3374),
    [anon_sym_LBRACE] = ACTIONS(3372),
    [anon_sym_CARET_LBRACE] = ACTIONS(3372),
    [anon_sym_RBRACE] = ACTIONS(3372),
    [anon_sym_case] = ACTIONS(3372),
    [anon_sym_fallthrough] = ACTIONS(3372),
    [anon_sym_PLUS_EQ] = ACTIONS(3372),
    [anon_sym_DASH_EQ] = ACTIONS(3372),
    [anon_sym_STAR_EQ] = ACTIONS(3372),
    [anon_sym_SLASH_EQ] = ACTIONS(3372),
    [anon_sym_PERCENT_EQ] = ACTIONS(3372),
    [anon_sym_BANG_EQ] = ACTIONS(3374),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3372),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3372),
    [anon_sym_LT_EQ] = ACTIONS(3372),
    [anon_sym_GT_EQ] = ACTIONS(3372),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3372),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3372),
    [anon_sym_is] = ACTIONS(3372),
    [anon_sym_PLUS] = ACTIONS(3374),
    [anon_sym_DASH] = ACTIONS(3374),
    [anon_sym_STAR] = ACTIONS(3374),
    [anon_sym_SLASH] = ACTIONS(3374),
    [anon_sym_PERCENT] = ACTIONS(3374),
    [anon_sym_PLUS_PLUS] = ACTIONS(3372),
    [anon_sym_DASH_DASH] = ACTIONS(3372),
    [anon_sym_PIPE] = ACTIONS(3372),
    [anon_sym_CARET] = ACTIONS(3374),
    [anon_sym_LT_LT] = ACTIONS(3372),
    [anon_sym_GT_GT] = ACTIONS(3372),
    [anon_sym_class] = ACTIONS(3372),
    [anon_sym_BANG2] = ACTIONS(3374),
    [anon_sym_prefix] = ACTIONS(3372),
    [anon_sym_infix] = ACTIONS(3372),
    [anon_sym_postfix] = ACTIONS(3372),
    [anon_sym_AT] = ACTIONS(3374),
    [anon_sym_override] = ACTIONS(3372),
    [anon_sym_convenience] = ACTIONS(3372),
    [anon_sym_required] = ACTIONS(3372),
    [anon_sym_nonisolated] = ACTIONS(3372),
    [anon_sym_public] = ACTIONS(3372),
    [anon_sym_private] = ACTIONS(3372),
    [anon_sym_internal] = ACTIONS(3372),
    [anon_sym_fileprivate] = ACTIONS(3372),
    [anon_sym_open] = ACTIONS(3372),
    [anon_sym_mutating] = ACTIONS(3372),
    [anon_sym_nonmutating] = ACTIONS(3372),
    [anon_sym_static] = ACTIONS(3372),
    [anon_sym_dynamic] = ACTIONS(3372),
    [anon_sym_optional] = ACTIONS(3372),
    [anon_sym_distributed] = ACTIONS(3372),
    [anon_sym_final] = ACTIONS(3372),
    [anon_sym_inout] = ACTIONS(3372),
    [anon_sym_ATescaping] = ACTIONS(3372),
    [anon_sym_ATautoclosure] = ACTIONS(3372),
    [anon_sym_weak] = ACTIONS(3372),
    [anon_sym_unowned] = ACTIONS(3374),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3372),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3372),
    [anon_sym_borrowing] = ACTIONS(3372),
    [anon_sym_consuming] = ACTIONS(3372),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3372),
    [sym__explicit_semi] = ACTIONS(3372),
    [sym__dot_custom] = ACTIONS(3372),
    [sym__conjunction_operator_custom] = ACTIONS(3372),
    [sym__disjunction_operator_custom] = ACTIONS(3372),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3372),
    [sym__eq_custom] = ACTIONS(3372),
    [sym__eq_eq_custom] = ACTIONS(3372),
    [sym__plus_then_ws] = ACTIONS(3372),
    [sym__minus_then_ws] = ACTIONS(3372),
    [sym__bang_custom] = ACTIONS(3372),
    [sym_default_keyword] = ACTIONS(3372),
    [sym__as_custom] = ACTIONS(3372),
    [sym__as_quest_custom] = ACTIONS(3372),
    [sym__as_bang_custom] = ACTIONS(3372),
    [sym__custom_operator] = ACTIONS(3372),
  },
  [1227] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3204),
    [anon_sym_package] = ACTIONS(3204),
    [anon_sym_COMMA] = ACTIONS(3204),
    [anon_sym_LPAREN] = ACTIONS(3204),
    [anon_sym_LBRACK] = ACTIONS(3204),
    [anon_sym_QMARK] = ACTIONS(3206),
    [anon_sym_QMARK2] = ACTIONS(3204),
    [anon_sym_AMP] = ACTIONS(3204),
    [aux_sym_custom_operator_token1] = ACTIONS(3204),
    [anon_sym_LT] = ACTIONS(3206),
    [anon_sym_GT] = ACTIONS(3206),
    [anon_sym_LBRACE] = ACTIONS(3204),
    [anon_sym_CARET_LBRACE] = ACTIONS(3204),
    [anon_sym_RBRACE] = ACTIONS(3204),
    [anon_sym_case] = ACTIONS(3204),
    [anon_sym_fallthrough] = ACTIONS(3204),
    [anon_sym_PLUS_EQ] = ACTIONS(3204),
    [anon_sym_DASH_EQ] = ACTIONS(3204),
    [anon_sym_STAR_EQ] = ACTIONS(3204),
    [anon_sym_SLASH_EQ] = ACTIONS(3204),
    [anon_sym_PERCENT_EQ] = ACTIONS(3204),
    [anon_sym_BANG_EQ] = ACTIONS(3206),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3204),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3204),
    [anon_sym_LT_EQ] = ACTIONS(3204),
    [anon_sym_GT_EQ] = ACTIONS(3204),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3204),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3204),
    [anon_sym_is] = ACTIONS(3204),
    [anon_sym_PLUS] = ACTIONS(3206),
    [anon_sym_DASH] = ACTIONS(3206),
    [anon_sym_STAR] = ACTIONS(3206),
    [anon_sym_SLASH] = ACTIONS(3206),
    [anon_sym_PERCENT] = ACTIONS(3206),
    [anon_sym_PLUS_PLUS] = ACTIONS(3204),
    [anon_sym_DASH_DASH] = ACTIONS(3204),
    [anon_sym_PIPE] = ACTIONS(3204),
    [anon_sym_CARET] = ACTIONS(3206),
    [anon_sym_LT_LT] = ACTIONS(3204),
    [anon_sym_GT_GT] = ACTIONS(3204),
    [anon_sym_class] = ACTIONS(3204),
    [anon_sym_BANG2] = ACTIONS(3206),
    [anon_sym_prefix] = ACTIONS(3204),
    [anon_sym_infix] = ACTIONS(3204),
    [anon_sym_postfix] = ACTIONS(3204),
    [anon_sym_AT] = ACTIONS(3206),
    [anon_sym_override] = ACTIONS(3204),
    [anon_sym_convenience] = ACTIONS(3204),
    [anon_sym_required] = ACTIONS(3204),
    [anon_sym_nonisolated] = ACTIONS(3204),
    [anon_sym_public] = ACTIONS(3204),
    [anon_sym_private] = ACTIONS(3204),
    [anon_sym_internal] = ACTIONS(3204),
    [anon_sym_fileprivate] = ACTIONS(3204),
    [anon_sym_open] = ACTIONS(3204),
    [anon_sym_mutating] = ACTIONS(3204),
    [anon_sym_nonmutating] = ACTIONS(3204),
    [anon_sym_static] = ACTIONS(3204),
    [anon_sym_dynamic] = ACTIONS(3204),
    [anon_sym_optional] = ACTIONS(3204),
    [anon_sym_distributed] = ACTIONS(3204),
    [anon_sym_final] = ACTIONS(3204),
    [anon_sym_inout] = ACTIONS(3204),
    [anon_sym_ATescaping] = ACTIONS(3204),
    [anon_sym_ATautoclosure] = ACTIONS(3204),
    [anon_sym_weak] = ACTIONS(3204),
    [anon_sym_unowned] = ACTIONS(3206),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3204),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3204),
    [anon_sym_borrowing] = ACTIONS(3204),
    [anon_sym_consuming] = ACTIONS(3204),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3204),
    [sym__explicit_semi] = ACTIONS(3204),
    [sym__dot_custom] = ACTIONS(3204),
    [sym__conjunction_operator_custom] = ACTIONS(3204),
    [sym__disjunction_operator_custom] = ACTIONS(3204),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3204),
    [sym__eq_custom] = ACTIONS(3204),
    [sym__eq_eq_custom] = ACTIONS(3204),
    [sym__plus_then_ws] = ACTIONS(3204),
    [sym__minus_then_ws] = ACTIONS(3204),
    [sym__bang_custom] = ACTIONS(3204),
    [sym_default_keyword] = ACTIONS(3204),
    [sym__as_custom] = ACTIONS(3204),
    [sym__as_quest_custom] = ACTIONS(3204),
    [sym__as_bang_custom] = ACTIONS(3204),
    [sym__custom_operator] = ACTIONS(3204),
  },
  [1228] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3300),
    [anon_sym_package] = ACTIONS(3300),
    [anon_sym_COMMA] = ACTIONS(3300),
    [anon_sym_LPAREN] = ACTIONS(3300),
    [anon_sym_LBRACK] = ACTIONS(3300),
    [anon_sym_QMARK] = ACTIONS(3302),
    [anon_sym_QMARK2] = ACTIONS(3300),
    [anon_sym_AMP] = ACTIONS(3300),
    [aux_sym_custom_operator_token1] = ACTIONS(3300),
    [anon_sym_LT] = ACTIONS(3302),
    [anon_sym_GT] = ACTIONS(3302),
    [anon_sym_LBRACE] = ACTIONS(3300),
    [anon_sym_CARET_LBRACE] = ACTIONS(3300),
    [anon_sym_RBRACE] = ACTIONS(3300),
    [anon_sym_case] = ACTIONS(3300),
    [anon_sym_fallthrough] = ACTIONS(3300),
    [anon_sym_PLUS_EQ] = ACTIONS(3300),
    [anon_sym_DASH_EQ] = ACTIONS(3300),
    [anon_sym_STAR_EQ] = ACTIONS(3300),
    [anon_sym_SLASH_EQ] = ACTIONS(3300),
    [anon_sym_PERCENT_EQ] = ACTIONS(3300),
    [anon_sym_BANG_EQ] = ACTIONS(3302),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3300),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3300),
    [anon_sym_LT_EQ] = ACTIONS(3300),
    [anon_sym_GT_EQ] = ACTIONS(3300),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3300),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3300),
    [anon_sym_is] = ACTIONS(3300),
    [anon_sym_PLUS] = ACTIONS(3302),
    [anon_sym_DASH] = ACTIONS(3302),
    [anon_sym_STAR] = ACTIONS(3302),
    [anon_sym_SLASH] = ACTIONS(3302),
    [anon_sym_PERCENT] = ACTIONS(3302),
    [anon_sym_PLUS_PLUS] = ACTIONS(3300),
    [anon_sym_DASH_DASH] = ACTIONS(3300),
    [anon_sym_PIPE] = ACTIONS(3300),
    [anon_sym_CARET] = ACTIONS(3302),
    [anon_sym_LT_LT] = ACTIONS(3300),
    [anon_sym_GT_GT] = ACTIONS(3300),
    [anon_sym_class] = ACTIONS(3300),
    [anon_sym_BANG2] = ACTIONS(3302),
    [anon_sym_prefix] = ACTIONS(3300),
    [anon_sym_infix] = ACTIONS(3300),
    [anon_sym_postfix] = ACTIONS(3300),
    [anon_sym_AT] = ACTIONS(3302),
    [anon_sym_override] = ACTIONS(3300),
    [anon_sym_convenience] = ACTIONS(3300),
    [anon_sym_required] = ACTIONS(3300),
    [anon_sym_nonisolated] = ACTIONS(3300),
    [anon_sym_public] = ACTIONS(3300),
    [anon_sym_private] = ACTIONS(3300),
    [anon_sym_internal] = ACTIONS(3300),
    [anon_sym_fileprivate] = ACTIONS(3300),
    [anon_sym_open] = ACTIONS(3300),
    [anon_sym_mutating] = ACTIONS(3300),
    [anon_sym_nonmutating] = ACTIONS(3300),
    [anon_sym_static] = ACTIONS(3300),
    [anon_sym_dynamic] = ACTIONS(3300),
    [anon_sym_optional] = ACTIONS(3300),
    [anon_sym_distributed] = ACTIONS(3300),
    [anon_sym_final] = ACTIONS(3300),
    [anon_sym_inout] = ACTIONS(3300),
    [anon_sym_ATescaping] = ACTIONS(3300),
    [anon_sym_ATautoclosure] = ACTIONS(3300),
    [anon_sym_weak] = ACTIONS(3300),
    [anon_sym_unowned] = ACTIONS(3302),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3300),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3300),
    [anon_sym_borrowing] = ACTIONS(3300),
    [anon_sym_consuming] = ACTIONS(3300),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3300),
    [sym__explicit_semi] = ACTIONS(3300),
    [sym__dot_custom] = ACTIONS(3300),
    [sym__conjunction_operator_custom] = ACTIONS(3300),
    [sym__disjunction_operator_custom] = ACTIONS(3300),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3300),
    [sym__eq_custom] = ACTIONS(3300),
    [sym__eq_eq_custom] = ACTIONS(3300),
    [sym__plus_then_ws] = ACTIONS(3300),
    [sym__minus_then_ws] = ACTIONS(3300),
    [sym__bang_custom] = ACTIONS(3300),
    [sym_default_keyword] = ACTIONS(3300),
    [sym__as_custom] = ACTIONS(3300),
    [sym__as_quest_custom] = ACTIONS(3300),
    [sym__as_bang_custom] = ACTIONS(3300),
    [sym__custom_operator] = ACTIONS(3300),
  },
  [1229] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(4006),
    [aux_sym_simple_identifier_token2] = ACTIONS(4008),
    [aux_sym_simple_identifier_token3] = ACTIONS(4008),
    [aux_sym_simple_identifier_token4] = ACTIONS(4008),
    [anon_sym_actor] = ACTIONS(4006),
    [anon_sym_async] = ACTIONS(4006),
    [anon_sym_each] = ACTIONS(4006),
    [anon_sym_lazy] = ACTIONS(4006),
    [anon_sym_repeat] = ACTIONS(4006),
    [anon_sym_package] = ACTIONS(4006),
    [anon_sym_nil] = ACTIONS(4006),
    [sym_real_literal] = ACTIONS(4008),
    [sym_integer_literal] = ACTIONS(4006),
    [sym_hex_literal] = ACTIONS(4008),
    [sym_oct_literal] = ACTIONS(4008),
    [sym_bin_literal] = ACTIONS(4008),
    [anon_sym_true] = ACTIONS(4006),
    [anon_sym_false] = ACTIONS(4006),
    [anon_sym_DQUOTE] = ACTIONS(4006),
    [anon_sym_BSLASH] = ACTIONS(4008),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4008),
    [sym__extended_regex_literal] = ACTIONS(4008),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(4008),
    [sym__oneline_regex_literal] = ACTIONS(4006),
    [anon_sym_LPAREN] = ACTIONS(4010),
    [anon_sym_LBRACK] = ACTIONS(4008),
    [anon_sym_AMP] = ACTIONS(4008),
    [anon_sym_if] = ACTIONS(4006),
    [anon_sym_switch] = ACTIONS(4006),
    [anon_sym_POUNDselector] = ACTIONS(4008),
    [aux_sym_custom_operator_token1] = ACTIONS(4008),
    [anon_sym_LT] = ACTIONS(4006),
    [anon_sym_GT] = ACTIONS(4006),
    [anon_sym_await] = ACTIONS(4006),
    [anon_sym_POUNDfile] = ACTIONS(4006),
    [anon_sym_POUNDfileID] = ACTIONS(4008),
    [anon_sym_POUNDfilePath] = ACTIONS(4008),
    [anon_sym_POUNDline] = ACTIONS(4008),
    [anon_sym_POUNDcolumn] = ACTIONS(4008),
    [anon_sym_POUNDfunction] = ACTIONS(4008),
    [anon_sym_POUNDdsohandle] = ACTIONS(4008),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(4008),
    [anon_sym_POUNDfileLiteral] = ACTIONS(4008),
    [anon_sym_POUNDimageLiteral] = ACTIONS(4008),
    [anon_sym_LBRACE] = ACTIONS(4008),
    [anon_sym_CARET_LBRACE] = ACTIONS(4008),
    [anon_sym_self] = ACTIONS(4006),
    [anon_sym_super] = ACTIONS(4006),
    [anon_sym_POUNDkeyPath] = ACTIONS(4008),
    [anon_sym_try] = ACTIONS(4006),
    [anon_sym_PLUS_EQ] = ACTIONS(4008),
    [anon_sym_DASH_EQ] = ACTIONS(4008),
    [anon_sym_STAR_EQ] = ACTIONS(4008),
    [anon_sym_SLASH_EQ] = ACTIONS(4008),
    [anon_sym_PERCENT_EQ] = ACTIONS(4008),
    [anon_sym_BANG_EQ] = ACTIONS(4006),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4008),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4008),
    [anon_sym_LT_EQ] = ACTIONS(4008),
    [anon_sym_GT_EQ] = ACTIONS(4008),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4008),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4008),
    [anon_sym_PLUS] = ACTIONS(4006),
    [anon_sym_DASH] = ACTIONS(4006),
    [anon_sym_STAR] = ACTIONS(4006),
    [anon_sym_SLASH] = ACTIONS(4006),
    [anon_sym_PERCENT] = ACTIONS(4006),
    [anon_sym_PLUS_PLUS] = ACTIONS(4008),
    [anon_sym_DASH_DASH] = ACTIONS(4008),
    [anon_sym_TILDE] = ACTIONS(4008),
    [anon_sym_PIPE] = ACTIONS(4008),
    [anon_sym_CARET] = ACTIONS(4006),
    [anon_sym_LT_LT] = ACTIONS(4008),
    [anon_sym_GT_GT] = ACTIONS(4008),
    [anon_sym_BANG2] = ACTIONS(4006),
    [anon_sym_AT] = ACTIONS(4008),
    [anon_sym_borrowing] = ACTIONS(4006),
    [anon_sym_consuming] = ACTIONS(4006),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(4008),
    [sym_raw_str_end_part] = ACTIONS(4008),
    [sym__dot_custom] = ACTIONS(4008),
    [sym__eq_custom] = ACTIONS(4008),
    [sym__eq_eq_custom] = ACTIONS(4008),
    [sym__plus_then_ws] = ACTIONS(4008),
    [sym__minus_then_ws] = ACTIONS(4008),
    [sym__bang_custom] = ACTIONS(4008),
    [sym__custom_operator] = ACTIONS(4008),
  },
  [1230] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3248),
    [anon_sym_package] = ACTIONS(3248),
    [anon_sym_COMMA] = ACTIONS(3248),
    [anon_sym_LPAREN] = ACTIONS(3248),
    [anon_sym_LBRACK] = ACTIONS(3248),
    [anon_sym_QMARK] = ACTIONS(3250),
    [anon_sym_QMARK2] = ACTIONS(3248),
    [anon_sym_AMP] = ACTIONS(3248),
    [aux_sym_custom_operator_token1] = ACTIONS(3248),
    [anon_sym_LT] = ACTIONS(3250),
    [anon_sym_GT] = ACTIONS(3250),
    [anon_sym_LBRACE] = ACTIONS(3248),
    [anon_sym_CARET_LBRACE] = ACTIONS(3248),
    [anon_sym_RBRACE] = ACTIONS(3248),
    [anon_sym_case] = ACTIONS(3248),
    [anon_sym_fallthrough] = ACTIONS(3248),
    [anon_sym_PLUS_EQ] = ACTIONS(3248),
    [anon_sym_DASH_EQ] = ACTIONS(3248),
    [anon_sym_STAR_EQ] = ACTIONS(3248),
    [anon_sym_SLASH_EQ] = ACTIONS(3248),
    [anon_sym_PERCENT_EQ] = ACTIONS(3248),
    [anon_sym_BANG_EQ] = ACTIONS(3250),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3248),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3248),
    [anon_sym_LT_EQ] = ACTIONS(3248),
    [anon_sym_GT_EQ] = ACTIONS(3248),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3248),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3248),
    [anon_sym_is] = ACTIONS(3248),
    [anon_sym_PLUS] = ACTIONS(3250),
    [anon_sym_DASH] = ACTIONS(3250),
    [anon_sym_STAR] = ACTIONS(3250),
    [anon_sym_SLASH] = ACTIONS(3250),
    [anon_sym_PERCENT] = ACTIONS(3250),
    [anon_sym_PLUS_PLUS] = ACTIONS(3248),
    [anon_sym_DASH_DASH] = ACTIONS(3248),
    [anon_sym_PIPE] = ACTIONS(3248),
    [anon_sym_CARET] = ACTIONS(3250),
    [anon_sym_LT_LT] = ACTIONS(3248),
    [anon_sym_GT_GT] = ACTIONS(3248),
    [anon_sym_class] = ACTIONS(3248),
    [anon_sym_BANG2] = ACTIONS(3250),
    [anon_sym_prefix] = ACTIONS(3248),
    [anon_sym_infix] = ACTIONS(3248),
    [anon_sym_postfix] = ACTIONS(3248),
    [anon_sym_AT] = ACTIONS(3250),
    [anon_sym_override] = ACTIONS(3248),
    [anon_sym_convenience] = ACTIONS(3248),
    [anon_sym_required] = ACTIONS(3248),
    [anon_sym_nonisolated] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3248),
    [anon_sym_private] = ACTIONS(3248),
    [anon_sym_internal] = ACTIONS(3248),
    [anon_sym_fileprivate] = ACTIONS(3248),
    [anon_sym_open] = ACTIONS(3248),
    [anon_sym_mutating] = ACTIONS(3248),
    [anon_sym_nonmutating] = ACTIONS(3248),
    [anon_sym_static] = ACTIONS(3248),
    [anon_sym_dynamic] = ACTIONS(3248),
    [anon_sym_optional] = ACTIONS(3248),
    [anon_sym_distributed] = ACTIONS(3248),
    [anon_sym_final] = ACTIONS(3248),
    [anon_sym_inout] = ACTIONS(3248),
    [anon_sym_ATescaping] = ACTIONS(3248),
    [anon_sym_ATautoclosure] = ACTIONS(3248),
    [anon_sym_weak] = ACTIONS(3248),
    [anon_sym_unowned] = ACTIONS(3250),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3248),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3248),
    [anon_sym_borrowing] = ACTIONS(3248),
    [anon_sym_consuming] = ACTIONS(3248),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3248),
    [sym__explicit_semi] = ACTIONS(3248),
    [sym__dot_custom] = ACTIONS(3248),
    [sym__conjunction_operator_custom] = ACTIONS(3248),
    [sym__disjunction_operator_custom] = ACTIONS(3248),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3248),
    [sym__eq_custom] = ACTIONS(3248),
    [sym__eq_eq_custom] = ACTIONS(3248),
    [sym__plus_then_ws] = ACTIONS(3248),
    [sym__minus_then_ws] = ACTIONS(3248),
    [sym__bang_custom] = ACTIONS(3248),
    [sym_default_keyword] = ACTIONS(3248),
    [sym__as_custom] = ACTIONS(3248),
    [sym__as_quest_custom] = ACTIONS(3248),
    [sym__as_bang_custom] = ACTIONS(3248),
    [sym__custom_operator] = ACTIONS(3248),
  },
  [1231] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3184),
    [anon_sym_package] = ACTIONS(3184),
    [anon_sym_COMMA] = ACTIONS(3184),
    [anon_sym_LPAREN] = ACTIONS(3184),
    [anon_sym_LBRACK] = ACTIONS(3184),
    [anon_sym_QMARK] = ACTIONS(3186),
    [anon_sym_QMARK2] = ACTIONS(3184),
    [anon_sym_AMP] = ACTIONS(3184),
    [aux_sym_custom_operator_token1] = ACTIONS(3184),
    [anon_sym_LT] = ACTIONS(3186),
    [anon_sym_GT] = ACTIONS(3186),
    [anon_sym_LBRACE] = ACTIONS(3184),
    [anon_sym_CARET_LBRACE] = ACTIONS(3184),
    [anon_sym_RBRACE] = ACTIONS(3184),
    [anon_sym_case] = ACTIONS(3184),
    [anon_sym_fallthrough] = ACTIONS(3184),
    [anon_sym_PLUS_EQ] = ACTIONS(3184),
    [anon_sym_DASH_EQ] = ACTIONS(3184),
    [anon_sym_STAR_EQ] = ACTIONS(3184),
    [anon_sym_SLASH_EQ] = ACTIONS(3184),
    [anon_sym_PERCENT_EQ] = ACTIONS(3184),
    [anon_sym_BANG_EQ] = ACTIONS(3186),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3184),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3184),
    [anon_sym_LT_EQ] = ACTIONS(3184),
    [anon_sym_GT_EQ] = ACTIONS(3184),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3184),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3184),
    [anon_sym_is] = ACTIONS(3184),
    [anon_sym_PLUS] = ACTIONS(3186),
    [anon_sym_DASH] = ACTIONS(3186),
    [anon_sym_STAR] = ACTIONS(3186),
    [anon_sym_SLASH] = ACTIONS(3186),
    [anon_sym_PERCENT] = ACTIONS(3186),
    [anon_sym_PLUS_PLUS] = ACTIONS(3184),
    [anon_sym_DASH_DASH] = ACTIONS(3184),
    [anon_sym_PIPE] = ACTIONS(3184),
    [anon_sym_CARET] = ACTIONS(3186),
    [anon_sym_LT_LT] = ACTIONS(3184),
    [anon_sym_GT_GT] = ACTIONS(3184),
    [anon_sym_class] = ACTIONS(3184),
    [anon_sym_BANG2] = ACTIONS(3186),
    [anon_sym_prefix] = ACTIONS(3184),
    [anon_sym_infix] = ACTIONS(3184),
    [anon_sym_postfix] = ACTIONS(3184),
    [anon_sym_AT] = ACTIONS(3186),
    [anon_sym_override] = ACTIONS(3184),
    [anon_sym_convenience] = ACTIONS(3184),
    [anon_sym_required] = ACTIONS(3184),
    [anon_sym_nonisolated] = ACTIONS(3184),
    [anon_sym_public] = ACTIONS(3184),
    [anon_sym_private] = ACTIONS(3184),
    [anon_sym_internal] = ACTIONS(3184),
    [anon_sym_fileprivate] = ACTIONS(3184),
    [anon_sym_open] = ACTIONS(3184),
    [anon_sym_mutating] = ACTIONS(3184),
    [anon_sym_nonmutating] = ACTIONS(3184),
    [anon_sym_static] = ACTIONS(3184),
    [anon_sym_dynamic] = ACTIONS(3184),
    [anon_sym_optional] = ACTIONS(3184),
    [anon_sym_distributed] = ACTIONS(3184),
    [anon_sym_final] = ACTIONS(3184),
    [anon_sym_inout] = ACTIONS(3184),
    [anon_sym_ATescaping] = ACTIONS(3184),
    [anon_sym_ATautoclosure] = ACTIONS(3184),
    [anon_sym_weak] = ACTIONS(3184),
    [anon_sym_unowned] = ACTIONS(3186),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3184),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3184),
    [anon_sym_borrowing] = ACTIONS(3184),
    [anon_sym_consuming] = ACTIONS(3184),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3184),
    [sym__explicit_semi] = ACTIONS(3184),
    [sym__dot_custom] = ACTIONS(3184),
    [sym__conjunction_operator_custom] = ACTIONS(3184),
    [sym__disjunction_operator_custom] = ACTIONS(3184),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3184),
    [sym__eq_custom] = ACTIONS(3184),
    [sym__eq_eq_custom] = ACTIONS(3184),
    [sym__plus_then_ws] = ACTIONS(3184),
    [sym__minus_then_ws] = ACTIONS(3184),
    [sym__bang_custom] = ACTIONS(3184),
    [sym_default_keyword] = ACTIONS(3184),
    [sym__as_custom] = ACTIONS(3184),
    [sym__as_quest_custom] = ACTIONS(3184),
    [sym__as_bang_custom] = ACTIONS(3184),
    [sym__custom_operator] = ACTIONS(3184),
  },
  [1232] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3270),
    [anon_sym_package] = ACTIONS(3270),
    [anon_sym_COMMA] = ACTIONS(3270),
    [anon_sym_LPAREN] = ACTIONS(3270),
    [anon_sym_LBRACK] = ACTIONS(3270),
    [anon_sym_QMARK] = ACTIONS(3272),
    [anon_sym_QMARK2] = ACTIONS(3270),
    [anon_sym_AMP] = ACTIONS(3270),
    [aux_sym_custom_operator_token1] = ACTIONS(3270),
    [anon_sym_LT] = ACTIONS(3272),
    [anon_sym_GT] = ACTIONS(3272),
    [anon_sym_LBRACE] = ACTIONS(3270),
    [anon_sym_CARET_LBRACE] = ACTIONS(3270),
    [anon_sym_RBRACE] = ACTIONS(3270),
    [anon_sym_case] = ACTIONS(3270),
    [anon_sym_fallthrough] = ACTIONS(3270),
    [anon_sym_PLUS_EQ] = ACTIONS(3270),
    [anon_sym_DASH_EQ] = ACTIONS(3270),
    [anon_sym_STAR_EQ] = ACTIONS(3270),
    [anon_sym_SLASH_EQ] = ACTIONS(3270),
    [anon_sym_PERCENT_EQ] = ACTIONS(3270),
    [anon_sym_BANG_EQ] = ACTIONS(3272),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3270),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3270),
    [anon_sym_LT_EQ] = ACTIONS(3270),
    [anon_sym_GT_EQ] = ACTIONS(3270),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3270),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3270),
    [anon_sym_is] = ACTIONS(3270),
    [anon_sym_PLUS] = ACTIONS(3272),
    [anon_sym_DASH] = ACTIONS(3272),
    [anon_sym_STAR] = ACTIONS(3272),
    [anon_sym_SLASH] = ACTIONS(3272),
    [anon_sym_PERCENT] = ACTIONS(3272),
    [anon_sym_PLUS_PLUS] = ACTIONS(3270),
    [anon_sym_DASH_DASH] = ACTIONS(3270),
    [anon_sym_PIPE] = ACTIONS(3270),
    [anon_sym_CARET] = ACTIONS(3272),
    [anon_sym_LT_LT] = ACTIONS(3270),
    [anon_sym_GT_GT] = ACTIONS(3270),
    [anon_sym_class] = ACTIONS(3270),
    [anon_sym_BANG2] = ACTIONS(3272),
    [anon_sym_prefix] = ACTIONS(3270),
    [anon_sym_infix] = ACTIONS(3270),
    [anon_sym_postfix] = ACTIONS(3270),
    [anon_sym_AT] = ACTIONS(3272),
    [anon_sym_override] = ACTIONS(3270),
    [anon_sym_convenience] = ACTIONS(3270),
    [anon_sym_required] = ACTIONS(3270),
    [anon_sym_nonisolated] = ACTIONS(3270),
    [anon_sym_public] = ACTIONS(3270),
    [anon_sym_private] = ACTIONS(3270),
    [anon_sym_internal] = ACTIONS(3270),
    [anon_sym_fileprivate] = ACTIONS(3270),
    [anon_sym_open] = ACTIONS(3270),
    [anon_sym_mutating] = ACTIONS(3270),
    [anon_sym_nonmutating] = ACTIONS(3270),
    [anon_sym_static] = ACTIONS(3270),
    [anon_sym_dynamic] = ACTIONS(3270),
    [anon_sym_optional] = ACTIONS(3270),
    [anon_sym_distributed] = ACTIONS(3270),
    [anon_sym_final] = ACTIONS(3270),
    [anon_sym_inout] = ACTIONS(3270),
    [anon_sym_ATescaping] = ACTIONS(3270),
    [anon_sym_ATautoclosure] = ACTIONS(3270),
    [anon_sym_weak] = ACTIONS(3270),
    [anon_sym_unowned] = ACTIONS(3272),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3270),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3270),
    [anon_sym_borrowing] = ACTIONS(3270),
    [anon_sym_consuming] = ACTIONS(3270),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3270),
    [sym__explicit_semi] = ACTIONS(3270),
    [sym__dot_custom] = ACTIONS(3270),
    [sym__conjunction_operator_custom] = ACTIONS(3270),
    [sym__disjunction_operator_custom] = ACTIONS(3270),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3270),
    [sym__eq_custom] = ACTIONS(3270),
    [sym__eq_eq_custom] = ACTIONS(3270),
    [sym__plus_then_ws] = ACTIONS(3270),
    [sym__minus_then_ws] = ACTIONS(3270),
    [sym__bang_custom] = ACTIONS(3270),
    [sym_default_keyword] = ACTIONS(3270),
    [sym__as_custom] = ACTIONS(3270),
    [sym__as_quest_custom] = ACTIONS(3270),
    [sym__as_bang_custom] = ACTIONS(3270),
    [sym__custom_operator] = ACTIONS(3270),
  },
  [1233] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3200),
    [anon_sym_package] = ACTIONS(3200),
    [anon_sym_COMMA] = ACTIONS(3200),
    [anon_sym_LPAREN] = ACTIONS(3200),
    [anon_sym_LBRACK] = ACTIONS(3200),
    [anon_sym_QMARK] = ACTIONS(3202),
    [anon_sym_QMARK2] = ACTIONS(3200),
    [anon_sym_AMP] = ACTIONS(3200),
    [aux_sym_custom_operator_token1] = ACTIONS(3200),
    [anon_sym_LT] = ACTIONS(3202),
    [anon_sym_GT] = ACTIONS(3202),
    [anon_sym_LBRACE] = ACTIONS(3200),
    [anon_sym_CARET_LBRACE] = ACTIONS(3200),
    [anon_sym_RBRACE] = ACTIONS(3200),
    [anon_sym_case] = ACTIONS(3200),
    [anon_sym_fallthrough] = ACTIONS(3200),
    [anon_sym_PLUS_EQ] = ACTIONS(3200),
    [anon_sym_DASH_EQ] = ACTIONS(3200),
    [anon_sym_STAR_EQ] = ACTIONS(3200),
    [anon_sym_SLASH_EQ] = ACTIONS(3200),
    [anon_sym_PERCENT_EQ] = ACTIONS(3200),
    [anon_sym_BANG_EQ] = ACTIONS(3202),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3200),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3200),
    [anon_sym_LT_EQ] = ACTIONS(3200),
    [anon_sym_GT_EQ] = ACTIONS(3200),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3200),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3200),
    [anon_sym_is] = ACTIONS(3200),
    [anon_sym_PLUS] = ACTIONS(3202),
    [anon_sym_DASH] = ACTIONS(3202),
    [anon_sym_STAR] = ACTIONS(3202),
    [anon_sym_SLASH] = ACTIONS(3202),
    [anon_sym_PERCENT] = ACTIONS(3202),
    [anon_sym_PLUS_PLUS] = ACTIONS(3200),
    [anon_sym_DASH_DASH] = ACTIONS(3200),
    [anon_sym_PIPE] = ACTIONS(3200),
    [anon_sym_CARET] = ACTIONS(3202),
    [anon_sym_LT_LT] = ACTIONS(3200),
    [anon_sym_GT_GT] = ACTIONS(3200),
    [anon_sym_class] = ACTIONS(3200),
    [anon_sym_BANG2] = ACTIONS(3202),
    [anon_sym_prefix] = ACTIONS(3200),
    [anon_sym_infix] = ACTIONS(3200),
    [anon_sym_postfix] = ACTIONS(3200),
    [anon_sym_AT] = ACTIONS(3202),
    [anon_sym_override] = ACTIONS(3200),
    [anon_sym_convenience] = ACTIONS(3200),
    [anon_sym_required] = ACTIONS(3200),
    [anon_sym_nonisolated] = ACTIONS(3200),
    [anon_sym_public] = ACTIONS(3200),
    [anon_sym_private] = ACTIONS(3200),
    [anon_sym_internal] = ACTIONS(3200),
    [anon_sym_fileprivate] = ACTIONS(3200),
    [anon_sym_open] = ACTIONS(3200),
    [anon_sym_mutating] = ACTIONS(3200),
    [anon_sym_nonmutating] = ACTIONS(3200),
    [anon_sym_static] = ACTIONS(3200),
    [anon_sym_dynamic] = ACTIONS(3200),
    [anon_sym_optional] = ACTIONS(3200),
    [anon_sym_distributed] = ACTIONS(3200),
    [anon_sym_final] = ACTIONS(3200),
    [anon_sym_inout] = ACTIONS(3200),
    [anon_sym_ATescaping] = ACTIONS(3200),
    [anon_sym_ATautoclosure] = ACTIONS(3200),
    [anon_sym_weak] = ACTIONS(3200),
    [anon_sym_unowned] = ACTIONS(3202),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3200),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3200),
    [anon_sym_borrowing] = ACTIONS(3200),
    [anon_sym_consuming] = ACTIONS(3200),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3200),
    [sym__explicit_semi] = ACTIONS(3200),
    [sym__dot_custom] = ACTIONS(3200),
    [sym__conjunction_operator_custom] = ACTIONS(3200),
    [sym__disjunction_operator_custom] = ACTIONS(3200),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3200),
    [sym__eq_custom] = ACTIONS(3200),
    [sym__eq_eq_custom] = ACTIONS(3200),
    [sym__plus_then_ws] = ACTIONS(3200),
    [sym__minus_then_ws] = ACTIONS(3200),
    [sym__bang_custom] = ACTIONS(3200),
    [sym_default_keyword] = ACTIONS(3200),
    [sym__as_custom] = ACTIONS(3200),
    [sym__as_quest_custom] = ACTIONS(3200),
    [sym__as_bang_custom] = ACTIONS(3200),
    [sym__custom_operator] = ACTIONS(3200),
  },
  [1234] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3266),
    [anon_sym_package] = ACTIONS(3266),
    [anon_sym_COMMA] = ACTIONS(3266),
    [anon_sym_LPAREN] = ACTIONS(3266),
    [anon_sym_LBRACK] = ACTIONS(3266),
    [anon_sym_QMARK] = ACTIONS(3268),
    [anon_sym_QMARK2] = ACTIONS(3266),
    [anon_sym_AMP] = ACTIONS(3266),
    [aux_sym_custom_operator_token1] = ACTIONS(3266),
    [anon_sym_LT] = ACTIONS(3268),
    [anon_sym_GT] = ACTIONS(3268),
    [anon_sym_LBRACE] = ACTIONS(3266),
    [anon_sym_CARET_LBRACE] = ACTIONS(3266),
    [anon_sym_RBRACE] = ACTIONS(3266),
    [anon_sym_case] = ACTIONS(3266),
    [anon_sym_fallthrough] = ACTIONS(3266),
    [anon_sym_PLUS_EQ] = ACTIONS(3266),
    [anon_sym_DASH_EQ] = ACTIONS(3266),
    [anon_sym_STAR_EQ] = ACTIONS(3266),
    [anon_sym_SLASH_EQ] = ACTIONS(3266),
    [anon_sym_PERCENT_EQ] = ACTIONS(3266),
    [anon_sym_BANG_EQ] = ACTIONS(3268),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3266),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3266),
    [anon_sym_LT_EQ] = ACTIONS(3266),
    [anon_sym_GT_EQ] = ACTIONS(3266),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3266),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3266),
    [anon_sym_is] = ACTIONS(3266),
    [anon_sym_PLUS] = ACTIONS(3268),
    [anon_sym_DASH] = ACTIONS(3268),
    [anon_sym_STAR] = ACTIONS(3268),
    [anon_sym_SLASH] = ACTIONS(3268),
    [anon_sym_PERCENT] = ACTIONS(3268),
    [anon_sym_PLUS_PLUS] = ACTIONS(3266),
    [anon_sym_DASH_DASH] = ACTIONS(3266),
    [anon_sym_PIPE] = ACTIONS(3266),
    [anon_sym_CARET] = ACTIONS(3268),
    [anon_sym_LT_LT] = ACTIONS(3266),
    [anon_sym_GT_GT] = ACTIONS(3266),
    [anon_sym_class] = ACTIONS(3266),
    [anon_sym_BANG2] = ACTIONS(3268),
    [anon_sym_prefix] = ACTIONS(3266),
    [anon_sym_infix] = ACTIONS(3266),
    [anon_sym_postfix] = ACTIONS(3266),
    [anon_sym_AT] = ACTIONS(3268),
    [anon_sym_override] = ACTIONS(3266),
    [anon_sym_convenience] = ACTIONS(3266),
    [anon_sym_required] = ACTIONS(3266),
    [anon_sym_nonisolated] = ACTIONS(3266),
    [anon_sym_public] = ACTIONS(3266),
    [anon_sym_private] = ACTIONS(3266),
    [anon_sym_internal] = ACTIONS(3266),
    [anon_sym_fileprivate] = ACTIONS(3266),
    [anon_sym_open] = ACTIONS(3266),
    [anon_sym_mutating] = ACTIONS(3266),
    [anon_sym_nonmutating] = ACTIONS(3266),
    [anon_sym_static] = ACTIONS(3266),
    [anon_sym_dynamic] = ACTIONS(3266),
    [anon_sym_optional] = ACTIONS(3266),
    [anon_sym_distributed] = ACTIONS(3266),
    [anon_sym_final] = ACTIONS(3266),
    [anon_sym_inout] = ACTIONS(3266),
    [anon_sym_ATescaping] = ACTIONS(3266),
    [anon_sym_ATautoclosure] = ACTIONS(3266),
    [anon_sym_weak] = ACTIONS(3266),
    [anon_sym_unowned] = ACTIONS(3268),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3266),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3266),
    [anon_sym_borrowing] = ACTIONS(3266),
    [anon_sym_consuming] = ACTIONS(3266),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3266),
    [sym__explicit_semi] = ACTIONS(3266),
    [sym__dot_custom] = ACTIONS(3266),
    [sym__conjunction_operator_custom] = ACTIONS(3266),
    [sym__disjunction_operator_custom] = ACTIONS(3266),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3266),
    [sym__eq_custom] = ACTIONS(3266),
    [sym__eq_eq_custom] = ACTIONS(3266),
    [sym__plus_then_ws] = ACTIONS(3266),
    [sym__minus_then_ws] = ACTIONS(3266),
    [sym__bang_custom] = ACTIONS(3266),
    [sym_default_keyword] = ACTIONS(3266),
    [sym__as_custom] = ACTIONS(3266),
    [sym__as_quest_custom] = ACTIONS(3266),
    [sym__as_bang_custom] = ACTIONS(3266),
    [sym__custom_operator] = ACTIONS(3266),
  },
  [1235] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3296),
    [anon_sym_package] = ACTIONS(3296),
    [anon_sym_COMMA] = ACTIONS(3296),
    [anon_sym_LPAREN] = ACTIONS(3296),
    [anon_sym_LBRACK] = ACTIONS(3296),
    [anon_sym_QMARK] = ACTIONS(3298),
    [anon_sym_QMARK2] = ACTIONS(3296),
    [anon_sym_AMP] = ACTIONS(3296),
    [aux_sym_custom_operator_token1] = ACTIONS(3296),
    [anon_sym_LT] = ACTIONS(3298),
    [anon_sym_GT] = ACTIONS(3298),
    [anon_sym_LBRACE] = ACTIONS(3296),
    [anon_sym_CARET_LBRACE] = ACTIONS(3296),
    [anon_sym_RBRACE] = ACTIONS(3296),
    [anon_sym_case] = ACTIONS(3296),
    [anon_sym_fallthrough] = ACTIONS(3296),
    [anon_sym_PLUS_EQ] = ACTIONS(3296),
    [anon_sym_DASH_EQ] = ACTIONS(3296),
    [anon_sym_STAR_EQ] = ACTIONS(3296),
    [anon_sym_SLASH_EQ] = ACTIONS(3296),
    [anon_sym_PERCENT_EQ] = ACTIONS(3296),
    [anon_sym_BANG_EQ] = ACTIONS(3298),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3296),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3296),
    [anon_sym_LT_EQ] = ACTIONS(3296),
    [anon_sym_GT_EQ] = ACTIONS(3296),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3296),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3296),
    [anon_sym_is] = ACTIONS(3296),
    [anon_sym_PLUS] = ACTIONS(3298),
    [anon_sym_DASH] = ACTIONS(3298),
    [anon_sym_STAR] = ACTIONS(3298),
    [anon_sym_SLASH] = ACTIONS(3298),
    [anon_sym_PERCENT] = ACTIONS(3298),
    [anon_sym_PLUS_PLUS] = ACTIONS(3296),
    [anon_sym_DASH_DASH] = ACTIONS(3296),
    [anon_sym_PIPE] = ACTIONS(3296),
    [anon_sym_CARET] = ACTIONS(3298),
    [anon_sym_LT_LT] = ACTIONS(3296),
    [anon_sym_GT_GT] = ACTIONS(3296),
    [anon_sym_class] = ACTIONS(3296),
    [anon_sym_BANG2] = ACTIONS(3298),
    [anon_sym_prefix] = ACTIONS(3296),
    [anon_sym_infix] = ACTIONS(3296),
    [anon_sym_postfix] = ACTIONS(3296),
    [anon_sym_AT] = ACTIONS(3298),
    [anon_sym_override] = ACTIONS(3296),
    [anon_sym_convenience] = ACTIONS(3296),
    [anon_sym_required] = ACTIONS(3296),
    [anon_sym_nonisolated] = ACTIONS(3296),
    [anon_sym_public] = ACTIONS(3296),
    [anon_sym_private] = ACTIONS(3296),
    [anon_sym_internal] = ACTIONS(3296),
    [anon_sym_fileprivate] = ACTIONS(3296),
    [anon_sym_open] = ACTIONS(3296),
    [anon_sym_mutating] = ACTIONS(3296),
    [anon_sym_nonmutating] = ACTIONS(3296),
    [anon_sym_static] = ACTIONS(3296),
    [anon_sym_dynamic] = ACTIONS(3296),
    [anon_sym_optional] = ACTIONS(3296),
    [anon_sym_distributed] = ACTIONS(3296),
    [anon_sym_final] = ACTIONS(3296),
    [anon_sym_inout] = ACTIONS(3296),
    [anon_sym_ATescaping] = ACTIONS(3296),
    [anon_sym_ATautoclosure] = ACTIONS(3296),
    [anon_sym_weak] = ACTIONS(3296),
    [anon_sym_unowned] = ACTIONS(3298),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3296),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3296),
    [anon_sym_borrowing] = ACTIONS(3296),
    [anon_sym_consuming] = ACTIONS(3296),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3296),
    [sym__explicit_semi] = ACTIONS(3296),
    [sym__dot_custom] = ACTIONS(3296),
    [sym__conjunction_operator_custom] = ACTIONS(3296),
    [sym__disjunction_operator_custom] = ACTIONS(3296),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3296),
    [sym__eq_custom] = ACTIONS(3296),
    [sym__eq_eq_custom] = ACTIONS(3296),
    [sym__plus_then_ws] = ACTIONS(3296),
    [sym__minus_then_ws] = ACTIONS(3296),
    [sym__bang_custom] = ACTIONS(3296),
    [sym_default_keyword] = ACTIONS(3296),
    [sym__as_custom] = ACTIONS(3296),
    [sym__as_quest_custom] = ACTIONS(3296),
    [sym__as_bang_custom] = ACTIONS(3296),
    [sym__custom_operator] = ACTIONS(3296),
  },
  [1236] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2930),
    [aux_sym_simple_identifier_token2] = ACTIONS(2928),
    [aux_sym_simple_identifier_token3] = ACTIONS(2928),
    [aux_sym_simple_identifier_token4] = ACTIONS(2928),
    [anon_sym_actor] = ACTIONS(2930),
    [anon_sym_async] = ACTIONS(2930),
    [anon_sym_each] = ACTIONS(2930),
    [anon_sym_lazy] = ACTIONS(2930),
    [anon_sym_repeat] = ACTIONS(2930),
    [anon_sym_package] = ACTIONS(2930),
    [anon_sym_nil] = ACTIONS(2930),
    [sym_real_literal] = ACTIONS(2928),
    [sym_integer_literal] = ACTIONS(2930),
    [sym_hex_literal] = ACTIONS(2928),
    [sym_oct_literal] = ACTIONS(2928),
    [sym_bin_literal] = ACTIONS(2928),
    [anon_sym_true] = ACTIONS(2930),
    [anon_sym_false] = ACTIONS(2930),
    [anon_sym_DQUOTE] = ACTIONS(2930),
    [anon_sym_BSLASH] = ACTIONS(2928),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2928),
    [sym__extended_regex_literal] = ACTIONS(2928),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(2928),
    [sym__oneline_regex_literal] = ACTIONS(2930),
    [anon_sym_LPAREN] = ACTIONS(2928),
    [anon_sym_LBRACK] = ACTIONS(2928),
    [anon_sym_AMP] = ACTIONS(2928),
    [anon_sym_if] = ACTIONS(2930),
    [anon_sym_switch] = ACTIONS(2930),
    [anon_sym_POUNDselector] = ACTIONS(2928),
    [aux_sym_custom_operator_token1] = ACTIONS(2928),
    [anon_sym_LT] = ACTIONS(2930),
    [anon_sym_GT] = ACTIONS(2930),
    [anon_sym_await] = ACTIONS(2930),
    [anon_sym_POUNDfile] = ACTIONS(2930),
    [anon_sym_POUNDfileID] = ACTIONS(2928),
    [anon_sym_POUNDfilePath] = ACTIONS(2928),
    [anon_sym_POUNDline] = ACTIONS(2928),
    [anon_sym_POUNDcolumn] = ACTIONS(2928),
    [anon_sym_POUNDfunction] = ACTIONS(2928),
    [anon_sym_POUNDdsohandle] = ACTIONS(2928),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(2928),
    [anon_sym_POUNDfileLiteral] = ACTIONS(2928),
    [anon_sym_POUNDimageLiteral] = ACTIONS(2928),
    [anon_sym_LBRACE] = ACTIONS(2928),
    [anon_sym_CARET_LBRACE] = ACTIONS(2928),
    [anon_sym_self] = ACTIONS(2930),
    [anon_sym_super] = ACTIONS(2930),
    [anon_sym_POUNDkeyPath] = ACTIONS(2928),
    [anon_sym_try] = ACTIONS(2930),
    [anon_sym_PLUS_EQ] = ACTIONS(2928),
    [anon_sym_DASH_EQ] = ACTIONS(2928),
    [anon_sym_STAR_EQ] = ACTIONS(2928),
    [anon_sym_SLASH_EQ] = ACTIONS(2928),
    [anon_sym_PERCENT_EQ] = ACTIONS(2928),
    [anon_sym_BANG_EQ] = ACTIONS(2930),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2928),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2928),
    [anon_sym_LT_EQ] = ACTIONS(2928),
    [anon_sym_GT_EQ] = ACTIONS(2928),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2928),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2928),
    [anon_sym_PLUS] = ACTIONS(2930),
    [anon_sym_DASH] = ACTIONS(2930),
    [anon_sym_STAR] = ACTIONS(2930),
    [anon_sym_SLASH] = ACTIONS(2930),
    [anon_sym_PERCENT] = ACTIONS(2930),
    [anon_sym_PLUS_PLUS] = ACTIONS(2928),
    [anon_sym_DASH_DASH] = ACTIONS(2928),
    [anon_sym_TILDE] = ACTIONS(2928),
    [anon_sym_PIPE] = ACTIONS(2928),
    [anon_sym_CARET] = ACTIONS(2930),
    [anon_sym_LT_LT] = ACTIONS(2928),
    [anon_sym_GT_GT] = ACTIONS(2928),
    [anon_sym_BANG2] = ACTIONS(2930),
    [anon_sym_AT] = ACTIONS(2928),
    [anon_sym_borrowing] = ACTIONS(2930),
    [anon_sym_consuming] = ACTIONS(2930),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(2928),
    [sym_raw_str_end_part] = ACTIONS(2928),
    [sym__dot_custom] = ACTIONS(2928),
    [sym__eq_custom] = ACTIONS(2928),
    [sym__eq_eq_custom] = ACTIONS(2928),
    [sym__plus_then_ws] = ACTIONS(2928),
    [sym__minus_then_ws] = ACTIONS(2928),
    [sym__bang_custom] = ACTIONS(2928),
    [sym__custom_operator] = ACTIONS(2928),
  },
  [1237] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3132),
    [anon_sym_package] = ACTIONS(3132),
    [anon_sym_COMMA] = ACTIONS(3132),
    [anon_sym_LPAREN] = ACTIONS(3132),
    [anon_sym_LBRACK] = ACTIONS(3132),
    [anon_sym_QMARK] = ACTIONS(3134),
    [anon_sym_QMARK2] = ACTIONS(3132),
    [anon_sym_AMP] = ACTIONS(3132),
    [aux_sym_custom_operator_token1] = ACTIONS(3132),
    [anon_sym_LT] = ACTIONS(3134),
    [anon_sym_GT] = ACTIONS(3134),
    [anon_sym_LBRACE] = ACTIONS(3132),
    [anon_sym_CARET_LBRACE] = ACTIONS(3132),
    [anon_sym_RBRACE] = ACTIONS(3132),
    [anon_sym_case] = ACTIONS(3132),
    [anon_sym_fallthrough] = ACTIONS(3132),
    [anon_sym_PLUS_EQ] = ACTIONS(3132),
    [anon_sym_DASH_EQ] = ACTIONS(3132),
    [anon_sym_STAR_EQ] = ACTIONS(3132),
    [anon_sym_SLASH_EQ] = ACTIONS(3132),
    [anon_sym_PERCENT_EQ] = ACTIONS(3132),
    [anon_sym_BANG_EQ] = ACTIONS(3134),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3132),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3132),
    [anon_sym_LT_EQ] = ACTIONS(3132),
    [anon_sym_GT_EQ] = ACTIONS(3132),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3132),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3132),
    [anon_sym_is] = ACTIONS(3132),
    [anon_sym_PLUS] = ACTIONS(3134),
    [anon_sym_DASH] = ACTIONS(3134),
    [anon_sym_STAR] = ACTIONS(3134),
    [anon_sym_SLASH] = ACTIONS(3134),
    [anon_sym_PERCENT] = ACTIONS(3134),
    [anon_sym_PLUS_PLUS] = ACTIONS(3132),
    [anon_sym_DASH_DASH] = ACTIONS(3132),
    [anon_sym_PIPE] = ACTIONS(3132),
    [anon_sym_CARET] = ACTIONS(3134),
    [anon_sym_LT_LT] = ACTIONS(3132),
    [anon_sym_GT_GT] = ACTIONS(3132),
    [anon_sym_class] = ACTIONS(3132),
    [anon_sym_BANG2] = ACTIONS(3134),
    [anon_sym_prefix] = ACTIONS(3132),
    [anon_sym_infix] = ACTIONS(3132),
    [anon_sym_postfix] = ACTIONS(3132),
    [anon_sym_AT] = ACTIONS(3134),
    [anon_sym_override] = ACTIONS(3132),
    [anon_sym_convenience] = ACTIONS(3132),
    [anon_sym_required] = ACTIONS(3132),
    [anon_sym_nonisolated] = ACTIONS(3132),
    [anon_sym_public] = ACTIONS(3132),
    [anon_sym_private] = ACTIONS(3132),
    [anon_sym_internal] = ACTIONS(3132),
    [anon_sym_fileprivate] = ACTIONS(3132),
    [anon_sym_open] = ACTIONS(3132),
    [anon_sym_mutating] = ACTIONS(3132),
    [anon_sym_nonmutating] = ACTIONS(3132),
    [anon_sym_static] = ACTIONS(3132),
    [anon_sym_dynamic] = ACTIONS(3132),
    [anon_sym_optional] = ACTIONS(3132),
    [anon_sym_distributed] = ACTIONS(3132),
    [anon_sym_final] = ACTIONS(3132),
    [anon_sym_inout] = ACTIONS(3132),
    [anon_sym_ATescaping] = ACTIONS(3132),
    [anon_sym_ATautoclosure] = ACTIONS(3132),
    [anon_sym_weak] = ACTIONS(3132),
    [anon_sym_unowned] = ACTIONS(3134),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3132),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3132),
    [anon_sym_borrowing] = ACTIONS(3132),
    [anon_sym_consuming] = ACTIONS(3132),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3132),
    [sym__explicit_semi] = ACTIONS(3132),
    [sym__dot_custom] = ACTIONS(3132),
    [sym__conjunction_operator_custom] = ACTIONS(3132),
    [sym__disjunction_operator_custom] = ACTIONS(3132),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3132),
    [sym__eq_custom] = ACTIONS(3132),
    [sym__eq_eq_custom] = ACTIONS(3132),
    [sym__plus_then_ws] = ACTIONS(3132),
    [sym__minus_then_ws] = ACTIONS(3132),
    [sym__bang_custom] = ACTIONS(3132),
    [sym_default_keyword] = ACTIONS(3132),
    [sym__as_custom] = ACTIONS(3132),
    [sym__as_quest_custom] = ACTIONS(3132),
    [sym__as_bang_custom] = ACTIONS(3132),
    [sym__custom_operator] = ACTIONS(3132),
  },
  [1238] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3108),
    [anon_sym_package] = ACTIONS(3108),
    [anon_sym_COMMA] = ACTIONS(3108),
    [anon_sym_LPAREN] = ACTIONS(3108),
    [anon_sym_LBRACK] = ACTIONS(3108),
    [anon_sym_QMARK] = ACTIONS(3110),
    [anon_sym_QMARK2] = ACTIONS(3108),
    [anon_sym_AMP] = ACTIONS(3108),
    [aux_sym_custom_operator_token1] = ACTIONS(3108),
    [anon_sym_LT] = ACTIONS(3110),
    [anon_sym_GT] = ACTIONS(3110),
    [anon_sym_LBRACE] = ACTIONS(3108),
    [anon_sym_CARET_LBRACE] = ACTIONS(3108),
    [anon_sym_RBRACE] = ACTIONS(3108),
    [anon_sym_case] = ACTIONS(3108),
    [anon_sym_fallthrough] = ACTIONS(3108),
    [anon_sym_PLUS_EQ] = ACTIONS(3108),
    [anon_sym_DASH_EQ] = ACTIONS(3108),
    [anon_sym_STAR_EQ] = ACTIONS(3108),
    [anon_sym_SLASH_EQ] = ACTIONS(3108),
    [anon_sym_PERCENT_EQ] = ACTIONS(3108),
    [anon_sym_BANG_EQ] = ACTIONS(3110),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3108),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3108),
    [anon_sym_LT_EQ] = ACTIONS(3108),
    [anon_sym_GT_EQ] = ACTIONS(3108),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3108),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3108),
    [anon_sym_is] = ACTIONS(3108),
    [anon_sym_PLUS] = ACTIONS(3110),
    [anon_sym_DASH] = ACTIONS(3110),
    [anon_sym_STAR] = ACTIONS(3110),
    [anon_sym_SLASH] = ACTIONS(3110),
    [anon_sym_PERCENT] = ACTIONS(3110),
    [anon_sym_PLUS_PLUS] = ACTIONS(3108),
    [anon_sym_DASH_DASH] = ACTIONS(3108),
    [anon_sym_PIPE] = ACTIONS(3108),
    [anon_sym_CARET] = ACTIONS(3110),
    [anon_sym_LT_LT] = ACTIONS(3108),
    [anon_sym_GT_GT] = ACTIONS(3108),
    [anon_sym_class] = ACTIONS(3108),
    [anon_sym_BANG2] = ACTIONS(3110),
    [anon_sym_prefix] = ACTIONS(3108),
    [anon_sym_infix] = ACTIONS(3108),
    [anon_sym_postfix] = ACTIONS(3108),
    [anon_sym_AT] = ACTIONS(3110),
    [anon_sym_override] = ACTIONS(3108),
    [anon_sym_convenience] = ACTIONS(3108),
    [anon_sym_required] = ACTIONS(3108),
    [anon_sym_nonisolated] = ACTIONS(3108),
    [anon_sym_public] = ACTIONS(3108),
    [anon_sym_private] = ACTIONS(3108),
    [anon_sym_internal] = ACTIONS(3108),
    [anon_sym_fileprivate] = ACTIONS(3108),
    [anon_sym_open] = ACTIONS(3108),
    [anon_sym_mutating] = ACTIONS(3108),
    [anon_sym_nonmutating] = ACTIONS(3108),
    [anon_sym_static] = ACTIONS(3108),
    [anon_sym_dynamic] = ACTIONS(3108),
    [anon_sym_optional] = ACTIONS(3108),
    [anon_sym_distributed] = ACTIONS(3108),
    [anon_sym_final] = ACTIONS(3108),
    [anon_sym_inout] = ACTIONS(3108),
    [anon_sym_ATescaping] = ACTIONS(3108),
    [anon_sym_ATautoclosure] = ACTIONS(3108),
    [anon_sym_weak] = ACTIONS(3108),
    [anon_sym_unowned] = ACTIONS(3110),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3108),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3108),
    [anon_sym_borrowing] = ACTIONS(3108),
    [anon_sym_consuming] = ACTIONS(3108),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3108),
    [sym__explicit_semi] = ACTIONS(3108),
    [sym__dot_custom] = ACTIONS(3108),
    [sym__conjunction_operator_custom] = ACTIONS(3108),
    [sym__disjunction_operator_custom] = ACTIONS(3108),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3108),
    [sym__eq_custom] = ACTIONS(3108),
    [sym__eq_eq_custom] = ACTIONS(3108),
    [sym__plus_then_ws] = ACTIONS(3108),
    [sym__minus_then_ws] = ACTIONS(3108),
    [sym__bang_custom] = ACTIONS(3108),
    [sym_default_keyword] = ACTIONS(3108),
    [sym__as_custom] = ACTIONS(3108),
    [sym__as_quest_custom] = ACTIONS(3108),
    [sym__as_bang_custom] = ACTIONS(3108),
    [sym__custom_operator] = ACTIONS(3108),
  },
  [1239] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3304),
    [anon_sym_package] = ACTIONS(3304),
    [anon_sym_COMMA] = ACTIONS(3304),
    [anon_sym_LPAREN] = ACTIONS(3304),
    [anon_sym_LBRACK] = ACTIONS(3304),
    [anon_sym_QMARK] = ACTIONS(3306),
    [anon_sym_QMARK2] = ACTIONS(3304),
    [anon_sym_AMP] = ACTIONS(3304),
    [aux_sym_custom_operator_token1] = ACTIONS(3304),
    [anon_sym_LT] = ACTIONS(3306),
    [anon_sym_GT] = ACTIONS(3306),
    [anon_sym_LBRACE] = ACTIONS(3304),
    [anon_sym_CARET_LBRACE] = ACTIONS(3304),
    [anon_sym_RBRACE] = ACTIONS(3304),
    [anon_sym_case] = ACTIONS(3304),
    [anon_sym_fallthrough] = ACTIONS(3304),
    [anon_sym_PLUS_EQ] = ACTIONS(3304),
    [anon_sym_DASH_EQ] = ACTIONS(3304),
    [anon_sym_STAR_EQ] = ACTIONS(3304),
    [anon_sym_SLASH_EQ] = ACTIONS(3304),
    [anon_sym_PERCENT_EQ] = ACTIONS(3304),
    [anon_sym_BANG_EQ] = ACTIONS(3306),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3304),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3304),
    [anon_sym_LT_EQ] = ACTIONS(3304),
    [anon_sym_GT_EQ] = ACTIONS(3304),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3304),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3304),
    [anon_sym_is] = ACTIONS(3304),
    [anon_sym_PLUS] = ACTIONS(3306),
    [anon_sym_DASH] = ACTIONS(3306),
    [anon_sym_STAR] = ACTIONS(3306),
    [anon_sym_SLASH] = ACTIONS(3306),
    [anon_sym_PERCENT] = ACTIONS(3306),
    [anon_sym_PLUS_PLUS] = ACTIONS(3304),
    [anon_sym_DASH_DASH] = ACTIONS(3304),
    [anon_sym_PIPE] = ACTIONS(3304),
    [anon_sym_CARET] = ACTIONS(3306),
    [anon_sym_LT_LT] = ACTIONS(3304),
    [anon_sym_GT_GT] = ACTIONS(3304),
    [anon_sym_class] = ACTIONS(3304),
    [anon_sym_BANG2] = ACTIONS(3306),
    [anon_sym_prefix] = ACTIONS(3304),
    [anon_sym_infix] = ACTIONS(3304),
    [anon_sym_postfix] = ACTIONS(3304),
    [anon_sym_AT] = ACTIONS(3306),
    [anon_sym_override] = ACTIONS(3304),
    [anon_sym_convenience] = ACTIONS(3304),
    [anon_sym_required] = ACTIONS(3304),
    [anon_sym_nonisolated] = ACTIONS(3304),
    [anon_sym_public] = ACTIONS(3304),
    [anon_sym_private] = ACTIONS(3304),
    [anon_sym_internal] = ACTIONS(3304),
    [anon_sym_fileprivate] = ACTIONS(3304),
    [anon_sym_open] = ACTIONS(3304),
    [anon_sym_mutating] = ACTIONS(3304),
    [anon_sym_nonmutating] = ACTIONS(3304),
    [anon_sym_static] = ACTIONS(3304),
    [anon_sym_dynamic] = ACTIONS(3304),
    [anon_sym_optional] = ACTIONS(3304),
    [anon_sym_distributed] = ACTIONS(3304),
    [anon_sym_final] = ACTIONS(3304),
    [anon_sym_inout] = ACTIONS(3304),
    [anon_sym_ATescaping] = ACTIONS(3304),
    [anon_sym_ATautoclosure] = ACTIONS(3304),
    [anon_sym_weak] = ACTIONS(3304),
    [anon_sym_unowned] = ACTIONS(3306),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3304),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3304),
    [anon_sym_borrowing] = ACTIONS(3304),
    [anon_sym_consuming] = ACTIONS(3304),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3304),
    [sym__explicit_semi] = ACTIONS(3304),
    [sym__dot_custom] = ACTIONS(3304),
    [sym__conjunction_operator_custom] = ACTIONS(3304),
    [sym__disjunction_operator_custom] = ACTIONS(3304),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3304),
    [sym__eq_custom] = ACTIONS(3304),
    [sym__eq_eq_custom] = ACTIONS(3304),
    [sym__plus_then_ws] = ACTIONS(3304),
    [sym__minus_then_ws] = ACTIONS(3304),
    [sym__bang_custom] = ACTIONS(3304),
    [sym_default_keyword] = ACTIONS(3304),
    [sym__as_custom] = ACTIONS(3304),
    [sym__as_quest_custom] = ACTIONS(3304),
    [sym__as_bang_custom] = ACTIONS(3304),
    [sym__custom_operator] = ACTIONS(3304),
  },
  [1240] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3072),
    [anon_sym_package] = ACTIONS(3072),
    [anon_sym_COMMA] = ACTIONS(3072),
    [anon_sym_LPAREN] = ACTIONS(3072),
    [anon_sym_LBRACK] = ACTIONS(3072),
    [anon_sym_QMARK] = ACTIONS(3074),
    [anon_sym_QMARK2] = ACTIONS(3072),
    [anon_sym_AMP] = ACTIONS(3072),
    [aux_sym_custom_operator_token1] = ACTIONS(3072),
    [anon_sym_LT] = ACTIONS(3074),
    [anon_sym_GT] = ACTIONS(3074),
    [anon_sym_LBRACE] = ACTIONS(3072),
    [anon_sym_CARET_LBRACE] = ACTIONS(3072),
    [anon_sym_RBRACE] = ACTIONS(3072),
    [anon_sym_case] = ACTIONS(3072),
    [anon_sym_fallthrough] = ACTIONS(3072),
    [anon_sym_PLUS_EQ] = ACTIONS(3072),
    [anon_sym_DASH_EQ] = ACTIONS(3072),
    [anon_sym_STAR_EQ] = ACTIONS(3072),
    [anon_sym_SLASH_EQ] = ACTIONS(3072),
    [anon_sym_PERCENT_EQ] = ACTIONS(3072),
    [anon_sym_BANG_EQ] = ACTIONS(3074),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3072),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3072),
    [anon_sym_LT_EQ] = ACTIONS(3072),
    [anon_sym_GT_EQ] = ACTIONS(3072),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3072),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3072),
    [anon_sym_is] = ACTIONS(3072),
    [anon_sym_PLUS] = ACTIONS(3074),
    [anon_sym_DASH] = ACTIONS(3074),
    [anon_sym_STAR] = ACTIONS(3074),
    [anon_sym_SLASH] = ACTIONS(3074),
    [anon_sym_PERCENT] = ACTIONS(3074),
    [anon_sym_PLUS_PLUS] = ACTIONS(3072),
    [anon_sym_DASH_DASH] = ACTIONS(3072),
    [anon_sym_PIPE] = ACTIONS(3072),
    [anon_sym_CARET] = ACTIONS(3074),
    [anon_sym_LT_LT] = ACTIONS(3072),
    [anon_sym_GT_GT] = ACTIONS(3072),
    [anon_sym_class] = ACTIONS(3072),
    [anon_sym_BANG2] = ACTIONS(3074),
    [anon_sym_prefix] = ACTIONS(3072),
    [anon_sym_infix] = ACTIONS(3072),
    [anon_sym_postfix] = ACTIONS(3072),
    [anon_sym_AT] = ACTIONS(3074),
    [anon_sym_override] = ACTIONS(3072),
    [anon_sym_convenience] = ACTIONS(3072),
    [anon_sym_required] = ACTIONS(3072),
    [anon_sym_nonisolated] = ACTIONS(3072),
    [anon_sym_public] = ACTIONS(3072),
    [anon_sym_private] = ACTIONS(3072),
    [anon_sym_internal] = ACTIONS(3072),
    [anon_sym_fileprivate] = ACTIONS(3072),
    [anon_sym_open] = ACTIONS(3072),
    [anon_sym_mutating] = ACTIONS(3072),
    [anon_sym_nonmutating] = ACTIONS(3072),
    [anon_sym_static] = ACTIONS(3072),
    [anon_sym_dynamic] = ACTIONS(3072),
    [anon_sym_optional] = ACTIONS(3072),
    [anon_sym_distributed] = ACTIONS(3072),
    [anon_sym_final] = ACTIONS(3072),
    [anon_sym_inout] = ACTIONS(3072),
    [anon_sym_ATescaping] = ACTIONS(3072),
    [anon_sym_ATautoclosure] = ACTIONS(3072),
    [anon_sym_weak] = ACTIONS(3072),
    [anon_sym_unowned] = ACTIONS(3074),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3072),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3072),
    [anon_sym_borrowing] = ACTIONS(3072),
    [anon_sym_consuming] = ACTIONS(3072),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3072),
    [sym__explicit_semi] = ACTIONS(3072),
    [sym__dot_custom] = ACTIONS(3072),
    [sym__conjunction_operator_custom] = ACTIONS(3072),
    [sym__disjunction_operator_custom] = ACTIONS(3072),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3072),
    [sym__eq_custom] = ACTIONS(3072),
    [sym__eq_eq_custom] = ACTIONS(3072),
    [sym__plus_then_ws] = ACTIONS(3072),
    [sym__minus_then_ws] = ACTIONS(3072),
    [sym__bang_custom] = ACTIONS(3072),
    [sym_default_keyword] = ACTIONS(3072),
    [sym__as_custom] = ACTIONS(3072),
    [sym__as_quest_custom] = ACTIONS(3072),
    [sym__as_bang_custom] = ACTIONS(3072),
    [sym__custom_operator] = ACTIONS(3072),
  },
  [1241] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3230),
    [anon_sym_package] = ACTIONS(3230),
    [anon_sym_COMMA] = ACTIONS(3230),
    [anon_sym_LPAREN] = ACTIONS(3230),
    [anon_sym_LBRACK] = ACTIONS(3230),
    [anon_sym_QMARK] = ACTIONS(3232),
    [anon_sym_QMARK2] = ACTIONS(3230),
    [anon_sym_AMP] = ACTIONS(3230),
    [aux_sym_custom_operator_token1] = ACTIONS(3230),
    [anon_sym_LT] = ACTIONS(3232),
    [anon_sym_GT] = ACTIONS(3232),
    [anon_sym_LBRACE] = ACTIONS(3230),
    [anon_sym_CARET_LBRACE] = ACTIONS(3230),
    [anon_sym_RBRACE] = ACTIONS(3230),
    [anon_sym_case] = ACTIONS(3230),
    [anon_sym_fallthrough] = ACTIONS(3230),
    [anon_sym_PLUS_EQ] = ACTIONS(3230),
    [anon_sym_DASH_EQ] = ACTIONS(3230),
    [anon_sym_STAR_EQ] = ACTIONS(3230),
    [anon_sym_SLASH_EQ] = ACTIONS(3230),
    [anon_sym_PERCENT_EQ] = ACTIONS(3230),
    [anon_sym_BANG_EQ] = ACTIONS(3232),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3230),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3230),
    [anon_sym_LT_EQ] = ACTIONS(3230),
    [anon_sym_GT_EQ] = ACTIONS(3230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3230),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3230),
    [anon_sym_is] = ACTIONS(3230),
    [anon_sym_PLUS] = ACTIONS(3232),
    [anon_sym_DASH] = ACTIONS(3232),
    [anon_sym_STAR] = ACTIONS(3232),
    [anon_sym_SLASH] = ACTIONS(3232),
    [anon_sym_PERCENT] = ACTIONS(3232),
    [anon_sym_PLUS_PLUS] = ACTIONS(3230),
    [anon_sym_DASH_DASH] = ACTIONS(3230),
    [anon_sym_PIPE] = ACTIONS(3230),
    [anon_sym_CARET] = ACTIONS(3232),
    [anon_sym_LT_LT] = ACTIONS(3230),
    [anon_sym_GT_GT] = ACTIONS(3230),
    [anon_sym_class] = ACTIONS(3230),
    [anon_sym_BANG2] = ACTIONS(3232),
    [anon_sym_prefix] = ACTIONS(3230),
    [anon_sym_infix] = ACTIONS(3230),
    [anon_sym_postfix] = ACTIONS(3230),
    [anon_sym_AT] = ACTIONS(3232),
    [anon_sym_override] = ACTIONS(3230),
    [anon_sym_convenience] = ACTIONS(3230),
    [anon_sym_required] = ACTIONS(3230),
    [anon_sym_nonisolated] = ACTIONS(3230),
    [anon_sym_public] = ACTIONS(3230),
    [anon_sym_private] = ACTIONS(3230),
    [anon_sym_internal] = ACTIONS(3230),
    [anon_sym_fileprivate] = ACTIONS(3230),
    [anon_sym_open] = ACTIONS(3230),
    [anon_sym_mutating] = ACTIONS(3230),
    [anon_sym_nonmutating] = ACTIONS(3230),
    [anon_sym_static] = ACTIONS(3230),
    [anon_sym_dynamic] = ACTIONS(3230),
    [anon_sym_optional] = ACTIONS(3230),
    [anon_sym_distributed] = ACTIONS(3230),
    [anon_sym_final] = ACTIONS(3230),
    [anon_sym_inout] = ACTIONS(3230),
    [anon_sym_ATescaping] = ACTIONS(3230),
    [anon_sym_ATautoclosure] = ACTIONS(3230),
    [anon_sym_weak] = ACTIONS(3230),
    [anon_sym_unowned] = ACTIONS(3232),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3230),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3230),
    [anon_sym_borrowing] = ACTIONS(3230),
    [anon_sym_consuming] = ACTIONS(3230),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3230),
    [sym__explicit_semi] = ACTIONS(3230),
    [sym__dot_custom] = ACTIONS(3230),
    [sym__conjunction_operator_custom] = ACTIONS(3230),
    [sym__disjunction_operator_custom] = ACTIONS(3230),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3230),
    [sym__eq_custom] = ACTIONS(3230),
    [sym__eq_eq_custom] = ACTIONS(3230),
    [sym__plus_then_ws] = ACTIONS(3230),
    [sym__minus_then_ws] = ACTIONS(3230),
    [sym__bang_custom] = ACTIONS(3230),
    [sym_default_keyword] = ACTIONS(3230),
    [sym__as_custom] = ACTIONS(3230),
    [sym__as_quest_custom] = ACTIONS(3230),
    [sym__as_bang_custom] = ACTIONS(3230),
    [sym__custom_operator] = ACTIONS(3230),
  },
  [1242] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3112),
    [anon_sym_package] = ACTIONS(3112),
    [anon_sym_COMMA] = ACTIONS(3112),
    [anon_sym_LPAREN] = ACTIONS(3112),
    [anon_sym_LBRACK] = ACTIONS(3112),
    [anon_sym_QMARK] = ACTIONS(3114),
    [anon_sym_QMARK2] = ACTIONS(3112),
    [anon_sym_AMP] = ACTIONS(3112),
    [aux_sym_custom_operator_token1] = ACTIONS(3112),
    [anon_sym_LT] = ACTIONS(3114),
    [anon_sym_GT] = ACTIONS(3114),
    [anon_sym_LBRACE] = ACTIONS(3112),
    [anon_sym_CARET_LBRACE] = ACTIONS(3112),
    [anon_sym_RBRACE] = ACTIONS(3112),
    [anon_sym_case] = ACTIONS(3112),
    [anon_sym_fallthrough] = ACTIONS(3112),
    [anon_sym_PLUS_EQ] = ACTIONS(3112),
    [anon_sym_DASH_EQ] = ACTIONS(3112),
    [anon_sym_STAR_EQ] = ACTIONS(3112),
    [anon_sym_SLASH_EQ] = ACTIONS(3112),
    [anon_sym_PERCENT_EQ] = ACTIONS(3112),
    [anon_sym_BANG_EQ] = ACTIONS(3114),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3112),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3112),
    [anon_sym_LT_EQ] = ACTIONS(3112),
    [anon_sym_GT_EQ] = ACTIONS(3112),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3112),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3112),
    [anon_sym_is] = ACTIONS(3112),
    [anon_sym_PLUS] = ACTIONS(3114),
    [anon_sym_DASH] = ACTIONS(3114),
    [anon_sym_STAR] = ACTIONS(3114),
    [anon_sym_SLASH] = ACTIONS(3114),
    [anon_sym_PERCENT] = ACTIONS(3114),
    [anon_sym_PLUS_PLUS] = ACTIONS(3112),
    [anon_sym_DASH_DASH] = ACTIONS(3112),
    [anon_sym_PIPE] = ACTIONS(3112),
    [anon_sym_CARET] = ACTIONS(3114),
    [anon_sym_LT_LT] = ACTIONS(3112),
    [anon_sym_GT_GT] = ACTIONS(3112),
    [anon_sym_class] = ACTIONS(3112),
    [anon_sym_BANG2] = ACTIONS(3114),
    [anon_sym_prefix] = ACTIONS(3112),
    [anon_sym_infix] = ACTIONS(3112),
    [anon_sym_postfix] = ACTIONS(3112),
    [anon_sym_AT] = ACTIONS(3114),
    [anon_sym_override] = ACTIONS(3112),
    [anon_sym_convenience] = ACTIONS(3112),
    [anon_sym_required] = ACTIONS(3112),
    [anon_sym_nonisolated] = ACTIONS(3112),
    [anon_sym_public] = ACTIONS(3112),
    [anon_sym_private] = ACTIONS(3112),
    [anon_sym_internal] = ACTIONS(3112),
    [anon_sym_fileprivate] = ACTIONS(3112),
    [anon_sym_open] = ACTIONS(3112),
    [anon_sym_mutating] = ACTIONS(3112),
    [anon_sym_nonmutating] = ACTIONS(3112),
    [anon_sym_static] = ACTIONS(3112),
    [anon_sym_dynamic] = ACTIONS(3112),
    [anon_sym_optional] = ACTIONS(3112),
    [anon_sym_distributed] = ACTIONS(3112),
    [anon_sym_final] = ACTIONS(3112),
    [anon_sym_inout] = ACTIONS(3112),
    [anon_sym_ATescaping] = ACTIONS(3112),
    [anon_sym_ATautoclosure] = ACTIONS(3112),
    [anon_sym_weak] = ACTIONS(3112),
    [anon_sym_unowned] = ACTIONS(3114),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3112),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3112),
    [anon_sym_borrowing] = ACTIONS(3112),
    [anon_sym_consuming] = ACTIONS(3112),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3112),
    [sym__explicit_semi] = ACTIONS(3112),
    [sym__dot_custom] = ACTIONS(3112),
    [sym__conjunction_operator_custom] = ACTIONS(3112),
    [sym__disjunction_operator_custom] = ACTIONS(3112),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3112),
    [sym__eq_custom] = ACTIONS(3112),
    [sym__eq_eq_custom] = ACTIONS(3112),
    [sym__plus_then_ws] = ACTIONS(3112),
    [sym__minus_then_ws] = ACTIONS(3112),
    [sym__bang_custom] = ACTIONS(3112),
    [sym_default_keyword] = ACTIONS(3112),
    [sym__as_custom] = ACTIONS(3112),
    [sym__as_quest_custom] = ACTIONS(3112),
    [sym__as_bang_custom] = ACTIONS(3112),
    [sym__custom_operator] = ACTIONS(3112),
  },
  [1243] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(3086),
    [anon_sym_package] = ACTIONS(3086),
    [anon_sym_COMMA] = ACTIONS(3086),
    [anon_sym_LPAREN] = ACTIONS(3086),
    [anon_sym_LBRACK] = ACTIONS(3086),
    [anon_sym_QMARK] = ACTIONS(3088),
    [anon_sym_QMARK2] = ACTIONS(3086),
    [anon_sym_AMP] = ACTIONS(3086),
    [aux_sym_custom_operator_token1] = ACTIONS(3086),
    [anon_sym_LT] = ACTIONS(3088),
    [anon_sym_GT] = ACTIONS(3088),
    [anon_sym_LBRACE] = ACTIONS(3086),
    [anon_sym_CARET_LBRACE] = ACTIONS(3086),
    [anon_sym_RBRACE] = ACTIONS(3086),
    [anon_sym_case] = ACTIONS(3086),
    [anon_sym_fallthrough] = ACTIONS(3086),
    [anon_sym_PLUS_EQ] = ACTIONS(3086),
    [anon_sym_DASH_EQ] = ACTIONS(3086),
    [anon_sym_STAR_EQ] = ACTIONS(3086),
    [anon_sym_SLASH_EQ] = ACTIONS(3086),
    [anon_sym_PERCENT_EQ] = ACTIONS(3086),
    [anon_sym_BANG_EQ] = ACTIONS(3088),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3086),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3086),
    [anon_sym_LT_EQ] = ACTIONS(3086),
    [anon_sym_GT_EQ] = ACTIONS(3086),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3086),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3086),
    [anon_sym_is] = ACTIONS(3086),
    [anon_sym_PLUS] = ACTIONS(3088),
    [anon_sym_DASH] = ACTIONS(3088),
    [anon_sym_STAR] = ACTIONS(3088),
    [anon_sym_SLASH] = ACTIONS(3088),
    [anon_sym_PERCENT] = ACTIONS(3088),
    [anon_sym_PLUS_PLUS] = ACTIONS(3086),
    [anon_sym_DASH_DASH] = ACTIONS(3086),
    [anon_sym_PIPE] = ACTIONS(3086),
    [anon_sym_CARET] = ACTIONS(3088),
    [anon_sym_LT_LT] = ACTIONS(3086),
    [anon_sym_GT_GT] = ACTIONS(3086),
    [anon_sym_class] = ACTIONS(3086),
    [anon_sym_BANG2] = ACTIONS(3088),
    [anon_sym_prefix] = ACTIONS(3086),
    [anon_sym_infix] = ACTIONS(3086),
    [anon_sym_postfix] = ACTIONS(3086),
    [anon_sym_AT] = ACTIONS(3088),
    [anon_sym_override] = ACTIONS(3086),
    [anon_sym_convenience] = ACTIONS(3086),
    [anon_sym_required] = ACTIONS(3086),
    [anon_sym_nonisolated] = ACTIONS(3086),
    [anon_sym_public] = ACTIONS(3086),
    [anon_sym_private] = ACTIONS(3086),
    [anon_sym_internal] = ACTIONS(3086),
    [anon_sym_fileprivate] = ACTIONS(3086),
    [anon_sym_open] = ACTIONS(3086),
    [anon_sym_mutating] = ACTIONS(3086),
    [anon_sym_nonmutating] = ACTIONS(3086),
    [anon_sym_static] = ACTIONS(3086),
    [anon_sym_dynamic] = ACTIONS(3086),
    [anon_sym_optional] = ACTIONS(3086),
    [anon_sym_distributed] = ACTIONS(3086),
    [anon_sym_final] = ACTIONS(3086),
    [anon_sym_inout] = ACTIONS(3086),
    [anon_sym_ATescaping] = ACTIONS(3086),
    [anon_sym_ATautoclosure] = ACTIONS(3086),
    [anon_sym_weak] = ACTIONS(3086),
    [anon_sym_unowned] = ACTIONS(3088),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3086),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3086),
    [anon_sym_borrowing] = ACTIONS(3086),
    [anon_sym_consuming] = ACTIONS(3086),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3086),
    [sym__explicit_semi] = ACTIONS(3086),
    [sym__dot_custom] = ACTIONS(3086),
    [sym__conjunction_operator_custom] = ACTIONS(3086),
    [sym__disjunction_operator_custom] = ACTIONS(3086),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3086),
    [sym__eq_custom] = ACTIONS(3086),
    [sym__eq_eq_custom] = ACTIONS(3086),
    [sym__plus_then_ws] = ACTIONS(3086),
    [sym__minus_then_ws] = ACTIONS(3086),
    [sym__bang_custom] = ACTIONS(3086),
    [sym_default_keyword] = ACTIONS(3086),
    [sym__as_custom] = ACTIONS(3086),
    [sym__as_quest_custom] = ACTIONS(3086),
    [sym__as_bang_custom] = ACTIONS(3086),
    [sym__custom_operator] = ACTIONS(3086),
  },
  [1244] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_lazy] = ACTIONS(4013),
    [anon_sym_package] = ACTIONS(4013),
    [anon_sym_LPAREN] = ACTIONS(3076),
    [anon_sym_LBRACK] = ACTIONS(3076),
    [anon_sym_QMARK] = ACTIONS(3081),
    [anon_sym_QMARK2] = ACTIONS(3076),
    [anon_sym_AMP] = ACTIONS(3076),
    [aux_sym_custom_operator_token1] = ACTIONS(3076),
    [anon_sym_LT] = ACTIONS(3081),
    [anon_sym_GT] = ACTIONS(3081),
    [anon_sym_LBRACE] = ACTIONS(3076),
    [anon_sym_CARET_LBRACE] = ACTIONS(3076),
    [anon_sym_RBRACE] = ACTIONS(4013),
    [anon_sym_case] = ACTIONS(4013),
    [anon_sym_fallthrough] = ACTIONS(4013),
    [anon_sym_PLUS_EQ] = ACTIONS(3076),
    [anon_sym_DASH_EQ] = ACTIONS(3076),
    [anon_sym_STAR_EQ] = ACTIONS(3076),
    [anon_sym_SLASH_EQ] = ACTIONS(3076),
    [anon_sym_PERCENT_EQ] = ACTIONS(3076),
    [anon_sym_BANG_EQ] = ACTIONS(3081),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3076),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3076),
    [anon_sym_LT_EQ] = ACTIONS(3076),
    [anon_sym_GT_EQ] = ACTIONS(3076),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3076),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3076),
    [anon_sym_is] = ACTIONS(3076),
    [anon_sym_PLUS] = ACTIONS(3081),
    [anon_sym_DASH] = ACTIONS(3081),
    [anon_sym_STAR] = ACTIONS(3081),
    [anon_sym_SLASH] = ACTIONS(3081),
    [anon_sym_PERCENT] = ACTIONS(3081),
    [anon_sym_PLUS_PLUS] = ACTIONS(3076),
    [anon_sym_DASH_DASH] = ACTIONS(3076),
    [anon_sym_PIPE] = ACTIONS(3076),
    [anon_sym_CARET] = ACTIONS(3081),
    [anon_sym_LT_LT] = ACTIONS(3076),
    [anon_sym_GT_GT] = ACTIONS(3076),
    [anon_sym_class] = ACTIONS(4013),
    [anon_sym_BANG2] = ACTIONS(3081),
    [anon_sym_prefix] = ACTIONS(4013),
    [anon_sym_infix] = ACTIONS(4013),
    [anon_sym_postfix] = ACTIONS(4013),
    [anon_sym_AT] = ACTIONS(4015),
    [anon_sym_override] = ACTIONS(4013),
    [anon_sym_convenience] = ACTIONS(4013),
    [anon_sym_required] = ACTIONS(4013),
    [anon_sym_nonisolated] = ACTIONS(4013),
    [anon_sym_public] = ACTIONS(4013),
    [anon_sym_private] = ACTIONS(4013),
    [anon_sym_internal] = ACTIONS(4013),
    [anon_sym_fileprivate] = ACTIONS(4013),
    [anon_sym_open] = ACTIONS(4013),
    [anon_sym_mutating] = ACTIONS(4013),
    [anon_sym_nonmutating] = ACTIONS(4013),
    [anon_sym_static] = ACTIONS(4013),
    [anon_sym_dynamic] = ACTIONS(4013),
    [anon_sym_optional] = ACTIONS(4013),
    [anon_sym_distributed] = ACTIONS(4013),
    [anon_sym_final] = ACTIONS(4013),
    [anon_sym_inout] = ACTIONS(4013),
    [anon_sym_ATescaping] = ACTIONS(4013),
    [anon_sym_ATautoclosure] = ACTIONS(4013),
    [anon_sym_weak] = ACTIONS(4013),
    [anon_sym_unowned] = ACTIONS(4015),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(4013),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(4013),
    [anon_sym_borrowing] = ACTIONS(4013),
    [anon_sym_consuming] = ACTIONS(4013),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(4013),
    [sym__explicit_semi] = ACTIONS(4013),
    [sym__dot_custom] = ACTIONS(3076),
    [sym__conjunction_operator_custom] = ACTIONS(3076),
    [sym__disjunction_operator_custom] = ACTIONS(3076),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3076),
    [sym__eq_custom] = ACTIONS(3076),
    [sym__eq_eq_custom] = ACTIONS(3076),
    [sym__plus_then_ws] = ACTIONS(3076),
    [sym__minus_then_ws] = ACTIONS(3076),
    [sym__bang_custom] = ACTIONS(3076),
    [sym_default_keyword] = ACTIONS(4013),
    [sym__as_custom] = ACTIONS(3076),
    [sym__as_quest_custom] = ACTIONS(3076),
    [sym__as_bang_custom] = ACTIONS(3076),
    [sym__custom_operator] = ACTIONS(3076),
  },
  [1245] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(4017),
    [aux_sym_simple_identifier_token2] = ACTIONS(4019),
    [aux_sym_simple_identifier_token3] = ACTIONS(4019),
    [aux_sym_simple_identifier_token4] = ACTIONS(4019),
    [anon_sym_actor] = ACTIONS(4017),
    [anon_sym_async] = ACTIONS(4017),
    [anon_sym_each] = ACTIONS(4017),
    [anon_sym_lazy] = ACTIONS(4017),
    [anon_sym_repeat] = ACTIONS(4017),
    [anon_sym_package] = ACTIONS(4017),
    [anon_sym_nil] = ACTIONS(4017),
    [sym_real_literal] = ACTIONS(4019),
    [sym_integer_literal] = ACTIONS(4017),
    [sym_hex_literal] = ACTIONS(4019),
    [sym_oct_literal] = ACTIONS(4019),
    [sym_bin_literal] = ACTIONS(4019),
    [anon_sym_true] = ACTIONS(4017),
    [anon_sym_false] = ACTIONS(4017),
    [anon_sym_DQUOTE] = ACTIONS(4017),
    [anon_sym_BSLASH] = ACTIONS(4019),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4019),
    [sym__extended_regex_literal] = ACTIONS(4019),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(4019),
    [sym__oneline_regex_literal] = ACTIONS(4017),
    [anon_sym_LPAREN] = ACTIONS(4019),
    [anon_sym_LBRACK] = ACTIONS(4019),
    [anon_sym_AMP] = ACTIONS(4019),
    [anon_sym_if] = ACTIONS(4017),
    [anon_sym_switch] = ACTIONS(4017),
    [anon_sym_POUNDselector] = ACTIONS(4019),
    [aux_sym_custom_operator_token1] = ACTIONS(4019),
    [anon_sym_LT] = ACTIONS(4017),
    [anon_sym_GT] = ACTIONS(4017),
    [anon_sym_await] = ACTIONS(4017),
    [anon_sym_POUNDfile] = ACTIONS(4017),
    [anon_sym_POUNDfileID] = ACTIONS(4019),
    [anon_sym_POUNDfilePath] = ACTIONS(4019),
    [anon_sym_POUNDline] = ACTIONS(4019),
    [anon_sym_POUNDcolumn] = ACTIONS(4019),
    [anon_sym_POUNDfunction] = ACTIONS(4019),
    [anon_sym_POUNDdsohandle] = ACTIONS(4019),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(4019),
    [anon_sym_POUNDfileLiteral] = ACTIONS(4019),
    [anon_sym_POUNDimageLiteral] = ACTIONS(4019),
    [anon_sym_LBRACE] = ACTIONS(4019),
    [anon_sym_CARET_LBRACE] = ACTIONS(4019),
    [anon_sym_self] = ACTIONS(4017),
    [anon_sym_super] = ACTIONS(4017),
    [anon_sym_POUNDkeyPath] = ACTIONS(4019),
    [anon_sym_try] = ACTIONS(4017),
    [anon_sym_PLUS_EQ] = ACTIONS(4019),
    [anon_sym_DASH_EQ] = ACTIONS(4019),
    [anon_sym_STAR_EQ] = ACTIONS(4019),
    [anon_sym_SLASH_EQ] = ACTIONS(4019),
    [anon_sym_PERCENT_EQ] = ACTIONS(4019),
    [anon_sym_BANG_EQ] = ACTIONS(4017),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4019),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4019),
    [anon_sym_LT_EQ] = ACTIONS(4019),
    [anon_sym_GT_EQ] = ACTIONS(4019),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4019),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4019),
    [anon_sym_PLUS] = ACTIONS(4017),
    [anon_sym_DASH] = ACTIONS(4017),
    [anon_sym_STAR] = ACTIONS(4017),
    [anon_sym_SLASH] = ACTIONS(4017),
    [anon_sym_PERCENT] = ACTIONS(4017),
    [anon_sym_PLUS_PLUS] = ACTIONS(4019),
    [anon_sym_DASH_DASH] = ACTIONS(4019),
    [anon_sym_TILDE] = ACTIONS(4019),
    [anon_sym_PIPE] = ACTIONS(4019),
    [anon_sym_CARET] = ACTIONS(4017),
    [anon_sym_LT_LT] = ACTIONS(4019),
    [anon_sym_GT_GT] = ACTIONS(4019),
    [anon_sym_BANG2] = ACTIONS(4017),
    [anon_sym_borrowing] = ACTIONS(4017),
    [anon_sym_consuming] = ACTIONS(4017),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(4019),
    [sym_raw_str_end_part] = ACTIONS(4019),
    [sym__dot_custom] = ACTIONS(4019),
    [sym__eq_custom] = ACTIONS(4019),
    [sym__eq_eq_custom] = ACTIONS(4019),
    [sym__plus_then_ws] = ACTIONS(4019),
    [sym__minus_then_ws] = ACTIONS(4019),
    [sym__bang_custom] = ACTIONS(4019),
    [sym__custom_operator] = ACTIONS(4019),
  },
  [1246] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2451),
    [aux_sym_simple_identifier_token2] = ACTIONS(2453),
    [aux_sym_simple_identifier_token3] = ACTIONS(2453),
    [aux_sym_simple_identifier_token4] = ACTIONS(2453),
    [anon_sym_actor] = ACTIONS(2451),
    [anon_sym_async] = ACTIONS(2451),
    [anon_sym_each] = ACTIONS(2451),
    [anon_sym_lazy] = ACTIONS(2451),
    [anon_sym_repeat] = ACTIONS(2451),
    [anon_sym_package] = ACTIONS(2451),
    [anon_sym_nil] = ACTIONS(2451),
    [sym_real_literal] = ACTIONS(2453),
    [sym_integer_literal] = ACTIONS(2451),
    [sym_hex_literal] = ACTIONS(2453),
    [sym_oct_literal] = ACTIONS(2453),
    [sym_bin_literal] = ACTIONS(2453),
    [anon_sym_true] = ACTIONS(2451),
    [anon_sym_false] = ACTIONS(2451),
    [anon_sym_DQUOTE] = ACTIONS(2451),
    [anon_sym_BSLASH] = ACTIONS(2453),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2453),
    [sym__extended_regex_literal] = ACTIONS(2453),
    [aux_sym__multiline_regex_literal_token1] = ACTIONS(2453),
    [sym__oneline_regex_literal] = ACTIONS(2451),
    [anon_sym_LPAREN] = ACTIONS(2453),
    [anon_sym_LBRACK] = ACTIONS(2453),
    [anon_sym_AMP] = ACTIONS(2453),
    [anon_sym_if] = ACTIONS(2451),
    [anon_sym_switch] = ACTIONS(2451),
    [anon_sym_POUNDselector] = ACTIONS(2453),
    [aux_sym_custom_operator_token1] = ACTIONS(2453),
    [anon_sym_LT] = ACTIONS(2451),
    [anon_sym_GT] = ACTIONS(2451),
    [anon_sym_await] = ACTIONS(2451),
    [anon_sym_POUNDfile] = ACTIONS(2451),
    [anon_sym_POUNDfileID] = ACTIONS(2453),
    [anon_sym_POUNDfilePath] = ACTIONS(2453),
    [anon_sym_POUNDline] = ACTIONS(2453),
    [anon_sym_POUNDcolumn] = ACTIONS(2453),
    [anon_sym_POUNDfunction] = ACTIONS(2453),
    [anon_sym_POUNDdsohandle] = ACTIONS(2453),
    [anon_sym_POUNDcolorLiteral] = ACTIONS(2453),
    [anon_sym_POUNDfileLiteral] = ACTIONS(2453),
    [anon_sym_POUNDimageLiteral] = ACTIONS(2453),
    [anon_sym_LBRACE] = ACTIONS(2453),
    [anon_sym_CARET_LBRACE] = ACTIONS(2453),
    [anon_sym_self] = ACTIONS(2451),
    [anon_sym_super] = ACTIONS(2451),
    [anon_sym_POUNDkeyPath] = ACTIONS(2453),
    [anon_sym_try] = ACTIONS(2451),
    [anon_sym_PLUS_EQ] = ACTIONS(2453),
    [anon_sym_DASH_EQ] = ACTIONS(2453),
    [anon_sym_STAR_EQ] = ACTIONS(2453),
    [anon_sym_SLASH_EQ] = ACTIONS(2453),
    [anon_sym_PERCENT_EQ] = ACTIONS(2453),
    [anon_sym_BANG_EQ] = ACTIONS(2451),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2453),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2453),
    [anon_sym_LT_EQ] = ACTIONS(2453),
    [anon_sym_GT_EQ] = ACTIONS(2453),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2453),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2453),
    [anon_sym_PLUS] = ACTIONS(2451),
    [anon_sym_DASH] = ACTIONS(2451),
    [anon_sym_STAR] = ACTIONS(2451),
    [anon_sym_SLASH] = ACTIONS(2451),
    [anon_sym_PERCENT] = ACTIONS(2451),
    [anon_sym_PLUS_PLUS] = ACTIONS(2453),
    [anon_sym_DASH_DASH] = ACTIONS(2453),
    [anon_sym_TILDE] = ACTIONS(2453),
    [anon_sym_PIPE] = ACTIONS(2453),
    [anon_sym_CARET] = ACTIONS(2451),
    [anon_sym_LT_LT] = ACTIONS(2453),
    [anon_sym_GT_GT] = ACTIONS(2453),
    [anon_sym_BANG2] = ACTIONS(2451),
    [anon_sym_borrowing] = ACTIONS(2451),
    [anon_sym_consuming] = ACTIONS(2451),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym_raw_str_part] = ACTIONS(2453),
    [sym_raw_str_end_part] = ACTIONS(2453),
    [sym__dot_custom] = ACTIONS(2453),
    [sym__eq_custom] = ACTIONS(2453),
    [sym__eq_eq_custom] = ACTIONS(2453),
    [sym__plus_then_ws] = ACTIONS(2453),
    [sym__minus_then_ws] = ACTIONS(2453),
    [sym__bang_custom] = ACTIONS(2453),
    [sym__custom_operator] = ACTIONS(2453),
  },
  [1247] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(637),
    [aux_sym_simple_identifier_token2] = ACTIONS(631),
    [aux_sym_simple_identifier_token3] = ACTIONS(631),
    [aux_sym_simple_identifier_token4] = ACTIONS(631),
    [anon_sym_actor] = ACTIONS(2999),
    [anon_sym_async] = ACTIONS(2999),
    [anon_sym_each] = ACTIONS(637),
    [anon_sym_lazy] = ACTIONS(2999),
    [anon_sym_repeat] = ACTIONS(637),
    [anon_sym_package] = ACTIONS(637),
    [anon_sym_COMMA] = ACTIONS(631),
    [anon_sym_COLON] = ACTIONS(631),
    [anon_sym_LPAREN] = ACTIONS(631),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_QMARK] = ACTIONS(637),
    [anon_sym_QMARK2] = ACTIONS(631),
    [anon_sym_AMP] = ACTIONS(631),
    [aux_sym_custom_operator_token1] = ACTIONS(631),
    [anon_sym_LT] = ACTIONS(637),
    [anon_sym_GT] = ACTIONS(637),
    [anon_sym_LBRACE] = ACTIONS(631),
    [anon_sym_CARET_LBRACE] = ACTIONS(631),
    [anon_sym_RBRACE] = ACTIONS(631),
    [anon_sym_in] = ACTIONS(637),
    [anon_sym_PLUS_EQ] = ACTIONS(631),
    [anon_sym_DASH_EQ] = ACTIONS(631),
    [anon_sym_STAR_EQ] = ACTIONS(631),
    [anon_sym_SLASH_EQ] = ACTIONS(631),
    [anon_sym_PERCENT_EQ] = ACTIONS(631),
    [anon_sym_BANG_EQ] = ACTIONS(637),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(631),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(631),
    [anon_sym_LT_EQ] = ACTIONS(631),
    [anon_sym_GT_EQ] = ACTIONS(631),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(631),
    [anon_sym_DOT_DOT_LT] = ACTIONS(631),
    [anon_sym_is] = ACTIONS(637),
    [anon_sym_PLUS] = ACTIONS(637),
    [anon_sym_DASH] = ACTIONS(637),
    [anon_sym_STAR] = ACTIONS(637),
    [anon_sym_SLASH] = ACTIONS(637),
    [anon_sym_PERCENT] = ACTIONS(637),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PIPE] = ACTIONS(631),
    [anon_sym_CARET] = ACTIONS(637),
    [anon_sym_LT_LT] = ACTIONS(631),
    [anon_sym_GT_GT] = ACTIONS(631),
    [anon_sym_typealias] = ACTIONS(3002),
    [anon_sym_struct] = ACTIONS(3002),
    [anon_sym_class] = ACTIONS(3002),
    [anon_sym_enum] = ACTIONS(3002),
    [anon_sym_let] = ACTIONS(3002),
    [anon_sym_var] = ACTIONS(3002),
    [anon_sym_func] = ACTIONS(3002),
    [anon_sym_extension] = ACTIONS(3002),
    [anon_sym_indirect] = ACTIONS(3002),
    [anon_sym_BANG2] = ACTIONS(637),
    [anon_sym_AT] = ACTIONS(3004),
    [anon_sym_final] = ACTIONS(3002),
    [anon_sym_weak] = ACTIONS(3002),
    [anon_sym_unowned] = ACTIONS(3002),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3004),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3004),
    [anon_sym_borrowing] = ACTIONS(637),
    [anon_sym_consuming] = ACTIONS(637),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(631),
    [sym__explicit_semi] = ACTIONS(631),
    [sym__arrow_operator_custom] = ACTIONS(631),
    [sym__dot_custom] = ACTIONS(631),
    [sym__conjunction_operator_custom] = ACTIONS(631),
    [sym__disjunction_operator_custom] = ACTIONS(631),
    [sym__nil_coalescing_operator_custom] = ACTIONS(631),
    [sym__eq_custom] = ACTIONS(631),
    [sym__eq_eq_custom] = ACTIONS(631),
    [sym__plus_then_ws] = ACTIONS(631),
    [sym__minus_then_ws] = ACTIONS(631),
    [sym__bang_custom] = ACTIONS(631),
    [sym__throws_keyword] = ACTIONS(631),
    [sym__rethrows_keyword] = ACTIONS(631),
    [sym__as_custom] = ACTIONS(631),
    [sym__as_quest_custom] = ACTIONS(631),
    [sym__as_bang_custom] = ACTIONS(631),
    [sym__async_keyword_custom] = ACTIONS(631),
    [sym__custom_operator] = ACTIONS(631),
  },
  [1248] = {
    [sym_simple_identifier] = STATE(2068),
    [sym__contextual_simple_identifier] = STATE(2217),
    [sym__unannotated_type] = STATE(2053),
    [sym_user_type] = STATE(2174),
    [sym__simple_user_type] = STATE(2099),
    [sym_tuple_type] = STATE(1943),
    [sym_function_type] = STATE(2053),
    [sym_array_type] = STATE(2174),
    [sym_dictionary_type] = STATE(2174),
    [sym_optional_type] = STATE(2053),
    [sym_metatype] = STATE(2053),
    [sym_opaque_type] = STATE(2053),
    [sym_existential_type] = STATE(2053),
    [sym_type_parameter_pack] = STATE(2053),
    [sym_type_pack_expansion] = STATE(2053),
    [sym_protocol_composition_type] = STATE(2053),
    [sym__parenthesized_type] = STATE(2575),
    [sym__parameter_ownership_modifier] = STATE(2217),
    [sym_comment] = ACTIONS(5),
    [aux_sym_simple_identifier_token1] = ACTIONS(4021),
    [aux_sym_simple_identifier_token2] = ACTIONS(4023),
    [aux_sym_simple_identifier_token3] = ACTIONS(4023),
    [aux_sym_simple_identifier_token4] = ACTIONS(4023),
    [anon_sym_actor] = ACTIONS(4021),
    [anon_sym_async] = ACTIONS(4021),
    [anon_sym_each] = ACTIONS(4025),
    [anon_sym_lazy] = ACTIONS(4027),
    [anon_sym_repeat] = ACTIONS(4030),
    [anon_sym_package] = ACTIONS(4027),
    [anon_sym_COMMA] = ACTIONS(631),
    [anon_sym_COLON] = ACTIONS(631),
    [anon_sym_LPAREN] = ACTIONS(4032),
    [anon_sym_LBRACK] = ACTIONS(4034),
    [anon_sym_DOT] = ACTIONS(631),
    [anon_sym_QMARK] = ACTIONS(637),
    [anon_sym_QMARK2] = ACTIONS(631),
    [anon_sym_some] = ACTIONS(4036),
    [anon_sym_any] = ACTIONS(4038),
    [anon_sym_AMP] = ACTIONS(631),
    [anon_sym_LT] = ACTIONS(631),
    [anon_sym_LBRACE] = ACTIONS(631),
    [anon_sym_RBRACE] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(637),
    [anon_sym_fallthrough] = ACTIONS(637),
    [anon_sym_class] = ACTIONS(637),
    [anon_sym_prefix] = ACTIONS(637),
    [anon_sym_infix] = ACTIONS(637),
    [anon_sym_postfix] = ACTIONS(637),
    [anon_sym_AT] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_convenience] = ACTIONS(637),
    [anon_sym_required] = ACTIONS(637),
    [anon_sym_nonisolated] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_internal] = ACTIONS(637),
    [anon_sym_fileprivate] = ACTIONS(637),
    [anon_sym_open] = ACTIONS(637),
    [anon_sym_mutating] = ACTIONS(637),
    [anon_sym_nonmutating] = ACTIONS(637),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_dynamic] = ACTIONS(637),
    [anon_sym_optional] = ACTIONS(637),
    [anon_sym_distributed] = ACTIONS(637),
    [anon_sym_final] = ACTIONS(637),
    [anon_sym_inout] = ACTIONS(637),
    [anon_sym_ATescaping] = ACTIONS(631),
    [anon_sym_ATautoclosure] = ACTIONS(631),
    [anon_sym_weak] = ACTIONS(637),
    [anon_sym_unowned] = ACTIONS(637),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(631),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(631),
    [anon_sym_borrowing] = ACTIONS(4027),
    [anon_sym_consuming] = ACTIONS(4027),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(631),
    [sym__explicit_semi] = ACTIONS(631),
    [sym__arrow_operator_custom] = ACTIONS(631),
    [sym__dot_custom] = ACTIONS(631),
    [sym__eq_custom] = ACTIONS(631),
    [sym__throws_keyword] = ACTIONS(631),
    [sym__rethrows_keyword] = ACTIONS(631),
    [sym_default_keyword] = ACTIONS(631),
    [sym_where_keyword] = ACTIONS(631),
    [sym__as_custom] = ACTIONS(631),
    [sym__async_keyword_custom] = ACTIONS(631),
  },
  [1249] = {
    [sym_simple_identifier] = STATE(2068),
    [sym__contextual_simple_identifier] = STATE(2217),
    [sym__unannotated_type] = STATE(2046),
    [sym_user_type] = STATE(2174),
    [sym__simple_user_type] = STATE(2099),
    [sym_tuple_type] = STATE(1943),
    [sym_function_type] = STATE(2046),
    [sym_array_type] = STATE(2174),
    [sym_dictionary_type] = STATE(2174),
    [sym_optional_type] = STATE(2046),
    [sym_metatype] = STATE(2046),
    [sym_opaque_type] = STATE(2046),
    [sym_existential_type] = STATE(2046),
    [sym_type_parameter_pack] = STATE(2046),
    [sym_type_pack_expansion] = STATE(2046),
    [sym_protocol_composition_type] = STATE(2046),
    [sym__parenthesized_type] = STATE(2575),
    [sym__parameter_ownership_modifier] = STATE(2217),
    [sym_comment] = ACTIONS(5),
    [aux_sym_simple_identifier_token1] = ACTIONS(4021),
    [aux_sym_simple_identifier_token2] = ACTIONS(4023),
    [aux_sym_simple_identifier_token3] = ACTIONS(4023),
    [aux_sym_simple_identifier_token4] = ACTIONS(4023),
    [anon_sym_actor] = ACTIONS(4021),
    [anon_sym_async] = ACTIONS(4021),
    [anon_sym_each] = ACTIONS(4025),
    [anon_sym_lazy] = ACTIONS(4027),
    [anon_sym_repeat] = ACTIONS(4030),
    [anon_sym_package] = ACTIONS(4027),
    [anon_sym_COMMA] = ACTIONS(631),
    [anon_sym_COLON] = ACTIONS(631),
    [anon_sym_LPAREN] = ACTIONS(4032),
    [anon_sym_LBRACK] = ACTIONS(4034),
    [anon_sym_DOT] = ACTIONS(631),
    [anon_sym_QMARK] = ACTIONS(637),
    [anon_sym_QMARK2] = ACTIONS(631),
    [anon_sym_some] = ACTIONS(4036),
    [anon_sym_any] = ACTIONS(4038),
    [anon_sym_AMP] = ACTIONS(631),
    [anon_sym_LT] = ACTIONS(631),
    [anon_sym_LBRACE] = ACTIONS(631),
    [anon_sym_RBRACE] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(637),
    [anon_sym_fallthrough] = ACTIONS(637),
    [anon_sym_class] = ACTIONS(637),
    [anon_sym_prefix] = ACTIONS(637),
    [anon_sym_infix] = ACTIONS(637),
    [anon_sym_postfix] = ACTIONS(637),
    [anon_sym_AT] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_convenience] = ACTIONS(637),
    [anon_sym_required] = ACTIONS(637),
    [anon_sym_nonisolated] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_internal] = ACTIONS(637),
    [anon_sym_fileprivate] = ACTIONS(637),
    [anon_sym_open] = ACTIONS(637),
    [anon_sym_mutating] = ACTIONS(637),
    [anon_sym_nonmutating] = ACTIONS(637),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_dynamic] = ACTIONS(637),
    [anon_sym_optional] = ACTIONS(637),
    [anon_sym_distributed] = ACTIONS(637),
    [anon_sym_final] = ACTIONS(637),
    [anon_sym_inout] = ACTIONS(637),
    [anon_sym_ATescaping] = ACTIONS(631),
    [anon_sym_ATautoclosure] = ACTIONS(631),
    [anon_sym_weak] = ACTIONS(637),
    [anon_sym_unowned] = ACTIONS(637),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(631),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(631),
    [anon_sym_borrowing] = ACTIONS(4027),
    [anon_sym_consuming] = ACTIONS(4027),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(631),
    [sym__explicit_semi] = ACTIONS(631),
    [sym__arrow_operator_custom] = ACTIONS(631),
    [sym__dot_custom] = ACTIONS(631),
    [sym__eq_custom] = ACTIONS(631),
    [sym__throws_keyword] = ACTIONS(631),
    [sym__rethrows_keyword] = ACTIONS(631),
    [sym_default_keyword] = ACTIONS(631),
    [sym_where_keyword] = ACTIONS(631),
    [sym__as_custom] = ACTIONS(631),
    [sym__async_keyword_custom] = ACTIONS(631),
  },
  [1250] = {
    [sym__quest] = STATE(553),
    [sym__immediate_quest] = STATE(2293),
    [sym__range_operator] = STATE(358),
    [sym_custom_operator] = STATE(343),
    [sym_navigation_suffix] = STATE(2298),
    [sym_call_suffix] = STATE(2303),
    [sym__fn_call_lambda_arguments] = STATE(2304),
    [sym_value_arguments] = STATE(1951),
    [sym_lambda_literal] = STATE(1480),
    [sym_where_clause] = STATE(6071),
    [sym__equality_operator] = STATE(337),
    [sym__comparison_operator] = STATE(328),
    [sym__three_dot_operator] = STATE(833),
    [sym__open_ended_range_operator] = STATE(358),
    [sym__is_operator] = STATE(3855),
    [sym__additive_operator] = STATE(543),
    [sym__multiplicative_operator] = STATE(539),
    [sym_as_operator] = STATE(3856),
    [sym__bitwise_binary_operator] = STATE(366),
    [sym__postfix_unary_operator] = STATE(2182),
    [sym__eq_eq] = STATE(337),
    [sym__dot] = STATE(4703),
    [sym__conjunction_operator] = STATE(289),
    [sym__disjunction_operator] = STATE(313),
    [sym__nil_coalescing_operator] = STATE(309),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(2182),
    [ts_builtin_sym_end] = ACTIONS(2638),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(2638),
    [anon_sym_LPAREN] = ACTIONS(4040),
    [anon_sym_LBRACK] = ACTIONS(4042),
    [anon_sym_QMARK] = ACTIONS(4044),
    [anon_sym_QMARK2] = ACTIONS(4046),
    [anon_sym_AMP] = ACTIONS(4048),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4050),
    [anon_sym_GT] = ACTIONS(4050),
    [anon_sym_LBRACE] = ACTIONS(4052),
    [anon_sym_CARET_LBRACE] = ACTIONS(4052),
    [anon_sym_RBRACE] = ACTIONS(2638),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4054),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4056),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4056),
    [anon_sym_LT_EQ] = ACTIONS(4058),
    [anon_sym_GT_EQ] = ACTIONS(4058),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1023),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4060),
    [anon_sym_is] = ACTIONS(4062),
    [anon_sym_PLUS] = ACTIONS(4064),
    [anon_sym_DASH] = ACTIONS(4064),
    [anon_sym_STAR] = ACTIONS(4066),
    [anon_sym_SLASH] = ACTIONS(4066),
    [anon_sym_PERCENT] = ACTIONS(4066),
    [anon_sym_PLUS_PLUS] = ACTIONS(4068),
    [anon_sym_DASH_DASH] = ACTIONS(4068),
    [anon_sym_PIPE] = ACTIONS(4048),
    [anon_sym_CARET] = ACTIONS(4070),
    [anon_sym_LT_LT] = ACTIONS(4048),
    [anon_sym_GT_GT] = ACTIONS(4048),
    [anon_sym_BANG2] = ACTIONS(4072),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2638),
    [sym__explicit_semi] = ACTIONS(2638),
    [sym__dot_custom] = ACTIONS(4074),
    [sym__conjunction_operator_custom] = ACTIONS(4076),
    [sym__disjunction_operator_custom] = ACTIONS(4078),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4080),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4056),
    [sym__plus_then_ws] = ACTIONS(4082),
    [sym__minus_then_ws] = ACTIONS(4082),
    [sym__bang_custom] = ACTIONS(4084),
    [sym_where_keyword] = ACTIONS(4086),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1251] = {
    [sym__quest] = STATE(553),
    [sym__immediate_quest] = STATE(2293),
    [sym__range_operator] = STATE(358),
    [sym_custom_operator] = STATE(343),
    [sym_navigation_suffix] = STATE(2298),
    [sym_call_suffix] = STATE(2303),
    [sym__fn_call_lambda_arguments] = STATE(2304),
    [sym_value_arguments] = STATE(2002),
    [sym_expr_hack_at_ternary_binary_call_suffix] = STATE(2179),
    [sym_lambda_literal] = STATE(1480),
    [sym__equality_operator] = STATE(337),
    [sym__comparison_operator] = STATE(328),
    [sym__three_dot_operator] = STATE(833),
    [sym__open_ended_range_operator] = STATE(358),
    [sym__is_operator] = STATE(3855),
    [sym__additive_operator] = STATE(543),
    [sym__multiplicative_operator] = STATE(539),
    [sym_as_operator] = STATE(3856),
    [sym__bitwise_binary_operator] = STATE(366),
    [sym__postfix_unary_operator] = STATE(2182),
    [sym__eq_eq] = STATE(337),
    [sym__dot] = STATE(4703),
    [sym__conjunction_operator] = STATE(289),
    [sym__disjunction_operator] = STATE(313),
    [sym__nil_coalescing_operator] = STATE(309),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(2182),
    [ts_builtin_sym_end] = ACTIONS(2494),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(2494),
    [anon_sym_LPAREN] = ACTIONS(4040),
    [anon_sym_LBRACK] = ACTIONS(4042),
    [anon_sym_QMARK] = ACTIONS(2500),
    [anon_sym_QMARK2] = ACTIONS(4046),
    [anon_sym_AMP] = ACTIONS(4048),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4050),
    [anon_sym_GT] = ACTIONS(4050),
    [anon_sym_LBRACE] = ACTIONS(2494),
    [anon_sym_CARET_LBRACE] = ACTIONS(2494),
    [anon_sym_RBRACE] = ACTIONS(2494),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4054),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4056),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4056),
    [anon_sym_LT_EQ] = ACTIONS(4058),
    [anon_sym_GT_EQ] = ACTIONS(4058),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1023),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4060),
    [anon_sym_is] = ACTIONS(4062),
    [anon_sym_PLUS] = ACTIONS(4064),
    [anon_sym_DASH] = ACTIONS(4064),
    [anon_sym_STAR] = ACTIONS(4066),
    [anon_sym_SLASH] = ACTIONS(4066),
    [anon_sym_PERCENT] = ACTIONS(4066),
    [anon_sym_PLUS_PLUS] = ACTIONS(4068),
    [anon_sym_DASH_DASH] = ACTIONS(4068),
    [anon_sym_PIPE] = ACTIONS(4048),
    [anon_sym_CARET] = ACTIONS(4070),
    [anon_sym_LT_LT] = ACTIONS(4048),
    [anon_sym_GT_GT] = ACTIONS(4048),
    [anon_sym_BANG2] = ACTIONS(4072),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2494),
    [sym__explicit_semi] = ACTIONS(2494),
    [sym__dot_custom] = ACTIONS(4074),
    [sym__conjunction_operator_custom] = ACTIONS(4076),
    [sym__disjunction_operator_custom] = ACTIONS(4078),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4080),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4056),
    [sym__plus_then_ws] = ACTIONS(4082),
    [sym__minus_then_ws] = ACTIONS(4082),
    [sym__bang_custom] = ACTIONS(4084),
    [sym_where_keyword] = ACTIONS(2494),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1252] = {
    [sym_simple_identifier] = STATE(2319),
    [sym__contextual_simple_identifier] = STATE(2609),
    [sym__unannotated_type] = STATE(2347),
    [sym_user_type] = STATE(2589),
    [sym__simple_user_type] = STATE(2346),
    [sym_tuple_type] = STATE(2038),
    [sym_function_type] = STATE(2347),
    [sym_array_type] = STATE(2589),
    [sym_dictionary_type] = STATE(2589),
    [sym_optional_type] = STATE(2347),
    [sym_metatype] = STATE(2347),
    [sym_opaque_type] = STATE(2347),
    [sym_existential_type] = STATE(2347),
    [sym_type_parameter_pack] = STATE(2347),
    [sym_type_pack_expansion] = STATE(2347),
    [sym_protocol_composition_type] = STATE(2347),
    [sym__parenthesized_type] = STATE(3104),
    [sym__parameter_ownership_modifier] = STATE(2609),
    [sym_comment] = ACTIONS(5),
    [aux_sym_simple_identifier_token1] = ACTIONS(4088),
    [aux_sym_simple_identifier_token2] = ACTIONS(4090),
    [aux_sym_simple_identifier_token3] = ACTIONS(4090),
    [aux_sym_simple_identifier_token4] = ACTIONS(4090),
    [anon_sym_actor] = ACTIONS(4088),
    [anon_sym_async] = ACTIONS(4088),
    [anon_sym_each] = ACTIONS(4092),
    [anon_sym_lazy] = ACTIONS(4094),
    [anon_sym_repeat] = ACTIONS(4097),
    [anon_sym_package] = ACTIONS(4094),
    [anon_sym_COMMA] = ACTIONS(631),
    [anon_sym_BANG] = ACTIONS(631),
    [anon_sym_LPAREN] = ACTIONS(4099),
    [anon_sym_LBRACK] = ACTIONS(4101),
    [anon_sym_DOT] = ACTIONS(631),
    [anon_sym_QMARK2] = ACTIONS(631),
    [anon_sym_some] = ACTIONS(4103),
    [anon_sym_any] = ACTIONS(4105),
    [anon_sym_AMP] = ACTIONS(631),
    [anon_sym_LT] = ACTIONS(631),
    [anon_sym_LBRACE] = ACTIONS(631),
    [anon_sym_RBRACE] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(637),
    [anon_sym_fallthrough] = ACTIONS(637),
    [anon_sym_class] = ACTIONS(637),
    [anon_sym_prefix] = ACTIONS(637),
    [anon_sym_infix] = ACTIONS(637),
    [anon_sym_postfix] = ACTIONS(637),
    [anon_sym_AT] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_convenience] = ACTIONS(637),
    [anon_sym_required] = ACTIONS(637),
    [anon_sym_nonisolated] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_internal] = ACTIONS(637),
    [anon_sym_fileprivate] = ACTIONS(637),
    [anon_sym_open] = ACTIONS(637),
    [anon_sym_mutating] = ACTIONS(637),
    [anon_sym_nonmutating] = ACTIONS(637),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_dynamic] = ACTIONS(637),
    [anon_sym_optional] = ACTIONS(637),
    [anon_sym_distributed] = ACTIONS(637),
    [anon_sym_final] = ACTIONS(637),
    [anon_sym_inout] = ACTIONS(637),
    [anon_sym_ATescaping] = ACTIONS(631),
    [anon_sym_ATautoclosure] = ACTIONS(631),
    [anon_sym_weak] = ACTIONS(637),
    [anon_sym_unowned] = ACTIONS(637),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(631),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(631),
    [anon_sym_borrowing] = ACTIONS(4094),
    [anon_sym_consuming] = ACTIONS(4094),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(631),
    [sym__explicit_semi] = ACTIONS(631),
    [sym__arrow_operator_custom] = ACTIONS(631),
    [sym__dot_custom] = ACTIONS(631),
    [sym__eq_custom] = ACTIONS(631),
    [sym__throws_keyword] = ACTIONS(631),
    [sym__rethrows_keyword] = ACTIONS(631),
    [sym_default_keyword] = ACTIONS(631),
    [sym_where_keyword] = ACTIONS(631),
    [sym__async_keyword_custom] = ACTIONS(631),
  },
  [1253] = {
    [sym__quest] = STATE(553),
    [sym__immediate_quest] = STATE(2293),
    [sym__range_operator] = STATE(358),
    [sym_custom_operator] = STATE(343),
    [sym_navigation_suffix] = STATE(2298),
    [sym_call_suffix] = STATE(2303),
    [sym__fn_call_lambda_arguments] = STATE(2304),
    [sym_value_arguments] = STATE(1951),
    [sym_lambda_literal] = STATE(1480),
    [sym__equality_operator] = STATE(337),
    [sym__comparison_operator] = STATE(328),
    [sym__three_dot_operator] = STATE(833),
    [sym__open_ended_range_operator] = STATE(358),
    [sym__is_operator] = STATE(3855),
    [sym__additive_operator] = STATE(543),
    [sym__multiplicative_operator] = STATE(539),
    [sym_as_operator] = STATE(3856),
    [sym__bitwise_binary_operator] = STATE(366),
    [sym__postfix_unary_operator] = STATE(2182),
    [sym__eq_eq] = STATE(337),
    [sym__dot] = STATE(4703),
    [sym__conjunction_operator] = STATE(289),
    [sym__disjunction_operator] = STATE(313),
    [sym__nil_coalescing_operator] = STATE(309),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(2182),
    [ts_builtin_sym_end] = ACTIONS(2546),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(2546),
    [anon_sym_LPAREN] = ACTIONS(2546),
    [anon_sym_LBRACK] = ACTIONS(2546),
    [anon_sym_QMARK] = ACTIONS(2548),
    [anon_sym_QMARK2] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2546),
    [aux_sym_custom_operator_token1] = ACTIONS(2546),
    [anon_sym_LT] = ACTIONS(2548),
    [anon_sym_GT] = ACTIONS(2548),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_CARET_LBRACE] = ACTIONS(2546),
    [anon_sym_RBRACE] = ACTIONS(2546),
    [anon_sym_PLUS_EQ] = ACTIONS(2546),
    [anon_sym_DASH_EQ] = ACTIONS(2546),
    [anon_sym_STAR_EQ] = ACTIONS(2546),
    [anon_sym_SLASH_EQ] = ACTIONS(2546),
    [anon_sym_PERCENT_EQ] = ACTIONS(2546),
    [anon_sym_BANG_EQ] = ACTIONS(2548),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2546),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2546),
    [anon_sym_LT_EQ] = ACTIONS(2546),
    [anon_sym_GT_EQ] = ACTIONS(2546),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2546),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2546),
    [anon_sym_is] = ACTIONS(2546),
    [anon_sym_PLUS] = ACTIONS(2548),
    [anon_sym_DASH] = ACTIONS(2548),
    [anon_sym_STAR] = ACTIONS(2548),
    [anon_sym_SLASH] = ACTIONS(2548),
    [anon_sym_PERCENT] = ACTIONS(2548),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PIPE] = ACTIONS(2546),
    [anon_sym_CARET] = ACTIONS(2548),
    [anon_sym_LT_LT] = ACTIONS(2546),
    [anon_sym_GT_GT] = ACTIONS(2546),
    [anon_sym_BANG2] = ACTIONS(2548),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2546),
    [sym__explicit_semi] = ACTIONS(2546),
    [sym__dot_custom] = ACTIONS(2546),
    [sym__conjunction_operator_custom] = ACTIONS(2546),
    [sym__disjunction_operator_custom] = ACTIONS(2546),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2546),
    [sym__eq_custom] = ACTIONS(2546),
    [sym__eq_eq_custom] = ACTIONS(2546),
    [sym__plus_then_ws] = ACTIONS(2546),
    [sym__minus_then_ws] = ACTIONS(2546),
    [sym__bang_custom] = ACTIONS(2546),
    [sym_where_keyword] = ACTIONS(2546),
    [sym__as_custom] = ACTIONS(2546),
    [sym__as_quest_custom] = ACTIONS(2546),
    [sym__as_bang_custom] = ACTIONS(2546),
    [sym__custom_operator] = ACTIONS(2546),
  },
  [1254] = {
    [sym_simple_identifier] = STATE(2319),
    [sym__contextual_simple_identifier] = STATE(2609),
    [sym__unannotated_type] = STATE(2388),
    [sym_user_type] = STATE(2589),
    [sym__simple_user_type] = STATE(2346),
    [sym_tuple_type] = STATE(2038),
    [sym_function_type] = STATE(2388),
    [sym_array_type] = STATE(2589),
    [sym_dictionary_type] = STATE(2589),
    [sym_optional_type] = STATE(2388),
    [sym_metatype] = STATE(2388),
    [sym_opaque_type] = STATE(2388),
    [sym_existential_type] = STATE(2388),
    [sym_type_parameter_pack] = STATE(2388),
    [sym_type_pack_expansion] = STATE(2388),
    [sym_protocol_composition_type] = STATE(2388),
    [sym__parenthesized_type] = STATE(3104),
    [sym__parameter_ownership_modifier] = STATE(2609),
    [sym_comment] = ACTIONS(5),
    [aux_sym_simple_identifier_token1] = ACTIONS(4088),
    [aux_sym_simple_identifier_token2] = ACTIONS(4090),
    [aux_sym_simple_identifier_token3] = ACTIONS(4090),
    [aux_sym_simple_identifier_token4] = ACTIONS(4090),
    [anon_sym_actor] = ACTIONS(4088),
    [anon_sym_async] = ACTIONS(4088),
    [anon_sym_each] = ACTIONS(4092),
    [anon_sym_lazy] = ACTIONS(4094),
    [anon_sym_repeat] = ACTIONS(4097),
    [anon_sym_package] = ACTIONS(4094),
    [anon_sym_COMMA] = ACTIONS(631),
    [anon_sym_BANG] = ACTIONS(631),
    [anon_sym_LPAREN] = ACTIONS(4099),
    [anon_sym_LBRACK] = ACTIONS(4101),
    [anon_sym_DOT] = ACTIONS(631),
    [anon_sym_QMARK2] = ACTIONS(631),
    [anon_sym_some] = ACTIONS(4103),
    [anon_sym_any] = ACTIONS(4105),
    [anon_sym_AMP] = ACTIONS(631),
    [anon_sym_LT] = ACTIONS(631),
    [anon_sym_LBRACE] = ACTIONS(631),
    [anon_sym_RBRACE] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(637),
    [anon_sym_fallthrough] = ACTIONS(637),
    [anon_sym_class] = ACTIONS(637),
    [anon_sym_prefix] = ACTIONS(637),
    [anon_sym_infix] = ACTIONS(637),
    [anon_sym_postfix] = ACTIONS(637),
    [anon_sym_AT] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_convenience] = ACTIONS(637),
    [anon_sym_required] = ACTIONS(637),
    [anon_sym_nonisolated] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_internal] = ACTIONS(637),
    [anon_sym_fileprivate] = ACTIONS(637),
    [anon_sym_open] = ACTIONS(637),
    [anon_sym_mutating] = ACTIONS(637),
    [anon_sym_nonmutating] = ACTIONS(637),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_dynamic] = ACTIONS(637),
    [anon_sym_optional] = ACTIONS(637),
    [anon_sym_distributed] = ACTIONS(637),
    [anon_sym_final] = ACTIONS(637),
    [anon_sym_inout] = ACTIONS(637),
    [anon_sym_ATescaping] = ACTIONS(631),
    [anon_sym_ATautoclosure] = ACTIONS(631),
    [anon_sym_weak] = ACTIONS(637),
    [anon_sym_unowned] = ACTIONS(637),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(631),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(631),
    [anon_sym_borrowing] = ACTIONS(4094),
    [anon_sym_consuming] = ACTIONS(4094),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(631),
    [sym__explicit_semi] = ACTIONS(631),
    [sym__arrow_operator_custom] = ACTIONS(631),
    [sym__dot_custom] = ACTIONS(631),
    [sym__eq_custom] = ACTIONS(631),
    [sym__throws_keyword] = ACTIONS(631),
    [sym__rethrows_keyword] = ACTIONS(631),
    [sym_default_keyword] = ACTIONS(631),
    [sym_where_keyword] = ACTIONS(631),
    [sym__async_keyword_custom] = ACTIONS(631),
  },
  [1255] = {
    [sym__quest] = STATE(553),
    [sym__immediate_quest] = STATE(2293),
    [sym__range_operator] = STATE(358),
    [sym_custom_operator] = STATE(343),
    [sym_navigation_suffix] = STATE(2298),
    [sym_call_suffix] = STATE(2303),
    [sym__fn_call_lambda_arguments] = STATE(2304),
    [sym_value_arguments] = STATE(1951),
    [sym_lambda_literal] = STATE(1480),
    [sym__equality_operator] = STATE(337),
    [sym__comparison_operator] = STATE(328),
    [sym__three_dot_operator] = STATE(833),
    [sym__open_ended_range_operator] = STATE(358),
    [sym__is_operator] = STATE(3855),
    [sym__additive_operator] = STATE(543),
    [sym__multiplicative_operator] = STATE(539),
    [sym_as_operator] = STATE(3856),
    [sym__bitwise_binary_operator] = STATE(366),
    [sym__postfix_unary_operator] = STATE(2182),
    [sym__eq_eq] = STATE(337),
    [sym__dot] = STATE(4703),
    [sym__conjunction_operator] = STATE(289),
    [sym__disjunction_operator] = STATE(313),
    [sym__nil_coalescing_operator] = STATE(309),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(2182),
    [ts_builtin_sym_end] = ACTIONS(2550),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(2550),
    [anon_sym_LPAREN] = ACTIONS(4040),
    [anon_sym_LBRACK] = ACTIONS(4042),
    [anon_sym_QMARK] = ACTIONS(4044),
    [anon_sym_QMARK2] = ACTIONS(4046),
    [anon_sym_AMP] = ACTIONS(4048),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4050),
    [anon_sym_GT] = ACTIONS(4050),
    [anon_sym_LBRACE] = ACTIONS(4052),
    [anon_sym_CARET_LBRACE] = ACTIONS(4052),
    [anon_sym_RBRACE] = ACTIONS(2550),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4054),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4056),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4056),
    [anon_sym_LT_EQ] = ACTIONS(4058),
    [anon_sym_GT_EQ] = ACTIONS(4058),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1023),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4060),
    [anon_sym_is] = ACTIONS(4062),
    [anon_sym_PLUS] = ACTIONS(4064),
    [anon_sym_DASH] = ACTIONS(4064),
    [anon_sym_STAR] = ACTIONS(4066),
    [anon_sym_SLASH] = ACTIONS(4066),
    [anon_sym_PERCENT] = ACTIONS(4066),
    [anon_sym_PLUS_PLUS] = ACTIONS(4068),
    [anon_sym_DASH_DASH] = ACTIONS(4068),
    [anon_sym_PIPE] = ACTIONS(4048),
    [anon_sym_CARET] = ACTIONS(4070),
    [anon_sym_LT_LT] = ACTIONS(4048),
    [anon_sym_GT_GT] = ACTIONS(4048),
    [anon_sym_BANG2] = ACTIONS(4072),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2550),
    [sym__explicit_semi] = ACTIONS(2550),
    [sym__dot_custom] = ACTIONS(4074),
    [sym__conjunction_operator_custom] = ACTIONS(4076),
    [sym__disjunction_operator_custom] = ACTIONS(4078),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4080),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4056),
    [sym__plus_then_ws] = ACTIONS(4082),
    [sym__minus_then_ws] = ACTIONS(4082),
    [sym__bang_custom] = ACTIONS(4084),
    [sym_where_keyword] = ACTIONS(2550),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1256] = {
    [sym__quest] = STATE(449),
    [sym__immediate_quest] = STATE(2398),
    [sym__range_operator] = STATE(330),
    [sym_custom_operator] = STATE(356),
    [sym_navigation_suffix] = STATE(2401),
    [sym_call_suffix] = STATE(2402),
    [sym__fn_call_lambda_arguments] = STATE(2408),
    [sym_value_arguments] = STATE(2044),
    [sym_lambda_literal] = STATE(1483),
    [sym__equality_operator] = STATE(369),
    [sym__comparison_operator] = STATE(370),
    [sym__three_dot_operator] = STATE(848),
    [sym__open_ended_range_operator] = STATE(330),
    [sym__is_operator] = STATE(3782),
    [sym__additive_operator] = STATE(476),
    [sym__multiplicative_operator] = STATE(474),
    [sym_as_operator] = STATE(3783),
    [sym__bitwise_binary_operator] = STATE(397),
    [sym__postfix_unary_operator] = STATE(2410),
    [sym_willset_didset_block] = STATE(5905),
    [sym__eq_eq] = STATE(369),
    [sym__dot] = STATE(4593),
    [sym__conjunction_operator] = STATE(406),
    [sym__disjunction_operator] = STATE(420),
    [sym__nil_coalescing_operator] = STATE(421),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(2410),
    [ts_builtin_sym_end] = ACTIONS(2558),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(2558),
    [anon_sym_LPAREN] = ACTIONS(4107),
    [anon_sym_LBRACK] = ACTIONS(4109),
    [anon_sym_QMARK] = ACTIONS(4111),
    [anon_sym_QMARK2] = ACTIONS(4113),
    [anon_sym_AMP] = ACTIONS(4115),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4117),
    [anon_sym_GT] = ACTIONS(4117),
    [anon_sym_LBRACE] = ACTIONS(4119),
    [anon_sym_CARET_LBRACE] = ACTIONS(4121),
    [anon_sym_RBRACE] = ACTIONS(2558),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4123),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4125),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4125),
    [anon_sym_LT_EQ] = ACTIONS(4127),
    [anon_sym_GT_EQ] = ACTIONS(4127),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4129),
    [anon_sym_is] = ACTIONS(4131),
    [anon_sym_PLUS] = ACTIONS(4133),
    [anon_sym_DASH] = ACTIONS(4133),
    [anon_sym_STAR] = ACTIONS(4135),
    [anon_sym_SLASH] = ACTIONS(4135),
    [anon_sym_PERCENT] = ACTIONS(4135),
    [anon_sym_PLUS_PLUS] = ACTIONS(4137),
    [anon_sym_DASH_DASH] = ACTIONS(4137),
    [anon_sym_PIPE] = ACTIONS(4115),
    [anon_sym_CARET] = ACTIONS(4139),
    [anon_sym_LT_LT] = ACTIONS(4115),
    [anon_sym_GT_GT] = ACTIONS(4115),
    [anon_sym_BANG2] = ACTIONS(4141),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2558),
    [sym__explicit_semi] = ACTIONS(2558),
    [sym__dot_custom] = ACTIONS(4143),
    [sym__conjunction_operator_custom] = ACTIONS(4145),
    [sym__disjunction_operator_custom] = ACTIONS(4147),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4149),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4125),
    [sym__plus_then_ws] = ACTIONS(4151),
    [sym__minus_then_ws] = ACTIONS(4151),
    [sym__bang_custom] = ACTIONS(4153),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1257] = {
    [sym__quest] = STATE(553),
    [sym__immediate_quest] = STATE(2293),
    [sym__range_operator] = STATE(358),
    [sym_custom_operator] = STATE(343),
    [sym_navigation_suffix] = STATE(2298),
    [sym_call_suffix] = STATE(2303),
    [sym__fn_call_lambda_arguments] = STATE(2304),
    [sym_value_arguments] = STATE(1951),
    [sym_lambda_literal] = STATE(1480),
    [sym__equality_operator] = STATE(337),
    [sym__comparison_operator] = STATE(328),
    [sym__three_dot_operator] = STATE(833),
    [sym__open_ended_range_operator] = STATE(358),
    [sym__is_operator] = STATE(3855),
    [sym__additive_operator] = STATE(543),
    [sym__multiplicative_operator] = STATE(539),
    [sym_as_operator] = STATE(3856),
    [sym__bitwise_binary_operator] = STATE(366),
    [sym__postfix_unary_operator] = STATE(2182),
    [sym__eq_eq] = STATE(337),
    [sym__dot] = STATE(4703),
    [sym__conjunction_operator] = STATE(289),
    [sym__disjunction_operator] = STATE(313),
    [sym__nil_coalescing_operator] = STATE(309),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(2182),
    [ts_builtin_sym_end] = ACTIONS(2576),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(2576),
    [anon_sym_LPAREN] = ACTIONS(2576),
    [anon_sym_LBRACK] = ACTIONS(2576),
    [anon_sym_QMARK] = ACTIONS(2578),
    [anon_sym_QMARK2] = ACTIONS(2576),
    [anon_sym_AMP] = ACTIONS(2576),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(2578),
    [anon_sym_GT] = ACTIONS(2578),
    [anon_sym_LBRACE] = ACTIONS(2576),
    [anon_sym_CARET_LBRACE] = ACTIONS(2576),
    [anon_sym_RBRACE] = ACTIONS(2576),
    [anon_sym_PLUS_EQ] = ACTIONS(2576),
    [anon_sym_DASH_EQ] = ACTIONS(2576),
    [anon_sym_STAR_EQ] = ACTIONS(2576),
    [anon_sym_SLASH_EQ] = ACTIONS(2576),
    [anon_sym_PERCENT_EQ] = ACTIONS(2576),
    [anon_sym_BANG_EQ] = ACTIONS(4054),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4056),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4056),
    [anon_sym_LT_EQ] = ACTIONS(2576),
    [anon_sym_GT_EQ] = ACTIONS(2576),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2576),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2576),
    [anon_sym_is] = ACTIONS(4062),
    [anon_sym_PLUS] = ACTIONS(4064),
    [anon_sym_DASH] = ACTIONS(4064),
    [anon_sym_STAR] = ACTIONS(4066),
    [anon_sym_SLASH] = ACTIONS(4066),
    [anon_sym_PERCENT] = ACTIONS(4066),
    [anon_sym_PLUS_PLUS] = ACTIONS(4068),
    [anon_sym_DASH_DASH] = ACTIONS(4068),
    [anon_sym_PIPE] = ACTIONS(2576),
    [anon_sym_CARET] = ACTIONS(2578),
    [anon_sym_LT_LT] = ACTIONS(2576),
    [anon_sym_GT_GT] = ACTIONS(2576),
    [anon_sym_BANG2] = ACTIONS(4072),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2576),
    [sym__explicit_semi] = ACTIONS(2576),
    [sym__dot_custom] = ACTIONS(2576),
    [sym__conjunction_operator_custom] = ACTIONS(4076),
    [sym__disjunction_operator_custom] = ACTIONS(4078),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4080),
    [sym__eq_custom] = ACTIONS(2576),
    [sym__eq_eq_custom] = ACTIONS(4056),
    [sym__plus_then_ws] = ACTIONS(4082),
    [sym__minus_then_ws] = ACTIONS(4082),
    [sym__bang_custom] = ACTIONS(4084),
    [sym_where_keyword] = ACTIONS(2576),
    [sym__as_custom] = ACTIONS(2576),
    [sym__as_quest_custom] = ACTIONS(2576),
    [sym__as_bang_custom] = ACTIONS(2576),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1258] = {
    [sym__quest] = STATE(553),
    [sym__immediate_quest] = STATE(2293),
    [sym__range_operator] = STATE(358),
    [sym_custom_operator] = STATE(343),
    [sym_navigation_suffix] = STATE(2298),
    [sym_call_suffix] = STATE(2303),
    [sym__fn_call_lambda_arguments] = STATE(2304),
    [sym_value_arguments] = STATE(1951),
    [sym_lambda_literal] = STATE(1480),
    [sym__equality_operator] = STATE(337),
    [sym__comparison_operator] = STATE(328),
    [sym__three_dot_operator] = STATE(833),
    [sym__open_ended_range_operator] = STATE(358),
    [sym__is_operator] = STATE(3855),
    [sym__additive_operator] = STATE(543),
    [sym__multiplicative_operator] = STATE(539),
    [sym_as_operator] = STATE(3856),
    [sym__bitwise_binary_operator] = STATE(366),
    [sym__postfix_unary_operator] = STATE(2182),
    [sym__eq_eq] = STATE(337),
    [sym__dot] = STATE(4703),
    [sym__conjunction_operator] = STATE(289),
    [sym__disjunction_operator] = STATE(313),
    [sym__nil_coalescing_operator] = STATE(309),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(2182),
    [ts_builtin_sym_end] = ACTIONS(2588),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(2588),
    [anon_sym_LPAREN] = ACTIONS(4040),
    [anon_sym_LBRACK] = ACTIONS(4042),
    [anon_sym_QMARK] = ACTIONS(4044),
    [anon_sym_QMARK2] = ACTIONS(4046),
    [anon_sym_AMP] = ACTIONS(4048),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4050),
    [anon_sym_GT] = ACTIONS(4050),
    [anon_sym_LBRACE] = ACTIONS(4052),
    [anon_sym_CARET_LBRACE] = ACTIONS(4052),
    [anon_sym_RBRACE] = ACTIONS(2588),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4054),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4056),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4056),
    [anon_sym_LT_EQ] = ACTIONS(4058),
    [anon_sym_GT_EQ] = ACTIONS(4058),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1023),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4060),
    [anon_sym_is] = ACTIONS(4062),
    [anon_sym_PLUS] = ACTIONS(4064),
    [anon_sym_DASH] = ACTIONS(4064),
    [anon_sym_STAR] = ACTIONS(4066),
    [anon_sym_SLASH] = ACTIONS(4066),
    [anon_sym_PERCENT] = ACTIONS(4066),
    [anon_sym_PLUS_PLUS] = ACTIONS(4068),
    [anon_sym_DASH_DASH] = ACTIONS(4068),
    [anon_sym_PIPE] = ACTIONS(4048),
    [anon_sym_CARET] = ACTIONS(4070),
    [anon_sym_LT_LT] = ACTIONS(4048),
    [anon_sym_GT_GT] = ACTIONS(4048),
    [anon_sym_BANG2] = ACTIONS(4072),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2588),
    [sym__explicit_semi] = ACTIONS(2588),
    [sym__dot_custom] = ACTIONS(4074),
    [sym__conjunction_operator_custom] = ACTIONS(4076),
    [sym__disjunction_operator_custom] = ACTIONS(4078),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4080),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4056),
    [sym__plus_then_ws] = ACTIONS(4082),
    [sym__minus_then_ws] = ACTIONS(4082),
    [sym__bang_custom] = ACTIONS(4084),
    [sym_where_keyword] = ACTIONS(2588),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1259] = {
    [sym__quest] = STATE(553),
    [sym__immediate_quest] = STATE(2293),
    [sym__range_operator] = STATE(358),
    [sym_custom_operator] = STATE(343),
    [sym_navigation_suffix] = STATE(2298),
    [sym_call_suffix] = STATE(2303),
    [sym__fn_call_lambda_arguments] = STATE(2304),
    [sym_value_arguments] = STATE(1951),
    [sym_lambda_literal] = STATE(1480),
    [sym__equality_operator] = STATE(337),
    [sym__comparison_operator] = STATE(328),
    [sym__three_dot_operator] = STATE(833),
    [sym__open_ended_range_operator] = STATE(358),
    [sym__is_operator] = STATE(3855),
    [sym__additive_operator] = STATE(543),
    [sym__multiplicative_operator] = STATE(539),
    [sym_as_operator] = STATE(3856),
    [sym__bitwise_binary_operator] = STATE(366),
    [sym__postfix_unary_operator] = STATE(2182),
    [sym__eq_eq] = STATE(337),
    [sym__dot] = STATE(4703),
    [sym__conjunction_operator] = STATE(289),
    [sym__disjunction_operator] = STATE(313),
    [sym__nil_coalescing_operator] = STATE(309),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(2182),
    [ts_builtin_sym_end] = ACTIONS(2568),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(2568),
    [anon_sym_LPAREN] = ACTIONS(4040),
    [anon_sym_LBRACK] = ACTIONS(4042),
    [anon_sym_QMARK] = ACTIONS(4044),
    [anon_sym_QMARK2] = ACTIONS(4046),
    [anon_sym_AMP] = ACTIONS(4048),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4050),
    [anon_sym_GT] = ACTIONS(4050),
    [anon_sym_LBRACE] = ACTIONS(4052),
    [anon_sym_CARET_LBRACE] = ACTIONS(4052),
    [anon_sym_RBRACE] = ACTIONS(2568),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4054),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4056),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4056),
    [anon_sym_LT_EQ] = ACTIONS(4058),
    [anon_sym_GT_EQ] = ACTIONS(4058),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1023),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4060),
    [anon_sym_is] = ACTIONS(4062),
    [anon_sym_PLUS] = ACTIONS(4064),
    [anon_sym_DASH] = ACTIONS(4064),
    [anon_sym_STAR] = ACTIONS(4066),
    [anon_sym_SLASH] = ACTIONS(4066),
    [anon_sym_PERCENT] = ACTIONS(4066),
    [anon_sym_PLUS_PLUS] = ACTIONS(4068),
    [anon_sym_DASH_DASH] = ACTIONS(4068),
    [anon_sym_PIPE] = ACTIONS(4048),
    [anon_sym_CARET] = ACTIONS(4070),
    [anon_sym_LT_LT] = ACTIONS(4048),
    [anon_sym_GT_GT] = ACTIONS(4048),
    [anon_sym_BANG2] = ACTIONS(4072),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2568),
    [sym__explicit_semi] = ACTIONS(2568),
    [sym__dot_custom] = ACTIONS(4074),
    [sym__conjunction_operator_custom] = ACTIONS(4076),
    [sym__disjunction_operator_custom] = ACTIONS(4078),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4080),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4056),
    [sym__plus_then_ws] = ACTIONS(4082),
    [sym__minus_then_ws] = ACTIONS(4082),
    [sym__bang_custom] = ACTIONS(4084),
    [sym_where_keyword] = ACTIONS(2568),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1260] = {
    [sym__quest] = STATE(553),
    [sym__immediate_quest] = STATE(2293),
    [sym__range_operator] = STATE(358),
    [sym_custom_operator] = STATE(343),
    [sym_navigation_suffix] = STATE(2298),
    [sym_call_suffix] = STATE(2303),
    [sym__fn_call_lambda_arguments] = STATE(2304),
    [sym_value_arguments] = STATE(1951),
    [sym_lambda_literal] = STATE(1480),
    [sym__equality_operator] = STATE(337),
    [sym__comparison_operator] = STATE(328),
    [sym__three_dot_operator] = STATE(833),
    [sym__open_ended_range_operator] = STATE(358),
    [sym__is_operator] = STATE(3855),
    [sym__additive_operator] = STATE(543),
    [sym__multiplicative_operator] = STATE(539),
    [sym_as_operator] = STATE(3856),
    [sym__bitwise_binary_operator] = STATE(366),
    [sym__postfix_unary_operator] = STATE(2182),
    [sym__eq_eq] = STATE(337),
    [sym__dot] = STATE(4703),
    [sym__conjunction_operator] = STATE(289),
    [sym__disjunction_operator] = STATE(313),
    [sym__nil_coalescing_operator] = STATE(309),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(2182),
    [ts_builtin_sym_end] = ACTIONS(2564),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(2564),
    [anon_sym_LPAREN] = ACTIONS(2564),
    [anon_sym_LBRACK] = ACTIONS(2564),
    [anon_sym_QMARK] = ACTIONS(2566),
    [anon_sym_QMARK2] = ACTIONS(2564),
    [anon_sym_AMP] = ACTIONS(2564),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(2566),
    [anon_sym_GT] = ACTIONS(2566),
    [anon_sym_LBRACE] = ACTIONS(2564),
    [anon_sym_CARET_LBRACE] = ACTIONS(2564),
    [anon_sym_RBRACE] = ACTIONS(2564),
    [anon_sym_PLUS_EQ] = ACTIONS(2564),
    [anon_sym_DASH_EQ] = ACTIONS(2564),
    [anon_sym_STAR_EQ] = ACTIONS(2564),
    [anon_sym_SLASH_EQ] = ACTIONS(2564),
    [anon_sym_PERCENT_EQ] = ACTIONS(2564),
    [anon_sym_BANG_EQ] = ACTIONS(4054),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4056),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4056),
    [anon_sym_LT_EQ] = ACTIONS(2564),
    [anon_sym_GT_EQ] = ACTIONS(2564),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2564),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2564),
    [anon_sym_is] = ACTIONS(4062),
    [anon_sym_PLUS] = ACTIONS(4064),
    [anon_sym_DASH] = ACTIONS(4064),
    [anon_sym_STAR] = ACTIONS(4066),
    [anon_sym_SLASH] = ACTIONS(4066),
    [anon_sym_PERCENT] = ACTIONS(4066),
    [anon_sym_PLUS_PLUS] = ACTIONS(4068),
    [anon_sym_DASH_DASH] = ACTIONS(4068),
    [anon_sym_PIPE] = ACTIONS(2564),
    [anon_sym_CARET] = ACTIONS(2566),
    [anon_sym_LT_LT] = ACTIONS(2564),
    [anon_sym_GT_GT] = ACTIONS(2564),
    [anon_sym_BANG2] = ACTIONS(4072),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2564),
    [sym__explicit_semi] = ACTIONS(2564),
    [sym__dot_custom] = ACTIONS(2564),
    [sym__conjunction_operator_custom] = ACTIONS(4076),
    [sym__disjunction_operator_custom] = ACTIONS(4078),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4080),
    [sym__eq_custom] = ACTIONS(2564),
    [sym__eq_eq_custom] = ACTIONS(4056),
    [sym__plus_then_ws] = ACTIONS(4082),
    [sym__minus_then_ws] = ACTIONS(4082),
    [sym__bang_custom] = ACTIONS(4084),
    [sym_where_keyword] = ACTIONS(2564),
    [sym__as_custom] = ACTIONS(2564),
    [sym__as_quest_custom] = ACTIONS(2564),
    [sym__as_bang_custom] = ACTIONS(2564),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1261] = {
    [sym__quest] = STATE(553),
    [sym__immediate_quest] = STATE(2293),
    [sym__range_operator] = STATE(358),
    [sym_custom_operator] = STATE(343),
    [sym_navigation_suffix] = STATE(2298),
    [sym_call_suffix] = STATE(2303),
    [sym__fn_call_lambda_arguments] = STATE(2304),
    [sym_value_arguments] = STATE(1951),
    [sym_lambda_literal] = STATE(1480),
    [sym__equality_operator] = STATE(337),
    [sym__comparison_operator] = STATE(328),
    [sym__three_dot_operator] = STATE(833),
    [sym__open_ended_range_operator] = STATE(358),
    [sym__is_operator] = STATE(3855),
    [sym__additive_operator] = STATE(543),
    [sym__multiplicative_operator] = STATE(539),
    [sym_as_operator] = STATE(3856),
    [sym__bitwise_binary_operator] = STATE(366),
    [sym__postfix_unary_operator] = STATE(2182),
    [sym__eq_eq] = STATE(337),
    [sym__dot] = STATE(4703),
    [sym__conjunction_operator] = STATE(289),
    [sym__disjunction_operator] = STATE(313),
    [sym__nil_coalescing_operator] = STATE(309),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(2182),
    [ts_builtin_sym_end] = ACTIONS(2584),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(2584),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_LBRACK] = ACTIONS(2584),
    [anon_sym_QMARK] = ACTIONS(2586),
    [anon_sym_QMARK2] = ACTIONS(2584),
    [anon_sym_AMP] = ACTIONS(2584),
    [aux_sym_custom_operator_token1] = ACTIONS(2584),
    [anon_sym_LT] = ACTIONS(2586),
    [anon_sym_GT] = ACTIONS(2586),
    [anon_sym_LBRACE] = ACTIONS(2584),
    [anon_sym_CARET_LBRACE] = ACTIONS(2584),
    [anon_sym_RBRACE] = ACTIONS(2584),
    [anon_sym_PLUS_EQ] = ACTIONS(2584),
    [anon_sym_DASH_EQ] = ACTIONS(2584),
    [anon_sym_STAR_EQ] = ACTIONS(2584),
    [anon_sym_SLASH_EQ] = ACTIONS(2584),
    [anon_sym_PERCENT_EQ] = ACTIONS(2584),
    [anon_sym_BANG_EQ] = ACTIONS(2586),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2584),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2584),
    [anon_sym_LT_EQ] = ACTIONS(2584),
    [anon_sym_GT_EQ] = ACTIONS(2584),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2584),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2584),
    [anon_sym_is] = ACTIONS(2584),
    [anon_sym_PLUS] = ACTIONS(2586),
    [anon_sym_DASH] = ACTIONS(2586),
    [anon_sym_STAR] = ACTIONS(4066),
    [anon_sym_SLASH] = ACTIONS(4066),
    [anon_sym_PERCENT] = ACTIONS(4066),
    [anon_sym_PLUS_PLUS] = ACTIONS(2584),
    [anon_sym_DASH_DASH] = ACTIONS(2584),
    [anon_sym_PIPE] = ACTIONS(2584),
    [anon_sym_CARET] = ACTIONS(2586),
    [anon_sym_LT_LT] = ACTIONS(2584),
    [anon_sym_GT_GT] = ACTIONS(2584),
    [anon_sym_BANG2] = ACTIONS(2586),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2584),
    [sym__explicit_semi] = ACTIONS(2584),
    [sym__dot_custom] = ACTIONS(2584),
    [sym__conjunction_operator_custom] = ACTIONS(2584),
    [sym__disjunction_operator_custom] = ACTIONS(2584),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2584),
    [sym__eq_custom] = ACTIONS(2584),
    [sym__eq_eq_custom] = ACTIONS(2584),
    [sym__plus_then_ws] = ACTIONS(2584),
    [sym__minus_then_ws] = ACTIONS(2584),
    [sym__bang_custom] = ACTIONS(2584),
    [sym_where_keyword] = ACTIONS(2584),
    [sym__as_custom] = ACTIONS(2584),
    [sym__as_quest_custom] = ACTIONS(2584),
    [sym__as_bang_custom] = ACTIONS(2584),
    [sym__custom_operator] = ACTIONS(2584),
  },
  [1262] = {
    [sym__quest] = STATE(449),
    [sym__immediate_quest] = STATE(2398),
    [sym__range_operator] = STATE(330),
    [sym_custom_operator] = STATE(356),
    [sym_navigation_suffix] = STATE(2401),
    [sym_call_suffix] = STATE(2402),
    [sym__fn_call_lambda_arguments] = STATE(2408),
    [sym_value_arguments] = STATE(2106),
    [sym_expr_hack_at_ternary_binary_call_suffix] = STATE(2358),
    [sym_lambda_literal] = STATE(1483),
    [sym__equality_operator] = STATE(369),
    [sym__comparison_operator] = STATE(370),
    [sym__three_dot_operator] = STATE(848),
    [sym__open_ended_range_operator] = STATE(330),
    [sym__is_operator] = STATE(3782),
    [sym__additive_operator] = STATE(476),
    [sym__multiplicative_operator] = STATE(474),
    [sym_as_operator] = STATE(3783),
    [sym__bitwise_binary_operator] = STATE(397),
    [sym__postfix_unary_operator] = STATE(2410),
    [sym__eq_eq] = STATE(369),
    [sym__dot] = STATE(4593),
    [sym__conjunction_operator] = STATE(406),
    [sym__disjunction_operator] = STATE(420),
    [sym__nil_coalescing_operator] = STATE(421),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(2410),
    [ts_builtin_sym_end] = ACTIONS(2494),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(2494),
    [anon_sym_LPAREN] = ACTIONS(4107),
    [anon_sym_LBRACK] = ACTIONS(4109),
    [anon_sym_QMARK] = ACTIONS(2500),
    [anon_sym_QMARK2] = ACTIONS(4113),
    [anon_sym_AMP] = ACTIONS(4115),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4117),
    [anon_sym_GT] = ACTIONS(4117),
    [anon_sym_LBRACE] = ACTIONS(2494),
    [anon_sym_CARET_LBRACE] = ACTIONS(2494),
    [anon_sym_RBRACE] = ACTIONS(2494),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4123),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4125),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4125),
    [anon_sym_LT_EQ] = ACTIONS(4127),
    [anon_sym_GT_EQ] = ACTIONS(4127),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4129),
    [anon_sym_is] = ACTIONS(4131),
    [anon_sym_PLUS] = ACTIONS(4133),
    [anon_sym_DASH] = ACTIONS(4133),
    [anon_sym_STAR] = ACTIONS(4135),
    [anon_sym_SLASH] = ACTIONS(4135),
    [anon_sym_PERCENT] = ACTIONS(4135),
    [anon_sym_PLUS_PLUS] = ACTIONS(4137),
    [anon_sym_DASH_DASH] = ACTIONS(4137),
    [anon_sym_PIPE] = ACTIONS(4115),
    [anon_sym_CARET] = ACTIONS(4139),
    [anon_sym_LT_LT] = ACTIONS(4115),
    [anon_sym_GT_GT] = ACTIONS(4115),
    [anon_sym_BANG2] = ACTIONS(4141),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2494),
    [sym__explicit_semi] = ACTIONS(2494),
    [sym__dot_custom] = ACTIONS(4143),
    [sym__conjunction_operator_custom] = ACTIONS(4145),
    [sym__disjunction_operator_custom] = ACTIONS(4147),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4149),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4125),
    [sym__plus_then_ws] = ACTIONS(4151),
    [sym__minus_then_ws] = ACTIONS(4151),
    [sym__bang_custom] = ACTIONS(4153),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1263] = {
    [sym__quest] = STATE(553),
    [sym__immediate_quest] = STATE(2293),
    [sym__range_operator] = STATE(358),
    [sym_custom_operator] = STATE(343),
    [sym_navigation_suffix] = STATE(2298),
    [sym_call_suffix] = STATE(2303),
    [sym__fn_call_lambda_arguments] = STATE(2304),
    [sym_value_arguments] = STATE(1951),
    [sym_lambda_literal] = STATE(1480),
    [sym__equality_operator] = STATE(337),
    [sym__comparison_operator] = STATE(328),
    [sym__three_dot_operator] = STATE(833),
    [sym__open_ended_range_operator] = STATE(358),
    [sym__is_operator] = STATE(3855),
    [sym__additive_operator] = STATE(543),
    [sym__multiplicative_operator] = STATE(539),
    [sym_as_operator] = STATE(3856),
    [sym__bitwise_binary_operator] = STATE(366),
    [sym__postfix_unary_operator] = STATE(2182),
    [sym__eq_eq] = STATE(337),
    [sym__dot] = STATE(4703),
    [sym__conjunction_operator] = STATE(289),
    [sym__disjunction_operator] = STATE(313),
    [sym__nil_coalescing_operator] = STATE(309),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(2182),
    [ts_builtin_sym_end] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(2580),
    [anon_sym_LPAREN] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2580),
    [anon_sym_QMARK] = ACTIONS(2582),
    [anon_sym_QMARK2] = ACTIONS(2580),
    [anon_sym_AMP] = ACTIONS(2580),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(2582),
    [anon_sym_GT] = ACTIONS(2582),
    [anon_sym_LBRACE] = ACTIONS(2580),
    [anon_sym_CARET_LBRACE] = ACTIONS(2580),
    [anon_sym_RBRACE] = ACTIONS(2580),
    [anon_sym_PLUS_EQ] = ACTIONS(2580),
    [anon_sym_DASH_EQ] = ACTIONS(2580),
    [anon_sym_STAR_EQ] = ACTIONS(2580),
    [anon_sym_SLASH_EQ] = ACTIONS(2580),
    [anon_sym_PERCENT_EQ] = ACTIONS(2580),
    [anon_sym_BANG_EQ] = ACTIONS(2582),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2580),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2580),
    [anon_sym_LT_EQ] = ACTIONS(2580),
    [anon_sym_GT_EQ] = ACTIONS(2580),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2580),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2580),
    [anon_sym_is] = ACTIONS(2580),
    [anon_sym_PLUS] = ACTIONS(4064),
    [anon_sym_DASH] = ACTIONS(4064),
    [anon_sym_STAR] = ACTIONS(4066),
    [anon_sym_SLASH] = ACTIONS(4066),
    [anon_sym_PERCENT] = ACTIONS(4066),
    [anon_sym_PLUS_PLUS] = ACTIONS(2580),
    [anon_sym_DASH_DASH] = ACTIONS(2580),
    [anon_sym_PIPE] = ACTIONS(2580),
    [anon_sym_CARET] = ACTIONS(2582),
    [anon_sym_LT_LT] = ACTIONS(2580),
    [anon_sym_GT_GT] = ACTIONS(2580),
    [anon_sym_BANG2] = ACTIONS(2582),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2580),
    [sym__explicit_semi] = ACTIONS(2580),
    [sym__dot_custom] = ACTIONS(2580),
    [sym__conjunction_operator_custom] = ACTIONS(2580),
    [sym__disjunction_operator_custom] = ACTIONS(2580),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4080),
    [sym__eq_custom] = ACTIONS(2580),
    [sym__eq_eq_custom] = ACTIONS(2580),
    [sym__plus_then_ws] = ACTIONS(4082),
    [sym__minus_then_ws] = ACTIONS(4082),
    [sym__bang_custom] = ACTIONS(2580),
    [sym_where_keyword] = ACTIONS(2580),
    [sym__as_custom] = ACTIONS(2580),
    [sym__as_quest_custom] = ACTIONS(2580),
    [sym__as_bang_custom] = ACTIONS(2580),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1264] = {
    [sym__quest] = STATE(553),
    [sym__immediate_quest] = STATE(2293),
    [sym__range_operator] = STATE(358),
    [sym_custom_operator] = STATE(343),
    [sym_navigation_suffix] = STATE(2298),
    [sym_call_suffix] = STATE(2303),
    [sym__fn_call_lambda_arguments] = STATE(2304),
    [sym_value_arguments] = STATE(1951),
    [sym_lambda_literal] = STATE(1480),
    [sym__equality_operator] = STATE(337),
    [sym__comparison_operator] = STATE(328),
    [sym__three_dot_operator] = STATE(833),
    [sym__open_ended_range_operator] = STATE(358),
    [sym__is_operator] = STATE(3855),
    [sym__additive_operator] = STATE(543),
    [sym__multiplicative_operator] = STATE(539),
    [sym_as_operator] = STATE(3856),
    [sym__bitwise_binary_operator] = STATE(366),
    [sym__postfix_unary_operator] = STATE(2182),
    [sym__eq_eq] = STATE(337),
    [sym__dot] = STATE(4703),
    [sym__conjunction_operator] = STATE(289),
    [sym__disjunction_operator] = STATE(313),
    [sym__nil_coalescing_operator] = STATE(309),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(2182),
    [ts_builtin_sym_end] = ACTIONS(2572),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(2572),
    [anon_sym_LPAREN] = ACTIONS(4040),
    [anon_sym_LBRACK] = ACTIONS(4042),
    [anon_sym_QMARK] = ACTIONS(4044),
    [anon_sym_QMARK2] = ACTIONS(4046),
    [anon_sym_AMP] = ACTIONS(4048),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4050),
    [anon_sym_GT] = ACTIONS(4050),
    [anon_sym_LBRACE] = ACTIONS(4052),
    [anon_sym_CARET_LBRACE] = ACTIONS(4052),
    [anon_sym_RBRACE] = ACTIONS(2572),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4054),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4056),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4056),
    [anon_sym_LT_EQ] = ACTIONS(4058),
    [anon_sym_GT_EQ] = ACTIONS(4058),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1023),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4060),
    [anon_sym_is] = ACTIONS(4062),
    [anon_sym_PLUS] = ACTIONS(4064),
    [anon_sym_DASH] = ACTIONS(4064),
    [anon_sym_STAR] = ACTIONS(4066),
    [anon_sym_SLASH] = ACTIONS(4066),
    [anon_sym_PERCENT] = ACTIONS(4066),
    [anon_sym_PLUS_PLUS] = ACTIONS(4068),
    [anon_sym_DASH_DASH] = ACTIONS(4068),
    [anon_sym_PIPE] = ACTIONS(4048),
    [anon_sym_CARET] = ACTIONS(4070),
    [anon_sym_LT_LT] = ACTIONS(4048),
    [anon_sym_GT_GT] = ACTIONS(4048),
    [anon_sym_BANG2] = ACTIONS(4072),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2572),
    [sym__explicit_semi] = ACTIONS(2572),
    [sym__dot_custom] = ACTIONS(4074),
    [sym__conjunction_operator_custom] = ACTIONS(4076),
    [sym__disjunction_operator_custom] = ACTIONS(4078),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4080),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4056),
    [sym__plus_then_ws] = ACTIONS(4082),
    [sym__minus_then_ws] = ACTIONS(4082),
    [sym__bang_custom] = ACTIONS(4084),
    [sym_where_keyword] = ACTIONS(2572),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1265] = {
    [sym__quest] = STATE(449),
    [sym__immediate_quest] = STATE(2398),
    [sym__range_operator] = STATE(330),
    [sym_custom_operator] = STATE(356),
    [sym_navigation_suffix] = STATE(2401),
    [sym_call_suffix] = STATE(2402),
    [sym__fn_call_lambda_arguments] = STATE(2408),
    [sym_value_arguments] = STATE(2044),
    [sym_lambda_literal] = STATE(1483),
    [sym__equality_operator] = STATE(369),
    [sym__comparison_operator] = STATE(370),
    [sym__three_dot_operator] = STATE(848),
    [sym__open_ended_range_operator] = STATE(330),
    [sym__is_operator] = STATE(3782),
    [sym__additive_operator] = STATE(476),
    [sym__multiplicative_operator] = STATE(474),
    [sym_as_operator] = STATE(3783),
    [sym__bitwise_binary_operator] = STATE(397),
    [sym__postfix_unary_operator] = STATE(2410),
    [sym__eq_eq] = STATE(369),
    [sym__dot] = STATE(4593),
    [sym__conjunction_operator] = STATE(406),
    [sym__disjunction_operator] = STATE(420),
    [sym__nil_coalescing_operator] = STATE(421),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(2410),
    [ts_builtin_sym_end] = ACTIONS(2568),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(2568),
    [anon_sym_LPAREN] = ACTIONS(4107),
    [anon_sym_LBRACK] = ACTIONS(4109),
    [anon_sym_QMARK] = ACTIONS(4111),
    [anon_sym_QMARK2] = ACTIONS(4113),
    [anon_sym_AMP] = ACTIONS(4115),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4117),
    [anon_sym_GT] = ACTIONS(4117),
    [anon_sym_LBRACE] = ACTIONS(4121),
    [anon_sym_CARET_LBRACE] = ACTIONS(4121),
    [anon_sym_RBRACE] = ACTIONS(2568),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4123),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4125),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4125),
    [anon_sym_LT_EQ] = ACTIONS(4127),
    [anon_sym_GT_EQ] = ACTIONS(4127),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4129),
    [anon_sym_is] = ACTIONS(4131),
    [anon_sym_PLUS] = ACTIONS(4133),
    [anon_sym_DASH] = ACTIONS(4133),
    [anon_sym_STAR] = ACTIONS(4135),
    [anon_sym_SLASH] = ACTIONS(4135),
    [anon_sym_PERCENT] = ACTIONS(4135),
    [anon_sym_PLUS_PLUS] = ACTIONS(4137),
    [anon_sym_DASH_DASH] = ACTIONS(4137),
    [anon_sym_PIPE] = ACTIONS(4115),
    [anon_sym_CARET] = ACTIONS(4139),
    [anon_sym_LT_LT] = ACTIONS(4115),
    [anon_sym_GT_GT] = ACTIONS(4115),
    [anon_sym_BANG2] = ACTIONS(4141),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2568),
    [sym__explicit_semi] = ACTIONS(2568),
    [sym__dot_custom] = ACTIONS(4143),
    [sym__conjunction_operator_custom] = ACTIONS(4145),
    [sym__disjunction_operator_custom] = ACTIONS(4147),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4149),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4125),
    [sym__plus_then_ws] = ACTIONS(4151),
    [sym__minus_then_ws] = ACTIONS(4151),
    [sym__bang_custom] = ACTIONS(4153),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1266] = {
    [sym__quest] = STATE(449),
    [sym__immediate_quest] = STATE(2398),
    [sym__range_operator] = STATE(330),
    [sym_custom_operator] = STATE(356),
    [sym_navigation_suffix] = STATE(2401),
    [sym_call_suffix] = STATE(2402),
    [sym__fn_call_lambda_arguments] = STATE(2408),
    [sym_value_arguments] = STATE(2044),
    [sym_lambda_literal] = STATE(1483),
    [sym__equality_operator] = STATE(369),
    [sym__comparison_operator] = STATE(370),
    [sym__three_dot_operator] = STATE(848),
    [sym__open_ended_range_operator] = STATE(330),
    [sym__is_operator] = STATE(3782),
    [sym__additive_operator] = STATE(476),
    [sym__multiplicative_operator] = STATE(474),
    [sym_as_operator] = STATE(3783),
    [sym__bitwise_binary_operator] = STATE(397),
    [sym__postfix_unary_operator] = STATE(2410),
    [sym__eq_eq] = STATE(369),
    [sym__dot] = STATE(4593),
    [sym__conjunction_operator] = STATE(406),
    [sym__disjunction_operator] = STATE(420),
    [sym__nil_coalescing_operator] = STATE(421),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(2410),
    [ts_builtin_sym_end] = ACTIONS(2750),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(2750),
    [anon_sym_LPAREN] = ACTIONS(4107),
    [anon_sym_LBRACK] = ACTIONS(4109),
    [anon_sym_QMARK] = ACTIONS(4111),
    [anon_sym_QMARK2] = ACTIONS(4113),
    [anon_sym_AMP] = ACTIONS(4115),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4117),
    [anon_sym_GT] = ACTIONS(4117),
    [anon_sym_LBRACE] = ACTIONS(4121),
    [anon_sym_CARET_LBRACE] = ACTIONS(4121),
    [anon_sym_RBRACE] = ACTIONS(2750),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4123),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4125),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4125),
    [anon_sym_LT_EQ] = ACTIONS(4127),
    [anon_sym_GT_EQ] = ACTIONS(4127),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4129),
    [anon_sym_is] = ACTIONS(4131),
    [anon_sym_PLUS] = ACTIONS(4133),
    [anon_sym_DASH] = ACTIONS(4133),
    [anon_sym_STAR] = ACTIONS(4135),
    [anon_sym_SLASH] = ACTIONS(4135),
    [anon_sym_PERCENT] = ACTIONS(4135),
    [anon_sym_PLUS_PLUS] = ACTIONS(4137),
    [anon_sym_DASH_DASH] = ACTIONS(4137),
    [anon_sym_PIPE] = ACTIONS(4115),
    [anon_sym_CARET] = ACTIONS(4139),
    [anon_sym_LT_LT] = ACTIONS(4115),
    [anon_sym_GT_GT] = ACTIONS(4115),
    [anon_sym_BANG2] = ACTIONS(4141),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2750),
    [sym__explicit_semi] = ACTIONS(2750),
    [sym__dot_custom] = ACTIONS(4143),
    [sym__conjunction_operator_custom] = ACTIONS(4145),
    [sym__disjunction_operator_custom] = ACTIONS(4147),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4149),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4125),
    [sym__plus_then_ws] = ACTIONS(4151),
    [sym__minus_then_ws] = ACTIONS(4151),
    [sym__bang_custom] = ACTIONS(4153),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1267] = {
    [sym_simple_identifier] = STATE(2661),
    [sym__contextual_simple_identifier] = STATE(2747),
    [sym__unannotated_type] = STATE(2515),
    [sym_user_type] = STATE(2941),
    [sym__simple_user_type] = STATE(2599),
    [sym_tuple_type] = STATE(2301),
    [sym_function_type] = STATE(2515),
    [sym_array_type] = STATE(2941),
    [sym_dictionary_type] = STATE(2941),
    [sym_optional_type] = STATE(2515),
    [sym_metatype] = STATE(2515),
    [sym_opaque_type] = STATE(2515),
    [sym_existential_type] = STATE(2515),
    [sym_type_parameter_pack] = STATE(2515),
    [sym_type_pack_expansion] = STATE(2515),
    [sym_protocol_composition_type] = STATE(2515),
    [sym__parenthesized_type] = STATE(3191),
    [sym__parameter_ownership_modifier] = STATE(2747),
    [sym_comment] = ACTIONS(5),
    [aux_sym_simple_identifier_token1] = ACTIONS(4155),
    [aux_sym_simple_identifier_token2] = ACTIONS(4157),
    [aux_sym_simple_identifier_token3] = ACTIONS(4157),
    [aux_sym_simple_identifier_token4] = ACTIONS(4157),
    [anon_sym_actor] = ACTIONS(4155),
    [anon_sym_async] = ACTIONS(4155),
    [anon_sym_each] = ACTIONS(4159),
    [anon_sym_lazy] = ACTIONS(4161),
    [anon_sym_repeat] = ACTIONS(4164),
    [anon_sym_package] = ACTIONS(4161),
    [anon_sym_COMMA] = ACTIONS(631),
    [anon_sym_BANG] = ACTIONS(631),
    [anon_sym_LPAREN] = ACTIONS(4166),
    [anon_sym_LBRACK] = ACTIONS(4168),
    [anon_sym_DOT] = ACTIONS(631),
    [anon_sym_QMARK2] = ACTIONS(631),
    [anon_sym_some] = ACTIONS(4170),
    [anon_sym_any] = ACTIONS(4172),
    [anon_sym_AMP] = ACTIONS(631),
    [anon_sym_LT] = ACTIONS(631),
    [anon_sym_LBRACE] = ACTIONS(631),
    [anon_sym_RBRACE] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(637),
    [anon_sym_fallthrough] = ACTIONS(637),
    [anon_sym_class] = ACTIONS(637),
    [anon_sym_prefix] = ACTIONS(637),
    [anon_sym_infix] = ACTIONS(637),
    [anon_sym_postfix] = ACTIONS(637),
    [anon_sym_AT] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_convenience] = ACTIONS(637),
    [anon_sym_required] = ACTIONS(637),
    [anon_sym_nonisolated] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_internal] = ACTIONS(637),
    [anon_sym_fileprivate] = ACTIONS(637),
    [anon_sym_open] = ACTIONS(637),
    [anon_sym_mutating] = ACTIONS(637),
    [anon_sym_nonmutating] = ACTIONS(637),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_dynamic] = ACTIONS(637),
    [anon_sym_optional] = ACTIONS(637),
    [anon_sym_distributed] = ACTIONS(637),
    [anon_sym_final] = ACTIONS(637),
    [anon_sym_inout] = ACTIONS(637),
    [anon_sym_ATescaping] = ACTIONS(631),
    [anon_sym_ATautoclosure] = ACTIONS(631),
    [anon_sym_weak] = ACTIONS(637),
    [anon_sym_unowned] = ACTIONS(637),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(631),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(631),
    [anon_sym_borrowing] = ACTIONS(4161),
    [anon_sym_consuming] = ACTIONS(4161),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(631),
    [sym__explicit_semi] = ACTIONS(631),
    [sym__arrow_operator_custom] = ACTIONS(631),
    [sym__dot_custom] = ACTIONS(631),
    [sym__eq_custom] = ACTIONS(631),
    [sym__throws_keyword] = ACTIONS(631),
    [sym__rethrows_keyword] = ACTIONS(631),
    [sym_default_keyword] = ACTIONS(631),
    [sym__async_keyword_custom] = ACTIONS(631),
  },
  [1268] = {
    [sym__quest] = STATE(449),
    [sym__immediate_quest] = STATE(2398),
    [sym__range_operator] = STATE(330),
    [sym_custom_operator] = STATE(356),
    [sym_navigation_suffix] = STATE(2401),
    [sym_call_suffix] = STATE(2402),
    [sym__fn_call_lambda_arguments] = STATE(2408),
    [sym_value_arguments] = STATE(2044),
    [sym_lambda_literal] = STATE(1483),
    [sym__equality_operator] = STATE(369),
    [sym__comparison_operator] = STATE(370),
    [sym__three_dot_operator] = STATE(848),
    [sym__open_ended_range_operator] = STATE(330),
    [sym__is_operator] = STATE(3782),
    [sym__additive_operator] = STATE(476),
    [sym__multiplicative_operator] = STATE(474),
    [sym_as_operator] = STATE(3783),
    [sym__bitwise_binary_operator] = STATE(397),
    [sym__postfix_unary_operator] = STATE(2410),
    [sym__eq_eq] = STATE(369),
    [sym__dot] = STATE(4593),
    [sym__conjunction_operator] = STATE(406),
    [sym__disjunction_operator] = STATE(420),
    [sym__nil_coalescing_operator] = STATE(421),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(2410),
    [ts_builtin_sym_end] = ACTIONS(2576),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(2576),
    [anon_sym_LPAREN] = ACTIONS(2576),
    [anon_sym_LBRACK] = ACTIONS(2576),
    [anon_sym_QMARK] = ACTIONS(2578),
    [anon_sym_QMARK2] = ACTIONS(2576),
    [anon_sym_AMP] = ACTIONS(2576),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(2578),
    [anon_sym_GT] = ACTIONS(2578),
    [anon_sym_LBRACE] = ACTIONS(2576),
    [anon_sym_CARET_LBRACE] = ACTIONS(2576),
    [anon_sym_RBRACE] = ACTIONS(2576),
    [anon_sym_PLUS_EQ] = ACTIONS(2576),
    [anon_sym_DASH_EQ] = ACTIONS(2576),
    [anon_sym_STAR_EQ] = ACTIONS(2576),
    [anon_sym_SLASH_EQ] = ACTIONS(2576),
    [anon_sym_PERCENT_EQ] = ACTIONS(2576),
    [anon_sym_BANG_EQ] = ACTIONS(4123),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4125),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4125),
    [anon_sym_LT_EQ] = ACTIONS(2576),
    [anon_sym_GT_EQ] = ACTIONS(2576),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2576),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2576),
    [anon_sym_is] = ACTIONS(4131),
    [anon_sym_PLUS] = ACTIONS(4133),
    [anon_sym_DASH] = ACTIONS(4133),
    [anon_sym_STAR] = ACTIONS(4135),
    [anon_sym_SLASH] = ACTIONS(4135),
    [anon_sym_PERCENT] = ACTIONS(4135),
    [anon_sym_PLUS_PLUS] = ACTIONS(4137),
    [anon_sym_DASH_DASH] = ACTIONS(4137),
    [anon_sym_PIPE] = ACTIONS(2576),
    [anon_sym_CARET] = ACTIONS(2578),
    [anon_sym_LT_LT] = ACTIONS(2576),
    [anon_sym_GT_GT] = ACTIONS(2576),
    [anon_sym_BANG2] = ACTIONS(4141),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2576),
    [sym__explicit_semi] = ACTIONS(2576),
    [sym__dot_custom] = ACTIONS(2576),
    [sym__conjunction_operator_custom] = ACTIONS(4145),
    [sym__disjunction_operator_custom] = ACTIONS(4147),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4149),
    [sym__eq_custom] = ACTIONS(2576),
    [sym__eq_eq_custom] = ACTIONS(4125),
    [sym__plus_then_ws] = ACTIONS(4151),
    [sym__minus_then_ws] = ACTIONS(4151),
    [sym__bang_custom] = ACTIONS(4153),
    [sym__as_custom] = ACTIONS(2576),
    [sym__as_quest_custom] = ACTIONS(2576),
    [sym__as_bang_custom] = ACTIONS(2576),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1269] = {
    [sym__quest] = STATE(449),
    [sym__immediate_quest] = STATE(2398),
    [sym__range_operator] = STATE(330),
    [sym_custom_operator] = STATE(356),
    [sym_navigation_suffix] = STATE(2401),
    [sym_call_suffix] = STATE(2402),
    [sym__fn_call_lambda_arguments] = STATE(2408),
    [sym_value_arguments] = STATE(2044),
    [sym_lambda_literal] = STATE(1483),
    [sym__equality_operator] = STATE(369),
    [sym__comparison_operator] = STATE(370),
    [sym__three_dot_operator] = STATE(848),
    [sym__open_ended_range_operator] = STATE(330),
    [sym__is_operator] = STATE(3782),
    [sym__additive_operator] = STATE(476),
    [sym__multiplicative_operator] = STATE(474),
    [sym_as_operator] = STATE(3783),
    [sym__bitwise_binary_operator] = STATE(397),
    [sym__postfix_unary_operator] = STATE(2410),
    [sym__eq_eq] = STATE(369),
    [sym__dot] = STATE(4593),
    [sym__conjunction_operator] = STATE(406),
    [sym__disjunction_operator] = STATE(420),
    [sym__nil_coalescing_operator] = STATE(421),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(2410),
    [ts_builtin_sym_end] = ACTIONS(2584),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(2584),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_LBRACK] = ACTIONS(2584),
    [anon_sym_QMARK] = ACTIONS(2586),
    [anon_sym_QMARK2] = ACTIONS(2584),
    [anon_sym_AMP] = ACTIONS(2584),
    [aux_sym_custom_operator_token1] = ACTIONS(2584),
    [anon_sym_LT] = ACTIONS(2586),
    [anon_sym_GT] = ACTIONS(2586),
    [anon_sym_LBRACE] = ACTIONS(2584),
    [anon_sym_CARET_LBRACE] = ACTIONS(2584),
    [anon_sym_RBRACE] = ACTIONS(2584),
    [anon_sym_PLUS_EQ] = ACTIONS(2584),
    [anon_sym_DASH_EQ] = ACTIONS(2584),
    [anon_sym_STAR_EQ] = ACTIONS(2584),
    [anon_sym_SLASH_EQ] = ACTIONS(2584),
    [anon_sym_PERCENT_EQ] = ACTIONS(2584),
    [anon_sym_BANG_EQ] = ACTIONS(2586),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2584),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2584),
    [anon_sym_LT_EQ] = ACTIONS(2584),
    [anon_sym_GT_EQ] = ACTIONS(2584),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2584),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2584),
    [anon_sym_is] = ACTIONS(2584),
    [anon_sym_PLUS] = ACTIONS(2586),
    [anon_sym_DASH] = ACTIONS(2586),
    [anon_sym_STAR] = ACTIONS(4135),
    [anon_sym_SLASH] = ACTIONS(4135),
    [anon_sym_PERCENT] = ACTIONS(4135),
    [anon_sym_PLUS_PLUS] = ACTIONS(2584),
    [anon_sym_DASH_DASH] = ACTIONS(2584),
    [anon_sym_PIPE] = ACTIONS(2584),
    [anon_sym_CARET] = ACTIONS(2586),
    [anon_sym_LT_LT] = ACTIONS(2584),
    [anon_sym_GT_GT] = ACTIONS(2584),
    [anon_sym_BANG2] = ACTIONS(2586),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2584),
    [sym__explicit_semi] = ACTIONS(2584),
    [sym__dot_custom] = ACTIONS(2584),
    [sym__conjunction_operator_custom] = ACTIONS(2584),
    [sym__disjunction_operator_custom] = ACTIONS(2584),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2584),
    [sym__eq_custom] = ACTIONS(2584),
    [sym__eq_eq_custom] = ACTIONS(2584),
    [sym__plus_then_ws] = ACTIONS(2584),
    [sym__minus_then_ws] = ACTIONS(2584),
    [sym__bang_custom] = ACTIONS(2584),
    [sym__as_custom] = ACTIONS(2584),
    [sym__as_quest_custom] = ACTIONS(2584),
    [sym__as_bang_custom] = ACTIONS(2584),
    [sym__custom_operator] = ACTIONS(2584),
  },
  [1270] = {
    [sym__quest] = STATE(449),
    [sym__immediate_quest] = STATE(2398),
    [sym__range_operator] = STATE(330),
    [sym_custom_operator] = STATE(356),
    [sym_navigation_suffix] = STATE(2401),
    [sym_call_suffix] = STATE(2402),
    [sym__fn_call_lambda_arguments] = STATE(2408),
    [sym_value_arguments] = STATE(2044),
    [sym_lambda_literal] = STATE(1483),
    [sym__equality_operator] = STATE(369),
    [sym__comparison_operator] = STATE(370),
    [sym__three_dot_operator] = STATE(848),
    [sym__open_ended_range_operator] = STATE(330),
    [sym__is_operator] = STATE(3782),
    [sym__additive_operator] = STATE(476),
    [sym__multiplicative_operator] = STATE(474),
    [sym_as_operator] = STATE(3783),
    [sym__bitwise_binary_operator] = STATE(397),
    [sym__postfix_unary_operator] = STATE(2410),
    [sym__eq_eq] = STATE(369),
    [sym__dot] = STATE(4593),
    [sym__conjunction_operator] = STATE(406),
    [sym__disjunction_operator] = STATE(420),
    [sym__nil_coalescing_operator] = STATE(421),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(2410),
    [ts_builtin_sym_end] = ACTIONS(2546),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(2546),
    [anon_sym_LPAREN] = ACTIONS(2546),
    [anon_sym_LBRACK] = ACTIONS(2546),
    [anon_sym_QMARK] = ACTIONS(2548),
    [anon_sym_QMARK2] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2546),
    [aux_sym_custom_operator_token1] = ACTIONS(2546),
    [anon_sym_LT] = ACTIONS(2548),
    [anon_sym_GT] = ACTIONS(2548),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_CARET_LBRACE] = ACTIONS(2546),
    [anon_sym_RBRACE] = ACTIONS(2546),
    [anon_sym_PLUS_EQ] = ACTIONS(2546),
    [anon_sym_DASH_EQ] = ACTIONS(2546),
    [anon_sym_STAR_EQ] = ACTIONS(2546),
    [anon_sym_SLASH_EQ] = ACTIONS(2546),
    [anon_sym_PERCENT_EQ] = ACTIONS(2546),
    [anon_sym_BANG_EQ] = ACTIONS(2548),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2546),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2546),
    [anon_sym_LT_EQ] = ACTIONS(2546),
    [anon_sym_GT_EQ] = ACTIONS(2546),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2546),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2546),
    [anon_sym_is] = ACTIONS(2546),
    [anon_sym_PLUS] = ACTIONS(2548),
    [anon_sym_DASH] = ACTIONS(2548),
    [anon_sym_STAR] = ACTIONS(2548),
    [anon_sym_SLASH] = ACTIONS(2548),
    [anon_sym_PERCENT] = ACTIONS(2548),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PIPE] = ACTIONS(2546),
    [anon_sym_CARET] = ACTIONS(2548),
    [anon_sym_LT_LT] = ACTIONS(2546),
    [anon_sym_GT_GT] = ACTIONS(2546),
    [anon_sym_BANG2] = ACTIONS(2548),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2546),
    [sym__explicit_semi] = ACTIONS(2546),
    [sym__dot_custom] = ACTIONS(2546),
    [sym__conjunction_operator_custom] = ACTIONS(2546),
    [sym__disjunction_operator_custom] = ACTIONS(2546),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2546),
    [sym__eq_custom] = ACTIONS(2546),
    [sym__eq_eq_custom] = ACTIONS(2546),
    [sym__plus_then_ws] = ACTIONS(2546),
    [sym__minus_then_ws] = ACTIONS(2546),
    [sym__bang_custom] = ACTIONS(2546),
    [sym__as_custom] = ACTIONS(2546),
    [sym__as_quest_custom] = ACTIONS(2546),
    [sym__as_bang_custom] = ACTIONS(2546),
    [sym__custom_operator] = ACTIONS(2546),
  },
  [1271] = {
    [sym__quest] = STATE(449),
    [sym__immediate_quest] = STATE(2398),
    [sym__range_operator] = STATE(330),
    [sym_custom_operator] = STATE(356),
    [sym_navigation_suffix] = STATE(2401),
    [sym_call_suffix] = STATE(2402),
    [sym__fn_call_lambda_arguments] = STATE(2408),
    [sym_value_arguments] = STATE(2044),
    [sym_lambda_literal] = STATE(1483),
    [sym__equality_operator] = STATE(369),
    [sym__comparison_operator] = STATE(370),
    [sym__three_dot_operator] = STATE(848),
    [sym__open_ended_range_operator] = STATE(330),
    [sym__is_operator] = STATE(3782),
    [sym__additive_operator] = STATE(476),
    [sym__multiplicative_operator] = STATE(474),
    [sym_as_operator] = STATE(3783),
    [sym__bitwise_binary_operator] = STATE(397),
    [sym__postfix_unary_operator] = STATE(2410),
    [sym__eq_eq] = STATE(369),
    [sym__dot] = STATE(4593),
    [sym__conjunction_operator] = STATE(406),
    [sym__disjunction_operator] = STATE(420),
    [sym__nil_coalescing_operator] = STATE(421),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(2410),
    [ts_builtin_sym_end] = ACTIONS(2564),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(2564),
    [anon_sym_LPAREN] = ACTIONS(2564),
    [anon_sym_LBRACK] = ACTIONS(2564),
    [anon_sym_QMARK] = ACTIONS(2566),
    [anon_sym_QMARK2] = ACTIONS(2564),
    [anon_sym_AMP] = ACTIONS(2564),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(2566),
    [anon_sym_GT] = ACTIONS(2566),
    [anon_sym_LBRACE] = ACTIONS(2564),
    [anon_sym_CARET_LBRACE] = ACTIONS(2564),
    [anon_sym_RBRACE] = ACTIONS(2564),
    [anon_sym_PLUS_EQ] = ACTIONS(2564),
    [anon_sym_DASH_EQ] = ACTIONS(2564),
    [anon_sym_STAR_EQ] = ACTIONS(2564),
    [anon_sym_SLASH_EQ] = ACTIONS(2564),
    [anon_sym_PERCENT_EQ] = ACTIONS(2564),
    [anon_sym_BANG_EQ] = ACTIONS(4123),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4125),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4125),
    [anon_sym_LT_EQ] = ACTIONS(2564),
    [anon_sym_GT_EQ] = ACTIONS(2564),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2564),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2564),
    [anon_sym_is] = ACTIONS(4131),
    [anon_sym_PLUS] = ACTIONS(4133),
    [anon_sym_DASH] = ACTIONS(4133),
    [anon_sym_STAR] = ACTIONS(4135),
    [anon_sym_SLASH] = ACTIONS(4135),
    [anon_sym_PERCENT] = ACTIONS(4135),
    [anon_sym_PLUS_PLUS] = ACTIONS(4137),
    [anon_sym_DASH_DASH] = ACTIONS(4137),
    [anon_sym_PIPE] = ACTIONS(2564),
    [anon_sym_CARET] = ACTIONS(2566),
    [anon_sym_LT_LT] = ACTIONS(2564),
    [anon_sym_GT_GT] = ACTIONS(2564),
    [anon_sym_BANG2] = ACTIONS(4141),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2564),
    [sym__explicit_semi] = ACTIONS(2564),
    [sym__dot_custom] = ACTIONS(2564),
    [sym__conjunction_operator_custom] = ACTIONS(4145),
    [sym__disjunction_operator_custom] = ACTIONS(4147),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4149),
    [sym__eq_custom] = ACTIONS(2564),
    [sym__eq_eq_custom] = ACTIONS(4125),
    [sym__plus_then_ws] = ACTIONS(4151),
    [sym__minus_then_ws] = ACTIONS(4151),
    [sym__bang_custom] = ACTIONS(4153),
    [sym__as_custom] = ACTIONS(2564),
    [sym__as_quest_custom] = ACTIONS(2564),
    [sym__as_bang_custom] = ACTIONS(2564),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1272] = {
    [sym__quest] = STATE(449),
    [sym__immediate_quest] = STATE(2398),
    [sym__range_operator] = STATE(330),
    [sym_custom_operator] = STATE(356),
    [sym_navigation_suffix] = STATE(2401),
    [sym_call_suffix] = STATE(2402),
    [sym__fn_call_lambda_arguments] = STATE(2408),
    [sym_value_arguments] = STATE(2044),
    [sym_lambda_literal] = STATE(1483),
    [sym__equality_operator] = STATE(369),
    [sym__comparison_operator] = STATE(370),
    [sym__three_dot_operator] = STATE(848),
    [sym__open_ended_range_operator] = STATE(330),
    [sym__is_operator] = STATE(3782),
    [sym__additive_operator] = STATE(476),
    [sym__multiplicative_operator] = STATE(474),
    [sym_as_operator] = STATE(3783),
    [sym__bitwise_binary_operator] = STATE(397),
    [sym__postfix_unary_operator] = STATE(2410),
    [sym__eq_eq] = STATE(369),
    [sym__dot] = STATE(4593),
    [sym__conjunction_operator] = STATE(406),
    [sym__disjunction_operator] = STATE(420),
    [sym__nil_coalescing_operator] = STATE(421),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(2410),
    [ts_builtin_sym_end] = ACTIONS(2746),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(2746),
    [anon_sym_LPAREN] = ACTIONS(4107),
    [anon_sym_LBRACK] = ACTIONS(4109),
    [anon_sym_QMARK] = ACTIONS(4111),
    [anon_sym_QMARK2] = ACTIONS(4113),
    [anon_sym_AMP] = ACTIONS(4115),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4117),
    [anon_sym_GT] = ACTIONS(4117),
    [anon_sym_LBRACE] = ACTIONS(4121),
    [anon_sym_CARET_LBRACE] = ACTIONS(4121),
    [anon_sym_RBRACE] = ACTIONS(2746),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4123),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4125),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4125),
    [anon_sym_LT_EQ] = ACTIONS(4127),
    [anon_sym_GT_EQ] = ACTIONS(4127),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4129),
    [anon_sym_is] = ACTIONS(4131),
    [anon_sym_PLUS] = ACTIONS(4133),
    [anon_sym_DASH] = ACTIONS(4133),
    [anon_sym_STAR] = ACTIONS(4135),
    [anon_sym_SLASH] = ACTIONS(4135),
    [anon_sym_PERCENT] = ACTIONS(4135),
    [anon_sym_PLUS_PLUS] = ACTIONS(4137),
    [anon_sym_DASH_DASH] = ACTIONS(4137),
    [anon_sym_PIPE] = ACTIONS(4115),
    [anon_sym_CARET] = ACTIONS(4139),
    [anon_sym_LT_LT] = ACTIONS(4115),
    [anon_sym_GT_GT] = ACTIONS(4115),
    [anon_sym_BANG2] = ACTIONS(4141),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2746),
    [sym__explicit_semi] = ACTIONS(2746),
    [sym__dot_custom] = ACTIONS(4143),
    [sym__conjunction_operator_custom] = ACTIONS(4145),
    [sym__disjunction_operator_custom] = ACTIONS(4147),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4149),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4125),
    [sym__plus_then_ws] = ACTIONS(4151),
    [sym__minus_then_ws] = ACTIONS(4151),
    [sym__bang_custom] = ACTIONS(4153),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1273] = {
    [sym__quest] = STATE(449),
    [sym__immediate_quest] = STATE(2398),
    [sym__range_operator] = STATE(330),
    [sym_custom_operator] = STATE(356),
    [sym_navigation_suffix] = STATE(2401),
    [sym_call_suffix] = STATE(2402),
    [sym__fn_call_lambda_arguments] = STATE(2408),
    [sym_value_arguments] = STATE(2044),
    [sym_lambda_literal] = STATE(1483),
    [sym__equality_operator] = STATE(369),
    [sym__comparison_operator] = STATE(370),
    [sym__three_dot_operator] = STATE(848),
    [sym__open_ended_range_operator] = STATE(330),
    [sym__is_operator] = STATE(3782),
    [sym__additive_operator] = STATE(476),
    [sym__multiplicative_operator] = STATE(474),
    [sym_as_operator] = STATE(3783),
    [sym__bitwise_binary_operator] = STATE(397),
    [sym__postfix_unary_operator] = STATE(2410),
    [sym__eq_eq] = STATE(369),
    [sym__dot] = STATE(4593),
    [sym__conjunction_operator] = STATE(406),
    [sym__disjunction_operator] = STATE(420),
    [sym__nil_coalescing_operator] = STATE(421),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(2410),
    [ts_builtin_sym_end] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(2580),
    [anon_sym_LPAREN] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2580),
    [anon_sym_QMARK] = ACTIONS(2582),
    [anon_sym_QMARK2] = ACTIONS(2580),
    [anon_sym_AMP] = ACTIONS(2580),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(2582),
    [anon_sym_GT] = ACTIONS(2582),
    [anon_sym_LBRACE] = ACTIONS(2580),
    [anon_sym_CARET_LBRACE] = ACTIONS(2580),
    [anon_sym_RBRACE] = ACTIONS(2580),
    [anon_sym_PLUS_EQ] = ACTIONS(2580),
    [anon_sym_DASH_EQ] = ACTIONS(2580),
    [anon_sym_STAR_EQ] = ACTIONS(2580),
    [anon_sym_SLASH_EQ] = ACTIONS(2580),
    [anon_sym_PERCENT_EQ] = ACTIONS(2580),
    [anon_sym_BANG_EQ] = ACTIONS(2582),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2580),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2580),
    [anon_sym_LT_EQ] = ACTIONS(2580),
    [anon_sym_GT_EQ] = ACTIONS(2580),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2580),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2580),
    [anon_sym_is] = ACTIONS(2580),
    [anon_sym_PLUS] = ACTIONS(4133),
    [anon_sym_DASH] = ACTIONS(4133),
    [anon_sym_STAR] = ACTIONS(4135),
    [anon_sym_SLASH] = ACTIONS(4135),
    [anon_sym_PERCENT] = ACTIONS(4135),
    [anon_sym_PLUS_PLUS] = ACTIONS(2580),
    [anon_sym_DASH_DASH] = ACTIONS(2580),
    [anon_sym_PIPE] = ACTIONS(2580),
    [anon_sym_CARET] = ACTIONS(2582),
    [anon_sym_LT_LT] = ACTIONS(2580),
    [anon_sym_GT_GT] = ACTIONS(2580),
    [anon_sym_BANG2] = ACTIONS(2582),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2580),
    [sym__explicit_semi] = ACTIONS(2580),
    [sym__dot_custom] = ACTIONS(2580),
    [sym__conjunction_operator_custom] = ACTIONS(2580),
    [sym__disjunction_operator_custom] = ACTIONS(2580),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4149),
    [sym__eq_custom] = ACTIONS(2580),
    [sym__eq_eq_custom] = ACTIONS(2580),
    [sym__plus_then_ws] = ACTIONS(4151),
    [sym__minus_then_ws] = ACTIONS(4151),
    [sym__bang_custom] = ACTIONS(2580),
    [sym__as_custom] = ACTIONS(2580),
    [sym__as_quest_custom] = ACTIONS(2580),
    [sym__as_bang_custom] = ACTIONS(2580),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1274] = {
    [sym__quest] = STATE(499),
    [sym__immediate_quest] = STATE(2662),
    [sym__range_operator] = STATE(416),
    [sym_custom_operator] = STATE(412),
    [sym_navigation_suffix] = STATE(2631),
    [sym_call_suffix] = STATE(2633),
    [sym__fn_call_lambda_arguments] = STATE(2562),
    [sym_value_arguments] = STATE(2206),
    [sym_expr_hack_at_ternary_binary_call_suffix] = STATE(2598),
    [sym_lambda_literal] = STATE(1486),
    [sym__equality_operator] = STATE(410),
    [sym__comparison_operator] = STATE(409),
    [sym__three_dot_operator] = STATE(857),
    [sym__open_ended_range_operator] = STATE(416),
    [sym__is_operator] = STATE(3890),
    [sym__additive_operator] = STATE(510),
    [sym__multiplicative_operator] = STATE(512),
    [sym_as_operator] = STATE(3891),
    [sym__bitwise_binary_operator] = STATE(408),
    [sym__postfix_unary_operator] = STATE(2494),
    [sym__eq_eq] = STATE(410),
    [sym__dot] = STATE(4729),
    [sym__conjunction_operator] = STATE(407),
    [sym__disjunction_operator] = STATE(405),
    [sym__nil_coalescing_operator] = STATE(404),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(2494),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(2494),
    [anon_sym_LPAREN] = ACTIONS(4174),
    [anon_sym_LBRACK] = ACTIONS(4176),
    [anon_sym_QMARK] = ACTIONS(2500),
    [anon_sym_QMARK2] = ACTIONS(4178),
    [anon_sym_AMP] = ACTIONS(4180),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4182),
    [anon_sym_GT] = ACTIONS(4182),
    [anon_sym_LBRACE] = ACTIONS(2494),
    [anon_sym_CARET_LBRACE] = ACTIONS(2494),
    [anon_sym_RBRACE] = ACTIONS(2494),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4184),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4186),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4186),
    [anon_sym_LT_EQ] = ACTIONS(4188),
    [anon_sym_GT_EQ] = ACTIONS(4188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1279),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4190),
    [anon_sym_is] = ACTIONS(4192),
    [anon_sym_PLUS] = ACTIONS(4194),
    [anon_sym_DASH] = ACTIONS(4194),
    [anon_sym_STAR] = ACTIONS(4196),
    [anon_sym_SLASH] = ACTIONS(4196),
    [anon_sym_PERCENT] = ACTIONS(4196),
    [anon_sym_PLUS_PLUS] = ACTIONS(4198),
    [anon_sym_DASH_DASH] = ACTIONS(4198),
    [anon_sym_PIPE] = ACTIONS(4180),
    [anon_sym_CARET] = ACTIONS(4200),
    [anon_sym_LT_LT] = ACTIONS(4180),
    [anon_sym_GT_GT] = ACTIONS(4180),
    [anon_sym_BANG2] = ACTIONS(4202),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(2494),
    [sym__implicit_semi] = ACTIONS(2494),
    [sym__explicit_semi] = ACTIONS(2494),
    [sym__dot_custom] = ACTIONS(4204),
    [sym__conjunction_operator_custom] = ACTIONS(4206),
    [sym__disjunction_operator_custom] = ACTIONS(4208),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4210),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4186),
    [sym__plus_then_ws] = ACTIONS(4212),
    [sym__minus_then_ws] = ACTIONS(4212),
    [sym__bang_custom] = ACTIONS(4214),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1275] = {
    [sym__quest] = STATE(499),
    [sym__immediate_quest] = STATE(2662),
    [sym__range_operator] = STATE(416),
    [sym_custom_operator] = STATE(412),
    [sym_navigation_suffix] = STATE(2631),
    [sym_call_suffix] = STATE(2633),
    [sym__fn_call_lambda_arguments] = STATE(2562),
    [sym_value_arguments] = STATE(2305),
    [sym_lambda_literal] = STATE(1486),
    [sym__equality_operator] = STATE(410),
    [sym__comparison_operator] = STATE(409),
    [sym__three_dot_operator] = STATE(857),
    [sym__open_ended_range_operator] = STATE(416),
    [sym__is_operator] = STATE(3890),
    [sym__additive_operator] = STATE(510),
    [sym__multiplicative_operator] = STATE(512),
    [sym_as_operator] = STATE(3891),
    [sym__bitwise_binary_operator] = STATE(408),
    [sym__postfix_unary_operator] = STATE(2494),
    [sym_willset_didset_block] = STATE(6448),
    [sym__eq_eq] = STATE(410),
    [sym__dot] = STATE(4729),
    [sym__conjunction_operator] = STATE(407),
    [sym__disjunction_operator] = STATE(405),
    [sym__nil_coalescing_operator] = STATE(404),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(2494),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(2558),
    [anon_sym_LPAREN] = ACTIONS(4174),
    [anon_sym_LBRACK] = ACTIONS(4176),
    [anon_sym_QMARK] = ACTIONS(4216),
    [anon_sym_QMARK2] = ACTIONS(4178),
    [anon_sym_AMP] = ACTIONS(4180),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4182),
    [anon_sym_GT] = ACTIONS(4182),
    [anon_sym_LBRACE] = ACTIONS(4218),
    [anon_sym_CARET_LBRACE] = ACTIONS(4220),
    [anon_sym_RBRACE] = ACTIONS(2558),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4184),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4186),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4186),
    [anon_sym_LT_EQ] = ACTIONS(4188),
    [anon_sym_GT_EQ] = ACTIONS(4188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1279),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4190),
    [anon_sym_is] = ACTIONS(4192),
    [anon_sym_PLUS] = ACTIONS(4194),
    [anon_sym_DASH] = ACTIONS(4194),
    [anon_sym_STAR] = ACTIONS(4196),
    [anon_sym_SLASH] = ACTIONS(4196),
    [anon_sym_PERCENT] = ACTIONS(4196),
    [anon_sym_PLUS_PLUS] = ACTIONS(4198),
    [anon_sym_DASH_DASH] = ACTIONS(4198),
    [anon_sym_PIPE] = ACTIONS(4180),
    [anon_sym_CARET] = ACTIONS(4200),
    [anon_sym_LT_LT] = ACTIONS(4180),
    [anon_sym_GT_GT] = ACTIONS(4180),
    [anon_sym_BANG2] = ACTIONS(4202),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(2558),
    [sym__implicit_semi] = ACTIONS(2558),
    [sym__explicit_semi] = ACTIONS(2558),
    [sym__dot_custom] = ACTIONS(4204),
    [sym__conjunction_operator_custom] = ACTIONS(4206),
    [sym__disjunction_operator_custom] = ACTIONS(4208),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4210),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4186),
    [sym__plus_then_ws] = ACTIONS(4212),
    [sym__minus_then_ws] = ACTIONS(4212),
    [sym__bang_custom] = ACTIONS(4214),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1276] = {
    [sym__quest] = STATE(577),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2275),
    [sym_expr_hack_at_ternary_binary_call_suffix] = STATE(807),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(2494),
    [anon_sym_COMMA] = ACTIONS(2494),
    [anon_sym_COLON] = ACTIONS(2494),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_RBRACK] = ACTIONS(2494),
    [anon_sym_QMARK] = ACTIONS(2500),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(4222),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(2494),
    [anon_sym_CARET_LBRACE] = ACTIONS(2494),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4232),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4222),
    [anon_sym_GT_GT] = ACTIONS(4222),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1277] = {
    [sym__quest] = STATE(449),
    [sym__immediate_quest] = STATE(2398),
    [sym__range_operator] = STATE(330),
    [sym_custom_operator] = STATE(356),
    [sym_navigation_suffix] = STATE(2401),
    [sym_call_suffix] = STATE(2402),
    [sym__fn_call_lambda_arguments] = STATE(2408),
    [sym_value_arguments] = STATE(2044),
    [sym_lambda_literal] = STATE(1483),
    [sym__equality_operator] = STATE(369),
    [sym__comparison_operator] = STATE(370),
    [sym__three_dot_operator] = STATE(848),
    [sym__open_ended_range_operator] = STATE(330),
    [sym__is_operator] = STATE(3782),
    [sym__additive_operator] = STATE(476),
    [sym__multiplicative_operator] = STATE(474),
    [sym_as_operator] = STATE(3783),
    [sym__bitwise_binary_operator] = STATE(397),
    [sym__postfix_unary_operator] = STATE(2410),
    [sym__eq_eq] = STATE(369),
    [sym__dot] = STATE(4593),
    [sym__conjunction_operator] = STATE(406),
    [sym__disjunction_operator] = STATE(420),
    [sym__nil_coalescing_operator] = STATE(421),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(2410),
    [ts_builtin_sym_end] = ACTIONS(2572),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(2572),
    [anon_sym_LPAREN] = ACTIONS(4107),
    [anon_sym_LBRACK] = ACTIONS(4109),
    [anon_sym_QMARK] = ACTIONS(4111),
    [anon_sym_QMARK2] = ACTIONS(4113),
    [anon_sym_AMP] = ACTIONS(4115),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4117),
    [anon_sym_GT] = ACTIONS(4117),
    [anon_sym_LBRACE] = ACTIONS(4121),
    [anon_sym_CARET_LBRACE] = ACTIONS(4121),
    [anon_sym_RBRACE] = ACTIONS(2572),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4123),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4125),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4125),
    [anon_sym_LT_EQ] = ACTIONS(4127),
    [anon_sym_GT_EQ] = ACTIONS(4127),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4129),
    [anon_sym_is] = ACTIONS(4131),
    [anon_sym_PLUS] = ACTIONS(4133),
    [anon_sym_DASH] = ACTIONS(4133),
    [anon_sym_STAR] = ACTIONS(4135),
    [anon_sym_SLASH] = ACTIONS(4135),
    [anon_sym_PERCENT] = ACTIONS(4135),
    [anon_sym_PLUS_PLUS] = ACTIONS(4137),
    [anon_sym_DASH_DASH] = ACTIONS(4137),
    [anon_sym_PIPE] = ACTIONS(4115),
    [anon_sym_CARET] = ACTIONS(4139),
    [anon_sym_LT_LT] = ACTIONS(4115),
    [anon_sym_GT_GT] = ACTIONS(4115),
    [anon_sym_BANG2] = ACTIONS(4141),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2572),
    [sym__explicit_semi] = ACTIONS(2572),
    [sym__dot_custom] = ACTIONS(4143),
    [sym__conjunction_operator_custom] = ACTIONS(4145),
    [sym__disjunction_operator_custom] = ACTIONS(4147),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4149),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4125),
    [sym__plus_then_ws] = ACTIONS(4151),
    [sym__minus_then_ws] = ACTIONS(4151),
    [sym__bang_custom] = ACTIONS(4153),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1278] = {
    [sym__quest] = STATE(449),
    [sym__immediate_quest] = STATE(2398),
    [sym__range_operator] = STATE(330),
    [sym_custom_operator] = STATE(356),
    [sym_navigation_suffix] = STATE(2401),
    [sym_call_suffix] = STATE(2402),
    [sym__fn_call_lambda_arguments] = STATE(2408),
    [sym_value_arguments] = STATE(2044),
    [sym_lambda_literal] = STATE(1483),
    [sym__equality_operator] = STATE(369),
    [sym__comparison_operator] = STATE(370),
    [sym__three_dot_operator] = STATE(848),
    [sym__open_ended_range_operator] = STATE(330),
    [sym__is_operator] = STATE(3782),
    [sym__additive_operator] = STATE(476),
    [sym__multiplicative_operator] = STATE(474),
    [sym_as_operator] = STATE(3783),
    [sym__bitwise_binary_operator] = STATE(397),
    [sym__postfix_unary_operator] = STATE(2410),
    [sym__eq_eq] = STATE(369),
    [sym__dot] = STATE(4593),
    [sym__conjunction_operator] = STATE(406),
    [sym__disjunction_operator] = STATE(420),
    [sym__nil_coalescing_operator] = STATE(421),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(2410),
    [ts_builtin_sym_end] = ACTIONS(2550),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(2550),
    [anon_sym_LPAREN] = ACTIONS(4107),
    [anon_sym_LBRACK] = ACTIONS(4109),
    [anon_sym_QMARK] = ACTIONS(4111),
    [anon_sym_QMARK2] = ACTIONS(4113),
    [anon_sym_AMP] = ACTIONS(4115),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4117),
    [anon_sym_GT] = ACTIONS(4117),
    [anon_sym_LBRACE] = ACTIONS(4121),
    [anon_sym_CARET_LBRACE] = ACTIONS(4121),
    [anon_sym_RBRACE] = ACTIONS(2550),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4123),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4125),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4125),
    [anon_sym_LT_EQ] = ACTIONS(4127),
    [anon_sym_GT_EQ] = ACTIONS(4127),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4129),
    [anon_sym_is] = ACTIONS(4131),
    [anon_sym_PLUS] = ACTIONS(4133),
    [anon_sym_DASH] = ACTIONS(4133),
    [anon_sym_STAR] = ACTIONS(4135),
    [anon_sym_SLASH] = ACTIONS(4135),
    [anon_sym_PERCENT] = ACTIONS(4135),
    [anon_sym_PLUS_PLUS] = ACTIONS(4137),
    [anon_sym_DASH_DASH] = ACTIONS(4137),
    [anon_sym_PIPE] = ACTIONS(4115),
    [anon_sym_CARET] = ACTIONS(4139),
    [anon_sym_LT_LT] = ACTIONS(4115),
    [anon_sym_GT_GT] = ACTIONS(4115),
    [anon_sym_BANG2] = ACTIONS(4141),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2550),
    [sym__explicit_semi] = ACTIONS(2550),
    [sym__dot_custom] = ACTIONS(4143),
    [sym__conjunction_operator_custom] = ACTIONS(4145),
    [sym__disjunction_operator_custom] = ACTIONS(4147),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4149),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4125),
    [sym__plus_then_ws] = ACTIONS(4151),
    [sym__minus_then_ws] = ACTIONS(4151),
    [sym__bang_custom] = ACTIONS(4153),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1279] = {
    [sym__quest] = STATE(449),
    [sym__immediate_quest] = STATE(2398),
    [sym__range_operator] = STATE(330),
    [sym_custom_operator] = STATE(356),
    [sym_navigation_suffix] = STATE(2401),
    [sym_call_suffix] = STATE(2402),
    [sym__fn_call_lambda_arguments] = STATE(2408),
    [sym_value_arguments] = STATE(2044),
    [sym_lambda_literal] = STATE(1483),
    [sym__equality_operator] = STATE(369),
    [sym__comparison_operator] = STATE(370),
    [sym__three_dot_operator] = STATE(848),
    [sym__open_ended_range_operator] = STATE(330),
    [sym__is_operator] = STATE(3782),
    [sym__additive_operator] = STATE(476),
    [sym__multiplicative_operator] = STATE(474),
    [sym_as_operator] = STATE(3783),
    [sym__bitwise_binary_operator] = STATE(397),
    [sym__postfix_unary_operator] = STATE(2410),
    [sym__eq_eq] = STATE(369),
    [sym__dot] = STATE(4593),
    [sym__conjunction_operator] = STATE(406),
    [sym__disjunction_operator] = STATE(420),
    [sym__nil_coalescing_operator] = STATE(421),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(2410),
    [ts_builtin_sym_end] = ACTIONS(2588),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(2588),
    [anon_sym_LPAREN] = ACTIONS(4107),
    [anon_sym_LBRACK] = ACTIONS(4109),
    [anon_sym_QMARK] = ACTIONS(4111),
    [anon_sym_QMARK2] = ACTIONS(4113),
    [anon_sym_AMP] = ACTIONS(4115),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4117),
    [anon_sym_GT] = ACTIONS(4117),
    [anon_sym_LBRACE] = ACTIONS(4121),
    [anon_sym_CARET_LBRACE] = ACTIONS(4121),
    [anon_sym_RBRACE] = ACTIONS(2588),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4123),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4125),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4125),
    [anon_sym_LT_EQ] = ACTIONS(4127),
    [anon_sym_GT_EQ] = ACTIONS(4127),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4129),
    [anon_sym_is] = ACTIONS(4131),
    [anon_sym_PLUS] = ACTIONS(4133),
    [anon_sym_DASH] = ACTIONS(4133),
    [anon_sym_STAR] = ACTIONS(4135),
    [anon_sym_SLASH] = ACTIONS(4135),
    [anon_sym_PERCENT] = ACTIONS(4135),
    [anon_sym_PLUS_PLUS] = ACTIONS(4137),
    [anon_sym_DASH_DASH] = ACTIONS(4137),
    [anon_sym_PIPE] = ACTIONS(4115),
    [anon_sym_CARET] = ACTIONS(4139),
    [anon_sym_LT_LT] = ACTIONS(4115),
    [anon_sym_GT_GT] = ACTIONS(4115),
    [anon_sym_BANG2] = ACTIONS(4141),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2588),
    [sym__explicit_semi] = ACTIONS(2588),
    [sym__dot_custom] = ACTIONS(4143),
    [sym__conjunction_operator_custom] = ACTIONS(4145),
    [sym__disjunction_operator_custom] = ACTIONS(4147),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4149),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4125),
    [sym__plus_then_ws] = ACTIONS(4151),
    [sym__minus_then_ws] = ACTIONS(4151),
    [sym__bang_custom] = ACTIONS(4153),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1280] = {
    [sym_simple_identifier] = STATE(2661),
    [sym__contextual_simple_identifier] = STATE(2747),
    [sym__unannotated_type] = STATE(2539),
    [sym_user_type] = STATE(2941),
    [sym__simple_user_type] = STATE(2599),
    [sym_tuple_type] = STATE(2301),
    [sym_function_type] = STATE(2539),
    [sym_array_type] = STATE(2941),
    [sym_dictionary_type] = STATE(2941),
    [sym_optional_type] = STATE(2539),
    [sym_metatype] = STATE(2539),
    [sym_opaque_type] = STATE(2539),
    [sym_existential_type] = STATE(2539),
    [sym_type_parameter_pack] = STATE(2539),
    [sym_type_pack_expansion] = STATE(2539),
    [sym_protocol_composition_type] = STATE(2539),
    [sym__parenthesized_type] = STATE(3191),
    [sym__parameter_ownership_modifier] = STATE(2747),
    [sym_comment] = ACTIONS(5),
    [aux_sym_simple_identifier_token1] = ACTIONS(4155),
    [aux_sym_simple_identifier_token2] = ACTIONS(4157),
    [aux_sym_simple_identifier_token3] = ACTIONS(4157),
    [aux_sym_simple_identifier_token4] = ACTIONS(4157),
    [anon_sym_actor] = ACTIONS(4155),
    [anon_sym_async] = ACTIONS(4155),
    [anon_sym_each] = ACTIONS(4159),
    [anon_sym_lazy] = ACTIONS(4161),
    [anon_sym_repeat] = ACTIONS(4164),
    [anon_sym_package] = ACTIONS(4161),
    [anon_sym_COMMA] = ACTIONS(631),
    [anon_sym_BANG] = ACTIONS(631),
    [anon_sym_LPAREN] = ACTIONS(4166),
    [anon_sym_LBRACK] = ACTIONS(4168),
    [anon_sym_DOT] = ACTIONS(631),
    [anon_sym_QMARK2] = ACTIONS(631),
    [anon_sym_some] = ACTIONS(4170),
    [anon_sym_any] = ACTIONS(4172),
    [anon_sym_AMP] = ACTIONS(631),
    [anon_sym_LT] = ACTIONS(631),
    [anon_sym_LBRACE] = ACTIONS(631),
    [anon_sym_RBRACE] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(637),
    [anon_sym_fallthrough] = ACTIONS(637),
    [anon_sym_class] = ACTIONS(637),
    [anon_sym_prefix] = ACTIONS(637),
    [anon_sym_infix] = ACTIONS(637),
    [anon_sym_postfix] = ACTIONS(637),
    [anon_sym_AT] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_convenience] = ACTIONS(637),
    [anon_sym_required] = ACTIONS(637),
    [anon_sym_nonisolated] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_internal] = ACTIONS(637),
    [anon_sym_fileprivate] = ACTIONS(637),
    [anon_sym_open] = ACTIONS(637),
    [anon_sym_mutating] = ACTIONS(637),
    [anon_sym_nonmutating] = ACTIONS(637),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_dynamic] = ACTIONS(637),
    [anon_sym_optional] = ACTIONS(637),
    [anon_sym_distributed] = ACTIONS(637),
    [anon_sym_final] = ACTIONS(637),
    [anon_sym_inout] = ACTIONS(637),
    [anon_sym_ATescaping] = ACTIONS(631),
    [anon_sym_ATautoclosure] = ACTIONS(631),
    [anon_sym_weak] = ACTIONS(637),
    [anon_sym_unowned] = ACTIONS(637),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(631),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(631),
    [anon_sym_borrowing] = ACTIONS(4161),
    [anon_sym_consuming] = ACTIONS(4161),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(631),
    [sym__explicit_semi] = ACTIONS(631),
    [sym__arrow_operator_custom] = ACTIONS(631),
    [sym__dot_custom] = ACTIONS(631),
    [sym__eq_custom] = ACTIONS(631),
    [sym__throws_keyword] = ACTIONS(631),
    [sym__rethrows_keyword] = ACTIONS(631),
    [sym_default_keyword] = ACTIONS(631),
    [sym__async_keyword_custom] = ACTIONS(631),
  },
  [1281] = {
    [sym__quest] = STATE(577),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [aux_sym_array_literal_repeat1] = STATE(7202),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(4250),
    [anon_sym_COLON] = ACTIONS(4252),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_RBRACK] = ACTIONS(4254),
    [anon_sym_QMARK] = ACTIONS(4256),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(4222),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(4258),
    [anon_sym_CARET_LBRACE] = ACTIONS(4258),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4232),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4222),
    [anon_sym_GT_GT] = ACTIONS(4222),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1282] = {
    [sym__quest] = STATE(577),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(2588),
    [anon_sym_COMMA] = ACTIONS(2588),
    [anon_sym_COLON] = ACTIONS(2588),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_RBRACK] = ACTIONS(2588),
    [anon_sym_QMARK] = ACTIONS(4256),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(4222),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(4258),
    [anon_sym_CARET_LBRACE] = ACTIONS(4258),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4232),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4222),
    [anon_sym_GT_GT] = ACTIONS(4222),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1283] = {
    [sym__quest] = STATE(577),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [aux_sym_array_literal_repeat1] = STATE(6524),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(4260),
    [anon_sym_COLON] = ACTIONS(4252),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_RBRACK] = ACTIONS(4262),
    [anon_sym_QMARK] = ACTIONS(4256),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(4222),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(4258),
    [anon_sym_CARET_LBRACE] = ACTIONS(4258),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4232),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4222),
    [anon_sym_GT_GT] = ACTIONS(4222),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1284] = {
    [sym__quest] = STATE(577),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(2564),
    [anon_sym_COMMA] = ACTIONS(2564),
    [anon_sym_COLON] = ACTIONS(2564),
    [anon_sym_LPAREN] = ACTIONS(2564),
    [anon_sym_LBRACK] = ACTIONS(2564),
    [anon_sym_RBRACK] = ACTIONS(2564),
    [anon_sym_QMARK] = ACTIONS(2566),
    [anon_sym_QMARK2] = ACTIONS(2564),
    [anon_sym_AMP] = ACTIONS(2564),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(2566),
    [anon_sym_GT] = ACTIONS(2566),
    [anon_sym_LBRACE] = ACTIONS(2564),
    [anon_sym_CARET_LBRACE] = ACTIONS(2564),
    [anon_sym_PLUS_EQ] = ACTIONS(2564),
    [anon_sym_DASH_EQ] = ACTIONS(2564),
    [anon_sym_STAR_EQ] = ACTIONS(2564),
    [anon_sym_SLASH_EQ] = ACTIONS(2564),
    [anon_sym_PERCENT_EQ] = ACTIONS(2564),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(2564),
    [anon_sym_GT_EQ] = ACTIONS(2564),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2564),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2564),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(2564),
    [anon_sym_CARET] = ACTIONS(2566),
    [anon_sym_LT_LT] = ACTIONS(2564),
    [anon_sym_GT_GT] = ACTIONS(2564),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2564),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2564),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2564),
    [sym__as_quest_custom] = ACTIONS(2564),
    [sym__as_bang_custom] = ACTIONS(2564),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1285] = {
    [sym__quest] = STATE(577),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [aux_sym_array_literal_repeat1] = STATE(6598),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(4264),
    [anon_sym_COLON] = ACTIONS(4252),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_RBRACK] = ACTIONS(4266),
    [anon_sym_QMARK] = ACTIONS(4256),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(4222),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(4258),
    [anon_sym_CARET_LBRACE] = ACTIONS(4258),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4232),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4222),
    [anon_sym_GT_GT] = ACTIONS(4222),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1286] = {
    [sym__quest] = STATE(577),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [aux_sym_array_literal_repeat1] = STATE(6814),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(4268),
    [anon_sym_COLON] = ACTIONS(4252),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_RBRACK] = ACTIONS(4270),
    [anon_sym_QMARK] = ACTIONS(4256),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(4222),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(4258),
    [anon_sym_CARET_LBRACE] = ACTIONS(4258),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4232),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4222),
    [anon_sym_GT_GT] = ACTIONS(4222),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1287] = {
    [sym__quest] = STATE(577),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(2576),
    [anon_sym_COMMA] = ACTIONS(2576),
    [anon_sym_COLON] = ACTIONS(2576),
    [anon_sym_LPAREN] = ACTIONS(2576),
    [anon_sym_LBRACK] = ACTIONS(2576),
    [anon_sym_RBRACK] = ACTIONS(2576),
    [anon_sym_QMARK] = ACTIONS(2578),
    [anon_sym_QMARK2] = ACTIONS(2576),
    [anon_sym_AMP] = ACTIONS(2576),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(2578),
    [anon_sym_GT] = ACTIONS(2578),
    [anon_sym_LBRACE] = ACTIONS(2576),
    [anon_sym_CARET_LBRACE] = ACTIONS(2576),
    [anon_sym_PLUS_EQ] = ACTIONS(2576),
    [anon_sym_DASH_EQ] = ACTIONS(2576),
    [anon_sym_STAR_EQ] = ACTIONS(2576),
    [anon_sym_SLASH_EQ] = ACTIONS(2576),
    [anon_sym_PERCENT_EQ] = ACTIONS(2576),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(2576),
    [anon_sym_GT_EQ] = ACTIONS(2576),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2576),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2576),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(2576),
    [anon_sym_CARET] = ACTIONS(2578),
    [anon_sym_LT_LT] = ACTIONS(2576),
    [anon_sym_GT_GT] = ACTIONS(2576),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2576),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2576),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2576),
    [sym__as_quest_custom] = ACTIONS(2576),
    [sym__as_bang_custom] = ACTIONS(2576),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1288] = {
    [sym__quest] = STATE(499),
    [sym__immediate_quest] = STATE(2662),
    [sym__range_operator] = STATE(416),
    [sym_custom_operator] = STATE(412),
    [sym_navigation_suffix] = STATE(2631),
    [sym_call_suffix] = STATE(2633),
    [sym__fn_call_lambda_arguments] = STATE(2562),
    [sym_value_arguments] = STATE(2305),
    [sym_lambda_literal] = STATE(1486),
    [sym__equality_operator] = STATE(410),
    [sym__comparison_operator] = STATE(409),
    [sym__three_dot_operator] = STATE(857),
    [sym__open_ended_range_operator] = STATE(416),
    [sym__is_operator] = STATE(3890),
    [sym__additive_operator] = STATE(510),
    [sym__multiplicative_operator] = STATE(512),
    [sym_as_operator] = STATE(3891),
    [sym__bitwise_binary_operator] = STATE(408),
    [sym__postfix_unary_operator] = STATE(2494),
    [sym__eq_eq] = STATE(410),
    [sym__dot] = STATE(4729),
    [sym__conjunction_operator] = STATE(407),
    [sym__disjunction_operator] = STATE(405),
    [sym__nil_coalescing_operator] = STATE(404),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(2494),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(2580),
    [anon_sym_LPAREN] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2580),
    [anon_sym_QMARK] = ACTIONS(2582),
    [anon_sym_QMARK2] = ACTIONS(2580),
    [anon_sym_AMP] = ACTIONS(2580),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(2582),
    [anon_sym_GT] = ACTIONS(2582),
    [anon_sym_LBRACE] = ACTIONS(2580),
    [anon_sym_CARET_LBRACE] = ACTIONS(2580),
    [anon_sym_RBRACE] = ACTIONS(2580),
    [anon_sym_PLUS_EQ] = ACTIONS(2580),
    [anon_sym_DASH_EQ] = ACTIONS(2580),
    [anon_sym_STAR_EQ] = ACTIONS(2580),
    [anon_sym_SLASH_EQ] = ACTIONS(2580),
    [anon_sym_PERCENT_EQ] = ACTIONS(2580),
    [anon_sym_BANG_EQ] = ACTIONS(2582),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2580),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2580),
    [anon_sym_LT_EQ] = ACTIONS(2580),
    [anon_sym_GT_EQ] = ACTIONS(2580),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2580),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2580),
    [anon_sym_is] = ACTIONS(2580),
    [anon_sym_PLUS] = ACTIONS(4194),
    [anon_sym_DASH] = ACTIONS(4194),
    [anon_sym_STAR] = ACTIONS(4196),
    [anon_sym_SLASH] = ACTIONS(4196),
    [anon_sym_PERCENT] = ACTIONS(4196),
    [anon_sym_PLUS_PLUS] = ACTIONS(2580),
    [anon_sym_DASH_DASH] = ACTIONS(2580),
    [anon_sym_PIPE] = ACTIONS(2580),
    [anon_sym_CARET] = ACTIONS(2582),
    [anon_sym_LT_LT] = ACTIONS(2580),
    [anon_sym_GT_GT] = ACTIONS(2580),
    [anon_sym_BANG2] = ACTIONS(2582),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(2580),
    [sym__implicit_semi] = ACTIONS(2580),
    [sym__explicit_semi] = ACTIONS(2580),
    [sym__dot_custom] = ACTIONS(2580),
    [sym__conjunction_operator_custom] = ACTIONS(2580),
    [sym__disjunction_operator_custom] = ACTIONS(2580),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4210),
    [sym__eq_custom] = ACTIONS(2580),
    [sym__eq_eq_custom] = ACTIONS(2580),
    [sym__plus_then_ws] = ACTIONS(4212),
    [sym__minus_then_ws] = ACTIONS(4212),
    [sym__bang_custom] = ACTIONS(2580),
    [sym__as_custom] = ACTIONS(2580),
    [sym__as_quest_custom] = ACTIONS(2580),
    [sym__as_bang_custom] = ACTIONS(2580),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1289] = {
    [sym__quest] = STATE(585),
    [sym__immediate_quest] = STATE(2811),
    [sym__range_operator] = STATE(324),
    [sym_custom_operator] = STATE(322),
    [sym_navigation_suffix] = STATE(2821),
    [sym_call_suffix] = STATE(2823),
    [sym__fn_call_lambda_arguments] = STATE(2859),
    [sym_value_arguments] = STATE(2422),
    [sym_lambda_literal] = STATE(1516),
    [sym_where_clause] = STATE(7333),
    [sym__equality_operator] = STATE(321),
    [sym__comparison_operator] = STATE(314),
    [sym__three_dot_operator] = STATE(880),
    [sym__open_ended_range_operator] = STATE(324),
    [sym__is_operator] = STATE(3839),
    [sym__additive_operator] = STATE(537),
    [sym__multiplicative_operator] = STATE(521),
    [sym_as_operator] = STATE(3843),
    [sym__bitwise_binary_operator] = STATE(395),
    [sym__postfix_unary_operator] = STATE(2876),
    [sym__eq_eq] = STATE(321),
    [sym__dot] = STATE(4692),
    [sym__conjunction_operator] = STATE(411),
    [sym__disjunction_operator] = STATE(413),
    [sym__nil_coalescing_operator] = STATE(414),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(2876),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(2638),
    [anon_sym_LPAREN] = ACTIONS(4272),
    [anon_sym_LBRACK] = ACTIONS(4274),
    [anon_sym_QMARK] = ACTIONS(4276),
    [anon_sym_QMARK2] = ACTIONS(4278),
    [anon_sym_AMP] = ACTIONS(4280),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4282),
    [anon_sym_GT] = ACTIONS(4282),
    [anon_sym_LBRACE] = ACTIONS(4284),
    [anon_sym_CARET_LBRACE] = ACTIONS(4284),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4286),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4288),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4288),
    [anon_sym_LT_EQ] = ACTIONS(4290),
    [anon_sym_GT_EQ] = ACTIONS(4290),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1361),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4292),
    [anon_sym_is] = ACTIONS(4294),
    [anon_sym_PLUS] = ACTIONS(4296),
    [anon_sym_DASH] = ACTIONS(4296),
    [anon_sym_STAR] = ACTIONS(4298),
    [anon_sym_SLASH] = ACTIONS(4298),
    [anon_sym_PERCENT] = ACTIONS(4298),
    [anon_sym_PLUS_PLUS] = ACTIONS(4300),
    [anon_sym_DASH_DASH] = ACTIONS(4300),
    [anon_sym_PIPE] = ACTIONS(4280),
    [anon_sym_CARET] = ACTIONS(4302),
    [anon_sym_LT_LT] = ACTIONS(4280),
    [anon_sym_GT_GT] = ACTIONS(4280),
    [anon_sym_BANG2] = ACTIONS(4304),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(4306),
    [sym__conjunction_operator_custom] = ACTIONS(4308),
    [sym__disjunction_operator_custom] = ACTIONS(4310),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4312),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4288),
    [sym__plus_then_ws] = ACTIONS(4314),
    [sym__minus_then_ws] = ACTIONS(4314),
    [sym__bang_custom] = ACTIONS(4316),
    [sym_where_keyword] = ACTIONS(4318),
    [sym_else] = ACTIONS(2638),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1290] = {
    [sym__quest] = STATE(577),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [aux_sym_array_literal_repeat1] = STATE(6608),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(4320),
    [anon_sym_COLON] = ACTIONS(4252),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_RBRACK] = ACTIONS(4322),
    [anon_sym_QMARK] = ACTIONS(4256),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(4222),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(4258),
    [anon_sym_CARET_LBRACE] = ACTIONS(4258),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4232),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4222),
    [anon_sym_GT_GT] = ACTIONS(4222),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1291] = {
    [sym__quest] = STATE(499),
    [sym__immediate_quest] = STATE(2662),
    [sym__range_operator] = STATE(416),
    [sym_custom_operator] = STATE(412),
    [sym_navigation_suffix] = STATE(2631),
    [sym_call_suffix] = STATE(2633),
    [sym__fn_call_lambda_arguments] = STATE(2562),
    [sym_value_arguments] = STATE(2305),
    [sym_lambda_literal] = STATE(1486),
    [sym__equality_operator] = STATE(410),
    [sym__comparison_operator] = STATE(409),
    [sym__three_dot_operator] = STATE(857),
    [sym__open_ended_range_operator] = STATE(416),
    [sym__is_operator] = STATE(3890),
    [sym__additive_operator] = STATE(510),
    [sym__multiplicative_operator] = STATE(512),
    [sym_as_operator] = STATE(3891),
    [sym__bitwise_binary_operator] = STATE(408),
    [sym__postfix_unary_operator] = STATE(2494),
    [sym__eq_eq] = STATE(410),
    [sym__dot] = STATE(4729),
    [sym__conjunction_operator] = STATE(407),
    [sym__disjunction_operator] = STATE(405),
    [sym__nil_coalescing_operator] = STATE(404),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(2494),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(2572),
    [anon_sym_LPAREN] = ACTIONS(4174),
    [anon_sym_LBRACK] = ACTIONS(4176),
    [anon_sym_QMARK] = ACTIONS(4216),
    [anon_sym_QMARK2] = ACTIONS(4178),
    [anon_sym_AMP] = ACTIONS(4180),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4182),
    [anon_sym_GT] = ACTIONS(4182),
    [anon_sym_LBRACE] = ACTIONS(4220),
    [anon_sym_CARET_LBRACE] = ACTIONS(4220),
    [anon_sym_RBRACE] = ACTIONS(2572),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4184),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4186),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4186),
    [anon_sym_LT_EQ] = ACTIONS(4188),
    [anon_sym_GT_EQ] = ACTIONS(4188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1279),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4190),
    [anon_sym_is] = ACTIONS(4192),
    [anon_sym_PLUS] = ACTIONS(4194),
    [anon_sym_DASH] = ACTIONS(4194),
    [anon_sym_STAR] = ACTIONS(4196),
    [anon_sym_SLASH] = ACTIONS(4196),
    [anon_sym_PERCENT] = ACTIONS(4196),
    [anon_sym_PLUS_PLUS] = ACTIONS(4198),
    [anon_sym_DASH_DASH] = ACTIONS(4198),
    [anon_sym_PIPE] = ACTIONS(4180),
    [anon_sym_CARET] = ACTIONS(4200),
    [anon_sym_LT_LT] = ACTIONS(4180),
    [anon_sym_GT_GT] = ACTIONS(4180),
    [anon_sym_BANG2] = ACTIONS(4202),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(2572),
    [sym__implicit_semi] = ACTIONS(2572),
    [sym__explicit_semi] = ACTIONS(2572),
    [sym__dot_custom] = ACTIONS(4204),
    [sym__conjunction_operator_custom] = ACTIONS(4206),
    [sym__disjunction_operator_custom] = ACTIONS(4208),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4210),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4186),
    [sym__plus_then_ws] = ACTIONS(4212),
    [sym__minus_then_ws] = ACTIONS(4212),
    [sym__bang_custom] = ACTIONS(4214),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1292] = {
    [sym__quest] = STATE(577),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [aux_sym_array_literal_repeat1] = STATE(6947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(4324),
    [anon_sym_COLON] = ACTIONS(4252),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_RBRACK] = ACTIONS(4326),
    [anon_sym_QMARK] = ACTIONS(4256),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(4222),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(4258),
    [anon_sym_CARET_LBRACE] = ACTIONS(4258),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4232),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4222),
    [anon_sym_GT_GT] = ACTIONS(4222),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1293] = {
    [sym__quest] = STATE(577),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [aux_sym_array_literal_repeat1] = STATE(6672),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(4328),
    [anon_sym_COLON] = ACTIONS(4252),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_RBRACK] = ACTIONS(4330),
    [anon_sym_QMARK] = ACTIONS(4256),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(4222),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(4258),
    [anon_sym_CARET_LBRACE] = ACTIONS(4258),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4232),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4222),
    [anon_sym_GT_GT] = ACTIONS(4222),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1294] = {
    [sym__quest] = STATE(577),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(2568),
    [anon_sym_COMMA] = ACTIONS(2568),
    [anon_sym_COLON] = ACTIONS(2568),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_RBRACK] = ACTIONS(2568),
    [anon_sym_QMARK] = ACTIONS(4256),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(4222),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(4258),
    [anon_sym_CARET_LBRACE] = ACTIONS(4258),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4232),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4222),
    [anon_sym_GT_GT] = ACTIONS(4222),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1295] = {
    [sym__quest] = STATE(577),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [aux_sym_array_literal_repeat1] = STATE(6969),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(4332),
    [anon_sym_COLON] = ACTIONS(4252),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_RBRACK] = ACTIONS(4334),
    [anon_sym_QMARK] = ACTIONS(4256),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(4222),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(4258),
    [anon_sym_CARET_LBRACE] = ACTIONS(4258),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4232),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4222),
    [anon_sym_GT_GT] = ACTIONS(4222),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1296] = {
    [sym__quest] = STATE(449),
    [sym__immediate_quest] = STATE(2398),
    [sym__range_operator] = STATE(330),
    [sym_custom_operator] = STATE(356),
    [sym_navigation_suffix] = STATE(2401),
    [sym_call_suffix] = STATE(2402),
    [sym__fn_call_lambda_arguments] = STATE(2408),
    [sym_value_arguments] = STATE(2044),
    [sym_lambda_literal] = STATE(1483),
    [sym__equality_operator] = STATE(369),
    [sym__comparison_operator] = STATE(370),
    [sym__three_dot_operator] = STATE(848),
    [sym__open_ended_range_operator] = STATE(330),
    [sym__is_operator] = STATE(3782),
    [sym__additive_operator] = STATE(476),
    [sym__multiplicative_operator] = STATE(474),
    [sym_as_operator] = STATE(3783),
    [sym__bitwise_binary_operator] = STATE(397),
    [sym__postfix_unary_operator] = STATE(2410),
    [sym__eq_eq] = STATE(369),
    [sym__dot] = STATE(4593),
    [sym__conjunction_operator] = STATE(406),
    [sym__disjunction_operator] = STATE(420),
    [sym__nil_coalescing_operator] = STATE(421),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(2410),
    [ts_builtin_sym_end] = ACTIONS(2758),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(4107),
    [anon_sym_LBRACK] = ACTIONS(4109),
    [anon_sym_QMARK] = ACTIONS(4111),
    [anon_sym_QMARK2] = ACTIONS(4113),
    [anon_sym_AMP] = ACTIONS(4115),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4117),
    [anon_sym_GT] = ACTIONS(4117),
    [anon_sym_LBRACE] = ACTIONS(4121),
    [anon_sym_CARET_LBRACE] = ACTIONS(4121),
    [anon_sym_RBRACE] = ACTIONS(2758),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4123),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4125),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4125),
    [anon_sym_LT_EQ] = ACTIONS(4127),
    [anon_sym_GT_EQ] = ACTIONS(4127),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4129),
    [anon_sym_is] = ACTIONS(4131),
    [anon_sym_PLUS] = ACTIONS(4133),
    [anon_sym_DASH] = ACTIONS(4133),
    [anon_sym_STAR] = ACTIONS(4135),
    [anon_sym_SLASH] = ACTIONS(4135),
    [anon_sym_PERCENT] = ACTIONS(4135),
    [anon_sym_PLUS_PLUS] = ACTIONS(4137),
    [anon_sym_DASH_DASH] = ACTIONS(4137),
    [anon_sym_PIPE] = ACTIONS(4115),
    [anon_sym_CARET] = ACTIONS(4139),
    [anon_sym_LT_LT] = ACTIONS(4115),
    [anon_sym_GT_GT] = ACTIONS(4115),
    [anon_sym_BANG2] = ACTIONS(4141),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2758),
    [sym__explicit_semi] = ACTIONS(2758),
    [sym__dot_custom] = ACTIONS(4143),
    [sym__conjunction_operator_custom] = ACTIONS(4145),
    [sym__disjunction_operator_custom] = ACTIONS(4147),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4149),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4125),
    [sym__plus_then_ws] = ACTIONS(4151),
    [sym__minus_then_ws] = ACTIONS(4151),
    [sym__bang_custom] = ACTIONS(4153),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1297] = {
    [sym__quest] = STATE(549),
    [sym__immediate_quest] = STATE(2979),
    [sym__range_operator] = STATE(348),
    [sym_custom_operator] = STATE(346),
    [sym_navigation_suffix] = STATE(2982),
    [sym_call_suffix] = STATE(2983),
    [sym__fn_call_lambda_arguments] = STATE(2984),
    [sym_value_arguments] = STATE(2470),
    [sym_expr_hack_at_ternary_binary_call_suffix] = STATE(2862),
    [sym_lambda_literal] = STATE(1510),
    [sym__equality_operator] = STATE(345),
    [sym__comparison_operator] = STATE(325),
    [sym__three_dot_operator] = STATE(872),
    [sym__open_ended_range_operator] = STATE(348),
    [sym__is_operator] = STATE(3815),
    [sym__additive_operator] = STATE(528),
    [sym__multiplicative_operator] = STATE(487),
    [sym_as_operator] = STATE(3821),
    [sym__bitwise_binary_operator] = STATE(302),
    [sym__postfix_unary_operator] = STATE(2992),
    [sym__eq_eq] = STATE(345),
    [sym__dot] = STATE(4626),
    [sym__conjunction_operator] = STATE(298),
    [sym__disjunction_operator] = STATE(297),
    [sym__nil_coalescing_operator] = STATE(292),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(2992),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(2494),
    [anon_sym_COLON] = ACTIONS(2494),
    [anon_sym_LPAREN] = ACTIONS(4336),
    [anon_sym_LBRACK] = ACTIONS(4338),
    [anon_sym_QMARK] = ACTIONS(2500),
    [anon_sym_QMARK2] = ACTIONS(4340),
    [anon_sym_AMP] = ACTIONS(4342),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4344),
    [anon_sym_GT] = ACTIONS(4344),
    [anon_sym_LBRACE] = ACTIONS(2494),
    [anon_sym_CARET_LBRACE] = ACTIONS(2494),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4346),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4348),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4348),
    [anon_sym_LT_EQ] = ACTIONS(4350),
    [anon_sym_GT_EQ] = ACTIONS(4350),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4352),
    [anon_sym_is] = ACTIONS(4354),
    [anon_sym_PLUS] = ACTIONS(4356),
    [anon_sym_DASH] = ACTIONS(4356),
    [anon_sym_STAR] = ACTIONS(4358),
    [anon_sym_SLASH] = ACTIONS(4358),
    [anon_sym_PERCENT] = ACTIONS(4358),
    [anon_sym_PLUS_PLUS] = ACTIONS(4360),
    [anon_sym_DASH_DASH] = ACTIONS(4360),
    [anon_sym_PIPE] = ACTIONS(4342),
    [anon_sym_CARET] = ACTIONS(4362),
    [anon_sym_LT_LT] = ACTIONS(4342),
    [anon_sym_GT_GT] = ACTIONS(4342),
    [anon_sym_BANG2] = ACTIONS(4364),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(4366),
    [sym__conjunction_operator_custom] = ACTIONS(4368),
    [sym__disjunction_operator_custom] = ACTIONS(4370),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4372),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4348),
    [sym__plus_then_ws] = ACTIONS(4374),
    [sym__minus_then_ws] = ACTIONS(4374),
    [sym__bang_custom] = ACTIONS(4376),
    [sym_where_keyword] = ACTIONS(2494),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1298] = {
    [sym__quest] = STATE(499),
    [sym__immediate_quest] = STATE(2662),
    [sym__range_operator] = STATE(416),
    [sym_custom_operator] = STATE(412),
    [sym_navigation_suffix] = STATE(2631),
    [sym_call_suffix] = STATE(2633),
    [sym__fn_call_lambda_arguments] = STATE(2562),
    [sym_value_arguments] = STATE(2305),
    [sym_lambda_literal] = STATE(1486),
    [sym__equality_operator] = STATE(410),
    [sym__comparison_operator] = STATE(409),
    [sym__three_dot_operator] = STATE(857),
    [sym__open_ended_range_operator] = STATE(416),
    [sym__is_operator] = STATE(3890),
    [sym__additive_operator] = STATE(510),
    [sym__multiplicative_operator] = STATE(512),
    [sym_as_operator] = STATE(3891),
    [sym__bitwise_binary_operator] = STATE(408),
    [sym__postfix_unary_operator] = STATE(2494),
    [sym__eq_eq] = STATE(410),
    [sym__dot] = STATE(4729),
    [sym__conjunction_operator] = STATE(407),
    [sym__disjunction_operator] = STATE(405),
    [sym__nil_coalescing_operator] = STATE(404),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(2494),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(2550),
    [anon_sym_LPAREN] = ACTIONS(4174),
    [anon_sym_LBRACK] = ACTIONS(4176),
    [anon_sym_QMARK] = ACTIONS(4216),
    [anon_sym_QMARK2] = ACTIONS(4178),
    [anon_sym_AMP] = ACTIONS(4180),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4182),
    [anon_sym_GT] = ACTIONS(4182),
    [anon_sym_LBRACE] = ACTIONS(4220),
    [anon_sym_CARET_LBRACE] = ACTIONS(4220),
    [anon_sym_RBRACE] = ACTIONS(2550),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4184),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4186),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4186),
    [anon_sym_LT_EQ] = ACTIONS(4188),
    [anon_sym_GT_EQ] = ACTIONS(4188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1279),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4190),
    [anon_sym_is] = ACTIONS(4192),
    [anon_sym_PLUS] = ACTIONS(4194),
    [anon_sym_DASH] = ACTIONS(4194),
    [anon_sym_STAR] = ACTIONS(4196),
    [anon_sym_SLASH] = ACTIONS(4196),
    [anon_sym_PERCENT] = ACTIONS(4196),
    [anon_sym_PLUS_PLUS] = ACTIONS(4198),
    [anon_sym_DASH_DASH] = ACTIONS(4198),
    [anon_sym_PIPE] = ACTIONS(4180),
    [anon_sym_CARET] = ACTIONS(4200),
    [anon_sym_LT_LT] = ACTIONS(4180),
    [anon_sym_GT_GT] = ACTIONS(4180),
    [anon_sym_BANG2] = ACTIONS(4202),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(2550),
    [sym__implicit_semi] = ACTIONS(2550),
    [sym__explicit_semi] = ACTIONS(2550),
    [sym__dot_custom] = ACTIONS(4204),
    [sym__conjunction_operator_custom] = ACTIONS(4206),
    [sym__disjunction_operator_custom] = ACTIONS(4208),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4210),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4186),
    [sym__plus_then_ws] = ACTIONS(4212),
    [sym__minus_then_ws] = ACTIONS(4212),
    [sym__bang_custom] = ACTIONS(4214),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1299] = {
    [sym__quest] = STATE(499),
    [sym__immediate_quest] = STATE(2662),
    [sym__range_operator] = STATE(416),
    [sym_custom_operator] = STATE(412),
    [sym_navigation_suffix] = STATE(2631),
    [sym_call_suffix] = STATE(2633),
    [sym__fn_call_lambda_arguments] = STATE(2562),
    [sym_value_arguments] = STATE(2305),
    [sym_lambda_literal] = STATE(1486),
    [sym__equality_operator] = STATE(410),
    [sym__comparison_operator] = STATE(409),
    [sym__three_dot_operator] = STATE(857),
    [sym__open_ended_range_operator] = STATE(416),
    [sym__is_operator] = STATE(3890),
    [sym__additive_operator] = STATE(510),
    [sym__multiplicative_operator] = STATE(512),
    [sym_as_operator] = STATE(3891),
    [sym__bitwise_binary_operator] = STATE(408),
    [sym__postfix_unary_operator] = STATE(2494),
    [sym__eq_eq] = STATE(410),
    [sym__dot] = STATE(4729),
    [sym__conjunction_operator] = STATE(407),
    [sym__disjunction_operator] = STATE(405),
    [sym__nil_coalescing_operator] = STATE(404),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(2494),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(2588),
    [anon_sym_LPAREN] = ACTIONS(4174),
    [anon_sym_LBRACK] = ACTIONS(4176),
    [anon_sym_QMARK] = ACTIONS(4216),
    [anon_sym_QMARK2] = ACTIONS(4178),
    [anon_sym_AMP] = ACTIONS(4180),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4182),
    [anon_sym_GT] = ACTIONS(4182),
    [anon_sym_LBRACE] = ACTIONS(4220),
    [anon_sym_CARET_LBRACE] = ACTIONS(4220),
    [anon_sym_RBRACE] = ACTIONS(2588),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4184),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4186),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4186),
    [anon_sym_LT_EQ] = ACTIONS(4188),
    [anon_sym_GT_EQ] = ACTIONS(4188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1279),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4190),
    [anon_sym_is] = ACTIONS(4192),
    [anon_sym_PLUS] = ACTIONS(4194),
    [anon_sym_DASH] = ACTIONS(4194),
    [anon_sym_STAR] = ACTIONS(4196),
    [anon_sym_SLASH] = ACTIONS(4196),
    [anon_sym_PERCENT] = ACTIONS(4196),
    [anon_sym_PLUS_PLUS] = ACTIONS(4198),
    [anon_sym_DASH_DASH] = ACTIONS(4198),
    [anon_sym_PIPE] = ACTIONS(4180),
    [anon_sym_CARET] = ACTIONS(4200),
    [anon_sym_LT_LT] = ACTIONS(4180),
    [anon_sym_GT_GT] = ACTIONS(4180),
    [anon_sym_BANG2] = ACTIONS(4202),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(2588),
    [sym__implicit_semi] = ACTIONS(2588),
    [sym__explicit_semi] = ACTIONS(2588),
    [sym__dot_custom] = ACTIONS(4204),
    [sym__conjunction_operator_custom] = ACTIONS(4206),
    [sym__disjunction_operator_custom] = ACTIONS(4208),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4210),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4186),
    [sym__plus_then_ws] = ACTIONS(4212),
    [sym__minus_then_ws] = ACTIONS(4212),
    [sym__bang_custom] = ACTIONS(4214),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1300] = {
    [sym__quest] = STATE(499),
    [sym__immediate_quest] = STATE(2662),
    [sym__range_operator] = STATE(416),
    [sym_custom_operator] = STATE(412),
    [sym_navigation_suffix] = STATE(2631),
    [sym_call_suffix] = STATE(2633),
    [sym__fn_call_lambda_arguments] = STATE(2562),
    [sym_value_arguments] = STATE(2305),
    [sym_lambda_literal] = STATE(1486),
    [sym__equality_operator] = STATE(410),
    [sym__comparison_operator] = STATE(409),
    [sym__three_dot_operator] = STATE(857),
    [sym__open_ended_range_operator] = STATE(416),
    [sym__is_operator] = STATE(3890),
    [sym__additive_operator] = STATE(510),
    [sym__multiplicative_operator] = STATE(512),
    [sym_as_operator] = STATE(3891),
    [sym__bitwise_binary_operator] = STATE(408),
    [sym__postfix_unary_operator] = STATE(2494),
    [sym__eq_eq] = STATE(410),
    [sym__dot] = STATE(4729),
    [sym__conjunction_operator] = STATE(407),
    [sym__disjunction_operator] = STATE(405),
    [sym__nil_coalescing_operator] = STATE(404),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(2494),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(2568),
    [anon_sym_LPAREN] = ACTIONS(4174),
    [anon_sym_LBRACK] = ACTIONS(4176),
    [anon_sym_QMARK] = ACTIONS(4216),
    [anon_sym_QMARK2] = ACTIONS(4178),
    [anon_sym_AMP] = ACTIONS(4180),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4182),
    [anon_sym_GT] = ACTIONS(4182),
    [anon_sym_LBRACE] = ACTIONS(4220),
    [anon_sym_CARET_LBRACE] = ACTIONS(4220),
    [anon_sym_RBRACE] = ACTIONS(2568),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4184),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4186),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4186),
    [anon_sym_LT_EQ] = ACTIONS(4188),
    [anon_sym_GT_EQ] = ACTIONS(4188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1279),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4190),
    [anon_sym_is] = ACTIONS(4192),
    [anon_sym_PLUS] = ACTIONS(4194),
    [anon_sym_DASH] = ACTIONS(4194),
    [anon_sym_STAR] = ACTIONS(4196),
    [anon_sym_SLASH] = ACTIONS(4196),
    [anon_sym_PERCENT] = ACTIONS(4196),
    [anon_sym_PLUS_PLUS] = ACTIONS(4198),
    [anon_sym_DASH_DASH] = ACTIONS(4198),
    [anon_sym_PIPE] = ACTIONS(4180),
    [anon_sym_CARET] = ACTIONS(4200),
    [anon_sym_LT_LT] = ACTIONS(4180),
    [anon_sym_GT_GT] = ACTIONS(4180),
    [anon_sym_BANG2] = ACTIONS(4202),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(2568),
    [sym__implicit_semi] = ACTIONS(2568),
    [sym__explicit_semi] = ACTIONS(2568),
    [sym__dot_custom] = ACTIONS(4204),
    [sym__conjunction_operator_custom] = ACTIONS(4206),
    [sym__disjunction_operator_custom] = ACTIONS(4208),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4210),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4186),
    [sym__plus_then_ws] = ACTIONS(4212),
    [sym__minus_then_ws] = ACTIONS(4212),
    [sym__bang_custom] = ACTIONS(4214),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1301] = {
    [sym__quest] = STATE(577),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(2584),
    [anon_sym_COMMA] = ACTIONS(2584),
    [anon_sym_COLON] = ACTIONS(2584),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_LBRACK] = ACTIONS(2584),
    [anon_sym_RBRACK] = ACTIONS(2584),
    [anon_sym_QMARK] = ACTIONS(2586),
    [anon_sym_QMARK2] = ACTIONS(2584),
    [anon_sym_AMP] = ACTIONS(2584),
    [aux_sym_custom_operator_token1] = ACTIONS(2584),
    [anon_sym_LT] = ACTIONS(2586),
    [anon_sym_GT] = ACTIONS(2586),
    [anon_sym_LBRACE] = ACTIONS(2584),
    [anon_sym_CARET_LBRACE] = ACTIONS(2584),
    [anon_sym_PLUS_EQ] = ACTIONS(2584),
    [anon_sym_DASH_EQ] = ACTIONS(2584),
    [anon_sym_STAR_EQ] = ACTIONS(2584),
    [anon_sym_SLASH_EQ] = ACTIONS(2584),
    [anon_sym_PERCENT_EQ] = ACTIONS(2584),
    [anon_sym_BANG_EQ] = ACTIONS(2586),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2584),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2584),
    [anon_sym_LT_EQ] = ACTIONS(2584),
    [anon_sym_GT_EQ] = ACTIONS(2584),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2584),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2584),
    [anon_sym_is] = ACTIONS(2584),
    [anon_sym_PLUS] = ACTIONS(2586),
    [anon_sym_DASH] = ACTIONS(2586),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2584),
    [anon_sym_DASH_DASH] = ACTIONS(2584),
    [anon_sym_PIPE] = ACTIONS(2584),
    [anon_sym_CARET] = ACTIONS(2586),
    [anon_sym_LT_LT] = ACTIONS(2584),
    [anon_sym_GT_GT] = ACTIONS(2584),
    [anon_sym_BANG2] = ACTIONS(2586),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2584),
    [sym__conjunction_operator_custom] = ACTIONS(2584),
    [sym__disjunction_operator_custom] = ACTIONS(2584),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2584),
    [sym__eq_custom] = ACTIONS(2584),
    [sym__eq_eq_custom] = ACTIONS(2584),
    [sym__plus_then_ws] = ACTIONS(2584),
    [sym__minus_then_ws] = ACTIONS(2584),
    [sym__bang_custom] = ACTIONS(2584),
    [sym__as_custom] = ACTIONS(2584),
    [sym__as_quest_custom] = ACTIONS(2584),
    [sym__as_bang_custom] = ACTIONS(2584),
    [sym__custom_operator] = ACTIONS(2584),
  },
  [1302] = {
    [sym__quest] = STATE(577),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(2546),
    [anon_sym_COMMA] = ACTIONS(2546),
    [anon_sym_COLON] = ACTIONS(2546),
    [anon_sym_LPAREN] = ACTIONS(2546),
    [anon_sym_LBRACK] = ACTIONS(2546),
    [anon_sym_RBRACK] = ACTIONS(2546),
    [anon_sym_QMARK] = ACTIONS(2548),
    [anon_sym_QMARK2] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2546),
    [aux_sym_custom_operator_token1] = ACTIONS(2546),
    [anon_sym_LT] = ACTIONS(2548),
    [anon_sym_GT] = ACTIONS(2548),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_CARET_LBRACE] = ACTIONS(2546),
    [anon_sym_PLUS_EQ] = ACTIONS(2546),
    [anon_sym_DASH_EQ] = ACTIONS(2546),
    [anon_sym_STAR_EQ] = ACTIONS(2546),
    [anon_sym_SLASH_EQ] = ACTIONS(2546),
    [anon_sym_PERCENT_EQ] = ACTIONS(2546),
    [anon_sym_BANG_EQ] = ACTIONS(2548),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2546),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2546),
    [anon_sym_LT_EQ] = ACTIONS(2546),
    [anon_sym_GT_EQ] = ACTIONS(2546),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2546),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2546),
    [anon_sym_is] = ACTIONS(2546),
    [anon_sym_PLUS] = ACTIONS(2548),
    [anon_sym_DASH] = ACTIONS(2548),
    [anon_sym_STAR] = ACTIONS(2548),
    [anon_sym_SLASH] = ACTIONS(2548),
    [anon_sym_PERCENT] = ACTIONS(2548),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PIPE] = ACTIONS(2546),
    [anon_sym_CARET] = ACTIONS(2548),
    [anon_sym_LT_LT] = ACTIONS(2546),
    [anon_sym_GT_GT] = ACTIONS(2546),
    [anon_sym_BANG2] = ACTIONS(2548),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2546),
    [sym__conjunction_operator_custom] = ACTIONS(2546),
    [sym__disjunction_operator_custom] = ACTIONS(2546),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2546),
    [sym__eq_custom] = ACTIONS(2546),
    [sym__eq_eq_custom] = ACTIONS(2546),
    [sym__plus_then_ws] = ACTIONS(2546),
    [sym__minus_then_ws] = ACTIONS(2546),
    [sym__bang_custom] = ACTIONS(2546),
    [sym__as_custom] = ACTIONS(2546),
    [sym__as_quest_custom] = ACTIONS(2546),
    [sym__as_bang_custom] = ACTIONS(2546),
    [sym__custom_operator] = ACTIONS(2546),
  },
  [1303] = {
    [sym__quest] = STATE(577),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(2580),
    [anon_sym_COMMA] = ACTIONS(2580),
    [anon_sym_COLON] = ACTIONS(2580),
    [anon_sym_LPAREN] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2580),
    [anon_sym_RBRACK] = ACTIONS(2580),
    [anon_sym_QMARK] = ACTIONS(2582),
    [anon_sym_QMARK2] = ACTIONS(2580),
    [anon_sym_AMP] = ACTIONS(2580),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(2582),
    [anon_sym_GT] = ACTIONS(2582),
    [anon_sym_LBRACE] = ACTIONS(2580),
    [anon_sym_CARET_LBRACE] = ACTIONS(2580),
    [anon_sym_PLUS_EQ] = ACTIONS(2580),
    [anon_sym_DASH_EQ] = ACTIONS(2580),
    [anon_sym_STAR_EQ] = ACTIONS(2580),
    [anon_sym_SLASH_EQ] = ACTIONS(2580),
    [anon_sym_PERCENT_EQ] = ACTIONS(2580),
    [anon_sym_BANG_EQ] = ACTIONS(2582),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2580),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2580),
    [anon_sym_LT_EQ] = ACTIONS(2580),
    [anon_sym_GT_EQ] = ACTIONS(2580),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2580),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2580),
    [anon_sym_is] = ACTIONS(2580),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2580),
    [anon_sym_DASH_DASH] = ACTIONS(2580),
    [anon_sym_PIPE] = ACTIONS(2580),
    [anon_sym_CARET] = ACTIONS(2582),
    [anon_sym_LT_LT] = ACTIONS(2580),
    [anon_sym_GT_GT] = ACTIONS(2580),
    [anon_sym_BANG2] = ACTIONS(2582),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2580),
    [sym__conjunction_operator_custom] = ACTIONS(2580),
    [sym__disjunction_operator_custom] = ACTIONS(2580),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2580),
    [sym__eq_eq_custom] = ACTIONS(2580),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2580),
    [sym__as_custom] = ACTIONS(2580),
    [sym__as_quest_custom] = ACTIONS(2580),
    [sym__as_bang_custom] = ACTIONS(2580),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1304] = {
    [sym__quest] = STATE(499),
    [sym__immediate_quest] = STATE(2662),
    [sym__range_operator] = STATE(416),
    [sym_custom_operator] = STATE(412),
    [sym_navigation_suffix] = STATE(2631),
    [sym_call_suffix] = STATE(2633),
    [sym__fn_call_lambda_arguments] = STATE(2562),
    [sym_value_arguments] = STATE(2305),
    [sym_lambda_literal] = STATE(1486),
    [sym__equality_operator] = STATE(410),
    [sym__comparison_operator] = STATE(409),
    [sym__three_dot_operator] = STATE(857),
    [sym__open_ended_range_operator] = STATE(416),
    [sym__is_operator] = STATE(3890),
    [sym__additive_operator] = STATE(510),
    [sym__multiplicative_operator] = STATE(512),
    [sym_as_operator] = STATE(3891),
    [sym__bitwise_binary_operator] = STATE(408),
    [sym__postfix_unary_operator] = STATE(2494),
    [sym__eq_eq] = STATE(410),
    [sym__dot] = STATE(4729),
    [sym__conjunction_operator] = STATE(407),
    [sym__disjunction_operator] = STATE(405),
    [sym__nil_coalescing_operator] = STATE(404),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(2494),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(2576),
    [anon_sym_LPAREN] = ACTIONS(2576),
    [anon_sym_LBRACK] = ACTIONS(2576),
    [anon_sym_QMARK] = ACTIONS(2578),
    [anon_sym_QMARK2] = ACTIONS(2576),
    [anon_sym_AMP] = ACTIONS(2576),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(2578),
    [anon_sym_GT] = ACTIONS(2578),
    [anon_sym_LBRACE] = ACTIONS(2576),
    [anon_sym_CARET_LBRACE] = ACTIONS(2576),
    [anon_sym_RBRACE] = ACTIONS(2576),
    [anon_sym_PLUS_EQ] = ACTIONS(2576),
    [anon_sym_DASH_EQ] = ACTIONS(2576),
    [anon_sym_STAR_EQ] = ACTIONS(2576),
    [anon_sym_SLASH_EQ] = ACTIONS(2576),
    [anon_sym_PERCENT_EQ] = ACTIONS(2576),
    [anon_sym_BANG_EQ] = ACTIONS(4184),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4186),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4186),
    [anon_sym_LT_EQ] = ACTIONS(2576),
    [anon_sym_GT_EQ] = ACTIONS(2576),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2576),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2576),
    [anon_sym_is] = ACTIONS(4192),
    [anon_sym_PLUS] = ACTIONS(4194),
    [anon_sym_DASH] = ACTIONS(4194),
    [anon_sym_STAR] = ACTIONS(4196),
    [anon_sym_SLASH] = ACTIONS(4196),
    [anon_sym_PERCENT] = ACTIONS(4196),
    [anon_sym_PLUS_PLUS] = ACTIONS(4198),
    [anon_sym_DASH_DASH] = ACTIONS(4198),
    [anon_sym_PIPE] = ACTIONS(2576),
    [anon_sym_CARET] = ACTIONS(2578),
    [anon_sym_LT_LT] = ACTIONS(2576),
    [anon_sym_GT_GT] = ACTIONS(2576),
    [anon_sym_BANG2] = ACTIONS(4202),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(2576),
    [sym__implicit_semi] = ACTIONS(2576),
    [sym__explicit_semi] = ACTIONS(2576),
    [sym__dot_custom] = ACTIONS(2576),
    [sym__conjunction_operator_custom] = ACTIONS(4206),
    [sym__disjunction_operator_custom] = ACTIONS(4208),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4210),
    [sym__eq_custom] = ACTIONS(2576),
    [sym__eq_eq_custom] = ACTIONS(4186),
    [sym__plus_then_ws] = ACTIONS(4212),
    [sym__minus_then_ws] = ACTIONS(4212),
    [sym__bang_custom] = ACTIONS(4214),
    [sym__as_custom] = ACTIONS(2576),
    [sym__as_quest_custom] = ACTIONS(2576),
    [sym__as_bang_custom] = ACTIONS(2576),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1305] = {
    [sym__quest] = STATE(585),
    [sym__immediate_quest] = STATE(2811),
    [sym__range_operator] = STATE(324),
    [sym_custom_operator] = STATE(322),
    [sym_navigation_suffix] = STATE(2821),
    [sym_call_suffix] = STATE(2823),
    [sym__fn_call_lambda_arguments] = STATE(2859),
    [sym_value_arguments] = STATE(2376),
    [sym_expr_hack_at_ternary_binary_call_suffix] = STATE(2937),
    [sym_lambda_literal] = STATE(1516),
    [sym__equality_operator] = STATE(321),
    [sym__comparison_operator] = STATE(314),
    [sym__three_dot_operator] = STATE(880),
    [sym__open_ended_range_operator] = STATE(324),
    [sym__is_operator] = STATE(3839),
    [sym__additive_operator] = STATE(537),
    [sym__multiplicative_operator] = STATE(521),
    [sym_as_operator] = STATE(3843),
    [sym__bitwise_binary_operator] = STATE(395),
    [sym__postfix_unary_operator] = STATE(2876),
    [sym__eq_eq] = STATE(321),
    [sym__dot] = STATE(4692),
    [sym__conjunction_operator] = STATE(411),
    [sym__disjunction_operator] = STATE(413),
    [sym__nil_coalescing_operator] = STATE(414),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(2876),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(2494),
    [anon_sym_LPAREN] = ACTIONS(4272),
    [anon_sym_LBRACK] = ACTIONS(4274),
    [anon_sym_QMARK] = ACTIONS(2500),
    [anon_sym_QMARK2] = ACTIONS(4278),
    [anon_sym_AMP] = ACTIONS(4280),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4282),
    [anon_sym_GT] = ACTIONS(4282),
    [anon_sym_LBRACE] = ACTIONS(2494),
    [anon_sym_CARET_LBRACE] = ACTIONS(2494),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4286),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4288),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4288),
    [anon_sym_LT_EQ] = ACTIONS(4290),
    [anon_sym_GT_EQ] = ACTIONS(4290),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1361),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4292),
    [anon_sym_is] = ACTIONS(4294),
    [anon_sym_PLUS] = ACTIONS(4296),
    [anon_sym_DASH] = ACTIONS(4296),
    [anon_sym_STAR] = ACTIONS(4298),
    [anon_sym_SLASH] = ACTIONS(4298),
    [anon_sym_PERCENT] = ACTIONS(4298),
    [anon_sym_PLUS_PLUS] = ACTIONS(4300),
    [anon_sym_DASH_DASH] = ACTIONS(4300),
    [anon_sym_PIPE] = ACTIONS(4280),
    [anon_sym_CARET] = ACTIONS(4302),
    [anon_sym_LT_LT] = ACTIONS(4280),
    [anon_sym_GT_GT] = ACTIONS(4280),
    [anon_sym_BANG2] = ACTIONS(4304),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(4306),
    [sym__conjunction_operator_custom] = ACTIONS(4308),
    [sym__disjunction_operator_custom] = ACTIONS(4310),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4312),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4288),
    [sym__plus_then_ws] = ACTIONS(4314),
    [sym__minus_then_ws] = ACTIONS(4314),
    [sym__bang_custom] = ACTIONS(4316),
    [sym_where_keyword] = ACTIONS(2494),
    [sym_else] = ACTIONS(2494),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1306] = {
    [sym__quest] = STATE(577),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(2572),
    [anon_sym_COMMA] = ACTIONS(2572),
    [anon_sym_COLON] = ACTIONS(2572),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_RBRACK] = ACTIONS(2572),
    [anon_sym_QMARK] = ACTIONS(4256),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(4222),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(4258),
    [anon_sym_CARET_LBRACE] = ACTIONS(4258),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4232),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4222),
    [anon_sym_GT_GT] = ACTIONS(4222),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1307] = {
    [sym__quest] = STATE(553),
    [sym__immediate_quest] = STATE(2293),
    [sym__range_operator] = STATE(358),
    [sym_custom_operator] = STATE(343),
    [sym_navigation_suffix] = STATE(2298),
    [sym_call_suffix] = STATE(2303),
    [sym__fn_call_lambda_arguments] = STATE(2304),
    [sym_value_arguments] = STATE(1951),
    [sym_lambda_literal] = STATE(1480),
    [sym__equality_operator] = STATE(337),
    [sym__comparison_operator] = STATE(328),
    [sym__three_dot_operator] = STATE(833),
    [sym__open_ended_range_operator] = STATE(358),
    [sym__is_operator] = STATE(3855),
    [sym__additive_operator] = STATE(543),
    [sym__multiplicative_operator] = STATE(539),
    [sym_as_operator] = STATE(3856),
    [sym__bitwise_binary_operator] = STATE(366),
    [sym__postfix_unary_operator] = STATE(2182),
    [sym__eq_eq] = STATE(337),
    [sym__dot] = STATE(4703),
    [sym__conjunction_operator] = STATE(289),
    [sym__disjunction_operator] = STATE(313),
    [sym__nil_coalescing_operator] = STATE(309),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(2182),
    [ts_builtin_sym_end] = ACTIONS(4378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(4040),
    [anon_sym_LBRACK] = ACTIONS(4042),
    [anon_sym_QMARK] = ACTIONS(4044),
    [anon_sym_QMARK2] = ACTIONS(4046),
    [anon_sym_AMP] = ACTIONS(4048),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4050),
    [anon_sym_GT] = ACTIONS(4050),
    [anon_sym_LBRACE] = ACTIONS(4052),
    [anon_sym_CARET_LBRACE] = ACTIONS(4052),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4054),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4056),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4056),
    [anon_sym_LT_EQ] = ACTIONS(4058),
    [anon_sym_GT_EQ] = ACTIONS(4058),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1023),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4060),
    [anon_sym_is] = ACTIONS(4062),
    [anon_sym_PLUS] = ACTIONS(4064),
    [anon_sym_DASH] = ACTIONS(4064),
    [anon_sym_STAR] = ACTIONS(4066),
    [anon_sym_SLASH] = ACTIONS(4066),
    [anon_sym_PERCENT] = ACTIONS(4066),
    [anon_sym_PLUS_PLUS] = ACTIONS(4068),
    [anon_sym_DASH_DASH] = ACTIONS(4068),
    [anon_sym_PIPE] = ACTIONS(4048),
    [anon_sym_CARET] = ACTIONS(4070),
    [anon_sym_LT_LT] = ACTIONS(4048),
    [anon_sym_GT_GT] = ACTIONS(4048),
    [anon_sym_BANG2] = ACTIONS(4072),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(4378),
    [sym__explicit_semi] = ACTIONS(4378),
    [sym__dot_custom] = ACTIONS(4074),
    [sym__conjunction_operator_custom] = ACTIONS(4076),
    [sym__disjunction_operator_custom] = ACTIONS(4078),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4080),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4056),
    [sym__plus_then_ws] = ACTIONS(4082),
    [sym__minus_then_ws] = ACTIONS(4082),
    [sym__bang_custom] = ACTIONS(4084),
    [sym_where_keyword] = ACTIONS(4378),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1308] = {
    [sym__quest] = STATE(499),
    [sym__immediate_quest] = STATE(2662),
    [sym__range_operator] = STATE(416),
    [sym_custom_operator] = STATE(412),
    [sym_navigation_suffix] = STATE(2631),
    [sym_call_suffix] = STATE(2633),
    [sym__fn_call_lambda_arguments] = STATE(2562),
    [sym_value_arguments] = STATE(2305),
    [sym_lambda_literal] = STATE(1486),
    [sym__equality_operator] = STATE(410),
    [sym__comparison_operator] = STATE(409),
    [sym__three_dot_operator] = STATE(857),
    [sym__open_ended_range_operator] = STATE(416),
    [sym__is_operator] = STATE(3890),
    [sym__additive_operator] = STATE(510),
    [sym__multiplicative_operator] = STATE(512),
    [sym_as_operator] = STATE(3891),
    [sym__bitwise_binary_operator] = STATE(408),
    [sym__postfix_unary_operator] = STATE(2494),
    [sym__eq_eq] = STATE(410),
    [sym__dot] = STATE(4729),
    [sym__conjunction_operator] = STATE(407),
    [sym__disjunction_operator] = STATE(405),
    [sym__nil_coalescing_operator] = STATE(404),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(2494),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(2564),
    [anon_sym_LPAREN] = ACTIONS(2564),
    [anon_sym_LBRACK] = ACTIONS(2564),
    [anon_sym_QMARK] = ACTIONS(2566),
    [anon_sym_QMARK2] = ACTIONS(2564),
    [anon_sym_AMP] = ACTIONS(2564),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(2566),
    [anon_sym_GT] = ACTIONS(2566),
    [anon_sym_LBRACE] = ACTIONS(2564),
    [anon_sym_CARET_LBRACE] = ACTIONS(2564),
    [anon_sym_RBRACE] = ACTIONS(2564),
    [anon_sym_PLUS_EQ] = ACTIONS(2564),
    [anon_sym_DASH_EQ] = ACTIONS(2564),
    [anon_sym_STAR_EQ] = ACTIONS(2564),
    [anon_sym_SLASH_EQ] = ACTIONS(2564),
    [anon_sym_PERCENT_EQ] = ACTIONS(2564),
    [anon_sym_BANG_EQ] = ACTIONS(4184),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4186),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4186),
    [anon_sym_LT_EQ] = ACTIONS(2564),
    [anon_sym_GT_EQ] = ACTIONS(2564),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2564),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2564),
    [anon_sym_is] = ACTIONS(4192),
    [anon_sym_PLUS] = ACTIONS(4194),
    [anon_sym_DASH] = ACTIONS(4194),
    [anon_sym_STAR] = ACTIONS(4196),
    [anon_sym_SLASH] = ACTIONS(4196),
    [anon_sym_PERCENT] = ACTIONS(4196),
    [anon_sym_PLUS_PLUS] = ACTIONS(4198),
    [anon_sym_DASH_DASH] = ACTIONS(4198),
    [anon_sym_PIPE] = ACTIONS(2564),
    [anon_sym_CARET] = ACTIONS(2566),
    [anon_sym_LT_LT] = ACTIONS(2564),
    [anon_sym_GT_GT] = ACTIONS(2564),
    [anon_sym_BANG2] = ACTIONS(4202),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(2564),
    [sym__implicit_semi] = ACTIONS(2564),
    [sym__explicit_semi] = ACTIONS(2564),
    [sym__dot_custom] = ACTIONS(2564),
    [sym__conjunction_operator_custom] = ACTIONS(4206),
    [sym__disjunction_operator_custom] = ACTIONS(4208),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4210),
    [sym__eq_custom] = ACTIONS(2564),
    [sym__eq_eq_custom] = ACTIONS(4186),
    [sym__plus_then_ws] = ACTIONS(4212),
    [sym__minus_then_ws] = ACTIONS(4212),
    [sym__bang_custom] = ACTIONS(4214),
    [sym__as_custom] = ACTIONS(2564),
    [sym__as_quest_custom] = ACTIONS(2564),
    [sym__as_bang_custom] = ACTIONS(2564),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1309] = {
    [sym__quest] = STATE(499),
    [sym__immediate_quest] = STATE(2662),
    [sym__range_operator] = STATE(416),
    [sym_custom_operator] = STATE(412),
    [sym_navigation_suffix] = STATE(2631),
    [sym_call_suffix] = STATE(2633),
    [sym__fn_call_lambda_arguments] = STATE(2562),
    [sym_value_arguments] = STATE(2305),
    [sym_lambda_literal] = STATE(1486),
    [sym__equality_operator] = STATE(410),
    [sym__comparison_operator] = STATE(409),
    [sym__three_dot_operator] = STATE(857),
    [sym__open_ended_range_operator] = STATE(416),
    [sym__is_operator] = STATE(3890),
    [sym__additive_operator] = STATE(510),
    [sym__multiplicative_operator] = STATE(512),
    [sym_as_operator] = STATE(3891),
    [sym__bitwise_binary_operator] = STATE(408),
    [sym__postfix_unary_operator] = STATE(2494),
    [sym__eq_eq] = STATE(410),
    [sym__dot] = STATE(4729),
    [sym__conjunction_operator] = STATE(407),
    [sym__disjunction_operator] = STATE(405),
    [sym__nil_coalescing_operator] = STATE(404),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(2494),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(2584),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_LBRACK] = ACTIONS(2584),
    [anon_sym_QMARK] = ACTIONS(2586),
    [anon_sym_QMARK2] = ACTIONS(2584),
    [anon_sym_AMP] = ACTIONS(2584),
    [aux_sym_custom_operator_token1] = ACTIONS(2584),
    [anon_sym_LT] = ACTIONS(2586),
    [anon_sym_GT] = ACTIONS(2586),
    [anon_sym_LBRACE] = ACTIONS(2584),
    [anon_sym_CARET_LBRACE] = ACTIONS(2584),
    [anon_sym_RBRACE] = ACTIONS(2584),
    [anon_sym_PLUS_EQ] = ACTIONS(2584),
    [anon_sym_DASH_EQ] = ACTIONS(2584),
    [anon_sym_STAR_EQ] = ACTIONS(2584),
    [anon_sym_SLASH_EQ] = ACTIONS(2584),
    [anon_sym_PERCENT_EQ] = ACTIONS(2584),
    [anon_sym_BANG_EQ] = ACTIONS(2586),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2584),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2584),
    [anon_sym_LT_EQ] = ACTIONS(2584),
    [anon_sym_GT_EQ] = ACTIONS(2584),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2584),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2584),
    [anon_sym_is] = ACTIONS(2584),
    [anon_sym_PLUS] = ACTIONS(2586),
    [anon_sym_DASH] = ACTIONS(2586),
    [anon_sym_STAR] = ACTIONS(4196),
    [anon_sym_SLASH] = ACTIONS(4196),
    [anon_sym_PERCENT] = ACTIONS(4196),
    [anon_sym_PLUS_PLUS] = ACTIONS(2584),
    [anon_sym_DASH_DASH] = ACTIONS(2584),
    [anon_sym_PIPE] = ACTIONS(2584),
    [anon_sym_CARET] = ACTIONS(2586),
    [anon_sym_LT_LT] = ACTIONS(2584),
    [anon_sym_GT_GT] = ACTIONS(2584),
    [anon_sym_BANG2] = ACTIONS(2586),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(2584),
    [sym__implicit_semi] = ACTIONS(2584),
    [sym__explicit_semi] = ACTIONS(2584),
    [sym__dot_custom] = ACTIONS(2584),
    [sym__conjunction_operator_custom] = ACTIONS(2584),
    [sym__disjunction_operator_custom] = ACTIONS(2584),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2584),
    [sym__eq_custom] = ACTIONS(2584),
    [sym__eq_eq_custom] = ACTIONS(2584),
    [sym__plus_then_ws] = ACTIONS(2584),
    [sym__minus_then_ws] = ACTIONS(2584),
    [sym__bang_custom] = ACTIONS(2584),
    [sym__as_custom] = ACTIONS(2584),
    [sym__as_quest_custom] = ACTIONS(2584),
    [sym__as_bang_custom] = ACTIONS(2584),
    [sym__custom_operator] = ACTIONS(2584),
  },
  [1310] = {
    [sym__quest] = STATE(499),
    [sym__immediate_quest] = STATE(2662),
    [sym__range_operator] = STATE(416),
    [sym_custom_operator] = STATE(412),
    [sym_navigation_suffix] = STATE(2631),
    [sym_call_suffix] = STATE(2633),
    [sym__fn_call_lambda_arguments] = STATE(2562),
    [sym_value_arguments] = STATE(2305),
    [sym_lambda_literal] = STATE(1486),
    [sym__equality_operator] = STATE(410),
    [sym__comparison_operator] = STATE(409),
    [sym__three_dot_operator] = STATE(857),
    [sym__open_ended_range_operator] = STATE(416),
    [sym__is_operator] = STATE(3890),
    [sym__additive_operator] = STATE(510),
    [sym__multiplicative_operator] = STATE(512),
    [sym_as_operator] = STATE(3891),
    [sym__bitwise_binary_operator] = STATE(408),
    [sym__postfix_unary_operator] = STATE(2494),
    [sym__eq_eq] = STATE(410),
    [sym__dot] = STATE(4729),
    [sym__conjunction_operator] = STATE(407),
    [sym__disjunction_operator] = STATE(405),
    [sym__nil_coalescing_operator] = STATE(404),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(2494),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(2546),
    [anon_sym_LPAREN] = ACTIONS(2546),
    [anon_sym_LBRACK] = ACTIONS(2546),
    [anon_sym_QMARK] = ACTIONS(2548),
    [anon_sym_QMARK2] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2546),
    [aux_sym_custom_operator_token1] = ACTIONS(2546),
    [anon_sym_LT] = ACTIONS(2548),
    [anon_sym_GT] = ACTIONS(2548),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_CARET_LBRACE] = ACTIONS(2546),
    [anon_sym_RBRACE] = ACTIONS(2546),
    [anon_sym_PLUS_EQ] = ACTIONS(2546),
    [anon_sym_DASH_EQ] = ACTIONS(2546),
    [anon_sym_STAR_EQ] = ACTIONS(2546),
    [anon_sym_SLASH_EQ] = ACTIONS(2546),
    [anon_sym_PERCENT_EQ] = ACTIONS(2546),
    [anon_sym_BANG_EQ] = ACTIONS(2548),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2546),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2546),
    [anon_sym_LT_EQ] = ACTIONS(2546),
    [anon_sym_GT_EQ] = ACTIONS(2546),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2546),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2546),
    [anon_sym_is] = ACTIONS(2546),
    [anon_sym_PLUS] = ACTIONS(2548),
    [anon_sym_DASH] = ACTIONS(2548),
    [anon_sym_STAR] = ACTIONS(2548),
    [anon_sym_SLASH] = ACTIONS(2548),
    [anon_sym_PERCENT] = ACTIONS(2548),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PIPE] = ACTIONS(2546),
    [anon_sym_CARET] = ACTIONS(2548),
    [anon_sym_LT_LT] = ACTIONS(2546),
    [anon_sym_GT_GT] = ACTIONS(2546),
    [anon_sym_BANG2] = ACTIONS(2548),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(2546),
    [sym__implicit_semi] = ACTIONS(2546),
    [sym__explicit_semi] = ACTIONS(2546),
    [sym__dot_custom] = ACTIONS(2546),
    [sym__conjunction_operator_custom] = ACTIONS(2546),
    [sym__disjunction_operator_custom] = ACTIONS(2546),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2546),
    [sym__eq_custom] = ACTIONS(2546),
    [sym__eq_eq_custom] = ACTIONS(2546),
    [sym__plus_then_ws] = ACTIONS(2546),
    [sym__minus_then_ws] = ACTIONS(2546),
    [sym__bang_custom] = ACTIONS(2546),
    [sym__as_custom] = ACTIONS(2546),
    [sym__as_quest_custom] = ACTIONS(2546),
    [sym__as_bang_custom] = ACTIONS(2546),
    [sym__custom_operator] = ACTIONS(2546),
  },
  [1311] = {
    [sym__quest] = STATE(577),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(2550),
    [anon_sym_COMMA] = ACTIONS(2550),
    [anon_sym_COLON] = ACTIONS(2550),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_RBRACK] = ACTIONS(2550),
    [anon_sym_QMARK] = ACTIONS(4256),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(4222),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(4258),
    [anon_sym_CARET_LBRACE] = ACTIONS(4258),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4232),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4222),
    [anon_sym_GT_GT] = ACTIONS(4222),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1312] = {
    [sym__quest] = STATE(577),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [aux_sym_array_literal_repeat1] = STATE(6520),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(4380),
    [anon_sym_COLON] = ACTIONS(4252),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_RBRACK] = ACTIONS(4382),
    [anon_sym_QMARK] = ACTIONS(4256),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(4222),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(4258),
    [anon_sym_CARET_LBRACE] = ACTIONS(4258),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4232),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4222),
    [anon_sym_GT_GT] = ACTIONS(4222),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1313] = {
    [sym__quest] = STATE(284),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [aux_sym_tuple_expression_repeat1] = STATE(6974),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(4384),
    [anon_sym_COMMA] = ACTIONS(4384),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_QMARK] = ACTIONS(4386),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(4222),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(4258),
    [anon_sym_CARET_LBRACE] = ACTIONS(4258),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4232),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4222),
    [anon_sym_GT_GT] = ACTIONS(4222),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1314] = {
    [sym__quest] = STATE(577),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [aux_sym_enum_type_parameters_repeat1] = STATE(7214),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(4388),
    [anon_sym_COMMA] = ACTIONS(4390),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_QMARK] = ACTIONS(4256),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(4222),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(4258),
    [anon_sym_CARET_LBRACE] = ACTIONS(4258),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4232),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4222),
    [anon_sym_GT_GT] = ACTIONS(4222),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1315] = {
    [sym__quest] = STATE(577),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(4392),
    [anon_sym_COMMA] = ACTIONS(4392),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_RBRACK] = ACTIONS(4392),
    [anon_sym_QMARK] = ACTIONS(4256),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(4222),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(4258),
    [anon_sym_CARET_LBRACE] = ACTIONS(4258),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4232),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4222),
    [anon_sym_GT_GT] = ACTIONS(4222),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1316] = {
    [sym__quest] = STATE(577),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [aux_sym__playground_literal_repeat1] = STATE(7038),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(4394),
    [anon_sym_COMMA] = ACTIONS(4396),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_QMARK] = ACTIONS(4256),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(4222),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(4258),
    [anon_sym_CARET_LBRACE] = ACTIONS(4258),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4232),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4222),
    [anon_sym_GT_GT] = ACTIONS(4222),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1317] = {
    [sym__quest] = STATE(577),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(4398),
    [anon_sym_COMMA] = ACTIONS(4398),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_RBRACK] = ACTIONS(4398),
    [anon_sym_QMARK] = ACTIONS(4256),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(4222),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(4258),
    [anon_sym_CARET_LBRACE] = ACTIONS(4258),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4232),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4222),
    [anon_sym_GT_GT] = ACTIONS(4222),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1318] = {
    [sym__quest] = STATE(577),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [aux_sym_enum_type_parameters_repeat1] = STATE(7195),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(4400),
    [anon_sym_COMMA] = ACTIONS(4390),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_QMARK] = ACTIONS(4256),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(4222),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(4258),
    [anon_sym_CARET_LBRACE] = ACTIONS(4258),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4232),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4222),
    [anon_sym_GT_GT] = ACTIONS(4222),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1319] = {
    [sym__quest] = STATE(577),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [aux_sym_tuple_expression_repeat1] = STATE(6588),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(4402),
    [anon_sym_COMMA] = ACTIONS(4404),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_QMARK] = ACTIONS(4256),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(4222),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(4258),
    [anon_sym_CARET_LBRACE] = ACTIONS(4258),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4232),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4222),
    [anon_sym_GT_GT] = ACTIONS(4222),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1320] = {
    [sym__quest] = STATE(577),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [aux_sym__playground_literal_repeat1] = STATE(6474),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(4406),
    [anon_sym_COMMA] = ACTIONS(4396),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_QMARK] = ACTIONS(4256),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(4222),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(4258),
    [anon_sym_CARET_LBRACE] = ACTIONS(4258),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4232),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4222),
    [anon_sym_GT_GT] = ACTIONS(4222),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1321] = {
    [sym__quest] = STATE(585),
    [sym__immediate_quest] = STATE(2811),
    [sym__range_operator] = STATE(324),
    [sym_custom_operator] = STATE(322),
    [sym_navigation_suffix] = STATE(2821),
    [sym_call_suffix] = STATE(2823),
    [sym__fn_call_lambda_arguments] = STATE(2859),
    [sym_value_arguments] = STATE(2422),
    [sym_lambda_literal] = STATE(1516),
    [sym__equality_operator] = STATE(321),
    [sym__comparison_operator] = STATE(314),
    [sym__three_dot_operator] = STATE(880),
    [sym__open_ended_range_operator] = STATE(324),
    [sym__is_operator] = STATE(3839),
    [sym__additive_operator] = STATE(537),
    [sym__multiplicative_operator] = STATE(521),
    [sym_as_operator] = STATE(3843),
    [sym__bitwise_binary_operator] = STATE(395),
    [sym__postfix_unary_operator] = STATE(2876),
    [sym__eq_eq] = STATE(321),
    [sym__dot] = STATE(4692),
    [sym__conjunction_operator] = STATE(411),
    [sym__disjunction_operator] = STATE(413),
    [sym__nil_coalescing_operator] = STATE(414),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(2876),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(2576),
    [anon_sym_LPAREN] = ACTIONS(2576),
    [anon_sym_LBRACK] = ACTIONS(2576),
    [anon_sym_QMARK] = ACTIONS(2578),
    [anon_sym_QMARK2] = ACTIONS(2576),
    [anon_sym_AMP] = ACTIONS(2576),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(2578),
    [anon_sym_GT] = ACTIONS(2578),
    [anon_sym_LBRACE] = ACTIONS(2576),
    [anon_sym_CARET_LBRACE] = ACTIONS(2576),
    [anon_sym_PLUS_EQ] = ACTIONS(2576),
    [anon_sym_DASH_EQ] = ACTIONS(2576),
    [anon_sym_STAR_EQ] = ACTIONS(2576),
    [anon_sym_SLASH_EQ] = ACTIONS(2576),
    [anon_sym_PERCENT_EQ] = ACTIONS(2576),
    [anon_sym_BANG_EQ] = ACTIONS(4286),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4288),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4288),
    [anon_sym_LT_EQ] = ACTIONS(2576),
    [anon_sym_GT_EQ] = ACTIONS(2576),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2576),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2576),
    [anon_sym_is] = ACTIONS(4294),
    [anon_sym_PLUS] = ACTIONS(4296),
    [anon_sym_DASH] = ACTIONS(4296),
    [anon_sym_STAR] = ACTIONS(4298),
    [anon_sym_SLASH] = ACTIONS(4298),
    [anon_sym_PERCENT] = ACTIONS(4298),
    [anon_sym_PLUS_PLUS] = ACTIONS(4300),
    [anon_sym_DASH_DASH] = ACTIONS(4300),
    [anon_sym_PIPE] = ACTIONS(2576),
    [anon_sym_CARET] = ACTIONS(2578),
    [anon_sym_LT_LT] = ACTIONS(2576),
    [anon_sym_GT_GT] = ACTIONS(2576),
    [anon_sym_BANG2] = ACTIONS(4304),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2576),
    [sym__conjunction_operator_custom] = ACTIONS(4308),
    [sym__disjunction_operator_custom] = ACTIONS(4310),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4312),
    [sym__eq_custom] = ACTIONS(2576),
    [sym__eq_eq_custom] = ACTIONS(4288),
    [sym__plus_then_ws] = ACTIONS(4314),
    [sym__minus_then_ws] = ACTIONS(4314),
    [sym__bang_custom] = ACTIONS(4316),
    [sym_where_keyword] = ACTIONS(2576),
    [sym_else] = ACTIONS(2576),
    [sym__as_custom] = ACTIONS(2576),
    [sym__as_quest_custom] = ACTIONS(2576),
    [sym__as_bang_custom] = ACTIONS(2576),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1322] = {
    [sym__quest] = STATE(585),
    [sym__immediate_quest] = STATE(2811),
    [sym__range_operator] = STATE(324),
    [sym_custom_operator] = STATE(322),
    [sym_navigation_suffix] = STATE(2821),
    [sym_call_suffix] = STATE(2823),
    [sym__fn_call_lambda_arguments] = STATE(2859),
    [sym_value_arguments] = STATE(2422),
    [sym_lambda_literal] = STATE(1516),
    [sym__equality_operator] = STATE(321),
    [sym__comparison_operator] = STATE(314),
    [sym__three_dot_operator] = STATE(880),
    [sym__open_ended_range_operator] = STATE(324),
    [sym__is_operator] = STATE(3839),
    [sym__additive_operator] = STATE(537),
    [sym__multiplicative_operator] = STATE(521),
    [sym_as_operator] = STATE(3843),
    [sym__bitwise_binary_operator] = STATE(395),
    [sym__postfix_unary_operator] = STATE(2876),
    [sym__eq_eq] = STATE(321),
    [sym__dot] = STATE(4692),
    [sym__conjunction_operator] = STATE(411),
    [sym__disjunction_operator] = STATE(413),
    [sym__nil_coalescing_operator] = STATE(414),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(2876),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(2564),
    [anon_sym_LPAREN] = ACTIONS(2564),
    [anon_sym_LBRACK] = ACTIONS(2564),
    [anon_sym_QMARK] = ACTIONS(2566),
    [anon_sym_QMARK2] = ACTIONS(2564),
    [anon_sym_AMP] = ACTIONS(2564),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(2566),
    [anon_sym_GT] = ACTIONS(2566),
    [anon_sym_LBRACE] = ACTIONS(2564),
    [anon_sym_CARET_LBRACE] = ACTIONS(2564),
    [anon_sym_PLUS_EQ] = ACTIONS(2564),
    [anon_sym_DASH_EQ] = ACTIONS(2564),
    [anon_sym_STAR_EQ] = ACTIONS(2564),
    [anon_sym_SLASH_EQ] = ACTIONS(2564),
    [anon_sym_PERCENT_EQ] = ACTIONS(2564),
    [anon_sym_BANG_EQ] = ACTIONS(4286),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4288),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4288),
    [anon_sym_LT_EQ] = ACTIONS(2564),
    [anon_sym_GT_EQ] = ACTIONS(2564),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2564),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2564),
    [anon_sym_is] = ACTIONS(4294),
    [anon_sym_PLUS] = ACTIONS(4296),
    [anon_sym_DASH] = ACTIONS(4296),
    [anon_sym_STAR] = ACTIONS(4298),
    [anon_sym_SLASH] = ACTIONS(4298),
    [anon_sym_PERCENT] = ACTIONS(4298),
    [anon_sym_PLUS_PLUS] = ACTIONS(4300),
    [anon_sym_DASH_DASH] = ACTIONS(4300),
    [anon_sym_PIPE] = ACTIONS(2564),
    [anon_sym_CARET] = ACTIONS(2566),
    [anon_sym_LT_LT] = ACTIONS(2564),
    [anon_sym_GT_GT] = ACTIONS(2564),
    [anon_sym_BANG2] = ACTIONS(4304),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2564),
    [sym__conjunction_operator_custom] = ACTIONS(4308),
    [sym__disjunction_operator_custom] = ACTIONS(4310),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4312),
    [sym__eq_custom] = ACTIONS(2564),
    [sym__eq_eq_custom] = ACTIONS(4288),
    [sym__plus_then_ws] = ACTIONS(4314),
    [sym__minus_then_ws] = ACTIONS(4314),
    [sym__bang_custom] = ACTIONS(4316),
    [sym_where_keyword] = ACTIONS(2564),
    [sym_else] = ACTIONS(2564),
    [sym__as_custom] = ACTIONS(2564),
    [sym__as_quest_custom] = ACTIONS(2564),
    [sym__as_bang_custom] = ACTIONS(2564),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1323] = {
    [sym__quest] = STATE(585),
    [sym__immediate_quest] = STATE(2811),
    [sym__range_operator] = STATE(324),
    [sym_custom_operator] = STATE(322),
    [sym_navigation_suffix] = STATE(2821),
    [sym_call_suffix] = STATE(2823),
    [sym__fn_call_lambda_arguments] = STATE(2859),
    [sym_value_arguments] = STATE(2422),
    [sym_lambda_literal] = STATE(1516),
    [sym__equality_operator] = STATE(321),
    [sym__comparison_operator] = STATE(314),
    [sym__three_dot_operator] = STATE(880),
    [sym__open_ended_range_operator] = STATE(324),
    [sym__is_operator] = STATE(3839),
    [sym__additive_operator] = STATE(537),
    [sym__multiplicative_operator] = STATE(521),
    [sym_as_operator] = STATE(3843),
    [sym__bitwise_binary_operator] = STATE(395),
    [sym__postfix_unary_operator] = STATE(2876),
    [sym__eq_eq] = STATE(321),
    [sym__dot] = STATE(4692),
    [sym__conjunction_operator] = STATE(411),
    [sym__disjunction_operator] = STATE(413),
    [sym__nil_coalescing_operator] = STATE(414),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(2876),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(2584),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_LBRACK] = ACTIONS(2584),
    [anon_sym_QMARK] = ACTIONS(2586),
    [anon_sym_QMARK2] = ACTIONS(2584),
    [anon_sym_AMP] = ACTIONS(2584),
    [aux_sym_custom_operator_token1] = ACTIONS(2584),
    [anon_sym_LT] = ACTIONS(2586),
    [anon_sym_GT] = ACTIONS(2586),
    [anon_sym_LBRACE] = ACTIONS(2584),
    [anon_sym_CARET_LBRACE] = ACTIONS(2584),
    [anon_sym_PLUS_EQ] = ACTIONS(2584),
    [anon_sym_DASH_EQ] = ACTIONS(2584),
    [anon_sym_STAR_EQ] = ACTIONS(2584),
    [anon_sym_SLASH_EQ] = ACTIONS(2584),
    [anon_sym_PERCENT_EQ] = ACTIONS(2584),
    [anon_sym_BANG_EQ] = ACTIONS(2586),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2584),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2584),
    [anon_sym_LT_EQ] = ACTIONS(2584),
    [anon_sym_GT_EQ] = ACTIONS(2584),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2584),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2584),
    [anon_sym_is] = ACTIONS(2584),
    [anon_sym_PLUS] = ACTIONS(2586),
    [anon_sym_DASH] = ACTIONS(2586),
    [anon_sym_STAR] = ACTIONS(4298),
    [anon_sym_SLASH] = ACTIONS(4298),
    [anon_sym_PERCENT] = ACTIONS(4298),
    [anon_sym_PLUS_PLUS] = ACTIONS(2584),
    [anon_sym_DASH_DASH] = ACTIONS(2584),
    [anon_sym_PIPE] = ACTIONS(2584),
    [anon_sym_CARET] = ACTIONS(2586),
    [anon_sym_LT_LT] = ACTIONS(2584),
    [anon_sym_GT_GT] = ACTIONS(2584),
    [anon_sym_BANG2] = ACTIONS(2586),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2584),
    [sym__conjunction_operator_custom] = ACTIONS(2584),
    [sym__disjunction_operator_custom] = ACTIONS(2584),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2584),
    [sym__eq_custom] = ACTIONS(2584),
    [sym__eq_eq_custom] = ACTIONS(2584),
    [sym__plus_then_ws] = ACTIONS(2584),
    [sym__minus_then_ws] = ACTIONS(2584),
    [sym__bang_custom] = ACTIONS(2584),
    [sym_where_keyword] = ACTIONS(2584),
    [sym_else] = ACTIONS(2584),
    [sym__as_custom] = ACTIONS(2584),
    [sym__as_quest_custom] = ACTIONS(2584),
    [sym__as_bang_custom] = ACTIONS(2584),
    [sym__custom_operator] = ACTIONS(2584),
  },
  [1324] = {
    [sym__quest] = STATE(585),
    [sym__immediate_quest] = STATE(2811),
    [sym__range_operator] = STATE(324),
    [sym_custom_operator] = STATE(322),
    [sym_navigation_suffix] = STATE(2821),
    [sym_call_suffix] = STATE(2823),
    [sym__fn_call_lambda_arguments] = STATE(2859),
    [sym_value_arguments] = STATE(2422),
    [sym_lambda_literal] = STATE(1516),
    [sym__equality_operator] = STATE(321),
    [sym__comparison_operator] = STATE(314),
    [sym__three_dot_operator] = STATE(880),
    [sym__open_ended_range_operator] = STATE(324),
    [sym__is_operator] = STATE(3839),
    [sym__additive_operator] = STATE(537),
    [sym__multiplicative_operator] = STATE(521),
    [sym_as_operator] = STATE(3843),
    [sym__bitwise_binary_operator] = STATE(395),
    [sym__postfix_unary_operator] = STATE(2876),
    [sym__eq_eq] = STATE(321),
    [sym__dot] = STATE(4692),
    [sym__conjunction_operator] = STATE(411),
    [sym__disjunction_operator] = STATE(413),
    [sym__nil_coalescing_operator] = STATE(414),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(2876),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(2546),
    [anon_sym_LPAREN] = ACTIONS(2546),
    [anon_sym_LBRACK] = ACTIONS(2546),
    [anon_sym_QMARK] = ACTIONS(2548),
    [anon_sym_QMARK2] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2546),
    [aux_sym_custom_operator_token1] = ACTIONS(2546),
    [anon_sym_LT] = ACTIONS(2548),
    [anon_sym_GT] = ACTIONS(2548),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_CARET_LBRACE] = ACTIONS(2546),
    [anon_sym_PLUS_EQ] = ACTIONS(2546),
    [anon_sym_DASH_EQ] = ACTIONS(2546),
    [anon_sym_STAR_EQ] = ACTIONS(2546),
    [anon_sym_SLASH_EQ] = ACTIONS(2546),
    [anon_sym_PERCENT_EQ] = ACTIONS(2546),
    [anon_sym_BANG_EQ] = ACTIONS(2548),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2546),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2546),
    [anon_sym_LT_EQ] = ACTIONS(2546),
    [anon_sym_GT_EQ] = ACTIONS(2546),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2546),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2546),
    [anon_sym_is] = ACTIONS(2546),
    [anon_sym_PLUS] = ACTIONS(2548),
    [anon_sym_DASH] = ACTIONS(2548),
    [anon_sym_STAR] = ACTIONS(2548),
    [anon_sym_SLASH] = ACTIONS(2548),
    [anon_sym_PERCENT] = ACTIONS(2548),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PIPE] = ACTIONS(2546),
    [anon_sym_CARET] = ACTIONS(2548),
    [anon_sym_LT_LT] = ACTIONS(2546),
    [anon_sym_GT_GT] = ACTIONS(2546),
    [anon_sym_BANG2] = ACTIONS(2548),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2546),
    [sym__conjunction_operator_custom] = ACTIONS(2546),
    [sym__disjunction_operator_custom] = ACTIONS(2546),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2546),
    [sym__eq_custom] = ACTIONS(2546),
    [sym__eq_eq_custom] = ACTIONS(2546),
    [sym__plus_then_ws] = ACTIONS(2546),
    [sym__minus_then_ws] = ACTIONS(2546),
    [sym__bang_custom] = ACTIONS(2546),
    [sym_where_keyword] = ACTIONS(2546),
    [sym_else] = ACTIONS(2546),
    [sym__as_custom] = ACTIONS(2546),
    [sym__as_quest_custom] = ACTIONS(2546),
    [sym__as_bang_custom] = ACTIONS(2546),
    [sym__custom_operator] = ACTIONS(2546),
  },
  [1325] = {
    [sym__quest] = STATE(585),
    [sym__immediate_quest] = STATE(2811),
    [sym__range_operator] = STATE(324),
    [sym_custom_operator] = STATE(322),
    [sym_navigation_suffix] = STATE(2821),
    [sym_call_suffix] = STATE(2823),
    [sym__fn_call_lambda_arguments] = STATE(2859),
    [sym_value_arguments] = STATE(2422),
    [sym_lambda_literal] = STATE(1516),
    [sym__equality_operator] = STATE(321),
    [sym__comparison_operator] = STATE(314),
    [sym__three_dot_operator] = STATE(880),
    [sym__open_ended_range_operator] = STATE(324),
    [sym__is_operator] = STATE(3839),
    [sym__additive_operator] = STATE(537),
    [sym__multiplicative_operator] = STATE(521),
    [sym_as_operator] = STATE(3843),
    [sym__bitwise_binary_operator] = STATE(395),
    [sym__postfix_unary_operator] = STATE(2876),
    [sym__eq_eq] = STATE(321),
    [sym__dot] = STATE(4692),
    [sym__conjunction_operator] = STATE(411),
    [sym__disjunction_operator] = STATE(413),
    [sym__nil_coalescing_operator] = STATE(414),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(2876),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(2568),
    [anon_sym_LPAREN] = ACTIONS(4272),
    [anon_sym_LBRACK] = ACTIONS(4274),
    [anon_sym_QMARK] = ACTIONS(4276),
    [anon_sym_QMARK2] = ACTIONS(4278),
    [anon_sym_AMP] = ACTIONS(4280),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4282),
    [anon_sym_GT] = ACTIONS(4282),
    [anon_sym_LBRACE] = ACTIONS(4284),
    [anon_sym_CARET_LBRACE] = ACTIONS(4284),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4286),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4288),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4288),
    [anon_sym_LT_EQ] = ACTIONS(4290),
    [anon_sym_GT_EQ] = ACTIONS(4290),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1361),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4292),
    [anon_sym_is] = ACTIONS(4294),
    [anon_sym_PLUS] = ACTIONS(4296),
    [anon_sym_DASH] = ACTIONS(4296),
    [anon_sym_STAR] = ACTIONS(4298),
    [anon_sym_SLASH] = ACTIONS(4298),
    [anon_sym_PERCENT] = ACTIONS(4298),
    [anon_sym_PLUS_PLUS] = ACTIONS(4300),
    [anon_sym_DASH_DASH] = ACTIONS(4300),
    [anon_sym_PIPE] = ACTIONS(4280),
    [anon_sym_CARET] = ACTIONS(4302),
    [anon_sym_LT_LT] = ACTIONS(4280),
    [anon_sym_GT_GT] = ACTIONS(4280),
    [anon_sym_BANG2] = ACTIONS(4304),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(4306),
    [sym__conjunction_operator_custom] = ACTIONS(4308),
    [sym__disjunction_operator_custom] = ACTIONS(4310),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4312),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4288),
    [sym__plus_then_ws] = ACTIONS(4314),
    [sym__minus_then_ws] = ACTIONS(4314),
    [sym__bang_custom] = ACTIONS(4316),
    [sym_where_keyword] = ACTIONS(2568),
    [sym_else] = ACTIONS(2568),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1326] = {
    [sym__quest] = STATE(549),
    [sym__immediate_quest] = STATE(2979),
    [sym__range_operator] = STATE(348),
    [sym_custom_operator] = STATE(346),
    [sym_navigation_suffix] = STATE(2982),
    [sym_call_suffix] = STATE(2983),
    [sym__fn_call_lambda_arguments] = STATE(2984),
    [sym_value_arguments] = STATE(2380),
    [sym_lambda_literal] = STATE(1510),
    [sym__equality_operator] = STATE(345),
    [sym__comparison_operator] = STATE(325),
    [sym__three_dot_operator] = STATE(872),
    [sym__open_ended_range_operator] = STATE(348),
    [sym__is_operator] = STATE(3815),
    [sym__additive_operator] = STATE(528),
    [sym__multiplicative_operator] = STATE(487),
    [sym_as_operator] = STATE(3821),
    [sym__bitwise_binary_operator] = STATE(302),
    [sym__postfix_unary_operator] = STATE(2992),
    [sym__eq_eq] = STATE(345),
    [sym__dot] = STATE(4626),
    [sym__conjunction_operator] = STATE(298),
    [sym__disjunction_operator] = STATE(297),
    [sym__nil_coalescing_operator] = STATE(292),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(2992),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(2576),
    [anon_sym_COLON] = ACTIONS(2576),
    [anon_sym_LPAREN] = ACTIONS(2576),
    [anon_sym_LBRACK] = ACTIONS(2576),
    [anon_sym_QMARK] = ACTIONS(2578),
    [anon_sym_QMARK2] = ACTIONS(2576),
    [anon_sym_AMP] = ACTIONS(2576),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(2578),
    [anon_sym_GT] = ACTIONS(2578),
    [anon_sym_LBRACE] = ACTIONS(2576),
    [anon_sym_CARET_LBRACE] = ACTIONS(2576),
    [anon_sym_PLUS_EQ] = ACTIONS(2576),
    [anon_sym_DASH_EQ] = ACTIONS(2576),
    [anon_sym_STAR_EQ] = ACTIONS(2576),
    [anon_sym_SLASH_EQ] = ACTIONS(2576),
    [anon_sym_PERCENT_EQ] = ACTIONS(2576),
    [anon_sym_BANG_EQ] = ACTIONS(4346),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4348),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4348),
    [anon_sym_LT_EQ] = ACTIONS(2576),
    [anon_sym_GT_EQ] = ACTIONS(2576),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2576),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2576),
    [anon_sym_is] = ACTIONS(4354),
    [anon_sym_PLUS] = ACTIONS(4356),
    [anon_sym_DASH] = ACTIONS(4356),
    [anon_sym_STAR] = ACTIONS(4358),
    [anon_sym_SLASH] = ACTIONS(4358),
    [anon_sym_PERCENT] = ACTIONS(4358),
    [anon_sym_PLUS_PLUS] = ACTIONS(4360),
    [anon_sym_DASH_DASH] = ACTIONS(4360),
    [anon_sym_PIPE] = ACTIONS(2576),
    [anon_sym_CARET] = ACTIONS(2578),
    [anon_sym_LT_LT] = ACTIONS(2576),
    [anon_sym_GT_GT] = ACTIONS(2576),
    [anon_sym_BANG2] = ACTIONS(4364),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2576),
    [sym__conjunction_operator_custom] = ACTIONS(4368),
    [sym__disjunction_operator_custom] = ACTIONS(4370),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4372),
    [sym__eq_custom] = ACTIONS(2576),
    [sym__eq_eq_custom] = ACTIONS(4348),
    [sym__plus_then_ws] = ACTIONS(4374),
    [sym__minus_then_ws] = ACTIONS(4374),
    [sym__bang_custom] = ACTIONS(4376),
    [sym_where_keyword] = ACTIONS(2576),
    [sym__as_custom] = ACTIONS(2576),
    [sym__as_quest_custom] = ACTIONS(2576),
    [sym__as_bang_custom] = ACTIONS(2576),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1327] = {
    [sym__quest] = STATE(284),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [aux_sym_tuple_expression_repeat1] = STATE(6875),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(4384),
    [anon_sym_COMMA] = ACTIONS(4384),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_QMARK] = ACTIONS(4386),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(4222),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(4258),
    [anon_sym_CARET_LBRACE] = ACTIONS(4258),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4232),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4222),
    [anon_sym_GT_GT] = ACTIONS(4222),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1328] = {
    [sym__quest] = STATE(577),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [aux_sym_tuple_expression_repeat1] = STATE(6526),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(4408),
    [anon_sym_COMMA] = ACTIONS(4404),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_QMARK] = ACTIONS(4256),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(4222),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(4258),
    [anon_sym_CARET_LBRACE] = ACTIONS(4258),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4232),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4222),
    [anon_sym_GT_GT] = ACTIONS(4222),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1329] = {
    [sym__quest] = STATE(276),
    [sym__immediate_quest] = STATE(2979),
    [sym__range_operator] = STATE(348),
    [sym_custom_operator] = STATE(346),
    [sym_navigation_suffix] = STATE(2982),
    [sym_call_suffix] = STATE(2983),
    [sym__fn_call_lambda_arguments] = STATE(2984),
    [sym_value_arguments] = STATE(2380),
    [sym_lambda_literal] = STATE(1510),
    [sym__equality_operator] = STATE(345),
    [sym__comparison_operator] = STATE(325),
    [sym__three_dot_operator] = STATE(872),
    [sym__open_ended_range_operator] = STATE(348),
    [sym__is_operator] = STATE(3815),
    [sym__additive_operator] = STATE(528),
    [sym__multiplicative_operator] = STATE(487),
    [sym_as_operator] = STATE(3821),
    [sym__bitwise_binary_operator] = STATE(302),
    [sym__postfix_unary_operator] = STATE(2992),
    [sym__eq_eq] = STATE(345),
    [sym__dot] = STATE(4626),
    [sym__conjunction_operator] = STATE(298),
    [sym__disjunction_operator] = STATE(297),
    [sym__nil_coalescing_operator] = STATE(292),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(2992),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(4384),
    [anon_sym_COLON] = ACTIONS(4384),
    [anon_sym_LPAREN] = ACTIONS(4336),
    [anon_sym_LBRACK] = ACTIONS(4338),
    [anon_sym_QMARK] = ACTIONS(4410),
    [anon_sym_QMARK2] = ACTIONS(4340),
    [anon_sym_AMP] = ACTIONS(4342),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4344),
    [anon_sym_GT] = ACTIONS(4344),
    [anon_sym_LBRACE] = ACTIONS(4412),
    [anon_sym_CARET_LBRACE] = ACTIONS(4412),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4346),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4348),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4348),
    [anon_sym_LT_EQ] = ACTIONS(4350),
    [anon_sym_GT_EQ] = ACTIONS(4350),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4352),
    [anon_sym_is] = ACTIONS(4354),
    [anon_sym_PLUS] = ACTIONS(4356),
    [anon_sym_DASH] = ACTIONS(4356),
    [anon_sym_STAR] = ACTIONS(4358),
    [anon_sym_SLASH] = ACTIONS(4358),
    [anon_sym_PERCENT] = ACTIONS(4358),
    [anon_sym_PLUS_PLUS] = ACTIONS(4360),
    [anon_sym_DASH_DASH] = ACTIONS(4360),
    [anon_sym_PIPE] = ACTIONS(4342),
    [anon_sym_CARET] = ACTIONS(4362),
    [anon_sym_LT_LT] = ACTIONS(4342),
    [anon_sym_GT_GT] = ACTIONS(4342),
    [anon_sym_BANG2] = ACTIONS(4364),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(4366),
    [sym__conjunction_operator_custom] = ACTIONS(4368),
    [sym__disjunction_operator_custom] = ACTIONS(4370),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4372),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4348),
    [sym__plus_then_ws] = ACTIONS(4374),
    [sym__minus_then_ws] = ACTIONS(4374),
    [sym__bang_custom] = ACTIONS(4376),
    [sym_where_keyword] = ACTIONS(4384),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1330] = {
    [sym__quest] = STATE(577),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [aux_sym_tuple_expression_repeat1] = STATE(6493),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(4414),
    [anon_sym_COMMA] = ACTIONS(4404),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_QMARK] = ACTIONS(4256),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(4222),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(4258),
    [anon_sym_CARET_LBRACE] = ACTIONS(4258),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4232),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4222),
    [anon_sym_GT_GT] = ACTIONS(4222),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1331] = {
    [sym__quest] = STATE(577),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [aux_sym_tuple_expression_repeat1] = STATE(7069),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(4416),
    [anon_sym_COMMA] = ACTIONS(4404),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_QMARK] = ACTIONS(4256),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(4222),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(4258),
    [anon_sym_CARET_LBRACE] = ACTIONS(4258),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4232),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4222),
    [anon_sym_GT_GT] = ACTIONS(4222),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1332] = {
    [sym__quest] = STATE(549),
    [sym__immediate_quest] = STATE(2979),
    [sym__range_operator] = STATE(348),
    [sym_custom_operator] = STATE(346),
    [sym_navigation_suffix] = STATE(2982),
    [sym_call_suffix] = STATE(2983),
    [sym__fn_call_lambda_arguments] = STATE(2984),
    [sym_value_arguments] = STATE(2380),
    [sym_lambda_literal] = STATE(1510),
    [sym__equality_operator] = STATE(345),
    [sym__comparison_operator] = STATE(325),
    [sym__three_dot_operator] = STATE(872),
    [sym__open_ended_range_operator] = STATE(348),
    [sym__is_operator] = STATE(3815),
    [sym__additive_operator] = STATE(528),
    [sym__multiplicative_operator] = STATE(487),
    [sym_as_operator] = STATE(3821),
    [sym__bitwise_binary_operator] = STATE(302),
    [sym__postfix_unary_operator] = STATE(2992),
    [sym__eq_eq] = STATE(345),
    [sym__dot] = STATE(4626),
    [sym__conjunction_operator] = STATE(298),
    [sym__disjunction_operator] = STATE(297),
    [sym__nil_coalescing_operator] = STATE(292),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(2992),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(2584),
    [anon_sym_COLON] = ACTIONS(2584),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_LBRACK] = ACTIONS(2584),
    [anon_sym_QMARK] = ACTIONS(2586),
    [anon_sym_QMARK2] = ACTIONS(2584),
    [anon_sym_AMP] = ACTIONS(2584),
    [aux_sym_custom_operator_token1] = ACTIONS(2584),
    [anon_sym_LT] = ACTIONS(2586),
    [anon_sym_GT] = ACTIONS(2586),
    [anon_sym_LBRACE] = ACTIONS(2584),
    [anon_sym_CARET_LBRACE] = ACTIONS(2584),
    [anon_sym_PLUS_EQ] = ACTIONS(2584),
    [anon_sym_DASH_EQ] = ACTIONS(2584),
    [anon_sym_STAR_EQ] = ACTIONS(2584),
    [anon_sym_SLASH_EQ] = ACTIONS(2584),
    [anon_sym_PERCENT_EQ] = ACTIONS(2584),
    [anon_sym_BANG_EQ] = ACTIONS(2586),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2584),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2584),
    [anon_sym_LT_EQ] = ACTIONS(2584),
    [anon_sym_GT_EQ] = ACTIONS(2584),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2584),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2584),
    [anon_sym_is] = ACTIONS(2584),
    [anon_sym_PLUS] = ACTIONS(2586),
    [anon_sym_DASH] = ACTIONS(2586),
    [anon_sym_STAR] = ACTIONS(4358),
    [anon_sym_SLASH] = ACTIONS(4358),
    [anon_sym_PERCENT] = ACTIONS(4358),
    [anon_sym_PLUS_PLUS] = ACTIONS(2584),
    [anon_sym_DASH_DASH] = ACTIONS(2584),
    [anon_sym_PIPE] = ACTIONS(2584),
    [anon_sym_CARET] = ACTIONS(2586),
    [anon_sym_LT_LT] = ACTIONS(2584),
    [anon_sym_GT_GT] = ACTIONS(2584),
    [anon_sym_BANG2] = ACTIONS(2586),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2584),
    [sym__conjunction_operator_custom] = ACTIONS(2584),
    [sym__disjunction_operator_custom] = ACTIONS(2584),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2584),
    [sym__eq_custom] = ACTIONS(2584),
    [sym__eq_eq_custom] = ACTIONS(2584),
    [sym__plus_then_ws] = ACTIONS(2584),
    [sym__minus_then_ws] = ACTIONS(2584),
    [sym__bang_custom] = ACTIONS(2584),
    [sym_where_keyword] = ACTIONS(2584),
    [sym__as_custom] = ACTIONS(2584),
    [sym__as_quest_custom] = ACTIONS(2584),
    [sym__as_bang_custom] = ACTIONS(2584),
    [sym__custom_operator] = ACTIONS(2584),
  },
  [1333] = {
    [sym__quest] = STATE(577),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [aux_sym_tuple_expression_repeat1] = STATE(6815),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(4418),
    [anon_sym_COMMA] = ACTIONS(4404),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_QMARK] = ACTIONS(4256),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(4222),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(4258),
    [anon_sym_CARET_LBRACE] = ACTIONS(4258),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4232),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4222),
    [anon_sym_GT_GT] = ACTIONS(4222),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1334] = {
    [sym__quest] = STATE(577),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [aux_sym_tuple_expression_repeat1] = STATE(6555),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(4420),
    [anon_sym_COMMA] = ACTIONS(4404),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_QMARK] = ACTIONS(4256),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(4222),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(4258),
    [anon_sym_CARET_LBRACE] = ACTIONS(4258),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4232),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4222),
    [anon_sym_GT_GT] = ACTIONS(4222),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1335] = {
    [sym__quest] = STATE(549),
    [sym__immediate_quest] = STATE(2979),
    [sym__range_operator] = STATE(348),
    [sym_custom_operator] = STATE(346),
    [sym_navigation_suffix] = STATE(2982),
    [sym_call_suffix] = STATE(2983),
    [sym__fn_call_lambda_arguments] = STATE(2984),
    [sym_value_arguments] = STATE(2380),
    [sym_lambda_literal] = STATE(1510),
    [sym__equality_operator] = STATE(345),
    [sym__comparison_operator] = STATE(325),
    [sym__three_dot_operator] = STATE(872),
    [sym__open_ended_range_operator] = STATE(348),
    [sym__is_operator] = STATE(3815),
    [sym__additive_operator] = STATE(528),
    [sym__multiplicative_operator] = STATE(487),
    [sym_as_operator] = STATE(3821),
    [sym__bitwise_binary_operator] = STATE(302),
    [sym__postfix_unary_operator] = STATE(2992),
    [sym__eq_eq] = STATE(345),
    [sym__dot] = STATE(4626),
    [sym__conjunction_operator] = STATE(298),
    [sym__disjunction_operator] = STATE(297),
    [sym__nil_coalescing_operator] = STATE(292),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(2992),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(2546),
    [anon_sym_COLON] = ACTIONS(2546),
    [anon_sym_LPAREN] = ACTIONS(2546),
    [anon_sym_LBRACK] = ACTIONS(2546),
    [anon_sym_QMARK] = ACTIONS(2548),
    [anon_sym_QMARK2] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2546),
    [aux_sym_custom_operator_token1] = ACTIONS(2546),
    [anon_sym_LT] = ACTIONS(2548),
    [anon_sym_GT] = ACTIONS(2548),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_CARET_LBRACE] = ACTIONS(2546),
    [anon_sym_PLUS_EQ] = ACTIONS(2546),
    [anon_sym_DASH_EQ] = ACTIONS(2546),
    [anon_sym_STAR_EQ] = ACTIONS(2546),
    [anon_sym_SLASH_EQ] = ACTIONS(2546),
    [anon_sym_PERCENT_EQ] = ACTIONS(2546),
    [anon_sym_BANG_EQ] = ACTIONS(2548),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2546),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2546),
    [anon_sym_LT_EQ] = ACTIONS(2546),
    [anon_sym_GT_EQ] = ACTIONS(2546),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2546),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2546),
    [anon_sym_is] = ACTIONS(2546),
    [anon_sym_PLUS] = ACTIONS(2548),
    [anon_sym_DASH] = ACTIONS(2548),
    [anon_sym_STAR] = ACTIONS(2548),
    [anon_sym_SLASH] = ACTIONS(2548),
    [anon_sym_PERCENT] = ACTIONS(2548),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PIPE] = ACTIONS(2546),
    [anon_sym_CARET] = ACTIONS(2548),
    [anon_sym_LT_LT] = ACTIONS(2546),
    [anon_sym_GT_GT] = ACTIONS(2546),
    [anon_sym_BANG2] = ACTIONS(2548),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2546),
    [sym__conjunction_operator_custom] = ACTIONS(2546),
    [sym__disjunction_operator_custom] = ACTIONS(2546),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2546),
    [sym__eq_custom] = ACTIONS(2546),
    [sym__eq_eq_custom] = ACTIONS(2546),
    [sym__plus_then_ws] = ACTIONS(2546),
    [sym__minus_then_ws] = ACTIONS(2546),
    [sym__bang_custom] = ACTIONS(2546),
    [sym_where_keyword] = ACTIONS(2546),
    [sym__as_custom] = ACTIONS(2546),
    [sym__as_quest_custom] = ACTIONS(2546),
    [sym__as_bang_custom] = ACTIONS(2546),
    [sym__custom_operator] = ACTIONS(2546),
  },
  [1336] = {
    [sym__quest] = STATE(577),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [aux_sym_tuple_expression_repeat1] = STATE(6697),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(4422),
    [anon_sym_COMMA] = ACTIONS(4404),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_QMARK] = ACTIONS(4256),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(4222),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(4258),
    [anon_sym_CARET_LBRACE] = ACTIONS(4258),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4232),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4222),
    [anon_sym_GT_GT] = ACTIONS(4222),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1337] = {
    [sym__quest] = STATE(549),
    [sym__immediate_quest] = STATE(2979),
    [sym__range_operator] = STATE(348),
    [sym_custom_operator] = STATE(346),
    [sym_navigation_suffix] = STATE(2982),
    [sym_call_suffix] = STATE(2983),
    [sym__fn_call_lambda_arguments] = STATE(2984),
    [sym_value_arguments] = STATE(2380),
    [sym_lambda_literal] = STATE(1510),
    [sym__equality_operator] = STATE(345),
    [sym__comparison_operator] = STATE(325),
    [sym__three_dot_operator] = STATE(872),
    [sym__open_ended_range_operator] = STATE(348),
    [sym__is_operator] = STATE(3815),
    [sym__additive_operator] = STATE(528),
    [sym__multiplicative_operator] = STATE(487),
    [sym_as_operator] = STATE(3821),
    [sym__bitwise_binary_operator] = STATE(302),
    [sym__postfix_unary_operator] = STATE(2992),
    [sym__eq_eq] = STATE(345),
    [sym__dot] = STATE(4626),
    [sym__conjunction_operator] = STATE(298),
    [sym__disjunction_operator] = STATE(297),
    [sym__nil_coalescing_operator] = STATE(292),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(2992),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(2564),
    [anon_sym_COLON] = ACTIONS(2564),
    [anon_sym_LPAREN] = ACTIONS(2564),
    [anon_sym_LBRACK] = ACTIONS(2564),
    [anon_sym_QMARK] = ACTIONS(2566),
    [anon_sym_QMARK2] = ACTIONS(2564),
    [anon_sym_AMP] = ACTIONS(2564),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(2566),
    [anon_sym_GT] = ACTIONS(2566),
    [anon_sym_LBRACE] = ACTIONS(2564),
    [anon_sym_CARET_LBRACE] = ACTIONS(2564),
    [anon_sym_PLUS_EQ] = ACTIONS(2564),
    [anon_sym_DASH_EQ] = ACTIONS(2564),
    [anon_sym_STAR_EQ] = ACTIONS(2564),
    [anon_sym_SLASH_EQ] = ACTIONS(2564),
    [anon_sym_PERCENT_EQ] = ACTIONS(2564),
    [anon_sym_BANG_EQ] = ACTIONS(4346),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4348),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4348),
    [anon_sym_LT_EQ] = ACTIONS(2564),
    [anon_sym_GT_EQ] = ACTIONS(2564),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2564),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2564),
    [anon_sym_is] = ACTIONS(4354),
    [anon_sym_PLUS] = ACTIONS(4356),
    [anon_sym_DASH] = ACTIONS(4356),
    [anon_sym_STAR] = ACTIONS(4358),
    [anon_sym_SLASH] = ACTIONS(4358),
    [anon_sym_PERCENT] = ACTIONS(4358),
    [anon_sym_PLUS_PLUS] = ACTIONS(4360),
    [anon_sym_DASH_DASH] = ACTIONS(4360),
    [anon_sym_PIPE] = ACTIONS(2564),
    [anon_sym_CARET] = ACTIONS(2566),
    [anon_sym_LT_LT] = ACTIONS(2564),
    [anon_sym_GT_GT] = ACTIONS(2564),
    [anon_sym_BANG2] = ACTIONS(4364),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2564),
    [sym__conjunction_operator_custom] = ACTIONS(4368),
    [sym__disjunction_operator_custom] = ACTIONS(4370),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4372),
    [sym__eq_custom] = ACTIONS(2564),
    [sym__eq_eq_custom] = ACTIONS(4348),
    [sym__plus_then_ws] = ACTIONS(4374),
    [sym__minus_then_ws] = ACTIONS(4374),
    [sym__bang_custom] = ACTIONS(4376),
    [sym_where_keyword] = ACTIONS(2564),
    [sym__as_custom] = ACTIONS(2564),
    [sym__as_quest_custom] = ACTIONS(2564),
    [sym__as_bang_custom] = ACTIONS(2564),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1338] = {
    [sym__quest] = STATE(585),
    [sym__immediate_quest] = STATE(2811),
    [sym__range_operator] = STATE(324),
    [sym_custom_operator] = STATE(322),
    [sym_navigation_suffix] = STATE(2821),
    [sym_call_suffix] = STATE(2823),
    [sym__fn_call_lambda_arguments] = STATE(2859),
    [sym_value_arguments] = STATE(2422),
    [sym_lambda_literal] = STATE(1516),
    [sym__equality_operator] = STATE(321),
    [sym__comparison_operator] = STATE(314),
    [sym__three_dot_operator] = STATE(880),
    [sym__open_ended_range_operator] = STATE(324),
    [sym__is_operator] = STATE(3839),
    [sym__additive_operator] = STATE(537),
    [sym__multiplicative_operator] = STATE(521),
    [sym_as_operator] = STATE(3843),
    [sym__bitwise_binary_operator] = STATE(395),
    [sym__postfix_unary_operator] = STATE(2876),
    [sym__eq_eq] = STATE(321),
    [sym__dot] = STATE(4692),
    [sym__conjunction_operator] = STATE(411),
    [sym__disjunction_operator] = STATE(413),
    [sym__nil_coalescing_operator] = STATE(414),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(2876),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(2550),
    [anon_sym_LPAREN] = ACTIONS(4272),
    [anon_sym_LBRACK] = ACTIONS(4274),
    [anon_sym_QMARK] = ACTIONS(4276),
    [anon_sym_QMARK2] = ACTIONS(4278),
    [anon_sym_AMP] = ACTIONS(4280),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4282),
    [anon_sym_GT] = ACTIONS(4282),
    [anon_sym_LBRACE] = ACTIONS(4284),
    [anon_sym_CARET_LBRACE] = ACTIONS(4284),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4286),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4288),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4288),
    [anon_sym_LT_EQ] = ACTIONS(4290),
    [anon_sym_GT_EQ] = ACTIONS(4290),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1361),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4292),
    [anon_sym_is] = ACTIONS(4294),
    [anon_sym_PLUS] = ACTIONS(4296),
    [anon_sym_DASH] = ACTIONS(4296),
    [anon_sym_STAR] = ACTIONS(4298),
    [anon_sym_SLASH] = ACTIONS(4298),
    [anon_sym_PERCENT] = ACTIONS(4298),
    [anon_sym_PLUS_PLUS] = ACTIONS(4300),
    [anon_sym_DASH_DASH] = ACTIONS(4300),
    [anon_sym_PIPE] = ACTIONS(4280),
    [anon_sym_CARET] = ACTIONS(4302),
    [anon_sym_LT_LT] = ACTIONS(4280),
    [anon_sym_GT_GT] = ACTIONS(4280),
    [anon_sym_BANG2] = ACTIONS(4304),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(4306),
    [sym__conjunction_operator_custom] = ACTIONS(4308),
    [sym__disjunction_operator_custom] = ACTIONS(4310),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4312),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4288),
    [sym__plus_then_ws] = ACTIONS(4314),
    [sym__minus_then_ws] = ACTIONS(4314),
    [sym__bang_custom] = ACTIONS(4316),
    [sym_where_keyword] = ACTIONS(2550),
    [sym_else] = ACTIONS(2550),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1339] = {
    [sym__quest] = STATE(577),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [aux_sym__playground_literal_repeat1] = STATE(6736),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(4424),
    [anon_sym_COMMA] = ACTIONS(4396),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_QMARK] = ACTIONS(4256),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(4222),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(4258),
    [anon_sym_CARET_LBRACE] = ACTIONS(4258),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4232),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4222),
    [anon_sym_GT_GT] = ACTIONS(4222),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1340] = {
    [sym__quest] = STATE(577),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [aux_sym_tuple_expression_repeat1] = STATE(6512),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(4426),
    [anon_sym_COMMA] = ACTIONS(4404),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_QMARK] = ACTIONS(4256),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(4222),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(4258),
    [anon_sym_CARET_LBRACE] = ACTIONS(4258),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4232),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4222),
    [anon_sym_GT_GT] = ACTIONS(4222),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1341] = {
    [sym__quest] = STATE(577),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [aux_sym_tuple_expression_repeat1] = STATE(7189),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(4428),
    [anon_sym_COMMA] = ACTIONS(4404),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_QMARK] = ACTIONS(4256),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(4222),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(4258),
    [anon_sym_CARET_LBRACE] = ACTIONS(4258),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4232),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4222),
    [anon_sym_GT_GT] = ACTIONS(4222),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1342] = {
    [sym__quest] = STATE(449),
    [sym__immediate_quest] = STATE(2398),
    [sym__range_operator] = STATE(330),
    [sym_custom_operator] = STATE(356),
    [sym_navigation_suffix] = STATE(2401),
    [sym_call_suffix] = STATE(2402),
    [sym__fn_call_lambda_arguments] = STATE(2408),
    [sym_value_arguments] = STATE(2044),
    [sym_lambda_literal] = STATE(1483),
    [sym__equality_operator] = STATE(369),
    [sym__comparison_operator] = STATE(370),
    [sym__three_dot_operator] = STATE(848),
    [sym__open_ended_range_operator] = STATE(330),
    [sym__is_operator] = STATE(3782),
    [sym__additive_operator] = STATE(476),
    [sym__multiplicative_operator] = STATE(474),
    [sym_as_operator] = STATE(3783),
    [sym__bitwise_binary_operator] = STATE(397),
    [sym__postfix_unary_operator] = STATE(2410),
    [sym__eq_eq] = STATE(369),
    [sym__dot] = STATE(4593),
    [sym__conjunction_operator] = STATE(406),
    [sym__disjunction_operator] = STATE(420),
    [sym__nil_coalescing_operator] = STATE(421),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(2410),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(4107),
    [anon_sym_LBRACK] = ACTIONS(4109),
    [anon_sym_QMARK] = ACTIONS(4111),
    [anon_sym_QMARK2] = ACTIONS(4113),
    [anon_sym_AMP] = ACTIONS(4115),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4117),
    [anon_sym_GT] = ACTIONS(4117),
    [anon_sym_LBRACE] = ACTIONS(4121),
    [anon_sym_CARET_LBRACE] = ACTIONS(4121),
    [anon_sym_RBRACE] = ACTIONS(2754),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4123),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4125),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4125),
    [anon_sym_LT_EQ] = ACTIONS(4127),
    [anon_sym_GT_EQ] = ACTIONS(4127),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4129),
    [anon_sym_is] = ACTIONS(4131),
    [anon_sym_PLUS] = ACTIONS(4133),
    [anon_sym_DASH] = ACTIONS(4133),
    [anon_sym_STAR] = ACTIONS(4135),
    [anon_sym_SLASH] = ACTIONS(4135),
    [anon_sym_PERCENT] = ACTIONS(4135),
    [anon_sym_PLUS_PLUS] = ACTIONS(4137),
    [anon_sym_DASH_DASH] = ACTIONS(4137),
    [anon_sym_PIPE] = ACTIONS(4115),
    [anon_sym_CARET] = ACTIONS(4139),
    [anon_sym_LT_LT] = ACTIONS(4115),
    [anon_sym_GT_GT] = ACTIONS(4115),
    [anon_sym_BANG2] = ACTIONS(4141),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2754),
    [sym__explicit_semi] = ACTIONS(2754),
    [sym__dot_custom] = ACTIONS(4143),
    [sym__conjunction_operator_custom] = ACTIONS(4145),
    [sym__disjunction_operator_custom] = ACTIONS(4147),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4149),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4125),
    [sym__plus_then_ws] = ACTIONS(4151),
    [sym__minus_then_ws] = ACTIONS(4151),
    [sym__bang_custom] = ACTIONS(4153),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1343] = {
    [sym__quest] = STATE(284),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(4384),
    [anon_sym_COMMA] = ACTIONS(4384),
    [anon_sym_COLON] = ACTIONS(4384),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_QMARK] = ACTIONS(4386),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(4222),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(4258),
    [anon_sym_CARET_LBRACE] = ACTIONS(4258),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4232),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4222),
    [anon_sym_GT_GT] = ACTIONS(4222),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1344] = {
    [sym__quest] = STATE(549),
    [sym__immediate_quest] = STATE(2979),
    [sym__range_operator] = STATE(348),
    [sym_custom_operator] = STATE(346),
    [sym_navigation_suffix] = STATE(2982),
    [sym_call_suffix] = STATE(2983),
    [sym__fn_call_lambda_arguments] = STATE(2984),
    [sym_value_arguments] = STATE(2380),
    [sym_lambda_literal] = STATE(1510),
    [sym__equality_operator] = STATE(345),
    [sym__comparison_operator] = STATE(325),
    [sym__three_dot_operator] = STATE(872),
    [sym__open_ended_range_operator] = STATE(348),
    [sym__is_operator] = STATE(3815),
    [sym__additive_operator] = STATE(528),
    [sym__multiplicative_operator] = STATE(487),
    [sym_as_operator] = STATE(3821),
    [sym__bitwise_binary_operator] = STATE(302),
    [sym__postfix_unary_operator] = STATE(2992),
    [sym__eq_eq] = STATE(345),
    [sym__dot] = STATE(4626),
    [sym__conjunction_operator] = STATE(298),
    [sym__disjunction_operator] = STATE(297),
    [sym__nil_coalescing_operator] = STATE(292),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(2992),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(2568),
    [anon_sym_COLON] = ACTIONS(2568),
    [anon_sym_LPAREN] = ACTIONS(4336),
    [anon_sym_LBRACK] = ACTIONS(4338),
    [anon_sym_QMARK] = ACTIONS(4430),
    [anon_sym_QMARK2] = ACTIONS(4340),
    [anon_sym_AMP] = ACTIONS(4342),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4344),
    [anon_sym_GT] = ACTIONS(4344),
    [anon_sym_LBRACE] = ACTIONS(4412),
    [anon_sym_CARET_LBRACE] = ACTIONS(4412),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4346),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4348),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4348),
    [anon_sym_LT_EQ] = ACTIONS(4350),
    [anon_sym_GT_EQ] = ACTIONS(4350),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4352),
    [anon_sym_is] = ACTIONS(4354),
    [anon_sym_PLUS] = ACTIONS(4356),
    [anon_sym_DASH] = ACTIONS(4356),
    [anon_sym_STAR] = ACTIONS(4358),
    [anon_sym_SLASH] = ACTIONS(4358),
    [anon_sym_PERCENT] = ACTIONS(4358),
    [anon_sym_PLUS_PLUS] = ACTIONS(4360),
    [anon_sym_DASH_DASH] = ACTIONS(4360),
    [anon_sym_PIPE] = ACTIONS(4342),
    [anon_sym_CARET] = ACTIONS(4362),
    [anon_sym_LT_LT] = ACTIONS(4342),
    [anon_sym_GT_GT] = ACTIONS(4342),
    [anon_sym_BANG2] = ACTIONS(4364),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(4366),
    [sym__conjunction_operator_custom] = ACTIONS(4368),
    [sym__disjunction_operator_custom] = ACTIONS(4370),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4372),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4348),
    [sym__plus_then_ws] = ACTIONS(4374),
    [sym__minus_then_ws] = ACTIONS(4374),
    [sym__bang_custom] = ACTIONS(4376),
    [sym_where_keyword] = ACTIONS(2568),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1345] = {
    [sym__quest] = STATE(577),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [aux_sym_enum_type_parameters_repeat1] = STATE(7201),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(4432),
    [anon_sym_COMMA] = ACTIONS(4390),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_QMARK] = ACTIONS(4256),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(4222),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(4258),
    [anon_sym_CARET_LBRACE] = ACTIONS(4258),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4232),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4222),
    [anon_sym_GT_GT] = ACTIONS(4222),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1346] = {
    [sym__quest] = STATE(443),
    [sym__immediate_quest] = STATE(3109),
    [sym__range_operator] = STATE(393),
    [sym_custom_operator] = STATE(390),
    [sym_navigation_suffix] = STATE(3084),
    [sym_call_suffix] = STATE(3077),
    [sym__fn_call_lambda_arguments] = STATE(3072),
    [sym_value_arguments] = STATE(2636),
    [sym_expr_hack_at_ternary_binary_call_suffix] = STATE(3130),
    [sym_lambda_literal] = STATE(1543),
    [sym__equality_operator] = STATE(384),
    [sym__comparison_operator] = STATE(363),
    [sym__three_dot_operator] = STATE(889),
    [sym__open_ended_range_operator] = STATE(393),
    [sym__is_operator] = STATE(3776),
    [sym__additive_operator] = STATE(590),
    [sym__multiplicative_operator] = STATE(594),
    [sym_as_operator] = STATE(3777),
    [sym__bitwise_binary_operator] = STATE(331),
    [sym__postfix_unary_operator] = STATE(3052),
    [sym__eq_eq] = STATE(384),
    [sym__dot] = STATE(4641),
    [sym__conjunction_operator] = STATE(329),
    [sym__disjunction_operator] = STATE(327),
    [sym__nil_coalescing_operator] = STATE(323),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(3052),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(2494),
    [anon_sym_LPAREN] = ACTIONS(4434),
    [anon_sym_LBRACK] = ACTIONS(4436),
    [anon_sym_QMARK] = ACTIONS(2500),
    [anon_sym_QMARK2] = ACTIONS(4438),
    [anon_sym_AMP] = ACTIONS(4440),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4442),
    [anon_sym_GT] = ACTIONS(4442),
    [anon_sym_LBRACE] = ACTIONS(2494),
    [anon_sym_CARET_LBRACE] = ACTIONS(2494),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4444),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4446),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4446),
    [anon_sym_LT_EQ] = ACTIONS(4448),
    [anon_sym_GT_EQ] = ACTIONS(4448),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1203),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4450),
    [anon_sym_is] = ACTIONS(4452),
    [anon_sym_PLUS] = ACTIONS(4454),
    [anon_sym_DASH] = ACTIONS(4454),
    [anon_sym_STAR] = ACTIONS(4456),
    [anon_sym_SLASH] = ACTIONS(4456),
    [anon_sym_PERCENT] = ACTIONS(4456),
    [anon_sym_PLUS_PLUS] = ACTIONS(4458),
    [anon_sym_DASH_DASH] = ACTIONS(4458),
    [anon_sym_PIPE] = ACTIONS(4440),
    [anon_sym_CARET] = ACTIONS(4460),
    [anon_sym_LT_LT] = ACTIONS(4440),
    [anon_sym_GT_GT] = ACTIONS(4440),
    [anon_sym_BANG2] = ACTIONS(4462),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(4464),
    [sym__conjunction_operator_custom] = ACTIONS(4466),
    [sym__disjunction_operator_custom] = ACTIONS(4468),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4470),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4446),
    [sym__plus_then_ws] = ACTIONS(4472),
    [sym__minus_then_ws] = ACTIONS(4472),
    [sym__bang_custom] = ACTIONS(4474),
    [sym_else] = ACTIONS(2494),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1347] = {
    [sym__quest] = STATE(577),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [aux_sym_tuple_expression_repeat1] = STATE(6875),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(4476),
    [anon_sym_COMMA] = ACTIONS(4404),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_QMARK] = ACTIONS(4256),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(4222),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(4258),
    [anon_sym_CARET_LBRACE] = ACTIONS(4258),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4232),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4222),
    [anon_sym_GT_GT] = ACTIONS(4222),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1348] = {
    [sym__quest] = STATE(577),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [aux_sym__playground_literal_repeat1] = STATE(6855),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(4478),
    [anon_sym_COMMA] = ACTIONS(4396),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_QMARK] = ACTIONS(4256),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(4222),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(4258),
    [anon_sym_CARET_LBRACE] = ACTIONS(4258),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4232),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4222),
    [anon_sym_GT_GT] = ACTIONS(4222),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1349] = {
    [sym__quest] = STATE(449),
    [sym__immediate_quest] = STATE(2398),
    [sym__range_operator] = STATE(330),
    [sym_custom_operator] = STATE(356),
    [sym_navigation_suffix] = STATE(2401),
    [sym_call_suffix] = STATE(2402),
    [sym__fn_call_lambda_arguments] = STATE(2408),
    [sym_value_arguments] = STATE(2044),
    [sym_lambda_literal] = STATE(1483),
    [sym__equality_operator] = STATE(369),
    [sym__comparison_operator] = STATE(370),
    [sym__three_dot_operator] = STATE(848),
    [sym__open_ended_range_operator] = STATE(330),
    [sym__is_operator] = STATE(3782),
    [sym__additive_operator] = STATE(476),
    [sym__multiplicative_operator] = STATE(474),
    [sym_as_operator] = STATE(3783),
    [sym__bitwise_binary_operator] = STATE(397),
    [sym__postfix_unary_operator] = STATE(2410),
    [sym__eq_eq] = STATE(369),
    [sym__dot] = STATE(4593),
    [sym__conjunction_operator] = STATE(406),
    [sym__disjunction_operator] = STATE(420),
    [sym__nil_coalescing_operator] = STATE(421),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(2410),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(4107),
    [anon_sym_LBRACK] = ACTIONS(4109),
    [anon_sym_QMARK] = ACTIONS(4111),
    [anon_sym_QMARK2] = ACTIONS(4113),
    [anon_sym_AMP] = ACTIONS(4115),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4117),
    [anon_sym_GT] = ACTIONS(4117),
    [anon_sym_LBRACE] = ACTIONS(4121),
    [anon_sym_CARET_LBRACE] = ACTIONS(4121),
    [anon_sym_RBRACE] = ACTIONS(2762),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4123),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4125),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4125),
    [anon_sym_LT_EQ] = ACTIONS(4127),
    [anon_sym_GT_EQ] = ACTIONS(4127),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4129),
    [anon_sym_is] = ACTIONS(4131),
    [anon_sym_PLUS] = ACTIONS(4133),
    [anon_sym_DASH] = ACTIONS(4133),
    [anon_sym_STAR] = ACTIONS(4135),
    [anon_sym_SLASH] = ACTIONS(4135),
    [anon_sym_PERCENT] = ACTIONS(4135),
    [anon_sym_PLUS_PLUS] = ACTIONS(4137),
    [anon_sym_DASH_DASH] = ACTIONS(4137),
    [anon_sym_PIPE] = ACTIONS(4115),
    [anon_sym_CARET] = ACTIONS(4139),
    [anon_sym_LT_LT] = ACTIONS(4115),
    [anon_sym_GT_GT] = ACTIONS(4115),
    [anon_sym_BANG2] = ACTIONS(4141),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2762),
    [sym__explicit_semi] = ACTIONS(2762),
    [sym__dot_custom] = ACTIONS(4143),
    [sym__conjunction_operator_custom] = ACTIONS(4145),
    [sym__disjunction_operator_custom] = ACTIONS(4147),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4149),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4125),
    [sym__plus_then_ws] = ACTIONS(4151),
    [sym__minus_then_ws] = ACTIONS(4151),
    [sym__bang_custom] = ACTIONS(4153),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1350] = {
    [sym__quest] = STATE(549),
    [sym__immediate_quest] = STATE(2979),
    [sym__range_operator] = STATE(348),
    [sym_custom_operator] = STATE(346),
    [sym_navigation_suffix] = STATE(2982),
    [sym_call_suffix] = STATE(2983),
    [sym__fn_call_lambda_arguments] = STATE(2984),
    [sym_value_arguments] = STATE(2380),
    [sym_lambda_literal] = STATE(1510),
    [sym__equality_operator] = STATE(345),
    [sym__comparison_operator] = STATE(325),
    [sym__three_dot_operator] = STATE(872),
    [sym__open_ended_range_operator] = STATE(348),
    [sym__is_operator] = STATE(3815),
    [sym__additive_operator] = STATE(528),
    [sym__multiplicative_operator] = STATE(487),
    [sym_as_operator] = STATE(3821),
    [sym__bitwise_binary_operator] = STATE(302),
    [sym__postfix_unary_operator] = STATE(2992),
    [sym__eq_eq] = STATE(345),
    [sym__dot] = STATE(4626),
    [sym__conjunction_operator] = STATE(298),
    [sym__disjunction_operator] = STATE(297),
    [sym__nil_coalescing_operator] = STATE(292),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(2992),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(2580),
    [anon_sym_COLON] = ACTIONS(2580),
    [anon_sym_LPAREN] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2580),
    [anon_sym_QMARK] = ACTIONS(2582),
    [anon_sym_QMARK2] = ACTIONS(2580),
    [anon_sym_AMP] = ACTIONS(2580),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(2582),
    [anon_sym_GT] = ACTIONS(2582),
    [anon_sym_LBRACE] = ACTIONS(2580),
    [anon_sym_CARET_LBRACE] = ACTIONS(2580),
    [anon_sym_PLUS_EQ] = ACTIONS(2580),
    [anon_sym_DASH_EQ] = ACTIONS(2580),
    [anon_sym_STAR_EQ] = ACTIONS(2580),
    [anon_sym_SLASH_EQ] = ACTIONS(2580),
    [anon_sym_PERCENT_EQ] = ACTIONS(2580),
    [anon_sym_BANG_EQ] = ACTIONS(2582),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2580),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2580),
    [anon_sym_LT_EQ] = ACTIONS(2580),
    [anon_sym_GT_EQ] = ACTIONS(2580),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2580),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2580),
    [anon_sym_is] = ACTIONS(2580),
    [anon_sym_PLUS] = ACTIONS(4356),
    [anon_sym_DASH] = ACTIONS(4356),
    [anon_sym_STAR] = ACTIONS(4358),
    [anon_sym_SLASH] = ACTIONS(4358),
    [anon_sym_PERCENT] = ACTIONS(4358),
    [anon_sym_PLUS_PLUS] = ACTIONS(2580),
    [anon_sym_DASH_DASH] = ACTIONS(2580),
    [anon_sym_PIPE] = ACTIONS(2580),
    [anon_sym_CARET] = ACTIONS(2582),
    [anon_sym_LT_LT] = ACTIONS(2580),
    [anon_sym_GT_GT] = ACTIONS(2580),
    [anon_sym_BANG2] = ACTIONS(2582),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2580),
    [sym__conjunction_operator_custom] = ACTIONS(2580),
    [sym__disjunction_operator_custom] = ACTIONS(2580),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4372),
    [sym__eq_custom] = ACTIONS(2580),
    [sym__eq_eq_custom] = ACTIONS(2580),
    [sym__plus_then_ws] = ACTIONS(4374),
    [sym__minus_then_ws] = ACTIONS(4374),
    [sym__bang_custom] = ACTIONS(2580),
    [sym_where_keyword] = ACTIONS(2580),
    [sym__as_custom] = ACTIONS(2580),
    [sym__as_quest_custom] = ACTIONS(2580),
    [sym__as_bang_custom] = ACTIONS(2580),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1351] = {
    [sym__quest] = STATE(549),
    [sym__immediate_quest] = STATE(2979),
    [sym__range_operator] = STATE(348),
    [sym_custom_operator] = STATE(346),
    [sym_navigation_suffix] = STATE(2982),
    [sym_call_suffix] = STATE(2983),
    [sym__fn_call_lambda_arguments] = STATE(2984),
    [sym_value_arguments] = STATE(2380),
    [sym_lambda_literal] = STATE(1510),
    [sym_where_clause] = STATE(7398),
    [sym__equality_operator] = STATE(345),
    [sym__comparison_operator] = STATE(325),
    [sym__three_dot_operator] = STATE(872),
    [sym__open_ended_range_operator] = STATE(348),
    [sym__is_operator] = STATE(3815),
    [sym__additive_operator] = STATE(528),
    [sym__multiplicative_operator] = STATE(487),
    [sym_as_operator] = STATE(3821),
    [sym__bitwise_binary_operator] = STATE(302),
    [sym__postfix_unary_operator] = STATE(2992),
    [sym__eq_eq] = STATE(345),
    [sym__dot] = STATE(4626),
    [sym__conjunction_operator] = STATE(298),
    [sym__disjunction_operator] = STATE(297),
    [sym__nil_coalescing_operator] = STATE(292),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(2992),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(2638),
    [anon_sym_LPAREN] = ACTIONS(4336),
    [anon_sym_LBRACK] = ACTIONS(4338),
    [anon_sym_QMARK] = ACTIONS(4430),
    [anon_sym_QMARK2] = ACTIONS(4340),
    [anon_sym_AMP] = ACTIONS(4342),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4344),
    [anon_sym_GT] = ACTIONS(4344),
    [anon_sym_LBRACE] = ACTIONS(2638),
    [anon_sym_CARET_LBRACE] = ACTIONS(4412),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4346),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4348),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4348),
    [anon_sym_LT_EQ] = ACTIONS(4350),
    [anon_sym_GT_EQ] = ACTIONS(4350),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4352),
    [anon_sym_is] = ACTIONS(4354),
    [anon_sym_PLUS] = ACTIONS(4356),
    [anon_sym_DASH] = ACTIONS(4356),
    [anon_sym_STAR] = ACTIONS(4358),
    [anon_sym_SLASH] = ACTIONS(4358),
    [anon_sym_PERCENT] = ACTIONS(4358),
    [anon_sym_PLUS_PLUS] = ACTIONS(4360),
    [anon_sym_DASH_DASH] = ACTIONS(4360),
    [anon_sym_PIPE] = ACTIONS(4342),
    [anon_sym_CARET] = ACTIONS(4362),
    [anon_sym_LT_LT] = ACTIONS(4342),
    [anon_sym_GT_GT] = ACTIONS(4342),
    [anon_sym_BANG2] = ACTIONS(4364),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(4366),
    [sym__conjunction_operator_custom] = ACTIONS(4368),
    [sym__disjunction_operator_custom] = ACTIONS(4370),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4372),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4348),
    [sym__plus_then_ws] = ACTIONS(4374),
    [sym__minus_then_ws] = ACTIONS(4374),
    [sym__bang_custom] = ACTIONS(4376),
    [sym_where_keyword] = ACTIONS(4480),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1352] = {
    [sym__quest] = STATE(577),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [aux_sym_switch_entry_repeat1] = STATE(7089),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(4482),
    [anon_sym_COLON] = ACTIONS(4484),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_QMARK] = ACTIONS(4256),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(4222),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(4258),
    [anon_sym_CARET_LBRACE] = ACTIONS(4258),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4232),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4222),
    [anon_sym_GT_GT] = ACTIONS(4222),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1353] = {
    [sym__quest] = STATE(284),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [aux_sym_tuple_expression_repeat1] = STATE(6703),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(4384),
    [anon_sym_COMMA] = ACTIONS(4384),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_QMARK] = ACTIONS(4386),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(4222),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(4258),
    [anon_sym_CARET_LBRACE] = ACTIONS(4258),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4232),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4222),
    [anon_sym_GT_GT] = ACTIONS(4222),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1354] = {
    [sym__quest] = STATE(577),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [aux_sym_tuple_expression_repeat1] = STATE(6703),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(4486),
    [anon_sym_COMMA] = ACTIONS(4404),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_QMARK] = ACTIONS(4256),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(4222),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(4258),
    [anon_sym_CARET_LBRACE] = ACTIONS(4258),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4232),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4222),
    [anon_sym_GT_GT] = ACTIONS(4222),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1355] = {
    [sym__quest] = STATE(577),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [aux_sym_tuple_expression_repeat1] = STATE(6890),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(4488),
    [anon_sym_COMMA] = ACTIONS(4404),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_QMARK] = ACTIONS(4256),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(4222),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(4258),
    [anon_sym_CARET_LBRACE] = ACTIONS(4258),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4232),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4222),
    [anon_sym_GT_GT] = ACTIONS(4222),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1356] = {
    [sym__quest] = STATE(577),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [aux_sym__playground_literal_repeat1] = STATE(6562),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(4490),
    [anon_sym_COMMA] = ACTIONS(4396),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_QMARK] = ACTIONS(4256),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(4222),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(4258),
    [anon_sym_CARET_LBRACE] = ACTIONS(4258),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4232),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4222),
    [anon_sym_GT_GT] = ACTIONS(4222),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1357] = {
    [sym__quest] = STATE(577),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [aux_sym_switch_entry_repeat1] = STATE(6960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(4482),
    [anon_sym_COLON] = ACTIONS(4492),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_QMARK] = ACTIONS(4256),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(4222),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(4258),
    [anon_sym_CARET_LBRACE] = ACTIONS(4258),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4232),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4222),
    [anon_sym_GT_GT] = ACTIONS(4222),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1358] = {
    [sym__quest] = STATE(577),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [aux_sym_tuple_expression_repeat1] = STATE(6600),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(4494),
    [anon_sym_COMMA] = ACTIONS(4404),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_QMARK] = ACTIONS(4256),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(4222),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(4258),
    [anon_sym_CARET_LBRACE] = ACTIONS(4258),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4232),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4222),
    [anon_sym_GT_GT] = ACTIONS(4222),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1359] = {
    [sym__quest] = STATE(585),
    [sym__immediate_quest] = STATE(2811),
    [sym__range_operator] = STATE(324),
    [sym_custom_operator] = STATE(322),
    [sym_navigation_suffix] = STATE(2821),
    [sym_call_suffix] = STATE(2823),
    [sym__fn_call_lambda_arguments] = STATE(2859),
    [sym_value_arguments] = STATE(2422),
    [sym_lambda_literal] = STATE(1516),
    [sym__equality_operator] = STATE(321),
    [sym__comparison_operator] = STATE(314),
    [sym__three_dot_operator] = STATE(880),
    [sym__open_ended_range_operator] = STATE(324),
    [sym__is_operator] = STATE(3839),
    [sym__additive_operator] = STATE(537),
    [sym__multiplicative_operator] = STATE(521),
    [sym_as_operator] = STATE(3843),
    [sym__bitwise_binary_operator] = STATE(395),
    [sym__postfix_unary_operator] = STATE(2876),
    [sym__eq_eq] = STATE(321),
    [sym__dot] = STATE(4692),
    [sym__conjunction_operator] = STATE(411),
    [sym__disjunction_operator] = STATE(413),
    [sym__nil_coalescing_operator] = STATE(414),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(2876),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(2580),
    [anon_sym_LPAREN] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2580),
    [anon_sym_QMARK] = ACTIONS(2582),
    [anon_sym_QMARK2] = ACTIONS(2580),
    [anon_sym_AMP] = ACTIONS(2580),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(2582),
    [anon_sym_GT] = ACTIONS(2582),
    [anon_sym_LBRACE] = ACTIONS(2580),
    [anon_sym_CARET_LBRACE] = ACTIONS(2580),
    [anon_sym_PLUS_EQ] = ACTIONS(2580),
    [anon_sym_DASH_EQ] = ACTIONS(2580),
    [anon_sym_STAR_EQ] = ACTIONS(2580),
    [anon_sym_SLASH_EQ] = ACTIONS(2580),
    [anon_sym_PERCENT_EQ] = ACTIONS(2580),
    [anon_sym_BANG_EQ] = ACTIONS(2582),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2580),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2580),
    [anon_sym_LT_EQ] = ACTIONS(2580),
    [anon_sym_GT_EQ] = ACTIONS(2580),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2580),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2580),
    [anon_sym_is] = ACTIONS(2580),
    [anon_sym_PLUS] = ACTIONS(4296),
    [anon_sym_DASH] = ACTIONS(4296),
    [anon_sym_STAR] = ACTIONS(4298),
    [anon_sym_SLASH] = ACTIONS(4298),
    [anon_sym_PERCENT] = ACTIONS(4298),
    [anon_sym_PLUS_PLUS] = ACTIONS(2580),
    [anon_sym_DASH_DASH] = ACTIONS(2580),
    [anon_sym_PIPE] = ACTIONS(2580),
    [anon_sym_CARET] = ACTIONS(2582),
    [anon_sym_LT_LT] = ACTIONS(2580),
    [anon_sym_GT_GT] = ACTIONS(2580),
    [anon_sym_BANG2] = ACTIONS(2582),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2580),
    [sym__conjunction_operator_custom] = ACTIONS(2580),
    [sym__disjunction_operator_custom] = ACTIONS(2580),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4312),
    [sym__eq_custom] = ACTIONS(2580),
    [sym__eq_eq_custom] = ACTIONS(2580),
    [sym__plus_then_ws] = ACTIONS(4314),
    [sym__minus_then_ws] = ACTIONS(4314),
    [sym__bang_custom] = ACTIONS(2580),
    [sym_where_keyword] = ACTIONS(2580),
    [sym_else] = ACTIONS(2580),
    [sym__as_custom] = ACTIONS(2580),
    [sym__as_quest_custom] = ACTIONS(2580),
    [sym__as_bang_custom] = ACTIONS(2580),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1360] = {
    [sym__quest] = STATE(577),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [aux_sym__playground_literal_repeat1] = STATE(6869),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(4496),
    [anon_sym_COMMA] = ACTIONS(4396),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_QMARK] = ACTIONS(4256),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(4222),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(4258),
    [anon_sym_CARET_LBRACE] = ACTIONS(4258),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4232),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4222),
    [anon_sym_GT_GT] = ACTIONS(4222),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1361] = {
    [sym__quest] = STATE(577),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [aux_sym_tuple_expression_repeat1] = STATE(6641),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(4498),
    [anon_sym_COMMA] = ACTIONS(4404),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_QMARK] = ACTIONS(4256),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(4222),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(4258),
    [anon_sym_CARET_LBRACE] = ACTIONS(4258),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4232),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4222),
    [anon_sym_GT_GT] = ACTIONS(4222),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1362] = {
    [sym__quest] = STATE(284),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [aux_sym_tuple_expression_repeat1] = STATE(6618),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(4384),
    [anon_sym_COMMA] = ACTIONS(4384),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_QMARK] = ACTIONS(4386),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(4222),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(4258),
    [anon_sym_CARET_LBRACE] = ACTIONS(4258),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4232),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4222),
    [anon_sym_GT_GT] = ACTIONS(4222),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1363] = {
    [sym__quest] = STATE(577),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [aux_sym_tuple_expression_repeat1] = STATE(6829),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(4500),
    [anon_sym_COMMA] = ACTIONS(4404),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_QMARK] = ACTIONS(4256),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(4222),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(4258),
    [anon_sym_CARET_LBRACE] = ACTIONS(4258),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4232),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4222),
    [anon_sym_GT_GT] = ACTIONS(4222),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1364] = {
    [sym__quest] = STATE(577),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [aux_sym_tuple_expression_repeat1] = STATE(6974),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(4502),
    [anon_sym_COMMA] = ACTIONS(4404),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_QMARK] = ACTIONS(4256),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(4222),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(4258),
    [anon_sym_CARET_LBRACE] = ACTIONS(4258),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4232),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4222),
    [anon_sym_GT_GT] = ACTIONS(4222),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1365] = {
    [sym__quest] = STATE(585),
    [sym__immediate_quest] = STATE(2811),
    [sym__range_operator] = STATE(324),
    [sym_custom_operator] = STATE(322),
    [sym_navigation_suffix] = STATE(2821),
    [sym_call_suffix] = STATE(2823),
    [sym__fn_call_lambda_arguments] = STATE(2859),
    [sym_value_arguments] = STATE(2422),
    [sym_lambda_literal] = STATE(1516),
    [sym__equality_operator] = STATE(321),
    [sym__comparison_operator] = STATE(314),
    [sym__three_dot_operator] = STATE(880),
    [sym__open_ended_range_operator] = STATE(324),
    [sym__is_operator] = STATE(3839),
    [sym__additive_operator] = STATE(537),
    [sym__multiplicative_operator] = STATE(521),
    [sym_as_operator] = STATE(3843),
    [sym__bitwise_binary_operator] = STATE(395),
    [sym__postfix_unary_operator] = STATE(2876),
    [sym__eq_eq] = STATE(321),
    [sym__dot] = STATE(4692),
    [sym__conjunction_operator] = STATE(411),
    [sym__disjunction_operator] = STATE(413),
    [sym__nil_coalescing_operator] = STATE(414),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(2876),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(2572),
    [anon_sym_LPAREN] = ACTIONS(4272),
    [anon_sym_LBRACK] = ACTIONS(4274),
    [anon_sym_QMARK] = ACTIONS(4276),
    [anon_sym_QMARK2] = ACTIONS(4278),
    [anon_sym_AMP] = ACTIONS(4280),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4282),
    [anon_sym_GT] = ACTIONS(4282),
    [anon_sym_LBRACE] = ACTIONS(4284),
    [anon_sym_CARET_LBRACE] = ACTIONS(4284),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4286),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4288),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4288),
    [anon_sym_LT_EQ] = ACTIONS(4290),
    [anon_sym_GT_EQ] = ACTIONS(4290),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1361),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4292),
    [anon_sym_is] = ACTIONS(4294),
    [anon_sym_PLUS] = ACTIONS(4296),
    [anon_sym_DASH] = ACTIONS(4296),
    [anon_sym_STAR] = ACTIONS(4298),
    [anon_sym_SLASH] = ACTIONS(4298),
    [anon_sym_PERCENT] = ACTIONS(4298),
    [anon_sym_PLUS_PLUS] = ACTIONS(4300),
    [anon_sym_DASH_DASH] = ACTIONS(4300),
    [anon_sym_PIPE] = ACTIONS(4280),
    [anon_sym_CARET] = ACTIONS(4302),
    [anon_sym_LT_LT] = ACTIONS(4280),
    [anon_sym_GT_GT] = ACTIONS(4280),
    [anon_sym_BANG2] = ACTIONS(4304),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(4306),
    [sym__conjunction_operator_custom] = ACTIONS(4308),
    [sym__disjunction_operator_custom] = ACTIONS(4310),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4312),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4288),
    [sym__plus_then_ws] = ACTIONS(4314),
    [sym__minus_then_ws] = ACTIONS(4314),
    [sym__bang_custom] = ACTIONS(4316),
    [sym_where_keyword] = ACTIONS(2572),
    [sym_else] = ACTIONS(2572),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1366] = {
    [sym__quest] = STATE(577),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [aux_sym__playground_literal_repeat1] = STATE(6646),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(4504),
    [anon_sym_COMMA] = ACTIONS(4396),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_QMARK] = ACTIONS(4256),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(4222),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(4258),
    [anon_sym_CARET_LBRACE] = ACTIONS(4258),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4232),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4222),
    [anon_sym_GT_GT] = ACTIONS(4222),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1367] = {
    [sym__quest] = STATE(549),
    [sym__immediate_quest] = STATE(2979),
    [sym__range_operator] = STATE(348),
    [sym_custom_operator] = STATE(346),
    [sym_navigation_suffix] = STATE(2982),
    [sym_call_suffix] = STATE(2983),
    [sym__fn_call_lambda_arguments] = STATE(2984),
    [sym_value_arguments] = STATE(2380),
    [sym_lambda_literal] = STATE(1510),
    [sym__equality_operator] = STATE(345),
    [sym__comparison_operator] = STATE(325),
    [sym__three_dot_operator] = STATE(872),
    [sym__open_ended_range_operator] = STATE(348),
    [sym__is_operator] = STATE(3815),
    [sym__additive_operator] = STATE(528),
    [sym__multiplicative_operator] = STATE(487),
    [sym_as_operator] = STATE(3821),
    [sym__bitwise_binary_operator] = STATE(302),
    [sym__postfix_unary_operator] = STATE(2992),
    [sym__eq_eq] = STATE(345),
    [sym__dot] = STATE(4626),
    [sym__conjunction_operator] = STATE(298),
    [sym__disjunction_operator] = STATE(297),
    [sym__nil_coalescing_operator] = STATE(292),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(2992),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(2588),
    [anon_sym_COLON] = ACTIONS(2588),
    [anon_sym_LPAREN] = ACTIONS(4336),
    [anon_sym_LBRACK] = ACTIONS(4338),
    [anon_sym_QMARK] = ACTIONS(4430),
    [anon_sym_QMARK2] = ACTIONS(4340),
    [anon_sym_AMP] = ACTIONS(4342),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4344),
    [anon_sym_GT] = ACTIONS(4344),
    [anon_sym_LBRACE] = ACTIONS(4412),
    [anon_sym_CARET_LBRACE] = ACTIONS(4412),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4346),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4348),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4348),
    [anon_sym_LT_EQ] = ACTIONS(4350),
    [anon_sym_GT_EQ] = ACTIONS(4350),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4352),
    [anon_sym_is] = ACTIONS(4354),
    [anon_sym_PLUS] = ACTIONS(4356),
    [anon_sym_DASH] = ACTIONS(4356),
    [anon_sym_STAR] = ACTIONS(4358),
    [anon_sym_SLASH] = ACTIONS(4358),
    [anon_sym_PERCENT] = ACTIONS(4358),
    [anon_sym_PLUS_PLUS] = ACTIONS(4360),
    [anon_sym_DASH_DASH] = ACTIONS(4360),
    [anon_sym_PIPE] = ACTIONS(4342),
    [anon_sym_CARET] = ACTIONS(4362),
    [anon_sym_LT_LT] = ACTIONS(4342),
    [anon_sym_GT_GT] = ACTIONS(4342),
    [anon_sym_BANG2] = ACTIONS(4364),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(4366),
    [sym__conjunction_operator_custom] = ACTIONS(4368),
    [sym__disjunction_operator_custom] = ACTIONS(4370),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4372),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4348),
    [sym__plus_then_ws] = ACTIONS(4374),
    [sym__minus_then_ws] = ACTIONS(4374),
    [sym__bang_custom] = ACTIONS(4376),
    [sym_where_keyword] = ACTIONS(2588),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1368] = {
    [sym__quest] = STATE(577),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [aux_sym__playground_literal_repeat1] = STATE(7215),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(4506),
    [anon_sym_COMMA] = ACTIONS(4396),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_QMARK] = ACTIONS(4256),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(4222),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(4258),
    [anon_sym_CARET_LBRACE] = ACTIONS(4258),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4232),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4222),
    [anon_sym_GT_GT] = ACTIONS(4222),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1369] = {
    [sym__quest] = STATE(449),
    [sym__immediate_quest] = STATE(2398),
    [sym__range_operator] = STATE(330),
    [sym_custom_operator] = STATE(356),
    [sym_navigation_suffix] = STATE(2401),
    [sym_call_suffix] = STATE(2402),
    [sym__fn_call_lambda_arguments] = STATE(2408),
    [sym_value_arguments] = STATE(2044),
    [sym_lambda_literal] = STATE(1483),
    [sym__equality_operator] = STATE(369),
    [sym__comparison_operator] = STATE(370),
    [sym__three_dot_operator] = STATE(848),
    [sym__open_ended_range_operator] = STATE(330),
    [sym__is_operator] = STATE(3782),
    [sym__additive_operator] = STATE(476),
    [sym__multiplicative_operator] = STATE(474),
    [sym_as_operator] = STATE(3783),
    [sym__bitwise_binary_operator] = STATE(397),
    [sym__postfix_unary_operator] = STATE(2410),
    [sym__eq_eq] = STATE(369),
    [sym__dot] = STATE(4593),
    [sym__conjunction_operator] = STATE(406),
    [sym__disjunction_operator] = STATE(420),
    [sym__nil_coalescing_operator] = STATE(421),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(2410),
    [ts_builtin_sym_end] = ACTIONS(4508),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(4107),
    [anon_sym_LBRACK] = ACTIONS(4109),
    [anon_sym_QMARK] = ACTIONS(4111),
    [anon_sym_QMARK2] = ACTIONS(4113),
    [anon_sym_AMP] = ACTIONS(4115),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4117),
    [anon_sym_GT] = ACTIONS(4117),
    [anon_sym_LBRACE] = ACTIONS(4121),
    [anon_sym_CARET_LBRACE] = ACTIONS(4121),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4123),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4125),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4125),
    [anon_sym_LT_EQ] = ACTIONS(4127),
    [anon_sym_GT_EQ] = ACTIONS(4127),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(77),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4129),
    [anon_sym_is] = ACTIONS(4131),
    [anon_sym_PLUS] = ACTIONS(4133),
    [anon_sym_DASH] = ACTIONS(4133),
    [anon_sym_STAR] = ACTIONS(4135),
    [anon_sym_SLASH] = ACTIONS(4135),
    [anon_sym_PERCENT] = ACTIONS(4135),
    [anon_sym_PLUS_PLUS] = ACTIONS(4137),
    [anon_sym_DASH_DASH] = ACTIONS(4137),
    [anon_sym_PIPE] = ACTIONS(4115),
    [anon_sym_CARET] = ACTIONS(4139),
    [anon_sym_LT_LT] = ACTIONS(4115),
    [anon_sym_GT_GT] = ACTIONS(4115),
    [anon_sym_BANG2] = ACTIONS(4141),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(4508),
    [sym__explicit_semi] = ACTIONS(4508),
    [sym__dot_custom] = ACTIONS(4143),
    [sym__conjunction_operator_custom] = ACTIONS(4145),
    [sym__disjunction_operator_custom] = ACTIONS(4147),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4149),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4125),
    [sym__plus_then_ws] = ACTIONS(4151),
    [sym__minus_then_ws] = ACTIONS(4151),
    [sym__bang_custom] = ACTIONS(4153),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1370] = {
    [sym__quest] = STATE(577),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [aux_sym__playground_literal_repeat1] = STATE(6571),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(4510),
    [anon_sym_COMMA] = ACTIONS(4396),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_QMARK] = ACTIONS(4256),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(4222),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(4258),
    [anon_sym_CARET_LBRACE] = ACTIONS(4258),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4232),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4222),
    [anon_sym_GT_GT] = ACTIONS(4222),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1371] = {
    [sym__quest] = STATE(577),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(4512),
    [anon_sym_COMMA] = ACTIONS(4512),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_RBRACK] = ACTIONS(4512),
    [anon_sym_QMARK] = ACTIONS(4256),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(4222),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(4258),
    [anon_sym_CARET_LBRACE] = ACTIONS(4258),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4232),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4222),
    [anon_sym_GT_GT] = ACTIONS(4222),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1372] = {
    [sym__quest] = STATE(585),
    [sym__immediate_quest] = STATE(2811),
    [sym__range_operator] = STATE(324),
    [sym_custom_operator] = STATE(322),
    [sym_navigation_suffix] = STATE(2821),
    [sym_call_suffix] = STATE(2823),
    [sym__fn_call_lambda_arguments] = STATE(2859),
    [sym_value_arguments] = STATE(2422),
    [sym_lambda_literal] = STATE(1516),
    [sym__equality_operator] = STATE(321),
    [sym__comparison_operator] = STATE(314),
    [sym__three_dot_operator] = STATE(880),
    [sym__open_ended_range_operator] = STATE(324),
    [sym__is_operator] = STATE(3839),
    [sym__additive_operator] = STATE(537),
    [sym__multiplicative_operator] = STATE(521),
    [sym_as_operator] = STATE(3843),
    [sym__bitwise_binary_operator] = STATE(395),
    [sym__postfix_unary_operator] = STATE(2876),
    [sym__eq_eq] = STATE(321),
    [sym__dot] = STATE(4692),
    [sym__conjunction_operator] = STATE(411),
    [sym__disjunction_operator] = STATE(413),
    [sym__nil_coalescing_operator] = STATE(414),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(2876),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(2588),
    [anon_sym_LPAREN] = ACTIONS(4272),
    [anon_sym_LBRACK] = ACTIONS(4274),
    [anon_sym_QMARK] = ACTIONS(4276),
    [anon_sym_QMARK2] = ACTIONS(4278),
    [anon_sym_AMP] = ACTIONS(4280),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4282),
    [anon_sym_GT] = ACTIONS(4282),
    [anon_sym_LBRACE] = ACTIONS(4284),
    [anon_sym_CARET_LBRACE] = ACTIONS(4284),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4286),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4288),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4288),
    [anon_sym_LT_EQ] = ACTIONS(4290),
    [anon_sym_GT_EQ] = ACTIONS(4290),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1361),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4292),
    [anon_sym_is] = ACTIONS(4294),
    [anon_sym_PLUS] = ACTIONS(4296),
    [anon_sym_DASH] = ACTIONS(4296),
    [anon_sym_STAR] = ACTIONS(4298),
    [anon_sym_SLASH] = ACTIONS(4298),
    [anon_sym_PERCENT] = ACTIONS(4298),
    [anon_sym_PLUS_PLUS] = ACTIONS(4300),
    [anon_sym_DASH_DASH] = ACTIONS(4300),
    [anon_sym_PIPE] = ACTIONS(4280),
    [anon_sym_CARET] = ACTIONS(4302),
    [anon_sym_LT_LT] = ACTIONS(4280),
    [anon_sym_GT_GT] = ACTIONS(4280),
    [anon_sym_BANG2] = ACTIONS(4304),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(4306),
    [sym__conjunction_operator_custom] = ACTIONS(4308),
    [sym__disjunction_operator_custom] = ACTIONS(4310),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4312),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4288),
    [sym__plus_then_ws] = ACTIONS(4314),
    [sym__minus_then_ws] = ACTIONS(4314),
    [sym__bang_custom] = ACTIONS(4316),
    [sym_where_keyword] = ACTIONS(2588),
    [sym_else] = ACTIONS(2588),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1373] = {
    [sym__quest] = STATE(577),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [aux_sym_tuple_expression_repeat1] = STATE(6750),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(4514),
    [anon_sym_COMMA] = ACTIONS(4404),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_QMARK] = ACTIONS(4256),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(4222),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(4258),
    [anon_sym_CARET_LBRACE] = ACTIONS(4258),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4232),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4222),
    [anon_sym_GT_GT] = ACTIONS(4222),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1374] = {
    [sym__quest] = STATE(577),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(4516),
    [anon_sym_COMMA] = ACTIONS(4516),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_RBRACK] = ACTIONS(4516),
    [anon_sym_QMARK] = ACTIONS(4256),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(4222),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(4258),
    [anon_sym_CARET_LBRACE] = ACTIONS(4258),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4232),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4222),
    [anon_sym_GT_GT] = ACTIONS(4222),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1375] = {
    [sym__quest] = STATE(549),
    [sym__immediate_quest] = STATE(2979),
    [sym__range_operator] = STATE(348),
    [sym_custom_operator] = STATE(346),
    [sym_navigation_suffix] = STATE(2982),
    [sym_call_suffix] = STATE(2983),
    [sym__fn_call_lambda_arguments] = STATE(2984),
    [sym_value_arguments] = STATE(2380),
    [sym_lambda_literal] = STATE(1510),
    [sym__equality_operator] = STATE(345),
    [sym__comparison_operator] = STATE(325),
    [sym__three_dot_operator] = STATE(872),
    [sym__open_ended_range_operator] = STATE(348),
    [sym__is_operator] = STATE(3815),
    [sym__additive_operator] = STATE(528),
    [sym__multiplicative_operator] = STATE(487),
    [sym_as_operator] = STATE(3821),
    [sym__bitwise_binary_operator] = STATE(302),
    [sym__postfix_unary_operator] = STATE(2992),
    [sym__eq_eq] = STATE(345),
    [sym__dot] = STATE(4626),
    [sym__conjunction_operator] = STATE(298),
    [sym__disjunction_operator] = STATE(297),
    [sym__nil_coalescing_operator] = STATE(292),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(2992),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(2550),
    [anon_sym_COLON] = ACTIONS(2550),
    [anon_sym_LPAREN] = ACTIONS(4336),
    [anon_sym_LBRACK] = ACTIONS(4338),
    [anon_sym_QMARK] = ACTIONS(4430),
    [anon_sym_QMARK2] = ACTIONS(4340),
    [anon_sym_AMP] = ACTIONS(4342),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4344),
    [anon_sym_GT] = ACTIONS(4344),
    [anon_sym_LBRACE] = ACTIONS(4412),
    [anon_sym_CARET_LBRACE] = ACTIONS(4412),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4346),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4348),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4348),
    [anon_sym_LT_EQ] = ACTIONS(4350),
    [anon_sym_GT_EQ] = ACTIONS(4350),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4352),
    [anon_sym_is] = ACTIONS(4354),
    [anon_sym_PLUS] = ACTIONS(4356),
    [anon_sym_DASH] = ACTIONS(4356),
    [anon_sym_STAR] = ACTIONS(4358),
    [anon_sym_SLASH] = ACTIONS(4358),
    [anon_sym_PERCENT] = ACTIONS(4358),
    [anon_sym_PLUS_PLUS] = ACTIONS(4360),
    [anon_sym_DASH_DASH] = ACTIONS(4360),
    [anon_sym_PIPE] = ACTIONS(4342),
    [anon_sym_CARET] = ACTIONS(4362),
    [anon_sym_LT_LT] = ACTIONS(4342),
    [anon_sym_GT_GT] = ACTIONS(4342),
    [anon_sym_BANG2] = ACTIONS(4364),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(4366),
    [sym__conjunction_operator_custom] = ACTIONS(4368),
    [sym__disjunction_operator_custom] = ACTIONS(4370),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4372),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4348),
    [sym__plus_then_ws] = ACTIONS(4374),
    [sym__minus_then_ws] = ACTIONS(4374),
    [sym__bang_custom] = ACTIONS(4376),
    [sym_where_keyword] = ACTIONS(2550),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1376] = {
    [sym__quest] = STATE(549),
    [sym__immediate_quest] = STATE(2979),
    [sym__range_operator] = STATE(348),
    [sym_custom_operator] = STATE(346),
    [sym_navigation_suffix] = STATE(2982),
    [sym_call_suffix] = STATE(2983),
    [sym__fn_call_lambda_arguments] = STATE(2984),
    [sym_value_arguments] = STATE(2380),
    [sym_lambda_literal] = STATE(1510),
    [sym__equality_operator] = STATE(345),
    [sym__comparison_operator] = STATE(325),
    [sym__three_dot_operator] = STATE(872),
    [sym__open_ended_range_operator] = STATE(348),
    [sym__is_operator] = STATE(3815),
    [sym__additive_operator] = STATE(528),
    [sym__multiplicative_operator] = STATE(487),
    [sym_as_operator] = STATE(3821),
    [sym__bitwise_binary_operator] = STATE(302),
    [sym__postfix_unary_operator] = STATE(2992),
    [sym__eq_eq] = STATE(345),
    [sym__dot] = STATE(4626),
    [sym__conjunction_operator] = STATE(298),
    [sym__disjunction_operator] = STATE(297),
    [sym__nil_coalescing_operator] = STATE(292),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(2992),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(2572),
    [anon_sym_COLON] = ACTIONS(2572),
    [anon_sym_LPAREN] = ACTIONS(4336),
    [anon_sym_LBRACK] = ACTIONS(4338),
    [anon_sym_QMARK] = ACTIONS(4430),
    [anon_sym_QMARK2] = ACTIONS(4340),
    [anon_sym_AMP] = ACTIONS(4342),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4344),
    [anon_sym_GT] = ACTIONS(4344),
    [anon_sym_LBRACE] = ACTIONS(4412),
    [anon_sym_CARET_LBRACE] = ACTIONS(4412),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4346),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4348),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4348),
    [anon_sym_LT_EQ] = ACTIONS(4350),
    [anon_sym_GT_EQ] = ACTIONS(4350),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4352),
    [anon_sym_is] = ACTIONS(4354),
    [anon_sym_PLUS] = ACTIONS(4356),
    [anon_sym_DASH] = ACTIONS(4356),
    [anon_sym_STAR] = ACTIONS(4358),
    [anon_sym_SLASH] = ACTIONS(4358),
    [anon_sym_PERCENT] = ACTIONS(4358),
    [anon_sym_PLUS_PLUS] = ACTIONS(4360),
    [anon_sym_DASH_DASH] = ACTIONS(4360),
    [anon_sym_PIPE] = ACTIONS(4342),
    [anon_sym_CARET] = ACTIONS(4362),
    [anon_sym_LT_LT] = ACTIONS(4342),
    [anon_sym_GT_GT] = ACTIONS(4342),
    [anon_sym_BANG2] = ACTIONS(4364),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(4366),
    [sym__conjunction_operator_custom] = ACTIONS(4368),
    [sym__disjunction_operator_custom] = ACTIONS(4370),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4372),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4348),
    [sym__plus_then_ws] = ACTIONS(4374),
    [sym__minus_then_ws] = ACTIONS(4374),
    [sym__bang_custom] = ACTIONS(4376),
    [sym_where_keyword] = ACTIONS(2572),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1377] = {
    [sym__quest] = STATE(577),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [aux_sym_tuple_expression_repeat1] = STATE(6618),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(4518),
    [anon_sym_COMMA] = ACTIONS(4404),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_QMARK] = ACTIONS(4256),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(4222),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(4258),
    [anon_sym_CARET_LBRACE] = ACTIONS(4258),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4232),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4222),
    [anon_sym_GT_GT] = ACTIONS(4222),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1378] = {
    [sym__quest] = STATE(577),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(4520),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_RBRACK] = ACTIONS(4520),
    [anon_sym_QMARK] = ACTIONS(4256),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(4222),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(4258),
    [anon_sym_CARET_LBRACE] = ACTIONS(4258),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4232),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4222),
    [anon_sym_GT_GT] = ACTIONS(4222),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1379] = {
    [sym__quest] = STATE(577),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(4522),
    [anon_sym_COMMA] = ACTIONS(4522),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_QMARK] = ACTIONS(4256),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(4222),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(4258),
    [anon_sym_CARET_LBRACE] = ACTIONS(4258),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4232),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4222),
    [anon_sym_GT_GT] = ACTIONS(4222),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1380] = {
    [sym__quest] = STATE(577),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(4524),
    [anon_sym_COMMA] = ACTIONS(4524),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_QMARK] = ACTIONS(4256),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(4222),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(4258),
    [anon_sym_CARET_LBRACE] = ACTIONS(4258),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4232),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4222),
    [anon_sym_GT_GT] = ACTIONS(4222),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1381] = {
    [sym__quest] = STATE(443),
    [sym__immediate_quest] = STATE(3109),
    [sym__range_operator] = STATE(393),
    [sym_custom_operator] = STATE(390),
    [sym_navigation_suffix] = STATE(3084),
    [sym_call_suffix] = STATE(3077),
    [sym__fn_call_lambda_arguments] = STATE(3072),
    [sym_value_arguments] = STATE(2519),
    [sym_lambda_literal] = STATE(1543),
    [sym__equality_operator] = STATE(384),
    [sym__comparison_operator] = STATE(363),
    [sym__three_dot_operator] = STATE(889),
    [sym__open_ended_range_operator] = STATE(393),
    [sym__is_operator] = STATE(3776),
    [sym__additive_operator] = STATE(590),
    [sym__multiplicative_operator] = STATE(594),
    [sym_as_operator] = STATE(3777),
    [sym__bitwise_binary_operator] = STATE(331),
    [sym__postfix_unary_operator] = STATE(3052),
    [sym__eq_eq] = STATE(384),
    [sym__dot] = STATE(4641),
    [sym__conjunction_operator] = STATE(329),
    [sym__disjunction_operator] = STATE(327),
    [sym__nil_coalescing_operator] = STATE(323),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(3052),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(2580),
    [anon_sym_LPAREN] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2580),
    [anon_sym_QMARK] = ACTIONS(2582),
    [anon_sym_QMARK2] = ACTIONS(2580),
    [anon_sym_AMP] = ACTIONS(2580),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(2582),
    [anon_sym_GT] = ACTIONS(2582),
    [anon_sym_LBRACE] = ACTIONS(2580),
    [anon_sym_CARET_LBRACE] = ACTIONS(2580),
    [anon_sym_PLUS_EQ] = ACTIONS(2580),
    [anon_sym_DASH_EQ] = ACTIONS(2580),
    [anon_sym_STAR_EQ] = ACTIONS(2580),
    [anon_sym_SLASH_EQ] = ACTIONS(2580),
    [anon_sym_PERCENT_EQ] = ACTIONS(2580),
    [anon_sym_BANG_EQ] = ACTIONS(2582),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2580),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2580),
    [anon_sym_LT_EQ] = ACTIONS(2580),
    [anon_sym_GT_EQ] = ACTIONS(2580),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2580),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2580),
    [anon_sym_is] = ACTIONS(2580),
    [anon_sym_PLUS] = ACTIONS(4454),
    [anon_sym_DASH] = ACTIONS(4454),
    [anon_sym_STAR] = ACTIONS(4456),
    [anon_sym_SLASH] = ACTIONS(4456),
    [anon_sym_PERCENT] = ACTIONS(4456),
    [anon_sym_PLUS_PLUS] = ACTIONS(2580),
    [anon_sym_DASH_DASH] = ACTIONS(2580),
    [anon_sym_PIPE] = ACTIONS(2580),
    [anon_sym_CARET] = ACTIONS(2582),
    [anon_sym_LT_LT] = ACTIONS(2580),
    [anon_sym_GT_GT] = ACTIONS(2580),
    [anon_sym_BANG2] = ACTIONS(2582),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2580),
    [sym__conjunction_operator_custom] = ACTIONS(2580),
    [sym__disjunction_operator_custom] = ACTIONS(2580),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4470),
    [sym__eq_custom] = ACTIONS(2580),
    [sym__eq_eq_custom] = ACTIONS(2580),
    [sym__plus_then_ws] = ACTIONS(4472),
    [sym__minus_then_ws] = ACTIONS(4472),
    [sym__bang_custom] = ACTIONS(2580),
    [sym_else] = ACTIONS(2580),
    [sym__as_custom] = ACTIONS(2580),
    [sym__as_quest_custom] = ACTIONS(2580),
    [sym__as_bang_custom] = ACTIONS(2580),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1382] = {
    [sym__quest] = STATE(443),
    [sym__immediate_quest] = STATE(3109),
    [sym__range_operator] = STATE(393),
    [sym_custom_operator] = STATE(390),
    [sym_navigation_suffix] = STATE(3084),
    [sym_call_suffix] = STATE(3077),
    [sym__fn_call_lambda_arguments] = STATE(3072),
    [sym_value_arguments] = STATE(2519),
    [sym_lambda_literal] = STATE(1543),
    [sym__equality_operator] = STATE(384),
    [sym__comparison_operator] = STATE(363),
    [sym__three_dot_operator] = STATE(889),
    [sym__open_ended_range_operator] = STATE(393),
    [sym__is_operator] = STATE(3776),
    [sym__additive_operator] = STATE(590),
    [sym__multiplicative_operator] = STATE(594),
    [sym_as_operator] = STATE(3777),
    [sym__bitwise_binary_operator] = STATE(331),
    [sym__postfix_unary_operator] = STATE(3052),
    [sym__eq_eq] = STATE(384),
    [sym__dot] = STATE(4641),
    [sym__conjunction_operator] = STATE(329),
    [sym__disjunction_operator] = STATE(327),
    [sym__nil_coalescing_operator] = STATE(323),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(3052),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(2572),
    [anon_sym_LPAREN] = ACTIONS(4434),
    [anon_sym_LBRACK] = ACTIONS(4436),
    [anon_sym_QMARK] = ACTIONS(4526),
    [anon_sym_QMARK2] = ACTIONS(4438),
    [anon_sym_AMP] = ACTIONS(4440),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4442),
    [anon_sym_GT] = ACTIONS(4442),
    [anon_sym_LBRACE] = ACTIONS(4528),
    [anon_sym_CARET_LBRACE] = ACTIONS(4528),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4444),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4446),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4446),
    [anon_sym_LT_EQ] = ACTIONS(4448),
    [anon_sym_GT_EQ] = ACTIONS(4448),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1203),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4450),
    [anon_sym_is] = ACTIONS(4452),
    [anon_sym_PLUS] = ACTIONS(4454),
    [anon_sym_DASH] = ACTIONS(4454),
    [anon_sym_STAR] = ACTIONS(4456),
    [anon_sym_SLASH] = ACTIONS(4456),
    [anon_sym_PERCENT] = ACTIONS(4456),
    [anon_sym_PLUS_PLUS] = ACTIONS(4458),
    [anon_sym_DASH_DASH] = ACTIONS(4458),
    [anon_sym_PIPE] = ACTIONS(4440),
    [anon_sym_CARET] = ACTIONS(4460),
    [anon_sym_LT_LT] = ACTIONS(4440),
    [anon_sym_GT_GT] = ACTIONS(4440),
    [anon_sym_BANG2] = ACTIONS(4462),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(4464),
    [sym__conjunction_operator_custom] = ACTIONS(4466),
    [sym__disjunction_operator_custom] = ACTIONS(4468),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4470),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4446),
    [sym__plus_then_ws] = ACTIONS(4472),
    [sym__minus_then_ws] = ACTIONS(4472),
    [sym__bang_custom] = ACTIONS(4474),
    [sym_else] = ACTIONS(2572),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1383] = {
    [sym__quest] = STATE(577),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(4530),
    [anon_sym_COMMA] = ACTIONS(4530),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_QMARK] = ACTIONS(4256),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(4222),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(4258),
    [anon_sym_CARET_LBRACE] = ACTIONS(4258),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4232),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4222),
    [anon_sym_GT_GT] = ACTIONS(4222),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1384] = {
    [sym__quest] = STATE(577),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(4532),
    [anon_sym_COMMA] = ACTIONS(4532),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_QMARK] = ACTIONS(4256),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(4222),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(4258),
    [anon_sym_CARET_LBRACE] = ACTIONS(4258),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4232),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4222),
    [anon_sym_GT_GT] = ACTIONS(4222),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1385] = {
    [sym__quest] = STATE(443),
    [sym__immediate_quest] = STATE(3109),
    [sym__range_operator] = STATE(393),
    [sym_custom_operator] = STATE(390),
    [sym_navigation_suffix] = STATE(3084),
    [sym_call_suffix] = STATE(3077),
    [sym__fn_call_lambda_arguments] = STATE(3072),
    [sym_value_arguments] = STATE(2519),
    [sym_lambda_literal] = STATE(1543),
    [sym__equality_operator] = STATE(384),
    [sym__comparison_operator] = STATE(363),
    [sym__three_dot_operator] = STATE(889),
    [sym__open_ended_range_operator] = STATE(393),
    [sym__is_operator] = STATE(3776),
    [sym__additive_operator] = STATE(590),
    [sym__multiplicative_operator] = STATE(594),
    [sym_as_operator] = STATE(3777),
    [sym__bitwise_binary_operator] = STATE(331),
    [sym__postfix_unary_operator] = STATE(3052),
    [sym__eq_eq] = STATE(384),
    [sym__dot] = STATE(4641),
    [sym__conjunction_operator] = STATE(329),
    [sym__disjunction_operator] = STATE(327),
    [sym__nil_coalescing_operator] = STATE(323),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(3052),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(2550),
    [anon_sym_LPAREN] = ACTIONS(4434),
    [anon_sym_LBRACK] = ACTIONS(4436),
    [anon_sym_QMARK] = ACTIONS(4526),
    [anon_sym_QMARK2] = ACTIONS(4438),
    [anon_sym_AMP] = ACTIONS(4440),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4442),
    [anon_sym_GT] = ACTIONS(4442),
    [anon_sym_LBRACE] = ACTIONS(4528),
    [anon_sym_CARET_LBRACE] = ACTIONS(4528),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4444),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4446),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4446),
    [anon_sym_LT_EQ] = ACTIONS(4448),
    [anon_sym_GT_EQ] = ACTIONS(4448),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1203),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4450),
    [anon_sym_is] = ACTIONS(4452),
    [anon_sym_PLUS] = ACTIONS(4454),
    [anon_sym_DASH] = ACTIONS(4454),
    [anon_sym_STAR] = ACTIONS(4456),
    [anon_sym_SLASH] = ACTIONS(4456),
    [anon_sym_PERCENT] = ACTIONS(4456),
    [anon_sym_PLUS_PLUS] = ACTIONS(4458),
    [anon_sym_DASH_DASH] = ACTIONS(4458),
    [anon_sym_PIPE] = ACTIONS(4440),
    [anon_sym_CARET] = ACTIONS(4460),
    [anon_sym_LT_LT] = ACTIONS(4440),
    [anon_sym_GT_GT] = ACTIONS(4440),
    [anon_sym_BANG2] = ACTIONS(4462),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(4464),
    [sym__conjunction_operator_custom] = ACTIONS(4466),
    [sym__disjunction_operator_custom] = ACTIONS(4468),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4470),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4446),
    [sym__plus_then_ws] = ACTIONS(4472),
    [sym__minus_then_ws] = ACTIONS(4472),
    [sym__bang_custom] = ACTIONS(4474),
    [sym_else] = ACTIONS(2550),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1386] = {
    [sym__quest] = STATE(577),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(4534),
    [anon_sym_COMMA] = ACTIONS(4534),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_QMARK] = ACTIONS(4256),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(4222),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(4258),
    [anon_sym_CARET_LBRACE] = ACTIONS(4258),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4232),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4222),
    [anon_sym_GT_GT] = ACTIONS(4222),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1387] = {
    [sym__quest] = STATE(577),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(4536),
    [anon_sym_COMMA] = ACTIONS(4536),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_QMARK] = ACTIONS(4256),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(4222),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(4258),
    [anon_sym_CARET_LBRACE] = ACTIONS(4258),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4232),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4222),
    [anon_sym_GT_GT] = ACTIONS(4222),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1388] = {
    [sym__quest] = STATE(443),
    [sym__immediate_quest] = STATE(3109),
    [sym__range_operator] = STATE(393),
    [sym_custom_operator] = STATE(390),
    [sym_navigation_suffix] = STATE(3084),
    [sym_call_suffix] = STATE(3077),
    [sym__fn_call_lambda_arguments] = STATE(3072),
    [sym_value_arguments] = STATE(2519),
    [sym_lambda_literal] = STATE(1543),
    [sym__equality_operator] = STATE(384),
    [sym__comparison_operator] = STATE(363),
    [sym__three_dot_operator] = STATE(889),
    [sym__open_ended_range_operator] = STATE(393),
    [sym__is_operator] = STATE(3776),
    [sym__additive_operator] = STATE(590),
    [sym__multiplicative_operator] = STATE(594),
    [sym_as_operator] = STATE(3777),
    [sym__bitwise_binary_operator] = STATE(331),
    [sym__postfix_unary_operator] = STATE(3052),
    [sym__eq_eq] = STATE(384),
    [sym__dot] = STATE(4641),
    [sym__conjunction_operator] = STATE(329),
    [sym__disjunction_operator] = STATE(327),
    [sym__nil_coalescing_operator] = STATE(323),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(3052),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(2584),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_LBRACK] = ACTIONS(2584),
    [anon_sym_QMARK] = ACTIONS(2586),
    [anon_sym_QMARK2] = ACTIONS(2584),
    [anon_sym_AMP] = ACTIONS(2584),
    [aux_sym_custom_operator_token1] = ACTIONS(2584),
    [anon_sym_LT] = ACTIONS(2586),
    [anon_sym_GT] = ACTIONS(2586),
    [anon_sym_LBRACE] = ACTIONS(2584),
    [anon_sym_CARET_LBRACE] = ACTIONS(2584),
    [anon_sym_PLUS_EQ] = ACTIONS(2584),
    [anon_sym_DASH_EQ] = ACTIONS(2584),
    [anon_sym_STAR_EQ] = ACTIONS(2584),
    [anon_sym_SLASH_EQ] = ACTIONS(2584),
    [anon_sym_PERCENT_EQ] = ACTIONS(2584),
    [anon_sym_BANG_EQ] = ACTIONS(2586),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2584),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2584),
    [anon_sym_LT_EQ] = ACTIONS(2584),
    [anon_sym_GT_EQ] = ACTIONS(2584),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2584),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2584),
    [anon_sym_is] = ACTIONS(2584),
    [anon_sym_PLUS] = ACTIONS(2586),
    [anon_sym_DASH] = ACTIONS(2586),
    [anon_sym_STAR] = ACTIONS(4456),
    [anon_sym_SLASH] = ACTIONS(4456),
    [anon_sym_PERCENT] = ACTIONS(4456),
    [anon_sym_PLUS_PLUS] = ACTIONS(2584),
    [anon_sym_DASH_DASH] = ACTIONS(2584),
    [anon_sym_PIPE] = ACTIONS(2584),
    [anon_sym_CARET] = ACTIONS(2586),
    [anon_sym_LT_LT] = ACTIONS(2584),
    [anon_sym_GT_GT] = ACTIONS(2584),
    [anon_sym_BANG2] = ACTIONS(2586),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2584),
    [sym__conjunction_operator_custom] = ACTIONS(2584),
    [sym__disjunction_operator_custom] = ACTIONS(2584),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2584),
    [sym__eq_custom] = ACTIONS(2584),
    [sym__eq_eq_custom] = ACTIONS(2584),
    [sym__plus_then_ws] = ACTIONS(2584),
    [sym__minus_then_ws] = ACTIONS(2584),
    [sym__bang_custom] = ACTIONS(2584),
    [sym_else] = ACTIONS(2584),
    [sym__as_custom] = ACTIONS(2584),
    [sym__as_quest_custom] = ACTIONS(2584),
    [sym__as_bang_custom] = ACTIONS(2584),
    [sym__custom_operator] = ACTIONS(2584),
  },
  [1389] = {
    [sym__quest] = STATE(443),
    [sym__immediate_quest] = STATE(3109),
    [sym__range_operator] = STATE(393),
    [sym_custom_operator] = STATE(390),
    [sym_navigation_suffix] = STATE(3084),
    [sym_call_suffix] = STATE(3077),
    [sym__fn_call_lambda_arguments] = STATE(3072),
    [sym_value_arguments] = STATE(2519),
    [sym_lambda_literal] = STATE(1543),
    [sym__equality_operator] = STATE(384),
    [sym__comparison_operator] = STATE(363),
    [sym__three_dot_operator] = STATE(889),
    [sym__open_ended_range_operator] = STATE(393),
    [sym__is_operator] = STATE(3776),
    [sym__additive_operator] = STATE(590),
    [sym__multiplicative_operator] = STATE(594),
    [sym_as_operator] = STATE(3777),
    [sym__bitwise_binary_operator] = STATE(331),
    [sym__postfix_unary_operator] = STATE(3052),
    [sym__eq_eq] = STATE(384),
    [sym__dot] = STATE(4641),
    [sym__conjunction_operator] = STATE(329),
    [sym__disjunction_operator] = STATE(327),
    [sym__nil_coalescing_operator] = STATE(323),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(3052),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(2564),
    [anon_sym_LPAREN] = ACTIONS(2564),
    [anon_sym_LBRACK] = ACTIONS(2564),
    [anon_sym_QMARK] = ACTIONS(2566),
    [anon_sym_QMARK2] = ACTIONS(2564),
    [anon_sym_AMP] = ACTIONS(2564),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(2566),
    [anon_sym_GT] = ACTIONS(2566),
    [anon_sym_LBRACE] = ACTIONS(2564),
    [anon_sym_CARET_LBRACE] = ACTIONS(2564),
    [anon_sym_PLUS_EQ] = ACTIONS(2564),
    [anon_sym_DASH_EQ] = ACTIONS(2564),
    [anon_sym_STAR_EQ] = ACTIONS(2564),
    [anon_sym_SLASH_EQ] = ACTIONS(2564),
    [anon_sym_PERCENT_EQ] = ACTIONS(2564),
    [anon_sym_BANG_EQ] = ACTIONS(4444),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4446),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4446),
    [anon_sym_LT_EQ] = ACTIONS(2564),
    [anon_sym_GT_EQ] = ACTIONS(2564),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2564),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2564),
    [anon_sym_is] = ACTIONS(4452),
    [anon_sym_PLUS] = ACTIONS(4454),
    [anon_sym_DASH] = ACTIONS(4454),
    [anon_sym_STAR] = ACTIONS(4456),
    [anon_sym_SLASH] = ACTIONS(4456),
    [anon_sym_PERCENT] = ACTIONS(4456),
    [anon_sym_PLUS_PLUS] = ACTIONS(4458),
    [anon_sym_DASH_DASH] = ACTIONS(4458),
    [anon_sym_PIPE] = ACTIONS(2564),
    [anon_sym_CARET] = ACTIONS(2566),
    [anon_sym_LT_LT] = ACTIONS(2564),
    [anon_sym_GT_GT] = ACTIONS(2564),
    [anon_sym_BANG2] = ACTIONS(4462),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2564),
    [sym__conjunction_operator_custom] = ACTIONS(4466),
    [sym__disjunction_operator_custom] = ACTIONS(4468),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4470),
    [sym__eq_custom] = ACTIONS(2564),
    [sym__eq_eq_custom] = ACTIONS(4446),
    [sym__plus_then_ws] = ACTIONS(4472),
    [sym__minus_then_ws] = ACTIONS(4472),
    [sym__bang_custom] = ACTIONS(4474),
    [sym_else] = ACTIONS(2564),
    [sym__as_custom] = ACTIONS(2564),
    [sym__as_quest_custom] = ACTIONS(2564),
    [sym__as_bang_custom] = ACTIONS(2564),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1390] = {
    [sym__quest] = STATE(443),
    [sym__immediate_quest] = STATE(3109),
    [sym__range_operator] = STATE(393),
    [sym_custom_operator] = STATE(390),
    [sym_navigation_suffix] = STATE(3084),
    [sym_call_suffix] = STATE(3077),
    [sym__fn_call_lambda_arguments] = STATE(3072),
    [sym_value_arguments] = STATE(2519),
    [sym_lambda_literal] = STATE(1543),
    [sym__equality_operator] = STATE(384),
    [sym__comparison_operator] = STATE(363),
    [sym__three_dot_operator] = STATE(889),
    [sym__open_ended_range_operator] = STATE(393),
    [sym__is_operator] = STATE(3776),
    [sym__additive_operator] = STATE(590),
    [sym__multiplicative_operator] = STATE(594),
    [sym_as_operator] = STATE(3777),
    [sym__bitwise_binary_operator] = STATE(331),
    [sym__postfix_unary_operator] = STATE(3052),
    [sym__eq_eq] = STATE(384),
    [sym__dot] = STATE(4641),
    [sym__conjunction_operator] = STATE(329),
    [sym__disjunction_operator] = STATE(327),
    [sym__nil_coalescing_operator] = STATE(323),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(3052),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(2546),
    [anon_sym_LPAREN] = ACTIONS(2546),
    [anon_sym_LBRACK] = ACTIONS(2546),
    [anon_sym_QMARK] = ACTIONS(2548),
    [anon_sym_QMARK2] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2546),
    [aux_sym_custom_operator_token1] = ACTIONS(2546),
    [anon_sym_LT] = ACTIONS(2548),
    [anon_sym_GT] = ACTIONS(2548),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_CARET_LBRACE] = ACTIONS(2546),
    [anon_sym_PLUS_EQ] = ACTIONS(2546),
    [anon_sym_DASH_EQ] = ACTIONS(2546),
    [anon_sym_STAR_EQ] = ACTIONS(2546),
    [anon_sym_SLASH_EQ] = ACTIONS(2546),
    [anon_sym_PERCENT_EQ] = ACTIONS(2546),
    [anon_sym_BANG_EQ] = ACTIONS(2548),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2546),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2546),
    [anon_sym_LT_EQ] = ACTIONS(2546),
    [anon_sym_GT_EQ] = ACTIONS(2546),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2546),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2546),
    [anon_sym_is] = ACTIONS(2546),
    [anon_sym_PLUS] = ACTIONS(2548),
    [anon_sym_DASH] = ACTIONS(2548),
    [anon_sym_STAR] = ACTIONS(2548),
    [anon_sym_SLASH] = ACTIONS(2548),
    [anon_sym_PERCENT] = ACTIONS(2548),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PIPE] = ACTIONS(2546),
    [anon_sym_CARET] = ACTIONS(2548),
    [anon_sym_LT_LT] = ACTIONS(2546),
    [anon_sym_GT_GT] = ACTIONS(2546),
    [anon_sym_BANG2] = ACTIONS(2548),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2546),
    [sym__conjunction_operator_custom] = ACTIONS(2546),
    [sym__disjunction_operator_custom] = ACTIONS(2546),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2546),
    [sym__eq_custom] = ACTIONS(2546),
    [sym__eq_eq_custom] = ACTIONS(2546),
    [sym__plus_then_ws] = ACTIONS(2546),
    [sym__minus_then_ws] = ACTIONS(2546),
    [sym__bang_custom] = ACTIONS(2546),
    [sym_else] = ACTIONS(2546),
    [sym__as_custom] = ACTIONS(2546),
    [sym__as_quest_custom] = ACTIONS(2546),
    [sym__as_bang_custom] = ACTIONS(2546),
    [sym__custom_operator] = ACTIONS(2546),
  },
  [1391] = {
    [sym__quest] = STATE(443),
    [sym__immediate_quest] = STATE(3109),
    [sym__range_operator] = STATE(393),
    [sym_custom_operator] = STATE(390),
    [sym_navigation_suffix] = STATE(3084),
    [sym_call_suffix] = STATE(3077),
    [sym__fn_call_lambda_arguments] = STATE(3072),
    [sym_value_arguments] = STATE(2519),
    [sym_lambda_literal] = STATE(1543),
    [sym__equality_operator] = STATE(384),
    [sym__comparison_operator] = STATE(363),
    [sym__three_dot_operator] = STATE(889),
    [sym__open_ended_range_operator] = STATE(393),
    [sym__is_operator] = STATE(3776),
    [sym__additive_operator] = STATE(590),
    [sym__multiplicative_operator] = STATE(594),
    [sym_as_operator] = STATE(3777),
    [sym__bitwise_binary_operator] = STATE(331),
    [sym__postfix_unary_operator] = STATE(3052),
    [sym__eq_eq] = STATE(384),
    [sym__dot] = STATE(4641),
    [sym__conjunction_operator] = STATE(329),
    [sym__disjunction_operator] = STATE(327),
    [sym__nil_coalescing_operator] = STATE(323),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(3052),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(2568),
    [anon_sym_LPAREN] = ACTIONS(4434),
    [anon_sym_LBRACK] = ACTIONS(4436),
    [anon_sym_QMARK] = ACTIONS(4526),
    [anon_sym_QMARK2] = ACTIONS(4438),
    [anon_sym_AMP] = ACTIONS(4440),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4442),
    [anon_sym_GT] = ACTIONS(4442),
    [anon_sym_LBRACE] = ACTIONS(4528),
    [anon_sym_CARET_LBRACE] = ACTIONS(4528),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4444),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4446),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4446),
    [anon_sym_LT_EQ] = ACTIONS(4448),
    [anon_sym_GT_EQ] = ACTIONS(4448),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1203),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4450),
    [anon_sym_is] = ACTIONS(4452),
    [anon_sym_PLUS] = ACTIONS(4454),
    [anon_sym_DASH] = ACTIONS(4454),
    [anon_sym_STAR] = ACTIONS(4456),
    [anon_sym_SLASH] = ACTIONS(4456),
    [anon_sym_PERCENT] = ACTIONS(4456),
    [anon_sym_PLUS_PLUS] = ACTIONS(4458),
    [anon_sym_DASH_DASH] = ACTIONS(4458),
    [anon_sym_PIPE] = ACTIONS(4440),
    [anon_sym_CARET] = ACTIONS(4460),
    [anon_sym_LT_LT] = ACTIONS(4440),
    [anon_sym_GT_GT] = ACTIONS(4440),
    [anon_sym_BANG2] = ACTIONS(4462),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(4464),
    [sym__conjunction_operator_custom] = ACTIONS(4466),
    [sym__disjunction_operator_custom] = ACTIONS(4468),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4470),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4446),
    [sym__plus_then_ws] = ACTIONS(4472),
    [sym__minus_then_ws] = ACTIONS(4472),
    [sym__bang_custom] = ACTIONS(4474),
    [sym_else] = ACTIONS(2568),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1392] = {
    [sym__quest] = STATE(577),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(4538),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_RBRACK] = ACTIONS(4538),
    [anon_sym_QMARK] = ACTIONS(4256),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(4222),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(4258),
    [anon_sym_CARET_LBRACE] = ACTIONS(4258),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4232),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4222),
    [anon_sym_GT_GT] = ACTIONS(4222),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1393] = {
    [sym__quest] = STATE(443),
    [sym__immediate_quest] = STATE(3109),
    [sym__range_operator] = STATE(393),
    [sym_custom_operator] = STATE(390),
    [sym_navigation_suffix] = STATE(3084),
    [sym_call_suffix] = STATE(3077),
    [sym__fn_call_lambda_arguments] = STATE(3072),
    [sym_value_arguments] = STATE(2519),
    [sym_lambda_literal] = STATE(1543),
    [sym__equality_operator] = STATE(384),
    [sym__comparison_operator] = STATE(363),
    [sym__three_dot_operator] = STATE(889),
    [sym__open_ended_range_operator] = STATE(393),
    [sym__is_operator] = STATE(3776),
    [sym__additive_operator] = STATE(590),
    [sym__multiplicative_operator] = STATE(594),
    [sym_as_operator] = STATE(3777),
    [sym__bitwise_binary_operator] = STATE(331),
    [sym__postfix_unary_operator] = STATE(3052),
    [sym__eq_eq] = STATE(384),
    [sym__dot] = STATE(4641),
    [sym__conjunction_operator] = STATE(329),
    [sym__disjunction_operator] = STATE(327),
    [sym__nil_coalescing_operator] = STATE(323),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(3052),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(2576),
    [anon_sym_LPAREN] = ACTIONS(2576),
    [anon_sym_LBRACK] = ACTIONS(2576),
    [anon_sym_QMARK] = ACTIONS(2578),
    [anon_sym_QMARK2] = ACTIONS(2576),
    [anon_sym_AMP] = ACTIONS(2576),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(2578),
    [anon_sym_GT] = ACTIONS(2578),
    [anon_sym_LBRACE] = ACTIONS(2576),
    [anon_sym_CARET_LBRACE] = ACTIONS(2576),
    [anon_sym_PLUS_EQ] = ACTIONS(2576),
    [anon_sym_DASH_EQ] = ACTIONS(2576),
    [anon_sym_STAR_EQ] = ACTIONS(2576),
    [anon_sym_SLASH_EQ] = ACTIONS(2576),
    [anon_sym_PERCENT_EQ] = ACTIONS(2576),
    [anon_sym_BANG_EQ] = ACTIONS(4444),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4446),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4446),
    [anon_sym_LT_EQ] = ACTIONS(2576),
    [anon_sym_GT_EQ] = ACTIONS(2576),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2576),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2576),
    [anon_sym_is] = ACTIONS(4452),
    [anon_sym_PLUS] = ACTIONS(4454),
    [anon_sym_DASH] = ACTIONS(4454),
    [anon_sym_STAR] = ACTIONS(4456),
    [anon_sym_SLASH] = ACTIONS(4456),
    [anon_sym_PERCENT] = ACTIONS(4456),
    [anon_sym_PLUS_PLUS] = ACTIONS(4458),
    [anon_sym_DASH_DASH] = ACTIONS(4458),
    [anon_sym_PIPE] = ACTIONS(2576),
    [anon_sym_CARET] = ACTIONS(2578),
    [anon_sym_LT_LT] = ACTIONS(2576),
    [anon_sym_GT_GT] = ACTIONS(2576),
    [anon_sym_BANG2] = ACTIONS(4462),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2576),
    [sym__conjunction_operator_custom] = ACTIONS(4466),
    [sym__disjunction_operator_custom] = ACTIONS(4468),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4470),
    [sym__eq_custom] = ACTIONS(2576),
    [sym__eq_eq_custom] = ACTIONS(4446),
    [sym__plus_then_ws] = ACTIONS(4472),
    [sym__minus_then_ws] = ACTIONS(4472),
    [sym__bang_custom] = ACTIONS(4474),
    [sym_else] = ACTIONS(2576),
    [sym__as_custom] = ACTIONS(2576),
    [sym__as_quest_custom] = ACTIONS(2576),
    [sym__as_bang_custom] = ACTIONS(2576),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1394] = {
    [sym__quest] = STATE(443),
    [sym__immediate_quest] = STATE(3109),
    [sym__range_operator] = STATE(393),
    [sym_custom_operator] = STATE(390),
    [sym_navigation_suffix] = STATE(3084),
    [sym_call_suffix] = STATE(3077),
    [sym__fn_call_lambda_arguments] = STATE(3072),
    [sym_value_arguments] = STATE(2519),
    [sym_lambda_literal] = STATE(1543),
    [sym__equality_operator] = STATE(384),
    [sym__comparison_operator] = STATE(363),
    [sym__three_dot_operator] = STATE(889),
    [sym__open_ended_range_operator] = STATE(393),
    [sym__is_operator] = STATE(3776),
    [sym__additive_operator] = STATE(590),
    [sym__multiplicative_operator] = STATE(594),
    [sym_as_operator] = STATE(3777),
    [sym__bitwise_binary_operator] = STATE(331),
    [sym__postfix_unary_operator] = STATE(3052),
    [sym__eq_eq] = STATE(384),
    [sym__dot] = STATE(4641),
    [sym__conjunction_operator] = STATE(329),
    [sym__disjunction_operator] = STATE(327),
    [sym__nil_coalescing_operator] = STATE(323),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(3052),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(2588),
    [anon_sym_LPAREN] = ACTIONS(4434),
    [anon_sym_LBRACK] = ACTIONS(4436),
    [anon_sym_QMARK] = ACTIONS(4526),
    [anon_sym_QMARK2] = ACTIONS(4438),
    [anon_sym_AMP] = ACTIONS(4440),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4442),
    [anon_sym_GT] = ACTIONS(4442),
    [anon_sym_LBRACE] = ACTIONS(4528),
    [anon_sym_CARET_LBRACE] = ACTIONS(4528),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4444),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4446),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4446),
    [anon_sym_LT_EQ] = ACTIONS(4448),
    [anon_sym_GT_EQ] = ACTIONS(4448),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1203),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4450),
    [anon_sym_is] = ACTIONS(4452),
    [anon_sym_PLUS] = ACTIONS(4454),
    [anon_sym_DASH] = ACTIONS(4454),
    [anon_sym_STAR] = ACTIONS(4456),
    [anon_sym_SLASH] = ACTIONS(4456),
    [anon_sym_PERCENT] = ACTIONS(4456),
    [anon_sym_PLUS_PLUS] = ACTIONS(4458),
    [anon_sym_DASH_DASH] = ACTIONS(4458),
    [anon_sym_PIPE] = ACTIONS(4440),
    [anon_sym_CARET] = ACTIONS(4460),
    [anon_sym_LT_LT] = ACTIONS(4440),
    [anon_sym_GT_GT] = ACTIONS(4440),
    [anon_sym_BANG2] = ACTIONS(4462),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(4464),
    [sym__conjunction_operator_custom] = ACTIONS(4466),
    [sym__disjunction_operator_custom] = ACTIONS(4468),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4470),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4446),
    [sym__plus_then_ws] = ACTIONS(4472),
    [sym__minus_then_ws] = ACTIONS(4472),
    [sym__bang_custom] = ACTIONS(4474),
    [sym_else] = ACTIONS(2588),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1395] = {
    [sym__quest] = STATE(577),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(4540),
    [anon_sym_COMMA] = ACTIONS(4540),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_QMARK] = ACTIONS(4256),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(4222),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(4258),
    [anon_sym_CARET_LBRACE] = ACTIONS(4258),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4232),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4222),
    [anon_sym_GT_GT] = ACTIONS(4222),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1396] = {
    [sym__quest] = STATE(577),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(4542),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_RBRACK] = ACTIONS(4542),
    [anon_sym_QMARK] = ACTIONS(4256),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(4222),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(4258),
    [anon_sym_CARET_LBRACE] = ACTIONS(4258),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4232),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4222),
    [anon_sym_GT_GT] = ACTIONS(4222),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1397] = {
    [sym__quest] = STATE(443),
    [sym__immediate_quest] = STATE(3109),
    [sym__range_operator] = STATE(393),
    [sym_custom_operator] = STATE(390),
    [sym_navigation_suffix] = STATE(3084),
    [sym_call_suffix] = STATE(3077),
    [sym__fn_call_lambda_arguments] = STATE(3072),
    [sym_value_arguments] = STATE(2519),
    [sym_lambda_literal] = STATE(1543),
    [sym__equality_operator] = STATE(384),
    [sym__comparison_operator] = STATE(363),
    [sym__three_dot_operator] = STATE(889),
    [sym__open_ended_range_operator] = STATE(393),
    [sym__is_operator] = STATE(3776),
    [sym__additive_operator] = STATE(590),
    [sym__multiplicative_operator] = STATE(594),
    [sym_as_operator] = STATE(3777),
    [sym__bitwise_binary_operator] = STATE(331),
    [sym__postfix_unary_operator] = STATE(3052),
    [sym__eq_eq] = STATE(384),
    [sym__dot] = STATE(4641),
    [sym__conjunction_operator] = STATE(329),
    [sym__disjunction_operator] = STATE(327),
    [sym__nil_coalescing_operator] = STATE(323),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(3052),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(2750),
    [anon_sym_LPAREN] = ACTIONS(4434),
    [anon_sym_LBRACK] = ACTIONS(4436),
    [anon_sym_QMARK] = ACTIONS(4526),
    [anon_sym_QMARK2] = ACTIONS(4438),
    [anon_sym_AMP] = ACTIONS(4440),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4442),
    [anon_sym_GT] = ACTIONS(4442),
    [anon_sym_LBRACE] = ACTIONS(4528),
    [anon_sym_CARET_LBRACE] = ACTIONS(4528),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4444),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4446),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4446),
    [anon_sym_LT_EQ] = ACTIONS(4448),
    [anon_sym_GT_EQ] = ACTIONS(4448),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1203),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4450),
    [anon_sym_is] = ACTIONS(4452),
    [anon_sym_PLUS] = ACTIONS(4454),
    [anon_sym_DASH] = ACTIONS(4454),
    [anon_sym_STAR] = ACTIONS(4456),
    [anon_sym_SLASH] = ACTIONS(4456),
    [anon_sym_PERCENT] = ACTIONS(4456),
    [anon_sym_PLUS_PLUS] = ACTIONS(4458),
    [anon_sym_DASH_DASH] = ACTIONS(4458),
    [anon_sym_PIPE] = ACTIONS(4440),
    [anon_sym_CARET] = ACTIONS(4460),
    [anon_sym_LT_LT] = ACTIONS(4440),
    [anon_sym_GT_GT] = ACTIONS(4440),
    [anon_sym_BANG2] = ACTIONS(4462),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(4464),
    [sym__conjunction_operator_custom] = ACTIONS(4466),
    [sym__disjunction_operator_custom] = ACTIONS(4468),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4470),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4446),
    [sym__plus_then_ws] = ACTIONS(4472),
    [sym__minus_then_ws] = ACTIONS(4472),
    [sym__bang_custom] = ACTIONS(4474),
    [sym_else] = ACTIONS(2750),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1398] = {
    [sym__quest] = STATE(577),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(4544),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_RBRACK] = ACTIONS(4544),
    [anon_sym_QMARK] = ACTIONS(4256),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(4222),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(4258),
    [anon_sym_CARET_LBRACE] = ACTIONS(4258),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4232),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4222),
    [anon_sym_GT_GT] = ACTIONS(4222),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1399] = {
    [sym__quest] = STATE(577),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(4546),
    [anon_sym_COMMA] = ACTIONS(4546),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_QMARK] = ACTIONS(4256),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(4222),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(4258),
    [anon_sym_CARET_LBRACE] = ACTIONS(4258),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4232),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4222),
    [anon_sym_GT_GT] = ACTIONS(4222),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1400] = {
    [sym__quest] = STATE(443),
    [sym__immediate_quest] = STATE(3109),
    [sym__range_operator] = STATE(393),
    [sym_custom_operator] = STATE(390),
    [sym_navigation_suffix] = STATE(3084),
    [sym_call_suffix] = STATE(3077),
    [sym__fn_call_lambda_arguments] = STATE(3072),
    [sym_value_arguments] = STATE(2519),
    [sym_lambda_literal] = STATE(1543),
    [sym__equality_operator] = STATE(384),
    [sym__comparison_operator] = STATE(363),
    [sym__three_dot_operator] = STATE(889),
    [sym__open_ended_range_operator] = STATE(393),
    [sym__is_operator] = STATE(3776),
    [sym__additive_operator] = STATE(590),
    [sym__multiplicative_operator] = STATE(594),
    [sym_as_operator] = STATE(3777),
    [sym__bitwise_binary_operator] = STATE(331),
    [sym__postfix_unary_operator] = STATE(3052),
    [sym__eq_eq] = STATE(384),
    [sym__dot] = STATE(4641),
    [sym__conjunction_operator] = STATE(329),
    [sym__disjunction_operator] = STATE(327),
    [sym__nil_coalescing_operator] = STATE(323),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(3052),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(2746),
    [anon_sym_LPAREN] = ACTIONS(4434),
    [anon_sym_LBRACK] = ACTIONS(4436),
    [anon_sym_QMARK] = ACTIONS(4526),
    [anon_sym_QMARK2] = ACTIONS(4438),
    [anon_sym_AMP] = ACTIONS(4440),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4442),
    [anon_sym_GT] = ACTIONS(4442),
    [anon_sym_LBRACE] = ACTIONS(4528),
    [anon_sym_CARET_LBRACE] = ACTIONS(4528),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4444),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4446),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4446),
    [anon_sym_LT_EQ] = ACTIONS(4448),
    [anon_sym_GT_EQ] = ACTIONS(4448),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1203),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4450),
    [anon_sym_is] = ACTIONS(4452),
    [anon_sym_PLUS] = ACTIONS(4454),
    [anon_sym_DASH] = ACTIONS(4454),
    [anon_sym_STAR] = ACTIONS(4456),
    [anon_sym_SLASH] = ACTIONS(4456),
    [anon_sym_PERCENT] = ACTIONS(4456),
    [anon_sym_PLUS_PLUS] = ACTIONS(4458),
    [anon_sym_DASH_DASH] = ACTIONS(4458),
    [anon_sym_PIPE] = ACTIONS(4440),
    [anon_sym_CARET] = ACTIONS(4460),
    [anon_sym_LT_LT] = ACTIONS(4440),
    [anon_sym_GT_GT] = ACTIONS(4440),
    [anon_sym_BANG2] = ACTIONS(4462),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(4464),
    [sym__conjunction_operator_custom] = ACTIONS(4466),
    [sym__disjunction_operator_custom] = ACTIONS(4468),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4470),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4446),
    [sym__plus_then_ws] = ACTIONS(4472),
    [sym__minus_then_ws] = ACTIONS(4472),
    [sym__bang_custom] = ACTIONS(4474),
    [sym_else] = ACTIONS(2746),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1401] = {
    [sym__quest] = STATE(577),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(4548),
    [anon_sym_COMMA] = ACTIONS(4548),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_QMARK] = ACTIONS(4256),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(4222),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(4258),
    [anon_sym_CARET_LBRACE] = ACTIONS(4258),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4232),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4222),
    [anon_sym_GT_GT] = ACTIONS(4222),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1402] = {
    [sym__quest] = STATE(577),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(4550),
    [anon_sym_COMMA] = ACTIONS(4550),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_QMARK] = ACTIONS(4256),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(4222),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(4258),
    [anon_sym_CARET_LBRACE] = ACTIONS(4258),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4232),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4222),
    [anon_sym_GT_GT] = ACTIONS(4222),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1403] = {
    [sym__quest] = STATE(577),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(4552),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_QMARK] = ACTIONS(4256),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(4222),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(4258),
    [anon_sym_CARET_LBRACE] = ACTIONS(4258),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4232),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4222),
    [anon_sym_GT_GT] = ACTIONS(4222),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1404] = {
    [sym__quest] = STATE(577),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(4554),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_QMARK] = ACTIONS(4256),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(4222),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(4258),
    [anon_sym_CARET_LBRACE] = ACTIONS(4258),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4232),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4222),
    [anon_sym_GT_GT] = ACTIONS(4222),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1405] = {
    [sym__quest] = STATE(577),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(4556),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_QMARK] = ACTIONS(4256),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(4222),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(4258),
    [anon_sym_CARET_LBRACE] = ACTIONS(4258),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4232),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4222),
    [anon_sym_GT_GT] = ACTIONS(4222),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1406] = {
    [sym__quest] = STATE(577),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(4558),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_QMARK] = ACTIONS(4256),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(4222),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(4258),
    [anon_sym_CARET_LBRACE] = ACTIONS(4258),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4232),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4222),
    [anon_sym_GT_GT] = ACTIONS(4222),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1407] = {
    [sym__quest] = STATE(577),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(4560),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_QMARK] = ACTIONS(4256),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(4222),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(4258),
    [anon_sym_CARET_LBRACE] = ACTIONS(4258),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4232),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4222),
    [anon_sym_GT_GT] = ACTIONS(4222),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1408] = {
    [sym__quest] = STATE(577),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(4562),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_QMARK] = ACTIONS(4256),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(4222),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(4258),
    [anon_sym_CARET_LBRACE] = ACTIONS(4258),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4232),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4222),
    [anon_sym_GT_GT] = ACTIONS(4222),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1409] = {
    [sym__quest] = STATE(577),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(4564),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_QMARK] = ACTIONS(4256),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(4222),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(4258),
    [anon_sym_CARET_LBRACE] = ACTIONS(4258),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4232),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4222),
    [anon_sym_GT_GT] = ACTIONS(4222),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1410] = {
    [sym_simple_identifier] = STATE(3235),
    [sym__contextual_simple_identifier] = STATE(3239),
    [sym__unannotated_type] = STATE(3219),
    [sym_user_type] = STATE(3240),
    [sym__simple_user_type] = STATE(3229),
    [sym_tuple_type] = STATE(3106),
    [sym_function_type] = STATE(3219),
    [sym_array_type] = STATE(3240),
    [sym_dictionary_type] = STATE(3240),
    [sym_optional_type] = STATE(3219),
    [sym_metatype] = STATE(3219),
    [sym_opaque_type] = STATE(3219),
    [sym_existential_type] = STATE(3219),
    [sym_type_parameter_pack] = STATE(3219),
    [sym_type_pack_expansion] = STATE(3219),
    [sym_protocol_composition_type] = STATE(3219),
    [sym__parenthesized_type] = STATE(3296),
    [sym__parameter_ownership_modifier] = STATE(3239),
    [sym_comment] = ACTIONS(5),
    [aux_sym_simple_identifier_token1] = ACTIONS(4566),
    [aux_sym_simple_identifier_token2] = ACTIONS(4568),
    [aux_sym_simple_identifier_token3] = ACTIONS(4568),
    [aux_sym_simple_identifier_token4] = ACTIONS(4568),
    [anon_sym_actor] = ACTIONS(4566),
    [anon_sym_async] = ACTIONS(4566),
    [anon_sym_each] = ACTIONS(4570),
    [anon_sym_lazy] = ACTIONS(4572),
    [anon_sym_repeat] = ACTIONS(4575),
    [anon_sym_package] = ACTIONS(4572),
    [anon_sym_LPAREN] = ACTIONS(4577),
    [anon_sym_LBRACK] = ACTIONS(4579),
    [anon_sym_DOT] = ACTIONS(631),
    [anon_sym_QMARK2] = ACTIONS(631),
    [anon_sym_some] = ACTIONS(4581),
    [anon_sym_any] = ACTIONS(4583),
    [anon_sym_AMP] = ACTIONS(631),
    [anon_sym_LT] = ACTIONS(631),
    [anon_sym_RBRACE] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(637),
    [anon_sym_fallthrough] = ACTIONS(637),
    [anon_sym_class] = ACTIONS(637),
    [anon_sym_prefix] = ACTIONS(637),
    [anon_sym_infix] = ACTIONS(637),
    [anon_sym_postfix] = ACTIONS(637),
    [anon_sym_AT] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_convenience] = ACTIONS(637),
    [anon_sym_required] = ACTIONS(637),
    [anon_sym_nonisolated] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_internal] = ACTIONS(637),
    [anon_sym_fileprivate] = ACTIONS(637),
    [anon_sym_open] = ACTIONS(637),
    [anon_sym_mutating] = ACTIONS(637),
    [anon_sym_nonmutating] = ACTIONS(637),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_dynamic] = ACTIONS(637),
    [anon_sym_optional] = ACTIONS(637),
    [anon_sym_distributed] = ACTIONS(637),
    [anon_sym_final] = ACTIONS(637),
    [anon_sym_inout] = ACTIONS(637),
    [anon_sym_ATescaping] = ACTIONS(631),
    [anon_sym_ATautoclosure] = ACTIONS(631),
    [anon_sym_weak] = ACTIONS(637),
    [anon_sym_unowned] = ACTIONS(637),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(631),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(631),
    [anon_sym_borrowing] = ACTIONS(4572),
    [anon_sym_consuming] = ACTIONS(4572),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(631),
    [sym__explicit_semi] = ACTIONS(631),
    [sym__arrow_operator_custom] = ACTIONS(631),
    [sym__dot_custom] = ACTIONS(631),
    [sym__throws_keyword] = ACTIONS(631),
    [sym__rethrows_keyword] = ACTIONS(631),
    [sym_default_keyword] = ACTIONS(631),
    [sym__async_keyword_custom] = ACTIONS(631),
  },
  [1411] = {
    [sym__quest] = STATE(577),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(4585),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_QMARK] = ACTIONS(4256),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(4222),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(4258),
    [anon_sym_CARET_LBRACE] = ACTIONS(4258),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4232),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4222),
    [anon_sym_GT_GT] = ACTIONS(4222),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1412] = {
    [sym__quest] = STATE(577),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(4587),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_QMARK] = ACTIONS(4256),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(4222),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(4258),
    [anon_sym_CARET_LBRACE] = ACTIONS(4258),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4232),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4222),
    [anon_sym_GT_GT] = ACTIONS(4222),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1413] = {
    [sym__quest] = STATE(577),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(4589),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_QMARK] = ACTIONS(4256),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(4222),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(4258),
    [anon_sym_CARET_LBRACE] = ACTIONS(4258),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4232),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4222),
    [anon_sym_GT_GT] = ACTIONS(4222),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1414] = {
    [sym_simple_identifier] = STATE(3235),
    [sym__contextual_simple_identifier] = STATE(3239),
    [sym__unannotated_type] = STATE(3233),
    [sym_user_type] = STATE(3240),
    [sym__simple_user_type] = STATE(3229),
    [sym_tuple_type] = STATE(3106),
    [sym_function_type] = STATE(3233),
    [sym_array_type] = STATE(3240),
    [sym_dictionary_type] = STATE(3240),
    [sym_optional_type] = STATE(3233),
    [sym_metatype] = STATE(3233),
    [sym_opaque_type] = STATE(3233),
    [sym_existential_type] = STATE(3233),
    [sym_type_parameter_pack] = STATE(3233),
    [sym_type_pack_expansion] = STATE(3233),
    [sym_protocol_composition_type] = STATE(3233),
    [sym__parenthesized_type] = STATE(3296),
    [sym__parameter_ownership_modifier] = STATE(3239),
    [sym_comment] = ACTIONS(5),
    [aux_sym_simple_identifier_token1] = ACTIONS(4566),
    [aux_sym_simple_identifier_token2] = ACTIONS(4568),
    [aux_sym_simple_identifier_token3] = ACTIONS(4568),
    [aux_sym_simple_identifier_token4] = ACTIONS(4568),
    [anon_sym_actor] = ACTIONS(4566),
    [anon_sym_async] = ACTIONS(4566),
    [anon_sym_each] = ACTIONS(4570),
    [anon_sym_lazy] = ACTIONS(4572),
    [anon_sym_repeat] = ACTIONS(4575),
    [anon_sym_package] = ACTIONS(4572),
    [anon_sym_LPAREN] = ACTIONS(4577),
    [anon_sym_LBRACK] = ACTIONS(4579),
    [anon_sym_DOT] = ACTIONS(631),
    [anon_sym_QMARK2] = ACTIONS(631),
    [anon_sym_some] = ACTIONS(4581),
    [anon_sym_any] = ACTIONS(4583),
    [anon_sym_AMP] = ACTIONS(631),
    [anon_sym_LT] = ACTIONS(631),
    [anon_sym_RBRACE] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(637),
    [anon_sym_fallthrough] = ACTIONS(637),
    [anon_sym_class] = ACTIONS(637),
    [anon_sym_prefix] = ACTIONS(637),
    [anon_sym_infix] = ACTIONS(637),
    [anon_sym_postfix] = ACTIONS(637),
    [anon_sym_AT] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_convenience] = ACTIONS(637),
    [anon_sym_required] = ACTIONS(637),
    [anon_sym_nonisolated] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_internal] = ACTIONS(637),
    [anon_sym_fileprivate] = ACTIONS(637),
    [anon_sym_open] = ACTIONS(637),
    [anon_sym_mutating] = ACTIONS(637),
    [anon_sym_nonmutating] = ACTIONS(637),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_dynamic] = ACTIONS(637),
    [anon_sym_optional] = ACTIONS(637),
    [anon_sym_distributed] = ACTIONS(637),
    [anon_sym_final] = ACTIONS(637),
    [anon_sym_inout] = ACTIONS(637),
    [anon_sym_ATescaping] = ACTIONS(631),
    [anon_sym_ATautoclosure] = ACTIONS(631),
    [anon_sym_weak] = ACTIONS(637),
    [anon_sym_unowned] = ACTIONS(637),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(631),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(631),
    [anon_sym_borrowing] = ACTIONS(4572),
    [anon_sym_consuming] = ACTIONS(4572),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(631),
    [sym__explicit_semi] = ACTIONS(631),
    [sym__arrow_operator_custom] = ACTIONS(631),
    [sym__dot_custom] = ACTIONS(631),
    [sym__throws_keyword] = ACTIONS(631),
    [sym__rethrows_keyword] = ACTIONS(631),
    [sym_default_keyword] = ACTIONS(631),
    [sym__async_keyword_custom] = ACTIONS(631),
  },
  [1415] = {
    [sym__quest] = STATE(577),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(4591),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_QMARK] = ACTIONS(4256),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(4222),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(4258),
    [anon_sym_CARET_LBRACE] = ACTIONS(4258),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4232),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4222),
    [anon_sym_GT_GT] = ACTIONS(4222),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1416] = {
    [sym__quest] = STATE(577),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(4593),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_QMARK] = ACTIONS(4256),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(4222),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(4258),
    [anon_sym_CARET_LBRACE] = ACTIONS(4258),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4232),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4222),
    [anon_sym_GT_GT] = ACTIONS(4222),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1417] = {
    [sym__quest] = STATE(577),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(4595),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_QMARK] = ACTIONS(4256),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(4222),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(4258),
    [anon_sym_CARET_LBRACE] = ACTIONS(4258),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4232),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4222),
    [anon_sym_GT_GT] = ACTIONS(4222),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1418] = {
    [sym__quest] = STATE(549),
    [sym__immediate_quest] = STATE(2979),
    [sym__range_operator] = STATE(348),
    [sym_custom_operator] = STATE(346),
    [sym_navigation_suffix] = STATE(2982),
    [sym_call_suffix] = STATE(2983),
    [sym__fn_call_lambda_arguments] = STATE(2984),
    [sym_value_arguments] = STATE(2380),
    [sym_lambda_literal] = STATE(1510),
    [sym__equality_operator] = STATE(345),
    [sym__comparison_operator] = STATE(325),
    [sym__three_dot_operator] = STATE(872),
    [sym__open_ended_range_operator] = STATE(348),
    [sym__is_operator] = STATE(3815),
    [sym__additive_operator] = STATE(528),
    [sym__multiplicative_operator] = STATE(487),
    [sym_as_operator] = STATE(3821),
    [sym__bitwise_binary_operator] = STATE(302),
    [sym__postfix_unary_operator] = STATE(2992),
    [sym__eq_eq] = STATE(345),
    [sym__dot] = STATE(4626),
    [sym__conjunction_operator] = STATE(298),
    [sym__disjunction_operator] = STATE(297),
    [sym__nil_coalescing_operator] = STATE(292),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(2992),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(4336),
    [anon_sym_LBRACK] = ACTIONS(4338),
    [anon_sym_QMARK] = ACTIONS(4430),
    [anon_sym_QMARK2] = ACTIONS(4340),
    [anon_sym_AMP] = ACTIONS(4342),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4344),
    [anon_sym_GT] = ACTIONS(4344),
    [anon_sym_LBRACE] = ACTIONS(4597),
    [anon_sym_CARET_LBRACE] = ACTIONS(4412),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4346),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4348),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4348),
    [anon_sym_LT_EQ] = ACTIONS(4350),
    [anon_sym_GT_EQ] = ACTIONS(4350),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4352),
    [anon_sym_is] = ACTIONS(4354),
    [anon_sym_PLUS] = ACTIONS(4356),
    [anon_sym_DASH] = ACTIONS(4356),
    [anon_sym_STAR] = ACTIONS(4358),
    [anon_sym_SLASH] = ACTIONS(4358),
    [anon_sym_PERCENT] = ACTIONS(4358),
    [anon_sym_PLUS_PLUS] = ACTIONS(4360),
    [anon_sym_DASH_DASH] = ACTIONS(4360),
    [anon_sym_PIPE] = ACTIONS(4342),
    [anon_sym_CARET] = ACTIONS(4362),
    [anon_sym_LT_LT] = ACTIONS(4342),
    [anon_sym_GT_GT] = ACTIONS(4342),
    [anon_sym_BANG2] = ACTIONS(4364),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(4366),
    [sym__conjunction_operator_custom] = ACTIONS(4368),
    [sym__disjunction_operator_custom] = ACTIONS(4370),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4372),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4348),
    [sym__plus_then_ws] = ACTIONS(4374),
    [sym__minus_then_ws] = ACTIONS(4374),
    [sym__bang_custom] = ACTIONS(4376),
    [sym_where_keyword] = ACTIONS(4597),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1419] = {
    [sym__quest] = STATE(577),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(4599),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_QMARK] = ACTIONS(4256),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(4222),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(4258),
    [anon_sym_CARET_LBRACE] = ACTIONS(4258),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4232),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4222),
    [anon_sym_GT_GT] = ACTIONS(4222),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1420] = {
    [sym__quest] = STATE(549),
    [sym__immediate_quest] = STATE(2979),
    [sym__range_operator] = STATE(348),
    [sym_custom_operator] = STATE(346),
    [sym_navigation_suffix] = STATE(2982),
    [sym_call_suffix] = STATE(2983),
    [sym__fn_call_lambda_arguments] = STATE(2984),
    [sym_value_arguments] = STATE(2380),
    [sym_lambda_literal] = STATE(1510),
    [sym__equality_operator] = STATE(345),
    [sym__comparison_operator] = STATE(325),
    [sym__three_dot_operator] = STATE(872),
    [sym__open_ended_range_operator] = STATE(348),
    [sym__is_operator] = STATE(3815),
    [sym__additive_operator] = STATE(528),
    [sym__multiplicative_operator] = STATE(487),
    [sym_as_operator] = STATE(3821),
    [sym__bitwise_binary_operator] = STATE(302),
    [sym__postfix_unary_operator] = STATE(2992),
    [sym__eq_eq] = STATE(345),
    [sym__dot] = STATE(4626),
    [sym__conjunction_operator] = STATE(298),
    [sym__disjunction_operator] = STATE(297),
    [sym__nil_coalescing_operator] = STATE(292),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(2992),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(4336),
    [anon_sym_LBRACK] = ACTIONS(4338),
    [anon_sym_QMARK] = ACTIONS(4430),
    [anon_sym_QMARK2] = ACTIONS(4340),
    [anon_sym_AMP] = ACTIONS(4342),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4344),
    [anon_sym_GT] = ACTIONS(4344),
    [anon_sym_LBRACE] = ACTIONS(4601),
    [anon_sym_CARET_LBRACE] = ACTIONS(4412),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4346),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4348),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4348),
    [anon_sym_LT_EQ] = ACTIONS(4350),
    [anon_sym_GT_EQ] = ACTIONS(4350),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1091),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4352),
    [anon_sym_is] = ACTIONS(4354),
    [anon_sym_PLUS] = ACTIONS(4356),
    [anon_sym_DASH] = ACTIONS(4356),
    [anon_sym_STAR] = ACTIONS(4358),
    [anon_sym_SLASH] = ACTIONS(4358),
    [anon_sym_PERCENT] = ACTIONS(4358),
    [anon_sym_PLUS_PLUS] = ACTIONS(4360),
    [anon_sym_DASH_DASH] = ACTIONS(4360),
    [anon_sym_PIPE] = ACTIONS(4342),
    [anon_sym_CARET] = ACTIONS(4362),
    [anon_sym_LT_LT] = ACTIONS(4342),
    [anon_sym_GT_GT] = ACTIONS(4342),
    [anon_sym_BANG2] = ACTIONS(4364),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(4366),
    [sym__conjunction_operator_custom] = ACTIONS(4368),
    [sym__disjunction_operator_custom] = ACTIONS(4370),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4372),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4348),
    [sym__plus_then_ws] = ACTIONS(4374),
    [sym__minus_then_ws] = ACTIONS(4374),
    [sym__bang_custom] = ACTIONS(4376),
    [sym_where_keyword] = ACTIONS(4601),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1421] = {
    [sym__quest] = STATE(577),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(4603),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_QMARK] = ACTIONS(4256),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(4222),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(4258),
    [anon_sym_CARET_LBRACE] = ACTIONS(4258),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4232),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4222),
    [anon_sym_GT_GT] = ACTIONS(4222),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1422] = {
    [sym__quest] = STATE(577),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(4605),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_QMARK] = ACTIONS(4256),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(4222),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(4258),
    [anon_sym_CARET_LBRACE] = ACTIONS(4258),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4232),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4222),
    [anon_sym_GT_GT] = ACTIONS(4222),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1423] = {
    [sym__quest] = STATE(577),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(4607),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_QMARK] = ACTIONS(4256),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(4222),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(4258),
    [anon_sym_CARET_LBRACE] = ACTIONS(4258),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4232),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4222),
    [anon_sym_GT_GT] = ACTIONS(4222),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1424] = {
    [sym__quest] = STATE(577),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(4609),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_QMARK] = ACTIONS(4256),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(4222),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(4258),
    [anon_sym_CARET_LBRACE] = ACTIONS(4258),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4232),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4222),
    [anon_sym_GT_GT] = ACTIONS(4222),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1425] = {
    [sym__quest] = STATE(577),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(4611),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_QMARK] = ACTIONS(4256),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(4222),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(4258),
    [anon_sym_CARET_LBRACE] = ACTIONS(4258),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4232),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4222),
    [anon_sym_GT_GT] = ACTIONS(4222),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1426] = {
    [sym__quest] = STATE(577),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(4613),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_QMARK] = ACTIONS(4256),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(4222),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(4258),
    [anon_sym_CARET_LBRACE] = ACTIONS(4258),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4232),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4222),
    [anon_sym_GT_GT] = ACTIONS(4222),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1427] = {
    [sym__quest] = STATE(577),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(2750),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_QMARK] = ACTIONS(4256),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(4222),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(2750),
    [anon_sym_CARET_LBRACE] = ACTIONS(4258),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4232),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4222),
    [anon_sym_GT_GT] = ACTIONS(4222),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1428] = {
    [sym__quest] = STATE(577),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(4615),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_QMARK] = ACTIONS(4256),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(4222),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(4258),
    [anon_sym_CARET_LBRACE] = ACTIONS(4258),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4232),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4222),
    [anon_sym_GT_GT] = ACTIONS(4222),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1429] = {
    [sym__quest] = STATE(577),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(4617),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_QMARK] = ACTIONS(4256),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(4222),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(4258),
    [anon_sym_CARET_LBRACE] = ACTIONS(4258),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4232),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4222),
    [anon_sym_GT_GT] = ACTIONS(4222),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1430] = {
    [sym__quest] = STATE(577),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(4619),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_QMARK] = ACTIONS(4256),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(4222),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(4258),
    [anon_sym_CARET_LBRACE] = ACTIONS(4258),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4232),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4222),
    [anon_sym_GT_GT] = ACTIONS(4222),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1431] = {
    [sym__quest] = STATE(577),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(4621),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_QMARK] = ACTIONS(4256),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(4222),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(4258),
    [anon_sym_CARET_LBRACE] = ACTIONS(4258),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4232),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4222),
    [anon_sym_GT_GT] = ACTIONS(4222),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1432] = {
    [sym__quest] = STATE(577),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(2746),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_QMARK] = ACTIONS(4256),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(4222),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(2746),
    [anon_sym_CARET_LBRACE] = ACTIONS(4258),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4232),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4222),
    [anon_sym_GT_GT] = ACTIONS(4222),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1433] = {
    [sym__quest] = STATE(577),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(4623),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_QMARK] = ACTIONS(4256),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(4222),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(4258),
    [anon_sym_CARET_LBRACE] = ACTIONS(4258),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4232),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4222),
    [anon_sym_GT_GT] = ACTIONS(4222),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1434] = {
    [sym__quest] = STATE(577),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(4625),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_QMARK] = ACTIONS(4256),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(4222),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(4258),
    [anon_sym_CARET_LBRACE] = ACTIONS(4258),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4232),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4222),
    [anon_sym_GT_GT] = ACTIONS(4222),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1435] = {
    [sym__quest] = STATE(577),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(4627),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_QMARK] = ACTIONS(4256),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(4222),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(4258),
    [anon_sym_CARET_LBRACE] = ACTIONS(4258),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4232),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4222),
    [anon_sym_GT_GT] = ACTIONS(4222),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1436] = {
    [sym__quest] = STATE(577),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(4629),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_QMARK] = ACTIONS(4256),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(4222),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(4258),
    [anon_sym_CARET_LBRACE] = ACTIONS(4258),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4232),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4222),
    [anon_sym_GT_GT] = ACTIONS(4222),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1437] = {
    [sym__quest] = STATE(577),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(4631),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_QMARK] = ACTIONS(4256),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(4222),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(4258),
    [anon_sym_CARET_LBRACE] = ACTIONS(4258),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4232),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4222),
    [anon_sym_GT_GT] = ACTIONS(4222),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1438] = {
    [sym__quest] = STATE(577),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(4633),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_QMARK] = ACTIONS(4256),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(4222),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(4258),
    [anon_sym_CARET_LBRACE] = ACTIONS(4258),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4232),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4222),
    [anon_sym_GT_GT] = ACTIONS(4222),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1439] = {
    [sym__quest] = STATE(577),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(4635),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_QMARK] = ACTIONS(4256),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(4222),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(4258),
    [anon_sym_CARET_LBRACE] = ACTIONS(4258),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4232),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4222),
    [anon_sym_GT_GT] = ACTIONS(4222),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1440] = {
    [sym__quest] = STATE(577),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(4637),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_QMARK] = ACTIONS(4256),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(4222),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(4258),
    [anon_sym_CARET_LBRACE] = ACTIONS(4258),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4232),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4222),
    [anon_sym_GT_GT] = ACTIONS(4222),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1441] = {
    [sym__quest] = STATE(577),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(4252),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_QMARK] = ACTIONS(4256),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(4222),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(4258),
    [anon_sym_CARET_LBRACE] = ACTIONS(4258),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4232),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4222),
    [anon_sym_GT_GT] = ACTIONS(4222),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1442] = {
    [sym__quest] = STATE(577),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(4639),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_QMARK] = ACTIONS(4256),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(4222),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(4258),
    [anon_sym_CARET_LBRACE] = ACTIONS(4258),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4232),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4222),
    [anon_sym_GT_GT] = ACTIONS(4222),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1443] = {
    [sym__quest] = STATE(577),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(4641),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_QMARK] = ACTIONS(4256),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(4222),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(4258),
    [anon_sym_CARET_LBRACE] = ACTIONS(4258),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4232),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4222),
    [anon_sym_GT_GT] = ACTIONS(4222),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1444] = {
    [sym__quest] = STATE(577),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(4643),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_QMARK] = ACTIONS(4256),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(4222),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(4258),
    [anon_sym_CARET_LBRACE] = ACTIONS(4258),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4232),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4222),
    [anon_sym_GT_GT] = ACTIONS(4222),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1445] = {
    [sym__quest] = STATE(577),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(4645),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_QMARK] = ACTIONS(4256),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(4222),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(4258),
    [anon_sym_CARET_LBRACE] = ACTIONS(4258),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4232),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4222),
    [anon_sym_GT_GT] = ACTIONS(4222),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1446] = {
    [sym__quest] = STATE(577),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(4647),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_QMARK] = ACTIONS(4256),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(4222),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(4258),
    [anon_sym_CARET_LBRACE] = ACTIONS(4258),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4232),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4222),
    [anon_sym_GT_GT] = ACTIONS(4222),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1447] = {
    [sym__quest] = STATE(577),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_QMARK] = ACTIONS(4256),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(4222),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(4649),
    [anon_sym_CARET_LBRACE] = ACTIONS(4258),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4232),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4222),
    [anon_sym_GT_GT] = ACTIONS(4222),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1448] = {
    [sym__quest] = STATE(577),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_QMARK] = ACTIONS(4256),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(4222),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(4651),
    [anon_sym_CARET_LBRACE] = ACTIONS(4258),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4232),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4222),
    [anon_sym_GT_GT] = ACTIONS(4222),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1449] = {
    [sym__quest] = STATE(577),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_QMARK] = ACTIONS(4256),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(4222),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(4653),
    [anon_sym_CARET_LBRACE] = ACTIONS(4258),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4232),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4222),
    [anon_sym_GT_GT] = ACTIONS(4222),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1450] = {
    [sym__quest] = STATE(577),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_QMARK] = ACTIONS(4256),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(4222),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(4655),
    [anon_sym_CARET_LBRACE] = ACTIONS(4258),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4232),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4222),
    [anon_sym_GT_GT] = ACTIONS(4222),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1451] = {
    [sym__quest] = STATE(577),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_QMARK] = ACTIONS(4256),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(4222),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(4657),
    [anon_sym_CARET_LBRACE] = ACTIONS(4258),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4232),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4222),
    [anon_sym_GT_GT] = ACTIONS(4222),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1452] = {
    [sym__quest] = STATE(577),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_QMARK] = ACTIONS(4256),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(4222),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(4659),
    [anon_sym_CARET_LBRACE] = ACTIONS(4258),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4232),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4222),
    [anon_sym_GT_GT] = ACTIONS(4222),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1453] = {
    [sym__quest] = STATE(577),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_QMARK] = ACTIONS(4256),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(4222),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(4661),
    [anon_sym_CARET_LBRACE] = ACTIONS(4258),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4232),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4222),
    [anon_sym_GT_GT] = ACTIONS(4222),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1454] = {
    [sym__quest] = STATE(577),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_QMARK] = ACTIONS(4256),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(4222),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(4663),
    [anon_sym_CARET_LBRACE] = ACTIONS(4258),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4232),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4222),
    [anon_sym_GT_GT] = ACTIONS(4222),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1455] = {
    [sym__quest] = STATE(577),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_QMARK] = ACTIONS(4256),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(4222),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(4665),
    [anon_sym_CARET_LBRACE] = ACTIONS(4258),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4232),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4222),
    [anon_sym_GT_GT] = ACTIONS(4222),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1456] = {
    [sym__quest] = STATE(577),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_QMARK] = ACTIONS(4256),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(4222),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(4667),
    [anon_sym_CARET_LBRACE] = ACTIONS(4258),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4232),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4222),
    [anon_sym_GT_GT] = ACTIONS(4222),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1457] = {
    [sym__quest] = STATE(577),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_QMARK] = ACTIONS(4256),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(4222),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(4669),
    [anon_sym_CARET_LBRACE] = ACTIONS(4258),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4232),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4222),
    [anon_sym_GT_GT] = ACTIONS(4222),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1458] = {
    [sym__quest] = STATE(577),
    [sym__immediate_quest] = STATE(771),
    [sym__range_operator] = STATE(371),
    [sym_custom_operator] = STATE(368),
    [sym_navigation_suffix] = STATE(766),
    [sym_call_suffix] = STATE(765),
    [sym__fn_call_lambda_arguments] = STATE(763),
    [sym_value_arguments] = STATE(2251),
    [sym_lambda_literal] = STATE(1493),
    [sym__equality_operator] = STATE(359),
    [sym__comparison_operator] = STATE(357),
    [sym__three_dot_operator] = STATE(871),
    [sym__open_ended_range_operator] = STATE(371),
    [sym__is_operator] = STATE(3722),
    [sym__additive_operator] = STATE(600),
    [sym__multiplicative_operator] = STATE(575),
    [sym_as_operator] = STATE(3727),
    [sym__bitwise_binary_operator] = STATE(338),
    [sym__postfix_unary_operator] = STATE(753),
    [sym__eq_eq] = STATE(359),
    [sym__dot] = STATE(4610),
    [sym__conjunction_operator] = STATE(335),
    [sym__disjunction_operator] = STATE(334),
    [sym__nil_coalescing_operator] = STATE(333),
    [sym__as] = STATE(4462),
    [sym__as_quest] = STATE(4462),
    [sym__as_bang] = STATE(4462),
    [sym_bang] = STATE(753),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_QMARK] = ACTIONS(4256),
    [anon_sym_QMARK2] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(4222),
    [aux_sym_custom_operator_token1] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(4671),
    [anon_sym_CARET_LBRACE] = ACTIONS(4258),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4228),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(789),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4232),
    [anon_sym_is] = ACTIONS(4234),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_SLASH] = ACTIONS(4238),
    [anon_sym_PERCENT] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(4222),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4222),
    [anon_sym_GT_GT] = ACTIONS(4222),
    [anon_sym_BANG2] = ACTIONS(2530),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2532),
    [sym__conjunction_operator_custom] = ACTIONS(4242),
    [sym__disjunction_operator_custom] = ACTIONS(4244),
    [sym__nil_coalescing_operator_custom] = ACTIONS(4246),
    [sym__eq_custom] = ACTIONS(2510),
    [sym__eq_eq_custom] = ACTIONS(4228),
    [sym__plus_then_ws] = ACTIONS(4248),
    [sym__minus_then_ws] = ACTIONS(4248),
    [sym__bang_custom] = ACTIONS(2542),
    [sym__as_custom] = ACTIONS(2544),
    [sym__as_quest_custom] = ACTIONS(2544),
    [sym__as_bang_custom] = ACTIONS(2544),
    [sym__custom_operator] = ACTIONS(2506),
  },
  [1459] = {
    [sym_simple_identifier] = STATE(1963),
    [sym__contextual_simple_identifier] = STATE(2016),
    [sym__simple_user_type] = STATE(1969),
    [sym_array_type] = STATE(1969),
    [sym_dictionary_type] = STATE(1969),
    [sym__parameter_ownership_modifier] = STATE(2016),
    [aux_sym_key_path_expression_repeat1] = STATE(1968),
    [ts_builtin_sym_end] = ACTIONS(2738),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(971),
    [aux_sym_simple_identifier_token2] = ACTIONS(973),
    [aux_sym_simple_identifier_token3] = ACTIONS(973),
    [aux_sym_simple_identifier_token4] = ACTIONS(973),
    [anon_sym_actor] = ACTIONS(971),
    [anon_sym_async] = ACTIONS(971),
    [anon_sym_each] = ACTIONS(971),
    [anon_sym_lazy] = ACTIONS(971),
    [anon_sym_repeat] = ACTIONS(971),
    [anon_sym_package] = ACTIONS(971),
    [anon_sym_COMMA] = ACTIONS(2738),
    [anon_sym_LPAREN] = ACTIONS(2738),
    [anon_sym_LBRACK] = ACTIONS(4673),
    [anon_sym_DOT] = ACTIONS(4675),
    [anon_sym_QMARK] = ACTIONS(2744),
    [anon_sym_QMARK2] = ACTIONS(2738),
    [anon_sym_AMP] = ACTIONS(2738),
    [aux_sym_custom_operator_token1] = ACTIONS(2738),
    [anon_sym_LT] = ACTIONS(2744),
    [anon_sym_GT] = ACTIONS(2744),
    [anon_sym_LBRACE] = ACTIONS(2738),
    [anon_sym_CARET_LBRACE] = ACTIONS(2738),
    [anon_sym_RBRACE] = ACTIONS(2738),
    [anon_sym_PLUS_EQ] = ACTIONS(2738),
    [anon_sym_DASH_EQ] = ACTIONS(2738),
    [anon_sym_STAR_EQ] = ACTIONS(2738),
    [anon_sym_SLASH_EQ] = ACTIONS(2738),
    [anon_sym_PERCENT_EQ] = ACTIONS(2738),
    [anon_sym_BANG_EQ] = ACTIONS(2744),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2738),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2738),
    [anon_sym_LT_EQ] = ACTIONS(2738),
    [anon_sym_GT_EQ] = ACTIONS(2738),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2738),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2738),
    [anon_sym_is] = ACTIONS(2744),
    [anon_sym_PLUS] = ACTIONS(2744),
    [anon_sym_DASH] = ACTIONS(2744),
    [anon_sym_STAR] = ACTIONS(2744),
    [anon_sym_SLASH] = ACTIONS(2744),
    [anon_sym_PERCENT] = ACTIONS(2744),
    [anon_sym_PLUS_PLUS] = ACTIONS(2738),
    [anon_sym_DASH_DASH] = ACTIONS(2738),
    [anon_sym_PIPE] = ACTIONS(2738),
    [anon_sym_CARET] = ACTIONS(2744),
    [anon_sym_LT_LT] = ACTIONS(2738),
    [anon_sym_GT_GT] = ACTIONS(2738),
    [anon_sym_BANG2] = ACTIONS(2744),
    [anon_sym_borrowing] = ACTIONS(971),
    [anon_sym_consuming] = ACTIONS(971),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2738),
    [sym__explicit_semi] = ACTIONS(2738),
    [sym__dot_custom] = ACTIONS(2738),
    [sym__conjunction_operator_custom] = ACTIONS(2738),
    [sym__disjunction_operator_custom] = ACTIONS(2738),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2738),
    [sym__eq_custom] = ACTIONS(2738),
    [sym__eq_eq_custom] = ACTIONS(2738),
    [sym__plus_then_ws] = ACTIONS(2738),
    [sym__minus_then_ws] = ACTIONS(2738),
    [sym__bang_custom] = ACTIONS(2738),
    [sym_where_keyword] = ACTIONS(2738),
    [sym__as_custom] = ACTIONS(2738),
    [sym__as_quest_custom] = ACTIONS(2738),
    [sym__as_bang_custom] = ACTIONS(2738),
    [sym__custom_operator] = ACTIONS(2738),
  },
  [1460] = {
    [sym_protocol_property_declaration] = STATE(5996),
    [sym_typealias_declaration] = STATE(5996),
    [sym__modifierless_typealias_declaration] = STATE(6322),
    [sym__bodyless_function_declaration] = STATE(5866),
    [sym__modifierless_function_declaration_no_body] = STATE(6136),
    [sym__non_constructor_function_decl] = STATE(6267),
    [sym__async_modifier] = STATE(6632),
    [sym__protocol_member_declarations] = STATE(7648),
    [sym__protocol_member_declaration] = STATE(5996),
    [sym_init_declaration] = STATE(5996),
    [sym_deinit_declaration] = STATE(5996),
    [sym_subscript_declaration] = STATE(5996),
    [sym_associatedtype_declaration] = STATE(5996),
    [sym_attribute] = STATE(1553),
    [sym_value_binding_pattern] = STATE(4132),
    [sym__possibly_async_binding_pattern_kind] = STATE(4132),
    [sym__binding_kind_and_pattern] = STATE(5845),
    [sym_modifiers] = STATE(4502),
    [aux_sym__locally_permitted_modifiers] = STATE(1553),
    [sym__non_local_scope_modifier] = STATE(1553),
    [sym__locally_permitted_modifier] = STATE(1553),
    [sym_property_behavior_modifier] = STATE(1553),
    [sym_member_modifier] = STATE(1553),
    [sym_visibility_modifier] = STATE(1553),
    [sym_function_modifier] = STATE(1553),
    [sym_mutation_modifier] = STATE(1553),
    [sym_property_modifier] = STATE(1553),
    [sym_inheritance_modifier] = STATE(1553),
    [sym_parameter_modifier] = STATE(1553),
    [sym_ownership_modifier] = STATE(1553),
    [sym__parameter_ownership_modifier] = STATE(2572),
    [aux_sym_modifiers_repeat1] = STATE(1553),
    [sym_comment] = ACTIONS(5),
    [anon_sym_async] = ACTIONS(3589),
    [anon_sym_lazy] = ACTIONS(3591),
    [anon_sym_package] = ACTIONS(3593),
    [anon_sym_RBRACE] = ACTIONS(4677),
    [anon_sym_typealias] = ACTIONS(4679),
    [anon_sym_class] = ACTIONS(4681),
    [anon_sym_let] = ACTIONS(3609),
    [anon_sym_var] = ACTIONS(3609),
    [anon_sym_func] = ACTIONS(3611),
    [anon_sym_init] = ACTIONS(4683),
    [anon_sym_deinit] = ACTIONS(4685),
    [anon_sym_subscript] = ACTIONS(4687),
    [anon_sym_prefix] = ACTIONS(4689),
    [anon_sym_infix] = ACTIONS(4689),
    [anon_sym_postfix] = ACTIONS(4689),
    [anon_sym_associatedtype] = ACTIONS(4691),
    [anon_sym_AT] = ACTIONS(123),
    [anon_sym_override] = ACTIONS(3629),
    [anon_sym_convenience] = ACTIONS(3629),
    [anon_sym_required] = ACTIONS(3629),
    [anon_sym_nonisolated] = ACTIONS(3629),
    [anon_sym_public] = ACTIONS(3593),
    [anon_sym_private] = ACTIONS(3593),
    [anon_sym_internal] = ACTIONS(3593),
    [anon_sym_fileprivate] = ACTIONS(3593),
    [anon_sym_open] = ACTIONS(3593),
    [anon_sym_mutating] = ACTIONS(3631),
    [anon_sym_nonmutating] = ACTIONS(3631),
    [anon_sym_static] = ACTIONS(3633),
    [anon_sym_dynamic] = ACTIONS(3633),
    [anon_sym_optional] = ACTIONS(3633),
    [anon_sym_distributed] = ACTIONS(3633),
    [anon_sym_final] = ACTIONS(3635),
    [anon_sym_inout] = ACTIONS(137),
    [anon_sym_ATescaping] = ACTIONS(137),
    [anon_sym_ATautoclosure] = ACTIONS(137),
    [anon_sym_weak] = ACTIONS(141),
    [anon_sym_unowned] = ACTIONS(139),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(141),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(141),
    [anon_sym_borrowing] = ACTIONS(137),
    [anon_sym_consuming] = ACTIONS(137),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
  },
  [1461] = {
    [sym_protocol_property_declaration] = STATE(5996),
    [sym_typealias_declaration] = STATE(5996),
    [sym__modifierless_typealias_declaration] = STATE(6322),
    [sym__bodyless_function_declaration] = STATE(5866),
    [sym__modifierless_function_declaration_no_body] = STATE(6136),
    [sym__non_constructor_function_decl] = STATE(6267),
    [sym__async_modifier] = STATE(6632),
    [sym__protocol_member_declarations] = STATE(7845),
    [sym__protocol_member_declaration] = STATE(5996),
    [sym_init_declaration] = STATE(5996),
    [sym_deinit_declaration] = STATE(5996),
    [sym_subscript_declaration] = STATE(5996),
    [sym_associatedtype_declaration] = STATE(5996),
    [sym_attribute] = STATE(1553),
    [sym_value_binding_pattern] = STATE(4132),
    [sym__possibly_async_binding_pattern_kind] = STATE(4132),
    [sym__binding_kind_and_pattern] = STATE(5845),
    [sym_modifiers] = STATE(4502),
    [aux_sym__locally_permitted_modifiers] = STATE(1553),
    [sym__non_local_scope_modifier] = STATE(1553),
    [sym__locally_permitted_modifier] = STATE(1553),
    [sym_property_behavior_modifier] = STATE(1553),
    [sym_member_modifier] = STATE(1553),
    [sym_visibility_modifier] = STATE(1553),
    [sym_function_modifier] = STATE(1553),
    [sym_mutation_modifier] = STATE(1553),
    [sym_property_modifier] = STATE(1553),
    [sym_inheritance_modifier] = STATE(1553),
    [sym_parameter_modifier] = STATE(1553),
    [sym_ownership_modifier] = STATE(1553),
    [sym__parameter_ownership_modifier] = STATE(2572),
    [aux_sym_modifiers_repeat1] = STATE(1553),
    [sym_comment] = ACTIONS(5),
    [anon_sym_async] = ACTIONS(3589),
    [anon_sym_lazy] = ACTIONS(3591),
    [anon_sym_package] = ACTIONS(3593),
    [anon_sym_RBRACE] = ACTIONS(4693),
    [anon_sym_typealias] = ACTIONS(4679),
    [anon_sym_class] = ACTIONS(4681),
    [anon_sym_let] = ACTIONS(3609),
    [anon_sym_var] = ACTIONS(3609),
    [anon_sym_func] = ACTIONS(3611),
    [anon_sym_init] = ACTIONS(4683),
    [anon_sym_deinit] = ACTIONS(4685),
    [anon_sym_subscript] = ACTIONS(4687),
    [anon_sym_prefix] = ACTIONS(4689),
    [anon_sym_infix] = ACTIONS(4689),
    [anon_sym_postfix] = ACTIONS(4689),
    [anon_sym_associatedtype] = ACTIONS(4691),
    [anon_sym_AT] = ACTIONS(123),
    [anon_sym_override] = ACTIONS(3629),
    [anon_sym_convenience] = ACTIONS(3629),
    [anon_sym_required] = ACTIONS(3629),
    [anon_sym_nonisolated] = ACTIONS(3629),
    [anon_sym_public] = ACTIONS(3593),
    [anon_sym_private] = ACTIONS(3593),
    [anon_sym_internal] = ACTIONS(3593),
    [anon_sym_fileprivate] = ACTIONS(3593),
    [anon_sym_open] = ACTIONS(3593),
    [anon_sym_mutating] = ACTIONS(3631),
    [anon_sym_nonmutating] = ACTIONS(3631),
    [anon_sym_static] = ACTIONS(3633),
    [anon_sym_dynamic] = ACTIONS(3633),
    [anon_sym_optional] = ACTIONS(3633),
    [anon_sym_distributed] = ACTIONS(3633),
    [anon_sym_final] = ACTIONS(3635),
    [anon_sym_inout] = ACTIONS(137),
    [anon_sym_ATescaping] = ACTIONS(137),
    [anon_sym_ATautoclosure] = ACTIONS(137),
    [anon_sym_weak] = ACTIONS(141),
    [anon_sym_unowned] = ACTIONS(139),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(141),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(141),
    [anon_sym_borrowing] = ACTIONS(137),
    [anon_sym_consuming] = ACTIONS(137),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
  },
  [1462] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(3410),
    [aux_sym_simple_identifier_token2] = ACTIONS(3408),
    [aux_sym_simple_identifier_token3] = ACTIONS(3408),
    [aux_sym_simple_identifier_token4] = ACTIONS(3408),
    [anon_sym_actor] = ACTIONS(3410),
    [anon_sym_async] = ACTIONS(3410),
    [anon_sym_each] = ACTIONS(3410),
    [anon_sym_lazy] = ACTIONS(3410),
    [anon_sym_repeat] = ACTIONS(3410),
    [anon_sym_package] = ACTIONS(3410),
    [anon_sym_RPAREN] = ACTIONS(631),
    [anon_sym_COMMA] = ACTIONS(631),
    [anon_sym_COLON] = ACTIONS(631),
    [anon_sym_LPAREN] = ACTIONS(4695),
    [anon_sym_LBRACK] = ACTIONS(4695),
    [anon_sym_DOT] = ACTIONS(637),
    [anon_sym_QMARK] = ACTIONS(637),
    [anon_sym_QMARK2] = ACTIONS(631),
    [anon_sym_some] = ACTIONS(3410),
    [anon_sym_any] = ACTIONS(3410),
    [anon_sym_AMP] = ACTIONS(631),
    [aux_sym_custom_operator_token1] = ACTIONS(631),
    [anon_sym_LT] = ACTIONS(637),
    [anon_sym_GT] = ACTIONS(637),
    [anon_sym_LBRACE] = ACTIONS(631),
    [anon_sym_CARET_LBRACE] = ACTIONS(631),
    [anon_sym_PLUS_EQ] = ACTIONS(631),
    [anon_sym_DASH_EQ] = ACTIONS(631),
    [anon_sym_STAR_EQ] = ACTIONS(631),
    [anon_sym_SLASH_EQ] = ACTIONS(631),
    [anon_sym_PERCENT_EQ] = ACTIONS(631),
    [anon_sym_BANG_EQ] = ACTIONS(637),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(631),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(631),
    [anon_sym_LT_EQ] = ACTIONS(631),
    [anon_sym_GT_EQ] = ACTIONS(631),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(631),
    [anon_sym_DOT_DOT_LT] = ACTIONS(631),
    [anon_sym_is] = ACTIONS(637),
    [anon_sym_PLUS] = ACTIONS(637),
    [anon_sym_DASH] = ACTIONS(637),
    [anon_sym_STAR] = ACTIONS(637),
    [anon_sym_SLASH] = ACTIONS(637),
    [anon_sym_PERCENT] = ACTIONS(637),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PIPE] = ACTIONS(631),
    [anon_sym_CARET] = ACTIONS(637),
    [anon_sym_LT_LT] = ACTIONS(631),
    [anon_sym_GT_GT] = ACTIONS(631),
    [anon_sym_BANG2] = ACTIONS(637),
    [anon_sym_AT] = ACTIONS(3410),
    [anon_sym_inout] = ACTIONS(3410),
    [anon_sym_ATescaping] = ACTIONS(3408),
    [anon_sym_ATautoclosure] = ACTIONS(3408),
    [anon_sym_borrowing] = ACTIONS(3410),
    [anon_sym_consuming] = ACTIONS(3410),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(631),
    [sym__dot_custom] = ACTIONS(631),
    [sym__conjunction_operator_custom] = ACTIONS(631),
    [sym__disjunction_operator_custom] = ACTIONS(631),
    [sym__nil_coalescing_operator_custom] = ACTIONS(631),
    [sym__eq_custom] = ACTIONS(631),
    [sym__eq_eq_custom] = ACTIONS(631),
    [sym__plus_then_ws] = ACTIONS(631),
    [sym__minus_then_ws] = ACTIONS(631),
    [sym__bang_custom] = ACTIONS(631),
    [sym__throws_keyword] = ACTIONS(631),
    [sym__rethrows_keyword] = ACTIONS(631),
    [sym__as_custom] = ACTIONS(631),
    [sym__as_quest_custom] = ACTIONS(631),
    [sym__as_bang_custom] = ACTIONS(631),
    [sym__async_keyword_custom] = ACTIONS(631),
    [sym__custom_operator] = ACTIONS(631),
  },
  [1463] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(3410),
    [aux_sym_simple_identifier_token2] = ACTIONS(3408),
    [aux_sym_simple_identifier_token3] = ACTIONS(3408),
    [aux_sym_simple_identifier_token4] = ACTIONS(3408),
    [anon_sym_actor] = ACTIONS(3410),
    [anon_sym_async] = ACTIONS(3410),
    [anon_sym_each] = ACTIONS(3410),
    [anon_sym_lazy] = ACTIONS(3410),
    [anon_sym_repeat] = ACTIONS(3410),
    [anon_sym_package] = ACTIONS(3410),
    [anon_sym_RPAREN] = ACTIONS(631),
    [anon_sym_COMMA] = ACTIONS(631),
    [anon_sym_BANG] = ACTIONS(637),
    [anon_sym_LPAREN] = ACTIONS(4695),
    [anon_sym_LBRACK] = ACTIONS(4695),
    [anon_sym_DOT] = ACTIONS(637),
    [anon_sym_QMARK] = ACTIONS(637),
    [anon_sym_QMARK2] = ACTIONS(631),
    [anon_sym_some] = ACTIONS(3410),
    [anon_sym_any] = ACTIONS(3410),
    [anon_sym_AMP] = ACTIONS(631),
    [aux_sym_custom_operator_token1] = ACTIONS(631),
    [anon_sym_LT] = ACTIONS(637),
    [anon_sym_GT] = ACTIONS(637),
    [anon_sym_LBRACE] = ACTIONS(631),
    [anon_sym_CARET_LBRACE] = ACTIONS(631),
    [anon_sym_PLUS_EQ] = ACTIONS(631),
    [anon_sym_DASH_EQ] = ACTIONS(631),
    [anon_sym_STAR_EQ] = ACTIONS(631),
    [anon_sym_SLASH_EQ] = ACTIONS(631),
    [anon_sym_PERCENT_EQ] = ACTIONS(631),
    [anon_sym_BANG_EQ] = ACTIONS(637),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(631),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(631),
    [anon_sym_LT_EQ] = ACTIONS(631),
    [anon_sym_GT_EQ] = ACTIONS(631),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(631),
    [anon_sym_DOT_DOT_LT] = ACTIONS(631),
    [anon_sym_is] = ACTIONS(637),
    [anon_sym_PLUS] = ACTIONS(637),
    [anon_sym_DASH] = ACTIONS(637),
    [anon_sym_STAR] = ACTIONS(637),
    [anon_sym_SLASH] = ACTIONS(637),
    [anon_sym_PERCENT] = ACTIONS(637),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PIPE] = ACTIONS(631),
    [anon_sym_CARET] = ACTIONS(637),
    [anon_sym_LT_LT] = ACTIONS(631),
    [anon_sym_GT_GT] = ACTIONS(631),
    [anon_sym_BANG2] = ACTIONS(637),
    [anon_sym_AT] = ACTIONS(3410),
    [anon_sym_inout] = ACTIONS(3410),
    [anon_sym_ATescaping] = ACTIONS(3408),
    [anon_sym_ATautoclosure] = ACTIONS(3408),
    [anon_sym_borrowing] = ACTIONS(3410),
    [anon_sym_consuming] = ACTIONS(3410),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(631),
    [sym__dot_custom] = ACTIONS(631),
    [sym__conjunction_operator_custom] = ACTIONS(631),
    [sym__disjunction_operator_custom] = ACTIONS(631),
    [sym__nil_coalescing_operator_custom] = ACTIONS(631),
    [sym__eq_custom] = ACTIONS(631),
    [sym__eq_eq_custom] = ACTIONS(631),
    [sym__plus_then_ws] = ACTIONS(631),
    [sym__minus_then_ws] = ACTIONS(631),
    [sym__bang_custom] = ACTIONS(631),
    [sym__throws_keyword] = ACTIONS(631),
    [sym__rethrows_keyword] = ACTIONS(631),
    [sym__as_custom] = ACTIONS(631),
    [sym__as_quest_custom] = ACTIONS(631),
    [sym__as_bang_custom] = ACTIONS(631),
    [sym__async_keyword_custom] = ACTIONS(631),
    [sym__custom_operator] = ACTIONS(631),
  },
  [1464] = {
    [sym_protocol_property_declaration] = STATE(5996),
    [sym_typealias_declaration] = STATE(5996),
    [sym__modifierless_typealias_declaration] = STATE(6322),
    [sym__bodyless_function_declaration] = STATE(5866),
    [sym__modifierless_function_declaration_no_body] = STATE(6136),
    [sym__non_constructor_function_decl] = STATE(6267),
    [sym__async_modifier] = STATE(6632),
    [sym__protocol_member_declarations] = STATE(7889),
    [sym__protocol_member_declaration] = STATE(5996),
    [sym_init_declaration] = STATE(5996),
    [sym_deinit_declaration] = STATE(5996),
    [sym_subscript_declaration] = STATE(5996),
    [sym_associatedtype_declaration] = STATE(5996),
    [sym_attribute] = STATE(1553),
    [sym_value_binding_pattern] = STATE(4132),
    [sym__possibly_async_binding_pattern_kind] = STATE(4132),
    [sym__binding_kind_and_pattern] = STATE(5845),
    [sym_modifiers] = STATE(4502),
    [aux_sym__locally_permitted_modifiers] = STATE(1553),
    [sym__non_local_scope_modifier] = STATE(1553),
    [sym__locally_permitted_modifier] = STATE(1553),
    [sym_property_behavior_modifier] = STATE(1553),
    [sym_member_modifier] = STATE(1553),
    [sym_visibility_modifier] = STATE(1553),
    [sym_function_modifier] = STATE(1553),
    [sym_mutation_modifier] = STATE(1553),
    [sym_property_modifier] = STATE(1553),
    [sym_inheritance_modifier] = STATE(1553),
    [sym_parameter_modifier] = STATE(1553),
    [sym_ownership_modifier] = STATE(1553),
    [sym__parameter_ownership_modifier] = STATE(2572),
    [aux_sym_modifiers_repeat1] = STATE(1553),
    [sym_comment] = ACTIONS(5),
    [anon_sym_async] = ACTIONS(3589),
    [anon_sym_lazy] = ACTIONS(3591),
    [anon_sym_package] = ACTIONS(3593),
    [anon_sym_RBRACE] = ACTIONS(4698),
    [anon_sym_typealias] = ACTIONS(4679),
    [anon_sym_class] = ACTIONS(4681),
    [anon_sym_let] = ACTIONS(3609),
    [anon_sym_var] = ACTIONS(3609),
    [anon_sym_func] = ACTIONS(3611),
    [anon_sym_init] = ACTIONS(4683),
    [anon_sym_deinit] = ACTIONS(4685),
    [anon_sym_subscript] = ACTIONS(4687),
    [anon_sym_prefix] = ACTIONS(4689),
    [anon_sym_infix] = ACTIONS(4689),
    [anon_sym_postfix] = ACTIONS(4689),
    [anon_sym_associatedtype] = ACTIONS(4691),
    [anon_sym_AT] = ACTIONS(123),
    [anon_sym_override] = ACTIONS(3629),
    [anon_sym_convenience] = ACTIONS(3629),
    [anon_sym_required] = ACTIONS(3629),
    [anon_sym_nonisolated] = ACTIONS(3629),
    [anon_sym_public] = ACTIONS(3593),
    [anon_sym_private] = ACTIONS(3593),
    [anon_sym_internal] = ACTIONS(3593),
    [anon_sym_fileprivate] = ACTIONS(3593),
    [anon_sym_open] = ACTIONS(3593),
    [anon_sym_mutating] = ACTIONS(3631),
    [anon_sym_nonmutating] = ACTIONS(3631),
    [anon_sym_static] = ACTIONS(3633),
    [anon_sym_dynamic] = ACTIONS(3633),
    [anon_sym_optional] = ACTIONS(3633),
    [anon_sym_distributed] = ACTIONS(3633),
    [anon_sym_final] = ACTIONS(3635),
    [anon_sym_inout] = ACTIONS(137),
    [anon_sym_ATescaping] = ACTIONS(137),
    [anon_sym_ATautoclosure] = ACTIONS(137),
    [anon_sym_weak] = ACTIONS(141),
    [anon_sym_unowned] = ACTIONS(139),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(141),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(141),
    [anon_sym_borrowing] = ACTIONS(137),
    [anon_sym_consuming] = ACTIONS(137),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
  },
  [1465] = {
    [sym_simple_identifier] = STATE(7836),
    [sym__contextual_simple_identifier] = STATE(4320),
    [sym_type_arguments] = STATE(1829),
    [sym__parameter_ownership_modifier] = STATE(4320),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2812),
    [aux_sym_simple_identifier_token2] = ACTIONS(2814),
    [aux_sym_simple_identifier_token3] = ACTIONS(2814),
    [aux_sym_simple_identifier_token4] = ACTIONS(2814),
    [anon_sym_actor] = ACTIONS(2812),
    [anon_sym_async] = ACTIONS(2812),
    [anon_sym_each] = ACTIONS(2812),
    [anon_sym_lazy] = ACTIONS(2812),
    [anon_sym_repeat] = ACTIONS(2812),
    [anon_sym_package] = ACTIONS(2812),
    [anon_sym_COMMA] = ACTIONS(4700),
    [anon_sym_COLON] = ACTIONS(4702),
    [anon_sym_LPAREN] = ACTIONS(3078),
    [anon_sym_LBRACK] = ACTIONS(3076),
    [anon_sym_QMARK] = ACTIONS(3081),
    [anon_sym_QMARK2] = ACTIONS(3076),
    [anon_sym_AMP] = ACTIONS(3076),
    [aux_sym_custom_operator_token1] = ACTIONS(3076),
    [anon_sym_LT] = ACTIONS(3083),
    [anon_sym_GT] = ACTIONS(3081),
    [anon_sym_LBRACE] = ACTIONS(3078),
    [anon_sym_CARET_LBRACE] = ACTIONS(3078),
    [anon_sym_RBRACE] = ACTIONS(3076),
    [anon_sym_in] = ACTIONS(4704),
    [anon_sym_PLUS_EQ] = ACTIONS(3076),
    [anon_sym_DASH_EQ] = ACTIONS(3076),
    [anon_sym_STAR_EQ] = ACTIONS(3076),
    [anon_sym_SLASH_EQ] = ACTIONS(3076),
    [anon_sym_PERCENT_EQ] = ACTIONS(3076),
    [anon_sym_BANG_EQ] = ACTIONS(3081),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3076),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3076),
    [anon_sym_LT_EQ] = ACTIONS(3076),
    [anon_sym_GT_EQ] = ACTIONS(3076),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3076),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3076),
    [anon_sym_is] = ACTIONS(3081),
    [anon_sym_PLUS] = ACTIONS(3081),
    [anon_sym_DASH] = ACTIONS(3081),
    [anon_sym_STAR] = ACTIONS(3081),
    [anon_sym_SLASH] = ACTIONS(3081),
    [anon_sym_PERCENT] = ACTIONS(3081),
    [anon_sym_PLUS_PLUS] = ACTIONS(3076),
    [anon_sym_DASH_DASH] = ACTIONS(3076),
    [anon_sym_PIPE] = ACTIONS(3076),
    [anon_sym_CARET] = ACTIONS(3081),
    [anon_sym_LT_LT] = ACTIONS(3076),
    [anon_sym_GT_GT] = ACTIONS(3076),
    [anon_sym_BANG2] = ACTIONS(3081),
    [anon_sym_borrowing] = ACTIONS(2812),
    [anon_sym_consuming] = ACTIONS(2812),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3076),
    [sym__explicit_semi] = ACTIONS(3076),
    [sym__arrow_operator_custom] = ACTIONS(4700),
    [sym__dot_custom] = ACTIONS(3078),
    [sym__conjunction_operator_custom] = ACTIONS(3076),
    [sym__disjunction_operator_custom] = ACTIONS(3076),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3076),
    [sym__eq_custom] = ACTIONS(3076),
    [sym__eq_eq_custom] = ACTIONS(3076),
    [sym__plus_then_ws] = ACTIONS(3076),
    [sym__minus_then_ws] = ACTIONS(3076),
    [sym__bang_custom] = ACTIONS(3076),
    [sym__throws_keyword] = ACTIONS(4700),
    [sym__rethrows_keyword] = ACTIONS(4700),
    [sym__as_custom] = ACTIONS(3076),
    [sym__as_quest_custom] = ACTIONS(3076),
    [sym__as_bang_custom] = ACTIONS(3076),
    [sym__async_keyword_custom] = ACTIONS(4700),
    [sym__custom_operator] = ACTIONS(3076),
  },
  [1466] = {
    [sym_protocol_property_declaration] = STATE(6934),
    [sym_typealias_declaration] = STATE(6934),
    [sym__modifierless_typealias_declaration] = STATE(6322),
    [sym__bodyless_function_declaration] = STATE(5866),
    [sym__modifierless_function_declaration_no_body] = STATE(6136),
    [sym__non_constructor_function_decl] = STATE(6267),
    [sym__async_modifier] = STATE(6632),
    [sym__protocol_member_declaration] = STATE(6934),
    [sym_init_declaration] = STATE(6934),
    [sym_deinit_declaration] = STATE(6934),
    [sym_subscript_declaration] = STATE(6934),
    [sym_associatedtype_declaration] = STATE(6934),
    [sym_attribute] = STATE(1553),
    [sym_value_binding_pattern] = STATE(4132),
    [sym__possibly_async_binding_pattern_kind] = STATE(4132),
    [sym__binding_kind_and_pattern] = STATE(5845),
    [sym_modifiers] = STATE(4502),
    [aux_sym__locally_permitted_modifiers] = STATE(1553),
    [sym__non_local_scope_modifier] = STATE(1553),
    [sym__locally_permitted_modifier] = STATE(1553),
    [sym_property_behavior_modifier] = STATE(1553),
    [sym_member_modifier] = STATE(1553),
    [sym_visibility_modifier] = STATE(1553),
    [sym_function_modifier] = STATE(1553),
    [sym_mutation_modifier] = STATE(1553),
    [sym_property_modifier] = STATE(1553),
    [sym_inheritance_modifier] = STATE(1553),
    [sym_parameter_modifier] = STATE(1553),
    [sym_ownership_modifier] = STATE(1553),
    [sym__parameter_ownership_modifier] = STATE(2572),
    [aux_sym_modifiers_repeat1] = STATE(1553),
    [sym_comment] = ACTIONS(5),
    [anon_sym_async] = ACTIONS(3589),
    [anon_sym_lazy] = ACTIONS(3591),
    [anon_sym_package] = ACTIONS(3593),
    [anon_sym_RBRACE] = ACTIONS(4706),
    [anon_sym_typealias] = ACTIONS(4679),
    [anon_sym_class] = ACTIONS(4681),
    [anon_sym_let] = ACTIONS(3609),
    [anon_sym_var] = ACTIONS(3609),
    [anon_sym_func] = ACTIONS(3611),
    [anon_sym_init] = ACTIONS(4683),
    [anon_sym_deinit] = ACTIONS(4685),
    [anon_sym_subscript] = ACTIONS(4687),
    [anon_sym_prefix] = ACTIONS(4689),
    [anon_sym_infix] = ACTIONS(4689),
    [anon_sym_postfix] = ACTIONS(4689),
    [anon_sym_associatedtype] = ACTIONS(4691),
    [anon_sym_AT] = ACTIONS(123),
    [anon_sym_override] = ACTIONS(3629),
    [anon_sym_convenience] = ACTIONS(3629),
    [anon_sym_required] = ACTIONS(3629),
    [anon_sym_nonisolated] = ACTIONS(3629),
    [anon_sym_public] = ACTIONS(3593),
    [anon_sym_private] = ACTIONS(3593),
    [anon_sym_internal] = ACTIONS(3593),
    [anon_sym_fileprivate] = ACTIONS(3593),
    [anon_sym_open] = ACTIONS(3593),
    [anon_sym_mutating] = ACTIONS(3631),
    [anon_sym_nonmutating] = ACTIONS(3631),
    [anon_sym_static] = ACTIONS(3633),
    [anon_sym_dynamic] = ACTIONS(3633),
    [anon_sym_optional] = ACTIONS(3633),
    [anon_sym_distributed] = ACTIONS(3633),
    [anon_sym_final] = ACTIONS(3635),
    [anon_sym_inout] = ACTIONS(137),
    [anon_sym_ATescaping] = ACTIONS(137),
    [anon_sym_ATautoclosure] = ACTIONS(137),
    [anon_sym_weak] = ACTIONS(141),
    [anon_sym_unowned] = ACTIONS(139),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(141),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(141),
    [anon_sym_borrowing] = ACTIONS(137),
    [anon_sym_consuming] = ACTIONS(137),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
  },
  [1467] = {
    [sym_protocol_property_declaration] = STATE(6934),
    [sym_typealias_declaration] = STATE(6934),
    [sym__modifierless_typealias_declaration] = STATE(6322),
    [sym__bodyless_function_declaration] = STATE(5866),
    [sym__modifierless_function_declaration_no_body] = STATE(6136),
    [sym__non_constructor_function_decl] = STATE(6267),
    [sym__async_modifier] = STATE(6632),
    [sym__protocol_member_declaration] = STATE(6934),
    [sym_init_declaration] = STATE(6934),
    [sym_deinit_declaration] = STATE(6934),
    [sym_subscript_declaration] = STATE(6934),
    [sym_associatedtype_declaration] = STATE(6934),
    [sym_attribute] = STATE(1553),
    [sym_value_binding_pattern] = STATE(4132),
    [sym__possibly_async_binding_pattern_kind] = STATE(4132),
    [sym__binding_kind_and_pattern] = STATE(5845),
    [sym_modifiers] = STATE(4502),
    [aux_sym__locally_permitted_modifiers] = STATE(1553),
    [sym__non_local_scope_modifier] = STATE(1553),
    [sym__locally_permitted_modifier] = STATE(1553),
    [sym_property_behavior_modifier] = STATE(1553),
    [sym_member_modifier] = STATE(1553),
    [sym_visibility_modifier] = STATE(1553),
    [sym_function_modifier] = STATE(1553),
    [sym_mutation_modifier] = STATE(1553),
    [sym_property_modifier] = STATE(1553),
    [sym_inheritance_modifier] = STATE(1553),
    [sym_parameter_modifier] = STATE(1553),
    [sym_ownership_modifier] = STATE(1553),
    [sym__parameter_ownership_modifier] = STATE(2572),
    [aux_sym_modifiers_repeat1] = STATE(1553),
    [sym_comment] = ACTIONS(5),
    [anon_sym_async] = ACTIONS(3589),
    [anon_sym_lazy] = ACTIONS(3591),
    [anon_sym_package] = ACTIONS(3593),
    [anon_sym_RBRACE] = ACTIONS(4708),
    [anon_sym_typealias] = ACTIONS(4679),
    [anon_sym_class] = ACTIONS(4681),
    [anon_sym_let] = ACTIONS(3609),
    [anon_sym_var] = ACTIONS(3609),
    [anon_sym_func] = ACTIONS(3611),
    [anon_sym_init] = ACTIONS(4683),
    [anon_sym_deinit] = ACTIONS(4685),
    [anon_sym_subscript] = ACTIONS(4687),
    [anon_sym_prefix] = ACTIONS(4689),
    [anon_sym_infix] = ACTIONS(4689),
    [anon_sym_postfix] = ACTIONS(4689),
    [anon_sym_associatedtype] = ACTIONS(4691),
    [anon_sym_AT] = ACTIONS(123),
    [anon_sym_override] = ACTIONS(3629),
    [anon_sym_convenience] = ACTIONS(3629),
    [anon_sym_required] = ACTIONS(3629),
    [anon_sym_nonisolated] = ACTIONS(3629),
    [anon_sym_public] = ACTIONS(3593),
    [anon_sym_private] = ACTIONS(3593),
    [anon_sym_internal] = ACTIONS(3593),
    [anon_sym_fileprivate] = ACTIONS(3593),
    [anon_sym_open] = ACTIONS(3593),
    [anon_sym_mutating] = ACTIONS(3631),
    [anon_sym_nonmutating] = ACTIONS(3631),
    [anon_sym_static] = ACTIONS(3633),
    [anon_sym_dynamic] = ACTIONS(3633),
    [anon_sym_optional] = ACTIONS(3633),
    [anon_sym_distributed] = ACTIONS(3633),
    [anon_sym_final] = ACTIONS(3635),
    [anon_sym_inout] = ACTIONS(137),
    [anon_sym_ATescaping] = ACTIONS(137),
    [anon_sym_ATautoclosure] = ACTIONS(137),
    [anon_sym_weak] = ACTIONS(141),
    [anon_sym_unowned] = ACTIONS(139),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(141),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(141),
    [anon_sym_borrowing] = ACTIONS(137),
    [anon_sym_consuming] = ACTIONS(137),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
  },
  [1468] = {
    [sym_simple_identifier] = STATE(5624),
    [sym__contextual_simple_identifier] = STATE(5797),
    [sym__parameter_ownership_modifier] = STATE(5797),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(3448),
    [aux_sym_simple_identifier_token2] = ACTIONS(4710),
    [aux_sym_simple_identifier_token3] = ACTIONS(4710),
    [aux_sym_simple_identifier_token4] = ACTIONS(4710),
    [anon_sym_actor] = ACTIONS(3448),
    [anon_sym_async] = ACTIONS(3448),
    [anon_sym_each] = ACTIONS(3448),
    [anon_sym_lazy] = ACTIONS(3448),
    [anon_sym_repeat] = ACTIONS(3448),
    [anon_sym_package] = ACTIONS(3448),
    [anon_sym_COMMA] = ACTIONS(631),
    [anon_sym_COLON] = ACTIONS(631),
    [anon_sym_LPAREN] = ACTIONS(631),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_QMARK] = ACTIONS(637),
    [anon_sym_QMARK2] = ACTIONS(631),
    [anon_sym_AMP] = ACTIONS(631),
    [aux_sym_custom_operator_token1] = ACTIONS(631),
    [anon_sym_LT] = ACTIONS(637),
    [anon_sym_GT] = ACTIONS(637),
    [anon_sym_LBRACE] = ACTIONS(631),
    [anon_sym_CARET_LBRACE] = ACTIONS(631),
    [anon_sym_RBRACE] = ACTIONS(631),
    [anon_sym_in] = ACTIONS(637),
    [anon_sym_PLUS_EQ] = ACTIONS(631),
    [anon_sym_DASH_EQ] = ACTIONS(631),
    [anon_sym_STAR_EQ] = ACTIONS(631),
    [anon_sym_SLASH_EQ] = ACTIONS(631),
    [anon_sym_PERCENT_EQ] = ACTIONS(631),
    [anon_sym_BANG_EQ] = ACTIONS(637),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(631),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(631),
    [anon_sym_LT_EQ] = ACTIONS(631),
    [anon_sym_GT_EQ] = ACTIONS(631),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(631),
    [anon_sym_DOT_DOT_LT] = ACTIONS(631),
    [anon_sym_is] = ACTIONS(637),
    [anon_sym_PLUS] = ACTIONS(637),
    [anon_sym_DASH] = ACTIONS(637),
    [anon_sym_STAR] = ACTIONS(637),
    [anon_sym_SLASH] = ACTIONS(637),
    [anon_sym_PERCENT] = ACTIONS(637),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PIPE] = ACTIONS(631),
    [anon_sym_CARET] = ACTIONS(637),
    [anon_sym_LT_LT] = ACTIONS(631),
    [anon_sym_GT_GT] = ACTIONS(631),
    [anon_sym_BANG2] = ACTIONS(637),
    [anon_sym_borrowing] = ACTIONS(3448),
    [anon_sym_consuming] = ACTIONS(3448),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(631),
    [sym__explicit_semi] = ACTIONS(631),
    [sym__arrow_operator_custom] = ACTIONS(631),
    [sym__dot_custom] = ACTIONS(631),
    [sym__conjunction_operator_custom] = ACTIONS(631),
    [sym__disjunction_operator_custom] = ACTIONS(631),
    [sym__nil_coalescing_operator_custom] = ACTIONS(631),
    [sym__eq_custom] = ACTIONS(631),
    [sym__eq_eq_custom] = ACTIONS(631),
    [sym__plus_then_ws] = ACTIONS(631),
    [sym__minus_then_ws] = ACTIONS(631),
    [sym__bang_custom] = ACTIONS(631),
    [sym__throws_keyword] = ACTIONS(631),
    [sym__rethrows_keyword] = ACTIONS(631),
    [sym__as_custom] = ACTIONS(631),
    [sym__as_quest_custom] = ACTIONS(631),
    [sym__as_bang_custom] = ACTIONS(631),
    [sym__async_keyword_custom] = ACTIONS(631),
    [sym__custom_operator] = ACTIONS(631),
  },
  [1469] = {
    [sym_simple_identifier] = STATE(2079),
    [sym__contextual_simple_identifier] = STATE(2115),
    [sym__simple_user_type] = STATE(2035),
    [sym_array_type] = STATE(2035),
    [sym_dictionary_type] = STATE(2035),
    [sym__parameter_ownership_modifier] = STATE(2115),
    [aux_sym_key_path_expression_repeat1] = STATE(2077),
    [ts_builtin_sym_end] = ACTIONS(2738),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(11),
    [aux_sym_simple_identifier_token2] = ACTIONS(13),
    [aux_sym_simple_identifier_token3] = ACTIONS(13),
    [aux_sym_simple_identifier_token4] = ACTIONS(13),
    [anon_sym_actor] = ACTIONS(11),
    [anon_sym_async] = ACTIONS(11),
    [anon_sym_each] = ACTIONS(11),
    [anon_sym_lazy] = ACTIONS(11),
    [anon_sym_repeat] = ACTIONS(11),
    [anon_sym_package] = ACTIONS(11),
    [anon_sym_COMMA] = ACTIONS(2738),
    [anon_sym_LPAREN] = ACTIONS(2738),
    [anon_sym_LBRACK] = ACTIONS(4713),
    [anon_sym_DOT] = ACTIONS(4715),
    [anon_sym_QMARK] = ACTIONS(2744),
    [anon_sym_QMARK2] = ACTIONS(2738),
    [anon_sym_AMP] = ACTIONS(2738),
    [aux_sym_custom_operator_token1] = ACTIONS(2738),
    [anon_sym_LT] = ACTIONS(2744),
    [anon_sym_GT] = ACTIONS(2744),
    [anon_sym_LBRACE] = ACTIONS(2738),
    [anon_sym_CARET_LBRACE] = ACTIONS(2738),
    [anon_sym_RBRACE] = ACTIONS(2738),
    [anon_sym_PLUS_EQ] = ACTIONS(2738),
    [anon_sym_DASH_EQ] = ACTIONS(2738),
    [anon_sym_STAR_EQ] = ACTIONS(2738),
    [anon_sym_SLASH_EQ] = ACTIONS(2738),
    [anon_sym_PERCENT_EQ] = ACTIONS(2738),
    [anon_sym_BANG_EQ] = ACTIONS(2744),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2738),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2738),
    [anon_sym_LT_EQ] = ACTIONS(2738),
    [anon_sym_GT_EQ] = ACTIONS(2738),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2738),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2738),
    [anon_sym_is] = ACTIONS(2744),
    [anon_sym_PLUS] = ACTIONS(2744),
    [anon_sym_DASH] = ACTIONS(2744),
    [anon_sym_STAR] = ACTIONS(2744),
    [anon_sym_SLASH] = ACTIONS(2744),
    [anon_sym_PERCENT] = ACTIONS(2744),
    [anon_sym_PLUS_PLUS] = ACTIONS(2738),
    [anon_sym_DASH_DASH] = ACTIONS(2738),
    [anon_sym_PIPE] = ACTIONS(2738),
    [anon_sym_CARET] = ACTIONS(2744),
    [anon_sym_LT_LT] = ACTIONS(2738),
    [anon_sym_GT_GT] = ACTIONS(2738),
    [anon_sym_BANG2] = ACTIONS(2744),
    [anon_sym_borrowing] = ACTIONS(11),
    [anon_sym_consuming] = ACTIONS(11),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2738),
    [sym__explicit_semi] = ACTIONS(2738),
    [sym__dot_custom] = ACTIONS(2738),
    [sym__conjunction_operator_custom] = ACTIONS(2738),
    [sym__disjunction_operator_custom] = ACTIONS(2738),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2738),
    [sym__eq_custom] = ACTIONS(2738),
    [sym__eq_eq_custom] = ACTIONS(2738),
    [sym__plus_then_ws] = ACTIONS(2738),
    [sym__minus_then_ws] = ACTIONS(2738),
    [sym__bang_custom] = ACTIONS(2738),
    [sym__as_custom] = ACTIONS(2738),
    [sym__as_quest_custom] = ACTIONS(2738),
    [sym__as_bang_custom] = ACTIONS(2738),
    [sym__custom_operator] = ACTIONS(2738),
  },
  [1470] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(637),
    [aux_sym_simple_identifier_token2] = ACTIONS(631),
    [aux_sym_simple_identifier_token3] = ACTIONS(631),
    [aux_sym_simple_identifier_token4] = ACTIONS(631),
    [anon_sym_actor] = ACTIONS(637),
    [anon_sym_async] = ACTIONS(637),
    [anon_sym_each] = ACTIONS(637),
    [anon_sym_lazy] = ACTIONS(637),
    [anon_sym_repeat] = ACTIONS(637),
    [anon_sym_package] = ACTIONS(637),
    [anon_sym_COMMA] = ACTIONS(631),
    [anon_sym_COLON] = ACTIONS(631),
    [anon_sym_LPAREN] = ACTIONS(631),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_QMARK] = ACTIONS(637),
    [anon_sym_QMARK2] = ACTIONS(631),
    [anon_sym_AMP] = ACTIONS(631),
    [aux_sym_custom_operator_token1] = ACTIONS(631),
    [anon_sym_LT] = ACTIONS(637),
    [anon_sym_GT] = ACTIONS(637),
    [anon_sym_LBRACE] = ACTIONS(631),
    [anon_sym_CARET_LBRACE] = ACTIONS(631),
    [anon_sym_RBRACE] = ACTIONS(631),
    [anon_sym_in] = ACTIONS(637),
    [anon_sym_PLUS_EQ] = ACTIONS(631),
    [anon_sym_DASH_EQ] = ACTIONS(631),
    [anon_sym_STAR_EQ] = ACTIONS(631),
    [anon_sym_SLASH_EQ] = ACTIONS(631),
    [anon_sym_PERCENT_EQ] = ACTIONS(631),
    [anon_sym_BANG_EQ] = ACTIONS(637),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(631),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(631),
    [anon_sym_LT_EQ] = ACTIONS(631),
    [anon_sym_GT_EQ] = ACTIONS(631),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(631),
    [anon_sym_DOT_DOT_LT] = ACTIONS(631),
    [anon_sym_is] = ACTIONS(637),
    [anon_sym_PLUS] = ACTIONS(637),
    [anon_sym_DASH] = ACTIONS(637),
    [anon_sym_STAR] = ACTIONS(637),
    [anon_sym_SLASH] = ACTIONS(637),
    [anon_sym_PERCENT] = ACTIONS(637),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PIPE] = ACTIONS(631),
    [anon_sym_CARET] = ACTIONS(637),
    [anon_sym_LT_LT] = ACTIONS(631),
    [anon_sym_GT_GT] = ACTIONS(631),
    [anon_sym_let] = ACTIONS(4717),
    [anon_sym_var] = ACTIONS(4717),
    [anon_sym_BANG2] = ACTIONS(637),
    [anon_sym_borrowing] = ACTIONS(637),
    [anon_sym_consuming] = ACTIONS(637),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(631),
    [sym__explicit_semi] = ACTIONS(631),
    [sym__arrow_operator_custom] = ACTIONS(631),
    [sym__dot_custom] = ACTIONS(631),
    [sym__conjunction_operator_custom] = ACTIONS(631),
    [sym__disjunction_operator_custom] = ACTIONS(631),
    [sym__nil_coalescing_operator_custom] = ACTIONS(631),
    [sym__eq_custom] = ACTIONS(631),
    [sym__eq_eq_custom] = ACTIONS(631),
    [sym__plus_then_ws] = ACTIONS(631),
    [sym__minus_then_ws] = ACTIONS(631),
    [sym__bang_custom] = ACTIONS(631),
    [sym__throws_keyword] = ACTIONS(631),
    [sym__rethrows_keyword] = ACTIONS(631),
    [sym__as_custom] = ACTIONS(631),
    [sym__as_quest_custom] = ACTIONS(631),
    [sym__as_bang_custom] = ACTIONS(631),
    [sym__async_keyword_custom] = ACTIONS(631),
    [sym__custom_operator] = ACTIONS(631),
  },
  [1471] = {
    [sym_simple_identifier] = STATE(734),
    [sym__contextual_simple_identifier] = STATE(728),
    [sym__simple_user_type] = STATE(731),
    [sym_array_type] = STATE(731),
    [sym_dictionary_type] = STATE(731),
    [sym__parameter_ownership_modifier] = STATE(728),
    [aux_sym_key_path_expression_repeat1] = STATE(729),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(403),
    [aux_sym_simple_identifier_token2] = ACTIONS(405),
    [aux_sym_simple_identifier_token3] = ACTIONS(405),
    [aux_sym_simple_identifier_token4] = ACTIONS(405),
    [anon_sym_actor] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(403),
    [anon_sym_each] = ACTIONS(403),
    [anon_sym_lazy] = ACTIONS(403),
    [anon_sym_repeat] = ACTIONS(403),
    [anon_sym_package] = ACTIONS(403),
    [anon_sym_RPAREN] = ACTIONS(2738),
    [anon_sym_COMMA] = ACTIONS(2738),
    [anon_sym_COLON] = ACTIONS(2738),
    [anon_sym_LPAREN] = ACTIONS(2738),
    [anon_sym_LBRACK] = ACTIONS(2740),
    [anon_sym_RBRACK] = ACTIONS(2738),
    [anon_sym_DOT] = ACTIONS(2742),
    [anon_sym_QMARK] = ACTIONS(2744),
    [anon_sym_QMARK2] = ACTIONS(2738),
    [anon_sym_AMP] = ACTIONS(2738),
    [aux_sym_custom_operator_token1] = ACTIONS(2738),
    [anon_sym_LT] = ACTIONS(2744),
    [anon_sym_GT] = ACTIONS(2744),
    [anon_sym_LBRACE] = ACTIONS(2738),
    [anon_sym_CARET_LBRACE] = ACTIONS(2738),
    [anon_sym_PLUS_EQ] = ACTIONS(2738),
    [anon_sym_DASH_EQ] = ACTIONS(2738),
    [anon_sym_STAR_EQ] = ACTIONS(2738),
    [anon_sym_SLASH_EQ] = ACTIONS(2738),
    [anon_sym_PERCENT_EQ] = ACTIONS(2738),
    [anon_sym_BANG_EQ] = ACTIONS(2744),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2738),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2738),
    [anon_sym_LT_EQ] = ACTIONS(2738),
    [anon_sym_GT_EQ] = ACTIONS(2738),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2738),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2738),
    [anon_sym_is] = ACTIONS(2744),
    [anon_sym_PLUS] = ACTIONS(2744),
    [anon_sym_DASH] = ACTIONS(2744),
    [anon_sym_STAR] = ACTIONS(2744),
    [anon_sym_SLASH] = ACTIONS(2744),
    [anon_sym_PERCENT] = ACTIONS(2744),
    [anon_sym_PLUS_PLUS] = ACTIONS(2738),
    [anon_sym_DASH_DASH] = ACTIONS(2738),
    [anon_sym_PIPE] = ACTIONS(2738),
    [anon_sym_CARET] = ACTIONS(2744),
    [anon_sym_LT_LT] = ACTIONS(2738),
    [anon_sym_GT_GT] = ACTIONS(2738),
    [anon_sym_BANG2] = ACTIONS(2744),
    [anon_sym_borrowing] = ACTIONS(403),
    [anon_sym_consuming] = ACTIONS(403),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2738),
    [sym__conjunction_operator_custom] = ACTIONS(2738),
    [sym__disjunction_operator_custom] = ACTIONS(2738),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2738),
    [sym__eq_custom] = ACTIONS(2738),
    [sym__eq_eq_custom] = ACTIONS(2738),
    [sym__plus_then_ws] = ACTIONS(2738),
    [sym__minus_then_ws] = ACTIONS(2738),
    [sym__bang_custom] = ACTIONS(2738),
    [sym__as_custom] = ACTIONS(2738),
    [sym__as_quest_custom] = ACTIONS(2738),
    [sym__as_bang_custom] = ACTIONS(2738),
    [sym__custom_operator] = ACTIONS(2738),
  },
  [1472] = {
    [sym_simple_identifier] = STATE(2268),
    [sym__contextual_simple_identifier] = STATE(2218),
    [sym__simple_user_type] = STATE(2222),
    [sym_array_type] = STATE(2222),
    [sym_dictionary_type] = STATE(2222),
    [sym__parameter_ownership_modifier] = STATE(2218),
    [aux_sym_key_path_expression_repeat1] = STATE(2311),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(1227),
    [aux_sym_simple_identifier_token2] = ACTIONS(1229),
    [aux_sym_simple_identifier_token3] = ACTIONS(1229),
    [aux_sym_simple_identifier_token4] = ACTIONS(1229),
    [anon_sym_actor] = ACTIONS(1227),
    [anon_sym_async] = ACTIONS(1227),
    [anon_sym_each] = ACTIONS(1227),
    [anon_sym_lazy] = ACTIONS(1227),
    [anon_sym_repeat] = ACTIONS(1227),
    [anon_sym_package] = ACTIONS(1227),
    [anon_sym_COMMA] = ACTIONS(2738),
    [anon_sym_LPAREN] = ACTIONS(2738),
    [anon_sym_LBRACK] = ACTIONS(4719),
    [anon_sym_DOT] = ACTIONS(4721),
    [anon_sym_QMARK] = ACTIONS(2744),
    [anon_sym_QMARK2] = ACTIONS(2738),
    [anon_sym_AMP] = ACTIONS(2738),
    [aux_sym_custom_operator_token1] = ACTIONS(2738),
    [anon_sym_LT] = ACTIONS(2744),
    [anon_sym_GT] = ACTIONS(2744),
    [anon_sym_LBRACE] = ACTIONS(2738),
    [anon_sym_CARET_LBRACE] = ACTIONS(2738),
    [anon_sym_RBRACE] = ACTIONS(2738),
    [anon_sym_PLUS_EQ] = ACTIONS(2738),
    [anon_sym_DASH_EQ] = ACTIONS(2738),
    [anon_sym_STAR_EQ] = ACTIONS(2738),
    [anon_sym_SLASH_EQ] = ACTIONS(2738),
    [anon_sym_PERCENT_EQ] = ACTIONS(2738),
    [anon_sym_BANG_EQ] = ACTIONS(2744),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2738),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2738),
    [anon_sym_LT_EQ] = ACTIONS(2738),
    [anon_sym_GT_EQ] = ACTIONS(2738),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2738),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2738),
    [anon_sym_is] = ACTIONS(2744),
    [anon_sym_PLUS] = ACTIONS(2744),
    [anon_sym_DASH] = ACTIONS(2744),
    [anon_sym_STAR] = ACTIONS(2744),
    [anon_sym_SLASH] = ACTIONS(2744),
    [anon_sym_PERCENT] = ACTIONS(2744),
    [anon_sym_PLUS_PLUS] = ACTIONS(2738),
    [anon_sym_DASH_DASH] = ACTIONS(2738),
    [anon_sym_PIPE] = ACTIONS(2738),
    [anon_sym_CARET] = ACTIONS(2744),
    [anon_sym_LT_LT] = ACTIONS(2738),
    [anon_sym_GT_GT] = ACTIONS(2738),
    [anon_sym_BANG2] = ACTIONS(2744),
    [anon_sym_borrowing] = ACTIONS(1227),
    [anon_sym_consuming] = ACTIONS(1227),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(2738),
    [sym__implicit_semi] = ACTIONS(2738),
    [sym__explicit_semi] = ACTIONS(2738),
    [sym__dot_custom] = ACTIONS(2738),
    [sym__conjunction_operator_custom] = ACTIONS(2738),
    [sym__disjunction_operator_custom] = ACTIONS(2738),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2738),
    [sym__eq_custom] = ACTIONS(2738),
    [sym__eq_eq_custom] = ACTIONS(2738),
    [sym__plus_then_ws] = ACTIONS(2738),
    [sym__minus_then_ws] = ACTIONS(2738),
    [sym__bang_custom] = ACTIONS(2738),
    [sym__as_custom] = ACTIONS(2738),
    [sym__as_quest_custom] = ACTIONS(2738),
    [sym__as_bang_custom] = ACTIONS(2738),
    [sym__custom_operator] = ACTIONS(2738),
  },
  [1473] = {
    [sym_protocol_property_declaration] = STATE(6934),
    [sym_typealias_declaration] = STATE(6934),
    [sym__modifierless_typealias_declaration] = STATE(6322),
    [sym__bodyless_function_declaration] = STATE(5866),
    [sym__modifierless_function_declaration_no_body] = STATE(6136),
    [sym__non_constructor_function_decl] = STATE(6267),
    [sym__async_modifier] = STATE(6632),
    [sym__protocol_member_declaration] = STATE(6934),
    [sym_init_declaration] = STATE(6934),
    [sym_deinit_declaration] = STATE(6934),
    [sym_subscript_declaration] = STATE(6934),
    [sym_associatedtype_declaration] = STATE(6934),
    [sym_attribute] = STATE(1553),
    [sym_value_binding_pattern] = STATE(4132),
    [sym__possibly_async_binding_pattern_kind] = STATE(4132),
    [sym__binding_kind_and_pattern] = STATE(5845),
    [sym_modifiers] = STATE(4502),
    [aux_sym__locally_permitted_modifiers] = STATE(1553),
    [sym__non_local_scope_modifier] = STATE(1553),
    [sym__locally_permitted_modifier] = STATE(1553),
    [sym_property_behavior_modifier] = STATE(1553),
    [sym_member_modifier] = STATE(1553),
    [sym_visibility_modifier] = STATE(1553),
    [sym_function_modifier] = STATE(1553),
    [sym_mutation_modifier] = STATE(1553),
    [sym_property_modifier] = STATE(1553),
    [sym_inheritance_modifier] = STATE(1553),
    [sym_parameter_modifier] = STATE(1553),
    [sym_ownership_modifier] = STATE(1553),
    [sym__parameter_ownership_modifier] = STATE(2572),
    [aux_sym_modifiers_repeat1] = STATE(1553),
    [sym_comment] = ACTIONS(5),
    [anon_sym_async] = ACTIONS(3589),
    [anon_sym_lazy] = ACTIONS(3591),
    [anon_sym_package] = ACTIONS(3593),
    [anon_sym_typealias] = ACTIONS(4679),
    [anon_sym_class] = ACTIONS(4681),
    [anon_sym_let] = ACTIONS(3609),
    [anon_sym_var] = ACTIONS(3609),
    [anon_sym_func] = ACTIONS(3611),
    [anon_sym_init] = ACTIONS(4683),
    [anon_sym_deinit] = ACTIONS(4685),
    [anon_sym_subscript] = ACTIONS(4687),
    [anon_sym_prefix] = ACTIONS(4689),
    [anon_sym_infix] = ACTIONS(4689),
    [anon_sym_postfix] = ACTIONS(4689),
    [anon_sym_associatedtype] = ACTIONS(4691),
    [anon_sym_AT] = ACTIONS(123),
    [anon_sym_override] = ACTIONS(3629),
    [anon_sym_convenience] = ACTIONS(3629),
    [anon_sym_required] = ACTIONS(3629),
    [anon_sym_nonisolated] = ACTIONS(3629),
    [anon_sym_public] = ACTIONS(3593),
    [anon_sym_private] = ACTIONS(3593),
    [anon_sym_internal] = ACTIONS(3593),
    [anon_sym_fileprivate] = ACTIONS(3593),
    [anon_sym_open] = ACTIONS(3593),
    [anon_sym_mutating] = ACTIONS(3631),
    [anon_sym_nonmutating] = ACTIONS(3631),
    [anon_sym_static] = ACTIONS(3633),
    [anon_sym_dynamic] = ACTIONS(3633),
    [anon_sym_optional] = ACTIONS(3633),
    [anon_sym_distributed] = ACTIONS(3633),
    [anon_sym_final] = ACTIONS(3635),
    [anon_sym_inout] = ACTIONS(137),
    [anon_sym_ATescaping] = ACTIONS(137),
    [anon_sym_ATautoclosure] = ACTIONS(137),
    [anon_sym_weak] = ACTIONS(141),
    [anon_sym_unowned] = ACTIONS(139),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(141),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(141),
    [anon_sym_borrowing] = ACTIONS(137),
    [anon_sym_consuming] = ACTIONS(137),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
  },
  [1474] = {
    [sym_simple_identifier] = STATE(2318),
    [sym__contextual_simple_identifier] = STATE(2439),
    [sym__simple_user_type] = STATE(2435),
    [sym_array_type] = STATE(2435),
    [sym_dictionary_type] = STATE(2435),
    [sym__parameter_ownership_modifier] = STATE(2439),
    [aux_sym_key_path_expression_repeat1] = STATE(2433),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(1309),
    [aux_sym_simple_identifier_token2] = ACTIONS(1311),
    [aux_sym_simple_identifier_token3] = ACTIONS(1311),
    [aux_sym_simple_identifier_token4] = ACTIONS(1311),
    [anon_sym_actor] = ACTIONS(1309),
    [anon_sym_async] = ACTIONS(1309),
    [anon_sym_each] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_repeat] = ACTIONS(1309),
    [anon_sym_package] = ACTIONS(1309),
    [anon_sym_COMMA] = ACTIONS(2738),
    [anon_sym_LPAREN] = ACTIONS(2738),
    [anon_sym_LBRACK] = ACTIONS(4723),
    [anon_sym_DOT] = ACTIONS(4725),
    [anon_sym_QMARK] = ACTIONS(2744),
    [anon_sym_QMARK2] = ACTIONS(2738),
    [anon_sym_AMP] = ACTIONS(2738),
    [aux_sym_custom_operator_token1] = ACTIONS(2738),
    [anon_sym_LT] = ACTIONS(2744),
    [anon_sym_GT] = ACTIONS(2744),
    [anon_sym_LBRACE] = ACTIONS(2738),
    [anon_sym_CARET_LBRACE] = ACTIONS(2738),
    [anon_sym_PLUS_EQ] = ACTIONS(2738),
    [anon_sym_DASH_EQ] = ACTIONS(2738),
    [anon_sym_STAR_EQ] = ACTIONS(2738),
    [anon_sym_SLASH_EQ] = ACTIONS(2738),
    [anon_sym_PERCENT_EQ] = ACTIONS(2738),
    [anon_sym_BANG_EQ] = ACTIONS(2744),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2738),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2738),
    [anon_sym_LT_EQ] = ACTIONS(2738),
    [anon_sym_GT_EQ] = ACTIONS(2738),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2738),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2738),
    [anon_sym_is] = ACTIONS(2744),
    [anon_sym_PLUS] = ACTIONS(2744),
    [anon_sym_DASH] = ACTIONS(2744),
    [anon_sym_STAR] = ACTIONS(2744),
    [anon_sym_SLASH] = ACTIONS(2744),
    [anon_sym_PERCENT] = ACTIONS(2744),
    [anon_sym_PLUS_PLUS] = ACTIONS(2738),
    [anon_sym_DASH_DASH] = ACTIONS(2738),
    [anon_sym_PIPE] = ACTIONS(2738),
    [anon_sym_CARET] = ACTIONS(2744),
    [anon_sym_LT_LT] = ACTIONS(2738),
    [anon_sym_GT_GT] = ACTIONS(2738),
    [anon_sym_BANG2] = ACTIONS(2744),
    [anon_sym_borrowing] = ACTIONS(1309),
    [anon_sym_consuming] = ACTIONS(1309),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2738),
    [sym__conjunction_operator_custom] = ACTIONS(2738),
    [sym__disjunction_operator_custom] = ACTIONS(2738),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2738),
    [sym__eq_custom] = ACTIONS(2738),
    [sym__eq_eq_custom] = ACTIONS(2738),
    [sym__plus_then_ws] = ACTIONS(2738),
    [sym__minus_then_ws] = ACTIONS(2738),
    [sym__bang_custom] = ACTIONS(2738),
    [sym_where_keyword] = ACTIONS(2738),
    [sym_else] = ACTIONS(2738),
    [sym__as_custom] = ACTIONS(2738),
    [sym__as_quest_custom] = ACTIONS(2738),
    [sym__as_bang_custom] = ACTIONS(2738),
    [sym__custom_operator] = ACTIONS(2738),
  },
  [1475] = {
    [sym_simple_identifier] = STATE(2350),
    [sym__contextual_simple_identifier] = STATE(2374),
    [sym__simple_user_type] = STATE(2370),
    [sym_array_type] = STATE(2370),
    [sym_dictionary_type] = STATE(2370),
    [sym__parameter_ownership_modifier] = STATE(2374),
    [aux_sym_key_path_expression_repeat1] = STATE(2372),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(1037),
    [aux_sym_simple_identifier_token2] = ACTIONS(1039),
    [aux_sym_simple_identifier_token3] = ACTIONS(1039),
    [aux_sym_simple_identifier_token4] = ACTIONS(1039),
    [anon_sym_actor] = ACTIONS(1037),
    [anon_sym_async] = ACTIONS(1037),
    [anon_sym_each] = ACTIONS(1037),
    [anon_sym_lazy] = ACTIONS(1037),
    [anon_sym_repeat] = ACTIONS(1037),
    [anon_sym_package] = ACTIONS(1037),
    [anon_sym_COMMA] = ACTIONS(2738),
    [anon_sym_COLON] = ACTIONS(2738),
    [anon_sym_LPAREN] = ACTIONS(2738),
    [anon_sym_LBRACK] = ACTIONS(4727),
    [anon_sym_DOT] = ACTIONS(4729),
    [anon_sym_QMARK] = ACTIONS(2744),
    [anon_sym_QMARK2] = ACTIONS(2738),
    [anon_sym_AMP] = ACTIONS(2738),
    [aux_sym_custom_operator_token1] = ACTIONS(2738),
    [anon_sym_LT] = ACTIONS(2744),
    [anon_sym_GT] = ACTIONS(2744),
    [anon_sym_LBRACE] = ACTIONS(2738),
    [anon_sym_CARET_LBRACE] = ACTIONS(2738),
    [anon_sym_PLUS_EQ] = ACTIONS(2738),
    [anon_sym_DASH_EQ] = ACTIONS(2738),
    [anon_sym_STAR_EQ] = ACTIONS(2738),
    [anon_sym_SLASH_EQ] = ACTIONS(2738),
    [anon_sym_PERCENT_EQ] = ACTIONS(2738),
    [anon_sym_BANG_EQ] = ACTIONS(2744),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2738),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2738),
    [anon_sym_LT_EQ] = ACTIONS(2738),
    [anon_sym_GT_EQ] = ACTIONS(2738),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2738),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2738),
    [anon_sym_is] = ACTIONS(2744),
    [anon_sym_PLUS] = ACTIONS(2744),
    [anon_sym_DASH] = ACTIONS(2744),
    [anon_sym_STAR] = ACTIONS(2744),
    [anon_sym_SLASH] = ACTIONS(2744),
    [anon_sym_PERCENT] = ACTIONS(2744),
    [anon_sym_PLUS_PLUS] = ACTIONS(2738),
    [anon_sym_DASH_DASH] = ACTIONS(2738),
    [anon_sym_PIPE] = ACTIONS(2738),
    [anon_sym_CARET] = ACTIONS(2744),
    [anon_sym_LT_LT] = ACTIONS(2738),
    [anon_sym_GT_GT] = ACTIONS(2738),
    [anon_sym_BANG2] = ACTIONS(2744),
    [anon_sym_borrowing] = ACTIONS(1037),
    [anon_sym_consuming] = ACTIONS(1037),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2738),
    [sym__conjunction_operator_custom] = ACTIONS(2738),
    [sym__disjunction_operator_custom] = ACTIONS(2738),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2738),
    [sym__eq_custom] = ACTIONS(2738),
    [sym__eq_eq_custom] = ACTIONS(2738),
    [sym__plus_then_ws] = ACTIONS(2738),
    [sym__minus_then_ws] = ACTIONS(2738),
    [sym__bang_custom] = ACTIONS(2738),
    [sym_where_keyword] = ACTIONS(2738),
    [sym__as_custom] = ACTIONS(2738),
    [sym__as_quest_custom] = ACTIONS(2738),
    [sym__as_bang_custom] = ACTIONS(2738),
    [sym__custom_operator] = ACTIONS(2738),
  },
  [1476] = {
    [sym_simple_identifier] = STATE(7685),
    [sym__contextual_simple_identifier] = STATE(4320),
    [sym__parameter_ownership_modifier] = STATE(4320),
    [aux_sym__fn_call_lambda_arguments_repeat1] = STATE(1481),
    [ts_builtin_sym_end] = ACTIONS(2819),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2812),
    [aux_sym_simple_identifier_token2] = ACTIONS(2814),
    [aux_sym_simple_identifier_token3] = ACTIONS(2814),
    [aux_sym_simple_identifier_token4] = ACTIONS(2814),
    [anon_sym_actor] = ACTIONS(2812),
    [anon_sym_async] = ACTIONS(2812),
    [anon_sym_each] = ACTIONS(2812),
    [anon_sym_lazy] = ACTIONS(2812),
    [anon_sym_repeat] = ACTIONS(2812),
    [anon_sym_package] = ACTIONS(2812),
    [anon_sym_COMMA] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(2819),
    [anon_sym_LBRACK] = ACTIONS(2819),
    [anon_sym_QMARK] = ACTIONS(2821),
    [anon_sym_QMARK2] = ACTIONS(2819),
    [anon_sym_AMP] = ACTIONS(2819),
    [aux_sym_custom_operator_token1] = ACTIONS(2819),
    [anon_sym_LT] = ACTIONS(2821),
    [anon_sym_GT] = ACTIONS(2821),
    [anon_sym_LBRACE] = ACTIONS(2819),
    [anon_sym_CARET_LBRACE] = ACTIONS(2819),
    [anon_sym_RBRACE] = ACTIONS(2819),
    [anon_sym_PLUS_EQ] = ACTIONS(2819),
    [anon_sym_DASH_EQ] = ACTIONS(2819),
    [anon_sym_STAR_EQ] = ACTIONS(2819),
    [anon_sym_SLASH_EQ] = ACTIONS(2819),
    [anon_sym_PERCENT_EQ] = ACTIONS(2819),
    [anon_sym_BANG_EQ] = ACTIONS(2821),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2819),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2819),
    [anon_sym_LT_EQ] = ACTIONS(2819),
    [anon_sym_GT_EQ] = ACTIONS(2819),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2819),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2819),
    [anon_sym_is] = ACTIONS(2821),
    [anon_sym_PLUS] = ACTIONS(2821),
    [anon_sym_DASH] = ACTIONS(2821),
    [anon_sym_STAR] = ACTIONS(2821),
    [anon_sym_SLASH] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(2821),
    [anon_sym_PLUS_PLUS] = ACTIONS(2819),
    [anon_sym_DASH_DASH] = ACTIONS(2819),
    [anon_sym_PIPE] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_LT_LT] = ACTIONS(2819),
    [anon_sym_GT_GT] = ACTIONS(2819),
    [anon_sym_BANG2] = ACTIONS(2821),
    [anon_sym_borrowing] = ACTIONS(2812),
    [anon_sym_consuming] = ACTIONS(2812),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2819),
    [sym__explicit_semi] = ACTIONS(2819),
    [sym__dot_custom] = ACTIONS(2819),
    [sym__conjunction_operator_custom] = ACTIONS(2819),
    [sym__disjunction_operator_custom] = ACTIONS(2819),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2819),
    [sym__eq_custom] = ACTIONS(2819),
    [sym__eq_eq_custom] = ACTIONS(2819),
    [sym__plus_then_ws] = ACTIONS(2819),
    [sym__minus_then_ws] = ACTIONS(2819),
    [sym__bang_custom] = ACTIONS(2819),
    [sym_where_keyword] = ACTIONS(2819),
    [sym__as_custom] = ACTIONS(2819),
    [sym__as_quest_custom] = ACTIONS(2819),
    [sym__as_bang_custom] = ACTIONS(2819),
    [sym__custom_operator] = ACTIONS(2819),
  },
  [1477] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2930),
    [aux_sym_simple_identifier_token2] = ACTIONS(2928),
    [aux_sym_simple_identifier_token3] = ACTIONS(2928),
    [aux_sym_simple_identifier_token4] = ACTIONS(2928),
    [anon_sym_actor] = ACTIONS(2930),
    [anon_sym_async] = ACTIONS(2930),
    [anon_sym_each] = ACTIONS(2930),
    [anon_sym_lazy] = ACTIONS(2930),
    [anon_sym_repeat] = ACTIONS(2930),
    [anon_sym_package] = ACTIONS(2930),
    [anon_sym_COMMA] = ACTIONS(2928),
    [anon_sym_COLON] = ACTIONS(2928),
    [anon_sym_LPAREN] = ACTIONS(2928),
    [anon_sym_LBRACK] = ACTIONS(2928),
    [anon_sym_QMARK] = ACTIONS(2930),
    [anon_sym_QMARK2] = ACTIONS(2928),
    [anon_sym_AMP] = ACTIONS(2928),
    [aux_sym_custom_operator_token1] = ACTIONS(2928),
    [anon_sym_LT] = ACTIONS(2930),
    [anon_sym_GT] = ACTIONS(2930),
    [anon_sym_LBRACE] = ACTIONS(2928),
    [anon_sym_CARET_LBRACE] = ACTIONS(2928),
    [anon_sym_RBRACE] = ACTIONS(2928),
    [anon_sym_in] = ACTIONS(2930),
    [anon_sym_PLUS_EQ] = ACTIONS(2928),
    [anon_sym_DASH_EQ] = ACTIONS(2928),
    [anon_sym_STAR_EQ] = ACTIONS(2928),
    [anon_sym_SLASH_EQ] = ACTIONS(2928),
    [anon_sym_PERCENT_EQ] = ACTIONS(2928),
    [anon_sym_BANG_EQ] = ACTIONS(2930),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2928),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2928),
    [anon_sym_LT_EQ] = ACTIONS(2928),
    [anon_sym_GT_EQ] = ACTIONS(2928),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2928),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2928),
    [anon_sym_is] = ACTIONS(2930),
    [anon_sym_PLUS] = ACTIONS(2930),
    [anon_sym_DASH] = ACTIONS(2930),
    [anon_sym_STAR] = ACTIONS(2930),
    [anon_sym_SLASH] = ACTIONS(2930),
    [anon_sym_PERCENT] = ACTIONS(2930),
    [anon_sym_PLUS_PLUS] = ACTIONS(2928),
    [anon_sym_DASH_DASH] = ACTIONS(2928),
    [anon_sym_PIPE] = ACTIONS(2928),
    [anon_sym_CARET] = ACTIONS(2930),
    [anon_sym_LT_LT] = ACTIONS(2928),
    [anon_sym_GT_GT] = ACTIONS(2928),
    [anon_sym_BANG2] = ACTIONS(2930),
    [anon_sym_borrowing] = ACTIONS(2930),
    [anon_sym_consuming] = ACTIONS(2930),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2928),
    [sym__explicit_semi] = ACTIONS(2928),
    [sym__arrow_operator_custom] = ACTIONS(2928),
    [sym__dot_custom] = ACTIONS(2928),
    [sym__conjunction_operator_custom] = ACTIONS(2928),
    [sym__disjunction_operator_custom] = ACTIONS(2928),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2928),
    [sym__eq_custom] = ACTIONS(2928),
    [sym__eq_eq_custom] = ACTIONS(2928),
    [sym__plus_then_ws] = ACTIONS(2928),
    [sym__minus_then_ws] = ACTIONS(2928),
    [sym__bang_custom] = ACTIONS(2928),
    [sym__throws_keyword] = ACTIONS(2928),
    [sym__rethrows_keyword] = ACTIONS(2928),
    [sym__as_custom] = ACTIONS(2928),
    [sym__as_quest_custom] = ACTIONS(2928),
    [sym__as_bang_custom] = ACTIONS(2928),
    [sym__async_keyword_custom] = ACTIONS(2928),
    [sym__custom_operator] = ACTIONS(2928),
  },
  [1478] = {
    [sym__immediate_quest] = STATE(1519),
    [sym__arrow_operator] = STATE(3522),
    [sym__async_keyword] = STATE(6049),
    [sym_throws] = STATE(7523),
    [aux_sym_optional_type_repeat1] = STATE(1519),
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2840),
    [anon_sym_async] = ACTIONS(2840),
    [anon_sym_lazy] = ACTIONS(2840),
    [anon_sym_package] = ACTIONS(2840),
    [anon_sym_COMMA] = ACTIONS(2840),
    [anon_sym_COLON] = ACTIONS(2840),
    [anon_sym_DOT] = ACTIONS(2840),
    [anon_sym_QMARK] = ACTIONS(2842),
    [anon_sym_QMARK2] = ACTIONS(4731),
    [anon_sym_AMP] = ACTIONS(2840),
    [anon_sym_LBRACE] = ACTIONS(2840),
    [anon_sym_RBRACE] = ACTIONS(2840),
    [anon_sym_case] = ACTIONS(2840),
    [anon_sym_import] = ACTIONS(2840),
    [anon_sym_typealias] = ACTIONS(2840),
    [anon_sym_struct] = ACTIONS(2840),
    [anon_sym_class] = ACTIONS(2840),
    [anon_sym_enum] = ACTIONS(2840),
    [anon_sym_protocol] = ACTIONS(2840),
    [anon_sym_let] = ACTIONS(2840),
    [anon_sym_var] = ACTIONS(2840),
    [anon_sym_func] = ACTIONS(2840),
    [anon_sym_extension] = ACTIONS(2840),
    [anon_sym_indirect] = ACTIONS(2840),
    [anon_sym_init] = ACTIONS(2840),
    [anon_sym_deinit] = ACTIONS(2840),
    [anon_sym_subscript] = ACTIONS(2840),
    [anon_sym_prefix] = ACTIONS(2840),
    [anon_sym_infix] = ACTIONS(2840),
    [anon_sym_postfix] = ACTIONS(2840),
    [anon_sym_precedencegroup] = ACTIONS(2840),
    [anon_sym_associatedtype] = ACTIONS(2840),
    [anon_sym_AT] = ACTIONS(2842),
    [anon_sym_override] = ACTIONS(2840),
    [anon_sym_convenience] = ACTIONS(2840),
    [anon_sym_required] = ACTIONS(2840),
    [anon_sym_nonisolated] = ACTIONS(2840),
    [anon_sym_public] = ACTIONS(2840),
    [anon_sym_private] = ACTIONS(2840),
    [anon_sym_internal] = ACTIONS(2840),
    [anon_sym_fileprivate] = ACTIONS(2840),
    [anon_sym_open] = ACTIONS(2840),
    [anon_sym_mutating] = ACTIONS(2840),
    [anon_sym_nonmutating] = ACTIONS(2840),
    [anon_sym_static] = ACTIONS(2840),
    [anon_sym_dynamic] = ACTIONS(2840),
    [anon_sym_optional] = ACTIONS(2840),
    [anon_sym_distributed] = ACTIONS(2840),
    [anon_sym_final] = ACTIONS(2840),
    [anon_sym_inout] = ACTIONS(2840),
    [anon_sym_ATescaping] = ACTIONS(2840),
    [anon_sym_ATautoclosure] = ACTIONS(2840),
    [anon_sym_weak] = ACTIONS(2840),
    [anon_sym_unowned] = ACTIONS(2842),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2840),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2840),
    [anon_sym_borrowing] = ACTIONS(2840),
    [anon_sym_consuming] = ACTIONS(2840),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(4733),
    [sym__eq_custom] = ACTIONS(2840),
    [sym__throws_keyword] = ACTIONS(2848),
    [sym__rethrows_keyword] = ACTIONS(2848),
    [sym_where_keyword] = ACTIONS(2840),
    [sym__as_custom] = ACTIONS(2840),
    [sym__async_keyword_custom] = ACTIONS(4735),
  },
  [1479] = {
    [sym_simple_identifier] = STATE(2639),
    [sym__contextual_simple_identifier] = STATE(2558),
    [sym__simple_user_type] = STATE(2534),
    [sym_array_type] = STATE(2534),
    [sym_dictionary_type] = STATE(2534),
    [sym__parameter_ownership_modifier] = STATE(2558),
    [aux_sym_key_path_expression_repeat1] = STATE(2533),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(1147),
    [aux_sym_simple_identifier_token2] = ACTIONS(1149),
    [aux_sym_simple_identifier_token3] = ACTIONS(1149),
    [aux_sym_simple_identifier_token4] = ACTIONS(1149),
    [anon_sym_actor] = ACTIONS(1147),
    [anon_sym_async] = ACTIONS(1147),
    [anon_sym_each] = ACTIONS(1147),
    [anon_sym_lazy] = ACTIONS(1147),
    [anon_sym_repeat] = ACTIONS(1147),
    [anon_sym_package] = ACTIONS(1147),
    [anon_sym_COMMA] = ACTIONS(2738),
    [anon_sym_LPAREN] = ACTIONS(2738),
    [anon_sym_LBRACK] = ACTIONS(4737),
    [anon_sym_DOT] = ACTIONS(4739),
    [anon_sym_QMARK] = ACTIONS(2744),
    [anon_sym_QMARK2] = ACTIONS(2738),
    [anon_sym_AMP] = ACTIONS(2738),
    [aux_sym_custom_operator_token1] = ACTIONS(2738),
    [anon_sym_LT] = ACTIONS(2744),
    [anon_sym_GT] = ACTIONS(2744),
    [anon_sym_LBRACE] = ACTIONS(2738),
    [anon_sym_CARET_LBRACE] = ACTIONS(2738),
    [anon_sym_PLUS_EQ] = ACTIONS(2738),
    [anon_sym_DASH_EQ] = ACTIONS(2738),
    [anon_sym_STAR_EQ] = ACTIONS(2738),
    [anon_sym_SLASH_EQ] = ACTIONS(2738),
    [anon_sym_PERCENT_EQ] = ACTIONS(2738),
    [anon_sym_BANG_EQ] = ACTIONS(2744),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2738),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2738),
    [anon_sym_LT_EQ] = ACTIONS(2738),
    [anon_sym_GT_EQ] = ACTIONS(2738),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2738),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2738),
    [anon_sym_is] = ACTIONS(2744),
    [anon_sym_PLUS] = ACTIONS(2744),
    [anon_sym_DASH] = ACTIONS(2744),
    [anon_sym_STAR] = ACTIONS(2744),
    [anon_sym_SLASH] = ACTIONS(2744),
    [anon_sym_PERCENT] = ACTIONS(2744),
    [anon_sym_PLUS_PLUS] = ACTIONS(2738),
    [anon_sym_DASH_DASH] = ACTIONS(2738),
    [anon_sym_PIPE] = ACTIONS(2738),
    [anon_sym_CARET] = ACTIONS(2744),
    [anon_sym_LT_LT] = ACTIONS(2738),
    [anon_sym_GT_GT] = ACTIONS(2738),
    [anon_sym_BANG2] = ACTIONS(2744),
    [anon_sym_borrowing] = ACTIONS(1147),
    [anon_sym_consuming] = ACTIONS(1147),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2738),
    [sym__conjunction_operator_custom] = ACTIONS(2738),
    [sym__disjunction_operator_custom] = ACTIONS(2738),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2738),
    [sym__eq_custom] = ACTIONS(2738),
    [sym__eq_eq_custom] = ACTIONS(2738),
    [sym__plus_then_ws] = ACTIONS(2738),
    [sym__minus_then_ws] = ACTIONS(2738),
    [sym__bang_custom] = ACTIONS(2738),
    [sym_else] = ACTIONS(2738),
    [sym__as_custom] = ACTIONS(2738),
    [sym__as_quest_custom] = ACTIONS(2738),
    [sym__as_bang_custom] = ACTIONS(2738),
    [sym__custom_operator] = ACTIONS(2738),
  },
  [1480] = {
    [sym_simple_identifier] = STATE(7685),
    [sym__contextual_simple_identifier] = STATE(4320),
    [sym__parameter_ownership_modifier] = STATE(4320),
    [aux_sym__fn_call_lambda_arguments_repeat1] = STATE(1476),
    [ts_builtin_sym_end] = ACTIONS(2826),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2812),
    [aux_sym_simple_identifier_token2] = ACTIONS(2814),
    [aux_sym_simple_identifier_token3] = ACTIONS(2814),
    [aux_sym_simple_identifier_token4] = ACTIONS(2814),
    [anon_sym_actor] = ACTIONS(2812),
    [anon_sym_async] = ACTIONS(2812),
    [anon_sym_each] = ACTIONS(2812),
    [anon_sym_lazy] = ACTIONS(2812),
    [anon_sym_repeat] = ACTIONS(2812),
    [anon_sym_package] = ACTIONS(2812),
    [anon_sym_COMMA] = ACTIONS(2826),
    [anon_sym_LPAREN] = ACTIONS(2826),
    [anon_sym_LBRACK] = ACTIONS(2826),
    [anon_sym_QMARK] = ACTIONS(2828),
    [anon_sym_QMARK2] = ACTIONS(2826),
    [anon_sym_AMP] = ACTIONS(2826),
    [aux_sym_custom_operator_token1] = ACTIONS(2826),
    [anon_sym_LT] = ACTIONS(2828),
    [anon_sym_GT] = ACTIONS(2828),
    [anon_sym_LBRACE] = ACTIONS(2826),
    [anon_sym_CARET_LBRACE] = ACTIONS(2826),
    [anon_sym_RBRACE] = ACTIONS(2826),
    [anon_sym_PLUS_EQ] = ACTIONS(2826),
    [anon_sym_DASH_EQ] = ACTIONS(2826),
    [anon_sym_STAR_EQ] = ACTIONS(2826),
    [anon_sym_SLASH_EQ] = ACTIONS(2826),
    [anon_sym_PERCENT_EQ] = ACTIONS(2826),
    [anon_sym_BANG_EQ] = ACTIONS(2828),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2826),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2826),
    [anon_sym_LT_EQ] = ACTIONS(2826),
    [anon_sym_GT_EQ] = ACTIONS(2826),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2826),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2826),
    [anon_sym_is] = ACTIONS(2828),
    [anon_sym_PLUS] = ACTIONS(2828),
    [anon_sym_DASH] = ACTIONS(2828),
    [anon_sym_STAR] = ACTIONS(2828),
    [anon_sym_SLASH] = ACTIONS(2828),
    [anon_sym_PERCENT] = ACTIONS(2828),
    [anon_sym_PLUS_PLUS] = ACTIONS(2826),
    [anon_sym_DASH_DASH] = ACTIONS(2826),
    [anon_sym_PIPE] = ACTIONS(2826),
    [anon_sym_CARET] = ACTIONS(2828),
    [anon_sym_LT_LT] = ACTIONS(2826),
    [anon_sym_GT_GT] = ACTIONS(2826),
    [anon_sym_BANG2] = ACTIONS(2828),
    [anon_sym_borrowing] = ACTIONS(2812),
    [anon_sym_consuming] = ACTIONS(2812),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2826),
    [sym__explicit_semi] = ACTIONS(2826),
    [sym__dot_custom] = ACTIONS(2826),
    [sym__conjunction_operator_custom] = ACTIONS(2826),
    [sym__disjunction_operator_custom] = ACTIONS(2826),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2826),
    [sym__eq_custom] = ACTIONS(2826),
    [sym__eq_eq_custom] = ACTIONS(2826),
    [sym__plus_then_ws] = ACTIONS(2826),
    [sym__minus_then_ws] = ACTIONS(2826),
    [sym__bang_custom] = ACTIONS(2826),
    [sym_where_keyword] = ACTIONS(2826),
    [sym__as_custom] = ACTIONS(2826),
    [sym__as_quest_custom] = ACTIONS(2826),
    [sym__as_bang_custom] = ACTIONS(2826),
    [sym__custom_operator] = ACTIONS(2826),
  },
  [1481] = {
    [sym_simple_identifier] = STATE(7685),
    [sym__contextual_simple_identifier] = STATE(4320),
    [sym__parameter_ownership_modifier] = STATE(4320),
    [aux_sym__fn_call_lambda_arguments_repeat1] = STATE(1481),
    [ts_builtin_sym_end] = ACTIONS(2836),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2830),
    [aux_sym_simple_identifier_token2] = ACTIONS(2833),
    [aux_sym_simple_identifier_token3] = ACTIONS(2833),
    [aux_sym_simple_identifier_token4] = ACTIONS(2833),
    [anon_sym_actor] = ACTIONS(2830),
    [anon_sym_async] = ACTIONS(2830),
    [anon_sym_each] = ACTIONS(2830),
    [anon_sym_lazy] = ACTIONS(2830),
    [anon_sym_repeat] = ACTIONS(2830),
    [anon_sym_package] = ACTIONS(2830),
    [anon_sym_COMMA] = ACTIONS(2836),
    [anon_sym_LPAREN] = ACTIONS(2836),
    [anon_sym_LBRACK] = ACTIONS(2836),
    [anon_sym_QMARK] = ACTIONS(2838),
    [anon_sym_QMARK2] = ACTIONS(2836),
    [anon_sym_AMP] = ACTIONS(2836),
    [aux_sym_custom_operator_token1] = ACTIONS(2836),
    [anon_sym_LT] = ACTIONS(2838),
    [anon_sym_GT] = ACTIONS(2838),
    [anon_sym_LBRACE] = ACTIONS(2836),
    [anon_sym_CARET_LBRACE] = ACTIONS(2836),
    [anon_sym_RBRACE] = ACTIONS(2836),
    [anon_sym_PLUS_EQ] = ACTIONS(2836),
    [anon_sym_DASH_EQ] = ACTIONS(2836),
    [anon_sym_STAR_EQ] = ACTIONS(2836),
    [anon_sym_SLASH_EQ] = ACTIONS(2836),
    [anon_sym_PERCENT_EQ] = ACTIONS(2836),
    [anon_sym_BANG_EQ] = ACTIONS(2838),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2836),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2836),
    [anon_sym_LT_EQ] = ACTIONS(2836),
    [anon_sym_GT_EQ] = ACTIONS(2836),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2836),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2836),
    [anon_sym_is] = ACTIONS(2838),
    [anon_sym_PLUS] = ACTIONS(2838),
    [anon_sym_DASH] = ACTIONS(2838),
    [anon_sym_STAR] = ACTIONS(2838),
    [anon_sym_SLASH] = ACTIONS(2838),
    [anon_sym_PERCENT] = ACTIONS(2838),
    [anon_sym_PLUS_PLUS] = ACTIONS(2836),
    [anon_sym_DASH_DASH] = ACTIONS(2836),
    [anon_sym_PIPE] = ACTIONS(2836),
    [anon_sym_CARET] = ACTIONS(2838),
    [anon_sym_LT_LT] = ACTIONS(2836),
    [anon_sym_GT_GT] = ACTIONS(2836),
    [anon_sym_BANG2] = ACTIONS(2838),
    [anon_sym_borrowing] = ACTIONS(2830),
    [anon_sym_consuming] = ACTIONS(2830),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2836),
    [sym__explicit_semi] = ACTIONS(2836),
    [sym__dot_custom] = ACTIONS(2836),
    [sym__conjunction_operator_custom] = ACTIONS(2836),
    [sym__disjunction_operator_custom] = ACTIONS(2836),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2836),
    [sym__eq_custom] = ACTIONS(2836),
    [sym__eq_eq_custom] = ACTIONS(2836),
    [sym__plus_then_ws] = ACTIONS(2836),
    [sym__minus_then_ws] = ACTIONS(2836),
    [sym__bang_custom] = ACTIONS(2836),
    [sym_where_keyword] = ACTIONS(2836),
    [sym__as_custom] = ACTIONS(2836),
    [sym__as_quest_custom] = ACTIONS(2836),
    [sym__as_bang_custom] = ACTIONS(2836),
    [sym__custom_operator] = ACTIONS(2836),
  },
  [1482] = {
    [sym_simple_identifier] = STATE(7700),
    [sym__contextual_simple_identifier] = STATE(4320),
    [sym__parameter_ownership_modifier] = STATE(4320),
    [aux_sym__fn_call_lambda_arguments_repeat1] = STATE(1484),
    [ts_builtin_sym_end] = ACTIONS(2819),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2812),
    [aux_sym_simple_identifier_token2] = ACTIONS(2814),
    [aux_sym_simple_identifier_token3] = ACTIONS(2814),
    [aux_sym_simple_identifier_token4] = ACTIONS(2814),
    [anon_sym_actor] = ACTIONS(2812),
    [anon_sym_async] = ACTIONS(2812),
    [anon_sym_each] = ACTIONS(2812),
    [anon_sym_lazy] = ACTIONS(2812),
    [anon_sym_repeat] = ACTIONS(2812),
    [anon_sym_package] = ACTIONS(2812),
    [anon_sym_COMMA] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(2819),
    [anon_sym_LBRACK] = ACTIONS(2819),
    [anon_sym_QMARK] = ACTIONS(2821),
    [anon_sym_QMARK2] = ACTIONS(2819),
    [anon_sym_AMP] = ACTIONS(2819),
    [aux_sym_custom_operator_token1] = ACTIONS(2819),
    [anon_sym_LT] = ACTIONS(2821),
    [anon_sym_GT] = ACTIONS(2821),
    [anon_sym_LBRACE] = ACTIONS(2819),
    [anon_sym_CARET_LBRACE] = ACTIONS(2819),
    [anon_sym_RBRACE] = ACTIONS(2819),
    [anon_sym_PLUS_EQ] = ACTIONS(2819),
    [anon_sym_DASH_EQ] = ACTIONS(2819),
    [anon_sym_STAR_EQ] = ACTIONS(2819),
    [anon_sym_SLASH_EQ] = ACTIONS(2819),
    [anon_sym_PERCENT_EQ] = ACTIONS(2819),
    [anon_sym_BANG_EQ] = ACTIONS(2821),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2819),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2819),
    [anon_sym_LT_EQ] = ACTIONS(2819),
    [anon_sym_GT_EQ] = ACTIONS(2819),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2819),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2819),
    [anon_sym_is] = ACTIONS(2821),
    [anon_sym_PLUS] = ACTIONS(2821),
    [anon_sym_DASH] = ACTIONS(2821),
    [anon_sym_STAR] = ACTIONS(2821),
    [anon_sym_SLASH] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(2821),
    [anon_sym_PLUS_PLUS] = ACTIONS(2819),
    [anon_sym_DASH_DASH] = ACTIONS(2819),
    [anon_sym_PIPE] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_LT_LT] = ACTIONS(2819),
    [anon_sym_GT_GT] = ACTIONS(2819),
    [anon_sym_BANG2] = ACTIONS(2821),
    [anon_sym_borrowing] = ACTIONS(2812),
    [anon_sym_consuming] = ACTIONS(2812),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2819),
    [sym__explicit_semi] = ACTIONS(2819),
    [sym__dot_custom] = ACTIONS(2819),
    [sym__conjunction_operator_custom] = ACTIONS(2819),
    [sym__disjunction_operator_custom] = ACTIONS(2819),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2819),
    [sym__eq_custom] = ACTIONS(2819),
    [sym__eq_eq_custom] = ACTIONS(2819),
    [sym__plus_then_ws] = ACTIONS(2819),
    [sym__minus_then_ws] = ACTIONS(2819),
    [sym__bang_custom] = ACTIONS(2819),
    [sym__as_custom] = ACTIONS(2819),
    [sym__as_quest_custom] = ACTIONS(2819),
    [sym__as_bang_custom] = ACTIONS(2819),
    [sym__custom_operator] = ACTIONS(2819),
  },
  [1483] = {
    [sym_simple_identifier] = STATE(7700),
    [sym__contextual_simple_identifier] = STATE(4320),
    [sym__parameter_ownership_modifier] = STATE(4320),
    [aux_sym__fn_call_lambda_arguments_repeat1] = STATE(1482),
    [ts_builtin_sym_end] = ACTIONS(2826),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2812),
    [aux_sym_simple_identifier_token2] = ACTIONS(2814),
    [aux_sym_simple_identifier_token3] = ACTIONS(2814),
    [aux_sym_simple_identifier_token4] = ACTIONS(2814),
    [anon_sym_actor] = ACTIONS(2812),
    [anon_sym_async] = ACTIONS(2812),
    [anon_sym_each] = ACTIONS(2812),
    [anon_sym_lazy] = ACTIONS(2812),
    [anon_sym_repeat] = ACTIONS(2812),
    [anon_sym_package] = ACTIONS(2812),
    [anon_sym_COMMA] = ACTIONS(2826),
    [anon_sym_LPAREN] = ACTIONS(2826),
    [anon_sym_LBRACK] = ACTIONS(2826),
    [anon_sym_QMARK] = ACTIONS(2828),
    [anon_sym_QMARK2] = ACTIONS(2826),
    [anon_sym_AMP] = ACTIONS(2826),
    [aux_sym_custom_operator_token1] = ACTIONS(2826),
    [anon_sym_LT] = ACTIONS(2828),
    [anon_sym_GT] = ACTIONS(2828),
    [anon_sym_LBRACE] = ACTIONS(2826),
    [anon_sym_CARET_LBRACE] = ACTIONS(2826),
    [anon_sym_RBRACE] = ACTIONS(2826),
    [anon_sym_PLUS_EQ] = ACTIONS(2826),
    [anon_sym_DASH_EQ] = ACTIONS(2826),
    [anon_sym_STAR_EQ] = ACTIONS(2826),
    [anon_sym_SLASH_EQ] = ACTIONS(2826),
    [anon_sym_PERCENT_EQ] = ACTIONS(2826),
    [anon_sym_BANG_EQ] = ACTIONS(2828),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2826),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2826),
    [anon_sym_LT_EQ] = ACTIONS(2826),
    [anon_sym_GT_EQ] = ACTIONS(2826),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2826),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2826),
    [anon_sym_is] = ACTIONS(2828),
    [anon_sym_PLUS] = ACTIONS(2828),
    [anon_sym_DASH] = ACTIONS(2828),
    [anon_sym_STAR] = ACTIONS(2828),
    [anon_sym_SLASH] = ACTIONS(2828),
    [anon_sym_PERCENT] = ACTIONS(2828),
    [anon_sym_PLUS_PLUS] = ACTIONS(2826),
    [anon_sym_DASH_DASH] = ACTIONS(2826),
    [anon_sym_PIPE] = ACTIONS(2826),
    [anon_sym_CARET] = ACTIONS(2828),
    [anon_sym_LT_LT] = ACTIONS(2826),
    [anon_sym_GT_GT] = ACTIONS(2826),
    [anon_sym_BANG2] = ACTIONS(2828),
    [anon_sym_borrowing] = ACTIONS(2812),
    [anon_sym_consuming] = ACTIONS(2812),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2826),
    [sym__explicit_semi] = ACTIONS(2826),
    [sym__dot_custom] = ACTIONS(2826),
    [sym__conjunction_operator_custom] = ACTIONS(2826),
    [sym__disjunction_operator_custom] = ACTIONS(2826),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2826),
    [sym__eq_custom] = ACTIONS(2826),
    [sym__eq_eq_custom] = ACTIONS(2826),
    [sym__plus_then_ws] = ACTIONS(2826),
    [sym__minus_then_ws] = ACTIONS(2826),
    [sym__bang_custom] = ACTIONS(2826),
    [sym__as_custom] = ACTIONS(2826),
    [sym__as_quest_custom] = ACTIONS(2826),
    [sym__as_bang_custom] = ACTIONS(2826),
    [sym__custom_operator] = ACTIONS(2826),
  },
  [1484] = {
    [sym_simple_identifier] = STATE(7700),
    [sym__contextual_simple_identifier] = STATE(4320),
    [sym__parameter_ownership_modifier] = STATE(4320),
    [aux_sym__fn_call_lambda_arguments_repeat1] = STATE(1484),
    [ts_builtin_sym_end] = ACTIONS(2836),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2830),
    [aux_sym_simple_identifier_token2] = ACTIONS(2833),
    [aux_sym_simple_identifier_token3] = ACTIONS(2833),
    [aux_sym_simple_identifier_token4] = ACTIONS(2833),
    [anon_sym_actor] = ACTIONS(2830),
    [anon_sym_async] = ACTIONS(2830),
    [anon_sym_each] = ACTIONS(2830),
    [anon_sym_lazy] = ACTIONS(2830),
    [anon_sym_repeat] = ACTIONS(2830),
    [anon_sym_package] = ACTIONS(2830),
    [anon_sym_COMMA] = ACTIONS(2836),
    [anon_sym_LPAREN] = ACTIONS(2836),
    [anon_sym_LBRACK] = ACTIONS(2836),
    [anon_sym_QMARK] = ACTIONS(2838),
    [anon_sym_QMARK2] = ACTIONS(2836),
    [anon_sym_AMP] = ACTIONS(2836),
    [aux_sym_custom_operator_token1] = ACTIONS(2836),
    [anon_sym_LT] = ACTIONS(2838),
    [anon_sym_GT] = ACTIONS(2838),
    [anon_sym_LBRACE] = ACTIONS(2836),
    [anon_sym_CARET_LBRACE] = ACTIONS(2836),
    [anon_sym_RBRACE] = ACTIONS(2836),
    [anon_sym_PLUS_EQ] = ACTIONS(2836),
    [anon_sym_DASH_EQ] = ACTIONS(2836),
    [anon_sym_STAR_EQ] = ACTIONS(2836),
    [anon_sym_SLASH_EQ] = ACTIONS(2836),
    [anon_sym_PERCENT_EQ] = ACTIONS(2836),
    [anon_sym_BANG_EQ] = ACTIONS(2838),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2836),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2836),
    [anon_sym_LT_EQ] = ACTIONS(2836),
    [anon_sym_GT_EQ] = ACTIONS(2836),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2836),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2836),
    [anon_sym_is] = ACTIONS(2838),
    [anon_sym_PLUS] = ACTIONS(2838),
    [anon_sym_DASH] = ACTIONS(2838),
    [anon_sym_STAR] = ACTIONS(2838),
    [anon_sym_SLASH] = ACTIONS(2838),
    [anon_sym_PERCENT] = ACTIONS(2838),
    [anon_sym_PLUS_PLUS] = ACTIONS(2836),
    [anon_sym_DASH_DASH] = ACTIONS(2836),
    [anon_sym_PIPE] = ACTIONS(2836),
    [anon_sym_CARET] = ACTIONS(2838),
    [anon_sym_LT_LT] = ACTIONS(2836),
    [anon_sym_GT_GT] = ACTIONS(2836),
    [anon_sym_BANG2] = ACTIONS(2838),
    [anon_sym_borrowing] = ACTIONS(2830),
    [anon_sym_consuming] = ACTIONS(2830),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2836),
    [sym__explicit_semi] = ACTIONS(2836),
    [sym__dot_custom] = ACTIONS(2836),
    [sym__conjunction_operator_custom] = ACTIONS(2836),
    [sym__disjunction_operator_custom] = ACTIONS(2836),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2836),
    [sym__eq_custom] = ACTIONS(2836),
    [sym__eq_eq_custom] = ACTIONS(2836),
    [sym__plus_then_ws] = ACTIONS(2836),
    [sym__minus_then_ws] = ACTIONS(2836),
    [sym__bang_custom] = ACTIONS(2836),
    [sym__as_custom] = ACTIONS(2836),
    [sym__as_quest_custom] = ACTIONS(2836),
    [sym__as_bang_custom] = ACTIONS(2836),
    [sym__custom_operator] = ACTIONS(2836),
  },
  [1485] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_actor] = ACTIONS(3004),
    [anon_sym_async] = ACTIONS(3004),
    [anon_sym_lazy] = ACTIONS(3004),
    [anon_sym_LPAREN] = ACTIONS(631),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_QMARK] = ACTIONS(637),
    [anon_sym_QMARK2] = ACTIONS(631),
    [anon_sym_AMP] = ACTIONS(631),
    [aux_sym_custom_operator_token1] = ACTIONS(631),
    [anon_sym_LT] = ACTIONS(637),
    [anon_sym_GT] = ACTIONS(637),
    [anon_sym_LBRACE] = ACTIONS(631),
    [anon_sym_CARET_LBRACE] = ACTIONS(631),
    [anon_sym_RBRACE] = ACTIONS(631),
    [anon_sym_PLUS_EQ] = ACTIONS(631),
    [anon_sym_DASH_EQ] = ACTIONS(631),
    [anon_sym_STAR_EQ] = ACTIONS(631),
    [anon_sym_SLASH_EQ] = ACTIONS(631),
    [anon_sym_PERCENT_EQ] = ACTIONS(631),
    [anon_sym_BANG_EQ] = ACTIONS(637),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(631),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(631),
    [anon_sym_LT_EQ] = ACTIONS(631),
    [anon_sym_GT_EQ] = ACTIONS(631),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(631),
    [anon_sym_DOT_DOT_LT] = ACTIONS(631),
    [anon_sym_is] = ACTIONS(631),
    [anon_sym_PLUS] = ACTIONS(637),
    [anon_sym_DASH] = ACTIONS(637),
    [anon_sym_STAR] = ACTIONS(637),
    [anon_sym_SLASH] = ACTIONS(637),
    [anon_sym_PERCENT] = ACTIONS(637),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PIPE] = ACTIONS(631),
    [anon_sym_CARET] = ACTIONS(637),
    [anon_sym_LT_LT] = ACTIONS(631),
    [anon_sym_GT_GT] = ACTIONS(631),
    [anon_sym_typealias] = ACTIONS(3004),
    [anon_sym_struct] = ACTIONS(3004),
    [anon_sym_class] = ACTIONS(3004),
    [anon_sym_enum] = ACTIONS(3004),
    [anon_sym_let] = ACTIONS(3004),
    [anon_sym_var] = ACTIONS(3004),
    [anon_sym_func] = ACTIONS(3004),
    [anon_sym_extension] = ACTIONS(3004),
    [anon_sym_indirect] = ACTIONS(3004),
    [anon_sym_BANG2] = ACTIONS(637),
    [anon_sym_AT] = ACTIONS(3004),
    [anon_sym_final] = ACTIONS(3004),
    [anon_sym_weak] = ACTIONS(3004),
    [anon_sym_unowned] = ACTIONS(3002),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3004),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3004),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(631),
    [sym__explicit_semi] = ACTIONS(631),
    [sym__dot_custom] = ACTIONS(631),
    [sym__conjunction_operator_custom] = ACTIONS(631),
    [sym__disjunction_operator_custom] = ACTIONS(631),
    [sym__nil_coalescing_operator_custom] = ACTIONS(631),
    [sym__eq_custom] = ACTIONS(631),
    [sym__eq_eq_custom] = ACTIONS(631),
    [sym__plus_then_ws] = ACTIONS(631),
    [sym__minus_then_ws] = ACTIONS(631),
    [sym__bang_custom] = ACTIONS(631),
    [sym__as_custom] = ACTIONS(631),
    [sym__as_quest_custom] = ACTIONS(631),
    [sym__as_bang_custom] = ACTIONS(631),
    [sym__custom_operator] = ACTIONS(631),
  },
  [1486] = {
    [sym_simple_identifier] = STATE(7646),
    [sym__contextual_simple_identifier] = STATE(4320),
    [sym__parameter_ownership_modifier] = STATE(4320),
    [aux_sym__fn_call_lambda_arguments_repeat1] = STATE(1491),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2812),
    [aux_sym_simple_identifier_token2] = ACTIONS(2814),
    [aux_sym_simple_identifier_token3] = ACTIONS(2814),
    [aux_sym_simple_identifier_token4] = ACTIONS(2814),
    [anon_sym_actor] = ACTIONS(2812),
    [anon_sym_async] = ACTIONS(2812),
    [anon_sym_each] = ACTIONS(2812),
    [anon_sym_lazy] = ACTIONS(2812),
    [anon_sym_repeat] = ACTIONS(2812),
    [anon_sym_package] = ACTIONS(2812),
    [anon_sym_COMMA] = ACTIONS(2826),
    [anon_sym_LPAREN] = ACTIONS(2826),
    [anon_sym_LBRACK] = ACTIONS(2826),
    [anon_sym_QMARK] = ACTIONS(2828),
    [anon_sym_QMARK2] = ACTIONS(2826),
    [anon_sym_AMP] = ACTIONS(2826),
    [aux_sym_custom_operator_token1] = ACTIONS(2826),
    [anon_sym_LT] = ACTIONS(2828),
    [anon_sym_GT] = ACTIONS(2828),
    [anon_sym_LBRACE] = ACTIONS(2826),
    [anon_sym_CARET_LBRACE] = ACTIONS(2826),
    [anon_sym_RBRACE] = ACTIONS(2826),
    [anon_sym_PLUS_EQ] = ACTIONS(2826),
    [anon_sym_DASH_EQ] = ACTIONS(2826),
    [anon_sym_STAR_EQ] = ACTIONS(2826),
    [anon_sym_SLASH_EQ] = ACTIONS(2826),
    [anon_sym_PERCENT_EQ] = ACTIONS(2826),
    [anon_sym_BANG_EQ] = ACTIONS(2828),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2826),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2826),
    [anon_sym_LT_EQ] = ACTIONS(2826),
    [anon_sym_GT_EQ] = ACTIONS(2826),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2826),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2826),
    [anon_sym_is] = ACTIONS(2828),
    [anon_sym_PLUS] = ACTIONS(2828),
    [anon_sym_DASH] = ACTIONS(2828),
    [anon_sym_STAR] = ACTIONS(2828),
    [anon_sym_SLASH] = ACTIONS(2828),
    [anon_sym_PERCENT] = ACTIONS(2828),
    [anon_sym_PLUS_PLUS] = ACTIONS(2826),
    [anon_sym_DASH_DASH] = ACTIONS(2826),
    [anon_sym_PIPE] = ACTIONS(2826),
    [anon_sym_CARET] = ACTIONS(2828),
    [anon_sym_LT_LT] = ACTIONS(2826),
    [anon_sym_GT_GT] = ACTIONS(2826),
    [anon_sym_BANG2] = ACTIONS(2828),
    [anon_sym_borrowing] = ACTIONS(2812),
    [anon_sym_consuming] = ACTIONS(2812),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(2826),
    [sym__implicit_semi] = ACTIONS(2826),
    [sym__explicit_semi] = ACTIONS(2826),
    [sym__dot_custom] = ACTIONS(2826),
    [sym__conjunction_operator_custom] = ACTIONS(2826),
    [sym__disjunction_operator_custom] = ACTIONS(2826),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2826),
    [sym__eq_custom] = ACTIONS(2826),
    [sym__eq_eq_custom] = ACTIONS(2826),
    [sym__plus_then_ws] = ACTIONS(2826),
    [sym__minus_then_ws] = ACTIONS(2826),
    [sym__bang_custom] = ACTIONS(2826),
    [sym__as_custom] = ACTIONS(2826),
    [sym__as_quest_custom] = ACTIONS(2826),
    [sym__as_bang_custom] = ACTIONS(2826),
    [sym__custom_operator] = ACTIONS(2826),
  },
  [1487] = {
    [sym_simple_identifier] = STATE(7818),
    [sym__contextual_simple_identifier] = STATE(4320),
    [sym__parameter_ownership_modifier] = STATE(4320),
    [aux_sym__fn_call_lambda_arguments_repeat1] = STATE(1500),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2812),
    [aux_sym_simple_identifier_token2] = ACTIONS(2814),
    [aux_sym_simple_identifier_token3] = ACTIONS(2814),
    [aux_sym_simple_identifier_token4] = ACTIONS(2814),
    [anon_sym_actor] = ACTIONS(2812),
    [anon_sym_async] = ACTIONS(2812),
    [anon_sym_each] = ACTIONS(2812),
    [anon_sym_lazy] = ACTIONS(2812),
    [anon_sym_repeat] = ACTIONS(2812),
    [anon_sym_package] = ACTIONS(2812),
    [anon_sym_RPAREN] = ACTIONS(2819),
    [anon_sym_COMMA] = ACTIONS(2819),
    [anon_sym_COLON] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(2819),
    [anon_sym_LBRACK] = ACTIONS(2819),
    [anon_sym_RBRACK] = ACTIONS(2819),
    [anon_sym_QMARK] = ACTIONS(2821),
    [anon_sym_QMARK2] = ACTIONS(2819),
    [anon_sym_AMP] = ACTIONS(2819),
    [aux_sym_custom_operator_token1] = ACTIONS(2819),
    [anon_sym_LT] = ACTIONS(2821),
    [anon_sym_GT] = ACTIONS(2821),
    [anon_sym_LBRACE] = ACTIONS(2819),
    [anon_sym_CARET_LBRACE] = ACTIONS(2819),
    [anon_sym_PLUS_EQ] = ACTIONS(2819),
    [anon_sym_DASH_EQ] = ACTIONS(2819),
    [anon_sym_STAR_EQ] = ACTIONS(2819),
    [anon_sym_SLASH_EQ] = ACTIONS(2819),
    [anon_sym_PERCENT_EQ] = ACTIONS(2819),
    [anon_sym_BANG_EQ] = ACTIONS(2821),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2819),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2819),
    [anon_sym_LT_EQ] = ACTIONS(2819),
    [anon_sym_GT_EQ] = ACTIONS(2819),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2819),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2819),
    [anon_sym_is] = ACTIONS(2821),
    [anon_sym_PLUS] = ACTIONS(2821),
    [anon_sym_DASH] = ACTIONS(2821),
    [anon_sym_STAR] = ACTIONS(2821),
    [anon_sym_SLASH] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(2821),
    [anon_sym_PLUS_PLUS] = ACTIONS(2819),
    [anon_sym_DASH_DASH] = ACTIONS(2819),
    [anon_sym_PIPE] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_LT_LT] = ACTIONS(2819),
    [anon_sym_GT_GT] = ACTIONS(2819),
    [anon_sym_BANG2] = ACTIONS(2821),
    [anon_sym_borrowing] = ACTIONS(2812),
    [anon_sym_consuming] = ACTIONS(2812),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2819),
    [sym__conjunction_operator_custom] = ACTIONS(2819),
    [sym__disjunction_operator_custom] = ACTIONS(2819),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2819),
    [sym__eq_custom] = ACTIONS(2819),
    [sym__eq_eq_custom] = ACTIONS(2819),
    [sym__plus_then_ws] = ACTIONS(2819),
    [sym__minus_then_ws] = ACTIONS(2819),
    [sym__bang_custom] = ACTIONS(2819),
    [sym__as_custom] = ACTIONS(2819),
    [sym__as_quest_custom] = ACTIONS(2819),
    [sym__as_bang_custom] = ACTIONS(2819),
    [sym__custom_operator] = ACTIONS(2819),
  },
  [1488] = {
    [sym__arrow_operator] = STATE(3522),
    [sym__async_keyword] = STATE(6049),
    [sym_throws] = STATE(7523),
    [aux_sym_protocol_composition_type_repeat1] = STATE(1573),
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2866),
    [anon_sym_async] = ACTIONS(2866),
    [anon_sym_lazy] = ACTIONS(2866),
    [anon_sym_package] = ACTIONS(2866),
    [anon_sym_COMMA] = ACTIONS(2866),
    [anon_sym_COLON] = ACTIONS(2866),
    [anon_sym_DOT] = ACTIONS(4741),
    [anon_sym_QMARK] = ACTIONS(2866),
    [anon_sym_AMP] = ACTIONS(4743),
    [anon_sym_LBRACE] = ACTIONS(2866),
    [anon_sym_RBRACE] = ACTIONS(2866),
    [anon_sym_case] = ACTIONS(2866),
    [anon_sym_import] = ACTIONS(2866),
    [anon_sym_typealias] = ACTIONS(2866),
    [anon_sym_struct] = ACTIONS(2866),
    [anon_sym_class] = ACTIONS(2866),
    [anon_sym_enum] = ACTIONS(2866),
    [anon_sym_protocol] = ACTIONS(2866),
    [anon_sym_let] = ACTIONS(2866),
    [anon_sym_var] = ACTIONS(2866),
    [anon_sym_func] = ACTIONS(2866),
    [anon_sym_extension] = ACTIONS(2866),
    [anon_sym_indirect] = ACTIONS(2866),
    [anon_sym_init] = ACTIONS(2866),
    [anon_sym_deinit] = ACTIONS(2866),
    [anon_sym_subscript] = ACTIONS(2866),
    [anon_sym_prefix] = ACTIONS(2866),
    [anon_sym_infix] = ACTIONS(2866),
    [anon_sym_postfix] = ACTIONS(2866),
    [anon_sym_precedencegroup] = ACTIONS(2866),
    [anon_sym_associatedtype] = ACTIONS(2866),
    [anon_sym_AT] = ACTIONS(2870),
    [anon_sym_override] = ACTIONS(2866),
    [anon_sym_convenience] = ACTIONS(2866),
    [anon_sym_required] = ACTIONS(2866),
    [anon_sym_nonisolated] = ACTIONS(2866),
    [anon_sym_public] = ACTIONS(2866),
    [anon_sym_private] = ACTIONS(2866),
    [anon_sym_internal] = ACTIONS(2866),
    [anon_sym_fileprivate] = ACTIONS(2866),
    [anon_sym_open] = ACTIONS(2866),
    [anon_sym_mutating] = ACTIONS(2866),
    [anon_sym_nonmutating] = ACTIONS(2866),
    [anon_sym_static] = ACTIONS(2866),
    [anon_sym_dynamic] = ACTIONS(2866),
    [anon_sym_optional] = ACTIONS(2866),
    [anon_sym_distributed] = ACTIONS(2866),
    [anon_sym_final] = ACTIONS(2866),
    [anon_sym_inout] = ACTIONS(2866),
    [anon_sym_ATescaping] = ACTIONS(2866),
    [anon_sym_ATautoclosure] = ACTIONS(2866),
    [anon_sym_weak] = ACTIONS(2866),
    [anon_sym_unowned] = ACTIONS(2870),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2866),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2866),
    [anon_sym_borrowing] = ACTIONS(2866),
    [anon_sym_consuming] = ACTIONS(2866),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(4733),
    [sym__eq_custom] = ACTIONS(2866),
    [sym__throws_keyword] = ACTIONS(2848),
    [sym__rethrows_keyword] = ACTIONS(2848),
    [sym_where_keyword] = ACTIONS(2866),
    [sym__as_custom] = ACTIONS(2866),
    [sym__async_keyword_custom] = ACTIONS(4735),
  },
  [1489] = {
    [sym_type_arguments] = STATE(1533),
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2882),
    [anon_sym_async] = ACTIONS(2882),
    [anon_sym_lazy] = ACTIONS(2882),
    [anon_sym_package] = ACTIONS(2882),
    [anon_sym_COMMA] = ACTIONS(2882),
    [anon_sym_COLON] = ACTIONS(2882),
    [anon_sym_DOT] = ACTIONS(2882),
    [anon_sym_QMARK] = ACTIONS(2884),
    [anon_sym_QMARK2] = ACTIONS(2882),
    [anon_sym_AMP] = ACTIONS(2882),
    [anon_sym_LT] = ACTIONS(4745),
    [anon_sym_LBRACE] = ACTIONS(2882),
    [anon_sym_RBRACE] = ACTIONS(2882),
    [anon_sym_case] = ACTIONS(2882),
    [anon_sym_import] = ACTIONS(2882),
    [anon_sym_typealias] = ACTIONS(2882),
    [anon_sym_struct] = ACTIONS(2882),
    [anon_sym_class] = ACTIONS(2882),
    [anon_sym_enum] = ACTIONS(2882),
    [anon_sym_protocol] = ACTIONS(2882),
    [anon_sym_let] = ACTIONS(2882),
    [anon_sym_var] = ACTIONS(2882),
    [anon_sym_func] = ACTIONS(2882),
    [anon_sym_extension] = ACTIONS(2882),
    [anon_sym_indirect] = ACTIONS(2882),
    [anon_sym_init] = ACTIONS(2882),
    [anon_sym_deinit] = ACTIONS(2882),
    [anon_sym_subscript] = ACTIONS(2882),
    [anon_sym_prefix] = ACTIONS(2882),
    [anon_sym_infix] = ACTIONS(2882),
    [anon_sym_postfix] = ACTIONS(2882),
    [anon_sym_precedencegroup] = ACTIONS(2882),
    [anon_sym_associatedtype] = ACTIONS(2882),
    [anon_sym_AT] = ACTIONS(2884),
    [anon_sym_override] = ACTIONS(2882),
    [anon_sym_convenience] = ACTIONS(2882),
    [anon_sym_required] = ACTIONS(2882),
    [anon_sym_nonisolated] = ACTIONS(2882),
    [anon_sym_public] = ACTIONS(2882),
    [anon_sym_private] = ACTIONS(2882),
    [anon_sym_internal] = ACTIONS(2882),
    [anon_sym_fileprivate] = ACTIONS(2882),
    [anon_sym_open] = ACTIONS(2882),
    [anon_sym_mutating] = ACTIONS(2882),
    [anon_sym_nonmutating] = ACTIONS(2882),
    [anon_sym_static] = ACTIONS(2882),
    [anon_sym_dynamic] = ACTIONS(2882),
    [anon_sym_optional] = ACTIONS(2882),
    [anon_sym_distributed] = ACTIONS(2882),
    [anon_sym_final] = ACTIONS(2882),
    [anon_sym_inout] = ACTIONS(2882),
    [anon_sym_ATescaping] = ACTIONS(2882),
    [anon_sym_ATautoclosure] = ACTIONS(2882),
    [anon_sym_weak] = ACTIONS(2882),
    [anon_sym_unowned] = ACTIONS(2884),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2882),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2882),
    [anon_sym_borrowing] = ACTIONS(2882),
    [anon_sym_consuming] = ACTIONS(2882),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2882),
    [sym__dot_custom] = ACTIONS(2882),
    [sym__eq_custom] = ACTIONS(2882),
    [sym__throws_keyword] = ACTIONS(2882),
    [sym__rethrows_keyword] = ACTIONS(2882),
    [sym_where_keyword] = ACTIONS(2882),
    [sym__as_custom] = ACTIONS(2882),
    [sym__async_keyword_custom] = ACTIONS(2882),
  },
  [1490] = {
    [sym__dot] = STATE(4696),
    [aux_sym_user_type_repeat1] = STATE(1497),
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2805),
    [anon_sym_async] = ACTIONS(2805),
    [anon_sym_lazy] = ACTIONS(2805),
    [anon_sym_package] = ACTIONS(2805),
    [anon_sym_COMMA] = ACTIONS(2805),
    [anon_sym_COLON] = ACTIONS(2805),
    [anon_sym_DOT] = ACTIONS(2805),
    [anon_sym_QMARK] = ACTIONS(2807),
    [anon_sym_QMARK2] = ACTIONS(2805),
    [anon_sym_AMP] = ACTIONS(2805),
    [anon_sym_LBRACE] = ACTIONS(2805),
    [anon_sym_RBRACE] = ACTIONS(2805),
    [anon_sym_case] = ACTIONS(2805),
    [anon_sym_import] = ACTIONS(2805),
    [anon_sym_typealias] = ACTIONS(2805),
    [anon_sym_struct] = ACTIONS(2805),
    [anon_sym_class] = ACTIONS(2805),
    [anon_sym_enum] = ACTIONS(2805),
    [anon_sym_protocol] = ACTIONS(2805),
    [anon_sym_let] = ACTIONS(2805),
    [anon_sym_var] = ACTIONS(2805),
    [anon_sym_func] = ACTIONS(2805),
    [anon_sym_extension] = ACTIONS(2805),
    [anon_sym_indirect] = ACTIONS(2805),
    [anon_sym_init] = ACTIONS(2805),
    [anon_sym_deinit] = ACTIONS(2805),
    [anon_sym_subscript] = ACTIONS(2805),
    [anon_sym_prefix] = ACTIONS(2805),
    [anon_sym_infix] = ACTIONS(2805),
    [anon_sym_postfix] = ACTIONS(2805),
    [anon_sym_precedencegroup] = ACTIONS(2805),
    [anon_sym_associatedtype] = ACTIONS(2805),
    [anon_sym_AT] = ACTIONS(2807),
    [anon_sym_override] = ACTIONS(2805),
    [anon_sym_convenience] = ACTIONS(2805),
    [anon_sym_required] = ACTIONS(2805),
    [anon_sym_nonisolated] = ACTIONS(2805),
    [anon_sym_public] = ACTIONS(2805),
    [anon_sym_private] = ACTIONS(2805),
    [anon_sym_internal] = ACTIONS(2805),
    [anon_sym_fileprivate] = ACTIONS(2805),
    [anon_sym_open] = ACTIONS(2805),
    [anon_sym_mutating] = ACTIONS(2805),
    [anon_sym_nonmutating] = ACTIONS(2805),
    [anon_sym_static] = ACTIONS(2805),
    [anon_sym_dynamic] = ACTIONS(2805),
    [anon_sym_optional] = ACTIONS(2805),
    [anon_sym_distributed] = ACTIONS(2805),
    [anon_sym_final] = ACTIONS(2805),
    [anon_sym_inout] = ACTIONS(2805),
    [anon_sym_ATescaping] = ACTIONS(2805),
    [anon_sym_ATautoclosure] = ACTIONS(2805),
    [anon_sym_weak] = ACTIONS(2805),
    [anon_sym_unowned] = ACTIONS(2807),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2805),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2805),
    [anon_sym_borrowing] = ACTIONS(2805),
    [anon_sym_consuming] = ACTIONS(2805),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2805),
    [sym__dot_custom] = ACTIONS(4747),
    [sym__eq_custom] = ACTIONS(2805),
    [sym__throws_keyword] = ACTIONS(2805),
    [sym__rethrows_keyword] = ACTIONS(2805),
    [sym_where_keyword] = ACTIONS(2805),
    [sym__as_custom] = ACTIONS(2805),
    [sym__async_keyword_custom] = ACTIONS(2805),
  },
  [1491] = {
    [sym_simple_identifier] = STATE(7646),
    [sym__contextual_simple_identifier] = STATE(4320),
    [sym__parameter_ownership_modifier] = STATE(4320),
    [aux_sym__fn_call_lambda_arguments_repeat1] = STATE(1503),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2812),
    [aux_sym_simple_identifier_token2] = ACTIONS(2814),
    [aux_sym_simple_identifier_token3] = ACTIONS(2814),
    [aux_sym_simple_identifier_token4] = ACTIONS(2814),
    [anon_sym_actor] = ACTIONS(2812),
    [anon_sym_async] = ACTIONS(2812),
    [anon_sym_each] = ACTIONS(2812),
    [anon_sym_lazy] = ACTIONS(2812),
    [anon_sym_repeat] = ACTIONS(2812),
    [anon_sym_package] = ACTIONS(2812),
    [anon_sym_COMMA] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(2819),
    [anon_sym_LBRACK] = ACTIONS(2819),
    [anon_sym_QMARK] = ACTIONS(2821),
    [anon_sym_QMARK2] = ACTIONS(2819),
    [anon_sym_AMP] = ACTIONS(2819),
    [aux_sym_custom_operator_token1] = ACTIONS(2819),
    [anon_sym_LT] = ACTIONS(2821),
    [anon_sym_GT] = ACTIONS(2821),
    [anon_sym_LBRACE] = ACTIONS(2819),
    [anon_sym_CARET_LBRACE] = ACTIONS(2819),
    [anon_sym_RBRACE] = ACTIONS(2819),
    [anon_sym_PLUS_EQ] = ACTIONS(2819),
    [anon_sym_DASH_EQ] = ACTIONS(2819),
    [anon_sym_STAR_EQ] = ACTIONS(2819),
    [anon_sym_SLASH_EQ] = ACTIONS(2819),
    [anon_sym_PERCENT_EQ] = ACTIONS(2819),
    [anon_sym_BANG_EQ] = ACTIONS(2821),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2819),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2819),
    [anon_sym_LT_EQ] = ACTIONS(2819),
    [anon_sym_GT_EQ] = ACTIONS(2819),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2819),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2819),
    [anon_sym_is] = ACTIONS(2821),
    [anon_sym_PLUS] = ACTIONS(2821),
    [anon_sym_DASH] = ACTIONS(2821),
    [anon_sym_STAR] = ACTIONS(2821),
    [anon_sym_SLASH] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(2821),
    [anon_sym_PLUS_PLUS] = ACTIONS(2819),
    [anon_sym_DASH_DASH] = ACTIONS(2819),
    [anon_sym_PIPE] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_LT_LT] = ACTIONS(2819),
    [anon_sym_GT_GT] = ACTIONS(2819),
    [anon_sym_BANG2] = ACTIONS(2821),
    [anon_sym_borrowing] = ACTIONS(2812),
    [anon_sym_consuming] = ACTIONS(2812),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(2819),
    [sym__implicit_semi] = ACTIONS(2819),
    [sym__explicit_semi] = ACTIONS(2819),
    [sym__dot_custom] = ACTIONS(2819),
    [sym__conjunction_operator_custom] = ACTIONS(2819),
    [sym__disjunction_operator_custom] = ACTIONS(2819),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2819),
    [sym__eq_custom] = ACTIONS(2819),
    [sym__eq_eq_custom] = ACTIONS(2819),
    [sym__plus_then_ws] = ACTIONS(2819),
    [sym__minus_then_ws] = ACTIONS(2819),
    [sym__bang_custom] = ACTIONS(2819),
    [sym__as_custom] = ACTIONS(2819),
    [sym__as_quest_custom] = ACTIONS(2819),
    [sym__as_bang_custom] = ACTIONS(2819),
    [sym__custom_operator] = ACTIONS(2819),
  },
  [1492] = {
    [sym__arrow_operator] = STATE(3522),
    [sym__async_keyword] = STATE(6049),
    [sym_throws] = STATE(7523),
    [aux_sym_protocol_composition_type_repeat1] = STATE(1573),
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2900),
    [anon_sym_async] = ACTIONS(2900),
    [anon_sym_lazy] = ACTIONS(2900),
    [anon_sym_package] = ACTIONS(2900),
    [anon_sym_COMMA] = ACTIONS(2900),
    [anon_sym_COLON] = ACTIONS(2900),
    [anon_sym_DOT] = ACTIONS(2900),
    [anon_sym_QMARK] = ACTIONS(2900),
    [anon_sym_AMP] = ACTIONS(2900),
    [anon_sym_LBRACE] = ACTIONS(2900),
    [anon_sym_RBRACE] = ACTIONS(2900),
    [anon_sym_case] = ACTIONS(2900),
    [anon_sym_import] = ACTIONS(2900),
    [anon_sym_typealias] = ACTIONS(2900),
    [anon_sym_struct] = ACTIONS(2900),
    [anon_sym_class] = ACTIONS(2900),
    [anon_sym_enum] = ACTIONS(2900),
    [anon_sym_protocol] = ACTIONS(2900),
    [anon_sym_let] = ACTIONS(2900),
    [anon_sym_var] = ACTIONS(2900),
    [anon_sym_func] = ACTIONS(2900),
    [anon_sym_extension] = ACTIONS(2900),
    [anon_sym_indirect] = ACTIONS(2900),
    [anon_sym_init] = ACTIONS(2900),
    [anon_sym_deinit] = ACTIONS(2900),
    [anon_sym_subscript] = ACTIONS(2900),
    [anon_sym_prefix] = ACTIONS(2900),
    [anon_sym_infix] = ACTIONS(2900),
    [anon_sym_postfix] = ACTIONS(2900),
    [anon_sym_precedencegroup] = ACTIONS(2900),
    [anon_sym_associatedtype] = ACTIONS(2900),
    [anon_sym_AT] = ACTIONS(2902),
    [anon_sym_override] = ACTIONS(2900),
    [anon_sym_convenience] = ACTIONS(2900),
    [anon_sym_required] = ACTIONS(2900),
    [anon_sym_nonisolated] = ACTIONS(2900),
    [anon_sym_public] = ACTIONS(2900),
    [anon_sym_private] = ACTIONS(2900),
    [anon_sym_internal] = ACTIONS(2900),
    [anon_sym_fileprivate] = ACTIONS(2900),
    [anon_sym_open] = ACTIONS(2900),
    [anon_sym_mutating] = ACTIONS(2900),
    [anon_sym_nonmutating] = ACTIONS(2900),
    [anon_sym_static] = ACTIONS(2900),
    [anon_sym_dynamic] = ACTIONS(2900),
    [anon_sym_optional] = ACTIONS(2900),
    [anon_sym_distributed] = ACTIONS(2900),
    [anon_sym_final] = ACTIONS(2900),
    [anon_sym_inout] = ACTIONS(2900),
    [anon_sym_ATescaping] = ACTIONS(2900),
    [anon_sym_ATautoclosure] = ACTIONS(2900),
    [anon_sym_weak] = ACTIONS(2900),
    [anon_sym_unowned] = ACTIONS(2902),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2900),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2900),
    [anon_sym_borrowing] = ACTIONS(2900),
    [anon_sym_consuming] = ACTIONS(2900),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2900),
    [sym__eq_custom] = ACTIONS(2900),
    [sym__throws_keyword] = ACTIONS(2900),
    [sym__rethrows_keyword] = ACTIONS(2900),
    [sym_where_keyword] = ACTIONS(2900),
    [sym__as_custom] = ACTIONS(2900),
    [sym__async_keyword_custom] = ACTIONS(2900),
  },
  [1493] = {
    [sym_simple_identifier] = STATE(7818),
    [sym__contextual_simple_identifier] = STATE(4320),
    [sym__parameter_ownership_modifier] = STATE(4320),
    [aux_sym__fn_call_lambda_arguments_repeat1] = STATE(1487),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2812),
    [aux_sym_simple_identifier_token2] = ACTIONS(2814),
    [aux_sym_simple_identifier_token3] = ACTIONS(2814),
    [aux_sym_simple_identifier_token4] = ACTIONS(2814),
    [anon_sym_actor] = ACTIONS(2812),
    [anon_sym_async] = ACTIONS(2812),
    [anon_sym_each] = ACTIONS(2812),
    [anon_sym_lazy] = ACTIONS(2812),
    [anon_sym_repeat] = ACTIONS(2812),
    [anon_sym_package] = ACTIONS(2812),
    [anon_sym_RPAREN] = ACTIONS(2826),
    [anon_sym_COMMA] = ACTIONS(2826),
    [anon_sym_COLON] = ACTIONS(2826),
    [anon_sym_LPAREN] = ACTIONS(2826),
    [anon_sym_LBRACK] = ACTIONS(2826),
    [anon_sym_RBRACK] = ACTIONS(2826),
    [anon_sym_QMARK] = ACTIONS(2828),
    [anon_sym_QMARK2] = ACTIONS(2826),
    [anon_sym_AMP] = ACTIONS(2826),
    [aux_sym_custom_operator_token1] = ACTIONS(2826),
    [anon_sym_LT] = ACTIONS(2828),
    [anon_sym_GT] = ACTIONS(2828),
    [anon_sym_LBRACE] = ACTIONS(2826),
    [anon_sym_CARET_LBRACE] = ACTIONS(2826),
    [anon_sym_PLUS_EQ] = ACTIONS(2826),
    [anon_sym_DASH_EQ] = ACTIONS(2826),
    [anon_sym_STAR_EQ] = ACTIONS(2826),
    [anon_sym_SLASH_EQ] = ACTIONS(2826),
    [anon_sym_PERCENT_EQ] = ACTIONS(2826),
    [anon_sym_BANG_EQ] = ACTIONS(2828),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2826),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2826),
    [anon_sym_LT_EQ] = ACTIONS(2826),
    [anon_sym_GT_EQ] = ACTIONS(2826),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2826),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2826),
    [anon_sym_is] = ACTIONS(2828),
    [anon_sym_PLUS] = ACTIONS(2828),
    [anon_sym_DASH] = ACTIONS(2828),
    [anon_sym_STAR] = ACTIONS(2828),
    [anon_sym_SLASH] = ACTIONS(2828),
    [anon_sym_PERCENT] = ACTIONS(2828),
    [anon_sym_PLUS_PLUS] = ACTIONS(2826),
    [anon_sym_DASH_DASH] = ACTIONS(2826),
    [anon_sym_PIPE] = ACTIONS(2826),
    [anon_sym_CARET] = ACTIONS(2828),
    [anon_sym_LT_LT] = ACTIONS(2826),
    [anon_sym_GT_GT] = ACTIONS(2826),
    [anon_sym_BANG2] = ACTIONS(2828),
    [anon_sym_borrowing] = ACTIONS(2812),
    [anon_sym_consuming] = ACTIONS(2812),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2826),
    [sym__conjunction_operator_custom] = ACTIONS(2826),
    [sym__disjunction_operator_custom] = ACTIONS(2826),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2826),
    [sym__eq_custom] = ACTIONS(2826),
    [sym__eq_eq_custom] = ACTIONS(2826),
    [sym__plus_then_ws] = ACTIONS(2826),
    [sym__minus_then_ws] = ACTIONS(2826),
    [sym__bang_custom] = ACTIONS(2826),
    [sym__as_custom] = ACTIONS(2826),
    [sym__as_quest_custom] = ACTIONS(2826),
    [sym__as_bang_custom] = ACTIONS(2826),
    [sym__custom_operator] = ACTIONS(2826),
  },
  [1494] = {
    [sym__dot] = STATE(4696),
    [aux_sym_user_type_repeat1] = STATE(1494),
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2798),
    [anon_sym_async] = ACTIONS(2798),
    [anon_sym_lazy] = ACTIONS(2798),
    [anon_sym_package] = ACTIONS(2798),
    [anon_sym_COMMA] = ACTIONS(2798),
    [anon_sym_COLON] = ACTIONS(2798),
    [anon_sym_DOT] = ACTIONS(2798),
    [anon_sym_QMARK] = ACTIONS(2800),
    [anon_sym_QMARK2] = ACTIONS(2798),
    [anon_sym_AMP] = ACTIONS(2798),
    [anon_sym_LBRACE] = ACTIONS(2798),
    [anon_sym_RBRACE] = ACTIONS(2798),
    [anon_sym_case] = ACTIONS(2798),
    [anon_sym_import] = ACTIONS(2798),
    [anon_sym_typealias] = ACTIONS(2798),
    [anon_sym_struct] = ACTIONS(2798),
    [anon_sym_class] = ACTIONS(2798),
    [anon_sym_enum] = ACTIONS(2798),
    [anon_sym_protocol] = ACTIONS(2798),
    [anon_sym_let] = ACTIONS(2798),
    [anon_sym_var] = ACTIONS(2798),
    [anon_sym_func] = ACTIONS(2798),
    [anon_sym_extension] = ACTIONS(2798),
    [anon_sym_indirect] = ACTIONS(2798),
    [anon_sym_init] = ACTIONS(2798),
    [anon_sym_deinit] = ACTIONS(2798),
    [anon_sym_subscript] = ACTIONS(2798),
    [anon_sym_prefix] = ACTIONS(2798),
    [anon_sym_infix] = ACTIONS(2798),
    [anon_sym_postfix] = ACTIONS(2798),
    [anon_sym_precedencegroup] = ACTIONS(2798),
    [anon_sym_associatedtype] = ACTIONS(2798),
    [anon_sym_AT] = ACTIONS(2800),
    [anon_sym_override] = ACTIONS(2798),
    [anon_sym_convenience] = ACTIONS(2798),
    [anon_sym_required] = ACTIONS(2798),
    [anon_sym_nonisolated] = ACTIONS(2798),
    [anon_sym_public] = ACTIONS(2798),
    [anon_sym_private] = ACTIONS(2798),
    [anon_sym_internal] = ACTIONS(2798),
    [anon_sym_fileprivate] = ACTIONS(2798),
    [anon_sym_open] = ACTIONS(2798),
    [anon_sym_mutating] = ACTIONS(2798),
    [anon_sym_nonmutating] = ACTIONS(2798),
    [anon_sym_static] = ACTIONS(2798),
    [anon_sym_dynamic] = ACTIONS(2798),
    [anon_sym_optional] = ACTIONS(2798),
    [anon_sym_distributed] = ACTIONS(2798),
    [anon_sym_final] = ACTIONS(2798),
    [anon_sym_inout] = ACTIONS(2798),
    [anon_sym_ATescaping] = ACTIONS(2798),
    [anon_sym_ATautoclosure] = ACTIONS(2798),
    [anon_sym_weak] = ACTIONS(2798),
    [anon_sym_unowned] = ACTIONS(2800),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2798),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2798),
    [anon_sym_borrowing] = ACTIONS(2798),
    [anon_sym_consuming] = ACTIONS(2798),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2798),
    [sym__dot_custom] = ACTIONS(4749),
    [sym__eq_custom] = ACTIONS(2798),
    [sym__throws_keyword] = ACTIONS(2798),
    [sym__rethrows_keyword] = ACTIONS(2798),
    [sym_where_keyword] = ACTIONS(2798),
    [sym__as_custom] = ACTIONS(2798),
    [sym__async_keyword_custom] = ACTIONS(2798),
  },
  [1495] = {
    [sym__arrow_operator] = STATE(3522),
    [sym__async_keyword] = STATE(6049),
    [sym_throws] = STATE(7523),
    [aux_sym_protocol_composition_type_repeat1] = STATE(1573),
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2888),
    [anon_sym_async] = ACTIONS(2888),
    [anon_sym_lazy] = ACTIONS(2888),
    [anon_sym_package] = ACTIONS(2888),
    [anon_sym_COMMA] = ACTIONS(2888),
    [anon_sym_COLON] = ACTIONS(2888),
    [anon_sym_DOT] = ACTIONS(4741),
    [anon_sym_QMARK] = ACTIONS(2888),
    [anon_sym_AMP] = ACTIONS(4743),
    [anon_sym_LBRACE] = ACTIONS(2888),
    [anon_sym_RBRACE] = ACTIONS(2888),
    [anon_sym_case] = ACTIONS(2888),
    [anon_sym_import] = ACTIONS(2888),
    [anon_sym_typealias] = ACTIONS(2888),
    [anon_sym_struct] = ACTIONS(2888),
    [anon_sym_class] = ACTIONS(2888),
    [anon_sym_enum] = ACTIONS(2888),
    [anon_sym_protocol] = ACTIONS(2888),
    [anon_sym_let] = ACTIONS(2888),
    [anon_sym_var] = ACTIONS(2888),
    [anon_sym_func] = ACTIONS(2888),
    [anon_sym_extension] = ACTIONS(2888),
    [anon_sym_indirect] = ACTIONS(2888),
    [anon_sym_init] = ACTIONS(2888),
    [anon_sym_deinit] = ACTIONS(2888),
    [anon_sym_subscript] = ACTIONS(2888),
    [anon_sym_prefix] = ACTIONS(2888),
    [anon_sym_infix] = ACTIONS(2888),
    [anon_sym_postfix] = ACTIONS(2888),
    [anon_sym_precedencegroup] = ACTIONS(2888),
    [anon_sym_associatedtype] = ACTIONS(2888),
    [anon_sym_AT] = ACTIONS(2890),
    [anon_sym_override] = ACTIONS(2888),
    [anon_sym_convenience] = ACTIONS(2888),
    [anon_sym_required] = ACTIONS(2888),
    [anon_sym_nonisolated] = ACTIONS(2888),
    [anon_sym_public] = ACTIONS(2888),
    [anon_sym_private] = ACTIONS(2888),
    [anon_sym_internal] = ACTIONS(2888),
    [anon_sym_fileprivate] = ACTIONS(2888),
    [anon_sym_open] = ACTIONS(2888),
    [anon_sym_mutating] = ACTIONS(2888),
    [anon_sym_nonmutating] = ACTIONS(2888),
    [anon_sym_static] = ACTIONS(2888),
    [anon_sym_dynamic] = ACTIONS(2888),
    [anon_sym_optional] = ACTIONS(2888),
    [anon_sym_distributed] = ACTIONS(2888),
    [anon_sym_final] = ACTIONS(2888),
    [anon_sym_inout] = ACTIONS(2888),
    [anon_sym_ATescaping] = ACTIONS(2888),
    [anon_sym_ATautoclosure] = ACTIONS(2888),
    [anon_sym_weak] = ACTIONS(2888),
    [anon_sym_unowned] = ACTIONS(2890),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2888),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2888),
    [anon_sym_borrowing] = ACTIONS(2888),
    [anon_sym_consuming] = ACTIONS(2888),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(4733),
    [sym__eq_custom] = ACTIONS(2888),
    [sym__throws_keyword] = ACTIONS(2848),
    [sym__rethrows_keyword] = ACTIONS(2848),
    [sym_where_keyword] = ACTIONS(2888),
    [sym__as_custom] = ACTIONS(2888),
    [sym__async_keyword_custom] = ACTIONS(4735),
  },
  [1496] = {
    [sym__immediate_quest] = STATE(1567),
    [sym__arrow_operator] = STATE(3724),
    [sym__async_keyword] = STATE(6061),
    [sym_throws] = STATE(7455),
    [aux_sym_optional_type_repeat1] = STATE(1567),
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2840),
    [anon_sym_async] = ACTIONS(2840),
    [anon_sym_lazy] = ACTIONS(2840),
    [anon_sym_package] = ACTIONS(2840),
    [anon_sym_COMMA] = ACTIONS(2840),
    [anon_sym_BANG] = ACTIONS(2840),
    [anon_sym_DOT] = ACTIONS(2840),
    [anon_sym_QMARK2] = ACTIONS(4752),
    [anon_sym_AMP] = ACTIONS(2840),
    [anon_sym_LBRACE] = ACTIONS(2840),
    [anon_sym_RBRACE] = ACTIONS(2840),
    [anon_sym_case] = ACTIONS(2840),
    [anon_sym_import] = ACTIONS(2840),
    [anon_sym_typealias] = ACTIONS(2840),
    [anon_sym_struct] = ACTIONS(2840),
    [anon_sym_class] = ACTIONS(2840),
    [anon_sym_enum] = ACTIONS(2840),
    [anon_sym_protocol] = ACTIONS(2840),
    [anon_sym_let] = ACTIONS(2840),
    [anon_sym_var] = ACTIONS(2840),
    [anon_sym_func] = ACTIONS(2840),
    [anon_sym_extension] = ACTIONS(2840),
    [anon_sym_indirect] = ACTIONS(2840),
    [anon_sym_init] = ACTIONS(2840),
    [anon_sym_deinit] = ACTIONS(2840),
    [anon_sym_subscript] = ACTIONS(2840),
    [anon_sym_prefix] = ACTIONS(2840),
    [anon_sym_infix] = ACTIONS(2840),
    [anon_sym_postfix] = ACTIONS(2840),
    [anon_sym_precedencegroup] = ACTIONS(2840),
    [anon_sym_associatedtype] = ACTIONS(2840),
    [anon_sym_AT] = ACTIONS(2842),
    [anon_sym_override] = ACTIONS(2840),
    [anon_sym_convenience] = ACTIONS(2840),
    [anon_sym_required] = ACTIONS(2840),
    [anon_sym_nonisolated] = ACTIONS(2840),
    [anon_sym_public] = ACTIONS(2840),
    [anon_sym_private] = ACTIONS(2840),
    [anon_sym_internal] = ACTIONS(2840),
    [anon_sym_fileprivate] = ACTIONS(2840),
    [anon_sym_open] = ACTIONS(2840),
    [anon_sym_mutating] = ACTIONS(2840),
    [anon_sym_nonmutating] = ACTIONS(2840),
    [anon_sym_static] = ACTIONS(2840),
    [anon_sym_dynamic] = ACTIONS(2840),
    [anon_sym_optional] = ACTIONS(2840),
    [anon_sym_distributed] = ACTIONS(2840),
    [anon_sym_final] = ACTIONS(2840),
    [anon_sym_inout] = ACTIONS(2840),
    [anon_sym_ATescaping] = ACTIONS(2840),
    [anon_sym_ATautoclosure] = ACTIONS(2840),
    [anon_sym_weak] = ACTIONS(2840),
    [anon_sym_unowned] = ACTIONS(2842),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2840),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2840),
    [anon_sym_borrowing] = ACTIONS(2840),
    [anon_sym_consuming] = ACTIONS(2840),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(4754),
    [sym__eq_custom] = ACTIONS(2840),
    [sym__throws_keyword] = ACTIONS(2848),
    [sym__rethrows_keyword] = ACTIONS(2848),
    [sym_where_keyword] = ACTIONS(2840),
    [sym__async_keyword_custom] = ACTIONS(4756),
  },
  [1497] = {
    [sym__dot] = STATE(4696),
    [aux_sym_user_type_repeat1] = STATE(1494),
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2852),
    [anon_sym_async] = ACTIONS(2852),
    [anon_sym_lazy] = ACTIONS(2852),
    [anon_sym_package] = ACTIONS(2852),
    [anon_sym_COMMA] = ACTIONS(2852),
    [anon_sym_COLON] = ACTIONS(2852),
    [anon_sym_DOT] = ACTIONS(2852),
    [anon_sym_QMARK] = ACTIONS(2854),
    [anon_sym_QMARK2] = ACTIONS(2852),
    [anon_sym_AMP] = ACTIONS(2852),
    [anon_sym_LBRACE] = ACTIONS(2852),
    [anon_sym_RBRACE] = ACTIONS(2852),
    [anon_sym_case] = ACTIONS(2852),
    [anon_sym_import] = ACTIONS(2852),
    [anon_sym_typealias] = ACTIONS(2852),
    [anon_sym_struct] = ACTIONS(2852),
    [anon_sym_class] = ACTIONS(2852),
    [anon_sym_enum] = ACTIONS(2852),
    [anon_sym_protocol] = ACTIONS(2852),
    [anon_sym_let] = ACTIONS(2852),
    [anon_sym_var] = ACTIONS(2852),
    [anon_sym_func] = ACTIONS(2852),
    [anon_sym_extension] = ACTIONS(2852),
    [anon_sym_indirect] = ACTIONS(2852),
    [anon_sym_init] = ACTIONS(2852),
    [anon_sym_deinit] = ACTIONS(2852),
    [anon_sym_subscript] = ACTIONS(2852),
    [anon_sym_prefix] = ACTIONS(2852),
    [anon_sym_infix] = ACTIONS(2852),
    [anon_sym_postfix] = ACTIONS(2852),
    [anon_sym_precedencegroup] = ACTIONS(2852),
    [anon_sym_associatedtype] = ACTIONS(2852),
    [anon_sym_AT] = ACTIONS(2854),
    [anon_sym_override] = ACTIONS(2852),
    [anon_sym_convenience] = ACTIONS(2852),
    [anon_sym_required] = ACTIONS(2852),
    [anon_sym_nonisolated] = ACTIONS(2852),
    [anon_sym_public] = ACTIONS(2852),
    [anon_sym_private] = ACTIONS(2852),
    [anon_sym_internal] = ACTIONS(2852),
    [anon_sym_fileprivate] = ACTIONS(2852),
    [anon_sym_open] = ACTIONS(2852),
    [anon_sym_mutating] = ACTIONS(2852),
    [anon_sym_nonmutating] = ACTIONS(2852),
    [anon_sym_static] = ACTIONS(2852),
    [anon_sym_dynamic] = ACTIONS(2852),
    [anon_sym_optional] = ACTIONS(2852),
    [anon_sym_distributed] = ACTIONS(2852),
    [anon_sym_final] = ACTIONS(2852),
    [anon_sym_inout] = ACTIONS(2852),
    [anon_sym_ATescaping] = ACTIONS(2852),
    [anon_sym_ATautoclosure] = ACTIONS(2852),
    [anon_sym_weak] = ACTIONS(2852),
    [anon_sym_unowned] = ACTIONS(2854),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2852),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2852),
    [anon_sym_borrowing] = ACTIONS(2852),
    [anon_sym_consuming] = ACTIONS(2852),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2852),
    [sym__dot_custom] = ACTIONS(4747),
    [sym__eq_custom] = ACTIONS(2852),
    [sym__throws_keyword] = ACTIONS(2852),
    [sym__rethrows_keyword] = ACTIONS(2852),
    [sym_where_keyword] = ACTIONS(2852),
    [sym__as_custom] = ACTIONS(2852),
    [sym__async_keyword_custom] = ACTIONS(2852),
  },
  [1498] = {
    [sym__arrow_operator] = STATE(3522),
    [sym__async_keyword] = STATE(6049),
    [sym_throws] = STATE(7523),
    [aux_sym_protocol_composition_type_repeat1] = STATE(1573),
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2896),
    [anon_sym_async] = ACTIONS(2896),
    [anon_sym_lazy] = ACTIONS(2896),
    [anon_sym_package] = ACTIONS(2896),
    [anon_sym_COMMA] = ACTIONS(2896),
    [anon_sym_COLON] = ACTIONS(2896),
    [anon_sym_DOT] = ACTIONS(4741),
    [anon_sym_QMARK] = ACTIONS(2896),
    [anon_sym_AMP] = ACTIONS(4743),
    [anon_sym_LBRACE] = ACTIONS(2896),
    [anon_sym_RBRACE] = ACTIONS(2896),
    [anon_sym_case] = ACTIONS(2896),
    [anon_sym_import] = ACTIONS(2896),
    [anon_sym_typealias] = ACTIONS(2896),
    [anon_sym_struct] = ACTIONS(2896),
    [anon_sym_class] = ACTIONS(2896),
    [anon_sym_enum] = ACTIONS(2896),
    [anon_sym_protocol] = ACTIONS(2896),
    [anon_sym_let] = ACTIONS(2896),
    [anon_sym_var] = ACTIONS(2896),
    [anon_sym_func] = ACTIONS(2896),
    [anon_sym_extension] = ACTIONS(2896),
    [anon_sym_indirect] = ACTIONS(2896),
    [anon_sym_init] = ACTIONS(2896),
    [anon_sym_deinit] = ACTIONS(2896),
    [anon_sym_subscript] = ACTIONS(2896),
    [anon_sym_prefix] = ACTIONS(2896),
    [anon_sym_infix] = ACTIONS(2896),
    [anon_sym_postfix] = ACTIONS(2896),
    [anon_sym_precedencegroup] = ACTIONS(2896),
    [anon_sym_associatedtype] = ACTIONS(2896),
    [anon_sym_AT] = ACTIONS(2898),
    [anon_sym_override] = ACTIONS(2896),
    [anon_sym_convenience] = ACTIONS(2896),
    [anon_sym_required] = ACTIONS(2896),
    [anon_sym_nonisolated] = ACTIONS(2896),
    [anon_sym_public] = ACTIONS(2896),
    [anon_sym_private] = ACTIONS(2896),
    [anon_sym_internal] = ACTIONS(2896),
    [anon_sym_fileprivate] = ACTIONS(2896),
    [anon_sym_open] = ACTIONS(2896),
    [anon_sym_mutating] = ACTIONS(2896),
    [anon_sym_nonmutating] = ACTIONS(2896),
    [anon_sym_static] = ACTIONS(2896),
    [anon_sym_dynamic] = ACTIONS(2896),
    [anon_sym_optional] = ACTIONS(2896),
    [anon_sym_distributed] = ACTIONS(2896),
    [anon_sym_final] = ACTIONS(2896),
    [anon_sym_inout] = ACTIONS(2896),
    [anon_sym_ATescaping] = ACTIONS(2896),
    [anon_sym_ATautoclosure] = ACTIONS(2896),
    [anon_sym_weak] = ACTIONS(2896),
    [anon_sym_unowned] = ACTIONS(2898),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2896),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2896),
    [anon_sym_borrowing] = ACTIONS(2896),
    [anon_sym_consuming] = ACTIONS(2896),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(4733),
    [sym__eq_custom] = ACTIONS(2896),
    [sym__throws_keyword] = ACTIONS(2848),
    [sym__rethrows_keyword] = ACTIONS(2848),
    [sym_where_keyword] = ACTIONS(2896),
    [sym__as_custom] = ACTIONS(2896),
    [sym__async_keyword_custom] = ACTIONS(4735),
  },
  [1499] = {
    [sym__arrow_operator] = STATE(3522),
    [sym__async_keyword] = STATE(6049),
    [sym_throws] = STATE(7523),
    [aux_sym_protocol_composition_type_repeat1] = STATE(1573),
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2892),
    [anon_sym_async] = ACTIONS(2892),
    [anon_sym_lazy] = ACTIONS(2892),
    [anon_sym_package] = ACTIONS(2892),
    [anon_sym_COMMA] = ACTIONS(2892),
    [anon_sym_COLON] = ACTIONS(2892),
    [anon_sym_DOT] = ACTIONS(4741),
    [anon_sym_QMARK] = ACTIONS(2892),
    [anon_sym_AMP] = ACTIONS(4743),
    [anon_sym_LBRACE] = ACTIONS(2892),
    [anon_sym_RBRACE] = ACTIONS(2892),
    [anon_sym_case] = ACTIONS(2892),
    [anon_sym_import] = ACTIONS(2892),
    [anon_sym_typealias] = ACTIONS(2892),
    [anon_sym_struct] = ACTIONS(2892),
    [anon_sym_class] = ACTIONS(2892),
    [anon_sym_enum] = ACTIONS(2892),
    [anon_sym_protocol] = ACTIONS(2892),
    [anon_sym_let] = ACTIONS(2892),
    [anon_sym_var] = ACTIONS(2892),
    [anon_sym_func] = ACTIONS(2892),
    [anon_sym_extension] = ACTIONS(2892),
    [anon_sym_indirect] = ACTIONS(2892),
    [anon_sym_init] = ACTIONS(2892),
    [anon_sym_deinit] = ACTIONS(2892),
    [anon_sym_subscript] = ACTIONS(2892),
    [anon_sym_prefix] = ACTIONS(2892),
    [anon_sym_infix] = ACTIONS(2892),
    [anon_sym_postfix] = ACTIONS(2892),
    [anon_sym_precedencegroup] = ACTIONS(2892),
    [anon_sym_associatedtype] = ACTIONS(2892),
    [anon_sym_AT] = ACTIONS(2894),
    [anon_sym_override] = ACTIONS(2892),
    [anon_sym_convenience] = ACTIONS(2892),
    [anon_sym_required] = ACTIONS(2892),
    [anon_sym_nonisolated] = ACTIONS(2892),
    [anon_sym_public] = ACTIONS(2892),
    [anon_sym_private] = ACTIONS(2892),
    [anon_sym_internal] = ACTIONS(2892),
    [anon_sym_fileprivate] = ACTIONS(2892),
    [anon_sym_open] = ACTIONS(2892),
    [anon_sym_mutating] = ACTIONS(2892),
    [anon_sym_nonmutating] = ACTIONS(2892),
    [anon_sym_static] = ACTIONS(2892),
    [anon_sym_dynamic] = ACTIONS(2892),
    [anon_sym_optional] = ACTIONS(2892),
    [anon_sym_distributed] = ACTIONS(2892),
    [anon_sym_final] = ACTIONS(2892),
    [anon_sym_inout] = ACTIONS(2892),
    [anon_sym_ATescaping] = ACTIONS(2892),
    [anon_sym_ATautoclosure] = ACTIONS(2892),
    [anon_sym_weak] = ACTIONS(2892),
    [anon_sym_unowned] = ACTIONS(2894),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2892),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2892),
    [anon_sym_borrowing] = ACTIONS(2892),
    [anon_sym_consuming] = ACTIONS(2892),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(4733),
    [sym__eq_custom] = ACTIONS(2892),
    [sym__throws_keyword] = ACTIONS(2848),
    [sym__rethrows_keyword] = ACTIONS(2848),
    [sym_where_keyword] = ACTIONS(2892),
    [sym__as_custom] = ACTIONS(2892),
    [sym__async_keyword_custom] = ACTIONS(4735),
  },
  [1500] = {
    [sym_simple_identifier] = STATE(7818),
    [sym__contextual_simple_identifier] = STATE(4320),
    [sym__parameter_ownership_modifier] = STATE(4320),
    [aux_sym__fn_call_lambda_arguments_repeat1] = STATE(1500),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2830),
    [aux_sym_simple_identifier_token2] = ACTIONS(2833),
    [aux_sym_simple_identifier_token3] = ACTIONS(2833),
    [aux_sym_simple_identifier_token4] = ACTIONS(2833),
    [anon_sym_actor] = ACTIONS(2830),
    [anon_sym_async] = ACTIONS(2830),
    [anon_sym_each] = ACTIONS(2830),
    [anon_sym_lazy] = ACTIONS(2830),
    [anon_sym_repeat] = ACTIONS(2830),
    [anon_sym_package] = ACTIONS(2830),
    [anon_sym_RPAREN] = ACTIONS(2836),
    [anon_sym_COMMA] = ACTIONS(2836),
    [anon_sym_COLON] = ACTIONS(2836),
    [anon_sym_LPAREN] = ACTIONS(2836),
    [anon_sym_LBRACK] = ACTIONS(2836),
    [anon_sym_RBRACK] = ACTIONS(2836),
    [anon_sym_QMARK] = ACTIONS(2838),
    [anon_sym_QMARK2] = ACTIONS(2836),
    [anon_sym_AMP] = ACTIONS(2836),
    [aux_sym_custom_operator_token1] = ACTIONS(2836),
    [anon_sym_LT] = ACTIONS(2838),
    [anon_sym_GT] = ACTIONS(2838),
    [anon_sym_LBRACE] = ACTIONS(2836),
    [anon_sym_CARET_LBRACE] = ACTIONS(2836),
    [anon_sym_PLUS_EQ] = ACTIONS(2836),
    [anon_sym_DASH_EQ] = ACTIONS(2836),
    [anon_sym_STAR_EQ] = ACTIONS(2836),
    [anon_sym_SLASH_EQ] = ACTIONS(2836),
    [anon_sym_PERCENT_EQ] = ACTIONS(2836),
    [anon_sym_BANG_EQ] = ACTIONS(2838),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2836),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2836),
    [anon_sym_LT_EQ] = ACTIONS(2836),
    [anon_sym_GT_EQ] = ACTIONS(2836),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2836),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2836),
    [anon_sym_is] = ACTIONS(2838),
    [anon_sym_PLUS] = ACTIONS(2838),
    [anon_sym_DASH] = ACTIONS(2838),
    [anon_sym_STAR] = ACTIONS(2838),
    [anon_sym_SLASH] = ACTIONS(2838),
    [anon_sym_PERCENT] = ACTIONS(2838),
    [anon_sym_PLUS_PLUS] = ACTIONS(2836),
    [anon_sym_DASH_DASH] = ACTIONS(2836),
    [anon_sym_PIPE] = ACTIONS(2836),
    [anon_sym_CARET] = ACTIONS(2838),
    [anon_sym_LT_LT] = ACTIONS(2836),
    [anon_sym_GT_GT] = ACTIONS(2836),
    [anon_sym_BANG2] = ACTIONS(2838),
    [anon_sym_borrowing] = ACTIONS(2830),
    [anon_sym_consuming] = ACTIONS(2830),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2836),
    [sym__conjunction_operator_custom] = ACTIONS(2836),
    [sym__disjunction_operator_custom] = ACTIONS(2836),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2836),
    [sym__eq_custom] = ACTIONS(2836),
    [sym__eq_eq_custom] = ACTIONS(2836),
    [sym__plus_then_ws] = ACTIONS(2836),
    [sym__minus_then_ws] = ACTIONS(2836),
    [sym__bang_custom] = ACTIONS(2836),
    [sym__as_custom] = ACTIONS(2836),
    [sym__as_quest_custom] = ACTIONS(2836),
    [sym__as_bang_custom] = ACTIONS(2836),
    [sym__custom_operator] = ACTIONS(2836),
  },
  [1501] = {
    [sym__arrow_operator] = STATE(3522),
    [sym__async_keyword] = STATE(6049),
    [sym_throws] = STATE(7523),
    [aux_sym_protocol_composition_type_repeat1] = STATE(1573),
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2878),
    [anon_sym_async] = ACTIONS(2878),
    [anon_sym_lazy] = ACTIONS(2878),
    [anon_sym_package] = ACTIONS(2878),
    [anon_sym_COMMA] = ACTIONS(2878),
    [anon_sym_COLON] = ACTIONS(2878),
    [anon_sym_DOT] = ACTIONS(2878),
    [anon_sym_QMARK] = ACTIONS(2878),
    [anon_sym_AMP] = ACTIONS(2878),
    [anon_sym_LBRACE] = ACTIONS(2878),
    [anon_sym_RBRACE] = ACTIONS(2878),
    [anon_sym_case] = ACTIONS(2878),
    [anon_sym_import] = ACTIONS(2878),
    [anon_sym_typealias] = ACTIONS(2878),
    [anon_sym_struct] = ACTIONS(2878),
    [anon_sym_class] = ACTIONS(2878),
    [anon_sym_enum] = ACTIONS(2878),
    [anon_sym_protocol] = ACTIONS(2878),
    [anon_sym_let] = ACTIONS(2878),
    [anon_sym_var] = ACTIONS(2878),
    [anon_sym_func] = ACTIONS(2878),
    [anon_sym_extension] = ACTIONS(2878),
    [anon_sym_indirect] = ACTIONS(2878),
    [anon_sym_init] = ACTIONS(2878),
    [anon_sym_deinit] = ACTIONS(2878),
    [anon_sym_subscript] = ACTIONS(2878),
    [anon_sym_prefix] = ACTIONS(2878),
    [anon_sym_infix] = ACTIONS(2878),
    [anon_sym_postfix] = ACTIONS(2878),
    [anon_sym_precedencegroup] = ACTIONS(2878),
    [anon_sym_associatedtype] = ACTIONS(2878),
    [anon_sym_AT] = ACTIONS(2880),
    [anon_sym_override] = ACTIONS(2878),
    [anon_sym_convenience] = ACTIONS(2878),
    [anon_sym_required] = ACTIONS(2878),
    [anon_sym_nonisolated] = ACTIONS(2878),
    [anon_sym_public] = ACTIONS(2878),
    [anon_sym_private] = ACTIONS(2878),
    [anon_sym_internal] = ACTIONS(2878),
    [anon_sym_fileprivate] = ACTIONS(2878),
    [anon_sym_open] = ACTIONS(2878),
    [anon_sym_mutating] = ACTIONS(2878),
    [anon_sym_nonmutating] = ACTIONS(2878),
    [anon_sym_static] = ACTIONS(2878),
    [anon_sym_dynamic] = ACTIONS(2878),
    [anon_sym_optional] = ACTIONS(2878),
    [anon_sym_distributed] = ACTIONS(2878),
    [anon_sym_final] = ACTIONS(2878),
    [anon_sym_inout] = ACTIONS(2878),
    [anon_sym_ATescaping] = ACTIONS(2878),
    [anon_sym_ATautoclosure] = ACTIONS(2878),
    [anon_sym_weak] = ACTIONS(2878),
    [anon_sym_unowned] = ACTIONS(2880),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2878),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2878),
    [anon_sym_borrowing] = ACTIONS(2878),
    [anon_sym_consuming] = ACTIONS(2878),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2878),
    [sym__eq_custom] = ACTIONS(2878),
    [sym__throws_keyword] = ACTIONS(2878),
    [sym__rethrows_keyword] = ACTIONS(2878),
    [sym_where_keyword] = ACTIONS(2878),
    [sym__as_custom] = ACTIONS(2878),
    [sym__async_keyword_custom] = ACTIONS(2878),
  },
  [1502] = {
    [sym__arrow_operator] = STATE(3522),
    [sym__async_keyword] = STATE(6049),
    [sym_throws] = STATE(7523),
    [aux_sym_protocol_composition_type_repeat1] = STATE(1573),
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2874),
    [anon_sym_async] = ACTIONS(2874),
    [anon_sym_lazy] = ACTIONS(2874),
    [anon_sym_package] = ACTIONS(2874),
    [anon_sym_COMMA] = ACTIONS(2874),
    [anon_sym_COLON] = ACTIONS(2874),
    [anon_sym_DOT] = ACTIONS(4741),
    [anon_sym_QMARK] = ACTIONS(2874),
    [anon_sym_AMP] = ACTIONS(4743),
    [anon_sym_LBRACE] = ACTIONS(2874),
    [anon_sym_RBRACE] = ACTIONS(2874),
    [anon_sym_case] = ACTIONS(2874),
    [anon_sym_import] = ACTIONS(2874),
    [anon_sym_typealias] = ACTIONS(2874),
    [anon_sym_struct] = ACTIONS(2874),
    [anon_sym_class] = ACTIONS(2874),
    [anon_sym_enum] = ACTIONS(2874),
    [anon_sym_protocol] = ACTIONS(2874),
    [anon_sym_let] = ACTIONS(2874),
    [anon_sym_var] = ACTIONS(2874),
    [anon_sym_func] = ACTIONS(2874),
    [anon_sym_extension] = ACTIONS(2874),
    [anon_sym_indirect] = ACTIONS(2874),
    [anon_sym_init] = ACTIONS(2874),
    [anon_sym_deinit] = ACTIONS(2874),
    [anon_sym_subscript] = ACTIONS(2874),
    [anon_sym_prefix] = ACTIONS(2874),
    [anon_sym_infix] = ACTIONS(2874),
    [anon_sym_postfix] = ACTIONS(2874),
    [anon_sym_precedencegroup] = ACTIONS(2874),
    [anon_sym_associatedtype] = ACTIONS(2874),
    [anon_sym_AT] = ACTIONS(2876),
    [anon_sym_override] = ACTIONS(2874),
    [anon_sym_convenience] = ACTIONS(2874),
    [anon_sym_required] = ACTIONS(2874),
    [anon_sym_nonisolated] = ACTIONS(2874),
    [anon_sym_public] = ACTIONS(2874),
    [anon_sym_private] = ACTIONS(2874),
    [anon_sym_internal] = ACTIONS(2874),
    [anon_sym_fileprivate] = ACTIONS(2874),
    [anon_sym_open] = ACTIONS(2874),
    [anon_sym_mutating] = ACTIONS(2874),
    [anon_sym_nonmutating] = ACTIONS(2874),
    [anon_sym_static] = ACTIONS(2874),
    [anon_sym_dynamic] = ACTIONS(2874),
    [anon_sym_optional] = ACTIONS(2874),
    [anon_sym_distributed] = ACTIONS(2874),
    [anon_sym_final] = ACTIONS(2874),
    [anon_sym_inout] = ACTIONS(2874),
    [anon_sym_ATescaping] = ACTIONS(2874),
    [anon_sym_ATautoclosure] = ACTIONS(2874),
    [anon_sym_weak] = ACTIONS(2874),
    [anon_sym_unowned] = ACTIONS(2876),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2874),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2874),
    [anon_sym_borrowing] = ACTIONS(2874),
    [anon_sym_consuming] = ACTIONS(2874),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(4733),
    [sym__eq_custom] = ACTIONS(2874),
    [sym__throws_keyword] = ACTIONS(2848),
    [sym__rethrows_keyword] = ACTIONS(2848),
    [sym_where_keyword] = ACTIONS(2874),
    [sym__as_custom] = ACTIONS(2874),
    [sym__async_keyword_custom] = ACTIONS(4735),
  },
  [1503] = {
    [sym_simple_identifier] = STATE(7646),
    [sym__contextual_simple_identifier] = STATE(4320),
    [sym__parameter_ownership_modifier] = STATE(4320),
    [aux_sym__fn_call_lambda_arguments_repeat1] = STATE(1503),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2830),
    [aux_sym_simple_identifier_token2] = ACTIONS(2833),
    [aux_sym_simple_identifier_token3] = ACTIONS(2833),
    [aux_sym_simple_identifier_token4] = ACTIONS(2833),
    [anon_sym_actor] = ACTIONS(2830),
    [anon_sym_async] = ACTIONS(2830),
    [anon_sym_each] = ACTIONS(2830),
    [anon_sym_lazy] = ACTIONS(2830),
    [anon_sym_repeat] = ACTIONS(2830),
    [anon_sym_package] = ACTIONS(2830),
    [anon_sym_COMMA] = ACTIONS(2836),
    [anon_sym_LPAREN] = ACTIONS(2836),
    [anon_sym_LBRACK] = ACTIONS(2836),
    [anon_sym_QMARK] = ACTIONS(2838),
    [anon_sym_QMARK2] = ACTIONS(2836),
    [anon_sym_AMP] = ACTIONS(2836),
    [aux_sym_custom_operator_token1] = ACTIONS(2836),
    [anon_sym_LT] = ACTIONS(2838),
    [anon_sym_GT] = ACTIONS(2838),
    [anon_sym_LBRACE] = ACTIONS(2836),
    [anon_sym_CARET_LBRACE] = ACTIONS(2836),
    [anon_sym_RBRACE] = ACTIONS(2836),
    [anon_sym_PLUS_EQ] = ACTIONS(2836),
    [anon_sym_DASH_EQ] = ACTIONS(2836),
    [anon_sym_STAR_EQ] = ACTIONS(2836),
    [anon_sym_SLASH_EQ] = ACTIONS(2836),
    [anon_sym_PERCENT_EQ] = ACTIONS(2836),
    [anon_sym_BANG_EQ] = ACTIONS(2838),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2836),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2836),
    [anon_sym_LT_EQ] = ACTIONS(2836),
    [anon_sym_GT_EQ] = ACTIONS(2836),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2836),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2836),
    [anon_sym_is] = ACTIONS(2838),
    [anon_sym_PLUS] = ACTIONS(2838),
    [anon_sym_DASH] = ACTIONS(2838),
    [anon_sym_STAR] = ACTIONS(2838),
    [anon_sym_SLASH] = ACTIONS(2838),
    [anon_sym_PERCENT] = ACTIONS(2838),
    [anon_sym_PLUS_PLUS] = ACTIONS(2836),
    [anon_sym_DASH_DASH] = ACTIONS(2836),
    [anon_sym_PIPE] = ACTIONS(2836),
    [anon_sym_CARET] = ACTIONS(2838),
    [anon_sym_LT_LT] = ACTIONS(2836),
    [anon_sym_GT_GT] = ACTIONS(2836),
    [anon_sym_BANG2] = ACTIONS(2838),
    [anon_sym_borrowing] = ACTIONS(2830),
    [anon_sym_consuming] = ACTIONS(2830),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(2836),
    [sym__implicit_semi] = ACTIONS(2836),
    [sym__explicit_semi] = ACTIONS(2836),
    [sym__dot_custom] = ACTIONS(2836),
    [sym__conjunction_operator_custom] = ACTIONS(2836),
    [sym__disjunction_operator_custom] = ACTIONS(2836),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2836),
    [sym__eq_custom] = ACTIONS(2836),
    [sym__eq_eq_custom] = ACTIONS(2836),
    [sym__plus_then_ws] = ACTIONS(2836),
    [sym__minus_then_ws] = ACTIONS(2836),
    [sym__bang_custom] = ACTIONS(2836),
    [sym__as_custom] = ACTIONS(2836),
    [sym__as_quest_custom] = ACTIONS(2836),
    [sym__as_bang_custom] = ACTIONS(2836),
    [sym__custom_operator] = ACTIONS(2836),
  },
  [1504] = {
    [sym__immediate_quest] = STATE(1519),
    [aux_sym_optional_type_repeat1] = STATE(1519),
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2840),
    [anon_sym_async] = ACTIONS(2840),
    [anon_sym_lazy] = ACTIONS(2840),
    [anon_sym_package] = ACTIONS(2840),
    [anon_sym_COMMA] = ACTIONS(2840),
    [anon_sym_COLON] = ACTIONS(2840),
    [anon_sym_DOT] = ACTIONS(2840),
    [anon_sym_QMARK] = ACTIONS(2842),
    [anon_sym_QMARK2] = ACTIONS(4731),
    [anon_sym_AMP] = ACTIONS(2840),
    [anon_sym_LBRACE] = ACTIONS(2840),
    [anon_sym_RBRACE] = ACTIONS(2840),
    [anon_sym_case] = ACTIONS(2840),
    [anon_sym_import] = ACTIONS(2840),
    [anon_sym_typealias] = ACTIONS(2840),
    [anon_sym_struct] = ACTIONS(2840),
    [anon_sym_class] = ACTIONS(2840),
    [anon_sym_enum] = ACTIONS(2840),
    [anon_sym_protocol] = ACTIONS(2840),
    [anon_sym_let] = ACTIONS(2840),
    [anon_sym_var] = ACTIONS(2840),
    [anon_sym_func] = ACTIONS(2840),
    [anon_sym_extension] = ACTIONS(2840),
    [anon_sym_indirect] = ACTIONS(2840),
    [anon_sym_init] = ACTIONS(2840),
    [anon_sym_deinit] = ACTIONS(2840),
    [anon_sym_subscript] = ACTIONS(2840),
    [anon_sym_prefix] = ACTIONS(2840),
    [anon_sym_infix] = ACTIONS(2840),
    [anon_sym_postfix] = ACTIONS(2840),
    [anon_sym_precedencegroup] = ACTIONS(2840),
    [anon_sym_associatedtype] = ACTIONS(2840),
    [anon_sym_AT] = ACTIONS(2842),
    [anon_sym_override] = ACTIONS(2840),
    [anon_sym_convenience] = ACTIONS(2840),
    [anon_sym_required] = ACTIONS(2840),
    [anon_sym_nonisolated] = ACTIONS(2840),
    [anon_sym_public] = ACTIONS(2840),
    [anon_sym_private] = ACTIONS(2840),
    [anon_sym_internal] = ACTIONS(2840),
    [anon_sym_fileprivate] = ACTIONS(2840),
    [anon_sym_open] = ACTIONS(2840),
    [anon_sym_mutating] = ACTIONS(2840),
    [anon_sym_nonmutating] = ACTIONS(2840),
    [anon_sym_static] = ACTIONS(2840),
    [anon_sym_dynamic] = ACTIONS(2840),
    [anon_sym_optional] = ACTIONS(2840),
    [anon_sym_distributed] = ACTIONS(2840),
    [anon_sym_final] = ACTIONS(2840),
    [anon_sym_inout] = ACTIONS(2840),
    [anon_sym_ATescaping] = ACTIONS(2840),
    [anon_sym_ATautoclosure] = ACTIONS(2840),
    [anon_sym_weak] = ACTIONS(2840),
    [anon_sym_unowned] = ACTIONS(2842),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2840),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2840),
    [anon_sym_borrowing] = ACTIONS(2840),
    [anon_sym_consuming] = ACTIONS(2840),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2840),
    [sym__eq_custom] = ACTIONS(2840),
    [sym__throws_keyword] = ACTIONS(2840),
    [sym__rethrows_keyword] = ACTIONS(2840),
    [sym_where_keyword] = ACTIONS(2840),
    [sym__as_custom] = ACTIONS(2840),
    [sym__async_keyword_custom] = ACTIONS(2840),
  },
  [1505] = {
    [sym_simple_identifier] = STATE(7825),
    [sym__contextual_simple_identifier] = STATE(4320),
    [sym_type_arguments] = STATE(1829),
    [sym__parameter_ownership_modifier] = STATE(4320),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2812),
    [aux_sym_simple_identifier_token2] = ACTIONS(2814),
    [aux_sym_simple_identifier_token3] = ACTIONS(2814),
    [aux_sym_simple_identifier_token4] = ACTIONS(2814),
    [anon_sym_actor] = ACTIONS(2812),
    [anon_sym_async] = ACTIONS(2812),
    [anon_sym_each] = ACTIONS(2812),
    [anon_sym_lazy] = ACTIONS(2812),
    [anon_sym_repeat] = ACTIONS(2812),
    [anon_sym_package] = ACTIONS(2812),
    [anon_sym_RPAREN] = ACTIONS(4758),
    [anon_sym_COMMA] = ACTIONS(4758),
    [anon_sym_COLON] = ACTIONS(4761),
    [anon_sym_LPAREN] = ACTIONS(3078),
    [anon_sym_LBRACK] = ACTIONS(3076),
    [anon_sym_QMARK] = ACTIONS(3081),
    [anon_sym_QMARK2] = ACTIONS(3076),
    [anon_sym_AMP] = ACTIONS(3076),
    [aux_sym_custom_operator_token1] = ACTIONS(3076),
    [anon_sym_LT] = ACTIONS(3083),
    [anon_sym_GT] = ACTIONS(3081),
    [anon_sym_LBRACE] = ACTIONS(3078),
    [anon_sym_CARET_LBRACE] = ACTIONS(3078),
    [anon_sym_PLUS_EQ] = ACTIONS(3076),
    [anon_sym_DASH_EQ] = ACTIONS(3076),
    [anon_sym_STAR_EQ] = ACTIONS(3076),
    [anon_sym_SLASH_EQ] = ACTIONS(3076),
    [anon_sym_PERCENT_EQ] = ACTIONS(3076),
    [anon_sym_BANG_EQ] = ACTIONS(3081),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3076),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3076),
    [anon_sym_LT_EQ] = ACTIONS(3076),
    [anon_sym_GT_EQ] = ACTIONS(3076),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3076),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3076),
    [anon_sym_is] = ACTIONS(3081),
    [anon_sym_PLUS] = ACTIONS(3081),
    [anon_sym_DASH] = ACTIONS(3081),
    [anon_sym_STAR] = ACTIONS(3081),
    [anon_sym_SLASH] = ACTIONS(3081),
    [anon_sym_PERCENT] = ACTIONS(3081),
    [anon_sym_PLUS_PLUS] = ACTIONS(3076),
    [anon_sym_DASH_DASH] = ACTIONS(3076),
    [anon_sym_PIPE] = ACTIONS(3076),
    [anon_sym_CARET] = ACTIONS(3081),
    [anon_sym_LT_LT] = ACTIONS(3076),
    [anon_sym_GT_GT] = ACTIONS(3076),
    [anon_sym_BANG2] = ACTIONS(3081),
    [anon_sym_borrowing] = ACTIONS(2812),
    [anon_sym_consuming] = ACTIONS(2812),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3078),
    [sym__conjunction_operator_custom] = ACTIONS(3076),
    [sym__disjunction_operator_custom] = ACTIONS(3076),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3076),
    [sym__eq_custom] = ACTIONS(3076),
    [sym__eq_eq_custom] = ACTIONS(3076),
    [sym__plus_then_ws] = ACTIONS(3076),
    [sym__minus_then_ws] = ACTIONS(3076),
    [sym__bang_custom] = ACTIONS(3076),
    [sym__as_custom] = ACTIONS(3076),
    [sym__as_quest_custom] = ACTIONS(3076),
    [sym__as_bang_custom] = ACTIONS(3076),
    [sym__custom_operator] = ACTIONS(3076),
  },
  [1506] = {
    [sym_simple_identifier] = STATE(5624),
    [sym__contextual_simple_identifier] = STATE(5797),
    [sym__parameter_ownership_modifier] = STATE(5797),
    [ts_builtin_sym_end] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(3444),
    [aux_sym_simple_identifier_token2] = ACTIONS(3446),
    [aux_sym_simple_identifier_token3] = ACTIONS(3446),
    [aux_sym_simple_identifier_token4] = ACTIONS(3446),
    [anon_sym_actor] = ACTIONS(3444),
    [anon_sym_async] = ACTIONS(3444),
    [anon_sym_each] = ACTIONS(3444),
    [anon_sym_lazy] = ACTIONS(3444),
    [anon_sym_repeat] = ACTIONS(3444),
    [anon_sym_package] = ACTIONS(3444),
    [anon_sym_LPAREN] = ACTIONS(631),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_QMARK] = ACTIONS(637),
    [anon_sym_QMARK2] = ACTIONS(631),
    [anon_sym_AMP] = ACTIONS(631),
    [aux_sym_custom_operator_token1] = ACTIONS(631),
    [anon_sym_LT] = ACTIONS(637),
    [anon_sym_GT] = ACTIONS(637),
    [anon_sym_LBRACE] = ACTIONS(631),
    [anon_sym_CARET_LBRACE] = ACTIONS(631),
    [anon_sym_RBRACE] = ACTIONS(631),
    [anon_sym_PLUS_EQ] = ACTIONS(631),
    [anon_sym_DASH_EQ] = ACTIONS(631),
    [anon_sym_STAR_EQ] = ACTIONS(631),
    [anon_sym_SLASH_EQ] = ACTIONS(631),
    [anon_sym_PERCENT_EQ] = ACTIONS(631),
    [anon_sym_BANG_EQ] = ACTIONS(637),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(631),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(631),
    [anon_sym_LT_EQ] = ACTIONS(631),
    [anon_sym_GT_EQ] = ACTIONS(631),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(631),
    [anon_sym_DOT_DOT_LT] = ACTIONS(631),
    [anon_sym_is] = ACTIONS(637),
    [anon_sym_PLUS] = ACTIONS(637),
    [anon_sym_DASH] = ACTIONS(637),
    [anon_sym_STAR] = ACTIONS(637),
    [anon_sym_SLASH] = ACTIONS(637),
    [anon_sym_PERCENT] = ACTIONS(637),
    [anon_sym_PLUS_PLUS] = ACTIONS(631),
    [anon_sym_DASH_DASH] = ACTIONS(631),
    [anon_sym_PIPE] = ACTIONS(631),
    [anon_sym_CARET] = ACTIONS(637),
    [anon_sym_LT_LT] = ACTIONS(631),
    [anon_sym_GT_GT] = ACTIONS(631),
    [anon_sym_BANG2] = ACTIONS(637),
    [anon_sym_borrowing] = ACTIONS(3444),
    [anon_sym_consuming] = ACTIONS(3444),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(631),
    [sym__explicit_semi] = ACTIONS(631),
    [sym__dot_custom] = ACTIONS(631),
    [sym__conjunction_operator_custom] = ACTIONS(631),
    [sym__disjunction_operator_custom] = ACTIONS(631),
    [sym__nil_coalescing_operator_custom] = ACTIONS(631),
    [sym__eq_custom] = ACTIONS(631),
    [sym__eq_eq_custom] = ACTIONS(631),
    [sym__plus_then_ws] = ACTIONS(631),
    [sym__minus_then_ws] = ACTIONS(631),
    [sym__bang_custom] = ACTIONS(631),
    [sym__as_custom] = ACTIONS(631),
    [sym__as_quest_custom] = ACTIONS(631),
    [sym__as_bang_custom] = ACTIONS(631),
    [sym__custom_operator] = ACTIONS(631),
  },
  [1507] = {
    [sym_attribute] = STATE(1507),
    [aux_sym__locally_permitted_modifiers] = STATE(1507),
    [sym__non_local_scope_modifier] = STATE(1507),
    [sym__locally_permitted_modifier] = STATE(1507),
    [sym_property_behavior_modifier] = STATE(1507),
    [sym_member_modifier] = STATE(1507),
    [sym_visibility_modifier] = STATE(1507),
    [sym_function_modifier] = STATE(1507),
    [sym_mutation_modifier] = STATE(1507),
    [sym_property_modifier] = STATE(1507),
    [sym_inheritance_modifier] = STATE(1507),
    [sym_parameter_modifier] = STATE(1507),
    [sym_ownership_modifier] = STATE(1507),
    [sym__parameter_ownership_modifier] = STATE(2572),
    [aux_sym_modifiers_repeat1] = STATE(1507),
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(4763),
    [anon_sym_async] = ACTIONS(4763),
    [anon_sym_lazy] = ACTIONS(4765),
    [anon_sym_package] = ACTIONS(4768),
    [anon_sym_case] = ACTIONS(4763),
    [anon_sym_import] = ACTIONS(4763),
    [anon_sym_typealias] = ACTIONS(4763),
    [anon_sym_struct] = ACTIONS(4763),
    [anon_sym_class] = ACTIONS(4771),
    [anon_sym_enum] = ACTIONS(4763),
    [anon_sym_protocol] = ACTIONS(4763),
    [anon_sym_let] = ACTIONS(4763),
    [anon_sym_var] = ACTIONS(4763),
    [anon_sym_func] = ACTIONS(4763),
    [anon_sym_willSet] = ACTIONS(4763),
    [anon_sym_didSet] = ACTIONS(4763),
    [anon_sym_macro] = ACTIONS(4763),
    [anon_sym_extension] = ACTIONS(4763),
    [anon_sym_indirect] = ACTIONS(4763),
    [anon_sym_init] = ACTIONS(4763),
    [anon_sym_deinit] = ACTIONS(4763),
    [anon_sym_subscript] = ACTIONS(4763),
    [anon_sym_prefix] = ACTIONS(4774),
    [anon_sym_infix] = ACTIONS(4774),
    [anon_sym_postfix] = ACTIONS(4774),
    [anon_sym_associatedtype] = ACTIONS(4763),
    [anon_sym_AT] = ACTIONS(4777),
    [anon_sym_override] = ACTIONS(4780),
    [anon_sym_convenience] = ACTIONS(4780),
    [anon_sym_required] = ACTIONS(4780),
    [anon_sym_nonisolated] = ACTIONS(4780),
    [anon_sym_public] = ACTIONS(4768),
    [anon_sym_private] = ACTIONS(4768),
    [anon_sym_internal] = ACTIONS(4768),
    [anon_sym_fileprivate] = ACTIONS(4768),
    [anon_sym_open] = ACTIONS(4768),
    [anon_sym_mutating] = ACTIONS(4783),
    [anon_sym_nonmutating] = ACTIONS(4783),
    [anon_sym_static] = ACTIONS(4771),
    [anon_sym_dynamic] = ACTIONS(4771),
    [anon_sym_optional] = ACTIONS(4771),
    [anon_sym_distributed] = ACTIONS(4771),
    [anon_sym_final] = ACTIONS(4786),
    [anon_sym_inout] = ACTIONS(4789),
    [anon_sym_ATescaping] = ACTIONS(4789),
    [anon_sym_ATautoclosure] = ACTIONS(4789),
    [anon_sym_weak] = ACTIONS(4792),
    [anon_sym_unowned] = ACTIONS(4795),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(4792),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(4792),
    [anon_sym_borrowing] = ACTIONS(4789),
    [anon_sym_consuming] = ACTIONS(4789),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
  },
  [1508] = {
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2928),
    [anon_sym_async] = ACTIONS(2928),
    [anon_sym_lazy] = ACTIONS(2928),
    [anon_sym_package] = ACTIONS(2928),
    [anon_sym_RPAREN] = ACTIONS(2928),
    [anon_sym_COMMA] = ACTIONS(2928),
    [anon_sym_COLON] = ACTIONS(2928),
    [anon_sym_BANG] = ACTIONS(2928),
    [anon_sym_DOT] = ACTIONS(2930),
    [anon_sym_QMARK2] = ACTIONS(2928),
    [anon_sym_AMP] = ACTIONS(2928),
    [anon_sym_LT] = ACTIONS(2928),
    [anon_sym_LBRACE] = ACTIONS(2928),
    [anon_sym_RBRACE] = ACTIONS(2928),
    [anon_sym_case] = ACTIONS(2928),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2928),
    [anon_sym_import] = ACTIONS(2928),
    [anon_sym_typealias] = ACTIONS(2928),
    [anon_sym_struct] = ACTIONS(2928),
    [anon_sym_class] = ACTIONS(2928),
    [anon_sym_enum] = ACTIONS(2928),
    [anon_sym_protocol] = ACTIONS(2928),
    [anon_sym_let] = ACTIONS(2928),
    [anon_sym_var] = ACTIONS(2928),
    [anon_sym_func] = ACTIONS(2928),
    [anon_sym_extension] = ACTIONS(2928),
    [anon_sym_indirect] = ACTIONS(2928),
    [anon_sym_init] = ACTIONS(2928),
    [anon_sym_deinit] = ACTIONS(2928),
    [anon_sym_subscript] = ACTIONS(2928),
    [anon_sym_prefix] = ACTIONS(2928),
    [anon_sym_infix] = ACTIONS(2928),
    [anon_sym_postfix] = ACTIONS(2928),
    [anon_sym_precedencegroup] = ACTIONS(2928),
    [anon_sym_associatedtype] = ACTIONS(2928),
    [anon_sym_AT] = ACTIONS(2930),
    [anon_sym_override] = ACTIONS(2928),
    [anon_sym_convenience] = ACTIONS(2928),
    [anon_sym_required] = ACTIONS(2928),
    [anon_sym_nonisolated] = ACTIONS(2928),
    [anon_sym_public] = ACTIONS(2928),
    [anon_sym_private] = ACTIONS(2928),
    [anon_sym_internal] = ACTIONS(2928),
    [anon_sym_fileprivate] = ACTIONS(2928),
    [anon_sym_open] = ACTIONS(2928),
    [anon_sym_mutating] = ACTIONS(2928),
    [anon_sym_nonmutating] = ACTIONS(2928),
    [anon_sym_static] = ACTIONS(2928),
    [anon_sym_dynamic] = ACTIONS(2928),
    [anon_sym_optional] = ACTIONS(2928),
    [anon_sym_distributed] = ACTIONS(2928),
    [anon_sym_final] = ACTIONS(2928),
    [anon_sym_inout] = ACTIONS(2928),
    [anon_sym_ATescaping] = ACTIONS(2928),
    [anon_sym_ATautoclosure] = ACTIONS(2928),
    [anon_sym_weak] = ACTIONS(2928),
    [anon_sym_unowned] = ACTIONS(2930),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2928),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2928),
    [anon_sym_borrowing] = ACTIONS(2928),
    [anon_sym_consuming] = ACTIONS(2928),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2928),
    [sym__dot_custom] = ACTIONS(2928),
    [sym__eq_custom] = ACTIONS(2928),
    [sym__throws_keyword] = ACTIONS(2928),
    [sym__rethrows_keyword] = ACTIONS(2928),
    [sym__async_keyword_custom] = ACTIONS(2928),
  },
  [1509] = {
    [sym_simple_identifier] = STATE(7703),
    [sym__contextual_simple_identifier] = STATE(4320),
    [sym__parameter_ownership_modifier] = STATE(4320),
    [aux_sym__fn_call_lambda_arguments_repeat1] = STATE(1509),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2830),
    [aux_sym_simple_identifier_token2] = ACTIONS(2833),
    [aux_sym_simple_identifier_token3] = ACTIONS(2833),
    [aux_sym_simple_identifier_token4] = ACTIONS(2833),
    [anon_sym_actor] = ACTIONS(2830),
    [anon_sym_async] = ACTIONS(2830),
    [anon_sym_each] = ACTIONS(2830),
    [anon_sym_lazy] = ACTIONS(2830),
    [anon_sym_repeat] = ACTIONS(2830),
    [anon_sym_package] = ACTIONS(2830),
    [anon_sym_COMMA] = ACTIONS(2836),
    [anon_sym_LPAREN] = ACTIONS(2836),
    [anon_sym_LBRACK] = ACTIONS(2836),
    [anon_sym_QMARK] = ACTIONS(2838),
    [anon_sym_QMARK2] = ACTIONS(2836),
    [anon_sym_AMP] = ACTIONS(2836),
    [aux_sym_custom_operator_token1] = ACTIONS(2836),
    [anon_sym_LT] = ACTIONS(2838),
    [anon_sym_GT] = ACTIONS(2838),
    [anon_sym_LBRACE] = ACTIONS(2836),
    [anon_sym_CARET_LBRACE] = ACTIONS(2836),
    [anon_sym_PLUS_EQ] = ACTIONS(2836),
    [anon_sym_DASH_EQ] = ACTIONS(2836),
    [anon_sym_STAR_EQ] = ACTIONS(2836),
    [anon_sym_SLASH_EQ] = ACTIONS(2836),
    [anon_sym_PERCENT_EQ] = ACTIONS(2836),
    [anon_sym_BANG_EQ] = ACTIONS(2838),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2836),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2836),
    [anon_sym_LT_EQ] = ACTIONS(2836),
    [anon_sym_GT_EQ] = ACTIONS(2836),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2836),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2836),
    [anon_sym_is] = ACTIONS(2838),
    [anon_sym_PLUS] = ACTIONS(2838),
    [anon_sym_DASH] = ACTIONS(2838),
    [anon_sym_STAR] = ACTIONS(2838),
    [anon_sym_SLASH] = ACTIONS(2838),
    [anon_sym_PERCENT] = ACTIONS(2838),
    [anon_sym_PLUS_PLUS] = ACTIONS(2836),
    [anon_sym_DASH_DASH] = ACTIONS(2836),
    [anon_sym_PIPE] = ACTIONS(2836),
    [anon_sym_CARET] = ACTIONS(2838),
    [anon_sym_LT_LT] = ACTIONS(2836),
    [anon_sym_GT_GT] = ACTIONS(2836),
    [anon_sym_BANG2] = ACTIONS(2838),
    [anon_sym_borrowing] = ACTIONS(2830),
    [anon_sym_consuming] = ACTIONS(2830),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2836),
    [sym__conjunction_operator_custom] = ACTIONS(2836),
    [sym__disjunction_operator_custom] = ACTIONS(2836),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2836),
    [sym__eq_custom] = ACTIONS(2836),
    [sym__eq_eq_custom] = ACTIONS(2836),
    [sym__plus_then_ws] = ACTIONS(2836),
    [sym__minus_then_ws] = ACTIONS(2836),
    [sym__bang_custom] = ACTIONS(2836),
    [sym_where_keyword] = ACTIONS(2836),
    [sym_else] = ACTIONS(2836),
    [sym__as_custom] = ACTIONS(2836),
    [sym__as_quest_custom] = ACTIONS(2836),
    [sym__as_bang_custom] = ACTIONS(2836),
    [sym__custom_operator] = ACTIONS(2836),
  },
  [1510] = {
    [sym_simple_identifier] = STATE(7718),
    [sym__contextual_simple_identifier] = STATE(4320),
    [sym__parameter_ownership_modifier] = STATE(4320),
    [aux_sym__fn_call_lambda_arguments_repeat1] = STATE(1513),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2812),
    [aux_sym_simple_identifier_token2] = ACTIONS(2814),
    [aux_sym_simple_identifier_token3] = ACTIONS(2814),
    [aux_sym_simple_identifier_token4] = ACTIONS(2814),
    [anon_sym_actor] = ACTIONS(2812),
    [anon_sym_async] = ACTIONS(2812),
    [anon_sym_each] = ACTIONS(2812),
    [anon_sym_lazy] = ACTIONS(2812),
    [anon_sym_repeat] = ACTIONS(2812),
    [anon_sym_package] = ACTIONS(2812),
    [anon_sym_COMMA] = ACTIONS(2826),
    [anon_sym_COLON] = ACTIONS(2826),
    [anon_sym_LPAREN] = ACTIONS(2826),
    [anon_sym_LBRACK] = ACTIONS(2826),
    [anon_sym_QMARK] = ACTIONS(2828),
    [anon_sym_QMARK2] = ACTIONS(2826),
    [anon_sym_AMP] = ACTIONS(2826),
    [aux_sym_custom_operator_token1] = ACTIONS(2826),
    [anon_sym_LT] = ACTIONS(2828),
    [anon_sym_GT] = ACTIONS(2828),
    [anon_sym_LBRACE] = ACTIONS(2826),
    [anon_sym_CARET_LBRACE] = ACTIONS(2826),
    [anon_sym_PLUS_EQ] = ACTIONS(2826),
    [anon_sym_DASH_EQ] = ACTIONS(2826),
    [anon_sym_STAR_EQ] = ACTIONS(2826),
    [anon_sym_SLASH_EQ] = ACTIONS(2826),
    [anon_sym_PERCENT_EQ] = ACTIONS(2826),
    [anon_sym_BANG_EQ] = ACTIONS(2828),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2826),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2826),
    [anon_sym_LT_EQ] = ACTIONS(2826),
    [anon_sym_GT_EQ] = ACTIONS(2826),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2826),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2826),
    [anon_sym_is] = ACTIONS(2828),
    [anon_sym_PLUS] = ACTIONS(2828),
    [anon_sym_DASH] = ACTIONS(2828),
    [anon_sym_STAR] = ACTIONS(2828),
    [anon_sym_SLASH] = ACTIONS(2828),
    [anon_sym_PERCENT] = ACTIONS(2828),
    [anon_sym_PLUS_PLUS] = ACTIONS(2826),
    [anon_sym_DASH_DASH] = ACTIONS(2826),
    [anon_sym_PIPE] = ACTIONS(2826),
    [anon_sym_CARET] = ACTIONS(2828),
    [anon_sym_LT_LT] = ACTIONS(2826),
    [anon_sym_GT_GT] = ACTIONS(2826),
    [anon_sym_BANG2] = ACTIONS(2828),
    [anon_sym_borrowing] = ACTIONS(2812),
    [anon_sym_consuming] = ACTIONS(2812),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2826),
    [sym__conjunction_operator_custom] = ACTIONS(2826),
    [sym__disjunction_operator_custom] = ACTIONS(2826),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2826),
    [sym__eq_custom] = ACTIONS(2826),
    [sym__eq_eq_custom] = ACTIONS(2826),
    [sym__plus_then_ws] = ACTIONS(2826),
    [sym__minus_then_ws] = ACTIONS(2826),
    [sym__bang_custom] = ACTIONS(2826),
    [sym_where_keyword] = ACTIONS(2826),
    [sym__as_custom] = ACTIONS(2826),
    [sym__as_quest_custom] = ACTIONS(2826),
    [sym__as_bang_custom] = ACTIONS(2826),
    [sym__custom_operator] = ACTIONS(2826),
  },
  [1511] = {
    [sym_simple_identifier] = STATE(7703),
    [sym__contextual_simple_identifier] = STATE(4320),
    [sym__parameter_ownership_modifier] = STATE(4320),
    [aux_sym__fn_call_lambda_arguments_repeat1] = STATE(1509),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2812),
    [aux_sym_simple_identifier_token2] = ACTIONS(2814),
    [aux_sym_simple_identifier_token3] = ACTIONS(2814),
    [aux_sym_simple_identifier_token4] = ACTIONS(2814),
    [anon_sym_actor] = ACTIONS(2812),
    [anon_sym_async] = ACTIONS(2812),
    [anon_sym_each] = ACTIONS(2812),
    [anon_sym_lazy] = ACTIONS(2812),
    [anon_sym_repeat] = ACTIONS(2812),
    [anon_sym_package] = ACTIONS(2812),
    [anon_sym_COMMA] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(2819),
    [anon_sym_LBRACK] = ACTIONS(2819),
    [anon_sym_QMARK] = ACTIONS(2821),
    [anon_sym_QMARK2] = ACTIONS(2819),
    [anon_sym_AMP] = ACTIONS(2819),
    [aux_sym_custom_operator_token1] = ACTIONS(2819),
    [anon_sym_LT] = ACTIONS(2821),
    [anon_sym_GT] = ACTIONS(2821),
    [anon_sym_LBRACE] = ACTIONS(2819),
    [anon_sym_CARET_LBRACE] = ACTIONS(2819),
    [anon_sym_PLUS_EQ] = ACTIONS(2819),
    [anon_sym_DASH_EQ] = ACTIONS(2819),
    [anon_sym_STAR_EQ] = ACTIONS(2819),
    [anon_sym_SLASH_EQ] = ACTIONS(2819),
    [anon_sym_PERCENT_EQ] = ACTIONS(2819),
    [anon_sym_BANG_EQ] = ACTIONS(2821),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2819),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2819),
    [anon_sym_LT_EQ] = ACTIONS(2819),
    [anon_sym_GT_EQ] = ACTIONS(2819),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2819),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2819),
    [anon_sym_is] = ACTIONS(2821),
    [anon_sym_PLUS] = ACTIONS(2821),
    [anon_sym_DASH] = ACTIONS(2821),
    [anon_sym_STAR] = ACTIONS(2821),
    [anon_sym_SLASH] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(2821),
    [anon_sym_PLUS_PLUS] = ACTIONS(2819),
    [anon_sym_DASH_DASH] = ACTIONS(2819),
    [anon_sym_PIPE] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_LT_LT] = ACTIONS(2819),
    [anon_sym_GT_GT] = ACTIONS(2819),
    [anon_sym_BANG2] = ACTIONS(2821),
    [anon_sym_borrowing] = ACTIONS(2812),
    [anon_sym_consuming] = ACTIONS(2812),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2819),
    [sym__conjunction_operator_custom] = ACTIONS(2819),
    [sym__disjunction_operator_custom] = ACTIONS(2819),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2819),
    [sym__eq_custom] = ACTIONS(2819),
    [sym__eq_eq_custom] = ACTIONS(2819),
    [sym__plus_then_ws] = ACTIONS(2819),
    [sym__minus_then_ws] = ACTIONS(2819),
    [sym__bang_custom] = ACTIONS(2819),
    [sym_where_keyword] = ACTIONS(2819),
    [sym_else] = ACTIONS(2819),
    [sym__as_custom] = ACTIONS(2819),
    [sym__as_quest_custom] = ACTIONS(2819),
    [sym__as_bang_custom] = ACTIONS(2819),
    [sym__custom_operator] = ACTIONS(2819),
  },
  [1512] = {
    [sym__immediate_quest] = STATE(1512),
    [aux_sym_optional_type_repeat1] = STATE(1512),
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2859),
    [anon_sym_async] = ACTIONS(2859),
    [anon_sym_lazy] = ACTIONS(2859),
    [anon_sym_package] = ACTIONS(2859),
    [anon_sym_COMMA] = ACTIONS(2859),
    [anon_sym_COLON] = ACTIONS(2859),
    [anon_sym_DOT] = ACTIONS(2859),
    [anon_sym_QMARK] = ACTIONS(2861),
    [anon_sym_QMARK2] = ACTIONS(4798),
    [anon_sym_AMP] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2859),
    [anon_sym_RBRACE] = ACTIONS(2859),
    [anon_sym_case] = ACTIONS(2859),
    [anon_sym_import] = ACTIONS(2859),
    [anon_sym_typealias] = ACTIONS(2859),
    [anon_sym_struct] = ACTIONS(2859),
    [anon_sym_class] = ACTIONS(2859),
    [anon_sym_enum] = ACTIONS(2859),
    [anon_sym_protocol] = ACTIONS(2859),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_var] = ACTIONS(2859),
    [anon_sym_func] = ACTIONS(2859),
    [anon_sym_extension] = ACTIONS(2859),
    [anon_sym_indirect] = ACTIONS(2859),
    [anon_sym_init] = ACTIONS(2859),
    [anon_sym_deinit] = ACTIONS(2859),
    [anon_sym_subscript] = ACTIONS(2859),
    [anon_sym_prefix] = ACTIONS(2859),
    [anon_sym_infix] = ACTIONS(2859),
    [anon_sym_postfix] = ACTIONS(2859),
    [anon_sym_precedencegroup] = ACTIONS(2859),
    [anon_sym_associatedtype] = ACTIONS(2859),
    [anon_sym_AT] = ACTIONS(2861),
    [anon_sym_override] = ACTIONS(2859),
    [anon_sym_convenience] = ACTIONS(2859),
    [anon_sym_required] = ACTIONS(2859),
    [anon_sym_nonisolated] = ACTIONS(2859),
    [anon_sym_public] = ACTIONS(2859),
    [anon_sym_private] = ACTIONS(2859),
    [anon_sym_internal] = ACTIONS(2859),
    [anon_sym_fileprivate] = ACTIONS(2859),
    [anon_sym_open] = ACTIONS(2859),
    [anon_sym_mutating] = ACTIONS(2859),
    [anon_sym_nonmutating] = ACTIONS(2859),
    [anon_sym_static] = ACTIONS(2859),
    [anon_sym_dynamic] = ACTIONS(2859),
    [anon_sym_optional] = ACTIONS(2859),
    [anon_sym_distributed] = ACTIONS(2859),
    [anon_sym_final] = ACTIONS(2859),
    [anon_sym_inout] = ACTIONS(2859),
    [anon_sym_ATescaping] = ACTIONS(2859),
    [anon_sym_ATautoclosure] = ACTIONS(2859),
    [anon_sym_weak] = ACTIONS(2859),
    [anon_sym_unowned] = ACTIONS(2861),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2859),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2859),
    [anon_sym_borrowing] = ACTIONS(2859),
    [anon_sym_consuming] = ACTIONS(2859),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2859),
    [sym__eq_custom] = ACTIONS(2859),
    [sym__throws_keyword] = ACTIONS(2859),
    [sym__rethrows_keyword] = ACTIONS(2859),
    [sym_where_keyword] = ACTIONS(2859),
    [sym__as_custom] = ACTIONS(2859),
    [sym__async_keyword_custom] = ACTIONS(2859),
  },
  [1513] = {
    [sym_simple_identifier] = STATE(7718),
    [sym__contextual_simple_identifier] = STATE(4320),
    [sym__parameter_ownership_modifier] = STATE(4320),
    [aux_sym__fn_call_lambda_arguments_repeat1] = STATE(1518),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2812),
    [aux_sym_simple_identifier_token2] = ACTIONS(2814),
    [aux_sym_simple_identifier_token3] = ACTIONS(2814),
    [aux_sym_simple_identifier_token4] = ACTIONS(2814),
    [anon_sym_actor] = ACTIONS(2812),
    [anon_sym_async] = ACTIONS(2812),
    [anon_sym_each] = ACTIONS(2812),
    [anon_sym_lazy] = ACTIONS(2812),
    [anon_sym_repeat] = ACTIONS(2812),
    [anon_sym_package] = ACTIONS(2812),
    [anon_sym_COMMA] = ACTIONS(2819),
    [anon_sym_COLON] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(2819),
    [anon_sym_LBRACK] = ACTIONS(2819),
    [anon_sym_QMARK] = ACTIONS(2821),
    [anon_sym_QMARK2] = ACTIONS(2819),
    [anon_sym_AMP] = ACTIONS(2819),
    [aux_sym_custom_operator_token1] = ACTIONS(2819),
    [anon_sym_LT] = ACTIONS(2821),
    [anon_sym_GT] = ACTIONS(2821),
    [anon_sym_LBRACE] = ACTIONS(2819),
    [anon_sym_CARET_LBRACE] = ACTIONS(2819),
    [anon_sym_PLUS_EQ] = ACTIONS(2819),
    [anon_sym_DASH_EQ] = ACTIONS(2819),
    [anon_sym_STAR_EQ] = ACTIONS(2819),
    [anon_sym_SLASH_EQ] = ACTIONS(2819),
    [anon_sym_PERCENT_EQ] = ACTIONS(2819),
    [anon_sym_BANG_EQ] = ACTIONS(2821),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2819),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2819),
    [anon_sym_LT_EQ] = ACTIONS(2819),
    [anon_sym_GT_EQ] = ACTIONS(2819),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2819),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2819),
    [anon_sym_is] = ACTIONS(2821),
    [anon_sym_PLUS] = ACTIONS(2821),
    [anon_sym_DASH] = ACTIONS(2821),
    [anon_sym_STAR] = ACTIONS(2821),
    [anon_sym_SLASH] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(2821),
    [anon_sym_PLUS_PLUS] = ACTIONS(2819),
    [anon_sym_DASH_DASH] = ACTIONS(2819),
    [anon_sym_PIPE] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_LT_LT] = ACTIONS(2819),
    [anon_sym_GT_GT] = ACTIONS(2819),
    [anon_sym_BANG2] = ACTIONS(2821),
    [anon_sym_borrowing] = ACTIONS(2812),
    [anon_sym_consuming] = ACTIONS(2812),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2819),
    [sym__conjunction_operator_custom] = ACTIONS(2819),
    [sym__disjunction_operator_custom] = ACTIONS(2819),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2819),
    [sym__eq_custom] = ACTIONS(2819),
    [sym__eq_eq_custom] = ACTIONS(2819),
    [sym__plus_then_ws] = ACTIONS(2819),
    [sym__minus_then_ws] = ACTIONS(2819),
    [sym__bang_custom] = ACTIONS(2819),
    [sym_where_keyword] = ACTIONS(2819),
    [sym__as_custom] = ACTIONS(2819),
    [sym__as_quest_custom] = ACTIONS(2819),
    [sym__as_bang_custom] = ACTIONS(2819),
    [sym__custom_operator] = ACTIONS(2819),
  },
  [1514] = {
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2928),
    [anon_sym_async] = ACTIONS(2928),
    [anon_sym_lazy] = ACTIONS(2928),
    [anon_sym_package] = ACTIONS(2928),
    [anon_sym_COMMA] = ACTIONS(2928),
    [anon_sym_COLON] = ACTIONS(2928),
    [anon_sym_DOT] = ACTIONS(2928),
    [anon_sym_QMARK] = ACTIONS(2930),
    [anon_sym_QMARK2] = ACTIONS(2928),
    [anon_sym_AMP] = ACTIONS(2928),
    [anon_sym_LT] = ACTIONS(2928),
    [anon_sym_LBRACE] = ACTIONS(2928),
    [anon_sym_RBRACE] = ACTIONS(2928),
    [anon_sym_case] = ACTIONS(2928),
    [anon_sym_import] = ACTIONS(2928),
    [anon_sym_typealias] = ACTIONS(2928),
    [anon_sym_struct] = ACTIONS(2928),
    [anon_sym_class] = ACTIONS(2928),
    [anon_sym_enum] = ACTIONS(2928),
    [anon_sym_protocol] = ACTIONS(2928),
    [anon_sym_let] = ACTIONS(2928),
    [anon_sym_var] = ACTIONS(2928),
    [anon_sym_func] = ACTIONS(2928),
    [anon_sym_extension] = ACTIONS(2928),
    [anon_sym_indirect] = ACTIONS(2928),
    [anon_sym_init] = ACTIONS(2928),
    [anon_sym_deinit] = ACTIONS(2928),
    [anon_sym_subscript] = ACTIONS(2928),
    [anon_sym_prefix] = ACTIONS(2928),
    [anon_sym_infix] = ACTIONS(2928),
    [anon_sym_postfix] = ACTIONS(2928),
    [anon_sym_precedencegroup] = ACTIONS(2928),
    [anon_sym_associatedtype] = ACTIONS(2928),
    [anon_sym_AT] = ACTIONS(2930),
    [anon_sym_override] = ACTIONS(2928),
    [anon_sym_convenience] = ACTIONS(2928),
    [anon_sym_required] = ACTIONS(2928),
    [anon_sym_nonisolated] = ACTIONS(2928),
    [anon_sym_public] = ACTIONS(2928),
    [anon_sym_private] = ACTIONS(2928),
    [anon_sym_internal] = ACTIONS(2928),
    [anon_sym_fileprivate] = ACTIONS(2928),
    [anon_sym_open] = ACTIONS(2928),
    [anon_sym_mutating] = ACTIONS(2928),
    [anon_sym_nonmutating] = ACTIONS(2928),
    [anon_sym_static] = ACTIONS(2928),
    [anon_sym_dynamic] = ACTIONS(2928),
    [anon_sym_optional] = ACTIONS(2928),
    [anon_sym_distributed] = ACTIONS(2928),
    [anon_sym_final] = ACTIONS(2928),
    [anon_sym_inout] = ACTIONS(2928),
    [anon_sym_ATescaping] = ACTIONS(2928),
    [anon_sym_ATautoclosure] = ACTIONS(2928),
    [anon_sym_weak] = ACTIONS(2928),
    [anon_sym_unowned] = ACTIONS(2930),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2928),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2928),
    [anon_sym_borrowing] = ACTIONS(2928),
    [anon_sym_consuming] = ACTIONS(2928),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2928),
    [sym__dot_custom] = ACTIONS(2928),
    [sym__eq_custom] = ACTIONS(2928),
    [sym__throws_keyword] = ACTIONS(2928),
    [sym__rethrows_keyword] = ACTIONS(2928),
    [sym_where_keyword] = ACTIONS(2928),
    [sym__as_custom] = ACTIONS(2928),
    [sym__async_keyword_custom] = ACTIONS(2928),
  },
  [1515] = {
    [sym_type_arguments] = STATE(1548),
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2882),
    [anon_sym_async] = ACTIONS(2882),
    [anon_sym_lazy] = ACTIONS(2882),
    [anon_sym_package] = ACTIONS(2882),
    [anon_sym_RPAREN] = ACTIONS(2882),
    [anon_sym_COMMA] = ACTIONS(2882),
    [anon_sym_BANG] = ACTIONS(2882),
    [anon_sym_DOT] = ACTIONS(2884),
    [anon_sym_QMARK2] = ACTIONS(2882),
    [anon_sym_AMP] = ACTIONS(2882),
    [anon_sym_LT] = ACTIONS(4801),
    [anon_sym_LBRACE] = ACTIONS(2882),
    [anon_sym_RBRACE] = ACTIONS(2882),
    [anon_sym_case] = ACTIONS(2882),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2882),
    [anon_sym_import] = ACTIONS(2882),
    [anon_sym_typealias] = ACTIONS(2882),
    [anon_sym_struct] = ACTIONS(2882),
    [anon_sym_class] = ACTIONS(2882),
    [anon_sym_enum] = ACTIONS(2882),
    [anon_sym_protocol] = ACTIONS(2882),
    [anon_sym_let] = ACTIONS(2882),
    [anon_sym_var] = ACTIONS(2882),
    [anon_sym_func] = ACTIONS(2882),
    [anon_sym_extension] = ACTIONS(2882),
    [anon_sym_indirect] = ACTIONS(2882),
    [anon_sym_init] = ACTIONS(2882),
    [anon_sym_deinit] = ACTIONS(2882),
    [anon_sym_subscript] = ACTIONS(2882),
    [anon_sym_prefix] = ACTIONS(2882),
    [anon_sym_infix] = ACTIONS(2882),
    [anon_sym_postfix] = ACTIONS(2882),
    [anon_sym_precedencegroup] = ACTIONS(2882),
    [anon_sym_associatedtype] = ACTIONS(2882),
    [anon_sym_AT] = ACTIONS(2884),
    [anon_sym_override] = ACTIONS(2882),
    [anon_sym_convenience] = ACTIONS(2882),
    [anon_sym_required] = ACTIONS(2882),
    [anon_sym_nonisolated] = ACTIONS(2882),
    [anon_sym_public] = ACTIONS(2882),
    [anon_sym_private] = ACTIONS(2882),
    [anon_sym_internal] = ACTIONS(2882),
    [anon_sym_fileprivate] = ACTIONS(2882),
    [anon_sym_open] = ACTIONS(2882),
    [anon_sym_mutating] = ACTIONS(2882),
    [anon_sym_nonmutating] = ACTIONS(2882),
    [anon_sym_static] = ACTIONS(2882),
    [anon_sym_dynamic] = ACTIONS(2882),
    [anon_sym_optional] = ACTIONS(2882),
    [anon_sym_distributed] = ACTIONS(2882),
    [anon_sym_final] = ACTIONS(2882),
    [anon_sym_inout] = ACTIONS(2882),
    [anon_sym_ATescaping] = ACTIONS(2882),
    [anon_sym_ATautoclosure] = ACTIONS(2882),
    [anon_sym_weak] = ACTIONS(2882),
    [anon_sym_unowned] = ACTIONS(2884),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2882),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2882),
    [anon_sym_borrowing] = ACTIONS(2882),
    [anon_sym_consuming] = ACTIONS(2882),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2882),
    [sym__dot_custom] = ACTIONS(2882),
    [sym__eq_custom] = ACTIONS(2882),
    [sym__throws_keyword] = ACTIONS(2882),
    [sym__rethrows_keyword] = ACTIONS(2882),
    [sym__async_keyword_custom] = ACTIONS(2882),
  },
  [1516] = {
    [sym_simple_identifier] = STATE(7703),
    [sym__contextual_simple_identifier] = STATE(4320),
    [sym__parameter_ownership_modifier] = STATE(4320),
    [aux_sym__fn_call_lambda_arguments_repeat1] = STATE(1511),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2812),
    [aux_sym_simple_identifier_token2] = ACTIONS(2814),
    [aux_sym_simple_identifier_token3] = ACTIONS(2814),
    [aux_sym_simple_identifier_token4] = ACTIONS(2814),
    [anon_sym_actor] = ACTIONS(2812),
    [anon_sym_async] = ACTIONS(2812),
    [anon_sym_each] = ACTIONS(2812),
    [anon_sym_lazy] = ACTIONS(2812),
    [anon_sym_repeat] = ACTIONS(2812),
    [anon_sym_package] = ACTIONS(2812),
    [anon_sym_COMMA] = ACTIONS(2826),
    [anon_sym_LPAREN] = ACTIONS(2826),
    [anon_sym_LBRACK] = ACTIONS(2826),
    [anon_sym_QMARK] = ACTIONS(2828),
    [anon_sym_QMARK2] = ACTIONS(2826),
    [anon_sym_AMP] = ACTIONS(2826),
    [aux_sym_custom_operator_token1] = ACTIONS(2826),
    [anon_sym_LT] = ACTIONS(2828),
    [anon_sym_GT] = ACTIONS(2828),
    [anon_sym_LBRACE] = ACTIONS(2826),
    [anon_sym_CARET_LBRACE] = ACTIONS(2826),
    [anon_sym_PLUS_EQ] = ACTIONS(2826),
    [anon_sym_DASH_EQ] = ACTIONS(2826),
    [anon_sym_STAR_EQ] = ACTIONS(2826),
    [anon_sym_SLASH_EQ] = ACTIONS(2826),
    [anon_sym_PERCENT_EQ] = ACTIONS(2826),
    [anon_sym_BANG_EQ] = ACTIONS(2828),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2826),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2826),
    [anon_sym_LT_EQ] = ACTIONS(2826),
    [anon_sym_GT_EQ] = ACTIONS(2826),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2826),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2826),
    [anon_sym_is] = ACTIONS(2828),
    [anon_sym_PLUS] = ACTIONS(2828),
    [anon_sym_DASH] = ACTIONS(2828),
    [anon_sym_STAR] = ACTIONS(2828),
    [anon_sym_SLASH] = ACTIONS(2828),
    [anon_sym_PERCENT] = ACTIONS(2828),
    [anon_sym_PLUS_PLUS] = ACTIONS(2826),
    [anon_sym_DASH_DASH] = ACTIONS(2826),
    [anon_sym_PIPE] = ACTIONS(2826),
    [anon_sym_CARET] = ACTIONS(2828),
    [anon_sym_LT_LT] = ACTIONS(2826),
    [anon_sym_GT_GT] = ACTIONS(2826),
    [anon_sym_BANG2] = ACTIONS(2828),
    [anon_sym_borrowing] = ACTIONS(2812),
    [anon_sym_consuming] = ACTIONS(2812),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2826),
    [sym__conjunction_operator_custom] = ACTIONS(2826),
    [sym__disjunction_operator_custom] = ACTIONS(2826),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2826),
    [sym__eq_custom] = ACTIONS(2826),
    [sym__eq_eq_custom] = ACTIONS(2826),
    [sym__plus_then_ws] = ACTIONS(2826),
    [sym__minus_then_ws] = ACTIONS(2826),
    [sym__bang_custom] = ACTIONS(2826),
    [sym_where_keyword] = ACTIONS(2826),
    [sym_else] = ACTIONS(2826),
    [sym__as_custom] = ACTIONS(2826),
    [sym__as_quest_custom] = ACTIONS(2826),
    [sym__as_bang_custom] = ACTIONS(2826),
    [sym__custom_operator] = ACTIONS(2826),
  },
  [1517] = {
    [sym__immediate_quest] = STATE(1520),
    [sym__arrow_operator] = STATE(3835),
    [sym__async_keyword] = STATE(6064),
    [sym_throws] = STATE(7365),
    [aux_sym_optional_type_repeat1] = STATE(1520),
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2840),
    [anon_sym_async] = ACTIONS(2840),
    [anon_sym_lazy] = ACTIONS(2840),
    [anon_sym_package] = ACTIONS(2840),
    [anon_sym_COMMA] = ACTIONS(2840),
    [anon_sym_BANG] = ACTIONS(2840),
    [anon_sym_DOT] = ACTIONS(2840),
    [anon_sym_QMARK2] = ACTIONS(4803),
    [anon_sym_AMP] = ACTIONS(2840),
    [anon_sym_LBRACE] = ACTIONS(2840),
    [anon_sym_RBRACE] = ACTIONS(2840),
    [anon_sym_case] = ACTIONS(2840),
    [anon_sym_import] = ACTIONS(2840),
    [anon_sym_typealias] = ACTIONS(2840),
    [anon_sym_struct] = ACTIONS(2840),
    [anon_sym_class] = ACTIONS(2840),
    [anon_sym_enum] = ACTIONS(2840),
    [anon_sym_protocol] = ACTIONS(2840),
    [anon_sym_let] = ACTIONS(2840),
    [anon_sym_var] = ACTIONS(2840),
    [anon_sym_func] = ACTIONS(2840),
    [anon_sym_extension] = ACTIONS(2840),
    [anon_sym_indirect] = ACTIONS(2840),
    [anon_sym_init] = ACTIONS(2840),
    [anon_sym_deinit] = ACTIONS(2840),
    [anon_sym_subscript] = ACTIONS(2840),
    [anon_sym_prefix] = ACTIONS(2840),
    [anon_sym_infix] = ACTIONS(2840),
    [anon_sym_postfix] = ACTIONS(2840),
    [anon_sym_precedencegroup] = ACTIONS(2840),
    [anon_sym_associatedtype] = ACTIONS(2840),
    [anon_sym_AT] = ACTIONS(2842),
    [anon_sym_override] = ACTIONS(2840),
    [anon_sym_convenience] = ACTIONS(2840),
    [anon_sym_required] = ACTIONS(2840),
    [anon_sym_nonisolated] = ACTIONS(2840),
    [anon_sym_public] = ACTIONS(2840),
    [anon_sym_private] = ACTIONS(2840),
    [anon_sym_internal] = ACTIONS(2840),
    [anon_sym_fileprivate] = ACTIONS(2840),
    [anon_sym_open] = ACTIONS(2840),
    [anon_sym_mutating] = ACTIONS(2840),
    [anon_sym_nonmutating] = ACTIONS(2840),
    [anon_sym_static] = ACTIONS(2840),
    [anon_sym_dynamic] = ACTIONS(2840),
    [anon_sym_optional] = ACTIONS(2840),
    [anon_sym_distributed] = ACTIONS(2840),
    [anon_sym_final] = ACTIONS(2840),
    [anon_sym_inout] = ACTIONS(2840),
    [anon_sym_ATescaping] = ACTIONS(2840),
    [anon_sym_ATautoclosure] = ACTIONS(2840),
    [anon_sym_weak] = ACTIONS(2840),
    [anon_sym_unowned] = ACTIONS(2842),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2840),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2840),
    [anon_sym_borrowing] = ACTIONS(2840),
    [anon_sym_consuming] = ACTIONS(2840),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(4805),
    [sym__eq_custom] = ACTIONS(2840),
    [sym__throws_keyword] = ACTIONS(2848),
    [sym__rethrows_keyword] = ACTIONS(2848),
    [sym__async_keyword_custom] = ACTIONS(4807),
  },
  [1518] = {
    [sym_simple_identifier] = STATE(7718),
    [sym__contextual_simple_identifier] = STATE(4320),
    [sym__parameter_ownership_modifier] = STATE(4320),
    [aux_sym__fn_call_lambda_arguments_repeat1] = STATE(1518),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2830),
    [aux_sym_simple_identifier_token2] = ACTIONS(2833),
    [aux_sym_simple_identifier_token3] = ACTIONS(2833),
    [aux_sym_simple_identifier_token4] = ACTIONS(2833),
    [anon_sym_actor] = ACTIONS(2830),
    [anon_sym_async] = ACTIONS(2830),
    [anon_sym_each] = ACTIONS(2830),
    [anon_sym_lazy] = ACTIONS(2830),
    [anon_sym_repeat] = ACTIONS(2830),
    [anon_sym_package] = ACTIONS(2830),
    [anon_sym_COMMA] = ACTIONS(2836),
    [anon_sym_COLON] = ACTIONS(2836),
    [anon_sym_LPAREN] = ACTIONS(2836),
    [anon_sym_LBRACK] = ACTIONS(2836),
    [anon_sym_QMARK] = ACTIONS(2838),
    [anon_sym_QMARK2] = ACTIONS(2836),
    [anon_sym_AMP] = ACTIONS(2836),
    [aux_sym_custom_operator_token1] = ACTIONS(2836),
    [anon_sym_LT] = ACTIONS(2838),
    [anon_sym_GT] = ACTIONS(2838),
    [anon_sym_LBRACE] = ACTIONS(2836),
    [anon_sym_CARET_LBRACE] = ACTIONS(2836),
    [anon_sym_PLUS_EQ] = ACTIONS(2836),
    [anon_sym_DASH_EQ] = ACTIONS(2836),
    [anon_sym_STAR_EQ] = ACTIONS(2836),
    [anon_sym_SLASH_EQ] = ACTIONS(2836),
    [anon_sym_PERCENT_EQ] = ACTIONS(2836),
    [anon_sym_BANG_EQ] = ACTIONS(2838),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2836),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2836),
    [anon_sym_LT_EQ] = ACTIONS(2836),
    [anon_sym_GT_EQ] = ACTIONS(2836),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2836),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2836),
    [anon_sym_is] = ACTIONS(2838),
    [anon_sym_PLUS] = ACTIONS(2838),
    [anon_sym_DASH] = ACTIONS(2838),
    [anon_sym_STAR] = ACTIONS(2838),
    [anon_sym_SLASH] = ACTIONS(2838),
    [anon_sym_PERCENT] = ACTIONS(2838),
    [anon_sym_PLUS_PLUS] = ACTIONS(2836),
    [anon_sym_DASH_DASH] = ACTIONS(2836),
    [anon_sym_PIPE] = ACTIONS(2836),
    [anon_sym_CARET] = ACTIONS(2838),
    [anon_sym_LT_LT] = ACTIONS(2836),
    [anon_sym_GT_GT] = ACTIONS(2836),
    [anon_sym_BANG2] = ACTIONS(2838),
    [anon_sym_borrowing] = ACTIONS(2830),
    [anon_sym_consuming] = ACTIONS(2830),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2836),
    [sym__conjunction_operator_custom] = ACTIONS(2836),
    [sym__disjunction_operator_custom] = ACTIONS(2836),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2836),
    [sym__eq_custom] = ACTIONS(2836),
    [sym__eq_eq_custom] = ACTIONS(2836),
    [sym__plus_then_ws] = ACTIONS(2836),
    [sym__minus_then_ws] = ACTIONS(2836),
    [sym__bang_custom] = ACTIONS(2836),
    [sym_where_keyword] = ACTIONS(2836),
    [sym__as_custom] = ACTIONS(2836),
    [sym__as_quest_custom] = ACTIONS(2836),
    [sym__as_bang_custom] = ACTIONS(2836),
    [sym__custom_operator] = ACTIONS(2836),
  },
  [1519] = {
    [sym__immediate_quest] = STATE(1512),
    [aux_sym_optional_type_repeat1] = STATE(1512),
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2794),
    [anon_sym_async] = ACTIONS(2794),
    [anon_sym_lazy] = ACTIONS(2794),
    [anon_sym_package] = ACTIONS(2794),
    [anon_sym_COMMA] = ACTIONS(2794),
    [anon_sym_COLON] = ACTIONS(2794),
    [anon_sym_DOT] = ACTIONS(2794),
    [anon_sym_QMARK] = ACTIONS(2796),
    [anon_sym_QMARK2] = ACTIONS(4731),
    [anon_sym_AMP] = ACTIONS(2794),
    [anon_sym_LBRACE] = ACTIONS(2794),
    [anon_sym_RBRACE] = ACTIONS(2794),
    [anon_sym_case] = ACTIONS(2794),
    [anon_sym_import] = ACTIONS(2794),
    [anon_sym_typealias] = ACTIONS(2794),
    [anon_sym_struct] = ACTIONS(2794),
    [anon_sym_class] = ACTIONS(2794),
    [anon_sym_enum] = ACTIONS(2794),
    [anon_sym_protocol] = ACTIONS(2794),
    [anon_sym_let] = ACTIONS(2794),
    [anon_sym_var] = ACTIONS(2794),
    [anon_sym_func] = ACTIONS(2794),
    [anon_sym_extension] = ACTIONS(2794),
    [anon_sym_indirect] = ACTIONS(2794),
    [anon_sym_init] = ACTIONS(2794),
    [anon_sym_deinit] = ACTIONS(2794),
    [anon_sym_subscript] = ACTIONS(2794),
    [anon_sym_prefix] = ACTIONS(2794),
    [anon_sym_infix] = ACTIONS(2794),
    [anon_sym_postfix] = ACTIONS(2794),
    [anon_sym_precedencegroup] = ACTIONS(2794),
    [anon_sym_associatedtype] = ACTIONS(2794),
    [anon_sym_AT] = ACTIONS(2796),
    [anon_sym_override] = ACTIONS(2794),
    [anon_sym_convenience] = ACTIONS(2794),
    [anon_sym_required] = ACTIONS(2794),
    [anon_sym_nonisolated] = ACTIONS(2794),
    [anon_sym_public] = ACTIONS(2794),
    [anon_sym_private] = ACTIONS(2794),
    [anon_sym_internal] = ACTIONS(2794),
    [anon_sym_fileprivate] = ACTIONS(2794),
    [anon_sym_open] = ACTIONS(2794),
    [anon_sym_mutating] = ACTIONS(2794),
    [anon_sym_nonmutating] = ACTIONS(2794),
    [anon_sym_static] = ACTIONS(2794),
    [anon_sym_dynamic] = ACTIONS(2794),
    [anon_sym_optional] = ACTIONS(2794),
    [anon_sym_distributed] = ACTIONS(2794),
    [anon_sym_final] = ACTIONS(2794),
    [anon_sym_inout] = ACTIONS(2794),
    [anon_sym_ATescaping] = ACTIONS(2794),
    [anon_sym_ATautoclosure] = ACTIONS(2794),
    [anon_sym_weak] = ACTIONS(2794),
    [anon_sym_unowned] = ACTIONS(2796),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2794),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2794),
    [anon_sym_borrowing] = ACTIONS(2794),
    [anon_sym_consuming] = ACTIONS(2794),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2794),
    [sym__eq_custom] = ACTIONS(2794),
    [sym__throws_keyword] = ACTIONS(2794),
    [sym__rethrows_keyword] = ACTIONS(2794),
    [sym_where_keyword] = ACTIONS(2794),
    [sym__as_custom] = ACTIONS(2794),
    [sym__async_keyword_custom] = ACTIONS(2794),
  },
  [1520] = {
    [sym__immediate_quest] = STATE(1522),
    [aux_sym_optional_type_repeat1] = STATE(1522),
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2794),
    [anon_sym_async] = ACTIONS(2794),
    [anon_sym_lazy] = ACTIONS(2794),
    [anon_sym_package] = ACTIONS(2794),
    [anon_sym_RPAREN] = ACTIONS(2794),
    [anon_sym_COMMA] = ACTIONS(2794),
    [anon_sym_BANG] = ACTIONS(2794),
    [anon_sym_DOT] = ACTIONS(2796),
    [anon_sym_QMARK2] = ACTIONS(4803),
    [anon_sym_AMP] = ACTIONS(2794),
    [anon_sym_LBRACE] = ACTIONS(2794),
    [anon_sym_RBRACE] = ACTIONS(2794),
    [anon_sym_case] = ACTIONS(2794),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2794),
    [anon_sym_import] = ACTIONS(2794),
    [anon_sym_typealias] = ACTIONS(2794),
    [anon_sym_struct] = ACTIONS(2794),
    [anon_sym_class] = ACTIONS(2794),
    [anon_sym_enum] = ACTIONS(2794),
    [anon_sym_protocol] = ACTIONS(2794),
    [anon_sym_let] = ACTIONS(2794),
    [anon_sym_var] = ACTIONS(2794),
    [anon_sym_func] = ACTIONS(2794),
    [anon_sym_extension] = ACTIONS(2794),
    [anon_sym_indirect] = ACTIONS(2794),
    [anon_sym_init] = ACTIONS(2794),
    [anon_sym_deinit] = ACTIONS(2794),
    [anon_sym_subscript] = ACTIONS(2794),
    [anon_sym_prefix] = ACTIONS(2794),
    [anon_sym_infix] = ACTIONS(2794),
    [anon_sym_postfix] = ACTIONS(2794),
    [anon_sym_precedencegroup] = ACTIONS(2794),
    [anon_sym_associatedtype] = ACTIONS(2794),
    [anon_sym_AT] = ACTIONS(2796),
    [anon_sym_override] = ACTIONS(2794),
    [anon_sym_convenience] = ACTIONS(2794),
    [anon_sym_required] = ACTIONS(2794),
    [anon_sym_nonisolated] = ACTIONS(2794),
    [anon_sym_public] = ACTIONS(2794),
    [anon_sym_private] = ACTIONS(2794),
    [anon_sym_internal] = ACTIONS(2794),
    [anon_sym_fileprivate] = ACTIONS(2794),
    [anon_sym_open] = ACTIONS(2794),
    [anon_sym_mutating] = ACTIONS(2794),
    [anon_sym_nonmutating] = ACTIONS(2794),
    [anon_sym_static] = ACTIONS(2794),
    [anon_sym_dynamic] = ACTIONS(2794),
    [anon_sym_optional] = ACTIONS(2794),
    [anon_sym_distributed] = ACTIONS(2794),
    [anon_sym_final] = ACTIONS(2794),
    [anon_sym_inout] = ACTIONS(2794),
    [anon_sym_ATescaping] = ACTIONS(2794),
    [anon_sym_ATautoclosure] = ACTIONS(2794),
    [anon_sym_weak] = ACTIONS(2794),
    [anon_sym_unowned] = ACTIONS(2796),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2794),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2794),
    [anon_sym_borrowing] = ACTIONS(2794),
    [anon_sym_consuming] = ACTIONS(2794),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2794),
    [sym__eq_custom] = ACTIONS(2794),
    [sym__throws_keyword] = ACTIONS(2794),
    [sym__rethrows_keyword] = ACTIONS(2794),
    [sym__async_keyword_custom] = ACTIONS(2794),
  },
  [1521] = {
    [sym__immediate_quest] = STATE(1520),
    [aux_sym_optional_type_repeat1] = STATE(1520),
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2840),
    [anon_sym_async] = ACTIONS(2840),
    [anon_sym_lazy] = ACTIONS(2840),
    [anon_sym_package] = ACTIONS(2840),
    [anon_sym_RPAREN] = ACTIONS(2840),
    [anon_sym_COMMA] = ACTIONS(2840),
    [anon_sym_BANG] = ACTIONS(2840),
    [anon_sym_DOT] = ACTIONS(2842),
    [anon_sym_QMARK2] = ACTIONS(4803),
    [anon_sym_AMP] = ACTIONS(2840),
    [anon_sym_LBRACE] = ACTIONS(2840),
    [anon_sym_RBRACE] = ACTIONS(2840),
    [anon_sym_case] = ACTIONS(2840),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2840),
    [anon_sym_import] = ACTIONS(2840),
    [anon_sym_typealias] = ACTIONS(2840),
    [anon_sym_struct] = ACTIONS(2840),
    [anon_sym_class] = ACTIONS(2840),
    [anon_sym_enum] = ACTIONS(2840),
    [anon_sym_protocol] = ACTIONS(2840),
    [anon_sym_let] = ACTIONS(2840),
    [anon_sym_var] = ACTIONS(2840),
    [anon_sym_func] = ACTIONS(2840),
    [anon_sym_extension] = ACTIONS(2840),
    [anon_sym_indirect] = ACTIONS(2840),
    [anon_sym_init] = ACTIONS(2840),
    [anon_sym_deinit] = ACTIONS(2840),
    [anon_sym_subscript] = ACTIONS(2840),
    [anon_sym_prefix] = ACTIONS(2840),
    [anon_sym_infix] = ACTIONS(2840),
    [anon_sym_postfix] = ACTIONS(2840),
    [anon_sym_precedencegroup] = ACTIONS(2840),
    [anon_sym_associatedtype] = ACTIONS(2840),
    [anon_sym_AT] = ACTIONS(2842),
    [anon_sym_override] = ACTIONS(2840),
    [anon_sym_convenience] = ACTIONS(2840),
    [anon_sym_required] = ACTIONS(2840),
    [anon_sym_nonisolated] = ACTIONS(2840),
    [anon_sym_public] = ACTIONS(2840),
    [anon_sym_private] = ACTIONS(2840),
    [anon_sym_internal] = ACTIONS(2840),
    [anon_sym_fileprivate] = ACTIONS(2840),
    [anon_sym_open] = ACTIONS(2840),
    [anon_sym_mutating] = ACTIONS(2840),
    [anon_sym_nonmutating] = ACTIONS(2840),
    [anon_sym_static] = ACTIONS(2840),
    [anon_sym_dynamic] = ACTIONS(2840),
    [anon_sym_optional] = ACTIONS(2840),
    [anon_sym_distributed] = ACTIONS(2840),
    [anon_sym_final] = ACTIONS(2840),
    [anon_sym_inout] = ACTIONS(2840),
    [anon_sym_ATescaping] = ACTIONS(2840),
    [anon_sym_ATautoclosure] = ACTIONS(2840),
    [anon_sym_weak] = ACTIONS(2840),
    [anon_sym_unowned] = ACTIONS(2842),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2840),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2840),
    [anon_sym_borrowing] = ACTIONS(2840),
    [anon_sym_consuming] = ACTIONS(2840),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2840),
    [sym__eq_custom] = ACTIONS(2840),
    [sym__throws_keyword] = ACTIONS(2840),
    [sym__rethrows_keyword] = ACTIONS(2840),
    [sym__async_keyword_custom] = ACTIONS(2840),
  },
  [1522] = {
    [sym__immediate_quest] = STATE(1522),
    [aux_sym_optional_type_repeat1] = STATE(1522),
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2859),
    [anon_sym_async] = ACTIONS(2859),
    [anon_sym_lazy] = ACTIONS(2859),
    [anon_sym_package] = ACTIONS(2859),
    [anon_sym_RPAREN] = ACTIONS(2859),
    [anon_sym_COMMA] = ACTIONS(2859),
    [anon_sym_BANG] = ACTIONS(2859),
    [anon_sym_DOT] = ACTIONS(2861),
    [anon_sym_QMARK2] = ACTIONS(4809),
    [anon_sym_AMP] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2859),
    [anon_sym_RBRACE] = ACTIONS(2859),
    [anon_sym_case] = ACTIONS(2859),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2859),
    [anon_sym_import] = ACTIONS(2859),
    [anon_sym_typealias] = ACTIONS(2859),
    [anon_sym_struct] = ACTIONS(2859),
    [anon_sym_class] = ACTIONS(2859),
    [anon_sym_enum] = ACTIONS(2859),
    [anon_sym_protocol] = ACTIONS(2859),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_var] = ACTIONS(2859),
    [anon_sym_func] = ACTIONS(2859),
    [anon_sym_extension] = ACTIONS(2859),
    [anon_sym_indirect] = ACTIONS(2859),
    [anon_sym_init] = ACTIONS(2859),
    [anon_sym_deinit] = ACTIONS(2859),
    [anon_sym_subscript] = ACTIONS(2859),
    [anon_sym_prefix] = ACTIONS(2859),
    [anon_sym_infix] = ACTIONS(2859),
    [anon_sym_postfix] = ACTIONS(2859),
    [anon_sym_precedencegroup] = ACTIONS(2859),
    [anon_sym_associatedtype] = ACTIONS(2859),
    [anon_sym_AT] = ACTIONS(2861),
    [anon_sym_override] = ACTIONS(2859),
    [anon_sym_convenience] = ACTIONS(2859),
    [anon_sym_required] = ACTIONS(2859),
    [anon_sym_nonisolated] = ACTIONS(2859),
    [anon_sym_public] = ACTIONS(2859),
    [anon_sym_private] = ACTIONS(2859),
    [anon_sym_internal] = ACTIONS(2859),
    [anon_sym_fileprivate] = ACTIONS(2859),
    [anon_sym_open] = ACTIONS(2859),
    [anon_sym_mutating] = ACTIONS(2859),
    [anon_sym_nonmutating] = ACTIONS(2859),
    [anon_sym_static] = ACTIONS(2859),
    [anon_sym_dynamic] = ACTIONS(2859),
    [anon_sym_optional] = ACTIONS(2859),
    [anon_sym_distributed] = ACTIONS(2859),
    [anon_sym_final] = ACTIONS(2859),
    [anon_sym_inout] = ACTIONS(2859),
    [anon_sym_ATescaping] = ACTIONS(2859),
    [anon_sym_ATautoclosure] = ACTIONS(2859),
    [anon_sym_weak] = ACTIONS(2859),
    [anon_sym_unowned] = ACTIONS(2861),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2859),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2859),
    [anon_sym_borrowing] = ACTIONS(2859),
    [anon_sym_consuming] = ACTIONS(2859),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2859),
    [sym__eq_custom] = ACTIONS(2859),
    [sym__throws_keyword] = ACTIONS(2859),
    [sym__rethrows_keyword] = ACTIONS(2859),
    [sym__async_keyword_custom] = ACTIONS(2859),
  },
  [1523] = {
    [sym__dot] = STATE(4690),
    [aux_sym_user_type_repeat1] = STATE(1523),
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2798),
    [anon_sym_async] = ACTIONS(2798),
    [anon_sym_lazy] = ACTIONS(2798),
    [anon_sym_package] = ACTIONS(2798),
    [anon_sym_COMMA] = ACTIONS(2798),
    [anon_sym_BANG] = ACTIONS(2798),
    [anon_sym_DOT] = ACTIONS(2798),
    [anon_sym_QMARK2] = ACTIONS(2798),
    [anon_sym_AMP] = ACTIONS(2798),
    [anon_sym_LBRACE] = ACTIONS(2798),
    [anon_sym_RBRACE] = ACTIONS(2798),
    [anon_sym_case] = ACTIONS(2798),
    [anon_sym_import] = ACTIONS(2798),
    [anon_sym_typealias] = ACTIONS(2798),
    [anon_sym_struct] = ACTIONS(2798),
    [anon_sym_class] = ACTIONS(2798),
    [anon_sym_enum] = ACTIONS(2798),
    [anon_sym_protocol] = ACTIONS(2798),
    [anon_sym_let] = ACTIONS(2798),
    [anon_sym_var] = ACTIONS(2798),
    [anon_sym_func] = ACTIONS(2798),
    [anon_sym_extension] = ACTIONS(2798),
    [anon_sym_indirect] = ACTIONS(2798),
    [anon_sym_init] = ACTIONS(2798),
    [anon_sym_deinit] = ACTIONS(2798),
    [anon_sym_subscript] = ACTIONS(2798),
    [anon_sym_prefix] = ACTIONS(2798),
    [anon_sym_infix] = ACTIONS(2798),
    [anon_sym_postfix] = ACTIONS(2798),
    [anon_sym_precedencegroup] = ACTIONS(2798),
    [anon_sym_associatedtype] = ACTIONS(2798),
    [anon_sym_AT] = ACTIONS(2800),
    [anon_sym_override] = ACTIONS(2798),
    [anon_sym_convenience] = ACTIONS(2798),
    [anon_sym_required] = ACTIONS(2798),
    [anon_sym_nonisolated] = ACTIONS(2798),
    [anon_sym_public] = ACTIONS(2798),
    [anon_sym_private] = ACTIONS(2798),
    [anon_sym_internal] = ACTIONS(2798),
    [anon_sym_fileprivate] = ACTIONS(2798),
    [anon_sym_open] = ACTIONS(2798),
    [anon_sym_mutating] = ACTIONS(2798),
    [anon_sym_nonmutating] = ACTIONS(2798),
    [anon_sym_static] = ACTIONS(2798),
    [anon_sym_dynamic] = ACTIONS(2798),
    [anon_sym_optional] = ACTIONS(2798),
    [anon_sym_distributed] = ACTIONS(2798),
    [anon_sym_final] = ACTIONS(2798),
    [anon_sym_inout] = ACTIONS(2798),
    [anon_sym_ATescaping] = ACTIONS(2798),
    [anon_sym_ATautoclosure] = ACTIONS(2798),
    [anon_sym_weak] = ACTIONS(2798),
    [anon_sym_unowned] = ACTIONS(2800),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2798),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2798),
    [anon_sym_borrowing] = ACTIONS(2798),
    [anon_sym_consuming] = ACTIONS(2798),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2798),
    [sym__dot_custom] = ACTIONS(4812),
    [sym__eq_custom] = ACTIONS(2798),
    [sym__throws_keyword] = ACTIONS(2798),
    [sym__rethrows_keyword] = ACTIONS(2798),
    [sym_where_keyword] = ACTIONS(2798),
    [sym__async_keyword_custom] = ACTIONS(2798),
  },
  [1524] = {
    [sym_type_arguments] = STATE(1621),
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2882),
    [anon_sym_async] = ACTIONS(2882),
    [anon_sym_lazy] = ACTIONS(2882),
    [anon_sym_package] = ACTIONS(2882),
    [anon_sym_COMMA] = ACTIONS(2882),
    [anon_sym_BANG] = ACTIONS(2882),
    [anon_sym_DOT] = ACTIONS(2882),
    [anon_sym_QMARK2] = ACTIONS(2882),
    [anon_sym_AMP] = ACTIONS(2882),
    [anon_sym_LT] = ACTIONS(4815),
    [anon_sym_LBRACE] = ACTIONS(2882),
    [anon_sym_RBRACE] = ACTIONS(2882),
    [anon_sym_case] = ACTIONS(2882),
    [anon_sym_import] = ACTIONS(2882),
    [anon_sym_typealias] = ACTIONS(2882),
    [anon_sym_struct] = ACTIONS(2882),
    [anon_sym_class] = ACTIONS(2882),
    [anon_sym_enum] = ACTIONS(2882),
    [anon_sym_protocol] = ACTIONS(2882),
    [anon_sym_let] = ACTIONS(2882),
    [anon_sym_var] = ACTIONS(2882),
    [anon_sym_func] = ACTIONS(2882),
    [anon_sym_extension] = ACTIONS(2882),
    [anon_sym_indirect] = ACTIONS(2882),
    [anon_sym_init] = ACTIONS(2882),
    [anon_sym_deinit] = ACTIONS(2882),
    [anon_sym_subscript] = ACTIONS(2882),
    [anon_sym_prefix] = ACTIONS(2882),
    [anon_sym_infix] = ACTIONS(2882),
    [anon_sym_postfix] = ACTIONS(2882),
    [anon_sym_precedencegroup] = ACTIONS(2882),
    [anon_sym_associatedtype] = ACTIONS(2882),
    [anon_sym_AT] = ACTIONS(2884),
    [anon_sym_override] = ACTIONS(2882),
    [anon_sym_convenience] = ACTIONS(2882),
    [anon_sym_required] = ACTIONS(2882),
    [anon_sym_nonisolated] = ACTIONS(2882),
    [anon_sym_public] = ACTIONS(2882),
    [anon_sym_private] = ACTIONS(2882),
    [anon_sym_internal] = ACTIONS(2882),
    [anon_sym_fileprivate] = ACTIONS(2882),
    [anon_sym_open] = ACTIONS(2882),
    [anon_sym_mutating] = ACTIONS(2882),
    [anon_sym_nonmutating] = ACTIONS(2882),
    [anon_sym_static] = ACTIONS(2882),
    [anon_sym_dynamic] = ACTIONS(2882),
    [anon_sym_optional] = ACTIONS(2882),
    [anon_sym_distributed] = ACTIONS(2882),
    [anon_sym_final] = ACTIONS(2882),
    [anon_sym_inout] = ACTIONS(2882),
    [anon_sym_ATescaping] = ACTIONS(2882),
    [anon_sym_ATautoclosure] = ACTIONS(2882),
    [anon_sym_weak] = ACTIONS(2882),
    [anon_sym_unowned] = ACTIONS(2884),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2882),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2882),
    [anon_sym_borrowing] = ACTIONS(2882),
    [anon_sym_consuming] = ACTIONS(2882),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2882),
    [sym__dot_custom] = ACTIONS(2882),
    [sym__eq_custom] = ACTIONS(2882),
    [sym__throws_keyword] = ACTIONS(2882),
    [sym__rethrows_keyword] = ACTIONS(2882),
    [sym_where_keyword] = ACTIONS(2882),
    [sym__async_keyword_custom] = ACTIONS(2882),
  },
  [1525] = {
    [sym__arrow_operator] = STATE(3724),
    [sym__async_keyword] = STATE(6061),
    [sym_throws] = STATE(7455),
    [aux_sym_protocol_composition_type_repeat1] = STATE(1633),
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2874),
    [anon_sym_async] = ACTIONS(2874),
    [anon_sym_lazy] = ACTIONS(2874),
    [anon_sym_package] = ACTIONS(2874),
    [anon_sym_COMMA] = ACTIONS(2874),
    [anon_sym_BANG] = ACTIONS(2874),
    [anon_sym_DOT] = ACTIONS(4817),
    [anon_sym_AMP] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(2874),
    [anon_sym_RBRACE] = ACTIONS(2874),
    [anon_sym_case] = ACTIONS(2874),
    [anon_sym_import] = ACTIONS(2874),
    [anon_sym_typealias] = ACTIONS(2874),
    [anon_sym_struct] = ACTIONS(2874),
    [anon_sym_class] = ACTIONS(2874),
    [anon_sym_enum] = ACTIONS(2874),
    [anon_sym_protocol] = ACTIONS(2874),
    [anon_sym_let] = ACTIONS(2874),
    [anon_sym_var] = ACTIONS(2874),
    [anon_sym_func] = ACTIONS(2874),
    [anon_sym_extension] = ACTIONS(2874),
    [anon_sym_indirect] = ACTIONS(2874),
    [anon_sym_init] = ACTIONS(2874),
    [anon_sym_deinit] = ACTIONS(2874),
    [anon_sym_subscript] = ACTIONS(2874),
    [anon_sym_prefix] = ACTIONS(2874),
    [anon_sym_infix] = ACTIONS(2874),
    [anon_sym_postfix] = ACTIONS(2874),
    [anon_sym_precedencegroup] = ACTIONS(2874),
    [anon_sym_associatedtype] = ACTIONS(2874),
    [anon_sym_AT] = ACTIONS(2876),
    [anon_sym_override] = ACTIONS(2874),
    [anon_sym_convenience] = ACTIONS(2874),
    [anon_sym_required] = ACTIONS(2874),
    [anon_sym_nonisolated] = ACTIONS(2874),
    [anon_sym_public] = ACTIONS(2874),
    [anon_sym_private] = ACTIONS(2874),
    [anon_sym_internal] = ACTIONS(2874),
    [anon_sym_fileprivate] = ACTIONS(2874),
    [anon_sym_open] = ACTIONS(2874),
    [anon_sym_mutating] = ACTIONS(2874),
    [anon_sym_nonmutating] = ACTIONS(2874),
    [anon_sym_static] = ACTIONS(2874),
    [anon_sym_dynamic] = ACTIONS(2874),
    [anon_sym_optional] = ACTIONS(2874),
    [anon_sym_distributed] = ACTIONS(2874),
    [anon_sym_final] = ACTIONS(2874),
    [anon_sym_inout] = ACTIONS(2874),
    [anon_sym_ATescaping] = ACTIONS(2874),
    [anon_sym_ATautoclosure] = ACTIONS(2874),
    [anon_sym_weak] = ACTIONS(2874),
    [anon_sym_unowned] = ACTIONS(2876),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2874),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2874),
    [anon_sym_borrowing] = ACTIONS(2874),
    [anon_sym_consuming] = ACTIONS(2874),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(4754),
    [sym__eq_custom] = ACTIONS(2874),
    [sym__throws_keyword] = ACTIONS(2848),
    [sym__rethrows_keyword] = ACTIONS(2848),
    [sym_where_keyword] = ACTIONS(2874),
    [sym__async_keyword_custom] = ACTIONS(4756),
  },
  [1526] = {
    [sym__arrow_operator] = STATE(3724),
    [sym__async_keyword] = STATE(6061),
    [sym_throws] = STATE(7455),
    [aux_sym_protocol_composition_type_repeat1] = STATE(1633),
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2878),
    [anon_sym_async] = ACTIONS(2878),
    [anon_sym_lazy] = ACTIONS(2878),
    [anon_sym_package] = ACTIONS(2878),
    [anon_sym_COMMA] = ACTIONS(2878),
    [anon_sym_BANG] = ACTIONS(2878),
    [anon_sym_DOT] = ACTIONS(2878),
    [anon_sym_AMP] = ACTIONS(2878),
    [anon_sym_LBRACE] = ACTIONS(2878),
    [anon_sym_RBRACE] = ACTIONS(2878),
    [anon_sym_case] = ACTIONS(2878),
    [anon_sym_import] = ACTIONS(2878),
    [anon_sym_typealias] = ACTIONS(2878),
    [anon_sym_struct] = ACTIONS(2878),
    [anon_sym_class] = ACTIONS(2878),
    [anon_sym_enum] = ACTIONS(2878),
    [anon_sym_protocol] = ACTIONS(2878),
    [anon_sym_let] = ACTIONS(2878),
    [anon_sym_var] = ACTIONS(2878),
    [anon_sym_func] = ACTIONS(2878),
    [anon_sym_extension] = ACTIONS(2878),
    [anon_sym_indirect] = ACTIONS(2878),
    [anon_sym_init] = ACTIONS(2878),
    [anon_sym_deinit] = ACTIONS(2878),
    [anon_sym_subscript] = ACTIONS(2878),
    [anon_sym_prefix] = ACTIONS(2878),
    [anon_sym_infix] = ACTIONS(2878),
    [anon_sym_postfix] = ACTIONS(2878),
    [anon_sym_precedencegroup] = ACTIONS(2878),
    [anon_sym_associatedtype] = ACTIONS(2878),
    [anon_sym_AT] = ACTIONS(2880),
    [anon_sym_override] = ACTIONS(2878),
    [anon_sym_convenience] = ACTIONS(2878),
    [anon_sym_required] = ACTIONS(2878),
    [anon_sym_nonisolated] = ACTIONS(2878),
    [anon_sym_public] = ACTIONS(2878),
    [anon_sym_private] = ACTIONS(2878),
    [anon_sym_internal] = ACTIONS(2878),
    [anon_sym_fileprivate] = ACTIONS(2878),
    [anon_sym_open] = ACTIONS(2878),
    [anon_sym_mutating] = ACTIONS(2878),
    [anon_sym_nonmutating] = ACTIONS(2878),
    [anon_sym_static] = ACTIONS(2878),
    [anon_sym_dynamic] = ACTIONS(2878),
    [anon_sym_optional] = ACTIONS(2878),
    [anon_sym_distributed] = ACTIONS(2878),
    [anon_sym_final] = ACTIONS(2878),
    [anon_sym_inout] = ACTIONS(2878),
    [anon_sym_ATescaping] = ACTIONS(2878),
    [anon_sym_ATautoclosure] = ACTIONS(2878),
    [anon_sym_weak] = ACTIONS(2878),
    [anon_sym_unowned] = ACTIONS(2880),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2878),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2878),
    [anon_sym_borrowing] = ACTIONS(2878),
    [anon_sym_consuming] = ACTIONS(2878),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2878),
    [sym__eq_custom] = ACTIONS(2878),
    [sym__throws_keyword] = ACTIONS(2878),
    [sym__rethrows_keyword] = ACTIONS(2878),
    [sym_where_keyword] = ACTIONS(2878),
    [sym__async_keyword_custom] = ACTIONS(2878),
  },
  [1527] = {
    [sym__dot] = STATE(4690),
    [aux_sym_user_type_repeat1] = STATE(1545),
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2805),
    [anon_sym_async] = ACTIONS(2805),
    [anon_sym_lazy] = ACTIONS(2805),
    [anon_sym_package] = ACTIONS(2805),
    [anon_sym_COMMA] = ACTIONS(2805),
    [anon_sym_BANG] = ACTIONS(2805),
    [anon_sym_DOT] = ACTIONS(2805),
    [anon_sym_QMARK2] = ACTIONS(2805),
    [anon_sym_AMP] = ACTIONS(2805),
    [anon_sym_LBRACE] = ACTIONS(2805),
    [anon_sym_RBRACE] = ACTIONS(2805),
    [anon_sym_case] = ACTIONS(2805),
    [anon_sym_import] = ACTIONS(2805),
    [anon_sym_typealias] = ACTIONS(2805),
    [anon_sym_struct] = ACTIONS(2805),
    [anon_sym_class] = ACTIONS(2805),
    [anon_sym_enum] = ACTIONS(2805),
    [anon_sym_protocol] = ACTIONS(2805),
    [anon_sym_let] = ACTIONS(2805),
    [anon_sym_var] = ACTIONS(2805),
    [anon_sym_func] = ACTIONS(2805),
    [anon_sym_extension] = ACTIONS(2805),
    [anon_sym_indirect] = ACTIONS(2805),
    [anon_sym_init] = ACTIONS(2805),
    [anon_sym_deinit] = ACTIONS(2805),
    [anon_sym_subscript] = ACTIONS(2805),
    [anon_sym_prefix] = ACTIONS(2805),
    [anon_sym_infix] = ACTIONS(2805),
    [anon_sym_postfix] = ACTIONS(2805),
    [anon_sym_precedencegroup] = ACTIONS(2805),
    [anon_sym_associatedtype] = ACTIONS(2805),
    [anon_sym_AT] = ACTIONS(2807),
    [anon_sym_override] = ACTIONS(2805),
    [anon_sym_convenience] = ACTIONS(2805),
    [anon_sym_required] = ACTIONS(2805),
    [anon_sym_nonisolated] = ACTIONS(2805),
    [anon_sym_public] = ACTIONS(2805),
    [anon_sym_private] = ACTIONS(2805),
    [anon_sym_internal] = ACTIONS(2805),
    [anon_sym_fileprivate] = ACTIONS(2805),
    [anon_sym_open] = ACTIONS(2805),
    [anon_sym_mutating] = ACTIONS(2805),
    [anon_sym_nonmutating] = ACTIONS(2805),
    [anon_sym_static] = ACTIONS(2805),
    [anon_sym_dynamic] = ACTIONS(2805),
    [anon_sym_optional] = ACTIONS(2805),
    [anon_sym_distributed] = ACTIONS(2805),
    [anon_sym_final] = ACTIONS(2805),
    [anon_sym_inout] = ACTIONS(2805),
    [anon_sym_ATescaping] = ACTIONS(2805),
    [anon_sym_ATautoclosure] = ACTIONS(2805),
    [anon_sym_weak] = ACTIONS(2805),
    [anon_sym_unowned] = ACTIONS(2807),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2805),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2805),
    [anon_sym_borrowing] = ACTIONS(2805),
    [anon_sym_consuming] = ACTIONS(2805),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2805),
    [sym__dot_custom] = ACTIONS(4821),
    [sym__eq_custom] = ACTIONS(2805),
    [sym__throws_keyword] = ACTIONS(2805),
    [sym__rethrows_keyword] = ACTIONS(2805),
    [sym_where_keyword] = ACTIONS(2805),
    [sym__async_keyword_custom] = ACTIONS(2805),
  },
  [1528] = {
    [sym_simple_identifier] = STATE(7735),
    [sym__contextual_simple_identifier] = STATE(4320),
    [sym__parameter_ownership_modifier] = STATE(4320),
    [aux_sym__fn_call_lambda_arguments_repeat1] = STATE(1528),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2830),
    [aux_sym_simple_identifier_token2] = ACTIONS(2833),
    [aux_sym_simple_identifier_token3] = ACTIONS(2833),
    [aux_sym_simple_identifier_token4] = ACTIONS(2833),
    [anon_sym_actor] = ACTIONS(2830),
    [anon_sym_async] = ACTIONS(2830),
    [anon_sym_each] = ACTIONS(2830),
    [anon_sym_lazy] = ACTIONS(2830),
    [anon_sym_repeat] = ACTIONS(2830),
    [anon_sym_package] = ACTIONS(2830),
    [anon_sym_COMMA] = ACTIONS(2836),
    [anon_sym_LPAREN] = ACTIONS(2836),
    [anon_sym_LBRACK] = ACTIONS(2836),
    [anon_sym_QMARK] = ACTIONS(2838),
    [anon_sym_QMARK2] = ACTIONS(2836),
    [anon_sym_AMP] = ACTIONS(2836),
    [aux_sym_custom_operator_token1] = ACTIONS(2836),
    [anon_sym_LT] = ACTIONS(2838),
    [anon_sym_GT] = ACTIONS(2838),
    [anon_sym_LBRACE] = ACTIONS(2836),
    [anon_sym_CARET_LBRACE] = ACTIONS(2836),
    [anon_sym_PLUS_EQ] = ACTIONS(2836),
    [anon_sym_DASH_EQ] = ACTIONS(2836),
    [anon_sym_STAR_EQ] = ACTIONS(2836),
    [anon_sym_SLASH_EQ] = ACTIONS(2836),
    [anon_sym_PERCENT_EQ] = ACTIONS(2836),
    [anon_sym_BANG_EQ] = ACTIONS(2838),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2836),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2836),
    [anon_sym_LT_EQ] = ACTIONS(2836),
    [anon_sym_GT_EQ] = ACTIONS(2836),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2836),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2836),
    [anon_sym_is] = ACTIONS(2838),
    [anon_sym_PLUS] = ACTIONS(2838),
    [anon_sym_DASH] = ACTIONS(2838),
    [anon_sym_STAR] = ACTIONS(2838),
    [anon_sym_SLASH] = ACTIONS(2838),
    [anon_sym_PERCENT] = ACTIONS(2838),
    [anon_sym_PLUS_PLUS] = ACTIONS(2836),
    [anon_sym_DASH_DASH] = ACTIONS(2836),
    [anon_sym_PIPE] = ACTIONS(2836),
    [anon_sym_CARET] = ACTIONS(2838),
    [anon_sym_LT_LT] = ACTIONS(2836),
    [anon_sym_GT_GT] = ACTIONS(2836),
    [anon_sym_BANG2] = ACTIONS(2838),
    [anon_sym_borrowing] = ACTIONS(2830),
    [anon_sym_consuming] = ACTIONS(2830),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2836),
    [sym__conjunction_operator_custom] = ACTIONS(2836),
    [sym__disjunction_operator_custom] = ACTIONS(2836),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2836),
    [sym__eq_custom] = ACTIONS(2836),
    [sym__eq_eq_custom] = ACTIONS(2836),
    [sym__plus_then_ws] = ACTIONS(2836),
    [sym__minus_then_ws] = ACTIONS(2836),
    [sym__bang_custom] = ACTIONS(2836),
    [sym_else] = ACTIONS(2836),
    [sym__as_custom] = ACTIONS(2836),
    [sym__as_quest_custom] = ACTIONS(2836),
    [sym__as_bang_custom] = ACTIONS(2836),
    [sym__custom_operator] = ACTIONS(2836),
  },
  [1529] = {
    [sym__arrow_operator] = STATE(3724),
    [sym__async_keyword] = STATE(6061),
    [sym_throws] = STATE(7455),
    [aux_sym_protocol_composition_type_repeat1] = STATE(1633),
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2892),
    [anon_sym_async] = ACTIONS(2892),
    [anon_sym_lazy] = ACTIONS(2892),
    [anon_sym_package] = ACTIONS(2892),
    [anon_sym_COMMA] = ACTIONS(2892),
    [anon_sym_BANG] = ACTIONS(2892),
    [anon_sym_DOT] = ACTIONS(4817),
    [anon_sym_AMP] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(2892),
    [anon_sym_RBRACE] = ACTIONS(2892),
    [anon_sym_case] = ACTIONS(2892),
    [anon_sym_import] = ACTIONS(2892),
    [anon_sym_typealias] = ACTIONS(2892),
    [anon_sym_struct] = ACTIONS(2892),
    [anon_sym_class] = ACTIONS(2892),
    [anon_sym_enum] = ACTIONS(2892),
    [anon_sym_protocol] = ACTIONS(2892),
    [anon_sym_let] = ACTIONS(2892),
    [anon_sym_var] = ACTIONS(2892),
    [anon_sym_func] = ACTIONS(2892),
    [anon_sym_extension] = ACTIONS(2892),
    [anon_sym_indirect] = ACTIONS(2892),
    [anon_sym_init] = ACTIONS(2892),
    [anon_sym_deinit] = ACTIONS(2892),
    [anon_sym_subscript] = ACTIONS(2892),
    [anon_sym_prefix] = ACTIONS(2892),
    [anon_sym_infix] = ACTIONS(2892),
    [anon_sym_postfix] = ACTIONS(2892),
    [anon_sym_precedencegroup] = ACTIONS(2892),
    [anon_sym_associatedtype] = ACTIONS(2892),
    [anon_sym_AT] = ACTIONS(2894),
    [anon_sym_override] = ACTIONS(2892),
    [anon_sym_convenience] = ACTIONS(2892),
    [anon_sym_required] = ACTIONS(2892),
    [anon_sym_nonisolated] = ACTIONS(2892),
    [anon_sym_public] = ACTIONS(2892),
    [anon_sym_private] = ACTIONS(2892),
    [anon_sym_internal] = ACTIONS(2892),
    [anon_sym_fileprivate] = ACTIONS(2892),
    [anon_sym_open] = ACTIONS(2892),
    [anon_sym_mutating] = ACTIONS(2892),
    [anon_sym_nonmutating] = ACTIONS(2892),
    [anon_sym_static] = ACTIONS(2892),
    [anon_sym_dynamic] = ACTIONS(2892),
    [anon_sym_optional] = ACTIONS(2892),
    [anon_sym_distributed] = ACTIONS(2892),
    [anon_sym_final] = ACTIONS(2892),
    [anon_sym_inout] = ACTIONS(2892),
    [anon_sym_ATescaping] = ACTIONS(2892),
    [anon_sym_ATautoclosure] = ACTIONS(2892),
    [anon_sym_weak] = ACTIONS(2892),
    [anon_sym_unowned] = ACTIONS(2894),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2892),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2892),
    [anon_sym_borrowing] = ACTIONS(2892),
    [anon_sym_consuming] = ACTIONS(2892),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(4754),
    [sym__eq_custom] = ACTIONS(2892),
    [sym__throws_keyword] = ACTIONS(2848),
    [sym__rethrows_keyword] = ACTIONS(2848),
    [sym_where_keyword] = ACTIONS(2892),
    [sym__async_keyword_custom] = ACTIONS(4756),
  },
  [1530] = {
    [sym__arrow_operator] = STATE(3724),
    [sym__async_keyword] = STATE(6061),
    [sym_throws] = STATE(7455),
    [aux_sym_protocol_composition_type_repeat1] = STATE(1633),
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2896),
    [anon_sym_async] = ACTIONS(2896),
    [anon_sym_lazy] = ACTIONS(2896),
    [anon_sym_package] = ACTIONS(2896),
    [anon_sym_COMMA] = ACTIONS(2896),
    [anon_sym_BANG] = ACTIONS(2896),
    [anon_sym_DOT] = ACTIONS(4817),
    [anon_sym_AMP] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(2896),
    [anon_sym_RBRACE] = ACTIONS(2896),
    [anon_sym_case] = ACTIONS(2896),
    [anon_sym_import] = ACTIONS(2896),
    [anon_sym_typealias] = ACTIONS(2896),
    [anon_sym_struct] = ACTIONS(2896),
    [anon_sym_class] = ACTIONS(2896),
    [anon_sym_enum] = ACTIONS(2896),
    [anon_sym_protocol] = ACTIONS(2896),
    [anon_sym_let] = ACTIONS(2896),
    [anon_sym_var] = ACTIONS(2896),
    [anon_sym_func] = ACTIONS(2896),
    [anon_sym_extension] = ACTIONS(2896),
    [anon_sym_indirect] = ACTIONS(2896),
    [anon_sym_init] = ACTIONS(2896),
    [anon_sym_deinit] = ACTIONS(2896),
    [anon_sym_subscript] = ACTIONS(2896),
    [anon_sym_prefix] = ACTIONS(2896),
    [anon_sym_infix] = ACTIONS(2896),
    [anon_sym_postfix] = ACTIONS(2896),
    [anon_sym_precedencegroup] = ACTIONS(2896),
    [anon_sym_associatedtype] = ACTIONS(2896),
    [anon_sym_AT] = ACTIONS(2898),
    [anon_sym_override] = ACTIONS(2896),
    [anon_sym_convenience] = ACTIONS(2896),
    [anon_sym_required] = ACTIONS(2896),
    [anon_sym_nonisolated] = ACTIONS(2896),
    [anon_sym_public] = ACTIONS(2896),
    [anon_sym_private] = ACTIONS(2896),
    [anon_sym_internal] = ACTIONS(2896),
    [anon_sym_fileprivate] = ACTIONS(2896),
    [anon_sym_open] = ACTIONS(2896),
    [anon_sym_mutating] = ACTIONS(2896),
    [anon_sym_nonmutating] = ACTIONS(2896),
    [anon_sym_static] = ACTIONS(2896),
    [anon_sym_dynamic] = ACTIONS(2896),
    [anon_sym_optional] = ACTIONS(2896),
    [anon_sym_distributed] = ACTIONS(2896),
    [anon_sym_final] = ACTIONS(2896),
    [anon_sym_inout] = ACTIONS(2896),
    [anon_sym_ATescaping] = ACTIONS(2896),
    [anon_sym_ATautoclosure] = ACTIONS(2896),
    [anon_sym_weak] = ACTIONS(2896),
    [anon_sym_unowned] = ACTIONS(2898),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2896),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2896),
    [anon_sym_borrowing] = ACTIONS(2896),
    [anon_sym_consuming] = ACTIONS(2896),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(4754),
    [sym__eq_custom] = ACTIONS(2896),
    [sym__throws_keyword] = ACTIONS(2848),
    [sym__rethrows_keyword] = ACTIONS(2848),
    [sym_where_keyword] = ACTIONS(2896),
    [sym__async_keyword_custom] = ACTIONS(4756),
  },
  [1531] = {
    [ts_builtin_sym_end] = ACTIONS(3012),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(3010),
    [aux_sym_simple_identifier_token2] = ACTIONS(3012),
    [aux_sym_simple_identifier_token3] = ACTIONS(3012),
    [aux_sym_simple_identifier_token4] = ACTIONS(3012),
    [anon_sym_actor] = ACTIONS(3010),
    [anon_sym_async] = ACTIONS(3010),
    [anon_sym_each] = ACTIONS(3010),
    [anon_sym_lazy] = ACTIONS(3010),
    [anon_sym_repeat] = ACTIONS(3010),
    [anon_sym_package] = ACTIONS(3010),
    [anon_sym_COMMA] = ACTIONS(3012),
    [anon_sym_LPAREN] = ACTIONS(3012),
    [anon_sym_LBRACK] = ACTIONS(3012),
    [anon_sym_QMARK] = ACTIONS(3010),
    [anon_sym_QMARK2] = ACTIONS(3012),
    [anon_sym_AMP] = ACTIONS(3012),
    [aux_sym_custom_operator_token1] = ACTIONS(3012),
    [anon_sym_LT] = ACTIONS(3010),
    [anon_sym_GT] = ACTIONS(3010),
    [anon_sym_LBRACE] = ACTIONS(3012),
    [anon_sym_CARET_LBRACE] = ACTIONS(3012),
    [anon_sym_RBRACE] = ACTIONS(3012),
    [anon_sym_PLUS_EQ] = ACTIONS(3012),
    [anon_sym_DASH_EQ] = ACTIONS(3012),
    [anon_sym_STAR_EQ] = ACTIONS(3012),
    [anon_sym_SLASH_EQ] = ACTIONS(3012),
    [anon_sym_PERCENT_EQ] = ACTIONS(3012),
    [anon_sym_BANG_EQ] = ACTIONS(3010),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3012),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3012),
    [anon_sym_LT_EQ] = ACTIONS(3012),
    [anon_sym_GT_EQ] = ACTIONS(3012),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3012),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3012),
    [anon_sym_is] = ACTIONS(3010),
    [anon_sym_PLUS] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3010),
    [anon_sym_STAR] = ACTIONS(3010),
    [anon_sym_SLASH] = ACTIONS(3010),
    [anon_sym_PERCENT] = ACTIONS(3010),
    [anon_sym_PLUS_PLUS] = ACTIONS(3012),
    [anon_sym_DASH_DASH] = ACTIONS(3012),
    [anon_sym_PIPE] = ACTIONS(3012),
    [anon_sym_CARET] = ACTIONS(3010),
    [anon_sym_LT_LT] = ACTIONS(3012),
    [anon_sym_GT_GT] = ACTIONS(3012),
    [anon_sym_BANG2] = ACTIONS(3010),
    [anon_sym_borrowing] = ACTIONS(3010),
    [anon_sym_consuming] = ACTIONS(3010),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3012),
    [sym__explicit_semi] = ACTIONS(3012),
    [sym__dot_custom] = ACTIONS(3012),
    [sym__conjunction_operator_custom] = ACTIONS(3012),
    [sym__disjunction_operator_custom] = ACTIONS(3012),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3012),
    [sym__eq_custom] = ACTIONS(3012),
    [sym__eq_eq_custom] = ACTIONS(3012),
    [sym__plus_then_ws] = ACTIONS(3012),
    [sym__minus_then_ws] = ACTIONS(3012),
    [sym__bang_custom] = ACTIONS(3012),
    [sym_where_keyword] = ACTIONS(3012),
    [sym__as_custom] = ACTIONS(3012),
    [sym__as_quest_custom] = ACTIONS(3012),
    [sym__as_bang_custom] = ACTIONS(3012),
    [sym__custom_operator] = ACTIONS(3012),
  },
  [1532] = {
    [ts_builtin_sym_end] = ACTIONS(3024),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(3018),
    [aux_sym_simple_identifier_token2] = ACTIONS(3020),
    [aux_sym_simple_identifier_token3] = ACTIONS(3020),
    [aux_sym_simple_identifier_token4] = ACTIONS(3020),
    [anon_sym_actor] = ACTIONS(3018),
    [anon_sym_async] = ACTIONS(3018),
    [anon_sym_each] = ACTIONS(3018),
    [anon_sym_lazy] = ACTIONS(3018),
    [anon_sym_repeat] = ACTIONS(3018),
    [anon_sym_package] = ACTIONS(3018),
    [anon_sym_COMMA] = ACTIONS(3024),
    [anon_sym_LPAREN] = ACTIONS(3024),
    [anon_sym_LBRACK] = ACTIONS(3024),
    [anon_sym_QMARK] = ACTIONS(3022),
    [anon_sym_QMARK2] = ACTIONS(3024),
    [anon_sym_AMP] = ACTIONS(3024),
    [aux_sym_custom_operator_token1] = ACTIONS(3024),
    [anon_sym_LT] = ACTIONS(3022),
    [anon_sym_GT] = ACTIONS(3022),
    [anon_sym_LBRACE] = ACTIONS(3024),
    [anon_sym_CARET_LBRACE] = ACTIONS(3024),
    [anon_sym_RBRACE] = ACTIONS(3024),
    [anon_sym_PLUS_EQ] = ACTIONS(3024),
    [anon_sym_DASH_EQ] = ACTIONS(3024),
    [anon_sym_STAR_EQ] = ACTIONS(3024),
    [anon_sym_SLASH_EQ] = ACTIONS(3024),
    [anon_sym_PERCENT_EQ] = ACTIONS(3024),
    [anon_sym_BANG_EQ] = ACTIONS(3022),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3024),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3024),
    [anon_sym_LT_EQ] = ACTIONS(3024),
    [anon_sym_GT_EQ] = ACTIONS(3024),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3024),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3024),
    [anon_sym_is] = ACTIONS(3022),
    [anon_sym_PLUS] = ACTIONS(3022),
    [anon_sym_DASH] = ACTIONS(3022),
    [anon_sym_STAR] = ACTIONS(3022),
    [anon_sym_SLASH] = ACTIONS(3022),
    [anon_sym_PERCENT] = ACTIONS(3022),
    [anon_sym_PLUS_PLUS] = ACTIONS(3024),
    [anon_sym_DASH_DASH] = ACTIONS(3024),
    [anon_sym_PIPE] = ACTIONS(3024),
    [anon_sym_CARET] = ACTIONS(3022),
    [anon_sym_LT_LT] = ACTIONS(3024),
    [anon_sym_GT_GT] = ACTIONS(3024),
    [anon_sym_BANG2] = ACTIONS(3022),
    [anon_sym_borrowing] = ACTIONS(3018),
    [anon_sym_consuming] = ACTIONS(3018),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3024),
    [sym__explicit_semi] = ACTIONS(3024),
    [sym__dot_custom] = ACTIONS(3024),
    [sym__conjunction_operator_custom] = ACTIONS(3024),
    [sym__disjunction_operator_custom] = ACTIONS(3024),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3024),
    [sym__eq_custom] = ACTIONS(3024),
    [sym__eq_eq_custom] = ACTIONS(3024),
    [sym__plus_then_ws] = ACTIONS(3024),
    [sym__minus_then_ws] = ACTIONS(3024),
    [sym__bang_custom] = ACTIONS(3024),
    [sym_where_keyword] = ACTIONS(3024),
    [sym__as_custom] = ACTIONS(3024),
    [sym__as_quest_custom] = ACTIONS(3024),
    [sym__as_bang_custom] = ACTIONS(3024),
    [sym__custom_operator] = ACTIONS(3024),
  },
  [1533] = {
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2971),
    [anon_sym_async] = ACTIONS(2971),
    [anon_sym_lazy] = ACTIONS(2971),
    [anon_sym_package] = ACTIONS(2971),
    [anon_sym_COMMA] = ACTIONS(2971),
    [anon_sym_COLON] = ACTIONS(2971),
    [anon_sym_DOT] = ACTIONS(2971),
    [anon_sym_QMARK] = ACTIONS(2973),
    [anon_sym_QMARK2] = ACTIONS(2971),
    [anon_sym_AMP] = ACTIONS(2971),
    [anon_sym_LBRACE] = ACTIONS(2971),
    [anon_sym_RBRACE] = ACTIONS(2971),
    [anon_sym_case] = ACTIONS(2971),
    [anon_sym_import] = ACTIONS(2971),
    [anon_sym_typealias] = ACTIONS(2971),
    [anon_sym_struct] = ACTIONS(2971),
    [anon_sym_class] = ACTIONS(2971),
    [anon_sym_enum] = ACTIONS(2971),
    [anon_sym_protocol] = ACTIONS(2971),
    [anon_sym_let] = ACTIONS(2971),
    [anon_sym_var] = ACTIONS(2971),
    [anon_sym_func] = ACTIONS(2971),
    [anon_sym_extension] = ACTIONS(2971),
    [anon_sym_indirect] = ACTIONS(2971),
    [anon_sym_init] = ACTIONS(2971),
    [anon_sym_deinit] = ACTIONS(2971),
    [anon_sym_subscript] = ACTIONS(2971),
    [anon_sym_prefix] = ACTIONS(2971),
    [anon_sym_infix] = ACTIONS(2971),
    [anon_sym_postfix] = ACTIONS(2971),
    [anon_sym_precedencegroup] = ACTIONS(2971),
    [anon_sym_associatedtype] = ACTIONS(2971),
    [anon_sym_AT] = ACTIONS(2973),
    [anon_sym_override] = ACTIONS(2971),
    [anon_sym_convenience] = ACTIONS(2971),
    [anon_sym_required] = ACTIONS(2971),
    [anon_sym_nonisolated] = ACTIONS(2971),
    [anon_sym_public] = ACTIONS(2971),
    [anon_sym_private] = ACTIONS(2971),
    [anon_sym_internal] = ACTIONS(2971),
    [anon_sym_fileprivate] = ACTIONS(2971),
    [anon_sym_open] = ACTIONS(2971),
    [anon_sym_mutating] = ACTIONS(2971),
    [anon_sym_nonmutating] = ACTIONS(2971),
    [anon_sym_static] = ACTIONS(2971),
    [anon_sym_dynamic] = ACTIONS(2971),
    [anon_sym_optional] = ACTIONS(2971),
    [anon_sym_distributed] = ACTIONS(2971),
    [anon_sym_final] = ACTIONS(2971),
    [anon_sym_inout] = ACTIONS(2971),
    [anon_sym_ATescaping] = ACTIONS(2971),
    [anon_sym_ATautoclosure] = ACTIONS(2971),
    [anon_sym_weak] = ACTIONS(2971),
    [anon_sym_unowned] = ACTIONS(2973),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2971),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2971),
    [anon_sym_borrowing] = ACTIONS(2971),
    [anon_sym_consuming] = ACTIONS(2971),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2971),
    [sym__dot_custom] = ACTIONS(2971),
    [sym__eq_custom] = ACTIONS(2971),
    [sym__throws_keyword] = ACTIONS(2971),
    [sym__rethrows_keyword] = ACTIONS(2971),
    [sym_where_keyword] = ACTIONS(2971),
    [sym__as_custom] = ACTIONS(2971),
    [sym__async_keyword_custom] = ACTIONS(2971),
  },
  [1534] = {
    [ts_builtin_sym_end] = ACTIONS(3020),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(3018),
    [aux_sym_simple_identifier_token2] = ACTIONS(3020),
    [aux_sym_simple_identifier_token3] = ACTIONS(3020),
    [aux_sym_simple_identifier_token4] = ACTIONS(3020),
    [anon_sym_actor] = ACTIONS(3018),
    [anon_sym_async] = ACTIONS(3018),
    [anon_sym_each] = ACTIONS(3018),
    [anon_sym_lazy] = ACTIONS(3018),
    [anon_sym_repeat] = ACTIONS(3018),
    [anon_sym_package] = ACTIONS(3018),
    [anon_sym_COMMA] = ACTIONS(3020),
    [anon_sym_LPAREN] = ACTIONS(3020),
    [anon_sym_LBRACK] = ACTIONS(3020),
    [anon_sym_QMARK] = ACTIONS(3018),
    [anon_sym_QMARK2] = ACTIONS(3020),
    [anon_sym_AMP] = ACTIONS(3020),
    [aux_sym_custom_operator_token1] = ACTIONS(3020),
    [anon_sym_LT] = ACTIONS(3018),
    [anon_sym_GT] = ACTIONS(3018),
    [anon_sym_LBRACE] = ACTIONS(3020),
    [anon_sym_CARET_LBRACE] = ACTIONS(3020),
    [anon_sym_RBRACE] = ACTIONS(3020),
    [anon_sym_PLUS_EQ] = ACTIONS(3020),
    [anon_sym_DASH_EQ] = ACTIONS(3020),
    [anon_sym_STAR_EQ] = ACTIONS(3020),
    [anon_sym_SLASH_EQ] = ACTIONS(3020),
    [anon_sym_PERCENT_EQ] = ACTIONS(3020),
    [anon_sym_BANG_EQ] = ACTIONS(3018),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3020),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3020),
    [anon_sym_LT_EQ] = ACTIONS(3020),
    [anon_sym_GT_EQ] = ACTIONS(3020),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3020),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3020),
    [anon_sym_is] = ACTIONS(3018),
    [anon_sym_PLUS] = ACTIONS(3018),
    [anon_sym_DASH] = ACTIONS(3018),
    [anon_sym_STAR] = ACTIONS(3018),
    [anon_sym_SLASH] = ACTIONS(3018),
    [anon_sym_PERCENT] = ACTIONS(3018),
    [anon_sym_PLUS_PLUS] = ACTIONS(3020),
    [anon_sym_DASH_DASH] = ACTIONS(3020),
    [anon_sym_PIPE] = ACTIONS(3020),
    [anon_sym_CARET] = ACTIONS(3018),
    [anon_sym_LT_LT] = ACTIONS(3020),
    [anon_sym_GT_GT] = ACTIONS(3020),
    [anon_sym_BANG2] = ACTIONS(3018),
    [anon_sym_borrowing] = ACTIONS(3018),
    [anon_sym_consuming] = ACTIONS(3018),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3020),
    [sym__explicit_semi] = ACTIONS(3020),
    [sym__dot_custom] = ACTIONS(3020),
    [sym__conjunction_operator_custom] = ACTIONS(3020),
    [sym__disjunction_operator_custom] = ACTIONS(3020),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3020),
    [sym__eq_custom] = ACTIONS(3020),
    [sym__eq_eq_custom] = ACTIONS(3020),
    [sym__plus_then_ws] = ACTIONS(3020),
    [sym__minus_then_ws] = ACTIONS(3020),
    [sym__bang_custom] = ACTIONS(3020),
    [sym_where_keyword] = ACTIONS(3020),
    [sym__as_custom] = ACTIONS(3020),
    [sym__as_quest_custom] = ACTIONS(3020),
    [sym__as_bang_custom] = ACTIONS(3020),
    [sym__custom_operator] = ACTIONS(3020),
  },
  [1535] = {
    [sym__arrow_operator] = STATE(3724),
    [sym__async_keyword] = STATE(6061),
    [sym_throws] = STATE(7455),
    [aux_sym_protocol_composition_type_repeat1] = STATE(1633),
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2900),
    [anon_sym_async] = ACTIONS(2900),
    [anon_sym_lazy] = ACTIONS(2900),
    [anon_sym_package] = ACTIONS(2900),
    [anon_sym_COMMA] = ACTIONS(2900),
    [anon_sym_BANG] = ACTIONS(2900),
    [anon_sym_DOT] = ACTIONS(2900),
    [anon_sym_AMP] = ACTIONS(2900),
    [anon_sym_LBRACE] = ACTIONS(2900),
    [anon_sym_RBRACE] = ACTIONS(2900),
    [anon_sym_case] = ACTIONS(2900),
    [anon_sym_import] = ACTIONS(2900),
    [anon_sym_typealias] = ACTIONS(2900),
    [anon_sym_struct] = ACTIONS(2900),
    [anon_sym_class] = ACTIONS(2900),
    [anon_sym_enum] = ACTIONS(2900),
    [anon_sym_protocol] = ACTIONS(2900),
    [anon_sym_let] = ACTIONS(2900),
    [anon_sym_var] = ACTIONS(2900),
    [anon_sym_func] = ACTIONS(2900),
    [anon_sym_extension] = ACTIONS(2900),
    [anon_sym_indirect] = ACTIONS(2900),
    [anon_sym_init] = ACTIONS(2900),
    [anon_sym_deinit] = ACTIONS(2900),
    [anon_sym_subscript] = ACTIONS(2900),
    [anon_sym_prefix] = ACTIONS(2900),
    [anon_sym_infix] = ACTIONS(2900),
    [anon_sym_postfix] = ACTIONS(2900),
    [anon_sym_precedencegroup] = ACTIONS(2900),
    [anon_sym_associatedtype] = ACTIONS(2900),
    [anon_sym_AT] = ACTIONS(2902),
    [anon_sym_override] = ACTIONS(2900),
    [anon_sym_convenience] = ACTIONS(2900),
    [anon_sym_required] = ACTIONS(2900),
    [anon_sym_nonisolated] = ACTIONS(2900),
    [anon_sym_public] = ACTIONS(2900),
    [anon_sym_private] = ACTIONS(2900),
    [anon_sym_internal] = ACTIONS(2900),
    [anon_sym_fileprivate] = ACTIONS(2900),
    [anon_sym_open] = ACTIONS(2900),
    [anon_sym_mutating] = ACTIONS(2900),
    [anon_sym_nonmutating] = ACTIONS(2900),
    [anon_sym_static] = ACTIONS(2900),
    [anon_sym_dynamic] = ACTIONS(2900),
    [anon_sym_optional] = ACTIONS(2900),
    [anon_sym_distributed] = ACTIONS(2900),
    [anon_sym_final] = ACTIONS(2900),
    [anon_sym_inout] = ACTIONS(2900),
    [anon_sym_ATescaping] = ACTIONS(2900),
    [anon_sym_ATautoclosure] = ACTIONS(2900),
    [anon_sym_weak] = ACTIONS(2900),
    [anon_sym_unowned] = ACTIONS(2902),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2900),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2900),
    [anon_sym_borrowing] = ACTIONS(2900),
    [anon_sym_consuming] = ACTIONS(2900),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2900),
    [sym__eq_custom] = ACTIONS(2900),
    [sym__throws_keyword] = ACTIONS(2900),
    [sym__rethrows_keyword] = ACTIONS(2900),
    [sym_where_keyword] = ACTIONS(2900),
    [sym__async_keyword_custom] = ACTIONS(2900),
  },
  [1536] = {
    [ts_builtin_sym_end] = ACTIONS(3035),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(3033),
    [aux_sym_simple_identifier_token2] = ACTIONS(3035),
    [aux_sym_simple_identifier_token3] = ACTIONS(3035),
    [aux_sym_simple_identifier_token4] = ACTIONS(3035),
    [anon_sym_actor] = ACTIONS(3033),
    [anon_sym_async] = ACTIONS(3033),
    [anon_sym_each] = ACTIONS(3033),
    [anon_sym_lazy] = ACTIONS(3033),
    [anon_sym_repeat] = ACTIONS(3033),
    [anon_sym_package] = ACTIONS(3033),
    [anon_sym_COMMA] = ACTIONS(3035),
    [anon_sym_LPAREN] = ACTIONS(3035),
    [anon_sym_LBRACK] = ACTIONS(3035),
    [anon_sym_QMARK] = ACTIONS(3033),
    [anon_sym_QMARK2] = ACTIONS(3035),
    [anon_sym_AMP] = ACTIONS(3035),
    [aux_sym_custom_operator_token1] = ACTIONS(3035),
    [anon_sym_LT] = ACTIONS(3033),
    [anon_sym_GT] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_CARET_LBRACE] = ACTIONS(3035),
    [anon_sym_RBRACE] = ACTIONS(3035),
    [anon_sym_PLUS_EQ] = ACTIONS(3035),
    [anon_sym_DASH_EQ] = ACTIONS(3035),
    [anon_sym_STAR_EQ] = ACTIONS(3035),
    [anon_sym_SLASH_EQ] = ACTIONS(3035),
    [anon_sym_PERCENT_EQ] = ACTIONS(3035),
    [anon_sym_BANG_EQ] = ACTIONS(3033),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3035),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3035),
    [anon_sym_LT_EQ] = ACTIONS(3035),
    [anon_sym_GT_EQ] = ACTIONS(3035),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3035),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3035),
    [anon_sym_is] = ACTIONS(3033),
    [anon_sym_PLUS] = ACTIONS(3033),
    [anon_sym_DASH] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3033),
    [anon_sym_SLASH] = ACTIONS(3033),
    [anon_sym_PERCENT] = ACTIONS(3033),
    [anon_sym_PLUS_PLUS] = ACTIONS(3035),
    [anon_sym_DASH_DASH] = ACTIONS(3035),
    [anon_sym_PIPE] = ACTIONS(3035),
    [anon_sym_CARET] = ACTIONS(3033),
    [anon_sym_LT_LT] = ACTIONS(3035),
    [anon_sym_GT_GT] = ACTIONS(3035),
    [anon_sym_BANG2] = ACTIONS(3033),
    [anon_sym_borrowing] = ACTIONS(3033),
    [anon_sym_consuming] = ACTIONS(3033),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3035),
    [sym__explicit_semi] = ACTIONS(3035),
    [sym__dot_custom] = ACTIONS(3035),
    [sym__conjunction_operator_custom] = ACTIONS(3035),
    [sym__disjunction_operator_custom] = ACTIONS(3035),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3035),
    [sym__eq_custom] = ACTIONS(3035),
    [sym__eq_eq_custom] = ACTIONS(3035),
    [sym__plus_then_ws] = ACTIONS(3035),
    [sym__minus_then_ws] = ACTIONS(3035),
    [sym__bang_custom] = ACTIONS(3035),
    [sym_where_keyword] = ACTIONS(3035),
    [sym__as_custom] = ACTIONS(3035),
    [sym__as_quest_custom] = ACTIONS(3035),
    [sym__as_bang_custom] = ACTIONS(3035),
    [sym__custom_operator] = ACTIONS(3035),
  },
  [1537] = {
    [ts_builtin_sym_end] = ACTIONS(3031),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(3029),
    [aux_sym_simple_identifier_token2] = ACTIONS(3031),
    [aux_sym_simple_identifier_token3] = ACTIONS(3031),
    [aux_sym_simple_identifier_token4] = ACTIONS(3031),
    [anon_sym_actor] = ACTIONS(3029),
    [anon_sym_async] = ACTIONS(3029),
    [anon_sym_each] = ACTIONS(3029),
    [anon_sym_lazy] = ACTIONS(3029),
    [anon_sym_repeat] = ACTIONS(3029),
    [anon_sym_package] = ACTIONS(3029),
    [anon_sym_COMMA] = ACTIONS(3031),
    [anon_sym_LPAREN] = ACTIONS(3031),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_QMARK] = ACTIONS(3029),
    [anon_sym_QMARK2] = ACTIONS(3031),
    [anon_sym_AMP] = ACTIONS(3031),
    [aux_sym_custom_operator_token1] = ACTIONS(3031),
    [anon_sym_LT] = ACTIONS(3029),
    [anon_sym_GT] = ACTIONS(3029),
    [anon_sym_LBRACE] = ACTIONS(3031),
    [anon_sym_CARET_LBRACE] = ACTIONS(3031),
    [anon_sym_RBRACE] = ACTIONS(3031),
    [anon_sym_PLUS_EQ] = ACTIONS(3031),
    [anon_sym_DASH_EQ] = ACTIONS(3031),
    [anon_sym_STAR_EQ] = ACTIONS(3031),
    [anon_sym_SLASH_EQ] = ACTIONS(3031),
    [anon_sym_PERCENT_EQ] = ACTIONS(3031),
    [anon_sym_BANG_EQ] = ACTIONS(3029),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3031),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3031),
    [anon_sym_LT_EQ] = ACTIONS(3031),
    [anon_sym_GT_EQ] = ACTIONS(3031),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3031),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3031),
    [anon_sym_is] = ACTIONS(3029),
    [anon_sym_PLUS] = ACTIONS(3029),
    [anon_sym_DASH] = ACTIONS(3029),
    [anon_sym_STAR] = ACTIONS(3029),
    [anon_sym_SLASH] = ACTIONS(3029),
    [anon_sym_PERCENT] = ACTIONS(3029),
    [anon_sym_PLUS_PLUS] = ACTIONS(3031),
    [anon_sym_DASH_DASH] = ACTIONS(3031),
    [anon_sym_PIPE] = ACTIONS(3031),
    [anon_sym_CARET] = ACTIONS(3029),
    [anon_sym_LT_LT] = ACTIONS(3031),
    [anon_sym_GT_GT] = ACTIONS(3031),
    [anon_sym_BANG2] = ACTIONS(3029),
    [anon_sym_borrowing] = ACTIONS(3029),
    [anon_sym_consuming] = ACTIONS(3029),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3031),
    [sym__explicit_semi] = ACTIONS(3031),
    [sym__dot_custom] = ACTIONS(3031),
    [sym__conjunction_operator_custom] = ACTIONS(3031),
    [sym__disjunction_operator_custom] = ACTIONS(3031),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3031),
    [sym__eq_custom] = ACTIONS(3031),
    [sym__eq_eq_custom] = ACTIONS(3031),
    [sym__plus_then_ws] = ACTIONS(3031),
    [sym__minus_then_ws] = ACTIONS(3031),
    [sym__bang_custom] = ACTIONS(3031),
    [sym_where_keyword] = ACTIONS(3031),
    [sym__as_custom] = ACTIONS(3031),
    [sym__as_quest_custom] = ACTIONS(3031),
    [sym__as_bang_custom] = ACTIONS(3031),
    [sym__custom_operator] = ACTIONS(3031),
  },
  [1538] = {
    [ts_builtin_sym_end] = ACTIONS(3008),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(3006),
    [aux_sym_simple_identifier_token2] = ACTIONS(3008),
    [aux_sym_simple_identifier_token3] = ACTIONS(3008),
    [aux_sym_simple_identifier_token4] = ACTIONS(3008),
    [anon_sym_actor] = ACTIONS(3006),
    [anon_sym_async] = ACTIONS(3006),
    [anon_sym_each] = ACTIONS(3006),
    [anon_sym_lazy] = ACTIONS(3006),
    [anon_sym_repeat] = ACTIONS(3006),
    [anon_sym_package] = ACTIONS(3006),
    [anon_sym_COMMA] = ACTIONS(3008),
    [anon_sym_LPAREN] = ACTIONS(3008),
    [anon_sym_LBRACK] = ACTIONS(3008),
    [anon_sym_QMARK] = ACTIONS(3006),
    [anon_sym_QMARK2] = ACTIONS(3008),
    [anon_sym_AMP] = ACTIONS(3008),
    [aux_sym_custom_operator_token1] = ACTIONS(3008),
    [anon_sym_LT] = ACTIONS(3006),
    [anon_sym_GT] = ACTIONS(3006),
    [anon_sym_LBRACE] = ACTIONS(3008),
    [anon_sym_CARET_LBRACE] = ACTIONS(3008),
    [anon_sym_RBRACE] = ACTIONS(3008),
    [anon_sym_PLUS_EQ] = ACTIONS(3008),
    [anon_sym_DASH_EQ] = ACTIONS(3008),
    [anon_sym_STAR_EQ] = ACTIONS(3008),
    [anon_sym_SLASH_EQ] = ACTIONS(3008),
    [anon_sym_PERCENT_EQ] = ACTIONS(3008),
    [anon_sym_BANG_EQ] = ACTIONS(3006),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3008),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3008),
    [anon_sym_LT_EQ] = ACTIONS(3008),
    [anon_sym_GT_EQ] = ACTIONS(3008),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3008),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3008),
    [anon_sym_is] = ACTIONS(3006),
    [anon_sym_PLUS] = ACTIONS(3006),
    [anon_sym_DASH] = ACTIONS(3006),
    [anon_sym_STAR] = ACTIONS(3006),
    [anon_sym_SLASH] = ACTIONS(3006),
    [anon_sym_PERCENT] = ACTIONS(3006),
    [anon_sym_PLUS_PLUS] = ACTIONS(3008),
    [anon_sym_DASH_DASH] = ACTIONS(3008),
    [anon_sym_PIPE] = ACTIONS(3008),
    [anon_sym_CARET] = ACTIONS(3006),
    [anon_sym_LT_LT] = ACTIONS(3008),
    [anon_sym_GT_GT] = ACTIONS(3008),
    [anon_sym_BANG2] = ACTIONS(3006),
    [anon_sym_borrowing] = ACTIONS(3006),
    [anon_sym_consuming] = ACTIONS(3006),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3008),
    [sym__explicit_semi] = ACTIONS(3008),
    [sym__dot_custom] = ACTIONS(3008),
    [sym__conjunction_operator_custom] = ACTIONS(3008),
    [sym__disjunction_operator_custom] = ACTIONS(3008),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3008),
    [sym__eq_custom] = ACTIONS(3008),
    [sym__eq_eq_custom] = ACTIONS(3008),
    [sym__plus_then_ws] = ACTIONS(3008),
    [sym__minus_then_ws] = ACTIONS(3008),
    [sym__bang_custom] = ACTIONS(3008),
    [sym_where_keyword] = ACTIONS(3008),
    [sym__as_custom] = ACTIONS(3008),
    [sym__as_quest_custom] = ACTIONS(3008),
    [sym__as_bang_custom] = ACTIONS(3008),
    [sym__custom_operator] = ACTIONS(3008),
  },
  [1539] = {
    [sym__immediate_quest] = STATE(1649),
    [sym__arrow_operator] = STATE(3691),
    [sym__async_keyword] = STATE(6059),
    [sym_throws] = STATE(7467),
    [aux_sym_optional_type_repeat1] = STATE(1649),
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2840),
    [anon_sym_async] = ACTIONS(2840),
    [anon_sym_lazy] = ACTIONS(2840),
    [anon_sym_package] = ACTIONS(2840),
    [anon_sym_COMMA] = ACTIONS(2840),
    [anon_sym_BANG] = ACTIONS(2840),
    [anon_sym_DOT] = ACTIONS(2840),
    [anon_sym_QMARK2] = ACTIONS(4823),
    [anon_sym_AMP] = ACTIONS(2840),
    [anon_sym_LBRACE] = ACTIONS(2840),
    [anon_sym_RBRACE] = ACTIONS(2840),
    [anon_sym_case] = ACTIONS(2840),
    [anon_sym_import] = ACTIONS(2840),
    [anon_sym_typealias] = ACTIONS(2840),
    [anon_sym_struct] = ACTIONS(2840),
    [anon_sym_class] = ACTIONS(2840),
    [anon_sym_enum] = ACTIONS(2840),
    [anon_sym_protocol] = ACTIONS(2840),
    [anon_sym_let] = ACTIONS(2840),
    [anon_sym_var] = ACTIONS(2840),
    [anon_sym_func] = ACTIONS(2840),
    [anon_sym_extension] = ACTIONS(2840),
    [anon_sym_indirect] = ACTIONS(2840),
    [anon_sym_init] = ACTIONS(2840),
    [anon_sym_deinit] = ACTIONS(2840),
    [anon_sym_subscript] = ACTIONS(2840),
    [anon_sym_prefix] = ACTIONS(2840),
    [anon_sym_infix] = ACTIONS(2840),
    [anon_sym_postfix] = ACTIONS(2840),
    [anon_sym_precedencegroup] = ACTIONS(2840),
    [anon_sym_associatedtype] = ACTIONS(2840),
    [anon_sym_AT] = ACTIONS(2842),
    [anon_sym_override] = ACTIONS(2840),
    [anon_sym_convenience] = ACTIONS(2840),
    [anon_sym_required] = ACTIONS(2840),
    [anon_sym_nonisolated] = ACTIONS(2840),
    [anon_sym_public] = ACTIONS(2840),
    [anon_sym_private] = ACTIONS(2840),
    [anon_sym_internal] = ACTIONS(2840),
    [anon_sym_fileprivate] = ACTIONS(2840),
    [anon_sym_open] = ACTIONS(2840),
    [anon_sym_mutating] = ACTIONS(2840),
    [anon_sym_nonmutating] = ACTIONS(2840),
    [anon_sym_static] = ACTIONS(2840),
    [anon_sym_dynamic] = ACTIONS(2840),
    [anon_sym_optional] = ACTIONS(2840),
    [anon_sym_distributed] = ACTIONS(2840),
    [anon_sym_final] = ACTIONS(2840),
    [anon_sym_inout] = ACTIONS(2840),
    [anon_sym_ATescaping] = ACTIONS(2840),
    [anon_sym_ATautoclosure] = ACTIONS(2840),
    [anon_sym_weak] = ACTIONS(2840),
    [anon_sym_unowned] = ACTIONS(2842),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2840),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2840),
    [anon_sym_borrowing] = ACTIONS(2840),
    [anon_sym_consuming] = ACTIONS(2840),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(4825),
    [sym__throws_keyword] = ACTIONS(2848),
    [sym__rethrows_keyword] = ACTIONS(2848),
    [sym__async_keyword_custom] = ACTIONS(4827),
  },
  [1540] = {
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2924),
    [anon_sym_async] = ACTIONS(2924),
    [anon_sym_lazy] = ACTIONS(2924),
    [anon_sym_package] = ACTIONS(2924),
    [anon_sym_COMMA] = ACTIONS(2924),
    [anon_sym_COLON] = ACTIONS(2924),
    [anon_sym_DOT] = ACTIONS(2924),
    [anon_sym_QMARK] = ACTIONS(2926),
    [anon_sym_QMARK2] = ACTIONS(2924),
    [anon_sym_AMP] = ACTIONS(2924),
    [anon_sym_LBRACE] = ACTIONS(2924),
    [anon_sym_RBRACE] = ACTIONS(2924),
    [anon_sym_case] = ACTIONS(2924),
    [anon_sym_import] = ACTIONS(2924),
    [anon_sym_typealias] = ACTIONS(2924),
    [anon_sym_struct] = ACTIONS(2924),
    [anon_sym_class] = ACTIONS(2924),
    [anon_sym_enum] = ACTIONS(2924),
    [anon_sym_protocol] = ACTIONS(2924),
    [anon_sym_let] = ACTIONS(2924),
    [anon_sym_var] = ACTIONS(2924),
    [anon_sym_func] = ACTIONS(2924),
    [anon_sym_extension] = ACTIONS(2924),
    [anon_sym_indirect] = ACTIONS(2924),
    [anon_sym_init] = ACTIONS(2924),
    [anon_sym_deinit] = ACTIONS(2924),
    [anon_sym_subscript] = ACTIONS(2924),
    [anon_sym_prefix] = ACTIONS(2924),
    [anon_sym_infix] = ACTIONS(2924),
    [anon_sym_postfix] = ACTIONS(2924),
    [anon_sym_precedencegroup] = ACTIONS(2924),
    [anon_sym_associatedtype] = ACTIONS(2924),
    [anon_sym_AT] = ACTIONS(2926),
    [anon_sym_override] = ACTIONS(2924),
    [anon_sym_convenience] = ACTIONS(2924),
    [anon_sym_required] = ACTIONS(2924),
    [anon_sym_nonisolated] = ACTIONS(2924),
    [anon_sym_public] = ACTIONS(2924),
    [anon_sym_private] = ACTIONS(2924),
    [anon_sym_internal] = ACTIONS(2924),
    [anon_sym_fileprivate] = ACTIONS(2924),
    [anon_sym_open] = ACTIONS(2924),
    [anon_sym_mutating] = ACTIONS(2924),
    [anon_sym_nonmutating] = ACTIONS(2924),
    [anon_sym_static] = ACTIONS(2924),
    [anon_sym_dynamic] = ACTIONS(2924),
    [anon_sym_optional] = ACTIONS(2924),
    [anon_sym_distributed] = ACTIONS(2924),
    [anon_sym_final] = ACTIONS(2924),
    [anon_sym_inout] = ACTIONS(2924),
    [anon_sym_ATescaping] = ACTIONS(2924),
    [anon_sym_ATautoclosure] = ACTIONS(2924),
    [anon_sym_weak] = ACTIONS(2924),
    [anon_sym_unowned] = ACTIONS(2926),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2924),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2924),
    [anon_sym_borrowing] = ACTIONS(2924),
    [anon_sym_consuming] = ACTIONS(2924),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2924),
    [sym__dot_custom] = ACTIONS(2924),
    [sym__eq_custom] = ACTIONS(2924),
    [sym__throws_keyword] = ACTIONS(2924),
    [sym__rethrows_keyword] = ACTIONS(2924),
    [sym_where_keyword] = ACTIONS(2924),
    [sym__as_custom] = ACTIONS(2924),
    [sym__async_keyword_custom] = ACTIONS(2924),
  },
  [1541] = {
    [sym__arrow_operator] = STATE(3724),
    [sym__async_keyword] = STATE(6061),
    [sym_throws] = STATE(7455),
    [aux_sym_protocol_composition_type_repeat1] = STATE(1633),
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2888),
    [anon_sym_async] = ACTIONS(2888),
    [anon_sym_lazy] = ACTIONS(2888),
    [anon_sym_package] = ACTIONS(2888),
    [anon_sym_COMMA] = ACTIONS(2888),
    [anon_sym_BANG] = ACTIONS(2888),
    [anon_sym_DOT] = ACTIONS(4817),
    [anon_sym_AMP] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(2888),
    [anon_sym_RBRACE] = ACTIONS(2888),
    [anon_sym_case] = ACTIONS(2888),
    [anon_sym_import] = ACTIONS(2888),
    [anon_sym_typealias] = ACTIONS(2888),
    [anon_sym_struct] = ACTIONS(2888),
    [anon_sym_class] = ACTIONS(2888),
    [anon_sym_enum] = ACTIONS(2888),
    [anon_sym_protocol] = ACTIONS(2888),
    [anon_sym_let] = ACTIONS(2888),
    [anon_sym_var] = ACTIONS(2888),
    [anon_sym_func] = ACTIONS(2888),
    [anon_sym_extension] = ACTIONS(2888),
    [anon_sym_indirect] = ACTIONS(2888),
    [anon_sym_init] = ACTIONS(2888),
    [anon_sym_deinit] = ACTIONS(2888),
    [anon_sym_subscript] = ACTIONS(2888),
    [anon_sym_prefix] = ACTIONS(2888),
    [anon_sym_infix] = ACTIONS(2888),
    [anon_sym_postfix] = ACTIONS(2888),
    [anon_sym_precedencegroup] = ACTIONS(2888),
    [anon_sym_associatedtype] = ACTIONS(2888),
    [anon_sym_AT] = ACTIONS(2890),
    [anon_sym_override] = ACTIONS(2888),
    [anon_sym_convenience] = ACTIONS(2888),
    [anon_sym_required] = ACTIONS(2888),
    [anon_sym_nonisolated] = ACTIONS(2888),
    [anon_sym_public] = ACTIONS(2888),
    [anon_sym_private] = ACTIONS(2888),
    [anon_sym_internal] = ACTIONS(2888),
    [anon_sym_fileprivate] = ACTIONS(2888),
    [anon_sym_open] = ACTIONS(2888),
    [anon_sym_mutating] = ACTIONS(2888),
    [anon_sym_nonmutating] = ACTIONS(2888),
    [anon_sym_static] = ACTIONS(2888),
    [anon_sym_dynamic] = ACTIONS(2888),
    [anon_sym_optional] = ACTIONS(2888),
    [anon_sym_distributed] = ACTIONS(2888),
    [anon_sym_final] = ACTIONS(2888),
    [anon_sym_inout] = ACTIONS(2888),
    [anon_sym_ATescaping] = ACTIONS(2888),
    [anon_sym_ATautoclosure] = ACTIONS(2888),
    [anon_sym_weak] = ACTIONS(2888),
    [anon_sym_unowned] = ACTIONS(2890),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2888),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2888),
    [anon_sym_borrowing] = ACTIONS(2888),
    [anon_sym_consuming] = ACTIONS(2888),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(4754),
    [sym__eq_custom] = ACTIONS(2888),
    [sym__throws_keyword] = ACTIONS(2848),
    [sym__rethrows_keyword] = ACTIONS(2848),
    [sym_where_keyword] = ACTIONS(2888),
    [sym__async_keyword_custom] = ACTIONS(4756),
  },
  [1542] = {
    [sym_simple_identifier] = STATE(7735),
    [sym__contextual_simple_identifier] = STATE(4320),
    [sym__parameter_ownership_modifier] = STATE(4320),
    [aux_sym__fn_call_lambda_arguments_repeat1] = STATE(1528),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2812),
    [aux_sym_simple_identifier_token2] = ACTIONS(2814),
    [aux_sym_simple_identifier_token3] = ACTIONS(2814),
    [aux_sym_simple_identifier_token4] = ACTIONS(2814),
    [anon_sym_actor] = ACTIONS(2812),
    [anon_sym_async] = ACTIONS(2812),
    [anon_sym_each] = ACTIONS(2812),
    [anon_sym_lazy] = ACTIONS(2812),
    [anon_sym_repeat] = ACTIONS(2812),
    [anon_sym_package] = ACTIONS(2812),
    [anon_sym_COMMA] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(2819),
    [anon_sym_LBRACK] = ACTIONS(2819),
    [anon_sym_QMARK] = ACTIONS(2821),
    [anon_sym_QMARK2] = ACTIONS(2819),
    [anon_sym_AMP] = ACTIONS(2819),
    [aux_sym_custom_operator_token1] = ACTIONS(2819),
    [anon_sym_LT] = ACTIONS(2821),
    [anon_sym_GT] = ACTIONS(2821),
    [anon_sym_LBRACE] = ACTIONS(2819),
    [anon_sym_CARET_LBRACE] = ACTIONS(2819),
    [anon_sym_PLUS_EQ] = ACTIONS(2819),
    [anon_sym_DASH_EQ] = ACTIONS(2819),
    [anon_sym_STAR_EQ] = ACTIONS(2819),
    [anon_sym_SLASH_EQ] = ACTIONS(2819),
    [anon_sym_PERCENT_EQ] = ACTIONS(2819),
    [anon_sym_BANG_EQ] = ACTIONS(2821),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2819),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2819),
    [anon_sym_LT_EQ] = ACTIONS(2819),
    [anon_sym_GT_EQ] = ACTIONS(2819),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2819),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2819),
    [anon_sym_is] = ACTIONS(2821),
    [anon_sym_PLUS] = ACTIONS(2821),
    [anon_sym_DASH] = ACTIONS(2821),
    [anon_sym_STAR] = ACTIONS(2821),
    [anon_sym_SLASH] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(2821),
    [anon_sym_PLUS_PLUS] = ACTIONS(2819),
    [anon_sym_DASH_DASH] = ACTIONS(2819),
    [anon_sym_PIPE] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_LT_LT] = ACTIONS(2819),
    [anon_sym_GT_GT] = ACTIONS(2819),
    [anon_sym_BANG2] = ACTIONS(2821),
    [anon_sym_borrowing] = ACTIONS(2812),
    [anon_sym_consuming] = ACTIONS(2812),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2819),
    [sym__conjunction_operator_custom] = ACTIONS(2819),
    [sym__disjunction_operator_custom] = ACTIONS(2819),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2819),
    [sym__eq_custom] = ACTIONS(2819),
    [sym__eq_eq_custom] = ACTIONS(2819),
    [sym__plus_then_ws] = ACTIONS(2819),
    [sym__minus_then_ws] = ACTIONS(2819),
    [sym__bang_custom] = ACTIONS(2819),
    [sym_else] = ACTIONS(2819),
    [sym__as_custom] = ACTIONS(2819),
    [sym__as_quest_custom] = ACTIONS(2819),
    [sym__as_bang_custom] = ACTIONS(2819),
    [sym__custom_operator] = ACTIONS(2819),
  },
  [1543] = {
    [sym_simple_identifier] = STATE(7735),
    [sym__contextual_simple_identifier] = STATE(4320),
    [sym__parameter_ownership_modifier] = STATE(4320),
    [aux_sym__fn_call_lambda_arguments_repeat1] = STATE(1542),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2812),
    [aux_sym_simple_identifier_token2] = ACTIONS(2814),
    [aux_sym_simple_identifier_token3] = ACTIONS(2814),
    [aux_sym_simple_identifier_token4] = ACTIONS(2814),
    [anon_sym_actor] = ACTIONS(2812),
    [anon_sym_async] = ACTIONS(2812),
    [anon_sym_each] = ACTIONS(2812),
    [anon_sym_lazy] = ACTIONS(2812),
    [anon_sym_repeat] = ACTIONS(2812),
    [anon_sym_package] = ACTIONS(2812),
    [anon_sym_COMMA] = ACTIONS(2826),
    [anon_sym_LPAREN] = ACTIONS(2826),
    [anon_sym_LBRACK] = ACTIONS(2826),
    [anon_sym_QMARK] = ACTIONS(2828),
    [anon_sym_QMARK2] = ACTIONS(2826),
    [anon_sym_AMP] = ACTIONS(2826),
    [aux_sym_custom_operator_token1] = ACTIONS(2826),
    [anon_sym_LT] = ACTIONS(2828),
    [anon_sym_GT] = ACTIONS(2828),
    [anon_sym_LBRACE] = ACTIONS(2826),
    [anon_sym_CARET_LBRACE] = ACTIONS(2826),
    [anon_sym_PLUS_EQ] = ACTIONS(2826),
    [anon_sym_DASH_EQ] = ACTIONS(2826),
    [anon_sym_STAR_EQ] = ACTIONS(2826),
    [anon_sym_SLASH_EQ] = ACTIONS(2826),
    [anon_sym_PERCENT_EQ] = ACTIONS(2826),
    [anon_sym_BANG_EQ] = ACTIONS(2828),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2826),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2826),
    [anon_sym_LT_EQ] = ACTIONS(2826),
    [anon_sym_GT_EQ] = ACTIONS(2826),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2826),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2826),
    [anon_sym_is] = ACTIONS(2828),
    [anon_sym_PLUS] = ACTIONS(2828),
    [anon_sym_DASH] = ACTIONS(2828),
    [anon_sym_STAR] = ACTIONS(2828),
    [anon_sym_SLASH] = ACTIONS(2828),
    [anon_sym_PERCENT] = ACTIONS(2828),
    [anon_sym_PLUS_PLUS] = ACTIONS(2826),
    [anon_sym_DASH_DASH] = ACTIONS(2826),
    [anon_sym_PIPE] = ACTIONS(2826),
    [anon_sym_CARET] = ACTIONS(2828),
    [anon_sym_LT_LT] = ACTIONS(2826),
    [anon_sym_GT_GT] = ACTIONS(2826),
    [anon_sym_BANG2] = ACTIONS(2828),
    [anon_sym_borrowing] = ACTIONS(2812),
    [anon_sym_consuming] = ACTIONS(2812),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2826),
    [sym__conjunction_operator_custom] = ACTIONS(2826),
    [sym__disjunction_operator_custom] = ACTIONS(2826),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2826),
    [sym__eq_custom] = ACTIONS(2826),
    [sym__eq_eq_custom] = ACTIONS(2826),
    [sym__plus_then_ws] = ACTIONS(2826),
    [sym__minus_then_ws] = ACTIONS(2826),
    [sym__bang_custom] = ACTIONS(2826),
    [sym_else] = ACTIONS(2826),
    [sym__as_custom] = ACTIONS(2826),
    [sym__as_quest_custom] = ACTIONS(2826),
    [sym__as_bang_custom] = ACTIONS(2826),
    [sym__custom_operator] = ACTIONS(2826),
  },
  [1544] = {
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2963),
    [anon_sym_async] = ACTIONS(2963),
    [anon_sym_lazy] = ACTIONS(2963),
    [anon_sym_package] = ACTIONS(2963),
    [anon_sym_COMMA] = ACTIONS(2963),
    [anon_sym_COLON] = ACTIONS(2963),
    [anon_sym_DOT] = ACTIONS(2963),
    [anon_sym_QMARK] = ACTIONS(2965),
    [anon_sym_QMARK2] = ACTIONS(2963),
    [anon_sym_AMP] = ACTIONS(2963),
    [anon_sym_LBRACE] = ACTIONS(2963),
    [anon_sym_RBRACE] = ACTIONS(2963),
    [anon_sym_case] = ACTIONS(2963),
    [anon_sym_import] = ACTIONS(2963),
    [anon_sym_typealias] = ACTIONS(2963),
    [anon_sym_struct] = ACTIONS(2963),
    [anon_sym_class] = ACTIONS(2963),
    [anon_sym_enum] = ACTIONS(2963),
    [anon_sym_protocol] = ACTIONS(2963),
    [anon_sym_let] = ACTIONS(2963),
    [anon_sym_var] = ACTIONS(2963),
    [anon_sym_func] = ACTIONS(2963),
    [anon_sym_extension] = ACTIONS(2963),
    [anon_sym_indirect] = ACTIONS(2963),
    [anon_sym_init] = ACTIONS(2963),
    [anon_sym_deinit] = ACTIONS(2963),
    [anon_sym_subscript] = ACTIONS(2963),
    [anon_sym_prefix] = ACTIONS(2963),
    [anon_sym_infix] = ACTIONS(2963),
    [anon_sym_postfix] = ACTIONS(2963),
    [anon_sym_precedencegroup] = ACTIONS(2963),
    [anon_sym_associatedtype] = ACTIONS(2963),
    [anon_sym_AT] = ACTIONS(2965),
    [anon_sym_override] = ACTIONS(2963),
    [anon_sym_convenience] = ACTIONS(2963),
    [anon_sym_required] = ACTIONS(2963),
    [anon_sym_nonisolated] = ACTIONS(2963),
    [anon_sym_public] = ACTIONS(2963),
    [anon_sym_private] = ACTIONS(2963),
    [anon_sym_internal] = ACTIONS(2963),
    [anon_sym_fileprivate] = ACTIONS(2963),
    [anon_sym_open] = ACTIONS(2963),
    [anon_sym_mutating] = ACTIONS(2963),
    [anon_sym_nonmutating] = ACTIONS(2963),
    [anon_sym_static] = ACTIONS(2963),
    [anon_sym_dynamic] = ACTIONS(2963),
    [anon_sym_optional] = ACTIONS(2963),
    [anon_sym_distributed] = ACTIONS(2963),
    [anon_sym_final] = ACTIONS(2963),
    [anon_sym_inout] = ACTIONS(2963),
    [anon_sym_ATescaping] = ACTIONS(2963),
    [anon_sym_ATautoclosure] = ACTIONS(2963),
    [anon_sym_weak] = ACTIONS(2963),
    [anon_sym_unowned] = ACTIONS(2965),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2963),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2963),
    [anon_sym_borrowing] = ACTIONS(2963),
    [anon_sym_consuming] = ACTIONS(2963),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2963),
    [sym__dot_custom] = ACTIONS(2963),
    [sym__eq_custom] = ACTIONS(2963),
    [sym__throws_keyword] = ACTIONS(2963),
    [sym__rethrows_keyword] = ACTIONS(2963),
    [sym_where_keyword] = ACTIONS(2963),
    [sym__as_custom] = ACTIONS(2963),
    [sym__async_keyword_custom] = ACTIONS(2963),
  },
  [1545] = {
    [sym__dot] = STATE(4690),
    [aux_sym_user_type_repeat1] = STATE(1523),
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2852),
    [anon_sym_async] = ACTIONS(2852),
    [anon_sym_lazy] = ACTIONS(2852),
    [anon_sym_package] = ACTIONS(2852),
    [anon_sym_COMMA] = ACTIONS(2852),
    [anon_sym_BANG] = ACTIONS(2852),
    [anon_sym_DOT] = ACTIONS(2852),
    [anon_sym_QMARK2] = ACTIONS(2852),
    [anon_sym_AMP] = ACTIONS(2852),
    [anon_sym_LBRACE] = ACTIONS(2852),
    [anon_sym_RBRACE] = ACTIONS(2852),
    [anon_sym_case] = ACTIONS(2852),
    [anon_sym_import] = ACTIONS(2852),
    [anon_sym_typealias] = ACTIONS(2852),
    [anon_sym_struct] = ACTIONS(2852),
    [anon_sym_class] = ACTIONS(2852),
    [anon_sym_enum] = ACTIONS(2852),
    [anon_sym_protocol] = ACTIONS(2852),
    [anon_sym_let] = ACTIONS(2852),
    [anon_sym_var] = ACTIONS(2852),
    [anon_sym_func] = ACTIONS(2852),
    [anon_sym_extension] = ACTIONS(2852),
    [anon_sym_indirect] = ACTIONS(2852),
    [anon_sym_init] = ACTIONS(2852),
    [anon_sym_deinit] = ACTIONS(2852),
    [anon_sym_subscript] = ACTIONS(2852),
    [anon_sym_prefix] = ACTIONS(2852),
    [anon_sym_infix] = ACTIONS(2852),
    [anon_sym_postfix] = ACTIONS(2852),
    [anon_sym_precedencegroup] = ACTIONS(2852),
    [anon_sym_associatedtype] = ACTIONS(2852),
    [anon_sym_AT] = ACTIONS(2854),
    [anon_sym_override] = ACTIONS(2852),
    [anon_sym_convenience] = ACTIONS(2852),
    [anon_sym_required] = ACTIONS(2852),
    [anon_sym_nonisolated] = ACTIONS(2852),
    [anon_sym_public] = ACTIONS(2852),
    [anon_sym_private] = ACTIONS(2852),
    [anon_sym_internal] = ACTIONS(2852),
    [anon_sym_fileprivate] = ACTIONS(2852),
    [anon_sym_open] = ACTIONS(2852),
    [anon_sym_mutating] = ACTIONS(2852),
    [anon_sym_nonmutating] = ACTIONS(2852),
    [anon_sym_static] = ACTIONS(2852),
    [anon_sym_dynamic] = ACTIONS(2852),
    [anon_sym_optional] = ACTIONS(2852),
    [anon_sym_distributed] = ACTIONS(2852),
    [anon_sym_final] = ACTIONS(2852),
    [anon_sym_inout] = ACTIONS(2852),
    [anon_sym_ATescaping] = ACTIONS(2852),
    [anon_sym_ATautoclosure] = ACTIONS(2852),
    [anon_sym_weak] = ACTIONS(2852),
    [anon_sym_unowned] = ACTIONS(2854),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2852),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2852),
    [anon_sym_borrowing] = ACTIONS(2852),
    [anon_sym_consuming] = ACTIONS(2852),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2852),
    [sym__dot_custom] = ACTIONS(4821),
    [sym__eq_custom] = ACTIONS(2852),
    [sym__throws_keyword] = ACTIONS(2852),
    [sym__rethrows_keyword] = ACTIONS(2852),
    [sym_where_keyword] = ACTIONS(2852),
    [sym__async_keyword_custom] = ACTIONS(2852),
  },
  [1546] = {
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2798),
    [anon_sym_async] = ACTIONS(2798),
    [anon_sym_lazy] = ACTIONS(2798),
    [anon_sym_package] = ACTIONS(2798),
    [anon_sym_COMMA] = ACTIONS(2798),
    [anon_sym_COLON] = ACTIONS(2798),
    [anon_sym_DOT] = ACTIONS(2798),
    [anon_sym_QMARK] = ACTIONS(2800),
    [anon_sym_QMARK2] = ACTIONS(2798),
    [anon_sym_AMP] = ACTIONS(2798),
    [anon_sym_LBRACE] = ACTIONS(2798),
    [anon_sym_RBRACE] = ACTIONS(2798),
    [anon_sym_case] = ACTIONS(2798),
    [anon_sym_import] = ACTIONS(2798),
    [anon_sym_typealias] = ACTIONS(2798),
    [anon_sym_struct] = ACTIONS(2798),
    [anon_sym_class] = ACTIONS(2798),
    [anon_sym_enum] = ACTIONS(2798),
    [anon_sym_protocol] = ACTIONS(2798),
    [anon_sym_let] = ACTIONS(2798),
    [anon_sym_var] = ACTIONS(2798),
    [anon_sym_func] = ACTIONS(2798),
    [anon_sym_extension] = ACTIONS(2798),
    [anon_sym_indirect] = ACTIONS(2798),
    [anon_sym_init] = ACTIONS(2798),
    [anon_sym_deinit] = ACTIONS(2798),
    [anon_sym_subscript] = ACTIONS(2798),
    [anon_sym_prefix] = ACTIONS(2798),
    [anon_sym_infix] = ACTIONS(2798),
    [anon_sym_postfix] = ACTIONS(2798),
    [anon_sym_precedencegroup] = ACTIONS(2798),
    [anon_sym_associatedtype] = ACTIONS(2798),
    [anon_sym_AT] = ACTIONS(2800),
    [anon_sym_override] = ACTIONS(2798),
    [anon_sym_convenience] = ACTIONS(2798),
    [anon_sym_required] = ACTIONS(2798),
    [anon_sym_nonisolated] = ACTIONS(2798),
    [anon_sym_public] = ACTIONS(2798),
    [anon_sym_private] = ACTIONS(2798),
    [anon_sym_internal] = ACTIONS(2798),
    [anon_sym_fileprivate] = ACTIONS(2798),
    [anon_sym_open] = ACTIONS(2798),
    [anon_sym_mutating] = ACTIONS(2798),
    [anon_sym_nonmutating] = ACTIONS(2798),
    [anon_sym_static] = ACTIONS(2798),
    [anon_sym_dynamic] = ACTIONS(2798),
    [anon_sym_optional] = ACTIONS(2798),
    [anon_sym_distributed] = ACTIONS(2798),
    [anon_sym_final] = ACTIONS(2798),
    [anon_sym_inout] = ACTIONS(2798),
    [anon_sym_ATescaping] = ACTIONS(2798),
    [anon_sym_ATautoclosure] = ACTIONS(2798),
    [anon_sym_weak] = ACTIONS(2798),
    [anon_sym_unowned] = ACTIONS(2800),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2798),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2798),
    [anon_sym_borrowing] = ACTIONS(2798),
    [anon_sym_consuming] = ACTIONS(2798),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2798),
    [sym__dot_custom] = ACTIONS(2798),
    [sym__eq_custom] = ACTIONS(2798),
    [sym__throws_keyword] = ACTIONS(2798),
    [sym__rethrows_keyword] = ACTIONS(2798),
    [sym_where_keyword] = ACTIONS(2798),
    [sym__as_custom] = ACTIONS(2798),
    [sym__async_keyword_custom] = ACTIONS(2798),
  },
  [1547] = {
    [sym__arrow_operator] = STATE(3724),
    [sym__async_keyword] = STATE(6061),
    [sym_throws] = STATE(7455),
    [aux_sym_protocol_composition_type_repeat1] = STATE(1633),
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2866),
    [anon_sym_async] = ACTIONS(2866),
    [anon_sym_lazy] = ACTIONS(2866),
    [anon_sym_package] = ACTIONS(2866),
    [anon_sym_COMMA] = ACTIONS(2866),
    [anon_sym_BANG] = ACTIONS(2866),
    [anon_sym_DOT] = ACTIONS(4817),
    [anon_sym_AMP] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(2866),
    [anon_sym_RBRACE] = ACTIONS(2866),
    [anon_sym_case] = ACTIONS(2866),
    [anon_sym_import] = ACTIONS(2866),
    [anon_sym_typealias] = ACTIONS(2866),
    [anon_sym_struct] = ACTIONS(2866),
    [anon_sym_class] = ACTIONS(2866),
    [anon_sym_enum] = ACTIONS(2866),
    [anon_sym_protocol] = ACTIONS(2866),
    [anon_sym_let] = ACTIONS(2866),
    [anon_sym_var] = ACTIONS(2866),
    [anon_sym_func] = ACTIONS(2866),
    [anon_sym_extension] = ACTIONS(2866),
    [anon_sym_indirect] = ACTIONS(2866),
    [anon_sym_init] = ACTIONS(2866),
    [anon_sym_deinit] = ACTIONS(2866),
    [anon_sym_subscript] = ACTIONS(2866),
    [anon_sym_prefix] = ACTIONS(2866),
    [anon_sym_infix] = ACTIONS(2866),
    [anon_sym_postfix] = ACTIONS(2866),
    [anon_sym_precedencegroup] = ACTIONS(2866),
    [anon_sym_associatedtype] = ACTIONS(2866),
    [anon_sym_AT] = ACTIONS(2870),
    [anon_sym_override] = ACTIONS(2866),
    [anon_sym_convenience] = ACTIONS(2866),
    [anon_sym_required] = ACTIONS(2866),
    [anon_sym_nonisolated] = ACTIONS(2866),
    [anon_sym_public] = ACTIONS(2866),
    [anon_sym_private] = ACTIONS(2866),
    [anon_sym_internal] = ACTIONS(2866),
    [anon_sym_fileprivate] = ACTIONS(2866),
    [anon_sym_open] = ACTIONS(2866),
    [anon_sym_mutating] = ACTIONS(2866),
    [anon_sym_nonmutating] = ACTIONS(2866),
    [anon_sym_static] = ACTIONS(2866),
    [anon_sym_dynamic] = ACTIONS(2866),
    [anon_sym_optional] = ACTIONS(2866),
    [anon_sym_distributed] = ACTIONS(2866),
    [anon_sym_final] = ACTIONS(2866),
    [anon_sym_inout] = ACTIONS(2866),
    [anon_sym_ATescaping] = ACTIONS(2866),
    [anon_sym_ATautoclosure] = ACTIONS(2866),
    [anon_sym_weak] = ACTIONS(2866),
    [anon_sym_unowned] = ACTIONS(2870),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2866),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2866),
    [anon_sym_borrowing] = ACTIONS(2866),
    [anon_sym_consuming] = ACTIONS(2866),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(4754),
    [sym__eq_custom] = ACTIONS(2866),
    [sym__throws_keyword] = ACTIONS(2848),
    [sym__rethrows_keyword] = ACTIONS(2848),
    [sym_where_keyword] = ACTIONS(2866),
    [sym__async_keyword_custom] = ACTIONS(4756),
  },
  [1548] = {
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2971),
    [anon_sym_async] = ACTIONS(2971),
    [anon_sym_lazy] = ACTIONS(2971),
    [anon_sym_package] = ACTIONS(2971),
    [anon_sym_RPAREN] = ACTIONS(2971),
    [anon_sym_COMMA] = ACTIONS(2971),
    [anon_sym_BANG] = ACTIONS(2971),
    [anon_sym_DOT] = ACTIONS(2973),
    [anon_sym_QMARK2] = ACTIONS(2971),
    [anon_sym_AMP] = ACTIONS(2971),
    [anon_sym_LBRACE] = ACTIONS(2971),
    [anon_sym_RBRACE] = ACTIONS(2971),
    [anon_sym_case] = ACTIONS(2971),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2971),
    [anon_sym_import] = ACTIONS(2971),
    [anon_sym_typealias] = ACTIONS(2971),
    [anon_sym_struct] = ACTIONS(2971),
    [anon_sym_class] = ACTIONS(2971),
    [anon_sym_enum] = ACTIONS(2971),
    [anon_sym_protocol] = ACTIONS(2971),
    [anon_sym_let] = ACTIONS(2971),
    [anon_sym_var] = ACTIONS(2971),
    [anon_sym_func] = ACTIONS(2971),
    [anon_sym_extension] = ACTIONS(2971),
    [anon_sym_indirect] = ACTIONS(2971),
    [anon_sym_init] = ACTIONS(2971),
    [anon_sym_deinit] = ACTIONS(2971),
    [anon_sym_subscript] = ACTIONS(2971),
    [anon_sym_prefix] = ACTIONS(2971),
    [anon_sym_infix] = ACTIONS(2971),
    [anon_sym_postfix] = ACTIONS(2971),
    [anon_sym_precedencegroup] = ACTIONS(2971),
    [anon_sym_associatedtype] = ACTIONS(2971),
    [anon_sym_AT] = ACTIONS(2973),
    [anon_sym_override] = ACTIONS(2971),
    [anon_sym_convenience] = ACTIONS(2971),
    [anon_sym_required] = ACTIONS(2971),
    [anon_sym_nonisolated] = ACTIONS(2971),
    [anon_sym_public] = ACTIONS(2971),
    [anon_sym_private] = ACTIONS(2971),
    [anon_sym_internal] = ACTIONS(2971),
    [anon_sym_fileprivate] = ACTIONS(2971),
    [anon_sym_open] = ACTIONS(2971),
    [anon_sym_mutating] = ACTIONS(2971),
    [anon_sym_nonmutating] = ACTIONS(2971),
    [anon_sym_static] = ACTIONS(2971),
    [anon_sym_dynamic] = ACTIONS(2971),
    [anon_sym_optional] = ACTIONS(2971),
    [anon_sym_distributed] = ACTIONS(2971),
    [anon_sym_final] = ACTIONS(2971),
    [anon_sym_inout] = ACTIONS(2971),
    [anon_sym_ATescaping] = ACTIONS(2971),
    [anon_sym_ATautoclosure] = ACTIONS(2971),
    [anon_sym_weak] = ACTIONS(2971),
    [anon_sym_unowned] = ACTIONS(2973),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2971),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2971),
    [anon_sym_borrowing] = ACTIONS(2971),
    [anon_sym_consuming] = ACTIONS(2971),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2971),
    [sym__dot_custom] = ACTIONS(2971),
    [sym__eq_custom] = ACTIONS(2971),
    [sym__throws_keyword] = ACTIONS(2971),
    [sym__rethrows_keyword] = ACTIONS(2971),
    [sym__async_keyword_custom] = ACTIONS(2971),
  },
  [1549] = {
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2924),
    [anon_sym_async] = ACTIONS(2924),
    [anon_sym_lazy] = ACTIONS(2924),
    [anon_sym_package] = ACTIONS(2924),
    [anon_sym_RPAREN] = ACTIONS(2924),
    [anon_sym_COMMA] = ACTIONS(2924),
    [anon_sym_BANG] = ACTIONS(2924),
    [anon_sym_DOT] = ACTIONS(2926),
    [anon_sym_QMARK2] = ACTIONS(2924),
    [anon_sym_AMP] = ACTIONS(2924),
    [anon_sym_LBRACE] = ACTIONS(2924),
    [anon_sym_RBRACE] = ACTIONS(2924),
    [anon_sym_case] = ACTIONS(2924),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2924),
    [anon_sym_import] = ACTIONS(2924),
    [anon_sym_typealias] = ACTIONS(2924),
    [anon_sym_struct] = ACTIONS(2924),
    [anon_sym_class] = ACTIONS(2924),
    [anon_sym_enum] = ACTIONS(2924),
    [anon_sym_protocol] = ACTIONS(2924),
    [anon_sym_let] = ACTIONS(2924),
    [anon_sym_var] = ACTIONS(2924),
    [anon_sym_func] = ACTIONS(2924),
    [anon_sym_extension] = ACTIONS(2924),
    [anon_sym_indirect] = ACTIONS(2924),
    [anon_sym_init] = ACTIONS(2924),
    [anon_sym_deinit] = ACTIONS(2924),
    [anon_sym_subscript] = ACTIONS(2924),
    [anon_sym_prefix] = ACTIONS(2924),
    [anon_sym_infix] = ACTIONS(2924),
    [anon_sym_postfix] = ACTIONS(2924),
    [anon_sym_precedencegroup] = ACTIONS(2924),
    [anon_sym_associatedtype] = ACTIONS(2924),
    [anon_sym_AT] = ACTIONS(2926),
    [anon_sym_override] = ACTIONS(2924),
    [anon_sym_convenience] = ACTIONS(2924),
    [anon_sym_required] = ACTIONS(2924),
    [anon_sym_nonisolated] = ACTIONS(2924),
    [anon_sym_public] = ACTIONS(2924),
    [anon_sym_private] = ACTIONS(2924),
    [anon_sym_internal] = ACTIONS(2924),
    [anon_sym_fileprivate] = ACTIONS(2924),
    [anon_sym_open] = ACTIONS(2924),
    [anon_sym_mutating] = ACTIONS(2924),
    [anon_sym_nonmutating] = ACTIONS(2924),
    [anon_sym_static] = ACTIONS(2924),
    [anon_sym_dynamic] = ACTIONS(2924),
    [anon_sym_optional] = ACTIONS(2924),
    [anon_sym_distributed] = ACTIONS(2924),
    [anon_sym_final] = ACTIONS(2924),
    [anon_sym_inout] = ACTIONS(2924),
    [anon_sym_ATescaping] = ACTIONS(2924),
    [anon_sym_ATautoclosure] = ACTIONS(2924),
    [anon_sym_weak] = ACTIONS(2924),
    [anon_sym_unowned] = ACTIONS(2926),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2924),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2924),
    [anon_sym_borrowing] = ACTIONS(2924),
    [anon_sym_consuming] = ACTIONS(2924),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2924),
    [sym__dot_custom] = ACTIONS(2924),
    [sym__eq_custom] = ACTIONS(2924),
    [sym__throws_keyword] = ACTIONS(2924),
    [sym__rethrows_keyword] = ACTIONS(2924),
    [sym__async_keyword_custom] = ACTIONS(2924),
  },
  [1550] = {
    [sym__arrow_operator] = STATE(3835),
    [sym__async_keyword] = STATE(6064),
    [sym_throws] = STATE(7365),
    [aux_sym_protocol_composition_type_repeat1] = STATE(1684),
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2866),
    [anon_sym_async] = ACTIONS(2866),
    [anon_sym_lazy] = ACTIONS(2866),
    [anon_sym_package] = ACTIONS(2866),
    [anon_sym_COMMA] = ACTIONS(2866),
    [anon_sym_BANG] = ACTIONS(2866),
    [anon_sym_DOT] = ACTIONS(4829),
    [anon_sym_AMP] = ACTIONS(4831),
    [anon_sym_LBRACE] = ACTIONS(2866),
    [anon_sym_RBRACE] = ACTIONS(2866),
    [anon_sym_case] = ACTIONS(2866),
    [anon_sym_import] = ACTIONS(2866),
    [anon_sym_typealias] = ACTIONS(2866),
    [anon_sym_struct] = ACTIONS(2866),
    [anon_sym_class] = ACTIONS(2866),
    [anon_sym_enum] = ACTIONS(2866),
    [anon_sym_protocol] = ACTIONS(2866),
    [anon_sym_let] = ACTIONS(2866),
    [anon_sym_var] = ACTIONS(2866),
    [anon_sym_func] = ACTIONS(2866),
    [anon_sym_extension] = ACTIONS(2866),
    [anon_sym_indirect] = ACTIONS(2866),
    [anon_sym_init] = ACTIONS(2866),
    [anon_sym_deinit] = ACTIONS(2866),
    [anon_sym_subscript] = ACTIONS(2866),
    [anon_sym_prefix] = ACTIONS(2866),
    [anon_sym_infix] = ACTIONS(2866),
    [anon_sym_postfix] = ACTIONS(2866),
    [anon_sym_precedencegroup] = ACTIONS(2866),
    [anon_sym_associatedtype] = ACTIONS(2866),
    [anon_sym_AT] = ACTIONS(2870),
    [anon_sym_override] = ACTIONS(2866),
    [anon_sym_convenience] = ACTIONS(2866),
    [anon_sym_required] = ACTIONS(2866),
    [anon_sym_nonisolated] = ACTIONS(2866),
    [anon_sym_public] = ACTIONS(2866),
    [anon_sym_private] = ACTIONS(2866),
    [anon_sym_internal] = ACTIONS(2866),
    [anon_sym_fileprivate] = ACTIONS(2866),
    [anon_sym_open] = ACTIONS(2866),
    [anon_sym_mutating] = ACTIONS(2866),
    [anon_sym_nonmutating] = ACTIONS(2866),
    [anon_sym_static] = ACTIONS(2866),
    [anon_sym_dynamic] = ACTIONS(2866),
    [anon_sym_optional] = ACTIONS(2866),
    [anon_sym_distributed] = ACTIONS(2866),
    [anon_sym_final] = ACTIONS(2866),
    [anon_sym_inout] = ACTIONS(2866),
    [anon_sym_ATescaping] = ACTIONS(2866),
    [anon_sym_ATautoclosure] = ACTIONS(2866),
    [anon_sym_weak] = ACTIONS(2866),
    [anon_sym_unowned] = ACTIONS(2870),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2866),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2866),
    [anon_sym_borrowing] = ACTIONS(2866),
    [anon_sym_consuming] = ACTIONS(2866),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(4805),
    [sym__eq_custom] = ACTIONS(2866),
    [sym__throws_keyword] = ACTIONS(2848),
    [sym__rethrows_keyword] = ACTIONS(2848),
    [sym__async_keyword_custom] = ACTIONS(4807),
  },
  [1551] = {
    [sym__arrow_operator] = STATE(3835),
    [sym__async_keyword] = STATE(6064),
    [sym_throws] = STATE(7365),
    [aux_sym_protocol_composition_type_repeat1] = STATE(1684),
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2896),
    [anon_sym_async] = ACTIONS(2896),
    [anon_sym_lazy] = ACTIONS(2896),
    [anon_sym_package] = ACTIONS(2896),
    [anon_sym_COMMA] = ACTIONS(2896),
    [anon_sym_BANG] = ACTIONS(2896),
    [anon_sym_DOT] = ACTIONS(4829),
    [anon_sym_AMP] = ACTIONS(4831),
    [anon_sym_LBRACE] = ACTIONS(2896),
    [anon_sym_RBRACE] = ACTIONS(2896),
    [anon_sym_case] = ACTIONS(2896),
    [anon_sym_import] = ACTIONS(2896),
    [anon_sym_typealias] = ACTIONS(2896),
    [anon_sym_struct] = ACTIONS(2896),
    [anon_sym_class] = ACTIONS(2896),
    [anon_sym_enum] = ACTIONS(2896),
    [anon_sym_protocol] = ACTIONS(2896),
    [anon_sym_let] = ACTIONS(2896),
    [anon_sym_var] = ACTIONS(2896),
    [anon_sym_func] = ACTIONS(2896),
    [anon_sym_extension] = ACTIONS(2896),
    [anon_sym_indirect] = ACTIONS(2896),
    [anon_sym_init] = ACTIONS(2896),
    [anon_sym_deinit] = ACTIONS(2896),
    [anon_sym_subscript] = ACTIONS(2896),
    [anon_sym_prefix] = ACTIONS(2896),
    [anon_sym_infix] = ACTIONS(2896),
    [anon_sym_postfix] = ACTIONS(2896),
    [anon_sym_precedencegroup] = ACTIONS(2896),
    [anon_sym_associatedtype] = ACTIONS(2896),
    [anon_sym_AT] = ACTIONS(2898),
    [anon_sym_override] = ACTIONS(2896),
    [anon_sym_convenience] = ACTIONS(2896),
    [anon_sym_required] = ACTIONS(2896),
    [anon_sym_nonisolated] = ACTIONS(2896),
    [anon_sym_public] = ACTIONS(2896),
    [anon_sym_private] = ACTIONS(2896),
    [anon_sym_internal] = ACTIONS(2896),
    [anon_sym_fileprivate] = ACTIONS(2896),
    [anon_sym_open] = ACTIONS(2896),
    [anon_sym_mutating] = ACTIONS(2896),
    [anon_sym_nonmutating] = ACTIONS(2896),
    [anon_sym_static] = ACTIONS(2896),
    [anon_sym_dynamic] = ACTIONS(2896),
    [anon_sym_optional] = ACTIONS(2896),
    [anon_sym_distributed] = ACTIONS(2896),
    [anon_sym_final] = ACTIONS(2896),
    [anon_sym_inout] = ACTIONS(2896),
    [anon_sym_ATescaping] = ACTIONS(2896),
    [anon_sym_ATautoclosure] = ACTIONS(2896),
    [anon_sym_weak] = ACTIONS(2896),
    [anon_sym_unowned] = ACTIONS(2898),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2896),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2896),
    [anon_sym_borrowing] = ACTIONS(2896),
    [anon_sym_consuming] = ACTIONS(2896),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(4805),
    [sym__eq_custom] = ACTIONS(2896),
    [sym__throws_keyword] = ACTIONS(2848),
    [sym__rethrows_keyword] = ACTIONS(2848),
    [sym__async_keyword_custom] = ACTIONS(4807),
  },
  [1552] = {
    [ts_builtin_sym_end] = ACTIONS(3035),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(3033),
    [aux_sym_simple_identifier_token2] = ACTIONS(3035),
    [aux_sym_simple_identifier_token3] = ACTIONS(3035),
    [aux_sym_simple_identifier_token4] = ACTIONS(3035),
    [anon_sym_actor] = ACTIONS(3033),
    [anon_sym_async] = ACTIONS(3033),
    [anon_sym_each] = ACTIONS(3033),
    [anon_sym_lazy] = ACTIONS(3033),
    [anon_sym_repeat] = ACTIONS(3033),
    [anon_sym_package] = ACTIONS(3033),
    [anon_sym_COMMA] = ACTIONS(3035),
    [anon_sym_LPAREN] = ACTIONS(3035),
    [anon_sym_LBRACK] = ACTIONS(3035),
    [anon_sym_QMARK] = ACTIONS(3033),
    [anon_sym_QMARK2] = ACTIONS(3035),
    [anon_sym_AMP] = ACTIONS(3035),
    [aux_sym_custom_operator_token1] = ACTIONS(3035),
    [anon_sym_LT] = ACTIONS(3033),
    [anon_sym_GT] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_CARET_LBRACE] = ACTIONS(3035),
    [anon_sym_RBRACE] = ACTIONS(3035),
    [anon_sym_PLUS_EQ] = ACTIONS(3035),
    [anon_sym_DASH_EQ] = ACTIONS(3035),
    [anon_sym_STAR_EQ] = ACTIONS(3035),
    [anon_sym_SLASH_EQ] = ACTIONS(3035),
    [anon_sym_PERCENT_EQ] = ACTIONS(3035),
    [anon_sym_BANG_EQ] = ACTIONS(3033),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3035),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3035),
    [anon_sym_LT_EQ] = ACTIONS(3035),
    [anon_sym_GT_EQ] = ACTIONS(3035),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3035),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3035),
    [anon_sym_is] = ACTIONS(3033),
    [anon_sym_PLUS] = ACTIONS(3033),
    [anon_sym_DASH] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3033),
    [anon_sym_SLASH] = ACTIONS(3033),
    [anon_sym_PERCENT] = ACTIONS(3033),
    [anon_sym_PLUS_PLUS] = ACTIONS(3035),
    [anon_sym_DASH_DASH] = ACTIONS(3035),
    [anon_sym_PIPE] = ACTIONS(3035),
    [anon_sym_CARET] = ACTIONS(3033),
    [anon_sym_LT_LT] = ACTIONS(3035),
    [anon_sym_GT_GT] = ACTIONS(3035),
    [anon_sym_BANG2] = ACTIONS(3033),
    [anon_sym_borrowing] = ACTIONS(3033),
    [anon_sym_consuming] = ACTIONS(3033),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3035),
    [sym__explicit_semi] = ACTIONS(3035),
    [sym__dot_custom] = ACTIONS(3035),
    [sym__conjunction_operator_custom] = ACTIONS(3035),
    [sym__disjunction_operator_custom] = ACTIONS(3035),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3035),
    [sym__eq_custom] = ACTIONS(3035),
    [sym__eq_eq_custom] = ACTIONS(3035),
    [sym__plus_then_ws] = ACTIONS(3035),
    [sym__minus_then_ws] = ACTIONS(3035),
    [sym__bang_custom] = ACTIONS(3035),
    [sym__as_custom] = ACTIONS(3035),
    [sym__as_quest_custom] = ACTIONS(3035),
    [sym__as_bang_custom] = ACTIONS(3035),
    [sym__custom_operator] = ACTIONS(3035),
  },
  [1553] = {
    [sym_attribute] = STATE(1507),
    [aux_sym__locally_permitted_modifiers] = STATE(1507),
    [sym__non_local_scope_modifier] = STATE(1507),
    [sym__locally_permitted_modifier] = STATE(1507),
    [sym_property_behavior_modifier] = STATE(1507),
    [sym_member_modifier] = STATE(1507),
    [sym_visibility_modifier] = STATE(1507),
    [sym_function_modifier] = STATE(1507),
    [sym_mutation_modifier] = STATE(1507),
    [sym_property_modifier] = STATE(1507),
    [sym_inheritance_modifier] = STATE(1507),
    [sym_parameter_modifier] = STATE(1507),
    [sym_ownership_modifier] = STATE(1507),
    [sym__parameter_ownership_modifier] = STATE(2572),
    [aux_sym_modifiers_repeat1] = STATE(1507),
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(4833),
    [anon_sym_async] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(3591),
    [anon_sym_package] = ACTIONS(3593),
    [anon_sym_case] = ACTIONS(4833),
    [anon_sym_import] = ACTIONS(4833),
    [anon_sym_typealias] = ACTIONS(4833),
    [anon_sym_struct] = ACTIONS(4833),
    [anon_sym_class] = ACTIONS(4835),
    [anon_sym_enum] = ACTIONS(4833),
    [anon_sym_protocol] = ACTIONS(4833),
    [anon_sym_let] = ACTIONS(4833),
    [anon_sym_var] = ACTIONS(4833),
    [anon_sym_func] = ACTIONS(4833),
    [anon_sym_macro] = ACTIONS(4833),
    [anon_sym_extension] = ACTIONS(4833),
    [anon_sym_indirect] = ACTIONS(4833),
    [anon_sym_init] = ACTIONS(4833),
    [anon_sym_deinit] = ACTIONS(4833),
    [anon_sym_subscript] = ACTIONS(4833),
    [anon_sym_prefix] = ACTIONS(4689),
    [anon_sym_infix] = ACTIONS(4689),
    [anon_sym_postfix] = ACTIONS(4689),
    [anon_sym_associatedtype] = ACTIONS(4833),
    [anon_sym_AT] = ACTIONS(123),
    [anon_sym_override] = ACTIONS(3629),
    [anon_sym_convenience] = ACTIONS(3629),
    [anon_sym_required] = ACTIONS(3629),
    [anon_sym_nonisolated] = ACTIONS(3629),
    [anon_sym_public] = ACTIONS(3593),
    [anon_sym_private] = ACTIONS(3593),
    [anon_sym_internal] = ACTIONS(3593),
    [anon_sym_fileprivate] = ACTIONS(3593),
    [anon_sym_open] = ACTIONS(3593),
    [anon_sym_mutating] = ACTIONS(3631),
    [anon_sym_nonmutating] = ACTIONS(3631),
    [anon_sym_static] = ACTIONS(3633),
    [anon_sym_dynamic] = ACTIONS(3633),
    [anon_sym_optional] = ACTIONS(3633),
    [anon_sym_distributed] = ACTIONS(3633),
    [anon_sym_final] = ACTIONS(3635),
    [anon_sym_inout] = ACTIONS(137),
    [anon_sym_ATescaping] = ACTIONS(137),
    [anon_sym_ATautoclosure] = ACTIONS(137),
    [anon_sym_weak] = ACTIONS(141),
    [anon_sym_unowned] = ACTIONS(139),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(141),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(141),
    [anon_sym_borrowing] = ACTIONS(137),
    [anon_sym_consuming] = ACTIONS(137),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
  },
  [1554] = {
    [sym__arrow_operator] = STATE(3835),
    [sym__async_keyword] = STATE(6064),
    [sym_throws] = STATE(7365),
    [aux_sym_protocol_composition_type_repeat1] = STATE(1684),
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2874),
    [anon_sym_async] = ACTIONS(2874),
    [anon_sym_lazy] = ACTIONS(2874),
    [anon_sym_package] = ACTIONS(2874),
    [anon_sym_COMMA] = ACTIONS(2874),
    [anon_sym_BANG] = ACTIONS(2874),
    [anon_sym_DOT] = ACTIONS(4829),
    [anon_sym_AMP] = ACTIONS(4831),
    [anon_sym_LBRACE] = ACTIONS(2874),
    [anon_sym_RBRACE] = ACTIONS(2874),
    [anon_sym_case] = ACTIONS(2874),
    [anon_sym_import] = ACTIONS(2874),
    [anon_sym_typealias] = ACTIONS(2874),
    [anon_sym_struct] = ACTIONS(2874),
    [anon_sym_class] = ACTIONS(2874),
    [anon_sym_enum] = ACTIONS(2874),
    [anon_sym_protocol] = ACTIONS(2874),
    [anon_sym_let] = ACTIONS(2874),
    [anon_sym_var] = ACTIONS(2874),
    [anon_sym_func] = ACTIONS(2874),
    [anon_sym_extension] = ACTIONS(2874),
    [anon_sym_indirect] = ACTIONS(2874),
    [anon_sym_init] = ACTIONS(2874),
    [anon_sym_deinit] = ACTIONS(2874),
    [anon_sym_subscript] = ACTIONS(2874),
    [anon_sym_prefix] = ACTIONS(2874),
    [anon_sym_infix] = ACTIONS(2874),
    [anon_sym_postfix] = ACTIONS(2874),
    [anon_sym_precedencegroup] = ACTIONS(2874),
    [anon_sym_associatedtype] = ACTIONS(2874),
    [anon_sym_AT] = ACTIONS(2876),
    [anon_sym_override] = ACTIONS(2874),
    [anon_sym_convenience] = ACTIONS(2874),
    [anon_sym_required] = ACTIONS(2874),
    [anon_sym_nonisolated] = ACTIONS(2874),
    [anon_sym_public] = ACTIONS(2874),
    [anon_sym_private] = ACTIONS(2874),
    [anon_sym_internal] = ACTIONS(2874),
    [anon_sym_fileprivate] = ACTIONS(2874),
    [anon_sym_open] = ACTIONS(2874),
    [anon_sym_mutating] = ACTIONS(2874),
    [anon_sym_nonmutating] = ACTIONS(2874),
    [anon_sym_static] = ACTIONS(2874),
    [anon_sym_dynamic] = ACTIONS(2874),
    [anon_sym_optional] = ACTIONS(2874),
    [anon_sym_distributed] = ACTIONS(2874),
    [anon_sym_final] = ACTIONS(2874),
    [anon_sym_inout] = ACTIONS(2874),
    [anon_sym_ATescaping] = ACTIONS(2874),
    [anon_sym_ATautoclosure] = ACTIONS(2874),
    [anon_sym_weak] = ACTIONS(2874),
    [anon_sym_unowned] = ACTIONS(2876),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2874),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2874),
    [anon_sym_borrowing] = ACTIONS(2874),
    [anon_sym_consuming] = ACTIONS(2874),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(4805),
    [sym__eq_custom] = ACTIONS(2874),
    [sym__throws_keyword] = ACTIONS(2848),
    [sym__rethrows_keyword] = ACTIONS(2848),
    [sym__async_keyword_custom] = ACTIONS(4807),
  },
  [1555] = {
    [sym__arrow_operator] = STATE(3835),
    [sym__async_keyword] = STATE(6064),
    [sym_throws] = STATE(7365),
    [aux_sym_protocol_composition_type_repeat1] = STATE(1684),
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2892),
    [anon_sym_async] = ACTIONS(2892),
    [anon_sym_lazy] = ACTIONS(2892),
    [anon_sym_package] = ACTIONS(2892),
    [anon_sym_COMMA] = ACTIONS(2892),
    [anon_sym_BANG] = ACTIONS(2892),
    [anon_sym_DOT] = ACTIONS(4829),
    [anon_sym_AMP] = ACTIONS(4831),
    [anon_sym_LBRACE] = ACTIONS(2892),
    [anon_sym_RBRACE] = ACTIONS(2892),
    [anon_sym_case] = ACTIONS(2892),
    [anon_sym_import] = ACTIONS(2892),
    [anon_sym_typealias] = ACTIONS(2892),
    [anon_sym_struct] = ACTIONS(2892),
    [anon_sym_class] = ACTIONS(2892),
    [anon_sym_enum] = ACTIONS(2892),
    [anon_sym_protocol] = ACTIONS(2892),
    [anon_sym_let] = ACTIONS(2892),
    [anon_sym_var] = ACTIONS(2892),
    [anon_sym_func] = ACTIONS(2892),
    [anon_sym_extension] = ACTIONS(2892),
    [anon_sym_indirect] = ACTIONS(2892),
    [anon_sym_init] = ACTIONS(2892),
    [anon_sym_deinit] = ACTIONS(2892),
    [anon_sym_subscript] = ACTIONS(2892),
    [anon_sym_prefix] = ACTIONS(2892),
    [anon_sym_infix] = ACTIONS(2892),
    [anon_sym_postfix] = ACTIONS(2892),
    [anon_sym_precedencegroup] = ACTIONS(2892),
    [anon_sym_associatedtype] = ACTIONS(2892),
    [anon_sym_AT] = ACTIONS(2894),
    [anon_sym_override] = ACTIONS(2892),
    [anon_sym_convenience] = ACTIONS(2892),
    [anon_sym_required] = ACTIONS(2892),
    [anon_sym_nonisolated] = ACTIONS(2892),
    [anon_sym_public] = ACTIONS(2892),
    [anon_sym_private] = ACTIONS(2892),
    [anon_sym_internal] = ACTIONS(2892),
    [anon_sym_fileprivate] = ACTIONS(2892),
    [anon_sym_open] = ACTIONS(2892),
    [anon_sym_mutating] = ACTIONS(2892),
    [anon_sym_nonmutating] = ACTIONS(2892),
    [anon_sym_static] = ACTIONS(2892),
    [anon_sym_dynamic] = ACTIONS(2892),
    [anon_sym_optional] = ACTIONS(2892),
    [anon_sym_distributed] = ACTIONS(2892),
    [anon_sym_final] = ACTIONS(2892),
    [anon_sym_inout] = ACTIONS(2892),
    [anon_sym_ATescaping] = ACTIONS(2892),
    [anon_sym_ATautoclosure] = ACTIONS(2892),
    [anon_sym_weak] = ACTIONS(2892),
    [anon_sym_unowned] = ACTIONS(2894),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2892),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2892),
    [anon_sym_borrowing] = ACTIONS(2892),
    [anon_sym_consuming] = ACTIONS(2892),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(4805),
    [sym__eq_custom] = ACTIONS(2892),
    [sym__throws_keyword] = ACTIONS(2848),
    [sym__rethrows_keyword] = ACTIONS(2848),
    [sym__async_keyword_custom] = ACTIONS(4807),
  },
  [1556] = {
    [ts_builtin_sym_end] = ACTIONS(3020),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(3018),
    [aux_sym_simple_identifier_token2] = ACTIONS(3020),
    [aux_sym_simple_identifier_token3] = ACTIONS(3020),
    [aux_sym_simple_identifier_token4] = ACTIONS(3020),
    [anon_sym_actor] = ACTIONS(3018),
    [anon_sym_async] = ACTIONS(3018),
    [anon_sym_each] = ACTIONS(3018),
    [anon_sym_lazy] = ACTIONS(3018),
    [anon_sym_repeat] = ACTIONS(3018),
    [anon_sym_package] = ACTIONS(3018),
    [anon_sym_COMMA] = ACTIONS(3020),
    [anon_sym_LPAREN] = ACTIONS(3020),
    [anon_sym_LBRACK] = ACTIONS(3020),
    [anon_sym_QMARK] = ACTIONS(3018),
    [anon_sym_QMARK2] = ACTIONS(3020),
    [anon_sym_AMP] = ACTIONS(3020),
    [aux_sym_custom_operator_token1] = ACTIONS(3020),
    [anon_sym_LT] = ACTIONS(3018),
    [anon_sym_GT] = ACTIONS(3018),
    [anon_sym_LBRACE] = ACTIONS(3020),
    [anon_sym_CARET_LBRACE] = ACTIONS(3020),
    [anon_sym_RBRACE] = ACTIONS(3020),
    [anon_sym_PLUS_EQ] = ACTIONS(3020),
    [anon_sym_DASH_EQ] = ACTIONS(3020),
    [anon_sym_STAR_EQ] = ACTIONS(3020),
    [anon_sym_SLASH_EQ] = ACTIONS(3020),
    [anon_sym_PERCENT_EQ] = ACTIONS(3020),
    [anon_sym_BANG_EQ] = ACTIONS(3018),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3020),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3020),
    [anon_sym_LT_EQ] = ACTIONS(3020),
    [anon_sym_GT_EQ] = ACTIONS(3020),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3020),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3020),
    [anon_sym_is] = ACTIONS(3018),
    [anon_sym_PLUS] = ACTIONS(3018),
    [anon_sym_DASH] = ACTIONS(3018),
    [anon_sym_STAR] = ACTIONS(3018),
    [anon_sym_SLASH] = ACTIONS(3018),
    [anon_sym_PERCENT] = ACTIONS(3018),
    [anon_sym_PLUS_PLUS] = ACTIONS(3020),
    [anon_sym_DASH_DASH] = ACTIONS(3020),
    [anon_sym_PIPE] = ACTIONS(3020),
    [anon_sym_CARET] = ACTIONS(3018),
    [anon_sym_LT_LT] = ACTIONS(3020),
    [anon_sym_GT_GT] = ACTIONS(3020),
    [anon_sym_BANG2] = ACTIONS(3018),
    [anon_sym_borrowing] = ACTIONS(3018),
    [anon_sym_consuming] = ACTIONS(3018),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3020),
    [sym__explicit_semi] = ACTIONS(3020),
    [sym__dot_custom] = ACTIONS(3020),
    [sym__conjunction_operator_custom] = ACTIONS(3020),
    [sym__disjunction_operator_custom] = ACTIONS(3020),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3020),
    [sym__eq_custom] = ACTIONS(3020),
    [sym__eq_eq_custom] = ACTIONS(3020),
    [sym__plus_then_ws] = ACTIONS(3020),
    [sym__minus_then_ws] = ACTIONS(3020),
    [sym__bang_custom] = ACTIONS(3020),
    [sym__as_custom] = ACTIONS(3020),
    [sym__as_quest_custom] = ACTIONS(3020),
    [sym__as_bang_custom] = ACTIONS(3020),
    [sym__custom_operator] = ACTIONS(3020),
  },
  [1557] = {
    [sym__arrow_operator] = STATE(3835),
    [sym__async_keyword] = STATE(6064),
    [sym_throws] = STATE(7365),
    [aux_sym_protocol_composition_type_repeat1] = STATE(1684),
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2878),
    [anon_sym_async] = ACTIONS(2878),
    [anon_sym_lazy] = ACTIONS(2878),
    [anon_sym_package] = ACTIONS(2878),
    [anon_sym_COMMA] = ACTIONS(2878),
    [anon_sym_BANG] = ACTIONS(2878),
    [anon_sym_DOT] = ACTIONS(2878),
    [anon_sym_AMP] = ACTIONS(2878),
    [anon_sym_LBRACE] = ACTIONS(2878),
    [anon_sym_RBRACE] = ACTIONS(2878),
    [anon_sym_case] = ACTIONS(2878),
    [anon_sym_import] = ACTIONS(2878),
    [anon_sym_typealias] = ACTIONS(2878),
    [anon_sym_struct] = ACTIONS(2878),
    [anon_sym_class] = ACTIONS(2878),
    [anon_sym_enum] = ACTIONS(2878),
    [anon_sym_protocol] = ACTIONS(2878),
    [anon_sym_let] = ACTIONS(2878),
    [anon_sym_var] = ACTIONS(2878),
    [anon_sym_func] = ACTIONS(2878),
    [anon_sym_extension] = ACTIONS(2878),
    [anon_sym_indirect] = ACTIONS(2878),
    [anon_sym_init] = ACTIONS(2878),
    [anon_sym_deinit] = ACTIONS(2878),
    [anon_sym_subscript] = ACTIONS(2878),
    [anon_sym_prefix] = ACTIONS(2878),
    [anon_sym_infix] = ACTIONS(2878),
    [anon_sym_postfix] = ACTIONS(2878),
    [anon_sym_precedencegroup] = ACTIONS(2878),
    [anon_sym_associatedtype] = ACTIONS(2878),
    [anon_sym_AT] = ACTIONS(2880),
    [anon_sym_override] = ACTIONS(2878),
    [anon_sym_convenience] = ACTIONS(2878),
    [anon_sym_required] = ACTIONS(2878),
    [anon_sym_nonisolated] = ACTIONS(2878),
    [anon_sym_public] = ACTIONS(2878),
    [anon_sym_private] = ACTIONS(2878),
    [anon_sym_internal] = ACTIONS(2878),
    [anon_sym_fileprivate] = ACTIONS(2878),
    [anon_sym_open] = ACTIONS(2878),
    [anon_sym_mutating] = ACTIONS(2878),
    [anon_sym_nonmutating] = ACTIONS(2878),
    [anon_sym_static] = ACTIONS(2878),
    [anon_sym_dynamic] = ACTIONS(2878),
    [anon_sym_optional] = ACTIONS(2878),
    [anon_sym_distributed] = ACTIONS(2878),
    [anon_sym_final] = ACTIONS(2878),
    [anon_sym_inout] = ACTIONS(2878),
    [anon_sym_ATescaping] = ACTIONS(2878),
    [anon_sym_ATautoclosure] = ACTIONS(2878),
    [anon_sym_weak] = ACTIONS(2878),
    [anon_sym_unowned] = ACTIONS(2880),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2878),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2878),
    [anon_sym_borrowing] = ACTIONS(2878),
    [anon_sym_consuming] = ACTIONS(2878),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2878),
    [sym__eq_custom] = ACTIONS(2878),
    [sym__throws_keyword] = ACTIONS(2878),
    [sym__rethrows_keyword] = ACTIONS(2878),
    [sym__async_keyword_custom] = ACTIONS(2878),
  },
  [1558] = {
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2955),
    [anon_sym_async] = ACTIONS(2955),
    [anon_sym_lazy] = ACTIONS(2955),
    [anon_sym_package] = ACTIONS(2955),
    [anon_sym_COMMA] = ACTIONS(2955),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_DOT] = ACTIONS(2955),
    [anon_sym_QMARK] = ACTIONS(2957),
    [anon_sym_QMARK2] = ACTIONS(2955),
    [anon_sym_AMP] = ACTIONS(2955),
    [anon_sym_LBRACE] = ACTIONS(2955),
    [anon_sym_RBRACE] = ACTIONS(2955),
    [anon_sym_case] = ACTIONS(2955),
    [anon_sym_import] = ACTIONS(2955),
    [anon_sym_typealias] = ACTIONS(2955),
    [anon_sym_struct] = ACTIONS(2955),
    [anon_sym_class] = ACTIONS(2955),
    [anon_sym_enum] = ACTIONS(2955),
    [anon_sym_protocol] = ACTIONS(2955),
    [anon_sym_let] = ACTIONS(2955),
    [anon_sym_var] = ACTIONS(2955),
    [anon_sym_func] = ACTIONS(2955),
    [anon_sym_extension] = ACTIONS(2955),
    [anon_sym_indirect] = ACTIONS(2955),
    [anon_sym_init] = ACTIONS(2955),
    [anon_sym_deinit] = ACTIONS(2955),
    [anon_sym_subscript] = ACTIONS(2955),
    [anon_sym_prefix] = ACTIONS(2955),
    [anon_sym_infix] = ACTIONS(2955),
    [anon_sym_postfix] = ACTIONS(2955),
    [anon_sym_precedencegroup] = ACTIONS(2955),
    [anon_sym_associatedtype] = ACTIONS(2955),
    [anon_sym_AT] = ACTIONS(2957),
    [anon_sym_override] = ACTIONS(2955),
    [anon_sym_convenience] = ACTIONS(2955),
    [anon_sym_required] = ACTIONS(2955),
    [anon_sym_nonisolated] = ACTIONS(2955),
    [anon_sym_public] = ACTIONS(2955),
    [anon_sym_private] = ACTIONS(2955),
    [anon_sym_internal] = ACTIONS(2955),
    [anon_sym_fileprivate] = ACTIONS(2955),
    [anon_sym_open] = ACTIONS(2955),
    [anon_sym_mutating] = ACTIONS(2955),
    [anon_sym_nonmutating] = ACTIONS(2955),
    [anon_sym_static] = ACTIONS(2955),
    [anon_sym_dynamic] = ACTIONS(2955),
    [anon_sym_optional] = ACTIONS(2955),
    [anon_sym_distributed] = ACTIONS(2955),
    [anon_sym_final] = ACTIONS(2955),
    [anon_sym_inout] = ACTIONS(2955),
    [anon_sym_ATescaping] = ACTIONS(2955),
    [anon_sym_ATautoclosure] = ACTIONS(2955),
    [anon_sym_weak] = ACTIONS(2955),
    [anon_sym_unowned] = ACTIONS(2957),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2955),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2955),
    [anon_sym_borrowing] = ACTIONS(2955),
    [anon_sym_consuming] = ACTIONS(2955),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2955),
    [sym__eq_custom] = ACTIONS(2955),
    [sym__throws_keyword] = ACTIONS(2955),
    [sym__rethrows_keyword] = ACTIONS(2955),
    [sym_where_keyword] = ACTIONS(2955),
    [sym__as_custom] = ACTIONS(2955),
    [sym__async_keyword_custom] = ACTIONS(2955),
  },
  [1559] = {
    [sym__immediate_quest] = STATE(1567),
    [aux_sym_optional_type_repeat1] = STATE(1567),
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2840),
    [anon_sym_async] = ACTIONS(2840),
    [anon_sym_lazy] = ACTIONS(2840),
    [anon_sym_package] = ACTIONS(2840),
    [anon_sym_COMMA] = ACTIONS(2840),
    [anon_sym_BANG] = ACTIONS(2840),
    [anon_sym_DOT] = ACTIONS(2840),
    [anon_sym_QMARK2] = ACTIONS(4752),
    [anon_sym_AMP] = ACTIONS(2840),
    [anon_sym_LBRACE] = ACTIONS(2840),
    [anon_sym_RBRACE] = ACTIONS(2840),
    [anon_sym_case] = ACTIONS(2840),
    [anon_sym_import] = ACTIONS(2840),
    [anon_sym_typealias] = ACTIONS(2840),
    [anon_sym_struct] = ACTIONS(2840),
    [anon_sym_class] = ACTIONS(2840),
    [anon_sym_enum] = ACTIONS(2840),
    [anon_sym_protocol] = ACTIONS(2840),
    [anon_sym_let] = ACTIONS(2840),
    [anon_sym_var] = ACTIONS(2840),
    [anon_sym_func] = ACTIONS(2840),
    [anon_sym_extension] = ACTIONS(2840),
    [anon_sym_indirect] = ACTIONS(2840),
    [anon_sym_init] = ACTIONS(2840),
    [anon_sym_deinit] = ACTIONS(2840),
    [anon_sym_subscript] = ACTIONS(2840),
    [anon_sym_prefix] = ACTIONS(2840),
    [anon_sym_infix] = ACTIONS(2840),
    [anon_sym_postfix] = ACTIONS(2840),
    [anon_sym_precedencegroup] = ACTIONS(2840),
    [anon_sym_associatedtype] = ACTIONS(2840),
    [anon_sym_AT] = ACTIONS(2842),
    [anon_sym_override] = ACTIONS(2840),
    [anon_sym_convenience] = ACTIONS(2840),
    [anon_sym_required] = ACTIONS(2840),
    [anon_sym_nonisolated] = ACTIONS(2840),
    [anon_sym_public] = ACTIONS(2840),
    [anon_sym_private] = ACTIONS(2840),
    [anon_sym_internal] = ACTIONS(2840),
    [anon_sym_fileprivate] = ACTIONS(2840),
    [anon_sym_open] = ACTIONS(2840),
    [anon_sym_mutating] = ACTIONS(2840),
    [anon_sym_nonmutating] = ACTIONS(2840),
    [anon_sym_static] = ACTIONS(2840),
    [anon_sym_dynamic] = ACTIONS(2840),
    [anon_sym_optional] = ACTIONS(2840),
    [anon_sym_distributed] = ACTIONS(2840),
    [anon_sym_final] = ACTIONS(2840),
    [anon_sym_inout] = ACTIONS(2840),
    [anon_sym_ATescaping] = ACTIONS(2840),
    [anon_sym_ATautoclosure] = ACTIONS(2840),
    [anon_sym_weak] = ACTIONS(2840),
    [anon_sym_unowned] = ACTIONS(2842),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2840),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2840),
    [anon_sym_borrowing] = ACTIONS(2840),
    [anon_sym_consuming] = ACTIONS(2840),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2840),
    [sym__eq_custom] = ACTIONS(2840),
    [sym__throws_keyword] = ACTIONS(2840),
    [sym__rethrows_keyword] = ACTIONS(2840),
    [sym_where_keyword] = ACTIONS(2840),
    [sym__async_keyword_custom] = ACTIONS(2840),
  },
  [1560] = {
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2991),
    [anon_sym_async] = ACTIONS(2991),
    [anon_sym_lazy] = ACTIONS(2991),
    [anon_sym_package] = ACTIONS(2991),
    [anon_sym_COMMA] = ACTIONS(2991),
    [anon_sym_COLON] = ACTIONS(2991),
    [anon_sym_DOT] = ACTIONS(2991),
    [anon_sym_QMARK] = ACTIONS(2993),
    [anon_sym_QMARK2] = ACTIONS(2991),
    [anon_sym_AMP] = ACTIONS(2991),
    [anon_sym_LBRACE] = ACTIONS(2991),
    [anon_sym_RBRACE] = ACTIONS(2991),
    [anon_sym_case] = ACTIONS(2991),
    [anon_sym_import] = ACTIONS(2991),
    [anon_sym_typealias] = ACTIONS(2991),
    [anon_sym_struct] = ACTIONS(2991),
    [anon_sym_class] = ACTIONS(2991),
    [anon_sym_enum] = ACTIONS(2991),
    [anon_sym_protocol] = ACTIONS(2991),
    [anon_sym_let] = ACTIONS(2991),
    [anon_sym_var] = ACTIONS(2991),
    [anon_sym_func] = ACTIONS(2991),
    [anon_sym_extension] = ACTIONS(2991),
    [anon_sym_indirect] = ACTIONS(2991),
    [anon_sym_init] = ACTIONS(2991),
    [anon_sym_deinit] = ACTIONS(2991),
    [anon_sym_subscript] = ACTIONS(2991),
    [anon_sym_prefix] = ACTIONS(2991),
    [anon_sym_infix] = ACTIONS(2991),
    [anon_sym_postfix] = ACTIONS(2991),
    [anon_sym_precedencegroup] = ACTIONS(2991),
    [anon_sym_associatedtype] = ACTIONS(2991),
    [anon_sym_AT] = ACTIONS(2993),
    [anon_sym_override] = ACTIONS(2991),
    [anon_sym_convenience] = ACTIONS(2991),
    [anon_sym_required] = ACTIONS(2991),
    [anon_sym_nonisolated] = ACTIONS(2991),
    [anon_sym_public] = ACTIONS(2991),
    [anon_sym_private] = ACTIONS(2991),
    [anon_sym_internal] = ACTIONS(2991),
    [anon_sym_fileprivate] = ACTIONS(2991),
    [anon_sym_open] = ACTIONS(2991),
    [anon_sym_mutating] = ACTIONS(2991),
    [anon_sym_nonmutating] = ACTIONS(2991),
    [anon_sym_static] = ACTIONS(2991),
    [anon_sym_dynamic] = ACTIONS(2991),
    [anon_sym_optional] = ACTIONS(2991),
    [anon_sym_distributed] = ACTIONS(2991),
    [anon_sym_final] = ACTIONS(2991),
    [anon_sym_inout] = ACTIONS(2991),
    [anon_sym_ATescaping] = ACTIONS(2991),
    [anon_sym_ATautoclosure] = ACTIONS(2991),
    [anon_sym_weak] = ACTIONS(2991),
    [anon_sym_unowned] = ACTIONS(2993),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2991),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2991),
    [anon_sym_borrowing] = ACTIONS(2991),
    [anon_sym_consuming] = ACTIONS(2991),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2991),
    [sym__eq_custom] = ACTIONS(2991),
    [sym__throws_keyword] = ACTIONS(2991),
    [sym__rethrows_keyword] = ACTIONS(2991),
    [sym_where_keyword] = ACTIONS(2991),
    [sym__as_custom] = ACTIONS(2991),
    [sym__async_keyword_custom] = ACTIONS(2991),
  },
  [1561] = {
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2983),
    [anon_sym_async] = ACTIONS(2983),
    [anon_sym_lazy] = ACTIONS(2983),
    [anon_sym_package] = ACTIONS(2983),
    [anon_sym_COMMA] = ACTIONS(2983),
    [anon_sym_COLON] = ACTIONS(2983),
    [anon_sym_DOT] = ACTIONS(2983),
    [anon_sym_QMARK] = ACTIONS(2985),
    [anon_sym_QMARK2] = ACTIONS(2983),
    [anon_sym_AMP] = ACTIONS(2983),
    [anon_sym_LBRACE] = ACTIONS(2983),
    [anon_sym_RBRACE] = ACTIONS(2983),
    [anon_sym_case] = ACTIONS(2983),
    [anon_sym_import] = ACTIONS(2983),
    [anon_sym_typealias] = ACTIONS(2983),
    [anon_sym_struct] = ACTIONS(2983),
    [anon_sym_class] = ACTIONS(2983),
    [anon_sym_enum] = ACTIONS(2983),
    [anon_sym_protocol] = ACTIONS(2983),
    [anon_sym_let] = ACTIONS(2983),
    [anon_sym_var] = ACTIONS(2983),
    [anon_sym_func] = ACTIONS(2983),
    [anon_sym_extension] = ACTIONS(2983),
    [anon_sym_indirect] = ACTIONS(2983),
    [anon_sym_init] = ACTIONS(2983),
    [anon_sym_deinit] = ACTIONS(2983),
    [anon_sym_subscript] = ACTIONS(2983),
    [anon_sym_prefix] = ACTIONS(2983),
    [anon_sym_infix] = ACTIONS(2983),
    [anon_sym_postfix] = ACTIONS(2983),
    [anon_sym_precedencegroup] = ACTIONS(2983),
    [anon_sym_associatedtype] = ACTIONS(2983),
    [anon_sym_AT] = ACTIONS(2985),
    [anon_sym_override] = ACTIONS(2983),
    [anon_sym_convenience] = ACTIONS(2983),
    [anon_sym_required] = ACTIONS(2983),
    [anon_sym_nonisolated] = ACTIONS(2983),
    [anon_sym_public] = ACTIONS(2983),
    [anon_sym_private] = ACTIONS(2983),
    [anon_sym_internal] = ACTIONS(2983),
    [anon_sym_fileprivate] = ACTIONS(2983),
    [anon_sym_open] = ACTIONS(2983),
    [anon_sym_mutating] = ACTIONS(2983),
    [anon_sym_nonmutating] = ACTIONS(2983),
    [anon_sym_static] = ACTIONS(2983),
    [anon_sym_dynamic] = ACTIONS(2983),
    [anon_sym_optional] = ACTIONS(2983),
    [anon_sym_distributed] = ACTIONS(2983),
    [anon_sym_final] = ACTIONS(2983),
    [anon_sym_inout] = ACTIONS(2983),
    [anon_sym_ATescaping] = ACTIONS(2983),
    [anon_sym_ATautoclosure] = ACTIONS(2983),
    [anon_sym_weak] = ACTIONS(2983),
    [anon_sym_unowned] = ACTIONS(2985),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2983),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2983),
    [anon_sym_borrowing] = ACTIONS(2983),
    [anon_sym_consuming] = ACTIONS(2983),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2983),
    [sym__eq_custom] = ACTIONS(2983),
    [sym__throws_keyword] = ACTIONS(2983),
    [sym__rethrows_keyword] = ACTIONS(2983),
    [sym_where_keyword] = ACTIONS(2983),
    [sym__as_custom] = ACTIONS(2983),
    [sym__async_keyword_custom] = ACTIONS(2983),
  },
  [1562] = {
    [sym__immediate_quest] = STATE(1562),
    [aux_sym_optional_type_repeat1] = STATE(1562),
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2859),
    [anon_sym_async] = ACTIONS(2859),
    [anon_sym_lazy] = ACTIONS(2859),
    [anon_sym_package] = ACTIONS(2859),
    [anon_sym_COMMA] = ACTIONS(2859),
    [anon_sym_BANG] = ACTIONS(2859),
    [anon_sym_DOT] = ACTIONS(2859),
    [anon_sym_QMARK2] = ACTIONS(4838),
    [anon_sym_AMP] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2859),
    [anon_sym_RBRACE] = ACTIONS(2859),
    [anon_sym_case] = ACTIONS(2859),
    [anon_sym_import] = ACTIONS(2859),
    [anon_sym_typealias] = ACTIONS(2859),
    [anon_sym_struct] = ACTIONS(2859),
    [anon_sym_class] = ACTIONS(2859),
    [anon_sym_enum] = ACTIONS(2859),
    [anon_sym_protocol] = ACTIONS(2859),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_var] = ACTIONS(2859),
    [anon_sym_func] = ACTIONS(2859),
    [anon_sym_extension] = ACTIONS(2859),
    [anon_sym_indirect] = ACTIONS(2859),
    [anon_sym_init] = ACTIONS(2859),
    [anon_sym_deinit] = ACTIONS(2859),
    [anon_sym_subscript] = ACTIONS(2859),
    [anon_sym_prefix] = ACTIONS(2859),
    [anon_sym_infix] = ACTIONS(2859),
    [anon_sym_postfix] = ACTIONS(2859),
    [anon_sym_precedencegroup] = ACTIONS(2859),
    [anon_sym_associatedtype] = ACTIONS(2859),
    [anon_sym_AT] = ACTIONS(2861),
    [anon_sym_override] = ACTIONS(2859),
    [anon_sym_convenience] = ACTIONS(2859),
    [anon_sym_required] = ACTIONS(2859),
    [anon_sym_nonisolated] = ACTIONS(2859),
    [anon_sym_public] = ACTIONS(2859),
    [anon_sym_private] = ACTIONS(2859),
    [anon_sym_internal] = ACTIONS(2859),
    [anon_sym_fileprivate] = ACTIONS(2859),
    [anon_sym_open] = ACTIONS(2859),
    [anon_sym_mutating] = ACTIONS(2859),
    [anon_sym_nonmutating] = ACTIONS(2859),
    [anon_sym_static] = ACTIONS(2859),
    [anon_sym_dynamic] = ACTIONS(2859),
    [anon_sym_optional] = ACTIONS(2859),
    [anon_sym_distributed] = ACTIONS(2859),
    [anon_sym_final] = ACTIONS(2859),
    [anon_sym_inout] = ACTIONS(2859),
    [anon_sym_ATescaping] = ACTIONS(2859),
    [anon_sym_ATautoclosure] = ACTIONS(2859),
    [anon_sym_weak] = ACTIONS(2859),
    [anon_sym_unowned] = ACTIONS(2861),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2859),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2859),
    [anon_sym_borrowing] = ACTIONS(2859),
    [anon_sym_consuming] = ACTIONS(2859),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2859),
    [sym__eq_custom] = ACTIONS(2859),
    [sym__throws_keyword] = ACTIONS(2859),
    [sym__rethrows_keyword] = ACTIONS(2859),
    [sym_where_keyword] = ACTIONS(2859),
    [sym__async_keyword_custom] = ACTIONS(2859),
  },
  [1563] = {
    [sym__arrow_operator] = STATE(3835),
    [sym__async_keyword] = STATE(6064),
    [sym_throws] = STATE(7365),
    [aux_sym_protocol_composition_type_repeat1] = STATE(1684),
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2900),
    [anon_sym_async] = ACTIONS(2900),
    [anon_sym_lazy] = ACTIONS(2900),
    [anon_sym_package] = ACTIONS(2900),
    [anon_sym_COMMA] = ACTIONS(2900),
    [anon_sym_BANG] = ACTIONS(2900),
    [anon_sym_DOT] = ACTIONS(2900),
    [anon_sym_AMP] = ACTIONS(2900),
    [anon_sym_LBRACE] = ACTIONS(2900),
    [anon_sym_RBRACE] = ACTIONS(2900),
    [anon_sym_case] = ACTIONS(2900),
    [anon_sym_import] = ACTIONS(2900),
    [anon_sym_typealias] = ACTIONS(2900),
    [anon_sym_struct] = ACTIONS(2900),
    [anon_sym_class] = ACTIONS(2900),
    [anon_sym_enum] = ACTIONS(2900),
    [anon_sym_protocol] = ACTIONS(2900),
    [anon_sym_let] = ACTIONS(2900),
    [anon_sym_var] = ACTIONS(2900),
    [anon_sym_func] = ACTIONS(2900),
    [anon_sym_extension] = ACTIONS(2900),
    [anon_sym_indirect] = ACTIONS(2900),
    [anon_sym_init] = ACTIONS(2900),
    [anon_sym_deinit] = ACTIONS(2900),
    [anon_sym_subscript] = ACTIONS(2900),
    [anon_sym_prefix] = ACTIONS(2900),
    [anon_sym_infix] = ACTIONS(2900),
    [anon_sym_postfix] = ACTIONS(2900),
    [anon_sym_precedencegroup] = ACTIONS(2900),
    [anon_sym_associatedtype] = ACTIONS(2900),
    [anon_sym_AT] = ACTIONS(2902),
    [anon_sym_override] = ACTIONS(2900),
    [anon_sym_convenience] = ACTIONS(2900),
    [anon_sym_required] = ACTIONS(2900),
    [anon_sym_nonisolated] = ACTIONS(2900),
    [anon_sym_public] = ACTIONS(2900),
    [anon_sym_private] = ACTIONS(2900),
    [anon_sym_internal] = ACTIONS(2900),
    [anon_sym_fileprivate] = ACTIONS(2900),
    [anon_sym_open] = ACTIONS(2900),
    [anon_sym_mutating] = ACTIONS(2900),
    [anon_sym_nonmutating] = ACTIONS(2900),
    [anon_sym_static] = ACTIONS(2900),
    [anon_sym_dynamic] = ACTIONS(2900),
    [anon_sym_optional] = ACTIONS(2900),
    [anon_sym_distributed] = ACTIONS(2900),
    [anon_sym_final] = ACTIONS(2900),
    [anon_sym_inout] = ACTIONS(2900),
    [anon_sym_ATescaping] = ACTIONS(2900),
    [anon_sym_ATautoclosure] = ACTIONS(2900),
    [anon_sym_weak] = ACTIONS(2900),
    [anon_sym_unowned] = ACTIONS(2902),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2900),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2900),
    [anon_sym_borrowing] = ACTIONS(2900),
    [anon_sym_consuming] = ACTIONS(2900),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2900),
    [sym__eq_custom] = ACTIONS(2900),
    [sym__throws_keyword] = ACTIONS(2900),
    [sym__rethrows_keyword] = ACTIONS(2900),
    [sym__async_keyword_custom] = ACTIONS(2900),
  },
  [1564] = {
    [sym__arrow_operator] = STATE(3835),
    [sym__async_keyword] = STATE(6064),
    [sym_throws] = STATE(7365),
    [aux_sym_protocol_composition_type_repeat1] = STATE(1684),
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2888),
    [anon_sym_async] = ACTIONS(2888),
    [anon_sym_lazy] = ACTIONS(2888),
    [anon_sym_package] = ACTIONS(2888),
    [anon_sym_COMMA] = ACTIONS(2888),
    [anon_sym_BANG] = ACTIONS(2888),
    [anon_sym_DOT] = ACTIONS(4829),
    [anon_sym_AMP] = ACTIONS(4831),
    [anon_sym_LBRACE] = ACTIONS(2888),
    [anon_sym_RBRACE] = ACTIONS(2888),
    [anon_sym_case] = ACTIONS(2888),
    [anon_sym_import] = ACTIONS(2888),
    [anon_sym_typealias] = ACTIONS(2888),
    [anon_sym_struct] = ACTIONS(2888),
    [anon_sym_class] = ACTIONS(2888),
    [anon_sym_enum] = ACTIONS(2888),
    [anon_sym_protocol] = ACTIONS(2888),
    [anon_sym_let] = ACTIONS(2888),
    [anon_sym_var] = ACTIONS(2888),
    [anon_sym_func] = ACTIONS(2888),
    [anon_sym_extension] = ACTIONS(2888),
    [anon_sym_indirect] = ACTIONS(2888),
    [anon_sym_init] = ACTIONS(2888),
    [anon_sym_deinit] = ACTIONS(2888),
    [anon_sym_subscript] = ACTIONS(2888),
    [anon_sym_prefix] = ACTIONS(2888),
    [anon_sym_infix] = ACTIONS(2888),
    [anon_sym_postfix] = ACTIONS(2888),
    [anon_sym_precedencegroup] = ACTIONS(2888),
    [anon_sym_associatedtype] = ACTIONS(2888),
    [anon_sym_AT] = ACTIONS(2890),
    [anon_sym_override] = ACTIONS(2888),
    [anon_sym_convenience] = ACTIONS(2888),
    [anon_sym_required] = ACTIONS(2888),
    [anon_sym_nonisolated] = ACTIONS(2888),
    [anon_sym_public] = ACTIONS(2888),
    [anon_sym_private] = ACTIONS(2888),
    [anon_sym_internal] = ACTIONS(2888),
    [anon_sym_fileprivate] = ACTIONS(2888),
    [anon_sym_open] = ACTIONS(2888),
    [anon_sym_mutating] = ACTIONS(2888),
    [anon_sym_nonmutating] = ACTIONS(2888),
    [anon_sym_static] = ACTIONS(2888),
    [anon_sym_dynamic] = ACTIONS(2888),
    [anon_sym_optional] = ACTIONS(2888),
    [anon_sym_distributed] = ACTIONS(2888),
    [anon_sym_final] = ACTIONS(2888),
    [anon_sym_inout] = ACTIONS(2888),
    [anon_sym_ATescaping] = ACTIONS(2888),
    [anon_sym_ATautoclosure] = ACTIONS(2888),
    [anon_sym_weak] = ACTIONS(2888),
    [anon_sym_unowned] = ACTIONS(2890),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2888),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2888),
    [anon_sym_borrowing] = ACTIONS(2888),
    [anon_sym_consuming] = ACTIONS(2888),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(4805),
    [sym__eq_custom] = ACTIONS(2888),
    [sym__throws_keyword] = ACTIONS(2848),
    [sym__rethrows_keyword] = ACTIONS(2848),
    [sym__async_keyword_custom] = ACTIONS(4807),
  },
  [1565] = {
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2975),
    [anon_sym_async] = ACTIONS(2975),
    [anon_sym_lazy] = ACTIONS(2975),
    [anon_sym_package] = ACTIONS(2975),
    [anon_sym_COMMA] = ACTIONS(2975),
    [anon_sym_COLON] = ACTIONS(2975),
    [anon_sym_DOT] = ACTIONS(2975),
    [anon_sym_QMARK] = ACTIONS(2977),
    [anon_sym_QMARK2] = ACTIONS(2975),
    [anon_sym_AMP] = ACTIONS(2975),
    [anon_sym_LBRACE] = ACTIONS(2975),
    [anon_sym_RBRACE] = ACTIONS(2975),
    [anon_sym_case] = ACTIONS(2975),
    [anon_sym_import] = ACTIONS(2975),
    [anon_sym_typealias] = ACTIONS(2975),
    [anon_sym_struct] = ACTIONS(2975),
    [anon_sym_class] = ACTIONS(2975),
    [anon_sym_enum] = ACTIONS(2975),
    [anon_sym_protocol] = ACTIONS(2975),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_var] = ACTIONS(2975),
    [anon_sym_func] = ACTIONS(2975),
    [anon_sym_extension] = ACTIONS(2975),
    [anon_sym_indirect] = ACTIONS(2975),
    [anon_sym_init] = ACTIONS(2975),
    [anon_sym_deinit] = ACTIONS(2975),
    [anon_sym_subscript] = ACTIONS(2975),
    [anon_sym_prefix] = ACTIONS(2975),
    [anon_sym_infix] = ACTIONS(2975),
    [anon_sym_postfix] = ACTIONS(2975),
    [anon_sym_precedencegroup] = ACTIONS(2975),
    [anon_sym_associatedtype] = ACTIONS(2975),
    [anon_sym_AT] = ACTIONS(2977),
    [anon_sym_override] = ACTIONS(2975),
    [anon_sym_convenience] = ACTIONS(2975),
    [anon_sym_required] = ACTIONS(2975),
    [anon_sym_nonisolated] = ACTIONS(2975),
    [anon_sym_public] = ACTIONS(2975),
    [anon_sym_private] = ACTIONS(2975),
    [anon_sym_internal] = ACTIONS(2975),
    [anon_sym_fileprivate] = ACTIONS(2975),
    [anon_sym_open] = ACTIONS(2975),
    [anon_sym_mutating] = ACTIONS(2975),
    [anon_sym_nonmutating] = ACTIONS(2975),
    [anon_sym_static] = ACTIONS(2975),
    [anon_sym_dynamic] = ACTIONS(2975),
    [anon_sym_optional] = ACTIONS(2975),
    [anon_sym_distributed] = ACTIONS(2975),
    [anon_sym_final] = ACTIONS(2975),
    [anon_sym_inout] = ACTIONS(2975),
    [anon_sym_ATescaping] = ACTIONS(2975),
    [anon_sym_ATautoclosure] = ACTIONS(2975),
    [anon_sym_weak] = ACTIONS(2975),
    [anon_sym_unowned] = ACTIONS(2977),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2975),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2975),
    [anon_sym_borrowing] = ACTIONS(2975),
    [anon_sym_consuming] = ACTIONS(2975),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2975),
    [sym__eq_custom] = ACTIONS(2975),
    [sym__throws_keyword] = ACTIONS(2975),
    [sym__rethrows_keyword] = ACTIONS(2975),
    [sym_where_keyword] = ACTIONS(2975),
    [sym__as_custom] = ACTIONS(2975),
    [sym__async_keyword_custom] = ACTIONS(2975),
  },
  [1566] = {
    [sym__dot] = STATE(4586),
    [aux_sym_user_type_repeat1] = STATE(1566),
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2798),
    [anon_sym_async] = ACTIONS(2798),
    [anon_sym_lazy] = ACTIONS(2798),
    [anon_sym_package] = ACTIONS(2798),
    [anon_sym_COMMA] = ACTIONS(2798),
    [anon_sym_BANG] = ACTIONS(2798),
    [anon_sym_DOT] = ACTIONS(2798),
    [anon_sym_QMARK2] = ACTIONS(2798),
    [anon_sym_AMP] = ACTIONS(2798),
    [anon_sym_LBRACE] = ACTIONS(2798),
    [anon_sym_RBRACE] = ACTIONS(2798),
    [anon_sym_case] = ACTIONS(2798),
    [anon_sym_import] = ACTIONS(2798),
    [anon_sym_typealias] = ACTIONS(2798),
    [anon_sym_struct] = ACTIONS(2798),
    [anon_sym_class] = ACTIONS(2798),
    [anon_sym_enum] = ACTIONS(2798),
    [anon_sym_protocol] = ACTIONS(2798),
    [anon_sym_let] = ACTIONS(2798),
    [anon_sym_var] = ACTIONS(2798),
    [anon_sym_func] = ACTIONS(2798),
    [anon_sym_extension] = ACTIONS(2798),
    [anon_sym_indirect] = ACTIONS(2798),
    [anon_sym_init] = ACTIONS(2798),
    [anon_sym_deinit] = ACTIONS(2798),
    [anon_sym_subscript] = ACTIONS(2798),
    [anon_sym_prefix] = ACTIONS(2798),
    [anon_sym_infix] = ACTIONS(2798),
    [anon_sym_postfix] = ACTIONS(2798),
    [anon_sym_precedencegroup] = ACTIONS(2798),
    [anon_sym_associatedtype] = ACTIONS(2798),
    [anon_sym_AT] = ACTIONS(2800),
    [anon_sym_override] = ACTIONS(2798),
    [anon_sym_convenience] = ACTIONS(2798),
    [anon_sym_required] = ACTIONS(2798),
    [anon_sym_nonisolated] = ACTIONS(2798),
    [anon_sym_public] = ACTIONS(2798),
    [anon_sym_private] = ACTIONS(2798),
    [anon_sym_internal] = ACTIONS(2798),
    [anon_sym_fileprivate] = ACTIONS(2798),
    [anon_sym_open] = ACTIONS(2798),
    [anon_sym_mutating] = ACTIONS(2798),
    [anon_sym_nonmutating] = ACTIONS(2798),
    [anon_sym_static] = ACTIONS(2798),
    [anon_sym_dynamic] = ACTIONS(2798),
    [anon_sym_optional] = ACTIONS(2798),
    [anon_sym_distributed] = ACTIONS(2798),
    [anon_sym_final] = ACTIONS(2798),
    [anon_sym_inout] = ACTIONS(2798),
    [anon_sym_ATescaping] = ACTIONS(2798),
    [anon_sym_ATautoclosure] = ACTIONS(2798),
    [anon_sym_weak] = ACTIONS(2798),
    [anon_sym_unowned] = ACTIONS(2800),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2798),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2798),
    [anon_sym_borrowing] = ACTIONS(2798),
    [anon_sym_consuming] = ACTIONS(2798),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2798),
    [sym__dot_custom] = ACTIONS(4841),
    [sym__eq_custom] = ACTIONS(2798),
    [sym__throws_keyword] = ACTIONS(2798),
    [sym__rethrows_keyword] = ACTIONS(2798),
    [sym__async_keyword_custom] = ACTIONS(2798),
  },
  [1567] = {
    [sym__immediate_quest] = STATE(1562),
    [aux_sym_optional_type_repeat1] = STATE(1562),
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2794),
    [anon_sym_async] = ACTIONS(2794),
    [anon_sym_lazy] = ACTIONS(2794),
    [anon_sym_package] = ACTIONS(2794),
    [anon_sym_COMMA] = ACTIONS(2794),
    [anon_sym_BANG] = ACTIONS(2794),
    [anon_sym_DOT] = ACTIONS(2794),
    [anon_sym_QMARK2] = ACTIONS(4752),
    [anon_sym_AMP] = ACTIONS(2794),
    [anon_sym_LBRACE] = ACTIONS(2794),
    [anon_sym_RBRACE] = ACTIONS(2794),
    [anon_sym_case] = ACTIONS(2794),
    [anon_sym_import] = ACTIONS(2794),
    [anon_sym_typealias] = ACTIONS(2794),
    [anon_sym_struct] = ACTIONS(2794),
    [anon_sym_class] = ACTIONS(2794),
    [anon_sym_enum] = ACTIONS(2794),
    [anon_sym_protocol] = ACTIONS(2794),
    [anon_sym_let] = ACTIONS(2794),
    [anon_sym_var] = ACTIONS(2794),
    [anon_sym_func] = ACTIONS(2794),
    [anon_sym_extension] = ACTIONS(2794),
    [anon_sym_indirect] = ACTIONS(2794),
    [anon_sym_init] = ACTIONS(2794),
    [anon_sym_deinit] = ACTIONS(2794),
    [anon_sym_subscript] = ACTIONS(2794),
    [anon_sym_prefix] = ACTIONS(2794),
    [anon_sym_infix] = ACTIONS(2794),
    [anon_sym_postfix] = ACTIONS(2794),
    [anon_sym_precedencegroup] = ACTIONS(2794),
    [anon_sym_associatedtype] = ACTIONS(2794),
    [anon_sym_AT] = ACTIONS(2796),
    [anon_sym_override] = ACTIONS(2794),
    [anon_sym_convenience] = ACTIONS(2794),
    [anon_sym_required] = ACTIONS(2794),
    [anon_sym_nonisolated] = ACTIONS(2794),
    [anon_sym_public] = ACTIONS(2794),
    [anon_sym_private] = ACTIONS(2794),
    [anon_sym_internal] = ACTIONS(2794),
    [anon_sym_fileprivate] = ACTIONS(2794),
    [anon_sym_open] = ACTIONS(2794),
    [anon_sym_mutating] = ACTIONS(2794),
    [anon_sym_nonmutating] = ACTIONS(2794),
    [anon_sym_static] = ACTIONS(2794),
    [anon_sym_dynamic] = ACTIONS(2794),
    [anon_sym_optional] = ACTIONS(2794),
    [anon_sym_distributed] = ACTIONS(2794),
    [anon_sym_final] = ACTIONS(2794),
    [anon_sym_inout] = ACTIONS(2794),
    [anon_sym_ATescaping] = ACTIONS(2794),
    [anon_sym_ATautoclosure] = ACTIONS(2794),
    [anon_sym_weak] = ACTIONS(2794),
    [anon_sym_unowned] = ACTIONS(2796),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2794),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2794),
    [anon_sym_borrowing] = ACTIONS(2794),
    [anon_sym_consuming] = ACTIONS(2794),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2794),
    [sym__eq_custom] = ACTIONS(2794),
    [sym__throws_keyword] = ACTIONS(2794),
    [sym__rethrows_keyword] = ACTIONS(2794),
    [sym_where_keyword] = ACTIONS(2794),
    [sym__async_keyword_custom] = ACTIONS(2794),
  },
  [1568] = {
    [ts_builtin_sym_end] = ACTIONS(3024),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(3018),
    [aux_sym_simple_identifier_token2] = ACTIONS(3020),
    [aux_sym_simple_identifier_token3] = ACTIONS(3020),
    [aux_sym_simple_identifier_token4] = ACTIONS(3020),
    [anon_sym_actor] = ACTIONS(3018),
    [anon_sym_async] = ACTIONS(3018),
    [anon_sym_each] = ACTIONS(3018),
    [anon_sym_lazy] = ACTIONS(3018),
    [anon_sym_repeat] = ACTIONS(3018),
    [anon_sym_package] = ACTIONS(3018),
    [anon_sym_COMMA] = ACTIONS(3024),
    [anon_sym_LPAREN] = ACTIONS(3024),
    [anon_sym_LBRACK] = ACTIONS(3024),
    [anon_sym_QMARK] = ACTIONS(3022),
    [anon_sym_QMARK2] = ACTIONS(3024),
    [anon_sym_AMP] = ACTIONS(3024),
    [aux_sym_custom_operator_token1] = ACTIONS(3024),
    [anon_sym_LT] = ACTIONS(3022),
    [anon_sym_GT] = ACTIONS(3022),
    [anon_sym_LBRACE] = ACTIONS(3024),
    [anon_sym_CARET_LBRACE] = ACTIONS(3024),
    [anon_sym_RBRACE] = ACTIONS(3024),
    [anon_sym_PLUS_EQ] = ACTIONS(3024),
    [anon_sym_DASH_EQ] = ACTIONS(3024),
    [anon_sym_STAR_EQ] = ACTIONS(3024),
    [anon_sym_SLASH_EQ] = ACTIONS(3024),
    [anon_sym_PERCENT_EQ] = ACTIONS(3024),
    [anon_sym_BANG_EQ] = ACTIONS(3022),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3024),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3024),
    [anon_sym_LT_EQ] = ACTIONS(3024),
    [anon_sym_GT_EQ] = ACTIONS(3024),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3024),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3024),
    [anon_sym_is] = ACTIONS(3022),
    [anon_sym_PLUS] = ACTIONS(3022),
    [anon_sym_DASH] = ACTIONS(3022),
    [anon_sym_STAR] = ACTIONS(3022),
    [anon_sym_SLASH] = ACTIONS(3022),
    [anon_sym_PERCENT] = ACTIONS(3022),
    [anon_sym_PLUS_PLUS] = ACTIONS(3024),
    [anon_sym_DASH_DASH] = ACTIONS(3024),
    [anon_sym_PIPE] = ACTIONS(3024),
    [anon_sym_CARET] = ACTIONS(3022),
    [anon_sym_LT_LT] = ACTIONS(3024),
    [anon_sym_GT_GT] = ACTIONS(3024),
    [anon_sym_BANG2] = ACTIONS(3022),
    [anon_sym_borrowing] = ACTIONS(3018),
    [anon_sym_consuming] = ACTIONS(3018),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3024),
    [sym__explicit_semi] = ACTIONS(3024),
    [sym__dot_custom] = ACTIONS(3024),
    [sym__conjunction_operator_custom] = ACTIONS(3024),
    [sym__disjunction_operator_custom] = ACTIONS(3024),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3024),
    [sym__eq_custom] = ACTIONS(3024),
    [sym__eq_eq_custom] = ACTIONS(3024),
    [sym__plus_then_ws] = ACTIONS(3024),
    [sym__minus_then_ws] = ACTIONS(3024),
    [sym__bang_custom] = ACTIONS(3024),
    [sym__as_custom] = ACTIONS(3024),
    [sym__as_quest_custom] = ACTIONS(3024),
    [sym__as_bang_custom] = ACTIONS(3024),
    [sym__custom_operator] = ACTIONS(3024),
  },
  [1569] = {
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2995),
    [anon_sym_async] = ACTIONS(2995),
    [anon_sym_lazy] = ACTIONS(2995),
    [anon_sym_package] = ACTIONS(2995),
    [anon_sym_COMMA] = ACTIONS(2995),
    [anon_sym_COLON] = ACTIONS(2995),
    [anon_sym_DOT] = ACTIONS(2995),
    [anon_sym_QMARK] = ACTIONS(2997),
    [anon_sym_QMARK2] = ACTIONS(2995),
    [anon_sym_AMP] = ACTIONS(2995),
    [anon_sym_LBRACE] = ACTIONS(2995),
    [anon_sym_RBRACE] = ACTIONS(2995),
    [anon_sym_case] = ACTIONS(2995),
    [anon_sym_import] = ACTIONS(2995),
    [anon_sym_typealias] = ACTIONS(2995),
    [anon_sym_struct] = ACTIONS(2995),
    [anon_sym_class] = ACTIONS(2995),
    [anon_sym_enum] = ACTIONS(2995),
    [anon_sym_protocol] = ACTIONS(2995),
    [anon_sym_let] = ACTIONS(2995),
    [anon_sym_var] = ACTIONS(2995),
    [anon_sym_func] = ACTIONS(2995),
    [anon_sym_extension] = ACTIONS(2995),
    [anon_sym_indirect] = ACTIONS(2995),
    [anon_sym_init] = ACTIONS(2995),
    [anon_sym_deinit] = ACTIONS(2995),
    [anon_sym_subscript] = ACTIONS(2995),
    [anon_sym_prefix] = ACTIONS(2995),
    [anon_sym_infix] = ACTIONS(2995),
    [anon_sym_postfix] = ACTIONS(2995),
    [anon_sym_precedencegroup] = ACTIONS(2995),
    [anon_sym_associatedtype] = ACTIONS(2995),
    [anon_sym_AT] = ACTIONS(2997),
    [anon_sym_override] = ACTIONS(2995),
    [anon_sym_convenience] = ACTIONS(2995),
    [anon_sym_required] = ACTIONS(2995),
    [anon_sym_nonisolated] = ACTIONS(2995),
    [anon_sym_public] = ACTIONS(2995),
    [anon_sym_private] = ACTIONS(2995),
    [anon_sym_internal] = ACTIONS(2995),
    [anon_sym_fileprivate] = ACTIONS(2995),
    [anon_sym_open] = ACTIONS(2995),
    [anon_sym_mutating] = ACTIONS(2995),
    [anon_sym_nonmutating] = ACTIONS(2995),
    [anon_sym_static] = ACTIONS(2995),
    [anon_sym_dynamic] = ACTIONS(2995),
    [anon_sym_optional] = ACTIONS(2995),
    [anon_sym_distributed] = ACTIONS(2995),
    [anon_sym_final] = ACTIONS(2995),
    [anon_sym_inout] = ACTIONS(2995),
    [anon_sym_ATescaping] = ACTIONS(2995),
    [anon_sym_ATautoclosure] = ACTIONS(2995),
    [anon_sym_weak] = ACTIONS(2995),
    [anon_sym_unowned] = ACTIONS(2997),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2995),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2995),
    [anon_sym_borrowing] = ACTIONS(2995),
    [anon_sym_consuming] = ACTIONS(2995),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2995),
    [sym__eq_custom] = ACTIONS(2995),
    [sym__throws_keyword] = ACTIONS(2995),
    [sym__rethrows_keyword] = ACTIONS(2995),
    [sym_where_keyword] = ACTIONS(2995),
    [sym__as_custom] = ACTIONS(2995),
    [sym__async_keyword_custom] = ACTIONS(2995),
  },
  [1570] = {
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2910),
    [anon_sym_async] = ACTIONS(2910),
    [anon_sym_lazy] = ACTIONS(2910),
    [anon_sym_package] = ACTIONS(2910),
    [anon_sym_COMMA] = ACTIONS(2910),
    [anon_sym_COLON] = ACTIONS(2910),
    [anon_sym_DOT] = ACTIONS(2910),
    [anon_sym_QMARK] = ACTIONS(2912),
    [anon_sym_QMARK2] = ACTIONS(2910),
    [anon_sym_AMP] = ACTIONS(2910),
    [anon_sym_LBRACE] = ACTIONS(2910),
    [anon_sym_RBRACE] = ACTIONS(2910),
    [anon_sym_case] = ACTIONS(2910),
    [anon_sym_import] = ACTIONS(2910),
    [anon_sym_typealias] = ACTIONS(2910),
    [anon_sym_struct] = ACTIONS(2910),
    [anon_sym_class] = ACTIONS(2910),
    [anon_sym_enum] = ACTIONS(2910),
    [anon_sym_protocol] = ACTIONS(2910),
    [anon_sym_let] = ACTIONS(2910),
    [anon_sym_var] = ACTIONS(2910),
    [anon_sym_func] = ACTIONS(2910),
    [anon_sym_extension] = ACTIONS(2910),
    [anon_sym_indirect] = ACTIONS(2910),
    [anon_sym_init] = ACTIONS(2910),
    [anon_sym_deinit] = ACTIONS(2910),
    [anon_sym_subscript] = ACTIONS(2910),
    [anon_sym_prefix] = ACTIONS(2910),
    [anon_sym_infix] = ACTIONS(2910),
    [anon_sym_postfix] = ACTIONS(2910),
    [anon_sym_precedencegroup] = ACTIONS(2910),
    [anon_sym_associatedtype] = ACTIONS(2910),
    [anon_sym_AT] = ACTIONS(2912),
    [anon_sym_override] = ACTIONS(2910),
    [anon_sym_convenience] = ACTIONS(2910),
    [anon_sym_required] = ACTIONS(2910),
    [anon_sym_nonisolated] = ACTIONS(2910),
    [anon_sym_public] = ACTIONS(2910),
    [anon_sym_private] = ACTIONS(2910),
    [anon_sym_internal] = ACTIONS(2910),
    [anon_sym_fileprivate] = ACTIONS(2910),
    [anon_sym_open] = ACTIONS(2910),
    [anon_sym_mutating] = ACTIONS(2910),
    [anon_sym_nonmutating] = ACTIONS(2910),
    [anon_sym_static] = ACTIONS(2910),
    [anon_sym_dynamic] = ACTIONS(2910),
    [anon_sym_optional] = ACTIONS(2910),
    [anon_sym_distributed] = ACTIONS(2910),
    [anon_sym_final] = ACTIONS(2910),
    [anon_sym_inout] = ACTIONS(2910),
    [anon_sym_ATescaping] = ACTIONS(2910),
    [anon_sym_ATautoclosure] = ACTIONS(2910),
    [anon_sym_weak] = ACTIONS(2910),
    [anon_sym_unowned] = ACTIONS(2912),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2910),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2910),
    [anon_sym_borrowing] = ACTIONS(2910),
    [anon_sym_consuming] = ACTIONS(2910),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2910),
    [sym__eq_custom] = ACTIONS(2910),
    [sym__throws_keyword] = ACTIONS(2910),
    [sym__rethrows_keyword] = ACTIONS(2910),
    [sym_where_keyword] = ACTIONS(2910),
    [sym__as_custom] = ACTIONS(2910),
    [sym__async_keyword_custom] = ACTIONS(2910),
  },
  [1571] = {
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2798),
    [anon_sym_async] = ACTIONS(2798),
    [anon_sym_lazy] = ACTIONS(2798),
    [anon_sym_package] = ACTIONS(2798),
    [anon_sym_RPAREN] = ACTIONS(2798),
    [anon_sym_COMMA] = ACTIONS(2798),
    [anon_sym_BANG] = ACTIONS(2798),
    [anon_sym_DOT] = ACTIONS(2800),
    [anon_sym_QMARK2] = ACTIONS(2798),
    [anon_sym_AMP] = ACTIONS(2798),
    [anon_sym_LBRACE] = ACTIONS(2798),
    [anon_sym_RBRACE] = ACTIONS(2798),
    [anon_sym_case] = ACTIONS(2798),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2798),
    [anon_sym_import] = ACTIONS(2798),
    [anon_sym_typealias] = ACTIONS(2798),
    [anon_sym_struct] = ACTIONS(2798),
    [anon_sym_class] = ACTIONS(2798),
    [anon_sym_enum] = ACTIONS(2798),
    [anon_sym_protocol] = ACTIONS(2798),
    [anon_sym_let] = ACTIONS(2798),
    [anon_sym_var] = ACTIONS(2798),
    [anon_sym_func] = ACTIONS(2798),
    [anon_sym_extension] = ACTIONS(2798),
    [anon_sym_indirect] = ACTIONS(2798),
    [anon_sym_init] = ACTIONS(2798),
    [anon_sym_deinit] = ACTIONS(2798),
    [anon_sym_subscript] = ACTIONS(2798),
    [anon_sym_prefix] = ACTIONS(2798),
    [anon_sym_infix] = ACTIONS(2798),
    [anon_sym_postfix] = ACTIONS(2798),
    [anon_sym_precedencegroup] = ACTIONS(2798),
    [anon_sym_associatedtype] = ACTIONS(2798),
    [anon_sym_AT] = ACTIONS(2800),
    [anon_sym_override] = ACTIONS(2798),
    [anon_sym_convenience] = ACTIONS(2798),
    [anon_sym_required] = ACTIONS(2798),
    [anon_sym_nonisolated] = ACTIONS(2798),
    [anon_sym_public] = ACTIONS(2798),
    [anon_sym_private] = ACTIONS(2798),
    [anon_sym_internal] = ACTIONS(2798),
    [anon_sym_fileprivate] = ACTIONS(2798),
    [anon_sym_open] = ACTIONS(2798),
    [anon_sym_mutating] = ACTIONS(2798),
    [anon_sym_nonmutating] = ACTIONS(2798),
    [anon_sym_static] = ACTIONS(2798),
    [anon_sym_dynamic] = ACTIONS(2798),
    [anon_sym_optional] = ACTIONS(2798),
    [anon_sym_distributed] = ACTIONS(2798),
    [anon_sym_final] = ACTIONS(2798),
    [anon_sym_inout] = ACTIONS(2798),
    [anon_sym_ATescaping] = ACTIONS(2798),
    [anon_sym_ATautoclosure] = ACTIONS(2798),
    [anon_sym_weak] = ACTIONS(2798),
    [anon_sym_unowned] = ACTIONS(2800),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2798),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2798),
    [anon_sym_borrowing] = ACTIONS(2798),
    [anon_sym_consuming] = ACTIONS(2798),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2798),
    [sym__dot_custom] = ACTIONS(2798),
    [sym__eq_custom] = ACTIONS(2798),
    [sym__throws_keyword] = ACTIONS(2798),
    [sym__rethrows_keyword] = ACTIONS(2798),
    [sym__async_keyword_custom] = ACTIONS(2798),
  },
  [1572] = {
    [ts_builtin_sym_end] = ACTIONS(3031),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(3029),
    [aux_sym_simple_identifier_token2] = ACTIONS(3031),
    [aux_sym_simple_identifier_token3] = ACTIONS(3031),
    [aux_sym_simple_identifier_token4] = ACTIONS(3031),
    [anon_sym_actor] = ACTIONS(3029),
    [anon_sym_async] = ACTIONS(3029),
    [anon_sym_each] = ACTIONS(3029),
    [anon_sym_lazy] = ACTIONS(3029),
    [anon_sym_repeat] = ACTIONS(3029),
    [anon_sym_package] = ACTIONS(3029),
    [anon_sym_COMMA] = ACTIONS(3031),
    [anon_sym_LPAREN] = ACTIONS(3031),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_QMARK] = ACTIONS(3029),
    [anon_sym_QMARK2] = ACTIONS(3031),
    [anon_sym_AMP] = ACTIONS(3031),
    [aux_sym_custom_operator_token1] = ACTIONS(3031),
    [anon_sym_LT] = ACTIONS(3029),
    [anon_sym_GT] = ACTIONS(3029),
    [anon_sym_LBRACE] = ACTIONS(3031),
    [anon_sym_CARET_LBRACE] = ACTIONS(3031),
    [anon_sym_RBRACE] = ACTIONS(3031),
    [anon_sym_PLUS_EQ] = ACTIONS(3031),
    [anon_sym_DASH_EQ] = ACTIONS(3031),
    [anon_sym_STAR_EQ] = ACTIONS(3031),
    [anon_sym_SLASH_EQ] = ACTIONS(3031),
    [anon_sym_PERCENT_EQ] = ACTIONS(3031),
    [anon_sym_BANG_EQ] = ACTIONS(3029),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3031),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3031),
    [anon_sym_LT_EQ] = ACTIONS(3031),
    [anon_sym_GT_EQ] = ACTIONS(3031),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3031),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3031),
    [anon_sym_is] = ACTIONS(3029),
    [anon_sym_PLUS] = ACTIONS(3029),
    [anon_sym_DASH] = ACTIONS(3029),
    [anon_sym_STAR] = ACTIONS(3029),
    [anon_sym_SLASH] = ACTIONS(3029),
    [anon_sym_PERCENT] = ACTIONS(3029),
    [anon_sym_PLUS_PLUS] = ACTIONS(3031),
    [anon_sym_DASH_DASH] = ACTIONS(3031),
    [anon_sym_PIPE] = ACTIONS(3031),
    [anon_sym_CARET] = ACTIONS(3029),
    [anon_sym_LT_LT] = ACTIONS(3031),
    [anon_sym_GT_GT] = ACTIONS(3031),
    [anon_sym_BANG2] = ACTIONS(3029),
    [anon_sym_borrowing] = ACTIONS(3029),
    [anon_sym_consuming] = ACTIONS(3029),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3031),
    [sym__explicit_semi] = ACTIONS(3031),
    [sym__dot_custom] = ACTIONS(3031),
    [sym__conjunction_operator_custom] = ACTIONS(3031),
    [sym__disjunction_operator_custom] = ACTIONS(3031),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3031),
    [sym__eq_custom] = ACTIONS(3031),
    [sym__eq_eq_custom] = ACTIONS(3031),
    [sym__plus_then_ws] = ACTIONS(3031),
    [sym__minus_then_ws] = ACTIONS(3031),
    [sym__bang_custom] = ACTIONS(3031),
    [sym__as_custom] = ACTIONS(3031),
    [sym__as_quest_custom] = ACTIONS(3031),
    [sym__as_bang_custom] = ACTIONS(3031),
    [sym__custom_operator] = ACTIONS(3031),
  },
  [1573] = {
    [aux_sym_protocol_composition_type_repeat1] = STATE(1583),
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(3014),
    [anon_sym_async] = ACTIONS(3014),
    [anon_sym_lazy] = ACTIONS(3014),
    [anon_sym_package] = ACTIONS(3014),
    [anon_sym_COMMA] = ACTIONS(3014),
    [anon_sym_COLON] = ACTIONS(3014),
    [anon_sym_DOT] = ACTIONS(3014),
    [anon_sym_QMARK] = ACTIONS(3014),
    [anon_sym_AMP] = ACTIONS(3014),
    [anon_sym_LBRACE] = ACTIONS(3014),
    [anon_sym_RBRACE] = ACTIONS(3014),
    [anon_sym_case] = ACTIONS(3014),
    [anon_sym_import] = ACTIONS(3014),
    [anon_sym_typealias] = ACTIONS(3014),
    [anon_sym_struct] = ACTIONS(3014),
    [anon_sym_class] = ACTIONS(3014),
    [anon_sym_enum] = ACTIONS(3014),
    [anon_sym_protocol] = ACTIONS(3014),
    [anon_sym_let] = ACTIONS(3014),
    [anon_sym_var] = ACTIONS(3014),
    [anon_sym_func] = ACTIONS(3014),
    [anon_sym_extension] = ACTIONS(3014),
    [anon_sym_indirect] = ACTIONS(3014),
    [anon_sym_init] = ACTIONS(3014),
    [anon_sym_deinit] = ACTIONS(3014),
    [anon_sym_subscript] = ACTIONS(3014),
    [anon_sym_prefix] = ACTIONS(3014),
    [anon_sym_infix] = ACTIONS(3014),
    [anon_sym_postfix] = ACTIONS(3014),
    [anon_sym_precedencegroup] = ACTIONS(3014),
    [anon_sym_associatedtype] = ACTIONS(3014),
    [anon_sym_AT] = ACTIONS(3016),
    [anon_sym_override] = ACTIONS(3014),
    [anon_sym_convenience] = ACTIONS(3014),
    [anon_sym_required] = ACTIONS(3014),
    [anon_sym_nonisolated] = ACTIONS(3014),
    [anon_sym_public] = ACTIONS(3014),
    [anon_sym_private] = ACTIONS(3014),
    [anon_sym_internal] = ACTIONS(3014),
    [anon_sym_fileprivate] = ACTIONS(3014),
    [anon_sym_open] = ACTIONS(3014),
    [anon_sym_mutating] = ACTIONS(3014),
    [anon_sym_nonmutating] = ACTIONS(3014),
    [anon_sym_static] = ACTIONS(3014),
    [anon_sym_dynamic] = ACTIONS(3014),
    [anon_sym_optional] = ACTIONS(3014),
    [anon_sym_distributed] = ACTIONS(3014),
    [anon_sym_final] = ACTIONS(3014),
    [anon_sym_inout] = ACTIONS(3014),
    [anon_sym_ATescaping] = ACTIONS(3014),
    [anon_sym_ATautoclosure] = ACTIONS(3014),
    [anon_sym_weak] = ACTIONS(3014),
    [anon_sym_unowned] = ACTIONS(3016),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3014),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3014),
    [anon_sym_borrowing] = ACTIONS(3014),
    [anon_sym_consuming] = ACTIONS(3014),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(3014),
    [sym__eq_custom] = ACTIONS(3014),
    [sym__throws_keyword] = ACTIONS(3014),
    [sym__rethrows_keyword] = ACTIONS(3014),
    [sym_where_keyword] = ACTIONS(3014),
    [sym__as_custom] = ACTIONS(3014),
    [sym__async_keyword_custom] = ACTIONS(3014),
  },
  [1574] = {
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2967),
    [anon_sym_async] = ACTIONS(2967),
    [anon_sym_lazy] = ACTIONS(2967),
    [anon_sym_package] = ACTIONS(2967),
    [anon_sym_COMMA] = ACTIONS(2967),
    [anon_sym_COLON] = ACTIONS(2967),
    [anon_sym_DOT] = ACTIONS(2967),
    [anon_sym_QMARK] = ACTIONS(2969),
    [anon_sym_QMARK2] = ACTIONS(2967),
    [anon_sym_AMP] = ACTIONS(2967),
    [anon_sym_LBRACE] = ACTIONS(2967),
    [anon_sym_RBRACE] = ACTIONS(2967),
    [anon_sym_case] = ACTIONS(2967),
    [anon_sym_import] = ACTIONS(2967),
    [anon_sym_typealias] = ACTIONS(2967),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_class] = ACTIONS(2967),
    [anon_sym_enum] = ACTIONS(2967),
    [anon_sym_protocol] = ACTIONS(2967),
    [anon_sym_let] = ACTIONS(2967),
    [anon_sym_var] = ACTIONS(2967),
    [anon_sym_func] = ACTIONS(2967),
    [anon_sym_extension] = ACTIONS(2967),
    [anon_sym_indirect] = ACTIONS(2967),
    [anon_sym_init] = ACTIONS(2967),
    [anon_sym_deinit] = ACTIONS(2967),
    [anon_sym_subscript] = ACTIONS(2967),
    [anon_sym_prefix] = ACTIONS(2967),
    [anon_sym_infix] = ACTIONS(2967),
    [anon_sym_postfix] = ACTIONS(2967),
    [anon_sym_precedencegroup] = ACTIONS(2967),
    [anon_sym_associatedtype] = ACTIONS(2967),
    [anon_sym_AT] = ACTIONS(2969),
    [anon_sym_override] = ACTIONS(2967),
    [anon_sym_convenience] = ACTIONS(2967),
    [anon_sym_required] = ACTIONS(2967),
    [anon_sym_nonisolated] = ACTIONS(2967),
    [anon_sym_public] = ACTIONS(2967),
    [anon_sym_private] = ACTIONS(2967),
    [anon_sym_internal] = ACTIONS(2967),
    [anon_sym_fileprivate] = ACTIONS(2967),
    [anon_sym_open] = ACTIONS(2967),
    [anon_sym_mutating] = ACTIONS(2967),
    [anon_sym_nonmutating] = ACTIONS(2967),
    [anon_sym_static] = ACTIONS(2967),
    [anon_sym_dynamic] = ACTIONS(2967),
    [anon_sym_optional] = ACTIONS(2967),
    [anon_sym_distributed] = ACTIONS(2967),
    [anon_sym_final] = ACTIONS(2967),
    [anon_sym_inout] = ACTIONS(2967),
    [anon_sym_ATescaping] = ACTIONS(2967),
    [anon_sym_ATautoclosure] = ACTIONS(2967),
    [anon_sym_weak] = ACTIONS(2967),
    [anon_sym_unowned] = ACTIONS(2969),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2967),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2967),
    [anon_sym_borrowing] = ACTIONS(2967),
    [anon_sym_consuming] = ACTIONS(2967),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2967),
    [sym__eq_custom] = ACTIONS(2967),
    [sym__throws_keyword] = ACTIONS(2967),
    [sym__rethrows_keyword] = ACTIONS(2967),
    [sym_where_keyword] = ACTIONS(2967),
    [sym__as_custom] = ACTIONS(2967),
    [sym__async_keyword_custom] = ACTIONS(2967),
  },
  [1575] = {
    [ts_builtin_sym_end] = ACTIONS(3012),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(3010),
    [aux_sym_simple_identifier_token2] = ACTIONS(3012),
    [aux_sym_simple_identifier_token3] = ACTIONS(3012),
    [aux_sym_simple_identifier_token4] = ACTIONS(3012),
    [anon_sym_actor] = ACTIONS(3010),
    [anon_sym_async] = ACTIONS(3010),
    [anon_sym_each] = ACTIONS(3010),
    [anon_sym_lazy] = ACTIONS(3010),
    [anon_sym_repeat] = ACTIONS(3010),
    [anon_sym_package] = ACTIONS(3010),
    [anon_sym_COMMA] = ACTIONS(3012),
    [anon_sym_LPAREN] = ACTIONS(3012),
    [anon_sym_LBRACK] = ACTIONS(3012),
    [anon_sym_QMARK] = ACTIONS(3010),
    [anon_sym_QMARK2] = ACTIONS(3012),
    [anon_sym_AMP] = ACTIONS(3012),
    [aux_sym_custom_operator_token1] = ACTIONS(3012),
    [anon_sym_LT] = ACTIONS(3010),
    [anon_sym_GT] = ACTIONS(3010),
    [anon_sym_LBRACE] = ACTIONS(3012),
    [anon_sym_CARET_LBRACE] = ACTIONS(3012),
    [anon_sym_RBRACE] = ACTIONS(3012),
    [anon_sym_PLUS_EQ] = ACTIONS(3012),
    [anon_sym_DASH_EQ] = ACTIONS(3012),
    [anon_sym_STAR_EQ] = ACTIONS(3012),
    [anon_sym_SLASH_EQ] = ACTIONS(3012),
    [anon_sym_PERCENT_EQ] = ACTIONS(3012),
    [anon_sym_BANG_EQ] = ACTIONS(3010),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3012),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3012),
    [anon_sym_LT_EQ] = ACTIONS(3012),
    [anon_sym_GT_EQ] = ACTIONS(3012),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3012),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3012),
    [anon_sym_is] = ACTIONS(3010),
    [anon_sym_PLUS] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3010),
    [anon_sym_STAR] = ACTIONS(3010),
    [anon_sym_SLASH] = ACTIONS(3010),
    [anon_sym_PERCENT] = ACTIONS(3010),
    [anon_sym_PLUS_PLUS] = ACTIONS(3012),
    [anon_sym_DASH_DASH] = ACTIONS(3012),
    [anon_sym_PIPE] = ACTIONS(3012),
    [anon_sym_CARET] = ACTIONS(3010),
    [anon_sym_LT_LT] = ACTIONS(3012),
    [anon_sym_GT_GT] = ACTIONS(3012),
    [anon_sym_BANG2] = ACTIONS(3010),
    [anon_sym_borrowing] = ACTIONS(3010),
    [anon_sym_consuming] = ACTIONS(3010),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3012),
    [sym__explicit_semi] = ACTIONS(3012),
    [sym__dot_custom] = ACTIONS(3012),
    [sym__conjunction_operator_custom] = ACTIONS(3012),
    [sym__disjunction_operator_custom] = ACTIONS(3012),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3012),
    [sym__eq_custom] = ACTIONS(3012),
    [sym__eq_eq_custom] = ACTIONS(3012),
    [sym__plus_then_ws] = ACTIONS(3012),
    [sym__minus_then_ws] = ACTIONS(3012),
    [sym__bang_custom] = ACTIONS(3012),
    [sym__as_custom] = ACTIONS(3012),
    [sym__as_quest_custom] = ACTIONS(3012),
    [sym__as_bang_custom] = ACTIONS(3012),
    [sym__custom_operator] = ACTIONS(3012),
  },
  [1576] = {
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2963),
    [anon_sym_async] = ACTIONS(2963),
    [anon_sym_lazy] = ACTIONS(2963),
    [anon_sym_package] = ACTIONS(2963),
    [anon_sym_RPAREN] = ACTIONS(2963),
    [anon_sym_COMMA] = ACTIONS(2963),
    [anon_sym_BANG] = ACTIONS(2963),
    [anon_sym_DOT] = ACTIONS(2965),
    [anon_sym_QMARK2] = ACTIONS(2963),
    [anon_sym_AMP] = ACTIONS(2963),
    [anon_sym_LBRACE] = ACTIONS(2963),
    [anon_sym_RBRACE] = ACTIONS(2963),
    [anon_sym_case] = ACTIONS(2963),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2963),
    [anon_sym_import] = ACTIONS(2963),
    [anon_sym_typealias] = ACTIONS(2963),
    [anon_sym_struct] = ACTIONS(2963),
    [anon_sym_class] = ACTIONS(2963),
    [anon_sym_enum] = ACTIONS(2963),
    [anon_sym_protocol] = ACTIONS(2963),
    [anon_sym_let] = ACTIONS(2963),
    [anon_sym_var] = ACTIONS(2963),
    [anon_sym_func] = ACTIONS(2963),
    [anon_sym_extension] = ACTIONS(2963),
    [anon_sym_indirect] = ACTIONS(2963),
    [anon_sym_init] = ACTIONS(2963),
    [anon_sym_deinit] = ACTIONS(2963),
    [anon_sym_subscript] = ACTIONS(2963),
    [anon_sym_prefix] = ACTIONS(2963),
    [anon_sym_infix] = ACTIONS(2963),
    [anon_sym_postfix] = ACTIONS(2963),
    [anon_sym_precedencegroup] = ACTIONS(2963),
    [anon_sym_associatedtype] = ACTIONS(2963),
    [anon_sym_AT] = ACTIONS(2965),
    [anon_sym_override] = ACTIONS(2963),
    [anon_sym_convenience] = ACTIONS(2963),
    [anon_sym_required] = ACTIONS(2963),
    [anon_sym_nonisolated] = ACTIONS(2963),
    [anon_sym_public] = ACTIONS(2963),
    [anon_sym_private] = ACTIONS(2963),
    [anon_sym_internal] = ACTIONS(2963),
    [anon_sym_fileprivate] = ACTIONS(2963),
    [anon_sym_open] = ACTIONS(2963),
    [anon_sym_mutating] = ACTIONS(2963),
    [anon_sym_nonmutating] = ACTIONS(2963),
    [anon_sym_static] = ACTIONS(2963),
    [anon_sym_dynamic] = ACTIONS(2963),
    [anon_sym_optional] = ACTIONS(2963),
    [anon_sym_distributed] = ACTIONS(2963),
    [anon_sym_final] = ACTIONS(2963),
    [anon_sym_inout] = ACTIONS(2963),
    [anon_sym_ATescaping] = ACTIONS(2963),
    [anon_sym_ATautoclosure] = ACTIONS(2963),
    [anon_sym_weak] = ACTIONS(2963),
    [anon_sym_unowned] = ACTIONS(2965),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2963),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2963),
    [anon_sym_borrowing] = ACTIONS(2963),
    [anon_sym_consuming] = ACTIONS(2963),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2963),
    [sym__dot_custom] = ACTIONS(2963),
    [sym__eq_custom] = ACTIONS(2963),
    [sym__throws_keyword] = ACTIONS(2963),
    [sym__rethrows_keyword] = ACTIONS(2963),
    [sym__async_keyword_custom] = ACTIONS(2963),
  },
  [1577] = {
    [ts_builtin_sym_end] = ACTIONS(3008),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(3006),
    [aux_sym_simple_identifier_token2] = ACTIONS(3008),
    [aux_sym_simple_identifier_token3] = ACTIONS(3008),
    [aux_sym_simple_identifier_token4] = ACTIONS(3008),
    [anon_sym_actor] = ACTIONS(3006),
    [anon_sym_async] = ACTIONS(3006),
    [anon_sym_each] = ACTIONS(3006),
    [anon_sym_lazy] = ACTIONS(3006),
    [anon_sym_repeat] = ACTIONS(3006),
    [anon_sym_package] = ACTIONS(3006),
    [anon_sym_COMMA] = ACTIONS(3008),
    [anon_sym_LPAREN] = ACTIONS(3008),
    [anon_sym_LBRACK] = ACTIONS(3008),
    [anon_sym_QMARK] = ACTIONS(3006),
    [anon_sym_QMARK2] = ACTIONS(3008),
    [anon_sym_AMP] = ACTIONS(3008),
    [aux_sym_custom_operator_token1] = ACTIONS(3008),
    [anon_sym_LT] = ACTIONS(3006),
    [anon_sym_GT] = ACTIONS(3006),
    [anon_sym_LBRACE] = ACTIONS(3008),
    [anon_sym_CARET_LBRACE] = ACTIONS(3008),
    [anon_sym_RBRACE] = ACTIONS(3008),
    [anon_sym_PLUS_EQ] = ACTIONS(3008),
    [anon_sym_DASH_EQ] = ACTIONS(3008),
    [anon_sym_STAR_EQ] = ACTIONS(3008),
    [anon_sym_SLASH_EQ] = ACTIONS(3008),
    [anon_sym_PERCENT_EQ] = ACTIONS(3008),
    [anon_sym_BANG_EQ] = ACTIONS(3006),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3008),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3008),
    [anon_sym_LT_EQ] = ACTIONS(3008),
    [anon_sym_GT_EQ] = ACTIONS(3008),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3008),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3008),
    [anon_sym_is] = ACTIONS(3006),
    [anon_sym_PLUS] = ACTIONS(3006),
    [anon_sym_DASH] = ACTIONS(3006),
    [anon_sym_STAR] = ACTIONS(3006),
    [anon_sym_SLASH] = ACTIONS(3006),
    [anon_sym_PERCENT] = ACTIONS(3006),
    [anon_sym_PLUS_PLUS] = ACTIONS(3008),
    [anon_sym_DASH_DASH] = ACTIONS(3008),
    [anon_sym_PIPE] = ACTIONS(3008),
    [anon_sym_CARET] = ACTIONS(3006),
    [anon_sym_LT_LT] = ACTIONS(3008),
    [anon_sym_GT_GT] = ACTIONS(3008),
    [anon_sym_BANG2] = ACTIONS(3006),
    [anon_sym_borrowing] = ACTIONS(3006),
    [anon_sym_consuming] = ACTIONS(3006),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3008),
    [sym__explicit_semi] = ACTIONS(3008),
    [sym__dot_custom] = ACTIONS(3008),
    [sym__conjunction_operator_custom] = ACTIONS(3008),
    [sym__disjunction_operator_custom] = ACTIONS(3008),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3008),
    [sym__eq_custom] = ACTIONS(3008),
    [sym__eq_eq_custom] = ACTIONS(3008),
    [sym__plus_then_ws] = ACTIONS(3008),
    [sym__minus_then_ws] = ACTIONS(3008),
    [sym__bang_custom] = ACTIONS(3008),
    [sym__as_custom] = ACTIONS(3008),
    [sym__as_quest_custom] = ACTIONS(3008),
    [sym__as_bang_custom] = ACTIONS(3008),
    [sym__custom_operator] = ACTIONS(3008),
  },
  [1578] = {
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2914),
    [anon_sym_async] = ACTIONS(2914),
    [anon_sym_lazy] = ACTIONS(2914),
    [anon_sym_package] = ACTIONS(2914),
    [anon_sym_COMMA] = ACTIONS(2914),
    [anon_sym_COLON] = ACTIONS(2914),
    [anon_sym_DOT] = ACTIONS(2914),
    [anon_sym_QMARK] = ACTIONS(2916),
    [anon_sym_QMARK2] = ACTIONS(2914),
    [anon_sym_AMP] = ACTIONS(2914),
    [anon_sym_LBRACE] = ACTIONS(2914),
    [anon_sym_RBRACE] = ACTIONS(2914),
    [anon_sym_case] = ACTIONS(2914),
    [anon_sym_import] = ACTIONS(2914),
    [anon_sym_typealias] = ACTIONS(2914),
    [anon_sym_struct] = ACTIONS(2914),
    [anon_sym_class] = ACTIONS(2914),
    [anon_sym_enum] = ACTIONS(2914),
    [anon_sym_protocol] = ACTIONS(2914),
    [anon_sym_let] = ACTIONS(2914),
    [anon_sym_var] = ACTIONS(2914),
    [anon_sym_func] = ACTIONS(2914),
    [anon_sym_extension] = ACTIONS(2914),
    [anon_sym_indirect] = ACTIONS(2914),
    [anon_sym_init] = ACTIONS(2914),
    [anon_sym_deinit] = ACTIONS(2914),
    [anon_sym_subscript] = ACTIONS(2914),
    [anon_sym_prefix] = ACTIONS(2914),
    [anon_sym_infix] = ACTIONS(2914),
    [anon_sym_postfix] = ACTIONS(2914),
    [anon_sym_precedencegroup] = ACTIONS(2914),
    [anon_sym_associatedtype] = ACTIONS(2914),
    [anon_sym_AT] = ACTIONS(2916),
    [anon_sym_override] = ACTIONS(2914),
    [anon_sym_convenience] = ACTIONS(2914),
    [anon_sym_required] = ACTIONS(2914),
    [anon_sym_nonisolated] = ACTIONS(2914),
    [anon_sym_public] = ACTIONS(2914),
    [anon_sym_private] = ACTIONS(2914),
    [anon_sym_internal] = ACTIONS(2914),
    [anon_sym_fileprivate] = ACTIONS(2914),
    [anon_sym_open] = ACTIONS(2914),
    [anon_sym_mutating] = ACTIONS(2914),
    [anon_sym_nonmutating] = ACTIONS(2914),
    [anon_sym_static] = ACTIONS(2914),
    [anon_sym_dynamic] = ACTIONS(2914),
    [anon_sym_optional] = ACTIONS(2914),
    [anon_sym_distributed] = ACTIONS(2914),
    [anon_sym_final] = ACTIONS(2914),
    [anon_sym_inout] = ACTIONS(2914),
    [anon_sym_ATescaping] = ACTIONS(2914),
    [anon_sym_ATautoclosure] = ACTIONS(2914),
    [anon_sym_weak] = ACTIONS(2914),
    [anon_sym_unowned] = ACTIONS(2916),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2914),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2914),
    [anon_sym_borrowing] = ACTIONS(2914),
    [anon_sym_consuming] = ACTIONS(2914),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2914),
    [sym__eq_custom] = ACTIONS(2914),
    [sym__throws_keyword] = ACTIONS(2914),
    [sym__rethrows_keyword] = ACTIONS(2914),
    [sym_where_keyword] = ACTIONS(2914),
    [sym__as_custom] = ACTIONS(2914),
    [sym__async_keyword_custom] = ACTIONS(2914),
  },
  [1579] = {
    [sym__dot] = STATE(4586),
    [aux_sym_user_type_repeat1] = STATE(1580),
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2805),
    [anon_sym_async] = ACTIONS(2805),
    [anon_sym_lazy] = ACTIONS(2805),
    [anon_sym_package] = ACTIONS(2805),
    [anon_sym_COMMA] = ACTIONS(2805),
    [anon_sym_BANG] = ACTIONS(2805),
    [anon_sym_DOT] = ACTIONS(2805),
    [anon_sym_QMARK2] = ACTIONS(2805),
    [anon_sym_AMP] = ACTIONS(2805),
    [anon_sym_LBRACE] = ACTIONS(2805),
    [anon_sym_RBRACE] = ACTIONS(2805),
    [anon_sym_case] = ACTIONS(2805),
    [anon_sym_import] = ACTIONS(2805),
    [anon_sym_typealias] = ACTIONS(2805),
    [anon_sym_struct] = ACTIONS(2805),
    [anon_sym_class] = ACTIONS(2805),
    [anon_sym_enum] = ACTIONS(2805),
    [anon_sym_protocol] = ACTIONS(2805),
    [anon_sym_let] = ACTIONS(2805),
    [anon_sym_var] = ACTIONS(2805),
    [anon_sym_func] = ACTIONS(2805),
    [anon_sym_extension] = ACTIONS(2805),
    [anon_sym_indirect] = ACTIONS(2805),
    [anon_sym_init] = ACTIONS(2805),
    [anon_sym_deinit] = ACTIONS(2805),
    [anon_sym_subscript] = ACTIONS(2805),
    [anon_sym_prefix] = ACTIONS(2805),
    [anon_sym_infix] = ACTIONS(2805),
    [anon_sym_postfix] = ACTIONS(2805),
    [anon_sym_precedencegroup] = ACTIONS(2805),
    [anon_sym_associatedtype] = ACTIONS(2805),
    [anon_sym_AT] = ACTIONS(2807),
    [anon_sym_override] = ACTIONS(2805),
    [anon_sym_convenience] = ACTIONS(2805),
    [anon_sym_required] = ACTIONS(2805),
    [anon_sym_nonisolated] = ACTIONS(2805),
    [anon_sym_public] = ACTIONS(2805),
    [anon_sym_private] = ACTIONS(2805),
    [anon_sym_internal] = ACTIONS(2805),
    [anon_sym_fileprivate] = ACTIONS(2805),
    [anon_sym_open] = ACTIONS(2805),
    [anon_sym_mutating] = ACTIONS(2805),
    [anon_sym_nonmutating] = ACTIONS(2805),
    [anon_sym_static] = ACTIONS(2805),
    [anon_sym_dynamic] = ACTIONS(2805),
    [anon_sym_optional] = ACTIONS(2805),
    [anon_sym_distributed] = ACTIONS(2805),
    [anon_sym_final] = ACTIONS(2805),
    [anon_sym_inout] = ACTIONS(2805),
    [anon_sym_ATescaping] = ACTIONS(2805),
    [anon_sym_ATautoclosure] = ACTIONS(2805),
    [anon_sym_weak] = ACTIONS(2805),
    [anon_sym_unowned] = ACTIONS(2807),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2805),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2805),
    [anon_sym_borrowing] = ACTIONS(2805),
    [anon_sym_consuming] = ACTIONS(2805),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2805),
    [sym__dot_custom] = ACTIONS(4844),
    [sym__eq_custom] = ACTIONS(2805),
    [sym__throws_keyword] = ACTIONS(2805),
    [sym__rethrows_keyword] = ACTIONS(2805),
    [sym__async_keyword_custom] = ACTIONS(2805),
  },
  [1580] = {
    [sym__dot] = STATE(4586),
    [aux_sym_user_type_repeat1] = STATE(1566),
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2852),
    [anon_sym_async] = ACTIONS(2852),
    [anon_sym_lazy] = ACTIONS(2852),
    [anon_sym_package] = ACTIONS(2852),
    [anon_sym_COMMA] = ACTIONS(2852),
    [anon_sym_BANG] = ACTIONS(2852),
    [anon_sym_DOT] = ACTIONS(2852),
    [anon_sym_QMARK2] = ACTIONS(2852),
    [anon_sym_AMP] = ACTIONS(2852),
    [anon_sym_LBRACE] = ACTIONS(2852),
    [anon_sym_RBRACE] = ACTIONS(2852),
    [anon_sym_case] = ACTIONS(2852),
    [anon_sym_import] = ACTIONS(2852),
    [anon_sym_typealias] = ACTIONS(2852),
    [anon_sym_struct] = ACTIONS(2852),
    [anon_sym_class] = ACTIONS(2852),
    [anon_sym_enum] = ACTIONS(2852),
    [anon_sym_protocol] = ACTIONS(2852),
    [anon_sym_let] = ACTIONS(2852),
    [anon_sym_var] = ACTIONS(2852),
    [anon_sym_func] = ACTIONS(2852),
    [anon_sym_extension] = ACTIONS(2852),
    [anon_sym_indirect] = ACTIONS(2852),
    [anon_sym_init] = ACTIONS(2852),
    [anon_sym_deinit] = ACTIONS(2852),
    [anon_sym_subscript] = ACTIONS(2852),
    [anon_sym_prefix] = ACTIONS(2852),
    [anon_sym_infix] = ACTIONS(2852),
    [anon_sym_postfix] = ACTIONS(2852),
    [anon_sym_precedencegroup] = ACTIONS(2852),
    [anon_sym_associatedtype] = ACTIONS(2852),
    [anon_sym_AT] = ACTIONS(2854),
    [anon_sym_override] = ACTIONS(2852),
    [anon_sym_convenience] = ACTIONS(2852),
    [anon_sym_required] = ACTIONS(2852),
    [anon_sym_nonisolated] = ACTIONS(2852),
    [anon_sym_public] = ACTIONS(2852),
    [anon_sym_private] = ACTIONS(2852),
    [anon_sym_internal] = ACTIONS(2852),
    [anon_sym_fileprivate] = ACTIONS(2852),
    [anon_sym_open] = ACTIONS(2852),
    [anon_sym_mutating] = ACTIONS(2852),
    [anon_sym_nonmutating] = ACTIONS(2852),
    [anon_sym_static] = ACTIONS(2852),
    [anon_sym_dynamic] = ACTIONS(2852),
    [anon_sym_optional] = ACTIONS(2852),
    [anon_sym_distributed] = ACTIONS(2852),
    [anon_sym_final] = ACTIONS(2852),
    [anon_sym_inout] = ACTIONS(2852),
    [anon_sym_ATescaping] = ACTIONS(2852),
    [anon_sym_ATautoclosure] = ACTIONS(2852),
    [anon_sym_weak] = ACTIONS(2852),
    [anon_sym_unowned] = ACTIONS(2854),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2852),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2852),
    [anon_sym_borrowing] = ACTIONS(2852),
    [anon_sym_consuming] = ACTIONS(2852),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2852),
    [sym__dot_custom] = ACTIONS(4844),
    [sym__eq_custom] = ACTIONS(2852),
    [sym__throws_keyword] = ACTIONS(2852),
    [sym__rethrows_keyword] = ACTIONS(2852),
    [sym__async_keyword_custom] = ACTIONS(2852),
  },
  [1581] = {
    [sym_type_arguments] = STATE(1829),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(4846),
    [aux_sym_simple_identifier_token2] = ACTIONS(4848),
    [aux_sym_simple_identifier_token3] = ACTIONS(4848),
    [aux_sym_simple_identifier_token4] = ACTIONS(4848),
    [anon_sym_actor] = ACTIONS(4846),
    [anon_sym_async] = ACTIONS(4846),
    [anon_sym_each] = ACTIONS(4846),
    [anon_sym_lazy] = ACTIONS(4846),
    [anon_sym_repeat] = ACTIONS(4846),
    [anon_sym_package] = ACTIONS(4846),
    [sym_integer_literal] = ACTIONS(4848),
    [anon_sym_RPAREN] = ACTIONS(3076),
    [anon_sym_COMMA] = ACTIONS(3076),
    [anon_sym_COLON] = ACTIONS(4850),
    [anon_sym_LPAREN] = ACTIONS(3078),
    [anon_sym_LBRACK] = ACTIONS(3076),
    [anon_sym_QMARK] = ACTIONS(3081),
    [anon_sym_QMARK2] = ACTIONS(3076),
    [anon_sym_AMP] = ACTIONS(3076),
    [aux_sym_custom_operator_token1] = ACTIONS(3076),
    [anon_sym_LT] = ACTIONS(3083),
    [anon_sym_GT] = ACTIONS(3081),
    [anon_sym_LBRACE] = ACTIONS(3078),
    [anon_sym_CARET_LBRACE] = ACTIONS(3078),
    [anon_sym_PLUS_EQ] = ACTIONS(3076),
    [anon_sym_DASH_EQ] = ACTIONS(3076),
    [anon_sym_STAR_EQ] = ACTIONS(3076),
    [anon_sym_SLASH_EQ] = ACTIONS(3076),
    [anon_sym_PERCENT_EQ] = ACTIONS(3076),
    [anon_sym_BANG_EQ] = ACTIONS(3081),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3076),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3076),
    [anon_sym_LT_EQ] = ACTIONS(3076),
    [anon_sym_GT_EQ] = ACTIONS(3076),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3076),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3076),
    [anon_sym_is] = ACTIONS(3081),
    [anon_sym_PLUS] = ACTIONS(3081),
    [anon_sym_DASH] = ACTIONS(3081),
    [anon_sym_STAR] = ACTIONS(3081),
    [anon_sym_SLASH] = ACTIONS(3081),
    [anon_sym_PERCENT] = ACTIONS(3081),
    [anon_sym_PLUS_PLUS] = ACTIONS(3076),
    [anon_sym_DASH_DASH] = ACTIONS(3076),
    [anon_sym_PIPE] = ACTIONS(3076),
    [anon_sym_CARET] = ACTIONS(3081),
    [anon_sym_LT_LT] = ACTIONS(3076),
    [anon_sym_GT_GT] = ACTIONS(3076),
    [anon_sym_BANG2] = ACTIONS(3081),
    [anon_sym_borrowing] = ACTIONS(4846),
    [anon_sym_consuming] = ACTIONS(4846),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3078),
    [sym__conjunction_operator_custom] = ACTIONS(3076),
    [sym__disjunction_operator_custom] = ACTIONS(3076),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3076),
    [sym__eq_custom] = ACTIONS(3076),
    [sym__eq_eq_custom] = ACTIONS(3076),
    [sym__plus_then_ws] = ACTIONS(3076),
    [sym__minus_then_ws] = ACTIONS(3076),
    [sym__bang_custom] = ACTIONS(3076),
    [sym__as_custom] = ACTIONS(3076),
    [sym__as_quest_custom] = ACTIONS(3076),
    [sym__as_bang_custom] = ACTIONS(3076),
    [sym__custom_operator] = ACTIONS(3076),
  },
  [1582] = {
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2928),
    [anon_sym_async] = ACTIONS(2928),
    [anon_sym_lazy] = ACTIONS(2928),
    [anon_sym_package] = ACTIONS(2928),
    [anon_sym_COMMA] = ACTIONS(2928),
    [anon_sym_BANG] = ACTIONS(2928),
    [anon_sym_DOT] = ACTIONS(2928),
    [anon_sym_QMARK2] = ACTIONS(2928),
    [anon_sym_AMP] = ACTIONS(2928),
    [anon_sym_LT] = ACTIONS(2928),
    [anon_sym_LBRACE] = ACTIONS(2928),
    [anon_sym_RBRACE] = ACTIONS(2928),
    [anon_sym_case] = ACTIONS(2928),
    [anon_sym_import] = ACTIONS(2928),
    [anon_sym_typealias] = ACTIONS(2928),
    [anon_sym_struct] = ACTIONS(2928),
    [anon_sym_class] = ACTIONS(2928),
    [anon_sym_enum] = ACTIONS(2928),
    [anon_sym_protocol] = ACTIONS(2928),
    [anon_sym_let] = ACTIONS(2928),
    [anon_sym_var] = ACTIONS(2928),
    [anon_sym_func] = ACTIONS(2928),
    [anon_sym_extension] = ACTIONS(2928),
    [anon_sym_indirect] = ACTIONS(2928),
    [anon_sym_init] = ACTIONS(2928),
    [anon_sym_deinit] = ACTIONS(2928),
    [anon_sym_subscript] = ACTIONS(2928),
    [anon_sym_prefix] = ACTIONS(2928),
    [anon_sym_infix] = ACTIONS(2928),
    [anon_sym_postfix] = ACTIONS(2928),
    [anon_sym_precedencegroup] = ACTIONS(2928),
    [anon_sym_associatedtype] = ACTIONS(2928),
    [anon_sym_AT] = ACTIONS(2930),
    [anon_sym_override] = ACTIONS(2928),
    [anon_sym_convenience] = ACTIONS(2928),
    [anon_sym_required] = ACTIONS(2928),
    [anon_sym_nonisolated] = ACTIONS(2928),
    [anon_sym_public] = ACTIONS(2928),
    [anon_sym_private] = ACTIONS(2928),
    [anon_sym_internal] = ACTIONS(2928),
    [anon_sym_fileprivate] = ACTIONS(2928),
    [anon_sym_open] = ACTIONS(2928),
    [anon_sym_mutating] = ACTIONS(2928),
    [anon_sym_nonmutating] = ACTIONS(2928),
    [anon_sym_static] = ACTIONS(2928),
    [anon_sym_dynamic] = ACTIONS(2928),
    [anon_sym_optional] = ACTIONS(2928),
    [anon_sym_distributed] = ACTIONS(2928),
    [anon_sym_final] = ACTIONS(2928),
    [anon_sym_inout] = ACTIONS(2928),
    [anon_sym_ATescaping] = ACTIONS(2928),
    [anon_sym_ATautoclosure] = ACTIONS(2928),
    [anon_sym_weak] = ACTIONS(2928),
    [anon_sym_unowned] = ACTIONS(2930),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2928),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2928),
    [anon_sym_borrowing] = ACTIONS(2928),
    [anon_sym_consuming] = ACTIONS(2928),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2928),
    [sym__dot_custom] = ACTIONS(2928),
    [sym__eq_custom] = ACTIONS(2928),
    [sym__throws_keyword] = ACTIONS(2928),
    [sym__rethrows_keyword] = ACTIONS(2928),
    [sym_where_keyword] = ACTIONS(2928),
    [sym__async_keyword_custom] = ACTIONS(2928),
  },
  [1583] = {
    [aux_sym_protocol_composition_type_repeat1] = STATE(1583),
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2892),
    [anon_sym_async] = ACTIONS(2892),
    [anon_sym_lazy] = ACTIONS(2892),
    [anon_sym_package] = ACTIONS(2892),
    [anon_sym_COMMA] = ACTIONS(2892),
    [anon_sym_COLON] = ACTIONS(2892),
    [anon_sym_DOT] = ACTIONS(2892),
    [anon_sym_QMARK] = ACTIONS(2892),
    [anon_sym_AMP] = ACTIONS(4852),
    [anon_sym_LBRACE] = ACTIONS(2892),
    [anon_sym_RBRACE] = ACTIONS(2892),
    [anon_sym_case] = ACTIONS(2892),
    [anon_sym_import] = ACTIONS(2892),
    [anon_sym_typealias] = ACTIONS(2892),
    [anon_sym_struct] = ACTIONS(2892),
    [anon_sym_class] = ACTIONS(2892),
    [anon_sym_enum] = ACTIONS(2892),
    [anon_sym_protocol] = ACTIONS(2892),
    [anon_sym_let] = ACTIONS(2892),
    [anon_sym_var] = ACTIONS(2892),
    [anon_sym_func] = ACTIONS(2892),
    [anon_sym_extension] = ACTIONS(2892),
    [anon_sym_indirect] = ACTIONS(2892),
    [anon_sym_init] = ACTIONS(2892),
    [anon_sym_deinit] = ACTIONS(2892),
    [anon_sym_subscript] = ACTIONS(2892),
    [anon_sym_prefix] = ACTIONS(2892),
    [anon_sym_infix] = ACTIONS(2892),
    [anon_sym_postfix] = ACTIONS(2892),
    [anon_sym_precedencegroup] = ACTIONS(2892),
    [anon_sym_associatedtype] = ACTIONS(2892),
    [anon_sym_AT] = ACTIONS(2894),
    [anon_sym_override] = ACTIONS(2892),
    [anon_sym_convenience] = ACTIONS(2892),
    [anon_sym_required] = ACTIONS(2892),
    [anon_sym_nonisolated] = ACTIONS(2892),
    [anon_sym_public] = ACTIONS(2892),
    [anon_sym_private] = ACTIONS(2892),
    [anon_sym_internal] = ACTIONS(2892),
    [anon_sym_fileprivate] = ACTIONS(2892),
    [anon_sym_open] = ACTIONS(2892),
    [anon_sym_mutating] = ACTIONS(2892),
    [anon_sym_nonmutating] = ACTIONS(2892),
    [anon_sym_static] = ACTIONS(2892),
    [anon_sym_dynamic] = ACTIONS(2892),
    [anon_sym_optional] = ACTIONS(2892),
    [anon_sym_distributed] = ACTIONS(2892),
    [anon_sym_final] = ACTIONS(2892),
    [anon_sym_inout] = ACTIONS(2892),
    [anon_sym_ATescaping] = ACTIONS(2892),
    [anon_sym_ATautoclosure] = ACTIONS(2892),
    [anon_sym_weak] = ACTIONS(2892),
    [anon_sym_unowned] = ACTIONS(2894),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2892),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2892),
    [anon_sym_borrowing] = ACTIONS(2892),
    [anon_sym_consuming] = ACTIONS(2892),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2892),
    [sym__eq_custom] = ACTIONS(2892),
    [sym__throws_keyword] = ACTIONS(2892),
    [sym__rethrows_keyword] = ACTIONS(2892),
    [sym_where_keyword] = ACTIONS(2892),
    [sym__as_custom] = ACTIONS(2892),
    [sym__async_keyword_custom] = ACTIONS(2892),
  },
  [1584] = {
    [sym__arrow_operator] = STATE(3691),
    [sym__async_keyword] = STATE(6059),
    [sym_throws] = STATE(7467),
    [aux_sym_protocol_composition_type_repeat1] = STATE(1713),
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2878),
    [anon_sym_async] = ACTIONS(2878),
    [anon_sym_lazy] = ACTIONS(2878),
    [anon_sym_package] = ACTIONS(2878),
    [anon_sym_COMMA] = ACTIONS(2878),
    [anon_sym_BANG] = ACTIONS(2878),
    [anon_sym_DOT] = ACTIONS(2878),
    [anon_sym_AMP] = ACTIONS(2878),
    [anon_sym_LBRACE] = ACTIONS(2878),
    [anon_sym_RBRACE] = ACTIONS(2878),
    [anon_sym_case] = ACTIONS(2878),
    [anon_sym_import] = ACTIONS(2878),
    [anon_sym_typealias] = ACTIONS(2878),
    [anon_sym_struct] = ACTIONS(2878),
    [anon_sym_class] = ACTIONS(2878),
    [anon_sym_enum] = ACTIONS(2878),
    [anon_sym_protocol] = ACTIONS(2878),
    [anon_sym_let] = ACTIONS(2878),
    [anon_sym_var] = ACTIONS(2878),
    [anon_sym_func] = ACTIONS(2878),
    [anon_sym_extension] = ACTIONS(2878),
    [anon_sym_indirect] = ACTIONS(2878),
    [anon_sym_init] = ACTIONS(2878),
    [anon_sym_deinit] = ACTIONS(2878),
    [anon_sym_subscript] = ACTIONS(2878),
    [anon_sym_prefix] = ACTIONS(2878),
    [anon_sym_infix] = ACTIONS(2878),
    [anon_sym_postfix] = ACTIONS(2878),
    [anon_sym_precedencegroup] = ACTIONS(2878),
    [anon_sym_associatedtype] = ACTIONS(2878),
    [anon_sym_AT] = ACTIONS(2880),
    [anon_sym_override] = ACTIONS(2878),
    [anon_sym_convenience] = ACTIONS(2878),
    [anon_sym_required] = ACTIONS(2878),
    [anon_sym_nonisolated] = ACTIONS(2878),
    [anon_sym_public] = ACTIONS(2878),
    [anon_sym_private] = ACTIONS(2878),
    [anon_sym_internal] = ACTIONS(2878),
    [anon_sym_fileprivate] = ACTIONS(2878),
    [anon_sym_open] = ACTIONS(2878),
    [anon_sym_mutating] = ACTIONS(2878),
    [anon_sym_nonmutating] = ACTIONS(2878),
    [anon_sym_static] = ACTIONS(2878),
    [anon_sym_dynamic] = ACTIONS(2878),
    [anon_sym_optional] = ACTIONS(2878),
    [anon_sym_distributed] = ACTIONS(2878),
    [anon_sym_final] = ACTIONS(2878),
    [anon_sym_inout] = ACTIONS(2878),
    [anon_sym_ATescaping] = ACTIONS(2878),
    [anon_sym_ATautoclosure] = ACTIONS(2878),
    [anon_sym_weak] = ACTIONS(2878),
    [anon_sym_unowned] = ACTIONS(2880),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2878),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2878),
    [anon_sym_borrowing] = ACTIONS(2878),
    [anon_sym_consuming] = ACTIONS(2878),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2878),
    [sym__throws_keyword] = ACTIONS(2878),
    [sym__rethrows_keyword] = ACTIONS(2878),
    [sym__async_keyword_custom] = ACTIONS(2878),
  },
  [1585] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(3006),
    [aux_sym_simple_identifier_token2] = ACTIONS(3008),
    [aux_sym_simple_identifier_token3] = ACTIONS(3008),
    [aux_sym_simple_identifier_token4] = ACTIONS(3008),
    [anon_sym_actor] = ACTIONS(3006),
    [anon_sym_async] = ACTIONS(3006),
    [anon_sym_each] = ACTIONS(3006),
    [anon_sym_lazy] = ACTIONS(3006),
    [anon_sym_repeat] = ACTIONS(3006),
    [anon_sym_package] = ACTIONS(3006),
    [anon_sym_COMMA] = ACTIONS(3008),
    [anon_sym_LPAREN] = ACTIONS(3008),
    [anon_sym_LBRACK] = ACTIONS(3008),
    [anon_sym_QMARK] = ACTIONS(3006),
    [anon_sym_QMARK2] = ACTIONS(3008),
    [anon_sym_AMP] = ACTIONS(3008),
    [aux_sym_custom_operator_token1] = ACTIONS(3008),
    [anon_sym_LT] = ACTIONS(3006),
    [anon_sym_GT] = ACTIONS(3006),
    [anon_sym_LBRACE] = ACTIONS(3008),
    [anon_sym_CARET_LBRACE] = ACTIONS(3008),
    [anon_sym_RBRACE] = ACTIONS(3008),
    [anon_sym_PLUS_EQ] = ACTIONS(3008),
    [anon_sym_DASH_EQ] = ACTIONS(3008),
    [anon_sym_STAR_EQ] = ACTIONS(3008),
    [anon_sym_SLASH_EQ] = ACTIONS(3008),
    [anon_sym_PERCENT_EQ] = ACTIONS(3008),
    [anon_sym_BANG_EQ] = ACTIONS(3006),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3008),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3008),
    [anon_sym_LT_EQ] = ACTIONS(3008),
    [anon_sym_GT_EQ] = ACTIONS(3008),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3008),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3008),
    [anon_sym_is] = ACTIONS(3006),
    [anon_sym_PLUS] = ACTIONS(3006),
    [anon_sym_DASH] = ACTIONS(3006),
    [anon_sym_STAR] = ACTIONS(3006),
    [anon_sym_SLASH] = ACTIONS(3006),
    [anon_sym_PERCENT] = ACTIONS(3006),
    [anon_sym_PLUS_PLUS] = ACTIONS(3008),
    [anon_sym_DASH_DASH] = ACTIONS(3008),
    [anon_sym_PIPE] = ACTIONS(3008),
    [anon_sym_CARET] = ACTIONS(3006),
    [anon_sym_LT_LT] = ACTIONS(3008),
    [anon_sym_GT_GT] = ACTIONS(3008),
    [anon_sym_BANG2] = ACTIONS(3006),
    [anon_sym_borrowing] = ACTIONS(3006),
    [anon_sym_consuming] = ACTIONS(3006),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(3008),
    [sym__implicit_semi] = ACTIONS(3008),
    [sym__explicit_semi] = ACTIONS(3008),
    [sym__dot_custom] = ACTIONS(3008),
    [sym__conjunction_operator_custom] = ACTIONS(3008),
    [sym__disjunction_operator_custom] = ACTIONS(3008),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3008),
    [sym__eq_custom] = ACTIONS(3008),
    [sym__eq_eq_custom] = ACTIONS(3008),
    [sym__plus_then_ws] = ACTIONS(3008),
    [sym__minus_then_ws] = ACTIONS(3008),
    [sym__bang_custom] = ACTIONS(3008),
    [sym__as_custom] = ACTIONS(3008),
    [sym__as_quest_custom] = ACTIONS(3008),
    [sym__as_bang_custom] = ACTIONS(3008),
    [sym__custom_operator] = ACTIONS(3008),
  },
  [1586] = {
    [ts_builtin_sym_end] = ACTIONS(3024),
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(3018),
    [aux_sym_simple_identifier_token2] = ACTIONS(3020),
    [aux_sym_simple_identifier_token3] = ACTIONS(3020),
    [aux_sym_simple_identifier_token4] = ACTIONS(3020),
    [anon_sym_actor] = ACTIONS(3018),
    [anon_sym_async] = ACTIONS(3018),
    [anon_sym_each] = ACTIONS(3018),
    [anon_sym_lazy] = ACTIONS(3018),
    [anon_sym_repeat] = ACTIONS(3018),
    [anon_sym_package] = ACTIONS(3018),
    [anon_sym_LPAREN] = ACTIONS(3020),
    [anon_sym_LBRACK] = ACTIONS(3020),
    [anon_sym_QMARK] = ACTIONS(3018),
    [anon_sym_QMARK2] = ACTIONS(3020),
    [anon_sym_AMP] = ACTIONS(3020),
    [aux_sym_custom_operator_token1] = ACTIONS(3020),
    [anon_sym_LT] = ACTIONS(3018),
    [anon_sym_GT] = ACTIONS(3018),
    [anon_sym_LBRACE] = ACTIONS(3020),
    [anon_sym_CARET_LBRACE] = ACTIONS(3020),
    [anon_sym_RBRACE] = ACTIONS(3024),
    [anon_sym_PLUS_EQ] = ACTIONS(3020),
    [anon_sym_DASH_EQ] = ACTIONS(3020),
    [anon_sym_STAR_EQ] = ACTIONS(3020),
    [anon_sym_SLASH_EQ] = ACTIONS(3020),
    [anon_sym_PERCENT_EQ] = ACTIONS(3020),
    [anon_sym_BANG_EQ] = ACTIONS(3018),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3020),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3020),
    [anon_sym_LT_EQ] = ACTIONS(3020),
    [anon_sym_GT_EQ] = ACTIONS(3020),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3020),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3020),
    [anon_sym_is] = ACTIONS(3018),
    [anon_sym_PLUS] = ACTIONS(3018),
    [anon_sym_DASH] = ACTIONS(3018),
    [anon_sym_STAR] = ACTIONS(3018),
    [anon_sym_SLASH] = ACTIONS(3018),
    [anon_sym_PERCENT] = ACTIONS(3018),
    [anon_sym_PLUS_PLUS] = ACTIONS(3020),
    [anon_sym_DASH_DASH] = ACTIONS(3020),
    [anon_sym_PIPE] = ACTIONS(3020),
    [anon_sym_CARET] = ACTIONS(3018),
    [anon_sym_LT_LT] = ACTIONS(3020),
    [anon_sym_GT_GT] = ACTIONS(3020),
    [anon_sym_BANG2] = ACTIONS(3018),
    [anon_sym_borrowing] = ACTIONS(3018),
    [anon_sym_consuming] = ACTIONS(3018),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(3024),
    [sym__explicit_semi] = ACTIONS(3024),
    [sym__dot_custom] = ACTIONS(3020),
    [sym__conjunction_operator_custom] = ACTIONS(3020),
    [sym__disjunction_operator_custom] = ACTIONS(3020),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3020),
    [sym__eq_custom] = ACTIONS(3020),
    [sym__eq_eq_custom] = ACTIONS(3020),
    [sym__plus_then_ws] = ACTIONS(3020),
    [sym__minus_then_ws] = ACTIONS(3020),
    [sym__bang_custom] = ACTIONS(3020),
    [sym__as_custom] = ACTIONS(3020),
    [sym__as_quest_custom] = ACTIONS(3020),
    [sym__as_bang_custom] = ACTIONS(3020),
    [sym__custom_operator] = ACTIONS(3020),
  },
  [1587] = {
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2798),
    [anon_sym_async] = ACTIONS(2798),
    [anon_sym_lazy] = ACTIONS(2798),
    [anon_sym_package] = ACTIONS(2798),
    [anon_sym_COMMA] = ACTIONS(2798),
    [anon_sym_BANG] = ACTIONS(2798),
    [anon_sym_DOT] = ACTIONS(2798),
    [anon_sym_QMARK2] = ACTIONS(2798),
    [anon_sym_AMP] = ACTIONS(2798),
    [anon_sym_LBRACE] = ACTIONS(2798),
    [anon_sym_RBRACE] = ACTIONS(2798),
    [anon_sym_case] = ACTIONS(2798),
    [anon_sym_import] = ACTIONS(2798),
    [anon_sym_typealias] = ACTIONS(2798),
    [anon_sym_struct] = ACTIONS(2798),
    [anon_sym_class] = ACTIONS(2798),
    [anon_sym_enum] = ACTIONS(2798),
    [anon_sym_protocol] = ACTIONS(2798),
    [anon_sym_let] = ACTIONS(2798),
    [anon_sym_var] = ACTIONS(2798),
    [anon_sym_func] = ACTIONS(2798),
    [anon_sym_extension] = ACTIONS(2798),
    [anon_sym_indirect] = ACTIONS(2798),
    [anon_sym_init] = ACTIONS(2798),
    [anon_sym_deinit] = ACTIONS(2798),
    [anon_sym_subscript] = ACTIONS(2798),
    [anon_sym_prefix] = ACTIONS(2798),
    [anon_sym_infix] = ACTIONS(2798),
    [anon_sym_postfix] = ACTIONS(2798),
    [anon_sym_precedencegroup] = ACTIONS(2798),
    [anon_sym_associatedtype] = ACTIONS(2798),
    [anon_sym_AT] = ACTIONS(2800),
    [anon_sym_override] = ACTIONS(2798),
    [anon_sym_convenience] = ACTIONS(2798),
    [anon_sym_required] = ACTIONS(2798),
    [anon_sym_nonisolated] = ACTIONS(2798),
    [anon_sym_public] = ACTIONS(2798),
    [anon_sym_private] = ACTIONS(2798),
    [anon_sym_internal] = ACTIONS(2798),
    [anon_sym_fileprivate] = ACTIONS(2798),
    [anon_sym_open] = ACTIONS(2798),
    [anon_sym_mutating] = ACTIONS(2798),
    [anon_sym_nonmutating] = ACTIONS(2798),
    [anon_sym_static] = ACTIONS(2798),
    [anon_sym_dynamic] = ACTIONS(2798),
    [anon_sym_optional] = ACTIONS(2798),
    [anon_sym_distributed] = ACTIONS(2798),
    [anon_sym_final] = ACTIONS(2798),
    [anon_sym_inout] = ACTIONS(2798),
    [anon_sym_ATescaping] = ACTIONS(2798),
    [anon_sym_ATautoclosure] = ACTIONS(2798),
    [anon_sym_weak] = ACTIONS(2798),
    [anon_sym_unowned] = ACTIONS(2800),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2798),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2798),
    [anon_sym_borrowing] = ACTIONS(2798),
    [anon_sym_consuming] = ACTIONS(2798),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2798),
    [sym__dot_custom] = ACTIONS(2798),
    [sym__eq_custom] = ACTIONS(2798),
    [sym__throws_keyword] = ACTIONS(2798),
    [sym__rethrows_keyword] = ACTIONS(2798),
    [sym_where_keyword] = ACTIONS(2798),
    [sym__async_keyword_custom] = ACTIONS(2798),
  },
  [1588] = {
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2975),
    [anon_sym_async] = ACTIONS(2975),
    [anon_sym_lazy] = ACTIONS(2975),
    [anon_sym_package] = ACTIONS(2975),
    [anon_sym_RPAREN] = ACTIONS(2975),
    [anon_sym_COMMA] = ACTIONS(2975),
    [anon_sym_BANG] = ACTIONS(2975),
    [anon_sym_DOT] = ACTIONS(2977),
    [anon_sym_QMARK2] = ACTIONS(2975),
    [anon_sym_AMP] = ACTIONS(2975),
    [anon_sym_LBRACE] = ACTIONS(2975),
    [anon_sym_RBRACE] = ACTIONS(2975),
    [anon_sym_case] = ACTIONS(2975),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2975),
    [anon_sym_import] = ACTIONS(2975),
    [anon_sym_typealias] = ACTIONS(2975),
    [anon_sym_struct] = ACTIONS(2975),
    [anon_sym_class] = ACTIONS(2975),
    [anon_sym_enum] = ACTIONS(2975),
    [anon_sym_protocol] = ACTIONS(2975),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_var] = ACTIONS(2975),
    [anon_sym_func] = ACTIONS(2975),
    [anon_sym_extension] = ACTIONS(2975),
    [anon_sym_indirect] = ACTIONS(2975),
    [anon_sym_init] = ACTIONS(2975),
    [anon_sym_deinit] = ACTIONS(2975),
    [anon_sym_subscript] = ACTIONS(2975),
    [anon_sym_prefix] = ACTIONS(2975),
    [anon_sym_infix] = ACTIONS(2975),
    [anon_sym_postfix] = ACTIONS(2975),
    [anon_sym_precedencegroup] = ACTIONS(2975),
    [anon_sym_associatedtype] = ACTIONS(2975),
    [anon_sym_AT] = ACTIONS(2977),
    [anon_sym_override] = ACTIONS(2975),
    [anon_sym_convenience] = ACTIONS(2975),
    [anon_sym_required] = ACTIONS(2975),
    [anon_sym_nonisolated] = ACTIONS(2975),
    [anon_sym_public] = ACTIONS(2975),
    [anon_sym_private] = ACTIONS(2975),
    [anon_sym_internal] = ACTIONS(2975),
    [anon_sym_fileprivate] = ACTIONS(2975),
    [anon_sym_open] = ACTIONS(2975),
    [anon_sym_mutating] = ACTIONS(2975),
    [anon_sym_nonmutating] = ACTIONS(2975),
    [anon_sym_static] = ACTIONS(2975),
    [anon_sym_dynamic] = ACTIONS(2975),
    [anon_sym_optional] = ACTIONS(2975),
    [anon_sym_distributed] = ACTIONS(2975),
    [anon_sym_final] = ACTIONS(2975),
    [anon_sym_inout] = ACTIONS(2975),
    [anon_sym_ATescaping] = ACTIONS(2975),
    [anon_sym_ATautoclosure] = ACTIONS(2975),
    [anon_sym_weak] = ACTIONS(2975),
    [anon_sym_unowned] = ACTIONS(2977),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2975),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2975),
    [anon_sym_borrowing] = ACTIONS(2975),
    [anon_sym_consuming] = ACTIONS(2975),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2975),
    [sym__eq_custom] = ACTIONS(2975),
    [sym__throws_keyword] = ACTIONS(2975),
    [sym__rethrows_keyword] = ACTIONS(2975),
    [sym__async_keyword_custom] = ACTIONS(2975),
  },
  [1589] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(3010),
    [aux_sym_simple_identifier_token2] = ACTIONS(3012),
    [aux_sym_simple_identifier_token3] = ACTIONS(3012),
    [aux_sym_simple_identifier_token4] = ACTIONS(3012),
    [anon_sym_actor] = ACTIONS(3010),
    [anon_sym_async] = ACTIONS(3010),
    [anon_sym_each] = ACTIONS(3010),
    [anon_sym_lazy] = ACTIONS(3010),
    [anon_sym_repeat] = ACTIONS(3010),
    [anon_sym_package] = ACTIONS(3010),
    [anon_sym_COMMA] = ACTIONS(3012),
    [anon_sym_LPAREN] = ACTIONS(3012),
    [anon_sym_LBRACK] = ACTIONS(3012),
    [anon_sym_QMARK] = ACTIONS(3010),
    [anon_sym_QMARK2] = ACTIONS(3012),
    [anon_sym_AMP] = ACTIONS(3012),
    [aux_sym_custom_operator_token1] = ACTIONS(3012),
    [anon_sym_LT] = ACTIONS(3010),
    [anon_sym_GT] = ACTIONS(3010),
    [anon_sym_LBRACE] = ACTIONS(3012),
    [anon_sym_CARET_LBRACE] = ACTIONS(3012),
    [anon_sym_RBRACE] = ACTIONS(3012),
    [anon_sym_PLUS_EQ] = ACTIONS(3012),
    [anon_sym_DASH_EQ] = ACTIONS(3012),
    [anon_sym_STAR_EQ] = ACTIONS(3012),
    [anon_sym_SLASH_EQ] = ACTIONS(3012),
    [anon_sym_PERCENT_EQ] = ACTIONS(3012),
    [anon_sym_BANG_EQ] = ACTIONS(3010),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3012),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3012),
    [anon_sym_LT_EQ] = ACTIONS(3012),
    [anon_sym_GT_EQ] = ACTIONS(3012),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3012),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3012),
    [anon_sym_is] = ACTIONS(3010),
    [anon_sym_PLUS] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3010),
    [anon_sym_STAR] = ACTIONS(3010),
    [anon_sym_SLASH] = ACTIONS(3010),
    [anon_sym_PERCENT] = ACTIONS(3010),
    [anon_sym_PLUS_PLUS] = ACTIONS(3012),
    [anon_sym_DASH_DASH] = ACTIONS(3012),
    [anon_sym_PIPE] = ACTIONS(3012),
    [anon_sym_CARET] = ACTIONS(3010),
    [anon_sym_LT_LT] = ACTIONS(3012),
    [anon_sym_GT_GT] = ACTIONS(3012),
    [anon_sym_BANG2] = ACTIONS(3010),
    [anon_sym_borrowing] = ACTIONS(3010),
    [anon_sym_consuming] = ACTIONS(3010),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(3012),
    [sym__implicit_semi] = ACTIONS(3012),
    [sym__explicit_semi] = ACTIONS(3012),
    [sym__dot_custom] = ACTIONS(3012),
    [sym__conjunction_operator_custom] = ACTIONS(3012),
    [sym__disjunction_operator_custom] = ACTIONS(3012),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3012),
    [sym__eq_custom] = ACTIONS(3012),
    [sym__eq_eq_custom] = ACTIONS(3012),
    [sym__plus_then_ws] = ACTIONS(3012),
    [sym__minus_then_ws] = ACTIONS(3012),
    [sym__bang_custom] = ACTIONS(3012),
    [sym__as_custom] = ACTIONS(3012),
    [sym__as_quest_custom] = ACTIONS(3012),
    [sym__as_bang_custom] = ACTIONS(3012),
    [sym__custom_operator] = ACTIONS(3012),
  },
  [1590] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(3029),
    [aux_sym_simple_identifier_token2] = ACTIONS(3031),
    [aux_sym_simple_identifier_token3] = ACTIONS(3031),
    [aux_sym_simple_identifier_token4] = ACTIONS(3031),
    [anon_sym_actor] = ACTIONS(3029),
    [anon_sym_async] = ACTIONS(3029),
    [anon_sym_each] = ACTIONS(3029),
    [anon_sym_lazy] = ACTIONS(3029),
    [anon_sym_repeat] = ACTIONS(3029),
    [anon_sym_package] = ACTIONS(3029),
    [anon_sym_COMMA] = ACTIONS(3031),
    [anon_sym_LPAREN] = ACTIONS(3031),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_QMARK] = ACTIONS(3029),
    [anon_sym_QMARK2] = ACTIONS(3031),
    [anon_sym_AMP] = ACTIONS(3031),
    [aux_sym_custom_operator_token1] = ACTIONS(3031),
    [anon_sym_LT] = ACTIONS(3029),
    [anon_sym_GT] = ACTIONS(3029),
    [anon_sym_LBRACE] = ACTIONS(3031),
    [anon_sym_CARET_LBRACE] = ACTIONS(3031),
    [anon_sym_RBRACE] = ACTIONS(3031),
    [anon_sym_PLUS_EQ] = ACTIONS(3031),
    [anon_sym_DASH_EQ] = ACTIONS(3031),
    [anon_sym_STAR_EQ] = ACTIONS(3031),
    [anon_sym_SLASH_EQ] = ACTIONS(3031),
    [anon_sym_PERCENT_EQ] = ACTIONS(3031),
    [anon_sym_BANG_EQ] = ACTIONS(3029),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3031),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3031),
    [anon_sym_LT_EQ] = ACTIONS(3031),
    [anon_sym_GT_EQ] = ACTIONS(3031),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3031),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3031),
    [anon_sym_is] = ACTIONS(3029),
    [anon_sym_PLUS] = ACTIONS(3029),
    [anon_sym_DASH] = ACTIONS(3029),
    [anon_sym_STAR] = ACTIONS(3029),
    [anon_sym_SLASH] = ACTIONS(3029),
    [anon_sym_PERCENT] = ACTIONS(3029),
    [anon_sym_PLUS_PLUS] = ACTIONS(3031),
    [anon_sym_DASH_DASH] = ACTIONS(3031),
    [anon_sym_PIPE] = ACTIONS(3031),
    [anon_sym_CARET] = ACTIONS(3029),
    [anon_sym_LT_LT] = ACTIONS(3031),
    [anon_sym_GT_GT] = ACTIONS(3031),
    [anon_sym_BANG2] = ACTIONS(3029),
    [anon_sym_borrowing] = ACTIONS(3029),
    [anon_sym_consuming] = ACTIONS(3029),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(3031),
    [sym__implicit_semi] = ACTIONS(3031),
    [sym__explicit_semi] = ACTIONS(3031),
    [sym__dot_custom] = ACTIONS(3031),
    [sym__conjunction_operator_custom] = ACTIONS(3031),
    [sym__disjunction_operator_custom] = ACTIONS(3031),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3031),
    [sym__eq_custom] = ACTIONS(3031),
    [sym__eq_eq_custom] = ACTIONS(3031),
    [sym__plus_then_ws] = ACTIONS(3031),
    [sym__minus_then_ws] = ACTIONS(3031),
    [sym__bang_custom] = ACTIONS(3031),
    [sym__as_custom] = ACTIONS(3031),
    [sym__as_quest_custom] = ACTIONS(3031),
    [sym__as_bang_custom] = ACTIONS(3031),
    [sym__custom_operator] = ACTIONS(3031),
  },
  [1591] = {
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2979),
    [anon_sym_async] = ACTIONS(2979),
    [anon_sym_lazy] = ACTIONS(2979),
    [anon_sym_package] = ACTIONS(2979),
    [anon_sym_COMMA] = ACTIONS(2979),
    [anon_sym_COLON] = ACTIONS(2979),
    [anon_sym_DOT] = ACTIONS(2979),
    [anon_sym_QMARK] = ACTIONS(2979),
    [anon_sym_AMP] = ACTIONS(2979),
    [anon_sym_LBRACE] = ACTIONS(2979),
    [anon_sym_RBRACE] = ACTIONS(2979),
    [anon_sym_case] = ACTIONS(2979),
    [anon_sym_import] = ACTIONS(2979),
    [anon_sym_typealias] = ACTIONS(2979),
    [anon_sym_struct] = ACTIONS(2979),
    [anon_sym_class] = ACTIONS(2979),
    [anon_sym_enum] = ACTIONS(2979),
    [anon_sym_protocol] = ACTIONS(2979),
    [anon_sym_let] = ACTIONS(2979),
    [anon_sym_var] = ACTIONS(2979),
    [anon_sym_func] = ACTIONS(2979),
    [anon_sym_extension] = ACTIONS(2979),
    [anon_sym_indirect] = ACTIONS(2979),
    [anon_sym_init] = ACTIONS(2979),
    [anon_sym_deinit] = ACTIONS(2979),
    [anon_sym_subscript] = ACTIONS(2979),
    [anon_sym_prefix] = ACTIONS(2979),
    [anon_sym_infix] = ACTIONS(2979),
    [anon_sym_postfix] = ACTIONS(2979),
    [anon_sym_precedencegroup] = ACTIONS(2979),
    [anon_sym_associatedtype] = ACTIONS(2979),
    [anon_sym_AT] = ACTIONS(2981),
    [anon_sym_override] = ACTIONS(2979),
    [anon_sym_convenience] = ACTIONS(2979),
    [anon_sym_required] = ACTIONS(2979),
    [anon_sym_nonisolated] = ACTIONS(2979),
    [anon_sym_public] = ACTIONS(2979),
    [anon_sym_private] = ACTIONS(2979),
    [anon_sym_internal] = ACTIONS(2979),
    [anon_sym_fileprivate] = ACTIONS(2979),
    [anon_sym_open] = ACTIONS(2979),
    [anon_sym_mutating] = ACTIONS(2979),
    [anon_sym_nonmutating] = ACTIONS(2979),
    [anon_sym_static] = ACTIONS(2979),
    [anon_sym_dynamic] = ACTIONS(2979),
    [anon_sym_optional] = ACTIONS(2979),
    [anon_sym_distributed] = ACTIONS(2979),
    [anon_sym_final] = ACTIONS(2979),
    [anon_sym_inout] = ACTIONS(2979),
    [anon_sym_ATescaping] = ACTIONS(2979),
    [anon_sym_ATautoclosure] = ACTIONS(2979),
    [anon_sym_weak] = ACTIONS(2979),
    [anon_sym_unowned] = ACTIONS(2981),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2979),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2979),
    [anon_sym_borrowing] = ACTIONS(2979),
    [anon_sym_consuming] = ACTIONS(2979),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2979),
    [sym__eq_custom] = ACTIONS(2979),
    [sym__throws_keyword] = ACTIONS(2979),
    [sym__rethrows_keyword] = ACTIONS(2979),
    [sym_where_keyword] = ACTIONS(2979),
    [sym__as_custom] = ACTIONS(2979),
    [sym__async_keyword_custom] = ACTIONS(2979),
  },
  [1592] = {
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2951),
    [anon_sym_async] = ACTIONS(2951),
    [anon_sym_lazy] = ACTIONS(2951),
    [anon_sym_package] = ACTIONS(2951),
    [anon_sym_COMMA] = ACTIONS(2951),
    [anon_sym_COLON] = ACTIONS(2951),
    [anon_sym_DOT] = ACTIONS(2951),
    [anon_sym_QMARK] = ACTIONS(2951),
    [anon_sym_AMP] = ACTIONS(2951),
    [anon_sym_LBRACE] = ACTIONS(2951),
    [anon_sym_RBRACE] = ACTIONS(2951),
    [anon_sym_case] = ACTIONS(2951),
    [anon_sym_import] = ACTIONS(2951),
    [anon_sym_typealias] = ACTIONS(2951),
    [anon_sym_struct] = ACTIONS(2951),
    [anon_sym_class] = ACTIONS(2951),
    [anon_sym_enum] = ACTIONS(2951),
    [anon_sym_protocol] = ACTIONS(2951),
    [anon_sym_let] = ACTIONS(2951),
    [anon_sym_var] = ACTIONS(2951),
    [anon_sym_func] = ACTIONS(2951),
    [anon_sym_extension] = ACTIONS(2951),
    [anon_sym_indirect] = ACTIONS(2951),
    [anon_sym_init] = ACTIONS(2951),
    [anon_sym_deinit] = ACTIONS(2951),
    [anon_sym_subscript] = ACTIONS(2951),
    [anon_sym_prefix] = ACTIONS(2951),
    [anon_sym_infix] = ACTIONS(2951),
    [anon_sym_postfix] = ACTIONS(2951),
    [anon_sym_precedencegroup] = ACTIONS(2951),
    [anon_sym_associatedtype] = ACTIONS(2951),
    [anon_sym_AT] = ACTIONS(2953),
    [anon_sym_override] = ACTIONS(2951),
    [anon_sym_convenience] = ACTIONS(2951),
    [anon_sym_required] = ACTIONS(2951),
    [anon_sym_nonisolated] = ACTIONS(2951),
    [anon_sym_public] = ACTIONS(2951),
    [anon_sym_private] = ACTIONS(2951),
    [anon_sym_internal] = ACTIONS(2951),
    [anon_sym_fileprivate] = ACTIONS(2951),
    [anon_sym_open] = ACTIONS(2951),
    [anon_sym_mutating] = ACTIONS(2951),
    [anon_sym_nonmutating] = ACTIONS(2951),
    [anon_sym_static] = ACTIONS(2951),
    [anon_sym_dynamic] = ACTIONS(2951),
    [anon_sym_optional] = ACTIONS(2951),
    [anon_sym_distributed] = ACTIONS(2951),
    [anon_sym_final] = ACTIONS(2951),
    [anon_sym_inout] = ACTIONS(2951),
    [anon_sym_ATescaping] = ACTIONS(2951),
    [anon_sym_ATautoclosure] = ACTIONS(2951),
    [anon_sym_weak] = ACTIONS(2951),
    [anon_sym_unowned] = ACTIONS(2953),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2951),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2951),
    [anon_sym_borrowing] = ACTIONS(2951),
    [anon_sym_consuming] = ACTIONS(2951),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2951),
    [sym__eq_custom] = ACTIONS(2951),
    [sym__throws_keyword] = ACTIONS(2951),
    [sym__rethrows_keyword] = ACTIONS(2951),
    [sym_where_keyword] = ACTIONS(2951),
    [sym__as_custom] = ACTIONS(2951),
    [sym__async_keyword_custom] = ACTIONS(2951),
  },
  [1593] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(3033),
    [aux_sym_simple_identifier_token2] = ACTIONS(3035),
    [aux_sym_simple_identifier_token3] = ACTIONS(3035),
    [aux_sym_simple_identifier_token4] = ACTIONS(3035),
    [anon_sym_actor] = ACTIONS(3033),
    [anon_sym_async] = ACTIONS(3033),
    [anon_sym_each] = ACTIONS(3033),
    [anon_sym_lazy] = ACTIONS(3033),
    [anon_sym_repeat] = ACTIONS(3033),
    [anon_sym_package] = ACTIONS(3033),
    [anon_sym_COMMA] = ACTIONS(3035),
    [anon_sym_LPAREN] = ACTIONS(3035),
    [anon_sym_LBRACK] = ACTIONS(3035),
    [anon_sym_QMARK] = ACTIONS(3033),
    [anon_sym_QMARK2] = ACTIONS(3035),
    [anon_sym_AMP] = ACTIONS(3035),
    [aux_sym_custom_operator_token1] = ACTIONS(3035),
    [anon_sym_LT] = ACTIONS(3033),
    [anon_sym_GT] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_CARET_LBRACE] = ACTIONS(3035),
    [anon_sym_RBRACE] = ACTIONS(3035),
    [anon_sym_PLUS_EQ] = ACTIONS(3035),
    [anon_sym_DASH_EQ] = ACTIONS(3035),
    [anon_sym_STAR_EQ] = ACTIONS(3035),
    [anon_sym_SLASH_EQ] = ACTIONS(3035),
    [anon_sym_PERCENT_EQ] = ACTIONS(3035),
    [anon_sym_BANG_EQ] = ACTIONS(3033),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3035),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3035),
    [anon_sym_LT_EQ] = ACTIONS(3035),
    [anon_sym_GT_EQ] = ACTIONS(3035),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3035),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3035),
    [anon_sym_is] = ACTIONS(3033),
    [anon_sym_PLUS] = ACTIONS(3033),
    [anon_sym_DASH] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3033),
    [anon_sym_SLASH] = ACTIONS(3033),
    [anon_sym_PERCENT] = ACTIONS(3033),
    [anon_sym_PLUS_PLUS] = ACTIONS(3035),
    [anon_sym_DASH_DASH] = ACTIONS(3035),
    [anon_sym_PIPE] = ACTIONS(3035),
    [anon_sym_CARET] = ACTIONS(3033),
    [anon_sym_LT_LT] = ACTIONS(3035),
    [anon_sym_GT_GT] = ACTIONS(3035),
    [anon_sym_BANG2] = ACTIONS(3033),
    [anon_sym_borrowing] = ACTIONS(3033),
    [anon_sym_consuming] = ACTIONS(3033),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(3035),
    [sym__implicit_semi] = ACTIONS(3035),
    [sym__explicit_semi] = ACTIONS(3035),
    [sym__dot_custom] = ACTIONS(3035),
    [sym__conjunction_operator_custom] = ACTIONS(3035),
    [sym__disjunction_operator_custom] = ACTIONS(3035),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3035),
    [sym__eq_custom] = ACTIONS(3035),
    [sym__eq_eq_custom] = ACTIONS(3035),
    [sym__plus_then_ws] = ACTIONS(3035),
    [sym__minus_then_ws] = ACTIONS(3035),
    [sym__bang_custom] = ACTIONS(3035),
    [sym__as_custom] = ACTIONS(3035),
    [sym__as_quest_custom] = ACTIONS(3035),
    [sym__as_bang_custom] = ACTIONS(3035),
    [sym__custom_operator] = ACTIONS(3035),
  },
  [1594] = {
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2910),
    [anon_sym_async] = ACTIONS(2910),
    [anon_sym_lazy] = ACTIONS(2910),
    [anon_sym_package] = ACTIONS(2910),
    [anon_sym_RPAREN] = ACTIONS(2910),
    [anon_sym_COMMA] = ACTIONS(2910),
    [anon_sym_BANG] = ACTIONS(2910),
    [anon_sym_DOT] = ACTIONS(2912),
    [anon_sym_QMARK2] = ACTIONS(2910),
    [anon_sym_AMP] = ACTIONS(2910),
    [anon_sym_LBRACE] = ACTIONS(2910),
    [anon_sym_RBRACE] = ACTIONS(2910),
    [anon_sym_case] = ACTIONS(2910),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2910),
    [anon_sym_import] = ACTIONS(2910),
    [anon_sym_typealias] = ACTIONS(2910),
    [anon_sym_struct] = ACTIONS(2910),
    [anon_sym_class] = ACTIONS(2910),
    [anon_sym_enum] = ACTIONS(2910),
    [anon_sym_protocol] = ACTIONS(2910),
    [anon_sym_let] = ACTIONS(2910),
    [anon_sym_var] = ACTIONS(2910),
    [anon_sym_func] = ACTIONS(2910),
    [anon_sym_extension] = ACTIONS(2910),
    [anon_sym_indirect] = ACTIONS(2910),
    [anon_sym_init] = ACTIONS(2910),
    [anon_sym_deinit] = ACTIONS(2910),
    [anon_sym_subscript] = ACTIONS(2910),
    [anon_sym_prefix] = ACTIONS(2910),
    [anon_sym_infix] = ACTIONS(2910),
    [anon_sym_postfix] = ACTIONS(2910),
    [anon_sym_precedencegroup] = ACTIONS(2910),
    [anon_sym_associatedtype] = ACTIONS(2910),
    [anon_sym_AT] = ACTIONS(2912),
    [anon_sym_override] = ACTIONS(2910),
    [anon_sym_convenience] = ACTIONS(2910),
    [anon_sym_required] = ACTIONS(2910),
    [anon_sym_nonisolated] = ACTIONS(2910),
    [anon_sym_public] = ACTIONS(2910),
    [anon_sym_private] = ACTIONS(2910),
    [anon_sym_internal] = ACTIONS(2910),
    [anon_sym_fileprivate] = ACTIONS(2910),
    [anon_sym_open] = ACTIONS(2910),
    [anon_sym_mutating] = ACTIONS(2910),
    [anon_sym_nonmutating] = ACTIONS(2910),
    [anon_sym_static] = ACTIONS(2910),
    [anon_sym_dynamic] = ACTIONS(2910),
    [anon_sym_optional] = ACTIONS(2910),
    [anon_sym_distributed] = ACTIONS(2910),
    [anon_sym_final] = ACTIONS(2910),
    [anon_sym_inout] = ACTIONS(2910),
    [anon_sym_ATescaping] = ACTIONS(2910),
    [anon_sym_ATautoclosure] = ACTIONS(2910),
    [anon_sym_weak] = ACTIONS(2910),
    [anon_sym_unowned] = ACTIONS(2912),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2910),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2910),
    [anon_sym_borrowing] = ACTIONS(2910),
    [anon_sym_consuming] = ACTIONS(2910),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2910),
    [sym__eq_custom] = ACTIONS(2910),
    [sym__throws_keyword] = ACTIONS(2910),
    [sym__rethrows_keyword] = ACTIONS(2910),
    [sym__async_keyword_custom] = ACTIONS(2910),
  },
  [1595] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(3029),
    [aux_sym_simple_identifier_token2] = ACTIONS(3031),
    [aux_sym_simple_identifier_token3] = ACTIONS(3031),
    [aux_sym_simple_identifier_token4] = ACTIONS(3031),
    [anon_sym_actor] = ACTIONS(3029),
    [anon_sym_async] = ACTIONS(3029),
    [anon_sym_each] = ACTIONS(3029),
    [anon_sym_lazy] = ACTIONS(3029),
    [anon_sym_repeat] = ACTIONS(3029),
    [anon_sym_package] = ACTIONS(3029),
    [anon_sym_RPAREN] = ACTIONS(3031),
    [anon_sym_COMMA] = ACTIONS(3031),
    [anon_sym_COLON] = ACTIONS(3031),
    [anon_sym_LPAREN] = ACTIONS(3031),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_RBRACK] = ACTIONS(3031),
    [anon_sym_QMARK] = ACTIONS(3029),
    [anon_sym_QMARK2] = ACTIONS(3031),
    [anon_sym_AMP] = ACTIONS(3031),
    [aux_sym_custom_operator_token1] = ACTIONS(3031),
    [anon_sym_LT] = ACTIONS(3029),
    [anon_sym_GT] = ACTIONS(3029),
    [anon_sym_LBRACE] = ACTIONS(3031),
    [anon_sym_CARET_LBRACE] = ACTIONS(3031),
    [anon_sym_PLUS_EQ] = ACTIONS(3031),
    [anon_sym_DASH_EQ] = ACTIONS(3031),
    [anon_sym_STAR_EQ] = ACTIONS(3031),
    [anon_sym_SLASH_EQ] = ACTIONS(3031),
    [anon_sym_PERCENT_EQ] = ACTIONS(3031),
    [anon_sym_BANG_EQ] = ACTIONS(3029),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3031),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3031),
    [anon_sym_LT_EQ] = ACTIONS(3031),
    [anon_sym_GT_EQ] = ACTIONS(3031),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3031),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3031),
    [anon_sym_is] = ACTIONS(3029),
    [anon_sym_PLUS] = ACTIONS(3029),
    [anon_sym_DASH] = ACTIONS(3029),
    [anon_sym_STAR] = ACTIONS(3029),
    [anon_sym_SLASH] = ACTIONS(3029),
    [anon_sym_PERCENT] = ACTIONS(3029),
    [anon_sym_PLUS_PLUS] = ACTIONS(3031),
    [anon_sym_DASH_DASH] = ACTIONS(3031),
    [anon_sym_PIPE] = ACTIONS(3031),
    [anon_sym_CARET] = ACTIONS(3029),
    [anon_sym_LT_LT] = ACTIONS(3031),
    [anon_sym_GT_GT] = ACTIONS(3031),
    [anon_sym_BANG2] = ACTIONS(3029),
    [anon_sym_borrowing] = ACTIONS(3029),
    [anon_sym_consuming] = ACTIONS(3029),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3031),
    [sym__conjunction_operator_custom] = ACTIONS(3031),
    [sym__disjunction_operator_custom] = ACTIONS(3031),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3031),
    [sym__eq_custom] = ACTIONS(3031),
    [sym__eq_eq_custom] = ACTIONS(3031),
    [sym__plus_then_ws] = ACTIONS(3031),
    [sym__minus_then_ws] = ACTIONS(3031),
    [sym__bang_custom] = ACTIONS(3031),
    [sym__as_custom] = ACTIONS(3031),
    [sym__as_quest_custom] = ACTIONS(3031),
    [sym__as_bang_custom] = ACTIONS(3031),
    [sym__custom_operator] = ACTIONS(3031),
  },
  [1596] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(3010),
    [aux_sym_simple_identifier_token2] = ACTIONS(3012),
    [aux_sym_simple_identifier_token3] = ACTIONS(3012),
    [aux_sym_simple_identifier_token4] = ACTIONS(3012),
    [anon_sym_actor] = ACTIONS(3010),
    [anon_sym_async] = ACTIONS(3010),
    [anon_sym_each] = ACTIONS(3010),
    [anon_sym_lazy] = ACTIONS(3010),
    [anon_sym_repeat] = ACTIONS(3010),
    [anon_sym_package] = ACTIONS(3010),
    [anon_sym_RPAREN] = ACTIONS(3012),
    [anon_sym_COMMA] = ACTIONS(3012),
    [anon_sym_COLON] = ACTIONS(3012),
    [anon_sym_LPAREN] = ACTIONS(3012),
    [anon_sym_LBRACK] = ACTIONS(3012),
    [anon_sym_RBRACK] = ACTIONS(3012),
    [anon_sym_QMARK] = ACTIONS(3010),
    [anon_sym_QMARK2] = ACTIONS(3012),
    [anon_sym_AMP] = ACTIONS(3012),
    [aux_sym_custom_operator_token1] = ACTIONS(3012),
    [anon_sym_LT] = ACTIONS(3010),
    [anon_sym_GT] = ACTIONS(3010),
    [anon_sym_LBRACE] = ACTIONS(3012),
    [anon_sym_CARET_LBRACE] = ACTIONS(3012),
    [anon_sym_PLUS_EQ] = ACTIONS(3012),
    [anon_sym_DASH_EQ] = ACTIONS(3012),
    [anon_sym_STAR_EQ] = ACTIONS(3012),
    [anon_sym_SLASH_EQ] = ACTIONS(3012),
    [anon_sym_PERCENT_EQ] = ACTIONS(3012),
    [anon_sym_BANG_EQ] = ACTIONS(3010),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3012),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3012),
    [anon_sym_LT_EQ] = ACTIONS(3012),
    [anon_sym_GT_EQ] = ACTIONS(3012),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3012),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3012),
    [anon_sym_is] = ACTIONS(3010),
    [anon_sym_PLUS] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3010),
    [anon_sym_STAR] = ACTIONS(3010),
    [anon_sym_SLASH] = ACTIONS(3010),
    [anon_sym_PERCENT] = ACTIONS(3010),
    [anon_sym_PLUS_PLUS] = ACTIONS(3012),
    [anon_sym_DASH_DASH] = ACTIONS(3012),
    [anon_sym_PIPE] = ACTIONS(3012),
    [anon_sym_CARET] = ACTIONS(3010),
    [anon_sym_LT_LT] = ACTIONS(3012),
    [anon_sym_GT_GT] = ACTIONS(3012),
    [anon_sym_BANG2] = ACTIONS(3010),
    [anon_sym_borrowing] = ACTIONS(3010),
    [anon_sym_consuming] = ACTIONS(3010),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3012),
    [sym__conjunction_operator_custom] = ACTIONS(3012),
    [sym__disjunction_operator_custom] = ACTIONS(3012),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3012),
    [sym__eq_custom] = ACTIONS(3012),
    [sym__eq_eq_custom] = ACTIONS(3012),
    [sym__plus_then_ws] = ACTIONS(3012),
    [sym__minus_then_ws] = ACTIONS(3012),
    [sym__bang_custom] = ACTIONS(3012),
    [sym__as_custom] = ACTIONS(3012),
    [sym__as_quest_custom] = ACTIONS(3012),
    [sym__as_bang_custom] = ACTIONS(3012),
    [sym__custom_operator] = ACTIONS(3012),
  },
  [1597] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(3018),
    [aux_sym_simple_identifier_token2] = ACTIONS(3020),
    [aux_sym_simple_identifier_token3] = ACTIONS(3020),
    [aux_sym_simple_identifier_token4] = ACTIONS(3020),
    [anon_sym_actor] = ACTIONS(3018),
    [anon_sym_async] = ACTIONS(3018),
    [anon_sym_each] = ACTIONS(3018),
    [anon_sym_lazy] = ACTIONS(3018),
    [anon_sym_repeat] = ACTIONS(3018),
    [anon_sym_package] = ACTIONS(3018),
    [anon_sym_RPAREN] = ACTIONS(3020),
    [anon_sym_COMMA] = ACTIONS(3020),
    [anon_sym_COLON] = ACTIONS(3020),
    [anon_sym_LPAREN] = ACTIONS(3020),
    [anon_sym_LBRACK] = ACTIONS(3020),
    [anon_sym_RBRACK] = ACTIONS(3020),
    [anon_sym_QMARK] = ACTIONS(3018),
    [anon_sym_QMARK2] = ACTIONS(3020),
    [anon_sym_AMP] = ACTIONS(3020),
    [aux_sym_custom_operator_token1] = ACTIONS(3020),
    [anon_sym_LT] = ACTIONS(3018),
    [anon_sym_GT] = ACTIONS(3018),
    [anon_sym_LBRACE] = ACTIONS(3020),
    [anon_sym_CARET_LBRACE] = ACTIONS(3020),
    [anon_sym_PLUS_EQ] = ACTIONS(3020),
    [anon_sym_DASH_EQ] = ACTIONS(3020),
    [anon_sym_STAR_EQ] = ACTIONS(3020),
    [anon_sym_SLASH_EQ] = ACTIONS(3020),
    [anon_sym_PERCENT_EQ] = ACTIONS(3020),
    [anon_sym_BANG_EQ] = ACTIONS(3018),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3020),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3020),
    [anon_sym_LT_EQ] = ACTIONS(3020),
    [anon_sym_GT_EQ] = ACTIONS(3020),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3020),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3020),
    [anon_sym_is] = ACTIONS(3018),
    [anon_sym_PLUS] = ACTIONS(3018),
    [anon_sym_DASH] = ACTIONS(3018),
    [anon_sym_STAR] = ACTIONS(3018),
    [anon_sym_SLASH] = ACTIONS(3018),
    [anon_sym_PERCENT] = ACTIONS(3018),
    [anon_sym_PLUS_PLUS] = ACTIONS(3020),
    [anon_sym_DASH_DASH] = ACTIONS(3020),
    [anon_sym_PIPE] = ACTIONS(3020),
    [anon_sym_CARET] = ACTIONS(3018),
    [anon_sym_LT_LT] = ACTIONS(3020),
    [anon_sym_GT_GT] = ACTIONS(3020),
    [anon_sym_BANG2] = ACTIONS(3018),
    [anon_sym_borrowing] = ACTIONS(3018),
    [anon_sym_consuming] = ACTIONS(3018),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3020),
    [sym__conjunction_operator_custom] = ACTIONS(3020),
    [sym__disjunction_operator_custom] = ACTIONS(3020),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3020),
    [sym__eq_custom] = ACTIONS(3020),
    [sym__eq_eq_custom] = ACTIONS(3020),
    [sym__plus_then_ws] = ACTIONS(3020),
    [sym__minus_then_ws] = ACTIONS(3020),
    [sym__bang_custom] = ACTIONS(3020),
    [sym__as_custom] = ACTIONS(3020),
    [sym__as_quest_custom] = ACTIONS(3020),
    [sym__as_bang_custom] = ACTIONS(3020),
    [sym__custom_operator] = ACTIONS(3020),
  },
  [1598] = {
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2967),
    [anon_sym_async] = ACTIONS(2967),
    [anon_sym_lazy] = ACTIONS(2967),
    [anon_sym_package] = ACTIONS(2967),
    [anon_sym_RPAREN] = ACTIONS(2967),
    [anon_sym_COMMA] = ACTIONS(2967),
    [anon_sym_BANG] = ACTIONS(2967),
    [anon_sym_DOT] = ACTIONS(2969),
    [anon_sym_QMARK2] = ACTIONS(2967),
    [anon_sym_AMP] = ACTIONS(2967),
    [anon_sym_LBRACE] = ACTIONS(2967),
    [anon_sym_RBRACE] = ACTIONS(2967),
    [anon_sym_case] = ACTIONS(2967),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2967),
    [anon_sym_import] = ACTIONS(2967),
    [anon_sym_typealias] = ACTIONS(2967),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_class] = ACTIONS(2967),
    [anon_sym_enum] = ACTIONS(2967),
    [anon_sym_protocol] = ACTIONS(2967),
    [anon_sym_let] = ACTIONS(2967),
    [anon_sym_var] = ACTIONS(2967),
    [anon_sym_func] = ACTIONS(2967),
    [anon_sym_extension] = ACTIONS(2967),
    [anon_sym_indirect] = ACTIONS(2967),
    [anon_sym_init] = ACTIONS(2967),
    [anon_sym_deinit] = ACTIONS(2967),
    [anon_sym_subscript] = ACTIONS(2967),
    [anon_sym_prefix] = ACTIONS(2967),
    [anon_sym_infix] = ACTIONS(2967),
    [anon_sym_postfix] = ACTIONS(2967),
    [anon_sym_precedencegroup] = ACTIONS(2967),
    [anon_sym_associatedtype] = ACTIONS(2967),
    [anon_sym_AT] = ACTIONS(2969),
    [anon_sym_override] = ACTIONS(2967),
    [anon_sym_convenience] = ACTIONS(2967),
    [anon_sym_required] = ACTIONS(2967),
    [anon_sym_nonisolated] = ACTIONS(2967),
    [anon_sym_public] = ACTIONS(2967),
    [anon_sym_private] = ACTIONS(2967),
    [anon_sym_internal] = ACTIONS(2967),
    [anon_sym_fileprivate] = ACTIONS(2967),
    [anon_sym_open] = ACTIONS(2967),
    [anon_sym_mutating] = ACTIONS(2967),
    [anon_sym_nonmutating] = ACTIONS(2967),
    [anon_sym_static] = ACTIONS(2967),
    [anon_sym_dynamic] = ACTIONS(2967),
    [anon_sym_optional] = ACTIONS(2967),
    [anon_sym_distributed] = ACTIONS(2967),
    [anon_sym_final] = ACTIONS(2967),
    [anon_sym_inout] = ACTIONS(2967),
    [anon_sym_ATescaping] = ACTIONS(2967),
    [anon_sym_ATautoclosure] = ACTIONS(2967),
    [anon_sym_weak] = ACTIONS(2967),
    [anon_sym_unowned] = ACTIONS(2969),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2967),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2967),
    [anon_sym_borrowing] = ACTIONS(2967),
    [anon_sym_consuming] = ACTIONS(2967),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2967),
    [sym__eq_custom] = ACTIONS(2967),
    [sym__throws_keyword] = ACTIONS(2967),
    [sym__rethrows_keyword] = ACTIONS(2967),
    [sym__async_keyword_custom] = ACTIONS(2967),
  },
  [1599] = {
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2955),
    [anon_sym_async] = ACTIONS(2955),
    [anon_sym_lazy] = ACTIONS(2955),
    [anon_sym_package] = ACTIONS(2955),
    [anon_sym_RPAREN] = ACTIONS(2955),
    [anon_sym_COMMA] = ACTIONS(2955),
    [anon_sym_BANG] = ACTIONS(2955),
    [anon_sym_DOT] = ACTIONS(2957),
    [anon_sym_QMARK2] = ACTIONS(2955),
    [anon_sym_AMP] = ACTIONS(2955),
    [anon_sym_LBRACE] = ACTIONS(2955),
    [anon_sym_RBRACE] = ACTIONS(2955),
    [anon_sym_case] = ACTIONS(2955),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2955),
    [anon_sym_import] = ACTIONS(2955),
    [anon_sym_typealias] = ACTIONS(2955),
    [anon_sym_struct] = ACTIONS(2955),
    [anon_sym_class] = ACTIONS(2955),
    [anon_sym_enum] = ACTIONS(2955),
    [anon_sym_protocol] = ACTIONS(2955),
    [anon_sym_let] = ACTIONS(2955),
    [anon_sym_var] = ACTIONS(2955),
    [anon_sym_func] = ACTIONS(2955),
    [anon_sym_extension] = ACTIONS(2955),
    [anon_sym_indirect] = ACTIONS(2955),
    [anon_sym_init] = ACTIONS(2955),
    [anon_sym_deinit] = ACTIONS(2955),
    [anon_sym_subscript] = ACTIONS(2955),
    [anon_sym_prefix] = ACTIONS(2955),
    [anon_sym_infix] = ACTIONS(2955),
    [anon_sym_postfix] = ACTIONS(2955),
    [anon_sym_precedencegroup] = ACTIONS(2955),
    [anon_sym_associatedtype] = ACTIONS(2955),
    [anon_sym_AT] = ACTIONS(2957),
    [anon_sym_override] = ACTIONS(2955),
    [anon_sym_convenience] = ACTIONS(2955),
    [anon_sym_required] = ACTIONS(2955),
    [anon_sym_nonisolated] = ACTIONS(2955),
    [anon_sym_public] = ACTIONS(2955),
    [anon_sym_private] = ACTIONS(2955),
    [anon_sym_internal] = ACTIONS(2955),
    [anon_sym_fileprivate] = ACTIONS(2955),
    [anon_sym_open] = ACTIONS(2955),
    [anon_sym_mutating] = ACTIONS(2955),
    [anon_sym_nonmutating] = ACTIONS(2955),
    [anon_sym_static] = ACTIONS(2955),
    [anon_sym_dynamic] = ACTIONS(2955),
    [anon_sym_optional] = ACTIONS(2955),
    [anon_sym_distributed] = ACTIONS(2955),
    [anon_sym_final] = ACTIONS(2955),
    [anon_sym_inout] = ACTIONS(2955),
    [anon_sym_ATescaping] = ACTIONS(2955),
    [anon_sym_ATautoclosure] = ACTIONS(2955),
    [anon_sym_weak] = ACTIONS(2955),
    [anon_sym_unowned] = ACTIONS(2957),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2955),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2955),
    [anon_sym_borrowing] = ACTIONS(2955),
    [anon_sym_consuming] = ACTIONS(2955),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2955),
    [sym__eq_custom] = ACTIONS(2955),
    [sym__throws_keyword] = ACTIONS(2955),
    [sym__rethrows_keyword] = ACTIONS(2955),
    [sym__async_keyword_custom] = ACTIONS(2955),
  },
  [1600] = {
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2914),
    [anon_sym_async] = ACTIONS(2914),
    [anon_sym_lazy] = ACTIONS(2914),
    [anon_sym_package] = ACTIONS(2914),
    [anon_sym_RPAREN] = ACTIONS(2914),
    [anon_sym_COMMA] = ACTIONS(2914),
    [anon_sym_BANG] = ACTIONS(2914),
    [anon_sym_DOT] = ACTIONS(2916),
    [anon_sym_QMARK2] = ACTIONS(2914),
    [anon_sym_AMP] = ACTIONS(2914),
    [anon_sym_LBRACE] = ACTIONS(2914),
    [anon_sym_RBRACE] = ACTIONS(2914),
    [anon_sym_case] = ACTIONS(2914),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2914),
    [anon_sym_import] = ACTIONS(2914),
    [anon_sym_typealias] = ACTIONS(2914),
    [anon_sym_struct] = ACTIONS(2914),
    [anon_sym_class] = ACTIONS(2914),
    [anon_sym_enum] = ACTIONS(2914),
    [anon_sym_protocol] = ACTIONS(2914),
    [anon_sym_let] = ACTIONS(2914),
    [anon_sym_var] = ACTIONS(2914),
    [anon_sym_func] = ACTIONS(2914),
    [anon_sym_extension] = ACTIONS(2914),
    [anon_sym_indirect] = ACTIONS(2914),
    [anon_sym_init] = ACTIONS(2914),
    [anon_sym_deinit] = ACTIONS(2914),
    [anon_sym_subscript] = ACTIONS(2914),
    [anon_sym_prefix] = ACTIONS(2914),
    [anon_sym_infix] = ACTIONS(2914),
    [anon_sym_postfix] = ACTIONS(2914),
    [anon_sym_precedencegroup] = ACTIONS(2914),
    [anon_sym_associatedtype] = ACTIONS(2914),
    [anon_sym_AT] = ACTIONS(2916),
    [anon_sym_override] = ACTIONS(2914),
    [anon_sym_convenience] = ACTIONS(2914),
    [anon_sym_required] = ACTIONS(2914),
    [anon_sym_nonisolated] = ACTIONS(2914),
    [anon_sym_public] = ACTIONS(2914),
    [anon_sym_private] = ACTIONS(2914),
    [anon_sym_internal] = ACTIONS(2914),
    [anon_sym_fileprivate] = ACTIONS(2914),
    [anon_sym_open] = ACTIONS(2914),
    [anon_sym_mutating] = ACTIONS(2914),
    [anon_sym_nonmutating] = ACTIONS(2914),
    [anon_sym_static] = ACTIONS(2914),
    [anon_sym_dynamic] = ACTIONS(2914),
    [anon_sym_optional] = ACTIONS(2914),
    [anon_sym_distributed] = ACTIONS(2914),
    [anon_sym_final] = ACTIONS(2914),
    [anon_sym_inout] = ACTIONS(2914),
    [anon_sym_ATescaping] = ACTIONS(2914),
    [anon_sym_ATautoclosure] = ACTIONS(2914),
    [anon_sym_weak] = ACTIONS(2914),
    [anon_sym_unowned] = ACTIONS(2916),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2914),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2914),
    [anon_sym_borrowing] = ACTIONS(2914),
    [anon_sym_consuming] = ACTIONS(2914),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2914),
    [sym__eq_custom] = ACTIONS(2914),
    [sym__throws_keyword] = ACTIONS(2914),
    [sym__rethrows_keyword] = ACTIONS(2914),
    [sym__async_keyword_custom] = ACTIONS(2914),
  },
  [1601] = {
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2959),
    [anon_sym_async] = ACTIONS(2959),
    [anon_sym_lazy] = ACTIONS(2959),
    [anon_sym_package] = ACTIONS(2959),
    [anon_sym_COMMA] = ACTIONS(2959),
    [anon_sym_COLON] = ACTIONS(2959),
    [anon_sym_DOT] = ACTIONS(2959),
    [anon_sym_QMARK] = ACTIONS(2959),
    [anon_sym_AMP] = ACTIONS(2959),
    [anon_sym_LBRACE] = ACTIONS(2959),
    [anon_sym_RBRACE] = ACTIONS(2959),
    [anon_sym_case] = ACTIONS(2959),
    [anon_sym_import] = ACTIONS(2959),
    [anon_sym_typealias] = ACTIONS(2959),
    [anon_sym_struct] = ACTIONS(2959),
    [anon_sym_class] = ACTIONS(2959),
    [anon_sym_enum] = ACTIONS(2959),
    [anon_sym_protocol] = ACTIONS(2959),
    [anon_sym_let] = ACTIONS(2959),
    [anon_sym_var] = ACTIONS(2959),
    [anon_sym_func] = ACTIONS(2959),
    [anon_sym_extension] = ACTIONS(2959),
    [anon_sym_indirect] = ACTIONS(2959),
    [anon_sym_init] = ACTIONS(2959),
    [anon_sym_deinit] = ACTIONS(2959),
    [anon_sym_subscript] = ACTIONS(2959),
    [anon_sym_prefix] = ACTIONS(2959),
    [anon_sym_infix] = ACTIONS(2959),
    [anon_sym_postfix] = ACTIONS(2959),
    [anon_sym_precedencegroup] = ACTIONS(2959),
    [anon_sym_associatedtype] = ACTIONS(2959),
    [anon_sym_AT] = ACTIONS(2961),
    [anon_sym_override] = ACTIONS(2959),
    [anon_sym_convenience] = ACTIONS(2959),
    [anon_sym_required] = ACTIONS(2959),
    [anon_sym_nonisolated] = ACTIONS(2959),
    [anon_sym_public] = ACTIONS(2959),
    [anon_sym_private] = ACTIONS(2959),
    [anon_sym_internal] = ACTIONS(2959),
    [anon_sym_fileprivate] = ACTIONS(2959),
    [anon_sym_open] = ACTIONS(2959),
    [anon_sym_mutating] = ACTIONS(2959),
    [anon_sym_nonmutating] = ACTIONS(2959),
    [anon_sym_static] = ACTIONS(2959),
    [anon_sym_dynamic] = ACTIONS(2959),
    [anon_sym_optional] = ACTIONS(2959),
    [anon_sym_distributed] = ACTIONS(2959),
    [anon_sym_final] = ACTIONS(2959),
    [anon_sym_inout] = ACTIONS(2959),
    [anon_sym_ATescaping] = ACTIONS(2959),
    [anon_sym_ATautoclosure] = ACTIONS(2959),
    [anon_sym_weak] = ACTIONS(2959),
    [anon_sym_unowned] = ACTIONS(2961),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2959),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2959),
    [anon_sym_borrowing] = ACTIONS(2959),
    [anon_sym_consuming] = ACTIONS(2959),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2959),
    [sym__eq_custom] = ACTIONS(2959),
    [sym__throws_keyword] = ACTIONS(2959),
    [sym__rethrows_keyword] = ACTIONS(2959),
    [sym_where_keyword] = ACTIONS(2959),
    [sym__as_custom] = ACTIONS(2959),
    [sym__async_keyword_custom] = ACTIONS(2959),
  },
  [1602] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(3018),
    [aux_sym_simple_identifier_token2] = ACTIONS(3020),
    [aux_sym_simple_identifier_token3] = ACTIONS(3020),
    [aux_sym_simple_identifier_token4] = ACTIONS(3020),
    [anon_sym_actor] = ACTIONS(3018),
    [anon_sym_async] = ACTIONS(3018),
    [anon_sym_each] = ACTIONS(3018),
    [anon_sym_lazy] = ACTIONS(3018),
    [anon_sym_repeat] = ACTIONS(3018),
    [anon_sym_package] = ACTIONS(3018),
    [anon_sym_COMMA] = ACTIONS(3024),
    [anon_sym_LPAREN] = ACTIONS(3024),
    [anon_sym_LBRACK] = ACTIONS(3024),
    [anon_sym_QMARK] = ACTIONS(3022),
    [anon_sym_QMARK2] = ACTIONS(3024),
    [anon_sym_AMP] = ACTIONS(3024),
    [aux_sym_custom_operator_token1] = ACTIONS(3024),
    [anon_sym_LT] = ACTIONS(3022),
    [anon_sym_GT] = ACTIONS(3022),
    [anon_sym_LBRACE] = ACTIONS(3024),
    [anon_sym_CARET_LBRACE] = ACTIONS(3024),
    [anon_sym_RBRACE] = ACTIONS(3024),
    [anon_sym_PLUS_EQ] = ACTIONS(3024),
    [anon_sym_DASH_EQ] = ACTIONS(3024),
    [anon_sym_STAR_EQ] = ACTIONS(3024),
    [anon_sym_SLASH_EQ] = ACTIONS(3024),
    [anon_sym_PERCENT_EQ] = ACTIONS(3024),
    [anon_sym_BANG_EQ] = ACTIONS(3022),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3024),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3024),
    [anon_sym_LT_EQ] = ACTIONS(3024),
    [anon_sym_GT_EQ] = ACTIONS(3024),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3024),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3024),
    [anon_sym_is] = ACTIONS(3022),
    [anon_sym_PLUS] = ACTIONS(3022),
    [anon_sym_DASH] = ACTIONS(3022),
    [anon_sym_STAR] = ACTIONS(3022),
    [anon_sym_SLASH] = ACTIONS(3022),
    [anon_sym_PERCENT] = ACTIONS(3022),
    [anon_sym_PLUS_PLUS] = ACTIONS(3024),
    [anon_sym_DASH_DASH] = ACTIONS(3024),
    [anon_sym_PIPE] = ACTIONS(3024),
    [anon_sym_CARET] = ACTIONS(3022),
    [anon_sym_LT_LT] = ACTIONS(3024),
    [anon_sym_GT_GT] = ACTIONS(3024),
    [anon_sym_BANG2] = ACTIONS(3022),
    [anon_sym_borrowing] = ACTIONS(3018),
    [anon_sym_consuming] = ACTIONS(3018),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(3024),
    [sym__implicit_semi] = ACTIONS(3024),
    [sym__explicit_semi] = ACTIONS(3024),
    [sym__dot_custom] = ACTIONS(3024),
    [sym__conjunction_operator_custom] = ACTIONS(3024),
    [sym__disjunction_operator_custom] = ACTIONS(3024),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3024),
    [sym__eq_custom] = ACTIONS(3024),
    [sym__eq_eq_custom] = ACTIONS(3024),
    [sym__plus_then_ws] = ACTIONS(3024),
    [sym__minus_then_ws] = ACTIONS(3024),
    [sym__bang_custom] = ACTIONS(3024),
    [sym__as_custom] = ACTIONS(3024),
    [sym__as_quest_custom] = ACTIONS(3024),
    [sym__as_bang_custom] = ACTIONS(3024),
    [sym__custom_operator] = ACTIONS(3024),
  },
  [1603] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(3006),
    [aux_sym_simple_identifier_token2] = ACTIONS(3008),
    [aux_sym_simple_identifier_token3] = ACTIONS(3008),
    [aux_sym_simple_identifier_token4] = ACTIONS(3008),
    [anon_sym_actor] = ACTIONS(3006),
    [anon_sym_async] = ACTIONS(3006),
    [anon_sym_each] = ACTIONS(3006),
    [anon_sym_lazy] = ACTIONS(3006),
    [anon_sym_repeat] = ACTIONS(3006),
    [anon_sym_package] = ACTIONS(3006),
    [anon_sym_RPAREN] = ACTIONS(3008),
    [anon_sym_COMMA] = ACTIONS(3008),
    [anon_sym_COLON] = ACTIONS(3008),
    [anon_sym_LPAREN] = ACTIONS(3008),
    [anon_sym_LBRACK] = ACTIONS(3008),
    [anon_sym_RBRACK] = ACTIONS(3008),
    [anon_sym_QMARK] = ACTIONS(3006),
    [anon_sym_QMARK2] = ACTIONS(3008),
    [anon_sym_AMP] = ACTIONS(3008),
    [aux_sym_custom_operator_token1] = ACTIONS(3008),
    [anon_sym_LT] = ACTIONS(3006),
    [anon_sym_GT] = ACTIONS(3006),
    [anon_sym_LBRACE] = ACTIONS(3008),
    [anon_sym_CARET_LBRACE] = ACTIONS(3008),
    [anon_sym_PLUS_EQ] = ACTIONS(3008),
    [anon_sym_DASH_EQ] = ACTIONS(3008),
    [anon_sym_STAR_EQ] = ACTIONS(3008),
    [anon_sym_SLASH_EQ] = ACTIONS(3008),
    [anon_sym_PERCENT_EQ] = ACTIONS(3008),
    [anon_sym_BANG_EQ] = ACTIONS(3006),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3008),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3008),
    [anon_sym_LT_EQ] = ACTIONS(3008),
    [anon_sym_GT_EQ] = ACTIONS(3008),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3008),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3008),
    [anon_sym_is] = ACTIONS(3006),
    [anon_sym_PLUS] = ACTIONS(3006),
    [anon_sym_DASH] = ACTIONS(3006),
    [anon_sym_STAR] = ACTIONS(3006),
    [anon_sym_SLASH] = ACTIONS(3006),
    [anon_sym_PERCENT] = ACTIONS(3006),
    [anon_sym_PLUS_PLUS] = ACTIONS(3008),
    [anon_sym_DASH_DASH] = ACTIONS(3008),
    [anon_sym_PIPE] = ACTIONS(3008),
    [anon_sym_CARET] = ACTIONS(3006),
    [anon_sym_LT_LT] = ACTIONS(3008),
    [anon_sym_GT_GT] = ACTIONS(3008),
    [anon_sym_BANG2] = ACTIONS(3006),
    [anon_sym_borrowing] = ACTIONS(3006),
    [anon_sym_consuming] = ACTIONS(3006),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3008),
    [sym__conjunction_operator_custom] = ACTIONS(3008),
    [sym__disjunction_operator_custom] = ACTIONS(3008),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3008),
    [sym__eq_custom] = ACTIONS(3008),
    [sym__eq_eq_custom] = ACTIONS(3008),
    [sym__plus_then_ws] = ACTIONS(3008),
    [sym__minus_then_ws] = ACTIONS(3008),
    [sym__bang_custom] = ACTIONS(3008),
    [sym__as_custom] = ACTIONS(3008),
    [sym__as_quest_custom] = ACTIONS(3008),
    [sym__as_bang_custom] = ACTIONS(3008),
    [sym__custom_operator] = ACTIONS(3008),
  },
  [1604] = {
    [sym__immediate_quest] = STATE(1712),
    [sym__arrow_operator] = STATE(3774),
    [sym__async_keyword] = STATE(6078),
    [sym_throws] = STATE(7437),
    [aux_sym_optional_type_repeat1] = STATE(1712),
    [ts_builtin_sym_end] = ACTIONS(2840),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(2840),
    [anon_sym_LPAREN] = ACTIONS(2840),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_DOT] = ACTIONS(2842),
    [anon_sym_QMARK] = ACTIONS(2842),
    [anon_sym_QMARK2] = ACTIONS(4855),
    [anon_sym_AMP] = ACTIONS(2840),
    [aux_sym_custom_operator_token1] = ACTIONS(2840),
    [anon_sym_LT] = ACTIONS(2842),
    [anon_sym_GT] = ACTIONS(2842),
    [anon_sym_LBRACE] = ACTIONS(2840),
    [anon_sym_CARET_LBRACE] = ACTIONS(2840),
    [anon_sym_RBRACE] = ACTIONS(2840),
    [anon_sym_PLUS_EQ] = ACTIONS(2840),
    [anon_sym_DASH_EQ] = ACTIONS(2840),
    [anon_sym_STAR_EQ] = ACTIONS(2840),
    [anon_sym_SLASH_EQ] = ACTIONS(2840),
    [anon_sym_PERCENT_EQ] = ACTIONS(2840),
    [anon_sym_BANG_EQ] = ACTIONS(2842),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2840),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2840),
    [anon_sym_LT_EQ] = ACTIONS(2840),
    [anon_sym_GT_EQ] = ACTIONS(2840),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2840),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2840),
    [anon_sym_is] = ACTIONS(2840),
    [anon_sym_PLUS] = ACTIONS(2842),
    [anon_sym_DASH] = ACTIONS(2842),
    [anon_sym_STAR] = ACTIONS(2842),
    [anon_sym_SLASH] = ACTIONS(2842),
    [anon_sym_PERCENT] = ACTIONS(2842),
    [anon_sym_PLUS_PLUS] = ACTIONS(2840),
    [anon_sym_DASH_DASH] = ACTIONS(2840),
    [anon_sym_PIPE] = ACTIONS(2840),
    [anon_sym_CARET] = ACTIONS(2842),
    [anon_sym_LT_LT] = ACTIONS(2840),
    [anon_sym_GT_GT] = ACTIONS(2840),
    [anon_sym_BANG2] = ACTIONS(2842),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2840),
    [sym__explicit_semi] = ACTIONS(2840),
    [sym__arrow_operator_custom] = ACTIONS(4857),
    [sym__dot_custom] = ACTIONS(2840),
    [sym__conjunction_operator_custom] = ACTIONS(2840),
    [sym__disjunction_operator_custom] = ACTIONS(2840),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2840),
    [sym__eq_custom] = ACTIONS(2840),
    [sym__eq_eq_custom] = ACTIONS(2840),
    [sym__plus_then_ws] = ACTIONS(2840),
    [sym__minus_then_ws] = ACTIONS(2840),
    [sym__bang_custom] = ACTIONS(2840),
    [sym__throws_keyword] = ACTIONS(2848),
    [sym__rethrows_keyword] = ACTIONS(2848),
    [sym_where_keyword] = ACTIONS(2840),
    [sym__as_custom] = ACTIONS(2840),
    [sym__as_quest_custom] = ACTIONS(2840),
    [sym__as_bang_custom] = ACTIONS(2840),
    [sym__async_keyword_custom] = ACTIONS(4859),
    [sym__custom_operator] = ACTIONS(2840),
  },
  [1605] = {
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2987),
    [anon_sym_async] = ACTIONS(2987),
    [anon_sym_lazy] = ACTIONS(2987),
    [anon_sym_package] = ACTIONS(2987),
    [anon_sym_COMMA] = ACTIONS(2987),
    [anon_sym_COLON] = ACTIONS(2987),
    [anon_sym_DOT] = ACTIONS(2987),
    [anon_sym_QMARK] = ACTIONS(2987),
    [anon_sym_AMP] = ACTIONS(2987),
    [anon_sym_LBRACE] = ACTIONS(2987),
    [anon_sym_RBRACE] = ACTIONS(2987),
    [anon_sym_case] = ACTIONS(2987),
    [anon_sym_import] = ACTIONS(2987),
    [anon_sym_typealias] = ACTIONS(2987),
    [anon_sym_struct] = ACTIONS(2987),
    [anon_sym_class] = ACTIONS(2987),
    [anon_sym_enum] = ACTIONS(2987),
    [anon_sym_protocol] = ACTIONS(2987),
    [anon_sym_let] = ACTIONS(2987),
    [anon_sym_var] = ACTIONS(2987),
    [anon_sym_func] = ACTIONS(2987),
    [anon_sym_extension] = ACTIONS(2987),
    [anon_sym_indirect] = ACTIONS(2987),
    [anon_sym_init] = ACTIONS(2987),
    [anon_sym_deinit] = ACTIONS(2987),
    [anon_sym_subscript] = ACTIONS(2987),
    [anon_sym_prefix] = ACTIONS(2987),
    [anon_sym_infix] = ACTIONS(2987),
    [anon_sym_postfix] = ACTIONS(2987),
    [anon_sym_precedencegroup] = ACTIONS(2987),
    [anon_sym_associatedtype] = ACTIONS(2987),
    [anon_sym_AT] = ACTIONS(2989),
    [anon_sym_override] = ACTIONS(2987),
    [anon_sym_convenience] = ACTIONS(2987),
    [anon_sym_required] = ACTIONS(2987),
    [anon_sym_nonisolated] = ACTIONS(2987),
    [anon_sym_public] = ACTIONS(2987),
    [anon_sym_private] = ACTIONS(2987),
    [anon_sym_internal] = ACTIONS(2987),
    [anon_sym_fileprivate] = ACTIONS(2987),
    [anon_sym_open] = ACTIONS(2987),
    [anon_sym_mutating] = ACTIONS(2987),
    [anon_sym_nonmutating] = ACTIONS(2987),
    [anon_sym_static] = ACTIONS(2987),
    [anon_sym_dynamic] = ACTIONS(2987),
    [anon_sym_optional] = ACTIONS(2987),
    [anon_sym_distributed] = ACTIONS(2987),
    [anon_sym_final] = ACTIONS(2987),
    [anon_sym_inout] = ACTIONS(2987),
    [anon_sym_ATescaping] = ACTIONS(2987),
    [anon_sym_ATautoclosure] = ACTIONS(2987),
    [anon_sym_weak] = ACTIONS(2987),
    [anon_sym_unowned] = ACTIONS(2989),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2987),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2987),
    [anon_sym_borrowing] = ACTIONS(2987),
    [anon_sym_consuming] = ACTIONS(2987),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2987),
    [sym__eq_custom] = ACTIONS(2987),
    [sym__throws_keyword] = ACTIONS(2987),
    [sym__rethrows_keyword] = ACTIONS(2987),
    [sym_where_keyword] = ACTIONS(2987),
    [sym__as_custom] = ACTIONS(2987),
    [sym__async_keyword_custom] = ACTIONS(2987),
  },
  [1606] = {
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2995),
    [anon_sym_async] = ACTIONS(2995),
    [anon_sym_lazy] = ACTIONS(2995),
    [anon_sym_package] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(2995),
    [anon_sym_COMMA] = ACTIONS(2995),
    [anon_sym_BANG] = ACTIONS(2995),
    [anon_sym_DOT] = ACTIONS(2997),
    [anon_sym_QMARK2] = ACTIONS(2995),
    [anon_sym_AMP] = ACTIONS(2995),
    [anon_sym_LBRACE] = ACTIONS(2995),
    [anon_sym_RBRACE] = ACTIONS(2995),
    [anon_sym_case] = ACTIONS(2995),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2995),
    [anon_sym_import] = ACTIONS(2995),
    [anon_sym_typealias] = ACTIONS(2995),
    [anon_sym_struct] = ACTIONS(2995),
    [anon_sym_class] = ACTIONS(2995),
    [anon_sym_enum] = ACTIONS(2995),
    [anon_sym_protocol] = ACTIONS(2995),
    [anon_sym_let] = ACTIONS(2995),
    [anon_sym_var] = ACTIONS(2995),
    [anon_sym_func] = ACTIONS(2995),
    [anon_sym_extension] = ACTIONS(2995),
    [anon_sym_indirect] = ACTIONS(2995),
    [anon_sym_init] = ACTIONS(2995),
    [anon_sym_deinit] = ACTIONS(2995),
    [anon_sym_subscript] = ACTIONS(2995),
    [anon_sym_prefix] = ACTIONS(2995),
    [anon_sym_infix] = ACTIONS(2995),
    [anon_sym_postfix] = ACTIONS(2995),
    [anon_sym_precedencegroup] = ACTIONS(2995),
    [anon_sym_associatedtype] = ACTIONS(2995),
    [anon_sym_AT] = ACTIONS(2997),
    [anon_sym_override] = ACTIONS(2995),
    [anon_sym_convenience] = ACTIONS(2995),
    [anon_sym_required] = ACTIONS(2995),
    [anon_sym_nonisolated] = ACTIONS(2995),
    [anon_sym_public] = ACTIONS(2995),
    [anon_sym_private] = ACTIONS(2995),
    [anon_sym_internal] = ACTIONS(2995),
    [anon_sym_fileprivate] = ACTIONS(2995),
    [anon_sym_open] = ACTIONS(2995),
    [anon_sym_mutating] = ACTIONS(2995),
    [anon_sym_nonmutating] = ACTIONS(2995),
    [anon_sym_static] = ACTIONS(2995),
    [anon_sym_dynamic] = ACTIONS(2995),
    [anon_sym_optional] = ACTIONS(2995),
    [anon_sym_distributed] = ACTIONS(2995),
    [anon_sym_final] = ACTIONS(2995),
    [anon_sym_inout] = ACTIONS(2995),
    [anon_sym_ATescaping] = ACTIONS(2995),
    [anon_sym_ATautoclosure] = ACTIONS(2995),
    [anon_sym_weak] = ACTIONS(2995),
    [anon_sym_unowned] = ACTIONS(2997),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2995),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2995),
    [anon_sym_borrowing] = ACTIONS(2995),
    [anon_sym_consuming] = ACTIONS(2995),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2995),
    [sym__eq_custom] = ACTIONS(2995),
    [sym__throws_keyword] = ACTIONS(2995),
    [sym__rethrows_keyword] = ACTIONS(2995),
    [sym__async_keyword_custom] = ACTIONS(2995),
  },
  [1607] = {
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2963),
    [anon_sym_async] = ACTIONS(2963),
    [anon_sym_lazy] = ACTIONS(2963),
    [anon_sym_package] = ACTIONS(2963),
    [anon_sym_COMMA] = ACTIONS(2963),
    [anon_sym_BANG] = ACTIONS(2963),
    [anon_sym_DOT] = ACTIONS(2963),
    [anon_sym_QMARK2] = ACTIONS(2963),
    [anon_sym_AMP] = ACTIONS(2963),
    [anon_sym_LBRACE] = ACTIONS(2963),
    [anon_sym_RBRACE] = ACTIONS(2963),
    [anon_sym_case] = ACTIONS(2963),
    [anon_sym_import] = ACTIONS(2963),
    [anon_sym_typealias] = ACTIONS(2963),
    [anon_sym_struct] = ACTIONS(2963),
    [anon_sym_class] = ACTIONS(2963),
    [anon_sym_enum] = ACTIONS(2963),
    [anon_sym_protocol] = ACTIONS(2963),
    [anon_sym_let] = ACTIONS(2963),
    [anon_sym_var] = ACTIONS(2963),
    [anon_sym_func] = ACTIONS(2963),
    [anon_sym_extension] = ACTIONS(2963),
    [anon_sym_indirect] = ACTIONS(2963),
    [anon_sym_init] = ACTIONS(2963),
    [anon_sym_deinit] = ACTIONS(2963),
    [anon_sym_subscript] = ACTIONS(2963),
    [anon_sym_prefix] = ACTIONS(2963),
    [anon_sym_infix] = ACTIONS(2963),
    [anon_sym_postfix] = ACTIONS(2963),
    [anon_sym_precedencegroup] = ACTIONS(2963),
    [anon_sym_associatedtype] = ACTIONS(2963),
    [anon_sym_AT] = ACTIONS(2965),
    [anon_sym_override] = ACTIONS(2963),
    [anon_sym_convenience] = ACTIONS(2963),
    [anon_sym_required] = ACTIONS(2963),
    [anon_sym_nonisolated] = ACTIONS(2963),
    [anon_sym_public] = ACTIONS(2963),
    [anon_sym_private] = ACTIONS(2963),
    [anon_sym_internal] = ACTIONS(2963),
    [anon_sym_fileprivate] = ACTIONS(2963),
    [anon_sym_open] = ACTIONS(2963),
    [anon_sym_mutating] = ACTIONS(2963),
    [anon_sym_nonmutating] = ACTIONS(2963),
    [anon_sym_static] = ACTIONS(2963),
    [anon_sym_dynamic] = ACTIONS(2963),
    [anon_sym_optional] = ACTIONS(2963),
    [anon_sym_distributed] = ACTIONS(2963),
    [anon_sym_final] = ACTIONS(2963),
    [anon_sym_inout] = ACTIONS(2963),
    [anon_sym_ATescaping] = ACTIONS(2963),
    [anon_sym_ATautoclosure] = ACTIONS(2963),
    [anon_sym_weak] = ACTIONS(2963),
    [anon_sym_unowned] = ACTIONS(2965),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2963),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2963),
    [anon_sym_borrowing] = ACTIONS(2963),
    [anon_sym_consuming] = ACTIONS(2963),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2963),
    [sym__dot_custom] = ACTIONS(2963),
    [sym__eq_custom] = ACTIONS(2963),
    [sym__throws_keyword] = ACTIONS(2963),
    [sym__rethrows_keyword] = ACTIONS(2963),
    [sym_where_keyword] = ACTIONS(2963),
    [sym__async_keyword_custom] = ACTIONS(2963),
  },
  [1608] = {
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2983),
    [anon_sym_async] = ACTIONS(2983),
    [anon_sym_lazy] = ACTIONS(2983),
    [anon_sym_package] = ACTIONS(2983),
    [anon_sym_RPAREN] = ACTIONS(2983),
    [anon_sym_COMMA] = ACTIONS(2983),
    [anon_sym_BANG] = ACTIONS(2983),
    [anon_sym_DOT] = ACTIONS(2985),
    [anon_sym_QMARK2] = ACTIONS(2983),
    [anon_sym_AMP] = ACTIONS(2983),
    [anon_sym_LBRACE] = ACTIONS(2983),
    [anon_sym_RBRACE] = ACTIONS(2983),
    [anon_sym_case] = ACTIONS(2983),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2983),
    [anon_sym_import] = ACTIONS(2983),
    [anon_sym_typealias] = ACTIONS(2983),
    [anon_sym_struct] = ACTIONS(2983),
    [anon_sym_class] = ACTIONS(2983),
    [anon_sym_enum] = ACTIONS(2983),
    [anon_sym_protocol] = ACTIONS(2983),
    [anon_sym_let] = ACTIONS(2983),
    [anon_sym_var] = ACTIONS(2983),
    [anon_sym_func] = ACTIONS(2983),
    [anon_sym_extension] = ACTIONS(2983),
    [anon_sym_indirect] = ACTIONS(2983),
    [anon_sym_init] = ACTIONS(2983),
    [anon_sym_deinit] = ACTIONS(2983),
    [anon_sym_subscript] = ACTIONS(2983),
    [anon_sym_prefix] = ACTIONS(2983),
    [anon_sym_infix] = ACTIONS(2983),
    [anon_sym_postfix] = ACTIONS(2983),
    [anon_sym_precedencegroup] = ACTIONS(2983),
    [anon_sym_associatedtype] = ACTIONS(2983),
    [anon_sym_AT] = ACTIONS(2985),
    [anon_sym_override] = ACTIONS(2983),
    [anon_sym_convenience] = ACTIONS(2983),
    [anon_sym_required] = ACTIONS(2983),
    [anon_sym_nonisolated] = ACTIONS(2983),
    [anon_sym_public] = ACTIONS(2983),
    [anon_sym_private] = ACTIONS(2983),
    [anon_sym_internal] = ACTIONS(2983),
    [anon_sym_fileprivate] = ACTIONS(2983),
    [anon_sym_open] = ACTIONS(2983),
    [anon_sym_mutating] = ACTIONS(2983),
    [anon_sym_nonmutating] = ACTIONS(2983),
    [anon_sym_static] = ACTIONS(2983),
    [anon_sym_dynamic] = ACTIONS(2983),
    [anon_sym_optional] = ACTIONS(2983),
    [anon_sym_distributed] = ACTIONS(2983),
    [anon_sym_final] = ACTIONS(2983),
    [anon_sym_inout] = ACTIONS(2983),
    [anon_sym_ATescaping] = ACTIONS(2983),
    [anon_sym_ATautoclosure] = ACTIONS(2983),
    [anon_sym_weak] = ACTIONS(2983),
    [anon_sym_unowned] = ACTIONS(2985),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2983),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2983),
    [anon_sym_borrowing] = ACTIONS(2983),
    [anon_sym_consuming] = ACTIONS(2983),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2983),
    [sym__eq_custom] = ACTIONS(2983),
    [sym__throws_keyword] = ACTIONS(2983),
    [sym__rethrows_keyword] = ACTIONS(2983),
    [sym__async_keyword_custom] = ACTIONS(2983),
  },
  [1609] = {
    [sym__arrow_operator] = STATE(3691),
    [sym__async_keyword] = STATE(6059),
    [sym_throws] = STATE(7467),
    [aux_sym_protocol_composition_type_repeat1] = STATE(1713),
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2888),
    [anon_sym_async] = ACTIONS(2888),
    [anon_sym_lazy] = ACTIONS(2888),
    [anon_sym_package] = ACTIONS(2888),
    [anon_sym_COMMA] = ACTIONS(2888),
    [anon_sym_BANG] = ACTIONS(2888),
    [anon_sym_DOT] = ACTIONS(4861),
    [anon_sym_AMP] = ACTIONS(4863),
    [anon_sym_LBRACE] = ACTIONS(2888),
    [anon_sym_RBRACE] = ACTIONS(2888),
    [anon_sym_case] = ACTIONS(2888),
    [anon_sym_import] = ACTIONS(2888),
    [anon_sym_typealias] = ACTIONS(2888),
    [anon_sym_struct] = ACTIONS(2888),
    [anon_sym_class] = ACTIONS(2888),
    [anon_sym_enum] = ACTIONS(2888),
    [anon_sym_protocol] = ACTIONS(2888),
    [anon_sym_let] = ACTIONS(2888),
    [anon_sym_var] = ACTIONS(2888),
    [anon_sym_func] = ACTIONS(2888),
    [anon_sym_extension] = ACTIONS(2888),
    [anon_sym_indirect] = ACTIONS(2888),
    [anon_sym_init] = ACTIONS(2888),
    [anon_sym_deinit] = ACTIONS(2888),
    [anon_sym_subscript] = ACTIONS(2888),
    [anon_sym_prefix] = ACTIONS(2888),
    [anon_sym_infix] = ACTIONS(2888),
    [anon_sym_postfix] = ACTIONS(2888),
    [anon_sym_precedencegroup] = ACTIONS(2888),
    [anon_sym_associatedtype] = ACTIONS(2888),
    [anon_sym_AT] = ACTIONS(2890),
    [anon_sym_override] = ACTIONS(2888),
    [anon_sym_convenience] = ACTIONS(2888),
    [anon_sym_required] = ACTIONS(2888),
    [anon_sym_nonisolated] = ACTIONS(2888),
    [anon_sym_public] = ACTIONS(2888),
    [anon_sym_private] = ACTIONS(2888),
    [anon_sym_internal] = ACTIONS(2888),
    [anon_sym_fileprivate] = ACTIONS(2888),
    [anon_sym_open] = ACTIONS(2888),
    [anon_sym_mutating] = ACTIONS(2888),
    [anon_sym_nonmutating] = ACTIONS(2888),
    [anon_sym_static] = ACTIONS(2888),
    [anon_sym_dynamic] = ACTIONS(2888),
    [anon_sym_optional] = ACTIONS(2888),
    [anon_sym_distributed] = ACTIONS(2888),
    [anon_sym_final] = ACTIONS(2888),
    [anon_sym_inout] = ACTIONS(2888),
    [anon_sym_ATescaping] = ACTIONS(2888),
    [anon_sym_ATautoclosure] = ACTIONS(2888),
    [anon_sym_weak] = ACTIONS(2888),
    [anon_sym_unowned] = ACTIONS(2890),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2888),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2888),
    [anon_sym_borrowing] = ACTIONS(2888),
    [anon_sym_consuming] = ACTIONS(2888),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(4825),
    [sym__throws_keyword] = ACTIONS(2848),
    [sym__rethrows_keyword] = ACTIONS(2848),
    [sym__async_keyword_custom] = ACTIONS(4827),
  },
  [1610] = {
    [sym__dot] = STATE(4628),
    [aux_sym_user_type_repeat1] = STATE(1610),
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2798),
    [anon_sym_async] = ACTIONS(2798),
    [anon_sym_lazy] = ACTIONS(2798),
    [anon_sym_package] = ACTIONS(2798),
    [anon_sym_COMMA] = ACTIONS(2798),
    [anon_sym_BANG] = ACTIONS(2798),
    [anon_sym_DOT] = ACTIONS(2798),
    [anon_sym_QMARK2] = ACTIONS(2798),
    [anon_sym_AMP] = ACTIONS(2798),
    [anon_sym_LBRACE] = ACTIONS(2798),
    [anon_sym_RBRACE] = ACTIONS(2798),
    [anon_sym_case] = ACTIONS(2798),
    [anon_sym_import] = ACTIONS(2798),
    [anon_sym_typealias] = ACTIONS(2798),
    [anon_sym_struct] = ACTIONS(2798),
    [anon_sym_class] = ACTIONS(2798),
    [anon_sym_enum] = ACTIONS(2798),
    [anon_sym_protocol] = ACTIONS(2798),
    [anon_sym_let] = ACTIONS(2798),
    [anon_sym_var] = ACTIONS(2798),
    [anon_sym_func] = ACTIONS(2798),
    [anon_sym_extension] = ACTIONS(2798),
    [anon_sym_indirect] = ACTIONS(2798),
    [anon_sym_init] = ACTIONS(2798),
    [anon_sym_deinit] = ACTIONS(2798),
    [anon_sym_subscript] = ACTIONS(2798),
    [anon_sym_prefix] = ACTIONS(2798),
    [anon_sym_infix] = ACTIONS(2798),
    [anon_sym_postfix] = ACTIONS(2798),
    [anon_sym_precedencegroup] = ACTIONS(2798),
    [anon_sym_associatedtype] = ACTIONS(2798),
    [anon_sym_AT] = ACTIONS(2800),
    [anon_sym_override] = ACTIONS(2798),
    [anon_sym_convenience] = ACTIONS(2798),
    [anon_sym_required] = ACTIONS(2798),
    [anon_sym_nonisolated] = ACTIONS(2798),
    [anon_sym_public] = ACTIONS(2798),
    [anon_sym_private] = ACTIONS(2798),
    [anon_sym_internal] = ACTIONS(2798),
    [anon_sym_fileprivate] = ACTIONS(2798),
    [anon_sym_open] = ACTIONS(2798),
    [anon_sym_mutating] = ACTIONS(2798),
    [anon_sym_nonmutating] = ACTIONS(2798),
    [anon_sym_static] = ACTIONS(2798),
    [anon_sym_dynamic] = ACTIONS(2798),
    [anon_sym_optional] = ACTIONS(2798),
    [anon_sym_distributed] = ACTIONS(2798),
    [anon_sym_final] = ACTIONS(2798),
    [anon_sym_inout] = ACTIONS(2798),
    [anon_sym_ATescaping] = ACTIONS(2798),
    [anon_sym_ATautoclosure] = ACTIONS(2798),
    [anon_sym_weak] = ACTIONS(2798),
    [anon_sym_unowned] = ACTIONS(2800),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2798),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2798),
    [anon_sym_borrowing] = ACTIONS(2798),
    [anon_sym_consuming] = ACTIONS(2798),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2798),
    [sym__dot_custom] = ACTIONS(4865),
    [sym__throws_keyword] = ACTIONS(2798),
    [sym__rethrows_keyword] = ACTIONS(2798),
    [sym__async_keyword_custom] = ACTIONS(2798),
  },
  [1611] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(3033),
    [aux_sym_simple_identifier_token2] = ACTIONS(3035),
    [aux_sym_simple_identifier_token3] = ACTIONS(3035),
    [aux_sym_simple_identifier_token4] = ACTIONS(3035),
    [anon_sym_actor] = ACTIONS(3033),
    [anon_sym_async] = ACTIONS(3033),
    [anon_sym_each] = ACTIONS(3033),
    [anon_sym_lazy] = ACTIONS(3033),
    [anon_sym_repeat] = ACTIONS(3033),
    [anon_sym_package] = ACTIONS(3033),
    [anon_sym_RPAREN] = ACTIONS(3035),
    [anon_sym_COMMA] = ACTIONS(3035),
    [anon_sym_COLON] = ACTIONS(3035),
    [anon_sym_LPAREN] = ACTIONS(3035),
    [anon_sym_LBRACK] = ACTIONS(3035),
    [anon_sym_RBRACK] = ACTIONS(3035),
    [anon_sym_QMARK] = ACTIONS(3033),
    [anon_sym_QMARK2] = ACTIONS(3035),
    [anon_sym_AMP] = ACTIONS(3035),
    [aux_sym_custom_operator_token1] = ACTIONS(3035),
    [anon_sym_LT] = ACTIONS(3033),
    [anon_sym_GT] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_CARET_LBRACE] = ACTIONS(3035),
    [anon_sym_PLUS_EQ] = ACTIONS(3035),
    [anon_sym_DASH_EQ] = ACTIONS(3035),
    [anon_sym_STAR_EQ] = ACTIONS(3035),
    [anon_sym_SLASH_EQ] = ACTIONS(3035),
    [anon_sym_PERCENT_EQ] = ACTIONS(3035),
    [anon_sym_BANG_EQ] = ACTIONS(3033),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3035),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3035),
    [anon_sym_LT_EQ] = ACTIONS(3035),
    [anon_sym_GT_EQ] = ACTIONS(3035),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3035),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3035),
    [anon_sym_is] = ACTIONS(3033),
    [anon_sym_PLUS] = ACTIONS(3033),
    [anon_sym_DASH] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3033),
    [anon_sym_SLASH] = ACTIONS(3033),
    [anon_sym_PERCENT] = ACTIONS(3033),
    [anon_sym_PLUS_PLUS] = ACTIONS(3035),
    [anon_sym_DASH_DASH] = ACTIONS(3035),
    [anon_sym_PIPE] = ACTIONS(3035),
    [anon_sym_CARET] = ACTIONS(3033),
    [anon_sym_LT_LT] = ACTIONS(3035),
    [anon_sym_GT_GT] = ACTIONS(3035),
    [anon_sym_BANG2] = ACTIONS(3033),
    [anon_sym_borrowing] = ACTIONS(3033),
    [anon_sym_consuming] = ACTIONS(3033),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3035),
    [sym__conjunction_operator_custom] = ACTIONS(3035),
    [sym__disjunction_operator_custom] = ACTIONS(3035),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3035),
    [sym__eq_custom] = ACTIONS(3035),
    [sym__eq_eq_custom] = ACTIONS(3035),
    [sym__plus_then_ws] = ACTIONS(3035),
    [sym__minus_then_ws] = ACTIONS(3035),
    [sym__bang_custom] = ACTIONS(3035),
    [sym__as_custom] = ACTIONS(3035),
    [sym__as_quest_custom] = ACTIONS(3035),
    [sym__as_bang_custom] = ACTIONS(3035),
    [sym__custom_operator] = ACTIONS(3035),
  },
  [1612] = {
    [sym__dot] = STATE(4628),
    [aux_sym_user_type_repeat1] = STATE(1613),
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2805),
    [anon_sym_async] = ACTIONS(2805),
    [anon_sym_lazy] = ACTIONS(2805),
    [anon_sym_package] = ACTIONS(2805),
    [anon_sym_COMMA] = ACTIONS(2805),
    [anon_sym_BANG] = ACTIONS(2805),
    [anon_sym_DOT] = ACTIONS(2805),
    [anon_sym_QMARK2] = ACTIONS(2805),
    [anon_sym_AMP] = ACTIONS(2805),
    [anon_sym_LBRACE] = ACTIONS(2805),
    [anon_sym_RBRACE] = ACTIONS(2805),
    [anon_sym_case] = ACTIONS(2805),
    [anon_sym_import] = ACTIONS(2805),
    [anon_sym_typealias] = ACTIONS(2805),
    [anon_sym_struct] = ACTIONS(2805),
    [anon_sym_class] = ACTIONS(2805),
    [anon_sym_enum] = ACTIONS(2805),
    [anon_sym_protocol] = ACTIONS(2805),
    [anon_sym_let] = ACTIONS(2805),
    [anon_sym_var] = ACTIONS(2805),
    [anon_sym_func] = ACTIONS(2805),
    [anon_sym_extension] = ACTIONS(2805),
    [anon_sym_indirect] = ACTIONS(2805),
    [anon_sym_init] = ACTIONS(2805),
    [anon_sym_deinit] = ACTIONS(2805),
    [anon_sym_subscript] = ACTIONS(2805),
    [anon_sym_prefix] = ACTIONS(2805),
    [anon_sym_infix] = ACTIONS(2805),
    [anon_sym_postfix] = ACTIONS(2805),
    [anon_sym_precedencegroup] = ACTIONS(2805),
    [anon_sym_associatedtype] = ACTIONS(2805),
    [anon_sym_AT] = ACTIONS(2807),
    [anon_sym_override] = ACTIONS(2805),
    [anon_sym_convenience] = ACTIONS(2805),
    [anon_sym_required] = ACTIONS(2805),
    [anon_sym_nonisolated] = ACTIONS(2805),
    [anon_sym_public] = ACTIONS(2805),
    [anon_sym_private] = ACTIONS(2805),
    [anon_sym_internal] = ACTIONS(2805),
    [anon_sym_fileprivate] = ACTIONS(2805),
    [anon_sym_open] = ACTIONS(2805),
    [anon_sym_mutating] = ACTIONS(2805),
    [anon_sym_nonmutating] = ACTIONS(2805),
    [anon_sym_static] = ACTIONS(2805),
    [anon_sym_dynamic] = ACTIONS(2805),
    [anon_sym_optional] = ACTIONS(2805),
    [anon_sym_distributed] = ACTIONS(2805),
    [anon_sym_final] = ACTIONS(2805),
    [anon_sym_inout] = ACTIONS(2805),
    [anon_sym_ATescaping] = ACTIONS(2805),
    [anon_sym_ATautoclosure] = ACTIONS(2805),
    [anon_sym_weak] = ACTIONS(2805),
    [anon_sym_unowned] = ACTIONS(2807),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2805),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2805),
    [anon_sym_borrowing] = ACTIONS(2805),
    [anon_sym_consuming] = ACTIONS(2805),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2805),
    [sym__dot_custom] = ACTIONS(4868),
    [sym__throws_keyword] = ACTIONS(2805),
    [sym__rethrows_keyword] = ACTIONS(2805),
    [sym__async_keyword_custom] = ACTIONS(2805),
  },
  [1613] = {
    [sym__dot] = STATE(4628),
    [aux_sym_user_type_repeat1] = STATE(1610),
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2852),
    [anon_sym_async] = ACTIONS(2852),
    [anon_sym_lazy] = ACTIONS(2852),
    [anon_sym_package] = ACTIONS(2852),
    [anon_sym_COMMA] = ACTIONS(2852),
    [anon_sym_BANG] = ACTIONS(2852),
    [anon_sym_DOT] = ACTIONS(2852),
    [anon_sym_QMARK2] = ACTIONS(2852),
    [anon_sym_AMP] = ACTIONS(2852),
    [anon_sym_LBRACE] = ACTIONS(2852),
    [anon_sym_RBRACE] = ACTIONS(2852),
    [anon_sym_case] = ACTIONS(2852),
    [anon_sym_import] = ACTIONS(2852),
    [anon_sym_typealias] = ACTIONS(2852),
    [anon_sym_struct] = ACTIONS(2852),
    [anon_sym_class] = ACTIONS(2852),
    [anon_sym_enum] = ACTIONS(2852),
    [anon_sym_protocol] = ACTIONS(2852),
    [anon_sym_let] = ACTIONS(2852),
    [anon_sym_var] = ACTIONS(2852),
    [anon_sym_func] = ACTIONS(2852),
    [anon_sym_extension] = ACTIONS(2852),
    [anon_sym_indirect] = ACTIONS(2852),
    [anon_sym_init] = ACTIONS(2852),
    [anon_sym_deinit] = ACTIONS(2852),
    [anon_sym_subscript] = ACTIONS(2852),
    [anon_sym_prefix] = ACTIONS(2852),
    [anon_sym_infix] = ACTIONS(2852),
    [anon_sym_postfix] = ACTIONS(2852),
    [anon_sym_precedencegroup] = ACTIONS(2852),
    [anon_sym_associatedtype] = ACTIONS(2852),
    [anon_sym_AT] = ACTIONS(2854),
    [anon_sym_override] = ACTIONS(2852),
    [anon_sym_convenience] = ACTIONS(2852),
    [anon_sym_required] = ACTIONS(2852),
    [anon_sym_nonisolated] = ACTIONS(2852),
    [anon_sym_public] = ACTIONS(2852),
    [anon_sym_private] = ACTIONS(2852),
    [anon_sym_internal] = ACTIONS(2852),
    [anon_sym_fileprivate] = ACTIONS(2852),
    [anon_sym_open] = ACTIONS(2852),
    [anon_sym_mutating] = ACTIONS(2852),
    [anon_sym_nonmutating] = ACTIONS(2852),
    [anon_sym_static] = ACTIONS(2852),
    [anon_sym_dynamic] = ACTIONS(2852),
    [anon_sym_optional] = ACTIONS(2852),
    [anon_sym_distributed] = ACTIONS(2852),
    [anon_sym_final] = ACTIONS(2852),
    [anon_sym_inout] = ACTIONS(2852),
    [anon_sym_ATescaping] = ACTIONS(2852),
    [anon_sym_ATautoclosure] = ACTIONS(2852),
    [anon_sym_weak] = ACTIONS(2852),
    [anon_sym_unowned] = ACTIONS(2854),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2852),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2852),
    [anon_sym_borrowing] = ACTIONS(2852),
    [anon_sym_consuming] = ACTIONS(2852),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2852),
    [sym__dot_custom] = ACTIONS(4868),
    [sym__throws_keyword] = ACTIONS(2852),
    [sym__rethrows_keyword] = ACTIONS(2852),
    [sym__async_keyword_custom] = ACTIONS(2852),
  },
  [1614] = {
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2924),
    [anon_sym_async] = ACTIONS(2924),
    [anon_sym_lazy] = ACTIONS(2924),
    [anon_sym_package] = ACTIONS(2924),
    [anon_sym_COMMA] = ACTIONS(2924),
    [anon_sym_BANG] = ACTIONS(2924),
    [anon_sym_DOT] = ACTIONS(2924),
    [anon_sym_QMARK2] = ACTIONS(2924),
    [anon_sym_AMP] = ACTIONS(2924),
    [anon_sym_LBRACE] = ACTIONS(2924),
    [anon_sym_RBRACE] = ACTIONS(2924),
    [anon_sym_case] = ACTIONS(2924),
    [anon_sym_import] = ACTIONS(2924),
    [anon_sym_typealias] = ACTIONS(2924),
    [anon_sym_struct] = ACTIONS(2924),
    [anon_sym_class] = ACTIONS(2924),
    [anon_sym_enum] = ACTIONS(2924),
    [anon_sym_protocol] = ACTIONS(2924),
    [anon_sym_let] = ACTIONS(2924),
    [anon_sym_var] = ACTIONS(2924),
    [anon_sym_func] = ACTIONS(2924),
    [anon_sym_extension] = ACTIONS(2924),
    [anon_sym_indirect] = ACTIONS(2924),
    [anon_sym_init] = ACTIONS(2924),
    [anon_sym_deinit] = ACTIONS(2924),
    [anon_sym_subscript] = ACTIONS(2924),
    [anon_sym_prefix] = ACTIONS(2924),
    [anon_sym_infix] = ACTIONS(2924),
    [anon_sym_postfix] = ACTIONS(2924),
    [anon_sym_precedencegroup] = ACTIONS(2924),
    [anon_sym_associatedtype] = ACTIONS(2924),
    [anon_sym_AT] = ACTIONS(2926),
    [anon_sym_override] = ACTIONS(2924),
    [anon_sym_convenience] = ACTIONS(2924),
    [anon_sym_required] = ACTIONS(2924),
    [anon_sym_nonisolated] = ACTIONS(2924),
    [anon_sym_public] = ACTIONS(2924),
    [anon_sym_private] = ACTIONS(2924),
    [anon_sym_internal] = ACTIONS(2924),
    [anon_sym_fileprivate] = ACTIONS(2924),
    [anon_sym_open] = ACTIONS(2924),
    [anon_sym_mutating] = ACTIONS(2924),
    [anon_sym_nonmutating] = ACTIONS(2924),
    [anon_sym_static] = ACTIONS(2924),
    [anon_sym_dynamic] = ACTIONS(2924),
    [anon_sym_optional] = ACTIONS(2924),
    [anon_sym_distributed] = ACTIONS(2924),
    [anon_sym_final] = ACTIONS(2924),
    [anon_sym_inout] = ACTIONS(2924),
    [anon_sym_ATescaping] = ACTIONS(2924),
    [anon_sym_ATautoclosure] = ACTIONS(2924),
    [anon_sym_weak] = ACTIONS(2924),
    [anon_sym_unowned] = ACTIONS(2926),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2924),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2924),
    [anon_sym_borrowing] = ACTIONS(2924),
    [anon_sym_consuming] = ACTIONS(2924),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2924),
    [sym__dot_custom] = ACTIONS(2924),
    [sym__eq_custom] = ACTIONS(2924),
    [sym__throws_keyword] = ACTIONS(2924),
    [sym__rethrows_keyword] = ACTIONS(2924),
    [sym_where_keyword] = ACTIONS(2924),
    [sym__async_keyword_custom] = ACTIONS(2924),
  },
  [1615] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(3018),
    [aux_sym_simple_identifier_token2] = ACTIONS(3020),
    [aux_sym_simple_identifier_token3] = ACTIONS(3020),
    [aux_sym_simple_identifier_token4] = ACTIONS(3020),
    [anon_sym_actor] = ACTIONS(3018),
    [anon_sym_async] = ACTIONS(3018),
    [anon_sym_each] = ACTIONS(3018),
    [anon_sym_lazy] = ACTIONS(3018),
    [anon_sym_repeat] = ACTIONS(3018),
    [anon_sym_package] = ACTIONS(3018),
    [anon_sym_RPAREN] = ACTIONS(3024),
    [anon_sym_COMMA] = ACTIONS(3024),
    [anon_sym_COLON] = ACTIONS(3024),
    [anon_sym_LPAREN] = ACTIONS(3024),
    [anon_sym_LBRACK] = ACTIONS(3024),
    [anon_sym_RBRACK] = ACTIONS(3024),
    [anon_sym_QMARK] = ACTIONS(3022),
    [anon_sym_QMARK2] = ACTIONS(3024),
    [anon_sym_AMP] = ACTIONS(3024),
    [aux_sym_custom_operator_token1] = ACTIONS(3024),
    [anon_sym_LT] = ACTIONS(3022),
    [anon_sym_GT] = ACTIONS(3022),
    [anon_sym_LBRACE] = ACTIONS(3024),
    [anon_sym_CARET_LBRACE] = ACTIONS(3024),
    [anon_sym_PLUS_EQ] = ACTIONS(3024),
    [anon_sym_DASH_EQ] = ACTIONS(3024),
    [anon_sym_STAR_EQ] = ACTIONS(3024),
    [anon_sym_SLASH_EQ] = ACTIONS(3024),
    [anon_sym_PERCENT_EQ] = ACTIONS(3024),
    [anon_sym_BANG_EQ] = ACTIONS(3022),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3024),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3024),
    [anon_sym_LT_EQ] = ACTIONS(3024),
    [anon_sym_GT_EQ] = ACTIONS(3024),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3024),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3024),
    [anon_sym_is] = ACTIONS(3022),
    [anon_sym_PLUS] = ACTIONS(3022),
    [anon_sym_DASH] = ACTIONS(3022),
    [anon_sym_STAR] = ACTIONS(3022),
    [anon_sym_SLASH] = ACTIONS(3022),
    [anon_sym_PERCENT] = ACTIONS(3022),
    [anon_sym_PLUS_PLUS] = ACTIONS(3024),
    [anon_sym_DASH_DASH] = ACTIONS(3024),
    [anon_sym_PIPE] = ACTIONS(3024),
    [anon_sym_CARET] = ACTIONS(3022),
    [anon_sym_LT_LT] = ACTIONS(3024),
    [anon_sym_GT_GT] = ACTIONS(3024),
    [anon_sym_BANG2] = ACTIONS(3022),
    [anon_sym_borrowing] = ACTIONS(3018),
    [anon_sym_consuming] = ACTIONS(3018),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3024),
    [sym__conjunction_operator_custom] = ACTIONS(3024),
    [sym__disjunction_operator_custom] = ACTIONS(3024),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3024),
    [sym__eq_custom] = ACTIONS(3024),
    [sym__eq_eq_custom] = ACTIONS(3024),
    [sym__plus_then_ws] = ACTIONS(3024),
    [sym__minus_then_ws] = ACTIONS(3024),
    [sym__bang_custom] = ACTIONS(3024),
    [sym__as_custom] = ACTIONS(3024),
    [sym__as_quest_custom] = ACTIONS(3024),
    [sym__as_bang_custom] = ACTIONS(3024),
    [sym__custom_operator] = ACTIONS(3024),
  },
  [1616] = {
    [sym__arrow_operator] = STATE(3691),
    [sym__async_keyword] = STATE(6059),
    [sym_throws] = STATE(7467),
    [aux_sym_protocol_composition_type_repeat1] = STATE(1713),
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2900),
    [anon_sym_async] = ACTIONS(2900),
    [anon_sym_lazy] = ACTIONS(2900),
    [anon_sym_package] = ACTIONS(2900),
    [anon_sym_COMMA] = ACTIONS(2900),
    [anon_sym_BANG] = ACTIONS(2900),
    [anon_sym_DOT] = ACTIONS(2900),
    [anon_sym_AMP] = ACTIONS(2900),
    [anon_sym_LBRACE] = ACTIONS(2900),
    [anon_sym_RBRACE] = ACTIONS(2900),
    [anon_sym_case] = ACTIONS(2900),
    [anon_sym_import] = ACTIONS(2900),
    [anon_sym_typealias] = ACTIONS(2900),
    [anon_sym_struct] = ACTIONS(2900),
    [anon_sym_class] = ACTIONS(2900),
    [anon_sym_enum] = ACTIONS(2900),
    [anon_sym_protocol] = ACTIONS(2900),
    [anon_sym_let] = ACTIONS(2900),
    [anon_sym_var] = ACTIONS(2900),
    [anon_sym_func] = ACTIONS(2900),
    [anon_sym_extension] = ACTIONS(2900),
    [anon_sym_indirect] = ACTIONS(2900),
    [anon_sym_init] = ACTIONS(2900),
    [anon_sym_deinit] = ACTIONS(2900),
    [anon_sym_subscript] = ACTIONS(2900),
    [anon_sym_prefix] = ACTIONS(2900),
    [anon_sym_infix] = ACTIONS(2900),
    [anon_sym_postfix] = ACTIONS(2900),
    [anon_sym_precedencegroup] = ACTIONS(2900),
    [anon_sym_associatedtype] = ACTIONS(2900),
    [anon_sym_AT] = ACTIONS(2902),
    [anon_sym_override] = ACTIONS(2900),
    [anon_sym_convenience] = ACTIONS(2900),
    [anon_sym_required] = ACTIONS(2900),
    [anon_sym_nonisolated] = ACTIONS(2900),
    [anon_sym_public] = ACTIONS(2900),
    [anon_sym_private] = ACTIONS(2900),
    [anon_sym_internal] = ACTIONS(2900),
    [anon_sym_fileprivate] = ACTIONS(2900),
    [anon_sym_open] = ACTIONS(2900),
    [anon_sym_mutating] = ACTIONS(2900),
    [anon_sym_nonmutating] = ACTIONS(2900),
    [anon_sym_static] = ACTIONS(2900),
    [anon_sym_dynamic] = ACTIONS(2900),
    [anon_sym_optional] = ACTIONS(2900),
    [anon_sym_distributed] = ACTIONS(2900),
    [anon_sym_final] = ACTIONS(2900),
    [anon_sym_inout] = ACTIONS(2900),
    [anon_sym_ATescaping] = ACTIONS(2900),
    [anon_sym_ATautoclosure] = ACTIONS(2900),
    [anon_sym_weak] = ACTIONS(2900),
    [anon_sym_unowned] = ACTIONS(2902),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2900),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2900),
    [anon_sym_borrowing] = ACTIONS(2900),
    [anon_sym_consuming] = ACTIONS(2900),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2900),
    [sym__throws_keyword] = ACTIONS(2900),
    [sym__rethrows_keyword] = ACTIONS(2900),
    [sym__async_keyword_custom] = ACTIONS(2900),
  },
  [1617] = {
    [sym__arrow_operator] = STATE(3691),
    [sym__async_keyword] = STATE(6059),
    [sym_throws] = STATE(7467),
    [aux_sym_protocol_composition_type_repeat1] = STATE(1713),
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2866),
    [anon_sym_async] = ACTIONS(2866),
    [anon_sym_lazy] = ACTIONS(2866),
    [anon_sym_package] = ACTIONS(2866),
    [anon_sym_COMMA] = ACTIONS(2866),
    [anon_sym_BANG] = ACTIONS(2866),
    [anon_sym_DOT] = ACTIONS(4861),
    [anon_sym_AMP] = ACTIONS(4863),
    [anon_sym_LBRACE] = ACTIONS(2866),
    [anon_sym_RBRACE] = ACTIONS(2866),
    [anon_sym_case] = ACTIONS(2866),
    [anon_sym_import] = ACTIONS(2866),
    [anon_sym_typealias] = ACTIONS(2866),
    [anon_sym_struct] = ACTIONS(2866),
    [anon_sym_class] = ACTIONS(2866),
    [anon_sym_enum] = ACTIONS(2866),
    [anon_sym_protocol] = ACTIONS(2866),
    [anon_sym_let] = ACTIONS(2866),
    [anon_sym_var] = ACTIONS(2866),
    [anon_sym_func] = ACTIONS(2866),
    [anon_sym_extension] = ACTIONS(2866),
    [anon_sym_indirect] = ACTIONS(2866),
    [anon_sym_init] = ACTIONS(2866),
    [anon_sym_deinit] = ACTIONS(2866),
    [anon_sym_subscript] = ACTIONS(2866),
    [anon_sym_prefix] = ACTIONS(2866),
    [anon_sym_infix] = ACTIONS(2866),
    [anon_sym_postfix] = ACTIONS(2866),
    [anon_sym_precedencegroup] = ACTIONS(2866),
    [anon_sym_associatedtype] = ACTIONS(2866),
    [anon_sym_AT] = ACTIONS(2870),
    [anon_sym_override] = ACTIONS(2866),
    [anon_sym_convenience] = ACTIONS(2866),
    [anon_sym_required] = ACTIONS(2866),
    [anon_sym_nonisolated] = ACTIONS(2866),
    [anon_sym_public] = ACTIONS(2866),
    [anon_sym_private] = ACTIONS(2866),
    [anon_sym_internal] = ACTIONS(2866),
    [anon_sym_fileprivate] = ACTIONS(2866),
    [anon_sym_open] = ACTIONS(2866),
    [anon_sym_mutating] = ACTIONS(2866),
    [anon_sym_nonmutating] = ACTIONS(2866),
    [anon_sym_static] = ACTIONS(2866),
    [anon_sym_dynamic] = ACTIONS(2866),
    [anon_sym_optional] = ACTIONS(2866),
    [anon_sym_distributed] = ACTIONS(2866),
    [anon_sym_final] = ACTIONS(2866),
    [anon_sym_inout] = ACTIONS(2866),
    [anon_sym_ATescaping] = ACTIONS(2866),
    [anon_sym_ATautoclosure] = ACTIONS(2866),
    [anon_sym_weak] = ACTIONS(2866),
    [anon_sym_unowned] = ACTIONS(2870),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2866),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2866),
    [anon_sym_borrowing] = ACTIONS(2866),
    [anon_sym_consuming] = ACTIONS(2866),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(4825),
    [sym__throws_keyword] = ACTIONS(2848),
    [sym__rethrows_keyword] = ACTIONS(2848),
    [sym__async_keyword_custom] = ACTIONS(4827),
  },
  [1618] = {
    [sym__arrow_operator] = STATE(3691),
    [sym__async_keyword] = STATE(6059),
    [sym_throws] = STATE(7467),
    [aux_sym_protocol_composition_type_repeat1] = STATE(1713),
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2874),
    [anon_sym_async] = ACTIONS(2874),
    [anon_sym_lazy] = ACTIONS(2874),
    [anon_sym_package] = ACTIONS(2874),
    [anon_sym_COMMA] = ACTIONS(2874),
    [anon_sym_BANG] = ACTIONS(2874),
    [anon_sym_DOT] = ACTIONS(4861),
    [anon_sym_AMP] = ACTIONS(4863),
    [anon_sym_LBRACE] = ACTIONS(2874),
    [anon_sym_RBRACE] = ACTIONS(2874),
    [anon_sym_case] = ACTIONS(2874),
    [anon_sym_import] = ACTIONS(2874),
    [anon_sym_typealias] = ACTIONS(2874),
    [anon_sym_struct] = ACTIONS(2874),
    [anon_sym_class] = ACTIONS(2874),
    [anon_sym_enum] = ACTIONS(2874),
    [anon_sym_protocol] = ACTIONS(2874),
    [anon_sym_let] = ACTIONS(2874),
    [anon_sym_var] = ACTIONS(2874),
    [anon_sym_func] = ACTIONS(2874),
    [anon_sym_extension] = ACTIONS(2874),
    [anon_sym_indirect] = ACTIONS(2874),
    [anon_sym_init] = ACTIONS(2874),
    [anon_sym_deinit] = ACTIONS(2874),
    [anon_sym_subscript] = ACTIONS(2874),
    [anon_sym_prefix] = ACTIONS(2874),
    [anon_sym_infix] = ACTIONS(2874),
    [anon_sym_postfix] = ACTIONS(2874),
    [anon_sym_precedencegroup] = ACTIONS(2874),
    [anon_sym_associatedtype] = ACTIONS(2874),
    [anon_sym_AT] = ACTIONS(2876),
    [anon_sym_override] = ACTIONS(2874),
    [anon_sym_convenience] = ACTIONS(2874),
    [anon_sym_required] = ACTIONS(2874),
    [anon_sym_nonisolated] = ACTIONS(2874),
    [anon_sym_public] = ACTIONS(2874),
    [anon_sym_private] = ACTIONS(2874),
    [anon_sym_internal] = ACTIONS(2874),
    [anon_sym_fileprivate] = ACTIONS(2874),
    [anon_sym_open] = ACTIONS(2874),
    [anon_sym_mutating] = ACTIONS(2874),
    [anon_sym_nonmutating] = ACTIONS(2874),
    [anon_sym_static] = ACTIONS(2874),
    [anon_sym_dynamic] = ACTIONS(2874),
    [anon_sym_optional] = ACTIONS(2874),
    [anon_sym_distributed] = ACTIONS(2874),
    [anon_sym_final] = ACTIONS(2874),
    [anon_sym_inout] = ACTIONS(2874),
    [anon_sym_ATescaping] = ACTIONS(2874),
    [anon_sym_ATautoclosure] = ACTIONS(2874),
    [anon_sym_weak] = ACTIONS(2874),
    [anon_sym_unowned] = ACTIONS(2876),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2874),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2874),
    [anon_sym_borrowing] = ACTIONS(2874),
    [anon_sym_consuming] = ACTIONS(2874),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(4825),
    [sym__throws_keyword] = ACTIONS(2848),
    [sym__rethrows_keyword] = ACTIONS(2848),
    [sym__async_keyword_custom] = ACTIONS(4827),
  },
  [1619] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(2930),
    [aux_sym_simple_identifier_token2] = ACTIONS(2928),
    [aux_sym_simple_identifier_token3] = ACTIONS(2928),
    [aux_sym_simple_identifier_token4] = ACTIONS(2928),
    [anon_sym_actor] = ACTIONS(2930),
    [anon_sym_async] = ACTIONS(2930),
    [anon_sym_each] = ACTIONS(2930),
    [anon_sym_lazy] = ACTIONS(2930),
    [anon_sym_repeat] = ACTIONS(2930),
    [anon_sym_package] = ACTIONS(2930),
    [sym_integer_literal] = ACTIONS(2928),
    [anon_sym_RPAREN] = ACTIONS(2928),
    [anon_sym_COMMA] = ACTIONS(2928),
    [anon_sym_COLON] = ACTIONS(2928),
    [anon_sym_LPAREN] = ACTIONS(2928),
    [anon_sym_LBRACK] = ACTIONS(2928),
    [anon_sym_QMARK] = ACTIONS(2930),
    [anon_sym_QMARK2] = ACTIONS(2928),
    [anon_sym_AMP] = ACTIONS(2928),
    [aux_sym_custom_operator_token1] = ACTIONS(2928),
    [anon_sym_LT] = ACTIONS(2930),
    [anon_sym_GT] = ACTIONS(2930),
    [anon_sym_LBRACE] = ACTIONS(2928),
    [anon_sym_CARET_LBRACE] = ACTIONS(2928),
    [anon_sym_PLUS_EQ] = ACTIONS(2928),
    [anon_sym_DASH_EQ] = ACTIONS(2928),
    [anon_sym_STAR_EQ] = ACTIONS(2928),
    [anon_sym_SLASH_EQ] = ACTIONS(2928),
    [anon_sym_PERCENT_EQ] = ACTIONS(2928),
    [anon_sym_BANG_EQ] = ACTIONS(2930),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2928),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2928),
    [anon_sym_LT_EQ] = ACTIONS(2928),
    [anon_sym_GT_EQ] = ACTIONS(2928),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2928),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2928),
    [anon_sym_is] = ACTIONS(2930),
    [anon_sym_PLUS] = ACTIONS(2930),
    [anon_sym_DASH] = ACTIONS(2930),
    [anon_sym_STAR] = ACTIONS(2930),
    [anon_sym_SLASH] = ACTIONS(2930),
    [anon_sym_PERCENT] = ACTIONS(2930),
    [anon_sym_PLUS_PLUS] = ACTIONS(2928),
    [anon_sym_DASH_DASH] = ACTIONS(2928),
    [anon_sym_PIPE] = ACTIONS(2928),
    [anon_sym_CARET] = ACTIONS(2930),
    [anon_sym_LT_LT] = ACTIONS(2928),
    [anon_sym_GT_GT] = ACTIONS(2928),
    [anon_sym_BANG2] = ACTIONS(2930),
    [anon_sym_borrowing] = ACTIONS(2930),
    [anon_sym_consuming] = ACTIONS(2930),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2928),
    [sym__conjunction_operator_custom] = ACTIONS(2928),
    [sym__disjunction_operator_custom] = ACTIONS(2928),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2928),
    [sym__eq_custom] = ACTIONS(2928),
    [sym__eq_eq_custom] = ACTIONS(2928),
    [sym__plus_then_ws] = ACTIONS(2928),
    [sym__minus_then_ws] = ACTIONS(2928),
    [sym__bang_custom] = ACTIONS(2928),
    [sym__as_custom] = ACTIONS(2928),
    [sym__as_quest_custom] = ACTIONS(2928),
    [sym__as_bang_custom] = ACTIONS(2928),
    [sym__custom_operator] = ACTIONS(2928),
  },
  [1620] = {
    [sym_type_arguments] = STATE(1702),
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2882),
    [anon_sym_async] = ACTIONS(2882),
    [anon_sym_lazy] = ACTIONS(2882),
    [anon_sym_package] = ACTIONS(2882),
    [anon_sym_COMMA] = ACTIONS(2882),
    [anon_sym_BANG] = ACTIONS(2882),
    [anon_sym_DOT] = ACTIONS(2882),
    [anon_sym_QMARK2] = ACTIONS(2882),
    [anon_sym_AMP] = ACTIONS(2882),
    [anon_sym_LT] = ACTIONS(4870),
    [anon_sym_LBRACE] = ACTIONS(2882),
    [anon_sym_RBRACE] = ACTIONS(2882),
    [anon_sym_case] = ACTIONS(2882),
    [anon_sym_import] = ACTIONS(2882),
    [anon_sym_typealias] = ACTIONS(2882),
    [anon_sym_struct] = ACTIONS(2882),
    [anon_sym_class] = ACTIONS(2882),
    [anon_sym_enum] = ACTIONS(2882),
    [anon_sym_protocol] = ACTIONS(2882),
    [anon_sym_let] = ACTIONS(2882),
    [anon_sym_var] = ACTIONS(2882),
    [anon_sym_func] = ACTIONS(2882),
    [anon_sym_extension] = ACTIONS(2882),
    [anon_sym_indirect] = ACTIONS(2882),
    [anon_sym_init] = ACTIONS(2882),
    [anon_sym_deinit] = ACTIONS(2882),
    [anon_sym_subscript] = ACTIONS(2882),
    [anon_sym_prefix] = ACTIONS(2882),
    [anon_sym_infix] = ACTIONS(2882),
    [anon_sym_postfix] = ACTIONS(2882),
    [anon_sym_precedencegroup] = ACTIONS(2882),
    [anon_sym_associatedtype] = ACTIONS(2882),
    [anon_sym_AT] = ACTIONS(2884),
    [anon_sym_override] = ACTIONS(2882),
    [anon_sym_convenience] = ACTIONS(2882),
    [anon_sym_required] = ACTIONS(2882),
    [anon_sym_nonisolated] = ACTIONS(2882),
    [anon_sym_public] = ACTIONS(2882),
    [anon_sym_private] = ACTIONS(2882),
    [anon_sym_internal] = ACTIONS(2882),
    [anon_sym_fileprivate] = ACTIONS(2882),
    [anon_sym_open] = ACTIONS(2882),
    [anon_sym_mutating] = ACTIONS(2882),
    [anon_sym_nonmutating] = ACTIONS(2882),
    [anon_sym_static] = ACTIONS(2882),
    [anon_sym_dynamic] = ACTIONS(2882),
    [anon_sym_optional] = ACTIONS(2882),
    [anon_sym_distributed] = ACTIONS(2882),
    [anon_sym_final] = ACTIONS(2882),
    [anon_sym_inout] = ACTIONS(2882),
    [anon_sym_ATescaping] = ACTIONS(2882),
    [anon_sym_ATautoclosure] = ACTIONS(2882),
    [anon_sym_weak] = ACTIONS(2882),
    [anon_sym_unowned] = ACTIONS(2884),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2882),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2882),
    [anon_sym_borrowing] = ACTIONS(2882),
    [anon_sym_consuming] = ACTIONS(2882),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2882),
    [sym__dot_custom] = ACTIONS(2882),
    [sym__throws_keyword] = ACTIONS(2882),
    [sym__rethrows_keyword] = ACTIONS(2882),
    [sym__async_keyword_custom] = ACTIONS(2882),
  },
  [1621] = {
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2971),
    [anon_sym_async] = ACTIONS(2971),
    [anon_sym_lazy] = ACTIONS(2971),
    [anon_sym_package] = ACTIONS(2971),
    [anon_sym_COMMA] = ACTIONS(2971),
    [anon_sym_BANG] = ACTIONS(2971),
    [anon_sym_DOT] = ACTIONS(2971),
    [anon_sym_QMARK2] = ACTIONS(2971),
    [anon_sym_AMP] = ACTIONS(2971),
    [anon_sym_LBRACE] = ACTIONS(2971),
    [anon_sym_RBRACE] = ACTIONS(2971),
    [anon_sym_case] = ACTIONS(2971),
    [anon_sym_import] = ACTIONS(2971),
    [anon_sym_typealias] = ACTIONS(2971),
    [anon_sym_struct] = ACTIONS(2971),
    [anon_sym_class] = ACTIONS(2971),
    [anon_sym_enum] = ACTIONS(2971),
    [anon_sym_protocol] = ACTIONS(2971),
    [anon_sym_let] = ACTIONS(2971),
    [anon_sym_var] = ACTIONS(2971),
    [anon_sym_func] = ACTIONS(2971),
    [anon_sym_extension] = ACTIONS(2971),
    [anon_sym_indirect] = ACTIONS(2971),
    [anon_sym_init] = ACTIONS(2971),
    [anon_sym_deinit] = ACTIONS(2971),
    [anon_sym_subscript] = ACTIONS(2971),
    [anon_sym_prefix] = ACTIONS(2971),
    [anon_sym_infix] = ACTIONS(2971),
    [anon_sym_postfix] = ACTIONS(2971),
    [anon_sym_precedencegroup] = ACTIONS(2971),
    [anon_sym_associatedtype] = ACTIONS(2971),
    [anon_sym_AT] = ACTIONS(2973),
    [anon_sym_override] = ACTIONS(2971),
    [anon_sym_convenience] = ACTIONS(2971),
    [anon_sym_required] = ACTIONS(2971),
    [anon_sym_nonisolated] = ACTIONS(2971),
    [anon_sym_public] = ACTIONS(2971),
    [anon_sym_private] = ACTIONS(2971),
    [anon_sym_internal] = ACTIONS(2971),
    [anon_sym_fileprivate] = ACTIONS(2971),
    [anon_sym_open] = ACTIONS(2971),
    [anon_sym_mutating] = ACTIONS(2971),
    [anon_sym_nonmutating] = ACTIONS(2971),
    [anon_sym_static] = ACTIONS(2971),
    [anon_sym_dynamic] = ACTIONS(2971),
    [anon_sym_optional] = ACTIONS(2971),
    [anon_sym_distributed] = ACTIONS(2971),
    [anon_sym_final] = ACTIONS(2971),
    [anon_sym_inout] = ACTIONS(2971),
    [anon_sym_ATescaping] = ACTIONS(2971),
    [anon_sym_ATautoclosure] = ACTIONS(2971),
    [anon_sym_weak] = ACTIONS(2971),
    [anon_sym_unowned] = ACTIONS(2973),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2971),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2971),
    [anon_sym_borrowing] = ACTIONS(2971),
    [anon_sym_consuming] = ACTIONS(2971),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2971),
    [sym__dot_custom] = ACTIONS(2971),
    [sym__eq_custom] = ACTIONS(2971),
    [sym__throws_keyword] = ACTIONS(2971),
    [sym__rethrows_keyword] = ACTIONS(2971),
    [sym_where_keyword] = ACTIONS(2971),
    [sym__async_keyword_custom] = ACTIONS(2971),
  },
  [1622] = {
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2991),
    [anon_sym_async] = ACTIONS(2991),
    [anon_sym_lazy] = ACTIONS(2991),
    [anon_sym_package] = ACTIONS(2991),
    [anon_sym_RPAREN] = ACTIONS(2991),
    [anon_sym_COMMA] = ACTIONS(2991),
    [anon_sym_BANG] = ACTIONS(2991),
    [anon_sym_DOT] = ACTIONS(2993),
    [anon_sym_QMARK2] = ACTIONS(2991),
    [anon_sym_AMP] = ACTIONS(2991),
    [anon_sym_LBRACE] = ACTIONS(2991),
    [anon_sym_RBRACE] = ACTIONS(2991),
    [anon_sym_case] = ACTIONS(2991),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2991),
    [anon_sym_import] = ACTIONS(2991),
    [anon_sym_typealias] = ACTIONS(2991),
    [anon_sym_struct] = ACTIONS(2991),
    [anon_sym_class] = ACTIONS(2991),
    [anon_sym_enum] = ACTIONS(2991),
    [anon_sym_protocol] = ACTIONS(2991),
    [anon_sym_let] = ACTIONS(2991),
    [anon_sym_var] = ACTIONS(2991),
    [anon_sym_func] = ACTIONS(2991),
    [anon_sym_extension] = ACTIONS(2991),
    [anon_sym_indirect] = ACTIONS(2991),
    [anon_sym_init] = ACTIONS(2991),
    [anon_sym_deinit] = ACTIONS(2991),
    [anon_sym_subscript] = ACTIONS(2991),
    [anon_sym_prefix] = ACTIONS(2991),
    [anon_sym_infix] = ACTIONS(2991),
    [anon_sym_postfix] = ACTIONS(2991),
    [anon_sym_precedencegroup] = ACTIONS(2991),
    [anon_sym_associatedtype] = ACTIONS(2991),
    [anon_sym_AT] = ACTIONS(2993),
    [anon_sym_override] = ACTIONS(2991),
    [anon_sym_convenience] = ACTIONS(2991),
    [anon_sym_required] = ACTIONS(2991),
    [anon_sym_nonisolated] = ACTIONS(2991),
    [anon_sym_public] = ACTIONS(2991),
    [anon_sym_private] = ACTIONS(2991),
    [anon_sym_internal] = ACTIONS(2991),
    [anon_sym_fileprivate] = ACTIONS(2991),
    [anon_sym_open] = ACTIONS(2991),
    [anon_sym_mutating] = ACTIONS(2991),
    [anon_sym_nonmutating] = ACTIONS(2991),
    [anon_sym_static] = ACTIONS(2991),
    [anon_sym_dynamic] = ACTIONS(2991),
    [anon_sym_optional] = ACTIONS(2991),
    [anon_sym_distributed] = ACTIONS(2991),
    [anon_sym_final] = ACTIONS(2991),
    [anon_sym_inout] = ACTIONS(2991),
    [anon_sym_ATescaping] = ACTIONS(2991),
    [anon_sym_ATautoclosure] = ACTIONS(2991),
    [anon_sym_weak] = ACTIONS(2991),
    [anon_sym_unowned] = ACTIONS(2993),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2991),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2991),
    [anon_sym_borrowing] = ACTIONS(2991),
    [anon_sym_consuming] = ACTIONS(2991),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2991),
    [sym__eq_custom] = ACTIONS(2991),
    [sym__throws_keyword] = ACTIONS(2991),
    [sym__rethrows_keyword] = ACTIONS(2991),
    [sym__async_keyword_custom] = ACTIONS(2991),
  },
  [1623] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(3018),
    [aux_sym_simple_identifier_token2] = ACTIONS(3020),
    [aux_sym_simple_identifier_token3] = ACTIONS(3020),
    [aux_sym_simple_identifier_token4] = ACTIONS(3020),
    [anon_sym_actor] = ACTIONS(3018),
    [anon_sym_async] = ACTIONS(3018),
    [anon_sym_each] = ACTIONS(3018),
    [anon_sym_lazy] = ACTIONS(3018),
    [anon_sym_repeat] = ACTIONS(3018),
    [anon_sym_package] = ACTIONS(3018),
    [anon_sym_COMMA] = ACTIONS(3020),
    [anon_sym_LPAREN] = ACTIONS(3020),
    [anon_sym_LBRACK] = ACTIONS(3020),
    [anon_sym_QMARK] = ACTIONS(3018),
    [anon_sym_QMARK2] = ACTIONS(3020),
    [anon_sym_AMP] = ACTIONS(3020),
    [aux_sym_custom_operator_token1] = ACTIONS(3020),
    [anon_sym_LT] = ACTIONS(3018),
    [anon_sym_GT] = ACTIONS(3018),
    [anon_sym_LBRACE] = ACTIONS(3020),
    [anon_sym_CARET_LBRACE] = ACTIONS(3020),
    [anon_sym_RBRACE] = ACTIONS(3020),
    [anon_sym_PLUS_EQ] = ACTIONS(3020),
    [anon_sym_DASH_EQ] = ACTIONS(3020),
    [anon_sym_STAR_EQ] = ACTIONS(3020),
    [anon_sym_SLASH_EQ] = ACTIONS(3020),
    [anon_sym_PERCENT_EQ] = ACTIONS(3020),
    [anon_sym_BANG_EQ] = ACTIONS(3018),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3020),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3020),
    [anon_sym_LT_EQ] = ACTIONS(3020),
    [anon_sym_GT_EQ] = ACTIONS(3020),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3020),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3020),
    [anon_sym_is] = ACTIONS(3018),
    [anon_sym_PLUS] = ACTIONS(3018),
    [anon_sym_DASH] = ACTIONS(3018),
    [anon_sym_STAR] = ACTIONS(3018),
    [anon_sym_SLASH] = ACTIONS(3018),
    [anon_sym_PERCENT] = ACTIONS(3018),
    [anon_sym_PLUS_PLUS] = ACTIONS(3020),
    [anon_sym_DASH_DASH] = ACTIONS(3020),
    [anon_sym_PIPE] = ACTIONS(3020),
    [anon_sym_CARET] = ACTIONS(3018),
    [anon_sym_LT_LT] = ACTIONS(3020),
    [anon_sym_GT_GT] = ACTIONS(3020),
    [anon_sym_BANG2] = ACTIONS(3018),
    [anon_sym_borrowing] = ACTIONS(3018),
    [anon_sym_consuming] = ACTIONS(3018),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(3020),
    [sym__implicit_semi] = ACTIONS(3020),
    [sym__explicit_semi] = ACTIONS(3020),
    [sym__dot_custom] = ACTIONS(3020),
    [sym__conjunction_operator_custom] = ACTIONS(3020),
    [sym__disjunction_operator_custom] = ACTIONS(3020),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3020),
    [sym__eq_custom] = ACTIONS(3020),
    [sym__eq_eq_custom] = ACTIONS(3020),
    [sym__plus_then_ws] = ACTIONS(3020),
    [sym__minus_then_ws] = ACTIONS(3020),
    [sym__bang_custom] = ACTIONS(3020),
    [sym__as_custom] = ACTIONS(3020),
    [sym__as_quest_custom] = ACTIONS(3020),
    [sym__as_bang_custom] = ACTIONS(3020),
    [sym__custom_operator] = ACTIONS(3020),
  },
  [1624] = {
    [sym__arrow_operator] = STATE(3691),
    [sym__async_keyword] = STATE(6059),
    [sym_throws] = STATE(7467),
    [aux_sym_protocol_composition_type_repeat1] = STATE(1713),
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2896),
    [anon_sym_async] = ACTIONS(2896),
    [anon_sym_lazy] = ACTIONS(2896),
    [anon_sym_package] = ACTIONS(2896),
    [anon_sym_COMMA] = ACTIONS(2896),
    [anon_sym_BANG] = ACTIONS(2896),
    [anon_sym_DOT] = ACTIONS(4861),
    [anon_sym_AMP] = ACTIONS(4863),
    [anon_sym_LBRACE] = ACTIONS(2896),
    [anon_sym_RBRACE] = ACTIONS(2896),
    [anon_sym_case] = ACTIONS(2896),
    [anon_sym_import] = ACTIONS(2896),
    [anon_sym_typealias] = ACTIONS(2896),
    [anon_sym_struct] = ACTIONS(2896),
    [anon_sym_class] = ACTIONS(2896),
    [anon_sym_enum] = ACTIONS(2896),
    [anon_sym_protocol] = ACTIONS(2896),
    [anon_sym_let] = ACTIONS(2896),
    [anon_sym_var] = ACTIONS(2896),
    [anon_sym_func] = ACTIONS(2896),
    [anon_sym_extension] = ACTIONS(2896),
    [anon_sym_indirect] = ACTIONS(2896),
    [anon_sym_init] = ACTIONS(2896),
    [anon_sym_deinit] = ACTIONS(2896),
    [anon_sym_subscript] = ACTIONS(2896),
    [anon_sym_prefix] = ACTIONS(2896),
    [anon_sym_infix] = ACTIONS(2896),
    [anon_sym_postfix] = ACTIONS(2896),
    [anon_sym_precedencegroup] = ACTIONS(2896),
    [anon_sym_associatedtype] = ACTIONS(2896),
    [anon_sym_AT] = ACTIONS(2898),
    [anon_sym_override] = ACTIONS(2896),
    [anon_sym_convenience] = ACTIONS(2896),
    [anon_sym_required] = ACTIONS(2896),
    [anon_sym_nonisolated] = ACTIONS(2896),
    [anon_sym_public] = ACTIONS(2896),
    [anon_sym_private] = ACTIONS(2896),
    [anon_sym_internal] = ACTIONS(2896),
    [anon_sym_fileprivate] = ACTIONS(2896),
    [anon_sym_open] = ACTIONS(2896),
    [anon_sym_mutating] = ACTIONS(2896),
    [anon_sym_nonmutating] = ACTIONS(2896),
    [anon_sym_static] = ACTIONS(2896),
    [anon_sym_dynamic] = ACTIONS(2896),
    [anon_sym_optional] = ACTIONS(2896),
    [anon_sym_distributed] = ACTIONS(2896),
    [anon_sym_final] = ACTIONS(2896),
    [anon_sym_inout] = ACTIONS(2896),
    [anon_sym_ATescaping] = ACTIONS(2896),
    [anon_sym_ATautoclosure] = ACTIONS(2896),
    [anon_sym_weak] = ACTIONS(2896),
    [anon_sym_unowned] = ACTIONS(2898),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2896),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2896),
    [anon_sym_borrowing] = ACTIONS(2896),
    [anon_sym_consuming] = ACTIONS(2896),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(4825),
    [sym__throws_keyword] = ACTIONS(2848),
    [sym__rethrows_keyword] = ACTIONS(2848),
    [sym__async_keyword_custom] = ACTIONS(4827),
  },
  [1625] = {
    [sym__arrow_operator] = STATE(3691),
    [sym__async_keyword] = STATE(6059),
    [sym_throws] = STATE(7467),
    [aux_sym_protocol_composition_type_repeat1] = STATE(1713),
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2892),
    [anon_sym_async] = ACTIONS(2892),
    [anon_sym_lazy] = ACTIONS(2892),
    [anon_sym_package] = ACTIONS(2892),
    [anon_sym_COMMA] = ACTIONS(2892),
    [anon_sym_BANG] = ACTIONS(2892),
    [anon_sym_DOT] = ACTIONS(4861),
    [anon_sym_AMP] = ACTIONS(4863),
    [anon_sym_LBRACE] = ACTIONS(2892),
    [anon_sym_RBRACE] = ACTIONS(2892),
    [anon_sym_case] = ACTIONS(2892),
    [anon_sym_import] = ACTIONS(2892),
    [anon_sym_typealias] = ACTIONS(2892),
    [anon_sym_struct] = ACTIONS(2892),
    [anon_sym_class] = ACTIONS(2892),
    [anon_sym_enum] = ACTIONS(2892),
    [anon_sym_protocol] = ACTIONS(2892),
    [anon_sym_let] = ACTIONS(2892),
    [anon_sym_var] = ACTIONS(2892),
    [anon_sym_func] = ACTIONS(2892),
    [anon_sym_extension] = ACTIONS(2892),
    [anon_sym_indirect] = ACTIONS(2892),
    [anon_sym_init] = ACTIONS(2892),
    [anon_sym_deinit] = ACTIONS(2892),
    [anon_sym_subscript] = ACTIONS(2892),
    [anon_sym_prefix] = ACTIONS(2892),
    [anon_sym_infix] = ACTIONS(2892),
    [anon_sym_postfix] = ACTIONS(2892),
    [anon_sym_precedencegroup] = ACTIONS(2892),
    [anon_sym_associatedtype] = ACTIONS(2892),
    [anon_sym_AT] = ACTIONS(2894),
    [anon_sym_override] = ACTIONS(2892),
    [anon_sym_convenience] = ACTIONS(2892),
    [anon_sym_required] = ACTIONS(2892),
    [anon_sym_nonisolated] = ACTIONS(2892),
    [anon_sym_public] = ACTIONS(2892),
    [anon_sym_private] = ACTIONS(2892),
    [anon_sym_internal] = ACTIONS(2892),
    [anon_sym_fileprivate] = ACTIONS(2892),
    [anon_sym_open] = ACTIONS(2892),
    [anon_sym_mutating] = ACTIONS(2892),
    [anon_sym_nonmutating] = ACTIONS(2892),
    [anon_sym_static] = ACTIONS(2892),
    [anon_sym_dynamic] = ACTIONS(2892),
    [anon_sym_optional] = ACTIONS(2892),
    [anon_sym_distributed] = ACTIONS(2892),
    [anon_sym_final] = ACTIONS(2892),
    [anon_sym_inout] = ACTIONS(2892),
    [anon_sym_ATescaping] = ACTIONS(2892),
    [anon_sym_ATautoclosure] = ACTIONS(2892),
    [anon_sym_weak] = ACTIONS(2892),
    [anon_sym_unowned] = ACTIONS(2894),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2892),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2892),
    [anon_sym_borrowing] = ACTIONS(2892),
    [anon_sym_consuming] = ACTIONS(2892),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(4825),
    [sym__throws_keyword] = ACTIONS(2848),
    [sym__rethrows_keyword] = ACTIONS(2848),
    [sym__async_keyword_custom] = ACTIONS(4827),
  },
  [1626] = {
    [sym__block] = STATE(2809),
    [sym_function_body] = STATE(2774),
    [sym_type_constraints] = STATE(2262),
    [aux_sym__function_value_parameters] = STATE(1862),
    [sym__async_keyword] = STATE(1804),
    [sym_throws] = STATE(1997),
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(4872),
    [anon_sym_async] = ACTIONS(4872),
    [anon_sym_lazy] = ACTIONS(4872),
    [anon_sym_package] = ACTIONS(4872),
    [anon_sym_LPAREN] = ACTIONS(4874),
    [anon_sym_LBRACE] = ACTIONS(4876),
    [anon_sym_RBRACE] = ACTIONS(4872),
    [anon_sym_case] = ACTIONS(4872),
    [anon_sym_import] = ACTIONS(4872),
    [anon_sym_typealias] = ACTIONS(4872),
    [anon_sym_struct] = ACTIONS(4872),
    [anon_sym_class] = ACTIONS(4872),
    [anon_sym_enum] = ACTIONS(4872),
    [anon_sym_protocol] = ACTIONS(4872),
    [anon_sym_let] = ACTIONS(4872),
    [anon_sym_var] = ACTIONS(4872),
    [anon_sym_func] = ACTIONS(4872),
    [anon_sym_extension] = ACTIONS(4872),
    [anon_sym_indirect] = ACTIONS(4872),
    [anon_sym_init] = ACTIONS(4872),
    [anon_sym_deinit] = ACTIONS(4872),
    [anon_sym_subscript] = ACTIONS(4872),
    [anon_sym_prefix] = ACTIONS(4872),
    [anon_sym_infix] = ACTIONS(4872),
    [anon_sym_postfix] = ACTIONS(4872),
    [anon_sym_precedencegroup] = ACTIONS(4872),
    [anon_sym_associatedtype] = ACTIONS(4872),
    [anon_sym_AT] = ACTIONS(4878),
    [anon_sym_override] = ACTIONS(4872),
    [anon_sym_convenience] = ACTIONS(4872),
    [anon_sym_required] = ACTIONS(4872),
    [anon_sym_nonisolated] = ACTIONS(4872),
    [anon_sym_public] = ACTIONS(4872),
    [anon_sym_private] = ACTIONS(4872),
    [anon_sym_internal] = ACTIONS(4872),
    [anon_sym_fileprivate] = ACTIONS(4872),
    [anon_sym_open] = ACTIONS(4872),
    [anon_sym_mutating] = ACTIONS(4872),
    [anon_sym_nonmutating] = ACTIONS(4872),
    [anon_sym_static] = ACTIONS(4872),
    [anon_sym_dynamic] = ACTIONS(4872),
    [anon_sym_optional] = ACTIONS(4872),
    [anon_sym_distributed] = ACTIONS(4872),
    [anon_sym_final] = ACTIONS(4872),
    [anon_sym_inout] = ACTIONS(4872),
    [anon_sym_ATescaping] = ACTIONS(4872),
    [anon_sym_ATautoclosure] = ACTIONS(4872),
    [anon_sym_weak] = ACTIONS(4872),
    [anon_sym_unowned] = ACTIONS(4878),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(4872),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(4872),
    [anon_sym_borrowing] = ACTIONS(4872),
    [anon_sym_consuming] = ACTIONS(4872),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__throws_keyword] = ACTIONS(4880),
    [sym__rethrows_keyword] = ACTIONS(4880),
    [sym_where_keyword] = ACTIONS(4882),
    [sym__async_keyword_custom] = ACTIONS(4884),
  },
  [1627] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(3018),
    [aux_sym_simple_identifier_token2] = ACTIONS(3020),
    [aux_sym_simple_identifier_token3] = ACTIONS(3020),
    [aux_sym_simple_identifier_token4] = ACTIONS(3020),
    [anon_sym_actor] = ACTIONS(3018),
    [anon_sym_async] = ACTIONS(3018),
    [anon_sym_each] = ACTIONS(3018),
    [anon_sym_lazy] = ACTIONS(3018),
    [anon_sym_repeat] = ACTIONS(3018),
    [anon_sym_package] = ACTIONS(3018),
    [anon_sym_COMMA] = ACTIONS(3020),
    [anon_sym_LPAREN] = ACTIONS(3020),
    [anon_sym_LBRACK] = ACTIONS(3020),
    [anon_sym_QMARK] = ACTIONS(3018),
    [anon_sym_QMARK2] = ACTIONS(3020),
    [anon_sym_AMP] = ACTIONS(3020),
    [aux_sym_custom_operator_token1] = ACTIONS(3020),
    [anon_sym_LT] = ACTIONS(3018),
    [anon_sym_GT] = ACTIONS(3018),
    [anon_sym_LBRACE] = ACTIONS(3020),
    [anon_sym_CARET_LBRACE] = ACTIONS(3020),
    [anon_sym_PLUS_EQ] = ACTIONS(3020),
    [anon_sym_DASH_EQ] = ACTIONS(3020),
    [anon_sym_STAR_EQ] = ACTIONS(3020),
    [anon_sym_SLASH_EQ] = ACTIONS(3020),
    [anon_sym_PERCENT_EQ] = ACTIONS(3020),
    [anon_sym_BANG_EQ] = ACTIONS(3018),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3020),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3020),
    [anon_sym_LT_EQ] = ACTIONS(3020),
    [anon_sym_GT_EQ] = ACTIONS(3020),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3020),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3020),
    [anon_sym_is] = ACTIONS(3018),
    [anon_sym_PLUS] = ACTIONS(3018),
    [anon_sym_DASH] = ACTIONS(3018),
    [anon_sym_STAR] = ACTIONS(3018),
    [anon_sym_SLASH] = ACTIONS(3018),
    [anon_sym_PERCENT] = ACTIONS(3018),
    [anon_sym_PLUS_PLUS] = ACTIONS(3020),
    [anon_sym_DASH_DASH] = ACTIONS(3020),
    [anon_sym_PIPE] = ACTIONS(3020),
    [anon_sym_CARET] = ACTIONS(3018),
    [anon_sym_LT_LT] = ACTIONS(3020),
    [anon_sym_GT_GT] = ACTIONS(3020),
    [anon_sym_BANG2] = ACTIONS(3018),
    [anon_sym_borrowing] = ACTIONS(3018),
    [anon_sym_consuming] = ACTIONS(3018),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3020),
    [sym__conjunction_operator_custom] = ACTIONS(3020),
    [sym__disjunction_operator_custom] = ACTIONS(3020),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3020),
    [sym__eq_custom] = ACTIONS(3020),
    [sym__eq_eq_custom] = ACTIONS(3020),
    [sym__plus_then_ws] = ACTIONS(3020),
    [sym__minus_then_ws] = ACTIONS(3020),
    [sym__bang_custom] = ACTIONS(3020),
    [sym_where_keyword] = ACTIONS(3020),
    [sym_else] = ACTIONS(3020),
    [sym__as_custom] = ACTIONS(3020),
    [sym__as_quest_custom] = ACTIONS(3020),
    [sym__as_bang_custom] = ACTIONS(3020),
    [sym__custom_operator] = ACTIONS(3020),
  },
  [1628] = {
    [sym__immediate_quest] = STATE(1628),
    [aux_sym_optional_type_repeat1] = STATE(1628),
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2859),
    [anon_sym_async] = ACTIONS(2859),
    [anon_sym_lazy] = ACTIONS(2859),
    [anon_sym_package] = ACTIONS(2859),
    [anon_sym_COMMA] = ACTIONS(2859),
    [anon_sym_BANG] = ACTIONS(2859),
    [anon_sym_DOT] = ACTIONS(2859),
    [anon_sym_QMARK2] = ACTIONS(4886),
    [anon_sym_AMP] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2859),
    [anon_sym_RBRACE] = ACTIONS(2859),
    [anon_sym_case] = ACTIONS(2859),
    [anon_sym_import] = ACTIONS(2859),
    [anon_sym_typealias] = ACTIONS(2859),
    [anon_sym_struct] = ACTIONS(2859),
    [anon_sym_class] = ACTIONS(2859),
    [anon_sym_enum] = ACTIONS(2859),
    [anon_sym_protocol] = ACTIONS(2859),
    [anon_sym_let] = ACTIONS(2859),
    [anon_sym_var] = ACTIONS(2859),
    [anon_sym_func] = ACTIONS(2859),
    [anon_sym_extension] = ACTIONS(2859),
    [anon_sym_indirect] = ACTIONS(2859),
    [anon_sym_init] = ACTIONS(2859),
    [anon_sym_deinit] = ACTIONS(2859),
    [anon_sym_subscript] = ACTIONS(2859),
    [anon_sym_prefix] = ACTIONS(2859),
    [anon_sym_infix] = ACTIONS(2859),
    [anon_sym_postfix] = ACTIONS(2859),
    [anon_sym_precedencegroup] = ACTIONS(2859),
    [anon_sym_associatedtype] = ACTIONS(2859),
    [anon_sym_AT] = ACTIONS(2861),
    [anon_sym_override] = ACTIONS(2859),
    [anon_sym_convenience] = ACTIONS(2859),
    [anon_sym_required] = ACTIONS(2859),
    [anon_sym_nonisolated] = ACTIONS(2859),
    [anon_sym_public] = ACTIONS(2859),
    [anon_sym_private] = ACTIONS(2859),
    [anon_sym_internal] = ACTIONS(2859),
    [anon_sym_fileprivate] = ACTIONS(2859),
    [anon_sym_open] = ACTIONS(2859),
    [anon_sym_mutating] = ACTIONS(2859),
    [anon_sym_nonmutating] = ACTIONS(2859),
    [anon_sym_static] = ACTIONS(2859),
    [anon_sym_dynamic] = ACTIONS(2859),
    [anon_sym_optional] = ACTIONS(2859),
    [anon_sym_distributed] = ACTIONS(2859),
    [anon_sym_final] = ACTIONS(2859),
    [anon_sym_inout] = ACTIONS(2859),
    [anon_sym_ATescaping] = ACTIONS(2859),
    [anon_sym_ATautoclosure] = ACTIONS(2859),
    [anon_sym_weak] = ACTIONS(2859),
    [anon_sym_unowned] = ACTIONS(2861),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2859),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2859),
    [anon_sym_borrowing] = ACTIONS(2859),
    [anon_sym_consuming] = ACTIONS(2859),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2859),
    [sym__throws_keyword] = ACTIONS(2859),
    [sym__rethrows_keyword] = ACTIONS(2859),
    [sym__async_keyword_custom] = ACTIONS(2859),
  },
  [1629] = {
    [sym__block] = STATE(2809),
    [sym_function_body] = STATE(2738),
    [sym_type_constraints] = STATE(2216),
    [aux_sym__function_value_parameters] = STATE(1862),
    [sym__async_keyword] = STATE(1810),
    [sym_throws] = STATE(1989),
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(4889),
    [anon_sym_async] = ACTIONS(4889),
    [anon_sym_lazy] = ACTIONS(4889),
    [anon_sym_package] = ACTIONS(4889),
    [anon_sym_LPAREN] = ACTIONS(4874),
    [anon_sym_LBRACE] = ACTIONS(4876),
    [anon_sym_RBRACE] = ACTIONS(4889),
    [anon_sym_case] = ACTIONS(4889),
    [anon_sym_import] = ACTIONS(4889),
    [anon_sym_typealias] = ACTIONS(4889),
    [anon_sym_struct] = ACTIONS(4889),
    [anon_sym_class] = ACTIONS(4889),
    [anon_sym_enum] = ACTIONS(4889),
    [anon_sym_protocol] = ACTIONS(4889),
    [anon_sym_let] = ACTIONS(4889),
    [anon_sym_var] = ACTIONS(4889),
    [anon_sym_func] = ACTIONS(4889),
    [anon_sym_extension] = ACTIONS(4889),
    [anon_sym_indirect] = ACTIONS(4889),
    [anon_sym_init] = ACTIONS(4889),
    [anon_sym_deinit] = ACTIONS(4889),
    [anon_sym_subscript] = ACTIONS(4889),
    [anon_sym_prefix] = ACTIONS(4889),
    [anon_sym_infix] = ACTIONS(4889),
    [anon_sym_postfix] = ACTIONS(4889),
    [anon_sym_precedencegroup] = ACTIONS(4889),
    [anon_sym_associatedtype] = ACTIONS(4889),
    [anon_sym_AT] = ACTIONS(4891),
    [anon_sym_override] = ACTIONS(4889),
    [anon_sym_convenience] = ACTIONS(4889),
    [anon_sym_required] = ACTIONS(4889),
    [anon_sym_nonisolated] = ACTIONS(4889),
    [anon_sym_public] = ACTIONS(4889),
    [anon_sym_private] = ACTIONS(4889),
    [anon_sym_internal] = ACTIONS(4889),
    [anon_sym_fileprivate] = ACTIONS(4889),
    [anon_sym_open] = ACTIONS(4889),
    [anon_sym_mutating] = ACTIONS(4889),
    [anon_sym_nonmutating] = ACTIONS(4889),
    [anon_sym_static] = ACTIONS(4889),
    [anon_sym_dynamic] = ACTIONS(4889),
    [anon_sym_optional] = ACTIONS(4889),
    [anon_sym_distributed] = ACTIONS(4889),
    [anon_sym_final] = ACTIONS(4889),
    [anon_sym_inout] = ACTIONS(4889),
    [anon_sym_ATescaping] = ACTIONS(4889),
    [anon_sym_ATautoclosure] = ACTIONS(4889),
    [anon_sym_weak] = ACTIONS(4889),
    [anon_sym_unowned] = ACTIONS(4891),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(4889),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(4889),
    [anon_sym_borrowing] = ACTIONS(4889),
    [anon_sym_consuming] = ACTIONS(4889),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__throws_keyword] = ACTIONS(4880),
    [sym__rethrows_keyword] = ACTIONS(4880),
    [sym_where_keyword] = ACTIONS(4882),
    [sym__async_keyword_custom] = ACTIONS(4893),
  },
  [1630] = {
    [sym_type_annotation] = STATE(1738),
    [sym__expression_with_willset_didset] = STATE(2552),
    [sym__expression_without_willset_didset] = STATE(2553),
    [sym_willset_didset_block] = STATE(2554),
    [sym_type_constraints] = STATE(1773),
    [sym__equal_sign] = STATE(480),
    [sym_computed_property] = STATE(2557),
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(4895),
    [anon_sym_async] = ACTIONS(4895),
    [anon_sym_lazy] = ACTIONS(4895),
    [anon_sym_package] = ACTIONS(4895),
    [anon_sym_COMMA] = ACTIONS(4895),
    [anon_sym_COLON] = ACTIONS(4897),
    [anon_sym_LBRACE] = ACTIONS(4899),
    [anon_sym_RBRACE] = ACTIONS(4895),
    [anon_sym_case] = ACTIONS(4895),
    [anon_sym_import] = ACTIONS(4895),
    [anon_sym_typealias] = ACTIONS(4895),
    [anon_sym_struct] = ACTIONS(4895),
    [anon_sym_class] = ACTIONS(4895),
    [anon_sym_enum] = ACTIONS(4895),
    [anon_sym_protocol] = ACTIONS(4895),
    [anon_sym_let] = ACTIONS(4895),
    [anon_sym_var] = ACTIONS(4895),
    [anon_sym_func] = ACTIONS(4895),
    [anon_sym_extension] = ACTIONS(4895),
    [anon_sym_indirect] = ACTIONS(4895),
    [anon_sym_init] = ACTIONS(4895),
    [anon_sym_deinit] = ACTIONS(4895),
    [anon_sym_subscript] = ACTIONS(4895),
    [anon_sym_prefix] = ACTIONS(4895),
    [anon_sym_infix] = ACTIONS(4895),
    [anon_sym_postfix] = ACTIONS(4895),
    [anon_sym_precedencegroup] = ACTIONS(4895),
    [anon_sym_associatedtype] = ACTIONS(4895),
    [anon_sym_AT] = ACTIONS(4901),
    [anon_sym_override] = ACTIONS(4895),
    [anon_sym_convenience] = ACTIONS(4895),
    [anon_sym_required] = ACTIONS(4895),
    [anon_sym_nonisolated] = ACTIONS(4895),
    [anon_sym_public] = ACTIONS(4895),
    [anon_sym_private] = ACTIONS(4895),
    [anon_sym_internal] = ACTIONS(4895),
    [anon_sym_fileprivate] = ACTIONS(4895),
    [anon_sym_open] = ACTIONS(4895),
    [anon_sym_mutating] = ACTIONS(4895),
    [anon_sym_nonmutating] = ACTIONS(4895),
    [anon_sym_static] = ACTIONS(4895),
    [anon_sym_dynamic] = ACTIONS(4895),
    [anon_sym_optional] = ACTIONS(4895),
    [anon_sym_distributed] = ACTIONS(4895),
    [anon_sym_final] = ACTIONS(4895),
    [anon_sym_inout] = ACTIONS(4895),
    [anon_sym_ATescaping] = ACTIONS(4895),
    [anon_sym_ATautoclosure] = ACTIONS(4895),
    [anon_sym_weak] = ACTIONS(4895),
    [anon_sym_unowned] = ACTIONS(4901),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(4895),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(4895),
    [anon_sym_borrowing] = ACTIONS(4895),
    [anon_sym_consuming] = ACTIONS(4895),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__eq_custom] = ACTIONS(4903),
    [sym_where_keyword] = ACTIONS(4905),
  },
  [1631] = {
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2995),
    [anon_sym_async] = ACTIONS(2995),
    [anon_sym_lazy] = ACTIONS(2995),
    [anon_sym_package] = ACTIONS(2995),
    [anon_sym_COMMA] = ACTIONS(2995),
    [anon_sym_BANG] = ACTIONS(2995),
    [anon_sym_DOT] = ACTIONS(2995),
    [anon_sym_QMARK2] = ACTIONS(2995),
    [anon_sym_AMP] = ACTIONS(2995),
    [anon_sym_LBRACE] = ACTIONS(2995),
    [anon_sym_RBRACE] = ACTIONS(2995),
    [anon_sym_case] = ACTIONS(2995),
    [anon_sym_import] = ACTIONS(2995),
    [anon_sym_typealias] = ACTIONS(2995),
    [anon_sym_struct] = ACTIONS(2995),
    [anon_sym_class] = ACTIONS(2995),
    [anon_sym_enum] = ACTIONS(2995),
    [anon_sym_protocol] = ACTIONS(2995),
    [anon_sym_let] = ACTIONS(2995),
    [anon_sym_var] = ACTIONS(2995),
    [anon_sym_func] = ACTIONS(2995),
    [anon_sym_extension] = ACTIONS(2995),
    [anon_sym_indirect] = ACTIONS(2995),
    [anon_sym_init] = ACTIONS(2995),
    [anon_sym_deinit] = ACTIONS(2995),
    [anon_sym_subscript] = ACTIONS(2995),
    [anon_sym_prefix] = ACTIONS(2995),
    [anon_sym_infix] = ACTIONS(2995),
    [anon_sym_postfix] = ACTIONS(2995),
    [anon_sym_precedencegroup] = ACTIONS(2995),
    [anon_sym_associatedtype] = ACTIONS(2995),
    [anon_sym_AT] = ACTIONS(2997),
    [anon_sym_override] = ACTIONS(2995),
    [anon_sym_convenience] = ACTIONS(2995),
    [anon_sym_required] = ACTIONS(2995),
    [anon_sym_nonisolated] = ACTIONS(2995),
    [anon_sym_public] = ACTIONS(2995),
    [anon_sym_private] = ACTIONS(2995),
    [anon_sym_internal] = ACTIONS(2995),
    [anon_sym_fileprivate] = ACTIONS(2995),
    [anon_sym_open] = ACTIONS(2995),
    [anon_sym_mutating] = ACTIONS(2995),
    [anon_sym_nonmutating] = ACTIONS(2995),
    [anon_sym_static] = ACTIONS(2995),
    [anon_sym_dynamic] = ACTIONS(2995),
    [anon_sym_optional] = ACTIONS(2995),
    [anon_sym_distributed] = ACTIONS(2995),
    [anon_sym_final] = ACTIONS(2995),
    [anon_sym_inout] = ACTIONS(2995),
    [anon_sym_ATescaping] = ACTIONS(2995),
    [anon_sym_ATautoclosure] = ACTIONS(2995),
    [anon_sym_weak] = ACTIONS(2995),
    [anon_sym_unowned] = ACTIONS(2997),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2995),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2995),
    [anon_sym_borrowing] = ACTIONS(2995),
    [anon_sym_consuming] = ACTIONS(2995),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2995),
    [sym__eq_custom] = ACTIONS(2995),
    [sym__throws_keyword] = ACTIONS(2995),
    [sym__rethrows_keyword] = ACTIONS(2995),
    [sym_where_keyword] = ACTIONS(2995),
    [sym__async_keyword_custom] = ACTIONS(2995),
  },
  [1632] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(3018),
    [aux_sym_simple_identifier_token2] = ACTIONS(3020),
    [aux_sym_simple_identifier_token3] = ACTIONS(3020),
    [aux_sym_simple_identifier_token4] = ACTIONS(3020),
    [anon_sym_actor] = ACTIONS(3018),
    [anon_sym_async] = ACTIONS(3018),
    [anon_sym_each] = ACTIONS(3018),
    [anon_sym_lazy] = ACTIONS(3018),
    [anon_sym_repeat] = ACTIONS(3018),
    [anon_sym_package] = ACTIONS(3018),
    [anon_sym_COMMA] = ACTIONS(3024),
    [anon_sym_LPAREN] = ACTIONS(3024),
    [anon_sym_LBRACK] = ACTIONS(3024),
    [anon_sym_QMARK] = ACTIONS(3022),
    [anon_sym_QMARK2] = ACTIONS(3024),
    [anon_sym_AMP] = ACTIONS(3024),
    [aux_sym_custom_operator_token1] = ACTIONS(3024),
    [anon_sym_LT] = ACTIONS(3022),
    [anon_sym_GT] = ACTIONS(3022),
    [anon_sym_LBRACE] = ACTIONS(3024),
    [anon_sym_CARET_LBRACE] = ACTIONS(3024),
    [anon_sym_PLUS_EQ] = ACTIONS(3024),
    [anon_sym_DASH_EQ] = ACTIONS(3024),
    [anon_sym_STAR_EQ] = ACTIONS(3024),
    [anon_sym_SLASH_EQ] = ACTIONS(3024),
    [anon_sym_PERCENT_EQ] = ACTIONS(3024),
    [anon_sym_BANG_EQ] = ACTIONS(3022),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3024),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3024),
    [anon_sym_LT_EQ] = ACTIONS(3024),
    [anon_sym_GT_EQ] = ACTIONS(3024),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3024),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3024),
    [anon_sym_is] = ACTIONS(3022),
    [anon_sym_PLUS] = ACTIONS(3022),
    [anon_sym_DASH] = ACTIONS(3022),
    [anon_sym_STAR] = ACTIONS(3022),
    [anon_sym_SLASH] = ACTIONS(3022),
    [anon_sym_PERCENT] = ACTIONS(3022),
    [anon_sym_PLUS_PLUS] = ACTIONS(3024),
    [anon_sym_DASH_DASH] = ACTIONS(3024),
    [anon_sym_PIPE] = ACTIONS(3024),
    [anon_sym_CARET] = ACTIONS(3022),
    [anon_sym_LT_LT] = ACTIONS(3024),
    [anon_sym_GT_GT] = ACTIONS(3024),
    [anon_sym_BANG2] = ACTIONS(3022),
    [anon_sym_borrowing] = ACTIONS(3018),
    [anon_sym_consuming] = ACTIONS(3018),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3024),
    [sym__conjunction_operator_custom] = ACTIONS(3024),
    [sym__disjunction_operator_custom] = ACTIONS(3024),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3024),
    [sym__eq_custom] = ACTIONS(3024),
    [sym__eq_eq_custom] = ACTIONS(3024),
    [sym__plus_then_ws] = ACTIONS(3024),
    [sym__minus_then_ws] = ACTIONS(3024),
    [sym__bang_custom] = ACTIONS(3024),
    [sym_where_keyword] = ACTIONS(3024),
    [sym_else] = ACTIONS(3024),
    [sym__as_custom] = ACTIONS(3024),
    [sym__as_quest_custom] = ACTIONS(3024),
    [sym__as_bang_custom] = ACTIONS(3024),
    [sym__custom_operator] = ACTIONS(3024),
  },
  [1633] = {
    [aux_sym_protocol_composition_type_repeat1] = STATE(1647),
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(3014),
    [anon_sym_async] = ACTIONS(3014),
    [anon_sym_lazy] = ACTIONS(3014),
    [anon_sym_package] = ACTIONS(3014),
    [anon_sym_COMMA] = ACTIONS(3014),
    [anon_sym_BANG] = ACTIONS(3014),
    [anon_sym_DOT] = ACTIONS(3014),
    [anon_sym_AMP] = ACTIONS(3014),
    [anon_sym_LBRACE] = ACTIONS(3014),
    [anon_sym_RBRACE] = ACTIONS(3014),
    [anon_sym_case] = ACTIONS(3014),
    [anon_sym_import] = ACTIONS(3014),
    [anon_sym_typealias] = ACTIONS(3014),
    [anon_sym_struct] = ACTIONS(3014),
    [anon_sym_class] = ACTIONS(3014),
    [anon_sym_enum] = ACTIONS(3014),
    [anon_sym_protocol] = ACTIONS(3014),
    [anon_sym_let] = ACTIONS(3014),
    [anon_sym_var] = ACTIONS(3014),
    [anon_sym_func] = ACTIONS(3014),
    [anon_sym_extension] = ACTIONS(3014),
    [anon_sym_indirect] = ACTIONS(3014),
    [anon_sym_init] = ACTIONS(3014),
    [anon_sym_deinit] = ACTIONS(3014),
    [anon_sym_subscript] = ACTIONS(3014),
    [anon_sym_prefix] = ACTIONS(3014),
    [anon_sym_infix] = ACTIONS(3014),
    [anon_sym_postfix] = ACTIONS(3014),
    [anon_sym_precedencegroup] = ACTIONS(3014),
    [anon_sym_associatedtype] = ACTIONS(3014),
    [anon_sym_AT] = ACTIONS(3016),
    [anon_sym_override] = ACTIONS(3014),
    [anon_sym_convenience] = ACTIONS(3014),
    [anon_sym_required] = ACTIONS(3014),
    [anon_sym_nonisolated] = ACTIONS(3014),
    [anon_sym_public] = ACTIONS(3014),
    [anon_sym_private] = ACTIONS(3014),
    [anon_sym_internal] = ACTIONS(3014),
    [anon_sym_fileprivate] = ACTIONS(3014),
    [anon_sym_open] = ACTIONS(3014),
    [anon_sym_mutating] = ACTIONS(3014),
    [anon_sym_nonmutating] = ACTIONS(3014),
    [anon_sym_static] = ACTIONS(3014),
    [anon_sym_dynamic] = ACTIONS(3014),
    [anon_sym_optional] = ACTIONS(3014),
    [anon_sym_distributed] = ACTIONS(3014),
    [anon_sym_final] = ACTIONS(3014),
    [anon_sym_inout] = ACTIONS(3014),
    [anon_sym_ATescaping] = ACTIONS(3014),
    [anon_sym_ATautoclosure] = ACTIONS(3014),
    [anon_sym_weak] = ACTIONS(3014),
    [anon_sym_unowned] = ACTIONS(3016),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3014),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3014),
    [anon_sym_borrowing] = ACTIONS(3014),
    [anon_sym_consuming] = ACTIONS(3014),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(3014),
    [sym__eq_custom] = ACTIONS(3014),
    [sym__throws_keyword] = ACTIONS(3014),
    [sym__rethrows_keyword] = ACTIONS(3014),
    [sym_where_keyword] = ACTIONS(3014),
    [sym__async_keyword_custom] = ACTIONS(3014),
  },
  [1634] = {
    [sym__arrow_operator] = STATE(3774),
    [sym__async_keyword] = STATE(6078),
    [sym_throws] = STATE(7437),
    [aux_sym_protocol_composition_type_repeat1] = STATE(1746),
    [ts_builtin_sym_end] = ACTIONS(2900),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(2900),
    [anon_sym_LPAREN] = ACTIONS(2900),
    [anon_sym_LBRACK] = ACTIONS(2900),
    [anon_sym_DOT] = ACTIONS(2902),
    [anon_sym_QMARK] = ACTIONS(2902),
    [anon_sym_QMARK2] = ACTIONS(2900),
    [anon_sym_AMP] = ACTIONS(2900),
    [aux_sym_custom_operator_token1] = ACTIONS(2900),
    [anon_sym_LT] = ACTIONS(2902),
    [anon_sym_GT] = ACTIONS(2902),
    [anon_sym_LBRACE] = ACTIONS(2900),
    [anon_sym_CARET_LBRACE] = ACTIONS(2900),
    [anon_sym_RBRACE] = ACTIONS(2900),
    [anon_sym_PLUS_EQ] = ACTIONS(2900),
    [anon_sym_DASH_EQ] = ACTIONS(2900),
    [anon_sym_STAR_EQ] = ACTIONS(2900),
    [anon_sym_SLASH_EQ] = ACTIONS(2900),
    [anon_sym_PERCENT_EQ] = ACTIONS(2900),
    [anon_sym_BANG_EQ] = ACTIONS(2902),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2900),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2900),
    [anon_sym_LT_EQ] = ACTIONS(2900),
    [anon_sym_GT_EQ] = ACTIONS(2900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2900),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2900),
    [anon_sym_is] = ACTIONS(2900),
    [anon_sym_PLUS] = ACTIONS(2902),
    [anon_sym_DASH] = ACTIONS(2902),
    [anon_sym_STAR] = ACTIONS(2902),
    [anon_sym_SLASH] = ACTIONS(2902),
    [anon_sym_PERCENT] = ACTIONS(2902),
    [anon_sym_PLUS_PLUS] = ACTIONS(2900),
    [anon_sym_DASH_DASH] = ACTIONS(2900),
    [anon_sym_PIPE] = ACTIONS(2900),
    [anon_sym_CARET] = ACTIONS(2902),
    [anon_sym_LT_LT] = ACTIONS(2900),
    [anon_sym_GT_GT] = ACTIONS(2900),
    [anon_sym_BANG2] = ACTIONS(2902),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2900),
    [sym__explicit_semi] = ACTIONS(2900),
    [sym__arrow_operator_custom] = ACTIONS(2900),
    [sym__dot_custom] = ACTIONS(2900),
    [sym__conjunction_operator_custom] = ACTIONS(2900),
    [sym__disjunction_operator_custom] = ACTIONS(2900),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2900),
    [sym__eq_custom] = ACTIONS(2900),
    [sym__eq_eq_custom] = ACTIONS(2900),
    [sym__plus_then_ws] = ACTIONS(2900),
    [sym__minus_then_ws] = ACTIONS(2900),
    [sym__bang_custom] = ACTIONS(2900),
    [sym__throws_keyword] = ACTIONS(2900),
    [sym__rethrows_keyword] = ACTIONS(2900),
    [sym_where_keyword] = ACTIONS(2900),
    [sym__as_custom] = ACTIONS(2900),
    [sym__as_quest_custom] = ACTIONS(2900),
    [sym__as_bang_custom] = ACTIONS(2900),
    [sym__async_keyword_custom] = ACTIONS(2900),
    [sym__custom_operator] = ACTIONS(2900),
  },
  [1635] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(3033),
    [aux_sym_simple_identifier_token2] = ACTIONS(3035),
    [aux_sym_simple_identifier_token3] = ACTIONS(3035),
    [aux_sym_simple_identifier_token4] = ACTIONS(3035),
    [anon_sym_actor] = ACTIONS(3033),
    [anon_sym_async] = ACTIONS(3033),
    [anon_sym_each] = ACTIONS(3033),
    [anon_sym_lazy] = ACTIONS(3033),
    [anon_sym_repeat] = ACTIONS(3033),
    [anon_sym_package] = ACTIONS(3033),
    [anon_sym_COMMA] = ACTIONS(3035),
    [anon_sym_LPAREN] = ACTIONS(3035),
    [anon_sym_LBRACK] = ACTIONS(3035),
    [anon_sym_QMARK] = ACTIONS(3033),
    [anon_sym_QMARK2] = ACTIONS(3035),
    [anon_sym_AMP] = ACTIONS(3035),
    [aux_sym_custom_operator_token1] = ACTIONS(3035),
    [anon_sym_LT] = ACTIONS(3033),
    [anon_sym_GT] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_CARET_LBRACE] = ACTIONS(3035),
    [anon_sym_PLUS_EQ] = ACTIONS(3035),
    [anon_sym_DASH_EQ] = ACTIONS(3035),
    [anon_sym_STAR_EQ] = ACTIONS(3035),
    [anon_sym_SLASH_EQ] = ACTIONS(3035),
    [anon_sym_PERCENT_EQ] = ACTIONS(3035),
    [anon_sym_BANG_EQ] = ACTIONS(3033),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3035),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3035),
    [anon_sym_LT_EQ] = ACTIONS(3035),
    [anon_sym_GT_EQ] = ACTIONS(3035),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3035),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3035),
    [anon_sym_is] = ACTIONS(3033),
    [anon_sym_PLUS] = ACTIONS(3033),
    [anon_sym_DASH] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3033),
    [anon_sym_SLASH] = ACTIONS(3033),
    [anon_sym_PERCENT] = ACTIONS(3033),
    [anon_sym_PLUS_PLUS] = ACTIONS(3035),
    [anon_sym_DASH_DASH] = ACTIONS(3035),
    [anon_sym_PIPE] = ACTIONS(3035),
    [anon_sym_CARET] = ACTIONS(3033),
    [anon_sym_LT_LT] = ACTIONS(3035),
    [anon_sym_GT_GT] = ACTIONS(3035),
    [anon_sym_BANG2] = ACTIONS(3033),
    [anon_sym_borrowing] = ACTIONS(3033),
    [anon_sym_consuming] = ACTIONS(3033),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3035),
    [sym__conjunction_operator_custom] = ACTIONS(3035),
    [sym__disjunction_operator_custom] = ACTIONS(3035),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3035),
    [sym__eq_custom] = ACTIONS(3035),
    [sym__eq_eq_custom] = ACTIONS(3035),
    [sym__plus_then_ws] = ACTIONS(3035),
    [sym__minus_then_ws] = ACTIONS(3035),
    [sym__bang_custom] = ACTIONS(3035),
    [sym_where_keyword] = ACTIONS(3035),
    [sym_else] = ACTIONS(3035),
    [sym__as_custom] = ACTIONS(3035),
    [sym__as_quest_custom] = ACTIONS(3035),
    [sym__as_bang_custom] = ACTIONS(3035),
    [sym__custom_operator] = ACTIONS(3035),
  },
  [1636] = {
    [sym__block] = STATE(2809),
    [sym_function_body] = STATE(2741),
    [sym_type_constraints] = STATE(2259),
    [aux_sym__function_value_parameters] = STATE(1862),
    [sym__async_keyword] = STATE(1785),
    [sym_throws] = STATE(1944),
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(4907),
    [anon_sym_async] = ACTIONS(4907),
    [anon_sym_lazy] = ACTIONS(4907),
    [anon_sym_package] = ACTIONS(4907),
    [anon_sym_LPAREN] = ACTIONS(4874),
    [anon_sym_LBRACE] = ACTIONS(4876),
    [anon_sym_RBRACE] = ACTIONS(4907),
    [anon_sym_case] = ACTIONS(4907),
    [anon_sym_import] = ACTIONS(4907),
    [anon_sym_typealias] = ACTIONS(4907),
    [anon_sym_struct] = ACTIONS(4907),
    [anon_sym_class] = ACTIONS(4907),
    [anon_sym_enum] = ACTIONS(4907),
    [anon_sym_protocol] = ACTIONS(4907),
    [anon_sym_let] = ACTIONS(4907),
    [anon_sym_var] = ACTIONS(4907),
    [anon_sym_func] = ACTIONS(4907),
    [anon_sym_extension] = ACTIONS(4907),
    [anon_sym_indirect] = ACTIONS(4907),
    [anon_sym_init] = ACTIONS(4907),
    [anon_sym_deinit] = ACTIONS(4907),
    [anon_sym_subscript] = ACTIONS(4907),
    [anon_sym_prefix] = ACTIONS(4907),
    [anon_sym_infix] = ACTIONS(4907),
    [anon_sym_postfix] = ACTIONS(4907),
    [anon_sym_precedencegroup] = ACTIONS(4907),
    [anon_sym_associatedtype] = ACTIONS(4907),
    [anon_sym_AT] = ACTIONS(4909),
    [anon_sym_override] = ACTIONS(4907),
    [anon_sym_convenience] = ACTIONS(4907),
    [anon_sym_required] = ACTIONS(4907),
    [anon_sym_nonisolated] = ACTIONS(4907),
    [anon_sym_public] = ACTIONS(4907),
    [anon_sym_private] = ACTIONS(4907),
    [anon_sym_internal] = ACTIONS(4907),
    [anon_sym_fileprivate] = ACTIONS(4907),
    [anon_sym_open] = ACTIONS(4907),
    [anon_sym_mutating] = ACTIONS(4907),
    [anon_sym_nonmutating] = ACTIONS(4907),
    [anon_sym_static] = ACTIONS(4907),
    [anon_sym_dynamic] = ACTIONS(4907),
    [anon_sym_optional] = ACTIONS(4907),
    [anon_sym_distributed] = ACTIONS(4907),
    [anon_sym_final] = ACTIONS(4907),
    [anon_sym_inout] = ACTIONS(4907),
    [anon_sym_ATescaping] = ACTIONS(4907),
    [anon_sym_ATautoclosure] = ACTIONS(4907),
    [anon_sym_weak] = ACTIONS(4907),
    [anon_sym_unowned] = ACTIONS(4909),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(4907),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(4907),
    [anon_sym_borrowing] = ACTIONS(4907),
    [anon_sym_consuming] = ACTIONS(4907),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__throws_keyword] = ACTIONS(4880),
    [sym__rethrows_keyword] = ACTIONS(4880),
    [sym_where_keyword] = ACTIONS(4882),
    [sym__async_keyword_custom] = ACTIONS(4911),
  },
  [1637] = {
    [sym__block] = STATE(2809),
    [sym_function_body] = STATE(2853),
    [sym_type_constraints] = STATE(2165),
    [aux_sym__function_value_parameters] = STATE(1862),
    [sym__async_keyword] = STATE(1800),
    [sym_throws] = STATE(1947),
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(4913),
    [anon_sym_async] = ACTIONS(4913),
    [anon_sym_lazy] = ACTIONS(4913),
    [anon_sym_package] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4874),
    [anon_sym_LBRACE] = ACTIONS(4876),
    [anon_sym_RBRACE] = ACTIONS(4913),
    [anon_sym_case] = ACTIONS(4913),
    [anon_sym_import] = ACTIONS(4913),
    [anon_sym_typealias] = ACTIONS(4913),
    [anon_sym_struct] = ACTIONS(4913),
    [anon_sym_class] = ACTIONS(4913),
    [anon_sym_enum] = ACTIONS(4913),
    [anon_sym_protocol] = ACTIONS(4913),
    [anon_sym_let] = ACTIONS(4913),
    [anon_sym_var] = ACTIONS(4913),
    [anon_sym_func] = ACTIONS(4913),
    [anon_sym_extension] = ACTIONS(4913),
    [anon_sym_indirect] = ACTIONS(4913),
    [anon_sym_init] = ACTIONS(4913),
    [anon_sym_deinit] = ACTIONS(4913),
    [anon_sym_subscript] = ACTIONS(4913),
    [anon_sym_prefix] = ACTIONS(4913),
    [anon_sym_infix] = ACTIONS(4913),
    [anon_sym_postfix] = ACTIONS(4913),
    [anon_sym_precedencegroup] = ACTIONS(4913),
    [anon_sym_associatedtype] = ACTIONS(4913),
    [anon_sym_AT] = ACTIONS(4915),
    [anon_sym_override] = ACTIONS(4913),
    [anon_sym_convenience] = ACTIONS(4913),
    [anon_sym_required] = ACTIONS(4913),
    [anon_sym_nonisolated] = ACTIONS(4913),
    [anon_sym_public] = ACTIONS(4913),
    [anon_sym_private] = ACTIONS(4913),
    [anon_sym_internal] = ACTIONS(4913),
    [anon_sym_fileprivate] = ACTIONS(4913),
    [anon_sym_open] = ACTIONS(4913),
    [anon_sym_mutating] = ACTIONS(4913),
    [anon_sym_nonmutating] = ACTIONS(4913),
    [anon_sym_static] = ACTIONS(4913),
    [anon_sym_dynamic] = ACTIONS(4913),
    [anon_sym_optional] = ACTIONS(4913),
    [anon_sym_distributed] = ACTIONS(4913),
    [anon_sym_final] = ACTIONS(4913),
    [anon_sym_inout] = ACTIONS(4913),
    [anon_sym_ATescaping] = ACTIONS(4913),
    [anon_sym_ATautoclosure] = ACTIONS(4913),
    [anon_sym_weak] = ACTIONS(4913),
    [anon_sym_unowned] = ACTIONS(4915),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(4913),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(4913),
    [anon_sym_borrowing] = ACTIONS(4913),
    [anon_sym_consuming] = ACTIONS(4913),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__throws_keyword] = ACTIONS(4880),
    [sym__rethrows_keyword] = ACTIONS(4880),
    [sym_where_keyword] = ACTIONS(4882),
    [sym__async_keyword_custom] = ACTIONS(4917),
  },
  [1638] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(3029),
    [aux_sym_simple_identifier_token2] = ACTIONS(3031),
    [aux_sym_simple_identifier_token3] = ACTIONS(3031),
    [aux_sym_simple_identifier_token4] = ACTIONS(3031),
    [anon_sym_actor] = ACTIONS(3029),
    [anon_sym_async] = ACTIONS(3029),
    [anon_sym_each] = ACTIONS(3029),
    [anon_sym_lazy] = ACTIONS(3029),
    [anon_sym_repeat] = ACTIONS(3029),
    [anon_sym_package] = ACTIONS(3029),
    [anon_sym_COMMA] = ACTIONS(3031),
    [anon_sym_COLON] = ACTIONS(3031),
    [anon_sym_LPAREN] = ACTIONS(3031),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_QMARK] = ACTIONS(3029),
    [anon_sym_QMARK2] = ACTIONS(3031),
    [anon_sym_AMP] = ACTIONS(3031),
    [aux_sym_custom_operator_token1] = ACTIONS(3031),
    [anon_sym_LT] = ACTIONS(3029),
    [anon_sym_GT] = ACTIONS(3029),
    [anon_sym_LBRACE] = ACTIONS(3031),
    [anon_sym_CARET_LBRACE] = ACTIONS(3031),
    [anon_sym_PLUS_EQ] = ACTIONS(3031),
    [anon_sym_DASH_EQ] = ACTIONS(3031),
    [anon_sym_STAR_EQ] = ACTIONS(3031),
    [anon_sym_SLASH_EQ] = ACTIONS(3031),
    [anon_sym_PERCENT_EQ] = ACTIONS(3031),
    [anon_sym_BANG_EQ] = ACTIONS(3029),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3031),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3031),
    [anon_sym_LT_EQ] = ACTIONS(3031),
    [anon_sym_GT_EQ] = ACTIONS(3031),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3031),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3031),
    [anon_sym_is] = ACTIONS(3029),
    [anon_sym_PLUS] = ACTIONS(3029),
    [anon_sym_DASH] = ACTIONS(3029),
    [anon_sym_STAR] = ACTIONS(3029),
    [anon_sym_SLASH] = ACTIONS(3029),
    [anon_sym_PERCENT] = ACTIONS(3029),
    [anon_sym_PLUS_PLUS] = ACTIONS(3031),
    [anon_sym_DASH_DASH] = ACTIONS(3031),
    [anon_sym_PIPE] = ACTIONS(3031),
    [anon_sym_CARET] = ACTIONS(3029),
    [anon_sym_LT_LT] = ACTIONS(3031),
    [anon_sym_GT_GT] = ACTIONS(3031),
    [anon_sym_BANG2] = ACTIONS(3029),
    [anon_sym_borrowing] = ACTIONS(3029),
    [anon_sym_consuming] = ACTIONS(3029),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3031),
    [sym__conjunction_operator_custom] = ACTIONS(3031),
    [sym__disjunction_operator_custom] = ACTIONS(3031),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3031),
    [sym__eq_custom] = ACTIONS(3031),
    [sym__eq_eq_custom] = ACTIONS(3031),
    [sym__plus_then_ws] = ACTIONS(3031),
    [sym__minus_then_ws] = ACTIONS(3031),
    [sym__bang_custom] = ACTIONS(3031),
    [sym_where_keyword] = ACTIONS(3031),
    [sym__as_custom] = ACTIONS(3031),
    [sym__as_quest_custom] = ACTIONS(3031),
    [sym__as_bang_custom] = ACTIONS(3031),
    [sym__custom_operator] = ACTIONS(3031),
  },
  [1639] = {
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2914),
    [anon_sym_async] = ACTIONS(2914),
    [anon_sym_lazy] = ACTIONS(2914),
    [anon_sym_package] = ACTIONS(2914),
    [anon_sym_COMMA] = ACTIONS(2914),
    [anon_sym_BANG] = ACTIONS(2914),
    [anon_sym_DOT] = ACTIONS(2914),
    [anon_sym_QMARK2] = ACTIONS(2914),
    [anon_sym_AMP] = ACTIONS(2914),
    [anon_sym_LBRACE] = ACTIONS(2914),
    [anon_sym_RBRACE] = ACTIONS(2914),
    [anon_sym_case] = ACTIONS(2914),
    [anon_sym_import] = ACTIONS(2914),
    [anon_sym_typealias] = ACTIONS(2914),
    [anon_sym_struct] = ACTIONS(2914),
    [anon_sym_class] = ACTIONS(2914),
    [anon_sym_enum] = ACTIONS(2914),
    [anon_sym_protocol] = ACTIONS(2914),
    [anon_sym_let] = ACTIONS(2914),
    [anon_sym_var] = ACTIONS(2914),
    [anon_sym_func] = ACTIONS(2914),
    [anon_sym_extension] = ACTIONS(2914),
    [anon_sym_indirect] = ACTIONS(2914),
    [anon_sym_init] = ACTIONS(2914),
    [anon_sym_deinit] = ACTIONS(2914),
    [anon_sym_subscript] = ACTIONS(2914),
    [anon_sym_prefix] = ACTIONS(2914),
    [anon_sym_infix] = ACTIONS(2914),
    [anon_sym_postfix] = ACTIONS(2914),
    [anon_sym_precedencegroup] = ACTIONS(2914),
    [anon_sym_associatedtype] = ACTIONS(2914),
    [anon_sym_AT] = ACTIONS(2916),
    [anon_sym_override] = ACTIONS(2914),
    [anon_sym_convenience] = ACTIONS(2914),
    [anon_sym_required] = ACTIONS(2914),
    [anon_sym_nonisolated] = ACTIONS(2914),
    [anon_sym_public] = ACTIONS(2914),
    [anon_sym_private] = ACTIONS(2914),
    [anon_sym_internal] = ACTIONS(2914),
    [anon_sym_fileprivate] = ACTIONS(2914),
    [anon_sym_open] = ACTIONS(2914),
    [anon_sym_mutating] = ACTIONS(2914),
    [anon_sym_nonmutating] = ACTIONS(2914),
    [anon_sym_static] = ACTIONS(2914),
    [anon_sym_dynamic] = ACTIONS(2914),
    [anon_sym_optional] = ACTIONS(2914),
    [anon_sym_distributed] = ACTIONS(2914),
    [anon_sym_final] = ACTIONS(2914),
    [anon_sym_inout] = ACTIONS(2914),
    [anon_sym_ATescaping] = ACTIONS(2914),
    [anon_sym_ATautoclosure] = ACTIONS(2914),
    [anon_sym_weak] = ACTIONS(2914),
    [anon_sym_unowned] = ACTIONS(2916),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2914),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2914),
    [anon_sym_borrowing] = ACTIONS(2914),
    [anon_sym_consuming] = ACTIONS(2914),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2914),
    [sym__eq_custom] = ACTIONS(2914),
    [sym__throws_keyword] = ACTIONS(2914),
    [sym__rethrows_keyword] = ACTIONS(2914),
    [sym_where_keyword] = ACTIONS(2914),
    [sym__async_keyword_custom] = ACTIONS(2914),
  },
  [1640] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(3029),
    [aux_sym_simple_identifier_token2] = ACTIONS(3031),
    [aux_sym_simple_identifier_token3] = ACTIONS(3031),
    [aux_sym_simple_identifier_token4] = ACTIONS(3031),
    [anon_sym_actor] = ACTIONS(3029),
    [anon_sym_async] = ACTIONS(3029),
    [anon_sym_each] = ACTIONS(3029),
    [anon_sym_lazy] = ACTIONS(3029),
    [anon_sym_repeat] = ACTIONS(3029),
    [anon_sym_package] = ACTIONS(3029),
    [anon_sym_COMMA] = ACTIONS(3031),
    [anon_sym_LPAREN] = ACTIONS(3031),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_QMARK] = ACTIONS(3029),
    [anon_sym_QMARK2] = ACTIONS(3031),
    [anon_sym_AMP] = ACTIONS(3031),
    [aux_sym_custom_operator_token1] = ACTIONS(3031),
    [anon_sym_LT] = ACTIONS(3029),
    [anon_sym_GT] = ACTIONS(3029),
    [anon_sym_LBRACE] = ACTIONS(3031),
    [anon_sym_CARET_LBRACE] = ACTIONS(3031),
    [anon_sym_PLUS_EQ] = ACTIONS(3031),
    [anon_sym_DASH_EQ] = ACTIONS(3031),
    [anon_sym_STAR_EQ] = ACTIONS(3031),
    [anon_sym_SLASH_EQ] = ACTIONS(3031),
    [anon_sym_PERCENT_EQ] = ACTIONS(3031),
    [anon_sym_BANG_EQ] = ACTIONS(3029),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3031),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3031),
    [anon_sym_LT_EQ] = ACTIONS(3031),
    [anon_sym_GT_EQ] = ACTIONS(3031),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3031),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3031),
    [anon_sym_is] = ACTIONS(3029),
    [anon_sym_PLUS] = ACTIONS(3029),
    [anon_sym_DASH] = ACTIONS(3029),
    [anon_sym_STAR] = ACTIONS(3029),
    [anon_sym_SLASH] = ACTIONS(3029),
    [anon_sym_PERCENT] = ACTIONS(3029),
    [anon_sym_PLUS_PLUS] = ACTIONS(3031),
    [anon_sym_DASH_DASH] = ACTIONS(3031),
    [anon_sym_PIPE] = ACTIONS(3031),
    [anon_sym_CARET] = ACTIONS(3029),
    [anon_sym_LT_LT] = ACTIONS(3031),
    [anon_sym_GT_GT] = ACTIONS(3031),
    [anon_sym_BANG2] = ACTIONS(3029),
    [anon_sym_borrowing] = ACTIONS(3029),
    [anon_sym_consuming] = ACTIONS(3029),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3031),
    [sym__conjunction_operator_custom] = ACTIONS(3031),
    [sym__disjunction_operator_custom] = ACTIONS(3031),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3031),
    [sym__eq_custom] = ACTIONS(3031),
    [sym__eq_eq_custom] = ACTIONS(3031),
    [sym__plus_then_ws] = ACTIONS(3031),
    [sym__minus_then_ws] = ACTIONS(3031),
    [sym__bang_custom] = ACTIONS(3031),
    [sym_where_keyword] = ACTIONS(3031),
    [sym_else] = ACTIONS(3031),
    [sym__as_custom] = ACTIONS(3031),
    [sym__as_quest_custom] = ACTIONS(3031),
    [sym__as_bang_custom] = ACTIONS(3031),
    [sym__custom_operator] = ACTIONS(3031),
  },
  [1641] = {
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2928),
    [anon_sym_async] = ACTIONS(2928),
    [anon_sym_lazy] = ACTIONS(2928),
    [anon_sym_package] = ACTIONS(2928),
    [sym_integer_literal] = ACTIONS(2928),
    [anon_sym_LPAREN] = ACTIONS(2928),
    [anon_sym_LT] = ACTIONS(2928),
    [anon_sym_LBRACE] = ACTIONS(2928),
    [anon_sym_CARET_LBRACE] = ACTIONS(2928),
    [anon_sym_RBRACE] = ACTIONS(2928),
    [anon_sym_case] = ACTIONS(2928),
    [anon_sym_import] = ACTIONS(2928),
    [anon_sym_typealias] = ACTIONS(2928),
    [anon_sym_struct] = ACTIONS(2928),
    [anon_sym_class] = ACTIONS(2928),
    [anon_sym_enum] = ACTIONS(2928),
    [anon_sym_protocol] = ACTIONS(2928),
    [anon_sym_let] = ACTIONS(2928),
    [anon_sym_var] = ACTIONS(2928),
    [anon_sym_func] = ACTIONS(2928),
    [anon_sym_willSet] = ACTIONS(2928),
    [anon_sym_didSet] = ACTIONS(2928),
    [anon_sym_macro] = ACTIONS(2928),
    [anon_sym_extension] = ACTIONS(2928),
    [anon_sym_indirect] = ACTIONS(2928),
    [anon_sym_init] = ACTIONS(2928),
    [anon_sym_deinit] = ACTIONS(2928),
    [anon_sym_subscript] = ACTIONS(2928),
    [anon_sym_get] = ACTIONS(2928),
    [anon_sym_set] = ACTIONS(2928),
    [anon_sym__modify] = ACTIONS(2928),
    [anon_sym_prefix] = ACTIONS(2928),
    [anon_sym_infix] = ACTIONS(2928),
    [anon_sym_postfix] = ACTIONS(2928),
    [anon_sym_precedencegroup] = ACTIONS(2928),
    [anon_sym_associatedtype] = ACTIONS(2928),
    [anon_sym_AT] = ACTIONS(2930),
    [anon_sym_override] = ACTIONS(2928),
    [anon_sym_convenience] = ACTIONS(2928),
    [anon_sym_required] = ACTIONS(2928),
    [anon_sym_nonisolated] = ACTIONS(2928),
    [anon_sym_public] = ACTIONS(2928),
    [anon_sym_private] = ACTIONS(2928),
    [anon_sym_internal] = ACTIONS(2928),
    [anon_sym_fileprivate] = ACTIONS(2928),
    [anon_sym_open] = ACTIONS(2928),
    [anon_sym_mutating] = ACTIONS(2928),
    [anon_sym_nonmutating] = ACTIONS(2928),
    [anon_sym_static] = ACTIONS(2928),
    [anon_sym_dynamic] = ACTIONS(2928),
    [anon_sym_optional] = ACTIONS(2928),
    [anon_sym_distributed] = ACTIONS(2928),
    [anon_sym_final] = ACTIONS(2928),
    [anon_sym_inout] = ACTIONS(2928),
    [anon_sym_ATescaping] = ACTIONS(2928),
    [anon_sym_ATautoclosure] = ACTIONS(2928),
    [anon_sym_weak] = ACTIONS(2928),
    [anon_sym_unowned] = ACTIONS(2930),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2928),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2928),
    [anon_sym_borrowing] = ACTIONS(2928),
    [anon_sym_consuming] = ACTIONS(2928),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2928),
  },
  [1642] = {
    [sym__arrow_operator] = STATE(3774),
    [sym__async_keyword] = STATE(6078),
    [sym_throws] = STATE(7437),
    [aux_sym_protocol_composition_type_repeat1] = STATE(1746),
    [ts_builtin_sym_end] = ACTIONS(2892),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(2892),
    [anon_sym_LPAREN] = ACTIONS(2892),
    [anon_sym_LBRACK] = ACTIONS(2892),
    [anon_sym_DOT] = ACTIONS(4919),
    [anon_sym_QMARK] = ACTIONS(2894),
    [anon_sym_QMARK2] = ACTIONS(2892),
    [anon_sym_AMP] = ACTIONS(4921),
    [aux_sym_custom_operator_token1] = ACTIONS(2892),
    [anon_sym_LT] = ACTIONS(2894),
    [anon_sym_GT] = ACTIONS(2894),
    [anon_sym_LBRACE] = ACTIONS(2892),
    [anon_sym_CARET_LBRACE] = ACTIONS(2892),
    [anon_sym_RBRACE] = ACTIONS(2892),
    [anon_sym_PLUS_EQ] = ACTIONS(2892),
    [anon_sym_DASH_EQ] = ACTIONS(2892),
    [anon_sym_STAR_EQ] = ACTIONS(2892),
    [anon_sym_SLASH_EQ] = ACTIONS(2892),
    [anon_sym_PERCENT_EQ] = ACTIONS(2892),
    [anon_sym_BANG_EQ] = ACTIONS(2894),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2892),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2892),
    [anon_sym_LT_EQ] = ACTIONS(2892),
    [anon_sym_GT_EQ] = ACTIONS(2892),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2892),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2892),
    [anon_sym_is] = ACTIONS(2892),
    [anon_sym_PLUS] = ACTIONS(2894),
    [anon_sym_DASH] = ACTIONS(2894),
    [anon_sym_STAR] = ACTIONS(2894),
    [anon_sym_SLASH] = ACTIONS(2894),
    [anon_sym_PERCENT] = ACTIONS(2894),
    [anon_sym_PLUS_PLUS] = ACTIONS(2892),
    [anon_sym_DASH_DASH] = ACTIONS(2892),
    [anon_sym_PIPE] = ACTIONS(2892),
    [anon_sym_CARET] = ACTIONS(2894),
    [anon_sym_LT_LT] = ACTIONS(2892),
    [anon_sym_GT_GT] = ACTIONS(2892),
    [anon_sym_BANG2] = ACTIONS(2894),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2892),
    [sym__explicit_semi] = ACTIONS(2892),
    [sym__arrow_operator_custom] = ACTIONS(4857),
    [sym__dot_custom] = ACTIONS(2892),
    [sym__conjunction_operator_custom] = ACTIONS(2892),
    [sym__disjunction_operator_custom] = ACTIONS(2892),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2892),
    [sym__eq_custom] = ACTIONS(2892),
    [sym__eq_eq_custom] = ACTIONS(2892),
    [sym__plus_then_ws] = ACTIONS(2892),
    [sym__minus_then_ws] = ACTIONS(2892),
    [sym__bang_custom] = ACTIONS(2892),
    [sym__throws_keyword] = ACTIONS(2848),
    [sym__rethrows_keyword] = ACTIONS(2848),
    [sym_where_keyword] = ACTIONS(2892),
    [sym__as_custom] = ACTIONS(2892),
    [sym__as_quest_custom] = ACTIONS(2892),
    [sym__as_bang_custom] = ACTIONS(2892),
    [sym__async_keyword_custom] = ACTIONS(4859),
    [sym__custom_operator] = ACTIONS(2892),
  },
  [1643] = {
    [sym__arrow_operator] = STATE(3774),
    [sym__async_keyword] = STATE(6078),
    [sym_throws] = STATE(7437),
    [aux_sym_protocol_composition_type_repeat1] = STATE(1746),
    [ts_builtin_sym_end] = ACTIONS(2896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(2896),
    [anon_sym_LPAREN] = ACTIONS(2896),
    [anon_sym_LBRACK] = ACTIONS(2896),
    [anon_sym_DOT] = ACTIONS(4919),
    [anon_sym_QMARK] = ACTIONS(2898),
    [anon_sym_QMARK2] = ACTIONS(2896),
    [anon_sym_AMP] = ACTIONS(4921),
    [aux_sym_custom_operator_token1] = ACTIONS(2896),
    [anon_sym_LT] = ACTIONS(2898),
    [anon_sym_GT] = ACTIONS(2898),
    [anon_sym_LBRACE] = ACTIONS(2896),
    [anon_sym_CARET_LBRACE] = ACTIONS(2896),
    [anon_sym_RBRACE] = ACTIONS(2896),
    [anon_sym_PLUS_EQ] = ACTIONS(2896),
    [anon_sym_DASH_EQ] = ACTIONS(2896),
    [anon_sym_STAR_EQ] = ACTIONS(2896),
    [anon_sym_SLASH_EQ] = ACTIONS(2896),
    [anon_sym_PERCENT_EQ] = ACTIONS(2896),
    [anon_sym_BANG_EQ] = ACTIONS(2898),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2896),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2896),
    [anon_sym_LT_EQ] = ACTIONS(2896),
    [anon_sym_GT_EQ] = ACTIONS(2896),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2896),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2896),
    [anon_sym_is] = ACTIONS(2896),
    [anon_sym_PLUS] = ACTIONS(2898),
    [anon_sym_DASH] = ACTIONS(2898),
    [anon_sym_STAR] = ACTIONS(2898),
    [anon_sym_SLASH] = ACTIONS(2898),
    [anon_sym_PERCENT] = ACTIONS(2898),
    [anon_sym_PLUS_PLUS] = ACTIONS(2896),
    [anon_sym_DASH_DASH] = ACTIONS(2896),
    [anon_sym_PIPE] = ACTIONS(2896),
    [anon_sym_CARET] = ACTIONS(2898),
    [anon_sym_LT_LT] = ACTIONS(2896),
    [anon_sym_GT_GT] = ACTIONS(2896),
    [anon_sym_BANG2] = ACTIONS(2898),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2896),
    [sym__explicit_semi] = ACTIONS(2896),
    [sym__arrow_operator_custom] = ACTIONS(4857),
    [sym__dot_custom] = ACTIONS(2896),
    [sym__conjunction_operator_custom] = ACTIONS(2896),
    [sym__disjunction_operator_custom] = ACTIONS(2896),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2896),
    [sym__eq_custom] = ACTIONS(2896),
    [sym__eq_eq_custom] = ACTIONS(2896),
    [sym__plus_then_ws] = ACTIONS(2896),
    [sym__minus_then_ws] = ACTIONS(2896),
    [sym__bang_custom] = ACTIONS(2896),
    [sym__throws_keyword] = ACTIONS(2848),
    [sym__rethrows_keyword] = ACTIONS(2848),
    [sym_where_keyword] = ACTIONS(2896),
    [sym__as_custom] = ACTIONS(2896),
    [sym__as_quest_custom] = ACTIONS(2896),
    [sym__as_bang_custom] = ACTIONS(2896),
    [sym__async_keyword_custom] = ACTIONS(4859),
    [sym__custom_operator] = ACTIONS(2896),
  },
  [1644] = {
    [sym__block] = STATE(2809),
    [sym_function_body] = STATE(3036),
    [sym_type_constraints] = STATE(2281),
    [aux_sym__function_value_parameters] = STATE(1862),
    [sym__async_keyword] = STATE(1822),
    [sym_throws] = STATE(1976),
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(4923),
    [anon_sym_async] = ACTIONS(4923),
    [anon_sym_lazy] = ACTIONS(4923),
    [anon_sym_package] = ACTIONS(4923),
    [anon_sym_LPAREN] = ACTIONS(4874),
    [anon_sym_LBRACE] = ACTIONS(4876),
    [anon_sym_RBRACE] = ACTIONS(4923),
    [anon_sym_case] = ACTIONS(4923),
    [anon_sym_import] = ACTIONS(4923),
    [anon_sym_typealias] = ACTIONS(4923),
    [anon_sym_struct] = ACTIONS(4923),
    [anon_sym_class] = ACTIONS(4923),
    [anon_sym_enum] = ACTIONS(4923),
    [anon_sym_protocol] = ACTIONS(4923),
    [anon_sym_let] = ACTIONS(4923),
    [anon_sym_var] = ACTIONS(4923),
    [anon_sym_func] = ACTIONS(4923),
    [anon_sym_extension] = ACTIONS(4923),
    [anon_sym_indirect] = ACTIONS(4923),
    [anon_sym_init] = ACTIONS(4923),
    [anon_sym_deinit] = ACTIONS(4923),
    [anon_sym_subscript] = ACTIONS(4923),
    [anon_sym_prefix] = ACTIONS(4923),
    [anon_sym_infix] = ACTIONS(4923),
    [anon_sym_postfix] = ACTIONS(4923),
    [anon_sym_precedencegroup] = ACTIONS(4923),
    [anon_sym_associatedtype] = ACTIONS(4923),
    [anon_sym_AT] = ACTIONS(4925),
    [anon_sym_override] = ACTIONS(4923),
    [anon_sym_convenience] = ACTIONS(4923),
    [anon_sym_required] = ACTIONS(4923),
    [anon_sym_nonisolated] = ACTIONS(4923),
    [anon_sym_public] = ACTIONS(4923),
    [anon_sym_private] = ACTIONS(4923),
    [anon_sym_internal] = ACTIONS(4923),
    [anon_sym_fileprivate] = ACTIONS(4923),
    [anon_sym_open] = ACTIONS(4923),
    [anon_sym_mutating] = ACTIONS(4923),
    [anon_sym_nonmutating] = ACTIONS(4923),
    [anon_sym_static] = ACTIONS(4923),
    [anon_sym_dynamic] = ACTIONS(4923),
    [anon_sym_optional] = ACTIONS(4923),
    [anon_sym_distributed] = ACTIONS(4923),
    [anon_sym_final] = ACTIONS(4923),
    [anon_sym_inout] = ACTIONS(4923),
    [anon_sym_ATescaping] = ACTIONS(4923),
    [anon_sym_ATautoclosure] = ACTIONS(4923),
    [anon_sym_weak] = ACTIONS(4923),
    [anon_sym_unowned] = ACTIONS(4925),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(4923),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(4923),
    [anon_sym_borrowing] = ACTIONS(4923),
    [anon_sym_consuming] = ACTIONS(4923),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__throws_keyword] = ACTIONS(4880),
    [sym__rethrows_keyword] = ACTIONS(4880),
    [sym_where_keyword] = ACTIONS(4882),
    [sym__async_keyword_custom] = ACTIONS(4927),
  },
  [1645] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(3010),
    [aux_sym_simple_identifier_token2] = ACTIONS(3012),
    [aux_sym_simple_identifier_token3] = ACTIONS(3012),
    [aux_sym_simple_identifier_token4] = ACTIONS(3012),
    [anon_sym_actor] = ACTIONS(3010),
    [anon_sym_async] = ACTIONS(3010),
    [anon_sym_each] = ACTIONS(3010),
    [anon_sym_lazy] = ACTIONS(3010),
    [anon_sym_repeat] = ACTIONS(3010),
    [anon_sym_package] = ACTIONS(3010),
    [anon_sym_COMMA] = ACTIONS(3012),
    [anon_sym_COLON] = ACTIONS(3012),
    [anon_sym_LPAREN] = ACTIONS(3012),
    [anon_sym_LBRACK] = ACTIONS(3012),
    [anon_sym_QMARK] = ACTIONS(3010),
    [anon_sym_QMARK2] = ACTIONS(3012),
    [anon_sym_AMP] = ACTIONS(3012),
    [aux_sym_custom_operator_token1] = ACTIONS(3012),
    [anon_sym_LT] = ACTIONS(3010),
    [anon_sym_GT] = ACTIONS(3010),
    [anon_sym_LBRACE] = ACTIONS(3012),
    [anon_sym_CARET_LBRACE] = ACTIONS(3012),
    [anon_sym_PLUS_EQ] = ACTIONS(3012),
    [anon_sym_DASH_EQ] = ACTIONS(3012),
    [anon_sym_STAR_EQ] = ACTIONS(3012),
    [anon_sym_SLASH_EQ] = ACTIONS(3012),
    [anon_sym_PERCENT_EQ] = ACTIONS(3012),
    [anon_sym_BANG_EQ] = ACTIONS(3010),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3012),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3012),
    [anon_sym_LT_EQ] = ACTIONS(3012),
    [anon_sym_GT_EQ] = ACTIONS(3012),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3012),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3012),
    [anon_sym_is] = ACTIONS(3010),
    [anon_sym_PLUS] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3010),
    [anon_sym_STAR] = ACTIONS(3010),
    [anon_sym_SLASH] = ACTIONS(3010),
    [anon_sym_PERCENT] = ACTIONS(3010),
    [anon_sym_PLUS_PLUS] = ACTIONS(3012),
    [anon_sym_DASH_DASH] = ACTIONS(3012),
    [anon_sym_PIPE] = ACTIONS(3012),
    [anon_sym_CARET] = ACTIONS(3010),
    [anon_sym_LT_LT] = ACTIONS(3012),
    [anon_sym_GT_GT] = ACTIONS(3012),
    [anon_sym_BANG2] = ACTIONS(3010),
    [anon_sym_borrowing] = ACTIONS(3010),
    [anon_sym_consuming] = ACTIONS(3010),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3012),
    [sym__conjunction_operator_custom] = ACTIONS(3012),
    [sym__disjunction_operator_custom] = ACTIONS(3012),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3012),
    [sym__eq_custom] = ACTIONS(3012),
    [sym__eq_eq_custom] = ACTIONS(3012),
    [sym__plus_then_ws] = ACTIONS(3012),
    [sym__minus_then_ws] = ACTIONS(3012),
    [sym__bang_custom] = ACTIONS(3012),
    [sym_where_keyword] = ACTIONS(3012),
    [sym__as_custom] = ACTIONS(3012),
    [sym__as_quest_custom] = ACTIONS(3012),
    [sym__as_bang_custom] = ACTIONS(3012),
    [sym__custom_operator] = ACTIONS(3012),
  },
  [1646] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(3018),
    [aux_sym_simple_identifier_token2] = ACTIONS(3020),
    [aux_sym_simple_identifier_token3] = ACTIONS(3020),
    [aux_sym_simple_identifier_token4] = ACTIONS(3020),
    [anon_sym_actor] = ACTIONS(3018),
    [anon_sym_async] = ACTIONS(3018),
    [anon_sym_each] = ACTIONS(3018),
    [anon_sym_lazy] = ACTIONS(3018),
    [anon_sym_repeat] = ACTIONS(3018),
    [anon_sym_package] = ACTIONS(3018),
    [anon_sym_COMMA] = ACTIONS(3020),
    [anon_sym_COLON] = ACTIONS(3020),
    [anon_sym_LPAREN] = ACTIONS(3020),
    [anon_sym_LBRACK] = ACTIONS(3020),
    [anon_sym_QMARK] = ACTIONS(3018),
    [anon_sym_QMARK2] = ACTIONS(3020),
    [anon_sym_AMP] = ACTIONS(3020),
    [aux_sym_custom_operator_token1] = ACTIONS(3020),
    [anon_sym_LT] = ACTIONS(3018),
    [anon_sym_GT] = ACTIONS(3018),
    [anon_sym_LBRACE] = ACTIONS(3020),
    [anon_sym_CARET_LBRACE] = ACTIONS(3020),
    [anon_sym_PLUS_EQ] = ACTIONS(3020),
    [anon_sym_DASH_EQ] = ACTIONS(3020),
    [anon_sym_STAR_EQ] = ACTIONS(3020),
    [anon_sym_SLASH_EQ] = ACTIONS(3020),
    [anon_sym_PERCENT_EQ] = ACTIONS(3020),
    [anon_sym_BANG_EQ] = ACTIONS(3018),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3020),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3020),
    [anon_sym_LT_EQ] = ACTIONS(3020),
    [anon_sym_GT_EQ] = ACTIONS(3020),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3020),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3020),
    [anon_sym_is] = ACTIONS(3018),
    [anon_sym_PLUS] = ACTIONS(3018),
    [anon_sym_DASH] = ACTIONS(3018),
    [anon_sym_STAR] = ACTIONS(3018),
    [anon_sym_SLASH] = ACTIONS(3018),
    [anon_sym_PERCENT] = ACTIONS(3018),
    [anon_sym_PLUS_PLUS] = ACTIONS(3020),
    [anon_sym_DASH_DASH] = ACTIONS(3020),
    [anon_sym_PIPE] = ACTIONS(3020),
    [anon_sym_CARET] = ACTIONS(3018),
    [anon_sym_LT_LT] = ACTIONS(3020),
    [anon_sym_GT_GT] = ACTIONS(3020),
    [anon_sym_BANG2] = ACTIONS(3018),
    [anon_sym_borrowing] = ACTIONS(3018),
    [anon_sym_consuming] = ACTIONS(3018),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3020),
    [sym__conjunction_operator_custom] = ACTIONS(3020),
    [sym__disjunction_operator_custom] = ACTIONS(3020),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3020),
    [sym__eq_custom] = ACTIONS(3020),
    [sym__eq_eq_custom] = ACTIONS(3020),
    [sym__plus_then_ws] = ACTIONS(3020),
    [sym__minus_then_ws] = ACTIONS(3020),
    [sym__bang_custom] = ACTIONS(3020),
    [sym_where_keyword] = ACTIONS(3020),
    [sym__as_custom] = ACTIONS(3020),
    [sym__as_quest_custom] = ACTIONS(3020),
    [sym__as_bang_custom] = ACTIONS(3020),
    [sym__custom_operator] = ACTIONS(3020),
  },
  [1647] = {
    [aux_sym_protocol_composition_type_repeat1] = STATE(1647),
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2892),
    [anon_sym_async] = ACTIONS(2892),
    [anon_sym_lazy] = ACTIONS(2892),
    [anon_sym_package] = ACTIONS(2892),
    [anon_sym_COMMA] = ACTIONS(2892),
    [anon_sym_BANG] = ACTIONS(2892),
    [anon_sym_DOT] = ACTIONS(2892),
    [anon_sym_AMP] = ACTIONS(4929),
    [anon_sym_LBRACE] = ACTIONS(2892),
    [anon_sym_RBRACE] = ACTIONS(2892),
    [anon_sym_case] = ACTIONS(2892),
    [anon_sym_import] = ACTIONS(2892),
    [anon_sym_typealias] = ACTIONS(2892),
    [anon_sym_struct] = ACTIONS(2892),
    [anon_sym_class] = ACTIONS(2892),
    [anon_sym_enum] = ACTIONS(2892),
    [anon_sym_protocol] = ACTIONS(2892),
    [anon_sym_let] = ACTIONS(2892),
    [anon_sym_var] = ACTIONS(2892),
    [anon_sym_func] = ACTIONS(2892),
    [anon_sym_extension] = ACTIONS(2892),
    [anon_sym_indirect] = ACTIONS(2892),
    [anon_sym_init] = ACTIONS(2892),
    [anon_sym_deinit] = ACTIONS(2892),
    [anon_sym_subscript] = ACTIONS(2892),
    [anon_sym_prefix] = ACTIONS(2892),
    [anon_sym_infix] = ACTIONS(2892),
    [anon_sym_postfix] = ACTIONS(2892),
    [anon_sym_precedencegroup] = ACTIONS(2892),
    [anon_sym_associatedtype] = ACTIONS(2892),
    [anon_sym_AT] = ACTIONS(2894),
    [anon_sym_override] = ACTIONS(2892),
    [anon_sym_convenience] = ACTIONS(2892),
    [anon_sym_required] = ACTIONS(2892),
    [anon_sym_nonisolated] = ACTIONS(2892),
    [anon_sym_public] = ACTIONS(2892),
    [anon_sym_private] = ACTIONS(2892),
    [anon_sym_internal] = ACTIONS(2892),
    [anon_sym_fileprivate] = ACTIONS(2892),
    [anon_sym_open] = ACTIONS(2892),
    [anon_sym_mutating] = ACTIONS(2892),
    [anon_sym_nonmutating] = ACTIONS(2892),
    [anon_sym_static] = ACTIONS(2892),
    [anon_sym_dynamic] = ACTIONS(2892),
    [anon_sym_optional] = ACTIONS(2892),
    [anon_sym_distributed] = ACTIONS(2892),
    [anon_sym_final] = ACTIONS(2892),
    [anon_sym_inout] = ACTIONS(2892),
    [anon_sym_ATescaping] = ACTIONS(2892),
    [anon_sym_ATautoclosure] = ACTIONS(2892),
    [anon_sym_weak] = ACTIONS(2892),
    [anon_sym_unowned] = ACTIONS(2894),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2892),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2892),
    [anon_sym_borrowing] = ACTIONS(2892),
    [anon_sym_consuming] = ACTIONS(2892),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2892),
    [sym__eq_custom] = ACTIONS(2892),
    [sym__throws_keyword] = ACTIONS(2892),
    [sym__rethrows_keyword] = ACTIONS(2892),
    [sym_where_keyword] = ACTIONS(2892),
    [sym__async_keyword_custom] = ACTIONS(2892),
  },
  [1648] = {
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2975),
    [anon_sym_async] = ACTIONS(2975),
    [anon_sym_lazy] = ACTIONS(2975),
    [anon_sym_package] = ACTIONS(2975),
    [anon_sym_COMMA] = ACTIONS(2975),
    [anon_sym_BANG] = ACTIONS(2975),
    [anon_sym_DOT] = ACTIONS(2975),
    [anon_sym_QMARK2] = ACTIONS(2975),
    [anon_sym_AMP] = ACTIONS(2975),
    [anon_sym_LBRACE] = ACTIONS(2975),
    [anon_sym_RBRACE] = ACTIONS(2975),
    [anon_sym_case] = ACTIONS(2975),
    [anon_sym_import] = ACTIONS(2975),
    [anon_sym_typealias] = ACTIONS(2975),
    [anon_sym_struct] = ACTIONS(2975),
    [anon_sym_class] = ACTIONS(2975),
    [anon_sym_enum] = ACTIONS(2975),
    [anon_sym_protocol] = ACTIONS(2975),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_var] = ACTIONS(2975),
    [anon_sym_func] = ACTIONS(2975),
    [anon_sym_extension] = ACTIONS(2975),
    [anon_sym_indirect] = ACTIONS(2975),
    [anon_sym_init] = ACTIONS(2975),
    [anon_sym_deinit] = ACTIONS(2975),
    [anon_sym_subscript] = ACTIONS(2975),
    [anon_sym_prefix] = ACTIONS(2975),
    [anon_sym_infix] = ACTIONS(2975),
    [anon_sym_postfix] = ACTIONS(2975),
    [anon_sym_precedencegroup] = ACTIONS(2975),
    [anon_sym_associatedtype] = ACTIONS(2975),
    [anon_sym_AT] = ACTIONS(2977),
    [anon_sym_override] = ACTIONS(2975),
    [anon_sym_convenience] = ACTIONS(2975),
    [anon_sym_required] = ACTIONS(2975),
    [anon_sym_nonisolated] = ACTIONS(2975),
    [anon_sym_public] = ACTIONS(2975),
    [anon_sym_private] = ACTIONS(2975),
    [anon_sym_internal] = ACTIONS(2975),
    [anon_sym_fileprivate] = ACTIONS(2975),
    [anon_sym_open] = ACTIONS(2975),
    [anon_sym_mutating] = ACTIONS(2975),
    [anon_sym_nonmutating] = ACTIONS(2975),
    [anon_sym_static] = ACTIONS(2975),
    [anon_sym_dynamic] = ACTIONS(2975),
    [anon_sym_optional] = ACTIONS(2975),
    [anon_sym_distributed] = ACTIONS(2975),
    [anon_sym_final] = ACTIONS(2975),
    [anon_sym_inout] = ACTIONS(2975),
    [anon_sym_ATescaping] = ACTIONS(2975),
    [anon_sym_ATautoclosure] = ACTIONS(2975),
    [anon_sym_weak] = ACTIONS(2975),
    [anon_sym_unowned] = ACTIONS(2977),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2975),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2975),
    [anon_sym_borrowing] = ACTIONS(2975),
    [anon_sym_consuming] = ACTIONS(2975),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2975),
    [sym__eq_custom] = ACTIONS(2975),
    [sym__throws_keyword] = ACTIONS(2975),
    [sym__rethrows_keyword] = ACTIONS(2975),
    [sym_where_keyword] = ACTIONS(2975),
    [sym__async_keyword_custom] = ACTIONS(2975),
  },
  [1649] = {
    [sym__immediate_quest] = STATE(1628),
    [aux_sym_optional_type_repeat1] = STATE(1628),
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2794),
    [anon_sym_async] = ACTIONS(2794),
    [anon_sym_lazy] = ACTIONS(2794),
    [anon_sym_package] = ACTIONS(2794),
    [anon_sym_COMMA] = ACTIONS(2794),
    [anon_sym_BANG] = ACTIONS(2794),
    [anon_sym_DOT] = ACTIONS(2794),
    [anon_sym_QMARK2] = ACTIONS(4823),
    [anon_sym_AMP] = ACTIONS(2794),
    [anon_sym_LBRACE] = ACTIONS(2794),
    [anon_sym_RBRACE] = ACTIONS(2794),
    [anon_sym_case] = ACTIONS(2794),
    [anon_sym_import] = ACTIONS(2794),
    [anon_sym_typealias] = ACTIONS(2794),
    [anon_sym_struct] = ACTIONS(2794),
    [anon_sym_class] = ACTIONS(2794),
    [anon_sym_enum] = ACTIONS(2794),
    [anon_sym_protocol] = ACTIONS(2794),
    [anon_sym_let] = ACTIONS(2794),
    [anon_sym_var] = ACTIONS(2794),
    [anon_sym_func] = ACTIONS(2794),
    [anon_sym_extension] = ACTIONS(2794),
    [anon_sym_indirect] = ACTIONS(2794),
    [anon_sym_init] = ACTIONS(2794),
    [anon_sym_deinit] = ACTIONS(2794),
    [anon_sym_subscript] = ACTIONS(2794),
    [anon_sym_prefix] = ACTIONS(2794),
    [anon_sym_infix] = ACTIONS(2794),
    [anon_sym_postfix] = ACTIONS(2794),
    [anon_sym_precedencegroup] = ACTIONS(2794),
    [anon_sym_associatedtype] = ACTIONS(2794),
    [anon_sym_AT] = ACTIONS(2796),
    [anon_sym_override] = ACTIONS(2794),
    [anon_sym_convenience] = ACTIONS(2794),
    [anon_sym_required] = ACTIONS(2794),
    [anon_sym_nonisolated] = ACTIONS(2794),
    [anon_sym_public] = ACTIONS(2794),
    [anon_sym_private] = ACTIONS(2794),
    [anon_sym_internal] = ACTIONS(2794),
    [anon_sym_fileprivate] = ACTIONS(2794),
    [anon_sym_open] = ACTIONS(2794),
    [anon_sym_mutating] = ACTIONS(2794),
    [anon_sym_nonmutating] = ACTIONS(2794),
    [anon_sym_static] = ACTIONS(2794),
    [anon_sym_dynamic] = ACTIONS(2794),
    [anon_sym_optional] = ACTIONS(2794),
    [anon_sym_distributed] = ACTIONS(2794),
    [anon_sym_final] = ACTIONS(2794),
    [anon_sym_inout] = ACTIONS(2794),
    [anon_sym_ATescaping] = ACTIONS(2794),
    [anon_sym_ATautoclosure] = ACTIONS(2794),
    [anon_sym_weak] = ACTIONS(2794),
    [anon_sym_unowned] = ACTIONS(2796),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2794),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2794),
    [anon_sym_borrowing] = ACTIONS(2794),
    [anon_sym_consuming] = ACTIONS(2794),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2794),
    [sym__throws_keyword] = ACTIONS(2794),
    [sym__rethrows_keyword] = ACTIONS(2794),
    [sym__async_keyword_custom] = ACTIONS(2794),
  },
  [1650] = {
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2983),
    [anon_sym_async] = ACTIONS(2983),
    [anon_sym_lazy] = ACTIONS(2983),
    [anon_sym_package] = ACTIONS(2983),
    [anon_sym_COMMA] = ACTIONS(2983),
    [anon_sym_BANG] = ACTIONS(2983),
    [anon_sym_DOT] = ACTIONS(2983),
    [anon_sym_QMARK2] = ACTIONS(2983),
    [anon_sym_AMP] = ACTIONS(2983),
    [anon_sym_LBRACE] = ACTIONS(2983),
    [anon_sym_RBRACE] = ACTIONS(2983),
    [anon_sym_case] = ACTIONS(2983),
    [anon_sym_import] = ACTIONS(2983),
    [anon_sym_typealias] = ACTIONS(2983),
    [anon_sym_struct] = ACTIONS(2983),
    [anon_sym_class] = ACTIONS(2983),
    [anon_sym_enum] = ACTIONS(2983),
    [anon_sym_protocol] = ACTIONS(2983),
    [anon_sym_let] = ACTIONS(2983),
    [anon_sym_var] = ACTIONS(2983),
    [anon_sym_func] = ACTIONS(2983),
    [anon_sym_extension] = ACTIONS(2983),
    [anon_sym_indirect] = ACTIONS(2983),
    [anon_sym_init] = ACTIONS(2983),
    [anon_sym_deinit] = ACTIONS(2983),
    [anon_sym_subscript] = ACTIONS(2983),
    [anon_sym_prefix] = ACTIONS(2983),
    [anon_sym_infix] = ACTIONS(2983),
    [anon_sym_postfix] = ACTIONS(2983),
    [anon_sym_precedencegroup] = ACTIONS(2983),
    [anon_sym_associatedtype] = ACTIONS(2983),
    [anon_sym_AT] = ACTIONS(2985),
    [anon_sym_override] = ACTIONS(2983),
    [anon_sym_convenience] = ACTIONS(2983),
    [anon_sym_required] = ACTIONS(2983),
    [anon_sym_nonisolated] = ACTIONS(2983),
    [anon_sym_public] = ACTIONS(2983),
    [anon_sym_private] = ACTIONS(2983),
    [anon_sym_internal] = ACTIONS(2983),
    [anon_sym_fileprivate] = ACTIONS(2983),
    [anon_sym_open] = ACTIONS(2983),
    [anon_sym_mutating] = ACTIONS(2983),
    [anon_sym_nonmutating] = ACTIONS(2983),
    [anon_sym_static] = ACTIONS(2983),
    [anon_sym_dynamic] = ACTIONS(2983),
    [anon_sym_optional] = ACTIONS(2983),
    [anon_sym_distributed] = ACTIONS(2983),
    [anon_sym_final] = ACTIONS(2983),
    [anon_sym_inout] = ACTIONS(2983),
    [anon_sym_ATescaping] = ACTIONS(2983),
    [anon_sym_ATautoclosure] = ACTIONS(2983),
    [anon_sym_weak] = ACTIONS(2983),
    [anon_sym_unowned] = ACTIONS(2985),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2983),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2983),
    [anon_sym_borrowing] = ACTIONS(2983),
    [anon_sym_consuming] = ACTIONS(2983),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2983),
    [sym__eq_custom] = ACTIONS(2983),
    [sym__throws_keyword] = ACTIONS(2983),
    [sym__rethrows_keyword] = ACTIONS(2983),
    [sym_where_keyword] = ACTIONS(2983),
    [sym__async_keyword_custom] = ACTIONS(2983),
  },
  [1651] = {
    [sym__block] = STATE(2809),
    [sym_function_body] = STATE(2698),
    [sym_type_constraints] = STATE(2233),
    [aux_sym__function_value_parameters] = STATE(1862),
    [sym__async_keyword] = STATE(1819),
    [sym_throws] = STATE(2023),
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(4932),
    [anon_sym_async] = ACTIONS(4932),
    [anon_sym_lazy] = ACTIONS(4932),
    [anon_sym_package] = ACTIONS(4932),
    [anon_sym_LPAREN] = ACTIONS(4874),
    [anon_sym_LBRACE] = ACTIONS(4876),
    [anon_sym_RBRACE] = ACTIONS(4932),
    [anon_sym_case] = ACTIONS(4932),
    [anon_sym_import] = ACTIONS(4932),
    [anon_sym_typealias] = ACTIONS(4932),
    [anon_sym_struct] = ACTIONS(4932),
    [anon_sym_class] = ACTIONS(4932),
    [anon_sym_enum] = ACTIONS(4932),
    [anon_sym_protocol] = ACTIONS(4932),
    [anon_sym_let] = ACTIONS(4932),
    [anon_sym_var] = ACTIONS(4932),
    [anon_sym_func] = ACTIONS(4932),
    [anon_sym_extension] = ACTIONS(4932),
    [anon_sym_indirect] = ACTIONS(4932),
    [anon_sym_init] = ACTIONS(4932),
    [anon_sym_deinit] = ACTIONS(4932),
    [anon_sym_subscript] = ACTIONS(4932),
    [anon_sym_prefix] = ACTIONS(4932),
    [anon_sym_infix] = ACTIONS(4932),
    [anon_sym_postfix] = ACTIONS(4932),
    [anon_sym_precedencegroup] = ACTIONS(4932),
    [anon_sym_associatedtype] = ACTIONS(4932),
    [anon_sym_AT] = ACTIONS(4934),
    [anon_sym_override] = ACTIONS(4932),
    [anon_sym_convenience] = ACTIONS(4932),
    [anon_sym_required] = ACTIONS(4932),
    [anon_sym_nonisolated] = ACTIONS(4932),
    [anon_sym_public] = ACTIONS(4932),
    [anon_sym_private] = ACTIONS(4932),
    [anon_sym_internal] = ACTIONS(4932),
    [anon_sym_fileprivate] = ACTIONS(4932),
    [anon_sym_open] = ACTIONS(4932),
    [anon_sym_mutating] = ACTIONS(4932),
    [anon_sym_nonmutating] = ACTIONS(4932),
    [anon_sym_static] = ACTIONS(4932),
    [anon_sym_dynamic] = ACTIONS(4932),
    [anon_sym_optional] = ACTIONS(4932),
    [anon_sym_distributed] = ACTIONS(4932),
    [anon_sym_final] = ACTIONS(4932),
    [anon_sym_inout] = ACTIONS(4932),
    [anon_sym_ATescaping] = ACTIONS(4932),
    [anon_sym_ATautoclosure] = ACTIONS(4932),
    [anon_sym_weak] = ACTIONS(4932),
    [anon_sym_unowned] = ACTIONS(4934),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(4932),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(4932),
    [anon_sym_borrowing] = ACTIONS(4932),
    [anon_sym_consuming] = ACTIONS(4932),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__throws_keyword] = ACTIONS(4880),
    [sym__rethrows_keyword] = ACTIONS(4880),
    [sym_where_keyword] = ACTIONS(4882),
    [sym__async_keyword_custom] = ACTIONS(4936),
  },
  [1652] = {
    [sym__immediate_quest] = STATE(1649),
    [aux_sym_optional_type_repeat1] = STATE(1649),
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2840),
    [anon_sym_async] = ACTIONS(2840),
    [anon_sym_lazy] = ACTIONS(2840),
    [anon_sym_package] = ACTIONS(2840),
    [anon_sym_COMMA] = ACTIONS(2840),
    [anon_sym_BANG] = ACTIONS(2840),
    [anon_sym_DOT] = ACTIONS(2840),
    [anon_sym_QMARK2] = ACTIONS(4823),
    [anon_sym_AMP] = ACTIONS(2840),
    [anon_sym_LBRACE] = ACTIONS(2840),
    [anon_sym_RBRACE] = ACTIONS(2840),
    [anon_sym_case] = ACTIONS(2840),
    [anon_sym_import] = ACTIONS(2840),
    [anon_sym_typealias] = ACTIONS(2840),
    [anon_sym_struct] = ACTIONS(2840),
    [anon_sym_class] = ACTIONS(2840),
    [anon_sym_enum] = ACTIONS(2840),
    [anon_sym_protocol] = ACTIONS(2840),
    [anon_sym_let] = ACTIONS(2840),
    [anon_sym_var] = ACTIONS(2840),
    [anon_sym_func] = ACTIONS(2840),
    [anon_sym_extension] = ACTIONS(2840),
    [anon_sym_indirect] = ACTIONS(2840),
    [anon_sym_init] = ACTIONS(2840),
    [anon_sym_deinit] = ACTIONS(2840),
    [anon_sym_subscript] = ACTIONS(2840),
    [anon_sym_prefix] = ACTIONS(2840),
    [anon_sym_infix] = ACTIONS(2840),
    [anon_sym_postfix] = ACTIONS(2840),
    [anon_sym_precedencegroup] = ACTIONS(2840),
    [anon_sym_associatedtype] = ACTIONS(2840),
    [anon_sym_AT] = ACTIONS(2842),
    [anon_sym_override] = ACTIONS(2840),
    [anon_sym_convenience] = ACTIONS(2840),
    [anon_sym_required] = ACTIONS(2840),
    [anon_sym_nonisolated] = ACTIONS(2840),
    [anon_sym_public] = ACTIONS(2840),
    [anon_sym_private] = ACTIONS(2840),
    [anon_sym_internal] = ACTIONS(2840),
    [anon_sym_fileprivate] = ACTIONS(2840),
    [anon_sym_open] = ACTIONS(2840),
    [anon_sym_mutating] = ACTIONS(2840),
    [anon_sym_nonmutating] = ACTIONS(2840),
    [anon_sym_static] = ACTIONS(2840),
    [anon_sym_dynamic] = ACTIONS(2840),
    [anon_sym_optional] = ACTIONS(2840),
    [anon_sym_distributed] = ACTIONS(2840),
    [anon_sym_final] = ACTIONS(2840),
    [anon_sym_inout] = ACTIONS(2840),
    [anon_sym_ATescaping] = ACTIONS(2840),
    [anon_sym_ATautoclosure] = ACTIONS(2840),
    [anon_sym_weak] = ACTIONS(2840),
    [anon_sym_unowned] = ACTIONS(2842),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2840),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2840),
    [anon_sym_borrowing] = ACTIONS(2840),
    [anon_sym_consuming] = ACTIONS(2840),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2840),
    [sym__throws_keyword] = ACTIONS(2840),
    [sym__rethrows_keyword] = ACTIONS(2840),
    [sym__async_keyword_custom] = ACTIONS(2840),
  },
  [1653] = {
    [sym__block] = STATE(2809),
    [sym_function_body] = STATE(2759),
    [sym_type_constraints] = STATE(2213),
    [aux_sym__function_value_parameters] = STATE(1862),
    [sym__async_keyword] = STATE(1806),
    [sym_throws] = STATE(2021),
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(4938),
    [anon_sym_async] = ACTIONS(4938),
    [anon_sym_lazy] = ACTIONS(4938),
    [anon_sym_package] = ACTIONS(4938),
    [anon_sym_LPAREN] = ACTIONS(4874),
    [anon_sym_LBRACE] = ACTIONS(4876),
    [anon_sym_RBRACE] = ACTIONS(4938),
    [anon_sym_case] = ACTIONS(4938),
    [anon_sym_import] = ACTIONS(4938),
    [anon_sym_typealias] = ACTIONS(4938),
    [anon_sym_struct] = ACTIONS(4938),
    [anon_sym_class] = ACTIONS(4938),
    [anon_sym_enum] = ACTIONS(4938),
    [anon_sym_protocol] = ACTIONS(4938),
    [anon_sym_let] = ACTIONS(4938),
    [anon_sym_var] = ACTIONS(4938),
    [anon_sym_func] = ACTIONS(4938),
    [anon_sym_extension] = ACTIONS(4938),
    [anon_sym_indirect] = ACTIONS(4938),
    [anon_sym_init] = ACTIONS(4938),
    [anon_sym_deinit] = ACTIONS(4938),
    [anon_sym_subscript] = ACTIONS(4938),
    [anon_sym_prefix] = ACTIONS(4938),
    [anon_sym_infix] = ACTIONS(4938),
    [anon_sym_postfix] = ACTIONS(4938),
    [anon_sym_precedencegroup] = ACTIONS(4938),
    [anon_sym_associatedtype] = ACTIONS(4938),
    [anon_sym_AT] = ACTIONS(4940),
    [anon_sym_override] = ACTIONS(4938),
    [anon_sym_convenience] = ACTIONS(4938),
    [anon_sym_required] = ACTIONS(4938),
    [anon_sym_nonisolated] = ACTIONS(4938),
    [anon_sym_public] = ACTIONS(4938),
    [anon_sym_private] = ACTIONS(4938),
    [anon_sym_internal] = ACTIONS(4938),
    [anon_sym_fileprivate] = ACTIONS(4938),
    [anon_sym_open] = ACTIONS(4938),
    [anon_sym_mutating] = ACTIONS(4938),
    [anon_sym_nonmutating] = ACTIONS(4938),
    [anon_sym_static] = ACTIONS(4938),
    [anon_sym_dynamic] = ACTIONS(4938),
    [anon_sym_optional] = ACTIONS(4938),
    [anon_sym_distributed] = ACTIONS(4938),
    [anon_sym_final] = ACTIONS(4938),
    [anon_sym_inout] = ACTIONS(4938),
    [anon_sym_ATescaping] = ACTIONS(4938),
    [anon_sym_ATautoclosure] = ACTIONS(4938),
    [anon_sym_weak] = ACTIONS(4938),
    [anon_sym_unowned] = ACTIONS(4940),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(4938),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(4938),
    [anon_sym_borrowing] = ACTIONS(4938),
    [anon_sym_consuming] = ACTIONS(4938),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__throws_keyword] = ACTIONS(4880),
    [sym__rethrows_keyword] = ACTIONS(4880),
    [sym_where_keyword] = ACTIONS(4882),
    [sym__async_keyword_custom] = ACTIONS(4942),
  },
  [1654] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(3010),
    [aux_sym_simple_identifier_token2] = ACTIONS(3012),
    [aux_sym_simple_identifier_token3] = ACTIONS(3012),
    [aux_sym_simple_identifier_token4] = ACTIONS(3012),
    [anon_sym_actor] = ACTIONS(3010),
    [anon_sym_async] = ACTIONS(3010),
    [anon_sym_each] = ACTIONS(3010),
    [anon_sym_lazy] = ACTIONS(3010),
    [anon_sym_repeat] = ACTIONS(3010),
    [anon_sym_package] = ACTIONS(3010),
    [anon_sym_COMMA] = ACTIONS(3012),
    [anon_sym_LPAREN] = ACTIONS(3012),
    [anon_sym_LBRACK] = ACTIONS(3012),
    [anon_sym_QMARK] = ACTIONS(3010),
    [anon_sym_QMARK2] = ACTIONS(3012),
    [anon_sym_AMP] = ACTIONS(3012),
    [aux_sym_custom_operator_token1] = ACTIONS(3012),
    [anon_sym_LT] = ACTIONS(3010),
    [anon_sym_GT] = ACTIONS(3010),
    [anon_sym_LBRACE] = ACTIONS(3012),
    [anon_sym_CARET_LBRACE] = ACTIONS(3012),
    [anon_sym_PLUS_EQ] = ACTIONS(3012),
    [anon_sym_DASH_EQ] = ACTIONS(3012),
    [anon_sym_STAR_EQ] = ACTIONS(3012),
    [anon_sym_SLASH_EQ] = ACTIONS(3012),
    [anon_sym_PERCENT_EQ] = ACTIONS(3012),
    [anon_sym_BANG_EQ] = ACTIONS(3010),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3012),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3012),
    [anon_sym_LT_EQ] = ACTIONS(3012),
    [anon_sym_GT_EQ] = ACTIONS(3012),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3012),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3012),
    [anon_sym_is] = ACTIONS(3010),
    [anon_sym_PLUS] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3010),
    [anon_sym_STAR] = ACTIONS(3010),
    [anon_sym_SLASH] = ACTIONS(3010),
    [anon_sym_PERCENT] = ACTIONS(3010),
    [anon_sym_PLUS_PLUS] = ACTIONS(3012),
    [anon_sym_DASH_DASH] = ACTIONS(3012),
    [anon_sym_PIPE] = ACTIONS(3012),
    [anon_sym_CARET] = ACTIONS(3010),
    [anon_sym_LT_LT] = ACTIONS(3012),
    [anon_sym_GT_GT] = ACTIONS(3012),
    [anon_sym_BANG2] = ACTIONS(3010),
    [anon_sym_borrowing] = ACTIONS(3010),
    [anon_sym_consuming] = ACTIONS(3010),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3012),
    [sym__conjunction_operator_custom] = ACTIONS(3012),
    [sym__disjunction_operator_custom] = ACTIONS(3012),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3012),
    [sym__eq_custom] = ACTIONS(3012),
    [sym__eq_eq_custom] = ACTIONS(3012),
    [sym__plus_then_ws] = ACTIONS(3012),
    [sym__minus_then_ws] = ACTIONS(3012),
    [sym__bang_custom] = ACTIONS(3012),
    [sym_where_keyword] = ACTIONS(3012),
    [sym_else] = ACTIONS(3012),
    [sym__as_custom] = ACTIONS(3012),
    [sym__as_quest_custom] = ACTIONS(3012),
    [sym__as_bang_custom] = ACTIONS(3012),
    [sym__custom_operator] = ACTIONS(3012),
  },
  [1655] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(3006),
    [aux_sym_simple_identifier_token2] = ACTIONS(3008),
    [aux_sym_simple_identifier_token3] = ACTIONS(3008),
    [aux_sym_simple_identifier_token4] = ACTIONS(3008),
    [anon_sym_actor] = ACTIONS(3006),
    [anon_sym_async] = ACTIONS(3006),
    [anon_sym_each] = ACTIONS(3006),
    [anon_sym_lazy] = ACTIONS(3006),
    [anon_sym_repeat] = ACTIONS(3006),
    [anon_sym_package] = ACTIONS(3006),
    [anon_sym_COMMA] = ACTIONS(3008),
    [anon_sym_LPAREN] = ACTIONS(3008),
    [anon_sym_LBRACK] = ACTIONS(3008),
    [anon_sym_QMARK] = ACTIONS(3006),
    [anon_sym_QMARK2] = ACTIONS(3008),
    [anon_sym_AMP] = ACTIONS(3008),
    [aux_sym_custom_operator_token1] = ACTIONS(3008),
    [anon_sym_LT] = ACTIONS(3006),
    [anon_sym_GT] = ACTIONS(3006),
    [anon_sym_LBRACE] = ACTIONS(3008),
    [anon_sym_CARET_LBRACE] = ACTIONS(3008),
    [anon_sym_PLUS_EQ] = ACTIONS(3008),
    [anon_sym_DASH_EQ] = ACTIONS(3008),
    [anon_sym_STAR_EQ] = ACTIONS(3008),
    [anon_sym_SLASH_EQ] = ACTIONS(3008),
    [anon_sym_PERCENT_EQ] = ACTIONS(3008),
    [anon_sym_BANG_EQ] = ACTIONS(3006),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3008),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3008),
    [anon_sym_LT_EQ] = ACTIONS(3008),
    [anon_sym_GT_EQ] = ACTIONS(3008),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3008),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3008),
    [anon_sym_is] = ACTIONS(3006),
    [anon_sym_PLUS] = ACTIONS(3006),
    [anon_sym_DASH] = ACTIONS(3006),
    [anon_sym_STAR] = ACTIONS(3006),
    [anon_sym_SLASH] = ACTIONS(3006),
    [anon_sym_PERCENT] = ACTIONS(3006),
    [anon_sym_PLUS_PLUS] = ACTIONS(3008),
    [anon_sym_DASH_DASH] = ACTIONS(3008),
    [anon_sym_PIPE] = ACTIONS(3008),
    [anon_sym_CARET] = ACTIONS(3006),
    [anon_sym_LT_LT] = ACTIONS(3008),
    [anon_sym_GT_GT] = ACTIONS(3008),
    [anon_sym_BANG2] = ACTIONS(3006),
    [anon_sym_borrowing] = ACTIONS(3006),
    [anon_sym_consuming] = ACTIONS(3006),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3008),
    [sym__conjunction_operator_custom] = ACTIONS(3008),
    [sym__disjunction_operator_custom] = ACTIONS(3008),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3008),
    [sym__eq_custom] = ACTIONS(3008),
    [sym__eq_eq_custom] = ACTIONS(3008),
    [sym__plus_then_ws] = ACTIONS(3008),
    [sym__minus_then_ws] = ACTIONS(3008),
    [sym__bang_custom] = ACTIONS(3008),
    [sym_where_keyword] = ACTIONS(3008),
    [sym_else] = ACTIONS(3008),
    [sym__as_custom] = ACTIONS(3008),
    [sym__as_quest_custom] = ACTIONS(3008),
    [sym__as_bang_custom] = ACTIONS(3008),
    [sym__custom_operator] = ACTIONS(3008),
  },
  [1656] = {
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2967),
    [anon_sym_async] = ACTIONS(2967),
    [anon_sym_lazy] = ACTIONS(2967),
    [anon_sym_package] = ACTIONS(2967),
    [anon_sym_COMMA] = ACTIONS(2967),
    [anon_sym_BANG] = ACTIONS(2967),
    [anon_sym_DOT] = ACTIONS(2967),
    [anon_sym_QMARK2] = ACTIONS(2967),
    [anon_sym_AMP] = ACTIONS(2967),
    [anon_sym_LBRACE] = ACTIONS(2967),
    [anon_sym_RBRACE] = ACTIONS(2967),
    [anon_sym_case] = ACTIONS(2967),
    [anon_sym_import] = ACTIONS(2967),
    [anon_sym_typealias] = ACTIONS(2967),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_class] = ACTIONS(2967),
    [anon_sym_enum] = ACTIONS(2967),
    [anon_sym_protocol] = ACTIONS(2967),
    [anon_sym_let] = ACTIONS(2967),
    [anon_sym_var] = ACTIONS(2967),
    [anon_sym_func] = ACTIONS(2967),
    [anon_sym_extension] = ACTIONS(2967),
    [anon_sym_indirect] = ACTIONS(2967),
    [anon_sym_init] = ACTIONS(2967),
    [anon_sym_deinit] = ACTIONS(2967),
    [anon_sym_subscript] = ACTIONS(2967),
    [anon_sym_prefix] = ACTIONS(2967),
    [anon_sym_infix] = ACTIONS(2967),
    [anon_sym_postfix] = ACTIONS(2967),
    [anon_sym_precedencegroup] = ACTIONS(2967),
    [anon_sym_associatedtype] = ACTIONS(2967),
    [anon_sym_AT] = ACTIONS(2969),
    [anon_sym_override] = ACTIONS(2967),
    [anon_sym_convenience] = ACTIONS(2967),
    [anon_sym_required] = ACTIONS(2967),
    [anon_sym_nonisolated] = ACTIONS(2967),
    [anon_sym_public] = ACTIONS(2967),
    [anon_sym_private] = ACTIONS(2967),
    [anon_sym_internal] = ACTIONS(2967),
    [anon_sym_fileprivate] = ACTIONS(2967),
    [anon_sym_open] = ACTIONS(2967),
    [anon_sym_mutating] = ACTIONS(2967),
    [anon_sym_nonmutating] = ACTIONS(2967),
    [anon_sym_static] = ACTIONS(2967),
    [anon_sym_dynamic] = ACTIONS(2967),
    [anon_sym_optional] = ACTIONS(2967),
    [anon_sym_distributed] = ACTIONS(2967),
    [anon_sym_final] = ACTIONS(2967),
    [anon_sym_inout] = ACTIONS(2967),
    [anon_sym_ATescaping] = ACTIONS(2967),
    [anon_sym_ATautoclosure] = ACTIONS(2967),
    [anon_sym_weak] = ACTIONS(2967),
    [anon_sym_unowned] = ACTIONS(2969),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2967),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2967),
    [anon_sym_borrowing] = ACTIONS(2967),
    [anon_sym_consuming] = ACTIONS(2967),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2967),
    [sym__eq_custom] = ACTIONS(2967),
    [sym__throws_keyword] = ACTIONS(2967),
    [sym__rethrows_keyword] = ACTIONS(2967),
    [sym_where_keyword] = ACTIONS(2967),
    [sym__async_keyword_custom] = ACTIONS(2967),
  },
  [1657] = {
    [sym__block] = STATE(2809),
    [sym_function_body] = STATE(2735),
    [sym_type_constraints] = STATE(2258),
    [aux_sym__function_value_parameters] = STATE(1862),
    [sym__async_keyword] = STATE(1781),
    [sym_throws] = STATE(1999),
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(4907),
    [anon_sym_async] = ACTIONS(4907),
    [anon_sym_lazy] = ACTIONS(4907),
    [anon_sym_package] = ACTIONS(4907),
    [anon_sym_LPAREN] = ACTIONS(4874),
    [anon_sym_LBRACE] = ACTIONS(4876),
    [anon_sym_RBRACE] = ACTIONS(4907),
    [anon_sym_case] = ACTIONS(4907),
    [anon_sym_import] = ACTIONS(4907),
    [anon_sym_typealias] = ACTIONS(4907),
    [anon_sym_struct] = ACTIONS(4907),
    [anon_sym_class] = ACTIONS(4907),
    [anon_sym_enum] = ACTIONS(4907),
    [anon_sym_protocol] = ACTIONS(4907),
    [anon_sym_let] = ACTIONS(4907),
    [anon_sym_var] = ACTIONS(4907),
    [anon_sym_func] = ACTIONS(4907),
    [anon_sym_extension] = ACTIONS(4907),
    [anon_sym_indirect] = ACTIONS(4907),
    [anon_sym_init] = ACTIONS(4907),
    [anon_sym_deinit] = ACTIONS(4907),
    [anon_sym_subscript] = ACTIONS(4907),
    [anon_sym_prefix] = ACTIONS(4907),
    [anon_sym_infix] = ACTIONS(4907),
    [anon_sym_postfix] = ACTIONS(4907),
    [anon_sym_precedencegroup] = ACTIONS(4907),
    [anon_sym_associatedtype] = ACTIONS(4907),
    [anon_sym_AT] = ACTIONS(4909),
    [anon_sym_override] = ACTIONS(4907),
    [anon_sym_convenience] = ACTIONS(4907),
    [anon_sym_required] = ACTIONS(4907),
    [anon_sym_nonisolated] = ACTIONS(4907),
    [anon_sym_public] = ACTIONS(4907),
    [anon_sym_private] = ACTIONS(4907),
    [anon_sym_internal] = ACTIONS(4907),
    [anon_sym_fileprivate] = ACTIONS(4907),
    [anon_sym_open] = ACTIONS(4907),
    [anon_sym_mutating] = ACTIONS(4907),
    [anon_sym_nonmutating] = ACTIONS(4907),
    [anon_sym_static] = ACTIONS(4907),
    [anon_sym_dynamic] = ACTIONS(4907),
    [anon_sym_optional] = ACTIONS(4907),
    [anon_sym_distributed] = ACTIONS(4907),
    [anon_sym_final] = ACTIONS(4907),
    [anon_sym_inout] = ACTIONS(4907),
    [anon_sym_ATescaping] = ACTIONS(4907),
    [anon_sym_ATautoclosure] = ACTIONS(4907),
    [anon_sym_weak] = ACTIONS(4907),
    [anon_sym_unowned] = ACTIONS(4909),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(4907),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(4907),
    [anon_sym_borrowing] = ACTIONS(4907),
    [anon_sym_consuming] = ACTIONS(4907),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__throws_keyword] = ACTIONS(4880),
    [sym__rethrows_keyword] = ACTIONS(4880),
    [sym_where_keyword] = ACTIONS(4882),
    [sym__async_keyword_custom] = ACTIONS(4944),
  },
  [1658] = {
    [sym__block] = STATE(2809),
    [sym_function_body] = STATE(2688),
    [sym_type_constraints] = STATE(2240),
    [aux_sym__function_value_parameters] = STATE(1862),
    [sym__async_keyword] = STATE(1814),
    [sym_throws] = STATE(2019),
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(4946),
    [anon_sym_async] = ACTIONS(4946),
    [anon_sym_lazy] = ACTIONS(4946),
    [anon_sym_package] = ACTIONS(4946),
    [anon_sym_LPAREN] = ACTIONS(4874),
    [anon_sym_LBRACE] = ACTIONS(4876),
    [anon_sym_RBRACE] = ACTIONS(4946),
    [anon_sym_case] = ACTIONS(4946),
    [anon_sym_import] = ACTIONS(4946),
    [anon_sym_typealias] = ACTIONS(4946),
    [anon_sym_struct] = ACTIONS(4946),
    [anon_sym_class] = ACTIONS(4946),
    [anon_sym_enum] = ACTIONS(4946),
    [anon_sym_protocol] = ACTIONS(4946),
    [anon_sym_let] = ACTIONS(4946),
    [anon_sym_var] = ACTIONS(4946),
    [anon_sym_func] = ACTIONS(4946),
    [anon_sym_extension] = ACTIONS(4946),
    [anon_sym_indirect] = ACTIONS(4946),
    [anon_sym_init] = ACTIONS(4946),
    [anon_sym_deinit] = ACTIONS(4946),
    [anon_sym_subscript] = ACTIONS(4946),
    [anon_sym_prefix] = ACTIONS(4946),
    [anon_sym_infix] = ACTIONS(4946),
    [anon_sym_postfix] = ACTIONS(4946),
    [anon_sym_precedencegroup] = ACTIONS(4946),
    [anon_sym_associatedtype] = ACTIONS(4946),
    [anon_sym_AT] = ACTIONS(4948),
    [anon_sym_override] = ACTIONS(4946),
    [anon_sym_convenience] = ACTIONS(4946),
    [anon_sym_required] = ACTIONS(4946),
    [anon_sym_nonisolated] = ACTIONS(4946),
    [anon_sym_public] = ACTIONS(4946),
    [anon_sym_private] = ACTIONS(4946),
    [anon_sym_internal] = ACTIONS(4946),
    [anon_sym_fileprivate] = ACTIONS(4946),
    [anon_sym_open] = ACTIONS(4946),
    [anon_sym_mutating] = ACTIONS(4946),
    [anon_sym_nonmutating] = ACTIONS(4946),
    [anon_sym_static] = ACTIONS(4946),
    [anon_sym_dynamic] = ACTIONS(4946),
    [anon_sym_optional] = ACTIONS(4946),
    [anon_sym_distributed] = ACTIONS(4946),
    [anon_sym_final] = ACTIONS(4946),
    [anon_sym_inout] = ACTIONS(4946),
    [anon_sym_ATescaping] = ACTIONS(4946),
    [anon_sym_ATautoclosure] = ACTIONS(4946),
    [anon_sym_weak] = ACTIONS(4946),
    [anon_sym_unowned] = ACTIONS(4948),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(4946),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(4946),
    [anon_sym_borrowing] = ACTIONS(4946),
    [anon_sym_consuming] = ACTIONS(4946),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__throws_keyword] = ACTIONS(4880),
    [sym__rethrows_keyword] = ACTIONS(4880),
    [sym_where_keyword] = ACTIONS(4882),
    [sym__async_keyword_custom] = ACTIONS(4950),
  },
  [1659] = {
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2928),
    [anon_sym_async] = ACTIONS(2928),
    [anon_sym_lazy] = ACTIONS(2928),
    [anon_sym_package] = ACTIONS(2928),
    [anon_sym_COMMA] = ACTIONS(2928),
    [anon_sym_BANG] = ACTIONS(2928),
    [anon_sym_DOT] = ACTIONS(2928),
    [anon_sym_QMARK2] = ACTIONS(2928),
    [anon_sym_AMP] = ACTIONS(2928),
    [anon_sym_LT] = ACTIONS(2928),
    [anon_sym_LBRACE] = ACTIONS(2928),
    [anon_sym_RBRACE] = ACTIONS(2928),
    [anon_sym_case] = ACTIONS(2928),
    [anon_sym_import] = ACTIONS(2928),
    [anon_sym_typealias] = ACTIONS(2928),
    [anon_sym_struct] = ACTIONS(2928),
    [anon_sym_class] = ACTIONS(2928),
    [anon_sym_enum] = ACTIONS(2928),
    [anon_sym_protocol] = ACTIONS(2928),
    [anon_sym_let] = ACTIONS(2928),
    [anon_sym_var] = ACTIONS(2928),
    [anon_sym_func] = ACTIONS(2928),
    [anon_sym_extension] = ACTIONS(2928),
    [anon_sym_indirect] = ACTIONS(2928),
    [anon_sym_init] = ACTIONS(2928),
    [anon_sym_deinit] = ACTIONS(2928),
    [anon_sym_subscript] = ACTIONS(2928),
    [anon_sym_prefix] = ACTIONS(2928),
    [anon_sym_infix] = ACTIONS(2928),
    [anon_sym_postfix] = ACTIONS(2928),
    [anon_sym_precedencegroup] = ACTIONS(2928),
    [anon_sym_associatedtype] = ACTIONS(2928),
    [anon_sym_AT] = ACTIONS(2930),
    [anon_sym_override] = ACTIONS(2928),
    [anon_sym_convenience] = ACTIONS(2928),
    [anon_sym_required] = ACTIONS(2928),
    [anon_sym_nonisolated] = ACTIONS(2928),
    [anon_sym_public] = ACTIONS(2928),
    [anon_sym_private] = ACTIONS(2928),
    [anon_sym_internal] = ACTIONS(2928),
    [anon_sym_fileprivate] = ACTIONS(2928),
    [anon_sym_open] = ACTIONS(2928),
    [anon_sym_mutating] = ACTIONS(2928),
    [anon_sym_nonmutating] = ACTIONS(2928),
    [anon_sym_static] = ACTIONS(2928),
    [anon_sym_dynamic] = ACTIONS(2928),
    [anon_sym_optional] = ACTIONS(2928),
    [anon_sym_distributed] = ACTIONS(2928),
    [anon_sym_final] = ACTIONS(2928),
    [anon_sym_inout] = ACTIONS(2928),
    [anon_sym_ATescaping] = ACTIONS(2928),
    [anon_sym_ATautoclosure] = ACTIONS(2928),
    [anon_sym_weak] = ACTIONS(2928),
    [anon_sym_unowned] = ACTIONS(2930),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2928),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2928),
    [anon_sym_borrowing] = ACTIONS(2928),
    [anon_sym_consuming] = ACTIONS(2928),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2928),
    [sym__dot_custom] = ACTIONS(2928),
    [sym__throws_keyword] = ACTIONS(2928),
    [sym__rethrows_keyword] = ACTIONS(2928),
    [sym__async_keyword_custom] = ACTIONS(2928),
  },
  [1660] = {
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2987),
    [anon_sym_async] = ACTIONS(2987),
    [anon_sym_lazy] = ACTIONS(2987),
    [anon_sym_package] = ACTIONS(2987),
    [anon_sym_RPAREN] = ACTIONS(2987),
    [anon_sym_COMMA] = ACTIONS(2987),
    [anon_sym_BANG] = ACTIONS(2987),
    [anon_sym_DOT] = ACTIONS(2989),
    [anon_sym_AMP] = ACTIONS(2987),
    [anon_sym_LBRACE] = ACTIONS(2987),
    [anon_sym_RBRACE] = ACTIONS(2987),
    [anon_sym_case] = ACTIONS(2987),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2987),
    [anon_sym_import] = ACTIONS(2987),
    [anon_sym_typealias] = ACTIONS(2987),
    [anon_sym_struct] = ACTIONS(2987),
    [anon_sym_class] = ACTIONS(2987),
    [anon_sym_enum] = ACTIONS(2987),
    [anon_sym_protocol] = ACTIONS(2987),
    [anon_sym_let] = ACTIONS(2987),
    [anon_sym_var] = ACTIONS(2987),
    [anon_sym_func] = ACTIONS(2987),
    [anon_sym_extension] = ACTIONS(2987),
    [anon_sym_indirect] = ACTIONS(2987),
    [anon_sym_init] = ACTIONS(2987),
    [anon_sym_deinit] = ACTIONS(2987),
    [anon_sym_subscript] = ACTIONS(2987),
    [anon_sym_prefix] = ACTIONS(2987),
    [anon_sym_infix] = ACTIONS(2987),
    [anon_sym_postfix] = ACTIONS(2987),
    [anon_sym_precedencegroup] = ACTIONS(2987),
    [anon_sym_associatedtype] = ACTIONS(2987),
    [anon_sym_AT] = ACTIONS(2989),
    [anon_sym_override] = ACTIONS(2987),
    [anon_sym_convenience] = ACTIONS(2987),
    [anon_sym_required] = ACTIONS(2987),
    [anon_sym_nonisolated] = ACTIONS(2987),
    [anon_sym_public] = ACTIONS(2987),
    [anon_sym_private] = ACTIONS(2987),
    [anon_sym_internal] = ACTIONS(2987),
    [anon_sym_fileprivate] = ACTIONS(2987),
    [anon_sym_open] = ACTIONS(2987),
    [anon_sym_mutating] = ACTIONS(2987),
    [anon_sym_nonmutating] = ACTIONS(2987),
    [anon_sym_static] = ACTIONS(2987),
    [anon_sym_dynamic] = ACTIONS(2987),
    [anon_sym_optional] = ACTIONS(2987),
    [anon_sym_distributed] = ACTIONS(2987),
    [anon_sym_final] = ACTIONS(2987),
    [anon_sym_inout] = ACTIONS(2987),
    [anon_sym_ATescaping] = ACTIONS(2987),
    [anon_sym_ATautoclosure] = ACTIONS(2987),
    [anon_sym_weak] = ACTIONS(2987),
    [anon_sym_unowned] = ACTIONS(2989),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2987),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2987),
    [anon_sym_borrowing] = ACTIONS(2987),
    [anon_sym_consuming] = ACTIONS(2987),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2987),
    [sym__eq_custom] = ACTIONS(2987),
    [sym__throws_keyword] = ACTIONS(2987),
    [sym__rethrows_keyword] = ACTIONS(2987),
    [sym__async_keyword_custom] = ACTIONS(2987),
  },
  [1661] = {
    [sym__block] = STATE(2809),
    [sym_function_body] = STATE(2686),
    [sym_type_constraints] = STATE(2243),
    [aux_sym__function_value_parameters] = STATE(1862),
    [sym__async_keyword] = STATE(1805),
    [sym_throws] = STATE(2017),
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(4946),
    [anon_sym_async] = ACTIONS(4946),
    [anon_sym_lazy] = ACTIONS(4946),
    [anon_sym_package] = ACTIONS(4946),
    [anon_sym_LPAREN] = ACTIONS(4874),
    [anon_sym_LBRACE] = ACTIONS(4876),
    [anon_sym_RBRACE] = ACTIONS(4946),
    [anon_sym_case] = ACTIONS(4946),
    [anon_sym_import] = ACTIONS(4946),
    [anon_sym_typealias] = ACTIONS(4946),
    [anon_sym_struct] = ACTIONS(4946),
    [anon_sym_class] = ACTIONS(4946),
    [anon_sym_enum] = ACTIONS(4946),
    [anon_sym_protocol] = ACTIONS(4946),
    [anon_sym_let] = ACTIONS(4946),
    [anon_sym_var] = ACTIONS(4946),
    [anon_sym_func] = ACTIONS(4946),
    [anon_sym_extension] = ACTIONS(4946),
    [anon_sym_indirect] = ACTIONS(4946),
    [anon_sym_init] = ACTIONS(4946),
    [anon_sym_deinit] = ACTIONS(4946),
    [anon_sym_subscript] = ACTIONS(4946),
    [anon_sym_prefix] = ACTIONS(4946),
    [anon_sym_infix] = ACTIONS(4946),
    [anon_sym_postfix] = ACTIONS(4946),
    [anon_sym_precedencegroup] = ACTIONS(4946),
    [anon_sym_associatedtype] = ACTIONS(4946),
    [anon_sym_AT] = ACTIONS(4948),
    [anon_sym_override] = ACTIONS(4946),
    [anon_sym_convenience] = ACTIONS(4946),
    [anon_sym_required] = ACTIONS(4946),
    [anon_sym_nonisolated] = ACTIONS(4946),
    [anon_sym_public] = ACTIONS(4946),
    [anon_sym_private] = ACTIONS(4946),
    [anon_sym_internal] = ACTIONS(4946),
    [anon_sym_fileprivate] = ACTIONS(4946),
    [anon_sym_open] = ACTIONS(4946),
    [anon_sym_mutating] = ACTIONS(4946),
    [anon_sym_nonmutating] = ACTIONS(4946),
    [anon_sym_static] = ACTIONS(4946),
    [anon_sym_dynamic] = ACTIONS(4946),
    [anon_sym_optional] = ACTIONS(4946),
    [anon_sym_distributed] = ACTIONS(4946),
    [anon_sym_final] = ACTIONS(4946),
    [anon_sym_inout] = ACTIONS(4946),
    [anon_sym_ATescaping] = ACTIONS(4946),
    [anon_sym_ATautoclosure] = ACTIONS(4946),
    [anon_sym_weak] = ACTIONS(4946),
    [anon_sym_unowned] = ACTIONS(4948),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(4946),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(4946),
    [anon_sym_borrowing] = ACTIONS(4946),
    [anon_sym_consuming] = ACTIONS(4946),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__throws_keyword] = ACTIONS(4880),
    [sym__rethrows_keyword] = ACTIONS(4880),
    [sym_where_keyword] = ACTIONS(4882),
    [sym__async_keyword_custom] = ACTIONS(4952),
  },
  [1662] = {
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2959),
    [anon_sym_async] = ACTIONS(2959),
    [anon_sym_lazy] = ACTIONS(2959),
    [anon_sym_package] = ACTIONS(2959),
    [anon_sym_RPAREN] = ACTIONS(2959),
    [anon_sym_COMMA] = ACTIONS(2959),
    [anon_sym_BANG] = ACTIONS(2959),
    [anon_sym_DOT] = ACTIONS(2961),
    [anon_sym_AMP] = ACTIONS(2959),
    [anon_sym_LBRACE] = ACTIONS(2959),
    [anon_sym_RBRACE] = ACTIONS(2959),
    [anon_sym_case] = ACTIONS(2959),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2959),
    [anon_sym_import] = ACTIONS(2959),
    [anon_sym_typealias] = ACTIONS(2959),
    [anon_sym_struct] = ACTIONS(2959),
    [anon_sym_class] = ACTIONS(2959),
    [anon_sym_enum] = ACTIONS(2959),
    [anon_sym_protocol] = ACTIONS(2959),
    [anon_sym_let] = ACTIONS(2959),
    [anon_sym_var] = ACTIONS(2959),
    [anon_sym_func] = ACTIONS(2959),
    [anon_sym_extension] = ACTIONS(2959),
    [anon_sym_indirect] = ACTIONS(2959),
    [anon_sym_init] = ACTIONS(2959),
    [anon_sym_deinit] = ACTIONS(2959),
    [anon_sym_subscript] = ACTIONS(2959),
    [anon_sym_prefix] = ACTIONS(2959),
    [anon_sym_infix] = ACTIONS(2959),
    [anon_sym_postfix] = ACTIONS(2959),
    [anon_sym_precedencegroup] = ACTIONS(2959),
    [anon_sym_associatedtype] = ACTIONS(2959),
    [anon_sym_AT] = ACTIONS(2961),
    [anon_sym_override] = ACTIONS(2959),
    [anon_sym_convenience] = ACTIONS(2959),
    [anon_sym_required] = ACTIONS(2959),
    [anon_sym_nonisolated] = ACTIONS(2959),
    [anon_sym_public] = ACTIONS(2959),
    [anon_sym_private] = ACTIONS(2959),
    [anon_sym_internal] = ACTIONS(2959),
    [anon_sym_fileprivate] = ACTIONS(2959),
    [anon_sym_open] = ACTIONS(2959),
    [anon_sym_mutating] = ACTIONS(2959),
    [anon_sym_nonmutating] = ACTIONS(2959),
    [anon_sym_static] = ACTIONS(2959),
    [anon_sym_dynamic] = ACTIONS(2959),
    [anon_sym_optional] = ACTIONS(2959),
    [anon_sym_distributed] = ACTIONS(2959),
    [anon_sym_final] = ACTIONS(2959),
    [anon_sym_inout] = ACTIONS(2959),
    [anon_sym_ATescaping] = ACTIONS(2959),
    [anon_sym_ATautoclosure] = ACTIONS(2959),
    [anon_sym_weak] = ACTIONS(2959),
    [anon_sym_unowned] = ACTIONS(2961),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2959),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2959),
    [anon_sym_borrowing] = ACTIONS(2959),
    [anon_sym_consuming] = ACTIONS(2959),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2959),
    [sym__eq_custom] = ACTIONS(2959),
    [sym__throws_keyword] = ACTIONS(2959),
    [sym__rethrows_keyword] = ACTIONS(2959),
    [sym__async_keyword_custom] = ACTIONS(2959),
  },
  [1663] = {
    [sym__arrow_operator] = STATE(3774),
    [sym__async_keyword] = STATE(6078),
    [sym_throws] = STATE(7437),
    [aux_sym_protocol_composition_type_repeat1] = STATE(1746),
    [ts_builtin_sym_end] = ACTIONS(2878),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(2878),
    [anon_sym_LPAREN] = ACTIONS(2878),
    [anon_sym_LBRACK] = ACTIONS(2878),
    [anon_sym_DOT] = ACTIONS(2880),
    [anon_sym_QMARK] = ACTIONS(2880),
    [anon_sym_QMARK2] = ACTIONS(2878),
    [anon_sym_AMP] = ACTIONS(2878),
    [aux_sym_custom_operator_token1] = ACTIONS(2878),
    [anon_sym_LT] = ACTIONS(2880),
    [anon_sym_GT] = ACTIONS(2880),
    [anon_sym_LBRACE] = ACTIONS(2878),
    [anon_sym_CARET_LBRACE] = ACTIONS(2878),
    [anon_sym_RBRACE] = ACTIONS(2878),
    [anon_sym_PLUS_EQ] = ACTIONS(2878),
    [anon_sym_DASH_EQ] = ACTIONS(2878),
    [anon_sym_STAR_EQ] = ACTIONS(2878),
    [anon_sym_SLASH_EQ] = ACTIONS(2878),
    [anon_sym_PERCENT_EQ] = ACTIONS(2878),
    [anon_sym_BANG_EQ] = ACTIONS(2880),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2878),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2878),
    [anon_sym_LT_EQ] = ACTIONS(2878),
    [anon_sym_GT_EQ] = ACTIONS(2878),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2878),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2878),
    [anon_sym_is] = ACTIONS(2878),
    [anon_sym_PLUS] = ACTIONS(2880),
    [anon_sym_DASH] = ACTIONS(2880),
    [anon_sym_STAR] = ACTIONS(2880),
    [anon_sym_SLASH] = ACTIONS(2880),
    [anon_sym_PERCENT] = ACTIONS(2880),
    [anon_sym_PLUS_PLUS] = ACTIONS(2878),
    [anon_sym_DASH_DASH] = ACTIONS(2878),
    [anon_sym_PIPE] = ACTIONS(2878),
    [anon_sym_CARET] = ACTIONS(2880),
    [anon_sym_LT_LT] = ACTIONS(2878),
    [anon_sym_GT_GT] = ACTIONS(2878),
    [anon_sym_BANG2] = ACTIONS(2880),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2878),
    [sym__explicit_semi] = ACTIONS(2878),
    [sym__arrow_operator_custom] = ACTIONS(2878),
    [sym__dot_custom] = ACTIONS(2878),
    [sym__conjunction_operator_custom] = ACTIONS(2878),
    [sym__disjunction_operator_custom] = ACTIONS(2878),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2878),
    [sym__eq_custom] = ACTIONS(2878),
    [sym__eq_eq_custom] = ACTIONS(2878),
    [sym__plus_then_ws] = ACTIONS(2878),
    [sym__minus_then_ws] = ACTIONS(2878),
    [sym__bang_custom] = ACTIONS(2878),
    [sym__throws_keyword] = ACTIONS(2878),
    [sym__rethrows_keyword] = ACTIONS(2878),
    [sym_where_keyword] = ACTIONS(2878),
    [sym__as_custom] = ACTIONS(2878),
    [sym__as_quest_custom] = ACTIONS(2878),
    [sym__as_bang_custom] = ACTIONS(2878),
    [sym__async_keyword_custom] = ACTIONS(2878),
    [sym__custom_operator] = ACTIONS(2878),
  },
  [1664] = {
    [sym__arrow_operator] = STATE(3774),
    [sym__async_keyword] = STATE(6078),
    [sym_throws] = STATE(7437),
    [aux_sym_protocol_composition_type_repeat1] = STATE(1746),
    [ts_builtin_sym_end] = ACTIONS(2874),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(2874),
    [anon_sym_LPAREN] = ACTIONS(2874),
    [anon_sym_LBRACK] = ACTIONS(2874),
    [anon_sym_DOT] = ACTIONS(4919),
    [anon_sym_QMARK] = ACTIONS(2876),
    [anon_sym_QMARK2] = ACTIONS(2874),
    [anon_sym_AMP] = ACTIONS(4921),
    [aux_sym_custom_operator_token1] = ACTIONS(2874),
    [anon_sym_LT] = ACTIONS(2876),
    [anon_sym_GT] = ACTIONS(2876),
    [anon_sym_LBRACE] = ACTIONS(2874),
    [anon_sym_CARET_LBRACE] = ACTIONS(2874),
    [anon_sym_RBRACE] = ACTIONS(2874),
    [anon_sym_PLUS_EQ] = ACTIONS(2874),
    [anon_sym_DASH_EQ] = ACTIONS(2874),
    [anon_sym_STAR_EQ] = ACTIONS(2874),
    [anon_sym_SLASH_EQ] = ACTIONS(2874),
    [anon_sym_PERCENT_EQ] = ACTIONS(2874),
    [anon_sym_BANG_EQ] = ACTIONS(2876),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2874),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2874),
    [anon_sym_LT_EQ] = ACTIONS(2874),
    [anon_sym_GT_EQ] = ACTIONS(2874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2874),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2874),
    [anon_sym_is] = ACTIONS(2874),
    [anon_sym_PLUS] = ACTIONS(2876),
    [anon_sym_DASH] = ACTIONS(2876),
    [anon_sym_STAR] = ACTIONS(2876),
    [anon_sym_SLASH] = ACTIONS(2876),
    [anon_sym_PERCENT] = ACTIONS(2876),
    [anon_sym_PLUS_PLUS] = ACTIONS(2874),
    [anon_sym_DASH_DASH] = ACTIONS(2874),
    [anon_sym_PIPE] = ACTIONS(2874),
    [anon_sym_CARET] = ACTIONS(2876),
    [anon_sym_LT_LT] = ACTIONS(2874),
    [anon_sym_GT_GT] = ACTIONS(2874),
    [anon_sym_BANG2] = ACTIONS(2876),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2874),
    [sym__explicit_semi] = ACTIONS(2874),
    [sym__arrow_operator_custom] = ACTIONS(4857),
    [sym__dot_custom] = ACTIONS(2874),
    [sym__conjunction_operator_custom] = ACTIONS(2874),
    [sym__disjunction_operator_custom] = ACTIONS(2874),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2874),
    [sym__eq_custom] = ACTIONS(2874),
    [sym__eq_eq_custom] = ACTIONS(2874),
    [sym__plus_then_ws] = ACTIONS(2874),
    [sym__minus_then_ws] = ACTIONS(2874),
    [sym__bang_custom] = ACTIONS(2874),
    [sym__throws_keyword] = ACTIONS(2848),
    [sym__rethrows_keyword] = ACTIONS(2848),
    [sym_where_keyword] = ACTIONS(2874),
    [sym__as_custom] = ACTIONS(2874),
    [sym__as_quest_custom] = ACTIONS(2874),
    [sym__as_bang_custom] = ACTIONS(2874),
    [sym__async_keyword_custom] = ACTIONS(4859),
    [sym__custom_operator] = ACTIONS(2874),
  },
  [1665] = {
    [sym__arrow_operator] = STATE(3774),
    [sym__async_keyword] = STATE(6078),
    [sym_throws] = STATE(7437),
    [aux_sym_protocol_composition_type_repeat1] = STATE(1746),
    [ts_builtin_sym_end] = ACTIONS(2866),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(2866),
    [anon_sym_LPAREN] = ACTIONS(2866),
    [anon_sym_LBRACK] = ACTIONS(2866),
    [anon_sym_DOT] = ACTIONS(4919),
    [anon_sym_QMARK] = ACTIONS(2870),
    [anon_sym_QMARK2] = ACTIONS(2866),
    [anon_sym_AMP] = ACTIONS(4921),
    [aux_sym_custom_operator_token1] = ACTIONS(2866),
    [anon_sym_LT] = ACTIONS(2870),
    [anon_sym_GT] = ACTIONS(2870),
    [anon_sym_LBRACE] = ACTIONS(2866),
    [anon_sym_CARET_LBRACE] = ACTIONS(2866),
    [anon_sym_RBRACE] = ACTIONS(2866),
    [anon_sym_PLUS_EQ] = ACTIONS(2866),
    [anon_sym_DASH_EQ] = ACTIONS(2866),
    [anon_sym_STAR_EQ] = ACTIONS(2866),
    [anon_sym_SLASH_EQ] = ACTIONS(2866),
    [anon_sym_PERCENT_EQ] = ACTIONS(2866),
    [anon_sym_BANG_EQ] = ACTIONS(2870),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2866),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2866),
    [anon_sym_LT_EQ] = ACTIONS(2866),
    [anon_sym_GT_EQ] = ACTIONS(2866),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2866),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2866),
    [anon_sym_is] = ACTIONS(2866),
    [anon_sym_PLUS] = ACTIONS(2870),
    [anon_sym_DASH] = ACTIONS(2870),
    [anon_sym_STAR] = ACTIONS(2870),
    [anon_sym_SLASH] = ACTIONS(2870),
    [anon_sym_PERCENT] = ACTIONS(2870),
    [anon_sym_PLUS_PLUS] = ACTIONS(2866),
    [anon_sym_DASH_DASH] = ACTIONS(2866),
    [anon_sym_PIPE] = ACTIONS(2866),
    [anon_sym_CARET] = ACTIONS(2870),
    [anon_sym_LT_LT] = ACTIONS(2866),
    [anon_sym_GT_GT] = ACTIONS(2866),
    [anon_sym_BANG2] = ACTIONS(2870),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2866),
    [sym__explicit_semi] = ACTIONS(2866),
    [sym__arrow_operator_custom] = ACTIONS(4857),
    [sym__dot_custom] = ACTIONS(2866),
    [sym__conjunction_operator_custom] = ACTIONS(2866),
    [sym__disjunction_operator_custom] = ACTIONS(2866),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2866),
    [sym__eq_custom] = ACTIONS(2866),
    [sym__eq_eq_custom] = ACTIONS(2866),
    [sym__plus_then_ws] = ACTIONS(2866),
    [sym__minus_then_ws] = ACTIONS(2866),
    [sym__bang_custom] = ACTIONS(2866),
    [sym__throws_keyword] = ACTIONS(2848),
    [sym__rethrows_keyword] = ACTIONS(2848),
    [sym_where_keyword] = ACTIONS(2866),
    [sym__as_custom] = ACTIONS(2866),
    [sym__as_quest_custom] = ACTIONS(2866),
    [sym__as_bang_custom] = ACTIONS(2866),
    [sym__async_keyword_custom] = ACTIONS(4859),
    [sym__custom_operator] = ACTIONS(2866),
  },
  [1666] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(3033),
    [aux_sym_simple_identifier_token2] = ACTIONS(3035),
    [aux_sym_simple_identifier_token3] = ACTIONS(3035),
    [aux_sym_simple_identifier_token4] = ACTIONS(3035),
    [anon_sym_actor] = ACTIONS(3033),
    [anon_sym_async] = ACTIONS(3033),
    [anon_sym_each] = ACTIONS(3033),
    [anon_sym_lazy] = ACTIONS(3033),
    [anon_sym_repeat] = ACTIONS(3033),
    [anon_sym_package] = ACTIONS(3033),
    [anon_sym_COMMA] = ACTIONS(3035),
    [anon_sym_COLON] = ACTIONS(3035),
    [anon_sym_LPAREN] = ACTIONS(3035),
    [anon_sym_LBRACK] = ACTIONS(3035),
    [anon_sym_QMARK] = ACTIONS(3033),
    [anon_sym_QMARK2] = ACTIONS(3035),
    [anon_sym_AMP] = ACTIONS(3035),
    [aux_sym_custom_operator_token1] = ACTIONS(3035),
    [anon_sym_LT] = ACTIONS(3033),
    [anon_sym_GT] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_CARET_LBRACE] = ACTIONS(3035),
    [anon_sym_PLUS_EQ] = ACTIONS(3035),
    [anon_sym_DASH_EQ] = ACTIONS(3035),
    [anon_sym_STAR_EQ] = ACTIONS(3035),
    [anon_sym_SLASH_EQ] = ACTIONS(3035),
    [anon_sym_PERCENT_EQ] = ACTIONS(3035),
    [anon_sym_BANG_EQ] = ACTIONS(3033),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3035),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3035),
    [anon_sym_LT_EQ] = ACTIONS(3035),
    [anon_sym_GT_EQ] = ACTIONS(3035),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3035),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3035),
    [anon_sym_is] = ACTIONS(3033),
    [anon_sym_PLUS] = ACTIONS(3033),
    [anon_sym_DASH] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3033),
    [anon_sym_SLASH] = ACTIONS(3033),
    [anon_sym_PERCENT] = ACTIONS(3033),
    [anon_sym_PLUS_PLUS] = ACTIONS(3035),
    [anon_sym_DASH_DASH] = ACTIONS(3035),
    [anon_sym_PIPE] = ACTIONS(3035),
    [anon_sym_CARET] = ACTIONS(3033),
    [anon_sym_LT_LT] = ACTIONS(3035),
    [anon_sym_GT_GT] = ACTIONS(3035),
    [anon_sym_BANG2] = ACTIONS(3033),
    [anon_sym_borrowing] = ACTIONS(3033),
    [anon_sym_consuming] = ACTIONS(3033),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3035),
    [sym__conjunction_operator_custom] = ACTIONS(3035),
    [sym__disjunction_operator_custom] = ACTIONS(3035),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3035),
    [sym__eq_custom] = ACTIONS(3035),
    [sym__eq_eq_custom] = ACTIONS(3035),
    [sym__plus_then_ws] = ACTIONS(3035),
    [sym__minus_then_ws] = ACTIONS(3035),
    [sym__bang_custom] = ACTIONS(3035),
    [sym_where_keyword] = ACTIONS(3035),
    [sym__as_custom] = ACTIONS(3035),
    [sym__as_quest_custom] = ACTIONS(3035),
    [sym__as_bang_custom] = ACTIONS(3035),
    [sym__custom_operator] = ACTIONS(3035),
  },
  [1667] = {
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2910),
    [anon_sym_async] = ACTIONS(2910),
    [anon_sym_lazy] = ACTIONS(2910),
    [anon_sym_package] = ACTIONS(2910),
    [anon_sym_COMMA] = ACTIONS(2910),
    [anon_sym_BANG] = ACTIONS(2910),
    [anon_sym_DOT] = ACTIONS(2910),
    [anon_sym_QMARK2] = ACTIONS(2910),
    [anon_sym_AMP] = ACTIONS(2910),
    [anon_sym_LBRACE] = ACTIONS(2910),
    [anon_sym_RBRACE] = ACTIONS(2910),
    [anon_sym_case] = ACTIONS(2910),
    [anon_sym_import] = ACTIONS(2910),
    [anon_sym_typealias] = ACTIONS(2910),
    [anon_sym_struct] = ACTIONS(2910),
    [anon_sym_class] = ACTIONS(2910),
    [anon_sym_enum] = ACTIONS(2910),
    [anon_sym_protocol] = ACTIONS(2910),
    [anon_sym_let] = ACTIONS(2910),
    [anon_sym_var] = ACTIONS(2910),
    [anon_sym_func] = ACTIONS(2910),
    [anon_sym_extension] = ACTIONS(2910),
    [anon_sym_indirect] = ACTIONS(2910),
    [anon_sym_init] = ACTIONS(2910),
    [anon_sym_deinit] = ACTIONS(2910),
    [anon_sym_subscript] = ACTIONS(2910),
    [anon_sym_prefix] = ACTIONS(2910),
    [anon_sym_infix] = ACTIONS(2910),
    [anon_sym_postfix] = ACTIONS(2910),
    [anon_sym_precedencegroup] = ACTIONS(2910),
    [anon_sym_associatedtype] = ACTIONS(2910),
    [anon_sym_AT] = ACTIONS(2912),
    [anon_sym_override] = ACTIONS(2910),
    [anon_sym_convenience] = ACTIONS(2910),
    [anon_sym_required] = ACTIONS(2910),
    [anon_sym_nonisolated] = ACTIONS(2910),
    [anon_sym_public] = ACTIONS(2910),
    [anon_sym_private] = ACTIONS(2910),
    [anon_sym_internal] = ACTIONS(2910),
    [anon_sym_fileprivate] = ACTIONS(2910),
    [anon_sym_open] = ACTIONS(2910),
    [anon_sym_mutating] = ACTIONS(2910),
    [anon_sym_nonmutating] = ACTIONS(2910),
    [anon_sym_static] = ACTIONS(2910),
    [anon_sym_dynamic] = ACTIONS(2910),
    [anon_sym_optional] = ACTIONS(2910),
    [anon_sym_distributed] = ACTIONS(2910),
    [anon_sym_final] = ACTIONS(2910),
    [anon_sym_inout] = ACTIONS(2910),
    [anon_sym_ATescaping] = ACTIONS(2910),
    [anon_sym_ATautoclosure] = ACTIONS(2910),
    [anon_sym_weak] = ACTIONS(2910),
    [anon_sym_unowned] = ACTIONS(2912),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2910),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2910),
    [anon_sym_borrowing] = ACTIONS(2910),
    [anon_sym_consuming] = ACTIONS(2910),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2910),
    [sym__eq_custom] = ACTIONS(2910),
    [sym__throws_keyword] = ACTIONS(2910),
    [sym__rethrows_keyword] = ACTIONS(2910),
    [sym_where_keyword] = ACTIONS(2910),
    [sym__async_keyword_custom] = ACTIONS(2910),
  },
  [1668] = {
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2991),
    [anon_sym_async] = ACTIONS(2991),
    [anon_sym_lazy] = ACTIONS(2991),
    [anon_sym_package] = ACTIONS(2991),
    [anon_sym_COMMA] = ACTIONS(2991),
    [anon_sym_BANG] = ACTIONS(2991),
    [anon_sym_DOT] = ACTIONS(2991),
    [anon_sym_QMARK2] = ACTIONS(2991),
    [anon_sym_AMP] = ACTIONS(2991),
    [anon_sym_LBRACE] = ACTIONS(2991),
    [anon_sym_RBRACE] = ACTIONS(2991),
    [anon_sym_case] = ACTIONS(2991),
    [anon_sym_import] = ACTIONS(2991),
    [anon_sym_typealias] = ACTIONS(2991),
    [anon_sym_struct] = ACTIONS(2991),
    [anon_sym_class] = ACTIONS(2991),
    [anon_sym_enum] = ACTIONS(2991),
    [anon_sym_protocol] = ACTIONS(2991),
    [anon_sym_let] = ACTIONS(2991),
    [anon_sym_var] = ACTIONS(2991),
    [anon_sym_func] = ACTIONS(2991),
    [anon_sym_extension] = ACTIONS(2991),
    [anon_sym_indirect] = ACTIONS(2991),
    [anon_sym_init] = ACTIONS(2991),
    [anon_sym_deinit] = ACTIONS(2991),
    [anon_sym_subscript] = ACTIONS(2991),
    [anon_sym_prefix] = ACTIONS(2991),
    [anon_sym_infix] = ACTIONS(2991),
    [anon_sym_postfix] = ACTIONS(2991),
    [anon_sym_precedencegroup] = ACTIONS(2991),
    [anon_sym_associatedtype] = ACTIONS(2991),
    [anon_sym_AT] = ACTIONS(2993),
    [anon_sym_override] = ACTIONS(2991),
    [anon_sym_convenience] = ACTIONS(2991),
    [anon_sym_required] = ACTIONS(2991),
    [anon_sym_nonisolated] = ACTIONS(2991),
    [anon_sym_public] = ACTIONS(2991),
    [anon_sym_private] = ACTIONS(2991),
    [anon_sym_internal] = ACTIONS(2991),
    [anon_sym_fileprivate] = ACTIONS(2991),
    [anon_sym_open] = ACTIONS(2991),
    [anon_sym_mutating] = ACTIONS(2991),
    [anon_sym_nonmutating] = ACTIONS(2991),
    [anon_sym_static] = ACTIONS(2991),
    [anon_sym_dynamic] = ACTIONS(2991),
    [anon_sym_optional] = ACTIONS(2991),
    [anon_sym_distributed] = ACTIONS(2991),
    [anon_sym_final] = ACTIONS(2991),
    [anon_sym_inout] = ACTIONS(2991),
    [anon_sym_ATescaping] = ACTIONS(2991),
    [anon_sym_ATautoclosure] = ACTIONS(2991),
    [anon_sym_weak] = ACTIONS(2991),
    [anon_sym_unowned] = ACTIONS(2993),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2991),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2991),
    [anon_sym_borrowing] = ACTIONS(2991),
    [anon_sym_consuming] = ACTIONS(2991),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2991),
    [sym__eq_custom] = ACTIONS(2991),
    [sym__throws_keyword] = ACTIONS(2991),
    [sym__rethrows_keyword] = ACTIONS(2991),
    [sym_where_keyword] = ACTIONS(2991),
    [sym__async_keyword_custom] = ACTIONS(2991),
  },
  [1669] = {
    [sym__block] = STATE(2809),
    [sym_function_body] = STATE(2808),
    [sym_type_constraints] = STATE(2189),
    [aux_sym__function_value_parameters] = STATE(1862),
    [sym__async_keyword] = STATE(1794),
    [sym_throws] = STATE(2008),
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(4954),
    [anon_sym_async] = ACTIONS(4954),
    [anon_sym_lazy] = ACTIONS(4954),
    [anon_sym_package] = ACTIONS(4954),
    [anon_sym_LPAREN] = ACTIONS(4874),
    [anon_sym_LBRACE] = ACTIONS(4876),
    [anon_sym_RBRACE] = ACTIONS(4954),
    [anon_sym_case] = ACTIONS(4954),
    [anon_sym_import] = ACTIONS(4954),
    [anon_sym_typealias] = ACTIONS(4954),
    [anon_sym_struct] = ACTIONS(4954),
    [anon_sym_class] = ACTIONS(4954),
    [anon_sym_enum] = ACTIONS(4954),
    [anon_sym_protocol] = ACTIONS(4954),
    [anon_sym_let] = ACTIONS(4954),
    [anon_sym_var] = ACTIONS(4954),
    [anon_sym_func] = ACTIONS(4954),
    [anon_sym_extension] = ACTIONS(4954),
    [anon_sym_indirect] = ACTIONS(4954),
    [anon_sym_init] = ACTIONS(4954),
    [anon_sym_deinit] = ACTIONS(4954),
    [anon_sym_subscript] = ACTIONS(4954),
    [anon_sym_prefix] = ACTIONS(4954),
    [anon_sym_infix] = ACTIONS(4954),
    [anon_sym_postfix] = ACTIONS(4954),
    [anon_sym_precedencegroup] = ACTIONS(4954),
    [anon_sym_associatedtype] = ACTIONS(4954),
    [anon_sym_AT] = ACTIONS(4956),
    [anon_sym_override] = ACTIONS(4954),
    [anon_sym_convenience] = ACTIONS(4954),
    [anon_sym_required] = ACTIONS(4954),
    [anon_sym_nonisolated] = ACTIONS(4954),
    [anon_sym_public] = ACTIONS(4954),
    [anon_sym_private] = ACTIONS(4954),
    [anon_sym_internal] = ACTIONS(4954),
    [anon_sym_fileprivate] = ACTIONS(4954),
    [anon_sym_open] = ACTIONS(4954),
    [anon_sym_mutating] = ACTIONS(4954),
    [anon_sym_nonmutating] = ACTIONS(4954),
    [anon_sym_static] = ACTIONS(4954),
    [anon_sym_dynamic] = ACTIONS(4954),
    [anon_sym_optional] = ACTIONS(4954),
    [anon_sym_distributed] = ACTIONS(4954),
    [anon_sym_final] = ACTIONS(4954),
    [anon_sym_inout] = ACTIONS(4954),
    [anon_sym_ATescaping] = ACTIONS(4954),
    [anon_sym_ATautoclosure] = ACTIONS(4954),
    [anon_sym_weak] = ACTIONS(4954),
    [anon_sym_unowned] = ACTIONS(4956),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(4954),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(4954),
    [anon_sym_borrowing] = ACTIONS(4954),
    [anon_sym_consuming] = ACTIONS(4954),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__throws_keyword] = ACTIONS(4880),
    [sym__rethrows_keyword] = ACTIONS(4880),
    [sym_where_keyword] = ACTIONS(4882),
    [sym__async_keyword_custom] = ACTIONS(4958),
  },
  [1670] = {
    [sym__arrow_operator] = STATE(3774),
    [sym__async_keyword] = STATE(6078),
    [sym_throws] = STATE(7437),
    [aux_sym_protocol_composition_type_repeat1] = STATE(1746),
    [ts_builtin_sym_end] = ACTIONS(2888),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(2888),
    [anon_sym_LPAREN] = ACTIONS(2888),
    [anon_sym_LBRACK] = ACTIONS(2888),
    [anon_sym_DOT] = ACTIONS(4919),
    [anon_sym_QMARK] = ACTIONS(2890),
    [anon_sym_QMARK2] = ACTIONS(2888),
    [anon_sym_AMP] = ACTIONS(4921),
    [aux_sym_custom_operator_token1] = ACTIONS(2888),
    [anon_sym_LT] = ACTIONS(2890),
    [anon_sym_GT] = ACTIONS(2890),
    [anon_sym_LBRACE] = ACTIONS(2888),
    [anon_sym_CARET_LBRACE] = ACTIONS(2888),
    [anon_sym_RBRACE] = ACTIONS(2888),
    [anon_sym_PLUS_EQ] = ACTIONS(2888),
    [anon_sym_DASH_EQ] = ACTIONS(2888),
    [anon_sym_STAR_EQ] = ACTIONS(2888),
    [anon_sym_SLASH_EQ] = ACTIONS(2888),
    [anon_sym_PERCENT_EQ] = ACTIONS(2888),
    [anon_sym_BANG_EQ] = ACTIONS(2890),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2888),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2888),
    [anon_sym_LT_EQ] = ACTIONS(2888),
    [anon_sym_GT_EQ] = ACTIONS(2888),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2888),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2888),
    [anon_sym_is] = ACTIONS(2888),
    [anon_sym_PLUS] = ACTIONS(2890),
    [anon_sym_DASH] = ACTIONS(2890),
    [anon_sym_STAR] = ACTIONS(2890),
    [anon_sym_SLASH] = ACTIONS(2890),
    [anon_sym_PERCENT] = ACTIONS(2890),
    [anon_sym_PLUS_PLUS] = ACTIONS(2888),
    [anon_sym_DASH_DASH] = ACTIONS(2888),
    [anon_sym_PIPE] = ACTIONS(2888),
    [anon_sym_CARET] = ACTIONS(2890),
    [anon_sym_LT_LT] = ACTIONS(2888),
    [anon_sym_GT_GT] = ACTIONS(2888),
    [anon_sym_BANG2] = ACTIONS(2890),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2888),
    [sym__explicit_semi] = ACTIONS(2888),
    [sym__arrow_operator_custom] = ACTIONS(4857),
    [sym__dot_custom] = ACTIONS(2888),
    [sym__conjunction_operator_custom] = ACTIONS(2888),
    [sym__disjunction_operator_custom] = ACTIONS(2888),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2888),
    [sym__eq_custom] = ACTIONS(2888),
    [sym__eq_eq_custom] = ACTIONS(2888),
    [sym__plus_then_ws] = ACTIONS(2888),
    [sym__minus_then_ws] = ACTIONS(2888),
    [sym__bang_custom] = ACTIONS(2888),
    [sym__throws_keyword] = ACTIONS(2848),
    [sym__rethrows_keyword] = ACTIONS(2848),
    [sym_where_keyword] = ACTIONS(2888),
    [sym__as_custom] = ACTIONS(2888),
    [sym__as_quest_custom] = ACTIONS(2888),
    [sym__as_bang_custom] = ACTIONS(2888),
    [sym__async_keyword_custom] = ACTIONS(4859),
    [sym__custom_operator] = ACTIONS(2888),
  },
  [1671] = {
    [sym__immediate_quest] = STATE(1740),
    [sym__arrow_operator] = STATE(3778),
    [sym__async_keyword] = STATE(6011),
    [sym_throws] = STATE(7460),
    [aux_sym_optional_type_repeat1] = STATE(1740),
    [ts_builtin_sym_end] = ACTIONS(2840),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(2840),
    [anon_sym_LPAREN] = ACTIONS(2840),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_DOT] = ACTIONS(2842),
    [anon_sym_QMARK] = ACTIONS(2842),
    [anon_sym_QMARK2] = ACTIONS(4960),
    [anon_sym_AMP] = ACTIONS(2840),
    [aux_sym_custom_operator_token1] = ACTIONS(2840),
    [anon_sym_LT] = ACTIONS(2842),
    [anon_sym_GT] = ACTIONS(2842),
    [anon_sym_LBRACE] = ACTIONS(2840),
    [anon_sym_CARET_LBRACE] = ACTIONS(2840),
    [anon_sym_RBRACE] = ACTIONS(2840),
    [anon_sym_PLUS_EQ] = ACTIONS(2840),
    [anon_sym_DASH_EQ] = ACTIONS(2840),
    [anon_sym_STAR_EQ] = ACTIONS(2840),
    [anon_sym_SLASH_EQ] = ACTIONS(2840),
    [anon_sym_PERCENT_EQ] = ACTIONS(2840),
    [anon_sym_BANG_EQ] = ACTIONS(2842),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2840),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2840),
    [anon_sym_LT_EQ] = ACTIONS(2840),
    [anon_sym_GT_EQ] = ACTIONS(2840),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2840),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2840),
    [anon_sym_is] = ACTIONS(2840),
    [anon_sym_PLUS] = ACTIONS(2842),
    [anon_sym_DASH] = ACTIONS(2842),
    [anon_sym_STAR] = ACTIONS(2842),
    [anon_sym_SLASH] = ACTIONS(2842),
    [anon_sym_PERCENT] = ACTIONS(2842),
    [anon_sym_PLUS_PLUS] = ACTIONS(2840),
    [anon_sym_DASH_DASH] = ACTIONS(2840),
    [anon_sym_PIPE] = ACTIONS(2840),
    [anon_sym_CARET] = ACTIONS(2842),
    [anon_sym_LT_LT] = ACTIONS(2840),
    [anon_sym_GT_GT] = ACTIONS(2840),
    [anon_sym_BANG2] = ACTIONS(2842),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2840),
    [sym__explicit_semi] = ACTIONS(2840),
    [sym__arrow_operator_custom] = ACTIONS(4962),
    [sym__dot_custom] = ACTIONS(2840),
    [sym__conjunction_operator_custom] = ACTIONS(2840),
    [sym__disjunction_operator_custom] = ACTIONS(2840),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2840),
    [sym__eq_custom] = ACTIONS(2840),
    [sym__eq_eq_custom] = ACTIONS(2840),
    [sym__plus_then_ws] = ACTIONS(2840),
    [sym__minus_then_ws] = ACTIONS(2840),
    [sym__bang_custom] = ACTIONS(2840),
    [sym__throws_keyword] = ACTIONS(2848),
    [sym__rethrows_keyword] = ACTIONS(2848),
    [sym__as_custom] = ACTIONS(2840),
    [sym__as_quest_custom] = ACTIONS(2840),
    [sym__as_bang_custom] = ACTIONS(2840),
    [sym__async_keyword_custom] = ACTIONS(4964),
    [sym__custom_operator] = ACTIONS(2840),
  },
  [1672] = {
    [sym__block] = STATE(2809),
    [sym_function_body] = STATE(2804),
    [sym_type_constraints] = STATE(2193),
    [aux_sym__function_value_parameters] = STATE(1862),
    [sym__async_keyword] = STATE(1818),
    [sym_throws] = STATE(2009),
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(4954),
    [anon_sym_async] = ACTIONS(4954),
    [anon_sym_lazy] = ACTIONS(4954),
    [anon_sym_package] = ACTIONS(4954),
    [anon_sym_LPAREN] = ACTIONS(4874),
    [anon_sym_LBRACE] = ACTIONS(4876),
    [anon_sym_RBRACE] = ACTIONS(4954),
    [anon_sym_case] = ACTIONS(4954),
    [anon_sym_import] = ACTIONS(4954),
    [anon_sym_typealias] = ACTIONS(4954),
    [anon_sym_struct] = ACTIONS(4954),
    [anon_sym_class] = ACTIONS(4954),
    [anon_sym_enum] = ACTIONS(4954),
    [anon_sym_protocol] = ACTIONS(4954),
    [anon_sym_let] = ACTIONS(4954),
    [anon_sym_var] = ACTIONS(4954),
    [anon_sym_func] = ACTIONS(4954),
    [anon_sym_extension] = ACTIONS(4954),
    [anon_sym_indirect] = ACTIONS(4954),
    [anon_sym_init] = ACTIONS(4954),
    [anon_sym_deinit] = ACTIONS(4954),
    [anon_sym_subscript] = ACTIONS(4954),
    [anon_sym_prefix] = ACTIONS(4954),
    [anon_sym_infix] = ACTIONS(4954),
    [anon_sym_postfix] = ACTIONS(4954),
    [anon_sym_precedencegroup] = ACTIONS(4954),
    [anon_sym_associatedtype] = ACTIONS(4954),
    [anon_sym_AT] = ACTIONS(4956),
    [anon_sym_override] = ACTIONS(4954),
    [anon_sym_convenience] = ACTIONS(4954),
    [anon_sym_required] = ACTIONS(4954),
    [anon_sym_nonisolated] = ACTIONS(4954),
    [anon_sym_public] = ACTIONS(4954),
    [anon_sym_private] = ACTIONS(4954),
    [anon_sym_internal] = ACTIONS(4954),
    [anon_sym_fileprivate] = ACTIONS(4954),
    [anon_sym_open] = ACTIONS(4954),
    [anon_sym_mutating] = ACTIONS(4954),
    [anon_sym_nonmutating] = ACTIONS(4954),
    [anon_sym_static] = ACTIONS(4954),
    [anon_sym_dynamic] = ACTIONS(4954),
    [anon_sym_optional] = ACTIONS(4954),
    [anon_sym_distributed] = ACTIONS(4954),
    [anon_sym_final] = ACTIONS(4954),
    [anon_sym_inout] = ACTIONS(4954),
    [anon_sym_ATescaping] = ACTIONS(4954),
    [anon_sym_ATautoclosure] = ACTIONS(4954),
    [anon_sym_weak] = ACTIONS(4954),
    [anon_sym_unowned] = ACTIONS(4956),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(4954),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(4954),
    [anon_sym_borrowing] = ACTIONS(4954),
    [anon_sym_consuming] = ACTIONS(4954),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__throws_keyword] = ACTIONS(4880),
    [sym__rethrows_keyword] = ACTIONS(4880),
    [sym_where_keyword] = ACTIONS(4882),
    [sym__async_keyword_custom] = ACTIONS(4966),
  },
  [1673] = {
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2951),
    [anon_sym_async] = ACTIONS(2951),
    [anon_sym_lazy] = ACTIONS(2951),
    [anon_sym_package] = ACTIONS(2951),
    [anon_sym_RPAREN] = ACTIONS(2951),
    [anon_sym_COMMA] = ACTIONS(2951),
    [anon_sym_BANG] = ACTIONS(2951),
    [anon_sym_DOT] = ACTIONS(2953),
    [anon_sym_AMP] = ACTIONS(2951),
    [anon_sym_LBRACE] = ACTIONS(2951),
    [anon_sym_RBRACE] = ACTIONS(2951),
    [anon_sym_case] = ACTIONS(2951),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2951),
    [anon_sym_import] = ACTIONS(2951),
    [anon_sym_typealias] = ACTIONS(2951),
    [anon_sym_struct] = ACTIONS(2951),
    [anon_sym_class] = ACTIONS(2951),
    [anon_sym_enum] = ACTIONS(2951),
    [anon_sym_protocol] = ACTIONS(2951),
    [anon_sym_let] = ACTIONS(2951),
    [anon_sym_var] = ACTIONS(2951),
    [anon_sym_func] = ACTIONS(2951),
    [anon_sym_extension] = ACTIONS(2951),
    [anon_sym_indirect] = ACTIONS(2951),
    [anon_sym_init] = ACTIONS(2951),
    [anon_sym_deinit] = ACTIONS(2951),
    [anon_sym_subscript] = ACTIONS(2951),
    [anon_sym_prefix] = ACTIONS(2951),
    [anon_sym_infix] = ACTIONS(2951),
    [anon_sym_postfix] = ACTIONS(2951),
    [anon_sym_precedencegroup] = ACTIONS(2951),
    [anon_sym_associatedtype] = ACTIONS(2951),
    [anon_sym_AT] = ACTIONS(2953),
    [anon_sym_override] = ACTIONS(2951),
    [anon_sym_convenience] = ACTIONS(2951),
    [anon_sym_required] = ACTIONS(2951),
    [anon_sym_nonisolated] = ACTIONS(2951),
    [anon_sym_public] = ACTIONS(2951),
    [anon_sym_private] = ACTIONS(2951),
    [anon_sym_internal] = ACTIONS(2951),
    [anon_sym_fileprivate] = ACTIONS(2951),
    [anon_sym_open] = ACTIONS(2951),
    [anon_sym_mutating] = ACTIONS(2951),
    [anon_sym_nonmutating] = ACTIONS(2951),
    [anon_sym_static] = ACTIONS(2951),
    [anon_sym_dynamic] = ACTIONS(2951),
    [anon_sym_optional] = ACTIONS(2951),
    [anon_sym_distributed] = ACTIONS(2951),
    [anon_sym_final] = ACTIONS(2951),
    [anon_sym_inout] = ACTIONS(2951),
    [anon_sym_ATescaping] = ACTIONS(2951),
    [anon_sym_ATautoclosure] = ACTIONS(2951),
    [anon_sym_weak] = ACTIONS(2951),
    [anon_sym_unowned] = ACTIONS(2953),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2951),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2951),
    [anon_sym_borrowing] = ACTIONS(2951),
    [anon_sym_consuming] = ACTIONS(2951),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2951),
    [sym__eq_custom] = ACTIONS(2951),
    [sym__throws_keyword] = ACTIONS(2951),
    [sym__rethrows_keyword] = ACTIONS(2951),
    [sym__async_keyword_custom] = ACTIONS(2951),
  },
  [1674] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(3018),
    [aux_sym_simple_identifier_token2] = ACTIONS(3020),
    [aux_sym_simple_identifier_token3] = ACTIONS(3020),
    [aux_sym_simple_identifier_token4] = ACTIONS(3020),
    [anon_sym_actor] = ACTIONS(3018),
    [anon_sym_async] = ACTIONS(3018),
    [anon_sym_each] = ACTIONS(3018),
    [anon_sym_lazy] = ACTIONS(3018),
    [anon_sym_repeat] = ACTIONS(3018),
    [anon_sym_package] = ACTIONS(3018),
    [anon_sym_COMMA] = ACTIONS(3024),
    [anon_sym_COLON] = ACTIONS(3024),
    [anon_sym_LPAREN] = ACTIONS(3024),
    [anon_sym_LBRACK] = ACTIONS(3024),
    [anon_sym_QMARK] = ACTIONS(3022),
    [anon_sym_QMARK2] = ACTIONS(3024),
    [anon_sym_AMP] = ACTIONS(3024),
    [aux_sym_custom_operator_token1] = ACTIONS(3024),
    [anon_sym_LT] = ACTIONS(3022),
    [anon_sym_GT] = ACTIONS(3022),
    [anon_sym_LBRACE] = ACTIONS(3024),
    [anon_sym_CARET_LBRACE] = ACTIONS(3024),
    [anon_sym_PLUS_EQ] = ACTIONS(3024),
    [anon_sym_DASH_EQ] = ACTIONS(3024),
    [anon_sym_STAR_EQ] = ACTIONS(3024),
    [anon_sym_SLASH_EQ] = ACTIONS(3024),
    [anon_sym_PERCENT_EQ] = ACTIONS(3024),
    [anon_sym_BANG_EQ] = ACTIONS(3022),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3024),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3024),
    [anon_sym_LT_EQ] = ACTIONS(3024),
    [anon_sym_GT_EQ] = ACTIONS(3024),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3024),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3024),
    [anon_sym_is] = ACTIONS(3022),
    [anon_sym_PLUS] = ACTIONS(3022),
    [anon_sym_DASH] = ACTIONS(3022),
    [anon_sym_STAR] = ACTIONS(3022),
    [anon_sym_SLASH] = ACTIONS(3022),
    [anon_sym_PERCENT] = ACTIONS(3022),
    [anon_sym_PLUS_PLUS] = ACTIONS(3024),
    [anon_sym_DASH_DASH] = ACTIONS(3024),
    [anon_sym_PIPE] = ACTIONS(3024),
    [anon_sym_CARET] = ACTIONS(3022),
    [anon_sym_LT_LT] = ACTIONS(3024),
    [anon_sym_GT_GT] = ACTIONS(3024),
    [anon_sym_BANG2] = ACTIONS(3022),
    [anon_sym_borrowing] = ACTIONS(3018),
    [anon_sym_consuming] = ACTIONS(3018),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3024),
    [sym__conjunction_operator_custom] = ACTIONS(3024),
    [sym__disjunction_operator_custom] = ACTIONS(3024),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3024),
    [sym__eq_custom] = ACTIONS(3024),
    [sym__eq_eq_custom] = ACTIONS(3024),
    [sym__plus_then_ws] = ACTIONS(3024),
    [sym__minus_then_ws] = ACTIONS(3024),
    [sym__bang_custom] = ACTIONS(3024),
    [sym_where_keyword] = ACTIONS(3024),
    [sym__as_custom] = ACTIONS(3024),
    [sym__as_quest_custom] = ACTIONS(3024),
    [sym__as_bang_custom] = ACTIONS(3024),
    [sym__custom_operator] = ACTIONS(3024),
  },
  [1675] = {
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2979),
    [anon_sym_async] = ACTIONS(2979),
    [anon_sym_lazy] = ACTIONS(2979),
    [anon_sym_package] = ACTIONS(2979),
    [anon_sym_RPAREN] = ACTIONS(2979),
    [anon_sym_COMMA] = ACTIONS(2979),
    [anon_sym_BANG] = ACTIONS(2979),
    [anon_sym_DOT] = ACTIONS(2981),
    [anon_sym_AMP] = ACTIONS(2979),
    [anon_sym_LBRACE] = ACTIONS(2979),
    [anon_sym_RBRACE] = ACTIONS(2979),
    [anon_sym_case] = ACTIONS(2979),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2979),
    [anon_sym_import] = ACTIONS(2979),
    [anon_sym_typealias] = ACTIONS(2979),
    [anon_sym_struct] = ACTIONS(2979),
    [anon_sym_class] = ACTIONS(2979),
    [anon_sym_enum] = ACTIONS(2979),
    [anon_sym_protocol] = ACTIONS(2979),
    [anon_sym_let] = ACTIONS(2979),
    [anon_sym_var] = ACTIONS(2979),
    [anon_sym_func] = ACTIONS(2979),
    [anon_sym_extension] = ACTIONS(2979),
    [anon_sym_indirect] = ACTIONS(2979),
    [anon_sym_init] = ACTIONS(2979),
    [anon_sym_deinit] = ACTIONS(2979),
    [anon_sym_subscript] = ACTIONS(2979),
    [anon_sym_prefix] = ACTIONS(2979),
    [anon_sym_infix] = ACTIONS(2979),
    [anon_sym_postfix] = ACTIONS(2979),
    [anon_sym_precedencegroup] = ACTIONS(2979),
    [anon_sym_associatedtype] = ACTIONS(2979),
    [anon_sym_AT] = ACTIONS(2981),
    [anon_sym_override] = ACTIONS(2979),
    [anon_sym_convenience] = ACTIONS(2979),
    [anon_sym_required] = ACTIONS(2979),
    [anon_sym_nonisolated] = ACTIONS(2979),
    [anon_sym_public] = ACTIONS(2979),
    [anon_sym_private] = ACTIONS(2979),
    [anon_sym_internal] = ACTIONS(2979),
    [anon_sym_fileprivate] = ACTIONS(2979),
    [anon_sym_open] = ACTIONS(2979),
    [anon_sym_mutating] = ACTIONS(2979),
    [anon_sym_nonmutating] = ACTIONS(2979),
    [anon_sym_static] = ACTIONS(2979),
    [anon_sym_dynamic] = ACTIONS(2979),
    [anon_sym_optional] = ACTIONS(2979),
    [anon_sym_distributed] = ACTIONS(2979),
    [anon_sym_final] = ACTIONS(2979),
    [anon_sym_inout] = ACTIONS(2979),
    [anon_sym_ATescaping] = ACTIONS(2979),
    [anon_sym_ATautoclosure] = ACTIONS(2979),
    [anon_sym_weak] = ACTIONS(2979),
    [anon_sym_unowned] = ACTIONS(2981),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2979),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2979),
    [anon_sym_borrowing] = ACTIONS(2979),
    [anon_sym_consuming] = ACTIONS(2979),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2979),
    [sym__eq_custom] = ACTIONS(2979),
    [sym__throws_keyword] = ACTIONS(2979),
    [sym__rethrows_keyword] = ACTIONS(2979),
    [sym__async_keyword_custom] = ACTIONS(2979),
  },
  [1676] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(3006),
    [aux_sym_simple_identifier_token2] = ACTIONS(3008),
    [aux_sym_simple_identifier_token3] = ACTIONS(3008),
    [aux_sym_simple_identifier_token4] = ACTIONS(3008),
    [anon_sym_actor] = ACTIONS(3006),
    [anon_sym_async] = ACTIONS(3006),
    [anon_sym_each] = ACTIONS(3006),
    [anon_sym_lazy] = ACTIONS(3006),
    [anon_sym_repeat] = ACTIONS(3006),
    [anon_sym_package] = ACTIONS(3006),
    [anon_sym_COMMA] = ACTIONS(3008),
    [anon_sym_COLON] = ACTIONS(3008),
    [anon_sym_LPAREN] = ACTIONS(3008),
    [anon_sym_LBRACK] = ACTIONS(3008),
    [anon_sym_QMARK] = ACTIONS(3006),
    [anon_sym_QMARK2] = ACTIONS(3008),
    [anon_sym_AMP] = ACTIONS(3008),
    [aux_sym_custom_operator_token1] = ACTIONS(3008),
    [anon_sym_LT] = ACTIONS(3006),
    [anon_sym_GT] = ACTIONS(3006),
    [anon_sym_LBRACE] = ACTIONS(3008),
    [anon_sym_CARET_LBRACE] = ACTIONS(3008),
    [anon_sym_PLUS_EQ] = ACTIONS(3008),
    [anon_sym_DASH_EQ] = ACTIONS(3008),
    [anon_sym_STAR_EQ] = ACTIONS(3008),
    [anon_sym_SLASH_EQ] = ACTIONS(3008),
    [anon_sym_PERCENT_EQ] = ACTIONS(3008),
    [anon_sym_BANG_EQ] = ACTIONS(3006),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3008),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3008),
    [anon_sym_LT_EQ] = ACTIONS(3008),
    [anon_sym_GT_EQ] = ACTIONS(3008),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3008),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3008),
    [anon_sym_is] = ACTIONS(3006),
    [anon_sym_PLUS] = ACTIONS(3006),
    [anon_sym_DASH] = ACTIONS(3006),
    [anon_sym_STAR] = ACTIONS(3006),
    [anon_sym_SLASH] = ACTIONS(3006),
    [anon_sym_PERCENT] = ACTIONS(3006),
    [anon_sym_PLUS_PLUS] = ACTIONS(3008),
    [anon_sym_DASH_DASH] = ACTIONS(3008),
    [anon_sym_PIPE] = ACTIONS(3008),
    [anon_sym_CARET] = ACTIONS(3006),
    [anon_sym_LT_LT] = ACTIONS(3008),
    [anon_sym_GT_GT] = ACTIONS(3008),
    [anon_sym_BANG2] = ACTIONS(3006),
    [anon_sym_borrowing] = ACTIONS(3006),
    [anon_sym_consuming] = ACTIONS(3006),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3008),
    [sym__conjunction_operator_custom] = ACTIONS(3008),
    [sym__disjunction_operator_custom] = ACTIONS(3008),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3008),
    [sym__eq_custom] = ACTIONS(3008),
    [sym__eq_eq_custom] = ACTIONS(3008),
    [sym__plus_then_ws] = ACTIONS(3008),
    [sym__minus_then_ws] = ACTIONS(3008),
    [sym__bang_custom] = ACTIONS(3008),
    [sym_where_keyword] = ACTIONS(3008),
    [sym__as_custom] = ACTIONS(3008),
    [sym__as_quest_custom] = ACTIONS(3008),
    [sym__as_bang_custom] = ACTIONS(3008),
    [sym__custom_operator] = ACTIONS(3008),
  },
  [1677] = {
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2955),
    [anon_sym_async] = ACTIONS(2955),
    [anon_sym_lazy] = ACTIONS(2955),
    [anon_sym_package] = ACTIONS(2955),
    [anon_sym_COMMA] = ACTIONS(2955),
    [anon_sym_BANG] = ACTIONS(2955),
    [anon_sym_DOT] = ACTIONS(2955),
    [anon_sym_QMARK2] = ACTIONS(2955),
    [anon_sym_AMP] = ACTIONS(2955),
    [anon_sym_LBRACE] = ACTIONS(2955),
    [anon_sym_RBRACE] = ACTIONS(2955),
    [anon_sym_case] = ACTIONS(2955),
    [anon_sym_import] = ACTIONS(2955),
    [anon_sym_typealias] = ACTIONS(2955),
    [anon_sym_struct] = ACTIONS(2955),
    [anon_sym_class] = ACTIONS(2955),
    [anon_sym_enum] = ACTIONS(2955),
    [anon_sym_protocol] = ACTIONS(2955),
    [anon_sym_let] = ACTIONS(2955),
    [anon_sym_var] = ACTIONS(2955),
    [anon_sym_func] = ACTIONS(2955),
    [anon_sym_extension] = ACTIONS(2955),
    [anon_sym_indirect] = ACTIONS(2955),
    [anon_sym_init] = ACTIONS(2955),
    [anon_sym_deinit] = ACTIONS(2955),
    [anon_sym_subscript] = ACTIONS(2955),
    [anon_sym_prefix] = ACTIONS(2955),
    [anon_sym_infix] = ACTIONS(2955),
    [anon_sym_postfix] = ACTIONS(2955),
    [anon_sym_precedencegroup] = ACTIONS(2955),
    [anon_sym_associatedtype] = ACTIONS(2955),
    [anon_sym_AT] = ACTIONS(2957),
    [anon_sym_override] = ACTIONS(2955),
    [anon_sym_convenience] = ACTIONS(2955),
    [anon_sym_required] = ACTIONS(2955),
    [anon_sym_nonisolated] = ACTIONS(2955),
    [anon_sym_public] = ACTIONS(2955),
    [anon_sym_private] = ACTIONS(2955),
    [anon_sym_internal] = ACTIONS(2955),
    [anon_sym_fileprivate] = ACTIONS(2955),
    [anon_sym_open] = ACTIONS(2955),
    [anon_sym_mutating] = ACTIONS(2955),
    [anon_sym_nonmutating] = ACTIONS(2955),
    [anon_sym_static] = ACTIONS(2955),
    [anon_sym_dynamic] = ACTIONS(2955),
    [anon_sym_optional] = ACTIONS(2955),
    [anon_sym_distributed] = ACTIONS(2955),
    [anon_sym_final] = ACTIONS(2955),
    [anon_sym_inout] = ACTIONS(2955),
    [anon_sym_ATescaping] = ACTIONS(2955),
    [anon_sym_ATautoclosure] = ACTIONS(2955),
    [anon_sym_weak] = ACTIONS(2955),
    [anon_sym_unowned] = ACTIONS(2957),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2955),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2955),
    [anon_sym_borrowing] = ACTIONS(2955),
    [anon_sym_consuming] = ACTIONS(2955),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2955),
    [sym__eq_custom] = ACTIONS(2955),
    [sym__throws_keyword] = ACTIONS(2955),
    [sym__rethrows_keyword] = ACTIONS(2955),
    [sym_where_keyword] = ACTIONS(2955),
    [sym__async_keyword_custom] = ACTIONS(2955),
  },
  [1678] = {
    [sym__arrow_operator] = STATE(3778),
    [sym__async_keyword] = STATE(6011),
    [sym_throws] = STATE(7460),
    [aux_sym_protocol_composition_type_repeat1] = STATE(1831),
    [ts_builtin_sym_end] = ACTIONS(2874),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(2874),
    [anon_sym_LPAREN] = ACTIONS(2874),
    [anon_sym_LBRACK] = ACTIONS(2874),
    [anon_sym_DOT] = ACTIONS(4968),
    [anon_sym_QMARK] = ACTIONS(2876),
    [anon_sym_QMARK2] = ACTIONS(2874),
    [anon_sym_AMP] = ACTIONS(4970),
    [aux_sym_custom_operator_token1] = ACTIONS(2874),
    [anon_sym_LT] = ACTIONS(2876),
    [anon_sym_GT] = ACTIONS(2876),
    [anon_sym_LBRACE] = ACTIONS(2874),
    [anon_sym_CARET_LBRACE] = ACTIONS(2874),
    [anon_sym_RBRACE] = ACTIONS(2874),
    [anon_sym_PLUS_EQ] = ACTIONS(2874),
    [anon_sym_DASH_EQ] = ACTIONS(2874),
    [anon_sym_STAR_EQ] = ACTIONS(2874),
    [anon_sym_SLASH_EQ] = ACTIONS(2874),
    [anon_sym_PERCENT_EQ] = ACTIONS(2874),
    [anon_sym_BANG_EQ] = ACTIONS(2876),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2874),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2874),
    [anon_sym_LT_EQ] = ACTIONS(2874),
    [anon_sym_GT_EQ] = ACTIONS(2874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2874),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2874),
    [anon_sym_is] = ACTIONS(2874),
    [anon_sym_PLUS] = ACTIONS(2876),
    [anon_sym_DASH] = ACTIONS(2876),
    [anon_sym_STAR] = ACTIONS(2876),
    [anon_sym_SLASH] = ACTIONS(2876),
    [anon_sym_PERCENT] = ACTIONS(2876),
    [anon_sym_PLUS_PLUS] = ACTIONS(2874),
    [anon_sym_DASH_DASH] = ACTIONS(2874),
    [anon_sym_PIPE] = ACTIONS(2874),
    [anon_sym_CARET] = ACTIONS(2876),
    [anon_sym_LT_LT] = ACTIONS(2874),
    [anon_sym_GT_GT] = ACTIONS(2874),
    [anon_sym_BANG2] = ACTIONS(2876),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2874),
    [sym__explicit_semi] = ACTIONS(2874),
    [sym__arrow_operator_custom] = ACTIONS(4962),
    [sym__dot_custom] = ACTIONS(2874),
    [sym__conjunction_operator_custom] = ACTIONS(2874),
    [sym__disjunction_operator_custom] = ACTIONS(2874),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2874),
    [sym__eq_custom] = ACTIONS(2874),
    [sym__eq_eq_custom] = ACTIONS(2874),
    [sym__plus_then_ws] = ACTIONS(2874),
    [sym__minus_then_ws] = ACTIONS(2874),
    [sym__bang_custom] = ACTIONS(2874),
    [sym__throws_keyword] = ACTIONS(2848),
    [sym__rethrows_keyword] = ACTIONS(2848),
    [sym__as_custom] = ACTIONS(2874),
    [sym__as_quest_custom] = ACTIONS(2874),
    [sym__as_bang_custom] = ACTIONS(2874),
    [sym__async_keyword_custom] = ACTIONS(4964),
    [sym__custom_operator] = ACTIONS(2874),
  },
  [1679] = {
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2924),
    [anon_sym_async] = ACTIONS(2924),
    [anon_sym_lazy] = ACTIONS(2924),
    [anon_sym_package] = ACTIONS(2924),
    [anon_sym_COMMA] = ACTIONS(2924),
    [anon_sym_BANG] = ACTIONS(2924),
    [anon_sym_DOT] = ACTIONS(2924),
    [anon_sym_QMARK2] = ACTIONS(2924),
    [anon_sym_AMP] = ACTIONS(2924),
    [anon_sym_LBRACE] = ACTIONS(2924),
    [anon_sym_RBRACE] = ACTIONS(2924),
    [anon_sym_case] = ACTIONS(2924),
    [anon_sym_import] = ACTIONS(2924),
    [anon_sym_typealias] = ACTIONS(2924),
    [anon_sym_struct] = ACTIONS(2924),
    [anon_sym_class] = ACTIONS(2924),
    [anon_sym_enum] = ACTIONS(2924),
    [anon_sym_protocol] = ACTIONS(2924),
    [anon_sym_let] = ACTIONS(2924),
    [anon_sym_var] = ACTIONS(2924),
    [anon_sym_func] = ACTIONS(2924),
    [anon_sym_extension] = ACTIONS(2924),
    [anon_sym_indirect] = ACTIONS(2924),
    [anon_sym_init] = ACTIONS(2924),
    [anon_sym_deinit] = ACTIONS(2924),
    [anon_sym_subscript] = ACTIONS(2924),
    [anon_sym_prefix] = ACTIONS(2924),
    [anon_sym_infix] = ACTIONS(2924),
    [anon_sym_postfix] = ACTIONS(2924),
    [anon_sym_precedencegroup] = ACTIONS(2924),
    [anon_sym_associatedtype] = ACTIONS(2924),
    [anon_sym_AT] = ACTIONS(2926),
    [anon_sym_override] = ACTIONS(2924),
    [anon_sym_convenience] = ACTIONS(2924),
    [anon_sym_required] = ACTIONS(2924),
    [anon_sym_nonisolated] = ACTIONS(2924),
    [anon_sym_public] = ACTIONS(2924),
    [anon_sym_private] = ACTIONS(2924),
    [anon_sym_internal] = ACTIONS(2924),
    [anon_sym_fileprivate] = ACTIONS(2924),
    [anon_sym_open] = ACTIONS(2924),
    [anon_sym_mutating] = ACTIONS(2924),
    [anon_sym_nonmutating] = ACTIONS(2924),
    [anon_sym_static] = ACTIONS(2924),
    [anon_sym_dynamic] = ACTIONS(2924),
    [anon_sym_optional] = ACTIONS(2924),
    [anon_sym_distributed] = ACTIONS(2924),
    [anon_sym_final] = ACTIONS(2924),
    [anon_sym_inout] = ACTIONS(2924),
    [anon_sym_ATescaping] = ACTIONS(2924),
    [anon_sym_ATautoclosure] = ACTIONS(2924),
    [anon_sym_weak] = ACTIONS(2924),
    [anon_sym_unowned] = ACTIONS(2926),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2924),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2924),
    [anon_sym_borrowing] = ACTIONS(2924),
    [anon_sym_consuming] = ACTIONS(2924),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2924),
    [sym__dot_custom] = ACTIONS(2924),
    [sym__throws_keyword] = ACTIONS(2924),
    [sym__rethrows_keyword] = ACTIONS(2924),
    [sym__async_keyword_custom] = ACTIONS(2924),
  },
  [1680] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(3018),
    [aux_sym_simple_identifier_token2] = ACTIONS(3020),
    [aux_sym_simple_identifier_token3] = ACTIONS(3020),
    [aux_sym_simple_identifier_token4] = ACTIONS(3020),
    [anon_sym_actor] = ACTIONS(3018),
    [anon_sym_async] = ACTIONS(3018),
    [anon_sym_each] = ACTIONS(3018),
    [anon_sym_lazy] = ACTIONS(3018),
    [anon_sym_repeat] = ACTIONS(3018),
    [anon_sym_package] = ACTIONS(3018),
    [anon_sym_COMMA] = ACTIONS(3024),
    [anon_sym_LPAREN] = ACTIONS(3024),
    [anon_sym_LBRACK] = ACTIONS(3024),
    [anon_sym_QMARK] = ACTIONS(3022),
    [anon_sym_QMARK2] = ACTIONS(3024),
    [anon_sym_AMP] = ACTIONS(3024),
    [aux_sym_custom_operator_token1] = ACTIONS(3024),
    [anon_sym_LT] = ACTIONS(3022),
    [anon_sym_GT] = ACTIONS(3022),
    [anon_sym_LBRACE] = ACTIONS(3024),
    [anon_sym_CARET_LBRACE] = ACTIONS(3024),
    [anon_sym_PLUS_EQ] = ACTIONS(3024),
    [anon_sym_DASH_EQ] = ACTIONS(3024),
    [anon_sym_STAR_EQ] = ACTIONS(3024),
    [anon_sym_SLASH_EQ] = ACTIONS(3024),
    [anon_sym_PERCENT_EQ] = ACTIONS(3024),
    [anon_sym_BANG_EQ] = ACTIONS(3022),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3024),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3024),
    [anon_sym_LT_EQ] = ACTIONS(3024),
    [anon_sym_GT_EQ] = ACTIONS(3024),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3024),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3024),
    [anon_sym_is] = ACTIONS(3022),
    [anon_sym_PLUS] = ACTIONS(3022),
    [anon_sym_DASH] = ACTIONS(3022),
    [anon_sym_STAR] = ACTIONS(3022),
    [anon_sym_SLASH] = ACTIONS(3022),
    [anon_sym_PERCENT] = ACTIONS(3022),
    [anon_sym_PLUS_PLUS] = ACTIONS(3024),
    [anon_sym_DASH_DASH] = ACTIONS(3024),
    [anon_sym_PIPE] = ACTIONS(3024),
    [anon_sym_CARET] = ACTIONS(3022),
    [anon_sym_LT_LT] = ACTIONS(3024),
    [anon_sym_GT_GT] = ACTIONS(3024),
    [anon_sym_BANG2] = ACTIONS(3022),
    [anon_sym_borrowing] = ACTIONS(3018),
    [anon_sym_consuming] = ACTIONS(3018),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3024),
    [sym__conjunction_operator_custom] = ACTIONS(3024),
    [sym__disjunction_operator_custom] = ACTIONS(3024),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3024),
    [sym__eq_custom] = ACTIONS(3024),
    [sym__eq_eq_custom] = ACTIONS(3024),
    [sym__plus_then_ws] = ACTIONS(3024),
    [sym__minus_then_ws] = ACTIONS(3024),
    [sym__bang_custom] = ACTIONS(3024),
    [sym_else] = ACTIONS(3024),
    [sym__as_custom] = ACTIONS(3024),
    [sym__as_quest_custom] = ACTIONS(3024),
    [sym__as_bang_custom] = ACTIONS(3024),
    [sym__custom_operator] = ACTIONS(3024),
  },
  [1681] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(3029),
    [aux_sym_simple_identifier_token2] = ACTIONS(3031),
    [aux_sym_simple_identifier_token3] = ACTIONS(3031),
    [aux_sym_simple_identifier_token4] = ACTIONS(3031),
    [anon_sym_actor] = ACTIONS(3029),
    [anon_sym_async] = ACTIONS(3029),
    [anon_sym_each] = ACTIONS(3029),
    [anon_sym_lazy] = ACTIONS(3029),
    [anon_sym_repeat] = ACTIONS(3029),
    [anon_sym_package] = ACTIONS(3029),
    [anon_sym_COMMA] = ACTIONS(3031),
    [anon_sym_LPAREN] = ACTIONS(3031),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_QMARK] = ACTIONS(3029),
    [anon_sym_QMARK2] = ACTIONS(3031),
    [anon_sym_AMP] = ACTIONS(3031),
    [aux_sym_custom_operator_token1] = ACTIONS(3031),
    [anon_sym_LT] = ACTIONS(3029),
    [anon_sym_GT] = ACTIONS(3029),
    [anon_sym_LBRACE] = ACTIONS(3031),
    [anon_sym_CARET_LBRACE] = ACTIONS(3031),
    [anon_sym_PLUS_EQ] = ACTIONS(3031),
    [anon_sym_DASH_EQ] = ACTIONS(3031),
    [anon_sym_STAR_EQ] = ACTIONS(3031),
    [anon_sym_SLASH_EQ] = ACTIONS(3031),
    [anon_sym_PERCENT_EQ] = ACTIONS(3031),
    [anon_sym_BANG_EQ] = ACTIONS(3029),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3031),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3031),
    [anon_sym_LT_EQ] = ACTIONS(3031),
    [anon_sym_GT_EQ] = ACTIONS(3031),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3031),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3031),
    [anon_sym_is] = ACTIONS(3029),
    [anon_sym_PLUS] = ACTIONS(3029),
    [anon_sym_DASH] = ACTIONS(3029),
    [anon_sym_STAR] = ACTIONS(3029),
    [anon_sym_SLASH] = ACTIONS(3029),
    [anon_sym_PERCENT] = ACTIONS(3029),
    [anon_sym_PLUS_PLUS] = ACTIONS(3031),
    [anon_sym_DASH_DASH] = ACTIONS(3031),
    [anon_sym_PIPE] = ACTIONS(3031),
    [anon_sym_CARET] = ACTIONS(3029),
    [anon_sym_LT_LT] = ACTIONS(3031),
    [anon_sym_GT_GT] = ACTIONS(3031),
    [anon_sym_BANG2] = ACTIONS(3029),
    [anon_sym_borrowing] = ACTIONS(3029),
    [anon_sym_consuming] = ACTIONS(3029),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3031),
    [sym__conjunction_operator_custom] = ACTIONS(3031),
    [sym__disjunction_operator_custom] = ACTIONS(3031),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3031),
    [sym__eq_custom] = ACTIONS(3031),
    [sym__eq_eq_custom] = ACTIONS(3031),
    [sym__plus_then_ws] = ACTIONS(3031),
    [sym__minus_then_ws] = ACTIONS(3031),
    [sym__bang_custom] = ACTIONS(3031),
    [sym_else] = ACTIONS(3031),
    [sym__as_custom] = ACTIONS(3031),
    [sym__as_quest_custom] = ACTIONS(3031),
    [sym__as_bang_custom] = ACTIONS(3031),
    [sym__custom_operator] = ACTIONS(3031),
  },
  [1682] = {
    [sym__arrow_operator] = STATE(3778),
    [sym__async_keyword] = STATE(6011),
    [sym_throws] = STATE(7460),
    [aux_sym_protocol_composition_type_repeat1] = STATE(1831),
    [ts_builtin_sym_end] = ACTIONS(2866),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(2866),
    [anon_sym_LPAREN] = ACTIONS(2866),
    [anon_sym_LBRACK] = ACTIONS(2866),
    [anon_sym_DOT] = ACTIONS(4968),
    [anon_sym_QMARK] = ACTIONS(2870),
    [anon_sym_QMARK2] = ACTIONS(2866),
    [anon_sym_AMP] = ACTIONS(4970),
    [aux_sym_custom_operator_token1] = ACTIONS(2866),
    [anon_sym_LT] = ACTIONS(2870),
    [anon_sym_GT] = ACTIONS(2870),
    [anon_sym_LBRACE] = ACTIONS(2866),
    [anon_sym_CARET_LBRACE] = ACTIONS(2866),
    [anon_sym_RBRACE] = ACTIONS(2866),
    [anon_sym_PLUS_EQ] = ACTIONS(2866),
    [anon_sym_DASH_EQ] = ACTIONS(2866),
    [anon_sym_STAR_EQ] = ACTIONS(2866),
    [anon_sym_SLASH_EQ] = ACTIONS(2866),
    [anon_sym_PERCENT_EQ] = ACTIONS(2866),
    [anon_sym_BANG_EQ] = ACTIONS(2870),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2866),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2866),
    [anon_sym_LT_EQ] = ACTIONS(2866),
    [anon_sym_GT_EQ] = ACTIONS(2866),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2866),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2866),
    [anon_sym_is] = ACTIONS(2866),
    [anon_sym_PLUS] = ACTIONS(2870),
    [anon_sym_DASH] = ACTIONS(2870),
    [anon_sym_STAR] = ACTIONS(2870),
    [anon_sym_SLASH] = ACTIONS(2870),
    [anon_sym_PERCENT] = ACTIONS(2870),
    [anon_sym_PLUS_PLUS] = ACTIONS(2866),
    [anon_sym_DASH_DASH] = ACTIONS(2866),
    [anon_sym_PIPE] = ACTIONS(2866),
    [anon_sym_CARET] = ACTIONS(2870),
    [anon_sym_LT_LT] = ACTIONS(2866),
    [anon_sym_GT_GT] = ACTIONS(2866),
    [anon_sym_BANG2] = ACTIONS(2870),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2866),
    [sym__explicit_semi] = ACTIONS(2866),
    [sym__arrow_operator_custom] = ACTIONS(4962),
    [sym__dot_custom] = ACTIONS(2866),
    [sym__conjunction_operator_custom] = ACTIONS(2866),
    [sym__disjunction_operator_custom] = ACTIONS(2866),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2866),
    [sym__eq_custom] = ACTIONS(2866),
    [sym__eq_eq_custom] = ACTIONS(2866),
    [sym__plus_then_ws] = ACTIONS(2866),
    [sym__minus_then_ws] = ACTIONS(2866),
    [sym__bang_custom] = ACTIONS(2866),
    [sym__throws_keyword] = ACTIONS(2848),
    [sym__rethrows_keyword] = ACTIONS(2848),
    [sym__as_custom] = ACTIONS(2866),
    [sym__as_quest_custom] = ACTIONS(2866),
    [sym__as_bang_custom] = ACTIONS(2866),
    [sym__async_keyword_custom] = ACTIONS(4964),
    [sym__custom_operator] = ACTIONS(2866),
  },
  [1683] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(3006),
    [aux_sym_simple_identifier_token2] = ACTIONS(3008),
    [aux_sym_simple_identifier_token3] = ACTIONS(3008),
    [aux_sym_simple_identifier_token4] = ACTIONS(3008),
    [anon_sym_actor] = ACTIONS(3006),
    [anon_sym_async] = ACTIONS(3006),
    [anon_sym_each] = ACTIONS(3006),
    [anon_sym_lazy] = ACTIONS(3006),
    [anon_sym_repeat] = ACTIONS(3006),
    [anon_sym_package] = ACTIONS(3006),
    [anon_sym_COMMA] = ACTIONS(3008),
    [anon_sym_LPAREN] = ACTIONS(3008),
    [anon_sym_LBRACK] = ACTIONS(3008),
    [anon_sym_QMARK] = ACTIONS(3006),
    [anon_sym_QMARK2] = ACTIONS(3008),
    [anon_sym_AMP] = ACTIONS(3008),
    [aux_sym_custom_operator_token1] = ACTIONS(3008),
    [anon_sym_LT] = ACTIONS(3006),
    [anon_sym_GT] = ACTIONS(3006),
    [anon_sym_LBRACE] = ACTIONS(3008),
    [anon_sym_CARET_LBRACE] = ACTIONS(3008),
    [anon_sym_PLUS_EQ] = ACTIONS(3008),
    [anon_sym_DASH_EQ] = ACTIONS(3008),
    [anon_sym_STAR_EQ] = ACTIONS(3008),
    [anon_sym_SLASH_EQ] = ACTIONS(3008),
    [anon_sym_PERCENT_EQ] = ACTIONS(3008),
    [anon_sym_BANG_EQ] = ACTIONS(3006),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3008),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3008),
    [anon_sym_LT_EQ] = ACTIONS(3008),
    [anon_sym_GT_EQ] = ACTIONS(3008),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3008),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3008),
    [anon_sym_is] = ACTIONS(3006),
    [anon_sym_PLUS] = ACTIONS(3006),
    [anon_sym_DASH] = ACTIONS(3006),
    [anon_sym_STAR] = ACTIONS(3006),
    [anon_sym_SLASH] = ACTIONS(3006),
    [anon_sym_PERCENT] = ACTIONS(3006),
    [anon_sym_PLUS_PLUS] = ACTIONS(3008),
    [anon_sym_DASH_DASH] = ACTIONS(3008),
    [anon_sym_PIPE] = ACTIONS(3008),
    [anon_sym_CARET] = ACTIONS(3006),
    [anon_sym_LT_LT] = ACTIONS(3008),
    [anon_sym_GT_GT] = ACTIONS(3008),
    [anon_sym_BANG2] = ACTIONS(3006),
    [anon_sym_borrowing] = ACTIONS(3006),
    [anon_sym_consuming] = ACTIONS(3006),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3008),
    [sym__conjunction_operator_custom] = ACTIONS(3008),
    [sym__disjunction_operator_custom] = ACTIONS(3008),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3008),
    [sym__eq_custom] = ACTIONS(3008),
    [sym__eq_eq_custom] = ACTIONS(3008),
    [sym__plus_then_ws] = ACTIONS(3008),
    [sym__minus_then_ws] = ACTIONS(3008),
    [sym__bang_custom] = ACTIONS(3008),
    [sym_else] = ACTIONS(3008),
    [sym__as_custom] = ACTIONS(3008),
    [sym__as_quest_custom] = ACTIONS(3008),
    [sym__as_bang_custom] = ACTIONS(3008),
    [sym__custom_operator] = ACTIONS(3008),
  },
  [1684] = {
    [aux_sym_protocol_composition_type_repeat1] = STATE(1689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(3014),
    [anon_sym_async] = ACTIONS(3014),
    [anon_sym_lazy] = ACTIONS(3014),
    [anon_sym_package] = ACTIONS(3014),
    [anon_sym_COMMA] = ACTIONS(3014),
    [anon_sym_BANG] = ACTIONS(3014),
    [anon_sym_DOT] = ACTIONS(3014),
    [anon_sym_AMP] = ACTIONS(3014),
    [anon_sym_LBRACE] = ACTIONS(3014),
    [anon_sym_RBRACE] = ACTIONS(3014),
    [anon_sym_case] = ACTIONS(3014),
    [anon_sym_import] = ACTIONS(3014),
    [anon_sym_typealias] = ACTIONS(3014),
    [anon_sym_struct] = ACTIONS(3014),
    [anon_sym_class] = ACTIONS(3014),
    [anon_sym_enum] = ACTIONS(3014),
    [anon_sym_protocol] = ACTIONS(3014),
    [anon_sym_let] = ACTIONS(3014),
    [anon_sym_var] = ACTIONS(3014),
    [anon_sym_func] = ACTIONS(3014),
    [anon_sym_extension] = ACTIONS(3014),
    [anon_sym_indirect] = ACTIONS(3014),
    [anon_sym_init] = ACTIONS(3014),
    [anon_sym_deinit] = ACTIONS(3014),
    [anon_sym_subscript] = ACTIONS(3014),
    [anon_sym_prefix] = ACTIONS(3014),
    [anon_sym_infix] = ACTIONS(3014),
    [anon_sym_postfix] = ACTIONS(3014),
    [anon_sym_precedencegroup] = ACTIONS(3014),
    [anon_sym_associatedtype] = ACTIONS(3014),
    [anon_sym_AT] = ACTIONS(3016),
    [anon_sym_override] = ACTIONS(3014),
    [anon_sym_convenience] = ACTIONS(3014),
    [anon_sym_required] = ACTIONS(3014),
    [anon_sym_nonisolated] = ACTIONS(3014),
    [anon_sym_public] = ACTIONS(3014),
    [anon_sym_private] = ACTIONS(3014),
    [anon_sym_internal] = ACTIONS(3014),
    [anon_sym_fileprivate] = ACTIONS(3014),
    [anon_sym_open] = ACTIONS(3014),
    [anon_sym_mutating] = ACTIONS(3014),
    [anon_sym_nonmutating] = ACTIONS(3014),
    [anon_sym_static] = ACTIONS(3014),
    [anon_sym_dynamic] = ACTIONS(3014),
    [anon_sym_optional] = ACTIONS(3014),
    [anon_sym_distributed] = ACTIONS(3014),
    [anon_sym_final] = ACTIONS(3014),
    [anon_sym_inout] = ACTIONS(3014),
    [anon_sym_ATescaping] = ACTIONS(3014),
    [anon_sym_ATautoclosure] = ACTIONS(3014),
    [anon_sym_weak] = ACTIONS(3014),
    [anon_sym_unowned] = ACTIONS(3016),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3014),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3014),
    [anon_sym_borrowing] = ACTIONS(3014),
    [anon_sym_consuming] = ACTIONS(3014),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(3014),
    [sym__eq_custom] = ACTIONS(3014),
    [sym__throws_keyword] = ACTIONS(3014),
    [sym__rethrows_keyword] = ACTIONS(3014),
    [sym__async_keyword_custom] = ACTIONS(3014),
  },
  [1685] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(3018),
    [aux_sym_simple_identifier_token2] = ACTIONS(3020),
    [aux_sym_simple_identifier_token3] = ACTIONS(3020),
    [aux_sym_simple_identifier_token4] = ACTIONS(3020),
    [anon_sym_actor] = ACTIONS(3018),
    [anon_sym_async] = ACTIONS(3018),
    [anon_sym_each] = ACTIONS(3018),
    [anon_sym_lazy] = ACTIONS(3018),
    [anon_sym_repeat] = ACTIONS(3018),
    [anon_sym_package] = ACTIONS(3018),
    [anon_sym_COMMA] = ACTIONS(3020),
    [anon_sym_LPAREN] = ACTIONS(3020),
    [anon_sym_LBRACK] = ACTIONS(3020),
    [anon_sym_QMARK] = ACTIONS(3018),
    [anon_sym_QMARK2] = ACTIONS(3020),
    [anon_sym_AMP] = ACTIONS(3020),
    [aux_sym_custom_operator_token1] = ACTIONS(3020),
    [anon_sym_LT] = ACTIONS(3018),
    [anon_sym_GT] = ACTIONS(3018),
    [anon_sym_LBRACE] = ACTIONS(3020),
    [anon_sym_CARET_LBRACE] = ACTIONS(3020),
    [anon_sym_PLUS_EQ] = ACTIONS(3020),
    [anon_sym_DASH_EQ] = ACTIONS(3020),
    [anon_sym_STAR_EQ] = ACTIONS(3020),
    [anon_sym_SLASH_EQ] = ACTIONS(3020),
    [anon_sym_PERCENT_EQ] = ACTIONS(3020),
    [anon_sym_BANG_EQ] = ACTIONS(3018),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3020),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3020),
    [anon_sym_LT_EQ] = ACTIONS(3020),
    [anon_sym_GT_EQ] = ACTIONS(3020),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3020),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3020),
    [anon_sym_is] = ACTIONS(3018),
    [anon_sym_PLUS] = ACTIONS(3018),
    [anon_sym_DASH] = ACTIONS(3018),
    [anon_sym_STAR] = ACTIONS(3018),
    [anon_sym_SLASH] = ACTIONS(3018),
    [anon_sym_PERCENT] = ACTIONS(3018),
    [anon_sym_PLUS_PLUS] = ACTIONS(3020),
    [anon_sym_DASH_DASH] = ACTIONS(3020),
    [anon_sym_PIPE] = ACTIONS(3020),
    [anon_sym_CARET] = ACTIONS(3018),
    [anon_sym_LT_LT] = ACTIONS(3020),
    [anon_sym_GT_GT] = ACTIONS(3020),
    [anon_sym_BANG2] = ACTIONS(3018),
    [anon_sym_borrowing] = ACTIONS(3018),
    [anon_sym_consuming] = ACTIONS(3018),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3020),
    [sym__conjunction_operator_custom] = ACTIONS(3020),
    [sym__disjunction_operator_custom] = ACTIONS(3020),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3020),
    [sym__eq_custom] = ACTIONS(3020),
    [sym__eq_eq_custom] = ACTIONS(3020),
    [sym__plus_then_ws] = ACTIONS(3020),
    [sym__minus_then_ws] = ACTIONS(3020),
    [sym__bang_custom] = ACTIONS(3020),
    [sym_else] = ACTIONS(3020),
    [sym__as_custom] = ACTIONS(3020),
    [sym__as_quest_custom] = ACTIONS(3020),
    [sym__as_bang_custom] = ACTIONS(3020),
    [sym__custom_operator] = ACTIONS(3020),
  },
  [1686] = {
    [sym__arrow_operator] = STATE(3778),
    [sym__async_keyword] = STATE(6011),
    [sym_throws] = STATE(7460),
    [aux_sym_protocol_composition_type_repeat1] = STATE(1831),
    [ts_builtin_sym_end] = ACTIONS(2892),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(2892),
    [anon_sym_LPAREN] = ACTIONS(2892),
    [anon_sym_LBRACK] = ACTIONS(2892),
    [anon_sym_DOT] = ACTIONS(4968),
    [anon_sym_QMARK] = ACTIONS(2894),
    [anon_sym_QMARK2] = ACTIONS(2892),
    [anon_sym_AMP] = ACTIONS(4970),
    [aux_sym_custom_operator_token1] = ACTIONS(2892),
    [anon_sym_LT] = ACTIONS(2894),
    [anon_sym_GT] = ACTIONS(2894),
    [anon_sym_LBRACE] = ACTIONS(2892),
    [anon_sym_CARET_LBRACE] = ACTIONS(2892),
    [anon_sym_RBRACE] = ACTIONS(2892),
    [anon_sym_PLUS_EQ] = ACTIONS(2892),
    [anon_sym_DASH_EQ] = ACTIONS(2892),
    [anon_sym_STAR_EQ] = ACTIONS(2892),
    [anon_sym_SLASH_EQ] = ACTIONS(2892),
    [anon_sym_PERCENT_EQ] = ACTIONS(2892),
    [anon_sym_BANG_EQ] = ACTIONS(2894),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2892),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2892),
    [anon_sym_LT_EQ] = ACTIONS(2892),
    [anon_sym_GT_EQ] = ACTIONS(2892),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2892),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2892),
    [anon_sym_is] = ACTIONS(2892),
    [anon_sym_PLUS] = ACTIONS(2894),
    [anon_sym_DASH] = ACTIONS(2894),
    [anon_sym_STAR] = ACTIONS(2894),
    [anon_sym_SLASH] = ACTIONS(2894),
    [anon_sym_PERCENT] = ACTIONS(2894),
    [anon_sym_PLUS_PLUS] = ACTIONS(2892),
    [anon_sym_DASH_DASH] = ACTIONS(2892),
    [anon_sym_PIPE] = ACTIONS(2892),
    [anon_sym_CARET] = ACTIONS(2894),
    [anon_sym_LT_LT] = ACTIONS(2892),
    [anon_sym_GT_GT] = ACTIONS(2892),
    [anon_sym_BANG2] = ACTIONS(2894),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2892),
    [sym__explicit_semi] = ACTIONS(2892),
    [sym__arrow_operator_custom] = ACTIONS(4962),
    [sym__dot_custom] = ACTIONS(2892),
    [sym__conjunction_operator_custom] = ACTIONS(2892),
    [sym__disjunction_operator_custom] = ACTIONS(2892),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2892),
    [sym__eq_custom] = ACTIONS(2892),
    [sym__eq_eq_custom] = ACTIONS(2892),
    [sym__plus_then_ws] = ACTIONS(2892),
    [sym__minus_then_ws] = ACTIONS(2892),
    [sym__bang_custom] = ACTIONS(2892),
    [sym__throws_keyword] = ACTIONS(2848),
    [sym__rethrows_keyword] = ACTIONS(2848),
    [sym__as_custom] = ACTIONS(2892),
    [sym__as_quest_custom] = ACTIONS(2892),
    [sym__as_bang_custom] = ACTIONS(2892),
    [sym__async_keyword_custom] = ACTIONS(4964),
    [sym__custom_operator] = ACTIONS(2892),
  },
  [1687] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(3033),
    [aux_sym_simple_identifier_token2] = ACTIONS(3035),
    [aux_sym_simple_identifier_token3] = ACTIONS(3035),
    [aux_sym_simple_identifier_token4] = ACTIONS(3035),
    [anon_sym_actor] = ACTIONS(3033),
    [anon_sym_async] = ACTIONS(3033),
    [anon_sym_each] = ACTIONS(3033),
    [anon_sym_lazy] = ACTIONS(3033),
    [anon_sym_repeat] = ACTIONS(3033),
    [anon_sym_package] = ACTIONS(3033),
    [anon_sym_COMMA] = ACTIONS(3035),
    [anon_sym_LPAREN] = ACTIONS(3035),
    [anon_sym_LBRACK] = ACTIONS(3035),
    [anon_sym_QMARK] = ACTIONS(3033),
    [anon_sym_QMARK2] = ACTIONS(3035),
    [anon_sym_AMP] = ACTIONS(3035),
    [aux_sym_custom_operator_token1] = ACTIONS(3035),
    [anon_sym_LT] = ACTIONS(3033),
    [anon_sym_GT] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_CARET_LBRACE] = ACTIONS(3035),
    [anon_sym_PLUS_EQ] = ACTIONS(3035),
    [anon_sym_DASH_EQ] = ACTIONS(3035),
    [anon_sym_STAR_EQ] = ACTIONS(3035),
    [anon_sym_SLASH_EQ] = ACTIONS(3035),
    [anon_sym_PERCENT_EQ] = ACTIONS(3035),
    [anon_sym_BANG_EQ] = ACTIONS(3033),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3035),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3035),
    [anon_sym_LT_EQ] = ACTIONS(3035),
    [anon_sym_GT_EQ] = ACTIONS(3035),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3035),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3035),
    [anon_sym_is] = ACTIONS(3033),
    [anon_sym_PLUS] = ACTIONS(3033),
    [anon_sym_DASH] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3033),
    [anon_sym_SLASH] = ACTIONS(3033),
    [anon_sym_PERCENT] = ACTIONS(3033),
    [anon_sym_PLUS_PLUS] = ACTIONS(3035),
    [anon_sym_DASH_DASH] = ACTIONS(3035),
    [anon_sym_PIPE] = ACTIONS(3035),
    [anon_sym_CARET] = ACTIONS(3033),
    [anon_sym_LT_LT] = ACTIONS(3035),
    [anon_sym_GT_GT] = ACTIONS(3035),
    [anon_sym_BANG2] = ACTIONS(3033),
    [anon_sym_borrowing] = ACTIONS(3033),
    [anon_sym_consuming] = ACTIONS(3033),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3035),
    [sym__conjunction_operator_custom] = ACTIONS(3035),
    [sym__disjunction_operator_custom] = ACTIONS(3035),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3035),
    [sym__eq_custom] = ACTIONS(3035),
    [sym__eq_eq_custom] = ACTIONS(3035),
    [sym__plus_then_ws] = ACTIONS(3035),
    [sym__minus_then_ws] = ACTIONS(3035),
    [sym__bang_custom] = ACTIONS(3035),
    [sym_else] = ACTIONS(3035),
    [sym__as_custom] = ACTIONS(3035),
    [sym__as_quest_custom] = ACTIONS(3035),
    [sym__as_bang_custom] = ACTIONS(3035),
    [sym__custom_operator] = ACTIONS(3035),
  },
  [1688] = {
    [sym__arrow_operator] = STATE(3778),
    [sym__async_keyword] = STATE(6011),
    [sym_throws] = STATE(7460),
    [aux_sym_protocol_composition_type_repeat1] = STATE(1831),
    [ts_builtin_sym_end] = ACTIONS(2878),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(2878),
    [anon_sym_LPAREN] = ACTIONS(2878),
    [anon_sym_LBRACK] = ACTIONS(2878),
    [anon_sym_DOT] = ACTIONS(2880),
    [anon_sym_QMARK] = ACTIONS(2880),
    [anon_sym_QMARK2] = ACTIONS(2878),
    [anon_sym_AMP] = ACTIONS(2878),
    [aux_sym_custom_operator_token1] = ACTIONS(2878),
    [anon_sym_LT] = ACTIONS(2880),
    [anon_sym_GT] = ACTIONS(2880),
    [anon_sym_LBRACE] = ACTIONS(2878),
    [anon_sym_CARET_LBRACE] = ACTIONS(2878),
    [anon_sym_RBRACE] = ACTIONS(2878),
    [anon_sym_PLUS_EQ] = ACTIONS(2878),
    [anon_sym_DASH_EQ] = ACTIONS(2878),
    [anon_sym_STAR_EQ] = ACTIONS(2878),
    [anon_sym_SLASH_EQ] = ACTIONS(2878),
    [anon_sym_PERCENT_EQ] = ACTIONS(2878),
    [anon_sym_BANG_EQ] = ACTIONS(2880),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2878),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2878),
    [anon_sym_LT_EQ] = ACTIONS(2878),
    [anon_sym_GT_EQ] = ACTIONS(2878),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2878),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2878),
    [anon_sym_is] = ACTIONS(2878),
    [anon_sym_PLUS] = ACTIONS(2880),
    [anon_sym_DASH] = ACTIONS(2880),
    [anon_sym_STAR] = ACTIONS(2880),
    [anon_sym_SLASH] = ACTIONS(2880),
    [anon_sym_PERCENT] = ACTIONS(2880),
    [anon_sym_PLUS_PLUS] = ACTIONS(2878),
    [anon_sym_DASH_DASH] = ACTIONS(2878),
    [anon_sym_PIPE] = ACTIONS(2878),
    [anon_sym_CARET] = ACTIONS(2880),
    [anon_sym_LT_LT] = ACTIONS(2878),
    [anon_sym_GT_GT] = ACTIONS(2878),
    [anon_sym_BANG2] = ACTIONS(2880),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2878),
    [sym__explicit_semi] = ACTIONS(2878),
    [sym__arrow_operator_custom] = ACTIONS(2878),
    [sym__dot_custom] = ACTIONS(2878),
    [sym__conjunction_operator_custom] = ACTIONS(2878),
    [sym__disjunction_operator_custom] = ACTIONS(2878),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2878),
    [sym__eq_custom] = ACTIONS(2878),
    [sym__eq_eq_custom] = ACTIONS(2878),
    [sym__plus_then_ws] = ACTIONS(2878),
    [sym__minus_then_ws] = ACTIONS(2878),
    [sym__bang_custom] = ACTIONS(2878),
    [sym__throws_keyword] = ACTIONS(2878),
    [sym__rethrows_keyword] = ACTIONS(2878),
    [sym__as_custom] = ACTIONS(2878),
    [sym__as_quest_custom] = ACTIONS(2878),
    [sym__as_bang_custom] = ACTIONS(2878),
    [sym__async_keyword_custom] = ACTIONS(2878),
    [sym__custom_operator] = ACTIONS(2878),
  },
  [1689] = {
    [aux_sym_protocol_composition_type_repeat1] = STATE(1689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2892),
    [anon_sym_async] = ACTIONS(2892),
    [anon_sym_lazy] = ACTIONS(2892),
    [anon_sym_package] = ACTIONS(2892),
    [anon_sym_COMMA] = ACTIONS(2892),
    [anon_sym_BANG] = ACTIONS(2892),
    [anon_sym_DOT] = ACTIONS(2892),
    [anon_sym_AMP] = ACTIONS(4972),
    [anon_sym_LBRACE] = ACTIONS(2892),
    [anon_sym_RBRACE] = ACTIONS(2892),
    [anon_sym_case] = ACTIONS(2892),
    [anon_sym_import] = ACTIONS(2892),
    [anon_sym_typealias] = ACTIONS(2892),
    [anon_sym_struct] = ACTIONS(2892),
    [anon_sym_class] = ACTIONS(2892),
    [anon_sym_enum] = ACTIONS(2892),
    [anon_sym_protocol] = ACTIONS(2892),
    [anon_sym_let] = ACTIONS(2892),
    [anon_sym_var] = ACTIONS(2892),
    [anon_sym_func] = ACTIONS(2892),
    [anon_sym_extension] = ACTIONS(2892),
    [anon_sym_indirect] = ACTIONS(2892),
    [anon_sym_init] = ACTIONS(2892),
    [anon_sym_deinit] = ACTIONS(2892),
    [anon_sym_subscript] = ACTIONS(2892),
    [anon_sym_prefix] = ACTIONS(2892),
    [anon_sym_infix] = ACTIONS(2892),
    [anon_sym_postfix] = ACTIONS(2892),
    [anon_sym_precedencegroup] = ACTIONS(2892),
    [anon_sym_associatedtype] = ACTIONS(2892),
    [anon_sym_AT] = ACTIONS(2894),
    [anon_sym_override] = ACTIONS(2892),
    [anon_sym_convenience] = ACTIONS(2892),
    [anon_sym_required] = ACTIONS(2892),
    [anon_sym_nonisolated] = ACTIONS(2892),
    [anon_sym_public] = ACTIONS(2892),
    [anon_sym_private] = ACTIONS(2892),
    [anon_sym_internal] = ACTIONS(2892),
    [anon_sym_fileprivate] = ACTIONS(2892),
    [anon_sym_open] = ACTIONS(2892),
    [anon_sym_mutating] = ACTIONS(2892),
    [anon_sym_nonmutating] = ACTIONS(2892),
    [anon_sym_static] = ACTIONS(2892),
    [anon_sym_dynamic] = ACTIONS(2892),
    [anon_sym_optional] = ACTIONS(2892),
    [anon_sym_distributed] = ACTIONS(2892),
    [anon_sym_final] = ACTIONS(2892),
    [anon_sym_inout] = ACTIONS(2892),
    [anon_sym_ATescaping] = ACTIONS(2892),
    [anon_sym_ATautoclosure] = ACTIONS(2892),
    [anon_sym_weak] = ACTIONS(2892),
    [anon_sym_unowned] = ACTIONS(2894),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2892),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2892),
    [anon_sym_borrowing] = ACTIONS(2892),
    [anon_sym_consuming] = ACTIONS(2892),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2892),
    [sym__eq_custom] = ACTIONS(2892),
    [sym__throws_keyword] = ACTIONS(2892),
    [sym__rethrows_keyword] = ACTIONS(2892),
    [sym__async_keyword_custom] = ACTIONS(2892),
  },
  [1690] = {
    [sym__arrow_operator] = STATE(3778),
    [sym__async_keyword] = STATE(6011),
    [sym_throws] = STATE(7460),
    [aux_sym_protocol_composition_type_repeat1] = STATE(1831),
    [ts_builtin_sym_end] = ACTIONS(2888),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(2888),
    [anon_sym_LPAREN] = ACTIONS(2888),
    [anon_sym_LBRACK] = ACTIONS(2888),
    [anon_sym_DOT] = ACTIONS(4968),
    [anon_sym_QMARK] = ACTIONS(2890),
    [anon_sym_QMARK2] = ACTIONS(2888),
    [anon_sym_AMP] = ACTIONS(4970),
    [aux_sym_custom_operator_token1] = ACTIONS(2888),
    [anon_sym_LT] = ACTIONS(2890),
    [anon_sym_GT] = ACTIONS(2890),
    [anon_sym_LBRACE] = ACTIONS(2888),
    [anon_sym_CARET_LBRACE] = ACTIONS(2888),
    [anon_sym_RBRACE] = ACTIONS(2888),
    [anon_sym_PLUS_EQ] = ACTIONS(2888),
    [anon_sym_DASH_EQ] = ACTIONS(2888),
    [anon_sym_STAR_EQ] = ACTIONS(2888),
    [anon_sym_SLASH_EQ] = ACTIONS(2888),
    [anon_sym_PERCENT_EQ] = ACTIONS(2888),
    [anon_sym_BANG_EQ] = ACTIONS(2890),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2888),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2888),
    [anon_sym_LT_EQ] = ACTIONS(2888),
    [anon_sym_GT_EQ] = ACTIONS(2888),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2888),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2888),
    [anon_sym_is] = ACTIONS(2888),
    [anon_sym_PLUS] = ACTIONS(2890),
    [anon_sym_DASH] = ACTIONS(2890),
    [anon_sym_STAR] = ACTIONS(2890),
    [anon_sym_SLASH] = ACTIONS(2890),
    [anon_sym_PERCENT] = ACTIONS(2890),
    [anon_sym_PLUS_PLUS] = ACTIONS(2888),
    [anon_sym_DASH_DASH] = ACTIONS(2888),
    [anon_sym_PIPE] = ACTIONS(2888),
    [anon_sym_CARET] = ACTIONS(2890),
    [anon_sym_LT_LT] = ACTIONS(2888),
    [anon_sym_GT_GT] = ACTIONS(2888),
    [anon_sym_BANG2] = ACTIONS(2890),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2888),
    [sym__explicit_semi] = ACTIONS(2888),
    [sym__arrow_operator_custom] = ACTIONS(4962),
    [sym__dot_custom] = ACTIONS(2888),
    [sym__conjunction_operator_custom] = ACTIONS(2888),
    [sym__disjunction_operator_custom] = ACTIONS(2888),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2888),
    [sym__eq_custom] = ACTIONS(2888),
    [sym__eq_eq_custom] = ACTIONS(2888),
    [sym__plus_then_ws] = ACTIONS(2888),
    [sym__minus_then_ws] = ACTIONS(2888),
    [sym__bang_custom] = ACTIONS(2888),
    [sym__throws_keyword] = ACTIONS(2848),
    [sym__rethrows_keyword] = ACTIONS(2848),
    [sym__as_custom] = ACTIONS(2888),
    [sym__as_quest_custom] = ACTIONS(2888),
    [sym__as_bang_custom] = ACTIONS(2888),
    [sym__async_keyword_custom] = ACTIONS(4964),
    [sym__custom_operator] = ACTIONS(2888),
  },
  [1691] = {
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2959),
    [anon_sym_async] = ACTIONS(2959),
    [anon_sym_lazy] = ACTIONS(2959),
    [anon_sym_package] = ACTIONS(2959),
    [anon_sym_COMMA] = ACTIONS(2959),
    [anon_sym_BANG] = ACTIONS(2959),
    [anon_sym_DOT] = ACTIONS(2959),
    [anon_sym_AMP] = ACTIONS(2959),
    [anon_sym_LBRACE] = ACTIONS(2959),
    [anon_sym_RBRACE] = ACTIONS(2959),
    [anon_sym_case] = ACTIONS(2959),
    [anon_sym_import] = ACTIONS(2959),
    [anon_sym_typealias] = ACTIONS(2959),
    [anon_sym_struct] = ACTIONS(2959),
    [anon_sym_class] = ACTIONS(2959),
    [anon_sym_enum] = ACTIONS(2959),
    [anon_sym_protocol] = ACTIONS(2959),
    [anon_sym_let] = ACTIONS(2959),
    [anon_sym_var] = ACTIONS(2959),
    [anon_sym_func] = ACTIONS(2959),
    [anon_sym_extension] = ACTIONS(2959),
    [anon_sym_indirect] = ACTIONS(2959),
    [anon_sym_init] = ACTIONS(2959),
    [anon_sym_deinit] = ACTIONS(2959),
    [anon_sym_subscript] = ACTIONS(2959),
    [anon_sym_prefix] = ACTIONS(2959),
    [anon_sym_infix] = ACTIONS(2959),
    [anon_sym_postfix] = ACTIONS(2959),
    [anon_sym_precedencegroup] = ACTIONS(2959),
    [anon_sym_associatedtype] = ACTIONS(2959),
    [anon_sym_AT] = ACTIONS(2961),
    [anon_sym_override] = ACTIONS(2959),
    [anon_sym_convenience] = ACTIONS(2959),
    [anon_sym_required] = ACTIONS(2959),
    [anon_sym_nonisolated] = ACTIONS(2959),
    [anon_sym_public] = ACTIONS(2959),
    [anon_sym_private] = ACTIONS(2959),
    [anon_sym_internal] = ACTIONS(2959),
    [anon_sym_fileprivate] = ACTIONS(2959),
    [anon_sym_open] = ACTIONS(2959),
    [anon_sym_mutating] = ACTIONS(2959),
    [anon_sym_nonmutating] = ACTIONS(2959),
    [anon_sym_static] = ACTIONS(2959),
    [anon_sym_dynamic] = ACTIONS(2959),
    [anon_sym_optional] = ACTIONS(2959),
    [anon_sym_distributed] = ACTIONS(2959),
    [anon_sym_final] = ACTIONS(2959),
    [anon_sym_inout] = ACTIONS(2959),
    [anon_sym_ATescaping] = ACTIONS(2959),
    [anon_sym_ATautoclosure] = ACTIONS(2959),
    [anon_sym_weak] = ACTIONS(2959),
    [anon_sym_unowned] = ACTIONS(2961),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2959),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2959),
    [anon_sym_borrowing] = ACTIONS(2959),
    [anon_sym_consuming] = ACTIONS(2959),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2959),
    [sym__eq_custom] = ACTIONS(2959),
    [sym__throws_keyword] = ACTIONS(2959),
    [sym__rethrows_keyword] = ACTIONS(2959),
    [sym_where_keyword] = ACTIONS(2959),
    [sym__async_keyword_custom] = ACTIONS(2959),
  },
  [1692] = {
    [sym__arrow_operator] = STATE(3778),
    [sym__async_keyword] = STATE(6011),
    [sym_throws] = STATE(7460),
    [aux_sym_protocol_composition_type_repeat1] = STATE(1831),
    [ts_builtin_sym_end] = ACTIONS(2896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(2896),
    [anon_sym_LPAREN] = ACTIONS(2896),
    [anon_sym_LBRACK] = ACTIONS(2896),
    [anon_sym_DOT] = ACTIONS(4968),
    [anon_sym_QMARK] = ACTIONS(2898),
    [anon_sym_QMARK2] = ACTIONS(2896),
    [anon_sym_AMP] = ACTIONS(4970),
    [aux_sym_custom_operator_token1] = ACTIONS(2896),
    [anon_sym_LT] = ACTIONS(2898),
    [anon_sym_GT] = ACTIONS(2898),
    [anon_sym_LBRACE] = ACTIONS(2896),
    [anon_sym_CARET_LBRACE] = ACTIONS(2896),
    [anon_sym_RBRACE] = ACTIONS(2896),
    [anon_sym_PLUS_EQ] = ACTIONS(2896),
    [anon_sym_DASH_EQ] = ACTIONS(2896),
    [anon_sym_STAR_EQ] = ACTIONS(2896),
    [anon_sym_SLASH_EQ] = ACTIONS(2896),
    [anon_sym_PERCENT_EQ] = ACTIONS(2896),
    [anon_sym_BANG_EQ] = ACTIONS(2898),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2896),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2896),
    [anon_sym_LT_EQ] = ACTIONS(2896),
    [anon_sym_GT_EQ] = ACTIONS(2896),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2896),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2896),
    [anon_sym_is] = ACTIONS(2896),
    [anon_sym_PLUS] = ACTIONS(2898),
    [anon_sym_DASH] = ACTIONS(2898),
    [anon_sym_STAR] = ACTIONS(2898),
    [anon_sym_SLASH] = ACTIONS(2898),
    [anon_sym_PERCENT] = ACTIONS(2898),
    [anon_sym_PLUS_PLUS] = ACTIONS(2896),
    [anon_sym_DASH_DASH] = ACTIONS(2896),
    [anon_sym_PIPE] = ACTIONS(2896),
    [anon_sym_CARET] = ACTIONS(2898),
    [anon_sym_LT_LT] = ACTIONS(2896),
    [anon_sym_GT_GT] = ACTIONS(2896),
    [anon_sym_BANG2] = ACTIONS(2898),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2896),
    [sym__explicit_semi] = ACTIONS(2896),
    [sym__arrow_operator_custom] = ACTIONS(4962),
    [sym__dot_custom] = ACTIONS(2896),
    [sym__conjunction_operator_custom] = ACTIONS(2896),
    [sym__disjunction_operator_custom] = ACTIONS(2896),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2896),
    [sym__eq_custom] = ACTIONS(2896),
    [sym__eq_eq_custom] = ACTIONS(2896),
    [sym__plus_then_ws] = ACTIONS(2896),
    [sym__minus_then_ws] = ACTIONS(2896),
    [sym__bang_custom] = ACTIONS(2896),
    [sym__throws_keyword] = ACTIONS(2848),
    [sym__rethrows_keyword] = ACTIONS(2848),
    [sym__as_custom] = ACTIONS(2896),
    [sym__as_quest_custom] = ACTIONS(2896),
    [sym__as_bang_custom] = ACTIONS(2896),
    [sym__async_keyword_custom] = ACTIONS(4964),
    [sym__custom_operator] = ACTIONS(2896),
  },
  [1693] = {
    [sym__immediate_quest] = STATE(679),
    [sym__arrow_operator] = STATE(3859),
    [sym__async_keyword] = STATE(5901),
    [sym_throws] = STATE(7562),
    [aux_sym_optional_type_repeat1] = STATE(679),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(2840),
    [anon_sym_COMMA] = ACTIONS(2840),
    [anon_sym_COLON] = ACTIONS(2840),
    [anon_sym_LPAREN] = ACTIONS(2840),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(2840),
    [anon_sym_DOT] = ACTIONS(2842),
    [anon_sym_QMARK] = ACTIONS(2842),
    [anon_sym_QMARK2] = ACTIONS(2844),
    [anon_sym_AMP] = ACTIONS(2840),
    [aux_sym_custom_operator_token1] = ACTIONS(2840),
    [anon_sym_LT] = ACTIONS(2842),
    [anon_sym_GT] = ACTIONS(2842),
    [anon_sym_LBRACE] = ACTIONS(2840),
    [anon_sym_CARET_LBRACE] = ACTIONS(2840),
    [anon_sym_PLUS_EQ] = ACTIONS(2840),
    [anon_sym_DASH_EQ] = ACTIONS(2840),
    [anon_sym_STAR_EQ] = ACTIONS(2840),
    [anon_sym_SLASH_EQ] = ACTIONS(2840),
    [anon_sym_PERCENT_EQ] = ACTIONS(2840),
    [anon_sym_BANG_EQ] = ACTIONS(2842),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2840),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2840),
    [anon_sym_LT_EQ] = ACTIONS(2840),
    [anon_sym_GT_EQ] = ACTIONS(2840),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2840),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2840),
    [anon_sym_is] = ACTIONS(2840),
    [anon_sym_PLUS] = ACTIONS(2842),
    [anon_sym_DASH] = ACTIONS(2842),
    [anon_sym_STAR] = ACTIONS(2842),
    [anon_sym_SLASH] = ACTIONS(2842),
    [anon_sym_PERCENT] = ACTIONS(2842),
    [anon_sym_PLUS_PLUS] = ACTIONS(2840),
    [anon_sym_DASH_DASH] = ACTIONS(2840),
    [anon_sym_PIPE] = ACTIONS(2840),
    [anon_sym_CARET] = ACTIONS(2842),
    [anon_sym_LT_LT] = ACTIONS(2840),
    [anon_sym_GT_GT] = ACTIONS(2840),
    [anon_sym_BANG2] = ACTIONS(2842),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(4975),
    [sym__dot_custom] = ACTIONS(2840),
    [sym__conjunction_operator_custom] = ACTIONS(2840),
    [sym__disjunction_operator_custom] = ACTIONS(2840),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2840),
    [sym__eq_custom] = ACTIONS(2840),
    [sym__eq_eq_custom] = ACTIONS(2840),
    [sym__plus_then_ws] = ACTIONS(2840),
    [sym__minus_then_ws] = ACTIONS(2840),
    [sym__bang_custom] = ACTIONS(2840),
    [sym__throws_keyword] = ACTIONS(2848),
    [sym__rethrows_keyword] = ACTIONS(2848),
    [sym__as_custom] = ACTIONS(2840),
    [sym__as_quest_custom] = ACTIONS(2840),
    [sym__as_bang_custom] = ACTIONS(2840),
    [sym__async_keyword_custom] = ACTIONS(4977),
    [sym__custom_operator] = ACTIONS(2840),
  },
  [1694] = {
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2987),
    [anon_sym_async] = ACTIONS(2987),
    [anon_sym_lazy] = ACTIONS(2987),
    [anon_sym_package] = ACTIONS(2987),
    [anon_sym_COMMA] = ACTIONS(2987),
    [anon_sym_BANG] = ACTIONS(2987),
    [anon_sym_DOT] = ACTIONS(2987),
    [anon_sym_AMP] = ACTIONS(2987),
    [anon_sym_LBRACE] = ACTIONS(2987),
    [anon_sym_RBRACE] = ACTIONS(2987),
    [anon_sym_case] = ACTIONS(2987),
    [anon_sym_import] = ACTIONS(2987),
    [anon_sym_typealias] = ACTIONS(2987),
    [anon_sym_struct] = ACTIONS(2987),
    [anon_sym_class] = ACTIONS(2987),
    [anon_sym_enum] = ACTIONS(2987),
    [anon_sym_protocol] = ACTIONS(2987),
    [anon_sym_let] = ACTIONS(2987),
    [anon_sym_var] = ACTIONS(2987),
    [anon_sym_func] = ACTIONS(2987),
    [anon_sym_extension] = ACTIONS(2987),
    [anon_sym_indirect] = ACTIONS(2987),
    [anon_sym_init] = ACTIONS(2987),
    [anon_sym_deinit] = ACTIONS(2987),
    [anon_sym_subscript] = ACTIONS(2987),
    [anon_sym_prefix] = ACTIONS(2987),
    [anon_sym_infix] = ACTIONS(2987),
    [anon_sym_postfix] = ACTIONS(2987),
    [anon_sym_precedencegroup] = ACTIONS(2987),
    [anon_sym_associatedtype] = ACTIONS(2987),
    [anon_sym_AT] = ACTIONS(2989),
    [anon_sym_override] = ACTIONS(2987),
    [anon_sym_convenience] = ACTIONS(2987),
    [anon_sym_required] = ACTIONS(2987),
    [anon_sym_nonisolated] = ACTIONS(2987),
    [anon_sym_public] = ACTIONS(2987),
    [anon_sym_private] = ACTIONS(2987),
    [anon_sym_internal] = ACTIONS(2987),
    [anon_sym_fileprivate] = ACTIONS(2987),
    [anon_sym_open] = ACTIONS(2987),
    [anon_sym_mutating] = ACTIONS(2987),
    [anon_sym_nonmutating] = ACTIONS(2987),
    [anon_sym_static] = ACTIONS(2987),
    [anon_sym_dynamic] = ACTIONS(2987),
    [anon_sym_optional] = ACTIONS(2987),
    [anon_sym_distributed] = ACTIONS(2987),
    [anon_sym_final] = ACTIONS(2987),
    [anon_sym_inout] = ACTIONS(2987),
    [anon_sym_ATescaping] = ACTIONS(2987),
    [anon_sym_ATautoclosure] = ACTIONS(2987),
    [anon_sym_weak] = ACTIONS(2987),
    [anon_sym_unowned] = ACTIONS(2989),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2987),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2987),
    [anon_sym_borrowing] = ACTIONS(2987),
    [anon_sym_consuming] = ACTIONS(2987),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2987),
    [sym__eq_custom] = ACTIONS(2987),
    [sym__throws_keyword] = ACTIONS(2987),
    [sym__rethrows_keyword] = ACTIONS(2987),
    [sym_where_keyword] = ACTIONS(2987),
    [sym__async_keyword_custom] = ACTIONS(2987),
  },
  [1695] = {
    [sym_comment] = ACTIONS(3),
    [aux_sym_simple_identifier_token1] = ACTIONS(3010),
    [aux_sym_simple_identifier_token2] = ACTIONS(3012),
    [aux_sym_simple_identifier_token3] = ACTIONS(3012),
    [aux_sym_simple_identifier_token4] = ACTIONS(3012),
    [anon_sym_actor] = ACTIONS(3010),
    [anon_sym_async] = ACTIONS(3010),
    [anon_sym_each] = ACTIONS(3010),
    [anon_sym_lazy] = ACTIONS(3010),
    [anon_sym_repeat] = ACTIONS(3010),
    [anon_sym_package] = ACTIONS(3010),
    [anon_sym_COMMA] = ACTIONS(3012),
    [anon_sym_LPAREN] = ACTIONS(3012),
    [anon_sym_LBRACK] = ACTIONS(3012),
    [anon_sym_QMARK] = ACTIONS(3010),
    [anon_sym_QMARK2] = ACTIONS(3012),
    [anon_sym_AMP] = ACTIONS(3012),
    [aux_sym_custom_operator_token1] = ACTIONS(3012),
    [anon_sym_LT] = ACTIONS(3010),
    [anon_sym_GT] = ACTIONS(3010),
    [anon_sym_LBRACE] = ACTIONS(3012),
    [anon_sym_CARET_LBRACE] = ACTIONS(3012),
    [anon_sym_PLUS_EQ] = ACTIONS(3012),
    [anon_sym_DASH_EQ] = ACTIONS(3012),
    [anon_sym_STAR_EQ] = ACTIONS(3012),
    [anon_sym_SLASH_EQ] = ACTIONS(3012),
    [anon_sym_PERCENT_EQ] = ACTIONS(3012),
    [anon_sym_BANG_EQ] = ACTIONS(3010),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3012),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3012),
    [anon_sym_LT_EQ] = ACTIONS(3012),
    [anon_sym_GT_EQ] = ACTIONS(3012),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3012),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3012),
    [anon_sym_is] = ACTIONS(3010),
    [anon_sym_PLUS] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3010),
    [anon_sym_STAR] = ACTIONS(3010),
    [anon_sym_SLASH] = ACTIONS(3010),
    [anon_sym_PERCENT] = ACTIONS(3010),
    [anon_sym_PLUS_PLUS] = ACTIONS(3012),
    [anon_sym_DASH_DASH] = ACTIONS(3012),
    [anon_sym_PIPE] = ACTIONS(3012),
    [anon_sym_CARET] = ACTIONS(3010),
    [anon_sym_LT_LT] = ACTIONS(3012),
    [anon_sym_GT_GT] = ACTIONS(3012),
    [anon_sym_BANG2] = ACTIONS(3010),
    [anon_sym_borrowing] = ACTIONS(3010),
    [anon_sym_consuming] = ACTIONS(3010),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(3012),
    [sym__conjunction_operator_custom] = ACTIONS(3012),
    [sym__disjunction_operator_custom] = ACTIONS(3012),
    [sym__nil_coalescing_operator_custom] = ACTIONS(3012),
    [sym__eq_custom] = ACTIONS(3012),
    [sym__eq_eq_custom] = ACTIONS(3012),
    [sym__plus_then_ws] = ACTIONS(3012),
    [sym__minus_then_ws] = ACTIONS(3012),
    [sym__bang_custom] = ACTIONS(3012),
    [sym_else] = ACTIONS(3012),
    [sym__as_custom] = ACTIONS(3012),
    [sym__as_quest_custom] = ACTIONS(3012),
    [sym__as_bang_custom] = ACTIONS(3012),
    [sym__custom_operator] = ACTIONS(3012),
  },
  [1696] = {
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2979),
    [anon_sym_async] = ACTIONS(2979),
    [anon_sym_lazy] = ACTIONS(2979),
    [anon_sym_package] = ACTIONS(2979),
    [anon_sym_COMMA] = ACTIONS(2979),
    [anon_sym_BANG] = ACTIONS(2979),
    [anon_sym_DOT] = ACTIONS(2979),
    [anon_sym_AMP] = ACTIONS(2979),
    [anon_sym_LBRACE] = ACTIONS(2979),
    [anon_sym_RBRACE] = ACTIONS(2979),
    [anon_sym_case] = ACTIONS(2979),
    [anon_sym_import] = ACTIONS(2979),
    [anon_sym_typealias] = ACTIONS(2979),
    [anon_sym_struct] = ACTIONS(2979),
    [anon_sym_class] = ACTIONS(2979),
    [anon_sym_enum] = ACTIONS(2979),
    [anon_sym_protocol] = ACTIONS(2979),
    [anon_sym_let] = ACTIONS(2979),
    [anon_sym_var] = ACTIONS(2979),
    [anon_sym_func] = ACTIONS(2979),
    [anon_sym_extension] = ACTIONS(2979),
    [anon_sym_indirect] = ACTIONS(2979),
    [anon_sym_init] = ACTIONS(2979),
    [anon_sym_deinit] = ACTIONS(2979),
    [anon_sym_subscript] = ACTIONS(2979),
    [anon_sym_prefix] = ACTIONS(2979),
    [anon_sym_infix] = ACTIONS(2979),
    [anon_sym_postfix] = ACTIONS(2979),
    [anon_sym_precedencegroup] = ACTIONS(2979),
    [anon_sym_associatedtype] = ACTIONS(2979),
    [anon_sym_AT] = ACTIONS(2981),
    [anon_sym_override] = ACTIONS(2979),
    [anon_sym_convenience] = ACTIONS(2979),
    [anon_sym_required] = ACTIONS(2979),
    [anon_sym_nonisolated] = ACTIONS(2979),
    [anon_sym_public] = ACTIONS(2979),
    [anon_sym_private] = ACTIONS(2979),
    [anon_sym_internal] = ACTIONS(2979),
    [anon_sym_fileprivate] = ACTIONS(2979),
    [anon_sym_open] = ACTIONS(2979),
    [anon_sym_mutating] = ACTIONS(2979),
    [anon_sym_nonmutating] = ACTIONS(2979),
    [anon_sym_static] = ACTIONS(2979),
    [anon_sym_dynamic] = ACTIONS(2979),
    [anon_sym_optional] = ACTIONS(2979),
    [anon_sym_distributed] = ACTIONS(2979),
    [anon_sym_final] = ACTIONS(2979),
    [anon_sym_inout] = ACTIONS(2979),
    [anon_sym_ATescaping] = ACTIONS(2979),
    [anon_sym_ATautoclosure] = ACTIONS(2979),
    [anon_sym_weak] = ACTIONS(2979),
    [anon_sym_unowned] = ACTIONS(2981),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2979),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2979),
    [anon_sym_borrowing] = ACTIONS(2979),
    [anon_sym_consuming] = ACTIONS(2979),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2979),
    [sym__eq_custom] = ACTIONS(2979),
    [sym__throws_keyword] = ACTIONS(2979),
    [sym__rethrows_keyword] = ACTIONS(2979),
    [sym_where_keyword] = ACTIONS(2979),
    [sym__async_keyword_custom] = ACTIONS(2979),
  },
  [1697] = {
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2963),
    [anon_sym_async] = ACTIONS(2963),
    [anon_sym_lazy] = ACTIONS(2963),
    [anon_sym_package] = ACTIONS(2963),
    [anon_sym_COMMA] = ACTIONS(2963),
    [anon_sym_BANG] = ACTIONS(2963),
    [anon_sym_DOT] = ACTIONS(2963),
    [anon_sym_QMARK2] = ACTIONS(2963),
    [anon_sym_AMP] = ACTIONS(2963),
    [anon_sym_LBRACE] = ACTIONS(2963),
    [anon_sym_RBRACE] = ACTIONS(2963),
    [anon_sym_case] = ACTIONS(2963),
    [anon_sym_import] = ACTIONS(2963),
    [anon_sym_typealias] = ACTIONS(2963),
    [anon_sym_struct] = ACTIONS(2963),
    [anon_sym_class] = ACTIONS(2963),
    [anon_sym_enum] = ACTIONS(2963),
    [anon_sym_protocol] = ACTIONS(2963),
    [anon_sym_let] = ACTIONS(2963),
    [anon_sym_var] = ACTIONS(2963),
    [anon_sym_func] = ACTIONS(2963),
    [anon_sym_extension] = ACTIONS(2963),
    [anon_sym_indirect] = ACTIONS(2963),
    [anon_sym_init] = ACTIONS(2963),
    [anon_sym_deinit] = ACTIONS(2963),
    [anon_sym_subscript] = ACTIONS(2963),
    [anon_sym_prefix] = ACTIONS(2963),
    [anon_sym_infix] = ACTIONS(2963),
    [anon_sym_postfix] = ACTIONS(2963),
    [anon_sym_precedencegroup] = ACTIONS(2963),
    [anon_sym_associatedtype] = ACTIONS(2963),
    [anon_sym_AT] = ACTIONS(2965),
    [anon_sym_override] = ACTIONS(2963),
    [anon_sym_convenience] = ACTIONS(2963),
    [anon_sym_required] = ACTIONS(2963),
    [anon_sym_nonisolated] = ACTIONS(2963),
    [anon_sym_public] = ACTIONS(2963),
    [anon_sym_private] = ACTIONS(2963),
    [anon_sym_internal] = ACTIONS(2963),
    [anon_sym_fileprivate] = ACTIONS(2963),
    [anon_sym_open] = ACTIONS(2963),
    [anon_sym_mutating] = ACTIONS(2963),
    [anon_sym_nonmutating] = ACTIONS(2963),
    [anon_sym_static] = ACTIONS(2963),
    [anon_sym_dynamic] = ACTIONS(2963),
    [anon_sym_optional] = ACTIONS(2963),
    [anon_sym_distributed] = ACTIONS(2963),
    [anon_sym_final] = ACTIONS(2963),
    [anon_sym_inout] = ACTIONS(2963),
    [anon_sym_ATescaping] = ACTIONS(2963),
    [anon_sym_ATautoclosure] = ACTIONS(2963),
    [anon_sym_weak] = ACTIONS(2963),
    [anon_sym_unowned] = ACTIONS(2965),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2963),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2963),
    [anon_sym_borrowing] = ACTIONS(2963),
    [anon_sym_consuming] = ACTIONS(2963),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2963),
    [sym__dot_custom] = ACTIONS(2963),
    [sym__throws_keyword] = ACTIONS(2963),
    [sym__rethrows_keyword] = ACTIONS(2963),
    [sym__async_keyword_custom] = ACTIONS(2963),
  },
  [1698] = {
    [sym__arrow_operator] = STATE(3778),
    [sym__async_keyword] = STATE(6011),
    [sym_throws] = STATE(7460),
    [aux_sym_protocol_composition_type_repeat1] = STATE(1831),
    [ts_builtin_sym_end] = ACTIONS(2900),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(2900),
    [anon_sym_LPAREN] = ACTIONS(2900),
    [anon_sym_LBRACK] = ACTIONS(2900),
    [anon_sym_DOT] = ACTIONS(2902),
    [anon_sym_QMARK] = ACTIONS(2902),
    [anon_sym_QMARK2] = ACTIONS(2900),
    [anon_sym_AMP] = ACTIONS(2900),
    [aux_sym_custom_operator_token1] = ACTIONS(2900),
    [anon_sym_LT] = ACTIONS(2902),
    [anon_sym_GT] = ACTIONS(2902),
    [anon_sym_LBRACE] = ACTIONS(2900),
    [anon_sym_CARET_LBRACE] = ACTIONS(2900),
    [anon_sym_RBRACE] = ACTIONS(2900),
    [anon_sym_PLUS_EQ] = ACTIONS(2900),
    [anon_sym_DASH_EQ] = ACTIONS(2900),
    [anon_sym_STAR_EQ] = ACTIONS(2900),
    [anon_sym_SLASH_EQ] = ACTIONS(2900),
    [anon_sym_PERCENT_EQ] = ACTIONS(2900),
    [anon_sym_BANG_EQ] = ACTIONS(2902),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2900),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2900),
    [anon_sym_LT_EQ] = ACTIONS(2900),
    [anon_sym_GT_EQ] = ACTIONS(2900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2900),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2900),
    [anon_sym_is] = ACTIONS(2900),
    [anon_sym_PLUS] = ACTIONS(2902),
    [anon_sym_DASH] = ACTIONS(2902),
    [anon_sym_STAR] = ACTIONS(2902),
    [anon_sym_SLASH] = ACTIONS(2902),
    [anon_sym_PERCENT] = ACTIONS(2902),
    [anon_sym_PLUS_PLUS] = ACTIONS(2900),
    [anon_sym_DASH_DASH] = ACTIONS(2900),
    [anon_sym_PIPE] = ACTIONS(2900),
    [anon_sym_CARET] = ACTIONS(2902),
    [anon_sym_LT_LT] = ACTIONS(2900),
    [anon_sym_GT_GT] = ACTIONS(2900),
    [anon_sym_BANG2] = ACTIONS(2902),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2900),
    [sym__explicit_semi] = ACTIONS(2900),
    [sym__arrow_operator_custom] = ACTIONS(2900),
    [sym__dot_custom] = ACTIONS(2900),
    [sym__conjunction_operator_custom] = ACTIONS(2900),
    [sym__disjunction_operator_custom] = ACTIONS(2900),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2900),
    [sym__eq_custom] = ACTIONS(2900),
    [sym__eq_eq_custom] = ACTIONS(2900),
    [sym__plus_then_ws] = ACTIONS(2900),
    [sym__minus_then_ws] = ACTIONS(2900),
    [sym__bang_custom] = ACTIONS(2900),
    [sym__throws_keyword] = ACTIONS(2900),
    [sym__rethrows_keyword] = ACTIONS(2900),
    [sym__as_custom] = ACTIONS(2900),
    [sym__as_quest_custom] = ACTIONS(2900),
    [sym__as_bang_custom] = ACTIONS(2900),
    [sym__async_keyword_custom] = ACTIONS(2900),
    [sym__custom_operator] = ACTIONS(2900),
  },
  [1699] = {
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2951),
    [anon_sym_async] = ACTIONS(2951),
    [anon_sym_lazy] = ACTIONS(2951),
    [anon_sym_package] = ACTIONS(2951),
    [anon_sym_COMMA] = ACTIONS(2951),
    [anon_sym_BANG] = ACTIONS(2951),
    [anon_sym_DOT] = ACTIONS(2951),
    [anon_sym_AMP] = ACTIONS(2951),
    [anon_sym_LBRACE] = ACTIONS(2951),
    [anon_sym_RBRACE] = ACTIONS(2951),
    [anon_sym_case] = ACTIONS(2951),
    [anon_sym_import] = ACTIONS(2951),
    [anon_sym_typealias] = ACTIONS(2951),
    [anon_sym_struct] = ACTIONS(2951),
    [anon_sym_class] = ACTIONS(2951),
    [anon_sym_enum] = ACTIONS(2951),
    [anon_sym_protocol] = ACTIONS(2951),
    [anon_sym_let] = ACTIONS(2951),
    [anon_sym_var] = ACTIONS(2951),
    [anon_sym_func] = ACTIONS(2951),
    [anon_sym_extension] = ACTIONS(2951),
    [anon_sym_indirect] = ACTIONS(2951),
    [anon_sym_init] = ACTIONS(2951),
    [anon_sym_deinit] = ACTIONS(2951),
    [anon_sym_subscript] = ACTIONS(2951),
    [anon_sym_prefix] = ACTIONS(2951),
    [anon_sym_infix] = ACTIONS(2951),
    [anon_sym_postfix] = ACTIONS(2951),
    [anon_sym_precedencegroup] = ACTIONS(2951),
    [anon_sym_associatedtype] = ACTIONS(2951),
    [anon_sym_AT] = ACTIONS(2953),
    [anon_sym_override] = ACTIONS(2951),
    [anon_sym_convenience] = ACTIONS(2951),
    [anon_sym_required] = ACTIONS(2951),
    [anon_sym_nonisolated] = ACTIONS(2951),
    [anon_sym_public] = ACTIONS(2951),
    [anon_sym_private] = ACTIONS(2951),
    [anon_sym_internal] = ACTIONS(2951),
    [anon_sym_fileprivate] = ACTIONS(2951),
    [anon_sym_open] = ACTIONS(2951),
    [anon_sym_mutating] = ACTIONS(2951),
    [anon_sym_nonmutating] = ACTIONS(2951),
    [anon_sym_static] = ACTIONS(2951),
    [anon_sym_dynamic] = ACTIONS(2951),
    [anon_sym_optional] = ACTIONS(2951),
    [anon_sym_distributed] = ACTIONS(2951),
    [anon_sym_final] = ACTIONS(2951),
    [anon_sym_inout] = ACTIONS(2951),
    [anon_sym_ATescaping] = ACTIONS(2951),
    [anon_sym_ATautoclosure] = ACTIONS(2951),
    [anon_sym_weak] = ACTIONS(2951),
    [anon_sym_unowned] = ACTIONS(2953),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2951),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2951),
    [anon_sym_borrowing] = ACTIONS(2951),
    [anon_sym_consuming] = ACTIONS(2951),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2951),
    [sym__eq_custom] = ACTIONS(2951),
    [sym__throws_keyword] = ACTIONS(2951),
    [sym__rethrows_keyword] = ACTIONS(2951),
    [sym_where_keyword] = ACTIONS(2951),
    [sym__async_keyword_custom] = ACTIONS(2951),
  },
  [1700] = {
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2798),
    [anon_sym_async] = ACTIONS(2798),
    [anon_sym_lazy] = ACTIONS(2798),
    [anon_sym_package] = ACTIONS(2798),
    [anon_sym_COMMA] = ACTIONS(2798),
    [anon_sym_BANG] = ACTIONS(2798),
    [anon_sym_DOT] = ACTIONS(2798),
    [anon_sym_QMARK2] = ACTIONS(2798),
    [anon_sym_AMP] = ACTIONS(2798),
    [anon_sym_LBRACE] = ACTIONS(2798),
    [anon_sym_RBRACE] = ACTIONS(2798),
    [anon_sym_case] = ACTIONS(2798),
    [anon_sym_import] = ACTIONS(2798),
    [anon_sym_typealias] = ACTIONS(2798),
    [anon_sym_struct] = ACTIONS(2798),
    [anon_sym_class] = ACTIONS(2798),
    [anon_sym_enum] = ACTIONS(2798),
    [anon_sym_protocol] = ACTIONS(2798),
    [anon_sym_let] = ACTIONS(2798),
    [anon_sym_var] = ACTIONS(2798),
    [anon_sym_func] = ACTIONS(2798),
    [anon_sym_extension] = ACTIONS(2798),
    [anon_sym_indirect] = ACTIONS(2798),
    [anon_sym_init] = ACTIONS(2798),
    [anon_sym_deinit] = ACTIONS(2798),
    [anon_sym_subscript] = ACTIONS(2798),
    [anon_sym_prefix] = ACTIONS(2798),
    [anon_sym_infix] = ACTIONS(2798),
    [anon_sym_postfix] = ACTIONS(2798),
    [anon_sym_precedencegroup] = ACTIONS(2798),
    [anon_sym_associatedtype] = ACTIONS(2798),
    [anon_sym_AT] = ACTIONS(2800),
    [anon_sym_override] = ACTIONS(2798),
    [anon_sym_convenience] = ACTIONS(2798),
    [anon_sym_required] = ACTIONS(2798),
    [anon_sym_nonisolated] = ACTIONS(2798),
    [anon_sym_public] = ACTIONS(2798),
    [anon_sym_private] = ACTIONS(2798),
    [anon_sym_internal] = ACTIONS(2798),
    [anon_sym_fileprivate] = ACTIONS(2798),
    [anon_sym_open] = ACTIONS(2798),
    [anon_sym_mutating] = ACTIONS(2798),
    [anon_sym_nonmutating] = ACTIONS(2798),
    [anon_sym_static] = ACTIONS(2798),
    [anon_sym_dynamic] = ACTIONS(2798),
    [anon_sym_optional] = ACTIONS(2798),
    [anon_sym_distributed] = ACTIONS(2798),
    [anon_sym_final] = ACTIONS(2798),
    [anon_sym_inout] = ACTIONS(2798),
    [anon_sym_ATescaping] = ACTIONS(2798),
    [anon_sym_ATautoclosure] = ACTIONS(2798),
    [anon_sym_weak] = ACTIONS(2798),
    [anon_sym_unowned] = ACTIONS(2800),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2798),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2798),
    [anon_sym_borrowing] = ACTIONS(2798),
    [anon_sym_consuming] = ACTIONS(2798),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2798),
    [sym__dot_custom] = ACTIONS(2798),
    [sym__throws_keyword] = ACTIONS(2798),
    [sym__rethrows_keyword] = ACTIONS(2798),
    [sym__async_keyword_custom] = ACTIONS(2798),
  },
  [1701] = {
    [sym__immediate_quest] = STATE(1792),
    [sym__arrow_operator] = STATE(3869),
    [sym__async_keyword] = STATE(6094),
    [sym_throws] = STATE(7400),
    [aux_sym_optional_type_repeat1] = STATE(1792),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(2840),
    [anon_sym_LPAREN] = ACTIONS(2840),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_DOT] = ACTIONS(2842),
    [anon_sym_QMARK] = ACTIONS(2842),
    [anon_sym_QMARK2] = ACTIONS(4979),
    [anon_sym_AMP] = ACTIONS(2840),
    [aux_sym_custom_operator_token1] = ACTIONS(2840),
    [anon_sym_LT] = ACTIONS(2842),
    [anon_sym_GT] = ACTIONS(2842),
    [anon_sym_LBRACE] = ACTIONS(2840),
    [anon_sym_CARET_LBRACE] = ACTIONS(2840),
    [anon_sym_RBRACE] = ACTIONS(2840),
    [anon_sym_PLUS_EQ] = ACTIONS(2840),
    [anon_sym_DASH_EQ] = ACTIONS(2840),
    [anon_sym_STAR_EQ] = ACTIONS(2840),
    [anon_sym_SLASH_EQ] = ACTIONS(2840),
    [anon_sym_PERCENT_EQ] = ACTIONS(2840),
    [anon_sym_BANG_EQ] = ACTIONS(2842),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2840),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2840),
    [anon_sym_LT_EQ] = ACTIONS(2840),
    [anon_sym_GT_EQ] = ACTIONS(2840),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2840),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2840),
    [anon_sym_is] = ACTIONS(2840),
    [anon_sym_PLUS] = ACTIONS(2842),
    [anon_sym_DASH] = ACTIONS(2842),
    [anon_sym_STAR] = ACTIONS(2842),
    [anon_sym_SLASH] = ACTIONS(2842),
    [anon_sym_PERCENT] = ACTIONS(2842),
    [anon_sym_PLUS_PLUS] = ACTIONS(2840),
    [anon_sym_DASH_DASH] = ACTIONS(2840),
    [anon_sym_PIPE] = ACTIONS(2840),
    [anon_sym_CARET] = ACTIONS(2842),
    [anon_sym_LT_LT] = ACTIONS(2840),
    [anon_sym_GT_GT] = ACTIONS(2840),
    [anon_sym_BANG2] = ACTIONS(2842),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(2840),
    [sym__implicit_semi] = ACTIONS(2840),
    [sym__explicit_semi] = ACTIONS(2840),
    [sym__arrow_operator_custom] = ACTIONS(4981),
    [sym__dot_custom] = ACTIONS(2840),
    [sym__conjunction_operator_custom] = ACTIONS(2840),
    [sym__disjunction_operator_custom] = ACTIONS(2840),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2840),
    [sym__eq_custom] = ACTIONS(2840),
    [sym__eq_eq_custom] = ACTIONS(2840),
    [sym__plus_then_ws] = ACTIONS(2840),
    [sym__minus_then_ws] = ACTIONS(2840),
    [sym__bang_custom] = ACTIONS(2840),
    [sym__throws_keyword] = ACTIONS(2848),
    [sym__rethrows_keyword] = ACTIONS(2848),
    [sym__as_custom] = ACTIONS(2840),
    [sym__as_quest_custom] = ACTIONS(2840),
    [sym__as_bang_custom] = ACTIONS(2840),
    [sym__async_keyword_custom] = ACTIONS(4983),
    [sym__custom_operator] = ACTIONS(2840),
  },
  [1702] = {
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2971),
    [anon_sym_async] = ACTIONS(2971),
    [anon_sym_lazy] = ACTIONS(2971),
    [anon_sym_package] = ACTIONS(2971),
    [anon_sym_COMMA] = ACTIONS(2971),
    [anon_sym_BANG] = ACTIONS(2971),
    [anon_sym_DOT] = ACTIONS(2971),
    [anon_sym_QMARK2] = ACTIONS(2971),
    [anon_sym_AMP] = ACTIONS(2971),
    [anon_sym_LBRACE] = ACTIONS(2971),
    [anon_sym_RBRACE] = ACTIONS(2971),
    [anon_sym_case] = ACTIONS(2971),
    [anon_sym_import] = ACTIONS(2971),
    [anon_sym_typealias] = ACTIONS(2971),
    [anon_sym_struct] = ACTIONS(2971),
    [anon_sym_class] = ACTIONS(2971),
    [anon_sym_enum] = ACTIONS(2971),
    [anon_sym_protocol] = ACTIONS(2971),
    [anon_sym_let] = ACTIONS(2971),
    [anon_sym_var] = ACTIONS(2971),
    [anon_sym_func] = ACTIONS(2971),
    [anon_sym_extension] = ACTIONS(2971),
    [anon_sym_indirect] = ACTIONS(2971),
    [anon_sym_init] = ACTIONS(2971),
    [anon_sym_deinit] = ACTIONS(2971),
    [anon_sym_subscript] = ACTIONS(2971),
    [anon_sym_prefix] = ACTIONS(2971),
    [anon_sym_infix] = ACTIONS(2971),
    [anon_sym_postfix] = ACTIONS(2971),
    [anon_sym_precedencegroup] = ACTIONS(2971),
    [anon_sym_associatedtype] = ACTIONS(2971),
    [anon_sym_AT] = ACTIONS(2973),
    [anon_sym_override] = ACTIONS(2971),
    [anon_sym_convenience] = ACTIONS(2971),
    [anon_sym_required] = ACTIONS(2971),
    [anon_sym_nonisolated] = ACTIONS(2971),
    [anon_sym_public] = ACTIONS(2971),
    [anon_sym_private] = ACTIONS(2971),
    [anon_sym_internal] = ACTIONS(2971),
    [anon_sym_fileprivate] = ACTIONS(2971),
    [anon_sym_open] = ACTIONS(2971),
    [anon_sym_mutating] = ACTIONS(2971),
    [anon_sym_nonmutating] = ACTIONS(2971),
    [anon_sym_static] = ACTIONS(2971),
    [anon_sym_dynamic] = ACTIONS(2971),
    [anon_sym_optional] = ACTIONS(2971),
    [anon_sym_distributed] = ACTIONS(2971),
    [anon_sym_final] = ACTIONS(2971),
    [anon_sym_inout] = ACTIONS(2971),
    [anon_sym_ATescaping] = ACTIONS(2971),
    [anon_sym_ATautoclosure] = ACTIONS(2971),
    [anon_sym_weak] = ACTIONS(2971),
    [anon_sym_unowned] = ACTIONS(2973),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2971),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2971),
    [anon_sym_borrowing] = ACTIONS(2971),
    [anon_sym_consuming] = ACTIONS(2971),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2971),
    [sym__dot_custom] = ACTIONS(2971),
    [sym__throws_keyword] = ACTIONS(2971),
    [sym__rethrows_keyword] = ACTIONS(2971),
    [sym__async_keyword_custom] = ACTIONS(2971),
  },
  [1703] = {
    [sym__arrow_operator] = STATE(3869),
    [sym__async_keyword] = STATE(6094),
    [sym_throws] = STATE(7400),
    [aux_sym_protocol_composition_type_repeat1] = STATE(1870),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(2888),
    [anon_sym_LPAREN] = ACTIONS(2888),
    [anon_sym_LBRACK] = ACTIONS(2888),
    [anon_sym_DOT] = ACTIONS(4985),
    [anon_sym_QMARK] = ACTIONS(2890),
    [anon_sym_QMARK2] = ACTIONS(2888),
    [anon_sym_AMP] = ACTIONS(4987),
    [aux_sym_custom_operator_token1] = ACTIONS(2888),
    [anon_sym_LT] = ACTIONS(2890),
    [anon_sym_GT] = ACTIONS(2890),
    [anon_sym_LBRACE] = ACTIONS(2888),
    [anon_sym_CARET_LBRACE] = ACTIONS(2888),
    [anon_sym_RBRACE] = ACTIONS(2888),
    [anon_sym_PLUS_EQ] = ACTIONS(2888),
    [anon_sym_DASH_EQ] = ACTIONS(2888),
    [anon_sym_STAR_EQ] = ACTIONS(2888),
    [anon_sym_SLASH_EQ] = ACTIONS(2888),
    [anon_sym_PERCENT_EQ] = ACTIONS(2888),
    [anon_sym_BANG_EQ] = ACTIONS(2890),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2888),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2888),
    [anon_sym_LT_EQ] = ACTIONS(2888),
    [anon_sym_GT_EQ] = ACTIONS(2888),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2888),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2888),
    [anon_sym_is] = ACTIONS(2888),
    [anon_sym_PLUS] = ACTIONS(2890),
    [anon_sym_DASH] = ACTIONS(2890),
    [anon_sym_STAR] = ACTIONS(2890),
    [anon_sym_SLASH] = ACTIONS(2890),
    [anon_sym_PERCENT] = ACTIONS(2890),
    [anon_sym_PLUS_PLUS] = ACTIONS(2888),
    [anon_sym_DASH_DASH] = ACTIONS(2888),
    [anon_sym_PIPE] = ACTIONS(2888),
    [anon_sym_CARET] = ACTIONS(2890),
    [anon_sym_LT_LT] = ACTIONS(2888),
    [anon_sym_GT_GT] = ACTIONS(2888),
    [anon_sym_BANG2] = ACTIONS(2890),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(2888),
    [sym__implicit_semi] = ACTIONS(2888),
    [sym__explicit_semi] = ACTIONS(2888),
    [sym__arrow_operator_custom] = ACTIONS(4981),
    [sym__dot_custom] = ACTIONS(2888),
    [sym__conjunction_operator_custom] = ACTIONS(2888),
    [sym__disjunction_operator_custom] = ACTIONS(2888),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2888),
    [sym__eq_custom] = ACTIONS(2888),
    [sym__eq_eq_custom] = ACTIONS(2888),
    [sym__plus_then_ws] = ACTIONS(2888),
    [sym__minus_then_ws] = ACTIONS(2888),
    [sym__bang_custom] = ACTIONS(2888),
    [sym__throws_keyword] = ACTIONS(2848),
    [sym__rethrows_keyword] = ACTIONS(2848),
    [sym__as_custom] = ACTIONS(2888),
    [sym__as_quest_custom] = ACTIONS(2888),
    [sym__as_bang_custom] = ACTIONS(2888),
    [sym__async_keyword_custom] = ACTIONS(4983),
    [sym__custom_operator] = ACTIONS(2888),
  },
  [1704] = {
    [sym__arrow_operator] = STATE(3869),
    [sym__async_keyword] = STATE(6094),
    [sym_throws] = STATE(7400),
    [aux_sym_protocol_composition_type_repeat1] = STATE(1870),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(2896),
    [anon_sym_LPAREN] = ACTIONS(2896),
    [anon_sym_LBRACK] = ACTIONS(2896),
    [anon_sym_DOT] = ACTIONS(4985),
    [anon_sym_QMARK] = ACTIONS(2898),
    [anon_sym_QMARK2] = ACTIONS(2896),
    [anon_sym_AMP] = ACTIONS(4987),
    [aux_sym_custom_operator_token1] = ACTIONS(2896),
    [anon_sym_LT] = ACTIONS(2898),
    [anon_sym_GT] = ACTIONS(2898),
    [anon_sym_LBRACE] = ACTIONS(2896),
    [anon_sym_CARET_LBRACE] = ACTIONS(2896),
    [anon_sym_RBRACE] = ACTIONS(2896),
    [anon_sym_PLUS_EQ] = ACTIONS(2896),
    [anon_sym_DASH_EQ] = ACTIONS(2896),
    [anon_sym_STAR_EQ] = ACTIONS(2896),
    [anon_sym_SLASH_EQ] = ACTIONS(2896),
    [anon_sym_PERCENT_EQ] = ACTIONS(2896),
    [anon_sym_BANG_EQ] = ACTIONS(2898),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2896),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2896),
    [anon_sym_LT_EQ] = ACTIONS(2896),
    [anon_sym_GT_EQ] = ACTIONS(2896),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2896),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2896),
    [anon_sym_is] = ACTIONS(2896),
    [anon_sym_PLUS] = ACTIONS(2898),
    [anon_sym_DASH] = ACTIONS(2898),
    [anon_sym_STAR] = ACTIONS(2898),
    [anon_sym_SLASH] = ACTIONS(2898),
    [anon_sym_PERCENT] = ACTIONS(2898),
    [anon_sym_PLUS_PLUS] = ACTIONS(2896),
    [anon_sym_DASH_DASH] = ACTIONS(2896),
    [anon_sym_PIPE] = ACTIONS(2896),
    [anon_sym_CARET] = ACTIONS(2898),
    [anon_sym_LT_LT] = ACTIONS(2896),
    [anon_sym_GT_GT] = ACTIONS(2896),
    [anon_sym_BANG2] = ACTIONS(2898),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(2896),
    [sym__implicit_semi] = ACTIONS(2896),
    [sym__explicit_semi] = ACTIONS(2896),
    [sym__arrow_operator_custom] = ACTIONS(4981),
    [sym__dot_custom] = ACTIONS(2896),
    [sym__conjunction_operator_custom] = ACTIONS(2896),
    [sym__disjunction_operator_custom] = ACTIONS(2896),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2896),
    [sym__eq_custom] = ACTIONS(2896),
    [sym__eq_eq_custom] = ACTIONS(2896),
    [sym__plus_then_ws] = ACTIONS(2896),
    [sym__minus_then_ws] = ACTIONS(2896),
    [sym__bang_custom] = ACTIONS(2896),
    [sym__throws_keyword] = ACTIONS(2848),
    [sym__rethrows_keyword] = ACTIONS(2848),
    [sym__as_custom] = ACTIONS(2896),
    [sym__as_quest_custom] = ACTIONS(2896),
    [sym__as_bang_custom] = ACTIONS(2896),
    [sym__async_keyword_custom] = ACTIONS(4983),
    [sym__custom_operator] = ACTIONS(2896),
  },
  [1705] = {
    [sym__arrow_operator] = STATE(3859),
    [sym__async_keyword] = STATE(5901),
    [sym_throws] = STATE(7562),
    [aux_sym_protocol_composition_type_repeat1] = STATE(1852),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(2866),
    [anon_sym_COMMA] = ACTIONS(2866),
    [anon_sym_COLON] = ACTIONS(2866),
    [anon_sym_LPAREN] = ACTIONS(2866),
    [anon_sym_LBRACK] = ACTIONS(2866),
    [anon_sym_RBRACK] = ACTIONS(2866),
    [anon_sym_DOT] = ACTIONS(2868),
    [anon_sym_QMARK] = ACTIONS(2870),
    [anon_sym_QMARK2] = ACTIONS(2866),
    [anon_sym_AMP] = ACTIONS(4989),
    [aux_sym_custom_operator_token1] = ACTIONS(2866),
    [anon_sym_LT] = ACTIONS(2870),
    [anon_sym_GT] = ACTIONS(2870),
    [anon_sym_LBRACE] = ACTIONS(2866),
    [anon_sym_CARET_LBRACE] = ACTIONS(2866),
    [anon_sym_PLUS_EQ] = ACTIONS(2866),
    [anon_sym_DASH_EQ] = ACTIONS(2866),
    [anon_sym_STAR_EQ] = ACTIONS(2866),
    [anon_sym_SLASH_EQ] = ACTIONS(2866),
    [anon_sym_PERCENT_EQ] = ACTIONS(2866),
    [anon_sym_BANG_EQ] = ACTIONS(2870),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2866),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2866),
    [anon_sym_LT_EQ] = ACTIONS(2866),
    [anon_sym_GT_EQ] = ACTIONS(2866),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2866),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2866),
    [anon_sym_is] = ACTIONS(2866),
    [anon_sym_PLUS] = ACTIONS(2870),
    [anon_sym_DASH] = ACTIONS(2870),
    [anon_sym_STAR] = ACTIONS(2870),
    [anon_sym_SLASH] = ACTIONS(2870),
    [anon_sym_PERCENT] = ACTIONS(2870),
    [anon_sym_PLUS_PLUS] = ACTIONS(2866),
    [anon_sym_DASH_DASH] = ACTIONS(2866),
    [anon_sym_PIPE] = ACTIONS(2866),
    [anon_sym_CARET] = ACTIONS(2870),
    [anon_sym_LT_LT] = ACTIONS(2866),
    [anon_sym_GT_GT] = ACTIONS(2866),
    [anon_sym_BANG2] = ACTIONS(2870),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(4975),
    [sym__dot_custom] = ACTIONS(2866),
    [sym__conjunction_operator_custom] = ACTIONS(2866),
    [sym__disjunction_operator_custom] = ACTIONS(2866),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2866),
    [sym__eq_custom] = ACTIONS(2866),
    [sym__eq_eq_custom] = ACTIONS(2866),
    [sym__plus_then_ws] = ACTIONS(2866),
    [sym__minus_then_ws] = ACTIONS(2866),
    [sym__bang_custom] = ACTIONS(2866),
    [sym__throws_keyword] = ACTIONS(2848),
    [sym__rethrows_keyword] = ACTIONS(2848),
    [sym__as_custom] = ACTIONS(2866),
    [sym__as_quest_custom] = ACTIONS(2866),
    [sym__as_bang_custom] = ACTIONS(2866),
    [sym__async_keyword_custom] = ACTIONS(4977),
    [sym__custom_operator] = ACTIONS(2866),
  },
  [1706] = {
    [sym__arrow_operator] = STATE(3869),
    [sym__async_keyword] = STATE(6094),
    [sym_throws] = STATE(7400),
    [aux_sym_protocol_composition_type_repeat1] = STATE(1870),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(2900),
    [anon_sym_LPAREN] = ACTIONS(2900),
    [anon_sym_LBRACK] = ACTIONS(2900),
    [anon_sym_DOT] = ACTIONS(2902),
    [anon_sym_QMARK] = ACTIONS(2902),
    [anon_sym_QMARK2] = ACTIONS(2900),
    [anon_sym_AMP] = ACTIONS(2900),
    [aux_sym_custom_operator_token1] = ACTIONS(2900),
    [anon_sym_LT] = ACTIONS(2902),
    [anon_sym_GT] = ACTIONS(2902),
    [anon_sym_LBRACE] = ACTIONS(2900),
    [anon_sym_CARET_LBRACE] = ACTIONS(2900),
    [anon_sym_RBRACE] = ACTIONS(2900),
    [anon_sym_PLUS_EQ] = ACTIONS(2900),
    [anon_sym_DASH_EQ] = ACTIONS(2900),
    [anon_sym_STAR_EQ] = ACTIONS(2900),
    [anon_sym_SLASH_EQ] = ACTIONS(2900),
    [anon_sym_PERCENT_EQ] = ACTIONS(2900),
    [anon_sym_BANG_EQ] = ACTIONS(2902),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2900),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2900),
    [anon_sym_LT_EQ] = ACTIONS(2900),
    [anon_sym_GT_EQ] = ACTIONS(2900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2900),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2900),
    [anon_sym_is] = ACTIONS(2900),
    [anon_sym_PLUS] = ACTIONS(2902),
    [anon_sym_DASH] = ACTIONS(2902),
    [anon_sym_STAR] = ACTIONS(2902),
    [anon_sym_SLASH] = ACTIONS(2902),
    [anon_sym_PERCENT] = ACTIONS(2902),
    [anon_sym_PLUS_PLUS] = ACTIONS(2900),
    [anon_sym_DASH_DASH] = ACTIONS(2900),
    [anon_sym_PIPE] = ACTIONS(2900),
    [anon_sym_CARET] = ACTIONS(2902),
    [anon_sym_LT_LT] = ACTIONS(2900),
    [anon_sym_GT_GT] = ACTIONS(2900),
    [anon_sym_BANG2] = ACTIONS(2902),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(2900),
    [sym__implicit_semi] = ACTIONS(2900),
    [sym__explicit_semi] = ACTIONS(2900),
    [sym__arrow_operator_custom] = ACTIONS(2900),
    [sym__dot_custom] = ACTIONS(2900),
    [sym__conjunction_operator_custom] = ACTIONS(2900),
    [sym__disjunction_operator_custom] = ACTIONS(2900),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2900),
    [sym__eq_custom] = ACTIONS(2900),
    [sym__eq_eq_custom] = ACTIONS(2900),
    [sym__plus_then_ws] = ACTIONS(2900),
    [sym__minus_then_ws] = ACTIONS(2900),
    [sym__bang_custom] = ACTIONS(2900),
    [sym__throws_keyword] = ACTIONS(2900),
    [sym__rethrows_keyword] = ACTIONS(2900),
    [sym__as_custom] = ACTIONS(2900),
    [sym__as_quest_custom] = ACTIONS(2900),
    [sym__as_bang_custom] = ACTIONS(2900),
    [sym__async_keyword_custom] = ACTIONS(2900),
    [sym__custom_operator] = ACTIONS(2900),
  },
  [1707] = {
    [sym__arrow_operator] = STATE(3859),
    [sym__async_keyword] = STATE(5901),
    [sym_throws] = STATE(7562),
    [aux_sym_protocol_composition_type_repeat1] = STATE(1852),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(2892),
    [anon_sym_COMMA] = ACTIONS(2892),
    [anon_sym_COLON] = ACTIONS(2892),
    [anon_sym_LPAREN] = ACTIONS(2892),
    [anon_sym_LBRACK] = ACTIONS(2892),
    [anon_sym_RBRACK] = ACTIONS(2892),
    [anon_sym_DOT] = ACTIONS(2868),
    [anon_sym_QMARK] = ACTIONS(2894),
    [anon_sym_QMARK2] = ACTIONS(2892),
    [anon_sym_AMP] = ACTIONS(4989),
    [aux_sym_custom_operator_token1] = ACTIONS(2892),
    [anon_sym_LT] = ACTIONS(2894),
    [anon_sym_GT] = ACTIONS(2894),
    [anon_sym_LBRACE] = ACTIONS(2892),
    [anon_sym_CARET_LBRACE] = ACTIONS(2892),
    [anon_sym_PLUS_EQ] = ACTIONS(2892),
    [anon_sym_DASH_EQ] = ACTIONS(2892),
    [anon_sym_STAR_EQ] = ACTIONS(2892),
    [anon_sym_SLASH_EQ] = ACTIONS(2892),
    [anon_sym_PERCENT_EQ] = ACTIONS(2892),
    [anon_sym_BANG_EQ] = ACTIONS(2894),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2892),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2892),
    [anon_sym_LT_EQ] = ACTIONS(2892),
    [anon_sym_GT_EQ] = ACTIONS(2892),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2892),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2892),
    [anon_sym_is] = ACTIONS(2892),
    [anon_sym_PLUS] = ACTIONS(2894),
    [anon_sym_DASH] = ACTIONS(2894),
    [anon_sym_STAR] = ACTIONS(2894),
    [anon_sym_SLASH] = ACTIONS(2894),
    [anon_sym_PERCENT] = ACTIONS(2894),
    [anon_sym_PLUS_PLUS] = ACTIONS(2892),
    [anon_sym_DASH_DASH] = ACTIONS(2892),
    [anon_sym_PIPE] = ACTIONS(2892),
    [anon_sym_CARET] = ACTIONS(2894),
    [anon_sym_LT_LT] = ACTIONS(2892),
    [anon_sym_GT_GT] = ACTIONS(2892),
    [anon_sym_BANG2] = ACTIONS(2894),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(4975),
    [sym__dot_custom] = ACTIONS(2892),
    [sym__conjunction_operator_custom] = ACTIONS(2892),
    [sym__disjunction_operator_custom] = ACTIONS(2892),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2892),
    [sym__eq_custom] = ACTIONS(2892),
    [sym__eq_eq_custom] = ACTIONS(2892),
    [sym__plus_then_ws] = ACTIONS(2892),
    [sym__minus_then_ws] = ACTIONS(2892),
    [sym__bang_custom] = ACTIONS(2892),
    [sym__throws_keyword] = ACTIONS(2848),
    [sym__rethrows_keyword] = ACTIONS(2848),
    [sym__as_custom] = ACTIONS(2892),
    [sym__as_quest_custom] = ACTIONS(2892),
    [sym__as_bang_custom] = ACTIONS(2892),
    [sym__async_keyword_custom] = ACTIONS(4977),
    [sym__custom_operator] = ACTIONS(2892),
  },
  [1708] = {
    [sym__arrow_operator] = STATE(3869),
    [sym__async_keyword] = STATE(6094),
    [sym_throws] = STATE(7400),
    [aux_sym_protocol_composition_type_repeat1] = STATE(1870),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(2866),
    [anon_sym_LPAREN] = ACTIONS(2866),
    [anon_sym_LBRACK] = ACTIONS(2866),
    [anon_sym_DOT] = ACTIONS(4985),
    [anon_sym_QMARK] = ACTIONS(2870),
    [anon_sym_QMARK2] = ACTIONS(2866),
    [anon_sym_AMP] = ACTIONS(4987),
    [aux_sym_custom_operator_token1] = ACTIONS(2866),
    [anon_sym_LT] = ACTIONS(2870),
    [anon_sym_GT] = ACTIONS(2870),
    [anon_sym_LBRACE] = ACTIONS(2866),
    [anon_sym_CARET_LBRACE] = ACTIONS(2866),
    [anon_sym_RBRACE] = ACTIONS(2866),
    [anon_sym_PLUS_EQ] = ACTIONS(2866),
    [anon_sym_DASH_EQ] = ACTIONS(2866),
    [anon_sym_STAR_EQ] = ACTIONS(2866),
    [anon_sym_SLASH_EQ] = ACTIONS(2866),
    [anon_sym_PERCENT_EQ] = ACTIONS(2866),
    [anon_sym_BANG_EQ] = ACTIONS(2870),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2866),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2866),
    [anon_sym_LT_EQ] = ACTIONS(2866),
    [anon_sym_GT_EQ] = ACTIONS(2866),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2866),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2866),
    [anon_sym_is] = ACTIONS(2866),
    [anon_sym_PLUS] = ACTIONS(2870),
    [anon_sym_DASH] = ACTIONS(2870),
    [anon_sym_STAR] = ACTIONS(2870),
    [anon_sym_SLASH] = ACTIONS(2870),
    [anon_sym_PERCENT] = ACTIONS(2870),
    [anon_sym_PLUS_PLUS] = ACTIONS(2866),
    [anon_sym_DASH_DASH] = ACTIONS(2866),
    [anon_sym_PIPE] = ACTIONS(2866),
    [anon_sym_CARET] = ACTIONS(2870),
    [anon_sym_LT_LT] = ACTIONS(2866),
    [anon_sym_GT_GT] = ACTIONS(2866),
    [anon_sym_BANG2] = ACTIONS(2870),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(2866),
    [sym__implicit_semi] = ACTIONS(2866),
    [sym__explicit_semi] = ACTIONS(2866),
    [sym__arrow_operator_custom] = ACTIONS(4981),
    [sym__dot_custom] = ACTIONS(2866),
    [sym__conjunction_operator_custom] = ACTIONS(2866),
    [sym__disjunction_operator_custom] = ACTIONS(2866),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2866),
    [sym__eq_custom] = ACTIONS(2866),
    [sym__eq_eq_custom] = ACTIONS(2866),
    [sym__plus_then_ws] = ACTIONS(2866),
    [sym__minus_then_ws] = ACTIONS(2866),
    [sym__bang_custom] = ACTIONS(2866),
    [sym__throws_keyword] = ACTIONS(2848),
    [sym__rethrows_keyword] = ACTIONS(2848),
    [sym__as_custom] = ACTIONS(2866),
    [sym__as_quest_custom] = ACTIONS(2866),
    [sym__as_bang_custom] = ACTIONS(2866),
    [sym__async_keyword_custom] = ACTIONS(4983),
    [sym__custom_operator] = ACTIONS(2866),
  },
  [1709] = {
    [sym__arrow_operator] = STATE(3869),
    [sym__async_keyword] = STATE(6094),
    [sym_throws] = STATE(7400),
    [aux_sym_protocol_composition_type_repeat1] = STATE(1870),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(2874),
    [anon_sym_LPAREN] = ACTIONS(2874),
    [anon_sym_LBRACK] = ACTIONS(2874),
    [anon_sym_DOT] = ACTIONS(4985),
    [anon_sym_QMARK] = ACTIONS(2876),
    [anon_sym_QMARK2] = ACTIONS(2874),
    [anon_sym_AMP] = ACTIONS(4987),
    [aux_sym_custom_operator_token1] = ACTIONS(2874),
    [anon_sym_LT] = ACTIONS(2876),
    [anon_sym_GT] = ACTIONS(2876),
    [anon_sym_LBRACE] = ACTIONS(2874),
    [anon_sym_CARET_LBRACE] = ACTIONS(2874),
    [anon_sym_RBRACE] = ACTIONS(2874),
    [anon_sym_PLUS_EQ] = ACTIONS(2874),
    [anon_sym_DASH_EQ] = ACTIONS(2874),
    [anon_sym_STAR_EQ] = ACTIONS(2874),
    [anon_sym_SLASH_EQ] = ACTIONS(2874),
    [anon_sym_PERCENT_EQ] = ACTIONS(2874),
    [anon_sym_BANG_EQ] = ACTIONS(2876),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2874),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2874),
    [anon_sym_LT_EQ] = ACTIONS(2874),
    [anon_sym_GT_EQ] = ACTIONS(2874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2874),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2874),
    [anon_sym_is] = ACTIONS(2874),
    [anon_sym_PLUS] = ACTIONS(2876),
    [anon_sym_DASH] = ACTIONS(2876),
    [anon_sym_STAR] = ACTIONS(2876),
    [anon_sym_SLASH] = ACTIONS(2876),
    [anon_sym_PERCENT] = ACTIONS(2876),
    [anon_sym_PLUS_PLUS] = ACTIONS(2874),
    [anon_sym_DASH_DASH] = ACTIONS(2874),
    [anon_sym_PIPE] = ACTIONS(2874),
    [anon_sym_CARET] = ACTIONS(2876),
    [anon_sym_LT_LT] = ACTIONS(2874),
    [anon_sym_GT_GT] = ACTIONS(2874),
    [anon_sym_BANG2] = ACTIONS(2876),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(2874),
    [sym__implicit_semi] = ACTIONS(2874),
    [sym__explicit_semi] = ACTIONS(2874),
    [sym__arrow_operator_custom] = ACTIONS(4981),
    [sym__dot_custom] = ACTIONS(2874),
    [sym__conjunction_operator_custom] = ACTIONS(2874),
    [sym__disjunction_operator_custom] = ACTIONS(2874),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2874),
    [sym__eq_custom] = ACTIONS(2874),
    [sym__eq_eq_custom] = ACTIONS(2874),
    [sym__plus_then_ws] = ACTIONS(2874),
    [sym__minus_then_ws] = ACTIONS(2874),
    [sym__bang_custom] = ACTIONS(2874),
    [sym__throws_keyword] = ACTIONS(2848),
    [sym__rethrows_keyword] = ACTIONS(2848),
    [sym__as_custom] = ACTIONS(2874),
    [sym__as_quest_custom] = ACTIONS(2874),
    [sym__as_bang_custom] = ACTIONS(2874),
    [sym__async_keyword_custom] = ACTIONS(4983),
    [sym__custom_operator] = ACTIONS(2874),
  },
  [1710] = {
    [sym__arrow_operator] = STATE(3869),
    [sym__async_keyword] = STATE(6094),
    [sym_throws] = STATE(7400),
    [aux_sym_protocol_composition_type_repeat1] = STATE(1870),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(2878),
    [anon_sym_LPAREN] = ACTIONS(2878),
    [anon_sym_LBRACK] = ACTIONS(2878),
    [anon_sym_DOT] = ACTIONS(2880),
    [anon_sym_QMARK] = ACTIONS(2880),
    [anon_sym_QMARK2] = ACTIONS(2878),
    [anon_sym_AMP] = ACTIONS(2878),
    [aux_sym_custom_operator_token1] = ACTIONS(2878),
    [anon_sym_LT] = ACTIONS(2880),
    [anon_sym_GT] = ACTIONS(2880),
    [anon_sym_LBRACE] = ACTIONS(2878),
    [anon_sym_CARET_LBRACE] = ACTIONS(2878),
    [anon_sym_RBRACE] = ACTIONS(2878),
    [anon_sym_PLUS_EQ] = ACTIONS(2878),
    [anon_sym_DASH_EQ] = ACTIONS(2878),
    [anon_sym_STAR_EQ] = ACTIONS(2878),
    [anon_sym_SLASH_EQ] = ACTIONS(2878),
    [anon_sym_PERCENT_EQ] = ACTIONS(2878),
    [anon_sym_BANG_EQ] = ACTIONS(2880),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2878),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2878),
    [anon_sym_LT_EQ] = ACTIONS(2878),
    [anon_sym_GT_EQ] = ACTIONS(2878),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2878),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2878),
    [anon_sym_is] = ACTIONS(2878),
    [anon_sym_PLUS] = ACTIONS(2880),
    [anon_sym_DASH] = ACTIONS(2880),
    [anon_sym_STAR] = ACTIONS(2880),
    [anon_sym_SLASH] = ACTIONS(2880),
    [anon_sym_PERCENT] = ACTIONS(2880),
    [anon_sym_PLUS_PLUS] = ACTIONS(2878),
    [anon_sym_DASH_DASH] = ACTIONS(2878),
    [anon_sym_PIPE] = ACTIONS(2878),
    [anon_sym_CARET] = ACTIONS(2880),
    [anon_sym_LT_LT] = ACTIONS(2878),
    [anon_sym_GT_GT] = ACTIONS(2878),
    [anon_sym_BANG2] = ACTIONS(2880),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(2878),
    [sym__implicit_semi] = ACTIONS(2878),
    [sym__explicit_semi] = ACTIONS(2878),
    [sym__arrow_operator_custom] = ACTIONS(2878),
    [sym__dot_custom] = ACTIONS(2878),
    [sym__conjunction_operator_custom] = ACTIONS(2878),
    [sym__disjunction_operator_custom] = ACTIONS(2878),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2878),
    [sym__eq_custom] = ACTIONS(2878),
    [sym__eq_eq_custom] = ACTIONS(2878),
    [sym__plus_then_ws] = ACTIONS(2878),
    [sym__minus_then_ws] = ACTIONS(2878),
    [sym__bang_custom] = ACTIONS(2878),
    [sym__throws_keyword] = ACTIONS(2878),
    [sym__rethrows_keyword] = ACTIONS(2878),
    [sym__as_custom] = ACTIONS(2878),
    [sym__as_quest_custom] = ACTIONS(2878),
    [sym__as_bang_custom] = ACTIONS(2878),
    [sym__async_keyword_custom] = ACTIONS(2878),
    [sym__custom_operator] = ACTIONS(2878),
  },
  [1711] = {
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2967),
    [anon_sym_async] = ACTIONS(2967),
    [anon_sym_lazy] = ACTIONS(2967),
    [anon_sym_package] = ACTIONS(2967),
    [anon_sym_COMMA] = ACTIONS(2967),
    [anon_sym_BANG] = ACTIONS(2967),
    [anon_sym_DOT] = ACTIONS(2967),
    [anon_sym_QMARK2] = ACTIONS(2967),
    [anon_sym_AMP] = ACTIONS(2967),
    [anon_sym_LBRACE] = ACTIONS(2967),
    [anon_sym_RBRACE] = ACTIONS(2967),
    [anon_sym_case] = ACTIONS(2967),
    [anon_sym_import] = ACTIONS(2967),
    [anon_sym_typealias] = ACTIONS(2967),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_class] = ACTIONS(2967),
    [anon_sym_enum] = ACTIONS(2967),
    [anon_sym_protocol] = ACTIONS(2967),
    [anon_sym_let] = ACTIONS(2967),
    [anon_sym_var] = ACTIONS(2967),
    [anon_sym_func] = ACTIONS(2967),
    [anon_sym_extension] = ACTIONS(2967),
    [anon_sym_indirect] = ACTIONS(2967),
    [anon_sym_init] = ACTIONS(2967),
    [anon_sym_deinit] = ACTIONS(2967),
    [anon_sym_subscript] = ACTIONS(2967),
    [anon_sym_prefix] = ACTIONS(2967),
    [anon_sym_infix] = ACTIONS(2967),
    [anon_sym_postfix] = ACTIONS(2967),
    [anon_sym_precedencegroup] = ACTIONS(2967),
    [anon_sym_associatedtype] = ACTIONS(2967),
    [anon_sym_AT] = ACTIONS(2969),
    [anon_sym_override] = ACTIONS(2967),
    [anon_sym_convenience] = ACTIONS(2967),
    [anon_sym_required] = ACTIONS(2967),
    [anon_sym_nonisolated] = ACTIONS(2967),
    [anon_sym_public] = ACTIONS(2967),
    [anon_sym_private] = ACTIONS(2967),
    [anon_sym_internal] = ACTIONS(2967),
    [anon_sym_fileprivate] = ACTIONS(2967),
    [anon_sym_open] = ACTIONS(2967),
    [anon_sym_mutating] = ACTIONS(2967),
    [anon_sym_nonmutating] = ACTIONS(2967),
    [anon_sym_static] = ACTIONS(2967),
    [anon_sym_dynamic] = ACTIONS(2967),
    [anon_sym_optional] = ACTIONS(2967),
    [anon_sym_distributed] = ACTIONS(2967),
    [anon_sym_final] = ACTIONS(2967),
    [anon_sym_inout] = ACTIONS(2967),
    [anon_sym_ATescaping] = ACTIONS(2967),
    [anon_sym_ATautoclosure] = ACTIONS(2967),
    [anon_sym_weak] = ACTIONS(2967),
    [anon_sym_unowned] = ACTIONS(2969),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2967),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2967),
    [anon_sym_borrowing] = ACTIONS(2967),
    [anon_sym_consuming] = ACTIONS(2967),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2967),
    [sym__throws_keyword] = ACTIONS(2967),
    [sym__rethrows_keyword] = ACTIONS(2967),
    [sym__async_keyword_custom] = ACTIONS(2967),
  },
  [1712] = {
    [sym__immediate_quest] = STATE(1728),
    [aux_sym_optional_type_repeat1] = STATE(1728),
    [ts_builtin_sym_end] = ACTIONS(2794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(2794),
    [anon_sym_LPAREN] = ACTIONS(2794),
    [anon_sym_LBRACK] = ACTIONS(2794),
    [anon_sym_DOT] = ACTIONS(2796),
    [anon_sym_QMARK] = ACTIONS(2796),
    [anon_sym_QMARK2] = ACTIONS(2794),
    [anon_sym_AMP] = ACTIONS(2794),
    [aux_sym_custom_operator_token1] = ACTIONS(2794),
    [anon_sym_LT] = ACTIONS(2796),
    [anon_sym_GT] = ACTIONS(2796),
    [anon_sym_LBRACE] = ACTIONS(2794),
    [anon_sym_CARET_LBRACE] = ACTIONS(2794),
    [anon_sym_RBRACE] = ACTIONS(2794),
    [anon_sym_PLUS_EQ] = ACTIONS(2794),
    [anon_sym_DASH_EQ] = ACTIONS(2794),
    [anon_sym_STAR_EQ] = ACTIONS(2794),
    [anon_sym_SLASH_EQ] = ACTIONS(2794),
    [anon_sym_PERCENT_EQ] = ACTIONS(2794),
    [anon_sym_BANG_EQ] = ACTIONS(2796),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2794),
    [anon_sym_LT_EQ] = ACTIONS(2794),
    [anon_sym_GT_EQ] = ACTIONS(2794),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2794),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2794),
    [anon_sym_is] = ACTIONS(2794),
    [anon_sym_PLUS] = ACTIONS(2796),
    [anon_sym_DASH] = ACTIONS(2796),
    [anon_sym_STAR] = ACTIONS(2796),
    [anon_sym_SLASH] = ACTIONS(2796),
    [anon_sym_PERCENT] = ACTIONS(2796),
    [anon_sym_PLUS_PLUS] = ACTIONS(2794),
    [anon_sym_DASH_DASH] = ACTIONS(2794),
    [anon_sym_PIPE] = ACTIONS(2794),
    [anon_sym_CARET] = ACTIONS(2796),
    [anon_sym_LT_LT] = ACTIONS(2794),
    [anon_sym_GT_GT] = ACTIONS(2794),
    [anon_sym_BANG2] = ACTIONS(2796),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2794),
    [sym__explicit_semi] = ACTIONS(2794),
    [sym__arrow_operator_custom] = ACTIONS(2794),
    [sym__dot_custom] = ACTIONS(2794),
    [sym__conjunction_operator_custom] = ACTIONS(2794),
    [sym__disjunction_operator_custom] = ACTIONS(2794),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2794),
    [sym__eq_custom] = ACTIONS(2794),
    [sym__eq_eq_custom] = ACTIONS(2794),
    [sym__plus_then_ws] = ACTIONS(2794),
    [sym__minus_then_ws] = ACTIONS(2794),
    [sym__bang_custom] = ACTIONS(2794),
    [sym__throws_keyword] = ACTIONS(2794),
    [sym__rethrows_keyword] = ACTIONS(2794),
    [sym_where_keyword] = ACTIONS(2794),
    [sym__as_custom] = ACTIONS(2794),
    [sym__as_quest_custom] = ACTIONS(2794),
    [sym__as_bang_custom] = ACTIONS(2794),
    [sym__async_keyword_custom] = ACTIONS(2794),
    [sym__custom_operator] = ACTIONS(2794),
  },
  [1713] = {
    [aux_sym_protocol_composition_type_repeat1] = STATE(1734),
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(3014),
    [anon_sym_async] = ACTIONS(3014),
    [anon_sym_lazy] = ACTIONS(3014),
    [anon_sym_package] = ACTIONS(3014),
    [anon_sym_COMMA] = ACTIONS(3014),
    [anon_sym_BANG] = ACTIONS(3014),
    [anon_sym_DOT] = ACTIONS(3014),
    [anon_sym_AMP] = ACTIONS(3014),
    [anon_sym_LBRACE] = ACTIONS(3014),
    [anon_sym_RBRACE] = ACTIONS(3014),
    [anon_sym_case] = ACTIONS(3014),
    [anon_sym_import] = ACTIONS(3014),
    [anon_sym_typealias] = ACTIONS(3014),
    [anon_sym_struct] = ACTIONS(3014),
    [anon_sym_class] = ACTIONS(3014),
    [anon_sym_enum] = ACTIONS(3014),
    [anon_sym_protocol] = ACTIONS(3014),
    [anon_sym_let] = ACTIONS(3014),
    [anon_sym_var] = ACTIONS(3014),
    [anon_sym_func] = ACTIONS(3014),
    [anon_sym_extension] = ACTIONS(3014),
    [anon_sym_indirect] = ACTIONS(3014),
    [anon_sym_init] = ACTIONS(3014),
    [anon_sym_deinit] = ACTIONS(3014),
    [anon_sym_subscript] = ACTIONS(3014),
    [anon_sym_prefix] = ACTIONS(3014),
    [anon_sym_infix] = ACTIONS(3014),
    [anon_sym_postfix] = ACTIONS(3014),
    [anon_sym_precedencegroup] = ACTIONS(3014),
    [anon_sym_associatedtype] = ACTIONS(3014),
    [anon_sym_AT] = ACTIONS(3016),
    [anon_sym_override] = ACTIONS(3014),
    [anon_sym_convenience] = ACTIONS(3014),
    [anon_sym_required] = ACTIONS(3014),
    [anon_sym_nonisolated] = ACTIONS(3014),
    [anon_sym_public] = ACTIONS(3014),
    [anon_sym_private] = ACTIONS(3014),
    [anon_sym_internal] = ACTIONS(3014),
    [anon_sym_fileprivate] = ACTIONS(3014),
    [anon_sym_open] = ACTIONS(3014),
    [anon_sym_mutating] = ACTIONS(3014),
    [anon_sym_nonmutating] = ACTIONS(3014),
    [anon_sym_static] = ACTIONS(3014),
    [anon_sym_dynamic] = ACTIONS(3014),
    [anon_sym_optional] = ACTIONS(3014),
    [anon_sym_distributed] = ACTIONS(3014),
    [anon_sym_final] = ACTIONS(3014),
    [anon_sym_inout] = ACTIONS(3014),
    [anon_sym_ATescaping] = ACTIONS(3014),
    [anon_sym_ATautoclosure] = ACTIONS(3014),
    [anon_sym_weak] = ACTIONS(3014),
    [anon_sym_unowned] = ACTIONS(3016),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(3014),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(3014),
    [anon_sym_borrowing] = ACTIONS(3014),
    [anon_sym_consuming] = ACTIONS(3014),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(3014),
    [sym__throws_keyword] = ACTIONS(3014),
    [sym__rethrows_keyword] = ACTIONS(3014),
    [sym__async_keyword_custom] = ACTIONS(3014),
  },
  [1714] = {
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2914),
    [anon_sym_async] = ACTIONS(2914),
    [anon_sym_lazy] = ACTIONS(2914),
    [anon_sym_package] = ACTIONS(2914),
    [anon_sym_COMMA] = ACTIONS(2914),
    [anon_sym_BANG] = ACTIONS(2914),
    [anon_sym_DOT] = ACTIONS(2914),
    [anon_sym_QMARK2] = ACTIONS(2914),
    [anon_sym_AMP] = ACTIONS(2914),
    [anon_sym_LBRACE] = ACTIONS(2914),
    [anon_sym_RBRACE] = ACTIONS(2914),
    [anon_sym_case] = ACTIONS(2914),
    [anon_sym_import] = ACTIONS(2914),
    [anon_sym_typealias] = ACTIONS(2914),
    [anon_sym_struct] = ACTIONS(2914),
    [anon_sym_class] = ACTIONS(2914),
    [anon_sym_enum] = ACTIONS(2914),
    [anon_sym_protocol] = ACTIONS(2914),
    [anon_sym_let] = ACTIONS(2914),
    [anon_sym_var] = ACTIONS(2914),
    [anon_sym_func] = ACTIONS(2914),
    [anon_sym_extension] = ACTIONS(2914),
    [anon_sym_indirect] = ACTIONS(2914),
    [anon_sym_init] = ACTIONS(2914),
    [anon_sym_deinit] = ACTIONS(2914),
    [anon_sym_subscript] = ACTIONS(2914),
    [anon_sym_prefix] = ACTIONS(2914),
    [anon_sym_infix] = ACTIONS(2914),
    [anon_sym_postfix] = ACTIONS(2914),
    [anon_sym_precedencegroup] = ACTIONS(2914),
    [anon_sym_associatedtype] = ACTIONS(2914),
    [anon_sym_AT] = ACTIONS(2916),
    [anon_sym_override] = ACTIONS(2914),
    [anon_sym_convenience] = ACTIONS(2914),
    [anon_sym_required] = ACTIONS(2914),
    [anon_sym_nonisolated] = ACTIONS(2914),
    [anon_sym_public] = ACTIONS(2914),
    [anon_sym_private] = ACTIONS(2914),
    [anon_sym_internal] = ACTIONS(2914),
    [anon_sym_fileprivate] = ACTIONS(2914),
    [anon_sym_open] = ACTIONS(2914),
    [anon_sym_mutating] = ACTIONS(2914),
    [anon_sym_nonmutating] = ACTIONS(2914),
    [anon_sym_static] = ACTIONS(2914),
    [anon_sym_dynamic] = ACTIONS(2914),
    [anon_sym_optional] = ACTIONS(2914),
    [anon_sym_distributed] = ACTIONS(2914),
    [anon_sym_final] = ACTIONS(2914),
    [anon_sym_inout] = ACTIONS(2914),
    [anon_sym_ATescaping] = ACTIONS(2914),
    [anon_sym_ATautoclosure] = ACTIONS(2914),
    [anon_sym_weak] = ACTIONS(2914),
    [anon_sym_unowned] = ACTIONS(2916),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2914),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2914),
    [anon_sym_borrowing] = ACTIONS(2914),
    [anon_sym_consuming] = ACTIONS(2914),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2914),
    [sym__throws_keyword] = ACTIONS(2914),
    [sym__rethrows_keyword] = ACTIONS(2914),
    [sym__async_keyword_custom] = ACTIONS(2914),
  },
  [1715] = {
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2910),
    [anon_sym_async] = ACTIONS(2910),
    [anon_sym_lazy] = ACTIONS(2910),
    [anon_sym_package] = ACTIONS(2910),
    [anon_sym_COMMA] = ACTIONS(2910),
    [anon_sym_BANG] = ACTIONS(2910),
    [anon_sym_DOT] = ACTIONS(2910),
    [anon_sym_QMARK2] = ACTIONS(2910),
    [anon_sym_AMP] = ACTIONS(2910),
    [anon_sym_LBRACE] = ACTIONS(2910),
    [anon_sym_RBRACE] = ACTIONS(2910),
    [anon_sym_case] = ACTIONS(2910),
    [anon_sym_import] = ACTIONS(2910),
    [anon_sym_typealias] = ACTIONS(2910),
    [anon_sym_struct] = ACTIONS(2910),
    [anon_sym_class] = ACTIONS(2910),
    [anon_sym_enum] = ACTIONS(2910),
    [anon_sym_protocol] = ACTIONS(2910),
    [anon_sym_let] = ACTIONS(2910),
    [anon_sym_var] = ACTIONS(2910),
    [anon_sym_func] = ACTIONS(2910),
    [anon_sym_extension] = ACTIONS(2910),
    [anon_sym_indirect] = ACTIONS(2910),
    [anon_sym_init] = ACTIONS(2910),
    [anon_sym_deinit] = ACTIONS(2910),
    [anon_sym_subscript] = ACTIONS(2910),
    [anon_sym_prefix] = ACTIONS(2910),
    [anon_sym_infix] = ACTIONS(2910),
    [anon_sym_postfix] = ACTIONS(2910),
    [anon_sym_precedencegroup] = ACTIONS(2910),
    [anon_sym_associatedtype] = ACTIONS(2910),
    [anon_sym_AT] = ACTIONS(2912),
    [anon_sym_override] = ACTIONS(2910),
    [anon_sym_convenience] = ACTIONS(2910),
    [anon_sym_required] = ACTIONS(2910),
    [anon_sym_nonisolated] = ACTIONS(2910),
    [anon_sym_public] = ACTIONS(2910),
    [anon_sym_private] = ACTIONS(2910),
    [anon_sym_internal] = ACTIONS(2910),
    [anon_sym_fileprivate] = ACTIONS(2910),
    [anon_sym_open] = ACTIONS(2910),
    [anon_sym_mutating] = ACTIONS(2910),
    [anon_sym_nonmutating] = ACTIONS(2910),
    [anon_sym_static] = ACTIONS(2910),
    [anon_sym_dynamic] = ACTIONS(2910),
    [anon_sym_optional] = ACTIONS(2910),
    [anon_sym_distributed] = ACTIONS(2910),
    [anon_sym_final] = ACTIONS(2910),
    [anon_sym_inout] = ACTIONS(2910),
    [anon_sym_ATescaping] = ACTIONS(2910),
    [anon_sym_ATautoclosure] = ACTIONS(2910),
    [anon_sym_weak] = ACTIONS(2910),
    [anon_sym_unowned] = ACTIONS(2912),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2910),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2910),
    [anon_sym_borrowing] = ACTIONS(2910),
    [anon_sym_consuming] = ACTIONS(2910),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2910),
    [sym__throws_keyword] = ACTIONS(2910),
    [sym__rethrows_keyword] = ACTIONS(2910),
    [sym__async_keyword_custom] = ACTIONS(2910),
  },
  [1716] = {
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2991),
    [anon_sym_async] = ACTIONS(2991),
    [anon_sym_lazy] = ACTIONS(2991),
    [anon_sym_package] = ACTIONS(2991),
    [anon_sym_COMMA] = ACTIONS(2991),
    [anon_sym_BANG] = ACTIONS(2991),
    [anon_sym_DOT] = ACTIONS(2991),
    [anon_sym_QMARK2] = ACTIONS(2991),
    [anon_sym_AMP] = ACTIONS(2991),
    [anon_sym_LBRACE] = ACTIONS(2991),
    [anon_sym_RBRACE] = ACTIONS(2991),
    [anon_sym_case] = ACTIONS(2991),
    [anon_sym_import] = ACTIONS(2991),
    [anon_sym_typealias] = ACTIONS(2991),
    [anon_sym_struct] = ACTIONS(2991),
    [anon_sym_class] = ACTIONS(2991),
    [anon_sym_enum] = ACTIONS(2991),
    [anon_sym_protocol] = ACTIONS(2991),
    [anon_sym_let] = ACTIONS(2991),
    [anon_sym_var] = ACTIONS(2991),
    [anon_sym_func] = ACTIONS(2991),
    [anon_sym_extension] = ACTIONS(2991),
    [anon_sym_indirect] = ACTIONS(2991),
    [anon_sym_init] = ACTIONS(2991),
    [anon_sym_deinit] = ACTIONS(2991),
    [anon_sym_subscript] = ACTIONS(2991),
    [anon_sym_prefix] = ACTIONS(2991),
    [anon_sym_infix] = ACTIONS(2991),
    [anon_sym_postfix] = ACTIONS(2991),
    [anon_sym_precedencegroup] = ACTIONS(2991),
    [anon_sym_associatedtype] = ACTIONS(2991),
    [anon_sym_AT] = ACTIONS(2993),
    [anon_sym_override] = ACTIONS(2991),
    [anon_sym_convenience] = ACTIONS(2991),
    [anon_sym_required] = ACTIONS(2991),
    [anon_sym_nonisolated] = ACTIONS(2991),
    [anon_sym_public] = ACTIONS(2991),
    [anon_sym_private] = ACTIONS(2991),
    [anon_sym_internal] = ACTIONS(2991),
    [anon_sym_fileprivate] = ACTIONS(2991),
    [anon_sym_open] = ACTIONS(2991),
    [anon_sym_mutating] = ACTIONS(2991),
    [anon_sym_nonmutating] = ACTIONS(2991),
    [anon_sym_static] = ACTIONS(2991),
    [anon_sym_dynamic] = ACTIONS(2991),
    [anon_sym_optional] = ACTIONS(2991),
    [anon_sym_distributed] = ACTIONS(2991),
    [anon_sym_final] = ACTIONS(2991),
    [anon_sym_inout] = ACTIONS(2991),
    [anon_sym_ATescaping] = ACTIONS(2991),
    [anon_sym_ATautoclosure] = ACTIONS(2991),
    [anon_sym_weak] = ACTIONS(2991),
    [anon_sym_unowned] = ACTIONS(2993),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2991),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2991),
    [anon_sym_borrowing] = ACTIONS(2991),
    [anon_sym_consuming] = ACTIONS(2991),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2991),
    [sym__throws_keyword] = ACTIONS(2991),
    [sym__rethrows_keyword] = ACTIONS(2991),
    [sym__async_keyword_custom] = ACTIONS(2991),
  },
  [1717] = {
    [sym__dot] = STATE(4620),
    [aux_sym_user_type_repeat1] = STATE(1721),
    [ts_builtin_sym_end] = ACTIONS(2852),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(2852),
    [anon_sym_LPAREN] = ACTIONS(2852),
    [anon_sym_LBRACK] = ACTIONS(2852),
    [anon_sym_DOT] = ACTIONS(2854),
    [anon_sym_QMARK] = ACTIONS(2854),
    [anon_sym_QMARK2] = ACTIONS(2852),
    [anon_sym_AMP] = ACTIONS(2852),
    [aux_sym_custom_operator_token1] = ACTIONS(2852),
    [anon_sym_LT] = ACTIONS(2854),
    [anon_sym_GT] = ACTIONS(2854),
    [anon_sym_LBRACE] = ACTIONS(2852),
    [anon_sym_CARET_LBRACE] = ACTIONS(2852),
    [anon_sym_RBRACE] = ACTIONS(2852),
    [anon_sym_PLUS_EQ] = ACTIONS(2852),
    [anon_sym_DASH_EQ] = ACTIONS(2852),
    [anon_sym_STAR_EQ] = ACTIONS(2852),
    [anon_sym_SLASH_EQ] = ACTIONS(2852),
    [anon_sym_PERCENT_EQ] = ACTIONS(2852),
    [anon_sym_BANG_EQ] = ACTIONS(2854),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2852),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2852),
    [anon_sym_LT_EQ] = ACTIONS(2852),
    [anon_sym_GT_EQ] = ACTIONS(2852),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2852),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2852),
    [anon_sym_is] = ACTIONS(2852),
    [anon_sym_PLUS] = ACTIONS(2854),
    [anon_sym_DASH] = ACTIONS(2854),
    [anon_sym_STAR] = ACTIONS(2854),
    [anon_sym_SLASH] = ACTIONS(2854),
    [anon_sym_PERCENT] = ACTIONS(2854),
    [anon_sym_PLUS_PLUS] = ACTIONS(2852),
    [anon_sym_DASH_DASH] = ACTIONS(2852),
    [anon_sym_PIPE] = ACTIONS(2852),
    [anon_sym_CARET] = ACTIONS(2854),
    [anon_sym_LT_LT] = ACTIONS(2852),
    [anon_sym_GT_GT] = ACTIONS(2852),
    [anon_sym_BANG2] = ACTIONS(2854),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2852),
    [sym__explicit_semi] = ACTIONS(2852),
    [sym__arrow_operator_custom] = ACTIONS(2852),
    [sym__dot_custom] = ACTIONS(4991),
    [sym__conjunction_operator_custom] = ACTIONS(2852),
    [sym__disjunction_operator_custom] = ACTIONS(2852),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2852),
    [sym__eq_custom] = ACTIONS(2852),
    [sym__eq_eq_custom] = ACTIONS(2852),
    [sym__plus_then_ws] = ACTIONS(2852),
    [sym__minus_then_ws] = ACTIONS(2852),
    [sym__bang_custom] = ACTIONS(2852),
    [sym__throws_keyword] = ACTIONS(2852),
    [sym__rethrows_keyword] = ACTIONS(2852),
    [sym_where_keyword] = ACTIONS(2852),
    [sym__as_custom] = ACTIONS(2852),
    [sym__as_quest_custom] = ACTIONS(2852),
    [sym__as_bang_custom] = ACTIONS(2852),
    [sym__async_keyword_custom] = ACTIONS(2852),
    [sym__custom_operator] = ACTIONS(2852),
  },
  [1718] = {
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2955),
    [anon_sym_async] = ACTIONS(2955),
    [anon_sym_lazy] = ACTIONS(2955),
    [anon_sym_package] = ACTIONS(2955),
    [anon_sym_COMMA] = ACTIONS(2955),
    [anon_sym_BANG] = ACTIONS(2955),
    [anon_sym_DOT] = ACTIONS(2955),
    [anon_sym_QMARK2] = ACTIONS(2955),
    [anon_sym_AMP] = ACTIONS(2955),
    [anon_sym_LBRACE] = ACTIONS(2955),
    [anon_sym_RBRACE] = ACTIONS(2955),
    [anon_sym_case] = ACTIONS(2955),
    [anon_sym_import] = ACTIONS(2955),
    [anon_sym_typealias] = ACTIONS(2955),
    [anon_sym_struct] = ACTIONS(2955),
    [anon_sym_class] = ACTIONS(2955),
    [anon_sym_enum] = ACTIONS(2955),
    [anon_sym_protocol] = ACTIONS(2955),
    [anon_sym_let] = ACTIONS(2955),
    [anon_sym_var] = ACTIONS(2955),
    [anon_sym_func] = ACTIONS(2955),
    [anon_sym_extension] = ACTIONS(2955),
    [anon_sym_indirect] = ACTIONS(2955),
    [anon_sym_init] = ACTIONS(2955),
    [anon_sym_deinit] = ACTIONS(2955),
    [anon_sym_subscript] = ACTIONS(2955),
    [anon_sym_prefix] = ACTIONS(2955),
    [anon_sym_infix] = ACTIONS(2955),
    [anon_sym_postfix] = ACTIONS(2955),
    [anon_sym_precedencegroup] = ACTIONS(2955),
    [anon_sym_associatedtype] = ACTIONS(2955),
    [anon_sym_AT] = ACTIONS(2957),
    [anon_sym_override] = ACTIONS(2955),
    [anon_sym_convenience] = ACTIONS(2955),
    [anon_sym_required] = ACTIONS(2955),
    [anon_sym_nonisolated] = ACTIONS(2955),
    [anon_sym_public] = ACTIONS(2955),
    [anon_sym_private] = ACTIONS(2955),
    [anon_sym_internal] = ACTIONS(2955),
    [anon_sym_fileprivate] = ACTIONS(2955),
    [anon_sym_open] = ACTIONS(2955),
    [anon_sym_mutating] = ACTIONS(2955),
    [anon_sym_nonmutating] = ACTIONS(2955),
    [anon_sym_static] = ACTIONS(2955),
    [anon_sym_dynamic] = ACTIONS(2955),
    [anon_sym_optional] = ACTIONS(2955),
    [anon_sym_distributed] = ACTIONS(2955),
    [anon_sym_final] = ACTIONS(2955),
    [anon_sym_inout] = ACTIONS(2955),
    [anon_sym_ATescaping] = ACTIONS(2955),
    [anon_sym_ATautoclosure] = ACTIONS(2955),
    [anon_sym_weak] = ACTIONS(2955),
    [anon_sym_unowned] = ACTIONS(2957),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2955),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2955),
    [anon_sym_borrowing] = ACTIONS(2955),
    [anon_sym_consuming] = ACTIONS(2955),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2955),
    [sym__throws_keyword] = ACTIONS(2955),
    [sym__rethrows_keyword] = ACTIONS(2955),
    [sym__async_keyword_custom] = ACTIONS(2955),
  },
  [1719] = {
    [sym__arrow_operator] = STATE(3859),
    [sym__async_keyword] = STATE(5901),
    [sym_throws] = STATE(7562),
    [aux_sym_protocol_composition_type_repeat1] = STATE(1852),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(2874),
    [anon_sym_COMMA] = ACTIONS(2874),
    [anon_sym_COLON] = ACTIONS(2874),
    [anon_sym_LPAREN] = ACTIONS(2874),
    [anon_sym_LBRACK] = ACTIONS(2874),
    [anon_sym_RBRACK] = ACTIONS(2874),
    [anon_sym_DOT] = ACTIONS(2868),
    [anon_sym_QMARK] = ACTIONS(2876),
    [anon_sym_QMARK2] = ACTIONS(2874),
    [anon_sym_AMP] = ACTIONS(4989),
    [aux_sym_custom_operator_token1] = ACTIONS(2874),
    [anon_sym_LT] = ACTIONS(2876),
    [anon_sym_GT] = ACTIONS(2876),
    [anon_sym_LBRACE] = ACTIONS(2874),
    [anon_sym_CARET_LBRACE] = ACTIONS(2874),
    [anon_sym_PLUS_EQ] = ACTIONS(2874),
    [anon_sym_DASH_EQ] = ACTIONS(2874),
    [anon_sym_STAR_EQ] = ACTIONS(2874),
    [anon_sym_SLASH_EQ] = ACTIONS(2874),
    [anon_sym_PERCENT_EQ] = ACTIONS(2874),
    [anon_sym_BANG_EQ] = ACTIONS(2876),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2874),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2874),
    [anon_sym_LT_EQ] = ACTIONS(2874),
    [anon_sym_GT_EQ] = ACTIONS(2874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2874),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2874),
    [anon_sym_is] = ACTIONS(2874),
    [anon_sym_PLUS] = ACTIONS(2876),
    [anon_sym_DASH] = ACTIONS(2876),
    [anon_sym_STAR] = ACTIONS(2876),
    [anon_sym_SLASH] = ACTIONS(2876),
    [anon_sym_PERCENT] = ACTIONS(2876),
    [anon_sym_PLUS_PLUS] = ACTIONS(2874),
    [anon_sym_DASH_DASH] = ACTIONS(2874),
    [anon_sym_PIPE] = ACTIONS(2874),
    [anon_sym_CARET] = ACTIONS(2876),
    [anon_sym_LT_LT] = ACTIONS(2874),
    [anon_sym_GT_GT] = ACTIONS(2874),
    [anon_sym_BANG2] = ACTIONS(2876),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(4975),
    [sym__dot_custom] = ACTIONS(2874),
    [sym__conjunction_operator_custom] = ACTIONS(2874),
    [sym__disjunction_operator_custom] = ACTIONS(2874),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2874),
    [sym__eq_custom] = ACTIONS(2874),
    [sym__eq_eq_custom] = ACTIONS(2874),
    [sym__plus_then_ws] = ACTIONS(2874),
    [sym__minus_then_ws] = ACTIONS(2874),
    [sym__bang_custom] = ACTIONS(2874),
    [sym__throws_keyword] = ACTIONS(2848),
    [sym__rethrows_keyword] = ACTIONS(2848),
    [sym__as_custom] = ACTIONS(2874),
    [sym__as_quest_custom] = ACTIONS(2874),
    [sym__as_bang_custom] = ACTIONS(2874),
    [sym__async_keyword_custom] = ACTIONS(4977),
    [sym__custom_operator] = ACTIONS(2874),
  },
  [1720] = {
    [sym__immediate_quest] = STATE(1712),
    [aux_sym_optional_type_repeat1] = STATE(1712),
    [ts_builtin_sym_end] = ACTIONS(2840),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(2840),
    [anon_sym_LPAREN] = ACTIONS(2840),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_DOT] = ACTIONS(2842),
    [anon_sym_QMARK] = ACTIONS(2842),
    [anon_sym_QMARK2] = ACTIONS(4855),
    [anon_sym_AMP] = ACTIONS(2840),
    [aux_sym_custom_operator_token1] = ACTIONS(2840),
    [anon_sym_LT] = ACTIONS(2842),
    [anon_sym_GT] = ACTIONS(2842),
    [anon_sym_LBRACE] = ACTIONS(2840),
    [anon_sym_CARET_LBRACE] = ACTIONS(2840),
    [anon_sym_RBRACE] = ACTIONS(2840),
    [anon_sym_PLUS_EQ] = ACTIONS(2840),
    [anon_sym_DASH_EQ] = ACTIONS(2840),
    [anon_sym_STAR_EQ] = ACTIONS(2840),
    [anon_sym_SLASH_EQ] = ACTIONS(2840),
    [anon_sym_PERCENT_EQ] = ACTIONS(2840),
    [anon_sym_BANG_EQ] = ACTIONS(2842),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2840),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2840),
    [anon_sym_LT_EQ] = ACTIONS(2840),
    [anon_sym_GT_EQ] = ACTIONS(2840),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2840),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2840),
    [anon_sym_is] = ACTIONS(2840),
    [anon_sym_PLUS] = ACTIONS(2842),
    [anon_sym_DASH] = ACTIONS(2842),
    [anon_sym_STAR] = ACTIONS(2842),
    [anon_sym_SLASH] = ACTIONS(2842),
    [anon_sym_PERCENT] = ACTIONS(2842),
    [anon_sym_PLUS_PLUS] = ACTIONS(2840),
    [anon_sym_DASH_DASH] = ACTIONS(2840),
    [anon_sym_PIPE] = ACTIONS(2840),
    [anon_sym_CARET] = ACTIONS(2842),
    [anon_sym_LT_LT] = ACTIONS(2840),
    [anon_sym_GT_GT] = ACTIONS(2840),
    [anon_sym_BANG2] = ACTIONS(2842),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2840),
    [sym__explicit_semi] = ACTIONS(2840),
    [sym__arrow_operator_custom] = ACTIONS(2840),
    [sym__dot_custom] = ACTIONS(2840),
    [sym__conjunction_operator_custom] = ACTIONS(2840),
    [sym__disjunction_operator_custom] = ACTIONS(2840),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2840),
    [sym__eq_custom] = ACTIONS(2840),
    [sym__eq_eq_custom] = ACTIONS(2840),
    [sym__plus_then_ws] = ACTIONS(2840),
    [sym__minus_then_ws] = ACTIONS(2840),
    [sym__bang_custom] = ACTIONS(2840),
    [sym__throws_keyword] = ACTIONS(2840),
    [sym__rethrows_keyword] = ACTIONS(2840),
    [sym_where_keyword] = ACTIONS(2840),
    [sym__as_custom] = ACTIONS(2840),
    [sym__as_quest_custom] = ACTIONS(2840),
    [sym__as_bang_custom] = ACTIONS(2840),
    [sym__async_keyword_custom] = ACTIONS(2840),
    [sym__custom_operator] = ACTIONS(2840),
  },
  [1721] = {
    [sym__dot] = STATE(4620),
    [aux_sym_user_type_repeat1] = STATE(1721),
    [ts_builtin_sym_end] = ACTIONS(2798),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(2798),
    [anon_sym_LPAREN] = ACTIONS(2798),
    [anon_sym_LBRACK] = ACTIONS(2798),
    [anon_sym_DOT] = ACTIONS(2800),
    [anon_sym_QMARK] = ACTIONS(2800),
    [anon_sym_QMARK2] = ACTIONS(2798),
    [anon_sym_AMP] = ACTIONS(2798),
    [aux_sym_custom_operator_token1] = ACTIONS(2798),
    [anon_sym_LT] = ACTIONS(2800),
    [anon_sym_GT] = ACTIONS(2800),
    [anon_sym_LBRACE] = ACTIONS(2798),
    [anon_sym_CARET_LBRACE] = ACTIONS(2798),
    [anon_sym_RBRACE] = ACTIONS(2798),
    [anon_sym_PLUS_EQ] = ACTIONS(2798),
    [anon_sym_DASH_EQ] = ACTIONS(2798),
    [anon_sym_STAR_EQ] = ACTIONS(2798),
    [anon_sym_SLASH_EQ] = ACTIONS(2798),
    [anon_sym_PERCENT_EQ] = ACTIONS(2798),
    [anon_sym_BANG_EQ] = ACTIONS(2800),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2798),
    [anon_sym_LT_EQ] = ACTIONS(2798),
    [anon_sym_GT_EQ] = ACTIONS(2798),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2798),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2798),
    [anon_sym_is] = ACTIONS(2798),
    [anon_sym_PLUS] = ACTIONS(2800),
    [anon_sym_DASH] = ACTIONS(2800),
    [anon_sym_STAR] = ACTIONS(2800),
    [anon_sym_SLASH] = ACTIONS(2800),
    [anon_sym_PERCENT] = ACTIONS(2800),
    [anon_sym_PLUS_PLUS] = ACTIONS(2798),
    [anon_sym_DASH_DASH] = ACTIONS(2798),
    [anon_sym_PIPE] = ACTIONS(2798),
    [anon_sym_CARET] = ACTIONS(2800),
    [anon_sym_LT_LT] = ACTIONS(2798),
    [anon_sym_GT_GT] = ACTIONS(2798),
    [anon_sym_BANG2] = ACTIONS(2800),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2798),
    [sym__explicit_semi] = ACTIONS(2798),
    [sym__arrow_operator_custom] = ACTIONS(2798),
    [sym__dot_custom] = ACTIONS(4994),
    [sym__conjunction_operator_custom] = ACTIONS(2798),
    [sym__disjunction_operator_custom] = ACTIONS(2798),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2798),
    [sym__eq_custom] = ACTIONS(2798),
    [sym__eq_eq_custom] = ACTIONS(2798),
    [sym__plus_then_ws] = ACTIONS(2798),
    [sym__minus_then_ws] = ACTIONS(2798),
    [sym__bang_custom] = ACTIONS(2798),
    [sym__throws_keyword] = ACTIONS(2798),
    [sym__rethrows_keyword] = ACTIONS(2798),
    [sym_where_keyword] = ACTIONS(2798),
    [sym__as_custom] = ACTIONS(2798),
    [sym__as_quest_custom] = ACTIONS(2798),
    [sym__as_bang_custom] = ACTIONS(2798),
    [sym__async_keyword_custom] = ACTIONS(2798),
    [sym__custom_operator] = ACTIONS(2798),
  },
  [1722] = {
    [sym__arrow_operator] = STATE(3859),
    [sym__async_keyword] = STATE(5901),
    [sym_throws] = STATE(7562),
    [aux_sym_protocol_composition_type_repeat1] = STATE(1852),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(2900),
    [anon_sym_COMMA] = ACTIONS(2900),
    [anon_sym_COLON] = ACTIONS(2900),
    [anon_sym_LPAREN] = ACTIONS(2900),
    [anon_sym_LBRACK] = ACTIONS(2900),
    [anon_sym_RBRACK] = ACTIONS(2900),
    [anon_sym_DOT] = ACTIONS(2902),
    [anon_sym_QMARK] = ACTIONS(2902),
    [anon_sym_QMARK2] = ACTIONS(2900),
    [anon_sym_AMP] = ACTIONS(2900),
    [aux_sym_custom_operator_token1] = ACTIONS(2900),
    [anon_sym_LT] = ACTIONS(2902),
    [anon_sym_GT] = ACTIONS(2902),
    [anon_sym_LBRACE] = ACTIONS(2900),
    [anon_sym_CARET_LBRACE] = ACTIONS(2900),
    [anon_sym_PLUS_EQ] = ACTIONS(2900),
    [anon_sym_DASH_EQ] = ACTIONS(2900),
    [anon_sym_STAR_EQ] = ACTIONS(2900),
    [anon_sym_SLASH_EQ] = ACTIONS(2900),
    [anon_sym_PERCENT_EQ] = ACTIONS(2900),
    [anon_sym_BANG_EQ] = ACTIONS(2902),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2900),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2900),
    [anon_sym_LT_EQ] = ACTIONS(2900),
    [anon_sym_GT_EQ] = ACTIONS(2900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2900),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2900),
    [anon_sym_is] = ACTIONS(2900),
    [anon_sym_PLUS] = ACTIONS(2902),
    [anon_sym_DASH] = ACTIONS(2902),
    [anon_sym_STAR] = ACTIONS(2902),
    [anon_sym_SLASH] = ACTIONS(2902),
    [anon_sym_PERCENT] = ACTIONS(2902),
    [anon_sym_PLUS_PLUS] = ACTIONS(2900),
    [anon_sym_DASH_DASH] = ACTIONS(2900),
    [anon_sym_PIPE] = ACTIONS(2900),
    [anon_sym_CARET] = ACTIONS(2902),
    [anon_sym_LT_LT] = ACTIONS(2900),
    [anon_sym_GT_GT] = ACTIONS(2900),
    [anon_sym_BANG2] = ACTIONS(2902),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2900),
    [sym__dot_custom] = ACTIONS(2900),
    [sym__conjunction_operator_custom] = ACTIONS(2900),
    [sym__disjunction_operator_custom] = ACTIONS(2900),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2900),
    [sym__eq_custom] = ACTIONS(2900),
    [sym__eq_eq_custom] = ACTIONS(2900),
    [sym__plus_then_ws] = ACTIONS(2900),
    [sym__minus_then_ws] = ACTIONS(2900),
    [sym__bang_custom] = ACTIONS(2900),
    [sym__throws_keyword] = ACTIONS(2900),
    [sym__rethrows_keyword] = ACTIONS(2900),
    [sym__as_custom] = ACTIONS(2900),
    [sym__as_quest_custom] = ACTIONS(2900),
    [sym__as_bang_custom] = ACTIONS(2900),
    [sym__async_keyword_custom] = ACTIONS(2900),
    [sym__custom_operator] = ACTIONS(2900),
  },
  [1723] = {
    [sym__dot] = STATE(4620),
    [aux_sym_user_type_repeat1] = STATE(1717),
    [ts_builtin_sym_end] = ACTIONS(2805),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(2805),
    [anon_sym_LPAREN] = ACTIONS(2805),
    [anon_sym_LBRACK] = ACTIONS(2805),
    [anon_sym_DOT] = ACTIONS(2807),
    [anon_sym_QMARK] = ACTIONS(2807),
    [anon_sym_QMARK2] = ACTIONS(2805),
    [anon_sym_AMP] = ACTIONS(2805),
    [aux_sym_custom_operator_token1] = ACTIONS(2805),
    [anon_sym_LT] = ACTIONS(2807),
    [anon_sym_GT] = ACTIONS(2807),
    [anon_sym_LBRACE] = ACTIONS(2805),
    [anon_sym_CARET_LBRACE] = ACTIONS(2805),
    [anon_sym_RBRACE] = ACTIONS(2805),
    [anon_sym_PLUS_EQ] = ACTIONS(2805),
    [anon_sym_DASH_EQ] = ACTIONS(2805),
    [anon_sym_STAR_EQ] = ACTIONS(2805),
    [anon_sym_SLASH_EQ] = ACTIONS(2805),
    [anon_sym_PERCENT_EQ] = ACTIONS(2805),
    [anon_sym_BANG_EQ] = ACTIONS(2807),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2805),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2805),
    [anon_sym_LT_EQ] = ACTIONS(2805),
    [anon_sym_GT_EQ] = ACTIONS(2805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2805),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2805),
    [anon_sym_is] = ACTIONS(2805),
    [anon_sym_PLUS] = ACTIONS(2807),
    [anon_sym_DASH] = ACTIONS(2807),
    [anon_sym_STAR] = ACTIONS(2807),
    [anon_sym_SLASH] = ACTIONS(2807),
    [anon_sym_PERCENT] = ACTIONS(2807),
    [anon_sym_PLUS_PLUS] = ACTIONS(2805),
    [anon_sym_DASH_DASH] = ACTIONS(2805),
    [anon_sym_PIPE] = ACTIONS(2805),
    [anon_sym_CARET] = ACTIONS(2807),
    [anon_sym_LT_LT] = ACTIONS(2805),
    [anon_sym_GT_GT] = ACTIONS(2805),
    [anon_sym_BANG2] = ACTIONS(2807),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2805),
    [sym__explicit_semi] = ACTIONS(2805),
    [sym__arrow_operator_custom] = ACTIONS(2805),
    [sym__dot_custom] = ACTIONS(4997),
    [sym__conjunction_operator_custom] = ACTIONS(2805),
    [sym__disjunction_operator_custom] = ACTIONS(2805),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2805),
    [sym__eq_custom] = ACTIONS(2805),
    [sym__eq_eq_custom] = ACTIONS(2805),
    [sym__plus_then_ws] = ACTIONS(2805),
    [sym__minus_then_ws] = ACTIONS(2805),
    [sym__bang_custom] = ACTIONS(2805),
    [sym__throws_keyword] = ACTIONS(2805),
    [sym__rethrows_keyword] = ACTIONS(2805),
    [sym_where_keyword] = ACTIONS(2805),
    [sym__as_custom] = ACTIONS(2805),
    [sym__as_quest_custom] = ACTIONS(2805),
    [sym__as_bang_custom] = ACTIONS(2805),
    [sym__async_keyword_custom] = ACTIONS(2805),
    [sym__custom_operator] = ACTIONS(2805),
  },
  [1724] = {
    [sym__arrow_operator] = STATE(3869),
    [sym__async_keyword] = STATE(6094),
    [sym_throws] = STATE(7400),
    [aux_sym_protocol_composition_type_repeat1] = STATE(1870),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(2892),
    [anon_sym_LPAREN] = ACTIONS(2892),
    [anon_sym_LBRACK] = ACTIONS(2892),
    [anon_sym_DOT] = ACTIONS(4985),
    [anon_sym_QMARK] = ACTIONS(2894),
    [anon_sym_QMARK2] = ACTIONS(2892),
    [anon_sym_AMP] = ACTIONS(4987),
    [aux_sym_custom_operator_token1] = ACTIONS(2892),
    [anon_sym_LT] = ACTIONS(2894),
    [anon_sym_GT] = ACTIONS(2894),
    [anon_sym_LBRACE] = ACTIONS(2892),
    [anon_sym_CARET_LBRACE] = ACTIONS(2892),
    [anon_sym_RBRACE] = ACTIONS(2892),
    [anon_sym_PLUS_EQ] = ACTIONS(2892),
    [anon_sym_DASH_EQ] = ACTIONS(2892),
    [anon_sym_STAR_EQ] = ACTIONS(2892),
    [anon_sym_SLASH_EQ] = ACTIONS(2892),
    [anon_sym_PERCENT_EQ] = ACTIONS(2892),
    [anon_sym_BANG_EQ] = ACTIONS(2894),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2892),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2892),
    [anon_sym_LT_EQ] = ACTIONS(2892),
    [anon_sym_GT_EQ] = ACTIONS(2892),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2892),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2892),
    [anon_sym_is] = ACTIONS(2892),
    [anon_sym_PLUS] = ACTIONS(2894),
    [anon_sym_DASH] = ACTIONS(2894),
    [anon_sym_STAR] = ACTIONS(2894),
    [anon_sym_SLASH] = ACTIONS(2894),
    [anon_sym_PERCENT] = ACTIONS(2894),
    [anon_sym_PLUS_PLUS] = ACTIONS(2892),
    [anon_sym_DASH_DASH] = ACTIONS(2892),
    [anon_sym_PIPE] = ACTIONS(2892),
    [anon_sym_CARET] = ACTIONS(2894),
    [anon_sym_LT_LT] = ACTIONS(2892),
    [anon_sym_GT_GT] = ACTIONS(2892),
    [anon_sym_BANG2] = ACTIONS(2894),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(2892),
    [sym__implicit_semi] = ACTIONS(2892),
    [sym__explicit_semi] = ACTIONS(2892),
    [sym__arrow_operator_custom] = ACTIONS(4981),
    [sym__dot_custom] = ACTIONS(2892),
    [sym__conjunction_operator_custom] = ACTIONS(2892),
    [sym__disjunction_operator_custom] = ACTIONS(2892),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2892),
    [sym__eq_custom] = ACTIONS(2892),
    [sym__eq_eq_custom] = ACTIONS(2892),
    [sym__plus_then_ws] = ACTIONS(2892),
    [sym__minus_then_ws] = ACTIONS(2892),
    [sym__bang_custom] = ACTIONS(2892),
    [sym__throws_keyword] = ACTIONS(2848),
    [sym__rethrows_keyword] = ACTIONS(2848),
    [sym__as_custom] = ACTIONS(2892),
    [sym__as_quest_custom] = ACTIONS(2892),
    [sym__as_bang_custom] = ACTIONS(2892),
    [sym__async_keyword_custom] = ACTIONS(4983),
    [sym__custom_operator] = ACTIONS(2892),
  },
  [1725] = {
    [sym__immediate_quest] = STATE(1876),
    [sym__arrow_operator] = STATE(3500),
    [sym__async_keyword] = STATE(6036),
    [sym_throws] = STATE(7546),
    [aux_sym_optional_type_repeat1] = STATE(1876),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(2840),
    [anon_sym_COLON] = ACTIONS(2840),
    [anon_sym_LPAREN] = ACTIONS(2840),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_DOT] = ACTIONS(2842),
    [anon_sym_QMARK] = ACTIONS(2842),
    [anon_sym_QMARK2] = ACTIONS(5000),
    [anon_sym_AMP] = ACTIONS(2840),
    [aux_sym_custom_operator_token1] = ACTIONS(2840),
    [anon_sym_LT] = ACTIONS(2842),
    [anon_sym_GT] = ACTIONS(2842),
    [anon_sym_LBRACE] = ACTIONS(2840),
    [anon_sym_CARET_LBRACE] = ACTIONS(2840),
    [anon_sym_PLUS_EQ] = ACTIONS(2840),
    [anon_sym_DASH_EQ] = ACTIONS(2840),
    [anon_sym_STAR_EQ] = ACTIONS(2840),
    [anon_sym_SLASH_EQ] = ACTIONS(2840),
    [anon_sym_PERCENT_EQ] = ACTIONS(2840),
    [anon_sym_BANG_EQ] = ACTIONS(2842),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2840),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2840),
    [anon_sym_LT_EQ] = ACTIONS(2840),
    [anon_sym_GT_EQ] = ACTIONS(2840),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2840),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2840),
    [anon_sym_is] = ACTIONS(2840),
    [anon_sym_PLUS] = ACTIONS(2842),
    [anon_sym_DASH] = ACTIONS(2842),
    [anon_sym_STAR] = ACTIONS(2842),
    [anon_sym_SLASH] = ACTIONS(2842),
    [anon_sym_PERCENT] = ACTIONS(2842),
    [anon_sym_PLUS_PLUS] = ACTIONS(2840),
    [anon_sym_DASH_DASH] = ACTIONS(2840),
    [anon_sym_PIPE] = ACTIONS(2840),
    [anon_sym_CARET] = ACTIONS(2842),
    [anon_sym_LT_LT] = ACTIONS(2840),
    [anon_sym_GT_GT] = ACTIONS(2840),
    [anon_sym_BANG2] = ACTIONS(2842),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(5002),
    [sym__dot_custom] = ACTIONS(2840),
    [sym__conjunction_operator_custom] = ACTIONS(2840),
    [sym__disjunction_operator_custom] = ACTIONS(2840),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2840),
    [sym__eq_custom] = ACTIONS(2840),
    [sym__eq_eq_custom] = ACTIONS(2840),
    [sym__plus_then_ws] = ACTIONS(2840),
    [sym__minus_then_ws] = ACTIONS(2840),
    [sym__bang_custom] = ACTIONS(2840),
    [sym__throws_keyword] = ACTIONS(2848),
    [sym__rethrows_keyword] = ACTIONS(2848),
    [sym_where_keyword] = ACTIONS(2840),
    [sym__as_custom] = ACTIONS(2840),
    [sym__as_quest_custom] = ACTIONS(2840),
    [sym__as_bang_custom] = ACTIONS(2840),
    [sym__async_keyword_custom] = ACTIONS(5004),
    [sym__custom_operator] = ACTIONS(2840),
  },
  [1726] = {
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2975),
    [anon_sym_async] = ACTIONS(2975),
    [anon_sym_lazy] = ACTIONS(2975),
    [anon_sym_package] = ACTIONS(2975),
    [anon_sym_COMMA] = ACTIONS(2975),
    [anon_sym_BANG] = ACTIONS(2975),
    [anon_sym_DOT] = ACTIONS(2975),
    [anon_sym_QMARK2] = ACTIONS(2975),
    [anon_sym_AMP] = ACTIONS(2975),
    [anon_sym_LBRACE] = ACTIONS(2975),
    [anon_sym_RBRACE] = ACTIONS(2975),
    [anon_sym_case] = ACTIONS(2975),
    [anon_sym_import] = ACTIONS(2975),
    [anon_sym_typealias] = ACTIONS(2975),
    [anon_sym_struct] = ACTIONS(2975),
    [anon_sym_class] = ACTIONS(2975),
    [anon_sym_enum] = ACTIONS(2975),
    [anon_sym_protocol] = ACTIONS(2975),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_var] = ACTIONS(2975),
    [anon_sym_func] = ACTIONS(2975),
    [anon_sym_extension] = ACTIONS(2975),
    [anon_sym_indirect] = ACTIONS(2975),
    [anon_sym_init] = ACTIONS(2975),
    [anon_sym_deinit] = ACTIONS(2975),
    [anon_sym_subscript] = ACTIONS(2975),
    [anon_sym_prefix] = ACTIONS(2975),
    [anon_sym_infix] = ACTIONS(2975),
    [anon_sym_postfix] = ACTIONS(2975),
    [anon_sym_precedencegroup] = ACTIONS(2975),
    [anon_sym_associatedtype] = ACTIONS(2975),
    [anon_sym_AT] = ACTIONS(2977),
    [anon_sym_override] = ACTIONS(2975),
    [anon_sym_convenience] = ACTIONS(2975),
    [anon_sym_required] = ACTIONS(2975),
    [anon_sym_nonisolated] = ACTIONS(2975),
    [anon_sym_public] = ACTIONS(2975),
    [anon_sym_private] = ACTIONS(2975),
    [anon_sym_internal] = ACTIONS(2975),
    [anon_sym_fileprivate] = ACTIONS(2975),
    [anon_sym_open] = ACTIONS(2975),
    [anon_sym_mutating] = ACTIONS(2975),
    [anon_sym_nonmutating] = ACTIONS(2975),
    [anon_sym_static] = ACTIONS(2975),
    [anon_sym_dynamic] = ACTIONS(2975),
    [anon_sym_optional] = ACTIONS(2975),
    [anon_sym_distributed] = ACTIONS(2975),
    [anon_sym_final] = ACTIONS(2975),
    [anon_sym_inout] = ACTIONS(2975),
    [anon_sym_ATescaping] = ACTIONS(2975),
    [anon_sym_ATautoclosure] = ACTIONS(2975),
    [anon_sym_weak] = ACTIONS(2975),
    [anon_sym_unowned] = ACTIONS(2977),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2975),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2975),
    [anon_sym_borrowing] = ACTIONS(2975),
    [anon_sym_consuming] = ACTIONS(2975),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2975),
    [sym__throws_keyword] = ACTIONS(2975),
    [sym__rethrows_keyword] = ACTIONS(2975),
    [sym__async_keyword_custom] = ACTIONS(2975),
  },
  [1727] = {
    [sym__arrow_operator] = STATE(3859),
    [sym__async_keyword] = STATE(5901),
    [sym_throws] = STATE(7562),
    [aux_sym_protocol_composition_type_repeat1] = STATE(1852),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(2896),
    [anon_sym_COMMA] = ACTIONS(2896),
    [anon_sym_COLON] = ACTIONS(2896),
    [anon_sym_LPAREN] = ACTIONS(2896),
    [anon_sym_LBRACK] = ACTIONS(2896),
    [anon_sym_RBRACK] = ACTIONS(2896),
    [anon_sym_DOT] = ACTIONS(2868),
    [anon_sym_QMARK] = ACTIONS(2898),
    [anon_sym_QMARK2] = ACTIONS(2896),
    [anon_sym_AMP] = ACTIONS(4989),
    [aux_sym_custom_operator_token1] = ACTIONS(2896),
    [anon_sym_LT] = ACTIONS(2898),
    [anon_sym_GT] = ACTIONS(2898),
    [anon_sym_LBRACE] = ACTIONS(2896),
    [anon_sym_CARET_LBRACE] = ACTIONS(2896),
    [anon_sym_PLUS_EQ] = ACTIONS(2896),
    [anon_sym_DASH_EQ] = ACTIONS(2896),
    [anon_sym_STAR_EQ] = ACTIONS(2896),
    [anon_sym_SLASH_EQ] = ACTIONS(2896),
    [anon_sym_PERCENT_EQ] = ACTIONS(2896),
    [anon_sym_BANG_EQ] = ACTIONS(2898),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2896),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2896),
    [anon_sym_LT_EQ] = ACTIONS(2896),
    [anon_sym_GT_EQ] = ACTIONS(2896),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2896),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2896),
    [anon_sym_is] = ACTIONS(2896),
    [anon_sym_PLUS] = ACTIONS(2898),
    [anon_sym_DASH] = ACTIONS(2898),
    [anon_sym_STAR] = ACTIONS(2898),
    [anon_sym_SLASH] = ACTIONS(2898),
    [anon_sym_PERCENT] = ACTIONS(2898),
    [anon_sym_PLUS_PLUS] = ACTIONS(2896),
    [anon_sym_DASH_DASH] = ACTIONS(2896),
    [anon_sym_PIPE] = ACTIONS(2896),
    [anon_sym_CARET] = ACTIONS(2898),
    [anon_sym_LT_LT] = ACTIONS(2896),
    [anon_sym_GT_GT] = ACTIONS(2896),
    [anon_sym_BANG2] = ACTIONS(2898),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(4975),
    [sym__dot_custom] = ACTIONS(2896),
    [sym__conjunction_operator_custom] = ACTIONS(2896),
    [sym__disjunction_operator_custom] = ACTIONS(2896),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2896),
    [sym__eq_custom] = ACTIONS(2896),
    [sym__eq_eq_custom] = ACTIONS(2896),
    [sym__plus_then_ws] = ACTIONS(2896),
    [sym__minus_then_ws] = ACTIONS(2896),
    [sym__bang_custom] = ACTIONS(2896),
    [sym__throws_keyword] = ACTIONS(2848),
    [sym__rethrows_keyword] = ACTIONS(2848),
    [sym__as_custom] = ACTIONS(2896),
    [sym__as_quest_custom] = ACTIONS(2896),
    [sym__as_bang_custom] = ACTIONS(2896),
    [sym__async_keyword_custom] = ACTIONS(4977),
    [sym__custom_operator] = ACTIONS(2896),
  },
  [1728] = {
    [sym__immediate_quest] = STATE(1728),
    [aux_sym_optional_type_repeat1] = STATE(1728),
    [ts_builtin_sym_end] = ACTIONS(2859),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(2859),
    [anon_sym_LBRACK] = ACTIONS(2859),
    [anon_sym_DOT] = ACTIONS(2861),
    [anon_sym_QMARK] = ACTIONS(2861),
    [anon_sym_QMARK2] = ACTIONS(5006),
    [anon_sym_AMP] = ACTIONS(2859),
    [aux_sym_custom_operator_token1] = ACTIONS(2859),
    [anon_sym_LT] = ACTIONS(2861),
    [anon_sym_GT] = ACTIONS(2861),
    [anon_sym_LBRACE] = ACTIONS(2859),
    [anon_sym_CARET_LBRACE] = ACTIONS(2859),
    [anon_sym_RBRACE] = ACTIONS(2859),
    [anon_sym_PLUS_EQ] = ACTIONS(2859),
    [anon_sym_DASH_EQ] = ACTIONS(2859),
    [anon_sym_STAR_EQ] = ACTIONS(2859),
    [anon_sym_SLASH_EQ] = ACTIONS(2859),
    [anon_sym_PERCENT_EQ] = ACTIONS(2859),
    [anon_sym_BANG_EQ] = ACTIONS(2861),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2859),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2859),
    [anon_sym_LT_EQ] = ACTIONS(2859),
    [anon_sym_GT_EQ] = ACTIONS(2859),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2859),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2859),
    [anon_sym_is] = ACTIONS(2859),
    [anon_sym_PLUS] = ACTIONS(2861),
    [anon_sym_DASH] = ACTIONS(2861),
    [anon_sym_STAR] = ACTIONS(2861),
    [anon_sym_SLASH] = ACTIONS(2861),
    [anon_sym_PERCENT] = ACTIONS(2861),
    [anon_sym_PLUS_PLUS] = ACTIONS(2859),
    [anon_sym_DASH_DASH] = ACTIONS(2859),
    [anon_sym_PIPE] = ACTIONS(2859),
    [anon_sym_CARET] = ACTIONS(2861),
    [anon_sym_LT_LT] = ACTIONS(2859),
    [anon_sym_GT_GT] = ACTIONS(2859),
    [anon_sym_BANG2] = ACTIONS(2861),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__implicit_semi] = ACTIONS(2859),
    [sym__explicit_semi] = ACTIONS(2859),
    [sym__arrow_operator_custom] = ACTIONS(2859),
    [sym__dot_custom] = ACTIONS(2859),
    [sym__conjunction_operator_custom] = ACTIONS(2859),
    [sym__disjunction_operator_custom] = ACTIONS(2859),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2859),
    [sym__eq_custom] = ACTIONS(2859),
    [sym__eq_eq_custom] = ACTIONS(2859),
    [sym__plus_then_ws] = ACTIONS(2859),
    [sym__minus_then_ws] = ACTIONS(2859),
    [sym__bang_custom] = ACTIONS(2859),
    [sym__throws_keyword] = ACTIONS(2859),
    [sym__rethrows_keyword] = ACTIONS(2859),
    [sym_where_keyword] = ACTIONS(2859),
    [sym__as_custom] = ACTIONS(2859),
    [sym__as_quest_custom] = ACTIONS(2859),
    [sym__as_bang_custom] = ACTIONS(2859),
    [sym__async_keyword_custom] = ACTIONS(2859),
    [sym__custom_operator] = ACTIONS(2859),
  },
  [1729] = {
    [sym_type_arguments] = STATE(1829),
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(5009),
    [anon_sym_async] = ACTIONS(5009),
    [anon_sym_lazy] = ACTIONS(5009),
    [anon_sym_package] = ACTIONS(5009),
    [anon_sym_COMMA] = ACTIONS(5009),
    [anon_sym_COLON] = ACTIONS(5009),
    [anon_sym_QMARK] = ACTIONS(5009),
    [anon_sym_LT] = ACTIONS(5011),
    [anon_sym_LBRACE] = ACTIONS(5009),
    [anon_sym_RBRACE] = ACTIONS(5009),
    [anon_sym_case] = ACTIONS(5009),
    [anon_sym_import] = ACTIONS(5009),
    [anon_sym_typealias] = ACTIONS(5009),
    [anon_sym_struct] = ACTIONS(5009),
    [anon_sym_class] = ACTIONS(5009),
    [anon_sym_enum] = ACTIONS(5009),
    [anon_sym_protocol] = ACTIONS(5009),
    [anon_sym_let] = ACTIONS(5009),
    [anon_sym_var] = ACTIONS(5009),
    [anon_sym_func] = ACTIONS(5009),
    [anon_sym_extension] = ACTIONS(5009),
    [anon_sym_indirect] = ACTIONS(5009),
    [anon_sym_init] = ACTIONS(5009),
    [anon_sym_deinit] = ACTIONS(5009),
    [anon_sym_subscript] = ACTIONS(5009),
    [anon_sym_prefix] = ACTIONS(5009),
    [anon_sym_infix] = ACTIONS(5009),
    [anon_sym_postfix] = ACTIONS(5009),
    [anon_sym_precedencegroup] = ACTIONS(5009),
    [anon_sym_associatedtype] = ACTIONS(5009),
    [anon_sym_AT] = ACTIONS(5013),
    [anon_sym_override] = ACTIONS(5009),
    [anon_sym_convenience] = ACTIONS(5009),
    [anon_sym_required] = ACTIONS(5009),
    [anon_sym_nonisolated] = ACTIONS(5009),
    [anon_sym_public] = ACTIONS(5009),
    [anon_sym_private] = ACTIONS(5009),
    [anon_sym_internal] = ACTIONS(5009),
    [anon_sym_fileprivate] = ACTIONS(5009),
    [anon_sym_open] = ACTIONS(5009),
    [anon_sym_mutating] = ACTIONS(5009),
    [anon_sym_nonmutating] = ACTIONS(5009),
    [anon_sym_static] = ACTIONS(5009),
    [anon_sym_dynamic] = ACTIONS(5009),
    [anon_sym_optional] = ACTIONS(5009),
    [anon_sym_distributed] = ACTIONS(5009),
    [anon_sym_final] = ACTIONS(5009),
    [anon_sym_inout] = ACTIONS(5009),
    [anon_sym_ATescaping] = ACTIONS(5009),
    [anon_sym_ATautoclosure] = ACTIONS(5009),
    [anon_sym_weak] = ACTIONS(5009),
    [anon_sym_unowned] = ACTIONS(5013),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(5009),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(5009),
    [anon_sym_borrowing] = ACTIONS(5009),
    [anon_sym_consuming] = ACTIONS(5009),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2882),
    [sym__eq_custom] = ACTIONS(5009),
    [sym_where_keyword] = ACTIONS(5009),
    [sym__as_custom] = ACTIONS(5009),
  },
  [1730] = {
    [sym__arrow_operator] = STATE(3859),
    [sym__async_keyword] = STATE(5901),
    [sym_throws] = STATE(7562),
    [aux_sym_protocol_composition_type_repeat1] = STATE(1852),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(2878),
    [anon_sym_COMMA] = ACTIONS(2878),
    [anon_sym_COLON] = ACTIONS(2878),
    [anon_sym_LPAREN] = ACTIONS(2878),
    [anon_sym_LBRACK] = ACTIONS(2878),
    [anon_sym_RBRACK] = ACTIONS(2878),
    [anon_sym_DOT] = ACTIONS(2880),
    [anon_sym_QMARK] = ACTIONS(2880),
    [anon_sym_QMARK2] = ACTIONS(2878),
    [anon_sym_AMP] = ACTIONS(2878),
    [aux_sym_custom_operator_token1] = ACTIONS(2878),
    [anon_sym_LT] = ACTIONS(2880),
    [anon_sym_GT] = ACTIONS(2880),
    [anon_sym_LBRACE] = ACTIONS(2878),
    [anon_sym_CARET_LBRACE] = ACTIONS(2878),
    [anon_sym_PLUS_EQ] = ACTIONS(2878),
    [anon_sym_DASH_EQ] = ACTIONS(2878),
    [anon_sym_STAR_EQ] = ACTIONS(2878),
    [anon_sym_SLASH_EQ] = ACTIONS(2878),
    [anon_sym_PERCENT_EQ] = ACTIONS(2878),
    [anon_sym_BANG_EQ] = ACTIONS(2880),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2878),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2878),
    [anon_sym_LT_EQ] = ACTIONS(2878),
    [anon_sym_GT_EQ] = ACTIONS(2878),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2878),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2878),
    [anon_sym_is] = ACTIONS(2878),
    [anon_sym_PLUS] = ACTIONS(2880),
    [anon_sym_DASH] = ACTIONS(2880),
    [anon_sym_STAR] = ACTIONS(2880),
    [anon_sym_SLASH] = ACTIONS(2880),
    [anon_sym_PERCENT] = ACTIONS(2880),
    [anon_sym_PLUS_PLUS] = ACTIONS(2878),
    [anon_sym_DASH_DASH] = ACTIONS(2878),
    [anon_sym_PIPE] = ACTIONS(2878),
    [anon_sym_CARET] = ACTIONS(2880),
    [anon_sym_LT_LT] = ACTIONS(2878),
    [anon_sym_GT_GT] = ACTIONS(2878),
    [anon_sym_BANG2] = ACTIONS(2880),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2878),
    [sym__dot_custom] = ACTIONS(2878),
    [sym__conjunction_operator_custom] = ACTIONS(2878),
    [sym__disjunction_operator_custom] = ACTIONS(2878),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2878),
    [sym__eq_custom] = ACTIONS(2878),
    [sym__eq_eq_custom] = ACTIONS(2878),
    [sym__plus_then_ws] = ACTIONS(2878),
    [sym__minus_then_ws] = ACTIONS(2878),
    [sym__bang_custom] = ACTIONS(2878),
    [sym__throws_keyword] = ACTIONS(2878),
    [sym__rethrows_keyword] = ACTIONS(2878),
    [sym__as_custom] = ACTIONS(2878),
    [sym__as_quest_custom] = ACTIONS(2878),
    [sym__as_bang_custom] = ACTIONS(2878),
    [sym__async_keyword_custom] = ACTIONS(2878),
    [sym__custom_operator] = ACTIONS(2878),
  },
  [1731] = {
    [sym_type_arguments] = STATE(1829),
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2882),
    [anon_sym_async] = ACTIONS(2882),
    [anon_sym_lazy] = ACTIONS(2882),
    [anon_sym_package] = ACTIONS(2882),
    [anon_sym_LPAREN] = ACTIONS(2882),
    [anon_sym_LT] = ACTIONS(5011),
    [anon_sym_LBRACE] = ACTIONS(2882),
    [anon_sym_CARET_LBRACE] = ACTIONS(2882),
    [anon_sym_case] = ACTIONS(2882),
    [anon_sym_import] = ACTIONS(2882),
    [anon_sym_typealias] = ACTIONS(2882),
    [anon_sym_struct] = ACTIONS(2882),
    [anon_sym_class] = ACTIONS(2882),
    [anon_sym_enum] = ACTIONS(2882),
    [anon_sym_protocol] = ACTIONS(2882),
    [anon_sym_let] = ACTIONS(2882),
    [anon_sym_var] = ACTIONS(2882),
    [anon_sym_func] = ACTIONS(2882),
    [anon_sym_willSet] = ACTIONS(2882),
    [anon_sym_didSet] = ACTIONS(2882),
    [anon_sym_macro] = ACTIONS(2882),
    [anon_sym_extension] = ACTIONS(2882),
    [anon_sym_indirect] = ACTIONS(2882),
    [anon_sym_init] = ACTIONS(2882),
    [anon_sym_deinit] = ACTIONS(2882),
    [anon_sym_subscript] = ACTIONS(2882),
    [anon_sym_get] = ACTIONS(2882),
    [anon_sym_set] = ACTIONS(2882),
    [anon_sym__modify] = ACTIONS(2882),
    [anon_sym_prefix] = ACTIONS(2882),
    [anon_sym_infix] = ACTIONS(2882),
    [anon_sym_postfix] = ACTIONS(2882),
    [anon_sym_associatedtype] = ACTIONS(2882),
    [anon_sym_AT] = ACTIONS(2884),
    [anon_sym_override] = ACTIONS(2882),
    [anon_sym_convenience] = ACTIONS(2882),
    [anon_sym_required] = ACTIONS(2882),
    [anon_sym_nonisolated] = ACTIONS(2882),
    [anon_sym_public] = ACTIONS(2882),
    [anon_sym_private] = ACTIONS(2882),
    [anon_sym_internal] = ACTIONS(2882),
    [anon_sym_fileprivate] = ACTIONS(2882),
    [anon_sym_open] = ACTIONS(2882),
    [anon_sym_mutating] = ACTIONS(2882),
    [anon_sym_nonmutating] = ACTIONS(2882),
    [anon_sym_static] = ACTIONS(2882),
    [anon_sym_dynamic] = ACTIONS(2882),
    [anon_sym_optional] = ACTIONS(2882),
    [anon_sym_distributed] = ACTIONS(2882),
    [anon_sym_final] = ACTIONS(2882),
    [anon_sym_inout] = ACTIONS(2882),
    [anon_sym_ATescaping] = ACTIONS(2882),
    [anon_sym_ATautoclosure] = ACTIONS(2882),
    [anon_sym_weak] = ACTIONS(2882),
    [anon_sym_unowned] = ACTIONS(2884),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2882),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2882),
    [anon_sym_borrowing] = ACTIONS(2882),
    [anon_sym_consuming] = ACTIONS(2882),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(2882),
  },
  [1732] = {
    [sym__dot] = STATE(4596),
    [aux_sym_user_type_repeat1] = STATE(1732),
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2798),
    [anon_sym_async] = ACTIONS(2798),
    [anon_sym_lazy] = ACTIONS(2798),
    [anon_sym_package] = ACTIONS(2798),
    [anon_sym_LPAREN] = ACTIONS(2798),
    [anon_sym_LBRACE] = ACTIONS(2798),
    [anon_sym_CARET_LBRACE] = ACTIONS(2798),
    [anon_sym_case] = ACTIONS(2798),
    [anon_sym_import] = ACTIONS(2798),
    [anon_sym_typealias] = ACTIONS(2798),
    [anon_sym_struct] = ACTIONS(2798),
    [anon_sym_class] = ACTIONS(2798),
    [anon_sym_enum] = ACTIONS(2798),
    [anon_sym_protocol] = ACTIONS(2798),
    [anon_sym_let] = ACTIONS(2798),
    [anon_sym_var] = ACTIONS(2798),
    [anon_sym_func] = ACTIONS(2798),
    [anon_sym_willSet] = ACTIONS(2798),
    [anon_sym_didSet] = ACTIONS(2798),
    [anon_sym_macro] = ACTIONS(2798),
    [anon_sym_extension] = ACTIONS(2798),
    [anon_sym_indirect] = ACTIONS(2798),
    [anon_sym_init] = ACTIONS(2798),
    [anon_sym_deinit] = ACTIONS(2798),
    [anon_sym_subscript] = ACTIONS(2798),
    [anon_sym_get] = ACTIONS(2798),
    [anon_sym_set] = ACTIONS(2798),
    [anon_sym__modify] = ACTIONS(2798),
    [anon_sym_prefix] = ACTIONS(2798),
    [anon_sym_infix] = ACTIONS(2798),
    [anon_sym_postfix] = ACTIONS(2798),
    [anon_sym_associatedtype] = ACTIONS(2798),
    [anon_sym_AT] = ACTIONS(2800),
    [anon_sym_override] = ACTIONS(2798),
    [anon_sym_convenience] = ACTIONS(2798),
    [anon_sym_required] = ACTIONS(2798),
    [anon_sym_nonisolated] = ACTIONS(2798),
    [anon_sym_public] = ACTIONS(2798),
    [anon_sym_private] = ACTIONS(2798),
    [anon_sym_internal] = ACTIONS(2798),
    [anon_sym_fileprivate] = ACTIONS(2798),
    [anon_sym_open] = ACTIONS(2798),
    [anon_sym_mutating] = ACTIONS(2798),
    [anon_sym_nonmutating] = ACTIONS(2798),
    [anon_sym_static] = ACTIONS(2798),
    [anon_sym_dynamic] = ACTIONS(2798),
    [anon_sym_optional] = ACTIONS(2798),
    [anon_sym_distributed] = ACTIONS(2798),
    [anon_sym_final] = ACTIONS(2798),
    [anon_sym_inout] = ACTIONS(2798),
    [anon_sym_ATescaping] = ACTIONS(2798),
    [anon_sym_ATautoclosure] = ACTIONS(2798),
    [anon_sym_weak] = ACTIONS(2798),
    [anon_sym_unowned] = ACTIONS(2800),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2798),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2798),
    [anon_sym_borrowing] = ACTIONS(2798),
    [anon_sym_consuming] = ACTIONS(2798),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__dot_custom] = ACTIONS(5015),
  },
  [1733] = {
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2995),
    [anon_sym_async] = ACTIONS(2995),
    [anon_sym_lazy] = ACTIONS(2995),
    [anon_sym_package] = ACTIONS(2995),
    [anon_sym_COMMA] = ACTIONS(2995),
    [anon_sym_BANG] = ACTIONS(2995),
    [anon_sym_DOT] = ACTIONS(2995),
    [anon_sym_QMARK2] = ACTIONS(2995),
    [anon_sym_AMP] = ACTIONS(2995),
    [anon_sym_LBRACE] = ACTIONS(2995),
    [anon_sym_RBRACE] = ACTIONS(2995),
    [anon_sym_case] = ACTIONS(2995),
    [anon_sym_import] = ACTIONS(2995),
    [anon_sym_typealias] = ACTIONS(2995),
    [anon_sym_struct] = ACTIONS(2995),
    [anon_sym_class] = ACTIONS(2995),
    [anon_sym_enum] = ACTIONS(2995),
    [anon_sym_protocol] = ACTIONS(2995),
    [anon_sym_let] = ACTIONS(2995),
    [anon_sym_var] = ACTIONS(2995),
    [anon_sym_func] = ACTIONS(2995),
    [anon_sym_extension] = ACTIONS(2995),
    [anon_sym_indirect] = ACTIONS(2995),
    [anon_sym_init] = ACTIONS(2995),
    [anon_sym_deinit] = ACTIONS(2995),
    [anon_sym_subscript] = ACTIONS(2995),
    [anon_sym_prefix] = ACTIONS(2995),
    [anon_sym_infix] = ACTIONS(2995),
    [anon_sym_postfix] = ACTIONS(2995),
    [anon_sym_precedencegroup] = ACTIONS(2995),
    [anon_sym_associatedtype] = ACTIONS(2995),
    [anon_sym_AT] = ACTIONS(2997),
    [anon_sym_override] = ACTIONS(2995),
    [anon_sym_convenience] = ACTIONS(2995),
    [anon_sym_required] = ACTIONS(2995),
    [anon_sym_nonisolated] = ACTIONS(2995),
    [anon_sym_public] = ACTIONS(2995),
    [anon_sym_private] = ACTIONS(2995),
    [anon_sym_internal] = ACTIONS(2995),
    [anon_sym_fileprivate] = ACTIONS(2995),
    [anon_sym_open] = ACTIONS(2995),
    [anon_sym_mutating] = ACTIONS(2995),
    [anon_sym_nonmutating] = ACTIONS(2995),
    [anon_sym_static] = ACTIONS(2995),
    [anon_sym_dynamic] = ACTIONS(2995),
    [anon_sym_optional] = ACTIONS(2995),
    [anon_sym_distributed] = ACTIONS(2995),
    [anon_sym_final] = ACTIONS(2995),
    [anon_sym_inout] = ACTIONS(2995),
    [anon_sym_ATescaping] = ACTIONS(2995),
    [anon_sym_ATautoclosure] = ACTIONS(2995),
    [anon_sym_weak] = ACTIONS(2995),
    [anon_sym_unowned] = ACTIONS(2997),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2995),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2995),
    [anon_sym_borrowing] = ACTIONS(2995),
    [anon_sym_consuming] = ACTIONS(2995),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2995),
    [sym__throws_keyword] = ACTIONS(2995),
    [sym__rethrows_keyword] = ACTIONS(2995),
    [sym__async_keyword_custom] = ACTIONS(2995),
  },
  [1734] = {
    [aux_sym_protocol_composition_type_repeat1] = STATE(1734),
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2892),
    [anon_sym_async] = ACTIONS(2892),
    [anon_sym_lazy] = ACTIONS(2892),
    [anon_sym_package] = ACTIONS(2892),
    [anon_sym_COMMA] = ACTIONS(2892),
    [anon_sym_BANG] = ACTIONS(2892),
    [anon_sym_DOT] = ACTIONS(2892),
    [anon_sym_AMP] = ACTIONS(5018),
    [anon_sym_LBRACE] = ACTIONS(2892),
    [anon_sym_RBRACE] = ACTIONS(2892),
    [anon_sym_case] = ACTIONS(2892),
    [anon_sym_import] = ACTIONS(2892),
    [anon_sym_typealias] = ACTIONS(2892),
    [anon_sym_struct] = ACTIONS(2892),
    [anon_sym_class] = ACTIONS(2892),
    [anon_sym_enum] = ACTIONS(2892),
    [anon_sym_protocol] = ACTIONS(2892),
    [anon_sym_let] = ACTIONS(2892),
    [anon_sym_var] = ACTIONS(2892),
    [anon_sym_func] = ACTIONS(2892),
    [anon_sym_extension] = ACTIONS(2892),
    [anon_sym_indirect] = ACTIONS(2892),
    [anon_sym_init] = ACTIONS(2892),
    [anon_sym_deinit] = ACTIONS(2892),
    [anon_sym_subscript] = ACTIONS(2892),
    [anon_sym_prefix] = ACTIONS(2892),
    [anon_sym_infix] = ACTIONS(2892),
    [anon_sym_postfix] = ACTIONS(2892),
    [anon_sym_precedencegroup] = ACTIONS(2892),
    [anon_sym_associatedtype] = ACTIONS(2892),
    [anon_sym_AT] = ACTIONS(2894),
    [anon_sym_override] = ACTIONS(2892),
    [anon_sym_convenience] = ACTIONS(2892),
    [anon_sym_required] = ACTIONS(2892),
    [anon_sym_nonisolated] = ACTIONS(2892),
    [anon_sym_public] = ACTIONS(2892),
    [anon_sym_private] = ACTIONS(2892),
    [anon_sym_internal] = ACTIONS(2892),
    [anon_sym_fileprivate] = ACTIONS(2892),
    [anon_sym_open] = ACTIONS(2892),
    [anon_sym_mutating] = ACTIONS(2892),
    [anon_sym_nonmutating] = ACTIONS(2892),
    [anon_sym_static] = ACTIONS(2892),
    [anon_sym_dynamic] = ACTIONS(2892),
    [anon_sym_optional] = ACTIONS(2892),
    [anon_sym_distributed] = ACTIONS(2892),
    [anon_sym_final] = ACTIONS(2892),
    [anon_sym_inout] = ACTIONS(2892),
    [anon_sym_ATescaping] = ACTIONS(2892),
    [anon_sym_ATautoclosure] = ACTIONS(2892),
    [anon_sym_weak] = ACTIONS(2892),
    [anon_sym_unowned] = ACTIONS(2894),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2892),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2892),
    [anon_sym_borrowing] = ACTIONS(2892),
    [anon_sym_consuming] = ACTIONS(2892),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2892),
    [sym__throws_keyword] = ACTIONS(2892),
    [sym__rethrows_keyword] = ACTIONS(2892),
    [sym__async_keyword_custom] = ACTIONS(2892),
  },
  [1735] = {
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(2983),
    [anon_sym_async] = ACTIONS(2983),
    [anon_sym_lazy] = ACTIONS(2983),
    [anon_sym_package] = ACTIONS(2983),
    [anon_sym_COMMA] = ACTIONS(2983),
    [anon_sym_BANG] = ACTIONS(2983),
    [anon_sym_DOT] = ACTIONS(2983),
    [anon_sym_QMARK2] = ACTIONS(2983),
    [anon_sym_AMP] = ACTIONS(2983),
    [anon_sym_LBRACE] = ACTIONS(2983),
    [anon_sym_RBRACE] = ACTIONS(2983),
    [anon_sym_case] = ACTIONS(2983),
    [anon_sym_import] = ACTIONS(2983),
    [anon_sym_typealias] = ACTIONS(2983),
    [anon_sym_struct] = ACTIONS(2983),
    [anon_sym_class] = ACTIONS(2983),
    [anon_sym_enum] = ACTIONS(2983),
    [anon_sym_protocol] = ACTIONS(2983),
    [anon_sym_let] = ACTIONS(2983),
    [anon_sym_var] = ACTIONS(2983),
    [anon_sym_func] = ACTIONS(2983),
    [anon_sym_extension] = ACTIONS(2983),
    [anon_sym_indirect] = ACTIONS(2983),
    [anon_sym_init] = ACTIONS(2983),
    [anon_sym_deinit] = ACTIONS(2983),
    [anon_sym_subscript] = ACTIONS(2983),
    [anon_sym_prefix] = ACTIONS(2983),
    [anon_sym_infix] = ACTIONS(2983),
    [anon_sym_postfix] = ACTIONS(2983),
    [anon_sym_precedencegroup] = ACTIONS(2983),
    [anon_sym_associatedtype] = ACTIONS(2983),
    [anon_sym_AT] = ACTIONS(2985),
    [anon_sym_override] = ACTIONS(2983),
    [anon_sym_convenience] = ACTIONS(2983),
    [anon_sym_required] = ACTIONS(2983),
    [anon_sym_nonisolated] = ACTIONS(2983),
    [anon_sym_public] = ACTIONS(2983),
    [anon_sym_private] = ACTIONS(2983),
    [anon_sym_internal] = ACTIONS(2983),
    [anon_sym_fileprivate] = ACTIONS(2983),
    [anon_sym_open] = ACTIONS(2983),
    [anon_sym_mutating] = ACTIONS(2983),
    [anon_sym_nonmutating] = ACTIONS(2983),
    [anon_sym_static] = ACTIONS(2983),
    [anon_sym_dynamic] = ACTIONS(2983),
    [anon_sym_optional] = ACTIONS(2983),
    [anon_sym_distributed] = ACTIONS(2983),
    [anon_sym_final] = ACTIONS(2983),
    [anon_sym_inout] = ACTIONS(2983),
    [anon_sym_ATescaping] = ACTIONS(2983),
    [anon_sym_ATautoclosure] = ACTIONS(2983),
    [anon_sym_weak] = ACTIONS(2983),
    [anon_sym_unowned] = ACTIONS(2985),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(2983),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(2983),
    [anon_sym_borrowing] = ACTIONS(2983),
    [anon_sym_consuming] = ACTIONS(2983),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(2983),
    [sym__throws_keyword] = ACTIONS(2983),
    [sym__rethrows_keyword] = ACTIONS(2983),
    [sym__async_keyword_custom] = ACTIONS(2983),
  },
  [1736] = {
    [sym__immediate_quest] = STATE(1867),
    [sym__arrow_operator] = STATE(3508),
    [sym__async_keyword] = STATE(6042),
    [sym_throws] = STATE(7535),
    [aux_sym_optional_type_repeat1] = STATE(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(2840),
    [anon_sym_LPAREN] = ACTIONS(2840),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_DOT] = ACTIONS(2842),
    [anon_sym_QMARK] = ACTIONS(2842),
    [anon_sym_QMARK2] = ACTIONS(5021),
    [anon_sym_AMP] = ACTIONS(2840),
    [aux_sym_custom_operator_token1] = ACTIONS(2840),
    [anon_sym_LT] = ACTIONS(2842),
    [anon_sym_GT] = ACTIONS(2842),
    [anon_sym_LBRACE] = ACTIONS(2840),
    [anon_sym_CARET_LBRACE] = ACTIONS(2840),
    [anon_sym_PLUS_EQ] = ACTIONS(2840),
    [anon_sym_DASH_EQ] = ACTIONS(2840),
    [anon_sym_STAR_EQ] = ACTIONS(2840),
    [anon_sym_SLASH_EQ] = ACTIONS(2840),
    [anon_sym_PERCENT_EQ] = ACTIONS(2840),
    [anon_sym_BANG_EQ] = ACTIONS(2842),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2840),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2840),
    [anon_sym_LT_EQ] = ACTIONS(2840),
    [anon_sym_GT_EQ] = ACTIONS(2840),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2840),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2840),
    [anon_sym_is] = ACTIONS(2840),
    [anon_sym_PLUS] = ACTIONS(2842),
    [anon_sym_DASH] = ACTIONS(2842),
    [anon_sym_STAR] = ACTIONS(2842),
    [anon_sym_SLASH] = ACTIONS(2842),
    [anon_sym_PERCENT] = ACTIONS(2842),
    [anon_sym_PLUS_PLUS] = ACTIONS(2840),
    [anon_sym_DASH_DASH] = ACTIONS(2840),
    [anon_sym_PIPE] = ACTIONS(2840),
    [anon_sym_CARET] = ACTIONS(2842),
    [anon_sym_LT_LT] = ACTIONS(2840),
    [anon_sym_GT_GT] = ACTIONS(2840),
    [anon_sym_BANG2] = ACTIONS(2842),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(5023),
    [sym__dot_custom] = ACTIONS(2840),
    [sym__conjunction_operator_custom] = ACTIONS(2840),
    [sym__disjunction_operator_custom] = ACTIONS(2840),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2840),
    [sym__eq_custom] = ACTIONS(2840),
    [sym__eq_eq_custom] = ACTIONS(2840),
    [sym__plus_then_ws] = ACTIONS(2840),
    [sym__minus_then_ws] = ACTIONS(2840),
    [sym__bang_custom] = ACTIONS(2840),
    [sym__throws_keyword] = ACTIONS(2848),
    [sym__rethrows_keyword] = ACTIONS(2848),
    [sym_where_keyword] = ACTIONS(2840),
    [sym_else] = ACTIONS(2840),
    [sym__as_custom] = ACTIONS(2840),
    [sym__as_quest_custom] = ACTIONS(2840),
    [sym__as_bang_custom] = ACTIONS(2840),
    [sym__async_keyword_custom] = ACTIONS(5025),
    [sym__custom_operator] = ACTIONS(2840),
  },
  [1737] = {
    [sym__arrow_operator] = STATE(3859),
    [sym__async_keyword] = STATE(5901),
    [sym_throws] = STATE(7562),
    [aux_sym_protocol_composition_type_repeat1] = STATE(1852),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(2888),
    [anon_sym_COMMA] = ACTIONS(2888),
    [anon_sym_COLON] = ACTIONS(2888),
    [anon_sym_LPAREN] = ACTIONS(2888),
    [anon_sym_LBRACK] = ACTIONS(2888),
    [anon_sym_RBRACK] = ACTIONS(2888),
    [anon_sym_DOT] = ACTIONS(2868),
    [anon_sym_QMARK] = ACTIONS(2890),
    [anon_sym_QMARK2] = ACTIONS(2888),
    [anon_sym_AMP] = ACTIONS(4989),
    [aux_sym_custom_operator_token1] = ACTIONS(2888),
    [anon_sym_LT] = ACTIONS(2890),
    [anon_sym_GT] = ACTIONS(2890),
    [anon_sym_LBRACE] = ACTIONS(2888),
    [anon_sym_CARET_LBRACE] = ACTIONS(2888),
    [anon_sym_PLUS_EQ] = ACTIONS(2888),
    [anon_sym_DASH_EQ] = ACTIONS(2888),
    [anon_sym_STAR_EQ] = ACTIONS(2888),
    [anon_sym_SLASH_EQ] = ACTIONS(2888),
    [anon_sym_PERCENT_EQ] = ACTIONS(2888),
    [anon_sym_BANG_EQ] = ACTIONS(2890),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2888),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2888),
    [anon_sym_LT_EQ] = ACTIONS(2888),
    [anon_sym_GT_EQ] = ACTIONS(2888),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2888),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2888),
    [anon_sym_is] = ACTIONS(2888),
    [anon_sym_PLUS] = ACTIONS(2890),
    [anon_sym_DASH] = ACTIONS(2890),
    [anon_sym_STAR] = ACTIONS(2890),
    [anon_sym_SLASH] = ACTIONS(2890),
    [anon_sym_PERCENT] = ACTIONS(2890),
    [anon_sym_PLUS_PLUS] = ACTIONS(2888),
    [anon_sym_DASH_DASH] = ACTIONS(2888),
    [anon_sym_PIPE] = ACTIONS(2888),
    [anon_sym_CARET] = ACTIONS(2890),
    [anon_sym_LT_LT] = ACTIONS(2888),
    [anon_sym_GT_GT] = ACTIONS(2888),
    [anon_sym_BANG2] = ACTIONS(2890),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__arrow_operator_custom] = ACTIONS(4975),
    [sym__dot_custom] = ACTIONS(2888),
    [sym__conjunction_operator_custom] = ACTIONS(2888),
    [sym__disjunction_operator_custom] = ACTIONS(2888),
    [sym__nil_coalescing_operator_custom] = ACTIONS(2888),
    [sym__eq_custom] = ACTIONS(2888),
    [sym__eq_eq_custom] = ACTIONS(2888),
    [sym__plus_then_ws] = ACTIONS(2888),
    [sym__minus_then_ws] = ACTIONS(2888),
    [sym__bang_custom] = ACTIONS(2888),
    [sym__throws_keyword] = ACTIONS(2848),
    [sym__rethrows_keyword] = ACTIONS(2848),
    [sym__as_custom] = ACTIONS(2888),
    [sym__as_quest_custom] = ACTIONS(2888),
    [sym__as_bang_custom] = ACTIONS(2888),
    [sym__async_keyword_custom] = ACTIONS(4977),
    [sym__custom_operator] = ACTIONS(2888),
  },
  [1738] = {
    [sym__expression_with_willset_didset] = STATE(2641),
    [sym__expression_without_willset_didset] = STATE(2642),
    [sym_willset_didset_block] = STATE(2643),
    [sym_type_constraints] = STATE(1777),
    [sym__equal_sign] = STATE(480),
    [sym_computed_property] = STATE(2645),
    [sym_comment] = ACTIONS(5),
    [anon_sym_actor] = ACTIONS(5027),
    [anon_sym_async] = ACTIONS(5027),
    [anon_sym_lazy] = ACTIONS(5027),
    [anon_sym_package] = ACTIONS(5027),
    [anon_sym_COMMA] = ACTIONS(5027),
    [anon_sym_LBRACE] = ACTIONS(4899),
    [anon_sym_RBRACE] = ACTIONS(5027),
    [anon_sym_case] = ACTIONS(5027),
    [anon_sym_import] = ACTIONS(5027),
    [anon_sym_typealias] = ACTIONS(5027),
    [anon_sym_struct] = ACTIONS(5027),
    [anon_sym_class] = ACTIONS(5027),
    [anon_sym_enum] = ACTIONS(5027),
    [anon_sym_protocol] = ACTIONS(5027),
    [anon_sym_let] = ACTIONS(5027),
    [anon_sym_var] = ACTIONS(5027),
    [anon_sym_func] = ACTIONS(5027),
    [anon_sym_extension] = ACTIONS(5027),
    [anon_sym_indirect] = ACTIONS(5027),
    [anon_sym_init] = ACTIONS(5027),
    [anon_sym_deinit] = ACTIONS(5027),
    [anon_sym_subscript] = ACTIONS(5027),
    [anon_sym_prefix] = ACTIONS(5027),
    [anon_sym_infix] = ACTIONS(5027),
    [anon_sym_postfix] = ACTIONS(5027),
    [anon_sym_precedencegroup] = ACTIONS(5027),
    [anon_sym_associatedtype] = ACTIONS(5027),
    [anon_sym_AT] = ACTIONS(5029),
    [anon_sym_override] = ACTIONS(5027),
    [anon_sym_convenience] = ACTIONS(5027),
    [anon_sym_required] = ACTIONS(5027),
    [anon_sym_nonisolated] = ACTIONS(5027),
    [anon_sym_public] = ACTIONS(5027),
    [anon_sym_private] = ACTIONS(5027),
    [anon_sym_internal] = ACTIONS(5027),
    [anon_sym_fileprivate] = ACTIONS(5027),
    [anon_sym_open] = ACTIONS(5027),
    [anon_sym_mutating] = ACTIONS(5027),
    [anon_sym_nonmutating] = ACTIONS(5027),
    [anon_sym_static] = ACTIONS(5027),
    [anon_sym_dynamic] = ACTIONS(5027),
    [anon_sym_optional] = ACTIONS(5027),
    [anon_sym_distributed] = ACTIONS(5027),
    [anon_sym_final] = ACTIONS(5027),
    [anon_sym_inout] = ACTIONS(5027),
    [anon_sym_ATescaping] = ACTIONS(5027),
    [anon_sym_ATautoclosure] = ACTIONS(5027),
    [anon_sym_weak] = ACTIONS(5027),
    [anon_sym_unowned] = ACTIONS(5029),
    [anon_sym_unowned_LPARENsafe_RPAREN] = ACTIONS(5027),
    [anon_sym_unowned_LPARENunsafe_RPAREN] = ACTIONS(5027),
    [anon_sym_borrowing] = ACTIONS(5027),
    [anon_sym_consuming] = ACTIONS(5027),
    [sym_directive] = ACTIONS(5),
    [sym_diagnostic] = ACTIONS(5),
    [sym_multiline_comment] = ACTIONS(5),
    [sym__eq_custom] = ACTIONS(4903),
    [sym_where_keyword] = ACTIONS(4905),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5023), 1,
      sym__arrow_operator_custom,
    ACTIONS(5025), 1,
      sym__async_keyword_custom,
    ACTIONS(5031), 1,
      anon_sym_DOT,
    ACTIONS(5033), 1,
      anon_sym_AMP,
    STATE(1919), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(3508), 1,
      sym__arrow_operator,
    STATE(6042), 1,
      sym__async_keyword,
    STATE(7535), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2894), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2892), 39,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [91] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1744), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2796), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2794), 46,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [166] = 5,
    ACTIONS(5037), 1,
      anon_sym_LPAREN,
    STATE(1878), 1,
      sym__tuple_pattern,
    ACTIONS(5039), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5035), 56,
      sym__eq_custom,
      sym_where_keyword,
      sym__as_custom,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [241] = 3,
    ACTIONS(2961), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2959), 58,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [312] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5041), 1,
      anon_sym_AMP,
    STATE(1743), 1,
      aux_sym_protocol_composition_type_repeat1,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2894), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2892), 46,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [389] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5044), 1,
      anon_sym_QMARK2,
    STATE(1744), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2861), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2859), 45,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [466] = 12,
    ACTIONS(5052), 1,
      anon_sym_func,
    ACTIONS(5055), 1,
      anon_sym_init,
    STATE(5623), 1,
      sym_simple_identifier,
    STATE(6344), 1,
      sym__non_constructor_function_decl,
    STATE(7737), 1,
      sym__modifierless_function_declaration_no_body,
    STATE(5797), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(3444), 3,
      aux_sym_simple_identifier_token1,
      anon_sym_each,
      anon_sym_repeat,
    ACTIONS(3446), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5058), 4,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
    ACTIONS(5047), 6,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    ACTIONS(5050), 37,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_associatedtype,
      anon_sym_AT,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_weak,
      anon_sym_unowned,
  [555] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1743), 1,
      aux_sym_protocol_composition_type_repeat1,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3016), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3014), 47,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [630] = 5,
    ACTIONS(5037), 1,
      anon_sym_LPAREN,
    STATE(1887), 1,
      sym__tuple_pattern,
    ACTIONS(5062), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5060), 56,
      sym__eq_custom,
      sym_where_keyword,
      sym__as_custom,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [705] = 3,
    ACTIONS(2953), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2951), 58,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [776] = 3,
    ACTIONS(2981), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2979), 58,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [847] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5064), 1,
      anon_sym_QMARK2,
    ACTIONS(5066), 1,
      sym__arrow_operator_custom,
    ACTIONS(5068), 1,
      sym__async_keyword_custom,
    STATE(3630), 1,
      sym__arrow_operator,
    STATE(5993), 1,
      sym__async_keyword,
    STATE(7605), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    STATE(1940), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2842), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2840), 38,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [936] = 3,
    ACTIONS(2930), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2928), 58,
      sym__dot_custom,
      sym__eq_custom,
      sym_where_keyword,
      sym__as_custom,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [1007] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5023), 1,
      sym__arrow_operator_custom,
    ACTIONS(5025), 1,
      sym__async_keyword_custom,
    ACTIONS(5031), 1,
      anon_sym_DOT,
    ACTIONS(5033), 1,
      anon_sym_AMP,
    STATE(1919), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(3508), 1,
      sym__arrow_operator,
    STATE(6042), 1,
      sym__async_keyword,
    STATE(7535), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2890), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2888), 39,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [1098] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5070), 1,
      anon_sym_LT,
    STATE(1795), 1,
      sym_type_arguments,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2884), 11,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2882), 47,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [1175] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5072), 1,
      sym__dot_custom,
    STATE(1754), 1,
      aux_sym_user_type_repeat1,
    STATE(4728), 1,
      sym__dot,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2800), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2798), 45,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [1254] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5075), 1,
      sym__dot_custom,
    STATE(1754), 1,
      aux_sym_user_type_repeat1,
    STATE(4728), 1,
      sym__dot,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2854), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2852), 45,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [1333] = 8,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1901), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(3500), 1,
      sym__arrow_operator,
    STATE(6036), 1,
      sym__async_keyword,
    STATE(7546), 1,
      sym_throws,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2902), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2900), 44,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [1414] = 8,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1919), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(3508), 1,
      sym__arrow_operator,
    STATE(6042), 1,
      sym__async_keyword,
    STATE(7535), 1,
      sym_throws,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2902), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2900), 44,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [1495] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5002), 1,
      sym__arrow_operator_custom,
    ACTIONS(5004), 1,
      sym__async_keyword_custom,
    ACTIONS(5078), 1,
      anon_sym_DOT,
    ACTIONS(5080), 1,
      anon_sym_AMP,
    STATE(1901), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(3500), 1,
      sym__arrow_operator,
    STATE(6036), 1,
      sym__async_keyword,
    STATE(7546), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2870), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2866), 39,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [1586] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5002), 1,
      sym__arrow_operator_custom,
    ACTIONS(5004), 1,
      sym__async_keyword_custom,
    ACTIONS(5078), 1,
      anon_sym_DOT,
    ACTIONS(5080), 1,
      anon_sym_AMP,
    STATE(1901), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(3500), 1,
      sym__arrow_operator,
    STATE(6036), 1,
      sym__async_keyword,
    STATE(7546), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2894), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2892), 39,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [1677] = 8,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1919), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(3508), 1,
      sym__arrow_operator,
    STATE(6042), 1,
      sym__async_keyword,
    STATE(7535), 1,
      sym_throws,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2880), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2878), 44,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [1758] = 5,
    ACTIONS(5037), 1,
      anon_sym_LPAREN,
    STATE(1889), 1,
      sym__tuple_pattern,
    ACTIONS(5084), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5082), 56,
      sym__eq_custom,
      sym_where_keyword,
      sym__as_custom,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [1833] = 8,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1901), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(3500), 1,
      sym__arrow_operator,
    STATE(6036), 1,
      sym__async_keyword,
    STATE(7546), 1,
      sym_throws,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2880), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2878), 44,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [1914] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5023), 1,
      sym__arrow_operator_custom,
    ACTIONS(5025), 1,
      sym__async_keyword_custom,
    ACTIONS(5031), 1,
      anon_sym_DOT,
    ACTIONS(5033), 1,
      anon_sym_AMP,
    STATE(1919), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(3508), 1,
      sym__arrow_operator,
    STATE(6042), 1,
      sym__async_keyword,
    STATE(7535), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2870), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2866), 39,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [2005] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5002), 1,
      sym__arrow_operator_custom,
    ACTIONS(5004), 1,
      sym__async_keyword_custom,
    ACTIONS(5078), 1,
      anon_sym_DOT,
    ACTIONS(5080), 1,
      anon_sym_AMP,
    STATE(1901), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(3500), 1,
      sym__arrow_operator,
    STATE(6036), 1,
      sym__async_keyword,
    STATE(7546), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2898), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2896), 39,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [2096] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5023), 1,
      sym__arrow_operator_custom,
    ACTIONS(5025), 1,
      sym__async_keyword_custom,
    ACTIONS(5031), 1,
      anon_sym_DOT,
    ACTIONS(5033), 1,
      anon_sym_AMP,
    STATE(1919), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(3508), 1,
      sym__arrow_operator,
    STATE(6042), 1,
      sym__async_keyword,
    STATE(7535), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2876), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2874), 39,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [2187] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5023), 1,
      sym__arrow_operator_custom,
    ACTIONS(5025), 1,
      sym__async_keyword_custom,
    ACTIONS(5031), 1,
      anon_sym_DOT,
    ACTIONS(5033), 1,
      anon_sym_AMP,
    STATE(1919), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(3508), 1,
      sym__arrow_operator,
    STATE(6042), 1,
      sym__async_keyword,
    STATE(7535), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2898), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2896), 39,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [2278] = 3,
    ACTIONS(2989), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2987), 58,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [2349] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4960), 1,
      anon_sym_QMARK2,
    STATE(1740), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2842), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2840), 45,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [2426] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5002), 1,
      sym__arrow_operator_custom,
    ACTIONS(5004), 1,
      sym__async_keyword_custom,
    ACTIONS(5078), 1,
      anon_sym_DOT,
    ACTIONS(5080), 1,
      anon_sym_AMP,
    STATE(1901), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(3500), 1,
      sym__arrow_operator,
    STATE(6036), 1,
      sym__async_keyword,
    STATE(7546), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2890), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2888), 39,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [2517] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5002), 1,
      sym__arrow_operator_custom,
    ACTIONS(5004), 1,
      sym__async_keyword_custom,
    ACTIONS(5078), 1,
      anon_sym_DOT,
    ACTIONS(5080), 1,
      anon_sym_AMP,
    STATE(1901), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(3500), 1,
      sym__arrow_operator,
    STATE(6036), 1,
      sym__async_keyword,
    STATE(7546), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2876), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2874), 39,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [2608] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5086), 1,
      sym__dot_custom,
    STATE(1755), 1,
      aux_sym_user_type_repeat1,
    STATE(4728), 1,
      sym__dot,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2807), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2805), 45,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [2687] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5066), 1,
      sym__arrow_operator_custom,
    ACTIONS(5068), 1,
      sym__async_keyword_custom,
    ACTIONS(5089), 1,
      anon_sym_DOT,
    ACTIONS(5091), 1,
      anon_sym_AMP,
    STATE(1965), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(3630), 1,
      sym__arrow_operator,
    STATE(5993), 1,
      sym__async_keyword,
    STATE(7605), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2870), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2866), 38,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [2777] = 10,
    ACTIONS(4899), 1,
      anon_sym_LBRACE,
    ACTIONS(4903), 1,
      sym__eq_custom,
    STATE(480), 1,
      sym__equal_sign,
    STATE(2646), 1,
      sym__expression_with_willset_didset,
    STATE(2647), 1,
      sym__expression_without_willset_didset,
    STATE(2648), 1,
      sym_willset_didset_block,
    STATE(2649), 1,
      sym_computed_property,
    ACTIONS(5029), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5027), 50,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [2861] = 6,
    ACTIONS(5095), 1,
      anon_sym_QMARK,
    ACTIONS(5099), 1,
      sym__as_custom,
    STATE(1913), 1,
      sym__quest,
    ACTIONS(5097), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5093), 54,
      sym__eq_custom,
      sym_where_keyword,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [2937] = 6,
    ACTIONS(5101), 1,
      sym__dot_custom,
    STATE(1732), 1,
      aux_sym_user_type_repeat1,
    STATE(4596), 1,
      sym__dot,
    ACTIONS(2854), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2852), 54,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_LPAREN,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_willSet,
      anon_sym_didSet,
      anon_sym_macro,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_get,
      anon_sym_set,
      anon_sym__modify,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [3013] = 3,
    ACTIONS(2800), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2798), 57,
      sym__dot_custom,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_willSet,
      anon_sym_didSet,
      anon_sym_macro,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_get,
      anon_sym_set,
      anon_sym__modify,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [3083] = 10,
    ACTIONS(4899), 1,
      anon_sym_LBRACE,
    ACTIONS(4903), 1,
      sym__eq_custom,
    STATE(480), 1,
      sym__equal_sign,
    STATE(2617), 1,
      sym_computed_property,
    STATE(2618), 1,
      sym_willset_didset_block,
    STATE(2620), 1,
      sym__expression_without_willset_didset,
    STATE(2621), 1,
      sym__expression_with_willset_didset,
    ACTIONS(5105), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5103), 50,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [3167] = 12,
    ACTIONS(5052), 1,
      anon_sym_func,
    ACTIONS(5107), 1,
      anon_sym_init,
    STATE(5673), 1,
      sym_simple_identifier,
    STATE(6344), 1,
      sym__non_constructor_function_decl,
    STATE(7737), 1,
      sym__modifierless_function_declaration_no_body,
    STATE(5797), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(3444), 3,
      aux_sym_simple_identifier_token1,
      anon_sym_each,
      anon_sym_repeat,
    ACTIONS(3446), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5058), 4,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
    ACTIONS(5047), 6,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    ACTIONS(5050), 36,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_associatedtype,
      anon_sym_AT,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_weak,
      anon_sym_unowned,
  [3255] = 20,
    ACTIONS(3589), 1,
      anon_sym_async,
    ACTIONS(3611), 1,
      anon_sym_func,
    ACTIONS(4679), 1,
      anon_sym_typealias,
    ACTIONS(5114), 1,
      anon_sym_enum,
    ACTIONS(5116), 1,
      anon_sym_extension,
    ACTIONS(5118), 1,
      anon_sym_indirect,
    STATE(6344), 1,
      sym__non_constructor_function_decl,
    STATE(6607), 1,
      sym__modifierless_function_declaration_no_body,
    STATE(6632), 1,
      sym__async_modifier,
    STATE(6942), 1,
      sym__modifierless_class_declaration,
    STATE(6943), 1,
      sym__modifierless_function_declaration,
    STATE(6962), 1,
      sym__modifierless_typealias_declaration,
    STATE(6963), 1,
      sym__modifierless_property_declaration,
    ACTIONS(3609), 2,
      anon_sym_let,
      anon_sym_var,
    ACTIONS(5110), 2,
      anon_sym_actor,
      anon_sym_struct,
    ACTIONS(5120), 2,
      anon_sym_AT,
      anon_sym_unowned,
    STATE(3973), 2,
      sym_value_binding_pattern,
      sym__possibly_async_binding_pattern_kind,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    STATE(3145), 6,
      sym_attribute,
      aux_sym__locally_permitted_modifiers,
      sym__locally_permitted_modifier,
      sym_property_behavior_modifier,
      sym_inheritance_modifier,
      sym_ownership_modifier,
    ACTIONS(5112), 32,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_case,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [3359] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2981), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2979), 47,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [3431] = 10,
    ACTIONS(4876), 1,
      anon_sym_LBRACE,
    ACTIONS(4882), 1,
      sym_where_keyword,
    STATE(2030), 1,
      sym_throws,
    STATE(2226), 1,
      sym_type_constraints,
    STATE(2709), 1,
      sym_function_body,
    STATE(2809), 1,
      sym__block,
    ACTIONS(4880), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5124), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5122), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [3515] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2930), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2928), 47,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [3587] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2953), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2951), 47,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [3659] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5126), 1,
      anon_sym_AMP,
    STATE(1784), 1,
      aux_sym_protocol_composition_type_repeat1,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2894), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2892), 45,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [3735] = 10,
    ACTIONS(4876), 1,
      anon_sym_LBRACE,
    ACTIONS(4882), 1,
      sym_where_keyword,
    STATE(2029), 1,
      sym_throws,
    STATE(2229), 1,
      sym_type_constraints,
    STATE(2703), 1,
      sym_function_body,
    STATE(2809), 1,
      sym__block,
    ACTIONS(4880), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5124), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5122), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [3819] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2969), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2967), 47,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [3891] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2800), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2798), 47,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [3963] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2961), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2959), 47,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [4035] = 20,
    ACTIONS(3589), 1,
      anon_sym_async,
    ACTIONS(3611), 1,
      anon_sym_func,
    ACTIONS(4679), 1,
      anon_sym_typealias,
    ACTIONS(5114), 1,
      anon_sym_enum,
    ACTIONS(5116), 1,
      anon_sym_extension,
    ACTIONS(5118), 1,
      anon_sym_indirect,
    STATE(6344), 1,
      sym__non_constructor_function_decl,
    STATE(6607), 1,
      sym__modifierless_function_declaration_no_body,
    STATE(6632), 1,
      sym__async_modifier,
    STATE(6942), 1,
      sym__modifierless_class_declaration,
    STATE(6943), 1,
      sym__modifierless_function_declaration,
    STATE(6962), 1,
      sym__modifierless_typealias_declaration,
    STATE(6963), 1,
      sym__modifierless_property_declaration,
    ACTIONS(3609), 2,
      anon_sym_let,
      anon_sym_var,
    ACTIONS(5110), 2,
      anon_sym_actor,
      anon_sym_struct,
    ACTIONS(5120), 2,
      anon_sym_AT,
      anon_sym_unowned,
    STATE(3973), 2,
      sym_value_binding_pattern,
      sym__possibly_async_binding_pattern_kind,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    STATE(1856), 6,
      sym_attribute,
      aux_sym__locally_permitted_modifiers,
      sym__locally_permitted_modifier,
      sym_property_behavior_modifier,
      sym_inheritance_modifier,
      sym_ownership_modifier,
    ACTIONS(5112), 32,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_class,
      anon_sym_willSet,
      anon_sym_didSet,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [4139] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2957), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2955), 47,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [4211] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2989), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2987), 47,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [4283] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    STATE(1824), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(2796), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2794), 46,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [4357] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2977), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2975), 47,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [4429] = 10,
    ACTIONS(4876), 1,
      anon_sym_LBRACE,
    ACTIONS(4882), 1,
      sym_where_keyword,
    STATE(1949), 1,
      sym_throws,
    STATE(2159), 1,
      sym_type_constraints,
    STATE(2809), 1,
      sym__block,
    STATE(2864), 1,
      sym_function_body,
    ACTIONS(4880), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5131), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5129), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [4513] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2973), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2971), 47,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [4585] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5066), 1,
      sym__arrow_operator_custom,
    ACTIONS(5068), 1,
      sym__async_keyword_custom,
    ACTIONS(5089), 1,
      anon_sym_DOT,
    ACTIONS(5091), 1,
      anon_sym_AMP,
    STATE(1965), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(3630), 1,
      sym__arrow_operator,
    STATE(5993), 1,
      sym__async_keyword,
    STATE(7605), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2890), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2888), 38,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [4675] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2926), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2924), 47,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [4747] = 8,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1965), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(3630), 1,
      sym__arrow_operator,
    STATE(5993), 1,
      sym__async_keyword,
    STATE(7605), 1,
      sym_throws,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2902), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2900), 43,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [4827] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2965), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2963), 47,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [4899] = 10,
    ACTIONS(4876), 1,
      anon_sym_LBRACE,
    ACTIONS(4882), 1,
      sym_where_keyword,
    STATE(1950), 1,
      sym_throws,
    STATE(2152), 1,
      sym_type_constraints,
    STATE(2809), 1,
      sym__block,
    STATE(2888), 1,
      sym_function_body,
    ACTIONS(4880), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5135), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5133), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [4983] = 6,
    ACTIONS(5101), 1,
      sym__dot_custom,
    STATE(1775), 1,
      aux_sym_user_type_repeat1,
    STATE(4596), 1,
      sym__dot,
    ACTIONS(2807), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2805), 54,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_LPAREN,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_willSet,
      anon_sym_didSet,
      anon_sym_macro,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_get,
      anon_sym_set,
      anon_sym__modify,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [5059] = 11,
    ACTIONS(5139), 1,
      anon_sym_COMMA,
    ACTIONS(5141), 1,
      anon_sym_LPAREN,
    ACTIONS(5143), 1,
      anon_sym_SEMI,
    ACTIONS(5147), 1,
      sym__eq_custom,
    STATE(503), 1,
      sym__equal_sign,
    STATE(2142), 1,
      aux_sym_enum_entry_repeat1,
    STATE(2151), 1,
      sym__enum_entry_suffix,
    STATE(2329), 1,
      sym_enum_type_parameters,
    ACTIONS(5145), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5137), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [5145] = 3,
    ACTIONS(2926), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2924), 57,
      sym__dot_custom,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_willSet,
      anon_sym_didSet,
      anon_sym_macro,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_get,
      anon_sym_set,
      anon_sym__modify,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [5215] = 10,
    ACTIONS(4876), 1,
      anon_sym_LBRACE,
    ACTIONS(4882), 1,
      sym_where_keyword,
    STATE(2020), 1,
      sym_throws,
    STATE(2237), 1,
      sym_type_constraints,
    STATE(2690), 1,
      sym_function_body,
    STATE(2809), 1,
      sym__block,
    ACTIONS(4880), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5151), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5149), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [5299] = 10,
    ACTIONS(4876), 1,
      anon_sym_LBRACE,
    ACTIONS(4882), 1,
      sym_where_keyword,
    STATE(2015), 1,
      sym_throws,
    STATE(2211), 1,
      sym_type_constraints,
    STATE(2764), 1,
      sym_function_body,
    STATE(2809), 1,
      sym__block,
    ACTIONS(4880), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5155), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5153), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [5383] = 10,
    ACTIONS(4876), 1,
      anon_sym_LBRACE,
    ACTIONS(4882), 1,
      sym_where_keyword,
    STATE(1994), 1,
      sym_throws,
    STATE(2176), 1,
      sym_type_constraints,
    STATE(2809), 1,
      sym__block,
    STATE(2829), 1,
      sym_function_body,
    ACTIONS(4880), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5159), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5157), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [5467] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2997), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2995), 47,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [5539] = 6,
    ACTIONS(5163), 1,
      anon_sym_QMARK,
    ACTIONS(5167), 1,
      sym__as_custom,
    STATE(1914), 1,
      sym__quest,
    ACTIONS(5165), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5161), 54,
      sym__eq_custom,
      sym_where_keyword,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [5615] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2916), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2914), 47,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [5687] = 10,
    ACTIONS(4876), 1,
      anon_sym_LBRACE,
    ACTIONS(4882), 1,
      sym_where_keyword,
    STATE(2007), 1,
      sym_throws,
    STATE(2184), 1,
      sym_type_constraints,
    STATE(2809), 1,
      sym__block,
    STATE(2813), 1,
      sym_function_body,
    ACTIONS(4880), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5171), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5169), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [5771] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2985), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2983), 47,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [5843] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5173), 1,
      sym__dot_custom,
    STATE(1812), 1,
      aux_sym_user_type_repeat1,
    STATE(4590), 1,
      sym__dot,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2800), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2798), 45,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [5921] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5176), 1,
      anon_sym_self,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    STATE(1816), 3,
      sym__key_path_postfixes,
      sym_bang,
      aux_sym__key_path_component_repeat1,
    ACTIONS(2920), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2918), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [5997] = 10,
    ACTIONS(4876), 1,
      anon_sym_LBRACE,
    ACTIONS(4882), 1,
      sym_where_keyword,
    STATE(2014), 1,
      sym_throws,
    STATE(2208), 1,
      sym_type_constraints,
    STATE(2770), 1,
      sym_function_body,
    STATE(2809), 1,
      sym__block,
    ACTIONS(4880), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5155), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5153), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [6081] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5178), 1,
      anon_sym_LBRACK,
    ACTIONS(5181), 1,
      anon_sym_QMARK,
    ACTIONS(5184), 1,
      anon_sym_self,
    ACTIONS(5187), 1,
      anon_sym_BANG2,
    ACTIONS(5190), 1,
      sym__bang_custom,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    STATE(1815), 3,
      sym__key_path_postfixes,
      sym_bang,
      aux_sym__key_path_component_repeat1,
    ACTIONS(2937), 10,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
    ACTIONS(2932), 41,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [6165] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5193), 1,
      anon_sym_self,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    STATE(1815), 3,
      sym__key_path_postfixes,
      sym_bang,
      aux_sym__key_path_component_repeat1,
    ACTIONS(2906), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2904), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [6241] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5193), 1,
      anon_sym_self,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    STATE(1815), 3,
      sym__key_path_postfixes,
      sym_bang,
      aux_sym__key_path_component_repeat1,
    ACTIONS(2920), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2918), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [6317] = 10,
    ACTIONS(4876), 1,
      anon_sym_LBRACE,
    ACTIONS(4882), 1,
      sym_where_keyword,
    STATE(1948), 1,
      sym_throws,
    STATE(2162), 1,
      sym_type_constraints,
    STATE(2809), 1,
      sym__block,
    STATE(2858), 1,
      sym_function_body,
    ACTIONS(4880), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5131), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5129), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [6401] = 10,
    ACTIONS(4876), 1,
      anon_sym_LBRACE,
    ACTIONS(4882), 1,
      sym_where_keyword,
    STATE(2013), 1,
      sym_throws,
    STATE(2200), 1,
      sym_type_constraints,
    STATE(2784), 1,
      sym_function_body,
    STATE(2809), 1,
      sym__block,
    ACTIONS(4880), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5197), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5195), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [6485] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2912), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2910), 47,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [6557] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4979), 1,
      anon_sym_QMARK2,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    STATE(1792), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(2842), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2840), 45,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [6633] = 10,
    ACTIONS(4876), 1,
      anon_sym_LBRACE,
    ACTIONS(4882), 1,
      sym_where_keyword,
    STATE(2000), 1,
      sym_throws,
    STATE(2256), 1,
      sym_type_constraints,
    STATE(2731), 1,
      sym_function_body,
    STATE(2809), 1,
      sym__block,
    ACTIONS(4880), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5201), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5199), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [6717] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5066), 1,
      sym__arrow_operator_custom,
    ACTIONS(5068), 1,
      sym__async_keyword_custom,
    ACTIONS(5089), 1,
      anon_sym_DOT,
    ACTIONS(5091), 1,
      anon_sym_AMP,
    STATE(1965), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(3630), 1,
      sym__arrow_operator,
    STATE(5993), 1,
      sym__async_keyword,
    STATE(7605), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2898), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2896), 38,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [6807] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5203), 1,
      anon_sym_QMARK2,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    STATE(1824), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(2861), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2859), 45,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [6883] = 11,
    ACTIONS(5139), 1,
      anon_sym_COMMA,
    ACTIONS(5141), 1,
      anon_sym_LPAREN,
    ACTIONS(5147), 1,
      sym__eq_custom,
    ACTIONS(5208), 1,
      anon_sym_SEMI,
    STATE(503), 1,
      sym__equal_sign,
    STATE(2148), 1,
      aux_sym_enum_entry_repeat1,
    STATE(2149), 1,
      sym__enum_entry_suffix,
    STATE(2329), 1,
      sym_enum_type_parameters,
    ACTIONS(5210), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5206), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [6969] = 11,
    ACTIONS(5139), 1,
      anon_sym_COMMA,
    ACTIONS(5141), 1,
      anon_sym_LPAREN,
    ACTIONS(5147), 1,
      sym__eq_custom,
    ACTIONS(5214), 1,
      anon_sym_SEMI,
    STATE(503), 1,
      sym__equal_sign,
    STATE(2308), 1,
      sym__enum_entry_suffix,
    STATE(2310), 1,
      aux_sym_enum_entry_repeat1,
    STATE(2329), 1,
      sym_enum_type_parameters,
    ACTIONS(5216), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5212), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [7055] = 3,
    ACTIONS(2930), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2928), 57,
      sym__eq_custom,
      sym_where_keyword,
      sym__as_custom,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [7125] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5066), 1,
      sym__arrow_operator_custom,
    ACTIONS(5068), 1,
      sym__async_keyword_custom,
    ACTIONS(5089), 1,
      anon_sym_DOT,
    ACTIONS(5091), 1,
      anon_sym_AMP,
    STATE(1965), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(3630), 1,
      sym__arrow_operator,
    STATE(5993), 1,
      sym__async_keyword,
    STATE(7605), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2894), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2892), 38,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [7215] = 3,
    ACTIONS(2973), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2971), 57,
      sym__dot_custom,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_willSet,
      anon_sym_didSet,
      anon_sym_macro,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_get,
      anon_sym_set,
      anon_sym__modify,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [7285] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5218), 1,
      sym__dot_custom,
    STATE(1812), 1,
      aux_sym_user_type_repeat1,
    STATE(4590), 1,
      sym__dot,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2854), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2852), 45,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [7363] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1784), 1,
      aux_sym_protocol_composition_type_repeat1,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3016), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3014), 46,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [7437] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2993), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2991), 47,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [7509] = 8,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1965), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(3630), 1,
      sym__arrow_operator,
    STATE(5993), 1,
      sym__async_keyword,
    STATE(7605), 1,
      sym_throws,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2880), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2878), 43,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [7589] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5221), 1,
      sym__dot_custom,
    STATE(1830), 1,
      aux_sym_user_type_repeat1,
    STATE(4590), 1,
      sym__dot,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2807), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2805), 45,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [7667] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5066), 1,
      sym__arrow_operator_custom,
    ACTIONS(5068), 1,
      sym__async_keyword_custom,
    ACTIONS(5089), 1,
      anon_sym_DOT,
    ACTIONS(5091), 1,
      anon_sym_AMP,
    STATE(1965), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(3630), 1,
      sym__arrow_operator,
    STATE(5993), 1,
      sym__async_keyword,
    STATE(7605), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2876), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2874), 38,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [7757] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5224), 1,
      anon_sym_LT,
    STATE(1855), 1,
      sym_type_arguments,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2884), 11,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2882), 46,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [7833] = 3,
    ACTIONS(2965), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2963), 57,
      sym__dot_custom,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_willSet,
      anon_sym_didSet,
      anon_sym_macro,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_get,
      anon_sym_set,
      anon_sym__modify,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [7903] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2997), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2995), 46,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [7974] = 3,
    ACTIONS(5228), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5226), 56,
      sym__eq_custom,
      sym_where_keyword,
      sym__as_custom,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [8043] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5230), 1,
      sym__dot_custom,
    STATE(1840), 1,
      aux_sym_user_type_repeat1,
    STATE(4647), 1,
      sym__dot,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2800), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2798), 43,
      sym__arrow_operator_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [8120] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2926), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2924), 46,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [8191] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2916), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2914), 46,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [8262] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2969), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2967), 46,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [8333] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5233), 1,
      anon_sym_self,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    STATE(1884), 3,
      sym__key_path_postfixes,
      sym_bang,
      aux_sym__key_path_component_repeat1,
    ACTIONS(2920), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2918), 42,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [8408] = 3,
    ACTIONS(5237), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5235), 56,
      sym__eq_custom,
      sym_where_keyword,
      sym__as_custom,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [8477] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2965), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2963), 46,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [8548] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2884), 1,
      anon_sym_DOT,
    ACTIONS(5239), 1,
      anon_sym_COMMA,
    ACTIONS(5242), 1,
      anon_sym_RBRACK,
    ACTIONS(5246), 1,
      anon_sym_LT,
    ACTIONS(5249), 1,
      sym__eq_custom,
    STATE(448), 1,
      sym__equal_sign,
    STATE(4399), 1,
      sym_type_arguments,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2882), 4,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
    ACTIONS(3078), 7,
      sym__dot_custom,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
    ACTIONS(3081), 10,
      anon_sym_QMARK,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3076), 30,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_LBRACK,
      aux_sym_custom_operator_token1,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [8637] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2989), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2987), 46,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [8708] = 12,
    ACTIONS(5052), 1,
      anon_sym_func,
    ACTIONS(5252), 1,
      anon_sym_init,
    STATE(5624), 1,
      sym_simple_identifier,
    STATE(6344), 1,
      sym__non_constructor_function_decl,
    STATE(7737), 1,
      sym__modifierless_function_declaration_no_body,
    STATE(5797), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(3444), 3,
      aux_sym_simple_identifier_token1,
      anon_sym_each,
      anon_sym_repeat,
    ACTIONS(3446), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5058), 4,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
    ACTIONS(5047), 6,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    ACTIONS(5050), 35,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_macro,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_associatedtype,
      anon_sym_AT,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_weak,
      anon_sym_unowned,
  [8795] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5261), 1,
      anon_sym_BANG2,
    ACTIONS(5263), 1,
      sym__bang_custom,
    ACTIONS(5257), 2,
      sym__custom_operator,
      aux_sym_custom_operator_token1,
    STATE(4320), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2814), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5259), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2812), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(7457), 11,
      sym_simple_identifier,
      sym_custom_operator,
      sym__assignment_and_operator,
      sym__equality_operator,
      sym__comparison_operator,
      sym__additive_operator,
      sym__multiplicative_operator,
      sym__referenceable_operator,
      sym__equal_sign,
      sym__eq_eq,
      sym_bang,
    ACTIONS(5255), 21,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      anon_sym_AMP,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_TILDE,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [8880] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2961), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2959), 46,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [8951] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1869), 1,
      aux_sym_protocol_composition_type_repeat1,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3016), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3014), 45,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [9024] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2800), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2798), 46,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [9095] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5021), 1,
      anon_sym_QMARK2,
    STATE(1867), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2842), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2840), 43,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [9170] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2973), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2971), 46,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [9241] = 8,
    ACTIONS(5267), 1,
      anon_sym_lazy,
    ACTIONS(5270), 1,
      anon_sym_AT,
    ACTIONS(5273), 1,
      anon_sym_final,
    ACTIONS(5279), 1,
      anon_sym_unowned,
    ACTIONS(5276), 3,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    STATE(1856), 6,
      sym_attribute,
      aux_sym__locally_permitted_modifiers,
      sym__locally_permitted_modifier,
      sym_property_behavior_modifier,
      sym_inheritance_modifier,
      sym_ownership_modifier,
    ACTIONS(5265), 45,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_package,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_willSet,
      anon_sym_didSet,
      anon_sym_macro,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_borrowing,
      anon_sym_consuming,
  [9320] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5282), 1,
      anon_sym_AMP,
    STATE(1857), 1,
      aux_sym_protocol_composition_type_repeat1,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2894), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2892), 45,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [9395] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5285), 1,
      anon_sym_QMARK2,
    STATE(1858), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2861), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2859), 43,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [9470] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5288), 1,
      anon_sym_LT,
    STATE(1931), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2884), 11,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2882), 46,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [9545] = 3,
    ACTIONS(5292), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5290), 56,
      sym__eq_custom,
      sym_where_keyword,
      sym__as_custom,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [9614] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5294), 1,
      sym__dot_custom,
    STATE(1861), 1,
      aux_sym_user_type_repeat1,
    STATE(4643), 1,
      sym__dot,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2800), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2798), 43,
      sym__arrow_operator_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [9691] = 5,
    ACTIONS(5299), 1,
      anon_sym_LPAREN,
    STATE(1862), 1,
      aux_sym__function_value_parameters,
    ACTIONS(5302), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5297), 54,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [9764] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2981), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2979), 46,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [9835] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2953), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2951), 46,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [9906] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5304), 1,
      anon_sym_self,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    STATE(1883), 3,
      sym__key_path_postfixes,
      sym_bang,
      aux_sym__key_path_component_repeat1,
    ACTIONS(2920), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2918), 42,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [9981] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2930), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2928), 46,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [10052] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1881), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2796), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2794), 44,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [10125] = 8,
    ACTIONS(5141), 1,
      anon_sym_LPAREN,
    ACTIONS(5147), 1,
      sym__eq_custom,
    STATE(503), 1,
      sym__equal_sign,
    STATE(2329), 1,
      sym_enum_type_parameters,
    STATE(2458), 1,
      sym__enum_entry_suffix,
    ACTIONS(5308), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5306), 51,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_SEMI,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [10204] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5310), 1,
      anon_sym_AMP,
    STATE(1869), 1,
      aux_sym_protocol_composition_type_repeat1,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2894), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2892), 44,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK2,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [10279] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1857), 1,
      aux_sym_protocol_composition_type_repeat1,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3016), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3014), 46,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [10352] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5313), 1,
      sym__dot_custom,
    STATE(1880), 1,
      aux_sym_user_type_repeat1,
    STATE(4643), 1,
      sym__dot,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2807), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2805), 43,
      sym__arrow_operator_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [10429] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2977), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2975), 46,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [10500] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2912), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2910), 46,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [10571] = 3,
    ACTIONS(5318), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5316), 56,
      sym__eq_custom,
      sym_where_keyword,
      sym__as_custom,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [10640] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5320), 1,
      sym__dot_custom,
    STATE(1886), 1,
      aux_sym_user_type_repeat1,
    STATE(4647), 1,
      sym__dot,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2807), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2805), 43,
      sym__arrow_operator_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [10717] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1858), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2796), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2794), 44,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [10790] = 3,
    ACTIONS(5325), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5323), 56,
      sym__eq_custom,
      sym_where_keyword,
      sym__as_custom,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [10859] = 3,
    ACTIONS(5329), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5327), 56,
      sym__eq_custom,
      sym_where_keyword,
      sym__as_custom,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [10928] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2985), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2983), 46,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [10999] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5331), 1,
      sym__dot_custom,
    STATE(1861), 1,
      aux_sym_user_type_repeat1,
    STATE(4643), 1,
      sym__dot,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2854), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2852), 43,
      sym__arrow_operator_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [11076] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5334), 1,
      anon_sym_QMARK2,
    STATE(1881), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2861), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2859), 43,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [11151] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5000), 1,
      anon_sym_QMARK2,
    STATE(1876), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2842), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2840), 43,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [11226] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5233), 1,
      anon_sym_self,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    STATE(1884), 3,
      sym__key_path_postfixes,
      sym_bang,
      aux_sym__key_path_component_repeat1,
    ACTIONS(2906), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2904), 42,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [11301] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5337), 1,
      anon_sym_LBRACK,
    ACTIONS(5340), 1,
      anon_sym_QMARK,
    ACTIONS(5343), 1,
      anon_sym_self,
    ACTIONS(5346), 1,
      anon_sym_BANG2,
    ACTIONS(5349), 1,
      sym__bang_custom,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    STATE(1884), 3,
      sym__key_path_postfixes,
      sym_bang,
      aux_sym__key_path_component_repeat1,
    ACTIONS(2937), 10,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
    ACTIONS(2932), 40,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [11384] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2993), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2991), 46,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [11455] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5352), 1,
      sym__dot_custom,
    STATE(1840), 1,
      aux_sym_user_type_repeat1,
    STATE(4647), 1,
      sym__dot,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2854), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2852), 43,
      sym__arrow_operator_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [11532] = 3,
    ACTIONS(5039), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5035), 56,
      sym__eq_custom,
      sym_where_keyword,
      sym__as_custom,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [11601] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2957), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2955), 46,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [11672] = 3,
    ACTIONS(5062), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5060), 56,
      sym__eq_custom,
      sym_where_keyword,
      sym__as_custom,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [11741] = 5,
    ACTIONS(5355), 1,
      anon_sym_LT,
    STATE(2061), 1,
      sym_type_arguments,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2882), 10,
      sym__dot_custom,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
    ACTIONS(2884), 45,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_in,
      anon_sym_self,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_willSet,
      anon_sym_didSet,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_AT,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_weak,
      anon_sym_unowned,
      anon_sym_borrowing,
      anon_sym_consuming,
  [11813] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2953), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2951), 46,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [11883] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5357), 6,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_in,
    ACTIONS(5361), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(5359), 40,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [11955] = 6,
    ACTIONS(5363), 1,
      sym__dot_custom,
    STATE(1933), 1,
      aux_sym_user_type_repeat1,
    STATE(4656), 1,
      sym__dot,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2852), 10,
      sym_default_keyword,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
    ACTIONS(2854), 44,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_in,
      anon_sym_self,
      anon_sym_case,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_AT,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_weak,
      anon_sym_unowned,
      anon_sym_borrowing,
      anon_sym_consuming,
  [12029] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2800), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2798), 46,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [12099] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5246), 1,
      anon_sym_LT,
    STATE(4399), 1,
      sym_type_arguments,
    ACTIONS(2884), 2,
      anon_sym_BANG,
      anon_sym_DOT,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2882), 4,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
    ACTIONS(3078), 8,
      sym__dot_custom,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
    ACTIONS(3081), 10,
      anon_sym_QMARK,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3076), 31,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_LBRACK,
      aux_sym_custom_operator_token1,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [12179] = 6,
    ACTIONS(5365), 1,
      sym__dot_custom,
    STATE(1896), 1,
      aux_sym_user_type_repeat1,
    STATE(4609), 1,
      sym__dot,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2798), 9,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
    ACTIONS(2800), 45,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_in,
      anon_sym_self,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_willSet,
      anon_sym_didSet,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_AT,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_weak,
      anon_sym_unowned,
      anon_sym_borrowing,
      anon_sym_consuming,
  [12253] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2993), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2991), 46,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [12323] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5368), 1,
      anon_sym_LT,
    STATE(2001), 1,
      sym_type_arguments,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2884), 11,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2882), 44,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [12397] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2965), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2963), 46,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [12467] = 3,
    ACTIONS(5372), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5370), 55,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [12535] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1938), 1,
      aux_sym_protocol_composition_type_repeat1,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3016), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3014), 44,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [12607] = 6,
    ACTIONS(5363), 1,
      sym__dot_custom,
    STATE(1893), 1,
      aux_sym_user_type_repeat1,
    STATE(4656), 1,
      sym__dot,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2805), 10,
      sym_default_keyword,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
    ACTIONS(2807), 44,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_in,
      anon_sym_self,
      anon_sym_case,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_AT,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_weak,
      anon_sym_unowned,
      anon_sym_borrowing,
      anon_sym_consuming,
  [12681] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5374), 1,
      anon_sym_AMP,
    STATE(1903), 1,
      aux_sym_protocol_composition_type_repeat1,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2894), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2892), 43,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [12755] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2969), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2967), 46,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [12825] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2997), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2995), 46,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [12895] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2916), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2914), 46,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [12965] = 6,
    ACTIONS(5377), 1,
      sym__dot_custom,
    STATE(1896), 1,
      aux_sym_user_type_repeat1,
    STATE(4609), 1,
      sym__dot,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2852), 9,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
    ACTIONS(2854), 45,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_in,
      anon_sym_self,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_willSet,
      anon_sym_didSet,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_AT,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_weak,
      anon_sym_unowned,
      anon_sym_borrowing,
      anon_sym_consuming,
  [13039] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3110), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3108), 46,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_in,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [13109] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5379), 1,
      sym__dot_custom,
    STATE(1941), 1,
      aux_sym_user_type_repeat1,
    STATE(4676), 1,
      sym__dot,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2807), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2805), 42,
      sym__arrow_operator_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [13185] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5382), 1,
      anon_sym_LT,
    STATE(1998), 1,
      sym_type_arguments,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2884), 11,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2882), 44,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [13259] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5384), 1,
      anon_sym_QMARK2,
    STATE(1911), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2861), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2859), 42,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [13333] = 6,
    ACTIONS(5377), 1,
      sym__dot_custom,
    STATE(1907), 1,
      aux_sym_user_type_repeat1,
    STATE(4609), 1,
      sym__dot,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2805), 9,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
    ACTIONS(2807), 45,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_in,
      anon_sym_self,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_willSet,
      anon_sym_didSet,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_AT,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_weak,
      anon_sym_unowned,
      anon_sym_borrowing,
      anon_sym_consuming,
  [13407] = 4,
    ACTIONS(5391), 1,
      sym__as_custom,
    ACTIONS(5389), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5387), 54,
      sym__eq_custom,
      sym_where_keyword,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [13477] = 4,
    ACTIONS(5397), 1,
      sym__as_custom,
    ACTIONS(5395), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5393), 54,
      sym__eq_custom,
      sym_where_keyword,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [13547] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5064), 1,
      anon_sym_QMARK2,
    STATE(1940), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2842), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2840), 42,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [13621] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5399), 1,
      anon_sym_LBRACK,
    ACTIONS(5402), 1,
      anon_sym_QMARK,
    ACTIONS(5405), 1,
      anon_sym_self,
    ACTIONS(5408), 1,
      anon_sym_BANG2,
    ACTIONS(5411), 1,
      sym__bang_custom,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    STATE(1916), 3,
      sym__key_path_postfixes,
      sym_bang,
      aux_sym__key_path_component_repeat1,
    ACTIONS(2937), 10,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
    ACTIONS(2932), 40,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [13703] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2930), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2928), 46,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [13773] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5414), 1,
      sym__dot_custom,
    STATE(1918), 1,
      aux_sym_user_type_repeat1,
    STATE(4676), 1,
      sym__dot,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2800), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2798), 42,
      sym__arrow_operator_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [13849] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1903), 1,
      aux_sym_protocol_composition_type_repeat1,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3016), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3014), 44,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [13921] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_self,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    STATE(1916), 3,
      sym__key_path_postfixes,
      sym_bang,
      aux_sym__key_path_component_repeat1,
    ACTIONS(2906), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2904), 42,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [13995] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2884), 1,
      anon_sym_DOT,
    ACTIONS(5246), 1,
      anon_sym_LT,
    STATE(4399), 1,
      sym_type_arguments,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2882), 4,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
    ACTIONS(3078), 8,
      sym__dot_custom,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
    ACTIONS(3081), 10,
      anon_sym_QMARK,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3076), 32,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      aux_sym_custom_operator_token1,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [14075] = 3,
    ACTIONS(5421), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5419), 55,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [14143] = 3,
    ACTIONS(5425), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5423), 55,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [14211] = 4,
    ACTIONS(5429), 1,
      anon_sym_BANG,
    ACTIONS(5431), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5427), 54,
      sym__eq_custom,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_DOT_DOT_DOT,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [14281] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2926), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2924), 46,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [14351] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2977), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2975), 46,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [14421] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2989), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2987), 46,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [14491] = 3,
    ACTIONS(2930), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2928), 55,
      sym__eq_custom,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_SEMI,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [14559] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2981), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2979), 46,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [14629] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2961), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2959), 46,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [14699] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2973), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2971), 46,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [14769] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5433), 1,
      anon_sym_self,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    STATE(1920), 3,
      sym__key_path_postfixes,
      sym_bang,
      aux_sym__key_path_component_repeat1,
    ACTIONS(2920), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2918), 42,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [14843] = 6,
    ACTIONS(5435), 1,
      sym__dot_custom,
    STATE(1933), 1,
      aux_sym_user_type_repeat1,
    STATE(4656), 1,
      sym__dot,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2798), 10,
      sym_default_keyword,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
    ACTIONS(2800), 44,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_in,
      anon_sym_self,
      anon_sym_case,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_AT,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_weak,
      anon_sym_unowned,
      anon_sym_borrowing,
      anon_sym_consuming,
  [14917] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2884), 1,
      anon_sym_DOT,
    ACTIONS(5246), 1,
      anon_sym_LT,
    ACTIONS(5438), 1,
      anon_sym_COLON,
    STATE(4399), 1,
      sym_type_arguments,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2882), 4,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
    ACTIONS(3078), 8,
      sym__dot_custom,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
    ACTIONS(3081), 10,
      anon_sym_QMARK,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3076), 31,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_LBRACK,
      aux_sym_custom_operator_token1,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [14999] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_self,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    STATE(1916), 3,
      sym__key_path_postfixes,
      sym_bang,
      aux_sym__key_path_component_repeat1,
    ACTIONS(2920), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2918), 42,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [15073] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2985), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2983), 46,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [15143] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2957), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2955), 46,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [15213] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5440), 1,
      anon_sym_AMP,
    STATE(1938), 1,
      aux_sym_protocol_composition_type_repeat1,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2894), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2892), 43,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [15287] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2912), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2910), 46,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [15357] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1911), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2796), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2794), 43,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [15429] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5443), 1,
      sym__dot_custom,
    STATE(1918), 1,
      aux_sym_user_type_repeat1,
    STATE(4676), 1,
      sym__dot,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2854), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2852), 42,
      sym__arrow_operator_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [15505] = 5,
    ACTIONS(5446), 1,
      anon_sym_LT,
    STATE(2096), 1,
      sym_type_arguments,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2882), 11,
      sym__dot_custom,
      sym_default_keyword,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
    ACTIONS(2884), 44,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_in,
      anon_sym_self,
      anon_sym_case,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_AT,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_weak,
      anon_sym_unowned,
      anon_sym_borrowing,
      anon_sym_consuming,
  [15577] = 11,
    ACTIONS(5448), 1,
      anon_sym_QMARK2,
    ACTIONS(5450), 1,
      sym__arrow_operator_custom,
    ACTIONS(5452), 1,
      sym__async_keyword_custom,
    STATE(3887), 1,
      sym__arrow_operator,
    STATE(6089), 1,
      sym__async_keyword,
    STATE(7425), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    STATE(2201), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(2842), 3,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2840), 44,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_default_keyword,
      sym_where_keyword,
      sym__as_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [15661] = 8,
    ACTIONS(4876), 1,
      anon_sym_LBRACE,
    ACTIONS(4882), 1,
      sym_where_keyword,
    STATE(2227), 1,
      sym_type_constraints,
    STATE(2706), 1,
      sym_function_body,
    STATE(2809), 1,
      sym__block,
    ACTIONS(5124), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5122), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [15738] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2977), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2975), 44,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [15807] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2912), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2910), 44,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [15876] = 8,
    ACTIONS(4876), 1,
      anon_sym_LBRACE,
    ACTIONS(4882), 1,
      sym_where_keyword,
    STATE(2150), 1,
      sym_type_constraints,
    STATE(2809), 1,
      sym__block,
    STATE(2891), 1,
      sym_function_body,
    ACTIONS(5135), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5133), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [15953] = 8,
    ACTIONS(4876), 1,
      anon_sym_LBRACE,
    ACTIONS(4882), 1,
      sym_where_keyword,
    STATE(2147), 1,
      sym_type_constraints,
    STATE(2809), 1,
      sym__block,
    STATE(2894), 1,
      sym_function_body,
    ACTIONS(5456), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5454), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [16030] = 8,
    ACTIONS(4876), 1,
      anon_sym_LBRACE,
    ACTIONS(4882), 1,
      sym_where_keyword,
    STATE(2145), 1,
      sym_type_constraints,
    STATE(2809), 1,
      sym__block,
    STATE(2898), 1,
      sym_function_body,
    ACTIONS(5456), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5454), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [16107] = 8,
    ACTIONS(4876), 1,
      anon_sym_LBRACE,
    ACTIONS(4882), 1,
      sym_where_keyword,
    STATE(2144), 1,
      sym_type_constraints,
    STATE(2809), 1,
      sym__block,
    STATE(2910), 1,
      sym_function_body,
    ACTIONS(5460), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5458), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [16184] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1480), 1,
      sym_lambda_literal,
    STATE(2244), 1,
      sym__fn_call_lambda_arguments,
    ACTIONS(5462), 2,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3399), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3397), 41,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [16259] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2800), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2798), 44,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [16328] = 4,
    ACTIONS(5465), 1,
      anon_sym_BANG,
    ACTIONS(5431), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5427), 53,
      sym__eq_custom,
      sym_where_keyword,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [16397] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5467), 1,
      anon_sym_self,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    STATE(1960), 3,
      sym__key_path_postfixes,
      sym_bang,
      aux_sym__key_path_component_repeat1,
    ACTIONS(2920), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2918), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [16470] = 8,
    ACTIONS(4905), 1,
      sym_where_keyword,
    ACTIONS(5471), 1,
      anon_sym_COLON,
    ACTIONS(5475), 1,
      sym__eq_custom,
    STATE(2420), 1,
      sym_type_constraints,
    STATE(3787), 1,
      sym__equal_sign,
    ACTIONS(5473), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5469), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [16547] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5477), 1,
      anon_sym_self,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    STATE(1962), 3,
      sym__key_path_postfixes,
      sym_bang,
      aux_sym__key_path_component_repeat1,
    ACTIONS(2920), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2918), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [16620] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2800), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2798), 44,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [16689] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2993), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2991), 44,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [16758] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1480), 1,
      sym_lambda_literal,
    STATE(2247), 1,
      sym__fn_call_lambda_arguments,
    ACTIONS(5479), 2,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3382), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3380), 41,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [16833] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5477), 1,
      anon_sym_self,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    STATE(1962), 3,
      sym__key_path_postfixes,
      sym_bang,
      aux_sym__key_path_component_repeat1,
    ACTIONS(2906), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2904), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [16906] = 3,
    ACTIONS(5484), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5482), 54,
      sym__eq_custom,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_DOT_DOT_DOT,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [16973] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5486), 1,
      anon_sym_LBRACK,
    ACTIONS(5489), 1,
      anon_sym_QMARK,
    ACTIONS(5492), 1,
      anon_sym_self,
    ACTIONS(5495), 1,
      anon_sym_BANG2,
    ACTIONS(5498), 1,
      sym__bang_custom,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    STATE(1962), 3,
      sym__key_path_postfixes,
      sym_bang,
      aux_sym__key_path_component_repeat1,
    ACTIONS(2937), 10,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
    ACTIONS(2932), 38,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [17054] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5501), 1,
      anon_sym_LT,
    STATE(2113), 1,
      sym_type_arguments,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2884), 11,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2882), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [17127] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2993), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2991), 44,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [17196] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1974), 1,
      aux_sym_protocol_composition_type_repeat1,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3016), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3014), 43,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [17267] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2981), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2979), 44,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [17336] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2953), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2951), 44,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [17405] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4675), 1,
      anon_sym_DOT,
    STATE(1996), 1,
      aux_sym_key_path_expression_repeat1,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3039), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3037), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [17478] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4675), 1,
      anon_sym_DOT,
    STATE(1995), 1,
      aux_sym_key_path_expression_repeat1,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3039), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3037), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [17551] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2969), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2967), 44,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [17620] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2961), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2959), 44,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [17689] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2989), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2987), 44,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [17758] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2977), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2975), 44,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [17827] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5503), 1,
      anon_sym_AMP,
    STATE(1974), 1,
      aux_sym_protocol_composition_type_repeat1,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2894), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2892), 42,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [17900] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2916), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2914), 44,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [17969] = 8,
    ACTIONS(4876), 1,
      anon_sym_LBRACE,
    ACTIONS(4882), 1,
      sym_where_keyword,
    STATE(2254), 1,
      sym_type_constraints,
    STATE(2729), 1,
      sym_function_body,
    STATE(2809), 1,
      sym__block,
    ACTIONS(5201), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5199), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [18046] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3043), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3041), 44,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_self,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [18115] = 8,
    ACTIONS(4905), 1,
      sym_where_keyword,
    ACTIONS(5508), 1,
      anon_sym_COLON,
    ACTIONS(5512), 1,
      sym__eq_custom,
    STATE(2324), 1,
      sym_type_constraints,
    STATE(3793), 1,
      sym__equal_sign,
    ACTIONS(5510), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5506), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [18192] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2985), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2983), 44,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [18261] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5514), 1,
      anon_sym_LT,
    STATE(2047), 1,
      sym_type_arguments,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2884), 11,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2882), 43,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [18334] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2981), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2979), 44,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [18403] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2965), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2963), 44,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [18472] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2953), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2951), 44,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [18541] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2997), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2995), 44,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [18610] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2961), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2959), 44,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [18679] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2957), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2955), 44,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [18748] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2989), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2987), 44,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [18817] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2926), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2924), 44,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [18886] = 8,
    ACTIONS(4876), 1,
      anon_sym_LBRACE,
    ACTIONS(4882), 1,
      sym_where_keyword,
    STATE(2181), 1,
      sym_type_constraints,
    STATE(2809), 1,
      sym__block,
    STATE(2816), 1,
      sym_function_body,
    ACTIONS(5171), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5169), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [18963] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2916), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2914), 44,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [19032] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2930), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2928), 44,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [19101] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2969), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2967), 44,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [19170] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3047), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3045), 44,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_self,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [19239] = 8,
    ACTIONS(4876), 1,
      anon_sym_LBRACE,
    ACTIONS(4882), 1,
      sym_where_keyword,
    STATE(2154), 1,
      sym_type_constraints,
    STATE(2809), 1,
      sym__block,
    STATE(2880), 1,
      sym_function_body,
    ACTIONS(5518), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5516), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [19316] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4675), 1,
      anon_sym_DOT,
    STATE(1996), 1,
      aux_sym_key_path_expression_repeat1,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3051), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3049), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [19389] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5520), 1,
      anon_sym_DOT,
    STATE(1996), 1,
      aux_sym_key_path_expression_repeat1,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3060), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3055), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [19462] = 8,
    ACTIONS(4876), 1,
      anon_sym_LBRACE,
    ACTIONS(4882), 1,
      sym_where_keyword,
    STATE(2235), 1,
      sym_type_constraints,
    STATE(2691), 1,
      sym_function_body,
    STATE(2809), 1,
      sym__block,
    ACTIONS(5151), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5149), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [19539] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2973), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2971), 44,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [19608] = 8,
    ACTIONS(4876), 1,
      anon_sym_LBRACE,
    ACTIONS(4882), 1,
      sym_where_keyword,
    STATE(2223), 1,
      sym_type_constraints,
    STATE(2712), 1,
      sym_function_body,
    STATE(2809), 1,
      sym__block,
    ACTIONS(5124), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5122), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [19685] = 8,
    ACTIONS(4876), 1,
      anon_sym_LBRACE,
    ACTIONS(4882), 1,
      sym_where_keyword,
    STATE(2220), 1,
      sym_type_constraints,
    STATE(2715), 1,
      sym_function_body,
    STATE(2809), 1,
      sym__block,
    ACTIONS(5525), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5523), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [19762] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2973), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2971), 44,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [19831] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1480), 1,
      sym_lambda_literal,
    STATE(2244), 1,
      sym__fn_call_lambda_arguments,
    ACTIONS(5527), 2,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3390), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3387), 41,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [19906] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2884), 1,
      anon_sym_DOT,
    ACTIONS(5246), 1,
      anon_sym_LT,
    STATE(4399), 1,
      sym_type_arguments,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2882), 4,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
    ACTIONS(3078), 8,
      sym__dot_custom,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
    ACTIONS(3081), 10,
      anon_sym_QMARK,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3076), 31,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_LBRACK,
      aux_sym_custom_operator_token1,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [19985] = 3,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2928), 12,
      sym__dot_custom,
      sym_default_keyword,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
    ACTIONS(2930), 44,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_in,
      anon_sym_self,
      anon_sym_case,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_AT,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_weak,
      anon_sym_unowned,
      anon_sym_borrowing,
      anon_sym_consuming,
  [20052] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2997), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2995), 44,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [20121] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2930), 13,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2928), 43,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [20190] = 8,
    ACTIONS(4876), 1,
      anon_sym_LBRACE,
    ACTIONS(4882), 1,
      sym_where_keyword,
    STATE(2155), 1,
      sym_type_constraints,
    STATE(2809), 1,
      sym__block,
    STATE(2870), 1,
      sym_function_body,
    ACTIONS(5533), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5531), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [20267] = 8,
    ACTIONS(4876), 1,
      anon_sym_LBRACE,
    ACTIONS(4882), 1,
      sym_where_keyword,
    STATE(2156), 1,
      sym_type_constraints,
    STATE(2809), 1,
      sym__block,
    STATE(2867), 1,
      sym_function_body,
    ACTIONS(5131), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5129), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [20344] = 8,
    ACTIONS(4876), 1,
      anon_sym_LBRACE,
    ACTIONS(4882), 1,
      sym_where_keyword,
    STATE(2160), 1,
      sym_type_constraints,
    STATE(2809), 1,
      sym__block,
    STATE(2861), 1,
      sym_function_body,
    ACTIONS(5131), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5129), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [20421] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5535), 1,
      anon_sym_LBRACK,
    ACTIONS(5538), 1,
      anon_sym_QMARK,
    ACTIONS(5541), 1,
      anon_sym_self,
    ACTIONS(5544), 1,
      anon_sym_BANG2,
    ACTIONS(5547), 1,
      sym__bang_custom,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    STATE(2010), 3,
      sym__key_path_postfixes,
      sym_bang,
      aux_sym__key_path_component_repeat1,
    ACTIONS(2937), 10,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
    ACTIONS(2932), 38,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [20502] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5550), 1,
      anon_sym_self,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    STATE(2010), 3,
      sym__key_path_postfixes,
      sym_bang,
      aux_sym__key_path_component_repeat1,
    ACTIONS(2906), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2904), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [20575] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2912), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2910), 44,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [20644] = 8,
    ACTIONS(4876), 1,
      anon_sym_LBRACE,
    ACTIONS(4882), 1,
      sym_where_keyword,
    STATE(2166), 1,
      sym_type_constraints,
    STATE(2809), 1,
      sym__block,
    STATE(2847), 1,
      sym_function_body,
    ACTIONS(5554), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5552), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [20721] = 8,
    ACTIONS(4876), 1,
      anon_sym_LBRACE,
    ACTIONS(4882), 1,
      sym_where_keyword,
    STATE(2170), 1,
      sym_type_constraints,
    STATE(2809), 1,
      sym__block,
    STATE(2839), 1,
      sym_function_body,
    ACTIONS(5558), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5556), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [20798] = 8,
    ACTIONS(4876), 1,
      anon_sym_LBRACE,
    ACTIONS(4882), 1,
      sym_where_keyword,
    STATE(2171), 1,
      sym_type_constraints,
    STATE(2809), 1,
      sym__block,
    STATE(2835), 1,
      sym_function_body,
    ACTIONS(5558), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5556), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [20875] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2930), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2928), 44,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_self,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [20944] = 8,
    ACTIONS(4876), 1,
      anon_sym_LBRACE,
    ACTIONS(4882), 1,
      sym_where_keyword,
    STATE(2209), 1,
      sym_type_constraints,
    STATE(2767), 1,
      sym_function_body,
    STATE(2809), 1,
      sym__block,
    ACTIONS(5155), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5153), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [21021] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2930), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2928), 44,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [21090] = 8,
    ACTIONS(4876), 1,
      anon_sym_LBRACE,
    ACTIONS(4882), 1,
      sym_where_keyword,
    STATE(2205), 1,
      sym_type_constraints,
    STATE(2773), 1,
      sym_function_body,
    STATE(2809), 1,
      sym__block,
    ACTIONS(5155), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5153), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [21167] = 8,
    ACTIONS(4876), 1,
      anon_sym_LBRACE,
    ACTIONS(4882), 1,
      sym_where_keyword,
    STATE(2203), 1,
      sym_type_constraints,
    STATE(2776), 1,
      sym_function_body,
    STATE(2809), 1,
      sym__block,
    ACTIONS(5562), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5560), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [21244] = 8,
    ACTIONS(4876), 1,
      anon_sym_LBRACE,
    ACTIONS(4882), 1,
      sym_where_keyword,
    STATE(2172), 1,
      sym_type_constraints,
    STATE(2809), 1,
      sym__block,
    STATE(2832), 1,
      sym_function_body,
    ACTIONS(5159), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5157), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [21321] = 4,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(4006), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(4008), 53,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_willSet,
      anon_sym_didSet,
      anon_sym_macro,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_get,
      anon_sym_set,
      anon_sym__modify,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [21390] = 8,
    ACTIONS(4876), 1,
      anon_sym_LBRACE,
    ACTIONS(4882), 1,
      sym_where_keyword,
    STATE(2198), 1,
      sym_type_constraints,
    STATE(2787), 1,
      sym_function_body,
    STATE(2809), 1,
      sym__block,
    ACTIONS(5197), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5195), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [21467] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5566), 1,
      anon_sym_self,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    STATE(2011), 3,
      sym__key_path_postfixes,
      sym_bang,
      aux_sym__key_path_component_repeat1,
    ACTIONS(2920), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2918), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [21540] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2965), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2963), 44,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [21609] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2469), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2471), 44,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_self,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [21678] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5550), 1,
      anon_sym_self,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    STATE(2010), 3,
      sym__key_path_postfixes,
      sym_bang,
      aux_sym__key_path_component_repeat1,
    ACTIONS(2920), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2918), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [21751] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3064), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3062), 44,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_self,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [21820] = 8,
    ACTIONS(4876), 1,
      anon_sym_LBRACE,
    ACTIONS(4882), 1,
      sym_where_keyword,
    STATE(2197), 1,
      sym_type_constraints,
    STATE(2790), 1,
      sym_function_body,
    STATE(2809), 1,
      sym__block,
    ACTIONS(5570), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5568), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [21897] = 8,
    ACTIONS(4876), 1,
      anon_sym_LBRACE,
    ACTIONS(4882), 1,
      sym_where_keyword,
    STATE(2195), 1,
      sym_type_constraints,
    STATE(2794), 1,
      sym_function_body,
    STATE(2809), 1,
      sym__block,
    ACTIONS(5570), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5568), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [21974] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2985), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2983), 44,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [22043] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2957), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2955), 44,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [22112] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2926), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2924), 44,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [22181] = 3,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2928), 11,
      sym__dot_custom,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
    ACTIONS(2930), 45,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_in,
      anon_sym_self,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_willSet,
      anon_sym_didSet,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_AT,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_weak,
      anon_sym_unowned,
      anon_sym_borrowing,
      anon_sym_consuming,
  [22248] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4715), 1,
      anon_sym_DOT,
    STATE(2056), 1,
      aux_sym_key_path_expression_repeat1,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3039), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3037), 42,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [22320] = 5,
    ACTIONS(5574), 1,
      anon_sym_COMMA,
    STATE(2069), 1,
      aux_sym_type_constraints_repeat1,
    ACTIONS(5576), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5572), 51,
      sym__eq_custom,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [22390] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2997), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2995), 43,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [22458] = 11,
    ACTIONS(5578), 1,
      anon_sym_QMARK2,
    ACTIONS(5580), 1,
      sym__arrow_operator_custom,
    ACTIONS(5582), 1,
      sym__async_keyword_custom,
    STATE(3849), 1,
      sym__arrow_operator,
    STATE(6082), 1,
      sym__async_keyword,
    STATE(7384), 1,
      sym_throws,
    ACTIONS(2842), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    STATE(2566), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2840), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_default_keyword,
      sym_where_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [22540] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5584), 1,
      sym_else,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3068), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3066), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [22610] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3074), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3072), 44,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [22678] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1483), 1,
      sym_lambda_literal,
    STATE(2313), 1,
      sym__fn_call_lambda_arguments,
    ACTIONS(5586), 2,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3382), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3380), 40,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [22752] = 7,
    ACTIONS(4905), 1,
      sym_where_keyword,
    ACTIONS(5593), 1,
      sym__eq_custom,
    STATE(2348), 1,
      sym_type_constraints,
    STATE(3803), 1,
      sym__equal_sign,
    ACTIONS(5591), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5589), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [22826] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3088), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3086), 44,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [22894] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1483), 1,
      sym_lambda_literal,
    STATE(2484), 1,
      sym__fn_call_lambda_arguments,
    ACTIONS(5595), 2,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3399), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3397), 40,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [22968] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3047), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3045), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_self,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [23036] = 7,
    STATE(2590), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(3887), 1,
      sym__arrow_operator,
    STATE(6089), 1,
      sym__async_keyword,
    STATE(7425), 1,
      sym_throws,
    ACTIONS(2902), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2900), 49,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_default_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [23110] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2973), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2971), 43,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [23178] = 12,
    ACTIONS(5450), 1,
      sym__arrow_operator_custom,
    ACTIONS(5452), 1,
      sym__async_keyword_custom,
    ACTIONS(5598), 1,
      anon_sym_DOT,
    ACTIONS(5600), 1,
      anon_sym_AMP,
    STATE(2590), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(3887), 1,
      sym__arrow_operator,
    STATE(6089), 1,
      sym__async_keyword,
    STATE(7425), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(2898), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2896), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_default_keyword,
      sym_where_keyword,
      sym__as_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [23262] = 3,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2963), 10,
      sym__dot_custom,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
    ACTIONS(2965), 45,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_in,
      anon_sym_self,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_willSet,
      anon_sym_didSet,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_AT,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_weak,
      anon_sym_unowned,
      anon_sym_borrowing,
      anon_sym_consuming,
  [23328] = 3,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2924), 10,
      sym__dot_custom,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
    ACTIONS(2926), 45,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_in,
      anon_sym_self,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_willSet,
      anon_sym_didSet,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_AT,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_weak,
      anon_sym_unowned,
      anon_sym_borrowing,
      anon_sym_consuming,
  [23394] = 6,
    ACTIONS(5606), 1,
      sym__dot_custom,
    STATE(2093), 1,
      aux_sym_identifier_repeat1,
    STATE(4787), 1,
      sym__dot,
    ACTIONS(5604), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5602), 50,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      sym_integer_literal,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [23466] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2912), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2910), 43,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [23534] = 7,
    STATE(2590), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(3887), 1,
      sym__arrow_operator,
    STATE(6089), 1,
      sym__async_keyword,
    STATE(7425), 1,
      sym_throws,
    ACTIONS(2880), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2878), 49,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_default_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [23608] = 12,
    ACTIONS(5450), 1,
      sym__arrow_operator_custom,
    ACTIONS(5452), 1,
      sym__async_keyword_custom,
    ACTIONS(5598), 1,
      anon_sym_DOT,
    ACTIONS(5600), 1,
      anon_sym_AMP,
    STATE(2590), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(3887), 1,
      sym__arrow_operator,
    STATE(6089), 1,
      sym__async_keyword,
    STATE(7425), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(2876), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2874), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_default_keyword,
      sym_where_keyword,
      sym__as_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [23692] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2800), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2798), 43,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [23760] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4715), 1,
      anon_sym_DOT,
    STATE(2057), 1,
      aux_sym_key_path_expression_repeat1,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3051), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3049), 42,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [23832] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5608), 1,
      anon_sym_DOT,
    STATE(2057), 1,
      aux_sym_key_path_expression_repeat1,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3060), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3055), 42,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [23904] = 12,
    ACTIONS(5450), 1,
      sym__arrow_operator_custom,
    ACTIONS(5452), 1,
      sym__async_keyword_custom,
    ACTIONS(5598), 1,
      anon_sym_DOT,
    ACTIONS(5600), 1,
      anon_sym_AMP,
    STATE(2590), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(3887), 1,
      sym__arrow_operator,
    STATE(6089), 1,
      sym__async_keyword,
    STATE(7425), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(2870), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2866), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_default_keyword,
      sym_where_keyword,
      sym__as_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [23988] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2926), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2924), 43,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [24056] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2957), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2955), 43,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [24124] = 3,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2971), 10,
      sym__dot_custom,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
    ACTIONS(2973), 45,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_in,
      anon_sym_self,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_willSet,
      anon_sym_didSet,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_AT,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_weak,
      anon_sym_unowned,
      anon_sym_borrowing,
      anon_sym_consuming,
  [24190] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2965), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2963), 43,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [24258] = 3,
    ACTIONS(5484), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5482), 53,
      sym__eq_custom,
      sym_where_keyword,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [24324] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2993), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2991), 43,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [24392] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2469), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2471), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_self,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [24460] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5611), 1,
      sym_else,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3092), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3090), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [24530] = 7,
    ACTIONS(4905), 1,
      sym_where_keyword,
    ACTIONS(5617), 1,
      sym__eq_custom,
    STATE(2335), 1,
      sym_type_constraints,
    STATE(3796), 1,
      sym__equal_sign,
    ACTIONS(5615), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5613), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [24604] = 5,
    ACTIONS(5619), 1,
      anon_sym_LT,
    STATE(2390), 1,
      sym_type_arguments,
    ACTIONS(2884), 3,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2882), 50,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_default_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [24674] = 5,
    ACTIONS(5574), 1,
      anon_sym_COMMA,
    STATE(2084), 1,
      aux_sym_type_constraints_repeat1,
    ACTIONS(5623), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5621), 51,
      sym__eq_custom,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [24744] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3060), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3055), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [24812] = 3,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2798), 11,
      sym__dot_custom,
      sym_default_keyword,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
    ACTIONS(2800), 44,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_in,
      anon_sym_self,
      anon_sym_case,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_AT,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_weak,
      anon_sym_unowned,
      anon_sym_borrowing,
      anon_sym_consuming,
  [24878] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3083), 1,
      anon_sym_LT,
    STATE(1829), 1,
      sym_type_arguments,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3078), 4,
      sym__dot_custom,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
    ACTIONS(3081), 10,
      anon_sym_QMARK,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3076), 39,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [24952] = 12,
    ACTIONS(5450), 1,
      sym__arrow_operator_custom,
    ACTIONS(5452), 1,
      sym__async_keyword_custom,
    ACTIONS(5598), 1,
      anon_sym_DOT,
    ACTIONS(5600), 1,
      anon_sym_AMP,
    STATE(2590), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(3887), 1,
      sym__arrow_operator,
    STATE(6089), 1,
      sym__async_keyword,
    STATE(7425), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(2890), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2888), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_default_keyword,
      sym_where_keyword,
      sym__as_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [25036] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2912), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2910), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [25104] = 6,
    ACTIONS(5629), 1,
      sym__dot_custom,
    STATE(2075), 1,
      aux_sym_identifier_repeat1,
    STATE(4787), 1,
      sym__dot,
    ACTIONS(5627), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5625), 50,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      sym_integer_literal,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [25176] = 3,
    ACTIONS(4002), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(4004), 53,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_willSet,
      anon_sym_didSet,
      anon_sym_macro,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_get,
      anon_sym_set,
      anon_sym__modify,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [25242] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4715), 1,
      anon_sym_DOT,
    STATE(2057), 1,
      aux_sym_key_path_expression_repeat1,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3039), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3037), 42,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [25314] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5632), 1,
      anon_sym_LBRACK,
    ACTIONS(5635), 1,
      anon_sym_QMARK,
    ACTIONS(5638), 1,
      anon_sym_self,
    ACTIONS(5641), 1,
      anon_sym_BANG2,
    ACTIONS(5644), 1,
      sym__bang_custom,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    STATE(2078), 3,
      sym__key_path_postfixes,
      sym_bang,
      aux_sym__key_path_component_repeat1,
    ACTIONS(2937), 10,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
    ACTIONS(2932), 37,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [25394] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5647), 1,
      anon_sym_LT,
    STATE(2249), 1,
      sym_type_arguments,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2884), 11,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2882), 42,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [25466] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2957), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2955), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [25534] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2981), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2979), 43,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [25602] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2953), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2951), 43,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [25670] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5649), 1,
      anon_sym_self,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    STATE(2078), 3,
      sym__key_path_postfixes,
      sym_bang,
      aux_sym__key_path_component_repeat1,
    ACTIONS(2906), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2904), 39,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [25742] = 5,
    ACTIONS(5653), 1,
      anon_sym_COMMA,
    STATE(2084), 1,
      aux_sym_type_constraints_repeat1,
    ACTIONS(5656), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5651), 51,
      sym__eq_custom,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [25812] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2969), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2967), 43,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [25880] = 6,
    ACTIONS(5658), 1,
      sym__dot_custom,
    STATE(2112), 1,
      aux_sym_user_type_repeat1,
    STATE(4594), 1,
      sym__dot,
    ACTIONS(2854), 3,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2852), 49,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_default_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [25952] = 3,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2798), 10,
      sym__dot_custom,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
    ACTIONS(2800), 45,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_in,
      anon_sym_self,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_willSet,
      anon_sym_didSet,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_AT,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_weak,
      anon_sym_unowned,
      anon_sym_borrowing,
      anon_sym_consuming,
  [26018] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2961), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2959), 43,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [26086] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2989), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2987), 43,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [26154] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2977), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2975), 43,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [26222] = 3,
    ACTIONS(5662), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5660), 53,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_willSet,
      anon_sym_didSet,
      anon_sym_macro,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_get,
      anon_sym_set,
      anon_sym__modify,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [26288] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2930), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2928), 43,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [26356] = 6,
    ACTIONS(5606), 1,
      sym__dot_custom,
    STATE(2075), 1,
      aux_sym_identifier_repeat1,
    STATE(4787), 1,
      sym__dot,
    ACTIONS(5666), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5664), 50,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      sym_integer_literal,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [26428] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2916), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2914), 43,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [26496] = 3,
    ACTIONS(3998), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(4000), 53,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_willSet,
      anon_sym_didSet,
      anon_sym_macro,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_get,
      anon_sym_set,
      anon_sym__modify,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [26562] = 3,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2971), 11,
      sym__dot_custom,
      sym_default_keyword,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
    ACTIONS(2973), 44,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_in,
      anon_sym_self,
      anon_sym_case,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_AT,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_weak,
      anon_sym_unowned,
      anon_sym_borrowing,
      anon_sym_consuming,
  [26628] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2985), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2983), 43,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__async_keyword_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [26696] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3064), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3062), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_self,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [26764] = 6,
    ACTIONS(5658), 1,
      sym__dot_custom,
    STATE(2086), 1,
      aux_sym_user_type_repeat1,
    STATE(4594), 1,
      sym__dot,
    ACTIONS(2807), 3,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2805), 49,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_default_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [26836] = 3,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2924), 11,
      sym__dot_custom,
      sym_default_keyword,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
    ACTIONS(2926), 44,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_in,
      anon_sym_self,
      anon_sym_case,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_AT,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_weak,
      anon_sym_unowned,
      anon_sym_borrowing,
      anon_sym_consuming,
  [26902] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5649), 1,
      anon_sym_self,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    STATE(2078), 3,
      sym__key_path_postfixes,
      sym_bang,
      aux_sym__key_path_component_repeat1,
    ACTIONS(2920), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2918), 39,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [26974] = 3,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2963), 11,
      sym__dot_custom,
      sym_default_keyword,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
    ACTIONS(2965), 44,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_in,
      anon_sym_self,
      anon_sym_case,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_AT,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_weak,
      anon_sym_unowned,
      anon_sym_borrowing,
      anon_sym_consuming,
  [27040] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5668), 1,
      anon_sym_self,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    STATE(2083), 3,
      sym__key_path_postfixes,
      sym_bang,
      aux_sym__key_path_component_repeat1,
    ACTIONS(2920), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2918), 39,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [27112] = 3,
    ACTIONS(5672), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5670), 53,
      sym__eq_custom,
      sym_where_keyword,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [27178] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3043), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3041), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_self,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [27246] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1483), 1,
      sym_lambda_literal,
    STATE(2484), 1,
      sym__fn_call_lambda_arguments,
    ACTIONS(5674), 2,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3390), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3387), 40,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [27320] = 3,
    ACTIONS(2451), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2453), 53,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [27386] = 3,
    ACTIONS(2469), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2471), 53,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [27452] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2965), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2963), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [27520] = 12,
    ACTIONS(5450), 1,
      sym__arrow_operator_custom,
    ACTIONS(5452), 1,
      sym__async_keyword_custom,
    ACTIONS(5598), 1,
      anon_sym_DOT,
    ACTIONS(5600), 1,
      anon_sym_AMP,
    STATE(2590), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(3887), 1,
      sym__arrow_operator,
    STATE(6089), 1,
      sym__async_keyword,
    STATE(7425), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(2894), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2892), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_default_keyword,
      sym_where_keyword,
      sym__as_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [27604] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2926), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2924), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [27672] = 6,
    ACTIONS(5678), 1,
      sym__dot_custom,
    STATE(2112), 1,
      aux_sym_user_type_repeat1,
    STATE(4594), 1,
      sym__dot,
    ACTIONS(2800), 3,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2798), 49,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_default_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [27744] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2973), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2971), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [27812] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3877), 2,
      anon_sym_let,
      anon_sym_var,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(637), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(631), 42,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [27882] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2930), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2928), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_self,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [27950] = 3,
    ACTIONS(5683), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5681), 52,
      sym__eq_custom,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [28015] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3354), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3352), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [28082] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3298), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3296), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [28149] = 3,
    ACTIONS(5687), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5685), 52,
      sym__eq_custom,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [28214] = 3,
    ACTIONS(5691), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5689), 52,
      sym__eq_custom,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [28279] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2965), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2963), 42,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [28346] = 3,
    ACTIONS(5683), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5681), 52,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [28411] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_while,
    ACTIONS(5695), 1,
      sym__implicit_semi,
    STATE(6811), 1,
      aux_sym_repeat_while_statement_repeat1,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3029), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3031), 40,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [28484] = 6,
    ACTIONS(5139), 1,
      anon_sym_COMMA,
    ACTIONS(5699), 1,
      anon_sym_SEMI,
    STATE(2153), 1,
      aux_sym_enum_entry_repeat1,
    ACTIONS(5701), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5697), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [28555] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3318), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3316), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [28622] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3370), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3368), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [28689] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3346), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3344), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [28756] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3150), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3148), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [28823] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5703), 1,
      sym_else,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3092), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3090), 42,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [28892] = 3,
    ACTIONS(5707), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5705), 52,
      sym__eq_custom,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [28957] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5709), 1,
      sym_else,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3068), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3066), 42,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [29026] = 3,
    ACTIONS(5713), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5711), 52,
      sym__eq_custom,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [29091] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3254), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3252), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [29158] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3358), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3356), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [29225] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3088), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3086), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [29292] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2997), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2995), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [29359] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3246), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3244), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [29426] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3174), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3172), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [29493] = 6,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5724), 4,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
    ACTIONS(5715), 5,
      aux_sym_simple_identifier_token1,
      anon_sym_each,
      anon_sym_repeat,
      anon_sym_in,
      anon_sym_self,
    ACTIONS(5717), 5,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(5719), 7,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_AT,
      anon_sym_borrowing,
      anon_sym_consuming,
    ACTIONS(5722), 33,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_willSet,
      anon_sym_didSet,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_weak,
      anon_sym_unowned,
  [29564] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3338), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3336), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [29631] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3206), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3204), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [29698] = 6,
    ACTIONS(5139), 1,
      anon_sym_COMMA,
    ACTIONS(5728), 1,
      anon_sym_SEMI,
    STATE(2153), 1,
      aux_sym_enum_entry_repeat1,
    ACTIONS(5730), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5726), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [29769] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3290), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3288), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [29836] = 6,
    ACTIONS(4876), 1,
      anon_sym_LBRACE,
    STATE(2809), 1,
      sym__block,
    STATE(2918), 1,
      sym_function_body,
    ACTIONS(5734), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5732), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [29907] = 6,
    ACTIONS(4876), 1,
      anon_sym_LBRACE,
    STATE(2809), 1,
      sym__block,
    STATE(2914), 1,
      sym_function_body,
    ACTIONS(5738), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5736), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [29978] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3074), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3072), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [30045] = 6,
    ACTIONS(4876), 1,
      anon_sym_LBRACE,
    STATE(2809), 1,
      sym__block,
    STATE(2913), 1,
      sym_function_body,
    ACTIONS(5738), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5736), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [30116] = 6,
    ACTIONS(5139), 1,
      anon_sym_COMMA,
    ACTIONS(5742), 1,
      anon_sym_SEMI,
    STATE(2153), 1,
      aux_sym_enum_entry_repeat1,
    ACTIONS(5744), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5740), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [30187] = 6,
    ACTIONS(5139), 1,
      anon_sym_COMMA,
    ACTIONS(5748), 1,
      anon_sym_SEMI,
    STATE(2124), 1,
      aux_sym_enum_entry_repeat1,
    ACTIONS(5750), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5746), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [30258] = 6,
    ACTIONS(4876), 1,
      anon_sym_LBRACE,
    STATE(2809), 1,
      sym__block,
    STATE(2912), 1,
      sym_function_body,
    ACTIONS(5460), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5458), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [30329] = 6,
    ACTIONS(5139), 1,
      anon_sym_COMMA,
    ACTIONS(5754), 1,
      anon_sym_SEMI,
    STATE(2177), 1,
      aux_sym_enum_entry_repeat1,
    ACTIONS(5756), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5752), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [30400] = 6,
    ACTIONS(4876), 1,
      anon_sym_LBRACE,
    STATE(2809), 1,
      sym__block,
    STATE(2909), 1,
      sym_function_body,
    ACTIONS(5460), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5458), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [30471] = 5,
    ACTIONS(5760), 1,
      anon_sym_COMMA,
    STATE(2153), 1,
      aux_sym_enum_entry_repeat1,
    ACTIONS(5763), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5758), 50,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_SEMI,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [30540] = 6,
    ACTIONS(4876), 1,
      anon_sym_LBRACE,
    STATE(2809), 1,
      sym__block,
    STATE(2908), 1,
      sym_function_body,
    ACTIONS(5767), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5765), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [30611] = 6,
    ACTIONS(4876), 1,
      anon_sym_LBRACE,
    STATE(2809), 1,
      sym__block,
    STATE(2901), 1,
      sym_function_body,
    ACTIONS(5771), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5769), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [30682] = 6,
    ACTIONS(4876), 1,
      anon_sym_LBRACE,
    STATE(2809), 1,
      sym__block,
    STATE(2900), 1,
      sym_function_body,
    ACTIONS(5456), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5454), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [30753] = 6,
    ACTIONS(5139), 1,
      anon_sym_COMMA,
    ACTIONS(5775), 1,
      anon_sym_SEMI,
    STATE(2153), 1,
      aux_sym_enum_entry_repeat1,
    ACTIONS(5777), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5773), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [30824] = 3,
    ACTIONS(5656), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5651), 52,
      sym__eq_custom,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [30889] = 6,
    ACTIONS(4876), 1,
      anon_sym_LBRACE,
    STATE(2809), 1,
      sym__block,
    STATE(2897), 1,
      sym_function_body,
    ACTIONS(5456), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5454), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [30960] = 6,
    ACTIONS(4876), 1,
      anon_sym_LBRACE,
    STATE(2809), 1,
      sym__block,
    STATE(2896), 1,
      sym_function_body,
    ACTIONS(5456), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5454), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [31031] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3326), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3324), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [31098] = 6,
    ACTIONS(4876), 1,
      anon_sym_LBRACE,
    STATE(2809), 1,
      sym__block,
    STATE(2893), 1,
      sym_function_body,
    ACTIONS(5456), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5454), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [31169] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2469), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2471), 43,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_self,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [31236] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3106), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3104), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [31303] = 6,
    ACTIONS(4876), 1,
      anon_sym_LBRACE,
    STATE(2809), 1,
      sym__block,
    STATE(2887), 1,
      sym_function_body,
    ACTIONS(5135), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5133), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [31374] = 6,
    ACTIONS(4876), 1,
      anon_sym_LBRACE,
    STATE(2809), 1,
      sym__block,
    STATE(2886), 1,
      sym_function_body,
    ACTIONS(5781), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5779), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [31445] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3202), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3200), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [31512] = 5,
    ACTIONS(5783), 1,
      anon_sym_COMMA,
    STATE(2187), 1,
      aux_sym_type_constraints_repeat1,
    ACTIONS(5623), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5621), 50,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [31581] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3306), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3304), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [31648] = 6,
    ACTIONS(4876), 1,
      anon_sym_LBRACE,
    STATE(2809), 1,
      sym__block,
    STATE(2884), 1,
      sym_function_body,
    ACTIONS(5787), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5785), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [31719] = 6,
    ACTIONS(4876), 1,
      anon_sym_LBRACE,
    STATE(2809), 1,
      sym__block,
    STATE(2883), 1,
      sym_function_body,
    ACTIONS(5787), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5785), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [31790] = 6,
    ACTIONS(4876), 1,
      anon_sym_LBRACE,
    STATE(2809), 1,
      sym__block,
    STATE(2882), 1,
      sym_function_body,
    ACTIONS(5518), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5516), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [31861] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3110), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3108), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [31928] = 5,
    ACTIONS(5448), 1,
      anon_sym_QMARK2,
    STATE(2201), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(2842), 3,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2840), 48,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_default_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [31997] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3280), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3278), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [32064] = 6,
    ACTIONS(4876), 1,
      anon_sym_LBRACE,
    STATE(2809), 1,
      sym__block,
    STATE(2879), 1,
      sym_function_body,
    ACTIONS(5518), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5516), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [32135] = 6,
    ACTIONS(5139), 1,
      anon_sym_COMMA,
    ACTIONS(5791), 1,
      anon_sym_SEMI,
    STATE(2153), 1,
      aux_sym_enum_entry_repeat1,
    ACTIONS(5793), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5789), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [32206] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3194), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3192), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [32273] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3310), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3308), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [32340] = 3,
    ACTIONS(5713), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5711), 52,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [32405] = 6,
    ACTIONS(4876), 1,
      anon_sym_LBRACE,
    STATE(2809), 1,
      sym__block,
    STATE(2872), 1,
      sym_function_body,
    ACTIONS(5533), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5531), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [32476] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3114), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3112), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [32543] = 3,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(4004), 10,
      sym_default_keyword,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
    ACTIONS(4002), 44,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_in,
      anon_sym_self,
      anon_sym_case,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_AT,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_weak,
      anon_sym_unowned,
      anon_sym_borrowing,
      anon_sym_consuming,
  [32608] = 6,
    ACTIONS(4876), 1,
      anon_sym_LBRACE,
    STATE(2809), 1,
      sym__block,
    STATE(2869), 1,
      sym_function_body,
    ACTIONS(5533), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5531), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [32679] = 3,
    ACTIONS(5707), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5705), 52,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [32744] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3294), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3292), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [32811] = 5,
    ACTIONS(5795), 1,
      anon_sym_COMMA,
    STATE(2187), 1,
      aux_sym_type_constraints_repeat1,
    ACTIONS(5656), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5651), 50,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [32880] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3043), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3041), 43,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_self,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [32947] = 6,
    ACTIONS(4876), 1,
      anon_sym_LBRACE,
    STATE(2809), 1,
      sym__block,
    STATE(2863), 1,
      sym_function_body,
    ACTIONS(5131), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5129), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [33018] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3060), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3055), 42,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [33085] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3232), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3230), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [33152] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3186), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3184), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [33219] = 6,
    ACTIONS(4876), 1,
      anon_sym_LBRACE,
    STATE(2809), 1,
      sym__block,
    STATE(2857), 1,
      sym_function_body,
    ACTIONS(5131), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5129), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [33290] = 3,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(4000), 10,
      sym_default_keyword,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
    ACTIONS(3998), 44,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_in,
      anon_sym_self,
      anon_sym_case,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_AT,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_weak,
      anon_sym_unowned,
      anon_sym_borrowing,
      anon_sym_consuming,
  [33355] = 6,
    ACTIONS(4876), 1,
      anon_sym_LBRACE,
    STATE(2809), 1,
      sym__block,
    STATE(2851), 1,
      sym_function_body,
    ACTIONS(5800), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5798), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [33426] = 18,
    ACTIONS(637), 1,
      anon_sym_QMARK,
    ACTIONS(5806), 1,
      anon_sym_each,
    ACTIONS(5808), 1,
      anon_sym_repeat,
    ACTIONS(5810), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_LBRACK,
    ACTIONS(5814), 1,
      anon_sym_some,
    ACTIONS(5816), 1,
      anon_sym_any,
    STATE(4250), 1,
      sym_tuple_type,
    STATE(4292), 1,
      sym_simple_identifier,
    STATE(4293), 1,
      sym__simple_user_type,
    STATE(4398), 1,
      sym__parenthesized_type,
    STATE(4313), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(5804), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4297), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5802), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4282), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
    ACTIONS(631), 19,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [33521] = 6,
    ACTIONS(4876), 1,
      anon_sym_LBRACE,
    STATE(2809), 1,
      sym__block,
    STATE(2850), 1,
      sym_function_body,
    ACTIONS(5800), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5798), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [33592] = 6,
    ACTIONS(4876), 1,
      anon_sym_LBRACE,
    STATE(2809), 1,
      sym__block,
    STATE(2849), 1,
      sym_function_body,
    ACTIONS(5554), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5552), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [33663] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3276), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3274), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [33730] = 6,
    ACTIONS(4876), 1,
      anon_sym_LBRACE,
    STATE(2809), 1,
      sym__block,
    STATE(2846), 1,
      sym_function_body,
    ACTIONS(5554), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5552), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [33801] = 5,
    ACTIONS(5448), 1,
      anon_sym_QMARK2,
    STATE(2221), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(2796), 3,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2794), 48,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_default_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [33870] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3258), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3256), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [33937] = 6,
    ACTIONS(4876), 1,
      anon_sym_LBRACE,
    STATE(2809), 1,
      sym__block,
    STATE(2842), 1,
      sym_function_body,
    ACTIONS(5820), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5818), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [34008] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3047), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3045), 43,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_self,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [34075] = 6,
    ACTIONS(4876), 1,
      anon_sym_LBRACE,
    STATE(2809), 1,
      sym__block,
    STATE(2841), 1,
      sym_function_body,
    ACTIONS(5558), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5556), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [34146] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1486), 1,
      sym_lambda_literal,
    STATE(2491), 1,
      sym__fn_call_lambda_arguments,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5822), 2,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
    ACTIONS(3390), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3387), 40,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [34219] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5826), 1,
      anon_sym_while,
    ACTIONS(5828), 1,
      sym__implicit_semi,
    STATE(6587), 1,
      aux_sym_repeat_while_statement_repeat1,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3018), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3020), 40,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [34292] = 6,
    ACTIONS(4876), 1,
      anon_sym_LBRACE,
    STATE(2809), 1,
      sym__block,
    STATE(2838), 1,
      sym_function_body,
    ACTIONS(5558), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5556), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [34363] = 6,
    ACTIONS(4876), 1,
      anon_sym_LBRACE,
    STATE(2809), 1,
      sym__block,
    STATE(2837), 1,
      sym_function_body,
    ACTIONS(5558), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5556), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [34434] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3236), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3234), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [34501] = 6,
    ACTIONS(4876), 1,
      anon_sym_LBRACE,
    STATE(2809), 1,
      sym__block,
    STATE(2834), 1,
      sym_function_body,
    ACTIONS(5558), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5556), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [34572] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3366), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3364), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [34639] = 6,
    ACTIONS(4876), 1,
      anon_sym_LBRACE,
    STATE(2809), 1,
      sym__block,
    STATE(2828), 1,
      sym_function_body,
    ACTIONS(5159), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5157), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [34710] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3362), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3360), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [34777] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3268), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3266), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [34844] = 6,
    ACTIONS(4876), 1,
      anon_sym_LBRACE,
    STATE(2809), 1,
      sym__block,
    STATE(2812), 1,
      sym_function_body,
    ACTIONS(5171), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5169), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [34915] = 3,
    ACTIONS(2930), 3,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2928), 51,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_default_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [34980] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2930), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2928), 43,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_self,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [35047] = 4,
    ACTIONS(5830), 1,
      anon_sym_BANG,
    ACTIONS(5431), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5427), 51,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [35114] = 6,
    ACTIONS(4876), 1,
      anon_sym_LBRACE,
    STATE(2797), 1,
      sym_function_body,
    STATE(2809), 1,
      sym__block,
    ACTIONS(5834), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5832), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [35185] = 5,
    ACTIONS(5836), 1,
      anon_sym_QMARK2,
    STATE(2221), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(2861), 3,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2859), 48,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_default_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [35254] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4721), 1,
      anon_sym_DOT,
    STATE(2270), 1,
      aux_sym_key_path_expression_repeat1,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3039), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3037), 42,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [35325] = 6,
    ACTIONS(4876), 1,
      anon_sym_LBRACE,
    STATE(2796), 1,
      sym_function_body,
    STATE(2809), 1,
      sym__block,
    ACTIONS(5570), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5568), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [35396] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3122), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3120), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [35463] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3126), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3124), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [35530] = 6,
    ACTIONS(4876), 1,
      anon_sym_LBRACE,
    STATE(2793), 1,
      sym_function_body,
    STATE(2809), 1,
      sym__block,
    ACTIONS(5570), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5568), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [35601] = 6,
    ACTIONS(4876), 1,
      anon_sym_LBRACE,
    STATE(2792), 1,
      sym_function_body,
    STATE(2809), 1,
      sym__block,
    ACTIONS(5570), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5568), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [35672] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3130), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3128), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [35739] = 6,
    ACTIONS(4876), 1,
      anon_sym_LBRACE,
    STATE(2789), 1,
      sym_function_body,
    STATE(2809), 1,
      sym__block,
    ACTIONS(5570), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5568), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [35810] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3134), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3132), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [35877] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3064), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3062), 43,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_self,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [35944] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3138), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3136), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [36011] = 6,
    ACTIONS(4876), 1,
      anon_sym_LBRACE,
    STATE(2783), 1,
      sym_function_body,
    STATE(2809), 1,
      sym__block,
    ACTIONS(5197), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5195), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [36082] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3142), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3140), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [36149] = 6,
    ACTIONS(4876), 1,
      anon_sym_LBRACE,
    STATE(2778), 1,
      sym_function_body,
    STATE(2809), 1,
      sym__block,
    ACTIONS(5562), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5560), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [36220] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3146), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3144), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [36287] = 6,
    ACTIONS(4876), 1,
      anon_sym_LBRACE,
    STATE(2775), 1,
      sym_function_body,
    STATE(2809), 1,
      sym__block,
    ACTIONS(5562), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5560), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [36358] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2957), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2955), 42,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [36425] = 6,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5715), 5,
      aux_sym_simple_identifier_token1,
      anon_sym_each,
      anon_sym_repeat,
      anon_sym_in,
      anon_sym_self,
    ACTIONS(5717), 5,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(5724), 5,
      sym_default_keyword,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
    ACTIONS(5719), 7,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_AT,
      anon_sym_borrowing,
      anon_sym_consuming,
    ACTIONS(5722), 32,
      anon_sym_case,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_weak,
      anon_sym_unowned,
  [36496] = 6,
    ACTIONS(4876), 1,
      anon_sym_LBRACE,
    STATE(2769), 1,
      sym_function_body,
    STATE(2809), 1,
      sym__block,
    ACTIONS(5155), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5153), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [36567] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3098), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3096), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [36634] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3158), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3156), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [36701] = 6,
    ACTIONS(4876), 1,
      anon_sym_LBRACE,
    STATE(2763), 1,
      sym_function_body,
    STATE(2809), 1,
      sym__block,
    ACTIONS(5155), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5153), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [36772] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3170), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3168), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [36839] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3182), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3180), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [36906] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3190), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3188), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [36973] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3198), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3196), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [37040] = 3,
    ACTIONS(2930), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2928), 52,
      sym__eq_custom,
      sym_where_keyword,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [37105] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2973), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2971), 42,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [37172] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(776), 1,
      sym__fn_call_lambda_arguments,
    STATE(1493), 1,
      sym_lambda_literal,
    ACTIONS(5839), 2,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3382), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3380), 39,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [37245] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(767), 1,
      sym__fn_call_lambda_arguments,
    STATE(1493), 1,
      sym_lambda_literal,
    ACTIONS(5842), 2,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3399), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3397), 39,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [37318] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3216), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3214), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [37385] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3378), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3376), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [37452] = 6,
    ACTIONS(4876), 1,
      anon_sym_LBRACE,
    STATE(2717), 1,
      sym_function_body,
    STATE(2809), 1,
      sym__block,
    ACTIONS(5525), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5523), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [37523] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3342), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3340), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [37590] = 6,
    ACTIONS(4876), 1,
      anon_sym_LBRACE,
    STATE(2714), 1,
      sym_function_body,
    STATE(2809), 1,
      sym__block,
    ACTIONS(5525), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5523), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [37661] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3272), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3270), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [37728] = 6,
    ACTIONS(4876), 1,
      anon_sym_LBRACE,
    STATE(2708), 1,
      sym_function_body,
    STATE(2809), 1,
      sym__block,
    ACTIONS(5124), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5122), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [37799] = 6,
    ACTIONS(4876), 1,
      anon_sym_LBRACE,
    STATE(2702), 1,
      sym_function_body,
    STATE(2809), 1,
      sym__block,
    ACTIONS(5124), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5122), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [37870] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3250), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3248), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [37937] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3314), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3312), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [38004] = 6,
    ACTIONS(4876), 1,
      anon_sym_LBRACE,
    STATE(2689), 1,
      sym_function_body,
    STATE(2809), 1,
      sym__block,
    ACTIONS(5151), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5149), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [38075] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2912), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2910), 42,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [38142] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(407), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(425), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [38209] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3211), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3208), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [38276] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3241), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3238), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [38343] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3074), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3072), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [38410] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5845), 1,
      anon_sym_LT,
    STATE(2450), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2884), 11,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2882), 42,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [38481] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5847), 1,
      anon_sym_DOT,
    STATE(2269), 1,
      aux_sym_key_path_expression_repeat1,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3060), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3055), 42,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [38552] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4721), 1,
      anon_sym_DOT,
    STATE(2269), 1,
      aux_sym_key_path_expression_repeat1,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3051), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3049), 42,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [38623] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2574), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2572), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [38690] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3263), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3260), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [38757] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3285), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3282), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [38824] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3330), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3328), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [38891] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(767), 1,
      sym__fn_call_lambda_arguments,
    STATE(1493), 1,
      sym_lambda_literal,
    ACTIONS(5850), 2,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3390), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3387), 39,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [38964] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3083), 1,
      anon_sym_LT,
    STATE(1829), 1,
      sym_type_arguments,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3078), 4,
      sym__dot_custom,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
    ACTIONS(3081), 10,
      anon_sym_QMARK,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3076), 38,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [39037] = 5,
    ACTIONS(5783), 1,
      anon_sym_COMMA,
    STATE(2168), 1,
      aux_sym_type_constraints_repeat1,
    ACTIONS(5576), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5572), 50,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [39106] = 6,
    ACTIONS(5856), 1,
      anon_sym_COLON,
    ACTIONS(5858), 1,
      anon_sym_LBRACE,
    STATE(2724), 1,
      sym_deprecated_operator_declaration_body,
    ACTIONS(5860), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5854), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [39177] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2926), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2924), 42,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [39244] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3118), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3116), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [39311] = 6,
    ACTIONS(4876), 1,
      anon_sym_LBRACE,
    STATE(2732), 1,
      sym_function_body,
    STATE(2809), 1,
      sym__block,
    ACTIONS(5201), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5199), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [39382] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3006), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3008), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [39449] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3029), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3031), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [39516] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3302), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3300), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [39583] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3088), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3086), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [39650] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3033), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3035), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [39717] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3350), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3348), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [39784] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3374), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3372), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [39851] = 18,
    ACTIONS(637), 1,
      anon_sym_QMARK,
    ACTIONS(5806), 1,
      anon_sym_each,
    ACTIONS(5808), 1,
      anon_sym_repeat,
    ACTIONS(5810), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_LBRACK,
    ACTIONS(5814), 1,
      anon_sym_some,
    ACTIONS(5816), 1,
      anon_sym_any,
    STATE(4250), 1,
      sym_tuple_type,
    STATE(4292), 1,
      sym_simple_identifier,
    STATE(4293), 1,
      sym__simple_user_type,
    STATE(4398), 1,
      sym__parenthesized_type,
    STATE(4313), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(5804), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4297), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5802), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4284), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
    ACTIONS(631), 19,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [39946] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3228), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3226), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [40013] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3224), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3222), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [40080] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3220), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3218), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [40147] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3178), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3176), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [40214] = 3,
    ACTIONS(5656), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5651), 52,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [40279] = 3,
    ACTIONS(5687), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5685), 52,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [40344] = 3,
    ACTIONS(5691), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5689), 52,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [40409] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3334), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3332), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [40476] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3166), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3164), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [40543] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3322), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3320), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [40610] = 4,
    ACTIONS(5862), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(4008), 8,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
      anon_sym_LBRACK,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
    ACTIONS(4006), 45,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_in,
      anon_sym_self,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_willSet,
      anon_sym_didSet,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_AT,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_weak,
      anon_sym_unowned,
      anon_sym_borrowing,
      anon_sym_consuming,
  [40677] = 11,
    ACTIONS(5865), 1,
      anon_sym_QMARK2,
    ACTIONS(5867), 1,
      sym__arrow_operator_custom,
    ACTIONS(5869), 1,
      sym__async_keyword_custom,
    STATE(3827), 1,
      sym__arrow_operator,
    STATE(6051), 1,
      sym__async_keyword,
    STATE(7361), 1,
      sym_throws,
    ACTIONS(2842), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    STATE(3021), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2840), 42,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [40758] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3018), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3020), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [40825] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3162), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3160), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [40892] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3154), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3152), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [40959] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1486), 1,
      sym_lambda_literal,
    STATE(2491), 1,
      sym__fn_call_lambda_arguments,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5871), 2,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
    ACTIONS(3399), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3397), 40,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [41032] = 3,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(4004), 9,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
    ACTIONS(4002), 45,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_in,
      anon_sym_self,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_willSet,
      anon_sym_didSet,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_AT,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_weak,
      anon_sym_unowned,
      anon_sym_borrowing,
      anon_sym_consuming,
  [41097] = 3,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(4000), 9,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
    ACTIONS(3998), 45,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_in,
      anon_sym_self,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_willSet,
      anon_sym_didSet,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_AT,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_weak,
      anon_sym_unowned,
      anon_sym_borrowing,
      anon_sym_consuming,
  [41162] = 6,
    ACTIONS(5139), 1,
      anon_sym_COMMA,
    ACTIONS(5876), 1,
      anon_sym_SEMI,
    STATE(2157), 1,
      aux_sym_enum_entry_repeat1,
    ACTIONS(5878), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5874), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [41233] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1486), 1,
      sym_lambda_literal,
    STATE(2629), 1,
      sym__fn_call_lambda_arguments,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5880), 2,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
    ACTIONS(3382), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3380), 40,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [41306] = 6,
    ACTIONS(5139), 1,
      anon_sym_COMMA,
    ACTIONS(5885), 1,
      anon_sym_SEMI,
    STATE(2153), 1,
      aux_sym_enum_entry_repeat1,
    ACTIONS(5887), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5883), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [41377] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4721), 1,
      anon_sym_DOT,
    STATE(2269), 1,
      aux_sym_key_path_expression_repeat1,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3039), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3037), 42,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [41448] = 4,
    ACTIONS(5889), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(4008), 9,
      sym_default_keyword,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
      anon_sym_LBRACK,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
    ACTIONS(4006), 44,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_in,
      anon_sym_self,
      anon_sym_case,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_AT,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_weak,
      anon_sym_unowned,
      anon_sym_borrowing,
      anon_sym_consuming,
  [41515] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3198), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3196), 42,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [41581] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3098), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3096), 42,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [41647] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3083), 1,
      anon_sym_LT,
    STATE(1829), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3078), 4,
      sym__dot_custom,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
    ACTIONS(3081), 10,
      anon_sym_QMARK,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3076), 38,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [41719] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3374), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3372), 42,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [41785] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3246), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3244), 42,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [41851] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5892), 1,
      anon_sym_LT,
    STATE(2535), 1,
      sym_type_arguments,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2884), 11,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2882), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [41921] = 5,
    ACTIONS(5894), 1,
      anon_sym_LT,
    STATE(2795), 1,
      sym_type_arguments,
    ACTIONS(2884), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2882), 49,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_default_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [41989] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2469), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2471), 41,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_self,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [42055] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3290), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3288), 42,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [42121] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3106), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3104), 42,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [42187] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3280), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3278), 42,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [42253] = 5,
    ACTIONS(5900), 1,
      sym__eq_custom,
    STATE(3798), 1,
      sym__equal_sign,
    ACTIONS(5898), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5896), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [42321] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3306), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3304), 42,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [42387] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3326), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3324), 42,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [42453] = 12,
    ACTIONS(5580), 1,
      sym__arrow_operator_custom,
    ACTIONS(5582), 1,
      sym__async_keyword_custom,
    ACTIONS(5902), 1,
      anon_sym_DOT,
    ACTIONS(5904), 1,
      anon_sym_AMP,
    STATE(3041), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(3849), 1,
      sym__arrow_operator,
    STATE(6082), 1,
      sym__async_keyword,
    STATE(7384), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(2890), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2888), 41,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_default_keyword,
      sym_where_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [42535] = 5,
    ACTIONS(5908), 1,
      anon_sym_COMMA,
    STATE(2328), 1,
      aux_sym__modifierless_property_declaration_repeat1,
    ACTIONS(5911), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5906), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [42603] = 3,
    ACTIONS(5915), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5913), 51,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_SEMI,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [42667] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3228), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3226), 42,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [42733] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3110), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3108), 42,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [42799] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3118), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3116), 42,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [42865] = 19,
    ACTIONS(5917), 1,
      anon_sym_lazy,
    ACTIONS(5923), 1,
      anon_sym_RBRACE,
    ACTIONS(5925), 1,
      anon_sym_case,
    ACTIONS(5934), 1,
      anon_sym_AT,
    ACTIONS(5943), 1,
      anon_sym_final,
    ACTIONS(5952), 1,
      anon_sym_unowned,
    ACTIONS(5955), 1,
      sym_default_keyword,
    STATE(4118), 1,
      sym__parameter_ownership_modifier,
    STATE(7440), 1,
      sym_modifiers,
    ACTIONS(5940), 2,
      anon_sym_mutating,
      anon_sym_nonmutating,
    STATE(2333), 2,
      sym_switch_entry,
      aux_sym_switch_statement_repeat1,
    ACTIONS(5931), 3,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
    ACTIONS(5949), 3,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5937), 4,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
    ACTIONS(5928), 5,
      anon_sym_class,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
    ACTIONS(5946), 5,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_borrowing,
      anon_sym_consuming,
    ACTIONS(5920), 6,
      anon_sym_package,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
    STATE(3160), 14,
      sym_attribute,
      aux_sym__locally_permitted_modifiers,
      sym__non_local_scope_modifier,
      sym__locally_permitted_modifier,
      sym_property_behavior_modifier,
      sym_member_modifier,
      sym_visibility_modifier,
      sym_function_modifier,
      sym_mutation_modifier,
      sym_property_modifier,
      sym_inheritance_modifier,
      sym_parameter_modifier,
      sym_ownership_modifier,
      aux_sym_modifiers_repeat1,
  [42961] = 5,
    ACTIONS(5858), 1,
      anon_sym_LBRACE,
    STATE(2798), 1,
      sym_deprecated_operator_declaration_body,
    ACTIONS(5960), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5958), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [43029] = 5,
    ACTIONS(5966), 1,
      sym__eq_custom,
    STATE(3801), 1,
      sym__equal_sign,
    ACTIONS(5964), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5962), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [43097] = 3,
    ACTIONS(3088), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3086), 51,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_willSet,
      anon_sym_didSet,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [43161] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3206), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3204), 42,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [43227] = 3,
    ACTIONS(3074), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3072), 51,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_willSet,
      anon_sym_didSet,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [43291] = 3,
    ACTIONS(5627), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5625), 51,
      sym__dot_custom,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      sym_integer_literal,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [43355] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3254), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3252), 42,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [43421] = 6,
    ACTIONS(5968), 1,
      sym__dot_custom,
    STATE(2475), 1,
      aux_sym_user_type_repeat1,
    STATE(4588), 1,
      sym__dot,
    ACTIONS(2854), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2852), 48,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_default_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [43491] = 12,
    ACTIONS(5580), 1,
      sym__arrow_operator_custom,
    ACTIONS(5582), 1,
      sym__async_keyword_custom,
    ACTIONS(5902), 1,
      anon_sym_DOT,
    ACTIONS(5904), 1,
      anon_sym_AMP,
    STATE(3041), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(3849), 1,
      sym__arrow_operator,
    STATE(6082), 1,
      sym__async_keyword,
    STATE(7384), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(2870), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2866), 41,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_default_keyword,
      sym_where_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [43573] = 12,
    ACTIONS(5580), 1,
      sym__arrow_operator_custom,
    ACTIONS(5582), 1,
      sym__async_keyword_custom,
    ACTIONS(5902), 1,
      anon_sym_DOT,
    ACTIONS(5904), 1,
      anon_sym_AMP,
    STATE(3041), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(3849), 1,
      sym__arrow_operator,
    STATE(6082), 1,
      sym__async_keyword,
    STATE(7384), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(2876), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2874), 41,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_default_keyword,
      sym_where_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [43655] = 4,
    ACTIONS(5970), 1,
      anon_sym_LPAREN,
    ACTIONS(3417), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3412), 50,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_willSet,
      anon_sym_didSet,
      anon_sym_macro,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [43721] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3060), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3055), 42,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [43787] = 6,
    ACTIONS(5968), 1,
      sym__dot_custom,
    STATE(2341), 1,
      aux_sym_user_type_repeat1,
    STATE(4588), 1,
      sym__dot,
    ACTIONS(2807), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2805), 48,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_default_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [43857] = 7,
    STATE(3041), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(3849), 1,
      sym__arrow_operator,
    STATE(6082), 1,
      sym__async_keyword,
    STATE(7384), 1,
      sym_throws,
    ACTIONS(2880), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2878), 47,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_default_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [43929] = 5,
    ACTIONS(5976), 1,
      sym__eq_custom,
    STATE(3804), 1,
      sym__equal_sign,
    ACTIONS(5974), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5972), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [43997] = 19,
    ACTIONS(245), 1,
      anon_sym_unowned,
    ACTIONS(251), 1,
      sym_default_keyword,
    ACTIONS(5978), 1,
      anon_sym_lazy,
    ACTIONS(5982), 1,
      anon_sym_RBRACE,
    ACTIONS(5984), 1,
      anon_sym_case,
    ACTIONS(5990), 1,
      anon_sym_AT,
    ACTIONS(5996), 1,
      anon_sym_final,
    STATE(4118), 1,
      sym__parameter_ownership_modifier,
    STATE(7440), 1,
      sym_modifiers,
    ACTIONS(5994), 2,
      anon_sym_mutating,
      anon_sym_nonmutating,
    STATE(2333), 2,
      sym_switch_entry,
      aux_sym_switch_statement_repeat1,
    ACTIONS(247), 3,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
    ACTIONS(5988), 3,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5992), 4,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
    ACTIONS(243), 5,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_borrowing,
      anon_sym_consuming,
    ACTIONS(5986), 5,
      anon_sym_class,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
    ACTIONS(5980), 6,
      anon_sym_package,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
    STATE(3160), 14,
      sym_attribute,
      aux_sym__locally_permitted_modifiers,
      sym__non_local_scope_modifier,
      sym__locally_permitted_modifier,
      sym_property_behavior_modifier,
      sym_member_modifier,
      sym_visibility_modifier,
      sym_function_modifier,
      sym_mutation_modifier,
      sym_property_modifier,
      sym_inheritance_modifier,
      sym_parameter_modifier,
      sym_ownership_modifier,
      aux_sym_modifiers_repeat1,
  [44093] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5998), 1,
      anon_sym_LT,
    STATE(2497), 1,
      sym_type_arguments,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2884), 11,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2882), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [44163] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6000), 1,
      sym_else,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3092), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3090), 42,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [44231] = 3,
    ACTIONS(6004), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6002), 51,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_SEMI,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [44295] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3088), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3086), 42,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [44361] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2469), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2471), 41,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_self,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [44427] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6006), 1,
      sym_else,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3068), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3066), 42,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [44495] = 12,
    ACTIONS(5580), 1,
      sym__arrow_operator_custom,
    ACTIONS(5582), 1,
      sym__async_keyword_custom,
    ACTIONS(5902), 1,
      anon_sym_DOT,
    ACTIONS(5904), 1,
      anon_sym_AMP,
    STATE(3041), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(3849), 1,
      sym__arrow_operator,
    STATE(6082), 1,
      sym__async_keyword,
    STATE(7384), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(2898), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2896), 41,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_default_keyword,
      sym_where_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [44577] = 3,
    ACTIONS(2800), 3,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2798), 50,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_default_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [44641] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3310), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3308), 42,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [44707] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3302), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3300), 42,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [44773] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3074), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3072), 42,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [44839] = 12,
    ACTIONS(5580), 1,
      sym__arrow_operator_custom,
    ACTIONS(5582), 1,
      sym__async_keyword_custom,
    ACTIONS(5902), 1,
      anon_sym_DOT,
    ACTIONS(5904), 1,
      anon_sym_AMP,
    STATE(3041), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(3849), 1,
      sym__arrow_operator,
    STATE(6082), 1,
      sym__async_keyword,
    STATE(7384), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(2894), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2892), 41,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_default_keyword,
      sym_where_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [44921] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3294), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3292), 42,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [44987] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3202), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3200), 42,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [45053] = 19,
    ACTIONS(245), 1,
      anon_sym_unowned,
    ACTIONS(251), 1,
      sym_default_keyword,
    ACTIONS(5978), 1,
      anon_sym_lazy,
    ACTIONS(5984), 1,
      anon_sym_case,
    ACTIONS(5990), 1,
      anon_sym_AT,
    ACTIONS(5996), 1,
      anon_sym_final,
    ACTIONS(6008), 1,
      anon_sym_RBRACE,
    STATE(4118), 1,
      sym__parameter_ownership_modifier,
    STATE(7440), 1,
      sym_modifiers,
    ACTIONS(5994), 2,
      anon_sym_mutating,
      anon_sym_nonmutating,
    STATE(2333), 2,
      sym_switch_entry,
      aux_sym_switch_statement_repeat1,
    ACTIONS(247), 3,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
    ACTIONS(5988), 3,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5992), 4,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
    ACTIONS(243), 5,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_borrowing,
      anon_sym_consuming,
    ACTIONS(5986), 5,
      anon_sym_class,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
    ACTIONS(5980), 6,
      anon_sym_package,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
    STATE(3160), 14,
      sym_attribute,
      aux_sym__locally_permitted_modifiers,
      sym__non_local_scope_modifier,
      sym__locally_permitted_modifier,
      sym_property_behavior_modifier,
      sym_member_modifier,
      sym_visibility_modifier,
      sym_function_modifier,
      sym_mutation_modifier,
      sym_property_modifier,
      sym_inheritance_modifier,
      sym_parameter_modifier,
      sym_ownership_modifier,
      aux_sym_modifiers_repeat1,
  [45149] = 3,
    ACTIONS(2965), 3,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2963), 50,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_default_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [45213] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3043), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3041), 41,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_self,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [45279] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3268), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3266), 42,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [45345] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3298), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3296), 42,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [45411] = 3,
    ACTIONS(2926), 3,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2924), 50,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_default_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [45475] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4729), 1,
      anon_sym_DOT,
    STATE(2393), 1,
      aux_sym_key_path_expression_repeat1,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3039), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3037), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [45545] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3018), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3020), 42,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [45611] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4729), 1,
      anon_sym_DOT,
    STATE(2394), 1,
      aux_sym_key_path_expression_repeat1,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3039), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3037), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [45681] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3047), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3045), 41,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_self,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [45747] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2930), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2928), 41,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_self,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [45813] = 5,
    ACTIONS(6012), 1,
      anon_sym_COMMA,
    STATE(2328), 1,
      aux_sym__modifierless_property_declaration_repeat1,
    ACTIONS(6014), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6010), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [45881] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1516), 1,
      sym_lambda_literal,
    STATE(2989), 1,
      sym__fn_call_lambda_arguments,
    ACTIONS(6016), 2,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3390), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3387), 38,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [45953] = 3,
    ACTIONS(6022), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6020), 51,
      sym_where_keyword,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [46017] = 19,
    ACTIONS(245), 1,
      anon_sym_unowned,
    ACTIONS(251), 1,
      sym_default_keyword,
    ACTIONS(5978), 1,
      anon_sym_lazy,
    ACTIONS(5984), 1,
      anon_sym_case,
    ACTIONS(5990), 1,
      anon_sym_AT,
    ACTIONS(5996), 1,
      anon_sym_final,
    ACTIONS(6024), 1,
      anon_sym_RBRACE,
    STATE(4118), 1,
      sym__parameter_ownership_modifier,
    STATE(7440), 1,
      sym_modifiers,
    ACTIONS(5994), 2,
      anon_sym_mutating,
      anon_sym_nonmutating,
    STATE(2333), 2,
      sym_switch_entry,
      aux_sym_switch_statement_repeat1,
    ACTIONS(247), 3,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
    ACTIONS(5988), 3,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5992), 4,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
    ACTIONS(243), 5,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_borrowing,
      anon_sym_consuming,
    ACTIONS(5986), 5,
      anon_sym_class,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
    ACTIONS(5980), 6,
      anon_sym_package,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
    STATE(3160), 14,
      sym_attribute,
      aux_sym__locally_permitted_modifiers,
      sym__non_local_scope_modifier,
      sym__locally_permitted_modifier,
      sym_property_behavior_modifier,
      sym_member_modifier,
      sym_visibility_modifier,
      sym_function_modifier,
      sym_mutation_modifier,
      sym_property_modifier,
      sym_inheritance_modifier,
      sym_parameter_modifier,
      sym_ownership_modifier,
      aux_sym_modifiers_repeat1,
  [46113] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1510), 1,
      sym_lambda_literal,
    STATE(3024), 1,
      sym__fn_call_lambda_arguments,
    ACTIONS(6026), 2,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3382), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3380), 38,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [46185] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1510), 1,
      sym_lambda_literal,
    STATE(3010), 1,
      sym__fn_call_lambda_arguments,
    ACTIONS(6029), 2,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3399), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3397), 38,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [46257] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3150), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3148), 42,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [46323] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3232), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3230), 42,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [46389] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3064), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3062), 41,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_self,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [46455] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3350), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3348), 42,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [46521] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3006), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3008), 42,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [46587] = 19,
    ACTIONS(245), 1,
      anon_sym_unowned,
    ACTIONS(251), 1,
      sym_default_keyword,
    ACTIONS(5978), 1,
      anon_sym_lazy,
    ACTIONS(5984), 1,
      anon_sym_case,
    ACTIONS(5990), 1,
      anon_sym_AT,
    ACTIONS(5996), 1,
      anon_sym_final,
    ACTIONS(6032), 1,
      anon_sym_RBRACE,
    STATE(4118), 1,
      sym__parameter_ownership_modifier,
    STATE(7440), 1,
      sym_modifiers,
    ACTIONS(5994), 2,
      anon_sym_mutating,
      anon_sym_nonmutating,
    STATE(2333), 2,
      sym_switch_entry,
      aux_sym_switch_statement_repeat1,
    ACTIONS(247), 3,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
    ACTIONS(5988), 3,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5992), 4,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
    ACTIONS(243), 5,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_borrowing,
      anon_sym_consuming,
    ACTIONS(5986), 5,
      anon_sym_class,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
    ACTIONS(5980), 6,
      anon_sym_package,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
    STATE(3160), 14,
      sym_attribute,
      aux_sym__locally_permitted_modifiers,
      sym__non_local_scope_modifier,
      sym__locally_permitted_modifier,
      sym_property_behavior_modifier,
      sym_member_modifier,
      sym_visibility_modifier,
      sym_function_modifier,
      sym_mutation_modifier,
      sym_property_modifier,
      sym_inheritance_modifier,
      sym_parameter_modifier,
      sym_ownership_modifier,
      aux_sym_modifiers_repeat1,
  [46683] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3186), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3184), 42,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [46749] = 7,
    STATE(3041), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(3849), 1,
      sym__arrow_operator,
    STATE(6082), 1,
      sym__async_keyword,
    STATE(7384), 1,
      sym_throws,
    ACTIONS(2902), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2900), 47,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_default_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [46821] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3322), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3320), 42,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [46887] = 3,
    ACTIONS(2973), 3,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2971), 50,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_default_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [46951] = 19,
    ACTIONS(245), 1,
      anon_sym_unowned,
    ACTIONS(251), 1,
      sym_default_keyword,
    ACTIONS(5978), 1,
      anon_sym_lazy,
    ACTIONS(5984), 1,
      anon_sym_case,
    ACTIONS(5990), 1,
      anon_sym_AT,
    ACTIONS(5996), 1,
      anon_sym_final,
    ACTIONS(6034), 1,
      anon_sym_RBRACE,
    STATE(4118), 1,
      sym__parameter_ownership_modifier,
    STATE(7440), 1,
      sym_modifiers,
    ACTIONS(5994), 2,
      anon_sym_mutating,
      anon_sym_nonmutating,
    STATE(2333), 2,
      sym_switch_entry,
      aux_sym_switch_statement_repeat1,
    ACTIONS(247), 3,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
    ACTIONS(5988), 3,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5992), 4,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
    ACTIONS(243), 5,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_borrowing,
      anon_sym_consuming,
    ACTIONS(5986), 5,
      anon_sym_class,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
    ACTIONS(5980), 6,
      anon_sym_package,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
    STATE(3160), 14,
      sym_attribute,
      aux_sym__locally_permitted_modifiers,
      sym__non_local_scope_modifier,
      sym__locally_permitted_modifier,
      sym_property_behavior_modifier,
      sym_member_modifier,
      sym_visibility_modifier,
      sym_function_modifier,
      sym_mutation_modifier,
      sym_property_modifier,
      sym_inheritance_modifier,
      sym_parameter_modifier,
      sym_ownership_modifier,
      aux_sym_modifiers_repeat1,
  [47047] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3224), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3222), 42,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [47113] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4729), 1,
      anon_sym_DOT,
    STATE(2394), 1,
      aux_sym_key_path_expression_repeat1,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3051), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3049), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [47183] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6036), 1,
      anon_sym_DOT,
    STATE(2394), 1,
      aux_sym_key_path_expression_repeat1,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3060), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3055), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [47253] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3194), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3192), 42,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [47319] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3220), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3218), 42,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [47385] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2997), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2995), 42,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [47451] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3178), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3176), 42,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [47517] = 3,
    ACTIONS(5484), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5482), 51,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [47581] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3276), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3274), 42,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [47647] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3166), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3164), 42,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [47713] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3162), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3160), 42,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [47779] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6039), 1,
      anon_sym_DOT,
    STATE(2403), 1,
      aux_sym_key_path_expression_repeat1,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3060), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3055), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [47849] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4725), 1,
      anon_sym_DOT,
    STATE(2403), 1,
      aux_sym_key_path_expression_repeat1,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3051), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3049), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [47919] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3258), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3256), 42,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [47985] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3370), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3368), 42,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [48051] = 3,
    ACTIONS(6044), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6042), 51,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_SEMI,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [48115] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3154), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3152), 42,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [48181] = 3,
    ACTIONS(6048), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6046), 51,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_SEMI,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [48245] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3114), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3112), 42,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [48311] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3236), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3234), 42,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [48377] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3285), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3282), 42,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [48443] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3263), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3260), 42,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [48509] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2574), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2572), 42,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [48575] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3241), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3238), 42,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [48641] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3211), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3208), 42,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [48707] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(407), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(425), 42,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [48773] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3366), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3364), 42,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [48839] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3346), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3344), 42,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [48905] = 5,
    ACTIONS(6054), 1,
      sym__eq_custom,
    STATE(3791), 1,
      sym__equal_sign,
    ACTIONS(6052), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6050), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [48973] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3083), 1,
      anon_sym_LT,
    ACTIONS(6056), 1,
      anon_sym_COLON,
    STATE(1829), 1,
      sym_type_arguments,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3078), 4,
      sym__dot_custom,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
    ACTIONS(3081), 10,
      anon_sym_QMARK,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3076), 36,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [49047] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1516), 1,
      sym_lambda_literal,
    STATE(2989), 1,
      sym__fn_call_lambda_arguments,
    ACTIONS(6058), 2,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3399), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3397), 38,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [49119] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3362), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3360), 42,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [49185] = 3,
    ACTIONS(6063), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6061), 51,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_SEMI,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [49249] = 3,
    ACTIONS(6067), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6065), 51,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_SEMI,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [49313] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1516), 1,
      sym_lambda_literal,
    STATE(3011), 1,
      sym__fn_call_lambda_arguments,
    ACTIONS(6069), 2,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3382), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3380), 38,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [49385] = 3,
    ACTIONS(6074), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6072), 51,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_SEMI,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [49449] = 3,
    ACTIONS(6078), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6076), 51,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_SEMI,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [49513] = 3,
    ACTIONS(6082), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6080), 51,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_SEMI,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [49577] = 3,
    ACTIONS(6086), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6084), 51,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_SEMI,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [49641] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3358), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3356), 42,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [49707] = 3,
    ACTIONS(6090), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6088), 51,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_SEMI,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [49771] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4725), 1,
      anon_sym_DOT,
    STATE(2403), 1,
      aux_sym_key_path_expression_repeat1,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3039), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3037), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [49841] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3354), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3352), 42,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [49907] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4725), 1,
      anon_sym_DOT,
    STATE(2404), 1,
      aux_sym_key_path_expression_repeat1,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3039), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3037), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [49977] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3318), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3316), 42,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [50043] = 3,
    ACTIONS(6094), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6092), 51,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_SEMI,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [50107] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3174), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3172), 42,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [50173] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2930), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2928), 41,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_self,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [50239] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3314), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3312), 42,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [50305] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3330), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3328), 42,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [50371] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3250), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3248), 42,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [50437] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3272), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3270), 42,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [50503] = 19,
    ACTIONS(245), 1,
      anon_sym_unowned,
    ACTIONS(251), 1,
      sym_default_keyword,
    ACTIONS(5978), 1,
      anon_sym_lazy,
    ACTIONS(5984), 1,
      anon_sym_case,
    ACTIONS(5990), 1,
      anon_sym_AT,
    ACTIONS(5996), 1,
      anon_sym_final,
    ACTIONS(6096), 1,
      anon_sym_RBRACE,
    STATE(4118), 1,
      sym__parameter_ownership_modifier,
    STATE(7440), 1,
      sym_modifiers,
    ACTIONS(5994), 2,
      anon_sym_mutating,
      anon_sym_nonmutating,
    STATE(2333), 2,
      sym_switch_entry,
      aux_sym_switch_statement_repeat1,
    ACTIONS(247), 3,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
    ACTIONS(5988), 3,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5992), 4,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
    ACTIONS(243), 5,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_borrowing,
      anon_sym_consuming,
    ACTIONS(5986), 5,
      anon_sym_class,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
    ACTIONS(5980), 6,
      anon_sym_package,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
    STATE(3160), 14,
      sym_attribute,
      aux_sym__locally_permitted_modifiers,
      sym__non_local_scope_modifier,
      sym__locally_permitted_modifier,
      sym_property_behavior_modifier,
      sym_member_modifier,
      sym_visibility_modifier,
      sym_function_modifier,
      sym_mutation_modifier,
      sym_property_modifier,
      sym_inheritance_modifier,
      sym_parameter_modifier,
      sym_ownership_modifier,
      aux_sym_modifiers_repeat1,
  [50599] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2965), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2963), 42,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [50665] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3088), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3086), 43,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [50731] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2926), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2924), 42,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [50797] = 3,
    ACTIONS(6100), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6098), 51,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_SEMI,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [50861] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3074), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3072), 43,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [50927] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2973), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2971), 42,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [50993] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3342), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3340), 42,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [51059] = 19,
    ACTIONS(245), 1,
      anon_sym_unowned,
    ACTIONS(251), 1,
      sym_default_keyword,
    ACTIONS(5978), 1,
      anon_sym_lazy,
    ACTIONS(5984), 1,
      anon_sym_case,
    ACTIONS(5990), 1,
      anon_sym_AT,
    ACTIONS(5996), 1,
      anon_sym_final,
    ACTIONS(6102), 1,
      anon_sym_RBRACE,
    STATE(4118), 1,
      sym__parameter_ownership_modifier,
    STATE(7440), 1,
      sym_modifiers,
    ACTIONS(5994), 2,
      anon_sym_mutating,
      anon_sym_nonmutating,
    STATE(2333), 2,
      sym_switch_entry,
      aux_sym_switch_statement_repeat1,
    ACTIONS(247), 3,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
    ACTIONS(5988), 3,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5992), 4,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
    ACTIONS(243), 5,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_borrowing,
      anon_sym_consuming,
    ACTIONS(5986), 5,
      anon_sym_class,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
    ACTIONS(5980), 6,
      anon_sym_package,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
    STATE(3160), 14,
      sym_attribute,
      aux_sym__locally_permitted_modifiers,
      sym__non_local_scope_modifier,
      sym__locally_permitted_modifier,
      sym_property_behavior_modifier,
      sym_member_modifier,
      sym_visibility_modifier,
      sym_function_modifier,
      sym_mutation_modifier,
      sym_property_modifier,
      sym_inheritance_modifier,
      sym_parameter_modifier,
      sym_ownership_modifier,
      aux_sym_modifiers_repeat1,
  [51155] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3378), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3376), 42,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [51221] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3043), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3041), 41,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_self,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [51287] = 19,
    ACTIONS(245), 1,
      anon_sym_unowned,
    ACTIONS(251), 1,
      sym_default_keyword,
    ACTIONS(5978), 1,
      anon_sym_lazy,
    ACTIONS(5984), 1,
      anon_sym_case,
    ACTIONS(5990), 1,
      anon_sym_AT,
    ACTIONS(5996), 1,
      anon_sym_final,
    ACTIONS(6104), 1,
      anon_sym_RBRACE,
    STATE(4118), 1,
      sym__parameter_ownership_modifier,
    STATE(7440), 1,
      sym_modifiers,
    ACTIONS(5994), 2,
      anon_sym_mutating,
      anon_sym_nonmutating,
    STATE(2333), 2,
      sym_switch_entry,
      aux_sym_switch_statement_repeat1,
    ACTIONS(247), 3,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
    ACTIONS(5988), 3,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5992), 4,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
    ACTIONS(243), 5,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_borrowing,
      anon_sym_consuming,
    ACTIONS(5986), 5,
      anon_sym_class,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
    ACTIONS(5980), 6,
      anon_sym_package,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
    STATE(3160), 14,
      sym_attribute,
      aux_sym__locally_permitted_modifiers,
      sym__non_local_scope_modifier,
      sym__locally_permitted_modifier,
      sym_property_behavior_modifier,
      sym_member_modifier,
      sym_visibility_modifier,
      sym_function_modifier,
      sym_mutation_modifier,
      sym_property_modifier,
      sym_inheritance_modifier,
      sym_parameter_modifier,
      sym_ownership_modifier,
      aux_sym_modifiers_repeat1,
  [51383] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3122), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3120), 42,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [51449] = 3,
    ACTIONS(6108), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6106), 51,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_SEMI,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [51513] = 3,
    ACTIONS(6112), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6110), 51,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_SEMI,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [51577] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3126), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3124), 42,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [51643] = 18,
    ACTIONS(637), 1,
      anon_sym_QMARK,
    ACTIONS(6118), 1,
      anon_sym_each,
    ACTIONS(6120), 1,
      anon_sym_repeat,
    ACTIONS(6122), 1,
      anon_sym_LPAREN,
    ACTIONS(6124), 1,
      anon_sym_LBRACK,
    ACTIONS(6126), 1,
      anon_sym_some,
    ACTIONS(6128), 1,
      anon_sym_any,
    STATE(4260), 1,
      sym_tuple_type,
    STATE(4304), 1,
      sym_simple_identifier,
    STATE(4309), 1,
      sym__simple_user_type,
    STATE(4545), 1,
      sym__parenthesized_type,
    STATE(4346), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6116), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4341), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(6114), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4329), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
    ACTIONS(631), 19,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [51737] = 5,
    ACTIONS(6012), 1,
      anon_sym_COMMA,
    STATE(2375), 1,
      aux_sym__modifierless_property_declaration_repeat1,
    ACTIONS(6132), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6130), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [51805] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3033), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3035), 42,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [51871] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3338), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3336), 42,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [51937] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3334), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3332), 42,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [52003] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3130), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3128), 42,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [52069] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3047), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3045), 41,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_self,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [52135] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3029), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3031), 42,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [52201] = 18,
    ACTIONS(637), 1,
      anon_sym_QMARK,
    ACTIONS(6118), 1,
      anon_sym_each,
    ACTIONS(6120), 1,
      anon_sym_repeat,
    ACTIONS(6122), 1,
      anon_sym_LPAREN,
    ACTIONS(6124), 1,
      anon_sym_LBRACK,
    ACTIONS(6126), 1,
      anon_sym_some,
    ACTIONS(6128), 1,
      anon_sym_any,
    STATE(4260), 1,
      sym_tuple_type,
    STATE(4304), 1,
      sym_simple_identifier,
    STATE(4309), 1,
      sym__simple_user_type,
    STATE(4545), 1,
      sym__parenthesized_type,
    STATE(4346), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6116), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4341), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(6114), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4319), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
    ACTIONS(631), 19,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [52295] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3134), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3132), 42,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [52361] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1510), 1,
      sym_lambda_literal,
    STATE(3010), 1,
      sym__fn_call_lambda_arguments,
    ACTIONS(6134), 2,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3390), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3387), 38,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [52433] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3138), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3136), 42,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [52499] = 19,
    ACTIONS(245), 1,
      anon_sym_unowned,
    ACTIONS(251), 1,
      sym_default_keyword,
    ACTIONS(5978), 1,
      anon_sym_lazy,
    ACTIONS(5984), 1,
      anon_sym_case,
    ACTIONS(5990), 1,
      anon_sym_AT,
    ACTIONS(5996), 1,
      anon_sym_final,
    ACTIONS(6138), 1,
      anon_sym_RBRACE,
    STATE(4118), 1,
      sym__parameter_ownership_modifier,
    STATE(7440), 1,
      sym_modifiers,
    ACTIONS(5994), 2,
      anon_sym_mutating,
      anon_sym_nonmutating,
    STATE(2333), 2,
      sym_switch_entry,
      aux_sym_switch_statement_repeat1,
    ACTIONS(247), 3,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
    ACTIONS(5988), 3,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5992), 4,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
    ACTIONS(243), 5,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_borrowing,
      anon_sym_consuming,
    ACTIONS(5986), 5,
      anon_sym_class,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
    ACTIONS(5980), 6,
      anon_sym_package,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
    STATE(3160), 14,
      sym_attribute,
      aux_sym__locally_permitted_modifiers,
      sym__non_local_scope_modifier,
      sym__locally_permitted_modifier,
      sym_property_behavior_modifier,
      sym_member_modifier,
      sym_visibility_modifier,
      sym_function_modifier,
      sym_mutation_modifier,
      sym_property_modifier,
      sym_inheritance_modifier,
      sym_parameter_modifier,
      sym_ownership_modifier,
      aux_sym_modifiers_repeat1,
  [52595] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2957), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2955), 42,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [52661] = 19,
    ACTIONS(245), 1,
      anon_sym_unowned,
    ACTIONS(251), 1,
      sym_default_keyword,
    ACTIONS(5978), 1,
      anon_sym_lazy,
    ACTIONS(5984), 1,
      anon_sym_case,
    ACTIONS(5990), 1,
      anon_sym_AT,
    ACTIONS(5996), 1,
      anon_sym_final,
    ACTIONS(6140), 1,
      anon_sym_RBRACE,
    STATE(4118), 1,
      sym__parameter_ownership_modifier,
    STATE(7440), 1,
      sym_modifiers,
    ACTIONS(5994), 2,
      anon_sym_mutating,
      anon_sym_nonmutating,
    STATE(2333), 2,
      sym_switch_entry,
      aux_sym_switch_statement_repeat1,
    ACTIONS(247), 3,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
    ACTIONS(5988), 3,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5992), 4,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
    ACTIONS(243), 5,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_borrowing,
      anon_sym_consuming,
    ACTIONS(5986), 5,
      anon_sym_class,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
    ACTIONS(5980), 6,
      anon_sym_package,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
    STATE(3160), 14,
      sym_attribute,
      aux_sym__locally_permitted_modifiers,
      sym__non_local_scope_modifier,
      sym__locally_permitted_modifier,
      sym_property_behavior_modifier,
      sym_member_modifier,
      sym_visibility_modifier,
      sym_function_modifier,
      sym_mutation_modifier,
      sym_property_modifier,
      sym_inheritance_modifier,
      sym_parameter_modifier,
      sym_ownership_modifier,
      aux_sym_modifiers_repeat1,
  [52757] = 6,
    ACTIONS(6142), 1,
      sym__dot_custom,
    STATE(2475), 1,
      aux_sym_user_type_repeat1,
    STATE(4588), 1,
      sym__dot,
    ACTIONS(2800), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2798), 48,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_default_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [52827] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3142), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3140), 42,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [52893] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3146), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3144), 42,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [52959] = 19,
    ACTIONS(245), 1,
      anon_sym_unowned,
    ACTIONS(251), 1,
      sym_default_keyword,
    ACTIONS(5978), 1,
      anon_sym_lazy,
    ACTIONS(5984), 1,
      anon_sym_case,
    ACTIONS(5990), 1,
      anon_sym_AT,
    ACTIONS(5996), 1,
      anon_sym_final,
    ACTIONS(6145), 1,
      anon_sym_RBRACE,
    STATE(4118), 1,
      sym__parameter_ownership_modifier,
    STATE(7440), 1,
      sym_modifiers,
    ACTIONS(5994), 2,
      anon_sym_mutating,
      anon_sym_nonmutating,
    STATE(2333), 2,
      sym_switch_entry,
      aux_sym_switch_statement_repeat1,
    ACTIONS(247), 3,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
    ACTIONS(5988), 3,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5992), 4,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
    ACTIONS(243), 5,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_borrowing,
      anon_sym_consuming,
    ACTIONS(5986), 5,
      anon_sym_class,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
    ACTIONS(5980), 6,
      anon_sym_package,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
    STATE(3160), 14,
      sym_attribute,
      aux_sym__locally_permitted_modifiers,
      sym__non_local_scope_modifier,
      sym__locally_permitted_modifier,
      sym_property_behavior_modifier,
      sym_member_modifier,
      sym_visibility_modifier,
      sym_function_modifier,
      sym_mutation_modifier,
      sym_property_modifier,
      sym_inheritance_modifier,
      sym_parameter_modifier,
      sym_ownership_modifier,
      aux_sym_modifiers_repeat1,
  [53055] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2912), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2910), 42,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [53121] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3216), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3214), 42,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [53187] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3190), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3188), 42,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [53253] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3182), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3180), 42,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [53319] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3158), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3156), 42,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [53385] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3170), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3168), 42,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [53451] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3064), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3062), 41,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_self,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [53517] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2957), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2955), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [53582] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2926), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2924), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [53647] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3330), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3328), 42,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [53712] = 3,
    ACTIONS(2997), 3,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2995), 49,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_default_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [53775] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6147), 1,
      sym_else,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3092), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3090), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [53842] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3170), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3168), 42,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [53907] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6149), 1,
      anon_sym_DOT,
    STATE(2492), 1,
      aux_sym_key_path_expression_repeat1,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3060), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3055), 39,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [53976] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4739), 1,
      anon_sym_DOT,
    STATE(2492), 1,
      aux_sym_key_path_expression_repeat1,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3051), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3049), 39,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [54045] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3114), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3112), 42,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [54110] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3250), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3248), 42,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [54175] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3083), 1,
      anon_sym_LT,
    ACTIONS(5009), 1,
      sym__as_custom,
    ACTIONS(5013), 1,
      anon_sym_QMARK,
    ACTIONS(6152), 1,
      anon_sym_COLON,
    STATE(1829), 1,
      sym_type_arguments,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3078), 4,
      sym__dot_custom,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
    ACTIONS(3081), 9,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3076), 34,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [54252] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2973), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2971), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [54317] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3083), 1,
      anon_sym_LT,
    STATE(1829), 1,
      sym_type_arguments,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3078), 4,
      sym__dot_custom,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
    ACTIONS(3081), 10,
      anon_sym_QMARK,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3076), 36,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [54388] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2469), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2471), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_self,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [54453] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3346), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3344), 42,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [54518] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3358), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3356), 42,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [54583] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3174), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3172), 42,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [54648] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3285), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3282), 42,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [54713] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2965), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2963), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [54778] = 6,
    ACTIONS(6154), 1,
      sym__dot_custom,
    STATE(2505), 1,
      aux_sym_user_type_repeat1,
    STATE(4585), 1,
      sym__dot,
    ACTIONS(2800), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2798), 47,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_default_keyword,
      sym__async_keyword_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [54847] = 17,
    ACTIONS(6161), 1,
      anon_sym_each,
    ACTIONS(6163), 1,
      anon_sym_repeat,
    ACTIONS(6165), 1,
      anon_sym_LPAREN,
    ACTIONS(6167), 1,
      anon_sym_LBRACK,
    ACTIONS(6169), 1,
      anon_sym_some,
    ACTIONS(6171), 1,
      anon_sym_any,
    STATE(4283), 1,
      sym_tuple_type,
    STATE(4364), 1,
      sym__simple_user_type,
    STATE(4374), 1,
      sym_simple_identifier,
    STATE(4683), 1,
      sym__parenthesized_type,
    STATE(4414), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6159), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4415), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6157), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4337), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
    ACTIONS(631), 18,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [54938] = 3,
    ACTIONS(2912), 3,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2910), 49,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_default_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [55001] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3194), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3192), 42,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [55066] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3263), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3260), 42,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [55131] = 3,
    ACTIONS(2957), 3,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2955), 49,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_default_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [55194] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2912), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2910), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [55259] = 3,
    ACTIONS(6175), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6173), 50,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_willSet,
      anon_sym_didSet,
      anon_sym_macro,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [55322] = 17,
    ACTIONS(6161), 1,
      anon_sym_each,
    ACTIONS(6163), 1,
      anon_sym_repeat,
    ACTIONS(6165), 1,
      anon_sym_LPAREN,
    ACTIONS(6167), 1,
      anon_sym_LBRACK,
    ACTIONS(6169), 1,
      anon_sym_some,
    ACTIONS(6171), 1,
      anon_sym_any,
    STATE(4283), 1,
      sym_tuple_type,
    STATE(4364), 1,
      sym__simple_user_type,
    STATE(4374), 1,
      sym_simple_identifier,
    STATE(4683), 1,
      sym__parenthesized_type,
    STATE(4414), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6159), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4415), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6157), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4350), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
    ACTIONS(631), 18,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [55413] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3088), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3086), 42,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [55478] = 7,
    STATE(3170), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(3827), 1,
      sym__arrow_operator,
    STATE(6051), 1,
      sym__async_keyword,
    STATE(7361), 1,
      sym_throws,
    ACTIONS(2902), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2900), 46,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_default_keyword,
      sym__async_keyword_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [55549] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2574), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2572), 42,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [55614] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3083), 1,
      anon_sym_LT,
    ACTIONS(6177), 1,
      anon_sym_COLON,
    STATE(1829), 1,
      sym_type_arguments,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3078), 4,
      sym__dot_custom,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
    ACTIONS(3081), 10,
      anon_sym_QMARK,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3076), 35,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [55687] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3018), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3020), 42,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [55752] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1543), 1,
      sym_lambda_literal,
    STATE(3063), 1,
      sym__fn_call_lambda_arguments,
    ACTIONS(6179), 2,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3399), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3397), 37,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [55823] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3241), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3238), 42,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [55888] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1543), 1,
      sym_lambda_literal,
    STATE(3048), 1,
      sym__fn_call_lambda_arguments,
    ACTIONS(6182), 2,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3382), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3380), 37,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [55959] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3211), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3208), 42,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [56024] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(407), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(425), 42,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [56089] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6185), 1,
      sym_else,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3068), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3066), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [56156] = 3,
    ACTIONS(6189), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6187), 50,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_willSet,
      anon_sym_didSet,
      anon_sym_macro,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [56219] = 3,
    ACTIONS(3002), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3004), 50,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_willSet,
      anon_sym_didSet,
      anon_sym_macro,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [56282] = 12,
    ACTIONS(5867), 1,
      sym__arrow_operator_custom,
    ACTIONS(5869), 1,
      sym__async_keyword_custom,
    ACTIONS(6191), 1,
      anon_sym_DOT,
    ACTIONS(6193), 1,
      anon_sym_AMP,
    STATE(3170), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(3827), 1,
      sym__arrow_operator,
    STATE(6051), 1,
      sym__async_keyword,
    STATE(7361), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(2894), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2892), 40,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [56363] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3060), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3055), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [56428] = 12,
    ACTIONS(5867), 1,
      sym__arrow_operator_custom,
    ACTIONS(5869), 1,
      sym__async_keyword_custom,
    ACTIONS(6191), 1,
      anon_sym_DOT,
    ACTIONS(6193), 1,
      anon_sym_AMP,
    STATE(3170), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(3827), 1,
      sym__arrow_operator,
    STATE(6051), 1,
      sym__async_keyword,
    STATE(7361), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(2898), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2896), 40,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [56509] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3083), 1,
      anon_sym_LT,
    ACTIONS(5009), 1,
      sym__as_custom,
    ACTIONS(5013), 1,
      anon_sym_QMARK,
    STATE(1829), 1,
      sym_type_arguments,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3078), 4,
      sym__dot_custom,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
    ACTIONS(3081), 9,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3076), 35,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [56584] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3074), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3072), 42,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [56649] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2957), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2955), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [56714] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4739), 1,
      anon_sym_DOT,
    STATE(2492), 1,
      aux_sym_key_path_expression_repeat1,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3039), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3037), 39,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [56783] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4739), 1,
      anon_sym_DOT,
    STATE(2493), 1,
      aux_sym_key_path_expression_repeat1,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3039), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3037), 39,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [56852] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2973), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2971), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [56917] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3060), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3055), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [56982] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2912), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2910), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [57047] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3006), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3008), 42,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [57112] = 7,
    STATE(3170), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(3827), 1,
      sym__arrow_operator,
    STATE(6051), 1,
      sym__async_keyword,
    STATE(7361), 1,
      sym_throws,
    ACTIONS(2880), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2878), 46,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_default_keyword,
      sym__async_keyword_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [57183] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3029), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3031), 42,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [57248] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3302), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3300), 42,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [57313] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3033), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3035), 42,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [57378] = 12,
    ACTIONS(5867), 1,
      sym__arrow_operator_custom,
    ACTIONS(5869), 1,
      sym__async_keyword_custom,
    ACTIONS(6191), 1,
      anon_sym_DOT,
    ACTIONS(6193), 1,
      anon_sym_AMP,
    STATE(3170), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(3827), 1,
      sym__arrow_operator,
    STATE(6051), 1,
      sym__async_keyword,
    STATE(7361), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(2876), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2874), 40,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [57459] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3083), 1,
      anon_sym_LT,
    ACTIONS(5009), 1,
      sym__as_custom,
    ACTIONS(5013), 1,
      anon_sym_QMARK,
    ACTIONS(6195), 1,
      anon_sym_COLON,
    STATE(1829), 1,
      sym_type_arguments,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3078), 4,
      sym__dot_custom,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
    ACTIONS(3081), 9,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3076), 34,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [57536] = 12,
    ACTIONS(5867), 1,
      sym__arrow_operator_custom,
    ACTIONS(5869), 1,
      sym__async_keyword_custom,
    ACTIONS(6191), 1,
      anon_sym_DOT,
    ACTIONS(6193), 1,
      anon_sym_AMP,
    STATE(3170), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(3827), 1,
      sym__arrow_operator,
    STATE(6051), 1,
      sym__async_keyword,
    STATE(7361), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(2870), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2866), 40,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [57617] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3374), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3372), 42,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [57682] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3228), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3226), 42,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [57747] = 12,
    ACTIONS(5867), 1,
      sym__arrow_operator_custom,
    ACTIONS(5869), 1,
      sym__async_keyword_custom,
    ACTIONS(6191), 1,
      anon_sym_DOT,
    ACTIONS(6193), 1,
      anon_sym_AMP,
    STATE(3170), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(3827), 1,
      sym__arrow_operator,
    STATE(6051), 1,
      sym__async_keyword,
    STATE(7361), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(2890), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2888), 40,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [57828] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3334), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3332), 42,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [57893] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3083), 1,
      anon_sym_LT,
    ACTIONS(5009), 1,
      sym__as_custom,
    ACTIONS(5013), 1,
      anon_sym_QMARK,
    ACTIONS(6197), 1,
      anon_sym_COLON,
    STATE(1829), 1,
      sym_type_arguments,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3078), 4,
      sym__dot_custom,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
    ACTIONS(3081), 9,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3076), 34,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [57970] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3083), 1,
      anon_sym_LT,
    ACTIONS(6199), 1,
      anon_sym_COLON,
    STATE(1829), 1,
      sym_type_arguments,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3078), 4,
      sym__dot_custom,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
    ACTIONS(3081), 10,
      anon_sym_QMARK,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3076), 35,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [58043] = 3,
    ACTIONS(6203), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6201), 50,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [58106] = 3,
    ACTIONS(6203), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6201), 50,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [58169] = 3,
    ACTIONS(5029), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5027), 50,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [58232] = 5,
    ACTIONS(6205), 1,
      anon_sym_QMARK2,
    ACTIONS(2861), 2,
      anon_sym_AT,
      anon_sym_unowned,
    STATE(2555), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2859), 47,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_default_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [58299] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3322), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3320), 42,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [58364] = 3,
    ACTIONS(6210), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6208), 50,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [58427] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2930), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2928), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_self,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [58492] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(4013), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
    ACTIONS(3081), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3076), 37,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [58559] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3083), 1,
      anon_sym_LT,
    ACTIONS(6212), 1,
      anon_sym_COLON,
    STATE(1829), 1,
      sym_type_arguments,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3078), 4,
      sym__dot_custom,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
    ACTIONS(3081), 10,
      anon_sym_QMARK,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3076), 35,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [58632] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2926), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2924), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [58697] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3154), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3152), 42,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [58762] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3064), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3062), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_self,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [58827] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3877), 2,
      anon_sym_let,
      anon_sym_var,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(637), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(631), 39,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [58894] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2965), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2963), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [58959] = 5,
    ACTIONS(5578), 1,
      anon_sym_QMARK2,
    ACTIONS(2796), 2,
      anon_sym_AT,
      anon_sym_unowned,
    STATE(2555), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2794), 47,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_default_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [59026] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3298), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3296), 42,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [59091] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3074), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3072), 41,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [59156] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3268), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3266), 42,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [59221] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3202), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3200), 42,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [59286] = 3,
    ACTIONS(6216), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6214), 50,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_willSet,
      anon_sym_didSet,
      anon_sym_macro,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [59349] = 3,
    ACTIONS(3410), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3408), 50,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_willSet,
      anon_sym_didSet,
      anon_sym_macro,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [59412] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3083), 1,
      anon_sym_LT,
    STATE(1829), 1,
      sym_type_arguments,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3078), 4,
      sym__dot_custom,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
    ACTIONS(3081), 10,
      anon_sym_QMARK,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3076), 36,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [59483] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3106), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3104), 42,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [59548] = 3,
    ACTIONS(2985), 3,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2983), 49,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_default_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [59611] = 3,
    ACTIONS(6220), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6218), 50,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_willSet,
      anon_sym_didSet,
      anon_sym_macro,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [59674] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3246), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3244), 42,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [59739] = 3,
    ACTIONS(5050), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5058), 50,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_willSet,
      anon_sym_didSet,
      anon_sym_macro,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [59802] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3254), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3252), 42,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [59867] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3150), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3148), 42,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [59932] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3370), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3368), 42,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [59997] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3338), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3336), 42,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [60062] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3318), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3316), 42,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [60127] = 3,
    ACTIONS(2916), 3,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2914), 49,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_default_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [60190] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3290), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3288), 42,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [60255] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3118), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3116), 42,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [60320] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3206), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3204), 42,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [60385] = 3,
    ACTIONS(6224), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6222), 50,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [60448] = 5,
    ACTIONS(5578), 1,
      anon_sym_QMARK2,
    ACTIONS(2842), 2,
      anon_sym_AT,
      anon_sym_unowned,
    STATE(2566), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2840), 47,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_default_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [60515] = 4,
    STATE(2611), 1,
      aux_sym_protocol_composition_type_repeat1,
    ACTIONS(3016), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3014), 49,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_default_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [60580] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3326), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3324), 42,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [60645] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2997), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2995), 42,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [60710] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3314), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3312), 42,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [60775] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3306), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3304), 42,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [60840] = 3,
    ACTIONS(6228), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6226), 50,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_willSet,
      anon_sym_didSet,
      anon_sym_macro,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [60903] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3083), 1,
      anon_sym_LT,
    ACTIONS(6230), 1,
      anon_sym_COLON,
    STATE(1829), 1,
      sym_type_arguments,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3078), 4,
      sym__dot_custom,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
    ACTIONS(3081), 10,
      anon_sym_QMARK,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3076), 35,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [60976] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3366), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3364), 42,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [61041] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3310), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3308), 42,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [61106] = 6,
    ACTIONS(6232), 1,
      sym__dot_custom,
    STATE(2603), 1,
      aux_sym_user_type_repeat1,
    STATE(4585), 1,
      sym__dot,
    ACTIONS(2807), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2805), 47,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_default_keyword,
      sym__async_keyword_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [61175] = 3,
    ACTIONS(2977), 3,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2975), 49,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_default_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [61238] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3294), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3292), 42,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [61303] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3272), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3270), 42,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [61368] = 6,
    ACTIONS(6232), 1,
      sym__dot_custom,
    STATE(2505), 1,
      aux_sym_user_type_repeat1,
    STATE(4585), 1,
      sym__dot,
    ACTIONS(2854), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2852), 47,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_default_keyword,
      sym__async_keyword_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [61437] = 3,
    ACTIONS(2993), 3,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2991), 49,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_default_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [61500] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3232), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3230), 42,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [61565] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3083), 1,
      anon_sym_LT,
    ACTIONS(6234), 1,
      anon_sym_COLON,
    STATE(1829), 1,
      sym_type_arguments,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3078), 4,
      sym__dot_custom,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
    ACTIONS(3081), 10,
      anon_sym_QMARK,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3076), 35,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [61638] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3043), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3041), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_self,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [61703] = 3,
    ACTIONS(2930), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2928), 50,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [61766] = 3,
    ACTIONS(2930), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2928), 50,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_default_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [61829] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3186), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3184), 42,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [61894] = 5,
    ACTIONS(6236), 1,
      anon_sym_AMP,
    STATE(2611), 1,
      aux_sym_protocol_composition_type_repeat1,
    ACTIONS(2894), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2892), 48,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_default_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [61961] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3342), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3340), 42,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [62026] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3276), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3274), 42,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [62091] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3378), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3376), 42,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [62156] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3258), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3256), 42,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [62221] = 3,
    ACTIONS(6241), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6239), 50,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [62284] = 3,
    ACTIONS(6245), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6243), 50,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [62347] = 3,
    ACTIONS(6249), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6247), 50,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [62410] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3083), 1,
      anon_sym_LT,
    ACTIONS(6251), 1,
      anon_sym_COLON,
    STATE(1829), 1,
      sym_type_arguments,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3078), 4,
      sym__dot_custom,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
    ACTIONS(3081), 10,
      anon_sym_QMARK,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3076), 35,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [62483] = 3,
    ACTIONS(6255), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6253), 50,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [62546] = 3,
    ACTIONS(6255), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6253), 50,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [62609] = 3,
    ACTIONS(6259), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6257), 50,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [62672] = 3,
    ACTIONS(6263), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6261), 50,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [62735] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3083), 1,
      anon_sym_LT,
    ACTIONS(6265), 1,
      anon_sym_COLON,
    STATE(1829), 1,
      sym_type_arguments,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3078), 4,
      sym__dot_custom,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
    ACTIONS(3081), 10,
      anon_sym_QMARK,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3076), 35,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [62808] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3236), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3234), 42,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [62873] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3216), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3214), 42,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [62938] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3280), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3278), 42,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [63003] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3088), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3086), 41,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [63068] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3198), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3196), 42,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [63133] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3083), 1,
      anon_sym_LT,
    ACTIONS(6267), 1,
      anon_sym_COLON,
    STATE(1829), 1,
      sym_type_arguments,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3078), 4,
      sym__dot_custom,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
    ACTIONS(3081), 10,
      anon_sym_QMARK,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3076), 35,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [63206] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3166), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3164), 42,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [63271] = 3,
    ACTIONS(2969), 3,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2967), 49,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_default_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [63334] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3162), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3160), 42,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [63399] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3362), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3360), 42,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [63464] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3354), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3352), 42,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [63529] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1543), 1,
      sym_lambda_literal,
    STATE(3063), 1,
      sym__fn_call_lambda_arguments,
    ACTIONS(6269), 2,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3390), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3387), 37,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [63600] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3134), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3132), 42,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [63665] = 3,
    ACTIONS(6275), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6273), 50,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [63728] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6277), 1,
      anon_sym_LT,
    STATE(2700), 1,
      sym_type_arguments,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2884), 11,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2882), 39,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [63797] = 3,
    ACTIONS(6281), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6279), 50,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [63860] = 3,
    ACTIONS(6285), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6283), 50,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [63923] = 3,
    ACTIONS(6285), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6283), 50,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [63986] = 3,
    ACTIONS(5105), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5103), 50,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [64049] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3130), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3128), 42,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [64114] = 3,
    ACTIONS(6289), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6287), 50,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [64177] = 3,
    ACTIONS(6285), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6283), 50,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [64240] = 3,
    ACTIONS(6285), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6283), 50,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [64303] = 3,
    ACTIONS(5105), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5103), 50,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [64366] = 3,
    ACTIONS(6289), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6287), 50,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [64429] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3350), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3348), 42,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [64494] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3083), 1,
      anon_sym_LT,
    ACTIONS(6291), 1,
      anon_sym_COLON,
    STATE(1829), 1,
      sym_type_arguments,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3078), 4,
      sym__dot_custom,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
    ACTIONS(3081), 10,
      anon_sym_QMARK,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3076), 35,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [64567] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3083), 1,
      anon_sym_LT,
    ACTIONS(5009), 1,
      sym__as_custom,
    ACTIONS(5013), 1,
      anon_sym_QMARK,
    STATE(1829), 1,
      sym_type_arguments,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3078), 4,
      sym__dot_custom,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
    ACTIONS(3081), 9,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3076), 35,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [64642] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3158), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3156), 42,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [64707] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3110), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3108), 42,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [64772] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3190), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3188), 42,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [64837] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3083), 1,
      anon_sym_LT,
    ACTIONS(6293), 1,
      anon_sym_COLON,
    STATE(1829), 1,
      sym_type_arguments,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3078), 4,
      sym__dot_custom,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
    ACTIONS(3081), 10,
      anon_sym_QMARK,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3076), 35,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [64910] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3224), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3222), 42,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [64975] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3098), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3096), 42,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [65040] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3047), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3045), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_self,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [65105] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3220), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3218), 42,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [65170] = 5,
    ACTIONS(6295), 1,
      anon_sym_LT,
    STATE(3122), 1,
      sym_type_arguments,
    ACTIONS(2884), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2882), 48,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_default_keyword,
      sym__async_keyword_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [65237] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3178), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3176), 42,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [65302] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3146), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3144), 42,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [65367] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3126), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3124), 42,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [65432] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3142), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3140), 42,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [65497] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3122), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3120), 42,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [65562] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3138), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3136), 42,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [65627] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 2,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3182), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3180), 42,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [65692] = 3,
    ACTIONS(6299), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6297), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [65754] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3298), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3296), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [65818] = 3,
    ACTIONS(6303), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6301), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [65880] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3018), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3020), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [65944] = 3,
    ACTIONS(6307), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6305), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [66006] = 3,
    ACTIONS(6311), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6309), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [66068] = 3,
    ACTIONS(6315), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6313), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [66130] = 3,
    ACTIONS(6319), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6317), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [66192] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3202), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3200), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [66256] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2997), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2995), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [66320] = 3,
    ACTIONS(6323), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6321), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [66382] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3118), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3116), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [66446] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3268), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3266), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [66510] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3298), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3296), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [66574] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3106), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3104), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [66638] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3350), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3348), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [66702] = 3,
    ACTIONS(6327), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6325), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [66764] = 3,
    ACTIONS(6331), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6329), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [66826] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3290), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3288), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [66890] = 3,
    ACTIONS(6331), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6329), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [66952] = 3,
    ACTIONS(6335), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6333), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [67014] = 3,
    ACTIONS(6335), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6333), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [67076] = 3,
    ACTIONS(6335), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6333), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [67138] = 3,
    ACTIONS(6339), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6337), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [67200] = 3,
    ACTIONS(6343), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6341), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [67262] = 3,
    ACTIONS(6347), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6345), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [67324] = 3,
    ACTIONS(6351), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6349), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [67386] = 3,
    ACTIONS(6355), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6353), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [67448] = 3,
    ACTIONS(6359), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6357), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [67510] = 3,
    ACTIONS(6363), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6361), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [67572] = 3,
    ACTIONS(6367), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6365), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [67634] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2973), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2971), 39,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [67698] = 3,
    ACTIONS(2981), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2979), 49,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_default_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [67760] = 3,
    ACTIONS(6371), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6369), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [67822] = 3,
    ACTIONS(6371), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6369), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [67884] = 3,
    ACTIONS(6375), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6373), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [67946] = 3,
    ACTIONS(2953), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2951), 49,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_default_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [68008] = 3,
    ACTIONS(6371), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6369), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [68070] = 3,
    ACTIONS(6379), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6377), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [68132] = 3,
    ACTIONS(6371), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6369), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [68194] = 3,
    ACTIONS(6371), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6369), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [68256] = 3,
    ACTIONS(6375), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6373), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [68318] = 3,
    ACTIONS(6383), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6381), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [68380] = 3,
    ACTIONS(6371), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6369), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [68442] = 3,
    ACTIONS(6387), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6385), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [68504] = 3,
    ACTIONS(6391), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6389), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [68566] = 3,
    ACTIONS(6391), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6389), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [68628] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2926), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2924), 39,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [68692] = 3,
    ACTIONS(6391), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6389), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [68754] = 3,
    ACTIONS(6395), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6393), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [68816] = 3,
    ACTIONS(6399), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6397), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [68878] = 3,
    ACTIONS(6403), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6401), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [68940] = 3,
    ACTIONS(6407), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6405), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [69002] = 3,
    ACTIONS(6411), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6409), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [69064] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3246), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3244), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [69128] = 3,
    ACTIONS(6415), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6413), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [69190] = 3,
    ACTIONS(6419), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6417), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [69252] = 3,
    ACTIONS(6423), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6421), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [69314] = 3,
    ACTIONS(6427), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6425), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [69376] = 3,
    ACTIONS(6431), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6429), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [69438] = 3,
    ACTIONS(6435), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6433), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [69500] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3029), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3031), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [69564] = 3,
    ACTIONS(6435), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6433), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [69626] = 3,
    ACTIONS(6435), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6433), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [69688] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3033), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3035), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [69752] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3254), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3252), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [69816] = 3,
    ACTIONS(6439), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6437), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [69878] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3374), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3372), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [69942] = 3,
    ACTIONS(6367), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6365), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [70004] = 3,
    ACTIONS(6443), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6441), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [70066] = 3,
    ACTIONS(6447), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6445), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [70128] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3228), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3226), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [70192] = 3,
    ACTIONS(6439), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6437), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [70254] = 3,
    ACTIONS(6451), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6449), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [70316] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3150), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3148), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [70380] = 3,
    ACTIONS(6455), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6453), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [70442] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3370), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3368), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [70506] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2965), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2963), 39,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [70570] = 3,
    ACTIONS(2930), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2928), 49,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_default_keyword,
      sym__async_keyword_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [70632] = 3,
    ACTIONS(6459), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6457), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [70694] = 3,
    ACTIONS(6463), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6461), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [70756] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3110), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3108), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [70820] = 3,
    ACTIONS(6467), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6465), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [70882] = 3,
    ACTIONS(6471), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6469), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [70944] = 3,
    ACTIONS(6475), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6473), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [71006] = 3,
    ACTIONS(6479), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6477), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [71068] = 3,
    ACTIONS(6483), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6481), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [71130] = 3,
    ACTIONS(6487), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6485), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [71192] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3224), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3222), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [71256] = 3,
    ACTIONS(6491), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6489), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [71318] = 3,
    ACTIONS(6495), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6493), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [71380] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3006), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3008), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [71444] = 3,
    ACTIONS(6467), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6465), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [71506] = 3,
    ACTIONS(6499), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6497), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [71568] = 3,
    ACTIONS(6503), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6501), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [71630] = 3,
    ACTIONS(6503), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6501), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [71692] = 3,
    ACTIONS(6507), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6505), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [71754] = 3,
    ACTIONS(2961), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2959), 49,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_default_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [71816] = 3,
    ACTIONS(6503), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6501), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [71878] = 3,
    ACTIONS(6511), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6509), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [71940] = 3,
    ACTIONS(6503), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6501), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [72002] = 3,
    ACTIONS(6503), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6501), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [72064] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3322), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3320), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [72128] = 3,
    ACTIONS(2989), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2987), 49,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_default_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [72190] = 3,
    ACTIONS(6503), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6501), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [72252] = 3,
    ACTIONS(6515), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6513), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [72314] = 3,
    ACTIONS(6519), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6517), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [72376] = 3,
    ACTIONS(6519), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6517), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [72438] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3220), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3218), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [72502] = 3,
    ACTIONS(6519), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6517), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [72564] = 3,
    ACTIONS(6523), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6521), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [72626] = 3,
    ACTIONS(6527), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6525), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [72688] = 3,
    ACTIONS(6531), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6529), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [72750] = 3,
    ACTIONS(6535), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6533), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [72812] = 3,
    ACTIONS(6539), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6537), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [72874] = 3,
    ACTIONS(6539), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6537), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [72936] = 3,
    ACTIONS(6543), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6541), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [72998] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3338), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3336), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [73062] = 3,
    ACTIONS(6539), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6537), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [73124] = 3,
    ACTIONS(2965), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2963), 49,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_default_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [73186] = 3,
    ACTIONS(6547), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6545), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [73248] = 3,
    ACTIONS(6547), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6545), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [73310] = 3,
    ACTIONS(2926), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2924), 49,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_default_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [73372] = 3,
    ACTIONS(6547), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6545), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [73434] = 3,
    ACTIONS(6547), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6545), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [73496] = 3,
    ACTIONS(6547), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6545), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [73558] = 3,
    ACTIONS(2973), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2971), 49,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_default_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [73620] = 3,
    ACTIONS(6547), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6545), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [73682] = 3,
    ACTIONS(6551), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6549), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [73744] = 3,
    ACTIONS(6555), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6553), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [73806] = 3,
    ACTIONS(6559), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6557), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [73868] = 3,
    ACTIONS(6563), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6561), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [73930] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3110), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3108), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [73994] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3334), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3332), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [74058] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3318), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3316), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [74122] = 3,
    ACTIONS(6567), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6565), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [74184] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2997), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2995), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [74248] = 18,
    ACTIONS(123), 1,
      anon_sym_AT,
    ACTIONS(139), 1,
      anon_sym_unowned,
    ACTIONS(3591), 1,
      anon_sym_lazy,
    ACTIONS(3635), 1,
      anon_sym_final,
    ACTIONS(6569), 1,
      anon_sym_RBRACE,
    ACTIONS(6571), 1,
      anon_sym_willSet,
    STATE(2572), 1,
      sym__parameter_ownership_modifier,
    STATE(7907), 1,
      sym_willset_clause,
    STATE(7927), 1,
      sym_modifiers,
    ACTIONS(3631), 2,
      anon_sym_mutating,
      anon_sym_nonmutating,
    ACTIONS(141), 3,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
    ACTIONS(4689), 3,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3629), 4,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
    ACTIONS(137), 5,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_borrowing,
      anon_sym_consuming,
    ACTIONS(3633), 5,
      anon_sym_class,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
    ACTIONS(3593), 6,
      anon_sym_package,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
    STATE(3173), 14,
      sym_attribute,
      aux_sym__locally_permitted_modifiers,
      sym__non_local_scope_modifier,
      sym__locally_permitted_modifier,
      sym_property_behavior_modifier,
      sym_member_modifier,
      sym_visibility_modifier,
      sym_function_modifier,
      sym_mutation_modifier,
      sym_property_modifier,
      sym_inheritance_modifier,
      sym_parameter_modifier,
      sym_ownership_modifier,
      aux_sym_modifiers_repeat1,
  [74340] = 5,
    ACTIONS(6573), 1,
      anon_sym_QMARK2,
    ACTIONS(2861), 2,
      anon_sym_AT,
      anon_sym_unowned,
    STATE(2807), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2859), 46,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_default_keyword,
      sym__async_keyword_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [74406] = 3,
    ACTIONS(6567), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6565), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [74468] = 3,
    ACTIONS(6578), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6576), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [74530] = 18,
    ACTIONS(123), 1,
      anon_sym_AT,
    ACTIONS(139), 1,
      anon_sym_unowned,
    ACTIONS(3591), 1,
      anon_sym_lazy,
    ACTIONS(3635), 1,
      anon_sym_final,
    ACTIONS(6569), 1,
      anon_sym_RBRACE,
    ACTIONS(6580), 1,
      anon_sym_didSet,
    STATE(2572), 1,
      sym__parameter_ownership_modifier,
    STATE(7891), 1,
      sym_modifiers,
    STATE(7907), 1,
      sym_didset_clause,
    ACTIONS(3631), 2,
      anon_sym_mutating,
      anon_sym_nonmutating,
    ACTIONS(141), 3,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
    ACTIONS(4689), 3,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3629), 4,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
    ACTIONS(137), 5,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_borrowing,
      anon_sym_consuming,
    ACTIONS(3633), 5,
      anon_sym_class,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
    ACTIONS(3593), 6,
      anon_sym_package,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
    STATE(3173), 14,
      sym_attribute,
      aux_sym__locally_permitted_modifiers,
      sym__non_local_scope_modifier,
      sym__locally_permitted_modifier,
      sym_property_behavior_modifier,
      sym_member_modifier,
      sym_visibility_modifier,
      sym_function_modifier,
      sym_mutation_modifier,
      sym_property_modifier,
      sym_inheritance_modifier,
      sym_parameter_modifier,
      sym_ownership_modifier,
      aux_sym_modifiers_repeat1,
  [74622] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3178), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3176), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [74686] = 3,
    ACTIONS(6584), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6582), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [74748] = 3,
    ACTIONS(6584), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6582), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [74810] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6586), 1,
      sym_else,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3068), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3066), 39,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [74876] = 3,
    ACTIONS(6590), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6588), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [74938] = 3,
    ACTIONS(6584), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6582), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [75000] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6592), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5361), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(5359), 38,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [75066] = 3,
    ACTIONS(6597), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6595), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [75128] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6599), 1,
      sym_else,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3092), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3090), 39,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [75194] = 3,
    ACTIONS(6603), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6601), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [75256] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3166), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3164), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [75320] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3206), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3204), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [75384] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3162), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3160), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [75448] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3254), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3252), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [75512] = 3,
    ACTIONS(6607), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6605), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [75574] = 3,
    ACTIONS(6611), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6609), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [75636] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3326), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3324), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [75700] = 3,
    ACTIONS(6615), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6613), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [75762] = 3,
    ACTIONS(6615), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6613), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [75824] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3306), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3304), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [75888] = 3,
    ACTIONS(6619), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6617), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [75950] = 3,
    ACTIONS(6615), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6613), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [76012] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3280), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3278), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [76076] = 3,
    ACTIONS(6623), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6621), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [76138] = 3,
    ACTIONS(6623), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6621), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [76200] = 17,
    ACTIONS(6629), 1,
      anon_sym_each,
    ACTIONS(6631), 1,
      anon_sym_repeat,
    ACTIONS(6633), 1,
      anon_sym_LPAREN,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_some,
    ACTIONS(6639), 1,
      anon_sym_any,
    STATE(4324), 1,
      sym_tuple_type,
    STATE(4383), 1,
      sym_simple_identifier,
    STATE(4393), 1,
      sym__simple_user_type,
    STATE(4847), 1,
      sym__parenthesized_type,
    STATE(4547), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6627), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4463), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(6625), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4446), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
    ACTIONS(631), 18,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [76290] = 3,
    ACTIONS(6623), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6621), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [76352] = 3,
    ACTIONS(6623), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6621), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [76414] = 3,
    ACTIONS(6623), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6621), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [76476] = 17,
    ACTIONS(6629), 1,
      anon_sym_each,
    ACTIONS(6631), 1,
      anon_sym_repeat,
    ACTIONS(6633), 1,
      anon_sym_LPAREN,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_some,
    ACTIONS(6639), 1,
      anon_sym_any,
    STATE(4324), 1,
      sym_tuple_type,
    STATE(4383), 1,
      sym_simple_identifier,
    STATE(4393), 1,
      sym__simple_user_type,
    STATE(4847), 1,
      sym__parenthesized_type,
    STATE(4547), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6627), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4463), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(6625), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4435), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
    ACTIONS(631), 18,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [76566] = 3,
    ACTIONS(6623), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6621), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [76628] = 3,
    ACTIONS(6643), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6641), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [76690] = 3,
    ACTIONS(6647), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6645), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [76752] = 3,
    ACTIONS(6651), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6649), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [76814] = 3,
    ACTIONS(6655), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6653), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [76876] = 3,
    ACTIONS(6659), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6657), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [76938] = 3,
    ACTIONS(6659), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6657), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [77000] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3150), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3148), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [77064] = 3,
    ACTIONS(6659), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6657), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [77126] = 3,
    ACTIONS(6663), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6661), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [77188] = 3,
    ACTIONS(6663), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6661), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [77250] = 3,
    ACTIONS(6667), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6665), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [77312] = 3,
    ACTIONS(6671), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6669), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [77374] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3322), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3320), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [77438] = 3,
    ACTIONS(6675), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6673), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [77500] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3370), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3368), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [77564] = 3,
    ACTIONS(6679), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6677), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [77626] = 3,
    ACTIONS(6679), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6677), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [77688] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3154), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3152), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [77752] = 3,
    ACTIONS(6683), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6681), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [77814] = 3,
    ACTIONS(6679), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6677), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [77876] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3310), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3308), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [77940] = 3,
    ACTIONS(6679), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6677), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [78002] = 3,
    ACTIONS(6679), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6677), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [78064] = 3,
    ACTIONS(6687), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6685), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [78126] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3302), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3300), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [78190] = 3,
    ACTIONS(6679), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6677), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [78252] = 3,
    ACTIONS(6691), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6689), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [78314] = 3,
    ACTIONS(6695), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6693), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [78376] = 3,
    ACTIONS(6695), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6693), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [78438] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3294), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3292), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [78502] = 3,
    ACTIONS(6695), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6693), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [78564] = 3,
    ACTIONS(6699), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6697), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [78626] = 3,
    ACTIONS(6703), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6701), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [78688] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3018), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3020), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [78752] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3114), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3112), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [78816] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3338), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3336), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [78880] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3334), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3332), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [78944] = 3,
    ACTIONS(6707), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6705), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [79006] = 3,
    ACTIONS(6707), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6705), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [79068] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3330), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3328), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [79132] = 3,
    ACTIONS(6707), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6705), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [79194] = 3,
    ACTIONS(6711), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6709), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [79256] = 3,
    ACTIONS(6711), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6709), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [79318] = 3,
    ACTIONS(6715), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6713), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [79380] = 3,
    ACTIONS(6719), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6717), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [79442] = 3,
    ACTIONS(6723), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6721), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [79504] = 3,
    ACTIONS(6723), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6721), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [79566] = 3,
    ACTIONS(6727), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6725), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [79628] = 3,
    ACTIONS(6731), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6729), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [79690] = 3,
    ACTIONS(6723), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6721), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [79752] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3060), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3055), 39,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [79816] = 3,
    ACTIONS(6735), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6733), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [79878] = 3,
    ACTIONS(6735), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6733), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [79940] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3232), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3230), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [80004] = 3,
    ACTIONS(6735), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6733), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [80066] = 3,
    ACTIONS(6735), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6733), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [80128] = 3,
    ACTIONS(6735), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6733), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [80190] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3318), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3316), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [80254] = 3,
    ACTIONS(6735), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6733), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [80316] = 3,
    ACTIONS(6739), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6737), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [80378] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3285), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3282), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [80442] = 3,
    ACTIONS(6743), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6741), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [80504] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3029), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3031), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [80568] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3033), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3035), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [80632] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3263), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3260), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [80696] = 18,
    ACTIONS(123), 1,
      anon_sym_AT,
    ACTIONS(139), 1,
      anon_sym_unowned,
    ACTIONS(3591), 1,
      anon_sym_lazy,
    ACTIONS(3635), 1,
      anon_sym_final,
    ACTIONS(6580), 1,
      anon_sym_didSet,
    ACTIONS(6745), 1,
      anon_sym_RBRACE,
    STATE(2572), 1,
      sym__parameter_ownership_modifier,
    STATE(7684), 1,
      sym_didset_clause,
    STATE(7891), 1,
      sym_modifiers,
    ACTIONS(3631), 2,
      anon_sym_mutating,
      anon_sym_nonmutating,
    ACTIONS(141), 3,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
    ACTIONS(4689), 3,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3629), 4,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
    ACTIONS(137), 5,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_borrowing,
      anon_sym_consuming,
    ACTIONS(3633), 5,
      anon_sym_class,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
    ACTIONS(3593), 6,
      anon_sym_package,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
    STATE(3173), 14,
      sym_attribute,
      aux_sym__locally_permitted_modifiers,
      sym__non_local_scope_modifier,
      sym__locally_permitted_modifier,
      sym_property_behavior_modifier,
      sym_member_modifier,
      sym_visibility_modifier,
      sym_function_modifier,
      sym_mutation_modifier,
      sym_property_modifier,
      sym_inheritance_modifier,
      sym_parameter_modifier,
      sym_ownership_modifier,
      aux_sym_modifiers_repeat1,
  [80788] = 3,
    ACTIONS(6749), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6747), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [80850] = 3,
    ACTIONS(6753), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6751), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [80912] = 3,
    ACTIONS(6753), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6751), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [80974] = 17,
    ACTIONS(6759), 1,
      anon_sym_each,
    ACTIONS(6761), 1,
      anon_sym_repeat,
    ACTIONS(6763), 1,
      anon_sym_LPAREN,
    ACTIONS(6765), 1,
      anon_sym_LBRACK,
    ACTIONS(6767), 1,
      anon_sym_some,
    ACTIONS(6769), 1,
      anon_sym_any,
    STATE(4294), 1,
      sym_tuple_type,
    STATE(4389), 1,
      sym_simple_identifier,
    STATE(4401), 1,
      sym__simple_user_type,
    STATE(4769), 1,
      sym__parenthesized_type,
    STATE(4542), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6757), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4482), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6755), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4430), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
    ACTIONS(631), 17,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [81064] = 3,
    ACTIONS(6753), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6751), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [81126] = 3,
    ACTIONS(6773), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6771), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [81188] = 3,
    ACTIONS(6773), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6771), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [81250] = 18,
    ACTIONS(123), 1,
      anon_sym_AT,
    ACTIONS(139), 1,
      anon_sym_unowned,
    ACTIONS(3591), 1,
      anon_sym_lazy,
    ACTIONS(3635), 1,
      anon_sym_final,
    ACTIONS(6571), 1,
      anon_sym_willSet,
    ACTIONS(6745), 1,
      anon_sym_RBRACE,
    STATE(2572), 1,
      sym__parameter_ownership_modifier,
    STATE(7684), 1,
      sym_willset_clause,
    STATE(7927), 1,
      sym_modifiers,
    ACTIONS(3631), 2,
      anon_sym_mutating,
      anon_sym_nonmutating,
    ACTIONS(141), 3,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
    ACTIONS(4689), 3,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3629), 4,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
    ACTIONS(137), 5,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_borrowing,
      anon_sym_consuming,
    ACTIONS(3633), 5,
      anon_sym_class,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
    ACTIONS(3593), 6,
      anon_sym_package,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
    STATE(3173), 14,
      sym_attribute,
      aux_sym__locally_permitted_modifiers,
      sym__non_local_scope_modifier,
      sym__locally_permitted_modifier,
      sym_property_behavior_modifier,
      sym_member_modifier,
      sym_visibility_modifier,
      sym_function_modifier,
      sym_mutation_modifier,
      sym_property_modifier,
      sym_inheritance_modifier,
      sym_parameter_modifier,
      sym_ownership_modifier,
      aux_sym_modifiers_repeat1,
  [81342] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3186), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3184), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [81406] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3206), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3204), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [81470] = 3,
    ACTIONS(6777), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6775), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [81532] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2912), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2910), 39,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [81596] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3246), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3244), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [81660] = 17,
    ACTIONS(6759), 1,
      anon_sym_each,
    ACTIONS(6761), 1,
      anon_sym_repeat,
    ACTIONS(6763), 1,
      anon_sym_LPAREN,
    ACTIONS(6765), 1,
      anon_sym_LBRACK,
    ACTIONS(6767), 1,
      anon_sym_some,
    ACTIONS(6769), 1,
      anon_sym_any,
    STATE(4294), 1,
      sym_tuple_type,
    STATE(4389), 1,
      sym_simple_identifier,
    STATE(4401), 1,
      sym__simple_user_type,
    STATE(4769), 1,
      sym__parenthesized_type,
    STATE(4542), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6757), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4482), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6755), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4445), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
    ACTIONS(631), 17,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [81750] = 3,
    ACTIONS(6781), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6779), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [81812] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3228), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3226), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [81876] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2574), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2572), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [81940] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3374), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3372), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [82004] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3326), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3324), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [82068] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3290), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3288), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [82132] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3241), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3238), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [82196] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3106), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3104), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [82260] = 3,
    ACTIONS(6785), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6783), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [82322] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3211), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3208), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [82386] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3118), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3116), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [82450] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3306), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3304), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [82514] = 3,
    ACTIONS(6789), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6787), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [82576] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3280), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3278), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [82640] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3083), 1,
      anon_sym_LT,
    STATE(1829), 1,
      sym_type_arguments,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3078), 4,
      sym__dot_custom,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
    ACTIONS(3081), 10,
      anon_sym_QMARK,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3076), 35,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [82710] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3310), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3308), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [82774] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3006), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3008), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [82838] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3302), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3300), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [82902] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3294), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3292), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [82966] = 5,
    ACTIONS(5865), 1,
      anon_sym_QMARK2,
    ACTIONS(2842), 2,
      anon_sym_AT,
      anon_sym_unowned,
    STATE(3021), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2840), 46,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_default_keyword,
      sym__async_keyword_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [83032] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(407), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(425), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [83096] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3276), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3274), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [83160] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3258), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3256), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [83224] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3232), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3230), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [83288] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3236), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3234), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [83352] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3202), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3200), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [83416] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3186), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3184), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [83480] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3366), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3364), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [83544] = 3,
    ACTIONS(6447), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6445), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [83606] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3268), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3266), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [83670] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3362), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3360), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [83734] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3350), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3348), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [83798] = 3,
    ACTIONS(6793), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6791), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [83860] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3276), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3274), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [83924] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3258), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3256), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [83988] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3236), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3234), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [84052] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3366), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3364), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [84116] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3354), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3352), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [84180] = 18,
    ACTIONS(123), 1,
      anon_sym_AT,
    ACTIONS(139), 1,
      anon_sym_unowned,
    ACTIONS(3591), 1,
      anon_sym_lazy,
    ACTIONS(3635), 1,
      anon_sym_final,
    ACTIONS(6580), 1,
      anon_sym_didSet,
    ACTIONS(6795), 1,
      anon_sym_RBRACE,
    STATE(2572), 1,
      sym__parameter_ownership_modifier,
    STATE(7851), 1,
      sym_didset_clause,
    STATE(7891), 1,
      sym_modifiers,
    ACTIONS(3631), 2,
      anon_sym_mutating,
      anon_sym_nonmutating,
    ACTIONS(141), 3,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
    ACTIONS(4689), 3,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3629), 4,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
    ACTIONS(137), 5,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_borrowing,
      anon_sym_consuming,
    ACTIONS(3633), 5,
      anon_sym_class,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
    ACTIONS(3593), 6,
      anon_sym_package,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
    STATE(3173), 14,
      sym_attribute,
      aux_sym__locally_permitted_modifiers,
      sym__non_local_scope_modifier,
      sym__locally_permitted_modifier,
      sym_property_behavior_modifier,
      sym_member_modifier,
      sym_visibility_modifier,
      sym_function_modifier,
      sym_mutation_modifier,
      sym_property_modifier,
      sym_inheritance_modifier,
      sym_parameter_modifier,
      sym_ownership_modifier,
      aux_sym_modifiers_repeat1,
  [84272] = 3,
    ACTIONS(2800), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2798), 49,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_default_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [84334] = 18,
    ACTIONS(123), 1,
      anon_sym_AT,
    ACTIONS(139), 1,
      anon_sym_unowned,
    ACTIONS(3591), 1,
      anon_sym_lazy,
    ACTIONS(3635), 1,
      anon_sym_final,
    ACTIONS(6571), 1,
      anon_sym_willSet,
    ACTIONS(6795), 1,
      anon_sym_RBRACE,
    STATE(2572), 1,
      sym__parameter_ownership_modifier,
    STATE(7851), 1,
      sym_willset_clause,
    STATE(7927), 1,
      sym_modifiers,
    ACTIONS(3631), 2,
      anon_sym_mutating,
      anon_sym_nonmutating,
    ACTIONS(141), 3,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
    ACTIONS(4689), 3,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3629), 4,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
    ACTIONS(137), 5,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_borrowing,
      anon_sym_consuming,
    ACTIONS(3633), 5,
      anon_sym_class,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
    ACTIONS(3593), 6,
      anon_sym_package,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
    STATE(3173), 14,
      sym_attribute,
      aux_sym__locally_permitted_modifiers,
      sym__non_local_scope_modifier,
      sym__locally_permitted_modifier,
      sym_property_behavior_modifier,
      sym_member_modifier,
      sym_visibility_modifier,
      sym_function_modifier,
      sym_mutation_modifier,
      sym_property_modifier,
      sym_inheritance_modifier,
      sym_parameter_modifier,
      sym_ownership_modifier,
      aux_sym_modifiers_repeat1,
  [84426] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3362), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3360), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [84490] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3354), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3352), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [84554] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2957), 12,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2955), 39,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [84618] = 3,
    ACTIONS(6799), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6797), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [84680] = 3,
    ACTIONS(6803), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6801), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [84742] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3877), 2,
      anon_sym_let,
      anon_sym_var,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(637), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(631), 38,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [84808] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3122), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3120), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [84872] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3126), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3124), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [84936] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3346), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3344), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [85000] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3130), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3128), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [85064] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3224), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3222), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [85128] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3134), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3132), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [85192] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3220), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3218), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [85256] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3138), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3136), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [85320] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3142), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3140), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [85384] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3358), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3356), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [85448] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3178), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3176), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [85512] = 18,
    ACTIONS(123), 1,
      anon_sym_AT,
    ACTIONS(139), 1,
      anon_sym_unowned,
    ACTIONS(3591), 1,
      anon_sym_lazy,
    ACTIONS(3635), 1,
      anon_sym_final,
    ACTIONS(6580), 1,
      anon_sym_didSet,
    ACTIONS(6805), 1,
      anon_sym_RBRACE,
    STATE(2572), 1,
      sym__parameter_ownership_modifier,
    STATE(7740), 1,
      sym_didset_clause,
    STATE(7891), 1,
      sym_modifiers,
    ACTIONS(3631), 2,
      anon_sym_mutating,
      anon_sym_nonmutating,
    ACTIONS(141), 3,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
    ACTIONS(4689), 3,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3629), 4,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
    ACTIONS(137), 5,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_borrowing,
      anon_sym_consuming,
    ACTIONS(3633), 5,
      anon_sym_class,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
    ACTIONS(3593), 6,
      anon_sym_package,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
    STATE(3173), 14,
      sym_attribute,
      aux_sym__locally_permitted_modifiers,
      sym__non_local_scope_modifier,
      sym__locally_permitted_modifier,
      sym_property_behavior_modifier,
      sym_member_modifier,
      sym_visibility_modifier,
      sym_function_modifier,
      sym_mutation_modifier,
      sym_property_modifier,
      sym_inheritance_modifier,
      sym_parameter_modifier,
      sym_ownership_modifier,
      aux_sym_modifiers_repeat1,
  [85604] = 18,
    ACTIONS(123), 1,
      anon_sym_AT,
    ACTIONS(139), 1,
      anon_sym_unowned,
    ACTIONS(3591), 1,
      anon_sym_lazy,
    ACTIONS(3635), 1,
      anon_sym_final,
    ACTIONS(6571), 1,
      anon_sym_willSet,
    ACTIONS(6805), 1,
      anon_sym_RBRACE,
    STATE(2572), 1,
      sym__parameter_ownership_modifier,
    STATE(7740), 1,
      sym_willset_clause,
    STATE(7927), 1,
      sym_modifiers,
    ACTIONS(3631), 2,
      anon_sym_mutating,
      anon_sym_nonmutating,
    ACTIONS(141), 3,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
    ACTIONS(4689), 3,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3629), 4,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
    ACTIONS(137), 5,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_borrowing,
      anon_sym_consuming,
    ACTIONS(3633), 5,
      anon_sym_class,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
    ACTIONS(3593), 6,
      anon_sym_package,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
    STATE(3173), 14,
      sym_attribute,
      aux_sym__locally_permitted_modifiers,
      sym__non_local_scope_modifier,
      sym__locally_permitted_modifier,
      sym_property_behavior_modifier,
      sym_member_modifier,
      sym_visibility_modifier,
      sym_function_modifier,
      sym_mutation_modifier,
      sym_property_modifier,
      sym_inheritance_modifier,
      sym_parameter_modifier,
      sym_ownership_modifier,
      aux_sym_modifiers_repeat1,
  [85696] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3166), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3164), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [85760] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3162), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3160), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [85824] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3154), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3152), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [85888] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3146), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3144), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [85952] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3098), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3096), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [86016] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3158), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3156), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [86080] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3122), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3120), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [86144] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3170), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3168), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [86208] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3126), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3124), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [86272] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3130), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3128), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [86336] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3114), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3112), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [86400] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3182), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3180), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [86464] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3190), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3188), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [86528] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3134), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3132), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [86592] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3330), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3328), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [86656] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3138), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3136), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [86720] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3194), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3192), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [86784] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3285), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3282), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [86848] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3263), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3260), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [86912] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3142), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3140), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [86976] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2574), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2572), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [87040] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3241), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3238), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [87104] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3211), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3208), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [87168] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(407), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(425), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [87232] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3174), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3172), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [87296] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3146), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3144), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [87360] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3098), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3096), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [87424] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3158), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3156), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [87488] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3170), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3168), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [87552] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3198), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3196), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [87616] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3182), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3180), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [87680] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3216), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3214), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [87744] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3190), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3188), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [87808] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3346), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3344), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [87872] = 3,
    ACTIONS(6809), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6807), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [87934] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3358), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3356), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [87998] = 3,
    ACTIONS(6813), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6811), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [88060] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3314), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3312), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [88124] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3194), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3192), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [88188] = 5,
    ACTIONS(5865), 1,
      anon_sym_QMARK2,
    ACTIONS(2796), 2,
      anon_sym_AT,
      anon_sym_unowned,
    STATE(2807), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2794), 46,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_default_keyword,
      sym__async_keyword_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [88254] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3074), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3072), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [88318] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3174), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3172), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [88382] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3198), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3196), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [88446] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3216), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3214), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [88510] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3250), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3248), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [88574] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3314), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3312), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [88638] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3272), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3270), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [88702] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3088), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3086), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [88766] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3250), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3248), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [88830] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3272), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3270), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [88894] = 3,
    ACTIONS(6817), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6815), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [88956] = 3,
    ACTIONS(6821), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6819), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [89018] = 3,
    ACTIONS(6825), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6823), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [89080] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3342), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3340), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [89144] = 3,
    ACTIONS(6829), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6827), 49,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_precedencegroup,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [89206] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3342), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3340), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [89270] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3378), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3376), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [89334] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3378), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3376), 40,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [89398] = 3,
    ACTIONS(2957), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2955), 48,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_default_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [89459] = 4,
    STATE(3129), 1,
      aux_sym_protocol_composition_type_repeat1,
    ACTIONS(3016), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3014), 47,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_default_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [89522] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3216), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3214), 39,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [89585] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3358), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3356), 39,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [89648] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3350), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3348), 39,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [89711] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3298), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3296), 39,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [89774] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3268), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3266), 39,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [89837] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3280), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3278), 39,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [89900] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3198), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3196), 39,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [89963] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3306), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3304), 39,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [90026] = 3,
    ACTIONS(2993), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2991), 48,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_default_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [90087] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3202), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3200), 39,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [90150] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3114), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3112), 39,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [90213] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3330), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3328), 39,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [90276] = 17,
    ACTIONS(6835), 1,
      anon_sym_each,
    ACTIONS(6837), 1,
      anon_sym_repeat,
    ACTIONS(6839), 1,
      anon_sym_LPAREN,
    ACTIONS(6841), 1,
      anon_sym_LBRACK,
    ACTIONS(6843), 1,
      anon_sym_some,
    ACTIONS(6845), 1,
      anon_sym_any,
    STATE(4334), 1,
      sym_tuple_type,
    STATE(4484), 1,
      sym__simple_user_type,
    STATE(4511), 1,
      sym_simple_identifier,
    STATE(5031), 1,
      sym__parenthesized_type,
    STATE(4686), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6833), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4607), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(6831), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4520), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
    ACTIONS(631), 17,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [90365] = 17,
    ACTIONS(6835), 1,
      anon_sym_each,
    ACTIONS(6837), 1,
      anon_sym_repeat,
    ACTIONS(6839), 1,
      anon_sym_LPAREN,
    ACTIONS(6841), 1,
      anon_sym_LBRACK,
    ACTIONS(6843), 1,
      anon_sym_some,
    ACTIONS(6845), 1,
      anon_sym_any,
    STATE(4334), 1,
      sym_tuple_type,
    STATE(4484), 1,
      sym__simple_user_type,
    STATE(4511), 1,
      sym_simple_identifier,
    STATE(5031), 1,
      sym__parenthesized_type,
    STATE(4686), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6833), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4607), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(6831), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4505), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
    ACTIONS(631), 17,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [90454] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3326), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3324), 39,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [90517] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3194), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3192), 39,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [90580] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3374), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3372), 39,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [90643] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3190), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3188), 39,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [90706] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3228), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3226), 39,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [90769] = 3,
    ACTIONS(2800), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2798), 48,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_default_keyword,
      sym__async_keyword_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [90830] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3182), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3180), 39,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [90893] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3170), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3168), 39,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [90956] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3158), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3156), 39,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [91019] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3098), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3096), 39,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [91082] = 14,
    ACTIONS(6847), 1,
      anon_sym_COLON,
    ACTIONS(6849), 1,
      anon_sym_LBRACE,
    ACTIONS(6851), 1,
      sym__eq_custom,
    ACTIONS(6853), 1,
      sym_where_keyword,
    STATE(464), 1,
      sym__equal_sign,
    STATE(3216), 1,
      sym_type_annotation,
    STATE(3251), 1,
      sym_type_constraints,
    STATE(3711), 1,
      sym_computed_property,
    STATE(3712), 1,
      sym_willset_didset_block,
    STATE(3713), 1,
      sym__expression_without_willset_didset,
    STATE(3714), 1,
      sym__expression_with_willset_didset,
    ACTIONS(4901), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(4895), 37,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [91165] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3146), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3144), 39,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [91228] = 4,
    ACTIONS(6855), 1,
      anon_sym_operator,
    ACTIONS(6189), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6187), 47,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_case,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [91291] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3206), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3204), 39,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [91354] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3302), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3300), 39,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [91417] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3142), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3140), 39,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [91480] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3154), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3152), 39,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [91543] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3294), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3292), 39,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [91606] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3138), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3136), 39,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [91669] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3122), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3120), 39,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [91732] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3134), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3132), 39,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [91795] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3162), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3160), 39,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [91858] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3130), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3128), 39,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [91921] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3126), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3124), 39,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [91984] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3029), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3031), 39,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [92047] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3018), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3020), 39,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [92110] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3033), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3035), 39,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [92173] = 17,
    ACTIONS(6861), 1,
      anon_sym_each,
    ACTIONS(6863), 1,
      anon_sym_repeat,
    ACTIONS(6865), 1,
      anon_sym_LPAREN,
    ACTIONS(6867), 1,
      anon_sym_LBRACK,
    ACTIONS(6869), 1,
      anon_sym_some,
    ACTIONS(6871), 1,
      anon_sym_any,
    STATE(4362), 1,
      sym_tuple_type,
    STATE(4467), 1,
      sym_simple_identifier,
    STATE(4468), 1,
      sym__simple_user_type,
    STATE(5008), 1,
      sym__parenthesized_type,
    STATE(4658), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6859), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4688), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6857), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4513), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
    ACTIONS(631), 16,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [92262] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3166), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3164), 39,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [92325] = 17,
    ACTIONS(6861), 1,
      anon_sym_each,
    ACTIONS(6863), 1,
      anon_sym_repeat,
    ACTIONS(6865), 1,
      anon_sym_LPAREN,
    ACTIONS(6867), 1,
      anon_sym_LBRACK,
    ACTIONS(6869), 1,
      anon_sym_some,
    ACTIONS(6871), 1,
      anon_sym_any,
    STATE(4362), 1,
      sym_tuple_type,
    STATE(4467), 1,
      sym_simple_identifier,
    STATE(4468), 1,
      sym__simple_user_type,
    STATE(5008), 1,
      sym__parenthesized_type,
    STATE(4658), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6859), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4688), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6857), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4473), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
    ACTIONS(631), 16,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [92414] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2997), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2995), 39,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [92477] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3285), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3282), 39,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [92540] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3366), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3364), 39,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [92603] = 17,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4499), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
    ACTIONS(631), 16,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_BANG,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LBRACE,
  [92692] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3378), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3376), 39,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [92755] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3342), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3340), 39,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [92818] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3318), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3316), 39,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [92881] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3334), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3332), 39,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [92944] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3272), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3270), 39,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [93007] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3250), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3248), 39,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [93070] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3338), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3336), 39,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [93133] = 17,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4500), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
    ACTIONS(631), 16,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_BANG,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LBRACE,
  [93222] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3263), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3260), 39,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [93285] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6885), 1,
      sym_else,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3068), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3066), 38,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [93350] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3314), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3312), 39,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [93413] = 3,
    ACTIONS(2997), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2995), 48,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_default_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [93474] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2574), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(2572), 39,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [93537] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3241), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3238), 39,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [93600] = 3,
    ACTIONS(2985), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2983), 48,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_default_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [93661] = 3,
    ACTIONS(2965), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2963), 48,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_default_keyword,
      sym__async_keyword_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [93722] = 11,
    ACTIONS(6887), 1,
      anon_sym_QMARK2,
    ACTIONS(6889), 1,
      sym__arrow_operator_custom,
    ACTIONS(6891), 1,
      sym__async_keyword_custom,
    STATE(3861), 1,
      sym__arrow_operator,
    STATE(6087), 1,
      sym__async_keyword,
    STATE(7391), 1,
      sym_throws,
    ACTIONS(2842), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    STATE(3246), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2840), 38,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [93799] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3211), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3208), 39,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [93862] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(407), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(425), 39,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [93925] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3178), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3176), 39,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [93988] = 3,
    ACTIONS(2926), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2924), 48,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_default_keyword,
      sym__async_keyword_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [94049] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3110), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3108), 39,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [94112] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6893), 1,
      sym_else,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3092), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3090), 38,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [94177] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3370), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3368), 39,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [94240] = 3,
    ACTIONS(2916), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2914), 48,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_default_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [94301] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3322), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3320), 39,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [94364] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3354), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3352), 39,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [94427] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3174), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3172), 39,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [94490] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3150), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3148), 39,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [94553] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3362), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3360), 39,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [94616] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6895), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5361), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(5359), 37,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [94681] = 18,
    ACTIONS(637), 1,
      anon_sym_QMARK,
    ACTIONS(3481), 1,
      anon_sym_LPAREN,
    ACTIONS(3483), 1,
      anon_sym_LBRACK,
    ACTIONS(6898), 1,
      anon_sym_each,
    ACTIONS(6900), 1,
      anon_sym_repeat,
    ACTIONS(6902), 1,
      anon_sym_some,
    ACTIONS(6904), 1,
      anon_sym_any,
    STATE(1489), 1,
      sym_simple_identifier,
    STATE(1490), 1,
      sym__simple_user_type,
    STATE(1561), 1,
      sym__parenthesized_type,
    STATE(4340), 1,
      sym_tuple_type,
    STATE(1514), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(3472), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1504), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3470), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4572), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
    ACTIONS(631), 15,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
  [94772] = 3,
    ACTIONS(2973), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2971), 48,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_default_keyword,
      sym__async_keyword_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [94833] = 18,
    ACTIONS(637), 1,
      anon_sym_QMARK,
    ACTIONS(3481), 1,
      anon_sym_LPAREN,
    ACTIONS(3483), 1,
      anon_sym_LBRACK,
    ACTIONS(6898), 1,
      anon_sym_each,
    ACTIONS(6900), 1,
      anon_sym_repeat,
    ACTIONS(6902), 1,
      anon_sym_some,
    ACTIONS(6904), 1,
      anon_sym_any,
    STATE(1489), 1,
      sym_simple_identifier,
    STATE(1490), 1,
      sym__simple_user_type,
    STATE(1561), 1,
      sym__parenthesized_type,
    STATE(4340), 1,
      sym_tuple_type,
    STATE(1514), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(3472), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1504), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3470), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4540), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
    ACTIONS(631), 15,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
  [94924] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3246), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3244), 39,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [94987] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3232), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3230), 39,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [95050] = 3,
    ACTIONS(2977), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2975), 48,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_default_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [95111] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3006), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3008), 39,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [95174] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3186), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3184), 39,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [95237] = 5,
    ACTIONS(6906), 1,
      anon_sym_AMP,
    STATE(3129), 1,
      aux_sym_protocol_composition_type_repeat1,
    ACTIONS(2894), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2892), 46,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_default_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [95302] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3310), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3308), 39,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [95365] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3276), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3274), 39,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [95428] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3118), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3116), 39,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [95491] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3290), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3288), 39,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [95554] = 18,
    ACTIONS(637), 1,
      anon_sym_QMARK,
    ACTIONS(6913), 1,
      anon_sym_each,
    ACTIONS(6915), 1,
      anon_sym_repeat,
    ACTIONS(6917), 1,
      anon_sym_LPAREN,
    ACTIONS(6919), 1,
      anon_sym_LBRACK,
    ACTIONS(6921), 1,
      anon_sym_some,
    ACTIONS(6923), 1,
      anon_sym_any,
    STATE(4370), 1,
      sym_tuple_type,
    STATE(4450), 1,
      sym_simple_identifier,
    STATE(4515), 1,
      sym__simple_user_type,
    STATE(4967), 1,
      sym__parenthesized_type,
    STATE(4635), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6911), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4691), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6909), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4471), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
    ACTIONS(631), 15,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LT,
  [95645] = 3,
    ACTIONS(2912), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2910), 48,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_default_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [95706] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3254), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3252), 39,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [95769] = 18,
    ACTIONS(637), 1,
      anon_sym_QMARK,
    ACTIONS(6913), 1,
      anon_sym_each,
    ACTIONS(6915), 1,
      anon_sym_repeat,
    ACTIONS(6917), 1,
      anon_sym_LPAREN,
    ACTIONS(6919), 1,
      anon_sym_LBRACK,
    ACTIONS(6921), 1,
      anon_sym_some,
    ACTIONS(6923), 1,
      anon_sym_any,
    STATE(4370), 1,
      sym_tuple_type,
    STATE(4450), 1,
      sym_simple_identifier,
    STATE(4515), 1,
      sym__simple_user_type,
    STATE(4967), 1,
      sym__parenthesized_type,
    STATE(4635), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6911), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4691), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6909), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4568), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
    ACTIONS(631), 15,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LT,
  [95860] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3258), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3256), 39,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [95923] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3236), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3234), 39,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [95986] = 3,
    ACTIONS(2969), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2967), 48,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_default_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [96047] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3106), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3104), 39,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [96110] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3220), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3218), 39,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [96173] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3346), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3344), 39,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [96236] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3224), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG2,
    ACTIONS(3222), 39,
      sym__dot_custom,
      sym__conjunction_operator_custom,
      sym__disjunction_operator_custom,
      sym__nil_coalescing_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      sym__bang_custom,
      sym_else,
      sym__as_custom,
      sym__as_quest_custom,
      sym__as_bang_custom,
      sym__custom_operator,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK2,
      anon_sym_AMP,
      aux_sym_custom_operator_token1,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_LT,
      anon_sym_is,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [96299] = 8,
    ACTIONS(6925), 1,
      anon_sym_lazy,
    ACTIONS(6928), 1,
      anon_sym_AT,
    ACTIONS(6931), 1,
      anon_sym_final,
    ACTIONS(6937), 1,
      anon_sym_unowned,
    ACTIONS(6934), 3,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    STATE(3145), 6,
      sym_attribute,
      aux_sym__locally_permitted_modifiers,
      sym__locally_permitted_modifier,
      sym_property_behavior_modifier,
      sym_inheritance_modifier,
      sym_ownership_modifier,
    ACTIONS(5265), 37,
      sym_default_keyword,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_package,
      anon_sym_case,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_borrowing,
      anon_sym_consuming,
  [96370] = 3,
    ACTIONS(2961), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2959), 47,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_default_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [96430] = 3,
    ACTIONS(2989), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2987), 47,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_default_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [96490] = 32,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(841), 1,
      anon_sym_AT,
    ACTIONS(843), 1,
      sym_wildcard_pattern,
    ACTIONS(845), 1,
      anon_sym_inout,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(6940), 1,
      anon_sym_RPAREN,
    STATE(3294), 1,
      sym__tuple_type_item_identifier,
    STATE(3797), 1,
      sym_parameter_modifiers,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4191), 1,
      sym__parameter_ownership_modifier,
    STATE(4343), 1,
      sym__contextual_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(5078), 1,
      sym_simple_identifier,
    STATE(5223), 1,
      sym_dictionary_type,
    STATE(6945), 1,
      sym_tuple_type_item,
    STATE(7358), 1,
      sym__type,
    ACTIONS(847), 2,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
    ACTIONS(6942), 2,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4249), 2,
      sym_parameter_modifier,
      aux_sym_parameter_modifiers_repeat1,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4488), 2,
      sym_user_type,
      sym_array_type,
    STATE(5495), 2,
      sym_opaque_type,
      sym_existential_type,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 5,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
    STATE(4558), 7,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [96608] = 32,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(841), 1,
      anon_sym_AT,
    ACTIONS(843), 1,
      sym_wildcard_pattern,
    ACTIONS(845), 1,
      anon_sym_inout,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(6944), 1,
      anon_sym_RPAREN,
    STATE(3294), 1,
      sym__tuple_type_item_identifier,
    STATE(3797), 1,
      sym_parameter_modifiers,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4191), 1,
      sym__parameter_ownership_modifier,
    STATE(4343), 1,
      sym__contextual_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(5078), 1,
      sym_simple_identifier,
    STATE(5236), 1,
      sym_dictionary_type,
    STATE(6965), 1,
      sym_tuple_type_item,
    STATE(7358), 1,
      sym__type,
    ACTIONS(847), 2,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
    ACTIONS(6942), 2,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4249), 2,
      sym_parameter_modifier,
      aux_sym_parameter_modifiers_repeat1,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4488), 2,
      sym_user_type,
      sym_array_type,
    STATE(5517), 2,
      sym_opaque_type,
      sym_existential_type,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 5,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
    STATE(4558), 7,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [96726] = 17,
    ACTIONS(6950), 1,
      anon_sym_each,
    ACTIONS(6952), 1,
      anon_sym_repeat,
    ACTIONS(6954), 1,
      anon_sym_LPAREN,
    ACTIONS(6956), 1,
      anon_sym_LBRACK,
    ACTIONS(6958), 1,
      anon_sym_some,
    ACTIONS(6960), 1,
      anon_sym_any,
    STATE(4432), 1,
      sym_tuple_type,
    STATE(4604), 1,
      sym__simple_user_type,
    STATE(4642), 1,
      sym_simple_identifier,
    STATE(5077), 1,
      sym__parenthesized_type,
    STATE(4852), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6948), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4807), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(6946), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4684), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
    ACTIONS(631), 16,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [96814] = 32,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(841), 1,
      anon_sym_AT,
    ACTIONS(843), 1,
      sym_wildcard_pattern,
    ACTIONS(845), 1,
      anon_sym_inout,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(6962), 1,
      anon_sym_RPAREN,
    STATE(3294), 1,
      sym__tuple_type_item_identifier,
    STATE(3797), 1,
      sym_parameter_modifiers,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4191), 1,
      sym__parameter_ownership_modifier,
    STATE(4343), 1,
      sym__contextual_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(5078), 1,
      sym_simple_identifier,
    STATE(5247), 1,
      sym_dictionary_type,
    STATE(6985), 1,
      sym_tuple_type_item,
    STATE(7358), 1,
      sym__type,
    ACTIONS(847), 2,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
    ACTIONS(6942), 2,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4249), 2,
      sym_parameter_modifier,
      aux_sym_parameter_modifiers_repeat1,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4488), 2,
      sym_user_type,
      sym_array_type,
    STATE(5538), 2,
      sym_opaque_type,
      sym_existential_type,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 5,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
    STATE(4558), 7,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [96932] = 32,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(841), 1,
      anon_sym_AT,
    ACTIONS(843), 1,
      sym_wildcard_pattern,
    ACTIONS(845), 1,
      anon_sym_inout,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(6964), 1,
      anon_sym_RPAREN,
    STATE(3294), 1,
      sym__tuple_type_item_identifier,
    STATE(3797), 1,
      sym_parameter_modifiers,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4191), 1,
      sym__parameter_ownership_modifier,
    STATE(4343), 1,
      sym__contextual_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(5078), 1,
      sym_simple_identifier,
    STATE(5264), 1,
      sym_dictionary_type,
    STATE(7004), 1,
      sym_tuple_type_item,
    STATE(7358), 1,
      sym__type,
    ACTIONS(847), 2,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
    ACTIONS(6942), 2,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4249), 2,
      sym_parameter_modifier,
      aux_sym_parameter_modifiers_repeat1,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4488), 2,
      sym_user_type,
      sym_array_type,
    STATE(5555), 2,
      sym_opaque_type,
      sym_existential_type,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 5,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
    STATE(4558), 7,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [97050] = 32,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(841), 1,
      anon_sym_AT,
    ACTIONS(843), 1,
      sym_wildcard_pattern,
    ACTIONS(845), 1,
      anon_sym_inout,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(6966), 1,
      anon_sym_RPAREN,
    STATE(3294), 1,
      sym__tuple_type_item_identifier,
    STATE(3797), 1,
      sym_parameter_modifiers,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4191), 1,
      sym__parameter_ownership_modifier,
    STATE(4343), 1,
      sym__contextual_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(5078), 1,
      sym_simple_identifier,
    STATE(5278), 1,
      sym_dictionary_type,
    STATE(7022), 1,
      sym_tuple_type_item,
    STATE(7358), 1,
      sym__type,
    ACTIONS(847), 2,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
    ACTIONS(6942), 2,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4249), 2,
      sym_parameter_modifier,
      aux_sym_parameter_modifiers_repeat1,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4488), 2,
      sym_user_type,
      sym_array_type,
    STATE(5561), 2,
      sym_opaque_type,
      sym_existential_type,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 5,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
    STATE(4558), 7,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [97168] = 32,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(841), 1,
      anon_sym_AT,
    ACTIONS(843), 1,
      sym_wildcard_pattern,
    ACTIONS(845), 1,
      anon_sym_inout,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(6968), 1,
      anon_sym_RPAREN,
    STATE(3294), 1,
      sym__tuple_type_item_identifier,
    STATE(3797), 1,
      sym_parameter_modifiers,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4191), 1,
      sym__parameter_ownership_modifier,
    STATE(4343), 1,
      sym__contextual_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(5078), 1,
      sym_simple_identifier,
    STATE(5285), 1,
      sym_dictionary_type,
    STATE(7040), 1,
      sym_tuple_type_item,
    STATE(7358), 1,
      sym__type,
    ACTIONS(847), 2,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
    ACTIONS(6942), 2,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4249), 2,
      sym_parameter_modifier,
      aux_sym_parameter_modifiers_repeat1,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4488), 2,
      sym_user_type,
      sym_array_type,
    STATE(5565), 2,
      sym_opaque_type,
      sym_existential_type,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 5,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
    STATE(4558), 7,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [97286] = 17,
    ACTIONS(6950), 1,
      anon_sym_each,
    ACTIONS(6952), 1,
      anon_sym_repeat,
    ACTIONS(6954), 1,
      anon_sym_LPAREN,
    ACTIONS(6956), 1,
      anon_sym_LBRACK,
    ACTIONS(6958), 1,
      anon_sym_some,
    ACTIONS(6960), 1,
      anon_sym_any,
    STATE(4432), 1,
      sym_tuple_type,
    STATE(4604), 1,
      sym__simple_user_type,
    STATE(4642), 1,
      sym_simple_identifier,
    STATE(5077), 1,
      sym__parenthesized_type,
    STATE(4852), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6948), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4807), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(6946), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4701), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
    ACTIONS(631), 16,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [97374] = 32,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(841), 1,
      anon_sym_AT,
    ACTIONS(843), 1,
      sym_wildcard_pattern,
    ACTIONS(845), 1,
      anon_sym_inout,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(6970), 1,
      anon_sym_RPAREN,
    STATE(3294), 1,
      sym__tuple_type_item_identifier,
    STATE(3797), 1,
      sym_parameter_modifiers,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4191), 1,
      sym__parameter_ownership_modifier,
    STATE(4343), 1,
      sym__contextual_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(5078), 1,
      sym_simple_identifier,
    STATE(5237), 1,
      sym_dictionary_type,
    STATE(6687), 1,
      sym_tuple_type_item,
    STATE(7358), 1,
      sym__type,
    ACTIONS(847), 2,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
    ACTIONS(6942), 2,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4249), 2,
      sym_parameter_modifier,
      aux_sym_parameter_modifiers_repeat1,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4488), 2,
      sym_user_type,
      sym_array_type,
    STATE(5516), 2,
      sym_opaque_type,
      sym_existential_type,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 5,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
    STATE(4558), 7,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [97492] = 18,
    ACTIONS(637), 1,
      anon_sym_QMARK,
    ACTIONS(6976), 1,
      anon_sym_each,
    ACTIONS(6978), 1,
      anon_sym_repeat,
    ACTIONS(6980), 1,
      anon_sym_LPAREN,
    ACTIONS(6982), 1,
      anon_sym_LBRACK,
    ACTIONS(6984), 1,
      anon_sym_some,
    ACTIONS(6986), 1,
      anon_sym_any,
    STATE(4396), 1,
      sym_tuple_type,
    STATE(4598), 1,
      sym_simple_identifier,
    STATE(4639), 1,
      sym__simple_user_type,
    STATE(5097), 1,
      sym__parenthesized_type,
    STATE(4882), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6974), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4912), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6972), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4577), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
    ACTIONS(631), 14,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
  [97582] = 3,
    ACTIONS(2916), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2914), 47,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_default_keyword,
      sym__async_keyword_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [97642] = 32,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(841), 1,
      anon_sym_AT,
    ACTIONS(843), 1,
      sym_wildcard_pattern,
    ACTIONS(845), 1,
      anon_sym_inout,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(6988), 1,
      anon_sym_RPAREN,
    STATE(3294), 1,
      sym__tuple_type_item_identifier,
    STATE(3797), 1,
      sym_parameter_modifiers,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4191), 1,
      sym__parameter_ownership_modifier,
    STATE(4343), 1,
      sym__contextual_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(5078), 1,
      sym_simple_identifier,
    STATE(5312), 1,
      sym_dictionary_type,
    STATE(7076), 1,
      sym_tuple_type_item,
    STATE(7358), 1,
      sym__type,
    ACTIONS(847), 2,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
    ACTIONS(6942), 2,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4249), 2,
      sym_parameter_modifier,
      aux_sym_parameter_modifiers_repeat1,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4488), 2,
      sym_user_type,
      sym_array_type,
    STATE(5549), 2,
      sym_opaque_type,
      sym_existential_type,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 5,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
    STATE(4558), 7,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [97760] = 15,
    ACTIONS(245), 1,
      anon_sym_unowned,
    ACTIONS(5978), 1,
      anon_sym_lazy,
    ACTIONS(5990), 1,
      anon_sym_AT,
    ACTIONS(5996), 1,
      anon_sym_final,
    STATE(4118), 1,
      sym__parameter_ownership_modifier,
    ACTIONS(4833), 2,
      sym_default_keyword,
      anon_sym_case,
    ACTIONS(5994), 2,
      anon_sym_mutating,
      anon_sym_nonmutating,
    ACTIONS(247), 3,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
    ACTIONS(5988), 3,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5992), 4,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
    ACTIONS(243), 5,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_borrowing,
      anon_sym_consuming,
    ACTIONS(5986), 5,
      anon_sym_class,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
    ACTIONS(5980), 6,
      anon_sym_package,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
    STATE(3192), 14,
      sym_attribute,
      aux_sym__locally_permitted_modifiers,
      sym__non_local_scope_modifier,
      sym__locally_permitted_modifier,
      sym_property_behavior_modifier,
      sym_member_modifier,
      sym_visibility_modifier,
      sym_function_modifier,
      sym_mutation_modifier,
      sym_property_modifier,
      sym_inheritance_modifier,
      sym_parameter_modifier,
      sym_ownership_modifier,
      aux_sym_modifiers_repeat1,
  [97844] = 32,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(841), 1,
      anon_sym_AT,
    ACTIONS(843), 1,
      sym_wildcard_pattern,
    ACTIONS(845), 1,
      anon_sym_inout,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(6990), 1,
      anon_sym_RPAREN,
    STATE(3294), 1,
      sym__tuple_type_item_identifier,
    STATE(3797), 1,
      sym_parameter_modifiers,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4191), 1,
      sym__parameter_ownership_modifier,
    STATE(4343), 1,
      sym__contextual_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(5078), 1,
      sym_simple_identifier,
    STATE(5301), 1,
      sym_dictionary_type,
    STATE(7094), 1,
      sym_tuple_type_item,
    STATE(7358), 1,
      sym__type,
    ACTIONS(847), 2,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
    ACTIONS(6942), 2,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4249), 2,
      sym_parameter_modifier,
      aux_sym_parameter_modifiers_repeat1,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4488), 2,
      sym_user_type,
      sym_array_type,
    STATE(5546), 2,
      sym_opaque_type,
      sym_existential_type,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 5,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
    STATE(4558), 7,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [97962] = 17,
    ACTIONS(6996), 1,
      anon_sym_each,
    ACTIONS(6998), 1,
      anon_sym_repeat,
    ACTIONS(7000), 1,
      anon_sym_LPAREN,
    ACTIONS(7002), 1,
      anon_sym_LBRACK,
    ACTIONS(7004), 1,
      anon_sym_some,
    ACTIONS(7006), 1,
      anon_sym_any,
    STATE(4342), 1,
      sym_tuple_type,
    STATE(4543), 1,
      sym__simple_user_type,
    STATE(4640), 1,
      sym_simple_identifier,
    STATE(5012), 1,
      sym__parenthesized_type,
    STATE(4879), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6994), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4600), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6992), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4456), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
    ACTIONS(631), 15,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LBRACE,
  [98050] = 17,
    ACTIONS(7012), 1,
      anon_sym_each,
    ACTIONS(7014), 1,
      anon_sym_repeat,
    ACTIONS(7016), 1,
      anon_sym_LPAREN,
    ACTIONS(7018), 1,
      anon_sym_LBRACK,
    ACTIONS(7020), 1,
      anon_sym_some,
    ACTIONS(7022), 1,
      anon_sym_any,
    STATE(4438), 1,
      sym_tuple_type,
    STATE(4630), 1,
      sym__simple_user_type,
    STATE(4651), 1,
      sym_simple_identifier,
    STATE(5080), 1,
      sym__parenthesized_type,
    STATE(4848), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(7010), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4884), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7008), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4675), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
    ACTIONS(631), 15,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [98138] = 32,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(841), 1,
      anon_sym_AT,
    ACTIONS(843), 1,
      sym_wildcard_pattern,
    ACTIONS(845), 1,
      anon_sym_inout,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(7024), 1,
      anon_sym_RPAREN,
    STATE(3294), 1,
      sym__tuple_type_item_identifier,
    STATE(3797), 1,
      sym_parameter_modifiers,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4191), 1,
      sym__parameter_ownership_modifier,
    STATE(4343), 1,
      sym__contextual_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(5078), 1,
      sym_simple_identifier,
    STATE(5297), 1,
      sym_dictionary_type,
    STATE(7112), 1,
      sym_tuple_type_item,
    STATE(7358), 1,
      sym__type,
    ACTIONS(847), 2,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
    ACTIONS(6942), 2,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4249), 2,
      sym_parameter_modifier,
      aux_sym_parameter_modifiers_repeat1,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4488), 2,
      sym_user_type,
      sym_array_type,
    STATE(5541), 2,
      sym_opaque_type,
      sym_existential_type,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 5,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
    STATE(4558), 7,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [98256] = 32,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(841), 1,
      anon_sym_AT,
    ACTIONS(843), 1,
      sym_wildcard_pattern,
    ACTIONS(845), 1,
      anon_sym_inout,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(7026), 1,
      anon_sym_RPAREN,
    STATE(3294), 1,
      sym__tuple_type_item_identifier,
    STATE(3797), 1,
      sym_parameter_modifiers,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4191), 1,
      sym__parameter_ownership_modifier,
    STATE(4343), 1,
      sym__contextual_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(5078), 1,
      sym_simple_identifier,
    STATE(5287), 1,
      sym_dictionary_type,
    STATE(7130), 1,
      sym_tuple_type_item,
    STATE(7358), 1,
      sym__type,
    ACTIONS(847), 2,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
    ACTIONS(6942), 2,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4249), 2,
      sym_parameter_modifier,
      aux_sym_parameter_modifiers_repeat1,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4488), 2,
      sym_user_type,
      sym_array_type,
    STATE(5536), 2,
      sym_opaque_type,
      sym_existential_type,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 5,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
    STATE(4558), 7,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [98374] = 32,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(841), 1,
      anon_sym_AT,
    ACTIONS(843), 1,
      sym_wildcard_pattern,
    ACTIONS(845), 1,
      anon_sym_inout,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(7028), 1,
      anon_sym_RPAREN,
    STATE(3294), 1,
      sym__tuple_type_item_identifier,
    STATE(3797), 1,
      sym_parameter_modifiers,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4191), 1,
      sym__parameter_ownership_modifier,
    STATE(4343), 1,
      sym__contextual_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(5078), 1,
      sym_simple_identifier,
    STATE(5284), 1,
      sym_dictionary_type,
    STATE(6856), 1,
      sym_tuple_type_item,
    STATE(7358), 1,
      sym__type,
    ACTIONS(847), 2,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
    ACTIONS(6942), 2,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4249), 2,
      sym_parameter_modifier,
      aux_sym_parameter_modifiers_repeat1,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4488), 2,
      sym_user_type,
      sym_array_type,
    STATE(5480), 2,
      sym_opaque_type,
      sym_existential_type,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 5,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
    STATE(4558), 7,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [98492] = 32,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(841), 1,
      anon_sym_AT,
    ACTIONS(843), 1,
      sym_wildcard_pattern,
    ACTIONS(845), 1,
      anon_sym_inout,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(7030), 1,
      anon_sym_RPAREN,
    STATE(3294), 1,
      sym__tuple_type_item_identifier,
    STATE(3797), 1,
      sym_parameter_modifiers,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4191), 1,
      sym__parameter_ownership_modifier,
    STATE(4343), 1,
      sym__contextual_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(5078), 1,
      sym_simple_identifier,
    STATE(5283), 1,
      sym_dictionary_type,
    STATE(7148), 1,
      sym_tuple_type_item,
    STATE(7358), 1,
      sym__type,
    ACTIONS(847), 2,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
    ACTIONS(6942), 2,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4249), 2,
      sym_parameter_modifier,
      aux_sym_parameter_modifiers_repeat1,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4488), 2,
      sym_user_type,
      sym_array_type,
    STATE(5532), 2,
      sym_opaque_type,
      sym_existential_type,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 5,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
    STATE(4558), 7,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [98610] = 32,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(841), 1,
      anon_sym_AT,
    ACTIONS(843), 1,
      sym_wildcard_pattern,
    ACTIONS(845), 1,
      anon_sym_inout,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(7032), 1,
      anon_sym_RPAREN,
    STATE(3294), 1,
      sym__tuple_type_item_identifier,
    STATE(3797), 1,
      sym_parameter_modifiers,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4191), 1,
      sym__parameter_ownership_modifier,
    STATE(4343), 1,
      sym__contextual_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(5078), 1,
      sym_simple_identifier,
    STATE(5306), 1,
      sym_dictionary_type,
    STATE(6832), 1,
      sym_tuple_type_item,
    STATE(7358), 1,
      sym__type,
    ACTIONS(847), 2,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
    ACTIONS(6942), 2,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4249), 2,
      sym_parameter_modifier,
      aux_sym_parameter_modifiers_repeat1,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4488), 2,
      sym_user_type,
      sym_array_type,
    STATE(5438), 2,
      sym_opaque_type,
      sym_existential_type,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 5,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
    STATE(4558), 7,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [98728] = 32,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(841), 1,
      anon_sym_AT,
    ACTIONS(843), 1,
      sym_wildcard_pattern,
    ACTIONS(845), 1,
      anon_sym_inout,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(7034), 1,
      anon_sym_RPAREN,
    STATE(3294), 1,
      sym__tuple_type_item_identifier,
    STATE(3797), 1,
      sym_parameter_modifiers,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4191), 1,
      sym__parameter_ownership_modifier,
    STATE(4343), 1,
      sym__contextual_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(5078), 1,
      sym_simple_identifier,
    STATE(5274), 1,
      sym_dictionary_type,
    STATE(6904), 1,
      sym_tuple_type_item,
    STATE(7358), 1,
      sym__type,
    ACTIONS(847), 2,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
    ACTIONS(6942), 2,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4249), 2,
      sym_parameter_modifier,
      aux_sym_parameter_modifiers_repeat1,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4488), 2,
      sym_user_type,
      sym_array_type,
    STATE(5476), 2,
      sym_opaque_type,
      sym_existential_type,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 5,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
    STATE(4558), 7,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [98846] = 4,
    STATE(3171), 1,
      aux_sym_protocol_composition_type_repeat1,
    ACTIONS(3016), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3014), 46,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_default_keyword,
      sym__async_keyword_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [98908] = 5,
    ACTIONS(7036), 1,
      anon_sym_AMP,
    STATE(3171), 1,
      aux_sym_protocol_composition_type_repeat1,
    ACTIONS(2894), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2892), 45,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_default_keyword,
      sym__async_keyword_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [98972] = 32,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(841), 1,
      anon_sym_AT,
    ACTIONS(843), 1,
      sym_wildcard_pattern,
    ACTIONS(845), 1,
      anon_sym_inout,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(7039), 1,
      anon_sym_RPAREN,
    STATE(3294), 1,
      sym__tuple_type_item_identifier,
    STATE(3797), 1,
      sym_parameter_modifiers,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4191), 1,
      sym__parameter_ownership_modifier,
    STATE(4343), 1,
      sym__contextual_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(5078), 1,
      sym_simple_identifier,
    STATE(5256), 1,
      sym_dictionary_type,
    STATE(6525), 1,
      sym_tuple_type_item,
    STATE(7358), 1,
      sym__type,
    ACTIONS(847), 2,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
    ACTIONS(6942), 2,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4249), 2,
      sym_parameter_modifier,
      aux_sym_parameter_modifiers_repeat1,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4488), 2,
      sym_user_type,
      sym_array_type,
    STATE(5537), 2,
      sym_opaque_type,
      sym_existential_type,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 5,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
    STATE(4558), 7,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [99090] = 15,
    ACTIONS(123), 1,
      anon_sym_AT,
    ACTIONS(139), 1,
      anon_sym_unowned,
    ACTIONS(3591), 1,
      anon_sym_lazy,
    ACTIONS(3635), 1,
      anon_sym_final,
    STATE(2572), 1,
      sym__parameter_ownership_modifier,
    ACTIONS(3631), 2,
      anon_sym_mutating,
      anon_sym_nonmutating,
    ACTIONS(4833), 2,
      anon_sym_willSet,
      anon_sym_didSet,
    ACTIONS(141), 3,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
    ACTIONS(4689), 3,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3629), 4,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
    ACTIONS(137), 5,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_borrowing,
      anon_sym_consuming,
    ACTIONS(3633), 5,
      anon_sym_class,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
    ACTIONS(3593), 6,
      anon_sym_package,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
    STATE(1507), 14,
      sym_attribute,
      aux_sym__locally_permitted_modifiers,
      sym__non_local_scope_modifier,
      sym__locally_permitted_modifier,
      sym_property_behavior_modifier,
      sym_member_modifier,
      sym_visibility_modifier,
      sym_function_modifier,
      sym_mutation_modifier,
      sym_property_modifier,
      sym_inheritance_modifier,
      sym_parameter_modifier,
      sym_ownership_modifier,
      aux_sym_modifiers_repeat1,
  [99174] = 3,
    ACTIONS(2912), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2910), 47,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_default_keyword,
      sym__async_keyword_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [99234] = 32,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(841), 1,
      anon_sym_AT,
    ACTIONS(843), 1,
      sym_wildcard_pattern,
    ACTIONS(845), 1,
      anon_sym_inout,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(7041), 1,
      anon_sym_RPAREN,
    STATE(3294), 1,
      sym__tuple_type_item_identifier,
    STATE(3797), 1,
      sym_parameter_modifiers,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4191), 1,
      sym__parameter_ownership_modifier,
    STATE(4343), 1,
      sym__contextual_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(5078), 1,
      sym_simple_identifier,
    STATE(5296), 1,
      sym_dictionary_type,
    STATE(6602), 1,
      sym_tuple_type_item,
    STATE(7358), 1,
      sym__type,
    ACTIONS(847), 2,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
    ACTIONS(6942), 2,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4249), 2,
      sym_parameter_modifier,
      aux_sym_parameter_modifiers_repeat1,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4488), 2,
      sym_user_type,
      sym_array_type,
    STATE(5548), 2,
      sym_opaque_type,
      sym_existential_type,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 5,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
    STATE(4558), 7,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [99352] = 3,
    ACTIONS(2957), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2955), 47,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_default_keyword,
      sym__async_keyword_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [99412] = 17,
    ACTIONS(7012), 1,
      anon_sym_each,
    ACTIONS(7014), 1,
      anon_sym_repeat,
    ACTIONS(7016), 1,
      anon_sym_LPAREN,
    ACTIONS(7018), 1,
      anon_sym_LBRACK,
    ACTIONS(7020), 1,
      anon_sym_some,
    ACTIONS(7022), 1,
      anon_sym_any,
    STATE(4438), 1,
      sym_tuple_type,
    STATE(4630), 1,
      sym__simple_user_type,
    STATE(4651), 1,
      sym_simple_identifier,
    STATE(5080), 1,
      sym__parenthesized_type,
    STATE(4848), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(7010), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4884), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7008), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4652), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
    ACTIONS(631), 15,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [99500] = 3,
    ACTIONS(2953), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2951), 47,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_default_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [99560] = 32,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(841), 1,
      anon_sym_AT,
    ACTIONS(843), 1,
      sym_wildcard_pattern,
    ACTIONS(845), 1,
      anon_sym_inout,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(7043), 1,
      anon_sym_RPAREN,
    STATE(3294), 1,
      sym__tuple_type_item_identifier,
    STATE(3797), 1,
      sym_parameter_modifiers,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4191), 1,
      sym__parameter_ownership_modifier,
    STATE(4343), 1,
      sym__contextual_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(5078), 1,
      sym_simple_identifier,
    STATE(5307), 1,
      sym_dictionary_type,
    STATE(6808), 1,
      sym_tuple_type_item,
    STATE(7358), 1,
      sym__type,
    ACTIONS(847), 2,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
    ACTIONS(6942), 2,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4249), 2,
      sym_parameter_modifier,
      aux_sym_parameter_modifiers_repeat1,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4488), 2,
      sym_user_type,
      sym_array_type,
    STATE(5455), 2,
      sym_opaque_type,
      sym_existential_type,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 5,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
    STATE(4558), 7,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [99678] = 32,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(841), 1,
      anon_sym_AT,
    ACTIONS(843), 1,
      sym_wildcard_pattern,
    ACTIONS(845), 1,
      anon_sym_inout,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(7045), 1,
      anon_sym_RPAREN,
    STATE(3294), 1,
      sym__tuple_type_item_identifier,
    STATE(3797), 1,
      sym_parameter_modifiers,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4191), 1,
      sym__parameter_ownership_modifier,
    STATE(4343), 1,
      sym__contextual_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(5078), 1,
      sym_simple_identifier,
    STATE(5225), 1,
      sym_dictionary_type,
    STATE(6784), 1,
      sym_tuple_type_item,
    STATE(7358), 1,
      sym__type,
    ACTIONS(847), 2,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
    ACTIONS(6942), 2,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4249), 2,
      sym_parameter_modifier,
      aux_sym_parameter_modifiers_repeat1,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4488), 2,
      sym_user_type,
      sym_array_type,
    STATE(5472), 2,
      sym_opaque_type,
      sym_existential_type,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 5,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
    STATE(4558), 7,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [99796] = 3,
    ACTIONS(2969), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2967), 47,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_default_keyword,
      sym__async_keyword_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [99856] = 32,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(841), 1,
      anon_sym_AT,
    ACTIONS(843), 1,
      sym_wildcard_pattern,
    ACTIONS(845), 1,
      anon_sym_inout,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(7047), 1,
      anon_sym_RPAREN,
    STATE(3294), 1,
      sym__tuple_type_item_identifier,
    STATE(3797), 1,
      sym_parameter_modifiers,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4191), 1,
      sym__parameter_ownership_modifier,
    STATE(4343), 1,
      sym__contextual_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(5078), 1,
      sym_simple_identifier,
    STATE(5218), 1,
      sym_dictionary_type,
    STATE(6760), 1,
      sym_tuple_type_item,
    STATE(7358), 1,
      sym__type,
    ACTIONS(847), 2,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
    ACTIONS(6942), 2,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4249), 2,
      sym_parameter_modifier,
      aux_sym_parameter_modifiers_repeat1,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4488), 2,
      sym_user_type,
      sym_array_type,
    STATE(5488), 2,
      sym_opaque_type,
      sym_existential_type,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 5,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
    STATE(4558), 7,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [99974] = 32,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(841), 1,
      anon_sym_AT,
    ACTIONS(843), 1,
      sym_wildcard_pattern,
    ACTIONS(845), 1,
      anon_sym_inout,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(7049), 1,
      anon_sym_RPAREN,
    STATE(3294), 1,
      sym__tuple_type_item_identifier,
    STATE(3797), 1,
      sym_parameter_modifiers,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4191), 1,
      sym__parameter_ownership_modifier,
    STATE(4343), 1,
      sym__contextual_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(5078), 1,
      sym_simple_identifier,
    STATE(5242), 1,
      sym_dictionary_type,
    STATE(6735), 1,
      sym_tuple_type_item,
    STATE(7358), 1,
      sym__type,
    ACTIONS(847), 2,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
    ACTIONS(6942), 2,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4249), 2,
      sym_parameter_modifier,
      aux_sym_parameter_modifiers_repeat1,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4488), 2,
      sym_user_type,
      sym_array_type,
    STATE(5499), 2,
      sym_opaque_type,
      sym_existential_type,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 5,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
    STATE(4558), 7,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [100092] = 32,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(841), 1,
      anon_sym_AT,
    ACTIONS(843), 1,
      sym_wildcard_pattern,
    ACTIONS(845), 1,
      anon_sym_inout,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(7051), 1,
      anon_sym_RPAREN,
    STATE(3294), 1,
      sym__tuple_type_item_identifier,
    STATE(3797), 1,
      sym_parameter_modifiers,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4191), 1,
      sym__parameter_ownership_modifier,
    STATE(4343), 1,
      sym__contextual_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(5078), 1,
      sym_simple_identifier,
    STATE(5252), 1,
      sym_dictionary_type,
    STATE(6707), 1,
      sym_tuple_type_item,
    STATE(7358), 1,
      sym__type,
    ACTIONS(847), 2,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
    ACTIONS(6942), 2,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4249), 2,
      sym_parameter_modifier,
      aux_sym_parameter_modifiers_repeat1,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4488), 2,
      sym_user_type,
      sym_array_type,
    STATE(5518), 2,
      sym_opaque_type,
      sym_existential_type,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 5,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
    STATE(4558), 7,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [100210] = 32,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(841), 1,
      anon_sym_AT,
    ACTIONS(843), 1,
      sym_wildcard_pattern,
    ACTIONS(845), 1,
      anon_sym_inout,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(7053), 1,
      anon_sym_RPAREN,
    STATE(3294), 1,
      sym__tuple_type_item_identifier,
    STATE(3797), 1,
      sym_parameter_modifiers,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4191), 1,
      sym__parameter_ownership_modifier,
    STATE(4343), 1,
      sym__contextual_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(5078), 1,
      sym_simple_identifier,
    STATE(5276), 1,
      sym_dictionary_type,
    STATE(6612), 1,
      sym_tuple_type_item,
    STATE(7358), 1,
      sym__type,
    ACTIONS(847), 2,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
    ACTIONS(6942), 2,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4249), 2,
      sym_parameter_modifier,
      aux_sym_parameter_modifiers_repeat1,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4488), 2,
      sym_user_type,
      sym_array_type,
    STATE(5563), 2,
      sym_opaque_type,
      sym_existential_type,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 5,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
    STATE(4558), 7,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [100328] = 3,
    ACTIONS(2981), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2979), 47,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_default_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [100388] = 32,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(841), 1,
      anon_sym_AT,
    ACTIONS(843), 1,
      sym_wildcard_pattern,
    ACTIONS(845), 1,
      anon_sym_inout,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(7055), 1,
      anon_sym_RPAREN,
    STATE(3294), 1,
      sym__tuple_type_item_identifier,
    STATE(3797), 1,
      sym_parameter_modifiers,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4191), 1,
      sym__parameter_ownership_modifier,
    STATE(4343), 1,
      sym__contextual_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(5078), 1,
      sym_simple_identifier,
    STATE(5266), 1,
      sym_dictionary_type,
    STATE(6671), 1,
      sym_tuple_type_item,
    STATE(7358), 1,
      sym__type,
    ACTIONS(847), 2,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
    ACTIONS(6942), 2,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4249), 2,
      sym_parameter_modifier,
      aux_sym_parameter_modifiers_repeat1,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4488), 2,
      sym_user_type,
      sym_array_type,
    STATE(5526), 2,
      sym_opaque_type,
      sym_existential_type,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 5,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
    STATE(4558), 7,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [100506] = 32,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(839), 1,
      anon_sym_RPAREN,
    ACTIONS(841), 1,
      anon_sym_AT,
    ACTIONS(843), 1,
      sym_wildcard_pattern,
    ACTIONS(845), 1,
      anon_sym_inout,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(3294), 1,
      sym__tuple_type_item_identifier,
    STATE(3797), 1,
      sym_parameter_modifiers,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4191), 1,
      sym__parameter_ownership_modifier,
    STATE(4343), 1,
      sym__contextual_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(5078), 1,
      sym_simple_identifier,
    STATE(5294), 1,
      sym_dictionary_type,
    STATE(6909), 1,
      sym_tuple_type_item,
    STATE(7358), 1,
      sym__type,
    ACTIONS(847), 2,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
    ACTIONS(6942), 2,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4249), 2,
      sym_parameter_modifier,
      aux_sym_parameter_modifiers_repeat1,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4488), 2,
      sym_user_type,
      sym_array_type,
    STATE(5431), 2,
      sym_opaque_type,
      sym_existential_type,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 5,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
    STATE(4558), 7,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [100624] = 32,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(841), 1,
      anon_sym_AT,
    ACTIONS(843), 1,
      sym_wildcard_pattern,
    ACTIONS(845), 1,
      anon_sym_inout,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(7057), 1,
      anon_sym_RPAREN,
    STATE(3294), 1,
      sym__tuple_type_item_identifier,
    STATE(3797), 1,
      sym_parameter_modifiers,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4191), 1,
      sym__parameter_ownership_modifier,
    STATE(4343), 1,
      sym__contextual_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(5078), 1,
      sym_simple_identifier,
    STATE(5254), 1,
      sym_dictionary_type,
    STATE(6925), 1,
      sym_tuple_type_item,
    STATE(7358), 1,
      sym__type,
    ACTIONS(847), 2,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
    ACTIONS(6942), 2,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4249), 2,
      sym_parameter_modifier,
      aux_sym_parameter_modifiers_repeat1,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4488), 2,
      sym_user_type,
      sym_array_type,
    STATE(5485), 2,
      sym_opaque_type,
      sym_existential_type,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 5,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
    STATE(4558), 7,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [100742] = 32,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(841), 1,
      anon_sym_AT,
    ACTIONS(843), 1,
      sym_wildcard_pattern,
    ACTIONS(845), 1,
      anon_sym_inout,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(7059), 1,
      anon_sym_RPAREN,
    STATE(3294), 1,
      sym__tuple_type_item_identifier,
    STATE(3797), 1,
      sym_parameter_modifiers,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4191), 1,
      sym__parameter_ownership_modifier,
    STATE(4343), 1,
      sym__contextual_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(5078), 1,
      sym_simple_identifier,
    STATE(5268), 1,
      sym_dictionary_type,
    STATE(7166), 1,
      sym_tuple_type_item,
    STATE(7358), 1,
      sym__type,
    ACTIONS(847), 2,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
    ACTIONS(6942), 2,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4249), 2,
      sym_parameter_modifier,
      aux_sym_parameter_modifiers_repeat1,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4488), 2,
      sym_user_type,
      sym_array_type,
    STATE(5522), 2,
      sym_opaque_type,
      sym_existential_type,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 5,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
    STATE(4558), 7,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [100860] = 3,
    ACTIONS(2985), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2983), 47,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_default_keyword,
      sym__async_keyword_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [100920] = 15,
    ACTIONS(7061), 1,
      anon_sym_lazy,
    ACTIONS(7073), 1,
      anon_sym_AT,
    ACTIONS(7082), 1,
      anon_sym_final,
    ACTIONS(7091), 1,
      anon_sym_unowned,
    STATE(4118), 1,
      sym__parameter_ownership_modifier,
    ACTIONS(4763), 2,
      sym_default_keyword,
      anon_sym_case,
    ACTIONS(7079), 2,
      anon_sym_mutating,
      anon_sym_nonmutating,
    ACTIONS(7070), 3,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
    ACTIONS(7088), 3,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7076), 4,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
    ACTIONS(7067), 5,
      anon_sym_class,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
    ACTIONS(7085), 5,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_borrowing,
      anon_sym_consuming,
    ACTIONS(7064), 6,
      anon_sym_package,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
    STATE(3192), 14,
      sym_attribute,
      aux_sym__locally_permitted_modifiers,
      sym__non_local_scope_modifier,
      sym__locally_permitted_modifier,
      sym_property_behavior_modifier,
      sym_member_modifier,
      sym_visibility_modifier,
      sym_function_modifier,
      sym_mutation_modifier,
      sym_property_modifier,
      sym_inheritance_modifier,
      sym_parameter_modifier,
      sym_ownership_modifier,
      aux_sym_modifiers_repeat1,
  [101004] = 18,
    ACTIONS(637), 1,
      anon_sym_DOT,
    ACTIONS(3575), 1,
      anon_sym_LPAREN,
    ACTIONS(3577), 1,
      anon_sym_LBRACK,
    ACTIONS(7094), 1,
      anon_sym_each,
    ACTIONS(7096), 1,
      anon_sym_repeat,
    ACTIONS(7098), 1,
      anon_sym_some,
    ACTIONS(7100), 1,
      anon_sym_any,
    STATE(1515), 1,
      sym_simple_identifier,
    STATE(1608), 1,
      sym__parenthesized_type,
    STATE(4570), 1,
      sym_tuple_type,
    STATE(4938), 1,
      sym__simple_user_type,
    STATE(1508), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(3566), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1521), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3564), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4837), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
    ACTIONS(631), 14,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_BANG,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT_DOT,
  [101094] = 18,
    ACTIONS(637), 1,
      anon_sym_DOT,
    ACTIONS(3575), 1,
      anon_sym_LPAREN,
    ACTIONS(3577), 1,
      anon_sym_LBRACK,
    ACTIONS(7094), 1,
      anon_sym_each,
    ACTIONS(7096), 1,
      anon_sym_repeat,
    ACTIONS(7098), 1,
      anon_sym_some,
    ACTIONS(7100), 1,
      anon_sym_any,
    STATE(1515), 1,
      sym_simple_identifier,
    STATE(1608), 1,
      sym__parenthesized_type,
    STATE(4570), 1,
      sym_tuple_type,
    STATE(4938), 1,
      sym__simple_user_type,
    STATE(1508), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(3566), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1521), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3564), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4942), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
    ACTIONS(631), 14,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_BANG,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT_DOT,
  [101184] = 4,
    ACTIONS(7102), 1,
      anon_sym_operator,
    ACTIONS(6189), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6187), 46,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [101246] = 32,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(841), 1,
      anon_sym_AT,
    ACTIONS(843), 1,
      sym_wildcard_pattern,
    ACTIONS(845), 1,
      anon_sym_inout,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(7104), 1,
      anon_sym_RPAREN,
    STATE(3294), 1,
      sym__tuple_type_item_identifier,
    STATE(3797), 1,
      sym_parameter_modifiers,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4191), 1,
      sym__parameter_ownership_modifier,
    STATE(4343), 1,
      sym__contextual_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(5078), 1,
      sym_simple_identifier,
    STATE(5315), 1,
      sym_dictionary_type,
    STATE(7197), 1,
      sym_tuple_type_item,
    STATE(7358), 1,
      sym__type,
    ACTIONS(847), 2,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
    ACTIONS(6942), 2,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4249), 2,
      sym_parameter_modifier,
      aux_sym_parameter_modifiers_repeat1,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4488), 2,
      sym_user_type,
      sym_array_type,
    STATE(5460), 2,
      sym_opaque_type,
      sym_existential_type,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 5,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
    STATE(4558), 7,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [101364] = 32,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(841), 1,
      anon_sym_AT,
    ACTIONS(843), 1,
      sym_wildcard_pattern,
    ACTIONS(845), 1,
      anon_sym_inout,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(7106), 1,
      anon_sym_RPAREN,
    STATE(3294), 1,
      sym__tuple_type_item_identifier,
    STATE(3797), 1,
      sym_parameter_modifiers,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4191), 1,
      sym__parameter_ownership_modifier,
    STATE(4343), 1,
      sym__contextual_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(5078), 1,
      sym_simple_identifier,
    STATE(5226), 1,
      sym_dictionary_type,
    STATE(7058), 1,
      sym_tuple_type_item,
    STATE(7358), 1,
      sym__type,
    ACTIONS(847), 2,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
    ACTIONS(6942), 2,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4249), 2,
      sym_parameter_modifier,
      aux_sym_parameter_modifiers_repeat1,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4488), 2,
      sym_user_type,
      sym_array_type,
    STATE(5427), 2,
      sym_opaque_type,
      sym_existential_type,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 5,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
    STATE(4558), 7,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [101482] = 3,
    ACTIONS(2997), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2995), 47,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_default_keyword,
      sym__async_keyword_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [101542] = 18,
    ACTIONS(637), 1,
      anon_sym_QMARK,
    ACTIONS(6976), 1,
      anon_sym_each,
    ACTIONS(6978), 1,
      anon_sym_repeat,
    ACTIONS(6980), 1,
      anon_sym_LPAREN,
    ACTIONS(6982), 1,
      anon_sym_LBRACK,
    ACTIONS(6984), 1,
      anon_sym_some,
    ACTIONS(6986), 1,
      anon_sym_any,
    STATE(4396), 1,
      sym_tuple_type,
    STATE(4598), 1,
      sym_simple_identifier,
    STATE(4639), 1,
      sym__simple_user_type,
    STATE(5097), 1,
      sym__parenthesized_type,
    STATE(4882), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6974), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4912), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6972), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4614), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
    ACTIONS(631), 14,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
  [101632] = 3,
    ACTIONS(2977), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2975), 47,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_default_keyword,
      sym__async_keyword_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [101692] = 3,
    ACTIONS(2993), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2991), 47,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_default_keyword,
      sym__async_keyword_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [101752] = 32,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(841), 1,
      anon_sym_AT,
    ACTIONS(843), 1,
      sym_wildcard_pattern,
    ACTIONS(845), 1,
      anon_sym_inout,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(7108), 1,
      anon_sym_RPAREN,
    STATE(3294), 1,
      sym__tuple_type_item_identifier,
    STATE(3797), 1,
      sym_parameter_modifiers,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4191), 1,
      sym__parameter_ownership_modifier,
    STATE(4343), 1,
      sym__contextual_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(5078), 1,
      sym_simple_identifier,
    STATE(5275), 1,
      sym_dictionary_type,
    STATE(6880), 1,
      sym_tuple_type_item,
    STATE(7358), 1,
      sym__type,
    ACTIONS(847), 2,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
    ACTIONS(6942), 2,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4249), 2,
      sym_parameter_modifier,
      aux_sym_parameter_modifiers_repeat1,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4488), 2,
      sym_user_type,
      sym_array_type,
    STATE(5453), 2,
      sym_opaque_type,
      sym_existential_type,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 5,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
    STATE(4558), 7,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [101870] = 32,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(841), 1,
      anon_sym_AT,
    ACTIONS(843), 1,
      sym_wildcard_pattern,
    ACTIONS(845), 1,
      anon_sym_inout,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(7110), 1,
      anon_sym_RPAREN,
    STATE(3294), 1,
      sym__tuple_type_item_identifier,
    STATE(3797), 1,
      sym_parameter_modifiers,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4191), 1,
      sym__parameter_ownership_modifier,
    STATE(4343), 1,
      sym__contextual_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(5078), 1,
      sym_simple_identifier,
    STATE(5249), 1,
      sym_dictionary_type,
    STATE(6971), 1,
      sym_tuple_type_item,
    STATE(7358), 1,
      sym__type,
    ACTIONS(847), 2,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
    ACTIONS(6942), 2,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4249), 2,
      sym_parameter_modifier,
      aux_sym_parameter_modifiers_repeat1,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4488), 2,
      sym_user_type,
      sym_array_type,
    STATE(5483), 2,
      sym_opaque_type,
      sym_existential_type,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 5,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
    STATE(4558), 7,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [101988] = 32,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(841), 1,
      anon_sym_AT,
    ACTIONS(843), 1,
      sym_wildcard_pattern,
    ACTIONS(845), 1,
      anon_sym_inout,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(7112), 1,
      anon_sym_RPAREN,
    STATE(3294), 1,
      sym__tuple_type_item_identifier,
    STATE(3797), 1,
      sym_parameter_modifiers,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4191), 1,
      sym__parameter_ownership_modifier,
    STATE(4343), 1,
      sym__contextual_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(5078), 1,
      sym_simple_identifier,
    STATE(5229), 1,
      sym_dictionary_type,
    STATE(6828), 1,
      sym_tuple_type_item,
    STATE(7358), 1,
      sym__type,
    ACTIONS(847), 2,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
    ACTIONS(6942), 2,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4249), 2,
      sym_parameter_modifier,
      aux_sym_parameter_modifiers_repeat1,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4488), 2,
      sym_user_type,
      sym_array_type,
    STATE(5504), 2,
      sym_opaque_type,
      sym_existential_type,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 5,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
    STATE(4558), 7,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [102106] = 17,
    ACTIONS(6996), 1,
      anon_sym_each,
    ACTIONS(6998), 1,
      anon_sym_repeat,
    ACTIONS(7000), 1,
      anon_sym_LPAREN,
    ACTIONS(7002), 1,
      anon_sym_LBRACK,
    ACTIONS(7004), 1,
      anon_sym_some,
    ACTIONS(7006), 1,
      anon_sym_any,
    STATE(4342), 1,
      sym_tuple_type,
    STATE(4543), 1,
      sym__simple_user_type,
    STATE(4640), 1,
      sym_simple_identifier,
    STATE(5012), 1,
      sym__parenthesized_type,
    STATE(4879), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6994), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4600), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6992), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4453), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
    ACTIONS(631), 15,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LBRACE,
  [102194] = 32,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(841), 1,
      anon_sym_AT,
    ACTIONS(843), 1,
      sym_wildcard_pattern,
    ACTIONS(845), 1,
      anon_sym_inout,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(7114), 1,
      anon_sym_RPAREN,
    STATE(3294), 1,
      sym__tuple_type_item_identifier,
    STATE(3797), 1,
      sym_parameter_modifiers,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4191), 1,
      sym__parameter_ownership_modifier,
    STATE(4343), 1,
      sym__contextual_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(5078), 1,
      sym_simple_identifier,
    STATE(5290), 1,
      sym_dictionary_type,
    STATE(6514), 1,
      sym_tuple_type_item,
    STATE(7358), 1,
      sym__type,
    ACTIONS(847), 2,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
    ACTIONS(6942), 2,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4249), 2,
      sym_parameter_modifier,
      aux_sym_parameter_modifiers_repeat1,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4488), 2,
      sym_user_type,
      sym_array_type,
    STATE(5562), 2,
      sym_opaque_type,
      sym_existential_type,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 5,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
    STATE(4558), 7,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [102312] = 6,
    ACTIONS(2882), 1,
      sym__dot_custom,
    ACTIONS(5011), 1,
      anon_sym_LT,
    STATE(1829), 1,
      sym_type_arguments,
    ACTIONS(5013), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5009), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_default_keyword,
      sym_where_keyword,
      sym__as_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [102377] = 3,
    ACTIONS(2953), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2951), 46,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_default_keyword,
      sym__async_keyword_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [102436] = 3,
    ACTIONS(2981), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2979), 46,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_default_keyword,
      sym__async_keyword_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [102495] = 5,
    ACTIONS(7116), 1,
      anon_sym_LT,
    STATE(3259), 1,
      sym_type_arguments,
    ACTIONS(2884), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2882), 44,
      sym__dot_custom,
      sym_default_keyword,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_LPAREN,
      anon_sym_case,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [102558] = 12,
    ACTIONS(6889), 1,
      sym__arrow_operator_custom,
    ACTIONS(6891), 1,
      sym__async_keyword_custom,
    ACTIONS(7118), 1,
      anon_sym_DOT,
    ACTIONS(7120), 1,
      anon_sym_AMP,
    STATE(3293), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(3861), 1,
      sym__arrow_operator,
    STATE(6087), 1,
      sym__async_keyword,
    STATE(7391), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(2870), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2866), 36,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [102635] = 6,
    ACTIONS(7122), 1,
      sym__dot_custom,
    STATE(3213), 1,
      aux_sym_user_type_repeat1,
    STATE(4644), 1,
      sym__dot,
    ACTIONS(2854), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2852), 43,
      sym_default_keyword,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_LPAREN,
      anon_sym_case,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [102700] = 6,
    ACTIONS(7124), 1,
      sym__dot_custom,
    STATE(3213), 1,
      aux_sym_user_type_repeat1,
    STATE(4644), 1,
      sym__dot,
    ACTIONS(2800), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2798), 43,
      sym_default_keyword,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_LPAREN,
      anon_sym_case,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [102765] = 4,
    ACTIONS(7127), 1,
      anon_sym_operator,
    ACTIONS(6189), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6187), 45,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_import,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_macro,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_init,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [102826] = 3,
    ACTIONS(2961), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2959), 46,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_default_keyword,
      sym__async_keyword_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [102885] = 12,
    ACTIONS(6849), 1,
      anon_sym_LBRACE,
    ACTIONS(6851), 1,
      sym__eq_custom,
    ACTIONS(6853), 1,
      sym_where_keyword,
    STATE(464), 1,
      sym__equal_sign,
    STATE(3267), 1,
      sym_type_constraints,
    STATE(3680), 1,
      sym_computed_property,
    STATE(3682), 1,
      sym_willset_didset_block,
    STATE(3683), 1,
      sym__expression_without_willset_didset,
    STATE(3684), 1,
      sym__expression_with_willset_didset,
    ACTIONS(5029), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5027), 37,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [102962] = 6,
    ACTIONS(7129), 1,
      sym__dot_custom,
    STATE(3217), 1,
      aux_sym_user_type_repeat1,
    STATE(4589), 1,
      sym__dot,
    ACTIONS(2800), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2798), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_default_keyword,
      sym__async_keyword_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [103027] = 3,
    ACTIONS(2989), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2987), 46,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_default_keyword,
      sym__async_keyword_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [103086] = 7,
    STATE(3293), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(3861), 1,
      sym__arrow_operator,
    STATE(6087), 1,
      sym__async_keyword,
    STATE(7391), 1,
      sym_throws,
    ACTIONS(2902), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2900), 42,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_default_keyword,
      sym__async_keyword_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [103153] = 12,
    ACTIONS(6889), 1,
      sym__arrow_operator_custom,
    ACTIONS(6891), 1,
      sym__async_keyword_custom,
    ACTIONS(7118), 1,
      anon_sym_DOT,
    ACTIONS(7120), 1,
      anon_sym_AMP,
    STATE(3293), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(3861), 1,
      sym__arrow_operator,
    STATE(6087), 1,
      sym__async_keyword,
    STATE(7391), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(2876), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2874), 36,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [103230] = 17,
    ACTIONS(3521), 1,
      anon_sym_LPAREN,
    ACTIONS(3523), 1,
      anon_sym_LBRACK,
    ACTIONS(7132), 1,
      anon_sym_each,
    ACTIONS(7134), 1,
      anon_sym_repeat,
    ACTIONS(7136), 1,
      anon_sym_some,
    ACTIONS(7138), 1,
      anon_sym_any,
    STATE(1524), 1,
      sym_simple_identifier,
    STATE(1527), 1,
      sym__simple_user_type,
    STATE(1650), 1,
      sym__parenthesized_type,
    STATE(4556), 1,
      sym_tuple_type,
    STATE(1582), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(3512), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1559), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3510), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4752), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
    ACTIONS(631), 14,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
  [103317] = 12,
    ACTIONS(6889), 1,
      sym__arrow_operator_custom,
    ACTIONS(6891), 1,
      sym__async_keyword_custom,
    ACTIONS(7118), 1,
      anon_sym_DOT,
    ACTIONS(7120), 1,
      anon_sym_AMP,
    STATE(3293), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(3861), 1,
      sym__arrow_operator,
    STATE(6087), 1,
      sym__async_keyword,
    STATE(7391), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(2890), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2888), 36,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [103394] = 17,
    ACTIONS(7144), 1,
      anon_sym_each,
    ACTIONS(7146), 1,
      anon_sym_repeat,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    ACTIONS(7150), 1,
      anon_sym_LBRACK,
    ACTIONS(7152), 1,
      anon_sym_some,
    ACTIONS(7154), 1,
      anon_sym_any,
    STATE(4514), 1,
      sym_tuple_type,
    STATE(4762), 1,
      sym__simple_user_type,
    STATE(4763), 1,
      sym_simple_identifier,
    STATE(5212), 1,
      sym__parenthesized_type,
    STATE(4966), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(7142), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(5036), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7140), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4795), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
    ACTIONS(631), 14,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym_else,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LT,
  [103481] = 17,
    ACTIONS(7144), 1,
      anon_sym_each,
    ACTIONS(7146), 1,
      anon_sym_repeat,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    ACTIONS(7150), 1,
      anon_sym_LBRACK,
    ACTIONS(7152), 1,
      anon_sym_some,
    ACTIONS(7154), 1,
      anon_sym_any,
    STATE(4514), 1,
      sym_tuple_type,
    STATE(4762), 1,
      sym__simple_user_type,
    STATE(4763), 1,
      sym_simple_identifier,
    STATE(5212), 1,
      sym__parenthesized_type,
    STATE(4966), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(7142), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(5036), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7140), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4851), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
    ACTIONS(631), 14,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym_else,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LT,
  [103568] = 17,
    ACTIONS(3521), 1,
      anon_sym_LPAREN,
    ACTIONS(3523), 1,
      anon_sym_LBRACK,
    ACTIONS(7132), 1,
      anon_sym_each,
    ACTIONS(7134), 1,
      anon_sym_repeat,
    ACTIONS(7136), 1,
      anon_sym_some,
    ACTIONS(7138), 1,
      anon_sym_any,
    STATE(1524), 1,
      sym_simple_identifier,
    STATE(1527), 1,
      sym__simple_user_type,
    STATE(1650), 1,
      sym__parenthesized_type,
    STATE(4556), 1,
      sym_tuple_type,
    STATE(1582), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(3512), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1559), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3510), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4800), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
    ACTIONS(631), 14,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
  [103655] = 12,
    ACTIONS(6889), 1,
      sym__arrow_operator_custom,
    ACTIONS(6891), 1,
      sym__async_keyword_custom,
    ACTIONS(7118), 1,
      anon_sym_DOT,
    ACTIONS(7120), 1,
      anon_sym_AMP,
    STATE(3293), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(3861), 1,
      sym__arrow_operator,
    STATE(6087), 1,
      sym__async_keyword,
    STATE(7391), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(2898), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2896), 36,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [103732] = 6,
    ACTIONS(7156), 1,
      sym__dot_custom,
    STATE(3217), 1,
      aux_sym_user_type_repeat1,
    STATE(4589), 1,
      sym__dot,
    ACTIONS(2854), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2852), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_default_keyword,
      sym__async_keyword_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [103797] = 6,
    ACTIONS(7122), 1,
      sym__dot_custom,
    STATE(3212), 1,
      aux_sym_user_type_repeat1,
    STATE(4644), 1,
      sym__dot,
    ACTIONS(2807), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2805), 43,
      sym_default_keyword,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_LPAREN,
      anon_sym_case,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [103862] = 6,
    ACTIONS(7156), 1,
      sym__dot_custom,
    STATE(3227), 1,
      aux_sym_user_type_repeat1,
    STATE(4589), 1,
      sym__dot,
    ACTIONS(2807), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2805), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_default_keyword,
      sym__async_keyword_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [103927] = 18,
    ACTIONS(637), 1,
      anon_sym_QMARK,
    ACTIONS(7162), 1,
      anon_sym_each,
    ACTIONS(7164), 1,
      anon_sym_repeat,
    ACTIONS(7166), 1,
      anon_sym_LPAREN,
    ACTIONS(7168), 1,
      anon_sym_LBRACK,
    ACTIONS(7170), 1,
      anon_sym_some,
    ACTIONS(7172), 1,
      anon_sym_any,
    STATE(4487), 1,
      sym_tuple_type,
    STATE(4636), 1,
      sym__simple_user_type,
    STATE(4721), 1,
      sym_simple_identifier,
    STATE(5085), 1,
      sym__parenthesized_type,
    STATE(4839), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(7160), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4940), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7158), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4773), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
    ACTIONS(631), 13,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LT,
  [104016] = 12,
    ACTIONS(6889), 1,
      sym__arrow_operator_custom,
    ACTIONS(6891), 1,
      sym__async_keyword_custom,
    ACTIONS(7118), 1,
      anon_sym_DOT,
    ACTIONS(7120), 1,
      anon_sym_AMP,
    STATE(3293), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(3861), 1,
      sym__arrow_operator,
    STATE(6087), 1,
      sym__async_keyword,
    STATE(7391), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(2894), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2892), 36,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [104093] = 18,
    ACTIONS(637), 1,
      anon_sym_QMARK,
    ACTIONS(7162), 1,
      anon_sym_each,
    ACTIONS(7164), 1,
      anon_sym_repeat,
    ACTIONS(7166), 1,
      anon_sym_LPAREN,
    ACTIONS(7168), 1,
      anon_sym_LBRACK,
    ACTIONS(7170), 1,
      anon_sym_some,
    ACTIONS(7172), 1,
      anon_sym_any,
    STATE(4487), 1,
      sym_tuple_type,
    STATE(4636), 1,
      sym__simple_user_type,
    STATE(4721), 1,
      sym_simple_identifier,
    STATE(5085), 1,
      sym__parenthesized_type,
    STATE(4839), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(7160), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4940), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7158), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4768), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
    ACTIONS(631), 13,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LT,
  [104182] = 7,
    STATE(3293), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(3861), 1,
      sym__arrow_operator,
    STATE(6087), 1,
      sym__async_keyword,
    STATE(7391), 1,
      sym_throws,
    ACTIONS(2880), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2878), 42,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_default_keyword,
      sym__async_keyword_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [104249] = 29,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(841), 1,
      anon_sym_AT,
    ACTIONS(843), 1,
      sym_wildcard_pattern,
    ACTIONS(845), 1,
      anon_sym_inout,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(3294), 1,
      sym__tuple_type_item_identifier,
    STATE(3797), 1,
      sym_parameter_modifiers,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4191), 1,
      sym__parameter_ownership_modifier,
    STATE(4343), 1,
      sym__contextual_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(5078), 1,
      sym_simple_identifier,
    STATE(7358), 1,
      sym__type,
    STATE(7413), 1,
      sym_tuple_type_item,
    ACTIONS(847), 2,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
    ACTIONS(6942), 2,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4249), 2,
      sym_parameter_modifier,
      aux_sym_parameter_modifiers_repeat1,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 5,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [104360] = 5,
    ACTIONS(7174), 1,
      anon_sym_LT,
    STATE(3255), 1,
      sym_type_arguments,
    ACTIONS(2884), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2882), 44,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_default_keyword,
      sym__async_keyword_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [104423] = 5,
    ACTIONS(7176), 1,
      anon_sym_LPAREN,
    STATE(3285), 1,
      sym__tuple_pattern,
    ACTIONS(5084), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5082), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_default_keyword,
      sym_where_keyword,
      sym__as_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [104485] = 3,
    ACTIONS(2930), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2928), 45,
      sym__dot_custom,
      sym_default_keyword,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_case,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [104543] = 5,
    ACTIONS(7176), 1,
      anon_sym_LPAREN,
    STATE(3295), 1,
      sym__tuple_pattern,
    ACTIONS(5039), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5035), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_default_keyword,
      sym_where_keyword,
      sym__as_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [104605] = 3,
    ACTIONS(2930), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2928), 45,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_default_keyword,
      sym__async_keyword_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [104663] = 5,
    ACTIONS(6887), 1,
      anon_sym_QMARK2,
    ACTIONS(2842), 2,
      anon_sym_AT,
      anon_sym_unowned,
    STATE(3246), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2840), 42,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_default_keyword,
      sym__async_keyword_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [104725] = 18,
    ACTIONS(7166), 1,
      anon_sym_LPAREN,
    ACTIONS(7168), 1,
      anon_sym_LBRACK,
    ACTIONS(7178), 1,
      anon_sym_each,
    ACTIONS(7180), 1,
      anon_sym_repeat,
    ACTIONS(7182), 1,
      anon_sym_some,
    ACTIONS(7184), 1,
      anon_sym_any,
    STATE(4631), 1,
      sym_tuple_type,
    STATE(4636), 1,
      sym__simple_user_type,
    STATE(4721), 1,
      sym_simple_identifier,
    STATE(5085), 1,
      sym__parenthesized_type,
    ACTIONS(637), 2,
      anon_sym_QMARK,
      anon_sym_in,
    STATE(4839), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(7160), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4940), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7158), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(5020), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
    ACTIONS(631), 11,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LT,
  [104813] = 5,
    ACTIONS(7186), 1,
      anon_sym_QMARK2,
    ACTIONS(2861), 2,
      anon_sym_AT,
      anon_sym_unowned,
    STATE(3242), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2859), 42,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_default_keyword,
      sym__async_keyword_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [104875] = 5,
    ACTIONS(7176), 1,
      anon_sym_LPAREN,
    STATE(3292), 1,
      sym__tuple_pattern,
    ACTIONS(5062), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5060), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_default_keyword,
      sym_where_keyword,
      sym__as_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [104937] = 3,
    ACTIONS(2930), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2928), 45,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__eq_custom,
      sym_default_keyword,
      sym_where_keyword,
      sym__as_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [104995] = 6,
    ACTIONS(5719), 1,
      anon_sym_AT,
    ACTIONS(5722), 1,
      anon_sym_unowned,
    ACTIONS(7189), 2,
      anon_sym_mutating,
      anon_sym_nonmutating,
    ACTIONS(5717), 3,
      anon_sym_get,
      anon_sym_set,
      anon_sym__modify,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5724), 40,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_willSet,
      anon_sym_didSet,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [105059] = 5,
    ACTIONS(6887), 1,
      anon_sym_QMARK2,
    ACTIONS(2796), 2,
      anon_sym_AT,
      anon_sym_unowned,
    STATE(3242), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2794), 42,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_default_keyword,
      sym__async_keyword_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [105121] = 18,
    ACTIONS(7166), 1,
      anon_sym_LPAREN,
    ACTIONS(7168), 1,
      anon_sym_LBRACK,
    ACTIONS(7178), 1,
      anon_sym_each,
    ACTIONS(7180), 1,
      anon_sym_repeat,
    ACTIONS(7182), 1,
      anon_sym_some,
    ACTIONS(7184), 1,
      anon_sym_any,
    STATE(4631), 1,
      sym_tuple_type,
    STATE(4636), 1,
      sym__simple_user_type,
    STATE(4721), 1,
      sym_simple_identifier,
    STATE(5085), 1,
      sym__parenthesized_type,
    ACTIONS(637), 2,
      anon_sym_QMARK,
      anon_sym_in,
    STATE(4839), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(7160), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4940), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7158), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(5017), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
    ACTIONS(631), 11,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LT,
  [105209] = 6,
    ACTIONS(5099), 1,
      sym__as_custom,
    ACTIONS(7192), 1,
      anon_sym_QMARK,
    STATE(3301), 1,
      sym__quest,
    ACTIONS(5097), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5093), 41,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_default_keyword,
      sym_where_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [105272] = 3,
    ACTIONS(2800), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2798), 44,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_default_keyword,
      sym__async_keyword_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [105329] = 18,
    ACTIONS(637), 1,
      anon_sym_in,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(7194), 1,
      anon_sym_each,
    ACTIONS(7196), 1,
      anon_sym_repeat,
    ACTIONS(7198), 1,
      anon_sym_some,
    ACTIONS(7200), 1,
      anon_sym_any,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4733), 1,
      sym_tuple_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(5098), 1,
      sym__simple_user_type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(5124), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
    ACTIONS(631), 11,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LT,
  [105416] = 10,
    ACTIONS(6849), 1,
      anon_sym_LBRACE,
    ACTIONS(6851), 1,
      sym__eq_custom,
    STATE(464), 1,
      sym__equal_sign,
    STATE(3675), 1,
      sym_computed_property,
    STATE(3677), 1,
      sym_willset_didset_block,
    STATE(3678), 1,
      sym__expression_without_willset_didset,
    STATE(3679), 1,
      sym__expression_with_willset_didset,
    ACTIONS(5029), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5027), 37,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [105487] = 6,
    ACTIONS(5167), 1,
      sym__as_custom,
    ACTIONS(7202), 1,
      anon_sym_QMARK,
    STATE(3302), 1,
      sym__quest,
    ACTIONS(5165), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5161), 41,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_default_keyword,
      sym_where_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [105550] = 3,
    ACTIONS(2965), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2963), 44,
      sym__dot_custom,
      sym_default_keyword,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_LPAREN,
      anon_sym_case,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [105607] = 17,
    ACTIONS(7208), 1,
      anon_sym_each,
    ACTIONS(7210), 1,
      anon_sym_repeat,
    ACTIONS(7212), 1,
      anon_sym_LPAREN,
    ACTIONS(7214), 1,
      anon_sym_LBRACK,
    ACTIONS(7216), 1,
      anon_sym_some,
    ACTIONS(7218), 1,
      anon_sym_any,
    STATE(4833), 1,
      sym_tuple_type,
    STATE(5053), 1,
      sym__simple_user_type,
    STATE(5106), 1,
      sym_simple_identifier,
    STATE(5323), 1,
      sym__parenthesized_type,
    STATE(5204), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(7206), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(5168), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7204), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(5090), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
    ACTIONS(631), 12,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LT,
  [105692] = 3,
    ACTIONS(2973), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2971), 44,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_default_keyword,
      sym__async_keyword_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [105749] = 27,
    ACTIONS(841), 1,
      anon_sym_AT,
    ACTIONS(845), 1,
      anon_sym_inout,
    ACTIONS(3575), 1,
      anon_sym_LPAREN,
    ACTIONS(3577), 1,
      anon_sym_LBRACK,
    ACTIONS(7094), 1,
      anon_sym_each,
    ACTIONS(7096), 1,
      anon_sym_repeat,
    ACTIONS(7098), 1,
      anon_sym_some,
    ACTIONS(7100), 1,
      anon_sym_any,
    STATE(1508), 1,
      sym__contextual_simple_identifier,
    STATE(1515), 1,
      sym_simple_identifier,
    STATE(1608), 1,
      sym__parenthesized_type,
    STATE(1924), 1,
      sym__type,
    STATE(3451), 1,
      sym_parameter_modifiers,
    STATE(4001), 1,
      sym_type_modifiers,
    STATE(4018), 1,
      sym__parameter_ownership_modifier,
    STATE(4570), 1,
      sym_tuple_type,
    STATE(4938), 1,
      sym__simple_user_type,
    STATE(5994), 1,
      sym__possibly_implicitly_unwrapped_type,
    ACTIONS(847), 2,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
    ACTIONS(7220), 2,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4249), 2,
      sym_parameter_modifier,
      aux_sym_parameter_modifiers_repeat1,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(3566), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1521), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3564), 5,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
    STATE(4904), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [105854] = 17,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4500), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
    ACTIONS(631), 12,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
  [105939] = 27,
    ACTIONS(841), 1,
      anon_sym_AT,
    ACTIONS(845), 1,
      anon_sym_inout,
    ACTIONS(3575), 1,
      anon_sym_LPAREN,
    ACTIONS(3577), 1,
      anon_sym_LBRACK,
    ACTIONS(7094), 1,
      anon_sym_each,
    ACTIONS(7096), 1,
      anon_sym_repeat,
    ACTIONS(7098), 1,
      anon_sym_some,
    ACTIONS(7100), 1,
      anon_sym_any,
    STATE(1508), 1,
      sym__contextual_simple_identifier,
    STATE(1515), 1,
      sym_simple_identifier,
    STATE(1608), 1,
      sym__parenthesized_type,
    STATE(1924), 1,
      sym__type,
    STATE(3387), 1,
      sym_parameter_modifiers,
    STATE(4001), 1,
      sym_type_modifiers,
    STATE(4018), 1,
      sym__parameter_ownership_modifier,
    STATE(4570), 1,
      sym_tuple_type,
    STATE(4938), 1,
      sym__simple_user_type,
    STATE(6066), 1,
      sym__possibly_implicitly_unwrapped_type,
    ACTIONS(847), 2,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
    ACTIONS(7220), 2,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4249), 2,
      sym_parameter_modifier,
      aux_sym_parameter_modifiers_repeat1,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(3566), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1521), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3564), 5,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
    STATE(4904), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [106044] = 3,
    ACTIONS(2973), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2971), 44,
      sym__dot_custom,
      sym_default_keyword,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_LPAREN,
      anon_sym_case,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [106101] = 3,
    ACTIONS(2800), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2798), 44,
      sym__dot_custom,
      sym_default_keyword,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_LPAREN,
      anon_sym_case,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [106158] = 18,
    ACTIONS(637), 1,
      anon_sym_in,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(7194), 1,
      anon_sym_each,
    ACTIONS(7196), 1,
      anon_sym_repeat,
    ACTIONS(7198), 1,
      anon_sym_some,
    ACTIONS(7200), 1,
      anon_sym_any,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4733), 1,
      sym_tuple_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(5098), 1,
      sym__simple_user_type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(5125), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
    ACTIONS(631), 11,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LT,
  [106245] = 17,
    ACTIONS(7208), 1,
      anon_sym_each,
    ACTIONS(7210), 1,
      anon_sym_repeat,
    ACTIONS(7212), 1,
      anon_sym_LPAREN,
    ACTIONS(7214), 1,
      anon_sym_LBRACK,
    ACTIONS(7216), 1,
      anon_sym_some,
    ACTIONS(7218), 1,
      anon_sym_any,
    STATE(4833), 1,
      sym_tuple_type,
    STATE(5053), 1,
      sym__simple_user_type,
    STATE(5106), 1,
      sym_simple_identifier,
    STATE(5323), 1,
      sym__parenthesized_type,
    STATE(5204), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(7206), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(5168), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7204), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(5091), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
    ACTIONS(631), 12,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LT,
  [106330] = 27,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(841), 1,
      anon_sym_AT,
    ACTIONS(845), 1,
      anon_sym_inout,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(3411), 1,
      sym_parameter_modifiers,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4191), 1,
      sym__parameter_ownership_modifier,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4343), 1,
      sym__contextual_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(5853), 1,
      sym__type,
    STATE(7354), 1,
      sym__possibly_implicitly_unwrapped_type,
    ACTIONS(847), 2,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
    ACTIONS(6942), 2,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4249), 2,
      sym_parameter_modifier,
      aux_sym_parameter_modifiers_repeat1,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 5,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [106435] = 3,
    ACTIONS(2930), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2928), 44,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_default_keyword,
      sym_where_keyword,
      sym__as_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [106492] = 27,
    ACTIONS(841), 1,
      anon_sym_AT,
    ACTIONS(845), 1,
      anon_sym_inout,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(7194), 1,
      anon_sym_each,
    ACTIONS(7196), 1,
      anon_sym_repeat,
    ACTIONS(7198), 1,
      anon_sym_some,
    ACTIONS(7200), 1,
      anon_sym_any,
    STATE(3459), 1,
      sym_parameter_modifiers,
    STATE(4099), 1,
      sym_type_modifiers,
    STATE(4202), 1,
      sym__parameter_ownership_modifier,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4343), 1,
      sym__contextual_simple_identifier,
    STATE(4733), 1,
      sym_tuple_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(5098), 1,
      sym__simple_user_type,
    STATE(5604), 1,
      sym__type,
    STATE(5763), 1,
      sym__possibly_implicitly_unwrapped_type,
    ACTIONS(847), 2,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
    ACTIONS(7222), 2,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4249), 2,
      sym_parameter_modifier,
      aux_sym_parameter_modifiers_repeat1,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 5,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
    STATE(5044), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [106597] = 17,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4499), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
    ACTIONS(631), 12,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
  [106682] = 10,
    ACTIONS(6849), 1,
      anon_sym_LBRACE,
    ACTIONS(6851), 1,
      sym__eq_custom,
    STATE(464), 1,
      sym__equal_sign,
    STATE(3645), 1,
      sym_computed_property,
    STATE(3646), 1,
      sym_willset_didset_block,
    STATE(3647), 1,
      sym__expression_without_willset_didset,
    STATE(3649), 1,
      sym__expression_with_willset_didset,
    ACTIONS(5105), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5103), 37,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [106753] = 3,
    ACTIONS(2926), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2924), 44,
      sym__dot_custom,
      sym_default_keyword,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_LPAREN,
      anon_sym_case,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [106810] = 27,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(841), 1,
      anon_sym_AT,
    ACTIONS(845), 1,
      anon_sym_inout,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(3440), 1,
      sym_parameter_modifiers,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4191), 1,
      sym__parameter_ownership_modifier,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4343), 1,
      sym__contextual_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(5853), 1,
      sym__type,
    STATE(7490), 1,
      sym__possibly_implicitly_unwrapped_type,
    ACTIONS(847), 2,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
    ACTIONS(6942), 2,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4249), 2,
      sym_parameter_modifier,
      aux_sym_parameter_modifiers_repeat1,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 5,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [106915] = 3,
    ACTIONS(2965), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2963), 44,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_default_keyword,
      sym__async_keyword_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [106972] = 3,
    ACTIONS(2926), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2924), 44,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_default_keyword,
      sym__async_keyword_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [107029] = 27,
    ACTIONS(841), 1,
      anon_sym_AT,
    ACTIONS(845), 1,
      anon_sym_inout,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(7194), 1,
      anon_sym_each,
    ACTIONS(7196), 1,
      anon_sym_repeat,
    ACTIONS(7198), 1,
      anon_sym_some,
    ACTIONS(7200), 1,
      anon_sym_any,
    STATE(3428), 1,
      sym_parameter_modifiers,
    STATE(4099), 1,
      sym_type_modifiers,
    STATE(4202), 1,
      sym__parameter_ownership_modifier,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4343), 1,
      sym__contextual_simple_identifier,
    STATE(4733), 1,
      sym_tuple_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(5098), 1,
      sym__simple_user_type,
    STATE(5604), 1,
      sym__type,
    STATE(5739), 1,
      sym__possibly_implicitly_unwrapped_type,
    ACTIONS(847), 2,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
    ACTIONS(7222), 2,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4249), 2,
      sym_parameter_modifier,
      aux_sym_parameter_modifiers_repeat1,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 5,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
    STATE(5044), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [107134] = 3,
    ACTIONS(2912), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2910), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_default_keyword,
      sym__async_keyword_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [107190] = 3,
    ACTIONS(2969), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2967), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_default_keyword,
      sym__async_keyword_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [107246] = 3,
    ACTIONS(5228), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5226), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_default_keyword,
      sym_where_keyword,
      sym__as_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [107302] = 3,
    ACTIONS(2916), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2914), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_default_keyword,
      sym__async_keyword_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [107358] = 3,
    ACTIONS(2977), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2975), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_default_keyword,
      sym__async_keyword_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [107414] = 3,
    ACTIONS(2997), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2995), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_default_keyword,
      sym__async_keyword_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [107470] = 3,
    ACTIONS(5318), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5316), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_default_keyword,
      sym_where_keyword,
      sym__as_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [107526] = 3,
    ACTIONS(2957), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2955), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_default_keyword,
      sym__async_keyword_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [107582] = 7,
    ACTIONS(6847), 1,
      anon_sym_COLON,
    ACTIONS(7228), 1,
      sym__as_custom,
    STATE(3361), 1,
      sym_type_annotation,
    STATE(3708), 1,
      sym__as,
    ACTIONS(7226), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7224), 39,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_default_keyword,
      sym_where_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [107646] = 3,
    ACTIONS(5292), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5290), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_default_keyword,
      sym_where_keyword,
      sym__as_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [107702] = 4,
    ACTIONS(7230), 1,
      anon_sym_LPAREN,
    ACTIONS(4006), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(4008), 42,
      sym_default_keyword,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_case,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [107760] = 3,
    ACTIONS(2993), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2991), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_default_keyword,
      sym__async_keyword_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [107816] = 3,
    ACTIONS(5062), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5060), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_default_keyword,
      sym_where_keyword,
      sym__as_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [107872] = 5,
    ACTIONS(7232), 1,
      anon_sym_AMP,
    STATE(3286), 1,
      aux_sym_protocol_composition_type_repeat1,
    ACTIONS(2894), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2892), 41,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_default_keyword,
      sym__async_keyword_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_DOT,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [107932] = 8,
    STATE(5624), 1,
      sym_simple_identifier,
    STATE(5797), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(3446), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5047), 4,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    ACTIONS(5058), 4,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
    ACTIONS(3444), 5,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_repeat,
    ACTIONS(5050), 26,
      anon_sym_class,
      anon_sym_willSet,
      anon_sym_didSet,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_AT,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_weak,
      anon_sym_unowned,
  [107998] = 5,
    ACTIONS(7235), 1,
      anon_sym_QMARK,
    STATE(3322), 1,
      sym__quest,
    ACTIONS(7237), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5167), 41,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_default_keyword,
      sym_where_keyword,
      sym__as_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [108058] = 6,
    ACTIONS(7239), 1,
      anon_sym_QMARK,
    ACTIONS(7242), 1,
      sym__as_custom,
    STATE(3312), 1,
      sym__quest,
    ACTIONS(5165), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5161), 40,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_default_keyword,
      sym_where_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [108120] = 6,
    ACTIONS(7245), 1,
      anon_sym_QMARK,
    ACTIONS(7248), 1,
      sym__as_custom,
    STATE(3309), 1,
      sym__quest,
    ACTIONS(5097), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5093), 40,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_default_keyword,
      sym_where_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [108182] = 8,
    STATE(5624), 1,
      sym_simple_identifier,
    STATE(5797), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(3446), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5047), 4,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    ACTIONS(3444), 5,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_repeat,
    ACTIONS(5058), 5,
      sym_default_keyword,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
    ACTIONS(5050), 25,
      anon_sym_case,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_AT,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_weak,
      anon_sym_unowned,
  [108248] = 3,
    ACTIONS(5039), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5035), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_default_keyword,
      sym_where_keyword,
      sym__as_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [108304] = 4,
    STATE(3286), 1,
      aux_sym_protocol_composition_type_repeat1,
    ACTIONS(3016), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3014), 42,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_default_keyword,
      sym__async_keyword_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [108362] = 26,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(841), 1,
      anon_sym_AT,
    ACTIONS(845), 1,
      anon_sym_inout,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(3862), 1,
      sym_parameter_modifiers,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4191), 1,
      sym__parameter_ownership_modifier,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4343), 1,
      sym__contextual_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(7625), 1,
      sym__type,
    ACTIONS(847), 2,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
    ACTIONS(6942), 2,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4249), 2,
      sym_parameter_modifier,
      aux_sym_parameter_modifiers_repeat1,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 5,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [108464] = 3,
    ACTIONS(5329), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5327), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_default_keyword,
      sym_where_keyword,
      sym__as_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [108520] = 3,
    ACTIONS(2985), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2983), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_default_keyword,
      sym__async_keyword_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [108576] = 5,
    ACTIONS(7253), 1,
      anon_sym_QMARK,
    STATE(3323), 1,
      sym__quest,
    ACTIONS(7255), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7251), 41,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_default_keyword,
      sym_where_keyword,
      sym__as_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [108636] = 5,
    ACTIONS(7257), 1,
      anon_sym_QMARK,
    STATE(3316), 1,
      sym__quest,
    ACTIONS(7259), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5099), 41,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_default_keyword,
      sym_where_keyword,
      sym__as_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [108696] = 3,
    ACTIONS(5237), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5235), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_default_keyword,
      sym_where_keyword,
      sym__as_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [108752] = 3,
    ACTIONS(5325), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5323), 43,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_default_keyword,
      sym_where_keyword,
      sym__as_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [108808] = 4,
    ACTIONS(5391), 1,
      sym__as_custom,
    ACTIONS(5389), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5387), 41,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_default_keyword,
      sym_where_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [108865] = 4,
    ACTIONS(5397), 1,
      sym__as_custom,
    ACTIONS(5395), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5393), 41,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_default_keyword,
      sym_where_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [108922] = 3,
    ACTIONS(3998), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(4000), 42,
      sym_default_keyword,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_case,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [108977] = 3,
    ACTIONS(7263), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7261), 42,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_default_keyword,
      sym_where_keyword,
      sym__as_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [109032] = 3,
    ACTIONS(4002), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(4004), 42,
      sym_default_keyword,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_case,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [109087] = 3,
    ACTIONS(2981), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2979), 42,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_default_keyword,
      sym__async_keyword_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [109142] = 3,
    ACTIONS(3002), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3004), 42,
      sym_default_keyword,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_case,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [109197] = 3,
    ACTIONS(6216), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6214), 42,
      sym_default_keyword,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_case,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [109252] = 4,
    ACTIONS(7265), 1,
      sym__as_custom,
    ACTIONS(5389), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5387), 41,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_default_keyword,
      sym_where_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [109309] = 3,
    ACTIONS(7270), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7268), 42,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_default_keyword,
      sym_where_keyword,
      sym__as_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [109364] = 3,
    ACTIONS(6220), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6218), 42,
      sym_default_keyword,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_case,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [109419] = 4,
    ACTIONS(7272), 1,
      sym__as_custom,
    ACTIONS(5395), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5393), 41,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_default_keyword,
      sym_where_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [109476] = 3,
    ACTIONS(2961), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2959), 42,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_default_keyword,
      sym__async_keyword_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [109531] = 3,
    ACTIONS(2989), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2987), 42,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_default_keyword,
      sym__async_keyword_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [109586] = 3,
    ACTIONS(2953), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2951), 42,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_default_keyword,
      sym__async_keyword_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [109641] = 3,
    ACTIONS(7275), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5391), 41,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_default_keyword,
      sym_where_keyword,
      sym__as_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [109695] = 7,
    ACTIONS(7277), 1,
      anon_sym_func,
    ACTIONS(7280), 1,
      anon_sym_init,
    STATE(6107), 1,
      sym__modifierless_function_declaration_no_body,
    STATE(6267), 1,
      sym__non_constructor_function_decl,
    ACTIONS(5050), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5058), 37,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_typealias,
      anon_sym_class,
      anon_sym_let,
      anon_sym_var,
      anon_sym_deinit,
      anon_sym_subscript,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_associatedtype,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [109757] = 4,
    ACTIONS(7283), 1,
      anon_sym_BANG,
    ACTIONS(5431), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5427), 40,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_default_keyword,
      sym_where_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [109813] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5261), 1,
      anon_sym_BANG2,
    ACTIONS(5263), 1,
      sym__bang_custom,
    ACTIONS(5257), 2,
      sym__custom_operator,
      aux_sym_custom_operator_token1,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7287), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    STATE(2278), 10,
      sym_custom_operator,
      sym__assignment_and_operator,
      sym__equality_operator,
      sym__comparison_operator,
      sym__additive_operator,
      sym__multiplicative_operator,
      sym__referenceable_operator,
      sym__equal_sign,
      sym__eq_eq,
      sym_bang,
    ACTIONS(7285), 21,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      anon_sym_AMP,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_TILDE,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [109877] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      anon_sym_BANG2,
    ACTIONS(7297), 1,
      sym__bang_custom,
    ACTIONS(7291), 2,
      sym__custom_operator,
      aux_sym_custom_operator_token1,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7293), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    STATE(5856), 10,
      sym_custom_operator,
      sym__assignment_and_operator,
      sym__equality_operator,
      sym__comparison_operator,
      sym__additive_operator,
      sym__multiplicative_operator,
      sym__referenceable_operator,
      sym__equal_sign,
      sym__eq_eq,
      sym_bang,
    ACTIONS(7289), 21,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      anon_sym_AMP,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_TILDE,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [109941] = 7,
    ACTIONS(2688), 1,
      sym_where_keyword,
    ACTIONS(7303), 1,
      sym__eq_custom,
    STATE(552), 1,
      sym__equal_sign,
    STATE(3730), 1,
      sym_where_clause,
    ACTIONS(7301), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7299), 37,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [110003] = 3,
    ACTIONS(7305), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5397), 41,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_default_keyword,
      sym_where_keyword,
      sym__as_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [110057] = 3,
    ACTIONS(7309), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7307), 41,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_default_keyword,
      sym_where_keyword,
      sym__as_custom,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [110111] = 5,
    ACTIONS(6847), 1,
      anon_sym_COLON,
    STATE(3359), 1,
      sym_type_annotation,
    ACTIONS(7313), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7311), 39,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_default_keyword,
      sym_where_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [110169] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7321), 1,
      anon_sym_BANG2,
    ACTIONS(7323), 1,
      sym__bang_custom,
    ACTIONS(7317), 2,
      sym__custom_operator,
      aux_sym_custom_operator_token1,
    ACTIONS(5), 3,
      sym_multiline_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7319), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    STATE(5819), 10,
      sym_custom_operator,
      sym__assignment_and_operator,
      sym__equality_operator,
      sym__comparison_operator,
      sym__additive_operator,
      sym__multiplicative_operator,
      sym__referenceable_operator,
      sym__equal_sign,
      sym__eq_eq,
      sym_bang,
    ACTIONS(7315), 21,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__plus_then_ws,
      sym__minus_then_ws,
      anon_sym_AMP,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_TILDE,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [110233] = 3,
    ACTIONS(5484), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5482), 40,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_default_keyword,
      sym_where_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [110286] = 3,
    ACTIONS(5672), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5670), 40,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_default_keyword,
      sym_where_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [110339] = 21,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(7208), 1,
      anon_sym_each,
    ACTIONS(7210), 1,
      anon_sym_repeat,
    ACTIONS(7212), 1,
      anon_sym_LPAREN,
    ACTIONS(7214), 1,
      anon_sym_LBRACK,
    ACTIONS(7216), 1,
      anon_sym_some,
    ACTIONS(7218), 1,
      anon_sym_any,
    STATE(2294), 1,
      sym_type_constraint,
    STATE(4739), 1,
      sym_simple_identifier,
    STATE(4833), 1,
      sym_tuple_type,
    STATE(5053), 1,
      sym__simple_user_type,
    STATE(5323), 1,
      sym__parenthesized_type,
    STATE(2122), 2,
      sym_inheritance_constraint,
      sym_equality_constraint,
    STATE(3510), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(5204), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(5890), 2,
      sym_identifier,
      sym__constrained_type,
    ACTIONS(7206), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(5168), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7204), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(5129), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [110428] = 21,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(7208), 1,
      anon_sym_each,
    ACTIONS(7210), 1,
      anon_sym_repeat,
    ACTIONS(7212), 1,
      anon_sym_LPAREN,
    ACTIONS(7214), 1,
      anon_sym_LBRACK,
    ACTIONS(7216), 1,
      anon_sym_some,
    ACTIONS(7218), 1,
      anon_sym_any,
    STATE(3350), 1,
      sym_type_constraint,
    STATE(4739), 1,
      sym_simple_identifier,
    STATE(4833), 1,
      sym_tuple_type,
    STATE(5053), 1,
      sym__simple_user_type,
    STATE(5323), 1,
      sym__parenthesized_type,
    STATE(3368), 2,
      sym_inheritance_constraint,
      sym_equality_constraint,
    STATE(3501), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(5204), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(5922), 2,
      sym_identifier,
      sym__constrained_type,
    ACTIONS(7206), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(5168), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7204), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(5129), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [110517] = 4,
    ACTIONS(7325), 1,
      anon_sym_BANG,
    ACTIONS(5431), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5427), 39,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [110572] = 5,
    ACTIONS(7327), 1,
      anon_sym_COMMA,
    STATE(3347), 1,
      aux_sym_type_constraints_repeat1,
    ACTIONS(5623), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5621), 38,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [110629] = 5,
    ACTIONS(7327), 1,
      anon_sym_COMMA,
    STATE(3331), 1,
      aux_sym_type_constraints_repeat1,
    ACTIONS(5576), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5572), 38,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [110686] = 21,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(7208), 1,
      anon_sym_each,
    ACTIONS(7210), 1,
      anon_sym_repeat,
    ACTIONS(7212), 1,
      anon_sym_LPAREN,
    ACTIONS(7214), 1,
      anon_sym_LBRACK,
    ACTIONS(7216), 1,
      anon_sym_some,
    ACTIONS(7218), 1,
      anon_sym_any,
    STATE(4739), 1,
      sym_simple_identifier,
    STATE(4833), 1,
      sym_tuple_type,
    STATE(5053), 1,
      sym__simple_user_type,
    STATE(5323), 1,
      sym__parenthesized_type,
    STATE(5446), 1,
      sym_type_constraint,
    STATE(3517), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(5204), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(5621), 2,
      sym_inheritance_constraint,
      sym_equality_constraint,
    STATE(6007), 2,
      sym_identifier,
      sym__constrained_type,
    ACTIONS(7206), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(5168), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7204), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(5129), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [110775] = 21,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(7208), 1,
      anon_sym_each,
    ACTIONS(7210), 1,
      anon_sym_repeat,
    ACTIONS(7212), 1,
      anon_sym_LPAREN,
    ACTIONS(7214), 1,
      anon_sym_LBRACK,
    ACTIONS(7216), 1,
      anon_sym_some,
    ACTIONS(7218), 1,
      anon_sym_any,
    STATE(3332), 1,
      sym_type_constraint,
    STATE(4739), 1,
      sym_simple_identifier,
    STATE(4833), 1,
      sym_tuple_type,
    STATE(5053), 1,
      sym__simple_user_type,
    STATE(5323), 1,
      sym__parenthesized_type,
    STATE(3368), 2,
      sym_inheritance_constraint,
      sym_equality_constraint,
    STATE(3501), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(5204), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(5922), 2,
      sym_identifier,
      sym__constrained_type,
    ACTIONS(7206), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(5168), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7204), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(5129), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [110864] = 21,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(7208), 1,
      anon_sym_each,
    ACTIONS(7210), 1,
      anon_sym_repeat,
    ACTIONS(7212), 1,
      anon_sym_LPAREN,
    ACTIONS(7214), 1,
      anon_sym_LBRACK,
    ACTIONS(7216), 1,
      anon_sym_some,
    ACTIONS(7218), 1,
      anon_sym_any,
    STATE(2158), 1,
      sym_type_constraint,
    STATE(4739), 1,
      sym_simple_identifier,
    STATE(4833), 1,
      sym_tuple_type,
    STATE(5053), 1,
      sym__simple_user_type,
    STATE(5323), 1,
      sym__parenthesized_type,
    STATE(2116), 2,
      sym_inheritance_constraint,
      sym_equality_constraint,
    STATE(3504), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(5204), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(5883), 2,
      sym_identifier,
      sym__constrained_type,
    ACTIONS(7206), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(5168), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7204), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(5129), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [110953] = 21,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(7208), 1,
      anon_sym_each,
    ACTIONS(7210), 1,
      anon_sym_repeat,
    ACTIONS(7212), 1,
      anon_sym_LPAREN,
    ACTIONS(7214), 1,
      anon_sym_LBRACK,
    ACTIONS(7216), 1,
      anon_sym_some,
    ACTIONS(7218), 1,
      anon_sym_any,
    STATE(4739), 1,
      sym_simple_identifier,
    STATE(4833), 1,
      sym_tuple_type,
    STATE(5053), 1,
      sym__simple_user_type,
    STATE(5323), 1,
      sym__parenthesized_type,
    STATE(5807), 1,
      sym_type_constraint,
    STATE(3515), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(5204), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(5969), 2,
      sym_identifier,
      sym__constrained_type,
    STATE(5977), 2,
      sym_inheritance_constraint,
      sym_equality_constraint,
    ACTIONS(7206), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(5168), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7204), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(5129), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [111042] = 3,
    ACTIONS(7331), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7329), 40,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_default_keyword,
      sym_where_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [111095] = 21,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(7208), 1,
      anon_sym_each,
    ACTIONS(7210), 1,
      anon_sym_repeat,
    ACTIONS(7212), 1,
      anon_sym_LPAREN,
    ACTIONS(7214), 1,
      anon_sym_LBRACK,
    ACTIONS(7216), 1,
      anon_sym_some,
    ACTIONS(7218), 1,
      anon_sym_any,
    STATE(2294), 1,
      sym_type_constraint,
    STATE(4739), 1,
      sym_simple_identifier,
    STATE(4833), 1,
      sym_tuple_type,
    STATE(5053), 1,
      sym__simple_user_type,
    STATE(5323), 1,
      sym__parenthesized_type,
    STATE(2122), 2,
      sym_inheritance_constraint,
      sym_equality_constraint,
    STATE(3879), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(5204), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(5900), 2,
      sym_identifier,
      sym__constrained_type,
    ACTIONS(7206), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(5168), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7204), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(5129), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [111184] = 21,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(7208), 1,
      anon_sym_each,
    ACTIONS(7210), 1,
      anon_sym_repeat,
    ACTIONS(7212), 1,
      anon_sym_LPAREN,
    ACTIONS(7214), 1,
      anon_sym_LBRACK,
    ACTIONS(7216), 1,
      anon_sym_some,
    ACTIONS(7218), 1,
      anon_sym_any,
    STATE(4739), 1,
      sym_simple_identifier,
    STATE(4833), 1,
      sym_tuple_type,
    STATE(5053), 1,
      sym__simple_user_type,
    STATE(5323), 1,
      sym__parenthesized_type,
    STATE(5608), 1,
      sym_type_constraint,
    STATE(3517), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(5204), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(5621), 2,
      sym_inheritance_constraint,
      sym_equality_constraint,
    STATE(6007), 2,
      sym_identifier,
      sym__constrained_type,
    ACTIONS(7206), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(5168), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7204), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(5129), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [111273] = 21,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(7208), 1,
      anon_sym_each,
    ACTIONS(7210), 1,
      anon_sym_repeat,
    ACTIONS(7212), 1,
      anon_sym_LPAREN,
    ACTIONS(7214), 1,
      anon_sym_LBRACK,
    ACTIONS(7216), 1,
      anon_sym_some,
    ACTIONS(7218), 1,
      anon_sym_any,
    STATE(2036), 1,
      sym_type_constraint,
    STATE(4739), 1,
      sym_simple_identifier,
    STATE(4833), 1,
      sym_tuple_type,
    STATE(5053), 1,
      sym__simple_user_type,
    STATE(5323), 1,
      sym__parenthesized_type,
    STATE(2116), 2,
      sym_inheritance_constraint,
      sym_equality_constraint,
    STATE(3504), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(5204), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(5883), 2,
      sym_identifier,
      sym__constrained_type,
    ACTIONS(7206), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(5168), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7204), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(5129), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [111362] = 21,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(7208), 1,
      anon_sym_each,
    ACTIONS(7210), 1,
      anon_sym_repeat,
    ACTIONS(7212), 1,
      anon_sym_LPAREN,
    ACTIONS(7214), 1,
      anon_sym_LBRACK,
    ACTIONS(7216), 1,
      anon_sym_some,
    ACTIONS(7218), 1,
      anon_sym_any,
    STATE(4739), 1,
      sym_simple_identifier,
    STATE(4833), 1,
      sym_tuple_type,
    STATE(5053), 1,
      sym__simple_user_type,
    STATE(5323), 1,
      sym__parenthesized_type,
    STATE(5796), 1,
      sym_type_constraint,
    STATE(3521), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(5204), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(5847), 2,
      sym_inheritance_constraint,
      sym_equality_constraint,
    STATE(6088), 2,
      sym_identifier,
      sym__constrained_type,
    ACTIONS(7206), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(5168), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7204), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(5129), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [111451] = 21,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(7208), 1,
      anon_sym_each,
    ACTIONS(7210), 1,
      anon_sym_repeat,
    ACTIONS(7212), 1,
      anon_sym_LPAREN,
    ACTIONS(7214), 1,
      anon_sym_LBRACK,
    ACTIONS(7216), 1,
      anon_sym_some,
    ACTIONS(7218), 1,
      anon_sym_any,
    STATE(4739), 1,
      sym_simple_identifier,
    STATE(4833), 1,
      sym_tuple_type,
    STATE(5053), 1,
      sym__simple_user_type,
    STATE(5323), 1,
      sym__parenthesized_type,
    STATE(5618), 1,
      sym_type_constraint,
    STATE(3521), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(5204), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(5847), 2,
      sym_inheritance_constraint,
      sym_equality_constraint,
    STATE(6088), 2,
      sym_identifier,
      sym__constrained_type,
    ACTIONS(7206), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(5168), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7204), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(5129), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [111540] = 21,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(7208), 1,
      anon_sym_each,
    ACTIONS(7210), 1,
      anon_sym_repeat,
    ACTIONS(7212), 1,
      anon_sym_LPAREN,
    ACTIONS(7214), 1,
      anon_sym_LBRACK,
    ACTIONS(7216), 1,
      anon_sym_some,
    ACTIONS(7218), 1,
      anon_sym_any,
    STATE(4739), 1,
      sym_simple_identifier,
    STATE(4833), 1,
      sym_tuple_type,
    STATE(5053), 1,
      sym__simple_user_type,
    STATE(5323), 1,
      sym__parenthesized_type,
    STATE(6033), 1,
      sym_type_constraint,
    STATE(3515), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(5204), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(5969), 2,
      sym_identifier,
      sym__constrained_type,
    STATE(5977), 2,
      sym_inheritance_constraint,
      sym_equality_constraint,
    ACTIONS(7206), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(5168), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7204), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(5129), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [111629] = 21,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(7208), 1,
      anon_sym_each,
    ACTIONS(7210), 1,
      anon_sym_repeat,
    ACTIONS(7212), 1,
      anon_sym_LPAREN,
    ACTIONS(7214), 1,
      anon_sym_LBRACK,
    ACTIONS(7216), 1,
      anon_sym_some,
    ACTIONS(7218), 1,
      anon_sym_any,
    STATE(2277), 1,
      sym_type_constraint,
    STATE(4739), 1,
      sym_simple_identifier,
    STATE(4833), 1,
      sym_tuple_type,
    STATE(5053), 1,
      sym__simple_user_type,
    STATE(5323), 1,
      sym__parenthesized_type,
    STATE(2122), 2,
      sym_inheritance_constraint,
      sym_equality_constraint,
    STATE(3510), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(5204), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(5890), 2,
      sym_identifier,
      sym__constrained_type,
    ACTIONS(7206), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(5168), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7204), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(5129), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [111718] = 21,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(7208), 1,
      anon_sym_each,
    ACTIONS(7210), 1,
      anon_sym_repeat,
    ACTIONS(7212), 1,
      anon_sym_LPAREN,
    ACTIONS(7214), 1,
      anon_sym_LBRACK,
    ACTIONS(7216), 1,
      anon_sym_some,
    ACTIONS(7218), 1,
      anon_sym_any,
    STATE(4739), 1,
      sym_simple_identifier,
    STATE(4833), 1,
      sym_tuple_type,
    STATE(5053), 1,
      sym__simple_user_type,
    STATE(5323), 1,
      sym__parenthesized_type,
    STATE(6429), 1,
      sym_type_constraint,
    STATE(2122), 2,
      sym_inheritance_constraint,
      sym_equality_constraint,
    STATE(3879), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(5204), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(5900), 2,
      sym_identifier,
      sym__constrained_type,
    ACTIONS(7206), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(5168), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7204), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(5129), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [111807] = 21,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(7208), 1,
      anon_sym_each,
    ACTIONS(7210), 1,
      anon_sym_repeat,
    ACTIONS(7212), 1,
      anon_sym_LPAREN,
    ACTIONS(7214), 1,
      anon_sym_LBRACK,
    ACTIONS(7216), 1,
      anon_sym_some,
    ACTIONS(7218), 1,
      anon_sym_any,
    STATE(4739), 1,
      sym_simple_identifier,
    STATE(4833), 1,
      sym_tuple_type,
    STATE(5053), 1,
      sym__simple_user_type,
    STATE(5323), 1,
      sym__parenthesized_type,
    STATE(5782), 1,
      sym_type_constraint,
    STATE(3513), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(5204), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(5753), 2,
      sym_inheritance_constraint,
      sym_equality_constraint,
    STATE(5943), 2,
      sym_identifier,
      sym__constrained_type,
    ACTIONS(7206), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(5168), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7204), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(5129), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [111896] = 5,
    ACTIONS(7333), 1,
      anon_sym_COMMA,
    STATE(3347), 1,
      aux_sym_type_constraints_repeat1,
    ACTIONS(5656), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5651), 38,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [111953] = 21,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(7208), 1,
      anon_sym_each,
    ACTIONS(7210), 1,
      anon_sym_repeat,
    ACTIONS(7212), 1,
      anon_sym_LPAREN,
    ACTIONS(7214), 1,
      anon_sym_LBRACK,
    ACTIONS(7216), 1,
      anon_sym_some,
    ACTIONS(7218), 1,
      anon_sym_any,
    STATE(4739), 1,
      sym_simple_identifier,
    STATE(4833), 1,
      sym_tuple_type,
    STATE(5053), 1,
      sym__simple_user_type,
    STATE(5323), 1,
      sym__parenthesized_type,
    STATE(5663), 1,
      sym_type_constraint,
    STATE(3513), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(5204), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(5753), 2,
      sym_inheritance_constraint,
      sym_equality_constraint,
    STATE(5943), 2,
      sym_identifier,
      sym__constrained_type,
    ACTIONS(7206), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(5168), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7204), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(5129), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [112042] = 3,
    ACTIONS(5484), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5482), 39,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [112094] = 3,
    ACTIONS(5656), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5651), 39,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [112146] = 18,
    ACTIONS(145), 1,
      sym_raw_str_part,
    ACTIONS(7346), 1,
      anon_sym_DQUOTE,
    ACTIONS(7348), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(7350), 1,
      sym__extended_regex_literal,
    ACTIONS(7352), 1,
      aux_sym__multiline_regex_literal_token1,
    ACTIONS(7354), 1,
      sym__oneline_regex_literal,
    ACTIONS(7356), 1,
      anon_sym_RBRACE,
    ACTIONS(7358), 1,
      sym_raw_str_end_part,
    STATE(4214), 1,
      sym__multiline_regex_literal,
    STATE(6721), 1,
      aux_sym_raw_string_literal_repeat1,
    ACTIONS(7340), 2,
      anon_sym_nil,
      sym_integer_literal,
    ACTIONS(7344), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4217), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(7338), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7342), 4,
      sym_real_literal,
      sym_hex_literal,
      sym_oct_literal,
      sym_bin_literal,
    ACTIONS(7336), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(3357), 9,
      sym_simple_identifier,
      sym__basic_literal,
      sym_boolean_literal,
      sym__string_literal,
      sym_line_string_literal,
      sym_multi_line_string_literal,
      sym_raw_string_literal,
      sym_regex_literal,
      aux_sym_deprecated_operator_declaration_body_repeat1,
  [112228] = 18,
    ACTIONS(145), 1,
      sym_raw_str_part,
    ACTIONS(7346), 1,
      anon_sym_DQUOTE,
    ACTIONS(7348), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(7350), 1,
      sym__extended_regex_literal,
    ACTIONS(7352), 1,
      aux_sym__multiline_regex_literal_token1,
    ACTIONS(7354), 1,
      sym__oneline_regex_literal,
    ACTIONS(7358), 1,
      sym_raw_str_end_part,
    ACTIONS(7364), 1,
      anon_sym_RBRACE,
    STATE(4214), 1,
      sym__multiline_regex_literal,
    STATE(6721), 1,
      aux_sym_raw_string_literal_repeat1,
    ACTIONS(7344), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7360), 2,
      anon_sym_nil,
      sym_integer_literal,
    STATE(4217), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(7338), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7362), 4,
      sym_real_literal,
      sym_hex_literal,
      sym_oct_literal,
      sym_bin_literal,
    ACTIONS(7336), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(3366), 9,
      sym_simple_identifier,
      sym__basic_literal,
      sym_boolean_literal,
      sym__string_literal,
      sym_line_string_literal,
      sym_multi_line_string_literal,
      sym_raw_string_literal,
      sym_regex_literal,
      aux_sym_deprecated_operator_declaration_body_repeat1,
  [112310] = 5,
    ACTIONS(7370), 1,
      sym_catch_keyword,
    ACTIONS(7368), 2,
      anon_sym_AT,
      anon_sym_unowned,
    STATE(3364), 2,
      sym_catch_block,
      aux_sym_do_statement_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7366), 36,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [112366] = 3,
    ACTIONS(5687), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5685), 39,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [112418] = 3,
    ACTIONS(5691), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5689), 39,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [112470] = 5,
    ACTIONS(7370), 1,
      sym_catch_keyword,
    ACTIONS(7374), 2,
      anon_sym_AT,
      anon_sym_unowned,
    STATE(3353), 2,
      sym_catch_block,
      aux_sym_do_statement_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7372), 36,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [112526] = 18,
    ACTIONS(145), 1,
      sym_raw_str_part,
    ACTIONS(7346), 1,
      anon_sym_DQUOTE,
    ACTIONS(7348), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(7350), 1,
      sym__extended_regex_literal,
    ACTIONS(7352), 1,
      aux_sym__multiline_regex_literal_token1,
    ACTIONS(7354), 1,
      sym__oneline_regex_literal,
    ACTIONS(7358), 1,
      sym_raw_str_end_part,
    ACTIONS(7380), 1,
      anon_sym_RBRACE,
    STATE(4214), 1,
      sym__multiline_regex_literal,
    STATE(6721), 1,
      aux_sym_raw_string_literal_repeat1,
    ACTIONS(7344), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7376), 2,
      anon_sym_nil,
      sym_integer_literal,
    STATE(4217), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(7338), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7378), 4,
      sym_real_literal,
      sym_hex_literal,
      sym_oct_literal,
      sym_bin_literal,
    ACTIONS(7336), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(3358), 9,
      sym_simple_identifier,
      sym__basic_literal,
      sym_boolean_literal,
      sym__string_literal,
      sym_line_string_literal,
      sym_multi_line_string_literal,
      sym_raw_string_literal,
      sym_regex_literal,
      aux_sym_deprecated_operator_declaration_body_repeat1,
  [112608] = 18,
    ACTIONS(7397), 1,
      anon_sym_DQUOTE,
    ACTIONS(7400), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(7403), 1,
      sym__extended_regex_literal,
    ACTIONS(7406), 1,
      aux_sym__multiline_regex_literal_token1,
    ACTIONS(7409), 1,
      sym__oneline_regex_literal,
    ACTIONS(7412), 1,
      anon_sym_RBRACE,
    ACTIONS(7414), 1,
      sym_raw_str_part,
    ACTIONS(7417), 1,
      sym_raw_str_end_part,
    STATE(4214), 1,
      sym__multiline_regex_literal,
    STATE(6721), 1,
      aux_sym_raw_string_literal_repeat1,
    ACTIONS(7388), 2,
      anon_sym_nil,
      sym_integer_literal,
    ACTIONS(7394), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4217), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(7385), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7391), 4,
      sym_real_literal,
      sym_hex_literal,
      sym_oct_literal,
      sym_bin_literal,
    ACTIONS(7382), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(3358), 9,
      sym_simple_identifier,
      sym__basic_literal,
      sym_boolean_literal,
      sym__string_literal,
      sym_line_string_literal,
      sym_multi_line_string_literal,
      sym_raw_string_literal,
      sym_regex_literal,
      aux_sym_deprecated_operator_declaration_body_repeat1,
  [112690] = 3,
    ACTIONS(7422), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7420), 39,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_default_keyword,
      sym_where_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [112742] = 22,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(3575), 1,
      anon_sym_LPAREN,
    ACTIONS(3577), 1,
      anon_sym_LBRACK,
    ACTIONS(7094), 1,
      anon_sym_each,
    ACTIONS(7096), 1,
      anon_sym_repeat,
    ACTIONS(7098), 1,
      anon_sym_some,
    ACTIONS(7100), 1,
      anon_sym_any,
    ACTIONS(7424), 1,
      anon_sym_RPAREN,
    ACTIONS(7426), 1,
      sym_wildcard_pattern,
    STATE(1608), 1,
      sym__parenthesized_type,
    STATE(4001), 1,
      sym_type_modifiers,
    STATE(4570), 1,
      sym_tuple_type,
    STATE(4938), 1,
      sym__simple_user_type,
    STATE(4968), 1,
      sym_simple_identifier,
    STATE(5907), 1,
      sym__type,
    STATE(1508), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(3566), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1521), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3564), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4904), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [112832] = 3,
    ACTIONS(7430), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7428), 39,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_default_keyword,
      sym_where_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [112884] = 18,
    ACTIONS(145), 1,
      sym_raw_str_part,
    ACTIONS(7346), 1,
      anon_sym_DQUOTE,
    ACTIONS(7348), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(7350), 1,
      sym__extended_regex_literal,
    ACTIONS(7352), 1,
      aux_sym__multiline_regex_literal_token1,
    ACTIONS(7354), 1,
      sym__oneline_regex_literal,
    ACTIONS(7358), 1,
      sym_raw_str_end_part,
    ACTIONS(7432), 1,
      anon_sym_RBRACE,
    STATE(4214), 1,
      sym__multiline_regex_literal,
    STATE(6721), 1,
      aux_sym_raw_string_literal_repeat1,
    ACTIONS(7344), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7376), 2,
      anon_sym_nil,
      sym_integer_literal,
    STATE(4217), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(7338), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7378), 4,
      sym_real_literal,
      sym_hex_literal,
      sym_oct_literal,
      sym_bin_literal,
    ACTIONS(7336), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(3358), 9,
      sym_simple_identifier,
      sym__basic_literal,
      sym_boolean_literal,
      sym__string_literal,
      sym_line_string_literal,
      sym_multi_line_string_literal,
      sym_raw_string_literal,
      sym_regex_literal,
      aux_sym_deprecated_operator_declaration_body_repeat1,
  [112966] = 3,
    ACTIONS(5713), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5711), 39,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [113018] = 5,
    ACTIONS(7438), 1,
      sym_catch_keyword,
    ACTIONS(7436), 2,
      anon_sym_AT,
      anon_sym_unowned,
    STATE(3364), 2,
      sym_catch_block,
      aux_sym_do_statement_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7434), 36,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [113074] = 3,
    ACTIONS(5707), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5705), 39,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [113126] = 18,
    ACTIONS(145), 1,
      sym_raw_str_part,
    ACTIONS(7346), 1,
      anon_sym_DQUOTE,
    ACTIONS(7348), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(7350), 1,
      sym__extended_regex_literal,
    ACTIONS(7352), 1,
      aux_sym__multiline_regex_literal_token1,
    ACTIONS(7354), 1,
      sym__oneline_regex_literal,
    ACTIONS(7358), 1,
      sym_raw_str_end_part,
    ACTIONS(7441), 1,
      anon_sym_RBRACE,
    STATE(4214), 1,
      sym__multiline_regex_literal,
    STATE(6721), 1,
      aux_sym_raw_string_literal_repeat1,
    ACTIONS(7344), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7376), 2,
      anon_sym_nil,
      sym_integer_literal,
    STATE(4217), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(7338), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7378), 4,
      sym_real_literal,
      sym_hex_literal,
      sym_oct_literal,
      sym_bin_literal,
    ACTIONS(7336), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(3358), 9,
      sym_simple_identifier,
      sym__basic_literal,
      sym_boolean_literal,
      sym__string_literal,
      sym_line_string_literal,
      sym_multi_line_string_literal,
      sym_raw_string_literal,
      sym_regex_literal,
      aux_sym_deprecated_operator_declaration_body_repeat1,
  [113208] = 18,
    ACTIONS(145), 1,
      sym_raw_str_part,
    ACTIONS(7346), 1,
      anon_sym_DQUOTE,
    ACTIONS(7348), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(7350), 1,
      sym__extended_regex_literal,
    ACTIONS(7352), 1,
      aux_sym__multiline_regex_literal_token1,
    ACTIONS(7354), 1,
      sym__oneline_regex_literal,
    ACTIONS(7358), 1,
      sym_raw_str_end_part,
    ACTIONS(7447), 1,
      anon_sym_RBRACE,
    STATE(4214), 1,
      sym__multiline_regex_literal,
    STATE(6721), 1,
      aux_sym_raw_string_literal_repeat1,
    ACTIONS(7344), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7443), 2,
      anon_sym_nil,
      sym_integer_literal,
    STATE(4217), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(7338), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7445), 4,
      sym_real_literal,
      sym_hex_literal,
      sym_oct_literal,
      sym_bin_literal,
    ACTIONS(7336), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(3362), 9,
      sym_simple_identifier,
      sym__basic_literal,
      sym_boolean_literal,
      sym__string_literal,
      sym_line_string_literal,
      sym_multi_line_string_literal,
      sym_raw_string_literal,
      sym_regex_literal,
      aux_sym_deprecated_operator_declaration_body_repeat1,
  [113290] = 3,
    ACTIONS(5683), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5681), 39,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [113342] = 5,
    ACTIONS(7451), 1,
      anon_sym_COMMA,
    STATE(3369), 1,
      aux_sym_if_statement_repeat1,
    ACTIONS(7454), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7449), 36,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [113397] = 21,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(7194), 1,
      anon_sym_each,
    ACTIONS(7196), 1,
      anon_sym_repeat,
    ACTIONS(7198), 1,
      anon_sym_some,
    ACTIONS(7200), 1,
      anon_sym_any,
    STATE(4099), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4733), 1,
      sym_tuple_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(5098), 1,
      sym__simple_user_type,
    STATE(5853), 1,
      sym__type,
    STATE(7823), 1,
      sym__possibly_implicitly_unwrapped_type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(5044), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [113484] = 22,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(7456), 1,
      anon_sym_each,
    ACTIONS(7458), 1,
      anon_sym_repeat,
    STATE(4543), 1,
      sym__simple_user_type,
    STATE(4640), 1,
      sym_simple_identifier,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(5184), 1,
      sym_tuple_type,
    STATE(5187), 1,
      sym_user_type,
    STATE(5370), 1,
      sym_function_type,
    STATE(6132), 1,
      sym__inheritance_specifiers,
    STATE(3925), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4488), 2,
      sym_array_type,
      sym_dictionary_type,
    STATE(4879), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(5918), 2,
      sym_inheritance_specifier,
      sym__annotated_inheritance_specifier,
    ACTIONS(6994), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6992), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(5338), 8,
      sym__unannotated_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [113573] = 22,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(7456), 1,
      anon_sym_each,
    ACTIONS(7458), 1,
      anon_sym_repeat,
    STATE(4543), 1,
      sym__simple_user_type,
    STATE(4640), 1,
      sym_simple_identifier,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(5184), 1,
      sym_tuple_type,
    STATE(5187), 1,
      sym_user_type,
    STATE(5370), 1,
      sym_function_type,
    STATE(6388), 1,
      sym__inheritance_specifiers,
    STATE(3925), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4488), 2,
      sym_array_type,
      sym_dictionary_type,
    STATE(4879), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(5918), 2,
      sym_inheritance_specifier,
      sym__annotated_inheritance_specifier,
    ACTIONS(6994), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6992), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(5338), 8,
      sym__unannotated_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [113662] = 5,
    ACTIONS(7462), 1,
      anon_sym_COMMA,
    STATE(3446), 1,
      aux_sym_if_statement_repeat1,
    ACTIONS(7464), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7460), 36,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [113717] = 22,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(7456), 1,
      anon_sym_each,
    ACTIONS(7458), 1,
      anon_sym_repeat,
    STATE(4543), 1,
      sym__simple_user_type,
    STATE(4640), 1,
      sym_simple_identifier,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(5184), 1,
      sym_tuple_type,
    STATE(5187), 1,
      sym_user_type,
    STATE(5370), 1,
      sym_function_type,
    STATE(6343), 1,
      sym__inheritance_specifiers,
    STATE(3925), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4488), 2,
      sym_array_type,
      sym_dictionary_type,
    STATE(4879), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(5918), 2,
      sym_inheritance_specifier,
      sym__annotated_inheritance_specifier,
    ACTIONS(6994), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6992), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(5338), 8,
      sym__unannotated_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [113806] = 21,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6759), 1,
      anon_sym_each,
    ACTIONS(6761), 1,
      anon_sym_repeat,
    ACTIONS(6763), 1,
      anon_sym_LPAREN,
    ACTIONS(6765), 1,
      anon_sym_LBRACK,
    ACTIONS(6767), 1,
      anon_sym_some,
    ACTIONS(6769), 1,
      anon_sym_any,
    STATE(4046), 1,
      sym_type_modifiers,
    STATE(4294), 1,
      sym_tuple_type,
    STATE(4389), 1,
      sym_simple_identifier,
    STATE(4401), 1,
      sym__simple_user_type,
    STATE(4769), 1,
      sym__parenthesized_type,
    STATE(5450), 1,
      sym__type,
    STATE(5666), 1,
      sym__possibly_implicitly_unwrapped_type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4542), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6757), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4482), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6755), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4420), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [113893] = 21,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6996), 1,
      anon_sym_each,
    ACTIONS(6998), 1,
      anon_sym_repeat,
    ACTIONS(7000), 1,
      anon_sym_LPAREN,
    ACTIONS(7002), 1,
      anon_sym_LBRACK,
    ACTIONS(7004), 1,
      anon_sym_some,
    ACTIONS(7006), 1,
      anon_sym_any,
    STATE(4026), 1,
      sym_type_modifiers,
    STATE(4342), 1,
      sym_tuple_type,
    STATE(4543), 1,
      sym__simple_user_type,
    STATE(4640), 1,
      sym_simple_identifier,
    STATE(5012), 1,
      sym__parenthesized_type,
    STATE(6128), 1,
      sym__possibly_implicitly_unwrapped_type,
    STATE(6987), 1,
      sym__type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4879), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6994), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4600), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6992), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4516), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [113980] = 21,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6759), 1,
      anon_sym_each,
    ACTIONS(6761), 1,
      anon_sym_repeat,
    ACTIONS(6763), 1,
      anon_sym_LPAREN,
    ACTIONS(6765), 1,
      anon_sym_LBRACK,
    ACTIONS(6767), 1,
      anon_sym_some,
    ACTIONS(6769), 1,
      anon_sym_any,
    STATE(4046), 1,
      sym_type_modifiers,
    STATE(4294), 1,
      sym_tuple_type,
    STATE(4389), 1,
      sym_simple_identifier,
    STATE(4401), 1,
      sym__simple_user_type,
    STATE(4769), 1,
      sym__parenthesized_type,
    STATE(5450), 1,
      sym__type,
    STATE(5633), 1,
      sym__possibly_implicitly_unwrapped_type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4542), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6757), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4482), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6755), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4420), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [114067] = 22,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(7456), 1,
      anon_sym_each,
    ACTIONS(7458), 1,
      anon_sym_repeat,
    STATE(4543), 1,
      sym__simple_user_type,
    STATE(4640), 1,
      sym_simple_identifier,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(5184), 1,
      sym_tuple_type,
    STATE(5187), 1,
      sym_user_type,
    STATE(5370), 1,
      sym_function_type,
    STATE(6239), 1,
      sym__inheritance_specifiers,
    STATE(3925), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4488), 2,
      sym_array_type,
      sym_dictionary_type,
    STATE(4879), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(5918), 2,
      sym_inheritance_specifier,
      sym__annotated_inheritance_specifier,
    ACTIONS(6994), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6992), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(5338), 8,
      sym__unannotated_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [114156] = 22,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(7456), 1,
      anon_sym_each,
    ACTIONS(7458), 1,
      anon_sym_repeat,
    STATE(4543), 1,
      sym__simple_user_type,
    STATE(4640), 1,
      sym_simple_identifier,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(5184), 1,
      sym_tuple_type,
    STATE(5187), 1,
      sym_user_type,
    STATE(5370), 1,
      sym_function_type,
    STATE(6330), 1,
      sym__inheritance_specifiers,
    STATE(3925), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4488), 2,
      sym_array_type,
      sym_dictionary_type,
    STATE(4879), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(5918), 2,
      sym_inheritance_specifier,
      sym__annotated_inheritance_specifier,
    ACTIONS(6994), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6992), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(5338), 8,
      sym__unannotated_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [114245] = 22,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(7456), 1,
      anon_sym_each,
    ACTIONS(7458), 1,
      anon_sym_repeat,
    STATE(4543), 1,
      sym__simple_user_type,
    STATE(4640), 1,
      sym_simple_identifier,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(5184), 1,
      sym_tuple_type,
    STATE(5187), 1,
      sym_user_type,
    STATE(5370), 1,
      sym_function_type,
    STATE(6327), 1,
      sym__inheritance_specifiers,
    STATE(3925), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4488), 2,
      sym_array_type,
      sym_dictionary_type,
    STATE(4879), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(5918), 2,
      sym_inheritance_specifier,
      sym__annotated_inheritance_specifier,
    ACTIONS(6994), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6992), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(5338), 8,
      sym__unannotated_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [114334] = 21,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6996), 1,
      anon_sym_each,
    ACTIONS(6998), 1,
      anon_sym_repeat,
    ACTIONS(7000), 1,
      anon_sym_LPAREN,
    ACTIONS(7002), 1,
      anon_sym_LBRACK,
    ACTIONS(7004), 1,
      anon_sym_some,
    ACTIONS(7006), 1,
      anon_sym_any,
    STATE(4026), 1,
      sym_type_modifiers,
    STATE(4342), 1,
      sym_tuple_type,
    STATE(4543), 1,
      sym__simple_user_type,
    STATE(4640), 1,
      sym_simple_identifier,
    STATE(5012), 1,
      sym__parenthesized_type,
    STATE(6567), 1,
      sym__possibly_implicitly_unwrapped_type,
    STATE(6987), 1,
      sym__type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4879), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6994), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4600), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6992), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4516), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [114421] = 5,
    ACTIONS(7466), 1,
      anon_sym_COMMA,
    STATE(3422), 1,
      aux_sym__modifierless_property_declaration_repeat1,
    ACTIONS(6014), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6010), 36,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [114476] = 22,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(7456), 1,
      anon_sym_each,
    ACTIONS(7458), 1,
      anon_sym_repeat,
    STATE(4543), 1,
      sym__simple_user_type,
    STATE(4640), 1,
      sym_simple_identifier,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(5184), 1,
      sym_tuple_type,
    STATE(5187), 1,
      sym_user_type,
    STATE(5370), 1,
      sym_function_type,
    STATE(6262), 1,
      sym__inheritance_specifiers,
    STATE(3925), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4488), 2,
      sym_array_type,
      sym_dictionary_type,
    STATE(4879), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(5918), 2,
      sym_inheritance_specifier,
      sym__annotated_inheritance_specifier,
    ACTIONS(6994), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6992), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(5338), 8,
      sym__unannotated_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [114565] = 22,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(7456), 1,
      anon_sym_each,
    ACTIONS(7458), 1,
      anon_sym_repeat,
    STATE(4543), 1,
      sym__simple_user_type,
    STATE(4640), 1,
      sym_simple_identifier,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(5184), 1,
      sym_tuple_type,
    STATE(5187), 1,
      sym_user_type,
    STATE(5370), 1,
      sym_function_type,
    STATE(6275), 1,
      sym__inheritance_specifiers,
    STATE(3925), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4488), 2,
      sym_array_type,
      sym_dictionary_type,
    STATE(4879), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(5918), 2,
      sym_inheritance_specifier,
      sym__annotated_inheritance_specifier,
    ACTIONS(6994), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6992), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(5338), 8,
      sym__unannotated_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [114654] = 22,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(7456), 1,
      anon_sym_each,
    ACTIONS(7458), 1,
      anon_sym_repeat,
    STATE(4543), 1,
      sym__simple_user_type,
    STATE(4640), 1,
      sym_simple_identifier,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(5184), 1,
      sym_tuple_type,
    STATE(5187), 1,
      sym_user_type,
    STATE(5370), 1,
      sym_function_type,
    STATE(6326), 1,
      sym__inheritance_specifiers,
    STATE(3925), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4488), 2,
      sym_array_type,
      sym_dictionary_type,
    STATE(4879), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(5918), 2,
      sym_inheritance_specifier,
      sym__annotated_inheritance_specifier,
    ACTIONS(6994), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6992), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(5338), 8,
      sym__unannotated_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [114743] = 22,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(7456), 1,
      anon_sym_each,
    ACTIONS(7458), 1,
      anon_sym_repeat,
    STATE(4543), 1,
      sym__simple_user_type,
    STATE(4640), 1,
      sym_simple_identifier,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(5184), 1,
      sym_tuple_type,
    STATE(5187), 1,
      sym_user_type,
    STATE(5370), 1,
      sym_function_type,
    STATE(6318), 1,
      sym__inheritance_specifiers,
    STATE(3925), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4488), 2,
      sym_array_type,
      sym_dictionary_type,
    STATE(4879), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(5918), 2,
      sym_inheritance_specifier,
      sym__annotated_inheritance_specifier,
    ACTIONS(6994), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6992), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(5338), 8,
      sym__unannotated_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [114832] = 21,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(3575), 1,
      anon_sym_LPAREN,
    ACTIONS(3577), 1,
      anon_sym_LBRACK,
    ACTIONS(7094), 1,
      anon_sym_each,
    ACTIONS(7096), 1,
      anon_sym_repeat,
    ACTIONS(7098), 1,
      anon_sym_some,
    ACTIONS(7100), 1,
      anon_sym_any,
    STATE(1515), 1,
      sym_simple_identifier,
    STATE(1608), 1,
      sym__parenthesized_type,
    STATE(1924), 1,
      sym__type,
    STATE(4001), 1,
      sym_type_modifiers,
    STATE(4570), 1,
      sym_tuple_type,
    STATE(4938), 1,
      sym__simple_user_type,
    STATE(6002), 1,
      sym__possibly_implicitly_unwrapped_type,
    STATE(1508), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(3566), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1521), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3564), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4904), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [114919] = 22,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(7456), 1,
      anon_sym_each,
    ACTIONS(7458), 1,
      anon_sym_repeat,
    STATE(4543), 1,
      sym__simple_user_type,
    STATE(4640), 1,
      sym_simple_identifier,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(5184), 1,
      sym_tuple_type,
    STATE(5187), 1,
      sym_user_type,
    STATE(5370), 1,
      sym_function_type,
    STATE(6311), 1,
      sym__inheritance_specifiers,
    STATE(3925), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4488), 2,
      sym_array_type,
      sym_dictionary_type,
    STATE(4879), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(5918), 2,
      sym_inheritance_specifier,
      sym__annotated_inheritance_specifier,
    ACTIONS(6994), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6992), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(5338), 8,
      sym__unannotated_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [115008] = 22,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(7456), 1,
      anon_sym_each,
    ACTIONS(7458), 1,
      anon_sym_repeat,
    STATE(4543), 1,
      sym__simple_user_type,
    STATE(4640), 1,
      sym_simple_identifier,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(5184), 1,
      sym_tuple_type,
    STATE(5187), 1,
      sym_user_type,
    STATE(5370), 1,
      sym_function_type,
    STATE(6280), 1,
      sym__inheritance_specifiers,
    STATE(3925), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4488), 2,
      sym_array_type,
      sym_dictionary_type,
    STATE(4879), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(5918), 2,
      sym_inheritance_specifier,
      sym__annotated_inheritance_specifier,
    ACTIONS(6994), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6992), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(5338), 8,
      sym__unannotated_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [115097] = 21,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(4159), 1,
      anon_sym_each,
    ACTIONS(4164), 1,
      anon_sym_repeat,
    ACTIONS(4166), 1,
      anon_sym_LPAREN,
    ACTIONS(4168), 1,
      anon_sym_LBRACK,
    ACTIONS(4170), 1,
      anon_sym_some,
    ACTIONS(4172), 1,
      anon_sym_any,
    STATE(2301), 1,
      sym_tuple_type,
    STATE(2599), 1,
      sym__simple_user_type,
    STATE(2661), 1,
      sym_simple_identifier,
    STATE(3191), 1,
      sym__parenthesized_type,
    STATE(3330), 1,
      sym__type,
    STATE(3354), 1,
      sym__possibly_implicitly_unwrapped_type,
    STATE(4182), 1,
      sym_type_modifiers,
    STATE(2747), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(4157), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(2941), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(4155), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(2548), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [115184] = 22,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(7456), 1,
      anon_sym_each,
    ACTIONS(7458), 1,
      anon_sym_repeat,
    STATE(4543), 1,
      sym__simple_user_type,
    STATE(4640), 1,
      sym_simple_identifier,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(5184), 1,
      sym_tuple_type,
    STATE(5187), 1,
      sym_user_type,
    STATE(5370), 1,
      sym_function_type,
    STATE(6273), 1,
      sym__inheritance_specifiers,
    STATE(3925), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4488), 2,
      sym_array_type,
      sym_dictionary_type,
    STATE(4879), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(5918), 2,
      sym_inheritance_specifier,
      sym__annotated_inheritance_specifier,
    ACTIONS(6994), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6992), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(5338), 8,
      sym__unannotated_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [115273] = 6,
    STATE(116), 1,
      sym__semi,
    STATE(3392), 1,
      aux_sym_statements_repeat1,
    ACTIONS(7470), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(7472), 2,
      sym__implicit_semi,
      sym__explicit_semi,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7468), 34,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [115330] = 22,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(7456), 1,
      anon_sym_each,
    ACTIONS(7458), 1,
      anon_sym_repeat,
    STATE(4543), 1,
      sym__simple_user_type,
    STATE(4640), 1,
      sym_simple_identifier,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(5184), 1,
      sym_tuple_type,
    STATE(5187), 1,
      sym_user_type,
    STATE(5370), 1,
      sym_function_type,
    STATE(6118), 1,
      sym__inheritance_specifiers,
    STATE(3925), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4488), 2,
      sym_array_type,
      sym_dictionary_type,
    STATE(4879), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(5918), 2,
      sym_inheritance_specifier,
      sym__annotated_inheritance_specifier,
    ACTIONS(6994), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6992), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(5338), 8,
      sym__unannotated_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [115419] = 21,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(4159), 1,
      anon_sym_each,
    ACTIONS(4164), 1,
      anon_sym_repeat,
    ACTIONS(4166), 1,
      anon_sym_LPAREN,
    ACTIONS(4168), 1,
      anon_sym_LBRACK,
    ACTIONS(4170), 1,
      anon_sym_some,
    ACTIONS(4172), 1,
      anon_sym_any,
    STATE(2301), 1,
      sym_tuple_type,
    STATE(2599), 1,
      sym__simple_user_type,
    STATE(2661), 1,
      sym_simple_identifier,
    STATE(3191), 1,
      sym__parenthesized_type,
    STATE(3330), 1,
      sym__type,
    STATE(3365), 1,
      sym__possibly_implicitly_unwrapped_type,
    STATE(4182), 1,
      sym_type_modifiers,
    STATE(2747), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(4157), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(2941), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(4155), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(2548), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [115506] = 22,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(7456), 1,
      anon_sym_each,
    ACTIONS(7458), 1,
      anon_sym_repeat,
    STATE(4543), 1,
      sym__simple_user_type,
    STATE(4640), 1,
      sym_simple_identifier,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(5184), 1,
      sym_tuple_type,
    STATE(5187), 1,
      sym_user_type,
    STATE(5370), 1,
      sym_function_type,
    STATE(6127), 1,
      sym__inheritance_specifiers,
    STATE(3925), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4488), 2,
      sym_array_type,
      sym_dictionary_type,
    STATE(4879), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(5918), 2,
      sym_inheritance_specifier,
      sym__annotated_inheritance_specifier,
    ACTIONS(6994), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6992), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(5338), 8,
      sym__unannotated_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [115595] = 21,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6996), 1,
      anon_sym_each,
    ACTIONS(6998), 1,
      anon_sym_repeat,
    ACTIONS(7000), 1,
      anon_sym_LPAREN,
    ACTIONS(7002), 1,
      anon_sym_LBRACK,
    ACTIONS(7004), 1,
      anon_sym_some,
    ACTIONS(7006), 1,
      anon_sym_any,
    STATE(4026), 1,
      sym_type_modifiers,
    STATE(4342), 1,
      sym_tuple_type,
    STATE(4543), 1,
      sym__simple_user_type,
    STATE(4640), 1,
      sym_simple_identifier,
    STATE(5012), 1,
      sym__parenthesized_type,
    STATE(6379), 1,
      sym__possibly_implicitly_unwrapped_type,
    STATE(6987), 1,
      sym__type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4879), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6994), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4600), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6992), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4516), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [115682] = 22,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(7456), 1,
      anon_sym_each,
    ACTIONS(7458), 1,
      anon_sym_repeat,
    STATE(4543), 1,
      sym__simple_user_type,
    STATE(4640), 1,
      sym_simple_identifier,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(5184), 1,
      sym_tuple_type,
    STATE(5187), 1,
      sym_user_type,
    STATE(5370), 1,
      sym_function_type,
    STATE(6130), 1,
      sym__inheritance_specifiers,
    STATE(3925), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4488), 2,
      sym_array_type,
      sym_dictionary_type,
    STATE(4879), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(5918), 2,
      sym_inheritance_specifier,
      sym__annotated_inheritance_specifier,
    ACTIONS(6994), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6992), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(5338), 8,
      sym__unannotated_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [115771] = 21,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6996), 1,
      anon_sym_each,
    ACTIONS(6998), 1,
      anon_sym_repeat,
    ACTIONS(7000), 1,
      anon_sym_LPAREN,
    ACTIONS(7002), 1,
      anon_sym_LBRACK,
    ACTIONS(7004), 1,
      anon_sym_some,
    ACTIONS(7006), 1,
      anon_sym_any,
    STATE(4026), 1,
      sym_type_modifiers,
    STATE(4342), 1,
      sym_tuple_type,
    STATE(4543), 1,
      sym__simple_user_type,
    STATE(4640), 1,
      sym_simple_identifier,
    STATE(5012), 1,
      sym__parenthesized_type,
    STATE(6336), 1,
      sym__possibly_implicitly_unwrapped_type,
    STATE(6987), 1,
      sym__type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4879), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6994), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4600), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6992), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4516), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [115858] = 22,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(7456), 1,
      anon_sym_each,
    ACTIONS(7458), 1,
      anon_sym_repeat,
    STATE(4543), 1,
      sym__simple_user_type,
    STATE(4640), 1,
      sym_simple_identifier,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(5184), 1,
      sym_tuple_type,
    STATE(5187), 1,
      sym_user_type,
    STATE(5370), 1,
      sym_function_type,
    STATE(6148), 1,
      sym__inheritance_specifiers,
    STATE(3925), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4488), 2,
      sym_array_type,
      sym_dictionary_type,
    STATE(4879), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(5918), 2,
      sym_inheritance_specifier,
      sym__annotated_inheritance_specifier,
    ACTIONS(6994), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6992), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(5338), 8,
      sym__unannotated_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [115947] = 21,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(7194), 1,
      anon_sym_each,
    ACTIONS(7196), 1,
      anon_sym_repeat,
    ACTIONS(7198), 1,
      anon_sym_some,
    ACTIONS(7200), 1,
      anon_sym_any,
    STATE(4099), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4733), 1,
      sym_tuple_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(5098), 1,
      sym__simple_user_type,
    STATE(5853), 1,
      sym__type,
    STATE(7686), 1,
      sym__possibly_implicitly_unwrapped_type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(5044), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [116034] = 21,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6996), 1,
      anon_sym_each,
    ACTIONS(6998), 1,
      anon_sym_repeat,
    ACTIONS(7000), 1,
      anon_sym_LPAREN,
    ACTIONS(7002), 1,
      anon_sym_LBRACK,
    ACTIONS(7004), 1,
      anon_sym_some,
    ACTIONS(7006), 1,
      anon_sym_any,
    STATE(4026), 1,
      sym_type_modifiers,
    STATE(4342), 1,
      sym_tuple_type,
    STATE(4543), 1,
      sym__simple_user_type,
    STATE(4640), 1,
      sym_simple_identifier,
    STATE(5012), 1,
      sym__parenthesized_type,
    STATE(6295), 1,
      sym__possibly_implicitly_unwrapped_type,
    STATE(6987), 1,
      sym__type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4879), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6994), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4600), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6992), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4516), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [116121] = 5,
    ACTIONS(7462), 1,
      anon_sym_COMMA,
    STATE(3369), 1,
      aux_sym_if_statement_repeat1,
    ACTIONS(7477), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7475), 36,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [116176] = 21,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6996), 1,
      anon_sym_each,
    ACTIONS(6998), 1,
      anon_sym_repeat,
    ACTIONS(7000), 1,
      anon_sym_LPAREN,
    ACTIONS(7002), 1,
      anon_sym_LBRACK,
    ACTIONS(7004), 1,
      anon_sym_some,
    ACTIONS(7006), 1,
      anon_sym_any,
    STATE(4026), 1,
      sym_type_modifiers,
    STATE(4342), 1,
      sym_tuple_type,
    STATE(4543), 1,
      sym__simple_user_type,
    STATE(4640), 1,
      sym_simple_identifier,
    STATE(5012), 1,
      sym__parenthesized_type,
    STATE(6167), 1,
      sym__possibly_implicitly_unwrapped_type,
    STATE(6987), 1,
      sym__type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4879), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6994), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4600), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6992), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4516), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [116263] = 22,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(7456), 1,
      anon_sym_each,
    ACTIONS(7458), 1,
      anon_sym_repeat,
    STATE(4543), 1,
      sym__simple_user_type,
    STATE(4640), 1,
      sym_simple_identifier,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(5184), 1,
      sym_tuple_type,
    STATE(5187), 1,
      sym_user_type,
    STATE(5370), 1,
      sym_function_type,
    STATE(6385), 1,
      sym__inheritance_specifiers,
    STATE(3925), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4488), 2,
      sym_array_type,
      sym_dictionary_type,
    STATE(4879), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(5918), 2,
      sym_inheritance_specifier,
      sym__annotated_inheritance_specifier,
    ACTIONS(6994), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6992), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(5338), 8,
      sym__unannotated_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [116352] = 22,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(7456), 1,
      anon_sym_each,
    ACTIONS(7458), 1,
      anon_sym_repeat,
    STATE(4543), 1,
      sym__simple_user_type,
    STATE(4640), 1,
      sym_simple_identifier,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(5184), 1,
      sym_tuple_type,
    STATE(5187), 1,
      sym_user_type,
    STATE(5370), 1,
      sym_function_type,
    STATE(6156), 1,
      sym__inheritance_specifiers,
    STATE(3925), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4488), 2,
      sym_array_type,
      sym_dictionary_type,
    STATE(4879), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(5918), 2,
      sym_inheritance_specifier,
      sym__annotated_inheritance_specifier,
    ACTIONS(6994), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6992), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(5338), 8,
      sym__unannotated_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [116441] = 22,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(7456), 1,
      anon_sym_each,
    ACTIONS(7458), 1,
      anon_sym_repeat,
    STATE(4543), 1,
      sym__simple_user_type,
    STATE(4640), 1,
      sym_simple_identifier,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(5184), 1,
      sym_tuple_type,
    STATE(5187), 1,
      sym_user_type,
    STATE(5370), 1,
      sym_function_type,
    STATE(6321), 1,
      sym__inheritance_specifiers,
    STATE(3925), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4488), 2,
      sym_array_type,
      sym_dictionary_type,
    STATE(4879), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(5918), 2,
      sym_inheritance_specifier,
      sym__annotated_inheritance_specifier,
    ACTIONS(6994), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6992), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(5338), 8,
      sym__unannotated_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [116530] = 21,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(3571), 1,
      anon_sym_each,
    ACTIONS(3573), 1,
      anon_sym_repeat,
    ACTIONS(3575), 1,
      anon_sym_LPAREN,
    ACTIONS(3577), 1,
      anon_sym_LBRACK,
    ACTIONS(3579), 1,
      anon_sym_some,
    ACTIONS(3581), 1,
      anon_sym_any,
    STATE(1515), 1,
      sym_simple_identifier,
    STATE(1517), 1,
      sym_tuple_type,
    STATE(1579), 1,
      sym__simple_user_type,
    STATE(1608), 1,
      sym__parenthesized_type,
    STATE(1924), 1,
      sym__type,
    STATE(2130), 1,
      sym__possibly_implicitly_unwrapped_type,
    STATE(4177), 1,
      sym_type_modifiers,
    STATE(1508), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(3566), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1521), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3564), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(1564), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [116617] = 21,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(7144), 1,
      anon_sym_each,
    ACTIONS(7146), 1,
      anon_sym_repeat,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    ACTIONS(7150), 1,
      anon_sym_LBRACK,
    ACTIONS(7152), 1,
      anon_sym_some,
    ACTIONS(7154), 1,
      anon_sym_any,
    STATE(4049), 1,
      sym_type_modifiers,
    STATE(4514), 1,
      sym_tuple_type,
    STATE(4762), 1,
      sym__simple_user_type,
    STATE(4763), 1,
      sym_simple_identifier,
    STATE(5212), 1,
      sym__parenthesized_type,
    STATE(5982), 1,
      sym__type,
    STATE(6320), 1,
      sym__possibly_implicitly_unwrapped_type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4966), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(7142), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(5036), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7140), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4936), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [116704] = 21,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(3571), 1,
      anon_sym_each,
    ACTIONS(3573), 1,
      anon_sym_repeat,
    ACTIONS(3575), 1,
      anon_sym_LPAREN,
    ACTIONS(3577), 1,
      anon_sym_LBRACK,
    ACTIONS(3579), 1,
      anon_sym_some,
    ACTIONS(3581), 1,
      anon_sym_any,
    STATE(1515), 1,
      sym_simple_identifier,
    STATE(1517), 1,
      sym_tuple_type,
    STATE(1579), 1,
      sym__simple_user_type,
    STATE(1608), 1,
      sym__parenthesized_type,
    STATE(1924), 1,
      sym__type,
    STATE(2119), 1,
      sym__possibly_implicitly_unwrapped_type,
    STATE(4177), 1,
      sym_type_modifiers,
    STATE(1508), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(3566), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1521), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3564), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(1564), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [116791] = 22,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(7456), 1,
      anon_sym_each,
    ACTIONS(7458), 1,
      anon_sym_repeat,
    STATE(4543), 1,
      sym__simple_user_type,
    STATE(4640), 1,
      sym_simple_identifier,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(5184), 1,
      sym_tuple_type,
    STATE(5187), 1,
      sym_user_type,
    STATE(5370), 1,
      sym_function_type,
    STATE(6365), 1,
      sym__inheritance_specifiers,
    STATE(3925), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4488), 2,
      sym_array_type,
      sym_dictionary_type,
    STATE(4879), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(5918), 2,
      sym_inheritance_specifier,
      sym__annotated_inheritance_specifier,
    ACTIONS(6994), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6992), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(5338), 8,
      sym__unannotated_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [116880] = 21,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(5853), 1,
      sym__type,
    STATE(7543), 1,
      sym__possibly_implicitly_unwrapped_type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [116967] = 21,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6861), 1,
      anon_sym_each,
    ACTIONS(6863), 1,
      anon_sym_repeat,
    ACTIONS(6865), 1,
      anon_sym_LPAREN,
    ACTIONS(6867), 1,
      anon_sym_LBRACK,
    ACTIONS(6869), 1,
      anon_sym_some,
    ACTIONS(6871), 1,
      anon_sym_any,
    STATE(3988), 1,
      sym_type_modifiers,
    STATE(4362), 1,
      sym_tuple_type,
    STATE(4467), 1,
      sym_simple_identifier,
    STATE(4468), 1,
      sym__simple_user_type,
    STATE(5008), 1,
      sym__parenthesized_type,
    STATE(5649), 1,
      sym__type,
    STATE(5811), 1,
      sym__possibly_implicitly_unwrapped_type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4658), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6859), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4688), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6857), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4527), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [117054] = 22,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(7456), 1,
      anon_sym_each,
    ACTIONS(7458), 1,
      anon_sym_repeat,
    STATE(4543), 1,
      sym__simple_user_type,
    STATE(4640), 1,
      sym_simple_identifier,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(5184), 1,
      sym_tuple_type,
    STATE(5187), 1,
      sym_user_type,
    STATE(5370), 1,
      sym_function_type,
    STATE(6158), 1,
      sym__inheritance_specifiers,
    STATE(3925), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4488), 2,
      sym_array_type,
      sym_dictionary_type,
    STATE(4879), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(5918), 2,
      sym_inheritance_specifier,
      sym__annotated_inheritance_specifier,
    ACTIONS(6994), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6992), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(5338), 8,
      sym__unannotated_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [117143] = 22,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(7456), 1,
      anon_sym_each,
    ACTIONS(7458), 1,
      anon_sym_repeat,
    STATE(4543), 1,
      sym__simple_user_type,
    STATE(4640), 1,
      sym_simple_identifier,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(5184), 1,
      sym_tuple_type,
    STATE(5187), 1,
      sym_user_type,
    STATE(5370), 1,
      sym_function_type,
    STATE(6216), 1,
      sym__inheritance_specifiers,
    STATE(3925), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4488), 2,
      sym_array_type,
      sym_dictionary_type,
    STATE(4879), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(5918), 2,
      sym_inheritance_specifier,
      sym__annotated_inheritance_specifier,
    ACTIONS(6994), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6992), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(5338), 8,
      sym__unannotated_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [117232] = 22,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(7456), 1,
      anon_sym_each,
    ACTIONS(7458), 1,
      anon_sym_repeat,
    STATE(4543), 1,
      sym__simple_user_type,
    STATE(4640), 1,
      sym_simple_identifier,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(5184), 1,
      sym_tuple_type,
    STATE(5187), 1,
      sym_user_type,
    STATE(5370), 1,
      sym_function_type,
    STATE(6159), 1,
      sym__inheritance_specifiers,
    STATE(3925), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4488), 2,
      sym_array_type,
      sym_dictionary_type,
    STATE(4879), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(5918), 2,
      sym_inheritance_specifier,
      sym__annotated_inheritance_specifier,
    ACTIONS(6994), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6992), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(5338), 8,
      sym__unannotated_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [117321] = 22,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(7456), 1,
      anon_sym_each,
    ACTIONS(7458), 1,
      anon_sym_repeat,
    STATE(4543), 1,
      sym__simple_user_type,
    STATE(4640), 1,
      sym_simple_identifier,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(5184), 1,
      sym_tuple_type,
    STATE(5187), 1,
      sym_user_type,
    STATE(5370), 1,
      sym_function_type,
    STATE(6171), 1,
      sym__inheritance_specifiers,
    STATE(3925), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4488), 2,
      sym_array_type,
      sym_dictionary_type,
    STATE(4879), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(5918), 2,
      sym_inheritance_specifier,
      sym__annotated_inheritance_specifier,
    ACTIONS(6994), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6992), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(5338), 8,
      sym__unannotated_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [117410] = 21,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6161), 1,
      anon_sym_each,
    ACTIONS(6163), 1,
      anon_sym_repeat,
    ACTIONS(6165), 1,
      anon_sym_LPAREN,
    ACTIONS(6167), 1,
      anon_sym_LBRACK,
    ACTIONS(6169), 1,
      anon_sym_some,
    ACTIONS(6171), 1,
      anon_sym_any,
    STATE(4019), 1,
      sym_type_modifiers,
    STATE(4283), 1,
      sym_tuple_type,
    STATE(4364), 1,
      sym__simple_user_type,
    STATE(4374), 1,
      sym_simple_identifier,
    STATE(4683), 1,
      sym__parenthesized_type,
    STATE(5382), 1,
      sym__type,
    STATE(5515), 1,
      sym__possibly_implicitly_unwrapped_type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4414), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6159), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4415), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6157), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4373), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [117497] = 21,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6996), 1,
      anon_sym_each,
    ACTIONS(6998), 1,
      anon_sym_repeat,
    ACTIONS(7000), 1,
      anon_sym_LPAREN,
    ACTIONS(7002), 1,
      anon_sym_LBRACK,
    ACTIONS(7004), 1,
      anon_sym_some,
    ACTIONS(7006), 1,
      anon_sym_any,
    STATE(4026), 1,
      sym_type_modifiers,
    STATE(4342), 1,
      sym_tuple_type,
    STATE(4543), 1,
      sym__simple_user_type,
    STATE(4640), 1,
      sym_simple_identifier,
    STATE(5012), 1,
      sym__parenthesized_type,
    STATE(6987), 1,
      sym__type,
    STATE(7169), 1,
      sym__possibly_implicitly_unwrapped_type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4879), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6994), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4600), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6992), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4516), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [117584] = 22,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(7456), 1,
      anon_sym_each,
    ACTIONS(7458), 1,
      anon_sym_repeat,
    STATE(4543), 1,
      sym__simple_user_type,
    STATE(4640), 1,
      sym_simple_identifier,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(5184), 1,
      sym_tuple_type,
    STATE(5187), 1,
      sym_user_type,
    STATE(5370), 1,
      sym_function_type,
    STATE(6162), 1,
      sym__inheritance_specifiers,
    STATE(3925), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4488), 2,
      sym_array_type,
      sym_dictionary_type,
    STATE(4879), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(5918), 2,
      sym_inheritance_specifier,
      sym__annotated_inheritance_specifier,
    ACTIONS(6994), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6992), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(5338), 8,
      sym__unannotated_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [117673] = 21,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6861), 1,
      anon_sym_each,
    ACTIONS(6863), 1,
      anon_sym_repeat,
    ACTIONS(6865), 1,
      anon_sym_LPAREN,
    ACTIONS(6867), 1,
      anon_sym_LBRACK,
    ACTIONS(6869), 1,
      anon_sym_some,
    ACTIONS(6871), 1,
      anon_sym_any,
    STATE(3988), 1,
      sym_type_modifiers,
    STATE(4362), 1,
      sym_tuple_type,
    STATE(4467), 1,
      sym_simple_identifier,
    STATE(4468), 1,
      sym__simple_user_type,
    STATE(5008), 1,
      sym__parenthesized_type,
    STATE(5649), 1,
      sym__type,
    STATE(5825), 1,
      sym__possibly_implicitly_unwrapped_type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4658), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6859), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4688), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6857), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4527), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [117760] = 22,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(7456), 1,
      anon_sym_each,
    ACTIONS(7458), 1,
      anon_sym_repeat,
    STATE(4543), 1,
      sym__simple_user_type,
    STATE(4640), 1,
      sym_simple_identifier,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(5184), 1,
      sym_tuple_type,
    STATE(5187), 1,
      sym_user_type,
    STATE(5370), 1,
      sym_function_type,
    STATE(6391), 1,
      sym__inheritance_specifiers,
    STATE(3925), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4488), 2,
      sym_array_type,
      sym_dictionary_type,
    STATE(4879), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(5918), 2,
      sym_inheritance_specifier,
      sym__annotated_inheritance_specifier,
    ACTIONS(6994), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6992), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(5338), 8,
      sym__unannotated_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [117849] = 5,
    ACTIONS(7479), 1,
      anon_sym_COMMA,
    STATE(3422), 1,
      aux_sym__modifierless_property_declaration_repeat1,
    ACTIONS(5911), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5906), 36,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [117904] = 22,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(7456), 1,
      anon_sym_each,
    ACTIONS(7458), 1,
      anon_sym_repeat,
    STATE(4543), 1,
      sym__simple_user_type,
    STATE(4640), 1,
      sym_simple_identifier,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(5184), 1,
      sym_tuple_type,
    STATE(5187), 1,
      sym_user_type,
    STATE(5370), 1,
      sym_function_type,
    STATE(6414), 1,
      sym__inheritance_specifiers,
    STATE(3925), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4488), 2,
      sym_array_type,
      sym_dictionary_type,
    STATE(4879), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(5918), 2,
      sym_inheritance_specifier,
      sym__annotated_inheritance_specifier,
    ACTIONS(6994), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6992), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(5338), 8,
      sym__unannotated_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [117993] = 21,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6950), 1,
      anon_sym_each,
    ACTIONS(6952), 1,
      anon_sym_repeat,
    ACTIONS(6954), 1,
      anon_sym_LPAREN,
    ACTIONS(6956), 1,
      anon_sym_LBRACK,
    ACTIONS(6958), 1,
      anon_sym_some,
    ACTIONS(6960), 1,
      anon_sym_any,
    STATE(4054), 1,
      sym_type_modifiers,
    STATE(4432), 1,
      sym_tuple_type,
    STATE(4604), 1,
      sym__simple_user_type,
    STATE(4642), 1,
      sym_simple_identifier,
    STATE(5077), 1,
      sym__parenthesized_type,
    STATE(5727), 1,
      sym__type,
    STATE(6039), 1,
      sym__possibly_implicitly_unwrapped_type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4852), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6948), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4807), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6946), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4707), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [118080] = 21,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6950), 1,
      anon_sym_each,
    ACTIONS(6952), 1,
      anon_sym_repeat,
    ACTIONS(6954), 1,
      anon_sym_LPAREN,
    ACTIONS(6956), 1,
      anon_sym_LBRACK,
    ACTIONS(6958), 1,
      anon_sym_some,
    ACTIONS(6960), 1,
      anon_sym_any,
    STATE(4054), 1,
      sym_type_modifiers,
    STATE(4432), 1,
      sym_tuple_type,
    STATE(4604), 1,
      sym__simple_user_type,
    STATE(4642), 1,
      sym_simple_identifier,
    STATE(5077), 1,
      sym__parenthesized_type,
    STATE(5727), 1,
      sym__type,
    STATE(6053), 1,
      sym__possibly_implicitly_unwrapped_type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4852), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6948), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4807), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6946), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4707), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [118167] = 21,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(7012), 1,
      anon_sym_each,
    ACTIONS(7014), 1,
      anon_sym_repeat,
    ACTIONS(7016), 1,
      anon_sym_LPAREN,
    ACTIONS(7018), 1,
      anon_sym_LBRACK,
    ACTIONS(7020), 1,
      anon_sym_some,
    ACTIONS(7022), 1,
      anon_sym_any,
    STATE(4086), 1,
      sym_type_modifiers,
    STATE(4438), 1,
      sym_tuple_type,
    STATE(4630), 1,
      sym__simple_user_type,
    STATE(4651), 1,
      sym_simple_identifier,
    STATE(5080), 1,
      sym__parenthesized_type,
    STATE(5707), 1,
      sym__type,
    STATE(5735), 1,
      sym__possibly_implicitly_unwrapped_type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4848), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(7010), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4884), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7008), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4681), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [118254] = 21,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6629), 1,
      anon_sym_each,
    ACTIONS(6631), 1,
      anon_sym_repeat,
    ACTIONS(6633), 1,
      anon_sym_LPAREN,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_some,
    ACTIONS(6639), 1,
      anon_sym_any,
    STATE(4005), 1,
      sym_type_modifiers,
    STATE(4324), 1,
      sym_tuple_type,
    STATE(4383), 1,
      sym_simple_identifier,
    STATE(4393), 1,
      sym__simple_user_type,
    STATE(4847), 1,
      sym__parenthesized_type,
    STATE(5520), 1,
      sym__type,
    STATE(5681), 1,
      sym__possibly_implicitly_unwrapped_type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4547), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6627), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4463), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6625), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4441), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [118341] = 21,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(7194), 1,
      anon_sym_each,
    ACTIONS(7196), 1,
      anon_sym_repeat,
    ACTIONS(7198), 1,
      anon_sym_some,
    ACTIONS(7200), 1,
      anon_sym_any,
    STATE(4099), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4733), 1,
      sym_tuple_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(5098), 1,
      sym__simple_user_type,
    STATE(5604), 1,
      sym__type,
    STATE(5754), 1,
      sym__possibly_implicitly_unwrapped_type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(5044), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [118428] = 21,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(7194), 1,
      anon_sym_each,
    ACTIONS(7196), 1,
      anon_sym_repeat,
    ACTIONS(7198), 1,
      anon_sym_some,
    ACTIONS(7200), 1,
      anon_sym_any,
    STATE(4099), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4733), 1,
      sym_tuple_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(5098), 1,
      sym__simple_user_type,
    STATE(5853), 1,
      sym__type,
    STATE(7781), 1,
      sym__possibly_implicitly_unwrapped_type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(5044), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [118515] = 22,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(7456), 1,
      anon_sym_each,
    ACTIONS(7458), 1,
      anon_sym_repeat,
    STATE(4543), 1,
      sym__simple_user_type,
    STATE(4640), 1,
      sym_simple_identifier,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(5184), 1,
      sym_tuple_type,
    STATE(5187), 1,
      sym_user_type,
    STATE(5370), 1,
      sym_function_type,
    STATE(6146), 1,
      sym__inheritance_specifiers,
    STATE(3925), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4488), 2,
      sym_array_type,
      sym_dictionary_type,
    STATE(4879), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(5918), 2,
      sym_inheritance_specifier,
      sym__annotated_inheritance_specifier,
    ACTIONS(6994), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6992), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(5338), 8,
      sym__unannotated_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [118604] = 5,
    ACTIONS(7462), 1,
      anon_sym_COMMA,
    STATE(3478), 1,
      aux_sym_if_statement_repeat1,
    ACTIONS(7484), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7482), 36,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [118659] = 21,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6996), 1,
      anon_sym_each,
    ACTIONS(6998), 1,
      anon_sym_repeat,
    ACTIONS(7000), 1,
      anon_sym_LPAREN,
    ACTIONS(7002), 1,
      anon_sym_LBRACK,
    ACTIONS(7004), 1,
      anon_sym_some,
    ACTIONS(7006), 1,
      anon_sym_any,
    STATE(4026), 1,
      sym_type_modifiers,
    STATE(4342), 1,
      sym_tuple_type,
    STATE(4543), 1,
      sym__simple_user_type,
    STATE(4640), 1,
      sym_simple_identifier,
    STATE(5012), 1,
      sym__parenthesized_type,
    STATE(6109), 1,
      sym__possibly_implicitly_unwrapped_type,
    STATE(6987), 1,
      sym__type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4879), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6994), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4600), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6992), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4516), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [118746] = 21,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(7012), 1,
      anon_sym_each,
    ACTIONS(7014), 1,
      anon_sym_repeat,
    ACTIONS(7016), 1,
      anon_sym_LPAREN,
    ACTIONS(7018), 1,
      anon_sym_LBRACK,
    ACTIONS(7020), 1,
      anon_sym_some,
    ACTIONS(7022), 1,
      anon_sym_any,
    STATE(4086), 1,
      sym_type_modifiers,
    STATE(4438), 1,
      sym_tuple_type,
    STATE(4630), 1,
      sym__simple_user_type,
    STATE(4651), 1,
      sym_simple_identifier,
    STATE(5080), 1,
      sym__parenthesized_type,
    STATE(5707), 1,
      sym__type,
    STATE(5732), 1,
      sym__possibly_implicitly_unwrapped_type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4848), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(7010), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4884), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7008), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4681), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [118833] = 21,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(7194), 1,
      anon_sym_each,
    ACTIONS(7196), 1,
      anon_sym_repeat,
    ACTIONS(7198), 1,
      anon_sym_some,
    ACTIONS(7200), 1,
      anon_sym_any,
    STATE(4099), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4733), 1,
      sym_tuple_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(5098), 1,
      sym__simple_user_type,
    STATE(5853), 1,
      sym__type,
    STATE(7791), 1,
      sym__possibly_implicitly_unwrapped_type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(5044), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [118920] = 21,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6996), 1,
      anon_sym_each,
    ACTIONS(6998), 1,
      anon_sym_repeat,
    ACTIONS(7000), 1,
      anon_sym_LPAREN,
    ACTIONS(7002), 1,
      anon_sym_LBRACK,
    ACTIONS(7004), 1,
      anon_sym_some,
    ACTIONS(7006), 1,
      anon_sym_any,
    STATE(4026), 1,
      sym_type_modifiers,
    STATE(4342), 1,
      sym_tuple_type,
    STATE(4543), 1,
      sym__simple_user_type,
    STATE(4640), 1,
      sym_simple_identifier,
    STATE(5012), 1,
      sym__parenthesized_type,
    STATE(6123), 1,
      sym__possibly_implicitly_unwrapped_type,
    STATE(6987), 1,
      sym__type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4879), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6994), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4600), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6992), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4516), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [119007] = 22,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(7456), 1,
      anon_sym_each,
    ACTIONS(7458), 1,
      anon_sym_repeat,
    STATE(4543), 1,
      sym__simple_user_type,
    STATE(4640), 1,
      sym_simple_identifier,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(5184), 1,
      sym_tuple_type,
    STATE(5187), 1,
      sym_user_type,
    STATE(5370), 1,
      sym_function_type,
    STATE(6411), 1,
      sym__inheritance_specifiers,
    STATE(3925), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4488), 2,
      sym_array_type,
      sym_dictionary_type,
    STATE(4879), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(5918), 2,
      sym_inheritance_specifier,
      sym__annotated_inheritance_specifier,
    ACTIONS(6994), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6992), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(5338), 8,
      sym__unannotated_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [119096] = 21,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6996), 1,
      anon_sym_each,
    ACTIONS(6998), 1,
      anon_sym_repeat,
    ACTIONS(7000), 1,
      anon_sym_LPAREN,
    ACTIONS(7002), 1,
      anon_sym_LBRACK,
    ACTIONS(7004), 1,
      anon_sym_some,
    ACTIONS(7006), 1,
      anon_sym_any,
    STATE(4026), 1,
      sym_type_modifiers,
    STATE(4342), 1,
      sym_tuple_type,
    STATE(4543), 1,
      sym__simple_user_type,
    STATE(4640), 1,
      sym_simple_identifier,
    STATE(5012), 1,
      sym__parenthesized_type,
    STATE(6987), 1,
      sym__type,
    STATE(7345), 1,
      sym__possibly_implicitly_unwrapped_type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4879), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6994), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4600), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6992), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4516), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [119183] = 6,
    STATE(27), 1,
      sym__semi,
    STATE(3392), 1,
      aux_sym_statements_repeat1,
    ACTIONS(389), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(7486), 2,
      sym__implicit_semi,
      sym__explicit_semi,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(391), 34,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [119240] = 21,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6996), 1,
      anon_sym_each,
    ACTIONS(6998), 1,
      anon_sym_repeat,
    ACTIONS(7000), 1,
      anon_sym_LPAREN,
    ACTIONS(7002), 1,
      anon_sym_LBRACK,
    ACTIONS(7004), 1,
      anon_sym_some,
    ACTIONS(7006), 1,
      anon_sym_any,
    STATE(4026), 1,
      sym_type_modifiers,
    STATE(4342), 1,
      sym_tuple_type,
    STATE(4543), 1,
      sym__simple_user_type,
    STATE(4640), 1,
      sym_simple_identifier,
    STATE(5012), 1,
      sym__parenthesized_type,
    STATE(6987), 1,
      sym__type,
    STATE(7175), 1,
      sym__possibly_implicitly_unwrapped_type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4879), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6994), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4600), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6992), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4516), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [119327] = 21,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(5853), 1,
      sym__type,
    STATE(7343), 1,
      sym__possibly_implicitly_unwrapped_type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [119414] = 21,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(7194), 1,
      anon_sym_each,
    ACTIONS(7196), 1,
      anon_sym_repeat,
    ACTIONS(7198), 1,
      anon_sym_some,
    ACTIONS(7200), 1,
      anon_sym_any,
    STATE(4099), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4733), 1,
      sym_tuple_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(5098), 1,
      sym__simple_user_type,
    STATE(5853), 1,
      sym__type,
    STATE(7698), 1,
      sym__possibly_implicitly_unwrapped_type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(5044), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [119501] = 21,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6996), 1,
      anon_sym_each,
    ACTIONS(6998), 1,
      anon_sym_repeat,
    ACTIONS(7000), 1,
      anon_sym_LPAREN,
    ACTIONS(7002), 1,
      anon_sym_LBRACK,
    ACTIONS(7004), 1,
      anon_sym_some,
    ACTIONS(7006), 1,
      anon_sym_any,
    STATE(4026), 1,
      sym_type_modifiers,
    STATE(4342), 1,
      sym_tuple_type,
    STATE(4543), 1,
      sym__simple_user_type,
    STATE(4640), 1,
      sym_simple_identifier,
    STATE(5012), 1,
      sym__parenthesized_type,
    STATE(6780), 1,
      sym__possibly_implicitly_unwrapped_type,
    STATE(6987), 1,
      sym__type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4879), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6994), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4600), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6992), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4516), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [119588] = 21,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(7012), 1,
      anon_sym_each,
    ACTIONS(7014), 1,
      anon_sym_repeat,
    ACTIONS(7016), 1,
      anon_sym_LPAREN,
    ACTIONS(7018), 1,
      anon_sym_LBRACK,
    ACTIONS(7020), 1,
      anon_sym_some,
    ACTIONS(7022), 1,
      anon_sym_any,
    STATE(4086), 1,
      sym_type_modifiers,
    STATE(4438), 1,
      sym_tuple_type,
    STATE(4630), 1,
      sym__simple_user_type,
    STATE(4651), 1,
      sym_simple_identifier,
    STATE(5080), 1,
      sym__parenthesized_type,
    STATE(5702), 1,
      sym__possibly_implicitly_unwrapped_type,
    STATE(5707), 1,
      sym__type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4848), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(7010), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4884), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7008), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4681), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [119675] = 5,
    ACTIONS(7466), 1,
      anon_sym_COMMA,
    STATE(3382), 1,
      aux_sym__modifierless_property_declaration_repeat1,
    ACTIONS(6132), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6130), 36,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [119730] = 21,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6996), 1,
      anon_sym_each,
    ACTIONS(6998), 1,
      anon_sym_repeat,
    ACTIONS(7000), 1,
      anon_sym_LPAREN,
    ACTIONS(7002), 1,
      anon_sym_LBRACK,
    ACTIONS(7004), 1,
      anon_sym_some,
    ACTIONS(7006), 1,
      anon_sym_any,
    STATE(4026), 1,
      sym_type_modifiers,
    STATE(4342), 1,
      sym_tuple_type,
    STATE(4543), 1,
      sym__simple_user_type,
    STATE(4640), 1,
      sym_simple_identifier,
    STATE(5012), 1,
      sym__parenthesized_type,
    STATE(6353), 1,
      sym__possibly_implicitly_unwrapped_type,
    STATE(6987), 1,
      sym__type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4879), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6994), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4600), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6992), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4516), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [119817] = 5,
    ACTIONS(7462), 1,
      anon_sym_COMMA,
    STATE(3369), 1,
      aux_sym_if_statement_repeat1,
    ACTIONS(7490), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7488), 36,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [119872] = 21,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(7012), 1,
      anon_sym_each,
    ACTIONS(7014), 1,
      anon_sym_repeat,
    ACTIONS(7016), 1,
      anon_sym_LPAREN,
    ACTIONS(7018), 1,
      anon_sym_LBRACK,
    ACTIONS(7020), 1,
      anon_sym_some,
    ACTIONS(7022), 1,
      anon_sym_any,
    STATE(4086), 1,
      sym_type_modifiers,
    STATE(4438), 1,
      sym_tuple_type,
    STATE(4630), 1,
      sym__simple_user_type,
    STATE(4651), 1,
      sym_simple_identifier,
    STATE(5080), 1,
      sym__parenthesized_type,
    STATE(5707), 1,
      sym__type,
    STATE(5734), 1,
      sym__possibly_implicitly_unwrapped_type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4848), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(7010), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4884), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7008), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4681), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [119959] = 21,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(7012), 1,
      anon_sym_each,
    ACTIONS(7014), 1,
      anon_sym_repeat,
    ACTIONS(7016), 1,
      anon_sym_LPAREN,
    ACTIONS(7018), 1,
      anon_sym_LBRACK,
    ACTIONS(7020), 1,
      anon_sym_some,
    ACTIONS(7022), 1,
      anon_sym_any,
    STATE(4086), 1,
      sym_type_modifiers,
    STATE(4438), 1,
      sym_tuple_type,
    STATE(4630), 1,
      sym__simple_user_type,
    STATE(4651), 1,
      sym_simple_identifier,
    STATE(5080), 1,
      sym__parenthesized_type,
    STATE(5707), 1,
      sym__type,
    STATE(5731), 1,
      sym__possibly_implicitly_unwrapped_type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4848), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(7010), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4884), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7008), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4681), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [120046] = 21,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(7012), 1,
      anon_sym_each,
    ACTIONS(7014), 1,
      anon_sym_repeat,
    ACTIONS(7016), 1,
      anon_sym_LPAREN,
    ACTIONS(7018), 1,
      anon_sym_LBRACK,
    ACTIONS(7020), 1,
      anon_sym_some,
    ACTIONS(7022), 1,
      anon_sym_any,
    STATE(4086), 1,
      sym_type_modifiers,
    STATE(4438), 1,
      sym_tuple_type,
    STATE(4630), 1,
      sym__simple_user_type,
    STATE(4651), 1,
      sym_simple_identifier,
    STATE(5080), 1,
      sym__parenthesized_type,
    STATE(5705), 1,
      sym__possibly_implicitly_unwrapped_type,
    STATE(5707), 1,
      sym__type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4848), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(7010), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4884), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7008), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4681), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [120133] = 21,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6835), 1,
      anon_sym_each,
    ACTIONS(6837), 1,
      anon_sym_repeat,
    ACTIONS(6839), 1,
      anon_sym_LPAREN,
    ACTIONS(6841), 1,
      anon_sym_LBRACK,
    ACTIONS(6843), 1,
      anon_sym_some,
    ACTIONS(6845), 1,
      anon_sym_any,
    STATE(4116), 1,
      sym_type_modifiers,
    STATE(4334), 1,
      sym_tuple_type,
    STATE(4484), 1,
      sym__simple_user_type,
    STATE(4511), 1,
      sym_simple_identifier,
    STATE(5031), 1,
      sym__parenthesized_type,
    STATE(5585), 1,
      sym__type,
    STATE(5795), 1,
      sym__possibly_implicitly_unwrapped_type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4686), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6833), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4607), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6831), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4491), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [120220] = 21,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(3575), 1,
      anon_sym_LPAREN,
    ACTIONS(3577), 1,
      anon_sym_LBRACK,
    ACTIONS(7094), 1,
      anon_sym_each,
    ACTIONS(7096), 1,
      anon_sym_repeat,
    ACTIONS(7098), 1,
      anon_sym_some,
    ACTIONS(7100), 1,
      anon_sym_any,
    STATE(1515), 1,
      sym_simple_identifier,
    STATE(1608), 1,
      sym__parenthesized_type,
    STATE(1924), 1,
      sym__type,
    STATE(4001), 1,
      sym_type_modifiers,
    STATE(4570), 1,
      sym_tuple_type,
    STATE(4938), 1,
      sym__simple_user_type,
    STATE(6032), 1,
      sym__possibly_implicitly_unwrapped_type,
    STATE(1508), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(3566), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1521), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3564), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4904), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [120307] = 22,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(7456), 1,
      anon_sym_each,
    ACTIONS(7458), 1,
      anon_sym_repeat,
    STATE(4543), 1,
      sym__simple_user_type,
    STATE(4640), 1,
      sym_simple_identifier,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(5184), 1,
      sym_tuple_type,
    STATE(5187), 1,
      sym_user_type,
    STATE(5370), 1,
      sym_function_type,
    STATE(6409), 1,
      sym__inheritance_specifiers,
    STATE(3925), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4488), 2,
      sym_array_type,
      sym_dictionary_type,
    STATE(4879), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(5918), 2,
      sym_inheritance_specifier,
      sym__annotated_inheritance_specifier,
    ACTIONS(6994), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6992), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(5338), 8,
      sym__unannotated_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [120396] = 22,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(7456), 1,
      anon_sym_each,
    ACTIONS(7458), 1,
      anon_sym_repeat,
    STATE(4543), 1,
      sym__simple_user_type,
    STATE(4640), 1,
      sym_simple_identifier,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(5184), 1,
      sym_tuple_type,
    STATE(5187), 1,
      sym_user_type,
    STATE(5370), 1,
      sym_function_type,
    STATE(6165), 1,
      sym__inheritance_specifiers,
    STATE(3925), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4488), 2,
      sym_array_type,
      sym_dictionary_type,
    STATE(4879), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(5918), 2,
      sym_inheritance_specifier,
      sym__annotated_inheritance_specifier,
    ACTIONS(6994), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6992), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(5338), 8,
      sym__unannotated_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [120485] = 21,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(7012), 1,
      anon_sym_each,
    ACTIONS(7014), 1,
      anon_sym_repeat,
    ACTIONS(7016), 1,
      anon_sym_LPAREN,
    ACTIONS(7018), 1,
      anon_sym_LBRACK,
    ACTIONS(7020), 1,
      anon_sym_some,
    ACTIONS(7022), 1,
      anon_sym_any,
    STATE(4086), 1,
      sym_type_modifiers,
    STATE(4438), 1,
      sym_tuple_type,
    STATE(4630), 1,
      sym__simple_user_type,
    STATE(4651), 1,
      sym_simple_identifier,
    STATE(5080), 1,
      sym__parenthesized_type,
    STATE(5707), 1,
      sym__type,
    STATE(5725), 1,
      sym__possibly_implicitly_unwrapped_type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4848), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(7010), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4884), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7008), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4681), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [120572] = 21,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(3517), 1,
      anon_sym_each,
    ACTIONS(3519), 1,
      anon_sym_repeat,
    ACTIONS(3521), 1,
      anon_sym_LPAREN,
    ACTIONS(3523), 1,
      anon_sym_LBRACK,
    ACTIONS(3525), 1,
      anon_sym_some,
    ACTIONS(3527), 1,
      anon_sym_any,
    STATE(1496), 1,
      sym_tuple_type,
    STATE(1524), 1,
      sym_simple_identifier,
    STATE(1527), 1,
      sym__simple_user_type,
    STATE(1650), 1,
      sym__parenthesized_type,
    STATE(1953), 1,
      sym__type,
    STATE(2104), 1,
      sym__possibly_implicitly_unwrapped_type,
    STATE(4076), 1,
      sym_type_modifiers,
    STATE(1582), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(3512), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1559), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3510), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(1541), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [120659] = 21,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(2295), 1,
      sym__possibly_implicitly_unwrapped_type,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(5853), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [120746] = 21,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(3521), 1,
      anon_sym_LPAREN,
    ACTIONS(3523), 1,
      anon_sym_LBRACK,
    ACTIONS(7132), 1,
      anon_sym_each,
    ACTIONS(7134), 1,
      anon_sym_repeat,
    ACTIONS(7136), 1,
      anon_sym_some,
    ACTIONS(7138), 1,
      anon_sym_any,
    STATE(1524), 1,
      sym_simple_identifier,
    STATE(1527), 1,
      sym__simple_user_type,
    STATE(1650), 1,
      sym__parenthesized_type,
    STATE(1953), 1,
      sym__type,
    STATE(2104), 1,
      sym__possibly_implicitly_unwrapped_type,
    STATE(4119), 1,
      sym_type_modifiers,
    STATE(4556), 1,
      sym_tuple_type,
    STATE(1582), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(3512), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1559), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3510), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4900), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [120833] = 6,
    STATE(28), 1,
      sym__semi,
    STATE(3438), 1,
      aux_sym_statements_repeat1,
    ACTIONS(7494), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(7496), 2,
      sym__implicit_semi,
      sym__explicit_semi,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7492), 34,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [120890] = 21,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(7194), 1,
      anon_sym_each,
    ACTIONS(7196), 1,
      anon_sym_repeat,
    ACTIONS(7198), 1,
      anon_sym_some,
    ACTIONS(7200), 1,
      anon_sym_any,
    STATE(4099), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4733), 1,
      sym_tuple_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(5098), 1,
      sym__simple_user_type,
    STATE(5604), 1,
      sym__type,
    STATE(5833), 1,
      sym__possibly_implicitly_unwrapped_type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(5044), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [120977] = 21,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(7194), 1,
      anon_sym_each,
    ACTIONS(7196), 1,
      anon_sym_repeat,
    ACTIONS(7198), 1,
      anon_sym_some,
    ACTIONS(7200), 1,
      anon_sym_any,
    STATE(4099), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4733), 1,
      sym_tuple_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(5098), 1,
      sym__simple_user_type,
    STATE(5853), 1,
      sym__type,
    STATE(7885), 1,
      sym__possibly_implicitly_unwrapped_type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(5044), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [121064] = 21,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6996), 1,
      anon_sym_each,
    ACTIONS(6998), 1,
      anon_sym_repeat,
    ACTIONS(7000), 1,
      anon_sym_LPAREN,
    ACTIONS(7002), 1,
      anon_sym_LBRACK,
    ACTIONS(7004), 1,
      anon_sym_some,
    ACTIONS(7006), 1,
      anon_sym_any,
    STATE(4026), 1,
      sym_type_modifiers,
    STATE(4342), 1,
      sym_tuple_type,
    STATE(4543), 1,
      sym__simple_user_type,
    STATE(4640), 1,
      sym_simple_identifier,
    STATE(5012), 1,
      sym__parenthesized_type,
    STATE(6987), 1,
      sym__type,
    STATE(7174), 1,
      sym__possibly_implicitly_unwrapped_type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4879), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6994), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4600), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6992), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4516), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [121151] = 21,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(3575), 1,
      anon_sym_LPAREN,
    ACTIONS(3577), 1,
      anon_sym_LBRACK,
    ACTIONS(7094), 1,
      anon_sym_each,
    ACTIONS(7096), 1,
      anon_sym_repeat,
    ACTIONS(7098), 1,
      anon_sym_some,
    ACTIONS(7100), 1,
      anon_sym_any,
    ACTIONS(7498), 1,
      sym_wildcard_pattern,
    STATE(1608), 1,
      sym__parenthesized_type,
    STATE(4001), 1,
      sym_type_modifiers,
    STATE(4570), 1,
      sym_tuple_type,
    STATE(4938), 1,
      sym__simple_user_type,
    STATE(4959), 1,
      sym_simple_identifier,
    STATE(6380), 1,
      sym__type,
    STATE(1508), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(3566), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1521), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3564), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4904), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [121238] = 21,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6996), 1,
      anon_sym_each,
    ACTIONS(6998), 1,
      anon_sym_repeat,
    ACTIONS(7000), 1,
      anon_sym_LPAREN,
    ACTIONS(7002), 1,
      anon_sym_LBRACK,
    ACTIONS(7004), 1,
      anon_sym_some,
    ACTIONS(7006), 1,
      anon_sym_any,
    STATE(4026), 1,
      sym_type_modifiers,
    STATE(4342), 1,
      sym_tuple_type,
    STATE(4543), 1,
      sym__simple_user_type,
    STATE(4640), 1,
      sym_simple_identifier,
    STATE(5012), 1,
      sym__parenthesized_type,
    STATE(6762), 1,
      sym__possibly_implicitly_unwrapped_type,
    STATE(6987), 1,
      sym__type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4879), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6994), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4600), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6992), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4516), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [121325] = 21,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6996), 1,
      anon_sym_each,
    ACTIONS(6998), 1,
      anon_sym_repeat,
    ACTIONS(7000), 1,
      anon_sym_LPAREN,
    ACTIONS(7002), 1,
      anon_sym_LBRACK,
    ACTIONS(7004), 1,
      anon_sym_some,
    ACTIONS(7006), 1,
      anon_sym_any,
    STATE(4026), 1,
      sym_type_modifiers,
    STATE(4342), 1,
      sym_tuple_type,
    STATE(4543), 1,
      sym__simple_user_type,
    STATE(4640), 1,
      sym_simple_identifier,
    STATE(5012), 1,
      sym__parenthesized_type,
    STATE(6731), 1,
      sym__possibly_implicitly_unwrapped_type,
    STATE(6987), 1,
      sym__type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4879), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6994), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4600), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6992), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4516), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [121412] = 22,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(7456), 1,
      anon_sym_each,
    ACTIONS(7458), 1,
      anon_sym_repeat,
    STATE(4543), 1,
      sym__simple_user_type,
    STATE(4640), 1,
      sym_simple_identifier,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(5184), 1,
      sym_tuple_type,
    STATE(5187), 1,
      sym_user_type,
    STATE(5370), 1,
      sym_function_type,
    STATE(6434), 1,
      sym__inheritance_specifiers,
    STATE(3925), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4488), 2,
      sym_array_type,
      sym_dictionary_type,
    STATE(4879), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(5918), 2,
      sym_inheritance_specifier,
      sym__annotated_inheritance_specifier,
    ACTIONS(6994), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6992), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(5338), 8,
      sym__unannotated_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [121501] = 22,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(7456), 1,
      anon_sym_each,
    ACTIONS(7458), 1,
      anon_sym_repeat,
    STATE(4543), 1,
      sym__simple_user_type,
    STATE(4640), 1,
      sym_simple_identifier,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(5184), 1,
      sym_tuple_type,
    STATE(5187), 1,
      sym_user_type,
    STATE(5370), 1,
      sym_function_type,
    STATE(6433), 1,
      sym__inheritance_specifiers,
    STATE(3925), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4488), 2,
      sym_array_type,
      sym_dictionary_type,
    STATE(4879), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(5918), 2,
      sym_inheritance_specifier,
      sym__annotated_inheritance_specifier,
    ACTIONS(6994), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6992), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(5338), 8,
      sym__unannotated_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [121590] = 22,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(7456), 1,
      anon_sym_each,
    ACTIONS(7458), 1,
      anon_sym_repeat,
    STATE(4543), 1,
      sym__simple_user_type,
    STATE(4640), 1,
      sym_simple_identifier,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(5184), 1,
      sym_tuple_type,
    STATE(5187), 1,
      sym_user_type,
    STATE(5370), 1,
      sym_function_type,
    STATE(6419), 1,
      sym__inheritance_specifiers,
    STATE(3925), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4488), 2,
      sym_array_type,
      sym_dictionary_type,
    STATE(4879), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(5918), 2,
      sym_inheritance_specifier,
      sym__annotated_inheritance_specifier,
    ACTIONS(6994), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6992), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(5338), 8,
      sym__unannotated_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [121679] = 21,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6996), 1,
      anon_sym_each,
    ACTIONS(6998), 1,
      anon_sym_repeat,
    ACTIONS(7000), 1,
      anon_sym_LPAREN,
    ACTIONS(7002), 1,
      anon_sym_LBRACK,
    ACTIONS(7004), 1,
      anon_sym_some,
    ACTIONS(7006), 1,
      anon_sym_any,
    STATE(4026), 1,
      sym_type_modifiers,
    STATE(4342), 1,
      sym_tuple_type,
    STATE(4543), 1,
      sym__simple_user_type,
    STATE(4640), 1,
      sym_simple_identifier,
    STATE(5012), 1,
      sym__parenthesized_type,
    STATE(6374), 1,
      sym__possibly_implicitly_unwrapped_type,
    STATE(6987), 1,
      sym__type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4879), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6994), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4600), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6992), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4516), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [121766] = 21,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6996), 1,
      anon_sym_each,
    ACTIONS(6998), 1,
      anon_sym_repeat,
    ACTIONS(7000), 1,
      anon_sym_LPAREN,
    ACTIONS(7002), 1,
      anon_sym_LBRACK,
    ACTIONS(7004), 1,
      anon_sym_some,
    ACTIONS(7006), 1,
      anon_sym_any,
    STATE(4026), 1,
      sym_type_modifiers,
    STATE(4342), 1,
      sym_tuple_type,
    STATE(4543), 1,
      sym__simple_user_type,
    STATE(4640), 1,
      sym_simple_identifier,
    STATE(5012), 1,
      sym__parenthesized_type,
    STATE(6153), 1,
      sym__possibly_implicitly_unwrapped_type,
    STATE(6987), 1,
      sym__type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4879), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6994), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4600), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6992), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4516), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [121853] = 21,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6996), 1,
      anon_sym_each,
    ACTIONS(6998), 1,
      anon_sym_repeat,
    ACTIONS(7000), 1,
      anon_sym_LPAREN,
    ACTIONS(7002), 1,
      anon_sym_LBRACK,
    ACTIONS(7004), 1,
      anon_sym_some,
    ACTIONS(7006), 1,
      anon_sym_any,
    STATE(4026), 1,
      sym_type_modifiers,
    STATE(4342), 1,
      sym_tuple_type,
    STATE(4543), 1,
      sym__simple_user_type,
    STATE(4640), 1,
      sym_simple_identifier,
    STATE(5012), 1,
      sym__parenthesized_type,
    STATE(6137), 1,
      sym__possibly_implicitly_unwrapped_type,
    STATE(6987), 1,
      sym__type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4879), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6994), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4600), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6992), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4516), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [121940] = 22,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(7456), 1,
      anon_sym_each,
    ACTIONS(7458), 1,
      anon_sym_repeat,
    STATE(4543), 1,
      sym__simple_user_type,
    STATE(4640), 1,
      sym_simple_identifier,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(5184), 1,
      sym_tuple_type,
    STATE(5187), 1,
      sym_user_type,
    STATE(5370), 1,
      sym_function_type,
    STATE(6412), 1,
      sym__inheritance_specifiers,
    STATE(3925), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4488), 2,
      sym_array_type,
      sym_dictionary_type,
    STATE(4879), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(5918), 2,
      sym_inheritance_specifier,
      sym__annotated_inheritance_specifier,
    ACTIONS(6994), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6992), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(5338), 8,
      sym__unannotated_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [122029] = 22,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(7456), 1,
      anon_sym_each,
    ACTIONS(7458), 1,
      anon_sym_repeat,
    STATE(4543), 1,
      sym__simple_user_type,
    STATE(4640), 1,
      sym_simple_identifier,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(5184), 1,
      sym_tuple_type,
    STATE(5187), 1,
      sym_user_type,
    STATE(5370), 1,
      sym_function_type,
    STATE(6314), 1,
      sym__inheritance_specifiers,
    STATE(3925), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4488), 2,
      sym_array_type,
      sym_dictionary_type,
    STATE(4879), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(5918), 2,
      sym_inheritance_specifier,
      sym__annotated_inheritance_specifier,
    ACTIONS(6994), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6992), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(5338), 8,
      sym__unannotated_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [122118] = 21,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(7012), 1,
      anon_sym_each,
    ACTIONS(7014), 1,
      anon_sym_repeat,
    ACTIONS(7016), 1,
      anon_sym_LPAREN,
    ACTIONS(7018), 1,
      anon_sym_LBRACK,
    ACTIONS(7020), 1,
      anon_sym_some,
    ACTIONS(7022), 1,
      anon_sym_any,
    STATE(4086), 1,
      sym_type_modifiers,
    STATE(4438), 1,
      sym_tuple_type,
    STATE(4630), 1,
      sym__simple_user_type,
    STATE(4651), 1,
      sym_simple_identifier,
    STATE(5080), 1,
      sym__parenthesized_type,
    STATE(5707), 1,
      sym__type,
    STATE(5869), 1,
      sym__possibly_implicitly_unwrapped_type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4848), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(7010), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4884), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7008), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4681), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [122205] = 22,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(7456), 1,
      anon_sym_each,
    ACTIONS(7458), 1,
      anon_sym_repeat,
    STATE(4543), 1,
      sym__simple_user_type,
    STATE(4640), 1,
      sym_simple_identifier,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(5184), 1,
      sym_tuple_type,
    STATE(5187), 1,
      sym_user_type,
    STATE(5370), 1,
      sym_function_type,
    STATE(6279), 1,
      sym__inheritance_specifiers,
    STATE(3925), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4488), 2,
      sym_array_type,
      sym_dictionary_type,
    STATE(4879), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(5918), 2,
      sym_inheritance_specifier,
      sym__annotated_inheritance_specifier,
    ACTIONS(6994), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6992), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(5338), 8,
      sym__unannotated_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [122294] = 21,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6996), 1,
      anon_sym_each,
    ACTIONS(6998), 1,
      anon_sym_repeat,
    ACTIONS(7000), 1,
      anon_sym_LPAREN,
    ACTIONS(7002), 1,
      anon_sym_LBRACK,
    ACTIONS(7004), 1,
      anon_sym_some,
    ACTIONS(7006), 1,
      anon_sym_any,
    STATE(4026), 1,
      sym_type_modifiers,
    STATE(4342), 1,
      sym_tuple_type,
    STATE(4543), 1,
      sym__simple_user_type,
    STATE(4640), 1,
      sym_simple_identifier,
    STATE(5012), 1,
      sym__parenthesized_type,
    STATE(6106), 1,
      sym__possibly_implicitly_unwrapped_type,
    STATE(6987), 1,
      sym__type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4879), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6994), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4600), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6992), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4516), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [122381] = 22,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(7456), 1,
      anon_sym_each,
    ACTIONS(7458), 1,
      anon_sym_repeat,
    STATE(4543), 1,
      sym__simple_user_type,
    STATE(4640), 1,
      sym_simple_identifier,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(5184), 1,
      sym_tuple_type,
    STATE(5187), 1,
      sym_user_type,
    STATE(5370), 1,
      sym_function_type,
    STATE(6277), 1,
      sym__inheritance_specifiers,
    STATE(3925), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4488), 2,
      sym_array_type,
      sym_dictionary_type,
    STATE(4879), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(5918), 2,
      sym_inheritance_specifier,
      sym__annotated_inheritance_specifier,
    ACTIONS(6994), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6992), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(5338), 8,
      sym__unannotated_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [122470] = 21,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(3652), 1,
      anon_sym_each,
    ACTIONS(3654), 1,
      anon_sym_repeat,
    ACTIONS(3656), 1,
      anon_sym_LPAREN,
    ACTIONS(3658), 1,
      anon_sym_LBRACK,
    ACTIONS(3660), 1,
      anon_sym_some,
    ACTIONS(3662), 1,
      anon_sym_any,
    STATE(1539), 1,
      sym_tuple_type,
    STATE(1612), 1,
      sym__simple_user_type,
    STATE(1620), 1,
      sym_simple_identifier,
    STATE(1735), 1,
      sym__parenthesized_type,
    STATE(2219), 1,
      sym__type,
    STATE(2295), 1,
      sym__possibly_implicitly_unwrapped_type,
    STATE(4070), 1,
      sym_type_modifiers,
    STATE(1659), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(3647), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1652), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3645), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(1609), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [122557] = 5,
    ACTIONS(7462), 1,
      anon_sym_COMMA,
    STATE(3369), 1,
      aux_sym_if_statement_repeat1,
    ACTIONS(7502), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7500), 36,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [122612] = 5,
    ACTIONS(7462), 1,
      anon_sym_COMMA,
    STATE(3402), 1,
      aux_sym_if_statement_repeat1,
    ACTIONS(7506), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7504), 36,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [122667] = 22,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(7456), 1,
      anon_sym_each,
    ACTIONS(7458), 1,
      anon_sym_repeat,
    STATE(4543), 1,
      sym__simple_user_type,
    STATE(4640), 1,
      sym_simple_identifier,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(5184), 1,
      sym_tuple_type,
    STATE(5187), 1,
      sym_user_type,
    STATE(5370), 1,
      sym_function_type,
    STATE(6254), 1,
      sym__inheritance_specifiers,
    STATE(3925), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4488), 2,
      sym_array_type,
      sym_dictionary_type,
    STATE(4879), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(5918), 2,
      sym_inheritance_specifier,
      sym__annotated_inheritance_specifier,
    ACTIONS(6994), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6992), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(5338), 8,
      sym__unannotated_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [122756] = 21,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(3652), 1,
      anon_sym_each,
    ACTIONS(3654), 1,
      anon_sym_repeat,
    ACTIONS(3656), 1,
      anon_sym_LPAREN,
    ACTIONS(3658), 1,
      anon_sym_LBRACK,
    ACTIONS(3660), 1,
      anon_sym_some,
    ACTIONS(3662), 1,
      anon_sym_any,
    STATE(1539), 1,
      sym_tuple_type,
    STATE(1612), 1,
      sym__simple_user_type,
    STATE(1620), 1,
      sym_simple_identifier,
    STATE(1735), 1,
      sym__parenthesized_type,
    STATE(2185), 1,
      sym__possibly_implicitly_unwrapped_type,
    STATE(2219), 1,
      sym__type,
    STATE(4070), 1,
      sym_type_modifiers,
    STATE(1659), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(3647), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1652), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3645), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(1609), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [122843] = 22,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(7456), 1,
      anon_sym_each,
    ACTIONS(7458), 1,
      anon_sym_repeat,
    STATE(4543), 1,
      sym__simple_user_type,
    STATE(4640), 1,
      sym_simple_identifier,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(5184), 1,
      sym_tuple_type,
    STATE(5187), 1,
      sym_user_type,
    STATE(5370), 1,
      sym_function_type,
    STATE(6226), 1,
      sym__inheritance_specifiers,
    STATE(3925), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4488), 2,
      sym_array_type,
      sym_dictionary_type,
    STATE(4879), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(5918), 2,
      sym_inheritance_specifier,
      sym__annotated_inheritance_specifier,
    ACTIONS(6994), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6992), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(5338), 8,
      sym__unannotated_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [122932] = 21,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6835), 1,
      anon_sym_each,
    ACTIONS(6837), 1,
      anon_sym_repeat,
    ACTIONS(6839), 1,
      anon_sym_LPAREN,
    ACTIONS(6841), 1,
      anon_sym_LBRACK,
    ACTIONS(6843), 1,
      anon_sym_some,
    ACTIONS(6845), 1,
      anon_sym_any,
    STATE(4116), 1,
      sym_type_modifiers,
    STATE(4334), 1,
      sym_tuple_type,
    STATE(4484), 1,
      sym__simple_user_type,
    STATE(4511), 1,
      sym_simple_identifier,
    STATE(5031), 1,
      sym__parenthesized_type,
    STATE(5585), 1,
      sym__type,
    STATE(5831), 1,
      sym__possibly_implicitly_unwrapped_type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4686), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6833), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4607), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6831), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4491), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [123019] = 22,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(7456), 1,
      anon_sym_each,
    ACTIONS(7458), 1,
      anon_sym_repeat,
    STATE(4543), 1,
      sym__simple_user_type,
    STATE(4640), 1,
      sym_simple_identifier,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(5184), 1,
      sym_tuple_type,
    STATE(5187), 1,
      sym_user_type,
    STATE(5370), 1,
      sym_function_type,
    STATE(6256), 1,
      sym__inheritance_specifiers,
    STATE(3925), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4488), 2,
      sym_array_type,
      sym_dictionary_type,
    STATE(4879), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(5918), 2,
      sym_inheritance_specifier,
      sym__annotated_inheritance_specifier,
    ACTIONS(6994), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6992), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(5338), 8,
      sym__unannotated_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [123108] = 21,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6996), 1,
      anon_sym_each,
    ACTIONS(6998), 1,
      anon_sym_repeat,
    ACTIONS(7000), 1,
      anon_sym_LPAREN,
    ACTIONS(7002), 1,
      anon_sym_LBRACK,
    ACTIONS(7004), 1,
      anon_sym_some,
    ACTIONS(7006), 1,
      anon_sym_any,
    STATE(4026), 1,
      sym_type_modifiers,
    STATE(4342), 1,
      sym_tuple_type,
    STATE(4543), 1,
      sym__simple_user_type,
    STATE(4640), 1,
      sym_simple_identifier,
    STATE(5012), 1,
      sym__parenthesized_type,
    STATE(6767), 1,
      sym__possibly_implicitly_unwrapped_type,
    STATE(6987), 1,
      sym__type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4879), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6994), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4600), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6992), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4516), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [123195] = 22,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(7456), 1,
      anon_sym_each,
    ACTIONS(7458), 1,
      anon_sym_repeat,
    STATE(4543), 1,
      sym__simple_user_type,
    STATE(4640), 1,
      sym_simple_identifier,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(5184), 1,
      sym_tuple_type,
    STATE(5187), 1,
      sym_user_type,
    STATE(5370), 1,
      sym_function_type,
    STATE(6236), 1,
      sym__inheritance_specifiers,
    STATE(3925), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4488), 2,
      sym_array_type,
      sym_dictionary_type,
    STATE(4879), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(5918), 2,
      sym_inheritance_specifier,
      sym__annotated_inheritance_specifier,
    ACTIONS(6994), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6992), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(5338), 8,
      sym__unannotated_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [123284] = 21,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(2185), 1,
      sym__possibly_implicitly_unwrapped_type,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(5853), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [123371] = 21,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(4092), 1,
      anon_sym_each,
    ACTIONS(4097), 1,
      anon_sym_repeat,
    ACTIONS(4099), 1,
      anon_sym_LPAREN,
    ACTIONS(4101), 1,
      anon_sym_LBRACK,
    ACTIONS(4103), 1,
      anon_sym_some,
    ACTIONS(4105), 1,
      anon_sym_any,
    STATE(2038), 1,
      sym_tuple_type,
    STATE(2319), 1,
      sym_simple_identifier,
    STATE(2346), 1,
      sym__simple_user_type,
    STATE(3104), 1,
      sym__parenthesized_type,
    STATE(3318), 1,
      sym__type,
    STATE(3327), 1,
      sym__possibly_implicitly_unwrapped_type,
    STATE(4157), 1,
      sym_type_modifiers,
    STATE(2609), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(4090), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(2589), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(4088), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(2327), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [123458] = 22,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(7456), 1,
      anon_sym_each,
    ACTIONS(7458), 1,
      anon_sym_repeat,
    STATE(4543), 1,
      sym__simple_user_type,
    STATE(4640), 1,
      sym_simple_identifier,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(5184), 1,
      sym_tuple_type,
    STATE(5187), 1,
      sym_user_type,
    STATE(5370), 1,
      sym_function_type,
    STATE(6151), 1,
      sym__inheritance_specifiers,
    STATE(3925), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4488), 2,
      sym_array_type,
      sym_dictionary_type,
    STATE(4879), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(5918), 2,
      sym_inheritance_specifier,
      sym__annotated_inheritance_specifier,
    ACTIONS(6994), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6992), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(5338), 8,
      sym__unannotated_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [123547] = 4,
    ACTIONS(7508), 1,
      sym_else,
    ACTIONS(3068), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3066), 36,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [123599] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6950), 1,
      anon_sym_each,
    ACTIONS(6952), 1,
      anon_sym_repeat,
    ACTIONS(6954), 1,
      anon_sym_LPAREN,
    ACTIONS(6956), 1,
      anon_sym_LBRACK,
    ACTIONS(6958), 1,
      anon_sym_some,
    ACTIONS(6960), 1,
      anon_sym_any,
    STATE(4054), 1,
      sym_type_modifiers,
    STATE(4432), 1,
      sym_tuple_type,
    STATE(4604), 1,
      sym__simple_user_type,
    STATE(4642), 1,
      sym_simple_identifier,
    STATE(5077), 1,
      sym__parenthesized_type,
    STATE(7165), 1,
      sym__type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4852), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6948), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4807), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6946), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4707), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [123683] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(3575), 1,
      anon_sym_LPAREN,
    ACTIONS(3577), 1,
      anon_sym_LBRACK,
    ACTIONS(7094), 1,
      anon_sym_each,
    ACTIONS(7096), 1,
      anon_sym_repeat,
    ACTIONS(7098), 1,
      anon_sym_some,
    ACTIONS(7100), 1,
      anon_sym_any,
    STATE(1515), 1,
      sym_simple_identifier,
    STATE(1608), 1,
      sym__parenthesized_type,
    STATE(1662), 1,
      sym__type,
    STATE(4001), 1,
      sym_type_modifiers,
    STATE(4570), 1,
      sym_tuple_type,
    STATE(4938), 1,
      sym__simple_user_type,
    STATE(1508), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(3566), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1521), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3564), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4904), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [123767] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6118), 1,
      anon_sym_each,
    ACTIONS(6120), 1,
      anon_sym_repeat,
    ACTIONS(6122), 1,
      anon_sym_LPAREN,
    ACTIONS(6124), 1,
      anon_sym_LBRACK,
    ACTIONS(6126), 1,
      anon_sym_some,
    ACTIONS(6128), 1,
      anon_sym_any,
    STATE(3993), 1,
      sym_type_modifiers,
    STATE(4260), 1,
      sym_tuple_type,
    STATE(4304), 1,
      sym_simple_identifier,
    STATE(4309), 1,
      sym__simple_user_type,
    STATE(4545), 1,
      sym__parenthesized_type,
    STATE(4663), 1,
      sym__type,
    STATE(4346), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6116), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4341), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6114), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4300), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [123851] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6118), 1,
      anon_sym_each,
    ACTIONS(6120), 1,
      anon_sym_repeat,
    ACTIONS(6122), 1,
      anon_sym_LPAREN,
    ACTIONS(6124), 1,
      anon_sym_LBRACK,
    ACTIONS(6126), 1,
      anon_sym_some,
    ACTIONS(6128), 1,
      anon_sym_any,
    STATE(3993), 1,
      sym_type_modifiers,
    STATE(4260), 1,
      sym_tuple_type,
    STATE(4304), 1,
      sym_simple_identifier,
    STATE(4309), 1,
      sym__simple_user_type,
    STATE(4545), 1,
      sym__parenthesized_type,
    STATE(4671), 1,
      sym__type,
    STATE(4346), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6116), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4341), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6114), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4300), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [123935] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(3575), 1,
      anon_sym_LPAREN,
    ACTIONS(3577), 1,
      anon_sym_LBRACK,
    ACTIONS(7094), 1,
      anon_sym_each,
    ACTIONS(7096), 1,
      anon_sym_repeat,
    ACTIONS(7098), 1,
      anon_sym_some,
    ACTIONS(7100), 1,
      anon_sym_any,
    STATE(1515), 1,
      sym_simple_identifier,
    STATE(1608), 1,
      sym__parenthesized_type,
    STATE(4001), 1,
      sym_type_modifiers,
    STATE(4570), 1,
      sym_tuple_type,
    STATE(4938), 1,
      sym__simple_user_type,
    STATE(6458), 1,
      sym__type,
    STATE(1508), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(3566), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1521), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3564), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4904), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [124019] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6118), 1,
      anon_sym_each,
    ACTIONS(6120), 1,
      anon_sym_repeat,
    ACTIONS(6122), 1,
      anon_sym_LPAREN,
    ACTIONS(6124), 1,
      anon_sym_LBRACK,
    ACTIONS(6126), 1,
      anon_sym_some,
    ACTIONS(6128), 1,
      anon_sym_any,
    STATE(3993), 1,
      sym_type_modifiers,
    STATE(4260), 1,
      sym_tuple_type,
    STATE(4304), 1,
      sym_simple_identifier,
    STATE(4309), 1,
      sym__simple_user_type,
    STATE(4545), 1,
      sym__parenthesized_type,
    STATE(4673), 1,
      sym__type,
    STATE(4346), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6116), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4341), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6114), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4300), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [124103] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(3575), 1,
      anon_sym_LPAREN,
    ACTIONS(3577), 1,
      anon_sym_LBRACK,
    ACTIONS(7094), 1,
      anon_sym_each,
    ACTIONS(7096), 1,
      anon_sym_repeat,
    ACTIONS(7098), 1,
      anon_sym_some,
    ACTIONS(7100), 1,
      anon_sym_any,
    STATE(1515), 1,
      sym_simple_identifier,
    STATE(1608), 1,
      sym__parenthesized_type,
    STATE(1673), 1,
      sym__type,
    STATE(4001), 1,
      sym_type_modifiers,
    STATE(4570), 1,
      sym_tuple_type,
    STATE(4938), 1,
      sym__simple_user_type,
    STATE(1508), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(3566), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1521), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3564), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4904), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [124187] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(3575), 1,
      anon_sym_LPAREN,
    ACTIONS(3577), 1,
      anon_sym_LBRACK,
    ACTIONS(7094), 1,
      anon_sym_each,
    ACTIONS(7096), 1,
      anon_sym_repeat,
    ACTIONS(7098), 1,
      anon_sym_some,
    ACTIONS(7100), 1,
      anon_sym_any,
    STATE(1515), 1,
      sym_simple_identifier,
    STATE(1608), 1,
      sym__parenthesized_type,
    STATE(4001), 1,
      sym_type_modifiers,
    STATE(4570), 1,
      sym_tuple_type,
    STATE(4938), 1,
      sym__simple_user_type,
    STATE(6438), 1,
      sym__type,
    STATE(1508), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(3566), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1521), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3564), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4904), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [124271] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(3575), 1,
      anon_sym_LPAREN,
    ACTIONS(3577), 1,
      anon_sym_LBRACK,
    ACTIONS(7094), 1,
      anon_sym_each,
    ACTIONS(7096), 1,
      anon_sym_repeat,
    ACTIONS(7098), 1,
      anon_sym_some,
    ACTIONS(7100), 1,
      anon_sym_any,
    STATE(1515), 1,
      sym_simple_identifier,
    STATE(1608), 1,
      sym__parenthesized_type,
    STATE(1675), 1,
      sym__type,
    STATE(4001), 1,
      sym_type_modifiers,
    STATE(4570), 1,
      sym_tuple_type,
    STATE(4938), 1,
      sym__simple_user_type,
    STATE(1508), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(3566), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1521), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3564), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4904), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [124355] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(3966), 1,
      anon_sym_each,
    ACTIONS(3968), 1,
      anon_sym_repeat,
    ACTIONS(3976), 1,
      anon_sym_some,
    ACTIONS(3978), 1,
      anon_sym_any,
    ACTIONS(7510), 1,
      anon_sym_LPAREN,
    ACTIONS(7512), 1,
      anon_sym_LBRACK,
    STATE(1725), 1,
      sym_tuple_type,
    STATE(1875), 1,
      sym__simple_user_type,
    STATE(1910), 1,
      sym_simple_identifier,
    STATE(1985), 1,
      sym__type,
    STATE(2031), 1,
      sym__parenthesized_type,
    STATE(4102), 1,
      sym_type_modifiers,
    STATE(2018), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(3964), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1882), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3962), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(1769), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [124439] = 19,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(7208), 1,
      anon_sym_each,
    ACTIONS(7210), 1,
      anon_sym_repeat,
    ACTIONS(7212), 1,
      anon_sym_LPAREN,
    ACTIONS(7214), 1,
      anon_sym_LBRACK,
    ACTIONS(7216), 1,
      anon_sym_some,
    ACTIONS(7218), 1,
      anon_sym_any,
    STATE(4739), 1,
      sym_simple_identifier,
    STATE(4833), 1,
      sym_tuple_type,
    STATE(5053), 1,
      sym__simple_user_type,
    STATE(5323), 1,
      sym__parenthesized_type,
    STATE(4353), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(5204), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(5926), 2,
      sym_identifier,
      sym__constrained_type,
    ACTIONS(7206), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(5168), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7204), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(5129), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [124521] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(3966), 1,
      anon_sym_each,
    ACTIONS(3968), 1,
      anon_sym_repeat,
    ACTIONS(3976), 1,
      anon_sym_some,
    ACTIONS(3978), 1,
      anon_sym_any,
    ACTIONS(7510), 1,
      anon_sym_LPAREN,
    ACTIONS(7512), 1,
      anon_sym_LBRACK,
    STATE(1725), 1,
      sym_tuple_type,
    STATE(1875), 1,
      sym__simple_user_type,
    STATE(1910), 1,
      sym_simple_identifier,
    STATE(1983), 1,
      sym__type,
    STATE(2031), 1,
      sym__parenthesized_type,
    STATE(4102), 1,
      sym_type_modifiers,
    STATE(2018), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(3964), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1882), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3962), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(1769), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [124605] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(3966), 1,
      anon_sym_each,
    ACTIONS(3968), 1,
      anon_sym_repeat,
    ACTIONS(3976), 1,
      anon_sym_some,
    ACTIONS(3978), 1,
      anon_sym_any,
    ACTIONS(7510), 1,
      anon_sym_LPAREN,
    ACTIONS(7512), 1,
      anon_sym_LBRACK,
    STATE(1725), 1,
      sym_tuple_type,
    STATE(1875), 1,
      sym__simple_user_type,
    STATE(1910), 1,
      sym_simple_identifier,
    STATE(1981), 1,
      sym__type,
    STATE(2031), 1,
      sym__parenthesized_type,
    STATE(4102), 1,
      sym_type_modifiers,
    STATE(2018), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(3964), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1882), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3962), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(1769), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [124689] = 19,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(7208), 1,
      anon_sym_each,
    ACTIONS(7210), 1,
      anon_sym_repeat,
    ACTIONS(7212), 1,
      anon_sym_LPAREN,
    ACTIONS(7214), 1,
      anon_sym_LBRACK,
    ACTIONS(7216), 1,
      anon_sym_some,
    ACTIONS(7218), 1,
      anon_sym_any,
    STATE(4739), 1,
      sym_simple_identifier,
    STATE(4833), 1,
      sym_tuple_type,
    STATE(5053), 1,
      sym__simple_user_type,
    STATE(5323), 1,
      sym__parenthesized_type,
    STATE(4353), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(5204), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(5885), 2,
      sym_identifier,
      sym__constrained_type,
    ACTIONS(7206), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(5168), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7204), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(5129), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [124771] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6976), 1,
      anon_sym_each,
    ACTIONS(6978), 1,
      anon_sym_repeat,
    ACTIONS(6980), 1,
      anon_sym_LPAREN,
    ACTIONS(6982), 1,
      anon_sym_LBRACK,
    ACTIONS(6984), 1,
      anon_sym_some,
    ACTIONS(6986), 1,
      anon_sym_any,
    STATE(4010), 1,
      sym_type_modifiers,
    STATE(4396), 1,
      sym_tuple_type,
    STATE(4598), 1,
      sym_simple_identifier,
    STATE(4639), 1,
      sym__simple_user_type,
    STATE(5097), 1,
      sym__parenthesized_type,
    STATE(5144), 1,
      sym__type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4882), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6974), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4912), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6972), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4710), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [124855] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6976), 1,
      anon_sym_each,
    ACTIONS(6978), 1,
      anon_sym_repeat,
    ACTIONS(6980), 1,
      anon_sym_LPAREN,
    ACTIONS(6982), 1,
      anon_sym_LBRACK,
    ACTIONS(6984), 1,
      anon_sym_some,
    ACTIONS(6986), 1,
      anon_sym_any,
    STATE(4010), 1,
      sym_type_modifiers,
    STATE(4396), 1,
      sym_tuple_type,
    STATE(4598), 1,
      sym_simple_identifier,
    STATE(4639), 1,
      sym__simple_user_type,
    STATE(5097), 1,
      sym__parenthesized_type,
    STATE(5140), 1,
      sym__type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4882), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6974), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4912), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6972), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4710), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [124939] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6976), 1,
      anon_sym_each,
    ACTIONS(6978), 1,
      anon_sym_repeat,
    ACTIONS(6980), 1,
      anon_sym_LPAREN,
    ACTIONS(6982), 1,
      anon_sym_LBRACK,
    ACTIONS(6984), 1,
      anon_sym_some,
    ACTIONS(6986), 1,
      anon_sym_any,
    STATE(4010), 1,
      sym_type_modifiers,
    STATE(4396), 1,
      sym_tuple_type,
    STATE(4598), 1,
      sym_simple_identifier,
    STATE(4639), 1,
      sym__simple_user_type,
    STATE(5097), 1,
      sym__parenthesized_type,
    STATE(5135), 1,
      sym__type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4882), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6974), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4912), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6972), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4710), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [125023] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(3932), 1,
      anon_sym_each,
    ACTIONS(3934), 1,
      anon_sym_repeat,
    ACTIONS(3942), 1,
      anon_sym_some,
    ACTIONS(3944), 1,
      anon_sym_any,
    ACTIONS(7514), 1,
      anon_sym_LPAREN,
    ACTIONS(7516), 1,
      anon_sym_LBRACK,
    STATE(1736), 1,
      sym_tuple_type,
    STATE(1871), 1,
      sym__simple_user_type,
    STATE(1898), 1,
      sym_simple_identifier,
    STATE(1971), 1,
      sym__type,
    STATE(1979), 1,
      sym__parenthesized_type,
    STATE(4022), 1,
      sym_type_modifiers,
    STATE(1991), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(3930), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1854), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3928), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(1752), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [125107] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(3932), 1,
      anon_sym_each,
    ACTIONS(3934), 1,
      anon_sym_repeat,
    ACTIONS(3942), 1,
      anon_sym_some,
    ACTIONS(3944), 1,
      anon_sym_any,
    ACTIONS(7514), 1,
      anon_sym_LPAREN,
    ACTIONS(7516), 1,
      anon_sym_LBRACK,
    STATE(1736), 1,
      sym_tuple_type,
    STATE(1871), 1,
      sym__simple_user_type,
    STATE(1898), 1,
      sym_simple_identifier,
    STATE(1967), 1,
      sym__type,
    STATE(1979), 1,
      sym__parenthesized_type,
    STATE(4022), 1,
      sym_type_modifiers,
    STATE(1991), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(3930), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1854), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3928), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(1752), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [125191] = 19,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(7208), 1,
      anon_sym_each,
    ACTIONS(7210), 1,
      anon_sym_repeat,
    ACTIONS(7212), 1,
      anon_sym_LPAREN,
    ACTIONS(7214), 1,
      anon_sym_LBRACK,
    ACTIONS(7216), 1,
      anon_sym_some,
    ACTIONS(7218), 1,
      anon_sym_any,
    STATE(4739), 1,
      sym_simple_identifier,
    STATE(4833), 1,
      sym_tuple_type,
    STATE(5053), 1,
      sym__simple_user_type,
    STATE(5323), 1,
      sym__parenthesized_type,
    STATE(4353), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(5204), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(5888), 2,
      sym_identifier,
      sym__constrained_type,
    ACTIONS(7206), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(5168), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7204), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(5129), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [125273] = 4,
    ACTIONS(7518), 1,
      sym_else,
    ACTIONS(3092), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3090), 36,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [125325] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(3932), 1,
      anon_sym_each,
    ACTIONS(3934), 1,
      anon_sym_repeat,
    ACTIONS(3942), 1,
      anon_sym_some,
    ACTIONS(3944), 1,
      anon_sym_any,
    ACTIONS(7514), 1,
      anon_sym_LPAREN,
    ACTIONS(7516), 1,
      anon_sym_LBRACK,
    STATE(1736), 1,
      sym_tuple_type,
    STATE(1871), 1,
      sym__simple_user_type,
    STATE(1898), 1,
      sym_simple_identifier,
    STATE(1966), 1,
      sym__type,
    STATE(1979), 1,
      sym__parenthesized_type,
    STATE(4022), 1,
      sym_type_modifiers,
    STATE(1991), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(3930), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1854), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3928), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(1752), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [125409] = 19,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(7208), 1,
      anon_sym_each,
    ACTIONS(7210), 1,
      anon_sym_repeat,
    ACTIONS(7212), 1,
      anon_sym_LPAREN,
    ACTIONS(7214), 1,
      anon_sym_LBRACK,
    ACTIONS(7216), 1,
      anon_sym_some,
    ACTIONS(7218), 1,
      anon_sym_any,
    STATE(4739), 1,
      sym_simple_identifier,
    STATE(4833), 1,
      sym_tuple_type,
    STATE(5053), 1,
      sym__simple_user_type,
    STATE(5323), 1,
      sym__parenthesized_type,
    STATE(4353), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(5204), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(5941), 2,
      sym_identifier,
      sym__constrained_type,
    ACTIONS(7206), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(5168), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7204), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(5129), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [125491] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6161), 1,
      anon_sym_each,
    ACTIONS(6163), 1,
      anon_sym_repeat,
    ACTIONS(6165), 1,
      anon_sym_LPAREN,
    ACTIONS(6167), 1,
      anon_sym_LBRACK,
    ACTIONS(6169), 1,
      anon_sym_some,
    ACTIONS(6171), 1,
      anon_sym_any,
    STATE(4019), 1,
      sym_type_modifiers,
    STATE(4283), 1,
      sym_tuple_type,
    STATE(4364), 1,
      sym__simple_user_type,
    STATE(4374), 1,
      sym_simple_identifier,
    STATE(4683), 1,
      sym__parenthesized_type,
    STATE(4939), 1,
      sym__type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4414), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6159), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4415), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6157), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4373), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [125575] = 19,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(7208), 1,
      anon_sym_each,
    ACTIONS(7210), 1,
      anon_sym_repeat,
    ACTIONS(7212), 1,
      anon_sym_LPAREN,
    ACTIONS(7214), 1,
      anon_sym_LBRACK,
    ACTIONS(7216), 1,
      anon_sym_some,
    ACTIONS(7218), 1,
      anon_sym_any,
    STATE(4739), 1,
      sym_simple_identifier,
    STATE(4833), 1,
      sym_tuple_type,
    STATE(5053), 1,
      sym__simple_user_type,
    STATE(5323), 1,
      sym__parenthesized_type,
    STATE(4353), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(5204), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(5967), 2,
      sym_identifier,
      sym__constrained_type,
    ACTIONS(7206), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(5168), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7204), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(5129), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [125657] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6161), 1,
      anon_sym_each,
    ACTIONS(6163), 1,
      anon_sym_repeat,
    ACTIONS(6165), 1,
      anon_sym_LPAREN,
    ACTIONS(6167), 1,
      anon_sym_LBRACK,
    ACTIONS(6169), 1,
      anon_sym_some,
    ACTIONS(6171), 1,
      anon_sym_any,
    STATE(4019), 1,
      sym_type_modifiers,
    STATE(4283), 1,
      sym_tuple_type,
    STATE(4364), 1,
      sym__simple_user_type,
    STATE(4374), 1,
      sym_simple_identifier,
    STATE(4683), 1,
      sym__parenthesized_type,
    STATE(4930), 1,
      sym__type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4414), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6159), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4415), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6157), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4373), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [125741] = 19,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(7208), 1,
      anon_sym_each,
    ACTIONS(7210), 1,
      anon_sym_repeat,
    ACTIONS(7212), 1,
      anon_sym_LPAREN,
    ACTIONS(7214), 1,
      anon_sym_LBRACK,
    ACTIONS(7216), 1,
      anon_sym_some,
    ACTIONS(7218), 1,
      anon_sym_any,
    STATE(4739), 1,
      sym_simple_identifier,
    STATE(4833), 1,
      sym_tuple_type,
    STATE(5053), 1,
      sym__simple_user_type,
    STATE(5323), 1,
      sym__parenthesized_type,
    STATE(4353), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(5204), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(5999), 2,
      sym_identifier,
      sym__constrained_type,
    ACTIONS(7206), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(5168), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7204), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(5129), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [125823] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(3575), 1,
      anon_sym_LPAREN,
    ACTIONS(3577), 1,
      anon_sym_LBRACK,
    ACTIONS(7094), 1,
      anon_sym_each,
    ACTIONS(7096), 1,
      anon_sym_repeat,
    ACTIONS(7098), 1,
      anon_sym_some,
    ACTIONS(7100), 1,
      anon_sym_any,
    STATE(1515), 1,
      sym_simple_identifier,
    STATE(1608), 1,
      sym__parenthesized_type,
    STATE(4001), 1,
      sym_type_modifiers,
    STATE(4570), 1,
      sym_tuple_type,
    STATE(4938), 1,
      sym__simple_user_type,
    STATE(5915), 1,
      sym__type,
    STATE(1508), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(3566), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1521), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3564), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4904), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [125907] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6161), 1,
      anon_sym_each,
    ACTIONS(6163), 1,
      anon_sym_repeat,
    ACTIONS(6165), 1,
      anon_sym_LPAREN,
    ACTIONS(6167), 1,
      anon_sym_LBRACK,
    ACTIONS(6169), 1,
      anon_sym_some,
    ACTIONS(6171), 1,
      anon_sym_any,
    STATE(4019), 1,
      sym_type_modifiers,
    STATE(4283), 1,
      sym_tuple_type,
    STATE(4364), 1,
      sym__simple_user_type,
    STATE(4374), 1,
      sym_simple_identifier,
    STATE(4683), 1,
      sym__parenthesized_type,
    STATE(4923), 1,
      sym__type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4414), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6159), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4415), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6157), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4373), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [125991] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6861), 1,
      anon_sym_each,
    ACTIONS(6863), 1,
      anon_sym_repeat,
    ACTIONS(6865), 1,
      anon_sym_LPAREN,
    ACTIONS(6867), 1,
      anon_sym_LBRACK,
    ACTIONS(6869), 1,
      anon_sym_some,
    ACTIONS(6871), 1,
      anon_sym_any,
    STATE(3988), 1,
      sym_type_modifiers,
    STATE(4362), 1,
      sym_tuple_type,
    STATE(4467), 1,
      sym_simple_identifier,
    STATE(4468), 1,
      sym__simple_user_type,
    STATE(5008), 1,
      sym__parenthesized_type,
    STATE(5064), 1,
      sym__type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4658), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6859), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4688), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6857), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4527), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [126075] = 19,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(7208), 1,
      anon_sym_each,
    ACTIONS(7210), 1,
      anon_sym_repeat,
    ACTIONS(7212), 1,
      anon_sym_LPAREN,
    ACTIONS(7214), 1,
      anon_sym_LBRACK,
    ACTIONS(7216), 1,
      anon_sym_some,
    ACTIONS(7218), 1,
      anon_sym_any,
    STATE(4739), 1,
      sym_simple_identifier,
    STATE(4833), 1,
      sym_tuple_type,
    STATE(5053), 1,
      sym__simple_user_type,
    STATE(5323), 1,
      sym__parenthesized_type,
    STATE(4353), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(5204), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(6093), 2,
      sym_identifier,
      sym__constrained_type,
    ACTIONS(7206), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(5168), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7204), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(5129), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [126157] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(3477), 1,
      anon_sym_each,
    ACTIONS(3479), 1,
      anon_sym_repeat,
    ACTIONS(3481), 1,
      anon_sym_LPAREN,
    ACTIONS(3483), 1,
      anon_sym_LBRACK,
    ACTIONS(3485), 1,
      anon_sym_some,
    ACTIONS(3487), 1,
      anon_sym_any,
    STATE(1478), 1,
      sym_tuple_type,
    STATE(1489), 1,
      sym_simple_identifier,
    STATE(1490), 1,
      sym__simple_user_type,
    STATE(1561), 1,
      sym__parenthesized_type,
    STATE(1601), 1,
      sym__type,
    STATE(4031), 1,
      sym_type_modifiers,
    STATE(1514), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(3472), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1504), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3470), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(1495), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [126241] = 3,
    ACTIONS(3088), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3086), 37,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      sym_else,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [126291] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(7060), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [126375] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(7066), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [126459] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(7078), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [126543] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(7090), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [126627] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(7096), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [126711] = 3,
    ACTIONS(3074), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3072), 37,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      sym_else,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [126761] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(7108), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [126845] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(7120), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [126929] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(3575), 1,
      anon_sym_LPAREN,
    ACTIONS(3577), 1,
      anon_sym_LBRACK,
    ACTIONS(7094), 1,
      anon_sym_each,
    ACTIONS(7096), 1,
      anon_sym_repeat,
    ACTIONS(7098), 1,
      anon_sym_some,
    ACTIONS(7100), 1,
      anon_sym_any,
    STATE(1515), 1,
      sym_simple_identifier,
    STATE(1608), 1,
      sym__parenthesized_type,
    STATE(4001), 1,
      sym_type_modifiers,
    STATE(4570), 1,
      sym_tuple_type,
    STATE(4938), 1,
      sym__simple_user_type,
    STATE(5948), 1,
      sym__type,
    STATE(1508), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(3566), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1521), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3564), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4904), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [127013] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(7124), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [127097] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(3477), 1,
      anon_sym_each,
    ACTIONS(3479), 1,
      anon_sym_repeat,
    ACTIONS(3481), 1,
      anon_sym_LPAREN,
    ACTIONS(3483), 1,
      anon_sym_LBRACK,
    ACTIONS(3485), 1,
      anon_sym_some,
    ACTIONS(3487), 1,
      anon_sym_any,
    STATE(1478), 1,
      sym_tuple_type,
    STATE(1489), 1,
      sym_simple_identifier,
    STATE(1490), 1,
      sym__simple_user_type,
    STATE(1561), 1,
      sym__parenthesized_type,
    STATE(1592), 1,
      sym__type,
    STATE(4031), 1,
      sym_type_modifiers,
    STATE(1514), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(3472), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1504), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3470), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(1495), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [127181] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(7865), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [127265] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(3477), 1,
      anon_sym_each,
    ACTIONS(3479), 1,
      anon_sym_repeat,
    ACTIONS(3481), 1,
      anon_sym_LPAREN,
    ACTIONS(3483), 1,
      anon_sym_LBRACK,
    ACTIONS(3485), 1,
      anon_sym_some,
    ACTIONS(3487), 1,
      anon_sym_any,
    STATE(1478), 1,
      sym_tuple_type,
    STATE(1489), 1,
      sym_simple_identifier,
    STATE(1490), 1,
      sym__simple_user_type,
    STATE(1561), 1,
      sym__parenthesized_type,
    STATE(1591), 1,
      sym__type,
    STATE(4031), 1,
      sym_type_modifiers,
    STATE(1514), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(3472), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1504), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3470), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(1495), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [127349] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(7135), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [127433] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(7867), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [127517] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(7144), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [127601] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(7873), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [127685] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(7150), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [127769] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(7267), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [127853] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(7882), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [127937] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(7162), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [128021] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6861), 1,
      anon_sym_each,
    ACTIONS(6863), 1,
      anon_sym_repeat,
    ACTIONS(6865), 1,
      anon_sym_LPAREN,
    ACTIONS(6867), 1,
      anon_sym_LBRACK,
    ACTIONS(6869), 1,
      anon_sym_some,
    ACTIONS(6871), 1,
      anon_sym_any,
    STATE(3988), 1,
      sym_type_modifiers,
    STATE(4362), 1,
      sym_tuple_type,
    STATE(4467), 1,
      sym_simple_identifier,
    STATE(4468), 1,
      sym__simple_user_type,
    STATE(5008), 1,
      sym__parenthesized_type,
    STATE(5120), 1,
      sym__type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4658), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6859), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4688), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6857), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4527), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [128105] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(7262), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [128189] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(7886), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [128273] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(7219), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [128357] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(7257), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [128441] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(7895), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [128525] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(7216), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [128609] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(7252), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [128693] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(7922), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [128777] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6861), 1,
      anon_sym_each,
    ACTIONS(6863), 1,
      anon_sym_repeat,
    ACTIONS(6865), 1,
      anon_sym_LPAREN,
    ACTIONS(6867), 1,
      anon_sym_LBRACK,
    ACTIONS(6869), 1,
      anon_sym_some,
    ACTIONS(6871), 1,
      anon_sym_any,
    STATE(3988), 1,
      sym_type_modifiers,
    STATE(4362), 1,
      sym_tuple_type,
    STATE(4467), 1,
      sym_simple_identifier,
    STATE(4468), 1,
      sym__simple_user_type,
    STATE(5008), 1,
      sym__parenthesized_type,
    STATE(5104), 1,
      sym__type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4658), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6859), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4688), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6857), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4527), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [128861] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6861), 1,
      anon_sym_each,
    ACTIONS(6863), 1,
      anon_sym_repeat,
    ACTIONS(6865), 1,
      anon_sym_LPAREN,
    ACTIONS(6867), 1,
      anon_sym_LBRACK,
    ACTIONS(6869), 1,
      anon_sym_some,
    ACTIONS(6871), 1,
      anon_sym_any,
    STATE(3988), 1,
      sym_type_modifiers,
    STATE(4362), 1,
      sym_tuple_type,
    STATE(4467), 1,
      sym_simple_identifier,
    STATE(4468), 1,
      sym__simple_user_type,
    STATE(5008), 1,
      sym__parenthesized_type,
    STATE(6317), 1,
      sym__type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4658), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6859), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4688), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6857), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4527), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [128945] = 3,
    ACTIONS(3074), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3072), 37,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      sym_catch_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [128995] = 3,
    ACTIONS(3088), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3086), 37,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      sym_catch_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [129045] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(7162), 1,
      anon_sym_each,
    ACTIONS(7164), 1,
      anon_sym_repeat,
    ACTIONS(7166), 1,
      anon_sym_LPAREN,
    ACTIONS(7168), 1,
      anon_sym_LBRACK,
    ACTIONS(7170), 1,
      anon_sym_some,
    ACTIONS(7172), 1,
      anon_sym_any,
    STATE(4042), 1,
      sym_type_modifiers,
    STATE(4487), 1,
      sym_tuple_type,
    STATE(4636), 1,
      sym__simple_user_type,
    STATE(4721), 1,
      sym_simple_identifier,
    STATE(5085), 1,
      sym__parenthesized_type,
    STATE(5194), 1,
      sym__type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4839), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(7160), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4940), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7158), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4758), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [129129] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6996), 1,
      anon_sym_each,
    ACTIONS(6998), 1,
      anon_sym_repeat,
    ACTIONS(7000), 1,
      anon_sym_LPAREN,
    ACTIONS(7002), 1,
      anon_sym_LBRACK,
    ACTIONS(7004), 1,
      anon_sym_some,
    ACTIONS(7006), 1,
      anon_sym_any,
    STATE(4026), 1,
      sym_type_modifiers,
    STATE(4342), 1,
      sym_tuple_type,
    STATE(4543), 1,
      sym__simple_user_type,
    STATE(4640), 1,
      sym_simple_identifier,
    STATE(5012), 1,
      sym__parenthesized_type,
    STATE(5046), 1,
      sym__type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4879), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6994), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4600), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6992), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4516), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [129213] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(7210), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [129297] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(7162), 1,
      anon_sym_each,
    ACTIONS(7164), 1,
      anon_sym_repeat,
    ACTIONS(7166), 1,
      anon_sym_LPAREN,
    ACTIONS(7168), 1,
      anon_sym_LBRACK,
    ACTIONS(7170), 1,
      anon_sym_some,
    ACTIONS(7172), 1,
      anon_sym_any,
    STATE(4042), 1,
      sym_type_modifiers,
    STATE(4487), 1,
      sym_tuple_type,
    STATE(4636), 1,
      sym__simple_user_type,
    STATE(4721), 1,
      sym_simple_identifier,
    STATE(5085), 1,
      sym__parenthesized_type,
    STATE(5152), 1,
      sym__type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4839), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(7160), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4940), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7158), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4758), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [129381] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6861), 1,
      anon_sym_each,
    ACTIONS(6863), 1,
      anon_sym_repeat,
    ACTIONS(6865), 1,
      anon_sym_LPAREN,
    ACTIONS(6867), 1,
      anon_sym_LBRACK,
    ACTIONS(6869), 1,
      anon_sym_some,
    ACTIONS(6871), 1,
      anon_sym_any,
    STATE(3988), 1,
      sym_type_modifiers,
    STATE(4362), 1,
      sym_tuple_type,
    STATE(4467), 1,
      sym_simple_identifier,
    STATE(4468), 1,
      sym__simple_user_type,
    STATE(5008), 1,
      sym__parenthesized_type,
    STATE(6131), 1,
      sym__type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4658), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6859), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4688), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6857), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4527), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [129465] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(7247), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [129549] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(7926), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [129633] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(7204), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [129717] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(7241), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [129801] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(7920), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [129885] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(7194), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [129969] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(7229), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [130053] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(7897), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [130137] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(7186), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [130221] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(7246), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [130305] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(7892), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [130389] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(7178), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [130473] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(7225), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [130557] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(7758), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [130641] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(7162), 1,
      anon_sym_each,
    ACTIONS(7164), 1,
      anon_sym_repeat,
    ACTIONS(7166), 1,
      anon_sym_LPAREN,
    ACTIONS(7168), 1,
      anon_sym_LBRACK,
    ACTIONS(7170), 1,
      anon_sym_some,
    ACTIONS(7172), 1,
      anon_sym_any,
    STATE(4042), 1,
      sym_type_modifiers,
    STATE(4487), 1,
      sym_tuple_type,
    STATE(4636), 1,
      sym__simple_user_type,
    STATE(4721), 1,
      sym_simple_identifier,
    STATE(5085), 1,
      sym__parenthesized_type,
    STATE(5158), 1,
      sym__type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4839), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(7160), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4940), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7158), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4758), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [130725] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(7144), 1,
      anon_sym_each,
    ACTIONS(7146), 1,
      anon_sym_repeat,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    ACTIONS(7150), 1,
      anon_sym_LBRACK,
    ACTIONS(7152), 1,
      anon_sym_some,
    ACTIONS(7154), 1,
      anon_sym_any,
    STATE(4049), 1,
      sym_type_modifiers,
    STATE(4514), 1,
      sym_tuple_type,
    STATE(4762), 1,
      sym__simple_user_type,
    STATE(4763), 1,
      sym_simple_identifier,
    STATE(5212), 1,
      sym__parenthesized_type,
    STATE(5239), 1,
      sym__type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4966), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(7142), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(5036), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7140), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4936), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [130809] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(7170), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [130893] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(7233), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [130977] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(7881), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [131061] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(7154), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [131145] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(7144), 1,
      anon_sym_each,
    ACTIONS(7146), 1,
      anon_sym_repeat,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    ACTIONS(7150), 1,
      anon_sym_LBRACK,
    ACTIONS(7152), 1,
      anon_sym_some,
    ACTIONS(7154), 1,
      anon_sym_any,
    STATE(4049), 1,
      sym_type_modifiers,
    STATE(4514), 1,
      sym_tuple_type,
    STATE(4762), 1,
      sym__simple_user_type,
    STATE(4763), 1,
      sym_simple_identifier,
    STATE(5212), 1,
      sym__parenthesized_type,
    STATE(5314), 1,
      sym__type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4966), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(7142), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(5036), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7140), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4936), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [131229] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6759), 1,
      anon_sym_each,
    ACTIONS(6761), 1,
      anon_sym_repeat,
    ACTIONS(6763), 1,
      anon_sym_LPAREN,
    ACTIONS(6765), 1,
      anon_sym_LBRACK,
    ACTIONS(6767), 1,
      anon_sym_some,
    ACTIONS(6769), 1,
      anon_sym_any,
    STATE(4046), 1,
      sym_type_modifiers,
    STATE(4294), 1,
      sym_tuple_type,
    STATE(4389), 1,
      sym_simple_identifier,
    STATE(4401), 1,
      sym__simple_user_type,
    STATE(4769), 1,
      sym__parenthesized_type,
    STATE(4985), 1,
      sym__type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4542), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6757), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4482), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6755), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4420), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [131313] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(7226), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [131397] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6861), 1,
      anon_sym_each,
    ACTIONS(6863), 1,
      anon_sym_repeat,
    ACTIONS(6865), 1,
      anon_sym_LPAREN,
    ACTIONS(6867), 1,
      anon_sym_LBRACK,
    ACTIONS(6869), 1,
      anon_sym_some,
    ACTIONS(6871), 1,
      anon_sym_any,
    STATE(3988), 1,
      sym_type_modifiers,
    STATE(4362), 1,
      sym_tuple_type,
    STATE(4467), 1,
      sym_simple_identifier,
    STATE(4468), 1,
      sym__simple_user_type,
    STATE(5008), 1,
      sym__parenthesized_type,
    STATE(6097), 1,
      sym__type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4658), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6859), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4688), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6857), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4527), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [131481] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6759), 1,
      anon_sym_each,
    ACTIONS(6761), 1,
      anon_sym_repeat,
    ACTIONS(6763), 1,
      anon_sym_LPAREN,
    ACTIONS(6765), 1,
      anon_sym_LBRACK,
    ACTIONS(6767), 1,
      anon_sym_some,
    ACTIONS(6769), 1,
      anon_sym_any,
    STATE(4046), 1,
      sym_type_modifiers,
    STATE(4294), 1,
      sym_tuple_type,
    STATE(4389), 1,
      sym_simple_identifier,
    STATE(4401), 1,
      sym__simple_user_type,
    STATE(4769), 1,
      sym__parenthesized_type,
    STATE(4991), 1,
      sym__type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4542), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6757), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4482), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6755), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4420), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [131565] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(7866), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [131649] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(7136), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [131733] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(7254), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [131817] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(7863), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [131901] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(7118), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [131985] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(7266), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [132069] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(7859), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [132153] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(7100), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [132237] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(7273), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [132321] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6759), 1,
      anon_sym_each,
    ACTIONS(6761), 1,
      anon_sym_repeat,
    ACTIONS(6763), 1,
      anon_sym_LPAREN,
    ACTIONS(6765), 1,
      anon_sym_LBRACK,
    ACTIONS(6767), 1,
      anon_sym_some,
    ACTIONS(6769), 1,
      anon_sym_any,
    STATE(4046), 1,
      sym_type_modifiers,
    STATE(4294), 1,
      sym_tuple_type,
    STATE(4389), 1,
      sym_simple_identifier,
    STATE(4401), 1,
      sym__simple_user_type,
    STATE(4769), 1,
      sym__parenthesized_type,
    STATE(4992), 1,
      sym__type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4542), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6757), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4482), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6755), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4420), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [132405] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(2180), 1,
      sym__type,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [132489] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6861), 1,
      anon_sym_each,
    ACTIONS(6863), 1,
      anon_sym_repeat,
    ACTIONS(6865), 1,
      anon_sym_LPAREN,
    ACTIONS(6867), 1,
      anon_sym_LBRACK,
    ACTIONS(6869), 1,
      anon_sym_some,
    ACTIONS(6871), 1,
      anon_sym_any,
    STATE(3988), 1,
      sym_type_modifiers,
    STATE(4362), 1,
      sym_tuple_type,
    STATE(4467), 1,
      sym_simple_identifier,
    STATE(4468), 1,
      sym__simple_user_type,
    STATE(5008), 1,
      sym__parenthesized_type,
    STATE(6323), 1,
      sym__type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4658), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6859), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4688), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6857), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4527), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [132573] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(7856), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [132657] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(7082), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [132741] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6861), 1,
      anon_sym_each,
    ACTIONS(6863), 1,
      anon_sym_repeat,
    ACTIONS(6865), 1,
      anon_sym_LPAREN,
    ACTIONS(6867), 1,
      anon_sym_LBRACK,
    ACTIONS(6869), 1,
      anon_sym_some,
    ACTIONS(6871), 1,
      anon_sym_any,
    STATE(3988), 1,
      sym_type_modifiers,
    STATE(4362), 1,
      sym_tuple_type,
    STATE(4467), 1,
      sym_simple_identifier,
    STATE(4468), 1,
      sym__simple_user_type,
    STATE(5008), 1,
      sym__parenthesized_type,
    STATE(6213), 1,
      sym__type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4658), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6859), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4688), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6857), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4527), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [132825] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(7278), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [132909] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(7854), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [132993] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(7064), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [133077] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(7282), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [133161] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(7844), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [133245] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(7046), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [133329] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(7285), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [133413] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(7835), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [133497] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(7028), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [133581] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(7292), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [133665] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6996), 1,
      anon_sym_each,
    ACTIONS(6998), 1,
      anon_sym_repeat,
    ACTIONS(7000), 1,
      anon_sym_LPAREN,
    ACTIONS(7002), 1,
      anon_sym_LBRACK,
    ACTIONS(7004), 1,
      anon_sym_some,
    ACTIONS(7006), 1,
      anon_sym_any,
    STATE(4026), 1,
      sym_type_modifiers,
    STATE(4342), 1,
      sym_tuple_type,
    STATE(4543), 1,
      sym__simple_user_type,
    STATE(4640), 1,
      sym_simple_identifier,
    STATE(5012), 1,
      sym__parenthesized_type,
    STATE(6873), 1,
      sym__type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4879), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6994), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4600), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6992), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4516), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [133749] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(7144), 1,
      anon_sym_each,
    ACTIONS(7146), 1,
      anon_sym_repeat,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    ACTIONS(7150), 1,
      anon_sym_LBRACK,
    ACTIONS(7152), 1,
      anon_sym_some,
    ACTIONS(7154), 1,
      anon_sym_any,
    STATE(4049), 1,
      sym_type_modifiers,
    STATE(4514), 1,
      sym_tuple_type,
    STATE(4762), 1,
      sym__simple_user_type,
    STATE(4763), 1,
      sym_simple_identifier,
    STATE(5212), 1,
      sym__parenthesized_type,
    STATE(5293), 1,
      sym__type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4966), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(7142), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(5036), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7140), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4936), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [133833] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(5011), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [133917] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(7833), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [134001] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6861), 1,
      anon_sym_each,
    ACTIONS(6863), 1,
      anon_sym_repeat,
    ACTIONS(6865), 1,
      anon_sym_LPAREN,
    ACTIONS(6867), 1,
      anon_sym_LBRACK,
    ACTIONS(6869), 1,
      anon_sym_some,
    ACTIONS(6871), 1,
      anon_sym_any,
    STATE(3988), 1,
      sym_type_modifiers,
    STATE(4362), 1,
      sym_tuple_type,
    STATE(4467), 1,
      sym_simple_identifier,
    STATE(4468), 1,
      sym__simple_user_type,
    STATE(5008), 1,
      sym__parenthesized_type,
    STATE(6100), 1,
      sym__type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4658), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6859), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4688), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6857), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4527), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [134085] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(7010), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [134169] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(3984), 1,
      anon_sym_each,
    ACTIONS(3986), 1,
      anon_sym_repeat,
    ACTIONS(3994), 1,
      anon_sym_some,
    ACTIONS(3996), 1,
      anon_sym_any,
    ACTIONS(7520), 1,
      anon_sym_LPAREN,
    ACTIONS(7522), 1,
      anon_sym_LBRACK,
    STATE(1750), 1,
      sym_tuple_type,
    STATE(1909), 1,
      sym__simple_user_type,
    STATE(1980), 1,
      sym_simple_identifier,
    STATE(2081), 1,
      sym__type,
    STATE(2097), 1,
      sym__parenthesized_type,
    STATE(4059), 1,
      sym_type_modifiers,
    STATE(2092), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(3982), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1915), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3980), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(1796), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [134253] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(3984), 1,
      anon_sym_each,
    ACTIONS(3986), 1,
      anon_sym_repeat,
    ACTIONS(3994), 1,
      anon_sym_some,
    ACTIONS(3996), 1,
      anon_sym_any,
    ACTIONS(7520), 1,
      anon_sym_LPAREN,
    ACTIONS(7522), 1,
      anon_sym_LBRACK,
    STATE(1750), 1,
      sym_tuple_type,
    STATE(1909), 1,
      sym__simple_user_type,
    STATE(1980), 1,
      sym_simple_identifier,
    STATE(2082), 1,
      sym__type,
    STATE(2097), 1,
      sym__parenthesized_type,
    STATE(4059), 1,
      sym_type_modifiers,
    STATE(2092), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(3982), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1915), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3980), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(1796), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [134337] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6950), 1,
      anon_sym_each,
    ACTIONS(6952), 1,
      anon_sym_repeat,
    ACTIONS(6954), 1,
      anon_sym_LPAREN,
    ACTIONS(6956), 1,
      anon_sym_LBRACK,
    ACTIONS(6958), 1,
      anon_sym_some,
    ACTIONS(6960), 1,
      anon_sym_any,
    STATE(4054), 1,
      sym_type_modifiers,
    STATE(4432), 1,
      sym_tuple_type,
    STATE(4604), 1,
      sym__simple_user_type,
    STATE(4642), 1,
      sym_simple_identifier,
    STATE(5077), 1,
      sym__parenthesized_type,
    STATE(5188), 1,
      sym__type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4852), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6948), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4807), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6946), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4707), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [134421] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6950), 1,
      anon_sym_each,
    ACTIONS(6952), 1,
      anon_sym_repeat,
    ACTIONS(6954), 1,
      anon_sym_LPAREN,
    ACTIONS(6956), 1,
      anon_sym_LBRACK,
    ACTIONS(6958), 1,
      anon_sym_some,
    ACTIONS(6960), 1,
      anon_sym_any,
    STATE(4054), 1,
      sym_type_modifiers,
    STATE(4432), 1,
      sym_tuple_type,
    STATE(4604), 1,
      sym__simple_user_type,
    STATE(4642), 1,
      sym_simple_identifier,
    STATE(5077), 1,
      sym__parenthesized_type,
    STATE(5203), 1,
      sym__type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4852), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6948), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4807), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6946), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4707), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [134505] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(7291), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [134589] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(7830), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [134673] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(6992), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [134757] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(7312), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [134841] = 3,
    ACTIONS(6224), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6222), 37,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [134891] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6950), 1,
      anon_sym_each,
    ACTIONS(6952), 1,
      anon_sym_repeat,
    ACTIONS(6954), 1,
      anon_sym_LPAREN,
    ACTIONS(6956), 1,
      anon_sym_LBRACK,
    ACTIONS(6958), 1,
      anon_sym_some,
    ACTIONS(6960), 1,
      anon_sym_any,
    STATE(4054), 1,
      sym_type_modifiers,
    STATE(4432), 1,
      sym_tuple_type,
    STATE(4604), 1,
      sym__simple_user_type,
    STATE(4642), 1,
      sym_simple_identifier,
    STATE(5077), 1,
      sym__parenthesized_type,
    STATE(5206), 1,
      sym__type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4852), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6948), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4807), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6946), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4707), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [134975] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(7828), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [135059] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(3984), 1,
      anon_sym_each,
    ACTIONS(3986), 1,
      anon_sym_repeat,
    ACTIONS(3994), 1,
      anon_sym_some,
    ACTIONS(3996), 1,
      anon_sym_any,
    ACTIONS(7520), 1,
      anon_sym_LPAREN,
    ACTIONS(7522), 1,
      anon_sym_LBRACK,
    STATE(1750), 1,
      sym_tuple_type,
    STATE(1909), 1,
      sym__simple_user_type,
    STATE(1980), 1,
      sym_simple_identifier,
    STATE(2088), 1,
      sym__type,
    STATE(2097), 1,
      sym__parenthesized_type,
    STATE(4059), 1,
      sym_type_modifiers,
    STATE(2092), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(3982), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1915), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3980), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(1796), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [135143] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(6972), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [135227] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(7318), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [135311] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(7822), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [135395] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(6952), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [135479] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(7324), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [135563] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6913), 1,
      anon_sym_each,
    ACTIONS(6915), 1,
      anon_sym_repeat,
    ACTIONS(6917), 1,
      anon_sym_LPAREN,
    ACTIONS(6919), 1,
      anon_sym_LBRACK,
    ACTIONS(6921), 1,
      anon_sym_some,
    ACTIONS(6923), 1,
      anon_sym_any,
    STATE(4075), 1,
      sym_type_modifiers,
    STATE(4370), 1,
      sym_tuple_type,
    STATE(4450), 1,
      sym_simple_identifier,
    STATE(4515), 1,
      sym__simple_user_type,
    STATE(4967), 1,
      sym__parenthesized_type,
    STATE(5063), 1,
      sym__type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4635), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6911), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4691), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6909), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4551), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [135647] = 3,
    ACTIONS(7526), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7524), 37,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [135697] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6913), 1,
      anon_sym_each,
    ACTIONS(6915), 1,
      anon_sym_repeat,
    ACTIONS(6917), 1,
      anon_sym_LPAREN,
    ACTIONS(6919), 1,
      anon_sym_LBRACK,
    ACTIONS(6921), 1,
      anon_sym_some,
    ACTIONS(6923), 1,
      anon_sym_any,
    STATE(4075), 1,
      sym_type_modifiers,
    STATE(4370), 1,
      sym_tuple_type,
    STATE(4450), 1,
      sym_simple_identifier,
    STATE(4515), 1,
      sym__simple_user_type,
    STATE(4967), 1,
      sym__parenthesized_type,
    STATE(5041), 1,
      sym__type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4635), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6911), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4691), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6909), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4551), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [135781] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(7817), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [135865] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(6932), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [135949] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(7332), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [136033] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(7813), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [136117] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(6912), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [136201] = 3,
    ACTIONS(6241), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6239), 37,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [136251] = 3,
    ACTIONS(6245), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6243), 37,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [136301] = 3,
    ACTIONS(6249), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6247), 37,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [136351] = 3,
    ACTIONS(6255), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6253), 37,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [136401] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(7340), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [136485] = 3,
    ACTIONS(6255), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6253), 37,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [136535] = 3,
    ACTIONS(6259), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6257), 37,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [136585] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(7800), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [136669] = 21,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(7456), 1,
      anon_sym_each,
    ACTIONS(7458), 1,
      anon_sym_repeat,
    STATE(4543), 1,
      sym__simple_user_type,
    STATE(4640), 1,
      sym_simple_identifier,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(5184), 1,
      sym_tuple_type,
    STATE(5187), 1,
      sym_user_type,
    STATE(5370), 1,
      sym_function_type,
    STATE(3925), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4488), 2,
      sym_array_type,
      sym_dictionary_type,
    STATE(4879), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(6456), 2,
      sym_inheritance_specifier,
      sym__annotated_inheritance_specifier,
    ACTIONS(6994), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6992), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(5338), 8,
      sym__unannotated_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [136755] = 3,
    ACTIONS(6263), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6261), 37,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [136805] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(6888), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [136889] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(7351), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [136973] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6629), 1,
      anon_sym_each,
    ACTIONS(6631), 1,
      anon_sym_repeat,
    ACTIONS(6633), 1,
      anon_sym_LPAREN,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_some,
    ACTIONS(6639), 1,
      anon_sym_any,
    STATE(4005), 1,
      sym_type_modifiers,
    STATE(4324), 1,
      sym_tuple_type,
    STATE(4383), 1,
      sym_simple_identifier,
    STATE(4393), 1,
      sym__simple_user_type,
    STATE(4847), 1,
      sym__parenthesized_type,
    STATE(5010), 1,
      sym__type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4547), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6627), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4463), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6625), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4441), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [137057] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6629), 1,
      anon_sym_each,
    ACTIONS(6631), 1,
      anon_sym_repeat,
    ACTIONS(6633), 1,
      anon_sym_LPAREN,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_some,
    ACTIONS(6639), 1,
      anon_sym_any,
    STATE(4005), 1,
      sym_type_modifiers,
    STATE(4324), 1,
      sym_tuple_type,
    STATE(4383), 1,
      sym_simple_identifier,
    STATE(4393), 1,
      sym__simple_user_type,
    STATE(4847), 1,
      sym__parenthesized_type,
    STATE(4989), 1,
      sym__type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4547), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6627), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4463), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6625), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4441), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [137141] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6629), 1,
      anon_sym_each,
    ACTIONS(6631), 1,
      anon_sym_repeat,
    ACTIONS(6633), 1,
      anon_sym_LPAREN,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_some,
    ACTIONS(6639), 1,
      anon_sym_any,
    STATE(4005), 1,
      sym_type_modifiers,
    STATE(4324), 1,
      sym_tuple_type,
    STATE(4383), 1,
      sym_simple_identifier,
    STATE(4393), 1,
      sym__simple_user_type,
    STATE(4847), 1,
      sym__parenthesized_type,
    STATE(5004), 1,
      sym__type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4547), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6627), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4463), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6625), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4441), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [137225] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(7785), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [137309] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6913), 1,
      anon_sym_each,
    ACTIONS(6915), 1,
      anon_sym_repeat,
    ACTIONS(6917), 1,
      anon_sym_LPAREN,
    ACTIONS(6919), 1,
      anon_sym_LBRACK,
    ACTIONS(6921), 1,
      anon_sym_some,
    ACTIONS(6923), 1,
      anon_sym_any,
    STATE(4075), 1,
      sym_type_modifiers,
    STATE(4370), 1,
      sym_tuple_type,
    STATE(4450), 1,
      sym_simple_identifier,
    STATE(4515), 1,
      sym__simple_user_type,
    STATE(4967), 1,
      sym__parenthesized_type,
    STATE(5071), 1,
      sym__type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4635), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6911), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4691), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6909), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4551), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [137393] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(6864), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [137477] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(7367), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [137561] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(7776), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [137645] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(6840), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [137729] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(7386), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [137813] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(7772), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [137897] = 3,
    ACTIONS(7530), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7528), 37,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [137947] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(6816), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [138031] = 3,
    ACTIONS(7534), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7532), 37,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [138081] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(2296), 1,
      sym__type,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [138165] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(7402), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [138249] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(2600), 1,
      anon_sym_each,
    ACTIONS(2605), 1,
      anon_sym_repeat,
    ACTIONS(2613), 1,
      anon_sym_some,
    ACTIONS(2615), 1,
      anon_sym_any,
    ACTIONS(7536), 1,
      anon_sym_LPAREN,
    ACTIONS(7538), 1,
      anon_sym_LBRACK,
    STATE(883), 1,
      sym_tuple_type,
    STATE(923), 1,
      sym__simple_user_type,
    STATE(936), 1,
      sym_simple_identifier,
    STATE(953), 1,
      sym__parenthesized_type,
    STATE(1101), 1,
      sym__type,
    STATE(4169), 1,
      sym_type_modifiers,
    STATE(954), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(2598), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(927), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2596), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(896), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [138333] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(2600), 1,
      anon_sym_each,
    ACTIONS(2605), 1,
      anon_sym_repeat,
    ACTIONS(2613), 1,
      anon_sym_some,
    ACTIONS(2615), 1,
      anon_sym_any,
    ACTIONS(7536), 1,
      anon_sym_LPAREN,
    ACTIONS(7538), 1,
      anon_sym_LBRACK,
    STATE(883), 1,
      sym_tuple_type,
    STATE(923), 1,
      sym__simple_user_type,
    STATE(936), 1,
      sym_simple_identifier,
    STATE(953), 1,
      sym__parenthesized_type,
    STATE(1099), 1,
      sym__type,
    STATE(4169), 1,
      sym_type_modifiers,
    STATE(954), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(2598), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(927), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2596), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(896), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [138417] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(7767), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [138501] = 3,
    ACTIONS(6289), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6287), 37,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [138551] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6996), 1,
      anon_sym_each,
    ACTIONS(6998), 1,
      anon_sym_repeat,
    ACTIONS(7000), 1,
      anon_sym_LPAREN,
    ACTIONS(7002), 1,
      anon_sym_LBRACK,
    ACTIONS(7004), 1,
      anon_sym_some,
    ACTIONS(7006), 1,
      anon_sym_any,
    STATE(4026), 1,
      sym_type_modifiers,
    STATE(4342), 1,
      sym_tuple_type,
    STATE(4543), 1,
      sym__simple_user_type,
    STATE(4640), 1,
      sym_simple_identifier,
    STATE(5012), 1,
      sym__parenthesized_type,
    STATE(5088), 1,
      sym__type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4879), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6994), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4600), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6992), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4516), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [138635] = 3,
    ACTIONS(5105), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5103), 37,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [138685] = 3,
    ACTIONS(6285), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6283), 37,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [138735] = 3,
    ACTIONS(6285), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6283), 37,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [138785] = 3,
    ACTIONS(6289), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6287), 37,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [138835] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(7166), 1,
      anon_sym_LPAREN,
    ACTIONS(7168), 1,
      anon_sym_LBRACK,
    ACTIONS(7178), 1,
      anon_sym_each,
    ACTIONS(7180), 1,
      anon_sym_repeat,
    ACTIONS(7182), 1,
      anon_sym_some,
    ACTIONS(7184), 1,
      anon_sym_any,
    STATE(4038), 1,
      sym_type_modifiers,
    STATE(4631), 1,
      sym_tuple_type,
    STATE(4636), 1,
      sym__simple_user_type,
    STATE(4721), 1,
      sym_simple_identifier,
    STATE(5085), 1,
      sym__parenthesized_type,
    STATE(5773), 1,
      sym__type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4839), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(7160), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4940), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7158), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4984), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [138919] = 3,
    ACTIONS(5105), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5103), 37,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [138969] = 3,
    ACTIONS(6285), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6283), 37,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [139019] = 3,
    ACTIONS(6285), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6283), 37,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [139069] = 3,
    ACTIONS(6281), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6279), 37,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [139119] = 3,
    ACTIONS(6275), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6273), 37,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [139169] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(6792), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [139253] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(7412), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [139337] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(7754), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [139421] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(7194), 1,
      anon_sym_each,
    ACTIONS(7196), 1,
      anon_sym_repeat,
    ACTIONS(7198), 1,
      anon_sym_some,
    ACTIONS(7200), 1,
      anon_sym_any,
    STATE(4099), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4733), 1,
      sym_tuple_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(5011), 1,
      sym__type,
    STATE(5098), 1,
      sym__simple_user_type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(5044), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [139505] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(3652), 1,
      anon_sym_each,
    ACTIONS(3654), 1,
      anon_sym_repeat,
    ACTIONS(3656), 1,
      anon_sym_LPAREN,
    ACTIONS(3658), 1,
      anon_sym_LBRACK,
    ACTIONS(3660), 1,
      anon_sym_some,
    ACTIONS(3662), 1,
      anon_sym_any,
    STATE(1539), 1,
      sym_tuple_type,
    STATE(1612), 1,
      sym__simple_user_type,
    STATE(1620), 1,
      sym_simple_identifier,
    STATE(1735), 1,
      sym__parenthesized_type,
    STATE(1742), 1,
      sym__type,
    STATE(4070), 1,
      sym_type_modifiers,
    STATE(1659), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(3647), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1652), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3645), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(1609), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [139589] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(3652), 1,
      anon_sym_each,
    ACTIONS(3654), 1,
      anon_sym_repeat,
    ACTIONS(3656), 1,
      anon_sym_LPAREN,
    ACTIONS(3658), 1,
      anon_sym_LBRACK,
    ACTIONS(3660), 1,
      anon_sym_some,
    ACTIONS(3662), 1,
      anon_sym_any,
    STATE(1539), 1,
      sym_tuple_type,
    STATE(1612), 1,
      sym__simple_user_type,
    STATE(1620), 1,
      sym_simple_identifier,
    STATE(1735), 1,
      sym__parenthesized_type,
    STATE(1748), 1,
      sym__type,
    STATE(4070), 1,
      sym_type_modifiers,
    STATE(1659), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(3647), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1652), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3645), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(1609), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [139673] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(3652), 1,
      anon_sym_each,
    ACTIONS(3654), 1,
      anon_sym_repeat,
    ACTIONS(3656), 1,
      anon_sym_LPAREN,
    ACTIONS(3658), 1,
      anon_sym_LBRACK,
    ACTIONS(3660), 1,
      anon_sym_some,
    ACTIONS(3662), 1,
      anon_sym_any,
    STATE(1539), 1,
      sym_tuple_type,
    STATE(1612), 1,
      sym__simple_user_type,
    STATE(1620), 1,
      sym_simple_identifier,
    STATE(1735), 1,
      sym__parenthesized_type,
    STATE(1749), 1,
      sym__type,
    STATE(4070), 1,
      sym_type_modifiers,
    STATE(1659), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(3647), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1652), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3645), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(1609), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [139757] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(6768), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [139841] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(7420), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [139925] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(7742), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [140009] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(6744), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [140093] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(7419), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [140177] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(7733), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [140261] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(6716), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [140345] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(7450), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [140429] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6861), 1,
      anon_sym_each,
    ACTIONS(6863), 1,
      anon_sym_repeat,
    ACTIONS(6865), 1,
      anon_sym_LPAREN,
    ACTIONS(6867), 1,
      anon_sym_LBRACK,
    ACTIONS(6869), 1,
      anon_sym_some,
    ACTIONS(6871), 1,
      anon_sym_any,
    STATE(3988), 1,
      sym_type_modifiers,
    STATE(4362), 1,
      sym_tuple_type,
    STATE(4467), 1,
      sym_simple_identifier,
    STATE(4468), 1,
      sym__simple_user_type,
    STATE(5008), 1,
      sym__parenthesized_type,
    STATE(6428), 1,
      sym__type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4658), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6859), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4688), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6857), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4527), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [140513] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(7728), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [140597] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(6680), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [140681] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(7468), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [140765] = 3,
    ACTIONS(7542), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7540), 37,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [140815] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(7194), 1,
      anon_sym_each,
    ACTIONS(7196), 1,
      anon_sym_repeat,
    ACTIONS(7198), 1,
      anon_sym_some,
    ACTIONS(7200), 1,
      anon_sym_any,
    STATE(4099), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4733), 1,
      sym_tuple_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(5005), 1,
      sym__type,
    STATE(5098), 1,
      sym__simple_user_type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(5044), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [140899] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(4025), 1,
      anon_sym_each,
    ACTIONS(4030), 1,
      anon_sym_repeat,
    ACTIONS(4032), 1,
      anon_sym_LPAREN,
    ACTIONS(4034), 1,
      anon_sym_LBRACK,
    ACTIONS(4036), 1,
      anon_sym_some,
    ACTIONS(4038), 1,
      anon_sym_any,
    STATE(1943), 1,
      sym_tuple_type,
    STATE(2068), 1,
      sym_simple_identifier,
    STATE(2099), 1,
      sym__simple_user_type,
    STATE(2575), 1,
      sym__parenthesized_type,
    STATE(3275), 1,
      sym__type,
    STATE(4110), 1,
      sym_type_modifiers,
    STATE(2217), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(4023), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(2174), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(4021), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(2073), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [140983] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(7194), 1,
      anon_sym_each,
    ACTIONS(7196), 1,
      anon_sym_repeat,
    ACTIONS(7198), 1,
      anon_sym_some,
    ACTIONS(7200), 1,
      anon_sym_any,
    STATE(4099), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4733), 1,
      sym_tuple_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(4973), 1,
      sym__type,
    STATE(5098), 1,
      sym__simple_user_type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(5044), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [141067] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(5806), 1,
      anon_sym_each,
    ACTIONS(5808), 1,
      anon_sym_repeat,
    ACTIONS(5810), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_LBRACK,
    ACTIONS(5814), 1,
      anon_sym_some,
    ACTIONS(5816), 1,
      anon_sym_any,
    STATE(4162), 1,
      sym_type_modifiers,
    STATE(4250), 1,
      sym_tuple_type,
    STATE(4292), 1,
      sym_simple_identifier,
    STATE(4293), 1,
      sym__simple_user_type,
    STATE(4398), 1,
      sym__parenthesized_type,
    STATE(5234), 1,
      sym__type,
    STATE(4313), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(5804), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4297), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5802), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4285), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [141151] = 3,
    ACTIONS(6210), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6208), 37,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [141201] = 3,
    ACTIONS(5029), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5027), 37,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [141251] = 3,
    ACTIONS(6203), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6201), 37,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [141301] = 3,
    ACTIONS(6203), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6201), 37,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [141351] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(7717), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [141435] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6161), 1,
      anon_sym_each,
    ACTIONS(6163), 1,
      anon_sym_repeat,
    ACTIONS(6165), 1,
      anon_sym_LPAREN,
    ACTIONS(6167), 1,
      anon_sym_LBRACK,
    ACTIONS(6169), 1,
      anon_sym_some,
    ACTIONS(6171), 1,
      anon_sym_any,
    STATE(4019), 1,
      sym_type_modifiers,
    STATE(4283), 1,
      sym_tuple_type,
    STATE(4364), 1,
      sym__simple_user_type,
    STATE(4374), 1,
      sym_simple_identifier,
    STATE(4683), 1,
      sym__parenthesized_type,
    STATE(5496), 1,
      sym__type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4414), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6159), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4415), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6157), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4373), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [141519] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(6619), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [141603] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(7484), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [141687] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(7699), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [141771] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(7477), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [141855] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(2480), 1,
      anon_sym_each,
    ACTIONS(2482), 1,
      anon_sym_repeat,
    ACTIONS(2490), 1,
      anon_sym_some,
    ACTIONS(2492), 1,
      anon_sym_any,
    ACTIONS(7544), 1,
      anon_sym_LPAREN,
    ACTIONS(7546), 1,
      anon_sym_LBRACK,
    STATE(681), 1,
      sym__simple_user_type,
    STATE(686), 1,
      sym_tuple_type,
    STATE(692), 1,
      sym_simple_identifier,
    STATE(713), 1,
      sym__parenthesized_type,
    STATE(760), 1,
      sym__type,
    STATE(4171), 1,
      sym_type_modifiers,
    STATE(702), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(769), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(685), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(767), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(693), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [141939] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(3879), 1,
      anon_sym_each,
    ACTIONS(3881), 1,
      anon_sym_repeat,
    ACTIONS(3883), 1,
      anon_sym_some,
    ACTIONS(3885), 1,
      anon_sym_any,
    ACTIONS(7544), 1,
      anon_sym_LPAREN,
    ACTIONS(7546), 1,
      anon_sym_LBRACK,
    STATE(681), 1,
      sym__simple_user_type,
    STATE(692), 1,
      sym_simple_identifier,
    STATE(713), 1,
      sym__parenthesized_type,
    STATE(761), 1,
      sym__type,
    STATE(1693), 1,
      sym_tuple_type,
    STATE(4163), 1,
      sym_type_modifiers,
    STATE(702), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(769), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(685), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(767), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(1737), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [142023] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(6531), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [142107] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(3517), 1,
      anon_sym_each,
    ACTIONS(3519), 1,
      anon_sym_repeat,
    ACTIONS(3521), 1,
      anon_sym_LPAREN,
    ACTIONS(3523), 1,
      anon_sym_LBRACK,
    ACTIONS(3525), 1,
      anon_sym_some,
    ACTIONS(3527), 1,
      anon_sym_any,
    STATE(1496), 1,
      sym_tuple_type,
    STATE(1524), 1,
      sym_simple_identifier,
    STATE(1527), 1,
      sym__simple_user_type,
    STATE(1650), 1,
      sym__parenthesized_type,
    STATE(1691), 1,
      sym__type,
    STATE(4076), 1,
      sym_type_modifiers,
    STATE(1582), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(3512), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1559), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3510), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(1541), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [142191] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(7501), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [142275] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(3517), 1,
      anon_sym_each,
    ACTIONS(3519), 1,
      anon_sym_repeat,
    ACTIONS(3521), 1,
      anon_sym_LPAREN,
    ACTIONS(3523), 1,
      anon_sym_LBRACK,
    ACTIONS(3525), 1,
      anon_sym_some,
    ACTIONS(3527), 1,
      anon_sym_any,
    STATE(1496), 1,
      sym_tuple_type,
    STATE(1524), 1,
      sym_simple_identifier,
    STATE(1527), 1,
      sym__simple_user_type,
    STATE(1650), 1,
      sym__parenthesized_type,
    STATE(1699), 1,
      sym__type,
    STATE(4076), 1,
      sym_type_modifiers,
    STATE(1582), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(3512), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1559), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3510), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(1541), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [142359] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(3879), 1,
      anon_sym_each,
    ACTIONS(3881), 1,
      anon_sym_repeat,
    ACTIONS(3883), 1,
      anon_sym_some,
    ACTIONS(3885), 1,
      anon_sym_any,
    ACTIONS(7544), 1,
      anon_sym_LPAREN,
    ACTIONS(7546), 1,
      anon_sym_LBRACK,
    STATE(681), 1,
      sym__simple_user_type,
    STATE(692), 1,
      sym_simple_identifier,
    STATE(713), 1,
      sym__parenthesized_type,
    STATE(760), 1,
      sym__type,
    STATE(1693), 1,
      sym_tuple_type,
    STATE(4163), 1,
      sym_type_modifiers,
    STATE(702), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(769), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(685), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(767), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(1737), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [142443] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(7654), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [142527] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(6504), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [142611] = 3,
    ACTIONS(7550), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7548), 37,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [142661] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(7166), 1,
      anon_sym_LPAREN,
    ACTIONS(7168), 1,
      anon_sym_LBRACK,
    ACTIONS(7178), 1,
      anon_sym_each,
    ACTIONS(7180), 1,
      anon_sym_repeat,
    ACTIONS(7182), 1,
      anon_sym_some,
    ACTIONS(7184), 1,
      anon_sym_any,
    STATE(4038), 1,
      sym_type_modifiers,
    STATE(4631), 1,
      sym_tuple_type,
    STATE(4636), 1,
      sym__simple_user_type,
    STATE(4721), 1,
      sym_simple_identifier,
    STATE(5085), 1,
      sym__parenthesized_type,
    STATE(5158), 1,
      sym__type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4839), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(7160), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4940), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7158), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4984), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [142745] = 3,
    ACTIONS(7554), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7552), 37,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      sym_catch_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [142795] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(3517), 1,
      anon_sym_each,
    ACTIONS(3519), 1,
      anon_sym_repeat,
    ACTIONS(3521), 1,
      anon_sym_LPAREN,
    ACTIONS(3523), 1,
      anon_sym_LBRACK,
    ACTIONS(3525), 1,
      anon_sym_some,
    ACTIONS(3527), 1,
      anon_sym_any,
    STATE(1496), 1,
      sym_tuple_type,
    STATE(1524), 1,
      sym_simple_identifier,
    STATE(1527), 1,
      sym__simple_user_type,
    STATE(1650), 1,
      sym__parenthesized_type,
    STATE(1696), 1,
      sym__type,
    STATE(4076), 1,
      sym_type_modifiers,
    STATE(1582), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(3512), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1559), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3510), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(1541), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [142879] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(2480), 1,
      anon_sym_each,
    ACTIONS(2482), 1,
      anon_sym_repeat,
    ACTIONS(2490), 1,
      anon_sym_some,
    ACTIONS(2492), 1,
      anon_sym_any,
    ACTIONS(7544), 1,
      anon_sym_LPAREN,
    ACTIONS(7546), 1,
      anon_sym_LBRACK,
    STATE(681), 1,
      sym__simple_user_type,
    STATE(686), 1,
      sym_tuple_type,
    STATE(692), 1,
      sym_simple_identifier,
    STATE(713), 1,
      sym__parenthesized_type,
    STATE(761), 1,
      sym__type,
    STATE(4171), 1,
      sym_type_modifiers,
    STATE(702), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(769), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(685), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(767), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(693), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [142963] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(5806), 1,
      anon_sym_each,
    ACTIONS(5808), 1,
      anon_sym_repeat,
    ACTIONS(5810), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_LBRACK,
    ACTIONS(5814), 1,
      anon_sym_some,
    ACTIONS(5816), 1,
      anon_sym_any,
    STATE(4162), 1,
      sym_type_modifiers,
    STATE(4250), 1,
      sym_tuple_type,
    STATE(4292), 1,
      sym_simple_identifier,
    STATE(4293), 1,
      sym__simple_user_type,
    STATE(4398), 1,
      sym__parenthesized_type,
    STATE(5219), 1,
      sym__type,
    STATE(4313), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(5804), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4297), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5802), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4285), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [143047] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(7526), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [143131] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6950), 1,
      anon_sym_each,
    ACTIONS(6952), 1,
      anon_sym_repeat,
    ACTIONS(6954), 1,
      anon_sym_LPAREN,
    ACTIONS(6956), 1,
      anon_sym_LBRACK,
    ACTIONS(6958), 1,
      anon_sym_some,
    ACTIONS(6960), 1,
      anon_sym_any,
    STATE(4054), 1,
      sym_type_modifiers,
    STATE(4432), 1,
      sym_tuple_type,
    STATE(4604), 1,
      sym__simple_user_type,
    STATE(4642), 1,
      sym_simple_identifier,
    STATE(5077), 1,
      sym__parenthesized_type,
    STATE(6611), 1,
      sym__type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4852), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6948), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4807), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6946), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4707), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [143215] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6629), 1,
      anon_sym_each,
    ACTIONS(6631), 1,
      anon_sym_repeat,
    ACTIONS(6633), 1,
      anon_sym_LPAREN,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_some,
    ACTIONS(6639), 1,
      anon_sym_any,
    STATE(4005), 1,
      sym_type_modifiers,
    STATE(4324), 1,
      sym_tuple_type,
    STATE(4383), 1,
      sym_simple_identifier,
    STATE(4393), 1,
      sym__simple_user_type,
    STATE(4847), 1,
      sym__parenthesized_type,
    STATE(5586), 1,
      sym__type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4547), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6627), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4463), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6625), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4441), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [143299] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(4025), 1,
      anon_sym_each,
    ACTIONS(4030), 1,
      anon_sym_repeat,
    ACTIONS(4032), 1,
      anon_sym_LPAREN,
    ACTIONS(4034), 1,
      anon_sym_LBRACK,
    ACTIONS(4036), 1,
      anon_sym_some,
    ACTIONS(4038), 1,
      anon_sym_any,
    STATE(1943), 1,
      sym_tuple_type,
    STATE(2068), 1,
      sym_simple_identifier,
    STATE(2099), 1,
      sym__simple_user_type,
    STATE(2575), 1,
      sym__parenthesized_type,
    STATE(3279), 1,
      sym__type,
    STATE(4110), 1,
      sym_type_modifiers,
    STATE(2217), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(4023), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(2174), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(4021), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(2073), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [143383] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6161), 1,
      anon_sym_each,
    ACTIONS(6163), 1,
      anon_sym_repeat,
    ACTIONS(6165), 1,
      anon_sym_LPAREN,
    ACTIONS(6167), 1,
      anon_sym_LBRACK,
    ACTIONS(6169), 1,
      anon_sym_some,
    ACTIONS(6171), 1,
      anon_sym_any,
    STATE(4019), 1,
      sym_type_modifiers,
    STATE(4283), 1,
      sym_tuple_type,
    STATE(4364), 1,
      sym__simple_user_type,
    STATE(4374), 1,
      sym_simple_identifier,
    STATE(4683), 1,
      sym__parenthesized_type,
    STATE(5452), 1,
      sym__type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4414), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6159), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4415), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6157), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4373), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [143467] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(7634), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [143551] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6861), 1,
      anon_sym_each,
    ACTIONS(6863), 1,
      anon_sym_repeat,
    ACTIONS(6865), 1,
      anon_sym_LPAREN,
    ACTIONS(6867), 1,
      anon_sym_LBRACK,
    ACTIONS(6869), 1,
      anon_sym_some,
    ACTIONS(6871), 1,
      anon_sym_any,
    STATE(3988), 1,
      sym_type_modifiers,
    STATE(4362), 1,
      sym_tuple_type,
    STATE(4467), 1,
      sym_simple_identifier,
    STATE(4468), 1,
      sym__simple_user_type,
    STATE(5008), 1,
      sym__parenthesized_type,
    STATE(6174), 1,
      sym__type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4658), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6859), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4688), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6857), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4527), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [143635] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(6654), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [143719] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(7012), 1,
      anon_sym_each,
    ACTIONS(7014), 1,
      anon_sym_repeat,
    ACTIONS(7016), 1,
      anon_sym_LPAREN,
    ACTIONS(7018), 1,
      anon_sym_LBRACK,
    ACTIONS(7020), 1,
      anon_sym_some,
    ACTIONS(7022), 1,
      anon_sym_any,
    STATE(4086), 1,
      sym_type_modifiers,
    STATE(4438), 1,
      sym_tuple_type,
    STATE(4630), 1,
      sym__simple_user_type,
    STATE(4651), 1,
      sym_simple_identifier,
    STATE(5080), 1,
      sym__parenthesized_type,
    STATE(5172), 1,
      sym__type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4848), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(7010), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4884), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7008), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4681), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [143803] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(7012), 1,
      anon_sym_each,
    ACTIONS(7014), 1,
      anon_sym_repeat,
    ACTIONS(7016), 1,
      anon_sym_LPAREN,
    ACTIONS(7018), 1,
      anon_sym_LBRACK,
    ACTIONS(7020), 1,
      anon_sym_some,
    ACTIONS(7022), 1,
      anon_sym_any,
    STATE(4086), 1,
      sym_type_modifiers,
    STATE(4438), 1,
      sym_tuple_type,
    STATE(4630), 1,
      sym__simple_user_type,
    STATE(4651), 1,
      sym_simple_identifier,
    STATE(5080), 1,
      sym__parenthesized_type,
    STATE(5192), 1,
      sym__type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4848), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(7010), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4884), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7008), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4681), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [143887] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(7012), 1,
      anon_sym_each,
    ACTIONS(7014), 1,
      anon_sym_repeat,
    ACTIONS(7016), 1,
      anon_sym_LPAREN,
    ACTIONS(7018), 1,
      anon_sym_LBRACK,
    ACTIONS(7020), 1,
      anon_sym_some,
    ACTIONS(7022), 1,
      anon_sym_any,
    STATE(4086), 1,
      sym_type_modifiers,
    STATE(4438), 1,
      sym_tuple_type,
    STATE(4630), 1,
      sym__simple_user_type,
    STATE(4651), 1,
      sym_simple_identifier,
    STATE(5080), 1,
      sym__parenthesized_type,
    STATE(5199), 1,
      sym__type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4848), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(7010), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4884), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7008), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4681), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [143971] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(7166), 1,
      anon_sym_LPAREN,
    ACTIONS(7168), 1,
      anon_sym_LBRACK,
    ACTIONS(7178), 1,
      anon_sym_each,
    ACTIONS(7180), 1,
      anon_sym_repeat,
    ACTIONS(7182), 1,
      anon_sym_some,
    ACTIONS(7184), 1,
      anon_sym_any,
    STATE(4038), 1,
      sym_type_modifiers,
    STATE(4631), 1,
      sym_tuple_type,
    STATE(4636), 1,
      sym__simple_user_type,
    STATE(4721), 1,
      sym_simple_identifier,
    STATE(5085), 1,
      sym__parenthesized_type,
    STATE(5152), 1,
      sym__type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4839), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(7160), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4940), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7158), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4984), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [144055] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(7574), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [144139] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6950), 1,
      anon_sym_each,
    ACTIONS(6952), 1,
      anon_sym_repeat,
    ACTIONS(6954), 1,
      anon_sym_LPAREN,
    ACTIONS(6956), 1,
      anon_sym_LBRACK,
    ACTIONS(6958), 1,
      anon_sym_some,
    ACTIONS(6960), 1,
      anon_sym_any,
    STATE(4054), 1,
      sym_type_modifiers,
    STATE(4432), 1,
      sym_tuple_type,
    STATE(4604), 1,
      sym__simple_user_type,
    STATE(4642), 1,
      sym_simple_identifier,
    STATE(5077), 1,
      sym__parenthesized_type,
    STATE(6970), 1,
      sym__type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4852), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6948), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4807), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6946), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4707), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [144223] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(7681), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [144307] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(6801), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [144391] = 3,
    ACTIONS(7558), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7556), 37,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [144441] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6950), 1,
      anon_sym_each,
    ACTIONS(6952), 1,
      anon_sym_repeat,
    ACTIONS(6954), 1,
      anon_sym_LPAREN,
    ACTIONS(6956), 1,
      anon_sym_LBRACK,
    ACTIONS(6958), 1,
      anon_sym_some,
    ACTIONS(6960), 1,
      anon_sym_any,
    STATE(4054), 1,
      sym_type_modifiers,
    STATE(4432), 1,
      sym_tuple_type,
    STATE(4604), 1,
      sym__simple_user_type,
    STATE(4642), 1,
      sym_simple_identifier,
    STATE(5077), 1,
      sym__parenthesized_type,
    STATE(6574), 1,
      sym__type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4852), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6948), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4807), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6946), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4707), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [144525] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6629), 1,
      anon_sym_each,
    ACTIONS(6631), 1,
      anon_sym_repeat,
    ACTIONS(6633), 1,
      anon_sym_LPAREN,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_some,
    ACTIONS(6639), 1,
      anon_sym_any,
    STATE(4005), 1,
      sym_type_modifiers,
    STATE(4324), 1,
      sym_tuple_type,
    STATE(4383), 1,
      sym_simple_identifier,
    STATE(4393), 1,
      sym__simple_user_type,
    STATE(4847), 1,
      sym__parenthesized_type,
    STATE(5641), 1,
      sym__type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4547), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6627), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4463), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6625), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4441), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [144609] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(7618), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [144693] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6950), 1,
      anon_sym_each,
    ACTIONS(6952), 1,
      anon_sym_repeat,
    ACTIONS(6954), 1,
      anon_sym_LPAREN,
    ACTIONS(6956), 1,
      anon_sym_LBRACK,
    ACTIONS(6958), 1,
      anon_sym_some,
    ACTIONS(6960), 1,
      anon_sym_any,
    STATE(4054), 1,
      sym_type_modifiers,
    STATE(4432), 1,
      sym_tuple_type,
    STATE(4604), 1,
      sym__simple_user_type,
    STATE(4642), 1,
      sym_simple_identifier,
    STATE(5077), 1,
      sym__parenthesized_type,
    STATE(6498), 1,
      sym__type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4852), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6948), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4807), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6946), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4707), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [144777] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6861), 1,
      anon_sym_each,
    ACTIONS(6863), 1,
      anon_sym_repeat,
    ACTIONS(6865), 1,
      anon_sym_LPAREN,
    ACTIONS(6867), 1,
      anon_sym_LBRACK,
    ACTIONS(6869), 1,
      anon_sym_some,
    ACTIONS(6871), 1,
      anon_sym_any,
    STATE(3988), 1,
      sym_type_modifiers,
    STATE(4362), 1,
      sym_tuple_type,
    STATE(4467), 1,
      sym_simple_identifier,
    STATE(4468), 1,
      sym__simple_user_type,
    STATE(5008), 1,
      sym__parenthesized_type,
    STATE(5721), 1,
      sym__type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4658), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6859), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4688), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6857), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4527), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [144861] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(7166), 1,
      anon_sym_LPAREN,
    ACTIONS(7168), 1,
      anon_sym_LBRACK,
    ACTIONS(7178), 1,
      anon_sym_each,
    ACTIONS(7180), 1,
      anon_sym_repeat,
    ACTIONS(7182), 1,
      anon_sym_some,
    ACTIONS(7184), 1,
      anon_sym_any,
    STATE(4038), 1,
      sym_type_modifiers,
    STATE(4631), 1,
      sym_tuple_type,
    STATE(4636), 1,
      sym__simple_user_type,
    STATE(4721), 1,
      sym_simple_identifier,
    STATE(5085), 1,
      sym__parenthesized_type,
    STATE(5194), 1,
      sym__type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4839), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(7160), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4940), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7158), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4984), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [144945] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6950), 1,
      anon_sym_each,
    ACTIONS(6952), 1,
      anon_sym_repeat,
    ACTIONS(6954), 1,
      anon_sym_LPAREN,
    ACTIONS(6956), 1,
      anon_sym_LBRACK,
    ACTIONS(6958), 1,
      anon_sym_some,
    ACTIONS(6960), 1,
      anon_sym_any,
    STATE(4054), 1,
      sym_type_modifiers,
    STATE(4432), 1,
      sym_tuple_type,
    STATE(4604), 1,
      sym__simple_user_type,
    STATE(4642), 1,
      sym_simple_identifier,
    STATE(5077), 1,
      sym__parenthesized_type,
    STATE(6752), 1,
      sym__type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4852), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6948), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4807), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6946), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4707), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [145029] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(7768), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [145113] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6950), 1,
      anon_sym_each,
    ACTIONS(6952), 1,
      anon_sym_repeat,
    ACTIONS(6954), 1,
      anon_sym_LPAREN,
    ACTIONS(6956), 1,
      anon_sym_LBRACK,
    ACTIONS(6958), 1,
      anon_sym_some,
    ACTIONS(6960), 1,
      anon_sym_any,
    STATE(4054), 1,
      sym_type_modifiers,
    STATE(4432), 1,
      sym_tuple_type,
    STATE(4604), 1,
      sym__simple_user_type,
    STATE(4642), 1,
      sym_simple_identifier,
    STATE(5077), 1,
      sym__parenthesized_type,
    STATE(6771), 1,
      sym__type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4852), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6948), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4807), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6946), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4707), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [145197] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(7166), 1,
      anon_sym_LPAREN,
    ACTIONS(7168), 1,
      anon_sym_LBRACK,
    ACTIONS(7178), 1,
      anon_sym_each,
    ACTIONS(7180), 1,
      anon_sym_repeat,
    ACTIONS(7182), 1,
      anon_sym_some,
    ACTIONS(7184), 1,
      anon_sym_any,
    STATE(4038), 1,
      sym_type_modifiers,
    STATE(4631), 1,
      sym_tuple_type,
    STATE(4636), 1,
      sym__simple_user_type,
    STATE(4721), 1,
      sym_simple_identifier,
    STATE(5085), 1,
      sym__parenthesized_type,
    STATE(5770), 1,
      sym__type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4839), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(7160), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4940), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7158), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4984), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [145281] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(6946), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [145365] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6861), 1,
      anon_sym_each,
    ACTIONS(6863), 1,
      anon_sym_repeat,
    ACTIONS(6865), 1,
      anon_sym_LPAREN,
    ACTIONS(6867), 1,
      anon_sym_LBRACK,
    ACTIONS(6869), 1,
      anon_sym_some,
    ACTIONS(6871), 1,
      anon_sym_any,
    STATE(3988), 1,
      sym_type_modifiers,
    STATE(4362), 1,
      sym_tuple_type,
    STATE(4467), 1,
      sym_simple_identifier,
    STATE(4468), 1,
      sym__simple_user_type,
    STATE(5008), 1,
      sym__parenthesized_type,
    STATE(5838), 1,
      sym__type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4658), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6859), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4688), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6857), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4527), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [145449] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6950), 1,
      anon_sym_each,
    ACTIONS(6952), 1,
      anon_sym_repeat,
    ACTIONS(6954), 1,
      anon_sym_LPAREN,
    ACTIONS(6956), 1,
      anon_sym_LBRACK,
    ACTIONS(6958), 1,
      anon_sym_some,
    ACTIONS(6960), 1,
      anon_sym_any,
    STATE(4054), 1,
      sym_type_modifiers,
    STATE(4432), 1,
      sym_tuple_type,
    STATE(4604), 1,
      sym__simple_user_type,
    STATE(4642), 1,
      sym_simple_identifier,
    STATE(5077), 1,
      sym__parenthesized_type,
    STATE(6959), 1,
      sym__type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4852), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6948), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4807), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6946), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4707), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [145533] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(4159), 1,
      anon_sym_each,
    ACTIONS(4164), 1,
      anon_sym_repeat,
    ACTIONS(4166), 1,
      anon_sym_LPAREN,
    ACTIONS(4168), 1,
      anon_sym_LBRACK,
    ACTIONS(4170), 1,
      anon_sym_some,
    ACTIONS(4172), 1,
      anon_sym_any,
    STATE(2301), 1,
      sym_tuple_type,
    STATE(2599), 1,
      sym__simple_user_type,
    STATE(2661), 1,
      sym_simple_identifier,
    STATE(3191), 1,
      sym__parenthesized_type,
    STATE(3363), 1,
      sym__type,
    STATE(4182), 1,
      sym_type_modifiers,
    STATE(2747), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(4157), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(2941), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(4155), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(2548), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [145617] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(7598), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [145701] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6950), 1,
      anon_sym_each,
    ACTIONS(6952), 1,
      anon_sym_repeat,
    ACTIONS(6954), 1,
      anon_sym_LPAREN,
    ACTIONS(6956), 1,
      anon_sym_LBRACK,
    ACTIONS(6958), 1,
      anon_sym_some,
    ACTIONS(6960), 1,
      anon_sym_any,
    STATE(4054), 1,
      sym_type_modifiers,
    STATE(4432), 1,
      sym_tuple_type,
    STATE(4604), 1,
      sym__simple_user_type,
    STATE(4642), 1,
      sym_simple_identifier,
    STATE(5077), 1,
      sym__parenthesized_type,
    STATE(7035), 1,
      sym__type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4852), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6948), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4807), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6946), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4707), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [145785] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6950), 1,
      anon_sym_each,
    ACTIONS(6952), 1,
      anon_sym_repeat,
    ACTIONS(6954), 1,
      anon_sym_LPAREN,
    ACTIONS(6956), 1,
      anon_sym_LBRACK,
    ACTIONS(6958), 1,
      anon_sym_some,
    ACTIONS(6960), 1,
      anon_sym_any,
    STATE(4054), 1,
      sym_type_modifiers,
    STATE(4432), 1,
      sym_tuple_type,
    STATE(4604), 1,
      sym__simple_user_type,
    STATE(4642), 1,
      sym_simple_identifier,
    STATE(5077), 1,
      sym__parenthesized_type,
    STATE(7116), 1,
      sym__type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4852), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6948), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4807), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6946), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4707), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [145869] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(7259), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [145953] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(7903), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [146037] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6861), 1,
      anon_sym_each,
    ACTIONS(6863), 1,
      anon_sym_repeat,
    ACTIONS(6865), 1,
      anon_sym_LPAREN,
    ACTIONS(6867), 1,
      anon_sym_LBRACK,
    ACTIONS(6869), 1,
      anon_sym_some,
    ACTIONS(6871), 1,
      anon_sym_any,
    STATE(3988), 1,
      sym_type_modifiers,
    STATE(4362), 1,
      sym_tuple_type,
    STATE(4467), 1,
      sym_simple_identifier,
    STATE(4468), 1,
      sym__simple_user_type,
    STATE(5008), 1,
      sym__parenthesized_type,
    STATE(6387), 1,
      sym__type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4658), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6859), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4688), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6857), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4527), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [146121] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(7187), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [146205] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(3672), 1,
      anon_sym_each,
    ACTIONS(3674), 1,
      anon_sym_repeat,
    ACTIONS(3682), 1,
      anon_sym_some,
    ACTIONS(3684), 1,
      anon_sym_any,
    ACTIONS(7560), 1,
      anon_sym_LPAREN,
    ACTIONS(7562), 1,
      anon_sym_LBRACK,
    STATE(1604), 1,
      sym_tuple_type,
    STATE(1723), 1,
      sym__simple_user_type,
    STATE(1753), 1,
      sym_simple_identifier,
    STATE(1788), 1,
      sym__type,
    STATE(1811), 1,
      sym__parenthesized_type,
    STATE(4091), 1,
      sym_type_modifiers,
    STATE(1782), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(3670), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1720), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3668), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(1670), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [146289] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(3481), 1,
      anon_sym_LPAREN,
    ACTIONS(3483), 1,
      anon_sym_LBRACK,
    ACTIONS(6898), 1,
      anon_sym_each,
    ACTIONS(6900), 1,
      anon_sym_repeat,
    ACTIONS(6902), 1,
      anon_sym_some,
    ACTIONS(6904), 1,
      anon_sym_any,
    STATE(1489), 1,
      sym_simple_identifier,
    STATE(1490), 1,
      sym__simple_user_type,
    STATE(1561), 1,
      sym__parenthesized_type,
    STATE(1874), 1,
      sym__type,
    STATE(4144), 1,
      sym_type_modifiers,
    STATE(4340), 1,
      sym_tuple_type,
    STATE(1514), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(3472), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1504), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3470), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4553), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [146373] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(3984), 1,
      anon_sym_each,
    ACTIONS(3986), 1,
      anon_sym_repeat,
    ACTIONS(3994), 1,
      anon_sym_some,
    ACTIONS(3996), 1,
      anon_sym_any,
    ACTIONS(7520), 1,
      anon_sym_LPAREN,
    ACTIONS(7522), 1,
      anon_sym_LBRACK,
    STATE(1750), 1,
      sym_tuple_type,
    STATE(1909), 1,
      sym__simple_user_type,
    STATE(1980), 1,
      sym_simple_identifier,
    STATE(2097), 1,
      sym__parenthesized_type,
    STATE(3067), 1,
      sym__type,
    STATE(4059), 1,
      sym_type_modifiers,
    STATE(2092), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(3982), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1915), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3980), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(1796), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [146457] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(3984), 1,
      anon_sym_each,
    ACTIONS(3986), 1,
      anon_sym_repeat,
    ACTIONS(3994), 1,
      anon_sym_some,
    ACTIONS(3996), 1,
      anon_sym_any,
    ACTIONS(7520), 1,
      anon_sym_LPAREN,
    ACTIONS(7522), 1,
      anon_sym_LBRACK,
    STATE(1750), 1,
      sym_tuple_type,
    STATE(1909), 1,
      sym__simple_user_type,
    STATE(1980), 1,
      sym_simple_identifier,
    STATE(2097), 1,
      sym__parenthesized_type,
    STATE(3071), 1,
      sym__type,
    STATE(4059), 1,
      sym_type_modifiers,
    STATE(2092), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(3982), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1915), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3980), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(1796), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [146541] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(3793), 1,
      anon_sym_each,
    ACTIONS(3795), 1,
      anon_sym_repeat,
    ACTIONS(3803), 1,
      anon_sym_some,
    ACTIONS(3805), 1,
      anon_sym_any,
    ACTIONS(7564), 1,
      anon_sym_LPAREN,
    ACTIONS(7566), 1,
      anon_sym_LBRACK,
    STATE(1671), 1,
      sym_tuple_type,
    STATE(1771), 1,
      sym__simple_user_type,
    STATE(1836), 1,
      sym_simple_identifier,
    STATE(1851), 1,
      sym__type,
    STATE(1879), 1,
      sym__parenthesized_type,
    STATE(4128), 1,
      sym_type_modifiers,
    STATE(1866), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(3791), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1768), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3789), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(1690), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [146625] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(7518), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [146709] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6996), 1,
      anon_sym_each,
    ACTIONS(6998), 1,
      anon_sym_repeat,
    ACTIONS(7000), 1,
      anon_sym_LPAREN,
    ACTIONS(7002), 1,
      anon_sym_LBRACK,
    ACTIONS(7004), 1,
      anon_sym_some,
    ACTIONS(7006), 1,
      anon_sym_any,
    STATE(4026), 1,
      sym_type_modifiers,
    STATE(4342), 1,
      sym_tuple_type,
    STATE(4543), 1,
      sym__simple_user_type,
    STATE(4640), 1,
      sym_simple_identifier,
    STATE(5012), 1,
      sym__parenthesized_type,
    STATE(7075), 1,
      sym__type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4879), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6994), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4600), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6992), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4516), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [146793] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(6569), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [146877] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(3793), 1,
      anon_sym_each,
    ACTIONS(3795), 1,
      anon_sym_repeat,
    ACTIONS(3803), 1,
      anon_sym_some,
    ACTIONS(3805), 1,
      anon_sym_any,
    ACTIONS(7564), 1,
      anon_sym_LPAREN,
    ACTIONS(7566), 1,
      anon_sym_LBRACK,
    STATE(1671), 1,
      sym_tuple_type,
    STATE(1771), 1,
      sym__simple_user_type,
    STATE(1836), 1,
      sym_simple_identifier,
    STATE(1879), 1,
      sym__parenthesized_type,
    STATE(2477), 1,
      sym__type,
    STATE(4128), 1,
      sym_type_modifiers,
    STATE(1866), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(3791), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1768), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3789), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(1690), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [146961] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(3793), 1,
      anon_sym_each,
    ACTIONS(3795), 1,
      anon_sym_repeat,
    ACTIONS(3803), 1,
      anon_sym_some,
    ACTIONS(3805), 1,
      anon_sym_any,
    ACTIONS(7564), 1,
      anon_sym_LPAREN,
    ACTIONS(7566), 1,
      anon_sym_LBRACK,
    STATE(1671), 1,
      sym_tuple_type,
    STATE(1771), 1,
      sym__simple_user_type,
    STATE(1836), 1,
      sym_simple_identifier,
    STATE(1879), 1,
      sym__parenthesized_type,
    STATE(2476), 1,
      sym__type,
    STATE(4128), 1,
      sym_type_modifiers,
    STATE(1866), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(3791), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1768), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3789), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(1690), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [147045] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(3481), 1,
      anon_sym_LPAREN,
    ACTIONS(3483), 1,
      anon_sym_LBRACK,
    ACTIONS(6898), 1,
      anon_sym_each,
    ACTIONS(6900), 1,
      anon_sym_repeat,
    ACTIONS(6902), 1,
      anon_sym_some,
    ACTIONS(6904), 1,
      anon_sym_any,
    STATE(1489), 1,
      sym_simple_identifier,
    STATE(1490), 1,
      sym__simple_user_type,
    STATE(1561), 1,
      sym__parenthesized_type,
    STATE(1839), 1,
      sym__type,
    STATE(4144), 1,
      sym_type_modifiers,
    STATE(4340), 1,
      sym_tuple_type,
    STATE(1514), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(3472), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1504), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3470), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4553), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [147129] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(3652), 1,
      anon_sym_each,
    ACTIONS(3654), 1,
      anon_sym_repeat,
    ACTIONS(3656), 1,
      anon_sym_LPAREN,
    ACTIONS(3658), 1,
      anon_sym_LBRACK,
    ACTIONS(3660), 1,
      anon_sym_some,
    ACTIONS(3662), 1,
      anon_sym_any,
    STATE(1539), 1,
      sym_tuple_type,
    STATE(1612), 1,
      sym__simple_user_type,
    STATE(1620), 1,
      sym_simple_identifier,
    STATE(1735), 1,
      sym__parenthesized_type,
    STATE(2785), 1,
      sym__type,
    STATE(4070), 1,
      sym_type_modifiers,
    STATE(1659), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(3647), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1652), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3645), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(1609), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [147213] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(3517), 1,
      anon_sym_each,
    ACTIONS(3519), 1,
      anon_sym_repeat,
    ACTIONS(3521), 1,
      anon_sym_LPAREN,
    ACTIONS(3523), 1,
      anon_sym_LBRACK,
    ACTIONS(3525), 1,
      anon_sym_some,
    ACTIONS(3527), 1,
      anon_sym_any,
    STATE(1496), 1,
      sym_tuple_type,
    STATE(1524), 1,
      sym_simple_identifier,
    STATE(1527), 1,
      sym__simple_user_type,
    STATE(1650), 1,
      sym__parenthesized_type,
    STATE(2067), 1,
      sym__type,
    STATE(4076), 1,
      sym_type_modifiers,
    STATE(1582), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(3512), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1559), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3510), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(1541), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [147297] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(3652), 1,
      anon_sym_each,
    ACTIONS(3654), 1,
      anon_sym_repeat,
    ACTIONS(3656), 1,
      anon_sym_LPAREN,
    ACTIONS(3658), 1,
      anon_sym_LBRACK,
    ACTIONS(3660), 1,
      anon_sym_some,
    ACTIONS(3662), 1,
      anon_sym_any,
    STATE(1539), 1,
      sym_tuple_type,
    STATE(1612), 1,
      sym__simple_user_type,
    STATE(1620), 1,
      sym_simple_identifier,
    STATE(1735), 1,
      sym__parenthesized_type,
    STATE(2721), 1,
      sym__type,
    STATE(4070), 1,
      sym_type_modifiers,
    STATE(1659), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(3647), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1652), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3645), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(1609), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [147381] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(3672), 1,
      anon_sym_each,
    ACTIONS(3674), 1,
      anon_sym_repeat,
    ACTIONS(3682), 1,
      anon_sym_some,
    ACTIONS(3684), 1,
      anon_sym_any,
    ACTIONS(7560), 1,
      anon_sym_LPAREN,
    ACTIONS(7562), 1,
      anon_sym_LBRACK,
    STATE(1604), 1,
      sym_tuple_type,
    STATE(1723), 1,
      sym__simple_user_type,
    STATE(1753), 1,
      sym_simple_identifier,
    STATE(1783), 1,
      sym__type,
    STATE(1811), 1,
      sym__parenthesized_type,
    STATE(4091), 1,
      sym_type_modifiers,
    STATE(1782), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(3670), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1720), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3668), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(1670), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [147465] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(3793), 1,
      anon_sym_each,
    ACTIONS(3795), 1,
      anon_sym_repeat,
    ACTIONS(3803), 1,
      anon_sym_some,
    ACTIONS(3805), 1,
      anon_sym_any,
    ACTIONS(7564), 1,
      anon_sym_LPAREN,
    ACTIONS(7566), 1,
      anon_sym_LBRACK,
    STATE(1671), 1,
      sym_tuple_type,
    STATE(1771), 1,
      sym__simple_user_type,
    STATE(1836), 1,
      sym_simple_identifier,
    STATE(1864), 1,
      sym__type,
    STATE(1879), 1,
      sym__parenthesized_type,
    STATE(4128), 1,
      sym_type_modifiers,
    STATE(1866), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(3791), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1768), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3789), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(1690), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [147549] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(3652), 1,
      anon_sym_each,
    ACTIONS(3654), 1,
      anon_sym_repeat,
    ACTIONS(3656), 1,
      anon_sym_LPAREN,
    ACTIONS(3658), 1,
      anon_sym_LBRACK,
    ACTIONS(3660), 1,
      anon_sym_some,
    ACTIONS(3662), 1,
      anon_sym_any,
    STATE(1539), 1,
      sym_tuple_type,
    STATE(1612), 1,
      sym__simple_user_type,
    STATE(1620), 1,
      sym_simple_identifier,
    STATE(1735), 1,
      sym__parenthesized_type,
    STATE(2685), 1,
      sym__type,
    STATE(4070), 1,
      sym_type_modifiers,
    STATE(1659), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(3647), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1652), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3645), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(1609), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [147633] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(3652), 1,
      anon_sym_each,
    ACTIONS(3654), 1,
      anon_sym_repeat,
    ACTIONS(3656), 1,
      anon_sym_LPAREN,
    ACTIONS(3658), 1,
      anon_sym_LBRACK,
    ACTIONS(3660), 1,
      anon_sym_some,
    ACTIONS(3662), 1,
      anon_sym_any,
    STATE(1539), 1,
      sym_tuple_type,
    STATE(1612), 1,
      sym__simple_user_type,
    STATE(1620), 1,
      sym_simple_identifier,
    STATE(1735), 1,
      sym__parenthesized_type,
    STATE(2722), 1,
      sym__type,
    STATE(4070), 1,
      sym_type_modifiers,
    STATE(1659), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(3647), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1652), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3645), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(1609), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [147717] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(3517), 1,
      anon_sym_each,
    ACTIONS(3519), 1,
      anon_sym_repeat,
    ACTIONS(3521), 1,
      anon_sym_LPAREN,
    ACTIONS(3523), 1,
      anon_sym_LBRACK,
    ACTIONS(3525), 1,
      anon_sym_some,
    ACTIONS(3527), 1,
      anon_sym_any,
    STATE(1496), 1,
      sym_tuple_type,
    STATE(1524), 1,
      sym_simple_identifier,
    STATE(1527), 1,
      sym__simple_user_type,
    STATE(1650), 1,
      sym__parenthesized_type,
    STATE(2042), 1,
      sym__type,
    STATE(4076), 1,
      sym_type_modifiers,
    STATE(1582), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(3512), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1559), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3510), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(1541), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [147801] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(3652), 1,
      anon_sym_each,
    ACTIONS(3654), 1,
      anon_sym_repeat,
    ACTIONS(3656), 1,
      anon_sym_LPAREN,
    ACTIONS(3658), 1,
      anon_sym_LBRACK,
    ACTIONS(3660), 1,
      anon_sym_some,
    ACTIONS(3662), 1,
      anon_sym_any,
    STATE(1539), 1,
      sym_tuple_type,
    STATE(1612), 1,
      sym__simple_user_type,
    STATE(1620), 1,
      sym_simple_identifier,
    STATE(1735), 1,
      sym__parenthesized_type,
    STATE(2744), 1,
      sym__type,
    STATE(4070), 1,
      sym_type_modifiers,
    STATE(1659), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(3647), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1652), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3645), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(1609), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [147885] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6759), 1,
      anon_sym_each,
    ACTIONS(6761), 1,
      anon_sym_repeat,
    ACTIONS(6763), 1,
      anon_sym_LPAREN,
    ACTIONS(6765), 1,
      anon_sym_LBRACK,
    ACTIONS(6767), 1,
      anon_sym_some,
    ACTIONS(6769), 1,
      anon_sym_any,
    STATE(4046), 1,
      sym_type_modifiers,
    STATE(4294), 1,
      sym_tuple_type,
    STATE(4389), 1,
      sym_simple_identifier,
    STATE(4401), 1,
      sym__simple_user_type,
    STATE(4769), 1,
      sym__parenthesized_type,
    STATE(5638), 1,
      sym__type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4542), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6757), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4482), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6755), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4420), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [147969] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(3793), 1,
      anon_sym_each,
    ACTIONS(3795), 1,
      anon_sym_repeat,
    ACTIONS(3803), 1,
      anon_sym_some,
    ACTIONS(3805), 1,
      anon_sym_any,
    ACTIONS(7564), 1,
      anon_sym_LPAREN,
    ACTIONS(7566), 1,
      anon_sym_LBRACK,
    STATE(1671), 1,
      sym_tuple_type,
    STATE(1771), 1,
      sym__simple_user_type,
    STATE(1836), 1,
      sym_simple_identifier,
    STATE(1863), 1,
      sym__type,
    STATE(1879), 1,
      sym__parenthesized_type,
    STATE(4128), 1,
      sym_type_modifiers,
    STATE(1866), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(3791), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1768), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3789), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(1690), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [148053] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(3652), 1,
      anon_sym_each,
    ACTIONS(3654), 1,
      anon_sym_repeat,
    ACTIONS(3656), 1,
      anon_sym_LPAREN,
    ACTIONS(3658), 1,
      anon_sym_LBRACK,
    ACTIONS(3660), 1,
      anon_sym_some,
    ACTIONS(3662), 1,
      anon_sym_any,
    STATE(1539), 1,
      sym_tuple_type,
    STATE(1612), 1,
      sym__simple_user_type,
    STATE(1620), 1,
      sym_simple_identifier,
    STATE(1735), 1,
      sym__parenthesized_type,
    STATE(2800), 1,
      sym__type,
    STATE(4070), 1,
      sym_type_modifiers,
    STATE(1659), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(3647), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1652), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3645), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(1609), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [148137] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(7621), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [148221] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(3652), 1,
      anon_sym_each,
    ACTIONS(3654), 1,
      anon_sym_repeat,
    ACTIONS(3656), 1,
      anon_sym_LPAREN,
    ACTIONS(3658), 1,
      anon_sym_LBRACK,
    ACTIONS(3660), 1,
      anon_sym_some,
    ACTIONS(3662), 1,
      anon_sym_any,
    STATE(1539), 1,
      sym_tuple_type,
    STATE(1612), 1,
      sym__simple_user_type,
    STATE(1620), 1,
      sym_simple_identifier,
    STATE(1735), 1,
      sym__parenthesized_type,
    STATE(2820), 1,
      sym__type,
    STATE(4070), 1,
      sym_type_modifiers,
    STATE(1659), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(3647), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1652), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3645), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(1609), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [148305] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(7645), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [148389] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6759), 1,
      anon_sym_each,
    ACTIONS(6761), 1,
      anon_sym_repeat,
    ACTIONS(6763), 1,
      anon_sym_LPAREN,
    ACTIONS(6765), 1,
      anon_sym_LBRACK,
    ACTIONS(6767), 1,
      anon_sym_some,
    ACTIONS(6769), 1,
      anon_sym_any,
    STATE(4046), 1,
      sym_type_modifiers,
    STATE(4294), 1,
      sym_tuple_type,
    STATE(4389), 1,
      sym_simple_identifier,
    STATE(4401), 1,
      sym__simple_user_type,
    STATE(4769), 1,
      sym__parenthesized_type,
    STATE(5654), 1,
      sym__type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4542), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6757), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4482), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6755), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4420), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [148473] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(3652), 1,
      anon_sym_each,
    ACTIONS(3654), 1,
      anon_sym_repeat,
    ACTIONS(3656), 1,
      anon_sym_LPAREN,
    ACTIONS(3658), 1,
      anon_sym_LBRACK,
    ACTIONS(3660), 1,
      anon_sym_some,
    ACTIONS(3662), 1,
      anon_sym_any,
    STATE(1539), 1,
      sym_tuple_type,
    STATE(1612), 1,
      sym__simple_user_type,
    STATE(1620), 1,
      sym_simple_identifier,
    STATE(1735), 1,
      sym__parenthesized_type,
    STATE(2852), 1,
      sym__type,
    STATE(4070), 1,
      sym_type_modifiers,
    STATE(1659), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(3647), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1652), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3645), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(1609), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [148557] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(4973), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [148641] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(3652), 1,
      anon_sym_each,
    ACTIONS(3654), 1,
      anon_sym_repeat,
    ACTIONS(3656), 1,
      anon_sym_LPAREN,
    ACTIONS(3658), 1,
      anon_sym_LBRACK,
    ACTIONS(3660), 1,
      anon_sym_some,
    ACTIONS(3662), 1,
      anon_sym_any,
    STATE(1539), 1,
      sym_tuple_type,
    STATE(1612), 1,
      sym__simple_user_type,
    STATE(1620), 1,
      sym_simple_identifier,
    STATE(1735), 1,
      sym__parenthesized_type,
    STATE(2874), 1,
      sym__type,
    STATE(4070), 1,
      sym_type_modifiers,
    STATE(1659), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(3647), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1652), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3645), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(1609), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [148725] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(3652), 1,
      anon_sym_each,
    ACTIONS(3654), 1,
      anon_sym_repeat,
    ACTIONS(3656), 1,
      anon_sym_LPAREN,
    ACTIONS(3658), 1,
      anon_sym_LBRACK,
    ACTIONS(3660), 1,
      anon_sym_some,
    ACTIONS(3662), 1,
      anon_sym_any,
    STATE(1539), 1,
      sym_tuple_type,
    STATE(1612), 1,
      sym__simple_user_type,
    STATE(1620), 1,
      sym_simple_identifier,
    STATE(1735), 1,
      sym__parenthesized_type,
    STATE(2903), 1,
      sym__type,
    STATE(4070), 1,
      sym_type_modifiers,
    STATE(1659), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(3647), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1652), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3645), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(1609), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [148809] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6996), 1,
      anon_sym_each,
    ACTIONS(6998), 1,
      anon_sym_repeat,
    ACTIONS(7000), 1,
      anon_sym_LPAREN,
    ACTIONS(7002), 1,
      anon_sym_LBRACK,
    ACTIONS(7004), 1,
      anon_sym_some,
    ACTIONS(7006), 1,
      anon_sym_any,
    STATE(4026), 1,
      sym_type_modifiers,
    STATE(4342), 1,
      sym_tuple_type,
    STATE(4543), 1,
      sym__simple_user_type,
    STATE(4640), 1,
      sym_simple_identifier,
    STATE(5012), 1,
      sym__parenthesized_type,
    STATE(5122), 1,
      sym__type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4879), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6994), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4600), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6992), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4516), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [148893] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(3672), 1,
      anon_sym_each,
    ACTIONS(3674), 1,
      anon_sym_repeat,
    ACTIONS(3682), 1,
      anon_sym_some,
    ACTIONS(3684), 1,
      anon_sym_any,
    ACTIONS(7560), 1,
      anon_sym_LPAREN,
    ACTIONS(7562), 1,
      anon_sym_LBRACK,
    STATE(1604), 1,
      sym_tuple_type,
    STATE(1723), 1,
      sym__simple_user_type,
    STATE(1753), 1,
      sym_simple_identifier,
    STATE(1780), 1,
      sym__type,
    STATE(1811), 1,
      sym__parenthesized_type,
    STATE(4091), 1,
      sym_type_modifiers,
    STATE(1782), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(3670), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1720), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3668), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(1670), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [148977] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(7674), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [149061] = 3,
    ACTIONS(7570), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7568), 37,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      sym_catch_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [149111] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(6515), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [149195] = 3,
    ACTIONS(7574), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7572), 37,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      sym_catch_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [149245] = 3,
    ACTIONS(7578), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7576), 37,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      sym_catch_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [149295] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(7338), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [149379] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6913), 1,
      anon_sym_each,
    ACTIONS(6915), 1,
      anon_sym_repeat,
    ACTIONS(6917), 1,
      anon_sym_LPAREN,
    ACTIONS(6919), 1,
      anon_sym_LBRACK,
    ACTIONS(6921), 1,
      anon_sym_some,
    ACTIONS(6923), 1,
      anon_sym_any,
    STATE(4075), 1,
      sym_type_modifiers,
    STATE(4370), 1,
      sym_tuple_type,
    STATE(4450), 1,
      sym_simple_identifier,
    STATE(4515), 1,
      sym__simple_user_type,
    STATE(4967), 1,
      sym__parenthesized_type,
    STATE(5614), 1,
      sym__type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4635), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6911), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4691), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6909), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4551), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [149463] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(3521), 1,
      anon_sym_LPAREN,
    ACTIONS(3523), 1,
      anon_sym_LBRACK,
    ACTIONS(7132), 1,
      anon_sym_each,
    ACTIONS(7134), 1,
      anon_sym_repeat,
    ACTIONS(7136), 1,
      anon_sym_some,
    ACTIONS(7138), 1,
      anon_sym_any,
    STATE(1524), 1,
      sym_simple_identifier,
    STATE(1527), 1,
      sym__simple_user_type,
    STATE(1650), 1,
      sym__parenthesized_type,
    STATE(1696), 1,
      sym__type,
    STATE(4119), 1,
      sym_type_modifiers,
    STATE(4556), 1,
      sym_tuple_type,
    STATE(1582), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(3512), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1559), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3510), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4900), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [149547] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(3966), 1,
      anon_sym_each,
    ACTIONS(3968), 1,
      anon_sym_repeat,
    ACTIONS(3976), 1,
      anon_sym_some,
    ACTIONS(3978), 1,
      anon_sym_any,
    ACTIONS(7510), 1,
      anon_sym_LPAREN,
    ACTIONS(7512), 1,
      anon_sym_LBRACK,
    STATE(1725), 1,
      sym_tuple_type,
    STATE(1875), 1,
      sym__simple_user_type,
    STATE(1910), 1,
      sym_simple_identifier,
    STATE(2031), 1,
      sym__parenthesized_type,
    STATE(3007), 1,
      sym__type,
    STATE(4102), 1,
      sym_type_modifiers,
    STATE(2018), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(3964), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1882), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3962), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(1769), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [149631] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(4159), 1,
      anon_sym_each,
    ACTIONS(4164), 1,
      anon_sym_repeat,
    ACTIONS(4166), 1,
      anon_sym_LPAREN,
    ACTIONS(4168), 1,
      anon_sym_LBRACK,
    ACTIONS(4170), 1,
      anon_sym_some,
    ACTIONS(4172), 1,
      anon_sym_any,
    STATE(2301), 1,
      sym_tuple_type,
    STATE(2599), 1,
      sym__simple_user_type,
    STATE(2661), 1,
      sym_simple_identifier,
    STATE(3191), 1,
      sym__parenthesized_type,
    STATE(3355), 1,
      sym__type,
    STATE(4182), 1,
      sym_type_modifiers,
    STATE(2747), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(4157), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(2941), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(4155), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(2548), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [149715] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(2600), 1,
      anon_sym_each,
    ACTIONS(2605), 1,
      anon_sym_repeat,
    ACTIONS(2613), 1,
      anon_sym_some,
    ACTIONS(2615), 1,
      anon_sym_any,
    ACTIONS(7536), 1,
      anon_sym_LPAREN,
    ACTIONS(7538), 1,
      anon_sym_LBRACK,
    STATE(883), 1,
      sym_tuple_type,
    STATE(923), 1,
      sym__simple_user_type,
    STATE(936), 1,
      sym_simple_identifier,
    STATE(953), 1,
      sym__parenthesized_type,
    STATE(955), 1,
      sym__type,
    STATE(4169), 1,
      sym_type_modifiers,
    STATE(954), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(2598), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(927), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2596), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(896), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [149799] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(2600), 1,
      anon_sym_each,
    ACTIONS(2605), 1,
      anon_sym_repeat,
    ACTIONS(2613), 1,
      anon_sym_some,
    ACTIONS(2615), 1,
      anon_sym_any,
    ACTIONS(7536), 1,
      anon_sym_LPAREN,
    ACTIONS(7538), 1,
      anon_sym_LBRACK,
    STATE(883), 1,
      sym_tuple_type,
    STATE(923), 1,
      sym__simple_user_type,
    STATE(936), 1,
      sym_simple_identifier,
    STATE(942), 1,
      sym__type,
    STATE(953), 1,
      sym__parenthesized_type,
    STATE(4169), 1,
      sym_type_modifiers,
    STATE(954), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(2598), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(927), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2596), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(896), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [149883] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(2600), 1,
      anon_sym_each,
    ACTIONS(2605), 1,
      anon_sym_repeat,
    ACTIONS(2613), 1,
      anon_sym_some,
    ACTIONS(2615), 1,
      anon_sym_any,
    ACTIONS(7536), 1,
      anon_sym_LPAREN,
    ACTIONS(7538), 1,
      anon_sym_LBRACK,
    STATE(883), 1,
      sym_tuple_type,
    STATE(923), 1,
      sym__simple_user_type,
    STATE(936), 1,
      sym_simple_identifier,
    STATE(953), 1,
      sym__parenthesized_type,
    STATE(957), 1,
      sym__type,
    STATE(4169), 1,
      sym_type_modifiers,
    STATE(954), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(2598), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(927), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2596), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(896), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [149967] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(3521), 1,
      anon_sym_LPAREN,
    ACTIONS(3523), 1,
      anon_sym_LBRACK,
    ACTIONS(7132), 1,
      anon_sym_each,
    ACTIONS(7134), 1,
      anon_sym_repeat,
    ACTIONS(7136), 1,
      anon_sym_some,
    ACTIONS(7138), 1,
      anon_sym_any,
    STATE(1524), 1,
      sym_simple_identifier,
    STATE(1527), 1,
      sym__simple_user_type,
    STATE(1650), 1,
      sym__parenthesized_type,
    STATE(1699), 1,
      sym__type,
    STATE(4119), 1,
      sym_type_modifiers,
    STATE(4556), 1,
      sym_tuple_type,
    STATE(1582), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(3512), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1559), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3510), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4900), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [150051] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(3966), 1,
      anon_sym_each,
    ACTIONS(3968), 1,
      anon_sym_repeat,
    ACTIONS(3976), 1,
      anon_sym_some,
    ACTIONS(3978), 1,
      anon_sym_any,
    ACTIONS(7510), 1,
      anon_sym_LPAREN,
    ACTIONS(7512), 1,
      anon_sym_LBRACK,
    STATE(1725), 1,
      sym_tuple_type,
    STATE(1875), 1,
      sym__simple_user_type,
    STATE(1910), 1,
      sym_simple_identifier,
    STATE(2031), 1,
      sym__parenthesized_type,
    STATE(3001), 1,
      sym__type,
    STATE(4102), 1,
      sym_type_modifiers,
    STATE(2018), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(3964), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1882), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3962), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(1769), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [150135] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(5806), 1,
      anon_sym_each,
    ACTIONS(5808), 1,
      anon_sym_repeat,
    ACTIONS(5810), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_LBRACK,
    ACTIONS(5814), 1,
      anon_sym_some,
    ACTIONS(5816), 1,
      anon_sym_any,
    STATE(4162), 1,
      sym_type_modifiers,
    STATE(4250), 1,
      sym_tuple_type,
    STATE(4292), 1,
      sym_simple_identifier,
    STATE(4293), 1,
      sym__simple_user_type,
    STATE(4398), 1,
      sym__parenthesized_type,
    STATE(4544), 1,
      sym__type,
    STATE(4313), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(5804), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4297), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5802), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4285), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [150219] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6861), 1,
      anon_sym_each,
    ACTIONS(6863), 1,
      anon_sym_repeat,
    ACTIONS(6865), 1,
      anon_sym_LPAREN,
    ACTIONS(6867), 1,
      anon_sym_LBRACK,
    ACTIONS(6869), 1,
      anon_sym_some,
    ACTIONS(6871), 1,
      anon_sym_any,
    STATE(3988), 1,
      sym_type_modifiers,
    STATE(4362), 1,
      sym_tuple_type,
    STATE(4467), 1,
      sym_simple_identifier,
    STATE(4468), 1,
      sym__simple_user_type,
    STATE(5008), 1,
      sym__parenthesized_type,
    STATE(6108), 1,
      sym__type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4658), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6859), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4688), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6857), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4527), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [150303] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6913), 1,
      anon_sym_each,
    ACTIONS(6915), 1,
      anon_sym_repeat,
    ACTIONS(6917), 1,
      anon_sym_LPAREN,
    ACTIONS(6919), 1,
      anon_sym_LBRACK,
    ACTIONS(6921), 1,
      anon_sym_some,
    ACTIONS(6923), 1,
      anon_sym_any,
    STATE(4075), 1,
      sym_type_modifiers,
    STATE(4370), 1,
      sym_tuple_type,
    STATE(4450), 1,
      sym_simple_identifier,
    STATE(4515), 1,
      sym__simple_user_type,
    STATE(4967), 1,
      sym__parenthesized_type,
    STATE(5674), 1,
      sym__type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4635), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6911), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4691), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6909), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4551), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [150387] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(4159), 1,
      anon_sym_each,
    ACTIONS(4164), 1,
      anon_sym_repeat,
    ACTIONS(4166), 1,
      anon_sym_LPAREN,
    ACTIONS(4168), 1,
      anon_sym_LBRACK,
    ACTIONS(4170), 1,
      anon_sym_some,
    ACTIONS(4172), 1,
      anon_sym_any,
    STATE(2301), 1,
      sym_tuple_type,
    STATE(2599), 1,
      sym__simple_user_type,
    STATE(2661), 1,
      sym_simple_identifier,
    STATE(3191), 1,
      sym__parenthesized_type,
    STATE(3209), 1,
      sym__type,
    STATE(4182), 1,
      sym_type_modifiers,
    STATE(2747), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(4157), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(2941), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(4155), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(2548), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [150471] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(4159), 1,
      anon_sym_each,
    ACTIONS(4164), 1,
      anon_sym_repeat,
    ACTIONS(4166), 1,
      anon_sym_LPAREN,
    ACTIONS(4168), 1,
      anon_sym_LBRACK,
    ACTIONS(4170), 1,
      anon_sym_some,
    ACTIONS(4172), 1,
      anon_sym_any,
    STATE(2301), 1,
      sym_tuple_type,
    STATE(2599), 1,
      sym__simple_user_type,
    STATE(2661), 1,
      sym_simple_identifier,
    STATE(3191), 1,
      sym__parenthesized_type,
    STATE(3208), 1,
      sym__type,
    STATE(4182), 1,
      sym_type_modifiers,
    STATE(2747), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(4157), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(2941), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(4155), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(2548), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [150555] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(4159), 1,
      anon_sym_each,
    ACTIONS(4164), 1,
      anon_sym_repeat,
    ACTIONS(4166), 1,
      anon_sym_LPAREN,
    ACTIONS(4168), 1,
      anon_sym_LBRACK,
    ACTIONS(4170), 1,
      anon_sym_some,
    ACTIONS(4172), 1,
      anon_sym_any,
    STATE(2301), 1,
      sym_tuple_type,
    STATE(2599), 1,
      sym__simple_user_type,
    STATE(2661), 1,
      sym_simple_identifier,
    STATE(3191), 1,
      sym__parenthesized_type,
    STATE(3215), 1,
      sym__type,
    STATE(4182), 1,
      sym_type_modifiers,
    STATE(2747), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(4157), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(2941), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(4155), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(2548), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [150639] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(4570), 1,
      anon_sym_each,
    ACTIONS(4575), 1,
      anon_sym_repeat,
    ACTIONS(4577), 1,
      anon_sym_LPAREN,
    ACTIONS(4579), 1,
      anon_sym_LBRACK,
    ACTIONS(4581), 1,
      anon_sym_some,
    ACTIONS(4583), 1,
      anon_sym_any,
    STATE(3106), 1,
      sym_tuple_type,
    STATE(3229), 1,
      sym__simple_user_type,
    STATE(3235), 1,
      sym_simple_identifier,
    STATE(3296), 1,
      sym__parenthesized_type,
    STATE(3894), 1,
      sym__type,
    STATE(4142), 1,
      sym_type_modifiers,
    STATE(3239), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(4568), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(3240), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(4566), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(3222), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [150723] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(3477), 1,
      anon_sym_each,
    ACTIONS(3479), 1,
      anon_sym_repeat,
    ACTIONS(3481), 1,
      anon_sym_LPAREN,
    ACTIONS(3483), 1,
      anon_sym_LBRACK,
    ACTIONS(3485), 1,
      anon_sym_some,
    ACTIONS(3487), 1,
      anon_sym_any,
    STATE(1478), 1,
      sym_tuple_type,
    STATE(1489), 1,
      sym_simple_identifier,
    STATE(1490), 1,
      sym__simple_user_type,
    STATE(1561), 1,
      sym__parenthesized_type,
    STATE(1839), 1,
      sym__type,
    STATE(4031), 1,
      sym_type_modifiers,
    STATE(1514), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(3472), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1504), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3470), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(1495), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [150807] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(5806), 1,
      anon_sym_each,
    ACTIONS(5808), 1,
      anon_sym_repeat,
    ACTIONS(5810), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_LBRACK,
    ACTIONS(5814), 1,
      anon_sym_some,
    ACTIONS(5816), 1,
      anon_sym_any,
    STATE(4162), 1,
      sym_type_modifiers,
    STATE(4250), 1,
      sym_tuple_type,
    STATE(4292), 1,
      sym_simple_identifier,
    STATE(4293), 1,
      sym__simple_user_type,
    STATE(4398), 1,
      sym__parenthesized_type,
    STATE(4498), 1,
      sym__type,
    STATE(4313), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(5804), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4297), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5802), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4285), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [150891] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(4570), 1,
      anon_sym_each,
    ACTIONS(4575), 1,
      anon_sym_repeat,
    ACTIONS(4577), 1,
      anon_sym_LPAREN,
    ACTIONS(4579), 1,
      anon_sym_LBRACK,
    ACTIONS(4581), 1,
      anon_sym_some,
    ACTIONS(4583), 1,
      anon_sym_any,
    STATE(3106), 1,
      sym_tuple_type,
    STATE(3229), 1,
      sym__simple_user_type,
    STATE(3235), 1,
      sym_simple_identifier,
    STATE(3296), 1,
      sym__parenthesized_type,
    STATE(3934), 1,
      sym__type,
    STATE(4142), 1,
      sym_type_modifiers,
    STATE(3239), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(4568), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(3240), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(4566), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(3222), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [150975] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6950), 1,
      anon_sym_each,
    ACTIONS(6952), 1,
      anon_sym_repeat,
    ACTIONS(6954), 1,
      anon_sym_LPAREN,
    ACTIONS(6956), 1,
      anon_sym_LBRACK,
    ACTIONS(6958), 1,
      anon_sym_some,
    ACTIONS(6960), 1,
      anon_sym_any,
    STATE(4054), 1,
      sym_type_modifiers,
    STATE(4432), 1,
      sym_tuple_type,
    STATE(4604), 1,
      sym__simple_user_type,
    STATE(4642), 1,
      sym_simple_identifier,
    STATE(5077), 1,
      sym__parenthesized_type,
    STATE(6043), 1,
      sym__type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4852), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6948), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4807), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6946), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4707), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [151059] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(3571), 1,
      anon_sym_each,
    ACTIONS(3573), 1,
      anon_sym_repeat,
    ACTIONS(3575), 1,
      anon_sym_LPAREN,
    ACTIONS(3577), 1,
      anon_sym_LBRACK,
    ACTIONS(3579), 1,
      anon_sym_some,
    ACTIONS(3581), 1,
      anon_sym_any,
    STATE(1515), 1,
      sym_simple_identifier,
    STATE(1517), 1,
      sym_tuple_type,
    STATE(1579), 1,
      sym__simple_user_type,
    STATE(1608), 1,
      sym__parenthesized_type,
    STATE(1675), 1,
      sym__type,
    STATE(4177), 1,
      sym_type_modifiers,
    STATE(1508), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(3566), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1521), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3564), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(1564), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [151143] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(3571), 1,
      anon_sym_each,
    ACTIONS(3573), 1,
      anon_sym_repeat,
    ACTIONS(3575), 1,
      anon_sym_LPAREN,
    ACTIONS(3577), 1,
      anon_sym_LBRACK,
    ACTIONS(3579), 1,
      anon_sym_some,
    ACTIONS(3581), 1,
      anon_sym_any,
    STATE(1515), 1,
      sym_simple_identifier,
    STATE(1517), 1,
      sym_tuple_type,
    STATE(1579), 1,
      sym__simple_user_type,
    STATE(1608), 1,
      sym__parenthesized_type,
    STATE(1673), 1,
      sym__type,
    STATE(4177), 1,
      sym_type_modifiers,
    STATE(1508), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(3566), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1521), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3564), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(1564), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [151227] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(3571), 1,
      anon_sym_each,
    ACTIONS(3573), 1,
      anon_sym_repeat,
    ACTIONS(3575), 1,
      anon_sym_LPAREN,
    ACTIONS(3577), 1,
      anon_sym_LBRACK,
    ACTIONS(3579), 1,
      anon_sym_some,
    ACTIONS(3581), 1,
      anon_sym_any,
    STATE(1515), 1,
      sym_simple_identifier,
    STATE(1517), 1,
      sym_tuple_type,
    STATE(1579), 1,
      sym__simple_user_type,
    STATE(1608), 1,
      sym__parenthesized_type,
    STATE(1662), 1,
      sym__type,
    STATE(4177), 1,
      sym_type_modifiers,
    STATE(1508), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(3566), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1521), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3564), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(1564), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [151311] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(5806), 1,
      anon_sym_each,
    ACTIONS(5808), 1,
      anon_sym_repeat,
    ACTIONS(5810), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_LBRACK,
    ACTIONS(5814), 1,
      anon_sym_some,
    ACTIONS(5816), 1,
      anon_sym_any,
    STATE(4162), 1,
      sym_type_modifiers,
    STATE(4250), 1,
      sym_tuple_type,
    STATE(4292), 1,
      sym_simple_identifier,
    STATE(4293), 1,
      sym__simple_user_type,
    STATE(4398), 1,
      sym__parenthesized_type,
    STATE(4521), 1,
      sym__type,
    STATE(4313), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(5804), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4297), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5802), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4285), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [151395] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6950), 1,
      anon_sym_each,
    ACTIONS(6952), 1,
      anon_sym_repeat,
    ACTIONS(6954), 1,
      anon_sym_LPAREN,
    ACTIONS(6956), 1,
      anon_sym_LBRACK,
    ACTIONS(6958), 1,
      anon_sym_some,
    ACTIONS(6960), 1,
      anon_sym_any,
    STATE(4054), 1,
      sym_type_modifiers,
    STATE(4432), 1,
      sym_tuple_type,
    STATE(4604), 1,
      sym__simple_user_type,
    STATE(4642), 1,
      sym_simple_identifier,
    STATE(5077), 1,
      sym__parenthesized_type,
    STATE(6055), 1,
      sym__type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4852), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6948), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4807), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6946), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4707), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [151479] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(7162), 1,
      anon_sym_each,
    ACTIONS(7164), 1,
      anon_sym_repeat,
    ACTIONS(7166), 1,
      anon_sym_LPAREN,
    ACTIONS(7168), 1,
      anon_sym_LBRACK,
    ACTIONS(7170), 1,
      anon_sym_some,
    ACTIONS(7172), 1,
      anon_sym_any,
    STATE(4042), 1,
      sym_type_modifiers,
    STATE(4487), 1,
      sym_tuple_type,
    STATE(4636), 1,
      sym__simple_user_type,
    STATE(4721), 1,
      sym_simple_identifier,
    STATE(5085), 1,
      sym__parenthesized_type,
    STATE(5770), 1,
      sym__type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4839), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(7160), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4940), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7158), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4758), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [151563] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(3932), 1,
      anon_sym_each,
    ACTIONS(3934), 1,
      anon_sym_repeat,
    ACTIONS(3942), 1,
      anon_sym_some,
    ACTIONS(3944), 1,
      anon_sym_any,
    ACTIONS(7514), 1,
      anon_sym_LPAREN,
    ACTIONS(7516), 1,
      anon_sym_LBRACK,
    STATE(1736), 1,
      sym_tuple_type,
    STATE(1871), 1,
      sym__simple_user_type,
    STATE(1898), 1,
      sym_simple_identifier,
    STATE(1979), 1,
      sym__parenthesized_type,
    STATE(2985), 1,
      sym__type,
    STATE(4022), 1,
      sym_type_modifiers,
    STATE(1991), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(3930), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1854), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3928), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(1752), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [151647] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(2480), 1,
      anon_sym_each,
    ACTIONS(2482), 1,
      anon_sym_repeat,
    ACTIONS(2490), 1,
      anon_sym_some,
    ACTIONS(2492), 1,
      anon_sym_any,
    ACTIONS(7544), 1,
      anon_sym_LPAREN,
    ACTIONS(7546), 1,
      anon_sym_LBRACK,
    STATE(681), 1,
      sym__simple_user_type,
    STATE(686), 1,
      sym_tuple_type,
    STATE(692), 1,
      sym_simple_identifier,
    STATE(712), 1,
      sym__type,
    STATE(713), 1,
      sym__parenthesized_type,
    STATE(4171), 1,
      sym_type_modifiers,
    STATE(702), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(769), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(685), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(767), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(693), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [151731] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(2480), 1,
      anon_sym_each,
    ACTIONS(2482), 1,
      anon_sym_repeat,
    ACTIONS(2490), 1,
      anon_sym_some,
    ACTIONS(2492), 1,
      anon_sym_any,
    ACTIONS(7544), 1,
      anon_sym_LPAREN,
    ACTIONS(7546), 1,
      anon_sym_LBRACK,
    STATE(681), 1,
      sym__simple_user_type,
    STATE(686), 1,
      sym_tuple_type,
    STATE(692), 1,
      sym_simple_identifier,
    STATE(705), 1,
      sym__type,
    STATE(713), 1,
      sym__parenthesized_type,
    STATE(4171), 1,
      sym_type_modifiers,
    STATE(702), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(769), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(685), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(767), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(693), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [151815] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(2480), 1,
      anon_sym_each,
    ACTIONS(2482), 1,
      anon_sym_repeat,
    ACTIONS(2490), 1,
      anon_sym_some,
    ACTIONS(2492), 1,
      anon_sym_any,
    ACTIONS(7544), 1,
      anon_sym_LPAREN,
    ACTIONS(7546), 1,
      anon_sym_LBRACK,
    STATE(681), 1,
      sym__simple_user_type,
    STATE(686), 1,
      sym_tuple_type,
    STATE(692), 1,
      sym_simple_identifier,
    STATE(707), 1,
      sym__type,
    STATE(713), 1,
      sym__parenthesized_type,
    STATE(4171), 1,
      sym_type_modifiers,
    STATE(702), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(769), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(685), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(767), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(693), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [151899] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(3932), 1,
      anon_sym_each,
    ACTIONS(3934), 1,
      anon_sym_repeat,
    ACTIONS(3942), 1,
      anon_sym_some,
    ACTIONS(3944), 1,
      anon_sym_any,
    ACTIONS(7514), 1,
      anon_sym_LPAREN,
    ACTIONS(7516), 1,
      anon_sym_LBRACK,
    STATE(1736), 1,
      sym_tuple_type,
    STATE(1871), 1,
      sym__simple_user_type,
    STATE(1898), 1,
      sym_simple_identifier,
    STATE(1979), 1,
      sym__parenthesized_type,
    STATE(2977), 1,
      sym__type,
    STATE(4022), 1,
      sym_type_modifiers,
    STATE(1991), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(3930), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1854), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3928), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(1752), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [151983] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(7208), 1,
      anon_sym_each,
    ACTIONS(7210), 1,
      anon_sym_repeat,
    ACTIONS(7212), 1,
      anon_sym_LPAREN,
    ACTIONS(7214), 1,
      anon_sym_LBRACK,
    ACTIONS(7216), 1,
      anon_sym_some,
    ACTIONS(7218), 1,
      anon_sym_any,
    STATE(3997), 1,
      sym_type_modifiers,
    STATE(4833), 1,
      sym_tuple_type,
    STATE(5053), 1,
      sym__simple_user_type,
    STATE(5106), 1,
      sym_simple_identifier,
    STATE(5323), 1,
      sym__parenthesized_type,
    STATE(5399), 1,
      sym__type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(5204), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(7206), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(5168), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7204), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(5081), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [152067] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(7162), 1,
      anon_sym_each,
    ACTIONS(7164), 1,
      anon_sym_repeat,
    ACTIONS(7166), 1,
      anon_sym_LPAREN,
    ACTIONS(7168), 1,
      anon_sym_LBRACK,
    ACTIONS(7170), 1,
      anon_sym_some,
    ACTIONS(7172), 1,
      anon_sym_any,
    STATE(4042), 1,
      sym_type_modifiers,
    STATE(4487), 1,
      sym_tuple_type,
    STATE(4636), 1,
      sym__simple_user_type,
    STATE(4721), 1,
      sym_simple_identifier,
    STATE(5085), 1,
      sym__parenthesized_type,
    STATE(5773), 1,
      sym__type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4839), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(7160), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4940), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7158), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4758), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [152151] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(7208), 1,
      anon_sym_each,
    ACTIONS(7210), 1,
      anon_sym_repeat,
    ACTIONS(7212), 1,
      anon_sym_LPAREN,
    ACTIONS(7214), 1,
      anon_sym_LBRACK,
    ACTIONS(7216), 1,
      anon_sym_some,
    ACTIONS(7218), 1,
      anon_sym_any,
    STATE(3997), 1,
      sym_type_modifiers,
    STATE(4833), 1,
      sym_tuple_type,
    STATE(5053), 1,
      sym__simple_user_type,
    STATE(5106), 1,
      sym_simple_identifier,
    STATE(5323), 1,
      sym__parenthesized_type,
    STATE(5374), 1,
      sym__type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(5204), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(7206), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(5168), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7204), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(5081), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [152235] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(4092), 1,
      anon_sym_each,
    ACTIONS(4097), 1,
      anon_sym_repeat,
    ACTIONS(4099), 1,
      anon_sym_LPAREN,
    ACTIONS(4101), 1,
      anon_sym_LBRACK,
    ACTIONS(4103), 1,
      anon_sym_some,
    ACTIONS(4105), 1,
      anon_sym_any,
    STATE(2038), 1,
      sym_tuple_type,
    STATE(2319), 1,
      sym_simple_identifier,
    STATE(2346), 1,
      sym__simple_user_type,
    STATE(3104), 1,
      sym__parenthesized_type,
    STATE(3186), 1,
      sym__type,
    STATE(4157), 1,
      sym_type_modifiers,
    STATE(2609), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(4090), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(2589), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(4088), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(2327), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [152319] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(4092), 1,
      anon_sym_each,
    ACTIONS(4097), 1,
      anon_sym_repeat,
    ACTIONS(4099), 1,
      anon_sym_LPAREN,
    ACTIONS(4101), 1,
      anon_sym_LBRACK,
    ACTIONS(4103), 1,
      anon_sym_some,
    ACTIONS(4105), 1,
      anon_sym_any,
    STATE(2038), 1,
      sym_tuple_type,
    STATE(2319), 1,
      sym_simple_identifier,
    STATE(2346), 1,
      sym__simple_user_type,
    STATE(3104), 1,
      sym__parenthesized_type,
    STATE(3178), 1,
      sym__type,
    STATE(4157), 1,
      sym_type_modifiers,
    STATE(2609), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(4090), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(2589), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(4088), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(2327), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [152403] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(4092), 1,
      anon_sym_each,
    ACTIONS(4097), 1,
      anon_sym_repeat,
    ACTIONS(4099), 1,
      anon_sym_LPAREN,
    ACTIONS(4101), 1,
      anon_sym_LBRACK,
    ACTIONS(4103), 1,
      anon_sym_some,
    ACTIONS(4105), 1,
      anon_sym_any,
    STATE(2038), 1,
      sym_tuple_type,
    STATE(2319), 1,
      sym_simple_identifier,
    STATE(2346), 1,
      sym__simple_user_type,
    STATE(3104), 1,
      sym__parenthesized_type,
    STATE(3146), 1,
      sym__type,
    STATE(4157), 1,
      sym_type_modifiers,
    STATE(2609), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(4090), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(2589), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(4088), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(2327), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [152487] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(2621), 1,
      anon_sym_each,
    ACTIONS(2626), 1,
      anon_sym_repeat,
    ACTIONS(2634), 1,
      anon_sym_some,
    ACTIONS(2636), 1,
      anon_sym_any,
    ACTIONS(7580), 1,
      anon_sym_LPAREN,
    ACTIONS(7582), 1,
      anon_sym_LBRACK,
    STATE(894), 1,
      sym_tuple_type,
    STATE(934), 1,
      sym__simple_user_type,
    STATE(941), 1,
      sym_simple_identifier,
    STATE(975), 1,
      sym__type,
    STATE(987), 1,
      sym__parenthesized_type,
    STATE(4098), 1,
      sym_type_modifiers,
    STATE(982), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(2619), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(935), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2617), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(910), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [152571] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6835), 1,
      anon_sym_each,
    ACTIONS(6837), 1,
      anon_sym_repeat,
    ACTIONS(6839), 1,
      anon_sym_LPAREN,
    ACTIONS(6841), 1,
      anon_sym_LBRACK,
    ACTIONS(6843), 1,
      anon_sym_some,
    ACTIONS(6845), 1,
      anon_sym_any,
    STATE(4116), 1,
      sym_type_modifiers,
    STATE(4334), 1,
      sym_tuple_type,
    STATE(4484), 1,
      sym__simple_user_type,
    STATE(4511), 1,
      sym_simple_identifier,
    STATE(5031), 1,
      sym__parenthesized_type,
    STATE(5810), 1,
      sym__type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4686), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6833), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4607), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6831), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4491), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [152655] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(7208), 1,
      anon_sym_each,
    ACTIONS(7210), 1,
      anon_sym_repeat,
    ACTIONS(7212), 1,
      anon_sym_LPAREN,
    ACTIONS(7214), 1,
      anon_sym_LBRACK,
    ACTIONS(7216), 1,
      anon_sym_some,
    ACTIONS(7218), 1,
      anon_sym_any,
    STATE(3997), 1,
      sym_type_modifiers,
    STATE(4833), 1,
      sym_tuple_type,
    STATE(5053), 1,
      sym__simple_user_type,
    STATE(5106), 1,
      sym_simple_identifier,
    STATE(5323), 1,
      sym__parenthesized_type,
    STATE(5423), 1,
      sym__type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(5204), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(7206), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(5168), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7204), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(5081), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [152739] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6835), 1,
      anon_sym_each,
    ACTIONS(6837), 1,
      anon_sym_repeat,
    ACTIONS(6839), 1,
      anon_sym_LPAREN,
    ACTIONS(6841), 1,
      anon_sym_LBRACK,
    ACTIONS(6843), 1,
      anon_sym_some,
    ACTIONS(6845), 1,
      anon_sym_any,
    STATE(4116), 1,
      sym_type_modifiers,
    STATE(4334), 1,
      sym_tuple_type,
    STATE(4484), 1,
      sym__simple_user_type,
    STATE(4511), 1,
      sym_simple_identifier,
    STATE(5031), 1,
      sym__parenthesized_type,
    STATE(5832), 1,
      sym__type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4686), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6833), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4607), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6831), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4491), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [152823] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6976), 1,
      anon_sym_each,
    ACTIONS(6978), 1,
      anon_sym_repeat,
    ACTIONS(6980), 1,
      anon_sym_LPAREN,
    ACTIONS(6982), 1,
      anon_sym_LBRACK,
    ACTIONS(6984), 1,
      anon_sym_some,
    ACTIONS(6986), 1,
      anon_sym_any,
    STATE(4010), 1,
      sym_type_modifiers,
    STATE(4396), 1,
      sym_tuple_type,
    STATE(4598), 1,
      sym_simple_identifier,
    STATE(4639), 1,
      sym__simple_user_type,
    STATE(5097), 1,
      sym__parenthesized_type,
    STATE(5805), 1,
      sym__type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4882), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6974), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4912), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6972), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4710), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [152907] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(3672), 1,
      anon_sym_each,
    ACTIONS(3674), 1,
      anon_sym_repeat,
    ACTIONS(3682), 1,
      anon_sym_some,
    ACTIONS(3684), 1,
      anon_sym_any,
    ACTIONS(7560), 1,
      anon_sym_LPAREN,
    ACTIONS(7562), 1,
      anon_sym_LBRACK,
    STATE(1604), 1,
      sym_tuple_type,
    STATE(1723), 1,
      sym__simple_user_type,
    STATE(1753), 1,
      sym_simple_identifier,
    STATE(1811), 1,
      sym__parenthesized_type,
    STATE(2236), 1,
      sym__type,
    STATE(4091), 1,
      sym_type_modifiers,
    STATE(1782), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(3670), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1720), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3668), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(1670), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [152991] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(3672), 1,
      anon_sym_each,
    ACTIONS(3674), 1,
      anon_sym_repeat,
    ACTIONS(3682), 1,
      anon_sym_some,
    ACTIONS(3684), 1,
      anon_sym_any,
    ACTIONS(7560), 1,
      anon_sym_LPAREN,
    ACTIONS(7562), 1,
      anon_sym_LBRACK,
    STATE(1604), 1,
      sym_tuple_type,
    STATE(1723), 1,
      sym__simple_user_type,
    STATE(1753), 1,
      sym_simple_identifier,
    STATE(1811), 1,
      sym__parenthesized_type,
    STATE(2234), 1,
      sym__type,
    STATE(4091), 1,
      sym_type_modifiers,
    STATE(1782), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(3670), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1720), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3668), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(1670), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [153075] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(5005), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [153159] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(4570), 1,
      anon_sym_each,
    ACTIONS(4575), 1,
      anon_sym_repeat,
    ACTIONS(4577), 1,
      anon_sym_LPAREN,
    ACTIONS(4579), 1,
      anon_sym_LBRACK,
    ACTIONS(4581), 1,
      anon_sym_some,
    ACTIONS(4583), 1,
      anon_sym_any,
    STATE(3106), 1,
      sym_tuple_type,
    STATE(3229), 1,
      sym__simple_user_type,
    STATE(3235), 1,
      sym_simple_identifier,
    STATE(3296), 1,
      sym__parenthesized_type,
    STATE(3306), 1,
      sym__type,
    STATE(4142), 1,
      sym_type_modifiers,
    STATE(3239), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(4568), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(3240), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(4566), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(3222), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [153243] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(3879), 1,
      anon_sym_each,
    ACTIONS(3881), 1,
      anon_sym_repeat,
    ACTIONS(3883), 1,
      anon_sym_some,
    ACTIONS(3885), 1,
      anon_sym_any,
    ACTIONS(7544), 1,
      anon_sym_LPAREN,
    ACTIONS(7546), 1,
      anon_sym_LBRACK,
    STATE(681), 1,
      sym__simple_user_type,
    STATE(692), 1,
      sym_simple_identifier,
    STATE(707), 1,
      sym__type,
    STATE(713), 1,
      sym__parenthesized_type,
    STATE(1693), 1,
      sym_tuple_type,
    STATE(4163), 1,
      sym_type_modifiers,
    STATE(702), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(769), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(685), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(767), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(1737), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [153327] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(4570), 1,
      anon_sym_each,
    ACTIONS(4575), 1,
      anon_sym_repeat,
    ACTIONS(4577), 1,
      anon_sym_LPAREN,
    ACTIONS(4579), 1,
      anon_sym_LBRACK,
    ACTIONS(4581), 1,
      anon_sym_some,
    ACTIONS(4583), 1,
      anon_sym_any,
    STATE(3106), 1,
      sym_tuple_type,
    STATE(3229), 1,
      sym__simple_user_type,
    STATE(3235), 1,
      sym_simple_identifier,
    STATE(3296), 1,
      sym__parenthesized_type,
    STATE(3315), 1,
      sym__type,
    STATE(4142), 1,
      sym_type_modifiers,
    STATE(3239), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(4568), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(3240), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(4566), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(3222), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [153411] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(4570), 1,
      anon_sym_each,
    ACTIONS(4575), 1,
      anon_sym_repeat,
    ACTIONS(4577), 1,
      anon_sym_LPAREN,
    ACTIONS(4579), 1,
      anon_sym_LBRACK,
    ACTIONS(4581), 1,
      anon_sym_some,
    ACTIONS(4583), 1,
      anon_sym_any,
    STATE(3106), 1,
      sym_tuple_type,
    STATE(3229), 1,
      sym__simple_user_type,
    STATE(3235), 1,
      sym_simple_identifier,
    STATE(3296), 1,
      sym__parenthesized_type,
    STATE(3313), 1,
      sym__type,
    STATE(4142), 1,
      sym_type_modifiers,
    STATE(3239), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(4568), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(3240), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(4566), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(3222), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [153495] = 20,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4093), 1,
      sym_type_modifiers,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(7410), 1,
      sym__type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4558), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [153579] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6976), 1,
      anon_sym_each,
    ACTIONS(6978), 1,
      anon_sym_repeat,
    ACTIONS(6980), 1,
      anon_sym_LPAREN,
    ACTIONS(6982), 1,
      anon_sym_LBRACK,
    ACTIONS(6984), 1,
      anon_sym_some,
    ACTIONS(6986), 1,
      anon_sym_any,
    STATE(4010), 1,
      sym_type_modifiers,
    STATE(4396), 1,
      sym_tuple_type,
    STATE(4598), 1,
      sym_simple_identifier,
    STATE(4639), 1,
      sym__simple_user_type,
    STATE(5097), 1,
      sym__parenthesized_type,
    STATE(5788), 1,
      sym__type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4882), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6974), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4912), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6972), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4710), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [153663] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(3879), 1,
      anon_sym_each,
    ACTIONS(3881), 1,
      anon_sym_repeat,
    ACTIONS(3883), 1,
      anon_sym_some,
    ACTIONS(3885), 1,
      anon_sym_any,
    ACTIONS(7544), 1,
      anon_sym_LPAREN,
    ACTIONS(7546), 1,
      anon_sym_LBRACK,
    STATE(681), 1,
      sym__simple_user_type,
    STATE(692), 1,
      sym_simple_identifier,
    STATE(705), 1,
      sym__type,
    STATE(713), 1,
      sym__parenthesized_type,
    STATE(1693), 1,
      sym_tuple_type,
    STATE(4163), 1,
      sym_type_modifiers,
    STATE(702), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(769), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(685), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(767), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(1737), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [153747] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(3652), 1,
      anon_sym_each,
    ACTIONS(3654), 1,
      anon_sym_repeat,
    ACTIONS(3656), 1,
      anon_sym_LPAREN,
    ACTIONS(3658), 1,
      anon_sym_LBRACK,
    ACTIONS(3660), 1,
      anon_sym_some,
    ACTIONS(3662), 1,
      anon_sym_any,
    STATE(1539), 1,
      sym_tuple_type,
    STATE(1612), 1,
      sym__simple_user_type,
    STATE(1620), 1,
      sym_simple_identifier,
    STATE(1735), 1,
      sym__parenthesized_type,
    STATE(2296), 1,
      sym__type,
    STATE(4070), 1,
      sym_type_modifiers,
    STATE(1659), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(3647), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1652), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3645), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(1609), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [153831] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(3895), 1,
      anon_sym_each,
    ACTIONS(3897), 1,
      anon_sym_repeat,
    ACTIONS(3905), 1,
      anon_sym_some,
    ACTIONS(3907), 1,
      anon_sym_any,
    ACTIONS(7584), 1,
      anon_sym_LPAREN,
    ACTIONS(7586), 1,
      anon_sym_LBRACK,
    STATE(1701), 1,
      sym_tuple_type,
    STATE(1834), 1,
      sym__simple_user_type,
    STATE(1859), 1,
      sym_simple_identifier,
    STATE(1929), 1,
      sym__type,
    STATE(1936), 1,
      sym__parenthesized_type,
    STATE(4131), 1,
      sym_type_modifiers,
    STATE(1917), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(3893), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1821), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3891), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(1703), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [153915] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(3895), 1,
      anon_sym_each,
    ACTIONS(3897), 1,
      anon_sym_repeat,
    ACTIONS(3905), 1,
      anon_sym_some,
    ACTIONS(3907), 1,
      anon_sym_any,
    ACTIONS(7584), 1,
      anon_sym_LPAREN,
    ACTIONS(7586), 1,
      anon_sym_LBRACK,
    STATE(1701), 1,
      sym_tuple_type,
    STATE(1834), 1,
      sym__simple_user_type,
    STATE(1859), 1,
      sym_simple_identifier,
    STATE(1891), 1,
      sym__type,
    STATE(1936), 1,
      sym__parenthesized_type,
    STATE(4131), 1,
      sym_type_modifiers,
    STATE(1917), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(3893), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1821), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3891), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(1703), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [153999] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(3879), 1,
      anon_sym_each,
    ACTIONS(3881), 1,
      anon_sym_repeat,
    ACTIONS(3883), 1,
      anon_sym_some,
    ACTIONS(3885), 1,
      anon_sym_any,
    ACTIONS(7544), 1,
      anon_sym_LPAREN,
    ACTIONS(7546), 1,
      anon_sym_LBRACK,
    STATE(681), 1,
      sym__simple_user_type,
    STATE(692), 1,
      sym_simple_identifier,
    STATE(712), 1,
      sym__type,
    STATE(713), 1,
      sym__parenthesized_type,
    STATE(1693), 1,
      sym_tuple_type,
    STATE(4163), 1,
      sym_type_modifiers,
    STATE(702), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(769), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(685), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(767), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(1737), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [154083] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(3895), 1,
      anon_sym_each,
    ACTIONS(3897), 1,
      anon_sym_repeat,
    ACTIONS(3905), 1,
      anon_sym_some,
    ACTIONS(3907), 1,
      anon_sym_any,
    ACTIONS(7584), 1,
      anon_sym_LPAREN,
    ACTIONS(7586), 1,
      anon_sym_LBRACK,
    STATE(1701), 1,
      sym_tuple_type,
    STATE(1834), 1,
      sym__simple_user_type,
    STATE(1859), 1,
      sym_simple_identifier,
    STATE(1930), 1,
      sym__type,
    STATE(1936), 1,
      sym__parenthesized_type,
    STATE(4131), 1,
      sym_type_modifiers,
    STATE(1917), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(3893), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1821), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3891), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(1703), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [154167] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(3652), 1,
      anon_sym_each,
    ACTIONS(3654), 1,
      anon_sym_repeat,
    ACTIONS(3656), 1,
      anon_sym_LPAREN,
    ACTIONS(3658), 1,
      anon_sym_LBRACK,
    ACTIONS(3660), 1,
      anon_sym_some,
    ACTIONS(3662), 1,
      anon_sym_any,
    STATE(1539), 1,
      sym_tuple_type,
    STATE(1612), 1,
      sym__simple_user_type,
    STATE(1620), 1,
      sym_simple_identifier,
    STATE(1735), 1,
      sym__parenthesized_type,
    STATE(2180), 1,
      sym__type,
    STATE(4070), 1,
      sym_type_modifiers,
    STATE(1659), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(3647), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1652), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3645), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(1609), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [154251] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6118), 1,
      anon_sym_each,
    ACTIONS(6120), 1,
      anon_sym_repeat,
    ACTIONS(6122), 1,
      anon_sym_LPAREN,
    ACTIONS(6124), 1,
      anon_sym_LBRACK,
    ACTIONS(6126), 1,
      anon_sym_some,
    ACTIONS(6128), 1,
      anon_sym_any,
    STATE(3993), 1,
      sym_type_modifiers,
    STATE(4260), 1,
      sym_tuple_type,
    STATE(4304), 1,
      sym_simple_identifier,
    STATE(4309), 1,
      sym__simple_user_type,
    STATE(4545), 1,
      sym__parenthesized_type,
    STATE(5319), 1,
      sym__type,
    STATE(4346), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6116), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4341), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6114), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4300), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [154335] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(2621), 1,
      anon_sym_each,
    ACTIONS(2626), 1,
      anon_sym_repeat,
    ACTIONS(2634), 1,
      anon_sym_some,
    ACTIONS(2636), 1,
      anon_sym_any,
    ACTIONS(7580), 1,
      anon_sym_LPAREN,
    ACTIONS(7582), 1,
      anon_sym_LBRACK,
    STATE(894), 1,
      sym_tuple_type,
    STATE(934), 1,
      sym__simple_user_type,
    STATE(941), 1,
      sym_simple_identifier,
    STATE(970), 1,
      sym__type,
    STATE(987), 1,
      sym__parenthesized_type,
    STATE(4098), 1,
      sym_type_modifiers,
    STATE(982), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(2619), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(935), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2617), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(910), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [154419] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(2621), 1,
      anon_sym_each,
    ACTIONS(2626), 1,
      anon_sym_repeat,
    ACTIONS(2634), 1,
      anon_sym_some,
    ACTIONS(2636), 1,
      anon_sym_any,
    ACTIONS(7580), 1,
      anon_sym_LPAREN,
    ACTIONS(7582), 1,
      anon_sym_LBRACK,
    STATE(894), 1,
      sym_tuple_type,
    STATE(934), 1,
      sym__simple_user_type,
    STATE(941), 1,
      sym_simple_identifier,
    STATE(987), 1,
      sym__parenthesized_type,
    STATE(1160), 1,
      sym__type,
    STATE(4098), 1,
      sym_type_modifiers,
    STATE(982), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(2619), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(935), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2617), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(910), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [154503] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(2621), 1,
      anon_sym_each,
    ACTIONS(2626), 1,
      anon_sym_repeat,
    ACTIONS(2634), 1,
      anon_sym_some,
    ACTIONS(2636), 1,
      anon_sym_any,
    ACTIONS(7580), 1,
      anon_sym_LPAREN,
    ACTIONS(7582), 1,
      anon_sym_LBRACK,
    STATE(894), 1,
      sym_tuple_type,
    STATE(934), 1,
      sym__simple_user_type,
    STATE(941), 1,
      sym_simple_identifier,
    STATE(987), 1,
      sym__parenthesized_type,
    STATE(1158), 1,
      sym__type,
    STATE(4098), 1,
      sym_type_modifiers,
    STATE(982), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(2619), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(935), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2617), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(910), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [154587] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(3481), 1,
      anon_sym_LPAREN,
    ACTIONS(3483), 1,
      anon_sym_LBRACK,
    ACTIONS(6898), 1,
      anon_sym_each,
    ACTIONS(6900), 1,
      anon_sym_repeat,
    ACTIONS(6902), 1,
      anon_sym_some,
    ACTIONS(6904), 1,
      anon_sym_any,
    STATE(1489), 1,
      sym_simple_identifier,
    STATE(1490), 1,
      sym__simple_user_type,
    STATE(1561), 1,
      sym__parenthesized_type,
    STATE(1601), 1,
      sym__type,
    STATE(4144), 1,
      sym_type_modifiers,
    STATE(4340), 1,
      sym_tuple_type,
    STATE(1514), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(3472), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1504), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3470), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4553), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [154671] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6835), 1,
      anon_sym_each,
    ACTIONS(6837), 1,
      anon_sym_repeat,
    ACTIONS(6839), 1,
      anon_sym_LPAREN,
    ACTIONS(6841), 1,
      anon_sym_LBRACK,
    ACTIONS(6843), 1,
      anon_sym_some,
    ACTIONS(6845), 1,
      anon_sym_any,
    STATE(4116), 1,
      sym_type_modifiers,
    STATE(4334), 1,
      sym_tuple_type,
    STATE(4484), 1,
      sym__simple_user_type,
    STATE(4511), 1,
      sym_simple_identifier,
    STATE(5031), 1,
      sym__parenthesized_type,
    STATE(5058), 1,
      sym__type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4686), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6833), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4607), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6831), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4491), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [154755] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6835), 1,
      anon_sym_each,
    ACTIONS(6837), 1,
      anon_sym_repeat,
    ACTIONS(6839), 1,
      anon_sym_LPAREN,
    ACTIONS(6841), 1,
      anon_sym_LBRACK,
    ACTIONS(6843), 1,
      anon_sym_some,
    ACTIONS(6845), 1,
      anon_sym_any,
    STATE(4116), 1,
      sym_type_modifiers,
    STATE(4334), 1,
      sym_tuple_type,
    STATE(4484), 1,
      sym__simple_user_type,
    STATE(4511), 1,
      sym_simple_identifier,
    STATE(5031), 1,
      sym__parenthesized_type,
    STATE(5056), 1,
      sym__type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4686), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6833), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4607), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6831), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4491), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [154839] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6835), 1,
      anon_sym_each,
    ACTIONS(6837), 1,
      anon_sym_repeat,
    ACTIONS(6839), 1,
      anon_sym_LPAREN,
    ACTIONS(6841), 1,
      anon_sym_LBRACK,
    ACTIONS(6843), 1,
      anon_sym_some,
    ACTIONS(6845), 1,
      anon_sym_any,
    STATE(4116), 1,
      sym_type_modifiers,
    STATE(4334), 1,
      sym_tuple_type,
    STATE(4484), 1,
      sym__simple_user_type,
    STATE(4511), 1,
      sym_simple_identifier,
    STATE(5031), 1,
      sym__parenthesized_type,
    STATE(5050), 1,
      sym__type,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4686), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6833), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4607), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6831), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4491), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [154923] = 19,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(7208), 1,
      anon_sym_each,
    ACTIONS(7210), 1,
      anon_sym_repeat,
    ACTIONS(7212), 1,
      anon_sym_LPAREN,
    ACTIONS(7214), 1,
      anon_sym_LBRACK,
    ACTIONS(7216), 1,
      anon_sym_some,
    ACTIONS(7218), 1,
      anon_sym_any,
    STATE(4739), 1,
      sym_simple_identifier,
    STATE(4833), 1,
      sym_tuple_type,
    STATE(5053), 1,
      sym__simple_user_type,
    STATE(5323), 1,
      sym__parenthesized_type,
    STATE(4353), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(5204), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(6018), 2,
      sym_identifier,
      sym__constrained_type,
    ACTIONS(7206), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(5168), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7204), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(5129), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [155005] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6118), 1,
      anon_sym_each,
    ACTIONS(6120), 1,
      anon_sym_repeat,
    ACTIONS(6122), 1,
      anon_sym_LPAREN,
    ACTIONS(6124), 1,
      anon_sym_LBRACK,
    ACTIONS(6126), 1,
      anon_sym_some,
    ACTIONS(6128), 1,
      anon_sym_any,
    STATE(3993), 1,
      sym_type_modifiers,
    STATE(4260), 1,
      sym_tuple_type,
    STATE(4304), 1,
      sym_simple_identifier,
    STATE(4309), 1,
      sym__simple_user_type,
    STATE(4545), 1,
      sym__parenthesized_type,
    STATE(5348), 1,
      sym__type,
    STATE(4346), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(6116), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4341), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6114), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4300), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [155089] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(3481), 1,
      anon_sym_LPAREN,
    ACTIONS(3483), 1,
      anon_sym_LBRACK,
    ACTIONS(6898), 1,
      anon_sym_each,
    ACTIONS(6900), 1,
      anon_sym_repeat,
    ACTIONS(6902), 1,
      anon_sym_some,
    ACTIONS(6904), 1,
      anon_sym_any,
    STATE(1489), 1,
      sym_simple_identifier,
    STATE(1490), 1,
      sym__simple_user_type,
    STATE(1561), 1,
      sym__parenthesized_type,
    STATE(1592), 1,
      sym__type,
    STATE(4144), 1,
      sym_type_modifiers,
    STATE(4340), 1,
      sym_tuple_type,
    STATE(1514), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(3472), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1504), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3470), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4553), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [155173] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(3571), 1,
      anon_sym_each,
    ACTIONS(3573), 1,
      anon_sym_repeat,
    ACTIONS(3575), 1,
      anon_sym_LPAREN,
    ACTIONS(3577), 1,
      anon_sym_LBRACK,
    ACTIONS(3579), 1,
      anon_sym_some,
    ACTIONS(3581), 1,
      anon_sym_any,
    STATE(1515), 1,
      sym_simple_identifier,
    STATE(1517), 1,
      sym_tuple_type,
    STATE(1579), 1,
      sym__simple_user_type,
    STATE(1608), 1,
      sym__parenthesized_type,
    STATE(2120), 1,
      sym__type,
    STATE(4177), 1,
      sym_type_modifiers,
    STATE(1508), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(3566), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1521), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3564), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(1564), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [155257] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(3481), 1,
      anon_sym_LPAREN,
    ACTIONS(3483), 1,
      anon_sym_LBRACK,
    ACTIONS(6898), 1,
      anon_sym_each,
    ACTIONS(6900), 1,
      anon_sym_repeat,
    ACTIONS(6902), 1,
      anon_sym_some,
    ACTIONS(6904), 1,
      anon_sym_any,
    STATE(1489), 1,
      sym_simple_identifier,
    STATE(1490), 1,
      sym__simple_user_type,
    STATE(1561), 1,
      sym__parenthesized_type,
    STATE(1591), 1,
      sym__type,
    STATE(4144), 1,
      sym_type_modifiers,
    STATE(4340), 1,
      sym_tuple_type,
    STATE(1514), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(3472), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1504), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3470), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4553), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [155341] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(2621), 1,
      anon_sym_each,
    ACTIONS(2626), 1,
      anon_sym_repeat,
    ACTIONS(2634), 1,
      anon_sym_some,
    ACTIONS(2636), 1,
      anon_sym_any,
    ACTIONS(7580), 1,
      anon_sym_LPAREN,
    ACTIONS(7582), 1,
      anon_sym_LBRACK,
    STATE(894), 1,
      sym_tuple_type,
    STATE(934), 1,
      sym__simple_user_type,
    STATE(941), 1,
      sym_simple_identifier,
    STATE(973), 1,
      sym__type,
    STATE(987), 1,
      sym__parenthesized_type,
    STATE(4098), 1,
      sym_type_modifiers,
    STATE(982), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(2619), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(935), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2617), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(910), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [155425] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(4025), 1,
      anon_sym_each,
    ACTIONS(4030), 1,
      anon_sym_repeat,
    ACTIONS(4032), 1,
      anon_sym_LPAREN,
    ACTIONS(4034), 1,
      anon_sym_LBRACK,
    ACTIONS(4036), 1,
      anon_sym_some,
    ACTIONS(4038), 1,
      anon_sym_any,
    STATE(1943), 1,
      sym_tuple_type,
    STATE(2068), 1,
      sym_simple_identifier,
    STATE(2099), 1,
      sym__simple_user_type,
    STATE(2575), 1,
      sym__parenthesized_type,
    STATE(2701), 1,
      sym__type,
    STATE(4110), 1,
      sym_type_modifiers,
    STATE(2217), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(4023), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(2174), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(4021), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(2073), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [155509] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(4025), 1,
      anon_sym_each,
    ACTIONS(4030), 1,
      anon_sym_repeat,
    ACTIONS(4032), 1,
      anon_sym_LPAREN,
    ACTIONS(4034), 1,
      anon_sym_LBRACK,
    ACTIONS(4036), 1,
      anon_sym_some,
    ACTIONS(4038), 1,
      anon_sym_any,
    STATE(1943), 1,
      sym_tuple_type,
    STATE(2068), 1,
      sym_simple_identifier,
    STATE(2099), 1,
      sym__simple_user_type,
    STATE(2575), 1,
      sym__parenthesized_type,
    STATE(2705), 1,
      sym__type,
    STATE(4110), 1,
      sym_type_modifiers,
    STATE(2217), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(4023), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(2174), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(4021), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(2073), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [155593] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(4025), 1,
      anon_sym_each,
    ACTIONS(4030), 1,
      anon_sym_repeat,
    ACTIONS(4032), 1,
      anon_sym_LPAREN,
    ACTIONS(4034), 1,
      anon_sym_LBRACK,
    ACTIONS(4036), 1,
      anon_sym_some,
    ACTIONS(4038), 1,
      anon_sym_any,
    STATE(1943), 1,
      sym_tuple_type,
    STATE(2068), 1,
      sym_simple_identifier,
    STATE(2099), 1,
      sym__simple_user_type,
    STATE(2575), 1,
      sym__parenthesized_type,
    STATE(2766), 1,
      sym__type,
    STATE(4110), 1,
      sym_type_modifiers,
    STATE(2217), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(4023), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(2174), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(4021), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(2073), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [155677] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(3571), 1,
      anon_sym_each,
    ACTIONS(3573), 1,
      anon_sym_repeat,
    ACTIONS(3575), 1,
      anon_sym_LPAREN,
    ACTIONS(3577), 1,
      anon_sym_LBRACK,
    ACTIONS(3579), 1,
      anon_sym_some,
    ACTIONS(3581), 1,
      anon_sym_any,
    STATE(1515), 1,
      sym_simple_identifier,
    STATE(1517), 1,
      sym_tuple_type,
    STATE(1579), 1,
      sym__simple_user_type,
    STATE(1608), 1,
      sym__parenthesized_type,
    STATE(2132), 1,
      sym__type,
    STATE(4177), 1,
      sym_type_modifiers,
    STATE(1508), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(3566), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1521), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3564), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(1564), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [155761] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(3477), 1,
      anon_sym_each,
    ACTIONS(3479), 1,
      anon_sym_repeat,
    ACTIONS(3481), 1,
      anon_sym_LPAREN,
    ACTIONS(3483), 1,
      anon_sym_LBRACK,
    ACTIONS(3485), 1,
      anon_sym_some,
    ACTIONS(3487), 1,
      anon_sym_any,
    STATE(1478), 1,
      sym_tuple_type,
    STATE(1489), 1,
      sym_simple_identifier,
    STATE(1490), 1,
      sym__simple_user_type,
    STATE(1561), 1,
      sym__parenthesized_type,
    STATE(1874), 1,
      sym__type,
    STATE(4031), 1,
      sym_type_modifiers,
    STATE(1514), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(3472), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1504), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3470), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(1495), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [155845] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(3895), 1,
      anon_sym_each,
    ACTIONS(3897), 1,
      anon_sym_repeat,
    ACTIONS(3905), 1,
      anon_sym_some,
    ACTIONS(3907), 1,
      anon_sym_any,
    ACTIONS(7584), 1,
      anon_sym_LPAREN,
    ACTIONS(7586), 1,
      anon_sym_LBRACK,
    STATE(1701), 1,
      sym_tuple_type,
    STATE(1834), 1,
      sym__simple_user_type,
    STATE(1859), 1,
      sym_simple_identifier,
    STATE(1936), 1,
      sym__parenthesized_type,
    STATE(2663), 1,
      sym__type,
    STATE(4131), 1,
      sym_type_modifiers,
    STATE(1917), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(3893), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1821), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3891), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(1703), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [155929] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(3895), 1,
      anon_sym_each,
    ACTIONS(3897), 1,
      anon_sym_repeat,
    ACTIONS(3905), 1,
      anon_sym_some,
    ACTIONS(3907), 1,
      anon_sym_any,
    ACTIONS(7584), 1,
      anon_sym_LPAREN,
    ACTIONS(7586), 1,
      anon_sym_LBRACK,
    STATE(1701), 1,
      sym_tuple_type,
    STATE(1834), 1,
      sym__simple_user_type,
    STATE(1859), 1,
      sym_simple_identifier,
    STATE(1936), 1,
      sym__parenthesized_type,
    STATE(2665), 1,
      sym__type,
    STATE(4131), 1,
      sym_type_modifiers,
    STATE(1917), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(3893), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1821), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3891), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(1703), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [156013] = 20,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(3521), 1,
      anon_sym_LPAREN,
    ACTIONS(3523), 1,
      anon_sym_LBRACK,
    ACTIONS(7132), 1,
      anon_sym_each,
    ACTIONS(7134), 1,
      anon_sym_repeat,
    ACTIONS(7136), 1,
      anon_sym_some,
    ACTIONS(7138), 1,
      anon_sym_any,
    STATE(1524), 1,
      sym_simple_identifier,
    STATE(1527), 1,
      sym__simple_user_type,
    STATE(1650), 1,
      sym__parenthesized_type,
    STATE(1691), 1,
      sym__type,
    STATE(4119), 1,
      sym_type_modifiers,
    STATE(4556), 1,
      sym_tuple_type,
    STATE(1582), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4365), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(3512), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1559), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3510), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4900), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [156097] = 3,
    ACTIONS(6789), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6787), 36,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [156146] = 3,
    ACTIONS(6543), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6541), 36,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [156195] = 3,
    ACTIONS(7590), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7588), 36,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [156244] = 3,
    ACTIONS(7594), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7592), 36,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [156293] = 3,
    ACTIONS(7598), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7596), 36,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [156342] = 3,
    ACTIONS(7602), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7600), 36,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [156391] = 3,
    ACTIONS(7606), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7604), 36,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [156440] = 3,
    ACTIONS(7610), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7608), 36,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [156489] = 3,
    ACTIONS(7614), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7612), 36,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [156538] = 3,
    ACTIONS(765), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(763), 36,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [156587] = 3,
    ACTIONS(7618), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7616), 36,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [156636] = 3,
    ACTIONS(7594), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7592), 36,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [156685] = 3,
    ACTIONS(7598), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7596), 36,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [156734] = 3,
    ACTIONS(7622), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7620), 36,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [156783] = 3,
    ACTIONS(7626), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7624), 36,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [156832] = 3,
    ACTIONS(7630), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7628), 36,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [156881] = 3,
    ACTIONS(7634), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7632), 36,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [156930] = 3,
    ACTIONS(6785), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6783), 36,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [156979] = 3,
    ACTIONS(7638), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7636), 36,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [157028] = 17,
    ACTIONS(6996), 1,
      anon_sym_each,
    ACTIONS(6998), 1,
      anon_sym_repeat,
    ACTIONS(7000), 1,
      anon_sym_LPAREN,
    ACTIONS(7002), 1,
      anon_sym_LBRACK,
    ACTIONS(7004), 1,
      anon_sym_some,
    ACTIONS(7006), 1,
      anon_sym_any,
    STATE(4342), 1,
      sym_tuple_type,
    STATE(4543), 1,
      sym__simple_user_type,
    STATE(4640), 1,
      sym_simple_identifier,
    STATE(5012), 1,
      sym__parenthesized_type,
    STATE(4879), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6994), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4600), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(631), 4,
      sym_where_keyword,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_GT,
    ACTIONS(6992), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4982), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [157105] = 3,
    ACTIONS(6578), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6576), 36,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [157154] = 3,
    ACTIONS(7642), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7640), 36,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [157203] = 3,
    ACTIONS(6687), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6685), 36,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [157252] = 3,
    ACTIONS(7646), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7644), 36,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [157301] = 3,
    ACTIONS(7650), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7648), 36,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [157350] = 3,
    ACTIONS(7654), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7652), 36,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [157399] = 3,
    ACTIONS(7658), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7656), 36,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [157448] = 3,
    ACTIONS(7662), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7660), 36,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [157497] = 3,
    ACTIONS(7590), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7588), 36,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [157546] = 3,
    ACTIONS(7470), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7468), 36,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [157595] = 3,
    ACTIONS(6825), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6823), 36,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [157644] = 3,
    ACTIONS(7666), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7664), 36,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [157693] = 21,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(829), 1,
      anon_sym_AT,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(7456), 1,
      anon_sym_each,
    ACTIONS(7458), 1,
      anon_sym_repeat,
    STATE(4543), 1,
      sym__simple_user_type,
    STATE(4640), 1,
      sym_simple_identifier,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(5184), 1,
      sym_tuple_type,
    STATE(5187), 1,
      sym_user_type,
    STATE(5370), 1,
      sym_function_type,
    STATE(6249), 1,
      sym_inheritance_specifier,
    STATE(4353), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(4488), 2,
      sym_array_type,
      sym_dictionary_type,
    STATE(4879), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6994), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6992), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(5338), 8,
      sym__unannotated_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [157778] = 3,
    ACTIONS(7670), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7668), 36,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [157827] = 3,
    ACTIONS(7674), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7672), 36,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [157876] = 3,
    ACTIONS(6511), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6509), 36,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [157925] = 3,
    ACTIONS(6471), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6469), 36,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [157974] = 3,
    ACTIONS(6459), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6457), 36,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [158023] = 3,
    ACTIONS(7678), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7676), 36,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [158072] = 3,
    ACTIONS(6315), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6313), 36,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [158121] = 3,
    ACTIONS(6319), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6317), 36,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [158170] = 3,
    ACTIONS(6327), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6325), 36,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [158219] = 3,
    ACTIONS(6339), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6337), 36,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [158268] = 3,
    ACTIONS(6351), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6349), 36,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [158317] = 3,
    ACTIONS(6355), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6353), 36,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [158366] = 3,
    ACTIONS(6463), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6461), 36,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [158415] = 3,
    ACTIONS(7622), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7620), 36,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [158464] = 3,
    ACTIONS(3374), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3372), 36,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [158513] = 3,
    ACTIONS(6527), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6525), 36,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [158562] = 3,
    ACTIONS(6531), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6529), 36,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [158611] = 3,
    ACTIONS(6611), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6609), 36,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [158660] = 3,
    ACTIONS(6651), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6649), 36,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [158709] = 3,
    ACTIONS(6655), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6653), 36,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [158758] = 3,
    ACTIONS(6715), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6713), 36,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [158807] = 3,
    ACTIONS(3228), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3226), 36,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [158856] = 3,
    ACTIONS(3322), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3320), 36,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [158905] = 3,
    ACTIONS(7682), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7680), 36,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [158954] = 3,
    ACTIONS(7686), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7684), 36,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [159003] = 3,
    ACTIONS(7690), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7688), 36,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [159052] = 3,
    ACTIONS(7694), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7692), 36,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [159101] = 3,
    ACTIONS(7698), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7696), 36,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [159150] = 3,
    ACTIONS(3088), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3086), 36,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [159199] = 3,
    ACTIONS(3074), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3072), 36,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [159248] = 3,
    ACTIONS(7702), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7700), 36,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [159297] = 3,
    ACTIONS(7706), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7704), 36,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [159346] = 3,
    ACTIONS(7710), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7708), 36,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [159395] = 3,
    ACTIONS(7714), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7712), 36,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_fallthrough,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [159444] = 6,
    ACTIONS(7718), 1,
      anon_sym_get,
    ACTIONS(7720), 1,
      anon_sym_set,
    ACTIONS(7722), 1,
      anon_sym__modify,
    ACTIONS(7724), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7716), 32,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_class,
      anon_sym_willSet,
      anon_sym_didSet,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [159498] = 24,
    ACTIONS(1087), 1,
      anon_sym_case,
    ACTIONS(1095), 1,
      anon_sym_is,
    ACTIONS(4480), 1,
      sym_where_keyword,
    ACTIONS(7730), 1,
      anon_sym_LPAREN,
    ACTIONS(7732), 1,
      anon_sym_LBRACE,
    ACTIONS(7734), 1,
      sym_wildcard_pattern,
    ACTIONS(7736), 1,
      sym__dot_custom,
    STATE(4150), 1,
      sym_value_binding_pattern,
    STATE(4834), 1,
      sym__dot,
    STATE(5368), 1,
      sym_simple_identifier,
    STATE(5747), 1,
      sym__simple_user_type,
    STATE(5748), 1,
      sym__binding_pattern_no_expr,
    STATE(5860), 1,
      sym__type_casting_pattern,
    STATE(5928), 1,
      sym__binding_pattern,
    STATE(5937), 1,
      sym__bound_identifier,
    STATE(6048), 1,
      sym__block,
    STATE(7524), 1,
      sym_where_clause,
    STATE(7531), 1,
      sym_user_type,
    ACTIONS(103), 2,
      anon_sym_let,
      anon_sym_var,
    STATE(5534), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(7728), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(6035), 3,
      sym__universally_allowed_pattern,
      sym__tuple_pattern,
      sym__case_pattern,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7726), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [159588] = 24,
    ACTIONS(7742), 1,
      anon_sym_LPAREN,
    ACTIONS(7744), 1,
      anon_sym_await,
    ACTIONS(7746), 1,
      anon_sym_case,
    ACTIONS(7748), 1,
      anon_sym_try,
    ACTIONS(7750), 1,
      anon_sym_is,
    ACTIONS(7752), 1,
      sym_wildcard_pattern,
    ACTIONS(7754), 1,
      sym__dot_custom,
    STATE(3985), 1,
      sym_try_operator,
    STATE(4111), 1,
      sym_value_binding_pattern,
    STATE(4197), 1,
      sym__await_operator,
    STATE(4867), 1,
      sym__dot,
    STATE(5371), 1,
      sym_simple_identifier,
    STATE(5703), 1,
      sym__type_casting_pattern,
    STATE(5747), 1,
      sym__simple_user_type,
    STATE(5992), 1,
      sym__bound_identifier,
    STATE(5995), 1,
      sym__binding_pattern_no_expr,
    STATE(6003), 1,
      sym__binding_pattern,
    STATE(7492), 1,
      sym_user_type,
    ACTIONS(103), 2,
      anon_sym_let,
      anon_sym_var,
    STATE(5456), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(7740), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(5991), 3,
      sym__universally_allowed_pattern,
      sym__tuple_pattern,
      sym__case_pattern,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7738), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [159678] = 24,
    ACTIONS(7742), 1,
      anon_sym_LPAREN,
    ACTIONS(7746), 1,
      anon_sym_case,
    ACTIONS(7748), 1,
      anon_sym_try,
    ACTIONS(7750), 1,
      anon_sym_is,
    ACTIONS(7752), 1,
      sym_wildcard_pattern,
    ACTIONS(7754), 1,
      sym__dot_custom,
    ACTIONS(7756), 1,
      anon_sym_await,
    STATE(3974), 1,
      sym_try_operator,
    STATE(4111), 1,
      sym_value_binding_pattern,
    STATE(4188), 1,
      sym__await_operator,
    STATE(4867), 1,
      sym__dot,
    STATE(5371), 1,
      sym_simple_identifier,
    STATE(5703), 1,
      sym__type_casting_pattern,
    STATE(5747), 1,
      sym__simple_user_type,
    STATE(5992), 1,
      sym__bound_identifier,
    STATE(5997), 1,
      sym__binding_pattern_no_expr,
    STATE(6003), 1,
      sym__binding_pattern,
    STATE(7492), 1,
      sym_user_type,
    ACTIONS(103), 2,
      anon_sym_let,
      anon_sym_var,
    STATE(5456), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(7740), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(5991), 3,
      sym__universally_allowed_pattern,
      sym__tuple_pattern,
      sym__case_pattern,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7738), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [159768] = 24,
    ACTIONS(1087), 1,
      anon_sym_case,
    ACTIONS(1095), 1,
      anon_sym_is,
    ACTIONS(4480), 1,
      sym_where_keyword,
    ACTIONS(7730), 1,
      anon_sym_LPAREN,
    ACTIONS(7734), 1,
      sym_wildcard_pattern,
    ACTIONS(7736), 1,
      sym__dot_custom,
    ACTIONS(7758), 1,
      anon_sym_LBRACE,
    STATE(3732), 1,
      sym__block,
    STATE(4150), 1,
      sym_value_binding_pattern,
    STATE(4834), 1,
      sym__dot,
    STATE(5368), 1,
      sym_simple_identifier,
    STATE(5747), 1,
      sym__simple_user_type,
    STATE(5786), 1,
      sym__binding_pattern_no_expr,
    STATE(5860), 1,
      sym__type_casting_pattern,
    STATE(5928), 1,
      sym__binding_pattern,
    STATE(5937), 1,
      sym__bound_identifier,
    STATE(7531), 1,
      sym_user_type,
    STATE(7593), 1,
      sym_where_clause,
    ACTIONS(103), 2,
      anon_sym_let,
      anon_sym_var,
    STATE(5534), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(7728), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(6035), 3,
      sym__universally_allowed_pattern,
      sym__tuple_pattern,
      sym__case_pattern,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7726), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [159858] = 4,
    ACTIONS(7762), 1,
      anon_sym_fallthrough,
    ACTIONS(7764), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7760), 33,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [159907] = 4,
    ACTIONS(7768), 1,
      anon_sym_fallthrough,
    ACTIONS(7770), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7766), 33,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [159956] = 4,
    ACTIONS(7774), 1,
      anon_sym_fallthrough,
    ACTIONS(7776), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7772), 33,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [160005] = 4,
    ACTIONS(7780), 1,
      anon_sym_fallthrough,
    ACTIONS(7782), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7778), 33,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [160054] = 4,
    ACTIONS(7786), 1,
      anon_sym_fallthrough,
    ACTIONS(7788), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7784), 33,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [160103] = 4,
    ACTIONS(7792), 1,
      anon_sym_fallthrough,
    ACTIONS(7794), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7790), 33,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [160152] = 22,
    ACTIONS(7800), 1,
      anon_sym_LPAREN,
    ACTIONS(7802), 1,
      anon_sym_case,
    ACTIONS(7804), 1,
      anon_sym_is,
    ACTIONS(7806), 1,
      sym_wildcard_pattern,
    ACTIONS(7808), 1,
      sym__dot_custom,
    STATE(4064), 1,
      sym_value_binding_pattern,
    STATE(4816), 1,
      sym__dot,
    STATE(4841), 1,
      sym__no_expr_pattern_already_bound,
    STATE(5059), 1,
      sym_simple_identifier,
    STATE(5233), 1,
      sym__bound_identifier,
    STATE(5324), 1,
      sym__type_casting_pattern,
    STATE(5747), 1,
      sym__simple_user_type,
    STATE(6003), 1,
      sym__binding_pattern,
    STATE(6417), 1,
      sym__single_modifierless_property_declaration,
    STATE(7555), 1,
      sym_user_type,
    STATE(7558), 1,
      sym__binding_pattern_no_expr,
    ACTIONS(103), 2,
      anon_sym_let,
      anon_sym_var,
    STATE(5166), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(7798), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(5286), 3,
      sym__universally_allowed_pattern,
      sym__tuple_pattern,
      sym__case_pattern,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7796), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [160236] = 22,
    ACTIONS(7800), 1,
      anon_sym_LPAREN,
    ACTIONS(7802), 1,
      anon_sym_case,
    ACTIONS(7804), 1,
      anon_sym_is,
    ACTIONS(7806), 1,
      sym_wildcard_pattern,
    ACTIONS(7808), 1,
      sym__dot_custom,
    STATE(4064), 1,
      sym_value_binding_pattern,
    STATE(4816), 1,
      sym__dot,
    STATE(4841), 1,
      sym__no_expr_pattern_already_bound,
    STATE(5059), 1,
      sym_simple_identifier,
    STATE(5233), 1,
      sym__bound_identifier,
    STATE(5324), 1,
      sym__type_casting_pattern,
    STATE(5747), 1,
      sym__simple_user_type,
    STATE(6003), 1,
      sym__binding_pattern,
    STATE(6060), 1,
      sym__single_modifierless_property_declaration,
    STATE(7555), 1,
      sym_user_type,
    STATE(7558), 1,
      sym__binding_pattern_no_expr,
    ACTIONS(103), 2,
      anon_sym_let,
      anon_sym_var,
    STATE(5166), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(7798), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(5286), 3,
      sym__universally_allowed_pattern,
      sym__tuple_pattern,
      sym__case_pattern,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7796), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [160320] = 22,
    ACTIONS(7814), 1,
      anon_sym_LPAREN,
    ACTIONS(7816), 1,
      anon_sym_case,
    ACTIONS(7818), 1,
      anon_sym_is,
    ACTIONS(7820), 1,
      sym_wildcard_pattern,
    ACTIONS(7822), 1,
      sym__dot_custom,
    STATE(4064), 1,
      sym_value_binding_pattern,
    STATE(4587), 1,
      sym__no_expr_pattern_already_bound,
    STATE(4806), 1,
      sym__dot,
    STATE(5035), 1,
      sym_simple_identifier,
    STATE(5174), 1,
      sym__bound_identifier,
    STATE(5227), 1,
      sym__type_casting_pattern,
    STATE(5747), 1,
      sym__simple_user_type,
    STATE(5852), 1,
      sym__single_modifierless_property_declaration,
    STATE(6003), 1,
      sym__binding_pattern,
    STATE(7309), 1,
      sym_user_type,
    STATE(7409), 1,
      sym__binding_pattern_no_expr,
    ACTIONS(103), 2,
      anon_sym_let,
      anon_sym_var,
    STATE(5086), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(7812), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(5175), 3,
      sym__universally_allowed_pattern,
      sym__tuple_pattern,
      sym__case_pattern,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7810), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [160404] = 22,
    ACTIONS(7742), 1,
      anon_sym_LPAREN,
    ACTIONS(7746), 1,
      anon_sym_case,
    ACTIONS(7750), 1,
      anon_sym_is,
    ACTIONS(7752), 1,
      sym_wildcard_pattern,
    ACTIONS(7754), 1,
      sym__dot_custom,
    ACTIONS(7824), 1,
      anon_sym_await,
    STATE(4111), 1,
      sym_value_binding_pattern,
    STATE(4190), 1,
      sym__await_operator,
    STATE(4867), 1,
      sym__dot,
    STATE(5371), 1,
      sym_simple_identifier,
    STATE(5703), 1,
      sym__type_casting_pattern,
    STATE(5747), 1,
      sym__simple_user_type,
    STATE(5992), 1,
      sym__bound_identifier,
    STATE(6003), 1,
      sym__binding_pattern,
    STATE(6024), 1,
      sym__binding_pattern_no_expr,
    STATE(7492), 1,
      sym_user_type,
    ACTIONS(103), 2,
      anon_sym_let,
      anon_sym_var,
    STATE(5456), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(7740), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(5991), 3,
      sym__universally_allowed_pattern,
      sym__tuple_pattern,
      sym__case_pattern,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7738), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [160488] = 22,
    ACTIONS(5037), 1,
      anon_sym_LPAREN,
    ACTIONS(7830), 1,
      anon_sym_case,
    ACTIONS(7832), 1,
      anon_sym_is,
    ACTIONS(7834), 1,
      sym_wildcard_pattern,
    ACTIONS(7836), 1,
      sym__dot_custom,
    STATE(1630), 1,
      sym__no_expr_pattern_already_bound,
    STATE(1729), 1,
      sym_simple_identifier,
    STATE(1774), 1,
      sym__bound_identifier,
    STATE(1860), 1,
      sym__type_casting_pattern,
    STATE(2461), 1,
      sym__single_modifierless_property_declaration,
    STATE(4064), 1,
      sym_value_binding_pattern,
    STATE(4865), 1,
      sym__dot,
    STATE(5747), 1,
      sym__simple_user_type,
    STATE(6003), 1,
      sym__binding_pattern,
    STATE(7447), 1,
      sym_user_type,
    STATE(7604), 1,
      sym__binding_pattern_no_expr,
    ACTIONS(103), 2,
      anon_sym_let,
      anon_sym_var,
    STATE(1751), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(7828), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1808), 3,
      sym__universally_allowed_pattern,
      sym__tuple_pattern,
      sym__case_pattern,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7826), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [160572] = 22,
    ACTIONS(5037), 1,
      anon_sym_LPAREN,
    ACTIONS(7830), 1,
      anon_sym_case,
    ACTIONS(7832), 1,
      anon_sym_is,
    ACTIONS(7834), 1,
      sym_wildcard_pattern,
    ACTIONS(7836), 1,
      sym__dot_custom,
    STATE(1630), 1,
      sym__no_expr_pattern_already_bound,
    STATE(1729), 1,
      sym_simple_identifier,
    STATE(1774), 1,
      sym__bound_identifier,
    STATE(1860), 1,
      sym__type_casting_pattern,
    STATE(2638), 1,
      sym__single_modifierless_property_declaration,
    STATE(4064), 1,
      sym_value_binding_pattern,
    STATE(4865), 1,
      sym__dot,
    STATE(5747), 1,
      sym__simple_user_type,
    STATE(6003), 1,
      sym__binding_pattern,
    STATE(7447), 1,
      sym_user_type,
    STATE(7604), 1,
      sym__binding_pattern_no_expr,
    ACTIONS(103), 2,
      anon_sym_let,
      anon_sym_var,
    STATE(1751), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(7828), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1808), 3,
      sym__universally_allowed_pattern,
      sym__tuple_pattern,
      sym__case_pattern,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7826), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [160656] = 3,
    ACTIONS(7794), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7790), 33,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [160702] = 3,
    ACTIONS(7764), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7760), 33,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [160748] = 22,
    ACTIONS(7176), 1,
      anon_sym_LPAREN,
    ACTIONS(7842), 1,
      anon_sym_case,
    ACTIONS(7844), 1,
      anon_sym_is,
    ACTIONS(7846), 1,
      sym_wildcard_pattern,
    ACTIONS(7848), 1,
      sym__dot_custom,
    STATE(3066), 1,
      sym__no_expr_pattern_already_bound,
    STATE(3207), 1,
      sym_simple_identifier,
    STATE(3248), 1,
      sym__bound_identifier,
    STATE(3282), 1,
      sym__type_casting_pattern,
    STATE(3444), 1,
      sym__single_modifierless_property_declaration,
    STATE(4064), 1,
      sym_value_binding_pattern,
    STATE(4743), 1,
      sym__dot,
    STATE(5747), 1,
      sym__simple_user_type,
    STATE(6003), 1,
      sym__binding_pattern,
    STATE(7579), 1,
      sym_user_type,
    STATE(7624), 1,
      sym__binding_pattern_no_expr,
    ACTIONS(103), 2,
      anon_sym_let,
      anon_sym_var,
    STATE(3244), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(7840), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(3252), 3,
      sym__universally_allowed_pattern,
      sym__tuple_pattern,
      sym__case_pattern,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7838), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [160832] = 22,
    ACTIONS(7176), 1,
      anon_sym_LPAREN,
    ACTIONS(7842), 1,
      anon_sym_case,
    ACTIONS(7844), 1,
      anon_sym_is,
    ACTIONS(7846), 1,
      sym_wildcard_pattern,
    ACTIONS(7848), 1,
      sym__dot_custom,
    STATE(3066), 1,
      sym__no_expr_pattern_already_bound,
    STATE(3207), 1,
      sym_simple_identifier,
    STATE(3248), 1,
      sym__bound_identifier,
    STATE(3282), 1,
      sym__type_casting_pattern,
    STATE(3686), 1,
      sym__single_modifierless_property_declaration,
    STATE(4064), 1,
      sym_value_binding_pattern,
    STATE(4743), 1,
      sym__dot,
    STATE(5747), 1,
      sym__simple_user_type,
    STATE(6003), 1,
      sym__binding_pattern,
    STATE(7579), 1,
      sym_user_type,
    STATE(7624), 1,
      sym__binding_pattern_no_expr,
    ACTIONS(103), 2,
      anon_sym_let,
      anon_sym_var,
    STATE(3244), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(7840), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(3252), 3,
      sym__universally_allowed_pattern,
      sym__tuple_pattern,
      sym__case_pattern,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7838), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [160916] = 22,
    ACTIONS(7814), 1,
      anon_sym_LPAREN,
    ACTIONS(7816), 1,
      anon_sym_case,
    ACTIONS(7818), 1,
      anon_sym_is,
    ACTIONS(7820), 1,
      sym_wildcard_pattern,
    ACTIONS(7822), 1,
      sym__dot_custom,
    STATE(4064), 1,
      sym_value_binding_pattern,
    STATE(4587), 1,
      sym__no_expr_pattern_already_bound,
    STATE(4806), 1,
      sym__dot,
    STATE(5035), 1,
      sym_simple_identifier,
    STATE(5174), 1,
      sym__bound_identifier,
    STATE(5227), 1,
      sym__type_casting_pattern,
    STATE(5747), 1,
      sym__simple_user_type,
    STATE(5882), 1,
      sym__single_modifierless_property_declaration,
    STATE(6003), 1,
      sym__binding_pattern,
    STATE(7309), 1,
      sym_user_type,
    STATE(7409), 1,
      sym__binding_pattern_no_expr,
    ACTIONS(103), 2,
      anon_sym_let,
      anon_sym_var,
    STATE(5086), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(7812), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(5175), 3,
      sym__universally_allowed_pattern,
      sym__tuple_pattern,
      sym__case_pattern,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7810), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [161000] = 3,
    ACTIONS(7782), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7778), 33,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [161046] = 3,
    ACTIONS(7788), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7784), 33,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [161092] = 3,
    ACTIONS(7852), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7850), 33,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [161138] = 22,
    ACTIONS(7742), 1,
      anon_sym_LPAREN,
    ACTIONS(7746), 1,
      anon_sym_case,
    ACTIONS(7750), 1,
      anon_sym_is,
    ACTIONS(7752), 1,
      sym_wildcard_pattern,
    ACTIONS(7754), 1,
      sym__dot_custom,
    ACTIONS(7854), 1,
      anon_sym_await,
    STATE(4111), 1,
      sym_value_binding_pattern,
    STATE(4193), 1,
      sym__await_operator,
    STATE(4867), 1,
      sym__dot,
    STATE(5371), 1,
      sym_simple_identifier,
    STATE(5703), 1,
      sym__type_casting_pattern,
    STATE(5747), 1,
      sym__simple_user_type,
    STATE(5987), 1,
      sym__binding_pattern_no_expr,
    STATE(5992), 1,
      sym__bound_identifier,
    STATE(6003), 1,
      sym__binding_pattern,
    STATE(7492), 1,
      sym_user_type,
    ACTIONS(103), 2,
      anon_sym_let,
      anon_sym_var,
    STATE(5456), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(7740), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(5991), 3,
      sym__universally_allowed_pattern,
      sym__tuple_pattern,
      sym__case_pattern,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7738), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [161222] = 4,
    ACTIONS(7856), 1,
      anon_sym_LPAREN,
    ACTIONS(3417), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3412), 32,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_case,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [161270] = 3,
    ACTIONS(7770), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7766), 33,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [161316] = 16,
    ACTIONS(6861), 1,
      anon_sym_each,
    ACTIONS(6863), 1,
      anon_sym_repeat,
    ACTIONS(6865), 1,
      anon_sym_LPAREN,
    ACTIONS(6867), 1,
      anon_sym_LBRACK,
    ACTIONS(6869), 1,
      anon_sym_some,
    ACTIONS(6871), 1,
      anon_sym_any,
    STATE(4362), 1,
      sym_tuple_type,
    STATE(4467), 1,
      sym_simple_identifier,
    STATE(4468), 1,
      sym__simple_user_type,
    STATE(5008), 1,
      sym__parenthesized_type,
    STATE(4658), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6859), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4688), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6857), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4571), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [161387] = 21,
    ACTIONS(7176), 1,
      anon_sym_LPAREN,
    ACTIONS(7842), 1,
      anon_sym_case,
    ACTIONS(7844), 1,
      anon_sym_is,
    ACTIONS(7846), 1,
      sym_wildcard_pattern,
    ACTIONS(7848), 1,
      sym__dot_custom,
    STATE(3207), 1,
      sym_simple_identifier,
    STATE(3248), 1,
      sym__bound_identifier,
    STATE(3282), 1,
      sym__type_casting_pattern,
    STATE(3337), 1,
      sym__no_expr_pattern_already_bound,
    STATE(4064), 1,
      sym_value_binding_pattern,
    STATE(4743), 1,
      sym__dot,
    STATE(5747), 1,
      sym__simple_user_type,
    STATE(6003), 1,
      sym__binding_pattern,
    STATE(7579), 1,
      sym_user_type,
    STATE(7624), 1,
      sym__binding_pattern_no_expr,
    ACTIONS(103), 2,
      anon_sym_let,
      anon_sym_var,
    STATE(3244), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(7840), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(3252), 3,
      sym__universally_allowed_pattern,
      sym__tuple_pattern,
      sym__case_pattern,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7838), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [161468] = 16,
    ACTIONS(3966), 1,
      anon_sym_each,
    ACTIONS(3968), 1,
      anon_sym_repeat,
    ACTIONS(3976), 1,
      anon_sym_some,
    ACTIONS(3978), 1,
      anon_sym_any,
    ACTIONS(7510), 1,
      anon_sym_LPAREN,
    ACTIONS(7512), 1,
      anon_sym_LBRACK,
    STATE(1725), 1,
      sym_tuple_type,
    STATE(1875), 1,
      sym__simple_user_type,
    STATE(1910), 1,
      sym_simple_identifier,
    STATE(2031), 1,
      sym__parenthesized_type,
    STATE(2018), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(3964), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1882), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3962), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(1770), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [161539] = 16,
    ACTIONS(3966), 1,
      anon_sym_each,
    ACTIONS(3968), 1,
      anon_sym_repeat,
    ACTIONS(3976), 1,
      anon_sym_some,
    ACTIONS(3978), 1,
      anon_sym_any,
    ACTIONS(7510), 1,
      anon_sym_LPAREN,
    ACTIONS(7512), 1,
      anon_sym_LBRACK,
    STATE(1725), 1,
      sym_tuple_type,
    STATE(1875), 1,
      sym__simple_user_type,
    STATE(1910), 1,
      sym_simple_identifier,
    STATE(2031), 1,
      sym__parenthesized_type,
    STATE(2018), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(3964), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1882), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3962), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(1758), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [161610] = 16,
    ACTIONS(3966), 1,
      anon_sym_each,
    ACTIONS(3968), 1,
      anon_sym_repeat,
    ACTIONS(3976), 1,
      anon_sym_some,
    ACTIONS(3978), 1,
      anon_sym_any,
    ACTIONS(7510), 1,
      anon_sym_LPAREN,
    ACTIONS(7512), 1,
      anon_sym_LBRACK,
    STATE(1725), 1,
      sym_tuple_type,
    STATE(1875), 1,
      sym__simple_user_type,
    STATE(1910), 1,
      sym_simple_identifier,
    STATE(2031), 1,
      sym__parenthesized_type,
    STATE(2018), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(3964), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1882), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3962), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(1759), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [161681] = 16,
    ACTIONS(6118), 1,
      anon_sym_each,
    ACTIONS(6120), 1,
      anon_sym_repeat,
    ACTIONS(6122), 1,
      anon_sym_LPAREN,
    ACTIONS(6124), 1,
      anon_sym_LBRACK,
    ACTIONS(6126), 1,
      anon_sym_some,
    ACTIONS(6128), 1,
      anon_sym_any,
    STATE(4260), 1,
      sym_tuple_type,
    STATE(4304), 1,
      sym_simple_identifier,
    STATE(4309), 1,
      sym__simple_user_type,
    STATE(4545), 1,
      sym__parenthesized_type,
    STATE(4346), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6116), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4341), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6114), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4305), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [161752] = 16,
    ACTIONS(6118), 1,
      anon_sym_each,
    ACTIONS(6120), 1,
      anon_sym_repeat,
    ACTIONS(6122), 1,
      anon_sym_LPAREN,
    ACTIONS(6124), 1,
      anon_sym_LBRACK,
    ACTIONS(6126), 1,
      anon_sym_some,
    ACTIONS(6128), 1,
      anon_sym_any,
    STATE(4260), 1,
      sym_tuple_type,
    STATE(4304), 1,
      sym_simple_identifier,
    STATE(4309), 1,
      sym__simple_user_type,
    STATE(4545), 1,
      sym__parenthesized_type,
    STATE(4346), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6116), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4341), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6114), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4318), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [161823] = 16,
    ACTIONS(6118), 1,
      anon_sym_each,
    ACTIONS(6120), 1,
      anon_sym_repeat,
    ACTIONS(6122), 1,
      anon_sym_LPAREN,
    ACTIONS(6124), 1,
      anon_sym_LBRACK,
    ACTIONS(6126), 1,
      anon_sym_some,
    ACTIONS(6128), 1,
      anon_sym_any,
    STATE(4260), 1,
      sym_tuple_type,
    STATE(4304), 1,
      sym_simple_identifier,
    STATE(4309), 1,
      sym__simple_user_type,
    STATE(4545), 1,
      sym__parenthesized_type,
    STATE(4346), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6116), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4341), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6114), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4312), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [161894] = 16,
    ACTIONS(6118), 1,
      anon_sym_each,
    ACTIONS(6120), 1,
      anon_sym_repeat,
    ACTIONS(6122), 1,
      anon_sym_LPAREN,
    ACTIONS(6124), 1,
      anon_sym_LBRACK,
    ACTIONS(6126), 1,
      anon_sym_some,
    ACTIONS(6128), 1,
      anon_sym_any,
    STATE(4260), 1,
      sym_tuple_type,
    STATE(4304), 1,
      sym_simple_identifier,
    STATE(4309), 1,
      sym__simple_user_type,
    STATE(4545), 1,
      sym__parenthesized_type,
    STATE(4346), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6116), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4341), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6114), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4331), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [161965] = 16,
    ACTIONS(7208), 1,
      anon_sym_each,
    ACTIONS(7210), 1,
      anon_sym_repeat,
    ACTIONS(7212), 1,
      anon_sym_LPAREN,
    ACTIONS(7214), 1,
      anon_sym_LBRACK,
    ACTIONS(7216), 1,
      anon_sym_some,
    ACTIONS(7218), 1,
      anon_sym_any,
    STATE(4833), 1,
      sym_tuple_type,
    STATE(5053), 1,
      sym__simple_user_type,
    STATE(5106), 1,
      sym_simple_identifier,
    STATE(5323), 1,
      sym__parenthesized_type,
    STATE(5204), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(7206), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(5168), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7204), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(5047), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [162036] = 16,
    ACTIONS(3575), 1,
      anon_sym_LPAREN,
    ACTIONS(3577), 1,
      anon_sym_LBRACK,
    ACTIONS(7094), 1,
      anon_sym_each,
    ACTIONS(7096), 1,
      anon_sym_repeat,
    ACTIONS(7098), 1,
      anon_sym_some,
    ACTIONS(7100), 1,
      anon_sym_any,
    STATE(1515), 1,
      sym_simple_identifier,
    STATE(1608), 1,
      sym__parenthesized_type,
    STATE(4570), 1,
      sym_tuple_type,
    STATE(4938), 1,
      sym__simple_user_type,
    STATE(1508), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(3566), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1521), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3564), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4829), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [162107] = 16,
    ACTIONS(3575), 1,
      anon_sym_LPAREN,
    ACTIONS(3577), 1,
      anon_sym_LBRACK,
    ACTIONS(7094), 1,
      anon_sym_each,
    ACTIONS(7096), 1,
      anon_sym_repeat,
    ACTIONS(7098), 1,
      anon_sym_some,
    ACTIONS(7100), 1,
      anon_sym_any,
    STATE(1515), 1,
      sym_simple_identifier,
    STATE(1608), 1,
      sym__parenthesized_type,
    STATE(4570), 1,
      sym_tuple_type,
    STATE(4938), 1,
      sym__simple_user_type,
    STATE(1508), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(3566), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1521), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3564), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4828), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [162178] = 16,
    ACTIONS(3575), 1,
      anon_sym_LPAREN,
    ACTIONS(3577), 1,
      anon_sym_LBRACK,
    ACTIONS(7094), 1,
      anon_sym_each,
    ACTIONS(7096), 1,
      anon_sym_repeat,
    ACTIONS(7098), 1,
      anon_sym_some,
    ACTIONS(7100), 1,
      anon_sym_any,
    STATE(1515), 1,
      sym_simple_identifier,
    STATE(1608), 1,
      sym__parenthesized_type,
    STATE(4570), 1,
      sym_tuple_type,
    STATE(4938), 1,
      sym__simple_user_type,
    STATE(1508), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(3566), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1521), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3564), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4857), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [162249] = 16,
    ACTIONS(3575), 1,
      anon_sym_LPAREN,
    ACTIONS(3577), 1,
      anon_sym_LBRACK,
    ACTIONS(7094), 1,
      anon_sym_each,
    ACTIONS(7096), 1,
      anon_sym_repeat,
    ACTIONS(7098), 1,
      anon_sym_some,
    ACTIONS(7100), 1,
      anon_sym_any,
    STATE(1515), 1,
      sym_simple_identifier,
    STATE(1608), 1,
      sym__parenthesized_type,
    STATE(4570), 1,
      sym_tuple_type,
    STATE(4938), 1,
      sym__simple_user_type,
    STATE(1508), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(3566), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1521), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3564), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4810), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [162320] = 16,
    ACTIONS(6976), 1,
      anon_sym_each,
    ACTIONS(6978), 1,
      anon_sym_repeat,
    ACTIONS(6980), 1,
      anon_sym_LPAREN,
    ACTIONS(6982), 1,
      anon_sym_LBRACK,
    ACTIONS(6984), 1,
      anon_sym_some,
    ACTIONS(6986), 1,
      anon_sym_any,
    STATE(4396), 1,
      sym_tuple_type,
    STATE(4598), 1,
      sym_simple_identifier,
    STATE(4639), 1,
      sym__simple_user_type,
    STATE(5097), 1,
      sym__parenthesized_type,
    STATE(4882), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6974), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4912), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6972), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4621), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [162391] = 3,
    ACTIONS(5050), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5058), 32,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_case,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [162436] = 16,
    ACTIONS(6976), 1,
      anon_sym_each,
    ACTIONS(6978), 1,
      anon_sym_repeat,
    ACTIONS(6980), 1,
      anon_sym_LPAREN,
    ACTIONS(6982), 1,
      anon_sym_LBRACK,
    ACTIONS(6984), 1,
      anon_sym_some,
    ACTIONS(6986), 1,
      anon_sym_any,
    STATE(4396), 1,
      sym_tuple_type,
    STATE(4598), 1,
      sym_simple_identifier,
    STATE(4639), 1,
      sym__simple_user_type,
    STATE(5097), 1,
      sym__parenthesized_type,
    STATE(4882), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6974), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4912), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6972), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4625), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [162507] = 16,
    ACTIONS(6629), 1,
      anon_sym_each,
    ACTIONS(6631), 1,
      anon_sym_repeat,
    ACTIONS(6633), 1,
      anon_sym_LPAREN,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_some,
    ACTIONS(6639), 1,
      anon_sym_any,
    STATE(4324), 1,
      sym_tuple_type,
    STATE(4383), 1,
      sym_simple_identifier,
    STATE(4393), 1,
      sym__simple_user_type,
    STATE(4847), 1,
      sym__parenthesized_type,
    STATE(4547), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6627), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4463), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6625), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4442), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [162578] = 3,
    ACTIONS(6175), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6173), 32,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_case,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [162623] = 6,
    ACTIONS(7858), 1,
      sym__dot_custom,
    STATE(4104), 1,
      aux_sym_user_type_repeat1,
    STATE(4695), 1,
      sym__dot,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2805), 8,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
    ACTIONS(2807), 23,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_in,
      anon_sym_self,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_final,
      anon_sym_weak,
      anon_sym_unowned,
      anon_sym_borrowing,
      anon_sym_consuming,
  [162674] = 16,
    ACTIONS(6976), 1,
      anon_sym_each,
    ACTIONS(6978), 1,
      anon_sym_repeat,
    ACTIONS(6980), 1,
      anon_sym_LPAREN,
    ACTIONS(6982), 1,
      anon_sym_LBRACK,
    ACTIONS(6984), 1,
      anon_sym_some,
    ACTIONS(6986), 1,
      anon_sym_any,
    STATE(4396), 1,
      sym_tuple_type,
    STATE(4598), 1,
      sym_simple_identifier,
    STATE(4639), 1,
      sym__simple_user_type,
    STATE(5097), 1,
      sym__parenthesized_type,
    STATE(4882), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6974), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4912), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6972), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4584), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [162745] = 21,
    ACTIONS(949), 1,
      anon_sym_case,
    ACTIONS(7742), 1,
      anon_sym_LPAREN,
    ACTIONS(7750), 1,
      anon_sym_is,
    ACTIONS(7754), 1,
      sym__dot_custom,
    ACTIONS(7860), 1,
      sym_wildcard_pattern,
    STATE(4064), 1,
      sym_value_binding_pattern,
    STATE(4867), 1,
      sym__dot,
    STATE(5371), 1,
      sym_simple_identifier,
    STATE(5632), 1,
      sym__bound_identifier,
    STATE(5703), 1,
      sym__type_casting_pattern,
    STATE(5747), 1,
      sym__simple_user_type,
    STATE(5767), 1,
      sym__no_expr_pattern_already_bound,
    STATE(6003), 1,
      sym__binding_pattern,
    STATE(7492), 1,
      sym_user_type,
    STATE(7534), 1,
      sym__binding_pattern_no_expr,
    ACTIONS(103), 2,
      anon_sym_let,
      anon_sym_var,
    STATE(5456), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(7740), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(5684), 3,
      sym__universally_allowed_pattern,
      sym__tuple_pattern,
      sym__case_pattern,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7738), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [162826] = 16,
    ACTIONS(6976), 1,
      anon_sym_each,
    ACTIONS(6978), 1,
      anon_sym_repeat,
    ACTIONS(6980), 1,
      anon_sym_LPAREN,
    ACTIONS(6982), 1,
      anon_sym_LBRACK,
    ACTIONS(6984), 1,
      anon_sym_some,
    ACTIONS(6986), 1,
      anon_sym_any,
    STATE(4396), 1,
      sym_tuple_type,
    STATE(4598), 1,
      sym_simple_identifier,
    STATE(4639), 1,
      sym__simple_user_type,
    STATE(5097), 1,
      sym__parenthesized_type,
    STATE(4882), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6974), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4912), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6972), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4669), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [162897] = 16,
    ACTIONS(3932), 1,
      anon_sym_each,
    ACTIONS(3934), 1,
      anon_sym_repeat,
    ACTIONS(3942), 1,
      anon_sym_some,
    ACTIONS(3944), 1,
      anon_sym_any,
    ACTIONS(7514), 1,
      anon_sym_LPAREN,
    ACTIONS(7516), 1,
      anon_sym_LBRACK,
    STATE(1736), 1,
      sym_tuple_type,
    STATE(1871), 1,
      sym__simple_user_type,
    STATE(1898), 1,
      sym_simple_identifier,
    STATE(1979), 1,
      sym__parenthesized_type,
    STATE(1991), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(3930), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1854), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3928), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(1739), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [162968] = 16,
    ACTIONS(6161), 1,
      anon_sym_each,
    ACTIONS(6163), 1,
      anon_sym_repeat,
    ACTIONS(6165), 1,
      anon_sym_LPAREN,
    ACTIONS(6167), 1,
      anon_sym_LBRACK,
    ACTIONS(6169), 1,
      anon_sym_some,
    ACTIONS(6171), 1,
      anon_sym_any,
    STATE(4283), 1,
      sym_tuple_type,
    STATE(4364), 1,
      sym__simple_user_type,
    STATE(4374), 1,
      sym_simple_identifier,
    STATE(4683), 1,
      sym__parenthesized_type,
    STATE(4414), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6159), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4415), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6157), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4351), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [163039] = 16,
    ACTIONS(6161), 1,
      anon_sym_each,
    ACTIONS(6163), 1,
      anon_sym_repeat,
    ACTIONS(6165), 1,
      anon_sym_LPAREN,
    ACTIONS(6167), 1,
      anon_sym_LBRACK,
    ACTIONS(6169), 1,
      anon_sym_some,
    ACTIONS(6171), 1,
      anon_sym_any,
    STATE(4283), 1,
      sym_tuple_type,
    STATE(4364), 1,
      sym__simple_user_type,
    STATE(4374), 1,
      sym_simple_identifier,
    STATE(4683), 1,
      sym__parenthesized_type,
    STATE(4414), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6159), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4415), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6157), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4352), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [163110] = 3,
    ACTIONS(5662), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5660), 32,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_case,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [163155] = 16,
    ACTIONS(3932), 1,
      anon_sym_each,
    ACTIONS(3934), 1,
      anon_sym_repeat,
    ACTIONS(3942), 1,
      anon_sym_some,
    ACTIONS(3944), 1,
      anon_sym_any,
    ACTIONS(7514), 1,
      anon_sym_LPAREN,
    ACTIONS(7516), 1,
      anon_sym_LBRACK,
    STATE(1736), 1,
      sym_tuple_type,
    STATE(1871), 1,
      sym__simple_user_type,
    STATE(1898), 1,
      sym_simple_identifier,
    STATE(1979), 1,
      sym__parenthesized_type,
    STATE(1991), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(3930), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1854), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3928), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(1763), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [163226] = 16,
    ACTIONS(3932), 1,
      anon_sym_each,
    ACTIONS(3934), 1,
      anon_sym_repeat,
    ACTIONS(3942), 1,
      anon_sym_some,
    ACTIONS(3944), 1,
      anon_sym_any,
    ACTIONS(7514), 1,
      anon_sym_LPAREN,
    ACTIONS(7516), 1,
      anon_sym_LBRACK,
    STATE(1736), 1,
      sym_tuple_type,
    STATE(1871), 1,
      sym__simple_user_type,
    STATE(1898), 1,
      sym_simple_identifier,
    STATE(1979), 1,
      sym__parenthesized_type,
    STATE(1991), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(3930), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1854), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3928), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(1765), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [163297] = 16,
    ACTIONS(6161), 1,
      anon_sym_each,
    ACTIONS(6163), 1,
      anon_sym_repeat,
    ACTIONS(6165), 1,
      anon_sym_LPAREN,
    ACTIONS(6167), 1,
      anon_sym_LBRACK,
    ACTIONS(6169), 1,
      anon_sym_some,
    ACTIONS(6171), 1,
      anon_sym_any,
    STATE(4283), 1,
      sym_tuple_type,
    STATE(4364), 1,
      sym__simple_user_type,
    STATE(4374), 1,
      sym_simple_identifier,
    STATE(4683), 1,
      sym__parenthesized_type,
    STATE(4414), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6159), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4415), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6157), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4345), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [163368] = 5,
    ACTIONS(637), 1,
      anon_sym_DOT,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3408), 7,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
    ACTIONS(631), 13,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(3410), 13,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_some,
      anon_sym_any,
      anon_sym_AT,
      anon_sym_inout,
      anon_sym_borrowing,
      anon_sym_consuming,
  [163417] = 16,
    ACTIONS(6161), 1,
      anon_sym_each,
    ACTIONS(6163), 1,
      anon_sym_repeat,
    ACTIONS(6165), 1,
      anon_sym_LPAREN,
    ACTIONS(6167), 1,
      anon_sym_LBRACK,
    ACTIONS(6169), 1,
      anon_sym_some,
    ACTIONS(6171), 1,
      anon_sym_any,
    STATE(4283), 1,
      sym_tuple_type,
    STATE(4364), 1,
      sym__simple_user_type,
    STATE(4374), 1,
      sym_simple_identifier,
    STATE(4683), 1,
      sym__parenthesized_type,
    STATE(4414), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6159), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4415), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6157), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4359), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [163488] = 16,
    ACTIONS(6861), 1,
      anon_sym_each,
    ACTIONS(6863), 1,
      anon_sym_repeat,
    ACTIONS(6865), 1,
      anon_sym_LPAREN,
    ACTIONS(6867), 1,
      anon_sym_LBRACK,
    ACTIONS(6869), 1,
      anon_sym_some,
    ACTIONS(6871), 1,
      anon_sym_any,
    STATE(4362), 1,
      sym_tuple_type,
    STATE(4467), 1,
      sym_simple_identifier,
    STATE(4468), 1,
      sym__simple_user_type,
    STATE(5008), 1,
      sym__parenthesized_type,
    STATE(4658), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6859), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4688), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6857), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4470), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [163559] = 16,
    ACTIONS(6861), 1,
      anon_sym_each,
    ACTIONS(6863), 1,
      anon_sym_repeat,
    ACTIONS(6865), 1,
      anon_sym_LPAREN,
    ACTIONS(6867), 1,
      anon_sym_LBRACK,
    ACTIONS(6869), 1,
      anon_sym_some,
    ACTIONS(6871), 1,
      anon_sym_any,
    STATE(4362), 1,
      sym_tuple_type,
    STATE(4467), 1,
      sym_simple_identifier,
    STATE(4468), 1,
      sym__simple_user_type,
    STATE(5008), 1,
      sym__parenthesized_type,
    STATE(4658), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6859), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4688), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6857), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4469), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [163630] = 16,
    ACTIONS(3932), 1,
      anon_sym_each,
    ACTIONS(3934), 1,
      anon_sym_repeat,
    ACTIONS(3942), 1,
      anon_sym_some,
    ACTIONS(3944), 1,
      anon_sym_any,
    ACTIONS(7514), 1,
      anon_sym_LPAREN,
    ACTIONS(7516), 1,
      anon_sym_LBRACK,
    STATE(1736), 1,
      sym_tuple_type,
    STATE(1871), 1,
      sym__simple_user_type,
    STATE(1898), 1,
      sym_simple_identifier,
    STATE(1979), 1,
      sym__parenthesized_type,
    STATE(1991), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(3930), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1854), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3928), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(1766), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [163701] = 16,
    ACTIONS(3477), 1,
      anon_sym_each,
    ACTIONS(3479), 1,
      anon_sym_repeat,
    ACTIONS(3481), 1,
      anon_sym_LPAREN,
    ACTIONS(3483), 1,
      anon_sym_LBRACK,
    ACTIONS(3485), 1,
      anon_sym_some,
    ACTIONS(3487), 1,
      anon_sym_any,
    STATE(1478), 1,
      sym_tuple_type,
    STATE(1489), 1,
      sym_simple_identifier,
    STATE(1490), 1,
      sym__simple_user_type,
    STATE(1561), 1,
      sym__parenthesized_type,
    STATE(1514), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(3472), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1504), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3470), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(1499), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [163772] = 3,
    ACTIONS(6228), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6226), 32,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_case,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [163817] = 16,
    ACTIONS(6861), 1,
      anon_sym_each,
    ACTIONS(6863), 1,
      anon_sym_repeat,
    ACTIONS(6865), 1,
      anon_sym_LPAREN,
    ACTIONS(6867), 1,
      anon_sym_LBRACK,
    ACTIONS(6869), 1,
      anon_sym_some,
    ACTIONS(6871), 1,
      anon_sym_any,
    STATE(4362), 1,
      sym_tuple_type,
    STATE(4467), 1,
      sym_simple_identifier,
    STATE(4468), 1,
      sym__simple_user_type,
    STATE(5008), 1,
      sym__parenthesized_type,
    STATE(4658), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6859), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4688), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6857), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4481), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [163888] = 16,
    ACTIONS(6996), 1,
      anon_sym_each,
    ACTIONS(6998), 1,
      anon_sym_repeat,
    ACTIONS(7000), 1,
      anon_sym_LPAREN,
    ACTIONS(7002), 1,
      anon_sym_LBRACK,
    ACTIONS(7004), 1,
      anon_sym_some,
    ACTIONS(7006), 1,
      anon_sym_any,
    STATE(4342), 1,
      sym_tuple_type,
    STATE(4543), 1,
      sym__simple_user_type,
    STATE(4640), 1,
      sym_simple_identifier,
    STATE(5012), 1,
      sym__parenthesized_type,
    STATE(4879), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6994), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4600), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6992), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4480), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [163959] = 16,
    ACTIONS(7162), 1,
      anon_sym_each,
    ACTIONS(7164), 1,
      anon_sym_repeat,
    ACTIONS(7166), 1,
      anon_sym_LPAREN,
    ACTIONS(7168), 1,
      anon_sym_LBRACK,
    ACTIONS(7170), 1,
      anon_sym_some,
    ACTIONS(7172), 1,
      anon_sym_any,
    STATE(4487), 1,
      sym_tuple_type,
    STATE(4636), 1,
      sym__simple_user_type,
    STATE(4721), 1,
      sym_simple_identifier,
    STATE(5085), 1,
      sym__parenthesized_type,
    STATE(4839), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(7160), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4940), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7158), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4766), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [164030] = 16,
    ACTIONS(7162), 1,
      anon_sym_each,
    ACTIONS(7164), 1,
      anon_sym_repeat,
    ACTIONS(7166), 1,
      anon_sym_LPAREN,
    ACTIONS(7168), 1,
      anon_sym_LBRACK,
    ACTIONS(7170), 1,
      anon_sym_some,
    ACTIONS(7172), 1,
      anon_sym_any,
    STATE(4487), 1,
      sym_tuple_type,
    STATE(4636), 1,
      sym__simple_user_type,
    STATE(4721), 1,
      sym_simple_identifier,
    STATE(5085), 1,
      sym__parenthesized_type,
    STATE(4839), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(7160), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4940), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7158), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4764), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [164101] = 16,
    ACTIONS(3477), 1,
      anon_sym_each,
    ACTIONS(3479), 1,
      anon_sym_repeat,
    ACTIONS(3481), 1,
      anon_sym_LPAREN,
    ACTIONS(3483), 1,
      anon_sym_LBRACK,
    ACTIONS(3485), 1,
      anon_sym_some,
    ACTIONS(3487), 1,
      anon_sym_any,
    STATE(1478), 1,
      sym_tuple_type,
    STATE(1489), 1,
      sym_simple_identifier,
    STATE(1490), 1,
      sym__simple_user_type,
    STATE(1561), 1,
      sym__parenthesized_type,
    STATE(1514), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(3472), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1504), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3470), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(1488), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [164172] = 16,
    ACTIONS(3477), 1,
      anon_sym_each,
    ACTIONS(3479), 1,
      anon_sym_repeat,
    ACTIONS(3481), 1,
      anon_sym_LPAREN,
    ACTIONS(3483), 1,
      anon_sym_LBRACK,
    ACTIONS(3485), 1,
      anon_sym_some,
    ACTIONS(3487), 1,
      anon_sym_any,
    STATE(1478), 1,
      sym_tuple_type,
    STATE(1489), 1,
      sym_simple_identifier,
    STATE(1490), 1,
      sym__simple_user_type,
    STATE(1561), 1,
      sym__parenthesized_type,
    STATE(1514), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(3472), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1504), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3470), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(1502), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [164243] = 16,
    ACTIONS(3477), 1,
      anon_sym_each,
    ACTIONS(3479), 1,
      anon_sym_repeat,
    ACTIONS(3481), 1,
      anon_sym_LPAREN,
    ACTIONS(3483), 1,
      anon_sym_LBRACK,
    ACTIONS(3485), 1,
      anon_sym_some,
    ACTIONS(3487), 1,
      anon_sym_any,
    STATE(1478), 1,
      sym_tuple_type,
    STATE(1489), 1,
      sym_simple_identifier,
    STATE(1490), 1,
      sym__simple_user_type,
    STATE(1561), 1,
      sym__parenthesized_type,
    STATE(1514), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(3472), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1504), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3470), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(1498), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [164314] = 16,
    ACTIONS(7162), 1,
      anon_sym_each,
    ACTIONS(7164), 1,
      anon_sym_repeat,
    ACTIONS(7166), 1,
      anon_sym_LPAREN,
    ACTIONS(7168), 1,
      anon_sym_LBRACK,
    ACTIONS(7170), 1,
      anon_sym_some,
    ACTIONS(7172), 1,
      anon_sym_any,
    STATE(4487), 1,
      sym_tuple_type,
    STATE(4636), 1,
      sym__simple_user_type,
    STATE(4721), 1,
      sym_simple_identifier,
    STATE(5085), 1,
      sym__parenthesized_type,
    STATE(4839), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(7160), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4940), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7158), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4774), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [164385] = 5,
    ACTIONS(7862), 1,
      anon_sym_LT,
    STATE(4199), 1,
      sym_type_arguments,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2882), 9,
      sym__dot_custom,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
    ACTIONS(2884), 23,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_in,
      anon_sym_self,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_final,
      anon_sym_weak,
      anon_sym_unowned,
      anon_sym_borrowing,
      anon_sym_consuming,
  [164434] = 16,
    ACTIONS(7144), 1,
      anon_sym_each,
    ACTIONS(7146), 1,
      anon_sym_repeat,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    ACTIONS(7150), 1,
      anon_sym_LBRACK,
    ACTIONS(7152), 1,
      anon_sym_some,
    ACTIONS(7154), 1,
      anon_sym_any,
    STATE(4514), 1,
      sym_tuple_type,
    STATE(4762), 1,
      sym__simple_user_type,
    STATE(4763), 1,
      sym_simple_identifier,
    STATE(5212), 1,
      sym__parenthesized_type,
    STATE(4966), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(7142), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(5036), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7140), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4876), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [164505] = 16,
    ACTIONS(6996), 1,
      anon_sym_each,
    ACTIONS(6998), 1,
      anon_sym_repeat,
    ACTIONS(7000), 1,
      anon_sym_LPAREN,
    ACTIONS(7002), 1,
      anon_sym_LBRACK,
    ACTIONS(7004), 1,
      anon_sym_some,
    ACTIONS(7006), 1,
      anon_sym_any,
    STATE(4342), 1,
      sym_tuple_type,
    STATE(4543), 1,
      sym__simple_user_type,
    STATE(4640), 1,
      sym_simple_identifier,
    STATE(5012), 1,
      sym__parenthesized_type,
    STATE(4879), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6994), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4600), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6992), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4459), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [164576] = 16,
    ACTIONS(7144), 1,
      anon_sym_each,
    ACTIONS(7146), 1,
      anon_sym_repeat,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    ACTIONS(7150), 1,
      anon_sym_LBRACK,
    ACTIONS(7152), 1,
      anon_sym_some,
    ACTIONS(7154), 1,
      anon_sym_any,
    STATE(4514), 1,
      sym_tuple_type,
    STATE(4762), 1,
      sym__simple_user_type,
    STATE(4763), 1,
      sym_simple_identifier,
    STATE(5212), 1,
      sym__parenthesized_type,
    STATE(4966), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(7142), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(5036), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7140), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4866), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [164647] = 16,
    ACTIONS(6996), 1,
      anon_sym_each,
    ACTIONS(6998), 1,
      anon_sym_repeat,
    ACTIONS(7000), 1,
      anon_sym_LPAREN,
    ACTIONS(7002), 1,
      anon_sym_LBRACK,
    ACTIONS(7004), 1,
      anon_sym_some,
    ACTIONS(7006), 1,
      anon_sym_any,
    STATE(4342), 1,
      sym_tuple_type,
    STATE(4543), 1,
      sym__simple_user_type,
    STATE(4640), 1,
      sym_simple_identifier,
    STATE(5012), 1,
      sym__parenthesized_type,
    STATE(4879), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6994), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4600), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6992), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4457), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [164718] = 16,
    ACTIONS(7166), 1,
      anon_sym_LPAREN,
    ACTIONS(7168), 1,
      anon_sym_LBRACK,
    ACTIONS(7178), 1,
      anon_sym_each,
    ACTIONS(7180), 1,
      anon_sym_repeat,
    ACTIONS(7182), 1,
      anon_sym_some,
    ACTIONS(7184), 1,
      anon_sym_any,
    STATE(4631), 1,
      sym_tuple_type,
    STATE(4636), 1,
      sym__simple_user_type,
    STATE(4721), 1,
      sym_simple_identifier,
    STATE(5085), 1,
      sym__parenthesized_type,
    STATE(4839), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(7160), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4940), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7158), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4998), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [164789] = 16,
    ACTIONS(6759), 1,
      anon_sym_each,
    ACTIONS(6761), 1,
      anon_sym_repeat,
    ACTIONS(6763), 1,
      anon_sym_LPAREN,
    ACTIONS(6765), 1,
      anon_sym_LBRACK,
    ACTIONS(6767), 1,
      anon_sym_some,
    ACTIONS(6769), 1,
      anon_sym_any,
    STATE(4294), 1,
      sym_tuple_type,
    STATE(4389), 1,
      sym_simple_identifier,
    STATE(4401), 1,
      sym__simple_user_type,
    STATE(4769), 1,
      sym__parenthesized_type,
    STATE(4542), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6757), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4482), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6755), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4443), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [164860] = 16,
    ACTIONS(7144), 1,
      anon_sym_each,
    ACTIONS(7146), 1,
      anon_sym_repeat,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    ACTIONS(7150), 1,
      anon_sym_LBRACK,
    ACTIONS(7152), 1,
      anon_sym_some,
    ACTIONS(7154), 1,
      anon_sym_any,
    STATE(4514), 1,
      sym_tuple_type,
    STATE(4762), 1,
      sym__simple_user_type,
    STATE(4763), 1,
      sym_simple_identifier,
    STATE(5212), 1,
      sym__parenthesized_type,
    STATE(4966), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(7142), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(5036), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7140), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4887), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [164931] = 16,
    ACTIONS(6759), 1,
      anon_sym_each,
    ACTIONS(6761), 1,
      anon_sym_repeat,
    ACTIONS(6763), 1,
      anon_sym_LPAREN,
    ACTIONS(6765), 1,
      anon_sym_LBRACK,
    ACTIONS(6767), 1,
      anon_sym_some,
    ACTIONS(6769), 1,
      anon_sym_any,
    STATE(4294), 1,
      sym_tuple_type,
    STATE(4389), 1,
      sym_simple_identifier,
    STATE(4401), 1,
      sym__simple_user_type,
    STATE(4769), 1,
      sym__parenthesized_type,
    STATE(4542), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6757), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4482), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6755), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4427), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [165002] = 16,
    ACTIONS(7162), 1,
      anon_sym_each,
    ACTIONS(7164), 1,
      anon_sym_repeat,
    ACTIONS(7166), 1,
      anon_sym_LPAREN,
    ACTIONS(7168), 1,
      anon_sym_LBRACK,
    ACTIONS(7170), 1,
      anon_sym_some,
    ACTIONS(7172), 1,
      anon_sym_any,
    STATE(4487), 1,
      sym_tuple_type,
    STATE(4636), 1,
      sym__simple_user_type,
    STATE(4721), 1,
      sym_simple_identifier,
    STATE(5085), 1,
      sym__parenthesized_type,
    STATE(4839), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(7160), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4940), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7158), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4760), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [165073] = 16,
    ACTIONS(3984), 1,
      anon_sym_each,
    ACTIONS(3986), 1,
      anon_sym_repeat,
    ACTIONS(3994), 1,
      anon_sym_some,
    ACTIONS(3996), 1,
      anon_sym_any,
    ACTIONS(7520), 1,
      anon_sym_LPAREN,
    ACTIONS(7522), 1,
      anon_sym_LBRACK,
    STATE(1750), 1,
      sym_tuple_type,
    STATE(1909), 1,
      sym__simple_user_type,
    STATE(1980), 1,
      sym_simple_identifier,
    STATE(2097), 1,
      sym__parenthesized_type,
    STATE(2092), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(3982), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1915), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3980), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(1835), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [165144] = 16,
    ACTIONS(3984), 1,
      anon_sym_each,
    ACTIONS(3986), 1,
      anon_sym_repeat,
    ACTIONS(3994), 1,
      anon_sym_some,
    ACTIONS(3996), 1,
      anon_sym_any,
    ACTIONS(7520), 1,
      anon_sym_LPAREN,
    ACTIONS(7522), 1,
      anon_sym_LBRACK,
    STATE(1750), 1,
      sym_tuple_type,
    STATE(1909), 1,
      sym__simple_user_type,
    STATE(1980), 1,
      sym_simple_identifier,
    STATE(2097), 1,
      sym__parenthesized_type,
    STATE(2092), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(3982), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1915), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3980), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(1772), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [165215] = 16,
    ACTIONS(6759), 1,
      anon_sym_each,
    ACTIONS(6761), 1,
      anon_sym_repeat,
    ACTIONS(6763), 1,
      anon_sym_LPAREN,
    ACTIONS(6765), 1,
      anon_sym_LBRACK,
    ACTIONS(6767), 1,
      anon_sym_some,
    ACTIONS(6769), 1,
      anon_sym_any,
    STATE(4294), 1,
      sym_tuple_type,
    STATE(4389), 1,
      sym_simple_identifier,
    STATE(4401), 1,
      sym__simple_user_type,
    STATE(4769), 1,
      sym__parenthesized_type,
    STATE(4542), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6757), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4482), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6755), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4429), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [165286] = 16,
    ACTIONS(6759), 1,
      anon_sym_each,
    ACTIONS(6761), 1,
      anon_sym_repeat,
    ACTIONS(6763), 1,
      anon_sym_LPAREN,
    ACTIONS(6765), 1,
      anon_sym_LBRACK,
    ACTIONS(6767), 1,
      anon_sym_some,
    ACTIONS(6769), 1,
      anon_sym_any,
    STATE(4294), 1,
      sym_tuple_type,
    STATE(4389), 1,
      sym_simple_identifier,
    STATE(4401), 1,
      sym__simple_user_type,
    STATE(4769), 1,
      sym__parenthesized_type,
    STATE(4542), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6757), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4482), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6755), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4433), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [165357] = 16,
    ACTIONS(6950), 1,
      anon_sym_each,
    ACTIONS(6952), 1,
      anon_sym_repeat,
    ACTIONS(6954), 1,
      anon_sym_LPAREN,
    ACTIONS(6956), 1,
      anon_sym_LBRACK,
    ACTIONS(6958), 1,
      anon_sym_some,
    ACTIONS(6960), 1,
      anon_sym_any,
    STATE(4432), 1,
      sym_tuple_type,
    STATE(4604), 1,
      sym__simple_user_type,
    STATE(4642), 1,
      sym_simple_identifier,
    STATE(5077), 1,
      sym__parenthesized_type,
    STATE(4852), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6948), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4807), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6946), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4694), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [165428] = 16,
    ACTIONS(3984), 1,
      anon_sym_each,
    ACTIONS(3986), 1,
      anon_sym_repeat,
    ACTIONS(3994), 1,
      anon_sym_some,
    ACTIONS(3996), 1,
      anon_sym_any,
    ACTIONS(7520), 1,
      anon_sym_LPAREN,
    ACTIONS(7522), 1,
      anon_sym_LBRACK,
    STATE(1750), 1,
      sym_tuple_type,
    STATE(1909), 1,
      sym__simple_user_type,
    STATE(1980), 1,
      sym_simple_identifier,
    STATE(2097), 1,
      sym__parenthesized_type,
    STATE(2092), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(3982), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1915), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3980), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(1828), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [165499] = 16,
    ACTIONS(7144), 1,
      anon_sym_each,
    ACTIONS(7146), 1,
      anon_sym_repeat,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    ACTIONS(7150), 1,
      anon_sym_LBRACK,
    ACTIONS(7152), 1,
      anon_sym_some,
    ACTIONS(7154), 1,
      anon_sym_any,
    STATE(4514), 1,
      sym_tuple_type,
    STATE(4762), 1,
      sym__simple_user_type,
    STATE(4763), 1,
      sym_simple_identifier,
    STATE(5212), 1,
      sym__parenthesized_type,
    STATE(4966), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(7142), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(5036), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7140), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4797), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [165570] = 16,
    ACTIONS(6913), 1,
      anon_sym_each,
    ACTIONS(6915), 1,
      anon_sym_repeat,
    ACTIONS(6917), 1,
      anon_sym_LPAREN,
    ACTIONS(6919), 1,
      anon_sym_LBRACK,
    ACTIONS(6921), 1,
      anon_sym_some,
    ACTIONS(6923), 1,
      anon_sym_any,
    STATE(4370), 1,
      sym_tuple_type,
    STATE(4450), 1,
      sym_simple_identifier,
    STATE(4515), 1,
      sym__simple_user_type,
    STATE(4967), 1,
      sym__parenthesized_type,
    STATE(4635), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6911), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4691), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6909), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4557), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [165641] = 16,
    ACTIONS(6913), 1,
      anon_sym_each,
    ACTIONS(6915), 1,
      anon_sym_repeat,
    ACTIONS(6917), 1,
      anon_sym_LPAREN,
    ACTIONS(6919), 1,
      anon_sym_LBRACK,
    ACTIONS(6921), 1,
      anon_sym_some,
    ACTIONS(6923), 1,
      anon_sym_any,
    STATE(4370), 1,
      sym_tuple_type,
    STATE(4450), 1,
      sym_simple_identifier,
    STATE(4515), 1,
      sym__simple_user_type,
    STATE(4967), 1,
      sym__parenthesized_type,
    STATE(4635), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6911), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4691), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6909), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4554), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [165712] = 16,
    ACTIONS(6950), 1,
      anon_sym_each,
    ACTIONS(6952), 1,
      anon_sym_repeat,
    ACTIONS(6954), 1,
      anon_sym_LPAREN,
    ACTIONS(6956), 1,
      anon_sym_LBRACK,
    ACTIONS(6958), 1,
      anon_sym_some,
    ACTIONS(6960), 1,
      anon_sym_any,
    STATE(4432), 1,
      sym_tuple_type,
    STATE(4604), 1,
      sym__simple_user_type,
    STATE(4642), 1,
      sym_simple_identifier,
    STATE(5077), 1,
      sym__parenthesized_type,
    STATE(4852), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6948), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4807), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6946), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4706), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [165783] = 16,
    ACTIONS(6950), 1,
      anon_sym_each,
    ACTIONS(6952), 1,
      anon_sym_repeat,
    ACTIONS(6954), 1,
      anon_sym_LPAREN,
    ACTIONS(6956), 1,
      anon_sym_LBRACK,
    ACTIONS(6958), 1,
      anon_sym_some,
    ACTIONS(6960), 1,
      anon_sym_any,
    STATE(4432), 1,
      sym_tuple_type,
    STATE(4604), 1,
      sym__simple_user_type,
    STATE(4642), 1,
      sym_simple_identifier,
    STATE(5077), 1,
      sym__parenthesized_type,
    STATE(4852), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6948), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4807), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6946), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4704), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [165854] = 16,
    ACTIONS(6950), 1,
      anon_sym_each,
    ACTIONS(6952), 1,
      anon_sym_repeat,
    ACTIONS(6954), 1,
      anon_sym_LPAREN,
    ACTIONS(6956), 1,
      anon_sym_LBRACK,
    ACTIONS(6958), 1,
      anon_sym_some,
    ACTIONS(6960), 1,
      anon_sym_any,
    STATE(4432), 1,
      sym_tuple_type,
    STATE(4604), 1,
      sym__simple_user_type,
    STATE(4642), 1,
      sym_simple_identifier,
    STATE(5077), 1,
      sym__parenthesized_type,
    STATE(4852), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6948), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4807), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6946), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4700), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [165925] = 16,
    ACTIONS(6629), 1,
      anon_sym_each,
    ACTIONS(6631), 1,
      anon_sym_repeat,
    ACTIONS(6633), 1,
      anon_sym_LPAREN,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_some,
    ACTIONS(6639), 1,
      anon_sym_any,
    STATE(4324), 1,
      sym_tuple_type,
    STATE(4383), 1,
      sym_simple_identifier,
    STATE(4393), 1,
      sym__simple_user_type,
    STATE(4847), 1,
      sym__parenthesized_type,
    STATE(4547), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6627), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4463), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6625), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4440), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [165996] = 16,
    ACTIONS(6913), 1,
      anon_sym_each,
    ACTIONS(6915), 1,
      anon_sym_repeat,
    ACTIONS(6917), 1,
      anon_sym_LPAREN,
    ACTIONS(6919), 1,
      anon_sym_LBRACK,
    ACTIONS(6921), 1,
      anon_sym_some,
    ACTIONS(6923), 1,
      anon_sym_any,
    STATE(4370), 1,
      sym_tuple_type,
    STATE(4450), 1,
      sym_simple_identifier,
    STATE(4515), 1,
      sym__simple_user_type,
    STATE(4967), 1,
      sym__parenthesized_type,
    STATE(4635), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6911), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4691), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6909), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4478), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [166067] = 16,
    ACTIONS(6629), 1,
      anon_sym_each,
    ACTIONS(6631), 1,
      anon_sym_repeat,
    ACTIONS(6633), 1,
      anon_sym_LPAREN,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_some,
    ACTIONS(6639), 1,
      anon_sym_any,
    STATE(4324), 1,
      sym_tuple_type,
    STATE(4383), 1,
      sym_simple_identifier,
    STATE(4393), 1,
      sym__simple_user_type,
    STATE(4847), 1,
      sym__parenthesized_type,
    STATE(4547), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6627), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4463), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6625), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4448), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [166138] = 16,
    ACTIONS(6629), 1,
      anon_sym_each,
    ACTIONS(6631), 1,
      anon_sym_repeat,
    ACTIONS(6633), 1,
      anon_sym_LPAREN,
    ACTIONS(6635), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_some,
    ACTIONS(6639), 1,
      anon_sym_any,
    STATE(4324), 1,
      sym_tuple_type,
    STATE(4383), 1,
      sym_simple_identifier,
    STATE(4393), 1,
      sym__simple_user_type,
    STATE(4847), 1,
      sym__parenthesized_type,
    STATE(4547), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6627), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4463), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6625), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4447), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [166209] = 16,
    ACTIONS(3984), 1,
      anon_sym_each,
    ACTIONS(3986), 1,
      anon_sym_repeat,
    ACTIONS(3994), 1,
      anon_sym_some,
    ACTIONS(3996), 1,
      anon_sym_any,
    ACTIONS(7520), 1,
      anon_sym_LPAREN,
    ACTIONS(7522), 1,
      anon_sym_LBRACK,
    STATE(1750), 1,
      sym_tuple_type,
    STATE(1909), 1,
      sym__simple_user_type,
    STATE(1980), 1,
      sym_simple_identifier,
    STATE(2097), 1,
      sym__parenthesized_type,
    STATE(2092), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(3982), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1915), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3980), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(1823), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [166280] = 16,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(7194), 1,
      anon_sym_each,
    ACTIONS(7196), 1,
      anon_sym_repeat,
    ACTIONS(7198), 1,
      anon_sym_some,
    ACTIONS(7200), 1,
      anon_sym_any,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4733), 1,
      sym_tuple_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(5098), 1,
      sym__simple_user_type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(5126), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [166351] = 16,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(7194), 1,
      anon_sym_each,
    ACTIONS(7196), 1,
      anon_sym_repeat,
    ACTIONS(7198), 1,
      anon_sym_some,
    ACTIONS(7200), 1,
      anon_sym_any,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4733), 1,
      sym_tuple_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(5098), 1,
      sym__simple_user_type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(5127), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [166422] = 21,
    ACTIONS(7868), 1,
      anon_sym_LPAREN,
    ACTIONS(7870), 1,
      anon_sym_case,
    ACTIONS(7872), 1,
      anon_sym_is,
    ACTIONS(7874), 1,
      sym_wildcard_pattern,
    ACTIONS(7876), 1,
      sym__dot_custom,
    STATE(4064), 1,
      sym_value_binding_pattern,
    STATE(4893), 1,
      sym__dot,
    STATE(5352), 1,
      sym_simple_identifier,
    STATE(5513), 1,
      sym__bound_identifier,
    STATE(5639), 1,
      sym__type_casting_pattern,
    STATE(5747), 1,
      sym__simple_user_type,
    STATE(6003), 1,
      sym__binding_pattern,
    STATE(6010), 1,
      sym__no_expr_pattern_already_bound,
    STATE(7454), 1,
      sym__binding_pattern_no_expr,
    STATE(7495), 1,
      sym_user_type,
    ACTIONS(103), 2,
      anon_sym_let,
      anon_sym_var,
    STATE(5357), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(7866), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(5468), 3,
      sym__universally_allowed_pattern,
      sym__tuple_pattern,
      sym__case_pattern,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7864), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [166503] = 16,
    ACTIONS(6835), 1,
      anon_sym_each,
    ACTIONS(6837), 1,
      anon_sym_repeat,
    ACTIONS(6839), 1,
      anon_sym_LPAREN,
    ACTIONS(6841), 1,
      anon_sym_LBRACK,
    ACTIONS(6843), 1,
      anon_sym_some,
    ACTIONS(6845), 1,
      anon_sym_any,
    STATE(4334), 1,
      sym_tuple_type,
    STATE(4484), 1,
      sym__simple_user_type,
    STATE(4511), 1,
      sym_simple_identifier,
    STATE(5031), 1,
      sym__parenthesized_type,
    STATE(4686), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6833), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4607), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6831), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4518), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [166574] = 21,
    ACTIONS(949), 1,
      anon_sym_case,
    ACTIONS(951), 1,
      anon_sym_is,
    ACTIONS(7742), 1,
      anon_sym_LPAREN,
    ACTIONS(7754), 1,
      sym__dot_custom,
    ACTIONS(7860), 1,
      sym_wildcard_pattern,
    STATE(4064), 1,
      sym_value_binding_pattern,
    STATE(4867), 1,
      sym__dot,
    STATE(5371), 1,
      sym_simple_identifier,
    STATE(5632), 1,
      sym__bound_identifier,
    STATE(5703), 1,
      sym__type_casting_pattern,
    STATE(5711), 1,
      sym__no_expr_pattern_already_bound,
    STATE(5747), 1,
      sym__simple_user_type,
    STATE(6003), 1,
      sym__binding_pattern,
    STATE(7492), 1,
      sym_user_type,
    STATE(7500), 1,
      sym__binding_pattern_no_expr,
    ACTIONS(103), 2,
      anon_sym_let,
      anon_sym_var,
    STATE(5456), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(7740), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(5684), 3,
      sym__universally_allowed_pattern,
      sym__tuple_pattern,
      sym__case_pattern,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7738), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [166655] = 16,
    ACTIONS(3652), 1,
      anon_sym_each,
    ACTIONS(3654), 1,
      anon_sym_repeat,
    ACTIONS(3656), 1,
      anon_sym_LPAREN,
    ACTIONS(3658), 1,
      anon_sym_LBRACK,
    ACTIONS(3660), 1,
      anon_sym_some,
    ACTIONS(3662), 1,
      anon_sym_any,
    STATE(1539), 1,
      sym_tuple_type,
    STATE(1612), 1,
      sym__simple_user_type,
    STATE(1620), 1,
      sym_simple_identifier,
    STATE(1735), 1,
      sym__parenthesized_type,
    STATE(1659), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(3647), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1652), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3645), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(1625), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [166726] = 6,
    ACTIONS(7878), 1,
      sym__dot_custom,
    STATE(4066), 1,
      aux_sym_user_type_repeat1,
    STATE(4695), 1,
      sym__dot,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2798), 8,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
    ACTIONS(2800), 23,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_in,
      anon_sym_self,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_final,
      anon_sym_weak,
      anon_sym_unowned,
      anon_sym_borrowing,
      anon_sym_consuming,
  [166777] = 16,
    ACTIONS(3652), 1,
      anon_sym_each,
    ACTIONS(3654), 1,
      anon_sym_repeat,
    ACTIONS(3656), 1,
      anon_sym_LPAREN,
    ACTIONS(3658), 1,
      anon_sym_LBRACK,
    ACTIONS(3660), 1,
      anon_sym_some,
    ACTIONS(3662), 1,
      anon_sym_any,
    STATE(1539), 1,
      sym_tuple_type,
    STATE(1612), 1,
      sym__simple_user_type,
    STATE(1620), 1,
      sym_simple_identifier,
    STATE(1735), 1,
      sym__parenthesized_type,
    STATE(1659), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(3647), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1652), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3645), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(1617), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [166848] = 16,
    ACTIONS(3652), 1,
      anon_sym_each,
    ACTIONS(3654), 1,
      anon_sym_repeat,
    ACTIONS(3656), 1,
      anon_sym_LPAREN,
    ACTIONS(3658), 1,
      anon_sym_LBRACK,
    ACTIONS(3660), 1,
      anon_sym_some,
    ACTIONS(3662), 1,
      anon_sym_any,
    STATE(1539), 1,
      sym_tuple_type,
    STATE(1612), 1,
      sym__simple_user_type,
    STATE(1620), 1,
      sym_simple_identifier,
    STATE(1735), 1,
      sym__parenthesized_type,
    STATE(1659), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(3647), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1652), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3645), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(1618), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [166919] = 16,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(7194), 1,
      anon_sym_each,
    ACTIONS(7196), 1,
      anon_sym_repeat,
    ACTIONS(7198), 1,
      anon_sym_some,
    ACTIONS(7200), 1,
      anon_sym_any,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4733), 1,
      sym_tuple_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(5098), 1,
      sym__simple_user_type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(5130), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [166990] = 16,
    ACTIONS(3652), 1,
      anon_sym_each,
    ACTIONS(3654), 1,
      anon_sym_repeat,
    ACTIONS(3656), 1,
      anon_sym_LPAREN,
    ACTIONS(3658), 1,
      anon_sym_LBRACK,
    ACTIONS(3660), 1,
      anon_sym_some,
    ACTIONS(3662), 1,
      anon_sym_any,
    STATE(1539), 1,
      sym_tuple_type,
    STATE(1612), 1,
      sym__simple_user_type,
    STATE(1620), 1,
      sym_simple_identifier,
    STATE(1735), 1,
      sym__parenthesized_type,
    STATE(1659), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(3647), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1652), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3645), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(1624), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [167061] = 16,
    ACTIONS(3517), 1,
      anon_sym_each,
    ACTIONS(3519), 1,
      anon_sym_repeat,
    ACTIONS(3521), 1,
      anon_sym_LPAREN,
    ACTIONS(3523), 1,
      anon_sym_LBRACK,
    ACTIONS(3525), 1,
      anon_sym_some,
    ACTIONS(3527), 1,
      anon_sym_any,
    STATE(1496), 1,
      sym_tuple_type,
    STATE(1524), 1,
      sym_simple_identifier,
    STATE(1527), 1,
      sym__simple_user_type,
    STATE(1650), 1,
      sym__parenthesized_type,
    STATE(1582), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(3512), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1559), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3510), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(1529), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [167132] = 16,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4492), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [167203] = 16,
    ACTIONS(3517), 1,
      anon_sym_each,
    ACTIONS(3519), 1,
      anon_sym_repeat,
    ACTIONS(3521), 1,
      anon_sym_LPAREN,
    ACTIONS(3523), 1,
      anon_sym_LBRACK,
    ACTIONS(3525), 1,
      anon_sym_some,
    ACTIONS(3527), 1,
      anon_sym_any,
    STATE(1496), 1,
      sym_tuple_type,
    STATE(1524), 1,
      sym_simple_identifier,
    STATE(1527), 1,
      sym__simple_user_type,
    STATE(1650), 1,
      sym__parenthesized_type,
    STATE(1582), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(3512), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1559), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3510), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(1547), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [167274] = 16,
    ACTIONS(3517), 1,
      anon_sym_each,
    ACTIONS(3519), 1,
      anon_sym_repeat,
    ACTIONS(3521), 1,
      anon_sym_LPAREN,
    ACTIONS(3523), 1,
      anon_sym_LBRACK,
    ACTIONS(3525), 1,
      anon_sym_some,
    ACTIONS(3527), 1,
      anon_sym_any,
    STATE(1496), 1,
      sym_tuple_type,
    STATE(1524), 1,
      sym_simple_identifier,
    STATE(1527), 1,
      sym__simple_user_type,
    STATE(1650), 1,
      sym__parenthesized_type,
    STATE(1582), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(3512), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1559), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3510), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(1525), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [167345] = 16,
    ACTIONS(6913), 1,
      anon_sym_each,
    ACTIONS(6915), 1,
      anon_sym_repeat,
    ACTIONS(6917), 1,
      anon_sym_LPAREN,
    ACTIONS(6919), 1,
      anon_sym_LBRACK,
    ACTIONS(6921), 1,
      anon_sym_some,
    ACTIONS(6923), 1,
      anon_sym_any,
    STATE(4370), 1,
      sym_tuple_type,
    STATE(4450), 1,
      sym_simple_identifier,
    STATE(4515), 1,
      sym__simple_user_type,
    STATE(4967), 1,
      sym__parenthesized_type,
    STATE(4635), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6911), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4691), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6909), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4574), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [167416] = 16,
    ACTIONS(3517), 1,
      anon_sym_each,
    ACTIONS(3519), 1,
      anon_sym_repeat,
    ACTIONS(3521), 1,
      anon_sym_LPAREN,
    ACTIONS(3523), 1,
      anon_sym_LBRACK,
    ACTIONS(3525), 1,
      anon_sym_some,
    ACTIONS(3527), 1,
      anon_sym_any,
    STATE(1496), 1,
      sym_tuple_type,
    STATE(1524), 1,
      sym_simple_identifier,
    STATE(1527), 1,
      sym__simple_user_type,
    STATE(1650), 1,
      sym__parenthesized_type,
    STATE(1582), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(3512), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1559), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3510), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(1530), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [167487] = 16,
    ACTIONS(3521), 1,
      anon_sym_LPAREN,
    ACTIONS(3523), 1,
      anon_sym_LBRACK,
    ACTIONS(7132), 1,
      anon_sym_each,
    ACTIONS(7134), 1,
      anon_sym_repeat,
    ACTIONS(7136), 1,
      anon_sym_some,
    ACTIONS(7138), 1,
      anon_sym_any,
    STATE(1524), 1,
      sym_simple_identifier,
    STATE(1527), 1,
      sym__simple_user_type,
    STATE(1650), 1,
      sym__parenthesized_type,
    STATE(4556), 1,
      sym_tuple_type,
    STATE(1582), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(3512), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1559), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3510), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4776), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [167558] = 16,
    ACTIONS(3521), 1,
      anon_sym_LPAREN,
    ACTIONS(3523), 1,
      anon_sym_LBRACK,
    ACTIONS(7132), 1,
      anon_sym_each,
    ACTIONS(7134), 1,
      anon_sym_repeat,
    ACTIONS(7136), 1,
      anon_sym_some,
    ACTIONS(7138), 1,
      anon_sym_any,
    STATE(1524), 1,
      sym_simple_identifier,
    STATE(1527), 1,
      sym__simple_user_type,
    STATE(1650), 1,
      sym__parenthesized_type,
    STATE(4556), 1,
      sym_tuple_type,
    STATE(1582), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(3512), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1559), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3510), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4775), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [167629] = 16,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4497), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [167700] = 16,
    ACTIONS(7166), 1,
      anon_sym_LPAREN,
    ACTIONS(7168), 1,
      anon_sym_LBRACK,
    ACTIONS(7178), 1,
      anon_sym_each,
    ACTIONS(7180), 1,
      anon_sym_repeat,
    ACTIONS(7182), 1,
      anon_sym_some,
    ACTIONS(7184), 1,
      anon_sym_any,
    STATE(4631), 1,
      sym_tuple_type,
    STATE(4636), 1,
      sym__simple_user_type,
    STATE(4721), 1,
      sym_simple_identifier,
    STATE(5085), 1,
      sym__parenthesized_type,
    STATE(4839), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(7160), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4940), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7158), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4970), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [167771] = 16,
    ACTIONS(7012), 1,
      anon_sym_each,
    ACTIONS(7014), 1,
      anon_sym_repeat,
    ACTIONS(7016), 1,
      anon_sym_LPAREN,
    ACTIONS(7018), 1,
      anon_sym_LBRACK,
    ACTIONS(7020), 1,
      anon_sym_some,
    ACTIONS(7022), 1,
      anon_sym_any,
    STATE(4438), 1,
      sym_tuple_type,
    STATE(4630), 1,
      sym__simple_user_type,
    STATE(4651), 1,
      sym_simple_identifier,
    STATE(5080), 1,
      sym__parenthesized_type,
    STATE(4848), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(7010), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4884), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7008), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4670), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [167842] = 3,
    ACTIONS(7883), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7881), 32,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_class,
      anon_sym_didSet,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [167887] = 16,
    ACTIONS(7012), 1,
      anon_sym_each,
    ACTIONS(7014), 1,
      anon_sym_repeat,
    ACTIONS(7016), 1,
      anon_sym_LPAREN,
    ACTIONS(7018), 1,
      anon_sym_LBRACK,
    ACTIONS(7020), 1,
      anon_sym_some,
    ACTIONS(7022), 1,
      anon_sym_any,
    STATE(4438), 1,
      sym_tuple_type,
    STATE(4630), 1,
      sym__simple_user_type,
    STATE(4651), 1,
      sym_simple_identifier,
    STATE(5080), 1,
      sym__parenthesized_type,
    STATE(4848), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(7010), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4884), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7008), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4679), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [167958] = 3,
    ACTIONS(7887), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7885), 32,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_class,
      anon_sym_willSet,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [168003] = 16,
    ACTIONS(7012), 1,
      anon_sym_each,
    ACTIONS(7014), 1,
      anon_sym_repeat,
    ACTIONS(7016), 1,
      anon_sym_LPAREN,
    ACTIONS(7018), 1,
      anon_sym_LBRACK,
    ACTIONS(7020), 1,
      anon_sym_some,
    ACTIONS(7022), 1,
      anon_sym_any,
    STATE(4438), 1,
      sym_tuple_type,
    STATE(4630), 1,
      sym__simple_user_type,
    STATE(4651), 1,
      sym_simple_identifier,
    STATE(5080), 1,
      sym__parenthesized_type,
    STATE(4848), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(7010), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4884), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7008), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4678), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [168074] = 16,
    ACTIONS(7012), 1,
      anon_sym_each,
    ACTIONS(7014), 1,
      anon_sym_repeat,
    ACTIONS(7016), 1,
      anon_sym_LPAREN,
    ACTIONS(7018), 1,
      anon_sym_LBRACK,
    ACTIONS(7020), 1,
      anon_sym_some,
    ACTIONS(7022), 1,
      anon_sym_any,
    STATE(4438), 1,
      sym_tuple_type,
    STATE(4630), 1,
      sym__simple_user_type,
    STATE(4651), 1,
      sym_simple_identifier,
    STATE(5080), 1,
      sym__parenthesized_type,
    STATE(4848), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(7010), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4884), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7008), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4674), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [168145] = 21,
    ACTIONS(5037), 1,
      anon_sym_LPAREN,
    ACTIONS(7830), 1,
      anon_sym_case,
    ACTIONS(7836), 1,
      sym__dot_custom,
    ACTIONS(7889), 1,
      anon_sym_is,
    ACTIONS(7891), 1,
      sym_wildcard_pattern,
    STATE(1729), 1,
      sym_simple_identifier,
    STATE(1860), 1,
      sym__type_casting_pattern,
    STATE(4064), 1,
      sym_value_binding_pattern,
    STATE(4865), 1,
      sym__dot,
    STATE(5556), 1,
      sym__bound_identifier,
    STATE(5626), 1,
      sym__no_expr_pattern_already_bound,
    STATE(5747), 1,
      sym__simple_user_type,
    STATE(6003), 1,
      sym__binding_pattern,
    STATE(7317), 1,
      sym__binding_pattern_no_expr,
    STATE(7447), 1,
      sym_user_type,
    ACTIONS(103), 2,
      anon_sym_let,
      anon_sym_var,
    STATE(1751), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(7828), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(5564), 3,
      sym__universally_allowed_pattern,
      sym__tuple_pattern,
      sym__case_pattern,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7826), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [168226] = 16,
    ACTIONS(3672), 1,
      anon_sym_each,
    ACTIONS(3674), 1,
      anon_sym_repeat,
    ACTIONS(3682), 1,
      anon_sym_some,
    ACTIONS(3684), 1,
      anon_sym_any,
    ACTIONS(7560), 1,
      anon_sym_LPAREN,
    ACTIONS(7562), 1,
      anon_sym_LBRACK,
    STATE(1604), 1,
      sym_tuple_type,
    STATE(1723), 1,
      sym__simple_user_type,
    STATE(1753), 1,
      sym_simple_identifier,
    STATE(1811), 1,
      sym__parenthesized_type,
    STATE(1782), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(3670), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1720), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3668), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(1642), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [168297] = 16,
    ACTIONS(3672), 1,
      anon_sym_each,
    ACTIONS(3674), 1,
      anon_sym_repeat,
    ACTIONS(3682), 1,
      anon_sym_some,
    ACTIONS(3684), 1,
      anon_sym_any,
    ACTIONS(7560), 1,
      anon_sym_LPAREN,
    ACTIONS(7562), 1,
      anon_sym_LBRACK,
    STATE(1604), 1,
      sym_tuple_type,
    STATE(1723), 1,
      sym__simple_user_type,
    STATE(1753), 1,
      sym_simple_identifier,
    STATE(1811), 1,
      sym__parenthesized_type,
    STATE(1782), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(3670), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1720), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3668), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(1665), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [168368] = 16,
    ACTIONS(3672), 1,
      anon_sym_each,
    ACTIONS(3674), 1,
      anon_sym_repeat,
    ACTIONS(3682), 1,
      anon_sym_some,
    ACTIONS(3684), 1,
      anon_sym_any,
    ACTIONS(7560), 1,
      anon_sym_LPAREN,
    ACTIONS(7562), 1,
      anon_sym_LBRACK,
    STATE(1604), 1,
      sym_tuple_type,
    STATE(1723), 1,
      sym__simple_user_type,
    STATE(1753), 1,
      sym_simple_identifier,
    STATE(1811), 1,
      sym__parenthesized_type,
    STATE(1782), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(3670), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1720), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3668), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(1664), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [168439] = 16,
    ACTIONS(3672), 1,
      anon_sym_each,
    ACTIONS(3674), 1,
      anon_sym_repeat,
    ACTIONS(3682), 1,
      anon_sym_some,
    ACTIONS(3684), 1,
      anon_sym_any,
    ACTIONS(7560), 1,
      anon_sym_LPAREN,
    ACTIONS(7562), 1,
      anon_sym_LBRACK,
    STATE(1604), 1,
      sym_tuple_type,
    STATE(1723), 1,
      sym__simple_user_type,
    STATE(1753), 1,
      sym_simple_identifier,
    STATE(1811), 1,
      sym__parenthesized_type,
    STATE(1782), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(3670), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1720), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3668), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(1643), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [168510] = 21,
    ACTIONS(949), 1,
      anon_sym_case,
    ACTIONS(951), 1,
      anon_sym_is,
    ACTIONS(7742), 1,
      anon_sym_LPAREN,
    ACTIONS(7754), 1,
      sym__dot_custom,
    ACTIONS(7860), 1,
      sym_wildcard_pattern,
    STATE(4064), 1,
      sym_value_binding_pattern,
    STATE(4867), 1,
      sym__dot,
    STATE(5371), 1,
      sym_simple_identifier,
    STATE(5632), 1,
      sym__bound_identifier,
    STATE(5703), 1,
      sym__type_casting_pattern,
    STATE(5747), 1,
      sym__simple_user_type,
    STATE(5767), 1,
      sym__no_expr_pattern_already_bound,
    STATE(6003), 1,
      sym__binding_pattern,
    STATE(7492), 1,
      sym_user_type,
    STATE(7500), 1,
      sym__binding_pattern_no_expr,
    ACTIONS(103), 2,
      anon_sym_let,
      anon_sym_var,
    STATE(5456), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(7740), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(5684), 3,
      sym__universally_allowed_pattern,
      sym__tuple_pattern,
      sym__case_pattern,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7738), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [168591] = 16,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4508), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [168662] = 16,
    ACTIONS(2621), 1,
      anon_sym_each,
    ACTIONS(2626), 1,
      anon_sym_repeat,
    ACTIONS(2634), 1,
      anon_sym_some,
    ACTIONS(2636), 1,
      anon_sym_any,
    ACTIONS(7580), 1,
      anon_sym_LPAREN,
    ACTIONS(7582), 1,
      anon_sym_LBRACK,
    STATE(894), 1,
      sym_tuple_type,
    STATE(934), 1,
      sym__simple_user_type,
    STATE(941), 1,
      sym_simple_identifier,
    STATE(987), 1,
      sym__parenthesized_type,
    STATE(982), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(2619), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(935), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2617), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(905), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [168733] = 16,
    ACTIONS(3521), 1,
      anon_sym_LPAREN,
    ACTIONS(3523), 1,
      anon_sym_LBRACK,
    ACTIONS(7132), 1,
      anon_sym_each,
    ACTIONS(7134), 1,
      anon_sym_repeat,
    ACTIONS(7136), 1,
      anon_sym_some,
    ACTIONS(7138), 1,
      anon_sym_any,
    STATE(1524), 1,
      sym_simple_identifier,
    STATE(1527), 1,
      sym__simple_user_type,
    STATE(1650), 1,
      sym__parenthesized_type,
    STATE(4556), 1,
      sym_tuple_type,
    STATE(1582), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(3512), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1559), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3510), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4937), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [168804] = 16,
    ACTIONS(2621), 1,
      anon_sym_each,
    ACTIONS(2626), 1,
      anon_sym_repeat,
    ACTIONS(2634), 1,
      anon_sym_some,
    ACTIONS(2636), 1,
      anon_sym_any,
    ACTIONS(7580), 1,
      anon_sym_LPAREN,
    ACTIONS(7582), 1,
      anon_sym_LBRACK,
    STATE(894), 1,
      sym_tuple_type,
    STATE(934), 1,
      sym__simple_user_type,
    STATE(941), 1,
      sym_simple_identifier,
    STATE(987), 1,
      sym__parenthesized_type,
    STATE(982), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(2619), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(935), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2617), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(915), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [168875] = 16,
    ACTIONS(2621), 1,
      anon_sym_each,
    ACTIONS(2626), 1,
      anon_sym_repeat,
    ACTIONS(2634), 1,
      anon_sym_some,
    ACTIONS(2636), 1,
      anon_sym_any,
    ACTIONS(7580), 1,
      anon_sym_LPAREN,
    ACTIONS(7582), 1,
      anon_sym_LBRACK,
    STATE(894), 1,
      sym_tuple_type,
    STATE(934), 1,
      sym__simple_user_type,
    STATE(941), 1,
      sym_simple_identifier,
    STATE(987), 1,
      sym__parenthesized_type,
    STATE(982), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(2619), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(935), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2617), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(914), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [168946] = 16,
    ACTIONS(2621), 1,
      anon_sym_each,
    ACTIONS(2626), 1,
      anon_sym_repeat,
    ACTIONS(2634), 1,
      anon_sym_some,
    ACTIONS(2636), 1,
      anon_sym_any,
    ACTIONS(7580), 1,
      anon_sym_LPAREN,
    ACTIONS(7582), 1,
      anon_sym_LBRACK,
    STATE(894), 1,
      sym_tuple_type,
    STATE(934), 1,
      sym__simple_user_type,
    STATE(941), 1,
      sym_simple_identifier,
    STATE(987), 1,
      sym__parenthesized_type,
    STATE(982), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(2619), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(935), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2617), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(911), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [169017] = 16,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(7194), 1,
      anon_sym_each,
    ACTIONS(7196), 1,
      anon_sym_repeat,
    ACTIONS(7198), 1,
      anon_sym_some,
    ACTIONS(7200), 1,
      anon_sym_any,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4733), 1,
      sym_tuple_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(5098), 1,
      sym__simple_user_type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(5111), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [169088] = 16,
    ACTIONS(3481), 1,
      anon_sym_LPAREN,
    ACTIONS(3483), 1,
      anon_sym_LBRACK,
    ACTIONS(6898), 1,
      anon_sym_each,
    ACTIONS(6900), 1,
      anon_sym_repeat,
    ACTIONS(6902), 1,
      anon_sym_some,
    ACTIONS(6904), 1,
      anon_sym_any,
    STATE(1489), 1,
      sym_simple_identifier,
    STATE(1490), 1,
      sym__simple_user_type,
    STATE(1561), 1,
      sym__parenthesized_type,
    STATE(4340), 1,
      sym_tuple_type,
    STATE(1514), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(3472), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1504), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3470), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4566), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [169159] = 16,
    ACTIONS(3481), 1,
      anon_sym_LPAREN,
    ACTIONS(3483), 1,
      anon_sym_LBRACK,
    ACTIONS(6898), 1,
      anon_sym_each,
    ACTIONS(6900), 1,
      anon_sym_repeat,
    ACTIONS(6902), 1,
      anon_sym_some,
    ACTIONS(6904), 1,
      anon_sym_any,
    STATE(1489), 1,
      sym_simple_identifier,
    STATE(1490), 1,
      sym__simple_user_type,
    STATE(1561), 1,
      sym__parenthesized_type,
    STATE(4340), 1,
      sym_tuple_type,
    STATE(1514), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(3472), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1504), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3470), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4565), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [169230] = 16,
    ACTIONS(3966), 1,
      anon_sym_each,
    ACTIONS(3968), 1,
      anon_sym_repeat,
    ACTIONS(3976), 1,
      anon_sym_some,
    ACTIONS(3978), 1,
      anon_sym_any,
    ACTIONS(7510), 1,
      anon_sym_LPAREN,
    ACTIONS(7512), 1,
      anon_sym_LBRACK,
    STATE(1725), 1,
      sym_tuple_type,
    STATE(1875), 1,
      sym__simple_user_type,
    STATE(1910), 1,
      sym_simple_identifier,
    STATE(2031), 1,
      sym__parenthesized_type,
    STATE(2018), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(3964), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1882), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3962), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(1764), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [169301] = 21,
    ACTIONS(5037), 1,
      anon_sym_LPAREN,
    ACTIONS(7830), 1,
      anon_sym_case,
    ACTIONS(7834), 1,
      sym_wildcard_pattern,
    ACTIONS(7836), 1,
      sym__dot_custom,
    ACTIONS(7889), 1,
      anon_sym_is,
    STATE(1729), 1,
      sym_simple_identifier,
    STATE(1774), 1,
      sym__bound_identifier,
    STATE(1860), 1,
      sym__type_casting_pattern,
    STATE(4064), 1,
      sym_value_binding_pattern,
    STATE(4865), 1,
      sym__dot,
    STATE(5747), 1,
      sym__simple_user_type,
    STATE(6003), 1,
      sym__binding_pattern,
    STATE(6017), 1,
      sym__no_expr_pattern_already_bound,
    STATE(7317), 1,
      sym__binding_pattern_no_expr,
    STATE(7447), 1,
      sym_user_type,
    ACTIONS(103), 2,
      anon_sym_let,
      anon_sym_var,
    STATE(1751), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(7828), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1808), 3,
      sym__universally_allowed_pattern,
      sym__tuple_pattern,
      sym__case_pattern,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7826), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [169382] = 6,
    ACTIONS(7858), 1,
      sym__dot_custom,
    STATE(4066), 1,
      aux_sym_user_type_repeat1,
    STATE(4695), 1,
      sym__dot,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2852), 8,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
    ACTIONS(2854), 23,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_in,
      anon_sym_self,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_final,
      anon_sym_weak,
      anon_sym_unowned,
      anon_sym_borrowing,
      anon_sym_consuming,
  [169433] = 16,
    ACTIONS(4025), 1,
      anon_sym_each,
    ACTIONS(4030), 1,
      anon_sym_repeat,
    ACTIONS(4032), 1,
      anon_sym_LPAREN,
    ACTIONS(4034), 1,
      anon_sym_LBRACK,
    ACTIONS(4036), 1,
      anon_sym_some,
    ACTIONS(4038), 1,
      anon_sym_any,
    STATE(1943), 1,
      sym_tuple_type,
    STATE(2068), 1,
      sym_simple_identifier,
    STATE(2099), 1,
      sym__simple_user_type,
    STATE(2575), 1,
      sym__parenthesized_type,
    STATE(2217), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(4023), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(2174), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(4021), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(2110), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [169504] = 16,
    ACTIONS(4025), 1,
      anon_sym_each,
    ACTIONS(4030), 1,
      anon_sym_repeat,
    ACTIONS(4032), 1,
      anon_sym_LPAREN,
    ACTIONS(4034), 1,
      anon_sym_LBRACK,
    ACTIONS(4036), 1,
      anon_sym_some,
    ACTIONS(4038), 1,
      anon_sym_any,
    STATE(1943), 1,
      sym_tuple_type,
    STATE(2068), 1,
      sym_simple_identifier,
    STATE(2099), 1,
      sym__simple_user_type,
    STATE(2575), 1,
      sym__parenthesized_type,
    STATE(2217), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(4023), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(2174), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(4021), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(2058), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [169575] = 16,
    ACTIONS(6161), 1,
      anon_sym_each,
    ACTIONS(6163), 1,
      anon_sym_repeat,
    ACTIONS(6165), 1,
      anon_sym_LPAREN,
    ACTIONS(6167), 1,
      anon_sym_LBRACK,
    ACTIONS(6169), 1,
      anon_sym_some,
    ACTIONS(6171), 1,
      anon_sym_any,
    STATE(4283), 1,
      sym_tuple_type,
    STATE(4364), 1,
      sym__simple_user_type,
    STATE(4374), 1,
      sym_simple_identifier,
    STATE(4683), 1,
      sym__parenthesized_type,
    STATE(4414), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6159), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4415), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6157), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4931), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [169646] = 16,
    ACTIONS(4025), 1,
      anon_sym_each,
    ACTIONS(4030), 1,
      anon_sym_repeat,
    ACTIONS(4032), 1,
      anon_sym_LPAREN,
    ACTIONS(4034), 1,
      anon_sym_LBRACK,
    ACTIONS(4036), 1,
      anon_sym_some,
    ACTIONS(4038), 1,
      anon_sym_any,
    STATE(1943), 1,
      sym_tuple_type,
    STATE(2068), 1,
      sym_simple_identifier,
    STATE(2099), 1,
      sym__simple_user_type,
    STATE(2575), 1,
      sym__parenthesized_type,
    STATE(2217), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(4023), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(2174), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(4021), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(2054), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [169717] = 16,
    ACTIONS(6996), 1,
      anon_sym_each,
    ACTIONS(6998), 1,
      anon_sym_repeat,
    ACTIONS(7000), 1,
      anon_sym_LPAREN,
    ACTIONS(7002), 1,
      anon_sym_LBRACK,
    ACTIONS(7004), 1,
      anon_sym_some,
    ACTIONS(7006), 1,
      anon_sym_any,
    STATE(4342), 1,
      sym_tuple_type,
    STATE(4543), 1,
      sym__simple_user_type,
    STATE(4640), 1,
      sym_simple_identifier,
    STATE(5012), 1,
      sym__parenthesized_type,
    STATE(4879), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6994), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4600), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6992), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4528), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [169788] = 16,
    ACTIONS(4025), 1,
      anon_sym_each,
    ACTIONS(4030), 1,
      anon_sym_repeat,
    ACTIONS(4032), 1,
      anon_sym_LPAREN,
    ACTIONS(4034), 1,
      anon_sym_LBRACK,
    ACTIONS(4036), 1,
      anon_sym_some,
    ACTIONS(4038), 1,
      anon_sym_any,
    STATE(1943), 1,
      sym_tuple_type,
    STATE(2068), 1,
      sym_simple_identifier,
    STATE(2099), 1,
      sym__simple_user_type,
    STATE(2575), 1,
      sym__parenthesized_type,
    STATE(2217), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(4023), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(2174), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(4021), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(2048), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [169859] = 21,
    ACTIONS(949), 1,
      anon_sym_case,
    ACTIONS(7742), 1,
      anon_sym_LPAREN,
    ACTIONS(7750), 1,
      anon_sym_is,
    ACTIONS(7754), 1,
      sym__dot_custom,
    ACTIONS(7860), 1,
      sym_wildcard_pattern,
    STATE(4064), 1,
      sym_value_binding_pattern,
    STATE(4867), 1,
      sym__dot,
    STATE(5371), 1,
      sym_simple_identifier,
    STATE(5632), 1,
      sym__bound_identifier,
    STATE(5703), 1,
      sym__type_casting_pattern,
    STATE(5711), 1,
      sym__no_expr_pattern_already_bound,
    STATE(5747), 1,
      sym__simple_user_type,
    STATE(6003), 1,
      sym__binding_pattern,
    STATE(7492), 1,
      sym_user_type,
    STATE(7534), 1,
      sym__binding_pattern_no_expr,
    ACTIONS(103), 2,
      anon_sym_let,
      anon_sym_var,
    STATE(5456), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(7740), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(5684), 3,
      sym__universally_allowed_pattern,
      sym__tuple_pattern,
      sym__case_pattern,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7738), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [169940] = 16,
    ACTIONS(6996), 1,
      anon_sym_each,
    ACTIONS(6998), 1,
      anon_sym_repeat,
    ACTIONS(7000), 1,
      anon_sym_LPAREN,
    ACTIONS(7002), 1,
      anon_sym_LBRACK,
    ACTIONS(7004), 1,
      anon_sym_some,
    ACTIONS(7006), 1,
      anon_sym_any,
    STATE(4342), 1,
      sym_tuple_type,
    STATE(4543), 1,
      sym__simple_user_type,
    STATE(4640), 1,
      sym_simple_identifier,
    STATE(5012), 1,
      sym__parenthesized_type,
    STATE(4879), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6994), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4600), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6992), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4576), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [170011] = 16,
    ACTIONS(3481), 1,
      anon_sym_LPAREN,
    ACTIONS(3483), 1,
      anon_sym_LBRACK,
    ACTIONS(6898), 1,
      anon_sym_each,
    ACTIONS(6900), 1,
      anon_sym_repeat,
    ACTIONS(6902), 1,
      anon_sym_some,
    ACTIONS(6904), 1,
      anon_sym_any,
    STATE(1489), 1,
      sym_simple_identifier,
    STATE(1490), 1,
      sym__simple_user_type,
    STATE(1561), 1,
      sym__parenthesized_type,
    STATE(4340), 1,
      sym_tuple_type,
    STATE(1514), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(3472), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1504), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3470), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4541), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [170082] = 16,
    ACTIONS(6835), 1,
      anon_sym_each,
    ACTIONS(6837), 1,
      anon_sym_repeat,
    ACTIONS(6839), 1,
      anon_sym_LPAREN,
    ACTIONS(6841), 1,
      anon_sym_LBRACK,
    ACTIONS(6843), 1,
      anon_sym_some,
    ACTIONS(6845), 1,
      anon_sym_any,
    STATE(4334), 1,
      sym_tuple_type,
    STATE(4484), 1,
      sym__simple_user_type,
    STATE(4511), 1,
      sym_simple_identifier,
    STATE(5031), 1,
      sym__parenthesized_type,
    STATE(4686), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6833), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4607), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6831), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4501), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [170153] = 16,
    ACTIONS(6835), 1,
      anon_sym_each,
    ACTIONS(6837), 1,
      anon_sym_repeat,
    ACTIONS(6839), 1,
      anon_sym_LPAREN,
    ACTIONS(6841), 1,
      anon_sym_LBRACK,
    ACTIONS(6843), 1,
      anon_sym_some,
    ACTIONS(6845), 1,
      anon_sym_any,
    STATE(4334), 1,
      sym_tuple_type,
    STATE(4484), 1,
      sym__simple_user_type,
    STATE(4511), 1,
      sym_simple_identifier,
    STATE(5031), 1,
      sym__parenthesized_type,
    STATE(4686), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6833), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4607), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6831), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4504), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [170224] = 16,
    ACTIONS(6835), 1,
      anon_sym_each,
    ACTIONS(6837), 1,
      anon_sym_repeat,
    ACTIONS(6839), 1,
      anon_sym_LPAREN,
    ACTIONS(6841), 1,
      anon_sym_LBRACK,
    ACTIONS(6843), 1,
      anon_sym_some,
    ACTIONS(6845), 1,
      anon_sym_any,
    STATE(4334), 1,
      sym_tuple_type,
    STATE(4484), 1,
      sym__simple_user_type,
    STATE(4511), 1,
      sym_simple_identifier,
    STATE(5031), 1,
      sym__parenthesized_type,
    STATE(4686), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6833), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4607), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6831), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4510), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [170295] = 3,
    ACTIONS(7895), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7893), 32,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_class,
      anon_sym_didSet,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [170340] = 3,
    ACTIONS(3410), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3408), 32,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_case,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [170385] = 16,
    ACTIONS(3521), 1,
      anon_sym_LPAREN,
    ACTIONS(3523), 1,
      anon_sym_LBRACK,
    ACTIONS(7132), 1,
      anon_sym_each,
    ACTIONS(7134), 1,
      anon_sym_repeat,
    ACTIONS(7136), 1,
      anon_sym_some,
    ACTIONS(7138), 1,
      anon_sym_any,
    STATE(1524), 1,
      sym_simple_identifier,
    STATE(1527), 1,
      sym__simple_user_type,
    STATE(1650), 1,
      sym__parenthesized_type,
    STATE(4556), 1,
      sym_tuple_type,
    STATE(1582), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(3512), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1559), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3510), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4885), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [170456] = 16,
    ACTIONS(3879), 1,
      anon_sym_each,
    ACTIONS(3881), 1,
      anon_sym_repeat,
    ACTIONS(3883), 1,
      anon_sym_some,
    ACTIONS(3885), 1,
      anon_sym_any,
    ACTIONS(7544), 1,
      anon_sym_LPAREN,
    ACTIONS(7546), 1,
      anon_sym_LBRACK,
    STATE(681), 1,
      sym__simple_user_type,
    STATE(692), 1,
      sym_simple_identifier,
    STATE(713), 1,
      sym__parenthesized_type,
    STATE(1693), 1,
      sym_tuple_type,
    STATE(702), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(769), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(685), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(767), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(1719), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [170527] = 16,
    ACTIONS(3879), 1,
      anon_sym_each,
    ACTIONS(3881), 1,
      anon_sym_repeat,
    ACTIONS(3883), 1,
      anon_sym_some,
    ACTIONS(3885), 1,
      anon_sym_any,
    ACTIONS(7544), 1,
      anon_sym_LPAREN,
    ACTIONS(7546), 1,
      anon_sym_LBRACK,
    STATE(681), 1,
      sym__simple_user_type,
    STATE(692), 1,
      sym_simple_identifier,
    STATE(713), 1,
      sym__parenthesized_type,
    STATE(1693), 1,
      sym_tuple_type,
    STATE(702), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(769), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(685), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(767), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(1705), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [170598] = 3,
    ACTIONS(7899), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7897), 32,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_class,
      anon_sym_willSet,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [170643] = 21,
    ACTIONS(7868), 1,
      anon_sym_LPAREN,
    ACTIONS(7870), 1,
      anon_sym_case,
    ACTIONS(7872), 1,
      anon_sym_is,
    ACTIONS(7876), 1,
      sym__dot_custom,
    ACTIONS(7901), 1,
      sym_wildcard_pattern,
    STATE(4064), 1,
      sym_value_binding_pattern,
    STATE(4893), 1,
      sym__dot,
    STATE(5352), 1,
      sym_simple_identifier,
    STATE(5462), 1,
      sym__bound_identifier,
    STATE(5639), 1,
      sym__type_casting_pattern,
    STATE(5660), 1,
      sym__no_expr_pattern_already_bound,
    STATE(5747), 1,
      sym__simple_user_type,
    STATE(6003), 1,
      sym__binding_pattern,
    STATE(7454), 1,
      sym__binding_pattern_no_expr,
    STATE(7495), 1,
      sym_user_type,
    ACTIONS(103), 2,
      anon_sym_let,
      anon_sym_var,
    STATE(5357), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(7866), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(5461), 3,
      sym__universally_allowed_pattern,
      sym__tuple_pattern,
      sym__case_pattern,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7864), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [170724] = 21,
    ACTIONS(7868), 1,
      anon_sym_LPAREN,
    ACTIONS(7870), 1,
      anon_sym_case,
    ACTIONS(7872), 1,
      anon_sym_is,
    ACTIONS(7876), 1,
      sym__dot_custom,
    ACTIONS(7901), 1,
      sym_wildcard_pattern,
    STATE(4064), 1,
      sym_value_binding_pattern,
    STATE(4893), 1,
      sym__dot,
    STATE(5352), 1,
      sym_simple_identifier,
    STATE(5462), 1,
      sym__bound_identifier,
    STATE(5582), 1,
      sym__no_expr_pattern_already_bound,
    STATE(5639), 1,
      sym__type_casting_pattern,
    STATE(5747), 1,
      sym__simple_user_type,
    STATE(6003), 1,
      sym__binding_pattern,
    STATE(7454), 1,
      sym__binding_pattern_no_expr,
    STATE(7495), 1,
      sym_user_type,
    ACTIONS(103), 2,
      anon_sym_let,
      anon_sym_var,
    STATE(5357), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(7866), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(5461), 3,
      sym__universally_allowed_pattern,
      sym__tuple_pattern,
      sym__case_pattern,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7864), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [170805] = 16,
    ACTIONS(7166), 1,
      anon_sym_LPAREN,
    ACTIONS(7168), 1,
      anon_sym_LBRACK,
    ACTIONS(7178), 1,
      anon_sym_each,
    ACTIONS(7180), 1,
      anon_sym_repeat,
    ACTIONS(7182), 1,
      anon_sym_some,
    ACTIONS(7184), 1,
      anon_sym_any,
    STATE(4631), 1,
      sym_tuple_type,
    STATE(4636), 1,
      sym__simple_user_type,
    STATE(4721), 1,
      sym_simple_identifier,
    STATE(5085), 1,
      sym__parenthesized_type,
    STATE(4839), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(7160), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4940), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7158), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4995), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [170876] = 16,
    ACTIONS(3895), 1,
      anon_sym_each,
    ACTIONS(3897), 1,
      anon_sym_repeat,
    ACTIONS(3905), 1,
      anon_sym_some,
    ACTIONS(3907), 1,
      anon_sym_any,
    ACTIONS(7584), 1,
      anon_sym_LPAREN,
    ACTIONS(7586), 1,
      anon_sym_LBRACK,
    STATE(1701), 1,
      sym_tuple_type,
    STATE(1834), 1,
      sym__simple_user_type,
    STATE(1859), 1,
      sym_simple_identifier,
    STATE(1936), 1,
      sym__parenthesized_type,
    STATE(1917), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(3893), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1821), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3891), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(1724), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [170947] = 16,
    ACTIONS(7166), 1,
      anon_sym_LPAREN,
    ACTIONS(7168), 1,
      anon_sym_LBRACK,
    ACTIONS(7178), 1,
      anon_sym_each,
    ACTIONS(7180), 1,
      anon_sym_repeat,
    ACTIONS(7182), 1,
      anon_sym_some,
    ACTIONS(7184), 1,
      anon_sym_any,
    STATE(4631), 1,
      sym_tuple_type,
    STATE(4636), 1,
      sym__simple_user_type,
    STATE(4721), 1,
      sym_simple_identifier,
    STATE(5085), 1,
      sym__parenthesized_type,
    STATE(4839), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(7160), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4940), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7158), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(5014), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [171018] = 16,
    ACTIONS(3793), 1,
      anon_sym_each,
    ACTIONS(3795), 1,
      anon_sym_repeat,
    ACTIONS(3803), 1,
      anon_sym_some,
    ACTIONS(3805), 1,
      anon_sym_any,
    ACTIONS(7564), 1,
      anon_sym_LPAREN,
    ACTIONS(7566), 1,
      anon_sym_LBRACK,
    STATE(1671), 1,
      sym_tuple_type,
    STATE(1771), 1,
      sym__simple_user_type,
    STATE(1836), 1,
      sym_simple_identifier,
    STATE(1879), 1,
      sym__parenthesized_type,
    STATE(1866), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(3791), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1768), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3789), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(1692), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [171089] = 16,
    ACTIONS(3895), 1,
      anon_sym_each,
    ACTIONS(3897), 1,
      anon_sym_repeat,
    ACTIONS(3905), 1,
      anon_sym_some,
    ACTIONS(3907), 1,
      anon_sym_any,
    ACTIONS(7584), 1,
      anon_sym_LPAREN,
    ACTIONS(7586), 1,
      anon_sym_LBRACK,
    STATE(1701), 1,
      sym_tuple_type,
    STATE(1834), 1,
      sym__simple_user_type,
    STATE(1859), 1,
      sym_simple_identifier,
    STATE(1936), 1,
      sym__parenthesized_type,
    STATE(1917), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(3893), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1821), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3891), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(1708), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [171160] = 16,
    ACTIONS(3895), 1,
      anon_sym_each,
    ACTIONS(3897), 1,
      anon_sym_repeat,
    ACTIONS(3905), 1,
      anon_sym_some,
    ACTIONS(3907), 1,
      anon_sym_any,
    ACTIONS(7584), 1,
      anon_sym_LPAREN,
    ACTIONS(7586), 1,
      anon_sym_LBRACK,
    STATE(1701), 1,
      sym_tuple_type,
    STATE(1834), 1,
      sym__simple_user_type,
    STATE(1859), 1,
      sym_simple_identifier,
    STATE(1936), 1,
      sym__parenthesized_type,
    STATE(1917), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(3893), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1821), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3891), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(1709), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [171231] = 16,
    ACTIONS(3895), 1,
      anon_sym_each,
    ACTIONS(3897), 1,
      anon_sym_repeat,
    ACTIONS(3905), 1,
      anon_sym_some,
    ACTIONS(3907), 1,
      anon_sym_any,
    ACTIONS(7584), 1,
      anon_sym_LPAREN,
    ACTIONS(7586), 1,
      anon_sym_LBRACK,
    STATE(1701), 1,
      sym_tuple_type,
    STATE(1834), 1,
      sym__simple_user_type,
    STATE(1859), 1,
      sym_simple_identifier,
    STATE(1936), 1,
      sym__parenthesized_type,
    STATE(1917), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(3893), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1821), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3891), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(1704), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [171302] = 21,
    ACTIONS(1095), 1,
      anon_sym_is,
    ACTIONS(7730), 1,
      anon_sym_LPAREN,
    ACTIONS(7736), 1,
      sym__dot_custom,
    ACTIONS(7903), 1,
      anon_sym_case,
    ACTIONS(7905), 1,
      sym_wildcard_pattern,
    STATE(4064), 1,
      sym_value_binding_pattern,
    STATE(4834), 1,
      sym__dot,
    STATE(5368), 1,
      sym_simple_identifier,
    STATE(5709), 1,
      sym__bound_identifier,
    STATE(5747), 1,
      sym__simple_user_type,
    STATE(5860), 1,
      sym__type_casting_pattern,
    STATE(6003), 1,
      sym__binding_pattern,
    STATE(7199), 1,
      sym__no_expr_pattern_already_bound,
    STATE(7531), 1,
      sym_user_type,
    STATE(7582), 1,
      sym__binding_pattern_no_expr,
    ACTIONS(103), 2,
      anon_sym_let,
      anon_sym_var,
    STATE(5534), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(7728), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(5712), 3,
      sym__universally_allowed_pattern,
      sym__tuple_pattern,
      sym__case_pattern,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7726), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [171383] = 16,
    ACTIONS(6996), 1,
      anon_sym_each,
    ACTIONS(6998), 1,
      anon_sym_repeat,
    ACTIONS(7000), 1,
      anon_sym_LPAREN,
    ACTIONS(7002), 1,
      anon_sym_LBRACK,
    ACTIONS(7004), 1,
      anon_sym_some,
    ACTIONS(7006), 1,
      anon_sym_any,
    STATE(4342), 1,
      sym_tuple_type,
    STATE(4543), 1,
      sym__simple_user_type,
    STATE(4640), 1,
      sym_simple_identifier,
    STATE(5012), 1,
      sym__parenthesized_type,
    STATE(4879), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6994), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4600), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6992), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4535), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [171454] = 16,
    ACTIONS(4570), 1,
      anon_sym_each,
    ACTIONS(4575), 1,
      anon_sym_repeat,
    ACTIONS(4577), 1,
      anon_sym_LPAREN,
    ACTIONS(4579), 1,
      anon_sym_LBRACK,
    ACTIONS(4581), 1,
      anon_sym_some,
    ACTIONS(4583), 1,
      anon_sym_any,
    STATE(3106), 1,
      sym_tuple_type,
    STATE(3229), 1,
      sym__simple_user_type,
    STATE(3235), 1,
      sym_simple_identifier,
    STATE(3296), 1,
      sym__parenthesized_type,
    STATE(3239), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(4568), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(3240), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(4566), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(3231), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [171525] = 16,
    ACTIONS(3879), 1,
      anon_sym_each,
    ACTIONS(3881), 1,
      anon_sym_repeat,
    ACTIONS(3883), 1,
      anon_sym_some,
    ACTIONS(3885), 1,
      anon_sym_any,
    ACTIONS(7544), 1,
      anon_sym_LPAREN,
    ACTIONS(7546), 1,
      anon_sym_LBRACK,
    STATE(681), 1,
      sym__simple_user_type,
    STATE(692), 1,
      sym_simple_identifier,
    STATE(713), 1,
      sym__parenthesized_type,
    STATE(1693), 1,
      sym_tuple_type,
    STATE(702), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(769), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(685), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(767), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(1707), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [171596] = 21,
    ACTIONS(7814), 1,
      anon_sym_LPAREN,
    ACTIONS(7816), 1,
      anon_sym_case,
    ACTIONS(7818), 1,
      anon_sym_is,
    ACTIONS(7822), 1,
      sym__dot_custom,
    ACTIONS(7907), 1,
      sym_wildcard_pattern,
    STATE(4064), 1,
      sym_value_binding_pattern,
    STATE(4806), 1,
      sym__dot,
    STATE(5035), 1,
      sym_simple_identifier,
    STATE(5227), 1,
      sym__type_casting_pattern,
    STATE(5302), 1,
      sym__bound_identifier,
    STATE(5351), 1,
      sym__no_expr_pattern_already_bound,
    STATE(5747), 1,
      sym__simple_user_type,
    STATE(6003), 1,
      sym__binding_pattern,
    STATE(7309), 1,
      sym_user_type,
    STATE(7409), 1,
      sym__binding_pattern_no_expr,
    ACTIONS(103), 2,
      anon_sym_let,
      anon_sym_var,
    STATE(5086), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(7812), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(5300), 3,
      sym__universally_allowed_pattern,
      sym__tuple_pattern,
      sym__case_pattern,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7810), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [171677] = 16,
    ACTIONS(4570), 1,
      anon_sym_each,
    ACTIONS(4575), 1,
      anon_sym_repeat,
    ACTIONS(4577), 1,
      anon_sym_LPAREN,
    ACTIONS(4579), 1,
      anon_sym_LBRACK,
    ACTIONS(4581), 1,
      anon_sym_some,
    ACTIONS(4583), 1,
      anon_sym_any,
    STATE(3106), 1,
      sym_tuple_type,
    STATE(3229), 1,
      sym__simple_user_type,
    STATE(3235), 1,
      sym_simple_identifier,
    STATE(3296), 1,
      sym__parenthesized_type,
    STATE(3239), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(4568), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(3240), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(4566), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(3211), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [171748] = 16,
    ACTIONS(4570), 1,
      anon_sym_each,
    ACTIONS(4575), 1,
      anon_sym_repeat,
    ACTIONS(4577), 1,
      anon_sym_LPAREN,
    ACTIONS(4579), 1,
      anon_sym_LBRACK,
    ACTIONS(4581), 1,
      anon_sym_some,
    ACTIONS(4583), 1,
      anon_sym_any,
    STATE(3106), 1,
      sym_tuple_type,
    STATE(3229), 1,
      sym__simple_user_type,
    STATE(3235), 1,
      sym_simple_identifier,
    STATE(3296), 1,
      sym__parenthesized_type,
    STATE(3239), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(4568), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(3240), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(4566), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(3220), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [171819] = 16,
    ACTIONS(3793), 1,
      anon_sym_each,
    ACTIONS(3795), 1,
      anon_sym_repeat,
    ACTIONS(3803), 1,
      anon_sym_some,
    ACTIONS(3805), 1,
      anon_sym_any,
    ACTIONS(7564), 1,
      anon_sym_LPAREN,
    ACTIONS(7566), 1,
      anon_sym_LBRACK,
    STATE(1671), 1,
      sym_tuple_type,
    STATE(1771), 1,
      sym__simple_user_type,
    STATE(1836), 1,
      sym_simple_identifier,
    STATE(1879), 1,
      sym__parenthesized_type,
    STATE(1866), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(3791), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1768), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3789), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(1686), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [171890] = 16,
    ACTIONS(6996), 1,
      anon_sym_each,
    ACTIONS(6998), 1,
      anon_sym_repeat,
    ACTIONS(7000), 1,
      anon_sym_LPAREN,
    ACTIONS(7002), 1,
      anon_sym_LBRACK,
    ACTIONS(7004), 1,
      anon_sym_some,
    ACTIONS(7006), 1,
      anon_sym_any,
    STATE(4342), 1,
      sym_tuple_type,
    STATE(4543), 1,
      sym__simple_user_type,
    STATE(4640), 1,
      sym_simple_identifier,
    STATE(5012), 1,
      sym__parenthesized_type,
    STATE(4879), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6994), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4600), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6992), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4479), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [171961] = 3,
    ACTIONS(6189), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6187), 32,
      sym_default_keyword,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_case,
      anon_sym_class,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [172006] = 16,
    ACTIONS(4570), 1,
      anon_sym_each,
    ACTIONS(4575), 1,
      anon_sym_repeat,
    ACTIONS(4577), 1,
      anon_sym_LPAREN,
    ACTIONS(4579), 1,
      anon_sym_LBRACK,
    ACTIONS(4581), 1,
      anon_sym_some,
    ACTIONS(4583), 1,
      anon_sym_any,
    STATE(3106), 1,
      sym_tuple_type,
    STATE(3229), 1,
      sym__simple_user_type,
    STATE(3235), 1,
      sym_simple_identifier,
    STATE(3296), 1,
      sym__parenthesized_type,
    STATE(3239), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(4568), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(3240), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(4566), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(3226), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [172077] = 3,
    ACTIONS(7911), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7909), 32,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_class,
      anon_sym_didSet,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [172122] = 16,
    ACTIONS(3481), 1,
      anon_sym_LPAREN,
    ACTIONS(3483), 1,
      anon_sym_LBRACK,
    ACTIONS(6898), 1,
      anon_sym_each,
    ACTIONS(6900), 1,
      anon_sym_repeat,
    ACTIONS(6902), 1,
      anon_sym_some,
    ACTIONS(6904), 1,
      anon_sym_any,
    STATE(1489), 1,
      sym_simple_identifier,
    STATE(1490), 1,
      sym__simple_user_type,
    STATE(1561), 1,
      sym__parenthesized_type,
    STATE(4340), 1,
      sym_tuple_type,
    STATE(1514), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(3472), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1504), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3470), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4490), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [172193] = 16,
    ACTIONS(7208), 1,
      anon_sym_each,
    ACTIONS(7210), 1,
      anon_sym_repeat,
    ACTIONS(7212), 1,
      anon_sym_LPAREN,
    ACTIONS(7214), 1,
      anon_sym_LBRACK,
    ACTIONS(7216), 1,
      anon_sym_some,
    ACTIONS(7218), 1,
      anon_sym_any,
    STATE(4833), 1,
      sym_tuple_type,
    STATE(5053), 1,
      sym__simple_user_type,
    STATE(5106), 1,
      sym_simple_identifier,
    STATE(5323), 1,
      sym__parenthesized_type,
    STATE(5204), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(7206), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(5168), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7204), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(5079), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [172264] = 16,
    ACTIONS(7208), 1,
      anon_sym_each,
    ACTIONS(7210), 1,
      anon_sym_repeat,
    ACTIONS(7212), 1,
      anon_sym_LPAREN,
    ACTIONS(7214), 1,
      anon_sym_LBRACK,
    ACTIONS(7216), 1,
      anon_sym_some,
    ACTIONS(7218), 1,
      anon_sym_any,
    STATE(4833), 1,
      sym_tuple_type,
    STATE(5053), 1,
      sym__simple_user_type,
    STATE(5106), 1,
      sym_simple_identifier,
    STATE(5323), 1,
      sym__parenthesized_type,
    STATE(5204), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(7206), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(5168), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7204), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(5072), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [172335] = 3,
    ACTIONS(7915), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7913), 32,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_class,
      anon_sym_willSet,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [172380] = 21,
    ACTIONS(5037), 1,
      anon_sym_LPAREN,
    ACTIONS(7830), 1,
      anon_sym_case,
    ACTIONS(7836), 1,
      sym__dot_custom,
    ACTIONS(7889), 1,
      anon_sym_is,
    ACTIONS(7891), 1,
      sym_wildcard_pattern,
    STATE(1729), 1,
      sym_simple_identifier,
    STATE(1860), 1,
      sym__type_casting_pattern,
    STATE(4064), 1,
      sym_value_binding_pattern,
    STATE(4865), 1,
      sym__dot,
    STATE(5556), 1,
      sym__bound_identifier,
    STATE(5657), 1,
      sym__no_expr_pattern_already_bound,
    STATE(5747), 1,
      sym__simple_user_type,
    STATE(6003), 1,
      sym__binding_pattern,
    STATE(7317), 1,
      sym__binding_pattern_no_expr,
    STATE(7447), 1,
      sym_user_type,
    ACTIONS(103), 2,
      anon_sym_let,
      anon_sym_var,
    STATE(1751), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(7828), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(5564), 3,
      sym__universally_allowed_pattern,
      sym__tuple_pattern,
      sym__case_pattern,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7826), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [172461] = 16,
    ACTIONS(783), 1,
      anon_sym_some,
    ACTIONS(785), 1,
      anon_sym_any,
    ACTIONS(6877), 1,
      anon_sym_each,
    ACTIONS(6879), 1,
      anon_sym_repeat,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4375), 1,
      sym_tuple_type,
    STATE(4524), 1,
      sym__simple_user_type,
    STATE(4761), 1,
      sym__parenthesized_type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4488), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4461), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [172532] = 21,
    ACTIONS(1095), 1,
      anon_sym_is,
    ACTIONS(7730), 1,
      anon_sym_LPAREN,
    ACTIONS(7736), 1,
      sym__dot_custom,
    ACTIONS(7903), 1,
      anon_sym_case,
    ACTIONS(7917), 1,
      sym_wildcard_pattern,
    STATE(4064), 1,
      sym_value_binding_pattern,
    STATE(4834), 1,
      sym__dot,
    STATE(5368), 1,
      sym_simple_identifier,
    STATE(5667), 1,
      sym__bound_identifier,
    STATE(5747), 1,
      sym__simple_user_type,
    STATE(5860), 1,
      sym__type_casting_pattern,
    STATE(5873), 1,
      sym__no_expr_pattern_already_bound,
    STATE(6003), 1,
      sym__binding_pattern,
    STATE(7531), 1,
      sym_user_type,
    STATE(7582), 1,
      sym__binding_pattern_no_expr,
    ACTIONS(103), 2,
      anon_sym_let,
      anon_sym_var,
    STATE(5534), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(7728), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(5652), 3,
      sym__universally_allowed_pattern,
      sym__tuple_pattern,
      sym__case_pattern,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7726), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [172613] = 21,
    ACTIONS(1095), 1,
      anon_sym_is,
    ACTIONS(7730), 1,
      anon_sym_LPAREN,
    ACTIONS(7736), 1,
      sym__dot_custom,
    ACTIONS(7903), 1,
      anon_sym_case,
    ACTIONS(7917), 1,
      sym_wildcard_pattern,
    STATE(4064), 1,
      sym_value_binding_pattern,
    STATE(4834), 1,
      sym__dot,
    STATE(5368), 1,
      sym_simple_identifier,
    STATE(5667), 1,
      sym__bound_identifier,
    STATE(5708), 1,
      sym__no_expr_pattern_already_bound,
    STATE(5747), 1,
      sym__simple_user_type,
    STATE(5860), 1,
      sym__type_casting_pattern,
    STATE(6003), 1,
      sym__binding_pattern,
    STATE(7531), 1,
      sym_user_type,
    STATE(7582), 1,
      sym__binding_pattern_no_expr,
    ACTIONS(103), 2,
      anon_sym_let,
      anon_sym_var,
    STATE(5534), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(7728), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(5652), 3,
      sym__universally_allowed_pattern,
      sym__tuple_pattern,
      sym__case_pattern,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7726), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [172694] = 16,
    ACTIONS(6996), 1,
      anon_sym_each,
    ACTIONS(6998), 1,
      anon_sym_repeat,
    ACTIONS(7000), 1,
      anon_sym_LPAREN,
    ACTIONS(7002), 1,
      anon_sym_LBRACK,
    ACTIONS(7004), 1,
      anon_sym_some,
    ACTIONS(7006), 1,
      anon_sym_any,
    STATE(4342), 1,
      sym_tuple_type,
    STATE(4543), 1,
      sym__simple_user_type,
    STATE(4640), 1,
      sym_simple_identifier,
    STATE(5012), 1,
      sym__parenthesized_type,
    STATE(4879), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6994), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4600), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6992), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4519), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [172765] = 16,
    ACTIONS(4092), 1,
      anon_sym_each,
    ACTIONS(4097), 1,
      anon_sym_repeat,
    ACTIONS(4099), 1,
      anon_sym_LPAREN,
    ACTIONS(4101), 1,
      anon_sym_LBRACK,
    ACTIONS(4103), 1,
      anon_sym_some,
    ACTIONS(4105), 1,
      anon_sym_any,
    STATE(2038), 1,
      sym_tuple_type,
    STATE(2319), 1,
      sym_simple_identifier,
    STATE(2346), 1,
      sym__simple_user_type,
    STATE(3104), 1,
      sym__parenthesized_type,
    STATE(2609), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(4090), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(2589), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(4088), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(2361), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [172836] = 16,
    ACTIONS(4092), 1,
      anon_sym_each,
    ACTIONS(4097), 1,
      anon_sym_repeat,
    ACTIONS(4099), 1,
      anon_sym_LPAREN,
    ACTIONS(4101), 1,
      anon_sym_LBRACK,
    ACTIONS(4103), 1,
      anon_sym_some,
    ACTIONS(4105), 1,
      anon_sym_any,
    STATE(2038), 1,
      sym_tuple_type,
    STATE(2319), 1,
      sym_simple_identifier,
    STATE(2346), 1,
      sym__simple_user_type,
    STATE(3104), 1,
      sym__parenthesized_type,
    STATE(2609), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(4090), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(2589), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(4088), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(2342), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [172907] = 16,
    ACTIONS(4092), 1,
      anon_sym_each,
    ACTIONS(4097), 1,
      anon_sym_repeat,
    ACTIONS(4099), 1,
      anon_sym_LPAREN,
    ACTIONS(4101), 1,
      anon_sym_LBRACK,
    ACTIONS(4103), 1,
      anon_sym_some,
    ACTIONS(4105), 1,
      anon_sym_any,
    STATE(2038), 1,
      sym_tuple_type,
    STATE(2319), 1,
      sym_simple_identifier,
    STATE(2346), 1,
      sym__simple_user_type,
    STATE(3104), 1,
      sym__parenthesized_type,
    STATE(2609), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(4090), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(2589), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(4088), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(2343), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [172978] = 16,
    ACTIONS(7208), 1,
      anon_sym_each,
    ACTIONS(7210), 1,
      anon_sym_repeat,
    ACTIONS(7212), 1,
      anon_sym_LPAREN,
    ACTIONS(7214), 1,
      anon_sym_LBRACK,
    ACTIONS(7216), 1,
      anon_sym_some,
    ACTIONS(7218), 1,
      anon_sym_any,
    STATE(4833), 1,
      sym_tuple_type,
    STATE(5053), 1,
      sym__simple_user_type,
    STATE(5106), 1,
      sym_simple_identifier,
    STATE(5323), 1,
      sym__parenthesized_type,
    STATE(5204), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(7206), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(5168), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7204), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(5107), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [173049] = 16,
    ACTIONS(4092), 1,
      anon_sym_each,
    ACTIONS(4097), 1,
      anon_sym_repeat,
    ACTIONS(4099), 1,
      anon_sym_LPAREN,
    ACTIONS(4101), 1,
      anon_sym_LBRACK,
    ACTIONS(4103), 1,
      anon_sym_some,
    ACTIONS(4105), 1,
      anon_sym_any,
    STATE(2038), 1,
      sym_tuple_type,
    STATE(2319), 1,
      sym_simple_identifier,
    STATE(2346), 1,
      sym__simple_user_type,
    STATE(3104), 1,
      sym__parenthesized_type,
    STATE(2609), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(4090), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(2589), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(4088), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(2356), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [173120] = 16,
    ACTIONS(2480), 1,
      anon_sym_each,
    ACTIONS(2482), 1,
      anon_sym_repeat,
    ACTIONS(2490), 1,
      anon_sym_some,
    ACTIONS(2492), 1,
      anon_sym_any,
    ACTIONS(7544), 1,
      anon_sym_LPAREN,
    ACTIONS(7546), 1,
      anon_sym_LBRACK,
    STATE(681), 1,
      sym__simple_user_type,
    STATE(686), 1,
      sym_tuple_type,
    STATE(692), 1,
      sym_simple_identifier,
    STATE(713), 1,
      sym__parenthesized_type,
    STATE(702), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(769), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(685), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(767), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(694), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [173191] = 16,
    ACTIONS(3793), 1,
      anon_sym_each,
    ACTIONS(3795), 1,
      anon_sym_repeat,
    ACTIONS(3803), 1,
      anon_sym_some,
    ACTIONS(3805), 1,
      anon_sym_any,
    ACTIONS(7564), 1,
      anon_sym_LPAREN,
    ACTIONS(7566), 1,
      anon_sym_LBRACK,
    STATE(1671), 1,
      sym_tuple_type,
    STATE(1771), 1,
      sym__simple_user_type,
    STATE(1836), 1,
      sym_simple_identifier,
    STATE(1879), 1,
      sym__parenthesized_type,
    STATE(1866), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(3791), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1768), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3789), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(1682), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [173262] = 16,
    ACTIONS(2480), 1,
      anon_sym_each,
    ACTIONS(2482), 1,
      anon_sym_repeat,
    ACTIONS(2490), 1,
      anon_sym_some,
    ACTIONS(2492), 1,
      anon_sym_any,
    ACTIONS(7544), 1,
      anon_sym_LPAREN,
    ACTIONS(7546), 1,
      anon_sym_LBRACK,
    STATE(681), 1,
      sym__simple_user_type,
    STATE(686), 1,
      sym_tuple_type,
    STATE(692), 1,
      sym_simple_identifier,
    STATE(713), 1,
      sym__parenthesized_type,
    STATE(702), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(769), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(685), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(767), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(689), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [173333] = 16,
    ACTIONS(3793), 1,
      anon_sym_each,
    ACTIONS(3795), 1,
      anon_sym_repeat,
    ACTIONS(3803), 1,
      anon_sym_some,
    ACTIONS(3805), 1,
      anon_sym_any,
    ACTIONS(7564), 1,
      anon_sym_LPAREN,
    ACTIONS(7566), 1,
      anon_sym_LBRACK,
    STATE(1671), 1,
      sym_tuple_type,
    STATE(1771), 1,
      sym__simple_user_type,
    STATE(1836), 1,
      sym_simple_identifier,
    STATE(1879), 1,
      sym__parenthesized_type,
    STATE(1866), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(3791), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1768), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3789), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(1678), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [173404] = 16,
    ACTIONS(5806), 1,
      anon_sym_each,
    ACTIONS(5808), 1,
      anon_sym_repeat,
    ACTIONS(5810), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_LBRACK,
    ACTIONS(5814), 1,
      anon_sym_some,
    ACTIONS(5816), 1,
      anon_sym_any,
    STATE(4250), 1,
      sym_tuple_type,
    STATE(4292), 1,
      sym_simple_identifier,
    STATE(4293), 1,
      sym__simple_user_type,
    STATE(4398), 1,
      sym__parenthesized_type,
    STATE(4313), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(5804), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4297), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5802), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4287), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [173475] = 16,
    ACTIONS(3879), 1,
      anon_sym_each,
    ACTIONS(3881), 1,
      anon_sym_repeat,
    ACTIONS(3883), 1,
      anon_sym_some,
    ACTIONS(3885), 1,
      anon_sym_any,
    ACTIONS(7544), 1,
      anon_sym_LPAREN,
    ACTIONS(7546), 1,
      anon_sym_LBRACK,
    STATE(681), 1,
      sym__simple_user_type,
    STATE(692), 1,
      sym_simple_identifier,
    STATE(713), 1,
      sym__parenthesized_type,
    STATE(1693), 1,
      sym_tuple_type,
    STATE(702), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(769), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(685), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(767), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(1727), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [173546] = 16,
    ACTIONS(5806), 1,
      anon_sym_each,
    ACTIONS(5808), 1,
      anon_sym_repeat,
    ACTIONS(5810), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_LBRACK,
    ACTIONS(5814), 1,
      anon_sym_some,
    ACTIONS(5816), 1,
      anon_sym_any,
    STATE(4250), 1,
      sym_tuple_type,
    STATE(4292), 1,
      sym_simple_identifier,
    STATE(4293), 1,
      sym__simple_user_type,
    STATE(4398), 1,
      sym__parenthesized_type,
    STATE(4313), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(5804), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4297), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5802), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4289), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [173617] = 16,
    ACTIONS(5806), 1,
      anon_sym_each,
    ACTIONS(5808), 1,
      anon_sym_repeat,
    ACTIONS(5810), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_LBRACK,
    ACTIONS(5814), 1,
      anon_sym_some,
    ACTIONS(5816), 1,
      anon_sym_any,
    STATE(4250), 1,
      sym_tuple_type,
    STATE(4292), 1,
      sym_simple_identifier,
    STATE(4293), 1,
      sym__simple_user_type,
    STATE(4398), 1,
      sym__parenthesized_type,
    STATE(4313), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(5804), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4297), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5802), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4286), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [173688] = 21,
    ACTIONS(7814), 1,
      anon_sym_LPAREN,
    ACTIONS(7816), 1,
      anon_sym_case,
    ACTIONS(7818), 1,
      anon_sym_is,
    ACTIONS(7820), 1,
      sym_wildcard_pattern,
    ACTIONS(7822), 1,
      sym__dot_custom,
    STATE(4064), 1,
      sym_value_binding_pattern,
    STATE(4806), 1,
      sym__dot,
    STATE(5035), 1,
      sym_simple_identifier,
    STATE(5174), 1,
      sym__bound_identifier,
    STATE(5227), 1,
      sym__type_casting_pattern,
    STATE(5540), 1,
      sym__no_expr_pattern_already_bound,
    STATE(5747), 1,
      sym__simple_user_type,
    STATE(6003), 1,
      sym__binding_pattern,
    STATE(7309), 1,
      sym_user_type,
    STATE(7409), 1,
      sym__binding_pattern_no_expr,
    ACTIONS(103), 2,
      anon_sym_let,
      anon_sym_var,
    STATE(5086), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(7812), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(5175), 3,
      sym__universally_allowed_pattern,
      sym__tuple_pattern,
      sym__case_pattern,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7810), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [173769] = 21,
    ACTIONS(7176), 1,
      anon_sym_LPAREN,
    ACTIONS(7842), 1,
      anon_sym_case,
    ACTIONS(7844), 1,
      anon_sym_is,
    ACTIONS(7848), 1,
      sym__dot_custom,
    ACTIONS(7919), 1,
      sym_wildcard_pattern,
    STATE(3207), 1,
      sym_simple_identifier,
    STATE(3282), 1,
      sym__type_casting_pattern,
    STATE(3290), 1,
      sym__bound_identifier,
    STATE(3304), 1,
      sym__no_expr_pattern_already_bound,
    STATE(4064), 1,
      sym_value_binding_pattern,
    STATE(4743), 1,
      sym__dot,
    STATE(5747), 1,
      sym__simple_user_type,
    STATE(6003), 1,
      sym__binding_pattern,
    STATE(7579), 1,
      sym_user_type,
    STATE(7624), 1,
      sym__binding_pattern_no_expr,
    ACTIONS(103), 2,
      anon_sym_let,
      anon_sym_var,
    STATE(3244), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(7840), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(3289), 3,
      sym__universally_allowed_pattern,
      sym__tuple_pattern,
      sym__case_pattern,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7838), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [173850] = 21,
    ACTIONS(7176), 1,
      anon_sym_LPAREN,
    ACTIONS(7842), 1,
      anon_sym_case,
    ACTIONS(7844), 1,
      anon_sym_is,
    ACTIONS(7848), 1,
      sym__dot_custom,
    ACTIONS(7919), 1,
      sym_wildcard_pattern,
    STATE(3207), 1,
      sym_simple_identifier,
    STATE(3282), 1,
      sym__type_casting_pattern,
    STATE(3290), 1,
      sym__bound_identifier,
    STATE(3310), 1,
      sym__no_expr_pattern_already_bound,
    STATE(4064), 1,
      sym_value_binding_pattern,
    STATE(4743), 1,
      sym__dot,
    STATE(5747), 1,
      sym__simple_user_type,
    STATE(6003), 1,
      sym__binding_pattern,
    STATE(7579), 1,
      sym_user_type,
    STATE(7624), 1,
      sym__binding_pattern_no_expr,
    ACTIONS(103), 2,
      anon_sym_let,
      anon_sym_var,
    STATE(3244), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(7840), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(3289), 3,
      sym__universally_allowed_pattern,
      sym__tuple_pattern,
      sym__case_pattern,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7838), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [173931] = 16,
    ACTIONS(2600), 1,
      anon_sym_each,
    ACTIONS(2605), 1,
      anon_sym_repeat,
    ACTIONS(2613), 1,
      anon_sym_some,
    ACTIONS(2615), 1,
      anon_sym_any,
    ACTIONS(7536), 1,
      anon_sym_LPAREN,
    ACTIONS(7538), 1,
      anon_sym_LBRACK,
    STATE(883), 1,
      sym_tuple_type,
    STATE(923), 1,
      sym__simple_user_type,
    STATE(936), 1,
      sym_simple_identifier,
    STATE(953), 1,
      sym__parenthesized_type,
    STATE(954), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(2598), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(927), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2596), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(891), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [174002] = 16,
    ACTIONS(2480), 1,
      anon_sym_each,
    ACTIONS(2482), 1,
      anon_sym_repeat,
    ACTIONS(2490), 1,
      anon_sym_some,
    ACTIONS(2492), 1,
      anon_sym_any,
    ACTIONS(7544), 1,
      anon_sym_LPAREN,
    ACTIONS(7546), 1,
      anon_sym_LBRACK,
    STATE(681), 1,
      sym__simple_user_type,
    STATE(686), 1,
      sym_tuple_type,
    STATE(692), 1,
      sym_simple_identifier,
    STATE(713), 1,
      sym__parenthesized_type,
    STATE(702), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(769), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(685), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(767), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(690), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [174073] = 16,
    ACTIONS(2480), 1,
      anon_sym_each,
    ACTIONS(2482), 1,
      anon_sym_repeat,
    ACTIONS(2490), 1,
      anon_sym_some,
    ACTIONS(2492), 1,
      anon_sym_any,
    ACTIONS(7544), 1,
      anon_sym_LPAREN,
    ACTIONS(7546), 1,
      anon_sym_LBRACK,
    STATE(681), 1,
      sym__simple_user_type,
    STATE(686), 1,
      sym_tuple_type,
    STATE(692), 1,
      sym_simple_identifier,
    STATE(713), 1,
      sym__parenthesized_type,
    STATE(702), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(769), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(685), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(767), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(695), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [174144] = 16,
    ACTIONS(3571), 1,
      anon_sym_each,
    ACTIONS(3573), 1,
      anon_sym_repeat,
    ACTIONS(3575), 1,
      anon_sym_LPAREN,
    ACTIONS(3577), 1,
      anon_sym_LBRACK,
    ACTIONS(3579), 1,
      anon_sym_some,
    ACTIONS(3581), 1,
      anon_sym_any,
    STATE(1515), 1,
      sym_simple_identifier,
    STATE(1517), 1,
      sym_tuple_type,
    STATE(1579), 1,
      sym__simple_user_type,
    STATE(1608), 1,
      sym__parenthesized_type,
    STATE(1508), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(3566), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1521), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3564), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(1555), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [174215] = 3,
    ACTIONS(7923), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7921), 32,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_class,
      anon_sym_didSet,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [174260] = 16,
    ACTIONS(3571), 1,
      anon_sym_each,
    ACTIONS(3573), 1,
      anon_sym_repeat,
    ACTIONS(3575), 1,
      anon_sym_LPAREN,
    ACTIONS(3577), 1,
      anon_sym_LBRACK,
    ACTIONS(3579), 1,
      anon_sym_some,
    ACTIONS(3581), 1,
      anon_sym_any,
    STATE(1515), 1,
      sym_simple_identifier,
    STATE(1517), 1,
      sym_tuple_type,
    STATE(1579), 1,
      sym__simple_user_type,
    STATE(1608), 1,
      sym__parenthesized_type,
    STATE(1508), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(3566), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1521), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3564), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(1550), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [174331] = 16,
    ACTIONS(3571), 1,
      anon_sym_each,
    ACTIONS(3573), 1,
      anon_sym_repeat,
    ACTIONS(3575), 1,
      anon_sym_LPAREN,
    ACTIONS(3577), 1,
      anon_sym_LBRACK,
    ACTIONS(3579), 1,
      anon_sym_some,
    ACTIONS(3581), 1,
      anon_sym_any,
    STATE(1515), 1,
      sym_simple_identifier,
    STATE(1517), 1,
      sym_tuple_type,
    STATE(1579), 1,
      sym__simple_user_type,
    STATE(1608), 1,
      sym__parenthesized_type,
    STATE(1508), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(3566), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1521), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3564), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(1554), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [174402] = 21,
    ACTIONS(7814), 1,
      anon_sym_LPAREN,
    ACTIONS(7816), 1,
      anon_sym_case,
    ACTIONS(7818), 1,
      anon_sym_is,
    ACTIONS(7822), 1,
      sym__dot_custom,
    ACTIONS(7907), 1,
      sym_wildcard_pattern,
    STATE(4064), 1,
      sym_value_binding_pattern,
    STATE(4806), 1,
      sym__dot,
    STATE(5035), 1,
      sym_simple_identifier,
    STATE(5227), 1,
      sym__type_casting_pattern,
    STATE(5302), 1,
      sym__bound_identifier,
    STATE(5350), 1,
      sym__no_expr_pattern_already_bound,
    STATE(5747), 1,
      sym__simple_user_type,
    STATE(6003), 1,
      sym__binding_pattern,
    STATE(7309), 1,
      sym_user_type,
    STATE(7409), 1,
      sym__binding_pattern_no_expr,
    ACTIONS(103), 2,
      anon_sym_let,
      anon_sym_var,
    STATE(5086), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(7812), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(5300), 3,
      sym__universally_allowed_pattern,
      sym__tuple_pattern,
      sym__case_pattern,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7810), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [174483] = 16,
    ACTIONS(3571), 1,
      anon_sym_each,
    ACTIONS(3573), 1,
      anon_sym_repeat,
    ACTIONS(3575), 1,
      anon_sym_LPAREN,
    ACTIONS(3577), 1,
      anon_sym_LBRACK,
    ACTIONS(3579), 1,
      anon_sym_some,
    ACTIONS(3581), 1,
      anon_sym_any,
    STATE(1515), 1,
      sym_simple_identifier,
    STATE(1517), 1,
      sym_tuple_type,
    STATE(1579), 1,
      sym__simple_user_type,
    STATE(1608), 1,
      sym__parenthesized_type,
    STATE(1508), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(3566), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1521), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3564), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(1551), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [174554] = 16,
    ACTIONS(4159), 1,
      anon_sym_each,
    ACTIONS(4164), 1,
      anon_sym_repeat,
    ACTIONS(4166), 1,
      anon_sym_LPAREN,
    ACTIONS(4168), 1,
      anon_sym_LBRACK,
    ACTIONS(4170), 1,
      anon_sym_some,
    ACTIONS(4172), 1,
      anon_sym_any,
    STATE(2301), 1,
      sym_tuple_type,
    STATE(2599), 1,
      sym__simple_user_type,
    STATE(2661), 1,
      sym_simple_identifier,
    STATE(3191), 1,
      sym__parenthesized_type,
    STATE(2747), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(4157), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(2941), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(4155), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(2527), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [174625] = 16,
    ACTIONS(4159), 1,
      anon_sym_each,
    ACTIONS(4164), 1,
      anon_sym_repeat,
    ACTIONS(4166), 1,
      anon_sym_LPAREN,
    ACTIONS(4168), 1,
      anon_sym_LBRACK,
    ACTIONS(4170), 1,
      anon_sym_some,
    ACTIONS(4172), 1,
      anon_sym_any,
    STATE(2301), 1,
      sym_tuple_type,
    STATE(2599), 1,
      sym__simple_user_type,
    STATE(2661), 1,
      sym_simple_identifier,
    STATE(3191), 1,
      sym__parenthesized_type,
    STATE(2747), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(4157), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(2941), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(4155), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(2545), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [174696] = 16,
    ACTIONS(4159), 1,
      anon_sym_each,
    ACTIONS(4164), 1,
      anon_sym_repeat,
    ACTIONS(4166), 1,
      anon_sym_LPAREN,
    ACTIONS(4168), 1,
      anon_sym_LBRACK,
    ACTIONS(4170), 1,
      anon_sym_some,
    ACTIONS(4172), 1,
      anon_sym_any,
    STATE(2301), 1,
      sym_tuple_type,
    STATE(2599), 1,
      sym__simple_user_type,
    STATE(2661), 1,
      sym_simple_identifier,
    STATE(3191), 1,
      sym__parenthesized_type,
    STATE(2747), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(4157), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(2941), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(4155), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(2543), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [174767] = 16,
    ACTIONS(5806), 1,
      anon_sym_each,
    ACTIONS(5808), 1,
      anon_sym_repeat,
    ACTIONS(5810), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_LBRACK,
    ACTIONS(5814), 1,
      anon_sym_some,
    ACTIONS(5816), 1,
      anon_sym_any,
    STATE(4250), 1,
      sym_tuple_type,
    STATE(4292), 1,
      sym_simple_identifier,
    STATE(4293), 1,
      sym__simple_user_type,
    STATE(4398), 1,
      sym__parenthesized_type,
    STATE(4313), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(5804), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(4297), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5802), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4290), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [174838] = 16,
    ACTIONS(4159), 1,
      anon_sym_each,
    ACTIONS(4164), 1,
      anon_sym_repeat,
    ACTIONS(4166), 1,
      anon_sym_LPAREN,
    ACTIONS(4168), 1,
      anon_sym_LBRACK,
    ACTIONS(4170), 1,
      anon_sym_some,
    ACTIONS(4172), 1,
      anon_sym_any,
    STATE(2301), 1,
      sym_tuple_type,
    STATE(2599), 1,
      sym__simple_user_type,
    STATE(2661), 1,
      sym_simple_identifier,
    STATE(3191), 1,
      sym__parenthesized_type,
    STATE(2747), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(4157), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(2941), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(4155), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(2529), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [174909] = 16,
    ACTIONS(2600), 1,
      anon_sym_each,
    ACTIONS(2605), 1,
      anon_sym_repeat,
    ACTIONS(2613), 1,
      anon_sym_some,
    ACTIONS(2615), 1,
      anon_sym_any,
    ACTIONS(7536), 1,
      anon_sym_LPAREN,
    ACTIONS(7538), 1,
      anon_sym_LBRACK,
    STATE(883), 1,
      sym_tuple_type,
    STATE(923), 1,
      sym__simple_user_type,
    STATE(936), 1,
      sym_simple_identifier,
    STATE(953), 1,
      sym__parenthesized_type,
    STATE(954), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(2598), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(927), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2596), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(893), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [174980] = 3,
    ACTIONS(7927), 2,
      anon_sym_AT,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7925), 32,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_RBRACE,
      anon_sym_class,
      anon_sym_willSet,
      anon_sym_prefix,
      anon_sym_infix,
      anon_sym_postfix,
      anon_sym_override,
      anon_sym_convenience,
      anon_sym_required,
      anon_sym_nonisolated,
      anon_sym_public,
      anon_sym_private,
      anon_sym_internal,
      anon_sym_fileprivate,
      anon_sym_open,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_static,
      anon_sym_dynamic,
      anon_sym_optional,
      anon_sym_distributed,
      anon_sym_final,
      anon_sym_inout,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
      anon_sym_borrowing,
      anon_sym_consuming,
  [175025] = 16,
    ACTIONS(2600), 1,
      anon_sym_each,
    ACTIONS(2605), 1,
      anon_sym_repeat,
    ACTIONS(2613), 1,
      anon_sym_some,
    ACTIONS(2615), 1,
      anon_sym_any,
    ACTIONS(7536), 1,
      anon_sym_LPAREN,
    ACTIONS(7538), 1,
      anon_sym_LBRACK,
    STATE(883), 1,
      sym_tuple_type,
    STATE(923), 1,
      sym__simple_user_type,
    STATE(936), 1,
      sym_simple_identifier,
    STATE(953), 1,
      sym__parenthesized_type,
    STATE(954), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(2598), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(927), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2596), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(888), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [175096] = 16,
    ACTIONS(2600), 1,
      anon_sym_each,
    ACTIONS(2605), 1,
      anon_sym_repeat,
    ACTIONS(2613), 1,
      anon_sym_some,
    ACTIONS(2615), 1,
      anon_sym_any,
    ACTIONS(7536), 1,
      anon_sym_LPAREN,
    ACTIONS(7538), 1,
      anon_sym_LBRACK,
    STATE(883), 1,
      sym_tuple_type,
    STATE(923), 1,
      sym__simple_user_type,
    STATE(936), 1,
      sym_simple_identifier,
    STATE(953), 1,
      sym__parenthesized_type,
    STATE(954), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(2598), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(927), 3,
      sym_user_type,
      sym_array_type,
      sym_dictionary_type,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2596), 7,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(901), 9,
      sym__unannotated_type,
      sym_function_type,
      sym_optional_type,
      sym_metatype,
      sym_opaque_type,
      sym_existential_type,
      sym_type_parameter_pack,
      sym_type_pack_expansion,
      sym_protocol_composition_type,
  [175167] = 23,
    ACTIONS(395), 1,
      anon_sym_AT,
    ACTIONS(399), 1,
      anon_sym_unowned,
    ACTIONS(3589), 1,
      anon_sym_async,
    ACTIONS(3611), 1,
      anon_sym_func,
    ACTIONS(7931), 1,
      anon_sym_lazy,
    ACTIONS(7933), 1,
      anon_sym_typealias,
    ACTIONS(7935), 1,
      anon_sym_enum,
    ACTIONS(7937), 1,
      anon_sym_extension,
    ACTIONS(7939), 1,
      anon_sym_indirect,
    ACTIONS(7941), 1,
      anon_sym_final,
    STATE(3949), 1,
      sym__modifierless_class_declaration,
    STATE(3950), 1,
      sym__modifierless_function_declaration,
    STATE(3951), 1,
      sym__modifierless_typealias_declaration,
    STATE(3952), 1,
      sym__modifierless_property_declaration,
    STATE(6344), 1,
      sym__non_constructor_function_decl,
    STATE(6632), 1,
      sym__async_modifier,
    STATE(6699), 1,
      sym__modifierless_function_declaration_no_body,
    ACTIONS(3609), 2,
      anon_sym_let,
      anon_sym_var,
    STATE(3979), 2,
      sym_value_binding_pattern,
      sym__possibly_async_binding_pattern_kind,
    ACTIONS(401), 3,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
    ACTIONS(7929), 3,
      anon_sym_actor,
      anon_sym_struct,
      anon_sym_class,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    STATE(4244), 6,
      sym_attribute,
      aux_sym__locally_permitted_modifiers,
      sym__locally_permitted_modifier,
      sym_property_behavior_modifier,
      sym_inheritance_modifier,
      sym_ownership_modifier,
  [175251] = 20,
    ACTIONS(7742), 1,
      anon_sym_LPAREN,
    ACTIONS(7746), 1,
      anon_sym_case,
    ACTIONS(7750), 1,
      anon_sym_is,
    ACTIONS(7752), 1,
      sym_wildcard_pattern,
    ACTIONS(7754), 1,
      sym__dot_custom,
    STATE(4111), 1,
      sym_value_binding_pattern,
    STATE(4867), 1,
      sym__dot,
    STATE(5371), 1,
      sym_simple_identifier,
    STATE(5703), 1,
      sym__type_casting_pattern,
    STATE(5747), 1,
      sym__simple_user_type,
    STATE(5992), 1,
      sym__bound_identifier,
    STATE(6003), 1,
      sym__binding_pattern,
    STATE(6029), 1,
      sym__binding_pattern_no_expr,
    STATE(7492), 1,
      sym_user_type,
    ACTIONS(103), 2,
      anon_sym_let,
      anon_sym_var,
    STATE(5456), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(7740), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(5991), 3,
      sym__universally_allowed_pattern,
      sym__tuple_pattern,
      sym__case_pattern,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7738), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [175329] = 23,
    ACTIONS(395), 1,
      anon_sym_AT,
    ACTIONS(399), 1,
      anon_sym_unowned,
    ACTIONS(3589), 1,
      anon_sym_async,
    ACTIONS(3611), 1,
      anon_sym_func,
    ACTIONS(4679), 1,
      anon_sym_typealias,
    ACTIONS(5114), 1,
      anon_sym_enum,
    ACTIONS(5116), 1,
      anon_sym_extension,
    ACTIONS(5118), 1,
      anon_sym_indirect,
    ACTIONS(7931), 1,
      anon_sym_lazy,
    ACTIONS(7941), 1,
      anon_sym_final,
    STATE(6344), 1,
      sym__non_constructor_function_decl,
    STATE(6607), 1,
      sym__modifierless_function_declaration_no_body,
    STATE(6632), 1,
      sym__async_modifier,
    STATE(6942), 1,
      sym__modifierless_class_declaration,
    STATE(6943), 1,
      sym__modifierless_function_declaration,
    STATE(6962), 1,
      sym__modifierless_typealias_declaration,
    STATE(6963), 1,
      sym__modifierless_property_declaration,
    ACTIONS(3609), 2,
      anon_sym_let,
      anon_sym_var,
    STATE(3973), 2,
      sym_value_binding_pattern,
      sym__possibly_async_binding_pattern_kind,
    ACTIONS(401), 3,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
    ACTIONS(5110), 3,
      anon_sym_actor,
      anon_sym_struct,
      anon_sym_class,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    STATE(4244), 6,
      sym_attribute,
      aux_sym__locally_permitted_modifiers,
      sym__locally_permitted_modifier,
      sym_property_behavior_modifier,
      sym_inheritance_modifier,
      sym_ownership_modifier,
  [175413] = 20,
    ACTIONS(7742), 1,
      anon_sym_LPAREN,
    ACTIONS(7746), 1,
      anon_sym_case,
    ACTIONS(7750), 1,
      anon_sym_is,
    ACTIONS(7752), 1,
      sym_wildcard_pattern,
    ACTIONS(7754), 1,
      sym__dot_custom,
    STATE(4111), 1,
      sym_value_binding_pattern,
    STATE(4867), 1,
      sym__dot,
    STATE(5371), 1,
      sym_simple_identifier,
    STATE(5703), 1,
      sym__type_casting_pattern,
    STATE(5747), 1,
      sym__simple_user_type,
    STATE(5992), 1,
      sym__bound_identifier,
    STATE(6003), 1,
      sym__binding_pattern,
    STATE(6086), 1,
      sym__binding_pattern_no_expr,
    STATE(7492), 1,
      sym_user_type,
    ACTIONS(103), 2,
      anon_sym_let,
      anon_sym_var,
    STATE(5456), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(7740), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(5991), 3,
      sym__universally_allowed_pattern,
      sym__tuple_pattern,
      sym__case_pattern,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7738), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [175491] = 4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3408), 7,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
    ACTIONS(631), 13,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LT,
    ACTIONS(3410), 13,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_some,
      anon_sym_any,
      anon_sym_AT,
      anon_sym_inout,
      anon_sym_borrowing,
      anon_sym_consuming,
  [175537] = 20,
    ACTIONS(7814), 1,
      anon_sym_LPAREN,
    ACTIONS(7818), 1,
      anon_sym_is,
    ACTIONS(7822), 1,
      sym__dot_custom,
    ACTIONS(7943), 1,
      anon_sym_case,
    ACTIONS(7945), 1,
      sym_wildcard_pattern,
    STATE(4136), 1,
      sym_value_binding_pattern,
    STATE(4806), 1,
      sym__dot,
    STATE(5035), 1,
      sym_simple_identifier,
    STATE(5227), 1,
      sym__type_casting_pattern,
    STATE(5232), 1,
      sym__binding_pattern_no_expr,
    STATE(5277), 1,
      sym__bound_identifier,
    STATE(5291), 1,
      sym__binding_pattern,
    STATE(5747), 1,
      sym__simple_user_type,
    STATE(7309), 1,
      sym_user_type,
    ACTIONS(103), 2,
      anon_sym_let,
      anon_sym_var,
    STATE(5086), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(7812), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(5259), 3,
      sym__universally_allowed_pattern,
      sym__tuple_pattern,
      sym__case_pattern,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7810), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [175615] = 20,
    ACTIONS(7742), 1,
      anon_sym_LPAREN,
    ACTIONS(7746), 1,
      anon_sym_case,
    ACTIONS(7750), 1,
      anon_sym_is,
    ACTIONS(7752), 1,
      sym_wildcard_pattern,
    ACTIONS(7754), 1,
      sym__dot_custom,
    STATE(4111), 1,
      sym_value_binding_pattern,
    STATE(4867), 1,
      sym__dot,
    STATE(5371), 1,
      sym_simple_identifier,
    STATE(5703), 1,
      sym__type_casting_pattern,
    STATE(5747), 1,
      sym__simple_user_type,
    STATE(5983), 1,
      sym__binding_pattern_no_expr,
    STATE(5992), 1,
      sym__bound_identifier,
    STATE(6003), 1,
      sym__binding_pattern,
    STATE(7492), 1,
      sym_user_type,
    ACTIONS(103), 2,
      anon_sym_let,
      anon_sym_var,
    STATE(5456), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(7740), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(5991), 3,
      sym__universally_allowed_pattern,
      sym__tuple_pattern,
      sym__case_pattern,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7738), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [175693] = 20,
    ACTIONS(5037), 1,
      anon_sym_LPAREN,
    ACTIONS(7836), 1,
      sym__dot_custom,
    ACTIONS(7889), 1,
      anon_sym_is,
    ACTIONS(7947), 1,
      anon_sym_case,
    ACTIONS(7949), 1,
      sym_wildcard_pattern,
    STATE(1729), 1,
      sym_simple_identifier,
    STATE(1860), 1,
      sym__type_casting_pattern,
    STATE(4148), 1,
      sym_value_binding_pattern,
    STATE(4865), 1,
      sym__dot,
    STATE(5430), 1,
      sym__binding_pattern_no_expr,
    STATE(5487), 1,
      sym__bound_identifier,
    STATE(5507), 1,
      sym__binding_pattern,
    STATE(5747), 1,
      sym__simple_user_type,
    STATE(7447), 1,
      sym_user_type,
    ACTIONS(103), 2,
      anon_sym_let,
      anon_sym_var,
    STATE(1751), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(7828), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(5467), 3,
      sym__universally_allowed_pattern,
      sym__tuple_pattern,
      sym__case_pattern,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7826), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [175771] = 3,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2928), 10,
      sym__dot_custom,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_AT,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
    ACTIONS(2930), 23,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_in,
      anon_sym_self,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_final,
      anon_sym_weak,
      anon_sym_unowned,
      anon_sym_borrowing,
      anon_sym_consuming,
  [175815] = 20,
    ACTIONS(7176), 1,
      anon_sym_LPAREN,
    ACTIONS(7844), 1,
      anon_sym_is,
    ACTIONS(7848), 1,
      sym__dot_custom,
    ACTIONS(7951), 1,
      anon_sym_case,
    ACTIONS(7953), 1,
      sym_wildcard_pattern,
    STATE(3207), 1,
      sym_simple_identifier,
    STATE(3281), 1,
      sym__binding_pattern_no_expr,
    STATE(3282), 1,
      sym__type_casting_pattern,
    STATE(3297), 1,
      sym__binding_pattern,
    STATE(3298), 1,
      sym__bound_identifier,
    STATE(4168), 1,
      sym_value_binding_pattern,
    STATE(4743), 1,
      sym__dot,
    STATE(5747), 1,
      sym__simple_user_type,
    STATE(7579), 1,
      sym_user_type,
    ACTIONS(103), 2,
      anon_sym_let,
      anon_sym_var,
    STATE(3244), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(7840), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(3288), 3,
      sym__universally_allowed_pattern,
      sym__tuple_pattern,
      sym__case_pattern,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7838), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [175893] = 20,
    ACTIONS(7742), 1,
      anon_sym_LPAREN,
    ACTIONS(7746), 1,
      anon_sym_case,
    ACTIONS(7750), 1,
      anon_sym_is,
    ACTIONS(7752), 1,
      sym_wildcard_pattern,
    ACTIONS(7754), 1,
      sym__dot_custom,
    STATE(4111), 1,
      sym_value_binding_pattern,
    STATE(4867), 1,
      sym__dot,
    STATE(5371), 1,
      sym_simple_identifier,
    STATE(5703), 1,
      sym__type_casting_pattern,
    STATE(5747), 1,
      sym__simple_user_type,
    STATE(5990), 1,
      sym__binding_pattern_no_expr,
    STATE(5992), 1,
      sym__bound_identifier,
    STATE(6003), 1,
      sym__binding_pattern,
    STATE(7492), 1,
      sym_user_type,
    ACTIONS(103), 2,
      anon_sym_let,
      anon_sym_var,
    STATE(5456), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(7740), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(5991), 3,
      sym__universally_allowed_pattern,
      sym__tuple_pattern,
      sym__case_pattern,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7738), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [175971] = 20,
    ACTIONS(7868), 1,
      anon_sym_LPAREN,
    ACTIONS(7872), 1,
      anon_sym_is,
    ACTIONS(7876), 1,
      sym__dot_custom,
    ACTIONS(7955), 1,
      anon_sym_case,
    ACTIONS(7957), 1,
      sym_wildcard_pattern,
    STATE(4123), 1,
      sym_value_binding_pattern,
    STATE(4893), 1,
      sym__dot,
    STATE(5352), 1,
      sym_simple_identifier,
    STATE(5484), 1,
      sym__binding_pattern_no_expr,
    STATE(5523), 1,
      sym__binding_pattern,
    STATE(5525), 1,
      sym__bound_identifier,
    STATE(5639), 1,
      sym__type_casting_pattern,
    STATE(5747), 1,
      sym__simple_user_type,
    STATE(7495), 1,
      sym_user_type,
    ACTIONS(103), 2,
      anon_sym_let,
      anon_sym_var,
    STATE(5357), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(7866), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(5527), 3,
      sym__universally_allowed_pattern,
      sym__tuple_pattern,
      sym__case_pattern,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7864), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [176049] = 3,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2971), 9,
      sym__dot_custom,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
    ACTIONS(2973), 23,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_in,
      anon_sym_self,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_final,
      anon_sym_weak,
      anon_sym_unowned,
      anon_sym_borrowing,
      anon_sym_consuming,
  [176092] = 3,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2963), 9,
      sym__dot_custom,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
    ACTIONS(2965), 23,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_in,
      anon_sym_self,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_final,
      anon_sym_weak,
      anon_sym_unowned,
      anon_sym_borrowing,
      anon_sym_consuming,
  [176135] = 3,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2924), 9,
      sym__dot_custom,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
    ACTIONS(2926), 23,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_in,
      anon_sym_self,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_final,
      anon_sym_weak,
      anon_sym_unowned,
      anon_sym_borrowing,
      anon_sym_consuming,
  [176178] = 5,
    ACTIONS(637), 1,
      anon_sym_in,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3408), 7,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
    ACTIONS(631), 11,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LT,
    ACTIONS(3410), 13,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_some,
      anon_sym_any,
      anon_sym_AT,
      anon_sym_inout,
      anon_sym_borrowing,
      anon_sym_consuming,
  [176225] = 3,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2798), 9,
      sym__dot_custom,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
    ACTIONS(2800), 23,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_in,
      anon_sym_self,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_final,
      anon_sym_weak,
      anon_sym_unowned,
      anon_sym_borrowing,
      anon_sym_consuming,
  [176268] = 3,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(4000), 8,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
    ACTIONS(3998), 23,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_in,
      anon_sym_self,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_final,
      anon_sym_weak,
      anon_sym_unowned,
      anon_sym_borrowing,
      anon_sym_consuming,
  [176310] = 3,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(4004), 8,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
    ACTIONS(4002), 23,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_in,
      anon_sym_self,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_final,
      anon_sym_weak,
      anon_sym_unowned,
      anon_sym_borrowing,
      anon_sym_consuming,
  [176352] = 4,
    ACTIONS(7959), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(4008), 7,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
    ACTIONS(4006), 23,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_in,
      anon_sym_self,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_final,
      anon_sym_weak,
      anon_sym_unowned,
      anon_sym_borrowing,
      anon_sym_consuming,
  [176396] = 7,
    ACTIONS(7189), 1,
      anon_sym_AT,
    ACTIONS(5724), 2,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
    ACTIONS(5719), 3,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5717), 5,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(5715), 8,
      aux_sym_simple_identifier_token1,
      anon_sym_each,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_in,
      anon_sym_self,
      anon_sym_borrowing,
      anon_sym_consuming,
    ACTIONS(5722), 12,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_final,
      anon_sym_weak,
      anon_sym_unowned,
  [176446] = 3,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3288), 13,
      sym_raw_str_part,
      sym_raw_str_end_part,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
      sym_real_literal,
      sym_hex_literal,
      sym_oct_literal,
      sym_bin_literal,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym__extended_regex_literal,
      aux_sym__multiline_regex_literal_token1,
      anon_sym_RBRACE,
    ACTIONS(3290), 15,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_nil,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_DQUOTE,
      sym__oneline_regex_literal,
      anon_sym_borrowing,
      anon_sym_consuming,
  [176485] = 3,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3356), 13,
      sym_raw_str_part,
      sym_raw_str_end_part,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
      sym_real_literal,
      sym_hex_literal,
      sym_oct_literal,
      sym_bin_literal,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym__extended_regex_literal,
      aux_sym__multiline_regex_literal_token1,
      anon_sym_RBRACE,
    ACTIONS(3358), 15,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_nil,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_DQUOTE,
      sym__oneline_regex_literal,
      anon_sym_borrowing,
      anon_sym_consuming,
  [176524] = 3,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3344), 13,
      sym_raw_str_part,
      sym_raw_str_end_part,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
      sym_real_literal,
      sym_hex_literal,
      sym_oct_literal,
      sym_bin_literal,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym__extended_regex_literal,
      aux_sym__multiline_regex_literal_token1,
      anon_sym_RBRACE,
    ACTIONS(3346), 15,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_nil,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_DQUOTE,
      sym__oneline_regex_literal,
      anon_sym_borrowing,
      anon_sym_consuming,
  [176563] = 3,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3266), 13,
      sym_raw_str_part,
      sym_raw_str_end_part,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
      sym_real_literal,
      sym_hex_literal,
      sym_oct_literal,
      sym_bin_literal,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym__extended_regex_literal,
      aux_sym__multiline_regex_literal_token1,
      anon_sym_RBRACE,
    ACTIONS(3268), 15,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_nil,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_DQUOTE,
      sym__oneline_regex_literal,
      anon_sym_borrowing,
      anon_sym_consuming,
  [176602] = 3,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3172), 13,
      sym_raw_str_part,
      sym_raw_str_end_part,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
      sym_real_literal,
      sym_hex_literal,
      sym_oct_literal,
      sym_bin_literal,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym__extended_regex_literal,
      aux_sym__multiline_regex_literal_token1,
      anon_sym_RBRACE,
    ACTIONS(3174), 15,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_nil,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_DQUOTE,
      sym__oneline_regex_literal,
      anon_sym_borrowing,
      anon_sym_consuming,
  [176641] = 3,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3244), 13,
      sym_raw_str_part,
      sym_raw_str_end_part,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
      sym_real_literal,
      sym_hex_literal,
      sym_oct_literal,
      sym_bin_literal,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym__extended_regex_literal,
      aux_sym__multiline_regex_literal_token1,
      anon_sym_RBRACE,
    ACTIONS(3246), 15,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_nil,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_DQUOTE,
      sym__oneline_regex_literal,
      anon_sym_borrowing,
      anon_sym_consuming,
  [176680] = 3,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3104), 13,
      sym_raw_str_part,
      sym_raw_str_end_part,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
      sym_real_literal,
      sym_hex_literal,
      sym_oct_literal,
      sym_bin_literal,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym__extended_regex_literal,
      aux_sym__multiline_regex_literal_token1,
      anon_sym_RBRACE,
    ACTIONS(3106), 15,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_nil,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_DQUOTE,
      sym__oneline_regex_literal,
      anon_sym_borrowing,
      anon_sym_consuming,
  [176719] = 3,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3200), 13,
      sym_raw_str_part,
      sym_raw_str_end_part,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
      sym_real_literal,
      sym_hex_literal,
      sym_oct_literal,
      sym_bin_literal,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym__extended_regex_literal,
      aux_sym__multiline_regex_literal_token1,
      anon_sym_RBRACE,
    ACTIONS(3202), 15,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_nil,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_DQUOTE,
      sym__oneline_regex_literal,
      anon_sym_borrowing,
      anon_sym_consuming,
  [176758] = 3,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3296), 13,
      sym_raw_str_part,
      sym_raw_str_end_part,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
      sym_real_literal,
      sym_hex_literal,
      sym_oct_literal,
      sym_bin_literal,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym__extended_regex_literal,
      aux_sym__multiline_regex_literal_token1,
      anon_sym_RBRACE,
    ACTIONS(3298), 15,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_nil,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_DQUOTE,
      sym__oneline_regex_literal,
      anon_sym_borrowing,
      anon_sym_consuming,
  [176797] = 3,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2928), 13,
      sym_raw_str_part,
      sym_raw_str_end_part,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
      sym_real_literal,
      sym_hex_literal,
      sym_oct_literal,
      sym_bin_literal,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym__extended_regex_literal,
      aux_sym__multiline_regex_literal_token1,
      anon_sym_RBRACE,
    ACTIONS(2930), 15,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_nil,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_DQUOTE,
      sym__oneline_regex_literal,
      anon_sym_borrowing,
      anon_sym_consuming,
  [176836] = 5,
    ACTIONS(2884), 1,
      anon_sym_unowned,
    ACTIONS(7962), 1,
      anon_sym_LT,
    STATE(4234), 1,
      sym_type_arguments,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2882), 24,
      sym__dot_custom,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_LPAREN,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_get,
      anon_sym_set,
      anon_sym__modify,
      anon_sym_AT,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_final,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
  [176878] = 6,
    ACTIONS(2807), 1,
      anon_sym_unowned,
    ACTIONS(7964), 1,
      sym__dot_custom,
    STATE(4221), 1,
      aux_sym_user_type_repeat1,
    STATE(4685), 1,
      sym__dot,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2805), 23,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_LPAREN,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_get,
      anon_sym_set,
      anon_sym__modify,
      anon_sym_AT,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_final,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
  [176922] = 6,
    ACTIONS(2800), 1,
      anon_sym_unowned,
    ACTIONS(7966), 1,
      sym__dot_custom,
    STATE(4220), 1,
      aux_sym_user_type_repeat1,
    STATE(4685), 1,
      sym__dot,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2798), 23,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_LPAREN,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_get,
      anon_sym_set,
      anon_sym__modify,
      anon_sym_AT,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_final,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
  [176966] = 6,
    ACTIONS(2854), 1,
      anon_sym_unowned,
    ACTIONS(7964), 1,
      sym__dot_custom,
    STATE(4220), 1,
      aux_sym_user_type_repeat1,
    STATE(4685), 1,
      sym__dot,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2852), 23,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_LPAREN,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_get,
      anon_sym_set,
      anon_sym__modify,
      anon_sym_AT,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_final,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
  [177010] = 16,
    ACTIONS(7973), 1,
      anon_sym_LPAREN,
    ACTIONS(7975), 1,
      anon_sym_LBRACK,
    ACTIONS(7977), 1,
      anon_sym_in,
    ACTIONS(7979), 1,
      anon_sym_self,
    ACTIONS(7981), 1,
      anon_sym_AT,
    STATE(4271), 1,
      sym_capture_list,
    STATE(4273), 1,
      sym_simple_identifier,
    STATE(5444), 1,
      sym_lambda_function_type_parameters,
    STATE(5647), 1,
      sym_lambda_parameter,
    STATE(5858), 1,
      sym_self_expression,
    STATE(7804), 1,
      sym_lambda_function_type,
    STATE(4356), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4367), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(7971), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7969), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [177074] = 3,
    ACTIONS(2930), 1,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2928), 25,
      sym__dot_custom,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_get,
      anon_sym_set,
      anon_sym__modify,
      anon_sym_AT,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_final,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
  [177111] = 24,
    ACTIONS(3589), 1,
      anon_sym_async,
    ACTIONS(3601), 1,
      anon_sym_typealias,
    ACTIONS(3605), 1,
      anon_sym_enum,
    ACTIONS(3611), 1,
      anon_sym_func,
    ACTIONS(3613), 1,
      anon_sym_extension,
    ACTIONS(7983), 1,
      anon_sym_case,
    ACTIONS(7985), 1,
      anon_sym_import,
    ACTIONS(7987), 1,
      anon_sym_class,
    ACTIONS(7989), 1,
      anon_sym_protocol,
    ACTIONS(7991), 1,
      anon_sym_indirect,
    ACTIONS(7993), 1,
      anon_sym_init,
    ACTIONS(7995), 1,
      anon_sym_deinit,
    ACTIONS(7997), 1,
      anon_sym_subscript,
    ACTIONS(7999), 1,
      anon_sym_associatedtype,
    STATE(2825), 1,
      sym__modifierless_property_declaration,
    STATE(2831), 1,
      sym__modifierless_typealias_declaration,
    STATE(2855), 1,
      sym__modifierless_class_declaration,
    STATE(6344), 1,
      sym__non_constructor_function_decl,
    STATE(6632), 1,
      sym__async_modifier,
    STATE(7778), 1,
      sym__modifierless_function_declaration_no_body,
    ACTIONS(3587), 2,
      anon_sym_actor,
      anon_sym_struct,
    ACTIONS(3609), 2,
      anon_sym_let,
      anon_sym_var,
    STATE(3975), 2,
      sym_value_binding_pattern,
      sym__possibly_async_binding_pattern_kind,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [177190] = 3,
    ACTIONS(2965), 1,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2963), 24,
      sym__dot_custom,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_LPAREN,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_get,
      anon_sym_set,
      anon_sym__modify,
      anon_sym_AT,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_final,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
  [177226] = 8,
    STATE(2051), 1,
      sym_simple_identifier,
    STATE(2922), 1,
      sym_identifier,
    STATE(4619), 1,
      sym__import_kind,
    STATE(1641), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(8003), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(8005), 8,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
    ACTIONS(8001), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [177272] = 8,
    STATE(4727), 1,
      sym__import_kind,
    STATE(5704), 1,
      sym_simple_identifier,
    STATE(6733), 1,
      sym_identifier,
    STATE(6396), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(8009), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(8011), 8,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
    ACTIONS(8007), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [177318] = 8,
    STATE(4724), 1,
      sym__import_kind,
    STATE(5826), 1,
      sym_simple_identifier,
    STATE(7149), 1,
      sym_identifier,
    STATE(6124), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(8015), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(8017), 8,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
    ACTIONS(8013), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [177364] = 8,
    STATE(4618), 1,
      sym__import_kind,
    STATE(5704), 1,
      sym_simple_identifier,
    STATE(6714), 1,
      sym_identifier,
    STATE(6396), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(8009), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(8019), 8,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
    ACTIONS(8007), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [177410] = 3,
    ACTIONS(2926), 1,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2924), 24,
      sym__dot_custom,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_LPAREN,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_get,
      anon_sym_set,
      anon_sym__modify,
      anon_sym_AT,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_final,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
  [177446] = 3,
    ACTIONS(2800), 1,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2798), 24,
      sym__dot_custom,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_LPAREN,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_get,
      anon_sym_set,
      anon_sym__modify,
      anon_sym_AT,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_final,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
  [177482] = 23,
    ACTIONS(3589), 1,
      anon_sym_async,
    ACTIONS(3611), 1,
      anon_sym_func,
    ACTIONS(3823), 1,
      anon_sym_typealias,
    ACTIONS(3827), 1,
      anon_sym_enum,
    ACTIONS(3831), 1,
      anon_sym_extension,
    ACTIONS(3833), 1,
      anon_sym_indirect,
    ACTIONS(8021), 1,
      anon_sym_import,
    ACTIONS(8023), 1,
      anon_sym_class,
    ACTIONS(8025), 1,
      anon_sym_protocol,
    ACTIONS(8027), 1,
      anon_sym_init,
    ACTIONS(8029), 1,
      anon_sym_deinit,
    ACTIONS(8031), 1,
      anon_sym_subscript,
    ACTIONS(8033), 1,
      anon_sym_associatedtype,
    STATE(6344), 1,
      sym__non_constructor_function_decl,
    STATE(6632), 1,
      sym__async_modifier,
    STATE(6803), 1,
      sym__modifierless_property_declaration,
    STATE(6839), 1,
      sym__modifierless_class_declaration,
    STATE(6861), 1,
      sym__modifierless_typealias_declaration,
    STATE(7778), 1,
      sym__modifierless_function_declaration_no_body,
    ACTIONS(3609), 2,
      anon_sym_let,
      anon_sym_var,
    ACTIONS(3817), 2,
      anon_sym_actor,
      anon_sym_struct,
    STATE(3972), 2,
      sym_value_binding_pattern,
      sym__possibly_async_binding_pattern_kind,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [177558] = 8,
    STATE(4708), 1,
      sym__import_kind,
    STATE(5826), 1,
      sym_simple_identifier,
    STATE(6988), 1,
      sym_identifier,
    STATE(6124), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(8015), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(8035), 8,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
    ACTIONS(8013), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [177604] = 3,
    ACTIONS(2973), 1,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2971), 24,
      sym__dot_custom,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_LPAREN,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_get,
      anon_sym_set,
      anon_sym__modify,
      anon_sym_AT,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_final,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
  [177640] = 8,
    STATE(2051), 1,
      sym_simple_identifier,
    STATE(3032), 1,
      sym_identifier,
    STATE(4591), 1,
      sym__import_kind,
    STATE(1641), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(8003), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(8037), 8,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_protocol,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
    ACTIONS(8001), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [177686] = 11,
    ACTIONS(8039), 1,
      anon_sym_LBRACK,
    ACTIONS(8041), 1,
      anon_sym_QMARK,
    ACTIONS(8043), 1,
      anon_sym_self,
    STATE(700), 1,
      sym_simple_identifier,
    STATE(743), 1,
      sym__key_path_component,
    ACTIONS(2542), 2,
      sym__bang_custom,
      anon_sym_BANG2,
    STATE(728), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(405), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(703), 3,
      sym__key_path_postfixes,
      sym_bang,
      aux_sym__key_path_component_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(403), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [177737] = 11,
    ACTIONS(8045), 1,
      anon_sym_LBRACK,
    ACTIONS(8047), 1,
      anon_sym_QMARK,
    ACTIONS(8049), 1,
      anon_sym_self,
    STATE(1932), 1,
      sym_simple_identifier,
    STATE(2345), 1,
      sym__key_path_component,
    ACTIONS(4214), 2,
      sym__bang_custom,
      anon_sym_BANG2,
    STATE(2218), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(1229), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1935), 3,
      sym__key_path_postfixes,
      sym_bang,
      aux_sym__key_path_component_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(1227), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [177788] = 11,
    ACTIONS(8051), 1,
      anon_sym_LBRACK,
    ACTIONS(8053), 1,
      anon_sym_QMARK,
    ACTIONS(8055), 1,
      anon_sym_self,
    STATE(1954), 1,
      sym_simple_identifier,
    STATE(2536), 1,
      sym__key_path_component,
    ACTIONS(4376), 2,
      sym__bang_custom,
      anon_sym_BANG2,
    STATE(2374), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(1039), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1956), 3,
      sym__key_path_postfixes,
      sym_bang,
      aux_sym__key_path_component_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(1037), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [177839] = 5,
    STATE(4330), 1,
      sym__try_operator_type,
    ACTIONS(8057), 3,
      sym__fake_try_bang,
      anon_sym_BANG,
      anon_sym_QMARK2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3809), 5,
      sym__dot_custom,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
      anon_sym_LPAREN,
    ACTIONS(3807), 15,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_await,
      anon_sym_case,
      anon_sym_is,
      anon_sym_let,
      anon_sym_var,
      sym_wildcard_pattern,
      anon_sym_borrowing,
      anon_sym_consuming,
  [177878] = 4,
    ACTIONS(4006), 1,
      anon_sym_unowned,
    ACTIONS(8059), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(4008), 22,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_get,
      anon_sym_set,
      anon_sym__modify,
      anon_sym_AT,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_final,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
  [177915] = 11,
    ACTIONS(8061), 1,
      anon_sym_LBRACK,
    ACTIONS(8063), 1,
      anon_sym_QMARK,
    ACTIONS(8065), 1,
      anon_sym_self,
    STATE(2103), 1,
      sym_simple_identifier,
    STATE(2892), 1,
      sym__key_path_component,
    ACTIONS(4474), 2,
      sym__bang_custom,
      anon_sym_BANG2,
    STATE(2558), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(1149), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(2101), 3,
      sym__key_path_postfixes,
      sym_bang,
      aux_sym__key_path_component_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(1147), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [177966] = 11,
    ACTIONS(8067), 1,
      anon_sym_LBRACK,
    ACTIONS(8069), 1,
      anon_sym_QMARK,
    ACTIONS(8071), 1,
      anon_sym_self,
    STATE(948), 1,
      sym_simple_identifier,
    STATE(1044), 1,
      sym__key_path_component,
    ACTIONS(2686), 2,
      sym__bang_custom,
      anon_sym_BANG2,
    STATE(1015), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(675), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(943), 3,
      sym__key_path_postfixes,
      sym_bang,
      aux_sym__key_path_component_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(673), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [178017] = 11,
    ACTIONS(8073), 1,
      anon_sym_LBRACK,
    ACTIONS(8075), 1,
      anon_sym_QMARK,
    ACTIONS(8077), 1,
      anon_sym_self,
    STATE(1865), 1,
      sym_simple_identifier,
    STATE(2190), 1,
      sym__key_path_component,
    ACTIONS(4153), 2,
      sym__bang_custom,
      anon_sym_BANG2,
    STATE(2115), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(13), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1844), 3,
      sym__key_path_postfixes,
      sym_bang,
      aux_sym__key_path_component_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(11), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [178068] = 8,
    ACTIONS(8079), 1,
      anon_sym_lazy,
    ACTIONS(8082), 1,
      anon_sym_AT,
    ACTIONS(8085), 1,
      anon_sym_final,
    ACTIONS(8091), 1,
      anon_sym_unowned,
    ACTIONS(8088), 3,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    STATE(4244), 6,
      sym_attribute,
      aux_sym__locally_permitted_modifiers,
      sym__locally_permitted_modifier,
      sym_property_behavior_modifier,
      sym_inheritance_modifier,
      sym_ownership_modifier,
    ACTIONS(5265), 11,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
  [178113] = 11,
    ACTIONS(8094), 1,
      anon_sym_LBRACK,
    ACTIONS(8096), 1,
      anon_sym_QMARK,
    ACTIONS(8098), 1,
      anon_sym_self,
    STATE(1813), 1,
      sym_simple_identifier,
    STATE(2070), 1,
      sym__key_path_component,
    ACTIONS(4084), 2,
      sym__bang_custom,
      anon_sym_BANG2,
    STATE(2016), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(973), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(1817), 3,
      sym__key_path_postfixes,
      sym_bang,
      aux_sym__key_path_component_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(971), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [178164] = 11,
    ACTIONS(8100), 1,
      anon_sym_LBRACK,
    ACTIONS(8102), 1,
      anon_sym_QMARK,
    ACTIONS(8104), 1,
      anon_sym_self,
    STATE(981), 1,
      sym_simple_identifier,
    STATE(1116), 1,
      sym__key_path_component,
    ACTIONS(2736), 2,
      sym__bang_custom,
      anon_sym_BANG2,
    STATE(1051), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(293), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(974), 3,
      sym__key_path_postfixes,
      sym_bang,
      aux_sym__key_path_component_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(291), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [178215] = 11,
    ACTIONS(8106), 1,
      anon_sym_LBRACK,
    ACTIONS(8108), 1,
      anon_sym_QMARK,
    ACTIONS(8110), 1,
      anon_sym_self,
    STATE(2024), 1,
      sym_simple_identifier,
    STATE(2528), 1,
      sym__key_path_component,
    ACTIONS(4316), 2,
      sym__bang_custom,
      anon_sym_BANG2,
    STATE(2439), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(1311), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    STATE(2027), 3,
      sym__key_path_postfixes,
      sym_bang,
      aux_sym__key_path_component_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(1309), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [178266] = 22,
    ACTIONS(3589), 1,
      anon_sym_async,
    ACTIONS(3611), 1,
      anon_sym_func,
    ACTIONS(4679), 1,
      anon_sym_typealias,
    ACTIONS(5114), 1,
      anon_sym_enum,
    ACTIONS(5116), 1,
      anon_sym_extension,
    ACTIONS(5118), 1,
      anon_sym_indirect,
    ACTIONS(8112), 1,
      anon_sym_import,
    ACTIONS(8114), 1,
      anon_sym_class,
    ACTIONS(8116), 1,
      anon_sym_protocol,
    ACTIONS(8118), 1,
      anon_sym_macro,
    ACTIONS(8120), 1,
      anon_sym_init,
    ACTIONS(8122), 1,
      anon_sym_associatedtype,
    STATE(6197), 1,
      sym__modifierless_typealias_declaration,
    STATE(6344), 1,
      sym__non_constructor_function_decl,
    STATE(6632), 1,
      sym__async_modifier,
    STATE(6842), 1,
      sym__modifierless_property_declaration,
    STATE(6852), 1,
      sym__modifierless_class_declaration,
    STATE(7778), 1,
      sym__modifierless_function_declaration_no_body,
    ACTIONS(3609), 2,
      anon_sym_let,
      anon_sym_var,
    ACTIONS(5110), 2,
      anon_sym_actor,
      anon_sym_struct,
    STATE(3973), 2,
      sym_value_binding_pattern,
      sym__possibly_async_binding_pattern_kind,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [178339] = 8,
    ACTIONS(845), 1,
      anon_sym_inout,
    STATE(4317), 1,
      sym__parameter_ownership_modifier,
    ACTIONS(847), 2,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
    ACTIONS(8128), 2,
      anon_sym_borrowing,
      anon_sym_consuming,
    STATE(4253), 2,
      sym_parameter_modifier,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(8126), 5,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(8124), 10,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_some,
      anon_sym_any,
      anon_sym_AT,
  [178383] = 11,
    ACTIONS(2842), 1,
      anon_sym_QMARK,
    ACTIONS(8131), 1,
      anon_sym_QMARK2,
    ACTIONS(8133), 1,
      sym__arrow_operator_custom,
    ACTIONS(8135), 1,
      sym__async_keyword_custom,
    STATE(3822), 1,
      sym__arrow_operator,
    STATE(5975), 1,
      sym__async_keyword,
    STATE(7505), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    STATE(4311), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2840), 12,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_where_keyword,
      sym__as_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [178433] = 5,
    ACTIONS(5722), 1,
      anon_sym_unowned,
    ACTIONS(7189), 1,
      anon_sym_AT,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5717), 5,
      anon_sym_get,
      anon_sym_set,
      anon_sym__modify,
      anon_sym_mutating,
      anon_sym_nonmutating,
    ACTIONS(5724), 16,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_final,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
  [178471] = 3,
    ACTIONS(4002), 1,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(4004), 22,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_get,
      anon_sym_set,
      anon_sym__modify,
      anon_sym_AT,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_final,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
  [178505] = 7,
    STATE(4317), 1,
      sym__parameter_ownership_modifier,
    ACTIONS(8144), 2,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
    STATE(4253), 2,
      sym_parameter_modifier,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(8141), 3,
      anon_sym_inout,
      anon_sym_borrowing,
      anon_sym_consuming,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(8139), 5,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(8137), 10,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_some,
      anon_sym_any,
      anon_sym_AT,
  [178547] = 11,
    ACTIONS(8151), 1,
      anon_sym_self,
    STATE(4913), 1,
      sym_ownership_modifier,
    STATE(6215), 1,
      sym_simple_identifier,
    STATE(7371), 1,
      sym_capture_list_item,
    STATE(7536), 1,
      sym_self_expression,
    ACTIONS(831), 2,
      anon_sym_weak,
      anon_sym_unowned,
    ACTIONS(833), 2,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
    STATE(1928), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(8149), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(8147), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [178597] = 3,
    ACTIONS(3998), 1,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(4000), 22,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_get,
      anon_sym_set,
      anon_sym__modify,
      anon_sym_AT,
      anon_sym_mutating,
      anon_sym_nonmutating,
      anon_sym_final,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
  [178631] = 11,
    ACTIONS(8151), 1,
      anon_sym_self,
    STATE(4913), 1,
      sym_ownership_modifier,
    STATE(6215), 1,
      sym_simple_identifier,
    STATE(7055), 1,
      sym_capture_list_item,
    STATE(7536), 1,
      sym_self_expression,
    ACTIONS(831), 2,
      anon_sym_weak,
      anon_sym_unowned,
    ACTIONS(833), 2,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
    STATE(1928), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(8149), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(8147), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [178681] = 11,
    ACTIONS(8153), 1,
      sym__dot_custom,
    STATE(1731), 1,
      sym_simple_identifier,
    STATE(4009), 1,
      sym_value_binding_pattern,
    STATE(4861), 1,
      sym__dot,
    STATE(5747), 1,
      sym__simple_user_type,
    STATE(7408), 1,
      sym_user_type,
    ACTIONS(103), 2,
      anon_sym_let,
      anon_sym_var,
    STATE(1641), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(8003), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(8001), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [178730] = 9,
    STATE(4262), 1,
      aux_sym_value_argument_repeat1,
    STATE(7653), 1,
      sym_value_argument_label,
    STATE(7655), 1,
      sym_simple_identifier,
    ACTIONS(8157), 2,
      anon_sym_if,
      anon_sym_switch,
    STATE(4320), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(2814), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(8155), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2812), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [178775] = 11,
    ACTIONS(8159), 1,
      anon_sym_each,
    ACTIONS(8161), 1,
      anon_sym_AT,
    STATE(4562), 1,
      sym_type_parameter_modifiers,
    STATE(6347), 1,
      sym_simple_identifier,
    STATE(7057), 1,
      sym_type_parameter,
    STATE(4779), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(5797), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(6351), 2,
      sym_type_parameter_pack,
      sym__type_parameter_possibly_packed,
    ACTIONS(3446), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3444), 8,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [178824] = 11,
    ACTIONS(2842), 1,
      anon_sym_QMARK,
    ACTIONS(8163), 1,
      anon_sym_QMARK2,
    ACTIONS(8165), 1,
      sym__arrow_operator_custom,
    ACTIONS(8167), 1,
      sym__async_keyword_custom,
    STATE(3493), 1,
      sym__arrow_operator,
    STATE(6027), 1,
      sym__async_keyword,
    STATE(7557), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    STATE(4344), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2840), 12,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_where_keyword,
      sym__as_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [178873] = 11,
    ACTIONS(8169), 1,
      sym__dot_custom,
    STATE(1731), 1,
      sym_simple_identifier,
    STATE(4092), 1,
      sym_value_binding_pattern,
    STATE(4772), 1,
      sym__dot,
    STATE(5747), 1,
      sym__simple_user_type,
    STATE(7463), 1,
      sym_user_type,
    ACTIONS(103), 2,
      anon_sym_let,
      anon_sym_var,
    STATE(1641), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(8003), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(8001), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [178922] = 9,
    STATE(4262), 1,
      aux_sym_value_argument_repeat1,
    STATE(7653), 1,
      sym_value_argument_label,
    STATE(7655), 1,
      sym_simple_identifier,
    ACTIONS(8179), 2,
      anon_sym_if,
      anon_sym_switch,
    STATE(4320), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(8174), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(8177), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(8171), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [178967] = 11,
    ACTIONS(8182), 1,
      sym__dot_custom,
    STATE(1731), 1,
      sym_simple_identifier,
    STATE(4092), 1,
      sym_value_binding_pattern,
    STATE(4824), 1,
      sym__dot,
    STATE(5747), 1,
      sym__simple_user_type,
    STATE(7540), 1,
      sym_user_type,
    ACTIONS(103), 2,
      anon_sym_let,
      anon_sym_var,
    STATE(1641), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(8003), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(8001), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [179016] = 11,
    ACTIONS(8184), 1,
      sym__dot_custom,
    STATE(1731), 1,
      sym_simple_identifier,
    STATE(4092), 1,
      sym_value_binding_pattern,
    STATE(4751), 1,
      sym__dot,
    STATE(5747), 1,
      sym__simple_user_type,
    STATE(7334), 1,
      sym_user_type,
    ACTIONS(103), 2,
      anon_sym_let,
      anon_sym_var,
    STATE(1641), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(8003), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(8001), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [179065] = 11,
    ACTIONS(8186), 1,
      sym__dot_custom,
    STATE(1731), 1,
      sym_simple_identifier,
    STATE(4092), 1,
      sym_value_binding_pattern,
    STATE(4905), 1,
      sym__dot,
    STATE(5747), 1,
      sym__simple_user_type,
    STATE(7508), 1,
      sym_user_type,
    ACTIONS(103), 2,
      anon_sym_let,
      anon_sym_var,
    STATE(1641), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(8003), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(8001), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [179114] = 11,
    ACTIONS(8188), 1,
      sym__dot_custom,
    STATE(1731), 1,
      sym_simple_identifier,
    STATE(4092), 1,
      sym_value_binding_pattern,
    STATE(4831), 1,
      sym__dot,
    STATE(5747), 1,
      sym__simple_user_type,
    STATE(7588), 1,
      sym_user_type,
    ACTIONS(103), 2,
      anon_sym_let,
      anon_sym_var,
    STATE(1641), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(8003), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(8001), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [179163] = 9,
    STATE(4262), 1,
      aux_sym_value_argument_repeat1,
    STATE(7653), 1,
      sym_value_argument_label,
    STATE(7655), 1,
      sym_simple_identifier,
    ACTIONS(8157), 2,
      anon_sym_if,
      anon_sym_switch,
    STATE(4320), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(2814), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(8190), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2812), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [179208] = 11,
    ACTIONS(8159), 1,
      anon_sym_each,
    ACTIONS(8161), 1,
      anon_sym_AT,
    STATE(4562), 1,
      sym_type_parameter_modifiers,
    STATE(5929), 1,
      sym_type_parameter,
    STATE(6347), 1,
      sym_simple_identifier,
    STATE(4779), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(5797), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(6351), 2,
      sym_type_parameter_pack,
      sym__type_parameter_possibly_packed,
    ACTIONS(3446), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3444), 8,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [179257] = 12,
    ACTIONS(7973), 1,
      anon_sym_LPAREN,
    ACTIONS(7979), 1,
      anon_sym_self,
    ACTIONS(8192), 1,
      anon_sym_in,
    STATE(4273), 1,
      sym_simple_identifier,
    STATE(5444), 1,
      sym_lambda_function_type_parameters,
    STATE(5647), 1,
      sym_lambda_parameter,
    STATE(5858), 1,
      sym_self_expression,
    STATE(7857), 1,
      sym_lambda_function_type,
    STATE(4356), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(7971), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7969), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [179308] = 11,
    ACTIONS(8159), 1,
      anon_sym_each,
    ACTIONS(8161), 1,
      anon_sym_AT,
    STATE(4562), 1,
      sym_type_parameter_modifiers,
    STATE(5972), 1,
      sym_type_parameter,
    STATE(6347), 1,
      sym_simple_identifier,
    STATE(4779), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(5797), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(6351), 2,
      sym_type_parameter_pack,
      sym__type_parameter_possibly_packed,
    ACTIONS(3446), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3444), 8,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [179357] = 12,
    ACTIONS(7973), 1,
      anon_sym_LPAREN,
    ACTIONS(7979), 1,
      anon_sym_self,
    ACTIONS(8194), 1,
      anon_sym_in,
    STATE(4273), 1,
      sym_simple_identifier,
    STATE(5444), 1,
      sym_lambda_function_type_parameters,
    STATE(5647), 1,
      sym_lambda_parameter,
    STATE(5858), 1,
      sym_self_expression,
    STATE(7705), 1,
      sym_lambda_function_type,
    STATE(4356), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(7971), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7969), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [179408] = 11,
    ACTIONS(8153), 1,
      sym__dot_custom,
    STATE(1731), 1,
      sym_simple_identifier,
    STATE(4092), 1,
      sym_value_binding_pattern,
    STATE(4861), 1,
      sym__dot,
    STATE(5747), 1,
      sym__simple_user_type,
    STATE(7408), 1,
      sym_user_type,
    ACTIONS(103), 2,
      anon_sym_let,
      anon_sym_var,
    STATE(1641), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(8003), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(8001), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [179457] = 8,
    ACTIONS(4702), 1,
      anon_sym_COLON,
    ACTIONS(4704), 1,
      anon_sym_in,
    STATE(7836), 1,
      sym_simple_identifier,
    STATE(4320), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(2814), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(4700), 5,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
    ACTIONS(2812), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [179500] = 11,
    ACTIONS(8196), 1,
      sym__dot_custom,
    STATE(1731), 1,
      sym_simple_identifier,
    STATE(4092), 1,
      sym_value_binding_pattern,
    STATE(4759), 1,
      sym__dot,
    STATE(5747), 1,
      sym__simple_user_type,
    STATE(7564), 1,
      sym_user_type,
    ACTIONS(103), 2,
      anon_sym_let,
      anon_sym_var,
    STATE(1641), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(8003), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(8001), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [179549] = 11,
    ACTIONS(8188), 1,
      sym__dot_custom,
    STATE(1731), 1,
      sym_simple_identifier,
    STATE(4167), 1,
      sym_value_binding_pattern,
    STATE(4831), 1,
      sym__dot,
    STATE(5747), 1,
      sym__simple_user_type,
    STATE(7588), 1,
      sym_user_type,
    ACTIONS(103), 2,
      anon_sym_let,
      anon_sym_var,
    STATE(1641), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(8003), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(8001), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [179598] = 11,
    ACTIONS(8169), 1,
      sym__dot_custom,
    STATE(1731), 1,
      sym_simple_identifier,
    STATE(4087), 1,
      sym_value_binding_pattern,
    STATE(4772), 1,
      sym__dot,
    STATE(5747), 1,
      sym__simple_user_type,
    STATE(7463), 1,
      sym_user_type,
    ACTIONS(103), 2,
      anon_sym_let,
      anon_sym_var,
    STATE(1641), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(8003), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(8001), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [179647] = 11,
    ACTIONS(8198), 1,
      anon_sym_LPAREN,
    ACTIONS(8200), 1,
      anon_sym_QMARK2,
    ACTIONS(8202), 1,
      sym__dot_custom,
    STATE(783), 1,
      sym__fn_call_lambda_arguments,
    STATE(784), 1,
      sym_constructor_suffix,
    STATE(1493), 1,
      sym_lambda_literal,
    STATE(2250), 1,
      sym__constructor_value_arguments,
    ACTIONS(4258), 2,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
    STATE(4506), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2840), 11,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_BANG,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_AMP,
  [179696] = 11,
    ACTIONS(8159), 1,
      anon_sym_each,
    ACTIONS(8161), 1,
      anon_sym_AT,
    STATE(4562), 1,
      sym_type_parameter_modifiers,
    STATE(5903), 1,
      sym_type_parameter,
    STATE(6347), 1,
      sym_simple_identifier,
    STATE(4779), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    STATE(5797), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(6351), 2,
      sym_type_parameter_pack,
      sym__type_parameter_possibly_packed,
    ACTIONS(3446), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3444), 8,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [179745] = 11,
    ACTIONS(8186), 1,
      sym__dot_custom,
    STATE(1731), 1,
      sym_simple_identifier,
    STATE(4124), 1,
      sym_value_binding_pattern,
    STATE(4905), 1,
      sym__dot,
    STATE(5747), 1,
      sym__simple_user_type,
    STATE(7508), 1,
      sym_user_type,
    ACTIONS(103), 2,
      anon_sym_let,
      anon_sym_var,
    STATE(1641), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(8003), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(8001), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [179794] = 11,
    ACTIONS(8184), 1,
      sym__dot_custom,
    STATE(1731), 1,
      sym_simple_identifier,
    STATE(4176), 1,
      sym_value_binding_pattern,
    STATE(4751), 1,
      sym__dot,
    STATE(5747), 1,
      sym__simple_user_type,
    STATE(7334), 1,
      sym_user_type,
    ACTIONS(103), 2,
      anon_sym_let,
      anon_sym_var,
    STATE(1641), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(8003), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(8001), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [179843] = 11,
    ACTIONS(8182), 1,
      sym__dot_custom,
    STATE(1731), 1,
      sym_simple_identifier,
    STATE(4151), 1,
      sym_value_binding_pattern,
    STATE(4824), 1,
      sym__dot,
    STATE(5747), 1,
      sym__simple_user_type,
    STATE(7540), 1,
      sym_user_type,
    ACTIONS(103), 2,
      anon_sym_let,
      anon_sym_var,
    STATE(1641), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(8003), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(8001), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [179892] = 6,
    STATE(3822), 1,
      sym__arrow_operator,
    STATE(4407), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(5975), 1,
      sym__async_keyword,
    STATE(7505), 1,
      sym_throws,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2878), 17,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [179930] = 10,
    ACTIONS(8204), 1,
      anon_sym_QMARK2,
    ACTIONS(8206), 1,
      sym__arrow_operator_custom,
    ACTIONS(8208), 1,
      sym__async_keyword_custom,
    STATE(3519), 1,
      sym__arrow_operator,
    STATE(6015), 1,
      sym__async_keyword,
    STATE(7576), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    STATE(4410), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2840), 11,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_where_keyword,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [179976] = 6,
    STATE(3822), 1,
      sym__arrow_operator,
    STATE(4407), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(5975), 1,
      sym__async_keyword,
    STATE(7505), 1,
      sym_throws,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2900), 17,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [180014] = 11,
    ACTIONS(8133), 1,
      sym__arrow_operator_custom,
    ACTIONS(8135), 1,
      sym__async_keyword_custom,
    ACTIONS(8210), 1,
      anon_sym_DOT,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    STATE(3822), 1,
      sym__arrow_operator,
    STATE(4407), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(5975), 1,
      sym__async_keyword,
    STATE(7505), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2888), 11,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_where_keyword,
      sym__as_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [180062] = 11,
    ACTIONS(8133), 1,
      sym__arrow_operator_custom,
    ACTIONS(8135), 1,
      sym__async_keyword_custom,
    ACTIONS(8210), 1,
      anon_sym_DOT,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    STATE(3822), 1,
      sym__arrow_operator,
    STATE(4407), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(5975), 1,
      sym__async_keyword,
    STATE(7505), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2866), 11,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_where_keyword,
      sym__as_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [180110] = 11,
    ACTIONS(8133), 1,
      sym__arrow_operator_custom,
    ACTIONS(8135), 1,
      sym__async_keyword_custom,
    ACTIONS(8210), 1,
      anon_sym_DOT,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    STATE(3822), 1,
      sym__arrow_operator,
    STATE(4407), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(5975), 1,
      sym__async_keyword,
    STATE(7505), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2896), 11,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_where_keyword,
      sym__as_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [180158] = 6,
    ACTIONS(2800), 1,
      anon_sym_QMARK,
    ACTIONS(8214), 1,
      sym__dot_custom,
    STATE(4288), 1,
      aux_sym_user_type_repeat1,
    STATE(4726), 1,
      sym__dot,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2798), 17,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [180196] = 11,
    ACTIONS(8133), 1,
      sym__arrow_operator_custom,
    ACTIONS(8135), 1,
      sym__async_keyword_custom,
    ACTIONS(8210), 1,
      anon_sym_DOT,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    STATE(3822), 1,
      sym__arrow_operator,
    STATE(4407), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(5975), 1,
      sym__async_keyword,
    STATE(7505), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2874), 11,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_where_keyword,
      sym__as_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [180244] = 11,
    ACTIONS(8133), 1,
      sym__arrow_operator_custom,
    ACTIONS(8135), 1,
      sym__async_keyword_custom,
    ACTIONS(8210), 1,
      anon_sym_DOT,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    STATE(3822), 1,
      sym__arrow_operator,
    STATE(4407), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(5975), 1,
      sym__async_keyword,
    STATE(7505), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2892), 11,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_where_keyword,
      sym__as_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [180292] = 6,
    ACTIONS(2854), 1,
      anon_sym_QMARK,
    ACTIONS(8217), 1,
      sym__dot_custom,
    STATE(4288), 1,
      aux_sym_user_type_repeat1,
    STATE(4726), 1,
      sym__dot,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2852), 17,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [180330] = 5,
    ACTIONS(2884), 1,
      anon_sym_QMARK,
    ACTIONS(8219), 1,
      anon_sym_LT,
    STATE(4339), 1,
      sym_type_arguments,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2882), 18,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [180366] = 6,
    ACTIONS(2807), 1,
      anon_sym_QMARK,
    ACTIONS(8217), 1,
      sym__dot_custom,
    STATE(4291), 1,
      aux_sym_user_type_repeat1,
    STATE(4726), 1,
      sym__dot,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2805), 17,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [180404] = 10,
    ACTIONS(8221), 1,
      anon_sym_QMARK2,
    ACTIONS(8223), 1,
      sym__arrow_operator_custom,
    ACTIONS(8225), 1,
      sym__async_keyword_custom,
    STATE(3584), 1,
      sym__arrow_operator,
    STATE(6052), 1,
      sym__async_keyword,
    STATE(7513), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    STATE(4477), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2840), 10,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [180449] = 6,
    ACTIONS(8227), 1,
      sym__dot_custom,
    STATE(4295), 1,
      aux_sym_user_type_repeat1,
    STATE(4646), 1,
      sym__dot,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2798), 6,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_AT,
    ACTIONS(2800), 11,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_some,
      anon_sym_any,
      anon_sym_borrowing,
      anon_sym_consuming,
  [180486] = 6,
    ACTIONS(8230), 1,
      sym__dot_custom,
    STATE(4295), 1,
      aux_sym_user_type_repeat1,
    STATE(4646), 1,
      sym__dot,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2852), 6,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_AT,
    ACTIONS(2854), 11,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_some,
      anon_sym_any,
      anon_sym_borrowing,
      anon_sym_consuming,
  [180523] = 5,
    ACTIONS(2842), 1,
      anon_sym_QMARK,
    ACTIONS(8131), 1,
      anon_sym_QMARK2,
    STATE(4311), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2840), 16,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [180558] = 10,
    ACTIONS(8161), 1,
      anon_sym_AT,
    ACTIONS(8232), 1,
      anon_sym_RPAREN,
    STATE(4713), 1,
      sym_simple_identifier,
    STATE(4715), 1,
      sym_attribute,
    STATE(6384), 1,
      sym_parameter,
    STATE(6505), 1,
      sym__function_value_parameter,
    STATE(4320), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(2814), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2812), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [180603] = 10,
    ACTIONS(1473), 1,
      anon_sym_RPAREN,
    ACTIONS(8151), 1,
      anon_sym_self,
    STATE(4412), 1,
      sym_simple_identifier,
    STATE(7142), 1,
      sym_lambda_parameter,
    STATE(7453), 1,
      sym_self_expression,
    STATE(7840), 1,
      sym_lambda_function_type_parameters,
    STATE(4320), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(2814), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2812), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [180648] = 11,
    ACTIONS(8165), 1,
      sym__arrow_operator_custom,
    ACTIONS(8167), 1,
      sym__async_keyword_custom,
    ACTIONS(8234), 1,
      anon_sym_DOT,
    ACTIONS(8236), 1,
      anon_sym_AMP,
    STATE(3493), 1,
      sym__arrow_operator,
    STATE(4537), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(6027), 1,
      sym__async_keyword,
    STATE(7557), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2888), 11,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_where_keyword,
      sym__as_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [180695] = 5,
    ACTIONS(8238), 1,
      anon_sym_LT,
    STATE(4395), 1,
      sym_type_arguments,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2882), 7,
      sym__dot_custom,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_AT,
    ACTIONS(2884), 11,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_in,
      anon_sym_self,
      anon_sym_borrowing,
      anon_sym_consuming,
  [180730] = 6,
    ACTIONS(8240), 1,
      sym__dot_custom,
    STATE(4310), 1,
      aux_sym_user_type_repeat1,
    STATE(4682), 1,
      sym__dot,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2805), 6,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_AT,
    ACTIONS(2807), 11,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_in,
      anon_sym_self,
      anon_sym_borrowing,
      anon_sym_consuming,
  [180767] = 10,
    ACTIONS(8161), 1,
      anon_sym_AT,
    ACTIONS(8242), 1,
      anon_sym_RPAREN,
    STATE(4713), 1,
      sym_simple_identifier,
    STATE(4715), 1,
      sym_attribute,
    STATE(6384), 1,
      sym_parameter,
    STATE(6535), 1,
      sym__function_value_parameter,
    STATE(4320), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(2814), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2812), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [180812] = 5,
    ACTIONS(2884), 1,
      anon_sym_QMARK,
    ACTIONS(8244), 1,
      anon_sym_LT,
    STATE(4425), 1,
      sym_type_arguments,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2882), 18,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [180847] = 11,
    ACTIONS(8165), 1,
      sym__arrow_operator_custom,
    ACTIONS(8167), 1,
      sym__async_keyword_custom,
    ACTIONS(8234), 1,
      anon_sym_DOT,
    ACTIONS(8236), 1,
      anon_sym_AMP,
    STATE(3493), 1,
      sym__arrow_operator,
    STATE(4537), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(6027), 1,
      sym__async_keyword,
    STATE(7557), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2896), 11,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_where_keyword,
      sym__as_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [180894] = 5,
    ACTIONS(8246), 1,
      anon_sym_LT,
    STATE(4413), 1,
      sym_type_arguments,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2882), 7,
      sym__dot_custom,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_AT,
    ACTIONS(2884), 11,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_some,
      anon_sym_any,
      anon_sym_borrowing,
      anon_sym_consuming,
  [180929] = 4,
    ACTIONS(8248), 1,
      anon_sym_LT,
    STATE(4399), 1,
      sym_type_arguments,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2882), 18,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_in,
  [180962] = 6,
    ACTIONS(2854), 1,
      anon_sym_QMARK,
    ACTIONS(8250), 1,
      sym__dot_custom,
    STATE(4325), 1,
      aux_sym_user_type_repeat1,
    STATE(4648), 1,
      sym__dot,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2852), 17,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [180999] = 6,
    ACTIONS(2807), 1,
      anon_sym_QMARK,
    ACTIONS(8250), 1,
      sym__dot_custom,
    STATE(4308), 1,
      aux_sym_user_type_repeat1,
    STATE(4648), 1,
      sym__dot,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2805), 17,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [181036] = 6,
    ACTIONS(8240), 1,
      sym__dot_custom,
    STATE(4316), 1,
      aux_sym_user_type_repeat1,
    STATE(4682), 1,
      sym__dot,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2852), 6,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_AT,
    ACTIONS(2854), 11,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_in,
      anon_sym_self,
      anon_sym_borrowing,
      anon_sym_consuming,
  [181073] = 5,
    ACTIONS(2796), 1,
      anon_sym_QMARK,
    ACTIONS(8131), 1,
      anon_sym_QMARK2,
    STATE(4327), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2794), 16,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [181108] = 11,
    ACTIONS(8165), 1,
      sym__arrow_operator_custom,
    ACTIONS(8167), 1,
      sym__async_keyword_custom,
    ACTIONS(8234), 1,
      anon_sym_DOT,
    ACTIONS(8236), 1,
      anon_sym_AMP,
    STATE(3493), 1,
      sym__arrow_operator,
    STATE(4537), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(6027), 1,
      sym__async_keyword,
    STATE(7557), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2866), 11,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_where_keyword,
      sym__as_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [181155] = 3,
    ACTIONS(2930), 1,
      anon_sym_QMARK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2928), 19,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [181186] = 10,
    ACTIONS(8161), 1,
      anon_sym_AT,
    ACTIONS(8252), 1,
      anon_sym_RPAREN,
    STATE(4713), 1,
      sym_simple_identifier,
    STATE(4715), 1,
      sym_attribute,
    STATE(6384), 1,
      sym_parameter,
    STATE(7193), 1,
      sym__function_value_parameter,
    STATE(4320), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(2814), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2812), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [181231] = 10,
    ACTIONS(8161), 1,
      anon_sym_AT,
    ACTIONS(8254), 1,
      anon_sym_RPAREN,
    STATE(4713), 1,
      sym_simple_identifier,
    STATE(4715), 1,
      sym_attribute,
    STATE(6384), 1,
      sym_parameter,
    STATE(6650), 1,
      sym__function_value_parameter,
    STATE(4320), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(2814), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2812), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [181276] = 6,
    ACTIONS(8256), 1,
      sym__dot_custom,
    STATE(4316), 1,
      aux_sym_user_type_repeat1,
    STATE(4682), 1,
      sym__dot,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2798), 6,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_AT,
    ACTIONS(2800), 11,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_in,
      anon_sym_self,
      anon_sym_borrowing,
      anon_sym_consuming,
  [181313] = 3,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3408), 7,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
    ACTIONS(3410), 13,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_some,
      anon_sym_any,
      anon_sym_AT,
      anon_sym_inout,
      anon_sym_borrowing,
      anon_sym_consuming,
  [181344] = 11,
    ACTIONS(8165), 1,
      sym__arrow_operator_custom,
    ACTIONS(8167), 1,
      sym__async_keyword_custom,
    ACTIONS(8234), 1,
      anon_sym_DOT,
    ACTIONS(8236), 1,
      anon_sym_AMP,
    STATE(3493), 1,
      sym__arrow_operator,
    STATE(4537), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(6027), 1,
      sym__async_keyword,
    STATE(7557), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2874), 11,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_where_keyword,
      sym__as_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [181391] = 6,
    STATE(3493), 1,
      sym__arrow_operator,
    STATE(4537), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(6027), 1,
      sym__async_keyword,
    STATE(7557), 1,
      sym_throws,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2878), 17,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [181428] = 3,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2930), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
    ACTIONS(2928), 11,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
      sym_integer_literal,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [181459] = 6,
    ACTIONS(8230), 1,
      sym__dot_custom,
    STATE(4296), 1,
      aux_sym_user_type_repeat1,
    STATE(4646), 1,
      sym__dot,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2805), 6,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_AT,
    ACTIONS(2807), 11,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_some,
      anon_sym_any,
      anon_sym_borrowing,
      anon_sym_consuming,
  [181496] = 10,
    ACTIONS(8161), 1,
      anon_sym_AT,
    ACTIONS(8259), 1,
      anon_sym_RPAREN,
    STATE(4713), 1,
      sym_simple_identifier,
    STATE(4715), 1,
      sym_attribute,
    STATE(6384), 1,
      sym_parameter,
    STATE(6662), 1,
      sym__function_value_parameter,
    STATE(4320), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(2814), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2812), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [181541] = 3,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(8263), 7,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
    ACTIONS(8261), 13,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_some,
      anon_sym_any,
      anon_sym_AT,
      anon_sym_inout,
      anon_sym_borrowing,
      anon_sym_consuming,
  [181572] = 10,
    ACTIONS(8265), 1,
      anon_sym_QMARK2,
    ACTIONS(8267), 1,
      sym__arrow_operator_custom,
    ACTIONS(8269), 1,
      sym__async_keyword_custom,
    STATE(3656), 1,
      sym__arrow_operator,
    STATE(6058), 1,
      sym__async_keyword,
    STATE(7482), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    STATE(4458), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2840), 11,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_where_keyword,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [181617] = 6,
    ACTIONS(2800), 1,
      anon_sym_QMARK,
    ACTIONS(8271), 1,
      sym__dot_custom,
    STATE(4325), 1,
      aux_sym_user_type_repeat1,
    STATE(4648), 1,
      sym__dot,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2798), 17,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [181654] = 10,
    ACTIONS(8161), 1,
      anon_sym_AT,
    ACTIONS(8274), 1,
      anon_sym_RPAREN,
    STATE(4713), 1,
      sym_simple_identifier,
    STATE(4715), 1,
      sym_attribute,
    STATE(6384), 1,
      sym_parameter,
    STATE(6948), 1,
      sym__function_value_parameter,
    STATE(4320), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(2814), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2812), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [181699] = 5,
    ACTIONS(2861), 1,
      anon_sym_QMARK,
    ACTIONS(8276), 1,
      anon_sym_QMARK2,
    STATE(4327), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2859), 16,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [181734] = 3,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(1499), 7,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_ATescaping,
      anon_sym_ATautoclosure,
    ACTIONS(1497), 13,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_some,
      anon_sym_any,
      anon_sym_AT,
      anon_sym_inout,
      anon_sym_borrowing,
      anon_sym_consuming,
  [181765] = 6,
    STATE(3493), 1,
      sym__arrow_operator,
    STATE(4537), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(6027), 1,
      sym__async_keyword,
    STATE(7557), 1,
      sym_throws,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2900), 17,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [181802] = 3,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(4019), 5,
      sym__dot_custom,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
      anon_sym_LPAREN,
    ACTIONS(4017), 15,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_await,
      anon_sym_case,
      anon_sym_is,
      anon_sym_let,
      anon_sym_var,
      sym_wildcard_pattern,
      anon_sym_borrowing,
      anon_sym_consuming,
  [181833] = 11,
    ACTIONS(8165), 1,
      sym__arrow_operator_custom,
    ACTIONS(8167), 1,
      sym__async_keyword_custom,
    ACTIONS(8234), 1,
      anon_sym_DOT,
    ACTIONS(8236), 1,
      anon_sym_AMP,
    STATE(3493), 1,
      sym__arrow_operator,
    STATE(4537), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(6027), 1,
      sym__async_keyword,
    STATE(7557), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2892), 11,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_where_keyword,
      sym__as_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [181880] = 10,
    ACTIONS(8161), 1,
      anon_sym_AT,
    ACTIONS(8279), 1,
      anon_sym_RPAREN,
    STATE(4713), 1,
      sym_simple_identifier,
    STATE(4715), 1,
      sym_attribute,
    STATE(6384), 1,
      sym_parameter,
    STATE(6802), 1,
      sym__function_value_parameter,
    STATE(4320), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(2814), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2812), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [181925] = 8,
    ACTIONS(8281), 1,
      anon_sym_RBRACE,
    STATE(7635), 1,
      sym_precedence_group_attributes,
    STATE(7806), 1,
      sym_simple_identifier,
    STATE(4320), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4423), 2,
      sym_precedence_group_attribute,
      aux_sym_precedence_group_attributes_repeat1,
    ACTIONS(2814), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2812), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [181965] = 10,
    ACTIONS(8283), 1,
      anon_sym_QMARK2,
    ACTIONS(8285), 1,
      sym__arrow_operator_custom,
    ACTIONS(8287), 1,
      sym__async_keyword_custom,
    STATE(3878), 1,
      sym__arrow_operator,
    STATE(5875), 1,
      sym__async_keyword,
    STATE(7414), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    STATE(4603), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2840), 10,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [182009] = 3,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2928), 8,
      sym__dot_custom,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_AT,
    ACTIONS(2930), 11,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_some,
      anon_sym_any,
      anon_sym_borrowing,
      anon_sym_consuming,
  [182039] = 8,
    ACTIONS(8289), 1,
      anon_sym_RBRACE,
    STATE(7805), 1,
      sym_precedence_group_attributes,
    STATE(7806), 1,
      sym_simple_identifier,
    STATE(4320), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4423), 2,
      sym_precedence_group_attribute,
      aux_sym_precedence_group_attributes_repeat1,
    ACTIONS(2814), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2812), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [182079] = 6,
    STATE(3519), 1,
      sym__arrow_operator,
    STATE(4595), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(6015), 1,
      sym__async_keyword,
    STATE(7576), 1,
      sym_throws,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2900), 15,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [182115] = 5,
    ACTIONS(8291), 1,
      sym__dot_custom,
    STATE(4338), 1,
      aux_sym_user_type_repeat1,
    STATE(4664), 1,
      sym__dot,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2798), 16,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [182149] = 3,
    ACTIONS(2973), 1,
      anon_sym_QMARK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2971), 18,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [182179] = 11,
    ACTIONS(2842), 1,
      anon_sym_QMARK,
    ACTIONS(4731), 1,
      anon_sym_QMARK2,
    ACTIONS(8294), 1,
      sym__arrow_operator_custom,
    ACTIONS(8296), 1,
      sym__async_keyword_custom,
    STATE(3875), 1,
      sym__arrow_operator,
    STATE(5879), 1,
      sym__async_keyword,
    STATE(7586), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    STATE(1519), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2840), 8,
      sym__eq_custom,
      sym_where_keyword,
      sym__as_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
  [182225] = 5,
    ACTIONS(2842), 1,
      anon_sym_QMARK,
    ACTIONS(8163), 1,
      anon_sym_QMARK2,
    STATE(4344), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2840), 16,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [182259] = 10,
    ACTIONS(8298), 1,
      anon_sym_QMARK2,
    ACTIONS(8300), 1,
      sym__arrow_operator_custom,
    ACTIONS(8302), 1,
      sym__async_keyword_custom,
    STATE(3559), 1,
      sym__arrow_operator,
    STATE(5968), 1,
      sym__async_keyword,
    STATE(7522), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    STATE(4613), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2840), 9,
      sym_where_keyword,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LBRACE,
  [182303] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2928), 19,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_in,
  [182331] = 5,
    ACTIONS(2796), 1,
      anon_sym_QMARK,
    ACTIONS(8163), 1,
      anon_sym_QMARK2,
    STATE(4349), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2794), 16,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [182365] = 11,
    ACTIONS(8206), 1,
      sym__arrow_operator_custom,
    ACTIONS(8208), 1,
      sym__async_keyword_custom,
    ACTIONS(8304), 1,
      anon_sym_DOT,
    ACTIONS(8306), 1,
      anon_sym_AMP,
    STATE(3519), 1,
      sym__arrow_operator,
    STATE(4595), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(6015), 1,
      sym__async_keyword,
    STATE(7576), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2892), 9,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_where_keyword,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [182411] = 3,
    ACTIONS(2930), 1,
      anon_sym_QMARK,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2928), 19,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [182441] = 3,
    ACTIONS(2926), 1,
      anon_sym_QMARK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2924), 18,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [182471] = 3,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(8310), 5,
      sym__dot_custom,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
      anon_sym_LPAREN,
    ACTIONS(8308), 14,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_case,
      anon_sym_is,
      anon_sym_let,
      anon_sym_var,
      sym_wildcard_pattern,
      anon_sym_borrowing,
      anon_sym_consuming,
  [182501] = 5,
    ACTIONS(2861), 1,
      anon_sym_QMARK,
    ACTIONS(8312), 1,
      anon_sym_QMARK2,
    STATE(4349), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2859), 16,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [182535] = 6,
    STATE(3519), 1,
      sym__arrow_operator,
    STATE(4595), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(6015), 1,
      sym__async_keyword,
    STATE(7576), 1,
      sym_throws,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2878), 15,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [182571] = 11,
    ACTIONS(8206), 1,
      sym__arrow_operator_custom,
    ACTIONS(8208), 1,
      sym__async_keyword_custom,
    ACTIONS(8304), 1,
      anon_sym_DOT,
    ACTIONS(8306), 1,
      anon_sym_AMP,
    STATE(3519), 1,
      sym__arrow_operator,
    STATE(4595), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(6015), 1,
      sym__async_keyword,
    STATE(7576), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2874), 9,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_where_keyword,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [182617] = 11,
    ACTIONS(8206), 1,
      sym__arrow_operator_custom,
    ACTIONS(8208), 1,
      sym__async_keyword_custom,
    ACTIONS(8304), 1,
      anon_sym_DOT,
    ACTIONS(8306), 1,
      anon_sym_AMP,
    STATE(3519), 1,
      sym__arrow_operator,
    STATE(4595), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(6015), 1,
      sym__async_keyword,
    STATE(7576), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2866), 9,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_where_keyword,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [182663] = 5,
    ACTIONS(8315), 1,
      anon_sym_AT,
    STATE(4353), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3911), 5,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(3909), 11,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_some,
      anon_sym_any,
      anon_sym_borrowing,
      anon_sym_consuming,
  [182697] = 12,
    ACTIONS(8198), 1,
      anon_sym_LPAREN,
    ACTIONS(8200), 1,
      anon_sym_QMARK2,
    ACTIONS(8202), 1,
      sym__dot_custom,
    ACTIONS(8318), 1,
      anon_sym_RPAREN,
    STATE(783), 1,
      sym__fn_call_lambda_arguments,
    STATE(784), 1,
      sym_constructor_suffix,
    STATE(1493), 1,
      sym_lambda_literal,
    STATE(2250), 1,
      sym__constructor_value_arguments,
    ACTIONS(4258), 2,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
    STATE(4506), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2840), 7,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_AMP,
  [182745] = 3,
    ACTIONS(2965), 1,
      anon_sym_QMARK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2963), 18,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [182775] = 3,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2928), 9,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(2930), 10,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_in,
      anon_sym_borrowing,
      anon_sym_consuming,
  [182805] = 9,
    ACTIONS(8161), 1,
      anon_sym_AT,
    STATE(4713), 1,
      sym_simple_identifier,
    STATE(4715), 1,
      sym_attribute,
    STATE(6384), 1,
      sym_parameter,
    STATE(7256), 1,
      sym__function_value_parameter,
    STATE(4320), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(2814), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2812), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [182847] = 5,
    ACTIONS(8320), 1,
      sym__dot_custom,
    STATE(4358), 1,
      aux_sym_user_type_repeat1,
    STATE(4711), 1,
      sym__dot,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2798), 16,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
  [182881] = 11,
    ACTIONS(8206), 1,
      sym__arrow_operator_custom,
    ACTIONS(8208), 1,
      sym__async_keyword_custom,
    ACTIONS(8304), 1,
      anon_sym_DOT,
    ACTIONS(8306), 1,
      anon_sym_AMP,
    STATE(3519), 1,
      sym__arrow_operator,
    STATE(4595), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(6015), 1,
      sym__async_keyword,
    STATE(7576), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2896), 9,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_where_keyword,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [182927] = 9,
    ACTIONS(105), 1,
      anon_sym_func,
    ACTIONS(8323), 1,
      anon_sym_init,
    STATE(5624), 1,
      sym_simple_identifier,
    STATE(6344), 1,
      sym__non_constructor_function_decl,
    STATE(7669), 1,
      sym__modifierless_function_declaration_no_body,
    STATE(5797), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(3446), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3444), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [182969] = 8,
    ACTIONS(8325), 1,
      anon_sym_RBRACE,
    STATE(7806), 1,
      sym_simple_identifier,
    STATE(7877), 1,
      sym_precedence_group_attributes,
    STATE(4320), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4423), 2,
      sym_precedence_group_attribute,
      aux_sym_precedence_group_attributes_repeat1,
    ACTIONS(2814), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2812), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [183009] = 10,
    ACTIONS(8327), 1,
      anon_sym_QMARK2,
    ACTIONS(8329), 1,
      sym__arrow_operator_custom,
    ACTIONS(8331), 1,
      sym__async_keyword_custom,
    STATE(3554), 1,
      sym__arrow_operator,
    STATE(6009), 1,
      sym__async_keyword,
    STATE(7583), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    STATE(4714), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2840), 9,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [183053] = 3,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2928), 8,
      sym__dot_custom,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_AT,
    ACTIONS(2930), 11,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_in,
      anon_sym_self,
      anon_sym_borrowing,
      anon_sym_consuming,
  [183083] = 5,
    ACTIONS(8333), 1,
      sym__dot_custom,
    STATE(4372), 1,
      aux_sym_user_type_repeat1,
    STATE(4664), 1,
      sym__dot,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2805), 16,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [183117] = 5,
    ACTIONS(829), 1,
      anon_sym_AT,
    STATE(4353), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3872), 5,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(3870), 11,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_some,
      anon_sym_any,
      anon_sym_borrowing,
      anon_sym_consuming,
  [183151] = 9,
    ACTIONS(105), 1,
      anon_sym_func,
    ACTIONS(8335), 1,
      anon_sym_init,
    STATE(5673), 1,
      sym_simple_identifier,
    STATE(6344), 1,
      sym__non_constructor_function_decl,
    STATE(7669), 1,
      sym__modifierless_function_declaration_no_body,
    STATE(5797), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(3446), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3444), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [183193] = 5,
    ACTIONS(8337), 1,
      anon_sym_AT,
    STATE(4367), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3911), 5,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(3909), 11,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_in,
      anon_sym_self,
      anon_sym_borrowing,
      anon_sym_consuming,
  [183227] = 3,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(8342), 5,
      sym__dot_custom,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
      anon_sym_LPAREN,
    ACTIONS(8340), 14,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_case,
      anon_sym_is,
      anon_sym_let,
      anon_sym_var,
      sym_wildcard_pattern,
      anon_sym_borrowing,
      anon_sym_consuming,
  [183257] = 3,
    ACTIONS(2800), 1,
      anon_sym_QMARK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2798), 18,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [183287] = 11,
    ACTIONS(2842), 1,
      anon_sym_QMARK,
    ACTIONS(8344), 1,
      anon_sym_QMARK2,
    ACTIONS(8346), 1,
      sym__arrow_operator_custom,
    ACTIONS(8348), 1,
      sym__async_keyword_custom,
    STATE(3660), 1,
      sym__arrow_operator,
    STATE(5984), 1,
      sym__async_keyword,
    STATE(7617), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    STATE(4718), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2840), 8,
      sym__eq_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_AMP,
  [183333] = 9,
    ACTIONS(105), 1,
      anon_sym_func,
    ACTIONS(8350), 1,
      anon_sym_init,
    STATE(5623), 1,
      sym_simple_identifier,
    STATE(6344), 1,
      sym__non_constructor_function_decl,
    STATE(7669), 1,
      sym__modifierless_function_declaration_no_body,
    STATE(5797), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(3446), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3444), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [183375] = 5,
    ACTIONS(8333), 1,
      sym__dot_custom,
    STATE(4338), 1,
      aux_sym_user_type_repeat1,
    STATE(4664), 1,
      sym__dot,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2852), 16,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [183409] = 11,
    ACTIONS(8206), 1,
      sym__arrow_operator_custom,
    ACTIONS(8208), 1,
      sym__async_keyword_custom,
    ACTIONS(8304), 1,
      anon_sym_DOT,
    ACTIONS(8306), 1,
      anon_sym_AMP,
    STATE(3519), 1,
      sym__arrow_operator,
    STATE(4595), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(6015), 1,
      sym__async_keyword,
    STATE(7576), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2888), 9,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_where_keyword,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [183455] = 4,
    ACTIONS(8352), 1,
      anon_sym_LT,
    STATE(4494), 1,
      sym_type_arguments,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2882), 17,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [183487] = 10,
    ACTIONS(8200), 1,
      anon_sym_QMARK2,
    ACTIONS(8354), 1,
      sym__arrow_operator_custom,
    ACTIONS(8356), 1,
      sym__async_keyword_custom,
    STATE(3802), 1,
      sym__arrow_operator,
    STATE(6081), 1,
      sym__async_keyword,
    STATE(7341), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    STATE(4506), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2840), 9,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_BANG,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LBRACE,
  [183531] = 8,
    ACTIONS(8358), 1,
      anon_sym_STAR,
    STATE(2051), 1,
      sym_simple_identifier,
    STATE(6918), 1,
      sym__availability_argument,
    STATE(7679), 1,
      sym_identifier,
    STATE(1641), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(8003), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(8001), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [183570] = 3,
    ACTIONS(2800), 1,
      anon_sym_QMARK,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2798), 18,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [183599] = 5,
    ACTIONS(8360), 1,
      sym__dot_custom,
    STATE(4444), 1,
      aux_sym_user_type_repeat1,
    STATE(4711), 1,
      sym__dot,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2805), 15,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
  [183632] = 3,
    ACTIONS(6220), 1,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6218), 17,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_AT,
      anon_sym_final,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
  [183661] = 3,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2798), 7,
      sym__dot_custom,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_AT,
    ACTIONS(2800), 11,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_some,
      anon_sym_any,
      anon_sym_borrowing,
      anon_sym_consuming,
  [183690] = 3,
    ACTIONS(6216), 1,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6214), 17,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_AT,
      anon_sym_final,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
  [183719] = 3,
    ACTIONS(2912), 1,
      anon_sym_QMARK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2910), 17,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [183748] = 4,
    ACTIONS(8363), 1,
      anon_sym_LT,
    STATE(4606), 1,
      sym_type_arguments,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2882), 17,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [183779] = 6,
    ACTIONS(8365), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4320), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(5094), 2,
      sym_simple_identifier,
      sym_boolean_literal,
    ACTIONS(2814), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2812), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [183814] = 7,
    ACTIONS(8373), 1,
      anon_sym_RBRACE,
    STATE(7806), 1,
      sym_simple_identifier,
    STATE(4320), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4385), 2,
      sym_precedence_group_attribute,
      aux_sym_precedence_group_attributes_repeat1,
    ACTIONS(8370), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(8367), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [183851] = 8,
    ACTIONS(7979), 1,
      anon_sym_self,
    STATE(4273), 1,
      sym_simple_identifier,
    STATE(5740), 1,
      sym_lambda_parameter,
    STATE(5858), 1,
      sym_self_expression,
    STATE(4356), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(7971), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7969), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [183890] = 7,
    STATE(4387), 1,
      aux_sym__attribute_argument_repeat1,
    STATE(7864), 1,
      sym_simple_identifier,
    ACTIONS(1659), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    STATE(4320), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(8378), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(8375), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [183927] = 8,
    ACTIONS(8381), 1,
      anon_sym_STAR,
    STATE(2051), 1,
      sym_simple_identifier,
    STATE(7236), 1,
      sym__availability_argument,
    STATE(7679), 1,
      sym_identifier,
    STATE(1641), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(8003), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(8001), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [183966] = 4,
    ACTIONS(8383), 1,
      anon_sym_LT,
    STATE(4582), 1,
      sym_type_arguments,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2882), 16,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [183997] = 3,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2963), 7,
      sym__dot_custom,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_AT,
    ACTIONS(2965), 11,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_in,
      anon_sym_self,
      anon_sym_borrowing,
      anon_sym_consuming,
  [184026] = 3,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2924), 7,
      sym__dot_custom,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_AT,
    ACTIONS(2926), 11,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_in,
      anon_sym_self,
      anon_sym_borrowing,
      anon_sym_consuming,
  [184055] = 5,
    ACTIONS(8385), 1,
      sym__dot_custom,
    STATE(4421), 1,
      aux_sym_user_type_repeat1,
    STATE(4633), 1,
      sym__dot,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2852), 16,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [184088] = 5,
    ACTIONS(8385), 1,
      sym__dot_custom,
    STATE(4392), 1,
      aux_sym_user_type_repeat1,
    STATE(4633), 1,
      sym__dot,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2805), 16,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [184121] = 3,
    ACTIONS(2997), 1,
      anon_sym_QMARK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2995), 17,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [184150] = 3,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2971), 7,
      sym__dot_custom,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_AT,
    ACTIONS(2973), 11,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_in,
      anon_sym_self,
      anon_sym_borrowing,
      anon_sym_consuming,
  [184179] = 11,
    ACTIONS(2842), 1,
      anon_sym_QMARK,
    ACTIONS(8387), 1,
      anon_sym_QMARK2,
    ACTIONS(8389), 1,
      sym__arrow_operator_custom,
    ACTIONS(8391), 1,
      sym__async_keyword_custom,
    STATE(3507), 1,
      sym__arrow_operator,
    STATE(6021), 1,
      sym__async_keyword,
    STATE(7570), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    STATE(4843), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2840), 7,
      sym_where_keyword,
      sym__as_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
  [184224] = 8,
    ACTIONS(8151), 1,
      anon_sym_self,
    STATE(4412), 1,
      sym_simple_identifier,
    STATE(7290), 1,
      sym_lambda_parameter,
    STATE(7453), 1,
      sym_self_expression,
    STATE(4320), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(2814), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2812), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [184263] = 3,
    ACTIONS(2985), 1,
      anon_sym_QMARK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2983), 17,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [184292] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2971), 18,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_in,
  [184319] = 5,
    ACTIONS(8393), 1,
      sym__dot_custom,
    STATE(4428), 1,
      aux_sym_user_type_repeat1,
    STATE(4638), 1,
      sym__dot,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2852), 15,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [184352] = 5,
    ACTIONS(8393), 1,
      sym__dot_custom,
    STATE(4400), 1,
      aux_sym_user_type_repeat1,
    STATE(4638), 1,
      sym__dot,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2805), 15,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [184385] = 4,
    ACTIONS(8395), 1,
      anon_sym_QMARK2,
    STATE(4402), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2859), 15,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [184416] = 3,
    ACTIONS(2993), 1,
      anon_sym_QMARK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2991), 17,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [184445] = 8,
    ACTIONS(8398), 1,
      anon_sym_STAR,
    STATE(2051), 1,
      sym_simple_identifier,
    STATE(6728), 1,
      sym__availability_argument,
    STATE(7679), 1,
      sym_identifier,
    STATE(1641), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(8003), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(8001), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [184484] = 3,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2963), 7,
      sym__dot_custom,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_AT,
    ACTIONS(2965), 11,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_some,
      anon_sym_any,
      anon_sym_borrowing,
      anon_sym_consuming,
  [184513] = 3,
    ACTIONS(2916), 1,
      anon_sym_QMARK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2914), 17,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [184542] = 3,
    STATE(4436), 1,
      aux_sym_protocol_composition_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3014), 17,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [184571] = 3,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2924), 7,
      sym__dot_custom,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_AT,
    ACTIONS(2926), 11,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_some,
      anon_sym_any,
      anon_sym_borrowing,
      anon_sym_consuming,
  [184600] = 8,
    ACTIONS(8400), 1,
      anon_sym_STAR,
    STATE(2051), 1,
      sym_simple_identifier,
    STATE(7159), 1,
      sym__availability_argument,
    STATE(7679), 1,
      sym_identifier,
    STATE(1641), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(8003), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(8001), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [184639] = 4,
    ACTIONS(8204), 1,
      anon_sym_QMARK2,
    STATE(4402), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2794), 15,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [184670] = 8,
    ACTIONS(8402), 1,
      anon_sym_STAR,
    STATE(2051), 1,
      sym_simple_identifier,
    STATE(6482), 1,
      sym__availability_argument,
    STATE(7679), 1,
      sym_identifier,
    STATE(1641), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(8003), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(8001), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [184709] = 7,
    ACTIONS(8404), 1,
      anon_sym_COLON,
    STATE(7825), 1,
      sym_simple_identifier,
    ACTIONS(4700), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    STATE(4320), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(2814), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2812), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [184746] = 3,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2971), 7,
      sym__dot_custom,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_AT,
    ACTIONS(2973), 11,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_some,
      anon_sym_any,
      anon_sym_borrowing,
      anon_sym_consuming,
  [184775] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2928), 18,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [184802] = 4,
    ACTIONS(8204), 1,
      anon_sym_QMARK2,
    STATE(4410), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2840), 15,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [184833] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2924), 18,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_in,
  [184860] = 7,
    STATE(4387), 1,
      aux_sym__attribute_argument_repeat1,
    STATE(7864), 1,
      sym_simple_identifier,
    ACTIONS(4522), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    STATE(4320), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(2814), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2812), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [184897] = 3,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2798), 7,
      sym__dot_custom,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_AT,
    ACTIONS(2800), 11,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_in,
      anon_sym_self,
      anon_sym_borrowing,
      anon_sym_consuming,
  [184926] = 3,
    ACTIONS(2969), 1,
      anon_sym_QMARK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2967), 17,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [184955] = 11,
    ACTIONS(8223), 1,
      sym__arrow_operator_custom,
    ACTIONS(8225), 1,
      sym__async_keyword_custom,
    ACTIONS(8406), 1,
      anon_sym_DOT,
    ACTIONS(8408), 1,
      anon_sym_AMP,
    STATE(3584), 1,
      sym__arrow_operator,
    STATE(4780), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(6052), 1,
      sym__async_keyword,
    STATE(7513), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2888), 8,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [185000] = 5,
    ACTIONS(8410), 1,
      sym__dot_custom,
    STATE(4421), 1,
      aux_sym_user_type_repeat1,
    STATE(4633), 1,
      sym__dot,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2798), 16,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [185033] = 3,
    ACTIONS(2965), 1,
      anon_sym_QMARK,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2963), 18,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [185062] = 7,
    ACTIONS(8413), 1,
      anon_sym_RBRACE,
    STATE(7806), 1,
      sym_simple_identifier,
    STATE(4320), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4385), 2,
      sym_precedence_group_attribute,
      aux_sym_precedence_group_attributes_repeat1,
    ACTIONS(2814), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2812), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [185099] = 3,
    ACTIONS(2926), 1,
      anon_sym_QMARK,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2924), 18,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [185128] = 3,
    ACTIONS(2973), 1,
      anon_sym_QMARK,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2971), 18,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [185157] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2798), 18,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_in,
  [185184] = 11,
    ACTIONS(8223), 1,
      sym__arrow_operator_custom,
    ACTIONS(8225), 1,
      sym__async_keyword_custom,
    ACTIONS(8406), 1,
      anon_sym_DOT,
    ACTIONS(8408), 1,
      anon_sym_AMP,
    STATE(3584), 1,
      sym__arrow_operator,
    STATE(4780), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(6052), 1,
      sym__async_keyword,
    STATE(7513), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2866), 8,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [185229] = 5,
    ACTIONS(8415), 1,
      sym__dot_custom,
    STATE(4428), 1,
      aux_sym_user_type_repeat1,
    STATE(4638), 1,
      sym__dot,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2798), 15,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [185262] = 11,
    ACTIONS(8223), 1,
      sym__arrow_operator_custom,
    ACTIONS(8225), 1,
      sym__async_keyword_custom,
    ACTIONS(8406), 1,
      anon_sym_DOT,
    ACTIONS(8408), 1,
      anon_sym_AMP,
    STATE(3584), 1,
      sym__arrow_operator,
    STATE(4780), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(6052), 1,
      sym__async_keyword,
    STATE(7513), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2874), 8,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [185307] = 6,
    STATE(3584), 1,
      sym__arrow_operator,
    STATE(4780), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(6052), 1,
      sym__async_keyword,
    STATE(7513), 1,
      sym_throws,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2878), 14,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [185342] = 3,
    ACTIONS(2977), 1,
      anon_sym_QMARK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2975), 17,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [185371] = 10,
    ACTIONS(8418), 1,
      anon_sym_QMARK2,
    ACTIONS(8420), 1,
      sym__arrow_operator_custom,
    ACTIONS(8422), 1,
      sym__async_keyword_custom,
    STATE(3621), 1,
      sym__arrow_operator,
    STATE(6054), 1,
      sym__async_keyword,
    STATE(7506), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    STATE(4820), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2840), 9,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [185414] = 11,
    ACTIONS(8223), 1,
      sym__arrow_operator_custom,
    ACTIONS(8225), 1,
      sym__async_keyword_custom,
    ACTIONS(8406), 1,
      anon_sym_DOT,
    ACTIONS(8408), 1,
      anon_sym_AMP,
    STATE(3584), 1,
      sym__arrow_operator,
    STATE(4780), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(6052), 1,
      sym__async_keyword,
    STATE(7513), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2896), 8,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [185459] = 3,
    ACTIONS(3002), 1,
      anon_sym_unowned,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3004), 17,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_typealias,
      anon_sym_struct,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_let,
      anon_sym_var,
      anon_sym_func,
      anon_sym_extension,
      anon_sym_indirect,
      anon_sym_AT,
      anon_sym_final,
      anon_sym_weak,
      anon_sym_unowned_LPARENsafe_RPAREN,
      anon_sym_unowned_LPARENunsafe_RPAREN,
  [185488] = 6,
    STATE(3656), 1,
      sym__arrow_operator,
    STATE(4858), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(6058), 1,
      sym__async_keyword,
    STATE(7482), 1,
      sym_throws,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2900), 15,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [185523] = 4,
    ACTIONS(8424), 1,
      anon_sym_AMP,
    STATE(4436), 1,
      aux_sym_protocol_composition_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2892), 16,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [185554] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2963), 18,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
      anon_sym_in,
  [185581] = 10,
    ACTIONS(8427), 1,
      anon_sym_QMARK2,
    ACTIONS(8429), 1,
      sym__arrow_operator_custom,
    ACTIONS(8431), 1,
      sym__async_keyword_custom,
    STATE(3744), 1,
      sym__arrow_operator,
    STATE(6070), 1,
      sym__async_keyword,
    STATE(7445), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    STATE(4897), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2840), 8,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_where_keyword,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [185624] = 3,
    ACTIONS(2957), 1,
      anon_sym_QMARK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2955), 17,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [185653] = 11,
    ACTIONS(8267), 1,
      sym__arrow_operator_custom,
    ACTIONS(8269), 1,
      sym__async_keyword_custom,
    ACTIONS(8433), 1,
      anon_sym_DOT,
    ACTIONS(8435), 1,
      anon_sym_AMP,
    STATE(3656), 1,
      sym__arrow_operator,
    STATE(4858), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(6058), 1,
      sym__async_keyword,
    STATE(7482), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2892), 9,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_where_keyword,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [185698] = 11,
    ACTIONS(8267), 1,
      sym__arrow_operator_custom,
    ACTIONS(8269), 1,
      sym__async_keyword_custom,
    ACTIONS(8433), 1,
      anon_sym_DOT,
    ACTIONS(8435), 1,
      anon_sym_AMP,
    STATE(3656), 1,
      sym__arrow_operator,
    STATE(4858), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(6058), 1,
      sym__async_keyword,
    STATE(7482), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2888), 9,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_where_keyword,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [185743] = 11,
    ACTIONS(8267), 1,
      sym__arrow_operator_custom,
    ACTIONS(8269), 1,
      sym__async_keyword_custom,
    ACTIONS(8433), 1,
      anon_sym_DOT,
    ACTIONS(8435), 1,
      anon_sym_AMP,
    STATE(3656), 1,
      sym__arrow_operator,
    STATE(4858), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(6058), 1,
      sym__async_keyword,
    STATE(7482), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2896), 9,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_where_keyword,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [185788] = 11,
    ACTIONS(8223), 1,
      sym__arrow_operator_custom,
    ACTIONS(8225), 1,
      sym__async_keyword_custom,
    ACTIONS(8406), 1,
      anon_sym_DOT,
    ACTIONS(8408), 1,
      anon_sym_AMP,
    STATE(3584), 1,
      sym__arrow_operator,
    STATE(4780), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(6052), 1,
      sym__async_keyword,
    STATE(7513), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2892), 8,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [185833] = 5,
    ACTIONS(8437), 1,
      sym__dot_custom,
    STATE(4358), 1,
      aux_sym_user_type_repeat1,
    STATE(4711), 1,
      sym__dot,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2852), 15,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
  [185866] = 6,
    STATE(3584), 1,
      sym__arrow_operator,
    STATE(4780), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(6052), 1,
      sym__async_keyword,
    STATE(7513), 1,
      sym_throws,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2900), 14,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [185901] = 6,
    STATE(3656), 1,
      sym__arrow_operator,
    STATE(4858), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(6058), 1,
      sym__async_keyword,
    STATE(7482), 1,
      sym_throws,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2878), 15,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [185936] = 11,
    ACTIONS(8267), 1,
      sym__arrow_operator_custom,
    ACTIONS(8269), 1,
      sym__async_keyword_custom,
    ACTIONS(8433), 1,
      anon_sym_DOT,
    ACTIONS(8435), 1,
      anon_sym_AMP,
    STATE(3656), 1,
      sym__arrow_operator,
    STATE(4858), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(6058), 1,
      sym__async_keyword,
    STATE(7482), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2874), 9,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_where_keyword,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [185981] = 11,
    ACTIONS(8267), 1,
      sym__arrow_operator_custom,
    ACTIONS(8269), 1,
      sym__async_keyword_custom,
    ACTIONS(8433), 1,
      anon_sym_DOT,
    ACTIONS(8435), 1,
      anon_sym_AMP,
    STATE(3656), 1,
      sym__arrow_operator,
    STATE(4858), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(6058), 1,
      sym__async_keyword,
    STATE(7482), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2866), 9,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_where_keyword,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [186026] = 7,
    STATE(4007), 1,
      sym__simple_user_type,
    STATE(4033), 1,
      sym_simple_identifier,
    STATE(4206), 1,
      sym_user_type,
    STATE(4195), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(8442), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(8440), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [186062] = 5,
    ACTIONS(2884), 1,
      anon_sym_QMARK,
    ACTIONS(8444), 1,
      anon_sym_LT,
    STATE(4918), 1,
      sym_type_arguments,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2882), 14,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
  [186094] = 3,
    ACTIONS(2912), 1,
      anon_sym_QMARK,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2910), 17,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [186122] = 6,
    ACTIONS(2800), 1,
      anon_sym_QMARK,
    ACTIONS(8446), 1,
      sym__dot_custom,
    STATE(4452), 1,
      aux_sym_user_type_repeat1,
    STATE(4680), 1,
      sym__dot,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2798), 13,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
  [186156] = 6,
    STATE(3559), 1,
      sym__arrow_operator,
    STATE(4987), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(5968), 1,
      sym__async_keyword,
    STATE(7522), 1,
      sym_throws,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2878), 13,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LBRACE,
  [186190] = 3,
    ACTIONS(2997), 1,
      anon_sym_QMARK,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2995), 17,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [186218] = 4,
    ACTIONS(8449), 1,
      anon_sym_QMARK2,
    STATE(4455), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2859), 15,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [186248] = 6,
    STATE(3559), 1,
      sym__arrow_operator,
    STATE(4987), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(5968), 1,
      sym__async_keyword,
    STATE(7522), 1,
      sym_throws,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2900), 13,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LBRACE,
  [186282] = 11,
    ACTIONS(8300), 1,
      sym__arrow_operator_custom,
    ACTIONS(8302), 1,
      sym__async_keyword_custom,
    ACTIONS(8452), 1,
      anon_sym_DOT,
    ACTIONS(8454), 1,
      anon_sym_AMP,
    STATE(3559), 1,
      sym__arrow_operator,
    STATE(4987), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(5968), 1,
      sym__async_keyword,
    STATE(7522), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2874), 7,
      sym_where_keyword,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LBRACE,
  [186326] = 4,
    ACTIONS(8265), 1,
      anon_sym_QMARK2,
    STATE(4455), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2794), 15,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [186356] = 11,
    ACTIONS(8300), 1,
      sym__arrow_operator_custom,
    ACTIONS(8302), 1,
      sym__async_keyword_custom,
    ACTIONS(8452), 1,
      anon_sym_DOT,
    ACTIONS(8454), 1,
      anon_sym_AMP,
    STATE(3559), 1,
      sym__arrow_operator,
    STATE(4987), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(5968), 1,
      sym__async_keyword,
    STATE(7522), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2866), 7,
      sym_where_keyword,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LBRACE,
  [186400] = 6,
    ACTIONS(8456), 1,
      sym__dot_custom,
    STATE(4509), 1,
      aux_sym_user_type_repeat1,
    STATE(4667), 1,
      sym__dot,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2852), 5,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
      anon_sym_LPAREN,
      anon_sym_AT,
    ACTIONS(2854), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [186434] = 11,
    ACTIONS(8354), 1,
      sym__arrow_operator_custom,
    ACTIONS(8356), 1,
      sym__async_keyword_custom,
    ACTIONS(8458), 1,
      anon_sym_DOT,
    ACTIONS(8460), 1,
      anon_sym_AMP,
    STATE(3802), 1,
      sym__arrow_operator,
    STATE(4950), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(6081), 1,
      sym__async_keyword,
    STATE(7341), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2892), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_BANG,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_LBRACE,
  [186478] = 3,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(8464), 6,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_AT,
    ACTIONS(8462), 11,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_some,
      anon_sym_any,
      anon_sym_borrowing,
      anon_sym_consuming,
  [186506] = 4,
    ACTIONS(8265), 1,
      anon_sym_QMARK2,
    STATE(4458), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2840), 15,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [186536] = 5,
    ACTIONS(8466), 1,
      anon_sym_LT,
    STATE(4875), 1,
      sym_type_arguments,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2882), 6,
      sym__dot_custom,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
      anon_sym_LPAREN,
      anon_sym_AT,
    ACTIONS(2884), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [186568] = 6,
    ACTIONS(8456), 1,
      sym__dot_custom,
    STATE(4460), 1,
      aux_sym_user_type_repeat1,
    STATE(4667), 1,
      sym__dot,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2805), 5,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
      anon_sym_LPAREN,
      anon_sym_AT,
    ACTIONS(2807), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [186602] = 5,
    ACTIONS(8468), 1,
      sym__dot_custom,
    STATE(4569), 1,
      aux_sym_user_type_repeat1,
    STATE(4668), 1,
      sym__dot,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2852), 14,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [186634] = 4,
    ACTIONS(8470), 1,
      anon_sym_LT,
    STATE(4854), 1,
      sym_type_arguments,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2882), 15,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [186664] = 5,
    ACTIONS(8468), 1,
      sym__dot_custom,
    STATE(4466), 1,
      aux_sym_user_type_repeat1,
    STATE(4668), 1,
      sym__dot,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2805), 14,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [186696] = 11,
    ACTIONS(8329), 1,
      sym__arrow_operator_custom,
    ACTIONS(8331), 1,
      sym__async_keyword_custom,
    ACTIONS(8472), 1,
      anon_sym_DOT,
    ACTIONS(8474), 1,
      anon_sym_AMP,
    STATE(3554), 1,
      sym__arrow_operator,
    STATE(4978), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(6009), 1,
      sym__async_keyword,
    STATE(7583), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2866), 7,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [186740] = 11,
    ACTIONS(8329), 1,
      sym__arrow_operator_custom,
    ACTIONS(8331), 1,
      sym__async_keyword_custom,
    ACTIONS(8472), 1,
      anon_sym_DOT,
    ACTIONS(8474), 1,
      anon_sym_AMP,
    STATE(3554), 1,
      sym__arrow_operator,
    STATE(4978), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(6009), 1,
      sym__async_keyword,
    STATE(7583), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2874), 7,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [186784] = 6,
    STATE(3660), 1,
      sym__arrow_operator,
    STATE(4957), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(5984), 1,
      sym__async_keyword,
    STATE(7617), 1,
      sym_throws,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2900), 13,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP,
  [186818] = 4,
    ACTIONS(8476), 1,
      anon_sym_QMARK2,
    STATE(4472), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2859), 14,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [186848] = 6,
    STATE(3554), 1,
      sym__arrow_operator,
    STATE(4978), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(6009), 1,
      sym__async_keyword,
    STATE(7583), 1,
      sym_throws,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2878), 13,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [186882] = 5,
    ACTIONS(8479), 1,
      sym__dot_custom,
    STATE(4546), 1,
      aux_sym_user_type_repeat1,
    STATE(4592), 1,
      sym__dot,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2852), 15,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [186914] = 3,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(1555), 6,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(8481), 11,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_borrowing,
      anon_sym_consuming,
  [186942] = 4,
    ACTIONS(8483), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(4008), 5,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
      anon_sym_LBRACK,
      anon_sym_AT,
    ACTIONS(4006), 11,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_some,
      anon_sym_any,
      anon_sym_borrowing,
      anon_sym_consuming,
  [186972] = 4,
    ACTIONS(8221), 1,
      anon_sym_QMARK2,
    STATE(4472), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2794), 14,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [187002] = 11,
    ACTIONS(8346), 1,
      sym__arrow_operator_custom,
    ACTIONS(8348), 1,
      sym__async_keyword_custom,
    ACTIONS(8486), 1,
      anon_sym_DOT,
    ACTIONS(8488), 1,
      anon_sym_AMP,
    STATE(3660), 1,
      sym__arrow_operator,
    STATE(4957), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(5984), 1,
      sym__async_keyword,
    STATE(7617), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2892), 7,
      sym__eq_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
  [187046] = 17,
    ACTIONS(8300), 1,
      sym__arrow_operator_custom,
    ACTIONS(8302), 1,
      sym__async_keyword_custom,
    ACTIONS(8452), 1,
      anon_sym_DOT,
    ACTIONS(8454), 1,
      anon_sym_AMP,
    ACTIONS(8490), 1,
      anon_sym_COLON,
    ACTIONS(8492), 1,
      anon_sym_LT,
    ACTIONS(8494), 1,
      anon_sym_LBRACE,
    ACTIONS(8496), 1,
      sym_where_keyword,
    STATE(3034), 1,
      sym_class_body,
    STATE(3559), 1,
      sym__arrow_operator,
    STATE(4987), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(5899), 1,
      sym_type_parameters,
    STATE(5968), 1,
      sym__async_keyword,
    STATE(7235), 1,
      sym_type_constraints,
    STATE(7522), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [187102] = 11,
    ACTIONS(8300), 1,
      sym__arrow_operator_custom,
    ACTIONS(8302), 1,
      sym__async_keyword_custom,
    ACTIONS(8452), 1,
      anon_sym_DOT,
    ACTIONS(8454), 1,
      anon_sym_AMP,
    STATE(3559), 1,
      sym__arrow_operator,
    STATE(4987), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(5968), 1,
      sym__async_keyword,
    STATE(7522), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2896), 7,
      sym_where_keyword,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LBRACE,
  [187146] = 11,
    ACTIONS(8329), 1,
      sym__arrow_operator_custom,
    ACTIONS(8331), 1,
      sym__async_keyword_custom,
    ACTIONS(8472), 1,
      anon_sym_DOT,
    ACTIONS(8474), 1,
      anon_sym_AMP,
    STATE(3554), 1,
      sym__arrow_operator,
    STATE(4978), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(6009), 1,
      sym__async_keyword,
    STATE(7583), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2892), 7,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [187190] = 4,
    ACTIONS(8221), 1,
      anon_sym_QMARK2,
    STATE(4477), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2840), 14,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [187220] = 3,
    ACTIONS(2957), 1,
      anon_sym_QMARK,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2955), 17,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [187248] = 5,
    ACTIONS(8479), 1,
      sym__dot_custom,
    STATE(4474), 1,
      aux_sym_user_type_repeat1,
    STATE(4592), 1,
      sym__dot,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2805), 15,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [187280] = 6,
    STATE(5898), 1,
      sym_simple_identifier,
    ACTIONS(8502), 2,
      anon_sym_Type,
      anon_sym_Protocol,
    STATE(6223), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(8500), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(8498), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [187314] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2963), 17,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [187340] = 11,
    ACTIONS(2842), 1,
      anon_sym_QMARK,
    ACTIONS(8504), 1,
      anon_sym_QMARK2,
    ACTIONS(8506), 1,
      sym__arrow_operator_custom,
    ACTIONS(8508), 1,
      sym__async_keyword_custom,
    STATE(3577), 1,
      sym__arrow_operator,
    STATE(6006), 1,
      sym__async_keyword,
    STATE(7590), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    STATE(4845), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2840), 6,
      sym__as_custom,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_AMP,
  [187384] = 4,
    ACTIONS(8200), 1,
      anon_sym_QMARK2,
    STATE(4506), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2840), 14,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_BANG,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LBRACE,
      anon_sym_in,
  [187414] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2924), 17,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [187440] = 11,
    ACTIONS(4741), 1,
      anon_sym_DOT,
    ACTIONS(8294), 1,
      sym__arrow_operator_custom,
    ACTIONS(8296), 1,
      sym__async_keyword_custom,
    ACTIONS(8510), 1,
      anon_sym_AMP,
    STATE(3875), 1,
      sym__arrow_operator,
    STATE(4956), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(5879), 1,
      sym__async_keyword,
    STATE(7586), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2896), 7,
      sym__eq_custom,
      sym_where_keyword,
      sym__as_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LBRACE,
  [187484] = 11,
    ACTIONS(8285), 1,
      sym__arrow_operator_custom,
    ACTIONS(8287), 1,
      sym__async_keyword_custom,
    ACTIONS(8512), 1,
      anon_sym_DOT,
    ACTIONS(8514), 1,
      anon_sym_AMP,
    STATE(3878), 1,
      sym__arrow_operator,
    STATE(5039), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(5875), 1,
      sym__async_keyword,
    STATE(7414), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2888), 8,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [187528] = 11,
    ACTIONS(8354), 1,
      sym__arrow_operator_custom,
    ACTIONS(8356), 1,
      sym__async_keyword_custom,
    ACTIONS(8458), 1,
      anon_sym_DOT,
    ACTIONS(8460), 1,
      anon_sym_AMP,
    STATE(3802), 1,
      sym__arrow_operator,
    STATE(4950), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(6081), 1,
      sym__async_keyword,
    STATE(7341), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2866), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_BANG,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_LBRACE,
  [187572] = 3,
    ACTIONS(2993), 1,
      anon_sym_QMARK,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2991), 17,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [187600] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2971), 17,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [187626] = 6,
    ACTIONS(8516), 1,
      sym_integer_literal,
    STATE(4320), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4563), 2,
      sym_simple_identifier,
      aux_sym__attribute_argument_repeat2,
    ACTIONS(2814), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2812), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [187660] = 13,
    ACTIONS(395), 1,
      anon_sym_AT,
    ACTIONS(8518), 1,
      anon_sym_RBRACE,
    ACTIONS(8520), 1,
      anon_sym_get,
    ACTIONS(8522), 1,
      anon_sym_set,
    ACTIONS(8524), 1,
      anon_sym__modify,
    STATE(5337), 1,
      sym_setter_specifier,
    STATE(5385), 1,
      sym_getter_specifier,
    STATE(5409), 1,
      sym_modify_specifier,
    STATE(7203), 1,
      sym_mutation_modifier,
    ACTIONS(3631), 2,
      anon_sym_mutating,
      anon_sym_nonmutating,
    STATE(5146), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    STATE(4555), 4,
      sym_computed_getter,
      sym_computed_modify,
      sym_computed_setter,
      aux_sym_computed_property_repeat1,
  [187708] = 11,
    ACTIONS(8354), 1,
      sym__arrow_operator_custom,
    ACTIONS(8356), 1,
      sym__async_keyword_custom,
    ACTIONS(8458), 1,
      anon_sym_DOT,
    ACTIONS(8460), 1,
      anon_sym_AMP,
    STATE(3802), 1,
      sym__arrow_operator,
    STATE(4950), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(6081), 1,
      sym__async_keyword,
    STATE(7341), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2874), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_BANG,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_LBRACE,
  [187752] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2951), 17,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [187778] = 6,
    STATE(3802), 1,
      sym__arrow_operator,
    STATE(4950), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(6081), 1,
      sym__async_keyword,
    STATE(7341), 1,
      sym_throws,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2900), 13,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_BANG,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LBRACE,
  [187812] = 6,
    STATE(3802), 1,
      sym__arrow_operator,
    STATE(4950), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(6081), 1,
      sym__async_keyword,
    STATE(7341), 1,
      sym_throws,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2878), 13,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_BANG,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LBRACE,
  [187846] = 11,
    ACTIONS(8285), 1,
      sym__arrow_operator_custom,
    ACTIONS(8287), 1,
      sym__async_keyword_custom,
    ACTIONS(8512), 1,
      anon_sym_DOT,
    ACTIONS(8514), 1,
      anon_sym_AMP,
    STATE(3878), 1,
      sym__arrow_operator,
    STATE(5039), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(5875), 1,
      sym__async_keyword,
    STATE(7414), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2866), 8,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [187890] = 16,
    ACTIONS(3589), 1,
      anon_sym_async,
    ACTIONS(3611), 1,
      anon_sym_func,
    ACTIONS(4679), 1,
      anon_sym_typealias,
    ACTIONS(8120), 1,
      anon_sym_init,
    ACTIONS(8122), 1,
      anon_sym_associatedtype,
    ACTIONS(8526), 1,
      anon_sym_class,
    ACTIONS(8528), 1,
      anon_sym_deinit,
    ACTIONS(8530), 1,
      anon_sym_subscript,
    STATE(5827), 1,
      sym__binding_kind_and_pattern,
    STATE(6194), 1,
      sym__modifierless_function_declaration_no_body,
    STATE(6197), 1,
      sym__modifierless_typealias_declaration,
    STATE(6267), 1,
      sym__non_constructor_function_decl,
    STATE(6632), 1,
      sym__async_modifier,
    ACTIONS(3609), 2,
      anon_sym_let,
      anon_sym_var,
    STATE(4132), 2,
      sym_value_binding_pattern,
      sym__possibly_async_binding_pattern_kind,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [187944] = 6,
    ACTIONS(2854), 1,
      anon_sym_QMARK,
    ACTIONS(8532), 1,
      sym__dot_custom,
    STATE(4452), 1,
      aux_sym_user_type_repeat1,
    STATE(4680), 1,
      sym__dot,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2852), 13,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
  [187978] = 11,
    ACTIONS(8285), 1,
      sym__arrow_operator_custom,
    ACTIONS(8287), 1,
      sym__async_keyword_custom,
    ACTIONS(8512), 1,
      anon_sym_DOT,
    ACTIONS(8514), 1,
      anon_sym_AMP,
    STATE(3878), 1,
      sym__arrow_operator,
    STATE(5039), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(5875), 1,
      sym__async_keyword,
    STATE(7414), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2874), 8,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [188022] = 6,
    STATE(3878), 1,
      sym__arrow_operator,
    STATE(5039), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(5875), 1,
      sym__async_keyword,
    STATE(7414), 1,
      sym_throws,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2878), 14,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [188056] = 4,
    ACTIONS(8200), 1,
      anon_sym_QMARK2,
    STATE(4539), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2794), 14,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_BANG,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LBRACE,
      anon_sym_in,
  [188086] = 7,
    STATE(1731), 1,
      sym_simple_identifier,
    STATE(1801), 1,
      sym__simple_user_type,
    STATE(2022), 1,
      sym_user_type,
    STATE(1641), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(8003), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(8001), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [188122] = 11,
    ACTIONS(8354), 1,
      sym__arrow_operator_custom,
    ACTIONS(8356), 1,
      sym__async_keyword_custom,
    ACTIONS(8458), 1,
      anon_sym_DOT,
    ACTIONS(8460), 1,
      anon_sym_AMP,
    STATE(3802), 1,
      sym__arrow_operator,
    STATE(4950), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(6081), 1,
      sym__async_keyword,
    STATE(7341), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2896), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_BANG,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_LBRACE,
  [188166] = 6,
    ACTIONS(8534), 1,
      sym__dot_custom,
    STATE(4509), 1,
      aux_sym_user_type_repeat1,
    STATE(4667), 1,
      sym__dot,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2798), 5,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
      anon_sym_LPAREN,
      anon_sym_AT,
    ACTIONS(2800), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [188200] = 11,
    ACTIONS(8285), 1,
      sym__arrow_operator_custom,
    ACTIONS(8287), 1,
      sym__async_keyword_custom,
    ACTIONS(8512), 1,
      anon_sym_DOT,
    ACTIONS(8514), 1,
      anon_sym_AMP,
    STATE(3878), 1,
      sym__arrow_operator,
    STATE(5039), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(5875), 1,
      sym__async_keyword,
    STATE(7414), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2896), 8,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [188244] = 4,
    ACTIONS(8537), 1,
      anon_sym_LT,
    STATE(4932), 1,
      sym_type_arguments,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2882), 16,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [188274] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2987), 17,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [188300] = 6,
    STATE(3554), 1,
      sym__arrow_operator,
    STATE(4978), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(6009), 1,
      sym__async_keyword,
    STATE(7583), 1,
      sym_throws,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2900), 13,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [188334] = 10,
    ACTIONS(8539), 1,
      anon_sym_QMARK2,
    ACTIONS(8541), 1,
      sym__arrow_operator_custom,
    ACTIONS(8543), 1,
      sym__async_keyword_custom,
    STATE(3614), 1,
      sym__arrow_operator,
    STATE(6004), 1,
      sym__async_keyword,
    STATE(7597), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    STATE(4972), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2840), 7,
      sym__eq_custom,
      sym_where_keyword,
      sym_else,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
  [188376] = 6,
    ACTIONS(2807), 1,
      anon_sym_QMARK,
    ACTIONS(8532), 1,
      sym__dot_custom,
    STATE(4503), 1,
      aux_sym_user_type_repeat1,
    STATE(4680), 1,
      sym__dot,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2805), 13,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
  [188410] = 11,
    ACTIONS(8300), 1,
      sym__arrow_operator_custom,
    ACTIONS(8302), 1,
      sym__async_keyword_custom,
    ACTIONS(8452), 1,
      anon_sym_DOT,
    ACTIONS(8454), 1,
      anon_sym_AMP,
    STATE(3559), 1,
      sym__arrow_operator,
    STATE(4987), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(5968), 1,
      sym__async_keyword,
    STATE(7522), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2888), 7,
      sym_where_keyword,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LBRACE,
  [188454] = 3,
    ACTIONS(2969), 1,
      anon_sym_QMARK,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2967), 17,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [188482] = 11,
    ACTIONS(8285), 1,
      sym__arrow_operator_custom,
    ACTIONS(8287), 1,
      sym__async_keyword_custom,
    ACTIONS(8512), 1,
      anon_sym_DOT,
    ACTIONS(8514), 1,
      anon_sym_AMP,
    STATE(3878), 1,
      sym__arrow_operator,
    STATE(5039), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(5875), 1,
      sym__async_keyword,
    STATE(7414), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2892), 8,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [188526] = 17,
    ACTIONS(8300), 1,
      sym__arrow_operator_custom,
    ACTIONS(8302), 1,
      sym__async_keyword_custom,
    ACTIONS(8452), 1,
      anon_sym_DOT,
    ACTIONS(8454), 1,
      anon_sym_AMP,
    ACTIONS(8492), 1,
      anon_sym_LT,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(8545), 1,
      anon_sym_COLON,
    ACTIONS(8547), 1,
      anon_sym_LBRACE,
    STATE(3559), 1,
      sym__arrow_operator,
    STATE(4987), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(5968), 1,
      sym__async_keyword,
    STATE(5986), 1,
      sym_type_parameters,
    STATE(6325), 1,
      sym_class_body,
    STATE(7494), 1,
      sym_type_constraints,
    STATE(7522), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [188582] = 6,
    STATE(3878), 1,
      sym__arrow_operator,
    STATE(5039), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(5875), 1,
      sym__async_keyword,
    STATE(7414), 1,
      sym_throws,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2900), 14,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [188616] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2979), 17,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [188642] = 7,
    STATE(1041), 1,
      sym__simple_user_type,
    STATE(1104), 1,
      sym_simple_identifier,
    STATE(1229), 1,
      sym_user_type,
    STATE(1236), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(8551), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(8549), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [188678] = 4,
    ACTIONS(8553), 1,
      anon_sym_AMP,
    STATE(4523), 1,
      aux_sym_protocol_composition_type_repeat1,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2892), 16,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [188708] = 5,
    ACTIONS(8556), 1,
      sym__dot_custom,
    STATE(4534), 1,
      aux_sym_user_type_repeat1,
    STATE(4711), 1,
      sym__dot,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2805), 14,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_BANG,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LBRACE,
  [188740] = 3,
    ACTIONS(2977), 1,
      anon_sym_QMARK,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2975), 17,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [188768] = 3,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(4000), 6,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_AT,
    ACTIONS(3998), 11,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_in,
      anon_sym_self,
      anon_sym_borrowing,
      anon_sym_consuming,
  [188796] = 11,
    ACTIONS(8329), 1,
      sym__arrow_operator_custom,
    ACTIONS(8331), 1,
      sym__async_keyword_custom,
    ACTIONS(8472), 1,
      anon_sym_DOT,
    ACTIONS(8474), 1,
      anon_sym_AMP,
    STATE(3554), 1,
      sym__arrow_operator,
    STATE(4978), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(6009), 1,
      sym__async_keyword,
    STATE(7583), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2888), 7,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [188840] = 17,
    ACTIONS(8300), 1,
      sym__arrow_operator_custom,
    ACTIONS(8302), 1,
      sym__async_keyword_custom,
    ACTIONS(8452), 1,
      anon_sym_DOT,
    ACTIONS(8454), 1,
      anon_sym_AMP,
    ACTIONS(8492), 1,
      anon_sym_LT,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(8558), 1,
      anon_sym_COLON,
    ACTIONS(8560), 1,
      anon_sym_LBRACE,
    STATE(3559), 1,
      sym__arrow_operator,
    STATE(3923), 1,
      sym_class_body,
    STATE(4987), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(5968), 1,
      sym__async_keyword,
    STATE(6080), 1,
      sym_type_parameters,
    STATE(7405), 1,
      sym_type_constraints,
    STATE(7522), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [188896] = 5,
    ACTIONS(8562), 1,
      sym__dot_custom,
    STATE(4529), 1,
      aux_sym_user_type_repeat1,
    STATE(4611), 1,
      sym__dot,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2798), 14,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LBRACE,
  [188928] = 13,
    ACTIONS(395), 1,
      anon_sym_AT,
    ACTIONS(8520), 1,
      anon_sym_get,
    ACTIONS(8522), 1,
      anon_sym_set,
    ACTIONS(8524), 1,
      anon_sym__modify,
    ACTIONS(8565), 1,
      anon_sym_RBRACE,
    STATE(5337), 1,
      sym_setter_specifier,
    STATE(5385), 1,
      sym_getter_specifier,
    STATE(5409), 1,
      sym_modify_specifier,
    STATE(7203), 1,
      sym_mutation_modifier,
    ACTIONS(3631), 2,
      anon_sym_mutating,
      anon_sym_nonmutating,
    STATE(5146), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    STATE(4555), 4,
      sym_computed_getter,
      sym_computed_modify,
      sym_computed_setter,
      aux_sym_computed_property_repeat1,
  [188976] = 13,
    ACTIONS(395), 1,
      anon_sym_AT,
    ACTIONS(8520), 1,
      anon_sym_get,
    ACTIONS(8522), 1,
      anon_sym_set,
    ACTIONS(8524), 1,
      anon_sym__modify,
    ACTIONS(8567), 1,
      anon_sym_RBRACE,
    STATE(5337), 1,
      sym_setter_specifier,
    STATE(5385), 1,
      sym_getter_specifier,
    STATE(5409), 1,
      sym_modify_specifier,
    STATE(7203), 1,
      sym_mutation_modifier,
    ACTIONS(3631), 2,
      anon_sym_mutating,
      anon_sym_nonmutating,
    STATE(5146), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    STATE(4555), 4,
      sym_computed_getter,
      sym_computed_modify,
      sym_computed_setter,
      aux_sym_computed_property_repeat1,
  [189024] = 7,
    STATE(4218), 1,
      sym_simple_identifier,
    STATE(4219), 1,
      sym__simple_user_type,
    STATE(4240), 1,
      sym_user_type,
    STATE(4223), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(8571), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(8569), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [189060] = 5,
    ACTIONS(8573), 1,
      sym__dot_custom,
    STATE(4529), 1,
      aux_sym_user_type_repeat1,
    STATE(4611), 1,
      sym__dot,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2852), 14,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LBRACE,
  [189092] = 5,
    ACTIONS(8556), 1,
      sym__dot_custom,
    STATE(4358), 1,
      aux_sym_user_type_repeat1,
    STATE(4711), 1,
      sym__dot,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2852), 14,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_BANG,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LBRACE,
  [189124] = 11,
    ACTIONS(8300), 1,
      sym__arrow_operator_custom,
    ACTIONS(8302), 1,
      sym__async_keyword_custom,
    ACTIONS(8452), 1,
      anon_sym_DOT,
    ACTIONS(8454), 1,
      anon_sym_AMP,
    STATE(3559), 1,
      sym__arrow_operator,
    STATE(4987), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(5968), 1,
      sym__async_keyword,
    STATE(7522), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2892), 7,
      sym_where_keyword,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LBRACE,
  [189168] = 7,
    STATE(4301), 1,
      sym_simple_identifier,
    STATE(4302), 1,
      sym__simple_user_type,
    STATE(4573), 1,
      sym_user_type,
    STATE(4363), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(8577), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(8575), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [189204] = 3,
    STATE(4523), 1,
      aux_sym_protocol_composition_type_repeat1,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3014), 17,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [189232] = 3,
    ACTIONS(2916), 1,
      anon_sym_QMARK,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2914), 17,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [189260] = 4,
    ACTIONS(8579), 1,
      anon_sym_QMARK2,
    STATE(4539), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2859), 14,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_BANG,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LBRACE,
      anon_sym_in,
  [189290] = 6,
    STATE(3875), 1,
      sym__arrow_operator,
    STATE(4956), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(5879), 1,
      sym__async_keyword,
    STATE(7586), 1,
      sym_throws,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2900), 13,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_LBRACE,
  [189324] = 11,
    ACTIONS(4741), 1,
      anon_sym_DOT,
    ACTIONS(8294), 1,
      sym__arrow_operator_custom,
    ACTIONS(8296), 1,
      sym__async_keyword_custom,
    ACTIONS(8510), 1,
      anon_sym_AMP,
    STATE(3875), 1,
      sym__arrow_operator,
    STATE(4956), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(5879), 1,
      sym__async_keyword,
    STATE(7586), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2892), 7,
      sym__eq_custom,
      sym_where_keyword,
      sym__as_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LBRACE,
  [189368] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2928), 17,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [189394] = 5,
    ACTIONS(8573), 1,
      sym__dot_custom,
    STATE(4533), 1,
      aux_sym_user_type_repeat1,
    STATE(4611), 1,
      sym__dot,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2805), 14,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LBRACE,
  [189426] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2959), 17,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [189452] = 3,
    ACTIONS(2985), 1,
      anon_sym_QMARK,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2983), 17,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [189480] = 5,
    ACTIONS(8582), 1,
      sym__dot_custom,
    STATE(4546), 1,
      aux_sym_user_type_repeat1,
    STATE(4592), 1,
      sym__dot,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2798), 15,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [189512] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2928), 18,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [189538] = 3,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(4000), 6,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_AT,
    ACTIONS(3998), 11,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_some,
      anon_sym_any,
      anon_sym_borrowing,
      anon_sym_consuming,
  [189566] = 7,
    STATE(4464), 1,
      sym_simple_identifier,
    STATE(4465), 1,
      sym__simple_user_type,
    STATE(4960), 1,
      sym_user_type,
    STATE(4660), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(8587), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(8585), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [189602] = 7,
    STATE(1902), 1,
      sym__simple_user_type,
    STATE(1942), 1,
      sym_simple_identifier,
    STATE(2312), 1,
      sym_user_type,
    STATE(2004), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(8591), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(8589), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [189638] = 11,
    ACTIONS(8346), 1,
      sym__arrow_operator_custom,
    ACTIONS(8348), 1,
      sym__async_keyword_custom,
    ACTIONS(8486), 1,
      anon_sym_DOT,
    ACTIONS(8488), 1,
      anon_sym_AMP,
    STATE(3660), 1,
      sym__arrow_operator,
    STATE(4957), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(5984), 1,
      sym__async_keyword,
    STATE(7617), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2888), 7,
      sym__eq_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
  [189682] = 3,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(4004), 6,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_AT,
    ACTIONS(4002), 11,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_in,
      anon_sym_self,
      anon_sym_borrowing,
      anon_sym_consuming,
  [189710] = 11,
    ACTIONS(4741), 1,
      anon_sym_DOT,
    ACTIONS(8294), 1,
      sym__arrow_operator_custom,
    ACTIONS(8296), 1,
      sym__async_keyword_custom,
    ACTIONS(8510), 1,
      anon_sym_AMP,
    STATE(3875), 1,
      sym__arrow_operator,
    STATE(4956), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(5879), 1,
      sym__async_keyword,
    STATE(7586), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2888), 7,
      sym__eq_custom,
      sym_where_keyword,
      sym__as_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LBRACE,
  [189754] = 11,
    ACTIONS(8346), 1,
      sym__arrow_operator_custom,
    ACTIONS(8348), 1,
      sym__async_keyword_custom,
    ACTIONS(8486), 1,
      anon_sym_DOT,
    ACTIONS(8488), 1,
      anon_sym_AMP,
    STATE(3660), 1,
      sym__arrow_operator,
    STATE(4957), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(5984), 1,
      sym__async_keyword,
    STATE(7617), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2866), 7,
      sym__eq_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
  [189798] = 13,
    ACTIONS(8593), 1,
      anon_sym_RBRACE,
    ACTIONS(8595), 1,
      anon_sym_get,
    ACTIONS(8598), 1,
      anon_sym_set,
    ACTIONS(8601), 1,
      anon_sym__modify,
    ACTIONS(8604), 1,
      anon_sym_AT,
    STATE(5337), 1,
      sym_setter_specifier,
    STATE(5385), 1,
      sym_getter_specifier,
    STATE(5409), 1,
      sym_modify_specifier,
    STATE(7203), 1,
      sym_mutation_modifier,
    ACTIONS(8607), 2,
      anon_sym_mutating,
      anon_sym_nonmutating,
    STATE(5146), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    STATE(4555), 4,
      sym_computed_getter,
      sym_computed_modify,
      sym_computed_setter,
      aux_sym_computed_property_repeat1,
  [189846] = 10,
    ACTIONS(4752), 1,
      anon_sym_QMARK2,
    ACTIONS(8610), 1,
      sym__arrow_operator_custom,
    ACTIONS(8612), 1,
      sym__async_keyword_custom,
    STATE(3892), 1,
      sym__arrow_operator,
    STATE(5906), 1,
      sym__async_keyword,
    STATE(7608), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    STATE(1567), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2840), 7,
      sym__eq_custom,
      sym_where_keyword,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
  [189888] = 11,
    ACTIONS(8346), 1,
      sym__arrow_operator_custom,
    ACTIONS(8348), 1,
      sym__async_keyword_custom,
    ACTIONS(8486), 1,
      anon_sym_DOT,
    ACTIONS(8488), 1,
      anon_sym_AMP,
    STATE(3660), 1,
      sym__arrow_operator,
    STATE(4957), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(5984), 1,
      sym__async_keyword,
    STATE(7617), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2874), 7,
      sym__eq_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
  [189932] = 11,
    ACTIONS(8354), 1,
      sym__arrow_operator_custom,
    ACTIONS(8356), 1,
      sym__async_keyword_custom,
    ACTIONS(8458), 1,
      anon_sym_DOT,
    ACTIONS(8460), 1,
      anon_sym_AMP,
    STATE(3802), 1,
      sym__arrow_operator,
    STATE(4950), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(6081), 1,
      sym__async_keyword,
    STATE(7341), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2888), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_BANG,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_LBRACE,
  [189976] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2798), 17,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [190002] = 7,
    STATE(3210), 1,
      sym_simple_identifier,
    STATE(3228), 1,
      sym__simple_user_type,
    STATE(3283), 1,
      sym_user_type,
    STATE(3237), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(8616), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(8614), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [190038] = 13,
    ACTIONS(395), 1,
      anon_sym_AT,
    ACTIONS(8520), 1,
      anon_sym_get,
    ACTIONS(8522), 1,
      anon_sym_set,
    ACTIONS(8524), 1,
      anon_sym__modify,
    ACTIONS(8618), 1,
      anon_sym_RBRACE,
    STATE(5337), 1,
      sym_setter_specifier,
    STATE(5385), 1,
      sym_getter_specifier,
    STATE(5409), 1,
      sym_modify_specifier,
    STATE(7203), 1,
      sym_mutation_modifier,
    ACTIONS(3631), 2,
      anon_sym_mutating,
      anon_sym_nonmutating,
    STATE(5146), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    STATE(4555), 4,
      sym_computed_getter,
      sym_computed_modify,
      sym_computed_setter,
      aux_sym_computed_property_repeat1,
  [190086] = 7,
    ACTIONS(8159), 1,
      anon_sym_each,
    STATE(6347), 1,
      sym_simple_identifier,
    STATE(5797), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(6464), 2,
      sym_type_parameter_pack,
      sym__type_parameter_possibly_packed,
    ACTIONS(3446), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3444), 8,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [190122] = 6,
    ACTIONS(8626), 1,
      sym_integer_literal,
    STATE(4320), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    STATE(4563), 2,
      sym_simple_identifier,
      aux_sym__attribute_argument_repeat2,
    ACTIONS(8623), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(8620), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [190156] = 7,
    STATE(1890), 1,
      sym_simple_identifier,
    STATE(1912), 1,
      sym__simple_user_type,
    STATE(2300), 1,
      sym_user_type,
    STATE(2034), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(8630), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(8628), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [190192] = 11,
    ACTIONS(4741), 1,
      anon_sym_DOT,
    ACTIONS(8294), 1,
      sym__arrow_operator_custom,
    ACTIONS(8296), 1,
      sym__async_keyword_custom,
    ACTIONS(8510), 1,
      anon_sym_AMP,
    STATE(3875), 1,
      sym__arrow_operator,
    STATE(4956), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(5879), 1,
      sym__async_keyword,
    STATE(7586), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2866), 7,
      sym__eq_custom,
      sym_where_keyword,
      sym__as_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LBRACE,
  [190236] = 11,
    ACTIONS(4741), 1,
      anon_sym_DOT,
    ACTIONS(8294), 1,
      sym__arrow_operator_custom,
    ACTIONS(8296), 1,
      sym__async_keyword_custom,
    ACTIONS(8510), 1,
      anon_sym_AMP,
    STATE(3875), 1,
      sym__arrow_operator,
    STATE(4956), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(5879), 1,
      sym__async_keyword,
    STATE(7586), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2874), 7,
      sym__eq_custom,
      sym_where_keyword,
      sym__as_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LBRACE,
  [190280] = 3,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(4004), 6,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_AT,
    ACTIONS(4002), 11,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_some,
      anon_sym_any,
      anon_sym_borrowing,
      anon_sym_consuming,
  [190308] = 6,
    STATE(3660), 1,
      sym__arrow_operator,
    STATE(4957), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(5984), 1,
      sym__async_keyword,
    STATE(7617), 1,
      sym_throws,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2878), 13,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP,
  [190342] = 5,
    ACTIONS(8632), 1,
      sym__dot_custom,
    STATE(4569), 1,
      aux_sym_user_type_repeat1,
    STATE(4668), 1,
      sym__dot,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2798), 14,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [190374] = 11,
    ACTIONS(2842), 1,
      anon_sym_DOT,
    ACTIONS(4803), 1,
      anon_sym_QMARK2,
    ACTIONS(8635), 1,
      sym__arrow_operator_custom,
    ACTIONS(8637), 1,
      sym__async_keyword_custom,
    STATE(3492), 1,
      sym__arrow_operator,
    STATE(6026), 1,
      sym__async_keyword,
    STATE(7560), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    STATE(1520), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2840), 6,
      sym__eq_custom,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
  [190418] = 11,
    ACTIONS(8329), 1,
      sym__arrow_operator_custom,
    ACTIONS(8331), 1,
      sym__async_keyword_custom,
    ACTIONS(8472), 1,
      anon_sym_DOT,
    ACTIONS(8474), 1,
      anon_sym_AMP,
    STATE(3554), 1,
      sym__arrow_operator,
    STATE(4978), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(6009), 1,
      sym__async_keyword,
    STATE(7583), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2896), 7,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [190462] = 6,
    STATE(3875), 1,
      sym__arrow_operator,
    STATE(4956), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(5879), 1,
      sym__async_keyword,
    STATE(7586), 1,
      sym_throws,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2878), 13,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_LBRACE,
  [190496] = 4,
    ACTIONS(8639), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(4008), 5,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
      anon_sym_LBRACK,
      anon_sym_AT,
    ACTIONS(4006), 11,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_in,
      anon_sym_self,
      anon_sym_borrowing,
      anon_sym_consuming,
  [190526] = 11,
    ACTIONS(8346), 1,
      sym__arrow_operator_custom,
    ACTIONS(8348), 1,
      sym__async_keyword_custom,
    ACTIONS(8486), 1,
      anon_sym_DOT,
    ACTIONS(8488), 1,
      anon_sym_AMP,
    STATE(3660), 1,
      sym__arrow_operator,
    STATE(4957), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(5984), 1,
      sym__async_keyword,
    STATE(7617), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2896), 7,
      sym__eq_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
  [190570] = 7,
    STATE(4306), 1,
      sym_simple_identifier,
    STATE(4321), 1,
      sym__simple_user_type,
    STATE(4476), 1,
      sym_user_type,
    STATE(4335), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(8644), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(8642), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [190606] = 17,
    ACTIONS(8300), 1,
      sym__arrow_operator_custom,
    ACTIONS(8302), 1,
      sym__async_keyword_custom,
    ACTIONS(8452), 1,
      anon_sym_DOT,
    ACTIONS(8454), 1,
      anon_sym_AMP,
    ACTIONS(8492), 1,
      anon_sym_LT,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(8646), 1,
      anon_sym_COLON,
    ACTIONS(8648), 1,
      anon_sym_LBRACE,
    STATE(3559), 1,
      sym__arrow_operator,
    STATE(4987), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(5936), 1,
      sym_type_parameters,
    STATE(5968), 1,
      sym__async_keyword,
    STATE(7129), 1,
      sym_class_body,
    STATE(7522), 1,
      sym_throws,
    STATE(7551), 1,
      sym_type_constraints,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [190662] = 6,
    STATE(3507), 1,
      sym__arrow_operator,
    STATE(5051), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(6021), 1,
      sym__async_keyword,
    STATE(7570), 1,
      sym_throws,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2900), 12,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_LBRACE,
  [190695] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2910), 16,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [190720] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2963), 16,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [190745] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2924), 16,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [190770] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2955), 16,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
  [190795] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2971), 16,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [190820] = 6,
    STATE(936), 1,
      sym_simple_identifier,
    STATE(946), 1,
      sym__simple_user_type,
    STATE(954), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(2598), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2596), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [190853] = 11,
    ACTIONS(8389), 1,
      sym__arrow_operator_custom,
    ACTIONS(8391), 1,
      sym__async_keyword_custom,
    ACTIONS(8650), 1,
      anon_sym_DOT,
    ACTIONS(8652), 1,
      anon_sym_AMP,
    STATE(3507), 1,
      sym__arrow_operator,
    STATE(5051), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(6021), 1,
      sym__async_keyword,
    STATE(7570), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2892), 6,
      sym_where_keyword,
      sym__as_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LBRACE,
  [190896] = 6,
    STATE(2661), 1,
      sym_simple_identifier,
    STATE(3061), 1,
      sym__simple_user_type,
    STATE(2747), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(4157), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(4155), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [190929] = 6,
    STATE(1515), 1,
      sym_simple_identifier,
    STATE(1571), 1,
      sym__simple_user_type,
    STATE(1508), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(3566), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3564), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [190962] = 13,
    ACTIONS(8654), 1,
      anon_sym_COLON,
    ACTIONS(8656), 1,
      anon_sym_LBRACE,
    ACTIONS(8658), 1,
      sym__eq_custom,
    ACTIONS(8660), 1,
      sym_where_keyword,
    STATE(444), 1,
      sym__equal_sign,
    STATE(4949), 1,
      sym_type_annotation,
    STATE(5167), 1,
      sym_type_constraints,
    STATE(5887), 1,
      sym_computed_property,
    STATE(5889), 1,
      sym_willset_didset_block,
    STATE(5891), 1,
      sym__expression_without_willset_didset,
    STATE(5892), 1,
      sym__expression_with_willset_didset,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(4895), 5,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [191009] = 6,
    STATE(2319), 1,
      sym_simple_identifier,
    STATE(2961), 1,
      sym__simple_user_type,
    STATE(2609), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(4090), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(4088), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [191042] = 6,
    STATE(3235), 1,
      sym_simple_identifier,
    STATE(3249), 1,
      sym__simple_user_type,
    STATE(3239), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(4568), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(4566), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [191075] = 6,
    STATE(1859), 1,
      sym_simple_identifier,
    STATE(1894), 1,
      sym__simple_user_type,
    STATE(1917), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(3893), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3891), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [191108] = 6,
    STATE(2051), 1,
      sym_simple_identifier,
    STATE(2673), 1,
      sym_identifier,
    STATE(1641), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(8003), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(8001), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [191141] = 6,
    STATE(4511), 1,
      sym_simple_identifier,
    STATE(4809), 1,
      sym__simple_user_type,
    STATE(4686), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6833), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6831), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [191174] = 6,
    ACTIONS(8662), 1,
      sym_integer_literal,
    STATE(2469), 1,
      sym_simple_identifier,
    STATE(2115), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(13), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(11), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [191207] = 6,
    STATE(2068), 1,
      sym_simple_identifier,
    STATE(2357), 1,
      sym__simple_user_type,
    STATE(2217), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(4023), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(4021), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [191240] = 3,
    STATE(4657), 1,
      aux_sym_protocol_composition_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3014), 15,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [191267] = 6,
    STATE(1731), 1,
      sym_simple_identifier,
    STATE(1776), 1,
      sym__simple_user_type,
    STATE(1641), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(8003), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(8001), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [191300] = 13,
    ACTIONS(8664), 1,
      anon_sym_LPAREN,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    ACTIONS(8670), 1,
      sym_where_keyword,
    ACTIONS(8672), 1,
      sym__async_keyword_custom,
    STATE(5138), 1,
      sym__async_keyword,
    STATE(5316), 1,
      aux_sym__function_value_parameters,
    STATE(5411), 1,
      sym_throws,
    STATE(5573), 1,
      sym_type_constraints,
    STATE(6229), 1,
      sym__block,
    STATE(6356), 1,
      sym_function_body,
    ACTIONS(8668), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(4923), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [191347] = 5,
    ACTIONS(2884), 1,
      anon_sym_QMARK,
    ACTIONS(8674), 1,
      anon_sym_LT,
    STATE(4996), 1,
      sym_type_arguments,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2882), 13,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
  [191378] = 4,
    ACTIONS(8676), 1,
      anon_sym_QMARK2,
    STATE(4599), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2859), 14,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [191407] = 4,
    ACTIONS(8298), 1,
      anon_sym_QMARK2,
    STATE(4613), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2840), 13,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LBRACE,
  [191436] = 5,
    ACTIONS(8679), 1,
      sym__dot_custom,
    STATE(4601), 1,
      aux_sym_user_type_repeat1,
    STATE(4627), 1,
      sym__dot,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2798), 13,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [191467] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2991), 16,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [191492] = 4,
    ACTIONS(8283), 1,
      anon_sym_QMARK2,
    STATE(4599), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2794), 14,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [191521] = 5,
    ACTIONS(8682), 1,
      sym__dot_custom,
    STATE(4608), 1,
      aux_sym_user_type_repeat1,
    STATE(4637), 1,
      sym__dot,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2805), 14,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [191552] = 6,
    STATE(941), 1,
      sym_simple_identifier,
    STATE(979), 1,
      sym__simple_user_type,
    STATE(982), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(2619), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2617), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [191585] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2971), 17,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [191610] = 4,
    ACTIONS(8283), 1,
      anon_sym_QMARK2,
    STATE(4603), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2840), 14,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [191639] = 5,
    ACTIONS(8682), 1,
      sym__dot_custom,
    STATE(4629), 1,
      aux_sym_user_type_repeat1,
    STATE(4637), 1,
      sym__dot,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2852), 14,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [191670] = 6,
    STATE(1890), 1,
      sym_simple_identifier,
    STATE(2087), 1,
      sym__simple_user_type,
    STATE(2034), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(8630), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(8628), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [191703] = 6,
    ACTIONS(8684), 1,
      sym_integer_literal,
    STATE(758), 1,
      sym_simple_identifier,
    STATE(728), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(405), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(403), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [191736] = 6,
    STATE(4640), 1,
      sym_simple_identifier,
    STATE(4803), 1,
      sym__simple_user_type,
    STATE(4879), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6994), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6992), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [191769] = 13,
    ACTIONS(8664), 1,
      anon_sym_LPAREN,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    ACTIONS(8670), 1,
      sym_where_keyword,
    ACTIONS(8686), 1,
      sym__async_keyword_custom,
    STATE(5139), 1,
      sym__async_keyword,
    STATE(5316), 1,
      aux_sym__function_value_parameters,
    STATE(5426), 1,
      sym_throws,
    STATE(5695), 1,
      sym_type_constraints,
    STATE(6229), 1,
      sym__block,
    STATE(6231), 1,
      sym_function_body,
    ACTIONS(8668), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(4913), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [191816] = 4,
    ACTIONS(8298), 1,
      anon_sym_QMARK2,
    STATE(4693), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2794), 13,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LBRACE,
  [191845] = 6,
    STATE(3507), 1,
      sym__arrow_operator,
    STATE(5051), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(6021), 1,
      sym__async_keyword,
    STATE(7570), 1,
      sym_throws,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2878), 12,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_LBRACE,
  [191878] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2910), 16,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
  [191903] = 13,
    ACTIONS(8664), 1,
      anon_sym_LPAREN,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    ACTIONS(8670), 1,
      sym_where_keyword,
    ACTIONS(8688), 1,
      sym__async_keyword_custom,
    STATE(5211), 1,
      sym__async_keyword,
    STATE(5316), 1,
      aux_sym__function_value_parameters,
    STATE(5388), 1,
      sym_throws,
    STATE(5693), 1,
      sym_type_constraints,
    STATE(6229), 1,
      sym__block,
    STATE(6298), 1,
      sym_function_body,
    ACTIONS(8668), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(4954), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [191950] = 13,
    ACTIONS(8664), 1,
      anon_sym_LPAREN,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    ACTIONS(8670), 1,
      sym_where_keyword,
    ACTIONS(8690), 1,
      sym__async_keyword_custom,
    STATE(5215), 1,
      sym__async_keyword,
    STATE(5316), 1,
      aux_sym__function_value_parameters,
    STATE(5392), 1,
      sym_throws,
    STATE(5685), 1,
      sym_type_constraints,
    STATE(6229), 1,
      sym__block,
    STATE(6278), 1,
      sym_function_body,
    ACTIONS(8668), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(4954), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [191997] = 6,
    STATE(5704), 1,
      sym_simple_identifier,
    STATE(6733), 1,
      sym_identifier,
    STATE(6396), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(8009), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(8007), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [192030] = 6,
    STATE(2051), 1,
      sym_simple_identifier,
    STATE(3032), 1,
      sym_identifier,
    STATE(1641), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(8003), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(8001), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [192063] = 6,
    STATE(1753), 1,
      sym_simple_identifier,
    STATE(1787), 1,
      sym__simple_user_type,
    STATE(1782), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(3670), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3668), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [192096] = 11,
    ACTIONS(8389), 1,
      sym__arrow_operator_custom,
    ACTIONS(8391), 1,
      sym__async_keyword_custom,
    ACTIONS(8650), 1,
      anon_sym_DOT,
    ACTIONS(8652), 1,
      anon_sym_AMP,
    STATE(3507), 1,
      sym__arrow_operator,
    STATE(5051), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(6021), 1,
      sym__async_keyword,
    STATE(7570), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2874), 6,
      sym_where_keyword,
      sym__as_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LBRACE,
  [192139] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2924), 17,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [192164] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2798), 17,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [192189] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2963), 17,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [192214] = 11,
    ACTIONS(8389), 1,
      sym__arrow_operator_custom,
    ACTIONS(8391), 1,
      sym__async_keyword_custom,
    ACTIONS(8650), 1,
      anon_sym_DOT,
    ACTIONS(8652), 1,
      anon_sym_AMP,
    STATE(3507), 1,
      sym__arrow_operator,
    STATE(5051), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(6021), 1,
      sym__async_keyword,
    STATE(7570), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2866), 6,
      sym_where_keyword,
      sym__as_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LBRACE,
  [192257] = 6,
    ACTIONS(8692), 1,
      sym_integer_literal,
    STATE(2995), 1,
      sym_simple_identifier,
    STATE(2374), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(1039), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(1037), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [192290] = 6,
    STATE(4651), 1,
      sym_simple_identifier,
    STATE(5030), 1,
      sym__simple_user_type,
    STATE(4848), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(7010), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7008), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [192323] = 6,
    STATE(1620), 1,
      sym_simple_identifier,
    STATE(1700), 1,
      sym__simple_user_type,
    STATE(1659), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(3647), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3645), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [192356] = 5,
    ACTIONS(8694), 1,
      sym__dot_custom,
    STATE(4629), 1,
      aux_sym_user_type_repeat1,
    STATE(4637), 1,
      sym__dot,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2798), 14,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [192387] = 5,
    ACTIONS(8697), 1,
      sym__dot_custom,
    STATE(4627), 1,
      sym__dot,
    STATE(4632), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2805), 13,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [192418] = 11,
    ACTIONS(2842), 1,
      anon_sym_QMARK,
    ACTIONS(8504), 1,
      anon_sym_QMARK2,
    ACTIONS(8699), 1,
      sym__arrow_operator_custom,
    ACTIONS(8701), 1,
      sym__async_keyword_custom,
    STATE(3731), 1,
      sym__arrow_operator,
    STATE(6072), 1,
      sym__async_keyword,
    STATE(7327), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    STATE(4845), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2840), 5,
      sym__as_custom,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_in,
  [192461] = 5,
    ACTIONS(8697), 1,
      sym__dot_custom,
    STATE(4601), 1,
      aux_sym_user_type_repeat1,
    STATE(4627), 1,
      sym__dot,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2852), 13,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [192492] = 6,
    STATE(4383), 1,
      sym_simple_identifier,
    STATE(4623), 1,
      sym__simple_user_type,
    STATE(4547), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6627), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6625), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [192525] = 6,
    ACTIONS(2854), 1,
      anon_sym_QMARK,
    ACTIONS(8703), 1,
      sym__dot_custom,
    STATE(4655), 1,
      sym__dot,
    STATE(4702), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2852), 12,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
  [192558] = 3,
    ACTIONS(2930), 1,
      anon_sym_QMARK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2928), 15,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LT,
  [192585] = 6,
    ACTIONS(2807), 1,
      anon_sym_QMARK,
    ACTIONS(8705), 1,
      sym__dot_custom,
    STATE(4645), 1,
      aux_sym_user_type_repeat1,
    STATE(4705), 1,
      sym__dot,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2805), 12,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_in,
  [192618] = 6,
    STATE(4642), 1,
      sym_simple_identifier,
    STATE(4983), 1,
      sym__simple_user_type,
    STATE(4852), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6948), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6946), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [192651] = 6,
    STATE(4389), 1,
      sym_simple_identifier,
    STATE(4650), 1,
      sym__simple_user_type,
    STATE(4542), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6757), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6755), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [192684] = 6,
    ACTIONS(2807), 1,
      anon_sym_QMARK,
    ACTIONS(8703), 1,
      sym__dot_custom,
    STATE(4634), 1,
      aux_sym_user_type_repeat1,
    STATE(4655), 1,
      sym__dot,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2805), 12,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
  [192717] = 4,
    ACTIONS(8707), 1,
      anon_sym_LT,
    STATE(4909), 1,
      sym_type_arguments,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2882), 14,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LBRACE,
  [192746] = 6,
    ACTIONS(8709), 1,
      sym_integer_literal,
    STATE(3076), 1,
      sym_simple_identifier,
    STATE(2558), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(1149), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(1147), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [192779] = 4,
    ACTIONS(8711), 1,
      anon_sym_LT,
    STATE(4993), 1,
      sym_type_arguments,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2882), 15,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [192808] = 6,
    STATE(1898), 1,
      sym_simple_identifier,
    STATE(1952), 1,
      sym__simple_user_type,
    STATE(1991), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(3930), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3928), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [192841] = 6,
    STATE(3210), 1,
      sym_simple_identifier,
    STATE(3260), 1,
      sym__simple_user_type,
    STATE(3237), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(8616), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(8614), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [192874] = 6,
    ACTIONS(2854), 1,
      anon_sym_QMARK,
    ACTIONS(8705), 1,
      sym__dot_custom,
    STATE(4653), 1,
      aux_sym_user_type_repeat1,
    STATE(4705), 1,
      sym__dot,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2852), 12,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_in,
  [192907] = 6,
    STATE(4306), 1,
      sym_simple_identifier,
    STATE(4380), 1,
      sym__simple_user_type,
    STATE(4335), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(8644), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(8642), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [192940] = 6,
    STATE(1910), 1,
      sym_simple_identifier,
    STATE(1957), 1,
      sym__simple_user_type,
    STATE(2018), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(3964), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3962), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [192973] = 6,
    STATE(4304), 1,
      sym_simple_identifier,
    STATE(4377), 1,
      sym__simple_user_type,
    STATE(4346), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6116), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6114), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [193006] = 6,
    STATE(1515), 1,
      sym_simple_identifier,
    STATE(1571), 1,
      sym__simple_user_type,
    STATE(1508), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(3566), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3564), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [193039] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2798), 16,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [193064] = 4,
    ACTIONS(8713), 1,
      anon_sym_LT,
    STATE(4981), 1,
      sym_type_arguments,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2882), 14,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [193093] = 6,
    STATE(3744), 1,
      sym__arrow_operator,
    STATE(5131), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(6070), 1,
      sym__async_keyword,
    STATE(7445), 1,
      sym_throws,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2900), 12,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [193126] = 6,
    ACTIONS(2800), 1,
      anon_sym_QMARK,
    ACTIONS(8715), 1,
      sym__dot_custom,
    STATE(4653), 1,
      aux_sym_user_type_repeat1,
    STATE(4705), 1,
      sym__dot,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2798), 12,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_in,
  [193159] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2967), 16,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [193184] = 6,
    STATE(4598), 1,
      sym_simple_identifier,
    STATE(5021), 1,
      sym__simple_user_type,
    STATE(4882), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6974), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6972), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [193217] = 6,
    STATE(1942), 1,
      sym_simple_identifier,
    STATE(2071), 1,
      sym__simple_user_type,
    STATE(2004), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(8591), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(8589), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [193250] = 4,
    ACTIONS(8718), 1,
      anon_sym_AMP,
    STATE(4657), 1,
      aux_sym_protocol_composition_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2892), 14,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [193279] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2928), 16,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [193304] = 13,
    ACTIONS(8664), 1,
      anon_sym_LPAREN,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    ACTIONS(8670), 1,
      sym_where_keyword,
    ACTIONS(8721), 1,
      sym__async_keyword_custom,
    STATE(5210), 1,
      sym__async_keyword,
    STATE(5316), 1,
      aux_sym__function_value_parameters,
    STATE(5386), 1,
      sym_throws,
    STATE(5678), 1,
      sym_type_constraints,
    STATE(6101), 1,
      sym_function_body,
    STATE(6229), 1,
      sym__block,
    ACTIONS(8668), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(4946), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [193351] = 3,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2928), 7,
      sym__dot_custom,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_AT,
    ACTIONS(2930), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [193378] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2987), 17,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [193403] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2975), 16,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [193428] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2959), 17,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [193453] = 6,
    STATE(4374), 1,
      sym_simple_identifier,
    STATE(4559), 1,
      sym__simple_user_type,
    STATE(4414), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6159), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6157), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [193486] = 13,
    ACTIONS(8664), 1,
      anon_sym_LPAREN,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    ACTIONS(8670), 1,
      sym_where_keyword,
    ACTIONS(8723), 1,
      sym__async_keyword_custom,
    STATE(5155), 1,
      sym__async_keyword,
    STATE(5316), 1,
      aux_sym__function_value_parameters,
    STATE(5414), 1,
      sym_throws,
    STATE(5590), 1,
      sym_type_constraints,
    STATE(6229), 1,
      sym__block,
    STATE(6230), 1,
      sym_function_body,
    ACTIONS(8668), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(4938), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [193533] = 13,
    ACTIONS(8664), 1,
      anon_sym_LPAREN,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    ACTIONS(8670), 1,
      sym_where_keyword,
    ACTIONS(8725), 1,
      sym__async_keyword_custom,
    STATE(5214), 1,
      sym__async_keyword,
    STATE(5316), 1,
      aux_sym__function_value_parameters,
    STATE(5391), 1,
      sym_throws,
    STATE(5603), 1,
      sym_type_constraints,
    STATE(6105), 1,
      sym_function_body,
    STATE(6229), 1,
      sym__block,
    ACTIONS(8668), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(4946), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [193580] = 6,
    STATE(4464), 1,
      sym_simple_identifier,
    STATE(4920), 1,
      sym__simple_user_type,
    STATE(4660), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(8587), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(8585), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [193613] = 6,
    STATE(4467), 1,
      sym_simple_identifier,
    STATE(4753), 1,
      sym__simple_user_type,
    STATE(4658), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6859), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6857), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [193646] = 11,
    ACTIONS(8389), 1,
      sym__arrow_operator_custom,
    ACTIONS(8391), 1,
      sym__async_keyword_custom,
    ACTIONS(8650), 1,
      anon_sym_DOT,
    ACTIONS(8652), 1,
      anon_sym_AMP,
    STATE(3507), 1,
      sym__arrow_operator,
    STATE(5051), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(6021), 1,
      sym__async_keyword,
    STATE(7570), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2896), 6,
      sym_where_keyword,
      sym__as_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LBRACE,
  [193689] = 11,
    ACTIONS(8429), 1,
      sym__arrow_operator_custom,
    ACTIONS(8431), 1,
      sym__async_keyword_custom,
    ACTIONS(8727), 1,
      anon_sym_DOT,
    ACTIONS(8729), 1,
      anon_sym_AMP,
    STATE(3744), 1,
      sym__arrow_operator,
    STATE(5131), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(6070), 1,
      sym__async_keyword,
    STATE(7445), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2892), 6,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_where_keyword,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [193732] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2951), 17,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [193757] = 6,
    STATE(4763), 1,
      sym_simple_identifier,
    STATE(5102), 1,
      sym__simple_user_type,
    STATE(4966), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(7142), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7140), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [193790] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2979), 17,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [193815] = 11,
    ACTIONS(8429), 1,
      sym__arrow_operator_custom,
    ACTIONS(8431), 1,
      sym__async_keyword_custom,
    ACTIONS(8727), 1,
      anon_sym_DOT,
    ACTIONS(8729), 1,
      anon_sym_AMP,
    STATE(3744), 1,
      sym__arrow_operator,
    STATE(5131), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(6070), 1,
      sym__async_keyword,
    STATE(7445), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2896), 6,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_where_keyword,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [193858] = 6,
    STATE(3744), 1,
      sym__arrow_operator,
    STATE(5131), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(6070), 1,
      sym__async_keyword,
    STATE(7445), 1,
      sym_throws,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2878), 12,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [193891] = 6,
    STATE(1980), 1,
      sym_simple_identifier,
    STATE(2055), 1,
      sym__simple_user_type,
    STATE(2092), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(3982), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3980), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [193924] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2914), 16,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [193949] = 11,
    ACTIONS(8429), 1,
      sym__arrow_operator_custom,
    ACTIONS(8431), 1,
      sym__async_keyword_custom,
    ACTIONS(8727), 1,
      anon_sym_DOT,
    ACTIONS(8729), 1,
      anon_sym_AMP,
    STATE(3744), 1,
      sym__arrow_operator,
    STATE(5131), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(6070), 1,
      sym__async_keyword,
    STATE(7445), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2874), 6,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_where_keyword,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [193992] = 11,
    ACTIONS(8429), 1,
      sym__arrow_operator_custom,
    ACTIONS(8431), 1,
      sym__async_keyword_custom,
    ACTIONS(8727), 1,
      anon_sym_DOT,
    ACTIONS(8729), 1,
      anon_sym_AMP,
    STATE(3744), 1,
      sym__arrow_operator,
    STATE(5131), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(6070), 1,
      sym__async_keyword,
    STATE(7445), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2866), 6,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_where_keyword,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [194035] = 6,
    STATE(4450), 1,
      sym_simple_identifier,
    STATE(4935), 1,
      sym__simple_user_type,
    STATE(4635), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6911), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6909), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [194068] = 11,
    ACTIONS(8429), 1,
      sym__arrow_operator_custom,
    ACTIONS(8431), 1,
      sym__async_keyword_custom,
    ACTIONS(8727), 1,
      anon_sym_DOT,
    ACTIONS(8729), 1,
      anon_sym_AMP,
    STATE(3744), 1,
      sym__arrow_operator,
    STATE(5131), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(6070), 1,
      sym__async_keyword,
    STATE(7445), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2888), 6,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_where_keyword,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [194111] = 6,
    STATE(4301), 1,
      sym_simple_identifier,
    STATE(4418), 1,
      sym__simple_user_type,
    STATE(4363), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(8577), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(8575), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [194144] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2983), 16,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [194169] = 6,
    STATE(3621), 1,
      sym__arrow_operator,
    STATE(5062), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(6054), 1,
      sym__async_keyword,
    STATE(7506), 1,
      sym_throws,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2900), 13,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [194202] = 6,
    STATE(4218), 1,
      sym_simple_identifier,
    STATE(4231), 1,
      sym__simple_user_type,
    STATE(4223), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(8571), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(8569), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [194235] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2928), 17,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [194260] = 6,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4426), 1,
      sym__simple_user_type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [194293] = 4,
    ACTIONS(8327), 1,
      anon_sym_QMARK2,
    STATE(4714), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2840), 13,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [194322] = 13,
    ACTIONS(8664), 1,
      anon_sym_LPAREN,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    ACTIONS(8670), 1,
      sym_where_keyword,
    ACTIONS(8731), 1,
      sym__async_keyword_custom,
    STATE(5141), 1,
      sym__async_keyword,
    STATE(5316), 1,
      aux_sym__function_value_parameters,
    STATE(5373), 1,
      sym_throws,
    STATE(5587), 1,
      sym_type_constraints,
    STATE(6229), 1,
      sym__block,
    STATE(6349), 1,
      sym_function_body,
    ACTIONS(8668), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(4932), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [194369] = 6,
    STATE(1524), 1,
      sym_simple_identifier,
    STATE(1587), 1,
      sym__simple_user_type,
    STATE(1582), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(3512), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3510), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [194402] = 5,
    ACTIONS(2842), 1,
      anon_sym_QMARK,
    ACTIONS(8344), 1,
      anon_sym_QMARK2,
    STATE(4718), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2840), 12,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_AMP,
  [194433] = 6,
    ACTIONS(8733), 1,
      sym_integer_literal,
    STATE(2974), 1,
      sym_simple_identifier,
    STATE(2439), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(1311), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(1309), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [194466] = 4,
    ACTIONS(8735), 1,
      anon_sym_QMARK2,
    STATE(4693), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2859), 13,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LBRACE,
  [194495] = 11,
    ACTIONS(8420), 1,
      sym__arrow_operator_custom,
    ACTIONS(8422), 1,
      sym__async_keyword_custom,
    ACTIONS(8738), 1,
      anon_sym_DOT,
    ACTIONS(8740), 1,
      anon_sym_AMP,
    STATE(3621), 1,
      sym__arrow_operator,
    STATE(5062), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(6054), 1,
      sym__async_keyword,
    STATE(7506), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2892), 7,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [194538] = 6,
    STATE(4033), 1,
      sym_simple_identifier,
    STATE(4203), 1,
      sym__simple_user_type,
    STATE(4195), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(8442), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(8440), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [194571] = 6,
    STATE(1489), 1,
      sym_simple_identifier,
    STATE(1546), 1,
      sym__simple_user_type,
    STATE(1514), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(3472), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3470), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [194604] = 13,
    ACTIONS(8664), 1,
      anon_sym_LPAREN,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    ACTIONS(8670), 1,
      sym_where_keyword,
    ACTIONS(8742), 1,
      sym__async_keyword_custom,
    STATE(5196), 1,
      sym__async_keyword,
    STATE(5316), 1,
      aux_sym__function_value_parameters,
    STATE(5396), 1,
      sym_throws,
    STATE(5643), 1,
      sym_type_constraints,
    STATE(6149), 1,
      sym_function_body,
    STATE(6229), 1,
      sym__block,
    ACTIONS(8668), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(4872), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [194651] = 6,
    STATE(692), 1,
      sym_simple_identifier,
    STATE(715), 1,
      sym__simple_user_type,
    STATE(702), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(769), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(767), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [194684] = 5,
    ACTIONS(2861), 1,
      anon_sym_QMARK,
    ACTIONS(8744), 1,
      anon_sym_QMARK2,
    STATE(4699), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2859), 12,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_AMP,
  [194715] = 11,
    ACTIONS(8420), 1,
      sym__arrow_operator_custom,
    ACTIONS(8422), 1,
      sym__async_keyword_custom,
    ACTIONS(8738), 1,
      anon_sym_DOT,
    ACTIONS(8740), 1,
      anon_sym_AMP,
    STATE(3621), 1,
      sym__arrow_operator,
    STATE(5062), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(6054), 1,
      sym__async_keyword,
    STATE(7506), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2896), 7,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [194758] = 6,
    STATE(3621), 1,
      sym__arrow_operator,
    STATE(5062), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(6054), 1,
      sym__async_keyword,
    STATE(7506), 1,
      sym_throws,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2878), 13,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [194791] = 6,
    ACTIONS(2800), 1,
      anon_sym_QMARK,
    ACTIONS(8747), 1,
      sym__dot_custom,
    STATE(4655), 1,
      sym__dot,
    STATE(4702), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2798), 12,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
  [194824] = 6,
    ACTIONS(8750), 1,
      sym_integer_literal,
    STATE(2230), 1,
      sym_simple_identifier,
    STATE(2016), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(973), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(971), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [194857] = 11,
    ACTIONS(8420), 1,
      sym__arrow_operator_custom,
    ACTIONS(8422), 1,
      sym__async_keyword_custom,
    ACTIONS(8738), 1,
      anon_sym_DOT,
    ACTIONS(8740), 1,
      anon_sym_AMP,
    STATE(3621), 1,
      sym__arrow_operator,
    STATE(5062), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(6054), 1,
      sym__async_keyword,
    STATE(7506), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2874), 7,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [194900] = 6,
    STATE(4721), 1,
      sym_simple_identifier,
    STATE(4964), 1,
      sym__simple_user_type,
    STATE(4839), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(7160), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7158), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [194933] = 11,
    ACTIONS(8420), 1,
      sym__arrow_operator_custom,
    ACTIONS(8422), 1,
      sym__async_keyword_custom,
    ACTIONS(8738), 1,
      anon_sym_DOT,
    ACTIONS(8740), 1,
      anon_sym_AMP,
    STATE(3621), 1,
      sym__arrow_operator,
    STATE(5062), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(6054), 1,
      sym__async_keyword,
    STATE(7506), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2866), 7,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [194976] = 11,
    ACTIONS(8420), 1,
      sym__arrow_operator_custom,
    ACTIONS(8422), 1,
      sym__async_keyword_custom,
    ACTIONS(8738), 1,
      anon_sym_DOT,
    ACTIONS(8740), 1,
      anon_sym_AMP,
    STATE(3621), 1,
      sym__arrow_operator,
    STATE(5062), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(6054), 1,
      sym__async_keyword,
    STATE(7506), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2888), 7,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [195019] = 6,
    STATE(5826), 1,
      sym_simple_identifier,
    STATE(7149), 1,
      sym_identifier,
    STATE(6124), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(8015), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(8013), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [195052] = 6,
    STATE(5106), 1,
      sym_simple_identifier,
    STATE(5258), 1,
      sym__simple_user_type,
    STATE(5204), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(7206), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7204), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [195085] = 11,
    ACTIONS(8389), 1,
      sym__arrow_operator_custom,
    ACTIONS(8391), 1,
      sym__async_keyword_custom,
    ACTIONS(8650), 1,
      anon_sym_DOT,
    ACTIONS(8652), 1,
      anon_sym_AMP,
    STATE(3507), 1,
      sym__arrow_operator,
    STATE(5051), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(6021), 1,
      sym__async_keyword,
    STATE(7570), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2888), 6,
      sym_where_keyword,
      sym__as_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LBRACE,
  [195128] = 6,
    STATE(4307), 1,
      sym_simple_identifier,
    STATE(4426), 1,
      sym__simple_user_type,
    STATE(4343), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(6875), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6873), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [195161] = 13,
    ACTIONS(8664), 1,
      anon_sym_LPAREN,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    ACTIONS(8670), 1,
      sym_where_keyword,
    ACTIONS(8752), 1,
      sym__async_keyword_custom,
    STATE(5217), 1,
      sym__async_keyword,
    STATE(5316), 1,
      aux_sym__function_value_parameters,
    STATE(5394), 1,
      sym_throws,
    STATE(5688), 1,
      sym_type_constraints,
    STATE(6229), 1,
      sym__block,
    STATE(6426), 1,
      sym_function_body,
    ACTIONS(8668), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(4889), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [195208] = 6,
    ACTIONS(8754), 1,
      anon_sym_COLON,
    STATE(7901), 1,
      sym_simple_identifier,
    STATE(4320), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(2814), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2812), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [195241] = 4,
    ACTIONS(8327), 1,
      anon_sym_QMARK2,
    STATE(4719), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2794), 13,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [195270] = 6,
    STATE(4713), 1,
      sym_simple_identifier,
    STATE(6435), 1,
      sym_parameter,
    STATE(4320), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(2814), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2812), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [195303] = 13,
    ACTIONS(8664), 1,
      anon_sym_LPAREN,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    ACTIONS(8670), 1,
      sym_where_keyword,
    ACTIONS(8756), 1,
      sym__async_keyword_custom,
    STATE(5136), 1,
      sym__async_keyword,
    STATE(5316), 1,
      aux_sym__function_value_parameters,
    STATE(5424), 1,
      sym_throws,
    STATE(5570), 1,
      sym_type_constraints,
    STATE(6229), 1,
      sym__block,
    STATE(6338), 1,
      sym_function_body,
    ACTIONS(8668), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(4907), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [195350] = 13,
    ACTIONS(8664), 1,
      anon_sym_LPAREN,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    ACTIONS(8670), 1,
      sym_where_keyword,
    ACTIONS(8758), 1,
      sym__async_keyword_custom,
    STATE(5156), 1,
      sym__async_keyword,
    STATE(5316), 1,
      aux_sym__function_value_parameters,
    STATE(5412), 1,
      sym_throws,
    STATE(5581), 1,
      sym_type_constraints,
    STATE(6229), 1,
      sym__block,
    STATE(6454), 1,
      sym_function_body,
    ACTIONS(8668), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(4907), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [195397] = 5,
    ACTIONS(2796), 1,
      anon_sym_QMARK,
    ACTIONS(8344), 1,
      anon_sym_QMARK2,
    STATE(4699), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2794), 12,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_AMP,
  [195428] = 4,
    ACTIONS(8760), 1,
      anon_sym_QMARK2,
    STATE(4719), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2859), 13,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [195457] = 6,
    STATE(1104), 1,
      sym_simple_identifier,
    STATE(1192), 1,
      sym__simple_user_type,
    STATE(1236), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(8551), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(8549), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [195490] = 5,
    ACTIONS(2884), 1,
      anon_sym_QMARK,
    ACTIONS(8763), 1,
      anon_sym_LT,
    STATE(4961), 1,
      sym_type_arguments,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2882), 13,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_in,
  [195521] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2955), 16,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [195546] = 6,
    ACTIONS(8765), 1,
      sym_integer_literal,
    STATE(1107), 1,
      sym_simple_identifier,
    STATE(1015), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(675), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(673), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [195579] = 6,
    STATE(5826), 1,
      sym_simple_identifier,
    STATE(7049), 1,
      sym_identifier,
    STATE(6124), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(8015), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(8013), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [195612] = 6,
    ACTIONS(8767), 1,
      sym_integer_literal,
    STATE(1237), 1,
      sym_simple_identifier,
    STATE(1051), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(293), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(291), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [195645] = 6,
    STATE(4292), 1,
      sym_simple_identifier,
    STATE(4369), 1,
      sym__simple_user_type,
    STATE(4313), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(5804), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5802), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [195678] = 6,
    STATE(5704), 1,
      sym_simple_identifier,
    STATE(6652), 1,
      sym_identifier,
    STATE(6396), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(8009), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(8007), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [195711] = 6,
    STATE(1836), 1,
      sym_simple_identifier,
    STATE(1853), 1,
      sym__simple_user_type,
    STATE(1866), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(3791), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3789), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [195744] = 6,
    ACTIONS(8769), 1,
      sym_integer_literal,
    STATE(2637), 1,
      sym_simple_identifier,
    STATE(2218), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(1229), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(1227), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [195777] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2995), 16,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [195802] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2991), 15,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [195826] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2910), 15,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [195850] = 10,
    ACTIONS(8200), 1,
      anon_sym_QMARK2,
    ACTIONS(8771), 1,
      sym__arrow_operator_custom,
    ACTIONS(8773), 1,
      sym__async_keyword_custom,
    STATE(3709), 1,
      sym__arrow_operator,
    STATE(5947), 1,
      sym__async_keyword,
    STATE(7628), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    STATE(4506), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2840), 5,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_in,
  [195890] = 13,
    ACTIONS(8775), 1,
      anon_sym_LPAREN,
    ACTIONS(8777), 1,
      anon_sym_LBRACE,
    ACTIONS(8781), 1,
      sym_where_keyword,
    ACTIONS(8783), 1,
      sym__async_keyword_custom,
    STATE(5228), 1,
      sym__async_keyword,
    STATE(5353), 1,
      aux_sym__function_value_parameters,
    STATE(5479), 1,
      sym_throws,
    STATE(5744), 1,
      sym_type_constraints,
    STATE(6797), 1,
      sym_function_body,
    STATE(6886), 1,
      sym__block,
    ACTIONS(8779), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(4954), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [195936] = 5,
    STATE(3238), 1,
      sym_simple_identifier,
    STATE(3264), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(8787), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(8785), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [195966] = 5,
    STATE(5100), 1,
      sym_simple_identifier,
    STATE(5177), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(8791), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(8789), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [195996] = 5,
    STATE(5620), 1,
      sym_simple_identifier,
    STATE(5797), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(3446), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3444), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [196026] = 13,
    ACTIONS(8775), 1,
      anon_sym_LPAREN,
    ACTIONS(8777), 1,
      anon_sym_LBRACE,
    ACTIONS(8781), 1,
      sym_where_keyword,
    ACTIONS(8793), 1,
      sym__async_keyword_custom,
    STATE(5313), 1,
      sym__async_keyword,
    STATE(5353), 1,
      aux_sym__function_value_parameters,
    STATE(5465), 1,
      sym_throws,
    STATE(5755), 1,
      sym_type_constraints,
    STATE(6805), 1,
      sym_function_body,
    STATE(6886), 1,
      sym__block,
    ACTIONS(8779), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(4954), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [196072] = 8,
    ACTIONS(8795), 1,
      anon_sym_LT,
    ACTIONS(8797), 1,
      sym__dot_custom,
    STATE(4750), 1,
      sym__dot,
    STATE(5250), 1,
      sym_type_arguments,
    STATE(5798), 1,
      aux_sym_identifier_repeat1,
    ACTIONS(5602), 3,
      sym__eq_custom,
      sym__eq_eq_custom,
      anon_sym_COLON,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2882), 7,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
  [196108] = 5,
    ACTIONS(2861), 1,
      anon_sym_QMARK,
    ACTIONS(8799), 1,
      anon_sym_QMARK2,
    STATE(4740), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2859), 11,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_in,
  [196138] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2910), 16,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [196162] = 5,
    STATE(5636), 1,
      sym_simple_identifier,
    STATE(5797), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(3446), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3444), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [196192] = 5,
    STATE(3236), 1,
      sym_simple_identifier,
    STATE(3264), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(8787), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(8785), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [196222] = 5,
    STATE(5978), 1,
      sym_simple_identifier,
    STATE(6240), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(8804), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(8802), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [196252] = 6,
    ACTIONS(2800), 1,
      anon_sym_DOT,
    ACTIONS(8806), 1,
      sym__dot_custom,
    STATE(4649), 1,
      sym__dot,
    STATE(4745), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2798), 11,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
  [196284] = 5,
    STATE(1868), 1,
      sym_simple_identifier,
    STATE(1928), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(8149), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(8147), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [196314] = 5,
    STATE(1802), 1,
      sym_simple_identifier,
    STATE(1928), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(8149), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(8147), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [196344] = 5,
    STATE(7908), 1,
      sym_simple_identifier,
    STATE(4320), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(2814), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2812), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [196374] = 5,
    STATE(5181), 1,
      sym_simple_identifier,
    STATE(5309), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(8811), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(8809), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [196404] = 5,
    STATE(6437), 1,
      sym_simple_identifier,
    STATE(6222), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(8815), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(8813), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [196434] = 5,
    STATE(5123), 1,
      sym_simple_identifier,
    STATE(5177), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(8791), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(8789), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [196464] = 6,
    STATE(3892), 1,
      sym__arrow_operator,
    STATE(5213), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(5906), 1,
      sym__async_keyword,
    STATE(7608), 1,
      sym_throws,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2900), 11,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
  [196496] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2798), 15,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [196520] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2910), 15,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_BANG,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LBRACE,
      anon_sym_in,
  [196544] = 5,
    STATE(7633), 1,
      sym_simple_identifier,
    STATE(4320), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(2814), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2812), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [196574] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2975), 15,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_BANG,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LBRACE,
      anon_sym_in,
  [196598] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2914), 15,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_BANG,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LBRACE,
      anon_sym_in,
  [196622] = 11,
    ACTIONS(8506), 1,
      sym__arrow_operator_custom,
    ACTIONS(8508), 1,
      sym__async_keyword_custom,
    ACTIONS(8817), 1,
      anon_sym_DOT,
    ACTIONS(8819), 1,
      anon_sym_AMP,
    STATE(3577), 1,
      sym__arrow_operator,
    STATE(5202), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(6006), 1,
      sym__async_keyword,
    STATE(7590), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2888), 5,
      sym__as_custom,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
  [196664] = 5,
    STATE(5173), 1,
      sym_simple_identifier,
    STATE(5309), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(8811), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(8809), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [196694] = 11,
    ACTIONS(8506), 1,
      sym__arrow_operator_custom,
    ACTIONS(8508), 1,
      sym__async_keyword_custom,
    ACTIONS(8817), 1,
      anon_sym_DOT,
    ACTIONS(8819), 1,
      anon_sym_AMP,
    STATE(3577), 1,
      sym__arrow_operator,
    STATE(5202), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(6006), 1,
      sym__async_keyword,
    STATE(7590), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2896), 5,
      sym__as_custom,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
  [196736] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2983), 15,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_BANG,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LBRACE,
      anon_sym_in,
  [196760] = 5,
    ACTIONS(8821), 1,
      sym__dot_custom,
    STATE(4672), 1,
      sym__dot,
    STATE(4771), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2805), 12,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym_else,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
  [196790] = 4,
    ACTIONS(8823), 1,
      anon_sym_LT,
    STATE(5099), 1,
      sym_type_arguments,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2882), 13,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym_else,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
  [196818] = 11,
    ACTIONS(8506), 1,
      sym__arrow_operator_custom,
    ACTIONS(8508), 1,
      sym__async_keyword_custom,
    ACTIONS(8817), 1,
      anon_sym_DOT,
    ACTIONS(8819), 1,
      anon_sym_AMP,
    STATE(3577), 1,
      sym__arrow_operator,
    STATE(5202), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(6006), 1,
      sym__async_keyword,
    STATE(7590), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2866), 5,
      sym__as_custom,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
  [196860] = 13,
    ACTIONS(8775), 1,
      anon_sym_LPAREN,
    ACTIONS(8777), 1,
      anon_sym_LBRACE,
    ACTIONS(8781), 1,
      sym_where_keyword,
    ACTIONS(8825), 1,
      sym__async_keyword_custom,
    STATE(5305), 1,
      sym__async_keyword,
    STATE(5353), 1,
      aux_sym__function_value_parameters,
    STATE(5466), 1,
      sym_throws,
    STATE(5778), 1,
      sym_type_constraints,
    STATE(6886), 1,
      sym__block,
    STATE(6967), 1,
      sym_function_body,
    ACTIONS(8779), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(4946), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [196906] = 11,
    ACTIONS(8506), 1,
      sym__arrow_operator_custom,
    ACTIONS(8508), 1,
      sym__async_keyword_custom,
    ACTIONS(8817), 1,
      anon_sym_DOT,
    ACTIONS(8819), 1,
      anon_sym_AMP,
    STATE(3577), 1,
      sym__arrow_operator,
    STATE(5202), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(6006), 1,
      sym__async_keyword,
    STATE(7590), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2874), 5,
      sym__as_custom,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
  [196948] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2995), 16,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [196972] = 6,
    STATE(3577), 1,
      sym__arrow_operator,
    STATE(5202), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(6006), 1,
      sym__async_keyword,
    STATE(7590), 1,
      sym_throws,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2900), 11,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP,
  [197004] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2983), 15,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [197028] = 13,
    ACTIONS(8775), 1,
      anon_sym_LPAREN,
    ACTIONS(8777), 1,
      anon_sym_LBRACE,
    ACTIONS(8781), 1,
      sym_where_keyword,
    ACTIONS(8827), 1,
      sym__async_keyword_custom,
    STATE(5246), 1,
      sym__async_keyword,
    STATE(5353), 1,
      aux_sym__function_value_parameters,
    STATE(5428), 1,
      sym_throws,
    STATE(5765), 1,
      sym_type_constraints,
    STATE(6886), 1,
      sym__block,
    STATE(7036), 1,
      sym_function_body,
    ACTIONS(8779), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(4946), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [197074] = 5,
    ACTIONS(8821), 1,
      sym__dot_custom,
    STATE(4672), 1,
      sym__dot,
    STATE(4919), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2852), 12,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym_else,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
  [197104] = 5,
    STATE(1747), 1,
      sym_simple_identifier,
    STATE(1827), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(8831), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(8829), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [197134] = 6,
    STATE(3577), 1,
      sym__arrow_operator,
    STATE(5202), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(6006), 1,
      sym__async_keyword,
    STATE(7590), 1,
      sym_throws,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2878), 11,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP,
  [197166] = 11,
    ACTIONS(8506), 1,
      sym__arrow_operator_custom,
    ACTIONS(8508), 1,
      sym__async_keyword_custom,
    ACTIONS(8817), 1,
      anon_sym_DOT,
    ACTIONS(8819), 1,
      anon_sym_AMP,
    STATE(3577), 1,
      sym__arrow_operator,
    STATE(5202), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(6006), 1,
      sym__async_keyword,
    STATE(7590), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2892), 5,
      sym__as_custom,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
  [197208] = 11,
    ACTIONS(4817), 1,
      anon_sym_DOT,
    ACTIONS(8610), 1,
      sym__arrow_operator_custom,
    ACTIONS(8612), 1,
      sym__async_keyword_custom,
    ACTIONS(8833), 1,
      anon_sym_AMP,
    STATE(3892), 1,
      sym__arrow_operator,
    STATE(5213), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(5906), 1,
      sym__async_keyword,
    STATE(7608), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2866), 5,
      sym__eq_custom,
      sym_where_keyword,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LBRACE,
  [197250] = 11,
    ACTIONS(4817), 1,
      anon_sym_DOT,
    ACTIONS(8610), 1,
      sym__arrow_operator_custom,
    ACTIONS(8612), 1,
      sym__async_keyword_custom,
    ACTIONS(8833), 1,
      anon_sym_AMP,
    STATE(3892), 1,
      sym__arrow_operator,
    STATE(5213), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(5906), 1,
      sym__async_keyword,
    STATE(7608), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2874), 5,
      sym__eq_custom,
      sym_where_keyword,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LBRACE,
  [197292] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2955), 16,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [197316] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2914), 15,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [197340] = 5,
    ACTIONS(8161), 1,
      anon_sym_AT,
    STATE(4917), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(8837), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(8835), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [197370] = 3,
    STATE(4790), 1,
      aux_sym_protocol_composition_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3014), 14,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [197396] = 13,
    ACTIONS(8775), 1,
      anon_sym_LPAREN,
    ACTIONS(8777), 1,
      anon_sym_LBRACE,
    ACTIONS(8781), 1,
      sym_where_keyword,
    ACTIONS(8839), 1,
      sym__async_keyword_custom,
    STATE(5272), 1,
      sym__async_keyword,
    STATE(5353), 1,
      aux_sym__function_value_parameters,
    STATE(5542), 1,
      sym_throws,
    STATE(5865), 1,
      sym_type_constraints,
    STATE(6886), 1,
      sym__block,
    STATE(7074), 1,
      sym_function_body,
    ACTIONS(8779), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(4923), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [197442] = 5,
    STATE(5615), 1,
      sym_simple_identifier,
    STATE(5797), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(3446), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3444), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [197472] = 5,
    STATE(5616), 1,
      sym_simple_identifier,
    STATE(5797), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(3446), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3444), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [197502] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2963), 15,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [197526] = 5,
    STATE(5673), 1,
      sym_simple_identifier,
    STATE(5797), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(3446), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3444), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [197556] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2975), 15,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [197580] = 5,
    STATE(2339), 1,
      sym_simple_identifier,
    STATE(1641), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(8003), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(8001), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [197610] = 5,
    STATE(5367), 1,
      sym_simple_identifier,
    STATE(5613), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(8843), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(8841), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [197640] = 5,
    STATE(5659), 1,
      sym_simple_identifier,
    STATE(5797), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(3446), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3444), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [197670] = 4,
    ACTIONS(8845), 1,
      anon_sym_AMP,
    STATE(4790), 1,
      aux_sym_protocol_composition_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2892), 13,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [197698] = 5,
    ACTIONS(2861), 1,
      anon_sym_QMARK,
    ACTIONS(8848), 1,
      anon_sym_QMARK2,
    STATE(4791), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2859), 11,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
  [197728] = 3,
    ACTIONS(2926), 1,
      anon_sym_QMARK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2924), 14,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
  [197754] = 5,
    STATE(5441), 1,
      sym_simple_identifier,
    STATE(5758), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(8853), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(8851), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [197784] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2967), 15,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [197808] = 6,
    STATE(3614), 1,
      sym__arrow_operator,
    STATE(5148), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(6004), 1,
      sym__async_keyword,
    STATE(7597), 1,
      sym_throws,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2900), 11,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym_else,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
  [197840] = 3,
    ACTIONS(2965), 1,
      anon_sym_QMARK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2963), 14,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
  [197866] = 11,
    ACTIONS(8541), 1,
      sym__arrow_operator_custom,
    ACTIONS(8543), 1,
      sym__async_keyword_custom,
    ACTIONS(8855), 1,
      anon_sym_DOT,
    ACTIONS(8857), 1,
      anon_sym_AMP,
    STATE(3614), 1,
      sym__arrow_operator,
    STATE(5148), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(6004), 1,
      sym__async_keyword,
    STATE(7597), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2896), 5,
      sym__eq_custom,
      sym_where_keyword,
      sym_else,
      anon_sym_COMMA,
      anon_sym_BANG,
  [197908] = 5,
    STATE(1978), 1,
      sym_simple_identifier,
    STATE(2248), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(8861), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(8859), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [197938] = 5,
    STATE(7697), 1,
      sym_simple_identifier,
    STATE(4320), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(2814), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2812), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [197968] = 6,
    STATE(3892), 1,
      sym__arrow_operator,
    STATE(5213), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(5906), 1,
      sym__async_keyword,
    STATE(7608), 1,
      sym_throws,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2878), 11,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
  [198000] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2924), 15,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [198024] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2955), 15,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_BANG,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LBRACE,
      anon_sym_in,
  [198048] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2798), 15,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LBRACE,
  [198072] = 12,
    ACTIONS(8670), 1,
      sym_where_keyword,
    ACTIONS(8863), 1,
      anon_sym_LPAREN,
    ACTIONS(8867), 1,
      sym__arrow_operator_custom,
    ACTIONS(8871), 1,
      sym__async_keyword_custom,
    STATE(3473), 1,
      sym__arrow_operator,
    STATE(5231), 1,
      sym__async_keyword,
    STATE(5245), 1,
      aux_sym__function_value_parameters,
    STATE(5474), 1,
      sym_throws,
    STATE(6207), 1,
      sym_type_constraints,
    ACTIONS(8869), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(8865), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [198116] = 5,
    STATE(7902), 1,
      sym_simple_identifier,
    STATE(4320), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(2814), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2812), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [198146] = 5,
    STATE(5074), 1,
      sym_simple_identifier,
    STATE(5177), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(8791), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(8789), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [198176] = 4,
    ACTIONS(8418), 1,
      anon_sym_QMARK2,
    STATE(4820), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2840), 13,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [198204] = 5,
    STATE(7896), 1,
      sym_simple_identifier,
    STATE(4320), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(2814), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2812), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [198234] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2798), 16,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [198258] = 11,
    ACTIONS(8635), 1,
      sym__arrow_operator_custom,
    ACTIONS(8637), 1,
      sym__async_keyword_custom,
    ACTIONS(8873), 1,
      anon_sym_DOT,
    ACTIONS(8875), 1,
      anon_sym_AMP,
    STATE(3492), 1,
      sym__arrow_operator,
    STATE(5147), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(6026), 1,
      sym__async_keyword,
    STATE(7560), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2896), 5,
      sym__eq_custom,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT_DOT_DOT,
  [198300] = 5,
    STATE(5623), 1,
      sym_simple_identifier,
    STATE(5797), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(3446), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3444), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [198330] = 5,
    STATE(7761), 1,
      sym_simple_identifier,
    STATE(4320), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(2814), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2812), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [198360] = 5,
    STATE(5596), 1,
      sym_simple_identifier,
    STATE(5797), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(3446), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3444), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [198390] = 5,
    STATE(5594), 1,
      sym_simple_identifier,
    STATE(5797), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(3446), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3444), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [198420] = 5,
    STATE(5599), 1,
      sym_simple_identifier,
    STATE(5797), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(3446), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3444), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [198450] = 5,
    STATE(5183), 1,
      sym_simple_identifier,
    STATE(5309), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(8811), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(8809), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [198480] = 5,
    STATE(5577), 1,
      sym_simple_identifier,
    STATE(5797), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(3446), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3444), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [198510] = 5,
    STATE(7690), 1,
      sym_simple_identifier,
    STATE(4320), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(2814), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2812), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [198540] = 5,
    STATE(7890), 1,
      sym_simple_identifier,
    STATE(4320), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(2814), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2812), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [198570] = 4,
    ACTIONS(8418), 1,
      anon_sym_QMARK2,
    STATE(4830), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2794), 13,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [198598] = 5,
    STATE(7691), 1,
      sym_simple_identifier,
    STATE(4320), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(2814), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2812), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [198628] = 5,
    STATE(5494), 1,
      sym_simple_identifier,
    STATE(5627), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(3849), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3847), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [198658] = 3,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(8879), 4,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
      anon_sym_LPAREN,
    ACTIONS(8877), 11,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_in,
      anon_sym_self,
      anon_sym_borrowing,
      anon_sym_consuming,
  [198684] = 5,
    STATE(5521), 1,
      sym_simple_identifier,
    STATE(5627), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(3849), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3847), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [198714] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2955), 15,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [198738] = 5,
    STATE(6246), 1,
      sym_simple_identifier,
    STATE(1928), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(8149), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(8147), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [198768] = 5,
    STATE(7832), 1,
      sym_simple_identifier,
    STATE(4320), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(2814), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2812), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [198798] = 11,
    ACTIONS(8635), 1,
      sym__arrow_operator_custom,
    ACTIONS(8637), 1,
      sym__async_keyword_custom,
    ACTIONS(8873), 1,
      anon_sym_DOT,
    ACTIONS(8875), 1,
      anon_sym_AMP,
    STATE(3492), 1,
      sym__arrow_operator,
    STATE(5147), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(6026), 1,
      sym__async_keyword,
    STATE(7560), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2866), 5,
      sym__eq_custom,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT_DOT_DOT,
  [198840] = 11,
    ACTIONS(8635), 1,
      sym__arrow_operator_custom,
    ACTIONS(8637), 1,
      sym__async_keyword_custom,
    ACTIONS(8873), 1,
      anon_sym_DOT,
    ACTIONS(8875), 1,
      anon_sym_AMP,
    STATE(3492), 1,
      sym__arrow_operator,
    STATE(5147), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(6026), 1,
      sym__async_keyword,
    STATE(7560), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2874), 5,
      sym__eq_custom,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT_DOT_DOT,
  [198882] = 4,
    ACTIONS(8881), 1,
      anon_sym_QMARK2,
    STATE(4830), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2859), 13,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [198910] = 5,
    STATE(3243), 1,
      sym_simple_identifier,
    STATE(3264), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(8787), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(8785), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [198940] = 5,
    STATE(6104), 1,
      sym_simple_identifier,
    STATE(6396), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(8009), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(8007), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [198970] = 10,
    ACTIONS(8884), 1,
      anon_sym_QMARK2,
    ACTIONS(8886), 1,
      sym__arrow_operator_custom,
    ACTIONS(8888), 1,
      sym__async_keyword_custom,
    STATE(3844), 1,
      sym__arrow_operator,
    STATE(5944), 1,
      sym__async_keyword,
    STATE(7538), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    STATE(5190), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2840), 5,
      sym__eq_custom,
      sym__eq_eq_custom,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_AMP,
  [199010] = 5,
    STATE(5533), 1,
      sym_simple_identifier,
    STATE(5627), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(3849), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3847), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [199040] = 5,
    STATE(5583), 1,
      sym_simple_identifier,
    STATE(5797), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(3446), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3444), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [199070] = 5,
    STATE(5567), 1,
      sym_simple_identifier,
    STATE(5758), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(8853), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(8851), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [199100] = 7,
    ACTIONS(2880), 1,
      anon_sym_DOT,
    STATE(3492), 1,
      sym__arrow_operator,
    STATE(5147), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(6026), 1,
      sym__async_keyword,
    STATE(7560), 1,
      sym_throws,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2878), 10,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
  [199134] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2991), 15,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_BANG,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LBRACE,
      anon_sym_in,
  [199158] = 3,
    ACTIONS(2930), 1,
      anon_sym_QMARK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2928), 14,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_in,
  [199184] = 5,
    STATE(5436), 1,
      sym_simple_identifier,
    STATE(5628), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(3866), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3864), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [199214] = 13,
    ACTIONS(8890), 1,
      anon_sym_COLON,
    ACTIONS(8892), 1,
      anon_sym_LBRACE,
    ACTIONS(8894), 1,
      sym__eq_custom,
    ACTIONS(8896), 1,
      sym_where_keyword,
    STATE(540), 1,
      sym__equal_sign,
    STATE(5083), 1,
      sym_type_annotation,
    STATE(5289), 1,
      sym_type_constraints,
    STATE(6147), 1,
      sym__expression_with_willset_didset,
    STATE(6154), 1,
      sym__expression_without_willset_didset,
    STATE(6161), 1,
      sym_willset_didset_block,
    STATE(6187), 1,
      sym_computed_property,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(4895), 5,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [199260] = 5,
    STATE(7884), 1,
      sym_simple_identifier,
    STATE(4320), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(2814), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2812), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [199290] = 5,
    ACTIONS(2796), 1,
      anon_sym_QMARK,
    ACTIONS(8387), 1,
      anon_sym_QMARK2,
    STATE(4791), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2794), 11,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
  [199320] = 5,
    STATE(5397), 1,
      sym_simple_identifier,
    STATE(5613), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(8843), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(8841), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [199350] = 5,
    ACTIONS(2796), 1,
      anon_sym_QMARK,
    ACTIONS(8504), 1,
      anon_sym_QMARK2,
    STATE(4740), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2794), 11,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_in,
  [199380] = 13,
    ACTIONS(8775), 1,
      anon_sym_LPAREN,
    ACTIONS(8777), 1,
      anon_sym_LBRACE,
    ACTIONS(8781), 1,
      sym_where_keyword,
    ACTIONS(8898), 1,
      sym__async_keyword_custom,
    STATE(5241), 1,
      sym__async_keyword,
    STATE(5353), 1,
      aux_sym__function_value_parameters,
    STATE(5519), 1,
      sym_throws,
    STATE(5717), 1,
      sym_type_constraints,
    STATE(6886), 1,
      sym__block,
    STATE(6978), 1,
      sym_function_body,
    ACTIONS(8779), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(4913), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [199426] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2983), 16,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [199450] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2928), 15,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [199474] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2995), 15,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [199498] = 5,
    STATE(1741), 1,
      sym_simple_identifier,
    STATE(1827), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(8831), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(8829), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [199528] = 6,
    STATE(3614), 1,
      sym__arrow_operator,
    STATE(5148), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(6004), 1,
      sym__async_keyword,
    STATE(7597), 1,
      sym_throws,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2878), 11,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym_else,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
  [199560] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2928), 16,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [199584] = 5,
    STATE(7692), 1,
      sym_simple_identifier,
    STATE(4320), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(2814), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2812), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [199614] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2971), 15,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [199638] = 5,
    STATE(7876), 1,
      sym_simple_identifier,
    STATE(4320), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(2814), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2812), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [199668] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2914), 16,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [199692] = 11,
    ACTIONS(8635), 1,
      sym__arrow_operator_custom,
    ACTIONS(8637), 1,
      sym__async_keyword_custom,
    ACTIONS(8873), 1,
      anon_sym_DOT,
    ACTIONS(8875), 1,
      anon_sym_AMP,
    STATE(3492), 1,
      sym__arrow_operator,
    STATE(5147), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(6026), 1,
      sym__async_keyword,
    STATE(7560), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2892), 5,
      sym__eq_custom,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT_DOT_DOT,
  [199734] = 3,
    STATE(4868), 1,
      aux_sym_protocol_composition_type_repeat1,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3014), 15,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [199760] = 5,
    STATE(2334), 1,
      sym_simple_identifier,
    STATE(2608), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(8902), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(8900), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [199790] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2967), 15,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_BANG,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LBRACE,
      anon_sym_in,
  [199814] = 5,
    STATE(5442), 1,
      sym_simple_identifier,
    STATE(5628), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(3866), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3864), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [199844] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2963), 15,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LBRACE,
  [199868] = 5,
    STATE(7852), 1,
      sym_simple_identifier,
    STATE(4320), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(2814), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2812), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [199898] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2975), 16,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [199922] = 5,
    STATE(1761), 1,
      sym_simple_identifier,
    STATE(1827), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(8831), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(8829), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [199952] = 11,
    ACTIONS(8541), 1,
      sym__arrow_operator_custom,
    ACTIONS(8543), 1,
      sym__async_keyword_custom,
    ACTIONS(8855), 1,
      anon_sym_DOT,
    ACTIONS(8857), 1,
      anon_sym_AMP,
    STATE(3614), 1,
      sym__arrow_operator,
    STATE(5148), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(6004), 1,
      sym__async_keyword,
    STATE(7597), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2866), 5,
      sym__eq_custom,
      sym_where_keyword,
      sym_else,
      anon_sym_COMMA,
      anon_sym_BANG,
  [199994] = 5,
    STATE(5482), 1,
      sym_simple_identifier,
    STATE(5628), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(3866), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3864), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [200024] = 4,
    ACTIONS(8904), 1,
      anon_sym_AMP,
    STATE(4868), 1,
      aux_sym_protocol_composition_type_repeat1,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2892), 14,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [200052] = 5,
    STATE(5625), 1,
      sym_simple_identifier,
    STATE(5797), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(3446), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3444), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [200082] = 3,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2963), 6,
      sym__dot_custom,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
      anon_sym_LPAREN,
      anon_sym_AT,
    ACTIONS(2965), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [200108] = 3,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2924), 6,
      sym__dot_custom,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
      anon_sym_LPAREN,
      anon_sym_AT,
    ACTIONS(2926), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [200134] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2967), 16,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [200158] = 5,
    STATE(5634), 1,
      sym_simple_identifier,
    STATE(5797), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(3446), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3444), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [200188] = 5,
    STATE(7914), 1,
      sym_simple_identifier,
    STATE(4320), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(2814), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2812), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [200218] = 3,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2971), 6,
      sym__dot_custom,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
      anon_sym_LPAREN,
      anon_sym_AT,
    ACTIONS(2973), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [200244] = 11,
    ACTIONS(8541), 1,
      sym__arrow_operator_custom,
    ACTIONS(8543), 1,
      sym__async_keyword_custom,
    ACTIONS(8855), 1,
      anon_sym_DOT,
    ACTIONS(8857), 1,
      anon_sym_AMP,
    STATE(3614), 1,
      sym__arrow_operator,
    STATE(5148), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(6004), 1,
      sym__async_keyword,
    STATE(7597), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2874), 5,
      sym__eq_custom,
      sym_where_keyword,
      sym_else,
      anon_sym_COMMA,
      anon_sym_BANG,
  [200286] = 12,
    ACTIONS(8670), 1,
      sym_where_keyword,
    ACTIONS(8863), 1,
      anon_sym_LPAREN,
    ACTIONS(8909), 1,
      sym__arrow_operator_custom,
    ACTIONS(8911), 1,
      sym__async_keyword_custom,
    STATE(3443), 1,
      sym__arrow_operator,
    STATE(5245), 1,
      aux_sym__function_value_parameters,
    STATE(5317), 1,
      sym__async_keyword,
    STATE(5458), 1,
      sym_throws,
    STATE(6444), 1,
      sym_type_constraints,
    ACTIONS(8869), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(8907), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [200330] = 5,
    STATE(6129), 1,
      sym_simple_identifier,
    STATE(6223), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(8500), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(8498), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [200360] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2928), 15,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LBRACE,
  [200384] = 5,
    STATE(5656), 1,
      sym_simple_identifier,
    STATE(5797), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(3446), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3444), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [200414] = 6,
    ACTIONS(2854), 1,
      anon_sym_DOT,
    ACTIONS(8913), 1,
      sym__dot_custom,
    STATE(4649), 1,
      sym__dot,
    STATE(4745), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2852), 11,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
  [200446] = 3,
    ACTIONS(2930), 1,
      anon_sym_QMARK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2928), 14,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
  [200472] = 5,
    STATE(5410), 1,
      sym_simple_identifier,
    STATE(5547), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(8917), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(8915), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [200502] = 4,
    ACTIONS(8427), 1,
      anon_sym_QMARK2,
    STATE(4897), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2840), 12,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [200530] = 11,
    ACTIONS(4817), 1,
      anon_sym_DOT,
    ACTIONS(8610), 1,
      sym__arrow_operator_custom,
    ACTIONS(8612), 1,
      sym__async_keyword_custom,
    ACTIONS(8833), 1,
      anon_sym_AMP,
    STATE(3892), 1,
      sym__arrow_operator,
    STATE(5213), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(5906), 1,
      sym__async_keyword,
    STATE(7608), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2896), 5,
      sym__eq_custom,
      sym_where_keyword,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LBRACE,
  [200572] = 5,
    STATE(7743), 1,
      sym_simple_identifier,
    STATE(4320), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(2814), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2812), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [200602] = 11,
    ACTIONS(8541), 1,
      sym__arrow_operator_custom,
    ACTIONS(8543), 1,
      sym__async_keyword_custom,
    ACTIONS(8855), 1,
      anon_sym_DOT,
    ACTIONS(8857), 1,
      anon_sym_AMP,
    STATE(3614), 1,
      sym__arrow_operator,
    STATE(5148), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(6004), 1,
      sym__async_keyword,
    STATE(7597), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2892), 5,
      sym__eq_custom,
      sym_where_keyword,
      sym_else,
      anon_sym_COMMA,
      anon_sym_BANG,
  [200644] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2995), 15,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_BANG,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LBRACE,
      anon_sym_in,
  [200668] = 5,
    STATE(6266), 1,
      sym_simple_identifier,
    STATE(1928), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(8149), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(8147), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [200698] = 5,
    STATE(7744), 1,
      sym_simple_identifier,
    STATE(4320), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(2814), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2812), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [200728] = 5,
    STATE(7745), 1,
      sym_simple_identifier,
    STATE(4320), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(2814), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2812), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [200758] = 13,
    ACTIONS(8775), 1,
      anon_sym_LPAREN,
    ACTIONS(8777), 1,
      anon_sym_LBRACE,
    ACTIONS(8781), 1,
      sym_where_keyword,
    ACTIONS(8919), 1,
      sym__async_keyword_custom,
    STATE(5260), 1,
      sym__async_keyword,
    STATE(5353), 1,
      aux_sym__function_value_parameters,
    STATE(5524), 1,
      sym_throws,
    STATE(5768), 1,
      sym_type_constraints,
    STATE(6844), 1,
      sym_function_body,
    STATE(6886), 1,
      sym__block,
    ACTIONS(8779), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(4889), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [200804] = 5,
    STATE(5422), 1,
      sym_simple_identifier,
    STATE(5547), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(8917), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(8915), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [200834] = 13,
    ACTIONS(8775), 1,
      anon_sym_LPAREN,
    ACTIONS(8777), 1,
      anon_sym_LBRACE,
    ACTIONS(8781), 1,
      sym_where_keyword,
    ACTIONS(8921), 1,
      sym__async_keyword_custom,
    STATE(5265), 1,
      sym__async_keyword,
    STATE(5353), 1,
      aux_sym__function_value_parameters,
    STATE(5440), 1,
      sym_throws,
    STATE(5822), 1,
      sym_type_constraints,
    STATE(6886), 1,
      sym__block,
    STATE(7001), 1,
      sym_function_body,
    ACTIONS(8779), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(4907), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [200880] = 5,
    STATE(6282), 1,
      sym_simple_identifier,
    STATE(1928), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(8149), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(8147), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [200910] = 13,
    ACTIONS(8775), 1,
      anon_sym_LPAREN,
    ACTIONS(8777), 1,
      anon_sym_LBRACE,
    ACTIONS(8781), 1,
      sym_where_keyword,
    ACTIONS(8923), 1,
      sym__async_keyword_custom,
    STATE(5235), 1,
      sym__async_keyword,
    STATE(5353), 1,
      aux_sym__function_value_parameters,
    STATE(5491), 1,
      sym_throws,
    STATE(5742), 1,
      sym_type_constraints,
    STATE(6824), 1,
      sym_function_body,
    STATE(6886), 1,
      sym__block,
    ACTIONS(8779), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(4932), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [200956] = 4,
    ACTIONS(8427), 1,
      anon_sym_QMARK2,
    STATE(4907), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2794), 12,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [200984] = 5,
    STATE(6293), 1,
      sym_simple_identifier,
    STATE(6124), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(8015), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(8013), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [201014] = 3,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(8927), 4,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
      anon_sym_LPAREN,
    ACTIONS(8925), 11,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_in,
      anon_sym_self,
      anon_sym_borrowing,
      anon_sym_consuming,
  [201040] = 11,
    ACTIONS(4817), 1,
      anon_sym_DOT,
    ACTIONS(8610), 1,
      sym__arrow_operator_custom,
    ACTIONS(8612), 1,
      sym__async_keyword_custom,
    ACTIONS(8833), 1,
      anon_sym_AMP,
    STATE(3892), 1,
      sym__arrow_operator,
    STATE(5213), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(5906), 1,
      sym__async_keyword,
    STATE(7608), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2888), 5,
      sym__eq_custom,
      sym_where_keyword,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LBRACE,
  [201082] = 5,
    STATE(7919), 1,
      sym_simple_identifier,
    STATE(4320), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(2814), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2812), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [201112] = 13,
    ACTIONS(8775), 1,
      anon_sym_LPAREN,
    ACTIONS(8777), 1,
      anon_sym_LBRACE,
    ACTIONS(8781), 1,
      sym_where_keyword,
    ACTIONS(8929), 1,
      sym__async_keyword_custom,
    STATE(5257), 1,
      sym__async_keyword,
    STATE(5353), 1,
      aux_sym__function_value_parameters,
    STATE(5449), 1,
      sym_throws,
    STATE(5800), 1,
      sym_type_constraints,
    STATE(6886), 1,
      sym__block,
    STATE(6979), 1,
      sym_function_body,
    ACTIONS(8779), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(4907), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [201158] = 5,
    STATE(7748), 1,
      sym_simple_identifier,
    STATE(4320), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(2814), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2812), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [201188] = 11,
    ACTIONS(8635), 1,
      sym__arrow_operator_custom,
    ACTIONS(8637), 1,
      sym__async_keyword_custom,
    ACTIONS(8873), 1,
      anon_sym_DOT,
    ACTIONS(8875), 1,
      anon_sym_AMP,
    STATE(3492), 1,
      sym__arrow_operator,
    STATE(5147), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(6026), 1,
      sym__async_keyword,
    STATE(7560), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2888), 5,
      sym__eq_custom,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT_DOT_DOT,
  [201230] = 5,
    STATE(5376), 1,
      sym_simple_identifier,
    STATE(5547), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(8917), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(8915), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [201260] = 5,
    STATE(1955), 1,
      sym_simple_identifier,
    STATE(2248), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(8861), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(8859), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [201290] = 4,
    ACTIONS(8931), 1,
      anon_sym_QMARK2,
    STATE(4907), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2859), 12,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [201318] = 5,
    STATE(5635), 1,
      sym_simple_identifier,
    STATE(5797), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(3446), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3444), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [201348] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2971), 15,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LBRACE,
  [201372] = 5,
    STATE(1826), 1,
      sym_simple_identifier,
    STATE(1928), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(8149), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(8147), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [201402] = 5,
    STATE(5624), 1,
      sym_simple_identifier,
    STATE(5797), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(3446), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3444), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [201432] = 5,
    ACTIONS(2842), 1,
      anon_sym_QMARK,
    ACTIONS(8387), 1,
      anon_sym_QMARK2,
    STATE(4843), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2840), 11,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
  [201462] = 5,
    STATE(6234), 1,
      sym_simple_identifier,
    STATE(1928), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(8149), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(8147), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [201492] = 13,
    ACTIONS(8775), 1,
      anon_sym_LPAREN,
    ACTIONS(8777), 1,
      anon_sym_LBRACE,
    ACTIONS(8781), 1,
      sym_where_keyword,
    ACTIONS(8934), 1,
      sym__async_keyword_custom,
    STATE(5224), 1,
      sym__async_keyword,
    STATE(5353), 1,
      aux_sym__function_value_parameters,
    STATE(5490), 1,
      sym_throws,
    STATE(5713), 1,
      sym_type_constraints,
    STATE(6676), 1,
      sym_function_body,
    STATE(6886), 1,
      sym__block,
    ACTIONS(8779), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(4872), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [201538] = 5,
    STATE(5950), 1,
      sym_simple_identifier,
    STATE(6219), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(8938), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(8936), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [201568] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2924), 15,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LBRACE,
  [201592] = 5,
    ACTIONS(8940), 1,
      anon_sym_AT,
    STATE(4917), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(3911), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3909), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [201622] = 3,
    ACTIONS(2973), 1,
      anon_sym_QMARK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2971), 14,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
  [201648] = 5,
    ACTIONS(8943), 1,
      sym__dot_custom,
    STATE(4672), 1,
      sym__dot,
    STATE(4919), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2798), 12,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym_else,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
  [201678] = 3,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2798), 6,
      sym__dot_custom,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
      anon_sym_LPAREN,
      anon_sym_AT,
    ACTIONS(2800), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [201704] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2987), 15,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [201728] = 5,
    STATE(1825), 1,
      sym_simple_identifier,
    STATE(1928), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(8149), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(8147), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [201758] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2959), 15,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [201782] = 5,
    STATE(6031), 1,
      sym_simple_identifier,
    STATE(4320), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(2814), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2812), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [201812] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2963), 16,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [201836] = 13,
    ACTIONS(8775), 1,
      anon_sym_LPAREN,
    ACTIONS(8777), 1,
      anon_sym_LBRACE,
    ACTIONS(8781), 1,
      sym_where_keyword,
    ACTIONS(8946), 1,
      sym__async_keyword_custom,
    STATE(5310), 1,
      sym__async_keyword,
    STATE(5353), 1,
      aux_sym__function_value_parameters,
    STATE(5557), 1,
      sym_throws,
    STATE(5844), 1,
      sym_type_constraints,
    STATE(6578), 1,
      sym_function_body,
    STATE(6886), 1,
      sym__block,
    ACTIONS(8779), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(4938), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [201882] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2924), 16,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [201906] = 5,
    STATE(6333), 1,
      sym_simple_identifier,
    STATE(1928), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(8149), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(8147), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [201936] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2991), 16,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [201960] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2951), 15,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [201984] = 11,
    ACTIONS(8206), 1,
      sym__arrow_operator_custom,
    ACTIONS(8208), 1,
      sym__async_keyword_custom,
    ACTIONS(8304), 1,
      anon_sym_DOT,
    ACTIONS(8306), 1,
      anon_sym_AMP,
    STATE(3519), 1,
      sym__arrow_operator,
    STATE(4595), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(6015), 1,
      sym__async_keyword,
    STATE(7576), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(8948), 5,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_where_keyword,
      ts_builtin_sym_end,
  [202026] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2971), 16,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [202050] = 5,
    STATE(7848), 1,
      sym_simple_identifier,
    STATE(4320), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(2814), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2812), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [202080] = 5,
    STATE(5665), 1,
      sym_simple_identifier,
    STATE(5797), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(3446), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3444), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [202110] = 3,
    ACTIONS(2800), 1,
      anon_sym_QMARK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2798), 14,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
  [202136] = 11,
    ACTIONS(8541), 1,
      sym__arrow_operator_custom,
    ACTIONS(8543), 1,
      sym__async_keyword_custom,
    ACTIONS(8855), 1,
      anon_sym_DOT,
    ACTIONS(8857), 1,
      anon_sym_AMP,
    STATE(3614), 1,
      sym__arrow_operator,
    STATE(5148), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(6004), 1,
      sym__async_keyword,
    STATE(7597), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2888), 5,
      sym__eq_custom,
      sym_where_keyword,
      sym_else,
      anon_sym_COMMA,
      anon_sym_BANG,
  [202178] = 11,
    ACTIONS(4817), 1,
      anon_sym_DOT,
    ACTIONS(8610), 1,
      sym__arrow_operator_custom,
    ACTIONS(8612), 1,
      sym__async_keyword_custom,
    ACTIONS(8833), 1,
      anon_sym_AMP,
    STATE(3892), 1,
      sym__arrow_operator,
    STATE(5213), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(5906), 1,
      sym__async_keyword,
    STATE(7608), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2892), 5,
      sym__eq_custom,
      sym_where_keyword,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LBRACE,
  [202220] = 6,
    ACTIONS(2807), 1,
      anon_sym_DOT,
    ACTIONS(8913), 1,
      sym__dot_custom,
    STATE(4649), 1,
      sym__dot,
    STATE(4881), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2805), 11,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
  [202252] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2979), 15,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [202276] = 5,
    ACTIONS(2842), 1,
      anon_sym_QMARK,
    ACTIONS(8504), 1,
      anon_sym_QMARK2,
    STATE(4845), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2840), 11,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_in,
  [202306] = 5,
    STATE(7812), 1,
      sym_simple_identifier,
    STATE(4320), 2,
      sym__contextual_simple_identifier,
      sym__parameter_ownership_modifier,
    ACTIONS(2814), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2812), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [202336] = 7,
    ACTIONS(2902), 1,
      anon_sym_DOT,
    STATE(3492), 1,
      sym__arrow_operator,
    STATE(5147), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(6026), 1,
      sym__async_keyword,
    STATE(7560), 1,
      sym_throws,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2900), 10,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
  [202370] = 5,
    ACTIONS(2532), 1,
      sym__dot_custom,
    STATE(812), 1,
      sym_navigation_suffix,
    STATE(4610), 1,
      sym__dot,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2983), 12,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_BANG,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
  [202400] = 4,
    ACTIONS(8950), 1,
      anon_sym_AMP,
    STATE(4944), 1,
      aux_sym_protocol_composition_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2892), 12,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LBRACE,
  [202427] = 3,
    ACTIONS(2957), 1,
      anon_sym_QMARK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2955), 13,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
  [202452] = 4,
    ACTIONS(8953), 1,
      anon_sym_AMP,
    STATE(4946), 1,
      aux_sym_protocol_composition_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2892), 12,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_BANG,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_GT,
      anon_sym_LBRACE,
  [202479] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2955), 14,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LBRACE,
  [202502] = 5,
    ACTIONS(8960), 1,
      sym__async_keyword_custom,
    ACTIONS(8958), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    STATE(4990), 3,
      sym__async_keyword,
      sym_throws,
      aux_sym__getter_effects,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(8956), 8,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_get,
      anon_sym_set,
      anon_sym__modify,
      anon_sym_AT,
      anon_sym_mutating,
      anon_sym_nonmutating,
  [202531] = 11,
    ACTIONS(8656), 1,
      anon_sym_LBRACE,
    ACTIONS(8658), 1,
      sym__eq_custom,
    ACTIONS(8660), 1,
      sym_where_keyword,
    STATE(444), 1,
      sym__equal_sign,
    STATE(5143), 1,
      sym_type_constraints,
    STATE(5955), 1,
      sym__expression_with_willset_didset,
    STATE(5958), 1,
      sym__expression_without_willset_didset,
    STATE(5959), 1,
      sym_willset_didset_block,
    STATE(5962), 1,
      sym_computed_property,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5027), 5,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [202572] = 3,
    STATE(4946), 1,
      aux_sym_protocol_composition_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3014), 13,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_BANG,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LBRACE,
  [202597] = 3,
    ACTIONS(2916), 1,
      anon_sym_QMARK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2914), 13,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
  [202622] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2967), 14,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [202645] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2987), 14,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_BANG,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LBRACE,
      anon_sym_in,
  [202668] = 3,
    ACTIONS(2926), 1,
      anon_sym_QMARK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2924), 13,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
  [202693] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2991), 15,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [202716] = 3,
    STATE(5003), 1,
      aux_sym_protocol_composition_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3014), 13,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_LBRACE,
  [202741] = 3,
    STATE(5018), 1,
      aux_sym_protocol_composition_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3014), 13,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP,
  [202766] = 3,
    ACTIONS(2965), 1,
      anon_sym_QMARK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2963), 13,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
  [202791] = 5,
    ACTIONS(4801), 1,
      anon_sym_LT,
    ACTIONS(8962), 1,
      anon_sym_COLON,
    STATE(1548), 1,
      sym_type_arguments,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2882), 11,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
  [202820] = 4,
    ACTIONS(8964), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(4008), 4,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
      anon_sym_AT,
    ACTIONS(4006), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [202847] = 3,
    ACTIONS(2973), 1,
      anon_sym_QMARK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2971), 13,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_in,
  [202872] = 4,
    ACTIONS(8966), 1,
      anon_sym_AMP,
    STATE(4962), 1,
      aux_sym_protocol_composition_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2892), 12,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [202899] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2975), 14,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [202922] = 3,
    ACTIONS(2800), 1,
      anon_sym_QMARK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2798), 13,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_in,
  [202947] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2914), 14,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LBRACE,
  [202970] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2928), 14,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym_else,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LT,
  [202993] = 3,
    ACTIONS(2985), 1,
      anon_sym_QMARK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2983), 13,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
  [203018] = 5,
    ACTIONS(4801), 1,
      anon_sym_LT,
    ACTIONS(8969), 1,
      anon_sym_COLON,
    STATE(1548), 1,
      sym_type_arguments,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2882), 11,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
  [203047] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2955), 15,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [203070] = 11,
    ACTIONS(8699), 1,
      sym__arrow_operator_custom,
    ACTIONS(8701), 1,
      sym__async_keyword_custom,
    ACTIONS(8817), 1,
      anon_sym_DOT,
    ACTIONS(8971), 1,
      anon_sym_AMP,
    STATE(3731), 1,
      sym__arrow_operator,
    STATE(5220), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(6072), 1,
      sym__async_keyword,
    STATE(7327), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2892), 4,
      sym__as_custom,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_in,
  [203111] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2910), 15,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [203134] = 4,
    ACTIONS(8539), 1,
      anon_sym_QMARK2,
    STATE(5002), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2794), 11,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym_else,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
  [203161] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2959), 14,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_BANG,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LBRACE,
      anon_sym_in,
  [203184] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2995), 14,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LBRACE,
  [203207] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2995), 15,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [203230] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2963), 14,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [203253] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2924), 14,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [203276] = 3,
    STATE(4962), 1,
      aux_sym_protocol_composition_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3014), 13,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [203301] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2910), 14,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LBRACE,
  [203324] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2987), 14,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [203347] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2971), 14,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [203370] = 11,
    ACTIONS(8300), 1,
      sym__arrow_operator_custom,
    ACTIONS(8302), 1,
      sym__async_keyword_custom,
    ACTIONS(8452), 1,
      anon_sym_DOT,
    ACTIONS(8454), 1,
      anon_sym_AMP,
    STATE(3559), 1,
      sym__arrow_operator,
    STATE(4987), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(5968), 1,
      sym__async_keyword,
    STATE(7522), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2900), 4,
      sym_where_keyword,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_GT,
  [203411] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2798), 15,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [203434] = 11,
    ACTIONS(8699), 1,
      sym__arrow_operator_custom,
    ACTIONS(8701), 1,
      sym__async_keyword_custom,
    ACTIONS(8817), 1,
      anon_sym_DOT,
    ACTIONS(8971), 1,
      anon_sym_AMP,
    STATE(3731), 1,
      sym__arrow_operator,
    STATE(5220), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(6072), 1,
      sym__async_keyword,
    STATE(7327), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2888), 4,
      sym__as_custom,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_in,
  [203475] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2959), 14,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [203498] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2914), 14,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [203521] = 3,
    STATE(4944), 1,
      aux_sym_protocol_composition_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3014), 13,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LBRACE,
  [203546] = 3,
    ACTIONS(2993), 1,
      anon_sym_QMARK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2991), 13,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
  [203571] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2951), 15,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [203594] = 5,
    ACTIONS(8975), 1,
      sym__async_keyword_custom,
    ACTIONS(8958), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    STATE(5013), 3,
      sym__async_keyword,
      sym_throws,
      aux_sym__getter_effects,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(8973), 8,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_get,
      anon_sym_set,
      anon_sym__modify,
      anon_sym_AT,
      anon_sym_mutating,
      anon_sym_nonmutating,
  [203623] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2951), 14,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [203646] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2979), 14,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [203669] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2971), 15,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [203692] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2955), 14,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [203715] = 11,
    ACTIONS(8699), 1,
      sym__arrow_operator_custom,
    ACTIONS(8701), 1,
      sym__async_keyword_custom,
    ACTIONS(8817), 1,
      anon_sym_DOT,
    ACTIONS(8971), 1,
      anon_sym_AMP,
    STATE(3731), 1,
      sym__arrow_operator,
    STATE(5220), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(6072), 1,
      sym__async_keyword,
    STATE(7327), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2866), 4,
      sym__as_custom,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_in,
  [203756] = 3,
    ACTIONS(2973), 1,
      anon_sym_QMARK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2971), 13,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
  [203781] = 3,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(1659), 5,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(8977), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [203806] = 11,
    ACTIONS(8699), 1,
      sym__arrow_operator_custom,
    ACTIONS(8701), 1,
      sym__async_keyword_custom,
    ACTIONS(8817), 1,
      anon_sym_DOT,
    ACTIONS(8971), 1,
      anon_sym_AMP,
    STATE(3731), 1,
      sym__arrow_operator,
    STATE(5220), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(6072), 1,
      sym__async_keyword,
    STATE(7327), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2896), 4,
      sym__as_custom,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_in,
  [203847] = 3,
    ACTIONS(2965), 1,
      anon_sym_QMARK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2963), 13,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_in,
  [203872] = 5,
    ACTIONS(8979), 1,
      sym__async_keyword_custom,
    ACTIONS(8958), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    STATE(5038), 3,
      sym__async_keyword,
      sym_throws,
      aux_sym__getter_effects,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(8973), 8,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_get,
      anon_sym_set,
      anon_sym__modify,
      anon_sym_AT,
      anon_sym_mutating,
      anon_sym_nonmutating,
  [203901] = 3,
    ACTIONS(2997), 1,
      anon_sym_QMARK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2995), 13,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
  [203926] = 4,
    ACTIONS(8981), 1,
      anon_sym_QMARK2,
    STATE(5002), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2859), 11,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym_else,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
  [203953] = 4,
    ACTIONS(8984), 1,
      anon_sym_AMP,
    STATE(5003), 1,
      aux_sym_protocol_composition_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2892), 12,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LBRACE,
  [203980] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2979), 15,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [204003] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2951), 14,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_BANG,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LBRACE,
      anon_sym_in,
  [204026] = 3,
    ACTIONS(2977), 1,
      anon_sym_QMARK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2975), 13,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
  [204051] = 9,
    ACTIONS(8987), 1,
      anon_sym_repeat,
    ACTIONS(8989), 1,
      anon_sym_if,
    ACTIONS(8991), 1,
      anon_sym_switch,
    ACTIONS(8993), 1,
      anon_sym_guard,
    ACTIONS(8995), 1,
      anon_sym_do,
    ACTIONS(8997), 1,
      anon_sym_for,
    ACTIONS(8999), 1,
      anon_sym_while,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    STATE(6342), 7,
      sym_if_statement,
      sym_guard_statement,
      sym_switch_statement,
      sym_do_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_while_statement,
  [204088] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2983), 14,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [204111] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2967), 14,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LBRACE,
  [204134] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2959), 15,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [204157] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2979), 14,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_BANG,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LBRACE,
      anon_sym_in,
  [204180] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2983), 14,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LBRACE,
  [204203] = 5,
    ACTIONS(9006), 1,
      sym__async_keyword_custom,
    ACTIONS(9003), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    STATE(5013), 3,
      sym__async_keyword,
      sym_throws,
      aux_sym__getter_effects,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(9001), 8,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_get,
      anon_sym_set,
      anon_sym__modify,
      anon_sym_AT,
      anon_sym_mutating,
      anon_sym_nonmutating,
  [204232] = 11,
    ACTIONS(8699), 1,
      sym__arrow_operator_custom,
    ACTIONS(8701), 1,
      sym__async_keyword_custom,
    ACTIONS(8817), 1,
      anon_sym_DOT,
    ACTIONS(8971), 1,
      anon_sym_AMP,
    STATE(3731), 1,
      sym__arrow_operator,
    STATE(5220), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(6072), 1,
      sym__async_keyword,
    STATE(7327), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2874), 4,
      sym__as_custom,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_in,
  [204273] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2987), 15,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [204296] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2991), 14,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LBRACE,
  [204319] = 6,
    STATE(3731), 1,
      sym__arrow_operator,
    STATE(5220), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(6072), 1,
      sym__async_keyword,
    STATE(7327), 1,
      sym_throws,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2900), 10,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_in,
  [204350] = 4,
    ACTIONS(9009), 1,
      anon_sym_AMP,
    STATE(5018), 1,
      aux_sym_protocol_composition_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2892), 12,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK,
  [204377] = 3,
    ACTIONS(2926), 1,
      anon_sym_QMARK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2924), 13,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_in,
  [204402] = 6,
    STATE(3731), 1,
      sym__arrow_operator,
    STATE(5220), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(6072), 1,
      sym__async_keyword,
    STATE(7327), 1,
      sym_throws,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2878), 10,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_in,
  [204433] = 3,
    ACTIONS(2800), 1,
      anon_sym_QMARK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2798), 13,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
  [204458] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2924), 15,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [204481] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2963), 15,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [204504] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2991), 14,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [204527] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2910), 14,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [204550] = 3,
    ACTIONS(2912), 1,
      anon_sym_QMARK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2910), 13,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
  [204575] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2967), 15,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [204598] = 4,
    ACTIONS(9012), 1,
      anon_sym_AMP,
    STATE(5028), 1,
      aux_sym_protocol_composition_type_repeat1,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2892), 13,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [204625] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2975), 15,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [204648] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2798), 14,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [204671] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2983), 15,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [204694] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2975), 14,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LBRACE,
  [204717] = 3,
    ACTIONS(2969), 1,
      anon_sym_QMARK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2967), 13,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
  [204742] = 9,
    ACTIONS(9015), 1,
      anon_sym_repeat,
    ACTIONS(9017), 1,
      anon_sym_if,
    ACTIONS(9019), 1,
      anon_sym_switch,
    ACTIONS(9021), 1,
      anon_sym_guard,
    ACTIONS(9023), 1,
      anon_sym_do,
    ACTIONS(9025), 1,
      anon_sym_for,
    ACTIONS(9027), 1,
      anon_sym_while,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    STATE(3956), 7,
      sym_if_statement,
      sym_guard_statement,
      sym_switch_statement,
      sym_do_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_while_statement,
  [204779] = 5,
    ACTIONS(2882), 1,
      sym__dot_custom,
    ACTIONS(5011), 1,
      anon_sym_LT,
    STATE(1829), 1,
      sym_type_arguments,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5009), 11,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_where_keyword,
      sym__as_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [204808] = 4,
    ACTIONS(8539), 1,
      anon_sym_QMARK2,
    STATE(4972), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2840), 11,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym_else,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
  [204835] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2995), 14,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [204858] = 5,
    ACTIONS(8975), 1,
      sym__async_keyword_custom,
    ACTIONS(8958), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    STATE(5013), 3,
      sym__async_keyword,
      sym_throws,
      aux_sym__getter_effects,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(9029), 8,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_get,
      anon_sym_set,
      anon_sym__modify,
      anon_sym_AT,
      anon_sym_mutating,
      anon_sym_nonmutating,
  [204887] = 3,
    STATE(5028), 1,
      aux_sym_protocol_composition_type_repeat1,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3014), 14,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [204912] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2914), 15,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [204935] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2951), 13,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP,
  [204957] = 3,
    ACTIONS(2957), 1,
      anon_sym_QMARK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2955), 12,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_in,
  [204981] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2987), 13,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LBRACE,
  [205003] = 11,
    ACTIONS(8458), 1,
      anon_sym_DOT,
    ACTIONS(8771), 1,
      sym__arrow_operator_custom,
    ACTIONS(8773), 1,
      sym__async_keyword_custom,
    ACTIONS(9031), 1,
      anon_sym_AMP,
    STATE(3709), 1,
      sym__arrow_operator,
    STATE(5320), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(5947), 1,
      sym__async_keyword,
    STATE(7628), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(2888), 3,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_in,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [205043] = 3,
    ACTIONS(2912), 1,
      anon_sym_QMARK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2910), 12,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
  [205067] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2959), 13,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LBRACE,
  [205089] = 11,
    ACTIONS(8886), 1,
      sym__arrow_operator_custom,
    ACTIONS(8888), 1,
      sym__async_keyword_custom,
    ACTIONS(9033), 1,
      anon_sym_DOT,
    ACTIONS(9035), 1,
      anon_sym_AMP,
    STATE(3844), 1,
      sym__arrow_operator,
    STATE(5333), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(5944), 1,
      sym__async_keyword,
    STATE(7538), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(2896), 3,
      sym__eq_custom,
      sym__eq_eq_custom,
      anon_sym_COLON,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [205129] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2987), 14,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [205151] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2967), 14,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [205173] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2959), 14,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [205195] = 3,
    STATE(5092), 1,
      aux_sym_protocol_composition_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3014), 12,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_LBRACE,
  [205219] = 4,
    ACTIONS(9037), 1,
      anon_sym_AMP,
    STATE(5052), 1,
      aux_sym_protocol_composition_type_repeat1,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2892), 12,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [205245] = 5,
    ACTIONS(9040), 1,
      sym__dot_custom,
    STATE(4709), 1,
      sym__dot,
    STATE(5054), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2805), 10,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
  [205273] = 5,
    ACTIONS(9040), 1,
      sym__dot_custom,
    STATE(4709), 1,
      sym__dot,
    STATE(5121), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2852), 10,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
  [205301] = 3,
    ACTIONS(2916), 1,
      anon_sym_QMARK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2914), 12,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
  [205325] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2951), 14,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [205347] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2975), 14,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [205369] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2979), 14,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [205391] = 5,
    ACTIONS(2882), 1,
      sym__dot_custom,
    ACTIONS(5011), 1,
      anon_sym_LT,
    STATE(1829), 1,
      sym_type_arguments,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5009), 11,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_where_keyword,
      sym__as_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [205419] = 3,
    ACTIONS(2916), 1,
      anon_sym_QMARK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2914), 12,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_in,
  [205443] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2910), 13,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [205465] = 3,
    STATE(5052), 1,
      aux_sym_protocol_composition_type_repeat1,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3014), 13,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [205489] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2979), 13,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP,
  [205511] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2979), 13,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [205533] = 3,
    ACTIONS(2997), 1,
      anon_sym_QMARK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2995), 12,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_in,
  [205557] = 3,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(4000), 4,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
      anon_sym_AT,
    ACTIONS(3998), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [205581] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2914), 14,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [205603] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2991), 13,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_BANG,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
  [205625] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2955), 13,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [205647] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2995), 14,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [205669] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2959), 13,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP,
  [205691] = 11,
    ACTIONS(8886), 1,
      sym__arrow_operator_custom,
    ACTIONS(8888), 1,
      sym__async_keyword_custom,
    ACTIONS(9033), 1,
      anon_sym_DOT,
    ACTIONS(9035), 1,
      anon_sym_AMP,
    STATE(3844), 1,
      sym__arrow_operator,
    STATE(5333), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(5944), 1,
      sym__async_keyword,
    STATE(7538), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(2866), 3,
      sym__eq_custom,
      sym__eq_eq_custom,
      anon_sym_COLON,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [205731] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2987), 13,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP,
  [205753] = 4,
    ACTIONS(7814), 1,
      anon_sym_LPAREN,
    STATE(5279), 1,
      sym__tuple_pattern,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5082), 11,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_where_keyword,
      sym__as_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [205779] = 3,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3288), 4,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
      anon_sym_RBRACE,
    ACTIONS(3290), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [205803] = 3,
    ACTIONS(2957), 1,
      anon_sym_QMARK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2955), 12,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
  [205827] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2983), 14,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [205849] = 5,
    ACTIONS(8248), 1,
      anon_sym_LT,
    ACTIONS(9042), 1,
      anon_sym_COLON,
    STATE(4399), 1,
      sym_type_arguments,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2882), 10,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
  [205877] = 11,
    ACTIONS(8886), 1,
      sym__arrow_operator_custom,
    ACTIONS(8888), 1,
      sym__async_keyword_custom,
    ACTIONS(9033), 1,
      anon_sym_DOT,
    ACTIONS(9035), 1,
      anon_sym_AMP,
    STATE(3844), 1,
      sym__arrow_operator,
    STATE(5333), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(5944), 1,
      sym__async_keyword,
    STATE(7538), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(2874), 3,
      sym__eq_custom,
      sym__eq_eq_custom,
      anon_sym_COLON,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [205917] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2983), 13,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [205939] = 11,
    ACTIONS(8886), 1,
      sym__arrow_operator_custom,
    ACTIONS(8888), 1,
      sym__async_keyword_custom,
    ACTIONS(9033), 1,
      anon_sym_DOT,
    ACTIONS(9035), 1,
      anon_sym_AMP,
    STATE(3844), 1,
      sym__arrow_operator,
    STATE(5333), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(5944), 1,
      sym__async_keyword,
    STATE(7538), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(2888), 3,
      sym__eq_custom,
      sym__eq_eq_custom,
      anon_sym_COLON,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [205979] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2995), 13,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [206001] = 11,
    ACTIONS(8892), 1,
      anon_sym_LBRACE,
    ACTIONS(8894), 1,
      sym__eq_custom,
    ACTIONS(8896), 1,
      sym_where_keyword,
    STATE(540), 1,
      sym__equal_sign,
    STATE(5282), 1,
      sym_type_constraints,
    STATE(6363), 1,
      sym_computed_property,
    STATE(6376), 1,
      sym_willset_didset_block,
    STATE(6394), 1,
      sym__expression_without_willset_didset,
    STATE(6405), 1,
      sym__expression_with_willset_didset,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5027), 5,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [206041] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2991), 14,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [206063] = 3,
    ACTIONS(2985), 1,
      anon_sym_QMARK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2983), 12,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_in,
  [206087] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2928), 13,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__eq_custom,
      sym_where_keyword,
      sym__as_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [206109] = 3,
    ACTIONS(2969), 1,
      anon_sym_QMARK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2967), 12,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
  [206133] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2951), 13,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LBRACE,
  [206155] = 3,
    ACTIONS(2977), 1,
      anon_sym_QMARK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2975), 12,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_in,
  [206179] = 6,
    STATE(3844), 1,
      sym__arrow_operator,
    STATE(5333), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(5944), 1,
      sym__async_keyword,
    STATE(7538), 1,
      sym_throws,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2878), 9,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_AMP,
  [206209] = 6,
    STATE(3844), 1,
      sym__arrow_operator,
    STATE(5333), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(5944), 1,
      sym__async_keyword,
    STATE(7538), 1,
      sym_throws,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2900), 9,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_AMP,
  [206239] = 4,
    ACTIONS(9044), 1,
      anon_sym_AMP,
    STATE(5092), 1,
      aux_sym_protocol_composition_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2892), 11,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LBRACE,
  [206265] = 3,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(4004), 4,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
      anon_sym_AT,
    ACTIONS(4002), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [206289] = 3,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(9049), 4,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
      anon_sym_RBRACE,
    ACTIONS(9047), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [206313] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2991), 13,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [206335] = 5,
    ACTIONS(9051), 1,
      sym__dot_custom,
    STATE(4687), 1,
      sym__dot,
    STATE(5110), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2852), 10,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_in,
  [206363] = 3,
    ACTIONS(2985), 1,
      anon_sym_QMARK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2983), 12,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
  [206387] = 5,
    ACTIONS(9051), 1,
      sym__dot_custom,
    STATE(4687), 1,
      sym__dot,
    STATE(5096), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2805), 10,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_in,
  [206415] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2971), 13,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym_else,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
  [206437] = 4,
    ACTIONS(7814), 1,
      anon_sym_LPAREN,
    STATE(5298), 1,
      sym__tuple_pattern,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5035), 11,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_where_keyword,
      sym__as_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [206463] = 3,
    ACTIONS(2993), 1,
      anon_sym_QMARK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2991), 12,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
  [206487] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2798), 13,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym_else,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
  [206509] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2987), 13,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [206531] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2959), 13,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [206553] = 3,
    ACTIONS(2997), 1,
      anon_sym_QMARK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2995), 12,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
  [206577] = 4,
    ACTIONS(8795), 1,
      anon_sym_LT,
    STATE(5250), 1,
      sym_type_arguments,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2882), 11,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
  [206603] = 11,
    ACTIONS(8886), 1,
      sym__arrow_operator_custom,
    ACTIONS(8888), 1,
      sym__async_keyword_custom,
    ACTIONS(9033), 1,
      anon_sym_DOT,
    ACTIONS(9035), 1,
      anon_sym_AMP,
    STATE(3844), 1,
      sym__arrow_operator,
    STATE(5333), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(5944), 1,
      sym__async_keyword,
    STATE(7538), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(2892), 3,
      sym__eq_custom,
      sym__eq_eq_custom,
      anon_sym_COLON,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [206643] = 3,
    ACTIONS(2912), 1,
      anon_sym_QMARK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2910), 12,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_in,
  [206667] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2967), 13,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [206689] = 5,
    ACTIONS(9053), 1,
      sym__dot_custom,
    STATE(4687), 1,
      sym__dot,
    STATE(5110), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2798), 10,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_in,
  [206717] = 11,
    ACTIONS(8458), 1,
      anon_sym_DOT,
    ACTIONS(8771), 1,
      sym__arrow_operator_custom,
    ACTIONS(8773), 1,
      sym__async_keyword_custom,
    ACTIONS(9031), 1,
      anon_sym_AMP,
    STATE(3709), 1,
      sym__arrow_operator,
    STATE(5320), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(5947), 1,
      sym__async_keyword,
    STATE(7628), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(2896), 3,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_in,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [206757] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2910), 14,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [206779] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2924), 13,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym_else,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
  [206801] = 3,
    ACTIONS(2977), 1,
      anon_sym_QMARK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2975), 12,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
  [206825] = 4,
    ACTIONS(9056), 1,
      anon_sym_AMP,
    STATE(5115), 1,
      aux_sym_protocol_composition_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2892), 11,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [206851] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2963), 13,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym_else,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
  [206873] = 3,
    ACTIONS(2969), 1,
      anon_sym_QMARK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2967), 12,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_in,
  [206897] = 3,
    ACTIONS(2993), 1,
      anon_sym_QMARK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2991), 12,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_in,
  [206921] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2955), 14,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [206943] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2951), 13,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [206965] = 5,
    ACTIONS(9059), 1,
      sym__dot_custom,
    STATE(4709), 1,
      sym__dot,
    STATE(5121), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2798), 10,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
  [206993] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2979), 13,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LBRACE,
  [207015] = 4,
    ACTIONS(7814), 1,
      anon_sym_LPAREN,
    STATE(5251), 1,
      sym__tuple_pattern,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5060), 11,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_where_keyword,
      sym__as_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [207041] = 6,
    STATE(3709), 1,
      sym__arrow_operator,
    STATE(5320), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(5947), 1,
      sym__async_keyword,
    STATE(7628), 1,
      sym_throws,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2878), 9,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_in,
  [207071] = 6,
    STATE(3709), 1,
      sym__arrow_operator,
    STATE(5320), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(5947), 1,
      sym__async_keyword,
    STATE(7628), 1,
      sym_throws,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2900), 9,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_in,
  [207101] = 11,
    ACTIONS(8458), 1,
      anon_sym_DOT,
    ACTIONS(8771), 1,
      sym__arrow_operator_custom,
    ACTIONS(8773), 1,
      sym__async_keyword_custom,
    ACTIONS(9031), 1,
      anon_sym_AMP,
    STATE(3709), 1,
      sym__arrow_operator,
    STATE(5320), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(5947), 1,
      sym__async_keyword,
    STATE(7628), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(2874), 3,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_in,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [207141] = 11,
    ACTIONS(8458), 1,
      anon_sym_DOT,
    ACTIONS(8771), 1,
      sym__arrow_operator_custom,
    ACTIONS(8773), 1,
      sym__async_keyword_custom,
    ACTIONS(9031), 1,
      anon_sym_AMP,
    STATE(3709), 1,
      sym__arrow_operator,
    STATE(5320), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(5947), 1,
      sym__async_keyword,
    STATE(7628), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(2866), 3,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_in,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [207181] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2975), 13,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [207203] = 11,
    ACTIONS(8886), 1,
      sym__arrow_operator_custom,
    ACTIONS(8888), 1,
      sym__async_keyword_custom,
    ACTIONS(9035), 1,
      anon_sym_AMP,
    ACTIONS(9064), 1,
      anon_sym_DOT,
    STATE(3844), 1,
      sym__arrow_operator,
    STATE(5333), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(5944), 1,
      sym__async_keyword,
    STATE(7538), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(9062), 3,
      sym__eq_custom,
      sym__eq_eq_custom,
      anon_sym_COLON,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [207243] = 11,
    ACTIONS(8458), 1,
      anon_sym_DOT,
    ACTIONS(8771), 1,
      sym__arrow_operator_custom,
    ACTIONS(8773), 1,
      sym__async_keyword_custom,
    ACTIONS(9031), 1,
      anon_sym_AMP,
    STATE(3709), 1,
      sym__arrow_operator,
    STATE(5320), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(5947), 1,
      sym__async_keyword,
    STATE(7628), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(2892), 3,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_in,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [207283] = 3,
    STATE(5115), 1,
      aux_sym_protocol_composition_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3014), 12,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [207307] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2914), 13,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [207329] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2987), 12,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [207350] = 12,
    ACTIONS(5), 1,
      sym_multiline_comment,
    ACTIONS(9066), 1,
      anon_sym_DQUOTE,
    ACTIONS(9068), 1,
      aux_sym_line_str_text_token1,
    ACTIONS(9070), 1,
      anon_sym_BSLASH,
    ACTIONS(9072), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(9074), 1,
      anon_sym_BSLASH_LPAREN,
    ACTIONS(9076), 1,
      sym__escaped_identifier,
    STATE(5149), 1,
      aux_sym_multi_line_string_literal_repeat1,
    STATE(5802), 1,
      sym__uni_character_literal,
    STATE(5857), 1,
      sym__interpolation,
    ACTIONS(3), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    STATE(5861), 3,
      sym_str_escaped_char,
      sym__multi_line_string_content,
      sym_multi_line_str_text,
  [207391] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2959), 12,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_LBRACE,
  [207412] = 9,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    ACTIONS(8670), 1,
      sym_where_keyword,
    STATE(5389), 1,
      sym_throws,
    STATE(5588), 1,
      sym_type_constraints,
    STATE(6229), 1,
      sym__block,
    STATE(6359), 1,
      sym_function_body,
    ACTIONS(8668), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5122), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [207447] = 4,
    ACTIONS(9078), 1,
      anon_sym_QMARK2,
    STATE(5137), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2859), 9,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_AMP,
  [207472] = 9,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    ACTIONS(8670), 1,
      sym_where_keyword,
    STATE(5402), 1,
      sym_throws,
    STATE(5593), 1,
      sym_type_constraints,
    STATE(6229), 1,
      sym__block,
    STATE(6348), 1,
      sym_function_body,
    ACTIONS(8668), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5199), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [207507] = 9,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    ACTIONS(8670), 1,
      sym_where_keyword,
    STATE(5393), 1,
      sym_throws,
    STATE(5694), 1,
      sym_type_constraints,
    STATE(6229), 1,
      sym__block,
    STATE(6268), 1,
      sym_function_body,
    ACTIONS(8668), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5133), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [207542] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2951), 12,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_LBRACE,
  [207563] = 9,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    ACTIONS(8670), 1,
      sym_where_keyword,
    STATE(5405), 1,
      sym_throws,
    STATE(5591), 1,
      sym_type_constraints,
    STATE(6173), 1,
      sym_function_body,
    STATE(6229), 1,
      sym__block,
    ACTIONS(8668), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5195), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [207598] = 12,
    ACTIONS(5), 1,
      sym_multiline_comment,
    ACTIONS(9066), 1,
      anon_sym_DQUOTE,
    ACTIONS(9068), 1,
      aux_sym_line_str_text_token1,
    ACTIONS(9070), 1,
      anon_sym_BSLASH,
    ACTIONS(9074), 1,
      anon_sym_BSLASH_LPAREN,
    ACTIONS(9076), 1,
      sym__escaped_identifier,
    ACTIONS(9081), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5149), 1,
      aux_sym_multi_line_string_literal_repeat1,
    STATE(5802), 1,
      sym__uni_character_literal,
    STATE(5857), 1,
      sym__interpolation,
    ACTIONS(3), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    STATE(5861), 3,
      sym_str_escaped_char,
      sym__multi_line_string_content,
      sym_multi_line_str_text,
  [207639] = 9,
    ACTIONS(8656), 1,
      anon_sym_LBRACE,
    ACTIONS(8658), 1,
      sym__eq_custom,
    STATE(444), 1,
      sym__equal_sign,
    STATE(5908), 1,
      sym_computed_property,
    STATE(5909), 1,
      sym_willset_didset_block,
    STATE(5910), 1,
      sym__expression_without_willset_didset,
    STATE(5911), 1,
      sym__expression_with_willset_didset,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5103), 5,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [207674] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2979), 12,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_LBRACE,
  [207695] = 12,
    ACTIONS(5), 1,
      sym_multiline_comment,
    ACTIONS(9066), 1,
      anon_sym_DQUOTE,
    ACTIONS(9068), 1,
      aux_sym_line_str_text_token1,
    ACTIONS(9070), 1,
      anon_sym_BSLASH,
    ACTIONS(9074), 1,
      anon_sym_BSLASH_LPAREN,
    ACTIONS(9076), 1,
      sym__escaped_identifier,
    ACTIONS(9083), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5149), 1,
      aux_sym_multi_line_string_literal_repeat1,
    STATE(5802), 1,
      sym__uni_character_literal,
    STATE(5857), 1,
      sym__interpolation,
    ACTIONS(3), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    STATE(5861), 3,
      sym_str_escaped_char,
      sym__multi_line_string_content,
      sym_multi_line_str_text,
  [207736] = 11,
    ACTIONS(395), 1,
      anon_sym_AT,
    ACTIONS(8520), 1,
      anon_sym_get,
    ACTIONS(8522), 1,
      anon_sym_set,
    ACTIONS(8524), 1,
      anon_sym__modify,
    STATE(5336), 1,
      sym_setter_specifier,
    STATE(5355), 1,
      sym_getter_specifier,
    STATE(5377), 1,
      sym_modify_specifier,
    STATE(7203), 1,
      sym_mutation_modifier,
    ACTIONS(3631), 2,
      anon_sym_mutating,
      anon_sym_nonmutating,
    STATE(5545), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [207775] = 4,
    ACTIONS(3016), 1,
      anon_sym_DOT,
    STATE(5160), 1,
      aux_sym_protocol_composition_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3014), 10,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
  [207800] = 3,
    STATE(5154), 1,
      aux_sym_protocol_composition_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3014), 11,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym_else,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
  [207823] = 12,
    ACTIONS(5), 1,
      sym_multiline_comment,
    ACTIONS(9085), 1,
      anon_sym_DQUOTE,
    ACTIONS(9088), 1,
      aux_sym_line_str_text_token1,
    ACTIONS(9091), 1,
      anon_sym_BSLASH,
    ACTIONS(9094), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(9096), 1,
      anon_sym_BSLASH_LPAREN,
    ACTIONS(9099), 1,
      sym__escaped_identifier,
    STATE(5149), 1,
      aux_sym_multi_line_string_literal_repeat1,
    STATE(5802), 1,
      sym__uni_character_literal,
    STATE(5857), 1,
      sym__interpolation,
    ACTIONS(3), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    STATE(5861), 3,
      sym_str_escaped_char,
      sym__multi_line_string_content,
      sym_multi_line_str_text,
  [207864] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2967), 12,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym_else,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
  [207885] = 12,
    ACTIONS(5), 1,
      sym_multiline_comment,
    ACTIONS(9066), 1,
      anon_sym_DQUOTE,
    ACTIONS(9068), 1,
      aux_sym_line_str_text_token1,
    ACTIONS(9070), 1,
      anon_sym_BSLASH,
    ACTIONS(9074), 1,
      anon_sym_BSLASH_LPAREN,
    ACTIONS(9076), 1,
      sym__escaped_identifier,
    ACTIONS(9102), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5145), 1,
      aux_sym_multi_line_string_literal_repeat1,
    STATE(5802), 1,
      sym__uni_character_literal,
    STATE(5857), 1,
      sym__interpolation,
    ACTIONS(3), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    STATE(5861), 3,
      sym_str_escaped_char,
      sym__multi_line_string_content,
      sym_multi_line_str_text,
  [207926] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2951), 12,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_in,
  [207947] = 12,
    ACTIONS(5), 1,
      sym_multiline_comment,
    ACTIONS(9066), 1,
      anon_sym_DQUOTE,
    ACTIONS(9068), 1,
      aux_sym_line_str_text_token1,
    ACTIONS(9070), 1,
      anon_sym_BSLASH,
    ACTIONS(9074), 1,
      anon_sym_BSLASH_LPAREN,
    ACTIONS(9076), 1,
      sym__escaped_identifier,
    ACTIONS(9104), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5164), 1,
      aux_sym_multi_line_string_literal_repeat1,
    STATE(5802), 1,
      sym__uni_character_literal,
    STATE(5857), 1,
      sym__interpolation,
    ACTIONS(3), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    STATE(5861), 3,
      sym_str_escaped_char,
      sym__multi_line_string_content,
      sym_multi_line_str_text,
  [207988] = 4,
    ACTIONS(9106), 1,
      anon_sym_AMP,
    STATE(5154), 1,
      aux_sym_protocol_composition_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2892), 10,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym_else,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
  [208013] = 9,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    ACTIONS(8670), 1,
      sym_where_keyword,
    STATE(5383), 1,
      sym_throws,
    STATE(5619), 1,
      sym_type_constraints,
    STATE(6229), 1,
      sym__block,
    STATE(6457), 1,
      sym_function_body,
    ACTIONS(8668), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5157), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [208048] = 9,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    ACTIONS(8670), 1,
      sym_where_keyword,
    STATE(5403), 1,
      sym_throws,
    STATE(5600), 1,
      sym_type_constraints,
    STATE(6229), 1,
      sym__block,
    STATE(6369), 1,
      sym_function_body,
    ACTIONS(8668), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5122), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [208083] = 12,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(8907), 1,
      anon_sym_LBRACE,
    ACTIONS(9109), 1,
      anon_sym_LPAREN,
    ACTIONS(9111), 1,
      sym__arrow_operator_custom,
    ACTIONS(9115), 1,
      sym__async_keyword_custom,
    STATE(3418), 1,
      sym__arrow_operator,
    STATE(5506), 1,
      sym__async_keyword,
    STATE(5554), 1,
      aux_sym__function_value_parameters,
    STATE(5952), 1,
      sym_throws,
    STATE(7647), 1,
      sym_type_constraints,
    ACTIONS(9113), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [208124] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2959), 12,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_in,
  [208145] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2914), 12,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym_else,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
  [208166] = 5,
    ACTIONS(2894), 1,
      anon_sym_DOT,
    ACTIONS(9117), 1,
      anon_sym_AMP,
    STATE(5160), 1,
      aux_sym_protocol_composition_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2892), 9,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT_DOT_DOT,
  [208193] = 3,
    ACTIONS(6214), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6216), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [208216] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2987), 12,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_in,
  [208237] = 4,
    ACTIONS(9120), 1,
      anon_sym_AMP,
    STATE(5163), 1,
      aux_sym_protocol_composition_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2892), 10,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK,
  [208262] = 12,
    ACTIONS(5), 1,
      sym_multiline_comment,
    ACTIONS(9066), 1,
      anon_sym_DQUOTE,
    ACTIONS(9068), 1,
      aux_sym_line_str_text_token1,
    ACTIONS(9070), 1,
      anon_sym_BSLASH,
    ACTIONS(9074), 1,
      anon_sym_BSLASH_LPAREN,
    ACTIONS(9076), 1,
      sym__escaped_identifier,
    ACTIONS(9123), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5149), 1,
      aux_sym_multi_line_string_literal_repeat1,
    STATE(5802), 1,
      sym__uni_character_literal,
    STATE(5857), 1,
      sym__interpolation,
    ACTIONS(3), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    STATE(5861), 3,
      sym_str_escaped_char,
      sym__multi_line_string_content,
      sym_multi_line_str_text,
  [208303] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2975), 12,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym_else,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
  [208324] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2928), 13,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      sym__eq_custom,
      sym_where_keyword,
      sym__as_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [208345] = 9,
    ACTIONS(8656), 1,
      anon_sym_LBRACE,
    ACTIONS(8658), 1,
      sym__eq_custom,
    STATE(444), 1,
      sym__equal_sign,
    STATE(5963), 1,
      sym__expression_with_willset_didset,
    STATE(5964), 1,
      sym__expression_without_willset_didset,
    STATE(5965), 1,
      sym_willset_didset_block,
    STATE(5970), 1,
      sym_computed_property,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5027), 5,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [208380] = 4,
    ACTIONS(8884), 1,
      anon_sym_QMARK2,
    STATE(5190), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2840), 9,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_AMP,
  [208405] = 12,
    ACTIONS(5), 1,
      sym_multiline_comment,
    ACTIONS(9066), 1,
      anon_sym_DQUOTE,
    ACTIONS(9068), 1,
      aux_sym_line_str_text_token1,
    ACTIONS(9070), 1,
      anon_sym_BSLASH,
    ACTIONS(9074), 1,
      anon_sym_BSLASH_LPAREN,
    ACTIONS(9076), 1,
      sym__escaped_identifier,
    ACTIONS(9125), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5142), 1,
      aux_sym_multi_line_string_literal_repeat1,
    STATE(5802), 1,
      sym__uni_character_literal,
    STATE(5857), 1,
      sym__interpolation,
    ACTIONS(3), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    STATE(5861), 3,
      sym_str_escaped_char,
      sym__multi_line_string_content,
      sym_multi_line_str_text,
  [208446] = 3,
    ACTIONS(9129), 3,
      aux_sym_simple_identifier_token2,
      aux_sym_simple_identifier_token3,
      aux_sym_simple_identifier_token4,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(9127), 9,
      aux_sym_simple_identifier_token1,
      anon_sym_actor,
      anon_sym_async,
      anon_sym_each,
      anon_sym_lazy,
      anon_sym_repeat,
      anon_sym_package,
      anon_sym_borrowing,
      anon_sym_consuming,
  [208469] = 12,
    ACTIONS(5), 1,
      sym_multiline_comment,
    ACTIONS(9066), 1,
      anon_sym_DQUOTE,
    ACTIONS(9068), 1,
      aux_sym_line_str_text_token1,
    ACTIONS(9070), 1,
      anon_sym_BSLASH,
    ACTIONS(9074), 1,
      anon_sym_BSLASH_LPAREN,
    ACTIONS(9076), 1,
      sym__escaped_identifier,
    ACTIONS(9131), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5149), 1,
      aux_sym_multi_line_string_literal_repeat1,
    STATE(5802), 1,
      sym__uni_character_literal,
    STATE(5857), 1,
      sym__interpolation,
    ACTIONS(3), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    STATE(5861), 3,
      sym_str_escaped_char,
      sym__multi_line_string_content,
      sym_multi_line_str_text,
  [208510] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2959), 12,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [208531] = 4,
    ACTIONS(7800), 1,
      anon_sym_LPAREN,
    STATE(5341), 1,
      sym__tuple_pattern,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5060), 11,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_where_keyword,
      sym__as_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [208556] = 5,
    ACTIONS(5099), 1,
      sym__as_custom,
    ACTIONS(9133), 1,
      anon_sym_QMARK,
    STATE(5318), 1,
      sym__quest,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5093), 9,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_where_keyword,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [208583] = 5,
    ACTIONS(5167), 1,
      sym__as_custom,
    ACTIONS(9135), 1,
      anon_sym_QMARK,
    STATE(5340), 1,
      sym__quest,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5161), 9,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_where_keyword,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [208610] = 12,
    ACTIONS(5), 1,
      sym_multiline_comment,
    ACTIONS(9066), 1,
      anon_sym_DQUOTE,
    ACTIONS(9068), 1,
      aux_sym_line_str_text_token1,
    ACTIONS(9070), 1,
      anon_sym_BSLASH,
    ACTIONS(9074), 1,
      anon_sym_BSLASH_LPAREN,
    ACTIONS(9076), 1,
      sym__escaped_identifier,
    ACTIONS(9137), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5182), 1,
      aux_sym_multi_line_string_literal_repeat1,
    STATE(5802), 1,
      sym__uni_character_literal,
    STATE(5857), 1,
      sym__interpolation,
    ACTIONS(3), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    STATE(5861), 3,
      sym_str_escaped_char,
      sym__multi_line_string_content,
      sym_multi_line_str_text,
  [208651] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2928), 12,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_where_keyword,
      sym__as_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [208672] = 12,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(8865), 1,
      anon_sym_LBRACE,
    ACTIONS(9109), 1,
      anon_sym_LPAREN,
    ACTIONS(9139), 1,
      sym__arrow_operator_custom,
    ACTIONS(9141), 1,
      sym__async_keyword_custom,
    STATE(3381), 1,
      sym__arrow_operator,
    STATE(5539), 1,
      sym__async_keyword,
    STATE(5554), 1,
      aux_sym__function_value_parameters,
    STATE(5904), 1,
      sym_throws,
    STATE(7695), 1,
      sym_type_constraints,
    ACTIONS(9113), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [208713] = 12,
    ACTIONS(5), 1,
      sym_multiline_comment,
    ACTIONS(9066), 1,
      anon_sym_DQUOTE,
    ACTIONS(9068), 1,
      aux_sym_line_str_text_token1,
    ACTIONS(9070), 1,
      anon_sym_BSLASH,
    ACTIONS(9074), 1,
      anon_sym_BSLASH_LPAREN,
    ACTIONS(9076), 1,
      sym__escaped_identifier,
    ACTIONS(9143), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5149), 1,
      aux_sym_multi_line_string_literal_repeat1,
    STATE(5802), 1,
      sym__uni_character_literal,
    STATE(5857), 1,
      sym__interpolation,
    ACTIONS(3), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    STATE(5861), 3,
      sym_str_escaped_char,
      sym__multi_line_string_content,
      sym_multi_line_str_text,
  [208754] = 12,
    ACTIONS(5), 1,
      sym_multiline_comment,
    ACTIONS(9066), 1,
      anon_sym_DQUOTE,
    ACTIONS(9068), 1,
      aux_sym_line_str_text_token1,
    ACTIONS(9070), 1,
      anon_sym_BSLASH,
    ACTIONS(9074), 1,
      anon_sym_BSLASH_LPAREN,
    ACTIONS(9076), 1,
      sym__escaped_identifier,
    ACTIONS(9145), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5171), 1,
      aux_sym_multi_line_string_literal_repeat1,
    STATE(5802), 1,
      sym__uni_character_literal,
    STATE(5857), 1,
      sym__interpolation,
    ACTIONS(3), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    STATE(5861), 3,
      sym_str_escaped_char,
      sym__multi_line_string_content,
      sym_multi_line_str_text,
  [208795] = 4,
    ACTIONS(7800), 1,
      anon_sym_LPAREN,
    STATE(5321), 1,
      sym__tuple_pattern,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5035), 11,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_where_keyword,
      sym__as_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [208820] = 12,
    ACTIONS(5), 1,
      sym_multiline_comment,
    ACTIONS(9066), 1,
      anon_sym_DQUOTE,
    ACTIONS(9068), 1,
      aux_sym_line_str_text_token1,
    ACTIONS(9070), 1,
      anon_sym_BSLASH,
    ACTIONS(9074), 1,
      anon_sym_BSLASH_LPAREN,
    ACTIONS(9076), 1,
      sym__escaped_identifier,
    ACTIONS(9147), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5149), 1,
      aux_sym_multi_line_string_literal_repeat1,
    STATE(5802), 1,
      sym__uni_character_literal,
    STATE(5857), 1,
      sym__interpolation,
    ACTIONS(3), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    STATE(5861), 3,
      sym_str_escaped_char,
      sym__multi_line_string_content,
      sym_multi_line_str_text,
  [208861] = 4,
    ACTIONS(7800), 1,
      anon_sym_LPAREN,
    STATE(5345), 1,
      sym__tuple_pattern,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5082), 11,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_where_keyword,
      sym__as_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [208886] = 10,
    ACTIONS(8200), 1,
      anon_sym_QMARK2,
    ACTIONS(8300), 1,
      sym__arrow_operator_custom,
    ACTIONS(8302), 1,
      sym__async_keyword_custom,
    STATE(3559), 1,
      sym__arrow_operator,
    STATE(5968), 1,
      sym__async_keyword,
    STATE(7522), 1,
      sym_throws,
    ACTIONS(2840), 2,
      anon_sym_DOT,
      anon_sym_AMP,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    STATE(4506), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [208923] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2987), 13,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [208944] = 12,
    ACTIONS(5), 1,
      sym_multiline_comment,
    ACTIONS(9066), 1,
      anon_sym_DQUOTE,
    ACTIONS(9068), 1,
      aux_sym_line_str_text_token1,
    ACTIONS(9070), 1,
      anon_sym_BSLASH,
    ACTIONS(9074), 1,
      anon_sym_BSLASH_LPAREN,
    ACTIONS(9076), 1,
      sym__escaped_identifier,
    ACTIONS(9149), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5179), 1,
      aux_sym_multi_line_string_literal_repeat1,
    STATE(5802), 1,
      sym__uni_character_literal,
    STATE(5857), 1,
      sym__interpolation,
    ACTIONS(3), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    STATE(5861), 3,
      sym_str_escaped_char,
      sym__multi_line_string_content,
      sym_multi_line_str_text,
  [208985] = 5,
    ACTIONS(8200), 1,
      anon_sym_QMARK2,
    STATE(4506), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(9151), 4,
      sym_where_keyword,
      anon_sym_COMMA,
      anon_sym_AMP,
      anon_sym_LBRACE,
    ACTIONS(2840), 5,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_DOT,
  [209012] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2959), 13,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [209033] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2995), 12,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym_else,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
  [209054] = 4,
    ACTIONS(8884), 1,
      anon_sym_QMARK2,
    STATE(5137), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2794), 9,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_AMP,
  [209079] = 12,
    ACTIONS(5), 1,
      sym_multiline_comment,
    ACTIONS(9066), 1,
      anon_sym_DQUOTE,
    ACTIONS(9068), 1,
      aux_sym_line_str_text_token1,
    ACTIONS(9070), 1,
      anon_sym_BSLASH,
    ACTIONS(9074), 1,
      anon_sym_BSLASH_LPAREN,
    ACTIONS(9076), 1,
      sym__escaped_identifier,
    ACTIONS(9153), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5149), 1,
      aux_sym_multi_line_string_literal_repeat1,
    STATE(5802), 1,
      sym__uni_character_literal,
    STATE(5857), 1,
      sym__interpolation,
    ACTIONS(3), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    STATE(5861), 3,
      sym_str_escaped_char,
      sym__multi_line_string_content,
      sym_multi_line_str_text,
  [209120] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2951), 12,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [209141] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2910), 12,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym_else,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
  [209162] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2979), 12,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_in,
  [209183] = 4,
    ACTIONS(9155), 1,
      anon_sym_AMP,
    STATE(5195), 1,
      aux_sym_protocol_composition_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2892), 10,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_LBRACE,
  [209208] = 9,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    ACTIONS(8670), 1,
      sym_where_keyword,
    STATE(5380), 1,
      sym_throws,
    STATE(5696), 1,
      sym_type_constraints,
    STATE(6139), 1,
      sym_function_body,
    STATE(6229), 1,
      sym__block,
    ACTIONS(8668), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5149), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [209243] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2955), 12,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym_else,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
  [209264] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2991), 12,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym_else,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
  [209285] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2979), 12,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [209306] = 12,
    ACTIONS(5), 1,
      sym_multiline_comment,
    ACTIONS(9066), 1,
      anon_sym_DQUOTE,
    ACTIONS(9068), 1,
      aux_sym_line_str_text_token1,
    ACTIONS(9070), 1,
      anon_sym_BSLASH,
    ACTIONS(9074), 1,
      anon_sym_BSLASH_LPAREN,
    ACTIONS(9076), 1,
      sym__escaped_identifier,
    ACTIONS(9158), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5149), 1,
      aux_sym_multi_line_string_literal_repeat1,
    STATE(5802), 1,
      sym__uni_character_literal,
    STATE(5857), 1,
      sym__interpolation,
    ACTIONS(3), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    STATE(5861), 3,
      sym_str_escaped_char,
      sym__multi_line_string_content,
      sym_multi_line_str_text,
  [209347] = 12,
    ACTIONS(5), 1,
      sym_multiline_comment,
    ACTIONS(9066), 1,
      anon_sym_DQUOTE,
    ACTIONS(9068), 1,
      aux_sym_line_str_text_token1,
    ACTIONS(9070), 1,
      anon_sym_BSLASH,
    ACTIONS(9074), 1,
      anon_sym_BSLASH_LPAREN,
    ACTIONS(9076), 1,
      sym__escaped_identifier,
    ACTIONS(9160), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5191), 1,
      aux_sym_multi_line_string_literal_repeat1,
    STATE(5802), 1,
      sym__uni_character_literal,
    STATE(5857), 1,
      sym__interpolation,
    ACTIONS(3), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    STATE(5861), 3,
      sym_str_escaped_char,
      sym__multi_line_string_content,
      sym_multi_line_str_text,
  [209388] = 3,
    STATE(5163), 1,
      aux_sym_protocol_composition_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3014), 11,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP,
  [209411] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2951), 13,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [209432] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2928), 12,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
      anon_sym_LT,
  [209453] = 12,
    ACTIONS(5), 1,
      sym_multiline_comment,
    ACTIONS(9066), 1,
      anon_sym_DQUOTE,
    ACTIONS(9068), 1,
      aux_sym_line_str_text_token1,
    ACTIONS(9070), 1,
      anon_sym_BSLASH,
    ACTIONS(9074), 1,
      anon_sym_BSLASH_LPAREN,
    ACTIONS(9076), 1,
      sym__escaped_identifier,
    ACTIONS(9162), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5207), 1,
      aux_sym_multi_line_string_literal_repeat1,
    STATE(5802), 1,
      sym__uni_character_literal,
    STATE(5857), 1,
      sym__interpolation,
    ACTIONS(3), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    STATE(5861), 3,
      sym_str_escaped_char,
      sym__multi_line_string_content,
      sym_multi_line_str_text,
  [209494] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2979), 13,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [209515] = 12,
    ACTIONS(5), 1,
      sym_multiline_comment,
    ACTIONS(9066), 1,
      anon_sym_DQUOTE,
    ACTIONS(9068), 1,
      aux_sym_line_str_text_token1,
    ACTIONS(9070), 1,
      anon_sym_BSLASH,
    ACTIONS(9074), 1,
      anon_sym_BSLASH_LPAREN,
    ACTIONS(9076), 1,
      sym__escaped_identifier,
    ACTIONS(9164), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5149), 1,
      aux_sym_multi_line_string_literal_repeat1,
    STATE(5802), 1,
      sym__uni_character_literal,
    STATE(5857), 1,
      sym__interpolation,
    ACTIONS(3), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    STATE(5861), 3,
      sym_str_escaped_char,
      sym__multi_line_string_content,
      sym_multi_line_str_text,
  [209556] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2987), 12,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_LBRACE,
  [209577] = 12,
    ACTIONS(5), 1,
      sym_multiline_comment,
    ACTIONS(9066), 1,
      anon_sym_DQUOTE,
    ACTIONS(9068), 1,
      aux_sym_line_str_text_token1,
    ACTIONS(9070), 1,
      anon_sym_BSLASH,
    ACTIONS(9074), 1,
      anon_sym_BSLASH_LPAREN,
    ACTIONS(9076), 1,
      sym__escaped_identifier,
    ACTIONS(9166), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5200), 1,
      aux_sym_multi_line_string_literal_repeat1,
    STATE(5802), 1,
      sym__uni_character_literal,
    STATE(5857), 1,
      sym__interpolation,
    ACTIONS(3), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    STATE(5861), 3,
      sym_str_escaped_char,
      sym__multi_line_string_content,
      sym_multi_line_str_text,
  [209618] = 9,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    ACTIONS(8670), 1,
      sym_where_keyword,
    STATE(5421), 1,
      sym_throws,
    STATE(5578), 1,
      sym_type_constraints,
    STATE(6208), 1,
      sym_function_body,
    STATE(6229), 1,
      sym__block,
    ACTIONS(8668), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5153), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [209653] = 9,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    ACTIONS(8670), 1,
      sym_where_keyword,
    STATE(5369), 1,
      sym_throws,
    STATE(5648), 1,
      sym_type_constraints,
    STATE(6169), 1,
      sym_function_body,
    STATE(6229), 1,
      sym__block,
    ACTIONS(8668), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5129), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [209688] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2983), 12,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym_else,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
  [209709] = 3,
    STATE(5195), 1,
      aux_sym_protocol_composition_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3014), 11,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_LBRACE,
  [209732] = 9,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    ACTIONS(8670), 1,
      sym_where_keyword,
    STATE(5418), 1,
      sym_throws,
    STATE(5589), 1,
      sym_type_constraints,
    STATE(6220), 1,
      sym_function_body,
    STATE(6229), 1,
      sym__block,
    ACTIONS(8668), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5153), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [209767] = 9,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    ACTIONS(8670), 1,
      sym_where_keyword,
    STATE(5378), 1,
      sym_throws,
    STATE(5689), 1,
      sym_type_constraints,
    STATE(6192), 1,
      sym_function_body,
    STATE(6229), 1,
      sym__block,
    ACTIONS(8668), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5129), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [209802] = 12,
    ACTIONS(5), 1,
      sym_multiline_comment,
    ACTIONS(9066), 1,
      anon_sym_DQUOTE,
    ACTIONS(9068), 1,
      aux_sym_line_str_text_token1,
    ACTIONS(9070), 1,
      anon_sym_BSLASH,
    ACTIONS(9074), 1,
      anon_sym_BSLASH_LPAREN,
    ACTIONS(9076), 1,
      sym__escaped_identifier,
    ACTIONS(9168), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5134), 1,
      aux_sym_multi_line_string_literal_repeat1,
    STATE(5802), 1,
      sym__uni_character_literal,
    STATE(5857), 1,
      sym__interpolation,
    ACTIONS(3), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    STATE(5861), 3,
      sym_str_escaped_char,
      sym__multi_line_string_content,
      sym_multi_line_str_text,
  [209843] = 9,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    ACTIONS(8670), 1,
      sym_where_keyword,
    STATE(5404), 1,
      sym_throws,
    STATE(5700), 1,
      sym_type_constraints,
    STATE(6229), 1,
      sym__block,
    STATE(6304), 1,
      sym_function_body,
    ACTIONS(8668), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5169), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [209878] = 5,
    ACTIONS(8200), 1,
      anon_sym_QMARK2,
    ACTIONS(9170), 1,
      anon_sym_RPAREN,
    STATE(4506), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2840), 7,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_AMP,
  [209904] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5226), 11,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_where_keyword,
      sym__as_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [209924] = 3,
    STATE(5304), 1,
      aux_sym_protocol_composition_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3014), 10,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_in,
  [209946] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2924), 11,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
  [209966] = 11,
    ACTIONS(5), 1,
      sym_multiline_comment,
    ACTIONS(9172), 1,
      anon_sym_DQUOTE,
    ACTIONS(9174), 1,
      aux_sym_line_str_text_token1,
    ACTIONS(9176), 1,
      anon_sym_BSLASH,
    ACTIONS(9178), 1,
      anon_sym_BSLASH_LPAREN,
    ACTIONS(9180), 1,
      sym__escaped_identifier,
    STATE(5311), 1,
      aux_sym_line_string_literal_repeat1,
    STATE(5914), 1,
      sym__interpolation,
    STATE(5931), 1,
      sym__uni_character_literal,
    ACTIONS(3), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    STATE(5925), 3,
      sym__line_string_content,
      sym_line_str_text,
      sym_str_escaped_char,
  [210004] = 5,
    ACTIONS(8200), 1,
      anon_sym_QMARK2,
    ACTIONS(9182), 1,
      anon_sym_RPAREN,
    STATE(4506), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2840), 7,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_AMP,
  [210030] = 9,
    ACTIONS(8777), 1,
      anon_sym_LBRACE,
    ACTIONS(8781), 1,
      sym_where_keyword,
    STATE(5471), 1,
      sym_throws,
    STATE(5759), 1,
      sym_type_constraints,
    STATE(6866), 1,
      sym_function_body,
    STATE(6886), 1,
      sym__block,
    ACTIONS(8779), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5149), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [210064] = 5,
    ACTIONS(8200), 1,
      anon_sym_QMARK2,
    ACTIONS(9184), 1,
      anon_sym_RPAREN,
    STATE(4506), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2840), 7,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_AMP,
  [210090] = 5,
    ACTIONS(8200), 1,
      anon_sym_QMARK2,
    ACTIONS(9186), 1,
      anon_sym_RPAREN,
    STATE(4506), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2840), 7,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_AMP,
  [210116] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5290), 11,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_where_keyword,
      sym__as_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [210136] = 9,
    ACTIONS(8777), 1,
      anon_sym_LBRACE,
    ACTIONS(8781), 1,
      sym_where_keyword,
    STATE(5529), 1,
      sym_throws,
    STATE(5784), 1,
      sym_type_constraints,
    STATE(6886), 1,
      sym__block,
    STATE(6998), 1,
      sym_function_body,
    ACTIONS(8779), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5129), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [210170] = 5,
    ACTIONS(8200), 1,
      anon_sym_QMARK2,
    ACTIONS(9188), 1,
      anon_sym_RPAREN,
    STATE(4506), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2840), 7,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_AMP,
  [210196] = 11,
    ACTIONS(5), 1,
      sym_multiline_comment,
    ACTIONS(9174), 1,
      aux_sym_line_str_text_token1,
    ACTIONS(9176), 1,
      anon_sym_BSLASH,
    ACTIONS(9178), 1,
      anon_sym_BSLASH_LPAREN,
    ACTIONS(9180), 1,
      sym__escaped_identifier,
    ACTIONS(9190), 1,
      anon_sym_DQUOTE,
    STATE(5244), 1,
      aux_sym_line_string_literal_repeat1,
    STATE(5914), 1,
      sym__interpolation,
    STATE(5931), 1,
      sym__uni_character_literal,
    ACTIONS(3), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    STATE(5925), 3,
      sym__line_string_content,
      sym_line_str_text,
      sym_str_escaped_char,
  [210234] = 8,
    ACTIONS(8670), 1,
      sym_where_keyword,
    ACTIONS(9194), 1,
      sym__arrow_operator_custom,
    STATE(3433), 1,
      sym__arrow_operator,
    STATE(5432), 1,
      sym_throws,
    STATE(6441), 1,
      sym_type_constraints,
    ACTIONS(8869), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(9192), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [210266] = 6,
    ACTIONS(8654), 1,
      anon_sym_COLON,
    ACTIONS(9196), 1,
      sym__as_custom,
    STATE(3735), 1,
      sym__as,
    STATE(5579), 1,
      sym_type_annotation,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7224), 7,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_where_keyword,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [210294] = 5,
    ACTIONS(5099), 1,
      sym__as_custom,
    ACTIONS(9198), 1,
      anon_sym_QMARK,
    STATE(5425), 1,
      sym__quest,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5093), 9,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_where_keyword,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [210320] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5316), 11,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_where_keyword,
      sym__as_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [210340] = 9,
    ACTIONS(8777), 1,
      anon_sym_LBRACE,
    ACTIONS(8781), 1,
      sym_where_keyword,
    STATE(5530), 1,
      sym_throws,
    STATE(5801), 1,
      sym_type_constraints,
    STATE(6698), 1,
      sym_function_body,
    STATE(6886), 1,
      sym__block,
    ACTIONS(8779), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5195), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [210374] = 5,
    ACTIONS(8200), 1,
      anon_sym_QMARK2,
    ACTIONS(9200), 1,
      anon_sym_RPAREN,
    STATE(4506), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2840), 7,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_AMP,
  [210400] = 5,
    ACTIONS(8200), 1,
      anon_sym_QMARK2,
    ACTIONS(9202), 1,
      anon_sym_RPAREN,
    STATE(4506), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2840), 7,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_AMP,
  [210426] = 11,
    ACTIONS(5), 1,
      sym_multiline_comment,
    ACTIONS(9174), 1,
      aux_sym_line_str_text_token1,
    ACTIONS(9176), 1,
      anon_sym_BSLASH,
    ACTIONS(9178), 1,
      anon_sym_BSLASH_LPAREN,
    ACTIONS(9180), 1,
      sym__escaped_identifier,
    ACTIONS(9204), 1,
      anon_sym_DQUOTE,
    STATE(5311), 1,
      aux_sym_line_string_literal_repeat1,
    STATE(5914), 1,
      sym__interpolation,
    STATE(5931), 1,
      sym__uni_character_literal,
    ACTIONS(3), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    STATE(5925), 3,
      sym__line_string_content,
      sym_line_str_text,
      sym_str_escaped_char,
  [210464] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2979), 11,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym_else,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
  [210484] = 11,
    ACTIONS(5), 1,
      sym_multiline_comment,
    ACTIONS(9174), 1,
      aux_sym_line_str_text_token1,
    ACTIONS(9176), 1,
      anon_sym_BSLASH,
    ACTIONS(9178), 1,
      anon_sym_BSLASH_LPAREN,
    ACTIONS(9180), 1,
      sym__escaped_identifier,
    ACTIONS(9206), 1,
      anon_sym_DQUOTE,
    STATE(5248), 1,
      aux_sym_line_string_literal_repeat1,
    STATE(5914), 1,
      sym__interpolation,
    STATE(5931), 1,
      sym__uni_character_literal,
    ACTIONS(3), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    STATE(5925), 3,
      sym__line_string_content,
      sym_line_str_text,
      sym_str_escaped_char,
  [210522] = 9,
    ACTIONS(8777), 1,
      anon_sym_LBRACE,
    ACTIONS(8781), 1,
      sym_where_keyword,
    STATE(5553), 1,
      sym_throws,
    STATE(5849), 1,
      sym_type_constraints,
    STATE(6886), 1,
      sym__block,
    STATE(7080), 1,
      sym_function_body,
    ACTIONS(8779), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5133), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [210556] = 5,
    ACTIONS(8200), 1,
      anon_sym_QMARK2,
    ACTIONS(9208), 1,
      anon_sym_RPAREN,
    STATE(4506), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2840), 7,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_AMP,
  [210582] = 11,
    ACTIONS(5), 1,
      sym_multiline_comment,
    ACTIONS(9174), 1,
      aux_sym_line_str_text_token1,
    ACTIONS(9176), 1,
      anon_sym_BSLASH,
    ACTIONS(9178), 1,
      anon_sym_BSLASH_LPAREN,
    ACTIONS(9180), 1,
      sym__escaped_identifier,
    ACTIONS(9210), 1,
      anon_sym_DQUOTE,
    STATE(5238), 1,
      aux_sym_line_string_literal_repeat1,
    STATE(5914), 1,
      sym__interpolation,
    STATE(5931), 1,
      sym__uni_character_literal,
    ACTIONS(3), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    STATE(5925), 3,
      sym__line_string_content,
      sym_line_str_text,
      sym_str_escaped_char,
  [210620] = 11,
    ACTIONS(5), 1,
      sym_multiline_comment,
    ACTIONS(9174), 1,
      aux_sym_line_str_text_token1,
    ACTIONS(9176), 1,
      anon_sym_BSLASH,
    ACTIONS(9178), 1,
      anon_sym_BSLASH_LPAREN,
    ACTIONS(9180), 1,
      sym__escaped_identifier,
    ACTIONS(9212), 1,
      anon_sym_DQUOTE,
    STATE(5311), 1,
      aux_sym_line_string_literal_repeat1,
    STATE(5914), 1,
      sym__interpolation,
    STATE(5931), 1,
      sym__uni_character_literal,
    ACTIONS(3), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    STATE(5925), 3,
      sym__line_string_content,
      sym_line_str_text,
      sym_str_escaped_char,
  [210658] = 4,
    ACTIONS(9214), 1,
      anon_sym_LPAREN,
    STATE(5245), 1,
      aux_sym__function_value_parameters,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5297), 9,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [210682] = 9,
    ACTIONS(8777), 1,
      anon_sym_LBRACE,
    ACTIONS(8781), 1,
      sym_where_keyword,
    STATE(5566), 1,
      sym_throws,
    STATE(5817), 1,
      sym_type_constraints,
    STATE(6625), 1,
      sym_function_body,
    STATE(6886), 1,
      sym__block,
    ACTIONS(8779), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5153), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [210716] = 5,
    ACTIONS(8200), 1,
      anon_sym_QMARK2,
    ACTIONS(9217), 1,
      anon_sym_RPAREN,
    STATE(4506), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2840), 7,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_AMP,
  [210742] = 11,
    ACTIONS(5), 1,
      sym_multiline_comment,
    ACTIONS(9174), 1,
      aux_sym_line_str_text_token1,
    ACTIONS(9176), 1,
      anon_sym_BSLASH,
    ACTIONS(9178), 1,
      anon_sym_BSLASH_LPAREN,
    ACTIONS(9180), 1,
      sym__escaped_identifier,
    ACTIONS(9219), 1,
      anon_sym_DQUOTE,
    STATE(5311), 1,
      aux_sym_line_string_literal_repeat1,
    STATE(5914), 1,
      sym__interpolation,
    STATE(5931), 1,
      sym__uni_character_literal,
    ACTIONS(3), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    STATE(5925), 3,
      sym__line_string_content,
      sym_line_str_text,
      sym_str_escaped_char,
  [210780] = 5,
    ACTIONS(8200), 1,
      anon_sym_QMARK2,
    ACTIONS(9221), 1,
      anon_sym_RPAREN,
    STATE(4506), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2840), 7,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_AMP,
  [210806] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2971), 11,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
  [210826] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5035), 11,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_where_keyword,
      sym__as_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [210846] = 5,
    ACTIONS(8200), 1,
      anon_sym_QMARK2,
    ACTIONS(9223), 1,
      anon_sym_RPAREN,
    STATE(4506), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2840), 7,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_AMP,
  [210872] = 11,
    ACTIONS(5), 1,
      sym_multiline_comment,
    ACTIONS(9174), 1,
      aux_sym_line_str_text_token1,
    ACTIONS(9176), 1,
      anon_sym_BSLASH,
    ACTIONS(9178), 1,
      anon_sym_BSLASH_LPAREN,
    ACTIONS(9180), 1,
      sym__escaped_identifier,
    ACTIONS(9225), 1,
      anon_sym_DQUOTE,
    STATE(5263), 1,
      aux_sym_line_string_literal_repeat1,
    STATE(5914), 1,
      sym__interpolation,
    STATE(5931), 1,
      sym__uni_character_literal,
    ACTIONS(3), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    STATE(5925), 3,
      sym__line_string_content,
      sym_line_str_text,
      sym_str_escaped_char,
  [210910] = 5,
    ACTIONS(8200), 1,
      anon_sym_QMARK2,
    ACTIONS(9227), 1,
      anon_sym_RPAREN,
    STATE(4506), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2840), 7,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_AMP,
  [210936] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5235), 11,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_where_keyword,
      sym__as_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [210956] = 5,
    ACTIONS(8200), 1,
      anon_sym_QMARK2,
    ACTIONS(9229), 1,
      anon_sym_RPAREN,
    STATE(4506), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2840), 7,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_AMP,
  [210982] = 9,
    ACTIONS(8777), 1,
      anon_sym_LBRACE,
    ACTIONS(8781), 1,
      sym_where_keyword,
    STATE(5493), 1,
      sym_throws,
    STATE(5728), 1,
      sym_type_constraints,
    STATE(6746), 1,
      sym_function_body,
    STATE(6886), 1,
      sym__block,
    ACTIONS(8779), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5122), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [211016] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2798), 11,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
  [211036] = 4,
    ACTIONS(9231), 1,
      anon_sym_QMARK,
    STATE(5401), 1,
      sym__quest,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5167), 9,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_where_keyword,
      sym__as_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACE,
  [211060] = 9,
    ACTIONS(8777), 1,
      anon_sym_LBRACE,
    ACTIONS(8781), 1,
      sym_where_keyword,
    STATE(5459), 1,
      sym_throws,
    STATE(5771), 1,
      sym_type_constraints,
    STATE(6823), 1,
      sym_function_body,
    STATE(6886), 1,
      sym__block,
    ACTIONS(8779), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5169), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [211094] = 11,
    ACTIONS(5), 1,
      sym_multiline_comment,
    ACTIONS(9174), 1,
      aux_sym_line_str_text_token1,
    ACTIONS(9176), 1,
      anon_sym_BSLASH,
    ACTIONS(9178), 1,
      anon_sym_BSLASH_LPAREN,
    ACTIONS(9180), 1,
      sym__escaped_identifier,
    ACTIONS(9233), 1,
      anon_sym_DQUOTE,
    STATE(5269), 1,
      aux_sym_line_string_literal_repeat1,
    STATE(5914), 1,
      sym__interpolation,
    STATE(5931), 1,
      sym__uni_character_literal,
    ACTIONS(3), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    STATE(5925), 3,
      sym__line_string_content,
      sym_line_str_text,
      sym_str_escaped_char,
  [211132] = 11,
    ACTIONS(5), 1,
      sym_multiline_comment,
    ACTIONS(9174), 1,
      aux_sym_line_str_text_token1,
    ACTIONS(9176), 1,
      anon_sym_BSLASH,
    ACTIONS(9178), 1,
      anon_sym_BSLASH_LPAREN,
    ACTIONS(9180), 1,
      sym__escaped_identifier,
    ACTIONS(9235), 1,
      anon_sym_DQUOTE,
    STATE(5311), 1,
      aux_sym_line_string_literal_repeat1,
    STATE(5914), 1,
      sym__interpolation,
    STATE(5931), 1,
      sym__uni_character_literal,
    ACTIONS(3), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    STATE(5925), 3,
      sym__line_string_content,
      sym_line_str_text,
      sym_str_escaped_char,
  [211170] = 11,
    ACTIONS(5), 1,
      sym_multiline_comment,
    ACTIONS(9174), 1,
      aux_sym_line_str_text_token1,
    ACTIONS(9176), 1,
      anon_sym_BSLASH,
    ACTIONS(9178), 1,
      anon_sym_BSLASH_LPAREN,
    ACTIONS(9180), 1,
      sym__escaped_identifier,
    ACTIONS(9237), 1,
      anon_sym_DQUOTE,
    STATE(5311), 1,
      aux_sym_line_string_literal_repeat1,
    STATE(5914), 1,
      sym__interpolation,
    STATE(5931), 1,
      sym__uni_character_literal,
    ACTIONS(3), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    STATE(5925), 3,
      sym__line_string_content,
      sym_line_str_text,
      sym_str_escaped_char,
  [211208] = 5,
    ACTIONS(8200), 1,
      anon_sym_QMARK2,
    ACTIONS(9239), 1,
      anon_sym_RPAREN,
    STATE(4506), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2840), 7,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_AMP,
  [211234] = 9,
    ACTIONS(8777), 1,
      anon_sym_LBRACE,
    ACTIONS(8781), 1,
      sym_where_keyword,
    STATE(5501), 1,
      sym_throws,
    STATE(5715), 1,
      sym_type_constraints,
    STATE(6711), 1,
      sym_function_body,
    STATE(6886), 1,
      sym__block,
    ACTIONS(8779), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5122), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [211268] = 5,
    ACTIONS(8200), 1,
      anon_sym_QMARK2,
    ACTIONS(9241), 1,
      anon_sym_RPAREN,
    STATE(4506), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2840), 7,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_AMP,
  [211294] = 11,
    ACTIONS(5), 1,
      sym_multiline_comment,
    ACTIONS(9174), 1,
      aux_sym_line_str_text_token1,
    ACTIONS(9176), 1,
      anon_sym_BSLASH,
    ACTIONS(9178), 1,
      anon_sym_BSLASH_LPAREN,
    ACTIONS(9180), 1,
      sym__escaped_identifier,
    ACTIONS(9243), 1,
      anon_sym_DQUOTE,
    STATE(5222), 1,
      aux_sym_line_string_literal_repeat1,
    STATE(5914), 1,
      sym__interpolation,
    STATE(5931), 1,
      sym__uni_character_literal,
    ACTIONS(3), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    STATE(5925), 3,
      sym__line_string_content,
      sym_line_str_text,
      sym_str_escaped_char,
  [211332] = 5,
    ACTIONS(8200), 1,
      anon_sym_QMARK2,
    ACTIONS(9245), 1,
      anon_sym_RPAREN,
    STATE(4506), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2840), 7,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_AMP,
  [211358] = 11,
    ACTIONS(5), 1,
      sym_multiline_comment,
    ACTIONS(9174), 1,
      aux_sym_line_str_text_token1,
    ACTIONS(9176), 1,
      anon_sym_BSLASH,
    ACTIONS(9178), 1,
      anon_sym_BSLASH_LPAREN,
    ACTIONS(9180), 1,
      sym__escaped_identifier,
    ACTIONS(9247), 1,
      anon_sym_DQUOTE,
    STATE(5311), 1,
      aux_sym_line_string_literal_repeat1,
    STATE(5914), 1,
      sym__interpolation,
    STATE(5931), 1,
      sym__uni_character_literal,
    ACTIONS(3), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    STATE(5925), 3,
      sym__line_string_content,
      sym_line_str_text,
      sym_str_escaped_char,
  [211396] = 11,
    ACTIONS(5), 1,
      sym_multiline_comment,
    ACTIONS(9174), 1,
      aux_sym_line_str_text_token1,
    ACTIONS(9176), 1,
      anon_sym_BSLASH,
    ACTIONS(9178), 1,
      anon_sym_BSLASH_LPAREN,
    ACTIONS(9180), 1,
      sym__escaped_identifier,
    ACTIONS(9249), 1,
      anon_sym_DQUOTE,
    STATE(5311), 1,
      aux_sym_line_string_literal_repeat1,
    STATE(5914), 1,
      sym__interpolation,
    STATE(5931), 1,
      sym__uni_character_literal,
    ACTIONS(3), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    STATE(5925), 3,
      sym__line_string_content,
      sym_line_str_text,
      sym_str_escaped_char,
  [211434] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2963), 11,
      sym__arrow_operator_custom,
      sym__dot_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
  [211454] = 9,
    ACTIONS(8777), 1,
      anon_sym_LBRACE,
    ACTIONS(8781), 1,
      sym_where_keyword,
    STATE(5437), 1,
      sym_throws,
    STATE(5837), 1,
      sym_type_constraints,
    STATE(6886), 1,
      sym__block,
    STATE(7023), 1,
      sym_function_body,
    ACTIONS(8779), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5199), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [211488] = 11,
    ACTIONS(5), 1,
      sym_multiline_comment,
    ACTIONS(9174), 1,
      aux_sym_line_str_text_token1,
    ACTIONS(9176), 1,
      anon_sym_BSLASH,
    ACTIONS(9178), 1,
      anon_sym_BSLASH_LPAREN,
    ACTIONS(9180), 1,
      sym__escaped_identifier,
    ACTIONS(9251), 1,
      anon_sym_DQUOTE,
    STATE(5262), 1,
      aux_sym_line_string_literal_repeat1,
    STATE(5914), 1,
      sym__interpolation,
    STATE(5931), 1,
      sym__uni_character_literal,
    ACTIONS(3), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    STATE(5925), 3,
      sym__line_string_content,
      sym_line_str_text,
      sym_str_escaped_char,
  [211526] = 5,
    ACTIONS(8200), 1,
      anon_sym_QMARK2,
    ACTIONS(9253), 1,
      anon_sym_RPAREN,
    STATE(4506), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2840), 7,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_AMP,
  [211552] = 5,
    ACTIONS(8200), 1,
      anon_sym_QMARK2,
    ACTIONS(9255), 1,
      anon_sym_RPAREN,
    STATE(4506), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2840), 7,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_AMP,
  [211578] = 5,
    ACTIONS(8200), 1,
      anon_sym_QMARK2,
    ACTIONS(9257), 1,
      anon_sym_RPAREN,
    STATE(4506), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2840), 7,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_AMP,
  [211604] = 4,
    ACTIONS(9259), 1,
      anon_sym_QMARK,
    STATE(5361), 1,
      sym__quest,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5099), 9,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_where_keyword,
      sym__as_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACE,
  [211628] = 5,
    ACTIONS(8200), 1,
      anon_sym_QMARK2,
    ACTIONS(9261), 1,
      anon_sym_RPAREN,
    STATE(4506), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2840), 7,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_AMP,
  [211654] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5060), 11,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_where_keyword,
      sym__as_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [211674] = 11,
    ACTIONS(5), 1,
      sym_multiline_comment,
    ACTIONS(9174), 1,
      aux_sym_line_str_text_token1,
    ACTIONS(9176), 1,
      anon_sym_BSLASH,
    ACTIONS(9178), 1,
      anon_sym_BSLASH_LPAREN,
    ACTIONS(9180), 1,
      sym__escaped_identifier,
    ACTIONS(9263), 1,
      anon_sym_DQUOTE,
    STATE(5270), 1,
      aux_sym_line_string_literal_repeat1,
    STATE(5914), 1,
      sym__interpolation,
    STATE(5931), 1,
      sym__uni_character_literal,
    ACTIONS(3), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    STATE(5925), 3,
      sym__line_string_content,
      sym_line_str_text,
      sym_str_escaped_char,
  [211712] = 11,
    ACTIONS(5), 1,
      sym_multiline_comment,
    ACTIONS(9174), 1,
      aux_sym_line_str_text_token1,
    ACTIONS(9176), 1,
      anon_sym_BSLASH,
    ACTIONS(9178), 1,
      anon_sym_BSLASH_LPAREN,
    ACTIONS(9180), 1,
      sym__escaped_identifier,
    ACTIONS(9265), 1,
      anon_sym_DQUOTE,
    STATE(5311), 1,
      aux_sym_line_string_literal_repeat1,
    STATE(5914), 1,
      sym__interpolation,
    STATE(5931), 1,
      sym__uni_character_literal,
    ACTIONS(3), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    STATE(5925), 3,
      sym__line_string_content,
      sym_line_str_text,
      sym_str_escaped_char,
  [211750] = 9,
    ACTIONS(8892), 1,
      anon_sym_LBRACE,
    ACTIONS(8894), 1,
      sym__eq_custom,
    STATE(540), 1,
      sym__equal_sign,
    STATE(6422), 1,
      sym__expression_with_willset_didset,
    STATE(6425), 1,
      sym__expression_without_willset_didset,
    STATE(6436), 1,
      sym_willset_didset_block,
    STATE(6443), 1,
      sym_computed_property,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5103), 5,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [211784] = 5,
    ACTIONS(8200), 1,
      anon_sym_QMARK2,
    ACTIONS(9267), 1,
      anon_sym_RPAREN,
    STATE(4506), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2840), 7,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_AMP,
  [211810] = 5,
    ACTIONS(8200), 1,
      anon_sym_QMARK2,
    ACTIONS(9269), 1,
      anon_sym_RPAREN,
    STATE(4506), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2840), 7,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_AMP,
  [211836] = 5,
    ACTIONS(8200), 1,
      anon_sym_QMARK2,
    ACTIONS(9271), 1,
      anon_sym_RPAREN,
    STATE(4506), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2840), 7,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_AMP,
  [211862] = 5,
    ACTIONS(5167), 1,
      sym__as_custom,
    ACTIONS(9273), 1,
      anon_sym_QMARK,
    STATE(5408), 1,
      sym__quest,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5161), 9,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_where_keyword,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [211888] = 5,
    ACTIONS(8200), 1,
      anon_sym_QMARK2,
    ACTIONS(9275), 1,
      anon_sym_RPAREN,
    STATE(4506), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2840), 7,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_AMP,
  [211914] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6020), 11,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_get,
      anon_sym_set,
      anon_sym__modify,
      anon_sym_AT,
      anon_sym_mutating,
      anon_sym_nonmutating,
  [211934] = 9,
    ACTIONS(8892), 1,
      anon_sym_LBRACE,
    ACTIONS(8894), 1,
      sym__eq_custom,
    STATE(540), 1,
      sym__equal_sign,
    STATE(6335), 1,
      sym_computed_property,
    STATE(6352), 1,
      sym_willset_didset_block,
    STATE(6357), 1,
      sym__expression_without_willset_didset,
    STATE(6358), 1,
      sym__expression_with_willset_didset,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5027), 5,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [211968] = 5,
    ACTIONS(8200), 1,
      anon_sym_QMARK2,
    ACTIONS(9277), 1,
      anon_sym_RPAREN,
    STATE(4506), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2840), 7,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_AMP,
  [211994] = 4,
    ACTIONS(9279), 1,
      anon_sym_QMARK,
    STATE(5387), 1,
      sym__quest,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7251), 9,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_where_keyword,
      sym__as_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACE,
  [212018] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2987), 11,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym_else,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
  [212038] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2959), 11,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym_else,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
  [212058] = 5,
    ACTIONS(8200), 1,
      anon_sym_QMARK2,
    ACTIONS(9281), 1,
      anon_sym_RPAREN,
    STATE(4506), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2840), 7,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_AMP,
  [212084] = 11,
    ACTIONS(5), 1,
      sym_multiline_comment,
    ACTIONS(9174), 1,
      aux_sym_line_str_text_token1,
    ACTIONS(9176), 1,
      anon_sym_BSLASH,
    ACTIONS(9178), 1,
      anon_sym_BSLASH_LPAREN,
    ACTIONS(9180), 1,
      sym__escaped_identifier,
    ACTIONS(9283), 1,
      anon_sym_DQUOTE,
    STATE(5281), 1,
      aux_sym_line_string_literal_repeat1,
    STATE(5914), 1,
      sym__interpolation,
    STATE(5931), 1,
      sym__uni_character_literal,
    ACTIONS(3), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    STATE(5925), 3,
      sym__line_string_content,
      sym_line_str_text,
      sym_str_escaped_char,
  [212122] = 5,
    ACTIONS(8200), 1,
      anon_sym_QMARK2,
    ACTIONS(9285), 1,
      anon_sym_RPAREN,
    STATE(4506), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2840), 7,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_AMP,
  [212148] = 5,
    ACTIONS(8200), 1,
      anon_sym_QMARK2,
    ACTIONS(9287), 1,
      anon_sym_RPAREN,
    STATE(4506), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2840), 7,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_AMP,
  [212174] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5327), 11,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_where_keyword,
      sym__as_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [212194] = 11,
    ACTIONS(5), 1,
      sym_multiline_comment,
    ACTIONS(9174), 1,
      aux_sym_line_str_text_token1,
    ACTIONS(9176), 1,
      anon_sym_BSLASH,
    ACTIONS(9178), 1,
      anon_sym_BSLASH_LPAREN,
    ACTIONS(9180), 1,
      sym__escaped_identifier,
    ACTIONS(9289), 1,
      anon_sym_DQUOTE,
    STATE(5308), 1,
      aux_sym_line_string_literal_repeat1,
    STATE(5914), 1,
      sym__interpolation,
    STATE(5931), 1,
      sym__uni_character_literal,
    ACTIONS(3), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    STATE(5925), 3,
      sym__line_string_content,
      sym_line_str_text,
      sym_str_escaped_char,
  [212232] = 5,
    ACTIONS(7242), 1,
      sym__as_custom,
    ACTIONS(9291), 1,
      anon_sym_QMARK,
    STATE(5342), 1,
      sym__quest,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5161), 8,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_where_keyword,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACE,
  [212258] = 5,
    ACTIONS(8200), 1,
      anon_sym_QMARK2,
    ACTIONS(9294), 1,
      anon_sym_RPAREN,
    STATE(4506), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2840), 7,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_AMP,
  [212284] = 5,
    ACTIONS(7248), 1,
      sym__as_custom,
    ACTIONS(9296), 1,
      anon_sym_QMARK,
    STATE(5343), 1,
      sym__quest,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5093), 8,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_where_keyword,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACE,
  [212310] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5323), 11,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_where_keyword,
      sym__as_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [212330] = 4,
    ACTIONS(9299), 1,
      anon_sym_AMP,
    STATE(5304), 1,
      aux_sym_protocol_composition_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2892), 9,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__as_custom,
      sym__async_keyword_custom,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_in,
  [212354] = 9,
    ACTIONS(8777), 1,
      anon_sym_LBRACE,
    ACTIONS(8781), 1,
      sym_where_keyword,
    STATE(5560), 1,
      sym_throws,
    STATE(5859), 1,
      sym_type_constraints,
    STATE(6591), 1,
      sym_function_body,
    STATE(6886), 1,
      sym__block,
    ACTIONS(8779), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5153), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [212388] = 5,
    ACTIONS(8200), 1,
      anon_sym_QMARK2,
    ACTIONS(9302), 1,
      anon_sym_RPAREN,
    STATE(4506), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2840), 7,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_AMP,
  [212414] = 5,
    ACTIONS(8200), 1,
      anon_sym_QMARK2,
    ACTIONS(9304), 1,
      anon_sym_RPAREN,
    STATE(4506), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2840), 7,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_AMP,
  [212440] = 11,
    ACTIONS(5), 1,
      sym_multiline_comment,
    ACTIONS(9174), 1,
      aux_sym_line_str_text_token1,
    ACTIONS(9176), 1,
      anon_sym_BSLASH,
    ACTIONS(9178), 1,
      anon_sym_BSLASH_LPAREN,
    ACTIONS(9180), 1,
      sym__escaped_identifier,
    ACTIONS(9306), 1,
      anon_sym_DQUOTE,
    STATE(5311), 1,
      aux_sym_line_string_literal_repeat1,
    STATE(5914), 1,
      sym__interpolation,
    STATE(5931), 1,
      sym__uni_character_literal,
    ACTIONS(3), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    STATE(5925), 3,
      sym__line_string_content,
      sym_line_str_text,
      sym_str_escaped_char,
  [212478] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2928), 12,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_where_keyword,
      sym__as_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [212498] = 9,
    ACTIONS(8777), 1,
      anon_sym_LBRACE,
    ACTIONS(8781), 1,
      sym_where_keyword,
    STATE(5463), 1,
      sym_throws,
    STATE(5769), 1,
      sym_type_constraints,
    STATE(6884), 1,
      sym_function_body,
    STATE(6886), 1,
      sym__block,
    ACTIONS(8779), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5157), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [212532] = 11,
    ACTIONS(5), 1,
      sym_multiline_comment,
    ACTIONS(9308), 1,
      anon_sym_DQUOTE,
    ACTIONS(9310), 1,
      aux_sym_line_str_text_token1,
    ACTIONS(9313), 1,
      anon_sym_BSLASH,
    ACTIONS(9316), 1,
      anon_sym_BSLASH_LPAREN,
    ACTIONS(9319), 1,
      sym__escaped_identifier,
    STATE(5311), 1,
      aux_sym_line_string_literal_repeat1,
    STATE(5914), 1,
      sym__interpolation,
    STATE(5931), 1,
      sym__uni_character_literal,
    ACTIONS(3), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    STATE(5925), 3,
      sym__line_string_content,
      sym_line_str_text,
      sym_str_escaped_char,
  [212570] = 5,
    ACTIONS(8200), 1,
      anon_sym_QMARK2,
    ACTIONS(9322), 1,
      anon_sym_RPAREN,
    STATE(4506), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2840), 7,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_AMP,
  [212596] = 9,
    ACTIONS(8777), 1,
      anon_sym_LBRACE,
    ACTIONS(8781), 1,
      sym_where_keyword,
    STATE(5551), 1,
      sym_throws,
    STATE(5828), 1,
      sym_type_constraints,
    STATE(6886), 1,
      sym__block,
    STATE(7015), 1,
      sym_function_body,
    ACTIONS(8779), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5129), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [212630] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2951), 11,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym_else,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
  [212650] = 5,
    ACTIONS(8200), 1,
      anon_sym_QMARK2,
    ACTIONS(9324), 1,
      anon_sym_RPAREN,
    STATE(4506), 2,
      sym__immediate_quest,
      aux_sym_optional_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2840), 7,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_AMP,
  [212676] = 4,
    ACTIONS(9326), 1,
      anon_sym_LPAREN,
    STATE(5316), 1,
      aux_sym__function_value_parameters,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5297), 9,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [212700] = 8,
    ACTIONS(8670), 1,
      sym_where_keyword,
    ACTIONS(9331), 1,
      sym__arrow_operator_custom,
    STATE(3454), 1,
      sym__arrow_operator,
    STATE(5512), 1,
      sym_throws,
    STATE(6334), 1,
      sym_type_constraints,
    ACTIONS(8869), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(9329), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [212732] = 3,
    ACTIONS(5391), 1,
      sym__as_custom,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5387), 9,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_where_keyword,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [212753] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5316), 11,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_where_keyword,
      sym__as_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [212772] = 3,
    STATE(5354), 1,
      aux_sym_protocol_composition_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3014), 9,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_in,
  [212793] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5327), 11,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_where_keyword,
      sym__as_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [212812] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5370), 10,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [212831] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2983), 10,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
  [212850] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5290), 11,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_where_keyword,
      sym__as_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [212869] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2955), 10,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
  [212888] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2967), 10,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
  [212907] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5370), 10,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [212926] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5235), 11,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_where_keyword,
      sym__as_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [212945] = 4,
    ACTIONS(9333), 1,
      anon_sym_AMP,
    STATE(5329), 1,
      aux_sym_protocol_composition_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2892), 8,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COLON,
      anon_sym_DOT,
  [212968] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2914), 10,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
  [212987] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2975), 10,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
  [213006] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5423), 10,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [213025] = 3,
    STATE(5329), 1,
      aux_sym_protocol_composition_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3014), 9,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_AMP,
  [213046] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2991), 10,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
  [213065] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5423), 10,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [213084] = 5,
    ACTIONS(9336), 1,
      anon_sym_LPAREN,
    ACTIONS(9338), 1,
      anon_sym_LBRACE,
    STATE(5680), 1,
      sym__block,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(9340), 7,
      anon_sym_RBRACE,
      anon_sym_get,
      anon_sym_set,
      anon_sym__modify,
      anon_sym_AT,
      anon_sym_mutating,
      anon_sym_nonmutating,
  [213109] = 5,
    ACTIONS(9338), 1,
      anon_sym_LBRACE,
    ACTIONS(9342), 1,
      anon_sym_LPAREN,
    STATE(5683), 1,
      sym__block,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(9344), 7,
      anon_sym_RBRACE,
      anon_sym_get,
      anon_sym_set,
      anon_sym__modify,
      anon_sym_AT,
      anon_sym_mutating,
      anon_sym_nonmutating,
  [213134] = 10,
    ACTIONS(8300), 1,
      sym__arrow_operator_custom,
    ACTIONS(8302), 1,
      sym__async_keyword_custom,
    ACTIONS(8458), 1,
      anon_sym_DOT,
    ACTIONS(8460), 1,
      anon_sym_AMP,
    STATE(3559), 1,
      sym__arrow_operator,
    STATE(4950), 1,
      aux_sym_protocol_composition_type_repeat1,
    STATE(5968), 1,
      sym__async_keyword,
    STATE(7522), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [213169] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2995), 10,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
  [213188] = 3,
    ACTIONS(5397), 1,
      sym__as_custom,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5393), 9,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_where_keyword,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [213209] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5035), 11,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_where_keyword,
      sym__as_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [213228] = 3,
    ACTIONS(7272), 1,
      sym__as_custom,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5393), 9,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_where_keyword,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_RBRACE,
  [213249] = 3,
    ACTIONS(7265), 1,
      sym__as_custom,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5387), 9,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_where_keyword,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_RBRACE,
  [213270] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2910), 10,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK2,
      anon_sym_AMP,
  [213289] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5060), 11,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_where_keyword,
      sym__as_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [213308] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5419), 10,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [213327] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5323), 11,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_where_keyword,
      sym__as_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [213346] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5226), 11,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_where_keyword,
      sym__as_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [213365] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5419), 10,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [213384] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7261), 10,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_where_keyword,
      sym__as_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_RBRACE,
  [213403] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7268), 10,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_where_keyword,
      sym__as_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_RBRACE,
  [213422] = 5,
    ACTIONS(2882), 1,
      sym__dot_custom,
    ACTIONS(5011), 1,
      anon_sym_LT,
    STATE(1829), 1,
      sym_type_arguments,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5009), 7,
      sym__eq_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
  [213447] = 4,
    ACTIONS(9346), 1,
      anon_sym_LPAREN,
    STATE(5353), 1,
      aux_sym__function_value_parameters,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5297), 9,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [213470] = 4,
    ACTIONS(9349), 1,
      anon_sym_AMP,
    STATE(5354), 1,
      aux_sym_protocol_composition_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2892), 8,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_DOT,
      anon_sym_in,
  [213493] = 4,
    ACTIONS(9338), 1,
      anon_sym_LBRACE,
    STATE(5672), 1,
      sym__block,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(9352), 7,
      anon_sym_RBRACE,
      anon_sym_get,
      anon_sym_set,
      anon_sym__modify,
      anon_sym_AT,
      anon_sym_mutating,
      anon_sym_nonmutating,
  [213515] = 8,
    ACTIONS(8664), 1,
      anon_sym_LPAREN,
    ACTIONS(9354), 1,
      anon_sym_QMARK,
    ACTIONS(9356), 1,
      anon_sym_LT,
    STATE(4697), 1,
      aux_sym__function_value_parameters,
    STATE(7471), 1,
      sym_type_parameters,
    ACTIONS(5263), 2,
      sym__bang_custom,
      anon_sym_BANG2,
    STATE(6283), 2,
      sym__quest,
      sym_bang,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [213545] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2928), 9,
      sym__dot_custom,
      sym__eq_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT,
  [213563] = 6,
    ACTIONS(4086), 1,
      sym_where_keyword,
    ACTIONS(9358), 1,
      sym__eq_custom,
    STATE(481), 1,
      sym__equal_sign,
    STATE(5894), 1,
      sym_where_clause,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7299), 5,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [213589] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5419), 10,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [213607] = 8,
    ACTIONS(8775), 1,
      anon_sym_LPAREN,
    ACTIONS(9356), 1,
      anon_sym_LT,
    ACTIONS(9360), 1,
      anon_sym_QMARK,
    STATE(4892), 1,
      aux_sym__function_value_parameters,
    STATE(7623), 1,
      sym_type_parameters,
    ACTIONS(5263), 2,
      sym__bang_custom,
      anon_sym_BANG2,
    STATE(6350), 2,
      sym__quest,
      sym_bang,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [213637] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5391), 9,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_where_keyword,
      sym__as_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACE,
  [213655] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(9362), 9,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_get,
      anon_sym_set,
      anon_sym__modify,
      anon_sym_AT,
      anon_sym_mutating,
      anon_sym_nonmutating,
  [213673] = 4,
    ACTIONS(8654), 1,
      anon_sym_COLON,
    STATE(5668), 1,
      sym_type_annotation,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7311), 7,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_where_keyword,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [213695] = 8,
    ACTIONS(8775), 1,
      anon_sym_LPAREN,
    ACTIONS(9356), 1,
      anon_sym_LT,
    ACTIONS(9364), 1,
      anon_sym_QMARK,
    STATE(4914), 1,
      aux_sym__function_value_parameters,
    STATE(7537), 1,
      sym_type_parameters,
    ACTIONS(5263), 2,
      sym__bang_custom,
      anon_sym_BANG2,
    STATE(6416), 2,
      sym__quest,
      sym_bang,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [213725] = 7,
    ACTIONS(8520), 1,
      anon_sym_get,
    ACTIONS(8522), 1,
      anon_sym_set,
    ACTIONS(9366), 1,
      anon_sym_RBRACE,
    STATE(7353), 1,
      sym_mutation_modifier,
    ACTIONS(3631), 2,
      anon_sym_mutating,
      anon_sym_nonmutating,
    STATE(5416), 3,
      sym_getter_specifier,
      sym_setter_specifier,
      aux_sym_protocol_property_requirements_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [213753] = 8,
    ACTIONS(8664), 1,
      anon_sym_LPAREN,
    ACTIONS(9356), 1,
      anon_sym_LT,
    ACTIONS(9368), 1,
      anon_sym_QMARK,
    STATE(4712), 1,
      aux_sym__function_value_parameters,
    STATE(7499), 1,
      sym_type_parameters,
    ACTIONS(5263), 2,
      sym__bang_custom,
      anon_sym_BANG2,
    STATE(6340), 2,
      sym__quest,
      sym_bang,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [213783] = 7,
    ACTIONS(8660), 1,
      sym_where_keyword,
    ACTIONS(9370), 1,
      anon_sym_COLON,
    ACTIONS(9372), 1,
      sym__eq_custom,
    STATE(3702), 1,
      sym__equal_sign,
    STATE(5815), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5506), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [213811] = 5,
    ACTIONS(2882), 1,
      sym__dot_custom,
    ACTIONS(5011), 1,
      anon_sym_LT,
    STATE(1829), 1,
      sym_type_arguments,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5009), 6,
      sym_where_keyword,
      sym__as_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LBRACE,
  [213835] = 7,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    ACTIONS(8670), 1,
      sym_where_keyword,
    STATE(5677), 1,
      sym_type_constraints,
    STATE(6229), 1,
      sym__block,
    STATE(6288), 1,
      sym_function_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5454), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [213863] = 3,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(9151), 4,
      sym_where_keyword,
      anon_sym_COMMA,
      anon_sym_AMP,
      anon_sym_LBRACE,
    ACTIONS(2840), 5,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_DOT,
  [213883] = 5,
    ACTIONS(2882), 1,
      sym__dot_custom,
    ACTIONS(5011), 1,
      anon_sym_LT,
    STATE(1829), 1,
      sym_type_arguments,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5009), 6,
      sym__as_custom,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_in,
  [213907] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(9374), 9,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_get,
      anon_sym_set,
      anon_sym__modify,
      anon_sym_AT,
      anon_sym_mutating,
      anon_sym_nonmutating,
  [213925] = 7,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    ACTIONS(8670), 1,
      sym_where_keyword,
    STATE(5597), 1,
      sym_type_constraints,
    STATE(6180), 1,
      sym_function_body,
    STATE(6229), 1,
      sym__block,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5195), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [213953] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2951), 9,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_AMP,
  [213971] = 7,
    ACTIONS(8520), 1,
      anon_sym_get,
    ACTIONS(8522), 1,
      anon_sym_set,
    ACTIONS(9376), 1,
      anon_sym_RBRACE,
    STATE(7353), 1,
      sym_mutation_modifier,
    ACTIONS(3631), 2,
      anon_sym_mutating,
      anon_sym_nonmutating,
    STATE(5365), 3,
      sym_getter_specifier,
      sym_setter_specifier,
      aux_sym_protocol_property_requirements_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [213999] = 4,
    ACTIONS(7868), 1,
      anon_sym_LPAREN,
    STATE(5631), 1,
      sym__tuple_pattern,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5060), 7,
      sym__eq_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
  [214021] = 4,
    ACTIONS(9338), 1,
      anon_sym_LBRACE,
    STATE(5568), 1,
      sym__block,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(9378), 7,
      anon_sym_RBRACE,
      anon_sym_get,
      anon_sym_set,
      anon_sym__modify,
      anon_sym_AT,
      anon_sym_mutating,
      anon_sym_nonmutating,
  [214043] = 7,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    ACTIONS(8670), 1,
      sym_where_keyword,
    STATE(5692), 1,
      sym_type_constraints,
    STATE(6178), 1,
      sym_function_body,
    STATE(6229), 1,
      sym__block,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5454), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [214071] = 6,
    ACTIONS(9382), 1,
      anon_sym_LPAREN,
    ACTIONS(9384), 1,
      sym__arrow_operator_custom,
    STATE(4107), 1,
      sym__arrow_operator,
    STATE(5457), 1,
      aux_sym__function_value_parameters,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(9380), 5,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_where_keyword,
      ts_builtin_sym_end,
  [214097] = 7,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    ACTIONS(8670), 1,
      sym_where_keyword,
    STATE(5571), 1,
      sym_type_constraints,
    STATE(6189), 1,
      sym_function_body,
    STATE(6229), 1,
      sym__block,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5560), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [214125] = 8,
    ACTIONS(8775), 1,
      anon_sym_LPAREN,
    ACTIONS(9356), 1,
      anon_sym_LT,
    ACTIONS(9386), 1,
      anon_sym_QMARK,
    STATE(4781), 1,
      aux_sym__function_value_parameters,
    STATE(7493), 1,
      sym_type_parameters,
    ACTIONS(5263), 2,
      sym__bang_custom,
      anon_sym_BANG2,
    STATE(6324), 2,
      sym__quest,
      sym_bang,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [214155] = 3,
    ACTIONS(9388), 1,
      anon_sym_BANG,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5427), 8,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_where_keyword,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [214175] = 7,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    ACTIONS(8670), 1,
      sym_where_keyword,
    STATE(5646), 1,
      sym_type_constraints,
    STATE(6150), 1,
      sym_function_body,
    STATE(6229), 1,
      sym__block,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5516), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [214203] = 4,
    ACTIONS(9338), 1,
      anon_sym_LBRACE,
    STATE(5640), 1,
      sym__block,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(9390), 7,
      anon_sym_RBRACE,
      anon_sym_get,
      anon_sym_set,
      anon_sym__modify,
      anon_sym_AT,
      anon_sym_mutating,
      anon_sym_nonmutating,
  [214225] = 4,
    ACTIONS(9338), 1,
      anon_sym_LBRACE,
    STATE(5675), 1,
      sym__block,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(9392), 7,
      anon_sym_RBRACE,
      anon_sym_get,
      anon_sym_set,
      anon_sym__modify,
      anon_sym_AT,
      anon_sym_mutating,
      anon_sym_nonmutating,
  [214247] = 7,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    ACTIONS(8670), 1,
      sym_where_keyword,
    STATE(5574), 1,
      sym_type_constraints,
    STATE(6196), 1,
      sym_function_body,
    STATE(6229), 1,
      sym__block,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5153), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [214275] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7307), 9,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_where_keyword,
      sym__as_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACE,
  [214293] = 7,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    ACTIONS(8670), 1,
      sym_where_keyword,
    STATE(5644), 1,
      sym_type_constraints,
    STATE(6168), 1,
      sym_function_body,
    STATE(6229), 1,
      sym__block,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5129), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [214321] = 7,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    ACTIONS(8670), 1,
      sym_where_keyword,
    STATE(5598), 1,
      sym_type_constraints,
    STATE(6200), 1,
      sym_function_body,
    STATE(6229), 1,
      sym__block,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5568), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [214349] = 9,
    ACTIONS(8198), 1,
      anon_sym_LPAREN,
    ACTIONS(8202), 1,
      sym__dot_custom,
    ACTIONS(9394), 1,
      anon_sym_RPAREN,
    STATE(783), 1,
      sym__fn_call_lambda_arguments,
    STATE(784), 1,
      sym_constructor_suffix,
    STATE(1493), 1,
      sym_lambda_literal,
    STATE(2250), 1,
      sym__constructor_value_arguments,
    ACTIONS(4258), 2,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [214381] = 7,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    ACTIONS(8670), 1,
      sym_where_keyword,
    STATE(5580), 1,
      sym_type_constraints,
    STATE(6218), 1,
      sym_function_body,
    STATE(6229), 1,
      sym__block,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5153), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [214409] = 7,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    ACTIONS(8670), 1,
      sym_where_keyword,
    STATE(5686), 1,
      sym_type_constraints,
    STATE(6176), 1,
      sym_function_body,
    STATE(6229), 1,
      sym__block,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5129), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [214437] = 7,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    ACTIONS(8670), 1,
      sym_where_keyword,
    STATE(5637), 1,
      sym_type_constraints,
    STATE(6229), 1,
      sym__block,
    STATE(6389), 1,
      sym_function_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5458), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [214465] = 7,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    ACTIONS(8670), 1,
      sym_where_keyword,
    STATE(5697), 1,
      sym_type_constraints,
    STATE(6229), 1,
      sym__block,
    STATE(6319), 1,
      sym_function_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5169), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [214493] = 8,
    ACTIONS(8664), 1,
      anon_sym_LPAREN,
    ACTIONS(9356), 1,
      anon_sym_LT,
    ACTIONS(9396), 1,
      anon_sym_QMARK,
    STATE(4597), 1,
      aux_sym__function_value_parameters,
    STATE(7435), 1,
      sym_type_parameters,
    ACTIONS(5263), 2,
      sym__bang_custom,
      anon_sym_BANG2,
    STATE(6260), 2,
      sym__quest,
      sym_bang,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [214523] = 7,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    ACTIONS(8670), 1,
      sym_where_keyword,
    STATE(5699), 1,
      sym_type_constraints,
    STATE(6145), 1,
      sym_function_body,
    STATE(6229), 1,
      sym__block,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5149), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [214551] = 7,
    ACTIONS(8660), 1,
      sym_where_keyword,
    ACTIONS(9398), 1,
      anon_sym_COLON,
    ACTIONS(9400), 1,
      sym__eq_custom,
    STATE(3742), 1,
      sym__equal_sign,
    STATE(5855), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5469), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [214579] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5370), 10,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [214597] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2959), 9,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_AMP,
  [214615] = 8,
    ACTIONS(4874), 1,
      anon_sym_LPAREN,
    ACTIONS(9356), 1,
      anon_sym_LT,
    ACTIONS(9402), 1,
      anon_sym_QMARK,
    STATE(1644), 1,
      aux_sym__function_value_parameters,
    STATE(7271), 1,
      sym_type_parameters,
    ACTIONS(5263), 2,
      sym__bang_custom,
      anon_sym_BANG2,
    STATE(6315), 2,
      sym__quest,
      sym_bang,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [214645] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5397), 9,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_where_keyword,
      sym__as_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACE,
  [214663] = 7,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    ACTIONS(8670), 1,
      sym_where_keyword,
    STATE(5606), 1,
      sym_type_constraints,
    STATE(6229), 1,
      sym__block,
    STATE(6372), 1,
      sym_function_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5523), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [214691] = 7,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    ACTIONS(8670), 1,
      sym_where_keyword,
    STATE(5602), 1,
      sym_type_constraints,
    STATE(6229), 1,
      sym__block,
    STATE(6303), 1,
      sym_function_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5568), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [214719] = 7,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    ACTIONS(8670), 1,
      sym_where_keyword,
    STATE(5622), 1,
      sym_type_constraints,
    STATE(6160), 1,
      sym_function_body,
    STATE(6229), 1,
      sym__block,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5531), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [214747] = 7,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    ACTIONS(8670), 1,
      sym_where_keyword,
    STATE(5664), 1,
      sym_type_constraints,
    STATE(6229), 1,
      sym__block,
    STATE(6296), 1,
      sym_function_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5552), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [214775] = 9,
    ACTIONS(8198), 1,
      anon_sym_LPAREN,
    ACTIONS(9404), 1,
      sym__dot_custom,
    STATE(783), 1,
      sym__fn_call_lambda_arguments,
    STATE(784), 1,
      sym_constructor_suffix,
    STATE(1493), 1,
      sym_lambda_literal,
    STATE(2250), 1,
      sym__constructor_value_arguments,
    STATE(4861), 1,
      sym__dot,
    ACTIONS(4258), 2,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [214807] = 8,
    ACTIONS(4874), 1,
      anon_sym_LPAREN,
    ACTIONS(9356), 1,
      anon_sym_LT,
    ACTIONS(9407), 1,
      anon_sym_QMARK,
    STATE(1626), 1,
      aux_sym__function_value_parameters,
    STATE(7222), 1,
      sym_type_parameters,
    ACTIONS(5263), 2,
      sym__bang_custom,
      anon_sym_BANG2,
    STATE(6440), 2,
      sym__quest,
      sym_bang,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [214837] = 3,
    ACTIONS(5397), 1,
      sym__as_custom,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5393), 9,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_where_keyword,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [214857] = 4,
    ACTIONS(9338), 1,
      anon_sym_LBRACE,
    STATE(5690), 1,
      sym__block,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(9409), 7,
      anon_sym_RBRACE,
      anon_sym_get,
      anon_sym_set,
      anon_sym__modify,
      anon_sym_AT,
      anon_sym_mutating,
      anon_sym_nonmutating,
  [214879] = 4,
    ACTIONS(7868), 1,
      anon_sym_LPAREN,
    STATE(5687), 1,
      sym__tuple_pattern,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5035), 7,
      sym__eq_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
  [214901] = 7,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    ACTIONS(8670), 1,
      sym_where_keyword,
    STATE(5612), 1,
      sym_type_constraints,
    STATE(6229), 1,
      sym__block,
    STATE(6261), 1,
      sym_function_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5199), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [214929] = 7,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    ACTIONS(8670), 1,
      sym_where_keyword,
    STATE(5601), 1,
      sym_type_constraints,
    STATE(6229), 1,
      sym__block,
    STATE(6370), 1,
      sym_function_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5122), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [214957] = 4,
    ACTIONS(9338), 1,
      anon_sym_LBRACE,
    STATE(5658), 1,
      sym__block,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(9411), 7,
      anon_sym_RBRACE,
      anon_sym_get,
      anon_sym_set,
      anon_sym__modify,
      anon_sym_AT,
      anon_sym_mutating,
      anon_sym_nonmutating,
  [214979] = 7,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    ACTIONS(8670), 1,
      sym_where_keyword,
    STATE(5609), 1,
      sym_type_constraints,
    STATE(6229), 1,
      sym__block,
    STATE(6453), 1,
      sym_function_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5157), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [215007] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5423), 10,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [215025] = 7,
    ACTIONS(9413), 1,
      anon_sym_RBRACE,
    ACTIONS(9415), 1,
      anon_sym_get,
    ACTIONS(9418), 1,
      anon_sym_set,
    STATE(7353), 1,
      sym_mutation_modifier,
    ACTIONS(9421), 2,
      anon_sym_mutating,
      anon_sym_nonmutating,
    STATE(5416), 3,
      sym_getter_specifier,
      sym_setter_specifier,
      aux_sym_protocol_property_requirements_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [215053] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2987), 9,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_AMP,
  [215071] = 7,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    ACTIONS(8670), 1,
      sym_where_keyword,
    STATE(5584), 1,
      sym_type_constraints,
    STATE(6229), 1,
      sym__block,
    STATE(6449), 1,
      sym_function_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5556), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [215099] = 9,
    ACTIONS(9424), 1,
      anon_sym_LPAREN,
    ACTIONS(9426), 1,
      sym__dot_custom,
    STATE(1510), 1,
      sym_lambda_literal,
    STATE(2379), 1,
      sym__constructor_value_arguments,
    STATE(2973), 1,
      sym_constructor_suffix,
    STATE(2975), 1,
      sym__fn_call_lambda_arguments,
    STATE(4824), 1,
      sym__dot,
    ACTIONS(4412), 2,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [215131] = 8,
    ACTIONS(4874), 1,
      anon_sym_LPAREN,
    ACTIONS(9356), 1,
      anon_sym_LT,
    ACTIONS(9429), 1,
      anon_sym_QMARK,
    STATE(1629), 1,
      aux_sym__function_value_parameters,
    STATE(7260), 1,
      sym_type_parameters,
    ACTIONS(5263), 2,
      sym__bang_custom,
      anon_sym_BANG2,
    STATE(6361), 2,
      sym__quest,
      sym_bang,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [215161] = 7,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    ACTIONS(8670), 1,
      sym_where_keyword,
    STATE(5572), 1,
      sym_type_constraints,
    STATE(6229), 1,
      sym__block,
    STATE(6432), 1,
      sym_function_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5556), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [215189] = 4,
    ACTIONS(7868), 1,
      anon_sym_LPAREN,
    STATE(5679), 1,
      sym__tuple_pattern,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5082), 7,
      sym__eq_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
  [215211] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2979), 9,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_AMP,
  [215229] = 7,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    ACTIONS(8670), 1,
      sym_where_keyword,
    STATE(5595), 1,
      sym_type_constraints,
    STATE(6229), 1,
      sym__block,
    STATE(6360), 1,
      sym_function_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5122), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [215257] = 3,
    ACTIONS(5391), 1,
      sym__as_custom,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5387), 9,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_where_keyword,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [215277] = 7,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    ACTIONS(8670), 1,
      sym_where_keyword,
    STATE(5569), 1,
      sym_type_constraints,
    STATE(6229), 1,
      sym__block,
    STATE(6270), 1,
      sym_function_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5133), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [215305] = 3,
    ACTIONS(9186), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2840), 7,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_AMP,
  [215324] = 7,
    ACTIONS(8777), 1,
      anon_sym_LBRACE,
    ACTIONS(8781), 1,
      sym_where_keyword,
    STATE(5863), 1,
      sym_type_constraints,
    STATE(6517), 1,
      sym_function_body,
    STATE(6886), 1,
      sym__block,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5153), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [215351] = 4,
    ACTIONS(9431), 1,
      anon_sym_COMMA,
    STATE(5451), 1,
      aux_sym_type_constraints_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5621), 6,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [215372] = 6,
    ACTIONS(9433), 1,
      anon_sym_COLON,
    ACTIONS(9435), 1,
      sym__as_custom,
    STATE(3784), 1,
      sym__as,
    STATE(6297), 1,
      sym_type_annotation,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7224), 4,
      sym__eq_custom,
      sym_where_keyword,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [215397] = 3,
    ACTIONS(9281), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2840), 7,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_AMP,
  [215416] = 6,
    ACTIONS(8670), 1,
      sym_where_keyword,
    ACTIONS(9439), 1,
      sym__arrow_operator_custom,
    STATE(3447), 1,
      sym__arrow_operator,
    STATE(6408), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(9437), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [215441] = 8,
    ACTIONS(9441), 1,
      anon_sym_in,
    ACTIONS(9443), 1,
      sym__arrow_operator_custom,
    ACTIONS(9445), 1,
      sym__async_keyword_custom,
    STATE(3434), 1,
      sym__arrow_operator,
    STATE(5730), 1,
      sym__async_keyword,
    STATE(6778), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [215470] = 9,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(9447), 1,
      anon_sym_LPAREN,
    ACTIONS(9449), 1,
      anon_sym_LBRACE,
    ACTIONS(9451), 1,
      sym__arrow_operator_custom,
    STATE(3396), 1,
      sym__arrow_operator,
    STATE(6056), 1,
      aux_sym__function_value_parameters,
    STATE(6666), 1,
      sym_computed_property,
    STATE(7299), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [215501] = 9,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(9447), 1,
      anon_sym_LPAREN,
    ACTIONS(9449), 1,
      anon_sym_LBRACE,
    ACTIONS(9453), 1,
      sym__arrow_operator_custom,
    STATE(3403), 1,
      sym__arrow_operator,
    STATE(6056), 1,
      aux_sym__function_value_parameters,
    STATE(6766), 1,
      sym_computed_property,
    STATE(7547), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [215532] = 4,
    ACTIONS(7742), 1,
      anon_sym_LPAREN,
    STATE(5839), 1,
      sym__tuple_pattern,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5035), 6,
      sym__as_custom,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_in,
  [215553] = 7,
    ACTIONS(8777), 1,
      anon_sym_LBRACE,
    ACTIONS(8781), 1,
      sym_where_keyword,
    STATE(5787), 1,
      sym_type_constraints,
    STATE(6673), 1,
      sym_function_body,
    STATE(6886), 1,
      sym__block,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5523), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [215580] = 3,
    ACTIONS(9302), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2840), 7,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_AMP,
  [215599] = 9,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(9447), 1,
      anon_sym_LPAREN,
    ACTIONS(9449), 1,
      anon_sym_LBRACE,
    ACTIONS(9455), 1,
      sym__arrow_operator_custom,
    STATE(3401), 1,
      sym__arrow_operator,
    STATE(6056), 1,
      aux_sym__function_value_parameters,
    STATE(6741), 1,
      sym_computed_property,
    STATE(7394), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [215630] = 7,
    ACTIONS(8777), 1,
      anon_sym_LBRACE,
    ACTIONS(8781), 1,
      sym_where_keyword,
    STATE(5722), 1,
      sym_type_constraints,
    STATE(6705), 1,
      sym_function_body,
    STATE(6886), 1,
      sym__block,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5122), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [215657] = 7,
    ACTIONS(8896), 1,
      sym_where_keyword,
    ACTIONS(9457), 1,
      anon_sym_COLON,
    ACTIONS(9459), 1,
      sym__eq_custom,
    STATE(3756), 1,
      sym__equal_sign,
    STATE(5878), 1,
      sym_type_constraints,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5506), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [215684] = 4,
    ACTIONS(7742), 1,
      anon_sym_LPAREN,
    STATE(5848), 1,
      sym__tuple_pattern,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5060), 6,
      sym__as_custom,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_in,
  [215705] = 8,
    ACTIONS(8202), 1,
      sym__dot_custom,
    ACTIONS(9424), 1,
      anon_sym_LPAREN,
    STATE(1510), 1,
      sym_lambda_literal,
    STATE(2379), 1,
      sym__constructor_value_arguments,
    STATE(2973), 1,
      sym_constructor_suffix,
    STATE(2975), 1,
      sym__fn_call_lambda_arguments,
    ACTIONS(4412), 2,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [215734] = 8,
    ACTIONS(9461), 1,
      anon_sym_in,
    ACTIONS(9463), 1,
      sym__arrow_operator_custom,
    ACTIONS(9465), 1,
      sym__async_keyword_custom,
    STATE(3441), 1,
      sym__arrow_operator,
    STATE(5871), 1,
      sym__async_keyword,
    STATE(6901), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [215763] = 3,
    STATE(469), 2,
      sym__assignment_and_operator,
      sym__equal_sign,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(9467), 6,
      sym__eq_custom,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [215782] = 4,
    ACTIONS(9431), 1,
      anon_sym_COMMA,
    STATE(5429), 1,
      aux_sym_type_constraints_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5572), 6,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [215803] = 3,
    STATE(558), 2,
      sym__assignment_and_operator,
      sym__equal_sign,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(9469), 6,
      sym__eq_custom,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [215822] = 8,
    ACTIONS(8202), 1,
      sym__dot_custom,
    ACTIONS(9471), 1,
      anon_sym_LPAREN,
    STATE(1543), 1,
      sym_lambda_literal,
    STATE(2521), 1,
      sym__constructor_value_arguments,
    STATE(3142), 1,
      sym__fn_call_lambda_arguments,
    STATE(3144), 1,
      sym_constructor_suffix,
    ACTIONS(4528), 2,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [215851] = 7,
    ACTIONS(8777), 1,
      anon_sym_LBRACE,
    ACTIONS(8781), 1,
      sym_where_keyword,
    STATE(5719), 1,
      sym_type_constraints,
    STATE(6726), 1,
      sym_function_body,
    STATE(6886), 1,
      sym__block,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5122), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [215878] = 3,
    ACTIONS(9473), 1,
      anon_sym_BANG,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5427), 7,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [215897] = 4,
    ACTIONS(9475), 1,
      anon_sym_COMMA,
    STATE(5451), 1,
      aux_sym_type_constraints_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5651), 6,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [215918] = 6,
    ACTIONS(8660), 1,
      sym_where_keyword,
    ACTIONS(9478), 1,
      sym__eq_custom,
    STATE(3602), 1,
      sym__equal_sign,
    STATE(5733), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5613), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [215943] = 3,
    ACTIONS(9255), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2840), 7,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_AMP,
  [215962] = 9,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(9447), 1,
      anon_sym_LPAREN,
    ACTIONS(9480), 1,
      anon_sym_LBRACE,
    ACTIONS(9482), 1,
      sym__arrow_operator_custom,
    STATE(3432), 1,
      sym__arrow_operator,
    STATE(6056), 1,
      aux_sym__function_value_parameters,
    STATE(6565), 1,
      sym_computed_property,
    STATE(7532), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [215993] = 3,
    ACTIONS(9304), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2840), 7,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_AMP,
  [216012] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2928), 8,
      sym__dot_custom,
      sym__as_custom,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_in,
  [216029] = 4,
    ACTIONS(9484), 1,
      anon_sym_LPAREN,
    STATE(5457), 1,
      aux_sym__function_value_parameters,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5297), 6,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym_where_keyword,
      ts_builtin_sym_end,
  [216050] = 6,
    ACTIONS(8670), 1,
      sym_where_keyword,
    ACTIONS(9487), 1,
      sym__arrow_operator_custom,
    STATE(3448), 1,
      sym__arrow_operator,
    STATE(6399), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(9329), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [216075] = 7,
    ACTIONS(8777), 1,
      anon_sym_LBRACE,
    ACTIONS(8781), 1,
      sym_where_keyword,
    STATE(5806), 1,
      sym_type_constraints,
    STATE(6886), 1,
      sym__block,
    STATE(7026), 1,
      sym_function_body,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5531), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [216102] = 3,
    ACTIONS(9324), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2840), 7,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_AMP,
  [216121] = 5,
    ACTIONS(7242), 1,
      sym__as_custom,
    ACTIONS(9489), 1,
      anon_sym_QMARK,
    STATE(5610), 1,
      sym__quest,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5161), 5,
      sym__eq_custom,
      sym_where_keyword,
      sym_else,
      anon_sym_COMMA,
      anon_sym_COLON,
  [216144] = 5,
    ACTIONS(7248), 1,
      sym__as_custom,
    ACTIONS(9492), 1,
      anon_sym_QMARK,
    STATE(5607), 1,
      sym__quest,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5093), 5,
      sym__eq_custom,
      sym_where_keyword,
      sym_else,
      anon_sym_COMMA,
      anon_sym_COLON,
  [216167] = 7,
    ACTIONS(8777), 1,
      anon_sym_LBRACE,
    ACTIONS(8781), 1,
      sym_where_keyword,
    STATE(5868), 1,
      sym_type_constraints,
    STATE(6886), 1,
      sym__block,
    STATE(7053), 1,
      sym_function_body,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5516), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [216194] = 9,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(9447), 1,
      anon_sym_LPAREN,
    ACTIONS(9495), 1,
      anon_sym_LBRACE,
    ACTIONS(9497), 1,
      sym__arrow_operator_custom,
    STATE(2860), 1,
      sym_computed_property,
    STATE(3469), 1,
      sym__arrow_operator,
    STATE(6056), 1,
      aux_sym__function_value_parameters,
    STATE(7381), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [216225] = 7,
    ACTIONS(8777), 1,
      anon_sym_LBRACE,
    ACTIONS(8781), 1,
      sym_where_keyword,
    STATE(5842), 1,
      sym_type_constraints,
    STATE(6886), 1,
      sym__block,
    STATE(7019), 1,
      sym_function_body,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5129), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [216252] = 7,
    ACTIONS(8777), 1,
      anon_sym_LBRACE,
    ACTIONS(8781), 1,
      sym_where_keyword,
    STATE(5867), 1,
      sym_type_constraints,
    STATE(6605), 1,
      sym_function_body,
    STATE(6886), 1,
      sym__block,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5153), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [216279] = 4,
    ACTIONS(9499), 1,
      anon_sym_QMARK,
    STATE(5720), 1,
      sym__quest,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5167), 6,
      sym__eq_custom,
      sym_where_keyword,
      sym__as_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACE,
  [216300] = 5,
    ACTIONS(5167), 1,
      sym__as_custom,
    ACTIONS(9501), 1,
      anon_sym_QMARK,
    STATE(5808), 1,
      sym__quest,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5161), 5,
      sym__eq_custom,
      sym_where_keyword,
      sym_else,
      anon_sym_COMMA,
      anon_sym_COLON,
  [216323] = 8,
    ACTIONS(8202), 1,
      sym__dot_custom,
    ACTIONS(9503), 1,
      anon_sym_LPAREN,
    STATE(1483), 1,
      sym_lambda_literal,
    STATE(2041), 1,
      sym__constructor_value_arguments,
    STATE(2392), 1,
      sym_constructor_suffix,
    STATE(2396), 1,
      sym__fn_call_lambda_arguments,
    ACTIONS(4121), 2,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [216352] = 9,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(9447), 1,
      anon_sym_LPAREN,
    ACTIONS(9480), 1,
      anon_sym_LBRACE,
    ACTIONS(9505), 1,
      sym__arrow_operator_custom,
    STATE(3435), 1,
      sym__arrow_operator,
    STATE(6056), 1,
      aux_sym__function_value_parameters,
    STATE(6642), 1,
      sym_computed_property,
    STATE(7497), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [216383] = 7,
    ACTIONS(8777), 1,
      anon_sym_LBRACE,
    ACTIONS(8781), 1,
      sym_where_keyword,
    STATE(5841), 1,
      sym_type_constraints,
    STATE(6659), 1,
      sym_function_body,
    STATE(6886), 1,
      sym__block,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5560), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [216410] = 3,
    ACTIONS(9184), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2840), 7,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_AMP,
  [216429] = 8,
    ACTIONS(8202), 1,
      sym__dot_custom,
    ACTIONS(9507), 1,
      anon_sym_LPAREN,
    STATE(1516), 1,
      sym_lambda_literal,
    STATE(2426), 1,
      sym__constructor_value_arguments,
    STATE(2757), 1,
      sym_constructor_suffix,
    STATE(2777), 1,
      sym__fn_call_lambda_arguments,
    ACTIONS(4284), 2,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [216458] = 6,
    ACTIONS(8670), 1,
      sym_where_keyword,
    ACTIONS(9509), 1,
      sym__arrow_operator_custom,
    STATE(3426), 1,
      sym__arrow_operator,
    STATE(6418), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(9192), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [216483] = 3,
    STATE(446), 2,
      sym__assignment_and_operator,
      sym__equal_sign,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(9511), 6,
      sym__eq_custom,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [216502] = 3,
    ACTIONS(9253), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2840), 7,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_AMP,
  [216521] = 9,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(9447), 1,
      anon_sym_LPAREN,
    ACTIONS(9495), 1,
      anon_sym_LBRACE,
    ACTIONS(9513), 1,
      sym__arrow_operator_custom,
    STATE(2704), 1,
      sym_computed_property,
    STATE(3470), 1,
      sym__arrow_operator,
    STATE(6056), 1,
      aux_sym__function_value_parameters,
    STATE(7431), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [216552] = 3,
    ACTIONS(8318), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2840), 7,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_AMP,
  [216571] = 7,
    ACTIONS(8777), 1,
      anon_sym_LBRACE,
    ACTIONS(8781), 1,
      sym_where_keyword,
    STATE(5821), 1,
      sym_type_constraints,
    STATE(6886), 1,
      sym__block,
    STATE(7007), 1,
      sym_function_body,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5129), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [216598] = 3,
    ACTIONS(9269), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2840), 7,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_AMP,
  [216617] = 9,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(9447), 1,
      anon_sym_LPAREN,
    ACTIONS(9495), 1,
      anon_sym_LBRACE,
    ACTIONS(9515), 1,
      sym__arrow_operator_custom,
    STATE(2710), 1,
      sym_computed_property,
    STATE(3475), 1,
      sym__arrow_operator,
    STATE(6056), 1,
      aux_sym__function_value_parameters,
    STATE(7306), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [216648] = 4,
    ACTIONS(7742), 1,
      anon_sym_LPAREN,
    STATE(5772), 1,
      sym__tuple_pattern,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5082), 6,
      sym__as_custom,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_in,
  [216669] = 3,
    ACTIONS(9221), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2840), 7,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_AMP,
  [216688] = 6,
    ACTIONS(9517), 1,
      anon_sym_COLON,
    ACTIONS(9519), 1,
      sym__as_custom,
    STATE(3824), 1,
      sym__as,
    STATE(6272), 1,
      sym_type_annotation,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7224), 4,
      sym__eq_custom,
      sym_where_keyword,
      sym_else,
      anon_sym_COMMA,
  [216713] = 3,
    ACTIONS(9227), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2840), 7,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_AMP,
  [216732] = 9,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(9447), 1,
      anon_sym_LPAREN,
    ACTIONS(9480), 1,
      anon_sym_LBRACE,
    ACTIONS(9521), 1,
      sym__arrow_operator_custom,
    STATE(3468), 1,
      sym__arrow_operator,
    STATE(6056), 1,
      aux_sym__function_value_parameters,
    STATE(7206), 1,
      sym_computed_property,
    STATE(7224), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [216763] = 4,
    ACTIONS(9523), 1,
      anon_sym_QMARK,
    STATE(5752), 1,
      sym__quest,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5099), 6,
      sym__eq_custom,
      sym_where_keyword,
      sym__as_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACE,
  [216784] = 3,
    ACTIONS(9170), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2840), 7,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_AMP,
  [216803] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5482), 8,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_where_keyword,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [216820] = 7,
    ACTIONS(8777), 1,
      anon_sym_LBRACE,
    ACTIONS(8781), 1,
      sym_where_keyword,
    STATE(5750), 1,
      sym_type_constraints,
    STATE(6857), 1,
      sym_function_body,
    STATE(6886), 1,
      sym__block,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5149), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [216847] = 7,
    ACTIONS(8777), 1,
      anon_sym_LBRACE,
    ACTIONS(8781), 1,
      sym_where_keyword,
    STATE(5783), 1,
      sym_type_constraints,
    STATE(6710), 1,
      sym_function_body,
    STATE(6886), 1,
      sym__block,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5195), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [216874] = 8,
    ACTIONS(9525), 1,
      anon_sym_in,
    ACTIONS(9527), 1,
      sym__arrow_operator_custom,
    ACTIONS(9529), 1,
      sym__async_keyword_custom,
    STATE(3460), 1,
      sym__arrow_operator,
    STATE(5743), 1,
      sym__async_keyword,
    STATE(6881), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [216903] = 7,
    ACTIONS(8777), 1,
      anon_sym_LBRACE,
    ACTIONS(8781), 1,
      sym_where_keyword,
    STATE(5745), 1,
      sym_type_constraints,
    STATE(6723), 1,
      sym_function_body,
    STATE(6886), 1,
      sym__block,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5568), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [216930] = 4,
    ACTIONS(7730), 1,
      anon_sym_LPAREN,
    STATE(5824), 1,
      sym__tuple_pattern,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5035), 6,
      sym_where_keyword,
      sym__as_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LBRACE,
  [216951] = 3,
    ACTIONS(9182), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2840), 7,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_AMP,
  [216970] = 6,
    ACTIONS(8660), 1,
      sym_where_keyword,
    ACTIONS(9531), 1,
      sym__eq_custom,
    STATE(3562), 1,
      sym__equal_sign,
    STATE(5706), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5589), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [216995] = 8,
    ACTIONS(8202), 1,
      sym__dot_custom,
    ACTIONS(9533), 1,
      anon_sym_LPAREN,
    STATE(1480), 1,
      sym_lambda_literal,
    STATE(1959), 1,
      sym__constructor_value_arguments,
    STATE(2291), 1,
      sym_constructor_suffix,
    STATE(2292), 1,
      sym__fn_call_lambda_arguments,
    ACTIONS(4052), 2,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [217024] = 3,
    STATE(597), 2,
      sym__assignment_and_operator,
      sym__equal_sign,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(9535), 6,
      sym__eq_custom,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [217043] = 3,
    ACTIONS(9208), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2840), 7,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_AMP,
  [217062] = 7,
    ACTIONS(8670), 1,
      sym_where_keyword,
    ACTIONS(9539), 1,
      sym__eq_custom,
    STATE(398), 1,
      sym__equal_sign,
    STATE(5920), 1,
      sym_macro_definition,
    STATE(7168), 1,
      sym_type_constraints,
    ACTIONS(9537), 3,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [217089] = 7,
    ACTIONS(8777), 1,
      anon_sym_LBRACE,
    ACTIONS(8781), 1,
      sym_where_keyword,
    STATE(5737), 1,
      sym_type_constraints,
    STATE(6730), 1,
      sym_function_body,
    STATE(6886), 1,
      sym__block,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5568), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [217116] = 3,
    STATE(547), 2,
      sym__assignment_and_operator,
      sym__equal_sign,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(9541), 6,
      sym__eq_custom,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [217135] = 9,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(9447), 1,
      anon_sym_LPAREN,
    ACTIONS(9495), 1,
      anon_sym_LBRACE,
    ACTIONS(9543), 1,
      sym__arrow_operator_custom,
    STATE(3018), 1,
      sym_computed_property,
    STATE(3376), 1,
      sym__arrow_operator,
    STATE(6056), 1,
      aux_sym__function_value_parameters,
    STATE(7542), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [217166] = 3,
    ACTIONS(9188), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2840), 7,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_AMP,
  [217185] = 8,
    ACTIONS(8198), 1,
      anon_sym_LPAREN,
    ACTIONS(8202), 1,
      sym__dot_custom,
    STATE(783), 1,
      sym__fn_call_lambda_arguments,
    STATE(784), 1,
      sym_constructor_suffix,
    STATE(1493), 1,
      sym_lambda_literal,
    STATE(2250), 1,
      sym__constructor_value_arguments,
    ACTIONS(4258), 2,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [217214] = 8,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(9329), 1,
      anon_sym_LBRACE,
    ACTIONS(9545), 1,
      sym__arrow_operator_custom,
    STATE(3442), 1,
      sym__arrow_operator,
    STATE(5919), 1,
      sym_throws,
    STATE(7918), 1,
      sym_type_constraints,
    ACTIONS(9113), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [217243] = 4,
    ACTIONS(9547), 1,
      anon_sym_QMARK,
    STATE(5764), 1,
      sym__quest,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7251), 6,
      sym__eq_custom,
      sym_where_keyword,
      sym__as_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACE,
  [217264] = 3,
    STATE(561), 2,
      sym__assignment_and_operator,
      sym__equal_sign,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(9549), 6,
      sym__eq_custom,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [217283] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(9551), 8,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_get,
      anon_sym_set,
      anon_sym__modify,
      anon_sym_AT,
      anon_sym_mutating,
      anon_sym_nonmutating,
  [217300] = 8,
    ACTIONS(8202), 1,
      sym__dot_custom,
    ACTIONS(9553), 1,
      anon_sym_LPAREN,
    STATE(870), 1,
      sym_lambda_literal,
    STATE(1032), 1,
      sym__constructor_value_arguments,
    STATE(1204), 1,
      sym__fn_call_lambda_arguments,
    STATE(1205), 1,
      sym_constructor_suffix,
    ACTIONS(2704), 2,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [217329] = 3,
    STATE(514), 2,
      sym__assignment_and_operator,
      sym__equal_sign,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(9555), 6,
      sym__eq_custom,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [217348] = 6,
    ACTIONS(8670), 1,
      sym_where_keyword,
    ACTIONS(9559), 1,
      sym__arrow_operator_custom,
    STATE(3449), 1,
      sym__arrow_operator,
    STATE(6345), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(9557), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [217373] = 5,
    ACTIONS(5099), 1,
      sym__as_custom,
    ACTIONS(9561), 1,
      anon_sym_QMARK,
    STATE(5809), 1,
      sym__quest,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5093), 5,
      sym__eq_custom,
      sym_where_keyword,
      sym_else,
      anon_sym_COMMA,
      anon_sym_COLON,
  [217396] = 9,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(9447), 1,
      anon_sym_LPAREN,
    ACTIONS(9480), 1,
      anon_sym_LBRACE,
    ACTIONS(9563), 1,
      sym__arrow_operator_custom,
    STATE(3445), 1,
      sym__arrow_operator,
    STATE(6056), 1,
      aux_sym__function_value_parameters,
    STATE(6930), 1,
      sym_computed_property,
    STATE(7417), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [217427] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5670), 8,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_where_keyword,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [217444] = 3,
    ACTIONS(9202), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2840), 7,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_AMP,
  [217463] = 3,
    ACTIONS(9200), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2840), 7,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_AMP,
  [217482] = 3,
    ACTIONS(9223), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2840), 7,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_AMP,
  [217501] = 7,
    ACTIONS(8777), 1,
      anon_sym_LBRACE,
    ACTIONS(8781), 1,
      sym_where_keyword,
    STATE(5840), 1,
      sym_type_constraints,
    STATE(6886), 1,
      sym__block,
    STATE(7088), 1,
      sym_function_body,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5133), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [217528] = 3,
    ACTIONS(9565), 1,
      anon_sym_BANG,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5427), 8,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_where_keyword,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [217547] = 4,
    ACTIONS(7730), 1,
      anon_sym_LPAREN,
    STATE(5738), 1,
      sym__tuple_pattern,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5060), 6,
      sym_where_keyword,
      sym__as_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LBRACE,
  [217568] = 3,
    ACTIONS(9245), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2840), 7,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_AMP,
  [217587] = 4,
    ACTIONS(9567), 1,
      anon_sym_QMARK,
    STATE(5776), 1,
      sym__quest,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7251), 6,
      sym__eq_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
  [217608] = 7,
    ACTIONS(8777), 1,
      anon_sym_LBRACE,
    ACTIONS(8781), 1,
      sym_where_keyword,
    STATE(5790), 1,
      sym_type_constraints,
    STATE(6835), 1,
      sym_function_body,
    STATE(6886), 1,
      sym__block,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5169), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [217635] = 4,
    ACTIONS(9569), 1,
      anon_sym_QMARK,
    STATE(5823), 1,
      sym__quest,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5099), 6,
      sym__eq_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
  [217656] = 3,
    ACTIONS(9241), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2840), 7,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_AMP,
  [217675] = 4,
    ACTIONS(9571), 1,
      anon_sym_QMARK,
    STATE(5757), 1,
      sym__quest,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5167), 6,
      sym__eq_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
  [217696] = 8,
    ACTIONS(8202), 1,
      sym__dot_custom,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    STATE(1486), 1,
      sym_lambda_literal,
    STATE(2309), 1,
      sym__constructor_value_arguments,
    STATE(2657), 1,
      sym_constructor_suffix,
    STATE(2660), 1,
      sym__fn_call_lambda_arguments,
    ACTIONS(4220), 2,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [217725] = 7,
    ACTIONS(8777), 1,
      anon_sym_LBRACE,
    ACTIONS(8781), 1,
      sym_where_keyword,
    STATE(5834), 1,
      sym_type_constraints,
    STATE(6886), 1,
      sym__block,
    STATE(7097), 1,
      sym_function_body,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5454), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [217752] = 7,
    ACTIONS(8777), 1,
      anon_sym_LBRACE,
    ACTIONS(8781), 1,
      sym_where_keyword,
    STATE(5816), 1,
      sym_type_constraints,
    STATE(6886), 1,
      sym__block,
    STATE(6939), 1,
      sym_function_body,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5552), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [217779] = 3,
    STATE(519), 2,
      sym__assignment_and_operator,
      sym__equal_sign,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(9575), 6,
      sym__eq_custom,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [217798] = 3,
    ACTIONS(9267), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2840), 7,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_AMP,
  [217817] = 4,
    ACTIONS(7730), 1,
      anon_sym_LPAREN,
    STATE(5729), 1,
      sym__tuple_pattern,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5082), 6,
      sym_where_keyword,
      sym__as_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LBRACE,
  [217838] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2928), 8,
      sym__dot_custom,
      sym_where_keyword,
      sym__as_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_LBRACE,
  [217855] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(9577), 8,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_get,
      anon_sym_set,
      anon_sym__modify,
      anon_sym_AT,
      anon_sym_mutating,
      anon_sym_nonmutating,
  [217872] = 3,
    ACTIONS(9275), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2840), 7,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_AMP,
  [217891] = 3,
    ACTIONS(9229), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2840), 7,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_AMP,
  [217910] = 3,
    ACTIONS(9217), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2840), 7,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_AMP,
  [217929] = 8,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(9192), 1,
      anon_sym_LBRACE,
    ACTIONS(9579), 1,
      sym__arrow_operator_custom,
    STATE(3461), 1,
      sym__arrow_operator,
    STATE(5895), 1,
      sym_throws,
    STATE(7636), 1,
      sym_type_constraints,
    ACTIONS(9113), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [217958] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7329), 8,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_where_keyword,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACE,
  [217975] = 3,
    ACTIONS(9287), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2840), 7,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_AMP,
  [217994] = 7,
    ACTIONS(8777), 1,
      anon_sym_LBRACE,
    ACTIONS(8781), 1,
      sym_where_keyword,
    STATE(5846), 1,
      sym_type_constraints,
    STATE(6886), 1,
      sym__block,
    STATE(7041), 1,
      sym_function_body,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5199), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [218021] = 9,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(9447), 1,
      anon_sym_LPAREN,
    ACTIONS(9449), 1,
      anon_sym_LBRACE,
    ACTIONS(9581), 1,
      sym__arrow_operator_custom,
    STATE(3398), 1,
      sym__arrow_operator,
    STATE(6056), 1,
      aux_sym__function_value_parameters,
    STATE(6732), 1,
      sym_computed_property,
    STATE(7389), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [218052] = 7,
    ACTIONS(8670), 1,
      sym_where_keyword,
    ACTIONS(9539), 1,
      sym__eq_custom,
    STATE(398), 1,
      sym__equal_sign,
    STATE(6023), 1,
      sym_macro_definition,
    STATE(6785), 1,
      sym_type_constraints,
    ACTIONS(9583), 3,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [218079] = 4,
    ACTIONS(9585), 1,
      anon_sym_AT,
    STATE(5545), 2,
      sym_attribute,
      aux_sym__lambda_type_declaration_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3911), 5,
      anon_sym_get,
      anon_sym_set,
      anon_sym__modify,
      anon_sym_mutating,
      anon_sym_nonmutating,
  [218100] = 3,
    ACTIONS(9294), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2840), 7,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_AMP,
  [218119] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2928), 8,
      sym__eq_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK,
  [218136] = 3,
    ACTIONS(9285), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2840), 7,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_AMP,
  [218155] = 3,
    ACTIONS(9322), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2840), 7,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_AMP,
  [218174] = 8,
    ACTIONS(8198), 1,
      anon_sym_LPAREN,
    ACTIONS(8202), 1,
      sym__dot_custom,
    STATE(683), 1,
      sym_lambda_literal,
    STATE(783), 1,
      sym__fn_call_lambda_arguments,
    STATE(784), 1,
      sym_constructor_suffix,
    STATE(827), 1,
      sym__constructor_value_arguments,
    ACTIONS(2554), 2,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [218203] = 7,
    ACTIONS(8777), 1,
      anon_sym_LBRACE,
    ACTIONS(8781), 1,
      sym_where_keyword,
    STATE(5829), 1,
      sym_type_constraints,
    STATE(6886), 1,
      sym__block,
    STATE(7106), 1,
      sym_function_body,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5454), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [218230] = 3,
    STATE(574), 2,
      sym__assignment_and_operator,
      sym__equal_sign,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(9588), 6,
      sym__eq_custom,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [218249] = 7,
    ACTIONS(8777), 1,
      anon_sym_LBRACE,
    ACTIONS(8781), 1,
      sym_where_keyword,
    STATE(5820), 1,
      sym_type_constraints,
    STATE(6886), 1,
      sym__block,
    STATE(7128), 1,
      sym_function_body,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5458), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [218276] = 4,
    ACTIONS(9590), 1,
      anon_sym_LPAREN,
    STATE(5554), 1,
      aux_sym__function_value_parameters,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5297), 6,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_LBRACE,
  [218297] = 3,
    ACTIONS(9239), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2840), 7,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_AMP,
  [218316] = 5,
    ACTIONS(7248), 1,
      sym__as_custom,
    ACTIONS(9593), 1,
      anon_sym_QMARK,
    STATE(5662), 1,
      sym__quest,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5093), 5,
      sym__eq_custom,
      sym_where_keyword,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACE,
  [218339] = 7,
    ACTIONS(8777), 1,
      anon_sym_LBRACE,
    ACTIONS(8781), 1,
      sym_where_keyword,
    STATE(5701), 1,
      sym_type_constraints,
    STATE(6886), 1,
      sym__block,
    STATE(6895), 1,
      sym_function_body,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5157), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [218366] = 3,
    STATE(495), 2,
      sym__assignment_and_operator,
      sym__equal_sign,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(9596), 6,
      sym__eq_custom,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [218385] = 8,
    ACTIONS(8202), 1,
      sym__dot_custom,
    ACTIONS(9598), 1,
      anon_sym_LPAREN,
    STATE(847), 1,
      sym_lambda_literal,
    STATE(1006), 1,
      sym__constructor_value_arguments,
    STATE(1062), 1,
      sym_constructor_suffix,
    STATE(1093), 1,
      sym__fn_call_lambda_arguments,
    ACTIONS(2652), 2,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [218414] = 7,
    ACTIONS(8777), 1,
      anon_sym_LBRACE,
    ACTIONS(8781), 1,
      sym_where_keyword,
    STATE(5812), 1,
      sym_type_constraints,
    STATE(6848), 1,
      sym_function_body,
    STATE(6886), 1,
      sym__block,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5556), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [218441] = 3,
    ACTIONS(9261), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2840), 7,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_AMP,
  [218460] = 3,
    ACTIONS(9277), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2840), 7,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_AMP,
  [218479] = 3,
    ACTIONS(9257), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2840), 7,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_AMP,
  [218498] = 5,
    ACTIONS(7242), 1,
      sym__as_custom,
    ACTIONS(9600), 1,
      anon_sym_QMARK,
    STATE(5655), 1,
      sym__quest,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5161), 5,
      sym__eq_custom,
      sym_where_keyword,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACE,
  [218521] = 3,
    ACTIONS(9271), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2840), 7,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_AMP,
  [218540] = 7,
    ACTIONS(8777), 1,
      anon_sym_LBRACE,
    ACTIONS(8781), 1,
      sym_where_keyword,
    STATE(5870), 1,
      sym_type_constraints,
    STATE(6886), 1,
      sym__block,
    STATE(6921), 1,
      sym_function_body,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5556), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [218567] = 7,
    ACTIONS(8896), 1,
      sym_where_keyword,
    ACTIONS(9603), 1,
      anon_sym_COLON,
    ACTIONS(9605), 1,
      sym__eq_custom,
    STATE(3491), 1,
      sym__equal_sign,
    STATE(6030), 1,
      sym_type_constraints,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5469), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [218594] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(9607), 7,
      anon_sym_RBRACE,
      anon_sym_get,
      anon_sym_set,
      anon_sym__modify,
      anon_sym_AT,
      anon_sym_mutating,
      anon_sym_nonmutating,
  [218610] = 5,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    STATE(6229), 1,
      sym__block,
    STATE(6390), 1,
      sym_function_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5458), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [218632] = 5,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    STATE(6229), 1,
      sym__block,
    STATE(6354), 1,
      sym_function_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5122), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [218654] = 5,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    STATE(6229), 1,
      sym__block,
    STATE(6420), 1,
      sym_function_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5818), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [218676] = 5,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    STATE(6195), 1,
      sym_function_body,
    STATE(6229), 1,
      sym__block,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5785), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [218698] = 5,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    STATE(6229), 1,
      sym__block,
    STATE(6364), 1,
      sym_function_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5199), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [218720] = 5,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    STATE(6229), 1,
      sym__block,
    STATE(6423), 1,
      sym_function_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5556), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [218742] = 4,
    ACTIONS(9609), 1,
      sym_catch_keyword,
    STATE(5661), 2,
      sym_catch_block,
      aux_sym_do_statement_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7366), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [218762] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5370), 7,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym_where_keyword,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
  [218778] = 8,
    ACTIONS(8492), 1,
      anon_sym_LT,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(9611), 1,
      anon_sym_COLON,
    ACTIONS(9613), 1,
      anon_sym_LBRACE,
    STATE(2748), 1,
      sym_enum_class_body,
    STATE(5945), 1,
      sym_type_parameters,
    STATE(7258), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [218806] = 5,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    STATE(6229), 1,
      sym__block,
    STATE(6445), 1,
      sym_function_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5556), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [218828] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7428), 7,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_where_keyword,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [218844] = 5,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    STATE(6229), 1,
      sym__block,
    STATE(6447), 1,
      sym_function_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5556), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [218866] = 5,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    STATE(6229), 1,
      sym__block,
    STATE(6367), 1,
      sym_function_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5122), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [218888] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7261), 7,
      sym__eq_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
  [218904] = 8,
    ACTIONS(8492), 1,
      anon_sym_LT,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(9615), 1,
      anon_sym_COLON,
    ACTIONS(9617), 1,
      anon_sym_LBRACE,
    STATE(2674), 1,
      sym_protocol_body,
    STATE(5966), 1,
      sym_type_parameters,
    STATE(7263), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [218932] = 5,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    STATE(6181), 1,
      sym_function_body,
    STATE(6229), 1,
      sym__block,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5785), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [218954] = 3,
    ACTIONS(9619), 1,
      anon_sym_BANG,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5427), 7,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [218972] = 6,
    ACTIONS(8896), 1,
      sym_where_keyword,
    ACTIONS(9621), 1,
      sym__eq_custom,
    STATE(3759), 1,
      sym__equal_sign,
    STATE(5957), 1,
      sym_type_constraints,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5613), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [218996] = 5,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    STATE(6152), 1,
      sym_function_body,
    STATE(6229), 1,
      sym__block,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5195), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [219018] = 5,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    STATE(6185), 1,
      sym_function_body,
    STATE(6229), 1,
      sym__block,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5568), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [219040] = 5,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    STATE(6229), 1,
      sym__block,
    STATE(6452), 1,
      sym_function_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5556), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [219062] = 5,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    STATE(6229), 1,
      sym__block,
    STATE(6459), 1,
      sym_function_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5157), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [219084] = 5,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    STATE(6229), 1,
      sym__block,
    STATE(6302), 1,
      sym_function_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5552), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [219106] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5482), 7,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [219122] = 5,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    STATE(6229), 1,
      sym__block,
    STATE(6371), 1,
      sym_function_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5523), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [219144] = 8,
    ACTIONS(8492), 1,
      anon_sym_LT,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(9617), 1,
      anon_sym_LBRACE,
    ACTIONS(9623), 1,
      anon_sym_COLON,
    STATE(3033), 1,
      sym_protocol_body,
    STATE(5896), 1,
      sym_type_parameters,
    STATE(7232), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [219172] = 5,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    STATE(6201), 1,
      sym_function_body,
    STATE(6229), 1,
      sym__block,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5568), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [219194] = 8,
    ACTIONS(8492), 1,
      anon_sym_LT,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(9613), 1,
      anon_sym_LBRACE,
    ACTIONS(9625), 1,
      anon_sym_COLON,
    STATE(2865), 1,
      sym_enum_class_body,
    STATE(5893), 1,
      sym_type_parameters,
    STATE(7228), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [219222] = 5,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    STATE(6229), 1,
      sym__block,
    STATE(6294), 1,
      sym_function_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5552), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [219244] = 5,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    STATE(6229), 1,
      sym__block,
    STATE(6290), 1,
      sym_function_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5798), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [219266] = 8,
    ACTIONS(8492), 1,
      anon_sym_LT,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(9627), 1,
      anon_sym_COLON,
    ACTIONS(9629), 1,
      anon_sym_LBRACE,
    STATE(5932), 1,
      sym_type_parameters,
    STATE(6402), 1,
      sym_enum_class_body,
    STATE(7244), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [219294] = 5,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    STATE(6204), 1,
      sym_function_body,
    STATE(6229), 1,
      sym__block,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5568), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [219316] = 5,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    STATE(6214), 1,
      sym_function_body,
    STATE(6229), 1,
      sym__block,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5568), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [219338] = 5,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    STATE(6229), 1,
      sym__block,
    STATE(6284), 1,
      sym_function_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5798), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [219360] = 5,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    STATE(6225), 1,
      sym_function_body,
    STATE(6229), 1,
      sym__block,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5153), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [219382] = 3,
    ACTIONS(9631), 1,
      anon_sym_BANG,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5427), 6,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_in,
  [219400] = 4,
    ACTIONS(9633), 1,
      anon_sym_COMMA,
    STATE(5629), 1,
      aux_sym_type_constraints_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5621), 5,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [219420] = 5,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    STATE(6217), 1,
      sym_function_body,
    STATE(6229), 1,
      sym__block,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5832), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [219442] = 3,
    ACTIONS(7265), 1,
      sym__as_custom,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5387), 6,
      sym__eq_custom,
      sym_where_keyword,
      sym_else,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
  [219460] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5651), 7,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [219476] = 5,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    STATE(6179), 1,
      sym_function_body,
    STATE(6229), 1,
      sym__block,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5516), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [219498] = 3,
    ACTIONS(7272), 1,
      sym__as_custom,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5393), 6,
      sym__eq_custom,
      sym_where_keyword,
      sym_else,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
  [219516] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5419), 7,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
  [219532] = 5,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    STATE(6229), 1,
      sym__block,
    STATE(6375), 1,
      sym_function_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5523), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [219554] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2928), 7,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_where_keyword,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_RBRACE,
  [219570] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5316), 7,
      sym__eq_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
  [219586] = 8,
    ACTIONS(8492), 1,
      anon_sym_LT,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(9635), 1,
      anon_sym_COLON,
    ACTIONS(9637), 1,
      anon_sym_LBRACE,
    STATE(5940), 1,
      sym_type_parameters,
    STATE(7131), 1,
      sym_protocol_body,
    STATE(7548), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [219614] = 8,
    ACTIONS(8492), 1,
      anon_sym_LT,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(9639), 1,
      anon_sym_COLON,
    ACTIONS(9641), 1,
      anon_sym_LBRACE,
    STATE(5946), 1,
      sym_type_parameters,
    STATE(6831), 1,
      sym_enum_class_body,
    STATE(7539), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [219642] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5235), 7,
      sym__eq_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
  [219658] = 4,
    ACTIONS(9633), 1,
      anon_sym_COMMA,
    STATE(5605), 1,
      aux_sym_type_constraints_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5572), 5,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [219678] = 5,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    STATE(6142), 1,
      sym_function_body,
    STATE(6229), 1,
      sym__block,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5516), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [219700] = 8,
    ACTIONS(8492), 1,
      anon_sym_LT,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(9641), 1,
      anon_sym_LBRACE,
    ACTIONS(9643), 1,
      anon_sym_COLON,
    STATE(5923), 1,
      sym_type_parameters,
    STATE(6896), 1,
      sym_enum_class_body,
    STATE(7615), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [219728] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5681), 7,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [219744] = 5,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    STATE(6229), 1,
      sym__block,
    STATE(6309), 1,
      sym_function_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5769), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [219766] = 8,
    ACTIONS(8492), 1,
      anon_sym_LT,
    ACTIONS(8494), 1,
      anon_sym_LBRACE,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(9645), 1,
      anon_sym_COLON,
    STATE(2865), 1,
      sym_class_body,
    STATE(5916), 1,
      sym_type_parameters,
    STATE(7239), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [219794] = 8,
    ACTIONS(8492), 1,
      anon_sym_LT,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(8547), 1,
      anon_sym_LBRACE,
    ACTIONS(9647), 1,
      anon_sym_COLON,
    STATE(6057), 1,
      sym_type_parameters,
    STATE(6183), 1,
      sym_class_body,
    STATE(7388), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [219822] = 8,
    ACTIONS(8492), 1,
      anon_sym_LT,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(8560), 1,
      anon_sym_LBRACE,
    ACTIONS(9649), 1,
      anon_sym_COLON,
    STATE(3915), 1,
      sym_class_body,
    STATE(6067), 1,
      sym_type_parameters,
    STATE(7370), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [219850] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7261), 7,
      sym__eq_custom,
      sym_where_keyword,
      sym__as_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LBRACE,
  [219866] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2928), 7,
      sym_where_keyword,
      sym__as_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_LBRACE,
  [219882] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2928), 7,
      sym__as_custom,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_in,
  [219898] = 4,
    ACTIONS(9651), 1,
      anon_sym_COMMA,
    STATE(5629), 1,
      aux_sym_type_constraints_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5651), 5,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [219918] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3072), 7,
      anon_sym_RBRACE,
      anon_sym_get,
      anon_sym_set,
      anon_sym__modify,
      anon_sym_AT,
      anon_sym_mutating,
      anon_sym_nonmutating,
  [219934] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5035), 7,
      sym__eq_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
  [219950] = 5,
    ACTIONS(7248), 1,
      sym__as_custom,
    ACTIONS(9654), 1,
      anon_sym_QMARK,
    STATE(5804), 1,
      sym__quest,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5093), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_in,
  [219972] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5685), 7,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [219988] = 8,
    ACTIONS(8492), 1,
      anon_sym_LT,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(9657), 1,
      anon_sym_COLON,
    ACTIONS(9659), 1,
      anon_sym_LBRACE,
    STATE(3915), 1,
      sym_enum_class_body,
    STATE(6095), 1,
      sym_type_parameters,
    STATE(7401), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [220016] = 8,
    ACTIONS(8492), 1,
      anon_sym_LT,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(9629), 1,
      anon_sym_LBRACE,
    ACTIONS(9661), 1,
      anon_sym_COLON,
    STATE(6000), 1,
      sym_type_parameters,
    STATE(6183), 1,
      sym_enum_class_body,
    STATE(7480), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [220044] = 8,
    ACTIONS(8492), 1,
      anon_sym_LT,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(9637), 1,
      anon_sym_LBRACE,
    ACTIONS(9663), 1,
      anon_sym_COLON,
    STATE(5979), 1,
      sym_type_parameters,
    STATE(7042), 1,
      sym_protocol_body,
    STATE(7620), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [220072] = 5,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    STATE(6229), 1,
      sym__block,
    STATE(6430), 1,
      sym_function_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5732), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [220094] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5689), 7,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [220110] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5290), 7,
      sym__eq_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
  [220126] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(9665), 7,
      anon_sym_RBRACE,
      anon_sym_get,
      anon_sym_set,
      anon_sym__modify,
      anon_sym_AT,
      anon_sym_mutating,
      anon_sym_nonmutating,
  [220142] = 6,
    ACTIONS(8896), 1,
      sym_where_keyword,
    ACTIONS(9667), 1,
      sym__eq_custom,
    STATE(3768), 1,
      sym__equal_sign,
    STATE(6047), 1,
      sym_type_constraints,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5589), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [220166] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5423), 7,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym_where_keyword,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
  [220182] = 5,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    STATE(6133), 1,
      sym_function_body,
    STATE(6229), 1,
      sym__block,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5149), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [220204] = 5,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    STATE(6210), 1,
      sym_function_body,
    STATE(6229), 1,
      sym__block,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5454), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [220226] = 4,
    ACTIONS(9669), 1,
      anon_sym_COMMA,
    STATE(5670), 1,
      aux_sym_lambda_function_type_parameters_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(9671), 5,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_in,
  [220246] = 5,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    STATE(6229), 1,
      sym__block,
    STATE(6377), 1,
      sym_function_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5765), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [220268] = 4,
    ACTIONS(9669), 1,
      anon_sym_COMMA,
    STATE(5645), 1,
      aux_sym_lambda_function_type_parameters_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(9673), 5,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_in,
  [220288] = 5,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    STATE(6229), 1,
      sym__block,
    STATE(6287), 1,
      sym_function_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5454), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [220310] = 3,
    ACTIONS(9675), 1,
      anon_sym_BANG,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5427), 6,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [220328] = 4,
    ACTIONS(9677), 1,
      anon_sym_COMMA,
    STATE(5650), 1,
      aux_sym_type_constraints_repeat1,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5651), 6,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [220348] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5370), 7,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
  [220364] = 5,
    ACTIONS(7242), 1,
      sym__as_custom,
    ACTIONS(9680), 1,
      anon_sym_QMARK,
    STATE(5872), 1,
      sym__quest,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5161), 4,
      sym_where_keyword,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACE,
  [220386] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5419), 7,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym__eq_custom,
      sym_where_keyword,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
  [220402] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5711), 7,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [220418] = 3,
    ACTIONS(7272), 1,
      sym__as_custom,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5393), 6,
      sym__eq_custom,
      sym_where_keyword,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LBRACE,
  [220436] = 8,
    ACTIONS(8492), 1,
      anon_sym_LT,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(9659), 1,
      anon_sym_LBRACE,
    ACTIONS(9683), 1,
      anon_sym_COLON,
    STATE(3930), 1,
      sym_enum_class_body,
    STATE(6079), 1,
      sym_type_parameters,
    STATE(7433), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [220464] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7268), 7,
      sym__eq_custom,
      sym_where_keyword,
      sym__as_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LBRACE,
  [220480] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(9390), 7,
      anon_sym_RBRACE,
      anon_sym_get,
      anon_sym_set,
      anon_sym__modify,
      anon_sym_AT,
      anon_sym_mutating,
      anon_sym_nonmutating,
  [220496] = 8,
    ACTIONS(8492), 1,
      anon_sym_LT,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(9685), 1,
      anon_sym_COLON,
    ACTIONS(9687), 1,
      anon_sym_LBRACE,
    STATE(5980), 1,
      sym_type_parameters,
    STATE(6679), 1,
      sym_protocol_body,
    STATE(7496), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [220524] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7268), 7,
      sym__eq_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
  [220540] = 4,
    ACTIONS(9689), 1,
      sym_catch_keyword,
    STATE(5661), 2,
      sym_catch_block,
      aux_sym_do_statement_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7434), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [220560] = 3,
    ACTIONS(7265), 1,
      sym__as_custom,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5387), 6,
      sym__eq_custom,
      sym_where_keyword,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LBRACE,
  [220578] = 4,
    ACTIONS(9692), 1,
      anon_sym_COMMA,
    STATE(5698), 1,
      aux_sym_type_constraints_repeat1,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5572), 6,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [220598] = 5,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    STATE(6229), 1,
      sym__block,
    STATE(6233), 1,
      sym_function_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5779), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [220620] = 8,
    ACTIONS(8492), 1,
      anon_sym_LT,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(9687), 1,
      anon_sym_LBRACE,
    ACTIONS(9694), 1,
      anon_sym_COLON,
    STATE(5998), 1,
      sym_type_parameters,
    STATE(6688), 1,
      sym_protocol_body,
    STATE(7485), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [220648] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5705), 7,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [220664] = 5,
    ACTIONS(7248), 1,
      sym__as_custom,
    ACTIONS(9696), 1,
      anon_sym_QMARK,
    STATE(5862), 1,
      sym__quest,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5093), 4,
      sym_where_keyword,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACE,
  [220686] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7420), 7,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_where_keyword,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [220702] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5423), 7,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym_where_keyword,
      sym__async_keyword_custom,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
  [220718] = 4,
    ACTIONS(9699), 1,
      anon_sym_COMMA,
    STATE(5670), 1,
      aux_sym_lambda_function_type_parameters_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(9702), 5,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_in,
  [220738] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5482), 8,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_where_keyword,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [220754] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(9704), 7,
      anon_sym_RBRACE,
      anon_sym_get,
      anon_sym_set,
      anon_sym__modify,
      anon_sym_AT,
      anon_sym_mutating,
      anon_sym_nonmutating,
  [220770] = 8,
    ACTIONS(8492), 1,
      anon_sym_LT,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(8648), 1,
      anon_sym_LBRACE,
    ACTIONS(9706), 1,
      anon_sym_COLON,
    STATE(5951), 1,
      sym_type_parameters,
    STATE(6831), 1,
      sym_class_body,
    STATE(7504), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [220798] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5226), 7,
      sym__eq_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
  [220814] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(9352), 7,
      anon_sym_RBRACE,
      anon_sym_get,
      anon_sym_set,
      anon_sym__modify,
      anon_sym_AT,
      anon_sym_mutating,
      anon_sym_nonmutating,
  [220830] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3086), 7,
      anon_sym_RBRACE,
      anon_sym_get,
      anon_sym_set,
      anon_sym__modify,
      anon_sym_AT,
      anon_sym_mutating,
      anon_sym_nonmutating,
  [220846] = 5,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    STATE(6229), 1,
      sym__block,
    STATE(6397), 1,
      sym_function_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5736), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [220868] = 5,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    STATE(6212), 1,
      sym_function_body,
    STATE(6229), 1,
      sym__block,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5153), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [220890] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5060), 7,
      sym__eq_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
  [220906] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(9708), 7,
      anon_sym_RBRACE,
      anon_sym_get,
      anon_sym_set,
      anon_sym__modify,
      anon_sym_AT,
      anon_sym_mutating,
      anon_sym_nonmutating,
  [220922] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5670), 8,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_where_keyword,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [220938] = 4,
    ACTIONS(9609), 1,
      sym_catch_keyword,
    STATE(5575), 2,
      sym_catch_block,
      aux_sym_do_statement_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7372), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [220958] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(9340), 7,
      anon_sym_RBRACE,
      anon_sym_get,
      anon_sym_set,
      anon_sym__modify,
      anon_sym_AT,
      anon_sym_mutating,
      anon_sym_nonmutating,
  [220974] = 5,
    ACTIONS(7242), 1,
      sym__as_custom,
    ACTIONS(9710), 1,
      anon_sym_QMARK,
    STATE(5710), 1,
      sym__quest,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5161), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_in,
  [220996] = 5,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    STATE(6193), 1,
      sym_function_body,
    STATE(6229), 1,
      sym__block,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5129), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [221018] = 5,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    STATE(6229), 1,
      sym__block,
    STATE(6286), 1,
      sym_function_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5454), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [221040] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5327), 7,
      sym__eq_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
  [221056] = 5,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    STATE(6229), 1,
      sym__block,
    STATE(6301), 1,
      sym_function_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5169), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [221078] = 5,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    STATE(6229), 1,
      sym__block,
    STATE(6274), 1,
      sym_function_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5454), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [221100] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(9378), 7,
      anon_sym_RBRACE,
      anon_sym_get,
      anon_sym_set,
      anon_sym__modify,
      anon_sym_AT,
      anon_sym_mutating,
      anon_sym_nonmutating,
  [221116] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5323), 7,
      sym__eq_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
  [221132] = 5,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    STATE(6229), 1,
      sym__block,
    STATE(6392), 1,
      sym_function_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5736), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [221154] = 5,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    STATE(6175), 1,
      sym_function_body,
    STATE(6229), 1,
      sym__block,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5129), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [221176] = 5,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    STATE(6229), 1,
      sym__block,
    STATE(6386), 1,
      sym_function_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5458), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [221198] = 5,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    STATE(6229), 1,
      sym__block,
    STATE(6265), 1,
      sym_function_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5133), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [221220] = 5,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    STATE(6191), 1,
      sym_function_body,
    STATE(6229), 1,
      sym__block,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5560), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [221242] = 5,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    STATE(6155), 1,
      sym_function_body,
    STATE(6229), 1,
      sym__block,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5531), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [221264] = 4,
    ACTIONS(9692), 1,
      anon_sym_COMMA,
    STATE(5650), 1,
      aux_sym_type_constraints_repeat1,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5621), 6,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [221284] = 5,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    STATE(6098), 1,
      sym_function_body,
    STATE(6229), 1,
      sym__block,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5560), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [221306] = 5,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    STATE(6164), 1,
      sym_function_body,
    STATE(6229), 1,
      sym__block,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5531), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [221328] = 5,
    ACTIONS(8777), 1,
      anon_sym_LBRACE,
    STATE(6886), 1,
      sym__block,
    STATE(7061), 1,
      sym_function_body,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5516), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [221349] = 4,
    ACTIONS(8670), 1,
      sym_where_keyword,
    STATE(6263), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(9713), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [221368] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5290), 6,
      sym__as_custom,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_in,
  [221383] = 5,
    ACTIONS(9715), 1,
      sym__dot_custom,
    STATE(4832), 1,
      sym__dot,
    STATE(5724), 1,
      aux_sym_identifier_repeat1,
    ACTIONS(5602), 3,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [221404] = 4,
    ACTIONS(8670), 1,
      sym_where_keyword,
    STATE(6346), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(9717), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [221423] = 4,
    ACTIONS(9719), 1,
      sym__eq_custom,
    STATE(3555), 1,
      sym__equal_sign,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5972), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [221442] = 3,
    ACTIONS(9721), 1,
      anon_sym_BANG,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5427), 5,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_where_keyword,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [221459] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7261), 6,
      sym_where_keyword,
      sym__as_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LBRACE,
  [221474] = 5,
    ACTIONS(5099), 1,
      sym__as_custom,
    ACTIONS(9723), 1,
      anon_sym_QMARK,
    STATE(6117), 1,
      sym__quest,
    ACTIONS(5093), 3,
      sym_where_keyword,
      anon_sym_COLON,
      anon_sym_LBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [221495] = 3,
    ACTIONS(7272), 1,
      sym__as_custom,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5393), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_in,
  [221512] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7268), 6,
      sym__as_custom,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_in,
  [221527] = 5,
    ACTIONS(5167), 1,
      sym__as_custom,
    ACTIONS(9725), 1,
      anon_sym_QMARK,
    STATE(6122), 1,
      sym__quest,
    ACTIONS(5161), 3,
      sym_where_keyword,
      anon_sym_COLON,
      anon_sym_LBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [221548] = 5,
    ACTIONS(8777), 1,
      anon_sym_LBRACE,
    STATE(6867), 1,
      sym_function_body,
    STATE(6886), 1,
      sym__block,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5149), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [221569] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5235), 6,
      sym_where_keyword,
      sym__as_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LBRACE,
  [221584] = 5,
    ACTIONS(8777), 1,
      anon_sym_LBRACE,
    STATE(6729), 1,
      sym_function_body,
    STATE(6886), 1,
      sym__block,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5568), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [221605] = 4,
    ACTIONS(9433), 1,
      anon_sym_COLON,
    STATE(6285), 1,
      sym_type_annotation,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7311), 4,
      sym__eq_custom,
      sym_where_keyword,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [221624] = 5,
    ACTIONS(8777), 1,
      anon_sym_LBRACE,
    STATE(6886), 1,
      sym__block,
    STATE(7079), 1,
      sym_function_body,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5133), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [221645] = 5,
    ACTIONS(9727), 1,
      sym__dot_custom,
    STATE(4750), 1,
      sym__dot,
    STATE(5718), 1,
      aux_sym_identifier_repeat1,
    ACTIONS(5625), 3,
      sym__eq_custom,
      sym__eq_eq_custom,
      anon_sym_COLON,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [221666] = 5,
    ACTIONS(8777), 1,
      anon_sym_LBRACE,
    STATE(6727), 1,
      sym_function_body,
    STATE(6886), 1,
      sym__block,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5568), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [221687] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5397), 6,
      sym__eq_custom,
      sym_where_keyword,
      sym__as_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACE,
  [221702] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5689), 6,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [221717] = 5,
    ACTIONS(8777), 1,
      anon_sym_LBRACE,
    STATE(6739), 1,
      sym_function_body,
    STATE(6886), 1,
      sym__block,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5568), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [221738] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5482), 6,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [221753] = 5,
    ACTIONS(9715), 1,
      sym__dot_custom,
    STATE(4832), 1,
      sym__dot,
    STATE(5780), 1,
      aux_sym_identifier_repeat1,
    ACTIONS(5664), 3,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [221774] = 4,
    ACTIONS(8670), 1,
      sym_where_keyword,
    STATE(6337), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(9730), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [221793] = 4,
    ACTIONS(9732), 1,
      anon_sym_COMMA,
    STATE(5774), 1,
      aux_sym__modifierless_property_declaration_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6010), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [221812] = 3,
    ACTIONS(9734), 1,
      anon_sym_BANG,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5427), 6,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [221829] = 5,
    ACTIONS(8777), 1,
      anon_sym_LBRACE,
    STATE(6719), 1,
      sym_function_body,
    STATE(6886), 1,
      sym__block,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5568), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [221850] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5060), 6,
      sym_where_keyword,
      sym__as_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LBRACE,
  [221865] = 6,
    ACTIONS(9525), 1,
      anon_sym_in,
    ACTIONS(9527), 1,
      sym__arrow_operator_custom,
    STATE(3460), 1,
      sym__arrow_operator,
    STATE(6881), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [221888] = 4,
    ACTIONS(8670), 1,
      sym_where_keyword,
    STATE(6166), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(9730), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [221907] = 4,
    ACTIONS(8670), 1,
      sym_where_keyword,
    STATE(6257), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(9736), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [221926] = 4,
    ACTIONS(9738), 1,
      sym__eq_custom,
    STATE(3586), 1,
      sym__equal_sign,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5962), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [221945] = 4,
    ACTIONS(8670), 1,
      sym_where_keyword,
    STATE(6177), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(9740), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [221964] = 4,
    ACTIONS(8670), 1,
      sym_where_keyword,
    STATE(6245), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(9736), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [221983] = 5,
    ACTIONS(3958), 1,
      anon_sym_RBRACE,
    STATE(5777), 1,
      aux_sym__class_member_declarations_repeat1,
    STATE(1139), 2,
      sym__semi,
      sym__class_member_separator,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(9742), 3,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
  [222004] = 5,
    ACTIONS(8777), 1,
      anon_sym_LBRACE,
    STATE(6886), 1,
      sym__block,
    STATE(6958), 1,
      sym_function_body,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5798), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [222025] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5035), 6,
      sym_where_keyword,
      sym__as_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LBRACE,
  [222040] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(9744), 6,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_in,
  [222055] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(9702), 6,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_in,
  [222070] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6020), 6,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__arrow_operator_custom,
      sym_where_keyword,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [222085] = 5,
    ACTIONS(8777), 1,
      anon_sym_LBRACE,
    STATE(6886), 1,
      sym__block,
    STATE(6961), 1,
      sym_function_body,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5195), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [222106] = 6,
    ACTIONS(9746), 1,
      anon_sym_in,
    ACTIONS(9748), 1,
      sym__arrow_operator_custom,
    STATE(3400), 1,
      sym__arrow_operator,
    STATE(7152), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [222129] = 5,
    ACTIONS(8777), 1,
      anon_sym_LBRACE,
    STATE(6886), 1,
      sym__block,
    STATE(6989), 1,
      sym_function_body,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5129), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [222150] = 5,
    ACTIONS(8777), 1,
      anon_sym_LBRACE,
    STATE(6886), 1,
      sym__block,
    STATE(6957), 1,
      sym_function_body,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5798), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [222171] = 4,
    ACTIONS(9750), 1,
      anon_sym_COMMA,
    STATE(5746), 1,
      aux_sym_type_constraints_repeat1,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5651), 5,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [222190] = 5,
    ACTIONS(9753), 1,
      sym__dot_custom,
    STATE(4596), 1,
      sym__dot,
    STATE(5803), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(2805), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [222211] = 7,
    ACTIONS(4480), 1,
      sym_where_keyword,
    ACTIONS(7732), 1,
      anon_sym_LBRACE,
    ACTIONS(9756), 1,
      sym__as_custom,
    STATE(3863), 1,
      sym__as,
    STATE(6077), 1,
      sym__block,
    STATE(7362), 1,
      sym_where_clause,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [222236] = 4,
    ACTIONS(9758), 1,
      anon_sym_COMMA,
    STATE(5791), 1,
      aux_sym_if_statement_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7460), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [222255] = 5,
    ACTIONS(8777), 1,
      anon_sym_LBRACE,
    STATE(6669), 1,
      sym_function_body,
    STATE(6886), 1,
      sym__block,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5560), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [222276] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5323), 6,
      sym_where_keyword,
      sym__as_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LBRACE,
  [222291] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5391), 6,
      sym__eq_custom,
      sym_where_keyword,
      sym__as_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACE,
  [222306] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5681), 7,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [222321] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(9760), 6,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_in,
  [222336] = 5,
    ACTIONS(8777), 1,
      anon_sym_LBRACE,
    STATE(6886), 1,
      sym__block,
    STATE(7013), 1,
      sym_function_body,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5129), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [222357] = 4,
    ACTIONS(9758), 1,
      anon_sym_COMMA,
    STATE(5851), 1,
      aux_sym_if_statement_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7500), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [222376] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5397), 6,
      sym__eq_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
  [222391] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2928), 7,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      sym_where_keyword,
      anon_sym_COLON,
      anon_sym_RBRACE,
  [222406] = 5,
    ACTIONS(8777), 1,
      anon_sym_LBRACE,
    STATE(6658), 1,
      sym_function_body,
    STATE(6886), 1,
      sym__block,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5560), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [222427] = 4,
    ACTIONS(5), 1,
      sym_multiline_comment,
    ACTIONS(9764), 1,
      aux_sym_line_str_text_token1,
    ACTIONS(3), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(9762), 5,
      anon_sym_DQUOTE,
      anon_sym_BSLASH,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_BSLASH_LPAREN,
      sym__escaped_identifier,
  [222446] = 4,
    ACTIONS(9766), 1,
      anon_sym_COMMA,
    STATE(5746), 1,
      aux_sym_type_constraints_repeat1,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5621), 5,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [222465] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5323), 6,
      sym__as_custom,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_in,
  [222480] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(9768), 6,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_in,
  [222495] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7307), 6,
      sym__eq_custom,
      sym_where_keyword,
      sym__as_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACE,
  [222510] = 5,
    ACTIONS(8777), 1,
      anon_sym_LBRACE,
    STATE(6617), 1,
      sym_function_body,
    STATE(6886), 1,
      sym__block,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5153), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [222531] = 4,
    ACTIONS(5), 1,
      sym_multiline_comment,
    ACTIONS(9772), 1,
      aux_sym_line_str_text_token1,
    ACTIONS(3), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(9770), 5,
      anon_sym_DQUOTE,
      anon_sym_BSLASH,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_BSLASH_LPAREN,
      sym__escaped_identifier,
  [222550] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7261), 6,
      sym__as_custom,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_in,
  [222565] = 5,
    ACTIONS(8777), 1,
      anon_sym_LBRACE,
    STATE(6821), 1,
      sym_function_body,
    STATE(6886), 1,
      sym__block,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5169), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [222586] = 5,
    ACTIONS(8777), 1,
      anon_sym_LBRACE,
    STATE(6886), 1,
      sym__block,
    STATE(7052), 1,
      sym_function_body,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5516), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [222607] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5316), 6,
      sym__as_custom,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_in,
  [222622] = 5,
    ACTIONS(8777), 1,
      anon_sym_LBRACE,
    STATE(6886), 1,
      sym__block,
    STATE(7025), 1,
      sym_function_body,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5531), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [222643] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5060), 6,
      sym__as_custom,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_in,
  [222658] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5226), 6,
      sym__as_custom,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_in,
  [222673] = 4,
    ACTIONS(9774), 1,
      anon_sym_COMMA,
    STATE(5774), 1,
      aux_sym__modifierless_property_declaration_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5906), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [222692] = 4,
    ACTIONS(9758), 1,
      anon_sym_COMMA,
    STATE(5843), 1,
      aux_sym_if_statement_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7504), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [222711] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7307), 6,
      sym__eq_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
  [222726] = 5,
    ACTIONS(9777), 1,
      anon_sym_RBRACE,
    STATE(5777), 1,
      aux_sym__class_member_declarations_repeat1,
    STATE(1201), 2,
      sym__semi,
      sym__class_member_separator,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(9779), 3,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
  [222747] = 5,
    ACTIONS(8777), 1,
      anon_sym_LBRACE,
    STATE(6590), 1,
      sym_function_body,
    STATE(6886), 1,
      sym__block,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5153), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [222768] = 6,
    ACTIONS(4480), 1,
      sym_where_keyword,
    ACTIONS(9782), 1,
      sym__eq_custom,
    STATE(569), 1,
      sym__equal_sign,
    STATE(7307), 1,
      sym_where_clause,
    ACTIONS(7299), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [222791] = 5,
    ACTIONS(9784), 1,
      sym__dot_custom,
    STATE(4832), 1,
      sym__dot,
    STATE(5780), 1,
      aux_sym_identifier_repeat1,
    ACTIONS(5625), 3,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [222812] = 5,
    ACTIONS(7251), 1,
      sym__as_custom,
    ACTIONS(9789), 1,
      anon_sym_QMARK,
    STATE(6251), 1,
      sym__quest,
    ACTIONS(9787), 3,
      sym_where_keyword,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [222833] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5651), 7,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [222848] = 5,
    ACTIONS(8777), 1,
      anon_sym_LBRACE,
    STATE(6886), 1,
      sym__block,
    STATE(6955), 1,
      sym_function_body,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5552), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [222869] = 5,
    ACTIONS(8777), 1,
      anon_sym_LBRACE,
    STATE(6886), 1,
      sym__block,
    STATE(7091), 1,
      sym_function_body,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5454), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [222890] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3108), 6,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_in,
  [222905] = 7,
    ACTIONS(4480), 1,
      sym_where_keyword,
    ACTIONS(7758), 1,
      anon_sym_LBRACE,
    ACTIONS(9756), 1,
      sym__as_custom,
    STATE(3811), 1,
      sym__block,
    STATE(3863), 1,
      sym__as,
    STATE(7600), 1,
      sym_where_clause,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [222930] = 5,
    ACTIONS(8777), 1,
      anon_sym_LBRACE,
    STATE(6747), 1,
      sym_function_body,
    STATE(6886), 1,
      sym__block,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5832), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [222951] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5226), 6,
      sym_where_keyword,
      sym__as_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LBRACE,
  [222966] = 5,
    ACTIONS(9791), 1,
      anon_sym_RBRACE,
    STATE(5736), 1,
      aux_sym__class_member_declarations_repeat1,
    STATE(1124), 2,
      sym__semi,
      sym__class_member_separator,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(9793), 3,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
  [222987] = 5,
    ACTIONS(8777), 1,
      anon_sym_LBRACE,
    STATE(6886), 1,
      sym__block,
    STATE(7033), 1,
      sym_function_body,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5531), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [223008] = 4,
    ACTIONS(9758), 1,
      anon_sym_COMMA,
    STATE(5851), 1,
      aux_sym_if_statement_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7488), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [223027] = 4,
    ACTIONS(9517), 1,
      anon_sym_COLON,
    STATE(6269), 1,
      sym_type_annotation,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7311), 4,
      sym__eq_custom,
      sym_where_keyword,
      sym_else,
      anon_sym_COMMA,
  [223046] = 6,
    ACTIONS(4318), 1,
      sym_where_keyword,
    ACTIONS(9795), 1,
      sym__eq_custom,
    STATE(576), 1,
      sym__equal_sign,
    STATE(7465), 1,
      sym_where_clause,
    ACTIONS(7299), 2,
      sym_else,
      anon_sym_COMMA,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [223069] = 4,
    ACTIONS(9758), 1,
      anon_sym_COMMA,
    STATE(5756), 1,
      aux_sym_if_statement_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7482), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [223088] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5685), 7,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [223103] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5651), 6,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [223118] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2928), 6,
      sym_where_keyword,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LBRACE,
  [223133] = 5,
    ACTIONS(8797), 1,
      sym__dot_custom,
    STATE(4750), 1,
      sym__dot,
    STATE(5718), 1,
      aux_sym_identifier_repeat1,
    ACTIONS(5664), 3,
      sym__eq_custom,
      sym__eq_eq_custom,
      anon_sym_COLON,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [223154] = 5,
    ACTIONS(7251), 1,
      sym__as_custom,
    ACTIONS(9797), 1,
      anon_sym_QMARK,
    STATE(6144), 1,
      sym__quest,
    ACTIONS(9787), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [223175] = 5,
    ACTIONS(8777), 1,
      anon_sym_LBRACE,
    STATE(6885), 1,
      sym_function_body,
    STATE(6886), 1,
      sym__block,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5122), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [223196] = 5,
    ACTIONS(8777), 1,
      anon_sym_LBRACE,
    STATE(6886), 1,
      sym__block,
    STATE(6938), 1,
      sym_function_body,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5552), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [223217] = 4,
    ACTIONS(5), 1,
      sym_multiline_comment,
    ACTIONS(9801), 1,
      aux_sym_line_str_text_token1,
    ACTIONS(3), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(9799), 5,
      anon_sym_DQUOTE,
      anon_sym_BSLASH,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_BSLASH_LPAREN,
      sym__escaped_identifier,
  [223236] = 5,
    ACTIONS(9803), 1,
      sym__dot_custom,
    STATE(1732), 1,
      aux_sym_user_type_repeat1,
    STATE(4596), 1,
      sym__dot,
    ACTIONS(2852), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [223257] = 3,
    ACTIONS(7265), 1,
      sym__as_custom,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5387), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_in,
  [223274] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5316), 6,
      sym_where_keyword,
      sym__as_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LBRACE,
  [223289] = 5,
    ACTIONS(8777), 1,
      anon_sym_LBRACE,
    STATE(6886), 1,
      sym__block,
    STATE(7110), 1,
      sym_function_body,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5769), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [223310] = 4,
    ACTIONS(9766), 1,
      anon_sym_COMMA,
    STATE(5761), 1,
      aux_sym_type_constraints_repeat1,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5572), 5,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [223329] = 3,
    ACTIONS(5397), 1,
      sym__as_custom,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5393), 5,
      sym__eq_custom,
      sym_where_keyword,
      sym_else,
      anon_sym_COMMA,
      anon_sym_COLON,
  [223346] = 3,
    ACTIONS(5391), 1,
      sym__as_custom,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5387), 5,
      sym__eq_custom,
      sym_where_keyword,
      sym_else,
      anon_sym_COMMA,
      anon_sym_COLON,
  [223363] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5689), 7,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [223378] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5685), 6,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [223393] = 5,
    ACTIONS(8777), 1,
      anon_sym_LBRACE,
    STATE(6886), 1,
      sym__block,
    STATE(7062), 1,
      sym_function_body,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5785), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [223414] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5482), 6,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_in,
  [223429] = 5,
    ACTIONS(5167), 1,
      sym__as_custom,
    ACTIONS(9808), 1,
      anon_sym_QMARK,
    STATE(6373), 1,
      sym__quest,
    ACTIONS(9806), 3,
      sym_where_keyword,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [223450] = 4,
    ACTIONS(9810), 1,
      sym__eq_custom,
    STATE(3599), 1,
      sym__equal_sign,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5896), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [223469] = 5,
    ACTIONS(8777), 1,
      anon_sym_LBRACE,
    STATE(6886), 1,
      sym__block,
    STATE(7071), 1,
      sym_function_body,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5779), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [223490] = 5,
    ACTIONS(8777), 1,
      anon_sym_LBRACE,
    STATE(6886), 1,
      sym__block,
    STATE(6917), 1,
      sym_function_body,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5556), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [223511] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5235), 6,
      sym__as_custom,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_in,
  [223526] = 5,
    ACTIONS(9812), 1,
      anon_sym_COLON,
    ACTIONS(9814), 1,
      anon_sym_LBRACE,
    STATE(7123), 1,
      sym_deprecated_operator_declaration_body,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5854), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [223547] = 5,
    ACTIONS(8777), 1,
      anon_sym_LBRACE,
    STATE(6886), 1,
      sym__block,
    STATE(7151), 1,
      sym_function_body,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5732), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [223568] = 5,
    ACTIONS(8777), 1,
      anon_sym_LBRACE,
    STATE(6886), 1,
      sym__block,
    STATE(7103), 1,
      sym_function_body,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5454), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [223589] = 5,
    ACTIONS(8777), 1,
      anon_sym_LBRACE,
    STATE(6720), 1,
      sym_function_body,
    STATE(6886), 1,
      sym__block,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5122), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [223610] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5391), 6,
      sym__eq_custom,
      sym_where_keyword,
      sym_else,
      sym__as_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
  [223625] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5327), 6,
      sym_where_keyword,
      sym__as_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LBRACE,
  [223640] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5705), 6,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [223655] = 5,
    ACTIONS(9816), 1,
      sym__dot_custom,
    STATE(4898), 1,
      sym__dot,
    STATE(5854), 1,
      aux_sym_identifier_repeat1,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5602), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [223676] = 7,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(9818), 1,
      anon_sym_COLON,
    ACTIONS(9820), 1,
      anon_sym_LBRACE,
    STATE(6135), 1,
      sym_type_annotation,
    STATE(6897), 1,
      sym_protocol_property_requirements,
    STATE(7366), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [223701] = 5,
    ACTIONS(8777), 1,
      anon_sym_LBRACE,
    STATE(6886), 1,
      sym__block,
    STATE(7105), 1,
      sym_function_body,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5454), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [223722] = 5,
    ACTIONS(8777), 1,
      anon_sym_LBRACE,
    STATE(6886), 1,
      sym__block,
    STATE(7143), 1,
      sym_function_body,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5736), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [223743] = 5,
    ACTIONS(5167), 1,
      sym__as_custom,
    ACTIONS(9822), 1,
      anon_sym_QMARK,
    STATE(6163), 1,
      sym__quest,
    ACTIONS(9806), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [223764] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5705), 7,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [223779] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5711), 7,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [223794] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(9824), 6,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_in,
  [223809] = 5,
    ACTIONS(8777), 1,
      anon_sym_LBRACE,
    STATE(6886), 1,
      sym__block,
    STATE(7031), 1,
      sym_function_body,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5736), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [223830] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5482), 7,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__eq_custom,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [223845] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6020), 6,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_where_keyword,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [223860] = 5,
    ACTIONS(8777), 1,
      anon_sym_LBRACE,
    STATE(6700), 1,
      sym_function_body,
    STATE(6886), 1,
      sym__block,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5523), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [223881] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5711), 6,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [223896] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5327), 6,
      sym__as_custom,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_in,
  [223911] = 5,
    ACTIONS(8777), 1,
      anon_sym_LBRACE,
    STATE(6886), 1,
      sym__block,
    STATE(7139), 1,
      sym_function_body,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5458), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [223932] = 5,
    ACTIONS(8777), 1,
      anon_sym_LBRACE,
    STATE(6886), 1,
      sym__block,
    STATE(6928), 1,
      sym_function_body,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5818), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [223953] = 5,
    ACTIONS(8777), 1,
      anon_sym_LBRACE,
    STATE(6886), 1,
      sym__block,
    STATE(7109), 1,
      sym_function_body,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5454), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [223974] = 4,
    ACTIONS(9758), 1,
      anon_sym_COMMA,
    STATE(5851), 1,
      aux_sym_if_statement_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7475), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [223993] = 5,
    ACTIONS(8777), 1,
      anon_sym_LBRACE,
    STATE(6883), 1,
      sym_function_body,
    STATE(6886), 1,
      sym__block,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5157), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [224014] = 7,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(9818), 1,
      anon_sym_COLON,
    ACTIONS(9820), 1,
      anon_sym_LBRACE,
    STATE(6224), 1,
      sym_type_annotation,
    STATE(7005), 1,
      sym_protocol_property_requirements,
    STATE(7315), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [224039] = 5,
    ACTIONS(8777), 1,
      anon_sym_LBRACE,
    STATE(6709), 1,
      sym_function_body,
    STATE(6886), 1,
      sym__block,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5523), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [224060] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5681), 6,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [224075] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5035), 6,
      sym__as_custom,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_in,
  [224090] = 5,
    ACTIONS(8777), 1,
      anon_sym_LBRACE,
    STATE(6886), 1,
      sym__block,
    STATE(7127), 1,
      sym_function_body,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5458), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [224111] = 5,
    ACTIONS(9826), 1,
      sym__dot_custom,
    STATE(4898), 1,
      sym__dot,
    STATE(5850), 1,
      aux_sym_identifier_repeat1,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5625), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [224132] = 4,
    ACTIONS(9829), 1,
      anon_sym_COMMA,
    STATE(5851), 1,
      aux_sym_if_statement_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7449), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [224151] = 4,
    ACTIONS(9732), 1,
      anon_sym_COMMA,
    STATE(5726), 1,
      aux_sym__modifierless_property_declaration_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6130), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [224170] = 3,
    ACTIONS(9832), 1,
      anon_sym_BANG,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5427), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_LBRACE,
      anon_sym_in,
  [224187] = 5,
    ACTIONS(9816), 1,
      sym__dot_custom,
    STATE(4898), 1,
      sym__dot,
    STATE(5850), 1,
      aux_sym_identifier_repeat1,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5664), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [224208] = 4,
    ACTIONS(9834), 1,
      sym__eq_custom,
    STATE(3772), 1,
      sym__equal_sign,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6050), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [224227] = 5,
    ACTIONS(9836), 1,
      anon_sym_COLON,
    ACTIONS(9838), 1,
      anon_sym_LBRACE,
    STATE(6983), 1,
      sym_deprecated_operator_declaration_body,
    ACTIONS(5854), 3,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [224248] = 4,
    ACTIONS(5), 1,
      sym_multiline_comment,
    ACTIONS(9842), 1,
      aux_sym_line_str_text_token1,
    ACTIONS(3), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(9840), 5,
      anon_sym_DQUOTE,
      anon_sym_BSLASH,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_BSLASH_LPAREN,
      sym__escaped_identifier,
  [224267] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5357), 6,
      sym__arrow_operator_custom,
      sym__throws_keyword,
      sym__rethrows_keyword,
      sym__async_keyword_custom,
      anon_sym_COMMA,
      anon_sym_in,
  [224282] = 5,
    ACTIONS(8777), 1,
      anon_sym_LBRACE,
    STATE(6886), 1,
      sym__block,
    STATE(6898), 1,
      sym_function_body,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5556), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [224303] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5290), 6,
      sym_where_keyword,
      sym__as_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LBRACE,
  [224318] = 4,
    ACTIONS(5), 1,
      sym_multiline_comment,
    ACTIONS(9846), 1,
      aux_sym_line_str_text_token1,
    ACTIONS(3), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(9844), 5,
      anon_sym_DQUOTE,
      anon_sym_BSLASH,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_BSLASH_LPAREN,
      sym__escaped_identifier,
  [224337] = 3,
    ACTIONS(7265), 1,
      sym__as_custom,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5387), 5,
      sym_where_keyword,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LBRACE,
  [224354] = 5,
    ACTIONS(8777), 1,
      anon_sym_LBRACE,
    STATE(6886), 1,
      sym__block,
    STATE(6923), 1,
      sym_function_body,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5556), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [224375] = 4,
    ACTIONS(5), 1,
      sym_multiline_comment,
    ACTIONS(9850), 1,
      aux_sym_line_str_text_token1,
    ACTIONS(3), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(9848), 5,
      anon_sym_DQUOTE,
      anon_sym_BSLASH,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_BSLASH_LPAREN,
      sym__escaped_identifier,
  [224394] = 5,
    ACTIONS(8777), 1,
      anon_sym_LBRACE,
    STATE(6886), 1,
      sym__block,
    STATE(7021), 1,
      sym_function_body,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5199), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [224415] = 5,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    STATE(6229), 1,
      sym__block,
    STATE(6997), 1,
      sym_function_body,
    ACTIONS(9852), 3,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [224436] = 5,
    ACTIONS(8777), 1,
      anon_sym_LBRACE,
    STATE(6886), 1,
      sym__block,
    STATE(6915), 1,
      sym_function_body,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5556), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [224457] = 5,
    ACTIONS(8777), 1,
      anon_sym_LBRACE,
    STATE(6886), 1,
      sym__block,
    STATE(7125), 1,
      sym_function_body,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5765), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [224478] = 4,
    ACTIONS(8670), 1,
      sym_where_keyword,
    STATE(6404), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(9854), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [224497] = 5,
    ACTIONS(8777), 1,
      anon_sym_LBRACE,
    STATE(6886), 1,
      sym__block,
    STATE(7067), 1,
      sym_function_body,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5785), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [224518] = 6,
    ACTIONS(9441), 1,
      anon_sym_in,
    ACTIONS(9443), 1,
      sym__arrow_operator_custom,
    STATE(3434), 1,
      sym__arrow_operator,
    STATE(6778), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [224541] = 3,
    ACTIONS(7272), 1,
      sym__as_custom,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5393), 5,
      sym_where_keyword,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LBRACE,
  [224558] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7268), 6,
      sym_where_keyword,
      sym__as_custom,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LBRACE,
  [224573] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7572), 5,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_catch_keyword,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [224587] = 5,
    ACTIONS(9856), 1,
      sym__arrow_operator_custom,
    STATE(3877), 1,
      sym__arrow_operator,
    STATE(7411), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [224607] = 5,
    ACTIONS(283), 1,
      ts_builtin_sym_end,
    STATE(25), 1,
      sym__semi,
    STATE(6022), 1,
      aux_sym_source_file_repeat1,
    ACTIONS(9858), 2,
      sym__implicit_semi,
      sym__explicit_semi,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [224627] = 4,
    ACTIONS(9860), 1,
      anon_sym_if,
    ACTIONS(9862), 1,
      anon_sym_LBRACE,
    STATE(825), 3,
      sym__else_options,
      sym_if_statement,
      sym__block,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [224645] = 4,
    ACTIONS(9864), 1,
      sym__eq_custom,
    STATE(3761), 1,
      sym__equal_sign,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5896), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [224663] = 5,
    ACTIONS(9866), 1,
      sym__arrow_operator_custom,
    STATE(3881), 1,
      sym__arrow_operator,
    STATE(7592), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [224683] = 6,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(9868), 1,
      anon_sym_COMMA,
    ACTIONS(9870), 1,
      anon_sym_GT,
    STATE(6341), 1,
      aux_sym_type_parameters_repeat1,
    STATE(7850), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [224705] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6279), 5,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [224719] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6273), 5,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [224733] = 4,
    ACTIONS(9872), 1,
      anon_sym_COLON,
    ACTIONS(9874), 2,
      sym__eq_custom,
      sym__eq_eq_custom,
    STATE(3882), 2,
      sym__equal_sign,
      sym__eq_eq,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [224751] = 4,
    ACTIONS(9876), 1,
      anon_sym_if,
    ACTIONS(9878), 1,
      anon_sym_LBRACE,
    STATE(2299), 3,
      sym__else_options,
      sym_if_statement,
      sym__block,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [224769] = 4,
    ACTIONS(9880), 1,
      anon_sym_COLON,
    ACTIONS(9882), 2,
      sym__eq_custom,
      sym__eq_eq_custom,
    STATE(3888), 2,
      sym__equal_sign,
      sym__eq_eq,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [224787] = 4,
    ACTIONS(9876), 1,
      anon_sym_if,
    ACTIONS(9878), 1,
      anon_sym_LBRACE,
    STATE(2288), 3,
      sym__else_options,
      sym_if_statement,
      sym__block,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [224805] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6208), 5,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [224819] = 4,
    ACTIONS(9884), 1,
      anon_sym_COLON,
    ACTIONS(9886), 2,
      sym__eq_custom,
      sym__eq_eq_custom,
    STATE(3870), 2,
      sym__equal_sign,
      sym__eq_eq,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [224837] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5027), 5,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [224851] = 4,
    ACTIONS(9888), 1,
      anon_sym_COLON,
    ACTIONS(9890), 2,
      sym__eq_custom,
      sym__eq_eq_custom,
    STATE(3865), 2,
      sym__equal_sign,
      sym__eq_eq,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [224869] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6201), 5,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [224883] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6201), 5,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [224897] = 6,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(9613), 1,
      anon_sym_LBRACE,
    ACTIONS(9892), 1,
      anon_sym_COLON,
    STATE(2930), 1,
      sym_enum_class_body,
    STATE(7249), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [224919] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7548), 5,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [224933] = 6,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(9437), 1,
      anon_sym_LBRACE,
    ACTIONS(9894), 1,
      sym__arrow_operator_custom,
    STATE(3463), 1,
      sym__arrow_operator,
    STATE(7925), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [224955] = 6,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(9617), 1,
      anon_sym_LBRACE,
    ACTIONS(9896), 1,
      anon_sym_COLON,
    STATE(2762), 1,
      sym_protocol_body,
    STATE(7253), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [224977] = 3,
    ACTIONS(9898), 1,
      sym_else,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3066), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [224993] = 4,
    ACTIONS(9902), 1,
      anon_sym_DOT,
    STATE(5985), 1,
      aux_sym__constrained_type_repeat1,
    ACTIONS(9900), 3,
      sym__eq_custom,
      sym__eq_eq_custom,
      anon_sym_COLON,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [225011] = 6,
    ACTIONS(8494), 1,
      anon_sym_LBRACE,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(9904), 1,
      anon_sym_COLON,
    STATE(2752), 1,
      sym_class_body,
    STATE(7255), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [225033] = 4,
    ACTIONS(9906), 1,
      anon_sym_COLON,
    ACTIONS(9908), 2,
      sym__eq_custom,
      sym__eq_eq_custom,
    STATE(3670), 2,
      sym__equal_sign,
      sym__eq_eq,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [225051] = 5,
    ACTIONS(9910), 1,
      sym__arrow_operator_custom,
    STATE(3864), 1,
      sym__arrow_operator,
    STATE(7568), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [225071] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5482), 5,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_where_keyword,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [225085] = 6,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(9868), 1,
      anon_sym_COMMA,
    ACTIONS(9912), 1,
      anon_sym_GT,
    STATE(5949), 1,
      aux_sym_type_parameters_repeat1,
    STATE(7878), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [225107] = 6,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(9192), 1,
      anon_sym_LBRACE,
    ACTIONS(9914), 1,
      sym__arrow_operator_custom,
    STATE(3439), 1,
      sym__arrow_operator,
    STATE(7658), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [225129] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6239), 5,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [225143] = 5,
    ACTIONS(9916), 1,
      sym__arrow_operator_custom,
    STATE(3820), 1,
      sym__arrow_operator,
    STATE(7613), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [225163] = 6,
    ACTIONS(4390), 1,
      anon_sym_COMMA,
    ACTIONS(9918), 1,
      anon_sym_RPAREN,
    ACTIONS(9920), 1,
      sym__eq_custom,
    STATE(589), 1,
      sym__equal_sign,
    STATE(6990), 1,
      aux_sym_enum_type_parameters_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [225185] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6243), 5,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [225199] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6247), 5,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [225213] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6253), 5,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [225227] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6253), 5,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [225241] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6257), 5,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [225255] = 4,
    ACTIONS(9922), 1,
      anon_sym_COMMA,
    STATE(5913), 1,
      aux_sym__modifierless_property_declaration_repeat1,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5906), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [225273] = 4,
    ACTIONS(5), 1,
      sym_multiline_comment,
    ACTIONS(9927), 1,
      aux_sym_line_str_text_token1,
    ACTIONS(3), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(9925), 4,
      anon_sym_DQUOTE,
      anon_sym_BSLASH,
      anon_sym_BSLASH_LPAREN,
      sym__escaped_identifier,
  [225291] = 6,
    ACTIONS(4390), 1,
      anon_sym_COMMA,
    ACTIONS(9929), 1,
      anon_sym_RPAREN,
    ACTIONS(9931), 1,
      sym__eq_custom,
    STATE(529), 1,
      sym__equal_sign,
    STATE(7200), 1,
      aux_sym_enum_type_parameters_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [225313] = 6,
    ACTIONS(8494), 1,
      anon_sym_LBRACE,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(9933), 1,
      anon_sym_COLON,
    STATE(2930), 1,
      sym_class_body,
    STATE(7240), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [225335] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6261), 5,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [225349] = 4,
    STATE(5976), 1,
      aux_sym__inheritance_specifiers_repeat1,
    ACTIONS(9935), 2,
      anon_sym_COMMA,
      anon_sym_AMP,
    ACTIONS(9937), 2,
      sym_where_keyword,
      anon_sym_LBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [225367] = 6,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(9557), 1,
      anon_sym_LBRACE,
    ACTIONS(9939), 1,
      sym__arrow_operator_custom,
    STATE(3464), 1,
      sym__arrow_operator,
    STATE(7755), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [225389] = 4,
    ACTIONS(8670), 1,
      sym_where_keyword,
    STATE(6789), 1,
      sym_type_constraints,
    ACTIONS(9941), 3,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [225407] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2453), 5,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
  [225421] = 4,
    ACTIONS(9943), 1,
      anon_sym_COLON,
    ACTIONS(9945), 2,
      sym__eq_custom,
      sym__eq_eq_custom,
    STATE(3816), 2,
      sym__equal_sign,
      sym__eq_eq,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [225439] = 6,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(9641), 1,
      anon_sym_LBRACE,
    ACTIONS(9947), 1,
      anon_sym_COLON,
    STATE(6754), 1,
      sym_enum_class_body,
    STATE(7441), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [225461] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7556), 5,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [225475] = 4,
    ACTIONS(5), 1,
      sym_multiline_comment,
    ACTIONS(9951), 1,
      aux_sym_line_str_text_token1,
    ACTIONS(3), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(9949), 4,
      anon_sym_DQUOTE,
      anon_sym_BSLASH,
      anon_sym_BSLASH_LPAREN,
      sym__escaped_identifier,
  [225493] = 4,
    ACTIONS(9953), 1,
      anon_sym_COLON,
    ACTIONS(9955), 2,
      sym__eq_custom,
      sym__eq_eq_custom,
    STATE(3766), 2,
      sym__equal_sign,
      sym__eq_eq,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [225511] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2471), 5,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
  [225525] = 4,
    ACTIONS(9957), 1,
      anon_sym_QMARK,
    STATE(6516), 1,
      sym__quest,
    ACTIONS(7251), 3,
      sym_where_keyword,
      sym__as_custom,
      anon_sym_LBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [225543] = 6,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(9868), 1,
      anon_sym_COMMA,
    ACTIONS(9959), 1,
      anon_sym_GT,
    STATE(5935), 1,
      aux_sym_type_parameters_repeat1,
    STATE(7687), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [225565] = 4,
    ACTIONS(9961), 1,
      anon_sym_if,
    ACTIONS(9963), 1,
      anon_sym_LBRACE,
    STATE(3058), 3,
      sym__else_options,
      sym_if_statement,
      sym__block,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [225583] = 4,
    ACTIONS(5), 1,
      sym_multiline_comment,
    ACTIONS(9801), 1,
      aux_sym_line_str_text_token1,
    ACTIONS(3), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(9799), 4,
      anon_sym_DQUOTE,
      anon_sym_BSLASH,
      anon_sym_BSLASH_LPAREN,
      sym__escaped_identifier,
  [225601] = 6,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(9629), 1,
      anon_sym_LBRACE,
    ACTIONS(9965), 1,
      anon_sym_COLON,
    STATE(6306), 1,
      sym_enum_class_body,
    STATE(7311), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [225623] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7568), 5,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_catch_keyword,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [225637] = 4,
    ACTIONS(5), 1,
      sym_multiline_comment,
    ACTIONS(9969), 1,
      aux_sym_line_str_text_token1,
    ACTIONS(3), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(9967), 4,
      anon_sym_DQUOTE,
      anon_sym_BSLASH,
      anon_sym_BSLASH_LPAREN,
      sym__escaped_identifier,
  [225655] = 6,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(9868), 1,
      anon_sym_COMMA,
    ACTIONS(9971), 1,
      anon_sym_GT,
    STATE(6341), 1,
      aux_sym_type_parameters_repeat1,
    STATE(7680), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [225677] = 6,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(8648), 1,
      anon_sym_LBRACE,
    ACTIONS(9973), 1,
      anon_sym_COLON,
    STATE(6879), 1,
      sym_class_body,
    STATE(7614), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [225699] = 4,
    ACTIONS(9975), 1,
      anon_sym_QMARK,
    STATE(6507), 1,
      sym__quest,
    ACTIONS(5099), 3,
      sym_where_keyword,
      sym__as_custom,
      anon_sym_LBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [225717] = 4,
    ACTIONS(9977), 1,
      anon_sym_if,
    ACTIONS(9979), 1,
      anon_sym_LBRACE,
    STATE(1226), 3,
      sym__else_options,
      sym_if_statement,
      sym__block,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [225735] = 5,
    ACTIONS(9981), 1,
      ts_builtin_sym_end,
    STATE(26), 1,
      sym__semi,
    STATE(5939), 1,
      aux_sym_source_file_repeat1,
    ACTIONS(9983), 2,
      sym__implicit_semi,
      sym__explicit_semi,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [225755] = 6,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(9637), 1,
      anon_sym_LBRACE,
    ACTIONS(9986), 1,
      anon_sym_COLON,
    STATE(6537), 1,
      sym_protocol_body,
    STATE(7612), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [225777] = 4,
    ACTIONS(9988), 1,
      anon_sym_COLON,
    ACTIONS(9990), 2,
      sym__eq_custom,
      sym__eq_eq_custom,
    STATE(3853), 2,
      sym__equal_sign,
      sym__eq_eq,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [225795] = 4,
    ACTIONS(9977), 1,
      anon_sym_if,
    ACTIONS(9979), 1,
      anon_sym_LBRACE,
    STATE(1212), 3,
      sym__else_options,
      sym_if_statement,
      sym__block,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [225813] = 4,
    ACTIONS(9992), 1,
      anon_sym_COLON,
    ACTIONS(9994), 2,
      sym__eq_custom,
      sym__eq_eq_custom,
    STATE(3851), 2,
      sym__equal_sign,
      sym__eq_eq,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [225831] = 5,
    ACTIONS(9996), 1,
      sym__arrow_operator_custom,
    STATE(3846), 1,
      sym__arrow_operator,
    STATE(7544), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [225851] = 6,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(9613), 1,
      anon_sym_LBRACE,
    ACTIONS(9998), 1,
      anon_sym_COLON,
    STATE(2696), 1,
      sym_enum_class_body,
    STATE(7286), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [225873] = 6,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(9641), 1,
      anon_sym_LBRACE,
    ACTIONS(10000), 1,
      anon_sym_COLON,
    STATE(6833), 1,
      sym_enum_class_body,
    STATE(7606), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [225895] = 5,
    ACTIONS(10002), 1,
      sym__arrow_operator_custom,
    STATE(3707), 1,
      sym__arrow_operator,
    STATE(7627), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [225915] = 6,
    ACTIONS(4390), 1,
      anon_sym_COMMA,
    ACTIONS(10004), 1,
      anon_sym_RPAREN,
    ACTIONS(10006), 1,
      sym__eq_custom,
    STATE(536), 1,
      sym__equal_sign,
    STATE(7190), 1,
      aux_sym_enum_type_parameters_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [225937] = 6,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(9868), 1,
      anon_sym_COMMA,
    ACTIONS(10008), 1,
      anon_sym_GT,
    STATE(6341), 1,
      aux_sym_type_parameters_repeat1,
    STATE(7853), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [225959] = 4,
    ACTIONS(9838), 1,
      anon_sym_LBRACE,
    STATE(6825), 1,
      sym_deprecated_operator_declaration_body,
    ACTIONS(5958), 3,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [225977] = 6,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(8648), 1,
      anon_sym_LBRACE,
    ACTIONS(10010), 1,
      anon_sym_COLON,
    STATE(6833), 1,
      sym_class_body,
    STATE(7572), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [225999] = 6,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(9329), 1,
      anon_sym_LBRACE,
    ACTIONS(10012), 1,
      sym__arrow_operator_custom,
    STATE(3485), 1,
      sym__arrow_operator,
    STATE(7909), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [226021] = 5,
    ACTIONS(7492), 1,
      anon_sym_RBRACE,
    STATE(112), 1,
      sym__semi,
    STATE(6045), 1,
      aux_sym_statements_repeat1,
    ACTIONS(10014), 2,
      sym__implicit_semi,
      sym__explicit_semi,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [226041] = 5,
    ACTIONS(285), 1,
      ts_builtin_sym_end,
    STATE(24), 1,
      sym__semi,
    STATE(5939), 1,
      aux_sym_source_file_repeat1,
    ACTIONS(10016), 2,
      sym__implicit_semi,
      sym__explicit_semi,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [226061] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6283), 5,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [226075] = 4,
    ACTIONS(10018), 1,
      anon_sym_if,
    ACTIONS(10020), 1,
      anon_sym_LBRACE,
    STATE(2771), 3,
      sym__else_options,
      sym_if_statement,
      sym__block,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [226093] = 4,
    ACTIONS(10022), 1,
      sym__eq_custom,
    STATE(3765), 1,
      sym__equal_sign,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5962), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [226111] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6283), 5,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [226125] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5103), 5,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [226139] = 4,
    ACTIONS(5), 1,
      sym_multiline_comment,
    ACTIONS(9772), 1,
      aux_sym_line_str_text_token1,
    ACTIONS(3), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(9770), 4,
      anon_sym_DQUOTE,
      anon_sym_BSLASH,
      anon_sym_BSLASH_LPAREN,
      sym__escaped_identifier,
  [226157] = 4,
    ACTIONS(5), 1,
      sym_multiline_comment,
    ACTIONS(9764), 1,
      aux_sym_line_str_text_token1,
    ACTIONS(3), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(9762), 4,
      anon_sym_DQUOTE,
      anon_sym_BSLASH,
      anon_sym_BSLASH_LPAREN,
      sym__escaped_identifier,
  [226175] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6287), 5,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [226189] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6283), 5,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [226203] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6283), 5,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [226217] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5103), 5,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [226231] = 6,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(9617), 1,
      anon_sym_LBRACE,
    ACTIONS(10024), 1,
      anon_sym_COLON,
    STATE(2742), 1,
      sym_protocol_body,
    STATE(7289), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [226253] = 4,
    ACTIONS(10026), 1,
      anon_sym_COLON,
    ACTIONS(10028), 2,
      sym__eq_custom,
      sym__eq_eq_custom,
    STATE(3837), 2,
      sym__equal_sign,
      sym__eq_eq,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [226271] = 5,
    ACTIONS(10030), 1,
      sym__arrow_operator_custom,
    STATE(3676), 1,
      sym__arrow_operator,
    STATE(7584), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [226291] = 4,
    ACTIONS(10032), 1,
      anon_sym_COLON,
    ACTIONS(10034), 2,
      sym__eq_custom,
      sym__eq_eq_custom,
    STATE(3832), 2,
      sym__equal_sign,
      sym__eq_eq,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [226309] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6287), 5,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [226323] = 4,
    ACTIONS(10018), 1,
      anon_sym_if,
    ACTIONS(10020), 1,
      anon_sym_LBRACE,
    STATE(2736), 3,
      sym__else_options,
      sym_if_statement,
      sym__block,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [226341] = 6,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(9868), 1,
      anon_sym_COMMA,
    ACTIONS(10036), 1,
      anon_sym_GT,
    STATE(5880), 1,
      aux_sym_type_parameters_repeat1,
    STATE(7837), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [226363] = 4,
    ACTIONS(10038), 1,
      anon_sym_if,
    ACTIONS(10040), 1,
      anon_sym_LBRACE,
    STATE(2546), 3,
      sym__else_options,
      sym_if_statement,
      sym__block,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [226381] = 4,
    ACTIONS(10038), 1,
      anon_sym_if,
    ACTIONS(10040), 1,
      anon_sym_LBRACE,
    STATE(2556), 3,
      sym__else_options,
      sym_if_statement,
      sym__block,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [226399] = 5,
    ACTIONS(10042), 1,
      sym__arrow_operator_custom,
    STATE(3830), 1,
      sym__arrow_operator,
    STATE(7516), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [226419] = 4,
    STATE(6068), 1,
      aux_sym__inheritance_specifiers_repeat1,
    ACTIONS(9935), 2,
      anon_sym_COMMA,
      anon_sym_AMP,
    ACTIONS(10044), 2,
      sym_where_keyword,
      anon_sym_LBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [226437] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5681), 6,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [226451] = 4,
    ACTIONS(9814), 1,
      anon_sym_LBRACE,
    STATE(6749), 1,
      sym_deprecated_operator_declaration_body,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5958), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [226469] = 6,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(9637), 1,
      anon_sym_LBRACE,
    ACTIONS(10046), 1,
      anon_sym_COLON,
    STATE(6490), 1,
      sym_protocol_body,
    STATE(7554), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [226491] = 6,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(9687), 1,
      anon_sym_LBRACE,
    ACTIONS(10048), 1,
      anon_sym_COLON,
    STATE(7192), 1,
      sym_protocol_body,
    STATE(7227), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [226513] = 4,
    ACTIONS(9961), 1,
      anon_sym_if,
    ACTIONS(9963), 1,
      anon_sym_LBRACE,
    STATE(3115), 3,
      sym__else_options,
      sym_if_statement,
      sym__block,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [226531] = 3,
    ACTIONS(10050), 1,
      anon_sym_BANG,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5427), 4,
      sym__eq_custom,
      sym_where_keyword,
      sym_else,
      anon_sym_COMMA,
  [226547] = 6,
    ACTIONS(10052), 1,
      anon_sym_COLON,
    ACTIONS(10054), 1,
      anon_sym_in,
    ACTIONS(10056), 1,
      sym__as_custom,
    STATE(3681), 1,
      sym__as,
    STATE(7862), 1,
      sym_type_annotation,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [226569] = 5,
    ACTIONS(10058), 1,
      sym__arrow_operator_custom,
    STATE(3638), 1,
      sym__arrow_operator,
    STATE(7616), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [226589] = 4,
    ACTIONS(9902), 1,
      anon_sym_DOT,
    STATE(6083), 1,
      aux_sym__constrained_type_repeat1,
    ACTIONS(10060), 3,
      sym__eq_custom,
      sym__eq_eq_custom,
      anon_sym_COLON,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [226607] = 6,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(8547), 1,
      anon_sym_LBRACE,
    ACTIONS(10062), 1,
      anon_sym_COLON,
    STATE(6378), 1,
      sym_class_body,
    STATE(7248), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [226629] = 6,
    ACTIONS(10052), 1,
      anon_sym_COLON,
    ACTIONS(10056), 1,
      sym__as_custom,
    ACTIONS(10064), 1,
      anon_sym_in,
    STATE(3681), 1,
      sym__as,
    STATE(7860), 1,
      sym_type_annotation,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [226651] = 4,
    ACTIONS(9017), 1,
      anon_sym_if,
    ACTIONS(10066), 1,
      anon_sym_LBRACE,
    STATE(3940), 3,
      sym__else_options,
      sym_if_statement,
      sym__block,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [226669] = 4,
    ACTIONS(9017), 1,
      anon_sym_if,
    ACTIONS(10066), 1,
      anon_sym_LBRACE,
    STATE(3948), 3,
      sym__else_options,
      sym_if_statement,
      sym__block,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [226687] = 6,
    ACTIONS(10052), 1,
      anon_sym_COLON,
    ACTIONS(10056), 1,
      sym__as_custom,
    ACTIONS(10068), 1,
      anon_sym_in,
    STATE(3681), 1,
      sym__as,
    STATE(7858), 1,
      sym_type_annotation,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [226709] = 4,
    ACTIONS(10070), 1,
      anon_sym_QMARK,
    STATE(6782), 1,
      sym__quest,
    ACTIONS(5167), 3,
      sym__as_custom,
      anon_sym_COLON,
      anon_sym_in,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [226727] = 4,
    ACTIONS(10072), 1,
      anon_sym_QMARK,
    STATE(6781), 1,
      sym__quest,
    ACTIONS(5099), 3,
      sym__as_custom,
      anon_sym_COLON,
      anon_sym_in,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [226745] = 5,
    ACTIONS(10074), 1,
      sym__arrow_operator_custom,
    STATE(3620), 1,
      sym__arrow_operator,
    STATE(7603), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [226765] = 4,
    ACTIONS(10078), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(6876), 1,
      sym__three_dot_operator,
    ACTIONS(10076), 3,
      sym__eq_custom,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [226783] = 6,
    ACTIONS(10052), 1,
      anon_sym_COLON,
    ACTIONS(10056), 1,
      sym__as_custom,
    ACTIONS(10080), 1,
      anon_sym_in,
    STATE(3681), 1,
      sym__as,
    STATE(7855), 1,
      sym_type_annotation,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [226805] = 5,
    ACTIONS(10082), 1,
      anon_sym_RBRACE,
    STATE(1467), 1,
      sym__semi,
    STATE(6034), 1,
      aux_sym__protocol_member_declarations_repeat1,
    ACTIONS(10084), 2,
      sym__implicit_semi,
      sym__explicit_semi,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [226825] = 6,
    ACTIONS(10052), 1,
      anon_sym_COLON,
    ACTIONS(10056), 1,
      sym__as_custom,
    ACTIONS(10086), 1,
      anon_sym_in,
    STATE(3681), 1,
      sym__as,
    STATE(7759), 1,
      sym_type_annotation,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [226847] = 6,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(9687), 1,
      anon_sym_LBRACE,
    ACTIONS(10088), 1,
      anon_sym_COLON,
    STATE(7085), 1,
      sym_protocol_body,
    STATE(7265), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [226869] = 4,
    ACTIONS(10090), 1,
      anon_sym_COLON,
    ACTIONS(10092), 2,
      sym__eq_custom,
      sym__eq_eq_custom,
    STATE(3800), 2,
      sym__equal_sign,
      sym__eq_eq,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [226887] = 6,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(9629), 1,
      anon_sym_LBRACE,
    ACTIONS(10094), 1,
      anon_sym_COLON,
    STATE(6381), 1,
      sym_enum_class_body,
    STATE(7342), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [226909] = 4,
    ACTIONS(9860), 1,
      anon_sym_if,
    ACTIONS(9862), 1,
      anon_sym_LBRACE,
    STATE(810), 3,
      sym__else_options,
      sym_if_statement,
      sym__block,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [226927] = 4,
    ACTIONS(10078), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(7016), 1,
      sym__three_dot_operator,
    ACTIONS(10096), 3,
      sym__eq_custom,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [226945] = 4,
    ACTIONS(10098), 1,
      anon_sym_QMARK,
    STATE(6757), 1,
      sym__quest,
    ACTIONS(7251), 3,
      sym__as_custom,
      anon_sym_COLON,
      anon_sym_in,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [226963] = 5,
    ACTIONS(10100), 1,
      sym__arrow_operator_custom,
    STATE(3583), 1,
      sym__arrow_operator,
    STATE(7596), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [226983] = 4,
    ACTIONS(10102), 1,
      anon_sym_if,
    ACTIONS(10104), 1,
      anon_sym_LBRACE,
    STATE(1128), 3,
      sym__else_options,
      sym_if_statement,
      sym__block,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [227001] = 5,
    ACTIONS(10106), 1,
      sym__arrow_operator_custom,
    STATE(3561), 1,
      sym__arrow_operator,
    STATE(7589), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [227021] = 4,
    ACTIONS(10108), 1,
      anon_sym_COLON,
    ACTIONS(10110), 2,
      sym__eq_custom,
      sym__eq_eq_custom,
    STATE(3794), 2,
      sym__equal_sign,
      sym__eq_eq,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [227039] = 4,
    ACTIONS(10102), 1,
      anon_sym_if,
    ACTIONS(10104), 1,
      anon_sym_LBRACE,
    STATE(1120), 3,
      sym__else_options,
      sym_if_statement,
      sym__block,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [227057] = 5,
    ACTIONS(10112), 1,
      sym__arrow_operator_custom,
    STATE(3545), 1,
      sym__arrow_operator,
    STATE(7580), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [227077] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7329), 5,
      sym__eq_custom,
      sym_where_keyword,
      sym_else,
      anon_sym_COMMA,
      anon_sym_COLON,
  [227091] = 5,
    ACTIONS(10114), 1,
      sym__arrow_operator_custom,
    STATE(3789), 1,
      sym__arrow_operator,
    STATE(7473), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [227111] = 4,
    ACTIONS(10116), 1,
      anon_sym_if,
    ACTIONS(10118), 1,
      anon_sym_LBRACE,
    STATE(2316), 3,
      sym__else_options,
      sym_if_statement,
      sym__block,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [227129] = 4,
    ACTIONS(10120), 1,
      anon_sym_if,
    ACTIONS(10122), 1,
      anon_sym_LBRACE,
    STATE(2854), 3,
      sym__else_options,
      sym_if_statement,
      sym__block,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [227147] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6222), 5,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [227161] = 5,
    ACTIONS(10124), 1,
      sym__arrow_operator_custom,
    STATE(3516), 1,
      sym__arrow_operator,
    STATE(7571), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [227181] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7524), 5,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [227195] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7329), 5,
      sym__eq_custom,
      sym_where_keyword,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACE,
  [227209] = 4,
    ACTIONS(10126), 1,
      anon_sym_COLON,
    ACTIONS(10128), 2,
      sym__eq_custom,
      sym__eq_eq_custom,
    STATE(3598), 2,
      sym__equal_sign,
      sym__eq_eq,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [227227] = 4,
    ACTIONS(10120), 1,
      anon_sym_if,
    ACTIONS(10122), 1,
      anon_sym_LBRACE,
    STATE(2925), 3,
      sym__else_options,
      sym_if_statement,
      sym__block,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [227245] = 5,
    ACTIONS(289), 1,
      ts_builtin_sym_end,
    STATE(23), 1,
      sym__semi,
    STATE(5954), 1,
      aux_sym_source_file_repeat1,
    ACTIONS(10130), 2,
      sym__implicit_semi,
      sym__explicit_semi,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [227265] = 5,
    ACTIONS(10132), 1,
      sym__arrow_operator_custom,
    STATE(3506), 1,
      sym__arrow_operator,
    STATE(7567), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [227285] = 5,
    ACTIONS(289), 1,
      ts_builtin_sym_end,
    STATE(23), 1,
      sym__semi,
    STATE(5939), 1,
      aux_sym_source_file_repeat1,
    ACTIONS(10130), 2,
      sym__implicit_semi,
      sym__explicit_semi,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [227305] = 4,
    ACTIONS(8670), 1,
      sym_where_keyword,
    STATE(7039), 1,
      sym_type_constraints,
    ACTIONS(10134), 3,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [227323] = 6,
    ACTIONS(10052), 1,
      anon_sym_COLON,
    ACTIONS(10056), 1,
      sym__as_custom,
    ACTIONS(10136), 1,
      anon_sym_in,
    STATE(3681), 1,
      sym__as,
    STATE(7763), 1,
      sym_type_annotation,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [227345] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2471), 6,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [227359] = 5,
    ACTIONS(10138), 1,
      sym__arrow_operator_custom,
    STATE(3497), 1,
      sym__arrow_operator,
    STATE(7559), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [227379] = 5,
    ACTIONS(10140), 1,
      sym__arrow_operator_custom,
    STATE(3494), 1,
      sym__arrow_operator,
    STATE(7556), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [227399] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5482), 6,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [227413] = 6,
    ACTIONS(10052), 1,
      anon_sym_COLON,
    ACTIONS(10056), 1,
      sym__as_custom,
    ACTIONS(10142), 1,
      anon_sym_in,
    STATE(3681), 1,
      sym__as,
    STATE(7762), 1,
      sym_type_annotation,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [227435] = 4,
    ACTIONS(10144), 1,
      sym__eq_custom,
    STATE(3753), 1,
      sym__equal_sign,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6050), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [227453] = 6,
    ACTIONS(9356), 1,
      anon_sym_LT,
    ACTIONS(9382), 1,
      anon_sym_LPAREN,
    STATE(5379), 1,
      aux_sym__function_value_parameters,
    STATE(5544), 1,
      sym__macro_signature,
    STATE(6541), 1,
      sym_type_parameters,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [227475] = 4,
    ACTIONS(10078), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(6683), 1,
      sym__three_dot_operator,
    ACTIONS(10146), 3,
      sym__eq_custom,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [227493] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5651), 6,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [227507] = 5,
    ACTIONS(10148), 1,
      anon_sym_RBRACE,
    STATE(1466), 1,
      sym__semi,
    STATE(6084), 1,
      aux_sym__protocol_member_declarations_repeat1,
    ACTIONS(10150), 2,
      sym__implicit_semi,
      sym__explicit_semi,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [227527] = 4,
    ACTIONS(10152), 1,
      anon_sym_QMARK,
    STATE(6495), 1,
      sym__quest,
    ACTIONS(5167), 3,
      sym_where_keyword,
      sym__as_custom,
      anon_sym_LBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [227545] = 5,
    ACTIONS(10154), 1,
      sym__arrow_operator_custom,
    STATE(3502), 1,
      sym__arrow_operator,
    STATE(7545), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [227565] = 5,
    ACTIONS(7468), 1,
      anon_sym_RBRACE,
    STATE(115), 1,
      sym__semi,
    STATE(6037), 1,
      aux_sym_statements_repeat1,
    ACTIONS(10156), 2,
      sym__implicit_semi,
      sym__explicit_semi,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [227585] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3072), 5,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_else,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [227599] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5685), 6,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [227613] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2955), 5,
      sym__dot_custom,
      anon_sym_RPAREN,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
  [227627] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5482), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_LBRACE,
      anon_sym_in,
  [227641] = 5,
    ACTIONS(10159), 1,
      sym__arrow_operator_custom,
    STATE(3509), 1,
      sym__arrow_operator,
    STATE(7530), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [227661] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5689), 6,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [227675] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3072), 5,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_catch_keyword,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [227689] = 5,
    ACTIONS(391), 1,
      anon_sym_RBRACE,
    STATE(113), 1,
      sym__semi,
    STATE(6037), 1,
      aux_sym_statements_repeat1,
    ACTIONS(10161), 2,
      sym__implicit_semi,
      sym__explicit_semi,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [227709] = 5,
    ACTIONS(10163), 1,
      sym__arrow_operator_custom,
    STATE(3818), 1,
      sym__arrow_operator,
    STATE(7348), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [227729] = 4,
    ACTIONS(10165), 1,
      sym__eq_custom,
    STATE(3769), 1,
      sym__equal_sign,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5972), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [227747] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7552), 5,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_catch_keyword,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [227761] = 5,
    ACTIONS(10167), 1,
      sym__arrow_operator_custom,
    STATE(3534), 1,
      sym__arrow_operator,
    STATE(7519), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [227781] = 4,
    ACTIONS(10116), 1,
      anon_sym_if,
    ACTIONS(10118), 1,
      anon_sym_LBRACE,
    STATE(2389), 3,
      sym__else_options,
      sym_if_statement,
      sym__block,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [227799] = 5,
    ACTIONS(10169), 1,
      sym__arrow_operator_custom,
    STATE(3826), 1,
      sym__arrow_operator,
    STATE(7359), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [227819] = 5,
    ACTIONS(10171), 1,
      sym__arrow_operator_custom,
    STATE(3587), 1,
      sym__arrow_operator,
    STATE(7512), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [227839] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5705), 6,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [227853] = 5,
    ACTIONS(10173), 1,
      sym__arrow_operator_custom,
    STATE(3622), 1,
      sym__arrow_operator,
    STATE(7498), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [227873] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5711), 6,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [227887] = 4,
    ACTIONS(10175), 1,
      anon_sym_LPAREN,
    STATE(6056), 1,
      aux_sym__function_value_parameters,
    ACTIONS(5297), 3,
      sym__arrow_operator_custom,
      sym_where_keyword,
      anon_sym_LBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [227905] = 6,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(8547), 1,
      anon_sym_LBRACE,
    ACTIONS(10178), 1,
      anon_sym_COLON,
    STATE(6381), 1,
      sym_class_body,
    STATE(7629), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [227927] = 5,
    ACTIONS(10180), 1,
      sym__arrow_operator_custom,
    STATE(3657), 1,
      sym__arrow_operator,
    STATE(7476), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [227947] = 5,
    ACTIONS(10182), 1,
      sym__arrow_operator_custom,
    STATE(3692), 1,
      sym__arrow_operator,
    STATE(7466), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [227967] = 4,
    ACTIONS(10184), 1,
      anon_sym_COMMA,
    STATE(6069), 1,
      aux_sym__modifierless_property_declaration_repeat1,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6130), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [227985] = 5,
    ACTIONS(10186), 1,
      sym__arrow_operator_custom,
    STATE(3726), 1,
      sym__arrow_operator,
    STATE(7452), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [228005] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7540), 5,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [228019] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2453), 6,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [228033] = 5,
    ACTIONS(10188), 1,
      sym__arrow_operator_custom,
    STATE(3834), 1,
      sym__arrow_operator,
    STATE(7364), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [228053] = 4,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    ACTIONS(8989), 1,
      anon_sym_if,
    STATE(6202), 3,
      sym__else_options,
      sym_if_statement,
      sym__block,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [228071] = 4,
    ACTIONS(10078), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(6695), 1,
      sym__three_dot_operator,
    ACTIONS(10190), 3,
      sym__eq_custom,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [228089] = 6,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(8560), 1,
      anon_sym_LBRACE,
    ACTIONS(10192), 1,
      anon_sym_COLON,
    STATE(3910), 1,
      sym_class_body,
    STATE(7416), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [228111] = 4,
    STATE(6068), 1,
      aux_sym__inheritance_specifiers_repeat1,
    ACTIONS(10194), 2,
      anon_sym_COMMA,
      anon_sym_AMP,
    ACTIONS(10197), 2,
      sym_where_keyword,
      anon_sym_LBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [228129] = 4,
    ACTIONS(10184), 1,
      anon_sym_COMMA,
    STATE(5913), 1,
      aux_sym__modifierless_property_declaration_repeat1,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6010), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [228147] = 5,
    ACTIONS(10199), 1,
      sym__arrow_operator_custom,
    STATE(3745), 1,
      sym__arrow_operator,
    STATE(7444), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [228167] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7528), 5,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [228181] = 5,
    ACTIONS(10201), 1,
      sym__arrow_operator_custom,
    STATE(3747), 1,
      sym__arrow_operator,
    STATE(7346), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [228201] = 5,
    ACTIONS(10203), 1,
      sym__arrow_operator_custom,
    STATE(3841), 1,
      sym__arrow_operator,
    STATE(7374), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [228221] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7532), 5,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [228235] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3086), 5,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_catch_keyword,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [228249] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3086), 5,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_else,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [228263] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7576), 5,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_catch_keyword,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [228277] = 5,
    ACTIONS(10205), 1,
      sym__arrow_operator_custom,
    STATE(3788), 1,
      sym__arrow_operator,
    STATE(7436), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [228297] = 6,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(9659), 1,
      anon_sym_LBRACE,
    ACTIONS(10207), 1,
      anon_sym_COLON,
    STATE(3937), 1,
      sym_enum_class_body,
    STATE(7456), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [228319] = 6,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(8560), 1,
      anon_sym_LBRACE,
    ACTIONS(10209), 1,
      anon_sym_COLON,
    STATE(3929), 1,
      sym_class_body,
    STATE(7432), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [228341] = 5,
    ACTIONS(10211), 1,
      sym__arrow_operator_custom,
    STATE(3857), 1,
      sym__arrow_operator,
    STATE(7601), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [228361] = 5,
    ACTIONS(10213), 1,
      sym__arrow_operator_custom,
    STATE(3848), 1,
      sym__arrow_operator,
    STATE(7383), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [228381] = 4,
    ACTIONS(10217), 1,
      anon_sym_DOT,
    STATE(6083), 1,
      aux_sym__constrained_type_repeat1,
    ACTIONS(10215), 3,
      sym__eq_custom,
      sym__eq_eq_custom,
      anon_sym_COLON,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [228399] = 5,
    ACTIONS(10220), 1,
      anon_sym_RBRACE,
    STATE(1473), 1,
      sym__semi,
    STATE(6084), 1,
      aux_sym__protocol_member_declarations_repeat1,
    ACTIONS(10222), 2,
      sym__implicit_semi,
      sym__explicit_semi,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [228419] = 4,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    ACTIONS(8989), 1,
      anon_sym_if,
    STATE(6276), 3,
      sym__else_options,
      sym_if_statement,
      sym__block,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [228437] = 6,
    ACTIONS(10052), 1,
      anon_sym_COLON,
    ACTIONS(10056), 1,
      sym__as_custom,
    ACTIONS(10225), 1,
      anon_sym_in,
    STATE(3681), 1,
      sym__as,
    STATE(7815), 1,
      sym_type_annotation,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [228459] = 5,
    ACTIONS(10227), 1,
      sym__arrow_operator_custom,
    STATE(3860), 1,
      sym__arrow_operator,
    STATE(7390), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [228479] = 4,
    ACTIONS(10229), 1,
      anon_sym_COLON,
    ACTIONS(10231), 2,
      sym__eq_custom,
      sym__eq_eq_custom,
    STATE(3757), 2,
      sym__equal_sign,
      sym__eq_eq,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [228497] = 5,
    ACTIONS(10233), 1,
      sym__arrow_operator_custom,
    STATE(3886), 1,
      sym__arrow_operator,
    STATE(7424), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [228517] = 5,
    ACTIONS(10235), 1,
      sym__arrow_operator_custom,
    STATE(3872), 1,
      sym__arrow_operator,
    STATE(7429), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [228537] = 3,
    ACTIONS(10237), 1,
      sym_else,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3090), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [228553] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6020), 6,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_where_keyword,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [228567] = 4,
    ACTIONS(10239), 1,
      anon_sym_COLON,
    ACTIONS(10241), 2,
      sym__eq_custom,
      sym__eq_eq_custom,
    STATE(3764), 2,
      sym__equal_sign,
      sym__eq_eq,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [228585] = 5,
    ACTIONS(10243), 1,
      sym__arrow_operator_custom,
    STATE(3867), 1,
      sym__arrow_operator,
    STATE(7397), 1,
      sym_throws,
    ACTIONS(2848), 2,
      sym__throws_keyword,
      sym__rethrows_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [228605] = 6,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(9659), 1,
      anon_sym_LBRACE,
    ACTIONS(10245), 1,
      anon_sym_COLON,
    STATE(3910), 1,
      sym_enum_class_body,
    STATE(7221), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [228627] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3300), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_where_keyword,
      ts_builtin_sym_end,
  [228640] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6665), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [228653] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6517), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [228666] = 5,
    ACTIONS(10020), 1,
      anon_sym_LBRACE,
    ACTIONS(10247), 1,
      anon_sym_COMMA,
    STATE(2490), 1,
      sym__block,
    STATE(6742), 1,
      aux_sym_if_statement_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [228685] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6541), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [228698] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6329), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [228711] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7660), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [228724] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7588), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [228737] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5625), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      ts_builtin_sym_end,
  [228750] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6329), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [228763] = 5,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(9495), 1,
      anon_sym_LBRACE,
    STATE(2699), 1,
      sym_computed_property,
    STATE(7373), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [228782] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(10249), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [228795] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6325), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [228808] = 5,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(9480), 1,
      anon_sym_LBRACE,
    STATE(7087), 1,
      sym_computed_property,
    STATE(7269), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [228827] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7600), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [228840] = 5,
    ACTIONS(4480), 1,
      sym_where_keyword,
    ACTIONS(10066), 1,
      anon_sym_LBRACE,
    STATE(3919), 1,
      sym__block,
    STATE(7379), 1,
      sym_where_clause,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [228859] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7604), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [228872] = 5,
    ACTIONS(4480), 1,
      sym_where_keyword,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    STATE(6252), 1,
      sym__block,
    STATE(7302), 1,
      sym_where_clause,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [228891] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7608), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [228904] = 5,
    ACTIONS(9356), 1,
      anon_sym_LT,
    ACTIONS(9447), 1,
      anon_sym_LPAREN,
    STATE(5503), 1,
      aux_sym__function_value_parameters,
    STATE(7360), 1,
      sym_type_parameters,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [228923] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7632), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [228936] = 3,
    ACTIONS(5391), 1,
      sym__as_custom,
    ACTIONS(5387), 3,
      sym_where_keyword,
      anon_sym_COLON,
      anon_sym_LBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [228951] = 5,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(8560), 1,
      anon_sym_LBRACE,
    STATE(3932), 1,
      sym_class_body,
    STATE(7446), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [228970] = 5,
    ACTIONS(4480), 1,
      sym_where_keyword,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    STATE(6310), 1,
      sym__block,
    STATE(7298), 1,
      sym_where_clause,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [228989] = 5,
    ACTIONS(4480), 1,
      sym_where_keyword,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    STATE(6114), 1,
      sym__block,
    STATE(7344), 1,
      sym_where_clause,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [229008] = 5,
    ACTIONS(4480), 1,
      sym_where_keyword,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    STATE(6383), 1,
      sym__block,
    STATE(7268), 1,
      sym_where_clause,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [229027] = 3,
    ACTIONS(5397), 1,
      sym__as_custom,
    ACTIONS(5393), 3,
      sym_where_keyword,
      anon_sym_COLON,
      anon_sym_LBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [229042] = 5,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(9480), 1,
      anon_sym_LBRACE,
    STATE(7054), 1,
      sym_computed_property,
    STATE(7283), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [229061] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2928), 5,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      anon_sym_RBRACE,
  [229074] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2910), 4,
      sym__dot_custom,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
  [229087] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6349), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [229100] = 5,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(9659), 1,
      anon_sym_LBRACE,
    STATE(3932), 1,
      sym_enum_class_body,
    STATE(7449), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [229119] = 5,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(9495), 1,
      anon_sym_LBRACE,
    STATE(2671), 1,
      sym_computed_property,
    STATE(7385), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [229138] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(10215), 4,
      sym__eq_custom,
      sym__eq_eq_custom,
      anon_sym_COLON,
      anon_sym_DOT,
  [229151] = 5,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(8560), 1,
      anon_sym_LBRACE,
    STATE(3936), 1,
      sym_class_body,
    STATE(7451), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [229170] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6701), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [229183] = 5,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(9629), 1,
      anon_sym_LBRACE,
    STATE(6451), 1,
      sym_enum_class_body,
    STATE(7330), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [229202] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6333), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [229215] = 5,
    ACTIONS(9356), 1,
      anon_sym_LT,
    ACTIONS(9447), 1,
      anon_sym_LPAREN,
    STATE(5477), 1,
      aux_sym__function_value_parameters,
    STATE(7369), 1,
      sym_type_parameters,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [229234] = 5,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(9820), 1,
      anon_sym_LBRACE,
    STATE(6542), 1,
      sym_protocol_property_requirements,
    STATE(7626), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [229253] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(10251), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [229266] = 5,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(9495), 1,
      anon_sym_LBRACE,
    STATE(2737), 1,
      sym_computed_property,
    STATE(7368), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [229285] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7612), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [229298] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6333), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [229311] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7588), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [229324] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6525), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [229337] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6705), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [229350] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6529), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [229363] = 3,
    ACTIONS(7307), 1,
      sym__as_custom,
    ACTIONS(10253), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [229378] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6333), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [229391] = 5,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(9629), 1,
      anon_sym_LBRACE,
    STATE(6331), 1,
      sym_enum_class_body,
    STATE(7611), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [229410] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6201), 5,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [229423] = 5,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(8560), 1,
      anon_sym_LBRACE,
    STATE(3938), 1,
      sym_class_body,
    STATE(7458), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [229442] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6513), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [229455] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6705), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [229468] = 5,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(9637), 1,
      anon_sym_LBRACE,
    STATE(7034), 1,
      sym_protocol_body,
    STATE(7392), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [229487] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6537), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [229500] = 5,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(9495), 1,
      anon_sym_LBRACE,
    STATE(2758), 1,
      sym_computed_property,
    STATE(7438), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [229519] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6201), 5,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [229532] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6693), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [229545] = 5,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(9659), 1,
      anon_sym_LBRACE,
    STATE(3938), 1,
      sym_enum_class_body,
    STATE(7469), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [229564] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5419), 4,
      sym__arrow_operator_custom,
      sym_where_keyword,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
  [229577] = 5,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(8560), 1,
      anon_sym_LBRACE,
    STATE(3941), 1,
      sym_class_body,
    STATE(7470), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [229596] = 5,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(9659), 1,
      anon_sym_LBRACE,
    STATE(3942), 1,
      sym_enum_class_body,
    STATE(7472), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [229615] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6693), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [229628] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5027), 5,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [229641] = 5,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(9629), 1,
      anon_sym_LBRACE,
    STATE(6259), 1,
      sym_enum_class_body,
    STATE(7325), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [229660] = 3,
    ACTIONS(5397), 1,
      sym__as_custom,
    ACTIONS(10255), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [229675] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6693), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [229688] = 5,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(9641), 1,
      anon_sym_LBRACE,
    STATE(6937), 1,
      sym_enum_class_body,
    STATE(7396), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [229707] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(10257), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [229720] = 5,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(9449), 1,
      anon_sym_LBRACE,
    STATE(6677), 1,
      sym_computed_property,
    STATE(7300), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [229739] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6677), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [229752] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6677), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [229765] = 5,
    ACTIONS(4480), 1,
      sym_where_keyword,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    STATE(6281), 1,
      sym__block,
    STATE(7387), 1,
      sym_where_clause,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [229784] = 5,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(9659), 1,
      anon_sym_LBRACE,
    STATE(3945), 1,
      sym_enum_class_body,
    STATE(7475), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [229803] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6509), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [229816] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6537), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [229829] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6405), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [229842] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6677), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [229855] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6677), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [229868] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(10259), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [229881] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6733), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [229894] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6705), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [229907] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6537), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [229920] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6709), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [229933] = 5,
    ACTIONS(4480), 1,
      sym_where_keyword,
    ACTIONS(10066), 1,
      anon_sym_LBRACE,
    STATE(3905), 1,
      sym__block,
    STATE(7403), 1,
      sym_where_clause,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [229952] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6685), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [229965] = 5,
    ACTIONS(4482), 1,
      anon_sym_COMMA,
    ACTIONS(10261), 1,
      anon_sym_COLON,
    ACTIONS(10263), 1,
      sym_where_keyword,
    STATE(7213), 1,
      aux_sym_switch_entry_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [229984] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6545), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [229997] = 5,
    ACTIONS(4480), 1,
      sym_where_keyword,
    ACTIONS(10066), 1,
      anon_sym_LBRACE,
    STATE(3903), 1,
      sym__block,
    STATE(7406), 1,
      sym_where_clause,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [230016] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6208), 5,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [230029] = 5,
    ACTIONS(4480), 1,
      sym_where_keyword,
    ACTIONS(10066), 1,
      anon_sym_LBRACE,
    STATE(3897), 1,
      sym__block,
    STATE(7426), 1,
      sym_where_clause,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [230048] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6517), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [230061] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(10265), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [230074] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6517), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [230087] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6677), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [230100] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6677), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [230113] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(10249), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [230126] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6709), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [230139] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6501), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [230152] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6617), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [230165] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3192), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_where_keyword,
      ts_builtin_sym_end,
  [230178] = 5,
    ACTIONS(10247), 1,
      anon_sym_COMMA,
    ACTIONS(10267), 1,
      anon_sym_LBRACE,
    STATE(2039), 1,
      sym__block,
    STATE(6228), 1,
      aux_sym_if_statement_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [230197] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6545), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [230210] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6545), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [230223] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3320), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [230236] = 5,
    ACTIONS(10020), 1,
      anon_sym_LBRACE,
    ACTIONS(10247), 1,
      anon_sym_COMMA,
    STATE(2524), 1,
      sym__block,
    STATE(6099), 1,
      aux_sym_if_statement_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [230255] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6545), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [230268] = 4,
    ACTIONS(10271), 1,
      anon_sym_DOT,
    STATE(6460), 1,
      aux_sym__availability_argument_repeat1,
    ACTIONS(10269), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [230285] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6337), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [230298] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(9192), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [230311] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6501), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [230324] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7652), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [230337] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6733), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [230350] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3332), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_where_keyword,
      ts_builtin_sym_end,
  [230363] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6501), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [230376] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6561), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [230389] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6545), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [230402] = 4,
    ACTIONS(10275), 1,
      sym__eq_custom,
    STATE(448), 1,
      sym__equal_sign,
    ACTIONS(10273), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [230419] = 5,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(9687), 1,
      anon_sym_LBRACE,
    STATE(6995), 1,
      sym_protocol_body,
    STATE(7320), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [230438] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6549), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [230451] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6501), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [230464] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2928), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
  [230477] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6501), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [230490] = 5,
    ACTIONS(10247), 1,
      anon_sym_COMMA,
    ACTIONS(10277), 1,
      anon_sym_LBRACE,
    STATE(2129), 1,
      sym__block,
    STATE(6742), 1,
      aux_sym_if_statement_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [230509] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2928), 4,
      sym__dot_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      anon_sym_COLON,
  [230522] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2928), 4,
      sym__eq_custom,
      sym__eq_eq_custom,
      anon_sym_COLON,
      anon_sym_DOT,
  [230535] = 5,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(9820), 1,
      anon_sym_LBRACE,
    STATE(6910), 1,
      sym_protocol_property_requirements,
    STATE(7356), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [230554] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6501), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [230567] = 5,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(8547), 1,
      anon_sym_LBRACE,
    STATE(6451), 1,
      sym_class_body,
    STATE(7231), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [230586] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6713), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [230599] = 5,
    ACTIONS(10247), 1,
      anon_sym_COMMA,
    ACTIONS(10267), 1,
      anon_sym_LBRACE,
    STATE(2066), 1,
      sym__block,
    STATE(6742), 1,
      aux_sym_if_statement_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [230618] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6576), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [230631] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6493), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [230644] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6669), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [230657] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7636), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [230670] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6717), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [230683] = 4,
    ACTIONS(10281), 1,
      sym__eq_custom,
    STATE(454), 1,
      sym__equal_sign,
    ACTIONS(10279), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [230700] = 5,
    ACTIONS(3611), 1,
      anon_sym_func,
    ACTIONS(10283), 1,
      anon_sym_init,
    STATE(6190), 1,
      sym__modifierless_function_declaration_no_body,
    STATE(6267), 1,
      sym__non_constructor_function_decl,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [230719] = 5,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(9637), 1,
      anon_sym_LBRACE,
    STATE(6843), 1,
      sym_protocol_body,
    STATE(7448), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [230738] = 5,
    ACTIONS(9356), 1,
      anon_sym_LT,
    ACTIONS(9447), 1,
      anon_sym_LPAREN,
    STATE(5454), 1,
      aux_sym__function_value_parameters,
    STATE(7230), 1,
      sym_type_parameters,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [230757] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5370), 4,
      sym__arrow_operator_custom,
      sym_where_keyword,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
  [230770] = 5,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(9687), 1,
      anon_sym_LBRACE,
    STATE(6940), 1,
      sym_protocol_body,
    STATE(7372), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [230789] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2928), 5,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [230802] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6317), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [230815] = 4,
    ACTIONS(10271), 1,
      anon_sym_DOT,
    STATE(6395), 1,
      aux_sym__availability_argument_repeat1,
    ACTIONS(4524), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [230832] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(10285), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_where_keyword,
      ts_builtin_sym_end,
  [230845] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6222), 5,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [230858] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(10287), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [230871] = 5,
    ACTIONS(10289), 1,
      anon_sym_LT,
    ACTIONS(10291), 1,
      sym__eq_custom,
    STATE(3737), 1,
      sym__equal_sign,
    STATE(7337), 1,
      sym_type_parameters,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [230890] = 5,
    ACTIONS(10247), 1,
      anon_sym_COMMA,
    ACTIONS(10293), 1,
      anon_sym_LBRACE,
    STATE(5897), 1,
      sym__block,
    STATE(6465), 1,
      aux_sym_if_statement_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [230909] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3226), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [230922] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(10295), 4,
      sym_where_keyword,
      anon_sym_COMMA,
      anon_sym_AMP,
      anon_sym_LBRACE,
  [230935] = 5,
    ACTIONS(9963), 1,
      anon_sym_LBRACE,
    ACTIONS(10247), 1,
      anon_sym_COMMA,
    STATE(3099), 1,
      sym__block,
    STATE(6253), 1,
      aux_sym_if_statement_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [230954] = 3,
    ACTIONS(7307), 1,
      sym__as_custom,
    ACTIONS(10253), 3,
      sym_where_keyword,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [230969] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7628), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [230982] = 5,
    ACTIONS(9963), 1,
      anon_sym_LBRACE,
    ACTIONS(10247), 1,
      anon_sym_COMMA,
    STATE(3112), 1,
      sym__block,
    STATE(6742), 1,
      aux_sym_if_statement_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [231001] = 5,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(8648), 1,
      anon_sym_LBRACE,
    STATE(6674), 1,
      sym_class_body,
    STATE(7487), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [231020] = 5,
    ACTIONS(10020), 1,
      anon_sym_LBRACE,
    ACTIONS(10247), 1,
      anon_sym_COMMA,
    STATE(2814), 1,
      sym__block,
    STATE(6258), 1,
      aux_sym_if_statement_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [231039] = 5,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(9641), 1,
      anon_sym_LBRACE,
    STATE(6675), 1,
      sym_enum_class_body,
    STATE(7483), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [231058] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(10287), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [231071] = 5,
    ACTIONS(10020), 1,
      anon_sym_LBRACE,
    ACTIONS(10247), 1,
      anon_sym_COMMA,
    STATE(2819), 1,
      sym__block,
    STATE(6742), 1,
      aux_sym_if_statement_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [231090] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6313), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [231103] = 5,
    ACTIONS(8664), 1,
      anon_sym_LPAREN,
    ACTIONS(9356), 1,
      anon_sym_LT,
    STATE(4716), 1,
      aux_sym__function_value_parameters,
    STATE(7515), 1,
      sym_type_parameters,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [231122] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6433), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [231135] = 5,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(8547), 1,
      anon_sym_LBRACE,
    STATE(6141), 1,
      sym_class_body,
    STATE(7375), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [231154] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(10297), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [231167] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5482), 4,
      sym__eq_custom,
      sym_where_keyword,
      sym_else,
      anon_sym_COMMA,
  [231180] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6721), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [231193] = 5,
    ACTIONS(10289), 1,
      anon_sym_LT,
    ACTIONS(10299), 1,
      sym__eq_custom,
    STATE(3785), 1,
      sym__equal_sign,
    STATE(7464), 1,
      sym_type_parameters,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [231212] = 5,
    ACTIONS(8863), 1,
      anon_sym_LPAREN,
    ACTIONS(9356), 1,
      anon_sym_LT,
    STATE(4804), 1,
      aux_sym__function_value_parameters,
    STATE(7502), 1,
      sym_type_parameters,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [231231] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6721), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [231244] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7420), 4,
      sym__eq_custom,
      sym_where_keyword,
      sym_else,
      anon_sym_COMMA,
  [231257] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6721), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [231270] = 4,
    ACTIONS(10301), 1,
      anon_sym_COMMA,
    STATE(6439), 1,
      aux_sym_type_constraints_repeat1,
    ACTIONS(5621), 2,
      anon_sym_GT,
      anon_sym_LBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [231287] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7428), 4,
      sym__eq_custom,
      sym_where_keyword,
      sym_else,
      anon_sym_COMMA,
  [231300] = 5,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(9617), 1,
      anon_sym_LBRACE,
    STATE(2873), 1,
      sym_protocol_body,
    STATE(7314), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [231319] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6733), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [231332] = 5,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(9629), 1,
      anon_sym_LBRACE,
    STATE(6143), 1,
      sym_enum_class_body,
    STATE(7376), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [231351] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3372), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [231364] = 5,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(9637), 1,
      anon_sym_LBRACE,
    STATE(6670), 1,
      sym_protocol_body,
    STATE(7488), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [231383] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6565), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [231396] = 5,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(9641), 1,
      anon_sym_LBRACE,
    STATE(6518), 1,
      sym_enum_class_body,
    STATE(7489), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [231415] = 5,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(9613), 1,
      anon_sym_LBRACE,
    STATE(2845), 1,
      sym_enum_class_body,
    STATE(7313), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [231434] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7656), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [231447] = 5,
    ACTIONS(10289), 1,
      anon_sym_LT,
    ACTIONS(10303), 1,
      sym__eq_custom,
    STATE(3617), 1,
      sym__equal_sign,
    STATE(7462), 1,
      sym_type_parameters,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [231466] = 5,
    ACTIONS(8664), 1,
      anon_sym_LPAREN,
    ACTIONS(9356), 1,
      anon_sym_LT,
    STATE(4666), 1,
      aux_sym__function_value_parameters,
    STATE(7382), 1,
      sym_type_parameters,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [231485] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6661), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [231498] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7420), 4,
      sym__eq_custom,
      sym_where_keyword,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [231511] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6733), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [231524] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6733), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [231537] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6733), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [231550] = 5,
    ACTIONS(4480), 1,
      sym_where_keyword,
    ACTIONS(10066), 1,
      anon_sym_LBRACE,
    STATE(3908), 1,
      sym__block,
    STATE(7507), 1,
      sym_where_clause,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [231569] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6661), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [231582] = 5,
    ACTIONS(4480), 1,
      sym_where_keyword,
    ACTIONS(10066), 1,
      anon_sym_LBRACE,
    STATE(3939), 1,
      sym__block,
    STATE(7510), 1,
      sym_where_clause,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [231601] = 5,
    ACTIONS(9356), 1,
      anon_sym_LT,
    ACTIONS(9447), 1,
      anon_sym_LPAREN,
    STATE(5435), 1,
      aux_sym__function_value_parameters,
    STATE(7481), 1,
      sym_type_parameters,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [231620] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5625), 5,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      anon_sym_RBRACE,
  [231633] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6657), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [231646] = 5,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(9449), 1,
      anon_sym_LBRACE,
    STATE(6661), 1,
      sym_computed_property,
    STATE(7275), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [231665] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6657), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [231678] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7428), 4,
      sym__eq_custom,
      sym_where_keyword,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [231691] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6565), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [231704] = 5,
    ACTIONS(4480), 1,
      sym_where_keyword,
    ACTIONS(10066), 1,
      anon_sym_LBRACE,
    STATE(3906), 1,
      sym__block,
    STATE(7511), 1,
      sym_where_clause,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [231723] = 5,
    ACTIONS(10247), 1,
      anon_sym_COMMA,
    ACTIONS(10305), 1,
      anon_sym_LBRACE,
    STATE(1060), 1,
      sym__block,
    STATE(6328), 1,
      aux_sym_if_statement_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [231742] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6582), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [231755] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6657), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [231768] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6545), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [231781] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6582), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [231794] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7624), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [231807] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6353), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [231820] = 5,
    ACTIONS(9963), 1,
      anon_sym_LBRACE,
    ACTIONS(10247), 1,
      anon_sym_COMMA,
    STATE(739), 1,
      sym__block,
    STATE(6362), 1,
      aux_sym_if_statement_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [231839] = 5,
    ACTIONS(4480), 1,
      sym_where_keyword,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    STATE(6393), 1,
      sym__block,
    STATE(7578), 1,
      sym_where_clause,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [231858] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6737), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [231871] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7620), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [231884] = 5,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(9617), 1,
      anon_sym_LBRACE,
    STATE(2818), 1,
      sym_protocol_body,
    STATE(7305), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [231903] = 5,
    ACTIONS(4480), 1,
      sym_where_keyword,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    STATE(6450), 1,
      sym__block,
    STATE(7573), 1,
      sym_where_clause,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [231922] = 5,
    ACTIONS(4480), 1,
      sym_where_keyword,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    STATE(6446), 1,
      sym__block,
    STATE(7569), 1,
      sym_where_clause,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [231941] = 5,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(8648), 1,
      anon_sym_LBRACE,
    STATE(6518), 1,
      sym_class_body,
    STATE(7514), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [231960] = 5,
    ACTIONS(4874), 1,
      anon_sym_LPAREN,
    ACTIONS(9356), 1,
      anon_sym_LT,
    STATE(1636), 1,
      aux_sym__function_value_parameters,
    STATE(7237), 1,
      sym_type_parameters,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [231979] = 5,
    ACTIONS(9356), 1,
      anon_sym_LT,
    ACTIONS(9447), 1,
      anon_sym_LPAREN,
    STATE(5543), 1,
      aux_sym__function_value_parameters,
    STATE(7525), 1,
      sym_type_parameters,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [231998] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6741), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [232011] = 5,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(9613), 1,
      anon_sym_LBRACE,
    STATE(2781), 1,
      sym_enum_class_body,
    STATE(7363), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [232030] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6582), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [232043] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5670), 4,
      sym__eq_custom,
      sym_where_keyword,
      sym_else,
      anon_sym_COMMA,
  [232056] = 5,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(9687), 1,
      anon_sym_LBRACE,
    STATE(6887), 1,
      sym_protocol_body,
    STATE(7439), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [232075] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6801), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [232088] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6601), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [232101] = 5,
    ACTIONS(8775), 1,
      anon_sym_LPAREN,
    ACTIONS(9356), 1,
      anon_sym_LT,
    STATE(4902), 1,
      aux_sym__function_value_parameters,
    STATE(7552), 1,
      sym_type_parameters,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [232120] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6823), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [232133] = 5,
    ACTIONS(8494), 1,
      anon_sym_LBRACE,
    ACTIONS(8496), 1,
      sym_where_keyword,
    STATE(2780), 1,
      sym_class_body,
    STATE(7297), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [232152] = 5,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(9617), 1,
      anon_sym_LBRACE,
    STATE(2779), 1,
      sym_protocol_body,
    STATE(7296), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [232171] = 5,
    ACTIONS(10247), 1,
      anon_sym_COMMA,
    ACTIONS(10305), 1,
      anon_sym_LBRACE,
    STATE(1081), 1,
      sym__block,
    STATE(6742), 1,
      aux_sym_if_statement_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [232190] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5423), 4,
      sym__arrow_operator_custom,
      sym_where_keyword,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
  [232203] = 5,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(9613), 1,
      anon_sym_LBRACE,
    STATE(2749), 1,
      sym_enum_class_body,
    STATE(7294), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [232222] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6653), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [232235] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6649), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [232248] = 5,
    ACTIONS(10289), 1,
      anon_sym_LT,
    ACTIONS(10307), 1,
      sym__eq_custom,
    STATE(3828), 1,
      sym__equal_sign,
    STATE(7509), 1,
      sym_type_parameters,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [232267] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(9557), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [232280] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6287), 5,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [232293] = 5,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(9449), 1,
      anon_sym_LBRACE,
    STATE(6648), 1,
      sym_computed_property,
    STATE(7274), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [232312] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(10257), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [232325] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6437), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [232338] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3072), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [232351] = 5,
    ACTIONS(8664), 1,
      anon_sym_LPAREN,
    ACTIONS(9356), 1,
      anon_sym_LT,
    STATE(4617), 1,
      aux_sym__function_value_parameters,
    STATE(7251), 1,
      sym_type_parameters,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [232370] = 4,
    ACTIONS(10309), 1,
      anon_sym_COMMA,
    STATE(6341), 1,
      aux_sym_type_parameters_repeat1,
    ACTIONS(10312), 2,
      sym_where_keyword,
      anon_sym_GT,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [232387] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7700), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [232400] = 5,
    ACTIONS(8494), 1,
      anon_sym_LBRACE,
    ACTIONS(8496), 1,
      sym_where_keyword,
    STATE(2749), 1,
      sym_class_body,
    STATE(7293), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [232419] = 5,
    ACTIONS(9109), 1,
      anon_sym_LPAREN,
    ACTIONS(9356), 1,
      anon_sym_LT,
    STATE(5178), 1,
      aux_sym__function_value_parameters,
    STATE(7415), 1,
      sym_type_parameters,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [232438] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(10314), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [232451] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(10316), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [232464] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(10318), 4,
      sym_where_keyword,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_GT,
  [232477] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6433), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [232490] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6361), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [232503] = 5,
    ACTIONS(8775), 1,
      anon_sym_LPAREN,
    ACTIONS(9356), 1,
      anon_sym_LT,
    STATE(4734), 1,
      aux_sym__function_value_parameters,
    STATE(7561), 1,
      sym_type_parameters,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [232522] = 3,
    ACTIONS(10322), 1,
      anon_sym_COLON,
    ACTIONS(10320), 3,
      sym_where_keyword,
      anon_sym_COMMA,
      anon_sym_GT,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [232537] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5103), 5,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [232550] = 5,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(9480), 1,
      anon_sym_LBRACE,
    STATE(7161), 1,
      sym_computed_property,
    STATE(7243), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [232569] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6369), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [232582] = 5,
    ACTIONS(10247), 1,
      anon_sym_COMMA,
    ACTIONS(10324), 1,
      anon_sym_LBRACE,
    STATE(1026), 1,
      sym__block,
    STATE(6742), 1,
      aux_sym_if_statement_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [232601] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6827), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [232614] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6283), 5,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [232627] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6283), 5,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [232640] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6369), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [232653] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6369), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [232666] = 5,
    ACTIONS(4874), 1,
      anon_sym_LPAREN,
    ACTIONS(9356), 1,
      anon_sym_LT,
    STATE(1672), 1,
      aux_sym__function_value_parameters,
    STATE(7287), 1,
      sym_type_parameters,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [232685] = 5,
    ACTIONS(9963), 1,
      anon_sym_LBRACE,
    ACTIONS(10247), 1,
      anon_sym_COMMA,
    STATE(748), 1,
      sym__block,
    STATE(6742), 1,
      aux_sym_if_statement_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [232704] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6287), 5,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [232717] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6433), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [232730] = 5,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(8547), 1,
      anon_sym_LBRACE,
    STATE(6126), 1,
      sym_class_body,
    STATE(7310), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [232749] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7644), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [232762] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6369), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [232775] = 5,
    ACTIONS(10247), 1,
      anon_sym_COMMA,
    ACTIONS(10324), 1,
      anon_sym_LBRACE,
    STATE(1020), 1,
      sym__block,
    STATE(6355), 1,
      aux_sym_if_statement_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [232794] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6369), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [232807] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6369), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [232820] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6389), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [232833] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6389), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [232846] = 3,
    ACTIONS(5397), 1,
      sym__as_custom,
    ACTIONS(10255), 3,
      sym_where_keyword,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [232861] = 5,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(9480), 1,
      anon_sym_LBRACE,
    STATE(6927), 1,
      sym_computed_property,
    STATE(7427), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [232880] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6389), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [232893] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5103), 5,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [232906] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6747), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [232919] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6469), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [232932] = 5,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(9449), 1,
      anon_sym_LBRACE,
    STATE(6615), 1,
      sym_computed_property,
    STATE(7264), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [232951] = 4,
    ACTIONS(10328), 1,
      sym__eq_custom,
    STATE(535), 1,
      sym__equal_sign,
    ACTIONS(10326), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [232968] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6783), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [232981] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6609), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [232994] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7620), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [233007] = 4,
    ACTIONS(10332), 1,
      sym__eq_custom,
    STATE(486), 1,
      sym__equal_sign,
    ACTIONS(10330), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [233024] = 5,
    ACTIONS(8494), 1,
      anon_sym_LBRACE,
    ACTIONS(8496), 1,
      sym_where_keyword,
    STATE(2695), 1,
      sym_class_body,
    STATE(7281), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [233043] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6751), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [233056] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6409), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [233069] = 5,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(9617), 1,
      anon_sym_LBRACE,
    STATE(2693), 1,
      sym_protocol_body,
    STATE(7279), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [233088] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6751), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [233101] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6751), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [233114] = 5,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(9613), 1,
      anon_sym_LBRACE,
    STATE(2675), 1,
      sym_enum_class_body,
    STATE(7276), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [233133] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6771), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [233146] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7596), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [233159] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6283), 5,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [233172] = 4,
    ACTIONS(10336), 1,
      anon_sym_DOT,
    STATE(6395), 1,
      aux_sym__availability_argument_repeat1,
    ACTIONS(10334), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [233189] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(2928), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      sym__dot_custom,
      ts_builtin_sym_end,
  [233202] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6771), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [233215] = 4,
    ACTIONS(10271), 1,
      anon_sym_DOT,
    STATE(6242), 1,
      aux_sym__availability_argument_repeat1,
    ACTIONS(10339), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [233232] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(9557), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [233245] = 5,
    ACTIONS(10247), 1,
      anon_sym_COMMA,
    ACTIONS(10341), 1,
      anon_sym_LBRACE,
    STATE(2355), 1,
      sym__block,
    STATE(6427), 1,
      aux_sym_if_statement_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [233264] = 5,
    ACTIONS(9356), 1,
      anon_sym_LT,
    ACTIONS(9447), 1,
      anon_sym_LPAREN,
    STATE(5486), 1,
      aux_sym__function_value_parameters,
    STATE(7423), 1,
      sym_type_parameters,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [233283] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6457), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [233296] = 5,
    ACTIONS(10247), 1,
      anon_sym_COMMA,
    ACTIONS(10277), 1,
      anon_sym_LBRACE,
    STATE(2131), 1,
      sym__block,
    STATE(6221), 1,
      aux_sym_if_statement_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [233315] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(10343), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [233328] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6283), 5,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [233341] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6787), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [233354] = 4,
    ACTIONS(10347), 1,
      anon_sym_COMMA,
    STATE(6407), 1,
      aux_sym__constructor_value_arguments_repeat1,
    ACTIONS(10345), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [233371] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(10350), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [233384] = 5,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(9687), 1,
      anon_sym_LBRACE,
    STATE(6678), 1,
      sym_protocol_body,
    STATE(7486), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [233403] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(4378), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      sym_where_keyword,
      ts_builtin_sym_end,
  [233416] = 5,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(8547), 1,
      anon_sym_LBRACE,
    STATE(6259), 1,
      sym_class_body,
    STATE(7422), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [233435] = 5,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(8648), 1,
      anon_sym_LBRACE,
    STATE(6837), 1,
      sym_class_body,
    STATE(7622), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [233454] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6261), 5,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [233467] = 5,
    ACTIONS(8494), 1,
      anon_sym_LBRACE,
    ACTIONS(8496), 1,
      sym_where_keyword,
    STATE(2675), 1,
      sym_class_body,
    STATE(7270), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [233486] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6279), 5,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [233499] = 5,
    ACTIONS(8775), 1,
      anon_sym_LPAREN,
    ACTIONS(9356), 1,
      anon_sym_LT,
    STATE(4765), 1,
      aux_sym__function_value_parameters,
    STATE(7602), 1,
      sym_type_parameters,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [233518] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6273), 5,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [233531] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(9437), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [233544] = 5,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(9637), 1,
      anon_sym_LBRACE,
    STATE(6845), 1,
      sym_protocol_body,
    STATE(7577), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [233563] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6641), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [233576] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6257), 5,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [233589] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6253), 5,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [233602] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6621), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [233615] = 5,
    ACTIONS(10247), 1,
      anon_sym_COMMA,
    ACTIONS(10352), 1,
      anon_sym_LBRACE,
    STATE(3511), 1,
      sym__block,
    STATE(6742), 1,
      aux_sym_if_statement_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [233634] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6253), 5,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [233647] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6441), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [233660] = 5,
    ACTIONS(10247), 1,
      anon_sym_COMMA,
    ACTIONS(10341), 1,
      anon_sym_LBRACE,
    STATE(2351), 1,
      sym__block,
    STATE(6742), 1,
      aux_sym_if_statement_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [233679] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6453), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [233692] = 4,
    ACTIONS(10301), 1,
      anon_sym_COMMA,
    STATE(6271), 1,
      aux_sym_type_constraints_repeat1,
    ACTIONS(5572), 2,
      anon_sym_GT,
      anon_sym_LBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [233709] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6775), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [233722] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7592), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [233735] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6621), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [233748] = 5,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(9641), 1,
      anon_sym_LBRACE,
    STATE(7027), 1,
      sym_enum_class_body,
    STATE(7587), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [233767] = 5,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(8648), 1,
      anon_sym_LBRACE,
    STATE(7027), 1,
      sym_class_body,
    STATE(7610), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [233786] = 4,
    ACTIONS(10356), 1,
      sym__eq_custom,
    STATE(459), 1,
      sym__equal_sign,
    ACTIONS(10354), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [233803] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6247), 5,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [233816] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(5625), 4,
      sym__dot_custom,
      sym__eq_custom,
      sym__eq_eq_custom,
      anon_sym_COLON,
  [233829] = 4,
    ACTIONS(10360), 1,
      sym__eq_custom,
    STATE(527), 1,
      sym__equal_sign,
    ACTIONS(10358), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [233846] = 4,
    ACTIONS(10362), 1,
      anon_sym_COMMA,
    STATE(6439), 1,
      aux_sym_type_constraints_repeat1,
    ACTIONS(5651), 2,
      anon_sym_GT,
      anon_sym_LBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [233863] = 5,
    ACTIONS(4874), 1,
      anon_sym_LPAREN,
    ACTIONS(9356), 1,
      anon_sym_LT,
    STATE(1661), 1,
      aux_sym__function_value_parameters,
    STATE(7245), 1,
      sym_type_parameters,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [233882] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(9437), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [233895] = 5,
    ACTIONS(10247), 1,
      anon_sym_COMMA,
    ACTIONS(10352), 1,
      anon_sym_LBRACE,
    STATE(3490), 1,
      sym__block,
    STATE(6424), 1,
      aux_sym_if_statement_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [233914] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6243), 5,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [233927] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(9329), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [233940] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6621), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [233953] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7596), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [233966] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6621), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [233979] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6239), 5,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [233992] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6621), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [234005] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7616), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [234018] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6461), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [234031] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6621), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [234044] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6613), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [234057] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6437), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [234070] = 5,
    ACTIONS(4480), 1,
      sym_where_keyword,
    ACTIONS(10066), 1,
      anon_sym_LBRACE,
    STATE(3900), 1,
      sym__block,
    STATE(7594), 1,
      sym_where_clause,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [234089] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(10197), 4,
      sym_where_keyword,
      anon_sym_COMMA,
      anon_sym_AMP,
      anon_sym_LBRACE,
  [234102] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6613), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [234115] = 4,
    ACTIONS(10367), 1,
      sym__eq_custom,
    STATE(526), 1,
      sym__equal_sign,
    ACTIONS(10365), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [234132] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6613), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [234145] = 4,
    ACTIONS(10271), 1,
      anon_sym_DOT,
    STATE(6395), 1,
      aux_sym__availability_argument_repeat1,
    ACTIONS(10369), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [234162] = 5,
    ACTIONS(4482), 1,
      anon_sym_COMMA,
    ACTIONS(10371), 1,
      anon_sym_COLON,
    ACTIONS(10373), 1,
      sym_where_keyword,
    STATE(6528), 1,
      aux_sym_switch_entry_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [234181] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3086), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [234194] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7640), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [234207] = 3,
    ACTIONS(10377), 1,
      anon_sym_COLON,
    ACTIONS(10375), 3,
      sym_where_keyword,
      anon_sym_COMMA,
      anon_sym_GT,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [234222] = 5,
    ACTIONS(10247), 1,
      anon_sym_COMMA,
    ACTIONS(10293), 1,
      anon_sym_LBRACE,
    STATE(6091), 1,
      sym__block,
    STATE(6742), 1,
      aux_sym_if_statement_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [234241] = 2,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(7592), 4,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [234254] = 4,
    ACTIONS(10379), 1,
      anon_sym_COMMA,
    ACTIONS(10381), 1,
      anon_sym_GT,
    STATE(7153), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [234270] = 4,
    ACTIONS(10379), 1,
      anon_sym_COMMA,
    ACTIONS(10383), 1,
      anon_sym_GT,
    STATE(7153), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [234286] = 4,
    ACTIONS(10385), 1,
      anon_sym_RPAREN,
    ACTIONS(10387), 1,
      anon_sym_COMMA,
    STATE(7056), 1,
      aux_sym__function_value_parameters_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [234302] = 4,
    ACTIONS(10389), 1,
      anon_sym_RPAREN,
    ACTIONS(10391), 1,
      anon_sym_COMMA,
    STATE(6919), 1,
      aux_sym__tuple_pattern_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [234318] = 4,
    ACTIONS(10393), 1,
      anon_sym_RPAREN,
    ACTIONS(10395), 1,
      anon_sym_COMMA,
    STATE(6795), 1,
      aux_sym_attribute_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [234334] = 4,
    ACTIONS(10395), 1,
      anon_sym_COMMA,
    ACTIONS(10397), 1,
      anon_sym_RPAREN,
    STATE(6471), 1,
      aux_sym_attribute_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [234350] = 4,
    ACTIONS(10379), 1,
      anon_sym_COMMA,
    ACTIONS(10399), 1,
      anon_sym_GT,
    STATE(7153), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [234366] = 4,
    ACTIONS(4396), 1,
      anon_sym_COMMA,
    ACTIONS(10401), 1,
      anon_sym_RPAREN,
    STATE(6521), 1,
      aux_sym__playground_literal_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [234382] = 4,
    ACTIONS(10403), 1,
      anon_sym_RPAREN,
    ACTIONS(10405), 1,
      anon_sym_COMMA,
    STATE(6407), 1,
      aux_sym__constructor_value_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [234398] = 3,
    STATE(921), 1,
      sym_lambda_literal,
    ACTIONS(2704), 2,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [234412] = 4,
    ACTIONS(10405), 1,
      anon_sym_COMMA,
    ACTIONS(10407), 1,
      anon_sym_RPAREN,
    STATE(6407), 1,
      aux_sym__constructor_value_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [234428] = 4,
    ACTIONS(4876), 1,
      anon_sym_LBRACE,
    ACTIONS(10409), 1,
      anon_sym_LPAREN,
    STATE(4082), 1,
      sym__block,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [234444] = 4,
    ACTIONS(10405), 1,
      anon_sym_COMMA,
    ACTIONS(10407), 1,
      anon_sym_RBRACK,
    STATE(6407), 1,
      aux_sym__constructor_value_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [234460] = 4,
    ACTIONS(10411), 1,
      anon_sym_RPAREN,
    ACTIONS(10413), 1,
      anon_sym_COMMA,
    STATE(6734), 1,
      aux_sym__interpolation_contents_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [234476] = 2,
    ACTIONS(10415), 3,
      sym_raw_str_part,
      sym_raw_str_continuing_indicator,
      sym_raw_str_end_part,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [234488] = 4,
    ACTIONS(10417), 1,
      anon_sym_RPAREN,
    ACTIONS(10419), 1,
      anon_sym_COMMA,
    STATE(6706), 1,
      aux_sym_availability_condition_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [234504] = 4,
    ACTIONS(4876), 1,
      anon_sym_LBRACE,
    ACTIONS(10421), 1,
      anon_sym_LPAREN,
    STATE(4084), 1,
      sym__block,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [234520] = 4,
    ACTIONS(4204), 1,
      sym__dot_custom,
    STATE(2488), 1,
      sym_navigation_suffix,
    STATE(4729), 1,
      sym__dot,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [234536] = 4,
    ACTIONS(4204), 1,
      sym__dot_custom,
    STATE(2631), 1,
      sym_navigation_suffix,
    STATE(4729), 1,
      sym__dot,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [234552] = 4,
    ACTIONS(10391), 1,
      anon_sym_COMMA,
    ACTIONS(10423), 1,
      anon_sym_RPAREN,
    STATE(6919), 1,
      aux_sym__tuple_pattern_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [234568] = 4,
    ACTIONS(145), 1,
      sym_raw_str_part,
    ACTIONS(10425), 1,
      sym_raw_str_end_part,
    STATE(6853), 1,
      aux_sym_raw_string_literal_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [234584] = 4,
    ACTIONS(10405), 1,
      anon_sym_COMMA,
    ACTIONS(10427), 1,
      anon_sym_RBRACK,
    STATE(6407), 1,
      aux_sym__constructor_value_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [234600] = 4,
    ACTIONS(10429), 1,
      anon_sym_RPAREN,
    ACTIONS(10431), 1,
      anon_sym_COMMA,
    STATE(6827), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [234616] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6449), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [234628] = 4,
    ACTIONS(10405), 1,
      anon_sym_COMMA,
    ACTIONS(10433), 1,
      anon_sym_RBRACK,
    STATE(6702), 1,
      aux_sym__constructor_value_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [234644] = 4,
    ACTIONS(3954), 1,
      anon_sym_while,
    ACTIONS(10435), 1,
      sym__implicit_semi,
    STATE(6783), 1,
      aux_sym_repeat_while_statement_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [234660] = 4,
    ACTIONS(4404), 1,
      anon_sym_COMMA,
    ACTIONS(10437), 1,
      anon_sym_RPAREN,
    STATE(6629), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [234676] = 2,
    ACTIONS(10439), 3,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [234688] = 2,
    ACTIONS(5397), 3,
      sym_where_keyword,
      sym__as_custom,
      anon_sym_LBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [234700] = 4,
    ACTIONS(10431), 1,
      anon_sym_COMMA,
    ACTIONS(10441), 1,
      anon_sym_RPAREN,
    STATE(6827), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [234716] = 4,
    ACTIONS(10443), 1,
      anon_sym_COMMA,
    ACTIONS(10445), 1,
      anon_sym_RBRACK,
    STATE(6522), 1,
      aux_sym_dictionary_literal_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [234732] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6453), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [234744] = 4,
    ACTIONS(10405), 1,
      anon_sym_COMMA,
    ACTIONS(10447), 1,
      anon_sym_RBRACK,
    STATE(6488), 1,
      aux_sym__constructor_value_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [234760] = 4,
    ACTIONS(10449), 1,
      anon_sym_COMMA,
    ACTIONS(10451), 1,
      anon_sym_RBRACK,
    STATE(6950), 1,
      aux_sym_dictionary_literal_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [234776] = 4,
    ACTIONS(10405), 1,
      anon_sym_COMMA,
    ACTIONS(10453), 1,
      anon_sym_RBRACK,
    STATE(6479), 1,
      aux_sym__constructor_value_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [234792] = 4,
    ACTIONS(10405), 1,
      anon_sym_COMMA,
    ACTIONS(10453), 1,
      anon_sym_RPAREN,
    STATE(6477), 1,
      aux_sym__constructor_value_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [234808] = 4,
    ACTIONS(10405), 1,
      anon_sym_COMMA,
    ACTIONS(10455), 1,
      anon_sym_RPAREN,
    STATE(6475), 1,
      aux_sym__constructor_value_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [234824] = 4,
    ACTIONS(10379), 1,
      anon_sym_COMMA,
    ACTIONS(10457), 1,
      anon_sym_GT,
    STATE(6473), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [234840] = 4,
    ACTIONS(10387), 1,
      anon_sym_COMMA,
    ACTIONS(10459), 1,
      anon_sym_RPAREN,
    STATE(6469), 1,
      aux_sym__function_value_parameters_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [234856] = 4,
    ACTIONS(4876), 1,
      anon_sym_LBRACE,
    STATE(2809), 1,
      sym__block,
    STATE(2966), 1,
      sym_function_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [234872] = 2,
    ACTIONS(5391), 3,
      sym_where_keyword,
      sym__as_custom,
      anon_sym_LBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [234884] = 4,
    ACTIONS(10405), 1,
      anon_sym_COMMA,
    ACTIONS(10461), 1,
      anon_sym_RPAREN,
    STATE(6407), 1,
      aux_sym__constructor_value_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [234900] = 4,
    ACTIONS(10405), 1,
      anon_sym_COMMA,
    ACTIONS(10463), 1,
      anon_sym_RBRACK,
    STATE(6566), 1,
      aux_sym__constructor_value_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [234916] = 4,
    ACTIONS(10405), 1,
      anon_sym_COMMA,
    ACTIONS(10463), 1,
      anon_sym_RPAREN,
    STATE(6563), 1,
      aux_sym__constructor_value_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [234932] = 4,
    ACTIONS(10405), 1,
      anon_sym_COMMA,
    ACTIONS(10465), 1,
      anon_sym_RPAREN,
    STATE(6560), 1,
      aux_sym__constructor_value_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [234948] = 4,
    ACTIONS(4404), 1,
      anon_sym_COMMA,
    ACTIONS(10467), 1,
      anon_sym_RPAREN,
    STATE(6629), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [234964] = 4,
    ACTIONS(10391), 1,
      anon_sym_COMMA,
    ACTIONS(10469), 1,
      anon_sym_RPAREN,
    STATE(6486), 1,
      aux_sym__tuple_pattern_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [234980] = 4,
    ACTIONS(10431), 1,
      anon_sym_COMMA,
    ACTIONS(10471), 1,
      anon_sym_RPAREN,
    STATE(6538), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [234996] = 4,
    ACTIONS(10379), 1,
      anon_sym_COMMA,
    ACTIONS(10473), 1,
      anon_sym_GT,
    STATE(6556), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [235012] = 2,
    ACTIONS(7307), 3,
      sym_where_keyword,
      sym__as_custom,
      anon_sym_LBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [235024] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6501), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [235036] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6461), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [235048] = 4,
    ACTIONS(10405), 1,
      anon_sym_COMMA,
    ACTIONS(10475), 1,
      anon_sym_RPAREN,
    STATE(6826), 1,
      aux_sym__constructor_value_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [235064] = 4,
    ACTIONS(10477), 1,
      anon_sym_COMMA,
    ACTIONS(10479), 1,
      anon_sym_RBRACK,
    STATE(6580), 1,
      aux_sym_array_literal_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [235080] = 4,
    ACTIONS(10481), 1,
      anon_sym_RPAREN,
    ACTIONS(10483), 1,
      anon_sym_COMMA,
    STATE(6521), 1,
      aux_sym__playground_literal_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [235096] = 4,
    ACTIONS(10486), 1,
      anon_sym_COMMA,
    ACTIONS(10488), 1,
      anon_sym_RBRACK,
    STATE(6715), 1,
      aux_sym_dictionary_literal_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [235112] = 4,
    ACTIONS(10490), 1,
      anon_sym_COMMA,
    ACTIONS(10492), 1,
      anon_sym_RBRACK,
    STATE(6715), 1,
      aux_sym_dictionary_literal_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [235128] = 4,
    ACTIONS(10494), 1,
      anon_sym_COMMA,
    ACTIONS(10496), 1,
      anon_sym_RBRACK,
    STATE(6580), 1,
      aux_sym_array_literal_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [235144] = 4,
    ACTIONS(10431), 1,
      anon_sym_COMMA,
    ACTIONS(10498), 1,
      anon_sym_RPAREN,
    STATE(6496), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [235160] = 4,
    ACTIONS(4404), 1,
      anon_sym_COMMA,
    ACTIONS(10500), 1,
      anon_sym_RPAREN,
    STATE(6629), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [235176] = 4,
    ACTIONS(8777), 1,
      anon_sym_LBRACE,
    STATE(6791), 1,
      sym_function_body,
    STATE(6886), 1,
      sym__block,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [235192] = 4,
    ACTIONS(4482), 1,
      anon_sym_COMMA,
    ACTIONS(4492), 1,
      anon_sym_COLON,
    STATE(6529), 1,
      aux_sym_switch_entry_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [235208] = 4,
    ACTIONS(10502), 1,
      anon_sym_COMMA,
    ACTIONS(10505), 1,
      anon_sym_COLON,
    STATE(6529), 1,
      aux_sym_switch_entry_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [235224] = 4,
    ACTIONS(10507), 1,
      anon_sym_COMMA,
    ACTIONS(10509), 1,
      anon_sym_RBRACK,
    STATE(6523), 1,
      aux_sym_dictionary_literal_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [235240] = 4,
    ACTIONS(10379), 1,
      anon_sym_COMMA,
    ACTIONS(10511), 1,
      anon_sym_GT,
    STATE(6467), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [235256] = 4,
    ACTIONS(10405), 1,
      anon_sym_COMMA,
    ACTIONS(10513), 1,
      anon_sym_RPAREN,
    STATE(6548), 1,
      aux_sym__constructor_value_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [235272] = 4,
    ACTIONS(10405), 1,
      anon_sym_COMMA,
    ACTIONS(10515), 1,
      anon_sym_RPAREN,
    STATE(6550), 1,
      aux_sym__constructor_value_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [235288] = 4,
    ACTIONS(10405), 1,
      anon_sym_COMMA,
    ACTIONS(10515), 1,
      anon_sym_RBRACK,
    STATE(6551), 1,
      aux_sym__constructor_value_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [235304] = 4,
    ACTIONS(10387), 1,
      anon_sym_COMMA,
    ACTIONS(10517), 1,
      anon_sym_RPAREN,
    STATE(6738), 1,
      aux_sym__function_value_parameters_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [235320] = 4,
    ACTIONS(10405), 1,
      anon_sym_COMMA,
    ACTIONS(10519), 1,
      anon_sym_RBRACK,
    STATE(6554), 1,
      aux_sym__constructor_value_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [235336] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6497), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [235348] = 4,
    ACTIONS(10431), 1,
      anon_sym_COMMA,
    ACTIONS(10521), 1,
      anon_sym_RPAREN,
    STATE(6827), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [235364] = 2,
    ACTIONS(10523), 3,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [235376] = 2,
    ACTIONS(10525), 3,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [235388] = 4,
    ACTIONS(9382), 1,
      anon_sym_LPAREN,
    STATE(5379), 1,
      aux_sym__function_value_parameters,
    STATE(5500), 1,
      sym__macro_signature,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [235404] = 2,
    ACTIONS(10525), 3,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [235416] = 3,
    ACTIONS(10529), 1,
      sym_raw_str_continuing_indicator,
    ACTIONS(10527), 2,
      sym_raw_str_part,
      sym_raw_str_end_part,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [235430] = 4,
    ACTIONS(10395), 1,
      anon_sym_COMMA,
    ACTIONS(10531), 1,
      anon_sym_RPAREN,
    STATE(6786), 1,
      aux_sym_attribute_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [235446] = 2,
    ACTIONS(9981), 3,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [235458] = 4,
    ACTIONS(10395), 1,
      anon_sym_COMMA,
    ACTIONS(10533), 1,
      anon_sym_RPAREN,
    STATE(6559), 1,
      aux_sym_attribute_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [235474] = 4,
    ACTIONS(10379), 1,
      anon_sym_COMMA,
    ACTIONS(10535), 1,
      anon_sym_GT,
    STATE(7153), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [235490] = 4,
    ACTIONS(10405), 1,
      anon_sym_COMMA,
    ACTIONS(10537), 1,
      anon_sym_RPAREN,
    STATE(6407), 1,
      aux_sym__constructor_value_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [235506] = 3,
    STATE(1589), 1,
      sym_lambda_literal,
    ACTIONS(4220), 2,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [235520] = 4,
    ACTIONS(10405), 1,
      anon_sym_COMMA,
    ACTIONS(10539), 1,
      anon_sym_RPAREN,
    STATE(6407), 1,
      aux_sym__constructor_value_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [235536] = 4,
    ACTIONS(10405), 1,
      anon_sym_COMMA,
    ACTIONS(10539), 1,
      anon_sym_RBRACK,
    STATE(6407), 1,
      aux_sym__constructor_value_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [235552] = 4,
    ACTIONS(10405), 1,
      anon_sym_COMMA,
    ACTIONS(10475), 1,
      anon_sym_RBRACK,
    STATE(6813), 1,
      aux_sym__constructor_value_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [235568] = 4,
    ACTIONS(145), 1,
      sym_raw_str_part,
    ACTIONS(10541), 1,
      sym_raw_str_end_part,
    STATE(6853), 1,
      aux_sym_raw_string_literal_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [235584] = 4,
    ACTIONS(10405), 1,
      anon_sym_COMMA,
    ACTIONS(10543), 1,
      anon_sym_RBRACK,
    STATE(6407), 1,
      aux_sym__constructor_value_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [235600] = 4,
    ACTIONS(4404), 1,
      anon_sym_COMMA,
    ACTIONS(10545), 1,
      anon_sym_RPAREN,
    STATE(6629), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [235616] = 4,
    ACTIONS(10379), 1,
      anon_sym_COMMA,
    ACTIONS(10547), 1,
      anon_sym_GT,
    STATE(7153), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [235632] = 4,
    ACTIONS(2726), 1,
      sym__dot_custom,
    STATE(1188), 1,
      sym_navigation_suffix,
    STATE(4725), 1,
      sym__dot,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [235648] = 4,
    ACTIONS(2726), 1,
      sym__dot_custom,
    STATE(1162), 1,
      sym_navigation_suffix,
    STATE(4725), 1,
      sym__dot,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [235664] = 4,
    ACTIONS(10395), 1,
      anon_sym_COMMA,
    ACTIONS(10549), 1,
      anon_sym_RPAREN,
    STATE(6795), 1,
      aux_sym_attribute_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [235680] = 4,
    ACTIONS(10405), 1,
      anon_sym_COMMA,
    ACTIONS(10551), 1,
      anon_sym_RPAREN,
    STATE(6407), 1,
      aux_sym__constructor_value_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [235696] = 3,
    STATE(1596), 1,
      sym_lambda_literal,
    ACTIONS(4258), 2,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [235710] = 4,
    ACTIONS(4396), 1,
      anon_sym_COMMA,
    ACTIONS(10553), 1,
      anon_sym_RPAREN,
    STATE(6521), 1,
      aux_sym__playground_literal_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [235726] = 4,
    ACTIONS(10405), 1,
      anon_sym_COMMA,
    ACTIONS(10555), 1,
      anon_sym_RPAREN,
    STATE(6407), 1,
      aux_sym__constructor_value_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [235742] = 4,
    ACTIONS(145), 1,
      sym_raw_str_part,
    ACTIONS(10557), 1,
      sym_raw_str_end_part,
    STATE(6853), 1,
      aux_sym_raw_string_literal_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [235758] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6373), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [235770] = 4,
    ACTIONS(10405), 1,
      anon_sym_COMMA,
    ACTIONS(10555), 1,
      anon_sym_RBRACK,
    STATE(6407), 1,
      aux_sym__constructor_value_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [235786] = 4,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(9854), 1,
      anon_sym_LBRACE,
    STATE(7898), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [235802] = 4,
    ACTIONS(10405), 1,
      anon_sym_COMMA,
    ACTIONS(10559), 1,
      anon_sym_RPAREN,
    STATE(6508), 1,
      aux_sym__constructor_value_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [235818] = 4,
    ACTIONS(10379), 1,
      anon_sym_COMMA,
    ACTIONS(10561), 1,
      anon_sym_GT,
    STATE(6908), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [235834] = 4,
    ACTIONS(10391), 1,
      anon_sym_COMMA,
    ACTIONS(10563), 1,
      anon_sym_RPAREN,
    STATE(6470), 1,
      aux_sym__tuple_pattern_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [235850] = 4,
    ACTIONS(4396), 1,
      anon_sym_COMMA,
    ACTIONS(10565), 1,
      anon_sym_RPAREN,
    STATE(6521), 1,
      aux_sym__playground_literal_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [235866] = 4,
    ACTIONS(2676), 1,
      sym__dot_custom,
    STATE(1140), 1,
      sym_navigation_suffix,
    STATE(4723), 1,
      sym__dot,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [235882] = 4,
    ACTIONS(2676), 1,
      sym__dot_custom,
    STATE(1067), 1,
      sym_navigation_suffix,
    STATE(4723), 1,
      sym__dot,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [235898] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6409), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [235910] = 4,
    ACTIONS(145), 1,
      sym_raw_str_part,
    ACTIONS(10567), 1,
      sym_raw_str_end_part,
    STATE(6853), 1,
      aux_sym_raw_string_literal_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [235926] = 4,
    ACTIONS(3946), 1,
      anon_sym_while,
    ACTIONS(3948), 1,
      sym__implicit_semi,
    STATE(6492), 1,
      aux_sym_repeat_while_statement_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [235942] = 2,
    ACTIONS(763), 3,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [235954] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6493), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [235966] = 2,
    ACTIONS(7672), 3,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [235978] = 4,
    ACTIONS(10569), 1,
      anon_sym_COMMA,
    ACTIONS(10572), 1,
      anon_sym_RBRACK,
    STATE(6580), 1,
      aux_sym_array_literal_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [235994] = 2,
    ACTIONS(7648), 3,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [236006] = 2,
    ACTIONS(7664), 3,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [236018] = 2,
    ACTIONS(6533), 3,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [236030] = 2,
    ACTIONS(7676), 3,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [236042] = 4,
    ACTIONS(10574), 1,
      anon_sym_COMMA,
    ACTIONS(10576), 1,
      anon_sym_RBRACK,
    STATE(6610), 1,
      aux_sym_dictionary_literal_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [236058] = 4,
    ACTIONS(10395), 1,
      anon_sym_COMMA,
    ACTIONS(10578), 1,
      anon_sym_RPAREN,
    STATE(6795), 1,
      aux_sym_attribute_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [236074] = 4,
    ACTIONS(5693), 1,
      anon_sym_while,
    ACTIONS(10435), 1,
      sym__implicit_semi,
    STATE(6783), 1,
      aux_sym_repeat_while_statement_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [236090] = 4,
    ACTIONS(4404), 1,
      anon_sym_COMMA,
    ACTIONS(10580), 1,
      anon_sym_RPAREN,
    STATE(6629), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [236106] = 2,
    ACTIONS(7668), 3,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [236118] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6501), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [236130] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6501), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [236142] = 4,
    ACTIONS(10405), 1,
      anon_sym_COMMA,
    ACTIONS(10582), 1,
      anon_sym_RBRACK,
    STATE(6407), 1,
      aux_sym__constructor_value_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [236158] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6401), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [236170] = 4,
    ACTIONS(10405), 1,
      anon_sym_COMMA,
    ACTIONS(10584), 1,
      anon_sym_RBRACK,
    STATE(6407), 1,
      aux_sym__constructor_value_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [236186] = 4,
    ACTIONS(10405), 1,
      anon_sym_COMMA,
    ACTIONS(10584), 1,
      anon_sym_RPAREN,
    STATE(6407), 1,
      aux_sym__constructor_value_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [236202] = 4,
    ACTIONS(10586), 1,
      anon_sym_COMMA,
    ACTIONS(10588), 1,
      anon_sym_RBRACK,
    STATE(6715), 1,
      aux_sym_dictionary_literal_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [236218] = 3,
    STATE(1531), 1,
      sym_lambda_literal,
    ACTIONS(4052), 2,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [236232] = 4,
    ACTIONS(10590), 1,
      anon_sym_COMMA,
    ACTIONS(10592), 1,
      anon_sym_RBRACK,
    STATE(6580), 1,
      aux_sym_array_literal_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [236248] = 4,
    ACTIONS(10405), 1,
      anon_sym_COMMA,
    ACTIONS(10594), 1,
      anon_sym_RPAREN,
    STATE(6407), 1,
      aux_sym__constructor_value_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [236264] = 4,
    ACTIONS(4404), 1,
      anon_sym_COMMA,
    ACTIONS(10596), 1,
      anon_sym_RPAREN,
    STATE(6629), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [236280] = 2,
    ACTIONS(7712), 3,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [236292] = 4,
    ACTIONS(10431), 1,
      anon_sym_COMMA,
    ACTIONS(10598), 1,
      anon_sym_RPAREN,
    STATE(6626), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [236308] = 4,
    ACTIONS(10379), 1,
      anon_sym_COMMA,
    ACTIONS(10600), 1,
      anon_sym_GT,
    STATE(7153), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [236324] = 2,
    ACTIONS(7708), 3,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [236336] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6501), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [236348] = 4,
    ACTIONS(10395), 1,
      anon_sym_COMMA,
    ACTIONS(10602), 1,
      anon_sym_RPAREN,
    STATE(6586), 1,
      aux_sym_attribute_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [236364] = 4,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    STATE(6229), 1,
      sym__block,
    STATE(6982), 1,
      sym_function_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [236380] = 4,
    ACTIONS(10604), 1,
      anon_sym_COMMA,
    ACTIONS(10606), 1,
      anon_sym_RBRACK,
    STATE(6580), 1,
      aux_sym_array_literal_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [236396] = 4,
    ACTIONS(10387), 1,
      anon_sym_COMMA,
    ACTIONS(10608), 1,
      anon_sym_RPAREN,
    STATE(7056), 1,
      aux_sym__function_value_parameters_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [236412] = 4,
    ACTIONS(10610), 1,
      anon_sym_COMMA,
    ACTIONS(10612), 1,
      anon_sym_RBRACK,
    STATE(6715), 1,
      aux_sym_dictionary_literal_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [236428] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6541), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [236440] = 4,
    ACTIONS(10431), 1,
      anon_sym_COMMA,
    ACTIONS(10614), 1,
      anon_sym_RPAREN,
    STATE(6489), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [236456] = 2,
    ACTIONS(7704), 3,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [236468] = 2,
    ACTIONS(6465), 3,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [236480] = 2,
    ACTIONS(6489), 3,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [236492] = 4,
    ACTIONS(10391), 1,
      anon_sym_COMMA,
    ACTIONS(10616), 1,
      anon_sym_RPAREN,
    STATE(6919), 1,
      aux_sym__tuple_pattern_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [236508] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6501), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [236520] = 4,
    ACTIONS(4404), 1,
      anon_sym_COMMA,
    ACTIONS(10618), 1,
      anon_sym_RPAREN,
    STATE(6629), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [236536] = 4,
    ACTIONS(10379), 1,
      anon_sym_COMMA,
    ACTIONS(10620), 1,
      anon_sym_GT,
    STATE(6635), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [236552] = 4,
    ACTIONS(10405), 1,
      anon_sym_COMMA,
    ACTIONS(10622), 1,
      anon_sym_RPAREN,
    STATE(6636), 1,
      aux_sym__constructor_value_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [236568] = 4,
    ACTIONS(10405), 1,
      anon_sym_COMMA,
    ACTIONS(10624), 1,
      anon_sym_RPAREN,
    STATE(6638), 1,
      aux_sym__constructor_value_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [236584] = 4,
    ACTIONS(10405), 1,
      anon_sym_COMMA,
    ACTIONS(10624), 1,
      anon_sym_RBRACK,
    STATE(6639), 1,
      aux_sym__constructor_value_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [236600] = 4,
    ACTIONS(10405), 1,
      anon_sym_COMMA,
    ACTIONS(10626), 1,
      anon_sym_RBRACK,
    STATE(6812), 1,
      aux_sym__constructor_value_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [236616] = 4,
    ACTIONS(10405), 1,
      anon_sym_COMMA,
    ACTIONS(10628), 1,
      anon_sym_RBRACK,
    STATE(6640), 1,
      aux_sym__constructor_value_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [236632] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6501), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [236644] = 4,
    ACTIONS(10431), 1,
      anon_sym_COMMA,
    ACTIONS(10630), 1,
      anon_sym_RPAREN,
    STATE(6827), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [236660] = 2,
    ACTIONS(6465), 3,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [236672] = 4,
    ACTIONS(10632), 1,
      anon_sym_COMMA,
    ACTIONS(10634), 1,
      sym_else,
    STATE(6899), 1,
      aux_sym_if_statement_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [236688] = 4,
    ACTIONS(10636), 1,
      anon_sym_RPAREN,
    ACTIONS(10638), 1,
      anon_sym_COMMA,
    STATE(6629), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [236704] = 2,
    ACTIONS(6645), 3,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [236716] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6397), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [236728] = 3,
    STATE(4368), 1,
      sym_value_binding_pattern,
    ACTIONS(3609), 2,
      anon_sym_let,
      anon_sym_var,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [236742] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6377), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [236754] = 4,
    ACTIONS(10395), 1,
      anon_sym_COMMA,
    ACTIONS(10641), 1,
      anon_sym_RPAREN,
    STATE(6645), 1,
      aux_sym_attribute_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [236770] = 4,
    ACTIONS(10379), 1,
      anon_sym_COMMA,
    ACTIONS(10643), 1,
      anon_sym_GT,
    STATE(7153), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [236786] = 4,
    ACTIONS(10405), 1,
      anon_sym_COMMA,
    ACTIONS(10645), 1,
      anon_sym_RPAREN,
    STATE(6407), 1,
      aux_sym__constructor_value_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [236802] = 3,
    STATE(721), 1,
      sym_lambda_literal,
    ACTIONS(2554), 2,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [236816] = 4,
    ACTIONS(10405), 1,
      anon_sym_COMMA,
    ACTIONS(10647), 1,
      anon_sym_RPAREN,
    STATE(6407), 1,
      aux_sym__constructor_value_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [236832] = 4,
    ACTIONS(10405), 1,
      anon_sym_COMMA,
    ACTIONS(10647), 1,
      anon_sym_RBRACK,
    STATE(6407), 1,
      aux_sym__constructor_value_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [236848] = 4,
    ACTIONS(10405), 1,
      anon_sym_COMMA,
    ACTIONS(10649), 1,
      anon_sym_RBRACK,
    STATE(6407), 1,
      aux_sym__constructor_value_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [236864] = 4,
    ACTIONS(4404), 1,
      anon_sym_COMMA,
    ACTIONS(10651), 1,
      anon_sym_RPAREN,
    STATE(6629), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [236880] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6373), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [236892] = 4,
    ACTIONS(10431), 1,
      anon_sym_COMMA,
    ACTIONS(10653), 1,
      anon_sym_RPAREN,
    STATE(6827), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [236908] = 4,
    ACTIONS(10431), 1,
      anon_sym_COMMA,
    ACTIONS(10655), 1,
      anon_sym_RPAREN,
    STATE(6827), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [236924] = 4,
    ACTIONS(10395), 1,
      anon_sym_COMMA,
    ACTIONS(10657), 1,
      anon_sym_RPAREN,
    STATE(6795), 1,
      aux_sym_attribute_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [236940] = 4,
    ACTIONS(4396), 1,
      anon_sym_COMMA,
    ACTIONS(10659), 1,
      anon_sym_RPAREN,
    STATE(6521), 1,
      aux_sym__playground_literal_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [236956] = 4,
    ACTIONS(10405), 1,
      anon_sym_COMMA,
    ACTIONS(10661), 1,
      anon_sym_RBRACK,
    STATE(6592), 1,
      aux_sym__constructor_value_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [236972] = 2,
    ACTIONS(6365), 3,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [236984] = 4,
    ACTIONS(10405), 1,
      anon_sym_COMMA,
    ACTIONS(10663), 1,
      anon_sym_RBRACK,
    STATE(6594), 1,
      aux_sym__constructor_value_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [237000] = 4,
    ACTIONS(10387), 1,
      anon_sym_COMMA,
    ACTIONS(10665), 1,
      anon_sym_RPAREN,
    STATE(7182), 1,
      aux_sym__function_value_parameters_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [237016] = 4,
    ACTIONS(10405), 1,
      anon_sym_COMMA,
    ACTIONS(10663), 1,
      anon_sym_RPAREN,
    STATE(6595), 1,
      aux_sym__constructor_value_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [237032] = 2,
    ACTIONS(6305), 3,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [237044] = 4,
    ACTIONS(10405), 1,
      anon_sym_COMMA,
    ACTIONS(10667), 1,
      anon_sym_RPAREN,
    STATE(6599), 1,
      aux_sym__constructor_value_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [237060] = 4,
    ACTIONS(10379), 1,
      anon_sym_COMMA,
    ACTIONS(10669), 1,
      anon_sym_GT,
    STATE(6603), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [237076] = 4,
    ACTIONS(145), 1,
      sym_raw_str_part,
    ACTIONS(10671), 1,
      sym_raw_str_end_part,
    STATE(6853), 1,
      aux_sym_raw_string_literal_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [237092] = 2,
    ACTIONS(6421), 3,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [237104] = 4,
    ACTIONS(9702), 1,
      anon_sym_RPAREN,
    ACTIONS(10673), 1,
      anon_sym_COMMA,
    STATE(6657), 1,
      aux_sym_lambda_function_type_parameters_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [237120] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6517), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [237132] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6517), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [237144] = 2,
    ACTIONS(6385), 3,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [237156] = 2,
    ACTIONS(6365), 3,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [237168] = 4,
    ACTIONS(10387), 1,
      anon_sym_COMMA,
    ACTIONS(10676), 1,
      anon_sym_RPAREN,
    STATE(6609), 1,
      aux_sym__function_value_parameters_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [237184] = 4,
    ACTIONS(10391), 1,
      anon_sym_COMMA,
    ACTIONS(10678), 1,
      anon_sym_RPAREN,
    STATE(6616), 1,
      aux_sym__tuple_pattern_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [237200] = 2,
    ACTIONS(6445), 3,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [237212] = 2,
    ACTIONS(6321), 3,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [237224] = 2,
    ACTIONS(6681), 3,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [237236] = 4,
    ACTIONS(10680), 1,
      anon_sym_COMMA,
    ACTIONS(10682), 1,
      anon_sym_RBRACK,
    STATE(6715), 1,
      aux_sym_dictionary_literal_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [237252] = 4,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    STATE(6229), 1,
      sym__block,
    STATE(6810), 1,
      sym_function_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [237268] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6517), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [237280] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6521), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [237292] = 4,
    ACTIONS(10431), 1,
      anon_sym_COMMA,
    ACTIONS(10684), 1,
      anon_sym_RPAREN,
    STATE(6684), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [237308] = 4,
    ACTIONS(10686), 1,
      anon_sym_COMMA,
    ACTIONS(10688), 1,
      anon_sym_RBRACK,
    STATE(6580), 1,
      aux_sym_array_literal_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [237324] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6389), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [237336] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6525), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [237348] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6529), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [237360] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6513), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [237372] = 2,
    ACTIONS(6301), 3,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [237384] = 2,
    ACTIONS(6595), 3,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [237396] = 2,
    ACTIONS(6309), 3,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [237408] = 4,
    ACTIONS(10379), 1,
      anon_sym_COMMA,
    ACTIONS(10690), 1,
      anon_sym_GT,
    STATE(6690), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [237424] = 4,
    ACTIONS(10405), 1,
      anon_sym_COMMA,
    ACTIONS(10692), 1,
      anon_sym_RPAREN,
    STATE(6692), 1,
      aux_sym__constructor_value_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [237440] = 4,
    ACTIONS(10405), 1,
      anon_sym_COMMA,
    ACTIONS(10692), 1,
      anon_sym_RBRACK,
    STATE(6693), 1,
      aux_sym__constructor_value_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [237456] = 2,
    ACTIONS(10694), 3,
      sym__eq_custom,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [237468] = 4,
    ACTIONS(10431), 1,
      anon_sym_COMMA,
    ACTIONS(10696), 1,
      anon_sym_RPAREN,
    STATE(6827), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [237484] = 4,
    ACTIONS(4876), 1,
      anon_sym_LBRACE,
    STATE(2809), 1,
      sym__block,
    STATE(3016), 1,
      sym_function_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [237500] = 2,
    ACTIONS(10698), 3,
      sym_where_keyword,
      anon_sym_COLON,
      anon_sym_LBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [237512] = 4,
    ACTIONS(10431), 1,
      anon_sym_COMMA,
    ACTIONS(10700), 1,
      anon_sym_RPAREN,
    STATE(6643), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [237528] = 2,
    ACTIONS(6819), 3,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [237540] = 4,
    ACTIONS(10395), 1,
      anon_sym_COMMA,
    ACTIONS(10702), 1,
      anon_sym_RPAREN,
    STATE(6696), 1,
      aux_sym_attribute_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [237556] = 4,
    ACTIONS(10379), 1,
      anon_sym_COMMA,
    ACTIONS(10704), 1,
      anon_sym_GT,
    STATE(7153), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [237572] = 3,
    STATE(916), 1,
      sym_lambda_literal,
    ACTIONS(2652), 2,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [237586] = 4,
    ACTIONS(10405), 1,
      anon_sym_COMMA,
    ACTIONS(10706), 1,
      anon_sym_RPAREN,
    STATE(6407), 1,
      aux_sym__constructor_value_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [237602] = 4,
    ACTIONS(10405), 1,
      anon_sym_COMMA,
    ACTIONS(10706), 1,
      anon_sym_RBRACK,
    STATE(6407), 1,
      aux_sym__constructor_value_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [237618] = 4,
    ACTIONS(7449), 1,
      sym_else,
    ACTIONS(10708), 1,
      anon_sym_COMMA,
    STATE(6694), 1,
      aux_sym_if_statement_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [237634] = 2,
    ACTIONS(10711), 3,
      sym__eq_custom,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [237646] = 4,
    ACTIONS(10395), 1,
      anon_sym_COMMA,
    ACTIONS(10713), 1,
      anon_sym_RPAREN,
    STATE(6795), 1,
      aux_sym_attribute_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [237662] = 4,
    ACTIONS(4404), 1,
      anon_sym_COMMA,
    ACTIONS(10715), 1,
      anon_sym_RPAREN,
    STATE(6629), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [237678] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6537), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [237690] = 4,
    ACTIONS(10066), 1,
      anon_sym_LBRACE,
    STATE(3913), 1,
      sym__block,
    STATE(3953), 1,
      sym_function_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [237706] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6389), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [237718] = 4,
    ACTIONS(10435), 1,
      sym__implicit_semi,
    ACTIONS(10717), 1,
      anon_sym_while,
    STATE(6783), 1,
      aux_sym_repeat_while_statement_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [237734] = 4,
    ACTIONS(10405), 1,
      anon_sym_COMMA,
    ACTIONS(10719), 1,
      anon_sym_RBRACK,
    STATE(6407), 1,
      aux_sym__constructor_value_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [237750] = 4,
    ACTIONS(4404), 1,
      anon_sym_COMMA,
    ACTIONS(10721), 1,
      anon_sym_RPAREN,
    STATE(6629), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [237766] = 2,
    ACTIONS(6445), 3,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [237778] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6369), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [237790] = 4,
    ACTIONS(10419), 1,
      anon_sym_COMMA,
    ACTIONS(10723), 1,
      anon_sym_RPAREN,
    STATE(7212), 1,
      aux_sym_availability_condition_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [237806] = 4,
    ACTIONS(10431), 1,
      anon_sym_COMMA,
    ACTIONS(10725), 1,
      anon_sym_RPAREN,
    STATE(6717), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [237822] = 4,
    ACTIONS(10727), 1,
      anon_sym_COMMA,
    ACTIONS(10729), 1,
      anon_sym_RBRACK,
    STATE(6596), 1,
      aux_sym_dictionary_literal_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [237838] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6389), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [237850] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6537), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [237862] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6369), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [237874] = 4,
    ACTIONS(10247), 1,
      anon_sym_COMMA,
    ACTIONS(10731), 1,
      anon_sym_LBRACE,
    STATE(6755), 1,
      aux_sym_if_statement_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [237890] = 2,
    ACTIONS(6791), 3,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [237902] = 2,
    ACTIONS(6779), 3,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [237914] = 4,
    ACTIONS(10733), 1,
      anon_sym_COMMA,
    ACTIONS(10736), 1,
      anon_sym_RBRACK,
    STATE(6715), 1,
      aux_sym_dictionary_literal_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [237930] = 4,
    ACTIONS(10379), 1,
      anon_sym_COMMA,
    ACTIONS(10738), 1,
      anon_sym_GT,
    STATE(6722), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [237946] = 4,
    ACTIONS(10431), 1,
      anon_sym_COMMA,
    ACTIONS(10740), 1,
      anon_sym_RPAREN,
    STATE(6827), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [237962] = 4,
    ACTIONS(10742), 1,
      anon_sym_COMMA,
    ACTIONS(10744), 1,
      anon_sym_RBRACK,
    STATE(6667), 1,
      aux_sym_dictionary_literal_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [237978] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6545), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [237990] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6369), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [238002] = 4,
    ACTIONS(145), 1,
      sym_raw_str_part,
    ACTIONS(10746), 1,
      sym_raw_str_end_part,
    STATE(6853), 1,
      aux_sym_raw_string_literal_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [238018] = 4,
    ACTIONS(10379), 1,
      anon_sym_COMMA,
    ACTIONS(10748), 1,
      anon_sym_GT,
    STATE(7153), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [238034] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6545), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [238046] = 4,
    ACTIONS(4074), 1,
      sym__dot_custom,
    STATE(2298), 1,
      sym_navigation_suffix,
    STATE(4703), 1,
      sym__dot,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [238062] = 4,
    ACTIONS(4074), 1,
      sym__dot_custom,
    STATE(2274), 1,
      sym_navigation_suffix,
    STATE(4703), 1,
      sym__dot,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [238078] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6369), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [238090] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6545), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [238102] = 4,
    ACTIONS(10419), 1,
      anon_sym_COMMA,
    ACTIONS(10750), 1,
      anon_sym_RPAREN,
    STATE(6847), 1,
      aux_sym_availability_condition_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [238118] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6545), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [238130] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6545), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [238142] = 4,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(9717), 1,
      anon_sym_LBRACE,
    STATE(7827), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [238158] = 2,
    ACTIONS(6373), 3,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [238170] = 2,
    ACTIONS(6815), 3,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [238182] = 4,
    ACTIONS(10752), 1,
      anon_sym_RPAREN,
    ACTIONS(10754), 1,
      anon_sym_COMMA,
    STATE(6734), 1,
      aux_sym__interpolation_contents_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [238198] = 4,
    ACTIONS(10431), 1,
      anon_sym_COMMA,
    ACTIONS(10757), 1,
      anon_sym_RPAREN,
    STATE(6745), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [238214] = 4,
    ACTIONS(4396), 1,
      anon_sym_COMMA,
    ACTIONS(10759), 1,
      anon_sym_RPAREN,
    STATE(6521), 1,
      aux_sym__playground_literal_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [238230] = 2,
    ACTIONS(6377), 3,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [238242] = 4,
    ACTIONS(10387), 1,
      anon_sym_COMMA,
    ACTIONS(10761), 1,
      anon_sym_RPAREN,
    STATE(7056), 1,
      aux_sym__function_value_parameters_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [238258] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6545), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [238270] = 4,
    ACTIONS(10395), 1,
      anon_sym_COMMA,
    ACTIONS(10763), 1,
      anon_sym_RPAREN,
    STATE(6795), 1,
      aux_sym_attribute_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [238286] = 2,
    ACTIONS(6373), 3,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [238298] = 4,
    ACTIONS(7449), 1,
      anon_sym_LBRACE,
    ACTIONS(10765), 1,
      anon_sym_COMMA,
    STATE(6742), 1,
      aux_sym_if_statement_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [238314] = 4,
    ACTIONS(145), 1,
      sym_raw_str_part,
    ACTIONS(10768), 1,
      sym_raw_str_end_part,
    STATE(6853), 1,
      aux_sym_raw_string_literal_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [238330] = 4,
    ACTIONS(10379), 1,
      anon_sym_COMMA,
    ACTIONS(10770), 1,
      anon_sym_GT,
    STATE(6748), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [238346] = 4,
    ACTIONS(10431), 1,
      anon_sym_COMMA,
    ACTIONS(10772), 1,
      anon_sym_RPAREN,
    STATE(6827), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [238362] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6369), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [238374] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6549), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [238386] = 4,
    ACTIONS(10379), 1,
      anon_sym_COMMA,
    ACTIONS(10774), 1,
      anon_sym_GT,
    STATE(7153), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [238402] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6553), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [238414] = 4,
    ACTIONS(4404), 1,
      anon_sym_COMMA,
    ACTIONS(10776), 1,
      anon_sym_RPAREN,
    STATE(6629), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [238430] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6557), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [238442] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6561), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [238454] = 4,
    ACTIONS(10405), 1,
      anon_sym_COMMA,
    ACTIONS(10778), 1,
      anon_sym_RBRACK,
    STATE(6407), 1,
      aux_sym__constructor_value_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [238470] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6353), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [238482] = 4,
    ACTIONS(10247), 1,
      anon_sym_COMMA,
    ACTIONS(10780), 1,
      anon_sym_LBRACE,
    STATE(6742), 1,
      aux_sym_if_statement_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [238498] = 4,
    ACTIONS(10405), 1,
      anon_sym_COMMA,
    ACTIONS(10782), 1,
      anon_sym_RBRACK,
    STATE(6407), 1,
      aux_sym__constructor_value_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [238514] = 2,
    ACTIONS(7307), 3,
      sym__as_custom,
      anon_sym_COLON,
      anon_sym_in,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [238526] = 4,
    ACTIONS(8777), 1,
      anon_sym_LBRACE,
    STATE(6871), 1,
      sym_function_body,
    STATE(6886), 1,
      sym__block,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [238542] = 4,
    ACTIONS(2532), 1,
      sym__dot_custom,
    STATE(766), 1,
      sym_navigation_suffix,
    STATE(4610), 1,
      sym__dot,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [238558] = 4,
    ACTIONS(10431), 1,
      anon_sym_COMMA,
    ACTIONS(10784), 1,
      anon_sym_RPAREN,
    STATE(6769), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [238574] = 4,
    ACTIONS(2532), 1,
      sym__dot_custom,
    STATE(812), 1,
      sym_navigation_suffix,
    STATE(4610), 1,
      sym__dot,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [238590] = 4,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(9740), 1,
      anon_sym_LBRACE,
    STATE(7671), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [238606] = 2,
    ACTIONS(6807), 3,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [238618] = 4,
    ACTIONS(10405), 1,
      anon_sym_COMMA,
    ACTIONS(10782), 1,
      anon_sym_RPAREN,
    STATE(6407), 1,
      aux_sym__constructor_value_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [238634] = 3,
    STATE(1654), 1,
      sym_lambda_literal,
    ACTIONS(4284), 2,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [238648] = 2,
    ACTIONS(6811), 3,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [238660] = 4,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(9730), 1,
      anon_sym_LBRACE,
    STATE(7673), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [238676] = 4,
    ACTIONS(10379), 1,
      anon_sym_COMMA,
    ACTIONS(10786), 1,
      anon_sym_GT,
    STATE(6772), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [238692] = 4,
    ACTIONS(10431), 1,
      anon_sym_COMMA,
    ACTIONS(10788), 1,
      anon_sym_RPAREN,
    STATE(6827), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [238708] = 4,
    ACTIONS(9671), 1,
      anon_sym_RPAREN,
    ACTIONS(10790), 1,
      anon_sym_COMMA,
    STATE(6657), 1,
      aux_sym_lambda_function_type_parameters_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [238724] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6601), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [238736] = 4,
    ACTIONS(10379), 1,
      anon_sym_COMMA,
    ACTIONS(10792), 1,
      anon_sym_GT,
    STATE(7153), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [238752] = 4,
    ACTIONS(10405), 1,
      anon_sym_COMMA,
    ACTIONS(10794), 1,
      anon_sym_RPAREN,
    STATE(6407), 1,
      aux_sym__constructor_value_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [238768] = 4,
    ACTIONS(10379), 1,
      anon_sym_COMMA,
    ACTIONS(10796), 1,
      anon_sym_GT,
    STATE(7153), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [238784] = 4,
    ACTIONS(10395), 1,
      anon_sym_COMMA,
    ACTIONS(10798), 1,
      anon_sym_RPAREN,
    STATE(6740), 1,
      aux_sym_attribute_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [238800] = 4,
    ACTIONS(10387), 1,
      anon_sym_COMMA,
    ACTIONS(10800), 1,
      anon_sym_RPAREN,
    STATE(7056), 1,
      aux_sym__function_value_parameters_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [238816] = 4,
    ACTIONS(10391), 1,
      anon_sym_COMMA,
    ACTIONS(10802), 1,
      anon_sym_RPAREN,
    STATE(6919), 1,
      aux_sym__tuple_pattern_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [238832] = 4,
    ACTIONS(9525), 1,
      anon_sym_in,
    ACTIONS(9527), 1,
      sym__arrow_operator_custom,
    STATE(3460), 1,
      sym__arrow_operator,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [238848] = 2,
    ACTIONS(3108), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [238860] = 4,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(9730), 1,
      anon_sym_LBRACE,
    STATE(7668), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [238876] = 2,
    ACTIONS(5391), 3,
      sym__as_custom,
      anon_sym_COLON,
      anon_sym_in,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [238888] = 2,
    ACTIONS(5397), 3,
      sym__as_custom,
      anon_sym_COLON,
      anon_sym_in,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [238900] = 4,
    ACTIONS(10804), 1,
      anon_sym_while,
    ACTIONS(10806), 1,
      sym__implicit_semi,
    STATE(6783), 1,
      aux_sym_repeat_while_statement_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [238916] = 4,
    ACTIONS(10431), 1,
      anon_sym_COMMA,
    ACTIONS(10809), 1,
      anon_sym_RPAREN,
    STATE(6793), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [238932] = 2,
    ACTIONS(10811), 3,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [238944] = 4,
    ACTIONS(10395), 1,
      anon_sym_COMMA,
    ACTIONS(10813), 1,
      anon_sym_RPAREN,
    STATE(6795), 1,
      aux_sym_attribute_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [238960] = 4,
    ACTIONS(10431), 1,
      anon_sym_COMMA,
    ACTIONS(10815), 1,
      anon_sym_RPAREN,
    STATE(6827), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [238976] = 4,
    ACTIONS(10405), 1,
      anon_sym_COMMA,
    ACTIONS(10817), 1,
      anon_sym_RBRACK,
    STATE(6753), 1,
      aux_sym__constructor_value_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [238992] = 2,
    ACTIONS(10819), 3,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [239004] = 4,
    ACTIONS(10821), 1,
      anon_sym_COMMA,
    ACTIONS(10823), 1,
      anon_sym_RBRACK,
    STATE(6891), 1,
      aux_sym_capture_list_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [239020] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6797), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [239032] = 4,
    ACTIONS(10379), 1,
      anon_sym_COMMA,
    ACTIONS(10825), 1,
      anon_sym_GT,
    STATE(6796), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [239048] = 4,
    ACTIONS(10431), 1,
      anon_sym_COMMA,
    ACTIONS(10827), 1,
      anon_sym_RPAREN,
    STATE(6827), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [239064] = 4,
    ACTIONS(10405), 1,
      anon_sym_COMMA,
    ACTIONS(10829), 1,
      anon_sym_RBRACK,
    STATE(6756), 1,
      aux_sym__constructor_value_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [239080] = 4,
    ACTIONS(10831), 1,
      anon_sym_RPAREN,
    ACTIONS(10833), 1,
      anon_sym_COMMA,
    STATE(6795), 1,
      aux_sym_attribute_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [239096] = 4,
    ACTIONS(10379), 1,
      anon_sym_COMMA,
    ACTIONS(10836), 1,
      anon_sym_GT,
    STATE(7153), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [239112] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6565), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [239124] = 4,
    ACTIONS(10405), 1,
      anon_sym_COMMA,
    ACTIONS(10829), 1,
      anon_sym_RPAREN,
    STATE(6764), 1,
      aux_sym__constructor_value_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [239140] = 2,
    ACTIONS(10334), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [239152] = 4,
    ACTIONS(10405), 1,
      anon_sym_COMMA,
    ACTIONS(10838), 1,
      anon_sym_RPAREN,
    STATE(6773), 1,
      aux_sym__constructor_value_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [239168] = 4,
    ACTIONS(10379), 1,
      anon_sym_COMMA,
    ACTIONS(10840), 1,
      anon_sym_GT,
    STATE(6774), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [239184] = 4,
    ACTIONS(10387), 1,
      anon_sym_COMMA,
    ACTIONS(10842), 1,
      anon_sym_RPAREN,
    STATE(6776), 1,
      aux_sym__function_value_parameters_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [239200] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6605), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [239212] = 4,
    ACTIONS(10391), 1,
      anon_sym_COMMA,
    ACTIONS(10844), 1,
      anon_sym_RPAREN,
    STATE(6777), 1,
      aux_sym__tuple_pattern_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [239228] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6565), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [239240] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6509), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [239252] = 4,
    ACTIONS(10846), 1,
      anon_sym_COMMA,
    ACTIONS(10848), 1,
      anon_sym_RBRACK,
    STATE(6715), 1,
      aux_sym_dictionary_literal_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [239268] = 4,
    ACTIONS(10431), 1,
      anon_sym_COMMA,
    ACTIONS(10850), 1,
      anon_sym_RPAREN,
    STATE(6817), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [239284] = 4,
    ACTIONS(5693), 1,
      anon_sym_while,
    ACTIONS(5695), 1,
      sym__implicit_semi,
    STATE(6811), 1,
      aux_sym_repeat_while_statement_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [239300] = 2,
    ACTIONS(6588), 3,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [239312] = 4,
    ACTIONS(10435), 1,
      sym__implicit_semi,
    ACTIONS(10852), 1,
      anon_sym_while,
    STATE(6783), 1,
      aux_sym_repeat_while_statement_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [239328] = 4,
    ACTIONS(10405), 1,
      anon_sym_COMMA,
    ACTIONS(10854), 1,
      anon_sym_RBRACK,
    STATE(6407), 1,
      aux_sym__constructor_value_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [239344] = 4,
    ACTIONS(10405), 1,
      anon_sym_COMMA,
    ACTIONS(10856), 1,
      anon_sym_RBRACK,
    STATE(6407), 1,
      aux_sym__constructor_value_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [239360] = 4,
    ACTIONS(10858), 1,
      anon_sym_COMMA,
    ACTIONS(10860), 1,
      anon_sym_RBRACK,
    STATE(6580), 1,
      aux_sym_array_literal_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [239376] = 4,
    ACTIONS(4404), 1,
      anon_sym_COMMA,
    ACTIONS(10862), 1,
      anon_sym_RPAREN,
    STATE(6629), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [239392] = 4,
    ACTIONS(10379), 1,
      anon_sym_COMMA,
    ACTIONS(10864), 1,
      anon_sym_GT,
    STATE(6820), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [239408] = 4,
    ACTIONS(10431), 1,
      anon_sym_COMMA,
    ACTIONS(10866), 1,
      anon_sym_RPAREN,
    STATE(6827), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [239424] = 2,
    ACTIONS(6557), 3,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [239436] = 2,
    ACTIONS(7468), 3,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [239448] = 4,
    ACTIONS(10379), 1,
      anon_sym_COMMA,
    ACTIONS(10868), 1,
      anon_sym_GT,
    STATE(7153), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [239464] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6582), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [239476] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6505), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [239488] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6582), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [239500] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6361), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [239512] = 2,
    ACTIONS(6553), 3,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [239524] = 4,
    ACTIONS(10405), 1,
      anon_sym_COMMA,
    ACTIONS(10856), 1,
      anon_sym_RPAREN,
    STATE(6407), 1,
      aux_sym__constructor_value_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [239540] = 4,
    ACTIONS(10870), 1,
      anon_sym_RPAREN,
    ACTIONS(10872), 1,
      anon_sym_COMMA,
    STATE(6827), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [239556] = 4,
    ACTIONS(10431), 1,
      anon_sym_COMMA,
    ACTIONS(10875), 1,
      anon_sym_RPAREN,
    STATE(6787), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [239572] = 4,
    ACTIONS(4404), 1,
      anon_sym_COMMA,
    ACTIONS(10877), 1,
      anon_sym_RPAREN,
    STATE(6629), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [239588] = 2,
    ACTIONS(10879), 3,
      sym_where_keyword,
      anon_sym_COLON,
      anon_sym_LBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [239600] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6685), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [239612] = 4,
    ACTIONS(10431), 1,
      anon_sym_COMMA,
    ACTIONS(10881), 1,
      anon_sym_RPAREN,
    STATE(6841), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [239628] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6783), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [239640] = 3,
    STATE(1575), 1,
      sym_lambda_literal,
    ACTIONS(4121), 2,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [239654] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6582), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [239666] = 3,
    STATE(1645), 1,
      sym_lambda_literal,
    ACTIONS(4412), 2,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [239680] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6349), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [239692] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6345), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [239704] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6673), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [239716] = 4,
    ACTIONS(10379), 1,
      anon_sym_COMMA,
    ACTIONS(10883), 1,
      anon_sym_GT,
    STATE(6468), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [239732] = 4,
    ACTIONS(10431), 1,
      anon_sym_COMMA,
    ACTIONS(10885), 1,
      anon_sym_RPAREN,
    STATE(6827), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [239748] = 2,
    ACTIONS(6605), 3,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [239760] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6595), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [239772] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6441), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [239784] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6341), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [239796] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6787), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [239808] = 4,
    ACTIONS(10419), 1,
      anon_sym_COMMA,
    ACTIONS(10887), 1,
      anon_sym_RPAREN,
    STATE(7212), 1,
      aux_sym_availability_condition_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [239824] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6621), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [239836] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6337), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [239848] = 4,
    ACTIONS(10889), 1,
      anon_sym_COMMA,
    ACTIONS(10891), 1,
      anon_sym_RBRACK,
    STATE(6807), 1,
      aux_sym_dictionary_literal_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [239864] = 4,
    ACTIONS(10391), 1,
      anon_sym_COMMA,
    ACTIONS(10893), 1,
      anon_sym_RPAREN,
    STATE(6882), 1,
      aux_sym__tuple_pattern_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [239880] = 2,
    ACTIONS(6673), 3,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [239892] = 4,
    ACTIONS(10895), 1,
      sym_raw_str_part,
    ACTIONS(10898), 1,
      sym_raw_str_end_part,
    STATE(6853), 1,
      aux_sym_raw_string_literal_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [239908] = 4,
    ACTIONS(10413), 1,
      anon_sym_COMMA,
    ACTIONS(10900), 1,
      anon_sym_RPAREN,
    STATE(6480), 1,
      aux_sym__interpolation_contents_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [239924] = 4,
    ACTIONS(4396), 1,
      anon_sym_COMMA,
    ACTIONS(10902), 1,
      anon_sym_RPAREN,
    STATE(6521), 1,
      aux_sym__playground_literal_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [239940] = 4,
    ACTIONS(10431), 1,
      anon_sym_COMMA,
    ACTIONS(10904), 1,
      anon_sym_RPAREN,
    STATE(6865), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [239956] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6333), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [239968] = 4,
    ACTIONS(145), 1,
      sym_raw_str_part,
    ACTIONS(10906), 1,
      sym_raw_str_end_part,
    STATE(6853), 1,
      aux_sym_raw_string_literal_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [239984] = 4,
    ACTIONS(4306), 1,
      sym__dot_custom,
    STATE(2821), 1,
      sym_navigation_suffix,
    STATE(4692), 1,
      sym__dot,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [240000] = 4,
    ACTIONS(4306), 1,
      sym__dot_custom,
    STATE(2881), 1,
      sym_navigation_suffix,
    STATE(4692), 1,
      sym__dot,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [240016] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6617), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [240028] = 4,
    ACTIONS(5826), 1,
      anon_sym_while,
    ACTIONS(5828), 1,
      sym__implicit_semi,
    STATE(6587), 1,
      aux_sym_repeat_while_statement_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [240044] = 2,
    ACTIONS(10908), 3,
      sym_where_keyword,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [240056] = 4,
    ACTIONS(10379), 1,
      anon_sym_COMMA,
    ACTIONS(10910), 1,
      anon_sym_GT,
    STATE(6868), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [240072] = 4,
    ACTIONS(10431), 1,
      anon_sym_COMMA,
    ACTIONS(10912), 1,
      anon_sym_RPAREN,
    STATE(6827), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [240088] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6333), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [240100] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6333), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [240112] = 4,
    ACTIONS(10379), 1,
      anon_sym_COMMA,
    ACTIONS(10914), 1,
      anon_sym_GT,
    STATE(7153), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [240128] = 4,
    ACTIONS(4396), 1,
      anon_sym_COMMA,
    ACTIONS(10916), 1,
      anon_sym_RPAREN,
    STATE(6521), 1,
      aux_sym__playground_literal_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [240144] = 4,
    ACTIONS(10395), 1,
      anon_sym_COMMA,
    ACTIONS(10918), 1,
      anon_sym_RPAREN,
    STATE(6795), 1,
      aux_sym_attribute_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [240160] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6588), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [240172] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6609), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [240184] = 2,
    ACTIONS(10920), 3,
      sym_where_keyword,
      anon_sym_COMMA,
      anon_sym_GT,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [240196] = 4,
    ACTIONS(10419), 1,
      anon_sym_COMMA,
    ACTIONS(10922), 1,
      anon_sym_RPAREN,
    STATE(7212), 1,
      aux_sym_availability_condition_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [240212] = 4,
    ACTIONS(4404), 1,
      anon_sym_COMMA,
    ACTIONS(10924), 1,
      anon_sym_RPAREN,
    STATE(6629), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [240228] = 2,
    ACTIONS(10926), 3,
      sym__eq_custom,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [240240] = 4,
    ACTIONS(10405), 1,
      anon_sym_COMMA,
    ACTIONS(10928), 1,
      anon_sym_RBRACK,
    STATE(6407), 1,
      aux_sym__constructor_value_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [240256] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3072), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [240268] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6469), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [240280] = 4,
    ACTIONS(10431), 1,
      anon_sym_COMMA,
    ACTIONS(10930), 1,
      anon_sym_RPAREN,
    STATE(6889), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [240296] = 4,
    ACTIONS(9746), 1,
      anon_sym_in,
    ACTIONS(9748), 1,
      sym__arrow_operator_custom,
    STATE(3400), 1,
      sym__arrow_operator,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [240312] = 4,
    ACTIONS(10391), 1,
      anon_sym_COMMA,
    ACTIONS(10932), 1,
      anon_sym_RPAREN,
    STATE(6919), 1,
      aux_sym__tuple_pattern_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [240328] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6613), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [240340] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6613), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [240352] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6369), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [240364] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6576), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [240376] = 2,
    ACTIONS(6697), 3,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [240388] = 4,
    ACTIONS(10379), 1,
      anon_sym_COMMA,
    ACTIONS(10934), 1,
      anon_sym_GT,
    STATE(6892), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [240404] = 4,
    ACTIONS(10431), 1,
      anon_sym_COMMA,
    ACTIONS(10936), 1,
      anon_sym_RPAREN,
    STATE(6827), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [240420] = 4,
    ACTIONS(4404), 1,
      anon_sym_COMMA,
    ACTIONS(10938), 1,
      anon_sym_RPAREN,
    STATE(6629), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [240436] = 4,
    ACTIONS(10940), 1,
      anon_sym_COMMA,
    ACTIONS(10943), 1,
      anon_sym_RBRACK,
    STATE(6891), 1,
      aux_sym_capture_list_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [240452] = 4,
    ACTIONS(10379), 1,
      anon_sym_COMMA,
    ACTIONS(10945), 1,
      anon_sym_GT,
    STATE(7153), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [240468] = 4,
    ACTIONS(10405), 1,
      anon_sym_COMMA,
    ACTIONS(10947), 1,
      anon_sym_RBRACK,
    STATE(6407), 1,
      aux_sym__constructor_value_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [240484] = 4,
    ACTIONS(10405), 1,
      anon_sym_COMMA,
    ACTIONS(10947), 1,
      anon_sym_RPAREN,
    STATE(6407), 1,
      aux_sym__constructor_value_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [240500] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6613), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [240512] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6457), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [240524] = 2,
    ACTIONS(10949), 3,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [240536] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6621), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [240548] = 4,
    ACTIONS(10632), 1,
      anon_sym_COMMA,
    ACTIONS(10951), 1,
      sym_else,
    STATE(6694), 1,
      aux_sym_if_statement_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [240564] = 4,
    ACTIONS(10405), 1,
      anon_sym_COMMA,
    ACTIONS(10953), 1,
      anon_sym_RPAREN,
    STATE(6407), 1,
      aux_sym__constructor_value_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [240580] = 4,
    ACTIONS(9441), 1,
      anon_sym_in,
    ACTIONS(9443), 1,
      sym__arrow_operator_custom,
    STATE(3434), 1,
      sym__arrow_operator,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [240596] = 2,
    ACTIONS(10955), 3,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [240608] = 4,
    ACTIONS(10379), 1,
      anon_sym_COMMA,
    ACTIONS(10957), 1,
      anon_sym_GT,
    STATE(7153), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [240624] = 4,
    ACTIONS(10431), 1,
      anon_sym_COMMA,
    ACTIONS(10959), 1,
      anon_sym_RPAREN,
    STATE(6913), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [240640] = 4,
    ACTIONS(10395), 1,
      anon_sym_COMMA,
    ACTIONS(10961), 1,
      anon_sym_RPAREN,
    STATE(6870), 1,
      aux_sym_attribute_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [240656] = 4,
    ACTIONS(10963), 1,
      anon_sym_COMMA,
    ACTIONS(10965), 1,
      anon_sym_RBRACK,
    STATE(6715), 1,
      aux_sym_dictionary_literal_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [240672] = 4,
    ACTIONS(10387), 1,
      anon_sym_COMMA,
    ACTIONS(10967), 1,
      anon_sym_RPAREN,
    STATE(7056), 1,
      aux_sym__function_value_parameters_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [240688] = 4,
    ACTIONS(10379), 1,
      anon_sym_COMMA,
    ACTIONS(10969), 1,
      anon_sym_GT,
    STATE(7153), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [240704] = 4,
    ACTIONS(10431), 1,
      anon_sym_COMMA,
    ACTIONS(10971), 1,
      anon_sym_RPAREN,
    STATE(6644), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [240720] = 2,
    ACTIONS(10955), 3,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [240732] = 2,
    ACTIONS(6797), 3,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [240744] = 4,
    ACTIONS(10379), 1,
      anon_sym_COMMA,
    ACTIONS(10973), 1,
      anon_sym_GT,
    STATE(6916), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [240760] = 4,
    ACTIONS(10431), 1,
      anon_sym_COMMA,
    ACTIONS(10975), 1,
      anon_sym_RPAREN,
    STATE(6827), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [240776] = 4,
    ACTIONS(10391), 1,
      anon_sym_COMMA,
    ACTIONS(10977), 1,
      anon_sym_RPAREN,
    STATE(6919), 1,
      aux_sym__tuple_pattern_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [240792] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6621), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [240804] = 4,
    ACTIONS(10379), 1,
      anon_sym_COMMA,
    ACTIONS(10979), 1,
      anon_sym_GT,
    STATE(7153), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [240820] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6621), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [240832] = 4,
    ACTIONS(10419), 1,
      anon_sym_COMMA,
    ACTIONS(10981), 1,
      anon_sym_RPAREN,
    STATE(6874), 1,
      aux_sym_availability_condition_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [240848] = 4,
    ACTIONS(10983), 1,
      anon_sym_RPAREN,
    ACTIONS(10985), 1,
      anon_sym_COMMA,
    STATE(6919), 1,
      aux_sym__tuple_pattern_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [240864] = 2,
    ACTIONS(10988), 3,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [240876] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6621), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [240888] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6445), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [240900] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6621), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [240912] = 4,
    ACTIONS(10431), 1,
      anon_sym_COMMA,
    ACTIONS(10990), 1,
      anon_sym_RPAREN,
    STATE(6827), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [240928] = 4,
    ACTIONS(10431), 1,
      anon_sym_COMMA,
    ACTIONS(10992), 1,
      anon_sym_RPAREN,
    STATE(6933), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [240944] = 4,
    ACTIONS(10405), 1,
      anon_sym_COMMA,
    ACTIONS(10994), 1,
      anon_sym_RBRACK,
    STATE(6877), 1,
      aux_sym__constructor_value_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [240960] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6301), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [240972] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6641), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [240984] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6645), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [240996] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6681), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [241008] = 4,
    ACTIONS(10405), 1,
      anon_sym_COMMA,
    ACTIONS(10996), 1,
      anon_sym_RBRACK,
    STATE(6893), 1,
      aux_sym__constructor_value_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [241024] = 4,
    ACTIONS(10379), 1,
      anon_sym_COMMA,
    ACTIONS(10998), 1,
      anon_sym_GT,
    STATE(6936), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [241040] = 4,
    ACTIONS(10431), 1,
      anon_sym_COMMA,
    ACTIONS(11000), 1,
      anon_sym_RPAREN,
    STATE(6827), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [241056] = 2,
    ACTIONS(11002), 3,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [241068] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6649), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [241080] = 4,
    ACTIONS(10379), 1,
      anon_sym_COMMA,
    ACTIONS(11004), 1,
      anon_sym_GT,
    STATE(7153), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [241096] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6653), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [241108] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6657), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [241120] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6657), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [241132] = 2,
    ACTIONS(6521), 3,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [241144] = 4,
    ACTIONS(10405), 1,
      anon_sym_COMMA,
    ACTIONS(10996), 1,
      anon_sym_RPAREN,
    STATE(6894), 1,
      aux_sym__constructor_value_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [241160] = 2,
    ACTIONS(7680), 3,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [241172] = 2,
    ACTIONS(7684), 3,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [241184] = 4,
    ACTIONS(10405), 1,
      anon_sym_COMMA,
    ACTIONS(11006), 1,
      anon_sym_RPAREN,
    STATE(6900), 1,
      aux_sym__constructor_value_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [241200] = 4,
    ACTIONS(10431), 1,
      anon_sym_COMMA,
    ACTIONS(11008), 1,
      anon_sym_RPAREN,
    STATE(6953), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [241216] = 4,
    ACTIONS(10379), 1,
      anon_sym_COMMA,
    ACTIONS(11010), 1,
      anon_sym_GT,
    STATE(6903), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [241232] = 4,
    ACTIONS(11012), 1,
      anon_sym_COMMA,
    ACTIONS(11014), 1,
      anon_sym_RBRACK,
    STATE(6580), 1,
      aux_sym_array_literal_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [241248] = 4,
    ACTIONS(10387), 1,
      anon_sym_COMMA,
    ACTIONS(11016), 1,
      anon_sym_RPAREN,
    STATE(6907), 1,
      aux_sym__function_value_parameters_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [241264] = 4,
    ACTIONS(10247), 1,
      anon_sym_COMMA,
    ACTIONS(11018), 1,
      anon_sym_LBRACE,
    STATE(6742), 1,
      aux_sym_if_statement_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [241280] = 4,
    ACTIONS(11020), 1,
      anon_sym_COMMA,
    ACTIONS(11022), 1,
      anon_sym_RBRACK,
    STATE(6715), 1,
      aux_sym_dictionary_literal_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [241296] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6445), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [241308] = 4,
    ACTIONS(10379), 1,
      anon_sym_COMMA,
    ACTIONS(11024), 1,
      anon_sym_GT,
    STATE(6956), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [241324] = 4,
    ACTIONS(10431), 1,
      anon_sym_COMMA,
    ACTIONS(11026), 1,
      anon_sym_RPAREN,
    STATE(6827), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [241340] = 4,
    ACTIONS(10632), 1,
      anon_sym_COMMA,
    ACTIONS(11028), 1,
      sym_else,
    STATE(6694), 1,
      aux_sym_if_statement_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [241356] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6657), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [241368] = 4,
    ACTIONS(10379), 1,
      anon_sym_COMMA,
    ACTIONS(11030), 1,
      anon_sym_GT,
    STATE(7153), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [241384] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6661), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [241396] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6661), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [241408] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6665), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [241420] = 4,
    ACTIONS(4482), 1,
      anon_sym_COMMA,
    ACTIONS(4484), 1,
      anon_sym_COLON,
    STATE(6529), 1,
      aux_sym_switch_entry_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [241436] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6537), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [241448] = 2,
    ACTIONS(7688), 3,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [241460] = 2,
    ACTIONS(7692), 3,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [241472] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6801), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [241484] = 4,
    ACTIONS(10431), 1,
      anon_sym_COMMA,
    ACTIONS(11032), 1,
      anon_sym_RPAREN,
    STATE(6973), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [241500] = 4,
    ACTIONS(10391), 1,
      anon_sym_COMMA,
    ACTIONS(11034), 1,
      anon_sym_RPAREN,
    STATE(6914), 1,
      aux_sym__tuple_pattern_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [241516] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6329), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [241528] = 4,
    ACTIONS(11036), 1,
      anon_sym_COMMA,
    ACTIONS(11038), 1,
      anon_sym_RBRACK,
    STATE(6715), 1,
      aux_sym_dictionary_literal_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [241544] = 4,
    ACTIONS(11040), 1,
      anon_sym_COMMA,
    ACTIONS(11042), 1,
      anon_sym_RBRACK,
    STATE(6580), 1,
      aux_sym_array_literal_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [241560] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6325), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [241572] = 4,
    ACTIONS(10431), 1,
      anon_sym_COMMA,
    ACTIONS(11044), 1,
      anon_sym_RPAREN,
    STATE(6924), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [241588] = 4,
    ACTIONS(10379), 1,
      anon_sym_COMMA,
    ACTIONS(11046), 1,
      anon_sym_GT,
    STATE(6976), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [241604] = 4,
    ACTIONS(10431), 1,
      anon_sym_COMMA,
    ACTIONS(11048), 1,
      anon_sym_RPAREN,
    STATE(6827), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [241620] = 4,
    ACTIONS(4404), 1,
      anon_sym_COMMA,
    ACTIONS(11050), 1,
      anon_sym_RPAREN,
    STATE(6629), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [241636] = 2,
    ACTIONS(11052), 3,
      sym_where_keyword,
      anon_sym_COLON,
      anon_sym_LBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [241648] = 4,
    ACTIONS(10379), 1,
      anon_sym_COMMA,
    ACTIONS(11054), 1,
      anon_sym_GT,
    STATE(7153), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [241664] = 4,
    ACTIONS(10395), 1,
      anon_sym_COMMA,
    ACTIONS(11056), 1,
      anon_sym_RPAREN,
    STATE(7134), 1,
      aux_sym_attribute_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [241680] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6669), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [241692] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6437), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [241704] = 2,
    ACTIONS(6381), 3,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [241716] = 4,
    ACTIONS(3954), 1,
      anon_sym_while,
    ACTIONS(3956), 1,
      sym__implicit_semi,
    STATE(6701), 1,
      aux_sym_repeat_while_statement_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [241732] = 2,
    ACTIONS(7696), 3,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [241744] = 2,
    ACTIONS(6413), 3,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [241756] = 4,
    ACTIONS(4464), 1,
      sym__dot_custom,
    STATE(3053), 1,
      sym_navigation_suffix,
    STATE(4641), 1,
      sym__dot,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [241772] = 4,
    ACTIONS(10431), 1,
      anon_sym_COMMA,
    ACTIONS(11058), 1,
      anon_sym_RPAREN,
    STATE(6993), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [241788] = 4,
    ACTIONS(11060), 1,
      anon_sym_COMMA,
    ACTIONS(11062), 1,
      anon_sym_RBRACK,
    STATE(6968), 1,
      aux_sym_dictionary_literal_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [241804] = 3,
    ACTIONS(11064), 1,
      anon_sym_BANG,
    ACTIONS(5427), 2,
      sym_where_keyword,
      anon_sym_LBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [241818] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6779), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [241830] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6677), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [241842] = 4,
    ACTIONS(4390), 1,
      anon_sym_COMMA,
    ACTIONS(11066), 1,
      anon_sym_RPAREN,
    STATE(7133), 1,
      aux_sym_enum_type_parameters_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [241858] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(3086), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [241870] = 4,
    ACTIONS(10379), 1,
      anon_sym_COMMA,
    ACTIONS(11068), 1,
      anon_sym_GT,
    STATE(6996), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [241886] = 4,
    ACTIONS(10431), 1,
      anon_sym_COMMA,
    ACTIONS(11070), 1,
      anon_sym_RPAREN,
    STATE(6827), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [241902] = 4,
    ACTIONS(4464), 1,
      sym__dot_custom,
    STATE(3084), 1,
      sym_navigation_suffix,
    STATE(4641), 1,
      sym__dot,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [241918] = 2,
    ACTIONS(6341), 3,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [241930] = 4,
    ACTIONS(10379), 1,
      anon_sym_COMMA,
    ACTIONS(11072), 1,
      anon_sym_GT,
    STATE(7153), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [241946] = 2,
    ACTIONS(11074), 3,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [241958] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6677), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [241970] = 2,
    ACTIONS(6345), 3,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [241982] = 4,
    ACTIONS(4876), 1,
      anon_sym_LBRACE,
    STATE(2809), 1,
      sym__block,
    STATE(2815), 1,
      sym_function_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [241998] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6437), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [242010] = 4,
    ACTIONS(8777), 1,
      anon_sym_LBRACE,
    STATE(6886), 1,
      sym__block,
    STATE(7208), 1,
      sym_function_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [242026] = 4,
    ACTIONS(145), 1,
      sym_raw_str_part,
    ACTIONS(11076), 1,
      sym_raw_str_end_part,
    STATE(6853), 1,
      aux_sym_raw_string_literal_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [242042] = 4,
    ACTIONS(10431), 1,
      anon_sym_COMMA,
    ACTIONS(11078), 1,
      anon_sym_RPAREN,
    STATE(7011), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [242058] = 2,
    ACTIONS(11080), 3,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [242070] = 4,
    ACTIONS(145), 1,
      sym_raw_str_part,
    ACTIONS(11082), 1,
      sym_raw_str_end_part,
    STATE(6853), 1,
      aux_sym_raw_string_literal_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [242086] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6677), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [242098] = 2,
    ACTIONS(11084), 3,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [242110] = 4,
    ACTIONS(4366), 1,
      sym__dot_custom,
    STATE(2982), 1,
      sym_navigation_suffix,
    STATE(4626), 1,
      sym__dot,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [242126] = 4,
    ACTIONS(10379), 1,
      anon_sym_COMMA,
    ACTIONS(11086), 1,
      anon_sym_GT,
    STATE(7014), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [242142] = 4,
    ACTIONS(10431), 1,
      anon_sym_COMMA,
    ACTIONS(11088), 1,
      anon_sym_RPAREN,
    STATE(6827), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [242158] = 4,
    ACTIONS(4366), 1,
      sym__dot_custom,
    STATE(2996), 1,
      sym_navigation_suffix,
    STATE(4626), 1,
      sym__dot,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [242174] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6677), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [242186] = 4,
    ACTIONS(10379), 1,
      anon_sym_COMMA,
    ACTIONS(11090), 1,
      anon_sym_GT,
    STATE(7153), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [242202] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6677), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [242214] = 2,
    ACTIONS(11092), 3,
      sym__eq_custom,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [242226] = 2,
    ACTIONS(6505), 3,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [242238] = 4,
    ACTIONS(11094), 1,
      anon_sym_COMMA,
    ACTIONS(11096), 1,
      anon_sym_RBRACK,
    STATE(6906), 1,
      aux_sym_dictionary_literal_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [242254] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6677), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [242266] = 4,
    ACTIONS(10247), 1,
      anon_sym_COMMA,
    ACTIONS(11098), 1,
      anon_sym_LBRACE,
    STATE(6949), 1,
      aux_sym_if_statement_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [242282] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6433), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [242294] = 4,
    ACTIONS(10431), 1,
      anon_sym_COMMA,
    ACTIONS(11100), 1,
      anon_sym_RPAREN,
    STATE(7029), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [242310] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6433), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [242322] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6317), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [242334] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6693), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [242346] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6693), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [242358] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6313), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [242370] = 4,
    ACTIONS(10379), 1,
      anon_sym_COMMA,
    ACTIONS(11102), 1,
      anon_sym_GT,
    STATE(7032), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [242386] = 4,
    ACTIONS(10431), 1,
      anon_sym_COMMA,
    ACTIONS(11104), 1,
      anon_sym_RPAREN,
    STATE(6827), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [242402] = 4,
    ACTIONS(10632), 1,
      anon_sym_COMMA,
    ACTIONS(11106), 1,
      sym_else,
    STATE(6954), 1,
      aux_sym_if_statement_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [242418] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6771), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [242430] = 4,
    ACTIONS(10379), 1,
      anon_sym_COMMA,
    ACTIONS(11108), 1,
      anon_sym_GT,
    STATE(7153), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [242446] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6693), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [242458] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6697), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [242470] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6701), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [242482] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6329), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [242494] = 4,
    ACTIONS(10405), 1,
      anon_sym_COMMA,
    ACTIONS(11110), 1,
      anon_sym_RBRACK,
    STATE(6407), 1,
      aux_sym__constructor_value_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [242510] = 4,
    ACTIONS(4396), 1,
      anon_sym_COMMA,
    ACTIONS(11112), 1,
      anon_sym_RPAREN,
    STATE(6521), 1,
      aux_sym__playground_literal_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [242526] = 2,
    ACTIONS(11114), 3,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [242538] = 4,
    ACTIONS(10431), 1,
      anon_sym_COMMA,
    ACTIONS(11116), 1,
      anon_sym_RPAREN,
    STATE(7047), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [242554] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6433), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [242566] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6309), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [242578] = 4,
    ACTIONS(4143), 1,
      sym__dot_custom,
    STATE(2401), 1,
      sym_navigation_suffix,
    STATE(4593), 1,
      sym__dot,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [242594] = 2,
    ACTIONS(6297), 3,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [242606] = 4,
    ACTIONS(4143), 1,
      sym__dot_custom,
    STATE(2441), 1,
      sym_navigation_suffix,
    STATE(4593), 1,
      sym__dot,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [242622] = 4,
    ACTIONS(10379), 1,
      anon_sym_COMMA,
    ACTIONS(11118), 1,
      anon_sym_GT,
    STATE(7050), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [242638] = 4,
    ACTIONS(10431), 1,
      anon_sym_COMMA,
    ACTIONS(11120), 1,
      anon_sym_RPAREN,
    STATE(6827), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [242654] = 4,
    ACTIONS(10395), 1,
      anon_sym_COMMA,
    ACTIONS(11122), 1,
      anon_sym_RPAREN,
    STATE(6795), 1,
      aux_sym_attribute_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [242670] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6305), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [242682] = 4,
    ACTIONS(10379), 1,
      anon_sym_COMMA,
    ACTIONS(11124), 1,
      anon_sym_GT,
    STATE(7153), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [242698] = 4,
    ACTIONS(10419), 1,
      anon_sym_COMMA,
    ACTIONS(11126), 1,
      anon_sym_RPAREN,
    STATE(7212), 1,
      aux_sym_availability_condition_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [242714] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6705), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [242726] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6705), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [242738] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6365), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [242750] = 4,
    ACTIONS(10821), 1,
      anon_sym_COMMA,
    ACTIONS(11128), 1,
      anon_sym_RBRACK,
    STATE(6790), 1,
      aux_sym_capture_list_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [242766] = 4,
    ACTIONS(11130), 1,
      anon_sym_RPAREN,
    ACTIONS(11132), 1,
      anon_sym_COMMA,
    STATE(7056), 1,
      aux_sym__function_value_parameters_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [242782] = 2,
    ACTIONS(10312), 3,
      sym_where_keyword,
      anon_sym_COMMA,
      anon_sym_GT,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [242794] = 4,
    ACTIONS(10431), 1,
      anon_sym_COMMA,
    ACTIONS(11135), 1,
      anon_sym_RPAREN,
    STATE(7065), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [242810] = 4,
    ACTIONS(10379), 1,
      anon_sym_COMMA,
    ACTIONS(11137), 1,
      anon_sym_GT,
    STATE(7153), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [242826] = 4,
    ACTIONS(10379), 1,
      anon_sym_COMMA,
    ACTIONS(11139), 1,
      anon_sym_GT,
    STATE(7059), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [242842] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6705), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [242854] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6709), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [242866] = 4,
    ACTIONS(10379), 1,
      anon_sym_COMMA,
    ACTIONS(11141), 1,
      anon_sym_GT,
    STATE(7153), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [242882] = 4,
    ACTIONS(10379), 1,
      anon_sym_COMMA,
    ACTIONS(11143), 1,
      anon_sym_GT,
    STATE(7068), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [242898] = 4,
    ACTIONS(10431), 1,
      anon_sym_COMMA,
    ACTIONS(11145), 1,
      anon_sym_RPAREN,
    STATE(6827), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [242914] = 4,
    ACTIONS(10379), 1,
      anon_sym_COMMA,
    ACTIONS(11147), 1,
      anon_sym_GT,
    STATE(7063), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [242930] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6709), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [242942] = 4,
    ACTIONS(10379), 1,
      anon_sym_COMMA,
    ACTIONS(11149), 1,
      anon_sym_GT,
    STATE(7153), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [242958] = 4,
    ACTIONS(4404), 1,
      anon_sym_COMMA,
    ACTIONS(11151), 1,
      anon_sym_RPAREN,
    STATE(6629), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [242974] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6713), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [242986] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6717), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [242998] = 4,
    ACTIONS(10379), 1,
      anon_sym_COMMA,
    ACTIONS(11153), 1,
      anon_sym_GT,
    STATE(7153), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [243014] = 4,
    ACTIONS(10405), 1,
      anon_sym_COMMA,
    ACTIONS(11155), 1,
      anon_sym_RBRACK,
    STATE(6407), 1,
      aux_sym__constructor_value_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [243030] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6827), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [243042] = 2,
    ACTIONS(11157), 3,
      sym_where_keyword,
      anon_sym_COMMA,
      anon_sym_GT,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [243054] = 4,
    ACTIONS(10431), 1,
      anon_sym_COMMA,
    ACTIONS(11159), 1,
      anon_sym_RPAREN,
    STATE(7083), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [243070] = 4,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    STATE(6229), 1,
      sym__block,
    STATE(6763), 1,
      sym_function_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [243086] = 4,
    ACTIONS(10379), 1,
      anon_sym_COMMA,
    ACTIONS(11161), 1,
      anon_sym_GT,
    STATE(7072), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [243102] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6721), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [243114] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6721), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [243126] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6385), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [243138] = 4,
    ACTIONS(10379), 1,
      anon_sym_COMMA,
    ACTIONS(11163), 1,
      anon_sym_GT,
    STATE(7086), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [243154] = 4,
    ACTIONS(10431), 1,
      anon_sym_COMMA,
    ACTIONS(11165), 1,
      anon_sym_RPAREN,
    STATE(6827), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [243170] = 4,
    ACTIONS(10379), 1,
      anon_sym_COMMA,
    ACTIONS(11167), 1,
      anon_sym_GT,
    STATE(7153), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [243186] = 2,
    ACTIONS(6497), 3,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [243198] = 4,
    ACTIONS(10379), 1,
      anon_sym_COMMA,
    ACTIONS(11169), 1,
      anon_sym_GT,
    STATE(7153), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [243214] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6365), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [243226] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6721), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [243238] = 4,
    ACTIONS(4482), 1,
      anon_sym_COMMA,
    ACTIONS(11171), 1,
      anon_sym_COLON,
    STATE(6529), 1,
      aux_sym_switch_entry_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [243254] = 4,
    ACTIONS(10379), 1,
      anon_sym_COMMA,
    ACTIONS(11173), 1,
      anon_sym_GT,
    STATE(7084), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [243270] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6733), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [243282] = 4,
    ACTIONS(10379), 1,
      anon_sym_COMMA,
    ACTIONS(11175), 1,
      anon_sym_GT,
    STATE(7153), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [243298] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6791), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [243310] = 4,
    ACTIONS(10431), 1,
      anon_sym_COMMA,
    ACTIONS(11177), 1,
      anon_sym_RPAREN,
    STATE(7101), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [243326] = 4,
    ACTIONS(10405), 1,
      anon_sym_COMMA,
    ACTIONS(11110), 1,
      anon_sym_RPAREN,
    STATE(6407), 1,
      aux_sym__constructor_value_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [243342] = 4,
    ACTIONS(10379), 1,
      anon_sym_COMMA,
    ACTIONS(11179), 1,
      anon_sym_GT,
    STATE(7092), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [243358] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6733), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [243370] = 3,
    STATE(1695), 1,
      sym_lambda_literal,
    ACTIONS(4528), 2,
      anon_sym_LBRACE,
      anon_sym_CARET_LBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [243384] = 4,
    ACTIONS(10405), 1,
      anon_sym_COMMA,
    ACTIONS(11181), 1,
      anon_sym_RPAREN,
    STATE(6407), 1,
      aux_sym__constructor_value_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [243400] = 4,
    ACTIONS(10379), 1,
      anon_sym_COMMA,
    ACTIONS(11183), 1,
      anon_sym_GT,
    STATE(7104), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [243416] = 4,
    ACTIONS(10431), 1,
      anon_sym_COMMA,
    ACTIONS(11185), 1,
      anon_sym_RPAREN,
    STATE(6827), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [243432] = 4,
    ACTIONS(10379), 1,
      anon_sym_COMMA,
    ACTIONS(11187), 1,
      anon_sym_GT,
    STATE(7153), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [243448] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6733), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [243460] = 4,
    ACTIONS(10379), 1,
      anon_sym_COMMA,
    ACTIONS(11189), 1,
      anon_sym_GT,
    STATE(7153), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [243476] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6733), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [243488] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6733), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [243500] = 4,
    ACTIONS(10379), 1,
      anon_sym_COMMA,
    ACTIONS(11191), 1,
      anon_sym_GT,
    STATE(7153), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [243516] = 4,
    ACTIONS(10379), 1,
      anon_sym_COMMA,
    ACTIONS(11193), 1,
      anon_sym_GT,
    STATE(7102), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [243532] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6733), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [243544] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6737), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [243556] = 4,
    ACTIONS(10395), 1,
      anon_sym_COMMA,
    ACTIONS(11195), 1,
      anon_sym_RPAREN,
    STATE(7048), 1,
      aux_sym_attribute_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [243572] = 4,
    ACTIONS(10431), 1,
      anon_sym_COMMA,
    ACTIONS(11197), 1,
      anon_sym_RPAREN,
    STATE(7119), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [243588] = 2,
    ACTIONS(6397), 3,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [243600] = 4,
    ACTIONS(10379), 1,
      anon_sym_COMMA,
    ACTIONS(11199), 1,
      anon_sym_GT,
    STATE(7153), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [243616] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6297), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [243628] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6741), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [243640] = 2,
    ACTIONS(6401), 3,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [243652] = 4,
    ACTIONS(10379), 1,
      anon_sym_COMMA,
    ACTIONS(11201), 1,
      anon_sym_GT,
    STATE(7122), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [243668] = 4,
    ACTIONS(10431), 1,
      anon_sym_COMMA,
    ACTIONS(11203), 1,
      anon_sym_RPAREN,
    STATE(6827), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [243684] = 4,
    ACTIONS(10379), 1,
      anon_sym_COMMA,
    ACTIONS(11205), 1,
      anon_sym_GT,
    STATE(7114), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [243700] = 4,
    ACTIONS(10379), 1,
      anon_sym_COMMA,
    ACTIONS(11207), 1,
      anon_sym_GT,
    STATE(7153), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [243716] = 4,
    ACTIONS(10379), 1,
      anon_sym_COMMA,
    ACTIONS(11209), 1,
      anon_sym_GT,
    STATE(7153), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [243732] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6413), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [243744] = 4,
    ACTIONS(10379), 1,
      anon_sym_COMMA,
    ACTIONS(11211), 1,
      anon_sym_GT,
    STATE(7121), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [243760] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6747), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [243772] = 4,
    ACTIONS(10387), 1,
      anon_sym_COMMA,
    ACTIONS(11213), 1,
      anon_sym_RPAREN,
    STATE(7056), 1,
      aux_sym__function_value_parameters_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [243788] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6751), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [243800] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6751), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [243812] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6823), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [243824] = 4,
    ACTIONS(10431), 1,
      anon_sym_COMMA,
    ACTIONS(11215), 1,
      anon_sym_RPAREN,
    STATE(7137), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [243840] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6819), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [243852] = 4,
    ACTIONS(10379), 1,
      anon_sym_COMMA,
    ACTIONS(11217), 1,
      anon_sym_GT,
    STATE(7153), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [243868] = 4,
    ACTIONS(11219), 1,
      anon_sym_RPAREN,
    ACTIONS(11221), 1,
      anon_sym_COMMA,
    STATE(7133), 1,
      aux_sym_enum_type_parameters_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [243884] = 4,
    ACTIONS(10395), 1,
      anon_sym_COMMA,
    ACTIONS(11224), 1,
      anon_sym_RPAREN,
    STATE(6795), 1,
      aux_sym_attribute_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [243900] = 4,
    ACTIONS(10379), 1,
      anon_sym_COMMA,
    ACTIONS(11226), 1,
      anon_sym_GT,
    STATE(7132), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [243916] = 4,
    ACTIONS(10379), 1,
      anon_sym_COMMA,
    ACTIONS(11228), 1,
      anon_sym_GT,
    STATE(7140), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [243932] = 4,
    ACTIONS(10431), 1,
      anon_sym_COMMA,
    ACTIONS(11230), 1,
      anon_sym_RPAREN,
    STATE(6827), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [243948] = 4,
    ACTIONS(10379), 1,
      anon_sym_COMMA,
    ACTIONS(11232), 1,
      anon_sym_GT,
    STATE(7153), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [243964] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6751), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [243976] = 4,
    ACTIONS(10379), 1,
      anon_sym_COMMA,
    ACTIONS(11234), 1,
      anon_sym_GT,
    STATE(7153), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [243992] = 2,
    ACTIONS(2435), 3,
      sym__eq_custom,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [244004] = 4,
    ACTIONS(9673), 1,
      anon_sym_RPAREN,
    ACTIONS(10790), 1,
      anon_sym_COMMA,
    STATE(6770), 1,
      aux_sym_lambda_function_type_parameters_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [244020] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6771), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [244032] = 4,
    ACTIONS(10379), 1,
      anon_sym_COMMA,
    ACTIONS(11236), 1,
      anon_sym_GT,
    STATE(7138), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [244048] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6381), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [244060] = 4,
    ACTIONS(10379), 1,
      anon_sym_COMMA,
    ACTIONS(11238), 1,
      anon_sym_GT,
    STATE(7153), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [244076] = 4,
    ACTIONS(10391), 1,
      anon_sym_COMMA,
    ACTIONS(11240), 1,
      anon_sym_RPAREN,
    STATE(6919), 1,
      aux_sym__tuple_pattern_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [244092] = 4,
    ACTIONS(10431), 1,
      anon_sym_COMMA,
    ACTIONS(11242), 1,
      anon_sym_RPAREN,
    STATE(7155), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [244108] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6815), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [244120] = 4,
    ACTIONS(10379), 1,
      anon_sym_COMMA,
    ACTIONS(11244), 1,
      anon_sym_GT,
    STATE(7146), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [244136] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6775), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [244148] = 4,
    ACTIONS(11246), 1,
      anon_sym_in,
    ACTIONS(11248), 1,
      sym__arrow_operator_custom,
    STATE(3429), 1,
      sym__arrow_operator,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [244164] = 4,
    ACTIONS(11250), 1,
      anon_sym_COMMA,
    ACTIONS(11253), 1,
      anon_sym_GT,
    STATE(7153), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [244180] = 4,
    ACTIONS(10379), 1,
      anon_sym_COMMA,
    ACTIONS(11255), 1,
      anon_sym_GT,
    STATE(7158), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [244196] = 4,
    ACTIONS(10431), 1,
      anon_sym_COMMA,
    ACTIONS(11257), 1,
      anon_sym_RPAREN,
    STATE(6827), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [244212] = 4,
    ACTIONS(10379), 1,
      anon_sym_COMMA,
    ACTIONS(11259), 1,
      anon_sym_GT,
    STATE(7153), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [244228] = 2,
    ACTIONS(10345), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [244240] = 4,
    ACTIONS(10379), 1,
      anon_sym_COMMA,
    ACTIONS(11261), 1,
      anon_sym_GT,
    STATE(7153), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [244256] = 4,
    ACTIONS(10419), 1,
      anon_sym_COMMA,
    ACTIONS(11263), 1,
      anon_sym_RPAREN,
    STATE(7051), 1,
      aux_sym_availability_condition_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [244272] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6465), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [244284] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6489), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [244296] = 4,
    ACTIONS(10379), 1,
      anon_sym_COMMA,
    ACTIONS(11265), 1,
      anon_sym_GT,
    STATE(7156), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [244312] = 4,
    ACTIONS(10431), 1,
      anon_sym_COMMA,
    ACTIONS(11267), 1,
      anon_sym_RPAREN,
    STATE(6827), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [244328] = 4,
    ACTIONS(11269), 1,
      anon_sym_LPAREN,
    ACTIONS(11271), 1,
      anon_sym_LBRACK,
    STATE(6243), 1,
      sym_value_arguments,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [244344] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6405), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [244356] = 4,
    ACTIONS(10431), 1,
      anon_sym_COMMA,
    ACTIONS(11273), 1,
      anon_sym_RPAREN,
    STATE(7171), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [244372] = 4,
    ACTIONS(10405), 1,
      anon_sym_COMMA,
    ACTIONS(11275), 1,
      anon_sym_RBRACK,
    STATE(7073), 1,
      aux_sym__constructor_value_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [244388] = 2,
    ACTIONS(11277), 3,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [244400] = 4,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(9713), 1,
      anon_sym_LBRACE,
    STATE(7765), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [244416] = 4,
    ACTIONS(10379), 1,
      anon_sym_COMMA,
    ACTIONS(11279), 1,
      anon_sym_GT,
    STATE(7173), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [244432] = 4,
    ACTIONS(10431), 1,
      anon_sym_COMMA,
    ACTIONS(11281), 1,
      anon_sym_RPAREN,
    STATE(6827), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [244448] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6465), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [244460] = 4,
    ACTIONS(10379), 1,
      anon_sym_COMMA,
    ACTIONS(11283), 1,
      anon_sym_GT,
    STATE(7153), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [244476] = 4,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(9736), 1,
      anon_sym_LBRACE,
    STATE(7753), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [244492] = 4,
    ACTIONS(8496), 1,
      sym_where_keyword,
    ACTIONS(9736), 1,
      anon_sym_LBRACE,
    STATE(7749), 1,
      sym_type_constraints,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [244508] = 4,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    STATE(6229), 1,
      sym__block,
    STATE(6911), 1,
      sym_function_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [244524] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6321), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [244536] = 4,
    ACTIONS(10379), 1,
      anon_sym_COMMA,
    ACTIONS(11285), 1,
      anon_sym_GT,
    STATE(7179), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [244552] = 4,
    ACTIONS(10379), 1,
      anon_sym_COMMA,
    ACTIONS(11287), 1,
      anon_sym_GT,
    STATE(7153), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [244568] = 4,
    ACTIONS(4876), 1,
      anon_sym_LBRACE,
    ACTIONS(11289), 1,
      anon_sym_LPAREN,
    STATE(4117), 1,
      sym__block,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [244584] = 4,
    ACTIONS(4876), 1,
      anon_sym_LBRACE,
    ACTIONS(11291), 1,
      anon_sym_LPAREN,
    STATE(4122), 1,
      sym__block,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [244600] = 4,
    ACTIONS(10387), 1,
      anon_sym_COMMA,
    ACTIONS(11293), 1,
      anon_sym_RPAREN,
    STATE(7056), 1,
      aux_sym__function_value_parameters_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [244616] = 4,
    ACTIONS(10405), 1,
      anon_sym_COMMA,
    ACTIONS(11295), 1,
      anon_sym_RBRACK,
    STATE(7037), 1,
      aux_sym__constructor_value_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [244632] = 4,
    ACTIONS(10405), 1,
      anon_sym_COMMA,
    ACTIONS(11295), 1,
      anon_sym_RPAREN,
    STATE(7095), 1,
      aux_sym__constructor_value_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [244648] = 4,
    ACTIONS(10405), 1,
      anon_sym_COMMA,
    ACTIONS(11297), 1,
      anon_sym_RPAREN,
    STATE(7099), 1,
      aux_sym__constructor_value_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [244664] = 4,
    ACTIONS(10379), 1,
      anon_sym_COMMA,
    ACTIONS(11299), 1,
      anon_sym_GT,
    STATE(7188), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [244680] = 4,
    ACTIONS(10379), 1,
      anon_sym_COMMA,
    ACTIONS(11301), 1,
      anon_sym_GT,
    STATE(7107), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [244696] = 4,
    ACTIONS(10379), 1,
      anon_sym_COMMA,
    ACTIONS(11303), 1,
      anon_sym_GT,
    STATE(7153), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [244712] = 4,
    ACTIONS(4404), 1,
      anon_sym_COMMA,
    ACTIONS(11305), 1,
      anon_sym_RPAREN,
    STATE(6629), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [244728] = 4,
    ACTIONS(4390), 1,
      anon_sym_COMMA,
    ACTIONS(11307), 1,
      anon_sym_RPAREN,
    STATE(7133), 1,
      aux_sym_enum_type_parameters_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [244744] = 2,
    ACTIONS(6020), 3,
      sym__arrow_operator_custom,
      sym_where_keyword,
      anon_sym_LBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [244756] = 2,
    ACTIONS(6449), 3,
      sym__implicit_semi,
      sym__explicit_semi,
      ts_builtin_sym_end,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [244768] = 4,
    ACTIONS(10387), 1,
      anon_sym_COMMA,
    ACTIONS(11309), 1,
      anon_sym_RPAREN,
    STATE(7126), 1,
      aux_sym__function_value_parameters_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [244784] = 4,
    ACTIONS(10379), 1,
      anon_sym_COMMA,
    ACTIONS(11311), 1,
      anon_sym_GT,
    STATE(7196), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [244800] = 4,
    ACTIONS(4390), 1,
      anon_sym_COMMA,
    ACTIONS(11313), 1,
      anon_sym_RPAREN,
    STATE(7133), 1,
      aux_sym_enum_type_parameters_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [244816] = 4,
    ACTIONS(10379), 1,
      anon_sym_COMMA,
    ACTIONS(11315), 1,
      anon_sym_GT,
    STATE(7153), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [244832] = 4,
    ACTIONS(10431), 1,
      anon_sym_COMMA,
    ACTIONS(11317), 1,
      anon_sym_RPAREN,
    STATE(7163), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [244848] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6533), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [244860] = 2,
    ACTIONS(7329), 3,
      sym_where_keyword,
      anon_sym_COLON,
      anon_sym_LBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [244872] = 4,
    ACTIONS(4390), 1,
      anon_sym_COMMA,
    ACTIONS(11319), 1,
      anon_sym_RPAREN,
    STATE(7133), 1,
      aux_sym_enum_type_parameters_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [244888] = 4,
    ACTIONS(4390), 1,
      anon_sym_COMMA,
    ACTIONS(11321), 1,
      anon_sym_RPAREN,
    STATE(7133), 1,
      aux_sym_enum_type_parameters_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [244904] = 4,
    ACTIONS(11323), 1,
      anon_sym_COMMA,
    ACTIONS(11325), 1,
      anon_sym_RBRACK,
    STATE(6580), 1,
      aux_sym_array_literal_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [244920] = 4,
    ACTIONS(7718), 1,
      anon_sym_get,
    ACTIONS(7720), 1,
      anon_sym_set,
    ACTIONS(7722), 1,
      anon_sym__modify,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [244936] = 4,
    ACTIONS(10379), 1,
      anon_sym_COMMA,
    ACTIONS(11327), 1,
      anon_sym_GT,
    STATE(7205), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [244952] = 4,
    ACTIONS(10379), 1,
      anon_sym_COMMA,
    ACTIONS(11329), 1,
      anon_sym_GT,
    STATE(7153), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [244968] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6811), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [244980] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(9777), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [244992] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6807), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [245004] = 4,
    ACTIONS(10391), 1,
      anon_sym_COMMA,
    ACTIONS(11331), 1,
      anon_sym_RPAREN,
    STATE(7147), 1,
      aux_sym__tuple_pattern_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [245020] = 4,
    ACTIONS(10379), 1,
      anon_sym_COMMA,
    ACTIONS(11333), 1,
      anon_sym_GT,
    STATE(7211), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [245036] = 4,
    ACTIONS(10379), 1,
      anon_sym_COMMA,
    ACTIONS(11335), 1,
      anon_sym_GT,
    STATE(7153), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [245052] = 4,
    ACTIONS(11337), 1,
      anon_sym_RPAREN,
    ACTIONS(11339), 1,
      anon_sym_COMMA,
    STATE(7212), 1,
      aux_sym_availability_condition_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [245068] = 4,
    ACTIONS(4482), 1,
      anon_sym_COMMA,
    ACTIONS(10371), 1,
      anon_sym_COLON,
    STATE(6529), 1,
      aux_sym_switch_entry_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [245084] = 4,
    ACTIONS(4390), 1,
      anon_sym_COMMA,
    ACTIONS(11342), 1,
      anon_sym_RPAREN,
    STATE(7133), 1,
      aux_sym_enum_type_parameters_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [245100] = 4,
    ACTIONS(4396), 1,
      anon_sym_COMMA,
    ACTIONS(11344), 1,
      anon_sym_RPAREN,
    STATE(6521), 1,
      aux_sym__playground_literal_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [245116] = 4,
    ACTIONS(10379), 1,
      anon_sym_COMMA,
    ACTIONS(11346), 1,
      anon_sym_GT,
    STATE(7217), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [245132] = 4,
    ACTIONS(10379), 1,
      anon_sym_COMMA,
    ACTIONS(11348), 1,
      anon_sym_GT,
    STATE(7153), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [245148] = 2,
    ACTIONS(5), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
    ACTIONS(6421), 4,
      sym_multiline_comment,
      sym__implicit_semi,
      sym__explicit_semi,
      anon_sym_RBRACE,
  [245160] = 4,
    ACTIONS(10379), 1,
      anon_sym_COMMA,
    ACTIONS(11350), 1,
      anon_sym_GT,
    STATE(6547), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [245176] = 2,
    ACTIONS(11352), 2,
      anon_sym_Type,
      anon_sym_Protocol,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [245187] = 3,
    ACTIONS(9659), 1,
      anon_sym_LBRACE,
    STATE(3932), 1,
      sym_enum_class_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [245200] = 3,
    ACTIONS(4874), 1,
      anon_sym_LPAREN,
    STATE(1658), 1,
      aux_sym__function_value_parameters,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [245213] = 2,
    ACTIONS(11354), 2,
      anon_sym_Type,
      anon_sym_Protocol,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [245224] = 3,
    ACTIONS(9480), 1,
      anon_sym_LBRACE,
    STATE(6633), 1,
      sym_computed_property,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [245237] = 3,
    ACTIONS(11356), 1,
      anon_sym_COLON,
    ACTIONS(11358), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [245250] = 3,
    ACTIONS(11360), 1,
      anon_sym_COLON,
    ACTIONS(11362), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [245263] = 3,
    ACTIONS(9687), 1,
      anon_sym_LBRACE,
    STATE(6678), 1,
      sym_protocol_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [245276] = 3,
    ACTIONS(9613), 1,
      anon_sym_LBRACE,
    STATE(2930), 1,
      sym_enum_class_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [245289] = 3,
    ACTIONS(11364), 1,
      anon_sym_COLON,
    ACTIONS(11366), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [245302] = 3,
    ACTIONS(9447), 1,
      anon_sym_LPAREN,
    STATE(5514), 1,
      aux_sym__function_value_parameters,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [245315] = 3,
    ACTIONS(8547), 1,
      anon_sym_LBRACE,
    STATE(6382), 1,
      sym_class_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [245328] = 3,
    ACTIONS(9617), 1,
      anon_sym_LBRACE,
    STATE(2762), 1,
      sym_protocol_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [245341] = 3,
    ACTIONS(11368), 1,
      anon_sym_COLON,
    ACTIONS(11370), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [245354] = 2,
    ACTIONS(11372), 2,
      anon_sym_Type,
      anon_sym_Protocol,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [245365] = 3,
    ACTIONS(8494), 1,
      anon_sym_LBRACE,
    STATE(2752), 1,
      sym_class_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [245378] = 2,
    ACTIONS(11337), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [245389] = 3,
    ACTIONS(4874), 1,
      anon_sym_LPAREN,
    STATE(1651), 1,
      aux_sym__function_value_parameters,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [245402] = 2,
    ACTIONS(7524), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [245413] = 3,
    ACTIONS(8494), 1,
      anon_sym_LBRACE,
    STATE(2930), 1,
      sym_class_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [245426] = 3,
    ACTIONS(8494), 1,
      anon_sym_LBRACE,
    STATE(2675), 1,
      sym_class_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [245439] = 3,
    ACTIONS(11374), 1,
      anon_sym_COLON,
    ACTIONS(11376), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [245452] = 3,
    ACTIONS(7732), 1,
      anon_sym_LBRACE,
    STATE(5682), 1,
      sym__block,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [245465] = 3,
    ACTIONS(9480), 1,
      anon_sym_LBRACE,
    STATE(7198), 1,
      sym_computed_property,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [245478] = 3,
    ACTIONS(9629), 1,
      anon_sym_LBRACE,
    STATE(6306), 1,
      sym_enum_class_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [245491] = 3,
    ACTIONS(4874), 1,
      anon_sym_LPAREN,
    STATE(1653), 1,
      aux_sym__function_value_parameters,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [245504] = 3,
    ACTIONS(11378), 1,
      anon_sym_COLON,
    ACTIONS(11380), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [245517] = 3,
    ACTIONS(11382), 1,
      anon_sym_COLON,
    ACTIONS(11384), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [245530] = 3,
    ACTIONS(8547), 1,
      anon_sym_LBRACE,
    STATE(6126), 1,
      sym_class_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [245543] = 3,
    ACTIONS(9613), 1,
      anon_sym_LBRACE,
    STATE(2675), 1,
      sym_enum_class_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [245556] = 2,
    ACTIONS(7556), 2,
      sym_else,
      anon_sym_COMMA,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [245567] = 3,
    ACTIONS(8664), 1,
      anon_sym_LPAREN,
    STATE(4612), 1,
      aux_sym__function_value_parameters,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [245580] = 3,
    ACTIONS(11386), 1,
      anon_sym_COLON,
    ACTIONS(11388), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [245593] = 3,
    ACTIONS(9617), 1,
      anon_sym_LBRACE,
    STATE(2693), 1,
      sym_protocol_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [245606] = 3,
    ACTIONS(11390), 1,
      anon_sym_COLON,
    ACTIONS(11392), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [245619] = 3,
    ACTIONS(8494), 1,
      anon_sym_LBRACE,
    STATE(2695), 1,
      sym_class_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [245632] = 2,
    ACTIONS(11394), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [245643] = 3,
    ACTIONS(11396), 1,
      anon_sym_COLON,
    ACTIONS(11398), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [245656] = 3,
    ACTIONS(9613), 1,
      anon_sym_LBRACE,
    STATE(2696), 1,
      sym_enum_class_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [245669] = 2,
    ACTIONS(11400), 2,
      anon_sym_COMMA,
      anon_sym_GT,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [245680] = 3,
    ACTIONS(4874), 1,
      anon_sym_LPAREN,
    STATE(1669), 1,
      aux_sym__function_value_parameters,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [245693] = 2,
    ACTIONS(11402), 2,
      anon_sym_Type,
      anon_sym_Protocol,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [245704] = 3,
    ACTIONS(11404), 1,
      anon_sym_COLON,
    ACTIONS(11406), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [245717] = 3,
    ACTIONS(9617), 1,
      anon_sym_LBRACE,
    STATE(2742), 1,
      sym_protocol_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [245730] = 3,
    ACTIONS(9449), 1,
      anon_sym_LBRACE,
    STATE(6583), 1,
      sym_computed_property,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [245743] = 3,
    ACTIONS(9687), 1,
      anon_sym_LBRACE,
    STATE(6995), 1,
      sym_protocol_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [245756] = 3,
    ACTIONS(11408), 1,
      anon_sym_COLON,
    ACTIONS(11410), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [245769] = 3,
    ACTIONS(11412), 1,
      anon_sym_COLON,
    ACTIONS(11414), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [245782] = 3,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    STATE(6431), 1,
      sym__block,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [245795] = 3,
    ACTIONS(9480), 1,
      anon_sym_LBRACE,
    STATE(7172), 1,
      sym_computed_property,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [245808] = 3,
    ACTIONS(8494), 1,
      anon_sym_LBRACE,
    STATE(2749), 1,
      sym_class_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [245821] = 3,
    ACTIONS(4874), 1,
      anon_sym_LPAREN,
    STATE(1657), 1,
      aux_sym__function_value_parameters,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [245834] = 2,
    ACTIONS(11416), 2,
      anon_sym_Type,
      anon_sym_Protocol,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [245845] = 3,
    ACTIONS(11418), 1,
      anon_sym_COLON,
    ACTIONS(11420), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [245858] = 3,
    ACTIONS(9449), 1,
      anon_sym_LBRACE,
    STATE(6614), 1,
      sym_computed_property,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [245871] = 3,
    ACTIONS(9449), 1,
      anon_sym_LBRACE,
    STATE(6627), 1,
      sym_computed_property,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [245884] = 3,
    ACTIONS(9613), 1,
      anon_sym_LBRACE,
    STATE(2749), 1,
      sym_enum_class_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [245897] = 2,
    ACTIONS(11422), 2,
      anon_sym_Type,
      anon_sym_Protocol,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [245908] = 3,
    ACTIONS(11424), 1,
      anon_sym_COLON,
    ACTIONS(11426), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [245921] = 3,
    ACTIONS(9617), 1,
      anon_sym_LBRACE,
    STATE(2779), 1,
      sym_protocol_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [245934] = 2,
    ACTIONS(11428), 2,
      anon_sym_Type,
      anon_sym_Protocol,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [245945] = 3,
    ACTIONS(8494), 1,
      anon_sym_LBRACE,
    STATE(2780), 1,
      sym_class_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [245958] = 3,
    ACTIONS(11430), 1,
      anon_sym_COLON,
    ACTIONS(11432), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [245971] = 3,
    ACTIONS(9480), 1,
      anon_sym_LBRACE,
    STATE(7160), 1,
      sym_computed_property,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [245984] = 2,
    ACTIONS(11434), 2,
      anon_sym_Type,
      anon_sym_Protocol,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [245995] = 3,
    ACTIONS(11436), 1,
      anon_sym_COLON,
    ACTIONS(11438), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [246008] = 3,
    ACTIONS(9613), 1,
      anon_sym_LBRACE,
    STATE(2781), 1,
      sym_enum_class_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [246021] = 3,
    ACTIONS(4874), 1,
      anon_sym_LPAREN,
    STATE(1637), 1,
      aux_sym__function_value_parameters,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [246034] = 2,
    ACTIONS(11440), 2,
      anon_sym_Type,
      anon_sym_Protocol,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [246045] = 3,
    ACTIONS(9617), 1,
      anon_sym_LBRACE,
    STATE(2818), 1,
      sym_protocol_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [246058] = 2,
    ACTIONS(9702), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [246069] = 3,
    ACTIONS(11442), 1,
      anon_sym_COLON,
    ACTIONS(11444), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [246082] = 3,
    ACTIONS(11446), 1,
      anon_sym_COLON,
    ACTIONS(11448), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [246095] = 3,
    ACTIONS(8494), 1,
      anon_sym_LBRACE,
    STATE(2826), 1,
      sym_class_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [246108] = 3,
    ACTIONS(9613), 1,
      anon_sym_LBRACE,
    STATE(2826), 1,
      sym_enum_class_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [246121] = 3,
    ACTIONS(11450), 1,
      sym_raw_str_interpolation_start,
    STATE(6543), 1,
      sym_raw_str_interpolation,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [246134] = 3,
    ACTIONS(9617), 1,
      anon_sym_LBRACE,
    STATE(2843), 1,
      sym_protocol_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [246147] = 3,
    ACTIONS(8494), 1,
      anon_sym_LBRACE,
    STATE(2844), 1,
      sym_class_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [246160] = 3,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    STATE(6466), 1,
      sym__block,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [246173] = 3,
    ACTIONS(9449), 1,
      anon_sym_LBRACE,
    STATE(6656), 1,
      sym_computed_property,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [246186] = 3,
    ACTIONS(9449), 1,
      anon_sym_LBRACE,
    STATE(6660), 1,
      sym_computed_property,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [246199] = 2,
    ACTIONS(11452), 2,
      anon_sym_Type,
      anon_sym_Protocol,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [246210] = 3,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    STATE(6463), 1,
      sym__block,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [246223] = 2,
    ACTIONS(5482), 2,
      sym_where_keyword,
      anon_sym_LBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [246234] = 2,
    ACTIONS(11454), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [246245] = 3,
    ACTIONS(9617), 1,
      anon_sym_LBRACE,
    STATE(2873), 1,
      sym_protocol_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [246258] = 3,
    ACTIONS(9495), 1,
      anon_sym_LBRACE,
    STATE(2739), 1,
      sym_computed_property,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [246271] = 2,
    ACTIONS(7548), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [246282] = 2,
    ACTIONS(11456), 2,
      anon_sym_Type,
      anon_sym_Protocol,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [246293] = 3,
    ACTIONS(8184), 1,
      sym__dot_custom,
    STATE(4751), 1,
      sym__dot,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [246306] = 3,
    ACTIONS(8547), 1,
      anon_sym_LBRACE,
    STATE(6141), 1,
      sym_class_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [246319] = 3,
    ACTIONS(9629), 1,
      anon_sym_LBRACE,
    STATE(6143), 1,
      sym_enum_class_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [246332] = 3,
    ACTIONS(11458), 1,
      anon_sym_COLON,
    ACTIONS(11460), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [246345] = 3,
    ACTIONS(9613), 1,
      anon_sym_LBRACE,
    STATE(2885), 1,
      sym_enum_class_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [246358] = 3,
    ACTIONS(9617), 1,
      anon_sym_LBRACE,
    STATE(2669), 1,
      sym_protocol_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [246371] = 3,
    ACTIONS(9820), 1,
      anon_sym_LBRACE,
    STATE(6902), 1,
      sym_protocol_property_requirements,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [246384] = 2,
    ACTIONS(11462), 2,
      anon_sym_Type,
      anon_sym_Protocol,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [246395] = 3,
    ACTIONS(9435), 1,
      sym__as_custom,
    STATE(3784), 1,
      sym__as,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [246408] = 3,
    ACTIONS(11464), 1,
      anon_sym_COLON,
    ACTIONS(11466), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [246421] = 3,
    ACTIONS(4876), 1,
      anon_sym_LBRACE,
    STATE(4184), 1,
      sym__block,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [246434] = 3,
    ACTIONS(9687), 1,
      anon_sym_LBRACE,
    STATE(6940), 1,
      sym_protocol_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [246447] = 3,
    ACTIONS(11468), 1,
      anon_sym_COLON,
    ACTIONS(11470), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [246460] = 2,
    ACTIONS(11472), 2,
      anon_sym_Type,
      anon_sym_Protocol,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [246471] = 3,
    ACTIONS(11474), 1,
      anon_sym_case,
    ACTIONS(11476), 1,
      anon_sym_enum,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [246484] = 3,
    ACTIONS(11478), 1,
      anon_sym_COLON,
    ACTIONS(11480), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [246497] = 3,
    ACTIONS(9629), 1,
      anon_sym_LBRACE,
    STATE(6451), 1,
      sym_enum_class_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [246510] = 3,
    ACTIONS(4876), 1,
      anon_sym_LBRACE,
    STATE(4173), 1,
      sym__block,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [246523] = 3,
    ACTIONS(10201), 1,
      sym__arrow_operator_custom,
    STATE(3747), 1,
      sym__arrow_operator,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [246536] = 2,
    ACTIONS(7532), 2,
      sym_else,
      anon_sym_COMMA,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [246547] = 2,
    ACTIONS(11482), 2,
      anon_sym_Type,
      anon_sym_Protocol,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [246558] = 3,
    ACTIONS(9629), 1,
      anon_sym_LBRACE,
    STATE(6382), 1,
      sym_enum_class_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [246571] = 3,
    ACTIONS(11484), 1,
      anon_sym_COMMA,
    ACTIONS(11486), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [246584] = 3,
    ACTIONS(11488), 1,
      anon_sym_COLON,
    ACTIONS(11490), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [246597] = 2,
    ACTIONS(7528), 2,
      sym_else,
      anon_sym_COMMA,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [246608] = 3,
    ACTIONS(11492), 1,
      sym__dot_custom,
    STATE(4736), 1,
      sym__dot,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [246621] = 2,
    ACTIONS(10908), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [246632] = 3,
    ACTIONS(11494), 1,
      anon_sym_COMMA,
    ACTIONS(11496), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [246645] = 3,
    ACTIONS(11498), 1,
      sym__eq_custom,
    STATE(3749), 1,
      sym__equal_sign,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [246658] = 3,
    ACTIONS(11500), 1,
      anon_sym_COLON,
    ACTIONS(11502), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [246671] = 2,
    ACTIONS(11504), 2,
      anon_sym_Type,
      anon_sym_Protocol,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [246682] = 3,
    ACTIONS(11506), 1,
      anon_sym_COLON,
    ACTIONS(11508), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [246695] = 3,
    ACTIONS(10211), 1,
      sym__arrow_operator_custom,
    STATE(3857), 1,
      sym__arrow_operator,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [246708] = 3,
    ACTIONS(9629), 1,
      anon_sym_LBRACE,
    STATE(6259), 1,
      sym_enum_class_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [246721] = 2,
    ACTIONS(9760), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [246732] = 3,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    STATE(6305), 1,
      sym__block,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [246745] = 2,
    ACTIONS(5670), 2,
      sym_where_keyword,
      anon_sym_LBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [246756] = 3,
    ACTIONS(11510), 1,
      sym__arrow_operator_custom,
    STATE(3758), 1,
      sym__arrow_operator,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [246769] = 2,
    ACTIONS(11512), 2,
      anon_sym_Type,
      anon_sym_Protocol,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [246780] = 3,
    ACTIONS(11514), 1,
      sym__arrow_operator_custom,
    STATE(3817), 1,
      sym__arrow_operator,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [246793] = 2,
    ACTIONS(11516), 2,
      anon_sym_Type,
      anon_sym_Protocol,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [246804] = 2,
    ACTIONS(6020), 2,
      sym__arrow_operator_custom,
      anon_sym_in,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [246815] = 3,
    ACTIONS(11518), 1,
      anon_sym_COLON,
    ACTIONS(11520), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [246828] = 3,
    ACTIONS(10163), 1,
      sym__arrow_operator_custom,
    STATE(3818), 1,
      sym__arrow_operator,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [246841] = 3,
    ACTIONS(7718), 1,
      anon_sym_get,
    ACTIONS(7720), 1,
      anon_sym_set,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [246854] = 2,
    ACTIONS(9768), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [246865] = 2,
    ACTIONS(10983), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [246876] = 3,
    ACTIONS(9820), 1,
      anon_sym_LBRACE,
    STATE(6494), 1,
      sym_protocol_property_requirements,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [246889] = 3,
    ACTIONS(7983), 1,
      anon_sym_case,
    ACTIONS(11476), 1,
      anon_sym_enum,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [246902] = 2,
    ACTIONS(11522), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [246913] = 3,
    ACTIONS(11524), 1,
      sym__arrow_operator_custom,
    STATE(3825), 1,
      sym__arrow_operator,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [246926] = 3,
    ACTIONS(9447), 1,
      anon_sym_LPAREN,
    STATE(5481), 1,
      aux_sym__function_value_parameters,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [246939] = 3,
    ACTIONS(10169), 1,
      sym__arrow_operator_custom,
    STATE(3826), 1,
      sym__arrow_operator,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [246952] = 3,
    ACTIONS(7732), 1,
      anon_sym_LBRACE,
    STATE(5933), 1,
      sym__block,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [246965] = 3,
    ACTIONS(9613), 1,
      anon_sym_LBRACE,
    STATE(2845), 1,
      sym_enum_class_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [246978] = 3,
    ACTIONS(11526), 1,
      sym__arrow_operator_custom,
    STATE(3833), 1,
      sym__arrow_operator,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [246991] = 3,
    ACTIONS(10188), 1,
      sym__arrow_operator_custom,
    STATE(3834), 1,
      sym__arrow_operator,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [247004] = 3,
    ACTIONS(9820), 1,
      anon_sym_LBRACE,
    STATE(6540), 1,
      sym_protocol_property_requirements,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [247017] = 3,
    ACTIONS(11528), 1,
      anon_sym_COLON,
    ACTIONS(11530), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [247030] = 3,
    ACTIONS(9495), 1,
      anon_sym_LBRACE,
    STATE(2761), 1,
      sym_computed_property,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [247043] = 3,
    ACTIONS(9447), 1,
      anon_sym_LPAREN,
    STATE(5464), 1,
      aux_sym__function_value_parameters,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [247056] = 3,
    ACTIONS(8560), 1,
      anon_sym_LBRACE,
    STATE(3910), 1,
      sym_class_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [247069] = 2,
    ACTIONS(10943), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [247080] = 3,
    ACTIONS(9687), 1,
      anon_sym_LBRACE,
    STATE(6630), 1,
      sym_protocol_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [247093] = 3,
    ACTIONS(9495), 1,
      anon_sym_LBRACE,
    STATE(2751), 1,
      sym_computed_property,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [247106] = 3,
    ACTIONS(11532), 1,
      sym__arrow_operator_custom,
    STATE(3840), 1,
      sym__arrow_operator,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [247119] = 3,
    ACTIONS(8547), 1,
      anon_sym_LBRACE,
    STATE(6332), 1,
      sym_class_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [247132] = 3,
    ACTIONS(9629), 1,
      anon_sym_LBRACE,
    STATE(6331), 1,
      sym_enum_class_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [247145] = 3,
    ACTIONS(10203), 1,
      sym__arrow_operator_custom,
    STATE(3841), 1,
      sym__arrow_operator,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [247158] = 2,
    ACTIONS(11534), 2,
      anon_sym_Type,
      anon_sym_Protocol,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [247169] = 3,
    ACTIONS(10066), 1,
      anon_sym_LBRACE,
    STATE(3916), 1,
      sym__block,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [247182] = 2,
    ACTIONS(11536), 2,
      anon_sym_Type,
      anon_sym_Protocol,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [247193] = 3,
    ACTIONS(9495), 1,
      anon_sym_LBRACE,
    STATE(2726), 1,
      sym_computed_property,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [247206] = 3,
    ACTIONS(8664), 1,
      anon_sym_LPAREN,
    STATE(4665), 1,
      aux_sym__function_value_parameters,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [247219] = 3,
    ACTIONS(11538), 1,
      sym__arrow_operator_custom,
    STATE(3847), 1,
      sym__arrow_operator,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [247232] = 3,
    ACTIONS(10213), 1,
      sym__arrow_operator_custom,
    STATE(3848), 1,
      sym__arrow_operator,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [247245] = 3,
    ACTIONS(9495), 1,
      anon_sym_LBRACE,
    STATE(2713), 1,
      sym_computed_property,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [247258] = 3,
    ACTIONS(11540), 1,
      anon_sym_COLON,
    ACTIONS(11542), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [247271] = 3,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    STATE(6366), 1,
      sym__block,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [247284] = 3,
    ACTIONS(8547), 1,
      anon_sym_LBRACE,
    STATE(6381), 1,
      sym_class_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [247297] = 3,
    ACTIONS(9449), 1,
      anon_sym_LBRACE,
    STATE(6664), 1,
      sym_computed_property,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [247310] = 3,
    ACTIONS(11544), 1,
      sym__arrow_operator_custom,
    STATE(3858), 1,
      sym__arrow_operator,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [247323] = 3,
    ACTIONS(10227), 1,
      sym__arrow_operator_custom,
    STATE(3860), 1,
      sym__arrow_operator,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [247336] = 3,
    ACTIONS(9637), 1,
      anon_sym_LBRACE,
    STATE(7115), 1,
      sym_protocol_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [247349] = 2,
    ACTIONS(11546), 2,
      sym_raw_str_part,
      sym_raw_str_end_part,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [247360] = 3,
    ACTIONS(9449), 1,
      anon_sym_LBRACE,
    STATE(6704), 1,
      sym_computed_property,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [247373] = 2,
    ACTIONS(11548), 2,
      anon_sym_Type,
      anon_sym_Protocol,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [247384] = 3,
    ACTIONS(9641), 1,
      anon_sym_LBRACE,
    STATE(7070), 1,
      sym_enum_class_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [247397] = 3,
    ACTIONS(11550), 1,
      sym__arrow_operator_custom,
    STATE(3866), 1,
      sym__arrow_operator,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [247410] = 2,
    ACTIONS(7528), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [247421] = 2,
    ACTIONS(11552), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [247432] = 3,
    ACTIONS(10243), 1,
      sym__arrow_operator_custom,
    STATE(3867), 1,
      sym__arrow_operator,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [247445] = 3,
    ACTIONS(9659), 1,
      anon_sym_LBRACE,
    STATE(3910), 1,
      sym_enum_class_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [247458] = 3,
    ACTIONS(11554), 1,
      anon_sym_COLON,
    ACTIONS(11556), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [247471] = 3,
    ACTIONS(10066), 1,
      anon_sym_LBRACE,
    STATE(3895), 1,
      sym__block,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [247484] = 2,
    ACTIONS(7532), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [247495] = 3,
    ACTIONS(8560), 1,
      anon_sym_LBRACE,
    STATE(3929), 1,
      sym_class_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [247508] = 3,
    ACTIONS(10066), 1,
      anon_sym_LBRACE,
    STATE(3920), 1,
      sym__block,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [247521] = 2,
    ACTIONS(11558), 2,
      anon_sym_Type,
      anon_sym_Protocol,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [247532] = 3,
    ACTIONS(11560), 1,
      sym__dot_custom,
    STATE(4840), 1,
      sym__dot,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [247545] = 3,
    ACTIONS(9196), 1,
      sym__as_custom,
    STATE(3735), 1,
      sym__as,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [247558] = 2,
    ACTIONS(11562), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [247569] = 3,
    ACTIONS(11564), 1,
      sym__arrow_operator_custom,
    STATE(3876), 1,
      sym__arrow_operator,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [247582] = 3,
    ACTIONS(11566), 1,
      anon_sym_COLON,
    ACTIONS(11568), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [247595] = 2,
    ACTIONS(11570), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [247606] = 3,
    ACTIONS(9856), 1,
      sym__arrow_operator_custom,
    STATE(3877), 1,
      sym__arrow_operator,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [247619] = 3,
    ACTIONS(9109), 1,
      anon_sym_LPAREN,
    STATE(5157), 1,
      aux_sym__function_value_parameters,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [247632] = 3,
    ACTIONS(8560), 1,
      anon_sym_LBRACE,
    STATE(3932), 1,
      sym_class_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [247645] = 3,
    ACTIONS(9480), 1,
      anon_sym_LBRACE,
    STATE(7218), 1,
      sym_computed_property,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [247658] = 2,
    ACTIONS(11572), 2,
      anon_sym_Type,
      anon_sym_Protocol,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [247669] = 3,
    ACTIONS(11574), 1,
      anon_sym_COLON,
    ACTIONS(11576), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [247682] = 3,
    ACTIONS(11578), 1,
      anon_sym_COLON,
    ACTIONS(11580), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [247695] = 2,
    ACTIONS(10831), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [247706] = 3,
    ACTIONS(8547), 1,
      anon_sym_LBRACE,
    STATE(6451), 1,
      sym_class_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [247719] = 3,
    ACTIONS(9447), 1,
      anon_sym_LPAREN,
    STATE(5470), 1,
      aux_sym__function_value_parameters,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [247732] = 3,
    ACTIONS(11582), 1,
      sym__arrow_operator_custom,
    STATE(3885), 1,
      sym__arrow_operator,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [247745] = 3,
    ACTIONS(10233), 1,
      sym__arrow_operator_custom,
    STATE(3886), 1,
      sym__arrow_operator,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [247758] = 3,
    ACTIONS(10066), 1,
      anon_sym_LBRACE,
    STATE(3921), 1,
      sym__block,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [247771] = 3,
    ACTIONS(9480), 1,
      anon_sym_LBRACE,
    STATE(7081), 1,
      sym_computed_property,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [247784] = 2,
    ACTIONS(11584), 2,
      anon_sym_Type,
      anon_sym_Protocol,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [247795] = 3,
    ACTIONS(11586), 1,
      sym__arrow_operator_custom,
    STATE(3884), 1,
      sym__arrow_operator,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [247808] = 3,
    ACTIONS(10235), 1,
      sym__arrow_operator_custom,
    STATE(3872), 1,
      sym__arrow_operator,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [247821] = 3,
    ACTIONS(9495), 1,
      anon_sym_LBRACE,
    STATE(2950), 1,
      sym_computed_property,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [247834] = 3,
    ACTIONS(8560), 1,
      anon_sym_LBRACE,
    STATE(3936), 1,
      sym_class_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [247847] = 3,
    ACTIONS(9659), 1,
      anon_sym_LBRACE,
    STATE(3937), 1,
      sym_enum_class_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [247860] = 3,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    STATE(6209), 1,
      sym__block,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [247873] = 3,
    ACTIONS(8664), 1,
      anon_sym_LPAREN,
    STATE(4717), 1,
      aux_sym__function_value_parameters,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [247886] = 3,
    ACTIONS(11588), 1,
      sym__arrow_operator_custom,
    STATE(3806), 1,
      sym__arrow_operator,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [247899] = 3,
    ACTIONS(10205), 1,
      sym__arrow_operator_custom,
    STATE(3788), 1,
      sym__arrow_operator,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [247912] = 3,
    ACTIONS(9495), 1,
      anon_sym_LBRACE,
    STATE(2782), 1,
      sym_computed_property,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [247925] = 3,
    ACTIONS(9687), 1,
      anon_sym_LBRACE,
    STATE(7044), 1,
      sym_protocol_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [247938] = 3,
    ACTIONS(11590), 1,
      anon_sym_case,
    ACTIONS(11592), 1,
      sym_default_keyword,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [247951] = 3,
    ACTIONS(9641), 1,
      anon_sym_LBRACE,
    STATE(6675), 1,
      sym_enum_class_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [247964] = 3,
    ACTIONS(7758), 1,
      anon_sym_LBRACE,
    STATE(3356), 1,
      sym__block,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [247977] = 2,
    ACTIONS(11594), 2,
      anon_sym_Type,
      anon_sym_Protocol,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [247988] = 3,
    ACTIONS(11596), 1,
      sym__arrow_operator_custom,
    STATE(3746), 1,
      sym__arrow_operator,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [248001] = 3,
    ACTIONS(10199), 1,
      sym__arrow_operator_custom,
    STATE(3745), 1,
      sym__arrow_operator,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [248014] = 3,
    ACTIONS(8560), 1,
      anon_sym_LBRACE,
    STATE(3938), 1,
      sym_class_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [248027] = 3,
    ACTIONS(8169), 1,
      sym__dot_custom,
    STATE(4772), 1,
      sym__dot,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [248040] = 3,
    ACTIONS(9637), 1,
      anon_sym_LBRACE,
    STATE(7034), 1,
      sym_protocol_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [248053] = 3,
    ACTIONS(9659), 1,
      anon_sym_LBRACE,
    STATE(3938), 1,
      sym_enum_class_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [248066] = 3,
    ACTIONS(11598), 1,
      anon_sym_COLON,
    ACTIONS(11600), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [248079] = 3,
    ACTIONS(8560), 1,
      anon_sym_LBRACE,
    STATE(3941), 1,
      sym_class_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [248092] = 3,
    ACTIONS(11602), 1,
      sym__arrow_operator_custom,
    STATE(3733), 1,
      sym__arrow_operator,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [248105] = 2,
    ACTIONS(5357), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [248116] = 3,
    ACTIONS(9519), 1,
      sym__as_custom,
    STATE(3824), 1,
      sym__as,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [248129] = 3,
    ACTIONS(10186), 1,
      sym__arrow_operator_custom,
    STATE(3726), 1,
      sym__arrow_operator,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [248142] = 3,
    ACTIONS(9659), 1,
      anon_sym_LBRACE,
    STATE(3942), 1,
      sym_enum_class_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [248155] = 2,
    ACTIONS(11604), 2,
      anon_sym_LPAREN,
      anon_sym_LT,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [248166] = 3,
    ACTIONS(8560), 1,
      anon_sym_LBRACE,
    STATE(3943), 1,
      sym_class_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [248179] = 2,
    ACTIONS(11606), 2,
      anon_sym_Type,
      anon_sym_Protocol,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [248190] = 3,
    ACTIONS(10114), 1,
      sym__arrow_operator_custom,
    STATE(3789), 1,
      sym__arrow_operator,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [248203] = 2,
    ACTIONS(7540), 2,
      sym_else,
      anon_sym_COMMA,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [248214] = 3,
    ACTIONS(11608), 1,
      sym__eq_custom,
    STATE(3823), 1,
      sym__equal_sign,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [248227] = 3,
    ACTIONS(11610), 1,
      sym__dot_custom,
    STATE(4850), 1,
      sym__dot,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [248240] = 3,
    ACTIONS(11612), 1,
      sym__eq_custom,
    STATE(3790), 1,
      sym__equal_sign,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [248253] = 2,
    ACTIONS(7548), 2,
      sym_else,
      anon_sym_COMMA,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [248264] = 3,
    ACTIONS(11614), 1,
      sym__arrow_operator_custom,
    STATE(3693), 1,
      sym__arrow_operator,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [248277] = 3,
    ACTIONS(10182), 1,
      sym__arrow_operator_custom,
    STATE(3692), 1,
      sym__arrow_operator,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [248290] = 3,
    ACTIONS(11616), 1,
      anon_sym_COLON,
    ACTIONS(11618), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [248303] = 3,
    ACTIONS(9659), 1,
      anon_sym_LBRACE,
    STATE(3943), 1,
      sym_enum_class_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [248316] = 3,
    ACTIONS(8560), 1,
      anon_sym_LBRACE,
    STATE(3944), 1,
      sym_class_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [248329] = 3,
    ACTIONS(8664), 1,
      anon_sym_LPAREN,
    STATE(4659), 1,
      aux_sym__function_value_parameters,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [248342] = 3,
    ACTIONS(9659), 1,
      anon_sym_LBRACE,
    STATE(3945), 1,
      sym_enum_class_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [248355] = 3,
    ACTIONS(11620), 1,
      sym__arrow_operator_custom,
    STATE(3795), 1,
      sym__arrow_operator,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [248368] = 3,
    ACTIONS(11622), 1,
      anon_sym_COMMA,
    ACTIONS(11624), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [248381] = 3,
    ACTIONS(9659), 1,
      anon_sym_LBRACE,
    STATE(3946), 1,
      sym_enum_class_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [248394] = 3,
    ACTIONS(11626), 1,
      sym__arrow_operator_custom,
    STATE(3658), 1,
      sym__arrow_operator,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [248407] = 3,
    ACTIONS(11628), 1,
      anon_sym_COLON,
    ACTIONS(11630), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [248420] = 2,
    ACTIONS(11632), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [248431] = 2,
    ACTIONS(11634), 2,
      anon_sym_Type,
      anon_sym_Protocol,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [248442] = 3,
    ACTIONS(9629), 1,
      anon_sym_LBRACE,
    STATE(6381), 1,
      sym_enum_class_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [248455] = 3,
    ACTIONS(9447), 1,
      anon_sym_LPAREN,
    STATE(5439), 1,
      aux_sym__function_value_parameters,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [248468] = 3,
    ACTIONS(10180), 1,
      sym__arrow_operator_custom,
    STATE(3657), 1,
      sym__arrow_operator,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [248481] = 3,
    ACTIONS(9641), 1,
      anon_sym_LBRACE,
    STATE(6937), 1,
      sym_enum_class_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [248494] = 3,
    ACTIONS(11636), 1,
      anon_sym_COLON,
    ACTIONS(11638), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [248507] = 3,
    ACTIONS(9687), 1,
      anon_sym_LBRACE,
    STATE(7085), 1,
      sym_protocol_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [248520] = 3,
    ACTIONS(9687), 1,
      anon_sym_LBRACE,
    STATE(6887), 1,
      sym_protocol_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [248533] = 3,
    ACTIONS(8648), 1,
      anon_sym_LBRACE,
    STATE(6935), 1,
      sym_class_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [248546] = 3,
    ACTIONS(9637), 1,
      anon_sym_LBRACE,
    STATE(6929), 1,
      sym_protocol_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [248559] = 3,
    ACTIONS(9641), 1,
      anon_sym_LBRACE,
    STATE(6872), 1,
      sym_enum_class_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [248572] = 2,
    ACTIONS(9744), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [248583] = 2,
    ACTIONS(11640), 2,
      anon_sym_Type,
      anon_sym_Protocol,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [248594] = 3,
    ACTIONS(8153), 1,
      sym__dot_custom,
    STATE(4861), 1,
      sym__dot,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [248607] = 3,
    ACTIONS(8775), 1,
      anon_sym_LPAREN,
    STATE(4894), 1,
      aux_sym__function_value_parameters,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [248620] = 3,
    ACTIONS(8547), 1,
      anon_sym_LBRACE,
    STATE(6378), 1,
      sym_class_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [248633] = 3,
    ACTIONS(8186), 1,
      sym__dot_custom,
    STATE(4905), 1,
      sym__dot,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [248646] = 3,
    ACTIONS(9687), 1,
      anon_sym_LBRACE,
    STATE(7192), 1,
      sym_protocol_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [248659] = 3,
    ACTIONS(9480), 1,
      anon_sym_LBRACE,
    STATE(6922), 1,
      sym_computed_property,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [248672] = 3,
    ACTIONS(11642), 1,
      sym__arrow_operator_custom,
    STATE(3628), 1,
      sym__arrow_operator,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [248685] = 3,
    ACTIONS(8664), 1,
      anon_sym_LPAREN,
    STATE(4616), 1,
      aux_sym__function_value_parameters,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [248698] = 3,
    ACTIONS(11644), 1,
      sym__as_custom,
    STATE(3845), 1,
      sym__as,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [248711] = 3,
    ACTIONS(11646), 1,
      anon_sym_COLON,
    ACTIONS(11648), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [248724] = 3,
    ACTIONS(8863), 1,
      anon_sym_LPAREN,
    STATE(4877), 1,
      aux_sym__function_value_parameters,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [248737] = 2,
    ACTIONS(7524), 2,
      sym_else,
      anon_sym_COMMA,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [248748] = 3,
    ACTIONS(8648), 1,
      anon_sym_LBRACE,
    STATE(6833), 1,
      sym_class_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [248761] = 3,
    ACTIONS(10042), 1,
      sym__arrow_operator_custom,
    STATE(3830), 1,
      sym__arrow_operator,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [248774] = 3,
    ACTIONS(10173), 1,
      sym__arrow_operator_custom,
    STATE(3622), 1,
      sym__arrow_operator,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [248787] = 3,
    ACTIONS(10066), 1,
      anon_sym_LBRACE,
    STATE(3914), 1,
      sym__block,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [248800] = 3,
    ACTIONS(11650), 1,
      sym__dot_custom,
    STATE(4883), 1,
      sym__dot,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [248813] = 3,
    ACTIONS(11652), 1,
      sym__eq_custom,
    STATE(3831), 1,
      sym__equal_sign,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [248826] = 3,
    ACTIONS(10066), 1,
      anon_sym_LBRACE,
    STATE(3904), 1,
      sym__block,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [248839] = 3,
    ACTIONS(10066), 1,
      anon_sym_LBRACE,
    STATE(3896), 1,
      sym__block,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [248852] = 3,
    ACTIONS(11654), 1,
      sym__arrow_operator_custom,
    STATE(3597), 1,
      sym__arrow_operator,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [248865] = 3,
    ACTIONS(10171), 1,
      sym__arrow_operator_custom,
    STATE(3587), 1,
      sym__arrow_operator,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [248878] = 3,
    ACTIONS(8648), 1,
      anon_sym_LBRACE,
    STATE(6872), 1,
      sym_class_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [248891] = 3,
    ACTIONS(8664), 1,
      anon_sym_LPAREN,
    STATE(4689), 1,
      aux_sym__function_value_parameters,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [248904] = 3,
    ACTIONS(11656), 1,
      sym__arrow_operator_custom,
    STATE(3836), 1,
      sym__arrow_operator,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [248917] = 3,
    ACTIONS(11658), 1,
      anon_sym_COMMA,
    ACTIONS(11660), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [248930] = 3,
    ACTIONS(11662), 1,
      anon_sym_COLON,
    ACTIONS(11664), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [248943] = 3,
    ACTIONS(11666), 1,
      sym__arrow_operator_custom,
    STATE(3536), 1,
      sym__arrow_operator,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [248956] = 2,
    ACTIONS(11668), 2,
      anon_sym_Type,
      anon_sym_Protocol,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [248967] = 2,
    ACTIONS(11670), 2,
      anon_sym_Type,
      anon_sym_Protocol,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [248978] = 3,
    ACTIONS(10030), 1,
      sym__arrow_operator_custom,
    STATE(3676), 1,
      sym__arrow_operator,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [248991] = 3,
    ACTIONS(10167), 1,
      sym__arrow_operator_custom,
    STATE(3534), 1,
      sym__arrow_operator,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [249004] = 3,
    ACTIONS(7732), 1,
      anon_sym_LBRACE,
    STATE(5874), 1,
      sym__block,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [249017] = 3,
    ACTIONS(9447), 1,
      anon_sym_LPAREN,
    STATE(5434), 1,
      aux_sym__function_value_parameters,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [249030] = 3,
    ACTIONS(11672), 1,
      anon_sym_COLON,
    ACTIONS(11674), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [249043] = 3,
    ACTIONS(11676), 1,
      anon_sym_COMMA,
    ACTIONS(11678), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [249056] = 3,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    STATE(6138), 1,
      sym__block,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [249069] = 3,
    ACTIONS(10066), 1,
      anon_sym_LBRACE,
    STATE(3918), 1,
      sym__block,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [249082] = 3,
    ACTIONS(11680), 1,
      sym__arrow_operator_custom,
    STATE(3512), 1,
      sym__arrow_operator,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [249095] = 3,
    ACTIONS(8182), 1,
      sym__dot_custom,
    STATE(4824), 1,
      sym__dot,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [249108] = 3,
    ACTIONS(9480), 1,
      anon_sym_LBRACE,
    STATE(6951), 1,
      sym_computed_property,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [249121] = 3,
    ACTIONS(11682), 1,
      anon_sym_willSet,
    ACTIONS(11684), 1,
      anon_sym_didSet,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [249134] = 3,
    ACTIONS(10056), 1,
      sym__as_custom,
    STATE(3681), 1,
      sym__as,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [249147] = 3,
    ACTIONS(10159), 1,
      sym__arrow_operator_custom,
    STATE(3509), 1,
      sym__arrow_operator,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [249160] = 2,
    ACTIONS(10273), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [249171] = 3,
    ACTIONS(8775), 1,
      anon_sym_LPAREN,
    STATE(4770), 1,
      aux_sym__function_value_parameters,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [249184] = 3,
    ACTIONS(9996), 1,
      sym__arrow_operator_custom,
    STATE(3846), 1,
      sym__arrow_operator,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [249197] = 3,
    ACTIONS(9641), 1,
      anon_sym_LBRACE,
    STATE(6833), 1,
      sym_enum_class_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [249210] = 3,
    ACTIONS(11686), 1,
      sym__dot_custom,
    STATE(4822), 1,
      sym__dot,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [249223] = 3,
    ACTIONS(11688), 1,
      anon_sym_COLON,
    ACTIONS(11690), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [249236] = 3,
    ACTIONS(9495), 1,
      anon_sym_LBRACE,
    STATE(2707), 1,
      sym_computed_property,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [249249] = 2,
    ACTIONS(9824), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [249260] = 3,
    ACTIONS(11692), 1,
      sym__arrow_operator_custom,
    STATE(3852), 1,
      sym__arrow_operator,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [249273] = 3,
    ACTIONS(11694), 1,
      sym__arrow_operator_custom,
    STATE(3503), 1,
      sym__arrow_operator,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [249286] = 3,
    ACTIONS(10154), 1,
      sym__arrow_operator_custom,
    STATE(3502), 1,
      sym__arrow_operator,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [249299] = 3,
    ACTIONS(9449), 1,
      anon_sym_LBRACE,
    STATE(6737), 1,
      sym_computed_property,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [249312] = 3,
    ACTIONS(9637), 1,
      anon_sym_LBRACE,
    STATE(6537), 1,
      sym_protocol_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [249325] = 2,
    ACTIONS(11696), 2,
      anon_sym_Type,
      anon_sym_Protocol,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [249336] = 2,
    ACTIONS(10505), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [249347] = 3,
    ACTIONS(8648), 1,
      anon_sym_LBRACE,
    STATE(6879), 1,
      sym_class_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [249360] = 3,
    ACTIONS(8775), 1,
      anon_sym_LPAREN,
    STATE(4896), 1,
      aux_sym__function_value_parameters,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [249373] = 2,
    ACTIONS(7556), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [249384] = 3,
    ACTIONS(9637), 1,
      anon_sym_LBRACE,
    STATE(6843), 1,
      sym_protocol_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [249397] = 3,
    ACTIONS(8196), 1,
      sym__dot_custom,
    STATE(4759), 1,
      sym__dot,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [249410] = 3,
    ACTIONS(11698), 1,
      sym__arrow_operator_custom,
    STATE(3496), 1,
      sym__arrow_operator,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [249423] = 3,
    ACTIONS(10140), 1,
      sym__arrow_operator_custom,
    STATE(3494), 1,
      sym__arrow_operator,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [249436] = 3,
    ACTIONS(11700), 1,
      sym__as_custom,
    STATE(3880), 1,
      sym__as,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [249449] = 3,
    ACTIONS(11702), 1,
      sym__arrow_operator_custom,
    STATE(3499), 1,
      sym__arrow_operator,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [249462] = 3,
    ACTIONS(10138), 1,
      sym__arrow_operator_custom,
    STATE(3497), 1,
      sym__arrow_operator,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [249475] = 3,
    ACTIONS(8775), 1,
      anon_sym_LPAREN,
    STATE(4846), 1,
      aux_sym__function_value_parameters,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [249488] = 3,
    ACTIONS(9910), 1,
      sym__arrow_operator_custom,
    STATE(3864), 1,
      sym__arrow_operator,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [249501] = 3,
    ACTIONS(4876), 1,
      anon_sym_LBRACE,
    STATE(4147), 1,
      sym__block,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [249514] = 3,
    ACTIONS(11704), 1,
      sym__dot_custom,
    STATE(4749), 1,
      sym__dot,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [249527] = 2,
    ACTIONS(11706), 2,
      anon_sym_Type,
      anon_sym_Protocol,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [249538] = 3,
    ACTIONS(4876), 1,
      anon_sym_LBRACE,
    STATE(4143), 1,
      sym__block,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [249551] = 3,
    ACTIONS(11708), 1,
      sym__arrow_operator_custom,
    STATE(3505), 1,
      sym__arrow_operator,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [249564] = 3,
    ACTIONS(11710), 1,
      sym__arrow_operator_custom,
    STATE(3868), 1,
      sym__arrow_operator,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [249577] = 3,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    STATE(6103), 1,
      sym__block,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [249590] = 3,
    ACTIONS(10132), 1,
      sym__arrow_operator_custom,
    STATE(3506), 1,
      sym__arrow_operator,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [249603] = 3,
    ACTIONS(11712), 1,
      sym__arrow_operator_custom,
    STATE(3514), 1,
      sym__arrow_operator,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [249616] = 3,
    ACTIONS(8648), 1,
      anon_sym_LBRACE,
    STATE(7027), 1,
      sym_class_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [249629] = 3,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    STATE(6102), 1,
      sym__block,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [249642] = 3,
    ACTIONS(11714), 1,
      anon_sym_COLON,
    ACTIONS(11716), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [249655] = 3,
    ACTIONS(11718), 1,
      anon_sym_COMMA,
    ACTIONS(11720), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [249668] = 3,
    ACTIONS(10124), 1,
      sym__arrow_operator_custom,
    STATE(3516), 1,
      sym__arrow_operator,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [249681] = 3,
    ACTIONS(9637), 1,
      anon_sym_LBRACE,
    STATE(6670), 1,
      sym_protocol_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [249694] = 3,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    STATE(6140), 1,
      sym__block,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [249707] = 3,
    ACTIONS(8188), 1,
      sym__dot_custom,
    STATE(4831), 1,
      sym__dot,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [249720] = 3,
    ACTIONS(11722), 1,
      sym__arrow_operator_custom,
    STATE(3520), 1,
      sym__arrow_operator,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [249733] = 3,
    ACTIONS(11724), 1,
      anon_sym_COMMA,
    ACTIONS(11726), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [249746] = 3,
    ACTIONS(9756), 1,
      sym__as_custom,
    STATE(3863), 1,
      sym__as,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [249759] = 3,
    ACTIONS(10112), 1,
      sym__arrow_operator_custom,
    STATE(3545), 1,
      sym__arrow_operator,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [249772] = 3,
    ACTIONS(11728), 1,
      sym__arrow_operator_custom,
    STATE(3805), 1,
      sym__arrow_operator,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [249785] = 2,
    ACTIONS(7540), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [249796] = 3,
    ACTIONS(9866), 1,
      sym__arrow_operator_custom,
    STATE(3881), 1,
      sym__arrow_operator,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [249809] = 3,
    ACTIONS(9641), 1,
      anon_sym_LBRACE,
    STATE(6518), 1,
      sym_enum_class_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [249822] = 3,
    ACTIONS(11730), 1,
      sym__dot_custom,
    STATE(4735), 1,
      sym__dot,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [249835] = 3,
    ACTIONS(11732), 1,
      sym__arrow_operator_custom,
    STATE(3558), 1,
      sym__arrow_operator,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [249848] = 3,
    ACTIONS(10106), 1,
      sym__arrow_operator_custom,
    STATE(3561), 1,
      sym__arrow_operator,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [249861] = 3,
    ACTIONS(10066), 1,
      anon_sym_LBRACE,
    STATE(3901), 1,
      sym__block,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [249874] = 3,
    ACTIONS(11734), 1,
      sym__arrow_operator_custom,
    STATE(3883), 1,
      sym__arrow_operator,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [249887] = 3,
    ACTIONS(7758), 1,
      anon_sym_LBRACE,
    STATE(3810), 1,
      sym__block,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [249900] = 3,
    ACTIONS(10066), 1,
      anon_sym_LBRACE,
    STATE(3907), 1,
      sym__block,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [249913] = 3,
    ACTIONS(11736), 1,
      anon_sym_COMMA,
    ACTIONS(11738), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [249926] = 3,
    ACTIONS(11740), 1,
      sym__arrow_operator_custom,
    STATE(3578), 1,
      sym__arrow_operator,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [249939] = 3,
    ACTIONS(10100), 1,
      sym__arrow_operator_custom,
    STATE(3583), 1,
      sym__arrow_operator,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [249952] = 3,
    ACTIONS(11742), 1,
      anon_sym_COLON,
    ACTIONS(11744), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [249965] = 2,
    ACTIONS(11746), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [249976] = 3,
    ACTIONS(7758), 1,
      anon_sym_LBRACE,
    STATE(3808), 1,
      sym__block,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [249989] = 3,
    ACTIONS(11748), 1,
      sym__arrow_operator_custom,
    STATE(3615), 1,
      sym__arrow_operator,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [250002] = 3,
    ACTIONS(8775), 1,
      anon_sym_LPAREN,
    STATE(4926), 1,
      aux_sym__function_value_parameters,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [250015] = 3,
    ACTIONS(11750), 1,
      sym__arrow_operator_custom,
    STATE(3619), 1,
      sym__arrow_operator,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [250028] = 3,
    ACTIONS(11752), 1,
      sym__as_custom,
    STATE(3829), 1,
      sym__as,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [250041] = 3,
    ACTIONS(10074), 1,
      sym__arrow_operator_custom,
    STATE(3620), 1,
      sym__arrow_operator,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [250054] = 3,
    ACTIONS(9641), 1,
      anon_sym_LBRACE,
    STATE(7027), 1,
      sym_enum_class_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [250067] = 2,
    ACTIONS(11754), 2,
      anon_sym_Type,
      anon_sym_Protocol,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [250078] = 3,
    ACTIONS(9916), 1,
      sym__arrow_operator_custom,
    STATE(3820), 1,
      sym__arrow_operator,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [250091] = 2,
    ACTIONS(11756), 2,
      anon_sym_Type,
      anon_sym_Protocol,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [250102] = 3,
    ACTIONS(8648), 1,
      anon_sym_LBRACE,
    STATE(6518), 1,
      sym_class_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [250115] = 3,
    ACTIONS(9629), 1,
      anon_sym_LBRACE,
    STATE(6227), 1,
      sym_enum_class_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [250128] = 3,
    ACTIONS(9637), 1,
      anon_sym_LBRACE,
    STATE(6845), 1,
      sym_protocol_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [250141] = 3,
    ACTIONS(11758), 1,
      sym__arrow_operator_custom,
    STATE(3814), 1,
      sym__arrow_operator,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [250154] = 3,
    ACTIONS(8648), 1,
      anon_sym_LBRACE,
    STATE(6837), 1,
      sym_class_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [250167] = 3,
    ACTIONS(9641), 1,
      anon_sym_LBRACE,
    STATE(6754), 1,
      sym_enum_class_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [250180] = 3,
    ACTIONS(11760), 1,
      sym__arrow_operator_custom,
    STATE(3636), 1,
      sym__arrow_operator,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [250193] = 3,
    ACTIONS(10058), 1,
      sym__arrow_operator_custom,
    STATE(3638), 1,
      sym__arrow_operator,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [250206] = 3,
    ACTIONS(11762), 1,
      anon_sym_COLON,
    ACTIONS(11764), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [250219] = 3,
    ACTIONS(11766), 1,
      anon_sym_COMMA,
    ACTIONS(11768), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [250232] = 3,
    ACTIONS(9637), 1,
      anon_sym_LBRACE,
    STATE(6490), 1,
      sym_protocol_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [250245] = 2,
    ACTIONS(11770), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [250256] = 3,
    ACTIONS(8648), 1,
      anon_sym_LBRACE,
    STATE(6674), 1,
      sym_class_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [250269] = 3,
    ACTIONS(8775), 1,
      anon_sym_LPAREN,
    STATE(4738), 1,
      aux_sym__function_value_parameters,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [250282] = 3,
    ACTIONS(7228), 1,
      sym__as_custom,
    STATE(3708), 1,
      sym__as,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [250295] = 2,
    ACTIONS(11772), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [250306] = 3,
    ACTIONS(9820), 1,
      anon_sym_LBRACE,
    STATE(7008), 1,
      sym_protocol_property_requirements,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [250319] = 3,
    ACTIONS(11774), 1,
      sym__arrow_operator_custom,
    STATE(3690), 1,
      sym__arrow_operator,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [250332] = 3,
    ACTIONS(10002), 1,
      sym__arrow_operator_custom,
    STATE(3707), 1,
      sym__arrow_operator,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [250345] = 3,
    ACTIONS(8547), 1,
      anon_sym_LBRACE,
    STATE(6259), 1,
      sym_class_body,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [250358] = 2,
    ACTIONS(8565), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [250368] = 2,
    ACTIONS(11776), 1,
      anon_sym_COLON,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [250378] = 3,
    ACTIONS(5), 1,
      sym_multiline_comment,
    ACTIONS(11778), 1,
      aux_sym__multiline_regex_literal_token2,
    ACTIONS(3), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [250390] = 2,
    ACTIONS(11780), 1,
      anon_sym_COLON,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [250400] = 2,
    ACTIONS(11782), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [250410] = 2,
    ACTIONS(11784), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [250420] = 2,
    ACTIONS(9437), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [250430] = 2,
    ACTIONS(11786), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [250440] = 2,
    ACTIONS(11788), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [250450] = 2,
    ACTIONS(11790), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [250460] = 2,
    ACTIONS(11792), 1,
      anon_sym_set,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [250470] = 2,
    ACTIONS(11794), 1,
      anon_sym_u,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [250480] = 2,
    ACTIONS(10251), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [250490] = 2,
    ACTIONS(11796), 1,
      anon_sym_COLON,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [250500] = 2,
    ACTIONS(11798), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [250510] = 2,
    ACTIONS(11800), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [250520] = 2,
    ACTIONS(11802), 1,
      anon_sym_COLON,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [250530] = 2,
    ACTIONS(9329), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [250540] = 2,
    ACTIONS(11804), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [250550] = 2,
    ACTIONS(11806), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [250560] = 2,
    ACTIONS(11808), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [250570] = 2,
    ACTIONS(11810), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [250580] = 2,
    ACTIONS(11812), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [250590] = 2,
    ACTIONS(11814), 1,
      anon_sym_COLON,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [250600] = 2,
    ACTIONS(11816), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [250610] = 2,
    ACTIONS(6056), 1,
      anon_sym_COLON,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [250620] = 2,
    ACTIONS(11818), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [250630] = 2,
    ACTIONS(1117), 1,
      anon_sym_COLON,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [250640] = 2,
    ACTIONS(9437), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [250650] = 2,
    ACTIONS(11820), 1,
      anon_sym_COLON,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [250660] = 2,
    ACTIONS(11822), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [250670] = 2,
    ACTIONS(11824), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [250680] = 2,
    ACTIONS(11826), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [250690] = 2,
    ACTIONS(11828), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [250700] = 2,
    ACTIONS(11830), 1,
      anon_sym_COLON,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [250710] = 3,
    ACTIONS(5), 1,
      sym_multiline_comment,
    ACTIONS(11832), 1,
      aux_sym__multiline_regex_literal_token2,
    ACTIONS(3), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [250722] = 2,
    ACTIONS(11834), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [250732] = 2,
    ACTIONS(9394), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [250742] = 2,
    ACTIONS(10257), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [250752] = 2,
    ACTIONS(10265), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [250762] = 2,
    ACTIONS(11836), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [250772] = 2,
    ACTIONS(10259), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [250782] = 3,
    ACTIONS(5), 1,
      sym_multiline_comment,
    ACTIONS(11838), 1,
      aux_sym__multiline_regex_literal_token2,
    ACTIONS(3), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [250794] = 2,
    ACTIONS(10257), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [250804] = 2,
    ACTIONS(11840), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [250814] = 2,
    ACTIONS(11842), 1,
      anon_sym_COLON,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [250824] = 2,
    ACTIONS(11844), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [250834] = 2,
    ACTIONS(11846), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [250844] = 2,
    ACTIONS(8567), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [250854] = 2,
    ACTIONS(11848), 1,
      sym_integer_literal,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [250864] = 2,
    ACTIONS(11850), 1,
      anon_sym_GT,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [250874] = 2,
    ACTIONS(11852), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [250884] = 2,
    ACTIONS(11854), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [250894] = 2,
    ACTIONS(11856), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [250904] = 2,
    ACTIONS(11858), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [250914] = 2,
    ACTIONS(11860), 1,
      anon_sym_COLON,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [250924] = 2,
    ACTIONS(11862), 1,
      anon_sym_in,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [250934] = 2,
    ACTIONS(9971), 1,
      anon_sym_GT,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [250944] = 2,
    ACTIONS(11864), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [250954] = 2,
    ACTIONS(11866), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [250964] = 2,
    ACTIONS(11868), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [250974] = 2,
    ACTIONS(11870), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [250984] = 2,
    ACTIONS(11872), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [250994] = 2,
    ACTIONS(11874), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [251004] = 2,
    ACTIONS(11876), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [251014] = 2,
    ACTIONS(9192), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [251024] = 2,
    ACTIONS(11878), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [251034] = 2,
    ACTIONS(11880), 1,
      anon_sym_COLON,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [251044] = 2,
    ACTIONS(11882), 1,
      anon_sym_in,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [251054] = 2,
    ACTIONS(11884), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [251064] = 2,
    ACTIONS(11886), 1,
      anon_sym_COLON,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [251074] = 2,
    ACTIONS(11888), 1,
      anon_sym_in,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [251084] = 2,
    ACTIONS(11890), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [251094] = 2,
    ACTIONS(11892), 1,
      anon_sym_COLON,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [251104] = 3,
    ACTIONS(5), 1,
      sym_multiline_comment,
    ACTIONS(11894), 1,
      aux_sym__multiline_regex_literal_token2,
    ACTIONS(3), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [251116] = 2,
    ACTIONS(11896), 1,
      anon_sym_in,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [251126] = 2,
    ACTIONS(11898), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [251136] = 2,
    ACTIONS(11900), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [251146] = 2,
    ACTIONS(11902), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [251156] = 2,
    ACTIONS(11904), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [251166] = 2,
    ACTIONS(11906), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [251176] = 2,
    ACTIONS(11908), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [251186] = 2,
    ACTIONS(11910), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [251196] = 2,
    ACTIONS(11912), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [251206] = 2,
    ACTIONS(11914), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [251216] = 2,
    ACTIONS(11916), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [251226] = 2,
    ACTIONS(11918), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [251236] = 2,
    ACTIONS(11920), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [251246] = 2,
    ACTIONS(11922), 1,
      anon_sym_COLON,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [251256] = 2,
    ACTIONS(11924), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [251266] = 2,
    ACTIONS(11926), 1,
      aux_sym__uni_character_literal_token1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [251276] = 2,
    ACTIONS(11928), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [251286] = 2,
    ACTIONS(11930), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [251296] = 3,
    ACTIONS(5), 1,
      sym_multiline_comment,
    ACTIONS(11932), 1,
      aux_sym__multiline_regex_literal_token2,
    ACTIONS(3), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [251308] = 2,
    ACTIONS(11934), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [251318] = 2,
    ACTIONS(11936), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [251328] = 2,
    ACTIONS(11938), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [251338] = 2,
    ACTIONS(11940), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [251348] = 2,
    ACTIONS(11942), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [251358] = 2,
    ACTIONS(11944), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [251368] = 2,
    ACTIONS(11946), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [251378] = 2,
    ACTIONS(11948), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [251388] = 2,
    ACTIONS(11950), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [251398] = 2,
    ACTIONS(11952), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [251408] = 2,
    ACTIONS(11954), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [251418] = 2,
    ACTIONS(11956), 1,
      anon_sym_COLON,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [251428] = 2,
    ACTIONS(11958), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [251438] = 2,
    ACTIONS(10249), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [251448] = 2,
    ACTIONS(11960), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [251458] = 2,
    ACTIONS(11962), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [251468] = 2,
    ACTIONS(11964), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [251478] = 2,
    ACTIONS(11966), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [251488] = 2,
    ACTIONS(11968), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [251498] = 2,
    ACTIONS(11970), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [251508] = 2,
    ACTIONS(11972), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [251518] = 2,
    ACTIONS(11974), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [251528] = 2,
    ACTIONS(11976), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [251538] = 2,
    ACTIONS(10698), 1,
      sym__eq_custom,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [251548] = 2,
    ACTIONS(11978), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [251558] = 2,
    ACTIONS(10287), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [251568] = 2,
    ACTIONS(11980), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [251578] = 2,
    ACTIONS(11982), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [251588] = 3,
    ACTIONS(5), 1,
      sym_multiline_comment,
    ACTIONS(11984), 1,
      aux_sym__multiline_regex_literal_token2,
    ACTIONS(3), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [251600] = 2,
    ACTIONS(10287), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [251610] = 2,
    ACTIONS(11986), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [251620] = 2,
    ACTIONS(10314), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [251630] = 2,
    ACTIONS(8618), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [251640] = 3,
    ACTIONS(5), 1,
      sym_multiline_comment,
    ACTIONS(11988), 1,
      aux_sym__multiline_regex_literal_token2,
    ACTIONS(3), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [251652] = 2,
    ACTIONS(11990), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [251662] = 2,
    ACTIONS(11992), 1,
      anon_sym_in,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [251672] = 2,
    ACTIONS(11994), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [251682] = 2,
    ACTIONS(11996), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [251692] = 2,
    ACTIONS(11998), 1,
      anon_sym_in,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [251702] = 2,
    ACTIONS(12000), 1,
      anon_sym_in,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [251712] = 2,
    ACTIONS(12002), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [251722] = 2,
    ACTIONS(10297), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [251732] = 2,
    ACTIONS(12004), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [251742] = 2,
    ACTIONS(12006), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [251752] = 2,
    ACTIONS(12008), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [251762] = 2,
    ACTIONS(12010), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [251772] = 2,
    ACTIONS(12012), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [251782] = 2,
    ACTIONS(12014), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [251792] = 2,
    ACTIONS(12016), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [251802] = 2,
    ACTIONS(12018), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [251812] = 2,
    ACTIONS(12020), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [251822] = 2,
    ACTIONS(12022), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [251832] = 2,
    ACTIONS(12024), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [251842] = 2,
    ACTIONS(12026), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [251852] = 2,
    ACTIONS(10249), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [251862] = 2,
    ACTIONS(12028), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [251872] = 2,
    ACTIONS(12030), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [251882] = 2,
    ACTIONS(12032), 1,
      anon_sym_in,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [251892] = 2,
    ACTIONS(12034), 1,
      anon_sym_COLON,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [251902] = 2,
    ACTIONS(12036), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [251912] = 2,
    ACTIONS(12038), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [251922] = 2,
    ACTIONS(12040), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [251932] = 2,
    ACTIONS(12042), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [251942] = 2,
    ACTIONS(12044), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [251952] = 2,
    ACTIONS(12046), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [251962] = 2,
    ACTIONS(10261), 1,
      anon_sym_COLON,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [251972] = 2,
    ACTIONS(10698), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [251982] = 2,
    ACTIONS(12048), 1,
      anon_sym_in,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [251992] = 2,
    ACTIONS(12050), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [252002] = 2,
    ACTIONS(12052), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [252012] = 2,
    ACTIONS(12054), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [252022] = 2,
    ACTIONS(12056), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [252032] = 2,
    ACTIONS(12058), 1,
      aux_sym__uni_character_literal_token1,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [252042] = 2,
    ACTIONS(12060), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [252052] = 2,
    ACTIONS(12062), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [252062] = 2,
    ACTIONS(12064), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [252072] = 2,
    ACTIONS(12066), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [252082] = 2,
    ACTIONS(2991), 1,
      sym__dot_custom,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [252092] = 2,
    ACTIONS(12068), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [252102] = 2,
    ACTIONS(12070), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [252112] = 2,
    ACTIONS(12072), 1,
      anon_sym_in,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [252122] = 2,
    ACTIONS(12074), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [252132] = 2,
    ACTIONS(12076), 1,
      anon_sym_COLON,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [252142] = 3,
    ACTIONS(5), 1,
      sym_multiline_comment,
    ACTIONS(12078), 1,
      aux_sym__multiline_regex_literal_token2,
    ACTIONS(3), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [252154] = 2,
    ACTIONS(12080), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [252164] = 2,
    ACTIONS(12082), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [252174] = 2,
    ACTIONS(12084), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [252184] = 2,
    ACTIONS(12086), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [252194] = 2,
    ACTIONS(12088), 1,
      anon_sym_COLON,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [252204] = 2,
    ACTIONS(12090), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [252214] = 2,
    ACTIONS(11052), 1,
      sym__eq_custom,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [252224] = 2,
    ACTIONS(12092), 1,
      anon_sym_in,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [252234] = 2,
    ACTIONS(12094), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [252244] = 2,
    ACTIONS(12096), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [252254] = 2,
    ACTIONS(12098), 1,
      anon_sym_COLON,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [252264] = 2,
    ACTIONS(12100), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [252274] = 2,
    ACTIONS(12102), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [252284] = 2,
    ACTIONS(12104), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [252294] = 2,
    ACTIONS(12106), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [252304] = 2,
    ACTIONS(5670), 1,
      anon_sym_in,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [252314] = 2,
    ACTIONS(12108), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [252324] = 2,
    ACTIONS(12110), 1,
      anon_sym_COLON,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [252334] = 2,
    ACTIONS(12112), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [252344] = 2,
    ACTIONS(10316), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [252354] = 2,
    ACTIONS(12114), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [252364] = 2,
    ACTIONS(12116), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [252374] = 2,
    ACTIONS(12118), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [252384] = 3,
    ACTIONS(5), 1,
      sym_multiline_comment,
    ACTIONS(12120), 1,
      aux_sym__multiline_regex_literal_token2,
    ACTIONS(3), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [252396] = 2,
    ACTIONS(12122), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [252406] = 2,
    ACTIONS(12124), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [252416] = 2,
    ACTIONS(12126), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [252426] = 2,
    ACTIONS(12128), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [252436] = 2,
    ACTIONS(12130), 1,
      anon_sym_COLON,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [252446] = 2,
    ACTIONS(9870), 1,
      anon_sym_GT,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [252456] = 2,
    ACTIONS(12132), 1,
      anon_sym_u,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [252466] = 2,
    ACTIONS(12134), 1,
      anon_sym_set,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [252476] = 2,
    ACTIONS(12136), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [252486] = 2,
    ACTIONS(12138), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [252496] = 2,
    ACTIONS(10879), 1,
      sym__eq_custom,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [252506] = 2,
    ACTIONS(12140), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [252516] = 2,
    ACTIONS(12142), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [252526] = 2,
    ACTIONS(12144), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [252536] = 2,
    ACTIONS(12146), 1,
      anon_sym_enum,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [252546] = 2,
    ACTIONS(10879), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [252556] = 2,
    ACTIONS(12148), 1,
      anon_sym_COLON,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [252566] = 2,
    ACTIONS(12150), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [252576] = 2,
    ACTIONS(12152), 1,
      anon_sym_GT,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [252586] = 2,
    ACTIONS(12154), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [252596] = 2,
    ACTIONS(12156), 1,
      anon_sym_COLON,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [252606] = 2,
    ACTIONS(12158), 1,
      anon_sym_GT,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [252616] = 2,
    ACTIONS(12160), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [252626] = 2,
    ACTIONS(12162), 1,
      anon_sym_in,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [252636] = 2,
    ACTIONS(12164), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [252646] = 2,
    ACTIONS(12166), 1,
      anon_sym_in,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [252656] = 2,
    ACTIONS(12168), 1,
      anon_sym_in,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [252666] = 2,
    ACTIONS(12170), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [252676] = 2,
    ACTIONS(12172), 1,
      anon_sym_in,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [252686] = 2,
    ACTIONS(12174), 1,
      ts_builtin_sym_end,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [252696] = 2,
    ACTIONS(12176), 1,
      anon_sym_in,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [252706] = 2,
    ACTIONS(12178), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [252716] = 2,
    ACTIONS(12180), 1,
      anon_sym_COLON,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [252726] = 2,
    ACTIONS(12182), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [252736] = 2,
    ACTIONS(12184), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [252746] = 2,
    ACTIONS(12186), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [252756] = 2,
    ACTIONS(12188), 1,
      anon_sym_enum,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [252766] = 2,
    ACTIONS(12190), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [252776] = 2,
    ACTIONS(12192), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [252786] = 2,
    ACTIONS(12194), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [252796] = 2,
    ACTIONS(12196), 1,
      anon_sym_enum,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [252806] = 2,
    ACTIONS(12198), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [252816] = 2,
    ACTIONS(8518), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [252826] = 2,
    ACTIONS(12200), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [252836] = 2,
    ACTIONS(12202), 1,
      anon_sym_COLON,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [252846] = 2,
    ACTIONS(12204), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [252856] = 2,
    ACTIONS(10008), 1,
      anon_sym_GT,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [252866] = 2,
    ACTIONS(12206), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [252876] = 2,
    ACTIONS(12208), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [252886] = 2,
    ACTIONS(12210), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [252896] = 2,
    ACTIONS(12212), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [252906] = 2,
    ACTIONS(12214), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [252916] = 2,
    ACTIONS(12216), 1,
      anon_sym_COLON,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [252926] = 2,
    ACTIONS(12218), 1,
      anon_sym_in,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [252936] = 2,
    ACTIONS(12220), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [252946] = 2,
    ACTIONS(12222), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [252956] = 2,
    ACTIONS(12224), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [252966] = 2,
    ACTIONS(12226), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [252976] = 2,
    ACTIONS(12228), 1,
      anon_sym_COLON,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [252986] = 2,
    ACTIONS(11684), 1,
      anon_sym_didSet,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [252996] = 2,
    ACTIONS(12230), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [253006] = 2,
    ACTIONS(12232), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [253016] = 2,
    ACTIONS(12234), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [253026] = 2,
    ACTIONS(12236), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [253036] = 2,
    ACTIONS(12238), 1,
      anon_sym_COLON,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [253046] = 2,
    ACTIONS(12240), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [253056] = 2,
    ACTIONS(10343), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [253066] = 2,
    ACTIONS(12242), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [253076] = 2,
    ACTIONS(12244), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [253086] = 2,
    ACTIONS(12246), 1,
      anon_sym_COLON,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [253096] = 2,
    ACTIONS(12248), 1,
      anon_sym_COLON,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [253106] = 2,
    ACTIONS(12250), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [253116] = 2,
    ACTIONS(12252), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [253126] = 2,
    ACTIONS(12254), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [253136] = 2,
    ACTIONS(12256), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [253146] = 2,
    ACTIONS(12258), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [253156] = 2,
    ACTIONS(12260), 1,
      anon_sym_COLON,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [253166] = 2,
    ACTIONS(9557), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [253176] = 2,
    ACTIONS(12262), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [253186] = 2,
    ACTIONS(12264), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [253196] = 2,
    ACTIONS(12266), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [253206] = 2,
    ACTIONS(12268), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [253216] = 2,
    ACTIONS(12270), 1,
      anon_sym_COLON,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [253226] = 3,
    ACTIONS(5), 1,
      sym_multiline_comment,
    ACTIONS(12272), 1,
      aux_sym__multiline_regex_literal_token2,
    ACTIONS(3), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [253238] = 2,
    ACTIONS(12274), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [253248] = 2,
    ACTIONS(12276), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [253258] = 2,
    ACTIONS(9557), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [253268] = 2,
    ACTIONS(12278), 1,
      anon_sym_COLON,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [253278] = 2,
    ACTIONS(12280), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [253288] = 2,
    ACTIONS(12282), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [253298] = 2,
    ACTIONS(12284), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [253308] = 3,
    ACTIONS(5), 1,
      sym_multiline_comment,
    ACTIONS(12286), 1,
      aux_sym_shebang_line_token1,
    ACTIONS(3), 3,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [253320] = 2,
    ACTIONS(12288), 1,
      sym_integer_literal,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [253330] = 2,
    ACTIONS(10350), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [253340] = 2,
    ACTIONS(12290), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [253350] = 2,
    ACTIONS(11682), 1,
      anon_sym_willSet,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [253360] = 2,
    ACTIONS(11052), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [253370] = 2,
    ACTIONS(12292), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [253380] = 2,
    ACTIONS(12294), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [253390] = 2,
    ACTIONS(12296), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [253400] = 2,
    ACTIONS(12298), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [253410] = 2,
    ACTIONS(12300), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [253420] = 2,
    ACTIONS(12302), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [253430] = 2,
    ACTIONS(12304), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [253440] = 2,
    ACTIONS(12306), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [253450] = 2,
    ACTIONS(12308), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
  [253460] = 2,
    ACTIONS(12310), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 4,
      sym_multiline_comment,
      sym_comment,
      sym_directive,
      sym_diagnostic,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(1739)] = 0,
  [SMALL_STATE(1740)] = 91,
  [SMALL_STATE(1741)] = 166,
  [SMALL_STATE(1742)] = 241,
  [SMALL_STATE(1743)] = 312,
  [SMALL_STATE(1744)] = 389,
  [SMALL_STATE(1745)] = 466,
  [SMALL_STATE(1746)] = 555,
  [SMALL_STATE(1747)] = 630,
  [SMALL_STATE(1748)] = 705,
  [SMALL_STATE(1749)] = 776,
  [SMALL_STATE(1750)] = 847,
  [SMALL_STATE(1751)] = 936,
  [SMALL_STATE(1752)] = 1007,
  [SMALL_STATE(1753)] = 1098,
  [SMALL_STATE(1754)] = 1175,
  [SMALL_STATE(1755)] = 1254,
  [SMALL_STATE(1756)] = 1333,
  [SMALL_STATE(1757)] = 1414,
  [SMALL_STATE(1758)] = 1495,
  [SMALL_STATE(1759)] = 1586,
  [SMALL_STATE(1760)] = 1677,
  [SMALL_STATE(1761)] = 1758,
  [SMALL_STATE(1762)] = 1833,
  [SMALL_STATE(1763)] = 1914,
  [SMALL_STATE(1764)] = 2005,
  [SMALL_STATE(1765)] = 2096,
  [SMALL_STATE(1766)] = 2187,
  [SMALL_STATE(1767)] = 2278,
  [SMALL_STATE(1768)] = 2349,
  [SMALL_STATE(1769)] = 2426,
  [SMALL_STATE(1770)] = 2517,
  [SMALL_STATE(1771)] = 2608,
  [SMALL_STATE(1772)] = 2687,
  [SMALL_STATE(1773)] = 2777,
  [SMALL_STATE(1774)] = 2861,
  [SMALL_STATE(1775)] = 2937,
  [SMALL_STATE(1776)] = 3013,
  [SMALL_STATE(1777)] = 3083,
  [SMALL_STATE(1778)] = 3167,
  [SMALL_STATE(1779)] = 3255,
  [SMALL_STATE(1780)] = 3359,
  [SMALL_STATE(1781)] = 3431,
  [SMALL_STATE(1782)] = 3515,
  [SMALL_STATE(1783)] = 3587,
  [SMALL_STATE(1784)] = 3659,
  [SMALL_STATE(1785)] = 3735,
  [SMALL_STATE(1786)] = 3819,
  [SMALL_STATE(1787)] = 3891,
  [SMALL_STATE(1788)] = 3963,
  [SMALL_STATE(1789)] = 4035,
  [SMALL_STATE(1790)] = 4139,
  [SMALL_STATE(1791)] = 4211,
  [SMALL_STATE(1792)] = 4283,
  [SMALL_STATE(1793)] = 4357,
  [SMALL_STATE(1794)] = 4429,
  [SMALL_STATE(1795)] = 4513,
  [SMALL_STATE(1796)] = 4585,
  [SMALL_STATE(1797)] = 4675,
  [SMALL_STATE(1798)] = 4747,
  [SMALL_STATE(1799)] = 4827,
  [SMALL_STATE(1800)] = 4899,
  [SMALL_STATE(1801)] = 4983,
  [SMALL_STATE(1802)] = 5059,
  [SMALL_STATE(1803)] = 5145,
  [SMALL_STATE(1804)] = 5215,
  [SMALL_STATE(1805)] = 5299,
  [SMALL_STATE(1806)] = 5383,
  [SMALL_STATE(1807)] = 5467,
  [SMALL_STATE(1808)] = 5539,
  [SMALL_STATE(1809)] = 5615,
  [SMALL_STATE(1810)] = 5687,
  [SMALL_STATE(1811)] = 5771,
  [SMALL_STATE(1812)] = 5843,
  [SMALL_STATE(1813)] = 5921,
  [SMALL_STATE(1814)] = 5997,
  [SMALL_STATE(1815)] = 6081,
  [SMALL_STATE(1816)] = 6165,
  [SMALL_STATE(1817)] = 6241,
  [SMALL_STATE(1818)] = 6317,
  [SMALL_STATE(1819)] = 6401,
  [SMALL_STATE(1820)] = 6485,
  [SMALL_STATE(1821)] = 6557,
  [SMALL_STATE(1822)] = 6633,
  [SMALL_STATE(1823)] = 6717,
  [SMALL_STATE(1824)] = 6807,
  [SMALL_STATE(1825)] = 6883,
  [SMALL_STATE(1826)] = 6969,
  [SMALL_STATE(1827)] = 7055,
  [SMALL_STATE(1828)] = 7125,
  [SMALL_STATE(1829)] = 7215,
  [SMALL_STATE(1830)] = 7285,
  [SMALL_STATE(1831)] = 7363,
  [SMALL_STATE(1832)] = 7437,
  [SMALL_STATE(1833)] = 7509,
  [SMALL_STATE(1834)] = 7589,
  [SMALL_STATE(1835)] = 7667,
  [SMALL_STATE(1836)] = 7757,
  [SMALL_STATE(1837)] = 7833,
  [SMALL_STATE(1838)] = 7903,
  [SMALL_STATE(1839)] = 7974,
  [SMALL_STATE(1840)] = 8043,
  [SMALL_STATE(1841)] = 8120,
  [SMALL_STATE(1842)] = 8191,
  [SMALL_STATE(1843)] = 8262,
  [SMALL_STATE(1844)] = 8333,
  [SMALL_STATE(1845)] = 8408,
  [SMALL_STATE(1846)] = 8477,
  [SMALL_STATE(1847)] = 8548,
  [SMALL_STATE(1848)] = 8637,
  [SMALL_STATE(1849)] = 8708,
  [SMALL_STATE(1850)] = 8795,
  [SMALL_STATE(1851)] = 8880,
  [SMALL_STATE(1852)] = 8951,
  [SMALL_STATE(1853)] = 9024,
  [SMALL_STATE(1854)] = 9095,
  [SMALL_STATE(1855)] = 9170,
  [SMALL_STATE(1856)] = 9241,
  [SMALL_STATE(1857)] = 9320,
  [SMALL_STATE(1858)] = 9395,
  [SMALL_STATE(1859)] = 9470,
  [SMALL_STATE(1860)] = 9545,
  [SMALL_STATE(1861)] = 9614,
  [SMALL_STATE(1862)] = 9691,
  [SMALL_STATE(1863)] = 9764,
  [SMALL_STATE(1864)] = 9835,
  [SMALL_STATE(1865)] = 9906,
  [SMALL_STATE(1866)] = 9981,
  [SMALL_STATE(1867)] = 10052,
  [SMALL_STATE(1868)] = 10125,
  [SMALL_STATE(1869)] = 10204,
  [SMALL_STATE(1870)] = 10279,
  [SMALL_STATE(1871)] = 10352,
  [SMALL_STATE(1872)] = 10429,
  [SMALL_STATE(1873)] = 10500,
  [SMALL_STATE(1874)] = 10571,
  [SMALL_STATE(1875)] = 10640,
  [SMALL_STATE(1876)] = 10717,
  [SMALL_STATE(1877)] = 10790,
  [SMALL_STATE(1878)] = 10859,
  [SMALL_STATE(1879)] = 10928,
  [SMALL_STATE(1880)] = 10999,
  [SMALL_STATE(1881)] = 11076,
  [SMALL_STATE(1882)] = 11151,
  [SMALL_STATE(1883)] = 11226,
  [SMALL_STATE(1884)] = 11301,
  [SMALL_STATE(1885)] = 11384,
  [SMALL_STATE(1886)] = 11455,
  [SMALL_STATE(1887)] = 11532,
  [SMALL_STATE(1888)] = 11601,
  [SMALL_STATE(1889)] = 11672,
  [SMALL_STATE(1890)] = 11741,
  [SMALL_STATE(1891)] = 11813,
  [SMALL_STATE(1892)] = 11883,
  [SMALL_STATE(1893)] = 11955,
  [SMALL_STATE(1894)] = 12029,
  [SMALL_STATE(1895)] = 12099,
  [SMALL_STATE(1896)] = 12179,
  [SMALL_STATE(1897)] = 12253,
  [SMALL_STATE(1898)] = 12323,
  [SMALL_STATE(1899)] = 12397,
  [SMALL_STATE(1900)] = 12467,
  [SMALL_STATE(1901)] = 12535,
  [SMALL_STATE(1902)] = 12607,
  [SMALL_STATE(1903)] = 12681,
  [SMALL_STATE(1904)] = 12755,
  [SMALL_STATE(1905)] = 12825,
  [SMALL_STATE(1906)] = 12895,
  [SMALL_STATE(1907)] = 12965,
  [SMALL_STATE(1908)] = 13039,
  [SMALL_STATE(1909)] = 13109,
  [SMALL_STATE(1910)] = 13185,
  [SMALL_STATE(1911)] = 13259,
  [SMALL_STATE(1912)] = 13333,
  [SMALL_STATE(1913)] = 13407,
  [SMALL_STATE(1914)] = 13477,
  [SMALL_STATE(1915)] = 13547,
  [SMALL_STATE(1916)] = 13621,
  [SMALL_STATE(1917)] = 13703,
  [SMALL_STATE(1918)] = 13773,
  [SMALL_STATE(1919)] = 13849,
  [SMALL_STATE(1920)] = 13921,
  [SMALL_STATE(1921)] = 13995,
  [SMALL_STATE(1922)] = 14075,
  [SMALL_STATE(1923)] = 14143,
  [SMALL_STATE(1924)] = 14211,
  [SMALL_STATE(1925)] = 14281,
  [SMALL_STATE(1926)] = 14351,
  [SMALL_STATE(1927)] = 14421,
  [SMALL_STATE(1928)] = 14491,
  [SMALL_STATE(1929)] = 14559,
  [SMALL_STATE(1930)] = 14629,
  [SMALL_STATE(1931)] = 14699,
  [SMALL_STATE(1932)] = 14769,
  [SMALL_STATE(1933)] = 14843,
  [SMALL_STATE(1934)] = 14917,
  [SMALL_STATE(1935)] = 14999,
  [SMALL_STATE(1936)] = 15073,
  [SMALL_STATE(1937)] = 15143,
  [SMALL_STATE(1938)] = 15213,
  [SMALL_STATE(1939)] = 15287,
  [SMALL_STATE(1940)] = 15357,
  [SMALL_STATE(1941)] = 15429,
  [SMALL_STATE(1942)] = 15505,
  [SMALL_STATE(1943)] = 15577,
  [SMALL_STATE(1944)] = 15661,
  [SMALL_STATE(1945)] = 15738,
  [SMALL_STATE(1946)] = 15807,
  [SMALL_STATE(1947)] = 15876,
  [SMALL_STATE(1948)] = 15953,
  [SMALL_STATE(1949)] = 16030,
  [SMALL_STATE(1950)] = 16107,
  [SMALL_STATE(1951)] = 16184,
  [SMALL_STATE(1952)] = 16259,
  [SMALL_STATE(1953)] = 16328,
  [SMALL_STATE(1954)] = 16397,
  [SMALL_STATE(1955)] = 16470,
  [SMALL_STATE(1956)] = 16547,
  [SMALL_STATE(1957)] = 16620,
  [SMALL_STATE(1958)] = 16689,
  [SMALL_STATE(1959)] = 16758,
  [SMALL_STATE(1960)] = 16833,
  [SMALL_STATE(1961)] = 16906,
  [SMALL_STATE(1962)] = 16973,
  [SMALL_STATE(1963)] = 17054,
  [SMALL_STATE(1964)] = 17127,
  [SMALL_STATE(1965)] = 17196,
  [SMALL_STATE(1966)] = 17267,
  [SMALL_STATE(1967)] = 17336,
  [SMALL_STATE(1968)] = 17405,
  [SMALL_STATE(1969)] = 17478,
  [SMALL_STATE(1970)] = 17551,
  [SMALL_STATE(1971)] = 17620,
  [SMALL_STATE(1972)] = 17689,
  [SMALL_STATE(1973)] = 17758,
  [SMALL_STATE(1974)] = 17827,
  [SMALL_STATE(1975)] = 17900,
  [SMALL_STATE(1976)] = 17969,
  [SMALL_STATE(1977)] = 18046,
  [SMALL_STATE(1978)] = 18115,
  [SMALL_STATE(1979)] = 18192,
  [SMALL_STATE(1980)] = 18261,
  [SMALL_STATE(1981)] = 18334,
  [SMALL_STATE(1982)] = 18403,
  [SMALL_STATE(1983)] = 18472,
  [SMALL_STATE(1984)] = 18541,
  [SMALL_STATE(1985)] = 18610,
  [SMALL_STATE(1986)] = 18679,
  [SMALL_STATE(1987)] = 18748,
  [SMALL_STATE(1988)] = 18817,
  [SMALL_STATE(1989)] = 18886,
  [SMALL_STATE(1990)] = 18963,
  [SMALL_STATE(1991)] = 19032,
  [SMALL_STATE(1992)] = 19101,
  [SMALL_STATE(1993)] = 19170,
  [SMALL_STATE(1994)] = 19239,
  [SMALL_STATE(1995)] = 19316,
  [SMALL_STATE(1996)] = 19389,
  [SMALL_STATE(1997)] = 19462,
  [SMALL_STATE(1998)] = 19539,
  [SMALL_STATE(1999)] = 19608,
  [SMALL_STATE(2000)] = 19685,
  [SMALL_STATE(2001)] = 19762,
  [SMALL_STATE(2002)] = 19831,
  [SMALL_STATE(2003)] = 19906,
  [SMALL_STATE(2004)] = 19985,
  [SMALL_STATE(2005)] = 20052,
  [SMALL_STATE(2006)] = 20121,
  [SMALL_STATE(2007)] = 20190,
  [SMALL_STATE(2008)] = 20267,
  [SMALL_STATE(2009)] = 20344,
  [SMALL_STATE(2010)] = 20421,
  [SMALL_STATE(2011)] = 20502,
  [SMALL_STATE(2012)] = 20575,
  [SMALL_STATE(2013)] = 20644,
  [SMALL_STATE(2014)] = 20721,
  [SMALL_STATE(2015)] = 20798,
  [SMALL_STATE(2016)] = 20875,
  [SMALL_STATE(2017)] = 20944,
  [SMALL_STATE(2018)] = 21021,
  [SMALL_STATE(2019)] = 21090,
  [SMALL_STATE(2020)] = 21167,
  [SMALL_STATE(2021)] = 21244,
  [SMALL_STATE(2022)] = 21321,
  [SMALL_STATE(2023)] = 21390,
  [SMALL_STATE(2024)] = 21467,
  [SMALL_STATE(2025)] = 21540,
  [SMALL_STATE(2026)] = 21609,
  [SMALL_STATE(2027)] = 21678,
  [SMALL_STATE(2028)] = 21751,
  [SMALL_STATE(2029)] = 21820,
  [SMALL_STATE(2030)] = 21897,
  [SMALL_STATE(2031)] = 21974,
  [SMALL_STATE(2032)] = 22043,
  [SMALL_STATE(2033)] = 22112,
  [SMALL_STATE(2034)] = 22181,
  [SMALL_STATE(2035)] = 22248,
  [SMALL_STATE(2036)] = 22320,
  [SMALL_STATE(2037)] = 22390,
  [SMALL_STATE(2038)] = 22458,
  [SMALL_STATE(2039)] = 22540,
  [SMALL_STATE(2040)] = 22610,
  [SMALL_STATE(2041)] = 22678,
  [SMALL_STATE(2042)] = 22752,
  [SMALL_STATE(2043)] = 22826,
  [SMALL_STATE(2044)] = 22894,
  [SMALL_STATE(2045)] = 22968,
  [SMALL_STATE(2046)] = 23036,
  [SMALL_STATE(2047)] = 23110,
  [SMALL_STATE(2048)] = 23178,
  [SMALL_STATE(2049)] = 23262,
  [SMALL_STATE(2050)] = 23328,
  [SMALL_STATE(2051)] = 23394,
  [SMALL_STATE(2052)] = 23466,
  [SMALL_STATE(2053)] = 23534,
  [SMALL_STATE(2054)] = 23608,
  [SMALL_STATE(2055)] = 23692,
  [SMALL_STATE(2056)] = 23760,
  [SMALL_STATE(2057)] = 23832,
  [SMALL_STATE(2058)] = 23904,
  [SMALL_STATE(2059)] = 23988,
  [SMALL_STATE(2060)] = 24056,
  [SMALL_STATE(2061)] = 24124,
  [SMALL_STATE(2062)] = 24190,
  [SMALL_STATE(2063)] = 24258,
  [SMALL_STATE(2064)] = 24324,
  [SMALL_STATE(2065)] = 24392,
  [SMALL_STATE(2066)] = 24460,
  [SMALL_STATE(2067)] = 24530,
  [SMALL_STATE(2068)] = 24604,
  [SMALL_STATE(2069)] = 24674,
  [SMALL_STATE(2070)] = 24744,
  [SMALL_STATE(2071)] = 24812,
  [SMALL_STATE(2072)] = 24878,
  [SMALL_STATE(2073)] = 24952,
  [SMALL_STATE(2074)] = 25036,
  [SMALL_STATE(2075)] = 25104,
  [SMALL_STATE(2076)] = 25176,
  [SMALL_STATE(2077)] = 25242,
  [SMALL_STATE(2078)] = 25314,
  [SMALL_STATE(2079)] = 25394,
  [SMALL_STATE(2080)] = 25466,
  [SMALL_STATE(2081)] = 25534,
  [SMALL_STATE(2082)] = 25602,
  [SMALL_STATE(2083)] = 25670,
  [SMALL_STATE(2084)] = 25742,
  [SMALL_STATE(2085)] = 25812,
  [SMALL_STATE(2086)] = 25880,
  [SMALL_STATE(2087)] = 25952,
  [SMALL_STATE(2088)] = 26018,
  [SMALL_STATE(2089)] = 26086,
  [SMALL_STATE(2090)] = 26154,
  [SMALL_STATE(2091)] = 26222,
  [SMALL_STATE(2092)] = 26288,
  [SMALL_STATE(2093)] = 26356,
  [SMALL_STATE(2094)] = 26428,
  [SMALL_STATE(2095)] = 26496,
  [SMALL_STATE(2096)] = 26562,
  [SMALL_STATE(2097)] = 26628,
  [SMALL_STATE(2098)] = 26696,
  [SMALL_STATE(2099)] = 26764,
  [SMALL_STATE(2100)] = 26836,
  [SMALL_STATE(2101)] = 26902,
  [SMALL_STATE(2102)] = 26974,
  [SMALL_STATE(2103)] = 27040,
  [SMALL_STATE(2104)] = 27112,
  [SMALL_STATE(2105)] = 27178,
  [SMALL_STATE(2106)] = 27246,
  [SMALL_STATE(2107)] = 27320,
  [SMALL_STATE(2108)] = 27386,
  [SMALL_STATE(2109)] = 27452,
  [SMALL_STATE(2110)] = 27520,
  [SMALL_STATE(2111)] = 27604,
  [SMALL_STATE(2112)] = 27672,
  [SMALL_STATE(2113)] = 27744,
  [SMALL_STATE(2114)] = 27812,
  [SMALL_STATE(2115)] = 27882,
  [SMALL_STATE(2116)] = 27950,
  [SMALL_STATE(2117)] = 28015,
  [SMALL_STATE(2118)] = 28082,
  [SMALL_STATE(2119)] = 28149,
  [SMALL_STATE(2120)] = 28214,
  [SMALL_STATE(2121)] = 28279,
  [SMALL_STATE(2122)] = 28346,
  [SMALL_STATE(2123)] = 28411,
  [SMALL_STATE(2124)] = 28484,
  [SMALL_STATE(2125)] = 28555,
  [SMALL_STATE(2126)] = 28622,
  [SMALL_STATE(2127)] = 28689,
  [SMALL_STATE(2128)] = 28756,
  [SMALL_STATE(2129)] = 28823,
  [SMALL_STATE(2130)] = 28892,
  [SMALL_STATE(2131)] = 28957,
  [SMALL_STATE(2132)] = 29026,
  [SMALL_STATE(2133)] = 29091,
  [SMALL_STATE(2134)] = 29158,
  [SMALL_STATE(2135)] = 29225,
  [SMALL_STATE(2136)] = 29292,
  [SMALL_STATE(2137)] = 29359,
  [SMALL_STATE(2138)] = 29426,
  [SMALL_STATE(2139)] = 29493,
  [SMALL_STATE(2140)] = 29564,
  [SMALL_STATE(2141)] = 29631,
  [SMALL_STATE(2142)] = 29698,
  [SMALL_STATE(2143)] = 29769,
  [SMALL_STATE(2144)] = 29836,
  [SMALL_STATE(2145)] = 29907,
  [SMALL_STATE(2146)] = 29978,
  [SMALL_STATE(2147)] = 30045,
  [SMALL_STATE(2148)] = 30116,
  [SMALL_STATE(2149)] = 30187,
  [SMALL_STATE(2150)] = 30258,
  [SMALL_STATE(2151)] = 30329,
  [SMALL_STATE(2152)] = 30400,
  [SMALL_STATE(2153)] = 30471,
  [SMALL_STATE(2154)] = 30540,
  [SMALL_STATE(2155)] = 30611,
  [SMALL_STATE(2156)] = 30682,
  [SMALL_STATE(2157)] = 30753,
  [SMALL_STATE(2158)] = 30824,
  [SMALL_STATE(2159)] = 30889,
  [SMALL_STATE(2160)] = 30960,
  [SMALL_STATE(2161)] = 31031,
  [SMALL_STATE(2162)] = 31098,
  [SMALL_STATE(2163)] = 31169,
  [SMALL_STATE(2164)] = 31236,
  [SMALL_STATE(2165)] = 31303,
  [SMALL_STATE(2166)] = 31374,
  [SMALL_STATE(2167)] = 31445,
  [SMALL_STATE(2168)] = 31512,
  [SMALL_STATE(2169)] = 31581,
  [SMALL_STATE(2170)] = 31648,
  [SMALL_STATE(2171)] = 31719,
  [SMALL_STATE(2172)] = 31790,
  [SMALL_STATE(2173)] = 31861,
  [SMALL_STATE(2174)] = 31928,
  [SMALL_STATE(2175)] = 31997,
  [SMALL_STATE(2176)] = 32064,
  [SMALL_STATE(2177)] = 32135,
  [SMALL_STATE(2178)] = 32206,
  [SMALL_STATE(2179)] = 32273,
  [SMALL_STATE(2180)] = 32340,
  [SMALL_STATE(2181)] = 32405,
  [SMALL_STATE(2182)] = 32476,
  [SMALL_STATE(2183)] = 32543,
  [SMALL_STATE(2184)] = 32608,
  [SMALL_STATE(2185)] = 32679,
  [SMALL_STATE(2186)] = 32744,
  [SMALL_STATE(2187)] = 32811,
  [SMALL_STATE(2188)] = 32880,
  [SMALL_STATE(2189)] = 32947,
  [SMALL_STATE(2190)] = 33018,
  [SMALL_STATE(2191)] = 33085,
  [SMALL_STATE(2192)] = 33152,
  [SMALL_STATE(2193)] = 33219,
  [SMALL_STATE(2194)] = 33290,
  [SMALL_STATE(2195)] = 33355,
  [SMALL_STATE(2196)] = 33426,
  [SMALL_STATE(2197)] = 33521,
  [SMALL_STATE(2198)] = 33592,
  [SMALL_STATE(2199)] = 33663,
  [SMALL_STATE(2200)] = 33730,
  [SMALL_STATE(2201)] = 33801,
  [SMALL_STATE(2202)] = 33870,
  [SMALL_STATE(2203)] = 33937,
  [SMALL_STATE(2204)] = 34008,
  [SMALL_STATE(2205)] = 34075,
  [SMALL_STATE(2206)] = 34146,
  [SMALL_STATE(2207)] = 34219,
  [SMALL_STATE(2208)] = 34292,
  [SMALL_STATE(2209)] = 34363,
  [SMALL_STATE(2210)] = 34434,
  [SMALL_STATE(2211)] = 34501,
  [SMALL_STATE(2212)] = 34572,
  [SMALL_STATE(2213)] = 34639,
  [SMALL_STATE(2214)] = 34710,
  [SMALL_STATE(2215)] = 34777,
  [SMALL_STATE(2216)] = 34844,
  [SMALL_STATE(2217)] = 34915,
  [SMALL_STATE(2218)] = 34980,
  [SMALL_STATE(2219)] = 35047,
  [SMALL_STATE(2220)] = 35114,
  [SMALL_STATE(2221)] = 35185,
  [SMALL_STATE(2222)] = 35254,
  [SMALL_STATE(2223)] = 35325,
  [SMALL_STATE(2224)] = 35396,
  [SMALL_STATE(2225)] = 35463,
  [SMALL_STATE(2226)] = 35530,
  [SMALL_STATE(2227)] = 35601,
  [SMALL_STATE(2228)] = 35672,
  [SMALL_STATE(2229)] = 35739,
  [SMALL_STATE(2230)] = 35810,
  [SMALL_STATE(2231)] = 35877,
  [SMALL_STATE(2232)] = 35944,
  [SMALL_STATE(2233)] = 36011,
  [SMALL_STATE(2234)] = 36082,
  [SMALL_STATE(2235)] = 36149,
  [SMALL_STATE(2236)] = 36220,
  [SMALL_STATE(2237)] = 36287,
  [SMALL_STATE(2238)] = 36358,
  [SMALL_STATE(2239)] = 36425,
  [SMALL_STATE(2240)] = 36496,
  [SMALL_STATE(2241)] = 36567,
  [SMALL_STATE(2242)] = 36634,
  [SMALL_STATE(2243)] = 36701,
  [SMALL_STATE(2244)] = 36772,
  [SMALL_STATE(2245)] = 36839,
  [SMALL_STATE(2246)] = 36906,
  [SMALL_STATE(2247)] = 36973,
  [SMALL_STATE(2248)] = 37040,
  [SMALL_STATE(2249)] = 37105,
  [SMALL_STATE(2250)] = 37172,
  [SMALL_STATE(2251)] = 37245,
  [SMALL_STATE(2252)] = 37318,
  [SMALL_STATE(2253)] = 37385,
  [SMALL_STATE(2254)] = 37452,
  [SMALL_STATE(2255)] = 37523,
  [SMALL_STATE(2256)] = 37590,
  [SMALL_STATE(2257)] = 37661,
  [SMALL_STATE(2258)] = 37728,
  [SMALL_STATE(2259)] = 37799,
  [SMALL_STATE(2260)] = 37870,
  [SMALL_STATE(2261)] = 37937,
  [SMALL_STATE(2262)] = 38004,
  [SMALL_STATE(2263)] = 38075,
  [SMALL_STATE(2264)] = 38142,
  [SMALL_STATE(2265)] = 38209,
  [SMALL_STATE(2266)] = 38276,
  [SMALL_STATE(2267)] = 38343,
  [SMALL_STATE(2268)] = 38410,
  [SMALL_STATE(2269)] = 38481,
  [SMALL_STATE(2270)] = 38552,
  [SMALL_STATE(2271)] = 38623,
  [SMALL_STATE(2272)] = 38690,
  [SMALL_STATE(2273)] = 38757,
  [SMALL_STATE(2274)] = 38824,
  [SMALL_STATE(2275)] = 38891,
  [SMALL_STATE(2276)] = 38964,
  [SMALL_STATE(2277)] = 39037,
  [SMALL_STATE(2278)] = 39106,
  [SMALL_STATE(2279)] = 39177,
  [SMALL_STATE(2280)] = 39244,
  [SMALL_STATE(2281)] = 39311,
  [SMALL_STATE(2282)] = 39382,
  [SMALL_STATE(2283)] = 39449,
  [SMALL_STATE(2284)] = 39516,
  [SMALL_STATE(2285)] = 39583,
  [SMALL_STATE(2286)] = 39650,
  [SMALL_STATE(2287)] = 39717,
  [SMALL_STATE(2288)] = 39784,
  [SMALL_STATE(2289)] = 39851,
  [SMALL_STATE(2290)] = 39946,
  [SMALL_STATE(2291)] = 40013,
  [SMALL_STATE(2292)] = 40080,
  [SMALL_STATE(2293)] = 40147,
  [SMALL_STATE(2294)] = 40214,
  [SMALL_STATE(2295)] = 40279,
  [SMALL_STATE(2296)] = 40344,
  [SMALL_STATE(2297)] = 40409,
  [SMALL_STATE(2298)] = 40476,
  [SMALL_STATE(2299)] = 40543,
  [SMALL_STATE(2300)] = 40610,
  [SMALL_STATE(2301)] = 40677,
  [SMALL_STATE(2302)] = 40758,
  [SMALL_STATE(2303)] = 40825,
  [SMALL_STATE(2304)] = 40892,
  [SMALL_STATE(2305)] = 40959,
  [SMALL_STATE(2306)] = 41032,
  [SMALL_STATE(2307)] = 41097,
  [SMALL_STATE(2308)] = 41162,
  [SMALL_STATE(2309)] = 41233,
  [SMALL_STATE(2310)] = 41306,
  [SMALL_STATE(2311)] = 41377,
  [SMALL_STATE(2312)] = 41448,
  [SMALL_STATE(2313)] = 41515,
  [SMALL_STATE(2314)] = 41581,
  [SMALL_STATE(2315)] = 41647,
  [SMALL_STATE(2316)] = 41719,
  [SMALL_STATE(2317)] = 41785,
  [SMALL_STATE(2318)] = 41851,
  [SMALL_STATE(2319)] = 41921,
  [SMALL_STATE(2320)] = 41989,
  [SMALL_STATE(2321)] = 42055,
  [SMALL_STATE(2322)] = 42121,
  [SMALL_STATE(2323)] = 42187,
  [SMALL_STATE(2324)] = 42253,
  [SMALL_STATE(2325)] = 42321,
  [SMALL_STATE(2326)] = 42387,
  [SMALL_STATE(2327)] = 42453,
  [SMALL_STATE(2328)] = 42535,
  [SMALL_STATE(2329)] = 42603,
  [SMALL_STATE(2330)] = 42667,
  [SMALL_STATE(2331)] = 42733,
  [SMALL_STATE(2332)] = 42799,
  [SMALL_STATE(2333)] = 42865,
  [SMALL_STATE(2334)] = 42961,
  [SMALL_STATE(2335)] = 43029,
  [SMALL_STATE(2336)] = 43097,
  [SMALL_STATE(2337)] = 43161,
  [SMALL_STATE(2338)] = 43227,
  [SMALL_STATE(2339)] = 43291,
  [SMALL_STATE(2340)] = 43355,
  [SMALL_STATE(2341)] = 43421,
  [SMALL_STATE(2342)] = 43491,
  [SMALL_STATE(2343)] = 43573,
  [SMALL_STATE(2344)] = 43655,
  [SMALL_STATE(2345)] = 43721,
  [SMALL_STATE(2346)] = 43787,
  [SMALL_STATE(2347)] = 43857,
  [SMALL_STATE(2348)] = 43929,
  [SMALL_STATE(2349)] = 43997,
  [SMALL_STATE(2350)] = 44093,
  [SMALL_STATE(2351)] = 44163,
  [SMALL_STATE(2352)] = 44231,
  [SMALL_STATE(2353)] = 44295,
  [SMALL_STATE(2354)] = 44361,
  [SMALL_STATE(2355)] = 44427,
  [SMALL_STATE(2356)] = 44495,
  [SMALL_STATE(2357)] = 44577,
  [SMALL_STATE(2358)] = 44641,
  [SMALL_STATE(2359)] = 44707,
  [SMALL_STATE(2360)] = 44773,
  [SMALL_STATE(2361)] = 44839,
  [SMALL_STATE(2362)] = 44921,
  [SMALL_STATE(2363)] = 44987,
  [SMALL_STATE(2364)] = 45053,
  [SMALL_STATE(2365)] = 45149,
  [SMALL_STATE(2366)] = 45213,
  [SMALL_STATE(2367)] = 45279,
  [SMALL_STATE(2368)] = 45345,
  [SMALL_STATE(2369)] = 45411,
  [SMALL_STATE(2370)] = 45475,
  [SMALL_STATE(2371)] = 45545,
  [SMALL_STATE(2372)] = 45611,
  [SMALL_STATE(2373)] = 45681,
  [SMALL_STATE(2374)] = 45747,
  [SMALL_STATE(2375)] = 45813,
  [SMALL_STATE(2376)] = 45881,
  [SMALL_STATE(2377)] = 45953,
  [SMALL_STATE(2378)] = 46017,
  [SMALL_STATE(2379)] = 46113,
  [SMALL_STATE(2380)] = 46185,
  [SMALL_STATE(2381)] = 46257,
  [SMALL_STATE(2382)] = 46323,
  [SMALL_STATE(2383)] = 46389,
  [SMALL_STATE(2384)] = 46455,
  [SMALL_STATE(2385)] = 46521,
  [SMALL_STATE(2386)] = 46587,
  [SMALL_STATE(2387)] = 46683,
  [SMALL_STATE(2388)] = 46749,
  [SMALL_STATE(2389)] = 46821,
  [SMALL_STATE(2390)] = 46887,
  [SMALL_STATE(2391)] = 46951,
  [SMALL_STATE(2392)] = 47047,
  [SMALL_STATE(2393)] = 47113,
  [SMALL_STATE(2394)] = 47183,
  [SMALL_STATE(2395)] = 47253,
  [SMALL_STATE(2396)] = 47319,
  [SMALL_STATE(2397)] = 47385,
  [SMALL_STATE(2398)] = 47451,
  [SMALL_STATE(2399)] = 47517,
  [SMALL_STATE(2400)] = 47581,
  [SMALL_STATE(2401)] = 47647,
  [SMALL_STATE(2402)] = 47713,
  [SMALL_STATE(2403)] = 47779,
  [SMALL_STATE(2404)] = 47849,
  [SMALL_STATE(2405)] = 47919,
  [SMALL_STATE(2406)] = 47985,
  [SMALL_STATE(2407)] = 48051,
  [SMALL_STATE(2408)] = 48115,
  [SMALL_STATE(2409)] = 48181,
  [SMALL_STATE(2410)] = 48245,
  [SMALL_STATE(2411)] = 48311,
  [SMALL_STATE(2412)] = 48377,
  [SMALL_STATE(2413)] = 48443,
  [SMALL_STATE(2414)] = 48509,
  [SMALL_STATE(2415)] = 48575,
  [SMALL_STATE(2416)] = 48641,
  [SMALL_STATE(2417)] = 48707,
  [SMALL_STATE(2418)] = 48773,
  [SMALL_STATE(2419)] = 48839,
  [SMALL_STATE(2420)] = 48905,
  [SMALL_STATE(2421)] = 48973,
  [SMALL_STATE(2422)] = 49047,
  [SMALL_STATE(2423)] = 49119,
  [SMALL_STATE(2424)] = 49185,
  [SMALL_STATE(2425)] = 49249,
  [SMALL_STATE(2426)] = 49313,
  [SMALL_STATE(2427)] = 49385,
  [SMALL_STATE(2428)] = 49449,
  [SMALL_STATE(2429)] = 49513,
  [SMALL_STATE(2430)] = 49577,
  [SMALL_STATE(2431)] = 49641,
  [SMALL_STATE(2432)] = 49707,
  [SMALL_STATE(2433)] = 49771,
  [SMALL_STATE(2434)] = 49841,
  [SMALL_STATE(2435)] = 49907,
  [SMALL_STATE(2436)] = 49977,
  [SMALL_STATE(2437)] = 50043,
  [SMALL_STATE(2438)] = 50107,
  [SMALL_STATE(2439)] = 50173,
  [SMALL_STATE(2440)] = 50239,
  [SMALL_STATE(2441)] = 50305,
  [SMALL_STATE(2442)] = 50371,
  [SMALL_STATE(2443)] = 50437,
  [SMALL_STATE(2444)] = 50503,
  [SMALL_STATE(2445)] = 50599,
  [SMALL_STATE(2446)] = 50665,
  [SMALL_STATE(2447)] = 50731,
  [SMALL_STATE(2448)] = 50797,
  [SMALL_STATE(2449)] = 50861,
  [SMALL_STATE(2450)] = 50927,
  [SMALL_STATE(2451)] = 50993,
  [SMALL_STATE(2452)] = 51059,
  [SMALL_STATE(2453)] = 51155,
  [SMALL_STATE(2454)] = 51221,
  [SMALL_STATE(2455)] = 51287,
  [SMALL_STATE(2456)] = 51383,
  [SMALL_STATE(2457)] = 51449,
  [SMALL_STATE(2458)] = 51513,
  [SMALL_STATE(2459)] = 51577,
  [SMALL_STATE(2460)] = 51643,
  [SMALL_STATE(2461)] = 51737,
  [SMALL_STATE(2462)] = 51805,
  [SMALL_STATE(2463)] = 51871,
  [SMALL_STATE(2464)] = 51937,
  [SMALL_STATE(2465)] = 52003,
  [SMALL_STATE(2466)] = 52069,
  [SMALL_STATE(2467)] = 52135,
  [SMALL_STATE(2468)] = 52201,
  [SMALL_STATE(2469)] = 52295,
  [SMALL_STATE(2470)] = 52361,
  [SMALL_STATE(2471)] = 52433,
  [SMALL_STATE(2472)] = 52499,
  [SMALL_STATE(2473)] = 52595,
  [SMALL_STATE(2474)] = 52661,
  [SMALL_STATE(2475)] = 52757,
  [SMALL_STATE(2476)] = 52827,
  [SMALL_STATE(2477)] = 52893,
  [SMALL_STATE(2478)] = 52959,
  [SMALL_STATE(2479)] = 53055,
  [SMALL_STATE(2480)] = 53121,
  [SMALL_STATE(2481)] = 53187,
  [SMALL_STATE(2482)] = 53253,
  [SMALL_STATE(2483)] = 53319,
  [SMALL_STATE(2484)] = 53385,
  [SMALL_STATE(2485)] = 53451,
  [SMALL_STATE(2486)] = 53517,
  [SMALL_STATE(2487)] = 53582,
  [SMALL_STATE(2488)] = 53647,
  [SMALL_STATE(2489)] = 53712,
  [SMALL_STATE(2490)] = 53775,
  [SMALL_STATE(2491)] = 53842,
  [SMALL_STATE(2492)] = 53907,
  [SMALL_STATE(2493)] = 53976,
  [SMALL_STATE(2494)] = 54045,
  [SMALL_STATE(2495)] = 54110,
  [SMALL_STATE(2496)] = 54175,
  [SMALL_STATE(2497)] = 54252,
  [SMALL_STATE(2498)] = 54317,
  [SMALL_STATE(2499)] = 54388,
  [SMALL_STATE(2500)] = 54453,
  [SMALL_STATE(2501)] = 54518,
  [SMALL_STATE(2502)] = 54583,
  [SMALL_STATE(2503)] = 54648,
  [SMALL_STATE(2504)] = 54713,
  [SMALL_STATE(2505)] = 54778,
  [SMALL_STATE(2506)] = 54847,
  [SMALL_STATE(2507)] = 54938,
  [SMALL_STATE(2508)] = 55001,
  [SMALL_STATE(2509)] = 55066,
  [SMALL_STATE(2510)] = 55131,
  [SMALL_STATE(2511)] = 55194,
  [SMALL_STATE(2512)] = 55259,
  [SMALL_STATE(2513)] = 55322,
  [SMALL_STATE(2514)] = 55413,
  [SMALL_STATE(2515)] = 55478,
  [SMALL_STATE(2516)] = 55549,
  [SMALL_STATE(2517)] = 55614,
  [SMALL_STATE(2518)] = 55687,
  [SMALL_STATE(2519)] = 55752,
  [SMALL_STATE(2520)] = 55823,
  [SMALL_STATE(2521)] = 55888,
  [SMALL_STATE(2522)] = 55959,
  [SMALL_STATE(2523)] = 56024,
  [SMALL_STATE(2524)] = 56089,
  [SMALL_STATE(2525)] = 56156,
  [SMALL_STATE(2526)] = 56219,
  [SMALL_STATE(2527)] = 56282,
  [SMALL_STATE(2528)] = 56363,
  [SMALL_STATE(2529)] = 56428,
  [SMALL_STATE(2530)] = 56509,
  [SMALL_STATE(2531)] = 56584,
  [SMALL_STATE(2532)] = 56649,
  [SMALL_STATE(2533)] = 56714,
  [SMALL_STATE(2534)] = 56783,
  [SMALL_STATE(2535)] = 56852,
  [SMALL_STATE(2536)] = 56917,
  [SMALL_STATE(2537)] = 56982,
  [SMALL_STATE(2538)] = 57047,
  [SMALL_STATE(2539)] = 57112,
  [SMALL_STATE(2540)] = 57183,
  [SMALL_STATE(2541)] = 57248,
  [SMALL_STATE(2542)] = 57313,
  [SMALL_STATE(2543)] = 57378,
  [SMALL_STATE(2544)] = 57459,
  [SMALL_STATE(2545)] = 57536,
  [SMALL_STATE(2546)] = 57617,
  [SMALL_STATE(2547)] = 57682,
  [SMALL_STATE(2548)] = 57747,
  [SMALL_STATE(2549)] = 57828,
  [SMALL_STATE(2550)] = 57893,
  [SMALL_STATE(2551)] = 57970,
  [SMALL_STATE(2552)] = 58043,
  [SMALL_STATE(2553)] = 58106,
  [SMALL_STATE(2554)] = 58169,
  [SMALL_STATE(2555)] = 58232,
  [SMALL_STATE(2556)] = 58299,
  [SMALL_STATE(2557)] = 58364,
  [SMALL_STATE(2558)] = 58427,
  [SMALL_STATE(2559)] = 58492,
  [SMALL_STATE(2560)] = 58559,
  [SMALL_STATE(2561)] = 58632,
  [SMALL_STATE(2562)] = 58697,
  [SMALL_STATE(2563)] = 58762,
  [SMALL_STATE(2564)] = 58827,
  [SMALL_STATE(2565)] = 58894,
  [SMALL_STATE(2566)] = 58959,
  [SMALL_STATE(2567)] = 59026,
  [SMALL_STATE(2568)] = 59091,
  [SMALL_STATE(2569)] = 59156,
  [SMALL_STATE(2570)] = 59221,
  [SMALL_STATE(2571)] = 59286,
  [SMALL_STATE(2572)] = 59349,
  [SMALL_STATE(2573)] = 59412,
  [SMALL_STATE(2574)] = 59483,
  [SMALL_STATE(2575)] = 59548,
  [SMALL_STATE(2576)] = 59611,
  [SMALL_STATE(2577)] = 59674,
  [SMALL_STATE(2578)] = 59739,
  [SMALL_STATE(2579)] = 59802,
  [SMALL_STATE(2580)] = 59867,
  [SMALL_STATE(2581)] = 59932,
  [SMALL_STATE(2582)] = 59997,
  [SMALL_STATE(2583)] = 60062,
  [SMALL_STATE(2584)] = 60127,
  [SMALL_STATE(2585)] = 60190,
  [SMALL_STATE(2586)] = 60255,
  [SMALL_STATE(2587)] = 60320,
  [SMALL_STATE(2588)] = 60385,
  [SMALL_STATE(2589)] = 60448,
  [SMALL_STATE(2590)] = 60515,
  [SMALL_STATE(2591)] = 60580,
  [SMALL_STATE(2592)] = 60645,
  [SMALL_STATE(2593)] = 60710,
  [SMALL_STATE(2594)] = 60775,
  [SMALL_STATE(2595)] = 60840,
  [SMALL_STATE(2596)] = 60903,
  [SMALL_STATE(2597)] = 60976,
  [SMALL_STATE(2598)] = 61041,
  [SMALL_STATE(2599)] = 61106,
  [SMALL_STATE(2600)] = 61175,
  [SMALL_STATE(2601)] = 61238,
  [SMALL_STATE(2602)] = 61303,
  [SMALL_STATE(2603)] = 61368,
  [SMALL_STATE(2604)] = 61437,
  [SMALL_STATE(2605)] = 61500,
  [SMALL_STATE(2606)] = 61565,
  [SMALL_STATE(2607)] = 61638,
  [SMALL_STATE(2608)] = 61703,
  [SMALL_STATE(2609)] = 61766,
  [SMALL_STATE(2610)] = 61829,
  [SMALL_STATE(2611)] = 61894,
  [SMALL_STATE(2612)] = 61961,
  [SMALL_STATE(2613)] = 62026,
  [SMALL_STATE(2614)] = 62091,
  [SMALL_STATE(2615)] = 62156,
  [SMALL_STATE(2616)] = 62221,
  [SMALL_STATE(2617)] = 62284,
  [SMALL_STATE(2618)] = 62347,
  [SMALL_STATE(2619)] = 62410,
  [SMALL_STATE(2620)] = 62483,
  [SMALL_STATE(2621)] = 62546,
  [SMALL_STATE(2622)] = 62609,
  [SMALL_STATE(2623)] = 62672,
  [SMALL_STATE(2624)] = 62735,
  [SMALL_STATE(2625)] = 62808,
  [SMALL_STATE(2626)] = 62873,
  [SMALL_STATE(2627)] = 62938,
  [SMALL_STATE(2628)] = 63003,
  [SMALL_STATE(2629)] = 63068,
  [SMALL_STATE(2630)] = 63133,
  [SMALL_STATE(2631)] = 63206,
  [SMALL_STATE(2632)] = 63271,
  [SMALL_STATE(2633)] = 63334,
  [SMALL_STATE(2634)] = 63399,
  [SMALL_STATE(2635)] = 63464,
  [SMALL_STATE(2636)] = 63529,
  [SMALL_STATE(2637)] = 63600,
  [SMALL_STATE(2638)] = 63665,
  [SMALL_STATE(2639)] = 63728,
  [SMALL_STATE(2640)] = 63797,
  [SMALL_STATE(2641)] = 63860,
  [SMALL_STATE(2642)] = 63923,
  [SMALL_STATE(2643)] = 63986,
  [SMALL_STATE(2644)] = 64049,
  [SMALL_STATE(2645)] = 64114,
  [SMALL_STATE(2646)] = 64177,
  [SMALL_STATE(2647)] = 64240,
  [SMALL_STATE(2648)] = 64303,
  [SMALL_STATE(2649)] = 64366,
  [SMALL_STATE(2650)] = 64429,
  [SMALL_STATE(2651)] = 64494,
  [SMALL_STATE(2652)] = 64567,
  [SMALL_STATE(2653)] = 64642,
  [SMALL_STATE(2654)] = 64707,
  [SMALL_STATE(2655)] = 64772,
  [SMALL_STATE(2656)] = 64837,
  [SMALL_STATE(2657)] = 64910,
  [SMALL_STATE(2658)] = 64975,
  [SMALL_STATE(2659)] = 65040,
  [SMALL_STATE(2660)] = 65105,
  [SMALL_STATE(2661)] = 65170,
  [SMALL_STATE(2662)] = 65237,
  [SMALL_STATE(2663)] = 65302,
  [SMALL_STATE(2664)] = 65367,
  [SMALL_STATE(2665)] = 65432,
  [SMALL_STATE(2666)] = 65497,
  [SMALL_STATE(2667)] = 65562,
  [SMALL_STATE(2668)] = 65627,
  [SMALL_STATE(2669)] = 65692,
  [SMALL_STATE(2670)] = 65754,
  [SMALL_STATE(2671)] = 65818,
  [SMALL_STATE(2672)] = 65880,
  [SMALL_STATE(2673)] = 65944,
  [SMALL_STATE(2674)] = 66006,
  [SMALL_STATE(2675)] = 66068,
  [SMALL_STATE(2676)] = 66130,
  [SMALL_STATE(2677)] = 66192,
  [SMALL_STATE(2678)] = 66256,
  [SMALL_STATE(2679)] = 66320,
  [SMALL_STATE(2680)] = 66382,
  [SMALL_STATE(2681)] = 66446,
  [SMALL_STATE(2682)] = 66510,
  [SMALL_STATE(2683)] = 66574,
  [SMALL_STATE(2684)] = 66638,
  [SMALL_STATE(2685)] = 66702,
  [SMALL_STATE(2686)] = 66764,
  [SMALL_STATE(2687)] = 66826,
  [SMALL_STATE(2688)] = 66890,
  [SMALL_STATE(2689)] = 66952,
  [SMALL_STATE(2690)] = 67014,
  [SMALL_STATE(2691)] = 67076,
  [SMALL_STATE(2692)] = 67138,
  [SMALL_STATE(2693)] = 67200,
  [SMALL_STATE(2694)] = 67262,
  [SMALL_STATE(2695)] = 67324,
  [SMALL_STATE(2696)] = 67386,
  [SMALL_STATE(2697)] = 67448,
  [SMALL_STATE(2698)] = 67510,
  [SMALL_STATE(2699)] = 67572,
  [SMALL_STATE(2700)] = 67634,
  [SMALL_STATE(2701)] = 67698,
  [SMALL_STATE(2702)] = 67760,
  [SMALL_STATE(2703)] = 67822,
  [SMALL_STATE(2704)] = 67884,
  [SMALL_STATE(2705)] = 67946,
  [SMALL_STATE(2706)] = 68008,
  [SMALL_STATE(2707)] = 68070,
  [SMALL_STATE(2708)] = 68132,
  [SMALL_STATE(2709)] = 68194,
  [SMALL_STATE(2710)] = 68256,
  [SMALL_STATE(2711)] = 68318,
  [SMALL_STATE(2712)] = 68380,
  [SMALL_STATE(2713)] = 68442,
  [SMALL_STATE(2714)] = 68504,
  [SMALL_STATE(2715)] = 68566,
  [SMALL_STATE(2716)] = 68628,
  [SMALL_STATE(2717)] = 68692,
  [SMALL_STATE(2718)] = 68754,
  [SMALL_STATE(2719)] = 68816,
  [SMALL_STATE(2720)] = 68878,
  [SMALL_STATE(2721)] = 68940,
  [SMALL_STATE(2722)] = 69002,
  [SMALL_STATE(2723)] = 69064,
  [SMALL_STATE(2724)] = 69128,
  [SMALL_STATE(2725)] = 69190,
  [SMALL_STATE(2726)] = 69252,
  [SMALL_STATE(2727)] = 69314,
  [SMALL_STATE(2728)] = 69376,
  [SMALL_STATE(2729)] = 69438,
  [SMALL_STATE(2730)] = 69500,
  [SMALL_STATE(2731)] = 69564,
  [SMALL_STATE(2732)] = 69626,
  [SMALL_STATE(2733)] = 69688,
  [SMALL_STATE(2734)] = 69752,
  [SMALL_STATE(2735)] = 69816,
  [SMALL_STATE(2736)] = 69878,
  [SMALL_STATE(2737)] = 69942,
  [SMALL_STATE(2738)] = 70004,
  [SMALL_STATE(2739)] = 70066,
  [SMALL_STATE(2740)] = 70128,
  [SMALL_STATE(2741)] = 70192,
  [SMALL_STATE(2742)] = 70254,
  [SMALL_STATE(2743)] = 70316,
  [SMALL_STATE(2744)] = 70380,
  [SMALL_STATE(2745)] = 70442,
  [SMALL_STATE(2746)] = 70506,
  [SMALL_STATE(2747)] = 70570,
  [SMALL_STATE(2748)] = 70632,
  [SMALL_STATE(2749)] = 70694,
  [SMALL_STATE(2750)] = 70756,
  [SMALL_STATE(2751)] = 70820,
  [SMALL_STATE(2752)] = 70882,
  [SMALL_STATE(2753)] = 70944,
  [SMALL_STATE(2754)] = 71006,
  [SMALL_STATE(2755)] = 71068,
  [SMALL_STATE(2756)] = 71130,
  [SMALL_STATE(2757)] = 71192,
  [SMALL_STATE(2758)] = 71256,
  [SMALL_STATE(2759)] = 71318,
  [SMALL_STATE(2760)] = 71380,
  [SMALL_STATE(2761)] = 71444,
  [SMALL_STATE(2762)] = 71506,
  [SMALL_STATE(2763)] = 71568,
  [SMALL_STATE(2764)] = 71630,
  [SMALL_STATE(2765)] = 71692,
  [SMALL_STATE(2766)] = 71754,
  [SMALL_STATE(2767)] = 71816,
  [SMALL_STATE(2768)] = 71878,
  [SMALL_STATE(2769)] = 71940,
  [SMALL_STATE(2770)] = 72002,
  [SMALL_STATE(2771)] = 72064,
  [SMALL_STATE(2772)] = 72128,
  [SMALL_STATE(2773)] = 72190,
  [SMALL_STATE(2774)] = 72252,
  [SMALL_STATE(2775)] = 72314,
  [SMALL_STATE(2776)] = 72376,
  [SMALL_STATE(2777)] = 72438,
  [SMALL_STATE(2778)] = 72502,
  [SMALL_STATE(2779)] = 72564,
  [SMALL_STATE(2780)] = 72626,
  [SMALL_STATE(2781)] = 72688,
  [SMALL_STATE(2782)] = 72750,
  [SMALL_STATE(2783)] = 72812,
  [SMALL_STATE(2784)] = 72874,
  [SMALL_STATE(2785)] = 72936,
  [SMALL_STATE(2786)] = 72998,
  [SMALL_STATE(2787)] = 73062,
  [SMALL_STATE(2788)] = 73124,
  [SMALL_STATE(2789)] = 73186,
  [SMALL_STATE(2790)] = 73248,
  [SMALL_STATE(2791)] = 73310,
  [SMALL_STATE(2792)] = 73372,
  [SMALL_STATE(2793)] = 73434,
  [SMALL_STATE(2794)] = 73496,
  [SMALL_STATE(2795)] = 73558,
  [SMALL_STATE(2796)] = 73620,
  [SMALL_STATE(2797)] = 73682,
  [SMALL_STATE(2798)] = 73744,
  [SMALL_STATE(2799)] = 73806,
  [SMALL_STATE(2800)] = 73868,
  [SMALL_STATE(2801)] = 73930,
  [SMALL_STATE(2802)] = 73994,
  [SMALL_STATE(2803)] = 74058,
  [SMALL_STATE(2804)] = 74122,
  [SMALL_STATE(2805)] = 74184,
  [SMALL_STATE(2806)] = 74248,
  [SMALL_STATE(2807)] = 74340,
  [SMALL_STATE(2808)] = 74406,
  [SMALL_STATE(2809)] = 74468,
  [SMALL_STATE(2810)] = 74530,
  [SMALL_STATE(2811)] = 74622,
  [SMALL_STATE(2812)] = 74686,
  [SMALL_STATE(2813)] = 74748,
  [SMALL_STATE(2814)] = 74810,
  [SMALL_STATE(2815)] = 74876,
  [SMALL_STATE(2816)] = 74938,
  [SMALL_STATE(2817)] = 75000,
  [SMALL_STATE(2818)] = 75066,
  [SMALL_STATE(2819)] = 75128,
  [SMALL_STATE(2820)] = 75194,
  [SMALL_STATE(2821)] = 75256,
  [SMALL_STATE(2822)] = 75320,
  [SMALL_STATE(2823)] = 75384,
  [SMALL_STATE(2824)] = 75448,
  [SMALL_STATE(2825)] = 75512,
  [SMALL_STATE(2826)] = 75574,
  [SMALL_STATE(2827)] = 75636,
  [SMALL_STATE(2828)] = 75700,
  [SMALL_STATE(2829)] = 75762,
  [SMALL_STATE(2830)] = 75824,
  [SMALL_STATE(2831)] = 75888,
  [SMALL_STATE(2832)] = 75950,
  [SMALL_STATE(2833)] = 76012,
  [SMALL_STATE(2834)] = 76076,
  [SMALL_STATE(2835)] = 76138,
  [SMALL_STATE(2836)] = 76200,
  [SMALL_STATE(2837)] = 76290,
  [SMALL_STATE(2838)] = 76352,
  [SMALL_STATE(2839)] = 76414,
  [SMALL_STATE(2840)] = 76476,
  [SMALL_STATE(2841)] = 76566,
  [SMALL_STATE(2842)] = 76628,
  [SMALL_STATE(2843)] = 76690,
  [SMALL_STATE(2844)] = 76752,
  [SMALL_STATE(2845)] = 76814,
  [SMALL_STATE(2846)] = 76876,
  [SMALL_STATE(2847)] = 76938,
  [SMALL_STATE(2848)] = 77000,
  [SMALL_STATE(2849)] = 77064,
  [SMALL_STATE(2850)] = 77126,
  [SMALL_STATE(2851)] = 77188,
  [SMALL_STATE(2852)] = 77250,
  [SMALL_STATE(2853)] = 77312,
  [SMALL_STATE(2854)] = 77374,
  [SMALL_STATE(2855)] = 77438,
  [SMALL_STATE(2856)] = 77500,
  [SMALL_STATE(2857)] = 77564,
  [SMALL_STATE(2858)] = 77626,
  [SMALL_STATE(2859)] = 77688,
  [SMALL_STATE(2860)] = 77752,
  [SMALL_STATE(2861)] = 77814,
  [SMALL_STATE(2862)] = 77876,
  [SMALL_STATE(2863)] = 77940,
  [SMALL_STATE(2864)] = 78002,
  [SMALL_STATE(2865)] = 78064,
  [SMALL_STATE(2866)] = 78126,
  [SMALL_STATE(2867)] = 78190,
  [SMALL_STATE(2868)] = 78252,
  [SMALL_STATE(2869)] = 78314,
  [SMALL_STATE(2870)] = 78376,
  [SMALL_STATE(2871)] = 78438,
  [SMALL_STATE(2872)] = 78502,
  [SMALL_STATE(2873)] = 78564,
  [SMALL_STATE(2874)] = 78626,
  [SMALL_STATE(2875)] = 78688,
  [SMALL_STATE(2876)] = 78752,
  [SMALL_STATE(2877)] = 78816,
  [SMALL_STATE(2878)] = 78880,
  [SMALL_STATE(2879)] = 78944,
  [SMALL_STATE(2880)] = 79006,
  [SMALL_STATE(2881)] = 79068,
  [SMALL_STATE(2882)] = 79132,
  [SMALL_STATE(2883)] = 79194,
  [SMALL_STATE(2884)] = 79256,
  [SMALL_STATE(2885)] = 79318,
  [SMALL_STATE(2886)] = 79380,
  [SMALL_STATE(2887)] = 79442,
  [SMALL_STATE(2888)] = 79504,
  [SMALL_STATE(2889)] = 79566,
  [SMALL_STATE(2890)] = 79628,
  [SMALL_STATE(2891)] = 79690,
  [SMALL_STATE(2892)] = 79752,
  [SMALL_STATE(2893)] = 79816,
  [SMALL_STATE(2894)] = 79878,
  [SMALL_STATE(2895)] = 79940,
  [SMALL_STATE(2896)] = 80004,
  [SMALL_STATE(2897)] = 80066,
  [SMALL_STATE(2898)] = 80128,
  [SMALL_STATE(2899)] = 80190,
  [SMALL_STATE(2900)] = 80254,
  [SMALL_STATE(2901)] = 80316,
  [SMALL_STATE(2902)] = 80378,
  [SMALL_STATE(2903)] = 80442,
  [SMALL_STATE(2904)] = 80504,
  [SMALL_STATE(2905)] = 80568,
  [SMALL_STATE(2906)] = 80632,
  [SMALL_STATE(2907)] = 80696,
  [SMALL_STATE(2908)] = 80788,
  [SMALL_STATE(2909)] = 80850,
  [SMALL_STATE(2910)] = 80912,
  [SMALL_STATE(2911)] = 80974,
  [SMALL_STATE(2912)] = 81064,
  [SMALL_STATE(2913)] = 81126,
  [SMALL_STATE(2914)] = 81188,
  [SMALL_STATE(2915)] = 81250,
  [SMALL_STATE(2916)] = 81342,
  [SMALL_STATE(2917)] = 81406,
  [SMALL_STATE(2918)] = 81470,
  [SMALL_STATE(2919)] = 81532,
  [SMALL_STATE(2920)] = 81596,
  [SMALL_STATE(2921)] = 81660,
  [SMALL_STATE(2922)] = 81750,
  [SMALL_STATE(2923)] = 81812,
  [SMALL_STATE(2924)] = 81876,
  [SMALL_STATE(2925)] = 81940,
  [SMALL_STATE(2926)] = 82004,
  [SMALL_STATE(2927)] = 82068,
  [SMALL_STATE(2928)] = 82132,
  [SMALL_STATE(2929)] = 82196,
  [SMALL_STATE(2930)] = 82260,
  [SMALL_STATE(2931)] = 82322,
  [SMALL_STATE(2932)] = 82386,
  [SMALL_STATE(2933)] = 82450,
  [SMALL_STATE(2934)] = 82514,
  [SMALL_STATE(2935)] = 82576,
  [SMALL_STATE(2936)] = 82640,
  [SMALL_STATE(2937)] = 82710,
  [SMALL_STATE(2938)] = 82774,
  [SMALL_STATE(2939)] = 82838,
  [SMALL_STATE(2940)] = 82902,
  [SMALL_STATE(2941)] = 82966,
  [SMALL_STATE(2942)] = 83032,
  [SMALL_STATE(2943)] = 83096,
  [SMALL_STATE(2944)] = 83160,
  [SMALL_STATE(2945)] = 83224,
  [SMALL_STATE(2946)] = 83288,
  [SMALL_STATE(2947)] = 83352,
  [SMALL_STATE(2948)] = 83416,
  [SMALL_STATE(2949)] = 83480,
  [SMALL_STATE(2950)] = 83544,
  [SMALL_STATE(2951)] = 83606,
  [SMALL_STATE(2952)] = 83670,
  [SMALL_STATE(2953)] = 83734,
  [SMALL_STATE(2954)] = 83798,
  [SMALL_STATE(2955)] = 83860,
  [SMALL_STATE(2956)] = 83924,
  [SMALL_STATE(2957)] = 83988,
  [SMALL_STATE(2958)] = 84052,
  [SMALL_STATE(2959)] = 84116,
  [SMALL_STATE(2960)] = 84180,
  [SMALL_STATE(2961)] = 84272,
  [SMALL_STATE(2962)] = 84334,
  [SMALL_STATE(2963)] = 84426,
  [SMALL_STATE(2964)] = 84490,
  [SMALL_STATE(2965)] = 84554,
  [SMALL_STATE(2966)] = 84618,
  [SMALL_STATE(2967)] = 84680,
  [SMALL_STATE(2968)] = 84742,
  [SMALL_STATE(2969)] = 84808,
  [SMALL_STATE(2970)] = 84872,
  [SMALL_STATE(2971)] = 84936,
  [SMALL_STATE(2972)] = 85000,
  [SMALL_STATE(2973)] = 85064,
  [SMALL_STATE(2974)] = 85128,
  [SMALL_STATE(2975)] = 85192,
  [SMALL_STATE(2976)] = 85256,
  [SMALL_STATE(2977)] = 85320,
  [SMALL_STATE(2978)] = 85384,
  [SMALL_STATE(2979)] = 85448,
  [SMALL_STATE(2980)] = 85512,
  [SMALL_STATE(2981)] = 85604,
  [SMALL_STATE(2982)] = 85696,
  [SMALL_STATE(2983)] = 85760,
  [SMALL_STATE(2984)] = 85824,
  [SMALL_STATE(2985)] = 85888,
  [SMALL_STATE(2986)] = 85952,
  [SMALL_STATE(2987)] = 86016,
  [SMALL_STATE(2988)] = 86080,
  [SMALL_STATE(2989)] = 86144,
  [SMALL_STATE(2990)] = 86208,
  [SMALL_STATE(2991)] = 86272,
  [SMALL_STATE(2992)] = 86336,
  [SMALL_STATE(2993)] = 86400,
  [SMALL_STATE(2994)] = 86464,
  [SMALL_STATE(2995)] = 86528,
  [SMALL_STATE(2996)] = 86592,
  [SMALL_STATE(2997)] = 86656,
  [SMALL_STATE(2998)] = 86720,
  [SMALL_STATE(2999)] = 86784,
  [SMALL_STATE(3000)] = 86848,
  [SMALL_STATE(3001)] = 86912,
  [SMALL_STATE(3002)] = 86976,
  [SMALL_STATE(3003)] = 87040,
  [SMALL_STATE(3004)] = 87104,
  [SMALL_STATE(3005)] = 87168,
  [SMALL_STATE(3006)] = 87232,
  [SMALL_STATE(3007)] = 87296,
  [SMALL_STATE(3008)] = 87360,
  [SMALL_STATE(3009)] = 87424,
  [SMALL_STATE(3010)] = 87488,
  [SMALL_STATE(3011)] = 87552,
  [SMALL_STATE(3012)] = 87616,
  [SMALL_STATE(3013)] = 87680,
  [SMALL_STATE(3014)] = 87744,
  [SMALL_STATE(3015)] = 87808,
  [SMALL_STATE(3016)] = 87872,
  [SMALL_STATE(3017)] = 87934,
  [SMALL_STATE(3018)] = 87998,
  [SMALL_STATE(3019)] = 88060,
  [SMALL_STATE(3020)] = 88124,
  [SMALL_STATE(3021)] = 88188,
  [SMALL_STATE(3022)] = 88254,
  [SMALL_STATE(3023)] = 88318,
  [SMALL_STATE(3024)] = 88382,
  [SMALL_STATE(3025)] = 88446,
  [SMALL_STATE(3026)] = 88510,
  [SMALL_STATE(3027)] = 88574,
  [SMALL_STATE(3028)] = 88638,
  [SMALL_STATE(3029)] = 88702,
  [SMALL_STATE(3030)] = 88766,
  [SMALL_STATE(3031)] = 88830,
  [SMALL_STATE(3032)] = 88894,
  [SMALL_STATE(3033)] = 88956,
  [SMALL_STATE(3034)] = 89018,
  [SMALL_STATE(3035)] = 89080,
  [SMALL_STATE(3036)] = 89144,
  [SMALL_STATE(3037)] = 89206,
  [SMALL_STATE(3038)] = 89270,
  [SMALL_STATE(3039)] = 89334,
  [SMALL_STATE(3040)] = 89398,
  [SMALL_STATE(3041)] = 89459,
  [SMALL_STATE(3042)] = 89522,
  [SMALL_STATE(3043)] = 89585,
  [SMALL_STATE(3044)] = 89648,
  [SMALL_STATE(3045)] = 89711,
  [SMALL_STATE(3046)] = 89774,
  [SMALL_STATE(3047)] = 89837,
  [SMALL_STATE(3048)] = 89900,
  [SMALL_STATE(3049)] = 89963,
  [SMALL_STATE(3050)] = 90026,
  [SMALL_STATE(3051)] = 90087,
  [SMALL_STATE(3052)] = 90150,
  [SMALL_STATE(3053)] = 90213,
  [SMALL_STATE(3054)] = 90276,
  [SMALL_STATE(3055)] = 90365,
  [SMALL_STATE(3056)] = 90454,
  [SMALL_STATE(3057)] = 90517,
  [SMALL_STATE(3058)] = 90580,
  [SMALL_STATE(3059)] = 90643,
  [SMALL_STATE(3060)] = 90706,
  [SMALL_STATE(3061)] = 90769,
  [SMALL_STATE(3062)] = 90830,
  [SMALL_STATE(3063)] = 90893,
  [SMALL_STATE(3064)] = 90956,
  [SMALL_STATE(3065)] = 91019,
  [SMALL_STATE(3066)] = 91082,
  [SMALL_STATE(3067)] = 91165,
  [SMALL_STATE(3068)] = 91228,
  [SMALL_STATE(3069)] = 91291,
  [SMALL_STATE(3070)] = 91354,
  [SMALL_STATE(3071)] = 91417,
  [SMALL_STATE(3072)] = 91480,
  [SMALL_STATE(3073)] = 91543,
  [SMALL_STATE(3074)] = 91606,
  [SMALL_STATE(3075)] = 91669,
  [SMALL_STATE(3076)] = 91732,
  [SMALL_STATE(3077)] = 91795,
  [SMALL_STATE(3078)] = 91858,
  [SMALL_STATE(3079)] = 91921,
  [SMALL_STATE(3080)] = 91984,
  [SMALL_STATE(3081)] = 92047,
  [SMALL_STATE(3082)] = 92110,
  [SMALL_STATE(3083)] = 92173,
  [SMALL_STATE(3084)] = 92262,
  [SMALL_STATE(3085)] = 92325,
  [SMALL_STATE(3086)] = 92414,
  [SMALL_STATE(3087)] = 92477,
  [SMALL_STATE(3088)] = 92540,
  [SMALL_STATE(3089)] = 92603,
  [SMALL_STATE(3090)] = 92692,
  [SMALL_STATE(3091)] = 92755,
  [SMALL_STATE(3092)] = 92818,
  [SMALL_STATE(3093)] = 92881,
  [SMALL_STATE(3094)] = 92944,
  [SMALL_STATE(3095)] = 93007,
  [SMALL_STATE(3096)] = 93070,
  [SMALL_STATE(3097)] = 93133,
  [SMALL_STATE(3098)] = 93222,
  [SMALL_STATE(3099)] = 93285,
  [SMALL_STATE(3100)] = 93350,
  [SMALL_STATE(3101)] = 93413,
  [SMALL_STATE(3102)] = 93474,
  [SMALL_STATE(3103)] = 93537,
  [SMALL_STATE(3104)] = 93600,
  [SMALL_STATE(3105)] = 93661,
  [SMALL_STATE(3106)] = 93722,
  [SMALL_STATE(3107)] = 93799,
  [SMALL_STATE(3108)] = 93862,
  [SMALL_STATE(3109)] = 93925,
  [SMALL_STATE(3110)] = 93988,
  [SMALL_STATE(3111)] = 94049,
  [SMALL_STATE(3112)] = 94112,
  [SMALL_STATE(3113)] = 94177,
  [SMALL_STATE(3114)] = 94240,
  [SMALL_STATE(3115)] = 94301,
  [SMALL_STATE(3116)] = 94364,
  [SMALL_STATE(3117)] = 94427,
  [SMALL_STATE(3118)] = 94490,
  [SMALL_STATE(3119)] = 94553,
  [SMALL_STATE(3120)] = 94616,
  [SMALL_STATE(3121)] = 94681,
  [SMALL_STATE(3122)] = 94772,
  [SMALL_STATE(3123)] = 94833,
  [SMALL_STATE(3124)] = 94924,
  [SMALL_STATE(3125)] = 94987,
  [SMALL_STATE(3126)] = 95050,
  [SMALL_STATE(3127)] = 95111,
  [SMALL_STATE(3128)] = 95174,
  [SMALL_STATE(3129)] = 95237,
  [SMALL_STATE(3130)] = 95302,
  [SMALL_STATE(3131)] = 95365,
  [SMALL_STATE(3132)] = 95428,
  [SMALL_STATE(3133)] = 95491,
  [SMALL_STATE(3134)] = 95554,
  [SMALL_STATE(3135)] = 95645,
  [SMALL_STATE(3136)] = 95706,
  [SMALL_STATE(3137)] = 95769,
  [SMALL_STATE(3138)] = 95860,
  [SMALL_STATE(3139)] = 95923,
  [SMALL_STATE(3140)] = 95986,
  [SMALL_STATE(3141)] = 96047,
  [SMALL_STATE(3142)] = 96110,
  [SMALL_STATE(3143)] = 96173,
  [SMALL_STATE(3144)] = 96236,
  [SMALL_STATE(3145)] = 96299,
  [SMALL_STATE(3146)] = 96370,
  [SMALL_STATE(3147)] = 96430,
  [SMALL_STATE(3148)] = 96490,
  [SMALL_STATE(3149)] = 96608,
  [SMALL_STATE(3150)] = 96726,
  [SMALL_STATE(3151)] = 96814,
  [SMALL_STATE(3152)] = 96932,
  [SMALL_STATE(3153)] = 97050,
  [SMALL_STATE(3154)] = 97168,
  [SMALL_STATE(3155)] = 97286,
  [SMALL_STATE(3156)] = 97374,
  [SMALL_STATE(3157)] = 97492,
  [SMALL_STATE(3158)] = 97582,
  [SMALL_STATE(3159)] = 97642,
  [SMALL_STATE(3160)] = 97760,
  [SMALL_STATE(3161)] = 97844,
  [SMALL_STATE(3162)] = 97962,
  [SMALL_STATE(3163)] = 98050,
  [SMALL_STATE(3164)] = 98138,
  [SMALL_STATE(3165)] = 98256,
  [SMALL_STATE(3166)] = 98374,
  [SMALL_STATE(3167)] = 98492,
  [SMALL_STATE(3168)] = 98610,
  [SMALL_STATE(3169)] = 98728,
  [SMALL_STATE(3170)] = 98846,
  [SMALL_STATE(3171)] = 98908,
  [SMALL_STATE(3172)] = 98972,
  [SMALL_STATE(3173)] = 99090,
  [SMALL_STATE(3174)] = 99174,
  [SMALL_STATE(3175)] = 99234,
  [SMALL_STATE(3176)] = 99352,
  [SMALL_STATE(3177)] = 99412,
  [SMALL_STATE(3178)] = 99500,
  [SMALL_STATE(3179)] = 99560,
  [SMALL_STATE(3180)] = 99678,
  [SMALL_STATE(3181)] = 99796,
  [SMALL_STATE(3182)] = 99856,
  [SMALL_STATE(3183)] = 99974,
  [SMALL_STATE(3184)] = 100092,
  [SMALL_STATE(3185)] = 100210,
  [SMALL_STATE(3186)] = 100328,
  [SMALL_STATE(3187)] = 100388,
  [SMALL_STATE(3188)] = 100506,
  [SMALL_STATE(3189)] = 100624,
  [SMALL_STATE(3190)] = 100742,
  [SMALL_STATE(3191)] = 100860,
  [SMALL_STATE(3192)] = 100920,
  [SMALL_STATE(3193)] = 101004,
  [SMALL_STATE(3194)] = 101094,
  [SMALL_STATE(3195)] = 101184,
  [SMALL_STATE(3196)] = 101246,
  [SMALL_STATE(3197)] = 101364,
  [SMALL_STATE(3198)] = 101482,
  [SMALL_STATE(3199)] = 101542,
  [SMALL_STATE(3200)] = 101632,
  [SMALL_STATE(3201)] = 101692,
  [SMALL_STATE(3202)] = 101752,
  [SMALL_STATE(3203)] = 101870,
  [SMALL_STATE(3204)] = 101988,
  [SMALL_STATE(3205)] = 102106,
  [SMALL_STATE(3206)] = 102194,
  [SMALL_STATE(3207)] = 102312,
  [SMALL_STATE(3208)] = 102377,
  [SMALL_STATE(3209)] = 102436,
  [SMALL_STATE(3210)] = 102495,
  [SMALL_STATE(3211)] = 102558,
  [SMALL_STATE(3212)] = 102635,
  [SMALL_STATE(3213)] = 102700,
  [SMALL_STATE(3214)] = 102765,
  [SMALL_STATE(3215)] = 102826,
  [SMALL_STATE(3216)] = 102885,
  [SMALL_STATE(3217)] = 102962,
  [SMALL_STATE(3218)] = 103027,
  [SMALL_STATE(3219)] = 103086,
  [SMALL_STATE(3220)] = 103153,
  [SMALL_STATE(3221)] = 103230,
  [SMALL_STATE(3222)] = 103317,
  [SMALL_STATE(3223)] = 103394,
  [SMALL_STATE(3224)] = 103481,
  [SMALL_STATE(3225)] = 103568,
  [SMALL_STATE(3226)] = 103655,
  [SMALL_STATE(3227)] = 103732,
  [SMALL_STATE(3228)] = 103797,
  [SMALL_STATE(3229)] = 103862,
  [SMALL_STATE(3230)] = 103927,
  [SMALL_STATE(3231)] = 104016,
  [SMALL_STATE(3232)] = 104093,
  [SMALL_STATE(3233)] = 104182,
  [SMALL_STATE(3234)] = 104249,
  [SMALL_STATE(3235)] = 104360,
  [SMALL_STATE(3236)] = 104423,
  [SMALL_STATE(3237)] = 104485,
  [SMALL_STATE(3238)] = 104543,
  [SMALL_STATE(3239)] = 104605,
  [SMALL_STATE(3240)] = 104663,
  [SMALL_STATE(3241)] = 104725,
  [SMALL_STATE(3242)] = 104813,
  [SMALL_STATE(3243)] = 104875,
  [SMALL_STATE(3244)] = 104937,
  [SMALL_STATE(3245)] = 104995,
  [SMALL_STATE(3246)] = 105059,
  [SMALL_STATE(3247)] = 105121,
  [SMALL_STATE(3248)] = 105209,
  [SMALL_STATE(3249)] = 105272,
  [SMALL_STATE(3250)] = 105329,
  [SMALL_STATE(3251)] = 105416,
  [SMALL_STATE(3252)] = 105487,
  [SMALL_STATE(3253)] = 105550,
  [SMALL_STATE(3254)] = 105607,
  [SMALL_STATE(3255)] = 105692,
  [SMALL_STATE(3256)] = 105749,
  [SMALL_STATE(3257)] = 105854,
  [SMALL_STATE(3258)] = 105939,
  [SMALL_STATE(3259)] = 106044,
  [SMALL_STATE(3260)] = 106101,
  [SMALL_STATE(3261)] = 106158,
  [SMALL_STATE(3262)] = 106245,
  [SMALL_STATE(3263)] = 106330,
  [SMALL_STATE(3264)] = 106435,
  [SMALL_STATE(3265)] = 106492,
  [SMALL_STATE(3266)] = 106597,
  [SMALL_STATE(3267)] = 106682,
  [SMALL_STATE(3268)] = 106753,
  [SMALL_STATE(3269)] = 106810,
  [SMALL_STATE(3270)] = 106915,
  [SMALL_STATE(3271)] = 106972,
  [SMALL_STATE(3272)] = 107029,
  [SMALL_STATE(3273)] = 107134,
  [SMALL_STATE(3274)] = 107190,
  [SMALL_STATE(3275)] = 107246,
  [SMALL_STATE(3276)] = 107302,
  [SMALL_STATE(3277)] = 107358,
  [SMALL_STATE(3278)] = 107414,
  [SMALL_STATE(3279)] = 107470,
  [SMALL_STATE(3280)] = 107526,
  [SMALL_STATE(3281)] = 107582,
  [SMALL_STATE(3282)] = 107646,
  [SMALL_STATE(3283)] = 107702,
  [SMALL_STATE(3284)] = 107760,
  [SMALL_STATE(3285)] = 107816,
  [SMALL_STATE(3286)] = 107872,
  [SMALL_STATE(3287)] = 107932,
  [SMALL_STATE(3288)] = 107998,
  [SMALL_STATE(3289)] = 108058,
  [SMALL_STATE(3290)] = 108120,
  [SMALL_STATE(3291)] = 108182,
  [SMALL_STATE(3292)] = 108248,
  [SMALL_STATE(3293)] = 108304,
  [SMALL_STATE(3294)] = 108362,
  [SMALL_STATE(3295)] = 108464,
  [SMALL_STATE(3296)] = 108520,
  [SMALL_STATE(3297)] = 108576,
  [SMALL_STATE(3298)] = 108636,
  [SMALL_STATE(3299)] = 108696,
  [SMALL_STATE(3300)] = 108752,
  [SMALL_STATE(3301)] = 108808,
  [SMALL_STATE(3302)] = 108865,
  [SMALL_STATE(3303)] = 108922,
  [SMALL_STATE(3304)] = 108977,
  [SMALL_STATE(3305)] = 109032,
  [SMALL_STATE(3306)] = 109087,
  [SMALL_STATE(3307)] = 109142,
  [SMALL_STATE(3308)] = 109197,
  [SMALL_STATE(3309)] = 109252,
  [SMALL_STATE(3310)] = 109309,
  [SMALL_STATE(3311)] = 109364,
  [SMALL_STATE(3312)] = 109419,
  [SMALL_STATE(3313)] = 109476,
  [SMALL_STATE(3314)] = 109531,
  [SMALL_STATE(3315)] = 109586,
  [SMALL_STATE(3316)] = 109641,
  [SMALL_STATE(3317)] = 109695,
  [SMALL_STATE(3318)] = 109757,
  [SMALL_STATE(3319)] = 109813,
  [SMALL_STATE(3320)] = 109877,
  [SMALL_STATE(3321)] = 109941,
  [SMALL_STATE(3322)] = 110003,
  [SMALL_STATE(3323)] = 110057,
  [SMALL_STATE(3324)] = 110111,
  [SMALL_STATE(3325)] = 110169,
  [SMALL_STATE(3326)] = 110233,
  [SMALL_STATE(3327)] = 110286,
  [SMALL_STATE(3328)] = 110339,
  [SMALL_STATE(3329)] = 110428,
  [SMALL_STATE(3330)] = 110517,
  [SMALL_STATE(3331)] = 110572,
  [SMALL_STATE(3332)] = 110629,
  [SMALL_STATE(3333)] = 110686,
  [SMALL_STATE(3334)] = 110775,
  [SMALL_STATE(3335)] = 110864,
  [SMALL_STATE(3336)] = 110953,
  [SMALL_STATE(3337)] = 111042,
  [SMALL_STATE(3338)] = 111095,
  [SMALL_STATE(3339)] = 111184,
  [SMALL_STATE(3340)] = 111273,
  [SMALL_STATE(3341)] = 111362,
  [SMALL_STATE(3342)] = 111451,
  [SMALL_STATE(3343)] = 111540,
  [SMALL_STATE(3344)] = 111629,
  [SMALL_STATE(3345)] = 111718,
  [SMALL_STATE(3346)] = 111807,
  [SMALL_STATE(3347)] = 111896,
  [SMALL_STATE(3348)] = 111953,
  [SMALL_STATE(3349)] = 112042,
  [SMALL_STATE(3350)] = 112094,
  [SMALL_STATE(3351)] = 112146,
  [SMALL_STATE(3352)] = 112228,
  [SMALL_STATE(3353)] = 112310,
  [SMALL_STATE(3354)] = 112366,
  [SMALL_STATE(3355)] = 112418,
  [SMALL_STATE(3356)] = 112470,
  [SMALL_STATE(3357)] = 112526,
  [SMALL_STATE(3358)] = 112608,
  [SMALL_STATE(3359)] = 112690,
  [SMALL_STATE(3360)] = 112742,
  [SMALL_STATE(3361)] = 112832,
  [SMALL_STATE(3362)] = 112884,
  [SMALL_STATE(3363)] = 112966,
  [SMALL_STATE(3364)] = 113018,
  [SMALL_STATE(3365)] = 113074,
  [SMALL_STATE(3366)] = 113126,
  [SMALL_STATE(3367)] = 113208,
  [SMALL_STATE(3368)] = 113290,
  [SMALL_STATE(3369)] = 113342,
  [SMALL_STATE(3370)] = 113397,
  [SMALL_STATE(3371)] = 113484,
  [SMALL_STATE(3372)] = 113573,
  [SMALL_STATE(3373)] = 113662,
  [SMALL_STATE(3374)] = 113717,
  [SMALL_STATE(3375)] = 113806,
  [SMALL_STATE(3376)] = 113893,
  [SMALL_STATE(3377)] = 113980,
  [SMALL_STATE(3378)] = 114067,
  [SMALL_STATE(3379)] = 114156,
  [SMALL_STATE(3380)] = 114245,
  [SMALL_STATE(3381)] = 114334,
  [SMALL_STATE(3382)] = 114421,
  [SMALL_STATE(3383)] = 114476,
  [SMALL_STATE(3384)] = 114565,
  [SMALL_STATE(3385)] = 114654,
  [SMALL_STATE(3386)] = 114743,
  [SMALL_STATE(3387)] = 114832,
  [SMALL_STATE(3388)] = 114919,
  [SMALL_STATE(3389)] = 115008,
  [SMALL_STATE(3390)] = 115097,
  [SMALL_STATE(3391)] = 115184,
  [SMALL_STATE(3392)] = 115273,
  [SMALL_STATE(3393)] = 115330,
  [SMALL_STATE(3394)] = 115419,
  [SMALL_STATE(3395)] = 115506,
  [SMALL_STATE(3396)] = 115595,
  [SMALL_STATE(3397)] = 115682,
  [SMALL_STATE(3398)] = 115771,
  [SMALL_STATE(3399)] = 115858,
  [SMALL_STATE(3400)] = 115947,
  [SMALL_STATE(3401)] = 116034,
  [SMALL_STATE(3402)] = 116121,
  [SMALL_STATE(3403)] = 116176,
  [SMALL_STATE(3404)] = 116263,
  [SMALL_STATE(3405)] = 116352,
  [SMALL_STATE(3406)] = 116441,
  [SMALL_STATE(3407)] = 116530,
  [SMALL_STATE(3408)] = 116617,
  [SMALL_STATE(3409)] = 116704,
  [SMALL_STATE(3410)] = 116791,
  [SMALL_STATE(3411)] = 116880,
  [SMALL_STATE(3412)] = 116967,
  [SMALL_STATE(3413)] = 117054,
  [SMALL_STATE(3414)] = 117143,
  [SMALL_STATE(3415)] = 117232,
  [SMALL_STATE(3416)] = 117321,
  [SMALL_STATE(3417)] = 117410,
  [SMALL_STATE(3418)] = 117497,
  [SMALL_STATE(3419)] = 117584,
  [SMALL_STATE(3420)] = 117673,
  [SMALL_STATE(3421)] = 117760,
  [SMALL_STATE(3422)] = 117849,
  [SMALL_STATE(3423)] = 117904,
  [SMALL_STATE(3424)] = 117993,
  [SMALL_STATE(3425)] = 118080,
  [SMALL_STATE(3426)] = 118167,
  [SMALL_STATE(3427)] = 118254,
  [SMALL_STATE(3428)] = 118341,
  [SMALL_STATE(3429)] = 118428,
  [SMALL_STATE(3430)] = 118515,
  [SMALL_STATE(3431)] = 118604,
  [SMALL_STATE(3432)] = 118659,
  [SMALL_STATE(3433)] = 118746,
  [SMALL_STATE(3434)] = 118833,
  [SMALL_STATE(3435)] = 118920,
  [SMALL_STATE(3436)] = 119007,
  [SMALL_STATE(3437)] = 119096,
  [SMALL_STATE(3438)] = 119183,
  [SMALL_STATE(3439)] = 119240,
  [SMALL_STATE(3440)] = 119327,
  [SMALL_STATE(3441)] = 119414,
  [SMALL_STATE(3442)] = 119501,
  [SMALL_STATE(3443)] = 119588,
  [SMALL_STATE(3444)] = 119675,
  [SMALL_STATE(3445)] = 119730,
  [SMALL_STATE(3446)] = 119817,
  [SMALL_STATE(3447)] = 119872,
  [SMALL_STATE(3448)] = 119959,
  [SMALL_STATE(3449)] = 120046,
  [SMALL_STATE(3450)] = 120133,
  [SMALL_STATE(3451)] = 120220,
  [SMALL_STATE(3452)] = 120307,
  [SMALL_STATE(3453)] = 120396,
  [SMALL_STATE(3454)] = 120485,
  [SMALL_STATE(3455)] = 120572,
  [SMALL_STATE(3456)] = 120659,
  [SMALL_STATE(3457)] = 120746,
  [SMALL_STATE(3458)] = 120833,
  [SMALL_STATE(3459)] = 120890,
  [SMALL_STATE(3460)] = 120977,
  [SMALL_STATE(3461)] = 121064,
  [SMALL_STATE(3462)] = 121151,
  [SMALL_STATE(3463)] = 121238,
  [SMALL_STATE(3464)] = 121325,
  [SMALL_STATE(3465)] = 121412,
  [SMALL_STATE(3466)] = 121501,
  [SMALL_STATE(3467)] = 121590,
  [SMALL_STATE(3468)] = 121679,
  [SMALL_STATE(3469)] = 121766,
  [SMALL_STATE(3470)] = 121853,
  [SMALL_STATE(3471)] = 121940,
  [SMALL_STATE(3472)] = 122029,
  [SMALL_STATE(3473)] = 122118,
  [SMALL_STATE(3474)] = 122205,
  [SMALL_STATE(3475)] = 122294,
  [SMALL_STATE(3476)] = 122381,
  [SMALL_STATE(3477)] = 122470,
  [SMALL_STATE(3478)] = 122557,
  [SMALL_STATE(3479)] = 122612,
  [SMALL_STATE(3480)] = 122667,
  [SMALL_STATE(3481)] = 122756,
  [SMALL_STATE(3482)] = 122843,
  [SMALL_STATE(3483)] = 122932,
  [SMALL_STATE(3484)] = 123019,
  [SMALL_STATE(3485)] = 123108,
  [SMALL_STATE(3486)] = 123195,
  [SMALL_STATE(3487)] = 123284,
  [SMALL_STATE(3488)] = 123371,
  [SMALL_STATE(3489)] = 123458,
  [SMALL_STATE(3490)] = 123547,
  [SMALL_STATE(3491)] = 123599,
  [SMALL_STATE(3492)] = 123683,
  [SMALL_STATE(3493)] = 123767,
  [SMALL_STATE(3494)] = 123851,
  [SMALL_STATE(3495)] = 123935,
  [SMALL_STATE(3496)] = 124019,
  [SMALL_STATE(3497)] = 124103,
  [SMALL_STATE(3498)] = 124187,
  [SMALL_STATE(3499)] = 124271,
  [SMALL_STATE(3500)] = 124355,
  [SMALL_STATE(3501)] = 124439,
  [SMALL_STATE(3502)] = 124521,
  [SMALL_STATE(3503)] = 124605,
  [SMALL_STATE(3504)] = 124689,
  [SMALL_STATE(3505)] = 124771,
  [SMALL_STATE(3506)] = 124855,
  [SMALL_STATE(3507)] = 124939,
  [SMALL_STATE(3508)] = 125023,
  [SMALL_STATE(3509)] = 125107,
  [SMALL_STATE(3510)] = 125191,
  [SMALL_STATE(3511)] = 125273,
  [SMALL_STATE(3512)] = 125325,
  [SMALL_STATE(3513)] = 125409,
  [SMALL_STATE(3514)] = 125491,
  [SMALL_STATE(3515)] = 125575,
  [SMALL_STATE(3516)] = 125657,
  [SMALL_STATE(3517)] = 125741,
  [SMALL_STATE(3518)] = 125823,
  [SMALL_STATE(3519)] = 125907,
  [SMALL_STATE(3520)] = 125991,
  [SMALL_STATE(3521)] = 126075,
  [SMALL_STATE(3522)] = 126157,
  [SMALL_STATE(3523)] = 126241,
  [SMALL_STATE(3524)] = 126291,
  [SMALL_STATE(3525)] = 126375,
  [SMALL_STATE(3526)] = 126459,
  [SMALL_STATE(3527)] = 126543,
  [SMALL_STATE(3528)] = 126627,
  [SMALL_STATE(3529)] = 126711,
  [SMALL_STATE(3530)] = 126761,
  [SMALL_STATE(3531)] = 126845,
  [SMALL_STATE(3532)] = 126929,
  [SMALL_STATE(3533)] = 127013,
  [SMALL_STATE(3534)] = 127097,
  [SMALL_STATE(3535)] = 127181,
  [SMALL_STATE(3536)] = 127265,
  [SMALL_STATE(3537)] = 127349,
  [SMALL_STATE(3538)] = 127433,
  [SMALL_STATE(3539)] = 127517,
  [SMALL_STATE(3540)] = 127601,
  [SMALL_STATE(3541)] = 127685,
  [SMALL_STATE(3542)] = 127769,
  [SMALL_STATE(3543)] = 127853,
  [SMALL_STATE(3544)] = 127937,
  [SMALL_STATE(3545)] = 128021,
  [SMALL_STATE(3546)] = 128105,
  [SMALL_STATE(3547)] = 128189,
  [SMALL_STATE(3548)] = 128273,
  [SMALL_STATE(3549)] = 128357,
  [SMALL_STATE(3550)] = 128441,
  [SMALL_STATE(3551)] = 128525,
  [SMALL_STATE(3552)] = 128609,
  [SMALL_STATE(3553)] = 128693,
  [SMALL_STATE(3554)] = 128777,
  [SMALL_STATE(3555)] = 128861,
  [SMALL_STATE(3556)] = 128945,
  [SMALL_STATE(3557)] = 128995,
  [SMALL_STATE(3558)] = 129045,
  [SMALL_STATE(3559)] = 129129,
  [SMALL_STATE(3560)] = 129213,
  [SMALL_STATE(3561)] = 129297,
  [SMALL_STATE(3562)] = 129381,
  [SMALL_STATE(3563)] = 129465,
  [SMALL_STATE(3564)] = 129549,
  [SMALL_STATE(3565)] = 129633,
  [SMALL_STATE(3566)] = 129717,
  [SMALL_STATE(3567)] = 129801,
  [SMALL_STATE(3568)] = 129885,
  [SMALL_STATE(3569)] = 129969,
  [SMALL_STATE(3570)] = 130053,
  [SMALL_STATE(3571)] = 130137,
  [SMALL_STATE(3572)] = 130221,
  [SMALL_STATE(3573)] = 130305,
  [SMALL_STATE(3574)] = 130389,
  [SMALL_STATE(3575)] = 130473,
  [SMALL_STATE(3576)] = 130557,
  [SMALL_STATE(3577)] = 130641,
  [SMALL_STATE(3578)] = 130725,
  [SMALL_STATE(3579)] = 130809,
  [SMALL_STATE(3580)] = 130893,
  [SMALL_STATE(3581)] = 130977,
  [SMALL_STATE(3582)] = 131061,
  [SMALL_STATE(3583)] = 131145,
  [SMALL_STATE(3584)] = 131229,
  [SMALL_STATE(3585)] = 131313,
  [SMALL_STATE(3586)] = 131397,
  [SMALL_STATE(3587)] = 131481,
  [SMALL_STATE(3588)] = 131565,
  [SMALL_STATE(3589)] = 131649,
  [SMALL_STATE(3590)] = 131733,
  [SMALL_STATE(3591)] = 131817,
  [SMALL_STATE(3592)] = 131901,
  [SMALL_STATE(3593)] = 131985,
  [SMALL_STATE(3594)] = 132069,
  [SMALL_STATE(3595)] = 132153,
  [SMALL_STATE(3596)] = 132237,
  [SMALL_STATE(3597)] = 132321,
  [SMALL_STATE(3598)] = 132405,
  [SMALL_STATE(3599)] = 132489,
  [SMALL_STATE(3600)] = 132573,
  [SMALL_STATE(3601)] = 132657,
  [SMALL_STATE(3602)] = 132741,
  [SMALL_STATE(3603)] = 132825,
  [SMALL_STATE(3604)] = 132909,
  [SMALL_STATE(3605)] = 132993,
  [SMALL_STATE(3606)] = 133077,
  [SMALL_STATE(3607)] = 133161,
  [SMALL_STATE(3608)] = 133245,
  [SMALL_STATE(3609)] = 133329,
  [SMALL_STATE(3610)] = 133413,
  [SMALL_STATE(3611)] = 133497,
  [SMALL_STATE(3612)] = 133581,
  [SMALL_STATE(3613)] = 133665,
  [SMALL_STATE(3614)] = 133749,
  [SMALL_STATE(3615)] = 133833,
  [SMALL_STATE(3616)] = 133917,
  [SMALL_STATE(3617)] = 134001,
  [SMALL_STATE(3618)] = 134085,
  [SMALL_STATE(3619)] = 134169,
  [SMALL_STATE(3620)] = 134253,
  [SMALL_STATE(3621)] = 134337,
  [SMALL_STATE(3622)] = 134421,
  [SMALL_STATE(3623)] = 134505,
  [SMALL_STATE(3624)] = 134589,
  [SMALL_STATE(3625)] = 134673,
  [SMALL_STATE(3626)] = 134757,
  [SMALL_STATE(3627)] = 134841,
  [SMALL_STATE(3628)] = 134891,
  [SMALL_STATE(3629)] = 134975,
  [SMALL_STATE(3630)] = 135059,
  [SMALL_STATE(3631)] = 135143,
  [SMALL_STATE(3632)] = 135227,
  [SMALL_STATE(3633)] = 135311,
  [SMALL_STATE(3634)] = 135395,
  [SMALL_STATE(3635)] = 135479,
  [SMALL_STATE(3636)] = 135563,
  [SMALL_STATE(3637)] = 135647,
  [SMALL_STATE(3638)] = 135697,
  [SMALL_STATE(3639)] = 135781,
  [SMALL_STATE(3640)] = 135865,
  [SMALL_STATE(3641)] = 135949,
  [SMALL_STATE(3642)] = 136033,
  [SMALL_STATE(3643)] = 136117,
  [SMALL_STATE(3644)] = 136201,
  [SMALL_STATE(3645)] = 136251,
  [SMALL_STATE(3646)] = 136301,
  [SMALL_STATE(3647)] = 136351,
  [SMALL_STATE(3648)] = 136401,
  [SMALL_STATE(3649)] = 136485,
  [SMALL_STATE(3650)] = 136535,
  [SMALL_STATE(3651)] = 136585,
  [SMALL_STATE(3652)] = 136669,
  [SMALL_STATE(3653)] = 136755,
  [SMALL_STATE(3654)] = 136805,
  [SMALL_STATE(3655)] = 136889,
  [SMALL_STATE(3656)] = 136973,
  [SMALL_STATE(3657)] = 137057,
  [SMALL_STATE(3658)] = 137141,
  [SMALL_STATE(3659)] = 137225,
  [SMALL_STATE(3660)] = 137309,
  [SMALL_STATE(3661)] = 137393,
  [SMALL_STATE(3662)] = 137477,
  [SMALL_STATE(3663)] = 137561,
  [SMALL_STATE(3664)] = 137645,
  [SMALL_STATE(3665)] = 137729,
  [SMALL_STATE(3666)] = 137813,
  [SMALL_STATE(3667)] = 137897,
  [SMALL_STATE(3668)] = 137947,
  [SMALL_STATE(3669)] = 138031,
  [SMALL_STATE(3670)] = 138081,
  [SMALL_STATE(3671)] = 138165,
  [SMALL_STATE(3672)] = 138249,
  [SMALL_STATE(3673)] = 138333,
  [SMALL_STATE(3674)] = 138417,
  [SMALL_STATE(3675)] = 138501,
  [SMALL_STATE(3676)] = 138551,
  [SMALL_STATE(3677)] = 138635,
  [SMALL_STATE(3678)] = 138685,
  [SMALL_STATE(3679)] = 138735,
  [SMALL_STATE(3680)] = 138785,
  [SMALL_STATE(3681)] = 138835,
  [SMALL_STATE(3682)] = 138919,
  [SMALL_STATE(3683)] = 138969,
  [SMALL_STATE(3684)] = 139019,
  [SMALL_STATE(3685)] = 139069,
  [SMALL_STATE(3686)] = 139119,
  [SMALL_STATE(3687)] = 139169,
  [SMALL_STATE(3688)] = 139253,
  [SMALL_STATE(3689)] = 139337,
  [SMALL_STATE(3690)] = 139421,
  [SMALL_STATE(3691)] = 139505,
  [SMALL_STATE(3692)] = 139589,
  [SMALL_STATE(3693)] = 139673,
  [SMALL_STATE(3694)] = 139757,
  [SMALL_STATE(3695)] = 139841,
  [SMALL_STATE(3696)] = 139925,
  [SMALL_STATE(3697)] = 140009,
  [SMALL_STATE(3698)] = 140093,
  [SMALL_STATE(3699)] = 140177,
  [SMALL_STATE(3700)] = 140261,
  [SMALL_STATE(3701)] = 140345,
  [SMALL_STATE(3702)] = 140429,
  [SMALL_STATE(3703)] = 140513,
  [SMALL_STATE(3704)] = 140597,
  [SMALL_STATE(3705)] = 140681,
  [SMALL_STATE(3706)] = 140765,
  [SMALL_STATE(3707)] = 140815,
  [SMALL_STATE(3708)] = 140899,
  [SMALL_STATE(3709)] = 140983,
  [SMALL_STATE(3710)] = 141067,
  [SMALL_STATE(3711)] = 141151,
  [SMALL_STATE(3712)] = 141201,
  [SMALL_STATE(3713)] = 141251,
  [SMALL_STATE(3714)] = 141301,
  [SMALL_STATE(3715)] = 141351,
  [SMALL_STATE(3716)] = 141435,
  [SMALL_STATE(3717)] = 141519,
  [SMALL_STATE(3718)] = 141603,
  [SMALL_STATE(3719)] = 141687,
  [SMALL_STATE(3720)] = 141771,
  [SMALL_STATE(3721)] = 141855,
  [SMALL_STATE(3722)] = 141939,
  [SMALL_STATE(3723)] = 142023,
  [SMALL_STATE(3724)] = 142107,
  [SMALL_STATE(3725)] = 142191,
  [SMALL_STATE(3726)] = 142275,
  [SMALL_STATE(3727)] = 142359,
  [SMALL_STATE(3728)] = 142443,
  [SMALL_STATE(3729)] = 142527,
  [SMALL_STATE(3730)] = 142611,
  [SMALL_STATE(3731)] = 142661,
  [SMALL_STATE(3732)] = 142745,
  [SMALL_STATE(3733)] = 142795,
  [SMALL_STATE(3734)] = 142879,
  [SMALL_STATE(3735)] = 142963,
  [SMALL_STATE(3736)] = 143047,
  [SMALL_STATE(3737)] = 143131,
  [SMALL_STATE(3738)] = 143215,
  [SMALL_STATE(3739)] = 143299,
  [SMALL_STATE(3740)] = 143383,
  [SMALL_STATE(3741)] = 143467,
  [SMALL_STATE(3742)] = 143551,
  [SMALL_STATE(3743)] = 143635,
  [SMALL_STATE(3744)] = 143719,
  [SMALL_STATE(3745)] = 143803,
  [SMALL_STATE(3746)] = 143887,
  [SMALL_STATE(3747)] = 143971,
  [SMALL_STATE(3748)] = 144055,
  [SMALL_STATE(3749)] = 144139,
  [SMALL_STATE(3750)] = 144223,
  [SMALL_STATE(3751)] = 144307,
  [SMALL_STATE(3752)] = 144391,
  [SMALL_STATE(3753)] = 144441,
  [SMALL_STATE(3754)] = 144525,
  [SMALL_STATE(3755)] = 144609,
  [SMALL_STATE(3756)] = 144693,
  [SMALL_STATE(3757)] = 144777,
  [SMALL_STATE(3758)] = 144861,
  [SMALL_STATE(3759)] = 144945,
  [SMALL_STATE(3760)] = 145029,
  [SMALL_STATE(3761)] = 145113,
  [SMALL_STATE(3762)] = 145197,
  [SMALL_STATE(3763)] = 145281,
  [SMALL_STATE(3764)] = 145365,
  [SMALL_STATE(3765)] = 145449,
  [SMALL_STATE(3766)] = 145533,
  [SMALL_STATE(3767)] = 145617,
  [SMALL_STATE(3768)] = 145701,
  [SMALL_STATE(3769)] = 145785,
  [SMALL_STATE(3770)] = 145869,
  [SMALL_STATE(3771)] = 145953,
  [SMALL_STATE(3772)] = 146037,
  [SMALL_STATE(3773)] = 146121,
  [SMALL_STATE(3774)] = 146205,
  [SMALL_STATE(3775)] = 146289,
  [SMALL_STATE(3776)] = 146373,
  [SMALL_STATE(3777)] = 146457,
  [SMALL_STATE(3778)] = 146541,
  [SMALL_STATE(3779)] = 146625,
  [SMALL_STATE(3780)] = 146709,
  [SMALL_STATE(3781)] = 146793,
  [SMALL_STATE(3782)] = 146877,
  [SMALL_STATE(3783)] = 146961,
  [SMALL_STATE(3784)] = 147045,
  [SMALL_STATE(3785)] = 147129,
  [SMALL_STATE(3786)] = 147213,
  [SMALL_STATE(3787)] = 147297,
  [SMALL_STATE(3788)] = 147381,
  [SMALL_STATE(3789)] = 147465,
  [SMALL_STATE(3790)] = 147549,
  [SMALL_STATE(3791)] = 147633,
  [SMALL_STATE(3792)] = 147717,
  [SMALL_STATE(3793)] = 147801,
  [SMALL_STATE(3794)] = 147885,
  [SMALL_STATE(3795)] = 147969,
  [SMALL_STATE(3796)] = 148053,
  [SMALL_STATE(3797)] = 148137,
  [SMALL_STATE(3798)] = 148221,
  [SMALL_STATE(3799)] = 148305,
  [SMALL_STATE(3800)] = 148389,
  [SMALL_STATE(3801)] = 148473,
  [SMALL_STATE(3802)] = 148557,
  [SMALL_STATE(3803)] = 148641,
  [SMALL_STATE(3804)] = 148725,
  [SMALL_STATE(3805)] = 148809,
  [SMALL_STATE(3806)] = 148893,
  [SMALL_STATE(3807)] = 148977,
  [SMALL_STATE(3808)] = 149061,
  [SMALL_STATE(3809)] = 149111,
  [SMALL_STATE(3810)] = 149195,
  [SMALL_STATE(3811)] = 149245,
  [SMALL_STATE(3812)] = 149295,
  [SMALL_STATE(3813)] = 149379,
  [SMALL_STATE(3814)] = 149463,
  [SMALL_STATE(3815)] = 149547,
  [SMALL_STATE(3816)] = 149631,
  [SMALL_STATE(3817)] = 149715,
  [SMALL_STATE(3818)] = 149799,
  [SMALL_STATE(3819)] = 149883,
  [SMALL_STATE(3820)] = 149967,
  [SMALL_STATE(3821)] = 150051,
  [SMALL_STATE(3822)] = 150135,
  [SMALL_STATE(3823)] = 150219,
  [SMALL_STATE(3824)] = 150303,
  [SMALL_STATE(3825)] = 150387,
  [SMALL_STATE(3826)] = 150471,
  [SMALL_STATE(3827)] = 150555,
  [SMALL_STATE(3828)] = 150639,
  [SMALL_STATE(3829)] = 150723,
  [SMALL_STATE(3830)] = 150807,
  [SMALL_STATE(3831)] = 150891,
  [SMALL_STATE(3832)] = 150975,
  [SMALL_STATE(3833)] = 151059,
  [SMALL_STATE(3834)] = 151143,
  [SMALL_STATE(3835)] = 151227,
  [SMALL_STATE(3836)] = 151311,
  [SMALL_STATE(3837)] = 151395,
  [SMALL_STATE(3838)] = 151479,
  [SMALL_STATE(3839)] = 151563,
  [SMALL_STATE(3840)] = 151647,
  [SMALL_STATE(3841)] = 151731,
  [SMALL_STATE(3842)] = 151815,
  [SMALL_STATE(3843)] = 151899,
  [SMALL_STATE(3844)] = 151983,
  [SMALL_STATE(3845)] = 152067,
  [SMALL_STATE(3846)] = 152151,
  [SMALL_STATE(3847)] = 152235,
  [SMALL_STATE(3848)] = 152319,
  [SMALL_STATE(3849)] = 152403,
  [SMALL_STATE(3850)] = 152487,
  [SMALL_STATE(3851)] = 152571,
  [SMALL_STATE(3852)] = 152655,
  [SMALL_STATE(3853)] = 152739,
  [SMALL_STATE(3854)] = 152823,
  [SMALL_STATE(3855)] = 152907,
  [SMALL_STATE(3856)] = 152991,
  [SMALL_STATE(3857)] = 153075,
  [SMALL_STATE(3858)] = 153159,
  [SMALL_STATE(3859)] = 153243,
  [SMALL_STATE(3860)] = 153327,
  [SMALL_STATE(3861)] = 153411,
  [SMALL_STATE(3862)] = 153495,
  [SMALL_STATE(3863)] = 153579,
  [SMALL_STATE(3864)] = 153663,
  [SMALL_STATE(3865)] = 153747,
  [SMALL_STATE(3866)] = 153831,
  [SMALL_STATE(3867)] = 153915,
  [SMALL_STATE(3868)] = 153999,
  [SMALL_STATE(3869)] = 154083,
  [SMALL_STATE(3870)] = 154167,
  [SMALL_STATE(3871)] = 154251,
  [SMALL_STATE(3872)] = 154335,
  [SMALL_STATE(3873)] = 154419,
  [SMALL_STATE(3874)] = 154503,
  [SMALL_STATE(3875)] = 154587,
  [SMALL_STATE(3876)] = 154671,
  [SMALL_STATE(3877)] = 154755,
  [SMALL_STATE(3878)] = 154839,
  [SMALL_STATE(3879)] = 154923,
  [SMALL_STATE(3880)] = 155005,
  [SMALL_STATE(3881)] = 155089,
  [SMALL_STATE(3882)] = 155173,
  [SMALL_STATE(3883)] = 155257,
  [SMALL_STATE(3884)] = 155341,
  [SMALL_STATE(3885)] = 155425,
  [SMALL_STATE(3886)] = 155509,
  [SMALL_STATE(3887)] = 155593,
  [SMALL_STATE(3888)] = 155677,
  [SMALL_STATE(3889)] = 155761,
  [SMALL_STATE(3890)] = 155845,
  [SMALL_STATE(3891)] = 155929,
  [SMALL_STATE(3892)] = 156013,
  [SMALL_STATE(3893)] = 156097,
  [SMALL_STATE(3894)] = 156146,
  [SMALL_STATE(3895)] = 156195,
  [SMALL_STATE(3896)] = 156244,
  [SMALL_STATE(3897)] = 156293,
  [SMALL_STATE(3898)] = 156342,
  [SMALL_STATE(3899)] = 156391,
  [SMALL_STATE(3900)] = 156440,
  [SMALL_STATE(3901)] = 156489,
  [SMALL_STATE(3902)] = 156538,
  [SMALL_STATE(3903)] = 156587,
  [SMALL_STATE(3904)] = 156636,
  [SMALL_STATE(3905)] = 156685,
  [SMALL_STATE(3906)] = 156734,
  [SMALL_STATE(3907)] = 156783,
  [SMALL_STATE(3908)] = 156832,
  [SMALL_STATE(3909)] = 156881,
  [SMALL_STATE(3910)] = 156930,
  [SMALL_STATE(3911)] = 156979,
  [SMALL_STATE(3912)] = 157028,
  [SMALL_STATE(3913)] = 157105,
  [SMALL_STATE(3914)] = 157154,
  [SMALL_STATE(3915)] = 157203,
  [SMALL_STATE(3916)] = 157252,
  [SMALL_STATE(3917)] = 157301,
  [SMALL_STATE(3918)] = 157350,
  [SMALL_STATE(3919)] = 157399,
  [SMALL_STATE(3920)] = 157448,
  [SMALL_STATE(3921)] = 157497,
  [SMALL_STATE(3922)] = 157546,
  [SMALL_STATE(3923)] = 157595,
  [SMALL_STATE(3924)] = 157644,
  [SMALL_STATE(3925)] = 157693,
  [SMALL_STATE(3926)] = 157778,
  [SMALL_STATE(3927)] = 157827,
  [SMALL_STATE(3928)] = 157876,
  [SMALL_STATE(3929)] = 157925,
  [SMALL_STATE(3930)] = 157974,
  [SMALL_STATE(3931)] = 158023,
  [SMALL_STATE(3932)] = 158072,
  [SMALL_STATE(3933)] = 158121,
  [SMALL_STATE(3934)] = 158170,
  [SMALL_STATE(3935)] = 158219,
  [SMALL_STATE(3936)] = 158268,
  [SMALL_STATE(3937)] = 158317,
  [SMALL_STATE(3938)] = 158366,
  [SMALL_STATE(3939)] = 158415,
  [SMALL_STATE(3940)] = 158464,
  [SMALL_STATE(3941)] = 158513,
  [SMALL_STATE(3942)] = 158562,
  [SMALL_STATE(3943)] = 158611,
  [SMALL_STATE(3944)] = 158660,
  [SMALL_STATE(3945)] = 158709,
  [SMALL_STATE(3946)] = 158758,
  [SMALL_STATE(3947)] = 158807,
  [SMALL_STATE(3948)] = 158856,
  [SMALL_STATE(3949)] = 158905,
  [SMALL_STATE(3950)] = 158954,
  [SMALL_STATE(3951)] = 159003,
  [SMALL_STATE(3952)] = 159052,
  [SMALL_STATE(3953)] = 159101,
  [SMALL_STATE(3954)] = 159150,
  [SMALL_STATE(3955)] = 159199,
  [SMALL_STATE(3956)] = 159248,
  [SMALL_STATE(3957)] = 159297,
  [SMALL_STATE(3958)] = 159346,
  [SMALL_STATE(3959)] = 159395,
  [SMALL_STATE(3960)] = 159444,
  [SMALL_STATE(3961)] = 159498,
  [SMALL_STATE(3962)] = 159588,
  [SMALL_STATE(3963)] = 159678,
  [SMALL_STATE(3964)] = 159768,
  [SMALL_STATE(3965)] = 159858,
  [SMALL_STATE(3966)] = 159907,
  [SMALL_STATE(3967)] = 159956,
  [SMALL_STATE(3968)] = 160005,
  [SMALL_STATE(3969)] = 160054,
  [SMALL_STATE(3970)] = 160103,
  [SMALL_STATE(3971)] = 160152,
  [SMALL_STATE(3972)] = 160236,
  [SMALL_STATE(3973)] = 160320,
  [SMALL_STATE(3974)] = 160404,
  [SMALL_STATE(3975)] = 160488,
  [SMALL_STATE(3976)] = 160572,
  [SMALL_STATE(3977)] = 160656,
  [SMALL_STATE(3978)] = 160702,
  [SMALL_STATE(3979)] = 160748,
  [SMALL_STATE(3980)] = 160832,
  [SMALL_STATE(3981)] = 160916,
  [SMALL_STATE(3982)] = 161000,
  [SMALL_STATE(3983)] = 161046,
  [SMALL_STATE(3984)] = 161092,
  [SMALL_STATE(3985)] = 161138,
  [SMALL_STATE(3986)] = 161222,
  [SMALL_STATE(3987)] = 161270,
  [SMALL_STATE(3988)] = 161316,
  [SMALL_STATE(3989)] = 161387,
  [SMALL_STATE(3990)] = 161468,
  [SMALL_STATE(3991)] = 161539,
  [SMALL_STATE(3992)] = 161610,
  [SMALL_STATE(3993)] = 161681,
  [SMALL_STATE(3994)] = 161752,
  [SMALL_STATE(3995)] = 161823,
  [SMALL_STATE(3996)] = 161894,
  [SMALL_STATE(3997)] = 161965,
  [SMALL_STATE(3998)] = 162036,
  [SMALL_STATE(3999)] = 162107,
  [SMALL_STATE(4000)] = 162178,
  [SMALL_STATE(4001)] = 162249,
  [SMALL_STATE(4002)] = 162320,
  [SMALL_STATE(4003)] = 162391,
  [SMALL_STATE(4004)] = 162436,
  [SMALL_STATE(4005)] = 162507,
  [SMALL_STATE(4006)] = 162578,
  [SMALL_STATE(4007)] = 162623,
  [SMALL_STATE(4008)] = 162674,
  [SMALL_STATE(4009)] = 162745,
  [SMALL_STATE(4010)] = 162826,
  [SMALL_STATE(4011)] = 162897,
  [SMALL_STATE(4012)] = 162968,
  [SMALL_STATE(4013)] = 163039,
  [SMALL_STATE(4014)] = 163110,
  [SMALL_STATE(4015)] = 163155,
  [SMALL_STATE(4016)] = 163226,
  [SMALL_STATE(4017)] = 163297,
  [SMALL_STATE(4018)] = 163368,
  [SMALL_STATE(4019)] = 163417,
  [SMALL_STATE(4020)] = 163488,
  [SMALL_STATE(4021)] = 163559,
  [SMALL_STATE(4022)] = 163630,
  [SMALL_STATE(4023)] = 163701,
  [SMALL_STATE(4024)] = 163772,
  [SMALL_STATE(4025)] = 163817,
  [SMALL_STATE(4026)] = 163888,
  [SMALL_STATE(4027)] = 163959,
  [SMALL_STATE(4028)] = 164030,
  [SMALL_STATE(4029)] = 164101,
  [SMALL_STATE(4030)] = 164172,
  [SMALL_STATE(4031)] = 164243,
  [SMALL_STATE(4032)] = 164314,
  [SMALL_STATE(4033)] = 164385,
  [SMALL_STATE(4034)] = 164434,
  [SMALL_STATE(4035)] = 164505,
  [SMALL_STATE(4036)] = 164576,
  [SMALL_STATE(4037)] = 164647,
  [SMALL_STATE(4038)] = 164718,
  [SMALL_STATE(4039)] = 164789,
  [SMALL_STATE(4040)] = 164860,
  [SMALL_STATE(4041)] = 164931,
  [SMALL_STATE(4042)] = 165002,
  [SMALL_STATE(4043)] = 165073,
  [SMALL_STATE(4044)] = 165144,
  [SMALL_STATE(4045)] = 165215,
  [SMALL_STATE(4046)] = 165286,
  [SMALL_STATE(4047)] = 165357,
  [SMALL_STATE(4048)] = 165428,
  [SMALL_STATE(4049)] = 165499,
  [SMALL_STATE(4050)] = 165570,
  [SMALL_STATE(4051)] = 165641,
  [SMALL_STATE(4052)] = 165712,
  [SMALL_STATE(4053)] = 165783,
  [SMALL_STATE(4054)] = 165854,
  [SMALL_STATE(4055)] = 165925,
  [SMALL_STATE(4056)] = 165996,
  [SMALL_STATE(4057)] = 166067,
  [SMALL_STATE(4058)] = 166138,
  [SMALL_STATE(4059)] = 166209,
  [SMALL_STATE(4060)] = 166280,
  [SMALL_STATE(4061)] = 166351,
  [SMALL_STATE(4062)] = 166422,
  [SMALL_STATE(4063)] = 166503,
  [SMALL_STATE(4064)] = 166574,
  [SMALL_STATE(4065)] = 166655,
  [SMALL_STATE(4066)] = 166726,
  [SMALL_STATE(4067)] = 166777,
  [SMALL_STATE(4068)] = 166848,
  [SMALL_STATE(4069)] = 166919,
  [SMALL_STATE(4070)] = 166990,
  [SMALL_STATE(4071)] = 167061,
  [SMALL_STATE(4072)] = 167132,
  [SMALL_STATE(4073)] = 167203,
  [SMALL_STATE(4074)] = 167274,
  [SMALL_STATE(4075)] = 167345,
  [SMALL_STATE(4076)] = 167416,
  [SMALL_STATE(4077)] = 167487,
  [SMALL_STATE(4078)] = 167558,
  [SMALL_STATE(4079)] = 167629,
  [SMALL_STATE(4080)] = 167700,
  [SMALL_STATE(4081)] = 167771,
  [SMALL_STATE(4082)] = 167842,
  [SMALL_STATE(4083)] = 167887,
  [SMALL_STATE(4084)] = 167958,
  [SMALL_STATE(4085)] = 168003,
  [SMALL_STATE(4086)] = 168074,
  [SMALL_STATE(4087)] = 168145,
  [SMALL_STATE(4088)] = 168226,
  [SMALL_STATE(4089)] = 168297,
  [SMALL_STATE(4090)] = 168368,
  [SMALL_STATE(4091)] = 168439,
  [SMALL_STATE(4092)] = 168510,
  [SMALL_STATE(4093)] = 168591,
  [SMALL_STATE(4094)] = 168662,
  [SMALL_STATE(4095)] = 168733,
  [SMALL_STATE(4096)] = 168804,
  [SMALL_STATE(4097)] = 168875,
  [SMALL_STATE(4098)] = 168946,
  [SMALL_STATE(4099)] = 169017,
  [SMALL_STATE(4100)] = 169088,
  [SMALL_STATE(4101)] = 169159,
  [SMALL_STATE(4102)] = 169230,
  [SMALL_STATE(4103)] = 169301,
  [SMALL_STATE(4104)] = 169382,
  [SMALL_STATE(4105)] = 169433,
  [SMALL_STATE(4106)] = 169504,
  [SMALL_STATE(4107)] = 169575,
  [SMALL_STATE(4108)] = 169646,
  [SMALL_STATE(4109)] = 169717,
  [SMALL_STATE(4110)] = 169788,
  [SMALL_STATE(4111)] = 169859,
  [SMALL_STATE(4112)] = 169940,
  [SMALL_STATE(4113)] = 170011,
  [SMALL_STATE(4114)] = 170082,
  [SMALL_STATE(4115)] = 170153,
  [SMALL_STATE(4116)] = 170224,
  [SMALL_STATE(4117)] = 170295,
  [SMALL_STATE(4118)] = 170340,
  [SMALL_STATE(4119)] = 170385,
  [SMALL_STATE(4120)] = 170456,
  [SMALL_STATE(4121)] = 170527,
  [SMALL_STATE(4122)] = 170598,
  [SMALL_STATE(4123)] = 170643,
  [SMALL_STATE(4124)] = 170724,
  [SMALL_STATE(4125)] = 170805,
  [SMALL_STATE(4126)] = 170876,
  [SMALL_STATE(4127)] = 170947,
  [SMALL_STATE(4128)] = 171018,
  [SMALL_STATE(4129)] = 171089,
  [SMALL_STATE(4130)] = 171160,
  [SMALL_STATE(4131)] = 171231,
  [SMALL_STATE(4132)] = 171302,
  [SMALL_STATE(4133)] = 171383,
  [SMALL_STATE(4134)] = 171454,
  [SMALL_STATE(4135)] = 171525,
  [SMALL_STATE(4136)] = 171596,
  [SMALL_STATE(4137)] = 171677,
  [SMALL_STATE(4138)] = 171748,
  [SMALL_STATE(4139)] = 171819,
  [SMALL_STATE(4140)] = 171890,
  [SMALL_STATE(4141)] = 171961,
  [SMALL_STATE(4142)] = 172006,
  [SMALL_STATE(4143)] = 172077,
  [SMALL_STATE(4144)] = 172122,
  [SMALL_STATE(4145)] = 172193,
  [SMALL_STATE(4146)] = 172264,
  [SMALL_STATE(4147)] = 172335,
  [SMALL_STATE(4148)] = 172380,
  [SMALL_STATE(4149)] = 172461,
  [SMALL_STATE(4150)] = 172532,
  [SMALL_STATE(4151)] = 172613,
  [SMALL_STATE(4152)] = 172694,
  [SMALL_STATE(4153)] = 172765,
  [SMALL_STATE(4154)] = 172836,
  [SMALL_STATE(4155)] = 172907,
  [SMALL_STATE(4156)] = 172978,
  [SMALL_STATE(4157)] = 173049,
  [SMALL_STATE(4158)] = 173120,
  [SMALL_STATE(4159)] = 173191,
  [SMALL_STATE(4160)] = 173262,
  [SMALL_STATE(4161)] = 173333,
  [SMALL_STATE(4162)] = 173404,
  [SMALL_STATE(4163)] = 173475,
  [SMALL_STATE(4164)] = 173546,
  [SMALL_STATE(4165)] = 173617,
  [SMALL_STATE(4166)] = 173688,
  [SMALL_STATE(4167)] = 173769,
  [SMALL_STATE(4168)] = 173850,
  [SMALL_STATE(4169)] = 173931,
  [SMALL_STATE(4170)] = 174002,
  [SMALL_STATE(4171)] = 174073,
  [SMALL_STATE(4172)] = 174144,
  [SMALL_STATE(4173)] = 174215,
  [SMALL_STATE(4174)] = 174260,
  [SMALL_STATE(4175)] = 174331,
  [SMALL_STATE(4176)] = 174402,
  [SMALL_STATE(4177)] = 174483,
  [SMALL_STATE(4178)] = 174554,
  [SMALL_STATE(4179)] = 174625,
  [SMALL_STATE(4180)] = 174696,
  [SMALL_STATE(4181)] = 174767,
  [SMALL_STATE(4182)] = 174838,
  [SMALL_STATE(4183)] = 174909,
  [SMALL_STATE(4184)] = 174980,
  [SMALL_STATE(4185)] = 175025,
  [SMALL_STATE(4186)] = 175096,
  [SMALL_STATE(4187)] = 175167,
  [SMALL_STATE(4188)] = 175251,
  [SMALL_STATE(4189)] = 175329,
  [SMALL_STATE(4190)] = 175413,
  [SMALL_STATE(4191)] = 175491,
  [SMALL_STATE(4192)] = 175537,
  [SMALL_STATE(4193)] = 175615,
  [SMALL_STATE(4194)] = 175693,
  [SMALL_STATE(4195)] = 175771,
  [SMALL_STATE(4196)] = 175815,
  [SMALL_STATE(4197)] = 175893,
  [SMALL_STATE(4198)] = 175971,
  [SMALL_STATE(4199)] = 176049,
  [SMALL_STATE(4200)] = 176092,
  [SMALL_STATE(4201)] = 176135,
  [SMALL_STATE(4202)] = 176178,
  [SMALL_STATE(4203)] = 176225,
  [SMALL_STATE(4204)] = 176268,
  [SMALL_STATE(4205)] = 176310,
  [SMALL_STATE(4206)] = 176352,
  [SMALL_STATE(4207)] = 176396,
  [SMALL_STATE(4208)] = 176446,
  [SMALL_STATE(4209)] = 176485,
  [SMALL_STATE(4210)] = 176524,
  [SMALL_STATE(4211)] = 176563,
  [SMALL_STATE(4212)] = 176602,
  [SMALL_STATE(4213)] = 176641,
  [SMALL_STATE(4214)] = 176680,
  [SMALL_STATE(4215)] = 176719,
  [SMALL_STATE(4216)] = 176758,
  [SMALL_STATE(4217)] = 176797,
  [SMALL_STATE(4218)] = 176836,
  [SMALL_STATE(4219)] = 176878,
  [SMALL_STATE(4220)] = 176922,
  [SMALL_STATE(4221)] = 176966,
  [SMALL_STATE(4222)] = 177010,
  [SMALL_STATE(4223)] = 177074,
  [SMALL_STATE(4224)] = 177111,
  [SMALL_STATE(4225)] = 177190,
  [SMALL_STATE(4226)] = 177226,
  [SMALL_STATE(4227)] = 177272,
  [SMALL_STATE(4228)] = 177318,
  [SMALL_STATE(4229)] = 177364,
  [SMALL_STATE(4230)] = 177410,
  [SMALL_STATE(4231)] = 177446,
  [SMALL_STATE(4232)] = 177482,
  [SMALL_STATE(4233)] = 177558,
  [SMALL_STATE(4234)] = 177604,
  [SMALL_STATE(4235)] = 177640,
  [SMALL_STATE(4236)] = 177686,
  [SMALL_STATE(4237)] = 177737,
  [SMALL_STATE(4238)] = 177788,
  [SMALL_STATE(4239)] = 177839,
  [SMALL_STATE(4240)] = 177878,
  [SMALL_STATE(4241)] = 177915,
  [SMALL_STATE(4242)] = 177966,
  [SMALL_STATE(4243)] = 178017,
  [SMALL_STATE(4244)] = 178068,
  [SMALL_STATE(4245)] = 178113,
  [SMALL_STATE(4246)] = 178164,
  [SMALL_STATE(4247)] = 178215,
  [SMALL_STATE(4248)] = 178266,
  [SMALL_STATE(4249)] = 178339,
  [SMALL_STATE(4250)] = 178383,
  [SMALL_STATE(4251)] = 178433,
  [SMALL_STATE(4252)] = 178471,
  [SMALL_STATE(4253)] = 178505,
  [SMALL_STATE(4254)] = 178547,
  [SMALL_STATE(4255)] = 178597,
  [SMALL_STATE(4256)] = 178631,
  [SMALL_STATE(4257)] = 178681,
  [SMALL_STATE(4258)] = 178730,
  [SMALL_STATE(4259)] = 178775,
  [SMALL_STATE(4260)] = 178824,
  [SMALL_STATE(4261)] = 178873,
  [SMALL_STATE(4262)] = 178922,
  [SMALL_STATE(4263)] = 178967,
  [SMALL_STATE(4264)] = 179016,
  [SMALL_STATE(4265)] = 179065,
  [SMALL_STATE(4266)] = 179114,
  [SMALL_STATE(4267)] = 179163,
  [SMALL_STATE(4268)] = 179208,
  [SMALL_STATE(4269)] = 179257,
  [SMALL_STATE(4270)] = 179308,
  [SMALL_STATE(4271)] = 179357,
  [SMALL_STATE(4272)] = 179408,
  [SMALL_STATE(4273)] = 179457,
  [SMALL_STATE(4274)] = 179500,
  [SMALL_STATE(4275)] = 179549,
  [SMALL_STATE(4276)] = 179598,
  [SMALL_STATE(4277)] = 179647,
  [SMALL_STATE(4278)] = 179696,
  [SMALL_STATE(4279)] = 179745,
  [SMALL_STATE(4280)] = 179794,
  [SMALL_STATE(4281)] = 179843,
  [SMALL_STATE(4282)] = 179892,
  [SMALL_STATE(4283)] = 179930,
  [SMALL_STATE(4284)] = 179976,
  [SMALL_STATE(4285)] = 180014,
  [SMALL_STATE(4286)] = 180062,
  [SMALL_STATE(4287)] = 180110,
  [SMALL_STATE(4288)] = 180158,
  [SMALL_STATE(4289)] = 180196,
  [SMALL_STATE(4290)] = 180244,
  [SMALL_STATE(4291)] = 180292,
  [SMALL_STATE(4292)] = 180330,
  [SMALL_STATE(4293)] = 180366,
  [SMALL_STATE(4294)] = 180404,
  [SMALL_STATE(4295)] = 180449,
  [SMALL_STATE(4296)] = 180486,
  [SMALL_STATE(4297)] = 180523,
  [SMALL_STATE(4298)] = 180558,
  [SMALL_STATE(4299)] = 180603,
  [SMALL_STATE(4300)] = 180648,
  [SMALL_STATE(4301)] = 180695,
  [SMALL_STATE(4302)] = 180730,
  [SMALL_STATE(4303)] = 180767,
  [SMALL_STATE(4304)] = 180812,
  [SMALL_STATE(4305)] = 180847,
  [SMALL_STATE(4306)] = 180894,
  [SMALL_STATE(4307)] = 180929,
  [SMALL_STATE(4308)] = 180962,
  [SMALL_STATE(4309)] = 180999,
  [SMALL_STATE(4310)] = 181036,
  [SMALL_STATE(4311)] = 181073,
  [SMALL_STATE(4312)] = 181108,
  [SMALL_STATE(4313)] = 181155,
  [SMALL_STATE(4314)] = 181186,
  [SMALL_STATE(4315)] = 181231,
  [SMALL_STATE(4316)] = 181276,
  [SMALL_STATE(4317)] = 181313,
  [SMALL_STATE(4318)] = 181344,
  [SMALL_STATE(4319)] = 181391,
  [SMALL_STATE(4320)] = 181428,
  [SMALL_STATE(4321)] = 181459,
  [SMALL_STATE(4322)] = 181496,
  [SMALL_STATE(4323)] = 181541,
  [SMALL_STATE(4324)] = 181572,
  [SMALL_STATE(4325)] = 181617,
  [SMALL_STATE(4326)] = 181654,
  [SMALL_STATE(4327)] = 181699,
  [SMALL_STATE(4328)] = 181734,
  [SMALL_STATE(4329)] = 181765,
  [SMALL_STATE(4330)] = 181802,
  [SMALL_STATE(4331)] = 181833,
  [SMALL_STATE(4332)] = 181880,
  [SMALL_STATE(4333)] = 181925,
  [SMALL_STATE(4334)] = 181965,
  [SMALL_STATE(4335)] = 182009,
  [SMALL_STATE(4336)] = 182039,
  [SMALL_STATE(4337)] = 182079,
  [SMALL_STATE(4338)] = 182115,
  [SMALL_STATE(4339)] = 182149,
  [SMALL_STATE(4340)] = 182179,
  [SMALL_STATE(4341)] = 182225,
  [SMALL_STATE(4342)] = 182259,
  [SMALL_STATE(4343)] = 182303,
  [SMALL_STATE(4344)] = 182331,
  [SMALL_STATE(4345)] = 182365,
  [SMALL_STATE(4346)] = 182411,
  [SMALL_STATE(4347)] = 182441,
  [SMALL_STATE(4348)] = 182471,
  [SMALL_STATE(4349)] = 182501,
  [SMALL_STATE(4350)] = 182535,
  [SMALL_STATE(4351)] = 182571,
  [SMALL_STATE(4352)] = 182617,
  [SMALL_STATE(4353)] = 182663,
  [SMALL_STATE(4354)] = 182697,
  [SMALL_STATE(4355)] = 182745,
  [SMALL_STATE(4356)] = 182775,
  [SMALL_STATE(4357)] = 182805,
  [SMALL_STATE(4358)] = 182847,
  [SMALL_STATE(4359)] = 182881,
  [SMALL_STATE(4360)] = 182927,
  [SMALL_STATE(4361)] = 182969,
  [SMALL_STATE(4362)] = 183009,
  [SMALL_STATE(4363)] = 183053,
  [SMALL_STATE(4364)] = 183083,
  [SMALL_STATE(4365)] = 183117,
  [SMALL_STATE(4366)] = 183151,
  [SMALL_STATE(4367)] = 183193,
  [SMALL_STATE(4368)] = 183227,
  [SMALL_STATE(4369)] = 183257,
  [SMALL_STATE(4370)] = 183287,
  [SMALL_STATE(4371)] = 183333,
  [SMALL_STATE(4372)] = 183375,
  [SMALL_STATE(4373)] = 183409,
  [SMALL_STATE(4374)] = 183455,
  [SMALL_STATE(4375)] = 183487,
  [SMALL_STATE(4376)] = 183531,
  [SMALL_STATE(4377)] = 183570,
  [SMALL_STATE(4378)] = 183599,
  [SMALL_STATE(4379)] = 183632,
  [SMALL_STATE(4380)] = 183661,
  [SMALL_STATE(4381)] = 183690,
  [SMALL_STATE(4382)] = 183719,
  [SMALL_STATE(4383)] = 183748,
  [SMALL_STATE(4384)] = 183779,
  [SMALL_STATE(4385)] = 183814,
  [SMALL_STATE(4386)] = 183851,
  [SMALL_STATE(4387)] = 183890,
  [SMALL_STATE(4388)] = 183927,
  [SMALL_STATE(4389)] = 183966,
  [SMALL_STATE(4390)] = 183997,
  [SMALL_STATE(4391)] = 184026,
  [SMALL_STATE(4392)] = 184055,
  [SMALL_STATE(4393)] = 184088,
  [SMALL_STATE(4394)] = 184121,
  [SMALL_STATE(4395)] = 184150,
  [SMALL_STATE(4396)] = 184179,
  [SMALL_STATE(4397)] = 184224,
  [SMALL_STATE(4398)] = 184263,
  [SMALL_STATE(4399)] = 184292,
  [SMALL_STATE(4400)] = 184319,
  [SMALL_STATE(4401)] = 184352,
  [SMALL_STATE(4402)] = 184385,
  [SMALL_STATE(4403)] = 184416,
  [SMALL_STATE(4404)] = 184445,
  [SMALL_STATE(4405)] = 184484,
  [SMALL_STATE(4406)] = 184513,
  [SMALL_STATE(4407)] = 184542,
  [SMALL_STATE(4408)] = 184571,
  [SMALL_STATE(4409)] = 184600,
  [SMALL_STATE(4410)] = 184639,
  [SMALL_STATE(4411)] = 184670,
  [SMALL_STATE(4412)] = 184709,
  [SMALL_STATE(4413)] = 184746,
  [SMALL_STATE(4414)] = 184775,
  [SMALL_STATE(4415)] = 184802,
  [SMALL_STATE(4416)] = 184833,
  [SMALL_STATE(4417)] = 184860,
  [SMALL_STATE(4418)] = 184897,
  [SMALL_STATE(4419)] = 184926,
  [SMALL_STATE(4420)] = 184955,
  [SMALL_STATE(4421)] = 185000,
  [SMALL_STATE(4422)] = 185033,
  [SMALL_STATE(4423)] = 185062,
  [SMALL_STATE(4424)] = 185099,
  [SMALL_STATE(4425)] = 185128,
  [SMALL_STATE(4426)] = 185157,
  [SMALL_STATE(4427)] = 185184,
  [SMALL_STATE(4428)] = 185229,
  [SMALL_STATE(4429)] = 185262,
  [SMALL_STATE(4430)] = 185307,
  [SMALL_STATE(4431)] = 185342,
  [SMALL_STATE(4432)] = 185371,
  [SMALL_STATE(4433)] = 185414,
  [SMALL_STATE(4434)] = 185459,
  [SMALL_STATE(4435)] = 185488,
  [SMALL_STATE(4436)] = 185523,
  [SMALL_STATE(4437)] = 185554,
  [SMALL_STATE(4438)] = 185581,
  [SMALL_STATE(4439)] = 185624,
  [SMALL_STATE(4440)] = 185653,
  [SMALL_STATE(4441)] = 185698,
  [SMALL_STATE(4442)] = 185743,
  [SMALL_STATE(4443)] = 185788,
  [SMALL_STATE(4444)] = 185833,
  [SMALL_STATE(4445)] = 185866,
  [SMALL_STATE(4446)] = 185901,
  [SMALL_STATE(4447)] = 185936,
  [SMALL_STATE(4448)] = 185981,
  [SMALL_STATE(4449)] = 186026,
  [SMALL_STATE(4450)] = 186062,
  [SMALL_STATE(4451)] = 186094,
  [SMALL_STATE(4452)] = 186122,
  [SMALL_STATE(4453)] = 186156,
  [SMALL_STATE(4454)] = 186190,
  [SMALL_STATE(4455)] = 186218,
  [SMALL_STATE(4456)] = 186248,
  [SMALL_STATE(4457)] = 186282,
  [SMALL_STATE(4458)] = 186326,
  [SMALL_STATE(4459)] = 186356,
  [SMALL_STATE(4460)] = 186400,
  [SMALL_STATE(4461)] = 186434,
  [SMALL_STATE(4462)] = 186478,
  [SMALL_STATE(4463)] = 186506,
  [SMALL_STATE(4464)] = 186536,
  [SMALL_STATE(4465)] = 186568,
  [SMALL_STATE(4466)] = 186602,
  [SMALL_STATE(4467)] = 186634,
  [SMALL_STATE(4468)] = 186664,
  [SMALL_STATE(4469)] = 186696,
  [SMALL_STATE(4470)] = 186740,
  [SMALL_STATE(4471)] = 186784,
  [SMALL_STATE(4472)] = 186818,
  [SMALL_STATE(4473)] = 186848,
  [SMALL_STATE(4474)] = 186882,
  [SMALL_STATE(4475)] = 186914,
  [SMALL_STATE(4476)] = 186942,
  [SMALL_STATE(4477)] = 186972,
  [SMALL_STATE(4478)] = 187002,
  [SMALL_STATE(4479)] = 187046,
  [SMALL_STATE(4480)] = 187102,
  [SMALL_STATE(4481)] = 187146,
  [SMALL_STATE(4482)] = 187190,
  [SMALL_STATE(4483)] = 187220,
  [SMALL_STATE(4484)] = 187248,
  [SMALL_STATE(4485)] = 187280,
  [SMALL_STATE(4486)] = 187314,
  [SMALL_STATE(4487)] = 187340,
  [SMALL_STATE(4488)] = 187384,
  [SMALL_STATE(4489)] = 187414,
  [SMALL_STATE(4490)] = 187440,
  [SMALL_STATE(4491)] = 187484,
  [SMALL_STATE(4492)] = 187528,
  [SMALL_STATE(4493)] = 187572,
  [SMALL_STATE(4494)] = 187600,
  [SMALL_STATE(4495)] = 187626,
  [SMALL_STATE(4496)] = 187660,
  [SMALL_STATE(4497)] = 187708,
  [SMALL_STATE(4498)] = 187752,
  [SMALL_STATE(4499)] = 187778,
  [SMALL_STATE(4500)] = 187812,
  [SMALL_STATE(4501)] = 187846,
  [SMALL_STATE(4502)] = 187890,
  [SMALL_STATE(4503)] = 187944,
  [SMALL_STATE(4504)] = 187978,
  [SMALL_STATE(4505)] = 188022,
  [SMALL_STATE(4506)] = 188056,
  [SMALL_STATE(4507)] = 188086,
  [SMALL_STATE(4508)] = 188122,
  [SMALL_STATE(4509)] = 188166,
  [SMALL_STATE(4510)] = 188200,
  [SMALL_STATE(4511)] = 188244,
  [SMALL_STATE(4512)] = 188274,
  [SMALL_STATE(4513)] = 188300,
  [SMALL_STATE(4514)] = 188334,
  [SMALL_STATE(4515)] = 188376,
  [SMALL_STATE(4516)] = 188410,
  [SMALL_STATE(4517)] = 188454,
  [SMALL_STATE(4518)] = 188482,
  [SMALL_STATE(4519)] = 188526,
  [SMALL_STATE(4520)] = 188582,
  [SMALL_STATE(4521)] = 188616,
  [SMALL_STATE(4522)] = 188642,
  [SMALL_STATE(4523)] = 188678,
  [SMALL_STATE(4524)] = 188708,
  [SMALL_STATE(4525)] = 188740,
  [SMALL_STATE(4526)] = 188768,
  [SMALL_STATE(4527)] = 188796,
  [SMALL_STATE(4528)] = 188840,
  [SMALL_STATE(4529)] = 188896,
  [SMALL_STATE(4530)] = 188928,
  [SMALL_STATE(4531)] = 188976,
  [SMALL_STATE(4532)] = 189024,
  [SMALL_STATE(4533)] = 189060,
  [SMALL_STATE(4534)] = 189092,
  [SMALL_STATE(4535)] = 189124,
  [SMALL_STATE(4536)] = 189168,
  [SMALL_STATE(4537)] = 189204,
  [SMALL_STATE(4538)] = 189232,
  [SMALL_STATE(4539)] = 189260,
  [SMALL_STATE(4540)] = 189290,
  [SMALL_STATE(4541)] = 189324,
  [SMALL_STATE(4542)] = 189368,
  [SMALL_STATE(4543)] = 189394,
  [SMALL_STATE(4544)] = 189426,
  [SMALL_STATE(4545)] = 189452,
  [SMALL_STATE(4546)] = 189480,
  [SMALL_STATE(4547)] = 189512,
  [SMALL_STATE(4548)] = 189538,
  [SMALL_STATE(4549)] = 189566,
  [SMALL_STATE(4550)] = 189602,
  [SMALL_STATE(4551)] = 189638,
  [SMALL_STATE(4552)] = 189682,
  [SMALL_STATE(4553)] = 189710,
  [SMALL_STATE(4554)] = 189754,
  [SMALL_STATE(4555)] = 189798,
  [SMALL_STATE(4556)] = 189846,
  [SMALL_STATE(4557)] = 189888,
  [SMALL_STATE(4558)] = 189932,
  [SMALL_STATE(4559)] = 189976,
  [SMALL_STATE(4560)] = 190002,
  [SMALL_STATE(4561)] = 190038,
  [SMALL_STATE(4562)] = 190086,
  [SMALL_STATE(4563)] = 190122,
  [SMALL_STATE(4564)] = 190156,
  [SMALL_STATE(4565)] = 190192,
  [SMALL_STATE(4566)] = 190236,
  [SMALL_STATE(4567)] = 190280,
  [SMALL_STATE(4568)] = 190308,
  [SMALL_STATE(4569)] = 190342,
  [SMALL_STATE(4570)] = 190374,
  [SMALL_STATE(4571)] = 190418,
  [SMALL_STATE(4572)] = 190462,
  [SMALL_STATE(4573)] = 190496,
  [SMALL_STATE(4574)] = 190526,
  [SMALL_STATE(4575)] = 190570,
  [SMALL_STATE(4576)] = 190606,
  [SMALL_STATE(4577)] = 190662,
  [SMALL_STATE(4578)] = 190695,
  [SMALL_STATE(4579)] = 190720,
  [SMALL_STATE(4580)] = 190745,
  [SMALL_STATE(4581)] = 190770,
  [SMALL_STATE(4582)] = 190795,
  [SMALL_STATE(4583)] = 190820,
  [SMALL_STATE(4584)] = 190853,
  [SMALL_STATE(4585)] = 190896,
  [SMALL_STATE(4586)] = 190929,
  [SMALL_STATE(4587)] = 190962,
  [SMALL_STATE(4588)] = 191009,
  [SMALL_STATE(4589)] = 191042,
  [SMALL_STATE(4590)] = 191075,
  [SMALL_STATE(4591)] = 191108,
  [SMALL_STATE(4592)] = 191141,
  [SMALL_STATE(4593)] = 191174,
  [SMALL_STATE(4594)] = 191207,
  [SMALL_STATE(4595)] = 191240,
  [SMALL_STATE(4596)] = 191267,
  [SMALL_STATE(4597)] = 191300,
  [SMALL_STATE(4598)] = 191347,
  [SMALL_STATE(4599)] = 191378,
  [SMALL_STATE(4600)] = 191407,
  [SMALL_STATE(4601)] = 191436,
  [SMALL_STATE(4602)] = 191467,
  [SMALL_STATE(4603)] = 191492,
  [SMALL_STATE(4604)] = 191521,
  [SMALL_STATE(4605)] = 191552,
  [SMALL_STATE(4606)] = 191585,
  [SMALL_STATE(4607)] = 191610,
  [SMALL_STATE(4608)] = 191639,
  [SMALL_STATE(4609)] = 191670,
  [SMALL_STATE(4610)] = 191703,
  [SMALL_STATE(4611)] = 191736,
  [SMALL_STATE(4612)] = 191769,
  [SMALL_STATE(4613)] = 191816,
  [SMALL_STATE(4614)] = 191845,
  [SMALL_STATE(4615)] = 191878,
  [SMALL_STATE(4616)] = 191903,
  [SMALL_STATE(4617)] = 191950,
  [SMALL_STATE(4618)] = 191997,
  [SMALL_STATE(4619)] = 192030,
  [SMALL_STATE(4620)] = 192063,
  [SMALL_STATE(4621)] = 192096,
  [SMALL_STATE(4622)] = 192139,
  [SMALL_STATE(4623)] = 192164,
  [SMALL_STATE(4624)] = 192189,
  [SMALL_STATE(4625)] = 192214,
  [SMALL_STATE(4626)] = 192257,
  [SMALL_STATE(4627)] = 192290,
  [SMALL_STATE(4628)] = 192323,
  [SMALL_STATE(4629)] = 192356,
  [SMALL_STATE(4630)] = 192387,
  [SMALL_STATE(4631)] = 192418,
  [SMALL_STATE(4632)] = 192461,
  [SMALL_STATE(4633)] = 192492,
  [SMALL_STATE(4634)] = 192525,
  [SMALL_STATE(4635)] = 192558,
  [SMALL_STATE(4636)] = 192585,
  [SMALL_STATE(4637)] = 192618,
  [SMALL_STATE(4638)] = 192651,
  [SMALL_STATE(4639)] = 192684,
  [SMALL_STATE(4640)] = 192717,
  [SMALL_STATE(4641)] = 192746,
  [SMALL_STATE(4642)] = 192779,
  [SMALL_STATE(4643)] = 192808,
  [SMALL_STATE(4644)] = 192841,
  [SMALL_STATE(4645)] = 192874,
  [SMALL_STATE(4646)] = 192907,
  [SMALL_STATE(4647)] = 192940,
  [SMALL_STATE(4648)] = 192973,
  [SMALL_STATE(4649)] = 193006,
  [SMALL_STATE(4650)] = 193039,
  [SMALL_STATE(4651)] = 193064,
  [SMALL_STATE(4652)] = 193093,
  [SMALL_STATE(4653)] = 193126,
  [SMALL_STATE(4654)] = 193159,
  [SMALL_STATE(4655)] = 193184,
  [SMALL_STATE(4656)] = 193217,
  [SMALL_STATE(4657)] = 193250,
  [SMALL_STATE(4658)] = 193279,
  [SMALL_STATE(4659)] = 193304,
  [SMALL_STATE(4660)] = 193351,
  [SMALL_STATE(4661)] = 193378,
  [SMALL_STATE(4662)] = 193403,
  [SMALL_STATE(4663)] = 193428,
  [SMALL_STATE(4664)] = 193453,
  [SMALL_STATE(4665)] = 193486,
  [SMALL_STATE(4666)] = 193533,
  [SMALL_STATE(4667)] = 193580,
  [SMALL_STATE(4668)] = 193613,
  [SMALL_STATE(4669)] = 193646,
  [SMALL_STATE(4670)] = 193689,
  [SMALL_STATE(4671)] = 193732,
  [SMALL_STATE(4672)] = 193757,
  [SMALL_STATE(4673)] = 193790,
  [SMALL_STATE(4674)] = 193815,
  [SMALL_STATE(4675)] = 193858,
  [SMALL_STATE(4676)] = 193891,
  [SMALL_STATE(4677)] = 193924,
  [SMALL_STATE(4678)] = 193949,
  [SMALL_STATE(4679)] = 193992,
  [SMALL_STATE(4680)] = 194035,
  [SMALL_STATE(4681)] = 194068,
  [SMALL_STATE(4682)] = 194111,
  [SMALL_STATE(4683)] = 194144,
  [SMALL_STATE(4684)] = 194169,
  [SMALL_STATE(4685)] = 194202,
  [SMALL_STATE(4686)] = 194235,
  [SMALL_STATE(4687)] = 194260,
  [SMALL_STATE(4688)] = 194293,
  [SMALL_STATE(4689)] = 194322,
  [SMALL_STATE(4690)] = 194369,
  [SMALL_STATE(4691)] = 194402,
  [SMALL_STATE(4692)] = 194433,
  [SMALL_STATE(4693)] = 194466,
  [SMALL_STATE(4694)] = 194495,
  [SMALL_STATE(4695)] = 194538,
  [SMALL_STATE(4696)] = 194571,
  [SMALL_STATE(4697)] = 194604,
  [SMALL_STATE(4698)] = 194651,
  [SMALL_STATE(4699)] = 194684,
  [SMALL_STATE(4700)] = 194715,
  [SMALL_STATE(4701)] = 194758,
  [SMALL_STATE(4702)] = 194791,
  [SMALL_STATE(4703)] = 194824,
  [SMALL_STATE(4704)] = 194857,
  [SMALL_STATE(4705)] = 194900,
  [SMALL_STATE(4706)] = 194933,
  [SMALL_STATE(4707)] = 194976,
  [SMALL_STATE(4708)] = 195019,
  [SMALL_STATE(4709)] = 195052,
  [SMALL_STATE(4710)] = 195085,
  [SMALL_STATE(4711)] = 195128,
  [SMALL_STATE(4712)] = 195161,
  [SMALL_STATE(4713)] = 195208,
  [SMALL_STATE(4714)] = 195241,
  [SMALL_STATE(4715)] = 195270,
  [SMALL_STATE(4716)] = 195303,
  [SMALL_STATE(4717)] = 195350,
  [SMALL_STATE(4718)] = 195397,
  [SMALL_STATE(4719)] = 195428,
  [SMALL_STATE(4720)] = 195457,
  [SMALL_STATE(4721)] = 195490,
  [SMALL_STATE(4722)] = 195521,
  [SMALL_STATE(4723)] = 195546,
  [SMALL_STATE(4724)] = 195579,
  [SMALL_STATE(4725)] = 195612,
  [SMALL_STATE(4726)] = 195645,
  [SMALL_STATE(4727)] = 195678,
  [SMALL_STATE(4728)] = 195711,
  [SMALL_STATE(4729)] = 195744,
  [SMALL_STATE(4730)] = 195777,
  [SMALL_STATE(4731)] = 195802,
  [SMALL_STATE(4732)] = 195826,
  [SMALL_STATE(4733)] = 195850,
  [SMALL_STATE(4734)] = 195890,
  [SMALL_STATE(4735)] = 195936,
  [SMALL_STATE(4736)] = 195966,
  [SMALL_STATE(4737)] = 195996,
  [SMALL_STATE(4738)] = 196026,
  [SMALL_STATE(4739)] = 196072,
  [SMALL_STATE(4740)] = 196108,
  [SMALL_STATE(4741)] = 196138,
  [SMALL_STATE(4742)] = 196162,
  [SMALL_STATE(4743)] = 196192,
  [SMALL_STATE(4744)] = 196222,
  [SMALL_STATE(4745)] = 196252,
  [SMALL_STATE(4746)] = 196284,
  [SMALL_STATE(4747)] = 196314,
  [SMALL_STATE(4748)] = 196344,
  [SMALL_STATE(4749)] = 196374,
  [SMALL_STATE(4750)] = 196404,
  [SMALL_STATE(4751)] = 196434,
  [SMALL_STATE(4752)] = 196464,
  [SMALL_STATE(4753)] = 196496,
  [SMALL_STATE(4754)] = 196520,
  [SMALL_STATE(4755)] = 196544,
  [SMALL_STATE(4756)] = 196574,
  [SMALL_STATE(4757)] = 196598,
  [SMALL_STATE(4758)] = 196622,
  [SMALL_STATE(4759)] = 196664,
  [SMALL_STATE(4760)] = 196694,
  [SMALL_STATE(4761)] = 196736,
  [SMALL_STATE(4762)] = 196760,
  [SMALL_STATE(4763)] = 196790,
  [SMALL_STATE(4764)] = 196818,
  [SMALL_STATE(4765)] = 196860,
  [SMALL_STATE(4766)] = 196906,
  [SMALL_STATE(4767)] = 196948,
  [SMALL_STATE(4768)] = 196972,
  [SMALL_STATE(4769)] = 197004,
  [SMALL_STATE(4770)] = 197028,
  [SMALL_STATE(4771)] = 197074,
  [SMALL_STATE(4772)] = 197104,
  [SMALL_STATE(4773)] = 197134,
  [SMALL_STATE(4774)] = 197166,
  [SMALL_STATE(4775)] = 197208,
  [SMALL_STATE(4776)] = 197250,
  [SMALL_STATE(4777)] = 197292,
  [SMALL_STATE(4778)] = 197316,
  [SMALL_STATE(4779)] = 197340,
  [SMALL_STATE(4780)] = 197370,
  [SMALL_STATE(4781)] = 197396,
  [SMALL_STATE(4782)] = 197442,
  [SMALL_STATE(4783)] = 197472,
  [SMALL_STATE(4784)] = 197502,
  [SMALL_STATE(4785)] = 197526,
  [SMALL_STATE(4786)] = 197556,
  [SMALL_STATE(4787)] = 197580,
  [SMALL_STATE(4788)] = 197610,
  [SMALL_STATE(4789)] = 197640,
  [SMALL_STATE(4790)] = 197670,
  [SMALL_STATE(4791)] = 197698,
  [SMALL_STATE(4792)] = 197728,
  [SMALL_STATE(4793)] = 197754,
  [SMALL_STATE(4794)] = 197784,
  [SMALL_STATE(4795)] = 197808,
  [SMALL_STATE(4796)] = 197840,
  [SMALL_STATE(4797)] = 197866,
  [SMALL_STATE(4798)] = 197908,
  [SMALL_STATE(4799)] = 197938,
  [SMALL_STATE(4800)] = 197968,
  [SMALL_STATE(4801)] = 198000,
  [SMALL_STATE(4802)] = 198024,
  [SMALL_STATE(4803)] = 198048,
  [SMALL_STATE(4804)] = 198072,
  [SMALL_STATE(4805)] = 198116,
  [SMALL_STATE(4806)] = 198146,
  [SMALL_STATE(4807)] = 198176,
  [SMALL_STATE(4808)] = 198204,
  [SMALL_STATE(4809)] = 198234,
  [SMALL_STATE(4810)] = 198258,
  [SMALL_STATE(4811)] = 198300,
  [SMALL_STATE(4812)] = 198330,
  [SMALL_STATE(4813)] = 198360,
  [SMALL_STATE(4814)] = 198390,
  [SMALL_STATE(4815)] = 198420,
  [SMALL_STATE(4816)] = 198450,
  [SMALL_STATE(4817)] = 198480,
  [SMALL_STATE(4818)] = 198510,
  [SMALL_STATE(4819)] = 198540,
  [SMALL_STATE(4820)] = 198570,
  [SMALL_STATE(4821)] = 198598,
  [SMALL_STATE(4822)] = 198628,
  [SMALL_STATE(4823)] = 198658,
  [SMALL_STATE(4824)] = 198684,
  [SMALL_STATE(4825)] = 198714,
  [SMALL_STATE(4826)] = 198738,
  [SMALL_STATE(4827)] = 198768,
  [SMALL_STATE(4828)] = 198798,
  [SMALL_STATE(4829)] = 198840,
  [SMALL_STATE(4830)] = 198882,
  [SMALL_STATE(4831)] = 198910,
  [SMALL_STATE(4832)] = 198940,
  [SMALL_STATE(4833)] = 198970,
  [SMALL_STATE(4834)] = 199010,
  [SMALL_STATE(4835)] = 199040,
  [SMALL_STATE(4836)] = 199070,
  [SMALL_STATE(4837)] = 199100,
  [SMALL_STATE(4838)] = 199134,
  [SMALL_STATE(4839)] = 199158,
  [SMALL_STATE(4840)] = 199184,
  [SMALL_STATE(4841)] = 199214,
  [SMALL_STATE(4842)] = 199260,
  [SMALL_STATE(4843)] = 199290,
  [SMALL_STATE(4844)] = 199320,
  [SMALL_STATE(4845)] = 199350,
  [SMALL_STATE(4846)] = 199380,
  [SMALL_STATE(4847)] = 199426,
  [SMALL_STATE(4848)] = 199450,
  [SMALL_STATE(4849)] = 199474,
  [SMALL_STATE(4850)] = 199498,
  [SMALL_STATE(4851)] = 199528,
  [SMALL_STATE(4852)] = 199560,
  [SMALL_STATE(4853)] = 199584,
  [SMALL_STATE(4854)] = 199614,
  [SMALL_STATE(4855)] = 199638,
  [SMALL_STATE(4856)] = 199668,
  [SMALL_STATE(4857)] = 199692,
  [SMALL_STATE(4858)] = 199734,
  [SMALL_STATE(4859)] = 199760,
  [SMALL_STATE(4860)] = 199790,
  [SMALL_STATE(4861)] = 199814,
  [SMALL_STATE(4862)] = 199844,
  [SMALL_STATE(4863)] = 199868,
  [SMALL_STATE(4864)] = 199898,
  [SMALL_STATE(4865)] = 199922,
  [SMALL_STATE(4866)] = 199952,
  [SMALL_STATE(4867)] = 199994,
  [SMALL_STATE(4868)] = 200024,
  [SMALL_STATE(4869)] = 200052,
  [SMALL_STATE(4870)] = 200082,
  [SMALL_STATE(4871)] = 200108,
  [SMALL_STATE(4872)] = 200134,
  [SMALL_STATE(4873)] = 200158,
  [SMALL_STATE(4874)] = 200188,
  [SMALL_STATE(4875)] = 200218,
  [SMALL_STATE(4876)] = 200244,
  [SMALL_STATE(4877)] = 200286,
  [SMALL_STATE(4878)] = 200330,
  [SMALL_STATE(4879)] = 200360,
  [SMALL_STATE(4880)] = 200384,
  [SMALL_STATE(4881)] = 200414,
  [SMALL_STATE(4882)] = 200446,
  [SMALL_STATE(4883)] = 200472,
  [SMALL_STATE(4884)] = 200502,
  [SMALL_STATE(4885)] = 200530,
  [SMALL_STATE(4886)] = 200572,
  [SMALL_STATE(4887)] = 200602,
  [SMALL_STATE(4888)] = 200644,
  [SMALL_STATE(4889)] = 200668,
  [SMALL_STATE(4890)] = 200698,
  [SMALL_STATE(4891)] = 200728,
  [SMALL_STATE(4892)] = 200758,
  [SMALL_STATE(4893)] = 200804,
  [SMALL_STATE(4894)] = 200834,
  [SMALL_STATE(4895)] = 200880,
  [SMALL_STATE(4896)] = 200910,
  [SMALL_STATE(4897)] = 200956,
  [SMALL_STATE(4898)] = 200984,
  [SMALL_STATE(4899)] = 201014,
  [SMALL_STATE(4900)] = 201040,
  [SMALL_STATE(4901)] = 201082,
  [SMALL_STATE(4902)] = 201112,
  [SMALL_STATE(4903)] = 201158,
  [SMALL_STATE(4904)] = 201188,
  [SMALL_STATE(4905)] = 201230,
  [SMALL_STATE(4906)] = 201260,
  [SMALL_STATE(4907)] = 201290,
  [SMALL_STATE(4908)] = 201318,
  [SMALL_STATE(4909)] = 201348,
  [SMALL_STATE(4910)] = 201372,
  [SMALL_STATE(4911)] = 201402,
  [SMALL_STATE(4912)] = 201432,
  [SMALL_STATE(4913)] = 201462,
  [SMALL_STATE(4914)] = 201492,
  [SMALL_STATE(4915)] = 201538,
  [SMALL_STATE(4916)] = 201568,
  [SMALL_STATE(4917)] = 201592,
  [SMALL_STATE(4918)] = 201622,
  [SMALL_STATE(4919)] = 201648,
  [SMALL_STATE(4920)] = 201678,
  [SMALL_STATE(4921)] = 201704,
  [SMALL_STATE(4922)] = 201728,
  [SMALL_STATE(4923)] = 201758,
  [SMALL_STATE(4924)] = 201782,
  [SMALL_STATE(4925)] = 201812,
  [SMALL_STATE(4926)] = 201836,
  [SMALL_STATE(4927)] = 201882,
  [SMALL_STATE(4928)] = 201906,
  [SMALL_STATE(4929)] = 201936,
  [SMALL_STATE(4930)] = 201960,
  [SMALL_STATE(4931)] = 201984,
  [SMALL_STATE(4932)] = 202026,
  [SMALL_STATE(4933)] = 202050,
  [SMALL_STATE(4934)] = 202080,
  [SMALL_STATE(4935)] = 202110,
  [SMALL_STATE(4936)] = 202136,
  [SMALL_STATE(4937)] = 202178,
  [SMALL_STATE(4938)] = 202220,
  [SMALL_STATE(4939)] = 202252,
  [SMALL_STATE(4940)] = 202276,
  [SMALL_STATE(4941)] = 202306,
  [SMALL_STATE(4942)] = 202336,
  [SMALL_STATE(4943)] = 202370,
  [SMALL_STATE(4944)] = 202400,
  [SMALL_STATE(4945)] = 202427,
  [SMALL_STATE(4946)] = 202452,
  [SMALL_STATE(4947)] = 202479,
  [SMALL_STATE(4948)] = 202502,
  [SMALL_STATE(4949)] = 202531,
  [SMALL_STATE(4950)] = 202572,
  [SMALL_STATE(4951)] = 202597,
  [SMALL_STATE(4952)] = 202622,
  [SMALL_STATE(4953)] = 202645,
  [SMALL_STATE(4954)] = 202668,
  [SMALL_STATE(4955)] = 202693,
  [SMALL_STATE(4956)] = 202716,
  [SMALL_STATE(4957)] = 202741,
  [SMALL_STATE(4958)] = 202766,
  [SMALL_STATE(4959)] = 202791,
  [SMALL_STATE(4960)] = 202820,
  [SMALL_STATE(4961)] = 202847,
  [SMALL_STATE(4962)] = 202872,
  [SMALL_STATE(4963)] = 202899,
  [SMALL_STATE(4964)] = 202922,
  [SMALL_STATE(4965)] = 202947,
  [SMALL_STATE(4966)] = 202970,
  [SMALL_STATE(4967)] = 202993,
  [SMALL_STATE(4968)] = 203018,
  [SMALL_STATE(4969)] = 203047,
  [SMALL_STATE(4970)] = 203070,
  [SMALL_STATE(4971)] = 203111,
  [SMALL_STATE(4972)] = 203134,
  [SMALL_STATE(4973)] = 203161,
  [SMALL_STATE(4974)] = 203184,
  [SMALL_STATE(4975)] = 203207,
  [SMALL_STATE(4976)] = 203230,
  [SMALL_STATE(4977)] = 203253,
  [SMALL_STATE(4978)] = 203276,
  [SMALL_STATE(4979)] = 203301,
  [SMALL_STATE(4980)] = 203324,
  [SMALL_STATE(4981)] = 203347,
  [SMALL_STATE(4982)] = 203370,
  [SMALL_STATE(4983)] = 203411,
  [SMALL_STATE(4984)] = 203434,
  [SMALL_STATE(4985)] = 203475,
  [SMALL_STATE(4986)] = 203498,
  [SMALL_STATE(4987)] = 203521,
  [SMALL_STATE(4988)] = 203546,
  [SMALL_STATE(4989)] = 203571,
  [SMALL_STATE(4990)] = 203594,
  [SMALL_STATE(4991)] = 203623,
  [SMALL_STATE(4992)] = 203646,
  [SMALL_STATE(4993)] = 203669,
  [SMALL_STATE(4994)] = 203692,
  [SMALL_STATE(4995)] = 203715,
  [SMALL_STATE(4996)] = 203756,
  [SMALL_STATE(4997)] = 203781,
  [SMALL_STATE(4998)] = 203806,
  [SMALL_STATE(4999)] = 203847,
  [SMALL_STATE(5000)] = 203872,
  [SMALL_STATE(5001)] = 203901,
  [SMALL_STATE(5002)] = 203926,
  [SMALL_STATE(5003)] = 203953,
  [SMALL_STATE(5004)] = 203980,
  [SMALL_STATE(5005)] = 204003,
  [SMALL_STATE(5006)] = 204026,
  [SMALL_STATE(5007)] = 204051,
  [SMALL_STATE(5008)] = 204088,
  [SMALL_STATE(5009)] = 204111,
  [SMALL_STATE(5010)] = 204134,
  [SMALL_STATE(5011)] = 204157,
  [SMALL_STATE(5012)] = 204180,
  [SMALL_STATE(5013)] = 204203,
  [SMALL_STATE(5014)] = 204232,
  [SMALL_STATE(5015)] = 204273,
  [SMALL_STATE(5016)] = 204296,
  [SMALL_STATE(5017)] = 204319,
  [SMALL_STATE(5018)] = 204350,
  [SMALL_STATE(5019)] = 204377,
  [SMALL_STATE(5020)] = 204402,
  [SMALL_STATE(5021)] = 204433,
  [SMALL_STATE(5022)] = 204458,
  [SMALL_STATE(5023)] = 204481,
  [SMALL_STATE(5024)] = 204504,
  [SMALL_STATE(5025)] = 204527,
  [SMALL_STATE(5026)] = 204550,
  [SMALL_STATE(5027)] = 204575,
  [SMALL_STATE(5028)] = 204598,
  [SMALL_STATE(5029)] = 204625,
  [SMALL_STATE(5030)] = 204648,
  [SMALL_STATE(5031)] = 204671,
  [SMALL_STATE(5032)] = 204694,
  [SMALL_STATE(5033)] = 204717,
  [SMALL_STATE(5034)] = 204742,
  [SMALL_STATE(5035)] = 204779,
  [SMALL_STATE(5036)] = 204808,
  [SMALL_STATE(5037)] = 204835,
  [SMALL_STATE(5038)] = 204858,
  [SMALL_STATE(5039)] = 204887,
  [SMALL_STATE(5040)] = 204912,
  [SMALL_STATE(5041)] = 204935,
  [SMALL_STATE(5042)] = 204957,
  [SMALL_STATE(5043)] = 204981,
  [SMALL_STATE(5044)] = 205003,
  [SMALL_STATE(5045)] = 205043,
  [SMALL_STATE(5046)] = 205067,
  [SMALL_STATE(5047)] = 205089,
  [SMALL_STATE(5048)] = 205129,
  [SMALL_STATE(5049)] = 205151,
  [SMALL_STATE(5050)] = 205173,
  [SMALL_STATE(5051)] = 205195,
  [SMALL_STATE(5052)] = 205219,
  [SMALL_STATE(5053)] = 205245,
  [SMALL_STATE(5054)] = 205273,
  [SMALL_STATE(5055)] = 205301,
  [SMALL_STATE(5056)] = 205325,
  [SMALL_STATE(5057)] = 205347,
  [SMALL_STATE(5058)] = 205369,
  [SMALL_STATE(5059)] = 205391,
  [SMALL_STATE(5060)] = 205419,
  [SMALL_STATE(5061)] = 205443,
  [SMALL_STATE(5062)] = 205465,
  [SMALL_STATE(5063)] = 205489,
  [SMALL_STATE(5064)] = 205511,
  [SMALL_STATE(5065)] = 205533,
  [SMALL_STATE(5066)] = 205557,
  [SMALL_STATE(5067)] = 205581,
  [SMALL_STATE(5068)] = 205603,
  [SMALL_STATE(5069)] = 205625,
  [SMALL_STATE(5070)] = 205647,
  [SMALL_STATE(5071)] = 205669,
  [SMALL_STATE(5072)] = 205691,
  [SMALL_STATE(5073)] = 205731,
  [SMALL_STATE(5074)] = 205753,
  [SMALL_STATE(5075)] = 205779,
  [SMALL_STATE(5076)] = 205803,
  [SMALL_STATE(5077)] = 205827,
  [SMALL_STATE(5078)] = 205849,
  [SMALL_STATE(5079)] = 205877,
  [SMALL_STATE(5080)] = 205917,
  [SMALL_STATE(5081)] = 205939,
  [SMALL_STATE(5082)] = 205979,
  [SMALL_STATE(5083)] = 206001,
  [SMALL_STATE(5084)] = 206041,
  [SMALL_STATE(5085)] = 206063,
  [SMALL_STATE(5086)] = 206087,
  [SMALL_STATE(5087)] = 206109,
  [SMALL_STATE(5088)] = 206133,
  [SMALL_STATE(5089)] = 206155,
  [SMALL_STATE(5090)] = 206179,
  [SMALL_STATE(5091)] = 206209,
  [SMALL_STATE(5092)] = 206239,
  [SMALL_STATE(5093)] = 206265,
  [SMALL_STATE(5094)] = 206289,
  [SMALL_STATE(5095)] = 206313,
  [SMALL_STATE(5096)] = 206335,
  [SMALL_STATE(5097)] = 206363,
  [SMALL_STATE(5098)] = 206387,
  [SMALL_STATE(5099)] = 206415,
  [SMALL_STATE(5100)] = 206437,
  [SMALL_STATE(5101)] = 206463,
  [SMALL_STATE(5102)] = 206487,
  [SMALL_STATE(5103)] = 206509,
  [SMALL_STATE(5104)] = 206531,
  [SMALL_STATE(5105)] = 206553,
  [SMALL_STATE(5106)] = 206577,
  [SMALL_STATE(5107)] = 206603,
  [SMALL_STATE(5108)] = 206643,
  [SMALL_STATE(5109)] = 206667,
  [SMALL_STATE(5110)] = 206689,
  [SMALL_STATE(5111)] = 206717,
  [SMALL_STATE(5112)] = 206757,
  [SMALL_STATE(5113)] = 206779,
  [SMALL_STATE(5114)] = 206801,
  [SMALL_STATE(5115)] = 206825,
  [SMALL_STATE(5116)] = 206851,
  [SMALL_STATE(5117)] = 206873,
  [SMALL_STATE(5118)] = 206897,
  [SMALL_STATE(5119)] = 206921,
  [SMALL_STATE(5120)] = 206943,
  [SMALL_STATE(5121)] = 206965,
  [SMALL_STATE(5122)] = 206993,
  [SMALL_STATE(5123)] = 207015,
  [SMALL_STATE(5124)] = 207041,
  [SMALL_STATE(5125)] = 207071,
  [SMALL_STATE(5126)] = 207101,
  [SMALL_STATE(5127)] = 207141,
  [SMALL_STATE(5128)] = 207181,
  [SMALL_STATE(5129)] = 207203,
  [SMALL_STATE(5130)] = 207243,
  [SMALL_STATE(5131)] = 207283,
  [SMALL_STATE(5132)] = 207307,
  [SMALL_STATE(5133)] = 207329,
  [SMALL_STATE(5134)] = 207350,
  [SMALL_STATE(5135)] = 207391,
  [SMALL_STATE(5136)] = 207412,
  [SMALL_STATE(5137)] = 207447,
  [SMALL_STATE(5138)] = 207472,
  [SMALL_STATE(5139)] = 207507,
  [SMALL_STATE(5140)] = 207542,
  [SMALL_STATE(5141)] = 207563,
  [SMALL_STATE(5142)] = 207598,
  [SMALL_STATE(5143)] = 207639,
  [SMALL_STATE(5144)] = 207674,
  [SMALL_STATE(5145)] = 207695,
  [SMALL_STATE(5146)] = 207736,
  [SMALL_STATE(5147)] = 207775,
  [SMALL_STATE(5148)] = 207800,
  [SMALL_STATE(5149)] = 207823,
  [SMALL_STATE(5150)] = 207864,
  [SMALL_STATE(5151)] = 207885,
  [SMALL_STATE(5152)] = 207926,
  [SMALL_STATE(5153)] = 207947,
  [SMALL_STATE(5154)] = 207988,
  [SMALL_STATE(5155)] = 208013,
  [SMALL_STATE(5156)] = 208048,
  [SMALL_STATE(5157)] = 208083,
  [SMALL_STATE(5158)] = 208124,
  [SMALL_STATE(5159)] = 208145,
  [SMALL_STATE(5160)] = 208166,
  [SMALL_STATE(5161)] = 208193,
  [SMALL_STATE(5162)] = 208216,
  [SMALL_STATE(5163)] = 208237,
  [SMALL_STATE(5164)] = 208262,
  [SMALL_STATE(5165)] = 208303,
  [SMALL_STATE(5166)] = 208324,
  [SMALL_STATE(5167)] = 208345,
  [SMALL_STATE(5168)] = 208380,
  [SMALL_STATE(5169)] = 208405,
  [SMALL_STATE(5170)] = 208446,
  [SMALL_STATE(5171)] = 208469,
  [SMALL_STATE(5172)] = 208510,
  [SMALL_STATE(5173)] = 208531,
  [SMALL_STATE(5174)] = 208556,
  [SMALL_STATE(5175)] = 208583,
  [SMALL_STATE(5176)] = 208610,
  [SMALL_STATE(5177)] = 208651,
  [SMALL_STATE(5178)] = 208672,
  [SMALL_STATE(5179)] = 208713,
  [SMALL_STATE(5180)] = 208754,
  [SMALL_STATE(5181)] = 208795,
  [SMALL_STATE(5182)] = 208820,
  [SMALL_STATE(5183)] = 208861,
  [SMALL_STATE(5184)] = 208886,
  [SMALL_STATE(5185)] = 208923,
  [SMALL_STATE(5186)] = 208944,
  [SMALL_STATE(5187)] = 208985,
  [SMALL_STATE(5188)] = 209012,
  [SMALL_STATE(5189)] = 209033,
  [SMALL_STATE(5190)] = 209054,
  [SMALL_STATE(5191)] = 209079,
  [SMALL_STATE(5192)] = 209120,
  [SMALL_STATE(5193)] = 209141,
  [SMALL_STATE(5194)] = 209162,
  [SMALL_STATE(5195)] = 209183,
  [SMALL_STATE(5196)] = 209208,
  [SMALL_STATE(5197)] = 209243,
  [SMALL_STATE(5198)] = 209264,
  [SMALL_STATE(5199)] = 209285,
  [SMALL_STATE(5200)] = 209306,
  [SMALL_STATE(5201)] = 209347,
  [SMALL_STATE(5202)] = 209388,
  [SMALL_STATE(5203)] = 209411,
  [SMALL_STATE(5204)] = 209432,
  [SMALL_STATE(5205)] = 209453,
  [SMALL_STATE(5206)] = 209494,
  [SMALL_STATE(5207)] = 209515,
  [SMALL_STATE(5208)] = 209556,
  [SMALL_STATE(5209)] = 209577,
  [SMALL_STATE(5210)] = 209618,
  [SMALL_STATE(5211)] = 209653,
  [SMALL_STATE(5212)] = 209688,
  [SMALL_STATE(5213)] = 209709,
  [SMALL_STATE(5214)] = 209732,
  [SMALL_STATE(5215)] = 209767,
  [SMALL_STATE(5216)] = 209802,
  [SMALL_STATE(5217)] = 209843,
  [SMALL_STATE(5218)] = 209878,
  [SMALL_STATE(5219)] = 209904,
  [SMALL_STATE(5220)] = 209924,
  [SMALL_STATE(5221)] = 209946,
  [SMALL_STATE(5222)] = 209966,
  [SMALL_STATE(5223)] = 210004,
  [SMALL_STATE(5224)] = 210030,
  [SMALL_STATE(5225)] = 210064,
  [SMALL_STATE(5226)] = 210090,
  [SMALL_STATE(5227)] = 210116,
  [SMALL_STATE(5228)] = 210136,
  [SMALL_STATE(5229)] = 210170,
  [SMALL_STATE(5230)] = 210196,
  [SMALL_STATE(5231)] = 210234,
  [SMALL_STATE(5232)] = 210266,
  [SMALL_STATE(5233)] = 210294,
  [SMALL_STATE(5234)] = 210320,
  [SMALL_STATE(5235)] = 210340,
  [SMALL_STATE(5236)] = 210374,
  [SMALL_STATE(5237)] = 210400,
  [SMALL_STATE(5238)] = 210426,
  [SMALL_STATE(5239)] = 210464,
  [SMALL_STATE(5240)] = 210484,
  [SMALL_STATE(5241)] = 210522,
  [SMALL_STATE(5242)] = 210556,
  [SMALL_STATE(5243)] = 210582,
  [SMALL_STATE(5244)] = 210620,
  [SMALL_STATE(5245)] = 210658,
  [SMALL_STATE(5246)] = 210682,
  [SMALL_STATE(5247)] = 210716,
  [SMALL_STATE(5248)] = 210742,
  [SMALL_STATE(5249)] = 210780,
  [SMALL_STATE(5250)] = 210806,
  [SMALL_STATE(5251)] = 210826,
  [SMALL_STATE(5252)] = 210846,
  [SMALL_STATE(5253)] = 210872,
  [SMALL_STATE(5254)] = 210910,
  [SMALL_STATE(5255)] = 210936,
  [SMALL_STATE(5256)] = 210956,
  [SMALL_STATE(5257)] = 210982,
  [SMALL_STATE(5258)] = 211016,
  [SMALL_STATE(5259)] = 211036,
  [SMALL_STATE(5260)] = 211060,
  [SMALL_STATE(5261)] = 211094,
  [SMALL_STATE(5262)] = 211132,
  [SMALL_STATE(5263)] = 211170,
  [SMALL_STATE(5264)] = 211208,
  [SMALL_STATE(5265)] = 211234,
  [SMALL_STATE(5266)] = 211268,
  [SMALL_STATE(5267)] = 211294,
  [SMALL_STATE(5268)] = 211332,
  [SMALL_STATE(5269)] = 211358,
  [SMALL_STATE(5270)] = 211396,
  [SMALL_STATE(5271)] = 211434,
  [SMALL_STATE(5272)] = 211454,
  [SMALL_STATE(5273)] = 211488,
  [SMALL_STATE(5274)] = 211526,
  [SMALL_STATE(5275)] = 211552,
  [SMALL_STATE(5276)] = 211578,
  [SMALL_STATE(5277)] = 211604,
  [SMALL_STATE(5278)] = 211628,
  [SMALL_STATE(5279)] = 211654,
  [SMALL_STATE(5280)] = 211674,
  [SMALL_STATE(5281)] = 211712,
  [SMALL_STATE(5282)] = 211750,
  [SMALL_STATE(5283)] = 211784,
  [SMALL_STATE(5284)] = 211810,
  [SMALL_STATE(5285)] = 211836,
  [SMALL_STATE(5286)] = 211862,
  [SMALL_STATE(5287)] = 211888,
  [SMALL_STATE(5288)] = 211914,
  [SMALL_STATE(5289)] = 211934,
  [SMALL_STATE(5290)] = 211968,
  [SMALL_STATE(5291)] = 211994,
  [SMALL_STATE(5292)] = 212018,
  [SMALL_STATE(5293)] = 212038,
  [SMALL_STATE(5294)] = 212058,
  [SMALL_STATE(5295)] = 212084,
  [SMALL_STATE(5296)] = 212122,
  [SMALL_STATE(5297)] = 212148,
  [SMALL_STATE(5298)] = 212174,
  [SMALL_STATE(5299)] = 212194,
  [SMALL_STATE(5300)] = 212232,
  [SMALL_STATE(5301)] = 212258,
  [SMALL_STATE(5302)] = 212284,
  [SMALL_STATE(5303)] = 212310,
  [SMALL_STATE(5304)] = 212330,
  [SMALL_STATE(5305)] = 212354,
  [SMALL_STATE(5306)] = 212388,
  [SMALL_STATE(5307)] = 212414,
  [SMALL_STATE(5308)] = 212440,
  [SMALL_STATE(5309)] = 212478,
  [SMALL_STATE(5310)] = 212498,
  [SMALL_STATE(5311)] = 212532,
  [SMALL_STATE(5312)] = 212570,
  [SMALL_STATE(5313)] = 212596,
  [SMALL_STATE(5314)] = 212630,
  [SMALL_STATE(5315)] = 212650,
  [SMALL_STATE(5316)] = 212676,
  [SMALL_STATE(5317)] = 212700,
  [SMALL_STATE(5318)] = 212732,
  [SMALL_STATE(5319)] = 212753,
  [SMALL_STATE(5320)] = 212772,
  [SMALL_STATE(5321)] = 212793,
  [SMALL_STATE(5322)] = 212812,
  [SMALL_STATE(5323)] = 212831,
  [SMALL_STATE(5324)] = 212850,
  [SMALL_STATE(5325)] = 212869,
  [SMALL_STATE(5326)] = 212888,
  [SMALL_STATE(5327)] = 212907,
  [SMALL_STATE(5328)] = 212926,
  [SMALL_STATE(5329)] = 212945,
  [SMALL_STATE(5330)] = 212968,
  [SMALL_STATE(5331)] = 212987,
  [SMALL_STATE(5332)] = 213006,
  [SMALL_STATE(5333)] = 213025,
  [SMALL_STATE(5334)] = 213046,
  [SMALL_STATE(5335)] = 213065,
  [SMALL_STATE(5336)] = 213084,
  [SMALL_STATE(5337)] = 213109,
  [SMALL_STATE(5338)] = 213134,
  [SMALL_STATE(5339)] = 213169,
  [SMALL_STATE(5340)] = 213188,
  [SMALL_STATE(5341)] = 213209,
  [SMALL_STATE(5342)] = 213228,
  [SMALL_STATE(5343)] = 213249,
  [SMALL_STATE(5344)] = 213270,
  [SMALL_STATE(5345)] = 213289,
  [SMALL_STATE(5346)] = 213308,
  [SMALL_STATE(5347)] = 213327,
  [SMALL_STATE(5348)] = 213346,
  [SMALL_STATE(5349)] = 213365,
  [SMALL_STATE(5350)] = 213384,
  [SMALL_STATE(5351)] = 213403,
  [SMALL_STATE(5352)] = 213422,
  [SMALL_STATE(5353)] = 213447,
  [SMALL_STATE(5354)] = 213470,
  [SMALL_STATE(5355)] = 213493,
  [SMALL_STATE(5356)] = 213515,
  [SMALL_STATE(5357)] = 213545,
  [SMALL_STATE(5358)] = 213563,
  [SMALL_STATE(5359)] = 213589,
  [SMALL_STATE(5360)] = 213607,
  [SMALL_STATE(5361)] = 213637,
  [SMALL_STATE(5362)] = 213655,
  [SMALL_STATE(5363)] = 213673,
  [SMALL_STATE(5364)] = 213695,
  [SMALL_STATE(5365)] = 213725,
  [SMALL_STATE(5366)] = 213753,
  [SMALL_STATE(5367)] = 213783,
  [SMALL_STATE(5368)] = 213811,
  [SMALL_STATE(5369)] = 213835,
  [SMALL_STATE(5370)] = 213863,
  [SMALL_STATE(5371)] = 213883,
  [SMALL_STATE(5372)] = 213907,
  [SMALL_STATE(5373)] = 213925,
  [SMALL_STATE(5374)] = 213953,
  [SMALL_STATE(5375)] = 213971,
  [SMALL_STATE(5376)] = 213999,
  [SMALL_STATE(5377)] = 214021,
  [SMALL_STATE(5378)] = 214043,
  [SMALL_STATE(5379)] = 214071,
  [SMALL_STATE(5380)] = 214097,
  [SMALL_STATE(5381)] = 214125,
  [SMALL_STATE(5382)] = 214155,
  [SMALL_STATE(5383)] = 214175,
  [SMALL_STATE(5384)] = 214203,
  [SMALL_STATE(5385)] = 214225,
  [SMALL_STATE(5386)] = 214247,
  [SMALL_STATE(5387)] = 214275,
  [SMALL_STATE(5388)] = 214293,
  [SMALL_STATE(5389)] = 214321,
  [SMALL_STATE(5390)] = 214349,
  [SMALL_STATE(5391)] = 214381,
  [SMALL_STATE(5392)] = 214409,
  [SMALL_STATE(5393)] = 214437,
  [SMALL_STATE(5394)] = 214465,
  [SMALL_STATE(5395)] = 214493,
  [SMALL_STATE(5396)] = 214523,
  [SMALL_STATE(5397)] = 214551,
  [SMALL_STATE(5398)] = 214579,
  [SMALL_STATE(5399)] = 214597,
  [SMALL_STATE(5400)] = 214615,
  [SMALL_STATE(5401)] = 214645,
  [SMALL_STATE(5402)] = 214663,
  [SMALL_STATE(5403)] = 214691,
  [SMALL_STATE(5404)] = 214719,
  [SMALL_STATE(5405)] = 214747,
  [SMALL_STATE(5406)] = 214775,
  [SMALL_STATE(5407)] = 214807,
  [SMALL_STATE(5408)] = 214837,
  [SMALL_STATE(5409)] = 214857,
  [SMALL_STATE(5410)] = 214879,
  [SMALL_STATE(5411)] = 214901,
  [SMALL_STATE(5412)] = 214929,
  [SMALL_STATE(5413)] = 214957,
  [SMALL_STATE(5414)] = 214979,
  [SMALL_STATE(5415)] = 215007,
  [SMALL_STATE(5416)] = 215025,
  [SMALL_STATE(5417)] = 215053,
  [SMALL_STATE(5418)] = 215071,
  [SMALL_STATE(5419)] = 215099,
  [SMALL_STATE(5420)] = 215131,
  [SMALL_STATE(5421)] = 215161,
  [SMALL_STATE(5422)] = 215189,
  [SMALL_STATE(5423)] = 215211,
  [SMALL_STATE(5424)] = 215229,
  [SMALL_STATE(5425)] = 215257,
  [SMALL_STATE(5426)] = 215277,
  [SMALL_STATE(5427)] = 215305,
  [SMALL_STATE(5428)] = 215324,
  [SMALL_STATE(5429)] = 215351,
  [SMALL_STATE(5430)] = 215372,
  [SMALL_STATE(5431)] = 215397,
  [SMALL_STATE(5432)] = 215416,
  [SMALL_STATE(5433)] = 215441,
  [SMALL_STATE(5434)] = 215470,
  [SMALL_STATE(5435)] = 215501,
  [SMALL_STATE(5436)] = 215532,
  [SMALL_STATE(5437)] = 215553,
  [SMALL_STATE(5438)] = 215580,
  [SMALL_STATE(5439)] = 215599,
  [SMALL_STATE(5440)] = 215630,
  [SMALL_STATE(5441)] = 215657,
  [SMALL_STATE(5442)] = 215684,
  [SMALL_STATE(5443)] = 215705,
  [SMALL_STATE(5444)] = 215734,
  [SMALL_STATE(5445)] = 215763,
  [SMALL_STATE(5446)] = 215782,
  [SMALL_STATE(5447)] = 215803,
  [SMALL_STATE(5448)] = 215822,
  [SMALL_STATE(5449)] = 215851,
  [SMALL_STATE(5450)] = 215878,
  [SMALL_STATE(5451)] = 215897,
  [SMALL_STATE(5452)] = 215918,
  [SMALL_STATE(5453)] = 215943,
  [SMALL_STATE(5454)] = 215962,
  [SMALL_STATE(5455)] = 215993,
  [SMALL_STATE(5456)] = 216012,
  [SMALL_STATE(5457)] = 216029,
  [SMALL_STATE(5458)] = 216050,
  [SMALL_STATE(5459)] = 216075,
  [SMALL_STATE(5460)] = 216102,
  [SMALL_STATE(5461)] = 216121,
  [SMALL_STATE(5462)] = 216144,
  [SMALL_STATE(5463)] = 216167,
  [SMALL_STATE(5464)] = 216194,
  [SMALL_STATE(5465)] = 216225,
  [SMALL_STATE(5466)] = 216252,
  [SMALL_STATE(5467)] = 216279,
  [SMALL_STATE(5468)] = 216300,
  [SMALL_STATE(5469)] = 216323,
  [SMALL_STATE(5470)] = 216352,
  [SMALL_STATE(5471)] = 216383,
  [SMALL_STATE(5472)] = 216410,
  [SMALL_STATE(5473)] = 216429,
  [SMALL_STATE(5474)] = 216458,
  [SMALL_STATE(5475)] = 216483,
  [SMALL_STATE(5476)] = 216502,
  [SMALL_STATE(5477)] = 216521,
  [SMALL_STATE(5478)] = 216552,
  [SMALL_STATE(5479)] = 216571,
  [SMALL_STATE(5480)] = 216598,
  [SMALL_STATE(5481)] = 216617,
  [SMALL_STATE(5482)] = 216648,
  [SMALL_STATE(5483)] = 216669,
  [SMALL_STATE(5484)] = 216688,
  [SMALL_STATE(5485)] = 216713,
  [SMALL_STATE(5486)] = 216732,
  [SMALL_STATE(5487)] = 216763,
  [SMALL_STATE(5488)] = 216784,
  [SMALL_STATE(5489)] = 216803,
  [SMALL_STATE(5490)] = 216820,
  [SMALL_STATE(5491)] = 216847,
  [SMALL_STATE(5492)] = 216874,
  [SMALL_STATE(5493)] = 216903,
  [SMALL_STATE(5494)] = 216930,
  [SMALL_STATE(5495)] = 216951,
  [SMALL_STATE(5496)] = 216970,
  [SMALL_STATE(5497)] = 216995,
  [SMALL_STATE(5498)] = 217024,
  [SMALL_STATE(5499)] = 217043,
  [SMALL_STATE(5500)] = 217062,
  [SMALL_STATE(5501)] = 217089,
  [SMALL_STATE(5502)] = 217116,
  [SMALL_STATE(5503)] = 217135,
  [SMALL_STATE(5504)] = 217166,
  [SMALL_STATE(5505)] = 217185,
  [SMALL_STATE(5506)] = 217214,
  [SMALL_STATE(5507)] = 217243,
  [SMALL_STATE(5508)] = 217264,
  [SMALL_STATE(5509)] = 217283,
  [SMALL_STATE(5510)] = 217300,
  [SMALL_STATE(5511)] = 217329,
  [SMALL_STATE(5512)] = 217348,
  [SMALL_STATE(5513)] = 217373,
  [SMALL_STATE(5514)] = 217396,
  [SMALL_STATE(5515)] = 217427,
  [SMALL_STATE(5516)] = 217444,
  [SMALL_STATE(5517)] = 217463,
  [SMALL_STATE(5518)] = 217482,
  [SMALL_STATE(5519)] = 217501,
  [SMALL_STATE(5520)] = 217528,
  [SMALL_STATE(5521)] = 217547,
  [SMALL_STATE(5522)] = 217568,
  [SMALL_STATE(5523)] = 217587,
  [SMALL_STATE(5524)] = 217608,
  [SMALL_STATE(5525)] = 217635,
  [SMALL_STATE(5526)] = 217656,
  [SMALL_STATE(5527)] = 217675,
  [SMALL_STATE(5528)] = 217696,
  [SMALL_STATE(5529)] = 217725,
  [SMALL_STATE(5530)] = 217752,
  [SMALL_STATE(5531)] = 217779,
  [SMALL_STATE(5532)] = 217798,
  [SMALL_STATE(5533)] = 217817,
  [SMALL_STATE(5534)] = 217838,
  [SMALL_STATE(5535)] = 217855,
  [SMALL_STATE(5536)] = 217872,
  [SMALL_STATE(5537)] = 217891,
  [SMALL_STATE(5538)] = 217910,
  [SMALL_STATE(5539)] = 217929,
  [SMALL_STATE(5540)] = 217958,
  [SMALL_STATE(5541)] = 217975,
  [SMALL_STATE(5542)] = 217994,
  [SMALL_STATE(5543)] = 218021,
  [SMALL_STATE(5544)] = 218052,
  [SMALL_STATE(5545)] = 218079,
  [SMALL_STATE(5546)] = 218100,
  [SMALL_STATE(5547)] = 218119,
  [SMALL_STATE(5548)] = 218136,
  [SMALL_STATE(5549)] = 218155,
  [SMALL_STATE(5550)] = 218174,
  [SMALL_STATE(5551)] = 218203,
  [SMALL_STATE(5552)] = 218230,
  [SMALL_STATE(5553)] = 218249,
  [SMALL_STATE(5554)] = 218276,
  [SMALL_STATE(5555)] = 218297,
  [SMALL_STATE(5556)] = 218316,
  [SMALL_STATE(5557)] = 218339,
  [SMALL_STATE(5558)] = 218366,
  [SMALL_STATE(5559)] = 218385,
  [SMALL_STATE(5560)] = 218414,
  [SMALL_STATE(5561)] = 218441,
  [SMALL_STATE(5562)] = 218460,
  [SMALL_STATE(5563)] = 218479,
  [SMALL_STATE(5564)] = 218498,
  [SMALL_STATE(5565)] = 218521,
  [SMALL_STATE(5566)] = 218540,
  [SMALL_STATE(5567)] = 218567,
  [SMALL_STATE(5568)] = 218594,
  [SMALL_STATE(5569)] = 218610,
  [SMALL_STATE(5570)] = 218632,
  [SMALL_STATE(5571)] = 218654,
  [SMALL_STATE(5572)] = 218676,
  [SMALL_STATE(5573)] = 218698,
  [SMALL_STATE(5574)] = 218720,
  [SMALL_STATE(5575)] = 218742,
  [SMALL_STATE(5576)] = 218762,
  [SMALL_STATE(5577)] = 218778,
  [SMALL_STATE(5578)] = 218806,
  [SMALL_STATE(5579)] = 218828,
  [SMALL_STATE(5580)] = 218844,
  [SMALL_STATE(5581)] = 218866,
  [SMALL_STATE(5582)] = 218888,
  [SMALL_STATE(5583)] = 218904,
  [SMALL_STATE(5584)] = 218932,
  [SMALL_STATE(5585)] = 218954,
  [SMALL_STATE(5586)] = 218972,
  [SMALL_STATE(5587)] = 218996,
  [SMALL_STATE(5588)] = 219018,
  [SMALL_STATE(5589)] = 219040,
  [SMALL_STATE(5590)] = 219062,
  [SMALL_STATE(5591)] = 219084,
  [SMALL_STATE(5592)] = 219106,
  [SMALL_STATE(5593)] = 219122,
  [SMALL_STATE(5594)] = 219144,
  [SMALL_STATE(5595)] = 219172,
  [SMALL_STATE(5596)] = 219194,
  [SMALL_STATE(5597)] = 219222,
  [SMALL_STATE(5598)] = 219244,
  [SMALL_STATE(5599)] = 219266,
  [SMALL_STATE(5600)] = 219294,
  [SMALL_STATE(5601)] = 219316,
  [SMALL_STATE(5602)] = 219338,
  [SMALL_STATE(5603)] = 219360,
  [SMALL_STATE(5604)] = 219382,
  [SMALL_STATE(5605)] = 219400,
  [SMALL_STATE(5606)] = 219420,
  [SMALL_STATE(5607)] = 219442,
  [SMALL_STATE(5608)] = 219460,
  [SMALL_STATE(5609)] = 219476,
  [SMALL_STATE(5610)] = 219498,
  [SMALL_STATE(5611)] = 219516,
  [SMALL_STATE(5612)] = 219532,
  [SMALL_STATE(5613)] = 219554,
  [SMALL_STATE(5614)] = 219570,
  [SMALL_STATE(5615)] = 219586,
  [SMALL_STATE(5616)] = 219614,
  [SMALL_STATE(5617)] = 219642,
  [SMALL_STATE(5618)] = 219658,
  [SMALL_STATE(5619)] = 219678,
  [SMALL_STATE(5620)] = 219700,
  [SMALL_STATE(5621)] = 219728,
  [SMALL_STATE(5622)] = 219744,
  [SMALL_STATE(5623)] = 219766,
  [SMALL_STATE(5624)] = 219794,
  [SMALL_STATE(5625)] = 219822,
  [SMALL_STATE(5626)] = 219850,
  [SMALL_STATE(5627)] = 219866,
  [SMALL_STATE(5628)] = 219882,
  [SMALL_STATE(5629)] = 219898,
  [SMALL_STATE(5630)] = 219918,
  [SMALL_STATE(5631)] = 219934,
  [SMALL_STATE(5632)] = 219950,
  [SMALL_STATE(5633)] = 219972,
  [SMALL_STATE(5634)] = 219988,
  [SMALL_STATE(5635)] = 220016,
  [SMALL_STATE(5636)] = 220044,
  [SMALL_STATE(5637)] = 220072,
  [SMALL_STATE(5638)] = 220094,
  [SMALL_STATE(5639)] = 220110,
  [SMALL_STATE(5640)] = 220126,
  [SMALL_STATE(5641)] = 220142,
  [SMALL_STATE(5642)] = 220166,
  [SMALL_STATE(5643)] = 220182,
  [SMALL_STATE(5644)] = 220204,
  [SMALL_STATE(5645)] = 220226,
  [SMALL_STATE(5646)] = 220246,
  [SMALL_STATE(5647)] = 220268,
  [SMALL_STATE(5648)] = 220288,
  [SMALL_STATE(5649)] = 220310,
  [SMALL_STATE(5650)] = 220328,
  [SMALL_STATE(5651)] = 220348,
  [SMALL_STATE(5652)] = 220364,
  [SMALL_STATE(5653)] = 220386,
  [SMALL_STATE(5654)] = 220402,
  [SMALL_STATE(5655)] = 220418,
  [SMALL_STATE(5656)] = 220436,
  [SMALL_STATE(5657)] = 220464,
  [SMALL_STATE(5658)] = 220480,
  [SMALL_STATE(5659)] = 220496,
  [SMALL_STATE(5660)] = 220524,
  [SMALL_STATE(5661)] = 220540,
  [SMALL_STATE(5662)] = 220560,
  [SMALL_STATE(5663)] = 220578,
  [SMALL_STATE(5664)] = 220598,
  [SMALL_STATE(5665)] = 220620,
  [SMALL_STATE(5666)] = 220648,
  [SMALL_STATE(5667)] = 220664,
  [SMALL_STATE(5668)] = 220686,
  [SMALL_STATE(5669)] = 220702,
  [SMALL_STATE(5670)] = 220718,
  [SMALL_STATE(5671)] = 220738,
  [SMALL_STATE(5672)] = 220754,
  [SMALL_STATE(5673)] = 220770,
  [SMALL_STATE(5674)] = 220798,
  [SMALL_STATE(5675)] = 220814,
  [SMALL_STATE(5676)] = 220830,
  [SMALL_STATE(5677)] = 220846,
  [SMALL_STATE(5678)] = 220868,
  [SMALL_STATE(5679)] = 220890,
  [SMALL_STATE(5680)] = 220906,
  [SMALL_STATE(5681)] = 220922,
  [SMALL_STATE(5682)] = 220938,
  [SMALL_STATE(5683)] = 220958,
  [SMALL_STATE(5684)] = 220974,
  [SMALL_STATE(5685)] = 220996,
  [SMALL_STATE(5686)] = 221018,
  [SMALL_STATE(5687)] = 221040,
  [SMALL_STATE(5688)] = 221056,
  [SMALL_STATE(5689)] = 221078,
  [SMALL_STATE(5690)] = 221100,
  [SMALL_STATE(5691)] = 221116,
  [SMALL_STATE(5692)] = 221132,
  [SMALL_STATE(5693)] = 221154,
  [SMALL_STATE(5694)] = 221176,
  [SMALL_STATE(5695)] = 221198,
  [SMALL_STATE(5696)] = 221220,
  [SMALL_STATE(5697)] = 221242,
  [SMALL_STATE(5698)] = 221264,
  [SMALL_STATE(5699)] = 221284,
  [SMALL_STATE(5700)] = 221306,
  [SMALL_STATE(5701)] = 221328,
  [SMALL_STATE(5702)] = 221349,
  [SMALL_STATE(5703)] = 221368,
  [SMALL_STATE(5704)] = 221383,
  [SMALL_STATE(5705)] = 221404,
  [SMALL_STATE(5706)] = 221423,
  [SMALL_STATE(5707)] = 221442,
  [SMALL_STATE(5708)] = 221459,
  [SMALL_STATE(5709)] = 221474,
  [SMALL_STATE(5710)] = 221495,
  [SMALL_STATE(5711)] = 221512,
  [SMALL_STATE(5712)] = 221527,
  [SMALL_STATE(5713)] = 221548,
  [SMALL_STATE(5714)] = 221569,
  [SMALL_STATE(5715)] = 221584,
  [SMALL_STATE(5716)] = 221605,
  [SMALL_STATE(5717)] = 221624,
  [SMALL_STATE(5718)] = 221645,
  [SMALL_STATE(5719)] = 221666,
  [SMALL_STATE(5720)] = 221687,
  [SMALL_STATE(5721)] = 221702,
  [SMALL_STATE(5722)] = 221717,
  [SMALL_STATE(5723)] = 221738,
  [SMALL_STATE(5724)] = 221753,
  [SMALL_STATE(5725)] = 221774,
  [SMALL_STATE(5726)] = 221793,
  [SMALL_STATE(5727)] = 221812,
  [SMALL_STATE(5728)] = 221829,
  [SMALL_STATE(5729)] = 221850,
  [SMALL_STATE(5730)] = 221865,
  [SMALL_STATE(5731)] = 221888,
  [SMALL_STATE(5732)] = 221907,
  [SMALL_STATE(5733)] = 221926,
  [SMALL_STATE(5734)] = 221945,
  [SMALL_STATE(5735)] = 221964,
  [SMALL_STATE(5736)] = 221983,
  [SMALL_STATE(5737)] = 222004,
  [SMALL_STATE(5738)] = 222025,
  [SMALL_STATE(5739)] = 222040,
  [SMALL_STATE(5740)] = 222055,
  [SMALL_STATE(5741)] = 222070,
  [SMALL_STATE(5742)] = 222085,
  [SMALL_STATE(5743)] = 222106,
  [SMALL_STATE(5744)] = 222129,
  [SMALL_STATE(5745)] = 222150,
  [SMALL_STATE(5746)] = 222171,
  [SMALL_STATE(5747)] = 222190,
  [SMALL_STATE(5748)] = 222211,
  [SMALL_STATE(5749)] = 222236,
  [SMALL_STATE(5750)] = 222255,
  [SMALL_STATE(5751)] = 222276,
  [SMALL_STATE(5752)] = 222291,
  [SMALL_STATE(5753)] = 222306,
  [SMALL_STATE(5754)] = 222321,
  [SMALL_STATE(5755)] = 222336,
  [SMALL_STATE(5756)] = 222357,
  [SMALL_STATE(5757)] = 222376,
  [SMALL_STATE(5758)] = 222391,
  [SMALL_STATE(5759)] = 222406,
  [SMALL_STATE(5760)] = 222427,
  [SMALL_STATE(5761)] = 222446,
  [SMALL_STATE(5762)] = 222465,
  [SMALL_STATE(5763)] = 222480,
  [SMALL_STATE(5764)] = 222495,
  [SMALL_STATE(5765)] = 222510,
  [SMALL_STATE(5766)] = 222531,
  [SMALL_STATE(5767)] = 222550,
  [SMALL_STATE(5768)] = 222565,
  [SMALL_STATE(5769)] = 222586,
  [SMALL_STATE(5770)] = 222607,
  [SMALL_STATE(5771)] = 222622,
  [SMALL_STATE(5772)] = 222643,
  [SMALL_STATE(5773)] = 222658,
  [SMALL_STATE(5774)] = 222673,
  [SMALL_STATE(5775)] = 222692,
  [SMALL_STATE(5776)] = 222711,
  [SMALL_STATE(5777)] = 222726,
  [SMALL_STATE(5778)] = 222747,
  [SMALL_STATE(5779)] = 222768,
  [SMALL_STATE(5780)] = 222791,
  [SMALL_STATE(5781)] = 222812,
  [SMALL_STATE(5782)] = 222833,
  [SMALL_STATE(5783)] = 222848,
  [SMALL_STATE(5784)] = 222869,
  [SMALL_STATE(5785)] = 222890,
  [SMALL_STATE(5786)] = 222905,
  [SMALL_STATE(5787)] = 222930,
  [SMALL_STATE(5788)] = 222951,
  [SMALL_STATE(5789)] = 222966,
  [SMALL_STATE(5790)] = 222987,
  [SMALL_STATE(5791)] = 223008,
  [SMALL_STATE(5792)] = 223027,
  [SMALL_STATE(5793)] = 223046,
  [SMALL_STATE(5794)] = 223069,
  [SMALL_STATE(5795)] = 223088,
  [SMALL_STATE(5796)] = 223103,
  [SMALL_STATE(5797)] = 223118,
  [SMALL_STATE(5798)] = 223133,
  [SMALL_STATE(5799)] = 223154,
  [SMALL_STATE(5800)] = 223175,
  [SMALL_STATE(5801)] = 223196,
  [SMALL_STATE(5802)] = 223217,
  [SMALL_STATE(5803)] = 223236,
  [SMALL_STATE(5804)] = 223257,
  [SMALL_STATE(5805)] = 223274,
  [SMALL_STATE(5806)] = 223289,
  [SMALL_STATE(5807)] = 223310,
  [SMALL_STATE(5808)] = 223329,
  [SMALL_STATE(5809)] = 223346,
  [SMALL_STATE(5810)] = 223363,
  [SMALL_STATE(5811)] = 223378,
  [SMALL_STATE(5812)] = 223393,
  [SMALL_STATE(5813)] = 223414,
  [SMALL_STATE(5814)] = 223429,
  [SMALL_STATE(5815)] = 223450,
  [SMALL_STATE(5816)] = 223469,
  [SMALL_STATE(5817)] = 223490,
  [SMALL_STATE(5818)] = 223511,
  [SMALL_STATE(5819)] = 223526,
  [SMALL_STATE(5820)] = 223547,
  [SMALL_STATE(5821)] = 223568,
  [SMALL_STATE(5822)] = 223589,
  [SMALL_STATE(5823)] = 223610,
  [SMALL_STATE(5824)] = 223625,
  [SMALL_STATE(5825)] = 223640,
  [SMALL_STATE(5826)] = 223655,
  [SMALL_STATE(5827)] = 223676,
  [SMALL_STATE(5828)] = 223701,
  [SMALL_STATE(5829)] = 223722,
  [SMALL_STATE(5830)] = 223743,
  [SMALL_STATE(5831)] = 223764,
  [SMALL_STATE(5832)] = 223779,
  [SMALL_STATE(5833)] = 223794,
  [SMALL_STATE(5834)] = 223809,
  [SMALL_STATE(5835)] = 223830,
  [SMALL_STATE(5836)] = 223845,
  [SMALL_STATE(5837)] = 223860,
  [SMALL_STATE(5838)] = 223881,
  [SMALL_STATE(5839)] = 223896,
  [SMALL_STATE(5840)] = 223911,
  [SMALL_STATE(5841)] = 223932,
  [SMALL_STATE(5842)] = 223953,
  [SMALL_STATE(5843)] = 223974,
  [SMALL_STATE(5844)] = 223993,
  [SMALL_STATE(5845)] = 224014,
  [SMALL_STATE(5846)] = 224039,
  [SMALL_STATE(5847)] = 224060,
  [SMALL_STATE(5848)] = 224075,
  [SMALL_STATE(5849)] = 224090,
  [SMALL_STATE(5850)] = 224111,
  [SMALL_STATE(5851)] = 224132,
  [SMALL_STATE(5852)] = 224151,
  [SMALL_STATE(5853)] = 224170,
  [SMALL_STATE(5854)] = 224187,
  [SMALL_STATE(5855)] = 224208,
  [SMALL_STATE(5856)] = 224227,
  [SMALL_STATE(5857)] = 224248,
  [SMALL_STATE(5858)] = 224267,
  [SMALL_STATE(5859)] = 224282,
  [SMALL_STATE(5860)] = 224303,
  [SMALL_STATE(5861)] = 224318,
  [SMALL_STATE(5862)] = 224337,
  [SMALL_STATE(5863)] = 224354,
  [SMALL_STATE(5864)] = 224375,
  [SMALL_STATE(5865)] = 224394,
  [SMALL_STATE(5866)] = 224415,
  [SMALL_STATE(5867)] = 224436,
  [SMALL_STATE(5868)] = 224457,
  [SMALL_STATE(5869)] = 224478,
  [SMALL_STATE(5870)] = 224497,
  [SMALL_STATE(5871)] = 224518,
  [SMALL_STATE(5872)] = 224541,
  [SMALL_STATE(5873)] = 224558,
  [SMALL_STATE(5874)] = 224573,
  [SMALL_STATE(5875)] = 224587,
  [SMALL_STATE(5876)] = 224607,
  [SMALL_STATE(5877)] = 224627,
  [SMALL_STATE(5878)] = 224645,
  [SMALL_STATE(5879)] = 224663,
  [SMALL_STATE(5880)] = 224683,
  [SMALL_STATE(5881)] = 224705,
  [SMALL_STATE(5882)] = 224719,
  [SMALL_STATE(5883)] = 224733,
  [SMALL_STATE(5884)] = 224751,
  [SMALL_STATE(5885)] = 224769,
  [SMALL_STATE(5886)] = 224787,
  [SMALL_STATE(5887)] = 224805,
  [SMALL_STATE(5888)] = 224819,
  [SMALL_STATE(5889)] = 224837,
  [SMALL_STATE(5890)] = 224851,
  [SMALL_STATE(5891)] = 224869,
  [SMALL_STATE(5892)] = 224883,
  [SMALL_STATE(5893)] = 224897,
  [SMALL_STATE(5894)] = 224919,
  [SMALL_STATE(5895)] = 224933,
  [SMALL_STATE(5896)] = 224955,
  [SMALL_STATE(5897)] = 224977,
  [SMALL_STATE(5898)] = 224993,
  [SMALL_STATE(5899)] = 225011,
  [SMALL_STATE(5900)] = 225033,
  [SMALL_STATE(5901)] = 225051,
  [SMALL_STATE(5902)] = 225071,
  [SMALL_STATE(5903)] = 225085,
  [SMALL_STATE(5904)] = 225107,
  [SMALL_STATE(5905)] = 225129,
  [SMALL_STATE(5906)] = 225143,
  [SMALL_STATE(5907)] = 225163,
  [SMALL_STATE(5908)] = 225185,
  [SMALL_STATE(5909)] = 225199,
  [SMALL_STATE(5910)] = 225213,
  [SMALL_STATE(5911)] = 225227,
  [SMALL_STATE(5912)] = 225241,
  [SMALL_STATE(5913)] = 225255,
  [SMALL_STATE(5914)] = 225273,
  [SMALL_STATE(5915)] = 225291,
  [SMALL_STATE(5916)] = 225313,
  [SMALL_STATE(5917)] = 225335,
  [SMALL_STATE(5918)] = 225349,
  [SMALL_STATE(5919)] = 225367,
  [SMALL_STATE(5920)] = 225389,
  [SMALL_STATE(5921)] = 225407,
  [SMALL_STATE(5922)] = 225421,
  [SMALL_STATE(5923)] = 225439,
  [SMALL_STATE(5924)] = 225461,
  [SMALL_STATE(5925)] = 225475,
  [SMALL_STATE(5926)] = 225493,
  [SMALL_STATE(5927)] = 225511,
  [SMALL_STATE(5928)] = 225525,
  [SMALL_STATE(5929)] = 225543,
  [SMALL_STATE(5930)] = 225565,
  [SMALL_STATE(5931)] = 225583,
  [SMALL_STATE(5932)] = 225601,
  [SMALL_STATE(5933)] = 225623,
  [SMALL_STATE(5934)] = 225637,
  [SMALL_STATE(5935)] = 225655,
  [SMALL_STATE(5936)] = 225677,
  [SMALL_STATE(5937)] = 225699,
  [SMALL_STATE(5938)] = 225717,
  [SMALL_STATE(5939)] = 225735,
  [SMALL_STATE(5940)] = 225755,
  [SMALL_STATE(5941)] = 225777,
  [SMALL_STATE(5942)] = 225795,
  [SMALL_STATE(5943)] = 225813,
  [SMALL_STATE(5944)] = 225831,
  [SMALL_STATE(5945)] = 225851,
  [SMALL_STATE(5946)] = 225873,
  [SMALL_STATE(5947)] = 225895,
  [SMALL_STATE(5948)] = 225915,
  [SMALL_STATE(5949)] = 225937,
  [SMALL_STATE(5950)] = 225959,
  [SMALL_STATE(5951)] = 225977,
  [SMALL_STATE(5952)] = 225999,
  [SMALL_STATE(5953)] = 226021,
  [SMALL_STATE(5954)] = 226041,
  [SMALL_STATE(5955)] = 226061,
  [SMALL_STATE(5956)] = 226075,
  [SMALL_STATE(5957)] = 226093,
  [SMALL_STATE(5958)] = 226111,
  [SMALL_STATE(5959)] = 226125,
  [SMALL_STATE(5960)] = 226139,
  [SMALL_STATE(5961)] = 226157,
  [SMALL_STATE(5962)] = 226175,
  [SMALL_STATE(5963)] = 226189,
  [SMALL_STATE(5964)] = 226203,
  [SMALL_STATE(5965)] = 226217,
  [SMALL_STATE(5966)] = 226231,
  [SMALL_STATE(5967)] = 226253,
  [SMALL_STATE(5968)] = 226271,
  [SMALL_STATE(5969)] = 226291,
  [SMALL_STATE(5970)] = 226309,
  [SMALL_STATE(5971)] = 226323,
  [SMALL_STATE(5972)] = 226341,
  [SMALL_STATE(5973)] = 226363,
  [SMALL_STATE(5974)] = 226381,
  [SMALL_STATE(5975)] = 226399,
  [SMALL_STATE(5976)] = 226419,
  [SMALL_STATE(5977)] = 226437,
  [SMALL_STATE(5978)] = 226451,
  [SMALL_STATE(5979)] = 226469,
  [SMALL_STATE(5980)] = 226491,
  [SMALL_STATE(5981)] = 226513,
  [SMALL_STATE(5982)] = 226531,
  [SMALL_STATE(5983)] = 226547,
  [SMALL_STATE(5984)] = 226569,
  [SMALL_STATE(5985)] = 226589,
  [SMALL_STATE(5986)] = 226607,
  [SMALL_STATE(5987)] = 226629,
  [SMALL_STATE(5988)] = 226651,
  [SMALL_STATE(5989)] = 226669,
  [SMALL_STATE(5990)] = 226687,
  [SMALL_STATE(5991)] = 226709,
  [SMALL_STATE(5992)] = 226727,
  [SMALL_STATE(5993)] = 226745,
  [SMALL_STATE(5994)] = 226765,
  [SMALL_STATE(5995)] = 226783,
  [SMALL_STATE(5996)] = 226805,
  [SMALL_STATE(5997)] = 226825,
  [SMALL_STATE(5998)] = 226847,
  [SMALL_STATE(5999)] = 226869,
  [SMALL_STATE(6000)] = 226887,
  [SMALL_STATE(6001)] = 226909,
  [SMALL_STATE(6002)] = 226927,
  [SMALL_STATE(6003)] = 226945,
  [SMALL_STATE(6004)] = 226963,
  [SMALL_STATE(6005)] = 226983,
  [SMALL_STATE(6006)] = 227001,
  [SMALL_STATE(6007)] = 227021,
  [SMALL_STATE(6008)] = 227039,
  [SMALL_STATE(6009)] = 227057,
  [SMALL_STATE(6010)] = 227077,
  [SMALL_STATE(6011)] = 227091,
  [SMALL_STATE(6012)] = 227111,
  [SMALL_STATE(6013)] = 227129,
  [SMALL_STATE(6014)] = 227147,
  [SMALL_STATE(6015)] = 227161,
  [SMALL_STATE(6016)] = 227181,
  [SMALL_STATE(6017)] = 227195,
  [SMALL_STATE(6018)] = 227209,
  [SMALL_STATE(6019)] = 227227,
  [SMALL_STATE(6020)] = 227245,
  [SMALL_STATE(6021)] = 227265,
  [SMALL_STATE(6022)] = 227285,
  [SMALL_STATE(6023)] = 227305,
  [SMALL_STATE(6024)] = 227323,
  [SMALL_STATE(6025)] = 227345,
  [SMALL_STATE(6026)] = 227359,
  [SMALL_STATE(6027)] = 227379,
  [SMALL_STATE(6028)] = 227399,
  [SMALL_STATE(6029)] = 227413,
  [SMALL_STATE(6030)] = 227435,
  [SMALL_STATE(6031)] = 227453,
  [SMALL_STATE(6032)] = 227475,
  [SMALL_STATE(6033)] = 227493,
  [SMALL_STATE(6034)] = 227507,
  [SMALL_STATE(6035)] = 227527,
  [SMALL_STATE(6036)] = 227545,
  [SMALL_STATE(6037)] = 227565,
  [SMALL_STATE(6038)] = 227585,
  [SMALL_STATE(6039)] = 227599,
  [SMALL_STATE(6040)] = 227613,
  [SMALL_STATE(6041)] = 227627,
  [SMALL_STATE(6042)] = 227641,
  [SMALL_STATE(6043)] = 227661,
  [SMALL_STATE(6044)] = 227675,
  [SMALL_STATE(6045)] = 227689,
  [SMALL_STATE(6046)] = 227709,
  [SMALL_STATE(6047)] = 227729,
  [SMALL_STATE(6048)] = 227747,
  [SMALL_STATE(6049)] = 227761,
  [SMALL_STATE(6050)] = 227781,
  [SMALL_STATE(6051)] = 227799,
  [SMALL_STATE(6052)] = 227819,
  [SMALL_STATE(6053)] = 227839,
  [SMALL_STATE(6054)] = 227853,
  [SMALL_STATE(6055)] = 227873,
  [SMALL_STATE(6056)] = 227887,
  [SMALL_STATE(6057)] = 227905,
  [SMALL_STATE(6058)] = 227927,
  [SMALL_STATE(6059)] = 227947,
  [SMALL_STATE(6060)] = 227967,
  [SMALL_STATE(6061)] = 227985,
  [SMALL_STATE(6062)] = 228005,
  [SMALL_STATE(6063)] = 228019,
  [SMALL_STATE(6064)] = 228033,
  [SMALL_STATE(6065)] = 228053,
  [SMALL_STATE(6066)] = 228071,
  [SMALL_STATE(6067)] = 228089,
  [SMALL_STATE(6068)] = 228111,
  [SMALL_STATE(6069)] = 228129,
  [SMALL_STATE(6070)] = 228147,
  [SMALL_STATE(6071)] = 228167,
  [SMALL_STATE(6072)] = 228181,
  [SMALL_STATE(6073)] = 228201,
  [SMALL_STATE(6074)] = 228221,
  [SMALL_STATE(6075)] = 228235,
  [SMALL_STATE(6076)] = 228249,
  [SMALL_STATE(6077)] = 228263,
  [SMALL_STATE(6078)] = 228277,
  [SMALL_STATE(6079)] = 228297,
  [SMALL_STATE(6080)] = 228319,
  [SMALL_STATE(6081)] = 228341,
  [SMALL_STATE(6082)] = 228361,
  [SMALL_STATE(6083)] = 228381,
  [SMALL_STATE(6084)] = 228399,
  [SMALL_STATE(6085)] = 228419,
  [SMALL_STATE(6086)] = 228437,
  [SMALL_STATE(6087)] = 228459,
  [SMALL_STATE(6088)] = 228479,
  [SMALL_STATE(6089)] = 228497,
  [SMALL_STATE(6090)] = 228517,
  [SMALL_STATE(6091)] = 228537,
  [SMALL_STATE(6092)] = 228553,
  [SMALL_STATE(6093)] = 228567,
  [SMALL_STATE(6094)] = 228585,
  [SMALL_STATE(6095)] = 228605,
  [SMALL_STATE(6096)] = 228627,
  [SMALL_STATE(6097)] = 228640,
  [SMALL_STATE(6098)] = 228653,
  [SMALL_STATE(6099)] = 228666,
  [SMALL_STATE(6100)] = 228685,
  [SMALL_STATE(6101)] = 228698,
  [SMALL_STATE(6102)] = 228711,
  [SMALL_STATE(6103)] = 228724,
  [SMALL_STATE(6104)] = 228737,
  [SMALL_STATE(6105)] = 228750,
  [SMALL_STATE(6106)] = 228763,
  [SMALL_STATE(6107)] = 228782,
  [SMALL_STATE(6108)] = 228795,
  [SMALL_STATE(6109)] = 228808,
  [SMALL_STATE(6110)] = 228827,
  [SMALL_STATE(6111)] = 228840,
  [SMALL_STATE(6112)] = 228859,
  [SMALL_STATE(6113)] = 228872,
  [SMALL_STATE(6114)] = 228891,
  [SMALL_STATE(6115)] = 228904,
  [SMALL_STATE(6116)] = 228923,
  [SMALL_STATE(6117)] = 228936,
  [SMALL_STATE(6118)] = 228951,
  [SMALL_STATE(6119)] = 228970,
  [SMALL_STATE(6120)] = 228989,
  [SMALL_STATE(6121)] = 229008,
  [SMALL_STATE(6122)] = 229027,
  [SMALL_STATE(6123)] = 229042,
  [SMALL_STATE(6124)] = 229061,
  [SMALL_STATE(6125)] = 229074,
  [SMALL_STATE(6126)] = 229087,
  [SMALL_STATE(6127)] = 229100,
  [SMALL_STATE(6128)] = 229119,
  [SMALL_STATE(6129)] = 229138,
  [SMALL_STATE(6130)] = 229151,
  [SMALL_STATE(6131)] = 229170,
  [SMALL_STATE(6132)] = 229183,
  [SMALL_STATE(6133)] = 229202,
  [SMALL_STATE(6134)] = 229215,
  [SMALL_STATE(6135)] = 229234,
  [SMALL_STATE(6136)] = 229253,
  [SMALL_STATE(6137)] = 229266,
  [SMALL_STATE(6138)] = 229285,
  [SMALL_STATE(6139)] = 229298,
  [SMALL_STATE(6140)] = 229311,
  [SMALL_STATE(6141)] = 229324,
  [SMALL_STATE(6142)] = 229337,
  [SMALL_STATE(6143)] = 229350,
  [SMALL_STATE(6144)] = 229363,
  [SMALL_STATE(6145)] = 229378,
  [SMALL_STATE(6146)] = 229391,
  [SMALL_STATE(6147)] = 229410,
  [SMALL_STATE(6148)] = 229423,
  [SMALL_STATE(6149)] = 229442,
  [SMALL_STATE(6150)] = 229455,
  [SMALL_STATE(6151)] = 229468,
  [SMALL_STATE(6152)] = 229487,
  [SMALL_STATE(6153)] = 229500,
  [SMALL_STATE(6154)] = 229519,
  [SMALL_STATE(6155)] = 229532,
  [SMALL_STATE(6156)] = 229545,
  [SMALL_STATE(6157)] = 229564,
  [SMALL_STATE(6158)] = 229577,
  [SMALL_STATE(6159)] = 229596,
  [SMALL_STATE(6160)] = 229615,
  [SMALL_STATE(6161)] = 229628,
  [SMALL_STATE(6162)] = 229641,
  [SMALL_STATE(6163)] = 229660,
  [SMALL_STATE(6164)] = 229675,
  [SMALL_STATE(6165)] = 229688,
  [SMALL_STATE(6166)] = 229707,
  [SMALL_STATE(6167)] = 229720,
  [SMALL_STATE(6168)] = 229739,
  [SMALL_STATE(6169)] = 229752,
  [SMALL_STATE(6170)] = 229765,
  [SMALL_STATE(6171)] = 229784,
  [SMALL_STATE(6172)] = 229803,
  [SMALL_STATE(6173)] = 229816,
  [SMALL_STATE(6174)] = 229829,
  [SMALL_STATE(6175)] = 229842,
  [SMALL_STATE(6176)] = 229855,
  [SMALL_STATE(6177)] = 229868,
  [SMALL_STATE(6178)] = 229881,
  [SMALL_STATE(6179)] = 229894,
  [SMALL_STATE(6180)] = 229907,
  [SMALL_STATE(6181)] = 229920,
  [SMALL_STATE(6182)] = 229933,
  [SMALL_STATE(6183)] = 229952,
  [SMALL_STATE(6184)] = 229965,
  [SMALL_STATE(6185)] = 229984,
  [SMALL_STATE(6186)] = 229997,
  [SMALL_STATE(6187)] = 230016,
  [SMALL_STATE(6188)] = 230029,
  [SMALL_STATE(6189)] = 230048,
  [SMALL_STATE(6190)] = 230061,
  [SMALL_STATE(6191)] = 230074,
  [SMALL_STATE(6192)] = 230087,
  [SMALL_STATE(6193)] = 230100,
  [SMALL_STATE(6194)] = 230113,
  [SMALL_STATE(6195)] = 230126,
  [SMALL_STATE(6196)] = 230139,
  [SMALL_STATE(6197)] = 230152,
  [SMALL_STATE(6198)] = 230165,
  [SMALL_STATE(6199)] = 230178,
  [SMALL_STATE(6200)] = 230197,
  [SMALL_STATE(6201)] = 230210,
  [SMALL_STATE(6202)] = 230223,
  [SMALL_STATE(6203)] = 230236,
  [SMALL_STATE(6204)] = 230255,
  [SMALL_STATE(6205)] = 230268,
  [SMALL_STATE(6206)] = 230285,
  [SMALL_STATE(6207)] = 230298,
  [SMALL_STATE(6208)] = 230311,
  [SMALL_STATE(6209)] = 230324,
  [SMALL_STATE(6210)] = 230337,
  [SMALL_STATE(6211)] = 230350,
  [SMALL_STATE(6212)] = 230363,
  [SMALL_STATE(6213)] = 230376,
  [SMALL_STATE(6214)] = 230389,
  [SMALL_STATE(6215)] = 230402,
  [SMALL_STATE(6216)] = 230419,
  [SMALL_STATE(6217)] = 230438,
  [SMALL_STATE(6218)] = 230451,
  [SMALL_STATE(6219)] = 230464,
  [SMALL_STATE(6220)] = 230477,
  [SMALL_STATE(6221)] = 230490,
  [SMALL_STATE(6222)] = 230509,
  [SMALL_STATE(6223)] = 230522,
  [SMALL_STATE(6224)] = 230535,
  [SMALL_STATE(6225)] = 230554,
  [SMALL_STATE(6226)] = 230567,
  [SMALL_STATE(6227)] = 230586,
  [SMALL_STATE(6228)] = 230599,
  [SMALL_STATE(6229)] = 230618,
  [SMALL_STATE(6230)] = 230631,
  [SMALL_STATE(6231)] = 230644,
  [SMALL_STATE(6232)] = 230657,
  [SMALL_STATE(6233)] = 230670,
  [SMALL_STATE(6234)] = 230683,
  [SMALL_STATE(6235)] = 230700,
  [SMALL_STATE(6236)] = 230719,
  [SMALL_STATE(6237)] = 230738,
  [SMALL_STATE(6238)] = 230757,
  [SMALL_STATE(6239)] = 230770,
  [SMALL_STATE(6240)] = 230789,
  [SMALL_STATE(6241)] = 230802,
  [SMALL_STATE(6242)] = 230815,
  [SMALL_STATE(6243)] = 230832,
  [SMALL_STATE(6244)] = 230845,
  [SMALL_STATE(6245)] = 230858,
  [SMALL_STATE(6246)] = 230871,
  [SMALL_STATE(6247)] = 230890,
  [SMALL_STATE(6248)] = 230909,
  [SMALL_STATE(6249)] = 230922,
  [SMALL_STATE(6250)] = 230935,
  [SMALL_STATE(6251)] = 230954,
  [SMALL_STATE(6252)] = 230969,
  [SMALL_STATE(6253)] = 230982,
  [SMALL_STATE(6254)] = 231001,
  [SMALL_STATE(6255)] = 231020,
  [SMALL_STATE(6256)] = 231039,
  [SMALL_STATE(6257)] = 231058,
  [SMALL_STATE(6258)] = 231071,
  [SMALL_STATE(6259)] = 231090,
  [SMALL_STATE(6260)] = 231103,
  [SMALL_STATE(6261)] = 231122,
  [SMALL_STATE(6262)] = 231135,
  [SMALL_STATE(6263)] = 231154,
  [SMALL_STATE(6264)] = 231167,
  [SMALL_STATE(6265)] = 231180,
  [SMALL_STATE(6266)] = 231193,
  [SMALL_STATE(6267)] = 231212,
  [SMALL_STATE(6268)] = 231231,
  [SMALL_STATE(6269)] = 231244,
  [SMALL_STATE(6270)] = 231257,
  [SMALL_STATE(6271)] = 231270,
  [SMALL_STATE(6272)] = 231287,
  [SMALL_STATE(6273)] = 231300,
  [SMALL_STATE(6274)] = 231319,
  [SMALL_STATE(6275)] = 231332,
  [SMALL_STATE(6276)] = 231351,
  [SMALL_STATE(6277)] = 231364,
  [SMALL_STATE(6278)] = 231383,
  [SMALL_STATE(6279)] = 231396,
  [SMALL_STATE(6280)] = 231415,
  [SMALL_STATE(6281)] = 231434,
  [SMALL_STATE(6282)] = 231447,
  [SMALL_STATE(6283)] = 231466,
  [SMALL_STATE(6284)] = 231485,
  [SMALL_STATE(6285)] = 231498,
  [SMALL_STATE(6286)] = 231511,
  [SMALL_STATE(6287)] = 231524,
  [SMALL_STATE(6288)] = 231537,
  [SMALL_STATE(6289)] = 231550,
  [SMALL_STATE(6290)] = 231569,
  [SMALL_STATE(6291)] = 231582,
  [SMALL_STATE(6292)] = 231601,
  [SMALL_STATE(6293)] = 231620,
  [SMALL_STATE(6294)] = 231633,
  [SMALL_STATE(6295)] = 231646,
  [SMALL_STATE(6296)] = 231665,
  [SMALL_STATE(6297)] = 231678,
  [SMALL_STATE(6298)] = 231691,
  [SMALL_STATE(6299)] = 231704,
  [SMALL_STATE(6300)] = 231723,
  [SMALL_STATE(6301)] = 231742,
  [SMALL_STATE(6302)] = 231755,
  [SMALL_STATE(6303)] = 231768,
  [SMALL_STATE(6304)] = 231781,
  [SMALL_STATE(6305)] = 231794,
  [SMALL_STATE(6306)] = 231807,
  [SMALL_STATE(6307)] = 231820,
  [SMALL_STATE(6308)] = 231839,
  [SMALL_STATE(6309)] = 231858,
  [SMALL_STATE(6310)] = 231871,
  [SMALL_STATE(6311)] = 231884,
  [SMALL_STATE(6312)] = 231903,
  [SMALL_STATE(6313)] = 231922,
  [SMALL_STATE(6314)] = 231941,
  [SMALL_STATE(6315)] = 231960,
  [SMALL_STATE(6316)] = 231979,
  [SMALL_STATE(6317)] = 231998,
  [SMALL_STATE(6318)] = 232011,
  [SMALL_STATE(6319)] = 232030,
  [SMALL_STATE(6320)] = 232043,
  [SMALL_STATE(6321)] = 232056,
  [SMALL_STATE(6322)] = 232075,
  [SMALL_STATE(6323)] = 232088,
  [SMALL_STATE(6324)] = 232101,
  [SMALL_STATE(6325)] = 232120,
  [SMALL_STATE(6326)] = 232133,
  [SMALL_STATE(6327)] = 232152,
  [SMALL_STATE(6328)] = 232171,
  [SMALL_STATE(6329)] = 232190,
  [SMALL_STATE(6330)] = 232203,
  [SMALL_STATE(6331)] = 232222,
  [SMALL_STATE(6332)] = 232235,
  [SMALL_STATE(6333)] = 232248,
  [SMALL_STATE(6334)] = 232267,
  [SMALL_STATE(6335)] = 232280,
  [SMALL_STATE(6336)] = 232293,
  [SMALL_STATE(6337)] = 232312,
  [SMALL_STATE(6338)] = 232325,
  [SMALL_STATE(6339)] = 232338,
  [SMALL_STATE(6340)] = 232351,
  [SMALL_STATE(6341)] = 232370,
  [SMALL_STATE(6342)] = 232387,
  [SMALL_STATE(6343)] = 232400,
  [SMALL_STATE(6344)] = 232419,
  [SMALL_STATE(6345)] = 232438,
  [SMALL_STATE(6346)] = 232451,
  [SMALL_STATE(6347)] = 232464,
  [SMALL_STATE(6348)] = 232477,
  [SMALL_STATE(6349)] = 232490,
  [SMALL_STATE(6350)] = 232503,
  [SMALL_STATE(6351)] = 232522,
  [SMALL_STATE(6352)] = 232537,
  [SMALL_STATE(6353)] = 232550,
  [SMALL_STATE(6354)] = 232569,
  [SMALL_STATE(6355)] = 232582,
  [SMALL_STATE(6356)] = 232601,
  [SMALL_STATE(6357)] = 232614,
  [SMALL_STATE(6358)] = 232627,
  [SMALL_STATE(6359)] = 232640,
  [SMALL_STATE(6360)] = 232653,
  [SMALL_STATE(6361)] = 232666,
  [SMALL_STATE(6362)] = 232685,
  [SMALL_STATE(6363)] = 232704,
  [SMALL_STATE(6364)] = 232717,
  [SMALL_STATE(6365)] = 232730,
  [SMALL_STATE(6366)] = 232749,
  [SMALL_STATE(6367)] = 232762,
  [SMALL_STATE(6368)] = 232775,
  [SMALL_STATE(6369)] = 232794,
  [SMALL_STATE(6370)] = 232807,
  [SMALL_STATE(6371)] = 232820,
  [SMALL_STATE(6372)] = 232833,
  [SMALL_STATE(6373)] = 232846,
  [SMALL_STATE(6374)] = 232861,
  [SMALL_STATE(6375)] = 232880,
  [SMALL_STATE(6376)] = 232893,
  [SMALL_STATE(6377)] = 232906,
  [SMALL_STATE(6378)] = 232919,
  [SMALL_STATE(6379)] = 232932,
  [SMALL_STATE(6380)] = 232951,
  [SMALL_STATE(6381)] = 232968,
  [SMALL_STATE(6382)] = 232981,
  [SMALL_STATE(6383)] = 232994,
  [SMALL_STATE(6384)] = 233007,
  [SMALL_STATE(6385)] = 233024,
  [SMALL_STATE(6386)] = 233043,
  [SMALL_STATE(6387)] = 233056,
  [SMALL_STATE(6388)] = 233069,
  [SMALL_STATE(6389)] = 233088,
  [SMALL_STATE(6390)] = 233101,
  [SMALL_STATE(6391)] = 233114,
  [SMALL_STATE(6392)] = 233133,
  [SMALL_STATE(6393)] = 233146,
  [SMALL_STATE(6394)] = 233159,
  [SMALL_STATE(6395)] = 233172,
  [SMALL_STATE(6396)] = 233189,
  [SMALL_STATE(6397)] = 233202,
  [SMALL_STATE(6398)] = 233215,
  [SMALL_STATE(6399)] = 233232,
  [SMALL_STATE(6400)] = 233245,
  [SMALL_STATE(6401)] = 233264,
  [SMALL_STATE(6402)] = 233283,
  [SMALL_STATE(6403)] = 233296,
  [SMALL_STATE(6404)] = 233315,
  [SMALL_STATE(6405)] = 233328,
  [SMALL_STATE(6406)] = 233341,
  [SMALL_STATE(6407)] = 233354,
  [SMALL_STATE(6408)] = 233371,
  [SMALL_STATE(6409)] = 233384,
  [SMALL_STATE(6410)] = 233403,
  [SMALL_STATE(6411)] = 233416,
  [SMALL_STATE(6412)] = 233435,
  [SMALL_STATE(6413)] = 233454,
  [SMALL_STATE(6414)] = 233467,
  [SMALL_STATE(6415)] = 233486,
  [SMALL_STATE(6416)] = 233499,
  [SMALL_STATE(6417)] = 233518,
  [SMALL_STATE(6418)] = 233531,
  [SMALL_STATE(6419)] = 233544,
  [SMALL_STATE(6420)] = 233563,
  [SMALL_STATE(6421)] = 233576,
  [SMALL_STATE(6422)] = 233589,
  [SMALL_STATE(6423)] = 233602,
  [SMALL_STATE(6424)] = 233615,
  [SMALL_STATE(6425)] = 233634,
  [SMALL_STATE(6426)] = 233647,
  [SMALL_STATE(6427)] = 233660,
  [SMALL_STATE(6428)] = 233679,
  [SMALL_STATE(6429)] = 233692,
  [SMALL_STATE(6430)] = 233709,
  [SMALL_STATE(6431)] = 233722,
  [SMALL_STATE(6432)] = 233735,
  [SMALL_STATE(6433)] = 233748,
  [SMALL_STATE(6434)] = 233767,
  [SMALL_STATE(6435)] = 233786,
  [SMALL_STATE(6436)] = 233803,
  [SMALL_STATE(6437)] = 233816,
  [SMALL_STATE(6438)] = 233829,
  [SMALL_STATE(6439)] = 233846,
  [SMALL_STATE(6440)] = 233863,
  [SMALL_STATE(6441)] = 233882,
  [SMALL_STATE(6442)] = 233895,
  [SMALL_STATE(6443)] = 233914,
  [SMALL_STATE(6444)] = 233927,
  [SMALL_STATE(6445)] = 233940,
  [SMALL_STATE(6446)] = 233953,
  [SMALL_STATE(6447)] = 233966,
  [SMALL_STATE(6448)] = 233979,
  [SMALL_STATE(6449)] = 233992,
  [SMALL_STATE(6450)] = 234005,
  [SMALL_STATE(6451)] = 234018,
  [SMALL_STATE(6452)] = 234031,
  [SMALL_STATE(6453)] = 234044,
  [SMALL_STATE(6454)] = 234057,
  [SMALL_STATE(6455)] = 234070,
  [SMALL_STATE(6456)] = 234089,
  [SMALL_STATE(6457)] = 234102,
  [SMALL_STATE(6458)] = 234115,
  [SMALL_STATE(6459)] = 234132,
  [SMALL_STATE(6460)] = 234145,
  [SMALL_STATE(6461)] = 234162,
  [SMALL_STATE(6462)] = 234181,
  [SMALL_STATE(6463)] = 234194,
  [SMALL_STATE(6464)] = 234207,
  [SMALL_STATE(6465)] = 234222,
  [SMALL_STATE(6466)] = 234241,
  [SMALL_STATE(6467)] = 234254,
  [SMALL_STATE(6468)] = 234270,
  [SMALL_STATE(6469)] = 234286,
  [SMALL_STATE(6470)] = 234302,
  [SMALL_STATE(6471)] = 234318,
  [SMALL_STATE(6472)] = 234334,
  [SMALL_STATE(6473)] = 234350,
  [SMALL_STATE(6474)] = 234366,
  [SMALL_STATE(6475)] = 234382,
  [SMALL_STATE(6476)] = 234398,
  [SMALL_STATE(6477)] = 234412,
  [SMALL_STATE(6478)] = 234428,
  [SMALL_STATE(6479)] = 234444,
  [SMALL_STATE(6480)] = 234460,
  [SMALL_STATE(6481)] = 234476,
  [SMALL_STATE(6482)] = 234488,
  [SMALL_STATE(6483)] = 234504,
  [SMALL_STATE(6484)] = 234520,
  [SMALL_STATE(6485)] = 234536,
  [SMALL_STATE(6486)] = 234552,
  [SMALL_STATE(6487)] = 234568,
  [SMALL_STATE(6488)] = 234584,
  [SMALL_STATE(6489)] = 234600,
  [SMALL_STATE(6490)] = 234616,
  [SMALL_STATE(6491)] = 234628,
  [SMALL_STATE(6492)] = 234644,
  [SMALL_STATE(6493)] = 234660,
  [SMALL_STATE(6494)] = 234676,
  [SMALL_STATE(6495)] = 234688,
  [SMALL_STATE(6496)] = 234700,
  [SMALL_STATE(6497)] = 234716,
  [SMALL_STATE(6498)] = 234732,
  [SMALL_STATE(6499)] = 234744,
  [SMALL_STATE(6500)] = 234760,
  [SMALL_STATE(6501)] = 234776,
  [SMALL_STATE(6502)] = 234792,
  [SMALL_STATE(6503)] = 234808,
  [SMALL_STATE(6504)] = 234824,
  [SMALL_STATE(6505)] = 234840,
  [SMALL_STATE(6506)] = 234856,
  [SMALL_STATE(6507)] = 234872,
  [SMALL_STATE(6508)] = 234884,
  [SMALL_STATE(6509)] = 234900,
  [SMALL_STATE(6510)] = 234916,
  [SMALL_STATE(6511)] = 234932,
  [SMALL_STATE(6512)] = 234948,
  [SMALL_STATE(6513)] = 234964,
  [SMALL_STATE(6514)] = 234980,
  [SMALL_STATE(6515)] = 234996,
  [SMALL_STATE(6516)] = 235012,
  [SMALL_STATE(6517)] = 235024,
  [SMALL_STATE(6518)] = 235036,
  [SMALL_STATE(6519)] = 235048,
  [SMALL_STATE(6520)] = 235064,
  [SMALL_STATE(6521)] = 235080,
  [SMALL_STATE(6522)] = 235096,
  [SMALL_STATE(6523)] = 235112,
  [SMALL_STATE(6524)] = 235128,
  [SMALL_STATE(6525)] = 235144,
  [SMALL_STATE(6526)] = 235160,
  [SMALL_STATE(6527)] = 235176,
  [SMALL_STATE(6528)] = 235192,
  [SMALL_STATE(6529)] = 235208,
  [SMALL_STATE(6530)] = 235224,
  [SMALL_STATE(6531)] = 235240,
  [SMALL_STATE(6532)] = 235256,
  [SMALL_STATE(6533)] = 235272,
  [SMALL_STATE(6534)] = 235288,
  [SMALL_STATE(6535)] = 235304,
  [SMALL_STATE(6536)] = 235320,
  [SMALL_STATE(6537)] = 235336,
  [SMALL_STATE(6538)] = 235348,
  [SMALL_STATE(6539)] = 235364,
  [SMALL_STATE(6540)] = 235376,
  [SMALL_STATE(6541)] = 235388,
  [SMALL_STATE(6542)] = 235404,
  [SMALL_STATE(6543)] = 235416,
  [SMALL_STATE(6544)] = 235430,
  [SMALL_STATE(6545)] = 235446,
  [SMALL_STATE(6546)] = 235458,
  [SMALL_STATE(6547)] = 235474,
  [SMALL_STATE(6548)] = 235490,
  [SMALL_STATE(6549)] = 235506,
  [SMALL_STATE(6550)] = 235520,
  [SMALL_STATE(6551)] = 235536,
  [SMALL_STATE(6552)] = 235552,
  [SMALL_STATE(6553)] = 235568,
  [SMALL_STATE(6554)] = 235584,
  [SMALL_STATE(6555)] = 235600,
  [SMALL_STATE(6556)] = 235616,
  [SMALL_STATE(6557)] = 235632,
  [SMALL_STATE(6558)] = 235648,
  [SMALL_STATE(6559)] = 235664,
  [SMALL_STATE(6560)] = 235680,
  [SMALL_STATE(6561)] = 235696,
  [SMALL_STATE(6562)] = 235710,
  [SMALL_STATE(6563)] = 235726,
  [SMALL_STATE(6564)] = 235742,
  [SMALL_STATE(6565)] = 235758,
  [SMALL_STATE(6566)] = 235770,
  [SMALL_STATE(6567)] = 235786,
  [SMALL_STATE(6568)] = 235802,
  [SMALL_STATE(6569)] = 235818,
  [SMALL_STATE(6570)] = 235834,
  [SMALL_STATE(6571)] = 235850,
  [SMALL_STATE(6572)] = 235866,
  [SMALL_STATE(6573)] = 235882,
  [SMALL_STATE(6574)] = 235898,
  [SMALL_STATE(6575)] = 235910,
  [SMALL_STATE(6576)] = 235926,
  [SMALL_STATE(6577)] = 235942,
  [SMALL_STATE(6578)] = 235954,
  [SMALL_STATE(6579)] = 235966,
  [SMALL_STATE(6580)] = 235978,
  [SMALL_STATE(6581)] = 235994,
  [SMALL_STATE(6582)] = 236006,
  [SMALL_STATE(6583)] = 236018,
  [SMALL_STATE(6584)] = 236030,
  [SMALL_STATE(6585)] = 236042,
  [SMALL_STATE(6586)] = 236058,
  [SMALL_STATE(6587)] = 236074,
  [SMALL_STATE(6588)] = 236090,
  [SMALL_STATE(6589)] = 236106,
  [SMALL_STATE(6590)] = 236118,
  [SMALL_STATE(6591)] = 236130,
  [SMALL_STATE(6592)] = 236142,
  [SMALL_STATE(6593)] = 236158,
  [SMALL_STATE(6594)] = 236170,
  [SMALL_STATE(6595)] = 236186,
  [SMALL_STATE(6596)] = 236202,
  [SMALL_STATE(6597)] = 236218,
  [SMALL_STATE(6598)] = 236232,
  [SMALL_STATE(6599)] = 236248,
  [SMALL_STATE(6600)] = 236264,
  [SMALL_STATE(6601)] = 236280,
  [SMALL_STATE(6602)] = 236292,
  [SMALL_STATE(6603)] = 236308,
  [SMALL_STATE(6604)] = 236324,
  [SMALL_STATE(6605)] = 236336,
  [SMALL_STATE(6606)] = 236348,
  [SMALL_STATE(6607)] = 236364,
  [SMALL_STATE(6608)] = 236380,
  [SMALL_STATE(6609)] = 236396,
  [SMALL_STATE(6610)] = 236412,
  [SMALL_STATE(6611)] = 236428,
  [SMALL_STATE(6612)] = 236440,
  [SMALL_STATE(6613)] = 236456,
  [SMALL_STATE(6614)] = 236468,
  [SMALL_STATE(6615)] = 236480,
  [SMALL_STATE(6616)] = 236492,
  [SMALL_STATE(6617)] = 236508,
  [SMALL_STATE(6618)] = 236520,
  [SMALL_STATE(6619)] = 236536,
  [SMALL_STATE(6620)] = 236552,
  [SMALL_STATE(6621)] = 236568,
  [SMALL_STATE(6622)] = 236584,
  [SMALL_STATE(6623)] = 236600,
  [SMALL_STATE(6624)] = 236616,
  [SMALL_STATE(6625)] = 236632,
  [SMALL_STATE(6626)] = 236644,
  [SMALL_STATE(6627)] = 236660,
  [SMALL_STATE(6628)] = 236672,
  [SMALL_STATE(6629)] = 236688,
  [SMALL_STATE(6630)] = 236704,
  [SMALL_STATE(6631)] = 236716,
  [SMALL_STATE(6632)] = 236728,
  [SMALL_STATE(6633)] = 236742,
  [SMALL_STATE(6634)] = 236754,
  [SMALL_STATE(6635)] = 236770,
  [SMALL_STATE(6636)] = 236786,
  [SMALL_STATE(6637)] = 236802,
  [SMALL_STATE(6638)] = 236816,
  [SMALL_STATE(6639)] = 236832,
  [SMALL_STATE(6640)] = 236848,
  [SMALL_STATE(6641)] = 236864,
  [SMALL_STATE(6642)] = 236880,
  [SMALL_STATE(6643)] = 236892,
  [SMALL_STATE(6644)] = 236908,
  [SMALL_STATE(6645)] = 236924,
  [SMALL_STATE(6646)] = 236940,
  [SMALL_STATE(6647)] = 236956,
  [SMALL_STATE(6648)] = 236972,
  [SMALL_STATE(6649)] = 236984,
  [SMALL_STATE(6650)] = 237000,
  [SMALL_STATE(6651)] = 237016,
  [SMALL_STATE(6652)] = 237032,
  [SMALL_STATE(6653)] = 237044,
  [SMALL_STATE(6654)] = 237060,
  [SMALL_STATE(6655)] = 237076,
  [SMALL_STATE(6656)] = 237092,
  [SMALL_STATE(6657)] = 237104,
  [SMALL_STATE(6658)] = 237120,
  [SMALL_STATE(6659)] = 237132,
  [SMALL_STATE(6660)] = 237144,
  [SMALL_STATE(6661)] = 237156,
  [SMALL_STATE(6662)] = 237168,
  [SMALL_STATE(6663)] = 237184,
  [SMALL_STATE(6664)] = 237200,
  [SMALL_STATE(6665)] = 237212,
  [SMALL_STATE(6666)] = 237224,
  [SMALL_STATE(6667)] = 237236,
  [SMALL_STATE(6668)] = 237252,
  [SMALL_STATE(6669)] = 237268,
  [SMALL_STATE(6670)] = 237280,
  [SMALL_STATE(6671)] = 237292,
  [SMALL_STATE(6672)] = 237308,
  [SMALL_STATE(6673)] = 237324,
  [SMALL_STATE(6674)] = 237336,
  [SMALL_STATE(6675)] = 237348,
  [SMALL_STATE(6676)] = 237360,
  [SMALL_STATE(6677)] = 237372,
  [SMALL_STATE(6678)] = 237384,
  [SMALL_STATE(6679)] = 237396,
  [SMALL_STATE(6680)] = 237408,
  [SMALL_STATE(6681)] = 237424,
  [SMALL_STATE(6682)] = 237440,
  [SMALL_STATE(6683)] = 237456,
  [SMALL_STATE(6684)] = 237468,
  [SMALL_STATE(6685)] = 237484,
  [SMALL_STATE(6686)] = 237500,
  [SMALL_STATE(6687)] = 237512,
  [SMALL_STATE(6688)] = 237528,
  [SMALL_STATE(6689)] = 237540,
  [SMALL_STATE(6690)] = 237556,
  [SMALL_STATE(6691)] = 237572,
  [SMALL_STATE(6692)] = 237586,
  [SMALL_STATE(6693)] = 237602,
  [SMALL_STATE(6694)] = 237618,
  [SMALL_STATE(6695)] = 237634,
  [SMALL_STATE(6696)] = 237646,
  [SMALL_STATE(6697)] = 237662,
  [SMALL_STATE(6698)] = 237678,
  [SMALL_STATE(6699)] = 237690,
  [SMALL_STATE(6700)] = 237706,
  [SMALL_STATE(6701)] = 237718,
  [SMALL_STATE(6702)] = 237734,
  [SMALL_STATE(6703)] = 237750,
  [SMALL_STATE(6704)] = 237766,
  [SMALL_STATE(6705)] = 237778,
  [SMALL_STATE(6706)] = 237790,
  [SMALL_STATE(6707)] = 237806,
  [SMALL_STATE(6708)] = 237822,
  [SMALL_STATE(6709)] = 237838,
  [SMALL_STATE(6710)] = 237850,
  [SMALL_STATE(6711)] = 237862,
  [SMALL_STATE(6712)] = 237874,
  [SMALL_STATE(6713)] = 237890,
  [SMALL_STATE(6714)] = 237902,
  [SMALL_STATE(6715)] = 237914,
  [SMALL_STATE(6716)] = 237930,
  [SMALL_STATE(6717)] = 237946,
  [SMALL_STATE(6718)] = 237962,
  [SMALL_STATE(6719)] = 237978,
  [SMALL_STATE(6720)] = 237990,
  [SMALL_STATE(6721)] = 238002,
  [SMALL_STATE(6722)] = 238018,
  [SMALL_STATE(6723)] = 238034,
  [SMALL_STATE(6724)] = 238046,
  [SMALL_STATE(6725)] = 238062,
  [SMALL_STATE(6726)] = 238078,
  [SMALL_STATE(6727)] = 238090,
  [SMALL_STATE(6728)] = 238102,
  [SMALL_STATE(6729)] = 238118,
  [SMALL_STATE(6730)] = 238130,
  [SMALL_STATE(6731)] = 238142,
  [SMALL_STATE(6732)] = 238158,
  [SMALL_STATE(6733)] = 238170,
  [SMALL_STATE(6734)] = 238182,
  [SMALL_STATE(6735)] = 238198,
  [SMALL_STATE(6736)] = 238214,
  [SMALL_STATE(6737)] = 238230,
  [SMALL_STATE(6738)] = 238242,
  [SMALL_STATE(6739)] = 238258,
  [SMALL_STATE(6740)] = 238270,
  [SMALL_STATE(6741)] = 238286,
  [SMALL_STATE(6742)] = 238298,
  [SMALL_STATE(6743)] = 238314,
  [SMALL_STATE(6744)] = 238330,
  [SMALL_STATE(6745)] = 238346,
  [SMALL_STATE(6746)] = 238362,
  [SMALL_STATE(6747)] = 238374,
  [SMALL_STATE(6748)] = 238386,
  [SMALL_STATE(6749)] = 238402,
  [SMALL_STATE(6750)] = 238414,
  [SMALL_STATE(6751)] = 238430,
  [SMALL_STATE(6752)] = 238442,
  [SMALL_STATE(6753)] = 238454,
  [SMALL_STATE(6754)] = 238470,
  [SMALL_STATE(6755)] = 238482,
  [SMALL_STATE(6756)] = 238498,
  [SMALL_STATE(6757)] = 238514,
  [SMALL_STATE(6758)] = 238526,
  [SMALL_STATE(6759)] = 238542,
  [SMALL_STATE(6760)] = 238558,
  [SMALL_STATE(6761)] = 238574,
  [SMALL_STATE(6762)] = 238590,
  [SMALL_STATE(6763)] = 238606,
  [SMALL_STATE(6764)] = 238618,
  [SMALL_STATE(6765)] = 238634,
  [SMALL_STATE(6766)] = 238648,
  [SMALL_STATE(6767)] = 238660,
  [SMALL_STATE(6768)] = 238676,
  [SMALL_STATE(6769)] = 238692,
  [SMALL_STATE(6770)] = 238708,
  [SMALL_STATE(6771)] = 238724,
  [SMALL_STATE(6772)] = 238736,
  [SMALL_STATE(6773)] = 238752,
  [SMALL_STATE(6774)] = 238768,
  [SMALL_STATE(6775)] = 238784,
  [SMALL_STATE(6776)] = 238800,
  [SMALL_STATE(6777)] = 238816,
  [SMALL_STATE(6778)] = 238832,
  [SMALL_STATE(6779)] = 238848,
  [SMALL_STATE(6780)] = 238860,
  [SMALL_STATE(6781)] = 238876,
  [SMALL_STATE(6782)] = 238888,
  [SMALL_STATE(6783)] = 238900,
  [SMALL_STATE(6784)] = 238916,
  [SMALL_STATE(6785)] = 238932,
  [SMALL_STATE(6786)] = 238944,
  [SMALL_STATE(6787)] = 238960,
  [SMALL_STATE(6788)] = 238976,
  [SMALL_STATE(6789)] = 238992,
  [SMALL_STATE(6790)] = 239004,
  [SMALL_STATE(6791)] = 239020,
  [SMALL_STATE(6792)] = 239032,
  [SMALL_STATE(6793)] = 239048,
  [SMALL_STATE(6794)] = 239064,
  [SMALL_STATE(6795)] = 239080,
  [SMALL_STATE(6796)] = 239096,
  [SMALL_STATE(6797)] = 239112,
  [SMALL_STATE(6798)] = 239124,
  [SMALL_STATE(6799)] = 239140,
  [SMALL_STATE(6800)] = 239152,
  [SMALL_STATE(6801)] = 239168,
  [SMALL_STATE(6802)] = 239184,
  [SMALL_STATE(6803)] = 239200,
  [SMALL_STATE(6804)] = 239212,
  [SMALL_STATE(6805)] = 239228,
  [SMALL_STATE(6806)] = 239240,
  [SMALL_STATE(6807)] = 239252,
  [SMALL_STATE(6808)] = 239268,
  [SMALL_STATE(6809)] = 239284,
  [SMALL_STATE(6810)] = 239300,
  [SMALL_STATE(6811)] = 239312,
  [SMALL_STATE(6812)] = 239328,
  [SMALL_STATE(6813)] = 239344,
  [SMALL_STATE(6814)] = 239360,
  [SMALL_STATE(6815)] = 239376,
  [SMALL_STATE(6816)] = 239392,
  [SMALL_STATE(6817)] = 239408,
  [SMALL_STATE(6818)] = 239424,
  [SMALL_STATE(6819)] = 239436,
  [SMALL_STATE(6820)] = 239448,
  [SMALL_STATE(6821)] = 239464,
  [SMALL_STATE(6822)] = 239476,
  [SMALL_STATE(6823)] = 239488,
  [SMALL_STATE(6824)] = 239500,
  [SMALL_STATE(6825)] = 239512,
  [SMALL_STATE(6826)] = 239524,
  [SMALL_STATE(6827)] = 239540,
  [SMALL_STATE(6828)] = 239556,
  [SMALL_STATE(6829)] = 239572,
  [SMALL_STATE(6830)] = 239588,
  [SMALL_STATE(6831)] = 239600,
  [SMALL_STATE(6832)] = 239612,
  [SMALL_STATE(6833)] = 239628,
  [SMALL_STATE(6834)] = 239640,
  [SMALL_STATE(6835)] = 239654,
  [SMALL_STATE(6836)] = 239666,
  [SMALL_STATE(6837)] = 239680,
  [SMALL_STATE(6838)] = 239692,
  [SMALL_STATE(6839)] = 239704,
  [SMALL_STATE(6840)] = 239716,
  [SMALL_STATE(6841)] = 239732,
  [SMALL_STATE(6842)] = 239748,
  [SMALL_STATE(6843)] = 239760,
  [SMALL_STATE(6844)] = 239772,
  [SMALL_STATE(6845)] = 239784,
  [SMALL_STATE(6846)] = 239796,
  [SMALL_STATE(6847)] = 239808,
  [SMALL_STATE(6848)] = 239824,
  [SMALL_STATE(6849)] = 239836,
  [SMALL_STATE(6850)] = 239848,
  [SMALL_STATE(6851)] = 239864,
  [SMALL_STATE(6852)] = 239880,
  [SMALL_STATE(6853)] = 239892,
  [SMALL_STATE(6854)] = 239908,
  [SMALL_STATE(6855)] = 239924,
  [SMALL_STATE(6856)] = 239940,
  [SMALL_STATE(6857)] = 239956,
  [SMALL_STATE(6858)] = 239968,
  [SMALL_STATE(6859)] = 239984,
  [SMALL_STATE(6860)] = 240000,
  [SMALL_STATE(6861)] = 240016,
  [SMALL_STATE(6862)] = 240028,
  [SMALL_STATE(6863)] = 240044,
  [SMALL_STATE(6864)] = 240056,
  [SMALL_STATE(6865)] = 240072,
  [SMALL_STATE(6866)] = 240088,
  [SMALL_STATE(6867)] = 240100,
  [SMALL_STATE(6868)] = 240112,
  [SMALL_STATE(6869)] = 240128,
  [SMALL_STATE(6870)] = 240144,
  [SMALL_STATE(6871)] = 240160,
  [SMALL_STATE(6872)] = 240172,
  [SMALL_STATE(6873)] = 240184,
  [SMALL_STATE(6874)] = 240196,
  [SMALL_STATE(6875)] = 240212,
  [SMALL_STATE(6876)] = 240228,
  [SMALL_STATE(6877)] = 240240,
  [SMALL_STATE(6878)] = 240256,
  [SMALL_STATE(6879)] = 240268,
  [SMALL_STATE(6880)] = 240280,
  [SMALL_STATE(6881)] = 240296,
  [SMALL_STATE(6882)] = 240312,
  [SMALL_STATE(6883)] = 240328,
  [SMALL_STATE(6884)] = 240340,
  [SMALL_STATE(6885)] = 240352,
  [SMALL_STATE(6886)] = 240364,
  [SMALL_STATE(6887)] = 240376,
  [SMALL_STATE(6888)] = 240388,
  [SMALL_STATE(6889)] = 240404,
  [SMALL_STATE(6890)] = 240420,
  [SMALL_STATE(6891)] = 240436,
  [SMALL_STATE(6892)] = 240452,
  [SMALL_STATE(6893)] = 240468,
  [SMALL_STATE(6894)] = 240484,
  [SMALL_STATE(6895)] = 240500,
  [SMALL_STATE(6896)] = 240512,
  [SMALL_STATE(6897)] = 240524,
  [SMALL_STATE(6898)] = 240536,
  [SMALL_STATE(6899)] = 240548,
  [SMALL_STATE(6900)] = 240564,
  [SMALL_STATE(6901)] = 240580,
  [SMALL_STATE(6902)] = 240596,
  [SMALL_STATE(6903)] = 240608,
  [SMALL_STATE(6904)] = 240624,
  [SMALL_STATE(6905)] = 240640,
  [SMALL_STATE(6906)] = 240656,
  [SMALL_STATE(6907)] = 240672,
  [SMALL_STATE(6908)] = 240688,
  [SMALL_STATE(6909)] = 240704,
  [SMALL_STATE(6910)] = 240720,
  [SMALL_STATE(6911)] = 240732,
  [SMALL_STATE(6912)] = 240744,
  [SMALL_STATE(6913)] = 240760,
  [SMALL_STATE(6914)] = 240776,
  [SMALL_STATE(6915)] = 240792,
  [SMALL_STATE(6916)] = 240804,
  [SMALL_STATE(6917)] = 240820,
  [SMALL_STATE(6918)] = 240832,
  [SMALL_STATE(6919)] = 240848,
  [SMALL_STATE(6920)] = 240864,
  [SMALL_STATE(6921)] = 240876,
  [SMALL_STATE(6922)] = 240888,
  [SMALL_STATE(6923)] = 240900,
  [SMALL_STATE(6924)] = 240912,
  [SMALL_STATE(6925)] = 240928,
  [SMALL_STATE(6926)] = 240944,
  [SMALL_STATE(6927)] = 240960,
  [SMALL_STATE(6928)] = 240972,
  [SMALL_STATE(6929)] = 240984,
  [SMALL_STATE(6930)] = 240996,
  [SMALL_STATE(6931)] = 241008,
  [SMALL_STATE(6932)] = 241024,
  [SMALL_STATE(6933)] = 241040,
  [SMALL_STATE(6934)] = 241056,
  [SMALL_STATE(6935)] = 241068,
  [SMALL_STATE(6936)] = 241080,
  [SMALL_STATE(6937)] = 241096,
  [SMALL_STATE(6938)] = 241108,
  [SMALL_STATE(6939)] = 241120,
  [SMALL_STATE(6940)] = 241132,
  [SMALL_STATE(6941)] = 241144,
  [SMALL_STATE(6942)] = 241160,
  [SMALL_STATE(6943)] = 241172,
  [SMALL_STATE(6944)] = 241184,
  [SMALL_STATE(6945)] = 241200,
  [SMALL_STATE(6946)] = 241216,
  [SMALL_STATE(6947)] = 241232,
  [SMALL_STATE(6948)] = 241248,
  [SMALL_STATE(6949)] = 241264,
  [SMALL_STATE(6950)] = 241280,
  [SMALL_STATE(6951)] = 241296,
  [SMALL_STATE(6952)] = 241308,
  [SMALL_STATE(6953)] = 241324,
  [SMALL_STATE(6954)] = 241340,
  [SMALL_STATE(6955)] = 241356,
  [SMALL_STATE(6956)] = 241368,
  [SMALL_STATE(6957)] = 241384,
  [SMALL_STATE(6958)] = 241396,
  [SMALL_STATE(6959)] = 241408,
  [SMALL_STATE(6960)] = 241420,
  [SMALL_STATE(6961)] = 241436,
  [SMALL_STATE(6962)] = 241448,
  [SMALL_STATE(6963)] = 241460,
  [SMALL_STATE(6964)] = 241472,
  [SMALL_STATE(6965)] = 241484,
  [SMALL_STATE(6966)] = 241500,
  [SMALL_STATE(6967)] = 241516,
  [SMALL_STATE(6968)] = 241528,
  [SMALL_STATE(6969)] = 241544,
  [SMALL_STATE(6970)] = 241560,
  [SMALL_STATE(6971)] = 241572,
  [SMALL_STATE(6972)] = 241588,
  [SMALL_STATE(6973)] = 241604,
  [SMALL_STATE(6974)] = 241620,
  [SMALL_STATE(6975)] = 241636,
  [SMALL_STATE(6976)] = 241648,
  [SMALL_STATE(6977)] = 241664,
  [SMALL_STATE(6978)] = 241680,
  [SMALL_STATE(6979)] = 241692,
  [SMALL_STATE(6980)] = 241704,
  [SMALL_STATE(6981)] = 241716,
  [SMALL_STATE(6982)] = 241732,
  [SMALL_STATE(6983)] = 241744,
  [SMALL_STATE(6984)] = 241756,
  [SMALL_STATE(6985)] = 241772,
  [SMALL_STATE(6986)] = 241788,
  [SMALL_STATE(6987)] = 241804,
  [SMALL_STATE(6988)] = 241818,
  [SMALL_STATE(6989)] = 241830,
  [SMALL_STATE(6990)] = 241842,
  [SMALL_STATE(6991)] = 241858,
  [SMALL_STATE(6992)] = 241870,
  [SMALL_STATE(6993)] = 241886,
  [SMALL_STATE(6994)] = 241902,
  [SMALL_STATE(6995)] = 241918,
  [SMALL_STATE(6996)] = 241930,
  [SMALL_STATE(6997)] = 241946,
  [SMALL_STATE(6998)] = 241958,
  [SMALL_STATE(6999)] = 241970,
  [SMALL_STATE(7000)] = 241982,
  [SMALL_STATE(7001)] = 241998,
  [SMALL_STATE(7002)] = 242010,
  [SMALL_STATE(7003)] = 242026,
  [SMALL_STATE(7004)] = 242042,
  [SMALL_STATE(7005)] = 242058,
  [SMALL_STATE(7006)] = 242070,
  [SMALL_STATE(7007)] = 242086,
  [SMALL_STATE(7008)] = 242098,
  [SMALL_STATE(7009)] = 242110,
  [SMALL_STATE(7010)] = 242126,
  [SMALL_STATE(7011)] = 242142,
  [SMALL_STATE(7012)] = 242158,
  [SMALL_STATE(7013)] = 242174,
  [SMALL_STATE(7014)] = 242186,
  [SMALL_STATE(7015)] = 242202,
  [SMALL_STATE(7016)] = 242214,
  [SMALL_STATE(7017)] = 242226,
  [SMALL_STATE(7018)] = 242238,
  [SMALL_STATE(7019)] = 242254,
  [SMALL_STATE(7020)] = 242266,
  [SMALL_STATE(7021)] = 242282,
  [SMALL_STATE(7022)] = 242294,
  [SMALL_STATE(7023)] = 242310,
  [SMALL_STATE(7024)] = 242322,
  [SMALL_STATE(7025)] = 242334,
  [SMALL_STATE(7026)] = 242346,
  [SMALL_STATE(7027)] = 242358,
  [SMALL_STATE(7028)] = 242370,
  [SMALL_STATE(7029)] = 242386,
  [SMALL_STATE(7030)] = 242402,
  [SMALL_STATE(7031)] = 242418,
  [SMALL_STATE(7032)] = 242430,
  [SMALL_STATE(7033)] = 242446,
  [SMALL_STATE(7034)] = 242458,
  [SMALL_STATE(7035)] = 242470,
  [SMALL_STATE(7036)] = 242482,
  [SMALL_STATE(7037)] = 242494,
  [SMALL_STATE(7038)] = 242510,
  [SMALL_STATE(7039)] = 242526,
  [SMALL_STATE(7040)] = 242538,
  [SMALL_STATE(7041)] = 242554,
  [SMALL_STATE(7042)] = 242566,
  [SMALL_STATE(7043)] = 242578,
  [SMALL_STATE(7044)] = 242594,
  [SMALL_STATE(7045)] = 242606,
  [SMALL_STATE(7046)] = 242622,
  [SMALL_STATE(7047)] = 242638,
  [SMALL_STATE(7048)] = 242654,
  [SMALL_STATE(7049)] = 242670,
  [SMALL_STATE(7050)] = 242682,
  [SMALL_STATE(7051)] = 242698,
  [SMALL_STATE(7052)] = 242714,
  [SMALL_STATE(7053)] = 242726,
  [SMALL_STATE(7054)] = 242738,
  [SMALL_STATE(7055)] = 242750,
  [SMALL_STATE(7056)] = 242766,
  [SMALL_STATE(7057)] = 242782,
  [SMALL_STATE(7058)] = 242794,
  [SMALL_STATE(7059)] = 242810,
  [SMALL_STATE(7060)] = 242826,
  [SMALL_STATE(7061)] = 242842,
  [SMALL_STATE(7062)] = 242854,
  [SMALL_STATE(7063)] = 242866,
  [SMALL_STATE(7064)] = 242882,
  [SMALL_STATE(7065)] = 242898,
  [SMALL_STATE(7066)] = 242914,
  [SMALL_STATE(7067)] = 242930,
  [SMALL_STATE(7068)] = 242942,
  [SMALL_STATE(7069)] = 242958,
  [SMALL_STATE(7070)] = 242974,
  [SMALL_STATE(7071)] = 242986,
  [SMALL_STATE(7072)] = 242998,
  [SMALL_STATE(7073)] = 243014,
  [SMALL_STATE(7074)] = 243030,
  [SMALL_STATE(7075)] = 243042,
  [SMALL_STATE(7076)] = 243054,
  [SMALL_STATE(7077)] = 243070,
  [SMALL_STATE(7078)] = 243086,
  [SMALL_STATE(7079)] = 243102,
  [SMALL_STATE(7080)] = 243114,
  [SMALL_STATE(7081)] = 243126,
  [SMALL_STATE(7082)] = 243138,
  [SMALL_STATE(7083)] = 243154,
  [SMALL_STATE(7084)] = 243170,
  [SMALL_STATE(7085)] = 243186,
  [SMALL_STATE(7086)] = 243198,
  [SMALL_STATE(7087)] = 243214,
  [SMALL_STATE(7088)] = 243226,
  [SMALL_STATE(7089)] = 243238,
  [SMALL_STATE(7090)] = 243254,
  [SMALL_STATE(7091)] = 243270,
  [SMALL_STATE(7092)] = 243282,
  [SMALL_STATE(7093)] = 243298,
  [SMALL_STATE(7094)] = 243310,
  [SMALL_STATE(7095)] = 243326,
  [SMALL_STATE(7096)] = 243342,
  [SMALL_STATE(7097)] = 243358,
  [SMALL_STATE(7098)] = 243370,
  [SMALL_STATE(7099)] = 243384,
  [SMALL_STATE(7100)] = 243400,
  [SMALL_STATE(7101)] = 243416,
  [SMALL_STATE(7102)] = 243432,
  [SMALL_STATE(7103)] = 243448,
  [SMALL_STATE(7104)] = 243460,
  [SMALL_STATE(7105)] = 243476,
  [SMALL_STATE(7106)] = 243488,
  [SMALL_STATE(7107)] = 243500,
  [SMALL_STATE(7108)] = 243516,
  [SMALL_STATE(7109)] = 243532,
  [SMALL_STATE(7110)] = 243544,
  [SMALL_STATE(7111)] = 243556,
  [SMALL_STATE(7112)] = 243572,
  [SMALL_STATE(7113)] = 243588,
  [SMALL_STATE(7114)] = 243600,
  [SMALL_STATE(7115)] = 243616,
  [SMALL_STATE(7116)] = 243628,
  [SMALL_STATE(7117)] = 243640,
  [SMALL_STATE(7118)] = 243652,
  [SMALL_STATE(7119)] = 243668,
  [SMALL_STATE(7120)] = 243684,
  [SMALL_STATE(7121)] = 243700,
  [SMALL_STATE(7122)] = 243716,
  [SMALL_STATE(7123)] = 243732,
  [SMALL_STATE(7124)] = 243744,
  [SMALL_STATE(7125)] = 243760,
  [SMALL_STATE(7126)] = 243772,
  [SMALL_STATE(7127)] = 243788,
  [SMALL_STATE(7128)] = 243800,
  [SMALL_STATE(7129)] = 243812,
  [SMALL_STATE(7130)] = 243824,
  [SMALL_STATE(7131)] = 243840,
  [SMALL_STATE(7132)] = 243852,
  [SMALL_STATE(7133)] = 243868,
  [SMALL_STATE(7134)] = 243884,
  [SMALL_STATE(7135)] = 243900,
  [SMALL_STATE(7136)] = 243916,
  [SMALL_STATE(7137)] = 243932,
  [SMALL_STATE(7138)] = 243948,
  [SMALL_STATE(7139)] = 243964,
  [SMALL_STATE(7140)] = 243976,
  [SMALL_STATE(7141)] = 243992,
  [SMALL_STATE(7142)] = 244004,
  [SMALL_STATE(7143)] = 244020,
  [SMALL_STATE(7144)] = 244032,
  [SMALL_STATE(7145)] = 244048,
  [SMALL_STATE(7146)] = 244060,
  [SMALL_STATE(7147)] = 244076,
  [SMALL_STATE(7148)] = 244092,
  [SMALL_STATE(7149)] = 244108,
  [SMALL_STATE(7150)] = 244120,
  [SMALL_STATE(7151)] = 244136,
  [SMALL_STATE(7152)] = 244148,
  [SMALL_STATE(7153)] = 244164,
  [SMALL_STATE(7154)] = 244180,
  [SMALL_STATE(7155)] = 244196,
  [SMALL_STATE(7156)] = 244212,
  [SMALL_STATE(7157)] = 244228,
  [SMALL_STATE(7158)] = 244240,
  [SMALL_STATE(7159)] = 244256,
  [SMALL_STATE(7160)] = 244272,
  [SMALL_STATE(7161)] = 244284,
  [SMALL_STATE(7162)] = 244296,
  [SMALL_STATE(7163)] = 244312,
  [SMALL_STATE(7164)] = 244328,
  [SMALL_STATE(7165)] = 244344,
  [SMALL_STATE(7166)] = 244356,
  [SMALL_STATE(7167)] = 244372,
  [SMALL_STATE(7168)] = 244388,
  [SMALL_STATE(7169)] = 244400,
  [SMALL_STATE(7170)] = 244416,
  [SMALL_STATE(7171)] = 244432,
  [SMALL_STATE(7172)] = 244448,
  [SMALL_STATE(7173)] = 244460,
  [SMALL_STATE(7174)] = 244476,
  [SMALL_STATE(7175)] = 244492,
  [SMALL_STATE(7176)] = 244508,
  [SMALL_STATE(7177)] = 244524,
  [SMALL_STATE(7178)] = 244536,
  [SMALL_STATE(7179)] = 244552,
  [SMALL_STATE(7180)] = 244568,
  [SMALL_STATE(7181)] = 244584,
  [SMALL_STATE(7182)] = 244600,
  [SMALL_STATE(7183)] = 244616,
  [SMALL_STATE(7184)] = 244632,
  [SMALL_STATE(7185)] = 244648,
  [SMALL_STATE(7186)] = 244664,
  [SMALL_STATE(7187)] = 244680,
  [SMALL_STATE(7188)] = 244696,
  [SMALL_STATE(7189)] = 244712,
  [SMALL_STATE(7190)] = 244728,
  [SMALL_STATE(7191)] = 244744,
  [SMALL_STATE(7192)] = 244756,
  [SMALL_STATE(7193)] = 244768,
  [SMALL_STATE(7194)] = 244784,
  [SMALL_STATE(7195)] = 244800,
  [SMALL_STATE(7196)] = 244816,
  [SMALL_STATE(7197)] = 244832,
  [SMALL_STATE(7198)] = 244848,
  [SMALL_STATE(7199)] = 244860,
  [SMALL_STATE(7200)] = 244872,
  [SMALL_STATE(7201)] = 244888,
  [SMALL_STATE(7202)] = 244904,
  [SMALL_STATE(7203)] = 244920,
  [SMALL_STATE(7204)] = 244936,
  [SMALL_STATE(7205)] = 244952,
  [SMALL_STATE(7206)] = 244968,
  [SMALL_STATE(7207)] = 244980,
  [SMALL_STATE(7208)] = 244992,
  [SMALL_STATE(7209)] = 245004,
  [SMALL_STATE(7210)] = 245020,
  [SMALL_STATE(7211)] = 245036,
  [SMALL_STATE(7212)] = 245052,
  [SMALL_STATE(7213)] = 245068,
  [SMALL_STATE(7214)] = 245084,
  [SMALL_STATE(7215)] = 245100,
  [SMALL_STATE(7216)] = 245116,
  [SMALL_STATE(7217)] = 245132,
  [SMALL_STATE(7218)] = 245148,
  [SMALL_STATE(7219)] = 245160,
  [SMALL_STATE(7220)] = 245176,
  [SMALL_STATE(7221)] = 245187,
  [SMALL_STATE(7222)] = 245200,
  [SMALL_STATE(7223)] = 245213,
  [SMALL_STATE(7224)] = 245224,
  [SMALL_STATE(7225)] = 245237,
  [SMALL_STATE(7226)] = 245250,
  [SMALL_STATE(7227)] = 245263,
  [SMALL_STATE(7228)] = 245276,
  [SMALL_STATE(7229)] = 245289,
  [SMALL_STATE(7230)] = 245302,
  [SMALL_STATE(7231)] = 245315,
  [SMALL_STATE(7232)] = 245328,
  [SMALL_STATE(7233)] = 245341,
  [SMALL_STATE(7234)] = 245354,
  [SMALL_STATE(7235)] = 245365,
  [SMALL_STATE(7236)] = 245378,
  [SMALL_STATE(7237)] = 245389,
  [SMALL_STATE(7238)] = 245402,
  [SMALL_STATE(7239)] = 245413,
  [SMALL_STATE(7240)] = 245426,
  [SMALL_STATE(7241)] = 245439,
  [SMALL_STATE(7242)] = 245452,
  [SMALL_STATE(7243)] = 245465,
  [SMALL_STATE(7244)] = 245478,
  [SMALL_STATE(7245)] = 245491,
  [SMALL_STATE(7246)] = 245504,
  [SMALL_STATE(7247)] = 245517,
  [SMALL_STATE(7248)] = 245530,
  [SMALL_STATE(7249)] = 245543,
  [SMALL_STATE(7250)] = 245556,
  [SMALL_STATE(7251)] = 245567,
  [SMALL_STATE(7252)] = 245580,
  [SMALL_STATE(7253)] = 245593,
  [SMALL_STATE(7254)] = 245606,
  [SMALL_STATE(7255)] = 245619,
  [SMALL_STATE(7256)] = 245632,
  [SMALL_STATE(7257)] = 245643,
  [SMALL_STATE(7258)] = 245656,
  [SMALL_STATE(7259)] = 245669,
  [SMALL_STATE(7260)] = 245680,
  [SMALL_STATE(7261)] = 245693,
  [SMALL_STATE(7262)] = 245704,
  [SMALL_STATE(7263)] = 245717,
  [SMALL_STATE(7264)] = 245730,
  [SMALL_STATE(7265)] = 245743,
  [SMALL_STATE(7266)] = 245756,
  [SMALL_STATE(7267)] = 245769,
  [SMALL_STATE(7268)] = 245782,
  [SMALL_STATE(7269)] = 245795,
  [SMALL_STATE(7270)] = 245808,
  [SMALL_STATE(7271)] = 245821,
  [SMALL_STATE(7272)] = 245834,
  [SMALL_STATE(7273)] = 245845,
  [SMALL_STATE(7274)] = 245858,
  [SMALL_STATE(7275)] = 245871,
  [SMALL_STATE(7276)] = 245884,
  [SMALL_STATE(7277)] = 245897,
  [SMALL_STATE(7278)] = 245908,
  [SMALL_STATE(7279)] = 245921,
  [SMALL_STATE(7280)] = 245934,
  [SMALL_STATE(7281)] = 245945,
  [SMALL_STATE(7282)] = 245958,
  [SMALL_STATE(7283)] = 245971,
  [SMALL_STATE(7284)] = 245984,
  [SMALL_STATE(7285)] = 245995,
  [SMALL_STATE(7286)] = 246008,
  [SMALL_STATE(7287)] = 246021,
  [SMALL_STATE(7288)] = 246034,
  [SMALL_STATE(7289)] = 246045,
  [SMALL_STATE(7290)] = 246058,
  [SMALL_STATE(7291)] = 246069,
  [SMALL_STATE(7292)] = 246082,
  [SMALL_STATE(7293)] = 246095,
  [SMALL_STATE(7294)] = 246108,
  [SMALL_STATE(7295)] = 246121,
  [SMALL_STATE(7296)] = 246134,
  [SMALL_STATE(7297)] = 246147,
  [SMALL_STATE(7298)] = 246160,
  [SMALL_STATE(7299)] = 246173,
  [SMALL_STATE(7300)] = 246186,
  [SMALL_STATE(7301)] = 246199,
  [SMALL_STATE(7302)] = 246210,
  [SMALL_STATE(7303)] = 246223,
  [SMALL_STATE(7304)] = 246234,
  [SMALL_STATE(7305)] = 246245,
  [SMALL_STATE(7306)] = 246258,
  [SMALL_STATE(7307)] = 246271,
  [SMALL_STATE(7308)] = 246282,
  [SMALL_STATE(7309)] = 246293,
  [SMALL_STATE(7310)] = 246306,
  [SMALL_STATE(7311)] = 246319,
  [SMALL_STATE(7312)] = 246332,
  [SMALL_STATE(7313)] = 246345,
  [SMALL_STATE(7314)] = 246358,
  [SMALL_STATE(7315)] = 246371,
  [SMALL_STATE(7316)] = 246384,
  [SMALL_STATE(7317)] = 246395,
  [SMALL_STATE(7318)] = 246408,
  [SMALL_STATE(7319)] = 246421,
  [SMALL_STATE(7320)] = 246434,
  [SMALL_STATE(7321)] = 246447,
  [SMALL_STATE(7322)] = 246460,
  [SMALL_STATE(7323)] = 246471,
  [SMALL_STATE(7324)] = 246484,
  [SMALL_STATE(7325)] = 246497,
  [SMALL_STATE(7326)] = 246510,
  [SMALL_STATE(7327)] = 246523,
  [SMALL_STATE(7328)] = 246536,
  [SMALL_STATE(7329)] = 246547,
  [SMALL_STATE(7330)] = 246558,
  [SMALL_STATE(7331)] = 246571,
  [SMALL_STATE(7332)] = 246584,
  [SMALL_STATE(7333)] = 246597,
  [SMALL_STATE(7334)] = 246608,
  [SMALL_STATE(7335)] = 246621,
  [SMALL_STATE(7336)] = 246632,
  [SMALL_STATE(7337)] = 246645,
  [SMALL_STATE(7338)] = 246658,
  [SMALL_STATE(7339)] = 246671,
  [SMALL_STATE(7340)] = 246682,
  [SMALL_STATE(7341)] = 246695,
  [SMALL_STATE(7342)] = 246708,
  [SMALL_STATE(7343)] = 246721,
  [SMALL_STATE(7344)] = 246732,
  [SMALL_STATE(7345)] = 246745,
  [SMALL_STATE(7346)] = 246756,
  [SMALL_STATE(7347)] = 246769,
  [SMALL_STATE(7348)] = 246780,
  [SMALL_STATE(7349)] = 246793,
  [SMALL_STATE(7350)] = 246804,
  [SMALL_STATE(7351)] = 246815,
  [SMALL_STATE(7352)] = 246828,
  [SMALL_STATE(7353)] = 246841,
  [SMALL_STATE(7354)] = 246854,
  [SMALL_STATE(7355)] = 246865,
  [SMALL_STATE(7356)] = 246876,
  [SMALL_STATE(7357)] = 246889,
  [SMALL_STATE(7358)] = 246902,
  [SMALL_STATE(7359)] = 246913,
  [SMALL_STATE(7360)] = 246926,
  [SMALL_STATE(7361)] = 246939,
  [SMALL_STATE(7362)] = 246952,
  [SMALL_STATE(7363)] = 246965,
  [SMALL_STATE(7364)] = 246978,
  [SMALL_STATE(7365)] = 246991,
  [SMALL_STATE(7366)] = 247004,
  [SMALL_STATE(7367)] = 247017,
  [SMALL_STATE(7368)] = 247030,
  [SMALL_STATE(7369)] = 247043,
  [SMALL_STATE(7370)] = 247056,
  [SMALL_STATE(7371)] = 247069,
  [SMALL_STATE(7372)] = 247080,
  [SMALL_STATE(7373)] = 247093,
  [SMALL_STATE(7374)] = 247106,
  [SMALL_STATE(7375)] = 247119,
  [SMALL_STATE(7376)] = 247132,
  [SMALL_STATE(7377)] = 247145,
  [SMALL_STATE(7378)] = 247158,
  [SMALL_STATE(7379)] = 247169,
  [SMALL_STATE(7380)] = 247182,
  [SMALL_STATE(7381)] = 247193,
  [SMALL_STATE(7382)] = 247206,
  [SMALL_STATE(7383)] = 247219,
  [SMALL_STATE(7384)] = 247232,
  [SMALL_STATE(7385)] = 247245,
  [SMALL_STATE(7386)] = 247258,
  [SMALL_STATE(7387)] = 247271,
  [SMALL_STATE(7388)] = 247284,
  [SMALL_STATE(7389)] = 247297,
  [SMALL_STATE(7390)] = 247310,
  [SMALL_STATE(7391)] = 247323,
  [SMALL_STATE(7392)] = 247336,
  [SMALL_STATE(7393)] = 247349,
  [SMALL_STATE(7394)] = 247360,
  [SMALL_STATE(7395)] = 247373,
  [SMALL_STATE(7396)] = 247384,
  [SMALL_STATE(7397)] = 247397,
  [SMALL_STATE(7398)] = 247410,
  [SMALL_STATE(7399)] = 247421,
  [SMALL_STATE(7400)] = 247432,
  [SMALL_STATE(7401)] = 247445,
  [SMALL_STATE(7402)] = 247458,
  [SMALL_STATE(7403)] = 247471,
  [SMALL_STATE(7404)] = 247484,
  [SMALL_STATE(7405)] = 247495,
  [SMALL_STATE(7406)] = 247508,
  [SMALL_STATE(7407)] = 247521,
  [SMALL_STATE(7408)] = 247532,
  [SMALL_STATE(7409)] = 247545,
  [SMALL_STATE(7410)] = 247558,
  [SMALL_STATE(7411)] = 247569,
  [SMALL_STATE(7412)] = 247582,
  [SMALL_STATE(7413)] = 247595,
  [SMALL_STATE(7414)] = 247606,
  [SMALL_STATE(7415)] = 247619,
  [SMALL_STATE(7416)] = 247632,
  [SMALL_STATE(7417)] = 247645,
  [SMALL_STATE(7418)] = 247658,
  [SMALL_STATE(7419)] = 247669,
  [SMALL_STATE(7420)] = 247682,
  [SMALL_STATE(7421)] = 247695,
  [SMALL_STATE(7422)] = 247706,
  [SMALL_STATE(7423)] = 247719,
  [SMALL_STATE(7424)] = 247732,
  [SMALL_STATE(7425)] = 247745,
  [SMALL_STATE(7426)] = 247758,
  [SMALL_STATE(7427)] = 247771,
  [SMALL_STATE(7428)] = 247784,
  [SMALL_STATE(7429)] = 247795,
  [SMALL_STATE(7430)] = 247808,
  [SMALL_STATE(7431)] = 247821,
  [SMALL_STATE(7432)] = 247834,
  [SMALL_STATE(7433)] = 247847,
  [SMALL_STATE(7434)] = 247860,
  [SMALL_STATE(7435)] = 247873,
  [SMALL_STATE(7436)] = 247886,
  [SMALL_STATE(7437)] = 247899,
  [SMALL_STATE(7438)] = 247912,
  [SMALL_STATE(7439)] = 247925,
  [SMALL_STATE(7440)] = 247938,
  [SMALL_STATE(7441)] = 247951,
  [SMALL_STATE(7442)] = 247964,
  [SMALL_STATE(7443)] = 247977,
  [SMALL_STATE(7444)] = 247988,
  [SMALL_STATE(7445)] = 248001,
  [SMALL_STATE(7446)] = 248014,
  [SMALL_STATE(7447)] = 248027,
  [SMALL_STATE(7448)] = 248040,
  [SMALL_STATE(7449)] = 248053,
  [SMALL_STATE(7450)] = 248066,
  [SMALL_STATE(7451)] = 248079,
  [SMALL_STATE(7452)] = 248092,
  [SMALL_STATE(7453)] = 248105,
  [SMALL_STATE(7454)] = 248116,
  [SMALL_STATE(7455)] = 248129,
  [SMALL_STATE(7456)] = 248142,
  [SMALL_STATE(7457)] = 248155,
  [SMALL_STATE(7458)] = 248166,
  [SMALL_STATE(7459)] = 248179,
  [SMALL_STATE(7460)] = 248190,
  [SMALL_STATE(7461)] = 248203,
  [SMALL_STATE(7462)] = 248214,
  [SMALL_STATE(7463)] = 248227,
  [SMALL_STATE(7464)] = 248240,
  [SMALL_STATE(7465)] = 248253,
  [SMALL_STATE(7466)] = 248264,
  [SMALL_STATE(7467)] = 248277,
  [SMALL_STATE(7468)] = 248290,
  [SMALL_STATE(7469)] = 248303,
  [SMALL_STATE(7470)] = 248316,
  [SMALL_STATE(7471)] = 248329,
  [SMALL_STATE(7472)] = 248342,
  [SMALL_STATE(7473)] = 248355,
  [SMALL_STATE(7474)] = 248368,
  [SMALL_STATE(7475)] = 248381,
  [SMALL_STATE(7476)] = 248394,
  [SMALL_STATE(7477)] = 248407,
  [SMALL_STATE(7478)] = 248420,
  [SMALL_STATE(7479)] = 248431,
  [SMALL_STATE(7480)] = 248442,
  [SMALL_STATE(7481)] = 248455,
  [SMALL_STATE(7482)] = 248468,
  [SMALL_STATE(7483)] = 248481,
  [SMALL_STATE(7484)] = 248494,
  [SMALL_STATE(7485)] = 248507,
  [SMALL_STATE(7486)] = 248520,
  [SMALL_STATE(7487)] = 248533,
  [SMALL_STATE(7488)] = 248546,
  [SMALL_STATE(7489)] = 248559,
  [SMALL_STATE(7490)] = 248572,
  [SMALL_STATE(7491)] = 248583,
  [SMALL_STATE(7492)] = 248594,
  [SMALL_STATE(7493)] = 248607,
  [SMALL_STATE(7494)] = 248620,
  [SMALL_STATE(7495)] = 248633,
  [SMALL_STATE(7496)] = 248646,
  [SMALL_STATE(7497)] = 248659,
  [SMALL_STATE(7498)] = 248672,
  [SMALL_STATE(7499)] = 248685,
  [SMALL_STATE(7500)] = 248698,
  [SMALL_STATE(7501)] = 248711,
  [SMALL_STATE(7502)] = 248724,
  [SMALL_STATE(7503)] = 248737,
  [SMALL_STATE(7504)] = 248748,
  [SMALL_STATE(7505)] = 248761,
  [SMALL_STATE(7506)] = 248774,
  [SMALL_STATE(7507)] = 248787,
  [SMALL_STATE(7508)] = 248800,
  [SMALL_STATE(7509)] = 248813,
  [SMALL_STATE(7510)] = 248826,
  [SMALL_STATE(7511)] = 248839,
  [SMALL_STATE(7512)] = 248852,
  [SMALL_STATE(7513)] = 248865,
  [SMALL_STATE(7514)] = 248878,
  [SMALL_STATE(7515)] = 248891,
  [SMALL_STATE(7516)] = 248904,
  [SMALL_STATE(7517)] = 248917,
  [SMALL_STATE(7518)] = 248930,
  [SMALL_STATE(7519)] = 248943,
  [SMALL_STATE(7520)] = 248956,
  [SMALL_STATE(7521)] = 248967,
  [SMALL_STATE(7522)] = 248978,
  [SMALL_STATE(7523)] = 248991,
  [SMALL_STATE(7524)] = 249004,
  [SMALL_STATE(7525)] = 249017,
  [SMALL_STATE(7526)] = 249030,
  [SMALL_STATE(7527)] = 249043,
  [SMALL_STATE(7528)] = 249056,
  [SMALL_STATE(7529)] = 249069,
  [SMALL_STATE(7530)] = 249082,
  [SMALL_STATE(7531)] = 249095,
  [SMALL_STATE(7532)] = 249108,
  [SMALL_STATE(7533)] = 249121,
  [SMALL_STATE(7534)] = 249134,
  [SMALL_STATE(7535)] = 249147,
  [SMALL_STATE(7536)] = 249160,
  [SMALL_STATE(7537)] = 249171,
  [SMALL_STATE(7538)] = 249184,
  [SMALL_STATE(7539)] = 249197,
  [SMALL_STATE(7540)] = 249210,
  [SMALL_STATE(7541)] = 249223,
  [SMALL_STATE(7542)] = 249236,
  [SMALL_STATE(7543)] = 249249,
  [SMALL_STATE(7544)] = 249260,
  [SMALL_STATE(7545)] = 249273,
  [SMALL_STATE(7546)] = 249286,
  [SMALL_STATE(7547)] = 249299,
  [SMALL_STATE(7548)] = 249312,
  [SMALL_STATE(7549)] = 249325,
  [SMALL_STATE(7550)] = 249336,
  [SMALL_STATE(7551)] = 249347,
  [SMALL_STATE(7552)] = 249360,
  [SMALL_STATE(7553)] = 249373,
  [SMALL_STATE(7554)] = 249384,
  [SMALL_STATE(7555)] = 249397,
  [SMALL_STATE(7556)] = 249410,
  [SMALL_STATE(7557)] = 249423,
  [SMALL_STATE(7558)] = 249436,
  [SMALL_STATE(7559)] = 249449,
  [SMALL_STATE(7560)] = 249462,
  [SMALL_STATE(7561)] = 249475,
  [SMALL_STATE(7562)] = 249488,
  [SMALL_STATE(7563)] = 249501,
  [SMALL_STATE(7564)] = 249514,
  [SMALL_STATE(7565)] = 249527,
  [SMALL_STATE(7566)] = 249538,
  [SMALL_STATE(7567)] = 249551,
  [SMALL_STATE(7568)] = 249564,
  [SMALL_STATE(7569)] = 249577,
  [SMALL_STATE(7570)] = 249590,
  [SMALL_STATE(7571)] = 249603,
  [SMALL_STATE(7572)] = 249616,
  [SMALL_STATE(7573)] = 249629,
  [SMALL_STATE(7574)] = 249642,
  [SMALL_STATE(7575)] = 249655,
  [SMALL_STATE(7576)] = 249668,
  [SMALL_STATE(7577)] = 249681,
  [SMALL_STATE(7578)] = 249694,
  [SMALL_STATE(7579)] = 249707,
  [SMALL_STATE(7580)] = 249720,
  [SMALL_STATE(7581)] = 249733,
  [SMALL_STATE(7582)] = 249746,
  [SMALL_STATE(7583)] = 249759,
  [SMALL_STATE(7584)] = 249772,
  [SMALL_STATE(7585)] = 249785,
  [SMALL_STATE(7586)] = 249796,
  [SMALL_STATE(7587)] = 249809,
  [SMALL_STATE(7588)] = 249822,
  [SMALL_STATE(7589)] = 249835,
  [SMALL_STATE(7590)] = 249848,
  [SMALL_STATE(7591)] = 249861,
  [SMALL_STATE(7592)] = 249874,
  [SMALL_STATE(7593)] = 249887,
  [SMALL_STATE(7594)] = 249900,
  [SMALL_STATE(7595)] = 249913,
  [SMALL_STATE(7596)] = 249926,
  [SMALL_STATE(7597)] = 249939,
  [SMALL_STATE(7598)] = 249952,
  [SMALL_STATE(7599)] = 249965,
  [SMALL_STATE(7600)] = 249976,
  [SMALL_STATE(7601)] = 249989,
  [SMALL_STATE(7602)] = 250002,
  [SMALL_STATE(7603)] = 250015,
  [SMALL_STATE(7604)] = 250028,
  [SMALL_STATE(7605)] = 250041,
  [SMALL_STATE(7606)] = 250054,
  [SMALL_STATE(7607)] = 250067,
  [SMALL_STATE(7608)] = 250078,
  [SMALL_STATE(7609)] = 250091,
  [SMALL_STATE(7610)] = 250102,
  [SMALL_STATE(7611)] = 250115,
  [SMALL_STATE(7612)] = 250128,
  [SMALL_STATE(7613)] = 250141,
  [SMALL_STATE(7614)] = 250154,
  [SMALL_STATE(7615)] = 250167,
  [SMALL_STATE(7616)] = 250180,
  [SMALL_STATE(7617)] = 250193,
  [SMALL_STATE(7618)] = 250206,
  [SMALL_STATE(7619)] = 250219,
  [SMALL_STATE(7620)] = 250232,
  [SMALL_STATE(7621)] = 250245,
  [SMALL_STATE(7622)] = 250256,
  [SMALL_STATE(7623)] = 250269,
  [SMALL_STATE(7624)] = 250282,
  [SMALL_STATE(7625)] = 250295,
  [SMALL_STATE(7626)] = 250306,
  [SMALL_STATE(7627)] = 250319,
  [SMALL_STATE(7628)] = 250332,
  [SMALL_STATE(7629)] = 250345,
  [SMALL_STATE(7630)] = 250358,
  [SMALL_STATE(7631)] = 250368,
  [SMALL_STATE(7632)] = 250378,
  [SMALL_STATE(7633)] = 250390,
  [SMALL_STATE(7634)] = 250400,
  [SMALL_STATE(7635)] = 250410,
  [SMALL_STATE(7636)] = 250420,
  [SMALL_STATE(7637)] = 250430,
  [SMALL_STATE(7638)] = 250440,
  [SMALL_STATE(7639)] = 250450,
  [SMALL_STATE(7640)] = 250460,
  [SMALL_STATE(7641)] = 250470,
  [SMALL_STATE(7642)] = 250480,
  [SMALL_STATE(7643)] = 250490,
  [SMALL_STATE(7644)] = 250500,
  [SMALL_STATE(7645)] = 250510,
  [SMALL_STATE(7646)] = 250520,
  [SMALL_STATE(7647)] = 250530,
  [SMALL_STATE(7648)] = 250540,
  [SMALL_STATE(7649)] = 250550,
  [SMALL_STATE(7650)] = 250560,
  [SMALL_STATE(7651)] = 250570,
  [SMALL_STATE(7652)] = 250580,
  [SMALL_STATE(7653)] = 250590,
  [SMALL_STATE(7654)] = 250600,
  [SMALL_STATE(7655)] = 250610,
  [SMALL_STATE(7656)] = 250620,
  [SMALL_STATE(7657)] = 250630,
  [SMALL_STATE(7658)] = 250640,
  [SMALL_STATE(7659)] = 250650,
  [SMALL_STATE(7660)] = 250660,
  [SMALL_STATE(7661)] = 250670,
  [SMALL_STATE(7662)] = 250680,
  [SMALL_STATE(7663)] = 250690,
  [SMALL_STATE(7664)] = 250700,
  [SMALL_STATE(7665)] = 250710,
  [SMALL_STATE(7666)] = 250722,
  [SMALL_STATE(7667)] = 250732,
  [SMALL_STATE(7668)] = 250742,
  [SMALL_STATE(7669)] = 250752,
  [SMALL_STATE(7670)] = 250762,
  [SMALL_STATE(7671)] = 250772,
  [SMALL_STATE(7672)] = 250782,
  [SMALL_STATE(7673)] = 250794,
  [SMALL_STATE(7674)] = 250804,
  [SMALL_STATE(7675)] = 250814,
  [SMALL_STATE(7676)] = 250824,
  [SMALL_STATE(7677)] = 250834,
  [SMALL_STATE(7678)] = 250844,
  [SMALL_STATE(7679)] = 250854,
  [SMALL_STATE(7680)] = 250864,
  [SMALL_STATE(7681)] = 250874,
  [SMALL_STATE(7682)] = 250884,
  [SMALL_STATE(7683)] = 250894,
  [SMALL_STATE(7684)] = 250904,
  [SMALL_STATE(7685)] = 250914,
  [SMALL_STATE(7686)] = 250924,
  [SMALL_STATE(7687)] = 250934,
  [SMALL_STATE(7688)] = 250944,
  [SMALL_STATE(7689)] = 250954,
  [SMALL_STATE(7690)] = 250964,
  [SMALL_STATE(7691)] = 250974,
  [SMALL_STATE(7692)] = 250984,
  [SMALL_STATE(7693)] = 250994,
  [SMALL_STATE(7694)] = 251004,
  [SMALL_STATE(7695)] = 251014,
  [SMALL_STATE(7696)] = 251024,
  [SMALL_STATE(7697)] = 251034,
  [SMALL_STATE(7698)] = 251044,
  [SMALL_STATE(7699)] = 251054,
  [SMALL_STATE(7700)] = 251064,
  [SMALL_STATE(7701)] = 251074,
  [SMALL_STATE(7702)] = 251084,
  [SMALL_STATE(7703)] = 251094,
  [SMALL_STATE(7704)] = 251104,
  [SMALL_STATE(7705)] = 251116,
  [SMALL_STATE(7706)] = 251126,
  [SMALL_STATE(7707)] = 251136,
  [SMALL_STATE(7708)] = 251146,
  [SMALL_STATE(7709)] = 251156,
  [SMALL_STATE(7710)] = 251166,
  [SMALL_STATE(7711)] = 251176,
  [SMALL_STATE(7712)] = 251186,
  [SMALL_STATE(7713)] = 251196,
  [SMALL_STATE(7714)] = 251206,
  [SMALL_STATE(7715)] = 251216,
  [SMALL_STATE(7716)] = 251226,
  [SMALL_STATE(7717)] = 251236,
  [SMALL_STATE(7718)] = 251246,
  [SMALL_STATE(7719)] = 251256,
  [SMALL_STATE(7720)] = 251266,
  [SMALL_STATE(7721)] = 251276,
  [SMALL_STATE(7722)] = 251286,
  [SMALL_STATE(7723)] = 251296,
  [SMALL_STATE(7724)] = 251308,
  [SMALL_STATE(7725)] = 251318,
  [SMALL_STATE(7726)] = 251328,
  [SMALL_STATE(7727)] = 251338,
  [SMALL_STATE(7728)] = 251348,
  [SMALL_STATE(7729)] = 251358,
  [SMALL_STATE(7730)] = 251368,
  [SMALL_STATE(7731)] = 251378,
  [SMALL_STATE(7732)] = 251388,
  [SMALL_STATE(7733)] = 251398,
  [SMALL_STATE(7734)] = 251408,
  [SMALL_STATE(7735)] = 251418,
  [SMALL_STATE(7736)] = 251428,
  [SMALL_STATE(7737)] = 251438,
  [SMALL_STATE(7738)] = 251448,
  [SMALL_STATE(7739)] = 251458,
  [SMALL_STATE(7740)] = 251468,
  [SMALL_STATE(7741)] = 251478,
  [SMALL_STATE(7742)] = 251488,
  [SMALL_STATE(7743)] = 251498,
  [SMALL_STATE(7744)] = 251508,
  [SMALL_STATE(7745)] = 251518,
  [SMALL_STATE(7746)] = 251528,
  [SMALL_STATE(7747)] = 251538,
  [SMALL_STATE(7748)] = 251548,
  [SMALL_STATE(7749)] = 251558,
  [SMALL_STATE(7750)] = 251568,
  [SMALL_STATE(7751)] = 251578,
  [SMALL_STATE(7752)] = 251588,
  [SMALL_STATE(7753)] = 251600,
  [SMALL_STATE(7754)] = 251610,
  [SMALL_STATE(7755)] = 251620,
  [SMALL_STATE(7756)] = 251630,
  [SMALL_STATE(7757)] = 251640,
  [SMALL_STATE(7758)] = 251652,
  [SMALL_STATE(7759)] = 251662,
  [SMALL_STATE(7760)] = 251672,
  [SMALL_STATE(7761)] = 251682,
  [SMALL_STATE(7762)] = 251692,
  [SMALL_STATE(7763)] = 251702,
  [SMALL_STATE(7764)] = 251712,
  [SMALL_STATE(7765)] = 251722,
  [SMALL_STATE(7766)] = 251732,
  [SMALL_STATE(7767)] = 251742,
  [SMALL_STATE(7768)] = 251752,
  [SMALL_STATE(7769)] = 251762,
  [SMALL_STATE(7770)] = 251772,
  [SMALL_STATE(7771)] = 251782,
  [SMALL_STATE(7772)] = 251792,
  [SMALL_STATE(7773)] = 251802,
  [SMALL_STATE(7774)] = 251812,
  [SMALL_STATE(7775)] = 251822,
  [SMALL_STATE(7776)] = 251832,
  [SMALL_STATE(7777)] = 251842,
  [SMALL_STATE(7778)] = 251852,
  [SMALL_STATE(7779)] = 251862,
  [SMALL_STATE(7780)] = 251872,
  [SMALL_STATE(7781)] = 251882,
  [SMALL_STATE(7782)] = 251892,
  [SMALL_STATE(7783)] = 251902,
  [SMALL_STATE(7784)] = 251912,
  [SMALL_STATE(7785)] = 251922,
  [SMALL_STATE(7786)] = 251932,
  [SMALL_STATE(7787)] = 251942,
  [SMALL_STATE(7788)] = 251952,
  [SMALL_STATE(7789)] = 251962,
  [SMALL_STATE(7790)] = 251972,
  [SMALL_STATE(7791)] = 251982,
  [SMALL_STATE(7792)] = 251992,
  [SMALL_STATE(7793)] = 252002,
  [SMALL_STATE(7794)] = 252012,
  [SMALL_STATE(7795)] = 252022,
  [SMALL_STATE(7796)] = 252032,
  [SMALL_STATE(7797)] = 252042,
  [SMALL_STATE(7798)] = 252052,
  [SMALL_STATE(7799)] = 252062,
  [SMALL_STATE(7800)] = 252072,
  [SMALL_STATE(7801)] = 252082,
  [SMALL_STATE(7802)] = 252092,
  [SMALL_STATE(7803)] = 252102,
  [SMALL_STATE(7804)] = 252112,
  [SMALL_STATE(7805)] = 252122,
  [SMALL_STATE(7806)] = 252132,
  [SMALL_STATE(7807)] = 252142,
  [SMALL_STATE(7808)] = 252154,
  [SMALL_STATE(7809)] = 252164,
  [SMALL_STATE(7810)] = 252174,
  [SMALL_STATE(7811)] = 252184,
  [SMALL_STATE(7812)] = 252194,
  [SMALL_STATE(7813)] = 252204,
  [SMALL_STATE(7814)] = 252214,
  [SMALL_STATE(7815)] = 252224,
  [SMALL_STATE(7816)] = 252234,
  [SMALL_STATE(7817)] = 252244,
  [SMALL_STATE(7818)] = 252254,
  [SMALL_STATE(7819)] = 252264,
  [SMALL_STATE(7820)] = 252274,
  [SMALL_STATE(7821)] = 252284,
  [SMALL_STATE(7822)] = 252294,
  [SMALL_STATE(7823)] = 252304,
  [SMALL_STATE(7824)] = 252314,
  [SMALL_STATE(7825)] = 252324,
  [SMALL_STATE(7826)] = 252334,
  [SMALL_STATE(7827)] = 252344,
  [SMALL_STATE(7828)] = 252354,
  [SMALL_STATE(7829)] = 252364,
  [SMALL_STATE(7830)] = 252374,
  [SMALL_STATE(7831)] = 252384,
  [SMALL_STATE(7832)] = 252396,
  [SMALL_STATE(7833)] = 252406,
  [SMALL_STATE(7834)] = 252416,
  [SMALL_STATE(7835)] = 252426,
  [SMALL_STATE(7836)] = 252436,
  [SMALL_STATE(7837)] = 252446,
  [SMALL_STATE(7838)] = 252456,
  [SMALL_STATE(7839)] = 252466,
  [SMALL_STATE(7840)] = 252476,
  [SMALL_STATE(7841)] = 252486,
  [SMALL_STATE(7842)] = 252496,
  [SMALL_STATE(7843)] = 252506,
  [SMALL_STATE(7844)] = 252516,
  [SMALL_STATE(7845)] = 252526,
  [SMALL_STATE(7846)] = 252536,
  [SMALL_STATE(7847)] = 252546,
  [SMALL_STATE(7848)] = 252556,
  [SMALL_STATE(7849)] = 252566,
  [SMALL_STATE(7850)] = 252576,
  [SMALL_STATE(7851)] = 252586,
  [SMALL_STATE(7852)] = 252596,
  [SMALL_STATE(7853)] = 252606,
  [SMALL_STATE(7854)] = 252616,
  [SMALL_STATE(7855)] = 252626,
  [SMALL_STATE(7856)] = 252636,
  [SMALL_STATE(7857)] = 252646,
  [SMALL_STATE(7858)] = 252656,
  [SMALL_STATE(7859)] = 252666,
  [SMALL_STATE(7860)] = 252676,
  [SMALL_STATE(7861)] = 252686,
  [SMALL_STATE(7862)] = 252696,
  [SMALL_STATE(7863)] = 252706,
  [SMALL_STATE(7864)] = 252716,
  [SMALL_STATE(7865)] = 252726,
  [SMALL_STATE(7866)] = 252736,
  [SMALL_STATE(7867)] = 252746,
  [SMALL_STATE(7868)] = 252756,
  [SMALL_STATE(7869)] = 252766,
  [SMALL_STATE(7870)] = 252776,
  [SMALL_STATE(7871)] = 252786,
  [SMALL_STATE(7872)] = 252796,
  [SMALL_STATE(7873)] = 252806,
  [SMALL_STATE(7874)] = 252816,
  [SMALL_STATE(7875)] = 252826,
  [SMALL_STATE(7876)] = 252836,
  [SMALL_STATE(7877)] = 252846,
  [SMALL_STATE(7878)] = 252856,
  [SMALL_STATE(7879)] = 252866,
  [SMALL_STATE(7880)] = 252876,
  [SMALL_STATE(7881)] = 252886,
  [SMALL_STATE(7882)] = 252896,
  [SMALL_STATE(7883)] = 252906,
  [SMALL_STATE(7884)] = 252916,
  [SMALL_STATE(7885)] = 252926,
  [SMALL_STATE(7886)] = 252936,
  [SMALL_STATE(7887)] = 252946,
  [SMALL_STATE(7888)] = 252956,
  [SMALL_STATE(7889)] = 252966,
  [SMALL_STATE(7890)] = 252976,
  [SMALL_STATE(7891)] = 252986,
  [SMALL_STATE(7892)] = 252996,
  [SMALL_STATE(7893)] = 253006,
  [SMALL_STATE(7894)] = 253016,
  [SMALL_STATE(7895)] = 253026,
  [SMALL_STATE(7896)] = 253036,
  [SMALL_STATE(7897)] = 253046,
  [SMALL_STATE(7898)] = 253056,
  [SMALL_STATE(7899)] = 253066,
  [SMALL_STATE(7900)] = 253076,
  [SMALL_STATE(7901)] = 253086,
  [SMALL_STATE(7902)] = 253096,
  [SMALL_STATE(7903)] = 253106,
  [SMALL_STATE(7904)] = 253116,
  [SMALL_STATE(7905)] = 253126,
  [SMALL_STATE(7906)] = 253136,
  [SMALL_STATE(7907)] = 253146,
  [SMALL_STATE(7908)] = 253156,
  [SMALL_STATE(7909)] = 253166,
  [SMALL_STATE(7910)] = 253176,
  [SMALL_STATE(7911)] = 253186,
  [SMALL_STATE(7912)] = 253196,
  [SMALL_STATE(7913)] = 253206,
  [SMALL_STATE(7914)] = 253216,
  [SMALL_STATE(7915)] = 253226,
  [SMALL_STATE(7916)] = 253238,
  [SMALL_STATE(7917)] = 253248,
  [SMALL_STATE(7918)] = 253258,
  [SMALL_STATE(7919)] = 253268,
  [SMALL_STATE(7920)] = 253278,
  [SMALL_STATE(7921)] = 253288,
  [SMALL_STATE(7922)] = 253298,
  [SMALL_STATE(7923)] = 253308,
  [SMALL_STATE(7924)] = 253320,
  [SMALL_STATE(7925)] = 253330,
  [SMALL_STATE(7926)] = 253340,
  [SMALL_STATE(7927)] = 253350,
  [SMALL_STATE(7928)] = 253360,
  [SMALL_STATE(7929)] = 253370,
  [SMALL_STATE(7930)] = 253380,
  [SMALL_STATE(7931)] = 253390,
  [SMALL_STATE(7932)] = 253400,
  [SMALL_STATE(7933)] = 253410,
  [SMALL_STATE(7934)] = 253420,
  [SMALL_STATE(7935)] = 253430,
  [SMALL_STATE(7936)] = 253440,
  [SMALL_STATE(7937)] = 253450,
  [SMALL_STATE(7938)] = 253460,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [7] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_file, 0, 0, 0),
  [9] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7923),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2115),
  [13] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2115),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1506),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2114),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(171),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(834),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(192),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(832),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1369),
  [29] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1369),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2321),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5280),
  [35] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1469),
  [37] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5169),
  [39] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2322),
  [41] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7915),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2322),
  [45] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [47] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [49] = {.entry = {.count = 1, .reusable = true}}, SHIFT(853),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(177),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(587),
  [55] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7913),
  [57] = {.entry = {.count = 1, .reusable = true}}, SHIFT(841),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(482),
  [61] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7910),
  [63] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2331),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2332),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(188),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7242),
  [73] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7904),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1017),
  [77] = {.entry = {.count = 1, .reusable = true}}, SHIFT(843),
  [79] = {.entry = {.count = 1, .reusable = true}}, SHIFT(475),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(845),
  [83] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5007),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3963),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(181),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(531),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4229),
  [93] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4895),
  [95] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4911),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1849),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4908),
  [101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4934),
  [103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4348),
  [105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1850),
  [107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4924),
  [109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4152),
  [111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7868),
  [113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(842),
  [115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5395),
  [117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3214),
  [119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4812),
  [121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4844),
  [123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4507),
  [125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2595),
  [127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2344),
  [129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2091),
  [131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2578),
  [133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2576),
  [135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2572),
  [137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2572),
  [139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2571),
  [141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2571),
  [143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(831),
  [145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7295),
  [147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2317),
  [149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(516),
  [151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(842),
  [153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1349),
  [155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1349),
  [157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3685),
  [159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(283),
  [161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3287),
  [163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6478),
  [165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6483),
  [167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4948),
  [169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5362),
  [171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5535),
  [173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2525),
  [175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5881),
  [177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2640),
  [179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6415),
  [181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1477),
  [183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1477),
  [185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1468),
  [187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1470),
  [189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(151),
  [191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(718),
  [193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(154),
  [195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(846),
  [197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(919),
  [203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(86),
  [205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1908),
  [207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4564),
  [209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(852),
  [211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1623),
  [213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(83),
  [215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(719),
  [217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(850),
  [219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1632),
  [221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(98),
  [223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(158),
  [225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3291),
  [227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4141),
  [229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4550),
  [231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4024),
  [233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3986),
  [235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4014),
  [237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4003),
  [239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3311),
  [241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4118),
  [243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4118),
  [245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3308),
  [247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3308),
  [249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(844),
  [251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7675),
  [253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1556),
  [255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(82),
  [257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(932),
  [259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1532),
  [261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1674),
  [263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(723),
  [265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(908),
  [267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1568),
  [269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(725),
  [271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(77),
  [273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(920),
  [275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1586),
  [277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1602),
  [279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1615),
  [281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1680),
  [283] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_file, 1, 0, 0),
  [285] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_file, 3, 0, 0),
  [287] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_file, 4, 0, 0),
  [289] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_file, 2, 0, 0),
  [291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1051),
  [293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1051),
  [295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(899),
  [297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1042),
  [299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(121),
  [301] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statements, 3, 0, 0),
  [303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(123),
  [305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(671),
  [307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(671),
  [309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1198),
  [311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5261),
  [313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(830),
  [315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5180),
  [317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1215),
  [319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7665),
  [321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1215),
  [323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(628),
  [329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(193),
  [331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(566),
  [333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7899),
  [335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(622),
  [337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(518),
  [339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7936),
  [341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [343] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statements, 3, 0, 0),
  [345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1238),
  [347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1211),
  [349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(189),
  [351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7442),
  [353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7900),
  [355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(624),
  [357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(627),
  [361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5034),
  [363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3962),
  [365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(186),
  [367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(511),
  [369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(124),
  [371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4928),
  [373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4869),
  [375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4873),
  [377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4109),
  [379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7872),
  [381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(623),
  [383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1187),
  [385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [389] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statements, 2, 0, 0),
  [391] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statements, 2, 0, 0),
  [393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1485),
  [395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4532),
  [397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4379),
  [399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4381),
  [401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4381),
  [403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(728),
  [405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(728),
  [407] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_prefix_expression, 2, 0, 29),
  [409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(190),
  [411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(176),
  [413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1427),
  [415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1427),
  [417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(802),
  [419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5230),
  [421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1471),
  [423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5209),
  [425] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_prefix_expression, 2, 0, 29),
  [427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(751),
  [429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7752),
  [431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(751),
  [433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(203),
  [435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(517),
  [437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7841),
  [439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(493),
  [441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7931),
  [443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(752),
  [445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(754),
  [447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7843),
  [449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(864),
  [451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7689),
  [453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(790),
  [455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1247),
  [457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4449),
  [459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(904),
  [461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(56),
  [463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2672),
  [465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(60),
  [467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1646),
  [469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(66),
  [471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2875),
  [473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(63),
  [475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1627),
  [477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(68),
  [479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2302),
  [481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(79),
  [483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1685),
  [485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(78),
  [487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2371),
  [489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(65),
  [491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(818),
  [493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(94),
  [495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1075),
  [497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(90),
  [499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1184),
  [501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1534),
  [503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(101),
  [505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1597),
  [507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2518),
  [509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(97),
  [511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2207),
  [513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1079),
  [515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(71),
  [517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3081),
  [519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(69),
  [521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6116),
  [523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3909),
  [525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(909),
  [527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2336),
  [529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3898),
  [531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6075),
  [533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2733),
  [535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2968),
  [537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2353),
  [539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2905),
  [541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3523),
  [543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2462),
  [545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1666),
  [547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5676),
  [549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1635),
  [551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3082),
  [553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2285),
  [555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1076),
  [557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(779),
  [559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6862),
  [561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6991),
  [563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1080),
  [565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2446),
  [567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(727),
  [569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1687),
  [571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2286),
  [573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1047),
  [575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1109),
  [577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1552),
  [579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1593),
  [581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(747),
  [583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3029),
  [585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(917),
  [587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2628),
  [589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2514),
  [591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6576),
  [593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1168),
  [595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6110),
  [597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2043),
  [599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3557),
  [601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(820),
  [603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1243),
  [605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6076),
  [607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2542),
  [609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1611),
  [611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2135),
  [613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6462),
  [615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1536),
  [617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3954),
  [619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(912),
  [621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(111),
  [623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(105),
  [625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(635),
  [627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(635),
  [629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(658),
  [631] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__contextual_simple_identifier, 1, 0, 0),
  [633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [637] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__contextual_simple_identifier, 1, 0, 0),
  [639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(609),
  [641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(572),
  [643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(607),
  [645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(599),
  [647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(606),
  [655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(610),
  [657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(445),
  [659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(610),
  [661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1453),
  [663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1453),
  [665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(632),
  [667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(632),
  [669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1447),
  [671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1447),
  [673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1015),
  [675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1015),
  [677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(118),
  [679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(119),
  [681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(655),
  [683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(655),
  [685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1111),
  [687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5295),
  [689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(750),
  [691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5153),
  [693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1134),
  [695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7757),
  [697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1134),
  [699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(615),
  [705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(199),
  [707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(541),
  [709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7911),
  [711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(619),
  [713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(463),
  [715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7938),
  [717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1110),
  [721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1125),
  [723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7912),
  [725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(620),
  [727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(462),
  [729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(616),
  [731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(618),
  [733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1094),
  [735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(470),
  [737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(618),
  [739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(650),
  [741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(650),
  [743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1455),
  [745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1455),
  [747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(122),
  [749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(659),
  [751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(659),
  [753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(667),
  [755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(667),
  [757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(669),
  [761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(669),
  [763] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_control_transfer_statement, 1, 0, 0),
  [765] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_control_transfer_statement, 1, 0, 0),
  [767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(702),
  [769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(702),
  [771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(125),
  [773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(128),
  [775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1284),
  [777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1284),
  [779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4072),
  [785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4079),
  [787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(868),
  [789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(861),
  [791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(504),
  [793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(867),
  [795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(855),
  [797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(855),
  [801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(127),
  [803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(126),
  [805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1287),
  [807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1287),
  [809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2006),
  [811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2006),
  [813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(129),
  [815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(130),
  [817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4194),
  [819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1292),
  [821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1292),
  [823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7670),
  [825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7581),
  [827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2384),
  [829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4575),
  [831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5161),
  [833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5161),
  [835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1377),
  [837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1377),
  [839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4757),
  [841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4575),
  [843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4755),
  [845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4317),
  [847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4317),
  [849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1462),
  [851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1333),
  [853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1333),
  [855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1463),
  [857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1283),
  [859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1283),
  [861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7639),
  [863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7619),
  [865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1209),
  [867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1285),
  [869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1285),
  [871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7734),
  [873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7474),
  [875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(817),
  [877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1295),
  [879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1295),
  [881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7821),
  [883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7336),
  [885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2953),
  [887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1290),
  [889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1290),
  [891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7708),
  [893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7527),
  [895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1127),
  [897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1281),
  [899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1281),
  [901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7824),
  [903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7331),
  [905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3044),
  [907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1312),
  [909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1312),
  [911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7676),
  [913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7575),
  [915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2650),
  [917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1293),
  [919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1293),
  [921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7661),
  [923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7595),
  [925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2287),
  [927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1286),
  [929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1286),
  [931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7716),
  [933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7517),
  [935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2684),
  [937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(174),
  [939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1271),
  [941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1271),
  [943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1362),
  [945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1362),
  [947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4272),
  [951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3838),
  [953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5830),
  [955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1033),
  [957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1313),
  [959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1313),
  [961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1268),
  [963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1268),
  [965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1343),
  [969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1343),
  [971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2016),
  [973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2016),
  [975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(157),
  [977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(164),
  [979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1260),
  [981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1260),
  [983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2143),
  [985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5240),
  [987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1459),
  [989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5201),
  [991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2164),
  [993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7632),
  [995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2164),
  [997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [1001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(835),
  [1003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(195),
  [1005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(546),
  [1007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7893),
  [1009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(840),
  [1011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(466),
  [1013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7935),
  [1015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [1017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2173),
  [1019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2280),
  [1021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7894),
  [1023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(836),
  [1025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(467),
  [1027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(838),
  [1029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(839),
  [1031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2137),
  [1033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(468),
  [1035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(839),
  [1037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2374),
  [1039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2374),
  [1041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(209),
  [1043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(213),
  [1045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1329),
  [1047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1329),
  [1049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2927),
  [1051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5273),
  [1053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1475),
  [1055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5176),
  [1057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2929),
  [1059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7831),
  [1061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2929),
  [1063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [1065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [1067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(878),
  [1069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(179),
  [1071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(447),
  [1073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7879),
  [1075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [1077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(450),
  [1079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7933),
  [1081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [1083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2801),
  [1085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2932),
  [1087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4281),
  [1089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7880),
  [1091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(875),
  [1093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [1095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3854),
  [1097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(881),
  [1099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(882),
  [1101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5814),
  [1103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2920),
  [1105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1023),
  [1107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(882),
  [1109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1448),
  [1111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1448),
  [1113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1257),
  [1115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1257),
  [1117] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_argument_label, 1, 0, 39),
  [1119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1327),
  [1121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1327),
  [1123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1451),
  [1125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1451),
  [1127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1353),
  [1129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1353),
  [1131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(665),
  [1133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(665),
  [1135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4196),
  [1137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7883),
  [1139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1266),
  [1141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1266),
  [1143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4192),
  [1145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7875),
  [1147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2558),
  [1149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2558),
  [1151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2564),
  [1153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(216),
  [1155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(214),
  [1157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1397),
  [1159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1397),
  [1161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3133),
  [1163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5253),
  [1165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1479),
  [1167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5186),
  [1169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3141),
  [1171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7807),
  [1173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3141),
  [1175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [1177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [1179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(902),
  [1181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(183),
  [1183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(489),
  [1185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7869),
  [1187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(895),
  [1189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(498),
  [1191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7932),
  [1193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [1195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3111),
  [1197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3132),
  [1199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4198),
  [1201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7870),
  [1203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(887),
  [1205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [1207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(898),
  [1209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7849),
  [1211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(890),
  [1213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3124),
  [1215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(505),
  [1217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(890),
  [1219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1454),
  [1221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1454),
  [1223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1452),
  [1225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1452),
  [1227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2218),
  [1229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2218),
  [1231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(204),
  [1233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(207),
  [1235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1308),
  [1237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1308),
  [1239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2585),
  [1241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5299),
  [1243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1472),
  [1245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5151),
  [1247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2574),
  [1249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7704),
  [1251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2574),
  [1253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [1255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [1257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(865),
  [1259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(205),
  [1261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(583),
  [1263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7905),
  [1265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(866),
  [1267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(485),
  [1269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7937),
  [1271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [1273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2654),
  [1275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2586),
  [1277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7906),
  [1279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(856),
  [1281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(483),
  [1283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(862),
  [1285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(869),
  [1287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2577),
  [1289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [1291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(869),
  [1293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1304),
  [1295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1304),
  [1297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1456),
  [1299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1456),
  [1301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1337),
  [1303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1337),
  [1305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [1307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(471),
  [1309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2439),
  [1311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2439),
  [1313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(211),
  [1315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(210),
  [1317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1321),
  [1319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1321),
  [1321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2687),
  [1323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5243),
  [1325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1474),
  [1327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5205),
  [1329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2683),
  [1331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7723),
  [1333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2683),
  [1335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [1337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [1339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(885),
  [1341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(206),
  [1343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(530),
  [1345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7887),
  [1347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(879),
  [1349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(603),
  [1351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7934),
  [1353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [1355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2750),
  [1357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2680),
  [1359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7888),
  [1361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(886),
  [1363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(601),
  [1365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(874),
  [1367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(876),
  [1369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2723),
  [1371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(593),
  [1373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(876),
  [1375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1322),
  [1377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1322),
  [1379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1450),
  [1381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1450),
  [1383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1326),
  [1385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1326),
  [1387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1393),
  [1389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1393),
  [1391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1457),
  [1393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1457),
  [1395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1389),
  [1397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1389),
  [1399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1315),
  [1401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1315),
  [1403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2098),
  [1405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(169),
  [1407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(434),
  [1409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4522),
  [1411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(775),
  [1413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2626),
  [1415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(736),
  [1417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2252),
  [1419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1136),
  [1421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2383),
  [1423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2998),
  [1425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3013),
  [1427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2480),
  [1429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6198),
  [1431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2028),
  [1433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1018),
  [1435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2395),
  [1437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2485),
  [1439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3020),
  [1441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3025),
  [1443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2508),
  [1445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1082),
  [1447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(782),
  [1449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2178),
  [1451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2231),
  [1453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1195),
  [1455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2563),
  [1457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1207),
  [1459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3057),
  [1461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3042),
  [1463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1022),
  [1465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1619),
  [1467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1619),
  [1469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1355),
  [1471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1355),
  [1473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5433),
  [1475] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__tuple_type_item_identifier, 2, 0, 11), SHIFT(728),
  [1478] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__tuple_type_item_identifier, 2, 0, 11), SHIFT(728),
  [1481] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__tuple_type_item_identifier, 2, 0, 11), SHIFT(190),
  [1484] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__tuple_type_item_identifier, 2, 0, 11), SHIFT(176),
  [1487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1354),
  [1489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1354),
  [1491] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__tuple_type_item_identifier, 2, 0, 11), SHIFT(270),
  [1494] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__tuple_type_item_identifier, 2, 0, 11), SHIFT(146),
  [1497] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__tuple_type_item_identifier, 2, 0, 11),
  [1499] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__tuple_type_item_identifier, 2, 0, 11),
  [1501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1340),
  [1503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1340),
  [1505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1328),
  [1507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1328),
  [1509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1358),
  [1511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1358),
  [1513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1364),
  [1515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1364),
  [1517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1336),
  [1519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1336),
  [1521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1341),
  [1523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1341),
  [1525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1363),
  [1527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1363),
  [1529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1379),
  [1531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1379),
  [1533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1431),
  [1535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1431),
  [1537] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__binding_pattern_with_expr, 2, 0, 0),
  [1539] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_value_argument_repeat1, 2, 0, 80), SHIFT(728),
  [1542] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_value_argument_repeat1, 2, 0, 80), SHIFT(728),
  [1545] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_value_argument_repeat1, 2, 0, 80), SHIFT(190),
  [1548] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_value_argument_repeat1, 2, 0, 80), SHIFT(176),
  [1551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1371),
  [1553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1371),
  [1555] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_value_argument_repeat1, 2, 0, 80),
  [1557] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_value_argument_repeat1, 2, 0, 80), SHIFT(203),
  [1560] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_value_argument_repeat1, 2, 0, 80), SHIFT(517),
  [1563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1342),
  [1565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1342),
  [1567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1407),
  [1569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1407),
  [1571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1374),
  [1573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1374),
  [1575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1276),
  [1577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1276),
  [1579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(645),
  [1581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(645),
  [1583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1251),
  [1585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1251),
  [1587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1441),
  [1589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1441),
  [1591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2926),
  [1593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1346),
  [1595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1346),
  [1597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1297),
  [1599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1297),
  [1601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1149),
  [1603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1096),
  [1605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1418),
  [1607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1418),
  [1609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(564),
  [1611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2956),
  [1613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1443),
  [1615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1443),
  [1617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(494),
  [1619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3138),
  [1621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1444),
  [1623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1444),
  [1625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(513),
  [1627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1405),
  [1629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1405),
  [1631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(457),
  [1633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2326),
  [1635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(626),
  [1637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(626),
  [1639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(651),
  [1641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(651),
  [1643] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__attribute_argument_repeat1, 2, 0, 0), SHIFT(728),
  [1646] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__attribute_argument_repeat1, 2, 0, 0), SHIFT(728),
  [1649] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__attribute_argument_repeat1, 2, 0, 0), SHIFT(190),
  [1652] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__attribute_argument_repeat1, 2, 0, 0), SHIFT(176),
  [1655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1380),
  [1657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1380),
  [1659] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__attribute_argument_repeat1, 2, 0, 0),
  [1661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1305),
  [1663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1305),
  [1665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2202),
  [1667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1317),
  [1669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1317),
  [1671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1436),
  [1673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1436),
  [1675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [1677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1262),
  [1679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1262),
  [1681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2161),
  [1683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1417),
  [1685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1417),
  [1687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(563),
  [1689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2827),
  [1691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1421),
  [1693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1421),
  [1695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(591),
  [1697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(794),
  [1699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2405),
  [1701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1217),
  [1703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1203),
  [1705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1423),
  [1707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1423),
  [1709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [1711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1413),
  [1713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1413),
  [1715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [1717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1274),
  [1719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1274),
  [1721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2615),
  [1723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1437),
  [1725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1437),
  [1727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(555),
  [1729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2944),
  [1731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1307),
  [1733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1307),
  [1735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7164),
  [1737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2591),
  [1739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(811),
  [1741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3056),
  [1743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1392),
  [1745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1392),
  [1747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(806),
  [1749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2594),
  [1751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2949),
  [1753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2597),
  [1755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1239),
  [1757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1210),
  [1759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2418),
  [1761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [1763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2830),
  [1765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2169),
  [1767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2212),
  [1769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2325),
  [1771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3088),
  [1773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2958),
  [1775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2933),
  [1777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1102),
  [1779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3049),
  [1781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1155),
  [1783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1445),
  [1785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1445),
  [1787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1256),
  [1789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1256),
  [1791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(770),
  [1793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(636),
  [1795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(636),
  [1797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(32),
  [1799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(110),
  [1801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1325),
  [1803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1325),
  [1805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1398),
  [1807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1398),
  [1809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1440),
  [1811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1440),
  [1813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1375),
  [1815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1375),
  [1817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1376),
  [1819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1376),
  [1821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1458),
  [1823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1458),
  [1825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(634),
  [1827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [1829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1378),
  [1831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1378),
  [1833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1264),
  [1835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1264),
  [1837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1368),
  [1839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1368),
  [1841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1403),
  [1843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1403),
  [1845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1330),
  [1847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1330),
  [1849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1383),
  [1851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1383),
  [1853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1408),
  [1855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1408),
  [1857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(656),
  [1859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [1861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(649),
  [1863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(649),
  [1865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(646),
  [1867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(646),
  [1869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(648),
  [1871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(648),
  [1873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1255),
  [1875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1255),
  [1877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1258),
  [1879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1258),
  [1881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2264),
  [1883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1263),
  [1885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1263),
  [1887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(131),
  [1889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(163),
  [1891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1344),
  [1893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1344),
  [1895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1098),
  [1897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(654),
  [1899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(654),
  [1901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(61),
  [1903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(117),
  [1905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3005),
  [1907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1350),
  [1909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1350),
  [1911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(138),
  [1913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(212),
  [1915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(652),
  [1917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(652),
  [1919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1272),
  [1921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1272),
  [1923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1270),
  [1925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1270),
  [1927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1279),
  [1929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1279),
  [1931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1269),
  [1933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1269),
  [1935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1446),
  [1937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1446),
  [1939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1320),
  [1941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1320),
  [1943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(660),
  [1945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(660),
  [1947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(631),
  [1949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(631),
  [1951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1250),
  [1953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1250),
  [1955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1278),
  [1957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1278),
  [1959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1299),
  [1961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1299),
  [1963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1331),
  [1965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1331),
  [1967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1298),
  [1969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1298),
  [1971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1387),
  [1973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1387),
  [1975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1335),
  [1977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1335),
  [1979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1394),
  [1981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1394),
  [1983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1303),
  [1985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1303),
  [1987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(135),
  [1989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(194),
  [1991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1291),
  [1993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1291),
  [1995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1306),
  [1997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1306),
  [1999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1311),
  [2001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1311),
  [2003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1428),
  [2005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1428),
  [2007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(647),
  [2009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(647),
  [2011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1442),
  [2013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1442),
  [2015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2523),
  [2017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1288),
  [2019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1288),
  [2021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(136),
  [2023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(197),
  [2025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1385),
  [2027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1385),
  [2029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1404),
  [2031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1404),
  [2033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1277),
  [2035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1277),
  [2037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1382),
  [2039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1382),
  [2041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1316),
  [2043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1316),
  [2045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(639),
  [2047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(639),
  [2049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1282),
  [2051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1282),
  [2053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3108),
  [2055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1381),
  [2057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1381),
  [2059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(140),
  [2061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(215),
  [2063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1352),
  [2065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1352),
  [2067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1334),
  [2069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1334),
  [2071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1406),
  [2073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1406),
  [2075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1224),
  [2077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(668),
  [2079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(668),
  [2081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(103),
  [2083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(120),
  [2085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1309),
  [2087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1309),
  [2089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(670),
  [2091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [2093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1310),
  [2095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1310),
  [2097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1419),
  [2099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1419),
  [2101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(662),
  [2103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(662),
  [2105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(664),
  [2107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(664),
  [2109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2417),
  [2111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1273),
  [2113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1273),
  [2115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(132),
  [2117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(172),
  [2119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(661),
  [2121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(661),
  [2123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1300),
  [2125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1300),
  [2127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1439),
  [2129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1439),
  [2131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1324),
  [2133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1324),
  [2135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1366),
  [2137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1366),
  [2139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(663),
  [2141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(663),
  [2143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1425),
  [2145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1425),
  [2147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1361),
  [2149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1361),
  [2151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1402),
  [2153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1402),
  [2155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1401),
  [2157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1401),
  [2159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1332),
  [2161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1332),
  [2163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1314),
  [2165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1314),
  [2167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1296),
  [2169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1296),
  [2171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1370),
  [2173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1370),
  [2175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(666),
  [2177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(666),
  [2179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(657),
  [2181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(657),
  [2183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1399),
  [2185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1399),
  [2187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1345),
  [2189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1345),
  [2191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1323),
  [2193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1323),
  [2195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1395),
  [2197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1395),
  [2199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1253),
  [2201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1253),
  [2203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1275),
  [2205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1275),
  [2207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1422),
  [2209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1422),
  [2211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1261),
  [2213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1261),
  [2215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1412),
  [2217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1412),
  [2219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1357),
  [2221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1357),
  [2223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1265),
  [2225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1265),
  [2227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1435),
  [2229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1435),
  [2231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1319),
  [2233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1319),
  [2235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1347),
  [2237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1347),
  [2239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(644),
  [2241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(644),
  [2243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1430),
  [2245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1430),
  [2247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1433),
  [2249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1433),
  [2251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1415),
  [2253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1415),
  [2255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1356),
  [2257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1356),
  [2259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1367),
  [2261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1367),
  [2263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1391),
  [2265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1391),
  [2267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1416),
  [2269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1416),
  [2271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1434),
  [2273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1434),
  [2275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1294),
  [2277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1294),
  [2279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(653),
  [2281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(653),
  [2283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1429),
  [2285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1429),
  [2287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1420),
  [2289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1420),
  [2291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1360),
  [2293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1360),
  [2295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(637),
  [2297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(637),
  [2299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(629),
  [2301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(629),
  [2303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1351),
  [2305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1351),
  [2307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1409),
  [2309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1409),
  [2311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1432),
  [2313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1432),
  [2315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1449),
  [2317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1449),
  [2319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(633),
  [2321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(633),
  [2323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1302),
  [2325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1302),
  [2327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1289),
  [2329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1289),
  [2331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1400),
  [2333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1400),
  [2335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1411),
  [2337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1411),
  [2339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1396),
  [2341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1396),
  [2343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1348),
  [2345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1348),
  [2347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1424),
  [2349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1424),
  [2351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1426),
  [2353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1426),
  [2355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1373),
  [2357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1373),
  [2359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1318),
  [2361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1318),
  [2363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1388),
  [2365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1388),
  [2367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1438),
  [2369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1438),
  [2371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1339),
  [2373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1339),
  [2375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2942),
  [2377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1359),
  [2379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1359),
  [2381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(137),
  [2383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(208),
  [2385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1390),
  [2387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1390),
  [2389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1386),
  [2391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1386),
  [2393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(638),
  [2395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(638),
  [2397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1259),
  [2399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1259),
  [2401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1365),
  [2403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1365),
  [2405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(630),
  [2407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(630),
  [2409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1301),
  [2411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1301),
  [2413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1372),
  [2415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1372),
  [2417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1384),
  [2419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1384),
  [2421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1338),
  [2423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1338),
  [2425] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__range_operator, 1, 0, 0),
  [2427] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__range_operator, 1, 0, 0),
  [2429] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__primary_expression, 1, 0, 4),
  [2431] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 4),
  [2433] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__three_dot_operator, 1, 0, 0),
  [2435] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__three_dot_operator, 1, 0, 0),
  [2437] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__prefix_unary_operator, 1, 0, 0),
  [2439] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__prefix_unary_operator, 1, 0, 0),
  [2441] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__additive_operator, 1, 0, 0), REDUCE(sym__prefix_unary_operator, 1, 0, 0),
  [2444] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__additive_operator, 1, 0, 0),
  [2446] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__additive_operator, 1, 0, 0), REDUCE(sym__prefix_unary_operator, 1, 0, 0),
  [2449] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__additive_operator, 1, 0, 0),
  [2451] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_custom_operator, 1, 0, 0),
  [2453] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_custom_operator, 1, 0, 0),
  [2455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_open_end_range_expression, 2, 0, 24),
  [2457] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_open_end_range_expression, 2, 0, 24),
  [2459] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__prefix_unary_operator, 1, 0, 0), REDUCE(sym__referenceable_operator, 1, 0, 0),
  [2462] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__referenceable_operator, 1, 0, 0),
  [2464] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__prefix_unary_operator, 1, 0, 0), REDUCE(sym__referenceable_operator, 1, 0, 0),
  [2467] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__referenceable_operator, 1, 0, 0),
  [2469] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bang, 1, 0, 0),
  [2471] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bang, 1, 0, 0),
  [2473] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_shebang_line, 2, 0, 0),
  [2475] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_shebang_line, 2, 0, 0),
  [2477] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__contextual_simple_identifier, 1, 0, 0), SHIFT(702),
  [2480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(613),
  [2482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(612),
  [2484] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__contextual_simple_identifier, 1, 0, 0), SHIFT(3172),
  [2487] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__contextual_simple_identifier, 1, 0, 0), SHIFT(3705),
  [2490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4160),
  [2492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4170),
  [2494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expr_hack_at_ternary_binary_suffix, 1, 0, 0),
  [2496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [2498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [2500] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expr_hack_at_ternary_binary_suffix, 1, 0, 0),
  [2502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(781),
  [2504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [2506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1246),
  [2508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(316),
  [2510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_directly_assignable_expression, 1, 0, 0),
  [2512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(315),
  [2514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [2516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [2518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [2520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3734),
  [2522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(567),
  [2524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(568),
  [2526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(753),
  [2528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(326),
  [2530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(737),
  [2532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4610),
  [2534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [2536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [2538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [2540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(567),
  [2542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(737),
  [2544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4462),
  [2546] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_multiplicative_expression, 3, 0, 65),
  [2548] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_multiplicative_expression, 3, 0, 65),
  [2550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_await_expression, 2, 0, 28),
  [2552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(542),
  [2554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [2556] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_await_expression, 2, 0, 28),
  [2558] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression_without_willset_didset, 2, 0, 46),
  [2560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [2562] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression_without_willset_didset, 2, 0, 46),
  [2564] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_parameter_pack, 2, 0, 0),
  [2566] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_value_parameter_pack, 2, 0, 0),
  [2568] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment, 3, 0, 70),
  [2570] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assignment, 3, 0, 70),
  [2572] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_expression, 2, 0, 28),
  [2574] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_expression, 2, 0, 28),
  [2576] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_pack_expansion, 2, 0, 0),
  [2578] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_value_pack_expansion, 2, 0, 0),
  [2580] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_prefix_expression, 2, 0, 30),
  [2582] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_prefix_expression, 2, 0, 30),
  [2584] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_additive_expression, 3, 0, 65),
  [2586] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_additive_expression, 3, 0, 65),
  [2588] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_open_start_range_expression, 2, 0, 27),
  [2590] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_open_start_range_expression, 2, 0, 27),
  [2592] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__enum_entry_suffix, 2, 0, 214),
  [2594] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__enum_entry_suffix, 2, 0, 214),
  [2596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(954),
  [2598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(954),
  [2600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(640),
  [2602] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__contextual_simple_identifier, 1, 0, 0), SHIFT(954),
  [2605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(641),
  [2607] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__contextual_simple_identifier, 1, 0, 0), SHIFT(3190),
  [2610] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__contextual_simple_identifier, 1, 0, 0), SHIFT(3542),
  [2613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4185),
  [2615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4186),
  [2617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(982),
  [2619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(982),
  [2621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(643),
  [2623] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__contextual_simple_identifier, 1, 0, 0), SHIFT(982),
  [2626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(642),
  [2628] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__contextual_simple_identifier, 1, 0, 0), SHIFT(3154),
  [2631] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__contextual_simple_identifier, 1, 0, 0), SHIFT(3575),
  [2634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4096),
  [2636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4097),
  [2638] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__if_let_binding, 3, 0, 13),
  [2640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [2642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [2644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(520),
  [2646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1087),
  [2648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [2650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(307),
  [2652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [2654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(288),
  [2656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [2658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [2660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [2662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3673),
  [2664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(472),
  [2666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(562),
  [2668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1142),
  [2670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(332),
  [2672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1004),
  [2674] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__if_let_binding, 3, 0, 13),
  [2676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4723),
  [2678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [2680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [2682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [2684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [2686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1004),
  [2688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(479),
  [2690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [2692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [2694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(460),
  [2696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1159),
  [2698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [2700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(400),
  [2702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [2704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [2706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(402),
  [2708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [2710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [2712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [2714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3873),
  [2716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(533),
  [2718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(534),
  [2720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1242),
  [2722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(388),
  [2724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1048),
  [2726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4725),
  [2728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [2730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [2732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [2734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(533),
  [2736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1048),
  [2738] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_key_path_expression, 1, 0, 0),
  [2740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3767),
  [2742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4236),
  [2744] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_key_path_expression, 1, 0, 0),
  [2746] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_where_clause, 2, 0, 0),
  [2748] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_where_clause, 2, 0, 0),
  [2750] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__if_condition_sequence_item, 1, 0, 0),
  [2752] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__if_condition_sequence_item, 1, 0, 0),
  [2754] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_control_transfer_statement, 2, 0, 56),
  [2756] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_control_transfer_statement, 2, 0, 56),
  [2758] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__throw_statement, 2, 0, 0),
  [2760] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__throw_statement, 2, 0, 0),
  [2762] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__local_statement, 1, 0, 0),
  [2764] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__local_statement, 1, 0, 0),
  [2766] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__lambda_type_declaration, 2, 0, 55),
  [2768] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__lambda_type_declaration, 2, 0, 55),
  [2770] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__lambda_type_declaration, 4, 0, 139),
  [2772] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__lambda_type_declaration, 4, 0, 139),
  [2774] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__lambda_type_declaration, 3, 0, 101),
  [2776] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__lambda_type_declaration, 3, 0, 101),
  [2778] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__lambda_type_declaration, 2, 0, 0),
  [2780] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__lambda_type_declaration, 2, 0, 0),
  [2782] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__lambda_type_declaration, 3, 0, 99),
  [2784] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__lambda_type_declaration, 3, 0, 99),
  [2786] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__lambda_type_declaration, 3, 0, 102),
  [2788] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__lambda_type_declaration, 3, 0, 102),
  [2790] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__lambda_type_declaration, 2, 0, 54),
  [2792] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__lambda_type_declaration, 2, 0, 54),
  [2794] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_type, 2, 0, 49),
  [2796] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_optional_type, 2, 0, 49),
  [2798] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_user_type_repeat1, 2, 0, 0),
  [2800] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_user_type_repeat1, 2, 0, 0),
  [2802] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_user_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4698),
  [2805] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_user_type, 1, 0, 0),
  [2807] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_user_type, 1, 0, 0),
  [2809] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_user_type, 1, 0, 0), SHIFT(4698),
  [2812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4320),
  [2814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4320),
  [2816] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__fn_call_lambda_arguments, 2, 0, 58), SHIFT(4320),
  [2819] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__fn_call_lambda_arguments, 2, 0, 58),
  [2821] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__fn_call_lambda_arguments, 2, 0, 58),
  [2823] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__fn_call_lambda_arguments, 1, 0, 0), SHIFT(4320),
  [2826] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__fn_call_lambda_arguments, 1, 0, 0),
  [2828] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__fn_call_lambda_arguments, 1, 0, 0),
  [2830] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__fn_call_lambda_arguments_repeat1, 2, 0, 118), SHIFT_REPEAT(4320),
  [2833] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__fn_call_lambda_arguments_repeat1, 2, 0, 118), SHIFT_REPEAT(4320),
  [2836] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__fn_call_lambda_arguments_repeat1, 2, 0, 118),
  [2838] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__fn_call_lambda_arguments_repeat1, 2, 0, 118),
  [2840] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unannotated_type, 1, 0, 0),
  [2842] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unannotated_type, 1, 0, 0),
  [2844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(717),
  [2846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3842),
  [2848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7350),
  [2850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6073),
  [2852] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_user_type, 2, 0, 0),
  [2854] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_user_type, 2, 0, 0),
  [2856] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_user_type, 2, 0, 0), SHIFT(4698),
  [2859] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_optional_type_repeat1, 2, 0, 0),
  [2861] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_optional_type_repeat1, 2, 0, 0),
  [2863] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_optional_type_repeat1, 2, 0, 0), SHIFT_REPEAT(717),
  [2866] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_opaque_type, 2, 0, 0),
  [2868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7609),
  [2870] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_opaque_type, 2, 0, 0),
  [2872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4158),
  [2874] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_existential_type, 2, 0, 0),
  [2876] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_existential_type, 2, 0, 0),
  [2878] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_pack_expansion, 2, 0, 0),
  [2880] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_pack_expansion, 2, 0, 0),
  [2882] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_user_type, 1, 0, 3),
  [2884] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_user_type, 1, 0, 3),
  [2886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3687),
  [2888] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type, 1, 0, 11),
  [2890] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type, 1, 0, 11),
  [2892] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_protocol_composition_type_repeat1, 2, 0, 0),
  [2894] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_protocol_composition_type_repeat1, 2, 0, 0),
  [2896] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type, 2, 0, 19),
  [2898] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type, 2, 0, 19),
  [2900] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter_pack, 2, 0, 0),
  [2902] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_parameter_pack, 2, 0, 0),
  [2904] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__key_path_component, 2, 0, 0),
  [2906] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__key_path_component, 2, 0, 0),
  [2908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(704),
  [2910] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 48),
  [2912] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type, 3, 0, 48),
  [2914] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 2, 0, 0),
  [2916] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_type, 2, 0, 0),
  [2918] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__key_path_component, 1, 0, 0),
  [2920] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__key_path_component, 1, 0, 0),
  [2922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(697),
  [2924] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 3, 0, 58),
  [2926] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 3, 0, 58),
  [2928] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_identifier, 1, 0, 0),
  [2930] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_simple_identifier, 1, 0, 0),
  [2932] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__key_path_component_repeat1, 2, 0, 0),
  [2934] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__key_path_component_repeat1, 2, 0, 0), SHIFT_REPEAT(220),
  [2937] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__key_path_component_repeat1, 2, 0, 0),
  [2939] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__key_path_component_repeat1, 2, 0, 0), SHIFT_REPEAT(704),
  [2942] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__key_path_component_repeat1, 2, 0, 0), SHIFT_REPEAT(704),
  [2945] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__key_path_component_repeat1, 2, 0, 0), SHIFT_REPEAT(737),
  [2948] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__key_path_component_repeat1, 2, 0, 0), SHIFT_REPEAT(737),
  [2951] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 4, 0, 135),
  [2953] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type, 4, 0, 135),
  [2955] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary_type, 5, 0, 134),
  [2957] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dictionary_type, 5, 0, 134),
  [2959] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 3, 0, 90),
  [2961] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type, 3, 0, 90),
  [2963] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 4, 0, 158),
  [2965] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 4, 0, 158),
  [2967] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 4, 0, 92),
  [2969] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_type, 4, 0, 92),
  [2971] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_user_type, 2, 0, 3),
  [2973] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_user_type, 2, 0, 3),
  [2975] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 3, 0, 45),
  [2977] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_type, 3, 0, 45),
  [2979] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 5, 0, 176),
  [2981] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type, 5, 0, 176),
  [2983] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 1, 0, 12),
  [2985] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_type, 1, 0, 12),
  [2987] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_metatype, 3, 0, 0),
  [2989] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_metatype, 3, 0, 0),
  [2991] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parenthesized_type, 3, 0, 45),
  [2993] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parenthesized_type, 3, 0, 45),
  [2995] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__immediate_quest, 1, 0, 0),
  [2997] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__immediate_quest, 1, 0, 0),
  [2999] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__contextual_simple_identifier, 1, 0, 0), REDUCE(sym_property_behavior_modifier, 1, 0, 0),
  [3002] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_behavior_modifier, 1, 0, 0),
  [3004] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_behavior_modifier, 1, 0, 0),
  [3006] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_literal, 4, 0, 53),
  [3008] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_literal, 4, 0, 53),
  [3010] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__fn_call_lambda_arguments_repeat1, 3, 0, 11),
  [3012] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__fn_call_lambda_arguments_repeat1, 3, 0, 11),
  [3014] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_protocol_composition_type, 2, 0, 0),
  [3016] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_protocol_composition_type, 2, 0, 0),
  [3018] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_literal, 2, 0, 0),
  [3020] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_literal, 2, 0, 0),
  [3022] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 4, 0, 28),
  [3024] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 4, 0, 28),
  [3026] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_protocol_composition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4158),
  [3029] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_literal, 3, 0, 0),
  [3031] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_literal, 3, 0, 0),
  [3033] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_literal, 3, 0, 53),
  [3035] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_literal, 3, 0, 53),
  [3037] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_key_path_expression, 2, 0, 0),
  [3039] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_key_path_expression, 2, 0, 0),
  [3041] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__key_path_postfixes, 4, 0, 0),
  [3043] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__key_path_postfixes, 4, 0, 0),
  [3045] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__key_path_postfixes, 3, 0, 0),
  [3047] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__key_path_postfixes, 3, 0, 0),
  [3049] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_key_path_expression, 3, 0, 0),
  [3051] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_key_path_expression, 3, 0, 0),
  [3053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3751),
  [3055] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_key_path_expression_repeat1, 2, 0, 0),
  [3057] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_key_path_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(4236),
  [3060] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_key_path_expression_repeat1, 2, 0, 0),
  [3062] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__key_path_postfixes, 2, 0, 0),
  [3064] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__key_path_postfixes, 2, 0, 0),
  [3066] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 3, 0, 52),
  [3068] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 3, 0, 52),
  [3070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5877),
  [3072] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__block, 3, 0, 0),
  [3074] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__block, 3, 0, 0),
  [3076] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression, 1, 0, 0),
  [3078] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_user_type, 1, 0, 3), REDUCE(sym__expression, 1, 0, 0),
  [3081] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0),
  [3083] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(3781),
  [3086] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__block, 2, 0, 0),
  [3088] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__block, 2, 0, 0),
  [3090] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, 0, 96),
  [3092] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 96),
  [3094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6001),
  [3096] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comparison_expression, 3, 0, 65),
  [3098] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_comparison_expression, 3, 0, 65),
  [3100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3546),
  [3102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4242),
  [3104] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_regex_literal, 1, 0, 0),
  [3106] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_regex_literal, 1, 0, 0),
  [3108] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_self_expression, 1, 0, 0),
  [3110] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_self_expression, 1, 0, 0),
  [3112] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_postfix_expression, 2, 0, 25),
  [3114] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_postfix_expression, 2, 0, 25),
  [3116] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_super_expression, 1, 0, 0),
  [3118] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_super_expression, 1, 0, 0),
  [3120] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nil_coalescing_expression, 3, 0, 69),
  [3122] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nil_coalescing_expression, 3, 0, 69),
  [3124] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_disjunction_expression, 3, 0, 65),
  [3126] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_disjunction_expression, 3, 0, 65),
  [3128] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conjunction_expression, 3, 0, 65),
  [3130] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conjunction_expression, 3, 0, 65),
  [3132] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_navigation_suffix, 2, 0, 68),
  [3134] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_navigation_suffix, 2, 0, 68),
  [3136] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bitwise_operation, 3, 0, 65),
  [3138] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bitwise_operation, 3, 0, 65),
  [3140] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_as_expression, 3, 0, 67),
  [3142] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_as_expression, 3, 0, 67),
  [3144] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_check_expression, 3, 0, 66),
  [3146] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_check_expression, 3, 0, 66),
  [3148] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__playground_literal, 6, 0, 0),
  [3150] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__playground_literal, 6, 0, 0),
  [3152] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_suffix, 1, -1, 16),
  [3154] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_suffix, 1, -1, 16),
  [3156] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_equality_expression, 3, 0, 65),
  [3158] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_equality_expression, 3, 0, 65),
  [3160] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 2, 1, 0),
  [3162] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 2, 1, 0),
  [3164] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_navigation_expression, 2, 0, 23),
  [3166] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_navigation_expression, 2, 0, 23),
  [3168] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_suffix, 2, 0, 58),
  [3170] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_suffix, 2, 0, 58),
  [3172] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_multi_line_string_literal, 3, 0, 44),
  [3174] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_multi_line_string_literal, 3, 0, 44),
  [3176] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression, 2, 0, 0),
  [3178] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression, 2, 0, 0),
  [3180] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_infix_expression, 3, 0, 65),
  [3182] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_infix_expression, 3, 0, 65),
  [3184] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_selector_expression, 4, 0, 0),
  [3186] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_selector_expression, 4, 0, 0),
  [3188] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_range_expression, 3, 0, 64),
  [3190] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_range_expression, 3, 0, 64),
  [3192] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_arguments, 2, 0, 0),
  [3194] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_value_arguments, 2, 0, 0),
  [3196] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_suffix, 2, 0, 58),
  [3198] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_suffix, 2, 0, 58),
  [3200] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_line_string_literal, 2, 0, 0),
  [3202] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_line_string_literal, 2, 0, 0),
  [3204] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_selector_expression, 5, 0, 0),
  [3206] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_selector_expression, 5, 0, 0),
  [3208] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__unary_expression, 1, 0, 0), REDUCE(sym_try_expression, 2, 0, 28),
  [3211] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__unary_expression, 1, 0, 0), REDUCE(sym_try_expression, 2, 0, 28),
  [3214] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__constructor_value_arguments, 2, 0, 0),
  [3216] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__constructor_value_arguments, 2, 0, 0),
  [3218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_suffix, 1, -1, 16),
  [3220] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_suffix, 1, -1, 16),
  [3222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_expression, 2, 0, 22),
  [3224] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_expression, 2, 0, 22),
  [3226] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 5, 0, 28),
  [3228] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 5, 0, 28),
  [3230] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_key_path_string_expression, 4, 0, 0),
  [3232] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_key_path_string_expression, 4, 0, 0),
  [3234] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_literal, 4, 0, 92),
  [3236] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_literal, 4, 0, 92),
  [3238] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression, 1, 0, 0), REDUCE(sym_try_expression, 2, 1, 28),
  [3241] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), REDUCE(sym_try_expression, 2, 1, 28),
  [3244] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_raw_string_literal, 1, 0, 1),
  [3246] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_raw_string_literal, 1, 0, 1),
  [3248] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_literal, 3, 0, 0),
  [3250] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_literal, 3, 0, 0),
  [3252] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__playground_literal, 7, 0, 0),
  [3254] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__playground_literal, 7, 0, 0),
  [3256] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary_literal, 4, 0, 50),
  [3258] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dictionary_literal, 4, 0, 50),
  [3260] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__unary_expression, 1, 0, 0), REDUCE(sym_await_expression, 2, 0, 28),
  [3263] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__unary_expression, 1, 0, 0), REDUCE(sym_await_expression, 2, 0, 28),
  [3266] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_multi_line_string_literal, 2, 0, 0),
  [3268] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_multi_line_string_literal, 2, 0, 0),
  [3270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary_literal, 3, 0, 0),
  [3272] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dictionary_literal, 3, 0, 0),
  [3274] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary_literal, 4, 0, 94),
  [3276] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dictionary_literal, 4, 0, 94),
  [3278] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_expression, 5, 0, 132),
  [3280] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_expression, 5, 0, 132),
  [3282] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression, 1, 0, 0), REDUCE(sym_await_expression, 2, 1, 28),
  [3285] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), REDUCE(sym_await_expression, 2, 1, 28),
  [3288] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_boolean_literal, 1, 0, 0),
  [3290] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_boolean_literal, 1, 0, 0),
  [3292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__constructor_value_arguments, 3, 0, 0),
  [3294] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__constructor_value_arguments, 3, 0, 0),
  [3296] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__multiline_regex_literal, 2, 0, 0),
  [3298] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__multiline_regex_literal, 2, 0, 0),
  [3300] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_arguments, 3, 0, 0),
  [3302] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_value_arguments, 3, 0, 0),
  [3304] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_literal, 5, 0, 92),
  [3306] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_literal, 5, 0, 92),
  [3308] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expr_hack_at_ternary_binary_call, 2, 0, 0),
  [3310] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expr_hack_at_ternary_binary_call, 2, 0, 0),
  [3312] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_expression, 3, 0, 46),
  [3314] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_expression, 3, 0, 46),
  [3316] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__constructor_value_arguments, 4, 0, 0),
  [3318] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__constructor_value_arguments, 4, 0, 0),
  [3320] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, 0, 96),
  [3322] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, 0, 96),
  [3324] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary_literal, 5, 0, 94),
  [3326] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dictionary_literal, 5, 0, 94),
  [3328] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_navigation_expression, 2, 0, 26),
  [3330] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_navigation_expression, 2, 0, 26),
  [3332] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_arguments, 4, 0, 0),
  [3334] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_value_arguments, 4, 0, 0),
  [3336] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ternary_expression, 5, 0, 159),
  [3338] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ternary_expression, 5, 0, 159),
  [3340] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_literal, 3, 0, 45),
  [3342] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_literal, 3, 0, 45),
  [3344] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_raw_string_literal, 2, 0, 37),
  [3346] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_raw_string_literal, 2, 0, 37),
  [3348] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_literal, 2, 0, 0),
  [3350] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_literal, 2, 0, 0),
  [3352] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_expression, 4, 0, 86),
  [3354] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_expression, 4, 0, 86),
  [3356] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_line_string_literal, 3, 0, 44),
  [3358] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_line_string_literal, 3, 0, 44),
  [3360] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary_literal, 4, 0, 0),
  [3362] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dictionary_literal, 4, 0, 0),
  [3364] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_literal, 4, 0, 45),
  [3366] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_literal, 4, 0, 45),
  [3368] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_expression, 6, 0, 175),
  [3370] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_expression, 6, 0, 175),
  [3372] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, 0, 52),
  [3374] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, 0, 52),
  [3376] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary_literal, 3, 0, 50),
  [3378] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dictionary_literal, 3, 0, 50),
  [3380] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_suffix, 1, 0, 0),
  [3382] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_suffix, 1, 0, 0),
  [3384] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_constructor_suffix, 1, 0, 0), SHIFT(52),
  [3387] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_call_suffix, 1, 0, 0), REDUCE(sym_expr_hack_at_ternary_binary_call_suffix, 1, 0, 0),
  [3390] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_call_suffix, 1, 0, 0), REDUCE(sym_expr_hack_at_ternary_binary_call_suffix, 1, 0, 0),
  [3393] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_call_suffix, 1, 0, 0), REDUCE(sym_expr_hack_at_ternary_binary_call_suffix, 1, 0, 0), SHIFT(52),
  [3397] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_suffix, 1, 0, 0),
  [3399] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_suffix, 1, 0, 0),
  [3401] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_call_suffix, 1, 0, 0), SHIFT(52),
  [3404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3596),
  [3406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4246),
  [3408] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_modifier, 1, 0, 0),
  [3410] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_modifier, 1, 0, 0),
  [3412] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_visibility_modifier, 1, 0, 0),
  [3414] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__contextual_simple_identifier, 1, 0, 0), SHIFT(7640),
  [3417] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_visibility_modifier, 1, 0, 0),
  [3419] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__contextual_simple_identifier, 1, 0, 0), REDUCE(sym_parameter_modifier, 1, 0, 0),
  [3422] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__contextual_simple_identifier, 1, 0, 0), REDUCE(sym_visibility_modifier, 1, 0, 0),
  [3425] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__contextual_simple_identifier, 1, 0, 0), SHIFT(7839),
  [3428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(950),
  [3430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3819),
  [3432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6046),
  [3434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7234),
  [3436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4183),
  [3438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(983),
  [3440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3850),
  [3442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6090),
  [3444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5797),
  [3446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5797),
  [3448] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__contextual_simple_identifier, 1, 0, 0), SHIFT(5797),
  [3451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7301),
  [3453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4094),
  [3455] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__contextual_simple_identifier, 1, 0, 0), REDUCE(sym_property_behavior_modifier, 1, 0, 0),
  [3458] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_user_type, 2, 0, 0), SHIFT(4583),
  [3461] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_user_type, 1, 0, 0), SHIFT(4583),
  [3464] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_optional_type_repeat1, 2, 0, 0), SHIFT_REPEAT(950),
  [3467] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_user_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4583),
  [3470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1514),
  [3472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1514),
  [3474] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__contextual_simple_identifier, 1, 0, 0), SHIFT(1514),
  [3477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(928),
  [3479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(930),
  [3481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3206),
  [3483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3701),
  [3485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4029),
  [3487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4030),
  [3489] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_protocol_composition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4183),
  [3492] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_optional_type_repeat1, 2, 0, 0), SHIFT_REPEAT(983),
  [3495] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_user_type, 1, 0, 0), SHIFT(4605),
  [3498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3524),
  [3500] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_user_type, 2, 0, 0), SHIFT(4605),
  [3503] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_user_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4605),
  [3506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3537),
  [3508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(947),
  [3510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1582),
  [3512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1582),
  [3514] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__contextual_simple_identifier, 1, 0, 0), SHIFT(1582),
  [3517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(945),
  [3519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(944),
  [3521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3175),
  [3523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3698),
  [3525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4073),
  [3527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4074),
  [3529] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__key_path_component_repeat1, 2, 0, 0), SHIFT_REPEAT(234),
  [3532] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__key_path_component_repeat1, 2, 0, 0), SHIFT_REPEAT(947),
  [3535] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__key_path_component_repeat1, 2, 0, 0), SHIFT_REPEAT(947),
  [3538] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__key_path_component_repeat1, 2, 0, 0), SHIFT_REPEAT(1004),
  [3541] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__key_path_component_repeat1, 2, 0, 0), SHIFT_REPEAT(1004),
  [3544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(949),
  [3546] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_protocol_composition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4094),
  [3549] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__key_path_component_repeat1, 2, 0, 0), SHIFT_REPEAT(255),
  [3552] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__key_path_component_repeat1, 2, 0, 0), SHIFT_REPEAT(967),
  [3555] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__key_path_component_repeat1, 2, 0, 0), SHIFT_REPEAT(967),
  [3558] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__key_path_component_repeat1, 2, 0, 0), SHIFT_REPEAT(1048),
  [3561] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__key_path_component_repeat1, 2, 0, 0), SHIFT_REPEAT(1048),
  [3564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1508),
  [3566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1508),
  [3568] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__contextual_simple_identifier, 1, 0, 0), SHIFT(1508),
  [3571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(971),
  [3573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(978),
  [3575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3168),
  [3577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3635),
  [3579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4174),
  [3581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4175),
  [3583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(967),
  [3585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(988),
  [3587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4811),
  [3589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6632),
  [3591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2526),
  [3593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2344),
  [3595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3935),
  [3597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4910),
  [3599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4226),
  [3601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4889),
  [3603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1745),
  [3605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4813),
  [3607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4814),
  [3609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4348),
  [3611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1850),
  [3613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4140),
  [3615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7357),
  [3617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5400),
  [3619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6506),
  [3621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6115),
  [3623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3068),
  [3625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4890),
  [3627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4906),
  [3629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2595),
  [3631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2091),
  [3633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2578),
  [3635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2576),
  [3637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2692),
  [3639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3928),
  [3641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6849),
  [3643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6172),
  [3645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1659),
  [3647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1659),
  [3649] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__contextual_simple_identifier, 1, 0, 0), SHIFT(1659),
  [3652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(996),
  [3654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(995),
  [3656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3151),
  [3658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3593),
  [3660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4067),
  [3662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4068),
  [3664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6206),
  [3666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6806),
  [3668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1782),
  [3670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1782),
  [3672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(999),
  [3674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1000),
  [3676] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__contextual_simple_identifier, 1, 0, 0), SHIFT(3153),
  [3679] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__contextual_simple_identifier, 1, 0, 0), SHIFT(3585),
  [3682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4089),
  [3684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4090),
  [3686] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_class_body_repeat1, 2, 0, 0), SHIFT_REPEAT(4811),
  [3689] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_class_body_repeat1, 2, 0, 0), SHIFT_REPEAT(6632),
  [3692] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_class_body_repeat1, 2, 0, 0), SHIFT_REPEAT(2526),
  [3695] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_class_body_repeat1, 2, 0, 0), SHIFT_REPEAT(2344),
  [3698] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_class_body_repeat1, 2, 0, 0),
  [3700] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_class_body_repeat1, 2, 0, 0), SHIFT_REPEAT(4910),
  [3703] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_class_body_repeat1, 2, 0, 0), SHIFT_REPEAT(4226),
  [3706] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_class_body_repeat1, 2, 0, 0), SHIFT_REPEAT(4889),
  [3709] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_class_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1745),
  [3712] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_class_body_repeat1, 2, 0, 0), SHIFT_REPEAT(4813),
  [3715] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_class_body_repeat1, 2, 0, 0), SHIFT_REPEAT(4814),
  [3718] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_class_body_repeat1, 2, 0, 0), SHIFT_REPEAT(4348),
  [3721] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_class_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1850),
  [3724] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_class_body_repeat1, 2, 0, 0), SHIFT_REPEAT(4140),
  [3727] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_class_body_repeat1, 2, 0, 0), SHIFT_REPEAT(7357),
  [3730] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_class_body_repeat1, 2, 0, 0), SHIFT_REPEAT(5400),
  [3733] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_class_body_repeat1, 2, 0, 0), SHIFT_REPEAT(6506),
  [3736] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_class_body_repeat1, 2, 0, 0), SHIFT_REPEAT(6115),
  [3739] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_class_body_repeat1, 2, 0, 0), SHIFT_REPEAT(3068),
  [3742] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_class_body_repeat1, 2, 0, 0), SHIFT_REPEAT(4890),
  [3745] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_class_body_repeat1, 2, 0, 0), SHIFT_REPEAT(4906),
  [3748] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_class_body_repeat1, 2, 0, 0), SHIFT_REPEAT(4507),
  [3751] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_class_body_repeat1, 2, 0, 0), SHIFT_REPEAT(2595),
  [3754] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_class_body_repeat1, 2, 0, 0), SHIFT_REPEAT(2091),
  [3757] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_class_body_repeat1, 2, 0, 0), SHIFT_REPEAT(2578),
  [3760] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_class_body_repeat1, 2, 0, 0), SHIFT_REPEAT(2576),
  [3763] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_class_body_repeat1, 2, 0, 0), SHIFT_REPEAT(2572),
  [3766] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_class_body_repeat1, 2, 0, 0), SHIFT_REPEAT(2571),
  [3769] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_class_body_repeat1, 2, 0, 0), SHIFT_REPEAT(2571),
  [3772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2768),
  [3774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3525),
  [3776] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_key_path_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(4242),
  [3779] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_constructor_suffix, 1, 0, 0), SHIFT(34),
  [3782] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_call_suffix, 1, 0, 0), SHIFT(34),
  [3785] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_call_suffix, 1, 0, 0), REDUCE(sym_expr_hack_at_ternary_binary_call_suffix, 1, 0, 0), SHIFT(34),
  [3789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1866),
  [3791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1866),
  [3793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1016),
  [3795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1013),
  [3797] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__contextual_simple_identifier, 1, 0, 0), SHIFT(3203),
  [3800] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__contextual_simple_identifier, 1, 0, 0), SHIFT(3736),
  [3803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4159),
  [3805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4161),
  [3807] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_operator, 1, 0, 0),
  [3809] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_operator, 1, 0, 0),
  [3811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1245),
  [3813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1245),
  [3815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6005),
  [3817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4785),
  [3819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6846),
  [3821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4233),
  [3823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4826),
  [3825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1778),
  [3827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4783),
  [3829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4782),
  [3831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4112),
  [3833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7846),
  [3835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5381),
  [3837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6527),
  [3839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6401),
  [3841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3195),
  [3843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4827),
  [3845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4836),
  [3847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5627),
  [3849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5627),
  [3851] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_user_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4720),
  [3854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6008),
  [3856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2934),
  [3858] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_call_suffix, 1, 0, 0), SHIFT(33),
  [3861] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_constructor_suffix, 1, 0, 0), SHIFT(33),
  [3864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5628),
  [3866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5628),
  [3868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3560),
  [3870] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_modifiers, 1, 0, 0),
  [3872] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_modifiers, 1, 0, 0),
  [3874] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_user_type, 1, 0, 0), SHIFT(4720),
  [3877] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__async_modifier, 1, 0, 0),
  [3879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1043),
  [3881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1046),
  [3883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4121),
  [3885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4120),
  [3887] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_call_suffix, 1, 0, 0), REDUCE(sym_expr_hack_at_ternary_binary_call_suffix, 1, 0, 0), SHIFT(33),
  [3891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1917),
  [3893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1917),
  [3895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1050),
  [3897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1057),
  [3899] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__contextual_simple_identifier, 1, 0, 0), SHIFT(3161),
  [3902] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__contextual_simple_identifier, 1, 0, 0), SHIFT(3566),
  [3905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4129),
  [3907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4130),
  [3909] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__lambda_type_declaration_repeat1, 2, 0, 0),
  [3911] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__lambda_type_declaration_repeat1, 2, 0, 0),
  [3913] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__lambda_type_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(4522),
  [3916] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_user_type, 2, 0, 0), SHIFT(4720),
  [3919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6406),
  [3921] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_key_path_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(4246),
  [3924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3893),
  [3926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5938),
  [3928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1991),
  [3930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1991),
  [3932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1071),
  [3934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1072),
  [3936] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__contextual_simple_identifier, 1, 0, 0), SHIFT(3169),
  [3939] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__contextual_simple_identifier, 1, 0, 0), SHIFT(3623),
  [3942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4015),
  [3944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4016),
  [3946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [3948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6492),
  [3950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5942),
  [3952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3697),
  [3954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [3956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6701),
  [3958] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_member_declarations, 2, 0, 0),
  [3960] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_member_declarations, 3, 0, 0),
  [3962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2018),
  [3964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2018),
  [3966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1146),
  [3968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1153),
  [3970] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__contextual_simple_identifier, 1, 0, 0), SHIFT(3202),
  [3973] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__contextual_simple_identifier, 1, 0, 0), SHIFT(3626),
  [3976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3991),
  [3978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3990),
  [3980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2092),
  [3982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2092),
  [3984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1202),
  [3986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1220),
  [3988] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__contextual_simple_identifier, 1, 0, 0), SHIFT(3184),
  [3991] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__contextual_simple_identifier, 1, 0, 0), SHIFT(3688),
  [3994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4044),
  [3996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4043),
  [3998] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute, 5, 0, 0),
  [4000] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 5, 0, 0),
  [4002] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute, 6, 0, 0),
  [4004] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 6, 0, 0),
  [4006] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute, 2, 0, 0),
  [4008] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 2, 0, 0),
  [4010] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_attribute, 2, 0, 0), SHIFT(282),
  [4013] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__labeled_statement, 1, 0, 0),
  [4015] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__labeled_statement, 1, 0, 0),
  [4017] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_operator, 2, 0, 0),
  [4019] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_operator, 2, 0, 0),
  [4021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2217),
  [4023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2217),
  [4025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1249),
  [4027] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__contextual_simple_identifier, 1, 0, 0), SHIFT(2217),
  [4030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1248),
  [4032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3197),
  [4034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3572),
  [4036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4106),
  [4038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4108),
  [4040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [4042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [4044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(553),
  [4046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2136),
  [4048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [4050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(328),
  [4052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [4054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(337),
  [4056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [4058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [4060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [4062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3855),
  [4064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(543),
  [4066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(539),
  [4068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2182),
  [4070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(366),
  [4072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2026),
  [4074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4703),
  [4076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [4078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [4080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [4082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(543),
  [4084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2026),
  [4086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(473),
  [4088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2609),
  [4090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2609),
  [4092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1254),
  [4094] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__contextual_simple_identifier, 1, 0, 0), SHIFT(2609),
  [4097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1252),
  [4099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3165),
  [4101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3552),
  [4103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4154),
  [4105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4155),
  [4107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [4109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [4111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(449),
  [4113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2397),
  [4115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [4117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(370),
  [4119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [4121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [4123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(369),
  [4125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [4127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [4129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [4131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3782),
  [4133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(476),
  [4135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(474),
  [4137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2410),
  [4139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(397),
  [4141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2065),
  [4143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4593),
  [4145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [4147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [4149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [4151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(476),
  [4153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2065),
  [4155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2747),
  [4157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2747),
  [4159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1267),
  [4161] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__contextual_simple_identifier, 1, 0, 0), SHIFT(2747),
  [4164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1280),
  [4166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3167),
  [4168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3549),
  [4170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4179),
  [4172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4180),
  [4174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [4176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [4178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2592),
  [4180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [4182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(409),
  [4184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(410),
  [4186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [4188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [4190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [4192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3890),
  [4194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(510),
  [4196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(512),
  [4198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2494),
  [4200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(408),
  [4202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2163),
  [4204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4729),
  [4206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [4208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [4210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [4212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [4214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2163),
  [4216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(499),
  [4218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [4220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [4222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [4224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(357),
  [4226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(359),
  [4228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [4230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [4232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [4234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3722),
  [4236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(600),
  [4238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(575),
  [4240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(338),
  [4242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [4244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [4246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [4248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(600),
  [4250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(436),
  [4252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(581),
  [4254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3091),
  [4256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(577),
  [4258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [4260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(428),
  [4262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1199),
  [4264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(430),
  [4266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(815),
  [4268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(437),
  [4270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3035),
  [4272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [4274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [4276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(585),
  [4278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2805),
  [4280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [4282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(314),
  [4284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [4286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(321),
  [4288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [4290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [4292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [4294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3839),
  [4296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(537),
  [4298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(521),
  [4300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2876),
  [4302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(395),
  [4304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2354),
  [4306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4692),
  [4308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [4310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [4312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [4314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [4316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2354),
  [4318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [4320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(442),
  [4322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1069),
  [4324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(429),
  [4326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2451),
  [4328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(433),
  [4330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2255),
  [4332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(425),
  [4334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3037),
  [4336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [4338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [4340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2678),
  [4342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [4344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(325),
  [4346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(345),
  [4348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [4350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [4352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [4354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3815),
  [4356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(528),
  [4358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(487),
  [4360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2992),
  [4362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(302),
  [4364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2320),
  [4366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4626),
  [4368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [4370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [4372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [4374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(528),
  [4376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2320),
  [4378] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_macro_definition, 2, 0, 130),
  [4380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(426),
  [4382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2612),
  [4384] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__binding_pattern_with_expr, 1, 0, 0),
  [4386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(284),
  [4388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2424),
  [4390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3462),
  [4392] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_argument, 1, 0, 40),
  [4394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3118),
  [4396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4799),
  [4398] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_argument, 2, 0, 46),
  [4400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2432),
  [4402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2175),
  [4404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(595),
  [4406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1181),
  [4408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1214),
  [4410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(276),
  [4412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [4414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1173),
  [4416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3047),
  [4418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2323),
  [4420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2627),
  [4422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2261),
  [4424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2848),
  [4426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2593),
  [4428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3100),
  [4430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(549),
  [4432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2425),
  [4434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [4436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [4438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3086),
  [4440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [4442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(363),
  [4444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(384),
  [4446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [4448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [4450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [4452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3776),
  [4454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(590),
  [4456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(594),
  [4458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3052),
  [4460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(331),
  [4462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2499),
  [4464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4641),
  [4466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [4468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [4470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [4472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(590),
  [4474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2499),
  [4476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2833),
  [4478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(762),
  [4480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(571),
  [4482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [4484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [4486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(800),
  [4488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2440),
  [4490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2580),
  [4492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [4494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1063),
  [4496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2743),
  [4498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1103),
  [4500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3019),
  [4502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3027),
  [4504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1061),
  [4506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2381),
  [4508] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__top_level_statement, 1, 0, 0),
  [4510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2128),
  [4512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_argument, 4, 0, 132),
  [4514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2935),
  [4516] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_argument, 3, 0, 126),
  [4518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(808),
  [4520] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_capture_list_item, 4, 0, 132),
  [4522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__attribute_argument, 1, 0, 0),
  [4524] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__attribute_argument, 3, 0, 0),
  [4526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(443),
  [4528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [4530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_value_parameter, 4, 0, 191),
  [4532] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__playground_literal_repeat1, 4, 0, 0),
  [4534] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_tuple_expression_repeat1, 2, 0, 46),
  [4536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_value_parameter, 3, 0, 152),
  [4538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_literal_repeat1, 2, 0, 45),
  [4540] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_tuple_expression_repeat1, 4, 0, 132),
  [4542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__dictionary_literal_item, 3, 0, 91),
  [4544] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_capture_list_item, 3, 0, 126),
  [4546] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_type_parameters_repeat1, 4, 0, 58),
  [4548] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_type_parameters_repeat1, 6, 0, 192),
  [4550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_type_parameters_repeat1, 7, 0, 252),
  [4552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1227),
  [4554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [4556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1231),
  [4558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1241),
  [4560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [4562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [4564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(787),
  [4566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3239),
  [4568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3239),
  [4570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1410),
  [4572] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__contextual_simple_identifier, 1, 0, 0), SHIFT(3239),
  [4575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1414),
  [4577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3164),
  [4579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3563),
  [4581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4137),
  [4583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4138),
  [4585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(778),
  [4587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2141),
  [4589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1152),
  [4591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2822),
  [4593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1115),
  [4595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2387),
  [4597] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_collection, 1, 0, 0),
  [4599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2587),
  [4601] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement_await, 2, 0, 0),
  [4603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2948),
  [4605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [4607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(773),
  [4609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2945),
  [4611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1090),
  [4613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [4615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3069),
  [4617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2337),
  [4619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [4621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [4623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2382),
  [4625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2191),
  [4627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2895),
  [4629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2192),
  [4631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2916),
  [4633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2917),
  [4635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [4637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [4639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2605),
  [4641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3128),
  [4643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2610),
  [4645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [4647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3125),
  [4649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [4651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [4653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [4655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [4657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [4659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [4661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [4663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [4665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [4667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [4669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [4671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [4673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3609),
  [4675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4245),
  [4677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6822),
  [4679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4895),
  [4681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3317),
  [4683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5395),
  [4685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7176),
  [4687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6292),
  [4689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2525),
  [4691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4844),
  [4693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7017),
  [4695] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__contextual_simple_identifier, 1, 0, 0), REDUCE(sym_parameter_modifier, 1, 0, 0),
  [4698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2765),
  [4700] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_parameter, 1, 0, 11),
  [4702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3272),
  [4704] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_parameter, 1, 0, 11),
  [4706] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__protocol_member_declarations, 3, 0, 148),
  [4708] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__protocol_member_declarations, 2, 0, 109),
  [4710] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__contextual_simple_identifier, 1, 0, 0), SHIFT(5797),
  [4713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3720),
  [4715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4243),
  [4717] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__async_modifier, 1, 0, 0),
  [4719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3580),
  [4721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4237),
  [4723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3648),
  [4725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4247),
  [4727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3655),
  [4729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4238),
  [4731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1569),
  [4733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3522),
  [4735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6049),
  [4737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3755),
  [4739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4241),
  [4741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7607),
  [4743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4023),
  [4745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3668),
  [4747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4696),
  [4749] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_user_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4696),
  [4752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1631),
  [4754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3724),
  [4756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6061),
  [4758] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression, 1, 0, 0), REDUCE(sym_lambda_parameter, 1, 0, 11),
  [4761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [4763] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0),
  [4765] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(2526),
  [4768] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(2344),
  [4771] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(2578),
  [4774] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(2525),
  [4777] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(4507),
  [4780] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(2595),
  [4783] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(2091),
  [4786] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(2576),
  [4789] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(2572),
  [4792] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(2571),
  [4795] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(2571),
  [4798] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_optional_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1569),
  [4801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3595),
  [4803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1606),
  [4805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3835),
  [4807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6064),
  [4809] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_optional_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1606),
  [4812] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_user_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4690),
  [4815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3664),
  [4817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7565),
  [4819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4071),
  [4821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4690),
  [4823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1733),
  [4825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3691),
  [4827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6059),
  [4829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7407),
  [4831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4172),
  [4833] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_modifiers, 1, 0, 0),
  [4835] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_modifiers, 1, 0, 0), SHIFT(2578),
  [4838] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_optional_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1631),
  [4841] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_user_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4586),
  [4844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4586),
  [4846] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__attribute_argument_repeat2, 1, 0, 0),
  [4848] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__attribute_argument_repeat2, 1, 0, 0),
  [4850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [4852] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_protocol_composition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4023),
  [4855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1807),
  [4857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3774),
  [4859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6078),
  [4861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7322),
  [4863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4065),
  [4865] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_user_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4628),
  [4868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4628),
  [4870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3551),
  [4872] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_declaration, 3, 0, 59),
  [4874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4322),
  [4876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [4878] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_init_declaration, 3, 0, 59),
  [4880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2377),
  [4882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3344),
  [4884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1804),
  [4886] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_optional_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1733),
  [4889] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_declaration, 4, 0, 125),
  [4891] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_init_declaration, 4, 0, 125),
  [4893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1810),
  [4895] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__single_modifierless_property_declaration, 1, 0, 34),
  [4897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3455),
  [4899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [4901] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__single_modifierless_property_declaration, 1, 0, 34),
  [4903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(480),
  [4905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3340),
  [4907] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_declaration, 3, 0, 61),
  [4909] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_init_declaration, 3, 0, 61),
  [4911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1785),
  [4913] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_declaration, 6, 0, 199),
  [4915] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_init_declaration, 6, 0, 199),
  [4917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1800),
  [4919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7308),
  [4921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4088),
  [4923] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_declaration, 2, 0, 20),
  [4925] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_init_declaration, 2, 0, 20),
  [4927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1822),
  [4929] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_protocol_composition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4071),
  [4932] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_declaration, 4, 0, 113),
  [4934] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_init_declaration, 4, 0, 113),
  [4936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1819),
  [4938] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_declaration, 5, 0, 143),
  [4940] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_init_declaration, 5, 0, 143),
  [4942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1806),
  [4944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1781),
  [4946] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_declaration, 4, 0, 106),
  [4948] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_init_declaration, 4, 0, 106),
  [4950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1814),
  [4952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1805),
  [4954] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_declaration, 5, 0, 165),
  [4956] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_init_declaration, 5, 0, 165),
  [4958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1794),
  [4960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1838),
  [4962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3778),
  [4964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6011),
  [4966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1818),
  [4968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7378),
  [4970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4139),
  [4972] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_protocol_composition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4172),
  [4975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3859),
  [4977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5901),
  [4979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1905),
  [4981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3869),
  [4983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6094),
  [4985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7280),
  [4987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4126),
  [4989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4135),
  [4991] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_user_type, 2, 0, 0), SHIFT(4620),
  [4994] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_user_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4620),
  [4997] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_user_type, 1, 0, 0), SHIFT(4620),
  [5000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1984),
  [5002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3500),
  [5004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6036),
  [5006] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_optional_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1807),
  [5009] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__bound_identifier, 1, 0, 15),
  [5011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3781),
  [5013] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__bound_identifier, 1, 0, 15),
  [5015] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_user_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4596),
  [5018] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_protocol_composition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4065),
  [5021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2005),
  [5023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3508),
  [5025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6042),
  [5027] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__single_modifierless_property_declaration, 2, 0, 34),
  [5029] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__single_modifierless_property_declaration, 2, 0, 34),
  [5031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7220),
  [5033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4011),
  [5035] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__case_pattern, 4, 0, 0),
  [5037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [5039] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__case_pattern, 4, 0, 0),
  [5041] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_protocol_composition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4088),
  [5044] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_optional_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1838),
  [5047] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_property_modifier, 1, 0, 0), SHIFT(5797),
  [5050] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_modifier, 1, 0, 0),
  [5052] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_property_modifier, 1, 0, 0), SHIFT(1850),
  [5055] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_property_modifier, 1, 0, 0), SHIFT(5407),
  [5058] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_modifier, 1, 0, 0),
  [5060] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__case_pattern, 3, 0, 0),
  [5062] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__case_pattern, 3, 0, 0),
  [5064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2037),
  [5066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3630),
  [5068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5993),
  [5070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3544),
  [5072] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_user_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4728),
  [5075] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_user_type, 2, 0, 0), SHIFT(4728),
  [5078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7380),
  [5080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3992),
  [5082] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__case_pattern, 2, 0, 0),
  [5084] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__case_pattern, 2, 0, 0),
  [5086] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_user_type, 1, 0, 0), SHIFT(4728),
  [5089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7491),
  [5091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4048),
  [5093] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__no_expr_pattern_already_bound, 1, 0, 17),
  [5095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1913),
  [5097] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__no_expr_pattern_already_bound, 1, 0, 17),
  [5099] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__binding_pattern_no_expr, 1, 0, 17),
  [5101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4596),
  [5103] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__single_modifierless_property_declaration, 3, 0, 34),
  [5105] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__single_modifierless_property_declaration, 3, 0, 34),
  [5107] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_property_modifier, 1, 0, 0), SHIFT(5364),
  [5110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4911),
  [5112] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_modifiers_repeat1, 1, 0, 0),
  [5114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4908),
  [5116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4152),
  [5118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7868),
  [5120] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_modifiers_repeat1, 1, 0, 0),
  [5122] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_declaration, 4, 0, 61),
  [5124] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_init_declaration, 4, 0, 61),
  [5126] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_protocol_composition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4139),
  [5129] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_declaration, 6, 0, 165),
  [5131] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_init_declaration, 6, 0, 165),
  [5133] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_declaration, 7, 0, 199),
  [5135] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_init_declaration, 7, 0, 199),
  [5137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_entry, 4, 0, 219),
  [5139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4746),
  [5141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3360),
  [5143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2753),
  [5145] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_entry, 4, 0, 219),
  [5147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [5149] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_declaration, 4, 0, 59),
  [5151] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_init_declaration, 4, 0, 59),
  [5153] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_declaration, 5, 0, 106),
  [5155] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_init_declaration, 5, 0, 106),
  [5157] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_declaration, 6, 0, 143),
  [5159] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_init_declaration, 6, 0, 143),
  [5161] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__no_expr_pattern_already_bound, 1, 0, 16),
  [5163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1914),
  [5165] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__no_expr_pattern_already_bound, 1, 0, 16),
  [5167] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__binding_pattern_no_expr, 1, 0, 16),
  [5169] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_declaration, 5, 0, 125),
  [5171] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_init_declaration, 5, 0, 125),
  [5173] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_user_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4590),
  [5176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1816),
  [5178] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__key_path_component_repeat1, 2, 0, 0), SHIFT_REPEAT(233),
  [5181] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__key_path_component_repeat1, 2, 0, 0), SHIFT_REPEAT(1815),
  [5184] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__key_path_component_repeat1, 2, 0, 0), SHIFT_REPEAT(1815),
  [5187] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__key_path_component_repeat1, 2, 0, 0), SHIFT_REPEAT(2026),
  [5190] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__key_path_component_repeat1, 2, 0, 0), SHIFT_REPEAT(2026),
  [5193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1815),
  [5195] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_declaration, 5, 0, 113),
  [5197] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_init_declaration, 5, 0, 113),
  [5199] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_declaration, 3, 0, 20),
  [5201] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_init_declaration, 3, 0, 20),
  [5203] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_optional_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1905),
  [5206] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_entry, 3, 0, 187),
  [5208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2890),
  [5210] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_entry, 3, 0, 187),
  [5212] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_entry, 2, 0, 19),
  [5214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2697),
  [5216] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_entry, 2, 0, 19),
  [5218] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_user_type, 2, 0, 0), SHIFT(4590),
  [5221] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_user_type, 1, 0, 0), SHIFT(4590),
  [5224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3704),
  [5226] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_casting_pattern, 3, 0, 104),
  [5228] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_casting_pattern, 3, 0, 104),
  [5230] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_user_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4647),
  [5233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1884),
  [5235] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__tuple_pattern, 4, 0, 0),
  [5237] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__tuple_pattern, 4, 0, 0),
  [5239] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression, 1, 0, 0), REDUCE(sym_capture_list_item, 1, 0, 11),
  [5242] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym__simple_user_type, 1, 0, 3), REDUCE(sym__expression, 1, 0, 0), REDUCE(sym_capture_list_item, 1, 0, 11),
  [5246] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(3773),
  [5249] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(448),
  [5252] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_property_modifier, 1, 0, 0), SHIFT(5356),
  [5255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7457),
  [5257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2107),
  [5259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7457),
  [5261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2108),
  [5263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2108),
  [5265] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__locally_permitted_modifiers, 2, 0, 0),
  [5267] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__locally_permitted_modifiers, 2, 0, 0), SHIFT_REPEAT(2526),
  [5270] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__locally_permitted_modifiers, 2, 0, 0), SHIFT_REPEAT(4507),
  [5273] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__locally_permitted_modifiers, 2, 0, 0), SHIFT_REPEAT(2576),
  [5276] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__locally_permitted_modifiers, 2, 0, 0), SHIFT_REPEAT(2571),
  [5279] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__locally_permitted_modifiers, 2, 0, 0), SHIFT_REPEAT(2571),
  [5282] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_protocol_composition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4126),
  [5285] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_optional_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1984),
  [5288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3530),
  [5290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__universally_allowed_pattern, 1, 0, 16),
  [5292] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__universally_allowed_pattern, 1, 0, 16),
  [5294] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_user_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4643),
  [5297] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__function_value_parameters, 2, 0, 63),
  [5299] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__function_value_parameters, 2, 0, 63), SHIFT_REPEAT(4322),
  [5302] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__function_value_parameters, 2, 0, 63),
  [5304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1883),
  [5306] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_entry_repeat1, 2, 0, 19),
  [5308] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_enum_entry_repeat1, 2, 0, 19),
  [5310] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_protocol_composition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4135),
  [5313] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_user_type, 1, 0, 0), SHIFT(4643),
  [5316] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_casting_pattern, 2, 0, 58),
  [5318] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_casting_pattern, 2, 0, 58),
  [5320] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_user_type, 1, 0, 0), SHIFT(4647),
  [5323] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__tuple_pattern, 3, 0, 0),
  [5325] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__tuple_pattern, 3, 0, 0),
  [5327] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__case_pattern, 5, 0, 0),
  [5329] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__case_pattern, 5, 0, 0),
  [5331] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_user_type, 2, 0, 0), SHIFT(4643),
  [5334] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_optional_type_repeat1, 2, 0, 0), SHIFT_REPEAT(2005),
  [5337] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__key_path_component_repeat1, 2, 0, 0), SHIFT_REPEAT(217),
  [5340] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__key_path_component_repeat1, 2, 0, 0), SHIFT_REPEAT(1884),
  [5343] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__key_path_component_repeat1, 2, 0, 0), SHIFT_REPEAT(1884),
  [5346] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__key_path_component_repeat1, 2, 0, 0), SHIFT_REPEAT(2065),
  [5349] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__key_path_component_repeat1, 2, 0, 0), SHIFT_REPEAT(2065),
  [5352] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_user_type, 2, 0, 0), SHIFT(4647),
  [5355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3541),
  [5357] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_parameter, 1, 0, 0),
  [5359] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__primary_expression, 1, 0, 0),
  [5361] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0),
  [5363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4656),
  [5365] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_user_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4609),
  [5368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3579),
  [5370] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__function_value_parameters, 3, 0, 112),
  [5372] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__function_value_parameters, 3, 0, 112),
  [5374] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_protocol_composition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4011),
  [5377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4609),
  [5379] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_user_type, 1, 0, 0), SHIFT(4676),
  [5382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3589),
  [5384] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_optional_type_repeat1, 2, 0, 0), SHIFT_REPEAT(2037),
  [5387] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__no_expr_pattern_already_bound, 2, 0, 17),
  [5389] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__no_expr_pattern_already_bound, 2, 0, 17),
  [5391] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__binding_pattern_no_expr, 2, 0, 17),
  [5393] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__no_expr_pattern_already_bound, 2, 0, 16),
  [5395] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__no_expr_pattern_already_bound, 2, 0, 16),
  [5397] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__binding_pattern_no_expr, 2, 0, 16),
  [5399] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__key_path_component_repeat1, 2, 0, 0), SHIFT_REPEAT(248),
  [5402] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__key_path_component_repeat1, 2, 0, 0), SHIFT_REPEAT(1916),
  [5405] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__key_path_component_repeat1, 2, 0, 0), SHIFT_REPEAT(1916),
  [5408] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__key_path_component_repeat1, 2, 0, 0), SHIFT_REPEAT(2163),
  [5411] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__key_path_component_repeat1, 2, 0, 0), SHIFT_REPEAT(2163),
  [5414] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_user_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4676),
  [5417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1916),
  [5419] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__function_value_parameters, 2, 0, 0),
  [5421] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__function_value_parameters, 2, 0, 0),
  [5423] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__function_value_parameters, 4, 0, 151),
  [5425] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__function_value_parameters, 4, 0, 151),
  [5427] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__possibly_implicitly_unwrapped_type, 1, 0, 16),
  [5429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1961),
  [5431] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__possibly_implicitly_unwrapped_type, 1, 0, 16),
  [5433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1920),
  [5435] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_user_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4656),
  [5438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [5440] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_protocol_composition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(3992),
  [5443] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_user_type, 2, 0, 0), SHIFT(4676),
  [5446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3608),
  [5448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2489),
  [5450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3887),
  [5452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6089),
  [5454] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_declaration, 7, 0, 165),
  [5456] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_init_declaration, 7, 0, 165),
  [5458] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_declaration, 8, 0, 199),
  [5460] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_init_declaration, 8, 0, 199),
  [5462] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_call_suffix, 1, 0, 0), SHIFT(45),
  [5465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2063),
  [5467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1960),
  [5469] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_associatedtype_declaration, 2, 0, 21),
  [5471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3786),
  [5473] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_associatedtype_declaration, 2, 0, 21),
  [5475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3787),
  [5477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1962),
  [5479] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_constructor_suffix, 1, 0, 0), SHIFT(45),
  [5482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__possibly_implicitly_unwrapped_type, 2, 0, 16),
  [5484] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__possibly_implicitly_unwrapped_type, 2, 0, 16),
  [5486] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__key_path_component_repeat1, 2, 0, 0), SHIFT_REPEAT(238),
  [5489] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__key_path_component_repeat1, 2, 0, 0), SHIFT_REPEAT(1962),
  [5492] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__key_path_component_repeat1, 2, 0, 0), SHIFT_REPEAT(1962),
  [5495] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__key_path_component_repeat1, 2, 0, 0), SHIFT_REPEAT(2320),
  [5498] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__key_path_component_repeat1, 2, 0, 0), SHIFT_REPEAT(2320),
  [5501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3571),
  [5503] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_protocol_composition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4048),
  [5506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_associatedtype_declaration, 3, 0, 78),
  [5508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3792),
  [5510] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_associatedtype_declaration, 3, 0, 78),
  [5512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3793),
  [5514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3640),
  [5516] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_declaration, 7, 0, 143),
  [5518] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_init_declaration, 7, 0, 143),
  [5520] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_key_path_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(4245),
  [5523] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_declaration, 4, 0, 20),
  [5525] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_init_declaration, 4, 0, 20),
  [5527] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_call_suffix, 1, 0, 0), REDUCE(sym_expr_hack_at_ternary_binary_call_suffix, 1, 0, 0), SHIFT(45),
  [5531] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_declaration, 6, 0, 125),
  [5533] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_init_declaration, 6, 0, 125),
  [5535] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__key_path_component_repeat1, 2, 0, 0), SHIFT_REPEAT(225),
  [5538] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__key_path_component_repeat1, 2, 0, 0), SHIFT_REPEAT(2010),
  [5541] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__key_path_component_repeat1, 2, 0, 0), SHIFT_REPEAT(2010),
  [5544] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__key_path_component_repeat1, 2, 0, 0), SHIFT_REPEAT(2354),
  [5547] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__key_path_component_repeat1, 2, 0, 0), SHIFT_REPEAT(2354),
  [5550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2010),
  [5552] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_declaration, 6, 0, 113),
  [5554] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_init_declaration, 6, 0, 113),
  [5556] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_declaration, 6, 0, 106),
  [5558] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_init_declaration, 6, 0, 106),
  [5560] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_declaration, 5, 0, 59),
  [5562] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_init_declaration, 5, 0, 59),
  [5564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [5566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2011),
  [5568] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_declaration, 5, 0, 61),
  [5570] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_init_declaration, 5, 0, 61),
  [5572] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_constraints, 2, 0, 0),
  [5574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3335),
  [5576] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_constraints, 2, 0, 0),
  [5578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3101),
  [5580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3849),
  [5582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6082),
  [5584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5886),
  [5586] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_constructor_suffix, 1, 0, 0), SHIFT(51),
  [5589] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_associatedtype_declaration, 5, 0, 167),
  [5591] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_associatedtype_declaration, 5, 0, 167),
  [5593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3803),
  [5595] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_call_suffix, 1, 0, 0), SHIFT(51),
  [5598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7288),
  [5600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4105),
  [5602] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_identifier, 1, 0, 0),
  [5604] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_identifier, 1, 0, 0),
  [5606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4787),
  [5608] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_key_path_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(4243),
  [5611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5884),
  [5613] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_associatedtype_declaration, 4, 0, 116),
  [5615] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_associatedtype_declaration, 4, 0, 116),
  [5617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3796),
  [5619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3533),
  [5621] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_constraints, 3, 0, 0),
  [5623] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_constraints, 3, 0, 0),
  [5625] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_identifier_repeat1, 2, 0, 0),
  [5627] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_identifier_repeat1, 2, 0, 0),
  [5629] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_identifier_repeat1, 2, 0, 0), SHIFT_REPEAT(4787),
  [5632] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__key_path_component_repeat1, 2, 0, 0), SHIFT_REPEAT(250),
  [5635] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__key_path_component_repeat1, 2, 0, 0), SHIFT_REPEAT(2078),
  [5638] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__key_path_component_repeat1, 2, 0, 0), SHIFT_REPEAT(2078),
  [5641] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__key_path_component_repeat1, 2, 0, 0), SHIFT_REPEAT(2499),
  [5644] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__key_path_component_repeat1, 2, 0, 0), SHIFT_REPEAT(2499),
  [5647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3809),
  [5649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2078),
  [5651] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_constraints_repeat1, 2, 0, 0),
  [5653] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_constraints_repeat1, 2, 0, 0), SHIFT_REPEAT(3335),
  [5656] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_type_constraints_repeat1, 2, 0, 0),
  [5658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4594),
  [5660] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mutation_modifier, 1, 0, 0),
  [5662] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_mutation_modifier, 1, 0, 0),
  [5664] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_identifier, 2, 0, 0),
  [5666] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_identifier, 2, 0, 0),
  [5668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2083),
  [5670] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_annotation, 2, 0, 89),
  [5672] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_annotation, 2, 0, 89),
  [5674] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_call_suffix, 1, 0, 0), REDUCE(sym_expr_hack_at_ternary_binary_call_suffix, 1, 0, 0), SHIFT(51),
  [5678] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_user_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4594),
  [5681] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_constraint, 1, 0, 0),
  [5683] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_constraint, 1, 0, 0),
  [5685] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inheritance_constraint, 3, 0, 169),
  [5687] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_inheritance_constraint, 3, 0, 169),
  [5689] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_equality_constraint, 3, 0, 170),
  [5691] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_equality_constraint, 3, 0, 170),
  [5693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [5695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6811),
  [5697] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_entry, 5, 0, 236),
  [5699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2728),
  [5701] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_entry, 5, 0, 236),
  [5703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6050),
  [5705] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inheritance_constraint, 4, 0, 203),
  [5707] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_inheritance_constraint, 4, 0, 203),
  [5709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6012),
  [5711] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_equality_constraint, 4, 0, 204),
  [5713] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_equality_constraint, 4, 0, 204),
  [5715] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__lambda_type_declaration_repeat1, 1, 0, 0),
  [5717] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__lambda_type_declaration_repeat1, 1, 0, 0),
  [5719] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__locally_permitted_modifiers, 1, 0, 0), REDUCE(aux_sym__lambda_type_declaration_repeat1, 1, 0, 0),
  [5722] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__locally_permitted_modifiers, 1, 0, 0),
  [5724] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__locally_permitted_modifiers, 1, 0, 0),
  [5726] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_entry, 5, 0, 238),
  [5728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2725),
  [5730] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_entry, 5, 0, 238),
  [5732] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_declaration, 9, 0, 199),
  [5734] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_init_declaration, 9, 0, 199),
  [5736] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_declaration, 8, 0, 165),
  [5738] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_init_declaration, 8, 0, 165),
  [5740] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_entry, 4, 0, 218),
  [5742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2754),
  [5744] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_entry, 4, 0, 218),
  [5746] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_entry, 4, 0, 217),
  [5748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2755),
  [5750] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_entry, 4, 0, 217),
  [5752] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_entry, 5, 0, 237),
  [5754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2727),
  [5756] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_entry, 5, 0, 237),
  [5758] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_entry_repeat1, 2, 0, 216),
  [5760] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_entry_repeat1, 2, 0, 216), SHIFT_REPEAT(4746),
  [5763] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_enum_entry_repeat1, 2, 0, 216),
  [5765] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_declaration, 8, 0, 143),
  [5767] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_init_declaration, 8, 0, 143),
  [5769] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_declaration, 7, 0, 125),
  [5771] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_init_declaration, 7, 0, 125),
  [5773] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_entry, 4, 0, 215),
  [5775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2756),
  [5777] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_entry, 4, 0, 215),
  [5779] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_declaration, 7, 0, 113),
  [5781] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_init_declaration, 7, 0, 113),
  [5783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3328),
  [5785] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_declaration, 7, 0, 106),
  [5787] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_init_declaration, 7, 0, 106),
  [5789] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_entry, 6, 0, 247),
  [5791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2718),
  [5793] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_entry, 6, 0, 247),
  [5795] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_constraints_repeat1, 2, 0, 0), SHIFT_REPEAT(3328),
  [5798] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_declaration, 6, 0, 61),
  [5800] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_init_declaration, 6, 0, 61),
  [5802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4313),
  [5804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4313),
  [5806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2289),
  [5808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2196),
  [5810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3204),
  [5812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3725),
  [5814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4165),
  [5816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4164),
  [5818] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_declaration, 6, 0, 59),
  [5820] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_init_declaration, 6, 0, 59),
  [5822] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_call_suffix, 1, 0, 0), REDUCE(sym_expr_hack_at_ternary_binary_call_suffix, 1, 0, 0), SHIFT(53),
  [5826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [5828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6587),
  [5830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2399),
  [5832] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_declaration, 5, 0, 20),
  [5834] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_init_declaration, 5, 0, 20),
  [5836] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_optional_type_repeat1, 2, 0, 0), SHIFT_REPEAT(2489),
  [5839] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_constructor_suffix, 1, 0, 0), SHIFT(46),
  [5842] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_call_suffix, 1, 0, 0), SHIFT(46),
  [5845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3539),
  [5847] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_key_path_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(4237),
  [5850] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_call_suffix, 1, 0, 0), REDUCE(sym_expr_hack_at_ternary_binary_call_suffix, 1, 0, 0), SHIFT(46),
  [5854] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_declaration, 3, 0, 0),
  [5856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4859),
  [5858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3352),
  [5860] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_declaration, 3, 0, 0),
  [5862] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_attribute, 2, 0, 0), SHIFT(286),
  [5865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3198),
  [5867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3827),
  [5869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6051),
  [5871] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_call_suffix, 1, 0, 0), SHIFT(53),
  [5874] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_entry, 3, 0, 184),
  [5876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2868),
  [5878] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_entry, 3, 0, 184),
  [5880] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_constructor_suffix, 1, 0, 0), SHIFT(53),
  [5883] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_entry, 3, 0, 186),
  [5885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2889),
  [5887] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_entry, 3, 0, 186),
  [5889] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_attribute, 2, 0, 0), SHIFT(275),
  [5892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3605),
  [5894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3527),
  [5896] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_associatedtype_declaration, 4, 0, 78),
  [5898] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_associatedtype_declaration, 4, 0, 78),
  [5900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3798),
  [5902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7272),
  [5904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4153),
  [5906] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__modifierless_property_declaration_repeat1, 2, 0, 122),
  [5908] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__modifierless_property_declaration_repeat1, 2, 0, 122), SHIFT_REPEAT(3976),
  [5911] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__modifierless_property_declaration_repeat1, 2, 0, 122),
  [5913] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__enum_entry_suffix, 1, 0, 185),
  [5915] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__enum_entry_suffix, 1, 0, 185),
  [5917] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3307),
  [5920] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3986),
  [5923] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_statement_repeat1, 2, 0, 0),
  [5925] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(158),
  [5928] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4003),
  [5931] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4141),
  [5934] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4560),
  [5937] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4024),
  [5940] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4014),
  [5943] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3311),
  [5946] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4118),
  [5949] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3308),
  [5952] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3308),
  [5955] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7675),
  [5958] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_declaration, 5, 0, 0),
  [5960] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_declaration, 5, 0, 0),
  [5962] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_associatedtype_declaration, 5, 0, 116),
  [5964] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_associatedtype_declaration, 5, 0, 116),
  [5966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3801),
  [5968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4588),
  [5970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7640),
  [5972] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_associatedtype_declaration, 6, 0, 167),
  [5974] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_associatedtype_declaration, 6, 0, 167),
  [5976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3804),
  [5978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3307),
  [5980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3986),
  [5982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(786),
  [5984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [5986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4003),
  [5988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4141),
  [5990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4560),
  [5992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4024),
  [5994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4014),
  [5996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3311),
  [5998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3611),
  [6000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5974),
  [6002] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_type_parameters, 2, 0, 0),
  [6004] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_type_parameters, 2, 0, 0),
  [6006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5973),
  [6008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6248),
  [6010] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__modifierless_property_declaration, 3, 0, 74),
  [6012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3976),
  [6014] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__modifierless_property_declaration, 3, 0, 74),
  [6016] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_call_suffix, 1, 0, 0), REDUCE(sym_expr_hack_at_ternary_binary_call_suffix, 1, 0, 0), SHIFT(38),
  [6020] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throws, 1, 0, 0),
  [6022] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throws, 1, 0, 0),
  [6024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3060),
  [6026] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_constructor_suffix, 1, 0, 0), SHIFT(36),
  [6029] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_call_suffix, 1, 0, 0), SHIFT(36),
  [6032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2923),
  [6034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2330),
  [6036] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_key_path_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(4238),
  [6039] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_key_path_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(4247),
  [6042] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_type_parameters, 9, 0, 257),
  [6044] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_type_parameters, 9, 0, 257),
  [6046] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_type_parameters, 8, 0, 256),
  [6048] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_type_parameters, 8, 0, 256),
  [6050] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_associatedtype_declaration, 3, 0, 21),
  [6052] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_associatedtype_declaration, 3, 0, 21),
  [6054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3791),
  [6056] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_argument_label, 1, 0, 0),
  [6058] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_call_suffix, 1, 0, 0), SHIFT(38),
  [6061] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_type_parameters, 8, 0, 252),
  [6063] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_type_parameters, 8, 0, 252),
  [6065] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_type_parameters, 7, 0, 192),
  [6067] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_type_parameters, 7, 0, 192),
  [6069] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_constructor_suffix, 1, 0, 0), SHIFT(38),
  [6072] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_type_parameters, 7, 0, 255),
  [6074] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_type_parameters, 7, 0, 255),
  [6076] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_type_parameters, 6, 0, 254),
  [6078] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_type_parameters, 6, 0, 254),
  [6080] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_type_parameters, 6, 0, 253),
  [6082] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_type_parameters, 6, 0, 253),
  [6084] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_type_parameters, 6, 0, 252),
  [6086] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_type_parameters, 6, 0, 252),
  [6088] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_type_parameters, 5, 0, 58),
  [6090] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_type_parameters, 5, 0, 58),
  [6092] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_type_parameters, 5, 0, 192),
  [6094] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_type_parameters, 5, 0, 192),
  [6096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2740),
  [6098] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_type_parameters, 4, 0, 158),
  [6100] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_type_parameters, 4, 0, 158),
  [6102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2290),
  [6104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1225),
  [6106] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_type_parameters, 3, 0, 58),
  [6108] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_type_parameters, 3, 0, 58),
  [6110] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_entry_repeat1, 3, 0, 184),
  [6112] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_enum_entry_repeat1, 3, 0, 184),
  [6114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4346),
  [6116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4346),
  [6118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2460),
  [6120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2468),
  [6122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3166),
  [6124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3632),
  [6126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3995),
  [6128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3994),
  [6130] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__modifierless_property_declaration, 2, 0, 33),
  [6132] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__modifierless_property_declaration, 2, 0, 33),
  [6134] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_call_suffix, 1, 0, 0), REDUCE(sym_expr_hack_at_ternary_binary_call_suffix, 1, 0, 0), SHIFT(36),
  [6138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1123),
  [6140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3947),
  [6142] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_user_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4588),
  [6145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2547),
  [6147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6013),
  [6149] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_key_path_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(4241),
  [6152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [6154] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_user_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4585),
  [6157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4414),
  [6159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4414),
  [6161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2506),
  [6163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2513),
  [6165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3180),
  [6167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3662),
  [6169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4013),
  [6171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4012),
  [6173] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_visibility_modifier, 4, 0, 0),
  [6175] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_visibility_modifier, 4, 0, 0),
  [6177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(538),
  [6179] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_call_suffix, 1, 0, 0), SHIFT(40),
  [6182] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_constructor_suffix, 1, 0, 0), SHIFT(40),
  [6185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6019),
  [6187] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_modifier, 1, 0, 0),
  [6189] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_modifier, 1, 0, 0),
  [6191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7261),
  [6193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4178),
  [6195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [6197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [6199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [6201] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__single_modifierless_property_declaration, 2, 0, 75),
  [6203] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__single_modifierless_property_declaration, 2, 0, 75),
  [6205] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_optional_type_repeat1, 2, 0, 0), SHIFT_REPEAT(3101),
  [6208] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__single_modifierless_property_declaration, 2, 0, 76),
  [6210] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__single_modifierless_property_declaration, 2, 0, 76),
  [6212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(579),
  [6214] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ownership_modifier, 1, 0, 0),
  [6216] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ownership_modifier, 1, 0, 0),
  [6218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inheritance_modifier, 1, 0, 0),
  [6220] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_inheritance_modifier, 1, 0, 0),
  [6222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_willset_didset_block, 4, 0, 0),
  [6224] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_willset_didset_block, 4, 0, 0),
  [6226] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_modifier, 1, 0, 0),
  [6228] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_modifier, 1, 0, 0),
  [6230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [6232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4585),
  [6234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(551),
  [6236] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_protocol_composition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4105),
  [6239] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression_with_willset_didset, 3, 1, 46),
  [6241] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression_with_willset_didset, 3, 1, 46),
  [6243] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__single_modifierless_property_declaration, 4, 0, 164),
  [6245] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__single_modifierless_property_declaration, 4, 0, 164),
  [6247] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__single_modifierless_property_declaration, 4, 0, 34),
  [6249] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__single_modifierless_property_declaration, 4, 0, 34),
  [6251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(588),
  [6253] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__single_modifierless_property_declaration, 4, 0, 163),
  [6255] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__single_modifierless_property_declaration, 4, 0, 163),
  [6257] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_willset_didset_block, 3, 0, 0),
  [6259] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_willset_didset_block, 3, 0, 0),
  [6261] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_computed_property, 3, 0, 0),
  [6263] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_computed_property, 3, 0, 0),
  [6265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(550),
  [6267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(458),
  [6269] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_call_suffix, 1, 0, 0), REDUCE(sym_expr_hack_at_ternary_binary_call_suffix, 1, 0, 0), SHIFT(40),
  [6273] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__modifierless_property_declaration_repeat1, 2, 0, 33),
  [6275] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__modifierless_property_declaration_repeat1, 2, 0, 33),
  [6277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3723),
  [6279] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_computed_property, 2, 0, 0),
  [6281] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_computed_property, 2, 0, 0),
  [6283] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__single_modifierless_property_declaration, 3, 0, 123),
  [6285] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__single_modifierless_property_declaration, 3, 0, 123),
  [6287] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__single_modifierless_property_declaration, 3, 0, 124),
  [6289] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__single_modifierless_property_declaration, 3, 0, 124),
  [6291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [6293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(525),
  [6295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3526),
  [6297] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_protocol_declaration, 8, 0, 239),
  [6299] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_protocol_declaration, 8, 0, 239),
  [6301] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_declaration, 5, 0, 230),
  [6303] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_declaration, 5, 0, 230),
  [6305] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_declaration, 4, 0, 0),
  [6307] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_declaration, 4, 0, 0),
  [6309] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_protocol_declaration, 4, 0, 111),
  [6311] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_protocol_declaration, 4, 0, 111),
  [6313] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__modifierless_class_declaration, 5, 0, 129),
  [6315] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__modifierless_class_declaration, 5, 0, 129),
  [6317] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body, 3, 0, 0),
  [6319] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body, 3, 0, 0),
  [6321] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 1, 0, 8),
  [6323] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 1, 0, 8),
  [6325] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__modifierless_typealias_declaration, 5, 0, 142),
  [6327] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__modifierless_typealias_declaration, 5, 0, 142),
  [6329] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_declaration, 5, 0, 144),
  [6331] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_init_declaration, 5, 0, 144),
  [6333] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_declaration, 5, 0, 145),
  [6335] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_init_declaration, 5, 0, 145),
  [6337] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_class_body, 3, 0, 0),
  [6339] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_class_body, 3, 0, 0),
  [6341] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_protocol_declaration, 5, 0, 129),
  [6343] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_protocol_declaration, 5, 0, 129),
  [6345] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_protocol_body, 3, 0, 147),
  [6347] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_protocol_body, 3, 0, 147),
  [6349] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__modifierless_class_declaration, 5, 0, 149),
  [6351] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__modifierless_class_declaration, 5, 0, 149),
  [6353] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__modifierless_class_declaration, 5, 0, 150),
  [6355] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__modifierless_class_declaration, 5, 0, 150),
  [6357] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_entry, 3, 0, 19),
  [6359] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_entry, 3, 0, 19),
  [6361] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_declaration, 5, 0, 154),
  [6363] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_init_declaration, 5, 0, 154),
  [6365] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_declaration, 6, 0, 245),
  [6367] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_declaration, 6, 0, 245),
  [6369] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_declaration, 5, 0, 155),
  [6371] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_init_declaration, 5, 0, 155),
  [6373] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_declaration, 4, 0, 71),
  [6375] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_declaration, 4, 0, 71),
  [6377] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_declaration, 4, 0, 112),
  [6379] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_declaration, 4, 0, 112),
  [6381] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_precedence_group_declaration, 4, 0, 0),
  [6383] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_precedence_group_declaration, 4, 0, 0),
  [6385] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_declaration, 6, 0, 230),
  [6387] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_declaration, 6, 0, 230),
  [6389] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_declaration, 5, 0, 156),
  [6391] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_init_declaration, 5, 0, 156),
  [6393] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_entry, 7, 0, 247),
  [6395] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_entry, 7, 0, 247),
  [6397] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_deprecated_operator_declaration_body, 2, 0, 0),
  [6399] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_deprecated_operator_declaration_body, 2, 0, 0),
  [6401] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_precedence_group_declaration, 5, 0, 0),
  [6403] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_precedence_group_declaration, 5, 0, 0),
  [6405] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_associatedtype_declaration, 4, 0, 117),
  [6407] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_associatedtype_declaration, 4, 0, 117),
  [6409] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_associatedtype_declaration, 5, 0, 157),
  [6411] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_associatedtype_declaration, 5, 0, 157),
  [6413] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_declaration, 4, 0, 0),
  [6415] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_declaration, 4, 0, 0),
  [6417] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_entry, 6, 0, 238),
  [6419] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_entry, 6, 0, 238),
  [6421] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_declaration, 6, 0, 120),
  [6423] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_declaration, 6, 0, 120),
  [6425] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_entry, 6, 0, 237),
  [6427] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_entry, 6, 0, 237),
  [6429] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_entry, 6, 0, 236),
  [6431] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_entry, 6, 0, 236),
  [6433] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_declaration, 4, 0, 115),
  [6435] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_init_declaration, 4, 0, 115),
  [6437] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_declaration, 4, 0, 114),
  [6439] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_init_declaration, 4, 0, 114),
  [6441] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_declaration, 5, 0, 166),
  [6443] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_init_declaration, 5, 0, 166),
  [6445] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_declaration, 5, 0, 71),
  [6447] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_declaration, 5, 0, 71),
  [6449] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_protocol_declaration, 5, 0, 150),
  [6451] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_protocol_declaration, 5, 0, 150),
  [6453] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_associatedtype_declaration, 5, 0, 168),
  [6455] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_associatedtype_declaration, 5, 0, 168),
  [6457] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__modifierless_class_declaration, 4, 0, 111),
  [6459] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__modifierless_class_declaration, 4, 0, 111),
  [6461] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__modifierless_class_declaration, 6, 0, 171),
  [6463] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__modifierless_class_declaration, 6, 0, 171),
  [6465] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_declaration, 7, 0, 245),
  [6467] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_declaration, 7, 0, 245),
  [6469] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__modifierless_class_declaration, 4, 0, 110),
  [6471] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__modifierless_class_declaration, 4, 0, 110),
  [6473] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_entry, 5, 0, 219),
  [6475] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_entry, 5, 0, 219),
  [6477] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_entry, 5, 0, 218),
  [6479] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_entry, 5, 0, 218),
  [6481] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_entry, 5, 0, 217),
  [6483] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_entry, 5, 0, 217),
  [6485] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_entry, 5, 0, 215),
  [6487] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_entry, 5, 0, 215),
  [6489] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_declaration, 7, 0, 250),
  [6491] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_declaration, 7, 0, 250),
  [6493] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_declaration, 6, 0, 181),
  [6495] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_init_declaration, 6, 0, 181),
  [6497] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_protocol_declaration, 4, 0, 85),
  [6499] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_protocol_declaration, 4, 0, 85),
  [6501] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_declaration, 6, 0, 182),
  [6503] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_init_declaration, 6, 0, 182),
  [6505] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_protocol_body, 2, 0, 0),
  [6507] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_protocol_body, 2, 0, 0),
  [6509] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_class_body, 2, 0, 0),
  [6511] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_class_body, 2, 0, 0),
  [6513] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_declaration, 4, 0, 107),
  [6515] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_init_declaration, 4, 0, 107),
  [6517] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_declaration, 6, 0, 183),
  [6519] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_init_declaration, 6, 0, 183),
  [6521] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_protocol_declaration, 6, 0, 171),
  [6523] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_protocol_declaration, 6, 0, 171),
  [6525] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__modifierless_class_declaration, 6, 0, 189),
  [6527] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__modifierless_class_declaration, 6, 0, 189),
  [6529] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__modifierless_class_declaration, 6, 0, 190),
  [6531] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__modifierless_class_declaration, 6, 0, 190),
  [6533] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_declaration, 8, 0, 250),
  [6535] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_declaration, 8, 0, 250),
  [6537] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_declaration, 6, 0, 193),
  [6539] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_init_declaration, 6, 0, 193),
  [6541] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__modifierless_typealias_declaration, 4, 0, 105),
  [6543] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__modifierless_typealias_declaration, 4, 0, 105),
  [6545] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_declaration, 6, 0, 194),
  [6547] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_init_declaration, 6, 0, 194),
  [6549] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_declaration, 6, 0, 195),
  [6551] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_init_declaration, 6, 0, 195),
  [6553] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_declaration, 6, 0, 0),
  [6555] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_declaration, 6, 0, 0),
  [6557] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_deprecated_operator_declaration_body, 3, 0, 0),
  [6559] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_deprecated_operator_declaration_body, 3, 0, 0),
  [6561] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_associatedtype_declaration, 6, 0, 196),
  [6563] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_associatedtype_declaration, 6, 0, 196),
  [6565] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_declaration, 6, 0, 200),
  [6567] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_init_declaration, 6, 0, 200),
  [6569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5912),
  [6571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6478),
  [6573] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_optional_type_repeat1, 2, 0, 0), SHIFT_REPEAT(3198),
  [6576] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_body, 1, 0, 0),
  [6578] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_body, 1, 0, 0),
  [6580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6483),
  [6582] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_declaration, 6, 0, 201),
  [6584] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_init_declaration, 6, 0, 201),
  [6586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5971),
  [6588] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 2, 0, 31),
  [6590] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 2, 0, 31),
  [6592] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__primary_expression, 1, 0, 0), REDUCE(sym_capture_list_item, 1, 0, 11),
  [6595] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_protocol_declaration, 6, 0, 190),
  [6597] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_protocol_declaration, 6, 0, 190),
  [6599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5956),
  [6601] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_associatedtype_declaration, 6, 0, 202),
  [6603] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_associatedtype_declaration, 6, 0, 202),
  [6605] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 2, 0, 33),
  [6607] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_declaration, 2, 0, 33),
  [6609] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__modifierless_class_declaration, 7, 0, 205),
  [6611] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__modifierless_class_declaration, 7, 0, 205),
  [6613] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_declaration, 7, 0, 211),
  [6615] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_init_declaration, 7, 0, 211),
  [6617] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typealias_declaration, 2, 0, 35),
  [6619] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_typealias_declaration, 2, 0, 35),
  [6621] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_declaration, 7, 0, 212),
  [6623] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_init_declaration, 7, 0, 212),
  [6625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4547),
  [6627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4547),
  [6629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2840),
  [6631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2836),
  [6633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3149),
  [6635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3603),
  [6637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4057),
  [6639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4058),
  [6641] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_declaration, 7, 0, 213),
  [6643] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_init_declaration, 7, 0, 213),
  [6645] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_protocol_declaration, 7, 0, 205),
  [6647] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_protocol_declaration, 7, 0, 205),
  [6649] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__modifierless_class_declaration, 7, 0, 220),
  [6651] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__modifierless_class_declaration, 7, 0, 220),
  [6653] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__modifierless_class_declaration, 7, 0, 221),
  [6655] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__modifierless_class_declaration, 7, 0, 221),
  [6657] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_declaration, 7, 0, 222),
  [6659] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_init_declaration, 7, 0, 222),
  [6661] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_declaration, 7, 0, 223),
  [6663] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_init_declaration, 7, 0, 223),
  [6665] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_associatedtype_declaration, 7, 0, 224),
  [6667] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_associatedtype_declaration, 7, 0, 224),
  [6669] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_declaration, 7, 0, 226),
  [6671] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_init_declaration, 7, 0, 226),
  [6673] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 2, 0, 36),
  [6675] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 2, 0, 36),
  [6677] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_declaration, 7, 0, 227),
  [6679] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_init_declaration, 7, 0, 227),
  [6681] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_declaration, 5, 0, 120),
  [6683] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_declaration, 5, 0, 120),
  [6685] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__modifierless_class_declaration, 3, 0, 43),
  [6687] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__modifierless_class_declaration, 3, 0, 43),
  [6689] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_entry, 4, 0, 184),
  [6691] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_entry, 4, 0, 184),
  [6693] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_declaration, 7, 0, 228),
  [6695] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_init_declaration, 7, 0, 228),
  [6697] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_protocol_declaration, 7, 0, 221),
  [6699] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_protocol_declaration, 7, 0, 221),
  [6701] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_associatedtype_declaration, 7, 0, 229),
  [6703] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_associatedtype_declaration, 7, 0, 229),
  [6705] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_declaration, 8, 0, 234),
  [6707] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_init_declaration, 8, 0, 234),
  [6709] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_declaration, 8, 0, 235),
  [6711] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_init_declaration, 8, 0, 235),
  [6713] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__modifierless_class_declaration, 8, 0, 239),
  [6715] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__modifierless_class_declaration, 8, 0, 239),
  [6717] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_declaration, 8, 0, 240),
  [6719] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_init_declaration, 8, 0, 240),
  [6721] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_declaration, 8, 0, 241),
  [6723] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_init_declaration, 8, 0, 241),
  [6725] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_entry, 4, 0, 186),
  [6727] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_entry, 4, 0, 186),
  [6729] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_entry, 4, 0, 187),
  [6731] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_entry, 4, 0, 187),
  [6733] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_declaration, 8, 0, 242),
  [6735] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_init_declaration, 8, 0, 242),
  [6737] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_declaration, 8, 0, 243),
  [6739] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_init_declaration, 8, 0, 243),
  [6741] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_associatedtype_declaration, 8, 0, 244),
  [6743] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_associatedtype_declaration, 8, 0, 244),
  [6745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6421),
  [6747] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_declaration, 9, 0, 246),
  [6749] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_init_declaration, 9, 0, 246),
  [6751] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_declaration, 9, 0, 248),
  [6753] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_init_declaration, 9, 0, 248),
  [6755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4542),
  [6757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4542),
  [6759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2921),
  [6761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2911),
  [6763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3189),
  [6765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3612),
  [6767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4041),
  [6769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4045),
  [6771] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_declaration, 9, 0, 249),
  [6773] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_init_declaration, 9, 0, 249),
  [6775] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_declaration, 10, 0, 251),
  [6777] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_init_declaration, 10, 0, 251),
  [6779] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_declaration, 2, 0, 0),
  [6781] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_declaration, 2, 0, 0),
  [6783] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__modifierless_class_declaration, 4, 0, 85),
  [6785] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__modifierless_class_declaration, 4, 0, 85),
  [6787] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body, 2, 0, 0),
  [6789] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body, 2, 0, 0),
  [6791] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 1, 0, 5),
  [6793] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_declaration, 1, 0, 5),
  [6795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2622),
  [6797] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_deinit_declaration, 2, 0, 130),
  [6799] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_deinit_declaration, 2, 0, 130),
  [6801] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typealias_declaration, 1, 0, 6),
  [6803] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_typealias_declaration, 1, 0, 6),
  [6805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3650),
  [6807] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_deinit_declaration, 3, 0, 172),
  [6809] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_deinit_declaration, 3, 0, 172),
  [6811] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_declaration, 3, 0, 112),
  [6813] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_declaration, 3, 0, 112),
  [6815] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_declaration, 3, 0, 0),
  [6817] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_declaration, 3, 0, 0),
  [6819] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_protocol_declaration, 3, 0, 43),
  [6821] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_protocol_declaration, 3, 0, 43),
  [6823] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__modifierless_class_declaration, 3, 0, 60),
  [6825] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__modifierless_class_declaration, 3, 0, 60),
  [6827] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_declaration, 3, 0, 62),
  [6829] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_init_declaration, 3, 0, 62),
  [6831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4686),
  [6833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4686),
  [6835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3054),
  [6837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3055),
  [6839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3159),
  [6841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3569),
  [6843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4114),
  [6845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4115),
  [6847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3488),
  [6849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2),
  [6851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(464),
  [6853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3334),
  [6855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3319),
  [6857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4658),
  [6859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4658),
  [6861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3083),
  [6863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3085),
  [6865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3182),
  [6867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3665),
  [6869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4021),
  [6871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4020),
  [6873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4343),
  [6875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4343),
  [6877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3089),
  [6879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3097),
  [6881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3188),
  [6883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3779),
  [6885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5930),
  [6887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3278),
  [6889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3861),
  [6891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6087),
  [6893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5981),
  [6895] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__primary_expression, 1, 0, 0), REDUCE(sym_lambda_parameter, 1, 0, 0),
  [6898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3123),
  [6900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3121),
  [6902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4101),
  [6904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4100),
  [6906] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_protocol_composition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4153),
  [6909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4635),
  [6911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4635),
  [6913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3134),
  [6915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3137),
  [6917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3187),
  [6919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3695),
  [6921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4051),
  [6923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4050),
  [6925] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__locally_permitted_modifiers, 2, 0, 0), SHIFT_REPEAT(3307),
  [6928] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__locally_permitted_modifiers, 2, 0, 0), SHIFT_REPEAT(4560),
  [6931] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__locally_permitted_modifiers, 2, 0, 0), SHIFT_REPEAT(3311),
  [6934] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__locally_permitted_modifiers, 2, 0, 0), SHIFT_REPEAT(3308),
  [6937] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__locally_permitted_modifiers, 2, 0, 0), SHIFT_REPEAT(3308),
  [6940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5067),
  [6942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4191),
  [6944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4856),
  [6946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4852),
  [6948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4852),
  [6950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3150),
  [6952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3155),
  [6954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3148),
  [6956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3606),
  [6958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4052),
  [6960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4053),
  [6962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1714),
  [6964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5132),
  [6966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1809),
  [6968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(969),
  [6970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5330),
  [6972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4882),
  [6974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4882),
  [6976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3157),
  [6978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3199),
  [6980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3179),
  [6982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3641),
  [6984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4004),
  [6986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4002),
  [6988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5040),
  [6990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1906),
  [6992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4879),
  [6994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4879),
  [6996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3162),
  [6998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3205),
  [7000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3185),
  [7002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3812),
  [7004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4035),
  [7006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4037),
  [7008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4848),
  [7010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4848),
  [7012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3177),
  [7014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3163),
  [7016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3152),
  [7018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3590),
  [7020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4083),
  [7022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4085),
  [7024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3276),
  [7026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3114),
  [7028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4538),
  [7030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3158),
  [7032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1600),
  [7034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1975),
  [7036] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_protocol_composition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4178),
  [7039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(699),
  [7041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1639),
  [7043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5055),
  [7045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4677),
  [7047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4986),
  [7049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5159),
  [7051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2094),
  [7053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4965),
  [7055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4951),
  [7057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4778),
  [7059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(959),
  [7061] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(3307),
  [7064] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(3986),
  [7067] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(4003),
  [7070] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(4141),
  [7073] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(4560),
  [7076] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(4024),
  [7079] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(4014),
  [7082] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(3311),
  [7085] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(4118),
  [7088] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(3308),
  [7091] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(3308),
  [7094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3194),
  [7096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3193),
  [7098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3999),
  [7100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3998),
  [7102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3325),
  [7104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5060),
  [7106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2584),
  [7108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1990),
  [7110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1842),
  [7112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4406),
  [7114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1578),
  [7116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3582),
  [7118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7277),
  [7120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4134),
  [7122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4644),
  [7124] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_user_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4644),
  [7127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3320),
  [7129] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_user_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4589),
  [7132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3221),
  [7134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3225),
  [7136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4078),
  [7138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4077),
  [7140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4966),
  [7142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4966),
  [7144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3223),
  [7146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3224),
  [7148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3183),
  [7150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3671),
  [7152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4036),
  [7154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4034),
  [7156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4589),
  [7158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4839),
  [7160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4839),
  [7162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3232),
  [7164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3230),
  [7166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3196),
  [7168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3748),
  [7170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4028),
  [7172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4027),
  [7174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3528),
  [7176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [7178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3247),
  [7180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3241),
  [7182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4125),
  [7184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4127),
  [7186] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_optional_type_repeat1, 2, 0, 0), SHIFT_REPEAT(3278),
  [7189] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__locally_permitted_modifiers, 1, 0, 0), REDUCE(aux_sym__lambda_type_declaration_repeat1, 1, 0, 0),
  [7192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3301),
  [7194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3261),
  [7196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3250),
  [7198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4061),
  [7200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4060),
  [7202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3302),
  [7204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5204),
  [7206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5204),
  [7208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3262),
  [7210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3254),
  [7212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3156),
  [7214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3718),
  [7216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4146),
  [7218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4145),
  [7220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4018),
  [7222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4202),
  [7224] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__direct_or_indirect_binding, 2, 0, 51),
  [7226] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__direct_or_indirect_binding, 2, 0, 51),
  [7228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3708),
  [7230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [7232] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_protocol_composition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4134),
  [7235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3322),
  [7237] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__binding_pattern_no_expr, 1, 0, 16),
  [7239] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__no_expr_pattern_already_bound, 1, 0, 16), SHIFT(3312),
  [7242] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__binding_pattern_no_expr, 1, 0, 16), REDUCE(sym__no_expr_pattern_already_bound, 1, 0, 16),
  [7245] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__no_expr_pattern_already_bound, 1, 0, 17), SHIFT(3309),
  [7248] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__binding_pattern_no_expr, 1, 0, 17), REDUCE(sym__no_expr_pattern_already_bound, 1, 0, 17),
  [7251] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__binding_pattern_no_expr, 1, 0, 13),
  [7253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3323),
  [7255] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__binding_pattern_no_expr, 1, 0, 13),
  [7257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3316),
  [7259] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__binding_pattern_no_expr, 1, 0, 17),
  [7261] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__binding_pattern, 3, 0, 103),
  [7263] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__binding_pattern, 3, 0, 103),
  [7265] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__binding_pattern_no_expr, 2, 0, 17), REDUCE(sym__no_expr_pattern_already_bound, 2, 0, 17),
  [7268] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__binding_pattern, 2, 0, 51),
  [7270] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__binding_pattern, 2, 0, 51),
  [7272] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__binding_pattern_no_expr, 2, 0, 16), REDUCE(sym__no_expr_pattern_already_bound, 2, 0, 16),
  [7275] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__binding_pattern_no_expr, 2, 0, 17),
  [7277] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_property_modifier, 1, 0, 0), SHIFT(1850),
  [7280] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_property_modifier, 1, 0, 0), SHIFT(5356),
  [7283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3326),
  [7285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2278),
  [7287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2278),
  [7289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5856),
  [7291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5921),
  [7293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5856),
  [7295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5927),
  [7297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5927),
  [7299] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__if_let_binding, 1, 0, 13),
  [7301] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__if_let_binding, 1, 0, 13),
  [7303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [7305] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__binding_pattern_no_expr, 2, 0, 16),
  [7307] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__binding_pattern_no_expr, 2, 0, 13),
  [7309] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__binding_pattern_no_expr, 2, 0, 13),
  [7311] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__direct_or_indirect_binding, 1, 0, 13),
  [7313] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__direct_or_indirect_binding, 1, 0, 13),
  [7315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5819),
  [7317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6063),
  [7319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5819),
  [7321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6025),
  [7323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6025),
  [7325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3349),
  [7327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3329),
  [7329] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__binding_kind_and_pattern, 2, 0, 51),
  [7331] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__binding_kind_and_pattern, 2, 0, 51),
  [7333] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_constraints_repeat1, 2, 0, 0), SHIFT_REPEAT(3329),
  [7336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4217),
  [7338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4217),
  [7340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3357),
  [7342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3357),
  [7344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4208),
  [7346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5267),
  [7348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5216),
  [7350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4214),
  [7352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7672),
  [7354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4214),
  [7356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6631),
  [7358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4213),
  [7360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3366),
  [7362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3366),
  [7364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2719),
  [7366] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_statement, 3, 0, 0),
  [7368] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_statement, 3, 0, 0),
  [7370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3964),
  [7372] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_statement, 2, 0, 0),
  [7374] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_statement, 2, 0, 0),
  [7376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3358),
  [7378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3358),
  [7380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6751),
  [7382] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_deprecated_operator_declaration_body_repeat1, 2, 0, 0), SHIFT_REPEAT(4217),
  [7385] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_deprecated_operator_declaration_body_repeat1, 2, 0, 0), SHIFT_REPEAT(4217),
  [7388] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_deprecated_operator_declaration_body_repeat1, 2, 0, 0), SHIFT_REPEAT(3358),
  [7391] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_deprecated_operator_declaration_body_repeat1, 2, 0, 0), SHIFT_REPEAT(3358),
  [7394] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_deprecated_operator_declaration_body_repeat1, 2, 0, 0), SHIFT_REPEAT(4208),
  [7397] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_deprecated_operator_declaration_body_repeat1, 2, 0, 0), SHIFT_REPEAT(5267),
  [7400] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_deprecated_operator_declaration_body_repeat1, 2, 0, 0), SHIFT_REPEAT(5216),
  [7403] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_deprecated_operator_declaration_body_repeat1, 2, 0, 0), SHIFT_REPEAT(4214),
  [7406] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_deprecated_operator_declaration_body_repeat1, 2, 0, 0), SHIFT_REPEAT(7672),
  [7409] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_deprecated_operator_declaration_body_repeat1, 2, 0, 0), SHIFT_REPEAT(4214),
  [7412] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_deprecated_operator_declaration_body_repeat1, 2, 0, 0),
  [7414] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_deprecated_operator_declaration_body_repeat1, 2, 0, 0), SHIFT_REPEAT(7295),
  [7417] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_deprecated_operator_declaration_body_repeat1, 2, 0, 0), SHIFT_REPEAT(4213),
  [7420] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__direct_or_indirect_binding, 2, 0, 13),
  [7422] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__direct_or_indirect_binding, 2, 0, 13),
  [7424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2352),
  [7426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4941),
  [7428] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__direct_or_indirect_binding, 3, 0, 51),
  [7430] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__direct_or_indirect_binding, 3, 0, 51),
  [7432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6818),
  [7434] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_do_statement_repeat1, 2, 0, 0),
  [7436] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_do_statement_repeat1, 2, 0, 0),
  [7438] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_do_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3964),
  [7441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2799),
  [7443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3362),
  [7445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3362),
  [7447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7113),
  [7449] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 97),
  [7451] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 97), SHIFT_REPEAT(185),
  [7454] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 97),
  [7456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3266),
  [7458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3257),
  [7460] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_repeat_while_statement, 5, 0, 131),
  [7462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [7464] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_repeat_while_statement, 5, 0, 131),
  [7466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3980),
  [7468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_statements_repeat1, 2, 0, 0),
  [7470] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_statements_repeat1, 2, 0, 0),
  [7472] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_statements_repeat1, 2, 0, 0), SHIFT_REPEAT(116),
  [7475] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_repeat_while_statement, 8, 0, 231),
  [7477] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_repeat_while_statement, 8, 0, 231),
  [7479] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__modifierless_property_declaration_repeat1, 2, 0, 122), SHIFT_REPEAT(3980),
  [7482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_repeat_while_statement, 6, 0, 174),
  [7484] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_repeat_while_statement, 6, 0, 174),
  [7486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [7488] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_repeat_while_statement, 6, 0, 173),
  [7490] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_repeat_while_statement, 6, 0, 173),
  [7492] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statements, 1, 0, 0),
  [7494] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statements, 1, 0, 0),
  [7496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [7498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4901),
  [7500] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_repeat_while_statement, 7, 0, 206),
  [7502] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_repeat_while_statement, 7, 0, 206),
  [7504] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_repeat_while_statement, 7, 0, 207),
  [7506] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_repeat_while_statement, 7, 0, 207),
  [7508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5988),
  [7510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3202),
  [7512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3626),
  [7514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3169),
  [7516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3623),
  [7518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5989),
  [7520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3184),
  [7522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3688),
  [7524] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_availability_condition, 5, 0, 0),
  [7526] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_availability_condition, 5, 0, 0),
  [7528] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__if_let_binding, 4, 0, 13),
  [7530] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__if_let_binding, 4, 0, 13),
  [7532] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_availability_condition, 4, 0, 0),
  [7534] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_availability_condition, 4, 0, 0),
  [7536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3190),
  [7538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3542),
  [7540] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 52),
  [7542] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 52),
  [7544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3172),
  [7546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3705),
  [7548] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__if_let_binding, 2, 0, 13),
  [7550] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__if_let_binding, 2, 0, 13),
  [7552] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_block, 2, 0, 0),
  [7554] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_block, 2, 0, 0),
  [7556] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__if_condition_sequence_item, 1, 0, 13),
  [7558] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__if_condition_sequence_item, 1, 0, 13),
  [7560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3153),
  [7562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3585),
  [7564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3203),
  [7566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3736),
  [7568] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_block, 4, 0, 140),
  [7570] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_block, 4, 0, 140),
  [7572] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_block, 3, 0, 0),
  [7574] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_block, 3, 0, 0),
  [7576] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_block, 3, 0, 140),
  [7578] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_block, 3, 0, 140),
  [7580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3154),
  [7582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3575),
  [7584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3161),
  [7586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3566),
  [7588] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 209),
  [7590] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 209),
  [7592] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 179),
  [7594] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 179),
  [7596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 209),
  [7598] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 209),
  [7600] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 5, 0, 96),
  [7602] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 5, 0, 96),
  [7604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 5, 0, 52),
  [7606] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 5, 0, 52),
  [7608] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 5, 0, 141),
  [7610] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 5, 0, 141),
  [7612] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_guard_statement, 5, 0, 96),
  [7614] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_guard_statement, 5, 0, 96),
  [7616] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 210),
  [7618] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 210),
  [7620] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, 0, 179),
  [7622] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, 0, 179),
  [7624] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, 0, 141),
  [7626] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, 0, 141),
  [7628] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, 0, 180),
  [7630] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, 0, 180),
  [7632] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 4, 0, 52),
  [7634] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 4, 0, 52),
  [7636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 6, 0, 96),
  [7638] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 6, 0, 96),
  [7640] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 180),
  [7642] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 180),
  [7644] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 233),
  [7646] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 233),
  [7648] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__local_declaration, 1, 0, 6),
  [7650] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__local_declaration, 1, 0, 6),
  [7652] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_guard_statement, 4, 0, 52),
  [7654] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_guard_statement, 4, 0, 52),
  [7656] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 233),
  [7658] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 233),
  [7660] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 210),
  [7662] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 210),
  [7664] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__local_declaration, 1, 0, 14),
  [7666] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__local_declaration, 1, 0, 14),
  [7668] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__local_property_declaration, 1, 0, 5),
  [7670] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__local_property_declaration, 1, 0, 5),
  [7672] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__local_declaration, 1, 0, 5),
  [7674] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__local_declaration, 1, 0, 5),
  [7676] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__local_declaration, 1, 0, 8),
  [7678] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__local_declaration, 1, 0, 8),
  [7680] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__local_class_declaration, 2, 0, 36),
  [7682] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__local_class_declaration, 2, 0, 36),
  [7684] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__local_function_declaration, 2, 0, 57),
  [7686] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__local_function_declaration, 2, 0, 57),
  [7688] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__local_typealias_declaration, 2, 0, 35),
  [7690] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__local_typealias_declaration, 2, 0, 35),
  [7692] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__local_property_declaration, 2, 0, 33),
  [7694] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__local_property_declaration, 2, 0, 33),
  [7696] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__modifierless_function_declaration, 2, 0, 31),
  [7698] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__modifierless_function_declaration, 2, 0, 31),
  [7700] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__labeled_statement, 2, 0, 0),
  [7702] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__labeled_statement, 2, 0, 0),
  [7704] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__local_class_declaration, 1, 0, 8),
  [7706] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__local_class_declaration, 1, 0, 8),
  [7708] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__local_function_declaration, 1, 0, 14),
  [7710] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__local_function_declaration, 1, 0, 14),
  [7712] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__local_typealias_declaration, 1, 0, 6),
  [7714] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__local_typealias_declaration, 1, 0, 6),
  [7716] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__non_local_scope_modifier, 1, 0, 0),
  [7718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5000),
  [7720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5372),
  [7722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5509),
  [7724] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__non_local_scope_modifier, 1, 0, 0),
  [7726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5534),
  [7728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5534),
  [7730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [7732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [7734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6035),
  [7736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4834),
  [7738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5456),
  [7740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5456),
  [7742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [7744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4197),
  [7746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4257),
  [7748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4239),
  [7750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3762),
  [7752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5991),
  [7754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4867),
  [7756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4188),
  [7758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [7760] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_entry, 6, 0, 0),
  [7762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3977),
  [7764] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_entry, 6, 0, 0),
  [7766] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_entry, 4, 0, 0),
  [7768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3983),
  [7770] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_entry, 4, 0, 0),
  [7772] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_entry, 3, 0, 0),
  [7774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3987),
  [7776] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_entry, 3, 0, 0),
  [7778] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_entry, 8, 0, 0),
  [7780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3984),
  [7782] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_entry, 8, 0, 0),
  [7784] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_entry, 5, 0, 0),
  [7786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3978),
  [7788] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_entry, 5, 0, 0),
  [7790] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_entry, 7, 0, 0),
  [7792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3982),
  [7794] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_entry, 7, 0, 0),
  [7796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5166),
  [7798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5166),
  [7800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [7802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4274),
  [7804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3871),
  [7806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5286),
  [7808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4816),
  [7810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5086),
  [7812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5086),
  [7814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [7816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4264),
  [7818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3710),
  [7820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5175),
  [7822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4806),
  [7824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4190),
  [7826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1751),
  [7828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1751),
  [7830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4261),
  [7832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3889),
  [7834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1808),
  [7836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4865),
  [7838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3244),
  [7840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3244),
  [7842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4266),
  [7844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3739),
  [7846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3252),
  [7848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4743),
  [7850] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_entry, 9, 0, 0),
  [7852] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_entry, 9, 0, 0),
  [7854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4193),
  [7856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7839),
  [7858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4695),
  [7860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5684),
  [7862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3729),
  [7864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5357),
  [7866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5357),
  [7868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [7870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4265),
  [7872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3813),
  [7874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5468),
  [7876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4893),
  [7878] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_user_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4695),
  [7881] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_willset_clause, 2, 0, 0),
  [7883] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_willset_clause, 2, 0, 0),
  [7885] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_didset_clause, 2, 0, 0),
  [7887] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_didset_clause, 2, 0, 0),
  [7889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3775),
  [7891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5564),
  [7893] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_willset_clause, 3, 0, 0),
  [7895] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_willset_clause, 3, 0, 0),
  [7897] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_didset_clause, 3, 0, 0),
  [7899] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_didset_clause, 3, 0, 0),
  [7901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5461),
  [7903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4263),
  [7905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5712),
  [7907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5300),
  [7909] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_willset_clause, 5, 0, 0),
  [7911] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_willset_clause, 5, 0, 0),
  [7913] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_didset_clause, 5, 0, 0),
  [7915] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_didset_clause, 5, 0, 0),
  [7917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5652),
  [7919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3289),
  [7921] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_willset_clause, 6, 0, 0),
  [7923] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_willset_clause, 6, 0, 0),
  [7925] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_didset_clause, 6, 0, 0),
  [7927] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_didset_clause, 6, 0, 0),
  [7929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4869),
  [7931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4434),
  [7933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4928),
  [7935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4873),
  [7937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4109),
  [7939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7872),
  [7941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4379),
  [7943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4280),
  [7945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5259),
  [7947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4276),
  [7949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5467),
  [7951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4275),
  [7953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3288),
  [7955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4279),
  [7957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5527),
  [7959] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_attribute, 2, 0, 0), SHIFT(274),
  [7962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3661),
  [7964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4685),
  [7966] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_user_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4685),
  [7969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4356),
  [7971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4356),
  [7973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4299),
  [7975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4256),
  [7977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(675),
  [7979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5785),
  [7981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4536),
  [7983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4922),
  [7985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4235),
  [7987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4371),
  [7989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4835),
  [7991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7323),
  [7993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5407),
  [7995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6685),
  [7997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6134),
  [7999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4798),
  [8001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1641),
  [8003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1641),
  [8005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4619),
  [8007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6396),
  [8009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6396),
  [8011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4727),
  [8013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6124),
  [8015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6124),
  [8017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4724),
  [8019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4618),
  [8021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4228),
  [8023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4366),
  [8025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4742),
  [8027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5364),
  [8029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7002),
  [8031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6237),
  [8033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4793),
  [8035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4708),
  [8037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4591),
  [8039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [8041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(703),
  [8043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(703),
  [8045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [8047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1935),
  [8049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1935),
  [8051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [8053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1956),
  [8055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1956),
  [8057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4330),
  [8059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [8061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [8063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2101),
  [8065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2101),
  [8067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [8069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(943),
  [8071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(943),
  [8073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [8075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1844),
  [8077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1844),
  [8079] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__locally_permitted_modifiers, 2, 0, 0), SHIFT_REPEAT(4434),
  [8082] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__locally_permitted_modifiers, 2, 0, 0), SHIFT_REPEAT(4532),
  [8085] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__locally_permitted_modifiers, 2, 0, 0), SHIFT_REPEAT(4379),
  [8088] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__locally_permitted_modifiers, 2, 0, 0), SHIFT_REPEAT(4381),
  [8091] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__locally_permitted_modifiers, 2, 0, 0), SHIFT_REPEAT(4381),
  [8094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [8096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1817),
  [8098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1817),
  [8100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [8102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(974),
  [8104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(974),
  [8106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [8108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2027),
  [8110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2027),
  [8112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4227),
  [8114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4360),
  [8116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4789),
  [8118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5170),
  [8120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5356),
  [8122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4788),
  [8124] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_modifiers, 1, 0, 0),
  [8126] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_modifiers, 1, 0, 0),
  [8128] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_parameter_modifiers, 1, 0, 0), SHIFT(4317),
  [8131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4394),
  [8133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3822),
  [8135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5975),
  [8137] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_parameter_modifiers_repeat1, 2, 0, 0),
  [8139] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_parameter_modifiers_repeat1, 2, 0, 0),
  [8141] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_parameter_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(4317),
  [8144] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parameter_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(4317),
  [8147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1928),
  [8149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1928),
  [8151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6779),
  [8153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4861),
  [8155] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_argument, 1, 0, 42),
  [8157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7657),
  [8159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3912),
  [8161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4549),
  [8163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4454),
  [8165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3493),
  [8167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6027),
  [8169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4772),
  [8171] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_value_argument_repeat1, 2, 0, 83), SHIFT_REPEAT(4320),
  [8174] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_value_argument_repeat1, 2, 0, 83), SHIFT_REPEAT(4320),
  [8177] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_value_argument_repeat1, 2, 0, 83),
  [8179] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_value_argument_repeat1, 2, 0, 83), SHIFT_REPEAT(7657),
  [8182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4824),
  [8184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4751),
  [8186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4905),
  [8188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4831),
  [8190] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_argument, 2, 0, 82),
  [8192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(678),
  [8194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(674),
  [8196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4759),
  [8198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [8200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4888),
  [8202] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__navigable_type_expression, 1, 0, 0),
  [8204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4730),
  [8206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3519),
  [8208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6015),
  [8210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7549),
  [8212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4181),
  [8214] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_user_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4726),
  [8217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4726),
  [8219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3700),
  [8221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4849),
  [8223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3584),
  [8225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6052),
  [8227] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_user_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4646),
  [8230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4646),
  [8232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5349),
  [8234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7395),
  [8236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3996),
  [8238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3654),
  [8240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4682),
  [8242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5611),
  [8244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3592),
  [8246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3743),
  [8248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3773),
  [8250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4648),
  [8252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5653),
  [8254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5346),
  [8256] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_user_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4682),
  [8259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1922),
  [8261] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__tuple_type_item_identifier, 3, 0, 19),
  [8263] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__tuple_type_item_identifier, 3, 0, 19),
  [8265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4767),
  [8267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3656),
  [8269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6058),
  [8271] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_user_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4648),
  [8274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5359),
  [8276] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_optional_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4394),
  [8279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6157),
  [8281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7145),
  [8283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4975),
  [8285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3878),
  [8287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5875),
  [8289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6980),
  [8291] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_user_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4664),
  [8294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3875),
  [8296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5879),
  [8298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4974),
  [8300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3559),
  [8302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5968),
  [8304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7443),
  [8306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4017),
  [8308] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_value_binding_pattern, 1, 0, 2),
  [8310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_binding_pattern, 1, 0, 2),
  [8312] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_optional_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4454),
  [8315] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__lambda_type_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(4575),
  [8318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5068),
  [8320] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_user_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4711),
  [8323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5366),
  [8325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2711),
  [8327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5037),
  [8329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3554),
  [8331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6009),
  [8333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4664),
  [8335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5360),
  [8337] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__lambda_type_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(4536),
  [8340] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__possibly_async_binding_pattern_kind, 2, 0, 0),
  [8342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__possibly_async_binding_pattern_kind, 2, 0, 0),
  [8344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5001),
  [8346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3660),
  [8348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5984),
  [8350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5420),
  [8352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3618),
  [8354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3802),
  [8356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6081),
  [8358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6918),
  [8360] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_user_type, 1, 0, 0), SHIFT(4711),
  [8363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3565),
  [8365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5075),
  [8367] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_precedence_group_attributes_repeat1, 2, 0, 0), SHIFT_REPEAT(4320),
  [8370] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_precedence_group_attributes_repeat1, 2, 0, 0), SHIFT_REPEAT(4320),
  [8373] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_precedence_group_attributes_repeat1, 2, 0, 0),
  [8375] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__attribute_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(4320),
  [8378] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__attribute_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(4320),
  [8381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7236),
  [8383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3574),
  [8385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4633),
  [8387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5105),
  [8389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3507),
  [8391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6021),
  [8393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4638),
  [8395] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_optional_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4730),
  [8398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6728),
  [8400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7159),
  [8402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6482),
  [8404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3269),
  [8406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7347),
  [8408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4039),
  [8410] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_user_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4633),
  [8413] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_precedence_group_attributes, 1, 0, 0),
  [8415] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_user_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4638),
  [8418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5070),
  [8420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3621),
  [8422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6054),
  [8424] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_protocol_composition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4181),
  [8427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5082),
  [8429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3744),
  [8431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6070),
  [8433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7329),
  [8435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4055),
  [8437] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_user_type, 2, 0, 0), SHIFT(4711),
  [8440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4195),
  [8442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4195),
  [8444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3643),
  [8446] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_user_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4680),
  [8449] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_optional_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4767),
  [8452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7520),
  [8454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4133),
  [8456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4667),
  [8458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7349),
  [8460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4149),
  [8462] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_as_operator, 1, 0, 0),
  [8464] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_as_operator, 1, 0, 0),
  [8466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3625),
  [8468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4668),
  [8470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3631),
  [8472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7459),
  [8474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4025),
  [8476] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_optional_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4849),
  [8479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4592),
  [8481] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_value_argument_repeat1, 2, 0, 80),
  [8483] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_attribute, 2, 0, 0), SHIFT(279),
  [8486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7521),
  [8488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4056),
  [8490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3404),
  [8492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4268),
  [8494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1027),
  [8496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3345),
  [8498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6223),
  [8500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6223),
  [8502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5417),
  [8504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5065),
  [8506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3577),
  [8508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6006),
  [8510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4113),
  [8512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7284),
  [8514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4063),
  [8516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6398),
  [8518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2623),
  [8520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4948),
  [8522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5362),
  [8524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5535),
  [8526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6235),
  [8528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7077),
  [8530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6316),
  [8532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4680),
  [8534] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_user_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4667),
  [8537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3531),
  [8539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5189),
  [8541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3614),
  [8543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6004),
  [8545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3410),
  [8547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1054),
  [8549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1236),
  [8551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1236),
  [8553] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_protocol_composition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(3996),
  [8556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4711),
  [8558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3397),
  [8560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1058),
  [8562] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_user_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4611),
  [8565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6413),
  [8567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3653),
  [8569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4223),
  [8571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4223),
  [8573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4611),
  [8575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4363),
  [8577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4363),
  [8579] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_optional_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4888),
  [8582] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_user_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4592),
  [8585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4660),
  [8587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4660),
  [8589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2004),
  [8591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2004),
  [8593] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_computed_property_repeat1, 2, 0, 0),
  [8595] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_computed_property_repeat1, 2, 0, 0), SHIFT_REPEAT(4948),
  [8598] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_computed_property_repeat1, 2, 0, 0), SHIFT_REPEAT(5362),
  [8601] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_computed_property_repeat1, 2, 0, 0), SHIFT_REPEAT(5535),
  [8604] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_computed_property_repeat1, 2, 0, 0), SHIFT_REPEAT(4532),
  [8607] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_computed_property_repeat1, 2, 0, 0), SHIFT_REPEAT(2091),
  [8610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3892),
  [8612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5906),
  [8614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3237),
  [8616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3237),
  [8618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5917),
  [8620] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__attribute_argument_repeat2, 2, 0, 0), SHIFT_REPEAT(4320),
  [8623] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__attribute_argument_repeat2, 2, 0, 0), SHIFT_REPEAT(4320),
  [8626] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__attribute_argument_repeat2, 2, 0, 0),
  [8628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2034),
  [8630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2034),
  [8632] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_user_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4668),
  [8635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3492),
  [8637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6026),
  [8639] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_attribute, 2, 0, 0), SHIFT(272),
  [8642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4335),
  [8644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4335),
  [8646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3471),
  [8648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1021),
  [8650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7418),
  [8652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4008),
  [8654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3417),
  [8656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3),
  [8658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(444),
  [8660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3333),
  [8662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2469),
  [8664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4315),
  [8666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [8668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5836),
  [8670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3342),
  [8672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5138),
  [8674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3601),
  [8676] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_optional_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4975),
  [8679] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_user_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4627),
  [8682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4637),
  [8684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(758),
  [8686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5139),
  [8688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5211),
  [8690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5215),
  [8692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2995),
  [8694] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_user_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4637),
  [8697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4627),
  [8699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3731),
  [8701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6072),
  [8703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4655),
  [8705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4705),
  [8707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3763),
  [8709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3076),
  [8711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3568),
  [8713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3548),
  [8715] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_user_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4705),
  [8718] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_protocol_composition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4017),
  [8721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5210),
  [8723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5155),
  [8725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5214),
  [8727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7316),
  [8729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4081),
  [8731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5141),
  [8733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2974),
  [8735] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_optional_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4974),
  [8738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7339),
  [8740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4047),
  [8742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5196),
  [8744] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_optional_type_repeat1, 2, 0, 0), SHIFT_REPEAT(5001),
  [8747] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_user_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4655),
  [8750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2230),
  [8752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5217),
  [8754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3256),
  [8756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5136),
  [8758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5156),
  [8760] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_optional_type_repeat1, 2, 0, 0), SHIFT_REPEAT(5037),
  [8763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3717),
  [8765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1107),
  [8767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1237),
  [8769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2637),
  [8771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3709),
  [8773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5947),
  [8775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4326),
  [8777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [8779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6092),
  [8781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3336),
  [8783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5228),
  [8785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3264),
  [8787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3264),
  [8789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5177),
  [8791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5177),
  [8793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5313),
  [8795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3694),
  [8797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4750),
  [8799] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_optional_type_repeat1, 2, 0, 0), SHIFT_REPEAT(5065),
  [8802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6240),
  [8804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6240),
  [8806] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_user_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4649),
  [8809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5309),
  [8811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5309),
  [8813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6222),
  [8815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6222),
  [8817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7223),
  [8819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4032),
  [8821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4672),
  [8823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3634),
  [8825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5305),
  [8827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5246),
  [8829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1827),
  [8831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1827),
  [8833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4095),
  [8835] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_parameter_modifiers, 1, 0, 0),
  [8837] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter_modifiers, 1, 0, 0),
  [8839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5272),
  [8841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5613),
  [8843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5613),
  [8845] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_protocol_composition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4039),
  [8848] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_optional_type_repeat1, 2, 0, 0), SHIFT_REPEAT(5105),
  [8851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5758),
  [8853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5758),
  [8855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7479),
  [8857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4040),
  [8859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2248),
  [8861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2248),
  [8863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4298),
  [8865] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__modifierless_function_declaration_no_body, 2, 0, 32),
  [8867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3473),
  [8869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5741),
  [8871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5231),
  [8873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7407),
  [8875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4000),
  [8877] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_capture_list, 3, 0, 0),
  [8879] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_capture_list, 3, 0, 0),
  [8881] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_optional_type_repeat1, 2, 0, 0), SHIFT_REPEAT(5070),
  [8884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5339),
  [8886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3844),
  [8888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5944),
  [8890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3427),
  [8892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [8894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [8896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3348),
  [8898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5241),
  [8900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2608),
  [8902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2608),
  [8904] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_protocol_composition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4055),
  [8907] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__modifierless_function_declaration_no_body, 3, 0, 73),
  [8909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3443),
  [8911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5317),
  [8913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4649),
  [8915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5547),
  [8917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5547),
  [8919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5260),
  [8921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5265),
  [8923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5235),
  [8925] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_capture_list, 4, 0, 0),
  [8927] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_capture_list, 4, 0, 0),
  [8929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5257),
  [8931] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_optional_type_repeat1, 2, 0, 0), SHIFT_REPEAT(5082),
  [8934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5224),
  [8936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6219),
  [8938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6219),
  [8940] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__lambda_type_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(4549),
  [8943] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_user_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4672),
  [8946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5310),
  [8948] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__macro_signature, 3, 0, 72),
  [8950] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_protocol_composition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4133),
  [8953] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_protocol_composition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4149),
  [8956] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_getter_specifier, 1, 0, 0),
  [8958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5288),
  [8960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4990),
  [8962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3498),
  [8964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [8966] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_protocol_composition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4025),
  [8969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3532),
  [8971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4080),
  [8973] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_getter_specifier, 2, 0, 0),
  [8975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5013),
  [8977] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__attribute_argument_repeat1, 2, 0, 0),
  [8979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5038),
  [8981] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_optional_type_repeat1, 2, 0, 0), SHIFT_REPEAT(5189),
  [8984] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_protocol_composition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4113),
  [8987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7722),
  [8989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [8991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(452),
  [8993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [8995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7242),
  [8997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3963),
  [8999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [9001] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__getter_effects, 2, 0, 0),
  [9003] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__getter_effects, 2, 0, 0), SHIFT_REPEAT(5288),
  [9006] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__getter_effects, 2, 0, 0), SHIFT_REPEAT(5013),
  [9009] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_protocol_composition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4056),
  [9012] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_protocol_composition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4063),
  [9015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7834),
  [9017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [9019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(573),
  [9021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [9023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7442),
  [9025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3962),
  [9027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [9029] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_getter_specifier, 3, 0, 0),
  [9031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4069),
  [9033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7428),
  [9035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4156),
  [9037] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_protocol_composition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4047),
  [9040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4709),
  [9042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4328),
  [9044] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_protocol_composition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4008),
  [9047] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_precedence_group_attribute, 3, 0, 0),
  [9049] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_precedence_group_attribute, 3, 0, 0),
  [9051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4687),
  [9053] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_user_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4687),
  [9056] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_protocol_composition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4081),
  [9059] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_user_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4709),
  [9062] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__constrained_type, 1, 0, 0),
  [9064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4485),
  [9066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5861),
  [9068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5864),
  [9070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7838),
  [9072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4212),
  [9074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(246),
  [9076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5802),
  [9078] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_optional_type_repeat1, 2, 0, 0), SHIFT_REPEAT(5339),
  [9081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2438),
  [9083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2502),
  [9085] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_multi_line_string_literal_repeat1, 2, 0, 38), SHIFT_REPEAT(5861),
  [9088] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_multi_line_string_literal_repeat1, 2, 0, 38), SHIFT_REPEAT(5864),
  [9091] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_multi_line_string_literal_repeat1, 2, 0, 38), SHIFT_REPEAT(7838),
  [9094] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_multi_line_string_literal_repeat1, 2, 0, 38),
  [9096] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_multi_line_string_literal_repeat1, 2, 0, 38), SHIFT_REPEAT(246),
  [9099] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_multi_line_string_literal_repeat1, 2, 0, 38), SHIFT_REPEAT(5802),
  [9102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2569),
  [9104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1083),
  [9106] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_protocol_composition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4040),
  [9109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4303),
  [9111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3418),
  [9113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7191),
  [9115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5506),
  [9117] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_protocol_composition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4000),
  [9120] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_protocol_composition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4032),
  [9123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1143),
  [9125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2367),
  [9127] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__macro_head, 2, 0, 0),
  [9129] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__macro_head, 2, 0, 0),
  [9131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1166),
  [9133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5318),
  [9135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5340),
  [9137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2951),
  [9139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3381),
  [9141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5539),
  [9143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3117),
  [9145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1234),
  [9147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3023),
  [9149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3046),
  [9151] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inheritance_specifier, 1, 0, 84),
  [9153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2138),
  [9155] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_protocol_composition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4095),
  [9158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(769),
  [9160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2215),
  [9162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2681),
  [9164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3006),
  [9166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(797),
  [9168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4211),
  [9170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5024),
  [9172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4209),
  [9174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5934),
  [9176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7641),
  [9178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(231),
  [9180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5931),
  [9182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5084),
  [9184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4602),
  [9186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2604),
  [9188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4403),
  [9190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(777),
  [9192] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__modifierless_function_declaration_no_body, 3, 0, 32),
  [9194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3433),
  [9196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3735),
  [9198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5425),
  [9200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4929),
  [9202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5334),
  [9204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2978),
  [9206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2167),
  [9208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5198),
  [9210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2677),
  [9212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(821),
  [9214] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__function_value_parameters, 2, 0, 63), SHIFT_REPEAT(4298),
  [9217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1716),
  [9219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2134),
  [9221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1885),
  [9223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2064),
  [9225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3051),
  [9227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4731),
  [9229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(716),
  [9231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5401),
  [9233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1233),
  [9235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3017),
  [9237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3043),
  [9239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5095),
  [9241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4988),
  [9243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4215),
  [9245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(952),
  [9247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1172),
  [9249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2431),
  [9251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2947),
  [9253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1958),
  [9255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1964),
  [9257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5016),
  [9259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5361),
  [9261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1832),
  [9263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2363),
  [9265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1148),
  [9267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3201),
  [9269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4493),
  [9271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(972),
  [9273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5408),
  [9275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3050),
  [9277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1560),
  [9279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5387),
  [9281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4838),
  [9283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1144),
  [9285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1668),
  [9287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3284),
  [9289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2570),
  [9291] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__no_expr_pattern_already_bound, 1, 0, 16), SHIFT(5342),
  [9294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1897),
  [9296] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__no_expr_pattern_already_bound, 1, 0, 17), SHIFT(5343),
  [9299] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_protocol_composition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4080),
  [9302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1622),
  [9304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5101),
  [9306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2501),
  [9308] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_line_string_literal_repeat1, 2, 0, 38),
  [9310] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_line_string_literal_repeat1, 2, 0, 38), SHIFT_REPEAT(5934),
  [9313] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_line_string_literal_repeat1, 2, 0, 38), SHIFT_REPEAT(7641),
  [9316] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_line_string_literal_repeat1, 2, 0, 38), SHIFT_REPEAT(231),
  [9319] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_line_string_literal_repeat1, 2, 0, 38), SHIFT_REPEAT(5931),
  [9322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4955),
  [9324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5118),
  [9326] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__function_value_parameters, 2, 0, 63), SHIFT_REPEAT(4315),
  [9329] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__modifierless_function_declaration_no_body, 4, 0, 73),
  [9331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3454),
  [9333] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_protocol_composition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4156),
  [9336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4853),
  [9338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [9340] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_computed_setter, 2, 0, 0),
  [9342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4886),
  [9344] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_computed_setter, 1, 0, 0),
  [9346] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__function_value_parameters, 2, 0, 63), SHIFT_REPEAT(4326),
  [9349] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_protocol_composition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4069),
  [9352] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_computed_getter, 2, 0, 0),
  [9354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6283),
  [9356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4270),
  [9358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(481),
  [9360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6350),
  [9362] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_setter_specifier, 1, 0, 0),
  [9364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6416),
  [9366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6539),
  [9368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6340),
  [9370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3716),
  [9372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3702),
  [9374] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_setter_specifier, 2, 0, 0),
  [9376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6920),
  [9378] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_computed_modify, 2, 0, 0),
  [9380] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__macro_signature, 1, 0, 72),
  [9382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4314),
  [9384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4107),
  [9386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6324),
  [9388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5489),
  [9390] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_computed_setter, 5, 0, 0),
  [9392] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_computed_getter, 1, 0, 0),
  [9394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7801),
  [9396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6260),
  [9398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3740),
  [9400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3742),
  [9402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6315),
  [9404] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__navigable_type_expression, 1, 0, 0), SHIFT(4861),
  [9407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6440),
  [9409] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_computed_modify, 1, 0, 0),
  [9411] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_computed_setter, 4, 0, 0),
  [9413] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_protocol_property_requirements_repeat1, 2, 0, 0),
  [9415] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_protocol_property_requirements_repeat1, 2, 0, 0), SHIFT_REPEAT(4948),
  [9418] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_protocol_property_requirements_repeat1, 2, 0, 0), SHIFT_REPEAT(5362),
  [9421] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_protocol_property_requirements_repeat1, 2, 0, 0), SHIFT_REPEAT(2091),
  [9424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [9426] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__navigable_type_expression, 1, 0, 0), SHIFT(4824),
  [9429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6361),
  [9431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3339),
  [9433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3457),
  [9435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3784),
  [9437] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__modifierless_function_declaration_no_body, 4, 0, 32),
  [9439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3447),
  [9441] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_function_type, 2, 0, 0),
  [9443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3434),
  [9445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5730),
  [9447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4332),
  [9449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [9451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3396),
  [9453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3403),
  [9455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3401),
  [9457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3754),
  [9459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3756),
  [9461] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_function_type, 1, 0, 0),
  [9463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3441),
  [9465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5871),
  [9467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(469),
  [9469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [9471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [9473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5592),
  [9475] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_constraints_repeat1, 2, 0, 0), SHIFT_REPEAT(3339),
  [9478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3602),
  [9480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [9482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3432),
  [9484] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__function_value_parameters, 2, 0, 63), SHIFT_REPEAT(4314),
  [9487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3448),
  [9489] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__no_expr_pattern_already_bound, 1, 0, 16), SHIFT(5610),
  [9492] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__no_expr_pattern_already_bound, 1, 0, 17), SHIFT(5607),
  [9495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [9497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3469),
  [9499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5720),
  [9501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5808),
  [9503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [9505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3435),
  [9507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [9509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3426),
  [9511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(446),
  [9513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3470),
  [9515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3475),
  [9517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3408),
  [9519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3824),
  [9521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3468),
  [9523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5752),
  [9525] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_function_type, 3, 0, 0),
  [9527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3460),
  [9529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5743),
  [9531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3562),
  [9533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [9535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [9537] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_macro_declaration, 4, 0, 120),
  [9539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [9541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(547),
  [9543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3376),
  [9545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3442),
  [9547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5764),
  [9549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(561),
  [9551] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_modify_specifier, 2, 0, 0),
  [9553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [9555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [9557] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__modifierless_function_declaration_no_body, 5, 0, 73),
  [9559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3449),
  [9561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5809),
  [9563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3445),
  [9565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5671),
  [9567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5776),
  [9569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5823),
  [9571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5757),
  [9573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [9575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [9577] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_modify_specifier, 1, 0, 0),
  [9579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3461),
  [9581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3398),
  [9583] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_macro_declaration, 3, 0, 71),
  [9585] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__lambda_type_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(4532),
  [9588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(574),
  [9590] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__function_value_parameters, 2, 0, 63), SHIFT_REPEAT(4303),
  [9593] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__no_expr_pattern_already_bound, 1, 0, 17), SHIFT(5662),
  [9596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(495),
  [9598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [9600] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__no_expr_pattern_already_bound, 1, 0, 16), SHIFT(5655),
  [9603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3738),
  [9605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3491),
  [9607] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_computed_modify, 3, 0, 0),
  [9609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3961),
  [9611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3386),
  [9613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1002),
  [9615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3388),
  [9617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1464),
  [9619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5835),
  [9621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3759),
  [9623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3372),
  [9625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3421),
  [9627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3384),
  [9629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(994),
  [9631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5813),
  [9633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3341),
  [9635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3467),
  [9637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1460),
  [9639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3466),
  [9641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(998),
  [9643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3484),
  [9645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3423),
  [9647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3436),
  [9649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3393),
  [9651] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_constraints_repeat1, 2, 0, 0), SHIFT_REPEAT(3341),
  [9654] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__no_expr_pattern_already_bound, 1, 0, 17), SHIFT(5804),
  [9657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3395),
  [9659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(992),
  [9661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3419),
  [9663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3486),
  [9665] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_computed_setter, 6, 0, 0),
  [9667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3768),
  [9669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4386),
  [9671] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_function_type_parameters, 2, 0, 0),
  [9673] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_function_type_parameters, 1, 0, 0),
  [9675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5723),
  [9677] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_constraints_repeat1, 2, 0, 0), SHIFT_REPEAT(3346),
  [9680] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__no_expr_pattern_already_bound, 1, 0, 16), SHIFT(5872),
  [9683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3415),
  [9685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3452),
  [9687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1461),
  [9689] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_do_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3961),
  [9692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3346),
  [9694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3414),
  [9696] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__no_expr_pattern_already_bound, 1, 0, 17), SHIFT(5862),
  [9699] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_lambda_function_type_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(4386),
  [9702] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_lambda_function_type_parameters_repeat1, 2, 0, 0),
  [9704] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_computed_getter, 3, 0, 0),
  [9706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3465),
  [9708] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_computed_setter, 3, 0, 0),
  [9710] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__no_expr_pattern_already_bound, 1, 0, 16), SHIFT(5710),
  [9713] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__modifierless_function_declaration_no_body, 5, 0, 161),
  [9715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4832),
  [9717] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__modifierless_function_declaration_no_body, 7, 0, 225),
  [9719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3555),
  [9721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5902),
  [9723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6117),
  [9725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6122),
  [9727] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_identifier_repeat1, 2, 0, 0), SHIFT_REPEAT(4750),
  [9730] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__modifierless_function_declaration_no_body, 6, 0, 197),
  [9732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3981),
  [9734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6028),
  [9736] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__modifierless_function_declaration_no_body, 5, 0, 162),
  [9738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3586),
  [9740] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__modifierless_function_declaration_no_body, 6, 0, 198),
  [9742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1139),
  [9744] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_parameter, 3, 0, 98),
  [9746] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_function_type, 4, 0, 0),
  [9748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3400),
  [9750] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_constraints_repeat1, 2, 0, 0), SHIFT_REPEAT(3343),
  [9753] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_user_type, 1, 0, 0), SHIFT(4596),
  [9756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3863),
  [9758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [9760] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_parameter, 4, 0, 137),
  [9762] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__interpolation, 3, 0, 79),
  [9764] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__interpolation, 3, 0, 79),
  [9766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3343),
  [9768] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_parameter, 4, 0, 138),
  [9770] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__uni_character_literal, 3, 0, 0),
  [9772] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__uni_character_literal, 3, 0, 0),
  [9774] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__modifierless_property_declaration_repeat1, 2, 0, 122), SHIFT_REPEAT(3981),
  [9777] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__class_member_declarations_repeat1, 2, 0, 0),
  [9779] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__class_member_declarations_repeat1, 2, 0, 0), SHIFT_REPEAT(1201),
  [9782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(569),
  [9784] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_identifier_repeat1, 2, 0, 0), SHIFT_REPEAT(4832),
  [9787] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__binding_pattern_with_expr, 1, 0, 13),
  [9789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6251),
  [9791] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_member_declarations, 1, 0, 0),
  [9793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1124),
  [9795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(576),
  [9797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6144),
  [9799] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_str_escaped_char, 1, 0, 0),
  [9801] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_str_escaped_char, 1, 0, 0),
  [9803] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_user_type, 2, 0, 0), SHIFT(4596),
  [9806] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__binding_pattern_with_expr, 1, 0, 16),
  [9808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6373),
  [9810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3599),
  [9812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4744),
  [9814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3351),
  [9816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4898),
  [9818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3437),
  [9820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5375),
  [9822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6163),
  [9824] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_parameter, 5, 0, 178),
  [9826] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_identifier_repeat1, 2, 0, 0), SHIFT_REPEAT(4898),
  [9829] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 97), SHIFT_REPEAT(196),
  [9832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6041),
  [9834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3772),
  [9836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4915),
  [9838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3367),
  [9840] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_multi_line_string_literal_repeat1, 1, 0, 10),
  [9842] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_multi_line_string_literal_repeat1, 1, 0, 10),
  [9844] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_multi_line_string_literal_repeat1, 1, 0, 1),
  [9846] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_multi_line_string_literal_repeat1, 1, 0, 1),
  [9848] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_multi_line_str_text, 1, 0, 0),
  [9850] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_multi_line_str_text, 1, 0, 0),
  [9852] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__protocol_member_declaration, 1, 0, 108),
  [9854] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__modifierless_function_declaration_no_body, 4, 0, 121),
  [9856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3877),
  [9858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [9860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [9862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [9864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3761),
  [9866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3881),
  [9868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4259),
  [9870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7847),
  [9872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3409),
  [9874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3882),
  [9876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [9878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [9880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3407),
  [9882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3888),
  [9884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3481),
  [9886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3870),
  [9888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3477),
  [9890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3865),
  [9892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3379),
  [9894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3463),
  [9896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3380),
  [9898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6085),
  [9900] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__constrained_type, 3, 0, 0),
  [9902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4878),
  [9904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3385),
  [9906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3456),
  [9908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3670),
  [9910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3864),
  [9912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7814),
  [9914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3439),
  [9916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3820),
  [9918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2457),
  [9920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(589),
  [9922] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__modifierless_property_declaration_repeat1, 2, 0, 122), SHIFT_REPEAT(3971),
  [9925] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_line_string_literal_repeat1, 1, 0, 10),
  [9927] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_line_string_literal_repeat1, 1, 0, 10),
  [9929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2430),
  [9931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [9933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3374),
  [9935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3652),
  [9937] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__inheritance_specifiers, 1, 0, 0),
  [9939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3464),
  [9941] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_macro_declaration, 5, 0, 160),
  [9943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3390),
  [9945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3816),
  [9947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3453),
  [9949] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_line_string_literal_repeat1, 1, 0, 1),
  [9951] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_line_string_literal_repeat1, 1, 0, 1),
  [9953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3394),
  [9955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3766),
  [9957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6516),
  [9959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6975),
  [9961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [9963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [9965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3430),
  [9967] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_line_str_text, 1, 0, 0),
  [9969] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_line_str_text, 1, 0, 0),
  [9971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6830),
  [9973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3480),
  [9975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6507),
  [9977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [9979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [9981] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0),
  [9983] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(26),
  [9986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3476),
  [9988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3483),
  [9990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3853),
  [9992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3450),
  [9994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3851),
  [9996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3846),
  [9998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3389),
  [10000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3474),
  [10002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3707),
  [10004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2437),
  [10006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(536),
  [10008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7842),
  [10010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3472),
  [10012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3485),
  [10014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [10016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [10018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [10020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [10022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3765),
  [10024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3391),
  [10026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3425),
  [10028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3837),
  [10030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3676),
  [10032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3424),
  [10034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3832),
  [10036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7928),
  [10038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [10040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [10042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3830),
  [10044] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__inheritance_specifiers, 2, 0, 0),
  [10046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3489),
  [10048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3406),
  [10050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6264),
  [10052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3370),
  [10054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [10056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3681),
  [10058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3638),
  [10060] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__constrained_type, 4, 0, 0),
  [10062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3383),
  [10064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [10066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [10068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [10070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6782),
  [10072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6781),
  [10074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3620),
  [10076] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 3, 0, 98),
  [10078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7141),
  [10080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [10082] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__protocol_member_declarations, 1, 0, 109),
  [10084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1467),
  [10086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [10088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3378),
  [10090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3375),
  [10092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3800),
  [10094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3371),
  [10096] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 5, 0, 178),
  [10098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6757),
  [10100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3583),
  [10102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [10104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [10106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3561),
  [10108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3377),
  [10110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3794),
  [10112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3545),
  [10114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3789),
  [10116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [10118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [10120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [10122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [10124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3516),
  [10126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3487),
  [10128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3598),
  [10130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [10132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3506),
  [10134] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_macro_declaration, 4, 0, 119),
  [10136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [10138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3497),
  [10140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3494),
  [10142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [10144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3753),
  [10146] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 4, 0, 137),
  [10148] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__protocol_member_declarations, 2, 0, 148),
  [10150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1466),
  [10152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6495),
  [10154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3502),
  [10156] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_statements_repeat1, 2, 0, 0), SHIFT_REPEAT(115),
  [10159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3509),
  [10161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [10163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3818),
  [10165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3769),
  [10167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3534),
  [10169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3826),
  [10171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3587),
  [10173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3622),
  [10175] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__function_value_parameters, 2, 0, 63), SHIFT_REPEAT(4332),
  [10178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3482),
  [10180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3657),
  [10182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3692),
  [10184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3971),
  [10186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3726),
  [10188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3834),
  [10190] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 4, 0, 138),
  [10192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3399),
  [10194] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inheritance_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(3652),
  [10197] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__inheritance_specifiers_repeat1, 2, 0, 0),
  [10199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3745),
  [10201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3747),
  [10203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3841),
  [10205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3788),
  [10207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3416),
  [10209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3413),
  [10211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3857),
  [10213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3848),
  [10215] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__constrained_type_repeat1, 2, 0, 0),
  [10217] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constrained_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4878),
  [10220] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__protocol_member_declarations_repeat1, 2, 0, 148),
  [10222] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__protocol_member_declarations_repeat1, 2, 0, 148), SHIFT_REPEAT(1473),
  [10225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [10227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3860),
  [10229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3412),
  [10231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3757),
  [10233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3886),
  [10235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3872),
  [10237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6065),
  [10239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3420),
  [10241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3764),
  [10243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3867),
  [10245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3405),
  [10247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [10249] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__bodyless_function_declaration, 2, 0, 18),
  [10251] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__bodyless_function_declaration, 1, 0, 7),
  [10253] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__binding_pattern_with_expr, 2, 0, 13),
  [10255] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__binding_pattern_with_expr, 2, 0, 16),
  [10257] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__modifierless_function_declaration_no_body, 7, 0, 197),
  [10259] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__modifierless_function_declaration_no_body, 7, 0, 198),
  [10261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [10263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [10265] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__bodyless_function_declaration, 3, 0, 77),
  [10267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [10269] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__availability_argument, 2, 0, 0),
  [10271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7924),
  [10273] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_capture_list_item, 1, 0, 11),
  [10275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(448),
  [10277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [10279] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_capture_list_item, 2, 0, 19),
  [10281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(454),
  [10283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5366),
  [10285] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_external_macro_definition, 2, 0, 0),
  [10287] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__modifierless_function_declaration_no_body, 6, 0, 162),
  [10289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4278),
  [10291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3737),
  [10293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [10295] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__annotated_inheritance_specifier, 2, 0, 0),
  [10297] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__modifierless_function_declaration_no_body, 6, 0, 161),
  [10299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3785),
  [10301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3338),
  [10303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3617),
  [10305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [10307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3828),
  [10309] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(4259),
  [10312] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_parameters_repeat1, 2, 0, 0),
  [10314] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__modifierless_function_declaration_no_body, 6, 0, 73),
  [10316] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__modifierless_function_declaration_no_body, 8, 0, 225),
  [10318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_parameter_possibly_packed, 1, 0, 3),
  [10320] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 1, 0, 0),
  [10322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3780),
  [10324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [10326] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_type_parameters_repeat1, 2, 0, 58),
  [10328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(535),
  [10330] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_value_parameter, 1, 0, 0),
  [10332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [10334] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__availability_argument_repeat1, 2, 0, 0),
  [10336] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__availability_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(7924),
  [10339] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__attribute_argument, 2, 0, 0),
  [10341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [10343] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__modifierless_function_declaration_no_body, 5, 0, 121),
  [10345] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__constructor_value_arguments_repeat1, 2, 0, 0),
  [10347] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_value_arguments_repeat1, 2, 0, 0), SHIFT_REPEAT(258),
  [10350] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__modifierless_function_declaration_no_body, 5, 0, 32),
  [10352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [10354] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_value_parameter, 2, 0, 0),
  [10356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(459),
  [10358] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_type_parameters_repeat1, 4, 0, 192),
  [10360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [10362] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_constraints_repeat1, 2, 0, 0), SHIFT_REPEAT(3338),
  [10365] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_type_parameters_repeat1, 5, 0, 252),
  [10367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(526),
  [10369] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__availability_argument, 3, 0, 0),
  [10371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [10373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [10375] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 2, 0, 0),
  [10377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3613),
  [10379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3770),
  [10381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2746),
  [10383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1607),
  [10385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5332),
  [10387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4357),
  [10389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5255),
  [10391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [10393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5093),
  [10395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [10397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5066),
  [10399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4200),
  [10401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1183),
  [10403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1200),
  [10405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [10407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2297),
  [10409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4903),
  [10411] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__interpolation_contents, 2, 0, 81),
  [10413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [10415] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_raw_str_interpolation, 3, 0, 79),
  [10417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7328),
  [10419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4388),
  [10421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4891),
  [10423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3299),
  [10425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1156),
  [10427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1025),
  [10429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5009),
  [10431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3234),
  [10433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(732),
  [10435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6783),
  [10437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1180),
  [10439] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_protocol_property_declaration, 4, 0, 34),
  [10441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(709),
  [10443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [10445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2614),
  [10447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1056),
  [10449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [10451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2453),
  [10453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2284),
  [10455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1186),
  [10457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4201),
  [10459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5327),
  [10461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2436),
  [10463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(805),
  [10465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(803),
  [10467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2635),
  [10469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3300),
  [10471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1565),
  [10473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2279),
  [10475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2359),
  [10477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(424),
  [10479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2625),
  [10481] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__playground_literal_repeat1, 2, 0, 0),
  [10483] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__playground_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(4799),
  [10486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [10488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2613),
  [10490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [10492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1157),
  [10494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [10496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1216),
  [10498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(711),
  [10500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1164),
  [10502] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_entry_repeat1, 2, 0, 0), SHIFT_REPEAT(161),
  [10505] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_entry_repeat1, 2, 0, 0),
  [10507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [10509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1196),
  [10511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2716),
  [10513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2601),
  [10515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1228),
  [10517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5651),
  [10519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2204),
  [10521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1574),
  [10523] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_protocol_property_requirements, 3, 0, 0),
  [10525] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_protocol_property_declaration, 4, 0, 188),
  [10527] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_raw_string_literal_repeat1, 2, 0, 9),
  [10529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7393),
  [10531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4548),
  [10533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2194),
  [10535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4976),
  [10537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2583),
  [10539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1218),
  [10541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2127),
  [10543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2188),
  [10545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2581),
  [10547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2121),
  [10549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2183),
  [10551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [10553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2579),
  [10555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(813),
  [10557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2419),
  [10559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2362),
  [10561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1803),
  [10563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5303),
  [10565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2133),
  [10567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2500),
  [10569] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_literal_repeat1, 2, 0, 93), SHIFT_REPEAT(461),
  [10572] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_literal_repeat1, 2, 0, 93),
  [10574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [10576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1078),
  [10578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4552),
  [10580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2126),
  [10582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1977),
  [10584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6211),
  [10586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(415),
  [10588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(799),
  [10590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(423),
  [10592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(788),
  [10594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2125),
  [10596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1147),
  [10598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1648),
  [10600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4405),
  [10602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4526),
  [10604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(440),
  [10606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1151),
  [10608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1923),
  [10610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [10612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1145),
  [10614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5032),
  [10616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5328),
  [10618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(819),
  [10620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5019),
  [10622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1114),
  [10624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2541),
  [10626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2045),
  [10628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1007),
  [10630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1656),
  [10632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [10634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7434),
  [10636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_tuple_expression_repeat1, 2, 0, 87),
  [10638] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_tuple_expression_repeat1, 2, 0, 87), SHIFT_REPEAT(595),
  [10641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3303),
  [10643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4999),
  [10645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1077),
  [10647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2549),
  [10649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1011),
  [10651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1065),
  [10653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5326),
  [10655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4860),
  [10657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3305),
  [10659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1108),
  [10661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1993),
  [10663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6096),
  [10665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5322),
  [10667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2186),
  [10669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4408),
  [10671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1150),
  [10673] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_lambda_function_type_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(4397),
  [10676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1900),
  [10678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5347),
  [10680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [10682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2199),
  [10684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5006),
  [10686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(432),
  [10688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2210),
  [10690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1841),
  [10692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1129),
  [10694] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 5, 0, 137),
  [10696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5033),
  [10698] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 5, 0, 0),
  [10700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5331),
  [10702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2307),
  [10704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1846),
  [10706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1122),
  [10708] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 97), SHIFT_REPEAT(184),
  [10711] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 5, 0, 138),
  [10713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2306),
  [10715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2117),
  [10717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [10719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(730),
  [10721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(824),
  [10723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7503),
  [10725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2090),
  [10727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [10729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(826),
  [10731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [10733] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_dictionary_literal_repeat1, 2, 0, 95), SHIFT_REPEAT(438),
  [10736] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_dictionary_literal_repeat1, 2, 0, 95),
  [10738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4347),
  [10740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2085),
  [10742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [10744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2253),
  [10746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4210),
  [10748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4355),
  [10750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7404),
  [10752] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolation_contents_repeat1, 2, 0, 128),
  [10754] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolation_contents_repeat1, 2, 0, 128), SHIFT_REPEAT(259),
  [10757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5165),
  [10759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2824),
  [10761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5669),
  [10763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4252),
  [10765] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 97), SHIFT_REPEAT(187),
  [10768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(816),
  [10770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1191),
  [10772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5150),
  [10774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1197),
  [10776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2856),
  [10778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2366),
  [10780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [10782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2878),
  [10784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4963),
  [10786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5221),
  [10788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4952),
  [10790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4397),
  [10792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5271),
  [10794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2899),
  [10796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [10798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4255),
  [10800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6329),
  [10802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5714),
  [10804] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_repeat_while_statement_repeat1, 2, 0, 0),
  [10806] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_repeat_while_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6783),
  [10809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4662),
  [10811] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_macro_declaration, 4, 0, 71),
  [10813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4567),
  [10815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4419),
  [10817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2373),
  [10819] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_macro_declaration, 6, 0, 160),
  [10821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4254),
  [10823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4899),
  [10825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(701),
  [10827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4654),
  [10829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2939),
  [10831] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attribute_repeat1, 2, 0, 0),
  [10833] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_repeat1, 2, 0, 0), SHIFT_REPEAT(271),
  [10836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(708),
  [10838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2940),
  [10840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(740),
  [10842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6238),
  [10844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5751),
  [10846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [10848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2955),
  [10850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5114),
  [10852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [10854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2105),
  [10856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2464),
  [10858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(439),
  [10860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2957),
  [10862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2406),
  [10864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1540),
  [10866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5087),
  [10868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1544),
  [10870] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_tuple_type_repeat1, 2, 0, 93),
  [10872] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_tuple_type_repeat1, 2, 0, 93), SHIFT_REPEAT(3234),
  [10875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4431),
  [10877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2964),
  [10879] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 4, 0, 0),
  [10881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1588),
  [10883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1614),
  [10885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1598),
  [10887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7238),
  [10889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(299),
  [10891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3039),
  [10893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5762),
  [10895] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_raw_string_literal_repeat1, 2, 0, 38), SHIFT_REPEAT(7295),
  [10898] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_raw_string_literal_repeat1, 2, 0, 38),
  [10900] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__interpolation_contents, 1, 0, 41),
  [10902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(793),
  [10904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4525),
  [10906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2971),
  [10908] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_pattern, 1, 0, 13),
  [10910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4230),
  [10912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4517),
  [10914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4225),
  [10916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2734),
  [10918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1222),
  [10920] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 4, 0, 192),
  [10922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3637),
  [10924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2745),
  [10926] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 4, 0, 98),
  [10928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2454),
  [10930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1945),
  [10932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5818),
  [10934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4391),
  [10936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1992),
  [10938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2434),
  [10940] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_capture_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4254),
  [10943] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_capture_list_repeat1, 2, 0, 0),
  [10945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4390),
  [10947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2802),
  [10949] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_protocol_property_declaration, 3, 0, 188),
  [10951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7528),
  [10953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2803),
  [10955] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_protocol_property_declaration, 3, 0, 34),
  [10957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4862),
  [10959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1973),
  [10961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1221),
  [10963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [10965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3131),
  [10967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5415),
  [10969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1837),
  [10971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4756),
  [10973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4792),
  [10975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1970),
  [10977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5617),
  [10979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4796),
  [10981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3669),
  [10983] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__tuple_pattern_repeat1, 2, 0, 0),
  [10985] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__tuple_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(165),
  [10988] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_protocol_property_requirements, 2, 0, 0),
  [10990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1843),
  [10992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4786),
  [10994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2466),
  [10996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2866),
  [10998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2059),
  [11000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4794),
  [11002] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__protocol_member_declarations_repeat1, 2, 0, 147),
  [11004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2062),
  [11006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2871),
  [11008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5057),
  [11010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4916),
  [11012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(435),
  [11014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2411),
  [11016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5398),
  [11018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [11020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [11022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2400),
  [11024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5113),
  [11026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5049),
  [11028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7591),
  [11030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5116),
  [11032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4864),
  [11034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5691),
  [11036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [11038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2943),
  [11040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(431),
  [11042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2946),
  [11044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1872),
  [11046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4801),
  [11048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4872),
  [11050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2959),
  [11052] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 3, 0, 0),
  [11054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4784),
  [11056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2095),
  [11058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1726),
  [11060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [11062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3038),
  [11064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7303),
  [11066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2448),
  [11068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4871),
  [11070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1711),
  [11072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4870),
  [11074] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__protocol_member_declaration, 2, 0, 146),
  [11076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3143),
  [11078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5128),
  [11080] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_protocol_property_declaration, 2, 0, 34),
  [11082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3015),
  [11084] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_protocol_property_declaration, 5, 0, 188),
  [11086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4489),
  [11088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5109),
  [11090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4486),
  [11092] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 6, 0, 178),
  [11094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [11096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3090),
  [11098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [11100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1793),
  [11102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2487),
  [11104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1786),
  [11106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7529),
  [11108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2504),
  [11110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3093),
  [11112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3136),
  [11114] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_macro_declaration, 5, 0, 119),
  [11116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(977),
  [11118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2100),
  [11120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(989),
  [11122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4205),
  [11124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2102),
  [11126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6016),
  [11128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4823),
  [11130] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__function_value_parameters_repeat1, 2, 0, 63),
  [11132] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__function_value_parameters_repeat1, 2, 0, 63), SHIFT_REPEAT(4357),
  [11135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2600),
  [11137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(960),
  [11139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(961),
  [11141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1028),
  [11143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2561),
  [11145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2632),
  [11147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1030),
  [11149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2565),
  [11151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3113),
  [11153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3105),
  [11155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2607),
  [11157] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 3, 0, 153),
  [11159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5029),
  [11161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3110),
  [11163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4954),
  [11165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5027),
  [11167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2788),
  [11169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4958),
  [11171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [11173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2791),
  [11175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3270),
  [11177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1926),
  [11179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3271),
  [11181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3092),
  [11183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1549),
  [11185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1904),
  [11187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1899),
  [11189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1576),
  [11191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4437),
  [11193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1925),
  [11195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4204),
  [11197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3277),
  [11199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4925),
  [11201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4424),
  [11203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3274),
  [11205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4927),
  [11207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2365),
  [11209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4422),
  [11211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2369),
  [11213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5642),
  [11215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3126),
  [11217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(984),
  [11219] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_type_parameters_repeat1, 2, 0, 118),
  [11221] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_type_parameters_repeat1, 2, 0, 118), SHIFT_REPEAT(3462),
  [11224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2076),
  [11226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(968),
  [11228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2033),
  [11230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3140),
  [11232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2445),
  [11234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2025),
  [11236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2447),
  [11238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2049),
  [11240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1845),
  [11242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3200),
  [11244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2050),
  [11246] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_function_type, 5, 0, 0),
  [11248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3429),
  [11250] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_arguments_repeat1, 2, 0, 118), SHIFT_REPEAT(3770),
  [11253] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_arguments_repeat1, 2, 0, 118),
  [11255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3268),
  [11257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3181),
  [11259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1799),
  [11261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3253),
  [11263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6074),
  [11265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1797),
  [11267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5117),
  [11269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [11271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [11273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(966),
  [11275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2659),
  [11277] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_macro_declaration, 5, 0, 120),
  [11279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1988),
  [11281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(956),
  [11283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1982),
  [11285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4580),
  [11287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4579),
  [11289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4818),
  [11291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4821),
  [11293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5335),
  [11295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3070),
  [11297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3073),
  [11299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2111),
  [11301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4416),
  [11303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2109),
  [11305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3116),
  [11307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2429),
  [11309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5576),
  [11311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5022),
  [11313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2428),
  [11315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5023),
  [11317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5089),
  [11319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2427),
  [11321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2409),
  [11323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(441),
  [11325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3139),
  [11327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4622),
  [11329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4624),
  [11331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1877),
  [11333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1089),
  [11335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1086),
  [11337] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_availability_condition_repeat1, 2, 0, 0),
  [11339] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_availability_condition_repeat1, 2, 0, 0), SHIFT_REPEAT(4388),
  [11342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2407),
  [11344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2340),
  [11346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1679),
  [11348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1697),
  [11350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4977),
  [11352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1972),
  [11354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5162),
  [11356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3567),
  [11358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(986),
  [11360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3573),
  [11362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1820),
  [11364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3553),
  [11366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4971),
  [11368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3570),
  [11370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2479),
  [11372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(962),
  [11374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3550),
  [11376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1939),
  [11378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3564),
  [11380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2507),
  [11382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3547),
  [11384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3273),
  [11386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3543),
  [11388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3135),
  [11390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3576),
  [11392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5061),
  [11394] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__function_value_parameters_repeat1, 2, 0, 112),
  [11396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3540),
  [11398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3174),
  [11400] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_arguments_repeat1, 2, 0, 58),
  [11402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3218),
  [11404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3538),
  [11406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1039),
  [11408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3581),
  [11410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1715),
  [11412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3535),
  [11414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(958),
  [11416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3147),
  [11418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3588),
  [11420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1132),
  [11422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3314),
  [11424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3591),
  [11426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4741),
  [11428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1927),
  [11430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3594),
  [11432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5112),
  [11434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5048),
  [11436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3600),
  [11438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2074),
  [11440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2772),
  [11442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3607),
  [11444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2012),
  [11446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3604),
  [11448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4732),
  [11450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [11452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(976),
  [11454] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__tuple_pattern_item, 3, 0, 103),
  [11456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1791),
  [11458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3610),
  [11460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1946),
  [11462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5133),
  [11464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3616),
  [11466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4451),
  [11468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3771),
  [11470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4615),
  [11472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1767),
  [11474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4747),
  [11476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4817),
  [11478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3624),
  [11480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1594),
  [11482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5015),
  [11484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7921),
  [11486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3094),
  [11488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3629),
  [11490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5045),
  [11492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4736),
  [11494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7799),
  [11496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3031),
  [11498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3749),
  [11500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3760),
  [11502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4979),
  [11504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5185),
  [11506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3633),
  [11508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2511),
  [11510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3758),
  [11512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4980),
  [11514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3817),
  [11516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4953),
  [11518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3639),
  [11520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2537),
  [11522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type_item, 1, 0, 47),
  [11524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3825),
  [11526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3833),
  [11528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3642),
  [11530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4578),
  [11532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3840),
  [11534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1848),
  [11536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1987),
  [11538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3847),
  [11540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3651),
  [11542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5025),
  [11544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3858),
  [11546] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_raw_string_literal_repeat1, 3, 0, 9),
  [11548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4661),
  [11550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3866),
  [11552] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__tuple_pattern_item, 1, 0, 13),
  [11554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3659),
  [11556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5193),
  [11558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1660),
  [11560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4840),
  [11562] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type_item, 3, 0, 133),
  [11564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3876),
  [11566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3663),
  [11568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2052),
  [11570] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_tuple_type_repeat1, 2, 0, 45),
  [11572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5208),
  [11574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3674),
  [11576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1667),
  [11578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3666),
  [11580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5026),
  [11582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3885),
  [11584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5417),
  [11586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3884),
  [11588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3806),
  [11590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [11592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7789),
  [11594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4921),
  [11596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3746),
  [11598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3689),
  [11600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1570),
  [11602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3733),
  [11604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__non_constructor_function_decl, 2, 0, 19),
  [11606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5103),
  [11608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3823),
  [11610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4850),
  [11612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3790),
  [11614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3693),
  [11616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3696),
  [11618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(698),
  [11620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3795),
  [11622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7713),
  [11624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(798),
  [11626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3658),
  [11628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3807),
  [11630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2263),
  [11632] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolation_contents_repeat1, 2, 0, 127),
  [11634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5292),
  [11636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3699),
  [11638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5344),
  [11640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2089),
  [11642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3628),
  [11644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3845),
  [11646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3703),
  [11648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4382),
  [11650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4883),
  [11652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3831),
  [11654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3597),
  [11656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3836),
  [11658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7702),
  [11660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3028),
  [11662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3750),
  [11664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4754),
  [11666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3536),
  [11668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5043),
  [11670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5073),
  [11672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3715),
  [11674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1873),
  [11676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7712),
  [11678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1066),
  [11680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3512),
  [11682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7180),
  [11684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7181),
  [11686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4822),
  [11688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3799),
  [11690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6125),
  [11692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3852),
  [11694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3503),
  [11696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4512),
  [11698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3496),
  [11700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3880),
  [11702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3499),
  [11704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4749),
  [11706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1694),
  [11708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3505),
  [11710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3868),
  [11712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3514),
  [11714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3719),
  [11716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5108),
  [11718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7683),
  [11720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2602),
  [11722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3520),
  [11724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7803),
  [11726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2443),
  [11728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3805),
  [11730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4735),
  [11732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3558),
  [11734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3883),
  [11736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7650),
  [11738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2257),
  [11740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3578),
  [11742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3741),
  [11744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(738),
  [11746] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_dictionary_literal_repeat1, 2, 0, 50),
  [11748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3615),
  [11750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3619),
  [11752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3829),
  [11754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1605),
  [11756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(714),
  [11758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3814),
  [11760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3636),
  [11762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3728),
  [11764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2919),
  [11766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7649),
  [11768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1232),
  [11770] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type_item, 2, 0, 89),
  [11772] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type_item, 2, 0, 88),
  [11774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3690),
  [11776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6637),
  [11778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2118),
  [11780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4323),
  [11782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(746),
  [11784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6593),
  [11786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6878),
  [11788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1683),
  [11790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1230),
  [11792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7794),
  [11794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7796),
  [11796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6691),
  [11798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2904),
  [11800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6040),
  [11802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6549),
  [11804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6838),
  [11806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1165),
  [11808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2214),
  [11810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2938),
  [11812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2360),
  [11814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4475),
  [11816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2965),
  [11818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1681),
  [11820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [11822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3899),
  [11824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2260),
  [11826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6241),
  [11828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6981),
  [11830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6476),
  [11832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1235),
  [11834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3911),
  [11836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2442),
  [11838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4216),
  [11840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2238),
  [11842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [11844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2495),
  [11846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2730),
  [11848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6205),
  [11850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6686),
  [11852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4802),
  [11854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7024),
  [11856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2634),
  [11858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6244),
  [11860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6597),
  [11862] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_function_type, 6, 0, 208),
  [11864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2760),
  [11866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4404),
  [11868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7326),
  [11870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7319),
  [11872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5384),
  [11874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6038),
  [11876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2338),
  [11878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1603),
  [11880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(602),
  [11882] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_function_type, 3, 0, 100),
  [11884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5042),
  [11886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6834),
  [11888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(672),
  [11890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2963),
  [11892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6765),
  [11894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2567),
  [11896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(673),
  [11898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2467),
  [11900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6339),
  [11902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1064),
  [11904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(768),
  [11906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1595),
  [11908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1638),
  [11910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1137),
  [11912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(822),
  [11914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1676),
  [11916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5630),
  [11918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3026),
  [11920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1888),
  [11922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6836),
  [11924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5760),
  [11926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5766),
  [11928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4006),
  [11930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [11932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2682),
  [11934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1121),
  [11936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1640),
  [11938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1655),
  [11940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(785),
  [11942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4439),
  [11944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(795),
  [11946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2283),
  [11948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2282),
  [11950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2568),
  [11952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5325),
  [11954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(791),
  [11956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7098),
  [11958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1174),
  [11960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1176),
  [11962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6809),
  [11964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3627),
  [11966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3556),
  [11968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(706),
  [11970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5413),
  [11972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4361),
  [11974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7563),
  [11976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1537),
  [11978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7566),
  [11980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1538),
  [11982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3955),
  [11984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(804),
  [11986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1558),
  [11988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1092),
  [11990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5069),
  [11992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [11994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2540),
  [11996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4336),
  [11998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [12000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [12002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2538),
  [12004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2040),
  [12006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1677),
  [12008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4947),
  [12010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(929),
  [12012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3022),
  [12014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3933),
  [12016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4945),
  [12018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1590),
  [12020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1585),
  [12022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1100),
  [12024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2060),
  [12026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(726),
  [12028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6481),
  [12030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6112),
  [12032] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_function_type, 7, 0, 232),
  [12034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [12036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(720),
  [12038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2449),
  [12040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5197),
  [12042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(742),
  [12044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1577),
  [12046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2123),
  [12048] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_function_type, 4, 0, 136),
  [12050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1074),
  [12052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6044),
  [12054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2512),
  [12056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1068),
  [12058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5960),
  [12060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5961),
  [12062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3529),
  [12064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2952),
  [12066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4994),
  [12068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(907),
  [12070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2423),
  [12072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(677),
  [12074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7117),
  [12076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4384),
  [12078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3045),
  [12080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(925),
  [12082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(906),
  [12084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2146),
  [12086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1572),
  [12088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3518),
  [12090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4722),
  [12092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [12094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1240),
  [12096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2486),
  [12098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6561),
  [12100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6232),
  [12102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2531),
  [12104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3030),
  [12106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2532),
  [12108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3095),
  [12110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3263),
  [12112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1049),
  [12114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5076),
  [12116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1135),
  [12118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1599),
  [12120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2670),
  [12122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4333),
  [12124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4483),
  [12126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [12128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1986),
  [12130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3265),
  [12132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7720),
  [12134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7721),
  [12136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5492),
  [12138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [12140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(570),
  [12142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2032),
  [12144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6999),
  [12146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4737),
  [12148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(456),
  [12150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4411),
  [12152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7790),
  [12154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2588),
  [12156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(582),
  [12158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7747),
  [12160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4825),
  [12162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [12164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2080),
  [12166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(676),
  [12168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [12170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5119),
  [12172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [12174] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [12176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [12178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4777),
  [12180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4997),
  [12182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(965),
  [12184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1138),
  [12186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1035),
  [12188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4815),
  [12190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [12192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(477),
  [12194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2385),
  [12196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4880),
  [12198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3176),
  [12200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4409),
  [12202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [12204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2720),
  [12206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [12208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(548),
  [12210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1718),
  [12212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3040),
  [12214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4376),
  [12216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [12218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_function_type, 5, 0, 177),
  [12220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3280),
  [12222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [12224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(584),
  [12226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2694),
  [12228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(592),
  [12230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1790),
  [12232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [12234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(560),
  [12236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1937),
  [12238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(532),
  [12240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2473),
  [12242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [12244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [12246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3258),
  [12248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(478),
  [12250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4581),
  [12252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(554),
  [12254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [12256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [12258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6014),
  [12260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(556),
  [12262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4933),
  [12264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [12266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(559),
  [12268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [12270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [12272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2368),
  [12274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2676),
  [12276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3080),
  [12278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3495),
  [12280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(985),
  [12282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3119),
  [12284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4969),
  [12286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(611),
  [12288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6799),
  [12290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2510),
  [12292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2267),
  [12294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3127),
  [12296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4863),
  [12298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4855),
  [12300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4842),
  [12302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4819),
  [12304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4808),
  [12306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4805),
  [12308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4748),
  [12310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4874),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token_multiline_comment = 0,
  ts_external_token_raw_str_part = 1,
  ts_external_token_raw_str_continuing_indicator = 2,
  ts_external_token_raw_str_end_part = 3,
  ts_external_token__implicit_semi = 4,
  ts_external_token__explicit_semi = 5,
  ts_external_token__arrow_operator_custom = 6,
  ts_external_token__dot_custom = 7,
  ts_external_token__conjunction_operator_custom = 8,
  ts_external_token__disjunction_operator_custom = 9,
  ts_external_token__nil_coalescing_operator_custom = 10,
  ts_external_token__eq_custom = 11,
  ts_external_token__eq_eq_custom = 12,
  ts_external_token__plus_then_ws = 13,
  ts_external_token__minus_then_ws = 14,
  ts_external_token__bang_custom = 15,
  ts_external_token__throws_keyword = 16,
  ts_external_token__rethrows_keyword = 17,
  ts_external_token_default_keyword = 18,
  ts_external_token_where_keyword = 19,
  ts_external_token_else = 20,
  ts_external_token_catch_keyword = 21,
  ts_external_token__as_custom = 22,
  ts_external_token__as_quest_custom = 23,
  ts_external_token__as_bang_custom = 24,
  ts_external_token__async_keyword_custom = 25,
  ts_external_token__custom_operator = 26,
  ts_external_token__fake_try_bang = 27,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token_multiline_comment] = sym_multiline_comment,
  [ts_external_token_raw_str_part] = sym_raw_str_part,
  [ts_external_token_raw_str_continuing_indicator] = sym_raw_str_continuing_indicator,
  [ts_external_token_raw_str_end_part] = sym_raw_str_end_part,
  [ts_external_token__implicit_semi] = sym__implicit_semi,
  [ts_external_token__explicit_semi] = sym__explicit_semi,
  [ts_external_token__arrow_operator_custom] = sym__arrow_operator_custom,
  [ts_external_token__dot_custom] = sym__dot_custom,
  [ts_external_token__conjunction_operator_custom] = sym__conjunction_operator_custom,
  [ts_external_token__disjunction_operator_custom] = sym__disjunction_operator_custom,
  [ts_external_token__nil_coalescing_operator_custom] = sym__nil_coalescing_operator_custom,
  [ts_external_token__eq_custom] = sym__eq_custom,
  [ts_external_token__eq_eq_custom] = sym__eq_eq_custom,
  [ts_external_token__plus_then_ws] = sym__plus_then_ws,
  [ts_external_token__minus_then_ws] = sym__minus_then_ws,
  [ts_external_token__bang_custom] = sym__bang_custom,
  [ts_external_token__throws_keyword] = sym__throws_keyword,
  [ts_external_token__rethrows_keyword] = sym__rethrows_keyword,
  [ts_external_token_default_keyword] = sym_default_keyword,
  [ts_external_token_where_keyword] = sym_where_keyword,
  [ts_external_token_else] = sym_else,
  [ts_external_token_catch_keyword] = sym_catch_keyword,
  [ts_external_token__as_custom] = sym__as_custom,
  [ts_external_token__as_quest_custom] = sym__as_quest_custom,
  [ts_external_token__as_bang_custom] = sym__as_bang_custom,
  [ts_external_token__async_keyword_custom] = sym__async_keyword_custom,
  [ts_external_token__custom_operator] = sym__custom_operator,
  [ts_external_token__fake_try_bang] = sym__fake_try_bang,
};

static const bool ts_external_scanner_states[130][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token_raw_str_part] = true,
    [ts_external_token_raw_str_continuing_indicator] = true,
    [ts_external_token_raw_str_end_part] = true,
    [ts_external_token__implicit_semi] = true,
    [ts_external_token__explicit_semi] = true,
    [ts_external_token__arrow_operator_custom] = true,
    [ts_external_token__dot_custom] = true,
    [ts_external_token__conjunction_operator_custom] = true,
    [ts_external_token__disjunction_operator_custom] = true,
    [ts_external_token__nil_coalescing_operator_custom] = true,
    [ts_external_token__eq_custom] = true,
    [ts_external_token__eq_eq_custom] = true,
    [ts_external_token__plus_then_ws] = true,
    [ts_external_token__minus_then_ws] = true,
    [ts_external_token__bang_custom] = true,
    [ts_external_token__throws_keyword] = true,
    [ts_external_token__rethrows_keyword] = true,
    [ts_external_token_default_keyword] = true,
    [ts_external_token_where_keyword] = true,
    [ts_external_token_else] = true,
    [ts_external_token_catch_keyword] = true,
    [ts_external_token__as_custom] = true,
    [ts_external_token__as_quest_custom] = true,
    [ts_external_token__as_bang_custom] = true,
    [ts_external_token__async_keyword_custom] = true,
    [ts_external_token__custom_operator] = true,
    [ts_external_token__fake_try_bang] = true,
  },
  [2] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token_raw_str_part] = true,
    [ts_external_token_raw_str_end_part] = true,
    [ts_external_token__dot_custom] = true,
    [ts_external_token__eq_custom] = true,
    [ts_external_token__eq_eq_custom] = true,
    [ts_external_token__plus_then_ws] = true,
    [ts_external_token__minus_then_ws] = true,
    [ts_external_token__bang_custom] = true,
    [ts_external_token__custom_operator] = true,
  },
  [3] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token_raw_str_part] = true,
    [ts_external_token_raw_str_end_part] = true,
    [ts_external_token__dot_custom] = true,
    [ts_external_token__eq_custom] = true,
    [ts_external_token__eq_eq_custom] = true,
    [ts_external_token__plus_then_ws] = true,
    [ts_external_token__minus_then_ws] = true,
    [ts_external_token__bang_custom] = true,
    [ts_external_token_default_keyword] = true,
    [ts_external_token__custom_operator] = true,
  },
  [4] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token_raw_str_part] = true,
    [ts_external_token_raw_str_end_part] = true,
    [ts_external_token__dot_custom] = true,
    [ts_external_token__conjunction_operator_custom] = true,
    [ts_external_token__disjunction_operator_custom] = true,
    [ts_external_token__nil_coalescing_operator_custom] = true,
    [ts_external_token__eq_custom] = true,
    [ts_external_token__eq_eq_custom] = true,
    [ts_external_token__plus_then_ws] = true,
    [ts_external_token__minus_then_ws] = true,
    [ts_external_token__bang_custom] = true,
    [ts_external_token__as_custom] = true,
    [ts_external_token__as_quest_custom] = true,
    [ts_external_token__as_bang_custom] = true,
    [ts_external_token__custom_operator] = true,
  },
  [5] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token_raw_str_part] = true,
    [ts_external_token_raw_str_end_part] = true,
    [ts_external_token__implicit_semi] = true,
    [ts_external_token__explicit_semi] = true,
    [ts_external_token__dot_custom] = true,
    [ts_external_token__conjunction_operator_custom] = true,
    [ts_external_token__disjunction_operator_custom] = true,
    [ts_external_token__nil_coalescing_operator_custom] = true,
    [ts_external_token__eq_custom] = true,
    [ts_external_token__eq_eq_custom] = true,
    [ts_external_token__plus_then_ws] = true,
    [ts_external_token__minus_then_ws] = true,
    [ts_external_token__bang_custom] = true,
    [ts_external_token_default_keyword] = true,
    [ts_external_token_where_keyword] = true,
    [ts_external_token__as_custom] = true,
    [ts_external_token__as_quest_custom] = true,
    [ts_external_token__as_bang_custom] = true,
    [ts_external_token__custom_operator] = true,
  },
  [6] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token_raw_str_part] = true,
    [ts_external_token_raw_str_end_part] = true,
    [ts_external_token__implicit_semi] = true,
    [ts_external_token__explicit_semi] = true,
    [ts_external_token__dot_custom] = true,
    [ts_external_token__conjunction_operator_custom] = true,
    [ts_external_token__disjunction_operator_custom] = true,
    [ts_external_token__nil_coalescing_operator_custom] = true,
    [ts_external_token__eq_custom] = true,
    [ts_external_token__eq_eq_custom] = true,
    [ts_external_token__plus_then_ws] = true,
    [ts_external_token__minus_then_ws] = true,
    [ts_external_token__bang_custom] = true,
    [ts_external_token_default_keyword] = true,
    [ts_external_token__as_custom] = true,
    [ts_external_token__as_quest_custom] = true,
    [ts_external_token__as_bang_custom] = true,
    [ts_external_token__custom_operator] = true,
  },
  [7] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token_raw_str_part] = true,
    [ts_external_token_raw_str_end_part] = true,
    [ts_external_token__implicit_semi] = true,
    [ts_external_token__explicit_semi] = true,
    [ts_external_token__dot_custom] = true,
    [ts_external_token__eq_custom] = true,
    [ts_external_token__eq_eq_custom] = true,
    [ts_external_token__plus_then_ws] = true,
    [ts_external_token__minus_then_ws] = true,
    [ts_external_token__bang_custom] = true,
    [ts_external_token_default_keyword] = true,
    [ts_external_token__custom_operator] = true,
  },
  [8] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token_raw_str_part] = true,
    [ts_external_token_raw_str_end_part] = true,
    [ts_external_token__arrow_operator_custom] = true,
    [ts_external_token__dot_custom] = true,
    [ts_external_token__conjunction_operator_custom] = true,
    [ts_external_token__disjunction_operator_custom] = true,
    [ts_external_token__nil_coalescing_operator_custom] = true,
    [ts_external_token__eq_custom] = true,
    [ts_external_token__eq_eq_custom] = true,
    [ts_external_token__plus_then_ws] = true,
    [ts_external_token__minus_then_ws] = true,
    [ts_external_token__bang_custom] = true,
    [ts_external_token__throws_keyword] = true,
    [ts_external_token__rethrows_keyword] = true,
    [ts_external_token__as_custom] = true,
    [ts_external_token__as_quest_custom] = true,
    [ts_external_token__as_bang_custom] = true,
    [ts_external_token__async_keyword_custom] = true,
    [ts_external_token__custom_operator] = true,
  },
  [9] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token_raw_str_part] = true,
    [ts_external_token_raw_str_end_part] = true,
    [ts_external_token__implicit_semi] = true,
    [ts_external_token__explicit_semi] = true,
    [ts_external_token__dot_custom] = true,
    [ts_external_token__conjunction_operator_custom] = true,
    [ts_external_token__disjunction_operator_custom] = true,
    [ts_external_token__nil_coalescing_operator_custom] = true,
    [ts_external_token__eq_custom] = true,
    [ts_external_token__eq_eq_custom] = true,
    [ts_external_token__plus_then_ws] = true,
    [ts_external_token__minus_then_ws] = true,
    [ts_external_token__bang_custom] = true,
    [ts_external_token_where_keyword] = true,
    [ts_external_token__as_custom] = true,
    [ts_external_token__as_quest_custom] = true,
    [ts_external_token__as_bang_custom] = true,
    [ts_external_token__custom_operator] = true,
  },
  [10] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token_raw_str_part] = true,
    [ts_external_token_raw_str_end_part] = true,
    [ts_external_token__implicit_semi] = true,
    [ts_external_token__explicit_semi] = true,
    [ts_external_token__dot_custom] = true,
    [ts_external_token__conjunction_operator_custom] = true,
    [ts_external_token__disjunction_operator_custom] = true,
    [ts_external_token__nil_coalescing_operator_custom] = true,
    [ts_external_token__eq_custom] = true,
    [ts_external_token__eq_eq_custom] = true,
    [ts_external_token__plus_then_ws] = true,
    [ts_external_token__minus_then_ws] = true,
    [ts_external_token__bang_custom] = true,
    [ts_external_token__as_custom] = true,
    [ts_external_token__as_quest_custom] = true,
    [ts_external_token__as_bang_custom] = true,
    [ts_external_token__custom_operator] = true,
  },
  [11] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token_raw_str_part] = true,
    [ts_external_token_raw_str_end_part] = true,
    [ts_external_token__dot_custom] = true,
    [ts_external_token__conjunction_operator_custom] = true,
    [ts_external_token__disjunction_operator_custom] = true,
    [ts_external_token__nil_coalescing_operator_custom] = true,
    [ts_external_token__eq_custom] = true,
    [ts_external_token__eq_eq_custom] = true,
    [ts_external_token__plus_then_ws] = true,
    [ts_external_token__minus_then_ws] = true,
    [ts_external_token__bang_custom] = true,
    [ts_external_token_where_keyword] = true,
    [ts_external_token_else] = true,
    [ts_external_token__as_custom] = true,
    [ts_external_token__as_quest_custom] = true,
    [ts_external_token__as_bang_custom] = true,
    [ts_external_token__custom_operator] = true,
  },
  [12] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token_raw_str_part] = true,
    [ts_external_token_raw_str_end_part] = true,
    [ts_external_token__dot_custom] = true,
    [ts_external_token__conjunction_operator_custom] = true,
    [ts_external_token__disjunction_operator_custom] = true,
    [ts_external_token__nil_coalescing_operator_custom] = true,
    [ts_external_token__eq_custom] = true,
    [ts_external_token__eq_eq_custom] = true,
    [ts_external_token__plus_then_ws] = true,
    [ts_external_token__minus_then_ws] = true,
    [ts_external_token__bang_custom] = true,
    [ts_external_token_where_keyword] = true,
    [ts_external_token__as_custom] = true,
    [ts_external_token__as_quest_custom] = true,
    [ts_external_token__as_bang_custom] = true,
    [ts_external_token__custom_operator] = true,
  },
  [13] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token_raw_str_part] = true,
    [ts_external_token_raw_str_end_part] = true,
    [ts_external_token__dot_custom] = true,
    [ts_external_token__conjunction_operator_custom] = true,
    [ts_external_token__disjunction_operator_custom] = true,
    [ts_external_token__nil_coalescing_operator_custom] = true,
    [ts_external_token__eq_custom] = true,
    [ts_external_token__eq_eq_custom] = true,
    [ts_external_token__plus_then_ws] = true,
    [ts_external_token__minus_then_ws] = true,
    [ts_external_token__bang_custom] = true,
    [ts_external_token_else] = true,
    [ts_external_token__as_custom] = true,
    [ts_external_token__as_quest_custom] = true,
    [ts_external_token__as_bang_custom] = true,
    [ts_external_token__custom_operator] = true,
  },
  [14] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token_raw_str_part] = true,
    [ts_external_token_raw_str_end_part] = true,
    [ts_external_token__implicit_semi] = true,
    [ts_external_token__explicit_semi] = true,
    [ts_external_token__arrow_operator_custom] = true,
    [ts_external_token__dot_custom] = true,
    [ts_external_token__conjunction_operator_custom] = true,
    [ts_external_token__disjunction_operator_custom] = true,
    [ts_external_token__nil_coalescing_operator_custom] = true,
    [ts_external_token__eq_custom] = true,
    [ts_external_token__eq_eq_custom] = true,
    [ts_external_token__plus_then_ws] = true,
    [ts_external_token__minus_then_ws] = true,
    [ts_external_token__bang_custom] = true,
    [ts_external_token__throws_keyword] = true,
    [ts_external_token__rethrows_keyword] = true,
    [ts_external_token__as_custom] = true,
    [ts_external_token__as_quest_custom] = true,
    [ts_external_token__as_bang_custom] = true,
    [ts_external_token__async_keyword_custom] = true,
    [ts_external_token__custom_operator] = true,
  },
  [15] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token_raw_str_part] = true,
    [ts_external_token_raw_str_end_part] = true,
    [ts_external_token__dot_custom] = true,
    [ts_external_token__eq_custom] = true,
    [ts_external_token__eq_eq_custom] = true,
    [ts_external_token__plus_then_ws] = true,
    [ts_external_token__minus_then_ws] = true,
    [ts_external_token__bang_custom] = true,
    [ts_external_token_where_keyword] = true,
    [ts_external_token__custom_operator] = true,
  },
  [16] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token_raw_str_part] = true,
    [ts_external_token_raw_str_end_part] = true,
    [ts_external_token__implicit_semi] = true,
    [ts_external_token__explicit_semi] = true,
    [ts_external_token__dot_custom] = true,
    [ts_external_token__eq_custom] = true,
    [ts_external_token__eq_eq_custom] = true,
    [ts_external_token__plus_then_ws] = true,
    [ts_external_token__minus_then_ws] = true,
    [ts_external_token__bang_custom] = true,
    [ts_external_token__custom_operator] = true,
  },
  [17] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token__arrow_operator_custom] = true,
    [ts_external_token__dot_custom] = true,
    [ts_external_token__conjunction_operator_custom] = true,
    [ts_external_token__disjunction_operator_custom] = true,
    [ts_external_token__nil_coalescing_operator_custom] = true,
    [ts_external_token__eq_custom] = true,
    [ts_external_token__eq_eq_custom] = true,
    [ts_external_token__plus_then_ws] = true,
    [ts_external_token__minus_then_ws] = true,
    [ts_external_token__bang_custom] = true,
    [ts_external_token__throws_keyword] = true,
    [ts_external_token__rethrows_keyword] = true,
    [ts_external_token__as_custom] = true,
    [ts_external_token__as_quest_custom] = true,
    [ts_external_token__as_bang_custom] = true,
    [ts_external_token__async_keyword_custom] = true,
    [ts_external_token__custom_operator] = true,
  },
  [18] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token__dot_custom] = true,
    [ts_external_token__conjunction_operator_custom] = true,
    [ts_external_token__disjunction_operator_custom] = true,
    [ts_external_token__nil_coalescing_operator_custom] = true,
    [ts_external_token__eq_custom] = true,
    [ts_external_token__eq_eq_custom] = true,
    [ts_external_token__plus_then_ws] = true,
    [ts_external_token__minus_then_ws] = true,
    [ts_external_token__bang_custom] = true,
    [ts_external_token__as_custom] = true,
    [ts_external_token__as_quest_custom] = true,
    [ts_external_token__as_bang_custom] = true,
    [ts_external_token__custom_operator] = true,
  },
  [19] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token__implicit_semi] = true,
    [ts_external_token__explicit_semi] = true,
    [ts_external_token__arrow_operator_custom] = true,
    [ts_external_token__dot_custom] = true,
    [ts_external_token__conjunction_operator_custom] = true,
    [ts_external_token__disjunction_operator_custom] = true,
    [ts_external_token__nil_coalescing_operator_custom] = true,
    [ts_external_token__eq_custom] = true,
    [ts_external_token__eq_eq_custom] = true,
    [ts_external_token__plus_then_ws] = true,
    [ts_external_token__minus_then_ws] = true,
    [ts_external_token__bang_custom] = true,
    [ts_external_token__throws_keyword] = true,
    [ts_external_token__rethrows_keyword] = true,
    [ts_external_token_default_keyword] = true,
    [ts_external_token_where_keyword] = true,
    [ts_external_token__as_custom] = true,
    [ts_external_token__as_quest_custom] = true,
    [ts_external_token__as_bang_custom] = true,
    [ts_external_token__async_keyword_custom] = true,
    [ts_external_token__custom_operator] = true,
  },
  [20] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token__implicit_semi] = true,
    [ts_external_token__explicit_semi] = true,
    [ts_external_token__arrow_operator_custom] = true,
    [ts_external_token__dot_custom] = true,
    [ts_external_token__conjunction_operator_custom] = true,
    [ts_external_token__disjunction_operator_custom] = true,
    [ts_external_token__nil_coalescing_operator_custom] = true,
    [ts_external_token__eq_custom] = true,
    [ts_external_token__eq_eq_custom] = true,
    [ts_external_token__plus_then_ws] = true,
    [ts_external_token__minus_then_ws] = true,
    [ts_external_token__bang_custom] = true,
    [ts_external_token__throws_keyword] = true,
    [ts_external_token__rethrows_keyword] = true,
    [ts_external_token_default_keyword] = true,
    [ts_external_token__as_custom] = true,
    [ts_external_token__as_quest_custom] = true,
    [ts_external_token__as_bang_custom] = true,
    [ts_external_token__async_keyword_custom] = true,
    [ts_external_token__custom_operator] = true,
  },
  [21] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token__implicit_semi] = true,
    [ts_external_token__explicit_semi] = true,
    [ts_external_token__dot_custom] = true,
    [ts_external_token__conjunction_operator_custom] = true,
    [ts_external_token__disjunction_operator_custom] = true,
    [ts_external_token__nil_coalescing_operator_custom] = true,
    [ts_external_token__eq_custom] = true,
    [ts_external_token__eq_eq_custom] = true,
    [ts_external_token__plus_then_ws] = true,
    [ts_external_token__minus_then_ws] = true,
    [ts_external_token__bang_custom] = true,
    [ts_external_token_default_keyword] = true,
    [ts_external_token_where_keyword] = true,
    [ts_external_token__as_custom] = true,
    [ts_external_token__as_quest_custom] = true,
    [ts_external_token__as_bang_custom] = true,
    [ts_external_token__custom_operator] = true,
  },
  [22] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token__implicit_semi] = true,
    [ts_external_token__explicit_semi] = true,
    [ts_external_token__dot_custom] = true,
    [ts_external_token__conjunction_operator_custom] = true,
    [ts_external_token__disjunction_operator_custom] = true,
    [ts_external_token__nil_coalescing_operator_custom] = true,
    [ts_external_token__eq_custom] = true,
    [ts_external_token__eq_eq_custom] = true,
    [ts_external_token__plus_then_ws] = true,
    [ts_external_token__minus_then_ws] = true,
    [ts_external_token__bang_custom] = true,
    [ts_external_token_default_keyword] = true,
    [ts_external_token__as_custom] = true,
    [ts_external_token__as_quest_custom] = true,
    [ts_external_token__as_bang_custom] = true,
    [ts_external_token__custom_operator] = true,
  },
  [23] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token__implicit_semi] = true,
    [ts_external_token__explicit_semi] = true,
    [ts_external_token__arrow_operator_custom] = true,
    [ts_external_token__dot_custom] = true,
    [ts_external_token__conjunction_operator_custom] = true,
    [ts_external_token__disjunction_operator_custom] = true,
    [ts_external_token__nil_coalescing_operator_custom] = true,
    [ts_external_token__eq_custom] = true,
    [ts_external_token__eq_eq_custom] = true,
    [ts_external_token__plus_then_ws] = true,
    [ts_external_token__minus_then_ws] = true,
    [ts_external_token__bang_custom] = true,
    [ts_external_token__throws_keyword] = true,
    [ts_external_token__rethrows_keyword] = true,
    [ts_external_token__as_custom] = true,
    [ts_external_token__as_quest_custom] = true,
    [ts_external_token__as_bang_custom] = true,
    [ts_external_token__async_keyword_custom] = true,
    [ts_external_token__custom_operator] = true,
  },
  [24] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token__dot_custom] = true,
    [ts_external_token__conjunction_operator_custom] = true,
    [ts_external_token__disjunction_operator_custom] = true,
    [ts_external_token__nil_coalescing_operator_custom] = true,
    [ts_external_token__eq_custom] = true,
    [ts_external_token__eq_eq_custom] = true,
    [ts_external_token__plus_then_ws] = true,
    [ts_external_token__minus_then_ws] = true,
    [ts_external_token__bang_custom] = true,
    [ts_external_token_else] = true,
    [ts_external_token__as_custom] = true,
    [ts_external_token__as_quest_custom] = true,
    [ts_external_token__as_bang_custom] = true,
    [ts_external_token__custom_operator] = true,
  },
  [25] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token__implicit_semi] = true,
    [ts_external_token__explicit_semi] = true,
    [ts_external_token__dot_custom] = true,
    [ts_external_token__conjunction_operator_custom] = true,
    [ts_external_token__disjunction_operator_custom] = true,
    [ts_external_token__nil_coalescing_operator_custom] = true,
    [ts_external_token__eq_custom] = true,
    [ts_external_token__eq_eq_custom] = true,
    [ts_external_token__plus_then_ws] = true,
    [ts_external_token__minus_then_ws] = true,
    [ts_external_token__bang_custom] = true,
    [ts_external_token__as_custom] = true,
    [ts_external_token__as_quest_custom] = true,
    [ts_external_token__as_bang_custom] = true,
    [ts_external_token__custom_operator] = true,
  },
  [26] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token__arrow_operator_custom] = true,
    [ts_external_token__dot_custom] = true,
    [ts_external_token__eq_custom] = true,
    [ts_external_token__throws_keyword] = true,
    [ts_external_token__rethrows_keyword] = true,
    [ts_external_token_where_keyword] = true,
    [ts_external_token__as_custom] = true,
    [ts_external_token__async_keyword_custom] = true,
  },
  [27] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token__arrow_operator_custom] = true,
    [ts_external_token__dot_custom] = true,
    [ts_external_token__eq_custom] = true,
    [ts_external_token__throws_keyword] = true,
    [ts_external_token__rethrows_keyword] = true,
    [ts_external_token_where_keyword] = true,
    [ts_external_token__async_keyword_custom] = true,
  },
  [28] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token__arrow_operator_custom] = true,
    [ts_external_token__dot_custom] = true,
    [ts_external_token__eq_custom] = true,
    [ts_external_token__throws_keyword] = true,
    [ts_external_token__rethrows_keyword] = true,
    [ts_external_token__async_keyword_custom] = true,
  },
  [29] = {
    [ts_external_token_multiline_comment] = true,
  },
  [30] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token__arrow_operator_custom] = true,
    [ts_external_token__dot_custom] = true,
    [ts_external_token__throws_keyword] = true,
    [ts_external_token__rethrows_keyword] = true,
    [ts_external_token__async_keyword_custom] = true,
  },
  [31] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token__implicit_semi] = true,
    [ts_external_token__explicit_semi] = true,
    [ts_external_token__arrow_operator_custom] = true,
    [ts_external_token__dot_custom] = true,
    [ts_external_token__conjunction_operator_custom] = true,
    [ts_external_token__disjunction_operator_custom] = true,
    [ts_external_token__nil_coalescing_operator_custom] = true,
    [ts_external_token__eq_custom] = true,
    [ts_external_token__eq_eq_custom] = true,
    [ts_external_token__plus_then_ws] = true,
    [ts_external_token__minus_then_ws] = true,
    [ts_external_token__bang_custom] = true,
    [ts_external_token__throws_keyword] = true,
    [ts_external_token__rethrows_keyword] = true,
    [ts_external_token_where_keyword] = true,
    [ts_external_token__as_custom] = true,
    [ts_external_token__as_quest_custom] = true,
    [ts_external_token__as_bang_custom] = true,
    [ts_external_token__async_keyword_custom] = true,
    [ts_external_token__custom_operator] = true,
  },
  [32] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token_raw_str_part] = true,
    [ts_external_token_raw_str_end_part] = true,
    [ts_external_token__dot_custom] = true,
    [ts_external_token__eq_custom] = true,
    [ts_external_token__eq_eq_custom] = true,
    [ts_external_token__plus_then_ws] = true,
    [ts_external_token__minus_then_ws] = true,
    [ts_external_token__bang_custom] = true,
    [ts_external_token__custom_operator] = true,
    [ts_external_token__fake_try_bang] = true,
  },
  [33] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token__implicit_semi] = true,
    [ts_external_token__explicit_semi] = true,
    [ts_external_token__dot_custom] = true,
    [ts_external_token__conjunction_operator_custom] = true,
    [ts_external_token__disjunction_operator_custom] = true,
    [ts_external_token__nil_coalescing_operator_custom] = true,
    [ts_external_token__eq_custom] = true,
    [ts_external_token__eq_eq_custom] = true,
    [ts_external_token__plus_then_ws] = true,
    [ts_external_token__minus_then_ws] = true,
    [ts_external_token__bang_custom] = true,
    [ts_external_token_default_keyword] = true,
    [ts_external_token_where_keyword] = true,
    [ts_external_token_else] = true,
    [ts_external_token__as_custom] = true,
    [ts_external_token__as_quest_custom] = true,
    [ts_external_token__as_bang_custom] = true,
    [ts_external_token__custom_operator] = true,
  },
  [34] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token__implicit_semi] = true,
    [ts_external_token__explicit_semi] = true,
    [ts_external_token__dot_custom] = true,
    [ts_external_token__conjunction_operator_custom] = true,
    [ts_external_token__disjunction_operator_custom] = true,
    [ts_external_token__nil_coalescing_operator_custom] = true,
    [ts_external_token__eq_custom] = true,
    [ts_external_token__eq_eq_custom] = true,
    [ts_external_token__plus_then_ws] = true,
    [ts_external_token__minus_then_ws] = true,
    [ts_external_token__bang_custom] = true,
    [ts_external_token_default_keyword] = true,
    [ts_external_token_else] = true,
    [ts_external_token__as_custom] = true,
    [ts_external_token__as_quest_custom] = true,
    [ts_external_token__as_bang_custom] = true,
    [ts_external_token__custom_operator] = true,
  },
  [35] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token__arrow_operator_custom] = true,
    [ts_external_token__dot_custom] = true,
    [ts_external_token__conjunction_operator_custom] = true,
    [ts_external_token__disjunction_operator_custom] = true,
    [ts_external_token__nil_coalescing_operator_custom] = true,
    [ts_external_token__eq_custom] = true,
    [ts_external_token__eq_eq_custom] = true,
    [ts_external_token__plus_then_ws] = true,
    [ts_external_token__minus_then_ws] = true,
    [ts_external_token__bang_custom] = true,
    [ts_external_token__throws_keyword] = true,
    [ts_external_token__rethrows_keyword] = true,
    [ts_external_token_where_keyword] = true,
    [ts_external_token_else] = true,
    [ts_external_token__as_custom] = true,
    [ts_external_token__as_quest_custom] = true,
    [ts_external_token__as_bang_custom] = true,
    [ts_external_token__async_keyword_custom] = true,
    [ts_external_token__custom_operator] = true,
  },
  [36] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token__arrow_operator_custom] = true,
    [ts_external_token__dot_custom] = true,
    [ts_external_token__conjunction_operator_custom] = true,
    [ts_external_token__disjunction_operator_custom] = true,
    [ts_external_token__nil_coalescing_operator_custom] = true,
    [ts_external_token__eq_custom] = true,
    [ts_external_token__eq_eq_custom] = true,
    [ts_external_token__plus_then_ws] = true,
    [ts_external_token__minus_then_ws] = true,
    [ts_external_token__bang_custom] = true,
    [ts_external_token__throws_keyword] = true,
    [ts_external_token__rethrows_keyword] = true,
    [ts_external_token_where_keyword] = true,
    [ts_external_token__as_custom] = true,
    [ts_external_token__as_quest_custom] = true,
    [ts_external_token__as_bang_custom] = true,
    [ts_external_token__async_keyword_custom] = true,
    [ts_external_token__custom_operator] = true,
  },
  [37] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token__arrow_operator_custom] = true,
    [ts_external_token__dot_custom] = true,
    [ts_external_token__conjunction_operator_custom] = true,
    [ts_external_token__disjunction_operator_custom] = true,
    [ts_external_token__nil_coalescing_operator_custom] = true,
    [ts_external_token__eq_custom] = true,
    [ts_external_token__eq_eq_custom] = true,
    [ts_external_token__plus_then_ws] = true,
    [ts_external_token__minus_then_ws] = true,
    [ts_external_token__bang_custom] = true,
    [ts_external_token__throws_keyword] = true,
    [ts_external_token__rethrows_keyword] = true,
    [ts_external_token_else] = true,
    [ts_external_token__as_custom] = true,
    [ts_external_token__as_quest_custom] = true,
    [ts_external_token__as_bang_custom] = true,
    [ts_external_token__async_keyword_custom] = true,
    [ts_external_token__custom_operator] = true,
  },
  [38] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token__implicit_semi] = true,
    [ts_external_token__explicit_semi] = true,
    [ts_external_token__arrow_operator_custom] = true,
    [ts_external_token__dot_custom] = true,
    [ts_external_token__eq_custom] = true,
    [ts_external_token__throws_keyword] = true,
    [ts_external_token__rethrows_keyword] = true,
    [ts_external_token_default_keyword] = true,
    [ts_external_token_where_keyword] = true,
    [ts_external_token__as_custom] = true,
    [ts_external_token__async_keyword_custom] = true,
  },
  [39] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token__implicit_semi] = true,
    [ts_external_token__explicit_semi] = true,
    [ts_external_token__dot_custom] = true,
    [ts_external_token__conjunction_operator_custom] = true,
    [ts_external_token__disjunction_operator_custom] = true,
    [ts_external_token__nil_coalescing_operator_custom] = true,
    [ts_external_token__eq_custom] = true,
    [ts_external_token__eq_eq_custom] = true,
    [ts_external_token__plus_then_ws] = true,
    [ts_external_token__minus_then_ws] = true,
    [ts_external_token__bang_custom] = true,
    [ts_external_token_where_keyword] = true,
    [ts_external_token__as_custom] = true,
    [ts_external_token__as_quest_custom] = true,
    [ts_external_token__as_bang_custom] = true,
    [ts_external_token__custom_operator] = true,
  },
  [40] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token__implicit_semi] = true,
    [ts_external_token__explicit_semi] = true,
    [ts_external_token__arrow_operator_custom] = true,
    [ts_external_token__dot_custom] = true,
    [ts_external_token__eq_custom] = true,
    [ts_external_token__throws_keyword] = true,
    [ts_external_token__rethrows_keyword] = true,
    [ts_external_token_default_keyword] = true,
    [ts_external_token_where_keyword] = true,
    [ts_external_token__async_keyword_custom] = true,
  },
  [41] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token__implicit_semi] = true,
    [ts_external_token__explicit_semi] = true,
    [ts_external_token__arrow_operator_custom] = true,
    [ts_external_token__dot_custom] = true,
    [ts_external_token__eq_custom] = true,
    [ts_external_token__throws_keyword] = true,
    [ts_external_token__rethrows_keyword] = true,
    [ts_external_token_default_keyword] = true,
    [ts_external_token__async_keyword_custom] = true,
  },
  [42] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token__dot_custom] = true,
    [ts_external_token__conjunction_operator_custom] = true,
    [ts_external_token__disjunction_operator_custom] = true,
    [ts_external_token__nil_coalescing_operator_custom] = true,
    [ts_external_token__eq_custom] = true,
    [ts_external_token__eq_eq_custom] = true,
    [ts_external_token__plus_then_ws] = true,
    [ts_external_token__minus_then_ws] = true,
    [ts_external_token__bang_custom] = true,
    [ts_external_token_where_keyword] = true,
    [ts_external_token_else] = true,
    [ts_external_token__as_custom] = true,
    [ts_external_token__as_quest_custom] = true,
    [ts_external_token__as_bang_custom] = true,
    [ts_external_token__custom_operator] = true,
  },
  [43] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token__dot_custom] = true,
    [ts_external_token__conjunction_operator_custom] = true,
    [ts_external_token__disjunction_operator_custom] = true,
    [ts_external_token__nil_coalescing_operator_custom] = true,
    [ts_external_token__eq_custom] = true,
    [ts_external_token__eq_eq_custom] = true,
    [ts_external_token__plus_then_ws] = true,
    [ts_external_token__minus_then_ws] = true,
    [ts_external_token__bang_custom] = true,
    [ts_external_token_where_keyword] = true,
    [ts_external_token__as_custom] = true,
    [ts_external_token__as_quest_custom] = true,
    [ts_external_token__as_bang_custom] = true,
    [ts_external_token__custom_operator] = true,
  },
  [44] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token__implicit_semi] = true,
    [ts_external_token__explicit_semi] = true,
    [ts_external_token__arrow_operator_custom] = true,
    [ts_external_token__dot_custom] = true,
    [ts_external_token__throws_keyword] = true,
    [ts_external_token__rethrows_keyword] = true,
    [ts_external_token_default_keyword] = true,
    [ts_external_token__async_keyword_custom] = true,
  },
  [45] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token__arrow_operator_custom] = true,
    [ts_external_token__eq_custom] = true,
    [ts_external_token__throws_keyword] = true,
    [ts_external_token__rethrows_keyword] = true,
    [ts_external_token_where_keyword] = true,
    [ts_external_token__as_custom] = true,
    [ts_external_token__async_keyword_custom] = true,
  },
  [46] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token__arrow_operator_custom] = true,
    [ts_external_token__eq_custom] = true,
    [ts_external_token__throws_keyword] = true,
    [ts_external_token__rethrows_keyword] = true,
    [ts_external_token_where_keyword] = true,
    [ts_external_token__async_keyword_custom] = true,
  },
  [47] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token__arrow_operator_custom] = true,
    [ts_external_token__eq_custom] = true,
    [ts_external_token__throws_keyword] = true,
    [ts_external_token__rethrows_keyword] = true,
    [ts_external_token__async_keyword_custom] = true,
  },
  [48] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token__arrow_operator_custom] = true,
    [ts_external_token__throws_keyword] = true,
    [ts_external_token__rethrows_keyword] = true,
    [ts_external_token__async_keyword_custom] = true,
  },
  [49] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token__throws_keyword] = true,
    [ts_external_token__rethrows_keyword] = true,
    [ts_external_token_where_keyword] = true,
    [ts_external_token__async_keyword_custom] = true,
  },
  [50] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token__eq_custom] = true,
    [ts_external_token_where_keyword] = true,
  },
  [51] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token__dot_custom] = true,
  },
  [52] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token__dot_custom] = true,
    [ts_external_token__eq_custom] = true,
    [ts_external_token_where_keyword] = true,
    [ts_external_token__as_custom] = true,
  },
  [53] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token__eq_custom] = true,
    [ts_external_token_where_keyword] = true,
    [ts_external_token__as_custom] = true,
  },
  [54] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token__eq_custom] = true,
  },
  [55] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token_default_keyword] = true,
  },
  [56] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token__throws_keyword] = true,
    [ts_external_token__rethrows_keyword] = true,
    [ts_external_token_where_keyword] = true,
  },
  [57] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token__eq_custom] = true,
    [ts_external_token__eq_eq_custom] = true,
    [ts_external_token__plus_then_ws] = true,
    [ts_external_token__minus_then_ws] = true,
    [ts_external_token__bang_custom] = true,
    [ts_external_token__custom_operator] = true,
  },
  [58] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token__dot_custom] = true,
    [ts_external_token_default_keyword] = true,
  },
  [59] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token__implicit_semi] = true,
    [ts_external_token__explicit_semi] = true,
    [ts_external_token__arrow_operator_custom] = true,
    [ts_external_token__eq_custom] = true,
    [ts_external_token__throws_keyword] = true,
    [ts_external_token__rethrows_keyword] = true,
    [ts_external_token_default_keyword] = true,
    [ts_external_token_where_keyword] = true,
    [ts_external_token__as_custom] = true,
    [ts_external_token__async_keyword_custom] = true,
  },
  [60] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token_where_keyword] = true,
  },
  [61] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token__implicit_semi] = true,
    [ts_external_token__explicit_semi] = true,
    [ts_external_token__arrow_operator_custom] = true,
    [ts_external_token__eq_custom] = true,
    [ts_external_token__throws_keyword] = true,
    [ts_external_token__rethrows_keyword] = true,
    [ts_external_token_default_keyword] = true,
    [ts_external_token_where_keyword] = true,
    [ts_external_token__async_keyword_custom] = true,
  },
  [62] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token__implicit_semi] = true,
    [ts_external_token__explicit_semi] = true,
    [ts_external_token__dot_custom] = true,
    [ts_external_token__conjunction_operator_custom] = true,
    [ts_external_token__disjunction_operator_custom] = true,
    [ts_external_token__nil_coalescing_operator_custom] = true,
    [ts_external_token__eq_custom] = true,
    [ts_external_token__eq_eq_custom] = true,
    [ts_external_token__plus_then_ws] = true,
    [ts_external_token__minus_then_ws] = true,
    [ts_external_token__bang_custom] = true,
    [ts_external_token_where_keyword] = true,
    [ts_external_token_else] = true,
    [ts_external_token__as_custom] = true,
    [ts_external_token__as_quest_custom] = true,
    [ts_external_token__as_bang_custom] = true,
    [ts_external_token__custom_operator] = true,
  },
  [63] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token__implicit_semi] = true,
    [ts_external_token__explicit_semi] = true,
    [ts_external_token__dot_custom] = true,
    [ts_external_token__conjunction_operator_custom] = true,
    [ts_external_token__disjunction_operator_custom] = true,
    [ts_external_token__nil_coalescing_operator_custom] = true,
    [ts_external_token__eq_custom] = true,
    [ts_external_token__eq_eq_custom] = true,
    [ts_external_token__plus_then_ws] = true,
    [ts_external_token__minus_then_ws] = true,
    [ts_external_token__bang_custom] = true,
    [ts_external_token_else] = true,
    [ts_external_token__as_custom] = true,
    [ts_external_token__as_quest_custom] = true,
    [ts_external_token__as_bang_custom] = true,
    [ts_external_token__custom_operator] = true,
  },
  [64] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token__implicit_semi] = true,
    [ts_external_token__explicit_semi] = true,
    [ts_external_token__arrow_operator_custom] = true,
    [ts_external_token__dot_custom] = true,
    [ts_external_token__eq_custom] = true,
    [ts_external_token__throws_keyword] = true,
    [ts_external_token__rethrows_keyword] = true,
    [ts_external_token_where_keyword] = true,
    [ts_external_token__as_custom] = true,
    [ts_external_token__async_keyword_custom] = true,
  },
  [65] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token__implicit_semi] = true,
    [ts_external_token__explicit_semi] = true,
    [ts_external_token__arrow_operator_custom] = true,
    [ts_external_token__eq_custom] = true,
    [ts_external_token__throws_keyword] = true,
    [ts_external_token__rethrows_keyword] = true,
    [ts_external_token_default_keyword] = true,
    [ts_external_token__async_keyword_custom] = true,
  },
  [66] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token__implicit_semi] = true,
    [ts_external_token__explicit_semi] = true,
    [ts_external_token__arrow_operator_custom] = true,
    [ts_external_token__dot_custom] = true,
    [ts_external_token__eq_custom] = true,
    [ts_external_token__throws_keyword] = true,
    [ts_external_token__rethrows_keyword] = true,
    [ts_external_token_where_keyword] = true,
    [ts_external_token__async_keyword_custom] = true,
  },
  [67] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token__implicit_semi] = true,
    [ts_external_token__explicit_semi] = true,
    [ts_external_token__arrow_operator_custom] = true,
    [ts_external_token__dot_custom] = true,
    [ts_external_token__eq_custom] = true,
    [ts_external_token__throws_keyword] = true,
    [ts_external_token__rethrows_keyword] = true,
    [ts_external_token__async_keyword_custom] = true,
  },
  [68] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token__implicit_semi] = true,
    [ts_external_token__explicit_semi] = true,
    [ts_external_token__eq_custom] = true,
    [ts_external_token_default_keyword] = true,
    [ts_external_token_where_keyword] = true,
  },
  [69] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token__implicit_semi] = true,
    [ts_external_token__explicit_semi] = true,
    [ts_external_token__arrow_operator_custom] = true,
    [ts_external_token__dot_custom] = true,
    [ts_external_token__throws_keyword] = true,
    [ts_external_token__rethrows_keyword] = true,
    [ts_external_token__async_keyword_custom] = true,
  },
  [70] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token__implicit_semi] = true,
    [ts_external_token__explicit_semi] = true,
    [ts_external_token__arrow_operator_custom] = true,
    [ts_external_token__throws_keyword] = true,
    [ts_external_token__rethrows_keyword] = true,
    [ts_external_token_default_keyword] = true,
    [ts_external_token__async_keyword_custom] = true,
  },
  [71] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token__arrow_operator_custom] = true,
    [ts_external_token__dot_custom] = true,
    [ts_external_token__eq_custom] = true,
    [ts_external_token__throws_keyword] = true,
    [ts_external_token__rethrows_keyword] = true,
    [ts_external_token_where_keyword] = true,
    [ts_external_token_else] = true,
    [ts_external_token__as_custom] = true,
    [ts_external_token__async_keyword_custom] = true,
  },
  [72] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token__arrow_operator_custom] = true,
    [ts_external_token__dot_custom] = true,
    [ts_external_token__throws_keyword] = true,
    [ts_external_token__rethrows_keyword] = true,
    [ts_external_token_where_keyword] = true,
    [ts_external_token__as_custom] = true,
    [ts_external_token__async_keyword_custom] = true,
  },
  [73] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token__arrow_operator_custom] = true,
    [ts_external_token__dot_custom] = true,
    [ts_external_token__throws_keyword] = true,
    [ts_external_token__rethrows_keyword] = true,
    [ts_external_token_where_keyword] = true,
    [ts_external_token__async_keyword_custom] = true,
  },
  [74] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token__implicit_semi] = true,
    [ts_external_token__explicit_semi] = true,
    [ts_external_token__arrow_operator_custom] = true,
    [ts_external_token__dot_custom] = true,
    [ts_external_token__throws_keyword] = true,
    [ts_external_token__rethrows_keyword] = true,
    [ts_external_token_where_keyword] = true,
    [ts_external_token__async_keyword_custom] = true,
  },
  [75] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token__implicit_semi] = true,
    [ts_external_token__explicit_semi] = true,
    [ts_external_token__dot_custom] = true,
    [ts_external_token__eq_custom] = true,
    [ts_external_token_default_keyword] = true,
    [ts_external_token_where_keyword] = true,
    [ts_external_token__as_custom] = true,
  },
  [76] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token__arrow_operator_custom] = true,
    [ts_external_token__dot_custom] = true,
    [ts_external_token__eq_custom] = true,
    [ts_external_token__throws_keyword] = true,
    [ts_external_token__rethrows_keyword] = true,
    [ts_external_token_where_keyword] = true,
    [ts_external_token_else] = true,
    [ts_external_token__async_keyword_custom] = true,
  },
  [77] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token__arrow_operator_custom] = true,
    [ts_external_token__dot_custom] = true,
    [ts_external_token__throws_keyword] = true,
    [ts_external_token__rethrows_keyword] = true,
    [ts_external_token__as_custom] = true,
    [ts_external_token__async_keyword_custom] = true,
  },
  [78] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token__implicit_semi] = true,
    [ts_external_token__explicit_semi] = true,
    [ts_external_token__eq_custom] = true,
    [ts_external_token_default_keyword] = true,
    [ts_external_token_where_keyword] = true,
    [ts_external_token__as_custom] = true,
  },
  [79] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token__implicit_semi] = true,
    [ts_external_token__explicit_semi] = true,
    [ts_external_token__eq_custom] = true,
    [ts_external_token_default_keyword] = true,
  },
  [80] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token__arrow_operator_custom] = true,
    [ts_external_token__dot_custom] = true,
    [ts_external_token__eq_custom] = true,
    [ts_external_token__eq_eq_custom] = true,
    [ts_external_token__throws_keyword] = true,
    [ts_external_token__rethrows_keyword] = true,
    [ts_external_token__async_keyword_custom] = true,
  },
  [81] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token_raw_str_part] = true,
    [ts_external_token_raw_str_end_part] = true,
  },
  [82] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token__implicit_semi] = true,
    [ts_external_token__explicit_semi] = true,
    [ts_external_token_default_keyword] = true,
    [ts_external_token_catch_keyword] = true,
  },
  [83] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token__implicit_semi] = true,
    [ts_external_token__explicit_semi] = true,
    [ts_external_token_default_keyword] = true,
  },
  [84] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token__implicit_semi] = true,
    [ts_external_token__explicit_semi] = true,
    [ts_external_token_default_keyword] = true,
    [ts_external_token_else] = true,
  },
  [85] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token__dot_custom] = true,
    [ts_external_token_where_keyword] = true,
  },
  [86] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token__bang_custom] = true,
  },
  [87] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token__dot_custom] = true,
    [ts_external_token__fake_try_bang] = true,
  },
  [88] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token__implicit_semi] = true,
    [ts_external_token__explicit_semi] = true,
    [ts_external_token__arrow_operator_custom] = true,
    [ts_external_token__eq_custom] = true,
    [ts_external_token__throws_keyword] = true,
    [ts_external_token__rethrows_keyword] = true,
    [ts_external_token_where_keyword] = true,
    [ts_external_token__as_custom] = true,
    [ts_external_token__async_keyword_custom] = true,
  },
  [89] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token__implicit_semi] = true,
    [ts_external_token__explicit_semi] = true,
    [ts_external_token__arrow_operator_custom] = true,
    [ts_external_token__eq_custom] = true,
    [ts_external_token__throws_keyword] = true,
    [ts_external_token__rethrows_keyword] = true,
    [ts_external_token_where_keyword] = true,
    [ts_external_token__async_keyword_custom] = true,
  },
  [90] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token__implicit_semi] = true,
    [ts_external_token__explicit_semi] = true,
    [ts_external_token__arrow_operator_custom] = true,
    [ts_external_token__eq_custom] = true,
    [ts_external_token__throws_keyword] = true,
    [ts_external_token__rethrows_keyword] = true,
    [ts_external_token__async_keyword_custom] = true,
  },
  [91] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token__arrow_operator_custom] = true,
    [ts_external_token__throws_keyword] = true,
    [ts_external_token__rethrows_keyword] = true,
    [ts_external_token_where_keyword] = true,
    [ts_external_token__async_keyword_custom] = true,
  },
  [92] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token__implicit_semi] = true,
    [ts_external_token__explicit_semi] = true,
    [ts_external_token__arrow_operator_custom] = true,
    [ts_external_token__throws_keyword] = true,
    [ts_external_token__rethrows_keyword] = true,
    [ts_external_token__async_keyword_custom] = true,
  },
  [93] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token__arrow_operator_custom] = true,
    [ts_external_token__eq_custom] = true,
    [ts_external_token__throws_keyword] = true,
    [ts_external_token__rethrows_keyword] = true,
    [ts_external_token_where_keyword] = true,
    [ts_external_token_else] = true,
    [ts_external_token__as_custom] = true,
    [ts_external_token__async_keyword_custom] = true,
  },
  [94] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token__arrow_operator_custom] = true,
    [ts_external_token__throws_keyword] = true,
    [ts_external_token__rethrows_keyword] = true,
    [ts_external_token_where_keyword] = true,
    [ts_external_token__as_custom] = true,
    [ts_external_token__async_keyword_custom] = true,
  },
  [95] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token__implicit_semi] = true,
    [ts_external_token__explicit_semi] = true,
    [ts_external_token__arrow_operator_custom] = true,
    [ts_external_token__throws_keyword] = true,
    [ts_external_token__rethrows_keyword] = true,
    [ts_external_token_where_keyword] = true,
    [ts_external_token__async_keyword_custom] = true,
  },
  [96] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token__arrow_operator_custom] = true,
    [ts_external_token__throws_keyword] = true,
    [ts_external_token__rethrows_keyword] = true,
    [ts_external_token__as_custom] = true,
    [ts_external_token__async_keyword_custom] = true,
  },
  [97] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token__arrow_operator_custom] = true,
    [ts_external_token__eq_custom] = true,
    [ts_external_token__throws_keyword] = true,
    [ts_external_token__rethrows_keyword] = true,
    [ts_external_token_where_keyword] = true,
    [ts_external_token_else] = true,
    [ts_external_token__async_keyword_custom] = true,
  },
  [98] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token__implicit_semi] = true,
    [ts_external_token__explicit_semi] = true,
    [ts_external_token__eq_custom] = true,
    [ts_external_token_where_keyword] = true,
  },
  [99] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token__implicit_semi] = true,
    [ts_external_token__explicit_semi] = true,
    [ts_external_token__throws_keyword] = true,
    [ts_external_token__rethrows_keyword] = true,
    [ts_external_token_where_keyword] = true,
    [ts_external_token__async_keyword_custom] = true,
  },
  [100] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token__arrow_operator_custom] = true,
    [ts_external_token__eq_custom] = true,
    [ts_external_token__eq_eq_custom] = true,
    [ts_external_token__throws_keyword] = true,
    [ts_external_token__rethrows_keyword] = true,
    [ts_external_token__async_keyword_custom] = true,
  },
  [101] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token__throws_keyword] = true,
    [ts_external_token__rethrows_keyword] = true,
    [ts_external_token__async_keyword_custom] = true,
  },
  [102] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token__implicit_semi] = true,
    [ts_external_token__explicit_semi] = true,
    [ts_external_token__dot_custom] = true,
    [ts_external_token__eq_custom] = true,
    [ts_external_token_where_keyword] = true,
    [ts_external_token__as_custom] = true,
  },
  [103] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token__implicit_semi] = true,
    [ts_external_token__explicit_semi] = true,
    [ts_external_token__eq_custom] = true,
    [ts_external_token_where_keyword] = true,
    [ts_external_token__as_custom] = true,
  },
  [104] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token__implicit_semi] = true,
    [ts_external_token__explicit_semi] = true,
    [ts_external_token__throws_keyword] = true,
    [ts_external_token__rethrows_keyword] = true,
    [ts_external_token_where_keyword] = true,
  },
  [105] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token__implicit_semi] = true,
    [ts_external_token__explicit_semi] = true,
    [ts_external_token__eq_custom] = true,
  },
  [106] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token__implicit_semi] = true,
    [ts_external_token__explicit_semi] = true,
    [ts_external_token__arrow_operator_custom] = true,
    [ts_external_token__throws_keyword] = true,
    [ts_external_token__rethrows_keyword] = true,
    [ts_external_token_where_keyword] = true,
  },
  [107] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token__dot_custom] = true,
    [ts_external_token__eq_custom] = true,
    [ts_external_token_where_keyword] = true,
    [ts_external_token_else] = true,
    [ts_external_token__as_custom] = true,
  },
  [108] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token__dot_custom] = true,
    [ts_external_token_where_keyword] = true,
    [ts_external_token__as_custom] = true,
  },
  [109] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token__implicit_semi] = true,
    [ts_external_token__explicit_semi] = true,
    [ts_external_token_where_keyword] = true,
  },
  [110] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token__dot_custom] = true,
    [ts_external_token__as_custom] = true,
  },
  [111] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token__eq_custom] = true,
    [ts_external_token_where_keyword] = true,
    [ts_external_token_else] = true,
    [ts_external_token__as_custom] = true,
  },
  [112] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token__implicit_semi] = true,
    [ts_external_token__explicit_semi] = true,
    [ts_external_token__arrow_operator_custom] = true,
    [ts_external_token__eq_custom] = true,
    [ts_external_token_where_keyword] = true,
  },
  [113] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token__implicit_semi] = true,
    [ts_external_token__explicit_semi] = true,
    [ts_external_token__arrow_operator_custom] = true,
    [ts_external_token_where_keyword] = true,
  },
  [114] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token__arrow_operator_custom] = true,
    [ts_external_token_where_keyword] = true,
  },
  [115] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token__as_custom] = true,
  },
  [116] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token_where_keyword] = true,
    [ts_external_token__as_custom] = true,
  },
  [117] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token__arrow_operator_custom] = true,
    [ts_external_token__throws_keyword] = true,
    [ts_external_token__rethrows_keyword] = true,
    [ts_external_token_where_keyword] = true,
  },
  [118] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token__implicit_semi] = true,
    [ts_external_token__explicit_semi] = true,
  },
  [119] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token__implicit_semi] = true,
    [ts_external_token__explicit_semi] = true,
    [ts_external_token_catch_keyword] = true,
  },
  [120] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token__implicit_semi] = true,
    [ts_external_token__explicit_semi] = true,
    [ts_external_token__dot_custom] = true,
  },
  [121] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token__dot_custom] = true,
    [ts_external_token__eq_custom] = true,
    [ts_external_token__eq_eq_custom] = true,
  },
  [122] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token__arrow_operator_custom] = true,
    [ts_external_token__throws_keyword] = true,
    [ts_external_token__rethrows_keyword] = true,
  },
  [123] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token__eq_custom] = true,
    [ts_external_token_where_keyword] = true,
    [ts_external_token_else] = true,
  },
  [124] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token__eq_custom] = true,
    [ts_external_token__eq_eq_custom] = true,
  },
  [125] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token__implicit_semi] = true,
    [ts_external_token__explicit_semi] = true,
    [ts_external_token_else] = true,
  },
  [126] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token_raw_str_part] = true,
    [ts_external_token_raw_str_continuing_indicator] = true,
    [ts_external_token_raw_str_end_part] = true,
  },
  [127] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token__implicit_semi] = true,
  },
  [128] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token_else] = true,
  },
  [129] = {
    [ts_external_token_multiline_comment] = true,
    [ts_external_token__arrow_operator_custom] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_swift_external_scanner_create(void);
void tree_sitter_swift_external_scanner_destroy(void *);
bool tree_sitter_swift_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_swift_external_scanner_serialize(void *, char *);
void tree_sitter_swift_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_swift(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_swift_external_scanner_create,
      tree_sitter_swift_external_scanner_destroy,
      tree_sitter_swift_external_scanner_scan,
      tree_sitter_swift_external_scanner_serialize,
      tree_sitter_swift_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
